
--
-- Ensure correct encoding
--
SET NAMES utf8;


--
-- Table structure for table `lang_languages`
--


DROP TABLE IF EXISTS `lang_languages`;
CREATE TABLE `lang_languages` (
  `lang_id` int(11) NOT NULL auto_increment,
  `lang_code` char(2) NOT NULL default '',
  `lang_description` varchar(100) default NULL,
  `lang_is_rtl` TINYINT DEFAULT 0,
  UNIQUE KEY `lang_id` (`lang_id`)
) ENGINE=MyISAM AUTO_INCREMENT=49 ;


--
-- Dumping data for table `lang_languages`
--

INSERT INTO `lang_languages`   (`lang_id`, `lang_code`, `lang_description`, `lang_is_rtl`) VALUES
(1, 'en', 'English (Standard)', 0),
(2, 'se', 'Swedish', 0),
(3, 'es', 'Spanish (Spain)', 0),
(4, 'el', 'Spanish (Latin American)', 0),
(5, 'de', 'German', 0),
(6, 'du', 'Dutch', 0),
(7, 'he', 'Hebrew', 1),
(8, 'fr', 'French (Standard)', 0),
(9, 'fq', 'French (Canadian)', 0),
(10, 'no', 'Norwegian', 0),
(11, 'zh', 'Chinese (Simplified)', 0),
(12, 'zt', 'Chinese (Traditional)', 0),
(13, 'ru', 'Russian', 0),
(14, 'hy', 'Armenian', 0),
(15, 'sk', 'Slovak', 0),
(16, 'id', 'Bahasa Indonesia', 0),
(17, 'gr', 'Greek', 0),
(18, 'ei', 'English (Indian)', 0),
(19, 'pe', 'Portuguese (European)', 0),
(20, 'pt', 'Portuguese (Brazilian)', 0),
(21, 'ar', 'Arabic', 1),
(22, 'da', 'Danish', 0),
(23, 'tr', 'Turkish', 0),
(24, 'po', 'Polish', 0),
(25, 'am', 'Amharic', 0),
(26, 'it', 'Italian', 0),
(27, 'hi', 'Hindi', 0),
(28, 'ro', 'Romanian', 0),
(29, 'vi', 'Vietnamese', 0),
(30, 'hu', 'Hungarian', 0),
(31, 'sq', 'Albanian', 0),
(32, 'cs', 'Czech', 0),
(33, 'uk', 'Ukrainian', 0),
(34, 'bn', 'Bengali', 0),
(35, 'et', 'Estonian', 0),
(36, 'fa', 'Persian', 0),
(37, 'li', 'Lithuanian', 0),
(38, 'si', 'Sinhala', 0),
(39, 'ja', 'Japanese', 0),
(40, 'fi', 'Finnish', 0),
(41, 'ko', 'Korean', 0),
(42, 'ka', 'Georgian', 0),
(43, 'bs', 'Bosnian', 0),
(44, 'hr', 'Croatian', 0),
(45, 'sr', 'Serbian', 0),
(46, 'mr', 'Marathi', 0),
(47, 'so', 'Somali', 0),
(48, 'dd', 'dummy', 0);

--


-- 
-- Table structure for table `lang_constants`
-- 


DROP TABLE IF EXISTS `lang_constants`;
CREATE TABLE `lang_constants` (
  `cons_id` int(11) NOT NULL auto_increment,
  `constant_name` mediumtext BINARY,
  UNIQUE KEY `cons_id` (`cons_id`),
  KEY `constant_name` (`constant_name`(100))
) ENGINE=MyISAM AUTO_INCREMENT=7550 ;


-- 
-- Dumping data for table `lang_constants`
--

INSERT INTO `lang_constants`   (`cons_id`, `constant_name`) VALUES
(1, 'A'),
(2, 'A check number or claim number to identify the payment'),
(3, 'A client certificate for the admin user'),
(4, 'A clinical document is attached'),
(5, 'A clinical document is attached.'),
(6, 'A code of this type is already selected. Erase the field first if you need to replace it.'),
(7, 'A distributor is required'),
(8, 'A GCAC visit form should be added to this visit.'),
(9, 'A lot number is required'),
(10, 'A lot number is required!'),
(11, 'A lowercase letter'),
(12, 'A number'),
(13, 'A Patient Must Be Selected to Generate This Report'),
(14, 'A patient with this ID already exists.'),
(15, 'A patient with this name already exists.'),
(16, 'A patient with this SS already exists.'),
(17, 'A positive number will show that many past appointments on a Widget in the Patient Summary screen (a negative number will show the past appointments in descending order)'),
(18, 'A positive number will show that many past appointments on a Widget in the Patient Summary screen.'),
(19, 'A referral source may be specified for each visit.'),
(20, 'A related IPPF code is required!'),
(21, 'A special character'),
(22, 'A unique value to identify this field, not visible to the user'),
(23, 'A visit already exists for this patient today. Click Cancel to open it, or OK to proceed with creating a new one.'),
(24, 'a.c.'),
(25, 'a.m.'),
(26, 'A/F Level Right:'),
(27, 'AB'),
(28, 'Abbreviation'),
(29, 'Abcess:'),
(30, 'Abdominal'),
(31, 'Able to Bear Weight four (4) steps:'),
(32, 'Abn'),
(33, 'ABN1'),
(34, 'Abnormal'),
(35, 'Abnormal Blood Test'),
(36, 'Abnormal Hair Growth'),
(37, 'Abnormal Mammogram'),
(38, 'Abort'),
(39, 'Abortion'),
(40, 'Abortion Issues'),
(41, 'Abortion Method'),
(42, 'Abortion-Related Categories'),
(43, 'Abortions'),
(44, 'About the calendar'),
(45, 'Above upper panic limits'),
(46, 'Absences by Diagnosis'),
(47, 'Accept Assignment'),
(48, 'Accept Payment for'),
(49, 'Accept Payment for '),
(50, 'Accepts Assignment'),
(51, 'Access Control'),
(52, 'Access Control List Administration'),
(53, 'Access date'),
(54, 'Access not allowed'),
(55, 'Access Not Authorized'),
(56, 'Access Your Patient Portal'),
(57, 'Accident'),
(58, 'Account Id issued for NewCrop eRx service, used to separate multi-facility accounts.'),
(59, 'Account Name'),
(60, 'Account Name issued for NewCrop eRx service.'),
(61, 'Account Password issued for NewCrop eRx service.'),
(62, 'Accounting'),
(63, 'Acct'),
(64, 'Aches'),
(65, 'Acknowledgment Requested (ISA14)'),
(66, 'Acknowledgments, Licensing and Certification'),
(67, 'ACL'),
(68, 'ACL Administration'),
(69, 'ACL Administration Not Authorized'),
(70, 'ACL Updated Successfully'),
(71, 'Acne'),
(72, 'Act'),
(73, 'Act Date'),
(74, 'Action'),
(75, 'Actions'),
(76, 'Activate'),
(77, 'Activate CCR/CCD Reporting'),
(78, 'Active'),
(79, 'Active Alert'),
(80, 'Active Alert Rules'),
(81, 'Active Alerts/Reminders'),
(82, 'Active Encounter'),
(83, 'Active Issue Codes'),
(84, 'Active lists'),
(85, 'Active Patient'),
(86, 'Active Plans'),
(87, 'Activity'),
(88, 'Activity Type'),
(89, 'Actual Receipts'),
(90, 'Acute Intoxication/Withdrawal'),
(91, 'Acute Manifestation of a Chronic Condition'),
(92, 'Acute on Chronic'),
(93, 'add'),
(94, 'Add'),
(95, 'ADD'),
(96, 'Add a Company'),
(97, 'Add a condition'),
(98, 'Add a Pharmacy'),
(99, 'Add all rules to plan'),
(100, 'add an event for '),
(101, 'Add as a new note'),
(102, 'Add as New'),
(103, 'Add as new patient'),
(104, 'Add Buttons'),
(105, 'Add Buttons for Special Chars,Texts to be Displayed on Top of the Editor for inclusion to the text on a Click'),
(106, 'Add Category'),
(107, 'Add Constant'),
(108, 'Add Context'),
(109, 'Add Copay'),
(110, 'Add criteria'),
(111, 'Add Custom Button'),
(112, 'Add Diagnosis'),
(113, 'Add Drug'),
(114, 'Add Encounter'),
(115, 'Add encounter/notes'),
(116, 'Add Facility'),
(117, 'Add Field'),
(118, 'Add following lines to the Apache configuration file'),
(119, 'Add Group'),
(120, 'Add ICD Code'),
(121, 'Add Immunization'),
(122, 'Add is not authorized!'),
(123, 'Add Issue'),
(124, 'Add item to track'),
(125, 'Add Language'),
(126, 'Add New'),
(127, 'Add new'),
(128, 'Add new category : '),
(129, 'Add new certificates to the Apache configuration file'),
(130, 'Add New Component'),
(131, 'Add New Components'),
(132, 'Add New Group'),
(133, 'Add New Issue'),
(134, 'Add new lot and transaction'),
(135, 'Add New Note'),
(136, 'Add new note'),
(137, 'Add New Partner'),
(138, 'Add New Patient'),
(139, 'ADD NEW PLAN'),
(140, 'Add Note'),
(141, 'Add Patient Record'),
(142, 'Add Prescription'),
(143, 'Add Procedure'),
(144, 'Add Provider Number'),
(145, 'Add Rehab'),
(146, 'Add Rule'),
(147, 'Add to'),
(148, 'Add to Medication List'),
(149, 'Add Top Level'),
(150, 'Add Transaction'),
(151, 'Add User'),
(152, 'Add User To Group'),
(153, 'Add/Edit eRx'),
(154, 'Add/Edit Patient Transaction'),
(155, 'added'),
(156, 'Adding demographics is not authorized.'),
(157, 'Adding item to track failed'),
(158, 'Addison Syndrom'),
(159, 'Addison Syndrome'),
(160, 'Additional Attributes'),
(161, 'Additional Diagnosis:'),
(162, 'Additional History'),
(163, 'Additional history notes'),
(164, 'Additional Info'),
(165, 'Additional Labs'),
(166, 'Additional Notes'),
(167, 'Additional notes for this result or recommendation'),
(168, 'Additional Notes:'),
(169, 'Additional Notes: '),
(170, 'Additional X-RAY Notes:'),
(171, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release'),
(172, 'addonly'),
(173, 'Addr Bk'),
(174, 'Addr Book'),
(175, 'Address'),
(176, 'Address and Postal Code'),
(177, 'Address and State'),
(178, 'Address Book'),
(179, 'Address book entry for the company performing this procedure'),
(180, 'Address book entry for the distributor'),
(181, 'Address book entry for the vendor'),
(182, 'Address Book Types'),
(183, 'Address Label'),
(184, 'Address Labels'),
(185, 'Address Only'),
(186, 'Address, State and Postal Code'),
(187, 'Address1'),
(188, 'Address2'),
(189, 'ADDRESSEE'),
(190, 'Adj'),
(191, 'Adj Amount'),
(192, 'Adjust'),
(193, 'Adjustment'),
(194, 'Adjustment Amt'),
(195, 'Adjustment Reasons'),
(196, 'Adjustment value for code '),
(197, 'Adjustments'),
(198, 'Adm adjust'),
(199, 'Admin'),
(200, 'Admin Email Address'),
(201, 'Administer Via'),
(202, 'Administered'),
(203, 'Administered By'),
(204, 'Administered Date'),
(205, 'Administered Site'),
(206, 'Administration'),
(207, 'Administration Site'),
(208, 'Administrators'),
(209, 'Administrators can do anything'),
(210, 'Admit Date'),
(211, 'Adopted Child'),
(212, 'Adult Weight Screening and Follow-Up'),
(213, 'Adult Weight Screening and Follow-Up (CQM)'),
(214, 'Advance Directive'),
(215, 'Advance Directives'),
(216, 'Advance Directives Warning'),
(217, 'Advance Options'),
(218, 'Advanced'),
(219, 'Advice'),
(220, 'Afar'),
(221, 'Affect normal'),
(222, 'Afrikaans'),
(223, 'After hrs calls'),
(224, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible'),
(225, 'After performing above configurations, import the admin client certificate to the browser and restart Apache server (empty password).'),
(226, 'After saving the PDF, click [View Log] to check for errors.'),
(227, 'After saving the TEXT file(s), click [View Log] to check for errors.'),
(228, 'After saving your batch, click [View Log] to check for errors.'),
(229, 'After that the Match column will show the selected patient ID, or 0 to create.'),
(230, 'After the information is correctly entered, click the Save button.'),
(231, 'After Uploading click the button \"Import\"'),
(232, 'AfterCare Planning'),
(233, 'Again'),
(234, 'Age'),
(235, 'Age By'),
(236, 'Age Category'),
(237, 'Age data is out of range.'),
(238, 'Age Display Format'),
(239, 'Age format for \"age from\" is not valid'),
(240, 'Age format for \"age up to\" is not valid'),
(241, 'Age From'),
(242, 'Age in Years for Display Format Change'),
(243, 'Age max'),
(244, 'Age min'),
(245, 'Age Range'),
(246, 'Aging Columns'),
(247, 'Aging Columns:'),
(248, 'Akan'),
(249, 'Albanian'),
(250, 'Alcohol'),
(251, 'Alcohol consumption'),
(252, 'Alcohol Use'),
(253, 'Alert Count'),
(254, 'Alert Time'),
(255, 'Alerts'),
(256, 'Alerts Log'),
(257, 'Alerts/Reminders'),
(258, 'ALEUT'),
(259, 'All'),
(260, 'ALL'),
(261, 'All (Collated Format A)'),
(262, 'All (Collated Format B)'),
(263, 'All (Cumulative)'),
(264, 'All Alerts'),
(265, 'All Automated Measure Calculations (AMC)'),
(266, 'All Categories'),
(267, 'All Clinical Quality Measures (CQM)'),
(268, 'All Codes'),
(269, 'All Day'),
(270, 'All day event'),
(271, 'All demographics fields, with search and duplication check'),
(272, 'All Facilities'),
(273, 'All Injuries/Problems/Issues'),
(274, 'All Languages Allowed'),
(275, 'All Official Clinical Quality Measures (CQM) Measure Groups'),
(276, 'All or part of the first name'),
(277, 'All or part of the last name'),
(278, 'All or part of the organization'),
(279, 'All Patients'),
(280, 'All Products'),
(281, 'All Providers'),
(282, 'All Reviewed and Negative:'),
(283, 'All Topics'),
(284, 'All Users'),
(285, 'Allergic'),
(286, 'Allergies'),
(287, 'Allergies:'),
(288, 'Allergy'),
(289, 'Allergy import successfully completed'),
(290, 'Allergy Issue List'),
(291, 'Allergy Reaction'),
(292, 'ALLERGY WARNING'),
(293, 'Allergy Warning'),
(294, 'Allocate'),
(295, 'Allow'),
(296, 'Allow all available languages as choices on menu at login.'),
(297, 'Allow creation of claims containing diagnoses but not procedures or charges. Most clinics do not want this.'),
(298, 'Allow Debugging Language'),
(299, 'Allow Email'),
(300, 'Allow email messages?'),
(301, 'Allow Email?'),
(302, 'Allow Encounter Claims'),
(303, 'Allow Health Information Exchange'),
(304, 'Allow Immunization Info Sharing'),
(305, 'Allow Immunization Registry Use'),
(306, 'Allow Mail Message'),
(307, 'Allow Patient Flow Board to Select Patients for Drug Testing.'),
(308, 'Allow Patient Portal'),
(309, 'Allow SMS'),
(310, 'Allow SMS (text messages)?'),
(311, 'Allow submitted events to be made active instantly?'),
(312, 'Allow telephone messages?'),
(313, 'Allow users to publish Global Events'),
(314, 'Allow users to publish Personal Calendars'),
(315, 'Allow Voice Message'),
(316, 'Allowed'),
(317, 'Allowed Languages'),
(318, 'Allowed(c)'),
(319, 'Allows E-Sign on the entire encounter'),
(320, 'Allows E-Signing Individual Forms'),
(321, 'Allows Mail'),
(322, 'Allows Voice msgs'),
(323, 'already exists'),
(324, 'already exists.'),
(325, 'Already used, choose another identifier'),
(326, 'Already used, choose another title'),
(327, 'Alt Address'),
(328, 'alter'),
(329, 'Alternatively, you may use the search page to upload an electronic remittance (X12 835) file that you have obtained from your payer or clearinghouse.  You can do this by clicking the Browse button and selecting the file to upload, and then clicking Search to perform the upload and display the corresponding invoices.  In this case the other parameters mentioned above do not apply and will be ignored.  Uploading saves the file but does not yet process its contents -- that is done separately as described below.'),
(330, 'AM'),
(331, 'AM Program'),
(332, 'AMC'),
(333, 'AMC Tracking'),
(334, 'AMC-2011'),
(335, 'AMC-2014'),
(336, 'AMC-2014 Stage I'),
(337, 'AMC-2014 Stage II'),
(338, 'Amend Existing Note'),
(339, 'Amendment From'),
(340, 'Amendment Status'),
(341, 'Amendments'),
(342, 'Amendments for'),
(343, 'American Indian'),
(344, 'American Indian or Alaska Native'),
(345, 'AMEX'),
(346, 'Amharic'),
(347, 'Amount'),
(348, 'Amount Administered'),
(349, 'Amount Charges'),
(350, 'Amount for Past Balance'),
(351, 'Amount for This Visit'),
(352, 'Amount Paid'),
(353, 'Amount:'),
(354, 'Amt Billed'),
(355, 'An end date later than the start date is required for repeated events!'),
(356, 'An error occured signing the form'),
(357, 'An error occurred while dumping LibreEHR web directory tree'),
(358, 'An error occurred while dumping phpGACL web directory tree'),
(359, 'An error occurred while dumping SQL-Ledger web directory tree'),
(360, 'An incomplete GCAC issue has been created and linked. Someone will need to complete it later.'),
(361, 'An undefined error occurred, please contact your systems administrator.'),
(362, 'An unexpected error has occurred.'),
(363, 'An uppercase letter'),
(364, 'Analyzed'),
(365, 'And'),
(366, 'AND'),
(367, 'and'),
(368, 'and '),
(369, 'and all subordinate data? This action will be logged'),
(370, 'and modifier'),
(371, 'and processed.'),
(372, 'and restart Apache server.'),
(373, 'and the Reason is'),
(374, 'Anemia'),
(375, 'Ankle'),
(376, 'Ankle + heel'),
(377, 'Ankle Evaluation Form'),
(378, 'Ankle Problems'),
(379, 'Ankylosing Sondlilitis'),
(380, 'Ankylosing Spondlilitis'),
(381, 'Anorexia'),
(382, 'Another thing you can do in the posting window is request secondary billing. If you select this checkbox before saving, then the original claim will be re-opened and queued on the Billing page, and will be processed during the next billing run.'),
(383, 'ante'),
(384, 'Anus nl, no rectal tenderness/mass'),
(385, 'Anxiety'),
(386, 'Any'),
(387, 'Any Category'),
(388, 'Any part of the desired code or its description'),
(389, 'Any part of the desired specialty'),
(390, 'Any part of the drug id or drug name'),
(391, 'Any part of the immunization id or immunization name'),
(392, 'Any part of the patient name, or \"last,first\", or \"X-Y\"'),
(393, 'Anyother Relevant Information'),
(394, 'API key for SMS Gateway.'),
(395, 'Apnea'),
(396, 'Appearance'),
(397, 'Appearance:'),
(398, 'Append this note'),
(399, 'Append to the existing note'),
(400, 'Append to this note'),
(401, 'Append to This Note'),
(402, 'Appendectomy'),
(403, 'appendectomy'),
(404, 'Applicable Patients'),
(405, 'Application'),
(406, 'Application name for login page and main window title.'),
(407, 'Application Receiver Code (GS03 - If blank ISA08 will be used)'),
(408, 'Application Sender Code (GS02)'),
(409, 'Application Title'),
(410, 'Applies to the Vitals form and Growth Chart'),
(411, 'Applies to Vitals form'),
(412, 'Apply the changes to the Current event only, to this and all Future occurrences, or to All occurrences?'),
(413, 'apply to affected area'),
(414, 'apply to skin'),
(415, 'Applying'),
(416, 'Applying Patch to site'),
(417, 'Appointment'),
(418, 'Appointment Date'),
(419, 'Appointment Display Style'),
(420, 'Appointment Reminder Rule'),
(421, 'Appointment status'),
(422, 'Appointment Statuses'),
(423, 'Appointment within'),
(424, 'Appointment/Event Color'),
(425, 'Appointments'),
(426, 'Appointments (write optional)'),
(427, 'Appointments (write,wsome optional)'),
(428, 'Appointments - Onsite Patient Portal - Number to Display'),
(429, 'Appointments - Patient Summary - Number to Display'),
(430, 'Appointments and Encounters'),
(431, 'Appointments Report'),
(432, 'Appointments-Encounters Report'),
(433, 'Appropriate Testing for Children with Pharyngitis (CQM)'),
(434, 'Approve'),
(435, 'Approve the patient from Patient/Client->Import->Pending Approval'),
(436, 'Approved'),
(437, 'Approved Events Administration'),
(438, 'Approved Successfully'),
(439, 'Appt Time'),
(440, 'Appt-Enc'),
(441, 'Appts'),
(442, 'Apr'),
(443, 'April'),
(444, 'Arabic'),
(445, 'Aragonese'),
(446, 'Archive'),
(447, 'Are access control group names to be translated?'),
(448, 'Are appointment category names to be translated?'),
(449, 'Are document category names to be translated?'),
(450, 'Are fees charged for this type?'),
(451, 'Are patient note titles to be translated?'),
(452, 'Are the codes stored in external sql tables (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?'),
(453, 'Are you prepared to complete a new GCAC issue for this visit?'),
(454, 'Are you sure to post for today?'),
(455, 'Are you sure you want to approve these events?'),
(456, 'Are you sure you want to cancel your changes?'),
(457, 'Are you sure you want to completely remove this form?'),
(458, 'Are you sure you want to delete'),
(459, 'Are you sure you want to delete this disclosure?'),
(460, 'Are you sure you want to delete this event?'),
(461, 'Are you sure you want to delete this item from the database?'),
(462, 'Are you sure you want to delete this note?'),
(463, 'Are you sure you want to delete this plan?'),
(464, 'Are you sure you want to edit these events?'),
(465, 'Are you sure you want to hide these events?'),
(466, 'Are you sure you want to transmit it again?'),
(467, 'Are you sure you want to view these events?'),
(468, 'Are you sure you wish to delete the entire group named'),
(469, 'Are you sure you wish to delete the entire list'),
(470, 'Are you sure you wish to delete the field in'),
(471, 'Are you sure you wish to delete the selected fields?'),
(472, 'Are you sure you\'d like to continue with these actions?'),
(473, 'Area not specified'),
(474, 'Arm'),
(475, 'Armenian'),
(476, 'Arrive Time'),
(477, 'Arrythmia'),
(478, 'Arthritis'),
(479, 'Arthritis / degen joint diseas'),
(480, 'Arthritis / degen joint disease'),
(481, 'as'),
(482, 'As Of'),
(483, 'ASC'),
(484, 'Asian'),
(485, 'Assamese'),
(486, 'Assess Penicillin Allergy'),
(487, 'Assessment'),
(488, 'Assigned To'),
(489, 'Assistant'),
(490, 'Asthma'),
(491, 'at'),
(492, 'At least one search parameter is required if you select All.'),
(493, 'At the Navicular'),
(494, 'At the Navicular:'),
(495, 'Athletic team'),
(496, 'Athletic Team'),
(497, 'Athletic/Injury'),
(498, 'ATNA audit CA certificate'),
(499, 'ATNA audit host'),
(500, 'ATNA audit local certificate'),
(501, 'ATNA audit port'),
(502, 'Attending physician'),
(503, 'Attention'),
(504, 'Attn'),
(505, 'Audiological physician'),
(506, 'Audit CDR Engine Queries'),
(507, 'Audit Log Tamper'),
(508, 'Audit Log Tamper Report'),
(509, 'Audit Logging Backups'),
(510, 'Audit Logging Miscellaneous'),
(511, 'Audit Logging Order'),
(512, 'Audit Logging Patient Record'),
(513, 'Audit Logging Scheduling'),
(514, 'Audit Logging Security Administration'),
(515, 'Audit Logging SELECT Query'),
(516, 'Aug'),
(517, 'August'),
(518, 'Aunt'),
(519, 'Auth'),
(520, 'Auth/notes'),
(521, 'Authenticator'),
(522, 'Author'),
(523, 'Authorization group'),
(524, 'Authorization Status'),
(525, 'Authorizations'),
(526, 'Authorize'),
(527, 'Authorize - any encounters'),
(528, 'Authorize - my encounters'),
(529, 'Authorize.net'),
(530, 'Authorized'),
(531, 'Authorized Only'),
(532, 'Auto Send'),
(533, 'Auto Sign-Off [days]'),
(534, 'Auto Transfer'),
(535, 'Auto-Create New Encounters'),
(536, 'Auto-generated'),
(537, 'Automated Measure Calculations (AMC)'),
(538, 'Automated Measure Calculations (AMC) - 2011'),
(539, 'Automated Measure Calculations (AMC) - 2014'),
(540, 'Automated Measure Calculations (AMC) - 2014 Stage I'),
(541, 'Automated Measure Calculations (AMC) - 2014 Stage II'),
(542, 'Automated Measure Calculations (AMC) Tracking'),
(543, 'Automated Measures (AMC)'),
(544, 'Automatic'),
(545, 'Automatically create a new encounter when an appointment check in status is selected.'),
(546, 'Automatically create a new encounter when appointment status is set to \"@\" (arrived).'),
(547, 'Automatically replicate justification codes in Fee Sheet'),
(548, 'Automatically replicate justification codes in Fee Sheet (basically fills in the blanks with the justification code above it).'),
(549, 'Automobile Medical'),
(550, 'autosaved'),
(551, 'Available categories'),
(552, 'Available Times'),
(553, 'Available Tracks'),
(554, 'Avaric'),
(555, 'Avery Label type for printing patient labels from popups in left nav screen'),
(556, 'Avestan'),
(557, 'Avg Monthly'),
(558, 'Avulsion / avulsion fracture'),
(559, 'Avulsion lateral malleolus'),
(560, 'Avulsion medial malleolus '),
(561, 'Awareness-Based'),
(562, 'Axillary'),
(563, 'Aymara'),
(564, 'Azerbaijani'),
(565, 'b.i.d.'),
(566, 'Back'),
(567, 'back'),
(568, 'Back eight visits'),
(569, 'Back eleven visits'),
(570, 'Back five visits'),
(571, 'Back four visits'),
(572, 'Back nine visits'),
(573, 'Back one visit'),
(574, 'Back Pain'),
(575, 'Back Problems'),
(576, 'Back seven visits'),
(577, 'Back six visits'),
(578, 'Back Surgery'),
(579, 'Back ten visits'),
(580, 'Back three visits'),
(581, 'Back to Admin Page'),
(582, 'Back to encounter'),
(583, 'Back to Patient'),
(584, 'Back To Patient'),
(585, 'Back to Users'),
(586, 'Back To View'),
(587, 'Back twelve visits'),
(588, 'Back two visits'),
(589, 'Background Services'),
(590, 'Backup'),
(591, 'Backup file has been created. Will now send download.'),
(592, 'Backup List'),
(593, 'Backup Successfully taken in'),
(594, 'Bad check'),
(595, 'Bad debt'),
(596, 'Bahasa Indonesia'),
(597, 'Bal'),
(598, 'Balance'),
(599, 'balance'),
(600, 'Balance Amt'),
(601, 'Balance Due'),
(602, 'Bambara'),
(603, 'Bank Draft'),
(604, 'Barcode Label'),
(605, 'Barcode Label Type'),
(606, 'Barcode type for printing barcode labels from popups in left nav screen.'),
(607, 'Base of fifth (5th) Metarsal'),
(608, 'Base of fifth (5th) Metarsal:'),
(609, 'Bashkir'),
(610, 'Basque'),
(611, 'Batch Claim'),
(612, 'Batch Communication Tool'),
(613, 'Batch Payment Entry'),
(614, 'Batch Payments'),
(615, 'Batch processing initiated; this may take a while.'),
(616, 'Batch Results'),
(617, 'BatchCom'),
(618, 'Be patient, some files can take several minutes to process!'),
(619, 'because that id does not exist.'),
(620, 'Begin'),
(621, 'Begin Date'),
(622, 'Beginning Date for Ledger Report'),
(623, 'Beginning date of service yyyy-mm-dd'),
(624, 'Beginning hour of day for calendar events.'),
(625, 'Belarusian'),
(626, 'Belching'),
(627, 'Below lower panic limits'),
(628, 'Bengali'),
(629, 'Bengali- Bangla'),
(630, 'between'),
(631, 'Bidirectional'),
(632, 'Bihari'),
(633, 'Bilateral'),
(634, 'Bilateral:'),
(635, 'Bill Date'),
(636, 'Bill Date:'),
(637, 'Bill/Collect'),
(638, 'Billed'),
(639, 'Billed Date'),
(640, 'Billing'),
(641, 'Billing (write optional)'),
(642, 'Billing Attn'),
(643, 'Billing Code Descriptions'),
(644, 'Billing Code for Requested Service'),
(645, 'Billing codes'),
(646, 'Billing Data'),
(647, 'Billing Department'),
(648, 'Billing Facility'),
(649, 'Billing Information'),
(650, 'Billing Location'),
(651, 'Billing Log Append'),
(652, 'Billing Log Option'),
(653, 'Billing Log Overwrite'),
(654, 'Billing log setting to append or overwrite the log file.'),
(655, 'Billing Manager'),
(656, 'Billing Note'),
(657, 'Billing Note for '),
(658, 'Billing Note:'),
(659, 'Billing queue results:'),
(660, 'Billing Report'),
(661, 'Billing Status'),
(662, 'Billing Status = Unbilled'),
(663, 'billing to '),
(664, 'Billing View'),
(665, 'Biopsy'),
(666, 'Birth Date'),
(667, 'Birth-24 months'),
(668, 'Bislama'),
(669, 'Black'),
(670, 'Black Lung'),
(671, 'Black or African American'),
(672, 'Bladder Cancer'),
(673, 'Bladder Infections'),
(674, 'Blank Forms'),
(675, 'Bleeding Problems'),
(676, 'Blind Spots'),
(677, 'Bloating'),
(678, 'Blocked'),
(679, 'Blood'),
(680, 'Blood Pressure'),
(681, 'Blood pressure'),
(682, 'Bloody Nose'),
(683, 'Blue Cross Blue Shield'),
(684, 'Blue lines in this report are informational. Black lines show previously existing information.  Green lines show changes that were successfully applied.  Red lines indicate errors, or changes that were not applied; these must be processed manually.  Currently denied claims and payment reversals are not handled automatically and so will appear in red.'),
(685, 'Blurred Vision'),
(686, 'BMI'),
(687, 'BMI Status'),
(688, 'Body'),
(689, 'Body Region'),
(690, 'Body Site'),
(691, 'Body site, if applicable'),
(692, 'Bone Tenderness:'),
(693, 'Bone Tenderness: Medial Malleolus'),
(694, 'Boolean'),
(695, 'Bosnian'),
(696, 'Bot'),
(697, 'Both Ears'),
(698, 'both ears'),
(699, 'Bottom'),
(700, 'Bottom Margin (px)'),
(701, 'BOX 10 A. Employment related '),
(702, 'BOX 10 B. Auto Accident '),
(703, 'BOX 10 C. Other Accident '),
(704, 'BOX 14 Date Qualifier'),
(705, 'BOX 15 Other Date Qualifier'),
(706, 'BOX 15. Date of same or similar illness (yyyy-mm-dd):'),
(707, 'BOX 15. Date of same or similar illness/Other Date (yyyy-mm-dd):'),
(708, 'BOX 16. Date unable to work from (yyyy-mm-dd):'),
(709, 'BOX 16. Date unable to work to (yyyy-mm-dd):'),
(710, 'BOX 18. Hospitalization date from (yyyy-mm-dd): '),
(711, 'BOX 18. Hospitalization date to (yyyy-mm-dd): '),
(712, 'BOX 20. Is Outside Lab used?'),
(713, 'BOX 22. Medicaid Resubmission Code (ICD-9) '),
(714, 'BOX 23. Prior Authorization No. '),
(715, 'BP'),
(716, 'BP Diastolic'),
(717, 'BP Systolic'),
(718, 'BPD'),
(719, 'Bpd'),
(720, 'BPS'),
(721, 'Bps'),
(722, 'Brazilian Portuguese'),
(723, 'Breast'),
(724, 'Breast Biopsy'),
(725, 'Breast Discharge'),
(726, 'Breast Disease'),
(727, 'Breast Exam'),
(728, 'Breast Mass'),
(729, 'Breath'),
(730, 'Breath Sounds:'),
(731, 'Breton'),
(732, 'Broken Bones'),
(733, 'broken form'),
(734, 'Bronchitis Form'),
(735, 'Browse'),
(736, 'Browse for Record'),
(737, 'Bruising/haematoma'),
(738, 'Bulgarian'),
(739, 'Bulging Right:'),
(740, 'Burmese'),
(741, 'Burning with Urination'),
(742, 'Burning With Urination'),
(743, 'Business Phone'),
(744, 'Busy'),
(745, 'but not yet processed.'),
(746, 'Buttock'),
(747, 'Buttock + S.I.'),
(748, 'by'),
(749, 'By'),
(750, 'by mouth'),
(751, 'By/Source'),
(752, 'By:'),
(753, 'C'),
(754, 'CA Certificate for verifying the RFC 5425 TLS syslog server.'),
(755, 'Cache Lifetime (in seconds)'),
(756, 'Cache template output?'),
(757, 'Caffeine consumption'),
(758, 'Calendar'),
(759, 'Calendar Ending Hour'),
(760, 'Calendar Interval'),
(761, 'Calendar Screen'),
(762, 'Calendar Settings'),
(763, 'Calendar Starting Hour'),
(764, 'Calendar UI'),
(765, 'Calendar View'),
(766, 'Call to addForm() goes here.<br>'),
(767, 'Calories'),
(768, 'Cambodian'),
(770, 'Can not set this unless the Summary of Care Sent toggle is set.'),
(771, 'Can\'t find file!'),
(772, 'Can\'t upload'),
(773, 'Canada'),
(774, 'Cancel'),
(775, 'Cancel Changes'),
(776, 'Canceled'),
(777, 'Cancer'),
(778, 'Cancer Screening: Colon Cancer Screening'),
(779, 'Cancer Screening: Mammogram'),
(780, 'Cancer Screening: Pap Smear'),
(781, 'Cancer Screening: Prostate Cancer Screening'),
(782, 'Cannot add this entry because it already exists!'),
(783, 'Cannot add/update this entry because a duplicate already exists!'),
(784, 'cannot be archived, ignored'),
(785, 'cannot be converted to JPEG. Perhaps ImageMagick is not installed?'),
(786, 'cannot be deleted, ignored'),
(787, 'cannot be displayed inline because its type is not supported by the browser.'),
(788, 'cannot be displayed inline becuase its type is not supported by the browser'),
(789, 'cannot be displayed inline becuase its type is not supported by the browser.'),
(790, 'Cannot create'),
(791, 'Cannot create file'),
(792, 'Cannot delete (from SFTP server) file'),
(793, 'Cannot delete file'),
(794, 'Cannot determine a destination filename'),
(795, 'Cannot find '),
(796, 'Cannot find a destination filename'),
(797, 'Cannot find a skip source field for'),
(798, 'Cannot find a skip target field for'),
(799, 'Cannot find patient from SQL-Ledger customer id'),
(800, 'Cannot find postscript document reference in '),
(801, 'Cannot find provider from SQL-Ledger employee = '),
(802, 'Cannot Modify Payments.Undistributed is Negative.'),
(803, 'Cannot open '),
(804, 'Cannot Post for Insurance.The Paying Entity selected is Patient.'),
(805, 'Cannot Post for Patient.The Paying Entity selected is Insurance.'),
(806, 'Cannot Post Payments.Undistributed is Negative.'),
(807, 'Cannot read'),
(808, 'Cannot read directory'),
(809, 'Cannot update because you are not editing an existing entry!'),
(810, 'Capitalize'),
(811, 'Capitalize all'),
(812, 'capsule'),
(813, 'Card'),
(814, 'Cardiac Catheterization'),
(815, 'Cardiac Echo'),
(816, 'Cardiovascular'),
(817, 'Care Coordination'),
(818, 'Care Plan'),
(819, 'Care Plan Form'),
(820, 'Care Team'),
(821, 'Cartilage / chondral / disc damage'),
(822, 'Cartilage injury'),
(823, 'Cartoid pulsations nl, pedal pulses nl'),
(824, 'cash'),
(825, 'Cash'),
(826, 'Cash Rec'),
(827, 'Cash Receipts by Provider'),
(828, 'Catalan- Valencian'),
(829, 'Cataract Surgery'),
(830, 'Cataracts'),
(831, 'Categories'),
(832, 'Categories for'),
(833, 'Category'),
(834, 'category'),
(835, 'Category '),
(836, 'Category Details'),
(837, 'Category Limits'),
(838, 'Category Name'),
(839, 'Category name is empty'),
(840, 'Category/Title'),
(841, 'Caucasian'),
(842, 'Causes Receipts to Print Encounter/Primary Provider Info'),
(843, 'CCD'),
(844, 'CCDA'),
(845, 'CCR'),
(846, 'CCR Approve'),
(847, 'CCR Patient Review'),
(848, 'CCR Review and Approve'),
(849, 'CDC Code'),
(850, 'CDR'),
(851, 'CDR Reports Processing Priority'),
(852, 'Cell'),
(853, 'Cell Phone'),
(854, 'Cell phone number'),
(855, 'Cell Phone Number'),
(856, 'Central Certification'),
(857, 'Central/South American'),
(858, 'Certificate Authority crt file location cannot be empty'),
(859, 'Certificate Authority key file location cannot be empty'),
(860, 'Certificate to send to RFC 5425 TLS syslog server.'),
(861, 'Certificate User'),
(862, 'Certificates'),
(863, 'Chamorro'),
(864, 'ChampUS'),
(865, 'ChampUSVA'),
(866, 'change'),
(867, 'Change'),
(868, 'Change Activity'),
(869, 'Change failed! CouchDB connect error?'),
(870, 'Change in Vision'),
(871, 'Change In Vision'),
(872, 'Change Password'),
(873, 'Change Status for'),
(874, 'Changed'),
(875, 'Changed Bowel'),
(876, 'Changing patient ID for document'),
(877, 'Characteristics'),
(878, 'Characters Remaining'),
(879, 'Charge'),
(880, 'Charge adjustment'),
(881, 'Charge Coded'),
(882, 'Charges'),
(883, 'Chart'),
(884, 'Chart Activity'),
(885, 'Chart Check-in/out Activity Report'),
(886, 'Chart ID'),
(887, 'Chart ID:'),
(888, 'Chart Label'),
(889, 'Chart Location Activity'),
(890, 'Chart Note'),
(891, 'Chart Number'),
(892, 'Chart Storage Locations'),
(893, 'Chart Tracker'),
(894, 'Chart Trk'),
(895, 'Charts Checked Out'),
(896, 'Charts Out'),
(897, 'Chechen'),
(898, 'Check'),
(899, 'check'),
(900, 'Check All'),
(901, 'Check All - Components'),
(902, 'Check Amount'),
(903, 'Check Date'),
(904, 'Check for differences of translations with custom language table.'),
(905, 'Check In'),
(906, 'Check In To'),
(907, 'Check Input Data'),
(908, 'Check items to graph'),
(909, 'Check Lab Results'),
(910, 'Check mark indicates reviewed'),
(911, 'Check No'),
(912, 'Check Number'),
(913, 'Check Out'),
(914, 'Check Out Time'),
(915, 'Check Payment'),
(916, 'Check the box if this is an encrypted file'),
(917, 'Check this if you want providers to see all appointments by default and not just their own.'),
(918, 'Check to create problem from this diagnosis'),
(919, 'Check/EOB Date:'),
(920, 'Check/EOB No.:'),
(921, 'Check/Ref Number'),
(922, 'Check/Reference Number'),
(923, 'Checkbox list'),
(924, 'checkbox list'),
(925, 'checkbox w/ text'),
(926, 'Checkbox w/text'),
(927, 'Checkboxes above indicate if you want to reject and delete the HL7 file.'),
(928, 'Checked'),
(929, 'Checked box = yes ,  empty = no'),
(930, 'Checked Drug Formulary?'),
(931, 'Checking the lock checkbox will prevent any futher edits on any forms in this encounter.'),
(932, 'Checkout'),
(933, 'Checksum'),
(934, 'Chest'),
(935, 'Chest CTAB'),
(936, 'Chest Pain'),
(937, 'Chest Pain:'),
(938, 'Chest Pains'),
(939, 'Chest physician'),
(940, 'Chg'),
(941, 'Chichewa- Chewa- Nyanja'),
(942, 'Chief Complaint'),
(943, 'Child'),
(944, 'Child in-law'),
(945, 'Childhood immunization Status (CQM)'),
(946, 'Chills'),
(947, 'Chinese'),
(948, 'Chinese (Simplified)'),
(949, 'Chinese (Traditional)'),
(950, 'Chiropractic'),
(951, 'Choices'),
(952, 'Cholecystectomy'),
(953, 'cholecystectomy'),
(954, 'Cholecystestomy'),
(955, 'Choose'),
(956, 'Choose a section and click an item within it; then in the other section you will see the related items highlighted, and you can click in that section to add and delete relationships.'),
(957, 'Choose Criteria'),
(958, 'Choose Download or Display Inline'),
(959, 'Choose File'),
(960, 'Choose from list'),
(961, 'Choose Layout Direction'),
(962, 'Choose list'),
(963, 'Choose Paper Size'),
(964, 'Choose PDF languange Preference'),
(965, 'Choose print format for this encounter report.'),
(966, 'Choose your default encounter view'),
(967, 'Chronic Bronchitis'),
(968, 'Chronic Joint Pain'),
(969, 'Chronic Kidney Disease (CKD)'),
(970, 'Chronic synovitis / effusion / joint pain / gout'),
(971, 'Chronic/Recurrent'),
(972, 'Chuvash'),
(973, 'Cirrhosis of the Liver'),
(974, 'Cirrhosis Of The Liver'),
(975, 'City'),
(976, 'City Name'),
(977, 'City, State'),
(978, 'City, State Zip'),
(979, 'City/State'),
(980, 'Claim'),
(981, 'Claim '),
(982, 'Claim Status'),
(983, 'Claim test has completed running'),
(984, 'Claim Type'),
(985, 'Claim was generated to file'),
(986, 'Claim was generated to file '),
(987, 'Claims'),
(988, 'Classification'),
(989, 'Clear'),
(990, 'CLEAR ACTIVE PATIENT'),
(991, 'Clear All'),
(992, 'Clear HL7 Data'),
(993, 'Clear Justification'),
(994, 'Clear Smarty Cache'),
(995, 'Clearing house info required for EDI 270 batch creation.'),
(996, 'CLIA Number'),
(997, 'Click'),
(998, 'Click \'export\' to export your Category, Subcategory, Item, Content data to a text file. Any resemblance of this file to an XML file is purely coincidental. The opening and closing tags must be on the same line, they must be lowercase with no spaces. To import, browse for a file and click \'import\'. If the data is completely different, it will merge with your existing data. If there are similar item names, The old one will be kept and the new one saved with a number added to the end.'),
(999, 'Click a spot on the graphic to add a new annotation, click it again to remove it'),
(1000, 'Click Download Certificate to download the certificates in the file ssl.zip'),
(1001, 'click for more'),
(1002, 'Click for more details'),
(1003, 'Click for order summary'),
(1004, 'Click for results'),
(1005, 'Click here'),
(1006, 'Click Here to add a new patient.'),
(1007, 'Click here to add new injury change status and edit daily activity'),
(1008, 'Click here to choose a date'),
(1009, 'Click here to choose a date and time'),
(1010, 'Click here to choose a start date'),
(1011, 'Click here to choose date time'),
(1012, 'Click here to choose date time from'),
(1013, 'Click here to choose date time to'),
(1014, 'Click Here to Configure This module'),
(1015, 'Click here to delete the row'),
(1016, 'Click Here to Disable This module'),
(1017, 'Click here to duplicate the row'),
(1018, 'Click Here to Enable This module'),
(1019, 'Click Here to Install This module'),
(1020, 'click here to search'),
(1021, 'click here to update priority, category and nickname settings'),
(1022, 'Click here to view all.'),
(1023, 'Click here to view and graph'),
(1024, 'Click here to view and graph all labdata.'),
(1025, 'Click here to view and graph all vitals.'),
(1026, 'Click here to view patient details'),
(1027, 'Click here to view them all.'),
(1028, 'Click here to view/edit more details'),
(1029, 'Click Install button to install database release from the following date'),
(1030, 'Click on any of the time parts to increase it'),
(1031, 'Click Patient Name to Open Patient File'),
(1032, 'Click Refresh to view all results, or please input search criteria above to view specific results.'),
(1033, 'Click to add a diagnosis'),
(1034, 'Click to add new components'),
(1035, 'Click to add new consultation'),
(1036, 'Click to choose diagnoses to justify.'),
(1037, 'Click to download'),
(1038, 'Click to edit'),
(1039, 'Click to edit description'),
(1040, 'Click to edit this event'),
(1041, 'Click to generate the report'),
(1042, 'Click to match patient'),
(1043, 'Click to print'),
(1044, 'Click to receive (add) new lot'),
(1045, 'Click to select'),
(1046, 'Click To Select'),
(1047, 'Click to select an industry-standard code for this procedure'),
(1048, 'Click to select optional procedure code'),
(1049, 'Click to select or change coding'),
(1050, 'Click to select or change CVX code'),
(1051, 'Click to select or change diagnoses'),
(1052, 'Click to select or change service codes'),
(1053, 'Click to select patient'),
(1054, 'Click to select related code'),
(1055, 'Click to select services to perform if this result is abnormal'),
(1056, 'Click to select the desired procedure'),
(1057, 'Click to sort'),
(1058, 'Click to view'),
(1059, 'Click to view or edit'),
(1060, 'Click to view/edit'),
(1061, 'Click Upgrade button to upgrade database release from the following date'),
(1062, 'Click where indicated above to match the patient.'),
(1063, 'Click:'),
(1064, 'Client Certificate Expiration Days'),
(1065, 'Client certificate validation period'),
(1066, 'Client certificate validity should be a valid number.'),
(1067, 'Client Copy'),
(1068, 'Client ID'),
(1069, 'Client medical history summary'),
(1070, 'Client Name'),
(1071, 'Client Number'),
(1072, 'Client Profile - New Clients'),
(1073, 'Client Profile - Unique Clients'),
(1074, 'Clients'),
(1075, 'Clinic'),
(1076, 'Clinic Copy'),
(1077, 'Clinic Daily Record'),
(1078, 'Clinic ID'),
(1079, 'Clinical'),
(1080, 'Clinical Decision Rules Alert Manager'),
(1081, 'Clinical History'),
(1082, 'Clinical Instructions Form'),
(1083, 'Clinical Plans'),
(1084, 'Clinical Quality Measures (CQM)'),
(1085, 'Clinical Quality Measures (CQM) - 2011'),
(1086, 'Clinical Quality Measures (CQM) - 2014'),
(1087, 'Clinical Reminders'),
(1088, 'Clinical Reports'),
(1089, 'Clinical Rule Action Category'),
(1090, 'Clinical Rule Action Item'),
(1091, 'Clinical Rule Filter Methods'),
(1092, 'Clinical Rule Target Methods'),
(1093, 'Clinical Rules'),
(1094, 'Clinical Rules Age Intervals'),
(1095, 'Clinical Rules Comparisons'),
(1096, 'Clinical Rules Encounter Types'),
(1097, 'Clinical Rules Reminder Due Options'),
(1098, 'Clinical Rules Reminder Inactivation Options'),
(1099, 'Clinical Rules Reminder Intervals'),
(1100, 'Clinical Rules Reminder Methods'),
(1101, 'Clinical Rules Target Intervals'),
(1102, 'Clinical targets'),
(1103, 'Clinical Term'),
(1104, 'Clinical Term Code(s)'),
(1105, 'Clinical View'),
(1106, 'Clinicians'),
(1107, 'Clone'),
(1108, 'Clone Past Visit'),
(1109, 'Close'),
(1110, 'Close Window'),
(1111, 'close window'),
(1112, 'Closed'),
(1113, 'cm'),
(1114, 'CMS 1500 Margins'),
(1115, 'CMS 1500 Paper Form Format'),
(1116, 'CMS 1500: Box 31 Format'),
(1117, 'CMS 1500: Date in Box 31 (Signature)'),
(1118, 'CMS ID'),
(1119, 'CMS Portal'),
(1120, 'CMS Portal Login'),
(1121, 'CMS Portal Login ID'),
(1122, 'CMS Portal not enabled!'),
(1123, 'CMS Portal Password'),
(1124, 'CMS Portal Request'),
(1125, 'CMS Portal Site Address'),
(1126, 'CMS Portal Username'),
(1127, 'CN2-12 intact'),
(1128, 'Co Pay'),
(1129, 'Co Pay Paid'),
(1130, 'CO-PAY'),
(1131, 'Code'),
(1132, 'code'),
(1133, 'Code Finder'),
(1134, 'Code must be two letter lowercase'),
(1135, 'Code or symbol to indicate currency'),
(1136, 'Code Text'),
(1137, 'Code Type'),
(1138, 'code type'),
(1139, 'Code type not recognized'),
(1140, 'Code type not yet defined'),
(1141, 'Code Types'),
(1142, 'Code(s)'),
(1143, 'Coded'),
(1144, 'Codes'),
(1145, 'Coding'),
(1146, 'Coding (click for education)'),
(1147, 'Coding - any encounters (write,wsome optional)'),
(1148, 'Coding - my encounters (write,wsome optional)'),
(1149, 'Coding not authorized'),
(1150, 'Coffee'),
(1151, 'Coffee Use'),
(1152, 'Coinsurance'),
(1153, 'Coll w/o'),
(1154, 'Collapse'),
(1155, 'collapse'),
(1156, 'Collapse All'),
(1157, 'Collapse all'),
(1158, 'collapse all'),
(1159, 'Collected'),
(1160, 'Collection Date'),
(1161, 'Collections'),
(1162, 'Collections Report'),
(1163, 'Colon Cancer'),
(1164, 'Colon Cancer Screening'),
(1165, 'Colon Cancer Surgery'),
(1166, 'Colonoscopy'),
(1167, 'colonoscopy'),
(1168, 'Color'),
(1169, 'Color:Abbr'),
(1170, 'Column'),
(1171, 'Columns'),
(1172, 'Combining Lots'),
(1173, 'Comma'),
(1174, 'Comment'),
(1175, 'Comments'),
(1176, 'Comments for this result or recommendation'),
(1177, 'Commercial Insurance Co.'),
(1178, 'Commit Changes'),
(1179, 'Communication'),
(1180, 'Communications'),
(1181, 'Community health physician'),
(1182, 'Company'),
(1183, 'Company Name'),
(1184, 'Complete'),
(1185, 'Complete Visit Time'),
(1186, 'Completed'),
(1187, 'completed'),
(1188, 'Completed?'),
(1189, 'Completion Status'),
(1190, 'Complications by Service Provider'),
(1191, 'Complications of Abortion'),
(1192, 'Components'),
(1193, 'Computer Aided Medical Ordering System'),
(1194, 'Conclusions'),
(1195, 'Condition'),
(1196, 'Condition field not found'),
(1197, 'Condition Status'),
(1198, 'Config'),
(1199, 'Configuration'),
(1200, 'Configuration Export/Import'),
(1201, 'Configuration saved successfully'),
(1202, 'Configure Apache and LibreEHR to use Client side SSL certificates.'),
(1203, 'Configure Apache to use Client side SSL certificates'),
(1204, 'Configure Apache to use HTTPS.'),
(1205, 'Configure LIBREEHR to use Client side SSL certificates'),
(1206, 'Configure tracks'),
(1207, 'Configure Tracks'),
(1208, 'Confirm Create New Patient'),
(1209, 'Confirm New Password'),
(1210, 'Confirm Payment'),
(1211, 'Conflicted Allergies'),
(1212, 'Conflicted Medications'),
(1213, 'Conflicted Problems'),
(1214, 'Congenital'),
(1215, 'Conjuntiva, pupils'),
(1216, 'Connection error'),
(1217, 'Connectors'),
(1218, 'Constant'),
(1219, 'constant name'),
(1220, 'Constant name is blank'),
(1221, 'constants'),
(1222, 'Constipation'),
(1223, 'Constitutional'),
(1224, 'Construction Firm'),
(1225, 'Consultant physician'),
(1226, 'Consultation Brief Description'),
(1227, 'Contact'),
(1228, 'Contact Email'),
(1229, 'Contact Email Address'),
(1230, 'Contact EMR Direct to subscribe to the phiMail Direct messaging service'),
(1231, 'contact info'),
(1232, 'Contact Lenses'),
(1233, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.'),
(1234, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service'),
(1235, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing to the NewCrop eRx service.'),
(1236, 'Contact name'),
(1237, 'Contact Person'),
(1238, 'Contact Phone'),
(1239, 'Contact Phone Number'),
(1240, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service'),
(1241, 'contain at least three of the four following items:'),
(1242, 'Container Group Name'),
(1243, 'Content'),
(1244, 'content'),
(1245, 'Context'),
(1246, 'Context name can\'t be empty'),
(1247, 'Continue'),
(1248, 'Continuity of Care Document (CCD)'),
(1249, 'Continuity of Care Record (CCR)'),
(1250, 'Contra Clients'),
(1251, 'Contraception'),
(1252, 'Contraception Issues'),
(1253, 'Contraceptive Complication (specify)'),
(1254, 'Contraceptive Method'),
(1255, 'Contraceptive Products'),
(1256, 'Contraceptive services previously started'),
(1257, 'Contraceptives Start'),
(1258, 'Control ID'),
(1259, 'Control No.'),
(1260, 'Controlled Substance?'),
(1261, 'COPAY'),
(1262, 'Copay'),
(1263, 'CoPay'),
(1264, 'Copay not positive'),
(1265, 'Copay Paid'),
(1266, 'Copays'),
(1267, 'COPD'),
(1268, 'Copy Pages to Patient Chart'),
(1269, 'Copy Values'),
(1270, 'Copying the database file. This will take some time...'),
(1271, 'Copyright Notice'),
(1272, 'Cornish'),
(1273, 'Coronary Artery Bypass'),
(1274, 'Coronary Artery Bypass Graft (CABG)'),
(1275, 'Corrected'),
(1276, 'Corsican'),
(1277, 'CouchDB'),
(1278, 'CouchDB Connection Failed.'),
(1279, 'CouchDB Database'),
(1280, 'CouchDB database name'),
(1281, 'CouchDB host'),
(1282, 'CouchDB HostName'),
(1283, 'CouchDB Log Enable'),
(1284, 'CouchDB Password'),
(1285, 'CouchDB Port'),
(1286, 'CouchDB port'),
(1287, 'CouchDB save failed'),
(1288, 'CouchDB UserName'),
(1289, 'Cough'),
(1290, 'Cough:'),
(1291, 'could not connect to server'),
(1292, 'Could not import the document. Please contact the EMR vendor.'),
(1293, 'could not open table'),
(1294, 'Could not read file'),
(1295, 'Could not read the file'),
(1296, 'Could not send email due to a server problem, '),
(1297, 'Could not send email due to a server problem. '),
(1298, 'Couldn\'t create backup dir:'),
(1299, 'Couldn\'t remove dir:'),
(1300, 'Couldn\'t remove old backup file:'),
(1301, 'Couldn\'t remove old export file: '),
(1302, 'Coumadin Management - INR Monitoring'),
(1303, 'Couns by Method'),
(1304, 'Counseling'),
(1305, 'Counseling activities'),
(1306, 'COUNTER REFERRAL FORM'),
(1307, 'Counter-Referral'),
(1308, 'Country'),
(1309, 'Country Data Type'),
(1310, 'Country list'),
(1311, 'Country List (write,addonly optional)'),
(1312, 'Country Name should be represent in two letters. (Example: United States is US)'),
(1313, 'county'),
(1314, 'County'),
(1315, 'Coupon'),
(1316, 'Cousin'),
(1317, 'CPOE'),
(1318, 'CPT'),
(1319, 'CPT Code'),
(1320, 'CPT Codes'),
(1321, 'CPT4 Procedure/Service'),
(1322, 'CPTII Performance Measures'),
(1323, 'CQM'),
(1324, 'Crackles:'),
(1325, 'cream'),
(1326, 'Create a Client side SSL certificate for each user or client machine.'),
(1327, 'Create a client side SSL certificate for either a user or a client hostname.'),
(1328, 'Create a new track'),
(1329, 'Create an Event'),
(1330, 'Create and download a full backup'),
(1331, 'Create and modify tracks'),
(1332, 'Create Backup'),
(1333, 'Create batch'),
(1334, 'Create Client Certificate'),
(1335, 'Create Client side SSL certificates'),
(1336, 'Create Duplicate'),
(1337, 'Create Encounter'),
(1338, 'Create Eventlog Backup'),
(1339, 'Create new issue'),
(1340, 'Create New Patient'),
(1341, 'Create new Track'),
(1342, 'Create Offsite Portal Credentials'),
(1343, 'Create Onsite Portal Credentials'),
(1344, 'Create Patient Note'),
(1345, 'Create the SSL Certificate Authority and Server certificates.'),
(1346, 'Create Visit'),
(1347, 'Created'),
(1348, 'Creating export file'),
(1349, 'Creating new track failed'),
(1350, 'Creating this file on remote host failed'),
(1351, 'Creator'),
(1352, 'credit'),
(1353, 'Credit Card'),
(1354, 'Credits'),
(1355, 'Cree'),
(1356, 'Criteria'),
(1357, 'Croatian'),
(1358, 'Crohn\'s Disease'),
(1359, 'Crohns Disease'),
(1360, 'CSV Export'),
(1361, 'CSV File'),
(1362, 'CSV Tables'),
(1363, 'CU.MM'),
(1364, 'Cuban'),
(1365, 'Currency Decimal Places'),
(1366, 'Currency Decimal Point Symbol'),
(1367, 'Currency Designator'),
(1368, 'Currency Thousands Separator'),
(1369, 'Current'),
(1370, 'Current Alcohol'),
(1371, 'Current Consultation'),
(1372, 'Current Criteria'),
(1373, 'Current day highlight color'),
(1374, 'Current every day smoker'),
(1375, 'Current file name was changed to'),
(1376, 'Current Hash'),
(1377, 'Current Location'),
(1378, 'Current Medications'),
(1379, 'Current Password'),
(1380, 'Current Patient'),
(1381, 'Current Pt Only'),
(1382, 'Current Recreational Drugs'),
(1383, 'Current some day smoker'),
(1384, 'Current Status Time'),
(1385, 'Current Value'),
(1386, 'Currently Active'),
(1387, 'Currently Running'),
(1388, 'Currently there are no facilities.'),
(1389, 'Cushing Syndrom'),
(1390, 'Cushing Syndrome'),
(1391, 'Custodian'),
(1392, 'Custom'),
(1393, 'Custom input?'),
(1394, 'Custom Table'),
(1395, 'Cvx Code'),
(1396, 'CVX Code'),
(1397, 'CVX Code Mapping'),
(1398, 'CVX Immunization'),
(1399, 'Cycle'),
(1400, 'CYP'),
(1401, 'CYP Factor'),
(1402, 'CYP Report'),
(1403, 'Czech'),
(1404, 'D'),
(1405, 'D&C'),
(1406, 'D&E'),
(1407, 'D.O.B.'),
(1408, 'daily'),
(1409, 'Daily Record'),
(1410, 'Danish'),
(1411, 'Data Alike is already in database, please change code and/or description'),
(1412, 'Data Alike is already in database, please change constant name'),
(1413, 'Data Cols'),
(1414, 'Data Enterer'),
(1415, 'Data Entry - Social Security Number'),
(1416, 'Data Error'),
(1417, 'Data from'),
(1418, 'Data integrity has been compromised'),
(1419, 'data of all encounters so far'),
(1420, 'Data Type'),
(1421, 'Database'),
(1422, 'Database is not installed.'),
(1423, 'Database Patch'),
(1424, 'Database Reporting'),
(1425, 'Database upgrade finished.'),
(1426, 'DataCols must be a number between 1 and 999'),
(1427, 'Date'),
(1428, 'DATE'),
(1429, 'Date & Time Administered'),
(1430, 'Date / Time'),
(1431, 'Date Administered'),
(1432, 'Date and time of sample collection'),
(1433, 'Date and time of this observation'),
(1434, 'Date and time of this report'),
(1435, 'Date and time that the sample was collected'),
(1436, 'Date Cannot be greater than Today'),
(1437, 'Date contraceptive services initially provided'),
(1438, 'Date Created'),
(1439, 'Date Deceased'),
(1440, 'Date Destroyed'),
(1441, 'Date Display Format'),
(1442, 'Date format for \"appointment end\" is not valid'),
(1443, 'Date format for \"appointment start\" is not valid'),
(1444, 'Date format for \"Next Appointment\" is not valid'),
(1445, 'Date format for \"not seen since\" is not valid'),
(1446, 'Date format for \"seen since\" is not valid'),
(1447, 'Date Immunization Information Statements Given'),
(1448, 'Date is missing for code '),
(1449, 'Date Master Criteria'),
(1450, 'Date of bank deposit yyyy-mm-dd'),
(1451, 'Date of Billing'),
(1452, 'Date of Birth'),
(1453, 'Date of birth'),
(1454, 'Date Of Birth'),
(1455, 'Date of Entry'),
(1456, 'Date of Injury'),
(1457, 'Date of Onset'),
(1458, 'Date of payment yyyy-mm-dd'),
(1459, 'Date of referral'),
(1460, 'Date of reply'),
(1461, 'Date of Report'),
(1462, 'Date of Service'),
(1463, 'Date Of Service'),
(1464, 'Date of Service = Today'),
(1465, 'Date of service mm/dd/yyyy'),
(1466, 'Date of Service:'),
(1467, 'Date Of Signature'),
(1468, 'Date of Status Change'),
(1469, 'Date of this order'),
(1470, 'Date of this report'),
(1471, 'Date of VIS Statement'),
(1472, 'Date Ordered'),
(1473, 'Date Range'),
(1474, 'Date Selector'),
(1475, 'Date selector'),
(1476, 'Date Sent'),
(1477, 'Date The Message Was Sent'),
(1478, 'Date Time'),
(1479, 'Date values Cannot be Blank.'),
(1480, 'Date/Appt'),
(1481, 'Date/Notes'),
(1482, 'Date/Notes of Last'),
(1483, 'Date/Time'),
(1484, 'Date:'),
(1485, 'Dated Message Log'),
(1486, 'Day'),
(1487, 'day'),
(1488, 'Day Sheet Report'),
(1489, 'Day View'),
(1490, 'Day(s)'),
(1491, 'Day(s) M-F'),
(1492, 'days'),
(1493, 'Days'),
(1494, 'days ago'),
(1495, 'Days and Games Missed'),
(1496, 'Days From Last Encounter'),
(1497, 'Days Missed'),
(1498, 'Days per Column:'),
(1499, 'Days/Col'),
(1500, 'Days/Col:'),
(1501, 'DB installed'),
(1502, 'DD/MM/YYYY'),
(1503, 'De Identification'),
(1504, 'De Identification Process is completed'),
(1505, 'De Identification Process is ongoing'),
(1506, 'De Identification process is started and running in background'),
(1507, 'De Identified data may not be complete'),
(1508, 'De-identification files will be saved in'),
(1509, 'DEA'),
(1510, 'Deactivate'),
(1511, 'Deaf'),
(1512, 'Debug Information'),
(1513, 'DEBUG OUTPUT'),
(1514, 'Debugging'),
(1515, 'Dec'),
(1516, 'DECEASED'),
(1517, 'December'),
(1518, 'Decimal pounds or pounds and ounces separated by #(e.g. 5#4)'),
(1519, 'Declined To Specify'),
(1520, 'Deductible'),
(1521, 'Deductible Met'),
(1522, 'Default'),
(1523, 'Default Calendar View'),
(1524, 'Default Encounter Form ID'),
(1525, 'Default Encounter View'),
(1526, 'Default Facility'),
(1527, 'Default Language'),
(1528, 'Default language if no other is allowed or chosen.'),
(1529, 'Default List (write,addonly optional)'),
(1530, 'Default Method'),
(1531, 'Default Password Expiration Days'),
(1532, 'Default password expiration period in days. 0 means this feature is disabled.'),
(1533, 'Default Patient Country'),
(1534, 'Default Patient Country sent to NewCrop eRx, only if patient country is not set.'),
(1535, 'Default Priority'),
(1536, 'Default Provider'),
(1537, 'Default Range'),
(1538, 'Default Reason for Visit'),
(1539, 'Default Search Code Type'),
(1540, 'Default Setting'),
(1541, 'Default state of New Window checkbox in the patient list.'),
(1542, 'Default Template'),
(1543, 'Default to a provider for line item in the fee sheet'),
(1544, 'Default to a provider for line item in the fee sheet.(only applicable if Support line item billing in option above)'),
(1545, 'Default to previous value'),
(1546, 'Default Units'),
(1547, 'Default Value'),
(1548, 'Default Warehouse'),
(1549, 'Default X12 Partner'),
(1550, 'Default/Global'),
(1551, 'Del'),
(1552, 'del'),
(1553, 'Delayed Recurrence (> 12 Mo)'),
(1554, 'Delete'),
(1555, 'delete'),
(1556, 'Delete Categories with ID(s) : '),
(1557, 'Delete Category'),
(1558, 'Delete Encounter Form'),
(1559, 'Delete failed!'),
(1560, 'Delete Group'),
(1561, 'Delete List'),
(1562, 'Delete Pages'),
(1563, 'Delete Patient, Encounter, Form, Issue, Document, Payment, Billing or Transaction'),
(1564, 'Delete Plan'),
(1565, 'Delete Row'),
(1566, 'Delete Selected Items'),
(1567, 'Delete Selected Requests'),
(1568, 'Delete successful.'),
(1569, 'Delete this document'),
(1570, 'Delete this form'),
(1571, 'Delete this note'),
(1572, 'Deleted Successfully'),
(1573, 'Deleted Successfully.'),
(1574, 'Deleting'),
(1575, 'Deleting this event cannot be undone. It cannot be recovered once it is gone. Are you sure you wish to delete this event?'),
(1576, 'Delivery Confirmed'),
(1577, 'Delivery is not allowed to the specified Direct Address.'),
(1578, 'Delivery is not currently permitted to the specified Direct Address.'),
(1579, 'Delivery of the attached clinical document was requested by the patient'),
(1580, 'Delivery of the attached clinical document was requested by the patient.'),
(1581, 'Dementia'),
(1582, 'Demographics'),
(1583, 'Demographics (write,addonly optional)'),
(1584, 'Demographics Fields'),
(1585, 'Demographics filter criteria'),
(1586, 'Demographics not authorized'),
(1587, 'Demographics not authorized.'),
(1588, 'Denied'),
(1589, 'Denominator'),
(1590, 'Dental'),
(1591, 'Dental Issue List'),
(1592, 'Dental Issues'),
(1593, 'Dependency Modules'),
(1594, 'Dependency Problem'),
(1595, 'Depending on the type of bill you are testing you will see HCFA like output on a blank page for HCFA bills, you will see many lines of somewhat garbled text  and information if you are testing an X12 claim. That garbled text is the X12 EDI 4010A format. Occasionally you will see odd characters that look like dominoes or  squiglies, these are control characters such as page feeds and are normal.'),
(1596, 'Deposit Date'),
(1597, 'Deposit Date Cannot be greater than Today'),
(1598, 'Deposit Date:'),
(1599, 'Depressed'),
(1600, 'Depression'),
(1601, 'DESC'),
(1602, 'Description'),
(1603, 'description'),
(1604, 'Description is default text'),
(1605, 'Description of the Disclosure'),
(1606, 'Description of this procedure or result code'),
(1607, 'Description Translation'),
(1608, 'Desired Filename'),
(1609, 'Destination'),
(1610, 'Destination Filename'),
(1611, 'Destroy Lot'),
(1612, 'Destroy...'),
(1613, 'Destroyed'),
(1614, 'Destroyed Drugs'),
(1615, 'Destroyed Drugs Report'),
(1616, 'Detail'),
(1617, 'Details'),
(1618, 'Developer'),
(1619, 'Developmental abnormality'),
(1620, 'Diabetes'),
(1621, 'Diabetes Mellitus'),
(1622, 'Diabetes: Blood Pressure Management (CQM)'),
(1623, 'Diabetes: Eye Exam'),
(1624, 'Diabetes: Eye Exam (CQM)'),
(1625, 'Diabetes: Foot Exam'),
(1626, 'Diabetes: Foot Exam (CQM)'),
(1627, 'Diabetes: HbA1c Poor Control (CQM)'),
(1628, 'Diabetes: Hemoglobin A1C'),
(1629, 'Diabetes: LDL Management & Control (CQM)'),
(1630, 'Diabetes: Urine Microalbumin'),
(1631, 'Diag'),
(1632, 'Diagnoses'),
(1633, 'Diagnosis'),
(1634, 'Diagnosis Code'),
(1635, 'Diagnosis Codes'),
(1636, 'Diagnosis Date'),
(1637, 'Diagnosis must be coded into a linked encounter'),
(1638, 'Diagnosis Name'),
(1639, 'Diagnosis Report'),
(1640, 'Diagnosis Reporting'),
(1641, 'Diagnosis Reporting Only'),
(1642, 'Diagnosis Title'),
(1643, 'Diagnosis:'),
(1644, 'Diagnosis: '),
(1645, 'Diagnostic Tests:'),
(1646, 'Dials'),
(1647, 'Diaphragms/Caps'),
(1648, 'Diarrhea'),
(1649, 'Diastolic'),
(1650, 'Dictation'),
(1651, 'Dictation: '),
(1652, 'Did you receive a copy of the HIPAA Notice?'),
(1653, 'Diffuse:'),
(1654, 'Digitally Signed'),
(1655, 'DIRECT ADDRESS'),
(1656, 'Direct Address'),
(1657, 'Direct Mail'),
(1658, 'Direct Message Log'),
(1659, 'Direct Message Received.'),
(1660, 'Direct messaging is currently unavailable.'),
(1661, 'Direct Messaging Send Failure.'),
(1662, 'Directions'),
(1663, 'Director Name'),
(1664, 'Directory delete failed; continuing.'),
(1665, 'Disability'),
(1666, 'Disable'),
(1667, 'Disable Calendar'),
(1668, 'Disable Chart Tracker'),
(1669, 'Disable Immunizations'),
(1670, 'Disable Old Metric Vitals Form'),
(1671, 'Disable Patient Flow Board'),
(1672, 'Disable phpMyAdmin'),
(1673, 'Disable Prescriptions'),
(1674, 'Disable User Groups'),
(1675, 'disabled'),
(1676, 'Disabled'),
(1677, 'Disabled Beneficiary Under Age 65 with Large Group Health Plan (LGHP)'),
(1678, 'DISC'),
(1679, 'Discard'),
(1680, 'Discarded'),
(1681, 'Discharge'),
(1682, 'Discharge From Urethra'),
(1683, 'Discharge Medications'),
(1684, 'Discharge Right'),
(1685, 'Discharge Right:'),
(1686, 'Discharge Summary'),
(1687, 'Discharge Time'),
(1688, 'Discharged'),
(1689, 'Disclosure Info'),
(1690, 'Disclosure Type'),
(1691, 'Disclosure Types'),
(1692, 'Disclosures'),
(1693, 'Discontinue'),
(1694, 'Discount'),
(1695, 'Discount Amount'),
(1696, 'Discount Level'),
(1697, 'Discount Percentage'),
(1698, 'Discounts as Monetary Amounts'),
(1699, 'Discounts at checkout time are entered as money amounts, as opposed to percentage.'),
(1700, 'Discrete Result'),
(1701, 'Disease'),
(1702, 'Dislocation'),
(1703, 'Disp #'),
(1704, 'Dispatch'),
(1705, 'Dispatch Received Document'),
(1706, 'Dispensed'),
(1707, 'Display advance directives in the demographics page.'),
(1708, 'Display Documents'),
(1709, 'Display event dates in block?'),
(1710, 'Display Format for US Weights'),
(1711, 'Display how many events?'),
(1712, 'Display Invoice Number or Patient Name or Both in the Sales Report'),
(1713, 'Display location in block?'),
(1714, 'Display Name'),
(1715, 'Display the calendar?'),
(1716, 'Display the Encounter Billing Note or Patient Billing Note or Both in the Billing Screen.'),
(1717, 'Display the Units Column on the Billing Screen'),
(1718, 'Display today\'s events in the block?'),
(1719, 'Display topic in block?'),
(1720, 'Display upcoming events in block?'),
(1721, 'Displayed Columns'),
(1722, 'Displaying the following number of most recent disclosures:'),
(1723, 'Displaying the following number of most recent notes'),
(1724, 'Displaying the following number of most recent notes:'),
(1725, 'Distribution'),
(1726, 'Distributions'),
(1727, 'Distributor'),
(1728, 'Divehi- Dhivehi- Maldivian-'),
(1729, 'Diverticulitis'),
(1730, 'Diverticulitis Surgery'),
(1731, 'Divirticulitis'),
(1732, 'Divirticulitis Surgery'),
(1733, 'Divorced'),
(1734, 'Dizziness:'),
(1735, 'Do not change'),
(1736, 'Do not display Allergies uploaded after visiting NewCrop eRx.'),
(1737, 'Do not display Allergy uploaded to NewCrop'),
(1738, 'Do not display Medications uploaded after visiting NewCrop eRx.'),
(1739, 'Do not display Medications uploaded to NewCrop'),
(1740, 'Do not display NewCrop eRx Allergy uploaded'),
(1741, 'Do not display NewCrop eRx Medications uploaded'),
(1742, 'Do not display the calendar.'),
(1743, 'Do not display the patient flow board.'),
(1744, 'Do not inventory and sell any products'),
(1745, 'Do not require patient notes to be authorized'),
(1746, 'Do Not Resuscitate Order'),
(1747, 'do not save'),
(1748, 'do not substitute'),
(1749, 'do nothing'),
(1750, 'Do You Really Want to Continue'),
(1751, 'Do you really want to delete'),
(1752, 'Do you really want to delete the selection?'),
(1753, 'Do you really want to delete this group'),
(1754, 'Do you really want to delete?'),
(1755, 'Do you want to continue?'),
(1756, 'Do you want to delete this?'),
(1757, 'Do you want to delete?'),
(1758, 'Do you want to remove this record?'),
(1759, 'Do you wish to continue adding this new patient?'),
(1760, 'Do you wish to continue with the new name?'),
(1761, 'Do you wish to PERMANENTLY delete this immunization record?'),
(1762, 'DOB'),
(1763, 'DOB is missing, please enter if possible'),
(1764, 'Docs'),
(1765, 'Doctor'),
(1766, 'Doctor:'),
(1767, 'Doctor\'s name and signature'),
(1768, 'Document'),
(1769, 'document'),
(1770, 'Document Categories'),
(1771, 'Document category for lab results does not exist'),
(1772, 'Document category name for storage of electronically received lab results.'),
(1773, 'Document category name for storage of electronically received MDM documents.'),
(1774, 'Document Category or Discard'),
(1775, 'Document could not be moved to patient id'),
(1776, 'Document created'),
(1777, 'Document Date'),
(1778, 'Document date and issue updated successfully'),
(1779, 'Document ID'),
(1780, 'Document moved to new category'),
(1781, 'Document moved to patient id'),
(1782, 'Document passed integrity check'),
(1783, 'Document passed integrity check.'),
(1784, 'Document Storage Method'),
(1785, 'Document successfully renamed.'),
(1786, 'Document tagged to Encounter successfully'),
(1787, 'Document Template Management'),
(1788, 'Document Templates'),
(1789, 'Document(s)'),
(1790, 'Document/Imaging Store'),
(1791, 'Documents'),
(1792, 'Documents (write,addonly optional)'),
(1793, 'DOC{{document format}}'),
(1794, 'DOE'),
(1795, 'Does not equal'),
(1796, 'does not match the PV1 encounter number'),
(1797, 'does not seem valid'),
(1798, 'Does this type allow related codes?'),
(1799, 'Domestic Partner'),
(1800, 'Don\'t Save'),
(1801, 'Don\'t Save'),
(1802, 'Don\'t Save Changes'),
(1803, 'Done'),
(1804, 'Done with:'),
(1805, 'Done.  Will now send download.'),
(1806, 'DOS'),
(1807, 'Dosage'),
(1808, 'Dose'),
(1809, 'double click to edit'),
(1810, 'Double Vision'),
(1811, 'Download'),
(1812, 'DOWNLOAD'),
(1813, 'Download all patient documents'),
(1814, 'Download Anyway'),
(1815, 'Download billing file, post to accounting and mark as billed'),
(1816, 'Download CCDA file'),
(1817, 'Download Certificates'),
(1818, 'Download configuration data'),
(1819, 'Download document template for this patient and visit'),
(1820, 'download encrypted file'),
(1821, 'Download Fax'),
(1822, 'Download HL7 file'),
(1823, 'Download Offsite Portal Connection Files'),
(1824, 'Download or Delete a Template'),
(1825, 'Download PDF'),
(1826, 'Download QRDA Category III File'),
(1827, 'Download Selected Statements'),
(1828, 'Dr Check'),
(1829, 'Dr Visit'),
(1830, 'Dr.'),
(1831, 'Drag to move'),
(1832, 'Dribbling'),
(1833, 'Drivers License or State ID'),
(1834, 'Drug'),
(1835, 'Drug Finder'),
(1836, 'Drug Forms'),
(1837, 'Drug ID missing!'),
(1838, 'Drug Intervals'),
(1839, 'Drug Inventory'),
(1840, 'Drug Name'),
(1841, 'Drug Routes'),
(1842, 'Drug Screen'),
(1843, 'Drug Screen Completed'),
(1844, 'Drug Screen Report'),
(1845, 'Drug Units'),
(1846, 'Drugs'),
(1847, 'Drugs and Products'),
(1848, 'Dry Mouth'),
(1849, 'DSMIV Diagnosis'),
(1850, 'DT 1'),
(1851, 'DT 2'),
(1852, 'DT 3'),
(1853, 'DT 4'),
(1854, 'DT 5'),
(1855, 'DTaP 1'),
(1856, 'DTaP 2'),
(1857, 'DTaP 3'),
(1858, 'DTaP 4'),
(1859, 'DTaP 5'),
(1860, 'Due'),
(1861, 'Due Date'),
(1862, 'Due date mm/dd/yyyy or yyyy-mm-dd'),
(1863, 'Due Date:'),
(1864, 'Due Ins'),
(1865, 'Due Pt'),
(1866, 'Due Soon'),
(1867, 'Due Status'),
(1868, 'Due Status Update'),
(1869, 'Dumping LibreEHR database'),
(1870, 'Dumping LibreEHR web directory tree'),
(1871, 'Dumping phpGACL database'),
(1872, 'Dumping phpGACL web directory tree'),
(1873, 'Dumping SQL-Ledger database'),
(1874, 'Dumping SQL-Ledger web directory tree'),
(1875, 'Dup Check'),
(1876, 'Duplicated ID on line'),
(1877, 'Duplicated name on line'),
(1878, 'DUPLICATION WARNING'),
(1879, 'Durable Power of Attorney'),
(1880, 'duration'),
(1881, 'Duration'),
(1882, 'Dutch'),
(1883, 'Dx Rep'),
(1884, 'Dysphagia'),
(1885, 'Dyspnea:'),
(1886, 'Dysuria'),
(1887, 'Dzongkha'),
(1888, 'E-Prescription?'),
(1889, 'E-Reports'),
(1890, 'e-Rx'),
(1891, 'e-Rx EPCS'),
(1892, 'e-Rx Renewal'),
(1893, 'Each recipient must set their own messages as completed.'),
(1894, 'Early Recurrence (<2 Mo)'),
(1895, 'Ears'),
(1896, 'ECG'),
(1897, 'eClaims'),
(1898, 'Edema'),
(1899, 'edi history'),
(1900, 'EDI History'),
(1901, 'EDI History (under Fees) for storing and interpreting EDI claim response files'),
(1902, 'EDI-271 File Upload'),
(1903, 'EDI-271 Response File Upload'),
(1904, 'Edit'),
(1905, 'edit'),
(1906, 'Edit Allergies'),
(1907, 'Edit Categories'),
(1908, 'Edit Definitions'),
(1909, 'Edit definitions'),
(1910, 'Edit Diagnoses for'),
(1911, 'Edit Disclosure'),
(1912, 'Edit Facilities'),
(1913, 'Edit Facility'),
(1914, 'Edit Facility Information'),
(1915, 'Edit Facility Specific User Information'),
(1916, 'Edit File in'),
(1917, 'Edit form'),
(1918, 'Edit Global Settings'),
(1919, 'Edit is not authorized!'),
(1920, 'Edit layout'),
(1921, 'Edit list'),
(1922, 'Edit Payment'),
(1923, 'Edit Structure'),
(1924, 'Edit User'),
(1925, 'Edit User Settings'),
(1926, 'Edit your entered data'),
(1927, 'Editing failed'),
(1928, 'Education'),
(1929, 'Education Date'),
(1930, 'Educational materials for'),
(1931, 'ee the  * GNU General Public License for more details.  *   * You should have received a copy of the GNU General Public License  * along with this program; if not, write to the Free '),
(1932, 'Effective Date'),
(1933, 'Effective Dates'),
(1934, 'Effectiveness'),
(1935, 'EIN'),
(1936, 'Ejaculations'),
(1937, 'Elbow'),
(1938, 'Elbow Problems'),
(1939, 'Electronic'),
(1940, 'Electronic document received'),
(1941, 'Electronic Notes'),
(1942, 'Electronic Remits'),
(1943, 'Electronic Reports'),
(1944, 'Eligibility'),
(1945, 'Eligibility 270 Inquiry Batch'),
(1946, 'Eligibility Response'),
(1947, 'Eligibility status for Vaccine for Children supplied vaccine'),
(1948, 'Eligible'),
(1949, 'Email'),
(1950, 'email'),
(1951, 'Email Address'),
(1952, 'Email address is missing'),
(1953, 'Email address of the sender for patient reminders. Replies to patient reminders will be directed to this address. It is important to use an address from your clinic\'s domain to avoid help prevent patient reminders from going to junk mail folders.'),
(1954, 'Email address, if any, to receive administrative notifications.'),
(1955, 'Email address, if any, to receive emergency login user activation messages.'),
(1956, 'Email Auth'),
(1957, 'Email from Batchcom'),
(1958, 'Email Notification'),
(1959, 'Email Notification Hours'),
(1960, 'Email Notification Report'),
(1961, 'Email send before'),
(1962, 'Email Sender'),
(1963, 'Email Sent'),
(1964, 'Email sent to'),
(1965, 'Email Subject'),
(1966, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***'),
(1967, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***{{Do Not translate the ***NAME*** elements of this constant.}}'),
(1968, 'Email Transport Method'),
(1969, 'Email was sent to following address'),
(1970, 'Emergency Care'),
(1971, 'Emergency Contact'),
(1972, 'Emergency Contact Person'),
(1973, 'Emergency Contact Phone Number'),
(1974, 'Emergency Contraception'),
(1975, 'Emergency Login'),
(1976, 'Emergency Login ACL is chosen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.'),
(1977, 'Emergency Login activation email will be circulated only if following settings in the interface/globals.php file are configured:'),
(1978, 'Emergency Login Email Address'),
(1979, 'Emergency Login user can do anything'),
(1980, 'Emergency Phone'),
(1981, 'Emotional / Behavioral Conditions & Complications'),
(1982, 'Emphysema'),
(1983, 'Employee'),
(1984, 'Employer'),
(1985, 'Employer Address'),
(1986, 'Employer Data'),
(1987, 'Employer Name'),
(1988, 'EMPTY'),
(1989, 'Empty'),
(1990, 'Empty Password Not Allowed'),
(1991, 'Empty value in \"Email Hours\"'),
(1992, 'Empty value in \"Email Sender\"'),
(1993, 'Empty value in \"Email Subject\"'),
(1994, 'Empty value in \"Email Text\"'),
(1995, 'Empty value in \"Name of Provider\"'),
(1996, 'Empty value in \"Password\"'),
(1997, 'Empty value in \"SMS Hours\"'),
(1998, 'Empty value in \"SMS Text\"'),
(1999, 'Empty value in \"Username\"'),
(2000, 'EMR Direct'),
(2001, 'Enable'),
(2002, 'Enable Alert Log'),
(2003, 'Enable Alert Logging'),
(2004, 'Enable Allergy Check'),
(2005, 'Enable Allergy Check Against Medications and Prescriptions'),
(2006, 'Enable AMC Prompting'),
(2007, 'Enable AMC Report Itemization'),
(2008, 'Enable AMC Reporting'),
(2009, 'Enable AMC Tracking'),
(2010, 'Enable amendments feature'),
(2011, 'Enable ATNA Auditing'),
(2012, 'Enable Audit Log Encryption'),
(2013, 'Enable Audit Logging'),
(2014, 'Enable Audit Trail and Node Authentication (ATNA).'),
(2015, 'Enable Automated Measure Calculations (AMC) Reporting'),
(2016, 'Enable Client SSL'),
(2017, 'Enable client SSL certificate authentication.'),
(2018, 'Enable Clinical Active Reminder Popup'),
(2019, 'Enable Clinical Decisions Rules (CDR)'),
(2020, 'Enable Clinical Passive New Reminder(s) Popup'),
(2021, 'Enable Clinical Passive Reminder Widget'),
(2022, 'Enable Clinical Quality Measure (CQM) Reporting'),
(2023, 'Enable Clinical Reminder Popup'),
(2024, 'Enable Clinical Reminder Widget'),
(2025, 'Enable CMS Portal'),
(2026, 'Enable CQM Report Itemization'),
(2027, 'Enable CQM Reporting'),
(2028, 'Enable EDI History In Left Menu'),
(2029, 'Enable Extension'),
(2030, 'Enable Fees In Left Menu'),
(2031, 'Enable Hylafax Support'),
(2032, 'Enable import status message after visiting NewCrop eRx.'),
(2033, 'Enable import status message for NewCrop erx'),
(2034, 'Enable Itemization of AMC Reports'),
(2035, 'Enable Itemization of CQM Reports'),
(2036, 'Enable Itemization of Standard Clinical Rules Reports'),
(2037, 'Enable Lab Exchange'),
(2038, 'Enable lock toggle'),
(2039, 'Enable log for document uploads/downloads to CouchDB'),
(2040, 'Enable logging of all SQL SELECT queries.'),
(2041, 'Enable logging of backup related activities.'),
(2042, 'Enable logging of CDR Engine Queries.'),
(2043, 'Enable logging of miscellaneous activities.'),
(2044, 'Enable logging of ordering activities.'),
(2045, 'Enable logging of patient record modifications.'),
(2046, 'Enable logging of scheduling activities.'),
(2047, 'Enable logging of security and administration activities.'),
(2048, 'Enable NewCrop eRx import status message'),
(2049, 'Enable NewCrop eRx Service'),
(2050, 'Enable NewCrop eRx Service.'),
(2051, 'Enable Offsite Patient Portal'),
(2052, 'Enable Offsite Patient Portal.'),
(2053, 'Enable Onsite Patient Portal'),
(2054, 'Enable Onsite Patient Portal Document Download'),
(2055, 'Enable Onsite Patient Portal.'),
(2056, 'Enable Patient Reminder Widget'),
(2057, 'Enable phiMail Direct Messaging Service'),
(2058, 'Enable Prompting For Automated Measure Calculations (AMC) Required Data'),
(2059, 'Enable Random Drug Testing'),
(2060, 'Enable Reporting of Tracking Date For Automated Measure Calculations (AMC)'),
(2061, 'Enable Scanner Support'),
(2062, 'Enable Standard Report Itemization'),
(2063, 'Enable support for the open source WordPress Portal by Sunset Systems'),
(2064, 'Enable the Medical Information Integration, LLC Lab Exchange Service.'),
(2065, 'Enable the LibreEHR Support LLC Lab Exchange Service.'),
(2066, 'Enable User Certificate Authentication'),
(2067, 'Enable ZMG, LLC eRx service'),
(2068, 'enabled'),
(2069, 'Enables the ability to download documents in the Onsite Patient Portal by the user.'),
(2070, 'Enables the old Charges panel for entering billing codes and payments. Not recommended, use the Fee Sheet instead.'),
(2071, 'Enc'),
(2072, 'Encnter'),
(2073, 'Encounter'),
(2074, 'encounter'),
(2075, 'Encounter '),
(2076, 'encounter acute inpatient or ED'),
(2077, 'Encounter Balance'),
(2078, 'Encounter Billing Note'),
(2079, 'Encounter Count'),
(2080, 'encounter data'),
(2081, 'Encounter Date'),
(2082, 'Encounter Diagnosis'),
(2083, 'Encounter Dt / Rsn'),
(2084, 'Encounter EDI Record'),
(2085, 'Encounter Esigned'),
(2086, 'Encounter Forms'),
(2087, 'encounter health and behavior assessment'),
(2088, 'Encounter History'),
(2089, 'Encounter ID'),
(2090, 'encounter influenza'),
(2091, 'Encounter number'),
(2092, 'Encounter Number'),
(2093, 'encounter nursing discharge'),
(2094, 'encounter nursing facility'),
(2095, 'encounter occupational therapy'),
(2096, 'encounter office visit'),
(2097, 'encounter outpatient'),
(2098, 'encounter outpatient w/PCP & obgyn'),
(2099, 'Encounter Page Size'),
(2100, 'Encounter Payment'),
(2101, 'encounter pregnancy'),
(2102, 'encounter preventive medicine - individual counseling'),
(2103, 'encounter preventive medicine 40 and older'),
(2104, 'encounter preventive medicine group counseling'),
(2105, 'encounter preventive medicine other services'),
(2106, 'encounter preventive medicine services 18 and older'),
(2107, 'encounter psychiatric & psychologic'),
(2108, 'Encounter statistics'),
(2109, 'Encounter Summary'),
(2110, 'Encounter was coded'),
(2111, 'Encounter:'),
(2112, 'Encounter: encounter non-acute inpt, outpatient, or ophthalmology'),
(2113, 'Encounters'),
(2114, 'Encounters & Forms'),
(2115, 'Encounters &amp; Forms'),
(2116, 'Encounters not authorized'),
(2117, 'Encounters Report'),
(2118, 'Encounters Section'),
(2119, 'Encrypted File'),
(2120, 'Encryption'),
(2121, 'End'),
(2122, 'End (yyyy-mm-dd): '),
(2123, 'End Date'),
(2124, 'End date'),
(2125, 'End date must be later than Begin date!'),
(2126, 'End date should be greater than Begin date'),
(2127, 'End Date:'),
(2128, 'End of Day by Provider or allow Totals Only'),
(2129, 'End Of Day Report'),
(2130, 'End of report'),
(2131, 'End Time'),
(2132, 'End-Stage Renal Disease Beneficiary in MCP with Employer`s Group Plan'),
(2133, 'Ending date of service yyyy-mm-dd'),
(2134, 'Ending DOS mm/dd/yyyy if you wish to enter a range'),
(2135, 'Ending hour of day for calendar events.'),
(2136, 'Endo Abnormal Blood'),
(2137, 'Endocrine'),
(2138, 'Endoscopy'),
(2139, 'Engineer'),
(2140, 'Engineering Firm'),
(2141, 'English'),
(2142, 'English '),
(2143, 'English (Indian)'),
(2144, 'English (Standard)'),
(2145, 'Enscript command used by Hylafax.'),
(2146, 'Ensure LibreEHR has write privileges to directory'),
(2147, 'ENT Discharge'),
(2148, 'ENT Pain'),
(2149, 'Enter a diagnosis code to exclude all invoices not containing it'),
(2150, 'Enter an amendment...'),
(2151, 'Enter body of letter here'),
(2152, 'Enter Database root Password'),
(2153, 'Enter Database root Username'),
(2154, 'Enter Diagnosis'),
(2155, 'Enter Drugs'),
(2156, 'Enter Encounter'),
(2157, 'Enter Encounter Number'),
(2158, 'Enter Immunizations'),
(2159, 'Enter Key'),
(2160, 'Enter new data'),
(2161, 'Enter new State'),
(2162, 'Enter Recipient\'s Direct Address'),
(2163, 'Enter the LOINC code for this procedure'),
(2164, 'Enter the Re Identification code'),
(2165, 'Enter your search criteria above'),
(2166, 'Entered in Error'),
(2167, 'entries'),
(2168, 'Environmental'),
(2169, 'EOB Data Entry'),
(2170, 'EOB Posting - Electronic Remittances'),
(2171, 'EOB Posting - Instructions'),
(2172, 'EOB Posting - Invoice'),
(2173, 'EOB Posting - Patient Note'),
(2174, 'EOB Posting - Search'),
(2175, 'EOBs'),
(2176, 'Epilepsy'),
(2177, 'Equals'),
(2178, 'ERA'),
(2179, 'ERA Files'),
(2180, 'ERA Posting'),
(2181, 'Erase'),
(2182, 'Erections'),
(2183, 'Error'),
(2184, 'ERROR'),
(2185, 'Error confirming receipt of lab results'),
(2186, 'Error creating directory!'),
(2187, 'Error getting lab results from Lab Exchange Network'),
(2188, 'Error in \"Gender\" selection'),
(2189, 'Error in \"HIPAA\" selection'),
(2190, 'Error in \"Process\" selection'),
(2191, 'Error in \"SMS Gateway\" selection'),
(2192, 'Error in \"Sort By\" selection'),
(2193, 'Error in gzip compression of file: '),
(2194, 'Error in YES or NO option'),
(2195, 'Error opening uploaded file for reading'),
(2196, 'Error processing file'),
(2197, 'Error processing upload'),
(2198, 'Error Removing Message'),
(2199, 'Error retrieving results from Lab Exchange Network'),
(2200, 'Error retrieving values.'),
(2201, 'Error saving document'),
(2202, 'Error when granting file privilege to the LibreEHR user.'),
(2203, 'Error while adding new plan'),
(2204, 'Error while deleting the plan'),
(2205, 'error while registering form!'),
(2206, 'Error while saving to the file'),
(2207, 'Error while updating the plan'),
(2208, 'Error while writing to file'),
(2209, 'error(s) encountered from new results'),
(2210, 'Error, the file does not exist'),
(2211, 'ERROR, unable to collect data from server'),
(2212, 'Error, unable to create client certificate.'),
(2213, 'Error, unable to create the admin.p12 certificate.'),
(2214, 'Error, unable to create the Certificate Authority certificate.'),
(2215, 'Error, unable to create the Server certificate.'),
(2216, 'Error, unable to open file'),
(2217, 'Error, User Certificate Authentication is not enabled in LibreEHR'),
(2218, 'Error. You need to install the Archive/Tar.php php module.'),
(2219, 'ERROR: could not open table.sql, broken form?'),
(2220, 'Error: duplicated ID on line'),
(2221, 'Error: duplicated name on line'),
(2222, 'ERROR: Field'),
(2223, 'ERROR: Missing ZipArchive PHP Module'),
(2224, 'ERROR: No ICD import directory.'),
(2225, 'Error: passwords don\'t match. Please check your typing.'),
(2226, 'Error: passwords don\'t match. Please check your typing.'),
(2227, 'Error: the file does not exist'),
(2228, 'ERROR: The following variable contains invalid characters'),
(2229, 'ERROR: Unable to copy the file.'),
(2230, 'Error: Unable to create downloadable archive'),
(2231, 'ERROR: Unable to Create Zip Archive.'),
(2232, 'ERROR: Unable to extract the file.'),
(2233, 'ERROR: Unable to load the file into the database.'),
(2234, 'ERROR: Unable to set the version number.'),
(2235, 'Errors'),
(2236, 'eRx Account Status'),
(2237, 'eRx Logs'),
(2238, 'ERX Name'),
(2239, 'ERX Password'),
(2240, 'ERX Role'),
(2241, 'ERX User'),
(2242, 'Erythema:'),
(2243, 'eSign'),
(2244, 'eSign Log'),
(2245, 'Eskimo'),
(2246, 'Esperanto'),
(2247, 'Established Patient'),
(2248, 'Estonian'),
(2249, 'Ethnicity'),
(2250, 'Ethnicity or Race'),
(2251, 'Ethnicity-Race List (write,addonly optional)'),
(2252, 'ETIN'),
(2253, 'Event'),
(2254, 'Event Begins'),
(2255, 'Event Category'),
(2256, 'Event Date'),
(2257, 'Event Description'),
(2258, 'Event Details'),
(2259, 'Event does not repeat'),
(2260, 'Event Duration'),
(2261, 'Event duration in minutes'),
(2262, 'Event Fee'),
(2263, 'Event Location'),
(2264, 'Event repeats every'),
(2265, 'Event repeats on'),
(2266, 'Event start time'),
(2267, 'Event title'),
(2268, 'Event Title'),
(2269, 'Event Website'),
(2270, 'Events'),
(2271, 'Events for'),
(2272, 'Events open in new window'),
(2273, 'every'),
(2274, 'Every'),
(2275, 'every 3 hours'),
(2276, 'every 4 hours'),
(2277, 'every 5 hours'),
(2278, 'every 6 hours'),
(2279, 'every 8 hours'),
(2280, 'Every Fourth'),
(2281, 'Every Other'),
(2282, 'Every Third'),
(2283, 'Every, every other, every 3rd, etc.'),
(2284, 'Ewe'),
(2285, 'Exam and test results'),
(2286, 'Exam results'),
(2287, 'Exam Room #'),
(2288, 'Exam Room Number'),
(2289, 'Examination'),
(2290, 'Examination Date'),
(2291, 'Example'),
(2292, 'Examples'),
(2293, 'Exams/Tests'),
(2294, 'Except'),
(2295, 'Excessive Tearing'),
(2296, 'Excluded Patients'),
(2297, 'Exclusion'),
(2298, 'Exclusive Provider Organization (EPO)'),
(2299, 'Executive Paper Size'),
(2300, 'Exercise'),
(2301, 'Exercise Patterns'),
(2302, 'Exercise patterns'),
(2303, 'Exist'),
(2304, 'Exit from Administration'),
(2305, 'Exp'),
(2306, 'Expand'),
(2307, 'expand'),
(2308, 'Expand All'),
(2309, 'Expand All Document Categories'),
(2310, 'Expand All Document Categories by Default'),
(2311, 'Expanded View'),
(2312, 'Expected form_encounter.pid to be '),
(2313, 'Expiration'),
(2314, 'Expiration Date'),
(2315, 'Expires'),
(2316, 'expires in'),
(2317, 'Export'),
(2318, 'Export as CSV'),
(2319, 'Export Configuration'),
(2320, 'Export Individual Invoices'),
(2321, 'Export OFX'),
(2322, 'Export Patient Demographics'),
(2323, 'Export PQRI Report'),
(2324, 'Export QRDA Report'),
(2325, 'Export Selected as CSV'),
(2326, 'Export Selected to Collections'),
(2327, 'Export to CSV'),
(2328, 'Export to external billing system'),
(2329, 'Exposure to Foreign Countries'),
(2330, 'Exposure To Foreign Countries'),
(2331, 'Ext Time Collected'),
(2332, 'External'),
(2333, 'External Data'),
(2334, 'External Data Loads'),
(2335, 'External Database Import Utility'),
(2336, 'External ID'),
(2337, 'External Id'),
(2338, 'External identifier'),
(2339, 'External Only'),
(2340, 'External Organization'),
(2341, 'External Provider'),
(2342, 'External Referral'),
(2343, 'External Referral Followups'),
(2344, 'External referral?'),
(2345, 'External Referrals'),
(2346, 'Extract the zip file'),
(2347, 'Extracting the file. This will take some time...'),
(2348, 'Exudate:'),
(2349, 'Eye Irritation'),
(2350, 'Eye Pain'),
(2351, 'Eye Redness'),
(2352, 'Eyes'),
(2353, 'F'),
(2354, 'F/H Blood Problems'),
(2355, 'F/H Female Hirsutism/Striae'),
(2356, 'Facilities'),
(2357, 'Facility'),
(2358, 'facility'),
(2359, 'Facility Administration'),
(2360, 'Facility City'),
(2361, 'Facility Code'),
(2362, 'Facility Country code'),
(2363, 'Facility Fax'),
(2364, 'Facility Name'),
(2365, 'Facility NPI'),
(2366, 'Facility Phone'),
(2367, 'Facility Specific User Information'),
(2368, 'Facility State'),
(2369, 'Facility Street'),
(2370, 'Facility Zip'),
(2371, 'Facility Zip Code'),
(2372, 'Facility:'),
(2373, 'FAIL'),
(2374, 'failed'),
(2375, 'Failed'),
(2376, 'Failed Patients'),
(2377, 'Failed to add patient to portal'),
(2378, 'Failed to compute a unique filename'),
(2379, 'Failed to create'),
(2380, 'Failed to create temporary folder. CouchDB will not work.'),
(2381, 'Failed to send'),
(2382, 'Failed.'),
(2383, 'failure'),
(2384, 'Failure'),
(2385, 'FAILURE NOTICE: Direct Message Send Failed.'),
(2386, 'FAILURE: Couldn\'t create the zip'),
(2387, 'FAILURE: No patients for measure'),
(2388, 'Falls: Screening, Risk-Assessment, and Plan of Care to Prevent Future Falls (CQM)'),
(2389, 'Family Health History'),
(2390, 'Family History'),
(2391, 'Family History of Glaucoma'),
(2392, 'Family History:'),
(2393, 'Family Member'),
(2394, 'Family Payment'),
(2395, 'Family Size'),
(2396, 'Fancy'),
(2397, 'Faroese'),
(2398, 'Farsi'),
(2399, 'Fatal'),
(2400, 'Father'),
(2401, 'Fathers History'),
(2402, 'Fatigue'),
(2403, 'Fatigued'),
(2404, 'Fax'),
(2405, 'Fax Count'),
(2406, 'Fax number'),
(2407, 'Fax sending failed'),
(2408, 'Fax/Scan'),
(2409, 'Faxes In'),
(2410, 'Faxes Out'),
(2411, 'Features'),
(2412, 'Feb'),
(2413, 'February'),
(2414, 'FECA'),
(2415, 'Federal Drug ID'),
(2416, 'Federal EIN'),
(2417, 'Federal Tax ID'),
(2418, 'Fee'),
(2419, 'fee'),
(2420, 'Fee is not allowed'),
(2421, 'Fee Sheet'),
(2422, 'Fee Sheet Options'),
(2423, 'Fees'),
(2424, 'Female'),
(2425, 'Female AP'),
(2426, 'Female Condoms'),
(2427, 'Female G'),
(2428, 'Female LC'),
(2429, 'Female P'),
(2430, 'Female Symptoms'),
(2431, 'Female VSC'),
(2432, 'Fetch'),
(2433, 'Fetching following file from portal'),
(2434, 'Fever'),
(2435, 'Fever:'),
(2436, 'FH Blood Problems'),
(2437, 'Fibroids'),
(2438, 'Field'),
(2439, 'Field \'name\' cannot be NULL'),
(2440, 'Field ID'),
(2441, 'Field type to use for employer or subscriber country in demographics.'),
(2442, 'Field type to use for employer or subscriber state in demographics.'),
(2443, 'Field(s) are missing!'),
(2444, 'Fields in This Form'),
(2445, 'Fifth account message'),
(2446, 'Fijian'),
(2447, 'File'),
(2448, 'file in the Documentation directory to learn how to automate the process of creating log backups'),
(2449, 'file location'),
(2450, 'File management'),
(2451, 'File Name'),
(2452, 'File path not found.'),
(2453, 'File privilege granted to LibreEHR user.'),
(2454, 'File retrieval from CouchDB failed'),
(2455, 'File Room'),
(2456, 'File to upload'),
(2457, 'File to Upload'),
(2458, 'File with same name already exists at location:'),
(2459, 'Filename'),
(2460, 'Filename must end with \".pdf\"'),
(2461, 'Files'),
(2462, 'Filipino'),
(2463, 'Fill any of the Below Row.'),
(2464, 'Fill here only if sending email notification to patients'),
(2465, 'Fill in the values below'),
(2466, 'Fill Instructions'),
(2467, 'Fill the Row.'),
(2468, 'Filter'),
(2469, 'Filter for Constants'),
(2470, 'Filter for Definitions'),
(2471, 'filtered from'),
(2472, 'filters'),
(2473, 'Filters'),
(2474, 'Final'),
(2475, 'Final Diagnosis'),
(2476, 'Final diagnosis by specialist'),
(2477, 'Final Status'),
(2478, 'Financial'),
(2479, 'Financial Close Date (yyyy-mm-dd)'),
(2480, 'Financial Reporting - anything'),
(2481, 'Financial Reporting - my encounters'),
(2482, 'Financial Review Date'),
(2483, 'Financial Summary by Service Code'),
(2484, 'Find'),
(2485, 'Find Available'),
(2486, 'Find Available Appointments'),
(2487, 'Find Patient'),
(2488, 'Find Patient Education Materials'),
(2489, 'Findings'),
(2490, 'Findings by specialist'),
(2491, 'Fine'),
(2492, 'Finish Payments'),
(2493, 'finished'),
(2494, 'Finnish'),
(2495, 'First'),
(2496, 'First account message'),
(2497, 'First day of the week'),
(2498, 'First Name'),
(2499, 'First name'),
(2500, 'First Name:'),
(2501, 'First Visit or Consultation'),
(2502, 'Firstname Lastname'),
(2503, 'Fitness'),
(2504, 'Fitness Level'),
(2505, 'Fitness level for this player on this day'),
(2506, 'Fitness Testing'),
(2507, 'Fitness to Play'),
(2508, 'Fix encounter dates - any encounters'),
(2509, 'Fix this'),
(2510, 'FL'),
(2511, 'Flatulence'),
(2512, 'Flow'),
(2513, 'Flow Board'),
(2514, 'Flu season'),
(2515, 'Flu Season'),
(2516, 'Flu Vaccination'),
(2517, 'Fluid and electrolyte problem'),
(2518, 'FMS'),
(2519, 'Folio Paper Size'),
(2520, 'Follow manually'),
(2521, 'Follow these instructions for installing or upgrading the following database'),
(2522, 'Follow Up'),
(2523, 'Follow Up Note'),
(2524, 'Follow Up Reason'),
(2525, 'Following is a new custom constant:'),
(2526, 'Following is a new custom language:'),
(2527, 'Following is a new definition (Language, Constant, Definition):'),
(2528, 'Following rows in the audit log have been tampered'),
(2529, 'Followup Services'),
(2530, 'Followups Indicated'),
(2531, 'Food Intolerance'),
(2532, 'Foot'),
(2533, 'Foot Problems'),
(2534, 'Foot:'),
(2535, 'Football Injuries'),
(2536, 'Football Injury'),
(2537, 'Football Injury Report'),
(2538, 'Footwear Type'),
(2539, 'for'),
(2540, 'For'),
(2541, 'For code'),
(2542, 'For Dates'),
(2543, 'For Encounter Claims'),
(2544, 'For example:'),
(2545, 'For HCFA 02/12 Box 15 is Other Date with a qualifier to specify what the date indicates'),
(2546, 'For HCFA 02/12 Onset date specified on the Encounter Form needs a qualifier'),
(2547, 'for Invoice'),
(2548, 'For Medicare only, forces the referring provider to be the same as the rendering provider.'),
(2549, 'for OBR placer order number'),
(2550, 'for patient'),
(2551, 'For Provider'),
(2552, 'For Referred Organization/Practitioner'),
(2553, 'For the past'),
(2554, 'for variable'),
(2555, 'for:'),
(2556, 'Force Billing Widget Open'),
(2557, 'Force Create New Patient'),
(2558, 'Force Show'),
(2559, 'Forearm'),
(2560, 'Form'),
(2561, 'form'),
(2562, 'Form element not found'),
(2563, 'Form signed successfully'),
(2564, 'Format'),
(2565, 'format'),
(2566, 'Format for age display'),
(2567, 'Format incorrect for NDC'),
(2568, 'Format used to display most dates.'),
(2569, 'Format used to display most times.'),
(2570, 'Formatted Report'),
(2571, 'Former smoker'),
(2572, 'Forms'),
(2573, 'Forms Administration'),
(2574, 'Forms Esigned'),
(2575, 'Forward'),
(2576, 'Forward Pages via Fax'),
(2577, 'Forwarded'),
(2578, 'Foster Child'),
(2579, 'Fourth'),
(2580, 'Fourth account message'),
(2581, 'Fracture'),
(2582, 'Fracture at the Navicula'),
(2583, 'Fracture lateral malleolus'),
(2584, 'Fracture medial malleolus'),
(2585, 'Fracture, Base of fifth (5th) Metatarsal'),
(2586, 'Frame support required'),
(2587, 'French'),
(2588, 'French (Canadian)'),
(2589, 'French (Standard)'),
(2590, 'Frequency'),
(2591, 'Frequent Colds'),
(2592, 'Frequent Illness'),
(2593, 'Fri'),
(2594, 'Friday'),
(2595, 'From'),
(2596, 'FROM'),
(2597, 'from'),
(2598, 'From Date Cannot be Greater than To Date.'),
(2599, 'From:'),
(2600, 'From: '),
(2601, 'FROM_CITY'),
(2602, 'FROM_EMAIL'),
(2603, 'FROM_FNAME'),
(2604, 'FROM_LNAME'),
(2605, 'FROM_MNAME'),
(2606, 'FROM_PHONE'),
(2607, 'FROM_PHONECELL'),
(2608, 'FROM_POSTAL'),
(2609, 'FROM_STATE'),
(2610, 'FROM_STREET'),
(2611, 'FROM_TITLE'),
(2612, 'FROM_VALEDICTORY'),
(2613, 'Front Office'),
(2614, 'Front Office Receipts'),
(2615, 'Front Office Receipts Report'),
(2616, 'Front Rec'),
(2617, 'Frontal Right:'),
(2618, 'Fula- Fulah- Pulaar- Pular'),
(2619, 'Full Name'),
(2620, 'Full path to directory containing MySQL executables.'),
(2621, 'Full path to directory containing Perl executables.'),
(2622, 'Full path to directory for event log backup.'),
(2623, 'Full path to directory used for temporary files.'),
(2624, 'Full Play'),
(2625, 'Full Training'),
(2626, 'Fully Paid'),
(2627, 'Functional and Cognitive Status Form'),
(2628, 'Functional Cognitive Status'),
(2629, 'Functional Condition'),
(2630, 'Funding Source'),
(2631, 'Future'),
(2632, 'F{{Friday}}'),
(2633, 'G'),
(2634, 'G/DL'),
(2635, 'Galician'),
(2636, 'Gall Bladder Condition'),
(2637, 'Gall Stones'),
(2638, 'Game Period'),
(2639, 'Games'),
(2640, 'Games Missed'),
(2641, 'games/events'),
(2642, 'Games/Events Missed'),
(2643, 'Ganda'),
(2644, 'Gastritis'),
(2645, 'Gastro Pain'),
(2646, 'Gastrointestinal'),
(2647, 'GCAC Statistics Report'),
(2648, 'GCAC Stats'),
(2649, 'GCAC visit form is missing'),
(2650, 'Gender'),
(2651, 'Gender '),
(2652, 'General'),
(2653, 'General Issue List'),
(2654, 'General physician'),
(2655, 'General Service Category'),
(2656, 'Generate'),
(2657, 'Generate and download CMS 1500 paper claims'),
(2658, 'Generate and download HCFA 1500 paper claims'),
(2659, 'Generate and download X12 batch'),
(2660, 'Generate and download X12 encounter claim batch'),
(2661, 'Generate and transmit permissible prescriptions electronically (All Prescriptions).'),
(2662, 'Generate and transmit permissible prescriptions electronically (Not including controlled substances).'),
(2663, 'Generate and transmit permissible prescriptions electronically.'),
(2664, 'Generate CMS 1500'),
(2665, 'Generate CMS 1500 PDF'),
(2666, 'Generate CMS 1500 TEXT'),
(2667, 'Generate HCFA'),
(2668, 'Generate Invoice'),
(2669, 'Generate Letter'),
(2670, 'Generate Letter regarding '),
(2671, 'Generate PQRI report (Method A)'),
(2672, 'Generate PQRI report (Method A) - 2011'),
(2673, 'Generate PQRI report (Method E)'),
(2674, 'Generate PQRI report (Method E) - 2011'),
(2675, 'Generate QRDA I – 2014'),
(2676, 'Generate QRDA III - 2014'),
(2677, 'Generate Report'),
(2678, 'Generate Username And Password For'),
(2679, 'Generate X12'),
(2680, 'Generate X12 Encounter'),
(2681, 'Generate/Download QRDA I - 2014'),
(2682, 'Generated on'),
(2683, 'Generates'),
(2684, 'Genitourinary'),
(2685, 'Genitourinary medicine physician'),
(2686, 'Georgian'),
(2687, 'German'),
(2688, 'Gest age'),
(2689, 'Gestational Age'),
(2690, 'GET HL7'),
(2691, 'Get HL7'),
(2692, 'Glaucoma'),
(2693, 'Glaucoma Family History'),
(2694, 'Global'),
(2695, 'Global Default Patient Country'),
(2696, 'Global ID'),
(2697, 'Global Settings'),
(2698, 'Globals'),
(2699, 'GM/DL'),
(2700, 'go'),
(2701, 'Go'),
(2702, 'GO'),
(2703, 'Go Back'),
(2704, 'Go to'),
(2705, 'Go to week of'),
(2706, 'Go Today'),
(2707, 'Goal A'),
(2708, 'Goal and Methods'),
(2709, 'Goal B'),
(2710, 'Goal C'),
(2711, 'Grade of Injury'),
(2712, 'Grade:'),
(2713, 'grams'),
(2714, 'Grand Total'),
(2715, 'Grand Totals'),
(2716, 'Grandchild'),
(2717, 'Grandparent'),
(2718, 'Graphable'),
(2719, 'Great Grandparent'),
(2720, 'Greater Than'),
(2721, 'Greater Than or Equal To'),
(2722, 'Greek'),
(2723, 'Greek, Modern'),
(2724, 'Group'),
(2725, 'Group Name'),
(2726, 'Group names cannot be blank'),
(2727, 'Group names cannot start with numbers or spaces.'),
(2728, 'Group names cannot start with numbers.'),
(2729, 'Group Number'),
(2730, 'Group Payment'),
(2731, 'Group:'),
(2732, 'Groupname'),
(2733, 'Groups and Access Controls'),
(2734, 'Growth Chart'),
(2735, 'Growth-Chart'),
(2736, 'gtts(drops)'),
(2737, 'Guamanian'),
(2738, 'Guaraní'),
(2739, 'Guardian\'s Name'),
(2740, 'Gujarati'),
(2741, 'Gynecological Exam'),
(2742, 'h'),
(2743, 'h.s.'),
(2744, 'H/O Hepatitis'),
(2745, 'had been successfully deleted. Any sub-categories if present were moved below'),
(2746, 'Haematoma / bruising'),
(2747, 'HAI Status'),
(2748, 'Haitian- Haitian Creole'),
(2749, 'Half-Sibling'),
(2750, 'Hand + fingers'),
(2751, 'Hand Problems'),
(2752, 'Hard Disk'),
(2753, 'Hardship w/o'),
(2754, 'has been linked to visit'),
(2755, 'has expired'),
(2756, 'Hash'),
(2757, 'Hash did not exist for this file. A new hash was generated.'),
(2758, 'Hash does not match. Data integrity has been compromised.'),
(2759, 'Hausa'),
(2760, 'Hawaiian'),
(2761, 'Hazardous Activities'),
(2762, 'Hazardous activities'),
(2763, 'HCFA left margin in points'),
(2764, 'HCFA Margins'),
(2765, 'HCFA top margin in points'),
(2766, 'HCPCS Procedure/Service'),
(2767, 'he PostCalendar '),
(2768, 'Head'),
(2769, 'Head Circ'),
(2770, 'Head Circumference'),
(2771, 'Headache'),
(2772, 'Headaches'),
(2773, 'health care operations'),
(2774, 'Health Care Operations'),
(2775, 'Health centre/clinic'),
(2776, 'Health Maintenance Organization'),
(2777, 'Health Maintenance Organization (HMO) Medicare Risk'),
(2778, 'Hearing Loss'),
(2779, 'Heart Attack'),
(2780, 'Heart Disease'),
(2781, 'Heart Failure'),
(2782, 'Heart Problem'),
(2783, 'Heart Problems'),
(2784, 'Heart Surgery'),
(2785, 'Heart Transplant'),
(2786, 'HEART:'),
(2787, 'Heartburn'),
(2788, 'Heat or Cold'),
(2789, 'Heat Or Cold'),
(2790, 'Heavy tobacco smoker'),
(2791, 'Hebrew'),
(2792, 'Hebrew (modern)'),
(2793, 'HEENT'),
(2794, 'Height'),
(2795, 'Height/Length'),
(2796, 'Help'),
(2797, 'help'),
(2798, 'Hematemesis'),
(2799, 'Hematochezia'),
(2800, 'Hematologic'),
(2801, 'Hematuria'),
(2802, 'Hemoglobin'),
(2803, 'Hemoglobin A1C'),
(2804, 'Hemoptysis'),
(2805, 'Hepatitis'),
(2806, 'Hepatitis A 1'),
(2807, 'Hepatitis A 2'),
(2808, 'Hepatitis B 1'),
(2809, 'Hepatitis B 2'),
(2810, 'Hepatitis B 3'),
(2811, 'here'),
(2812, 'Herero'),
(2813, 'Hernia Repair'),
(2814, 'Herniated Disc'),
(2815, 'Herpes'),
(2816, 'Hesitancy'),
(2817, 'heyyo. you have been here for '),
(2818, 'Hib 1'),
(2819, 'Hib 2'),
(2820, 'Hib 3'),
(2821, 'Hib 4'),
(2822, 'Hidden'),
(2823, 'Hidden Events Administration'),
(2824, 'Hide'),
(2825, 'Hide Details'),
(2826, 'Hide Empty E-Sign Logs On Report'),
(2827, 'Hide Encryption/Decryption Options In Document Management'),
(2828, 'Hide Menu'),
(2829, 'Hide print feature'),
(2830, 'Hide Reminders'),
(2831, 'Hide/Show Columns'),
(2832, 'HIE'),
(2833, 'High'),
(2834, 'High Blood Pressure'),
(2835, 'Hindi'),
(2836, 'Hip + groin'),
(2837, 'Hip and groin'),
(2838, 'Hip Problems'),
(2839, 'Hip Replacement'),
(2840, 'HIPAA Notice Received'),
(2841, 'Hiri Motu'),
(2842, 'Hirsutism/Striae'),
(2843, 'Hispanic'),
(2844, 'Hispanic - Other (Born in US)'),
(2845, 'Hispanic - Other (Born outside US)'),
(2846, 'Hispanic or Latino'),
(2847, 'History'),
(2848, 'History Data'),
(2849, 'History Date'),
(2850, 'History Fields'),
(2851, 'History Murmur'),
(2852, 'History not authorized'),
(2853, 'History of Heart Murmur'),
(2854, 'Hits'),
(2855, 'HIV'),
(2856, 'Hives'),
(2857, 'HL7'),
(2858, 'HL7 Viewer'),
(2859, 'HL7-V3 Concept Code'),
(2860, 'HMOL/L'),
(2861, 'Hmong'),
(2862, 'Hold down [Ctrl] for multiple selections or to unselect'),
(2863, 'Hold down Ctrl to select multiple items'),
(2864, 'Hold down Ctrl to select multiple squads'),
(2865, 'Home'),
(2866, 'Home Phone'),
(2867, 'Home Phone Number'),
(2868, 'Homeless or similar?'),
(2869, 'Homeless, etc'),
(2870, 'Homeless, etc.'),
(2871, 'Hooks'),
(2872, 'Host Name'),
(2873, 'Host Name cannot be empty'),
(2874, 'hour'),
(2875, 'Hour'),
(2876, 'Hours'),
(2877, 'hours'),
(2878, 'How did Injury Occur?'),
(2879, 'How did Injury Occur?:'),
(2880, 'How did they hear about us'),
(2881, 'How many months ahead to query for upcoming events?'),
(2882, 'HPI:'),
(2883, 'HT'),
(2884, 'HTML'),
(2885, 'HTML Output?'),
(2886, 'Https link for the LibreEHR Support LLC Lab Exchange Service.'),
(2887, 'Hungarian'),
(2888, 'Hylafax Directory'),
(2889, 'Hylafax Enscript Command'),
(2890, 'Hylafax Server'),
(2891, 'Hylafax server hostname.'),
(2892, 'Hyperactive'),
(2893, 'Hypertension'),
(2894, 'Hypertension: Blood Pressure Measurement'),
(2895, 'Hypertension: Blood Pressure Measurement (CQM)'),
(2896, 'Hyperthyroidism'),
(2897, 'Hypothyroidism'),
(2898, 'Hysterectomy'),
(2899, 'I'),
(2900, 'I am busy during this time.'),
(2901, 'I do not have permission to read '),
(2902, 'ICD'),
(2903, 'ICD10 Diagnosis'),
(2904, 'ICD10 Procedure/Service'),
(2905, 'ICD9'),
(2906, 'ICD9 Diagnosis'),
(2907, 'ICD9 Procedure/Service'),
(2908, 'Icelandic'),
(2909, 'ID'),
(2910, 'Id'),
(2911, 'ID cannot be blank'),
(2912, 'ID Card'),
(2913, 'IDays'),
(2914, 'identified as'),
(2915, 'Identifier(one word)'),
(2916, 'Identifying Code'),
(2917, 'Idle Session Timeout Seconds'),
(2918, 'Ido'),
(2919, 'If all data for all columns are complete for this form'),
(2920, 'If billing justification is used enter the name of the diagnosis code type.'),
(2921, 'if entered, select only those who have had this service'),
(2922, 'If name, any part of lastname or lastname,firstname'),
(2923, 'If paying by'),
(2924, 'If person is deceased, then enter date of death.'),
(2925, 'If SMTP is used, the server`s hostname or IP address.'),
(2926, 'If SMTP is used, the server`s TCP port number (usually 25).'),
(2927, 'if unemployed enter Student'),
(2928, 'If YMD is selected for age display, switch to just Years when patients older than this value in years'),
(2929, 'If you change e-RX Role for ePrescription, it may affect the ePrescription workflow. If you face any difficulty, contact your ePrescription vendor.'),
(2930, 'If you do not select a match the patient will be created.'),
(2931, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file.  You may click on any of these invoice numbers (as described below) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the Process ERA File button at the bottom of the page.  This will produce a new window with a detailed report.'),
(2932, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file.  This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date.  Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.'),
(2933, 'If you want to change data types, or add rows or columns'),
(2934, 'If you want to upgrade the database, then place the database zip file in the following directory'),
(2935, 'Igbo'),
(2936, 'Ignore'),
(2937, 'Illness'),
(2938, 'IM'),
(2939, 'Image Results'),
(2940, 'Imaging'),
(2941, 'Imaging Service'),
(2942, 'Immunization'),
(2943, 'Immunization Code'),
(2944, 'Immunization Completion Status'),
(2945, 'Immunization Date'),
(2946, 'Immunization Expiration Date'),
(2947, 'Immunization Lot Number'),
(2948, 'Immunization Manufacturer'),
(2949, 'Immunization Registry'),
(2950, 'Immunization Report'),
(2951, 'Immunization Service'),
(2952, 'Immunization Title'),
(2953, 'Immunizations'),
(2954, 'Immunize'),
(2955, 'Immunologic'),
(2956, 'Implants'),
(2957, 'Import'),
(2958, 'Import All'),
(2959, 'Import CCDA'),
(2960, 'Import CCR'),
(2961, 'Import certificate to the browser.'),
(2962, 'Import Configuration'),
(2963, 'Import deferred for time-to-live'),
(2964, 'Import Patient'),
(2965, 'Import Patient Demographics'),
(2966, 'Important Codes'),
(2967, 'IMPORTANT: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.'),
(2968, 'Imported Allergies'),
(2969, 'Imported from Accounting'),
(2970, 'Imported Medications'),
(2971, 'Imported Problems'),
(2972, 'Improved'),
(2973, 'in'),
(2974, 'IN'),
(2975, 'in each eye'),
(2976, 'in left eye'),
(2977, 'in nostril'),
(2978, 'In Office'),
(2979, 'in right eye'),
(2980, 'in-house'),
(2981, 'Inactive'),
(2982, 'Inactive Days'),
(2983, 'Inbox'),
(2984, 'INCITS Code'),
(2985, 'Include all values reported for each result code'),
(2986, 'Include Checksum'),
(2987, 'Include Completed'),
(2988, 'Include inactive users'),
(2989, 'Include Uncategorized'),
(2990, 'Include Unstructured data'),
(2991, 'Include Vitals'),
(2992, 'Include vitals data?'),
(2993, 'Inclusion'),
(2994, 'Income'),
(2995, 'Incoming results requiring attention:'),
(2996, 'Incomplete'),
(2997, 'Incomplete Abortion Treatment'),
(2998, 'Incontinence'),
(2999, 'Incorporate clinical lab-test results into certified EHR technology as structured data.'),
(3000, 'Incorrect password!'),
(3001, 'increased:'),
(3002, 'Indemnity Insurance'),
(3003, 'Indeterminate'),
(3004, 'Indian'),
(3005, 'Indicates abnormality'),
(3006, 'Indicates if this issue is currently active'),
(3007, 'Indications'),
(3008, 'Indicator for specialized usage'),
(3009, 'Indigent Patients'),
(3010, 'Indigent Patients Report'),
(3011, 'Indigents'),
(3012, 'Individual pages can override 2nd and 3rd options by implementing a log message.'),
(3013, 'Indonesian'),
(3014, 'Induced Abortion'),
(3015, 'Industry'),
(3016, 'Ineligible'),
(3017, 'Infection / Abscess'),
(3018, 'Infections'),
(3019, 'Infert Couns'),
(3020, 'Infertility'),
(3021, 'Influenza 1'),
(3022, 'Influenza 2'),
(3023, 'Influenza Immunization for Patients >= 50 Years Old'),
(3024, 'Influenza Immunization for Patients >= 50 Years Old (CQM)'),
(3025, 'Influenza Vaccine'),
(3026, 'Info'),
(3027, 'Info test 1'),
(3028, 'Info test 2'),
(3029, 'Info test 3'),
(3030, 'Info test 4'),
(3031, 'Info test 5'),
(3032, 'Info test 6'),
(3033, 'Informant'),
(3034, 'inhalations'),
(3035, 'inhilations'),
(3036, 'Initial Treatment'),
(3037, 'Initial User'),
(3038, 'Inj/Rehab'),
(3039, 'Injectables'),
(3040, 'Injection'),
(3041, 'Injured Body Part'),
(3042, 'Injured Out'),
(3043, 'Injury'),
(3044, 'Injury Mechanism'),
(3045, 'Injury Overview Report'),
(3046, 'Injury Surveillance'),
(3047, 'Injury Type'),
(3048, 'Injury/illness-related'),
(3049, 'Inline'),
(3050, 'Input does not begin with a MSH segment'),
(3051, 'Input Fields'),
(3052, 'INR'),
(3053, 'Ins 1'),
(3054, 'Ins 2 or Ins 3'),
(3055, 'Ins Address'),
(3056, 'Ins adjust'),
(3057, 'Ins bundling'),
(3058, 'Ins Code'),
(3059, 'Ins Group'),
(3060, 'Ins Name'),
(3061, 'Ins overpaid'),
(3062, 'Ins Policy'),
(3063, 'Ins refund'),
(3064, 'Ins Summary'),
(3065, 'Ins1'),
(3066, 'Ins2'),
(3067, 'Ins3'),
(3068, 'Insert'),
(3069, 'Insert failed: '),
(3070, 'Insert old events into tables'),
(3071, 'Insert special field'),
(3072, 'Insomnia'),
(3073, 'Inspect the log'),
(3074, 'Inspection'),
(3075, 'Instability / subluxation'),
(3076, 'INSTALL'),
(3077, 'Install'),
(3078, 'Install Code Set'),
(3079, 'install DB'),
(3080, 'Installed Release'),
(3081, 'Instructed'),
(3082, 'Instruction'),
(3083, 'Instructions'),
(3084, 'Instructions:'),
(3085, 'Insufficient inventory for product ID'),
(3086, 'Insulin Dependent Diabetes'),
(3087, 'Insurance'),
(3088, 'insurance'),
(3089, 'Insurance Adj'),
(3090, 'Insurance Adjustment'),
(3091, 'Insurance Balance'),
(3092, 'Insurance Balance Due'),
(3093, 'Insurance Comp'),
(3094, 'Insurance Companies'),
(3095, 'Insurance Company'),
(3096, 'Insurance Company Search/Add'),
(3097, 'Insurance Credit'),
(3098, 'Insurance Data'),
(3099, 'Insurance information on file'),
(3100, 'Insurance Numbers'),
(3101, 'Insurance Payment'),
(3102, 'Insurance Payments'),
(3103, 'Insurance Provider'),
(3104, 'Insurance Types'),
(3105, 'Insurances'),
(3106, 'Insured'),
(3107, 'Intake Conclusion'),
(3108, 'Intake Date'),
(3109, 'Intellectual Decline'),
(3110, 'Interlingua'),
(3111, 'Interlingue'),
(3112, 'Internal Allergies'),
(3113, 'Internal error - no pages were selected!'),
(3114, 'Internal error - patient ID was not provided!'),
(3115, 'Internal error accessing uploaded file!'),
(3116, 'Internal error!'),
(3117, 'Internal error, no drug ID specified!'),
(3118, 'Internal error: Cannot find MSH-10'),
(3119, 'Internal error: claim '),
(3120, 'Internal error: encounter \''),
(3121, 'Internal error: pid or encounter is missing.'),
(3122, 'Internal error: we do not seem to be in an encounter!'),
(3123, 'Internal Identifier (pid)'),
(3124, 'Internal Medications'),
(3125, 'Internal Problems'),
(3126, 'Internal Referrals'),
(3127, 'Internal Time Collected'),
(3128, 'International Duty'),
(3129, 'Interpreter'),
(3130, 'Interpreter needed?'),
(3131, 'Interstitial Lung Disease'),
(3132, 'Interval'),
(3133, 'Interval (minutes)'),
(3134, 'Interval between message checks (set to zero for manual checks only)'),
(3135, 'Intervention'),
(3136, 'Intervention Provided'),
(3137, 'Intolerance'),
(3138, 'Intradermal'),
(3139, 'intramuscularly'),
(3140, 'intravenously'),
(3141, 'Introduction'),
(3142, 'Inuktitut'),
(3143, 'Inupiaq'),
(3144, 'Invalid character in'),
(3145, 'Invalid date range'),
(3146, 'Invalid encapsulated data encoding type'),
(3147, 'Invalid length for'),
(3148, 'Invalid non-numeric character in'),
(3149, 'Invalid or missing payer in source for code '),
(3150, 'Invalid recipient address. Please try again.'),
(3151, 'Invalid Service Codes'),
(3152, 'Invalid source designation \"'),
(3153, 'Invalid username or password'),
(3154, 'InvAmt'),
(3155, 'Inventory'),
(3156, 'Inventory Activity'),
(3157, 'Inventory and sell both drugs and non-drug products'),
(3158, 'Inventory and sell drugs only'),
(3159, 'Inventory is not available for this order.'),
(3160, 'Inventory List'),
(3161, 'Inventory Transactions'),
(3162, 'Invoice'),
(3163, 'invoice'),
(3164, 'Invoice Balance'),
(3165, 'Invoice Balance cannot be posted. No Encounter is created.'),
(3166, 'Invoice Date'),
(3167, 'Invoice has no date!'),
(3168, 'Invoice Number'),
(3169, 'Invoice Reference Number'),
(3170, 'Invoice reference number pool, if used'),
(3171, 'Invoice Reference Number Pools'),
(3172, 'Invoice Refno Pool'),
(3173, 'Invoice:'),
(3174, 'IPPF'),
(3175, 'IPPF Abortion'),
(3176, 'IPPF Contraception'),
(3177, 'IPPF SRH Data for'),
(3178, 'IPPF Statistics Report'),
(3179, 'IPPF Stats'),
(3180, 'IPV 1'),
(3181, 'IPV 2'),
(3182, 'IPV 3'),
(3183, 'IPV 4'),
(3184, 'Irish'),
(3185, 'Irregular Heart Beat'),
(3186, 'Irritability'),
(3187, 'Irritation'),
(3188, 'is a different language version of the following database'),
(3189, 'is a different version of the following database'),
(3190, 'is a more recent version of the following database'),
(3191, 'is a required field.'),
(3192, 'is a root node and can not be deleted.'),
(3193, 'is an extension of the following database'),
(3194, 'Is it ok to map these CVX codes to already existent immunizations?'),
(3195, 'is misplaced or unknown'),
(3196, 'Is not selected'),
(3197, 'is not valid (decimal fractions are OK).'),
(3198, 'Is PHP using Safe Mode?'),
(3199, 'Is selected'),
(3200, 'Is text from form layouts to be translated?'),
(3201, 'Is text from lists to be translated?'),
(3202, 'Is The File Encrypted?'),
(3203, 'Is this a Clinical Term code type?'),
(3204, 'Is this a diagnosis type?'),
(3205, 'Is this a Medical Problem code type?'),
(3206, 'Is this a Medication type?'),
(3207, 'Is this a procedure/service type?'),
(3208, 'Is this active?'),
(3209, 'Is this code type active?'),
(3210, 'Is this code type used in claims?'),
(3211, 'Is this really OK?'),
(3212, 'Is this type hidden in the fee sheet?'),
(3213, 'Is this using external sql tables? If it is, then choose the format.'),
(3214, 'is too long'),
(3215, 'ISO 639-2 Code'),
(3216, 'Issue'),
(3217, 'issue'),
(3218, 'Issue Date'),
(3219, 'Issue ID'),
(3220, 'Issue Title'),
(3221, 'Issue Type'),
(3222, 'Issue Types'),
(3223, 'Issues'),
(3224, 'Issues (Injuries/Medical/Allergy)'),
(3225, 'Issues (Injuries/Medical/Allergy):'),
(3226, 'Issues and Encounters'),
(3227, 'Issues and Encounters for'),
(3228, 'Issues not authorized'),
(3229, 'Issues Section'),
(3230, 'Italian'),
(3231, 'Item'),
(3232, 'item'),
(3233, 'items'),
(3234, 'Items load failed'),
(3235, 'IU/L'),
(3236, 'IUD'),
(3237, 'IV'),
(3238, 'Jan'),
(3239, 'January'),
(3240, 'Japanese'),
(3241, 'Jaundice'),
(3242, 'Javanese'),
(3243, 'Job Description'),
(3244, 'Job ID'),
(3245, 'Joint dislocations'),
(3246, 'Joint Pain'),
(3247, 'Joint sprains'),
(3248, 'Jul'),
(3249, 'July'),
(3250, 'Jun'),
(3251, 'June'),
(3252, 'Just below the check information is a blue area where you put in your search parameters.  You can search by patient name, chart number, encounter number or date of service, or any combination of these.  You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient).  Click the Search button to perform the search.'),
(3253, 'Just Mine'),
(3254, 'Justification Entries'),
(3255, 'Justify'),
(3256, 'Justify/Save'),
(3257, 'J{{Justify Header}}'),
(3258, 'k, here\'s the rest '),
(3259, 'Kalaallisut, Greenlandic'),
(3260, 'Kannada'),
(3261, 'Kanuri'),
(3262, 'Kashmiri'),
(3263, 'Kazakh'),
(3264, 'Key'),
(3265, 'Keywords'),
(3266, 'kg'),
(3267, 'kg/m^2'),
(3268, 'Khmer'),
(3269, 'Kidney Cancer'),
(3270, 'Kidney Failure'),
(3271, 'Kidney Infections'),
(3272, 'Kidney Stones'),
(3273, 'Kidney Transplant'),
(3274, 'Kikuyu, Gikuyu'),
(3275, 'Kinyarwanda'),
(3276, 'Kirundi'),
(3277, 'Knee'),
(3278, 'Knee Problems'),
(3279, 'Knee Replacement'),
(3280, 'Komi'),
(3281, 'Kongo'),
(3282, 'Korean'),
(3283, 'Kurdish'),
(3284, 'Kwanyama, Kuanyama'),
(3285, 'Kyrgyz'),
(3286, 'Lab'),
(3287, 'Lab Documents'),
(3288, 'Lab Exchange Site Address'),
(3289, 'Lab Exchange Site ID'),
(3290, 'Lab Exchange Token ID'),
(3291, 'Lab Order'),
(3292, 'Lab overview'),
(3293, 'Lab Overview'),
(3294, 'Lab Query Status'),
(3295, 'Lab Report'),
(3296, 'Lab Result'),
(3297, 'Lab Results'),
(3298, 'Lab Results Category Name'),
(3299, 'Lab Results Report'),
(3300, 'Lab Service'),
(3301, 'Lab Test Results'),
(3302, 'Lab/File'),
(3303, 'Label'),
(3304, 'Label cannot be blank'),
(3305, 'Label Cols'),
(3306, 'Label for this type'),
(3307, 'LabelCols must be a number between 1 and 999'),
(3308, 'Labels'),
(3309, 'Laboratory Information'),
(3310, 'Laboratory Test'),
(3311, 'Labs'),
(3312, 'Laceration / skin condition'),
(3313, 'Laceration/abrasion'),
(3314, 'LADate'),
(3315, 'Landscape'),
(3316, 'Language'),
(3317, 'Language Code'),
(3318, 'Language definition added'),
(3319, 'Language Interface Tool'),
(3320, 'Language List (write,addonly optional)'),
(3321, 'Language Name'),
(3322, 'Language:'),
(3323, 'Lao'),
(3324, 'Laotian'),
(3325, 'Last'),
(3326, 'Last Activity Date'),
(3327, 'Last Appendectomy'),
(3328, 'Last Bill Date:'),
(3329, 'Last Breast Exam'),
(3330, 'Last Calendar Year'),
(3331, 'Last Cataract Surgery'),
(3332, 'Last Cholecystestomy'),
(3333, 'Last Encounter'),
(3334, 'Last Gyn. Exam'),
(3335, 'Last Heart Surgery'),
(3336, 'Last Hernia Repair'),
(3337, 'Last Hip Replacement'),
(3338, 'Last Hysterectomy'),
(3339, 'Last Knee Replacement'),
(3340, 'Last Level Billed'),
(3341, 'Last Mammogram'),
(3342, 'Last Menstrual Period'),
(3343, 'Last Month'),
(3344, 'Last Name'),
(3345, 'Last name'),
(3346, 'Last Name:'),
(3347, 'Last Physical Exam'),
(3348, 'Last Prostate Exam'),
(3349, 'Last Rectal Exam'),
(3350, 'Last Reviewed'),
(3351, 'Last Run Started At'),
(3352, 'Last Saved'),
(3353, 'Last Sigmoid/Colonoscopy'),
(3354, 'Last Stmt'),
(3355, 'Last Tonsillectomy'),
(3356, 'Last update by'),
(3357, 'Last Verified On'),
(3358, 'Last Visit'),
(3359, 'Last X-ray'),
(3360, 'Late Recurrence (2-12 Mo)'),
(3361, 'Lateral Malleolus'),
(3362, 'Lateral malleolus:'),
(3363, 'Laterality'),
(3364, 'Laterality of this procedure, if applicable'),
(3365, 'laterally displaced PMI:'),
(3366, 'Latest Results Only'),
(3367, 'Latest Visit or Consultation'),
(3368, 'Latin'),
(3369, 'Latvian'),
(3370, 'Law Firm'),
(3371, 'Lawyer'),
(3372, 'Layout'),
(3373, 'Layout Based'),
(3374, 'Layout Editor'),
(3375, 'Layout groups'),
(3376, 'Layout Style'),
(3377, 'Layout-Based Transaction Forms'),
(3378, 'Layout-Based Visit Forms'),
(3379, 'Layouts'),
(3380, 'lb'),
(3381, 'lbs'),
(3382, 'LDL'),
(3383, 'leave blank if still active'),
(3384, 'Leave Blank To Keep Original Filename'),
(3385, 'Leave blank to keep password unchanged.'),
(3386, 'Leave Message With'),
(3387, 'Leave The Form'),
(3388, 'Leaving the pass phrase blank will not encrypt the document'),
(3389, 'Ledger'),
(3390, 'Left'),
(3391, 'Left Ear'),
(3392, 'left ear'),
(3393, 'Left Margin (mm)'),
(3394, 'Left:'),
(3395, 'Left: '),
(3396, 'Leg Pain/Cramping'),
(3397, 'Legal'),
(3398, 'Legal Authenticator'),
(3399, 'Legal Paper Size'),
(3400, 'Legend:'),
(3401, 'Length'),
(3402, 'Length of modifier, 0 if none'),
(3403, 'Less Than'),
(3404, 'Less Than or Equal To'),
(3405, 'Less-private information (write,addonly optional)'),
(3406, 'Letter'),
(3407, 'Letter Generator'),
(3408, 'Letter Paper Size'),
(3409, 'Letterhead that doctor signs'),
(3410, 'Letterhead that patient signs'),
(3411, 'Level of urgency'),
(3412, 'Liability'),
(3413, 'Liability Medical'),
(3414, 'License/ID'),
(3415, 'Licensed Prescriber First Name'),
(3416, 'Licensed Prescriber Last Name'),
(3417, 'Licensed Prescriber NPI'),
(3418, 'Licensed Prescriber Title (Prefix)'),
(3419, 'LicensedPrescriber Last name'),
(3420, 'LicensedPrescriber NPI'),
(3421, 'LicensedPrescriber UPIN'),
(3422, 'Life threatening severity'),
(3423, 'Lifestyle'),
(3424, 'Lifestyle status'),
(3425, 'Ligament tear or sprain'),
(3426, 'Light tobacco smoker'),
(3427, 'Limburgish, Limburgan, Limburger'),
(3428, 'Limit Of Events'),
(3429, 'Limits'),
(3430, 'Lingala'),
(3431, 'Link'),
(3432, 'Link To Patient'),
(3433, 'Linked'),
(3434, 'Linked document'),
(3435, 'Linked procedure order'),
(3436, 'linked to document'),
(3437, 'linked to procedure order'),
(3438, 'List'),
(3439, 'List box'),
(3440, 'list box'),
(3441, 'list box w/ add'),
(3442, 'List box w/add'),
(3443, 'List Editor'),
(3444, 'List encounters'),
(3445, 'List groups'),
(3446, 'List Insurance Companies'),
(3447, 'List item ID'),
(3448, 'List items can not start with a number.'),
(3449, 'List items contains illegal character(s).'),
(3450, 'List layout items'),
(3451, 'List lists'),
(3452, 'List Name'),
(3453, 'List names cannot start with numbers.'),
(3454, 'List Prescriptions'),
(3455, 'List used by above Country Data Type option.'),
(3456, 'List used by above State Data Type option.'),
(3457, 'Listening port of the RFC 5425 TLS syslog server.'),
(3458, 'Lists'),
(3459, 'Lithuanian'),
(3460, 'Living Will'),
(3461, 'LLL:'),
(3462, 'LMP'),
(3463, 'Load Compendium'),
(3464, 'Load Definitions'),
(3465, 'Load Lab Configuration'),
(3466, 'Load OE Question Options'),
(3467, 'Load Order Definitions'),
(3468, 'Load Order Entry Questions'),
(3469, 'LOAD SUCCESSFUL. Codes inserted'),
(3470, 'LOADING'),
(3471, 'Loading the files into the database. This will take some time...'),
(3472, 'LOC'),
(3473, 'Local'),
(3474, 'Local Content'),
(3475, 'Local Filesystem'),
(3476, 'Locale'),
(3477, 'Locality'),
(3478, 'Location'),
(3479, 'location of the libreehr machine and may contain sensitive data, so it is recommended to manually delete the files after its use'),
(3480, 'Location of this lot'),
(3481, 'Location unspecified'),
(3482, 'Location where Hylafax stores faxes.'),
(3483, 'Location where scans are stored.'),
(3484, 'Location:'),
(3485, 'Lock'),
(3486, 'Lock an e-signed form individually'),
(3487, 'Lock e-signed encounters and their forms'),
(3488, 'Lock?'),
(3489, 'Locked'),
(3490, 'Log all NewCrop eRx Requests and / or Responses.'),
(3491, 'Log entire document'),
(3492, 'Log In'),
(3493, 'Log in'),
(3494, 'Log Out'),
(3495, 'Logged in'),
(3496, 'Logged in as'),
(3497, 'Logged in as: '),
(3498, 'Logged out.'),
(3499, 'Logging'),
(3500, 'Login'),
(3501, 'login'),
(3502, 'Login name of WordPress user for portal access'),
(3503, 'Login to remote host'),
(3504, 'Login to this remote host failed'),
(3505, 'Logout'),
(3506, 'logout'),
(3507, 'Logs'),
(3508, 'Logs Viewer'),
(3509, 'LOINC'),
(3510, 'Look Up'),
(3511, 'Lot'),
(3512, 'Lot ID missing!'),
(3513, 'Lot Number'),
(3514, 'Low'),
(3515, 'Low Priority'),
(3516, 'Lower leg'),
(3517, 'Lowest Priority'),
(3518, 'Luba-Katanga'),
(3519, 'Lumbar spine'),
(3520, 'LUNCH'),
(3521, 'Lunch'),
(3522, 'Lung Cancer'),
(3523, 'Lung Cancer Surgery'),
(3524, 'LUNGS:'),
(3525, 'Lungs:'),
(3526, 'Lupus'),
(3527, 'Luxembourgish, Letzeburgesch'),
(3528, 'M'),
(3529, 'MA Category'),
(3530, 'MA Client Accepting Abortion'),
(3531, 'MA Stats'),
(3532, 'Macedonian'),
(3533, 'Mail Sent'),
(3534, 'Main'),
(3535, 'Main Address'),
(3536, 'Main Top Pane Screen'),
(3537, 'Maintain active medication allergy list.'),
(3538, 'Maintain active medication list.'),
(3539, 'Maintain an up-to-date problem list of current and active diagnoses.'),
(3540, 'Make modifications to current categories.'),
(3541, 'Make new appointment for'),
(3542, 'Make sure \"'),
(3543, 'Making batch text files for uploading to Clearing House and will mark as billed'),
(3544, 'Malagasy'),
(3545, 'Malaise:'),
(3546, 'Malay'),
(3547, 'Malayalam'),
(3548, 'Male'),
(3549, 'Male Condoms'),
(3550, 'Male VSC'),
(3551, 'Maltese'),
(3552, 'Mammogram'),
(3553, 'Manage'),
(3554, 'Manage Hooks'),
(3555, 'Manage Modules'),
(3556, 'Manage Translations'),
(3557, 'Management'),
(3558, 'Mandatory and specified fields'),
(3559, 'Mandatory or specified fields only, dup check, no search'),
(3560, 'Mandatory or specified fields only, search and dup check'),
(3561, 'Manual'),
(3562, 'Manual Posting'),
(3563, 'Manufacturer'),
(3564, 'Manx'),
(3565, 'Mar'),
(3566, 'Marathi'),
(3567, 'Marathi (Marāṭhī)'),
(3568, 'March'),
(3569, 'Marital Status'),
(3570, 'Mark as Billed'),
(3571, 'Mark as billed but skip billing'),
(3572, 'Mark as Cleared'),
(3573, 'Mark as not billed'),
(3574, 'Mark these reports as reviewed'),
(3575, 'Marked as cleared'),
(3576, 'Married'),
(3577, 'Marshallese'),
(3578, 'Mask'),
(3579, 'Mask for Invoice Numbers'),
(3580, 'Mask for Patient IDs'),
(3581, 'Mask for Product IDs'),
(3582, 'Match'),
(3583, 'Match case'),
(3584, 'Match Found'),
(3585, 'Matched Patient'),
(3586, 'MaternalAunt'),
(3587, 'MaternalGrandparent'),
(3588, 'MaternalGreatgrandparent'),
(3589, 'MaternalUncle'),
(3590, 'Matrix'),
(3591, 'Max'),
(3592, 'max file count reached - reload names below'),
(3593, 'Max Size'),
(3594, 'Maxillary Right:'),
(3595, 'Maximum Age'),
(3596, 'Maximum characters'),
(3597, 'Maximum idle time in seconds before logout. Default is 7200 (2 hours).'),
(3598, 'Maximum number of times a Patient can be tested in a year'),
(3599, 'Maximum number of times a Patient can be tested in a year. Zero is no limit.'),
(3600, 'Maximum reasonable inventory, 0 if not applicable'),
(3601, 'Maximum Size'),
(3602, 'Maximum Size (entering 0 will allow any size)'),
(3603, 'May'),
(3604, 'MC'),
(3605, 'mcg'),
(3606, 'MDM Document Category Name'),
(3607, 'Means none of last three passwords are allowed when changing a password.'),
(3608, 'Measure Blood Pressure'),
(3609, 'Measure Group Code'),
(3610, 'Measure INR'),
(3611, 'Measurement'),
(3612, 'Medial malleolus:'),
(3613, 'Medicaid'),
(3614, 'Medical'),
(3615, 'Medical Abortion'),
(3616, 'Medical Administration'),
(3617, 'Medical History'),
(3618, 'Medical Issue'),
(3619, 'Medical issue'),
(3620, 'Medical problem'),
(3621, 'Medical Problem'),
(3622, 'Medical Problem Issue List'),
(3623, 'Medical Problems'),
(3624, 'Medical Record'),
(3625, 'Medical Record #'),
(3626, 'Medical Records'),
(3627, 'Medical Records Sent'),
(3628, 'Medical Specialty'),
(3629, 'Medical Summary Given'),
(3630, 'Medical System'),
(3631, 'Medical Type'),
(3632, 'Medical/History (write,addonly optional)'),
(3633, 'Medicare Part B'),
(3634, 'Medicare Referrer Is Renderer'),
(3635, 'Medication'),
(3636, 'Medication Allergy List'),
(3637, 'Medication Issue List'),
(3638, 'Medication List'),
(3639, 'Medication Reconciliation Performed?'),
(3640, 'Medications'),
(3641, 'Medications:'),
(3642, 'Medicine Units'),
(3643, 'Medium'),
(3644, 'MedlinePlus Connect'),
(3645, 'Member Association Statistics Report'),
(3646, 'Memory Problems'),
(3647, 'Men'),
(3648, 'Men and Women'),
(3649, 'Men Only'),
(3650, 'Menarche'),
(3651, 'Menopause'),
(3652, 'Menstrual Flow'),
(3653, 'Menstrual Frequency'),
(3654, 'Mental Illness'),
(3655, 'Menu Text'),
(3656, 'Menus'),
(3657, 'Merge'),
(3658, 'Merge complete.'),
(3659, 'Merge Patients'),
(3660, 'Merge to any patient'),
(3661, 'Message'),
(3662, 'Message and Reminder Center'),
(3663, 'Message content is not plain text so it has been stored as a document.'),
(3664, 'Message from patient'),
(3665, 'Message Sent'),
(3666, 'Message Status'),
(3667, 'Message Title'),
(3668, 'Message to patient'),
(3669, 'Message type'),
(3670, 'MESSAGE:'),
(3671, 'Messages'),
(3672, 'Messages You have sent Today'),
(3673, 'Method'),
(3674, 'Method and Specific Product'),
(3675, 'Method for sending outgoing email.'),
(3676, 'Method of Destruction'),
(3677, 'Mexican/MexAmer/Chicano'),
(3678, 'Mexico'),
(3679, 'mg'),
(3680, 'mg/1cc'),
(3681, 'mg/2cc'),
(3682, 'mg/3cc'),
(3683, 'mg/4cc'),
(3684, 'mg/5cc'),
(3685, 'MG/DL'),
(3686, 'Middle'),
(3687, 'Middle Name'),
(3688, 'Middle name'),
(3689, 'Midlevel Prescriber'),
(3690, 'Midlevel Prescriber DEA'),
(3691, 'Midlevel Prescriber First name'),
(3692, 'Midlevel Prescriber Last name'),
(3693, 'Midlevel Prescriber Prefix'),
(3694, 'Midlevel Prescriber UPIN'),
(3695, 'Mien'),
(3696, 'Migrant or seasonal worker?'),
(3697, 'Migrant/Seasonal'),
(3698, 'Mil/CU.MM'),
(3699, 'Mild'),
(3700, 'Mild to moderate'),
(3701, 'MIME Type'),
(3702, 'MimeType'),
(3703, 'Min'),
(3704, 'min'),
(3705, 'Minimum Age'),
(3706, 'Minor joint strain +/- synovitis'),
(3707, 'minute'),
(3708, 'Minute'),
(3709, 'minutes'),
(3710, 'Minutes'),
(3711, 'Mirth IP'),
(3712, 'Misc'),
(3713, 'Misc Billing Options'),
(3714, 'Misc Billing Options for HCFA-1500'),
(3715, 'Misc Billing Options HCFA'),
(3716, 'Miscellaneous'),
(3717, 'Missed'),
(3718, 'missing'),
(3719, 'Missing a required field'),
(3720, 'Missing Fee'),
(3721, 'Missing Mods Only'),
(3722, 'Missing or Invalid'),
(3723, 'Missing PID.'),
(3724, 'Missing report date'),
(3725, 'Missing slash after payer in source for code '),
(3726, 'Mixed'),
(3727, 'ml'),
(3728, 'MM/DD/YYYY'),
(3729, 'mm/hg'),
(3730, 'mmHg'),
(3731, 'MMR 1'),
(3732, 'MMR 2'),
(3733, 'Mobile'),
(3734, 'Mobile Phone'),
(3735, 'Mod'),
(3736, 'Mod Date'),
(3737, 'Moderate'),
(3738, 'Moderate Priority'),
(3739, 'Moderate to severe'),
(3740, 'Moderate/Low Priority'),
(3741, 'Modifier'),
(3742, 'Modifiers'),
(3743, 'Modify'),
(3744, 'Modify Date'),
(3745, 'Modify Payments'),
(3746, 'ModLength'),
(3747, 'Module'),
(3748, 'Module Directory not found'),
(3749, 'Module Installer'),
(3750, 'Module Name'),
(3751, 'Module name already exist'),
(3752, 'Modules'),
(3753, 'Mon'),
(3754, 'Mon thru Fri'),
(3755, 'Mon, Wed &amp; Fri'),
(3756, 'Monday'),
(3757, 'Mongolian'),
(3758, 'Month'),
(3759, 'month'),
(3760, 'Month View'),
(3761, 'Month(s)'),
(3762, 'Monthly Income'),
(3763, 'Months'),
(3764, 'months'),
(3765, 'More than 100 records found. Please narrow your search criteria.'),
(3766, 'More than 50 results, please make your search more specific.'),
(3767, 'Most column headers can be clicked to change sort order'),
(3768, 'Most recent from'),
(3769, 'Most recent lab data:'),
(3770, 'Most recent vitals from:'),
(3771, 'Mother'),
(3772, 'Mother\'s Name'),
(3773, 'Mothers History'),
(3774, 'Mouth'),
(3775, 'Move'),
(3776, 'Move Document to Category:'),
(3777, 'Move Down'),
(3778, 'Move failed!'),
(3779, 'Move to Patient'),
(3780, 'Move to...'),
(3781, 'Move Up'),
(3782, 'Moving'),
(3783, 'Mr.'),
(3784, 'MRN (pid)'),
(3785, 'Mrs.'),
(3786, 'Ms.'),
(3787, 'MSH-11'),
(3788, 'MSH-3.1'),
(3789, 'MSH-4.1'),
(3790, 'MSH-5.1'),
(3791, 'MSH-6.1'),
(3792, 'MSH.8 message type is not supported'),
(3793, 'MSH.8 message type is not valid'),
(3794, 'MSP Code'),
(3795, 'MSP Remit Codes'),
(3796, 'Multi Language Tool'),
(3797, 'Multiple areas'),
(3798, 'Multiple files can be uploaded at one time by selecting them using CTRL+Click or SHIFT+Click.'),
(3799, 'Multiple Lots'),
(3800, 'Multiple modifiers can be separated by colons or spaces, maximum of 4 (M1:M2:M3:M4)'),
(3801, 'Multiple Select List'),
(3802, 'Multiracial'),
(3803, 'Murmur:'),
(3804, 'Musc Ache'),
(3805, 'Musc Aches'),
(3806, 'Musc Redness'),
(3807, 'Musc Stiffness'),
(3808, 'Musc Swelling'),
(3809, 'Musc Warm'),
(3810, 'Muscle'),
(3811, 'Muscle injury'),
(3812, 'Musculoskeletal'),
(3813, 'Must be empty if SMTP authentication is not used.'),
(3814, 'Mutually Defined'),
(3815, 'MVA'),
(3816, 'MVX Code'),
(3817, 'My Health'),
(3818, 'Myself'),
(3819, 'M{{Monday}}'),
(3820, 'Māori'),
(3821, 'N/A'),
(3822, 'n/a'),
(3823, 'Name'),
(3824, 'NAME'),
(3825, 'Name (click for more)'),
(3826, 'Name 1'),
(3827, 'Name 2'),
(3828, 'Name and Title of Immunization Administrator'),
(3829, 'Name in EMR'),
(3830, 'Name must be like codetype_code_language.pdf, for example icd9_274.11_en.pdf'),
(3831, 'Name of Events'),
(3832, 'Name of insurance company'),
(3833, 'Name of Provider'),
(3834, 'Name of the sender for patient reminders.'),
(3835, 'Name Translation'),
(3836, 'Name/Value'),
(3837, 'Name:'),
(3838, 'NARES:'),
(3839, 'NARES: Normal Right'),
(3840, 'Nasal mucosa pink, septum midline'),
(3841, 'Nation Notes'),
(3842, 'Nation Notes Configure'),
(3843, 'Nation Notes Replace Buttons'),
(3844, 'Nationality'),
(3845, 'NationNotes'),
(3846, 'Native Data Loads'),
(3847, 'Native Hawaiian or Other Pacific Islander'),
(3848, 'Natural Child'),
(3849, 'Natural Parent'),
(3850, 'Natural Sibling'),
(3851, 'Nauru'),
(3852, 'Nausea'),
(3853, 'Navajo, Navaho'),
(3854, 'Navigation'),
(3855, 'Navigation area includes encounter forms'),
(3856, 'Navigation area uses full height of frameset'),
(3857, 'Navigation Area Visit Forms'),
(3858, 'Navigation Area Width'),
(3859, 'Navigation menu consists of pairs of radio buttons'),
(3860, 'Navigation menu is a tree view'),
(3861, 'Navigation uses a sliding menu'),
(3862, 'NDC'),
(3863, 'NDC Data'),
(3864, 'NDC Number'),
(3865, 'Ndonga'),
(3866, 'Neck'),
(3867, 'Neck Problems'),
(3868, 'Neck supple'),
(3869, 'Need to enter a description'),
(3870, 'Need to enter a Return Value'),
(3871, 'Need to enter identifier'),
(3872, 'Need to enter title'),
(3873, 'Needs Auth'),
(3874, 'Needs Justify'),
(3875, 'Needs secondary billing'),
(3876, 'Negative'),
(3877, 'Negatives'),
(3878, 'Neighbor'),
(3879, 'Nepali'),
(3880, 'Nerve injury'),
(3881, 'Neural condition / nerve damage'),
(3882, 'Neuro Numbness'),
(3883, 'Neuro Weakness'),
(3884, 'Neurologic'),
(3885, 'Never'),
(3886, 'Never Alcohol'),
(3887, 'Never smoker'),
(3888, 'New'),
(3889, 'New =>'),
(3890, 'New Acceptors'),
(3891, 'New Alerts'),
(3892, 'New Allergy'),
(3893, 'New amendment request'),
(3894, 'New Appointment'),
(3895, 'New Categories'),
(3896, 'New Category'),
(3897, 'New Clients'),
(3898, 'New Consultation'),
(3899, 'New Crop'),
(3900, 'New Definition set added'),
(3901, 'New Document'),
(3902, 'New Documents'),
(3903, 'New Due Clinical Reminders'),
(3904, 'New Encounter'),
(3905, 'New encounter created with id'),
(3906, 'New Encounter Form'),
(3907, 'New encounters not authorized'),
(3908, 'New Enctr'),
(3909, 'New Facility Information'),
(3910, 'New file'),
(3911, 'New Files'),
(3912, 'New Group'),
(3913, 'New Group Information'),
(3914, 'New Inj/Status'),
(3915, 'New Items (see above for details)'),
(3916, 'New Limit of Events'),
(3917, 'New List'),
(3918, 'New Orders'),
(3919, 'New Paragraph'),
(3920, 'New Password'),
(3921, 'New Patient'),
(3922, 'NEW PATIENT'),
(3923, 'New Patient Encounter'),
(3924, 'New Patient Form'),
(3925, 'New Patient ID'),
(3926, 'New Payment'),
(3927, 'New Portal Login'),
(3928, 'New Pt'),
(3929, 'New results from Lab Exchange'),
(3930, 'New Search'),
(3931, 'New Submissions'),
(3932, 'New User'),
(3933, 'New Value'),
(3934, 'New Visit'),
(3935, 'New/Search'),
(3936, 'NewCrop Account Status'),
(3937, 'NewCrop Admin'),
(3938, 'NewCrop call failed'),
(3939, 'NewCrop Doctor'),
(3940, 'NewCrop eRx Account Id'),
(3941, 'NewCrop eRx Account Name'),
(3942, 'NewCrop eRx Debug Setting'),
(3943, 'NewCrop eRx Default Patient Country'),
(3944, 'NewCrop eRx Name'),
(3945, 'NewCrop eRx Partner Name'),
(3946, 'NewCrop eRx Password'),
(3947, 'NewCrop eRX Role'),
(3948, 'NewCrop eRx Role'),
(3949, 'NewCrop eRx Site Address'),
(3950, 'NewCrop eRx SOAP Request Time-To-Live for Allergies'),
(3951, 'NewCrop eRx SOAP Request Time-To-Live for Medications'),
(3952, 'NewCrop eRx User Role'),
(3953, 'NewCrop eRx User Role * invalid selection *'),
(3954, 'NewCrop eRx Web Service Address'),
(3955, 'NewCrop Manager'),
(3956, 'NewCrop MedEntry'),
(3957, 'NewCrop Midlevel Prescriber'),
(3958, 'NewCrop Nurse'),
(3959, 'NewCrop Supervising Doctor'),
(3960, 'Newer'),
(3961, 'Newspaper'),
(3962, 'Next'),
(3963, 'Next Appointment Date'),
(3964, 'Next Day'),
(3965, 'Next Month'),
(3966, 'Next month (hold for menu)'),
(3967, 'Next Scheduled Run'),
(3968, 'Next Week'),
(3969, 'Next year (hold for menu)'),
(3970, 'Nick Name'),
(3971, 'Nickname'),
(3972, 'Niece/Nephew'),
(3973, 'Night Sweats'),
(3974, 'Nl ext genitalia, vag mucosa, cervix'),
(3975, 'No'),
(3976, 'NO'),
(3977, 'No access'),
(3978, 'No active patient reminders.'),
(3979, 'No adenopathy (2 areas required)'),
(3980, 'No adjustment reason type found for'),
(3981, 'No adnexal tenderness/masses'),
(3982, 'No amendment requests available'),
(3983, 'No Appointments'),
(3984, 'No audit log tampering detected in the selected date range.'),
(3985, 'No billing system is currently active'),
(3986, 'No Bills Found to Include in OFX Export'),
(3987, 'No Bills Found to Include in OFX Export<br>'),
(3988, 'No Changes Detected'),
(3989, 'No code was specified!'),
(3990, 'No Configuration Defined for this Module'),
(3991, 'No Data to Process'),
(3992, 'No Diagnosis'),
(3993, 'No Documents Found'),
(3994, 'No Encounter could be created'),
(3995, 'No end date'),
(3996, 'No entries found, use the form below to add an entry.'),
(3997, 'No errors found'),
(3998, 'No Events'),
(3999, 'No Fax Number Saved For The Selected Organization'),
(4000, 'No files staged for installation'),
(4001, 'No group was selected'),
(4002, 'No hernia'),
(4003, 'No Hooks Available in this Module'),
(4004, 'No Hooks enabled for this Module'),
(4005, 'No injury/illness'),
(4006, 'No Insurance Companies Found'),
(4007, 'No Issues'),
(4008, 'No issues in this encounter.'),
(4009, 'No items under selected category'),
(4010, 'No items were selected!'),
(4011, 'No Known Allergies'),
(4012, 'No Known Clinical Instructions'),
(4013, 'No Known Encounters'),
(4014, 'No Known Immunizations'),
(4015, 'No Known Lab Results'),
(4016, 'No Known Medications'),
(4017, 'No Known Plan of Care'),
(4018, 'No Known Problems'),
(4019, 'No Known Procedures'),
(4020, 'No Known Referrals'),
(4021, 'No Known Social Functional Status'),
(4022, 'No Known Social History'),
(4023, 'No Known Vitals'),
(4024, 'No lab data documented.'),
(4025, 'No log file exist for the selected date'),
(4026, 'No logging'),
(4027, 'No masses, tenderness'),
(4028, 'No match Patient record found for the given Re Idenitification code'),
(4029, 'No matches found. Try search again.'),
(4030, 'No matches were found.'),
(4031, 'No matches were found. Create the new patient now?'),
(4032, 'No matching records found'),
(4033, 'No new results found'),
(4034, 'No notes'),
(4035, 'No ogrganomegoly'),
(4036, 'No openings were found for this period.'),
(4037, 'No other phone numbers listed'),
(4038, 'No parameters selected'),
(4039, 'No Partners Found'),
(4040, 'No Patient record found for given Selection criteria'),
(4041, 'No Patient record found for the given Re Identification code'),
(4042, 'No peripheral edema'),
(4043, 'No Pharmacies Found'),
(4044, 'No Prescriptions Found'),
(4045, 'No presenting illness/injury'),
(4046, 'No previous entries.'),
(4047, 'No Primary Business Entity selected in facility list'),
(4048, 'No prior encounters.'),
(4049, 'No procedures in this encounter.'),
(4050, 'No provider was matched'),
(4051, 'No Providers Found'),
(4052, 'No rash or abnormal lesions'),
(4053, 'No records found'),
(4054, 'No records found.'),
(4055, 'No records found. Please expand your search criteria.'),
(4056, 'No Reminders'),
(4057, 'No Result Found, for the above search criteria.'),
(4058, 'No Results'),
(4059, 'No results found'),
(4060, 'No Results Found For Search'),
(4061, 'No results found, please try again.'),
(4062, 'No results, please tray again.'),
(4063, 'No results, please try again.'),
(4064, 'No Settings avaliable in this module'),
(4065, 'No Show'),
(4066, 'No signatures on file'),
(4067, 'No Sinus Tenderness:'),
(4068, 'No skin dimpling or breast nodules'),
(4069, 'NO SUCH CONTEXT NAME'),
(4070, 'No table selected! Select a table.'),
(4071, 'No testicular tenderness, masses'),
(4072, 'No thrills or heaves'),
(4073, 'No track selected'),
(4074, 'No tracks have been documented.'),
(4075, 'No visit'),
(4076, 'No vitals have been documented.'),
(4077, 'No, Cancel'),
(4078, 'No-fault Insurance including Auto is Primary'),
(4079, 'No:'),
(4080, 'Nocturia'),
(4081, 'Non Paid'),
(4082, 'Non Reported Report'),
(4083, 'Non specific injury'),
(4084, 'Non-electronic'),
(4085, 'Non-Insulin Dependent Diabetes'),
(4086, 'Non-Insured'),
(4087, 'Non-SRH Medical'),
(4088, 'Non-SRH Non-Medical'),
(4089, 'None'),
(4090, 'none'),
(4091, 'None defined'),
(4092, 'None have been documented'),
(4093, 'None of the above'),
(4094, 'None of the Top Distribution Row Can be Completly Blank.'),
(4095, 'Noninsulin Dependent Diabetes'),
(4096, 'Nor'),
(4097, 'Normal'),
(4098, 'Normal BL'),
(4099, 'Normal Cardiac Exam:'),
(4100, 'Normal Cardiac Exam: '),
(4101, 'Normal Lung Exam:'),
(4102, 'Normal Lung Exam: '),
(4103, 'Normal Office Visit'),
(4104, 'Normal Oropharynx:'),
(4105, 'Normal Right'),
(4106, 'Normal Right:'),
(4107, 'Normal View'),
(4108, 'normal:'),
(4109, 'Normally this should be checked. Not related to access control.'),
(4110, 'North Ndebele'),
(4111, 'Northern Sami'),
(4112, 'Norwegian'),
(4113, 'Norwegian Bokmål'),
(4114, 'Norwegian Nynorsk'),
(4115, 'Nose'),
(4116, 'Nosebleed'),
(4117, 'not a letter or number'),
(4118, 'Not Administered'),
(4119, 'Not all fields are required for all codes or code types.'),
(4120, 'Not Allowed'),
(4121, 'Not allowed to delete the Administrators group'),
(4122, 'Not Allowed to Edit'),
(4123, 'Not allowed to inactivate all security objects'),
(4124, 'Not allowed to inactivate anything from the Administrators ACL'),
(4125, 'Not allowed to remove the admin user from the Administrators group'),
(4126, 'Not allowed to remove this user from the Administrators group'),
(4127, 'Not Applicable'),
(4128, 'Not authorised to access PostCalendar module'),
(4129, 'Not authorized'),
(4130, 'Not Authorized'),
(4131, 'Not authorized for this squad!'),
(4132, 'Not authorized for this squad.'),
(4133, 'Not authorized to manage users!'),
(4134, 'Not authorized to sign results'),
(4135, 'Not Available'),
(4136, 'Not Billed'),
(4137, 'Not billed'),
(4138, 'Not Checked'),
(4139, 'Not checked out'),
(4140, 'Not Coded'),
(4141, 'Not Due'),
(4142, 'Not Esigned'),
(4143, 'Not Examined'),
(4144, 'Not Examined:'),
(4145, 'Not Examined: '),
(4146, 'not found'),
(4147, 'Not Found'),
(4148, 'not found!'),
(4149, 'Not Hispanic or Latino'),
(4150, 'Not installed'),
(4151, 'Not Installed'),
(4152, 'Not seen since'),
(4153, 'Not sent'),
(4154, 'Not Sent Yet'),
(4155, 'Not Specified'),
(4156, 'Not Specified.'),
(4157, 'Note'),
(4158, 'Note Codes'),
(4159, 'Note it will take 5-10 minutes to fully process after you click Install'),
(4160, 'Note it will take 5-10 minutes to fully process after you click Upgrade'),
(4161, 'Note that Audit Logging needs to be enabled above'),
(4162, 'Note Type'),
(4163, 'Note: 12:00 noon is PM, not AM'),
(4164, 'NOTE: Importing external data can take more than an hour depending on your hardware configuration. For example, one of the RxNorm data tables contain in excess of 6 million rows.'),
(4165, 'NOTE: Only the Biannual International Snomed Release is currently supported'),
(4166, 'NOTE: Only the full monthly RxNorm release is currently supported'),
(4167, 'Note: This code has not been authorized.'),
(4168, 'Note: This code was not entered by an authorized user. Only authorized codes may be uploaded to the Open Medical Billing Network for processing. If you wish to upload these codes, please select an authorized user here.'),
(4169, 'Note: This copay was entered against billing that has not been authorized. Please review status.'),
(4170, 'NOTE: Uploading files with duplicate names will cause the files to be automatically renamed (for example, file.jpg will become file.1.jpg). Filenames are considered unique per patient, not per category.'),
(4171, 'NOTE: Uploading files with duplicate names will cause the files to be automatically renamed. For example \'<i>file.jpg</i>\' will become \'<i>file.jpg.1</i>\'. Filenames are considered unique per patient, not per category. '),
(4172, 'Notes'),
(4173, 'Notes - any encounters (write,addonly optional)'),
(4174, 'Notes - my encounters (write,addonly optional)'),
(4175, 'Notes not authorized'),
(4176, 'Nothing Pending for Approval'),
(4177, 'Nothing Recorded'),
(4178, 'Nothing to display'),
(4179, 'Nothing to import for Allergy'),
(4180, 'Nothing to import for Prescription'),
(4181, 'Nothing to show'),
(4182, 'Nothing was selected'),
(4183, 'Notice Received'),
(4184, 'NOTICE:: PostCalendar Submission/Modification'),
(4185, 'Notification'),
(4186, 'Notification Email Address'),
(4187, 'Notification sent to'),
(4188, 'Notifications'),
(4189, 'Notify Admin About Event Submission/Modification?'),
(4190, 'Nov'),
(4191, 'November'),
(4192, 'Now posting for:'),
(4193, 'Now printing'),
(4194, 'Now printing $stmt_count statements and updating encounters.'),
(4195, 'Now printing $stmt_count statements and updating invoices.'),
(4196, 'Now printing $stmt_count statements; encounters will not be updated.'),
(4197, 'Now printing $stmt_count statements; invoices will not be updated.'),
(4198, 'NPI'),
(4199, 'NQF'),
(4200, 'Number'),
(4201, 'Number labs'),
(4202, 'Number of Appointments to display in the Onsite Patient Portal'),
(4203, 'Number of Appointments to display in the Patient Summary'),
(4204, 'Number of columns in year view.'),
(4205, 'Number of days before showing fifth account message'),
(4206, 'Number of days before showing first account message'),
(4207, 'Number of days before showing first account message.'),
(4208, 'Number of days before showing fourth account message'),
(4209, 'Number of days before showing second account message'),
(4210, 'Number of days before showing third account message'),
(4211, 'Number of days that the client certificate is valid.'),
(4212, 'Number of days to search from the start date'),
(4213, 'Number of digits after decimal point for currency, usually 0 or 2.'),
(4214, 'Number of encounters to display per page.'),
(4215, 'Number of games or events missed, if any'),
(4216, 'Number of hours in advance to send email notifications.'),
(4217, 'Number of hours in advance to send Phone notification.'),
(4218, 'Number of hours in advance to send SMS notifications.'),
(4219, 'Number of Minutes to display completed checkouts'),
(4220, 'Number of Minutes to display completed checkouts. Zero is continuous display'),
(4221, 'Number of past history columns'),
(4222, 'Number of patients to display per page in the patient list.'),
(4223, 'Numbness'),
(4224, 'Numerator'),
(4225, 'Numeric display order'),
(4226, 'Nuosu'),
(4227, 'Nutrition'),
(4228, 'Nutritional'),
(4229, 'O.A.F.V.'),
(4230, 'O2 Sat'),
(4231, 'Obesity I'),
(4232, 'Obesity II'),
(4233, 'Obesity III'),
(4234, 'Objective'),
(4235, 'Observation Form'),
(4236, 'Occitan'),
(4237, 'Occupation'),
(4238, 'Occupational physician'),
(4239, 'Occurrence'),
(4240, 'Oct'),
(4241, 'October'),
(4242, 'OD'),
(4243, 'of'),
(4244, 'of quantity'),
(4245, 'of tablets'),
(4246, 'of the month every'),
(4247, 'Ofc Notes'),
(4248, 'Off'),
(4249, 'Office Notes'),
(4250, 'Office Visit'),
(4251, 'Official Clinical Quality Measures (CQM) Measure Groups'),
(4252, 'Offsite Https link for the Patient Portal.'),
(4253, 'Offsite Https link for the Patient Portal.(Patient Link)'),
(4254, 'Offsite Patient Portal Password'),
(4255, 'Offsite Patient Portal Password(Put Blank If not Registered).'),
(4256, 'Offsite Patient Portal Provider ID'),
(4257, 'Offsite Patient Portal Provider ID(Put Blank If not Registered).'),
(4258, 'Offsite Patient Portal Site Address'),
(4259, 'Offsite Patient Portal Site Address (Patient Link)'),
(4260, 'Offsite Patient Portal Username'),
(4261, 'Offsite Patient Portal Username(Put Blank If not Registered).'),
(4262, 'Offsite Portal web Service Failed'),
(4263, 'Offspring'),
(4264, 'Offspring History'),
(4265, 'ointment'),
(4266, 'Ojibwe, Ojibwa'),
(4267, 'OK'),
(4268, 'OK to close this other popup window?'),
(4269, 'OK to link the GCAC issue dated'),
(4270, 'Old'),
(4271, 'Old Church Slavonic, Church Slavonic, Old Bulgarian'),
(4272, 'Old Clients'),
(4273, 'Old fracture non / malunion'),
(4274, 'Old style layout with no left menu'),
(4275, 'Old-style static form without search or duplication check'),
(4276, 'Older'),
(4277, 'Omit'),
(4278, 'Omit circumferences'),
(4279, 'Omit employer information in patient demographics'),
(4280, 'Omit Employers'),
(4281, 'Omit form, route and interval which then become part of dosage'),
(4282, 'Omit insurance and some other things from the demographics form'),
(4283, 'Omit internal users?'),
(4284, 'Omit method of payment from the co-pay panel'),
(4285, 'omit to autoassign'),
(4286, 'on'),
(4287, 'On'),
(4288, 'On Hand'),
(4289, 'On Order'),
(4290, 'On Site'),
(4291, 'Once the Primary Business Facility is set, it should not be changed. Changing the facility will affect the working in NewCrop ePrescription.'),
(4292, 'Once you change your password, you will have to re-login.'),
(4293, 'Oncology: Medical and Radiation – Pain Intensity Quantified (CQM)'),
(4294, 'One Day Ago'),
(4295, 'One Month Ago'),
(4296, 'One Year Ago'),
(4297, 'Online Support'),
(4298, 'Online Support Link'),
(4299, 'Only Active'),
(4300, 'Only applicable if a provider or collated list was chosen above. PRIMARY only selects patients that the provider is the primary provider. ENCOUNTER selects all patients that the provider has seen.'),
(4301, 'Only for comparisons'),
(4302, 'only if billing location'),
(4303, 'Only Inactive'),
(4304, 'Only Mine'),
(4305, 'Only Show Diagnosis Reporting Codes'),
(4306, 'Only Show Service Code Finance Reporting Codes'),
(4307, 'Only upload active prescriptions'),
(4308, 'Only upload active prescriptions to NewCrop eRx.'),
(4309, 'Onset of Current Symptoms or Illness'),
(4310, 'Onset of Illness:'),
(4311, 'Onset of Ilness: '),
(4312, 'Onset of Swelling:'),
(4313, 'Onset/hosp. date:'),
(4314, 'Onsite Patient Portal Site Address'),
(4315, 'Oops!'),
(4316, 'Open'),
(4317, 'Open Demographics in New Window from Patient Flow Board'),
(4318, 'Open in New Window'),
(4319, 'Open Patient'),
(4320, 'Open Patient in New Window'),
(4321, 'Open Today`s Visit'),
(4322, 'LibreEHR already has a Certificate Authority configured.'),
(4323, 'LibreEHR Application Category'),
(4324, 'LibreEHR Database Upgrade'),
(4325, 'LibreEHR Database Upgrade for De-identification'),
(4326, 'LibreEHR does not recognize the incoming file in the contrib directory. This is most likely because you need to configure the release in the supported_external_dataloads table in the MySQL database.'),
(4327, 'LibreEHR must be configured to use certificates before it can create client certificates.'),
(4328, 'LibreEHR requires Javascript to perform user authentication.'),
(4329, 'LibreEHR Users'),
(4330, 'Openings'),
(4331, 'Operator'),
(4332, 'Opthalmic'),
(4333, 'Option'),
(4334, 'Option to save method of document storage.'),
(4335, 'Option to support inventory and sales of products'),
(4336, 'Optional'),
(4337, 'Optional category name for an ID Card image that can be viewed from the patient summary page.'),
(4338, 'Optional category name for photo images that can be viewed from the patient summary page.'),
(4339, 'Optional category name of a document to link to from the patient summary page. Lets you click on a patient name to see their ID card.'),
(4340, 'Optional default range for manual entry of results'),
(4341, 'Optional default units for manual entry of results'),
(4342, 'Optional Destination Name'),
(4343, 'Optional drug name, use % as a wildcard'),
(4344, 'Optional immunization name or code, use % as a wildcard'),
(4345, 'Optional information about this event'),
(4346, 'Optional lot number, use % as a wildcard'),
(4347, 'Optional numeric patient ID'),
(4348, 'Optional procedure code'),
(4349, 'Optional procedure/service code'),
(4350, 'Options'),
(4351, 'Or'),
(4352, 'OR'),
(4353, 'or choose'),
(4354, 'or click and drag for faster selection.'),
(4355, 'Or create this new field ID'),
(4356, 'Or Out To'),
(4357, 'or select from inventory'),
(4358, 'or Shift-click to decrease it'),
(4359, 'Or upload ERA file:'),
(4360, 'Oral'),
(4361, 'Oral mucosa pink, throat clear'),
(4362, 'Order'),
(4363, 'Order and Result Types'),
(4364, 'Order Catalog'),
(4365, 'Order Date'),
(4366, 'Order Descriptions'),
(4367, 'Order From'),
(4368, 'Order ID'),
(4369, 'Order must be a number between 1 and 999'),
(4370, 'Order Name'),
(4371, 'Order Priorities'),
(4372, 'Order Processor'),
(4373, 'Order Results'),
(4374, 'Order Status'),
(4375, 'Order Statuses'),
(4376, 'Order Summary'),
(4377, 'Order Tracks'),
(4378, 'Order Type'),
(4379, 'Order Types'),
(4380, 'Order/Result Type'),
(4381, 'Ordered'),
(4382, 'Ordered By'),
(4383, 'Ordered Procedure'),
(4384, 'Ordering Provider'),
(4385, 'Orders Path'),
(4386, 'Organ injury'),
(4387, 'Organization'),
(4388, 'Organization Name'),
(4389, 'Organizational Unit Name'),
(4390, 'Organizations'),
(4391, 'Orientated x 3'),
(4392, 'Original'),
(4393, 'Original Checksum'),
(4394, 'Oriya'),
(4395, 'Oromo'),
(4396, 'OROPHARYNX: '),
(4397, 'Orthopnea'),
(4398, 'OS'),
(4399, 'Osetoarthritis'),
(4400, 'Ossetian, Ossetic'),
(4401, 'Osteopathy'),
(4402, 'Other'),
(4403, 'other'),
(4404, 'Other (specify)'),
(4405, 'Other - Specified'),
(4406, 'Other Federal Program'),
(4407, 'Other HCFA'),
(4408, 'Other injury not elsewhere specified'),
(4409, 'Other Liability Insurance is Primary'),
(4410, 'other month'),
(4411, 'Other Non-Federal Programs'),
(4412, 'Other Notes'),
(4413, 'Other Pertinent Symptoms'),
(4414, 'Other Pertinent Symptoms:'),
(4415, 'Other pt resp'),
(4416, 'Other stress/Over use injury'),
(4417, 'Other Surgical'),
(4418, 'Other/Generic Abortion-Related'),
(4419, 'Other/Miscellaneous'),
(4420, 'Others'),
(4421, 'otherwise you will destroy references to/from existing data.'),
(4422, 'Ottawa Ankle Rules'),
(4423, 'OU'),
(4424, 'OUT'),
(4425, 'Out Of Office'),
(4426, 'Outbound Referral'),
(4427, 'Outcome'),
(4428, 'Outlook'),
(4429, 'Output Type'),
(4430, 'Overall Status Of Discharge'),
(4431, 'OVERDUE'),
(4432, 'Overuse'),
(4433, 'Overview'),
(4434, 'Overweight'),
(4435, 'Overwrite HIPAA choice'),
(4436, 'Owner'),
(4437, 'Oxygen Saturation'),
(4438, 'oz'),
(4439, 'P'),
(4440, 'p.c.'),
(4441, 'p.m.'),
(4442, 'p.r.n.'),
(4443, 'Pacific Islander'),
(4444, 'Paedeatric'),
(4445, 'Page'),
(4446, 'Pages'),
(4447, 'Paid'),
(4448, 'Paid amount that you will allocate'),
(4449, 'Paid Amt'),
(4450, 'Paid Via'),
(4451, 'Pain'),
(4452, 'Palliative care physician'),
(4453, 'Palpitation'),
(4454, 'Panjabi, Punjabi'),
(4455, 'Pap Smear'),
(4456, 'Paper'),
(4457, 'Paper Size'),
(4458, 'Paralysis'),
(4459, 'Parent'),
(4460, 'parent in-law'),
(4461, 'Parse HL7'),
(4462, 'Partially Administered'),
(4463, 'Partner'),
(4464, 'Partner Name'),
(4465, 'Partner Name issued for NewCrop eRx service.'),
(4466, 'Pashto, Pushto'),
(4467, 'Pass Phrase'),
(4468, 'Pass phrase to decrypt document'),
(4469, 'Passed Patients'),
(4470, 'Passive Alert'),
(4471, 'Passive Alert Rules'),
(4472, 'Password'),
(4473, 'Password Change'),
(4474, 'Password change successful'),
(4475, 'Password change successful.'),
(4476, 'Password does not meet minimum requirements and should contain at least three of the four following items: A number, a lowercase letter, an uppercase letter, a special character (Not a leter or number).'),
(4477, 'Password Expiration Grace Period'),
(4478, 'Password for Phone Gateway.'),
(4479, 'Password for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.'),
(4480, 'Password for SMS Gateway'),
(4481, 'Password for SMS Gateway.'),
(4482, 'Password for the above user'),
(4483, 'Password security has recently been upgraded.'),
(4484, 'Password to connect to CouchDB'),
(4485, 'Password too short. Minimum 8 characters required.'),
(4486, 'Password:'),
(4487, 'Passwords Don\'t match!'),
(4488, 'Past Appoinments'),
(4489, 'Past Appointment Display Widget'),
(4490, 'Past due'),
(4491, 'Past Due'),
(4492, 'Past Due Interval (Clinical Reminders)'),
(4493, 'Past Due Interval (Patient Reminders)'),
(4494, 'Past Encounter List'),
(4495, 'Past Encounters'),
(4496, 'Past Encounters and Documents'),
(4497, 'Past Encounters for'),
(4498, 'Paste HL7 Data'),
(4499, 'Paste the data to import into the text area below:'),
(4500, 'Pat'),
(4501, 'Pat Ledger'),
(4502, 'Patch'),
(4503, 'PaternalAunt'),
(4504, 'PaternalCousin'),
(4505, 'PaternalGrandparent'),
(4506, 'PaternalGreatgrandparent'),
(4507, 'PaternalUncle'),
(4508, 'Path for Event Log Backup'),
(4509, 'Path to CA Certificate File'),
(4510, 'Path to CA Key File'),
(4511, 'Path to MySQL Binaries'),
(4512, 'Path to Perl Binaries'),
(4513, 'Path to Temporary Files'),
(4514, 'Patient'),
(4515, 'patient'),
(4516, 'PATIENT'),
(4517, 'Patient Address'),
(4518, 'Patient Address is missing'),
(4519, 'Patient Adj'),
(4520, 'Patient Adjustment'),
(4521, 'Patient allergies'),
(4522, 'Patient Allergies'),
(4523, 'Patient Appointment'),
(4524, 'Patient Balance'),
(4525, 'Patient Balance Due'),
(4526, 'Patient Billing Note'),
(4527, 'Patient Characteristics'),
(4528, 'Patient chart ID'),
(4529, 'Patient Checkout'),
(4530, 'Patient Checkout for '),
(4531, 'Patient City'),
(4532, 'Patient City is missing'),
(4533, 'Patient Communication sent'),
(4534, 'Patient Comunication Sent'),
(4535, 'Patient Country'),
(4536, 'Patient Country is missing. Also you have not set default Patient Country in Global Settings'),
(4537, 'Patient Coverage'),
(4538, 'Patient Credit'),
(4539, 'Patient Data'),
(4540, 'Patient Date Of Birth'),
(4541, 'Patient Date Of Birth is missing'),
(4542, 'Patient Details'),
(4543, 'Patient DOB'),
(4544, 'Patient Document'),
(4545, 'Patient Education'),
(4546, 'Patient Education Materials'),
(4547, 'Patient Encounter'),
(4548, 'Patient Encounter Form'),
(4549, 'Patient Encounters'),
(4550, 'Patient Finder'),
(4551, 'Patient First name'),
(4552, 'Patient First Name'),
(4553, 'Patient First name is missing'),
(4554, 'Patient Flow Board'),
(4555, 'Patient Flow Board Report'),
(4556, 'Patient Flow Board Rooms'),
(4557, 'Patient Flow Board Timer Interval'),
(4558, 'Patient Gender'),
(4559, 'Patient Gender is missing'),
(4560, 'Patient has not authorized the Patient Portal.'),
(4561, 'Patient History'),
(4562, 'Patient History / Lifestyle'),
(4563, 'Patient Home phone'),
(4564, 'Patient ID'),
(4565, 'Patient Id'),
(4566, 'Patient ID card'),
(4567, 'Patient ID Category Name'),
(4568, 'Patient Immunization'),
(4569, 'Patient Information'),
(4570, 'Patient Instructions'),
(4571, 'Patient Insurance Distribution'),
(4572, 'Patient Insurance Distribution Report'),
(4573, 'Patient Issues'),
(4574, 'Patient Label Type'),
(4575, 'Patient Last name'),
(4576, 'Patient Last Name'),
(4577, 'Patient Last name is missing'),
(4578, 'Patient Ledger'),
(4579, 'Patient Ledger by Date'),
(4580, 'Patient Level Billing Note (Collections)'),
(4581, 'Patient List'),
(4582, 'Patient List Columns'),
(4583, 'Patient List Creation'),
(4584, 'Patient List New Window'),
(4585, 'Patient List Page Size'),
(4586, 'Patient Lookup Errors'),
(4587, 'Patient Medical Problems'),
(4588, 'Patient Medications'),
(4589, 'Patient Name'),
(4590, 'Patient Name & Address'),
(4591, 'Patient Name and ID'),
(4592, 'Patient Name and Invoice'),
(4593, 'Patient Name Required'),
(4594, 'Patient Name/ID'),
(4595, 'Patient Note'),
(4596, 'Patient Note Types'),
(4597, 'Patient Notes'),
(4598, 'Patient Notes (write,addonly optional)'),
(4599, 'Patient Number'),
(4600, 'Patient Payment'),
(4601, 'Patient Payments'),
(4602, 'Patient Photo Category Name'),
(4603, 'Patient Portal'),
(4604, 'Patient Portal connectivity issue'),
(4605, 'Patient Portal is turned off'),
(4606, 'Patient Portal Login'),
(4607, 'Patient Portal Web Address'),
(4608, 'Patient Printed Report'),
(4609, 'Patient Record Report'),
(4610, 'Patient Record Request'),
(4611, 'Patient Records Request'),
(4612, 'Patient Religion'),
(4613, 'Patient Reminder'),
(4614, 'Patient Reminder Batch Job'),
(4615, 'Patient Reminder Creation Processing Priority'),
(4616, 'Patient Reminder Rules'),
(4617, 'Patient Reminder Sender Email'),
(4618, 'Patient Reminder Sender Name'),
(4619, 'Patient Reminders'),
(4620, 'Patient Report'),
(4621, 'Patient Request'),
(4622, 'Patient Requested Medical Records'),
(4623, 'Patient Results'),
(4624, 'Patient Search Results Style'),
(4625, 'Patient Search/Add Screen'),
(4626, 'Patient Setting'),
(4627, 'Patient State'),
(4628, 'Patient Street Address'),
(4629, 'Patient Summary'),
(4630, 'Patient Transactions'),
(4631, 'Patient Zip'),
(4632, 'patient(s) in the database that match the demographic information you have entered.'),
(4633, 'Patient/Client'),
(4634, 'Patient:'),
(4635, 'PatientID'),
(4636, 'Patients'),
(4637, 'Patients Processed'),
(4638, 'Pay'),
(4639, 'Pay attention to the \"Done with\" checkboxes.  After the insurances are marked complete then we will start asking the patient to pay the remaining balance; if you fail to mark all of the insurances complete then the remaining amount will not be collected!  Also if there is a balance that the patient should pay, then set the due date appropriately, as this will affect the language that appears on patient statements.'),
(4640, 'Pay Date:'),
(4641, 'Pay Status'),
(4642, 'Payee Name'),
(4643, 'Payer'),
(4644, 'Payer Type'),
(4645, 'Paying'),
(4646, 'Paying Entity'),
(4647, 'Payment'),
(4648, 'payment'),
(4649, 'Payment Adjustment Code'),
(4650, 'Payment against'),
(4651, 'Payment Amount'),
(4652, 'Payment Amount must be Numeric'),
(4653, 'Payment Category'),
(4654, 'Payment Date'),
(4655, 'payment entered on'),
(4656, 'Payment From'),
(4657, 'Payment Gateways'),
(4658, 'Payment Ins'),
(4659, 'Payment List'),
(4660, 'Payment Method'),
(4661, 'Payment Sort By'),
(4662, 'Payment Status'),
(4663, 'Payment Type'),
(4664, 'Payment value for code '),
(4665, 'Payments'),
(4666, 'Payor'),
(4667, 'PCP'),
(4668, 'Pct (%) of rows'),
(4669, 'PDF'),
(4670, 'PDF Download Selected Statements'),
(4671, 'PDF Language'),
(4672, 'Pelvis and buttock'),
(4673, 'Pemphigus'),
(4674, 'Pending'),
(4675, 'Pending Approval'),
(4676, 'Pending F/U'),
(4677, 'Pending followup'),
(4678, 'Pending Followup from Results'),
(4679, 'Pending Orders'),
(4680, 'Pending Res'),
(4681, 'Pending Review'),
(4682, 'Pending Rx Count'),
(4683, 'Penicillin Allergy'),
(4684, 'Pennington Firm LibreEHR  v'),
(4685, 'Peptic Ulcer Disease'),
(4686, 'Per Encounter'),
(4687, 'per min'),
(4688, 'Per Nostril'),
(4689, 'per nostril'),
(4690, 'Per Oris'),
(4691, 'per oris'),
(4692, 'Per Rectum'),
(4693, 'per rectum'),
(4694, 'Percent'),
(4695, 'Percentage of Patients to Drug Test'),
(4696, 'Percentage of Patients to select for Random Drug Testing.'),
(4697, 'Percentile'),
(4698, 'Perforated Right:'),
(4699, 'Perform Search'),
(4700, 'Perform this action'),
(4701, 'Performance Percentage'),
(4702, 'Performer'),
(4703, 'Performing Laboratory Facility'),
(4704, 'Performing organization'),
(4705, 'Period'),
(4706, 'Period in days where a user may login with an expired password.'),
(4707, 'Perioperative Care'),
(4708, 'Peripheral'),
(4709, 'Permit unsalted passwords'),
(4710, 'Persian'),
(4711, 'Persian (Farsi)'),
(4712, 'Person'),
(4713, 'Personalize'),
(4714, 'PG'),
(4715, 'Pharm'),
(4716, 'Pharm Com Count'),
(4717, 'Pharmacies'),
(4718, 'Pharmacy'),
(4719, 'Pharmacy Dispensary'),
(4720, 'Pheumothorax'),
(4721, 'phiMail Allow CCD Send'),
(4722, 'phiMail Allow CCR Send'),
(4723, 'phiMail Message Check Interval (minutes)'),
(4724, 'phiMail notification user'),
(4725, 'phiMail Password'),
(4726, 'phiMail Server Address'),
(4727, 'phiMail Username'),
(4728, 'PHIN Questions'),
(4729, 'Phone'),
(4730, 'Phone call list'),
(4731, 'Phone Call List report'),
(4732, 'Phone Cell'),
(4733, 'Phone Gateway Password'),
(4734, 'Phone Gateway URL'),
(4735, 'Phone Gateway Username'),
(4736, 'Phone Home'),
(4737, 'Phone Notification Hour'),
(4738, 'Phone Number'),
(4739, 'Phone number'),
(4740, 'Photophobia'),
(4741, 'Photos'),
(4742, 'PHP compressed'),
(4743, 'PHP CURL module should be enabled in your server.'),
(4744, 'PHP extracted'),
(4745, 'php-GACL access controls are turned off'),
(4746, 'PHP-gacl is not installed'),
(4747, 'Physical Exam'),
(4748, 'Physician'),
(4749, 'Physician Request'),
(4750, 'Physician Signature'),
(4751, 'Physician Type'),
(4752, 'Physicians'),
(4753, 'pick'),
(4754, 'Pick'),
(4755, 'Pick a CSS theme.'),
(4756, 'PID'),
(4757, 'PID (Pelvic Inflammatory Disease)'),
(4758, 'Pill Size'),
(4759, 'Pills'),
(4760, 'Place the database zip file in the following directory if want the option to install'),
(4761, 'Place the downloaded ICD 10 database zip files into the following directory'),
(4762, 'Place the downloaded ICD 9 database zip file into the following directory'),
(4763, 'Place the downloaded RxNorm database zip file into the following directory'),
(4764, 'Place the downloaded Snomed database zip file into the following directory'),
(4765, 'Placeholder'),
(4766, 'Placeholder (Maintains empty ACLs)'),
(4767, 'Plain Text'),
(4768, 'Plan'),
(4769, 'Plan Added Successfully'),
(4770, 'Plan Already in list_options'),
(4771, 'Plan Name'),
(4772, 'Plan Name Already Exists'),
(4773, 'Plan Name Already Taken'),
(4774, 'Plan Name Missing'),
(4775, 'Plan Set'),
(4776, 'Plan Status Changed'),
(4777, 'Plan Status Failed to Change'),
(4778, 'Plan Updated Successfully'),
(4779, 'Plan:'),
(4780, 'Planned Activity'),
(4781, 'Planned Date'),
(4782, 'Plans'),
(4783, 'Plans Configuration'),
(4784, 'Player'),
(4785, 'Playing Position'),
(4786, 'Please call if any of the above information is incorrect'),
(4787, 'Please change your password.'),
(4788, 'Please Choose a file'),
(4789, 'Please choose a patient'),
(4790, 'Please choose a valid selection from the list.'),
(4791, 'Please choose a valid selection.'),
(4792, 'Please choose a value for'),
(4793, 'Please choose date range criteria above, and click Refresh to view results.'),
(4794, 'Please choose the proper formatted EDI-271 file'),
(4795, 'Please Click download button to download the De Identified data'),
(4796, 'Please Click download button to download the Re Identified data'),
(4797, 'Please close this window.'),
(4798, 'Please compare the new name'),
(4799, 'Please contact your systems administrator, the following component(s) are required but are missing.'),
(4800, 'Please correct the value(s) before proceeding!'),
(4801, 'Please create the following directory before proceeding'),
(4802, 'Please do not accept this prescription unless it was received via facimile.'),
(4803, 'Please do not accept this prescription unless it was received via facsimile.'),
(4804, 'Please do NOT use your browsers stop or reload button while this page is running unless more than 10 minutes have elapsed, this will not cause the process to  stop on the server and will consume uneccesary resources.'),
(4805, 'PLEASE ENABLE CURL EXTENSION'),
(4806, 'PLEASE ENABLE OPENSSL EXTENSION'),
(4807, 'PLEASE ENABLE SOAP EXTENSION'),
(4808, 'PLEASE ENABLE XML EXTENSION'),
(4809, 'Please enter a date for Last Reviewed.'),
(4810, 'Please enter a date.'),
(4811, 'Please enter a due date'),
(4812, 'Please enter a message'),
(4813, 'Please enter a monetary amount using only numbers and a decimal point.'),
(4814, 'Please Enter a New Password'),
(4815, 'Please enter a title!'),
(4816, 'Please enter a valid Direct Address above.'),
(4817, 'Please enter at least the item\'s name'),
(4818, 'Please enter at least the track\'s name'),
(4819, 'Please enter correct Re Identification code'),
(4820, 'Please Enter End Date greater than Begin Date!'),
(4821, 'Please enter new search string'),
(4822, 'Please enter the correct Re Identification code'),
(4823, 'Please enter the password'),
(4824, 'Please Fill the Check Number'),
(4825, 'Please Fill the Check/Ref Number'),
(4826, 'Please Fill the Date'),
(4827, 'Please Fill the Payment Amount'),
(4828, 'Please Fill the Payment Category'),
(4829, 'Please Fill the Payment From'),
(4830, 'Please Fill the Post To Date'),
(4831, 'Please fill them in before continuing.'),
(4832, 'Please indicate visit reason'),
(4833, 'Please input search criteria above, and click Submit to start report.'),
(4834, 'Please input search criteria above, and click Submit to view results.'),
(4835, 'Please input search criteria above, and click Submit to view results. (Results will be displayed in a pop up window)'),
(4836, 'Please login again.'),
(4837, 'Please note that this can take a very long time, up to several minutes, your web browser may not appear very active during this time but generating a bill is a  complicated process and your web browser is merely waiting for more information.'),
(4838, 'Please Note: constants are case sensitive and any string is allowed.'),
(4839, 'Please only use alphabetic characters'),
(4840, 'Please only use alphabetic characters with no spaces'),
(4841, 'Please pay this amount'),
(4842, 'Please place your install files in following directory'),
(4843, 'Please refer to'),
(4844, 'Please reset the password.'),
(4845, 'Please restart the apache server before playing with de-identification'),
(4846, 'Please see the attached PDF.'),
(4847, 'Please Select'),
(4848, 'Please select a format'),
(4849, 'Please select a language'),
(4850, 'Please Select a Patient.'),
(4851, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.'),
(4852, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.'),
(4853, 'Please select a procedure provider'),
(4854, 'Please Select A Recipient'),
(4855, 'Please select a start date and end date'),
(4856, 'Please select a valid recipient'),
(4857, 'Please Select an Active Group'),
(4858, 'Please select an adjustment reason for code '),
(4859, 'Please select an event'),
(4860, 'Please select any Search Option.'),
(4861, 'Please select at least one criteria to download'),
(4862, 'Please select at least one patient.'),
(4863, 'Please select at least one prescription!'),
(4864, 'Please select encounter'),
(4865, 'Please select the desired pages to copy or forward:'),
(4866, 'Please Select the Payment Method'),
(4867, 'Please Select Type Of Payment.'),
(4868, 'Please select visit category'),
(4869, 'Please select X12 partner, required to create the 270 batch'),
(4870, 'Please set'),
(4871, 'Please set de_identification_config variable back to zero'),
(4872, 'Please Specify at least One Direct Address'),
(4873, 'Please start new De Identification process'),
(4874, 'Please upgrade LibreEHR Database to include De Identification procedures, function, tables'),
(4875, 'Please view De Identification error log table for more details'),
(4876, 'Please visit De Identification screen after some time'),
(4877, 'Please visit Re Identification screen after some time'),
(4878, 'Please visit the screen after some time'),
(4879, 'Plot item'),
(4880, 'Plot selected Items'),
(4881, 'Plural'),
(4882, 'PM'),
(4883, 'PM Program'),
(4884, 'Pmt Method'),
(4885, 'PND'),
(4886, 'Pneumococcal Conjugate 1'),
(4887, 'Pneumococcal Conjugate 2'),
(4888, 'Pneumococcal Conjugate 3'),
(4889, 'Pneumococcal Conjugate 4'),
(4890, 'Pneumococcal Vaccine'),
(4891, 'Pneumonia Vaccination'),
(4892, 'Pneumonia Vaccination Status for Older Adults'),
(4893, 'Pneumonia Vaccination Status for Older Adults (CQM)'),
(4894, 'Podiatric'),
(4895, 'Podiatry'),
(4896, 'Point of Service (POS)'),
(4897, 'Policy'),
(4898, 'Policy No'),
(4899, 'Policy Number'),
(4900, 'Polish'),
(4901, 'Polydypsia'),
(4902, 'Polyps'),
(4903, 'Polyuria'),
(4904, 'Poor Appetite'),
(4905, 'Poor Circulation'),
(4906, 'Poor Hearing'),
(4907, 'Pop ups need to be enabled to see these reports'),
(4908, 'Populate the year view with events?'),
(4909, 'Popups'),
(4910, 'Portal'),
(4911, 'Portal Activity'),
(4912, 'Portal ID'),
(4913, 'Portal ID does not match request from portal!'),
(4914, 'Portal password is missing'),
(4915, 'Portal Requests'),
(4916, 'Portrait'),
(4917, 'Portuguese'),
(4918, 'Portuguese (Brazilian)'),
(4919, 'Portuguese (European)'),
(4920, 'POS Code'),
(4921, 'Position'),
(4922, 'Positive'),
(4923, 'Positives'),
(4924, 'Post Date'),
(4925, 'Post For'),
(4926, 'Post Nasal Drip'),
(4927, 'Post Payments'),
(4928, 'Post surgical'),
(4929, 'Post to accounting and mark as billed'),
(4930, 'Post To Date'),
(4931, 'Post To Date Cannot be greater than Today'),
(4932, 'Post To Date Must be greater than the Financial Close Date.'),
(4933, 'Post-Abortion Care'),
(4934, 'Post-Abortion Contraception'),
(4935, 'Post-Abortion Counseling'),
(4936, 'Post-Abortion Followup'),
(4937, 'Postal'),
(4938, 'Postal Code'),
(4939, 'Postal code'),
(4940, 'Postal Code and Box Number'),
(4941, 'PostCalendar'),
(4942, 'PostCalendar Administration'),
(4943, 'PostCalendar Category Settings'),
(4944, 'PostCalendar Global Settings'),
(4945, 'Posted on'),
(4946, 'Posting Date'),
(4947, 'Pos{{Abbreviation for Position}}'),
(4948, 'Powered by'),
(4949, 'PPE + Prev Med/Surg Hx'),
(4950, 'PQRI'),
(4951, 'PQRI Registry ID'),
(4952, 'PQRI Registry Name'),
(4953, 'Practice'),
(4954, 'Practice Default Setting'),
(4955, 'Practice Settings'),
(4956, 'Practitioner'),
(4957, 'Pre Participation Assessment'),
(4958, 'Pre Pay'),
(4959, 'Pre Payment'),
(4960, 'Pre-Abortion Consultation'),
(4961, 'Pre-Abortion Counseling'),
(4962, 'Pref Cat'),
(4963, 'Preference'),
(4964, 'Preferences'),
(4965, 'Preferred Event Category'),
(4966, 'Preferred Language'),
(4967, 'Preferred Pharmacy'),
(4968, 'Preferred Provider Organization (PPO)'),
(4969, 'Preg Test'),
(4970, 'Preliminary'),
(4971, 'Preparing To Run Report'),
(4972, 'Prepay'),
(4973, 'Prescription'),
(4974, 'prescription has reached its limit of'),
(4975, 'Prescription History'),
(4976, 'Prescription History import successfully completed'),
(4977, 'Prescription Label'),
(4978, 'Prescription Report'),
(4979, 'Prescriptions'),
(4980, 'Prescriptions and Dispensations'),
(4981, 'Prescriptions and other referrals'),
(4982, 'Prescriptions and/or referrals by specialist'),
(4983, 'Prescriptions Report'),
(4984, 'Prescriptions/Referrals'),
(4985, 'Present'),
(4986, 'Presenting Complaint'),
(4987, 'Presenting Issue(s)'),
(4988, 'Press Continue to proceed'),
(4989, 'Presumed Diagnosis'),
(4990, 'Presumed diagnosis by specialist'),
(4991, 'Prev'),
(4992, 'Prev Med/Surg Hx'),
(4993, 'Prev. month (hold for menu)'),
(4994, 'Prev. year (hold for menu)'),
(4995, 'Preventative Care'),
(4996, 'Prevention Rehab'),
(4997, 'Preventive Care and Screening: Tobacco Use: Screening and Cessation Intervention (CQM)'),
(4998, 'Preview Event'),
(4999, 'Preview not available for this document type'),
(5000, 'Preview of'),
(5001, 'Previous'),
(5002, 'Previous Consultations'),
(5003, 'Previous Day'),
(5004, 'Previous History/Screening'),
(5005, 'Previous Month'),
(5006, 'Previous Week'),
(5007, 'Price'),
(5008, 'Price Discounting'),
(5009, 'Price Level'),
(5010, 'Price Level:'),
(5011, 'Prices'),
(5012, 'Primary'),
(5013, 'Primary Business Entity'),
(5014, 'Primary Business Entity tax id is used as account id for NewCrop ePrescription. Changing the facility will affect the working in NewCrop.'),
(5015, 'Primary Care'),
(5016, 'Primary Care Provider'),
(5017, 'Primary Facility City'),
(5018, 'Primary Facility Country code'),
(5019, 'Primary Facility State'),
(5020, 'Primary Facility Street Address'),
(5021, 'Primary Facility Zip Code'),
(5022, 'Primary Ins'),
(5023, 'Primary Insurance'),
(5024, 'Primary Insurance Data'),
(5025, 'Primary Insurance Provider'),
(5026, 'Primary Provider'),
(5027, 'Print'),
(5028, 'Print (HTML)'),
(5029, 'Print (PDF)'),
(5030, 'Print Amendments'),
(5031, 'Print Any Encounter'),
(5032, 'Print Blank Referral Form'),
(5033, 'Print Command'),
(5034, 'Print Date'),
(5035, 'Print End of Day Report 1'),
(5036, 'Print End of Day Report 2'),
(5037, 'Print End of Day Report 3'),
(5038, 'Print Entire Listing'),
(5039, 'Print Format'),
(5040, 'Print Four Panel'),
(5041, 'Print Ledger'),
(5042, 'Print message'),
(5043, 'Print Multiple'),
(5044, 'Print Multiple To Fax'),
(5045, 'Print name, sign and date.'),
(5046, 'Print Notes'),
(5047, 'Print Page 1'),
(5048, 'Print Page 2'),
(5049, 'Print Patient Address Label'),
(5050, 'Print Patient Billing Note'),
(5051, 'Print Receipts by Provider'),
(5052, 'Print Record'),
(5053, 'Print Selected Statements'),
(5054, 'Print Shot Record'),
(5055, 'Print the Next Appointment on the Bottom of the Ledger'),
(5056, 'Print This Encounter'),
(5057, 'Print this note'),
(5058, 'Print This Note'),
(5059, 'Print To'),
(5060, 'Print To Fax'),
(5061, 'Print View'),
(5062, 'printable'),
(5063, 'Printable Version'),
(5064, 'Printed'),
(5065, 'Printing Log Option'),
(5066, 'Printing results:'),
(5067, 'Printing skipped; see test output in'),
(5068, 'Printing skipped; see test output in '),
(5069, 'Prior Auth'),
(5070, 'Prior Authorization Form'),
(5071, 'Prior Visit'),
(5072, 'Priority'),
(5073, 'Priority '),
(5074, 'Private'),
(5075, 'Problem'),
(5076, 'Problem DX'),
(5077, 'Problem List'),
(5078, 'Problems'),
(5079, 'Problems/Issues'),
(5080, 'Proc Bat'),
(5081, 'Proc Cat'),
(5082, 'Proc Load'),
(5083, 'Proc Pending Rev'),
(5084, 'Proc Prov'),
(5085, 'Proc Res'),
(5086, 'Procedure'),
(5087, 'Procedure Body Sites'),
(5088, 'Procedure Boolean Results'),
(5089, 'Procedure Code'),
(5090, 'Procedure Codes'),
(5091, 'Procedure Lateralities'),
(5092, 'Procedure Name'),
(5093, 'Procedure Order'),
(5094, 'Procedure order'),
(5095, 'Procedure Order for'),
(5096, 'Procedure order not found'),
(5097, 'Procedure Orders and Reports'),
(5098, 'Procedure Picker'),
(5099, 'Procedure provider'),
(5100, 'Procedure Provider'),
(5101, 'Procedure Providers'),
(5102, 'Procedure Report'),
(5103, 'Procedure Report Statuses'),
(5104, 'Procedure Result Abnormal'),
(5105, 'Procedure Result Statuses'),
(5106, 'Procedure Results'),
(5107, 'Procedure Routes'),
(5108, 'Procedure Specimen Types'),
(5109, 'Procedure Statistics Report'),
(5110, 'Procedure Type'),
(5111, 'Procedure Types'),
(5112, 'Procedure Units'),
(5113, 'Procedure/Service'),
(5114, 'Procedures'),
(5115, 'Process'),
(5116, 'Process and Send Reminders'),
(5117, 'Process ERA File'),
(5118, 'Process new files for CSV records'),
(5119, 'Process Reminders'),
(5120, 'Process takes some time'),
(5121, 'Processed'),
(5122, 'Processed By'),
(5123, 'Processed Date'),
(5124, 'processed successfully'),
(5125, 'Processing'),
(5126, 'Processing and Sending Patient Reminders'),
(5127, 'Processing Patient Reminders'),
(5128, 'Processing Time'),
(5129, 'Product'),
(5130, 'Product Contraceptive Method'),
(5131, 'Production'),
(5132, 'Products'),
(5133, 'Products but no prescription drugs and no templates'),
(5134, 'Prof.'),
(5135, 'Progress Notes'),
(5136, 'Prostate Cancer'),
(5137, 'Prostate Cancer Screening'),
(5138, 'Prostate Exam'),
(5139, 'Prostate Problems'),
(5140, 'Prostate w/o enlrgmt, nodules, tender'),
(5141, 'Protocol'),
(5142, 'Provide absolute path'),
(5143, 'Provide absolute path of file'),
(5144, 'Provide clinical summaries for patients for each office visit (New).'),
(5145, 'Provide clinical summaries for patients for each office visit.'),
(5146, 'Provide patients with an electronic copy of their health information (including diagnostic test results, problem list, medication lists, medication allergies), upon request.'),
(5147, 'Provide patients with timely electronic access to their health information (including lab results, problem list, medication lists, medication allergies) within four business days of the information being available to the EP.'),
(5148, 'Provide Records to Patient for Visit'),
(5149, 'Provide valid Email Address'),
(5150, 'Provided Clinical Summary?'),
(5151, 'Provided Education Resource(s)?'),
(5152, 'Provider'),
(5153, 'Provider Id'),
(5154, 'Provider ID'),
(5155, 'Provider ID at Specified Facility'),
(5156, 'Provider Matching Errors'),
(5157, 'Provider not available, please choose another.'),
(5158, 'Provider not available, use it anyway?'),
(5159, 'Provider Number'),
(5160, 'Provider Relationship'),
(5161, 'Provider Type'),
(5162, 'Provider:'),
(5163, 'Providers'),
(5164, 'Providers NPI'),
(5165, 'Providers See Entire Calendar'),
(5166, 'Prv'),
(5167, 'PSA'),
(5168, 'Psoriasis'),
(5169, 'Psych Diagnosis'),
(5170, 'Psych Medication'),
(5171, 'Psychiatric'),
(5172, 'Psychiatric Brief Letter'),
(5173, 'Psychiatric Diagnosis'),
(5174, 'Psychiatric Examination'),
(5175, 'Psychiatric History'),
(5176, 'Psychiatric Intake'),
(5177, 'Psychiatric Medication'),
(5178, 'Pt %'),
(5179, 'Pt Notes'),
(5180, 'Pt Notes/Auth'),
(5181, 'Pt overpaid'),
(5182, 'Pt Paid'),
(5183, 'Pt Rec Request'),
(5184, 'Pt refund'),
(5185, 'Pt released'),
(5186, 'Pt Report'),
(5187, 'PT Student, or leave blank'),
(5188, 'PT_CITY'),
(5189, 'PT_DOB'),
(5190, 'PT_EMAIL'),
(5191, 'PT_FNAME'),
(5192, 'PT_LNAME'),
(5193, 'PT_MNAME'),
(5194, 'PT_PHONE_CELL'),
(5195, 'PT_PHONE_HOME'),
(5196, 'PT_POSTAL'),
(5197, 'PT_SSN'),
(5198, 'PT_STATE'),
(5199, 'PT_STREET'),
(5200, 'Pubid'),
(5201, 'Public'),
(5202, 'Public health physician'),
(5203, 'Public Health Service (PHS) or Other Federal Agency'),
(5204, 'Puerto Rican'),
(5205, 'Pulmonary'),
(5206, 'Pulse'),
(5207, 'Punjabi'),
(5208, 'Purchase'),
(5209, 'Purchase/Return'),
(5210, 'Purchases'),
(5211, 'P{{Justify Header}}'),
(5212, 'Pāli'),
(5213, 'q.3h'),
(5214, 'q.4h'),
(5215, 'q.5h'),
(5216, 'q.6h'),
(5217, 'q.8h'),
(5218, 'q.d.'),
(5219, 'q.i.d.'),
(5220, 'QOH'),
(5221, 'QOH is less than monthly usage'),
(5222, 'Qty'),
(5223, 'QTY'),
(5224, 'Quality'),
(5225, 'Quality Measures (CQM)'),
(5226, 'Quantity'),
(5227, 'Quantity for NDC'),
(5228, 'Quantity On Hand'),
(5229, 'quantity seems unusable'),
(5230, 'Quechua'),
(5231, 'Question Mark'),
(5232, 'Queue for HCFA batch processing'),
(5233, 'Queue for HCFA batch processing and printing'),
(5234, 'Queue for UB-92 batch processing'),
(5235, 'Queue for UB-92 batch processing and printing'),
(5236, 'Queued'),
(5237, 'Queued Events Administration'),
(5238, 'Queued for'),
(5239, 'Queued for Transfer'),
(5240, 'Queued Submissions Administration'),
(5241, 'Quit'),
(5242, 'Quit Alcohol'),
(5243, 'R'),
(5244, 'RA for Patient, Encounter, or Trace'),
(5245, 'Race'),
(5246, 'Race and Ethnicity'),
(5247, 'Race/Ethnicity'),
(5248, 'Radio'),
(5249, 'Radio buttons'),
(5250, 'Random Drug Screen'),
(5251, 'Range'),
(5252, 'Rashes'),
(5253, 'Rate'),
(5254, 'Ratio'),
(5255, 'Raw Report'),
(5256, 'Re Identification'),
(5257, 'Re Identification Process is completed'),
(5258, 'Re Identification Process is ongoing'),
(5259, 'Re-identification files will be saved in'),
(5260, 'Re-Injury?'),
(5261, 'Re-Open'),
(5262, 'Re-opened'),
(5263, 'Reaction'),
(5264, 'Reactions'),
(5265, 'Read'),
(5266, 'Read Only'),
(5267, 'Read-only from History'),
(5268, 'Real Name'),
(5269, 'Really delete'),
(5270, 'Reason'),
(5271, 'Reason Deceased'),
(5272, 'Reason for Death'),
(5273, 'Reason for Referral'),
(5274, 'Reason for referral'),
(5275, 'Reason for Visit'),
(5276, 'Reason/Form'),
(5277, 'Receipt'),
(5278, 'Receipt for Payment'),
(5279, 'Receipt Generated'),
(5280, 'Receipts by Payment Method Report'),
(5281, 'Receipts Summary'),
(5282, 'Received'),
(5283, 'Received By'),
(5284, 'Received Faxes'),
(5285, 'Received, not reviewed'),
(5286, 'Received, unreviewed'),
(5287, 'Receiver'),
(5288, 'Receiver ID'),
(5289, 'Receiver ID (ISA08)'),
(5290, 'Receiver ID Qualifier (ISA07)'),
(5291, 'Receiver IDs'),
(5292, 'Recent three passwords are not allowed.'),
(5293, 'Recipient'),
(5294, 'Recipient List Is Empty'),
(5295, 'Recipient Name'),
(5296, 'Recipient of the Disclosure'),
(5297, 'Recipient required unless status is Done'),
(5298, 'Recommendation'),
(5299, 'Recommendation For Follow Up'),
(5300, 'Recommendations'),
(5301, 'Recommendations and treatment'),
(5302, 'Recommendations by specialist'),
(5303, 'Record'),
(5304, 'Record already exist'),
(5305, 'Record and chart changes in vital signs ( Height / Weight / BP with in scope ).'),
(5306, 'Record and chart changes in vital signs (BP out of scope).'),
(5307, 'Record and chart changes in vital signs (Height / Weight out of scope).'),
(5308, 'Record and chart changes in vital signs (New).'),
(5309, 'Record and chart changes in vital signs (SET 1).'),
(5310, 'Record and chart changes in vital signs.'),
(5311, 'Record demographics.'),
(5312, 'Record Disclosure'),
(5313, 'Record of Fitness'),
(5314, 'Record Payment'),
(5315, 'Record Request Date'),
(5316, 'Record smoking status for patients 13 years old or older.'),
(5317, 'Records'),
(5318, 'records found'),
(5319, 'records found.'),
(5320, 'Recreational drug use'),
(5321, 'Recreational Drugs'),
(5322, 'Rectal'),
(5323, 'Rectal Exam'),
(5324, 'rectally'),
(5325, 'Redirection'),
(5326, 'Redness'),
(5327, 'reduced:'),
(5328, 'Refer'),
(5329, 'Refer By'),
(5330, 'Refer Date'),
(5331, 'Refer To'),
(5332, 'Reference classification (risk level)'),
(5333, 'Reference range of results'),
(5334, 'Reference Reason'),
(5335, 'Referer'),
(5336, 'Referer name and signature'),
(5337, 'Referral'),
(5338, 'Referral By'),
(5339, 'Referral Card'),
(5340, 'Referral Date'),
(5341, 'Referral Form'),
(5342, 'REFERRAL FORM'),
(5343, 'Referral ID'),
(5344, 'Referral Reason'),
(5345, 'Referral Source'),
(5346, 'Referral Source for Encounters'),
(5347, 'Referral To'),
(5348, 'Referrals'),
(5349, 'Referrals Report'),
(5350, 'Referred by'),
(5351, 'Referred By'),
(5352, 'Referred to'),
(5353, 'Referrer'),
(5354, 'Referrer Address'),
(5355, 'Referrer Diagnosis'),
(5356, 'Referrer diagnosis'),
(5357, 'Referring physician and practice'),
(5358, 'Referring Provider'),
(5359, 'ReFill'),
(5360, 'Refills'),
(5361, 'refills'),
(5362, 'Reflexes normal'),
(5363, 'Refresh'),
(5364, 'Refresh Screen'),
(5365, 'Refreshing Reminders'),
(5366, 'Refund'),
(5367, 'Refused'),
(5368, 'Refused To State'),
(5369, 'reg_re'),
(5370, 'register'),
(5371, 'Register'),
(5372, 'Registered'),
(5373, 'registered'),
(5374, 'Registered Modules'),
(5375, 'Registration Date'),
(5376, 'Registration Form'),
(5377, 'Rehabilitation'),
(5378, 'Rehabilitation physician'),
(5379, 'Rejected'),
(5380, 'Relapse Potential'),
(5381, 'Relate To'),
(5382, 'Related'),
(5383, 'Related Issue'),
(5384, 'Related Patient Notes'),
(5385, 'Relation(s) / Children'),
(5386, 'Relations'),
(5387, 'Relationship'),
(5388, 'Relative ordering of this entity'),
(5389, 'Relatives'),
(5390, 'Relatives Blood Pressure'),
(5391, 'Relatives Cancer'),
(5392, 'Relatives Diabetes'),
(5393, 'Relatives Epilepsy'),
(5394, 'Relatives Heart'),
(5395, 'Relatives Mental Illness'),
(5396, 'Relatives Stroke'),
(5397, 'Relatives Suicide'),
(5398, 'Relatives Tuberculosis'),
(5399, 'Relay Health credentials are missing from this user account.'),
(5400, 'Relay Health ID'),
(5401, 'Release'),
(5402, 'Release Date'),
(5403, 'Religion'),
(5404, 'Religious Affiliation'),
(5405, 'Reload'),
(5406, 'Relogin'),
(5407, 'Remdr'),
(5408, 'Remember Selected Facility'),
(5409, 'Reminder'),
(5410, 'Reminder intervals'),
(5411, 'Reminder Not Sent Yet'),
(5412, 'Reminder Sent On'),
(5413, 'Reminders'),
(5414, 'REMIT TO'),
(5415, 'Remote Host'),
(5416, 'Remove'),
(5417, 'Remove all rules from plan'),
(5418, 'Remove Bottom Pane'),
(5419, 'Remove Group'),
(5420, 'Remove Group Form'),
(5421, 'Removes support for immunizations'),
(5422, 'Removes support for phpMyAdmin'),
(5423, 'Removes support for prescriptions'),
(5424, 'Removes the bottom pane by default on start up.'),
(5425, 'Removes the Chart Tracker feature'),
(5426, 'Renal Stones'),
(5427, 'Rename'),
(5428, 'Rename Group'),
(5429, 'Rendering'),
(5430, 'Rendering Provider'),
(5431, 'Rendering Provider Number'),
(5432, 'Reorder'),
(5433, 'Reorder At'),
(5434, 'Reorder point has been reached'),
(5435, 'Reorder point, 0 if not applicable'),
(5436, 'Rep'),
(5437, 'Repeat New Password'),
(5438, 'Repeating event'),
(5439, 'Repeating Info:'),
(5440, 'Repeats'),
(5441, 'REPLACE'),
(5442, 'Replace entire code set'),
(5443, 'replaced'),
(5444, 'Reply Date'),
(5445, 'Reply From'),
(5446, 'Report'),
(5447, 'Report - Clinical'),
(5448, 'Report - Patient List Creation'),
(5449, 'Report by'),
(5450, 'Report Date'),
(5451, 'Report End (Relinquished Care Date)'),
(5452, 'Report has been sent to the patient.'),
(5453, 'Report History/Results'),
(5454, 'Report Results'),
(5455, 'Report Results/History'),
(5456, 'Report Start (Assumed Care Date)'),
(5457, 'Report Status'),
(5458, 'Report Totals'),
(5459, 'Report/ Form'),
(5460, 'Reportable'),
(5461, 'Reported'),
(5462, 'Reported Date'),
(5463, 'Reports'),
(5464, 'Request & Response'),
(5465, 'Request Description'),
(5466, 'Request ID is missing!'),
(5467, 'Request ignored - claims processing is already running!'),
(5468, 'Request Only'),
(5469, 'Request Status'),
(5470, 'Request Type'),
(5471, 'Request type not implemented'),
(5472, 'Requested By'),
(5473, 'Requested Date'),
(5474, 'Requested Service'),
(5475, 'Require Strong Passwords'),
(5476, 'Require Unique Passwords'),
(5477, 'Required'),
(5478, 'Required Co Pay'),
(5479, 'Required Field Missing: Please choose the EDI-271 file to upload'),
(5480, 'Required field missing: Please enter the First name'),
(5481, 'Required field missing: Please enter the Last name'),
(5482, 'Required field missing: Please enter the User Name'),
(5483, 'Required fields'),
(5484, 'Requirements'),
(5485, 'RESERVED'),
(5486, 'Reserved'),
(5487, 'Reserved for use to define Scheduled Vacation Time'),
(5488, 'Reserved to define when a provider may not have available appointments after.'),
(5489, 'Reserved to define when an event did not occur as specified.'),
(5490, 'Reserved todefine when a provider may haveavailable appointments after.'),
(5491, 'Reset'),
(5492, 'Reset Offsite Portal Credentials'),
(5493, 'Reset Onsite Portal Credentials'),
(5494, 'Resident physician'),
(5495, 'Resn'),
(5496, 'Resolved'),
(5497, 'Respiration'),
(5498, 'Respirator effort unlabored'),
(5499, 'Respiratory'),
(5500, 'Response Only'),
(5501, 'Restrict non-authorized users to the Schedule Facilities set in User admin.'),
(5502, 'Restrict Users to Facilities'),
(5503, 'Restricted Training'),
(5504, 'Result'),
(5505, 'Result Name'),
(5506, 'Result Status'),
(5507, 'Result status or abnormality is missing'),
(5508, 'Result, use % as a wildcard'),
(5509, 'Results'),
(5510, 'Results and'),
(5511, 'Results Found For Search'),
(5512, 'Results Group'),
(5513, 'Results Only'),
(5514, 'Results Path'),
(5515, 'Results per page'),
(5516, 'Results/Details'),
(5517, 'Retinal Exam'),
(5518, 'Retracted Right:'),
(5519, 'Return'),
(5520, 'Return above part with your payment'),
(5521, 'Return to calendar'),
(5522, 'Return To Report Results'),
(5523, 'Return to this page and you will be able to complete the ICD10 installation process by clicking on the ICD10 section header'),
(5524, 'Return to this page and you will be able to complete the ICD9 installation process by clicking on the ICD9 section header'),
(5525, 'Return to this page and you will be able to complete the RxNorm installation process by clicking on the RXNORM section header'),
(5526, 'Return to this page and you will be able to complete the Snomed installation process by clicking on the SNOMED section header'),
(5527, 'Return Value'),
(5528, 'Return Visit'),
(5529, 'Returned to Play'),
(5530, 'Reuse of three previous passwords not allowed!'),
(5531, 'Review'),
(5532, 'Review & Approve'),
(5533, 'Review and Approve'),
(5534, 'Review of PMH:'),
(5535, 'Review Of Systems'),
(5536, 'Review of Systems Checks'),
(5537, 'Reviewed'),
(5538, 'Revision'),
(5539, 'Rheumatoid Arthritis'),
(5540, 'Rheumotoid Arthritis'),
(5541, 'Right'),
(5542, 'Right Ear'),
(5543, 'right ear'),
(5544, 'Right Margin (mm)'),
(5545, 'Right:'),
(5546, 'Ringing in Ears'),
(5547, 'Ringing In Ears'),
(5548, 'Risk Category Assessment'),
(5549, 'Risk Factors'),
(5550, 'Risk Level'),
(5551, 'RLL:'),
(5552, 'ROM'),
(5553, 'Romanian'),
(5554, 'Romansh'),
(5555, 'Room 1'),
(5556, 'Room 2'),
(5557, 'Room 3'),
(5558, 'Room Number'),
(5559, 'Roommate'),
(5560, 'Roster'),
(5561, 'Route'),
(5562, 'Route of administration, if applicable'),
(5563, 'Routed'),
(5564, 'Rows'),
(5565, 'RRR without MOR'),
(5566, 'Rub:'),
(5567, 'Rubs:'),
(5568, 'Rule'),
(5569, 'Rule Add'),
(5570, 'Rule Detail'),
(5571, 'Rule Developer'),
(5572, 'Rule Edit'),
(5573, 'Rule Funding Source'),
(5574, 'Rule Release'),
(5575, 'Rule Set'),
(5576, 'Rule Set and Plan Set selections are not consistent. Please fix and Submit again.'),
(5577, 'Rule Title'),
(5578, 'Rules'),
(5579, 'rules already in plan'),
(5580, 'Rules Configuration'),
(5581, 'Running Command: '),
(5582, 'Rupture'),
(5583, 'Russian'),
(5584, 'Rx'),
(5585, 'RX'),
(5586, 'Rx Bottom Margin (px)'),
(5587, 'Rx Enable DEA #'),
(5588, 'Rx Enable NPI'),
(5589, 'Rx Enable State Lic. #'),
(5590, 'Rx Left Margin (px)'),
(5591, 'Rx Paper Size'),
(5592, 'Rx Right Margin (px)'),
(5593, 'Rx Show DEA #'),
(5594, 'Rx Show NPI'),
(5595, 'Rx Show State Lic. #'),
(5596, 'Rx Top Margin (px)'),
(5597, 'RXCUI Medication'),
(5598, 'RxNorm'),
(5599, 'RxNorm Database'),
(5600, 'S'),
(5601, 'S.S.'),
(5602, 'S3:'),
(5603, 'S4:'),
(5604, 'SA  *  * To read the license please read the docs/license.txt or visit  * http://www.gnu.org/copyleft/gpl.html  *  */  //========================================================================= // '),
(5605, 'Sale'),
(5606, 'Sales'),
(5607, 'Sales by Item'),
(5608, 'Sales by Product Report'),
(5609, 'Saliva'),
(5610, 'Same Day'),
(5611, 'Samoan'),
(5612, 'Sample'),
(5613, 'Sanction Type'),
(5614, 'Sango'),
(5615, 'Sanskrit (Saṁskṛta)'),
(5616, 'Sardinian'),
(5617, 'Sat'),
(5618, 'Sat &amp; Sun'),
(5619, 'Saturday'),
(5620, 'Save'),
(5621, 'SAVE'),
(5622, 'Save and Close'),
(5623, 'Save and Delete Request'),
(5624, 'Save and Dispense'),
(5625, 'Save and Transmit'),
(5626, 'Save as New'),
(5627, 'Save as new note'),
(5628, 'Save Certificate Settings'),
(5629, 'Save Changes'),
(5630, 'Save Form'),
(5631, 'Save Immunization'),
(5632, 'Save New Field'),
(5633, 'Save New Group'),
(5634, 'Save New List'),
(5635, 'Save new template'),
(5636, 'Save omission selections'),
(5637, 'Save Patient Demographics'),
(5638, 'Save Successful for chart ID'),
(5639, 'Save Transaction'),
(5640, 'Saved Successfully'),
(5641, 'Scanned'),
(5642, 'Scanned Encounter Note'),
(5643, 'Scanner Directory'),
(5644, 'Scanner In'),
(5645, 'Schedule'),
(5646, 'Schedule Facilities:'),
(5647, 'SCHOOL NOTE'),
(5648, 'Scoliosis'),
(5649, 'Scottish Gaelic- Gaelic'),
(5650, 'Screening / Testing'),
(5651, 'SE'),
(5652, 'SE Address'),
(5653, 'SE City'),
(5654, 'SE Country'),
(5655, 'SE Locality'),
(5656, 'SE Postal Code'),
(5657, 'SE State'),
(5658, 'SE Zip Code'),
(5659, 'Search'),
(5660, 'SEARCH'),
(5661, 'search'),
(5662, 'search again'),
(5663, 'Search all columns'),
(5664, 'Search by:'),
(5665, 'Search for'),
(5666, 'Search for:'),
(5667, 'Search In'),
(5668, 'Search in'),
(5669, 'Search or Add Patient'),
(5670, 'Search Payment'),
(5671, 'Search Results'),
(5672, 'Search Results:'),
(5673, 'Search Selected'),
(5674, 'Search string does not match with list in database'),
(5675, 'Search string should have at least three characters'),
(5676, 'Search Text'),
(5677, 'Search the Events'),
(5678, 'Search/Add'),
(5679, 'Search/Add Insurer'),
(5680, 'Searching for appointments'),
(5681, 'Searching...'),
(5682, 'Seatbelt Use'),
(5683, 'Seatbelt use'),
(5684, 'Second'),
(5685, 'second'),
(5686, 'Second account message'),
(5687, 'Secondary'),
(5688, 'Secondary Insurance'),
(5689, 'Secondary Insurance Data'),
(5690, 'Secondary Insurance Provider'),
(5691, 'Secondary Medicare Type'),
(5692, 'seconds'),
(5693, 'Section ID'),
(5694, 'Section ID and Name Cannot be Empty'),
(5695, 'Section Name'),
(5696, 'Section saved successfully'),
(5697, 'Secure Electronic Messaging'),
(5698, 'Security'),
(5699, 'See All'),
(5700, 'See Authorizations'),
(5701, 'See Growth-Chart'),
(5702, 'See messages from the last set of generated claims'),
(5703, 'See the Clinical Reminders widget for more details'),
(5704, 'Seen since'),
(5705, 'Segment name'),
(5706, 'Segments Batch Claim'),
(5707, 'Seizures'),
(5708, 'Sel'),
(5709, 'Select'),
(5710, 'select'),
(5711, 'Select a Component'),
(5712, 'Select a Context'),
(5713, 'Select a percentage of the rows or or select dates'),
(5714, 'Select a Time Span'),
(5715, 'Select a User'),
(5716, 'Select All'),
(5717, 'Select Amendment Date'),
(5718, 'Select amendments to print'),
(5720, 'Select category'),
(5721, 'Select Communication Preferences'),
(5722, 'Select corresponding checkboxes to delete'),
(5723, 'Select Criteria to Remove'),
(5724, 'Select CSV table'),
(5725, 'Select Data Required for De Identification'),
(5726, 'Select data to be included in De Identified data'),
(5727, 'Select date'),
(5728, 'Select desired squad'),
(5729, 'Select Diagnosis'),
(5730, 'Select Diagnosis for De Identification request'),
(5731, 'Select Drug'),
(5732, 'Select Drugs'),
(5733, 'Select Drugs for De Identification request'),
(5734, 'Select EDI-271 file'),
(5735, 'Select Encounter'),
(5736, 'Select field'),
(5737, 'Select Fields'),
(5738, 'Select for printing'),
(5739, 'Select Immunizations'),
(5740, 'Select Immunizations for De Identification request'),
(5741, 'Select Insurance, by typing'),
(5742, 'Select Issue'),
(5743, 'Select items'),
(5744, 'Select Language'),
(5745, 'Select One'),
(5746, 'Select one or more diagnosis codes to justify the service'),
(5747, 'Select one or more files to upload'),
(5748, 'Select output'),
(5749, 'SELECT PLAN'),
(5750, 'Select Requested By'),
(5751, 'Select Role'),
(5752, 'Select source'),
(5753, 'Select Template'),
(5754, 'Select the configuration items to export'),
(5755, 'Select the issue primarily responsible for any missed events on this day'),
(5756, 'Select to print patient address labels from popups in left nav screen.'),
(5757, 'Select Track'),
(5758, 'Select Type'),
(5759, 'Select User'),
(5760, 'Select Users From The Dropdown List'),
(5761, 'Select which languages, if any, may be chosen at login. (only pertinent if above All Languages Allowed is turned off)'),
(5762, 'Select Yes to confirm group deletion'),
(5763, 'Select1'),
(5764, 'Select2'),
(5765, 'Selected'),
(5766, 'Selected Encounter'),
(5767, 'Selecting this will create a message that needs to be processed by each recipient individually (this is not a group task).'),
(5768, 'Self'),
(5769, 'Self Pay'),
(5770, 'SEND'),
(5771, 'Send'),
(5772, 'Send A Dated Reminder'),
(5773, 'Send a Reminder'),
(5774, 'Send in progress'),
(5775, 'Send message'),
(5776, 'Send Reminders Batch'),
(5777, 'Send reminders to patients per patient preference for preventive/follow up care.'),
(5778, 'Send Summaries with Referrals'),
(5779, 'Send this file'),
(5780, 'Send This Message'),
(5781, 'Send to'),
(5782, 'Send To'),
(5783, 'SEND TO'),
(5784, 'Send to all'),
(5785, 'Send To HIE failed'),
(5786, 'Send to portal'),
(5787, 'Send to Portal'),
(5788, 'Sender'),
(5789, 'Sender ID'),
(5790, 'Sender ID (ISA06)'),
(5791, 'Sender ID Qualifier (ISA05)'),
(5792, 'Sender IDs'),
(5793, 'Sending To'),
(5794, 'Sensitivities'),
(5795, 'Sensitivity:'),
(5796, 'Sensory exam normal'),
(5797, 'Sent'),
(5798, 'Sent - Confirmed'),
(5799, 'Sent By, Leave Blank For All'),
(5800, 'Sent by:'),
(5801, 'Sent Date'),
(5802, 'Sent Items'),
(5803, 'Sent Medical Records?'),
(5804, 'Sent successfully'),
(5805, 'Sent Summary of Care Electronically?'),
(5806, 'Sent Summary of Care?'),
(5807, 'sent to printer.'),
(5808, 'Sent To, Leave Blank For All'),
(5809, 'Sent to:'),
(5810, 'Sent, but delivery not yet confirmed.'),
(5811, 'Sent, not received'),
(5812, 'Sep'),
(5813, 'Separated'),
(5814, 'September'),
(5815, 'Seq'),
(5816, 'Sequence'),
(5817, 'Serbian'),
(5818, 'Serv Rep'),
(5819, 'Server may be offline'),
(5820, 'Server message:'),
(5821, 'Service'),
(5822, 'Service Category'),
(5823, 'Service Code'),
(5824, 'Service Code Finance Reporting'),
(5825, 'Service Codes'),
(5826, 'Service Date'),
(5827, 'Service Date:'),
(5828, 'Service Facility'),
(5829, 'Service Location'),
(5830, 'Service Name'),
(5831, 'Service provided by specialist'),
(5832, 'Service Reporting'),
(5833, 'Service Reporting Only'),
(5834, 'Services'),
(5835, 'Services by Category'),
(5836, 'Services provided'),
(5837, 'Services Provided'),
(5838, 'Services/Products'),
(5839, 'Session Type'),
(5840, 'Set'),
(5841, 'Set a facility cookie to remember the selected facility between logins.'),
(5842, 'Set As Completed'),
(5843, 'Set processing priority for CDR engine based reports.'),
(5844, 'Set processing priority for creation of Patient Reminders (in full clinic mode).'),
(5845, 'Set this to the full absolute path. For creating client SSL certificates for HTTPS.'),
(5846, 'Set To'),
(5847, 'Set to Default'),
(5848, 'Setting the version number in the database...'),
(5849, 'Settings'),
(5850, 'Severe'),
(5851, 'Severe Migraine'),
(5852, 'Severity'),
(5853, 'Severity of Pain'),
(5854, 'Severity of Pain:'),
(5855, 'Sex'),
(5856, 'Sexually Transmitted Disease'),
(5857, 'SFTP'),
(5858, 'Sha-1 Hash'),
(5859, 'Sharing'),
(5860, 'Shell command for printing from the server.'),
(5861, 'Shift'),
(5862, 'Shona'),
(5863, 'Short Description'),
(5864, 'Shortness of Breath'),
(5865, 'Shortness Of Breath'),
(5866, 'Shortness Of Breath 2'),
(5867, 'Shot Record'),
(5868, 'Shot Record as of:'),
(5869, 'Should be Enabled'),
(5870, 'should be like nnnnn-nnnn-nn'),
(5871, 'Should be two letters'),
(5872, 'should contain 10 digits'),
(5873, 'should contain only 10 digits'),
(5874, 'Shoulder'),
(5875, 'Shoulder + clavicle'),
(5876, 'Shoulder Problems'),
(5877, 'Show'),
(5878, 'Show Active'),
(5879, 'Show Additional Insurance Information'),
(5880, 'Show All'),
(5881, 'Show all procedures'),
(5882, 'Show All Results'),
(5883, 'Show All Transactions'),
(5884, 'Show as Busy'),
(5885, 'Show Authorized Only'),
(5886, 'Show Available Times'),
(5887, 'Show both US and metric (main unit is metric)'),
(5888, 'Show both US and metric (main unit is US)'),
(5889, 'Show Details'),
(5890, 'Show Errors Only?'),
(5891, 'Show Graph'),
(5892, 'Show hovering event text on mouseover?'),
(5893, 'Show how many events on admin pages?'),
(5894, 'Show Inactive'),
(5895, 'Show Insurance Address Information in the Insurance Panel of Demographics.'),
(5896, 'Show Menu'),
(5897, 'Show metric only'),
(5898, 'Show Notes'),
(5899, 'Show only latest values reported for each result code'),
(5900, 'Show only procedures not omitted'),
(5901, 'Show Patient Notes'),
(5902, 'Show pounds and ounces'),
(5903, 'Show pounds as decimal value'),
(5904, 'Show Primary Complete'),
(5905, 'Show Reminders'),
(5906, 'Show Report'),
(5907, 'Show search/submit links in block?'),
(5908, 'Show Selected for Drug Screens'),
(5909, 'Show Status of Drug Screens'),
(5910, 'Show the custom state form for the add list widget (will ask for title and abbreviation).'),
(5911, 'Show this category on the patient summary screen even if no issues have been entered for this category.'),
(5912, 'Show track history'),
(5913, 'Show Unbilled Only'),
(5914, 'Show US only'),
(5915, 'Showing'),
(5916, 'Showing result'),
(5917, 'Sibling'),
(5918, 'Sibling History'),
(5919, 'Sibling in-law'),
(5920, 'Siblings'),
(5921, 'Sickle Cell'),
(5922, 'Sig'),
(5923, 'Sigmoid/Colonoscopy'),
(5924, 'Sign'),
(5925, 'Sign Lab Results (write,addonly optional)'),
(5926, 'Sign Results'),
(5927, 'Signature'),
(5928, 'Signature on File'),
(5929, 'Signature:'),
(5930, 'Signed Rx'),
(5931, 'Significant Other'),
(5932, 'Significant Swelling:'),
(5933, 'Simplified'),
(5934, 'Simplified Co-Pay'),
(5935, 'Simplified Demographics'),
(5936, 'Simplified Prescriptions'),
(5937, 'Since'),
(5938, 'Sincerely,'),
(5939, 'Sindhi'),
(5940, 'Single'),
(5941, 'Single-selection list'),
(5942, 'Single-selection list with ability to add to the list'),
(5943, 'Singular'),
(5944, 'Sinhala'),
(5945, 'Sinhala, Sinhalese'),
(5946, 'Sinus Problems'),
(5947, 'Sinus Surgery'),
(5948, 'SINUS TENDERNESS:'),
(5949, 'Sinusitis'),
(5950, 'Site'),
(5951, 'Site ID'),
(5952, 'Site ID for the Medical Information Integration, LLC Lab Exchange Service.'),
(5953, 'Site ID for the LibreEHR Support LLC Lab Exchange Service.'),
(5954, 'Site Worker'),
(5955, 'Six Months Ago'),
(5956, 'Size'),
(5957, 'Size must be a number between 1 and 999'),
(5958, 'Size/List'),
(5959, 'Skin'),
(5960, 'Skin Cancer'),
(5961, 'Skin Disease'),
(5962, 'Skin Other'),
(5963, 'Skip Authorization of Patient Notes'),
(5964, 'Skipping section'),
(5965, 'Skipping SQL-Ledger dump - not implemented for Windows server'),
(5966, 'Sl.No'),
(5967, 'Sleep Patterns'),
(5968, 'Sleep patterns'),
(5969, 'Sleeping'),
(5970, 'Slovak'),
(5971, 'Slovene'),
(5972, 'Sm debt w/o'),
(5973, 'Smarty Cache has been cleared'),
(5974, 'Smoker, current status unknown'),
(5975, 'Smoking'),
(5976, 'Smoking Status'),
(5977, 'SMS Auth'),
(5978, 'SMS Gateway'),
(5979, 'SMS Gateway API key'),
(5980, 'SMS Gateway API Key'),
(5981, 'SMS Gateway Password'),
(5982, 'SMS Gateway Username'),
(5983, 'SMS Notification'),
(5984, 'SMS Notification Hours'),
(5985, 'SMS send before'),
(5986, 'SMS Sent'),
(5987, 'SMS Text, Usable Tag: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***'),
(5988, 'SMS/Email Alert Settings'),
(5989, 'SMTP Password for Authentication'),
(5990, 'SMTP Security Protocol'),
(5991, 'SMTP security protocol to connect with. Required by some servers such as gmail.'),
(5992, 'SMTP Server Hostname'),
(5993, 'SMTP Server Port Number'),
(5994, 'SMTP User for Authentication'),
(5995, 'SNOMED'),
(5996, 'SNOMED (RF1) Clinical Term'),
(5997, 'SNOMED (RF1) Diagnosis'),
(5998, 'SNOMED (RF1) Procedure'),
(5999, 'SNOMED (RF2) Diagnosis'),
(6000, 'SNOMED Clinical Term'),
(6001, 'SNOMED Database'),
(6002, 'SNOMED Diagnosis'),
(6003, 'SNOMED Procedure'),
(6004, 'Snoring'),
(6005, 'SOAP'),
(6006, 'Social Difficulties'),
(6007, 'Social History'),
(6008, 'Social History Element'),
(6009, 'Social History:'),
(6010, 'Social Security Number'),
(6011, 'solution'),
(6012, 'Somali'),
(6013, 'Somatic Context'),
(6014, 'Some authorizations were not displayed. Click here to view all'),
(6015, 'Some codes were not displayed.'),
(6016, 'Some encounters were not displayed. Click here to view all.'),
(6017, 'Some error has occured during De Identification Process'),
(6018, 'Some notes were not displayed.'),
(6019, 'Some office notes were not displayed. Click here to view all.'),
(6020, 'some words'),
(6021, 'Someone else has just changed this visit. Please cancel this page and try again.'),
(6022, 'Something went wrong'),
(6023, 'Something went wrong. Please try again.'),
(6024, 'Soon Due Interval (Clinical Reminders)'),
(6025, 'Soon Due Interval (Patient Reminders)'),
(6026, 'Sore Throat'),
(6027, 'Sorry No Appointment is Fixed'),
(6028, 'Sorry, there was a problem uploading your file'),
(6029, 'Sort by'),
(6030, 'Sort By'),
(6031, 'Sort by Checksum'),
(6032, 'Sort by Comments'),
(6033, 'Sort by Crt User'),
(6034, 'Sort by date'),
(6035, 'Sort by date/time'),
(6036, 'Sort by Event'),
(6037, 'Sort by Group'),
(6038, 'Sort by New Checksum'),
(6039, 'Sort by Old Checksum'),
(6040, 'Sort by PatientID'),
(6041, 'Sort by Success'),
(6042, 'Sort by Tamper date/time'),
(6043, 'Sort by User'),
(6044, 'Sort by vaccine'),
(6045, 'Sort Down'),
(6046, 'Sort Result by'),
(6047, 'Sort Up'),
(6048, 'Source'),
(6049, 'Source File'),
(6050, 'Source File Path'),
(6051, 'Source is missing for code '),
(6052, 'Source Lot'),
(6053, 'Source of the document'),
(6054, 'Source Patient'),
(6055, 'Source patient has no DOB'),
(6056, 'Source patient not found'),
(6057, 'Source:'),
(6058, 'South Ndebele'),
(6059, 'Southern Sotho'),
(6060, 'Space'),
(6061, 'SPACE'),
(6062, 'Spanish'),
(6063, 'Spanish (Latin American)'),
(6064, 'Spanish (Spain)'),
(6065, 'Spanish- Castilian'),
(6066, 'Special characters are not allowed'),
(6067, 'Special treatment for the Vitals form'),
(6068, 'Specialist'),
(6069, 'Specialist name and signature'),
(6070, 'Specialized physician'),
(6071, 'Specialty'),
(6072, 'Specialty Systems'),
(6073, 'Specialty:'),
(6074, 'Specific'),
(6075, 'Specific Application'),
(6076, 'Specific Contraceptive Service'),
(6077, 'Specific Result'),
(6078, 'Specific Service'),
(6079, 'Specified'),
(6080, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.'),
(6081, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.'),
(6082, 'Specifies formatting for invoice reference numbers.  # = digit, * = any character.  Empty if not used.'),
(6083, 'Specifies formatting for invoice reference numbers.  # = digit, @ = alpha, * = any character.  Empty if not used.'),
(6084, 'Specifies formatting for product NDC fields.  # = digit, * = any character.  Empty if not used.'),
(6085, 'Specifies formatting for product NDC fields.  # = digit, @ = alpha, * = any character.  Empty if not used.'),
(6086, 'Specifies formatting for the external patient ID.  # = digit, * = any character.  Empty if not used.'),
(6087, 'Specifies formatting for the external patient ID.  # = digit, @ = alpha, * = any character.  Empty if not used.'),
(6088, 'Specimen'),
(6089, 'Specimen number/identifier'),
(6090, 'Specimen Type'),
(6091, 'Specimen type'),
(6092, 'Speech Dictation'),
(6093, 'Spermicides'),
(6094, 'Splenectomy'),
(6095, 'Spouse'),
(6096, 'Spouses History'),
(6097, 'Sputum'),
(6098, 'Sputum:'),
(6099, 'SQ'),
(6100, 'sql'),
(6101, 'SQL-Ledger'),
(6102, 'Squad'),
(6103, 'Squad Membership'),
(6104, 'Squads'),
(6105, 'SRH'),
(6106, 'SRH - Family Planning'),
(6107, 'SRH Non Family Planning'),
(6108, 'SRH Referrals'),
(6109, 'SRH Visit Form'),
(6110, 'Srv Date'),
(6111, 'SS'),
(6112, 'SSL Certificate Administration'),
(6113, 'SSN'),
(6114, 'Stability'),
(6115, 'Staged Releases'),
(6116, 'Standard'),
(6117, 'Standard Code'),
(6118, 'Standard Measures'),
(6119, 'Standard Measures (Active Alerts)'),
(6120, 'Standard Measures (Passive Alerts)'),
(6121, 'Standard Measures (Patient Reminders)'),
(6122, 'Standard Name'),
(6123, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; Football Injury'),
(6124, 'Start'),
(6125, 'Start (yyyy-mm-dd): '),
(6126, 'Start Another Report'),
(6127, 'Start Batch Processing'),
(6128, 'Start Date'),
(6129, 'Start Date at This Clinic'),
(6130, 'Start Date should not be greater than End Date'),
(6131, 'Start date:'),
(6132, 'Start Date:'),
(6133, 'Start Time'),
(6134, 'Starting Date'),
(6135, 'stat'),
(6136, 'State'),
(6137, 'State Data Type'),
(6138, 'State Lic. #'),
(6139, 'State License Number'),
(6140, 'State list'),
(6141, 'State List (write,addonly optional)'),
(6142, 'State List Widget Custom Fields'),
(6143, 'State Or Province'),
(6144, 'State/Locality'),
(6145, 'State/Parish'),
(6146, 'STATEMENT SUMMARY'),
(6147, 'statements and updating invoices.'),
(6148, 'Statements Sent:'),
(6149, 'statements; invoices will not be updated.'),
(6150, 'Static Text'),
(6151, 'Statistics'),
(6152, 'Stats'),
(6153, 'Status'),
(6154, 'Status Of Admission'),
(6155, 'Status of Claim'),
(6156, 'Status quo'),
(6157, 'Status Type'),
(6158, 'STD/AIDS Couns'),
(6159, 'Stength and Conditioning'),
(6160, 'Step Child'),
(6161, 'Step Parent'),
(6162, 'Step Sibling'),
(6163, 'Steps for uploading CCR XML'),
(6164, 'Steps to install the DSM IV database'),
(6165, 'Steps to install the ICD 10 database'),
(6166, 'Steps to install the ICD 9 database'),
(6167, 'Steps to install the RxNorm database'),
(6168, 'Steps to install the Snomed database'),
(6169, 'Stiff Joints'),
(6170, 'Stiffness'),
(6171, 'Stock Months'),
(6172, 'Stomach Pains'),
(6173, 'Stop'),
(6174, 'Stored Hash'),
(6175, 'Strain of muscle'),
(6176, 'Stream'),
(6177, 'Street'),
(6178, 'Street Address'),
(6179, 'Street and Number'),
(6180, 'Strength'),
(6181, 'Strength and Conditioning'),
(6182, 'Strep Throat'),
(6183, 'Stress fracture'),
(6184, 'Stress Test'),
(6185, 'Stroke'),
(6186, 'Strong password means at least 8 characters, and at least three of: a number, a lowercase letter, an uppercase letter, a special character.'),
(6187, 'Style'),
(6188, 'Style of form used for adding new patients'),
(6189, 'Sub-category'),
(6190, 'Sub-Total'),
(6191, 'Subcategory'),
(6192, 'subcategory'),
(6193, 'subcutaneously'),
(6194, 'Subject'),
(6195, 'Subjective'),
(6196, 'Sublingual'),
(6197, 'sublingual'),
(6198, 'Submit'),
(6199, 'submit'),
(6200, 'Submit All Content'),
(6201, 'Submit and Delete Request'),
(6202, 'Submit Event'),
(6203, 'submit form'),
(6204, 'Submit Selected Content'),
(6205, 'submitted'),
(6206, 'Submitted by'),
(6207, 'Submitter EDI Access Number (PER06)'),
(6208, 'Subscriber'),
(6209, 'Subscriber Address'),
(6210, 'Subscriber City'),
(6211, 'Subscriber Country'),
(6212, 'Subscriber Date of Birth'),
(6213, 'Subscriber Employer'),
(6214, 'Subscriber Employer (SE)'),
(6215, 'Subscriber Employer Address'),
(6216, 'Subscriber Employer City'),
(6217, 'Subscriber Employer Country'),
(6218, 'Subscriber Employer State'),
(6219, 'Subscriber Employer Street'),
(6220, 'Subscriber Employer Zip'),
(6221, 'Subscriber Employer Zip Code'),
(6222, 'Subscriber First Name'),
(6223, 'Subscriber Last Name'),
(6224, 'Subscriber Middle Name'),
(6225, 'Subscriber Phone'),
(6226, 'Subscriber Relationship'),
(6227, 'Subscriber relationship is not self but name is the same! Is this really OK?'),
(6228, 'Subscriber relationship is not self but SS number is the same!'),
(6229, 'Subscriber relationship is self but name is different! Is this really OK?'),
(6230, 'Subscriber relationship is self but SS number is different!'),
(6231, 'Subscriber Sex'),
(6232, 'Subscriber SS'),
(6233, 'Subscriber State'),
(6234, 'Subscriber Zip'),
(6235, 'Subscribter Phone'),
(6236, 'Substance'),
(6237, 'Substitution'),
(6238, 'substitution allowed'),
(6239, 'Subtype'),
(6240, 'Success'),
(6241, 'success'),
(6242, 'Success confirming receipt of lab result'),
(6243, 'Success getting lab results'),
(6244, 'Success retrieving results from Lab Exchange Network'),
(6245, 'Successful Transfers'),
(6246, 'Successfully added category'),
(6247, 'successfully added to category,'),
(6248, 'Successfully Deleted'),
(6249, 'Successfully Imported the details. Please approve the patient from the Pending Approval Screen'),
(6250, 'Successfully installed the database.'),
(6251, 'Successfully installed the following database'),
(6252, 'Successfully Modified'),
(6253, 'Successfully Saved.Would you like to Allocate?'),
(6254, 'Successfully Saved.Would you like to Distribute?'),
(6255, 'Successfully Sent'),
(6256, 'successfully stored.'),
(6257, 'Successfully upgraded the database.'),
(6258, 'Successfully upgraded the following database'),
(6259, 'successfully.'),
(6260, 'Suicide'),
(6261, 'Summary'),
(6262, 'Summary of'),
(6263, 'Summary of Care Sent'),
(6264, 'Summary of Care Sent Electronically'),
(6265, 'Sun'),
(6266, 'Sundanese'),
(6267, 'Sunday'),
(6268, 'Superbill'),
(6269, 'Superbill Codes'),
(6270, 'Superbill Codes Administration'),
(6271, 'Superbill Report'),
(6272, 'Superbill/Fee Sheet'),
(6273, 'Superbills'),
(6274, 'Superbills, sometimes referred to as Encounter Forms or Routing Slips, are an essential part of most medical practices.'),
(6275, 'Superuser'),
(6276, 'Supervising'),
(6277, 'Supervising Doctor'),
(6278, 'Supervising Doctor DEA'),
(6279, 'Supervising Doctor First name'),
(6280, 'Supervising Doctor Last name'),
(6281, 'Supervising Doctor NPI'),
(6282, 'Supervising Doctor UPIN'),
(6283, 'Supplier facility name'),
(6284, 'Support calendar events that apply to multiple providers'),
(6285, 'Support export/import of configuration data via the Backup page.'),
(6286, 'Support Multi-Provider Events'),
(6287, 'Support provider in line item in fee sheet'),
(6288, 'Supports TripleDES encryption/decryption only.'),
(6289, 'Surface Type'),
(6290, 'Surgeries'),
(6291, 'Surgery'),
(6292, 'Surgery Issue List'),
(6293, 'Suspended'),
(6294, 'suspension'),
(6295, 'Svc Date'),
(6296, 'Svc Date:'),
(6297, 'Swahili'),
(6298, 'Swati'),
(6299, 'Sweating:'),
(6300, 'Swedish'),
(6301, 'Swelling'),
(6302, 'Swelling Right'),
(6303, 'Swollen Joints'),
(6304, 'Swollen Lymph Nodes'),
(6305, 'Symbol used as the decimal point for currency. Not used if Decimal Places is 0.'),
(6306, 'Symbol used to separate thousands for currency.'),
(6307, 'Symptoms'),
(6308, 'Synchronize'),
(6309, 'Synchronize translations with custom language table.'),
(6310, 'Synchronized new custom constant:'),
(6311, 'Synchronized new custom language:'),
(6312, 'Synchronized new definition (Language, Constant, Definition):'),
(6313, 'Syncope'),
(6314, 'Syndromic Surveillance'),
(6315, 'Syndromic Surveillance - Non Reported Issues'),
(6316, 'Syndromic Surveillance Report'),
(6317, 'Synovitis, impingement, bursitis'),
(6318, 'System'),
(6319, 'Systolic'),
(6320, 'S{{Saturday}}'),
(6321, 'S{{Sunday}}'),
(6322, 'T'),
(6323, 't.i.d.'),
(6324, 'T.V.'),
(6325, 'Table'),
(6326, 'Table Code'),
(6327, 'Table creation failed'),
(6328, 'Table update failed'),
(6329, 'Tables'),
(6330, 'tablet'),
(6331, 'Tag to Encounter'),
(6332, 'Tagalog'),
(6333, 'Tahitian'),
(6334, 'Tajik'),
(6335, 'Take'),
(6336, 'Take Insurance, from Drop Down'),
(6337, 'Take Payment From, from Drop Down'),
(6338, 'Takeback'),
(6339, 'Takes long'),
(6340, 'Tall Navigation Area'),
(6341, 'Tamil'),
(6342, 'Tamper Date'),
(6343, 'Tampered Checksum'),
(6344, 'Target and source DOB do not match'),
(6345, 'Target and source pid may not be the same!'),
(6346, 'Target and source SSN do not match'),
(6347, 'Target Date'),
(6348, 'Target Patient'),
(6349, 'Target patient has no DOB'),
(6350, 'Target patient not found'),
(6351, 'Target/Action Groups'),
(6352, 'Tatar'),
(6353, 'Tax Id'),
(6354, 'Tax ID'),
(6355, 'Tax Rate'),
(6356, 'Taxes'),
(6357, 'Taxonomy'),
(6358, 'Td'),
(6359, 'Team Injury Overview'),
(6360, 'Team Roster'),
(6361, 'Team Roster View'),
(6362, 'Team/Squad'),
(6363, 'Tel'),
(6364, 'Telephone Country Code'),
(6365, 'Telugu'),
(6366, 'Temp'),
(6367, 'Temp Location'),
(6368, 'Temp Method'),
(6369, 'Temperature'),
(6370, 'Template'),
(6371, 'Template Name'),
(6372, 'Template names cannot start with numbers.'),
(6373, 'Template:'),
(6374, 'Templates'),
(6375, 'Temporal Artery'),
(6376, 'Tendon injury'),
(6377, 'Tendonitis / osis / bursitis'),
(6378, 'Tentative Invoice Ref No'),
(6379, 'Tertiary'),
(6380, 'Tertiary Insurance'),
(6381, 'Tertiary Insurance Data'),
(6382, 'Tertiary Insurance provider'),
(6383, 'Test Scheduling'),
(6384, 'Test System'),
(6385, 'Text'),
(6386, 'Text Diagnosis'),
(6387, 'Text field'),
(6388, 'Text for fifth account message.'),
(6389, 'Text for first account message.'),
(6390, 'Text for fourth account message.'),
(6391, 'Text for second account message.'),
(6392, 'Text for third account message.'),
(6393, 'Text-date'),
(6394, 'text-date'),
(6395, 'Textarea'),
(6396, 'textarea'),
(6397, 'Textbox'),
(6398, 'textbox'),
(6399, 'Textbox list'),
(6400, 'textbox list'),
(6401, 'Thai'),
(6402, 'Thank You'),
(6403, 'Thank you for choosing'),
(6404, 'The \'Clear\' button will remove all annotations.'),
(6405, 'The above statement failed'),
(6406, 'The Apache SSL server certificate and public key'),
(6407, 'The Certificate Authority certificate'),
(6408, 'The claim file: '),
(6409, 'The compatible staged US Extension SNOMED package has already been installed.'),
(6410, 'The corresponding private key'),
(6411, 'The data integrity test failed for this form'),
(6412, 'The default code type to search for in the Fee Sheet.'),
(6413, 'the Denial code is'),
(6414, 'the Denial Group code is'),
(6415, 'The destination form was closed'),
(6416, 'The destination form was closed; I cannot act on your selection.'),
(6417, 'The entity performing this procedure'),
(6418, 'The EP, eligible hospital or CAH who receives a patient from another setting of care or provider of care or believes an encounter is relevant should perform medication reconciliation.'),
(6419, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral (Measure A).'),
(6420, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral (Measure B).'),
(6421, 'The EP, eligible hospital or CAH who transitions their patient to another setting of care or provider of care or refers their patient to another provider of care should provide summary of care record for each transition of care or referral.'),
(6422, 'The event(s) have been approved.'),
(6423, 'The event(s) have been hidden.'),
(6424, 'The exported data appears in the text area below.  You can copy and paste this into an email or to any other desired destination.'),
(6425, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination (or) download the below link.'),
(6426, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination.'),
(6427, 'The exported data appears in the text area below. You can copy and paste this into an email or to any other desired destination.{{MARK FOR DELETION DURING NEXT TRANSLATION BUILD}}'),
(6428, 'The file could not be saved to CouchDB.'),
(6429, 'The file could not be succesfully renamed, this error is usually related to permissions problems on the storage system.'),
(6430, 'The file could not be succesfully stored, this error is usually related to permissions problems on the storage system'),
(6431, 'The first (\"target\") chart is the one that is considered the most complete and accurate. Demographics, history and insurance sections for this one will be retained.'),
(6432, 'The first step is to download the SNOMED CT release. Access to SNOMED CT is provided by IHTSDO and their member countries. For more information see'),
(6433, 'The first step is to open an account with the Unified Medical Language System web site'),
(6434, 'The following calendar event has been added:'),
(6435, 'The following calendar event has been modifed:'),
(6436, 'The following categories will be removed from your category List'),
(6437, 'The following database release is currently installed'),
(6438, 'The following documents were attached to this Direct message:'),
(6439, 'The following EDI file has been uploaded'),
(6440, 'The following Emergency Login User is activated:'),
(6441, 'The following errors occurred'),
(6442, 'The following field has an invalid value'),
(6443, 'The following fields are empty.'),
(6444, 'The following fields are required'),
(6445, 'The following fields have to be filled to send a request.'),
(6446, 'The following fields have to be filled to send request.'),
(6447, 'The following International Snomed Release languages are supported'),
(6448, 'The following problems have the same diagnosis codes. Encounter issues will not be updated. Please use the encounter interface instead.'),
(6449, 'The hostname of the ATNA audit repository machine.'),
(6450, 'The initial window is the invoice search page.  At the top you may enter a source (e.g. check number), pay date and check amount.  The reason for the source and pay date is so that you don\'t have to enter them over and over again for each claim.  The amount that you enter will be decreased for each invoice that is given part of the payment, and hopefully will end at zero when you are done.'),
(6451, 'The installation directory needs to be created.'),
(6452, 'The installed International SNOMED version is not compatible with the staged US Extension SNOMED package.'),
(6453, 'The installed International SNOMED version is out of date and not compatible with the staged US Extension SNOMED file.'),
(6454, 'The installed version and the staged files are the same.'),
(6455, 'The installed version is a more recent version than the staged files.'),
(6456, 'The label that appears to the user on the form'),
(6457, 'The length should not exceed the following number of characters'),
(6458, 'The merge will not run unless SSN and DOB for the two charts are identical. DOBs cannot be empty.'),
(6459, 'The message could not be sent at this time.'),
(6460, 'The new category will be a sub-category of '),
(6461, 'The new password can not be the same as the current password.'),
(6462, 'The new password fields are not the same.'),
(6463, 'The number of staged files is incorrect. Only place the file that you wish to install/upgrade to.'),
(6464, 'The number of staged files is incorrect. Only place the files that you wish to install/upgrade to.'),
(6465, 'The page will be redirected to Demographics. You can edit the country field and clickthrough to NewCrop again.'),
(6466, 'The password must be at least eight characters, and should'),
(6467, 'The password you entered is invalid'),
(6468, 'The patient record request has been recorded.'),
(6469, 'The patient reminders have been sent'),
(6470, 'The patient reminders have been updated'),
(6471, 'The patient was not logged in when submitting this form'),
(6472, 'The payments posted cannot go below this date.This ensures that after taking the final report nobody post for previous dates.'),
(6473, 'The portal has data for this patient and form. Load it now?'),
(6474, 'The raw data feed release can be obtained from'),
(6475, 'The remaining information below applies only if you are posting manually, or if you are doing manual corrections.'),
(6476, 'The requested document is not present at the expected location on the filesystem or there are not sufficient permissions to access it'),
(6477, 'The requested document is not present at the expected location on the filesystem or there are not sufficient permissions to access it.'),
(6478, 'The screen refresh time in Seconds for the Patient Flow Board Screen.'),
(6479, 'The second (\"source\") chart will have its demographics, history and insurance sections discarded.  Its other data will be merged into the target chart.'),
(6480, 'The Source and Date columns are copied from the first page, so normally you will not need to touch those.  You can put a payment amount in the Pay column, an adjustment amount in the Adjust column, or both.  You can also click the \"W\" on the right to automatically compute an adjustment value that writes off the remainder of the charge for that line item.'),
(6481, 'The staged files release dates are not all from the same release.'),
(6482, 'The staged files revisions are not all from the same release.'),
(6483, 'The staged US Extension SNOMED package can not be installed until after the International SNOMED package has been installed.'),
(6484, 'The time granularity of the calendar and the smallest interval in minutes for an appointment slot.'),
(6485, 'The translated label that will appear on the form in current language'),
(6486, 'The translated Title that will appear in current language'),
(6487, 'The translation of description in current language'),
(6488, 'The translation tables are synchronized.'),
(6489, 'The type of this entity'),
(6490, 'The vendor-specific code identifying this procedure or result'),
(6491, 'The X12 files as well as the resulting HTML output reports are archived in the \"era\" subdirectory of the main LibreEHR installation directory.  You will want to refer to these archives from time to time.  The URL is '),
(6492, 'The zip file will contain the following items'),
(6493, 'Theme'),
(6494, 'Then the raw data feed release can be obtained from'),
(6495, 'Therapeutic Injections'),
(6496, 'There are'),
(6497, 'There are currently no prescriptions'),
(6498, 'There are errors with your submission.  These are outlined below.'),
(6499, 'There are multiple patients with portal login'),
(6500, 'There are no charts checked out.'),
(6501, 'There are no disclosures recorded for this patient.'),
(6502, 'There are no New Submissions'),
(6503, 'There are no notes on file for this patient.'),
(6504, 'There are no transactions on file for this patient.'),
(6505, 'There has been a mail error sending to'),
(6506, 'There is already a category named'),
(6507, 'There is already a subcategory named'),
(6508, 'There is already an item named'),
(6509, 'There is already an open patient record request.'),
(6510, 'There is no COA entry for AR account '),
(6511, 'There is no COA entry for cash account '),
(6512, 'There is no COA entry for income account '),
(6513, 'There is no current patient'),
(6514, 'There is no local content for this topic.'),
(6515, 'There is no match for invoice id'),
(6516, 'There is no match for invoice id = '),
(6517, 'There is no parts entry for services ID '),
(6518, 'There is no patient with portal login'),
(6519, 'There was a problem sending the message.'),
(6520, 'There was an error while processing your request.'),
(6521, 'There was an LibreEHR SQL Escaping ERROR of the following string'),
(6522, 'These are the 2012 links'),
(6523, 'Thickened Right:'),
(6524, 'Thigh'),
(6525, 'Thigh + hamstring'),
(6526, 'Things that back office can only read'),
(6527, 'Things that back office can read and enter but not modify'),
(6528, 'Things that back office can read and modify'),
(6529, 'Things that back office can read and partly modify'),
(6530, 'Things that clinicians can only read'),
(6531, 'Things that clinicians can read and enter but not modify'),
(6532, 'Things that clinicians can read and modify'),
(6533, 'Things that clinicians can read and partly modify'),
(6534, 'Things that front office can only read'),
(6535, 'Things that front office can read and enter but not modify'),
(6536, 'Things that front office can read and modify'),
(6537, 'Things that front office can read and partly modify'),
(6538, 'Things that physicians can only read'),
(6539, 'Things that physicians can read and enter but not modify'),
(6540, 'Things that physicians can read and modify'),
(6541, 'Things that physicians can read and partly modify'),
(6542, 'Third'),
(6543, 'Third account message'),
(6544, 'This action CANNOT be undone.'),
(6545, 'This action cannot be undone.'),
(6546, 'This action cannot be undone. Are you sure you wish to delete this form?'),
(6547, 'This action will be logged'),
(6548, 'This appointment slot is already used, please choose another.'),
(6549, 'This appointment slot is already used, use it anyway?'),
(6550, 'This appointment slot is not available, please choose another.'),
(6551, 'This Calendar Year'),
(6552, 'This claim has been canceled.'),
(6553, 'This claim has been closed.'),
(6554, 'This claim has been denied.Reason:-'),
(6555, 'This claim has been forwarded to next level.'),
(6556, 'This code type does not accept relations.'),
(6557, 'This context contains categories, which will be deleted. Do you still want to continue?'),
(6558, 'This determines how appointments display on the calendar.'),
(6559, 'This determines which color schema used for appointment'),
(6560, 'This Enables provider in line item in the fee sheet'),
(6561, 'This Encounter'),
(6562, 'This encounter has been billed. If you need to change it, it must be re-opened.'),
(6563, 'This encounter is locked. No new forms can be added.'),
(6564, 'This feature is not yet available'),
(6565, 'This feature is very experimental and not fully tested. Use at your own risk!'),
(6566, 'This invoice number has been changed to '),
(6567, 'This is a child of result'),
(6568, 'This is the Beginning date for the Ledger Report.'),
(6569, 'This is the chart that is to be merged into the main chart and then deleted.'),
(6570, 'This is the latest of multiple result values.'),
(6571, 'This is the main chart that is to receive the merged data.'),
(6572, 'this location'),
(6573, 'This message text is not saved automatically. Copy and save it as appropriate for the content.'),
(6574, 'This module is being used by '),
(6575, 'This module is in test mode. The database will not be changed.'),
(6576, 'This module promotes efficient entry of EOB data.'),
(6577, 'This Month to Date'),
(6578, 'This order was already transmitted on'),
(6579, 'This page allows you to review each of the supported external dataloads that you can install and upgrade. Each section below can be expanded by clicking on the section header to review the status of the particular database of interest.'),
(6580, 'This page deactivated for security reasons.'),
(6581, 'This page will inline include the login page, so that we do not have to click relogin every time.'),
(6582, 'This patient has no activity.'),
(6583, 'This patient ID is already in use!'),
(6584, 'This product allows only one lot per warehouse.'),
(6585, 'This protocol is not implemented'),
(6586, 'This report currently only works for ICD9 codes.'),
(6587, 'This sets the Default Calendar View, Default is Day.'),
(6588, 'This specifies the Printing of the Custom End of Day Report grouped Provider or allow the Printing of Totals Only'),
(6589, 'This specifies whether to include date in Box 31.'),
(6590, 'This specifies which revision of the form the billing module should generate'),
(6591, 'This step will generate a file which you have to save for future use. The file cannot be generated again. Do you want to proceed?'),
(6592, 'This user is not a member of any group'),
(6593, 'This user will receive notification of new incoming Direct messages'),
(6594, 'This utility is experimental.  Back up your database and documents before using it!'),
(6595, 'This visit begins new contraceptive use'),
(6596, 'This visit will need a GCAC form, referral or procedure service.'),
(6597, 'This was the older metric-only Vitals form, now deprecated.'),
(6598, 'This Week to Date'),
(6599, 'This will abandon your unsaved changes. Are you sure?'),
(6600, 'This will activate the CCR(Continuity of Care Record) and CCD(Continuity of Care Document) reporting.'),
(6601, 'This will allow printing of the Patient Billing Note on the statements.'),
(6602, 'This will allow selection of the debugging (\'dummy\') language.'),
(6603, 'This will allow the use of the custom End of Day report and indicate which report to use.'),
(6604, 'This will allow use of the custom Dunning Messages on the statements.'),
(6605, 'This will be a \"dry run\" with no physical data updates.'),
(6606, 'This will create a backup in tar format and then send it to your web browser so you can save it'),
(6607, 'This will deactivate document the encryption and decryption features, and hide them in the UI.'),
(6608, 'This will disable the Edit button on all forms whose parent encounter is e-signed'),
(6609, 'This will disable the Edit button on any form that is e-signed'),
(6610, 'This will Display the Invoice Number in the Sales Report or the Patient Name and ID or Patient Name and Invoice Number.'),
(6611, 'This will enable signing an entire encounter, rather than individual forms'),
(6612, 'This will enable signing individual forms separately'),
(6613, 'This will force the Billing Widget in the Patient Summary screen to always be open.'),
(6614, 'This will give the user the option to lock (separate locking and signing)'),
(6615, 'This will hide empty e-sign logs on the patient report'),
(6616, 'This will merge two patient charts into one.  It is useful when a patient has been duplicated by mistake.  If that happens often, fix your office procedures - do not run this routinely!'),
(6617, 'This will not prevent you from going to the e-Prescriptions site.'),
(6618, 'This Will Print the Next Appointment on the Bottom of the Patient Ledger'),
(6619, 'This will use the custom immunizations list rather than the standard CVX immunization list.'),
(6620, 'This will use the custom Statment showing the description instead of the codes.'),
(6621, 'Thoracic physician'),
(6622, 'Thoracic spine'),
(6623, 'Thous/CU.MM'),
(6624, 'Three Months Ago'),
(6625, 'Throat'),
(6626, 'Throat Cancer'),
(6627, 'Throat Cancer Surgery'),
(6628, 'Thrombosis/Stroke'),
(6629, 'Thu'),
(6630, 'Thurdsay'),
(6631, 'Thursday'),
(6632, 'Thyroid normal'),
(6633, 'Thyroid Problems'),
(6634, 'TIA'),
(6635, 'Tibetan Standard, Tibetan, Central'),
(6636, 'TID'),
(6637, 'Tigrinya'),
(6638, 'Time'),
(6639, 'Time Display Format'),
(6640, 'Time Increment for Add (minutes 1-60)'),
(6641, 'Time selection'),
(6642, 'Time slot is open, saving event'),
(6643, 'Time-To-Live for Allergies SOAP Request in seconds'),
(6644, 'Time-To-Live for Medications SOAP Request in seconds'),
(6645, 'Time-To-Live for NewCrop eRx Allergies SOAP Request in seconds.'),
(6646, 'Time-To-Live for NewCrop eRx Medications SOAP Request in seconds.'),
(6647, 'Timed event'),
(6648, 'Times array (N/A)'),
(6649, 'Timestamp and Text'),
(6650, 'TIN'),
(6651, 'Tinnitus'),
(6652, 'Title'),
(6653, 'Title V'),
(6654, 'TitleCols must be a number between 1 and 999'),
(6655, 'Titles'),
(6656, 'TM\'S:'),
(6657, 'TMs/EAMs/EE, ext nose'),
(6658, 'To'),
(6659, 'TO'),
(6660, 'to'),
(6661, 'to absolute path of file'),
(6662, 'To add notes, please click '),
(6663, 'To add notes, please click here'),
(6664, 'To Affected Area'),
(6665, 'to affected area'),
(6666, 'To automatically open the specified form. Some sports teams use football_injury_audit here.'),
(6667, 'To Billing View'),
(6668, 'to category'),
(6669, 'To Clinical View'),
(6670, 'To copay'),
(6671, 'To date must be later than From date!'),
(6672, 'To ded\'ble'),
(6673, 'To Dems'),
(6674, 'To Disable client side SSL certificates, comment above lines in Apache configuration file and set'),
(6675, 'To Disable HTTPS, comment the above lines in Apache configuration file and restart Apache server.'),
(6676, 'To enable Client side ssl certificates'),
(6677, 'To Enable Client side SSL certificates authentication, HTTPS should be enabled.'),
(6678, 'To Enable only HTTPS, perform the above changes and restart Apache server. If you want to configure client side certificates also, please configure them in the next section.'),
(6679, 'To Enctr'),
(6680, 'To filter by sex'),
(6681, 'To History'),
(6682, 'To Issues'),
(6683, 'To link this encounter/consult to an existing issue, click the '),
(6684, 'To link this encounter/consult to an existing issue, click the desired issue above to highlight it and then click [Save]. Hold down [Ctrl] button to select multiple issues.'),
(6685, 'to login again'),
(6686, 'To record disclosures, please click'),
(6687, 'to run'),
(6688, 'To setup https access with client certificate authentication, do the following'),
(6689, 'To Skin'),
(6690, 'to skin'),
(6691, 'to this visit?'),
(6692, 'To upload CCR document of already existing patient use Patient Summary Screen->Documents. For CCR document of a new patient use Miscellanous->New Documents screen'),
(6693, 'To:'),
(6694, 'To: '),
(6695, 'TO_CITY'),
(6696, 'TO_FAX'),
(6697, 'TO_FNAME'),
(6698, 'TO_LNAME'),
(6699, 'TO_MNAME'),
(6700, 'TO_ORGANIZATION'),
(6701, 'TO_PHONE'),
(6702, 'TO_PHONECELL'),
(6703, 'TO_POSTAL'),
(6704, 'TO_STATE'),
(6705, 'TO_STREET'),
(6706, 'TO_TITLE'),
(6707, 'TO_VALEDICTORY'),
(6708, 'Tobacco'),
(6709, 'Tobacco Cessation Intervention'),
(6710, 'Tobacco Cessation Intervention (CQM)'),
(6711, 'Tobacco Use'),
(6712, 'Tobacco use'),
(6713, 'Tobacco Use Assessment'),
(6714, 'Tobacco Use Assessment (CQM)'),
(6715, 'Today'),
(6716, 'TODAY'),
(6717, 'today'),
(6718, 'Today\'s Balance'),
(6719, 'Today\'s Charges'),
(6720, 'Today\'s Date'),
(6721, 'Today\'s Events'),
(6722, 'Toggle All'),
(6723, 'Token ID for the Medical Information Integration, LLC Lab Exchange Service.'),
(6724, 'Token ID for the LibreEHR Support LLC Lab Exchange Service.'),
(6725, 'Tonga (Tonga Islands)'),
(6726, 'Tonsillectomy'),
(6727, 'tonsillectomy'),
(6728, 'Top'),
(6729, 'Top Margin (mm)'),
(6730, 'Topic'),
(6731, 'Total'),
(6732, 'total'),
(6733, 'Total active actions'),
(6734, 'Total active reminders after update'),
(6735, 'Total active reminders before update'),
(6736, 'Total Adj'),
(6737, 'Total amount due'),
(6738, 'Total Amount Paid'),
(6739, 'Total Balance Due'),
(6740, 'Total Charge'),
(6741, 'Total Charges'),
(6742, 'Total Clients'),
(6743, 'Total Cost'),
(6744, 'Total Distribution for following check number is not full'),
(6745, 'total entries'),
(6746, 'Total failed reminders sent via email'),
(6747, 'Total failed reminders sent via phone'),
(6748, 'Total for'),
(6749, 'Total for '),
(6750, 'Total for category'),
(6751, 'Total inactivated reminders'),
(6752, 'Total new reminders'),
(6753, 'Total number of appointments'),
(6754, 'Total number of Drug Screen entries'),
(6755, 'Total Number of Immunizations'),
(6756, 'Total Number of Issues'),
(6757, 'Total number of Patient Flow Board entries'),
(6758, 'Total Number of Patients'),
(6759, 'Total Pages'),
(6760, 'Total Patient Balance'),
(6761, 'Total Patients'),
(6762, 'Total Payments'),
(6763, 'Total Records'),
(6764, 'Total Records Found'),
(6765, 'Total SRH & Family Planning'),
(6766, 'Total successful reminders sent via email'),
(6767, 'Total successful reminders sent via phone'),
(6768, 'Total Time'),
(6769, 'Total Transfers'),
(6770, 'Total unchanged reminders'),
(6771, 'Total unsent reminders after sending process'),
(6772, 'Total unsent reminders after update'),
(6773, 'Total unsent reminders before sending process'),
(6774, 'Total unsent reminders before update'),
(6775, 'Total updated reminders'),
(6776, 'Totals'),
(6777, 'Totals for'),
(6778, 'Totals for '),
(6779, 'Totals Only'),
(6780, 'to{{range}}'),
(6781, 'To{{range}}'),
(6782, 'Track'),
(6783, 'Track Report'),
(6784, 'Tracks'),
(6785, 'Training Type'),
(6786, 'Transact'),
(6787, 'Transaction'),
(6788, 'transaction'),
(6789, 'Transaction failed, insufficient quantity in destination lot'),
(6790, 'Transaction failed, quantity is less than zero'),
(6791, 'Transaction Type'),
(6792, 'transactions'),
(6793, 'Transactions'),
(6794, 'Transactions (write optional)'),
(6795, 'Transactions/Referrals'),
(6796, 'Transdermal'),
(6797, 'Transfer'),
(6798, 'Transfer date'),
(6799, 'Transfer failed, insufficient quantity in source lot'),
(6800, 'Transfer Summary'),
(6801, 'Transfer to'),
(6802, 'Transferred By'),
(6803, 'Transferred Date'),
(6804, 'Transfers'),
(6805, 'Transition Of Care'),
(6806, 'Transition/Transfer of Care?'),
(6807, 'Translate Access Control Groups'),
(6808, 'Translate Appointment Categories'),
(6809, 'Translate Document Categories'),
(6810, 'Translate Layouts'),
(6811, 'Translate Lists'),
(6812, 'Translate Patient Note Titles'),
(6813, 'translate this'),
(6814, 'Translation'),
(6815, 'Translations'),
(6816, 'Transmit'),
(6817, 'Transmit failed'),
(6818, 'Transmit Selected Orders'),
(6819, 'Trauma'),
(6820, 'Treatment'),
(6821, 'Treatment Completion Status'),
(6822, 'Treatment Goals'),
(6823, 'Treatment Plan'),
(6824, 'Treatment Planning'),
(6825, 'Treatment Received'),
(6826, 'Treatment:'),
(6827, 'Treatment: '),
(6828, 'Trend'),
(6829, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) );             $month_value'),
(6830, 'Trigger point / compartment syndrome / DOMS / cramp'),
(6831, 'Trimalleolar'),
(6832, 'Trunk and abdomen'),
(6833, 'Trusted Direct Email Address'),
(6834, 'Trusted Email'),
(6835, 'Trying to create user with existing username!'),
(6836, 'Tsonga'),
(6837, 'tsp'),
(6838, 'Tswana'),
(6839, 'TTS'),
(6840, 'Tuberculosis'),
(6841, 'Tue'),
(6842, 'Tues &amp; Thur'),
(6843, 'Tuesday'),
(6844, 'Tumour'),
(6845, 'Turkish'),
(6846, 'Turkmen'),
(6847, 'Twi'),
(6848, 'twice daily'),
(6849, 'Two Years Ago'),
(6850, 'Tympanic Membrane'),
(6851, 'Type'),
(6852, 'Type Id or Name.3 characters minimum (including spaces).'),
(6853, 'Type of columns displayed for patient search results'),
(6854, 'Type of Disclosure'),
(6855, 'Type of Events'),
(6856, 'Type of screen layout'),
(6857, 'Type or scan the patient identifier here'),
(6858, 'Type Your message here'),
(6859, 'Types of Orders and Results'),
(6860, 'T{{Thursday}}'),
(6861, 'T{{Tuesday}}'),
(6862, 'UAC Appl'),
(6863, 'UAC Tot'),
(6864, 'UCSMC codes provided by the University of Calgary Sports Medicine Centre'),
(6865, 'Ukrainian'),
(6866, 'Ulcerations'),
(6867, 'Ulcerative Colitis'),
(6868, 'Ulcers:'),
(6869, 'Unable to access directory'),
(6870, 'Unable to access URL'),
(6871, 'Unable to create'),
(6872, 'Unable to create patient document subdirectory'),
(6873, 'Unable to locate the data in this file.'),
(6874, 'Unable to match this payment in ar_activity'),
(6875, 'Unable to modify application config Please give write permission to'),
(6876, 'Unapplied'),
(6877, 'Unassigned'),
(6878, 'Unauthorized'),
(6879, 'Unauthorized access to ePrescription'),
(6880, 'Unauthorized access.'),
(6881, 'Unbilled'),
(6882, 'Unbilled Only'),
(6883, 'Uncle'),
(6884, 'under tongue'),
(6885, 'Underweight'),
(6886, 'Undiagnosed'),
(6887, 'UNDISTRIBUTED'),
(6888, 'Undistributed'),
(6889, 'Undistributed is'),
(6890, 'Undo Checkout'),
(6891, 'Unexpected non-match, creating new patient for segment'),
(6892, 'Unique Clients'),
(6893, 'Unique human-readable identifier for this type'),
(6894, 'Unique New Clients'),
(6895, 'Unique numeric identifier for this type'),
(6896, 'Unique Seen Patients'),
(6897, 'Unique Seen Patients Report'),
(6898, 'Unique SP'),
(6899, 'Unit'),
(6900, 'Units'),
(6901, 'units'),
(6902, 'Units applicable to the result value'),
(6903, 'Units for Visit Forms'),
(6904, 'Units must be a number'),
(6905, 'Units not defined'),
(6906, 'Units/L'),
(6907, 'Unknown'),
(6908, 'unknown (see log)'),
(6909, 'Unknown Error'),
(6910, 'Unknown if ever smoked'),
(6911, 'Unknown or N/A'),
(6912, 'Unknown user id:'),
(6913, 'unlink patient'),
(6914, 'Unnamed insurance company'),
(6915, 'Unregistered'),
(6916, 'Unregistered Modules'),
(6917, 'Unrelated Friend'),
(6918, 'Unselect All'),
(6919, 'Unselected'),
(6920, 'Unspecified'),
(6921, 'unstructured'),
(6922, 'UNSUPPORTED database load file'),
(6923, 'Unsupported MDM OBX result type'),
(6924, 'until'),
(6925, 'Untimely filing'),
(6926, 'Unused'),
(6927, 'UOR'),
(6928, 'Up to'),
(6929, 'Upcoming Appointments'),
(6930, 'Upcoming Events'),
(6931, 'Update'),
(6932, 'update'),
(6933, 'Update Active'),
(6934, 'Update files'),
(6935, 'Update Info'),
(6936, 'Update List'),
(6937, 'Update Provider Number'),
(6938, 'Update Selected Items'),
(6939, 'Update the following variables in file'),
(6940, 'Update User Information'),
(6941, 'Updated By'),
(6942, 'Updating demographics is not authorized.'),
(6943, 'Updating global configuration defaults'),
(6944, 'Updating version indicators'),
(6945, 'UPGRADE'),
(6946, 'Upgrade'),
(6947, 'Upgrade Database'),
(6948, 'Upgrades the LibreEHR database to include Procedures, Functions and tables needed for De-identification process'),
(6949, 'Upgrading will continue'),
(6950, 'UPIN'),
(6951, 'Upload'),
(6952, 'Upload a Template'),
(6953, 'Upload and Install'),
(6954, 'Upload configuration data'),
(6955, 'Upload Document'),
(6956, 'Upload failed!'),
(6957, 'Upload Image to'),
(6958, 'Upload import file:'),
(6959, 'Upload Patient Education PDF to'),
(6960, 'Upload processed successfully'),
(6961, 'Upload Report'),
(6962, 'Upload the xml file under the category CCR'),
(6963, 'Upload this file:'),
(6964, 'Upon clicking an invoice number the \"manual posting window\" appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected paymants have been received.  Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.'),
(6965, 'Upon searching you are presented with a list of invoices.  You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting.  You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.'),
(6966, 'Upper arm'),
(6967, 'Urdu'),
(6968, 'Urgency'),
(6969, 'Urgent Care'),
(6970, 'Urine'),
(6971, 'Urine Dribbling'),
(6972, 'Urine Frequency'),
(6973, 'Urine Hesitancy'),
(6974, 'Urine Microalbumin'),
(6975, 'Urine Stream'),
(6976, 'Urine Urgency'),
(6977, 'URL'),
(6978, 'URL for NewCrop eRx Site Address.'),
(6979, 'URL for LibreEHR support.'),
(6980, 'URL for Phone Gateway.'),
(6981, 'URL for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.'),
(6982, 'URL for the WordPress site that supports the portal'),
(6983, 'URLs for NewCrop eRx Service Address, separated by a semi-colon.'),
(6984, 'USA'),
(6985, 'Usage'),
(6986, 'Usage Indicator (ISA15)'),
(6987, 'Use % alone in a field to just sort on that column'),
(6988, 'Use 24 hour time format?'),
(6989, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate(New).'),
(6990, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate.'),
(6991, 'Use Charges Panel'),
(6992, 'Use CPOE for medication orders directly entered by any licensed healthcare professional who can enter orders into the medical record per state, local and professional guidelines.'),
(6993, 'Use CPOE for procedure orders.'),
(6994, 'Use CPOE for radiology orders.'),
(6995, 'Use Custom Dunning Messages'),
(6996, 'Use Custom End of Day Report'),
(6997, 'Use Custom Immunization List'),
(6998, 'Use Custom Statement'),
(6999, 'Use Date Range'),
(7000, 'Use Defaults'),
(7001, 'Use Delete Option to Remove.'),
(7002, 'Use international date style?'),
(7003, 'Use source filename'),
(7004, 'Use the fields below for a purchase or transfer.'),
(7005, 'Use this feature only with newly installed sites, '),
(7006, 'Use topics?'),
(7007, 'User'),
(7008, 'User '),
(7009, 'User / Groups'),
(7010, 'User Administration'),
(7011, 'User and Facility Administration'),
(7012, 'User and Group Administration'),
(7013, 'User Cannot be Deleted'),
(7014, 'User Certificate Authentication is disabled'),
(7015, 'User Defined'),
(7016, 'User Defined Area 11'),
(7017, 'User Defined Area 12'),
(7018, 'User Defined Field'),
(7019, 'User Defined List 1'),
(7020, 'User Defined List 2'),
(7021, 'User Defined List 3'),
(7022, 'User Defined List 4'),
(7023, 'User Defined List 5'),
(7024, 'User Defined List 6'),
(7025, 'User Defined List 7'),
(7026, 'User Defined Text 1'),
(7027, 'User Defined Text 2'),
(7028, 'User Defined Text 3'),
(7029, 'User Defined Text 4'),
(7030, 'User Defined Text 5'),
(7031, 'User Defined Text 6'),
(7032, 'User Defined Text 7'),
(7033, 'User Defined Text 8'),
(7034, 'User First name'),
(7035, 'User ID'),
(7036, 'User is required to have this access control for Active Alerts and Passive Alerts'),
(7037, 'User Logon (If 03 above, else leave spaces) (ISA02)'),
(7038, 'User logon Required Indicator (ISA01~ use 00 or 03)'),
(7039, 'User Manual'),
(7040, 'User Memberships'),
(7041, 'User Name'),
(7042, 'User name or Host name cannot be empty'),
(7043, 'User or Host name'),
(7044, 'User Password (ISA04~ if 01 above, else leave spaces)'),
(7045, 'User password required Indicator (ISA03~ use 00 or 01)'),
(7046, 'User Settings'),
(7047, 'User Specific Setting'),
(7048, 'User\'s New Password'),
(7049, 'Username'),
(7050, 'Username for Phone Gateway.'),
(7051, 'Username for Phone Gateway. Automated VOIP service provided by Maviq. Please visit http://signup.maviq.com for more information.'),
(7052, 'Username for SMS Gateway'),
(7053, 'Username for SMS Gateway.'),
(7054, 'Username to connect to CouchDB'),
(7055, 'Username:'),
(7056, 'Users'),
(7057, 'Users/Groups/Logs Administration'),
(7058, 'uses php <a href=\"http://php.net/strftime\">strftime</a> format'),
(7059, 'UTIs'),
(7060, 'Uyghur, Uighur'),
(7061, 'Uzbek'),
(7062, 'VACATION'),
(7063, 'Vacation'),
(7064, 'Vaccine'),
(7065, 'Vaginal Ring'),
(7066, 'Valedictory'),
(7067, 'validate'),
(7068, 'Value'),
(7069, 'Value 1'),
(7070, 'Value 2'),
(7071, 'Value if comparing'),
(7072, 'Value Should be Numeric'),
(7073, 'Var1'),
(7074, 'Var2'),
(7075, 'variable to one to run de-identification upgrade script'),
(7076, 'Varicella 1'),
(7077, 'Varicella 2'),
(7078, 'Varicose Veins'),
(7079, 'Vascular condition'),
(7080, 'Vascular injury'),
(7081, 'Vascular Surgery'),
(7082, 'Venda'),
(7083, 'Vendor'),
(7084, 'Version'),
(7085, 'Vertigo'),
(7086, 'Veteran`s Administration'),
(7087, 'Veterans Administration Plan'),
(7088, 'VFC'),
(7089, 'Vietnamese'),
(7090, 'view'),
(7091, 'View'),
(7092, 'View Allergies'),
(7093, 'View an x12-835 ERA file'),
(7094, 'View Batch Claim x12 text'),
(7095, 'View Blank Referral Form'),
(7096, 'View CCDA'),
(7097, 'View Comprehensive Patient Report'),
(7098, 'View CSV tables'),
(7099, 'View details'),
(7100, 'View document'),
(7101, 'View encounter'),
(7102, 'View ERA x12 text'),
(7103, 'View events in a popup window?'),
(7104, 'View Facility Specific User Information'),
(7105, 'View Four Panel'),
(7106, 'View local x12 file'),
(7107, 'View Log'),
(7108, 'View Page 1'),
(7109, 'View Page 2'),
(7110, 'View Past and Future Reminders'),
(7111, 'View Patient'),
(7112, 'View Plan Rules'),
(7113, 'View Printable'),
(7114, 'View Printable Report'),
(7115, 'View Printable Version'),
(7116, 'View related encounters'),
(7117, 'View Report'),
(7118, 'View the README file'),
(7119, 'View, Download, Transmit (VDT)  (Measure B)'),
(7120, 'View, Download, Transmit (VDT) (Measure A)'),
(7121, 'View/Edit Allergies'),
(7122, 'View/edit issue'),
(7123, 'View/Print'),
(7124, 'View:'),
(7125, 'VISA'),
(7126, 'VISA/MC/AMEX/Dis'),
(7127, 'Visceral damage/trauma/surgery'),
(7128, 'VisForm'),
(7129, 'Visit'),
(7130, 'Visit Attributes'),
(7131, 'Visit Categories'),
(7132, 'Visit Category'),
(7133, 'Visit Category:'),
(7134, 'Visit Date'),
(7135, 'Visit date'),
(7136, 'Visit Form Attributes'),
(7137, 'Visit Forms'),
(7138, 'Visit History'),
(7139, 'Visit Type'),
(7140, 'Visits'),
(7141, 'Visits From'),
(7142, 'Vital Signs'),
(7143, 'Vitals'),
(7144, 'Vitals (Metric)'),
(7145, 'Vitals Form Options'),
(7146, 'Voice'),
(7147, 'Voice Sent'),
(7148, 'Volapük'),
(7149, 'Vomiting'),
(7150, 'Voucher Number'),
(7151, 'W'),
(7152, 'Waist Circ'),
(7153, 'Waist Circumference'),
(7154, 'Waiting'),
(7155, 'Walk-In'),
(7156, 'Walloon'),
(7157, 'Walt Pennington'),
(7158, 'Warehouse'),
(7159, 'Warehouse maximum, 0 if not applicable'),
(7160, 'Warehouse minimum, 0 if not applicable'),
(7161, 'Warehouses'),
(7162, 'Warm'),
(7163, 'Warning'),
(7164, 'WARNING'),
(7165, 'WARNING - FOLLOWING ACTIVE MEDICATIONS ARE ALLERGIES'),
(7166, 'Warning, Check Number already exist in the database'),
(7167, 'Warning, patient has ambiguous codes in the problems list!'),
(7168, 'Warning: A visit was already created for this patient today!'),
(7169, 'WARNING: If you are using the 2012-10-31 Spanish version, then note you need to unzip it once before placing it in the contrib/snomed (this is because the released file was \"double-zipped\").'),
(7170, 'Warning: Patient ID is not unique!'),
(7171, 'WARNING: This will overwrite configuration information with data from the uploaded file!'),
(7172, 'WARNINGS'),
(7173, 'Warnings'),
(7174, 'WARNINGS and Alerts/Reminders'),
(7175, 'was already uploaded'),
(7176, 'was not found'),
(7177, 'We appreciate prompt payment of balances due'),
(7178, 'we have seen your above patient for evaluation and treatment at our outpatient psychiatry clinic. Thank you for this referral.'),
(7179, 'Weakness'),
(7180, 'Web Reference'),
(7181, 'Web Search'),
(7182, 'Website'),
(7183, 'Website link for the Onsite Patient Portal.'),
(7184, 'Wed'),
(7185, 'Wednesday'),
(7186, 'Week'),
(7187, 'week'),
(7188, 'Week View'),
(7189, 'Week(s)'),
(7190, 'Weekly Exposures'),
(7191, 'weeks'),
(7192, 'Weeks'),
(7193, 'Weight'),
(7194, 'Weight Assessment and Counseling for Children and Adolescents'),
(7195, 'Weight Assessment and Counseling for Children and Adolescents (CQM)'),
(7196, 'Weight Change'),
(7197, 'Weight Loss'),
(7198, 'Weight loss clinic'),
(7199, 'Welcome'),
(7200, 'Welsh'),
(7201, 'Western Frisian'),
(7202, 'What is to be counted?'),
(7203, 'Wheezes:'),
(7204, 'Wheezing'),
(7205, 'Wheezing:'),
(7206, 'When Checked, Demographics Will Open in New Window from Patient Flow Board.'),
(7207, 'When done, click Submit (below) to apply your choices.'),
(7208, 'Where may related scanned or paper documents be found?'),
(7209, 'Whether Insured'),
(7210, 'Which notes are to be displayed in the Billing Screen'),
(7211, 'Whiplash'),
(7212, 'White'),
(7213, 'Who'),
(7214, 'Who replied?'),
(7215, 'Widowed'),
(7216, 'Width'),
(7217, 'Width in pixels of the left navigation frame.'),
(7218, 'will be hidden if'),
(7219, 'With checked items plot'),
(7220, 'with preferred language'),
(7221, 'With selected:'),
(7222, 'with the old name'),
(7223, 'with value'),
(7224, 'With whom may we leave a message?'),
(7225, 'Withheld'),
(7226, 'within hours'),
(7227, 'within hours:'),
(7228, 'within minutes'),
(7229, 'within minutes:'),
(7230, 'Without Facility'),
(7231, 'Without Provider'),
(7232, 'Without Update'),
(7233, 'Witness'),
(7234, 'wk'),
(7235, 'WNL'),
(7236, 'Wolof'),
(7237, 'Women'),
(7238, 'Women Only'),
(7239, 'WordPress Portal'),
(7240, 'Work'),
(7241, 'WORK NOTE'),
(7242, 'Work Phone'),
(7243, 'Work Phone Number'),
(7244, 'Work related?'),
(7245, 'Work/ Education/ Hobbies'),
(7246, 'Work/School Note'),
(7247, 'workday'),
(7248, 'Worker`s Compensation'),
(7249, 'Workers Compensation Health Plan'),
(7250, 'Working Aged Beneficiary or Spouse with Employer Group Health Plan'),
(7251, 'Working... this may take a minute.'),
(7252, 'Worse'),
(7253, 'Would you like the balance amount to apply to Global Account?'),
(7254, 'Would You Like them to be Marked as Cleared.'),
(7255, 'Would you like to Allocate?'),
(7256, 'Would you like to Cancel Distribution for this Patient?'),
(7257, 'Would you like to Delete Payment Distribution?'),
(7258, 'Would you like to Delete Payments?'),
(7259, 'Would you like to Modify and Finish Payments?'),
(7260, 'Would you like to Modify Payments?'),
(7261, 'Would you like to Post and Finish Payments?'),
(7262, 'Would you like to Post Payments?'),
(7263, 'Would you like to save?'),
(7264, 'Wrist'),
(7265, 'Wrist and hand'),
(7266, 'Wrist Problems'),
(7267, 'write'),
(7268, 'write off'),
(7269, 'Write Once'),
(7270, 'wsome'),
(7271, 'WT'),
(7272, 'W{{Wednesday}}'),
(7273, 'x Canceled'),
(7274, 'x Cancelled'),
(7275, 'X-ray'),
(7276, 'X-RAY Interpretation:'),
(7277, 'X-Ray Interpretation:'),
(7278, 'X12 only: Replacement Claim '),
(7279, 'X12 Partner'),
(7280, 'X12 Partners'),
(7281, 'x12 Text'),
(7282, 'Xhosa'),
(7283, 'XML'),
(7284, 'Y'),
(7285, 'Year'),
(7286, 'year'),
(7287, 'Year View'),
(7288, 'Year(s)'),
(7289, 'Years'),
(7290, 'Years or months'),
(7291, 'Years, months and days'),
(7292, 'YES'),
(7293, 'Yes'),
(7294, 'yes'),
(7295, 'YES!'),
(7296, 'Yes, Delete and Log'),
(7297, 'Yes, Delete this form'),
(7298, 'Yes/No'),
(7299, 'Yes:'),
(7300, 'Yiddish'),
(7301, 'Yoruba'),
(7302, 'You are about to delete the following form from this encounter'),
(7303, 'You are about to permanently replace the existing template. Are you sure you wish to continue?'),
(7304, 'You are in Grace Login period. Change your password before'),
(7305, 'You are not allowed to delete this event'),
(7306, 'You are not allowed to edit this event'),
(7307, 'You are not authorized for this.'),
(7308, 'You are not authorized to access this squad.'),
(7309, 'You are not authorized to add/edit issues'),
(7310, 'You are not authorized to schedule appointments.'),
(7311, 'You are not authorized to see this encounter.'),
(7312, 'You are posting against an old encounter?'),
(7313, 'You can not access this function directly.'),
(7314, 'You cannot access this page directly.'),
(7315, 'You cannot add a blank value for a category!'),
(7316, 'You cannot add a blank value for a subcategory!'),
(7317, 'You cannot add a blank value for an item!'),
(7318, 'You cannot enter a future date with a completed value of YES.'),
(7319, 'You did not choose any actions.'),
(7320, 'You do not have access to view/edit this note'),
(7321, 'You have attempted to alter content which is locked. Remove the lock if you want to do this. To unlock, remove the line, \'/*lock::*/\''),
(7322, 'You have been successfully logged out.'),
(7323, 'You may only upload .txt files'),
(7324, 'You may optionally upload HL7 results from a file'),
(7325, 'You may put text here as the default complaint in the New Patient Encounter form.'),
(7326, 'You must enter a pass phrase to encrypt the document'),
(7327, 'You must enter your own password to change user passwords. Leave blank to keep password unchanged.'),
(7328, 'You must first select an item in the section whose radio button is checked.'),
(7329, 'You must first select or add a patient.'),
(7330, 'You must first select or create an encounter.'),
(7331, 'You must select a visit category'),
(7332, 'You must select a visit category.'),
(7333, 'You must select some fields to continue.'),
(7334, 'You should be running this test if this claim appeared to generate successfully but the actual claim file does not contain any data or only an unfinished portion of the amount of data it is supposed to contain. It is obvious with HCFA claims because they are human readable, with X12 claims it is a more difficult process to determine if the claim is properly complete.'),
(7335, 'You should select at least one context'),
(7336, 'You should select at least one Provider'),
(7337, 'You will be automatically redirected to Demographics. You may make the necessary corrections and navigate to NewCrop again.'),
(7338, 'Your Clinical Report'),
(7339, 'Your end date is invalid'),
(7340, 'Your event has been deleted.'),
(7341, 'Your event has been modified.'),
(7342, 'Your event has been submitted.'),
(7343, 'Your file is too large'),
(7344, 'Your Lab Results'),
(7345, 'Your list name has been changed to meet naming requirements.'),
(7346, 'Your message was submitted for delivery to'),
(7347, 'Your name for this category, procedure or result'),
(7348, 'Your Password'),
(7349, 'Your Password Expired. Please change your password.'),
(7350, 'Your Password Expires on'),
(7351, 'Your Password Expires today. Please change your password.'),
(7352, 'Your password is your signature'),
(7353, 'Your PostCalendar configuration has been reset to use defaults.'),
(7354, 'Your PostCalendar configuration has been updated.'),
(7355, 'Your repeating frequency must be an integer.'),
(7356, 'Your repeating frequency must be at least 1.'),
(7357, 'Your start date is greater than your end date'),
(7358, 'Your start date is invalid'),
(7359, 'Your submission failed.'),
(7360, 'yyyy-mm-dd'),
(7361, 'YYYY-MM-DD'),
(7362, 'yyyy-mm-dd date associated with this document'),
(7363, 'yyyy-mm-dd date destroyed'),
(7364, 'yyyy-mm-dd date of birth'),
(7365, 'yyyy-mm-dd Date of Birth'),
(7366, 'yyyy-mm-dd date of expiration'),
(7367, 'yyyy-mm-dd Date of onset or hospitalization'),
(7368, 'yyyy-mm-dd date of onset, surgery or start of medication'),
(7369, 'yyyy-mm-dd date of purchase or transfer'),
(7370, 'yyyy-mm-dd date of recovery or end of medication'),
(7371, 'yyyy-mm-dd Date of return to play'),
(7372, 'yyyy-mm-dd Date of service'),
(7373, 'yyyy-mm-dd date of this letter'),
(7374, 'yyyy-mm-dd date returned to play'),
(7375, 'yyyy-mm-dd document date'),
(7376, 'yyyy-mm-dd event date or starting date'),
(7377, 'yyyy-mm-dd H:m End Date'),
(7378, 'yyyy-mm-dd H:m End date'),
(7379, 'yyyy-mm-dd H:m Start Date'),
(7380, 'yyyy-mm-dd H:m Start date'),
(7381, 'yyyy-mm-dd hh:mm:ss'),
(7382, 'yyyy-mm-dd Hours(24):minutes'),
(7383, 'yyyy-mm-dd last date of this event'),
(7384, 'yyyy-mm-dd starting date for search'),
(7385, 'ZEF segment internal error'),
(7386, 'Zend Module'),
(7387, 'Zero'),
(7388, 'Zhuang, Chuang'),
(7389, 'Zip'),
(7390, 'Zip Code'),
(7391, 'Zip/Country:'),
(7392, 'Zulu'),
(7393, ' but was '),
(7394, ' could not be accessed.'),
(7395, ' Do you really want to delete'),
(7396, ' Drug'),
(7397, ' emails not sent'),
(7398, ' from'),
(7399, ' has been created. '),
(7400, ' has been re-opened.'),
(7401, ' History'),
(7402, ' is not a number'),
(7403, ' is ready for re-billing.'),
(7404, ' LLL:'),
(7405, ' Lot'),
(7406, ' Medicaid Original Reference No. '),
(7407, ' min'),
(7408, ' not found!'),
(7409, ' Pecularities in many browsers may mean that the output below enters your screen in sudden jerks and that there are long pauses of several seconds where it  appears as though things may have crashed. That is not the case, you will eventually see output coming out line by line. There may be sequential numbers appearing  below, this is to indicate that even though nothing else may be displaying there is activity going on. These numbers will be interspersed with the content of the  billing and that is normal.'),
(7410, ' prescription has reached its limit of'),
(7411, ' until '),
(7412, ' update failed, not in database?'),
(7413, ' was marked as billed only.'),
(7414, ' was queued successfully.'),
(7415, '! Left w/o visit'),
(7416, '\" for code '),
(7417, '\" is CHECKED in PostCalendar Settings!'),
(7418, '# Ins/fin issue'),
(7419, '# of tablets:'),
(7420, '$'),
(7421, '$ Coding done'),
(7422, '$label (yyyy-mm-dd): '),
(7423, '%'),
(7424, '% Canceled < 24h'),
(7425, '% Cancelled <  24h '),
(7426, '\' should exist but does not.'),
(7427, '(% matches any string, _ matches any character)'),
(7428, '([ctrl] + click to select multiple recipients)'),
(7429, '(Back)'),
(7430, '(Click to edit)'),
(7431, '(Email delivery is immediate, while automated VOIP is sent to the service provider for further processing.)'),
(7432, '(More)'),
(7433, '(New Patient)'),
(7434, '(Notes and Authorizations)'),
(7435, '(Patient Notes)'),
(7436, '(Select one of these, or type your own title)'),
(7437, '(Shift-)Click or drag to change value'),
(7438, '* Reminder done'),
(7439, '** Please move surgeries to Issues!'),
(7440, '*Required'),
(7441, '+ Chart pulled'),
(7442, '- None'),
(7443, '-- All --'),
(7444, '--Select Role--'),
(7445, '.'),
(7446, '0'),
(7447, '0-10'),
(7448, '0-24'),
(7449, '02/12{{CMS 1500 format date revision setting in globals}}'),
(7450, '08/05{{CMS 1500 format date revision setting in globals}}'),
(7451, '1'),
(7452, '1 = North America. See http://www.wtng.info/ for a list of other country codes.'),
(7453, '1 Day From Now'),
(7454, '1 Month From Now'),
(7455, '1 Week From Now'),
(7456, '1 Year From Now'),
(7457, '1.Rest 2. Ice for two days 3. Compression, leave the dressing in place unless the foot develops numbness or pale color 4. Elevate the foot and leg'),
(7458, '11-14'),
(7459, '12 hr'),
(7460, '15-19'),
(7461, '1st'),
(7462, '2'),
(7463, '2 Days From Now'),
(7464, '2 Months From Now'),
(7465, '2 Weeks From Now'),
(7466, '2 Years From Now'),
(7467, '2-20 years'),
(7468, '20-24'),
(7469, '2011 Automated Measure Calculations (AMC)'),
(7470, '2011 Clinical Quality Measures (CQM)'),
(7471, '2011 Official Clinical Quality Measures (CQM) Measure Groups'),
(7472, '2014 Automated Measure Calculations (AMC)'),
(7473, '2014 Automated Measure Calculations (AMC) - Stage I'),
(7474, '2014 Automated Measure Calculations (AMC) - Stage II'),
(7475, '2014 Clinical Quality Measures (CQM)'),
(7476, '2014 Official Clinical Quality Measures (CQM) Measure Groups'),
(7477, '2111-13'),
(7478, '24 hr'),
(7479, '25+'),
(7480, '25-29'),
(7481, '2nd'),
(7482, '3 Days From Now'),
(7483, '3 months'),
(7484, '3 Months From Now'),
(7485, '3 times daily'),
(7486, '3 Weeks From Now'),
(7487, '30-34'),
(7488, '35-39'),
(7489, '3rd'),
(7490, '4 Days From Now'),
(7491, '4 months'),
(7492, '4 Months From Now'),
(7493, '4 times daily'),
(7494, '4 Weeks From Now'),
(7495, '40-44'),
(7496, '45+'),
(7497, '465.9, URI'),
(7498, '466.0, Bronchitis, Acute NOS'),
(7499, '486.0, Pneumonia, Acute'),
(7500, '491.21, COPD Exacerbation'),
(7501, '491.8, Bronchitis, Chronic'),
(7502, '493.92, Asthma, Acute Exac.'),
(7503, '496.0, COPD'),
(7504, '4th'),
(7505, '5 Days From Now'),
(7506, '5 Months From Now'),
(7507, '5 Weeks From Now'),
(7508, '519.7, Bronchospasm'),
(7509, '5th'),
(7510, '6 Days From Now'),
(7511, '6 months'),
(7512, '6 Months From Now'),
(7513, '6 Weeks From Now'),
(7514, '6th'),
(7515, '7 Months From Now'),
(7516, '8 Months From Now'),
(7517, '824.0 Fracture, medial malleolus, closed'),
(7518, '824.2 Fracture, lateral malleolus, closed'),
(7519, '824.6 Fracture, Trimalleolar, closed'),
(7520, '825.32 Fracture, of Navicular (ankle)'),
(7521, '825.35 Fracture, Base of fifth (5th) Metatarsal'),
(7522, '845.00 ankle sprain NOS'),
(7523, '845.01 Sprain Medial (Deltoid) Lig.'),
(7524, '845.02 Sprain, Calcaneal fibular'),
(7525, '9 Months From Now'),
(7526, '99212 Established - Uncomplicated'),
(7527, '99213 Established - Low Complexity'),
(7528, '< In exam room'),
(7529, '> Checked out'),
(7530, '?'),
(7531, '? No show'),
(7532, '@ Arrived'),
(7533, '[Change View]'),
(7534, '[Date of Last Encounter]'),
(7535, '[Days Since Last Encounter]'),
(7536, '[EOBs]'),
(7537, '[Export OFX]'),
(7538, '[not recommended]'),
(7539, '[Number Of Encounters]'),
(7540, '[Reports]'),
(7541, '[Select All]'),
(7542, '[SQL-Ledger]'),
(7543, '[Start Batch Processing]'),
(7544, '[View Log]'),
(7545, '[View Printable Report]'),
(7546, '_PC_DUR_HOURS'),
(7547, '_PC_DUR_MINUTES'),
(7548, '_PC_LOCALE'),
(7549, '~ Arrived late');

--


-- 
-- Table structure for table `lang_definitions`
-- 


DROP TABLE IF EXISTS `lang_definitions`;
CREATE TABLE `lang_definitions` (
  `def_id` int(11) NOT NULL auto_increment,
  `cons_id` int(11) NOT NULL default '0',
  `lang_id` int(11) NOT NULL default '0',
  `definition` mediumtext,
  UNIQUE KEY `def_id` (`def_id`),
  KEY `cons_id` (`cons_id`) 
) ENGINE=MyISAM AUTO_INCREMENT=150674 ;


-- 
-- Dumping data for table `lang_definitions`
--

INSERT INTO `lang_definitions` VALUES (1, 1, 2, 'En');
INSERT INTO `lang_definitions` VALUES (2, 2, 2, 'Ett betalningsnr för att identifiera betalningen');
INSERT INTO `lang_definitions` VALUES (3, 3, 2, 'Klientcertifikat för admin användaren');
INSERT INTO `lang_definitions` VALUES (4, 5, 2, 'Ett klinikdokument är bifogat');
INSERT INTO `lang_definitions` VALUES (5, 7, 2, 'En distributör behövs');
INSERT INTO `lang_definitions` VALUES (6, 8, 2, 'Ett GCAC besöksformulär ska läggas till för detta besök');
INSERT INTO `lang_definitions` VALUES (7, 9, 2, 'Ett lot-nr krävs!');
INSERT INTO `lang_definitions` VALUES (8, 10, 2, 'Ett lot-nr krävs!');
INSERT INTO `lang_definitions` VALUES (9, 11, 2, 'En liten bokstav');
INSERT INTO `lang_definitions` VALUES (10, 12, 2, 'Ett tal');
INSERT INTO `lang_definitions` VALUES (11, 14, 2, 'En patient med detta ID finns redan');
INSERT INTO `lang_definitions` VALUES (12, 15, 2, 'En patient med detta namn finns redan');
INSERT INTO `lang_definitions` VALUES (13, 16, 2, 'En patient med detta personnummer ( SS ) finns redan');
INSERT INTO `lang_definitions` VALUES (14, 18, 2, 'Ett positivt nummer kommer visa antalet tidigare bokningar i en ruta på patientöversikten.');
INSERT INTO `lang_definitions` VALUES (15, 19, 2, 'Den remitterande instansen kan framgå vid varje besök');
INSERT INTO `lang_definitions` VALUES (16, 20, 2, 'En relaterad IPPF kod krävs!');
INSERT INTO `lang_definitions` VALUES (17, 21, 2, 'Ett specialtecken');
INSERT INTO `lang_definitions` VALUES (18, 22, 2, 'Ett unikt värde, som ej är synlig för användaren, identifierar detta fält.');
INSERT INTO `lang_definitions` VALUES (19, 24, 2, 'Före måltid');
INSERT INTO `lang_definitions` VALUES (20, 25, 2, 'förmiddag');
INSERT INTO `lang_definitions` VALUES (21, 27, 2, 'AB');
INSERT INTO `lang_definitions` VALUES (22, 28, 2, 'Förkortning');
INSERT INTO `lang_definitions` VALUES (23, 29, 2, 'Abscess');
INSERT INTO `lang_definitions` VALUES (24, 30, 2, 'Abdominell');
INSERT INTO `lang_definitions` VALUES (25, 31, 2, 'kan bära vikt fyra (4) steg:');
INSERT INTO `lang_definitions` VALUES (26, 32, 2, 'Patologisk');
INSERT INTO `lang_definitions` VALUES (27, 33, 2, 'ABN1');
INSERT INTO `lang_definitions` VALUES (28, 34, 2, 'Patologisk');
INSERT INTO `lang_definitions` VALUES (29, 35, 2, 'Patologiskt blodprov');
INSERT INTO `lang_definitions` VALUES (30, 36, 2, 'Avvikande hårväxt');
INSERT INTO `lang_definitions` VALUES (31, 37, 2, 'Patologisk mammografi');
INSERT INTO `lang_definitions` VALUES (32, 39, 2, 'Abort');
INSERT INTO `lang_definitions` VALUES (33, 40, 2, 'Abortrelaterad problematik');
INSERT INTO `lang_definitions` VALUES (34, 41, 2, 'Abortmetod');
INSERT INTO `lang_definitions` VALUES (35, 42, 2, 'Abortrelaterade kategorier');
INSERT INTO `lang_definitions` VALUES (36, 43, 2, 'Aborter');
INSERT INTO `lang_definitions` VALUES (37, 44, 2, 'Om kalendern');
INSERT INTO `lang_definitions` VALUES (38, 46, 2, 'Frånvaro av Diagnos');
INSERT INTO `lang_definitions` VALUES (39, 47, 2, 'Acceptera uppdrag');
INSERT INTO `lang_definitions` VALUES (40, 48, 2, 'acceptera betalning för');
INSERT INTO `lang_definitions` VALUES (41, 49, 2, 'acceptera betalning för ');
INSERT INTO `lang_definitions` VALUES (42, 50, 2, 'Accepterar uppdrag');
INSERT INTO `lang_definitions` VALUES (43, 51, 2, 'Åtkomstkontroll');
INSERT INTO `lang_definitions` VALUES (44, 52, 2, 'Hantera åtkomst');
INSERT INTO `lang_definitions` VALUES (45, 54, 2, 'Åtkomst ej tillåten');
INSERT INTO `lang_definitions` VALUES (46, 55, 2, 'Åtkomst ej tillåten');
INSERT INTO `lang_definitions` VALUES (47, 56, 2, 'Öppna patientöversikten');
INSERT INTO `lang_definitions` VALUES (48, 59, 2, 'Konto namn');
INSERT INTO `lang_definitions` VALUES (49, 62, 2, 'Redovisning');
INSERT INTO `lang_definitions` VALUES (50, 64, 2, 'värker');
INSERT INTO `lang_definitions` VALUES (51, 65, 2, 'Begärt godokännande (ISA14)');
INSERT INTO `lang_definitions` VALUES (52, 66, 2, 'Godkännande, licenser och certifikat');
INSERT INTO `lang_definitions` VALUES (53, 67, 2, 'Användarlista (ACL)');
INSERT INTO `lang_definitions` VALUES (54, 68, 2, 'Administration av användarlista (ACL)');
INSERT INTO `lang_definitions` VALUES (55, 69, 2, 'Ej behörig administrera användarlista (ACL)');
INSERT INTO `lang_definitions` VALUES (56, 71, 2, 'Akne');
INSERT INTO `lang_definitions` VALUES (57, 72, 2, 'Aktuellt');
INSERT INTO `lang_definitions` VALUES (58, 73, 2, 'Aktivitetsdatum');
INSERT INTO `lang_definitions` VALUES (59, 74, 2, 'Åtgärd');
INSERT INTO `lang_definitions` VALUES (60, 75, 2, 'Åtgärder');
INSERT INTO `lang_definitions` VALUES (61, 77, 2, 'Rapportera fortsatt vårdbegäran (CCR/CCD)');
INSERT INTO `lang_definitions` VALUES (62, 78, 2, 'Aktiva');
INSERT INTO `lang_definitions` VALUES (63, 79, 2, 'Aktiv påminnelse');
INSERT INTO `lang_definitions` VALUES (64, 80, 2, 'Regler för aktiv påminnelse');
INSERT INTO `lang_definitions` VALUES (65, 81, 2, 'Aktiva påminnelser');
INSERT INTO `lang_definitions` VALUES (66, 82, 2, 'Aktivt besök');
INSERT INTO `lang_definitions` VALUES (67, 84, 2, 'Aktiva listor');
INSERT INTO `lang_definitions` VALUES (68, 85, 2, 'Aktiv patient');
INSERT INTO `lang_definitions` VALUES (69, 86, 2, 'Aktuella planeringar');
INSERT INTO `lang_definitions` VALUES (70, 87, 2, 'Aktiviteter');
INSERT INTO `lang_definitions` VALUES (71, 88, 2, 'Aktivitetstyp');
INSERT INTO `lang_definitions` VALUES (72, 90, 2, 'Akut förgiftning / Utsättning');
INSERT INTO `lang_definitions` VALUES (73, 92, 2, 'Akut försämring av kronisk');
INSERT INTO `lang_definitions` VALUES (74, 93, 2, 'lägg till');
INSERT INTO `lang_definitions` VALUES (75, 94, 2, 'Lägg till');
INSERT INTO `lang_definitions` VALUES (76, 95, 2, 'Lägg till');
INSERT INTO `lang_definitions` VALUES (77, 96, 2, 'Lägg till ett företag');
INSERT INTO `lang_definitions` VALUES (78, 98, 2, 'Lägg till ett apotek');
INSERT INTO `lang_definitions` VALUES (79, 100, 2, 'lägg till ett händelse för ');
INSERT INTO `lang_definitions` VALUES (80, 101, 2, 'Lägg till som en ny anteckning');
INSERT INTO `lang_definitions` VALUES (81, 102, 2, 'Lägg till som ny');
INSERT INTO `lang_definitions` VALUES (82, 104, 2, 'Lägg till knappar');
INSERT INTO `lang_definitions` VALUES (83, 105, 2, 'Lägg till knappar för specialtecken och texter att visa längst upp i editorn för inkludering i texten med ett klick');
INSERT INTO `lang_definitions` VALUES (84, 106, 2, 'Lägg till en ny Kategori');
INSERT INTO `lang_definitions` VALUES (85, 107, 2, 'Lägg till en ny Konstant');
INSERT INTO `lang_definitions` VALUES (86, 108, 2, 'Lägg till ett sammanhang');
INSERT INTO `lang_definitions` VALUES (87, 109, 2, 'Lägg till en delbetalning');
INSERT INTO `lang_definitions` VALUES (88, 110, 2, 'Lägg till ett nytt kriterium');
INSERT INTO `lang_definitions` VALUES (89, 111, 2, 'Lägg till anpassad knapp');
INSERT INTO `lang_definitions` VALUES (90, 112, 2, 'Lägg till en ny diagnos');
INSERT INTO `lang_definitions` VALUES (91, 113, 2, 'Lägg till ett nytt Läkemedel');
INSERT INTO `lang_definitions` VALUES (92, 114, 2, 'Lägg till ett nytt besök');
INSERT INTO `lang_definitions` VALUES (93, 115, 2, 'Lägg till ett nytt besök/anteckning');
INSERT INTO `lang_definitions` VALUES (94, 116, 2, 'Lägg till en ny klinik');
INSERT INTO `lang_definitions` VALUES (95, 117, 2, 'Lägg till ett nytt fält');
INSERT INTO `lang_definitions` VALUES (96, 118, 2, 'Lägg till följande meningar till Apache konfigurationsfilen');
INSERT INTO `lang_definitions` VALUES (97, 119, 2, 'Lägg till en ny Grupp');
INSERT INTO `lang_definitions` VALUES (98, 120, 2, 'Lägg till en ny diagnos-kod (ICD)');
INSERT INTO `lang_definitions` VALUES (99, 121, 2, 'Lägg till en ny vaccination');
INSERT INTO `lang_definitions` VALUES (100, 122, 2, 'Inte tillåtet att lägga till!');
INSERT INTO `lang_definitions` VALUES (101, 123, 2, 'Lägg till händelse');
INSERT INTO `lang_definitions` VALUES (102, 125, 2, 'Lägg till ett nytt Språk');
INSERT INTO `lang_definitions` VALUES (103, 126, 2, 'Lägg till Ny');
INSERT INTO `lang_definitions` VALUES (104, 127, 2, 'Lägg till Ny');
INSERT INTO `lang_definitions` VALUES (105, 128, 2, 'Lägg till en ny kategori: ');
INSERT INTO `lang_definitions` VALUES (106, 129, 2, 'Lägg till ett nytt certifikat till Apache konfigurationsfil');
INSERT INTO `lang_definitions` VALUES (107, 132, 2, 'Lägg till en ny grupp');
INSERT INTO `lang_definitions` VALUES (108, 134, 2, 'Lägg till en ny lot och överföring');
INSERT INTO `lang_definitions` VALUES (109, 135, 2, 'Lägg till en ny kommentar');
INSERT INTO `lang_definitions` VALUES (110, 136, 2, 'Lägg till en ny kommentar');
INSERT INTO `lang_definitions` VALUES (111, 137, 2, 'Lägg till en ny partner');
INSERT INTO `lang_definitions` VALUES (112, 140, 2, 'Lägg till en ny anteckning');
INSERT INTO `lang_definitions` VALUES (113, 141, 2, 'Lägg till en ny patient');
INSERT INTO `lang_definitions` VALUES (114, 142, 2, 'Lägg till ett nytt recept');
INSERT INTO `lang_definitions` VALUES (115, 143, 2, 'Lägg till åtgärd');
INSERT INTO `lang_definitions` VALUES (116, 144, 2, 'Lägg till Vårdgivares nummer');
INSERT INTO `lang_definitions` VALUES (117, 145, 2, 'Lägg till rehab');
INSERT INTO `lang_definitions` VALUES (118, 146, 2, 'Lägg till en ny regel');
INSERT INTO `lang_definitions` VALUES (119, 147, 2, 'Tillägg till');
INSERT INTO `lang_definitions` VALUES (120, 148, 2, 'Lägg till i medicinlista');
INSERT INTO `lang_definitions` VALUES (121, 149, 2, 'Tillägg av högsta nivå');
INSERT INTO `lang_definitions` VALUES (122, 150, 2, 'Lägg till en ny överföring');
INSERT INTO `lang_definitions` VALUES (123, 151, 2, 'Lägg till en ny användare');
INSERT INTO `lang_definitions` VALUES (124, 152, 2, 'Lägg till användaren i gruppen');
INSERT INTO `lang_definitions` VALUES (125, 153, 2, 'Lägg till/ändra elektroniskt recept');
INSERT INTO `lang_definitions` VALUES (126, 154, 2, 'Lägg till/ändra patientens överföringar');
INSERT INTO `lang_definitions` VALUES (127, 155, 2, 'tillagd');
INSERT INTO `lang_definitions` VALUES (128, 156, 2, 'Ej tillåtet att lägga till personuppgifter.');
INSERT INTO `lang_definitions` VALUES (129, 158, 2, 'Mb Addison');
INSERT INTO `lang_definitions` VALUES (130, 159, 2, 'Mb Addison');
INSERT INTO `lang_definitions` VALUES (131, 160, 2, 'Flera attribut');
INSERT INTO `lang_definitions` VALUES (132, 161, 2, 'Ytterligare Diagnos:');
INSERT INTO `lang_definitions` VALUES (133, 162, 2, 'Kompletterande anamnes');
INSERT INTO `lang_definitions` VALUES (134, 163, 2, 'Kompletterande anamnesuppgifter');
INSERT INTO `lang_definitions` VALUES (135, 164, 2, 'Kompletterande Information');
INSERT INTO `lang_definitions` VALUES (136, 165, 2, 'Kompletterande Lab. svar');
INSERT INTO `lang_definitions` VALUES (137, 166, 2, 'Kompletterande noteringar');
INSERT INTO `lang_definitions` VALUES (138, 167, 2, 'Ytterligare noteringar för detta resultat eller rekomendation');
INSERT INTO `lang_definitions` VALUES (139, 168, 2, 'Ytterligare noteringar:');
INSERT INTO `lang_definitions` VALUES (140, 169, 2, 'Ytterligare noteringar: ');
INSERT INTO `lang_definitions` VALUES (141, 170, 2, 'Ytterligare röntgenanteckningar:');
INSERT INTO `lang_definitions` VALUES (142, 171, 2, 'Som tillägg, motsvarande US Snomed Extension Package can importeras separat efter instalation av den internationella (engelska) Snomed utgåvan');
INSERT INTO `lang_definitions` VALUES (143, 172, 2, 'Lägg endast till');
INSERT INTO `lang_definitions` VALUES (144, 173, 2, 'Adressbok');
INSERT INTO `lang_definitions` VALUES (145, 174, 2, 'Adressbok');
INSERT INTO `lang_definitions` VALUES (146, 175, 2, 'Adress');
INSERT INTO `lang_definitions` VALUES (147, 178, 2, 'Adressbok');
INSERT INTO `lang_definitions` VALUES (148, 179, 2, 'Tillgång till adressboken för företaget som utför denna åtgärd');
INSERT INTO `lang_definitions` VALUES (149, 180, 2, 'Tillgång till adressboken för distributören');
INSERT INTO `lang_definitions` VALUES (150, 181, 2, 'Tillgång till adressboken för försäljare');
INSERT INTO `lang_definitions` VALUES (151, 182, 2, 'Typer av adressböcker');
INSERT INTO `lang_definitions` VALUES (152, 187, 2, 'Adress1');
INSERT INTO `lang_definitions` VALUES (153, 188, 2, 'Adress2');
INSERT INTO `lang_definitions` VALUES (154, 189, 2, 'ADRESSATEN');
INSERT INTO `lang_definitions` VALUES (155, 190, 2, 'Justera');
INSERT INTO `lang_definitions` VALUES (156, 191, 2, 'Korrigera mängd');
INSERT INTO `lang_definitions` VALUES (157, 192, 2, 'Justera');
INSERT INTO `lang_definitions` VALUES (158, 193, 2, 'Korrigering');
INSERT INTO `lang_definitions` VALUES (159, 194, 2, 'Justera mängd');
INSERT INTO `lang_definitions` VALUES (160, 195, 2, 'Orsak till justering');
INSERT INTO `lang_definitions` VALUES (161, 196, 2, 'Justering av värde för kod ');
INSERT INTO `lang_definitions` VALUES (162, 197, 2, 'Justeringar');
INSERT INTO `lang_definitions` VALUES (163, 198, 2, 'Administrera justeringar');
INSERT INTO `lang_definitions` VALUES (164, 199, 2, 'Administrera');
INSERT INTO `lang_definitions` VALUES (165, 200, 2, 'Admin E-postadress');
INSERT INTO `lang_definitions` VALUES (166, 201, 2, 'Administrera via');
INSERT INTO `lang_definitions` VALUES (167, 202, 2, 'Administrerad av');
INSERT INTO `lang_definitions` VALUES (168, 203, 2, 'Administrerad av');
INSERT INTO `lang_definitions` VALUES (169, 205, 2, 'Administrera plats');
INSERT INTO `lang_definitions` VALUES (170, 206, 2, 'Administration');
INSERT INTO `lang_definitions` VALUES (171, 207, 2, 'Administrera plats');
INSERT INTO `lang_definitions` VALUES (172, 208, 2, 'Administratörer');
INSERT INTO `lang_definitions` VALUES (173, 209, 2, 'Administratörer kan göra allt');
INSERT INTO `lang_definitions` VALUES (174, 210, 2, 'Godkänn datum');
INSERT INTO `lang_definitions` VALUES (175, 212, 2, 'Viktkontroller med uppföljning för vuxna');
INSERT INTO `lang_definitions` VALUES (176, 213, 2, 'Viktkontroller med uppföljning för vuxna');
INSERT INTO `lang_definitions` VALUES (177, 214, 2, 'Avancerade råd');
INSERT INTO `lang_definitions` VALUES (178, 215, 2, 'Avancerade råd');
INSERT INTO `lang_definitions` VALUES (179, 216, 2, 'Varning i avancerade råd');
INSERT INTO `lang_definitions` VALUES (180, 218, 2, 'Avancerad');
INSERT INTO `lang_definitions` VALUES (181, 219, 2, 'Råd');
INSERT INTO `lang_definitions` VALUES (182, 221, 2, 'Neutral grundstämning');
INSERT INTO `lang_definitions` VALUES (183, 223, 2, 'Joursamtal');
INSERT INTO `lang_definitions` VALUES (184, 224, 2, 'Efter flytt från det gamla lösenordshanteringen där lösenord sparadesokrypterat i användartabellenska denna flagga markeras så att enbart inloggning med den nya metoden kan användas');
INSERT INTO `lang_definitions` VALUES (185, 225, 2, 'Efter genomförandet av ovannämnda konfigurationer, importera admin. klientens certifikat till webläsaren och starta om Apache server ( tömma lösenord )');
INSERT INTO `lang_definitions` VALUES (186, 226, 2, 'Efter att PDF sparats, klicka på [View Log] för att söka efter fel.');
INSERT INTO `lang_definitions` VALUES (187, 227, 2, 'Efter sparandet av TEXT filer , klicka på [View Log] för att leta efter fel');
INSERT INTO `lang_definitions` VALUES (188, 228, 2, 'Efter sparandet av ditt parti, klicka på [View Log] för att granska för fel.');
INSERT INTO `lang_definitions` VALUES (189, 230, 2, 'När informationen är korrekt införd, klicka på Spara knappen.');
INSERT INTO `lang_definitions` VALUES (190, 232, 2, 'Planering av eftervård');
INSERT INTO `lang_definitions` VALUES (191, 233, 2, 'Igen');
INSERT INTO `lang_definitions` VALUES (192, 234, 2, 'Ålder');
INSERT INTO `lang_definitions` VALUES (193, 235, 2, 'Ålder av');
INSERT INTO `lang_definitions` VALUES (194, 236, 2, 'Ålderskategori');
INSERT INTO `lang_definitions` VALUES (195, 237, 2, 'Denna Åder är utanför befintlig intervall');
INSERT INTO `lang_definitions` VALUES (196, 238, 2, 'Format för att visa ålder');
INSERT INTO `lang_definitions` VALUES (197, 239, 2, 'Detta format för \"ålder från\" är inte tillåtet');
INSERT INTO `lang_definitions` VALUES (198, 240, 2, 'Detta format för \"ålder upp till\" är inte tillåtet');
INSERT INTO `lang_definitions` VALUES (199, 241, 2, 'Ålder från');
INSERT INTO `lang_definitions` VALUES (200, 242, 2, 'Ändra format för att visa ålder i år');
INSERT INTO `lang_definitions` VALUES (201, 243, 2, 'Högsta ålder');
INSERT INTO `lang_definitions` VALUES (202, 244, 2, 'Lägsta ålder');
INSERT INTO `lang_definitions` VALUES (203, 245, 2, 'Åldersintervall');
INSERT INTO `lang_definitions` VALUES (204, 247, 2, 'Kolumner med åldern');
INSERT INTO `lang_definitions` VALUES (205, 249, 2, 'Albansk');
INSERT INTO `lang_definitions` VALUES (206, 250, 2, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (207, 251, 2, 'Alkoholkonsumtion');
INSERT INTO `lang_definitions` VALUES (208, 253, 2, 'Antal varningar');
INSERT INTO `lang_definitions` VALUES (209, 255, 2, 'Varningar');
INSERT INTO `lang_definitions` VALUES (210, 258, 2, 'Aleut-befolkning');
INSERT INTO `lang_definitions` VALUES (211, 259, 2, 'Alla');
INSERT INTO `lang_definitions` VALUES (212, 260, 2, 'Alla');
INSERT INTO `lang_definitions` VALUES (213, 261, 2, 'Alla (format A)');
INSERT INTO `lang_definitions` VALUES (214, 262, 2, 'Alla (format B)');
INSERT INTO `lang_definitions` VALUES (215, 263, 2, 'Allt ( Kumulativt )');
INSERT INTO `lang_definitions` VALUES (216, 266, 2, 'Alla Kategorier');
INSERT INTO `lang_definitions` VALUES (217, 268, 2, 'Alla koder');
INSERT INTO `lang_definitions` VALUES (218, 269, 2, 'Hela dagen');
INSERT INTO `lang_definitions` VALUES (219, 270, 2, 'Heldagshändelse');
INSERT INTO `lang_definitions` VALUES (220, 271, 2, 'Alla demografiska fält , med sökning och dubbel kontroll');
INSERT INTO `lang_definitions` VALUES (221, 272, 2, 'Alla kliniker');
INSERT INTO `lang_definitions` VALUES (222, 273, 2, 'Alla skador/problem/frågeställningar');
INSERT INTO `lang_definitions` VALUES (223, 274, 2, 'All språk är tillåtna');
INSERT INTO `lang_definitions` VALUES (224, 276, 2, 'Hela förnamnet eller en del av det');
INSERT INTO `lang_definitions` VALUES (225, 277, 2, 'Hela efternamnet eller en del av det');
INSERT INTO `lang_definitions` VALUES (226, 278, 2, 'Hela organisationen eller delar av namnet');
INSERT INTO `lang_definitions` VALUES (227, 280, 2, 'Alla produkter');
INSERT INTO `lang_definitions` VALUES (228, 281, 2, 'Alla vårdgivare');
INSERT INTO `lang_definitions` VALUES (229, 282, 2, 'Alla granskade och Negativa:');
INSERT INTO `lang_definitions` VALUES (230, 283, 2, 'Alla ämnen');
INSERT INTO `lang_definitions` VALUES (231, 284, 2, 'Alla användare');
INSERT INTO `lang_definitions` VALUES (232, 285, 2, 'Allergisk');
INSERT INTO `lang_definitions` VALUES (233, 286, 2, 'Allergier');
INSERT INTO `lang_definitions` VALUES (234, 287, 2, 'Allergier:');
INSERT INTO `lang_definitions` VALUES (235, 288, 2, 'Allergi');
INSERT INTO `lang_definitions` VALUES (236, 289, 2, 'Import av allergier klart');
INSERT INTO `lang_definitions` VALUES (237, 290, 2, 'Lista på allergier');
INSERT INTO `lang_definitions` VALUES (238, 291, 2, 'Allergisk reaktion');
INSERT INTO `lang_definitions` VALUES (239, 294, 2, 'Tilldela');
INSERT INTO `lang_definitions` VALUES (240, 295, 2, 'Tillåta');
INSERT INTO `lang_definitions` VALUES (241, 296, 2, 'Tillåt alla tillgängliga språk som val i menyn vid inloggning');
INSERT INTO `lang_definitions` VALUES (242, 297, 2, 'Tillåt att skapa krav innehållande diagnoser , men ej procedurer eller betalningar. De flesta kliniker vill inte ha det');
INSERT INTO `lang_definitions` VALUES (243, 298, 2, 'Tillåt debugg språk');
INSERT INTO `lang_definitions` VALUES (244, 299, 2, 'E-post tillåten');
INSERT INTO `lang_definitions` VALUES (245, 300, 2, 'Är e-post meddelande tillåtet ?');
INSERT INTO `lang_definitions` VALUES (246, 301, 2, 'Tillåt e-post?');
INSERT INTO `lang_definitions` VALUES (247, 302, 2, 'Tillåt krav i patient möte');
INSERT INTO `lang_definitions` VALUES (248, 303, 2, 'Tillåt utbyte av hälsoinformationen');
INSERT INTO `lang_definitions` VALUES (249, 304, 2, 'Tillåt att informationen om vaccinationer delas');
INSERT INTO `lang_definitions` VALUES (250, 305, 2, 'Tillåt användning av vaccinationsregistret');
INSERT INTO `lang_definitions` VALUES (251, 306, 2, 'Tillåt e-post meddelanden');
INSERT INTO `lang_definitions` VALUES (252, 308, 2, 'Tillåt patient-inloggning');
INSERT INTO `lang_definitions` VALUES (253, 309, 2, 'Tillåt SMS');
INSERT INTO `lang_definitions` VALUES (254, 310, 2, 'Är SMS meddelanden tillåtna ?');
INSERT INTO `lang_definitions` VALUES (255, 311, 2, 'Tillåt aktuella händelser att vara aktiva omedelbart ?');
INSERT INTO `lang_definitions` VALUES (256, 312, 2, 'Tillåt telefon meddelanden?');
INSERT INTO `lang_definitions` VALUES (257, 313, 2, 'Tillåt användare att publicera Globala Händelser');
INSERT INTO `lang_definitions` VALUES (258, 314, 2, 'Tillåt användare att publicera personliga kalendrar');
INSERT INTO `lang_definitions` VALUES (259, 315, 2, 'Tillåt telefonsvarare');
INSERT INTO `lang_definitions` VALUES (260, 316, 2, 'Tillåten');
INSERT INTO `lang_definitions` VALUES (261, 317, 2, 'Godkända språk');
INSERT INTO `lang_definitions` VALUES (262, 318, 2, 'Godkänt');
INSERT INTO `lang_definitions` VALUES (263, 323, 2, 'finns redan');
INSERT INTO `lang_definitions` VALUES (264, 324, 2, 'Finns redan');
INSERT INTO `lang_definitions` VALUES (265, 325, 2, 'Används redan, välj en annan identitetsbeteckning');
INSERT INTO `lang_definitions` VALUES (266, 326, 2, 'Används redan, välj en annan titel');
INSERT INTO `lang_definitions` VALUES (267, 327, 2, 'Alternativ Adress');
INSERT INTO `lang_definitions` VALUES (268, 328, 2, 'Ändra');
INSERT INTO `lang_definitions` VALUES (269, 329, 2, 'Alternativt kan du använda sökfunktionen för att lägga upp ett elektroniskt godkännande (X12 83l fil) som du fått från din betalare eller clearingorganisationer. Du kan göra detta genom att klicka på knappen Bläddra och välj den fil som ska laddas upp och sedan klicka på Sök för att ladda upp och visa motsvarande fakturor. I detta fall gäller inte de andra parametrar som nämns ovan och de kommer att ignoreras. Överföring sparar filen men processar ännuinte innehållet - detta är gjort separat enligt nedan.');
INSERT INTO `lang_definitions` VALUES (270, 330, 2, 'förmiddag');
INSERT INTO `lang_definitions` VALUES (271, 331, 2, 'Förmiddagens program');
INSERT INTO `lang_definitions` VALUES (272, 332, 2, 'Automatisk beräkning av åtgärder (AMC)');
INSERT INTO `lang_definitions` VALUES (273, 333, 2, 'Spåra AMC');
INSERT INTO `lang_definitions` VALUES (274, 338, 2, 'Ändra Befintlig notering');
INSERT INTO `lang_definitions` VALUES (275, 343, 2, 'Amerikansk indian');
INSERT INTO `lang_definitions` VALUES (276, 344, 2, 'Amerikans indian eller född i alaska');
INSERT INTO `lang_definitions` VALUES (277, 345, 2, 'AMEX');
INSERT INTO `lang_definitions` VALUES (278, 346, 2, 'Etiopier');
INSERT INTO `lang_definitions` VALUES (279, 347, 2, 'Belopp');
INSERT INTO `lang_definitions` VALUES (280, 348, 2, 'Administrerat belopp');
INSERT INTO `lang_definitions` VALUES (281, 349, 2, 'Begärt belopp');
INSERT INTO `lang_definitions` VALUES (282, 350, 2, 'Belopp från tidigare Saldo');
INSERT INTO `lang_definitions` VALUES (283, 351, 2, 'Belopp för besöket');
INSERT INTO `lang_definitions` VALUES (284, 352, 2, 'Belopp som betalts');
INSERT INTO `lang_definitions` VALUES (285, 353, 2, 'Belopp:');
INSERT INTO `lang_definitions` VALUES (286, 354, 2, 'fakturerat belopp');
INSERT INTO `lang_definitions` VALUES (287, 355, 2, 'Ett slutdatum senare än startdatum krävs för upprepade händelser!');
INSERT INTO `lang_definitions` VALUES (288, 357, 2, 'ett fel uppstod när LibreEHR sparades');
INSERT INTO `lang_definitions` VALUES (289, 358, 2, 'Ett fel uppstod när phpGACL sparades');
INSERT INTO `lang_definitions` VALUES (290, 359, 2, 'Ett fel uppstod när SQL-ledger sparades');
INSERT INTO `lang_definitions` VALUES (291, 360, 2, 'En ofullständig GCAC fråga har inrättats och knutits. Någon kommer att behöva fylla i det senare.');
INSERT INTO `lang_definitions` VALUES (292, 362, 2, 'Ett oförutsett fel uppkom');
INSERT INTO `lang_definitions` VALUES (293, 363, 2, 'En stor bokstav');
INSERT INTO `lang_definitions` VALUES (294, 365, 2, 'Och');
INSERT INTO `lang_definitions` VALUES (295, 366, 2, 'OCH');
INSERT INTO `lang_definitions` VALUES (296, 367, 2, 'och');
INSERT INTO `lang_definitions` VALUES (297, 368, 2, 'och ');
INSERT INTO `lang_definitions` VALUES (298, 369, 2, 'och alla underordnade data? Denna åtgärd kommer att loggas');
INSERT INTO `lang_definitions` VALUES (299, 370, 2, 'och modifierare');
INSERT INTO `lang_definitions` VALUES (300, 371, 2, 'och hanterad.');
INSERT INTO `lang_definitions` VALUES (301, 372, 2, 'och starta om Apache servern.');
INSERT INTO `lang_definitions` VALUES (302, 373, 2, 'och orsaken är');
INSERT INTO `lang_definitions` VALUES (303, 374, 2, 'Anemi');
INSERT INTO `lang_definitions` VALUES (304, 375, 2, 'Ankel');
INSERT INTO `lang_definitions` VALUES (305, 376, 2, 'Ankel + häl');
INSERT INTO `lang_definitions` VALUES (306, 377, 2, 'Ankel Utvärderingsformulär');
INSERT INTO `lang_definitions` VALUES (307, 378, 2, 'Ankel problem');
INSERT INTO `lang_definitions` VALUES (308, 379, 2, 'Ankyloserande Spondylit');
INSERT INTO `lang_definitions` VALUES (309, 380, 2, 'Ankyloserande Spondylit');
INSERT INTO `lang_definitions` VALUES (310, 381, 2, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (311, 382, 2, 'En annan sak du kan göra i utstationering fönstret är att begära en sekundära fakturering. Om du markerar rutan innan du sparar, så kommer den ursprungliga fordran att öppnas igen och köas på faktureringssidan och sedan behandlas under nästa faktureringskörning.');
INSERT INTO `lang_definitions` VALUES (312, 383, 2, 'framåt');
INSERT INTO `lang_definitions` VALUES (313, 384, 2, 'Anus, ingen rektal ömhet');
INSERT INTO `lang_definitions` VALUES (314, 385, 2, 'Ångest');
INSERT INTO `lang_definitions` VALUES (315, 386, 2, 'Valfri');
INSERT INTO `lang_definitions` VALUES (316, 387, 2, 'någon Kategori');
INSERT INTO `lang_definitions` VALUES (317, 388, 2, 'Någon del av en kod eller dess beskrivning');
INSERT INTO `lang_definitions` VALUES (318, 389, 2, 'Någon del av önskad specialitet');
INSERT INTO `lang_definitions` VALUES (319, 390, 2, 'någon del av medicinens namn eller id');
INSERT INTO `lang_definitions` VALUES (320, 391, 2, 'Någon del av vaccinations namn eller id');
INSERT INTO `lang_definitions` VALUES (321, 392, 2, 'Någon del av patientens namn, eller \"efternamn, förnamn \" eller \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (322, 393, 2, 'Någon annan relevant information');
INSERT INTO `lang_definitions` VALUES (323, 394, 2, 'API nyckel till SMS portal');
INSERT INTO `lang_definitions` VALUES (324, 395, 2, 'Andningsuppehåll');
INSERT INTO `lang_definitions` VALUES (325, 396, 2, 'Utseende');
INSERT INTO `lang_definitions` VALUES (326, 397, 2, 'Utseende:');
INSERT INTO `lang_definitions` VALUES (327, 398, 2, 'Lägg till denna notering');
INSERT INTO `lang_definitions` VALUES (328, 399, 2, 'Lägg till den nuvarande noteringen');
INSERT INTO `lang_definitions` VALUES (329, 400, 2, 'Lägg till denna anmärkning');
INSERT INTO `lang_definitions` VALUES (330, 401, 2, 'Bifoga till denna notering');
INSERT INTO `lang_definitions` VALUES (331, 402, 2, 'Appendektomi');
INSERT INTO `lang_definitions` VALUES (332, 404, 2, 'Tällämpliga patienter');
INSERT INTO `lang_definitions` VALUES (333, 405, 2, 'Ansökan');
INSERT INTO `lang_definitions` VALUES (334, 406, 2, 'Namn på program vid inloggning och titel på sidan');
INSERT INTO `lang_definitions` VALUES (335, 407, 2, 'Mottagarkod (GS03. Om blank kommer ISA08 användas)');
INSERT INTO `lang_definitions` VALUES (336, 408, 2, 'Sändarkod (GS02)');
INSERT INTO `lang_definitions` VALUES (337, 409, 2, 'Programmets titel');
INSERT INTO `lang_definitions` VALUES (338, 410, 2, 'Gäller Formulär för vitalparametrar och tillväxtkurva');
INSERT INTO `lang_definitions` VALUES (339, 411, 2, 'Gäller formulär för vitalparametrar');
INSERT INTO `lang_definitions` VALUES (340, 412, 2, 'Tillämpa ändringen på nuvarande händelse, nuvarande och alla kommande händelser eller alla händelser?');
INSERT INTO `lang_definitions` VALUES (341, 413, 2, 'tillämpas på berörda området');
INSERT INTO `lang_definitions` VALUES (342, 414, 2, 'appliceras på huden');
INSERT INTO `lang_definitions` VALUES (343, 415, 2, 'Lägger till');
INSERT INTO `lang_definitions` VALUES (344, 416, 2, 'Lägger till patch till sidan');
INSERT INTO `lang_definitions` VALUES (345, 417, 2, 'Bokning');
INSERT INTO `lang_definitions` VALUES (346, 418, 2, 'Boknings datum');
INSERT INTO `lang_definitions` VALUES (347, 419, 2, 'Sätt att visa bokning');
INSERT INTO `lang_definitions` VALUES (348, 420, 2, 'Påminnelser för bokning');
INSERT INTO `lang_definitions` VALUES (349, 421, 2, 'Boknings status');
INSERT INTO `lang_definitions` VALUES (350, 422, 2, 'Boknings status');
INSERT INTO `lang_definitions` VALUES (351, 423, 2, 'Bokas inom');
INSERT INTO `lang_definitions` VALUES (352, 424, 2, 'Bokning/händelse färg');
INSERT INTO `lang_definitions` VALUES (353, 425, 2, 'Bokningar');
INSERT INTO `lang_definitions` VALUES (354, 426, 2, 'Bokningar ( valfritt att skriva )');
INSERT INTO `lang_definitions` VALUES (355, 427, 2, 'Bokningar (Skriv, några valbara)');
INSERT INTO `lang_definitions` VALUES (356, 430, 2, 'Bokningar och besök');
INSERT INTO `lang_definitions` VALUES (357, 431, 2, 'Bokningsrapport');
INSERT INTO `lang_definitions` VALUES (358, 432, 2, 'Boknings och besöksrapport');
INSERT INTO `lang_definitions` VALUES (359, 434, 2, 'Godkänn');
INSERT INTO `lang_definitions` VALUES (360, 436, 2, 'Godkänd');
INSERT INTO `lang_definitions` VALUES (361, 437, 2, 'Godkända administrativa händelser');
INSERT INTO `lang_definitions` VALUES (362, 440, 2, 'Bokningar-besök');
INSERT INTO `lang_definitions` VALUES (363, 441, 2, 'Bokningar');
INSERT INTO `lang_definitions` VALUES (364, 442, 2, 'Apr');
INSERT INTO `lang_definitions` VALUES (365, 443, 2, 'April');
INSERT INTO `lang_definitions` VALUES (366, 444, 2, 'Arabisk');
INSERT INTO `lang_definitions` VALUES (367, 446, 2, 'Arkivera');
INSERT INTO `lang_definitions` VALUES (368, 447, 2, 'Ska gruppnamnen översättas?');
INSERT INTO `lang_definitions` VALUES (369, 448, 2, 'Ska bokningstyperna översättas?');
INSERT INTO `lang_definitions` VALUES (370, 449, 2, 'Ska dokumenttyperna översättas?');
INSERT INTO `lang_definitions` VALUES (371, 450, 2, 'Ska avgifter tas ut för denna typ?');
INSERT INTO `lang_definitions` VALUES (372, 451, 2, 'Ska överskrifter på patientanteckningar översättas?');
INSERT INTO `lang_definitions` VALUES (373, 452, 2, 'Är koderna lagrade i externa sql-tabeller (0-Nej, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2) )');
INSERT INTO `lang_definitions` VALUES (374, 453, 2, 'Är du beredd att genomföra en ny GCAC fråga för detta besök?');
INSERT INTO `lang_definitions` VALUES (375, 454, 2, 'Är du säker du vill bokföra dagens händelser?');
INSERT INTO `lang_definitions` VALUES (376, 455, 2, 'Är du säker på att du vill godkänna dessa händelser?');
INSERT INTO `lang_definitions` VALUES (377, 457, 2, 'Är du säker på att du vill ta bort detta formulär?');
INSERT INTO `lang_definitions` VALUES (378, 459, 2, 'Är du säker på att du vill ta bort denna friskrivning?');
INSERT INTO `lang_definitions` VALUES (379, 460, 2, 'Är du säker på att du vill ta bort denna händelse?');
INSERT INTO `lang_definitions` VALUES (380, 461, 2, 'Är du säker du vill ta bort detta från databasen?');
INSERT INTO `lang_definitions` VALUES (381, 462, 2, 'Är du säker på att du vill ta bort detta meddelande?');
INSERT INTO `lang_definitions` VALUES (382, 464, 2, 'Är du säker på att du vill ändra dessa händelser?');
INSERT INTO `lang_definitions` VALUES (383, 465, 2, 'Är du säker på att du vill dölja dessa händelser?');
INSERT INTO `lang_definitions` VALUES (384, 467, 2, 'Är du säker på att du vill visa dessa händelser?');
INSERT INTO `lang_definitions` VALUES (385, 468, 2, 'Är du säker på att du vill ta bort hela den valda gruppen');
INSERT INTO `lang_definitions` VALUES (386, 469, 2, 'Är du säker på att du vill ta bort hela listan');
INSERT INTO `lang_definitions` VALUES (387, 470, 2, 'Är du säker på att du vill ta bort fältet i');
INSERT INTO `lang_definitions` VALUES (388, 471, 2, 'Är du säker på att du vill ta bort markerade fält?');
INSERT INTO `lang_definitions` VALUES (389, 472, 2, 'Är du säker på att du vill fortsätta med dessa åtgärder?');
INSERT INTO `lang_definitions` VALUES (390, 473, 2, 'Område är ej specifiserat');
INSERT INTO `lang_definitions` VALUES (391, 474, 2, 'Arm');
INSERT INTO `lang_definitions` VALUES (392, 475, 2, 'Armensk');
INSERT INTO `lang_definitions` VALUES (393, 477, 2, 'Arrytmi');
INSERT INTO `lang_definitions` VALUES (394, 478, 2, 'Artrit');
INSERT INTO `lang_definitions` VALUES (395, 479, 2, 'Artrit / Degenerativ ledsjukdom');
INSERT INTO `lang_definitions` VALUES (396, 480, 2, 'Artrit / Degenerativ ledsjukdom');
INSERT INTO `lang_definitions` VALUES (397, 481, 2, 'som');
INSERT INTO `lang_definitions` VALUES (398, 482, 2, 'Per');
INSERT INTO `lang_definitions` VALUES (399, 484, 2, 'Asiatisk');
INSERT INTO `lang_definitions` VALUES (400, 487, 2, 'Bedömning');
INSERT INTO `lang_definitions` VALUES (401, 488, 2, 'Tilldelas');
INSERT INTO `lang_definitions` VALUES (402, 489, 2, 'Assistent');
INSERT INTO `lang_definitions` VALUES (403, 490, 2, 'Astma');
INSERT INTO `lang_definitions` VALUES (404, 491, 2, 'på');
INSERT INTO `lang_definitions` VALUES (405, 492, 2, 'Minst en sök parameter krävs om du väljer Alla');
INSERT INTO `lang_definitions` VALUES (406, 493, 2, 'Vid Båtbenet');
INSERT INTO `lang_definitions` VALUES (407, 494, 2, 'Vid Båtbenet:');
INSERT INTO `lang_definitions` VALUES (408, 495, 2, 'Idrottsgrupp');
INSERT INTO `lang_definitions` VALUES (409, 496, 2, 'Idrottsgrupp');
INSERT INTO `lang_definitions` VALUES (410, 497, 2, 'Idrottsskada');
INSERT INTO `lang_definitions` VALUES (411, 498, 2, 'CA certifikat för ATNA revision');
INSERT INTO `lang_definitions` VALUES (412, 499, 2, 'Värd för ATNA revision');
INSERT INTO `lang_definitions` VALUES (413, 500, 2, 'Lokalt certifikat för ATNA revision');
INSERT INTO `lang_definitions` VALUES (414, 501, 2, 'Posrt för ATNA revision');
INSERT INTO `lang_definitions` VALUES (415, 503, 2, 'Observera');
INSERT INTO `lang_definitions` VALUES (416, 504, 2, 'OBS');
INSERT INTO `lang_definitions` VALUES (417, 506, 2, 'revision CDR urval');
INSERT INTO `lang_definitions` VALUES (418, 509, 2, 'Revisionsloggning backup');
INSERT INTO `lang_definitions` VALUES (419, 510, 2, 'revisionsloggning blandad');
INSERT INTO `lang_definitions` VALUES (420, 511, 2, 'Revisionsloggning sorteringsordning');
INSERT INTO `lang_definitions` VALUES (421, 512, 2, 'Revisionsloggning patientjournal');
INSERT INTO `lang_definitions` VALUES (422, 513, 2, 'revisionsloggning schemaläggning');
INSERT INTO `lang_definitions` VALUES (423, 514, 2, 'Hantera säkerhet för revisorslog');
INSERT INTO `lang_definitions` VALUES (424, 515, 2, 'Urval av revisorlog');
INSERT INTO `lang_definitions` VALUES (425, 516, 2, 'Aug');
INSERT INTO `lang_definitions` VALUES (426, 517, 2, 'Augusti');
INSERT INTO `lang_definitions` VALUES (427, 519, 2, 'Rättigheter');
INSERT INTO `lang_definitions` VALUES (428, 520, 2, 'Rättighet/anteckningar');
INSERT INTO `lang_definitions` VALUES (429, 523, 2, 'Grupprättigheter');
INSERT INTO `lang_definitions` VALUES (430, 524, 2, 'Status på auktorisation');
INSERT INTO `lang_definitions` VALUES (431, 525, 2, 'Tillstånd');
INSERT INTO `lang_definitions` VALUES (432, 526, 2, 'Bemyndiga');
INSERT INTO `lang_definitions` VALUES (433, 527, 2, 'Auktorisera – alla möten');
INSERT INTO `lang_definitions` VALUES (434, 528, 2, 'Auktorisera - Mina möten');
INSERT INTO `lang_definitions` VALUES (435, 529, 2, 'Auktorisera.net');
INSERT INTO `lang_definitions` VALUES (436, 530, 2, 'Auktoriserad');
INSERT INTO `lang_definitions` VALUES (437, 531, 2, 'Enbart auktoriserade');
INSERT INTO `lang_definitions` VALUES (438, 532, 2, 'Skicka automatiskt');
INSERT INTO `lang_definitions` VALUES (439, 535, 2, 'Skapa nytt besök automatiskt');
INSERT INTO `lang_definitions` VALUES (440, 536, 2, 'Autogenererad');
INSERT INTO `lang_definitions` VALUES (441, 537, 2, 'Automatiska beräkningar (AMC)');
INSERT INTO `lang_definitions` VALUES (442, 542, 2, 'Spåra automatiska beräkningar (ATM)');
INSERT INTO `lang_definitions` VALUES (443, 543, 2, 'Automatiska mätningar (AMC)');
INSERT INTO `lang_definitions` VALUES (444, 544, 2, 'Automatiskt');
INSERT INTO `lang_definitions` VALUES (445, 546, 2, 'Automatiskt skapa nytt besök när bokningsstatus är satt till ”@” (Kommit)');
INSERT INTO `lang_definitions` VALUES (446, 549, 2, 'Trafikmedicin');
INSERT INTO `lang_definitions` VALUES (447, 550, 2, 'Sparad automatisk');
INSERT INTO `lang_definitions` VALUES (448, 551, 2, 'Tillgängliga kategorier');
INSERT INTO `lang_definitions` VALUES (449, 552, 2, 'Tillgängliga tider');
INSERT INTO `lang_definitions` VALUES (450, 557, 2, 'Månadsgenomsnitt');
INSERT INTO `lang_definitions` VALUES (451, 558, 2, 'Avulsion / avulsion fraktur');
INSERT INTO `lang_definitions` VALUES (452, 559, 2, 'Avulsion laterala malleolus');
INSERT INTO `lang_definitions` VALUES (453, 560, 2, 'Avulsion mediala malleolus ');
INSERT INTO `lang_definitions` VALUES (454, 561, 2, 'Medvetandebaserad');
INSERT INTO `lang_definitions` VALUES (455, 562, 2, 'Axillär');
INSERT INTO `lang_definitions` VALUES (456, 565, 2, '2 ggr/dag');
INSERT INTO `lang_definitions` VALUES (457, 566, 2, 'Tillbaka');
INSERT INTO `lang_definitions` VALUES (458, 567, 2, 'tillbaka');
INSERT INTO `lang_definitions` VALUES (459, 568, 2, 'Bakåt 8 besök');
INSERT INTO `lang_definitions` VALUES (460, 569, 2, 'Bakåt 11 besök');
INSERT INTO `lang_definitions` VALUES (461, 570, 2, 'Bakåt 5 besök');
INSERT INTO `lang_definitions` VALUES (462, 571, 2, 'Bakåt 4 besök');
INSERT INTO `lang_definitions` VALUES (463, 572, 2, 'Bakåt 9 besök');
INSERT INTO `lang_definitions` VALUES (464, 573, 2, 'Bakåt 1 besök');
INSERT INTO `lang_definitions` VALUES (465, 574, 2, 'Ryggsmärta');
INSERT INTO `lang_definitions` VALUES (466, 575, 2, 'Ryggproblem');
INSERT INTO `lang_definitions` VALUES (467, 576, 2, 'Bakåt 7 besök');
INSERT INTO `lang_definitions` VALUES (468, 577, 2, 'Bakåt 6 besök');
INSERT INTO `lang_definitions` VALUES (469, 578, 2, 'Ryggkirurgi');
INSERT INTO `lang_definitions` VALUES (470, 579, 2, 'Bakåt 10 besök');
INSERT INTO `lang_definitions` VALUES (471, 580, 2, 'Bakåt 3 besök');
INSERT INTO `lang_definitions` VALUES (472, 581, 2, 'Tillbaka till Admin sidan');
INSERT INTO `lang_definitions` VALUES (473, 584, 2, 'Tillbaka till patient');
INSERT INTO `lang_definitions` VALUES (474, 585, 2, 'Tillbaka till användare');
INSERT INTO `lang_definitions` VALUES (475, 586, 2, 'Tillbaka till Visa');
INSERT INTO `lang_definitions` VALUES (476, 587, 2, 'Bakåt 12 besök');
INSERT INTO `lang_definitions` VALUES (477, 588, 2, 'Bakåt 2 besök');
INSERT INTO `lang_definitions` VALUES (478, 589, 2, 'Bakgrunds tjänster');
INSERT INTO `lang_definitions` VALUES (479, 590, 2, 'Backup');
INSERT INTO `lang_definitions` VALUES (480, 591, 2, 'Backup-filen har skapats. Kommer nu skicka till nedladdning.');
INSERT INTO `lang_definitions` VALUES (481, 593, 2, 'Backup genomfört i');
INSERT INTO `lang_definitions` VALUES (482, 594, 2, 'Dålig kontroll');
INSERT INTO `lang_definitions` VALUES (483, 595, 2, 'Dålig fordran');
INSERT INTO `lang_definitions` VALUES (484, 596, 2, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (485, 597, 2, 'Bal');
INSERT INTO `lang_definitions` VALUES (486, 598, 2, 'Balans');
INSERT INTO `lang_definitions` VALUES (487, 599, 2, 'balans');
INSERT INTO `lang_definitions` VALUES (488, 600, 2, 'Saldo mängd');
INSERT INTO `lang_definitions` VALUES (489, 601, 2, 'Balanserade skulder');
INSERT INTO `lang_definitions` VALUES (490, 603, 2, 'Bankavdrag');
INSERT INTO `lang_definitions` VALUES (491, 607, 2, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (492, 608, 2, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (493, 611, 2, 'Samlingsfaktura');
INSERT INTO `lang_definitions` VALUES (494, 612, 2, 'Samlingskummunikationsverktyg');
INSERT INTO `lang_definitions` VALUES (495, 613, 2, 'Samlingsbetalning inskrivning');
INSERT INTO `lang_definitions` VALUES (496, 614, 2, 'samlingsbetalning');
INSERT INTO `lang_definitions` VALUES (497, 615, 2, 'Batchprocess påbörjad, detta kan ta ett tag.');
INSERT INTO `lang_definitions` VALUES (498, 616, 2, 'Samlingsresultat');
INSERT INTO `lang_definitions` VALUES (499, 617, 2, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (500, 619, 2, 'För att ID inte existerar');
INSERT INTO `lang_definitions` VALUES (501, 620, 2, 'Starta');
INSERT INTO `lang_definitions` VALUES (502, 621, 2, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (503, 623, 2, 'Tjänstens startdatum åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (504, 624, 2, 'Start klockslag för kalenderhändelse');
INSERT INTO `lang_definitions` VALUES (505, 626, 2, 'Rapningar');
INSERT INTO `lang_definitions` VALUES (506, 628, 2, 'Bengali');
INSERT INTO `lang_definitions` VALUES (507, 630, 2, 'Mellan');
INSERT INTO `lang_definitions` VALUES (508, 633, 2, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (509, 634, 2, 'Bilaterala:');
INSERT INTO `lang_definitions` VALUES (510, 636, 2, 'Faktura datuma:');
INSERT INTO `lang_definitions` VALUES (511, 637, 2, 'Faktura');
INSERT INTO `lang_definitions` VALUES (512, 638, 2, 'Fakturerade');
INSERT INTO `lang_definitions` VALUES (513, 640, 2, 'Fakturering');
INSERT INTO `lang_definitions` VALUES (514, 641, 2, 'Fakturering (skriv alternativ)');
INSERT INTO `lang_definitions` VALUES (515, 642, 2, 'Fakturering attestera');
INSERT INTO `lang_definitions` VALUES (516, 644, 2, 'Betalningskod för begärd service');
INSERT INTO `lang_definitions` VALUES (517, 645, 2, 'Betalningskoder');
INSERT INTO `lang_definitions` VALUES (518, 646, 2, 'Faktureringsdata');
INSERT INTO `lang_definitions` VALUES (519, 647, 2, 'Fakturering avdelning');
INSERT INTO `lang_definitions` VALUES (520, 648, 2, 'Fakturering Klinik');
INSERT INTO `lang_definitions` VALUES (521, 649, 2, 'Faktureringsinformation');
INSERT INTO `lang_definitions` VALUES (522, 650, 2, 'Faktureringsadress');
INSERT INTO `lang_definitions` VALUES (523, 655, 2, 'Fakturaansvarig');
INSERT INTO `lang_definitions` VALUES (524, 656, 2, 'Faktura Anmärkning');
INSERT INTO `lang_definitions` VALUES (525, 657, 2, 'Fakturera anmärkning för ');
INSERT INTO `lang_definitions` VALUES (526, 658, 2, 'Fakturera notering:');
INSERT INTO `lang_definitions` VALUES (527, 659, 2, 'Fakturera kö resultat:');
INSERT INTO `lang_definitions` VALUES (528, 660, 2, 'Faktureringsrapport');
INSERT INTO `lang_definitions` VALUES (529, 661, 2, 'Faktura status');
INSERT INTO `lang_definitions` VALUES (530, 662, 2, 'Faktura status = Ej skickad');
INSERT INTO `lang_definitions` VALUES (531, 663, 2, 'fakturera till ');
INSERT INTO `lang_definitions` VALUES (532, 665, 2, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (533, 666, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (534, 667, 2, 'Födelse – 24 månader');
INSERT INTO `lang_definitions` VALUES (535, 669, 2, 'Svart');
INSERT INTO `lang_definitions` VALUES (536, 670, 2, 'Sotlunga');
INSERT INTO `lang_definitions` VALUES (537, 671, 2, 'Afrikans amerikan');
INSERT INTO `lang_definitions` VALUES (538, 672, 2, 'Cancer i urinblåsan');
INSERT INTO `lang_definitions` VALUES (539, 673, 2, 'Infektioner i urinblåsan');
INSERT INTO `lang_definitions` VALUES (540, 674, 2, 'Blankt formulär');
INSERT INTO `lang_definitions` VALUES (541, 675, 2, 'Problem med blödning');
INSERT INTO `lang_definitions` VALUES (542, 676, 2, 'Blinda punkter');
INSERT INTO `lang_definitions` VALUES (543, 677, 2, 'Svullnad');
INSERT INTO `lang_definitions` VALUES (544, 678, 2, 'Blockerade');
INSERT INTO `lang_definitions` VALUES (545, 679, 2, 'Blod');
INSERT INTO `lang_definitions` VALUES (546, 680, 2, 'Blodtryck');
INSERT INTO `lang_definitions` VALUES (547, 681, 2, 'Blodtryck');
INSERT INTO `lang_definitions` VALUES (548, 682, 2, 'Näsblod');
INSERT INTO `lang_definitions` VALUES (549, 683, 2, 'Blått kors blå sköld');
INSERT INTO `lang_definitions` VALUES (550, 684, 2, 'Blå linjerna i denna rapport är informativa. Svarta linjer visar tidigare information. Gröna linjerna visar förändringar som tillämpats framgångsrikt. Röda linjer visar fel eller förändringar som inte har genomförts, och dessa måste behandlas manuellt. För närvarande nekas fordringar och betalning reverseringar inte hanteras automatiskt och det kommer att visas i rött.');
INSERT INTO `lang_definitions` VALUES (551, 685, 2, 'Dimsyn');
INSERT INTO `lang_definitions` VALUES (552, 686, 2, 'BMI');
INSERT INTO `lang_definitions` VALUES (553, 687, 2, 'BMI status');
INSERT INTO `lang_definitions` VALUES (554, 689, 2, 'kroppsregion');
INSERT INTO `lang_definitions` VALUES (555, 690, 2, 'Bkroppsdel');
INSERT INTO `lang_definitions` VALUES (556, 691, 2, 'Kroppsdel, om tillämplig');
INSERT INTO `lang_definitions` VALUES (557, 692, 2, 'Benömhet:');
INSERT INTO `lang_definitions` VALUES (558, 693, 2, 'Benömhet: Malleoulus Medialis');
INSERT INTO `lang_definitions` VALUES (559, 694, 2, 'Logisk');
INSERT INTO `lang_definitions` VALUES (560, 697, 2, 'Båda öronen');
INSERT INTO `lang_definitions` VALUES (561, 698, 2, 'båda öronen');
INSERT INTO `lang_definitions` VALUES (562, 699, 2, 'Botten');
INSERT INTO `lang_definitions` VALUES (563, 701, 2, 'RUTA 10 A. Anställningsrelaterad ');
INSERT INTO `lang_definitions` VALUES (564, 702, 2, 'RUTA 10 B. Bilolycka ');
INSERT INTO `lang_definitions` VALUES (565, 703, 2, 'RUTA 10 C. Övriga olyckor ');
INSERT INTO `lang_definitions` VALUES (566, 706, 2, 'Ruta 15. Datum för samma eller liknande sjukdom (åååå-mm-dd)');
INSERT INTO `lang_definitions` VALUES (567, 708, 2, 'FÄLT 16. Datum, oförmögen till arbete från (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (568, 709, 2, 'FÄLT 16. Datum, oförmögen att arbeta tills (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (569, 710, 2, 'FÄLT 18. Sjukhusvistelse datum, från (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (570, 711, 2, 'FÄLT 18. Sjukhusvistelse till, datum (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (571, 712, 2, 'FÄLT 20. Används externt lab?');
INSERT INTO `lang_definitions` VALUES (572, 713, 2, 'Fält 22. Medicaid återinskickningskod (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (573, 714, 2, 'Fält 23. Tidigare godkännande nr. ');
INSERT INTO `lang_definitions` VALUES (574, 715, 2, 'Blodtryck');
INSERT INTO `lang_definitions` VALUES (575, 716, 2, 'BT Diastoliskt');
INSERT INTO `lang_definitions` VALUES (576, 717, 2, 'BT Systoliskt');
INSERT INTO `lang_definitions` VALUES (577, 719, 2, 'BT Diastoliskt');
INSERT INTO `lang_definitions` VALUES (578, 721, 2, 'BT Systoliskt');
INSERT INTO `lang_definitions` VALUES (579, 722, 2, 'Brasiliansk portugisiska');
INSERT INTO `lang_definitions` VALUES (580, 723, 2, 'Bröst');
INSERT INTO `lang_definitions` VALUES (581, 724, 2, 'Bröst Biopsi');
INSERT INTO `lang_definitions` VALUES (582, 725, 2, 'Bröst Avsluta');
INSERT INTO `lang_definitions` VALUES (583, 726, 2, 'Bröstsjukdom');
INSERT INTO `lang_definitions` VALUES (584, 727, 2, 'Bröstundersökning');
INSERT INTO `lang_definitions` VALUES (585, 728, 2, 'Bröstvävnad');
INSERT INTO `lang_definitions` VALUES (586, 730, 2, 'Andningsljud:');
INSERT INTO `lang_definitions` VALUES (587, 732, 2, 'Brutna ben');
INSERT INTO `lang_definitions` VALUES (588, 734, 2, 'Bronkit Formulär');
INSERT INTO `lang_definitions` VALUES (589, 735, 2, 'Bläddra');
INSERT INTO `lang_definitions` VALUES (590, 736, 2, 'Bläddra efter journal');
INSERT INTO `lang_definitions` VALUES (591, 737, 2, 'Blåmärken / hematom');
INSERT INTO `lang_definitions` VALUES (592, 739, 2, 'Utbuktningen Höger:');
INSERT INTO `lang_definitions` VALUES (593, 741, 2, 'Sveda vid vattenkastning');
INSERT INTO `lang_definitions` VALUES (594, 742, 2, 'Sveda vid vattenkastning');
INSERT INTO `lang_definitions` VALUES (595, 744, 2, 'Upptagen');
INSERT INTO `lang_definitions` VALUES (596, 745, 2, 'ännu ej behandlad');
INSERT INTO `lang_definitions` VALUES (597, 746, 2, 'Skinka');
INSERT INTO `lang_definitions` VALUES (598, 747, 2, 'Skinkan och SI-led');
INSERT INTO `lang_definitions` VALUES (599, 748, 2, 'via');
INSERT INTO `lang_definitions` VALUES (600, 749, 2, 'via');
INSERT INTO `lang_definitions` VALUES (601, 750, 2, 'via munnen');
INSERT INTO `lang_definitions` VALUES (602, 751, 2, 'Genom / Källa');
INSERT INTO `lang_definitions` VALUES (603, 752, 2, 'Av:');
INSERT INTO `lang_definitions` VALUES (604, 753, 2, 'Kopia');
INSERT INTO `lang_definitions` VALUES (605, 754, 2, 'CA certifikat för att verifiera RFS 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (606, 755, 2, 'Cache, livstid (i sekunder)');
INSERT INTO `lang_definitions` VALUES (607, 756, 2, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (608, 757, 2, 'Kaffe konsumtion');
INSERT INTO `lang_definitions` VALUES (609, 758, 2, 'Kalender');
INSERT INTO `lang_definitions` VALUES (610, 759, 2, 'Kalender sluttid');
INSERT INTO `lang_definitions` VALUES (611, 760, 2, 'Kalender interval');
INSERT INTO `lang_definitions` VALUES (612, 761, 2, 'Kalender skärm');
INSERT INTO `lang_definitions` VALUES (613, 762, 2, 'Kalenderinställningar');
INSERT INTO `lang_definitions` VALUES (614, 763, 2, 'Kalender starttid');
INSERT INTO `lang_definitions` VALUES (615, 764, 2, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (616, 765, 2, 'Kalendervy');
INSERT INTO `lang_definitions` VALUES (617, 766, 2, 'Anrop till addForm() skriv här. <br>');
INSERT INTO `lang_definitions` VALUES (618, 767, 2, 'Kalorier');
INSERT INTO `lang_definitions` VALUES (619, 768, 2, 'Kambodjan');
INSERT INTO `lang_definitions` VALUES (621, 774, 2, 'Avbryt');
INSERT INTO `lang_definitions` VALUES (622, 775, 2, 'Förkasta ändringar');
INSERT INTO `lang_definitions` VALUES (623, 776, 2, 'Avbruten');
INSERT INTO `lang_definitions` VALUES (624, 777, 2, 'Cancer');
INSERT INTO `lang_definitions` VALUES (625, 778, 2, 'Cancer screening: Colon cancer screening');
INSERT INTO `lang_definitions` VALUES (626, 779, 2, 'Scancer screening: Mammografi');
INSERT INTO `lang_definitions` VALUES (627, 780, 2, 'Cancer screening: Pap smear');
INSERT INTO `lang_definitions` VALUES (628, 781, 2, 'Cancer screening: Prostata cancer');
INSERT INTO `lang_definitions` VALUES (629, 782, 2, 'Det går ej att lägga till detta för att det redan existerar!');
INSERT INTO `lang_definitions` VALUES (630, 783, 2, 'Kan inte lägga till / uppdatera den här posten eftersom duplikat redan finns!');
INSERT INTO `lang_definitions` VALUES (631, 784, 2, 'Kan inte lagra. Kastat.');
INSERT INTO `lang_definitions` VALUES (632, 785, 2, 'kan inte konverteras till JPEG. Kanske ImageMagick inte är installerad?');
INSERT INTO `lang_definitions` VALUES (633, 786, 2, 'Kan inte tas bort. Utan åtgärd.');
INSERT INTO `lang_definitions` VALUES (634, 787, 2, 'kan inte visas online eftersom denna filtyp inte stöds av webbläsaren.');
INSERT INTO `lang_definitions` VALUES (635, 788, 2, 'kan inte visas online eftersom denna filtyp inte stöds av webbläsaren.');
INSERT INTO `lang_definitions` VALUES (636, 789, 2, 'kan inte visas online eftersom den typen inte stöds av webbläsaren.');
INSERT INTO `lang_definitions` VALUES (637, 790, 2, 'Det går inte att skapa');
INSERT INTO `lang_definitions` VALUES (638, 795, 2, 'Kan ej hitta ');
INSERT INTO `lang_definitions` VALUES (639, 796, 2, 'Kan ej hitta filnamnet');
INSERT INTO `lang_definitions` VALUES (640, 799, 2, 'Kan inte hitta patienten från SQL-ledgers kundnummer');
INSERT INTO `lang_definitions` VALUES (641, 800, 2, 'Kan ej hitta postscript dokumenthänvisning i ');
INSERT INTO `lang_definitions` VALUES (642, 801, 2, 'Kan inte hitta vårdgivaren i SQL-ledger ');
INSERT INTO `lang_definitions` VALUES (643, 802, 2, 'Kan inte ändra betalning. Odebiterat belopp är negativt.');
INSERT INTO `lang_definitions` VALUES (644, 803, 2, 'Går inte att öppna ');
INSERT INTO `lang_definitions` VALUES (645, 804, 2, 'Kan inte bokföra på försäkring. Betalningsansvarig är patienten.');
INSERT INTO `lang_definitions` VALUES (646, 805, 2, 'Kan inte bokföra på patient. Betalningsansvarig är försäkring.');
INSERT INTO `lang_definitions` VALUES (647, 806, 2, 'Kan inte bokföra betalning. Odebiterat belopp är negativt.');
INSERT INTO `lang_definitions` VALUES (648, 807, 2, 'Kan ej läsa');
INSERT INTO `lang_definitions` VALUES (649, 808, 2, 'Kan ej läsa i mappen');
INSERT INTO `lang_definitions` VALUES (650, 809, 2, 'Kan inte uppdatera eftersom du inte redigerar en befintlig post!');
INSERT INTO `lang_definitions` VALUES (651, 810, 2, 'Stor bokstav');
INSERT INTO `lang_definitions` VALUES (652, 812, 2, 'kapsel');
INSERT INTO `lang_definitions` VALUES (653, 813, 2, 'Kort');
INSERT INTO `lang_definitions` VALUES (654, 814, 2, 'Hjärtkateterisering');
INSERT INTO `lang_definitions` VALUES (655, 815, 2, 'Hjärteko');
INSERT INTO `lang_definitions` VALUES (656, 816, 2, 'Kardiovaskulära');
INSERT INTO `lang_definitions` VALUES (657, 821, 2, 'Brosk / menisk skada');
INSERT INTO `lang_definitions` VALUES (658, 822, 2, 'Broskskada');
INSERT INTO `lang_definitions` VALUES (659, 823, 2, 'Inga karotispulsar. Inga fotpulsar.');
INSERT INTO `lang_definitions` VALUES (660, 824, 2, 'kontanter');
INSERT INTO `lang_definitions` VALUES (661, 825, 2, 'Kontanter');
INSERT INTO `lang_definitions` VALUES (662, 826, 2, 'Kontantbetalning');
INSERT INTO `lang_definitions` VALUES (663, 827, 2, 'Kontantkvitton från vårdgivare');
INSERT INTO `lang_definitions` VALUES (664, 829, 2, 'Kataraktkirurgi');
INSERT INTO `lang_definitions` VALUES (665, 830, 2, 'Katarakt');
INSERT INTO `lang_definitions` VALUES (666, 831, 2, 'Kategorier');
INSERT INTO `lang_definitions` VALUES (667, 832, 2, 'Kategorier av');
INSERT INTO `lang_definitions` VALUES (668, 833, 2, 'Kategori');
INSERT INTO `lang_definitions` VALUES (669, 834, 2, 'kategori');
INSERT INTO `lang_definitions` VALUES (670, 835, 2, 'Kategori ');
INSERT INTO `lang_definitions` VALUES (671, 836, 2, 'Kategori Detaljer');
INSERT INTO `lang_definitions` VALUES (672, 837, 2, 'Kategori Gränser');
INSERT INTO `lang_definitions` VALUES (673, 838, 2, 'Kategorinamn');
INSERT INTO `lang_definitions` VALUES (674, 839, 2, 'Kategorinamn är tomt');
INSERT INTO `lang_definitions` VALUES (675, 840, 2, 'Kategori/Titel');
INSERT INTO `lang_definitions` VALUES (676, 841, 2, 'Kaukasisk');
INSERT INTO `lang_definitions` VALUES (677, 842, 2, 'Kvitto på kontaktorsak att skriva för besök. Primär vårdgivar information');
INSERT INTO `lang_definitions` VALUES (678, 852, 2, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (679, 853, 2, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (680, 855, 2, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (681, 856, 2, 'Central Certifiering');
INSERT INTO `lang_definitions` VALUES (682, 857, 2, 'Central/sydamerikan');
INSERT INTO `lang_definitions` VALUES (683, 858, 2, 'CA certifikats fil-mapp kan inte vara tom');
INSERT INTO `lang_definitions` VALUES (684, 859, 2, 'CA nyckelfilsmapp kan inte vara tom');
INSERT INTO `lang_definitions` VALUES (685, 860, 2, 'CA certifikat för att skicka till RFS 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (686, 861, 2, 'Certifikat användare');
INSERT INTO `lang_definitions` VALUES (687, 862, 2, 'Certifikat');
INSERT INTO `lang_definitions` VALUES (688, 864, 2, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (689, 865, 2, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (690, 866, 2, 'ändra');
INSERT INTO `lang_definitions` VALUES (691, 867, 2, 'Ändra');
INSERT INTO `lang_definitions` VALUES (692, 868, 2, 'Ändra Aktivitet');
INSERT INTO `lang_definitions` VALUES (693, 869, 2, 'Gick inte ändra. CouchDB fel?');
INSERT INTO `lang_definitions` VALUES (694, 870, 2, 'Synpåverkan');
INSERT INTO `lang_definitions` VALUES (695, 871, 2, 'Synpåverkan');
INSERT INTO `lang_definitions` VALUES (696, 872, 2, 'Byta lösenord');
INSERT INTO `lang_definitions` VALUES (697, 874, 2, 'Ändrad');
INSERT INTO `lang_definitions` VALUES (698, 875, 2, 'Förändrad tarm');
INSERT INTO `lang_definitions` VALUES (699, 876, 2, 'Byter patientidentitet för dokument');
INSERT INTO `lang_definitions` VALUES (700, 877, 2, 'Karaktär');
INSERT INTO `lang_definitions` VALUES (701, 878, 2, 'Tecken kvar');
INSERT INTO `lang_definitions` VALUES (702, 879, 2, 'Avgift');
INSERT INTO `lang_definitions` VALUES (703, 880, 2, 'Justering av avgift');
INSERT INTO `lang_definitions` VALUES (704, 881, 2, 'Avgift kodad');
INSERT INTO `lang_definitions` VALUES (705, 882, 2, 'Avgifter');
INSERT INTO `lang_definitions` VALUES (706, 883, 2, 'Patientkort');
INSERT INTO `lang_definitions` VALUES (707, 884, 2, 'Patientkort aktivitet');
INSERT INTO `lang_definitions` VALUES (708, 885, 2, 'Patientkort Check-in/out Aktivitetsrapport?');
INSERT INTO `lang_definitions` VALUES (709, 886, 2, 'Patientkort ID');
INSERT INTO `lang_definitions` VALUES (710, 887, 2, 'Patientkort ID');
INSERT INTO `lang_definitions` VALUES (711, 889, 2, 'Patientkort placering Aktivitet');
INSERT INTO `lang_definitions` VALUES (712, 890, 2, 'Patientkort notering');
INSERT INTO `lang_definitions` VALUES (713, 891, 2, 'Patientkort nr');
INSERT INTO `lang_definitions` VALUES (714, 892, 2, 'Patientkort lagring placering');
INSERT INTO `lang_definitions` VALUES (715, 893, 2, 'Patientkort spåra');
INSERT INTO `lang_definitions` VALUES (716, 894, 2, 'Patientkort spåra');
INSERT INTO `lang_definitions` VALUES (717, 895, 2, 'Patientkort utcheckning');
INSERT INTO `lang_definitions` VALUES (718, 896, 2, 'Patientkort utcheckning');
INSERT INTO `lang_definitions` VALUES (719, 898, 2, 'Betalningsanvisning');
INSERT INTO `lang_definitions` VALUES (720, 899, 2, 'Betalningsanvisning');
INSERT INTO `lang_definitions` VALUES (721, 900, 2, 'Alla betalningsanvisningar');
INSERT INTO `lang_definitions` VALUES (722, 902, 2, 'Betalningsanvisning belopp');
INSERT INTO `lang_definitions` VALUES (723, 903, 2, 'Betalningsanvisning datum');
INSERT INTO `lang_definitions` VALUES (724, 904, 2, 'Kontrollera skillnader i översättning med översättningstabellen');
INSERT INTO `lang_definitions` VALUES (725, 906, 2, 'checka in till');
INSERT INTO `lang_definitions` VALUES (726, 907, 2, 'Kontrollera indata');
INSERT INTO `lang_definitions` VALUES (727, 909, 2, 'Kontrollera labdata');
INSERT INTO `lang_definitions` VALUES (728, 910, 2, 'Markering betyder påtittat');
INSERT INTO `lang_definitions` VALUES (729, 911, 2, 'Betalningsanvisning nr');
INSERT INTO `lang_definitions` VALUES (730, 912, 2, 'Betalningsanvisning nr');
INSERT INTO `lang_definitions` VALUES (731, 915, 2, 'Betalningsanvisning betalning');
INSERT INTO `lang_definitions` VALUES (732, 916, 2, 'Markera ifall filen är krypterad');
INSERT INTO `lang_definitions` VALUES (733, 917, 2, 'Markera om vårdgivare ska se alla bokade besök som standard och ej enbart deras egna');
INSERT INTO `lang_definitions` VALUES (734, 918, 2, 'Markera för att skapa \'Problem\' utifrån denna diagnos');
INSERT INTO `lang_definitions` VALUES (735, 919, 2, 'Check / EOB Datum:');
INSERT INTO `lang_definitions` VALUES (736, 920, 2, 'Check / EOB Nr:');
INSERT INTO `lang_definitions` VALUES (737, 921, 2, 'Check / Ref Nr');
INSERT INTO `lang_definitions` VALUES (738, 922, 2, 'Check / Referensnummer');
INSERT INTO `lang_definitions` VALUES (739, 923, 2, 'Markeringsrutor lista');
INSERT INTO `lang_definitions` VALUES (740, 924, 2, 'Markeringsrutor lista');
INSERT INTO `lang_definitions` VALUES (741, 925, 2, 'Markeringsruta m text');
INSERT INTO `lang_definitions` VALUES (742, 926, 2, 'Markeringsruta m text');
INSERT INTO `lang_definitions` VALUES (743, 928, 2, 'Markerade fält = ja, tom = nej');
INSERT INTO `lang_definitions` VALUES (744, 929, 2, 'Markerade fält = ja, tom = nej');
INSERT INTO `lang_definitions` VALUES (745, 932, 2, 'Kassa');
INSERT INTO `lang_definitions` VALUES (746, 933, 2, 'Kontrollsumma');
INSERT INTO `lang_definitions` VALUES (747, 934, 2, 'Bröstkorg');
INSERT INTO `lang_definitions` VALUES (748, 935, 2, 'Chest CTAB');
INSERT INTO `lang_definitions` VALUES (749, 936, 2, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (750, 937, 2, 'Bröstsmärta:');
INSERT INTO `lang_definitions` VALUES (751, 938, 2, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (752, 940, 2, 'Byt');
INSERT INTO `lang_definitions` VALUES (753, 942, 2, 'Huvudproblem');
INSERT INTO `lang_definitions` VALUES (754, 943, 2, 'Barn');
INSERT INTO `lang_definitions` VALUES (755, 945, 2, 'Barnvaccinations status');
INSERT INTO `lang_definitions` VALUES (756, 946, 2, 'Frossbrytningar');
INSERT INTO `lang_definitions` VALUES (757, 947, 2, 'Kinesiska');
INSERT INTO `lang_definitions` VALUES (758, 948, 2, 'Kinesiska (Förenklad)');
INSERT INTO `lang_definitions` VALUES (759, 949, 2, 'Kinesiska (traditionell)');
INSERT INTO `lang_definitions` VALUES (760, 951, 2, 'Val');
INSERT INTO `lang_definitions` VALUES (761, 952, 2, 'Kolecystektomi');
INSERT INTO `lang_definitions` VALUES (762, 954, 2, 'Kolecystektomi');
INSERT INTO `lang_definitions` VALUES (763, 955, 2, 'Välj');
INSERT INTO `lang_definitions` VALUES (764, 956, 2, 'Välj ett avsnitt och klicka på ett objekt i den ;i den andra sektionen visas relaterade objekt. Klicka på avsnitten om du vill lägga till och ta bort relationer.');
INSERT INTO `lang_definitions` VALUES (765, 957, 2, 'Välj kriteria');
INSERT INTO `lang_definitions` VALUES (766, 959, 2, 'Välj fil');
INSERT INTO `lang_definitions` VALUES (767, 960, 2, 'Välj från lista');
INSERT INTO `lang_definitions` VALUES (768, 962, 2, 'Välj lista');
INSERT INTO `lang_definitions` VALUES (769, 965, 2, 'Välj utskriftsformat för besöksrapport');
INSERT INTO `lang_definitions` VALUES (770, 967, 2, 'Kronisk bronkit');
INSERT INTO `lang_definitions` VALUES (771, 968, 2, 'Kronisk ledvärk');
INSERT INTO `lang_definitions` VALUES (772, 969, 2, 'Kroniska njurbesvär');
INSERT INTO `lang_definitions` VALUES (773, 970, 2, 'Kronisk synovit / utgjutning / ledvärk / gikt');
INSERT INTO `lang_definitions` VALUES (774, 971, 2, 'Kronisk / Återkommande');
INSERT INTO `lang_definitions` VALUES (775, 973, 2, 'Levercirros');
INSERT INTO `lang_definitions` VALUES (776, 974, 2, 'Levercirros');
INSERT INTO `lang_definitions` VALUES (777, 975, 2, 'Stad');
INSERT INTO `lang_definitions` VALUES (778, 976, 2, 'Stadsnamn');
INSERT INTO `lang_definitions` VALUES (779, 977, 2, 'Stad, stat');
INSERT INTO `lang_definitions` VALUES (780, 978, 2, 'Stad, stat postnummer');
INSERT INTO `lang_definitions` VALUES (781, 979, 2, 'Stad / stat');
INSERT INTO `lang_definitions` VALUES (782, 980, 2, 'Begär');
INSERT INTO `lang_definitions` VALUES (783, 981, 2, 'Begär ');
INSERT INTO `lang_definitions` VALUES (784, 982, 2, 'Begäran status');
INSERT INTO `lang_definitions` VALUES (785, 984, 2, 'Begäran typ');
INSERT INTO `lang_definitions` VALUES (786, 985, 2, 'Begäran skapade fil');
INSERT INTO `lang_definitions` VALUES (787, 986, 2, 'Begäran skapade fil ');
INSERT INTO `lang_definitions` VALUES (788, 987, 2, 'Begäran');
INSERT INTO `lang_definitions` VALUES (789, 988, 2, 'Klassificering');
INSERT INTO `lang_definitions` VALUES (790, 989, 2, 'Rensa');
INSERT INTO `lang_definitions` VALUES (791, 990, 2, 'RENSA AKTIV PATIENT');
INSERT INTO `lang_definitions` VALUES (792, 991, 2, 'Rensa allt');
INSERT INTO `lang_definitions` VALUES (793, 992, 2, 'Rensa HL7 data');
INSERT INTO `lang_definitions` VALUES (794, 993, 2, 'Rensa justering');
INSERT INTO `lang_definitions` VALUES (795, 994, 2, 'Rensa Smarty Cache');
INSERT INTO `lang_definitions` VALUES (796, 996, 2, 'CLIA Antal');
INSERT INTO `lang_definitions` VALUES (797, 997, 2, 'Klicka');
INSERT INTO `lang_definitions` VALUES (798, 998, 2, 'Klicka \'export\' för att exportera din kategori, underkategori, enhet eller innehållsdata till en textfil. Någon likhet mellan denna textfil och en XML-fil är enbart en tillfällighet. Start och sluttaggar måste vara på samma rad, måste vara med små bokstäver och utan mellanrum. För att importera, bläddra efter filen, klicka på \'import\'. Om data är helt annorlunda kommer det läggas till existerande data. Om det finns likvärdiga enhetsnamn kommer de gamla att behållas och de nya läggas till med en siffra i slutet av namnet.');
INSERT INTO `lang_definitions` VALUES (799, 999, 2, 'Klicka på en plats på bilden för att lägga till notering. Klicka igen för att ta bort den.');
INSERT INTO `lang_definitions` VALUES (800, 1000, 2, 'Klicka ”Download Certificate” för att ladda ner certifikatet i filen ssl.zip');
INSERT INTO `lang_definitions` VALUES (801, 1001, 2, 'Klicka för mer');
INSERT INTO `lang_definitions` VALUES (802, 1002, 2, 'Klicka för mer detaljer');
INSERT INTO `lang_definitions` VALUES (803, 1003, 2, 'Klicka för att beställa summering');
INSERT INTO `lang_definitions` VALUES (804, 1004, 2, 'Klicka för resultat');
INSERT INTO `lang_definitions` VALUES (805, 1005, 2, 'Klicka här');
INSERT INTO `lang_definitions` VALUES (806, 1006, 2, 'Klicka här för att lägga till patient');
INSERT INTO `lang_definitions` VALUES (807, 1007, 2, 'Klicka här för att lägga till ny skada, byta status och ändra dagliga aktiviteter');
INSERT INTO `lang_definitions` VALUES (808, 1008, 2, 'Klicka här för att välja ett datum');
INSERT INTO `lang_definitions` VALUES (809, 1009, 2, 'Klicka här för att välja datum och klockslag');
INSERT INTO `lang_definitions` VALUES (810, 1010, 2, 'Klicka här för att välja startdatum');
INSERT INTO `lang_definitions` VALUES (811, 1020, 2, 'Klicka här för att söka');
INSERT INTO `lang_definitions` VALUES (812, 1021, 2, 'Klicka här för att uppdatera prioritet, kategori och smeknamn inställningar');
INSERT INTO `lang_definitions` VALUES (813, 1022, 2, 'Klicka här, för att se alla.');
INSERT INTO `lang_definitions` VALUES (814, 1023, 2, 'Klicka här för att se och rita');
INSERT INTO `lang_definitions` VALUES (815, 1025, 2, 'Klicka här för att se och rita all vitalparametrar');
INSERT INTO `lang_definitions` VALUES (816, 1026, 2, 'Klicka här för att se patient detaljer');
INSERT INTO `lang_definitions` VALUES (817, 1027, 2, 'Klicka här för att se alla');
INSERT INTO `lang_definitions` VALUES (818, 1028, 2, 'Klicka här för att se/ändra mer detaljer');
INSERT INTO `lang_definitions` VALUES (819, 1029, 2, 'Klicka ”install” knappen för att installera databas utgåva sedan följande datum');
INSERT INTO `lang_definitions` VALUES (820, 1030, 2, 'Klicka någonstans på tid för att öka');
INSERT INTO `lang_definitions` VALUES (821, 1031, 2, 'Klicka på patientnamn för att öppna patientfilen');
INSERT INTO `lang_definitions` VALUES (822, 1032, 2, 'Klicka ”uppdatera” för att se alla resultat eller var vänlig ange sökkriterier ovan för att se specifika resultat');
INSERT INTO `lang_definitions` VALUES (823, 1033, 2, 'Klicka för att lägga till diagnos');
INSERT INTO `lang_definitions` VALUES (824, 1034, 2, 'Lklicka för att lägga till komponent');
INSERT INTO `lang_definitions` VALUES (825, 1035, 2, 'Klicka för att lägga till konsultation');
INSERT INTO `lang_definitions` VALUES (826, 1037, 2, 'Klicka för att ladda ner');
INSERT INTO `lang_definitions` VALUES (827, 1038, 2, 'Klicka för att ändra');
INSERT INTO `lang_definitions` VALUES (828, 1039, 2, 'Klicka för att ändra beskrivning');
INSERT INTO `lang_definitions` VALUES (829, 1040, 2, 'Klicka för att ändra denna händelse');
INSERT INTO `lang_definitions` VALUES (830, 1041, 2, 'Klicka för att skapa rapporten');
INSERT INTO `lang_definitions` VALUES (831, 1043, 2, 'Klicka för att skriva ut');
INSERT INTO `lang_definitions` VALUES (832, 1044, 2, 'Klicka för att lägga till/ta emot ny lot');
INSERT INTO `lang_definitions` VALUES (833, 1045, 2, 'Klicka för att välja');
INSERT INTO `lang_definitions` VALUES (834, 1046, 2, 'Klicka för att välja');
INSERT INTO `lang_definitions` VALUES (835, 1047, 2, 'Klicka för att välja en industristandard kod för denna åtgärd');
INSERT INTO `lang_definitions` VALUES (836, 1048, 2, 'Klicka för att välja valbar åtgärdskod');
INSERT INTO `lang_definitions` VALUES (837, 1050, 2, 'Klicka för att välja eller byta CVX kod');
INSERT INTO `lang_definitions` VALUES (838, 1051, 2, 'Klicka för att välja eller ändra diagnoser');
INSERT INTO `lang_definitions` VALUES (839, 1052, 2, 'Klicka för att välja eller ändra tjänst kod');
INSERT INTO `lang_definitions` VALUES (840, 1053, 2, 'Klicka för att välja patient');
INSERT INTO `lang_definitions` VALUES (841, 1054, 2, 'Klicka för att välja tillhörande kod');
INSERT INTO `lang_definitions` VALUES (842, 1055, 2, 'Klicka för att välja tjänster att utföra om resultatet är avvikande');
INSERT INTO `lang_definitions` VALUES (843, 1056, 2, 'Klicka för att välja önskad åtgärd');
INSERT INTO `lang_definitions` VALUES (844, 1057, 2, 'Klicka för att sortera');
INSERT INTO `lang_definitions` VALUES (845, 1058, 2, 'Klicka för att visa eller redigera');
INSERT INTO `lang_definitions` VALUES (846, 1059, 2, 'Klicka för att visa eller redigera');
INSERT INTO `lang_definitions` VALUES (847, 1060, 2, 'Klicka för visa/redigera');
INSERT INTO `lang_definitions` VALUES (848, 1061, 2, 'Klicka Uppdatera knappen för att uppdatera databasutgåvan från följande datum');
INSERT INTO `lang_definitions` VALUES (849, 1063, 2, 'Klicka på:');
INSERT INTO `lang_definitions` VALUES (850, 1064, 2, 'Kund certifikat utgångsdatum');
INSERT INTO `lang_definitions` VALUES (851, 1065, 2, 'kund certifikat giltighetsperiod');
INSERT INTO `lang_definitions` VALUES (852, 1066, 2, 'Kundcertifikats giltighet ska vara ett giltigt nummer');
INSERT INTO `lang_definitions` VALUES (853, 1067, 2, 'kund kopia');
INSERT INTO `lang_definitions` VALUES (854, 1069, 2, 'Sammanfattning av kundens sjukdomshistoria');
INSERT INTO `lang_definitions` VALUES (855, 1070, 2, 'Kund namn');
INSERT INTO `lang_definitions` VALUES (856, 1071, 2, 'Kund nummer');
INSERT INTO `lang_definitions` VALUES (857, 1072, 2, 'Kundprofil - Ny kund');
INSERT INTO `lang_definitions` VALUES (858, 1073, 2, 'Kundprofil - Unika kunder');
INSERT INTO `lang_definitions` VALUES (859, 1074, 2, 'Kunder');
INSERT INTO `lang_definitions` VALUES (860, 1075, 2, 'Klinik');
INSERT INTO `lang_definitions` VALUES (861, 1076, 2, 'Klinik kopiera');
INSERT INTO `lang_definitions` VALUES (862, 1077, 2, 'Kliniken Daily Record');
INSERT INTO `lang_definitions` VALUES (863, 1078, 2, 'Klinik ID');
INSERT INTO `lang_definitions` VALUES (864, 1079, 2, 'Klinisk');
INSERT INTO `lang_definitions` VALUES (865, 1080, 2, 'Kliniskt beslutsstöd Påminnelsehantering');
INSERT INTO `lang_definitions` VALUES (866, 1081, 2, 'Anamnes');
INSERT INTO `lang_definitions` VALUES (867, 1083, 2, 'Klinisk planering');
INSERT INTO `lang_definitions` VALUES (868, 1084, 2, 'Kliniska kvalitetskrav');
INSERT INTO `lang_definitions` VALUES (869, 1087, 2, 'Klinikens påminnelser');
INSERT INTO `lang_definitions` VALUES (870, 1088, 2, 'Klinikens rapporter');
INSERT INTO `lang_definitions` VALUES (871, 1089, 2, 'Kliniskt beslutsstöd Kategorier');
INSERT INTO `lang_definitions` VALUES (872, 1090, 2, 'Kliniskt beslutsstöd Enheter');
INSERT INTO `lang_definitions` VALUES (873, 1091, 2, 'Kliniskt beslutsstöd Urvalsfunktioner');
INSERT INTO `lang_definitions` VALUES (874, 1092, 2, 'Kliniskt beslutsstöd Mål metoder');
INSERT INTO `lang_definitions` VALUES (875, 1093, 2, 'Kliniskt beslutsstöd Enheter');
INSERT INTO `lang_definitions` VALUES (876, 1094, 2, 'Kliniskt beslutsstöd ålders intervaller');
INSERT INTO `lang_definitions` VALUES (877, 1095, 2, 'Kliniskt beslutsstöd jämförelser');
INSERT INTO `lang_definitions` VALUES (878, 1096, 2, 'Kliniskt beslutsstöd Typer av besök');
INSERT INTO `lang_definitions` VALUES (879, 1097, 2, 'Kliniskt beslutsstöd Påminnelser giltighet inställningar');
INSERT INTO `lang_definitions` VALUES (880, 1098, 2, 'Kliniskt beslutsstöd Påminnelser inaktiveringsinställningar');
INSERT INTO `lang_definitions` VALUES (881, 1099, 2, 'Kliniskt beslutsstöd påminnelser intervaller');
INSERT INTO `lang_definitions` VALUES (882, 1100, 2, 'Kliniskt beslutsstöd påminnelser metoder');
INSERT INTO `lang_definitions` VALUES (883, 1101, 2, 'Kliniskt beslutsstöd Mål intervaller');
INSERT INTO `lang_definitions` VALUES (884, 1102, 2, 'Kliniska mål');
INSERT INTO `lang_definitions` VALUES (885, 1103, 2, 'Kliniskt begrepp');
INSERT INTO `lang_definitions` VALUES (886, 1104, 2, 'Kliniska begrepp koder');
INSERT INTO `lang_definitions` VALUES (887, 1106, 2, 'Kliniskt verksamma');
INSERT INTO `lang_definitions` VALUES (888, 1107, 2, 'Kopiera');
INSERT INTO `lang_definitions` VALUES (889, 1108, 2, 'Kopiera tidigare besök');
INSERT INTO `lang_definitions` VALUES (890, 1109, 2, 'Stäng');
INSERT INTO `lang_definitions` VALUES (891, 1111, 2, 'Stäng fönstret');
INSERT INTO `lang_definitions` VALUES (892, 1112, 2, 'Stängt');
INSERT INTO `lang_definitions` VALUES (893, 1113, 2, 'cm');
INSERT INTO `lang_definitions` VALUES (894, 1114, 2, 'CMS 1500 marginal');
INSERT INTO `lang_definitions` VALUES (895, 1118, 2, 'CMS-id');
INSERT INTO `lang_definitions` VALUES (896, 1127, 2, 'CN2-12 intakta');
INSERT INTO `lang_definitions` VALUES (897, 1128, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (898, 1129, 2, 'Medbetalare Betalning');
INSERT INTO `lang_definitions` VALUES (899, 1130, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (900, 1131, 2, 'Kod');
INSERT INTO `lang_definitions` VALUES (901, 1132, 2, 'kod');
INSERT INTO `lang_definitions` VALUES (902, 1133, 2, 'Kodsökare');
INSERT INTO `lang_definitions` VALUES (903, 1134, 2, 'Kod måste vara två bokstäver (små bokstäver)');
INSERT INTO `lang_definitions` VALUES (904, 1135, 2, 'Kod eller symbol för att ange valuta');
INSERT INTO `lang_definitions` VALUES (905, 1136, 2, 'Kod text');
INSERT INTO `lang_definitions` VALUES (906, 1138, 2, 'Kod typer');
INSERT INTO `lang_definitions` VALUES (907, 1141, 2, 'Kod typer');
INSERT INTO `lang_definitions` VALUES (908, 1142, 2, 'Koder');
INSERT INTO `lang_definitions` VALUES (909, 1143, 2, 'Kodad');
INSERT INTO `lang_definitions` VALUES (910, 1144, 2, 'Koder');
INSERT INTO `lang_definitions` VALUES (911, 1145, 2, 'Kodning');
INSERT INTO `lang_definitions` VALUES (912, 1147, 2, 'Kodning – alla besök (skriv, med valbara alternativ)');
INSERT INTO `lang_definitions` VALUES (913, 1148, 2, 'Kodning – mina besök (skriv, med valbara alternativ)');
INSERT INTO `lang_definitions` VALUES (914, 1149, 2, 'Kodning ej godkänd');
INSERT INTO `lang_definitions` VALUES (915, 1150, 2, 'Kaffe');
INSERT INTO `lang_definitions` VALUES (916, 1152, 2, 'Med-försäkring');
INSERT INTO `lang_definitions` VALUES (917, 1153, 2, 'Förf.saml w / o');
INSERT INTO `lang_definitions` VALUES (918, 1154, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (919, 1155, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (920, 1156, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (921, 1157, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (922, 1158, 2, 'Komprimera alla');
INSERT INTO `lang_definitions` VALUES (923, 1160, 2, 'samlings datum');
INSERT INTO `lang_definitions` VALUES (924, 1161, 2, 'Samlingar');
INSERT INTO `lang_definitions` VALUES (925, 1162, 2, 'Samlingsrapport');
INSERT INTO `lang_definitions` VALUES (926, 1163, 2, 'Koloncancer');
INSERT INTO `lang_definitions` VALUES (927, 1164, 2, 'Koloncancer screening');
INSERT INTO `lang_definitions` VALUES (928, 1165, 2, 'Koloncancer Kirurgi');
INSERT INTO `lang_definitions` VALUES (929, 1166, 2, 'Koloskopi');
INSERT INTO `lang_definitions` VALUES (930, 1167, 2, 'Koloskopi');
INSERT INTO `lang_definitions` VALUES (931, 1168, 2, 'Färg');
INSERT INTO `lang_definitions` VALUES (932, 1169, 2, 'Färg förkortning');
INSERT INTO `lang_definitions` VALUES (933, 1170, 2, 'Kolumn');
INSERT INTO `lang_definitions` VALUES (934, 1171, 2, 'Kolumner');
INSERT INTO `lang_definitions` VALUES (935, 1172, 2, 'Slå ihop grupper');
INSERT INTO `lang_definitions` VALUES (936, 1173, 2, 'Komma');
INSERT INTO `lang_definitions` VALUES (937, 1174, 2, 'Kommentar');
INSERT INTO `lang_definitions` VALUES (938, 1175, 2, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (939, 1176, 2, 'Kommentarer om detta resultat eller rekomendation');
INSERT INTO `lang_definitions` VALUES (940, 1177, 2, 'Commercial Insurance Co');
INSERT INTO `lang_definitions` VALUES (941, 1178, 2, 'Godkänn Ändringar');
INSERT INTO `lang_definitions` VALUES (942, 1180, 2, 'Förbindelser');
INSERT INTO `lang_definitions` VALUES (943, 1182, 2, 'Företag');
INSERT INTO `lang_definitions` VALUES (944, 1183, 2, 'Företag namn');
INSERT INTO `lang_definitions` VALUES (945, 1184, 2, 'Komplett');
INSERT INTO `lang_definitions` VALUES (946, 1186, 2, 'Avslutat');
INSERT INTO `lang_definitions` VALUES (947, 1188, 2, 'Klar?');
INSERT INTO `lang_definitions` VALUES (948, 1190, 2, 'Komplikationer orsakade av vårdgivare');
INSERT INTO `lang_definitions` VALUES (949, 1191, 2, 'Abortkomplikationer');
INSERT INTO `lang_definitions` VALUES (950, 1192, 2, 'Enheter');
INSERT INTO `lang_definitions` VALUES (951, 1193, 2, 'Datorstödd Medicinskt beställningssystem');
INSERT INTO `lang_definitions` VALUES (952, 1194, 2, 'Slutsatser');
INSERT INTO `lang_definitions` VALUES (953, 1199, 2, 'Inställningar');
INSERT INTO `lang_definitions` VALUES (954, 1200, 2, 'Inställningar import/export');
INSERT INTO `lang_definitions` VALUES (955, 1202, 2, 'Konfigurera Apache och open EMR för att använda klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (956, 1203, 2, 'Konfigurera Apache att använda Klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (957, 1204, 2, 'Konfigurera apache för att använda HTTPS');
INSERT INTO `lang_definitions` VALUES (958, 1205, 2, 'Konfigurera LIBREEHR för att använda Klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (959, 1208, 2, 'Bekräfta Skapa ny patient');
INSERT INTO `lang_definitions` VALUES (960, 1209, 2, 'Bekräfta Nytt lösenord');
INSERT INTO `lang_definitions` VALUES (961, 1210, 2, 'Bekräfta Betalning');
INSERT INTO `lang_definitions` VALUES (962, 1214, 2, 'Medfödd');
INSERT INTO `lang_definitions` VALUES (963, 1215, 2, 'Konjunktiva, pupiller');
INSERT INTO `lang_definitions` VALUES (964, 1217, 2, 'Sammanbindningar');
INSERT INTO `lang_definitions` VALUES (965, 1218, 2, 'Konstant');
INSERT INTO `lang_definitions` VALUES (966, 1219, 2, 'Konstant namn');
INSERT INTO `lang_definitions` VALUES (967, 1220, 2, 'Konstantnamn är tomt');
INSERT INTO `lang_definitions` VALUES (968, 1221, 2, 'Konstanter');
INSERT INTO `lang_definitions` VALUES (969, 1222, 2, 'Förstoppning');
INSERT INTO `lang_definitions` VALUES (970, 1223, 2, 'Konstitutionella');
INSERT INTO `lang_definitions` VALUES (971, 1226, 2, 'Konsultation, kortfattad beskrivning');
INSERT INTO `lang_definitions` VALUES (972, 1227, 2, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (973, 1228, 2, 'E-postadress');
INSERT INTO `lang_definitions` VALUES (974, 1229, 2, 'Epostadresser');
INSERT INTO `lang_definitions` VALUES (975, 1230, 2, 'Kontakta EMR direkt för att prenumerera på phiMail Direct meddelande service');
INSERT INTO `lang_definitions` VALUES (976, 1231, 2, 'Kontaktinformation');
INSERT INTO `lang_definitions` VALUES (977, 1232, 2, 'Kontaktlinser');
INSERT INTO `lang_definitions` VALUES (978, 1233, 2, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (979, 1234, 2, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (980, 1236, 2, 'Kontaktnamn');
INSERT INTO `lang_definitions` VALUES (981, 1237, 2, 'Kontaktperson');
INSERT INTO `lang_definitions` VALUES (982, 1239, 2, 'Kontakttelefonnummer');
INSERT INTO `lang_definitions` VALUES (983, 1240, 2, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (984, 1241, 2, 'Innehåller minst tre av följande fyra enheter:');
INSERT INTO `lang_definitions` VALUES (985, 1242, 2, 'Behållare Gruppnamn');
INSERT INTO `lang_definitions` VALUES (986, 1243, 2, 'Innehåll');
INSERT INTO `lang_definitions` VALUES (987, 1244, 2, 'innehåll');
INSERT INTO `lang_definitions` VALUES (988, 1245, 2, 'Sammanhang');
INSERT INTO `lang_definitions` VALUES (989, 1246, 2, 'Sammanhangsnamn kan inte vara tomt');
INSERT INTO `lang_definitions` VALUES (990, 1247, 2, 'Fortsätt');
INSERT INTO `lang_definitions` VALUES (991, 1248, 2, 'Vårdplanerings dokument');
INSERT INTO `lang_definitions` VALUES (992, 1249, 2, 'Vårdplanering');
INSERT INTO `lang_definitions` VALUES (993, 1250, 2, 'kontraindikationer');
INSERT INTO `lang_definitions` VALUES (994, 1251, 2, 'Preventivmedel');
INSERT INTO `lang_definitions` VALUES (995, 1252, 2, 'Preventivmedelsproblematik');
INSERT INTO `lang_definitions` VALUES (996, 1253, 2, 'Preventivmedelsproblematik (specificera)');
INSERT INTO `lang_definitions` VALUES (997, 1254, 2, 'Preventivmedel Metod');
INSERT INTO `lang_definitions` VALUES (998, 1255, 2, 'Preventivmedel');
INSERT INTO `lang_definitions` VALUES (999, 1256, 2, 'Preventivmedel, tjänster som tidigare startats');
INSERT INTO `lang_definitions` VALUES (1000, 1257, 2, 'Preventivmedel start');
INSERT INTO `lang_definitions` VALUES (1001, 1258, 2, 'Kontrollnummer');
INSERT INTO `lang_definitions` VALUES (1002, 1259, 2, 'Kontrollnummer');
INSERT INTO `lang_definitions` VALUES (1003, 1261, 2, 'medbetalare');
INSERT INTO `lang_definitions` VALUES (1004, 1262, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (1005, 1263, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (1006, 1264, 2, 'medbetalare nekar');
INSERT INTO `lang_definitions` VALUES (1007, 1266, 2, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (1008, 1267, 2, 'COPD');
INSERT INTO `lang_definitions` VALUES (1009, 1268, 2, 'Kopiera Sidor till Patientdiagram');
INSERT INTO `lang_definitions` VALUES (1010, 1269, 2, 'Kopiera Värderingar');
INSERT INTO `lang_definitions` VALUES (1011, 1270, 2, 'Kopiera databasfilen. Detta tar en stund...');
INSERT INTO `lang_definitions` VALUES (1012, 1271, 2, 'Upphovsrättsskydd');
INSERT INTO `lang_definitions` VALUES (1013, 1273, 2, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (1014, 1274, 2, 'Coronary Artery Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (1015, 1275, 2, 'Rättad');
INSERT INTO `lang_definitions` VALUES (1016, 1277, 2, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (1017, 1278, 2, 'Kunde inte ansluta till CouchDB');
INSERT INTO `lang_definitions` VALUES (1018, 1279, 2, 'CouchDB databas');
INSERT INTO `lang_definitions` VALUES (1019, 1280, 2, 'CouchDB databas namn');
INSERT INTO `lang_definitions` VALUES (1020, 1281, 2, 'CouchDB värd');
INSERT INTO `lang_definitions` VALUES (1021, 1282, 2, 'CouchDB värdnamn');
INSERT INTO `lang_definitions` VALUES (1022, 1283, 2, 'CouchDB log på');
INSERT INTO `lang_definitions` VALUES (1023, 1284, 2, 'CouchDB lösenord');
INSERT INTO `lang_definitions` VALUES (1024, 1285, 2, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (1025, 1286, 2, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (1026, 1288, 2, 'CouchDB användarnamn');
INSERT INTO `lang_definitions` VALUES (1027, 1289, 2, 'Hosta');
INSERT INTO `lang_definitions` VALUES (1028, 1290, 2, 'Hosta:');
INSERT INTO `lang_definitions` VALUES (1029, 1294, 2, 'Kunde ej läsa fil');
INSERT INTO `lang_definitions` VALUES (1030, 1296, 2, 'Kunde inte skicka e-post på grund av en server problem ');
INSERT INTO `lang_definitions` VALUES (1031, 1297, 2, 'Kunde inte skicka e-post på grund av en server problem ');
INSERT INTO `lang_definitions` VALUES (1032, 1298, 2, 'Kunde inte skapa backup');
INSERT INTO `lang_definitions` VALUES (1033, 1299, 2, 'Kunde inte ta bort mapp');
INSERT INTO `lang_definitions` VALUES (1034, 1300, 2, 'Kunde inte ta bort gammal backup fil');
INSERT INTO `lang_definitions` VALUES (1035, 1301, 2, 'Kunde inte ta bort gammal export fil');
INSERT INTO `lang_definitions` VALUES (1036, 1302, 2, 'Waran INR kontroll');
INSERT INTO `lang_definitions` VALUES (1037, 1303, 2, 'Couns av metod');
INSERT INTO `lang_definitions` VALUES (1038, 1304, 2, 'Rådgivning');
INSERT INTO `lang_definitions` VALUES (1039, 1305, 2, 'Rådgivning, Aktivitet');
INSERT INTO `lang_definitions` VALUES (1040, 1306, 2, 'svarsremiss, formulär');
INSERT INTO `lang_definitions` VALUES (1041, 1307, 2, 'Nation');
INSERT INTO `lang_definitions` VALUES (1042, 1308, 2, 'Land');
INSERT INTO `lang_definitions` VALUES (1043, 1309, 2, 'Typ av nationsdata');
INSERT INTO `lang_definitions` VALUES (1044, 1310, 2, 'Nationslista');
INSERT INTO `lang_definitions` VALUES (1045, 1311, 2, 'Nationslista');
INSERT INTO `lang_definitions` VALUES (1046, 1312, 2, 'Nationsnamn ska representeras av två bokstäver');
INSERT INTO `lang_definitions` VALUES (1047, 1313, 2, 'Landsting');
INSERT INTO `lang_definitions` VALUES (1048, 1315, 2, 'kupong');
INSERT INTO `lang_definitions` VALUES (1049, 1318, 2, 'CPT');
INSERT INTO `lang_definitions` VALUES (1050, 1319, 2, 'CPT Koder');
INSERT INTO `lang_definitions` VALUES (1051, 1320, 2, 'CPT Koder');
INSERT INTO `lang_definitions` VALUES (1052, 1321, 2, 'CPT4 Åtgärder/Tjänster');
INSERT INTO `lang_definitions` VALUES (1053, 1322, 2, 'CPTII Mått på utförande');
INSERT INTO `lang_definitions` VALUES (1054, 1323, 2, 'Kvalitetscertifikat (GCP)');
INSERT INTO `lang_definitions` VALUES (1055, 1324, 2, 'Sprickor:');
INSERT INTO `lang_definitions` VALUES (1056, 1325, 2, 'kräm');
INSERT INTO `lang_definitions` VALUES (1057, 1326, 2, 'Skapa klient certifikat SSL för varje användare eller dator');
INSERT INTO `lang_definitions` VALUES (1058, 1327, 2, 'Skapa klientcertifikat för antingen användare eller datornamn');
INSERT INTO `lang_definitions` VALUES (1059, 1329, 2, 'Skapa en händelse');
INSERT INTO `lang_definitions` VALUES (1060, 1330, 2, 'Skapa och ladda ner en fullständig backup');
INSERT INTO `lang_definitions` VALUES (1061, 1332, 2, 'Skapa beackup');
INSERT INTO `lang_definitions` VALUES (1062, 1333, 2, 'Skapa grupp');
INSERT INTO `lang_definitions` VALUES (1063, 1334, 2, 'Skapa kientcertifikat');
INSERT INTO `lang_definitions` VALUES (1064, 1335, 2, 'Skapa klient SSL certifikat');
INSERT INTO `lang_definitions` VALUES (1065, 1336, 2, 'Skapa kopia');
INSERT INTO `lang_definitions` VALUES (1066, 1338, 2, 'Skapa backup av händelselog');
INSERT INTO `lang_definitions` VALUES (1067, 1339, 2, 'Skapa ny aktivitet');
INSERT INTO `lang_definitions` VALUES (1068, 1340, 2, 'Skapa ny patient');
INSERT INTO `lang_definitions` VALUES (1069, 1342, 2, 'Skapa externa port rättigheter');
INSERT INTO `lang_definitions` VALUES (1070, 1343, 2, 'Skapa interna port rättigheter');
INSERT INTO `lang_definitions` VALUES (1071, 1344, 2, 'Skapa Patientanteckning');
INSERT INTO `lang_definitions` VALUES (1072, 1345, 2, 'Skapa SSL certifikat utgivare och server certifikat');
INSERT INTO `lang_definitions` VALUES (1073, 1346, 2, 'Skapa besök');
INSERT INTO `lang_definitions` VALUES (1074, 1347, 2, 'Skapad');
INSERT INTO `lang_definitions` VALUES (1075, 1348, 2, 'Skapa exportfil');
INSERT INTO `lang_definitions` VALUES (1076, 1350, 2, 'Skapande av fil på värden misslyckades');
INSERT INTO `lang_definitions` VALUES (1077, 1351, 2, 'Skapare');
INSERT INTO `lang_definitions` VALUES (1078, 1352, 2, 'kredit');
INSERT INTO `lang_definitions` VALUES (1079, 1353, 2, 'Kreditkort');
INSERT INTO `lang_definitions` VALUES (1080, 1354, 2, 'Kredit');
INSERT INTO `lang_definitions` VALUES (1081, 1356, 2, 'Kriterier');
INSERT INTO `lang_definitions` VALUES (1082, 1358, 2, 'Crohn\'s sjukdom');
INSERT INTO `lang_definitions` VALUES (1083, 1359, 2, 'Chrons sjukdom');
INSERT INTO `lang_definitions` VALUES (1084, 1360, 2, 'export av kommaseparerad lista');
INSERT INTO `lang_definitions` VALUES (1085, 1361, 2, 'Kommaseparerad fil');
INSERT INTO `lang_definitions` VALUES (1086, 1362, 2, 'Kommaseparerad tabell');
INSERT INTO `lang_definitions` VALUES (1087, 1363, 2, 'Kubikmillimeter');
INSERT INTO `lang_definitions` VALUES (1088, 1364, 2, 'Kuban');
INSERT INTO `lang_definitions` VALUES (1089, 1365, 2, 'Valuta decimaler');
INSERT INTO `lang_definitions` VALUES (1090, 1366, 2, 'Valuta decimaltecken');
INSERT INTO `lang_definitions` VALUES (1091, 1367, 2, 'Valutatecken');
INSERT INTO `lang_definitions` VALUES (1092, 1368, 2, 'Valuta tusenseparator');
INSERT INTO `lang_definitions` VALUES (1093, 1369, 2, 'Pågående');
INSERT INTO `lang_definitions` VALUES (1094, 1370, 2, 'Alkohol aktuellt');
INSERT INTO `lang_definitions` VALUES (1095, 1371, 2, 'Pågående konsultation');
INSERT INTO `lang_definitions` VALUES (1096, 1372, 2, 'Aktuella kriterier');
INSERT INTO `lang_definitions` VALUES (1097, 1373, 2, 'Markeringsfärg för aktuell dag');
INSERT INTO `lang_definitions` VALUES (1098, 1374, 2, 'Röker dagligen');
INSERT INTO `lang_definitions` VALUES (1099, 1375, 2, 'Nuvarande filnamn är ändrat till');
INSERT INTO `lang_definitions` VALUES (1100, 1376, 2, 'Använder hash');
INSERT INTO `lang_definitions` VALUES (1101, 1377, 2, 'Nuvarande lokalisation');
INSERT INTO `lang_definitions` VALUES (1102, 1378, 2, 'Aktuell medicinering');
INSERT INTO `lang_definitions` VALUES (1103, 1379, 2, 'Aktuellt lösenord');
INSERT INTO `lang_definitions` VALUES (1104, 1380, 2, 'Pågående patient');
INSERT INTO `lang_definitions` VALUES (1105, 1382, 2, 'Aktuella droger');
INSERT INTO `lang_definitions` VALUES (1106, 1383, 2, 'Tillfällighetsrökare');
INSERT INTO `lang_definitions` VALUES (1107, 1386, 2, 'För närvarande Aktiv');
INSERT INTO `lang_definitions` VALUES (1108, 1387, 2, 'Pågår');
INSERT INTO `lang_definitions` VALUES (1109, 1388, 2, 'Ingen aktuell klinik');
INSERT INTO `lang_definitions` VALUES (1110, 1389, 2, 'Cushing Syndrom');
INSERT INTO `lang_definitions` VALUES (1111, 1390, 2, 'Cushings syndrom');
INSERT INTO `lang_definitions` VALUES (1112, 1392, 2, 'Anpassad');
INSERT INTO `lang_definitions` VALUES (1113, 1393, 2, 'Anpassat input');
INSERT INTO `lang_definitions` VALUES (1114, 1394, 2, 'Anpassad tabell');
INSERT INTO `lang_definitions` VALUES (1115, 1396, 2, 'CVX kod');
INSERT INTO `lang_definitions` VALUES (1116, 1397, 2, 'CVX kod koppling');
INSERT INTO `lang_definitions` VALUES (1117, 1398, 2, 'CVX vaccination');
INSERT INTO `lang_definitions` VALUES (1118, 1400, 2, 'CYP');
INSERT INTO `lang_definitions` VALUES (1119, 1401, 2, 'CYP Factor');
INSERT INTO `lang_definitions` VALUES (1120, 1402, 2, 'CYP Rapport');
INSERT INTO `lang_definitions` VALUES (1121, 1403, 2, 'Tjeckisk');
INSERT INTO `lang_definitions` VALUES (1122, 1404, 2, 'D');
INSERT INTO `lang_definitions` VALUES (1123, 1405, 2, 'D & C');
INSERT INTO `lang_definitions` VALUES (1124, 1406, 2, 'D & E');
INSERT INTO `lang_definitions` VALUES (1125, 1407, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1126, 1408, 2, 'dagligen');
INSERT INTO `lang_definitions` VALUES (1127, 1409, 2, 'Daglig registrering');
INSERT INTO `lang_definitions` VALUES (1128, 1410, 2, 'dansk');
INSERT INTO `lang_definitions` VALUES (1129, 1411, 2, 'Liknande data finns redan i databasen, ändra koden och / eller beskrivning');
INSERT INTO `lang_definitions` VALUES (1130, 1412, 2, 'Liknande data finns redan i databasen, ändra koden och / eller beskrivning');
INSERT INTO `lang_definitions` VALUES (1131, 1413, 2, 'Data kolumner');
INSERT INTO `lang_definitions` VALUES (1132, 1416, 2, 'Data fel');
INSERT INTO `lang_definitions` VALUES (1133, 1420, 2, 'Datattyp');
INSERT INTO `lang_definitions` VALUES (1134, 1421, 2, 'Databas');
INSERT INTO `lang_definitions` VALUES (1135, 1422, 2, 'Databas är inte installerad');
INSERT INTO `lang_definitions` VALUES (1136, 1423, 2, 'databas revision');
INSERT INTO `lang_definitions` VALUES (1137, 1424, 2, 'Databasrapportering');
INSERT INTO `lang_definitions` VALUES (1138, 1425, 2, 'Uppdatering av databas avslutad');
INSERT INTO `lang_definitions` VALUES (1139, 1426, 2, 'Datacols måste ha ett nummer mellan 1 och 999');
INSERT INTO `lang_definitions` VALUES (1140, 1427, 2, 'Datum');
INSERT INTO `lang_definitions` VALUES (1141, 1428, 2, 'DATUM');
INSERT INTO `lang_definitions` VALUES (1142, 1429, 2, 'Hantering av datum och tid');
INSERT INTO `lang_definitions` VALUES (1143, 1431, 2, 'Administreringsdatum');
INSERT INTO `lang_definitions` VALUES (1144, 1432, 2, 'datum och tid för insamling');
INSERT INTO `lang_definitions` VALUES (1145, 1433, 2, 'datum och tid för observation');
INSERT INTO `lang_definitions` VALUES (1146, 1435, 2, 'Datum och tid när provet togs');
INSERT INTO `lang_definitions` VALUES (1147, 1436, 2, 'datum kan inte vara senare än idag');
INSERT INTO `lang_definitions` VALUES (1148, 1437, 2, 'Datum då preventivmeddel insattes för första gången');
INSERT INTO `lang_definitions` VALUES (1149, 1438, 2, 'Skapat datum');
INSERT INTO `lang_definitions` VALUES (1150, 1439, 2, 'Datum avslutad');
INSERT INTO `lang_definitions` VALUES (1151, 1440, 2, 'Förstörd datum');
INSERT INTO `lang_definitions` VALUES (1152, 1441, 2, 'Sätt att visa datum');
INSERT INTO `lang_definitions` VALUES (1153, 1442, 2, 'Datumformat för \"mötet slutar\" är inte giltigt');
INSERT INTO `lang_definitions` VALUES (1154, 1443, 2, 'Datumformat för \"mötet startat \"är inte giltig');
INSERT INTO `lang_definitions` VALUES (1155, 1444, 2, 'Datumformat för \"Nästa Möte\" är inte giltig');
INSERT INTO `lang_definitions` VALUES (1156, 1445, 2, 'Datumformat för \"sista besök\" är inte giltig');
INSERT INTO `lang_definitions` VALUES (1157, 1446, 2, 'Datumformat för \"sista besök\" är inte giltig');
INSERT INTO `lang_definitions` VALUES (1158, 1447, 2, 'Datum för vaccinationsinformation');
INSERT INTO `lang_definitions` VALUES (1159, 1448, 2, 'Datum saknas för kod ');
INSERT INTO `lang_definitions` VALUES (1160, 1449, 2, 'Huvudsakligt kriterium för datum');
INSERT INTO `lang_definitions` VALUES (1161, 1450, 2, 'Datum för bankinsättning åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1162, 1451, 2, 'datum för fakturering');
INSERT INTO `lang_definitions` VALUES (1163, 1452, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1164, 1453, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1165, 1454, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1166, 1455, 2, 'datum för registrering');
INSERT INTO `lang_definitions` VALUES (1167, 1456, 2, 'Datum för skada');
INSERT INTO `lang_definitions` VALUES (1168, 1458, 2, 'Datum för betalning åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1169, 1459, 2, 'Remissdatum');
INSERT INTO `lang_definitions` VALUES (1170, 1460, 2, 'Svarsdatum');
INSERT INTO `lang_definitions` VALUES (1171, 1461, 2, 'Rapportdatum');
INSERT INTO `lang_definitions` VALUES (1172, 1462, 2, 'Datum för tjänsten');
INSERT INTO `lang_definitions` VALUES (1173, 1463, 2, 'Datum för tjänst');
INSERT INTO `lang_definitions` VALUES (1174, 1464, 2, 'datum för tjänsten = idag');
INSERT INTO `lang_definitions` VALUES (1175, 1465, 2, 'Datum för tjänst MM / DD / ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (1176, 1466, 2, 'Datum för tjänst:');
INSERT INTO `lang_definitions` VALUES (1177, 1467, 2, 'datum för signering');
INSERT INTO `lang_definitions` VALUES (1178, 1468, 2, 'datum för förändrat status');
INSERT INTO `lang_definitions` VALUES (1179, 1469, 2, 'Orderdatum');
INSERT INTO `lang_definitions` VALUES (1180, 1470, 2, 'Rapportdatum');
INSERT INTO `lang_definitions` VALUES (1181, 1471, 2, 'Datum för VIS deklaration');
INSERT INTO `lang_definitions` VALUES (1182, 1472, 2, 'datum beställd');
INSERT INTO `lang_definitions` VALUES (1183, 1475, 2, 'Val av datum');
INSERT INTO `lang_definitions` VALUES (1184, 1476, 2, 'Skickat datum');
INSERT INTO `lang_definitions` VALUES (1185, 1477, 2, 'Datum då meddelande skickades');
INSERT INTO `lang_definitions` VALUES (1186, 1479, 2, 'datumvärde kan inte vara tomt.');
INSERT INTO `lang_definitions` VALUES (1187, 1480, 2, 'datum/planerat besök');
INSERT INTO `lang_definitions` VALUES (1188, 1481, 2, 'Datum/anteckningar');
INSERT INTO `lang_definitions` VALUES (1189, 1482, 2, 'Datum / Anteckningar, senast');
INSERT INTO `lang_definitions` VALUES (1190, 1483, 2, 'datum/tid');
INSERT INTO `lang_definitions` VALUES (1191, 1484, 2, 'Datum:');
INSERT INTO `lang_definitions` VALUES (1192, 1485, 2, 'Daterad meddelande log');
INSERT INTO `lang_definitions` VALUES (1193, 1486, 2, 'Dag');
INSERT INTO `lang_definitions` VALUES (1194, 1487, 2, 'dag');
INSERT INTO `lang_definitions` VALUES (1195, 1489, 2, 'Överblick dag');
INSERT INTO `lang_definitions` VALUES (1196, 1490, 2, 'Dag (ar)');
INSERT INTO `lang_definitions` VALUES (1197, 1491, 2, 'Dag (ar) M-F');
INSERT INTO `lang_definitions` VALUES (1198, 1492, 2, 'dagar');
INSERT INTO `lang_definitions` VALUES (1199, 1493, 2, 'Dagar');
INSERT INTO `lang_definitions` VALUES (1200, 1494, 2, 'dagar sedan');
INSERT INTO `lang_definitions` VALUES (1201, 1495, 2, 'Dagar och spel Missade');
INSERT INTO `lang_definitions` VALUES (1202, 1496, 2, 'Dagar från förra mötet');
INSERT INTO `lang_definitions` VALUES (1203, 1497, 2, 'Missade dagar');
INSERT INTO `lang_definitions` VALUES (1204, 1498, 2, 'Dagar per Kolumn:');
INSERT INTO `lang_definitions` VALUES (1205, 1500, 2, 'dagar/kolumner');
INSERT INTO `lang_definitions` VALUES (1206, 1501, 2, 'DB installerad');
INSERT INTO `lang_definitions` VALUES (1207, 1502, 2, 'DD/MM/ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (1208, 1503, 2, 'Avidentifiering');
INSERT INTO `lang_definitions` VALUES (1209, 1504, 2, 'Avidentifiering komplett');
INSERT INTO `lang_definitions` VALUES (1210, 1505, 2, 'Avidentifiering pågår');
INSERT INTO `lang_definitions` VALUES (1211, 1506, 2, 'Avidentifiering påpbörjad och sker i bakgrunden');
INSERT INTO `lang_definitions` VALUES (1212, 1507, 2, 'Avidentifiering kanske inte är komplett');
INSERT INTO `lang_definitions` VALUES (1213, 1508, 2, 'Avidentifierade filer sparas i');
INSERT INTO `lang_definitions` VALUES (1214, 1509, 2, 'Läkemedelsverket (DEA)');
INSERT INTO `lang_definitions` VALUES (1215, 1511, 2, 'Döv');
INSERT INTO `lang_definitions` VALUES (1216, 1512, 2, 'Debuginformation');
INSERT INTO `lang_definitions` VALUES (1217, 1514, 2, 'Debugging');
INSERT INTO `lang_definitions` VALUES (1218, 1515, 2, 'Dec');
INSERT INTO `lang_definitions` VALUES (1219, 1516, 2, 'Avslutad');
INSERT INTO `lang_definitions` VALUES (1220, 1517, 2, 'December');
INSERT INTO `lang_definitions` VALUES (1221, 1518, 2, 'Decimal pound eller pound/ounces delas med # (ex 5#4)');
INSERT INTO `lang_definitions` VALUES (1222, 1520, 2, 'Avdragsgill');
INSERT INTO `lang_definitions` VALUES (1223, 1521, 2, 'Genomförda avdrag');
INSERT INTO `lang_definitions` VALUES (1224, 1522, 2, 'Standard');
INSERT INTO `lang_definitions` VALUES (1225, 1523, 2, 'Standard Kalender vy');
INSERT INTO `lang_definitions` VALUES (1226, 1524, 2, 'Standard Besöksformulär Id');
INSERT INTO `lang_definitions` VALUES (1227, 1526, 2, 'Standard Klinik');
INSERT INTO `lang_definitions` VALUES (1228, 1527, 2, 'Standardspråk');
INSERT INTO `lang_definitions` VALUES (1229, 1528, 2, 'Standardspråk ifall inget annat är tillåtet eller valt');
INSERT INTO `lang_definitions` VALUES (1230, 1529, 2, 'Standardlista');
INSERT INTO `lang_definitions` VALUES (1231, 1530, 2, 'Standardmetod');
INSERT INTO `lang_definitions` VALUES (1232, 1531, 2, 'Standard tid för lösenords giltighet');
INSERT INTO `lang_definitions` VALUES (1233, 1532, 2, 'Standardtid för lösenords giltighetstid. 0 innebär oändlig giltighet.');
INSERT INTO `lang_definitions` VALUES (1234, 1533, 2, 'Standard patient land');
INSERT INTO `lang_definitions` VALUES (1235, 1535, 2, 'Standard prioritet');
INSERT INTO `lang_definitions` VALUES (1236, 1536, 2, 'Standard vårdgivare');
INSERT INTO `lang_definitions` VALUES (1237, 1537, 2, 'Standard range');
INSERT INTO `lang_definitions` VALUES (1238, 1538, 2, 'Standard kontaktorsak');
INSERT INTO `lang_definitions` VALUES (1239, 1540, 2, 'Standard inställningar');
INSERT INTO `lang_definitions` VALUES (1240, 1541, 2, 'Normalt status för \'Nytt fönster\' markering i patientlistan');
INSERT INTO `lang_definitions` VALUES (1241, 1542, 2, 'Standardmall');
INSERT INTO `lang_definitions` VALUES (1242, 1546, 2, 'Standard enhet');
INSERT INTO `lang_definitions` VALUES (1243, 1547, 2, 'Standardvärde');
INSERT INTO `lang_definitions` VALUES (1244, 1548, 2, 'Standard lager');
INSERT INTO `lang_definitions` VALUES (1245, 1549, 2, 'Standard X12 Partner');
INSERT INTO `lang_definitions` VALUES (1246, 1550, 2, 'Default / Global');
INSERT INTO `lang_definitions` VALUES (1247, 1551, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1248, 1552, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1249, 1553, 2, 'Fördröjd Återkommande (> 12 mån)');
INSERT INTO `lang_definitions` VALUES (1250, 1554, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1251, 1555, 2, 'ta bort');
INSERT INTO `lang_definitions` VALUES (1252, 1556, 2, 'Radera Kategorier med ID (s): ');
INSERT INTO `lang_definitions` VALUES (1253, 1557, 2, 'Radera katogori');
INSERT INTO `lang_definitions` VALUES (1254, 1559, 2, 'Kunde ej radera!');
INSERT INTO `lang_definitions` VALUES (1255, 1560, 2, 'Ta bort grupp');
INSERT INTO `lang_definitions` VALUES (1256, 1561, 2, 'Ta bort lista');
INSERT INTO `lang_definitions` VALUES (1257, 1562, 2, 'Radera Sidor');
INSERT INTO `lang_definitions` VALUES (1258, 1563, 2, 'Ta bort patient, Möte, Formulär, Ämne, Dokument, Betalning, Fakturering eller transaktionstryck');
INSERT INTO `lang_definitions` VALUES (1259, 1565, 2, 'Ta bort rad');
INSERT INTO `lang_definitions` VALUES (1260, 1566, 2, 'Ta bort markerade enheter');
INSERT INTO `lang_definitions` VALUES (1261, 1568, 2, 'Borttagning OK');
INSERT INTO `lang_definitions` VALUES (1262, 1569, 2, 'Radera detta dokument');
INSERT INTO `lang_definitions` VALUES (1263, 1570, 2, 'Radera detta formulär');
INSERT INTO `lang_definitions` VALUES (1264, 1571, 2, 'Radera denna anteckning');
INSERT INTO `lang_definitions` VALUES (1265, 1573, 2, 'Borttagning OK');
INSERT INTO `lang_definitions` VALUES (1266, 1574, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1267, 1575, 2, 'Borttagen händelse kan inte återskapas. Är du säker på att du vill ta bort händelsen?');
INSERT INTO `lang_definitions` VALUES (1268, 1576, 2, 'Leverans bekräftad');
INSERT INTO `lang_definitions` VALUES (1269, 1578, 2, 'Leverans är inte tillåten till specificerad direkt adress.');
INSERT INTO `lang_definitions` VALUES (1270, 1580, 2, 'Leverans av bifogat kliniskt dokument var begärt av patienten');
INSERT INTO `lang_definitions` VALUES (1271, 1581, 2, 'Demens');
INSERT INTO `lang_definitions` VALUES (1272, 1582, 2, 'Demografi');
INSERT INTO `lang_definitions` VALUES (1273, 1583, 2, 'Demografi');
INSERT INTO `lang_definitions` VALUES (1274, 1585, 2, 'Demografi filter kriterier');
INSERT INTO `lang_definitions` VALUES (1275, 1586, 2, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (1276, 1587, 2, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (1277, 1588, 2, 'Nekad');
INSERT INTO `lang_definitions` VALUES (1278, 1589, 2, 'Nämnare');
INSERT INTO `lang_definitions` VALUES (1279, 1590, 2, 'Dental');
INSERT INTO `lang_definitions` VALUES (1280, 1591, 2, 'Tandvård ärende lista');
INSERT INTO `lang_definitions` VALUES (1281, 1592, 2, 'Tandvårds ärenden');
INSERT INTO `lang_definitions` VALUES (1282, 1595, 2, 'Beroende på vilken typ av räkning som testas kommer man kunna se HCFA liknande utskrift på blankt papper om HFCA-räkning testas, flera rader med blurrig text och information ifall X12-claim testas. Denna text är X12 EDI 4010A format. Ibland ser man udda konstiga tecken som liknar små figurer. Detta är kontrolltecken för sidmatning mm och det är helt normalt.');
INSERT INTO `lang_definitions` VALUES (1283, 1596, 2, 'Insättningsdatum');
INSERT INTO `lang_definitions` VALUES (1284, 1597, 2, 'Insättningsdatum kan inte vara senare än idag.');
INSERT INTO `lang_definitions` VALUES (1285, 1598, 2, 'Insättning Datum:');
INSERT INTO `lang_definitions` VALUES (1286, 1599, 2, 'Deprimerad');
INSERT INTO `lang_definitions` VALUES (1287, 1600, 2, 'Depression');
INSERT INTO `lang_definitions` VALUES (1288, 1602, 2, 'Beskrivning');
INSERT INTO `lang_definitions` VALUES (1289, 1603, 2, 'beskrivning');
INSERT INTO `lang_definitions` VALUES (1290, 1605, 2, 'Beskrivning av upptäckten');
INSERT INTO `lang_definitions` VALUES (1291, 1606, 2, 'Beskrivning av åtgärden eller resultatkod');
INSERT INTO `lang_definitions` VALUES (1292, 1607, 2, 'Beskrivning översättning');
INSERT INTO `lang_definitions` VALUES (1293, 1609, 2, 'Mål');
INSERT INTO `lang_definitions` VALUES (1294, 1610, 2, 'Målfilnamn');
INSERT INTO `lang_definitions` VALUES (1295, 1611, 2, 'Förstör Parti');
INSERT INTO `lang_definitions` VALUES (1296, 1612, 2, 'Förstör ...');
INSERT INTO `lang_definitions` VALUES (1297, 1613, 2, 'Förstörd');
INSERT INTO `lang_definitions` VALUES (1298, 1614, 2, 'Förstörda läkemedel');
INSERT INTO `lang_definitions` VALUES (1299, 1615, 2, 'Förstöras narkotika Rapport');
INSERT INTO `lang_definitions` VALUES (1300, 1616, 2, 'Detalj');
INSERT INTO `lang_definitions` VALUES (1301, 1617, 2, 'Detaljer');
INSERT INTO `lang_definitions` VALUES (1302, 1619, 2, 'Utvecklingsstörning');
INSERT INTO `lang_definitions` VALUES (1303, 1620, 2, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (1304, 1621, 2, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (1305, 1622, 2, 'Diabetes: Blodtryckskontroll');
INSERT INTO `lang_definitions` VALUES (1306, 1623, 2, 'Diabetes: Ögonundersökning');
INSERT INTO `lang_definitions` VALUES (1307, 1624, 2, 'Diabetes: Ögonundersökning');
INSERT INTO `lang_definitions` VALUES (1308, 1625, 2, 'Diabetes: Fotundersökning');
INSERT INTO `lang_definitions` VALUES (1309, 1626, 2, 'Diabetes: Fotundersökning');
INSERT INTO `lang_definitions` VALUES (1310, 1627, 2, 'Diabetes: HbA1c dåligt reglerat');
INSERT INTO `lang_definitions` VALUES (1311, 1628, 2, 'Diabetes: HbA1c');
INSERT INTO `lang_definitions` VALUES (1312, 1629, 2, 'Diabetes: Blodfetter');
INSERT INTO `lang_definitions` VALUES (1313, 1630, 2, 'Diabetes: Urin microalbumin');
INSERT INTO `lang_definitions` VALUES (1314, 1631, 2, 'Diag');
INSERT INTO `lang_definitions` VALUES (1315, 1632, 2, 'Diagnoser');
INSERT INTO `lang_definitions` VALUES (1316, 1633, 2, 'Diagnos');
INSERT INTO `lang_definitions` VALUES (1317, 1634, 2, 'Diagnoskod');
INSERT INTO `lang_definitions` VALUES (1318, 1636, 2, 'Diagnos datum');
INSERT INTO `lang_definitions` VALUES (1319, 1637, 2, 'Diagnos måste kodas in i ett länkat patientmöte');
INSERT INTO `lang_definitions` VALUES (1320, 1638, 2, 'Diagnos namn');
INSERT INTO `lang_definitions` VALUES (1321, 1639, 2, 'Diagnos rapport');
INSERT INTO `lang_definitions` VALUES (1322, 1640, 2, 'Diagnos rapport');
INSERT INTO `lang_definitions` VALUES (1323, 1641, 2, 'Diagnos rapport enbart');
INSERT INTO `lang_definitions` VALUES (1324, 1642, 2, 'Diagnos titel');
INSERT INTO `lang_definitions` VALUES (1325, 1643, 2, 'Diagnos:');
INSERT INTO `lang_definitions` VALUES (1326, 1644, 2, 'Diagnos: ');
INSERT INTO `lang_definitions` VALUES (1327, 1645, 2, 'Diagnostiska tester:');
INSERT INTO `lang_definitions` VALUES (1328, 1646, 2, 'Skala');
INSERT INTO `lang_definitions` VALUES (1329, 1647, 2, 'Membran/kapsel');
INSERT INTO `lang_definitions` VALUES (1330, 1648, 2, 'Diarée');
INSERT INTO `lang_definitions` VALUES (1331, 1650, 2, 'Diktat');
INSERT INTO `lang_definitions` VALUES (1332, 1651, 2, 'Diktat: ');
INSERT INTO `lang_definitions` VALUES (1333, 1652, 2, 'Fick du en kopia av denna HIPAA notering?');
INSERT INTO `lang_definitions` VALUES (1334, 1653, 2, 'Diffus');
INSERT INTO `lang_definitions` VALUES (1335, 1654, 2, 'Digitalt signerad');
INSERT INTO `lang_definitions` VALUES (1336, 1657, 2, 'Direkt mail');
INSERT INTO `lang_definitions` VALUES (1337, 1658, 2, 'Log på direktmeddelande');
INSERT INTO `lang_definitions` VALUES (1338, 1659, 2, 'Direkt meddelande mottaget');
INSERT INTO `lang_definitions` VALUES (1339, 1660, 2, 'Direkt meddelande ej tillgängligt');
INSERT INTO `lang_definitions` VALUES (1340, 1661, 2, 'Kunde ej skicka direkt meddelande');
INSERT INTO `lang_definitions` VALUES (1341, 1663, 2, 'Arbetsledare, namn');
INSERT INTO `lang_definitions` VALUES (1342, 1664, 2, 'Kunde ej ta bort mapp. Fortsätt');
INSERT INTO `lang_definitions` VALUES (1343, 1665, 2, 'Funktionshinder');
INSERT INTO `lang_definitions` VALUES (1344, 1667, 2, 'Stäng av kalender');
INSERT INTO `lang_definitions` VALUES (1345, 1668, 2, 'Stäng av spårning av patientkort');
INSERT INTO `lang_definitions` VALUES (1346, 1669, 2, 'Stäng av vaccination');
INSERT INTO `lang_definitions` VALUES (1347, 1670, 2, 'Stäng av gammal metrisk vitala tecken formulär');
INSERT INTO `lang_definitions` VALUES (1348, 1672, 2, 'Stäng av phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (1349, 1673, 2, 'Stäng av receptförskrivning');
INSERT INTO `lang_definitions` VALUES (1350, 1674, 2, 'Stäng av användargrupp');
INSERT INTO `lang_definitions` VALUES (1351, 1675, 2, 'funktionshindrade');
INSERT INTO `lang_definitions` VALUES (1352, 1676, 2, 'Funktionshindrade');
INSERT INTO `lang_definitions` VALUES (1353, 1677, 2, 'Handikappad under 65 år med LGHP-försäkring');
INSERT INTO `lang_definitions` VALUES (1354, 1678, 2, 'Disk');
INSERT INTO `lang_definitions` VALUES (1355, 1681, 2, 'Utskrivning');
INSERT INTO `lang_definitions` VALUES (1356, 1682, 2, 'Flytningar från urinröret');
INSERT INTO `lang_definitions` VALUES (1357, 1684, 2, 'Rätt utskriven');
INSERT INTO `lang_definitions` VALUES (1358, 1685, 2, 'Rätt utskriven');
INSERT INTO `lang_definitions` VALUES (1359, 1688, 2, 'Utskriven');
INSERT INTO `lang_definitions` VALUES (1360, 1689, 2, 'Kvitto information');
INSERT INTO `lang_definitions` VALUES (1361, 1690, 2, 'Kvitto typ');
INSERT INTO `lang_definitions` VALUES (1362, 1691, 2, 'Kvitton typer');
INSERT INTO `lang_definitions` VALUES (1363, 1692, 2, 'Kvitton');
INSERT INTO `lang_definitions` VALUES (1364, 1694, 2, 'Rabatt');
INSERT INTO `lang_definitions` VALUES (1365, 1695, 2, 'Rabatt Belopp');
INSERT INTO `lang_definitions` VALUES (1366, 1696, 2, 'Rabatt nivå');
INSERT INTO `lang_definitions` VALUES (1367, 1697, 2, 'Rabatt procent');
INSERT INTO `lang_definitions` VALUES (1368, 1698, 2, 'Rabatt som belopp');
INSERT INTO `lang_definitions` VALUES (1369, 1699, 2, 'Rabatt vid checkout skrivs in som belopp i stället för som procent');
INSERT INTO `lang_definitions` VALUES (1370, 1700, 2, 'Diskreta resultat');
INSERT INTO `lang_definitions` VALUES (1371, 1701, 2, 'Sjukdom');
INSERT INTO `lang_definitions` VALUES (1372, 1702, 2, 'Förskjutning');
INSERT INTO `lang_definitions` VALUES (1373, 1703, 2, 'Antal:');
INSERT INTO `lang_definitions` VALUES (1374, 1704, 2, 'Skicka i väg');
INSERT INTO `lang_definitions` VALUES (1375, 1705, 2, 'Skicka mottagna dokument');
INSERT INTO `lang_definitions` VALUES (1376, 1706, 2, 'Utlämnad');
INSERT INTO `lang_definitions` VALUES (1377, 1707, 2, 'Visa avancerade inställningar på demografisidan');
INSERT INTO `lang_definitions` VALUES (1378, 1709, 2, 'Visa händelsedatum i blocket?');
INSERT INTO `lang_definitions` VALUES (1379, 1710, 2, 'Visa format får US vikter?');
INSERT INTO `lang_definitions` VALUES (1380, 1711, 2, 'Visa hur många händelser?');
INSERT INTO `lang_definitions` VALUES (1381, 1713, 2, 'Visa plats i blocket?');
INSERT INTO `lang_definitions` VALUES (1382, 1714, 2, 'Visa namn');
INSERT INTO `lang_definitions` VALUES (1383, 1715, 2, 'Visa kalender?');
INSERT INTO `lang_definitions` VALUES (1384, 1718, 2, 'Display dagens händelser i blocket?');
INSERT INTO `lang_definitions` VALUES (1385, 1719, 2, 'Visa ämne i blocket?');
INSERT INTO `lang_definitions` VALUES (1386, 1720, 2, 'Visa kommande händelser i blocket?');
INSERT INTO `lang_definitions` VALUES (1387, 1721, 2, 'Visa kommande händelser i blocket?');
INSERT INTO `lang_definitions` VALUES (1388, 1722, 2, 'Visa följande antal av de senaste meddelandena.');
INSERT INTO `lang_definitions` VALUES (1389, 1723, 2, 'Visa följande antal av senaste noteringarna');
INSERT INTO `lang_definitions` VALUES (1390, 1724, 2, 'Visa följande antal av de senaste noteringarna');
INSERT INTO `lang_definitions` VALUES (1391, 1725, 2, 'Distrubition');
INSERT INTO `lang_definitions` VALUES (1392, 1726, 2, 'Distribution');
INSERT INTO `lang_definitions` VALUES (1393, 1727, 2, 'Leverantör');
INSERT INTO `lang_definitions` VALUES (1394, 1729, 2, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (1395, 1730, 2, 'Divertikulit kirurgi');
INSERT INTO `lang_definitions` VALUES (1396, 1731, 2, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (1397, 1732, 2, 'Divertikulit Kirurgi');
INSERT INTO `lang_definitions` VALUES (1398, 1733, 2, 'Skild');
INSERT INTO `lang_definitions` VALUES (1399, 1734, 2, 'Yrsel:');
INSERT INTO `lang_definitions` VALUES (1400, 1735, 2, 'Ändra inte');
INSERT INTO `lang_definitions` VALUES (1401, 1737, 2, 'Visa inte Allergi uppladdad till NewCrop');
INSERT INTO `lang_definitions` VALUES (1402, 1739, 2, 'Visa inte medicinering uppladdad till NewCrop');
INSERT INTO `lang_definitions` VALUES (1403, 1742, 2, 'Visa inte kalender');
INSERT INTO `lang_definitions` VALUES (1404, 1744, 2, 'Lagra och sälj inga produkter');
INSERT INTO `lang_definitions` VALUES (1405, 1745, 2, 'Kräv inte att patientanteckningar blir godkända');
INSERT INTO `lang_definitions` VALUES (1406, 1746, 2, 'Inte HLR beslut');
INSERT INTO `lang_definitions` VALUES (1407, 1747, 2, 'spara inte');
INSERT INTO `lang_definitions` VALUES (1408, 1748, 2, 'ersätt inte');
INSERT INTO `lang_definitions` VALUES (1409, 1749, 2, 'gör ingenting');
INSERT INTO `lang_definitions` VALUES (1410, 1751, 2, 'Vill du verkligen radera?');
INSERT INTO `lang_definitions` VALUES (1411, 1752, 2, 'Vill du verkligen radera detta urval?');
INSERT INTO `lang_definitions` VALUES (1412, 1753, 2, 'Vill du verkligen ta bort den här gruppen');
INSERT INTO `lang_definitions` VALUES (1413, 1755, 2, 'Vill du fortsätta?');
INSERT INTO `lang_definitions` VALUES (1414, 1756, 2, 'Vill du ta bort detta?');
INSERT INTO `lang_definitions` VALUES (1415, 1757, 2, 'Vill du ta bort?');
INSERT INTO `lang_definitions` VALUES (1416, 1758, 2, 'Vill du ta bort denna post?');
INSERT INTO `lang_definitions` VALUES (1417, 1759, 2, 'Vill du fortsätta att lägga till den nya patienten?');
INSERT INTO `lang_definitions` VALUES (1418, 1760, 2, 'Vill du fortsätta med det nya namnet?');
INSERT INTO `lang_definitions` VALUES (1419, 1761, 2, 'Vill du PERMANENT ta bort vaccinationsregistreringen?');
INSERT INTO `lang_definitions` VALUES (1420, 1762, 2, 'Födelsedatum');
INSERT INTO `lang_definitions` VALUES (1421, 1763, 2, 'Födelsedatum saknas, ange om möjligt');
INSERT INTO `lang_definitions` VALUES (1422, 1764, 2, 'Dokument');
INSERT INTO `lang_definitions` VALUES (1423, 1765, 2, 'Läkare');
INSERT INTO `lang_definitions` VALUES (1424, 1766, 2, 'Läkare:');
INSERT INTO `lang_definitions` VALUES (1425, 1767, 2, 'Läkares namn och underskrift');
INSERT INTO `lang_definitions` VALUES (1426, 1768, 2, 'Dokument');
INSERT INTO `lang_definitions` VALUES (1427, 1769, 2, 'dokument');
INSERT INTO `lang_definitions` VALUES (1428, 1770, 2, 'Dokument Kategorier');
INSERT INTO `lang_definitions` VALUES (1429, 1775, 2, 'Dokument kan inte flyttas till patienten id');
INSERT INTO `lang_definitions` VALUES (1430, 1777, 2, 'Dokument Datum');
INSERT INTO `lang_definitions` VALUES (1431, 1778, 2, 'Dokumentets datum och utförande uppdaterats');
INSERT INTO `lang_definitions` VALUES (1432, 1779, 2, 'Dokument id');
INSERT INTO `lang_definitions` VALUES (1433, 1780, 2, 'Dokument är flyttat till ny kategori');
INSERT INTO `lang_definitions` VALUES (1434, 1781, 2, 'Dokument är flyttat till patienten id');
INSERT INTO `lang_definitions` VALUES (1435, 1783, 2, 'Dokument kontrollerat');
INSERT INTO `lang_definitions` VALUES (1436, 1784, 2, 'Sätt att lagra dokument');
INSERT INTO `lang_definitions` VALUES (1437, 1785, 2, 'Namnbyte av dokument lyckats');
INSERT INTO `lang_definitions` VALUES (1438, 1790, 2, 'Dokument/avbildning lagrad');
INSERT INTO `lang_definitions` VALUES (1439, 1791, 2, 'Dokument');
INSERT INTO `lang_definitions` VALUES (1440, 1792, 2, 'Dokument (skriva, tilllägg frivilligt)');
INSERT INTO `lang_definitions` VALUES (1441, 1794, 2, 'Inskrivningsdatum');
INSERT INTO `lang_definitions` VALUES (1442, 1796, 2, 'stämmer inte med PV1 besöksnummer');
INSERT INTO `lang_definitions` VALUES (1443, 1797, 2, 'Verkar inte giltig');
INSERT INTO `lang_definitions` VALUES (1444, 1798, 2, 'Tillåter denna typ relaterade koder?');
INSERT INTO `lang_definitions` VALUES (1445, 1799, 2, 'Sambo');
INSERT INTO `lang_definitions` VALUES (1446, 1800, 2, 'Spara inte');
INSERT INTO `lang_definitions` VALUES (1447, 1801, 2, 'Spara inte');
INSERT INTO `lang_definitions` VALUES (1448, 1802, 2, 'Spara inte');
INSERT INTO `lang_definitions` VALUES (1449, 1803, 2, 'Klart');
INSERT INTO `lang_definitions` VALUES (1450, 1804, 2, 'Klar med:');
INSERT INTO `lang_definitions` VALUES (1451, 1805, 2, 'Klar. Skickas för nedladdning');
INSERT INTO `lang_definitions` VALUES (1452, 1806, 2, 'Datum för tjänsten');
INSERT INTO `lang_definitions` VALUES (1453, 1807, 2, 'Dosering');
INSERT INTO `lang_definitions` VALUES (1454, 1809, 2, 'dubbelklicka för att redigera');
INSERT INTO `lang_definitions` VALUES (1455, 1810, 2, 'Dubbelseende');
INSERT INTO `lang_definitions` VALUES (1456, 1811, 2, 'Ladda ner');
INSERT INTO `lang_definitions` VALUES (1457, 1814, 2, 'Ladda ner ändå');
INSERT INTO `lang_definitions` VALUES (1458, 1815, 2, 'Ladda ner faktura fil, bokför och markera som skickad.');
INSERT INTO `lang_definitions` VALUES (1459, 1817, 2, 'Ladda ner certifikat');
INSERT INTO `lang_definitions` VALUES (1460, 1818, 2, 'Ladda ner configurationsdata');
INSERT INTO `lang_definitions` VALUES (1461, 1820, 2, 'ladda ner krypterad fil');
INSERT INTO `lang_definitions` VALUES (1462, 1825, 2, 'Ladda ner PDF');
INSERT INTO `lang_definitions` VALUES (1463, 1827, 2, 'Ladda ner utvald redogörelse');
INSERT INTO `lang_definitions` VALUES (1464, 1828, 2, 'Läkarkontroll');
INSERT INTO `lang_definitions` VALUES (1465, 1829, 2, 'Läkarbesök');
INSERT INTO `lang_definitions` VALUES (1466, 1830, 2, 'Dr.');
INSERT INTO `lang_definitions` VALUES (1467, 1831, 2, 'Drag för att flytta');
INSERT INTO `lang_definitions` VALUES (1468, 1832, 2, 'Dribblande');
INSERT INTO `lang_definitions` VALUES (1469, 1833, 2, 'Körkortsnr');
INSERT INTO `lang_definitions` VALUES (1470, 1834, 2, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (1471, 1835, 2, 'Leta läkemedel');
INSERT INTO `lang_definitions` VALUES (1472, 1836, 2, 'Läkemedelsformulär');
INSERT INTO `lang_definitions` VALUES (1473, 1837, 2, 'Läkemeddels ID saknas!');
INSERT INTO `lang_definitions` VALUES (1474, 1838, 2, 'Läkemedel intervall');
INSERT INTO `lang_definitions` VALUES (1475, 1839, 2, 'Inventarielista, läkemedel');
INSERT INTO `lang_definitions` VALUES (1476, 1840, 2, 'Läkemedelsnamn');
INSERT INTO `lang_definitions` VALUES (1477, 1841, 2, 'Läkemedel administrationssätt');
INSERT INTO `lang_definitions` VALUES (1478, 1845, 2, 'Läkemedel, enheter');
INSERT INTO `lang_definitions` VALUES (1479, 1846, 2, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (1480, 1847, 2, 'Läkemedel och produkter');
INSERT INTO `lang_definitions` VALUES (1481, 1848, 2, 'Muntorrhet');
INSERT INTO `lang_definitions` VALUES (1482, 1849, 2, 'DSM-4 Diagnos');
INSERT INTO `lang_definitions` VALUES (1483, 1850, 2, 'DT 1');
INSERT INTO `lang_definitions` VALUES (1484, 1851, 2, 'DT 2');
INSERT INTO `lang_definitions` VALUES (1485, 1852, 2, 'DT 3');
INSERT INTO `lang_definitions` VALUES (1486, 1853, 2, 'DT 4');
INSERT INTO `lang_definitions` VALUES (1487, 1854, 2, 'DT 5');
INSERT INTO `lang_definitions` VALUES (1488, 1855, 2, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (1489, 1856, 2, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (1490, 1857, 2, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (1491, 1858, 2, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (1492, 1859, 2, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (1493, 1860, 2, 'Förfaller');
INSERT INTO `lang_definitions` VALUES (1494, 1861, 2, 'Förfallodatum');
INSERT INTO `lang_definitions` VALUES (1495, 1862, 2, 'Förfallodatum mm / dd / yyyy eller åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1496, 1863, 2, 'Förfallodatum:');
INSERT INTO `lang_definitions` VALUES (1497, 1865, 2, 'Förfaller patienter');
INSERT INTO `lang_definitions` VALUES (1498, 1866, 2, 'Förfaller snart');
INSERT INTO `lang_definitions` VALUES (1499, 1867, 2, 'Förfallostatus');
INSERT INTO `lang_definitions` VALUES (1500, 1868, 2, 'Uppdatera förfallostatus');
INSERT INTO `lang_definitions` VALUES (1501, 1869, 2, 'Dumping LibreEHR database');
INSERT INTO `lang_definitions` VALUES (1502, 1870, 2, 'Dumping LibreEHR web directory tree');
INSERT INTO `lang_definitions` VALUES (1503, 1871, 2, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (1504, 1872, 2, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (1505, 1873, 2, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (1506, 1874, 2, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (1507, 1875, 2, 'Dubletter kontroll');
INSERT INTO `lang_definitions` VALUES (1508, 1876, 2, 'Dubletter av ID');
INSERT INTO `lang_definitions` VALUES (1509, 1877, 2, 'Dubletter av namn');
INSERT INTO `lang_definitions` VALUES (1510, 1878, 2, 'DUBLETTER VARNING');
INSERT INTO `lang_definitions` VALUES (1511, 1879, 2, 'Varaktig fullmakt');
INSERT INTO `lang_definitions` VALUES (1512, 1880, 2, 'varaktighet');
INSERT INTO `lang_definitions` VALUES (1513, 1881, 2, 'Varaktighet');
INSERT INTO `lang_definitions` VALUES (1514, 1882, 2, 'Holländsk');
INSERT INTO `lang_definitions` VALUES (1515, 1884, 2, 'Dysfagi');
INSERT INTO `lang_definitions` VALUES (1516, 1885, 2, 'Dyspné:');
INSERT INTO `lang_definitions` VALUES (1517, 1886, 2, 'Urinvägsbesvär');
INSERT INTO `lang_definitions` VALUES (1518, 1888, 2, 'E-recept?');
INSERT INTO `lang_definitions` VALUES (1519, 1889, 2, 'E-rapport');
INSERT INTO `lang_definitions` VALUES (1520, 1890, 2, 'E-recept?');
INSERT INTO `lang_definitions` VALUES (1521, 1892, 2, 'Förnya E-recept');
INSERT INTO `lang_definitions` VALUES (1522, 1893, 2, 'Varje mottagare måste själv ange att meddelanden är avslutade');
INSERT INTO `lang_definitions` VALUES (1523, 1894, 2, 'Tidig Återkommande (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (1524, 1895, 2, 'Öron');
INSERT INTO `lang_definitions` VALUES (1525, 1896, 2, 'EKG');
INSERT INTO `lang_definitions` VALUES (1526, 1897, 2, 'Elektronisk begäran');
INSERT INTO `lang_definitions` VALUES (1527, 1898, 2, 'Ödem');
INSERT INTO `lang_definitions` VALUES (1528, 1904, 2, 'Redigera');
INSERT INTO `lang_definitions` VALUES (1529, 1906, 2, 'Redigera allergier');
INSERT INTO `lang_definitions` VALUES (1530, 1907, 2, 'Edit Kategorier');
INSERT INTO `lang_definitions` VALUES (1531, 1909, 2, 'Redigera definitioner');
INSERT INTO `lang_definitions` VALUES (1532, 1910, 2, 'Redigera diagnoser för');
INSERT INTO `lang_definitions` VALUES (1533, 1912, 2, 'Redigera Kliniker');
INSERT INTO `lang_definitions` VALUES (1534, 1914, 2, 'Redigera Klinikinformation');
INSERT INTO `lang_definitions` VALUES (1535, 1917, 2, 'Redigera form');
INSERT INTO `lang_definitions` VALUES (1536, 1920, 2, 'Redigera layout');
INSERT INTO `lang_definitions` VALUES (1537, 1921, 2, 'Redigera lista');
INSERT INTO `lang_definitions` VALUES (1538, 1923, 2, 'Redigera Struktur');
INSERT INTO `lang_definitions` VALUES (1539, 1928, 2, 'Utbildning');
INSERT INTO `lang_definitions` VALUES (1540, 1929, 2, 'Information');
INSERT INTO `lang_definitions` VALUES (1541, 1932, 2, 'Ikraftträdandedatum');
INSERT INTO `lang_definitions` VALUES (1542, 1934, 2, 'Effektivitet');
INSERT INTO `lang_definitions` VALUES (1543, 1936, 2, 'Ejaculation');
INSERT INTO `lang_definitions` VALUES (1544, 1937, 2, 'Armbåge');
INSERT INTO `lang_definitions` VALUES (1545, 1938, 2, 'Problem med armbågen');
INSERT INTO `lang_definitions` VALUES (1546, 1942, 2, 'Elektronisk remiss');
INSERT INTO `lang_definitions` VALUES (1547, 1949, 2, 'Email');
INSERT INTO `lang_definitions` VALUES (1548, 1957, 2, 'E-post från Batchcom');
INSERT INTO `lang_definitions` VALUES (1549, 1958, 2, 'E-postmeddelande');
INSERT INTO `lang_definitions` VALUES (1550, 1961, 2, 'E-post skicka innan');
INSERT INTO `lang_definitions` VALUES (1551, 1962, 2, 'Email, skicka');
INSERT INTO `lang_definitions` VALUES (1552, 1965, 2, 'Epost Ämnesord');
INSERT INTO `lang_definitions` VALUES (1553, 1966, 2, 'Email Text, användbara Tag: *** NAMN ***, dvs Bäste *** NAMN ***');
INSERT INTO `lang_definitions` VALUES (1554, 1971, 2, 'ICE Kontakt');
INSERT INTO `lang_definitions` VALUES (1555, 1972, 2, 'ICE kontaktperson');
INSERT INTO `lang_definitions` VALUES (1556, 1973, 2, 'ICE kontakt telefonnummer');
INSERT INTO `lang_definitions` VALUES (1557, 1974, 2, 'Akut Preventivmedel');
INSERT INTO `lang_definitions` VALUES (1558, 1980, 2, 'ICE Telefon');
INSERT INTO `lang_definitions` VALUES (1559, 1982, 2, 'Emfysem');
INSERT INTO `lang_definitions` VALUES (1560, 1983, 2, 'Anställd');
INSERT INTO `lang_definitions` VALUES (1561, 1984, 2, 'Arbetsgivare');
INSERT INTO `lang_definitions` VALUES (1562, 1985, 2, 'Arbetsgivarens adress');
INSERT INTO `lang_definitions` VALUES (1563, 1986, 2, 'Arbetsgivare Data');
INSERT INTO `lang_definitions` VALUES (1564, 1987, 2, 'Arbetsgivarens namn');
INSERT INTO `lang_definitions` VALUES (1565, 1989, 2, 'Ta bort');
INSERT INTO `lang_definitions` VALUES (1566, 1991, 2, 'Ta bort värdet i \"E-tider\"');
INSERT INTO `lang_definitions` VALUES (1567, 1992, 2, 'Ta bort värde \"Email, skicka\"');
INSERT INTO `lang_definitions` VALUES (1568, 1993, 2, 'Ta bort värde i \"Email, ämne\"');
INSERT INTO `lang_definitions` VALUES (1569, 1994, 2, 'Ta bort i \"text\"');
INSERT INTO `lang_definitions` VALUES (1570, 1995, 2, 'Ta bort i \"Försörjarens namn\"');
INSERT INTO `lang_definitions` VALUES (1571, 1996, 2, 'Ta bort i \"Lösenord\"');
INSERT INTO `lang_definitions` VALUES (1572, 1997, 2, 'Ta bort \"SMS tider\"');
INSERT INTO `lang_definitions` VALUES (1573, 1998, 2, 'Ta bort \"SMS text\"');
INSERT INTO `lang_definitions` VALUES (1574, 1999, 2, 'Ta bort värdet i \"Användarnamn\"');
INSERT INTO `lang_definitions` VALUES (1575, 2068, 2, 'aktiverat');
INSERT INTO `lang_definitions` VALUES (1576, 2071, 2, 'Möte');
INSERT INTO `lang_definitions` VALUES (1577, 2073, 2, 'Patientmöte');
INSERT INTO `lang_definitions` VALUES (1578, 2074, 2, 'patientmöte');
INSERT INTO `lang_definitions` VALUES (1579, 2075, 2, 'Patientmöter ');
INSERT INTO `lang_definitions` VALUES (1580, 2086, 2, 'Patientmöte formulär');
INSERT INTO `lang_definitions` VALUES (1581, 2091, 2, 'Patientmöte antal/nummer');
INSERT INTO `lang_definitions` VALUES (1582, 2110, 2, 'Patientmöte har kodats');
INSERT INTO `lang_definitions` VALUES (1583, 2111, 2, 'Patientmöte:');
INSERT INTO `lang_definitions` VALUES (1584, 2113, 2, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (1585, 2114, 2, 'Patientmöte & Formulär');
INSERT INTO `lang_definitions` VALUES (1586, 2115, 2, 'Patientmöte & Formulär');
INSERT INTO `lang_definitions` VALUES (1587, 2116, 2, 'Encounters inte godkända');
INSERT INTO `lang_definitions` VALUES (1588, 2117, 2, 'Patientmöte, rapport');
INSERT INTO `lang_definitions` VALUES (1589, 2118, 2, 'Patientmöte, avsnitt');
INSERT INTO `lang_definitions` VALUES (1590, 2121, 2, 'Slut');
INSERT INTO `lang_definitions` VALUES (1591, 2122, 2, 'Slutar (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (1592, 2123, 2, 'Slutdatum');
INSERT INTO `lang_definitions` VALUES (1593, 2124, 2, 'Slutdatum');
INSERT INTO `lang_definitions` VALUES (1594, 2127, 2, 'Slutdatum:');
INSERT INTO `lang_definitions` VALUES (1595, 2131, 2, 'Sluttid');
INSERT INTO `lang_definitions` VALUES (1596, 2133, 2, 'Tjänsten slutar åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (1597, 2137, 2, 'Endokrina');
INSERT INTO `lang_definitions` VALUES (1598, 2138, 2, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (1599, 2141, 2, 'Engelsk');
INSERT INTO `lang_definitions` VALUES (1600, 2142, 2, 'Engelsk ');
INSERT INTO `lang_definitions` VALUES (1601, 2143, 2, 'Engelsk (indien)');
INSERT INTO `lang_definitions` VALUES (1602, 2144, 2, 'Engelsk (standard)');
INSERT INTO `lang_definitions` VALUES (1603, 2147, 2, 'ENT Ansvarsfrihet');
INSERT INTO `lang_definitions` VALUES (1604, 2148, 2, 'ENT Smärta');
INSERT INTO `lang_definitions` VALUES (1605, 2149, 2, 'Skriv en diagnos kod för att utesluta alla fakturor som inte innehåller det');
INSERT INTO `lang_definitions` VALUES (1606, 2165, 2, 'Ange dina sökkriterier ovan');
INSERT INTO `lang_definitions` VALUES (1607, 2168, 2, 'Miljöpåverkan');
INSERT INTO `lang_definitions` VALUES (1608, 2169, 2, 'EOB Data tillträde');
INSERT INTO `lang_definitions` VALUES (1609, 2171, 2, 'EOB Boknings - Instruktioner');
INSERT INTO `lang_definitions` VALUES (1610, 2172, 2, 'EOB Boknings - Faktura');
INSERT INTO `lang_definitions` VALUES (1611, 2173, 2, 'EOB Boknings - Patient Anmärkning');
INSERT INTO `lang_definitions` VALUES (1612, 2174, 2, 'EOB Boknings - Sök');
INSERT INTO `lang_definitions` VALUES (1613, 2176, 2, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (1614, 2181, 2, 'Radera');
INSERT INTO `lang_definitions` VALUES (1615, 2182, 2, 'Erektion');
INSERT INTO `lang_definitions` VALUES (1616, 2183, 2, 'Fel');
INSERT INTO `lang_definitions` VALUES (1617, 2188, 2, 'Fel i \"kön\" val');
INSERT INTO `lang_definitions` VALUES (1618, 2189, 2, 'Fel i \"HIPAA\" val');
INSERT INTO `lang_definitions` VALUES (1619, 2190, 2, 'Fel i \"Process\" val');
INSERT INTO `lang_definitions` VALUES (1620, 2191, 2, 'Fel i \"SMS Gateway\" val');
INSERT INTO `lang_definitions` VALUES (1621, 2192, 2, 'Fel i \"Sortera efter\" val');
INSERT INTO `lang_definitions` VALUES (1622, 2194, 2, 'Fel i JA eller NEJ alternativ');
INSERT INTO `lang_definitions` VALUES (1623, 2205, 2, 'fel under registrering!');
INSERT INTO `lang_definitions` VALUES (1624, 2206, 2, 'Fel vid sparande av fil');
INSERT INTO `lang_definitions` VALUES (1625, 2208, 2, 'Fel vid skrivning till fil');
INSERT INTO `lang_definitions` VALUES (1626, 2211, 2, 'FEL, kunde inte samla in data från servern');
INSERT INTO `lang_definitions` VALUES (1627, 2219, 2, 'FEL: kunde inte öppna table.sql bruten form?');
INSERT INTO `lang_definitions` VALUES (1628, 2225, 2, 'Fel: lösenord matchar inte. Kontrollera din stavning.');
INSERT INTO `lang_definitions` VALUES (1629, 2235, 2, 'Fel');
INSERT INTO `lang_definitions` VALUES (1630, 2242, 2, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (1631, 2247, 2, 'Redan känd patient');
INSERT INTO `lang_definitions` VALUES (1632, 2249, 2, 'Modersmål/tolkspråk');
INSERT INTO `lang_definitions` VALUES (1633, 2250, 2, 'Modersmål/tolkspråk');
INSERT INTO `lang_definitions` VALUES (1634, 2251, 2, 'Modersmål/tolkspråk Lista');
INSERT INTO `lang_definitions` VALUES (1635, 2252, 2, 'ETIN');
INSERT INTO `lang_definitions` VALUES (1636, 2253, 2, 'Händelse');
INSERT INTO `lang_definitions` VALUES (1637, 2254, 2, 'Händelse Begins');
INSERT INTO `lang_definitions` VALUES (1638, 2255, 2, 'Händelse Kategori');
INSERT INTO `lang_definitions` VALUES (1639, 2256, 2, 'Händelse Datum');
INSERT INTO `lang_definitions` VALUES (1640, 2257, 2, 'Händelse, Beskrivning');
INSERT INTO `lang_definitions` VALUES (1641, 2258, 2, 'Händelse, detaljer');
INSERT INTO `lang_definitions` VALUES (1642, 2259, 2, 'Händelsen upprepas ej');
INSERT INTO `lang_definitions` VALUES (1643, 2260, 2, 'Händelse, Varaktighet');
INSERT INTO `lang_definitions` VALUES (1644, 2261, 2, 'Händelsens tid i minuter');
INSERT INTO `lang_definitions` VALUES (1645, 2262, 2, 'Händelse, Avgift');
INSERT INTO `lang_definitions` VALUES (1646, 2263, 2, 'Event Location');
INSERT INTO `lang_definitions` VALUES (1647, 2264, 2, 'Händelsen upprepas varje');
INSERT INTO `lang_definitions` VALUES (1648, 2265, 2, 'Händelsen upprepas den');
INSERT INTO `lang_definitions` VALUES (1649, 2266, 2, 'Händelse börjar timme');
INSERT INTO `lang_definitions` VALUES (1650, 2267, 2, 'Händelserubrik');
INSERT INTO `lang_definitions` VALUES (1651, 2268, 2, 'Händelserubrik');
INSERT INTO `lang_definitions` VALUES (1652, 2269, 2, 'Händelse Website');
INSERT INTO `lang_definitions` VALUES (1653, 2270, 2, 'Händelse');
INSERT INTO `lang_definitions` VALUES (1654, 2271, 2, 'Händelser för');
INSERT INTO `lang_definitions` VALUES (1655, 2272, 2, 'Händelsen öppnas i nytt fönster');
INSERT INTO `lang_definitions` VALUES (1656, 2273, 2, 'Varje');
INSERT INTO `lang_definitions` VALUES (1657, 2274, 2, 'Varje');
INSERT INTO `lang_definitions` VALUES (1658, 2275, 2, 'var 3:e timme');
INSERT INTO `lang_definitions` VALUES (1659, 2276, 2, 'var 4:e timme');
INSERT INTO `lang_definitions` VALUES (1660, 2277, 2, 'var 5:e timme');
INSERT INTO `lang_definitions` VALUES (1661, 2278, 2, 'var 6 timme');
INSERT INTO `lang_definitions` VALUES (1662, 2279, 2, 'var 8 timme');
INSERT INTO `lang_definitions` VALUES (1663, 2280, 2, 'Var fjärde');
INSERT INTO `lang_definitions` VALUES (1664, 2281, 2, 'Varannan');
INSERT INTO `lang_definitions` VALUES (1665, 2282, 2, 'Var tredje');
INSERT INTO `lang_definitions` VALUES (1666, 2283, 2, 'Varje, var andra, var 3:e, etc');
INSERT INTO `lang_definitions` VALUES (1667, 2285, 2, 'Tenta och testresultat');
INSERT INTO `lang_definitions` VALUES (1668, 2286, 2, 'Testresultat');
INSERT INTO `lang_definitions` VALUES (1669, 2290, 2, 'Examination Datum');
INSERT INTO `lang_definitions` VALUES (1670, 2293, 2, 'Exams / Tester');
INSERT INTO `lang_definitions` VALUES (1671, 2295, 2, 'Överdrivet rivande');
INSERT INTO `lang_definitions` VALUES (1672, 2301, 2, 'Övningsmönster');
INSERT INTO `lang_definitions` VALUES (1673, 2302, 2, 'Motions mönster');
INSERT INTO `lang_definitions` VALUES (1674, 2304, 2, 'lämna från Administration');
INSERT INTO `lang_definitions` VALUES (1675, 2311, 2, 'Utökad vy');
INSERT INTO `lang_definitions` VALUES (1676, 2312, 2, 'Förväntad form_mötes.pid att ');
INSERT INTO `lang_definitions` VALUES (1677, 2313, 2, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (1678, 2314, 2, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (1679, 2315, 2, 'Förfaller');
INSERT INTO `lang_definitions` VALUES (1680, 2317, 2, 'Exportera');
INSERT INTO `lang_definitions` VALUES (1681, 2318, 2, 'Exportera som CSV');
INSERT INTO `lang_definitions` VALUES (1682, 2327, 2, 'Exportera till CSV');
INSERT INTO `lang_definitions` VALUES (1683, 2328, 2, 'Exportera till externa faktureringssystem');
INSERT INTO `lang_definitions` VALUES (1684, 2329, 2, 'Exponering för andra länder');
INSERT INTO `lang_definitions` VALUES (1685, 2342, 2, 'Extern remiss');
INSERT INTO `lang_definitions` VALUES (1686, 2344, 2, 'Extern remiss?');
INSERT INTO `lang_definitions` VALUES (1687, 2345, 2, 'Externa remisser');
INSERT INTO `lang_definitions` VALUES (1688, 2353, 2, 'F');
INSERT INTO `lang_definitions` VALUES (1689, 2356, 2, 'Kliniker');
INSERT INTO `lang_definitions` VALUES (1690, 2357, 2, 'Klinik');
INSERT INTO `lang_definitions` VALUES (1691, 2358, 2, 'klinik');
INSERT INTO `lang_definitions` VALUES (1692, 2359, 2, 'Klinikadm');
INSERT INTO `lang_definitions` VALUES (1693, 2361, 2, 'Klinikkod');
INSERT INTO `lang_definitions` VALUES (1694, 2365, 2, 'Klinik NPI');
INSERT INTO `lang_definitions` VALUES (1695, 2372, 2, 'Klinik:');
INSERT INTO `lang_definitions` VALUES (1696, 2375, 2, 'Misslyckades');
INSERT INTO `lang_definitions` VALUES (1697, 2390, 2, 'Familjehistoria');
INSERT INTO `lang_definitions` VALUES (1698, 2392, 2, 'Familjehistoria:');
INSERT INTO `lang_definitions` VALUES (1699, 2395, 2, 'Familj Storlek');
INSERT INTO `lang_definitions` VALUES (1700, 2400, 2, 'Fader');
INSERT INTO `lang_definitions` VALUES (1701, 2403, 2, 'Fatigue');
INSERT INTO `lang_definitions` VALUES (1702, 2404, 2, 'Fax');
INSERT INTO `lang_definitions` VALUES (1703, 2409, 2, 'Fax in');
INSERT INTO `lang_definitions` VALUES (1704, 2410, 2, 'Fax ut');
INSERT INTO `lang_definitions` VALUES (1705, 2413, 2, 'Februari');
INSERT INTO `lang_definitions` VALUES (1706, 2415, 2, 'Läkemedel ID');
INSERT INTO `lang_definitions` VALUES (1707, 2417, 2, 'Skatt ID');
INSERT INTO `lang_definitions` VALUES (1708, 2418, 2, 'Avgift');
INSERT INTO `lang_definitions` VALUES (1709, 2419, 2, 'avgift');
INSERT INTO `lang_definitions` VALUES (1710, 2421, 2, 'Avgift blankett');
INSERT INTO `lang_definitions` VALUES (1711, 2423, 2, 'Avgifter');
INSERT INTO `lang_definitions` VALUES (1712, 2424, 2, 'Kvinna');
INSERT INTO `lang_definitions` VALUES (1713, 2426, 2, 'Kvinnliga Kondomer');
INSERT INTO `lang_definitions` VALUES (1714, 2431, 2, 'Kvinna VSC');
INSERT INTO `lang_definitions` VALUES (1715, 2434, 2, 'Feber');
INSERT INTO `lang_definitions` VALUES (1716, 2435, 2, 'Feber:');
INSERT INTO `lang_definitions` VALUES (1717, 2459, 2, 'Filnamn');
INSERT INTO `lang_definitions` VALUES (1718, 2464, 2, 'Fyll här endast om du skickar e-postmeddelande till patienter');
INSERT INTO `lang_definitions` VALUES (1719, 2473, 2, 'Filter');
INSERT INTO `lang_definitions` VALUES (1720, 2475, 2, 'Slutgiltig diagnos');
INSERT INTO `lang_definitions` VALUES (1721, 2476, 2, 'Slutgiltig diagnos av specialist');
INSERT INTO `lang_definitions` VALUES (1722, 2478, 2, 'Finansiella');
INSERT INTO `lang_definitions` VALUES (1723, 2482, 2, 'Financial Review Datum');
INSERT INTO `lang_definitions` VALUES (1724, 2484, 2, 'Hitta');
INSERT INTO `lang_definitions` VALUES (1725, 2485, 2, 'Hitta Ledig');
INSERT INTO `lang_definitions` VALUES (1726, 2486, 2, 'Sök Ledig mötestider');
INSERT INTO `lang_definitions` VALUES (1727, 2487, 2, 'Hitta Patientient');
INSERT INTO `lang_definitions` VALUES (1728, 2489, 2, 'Undersökningsresultat');
INSERT INTO `lang_definitions` VALUES (1729, 2490, 2, 'Undersökningsresultat av specialist');
INSERT INTO `lang_definitions` VALUES (1730, 2491, 2, 'Fin');
INSERT INTO `lang_definitions` VALUES (1731, 2495, 2, 'Första');
INSERT INTO `lang_definitions` VALUES (1732, 2497, 2, 'Första dagen i veckan');
INSERT INTO `lang_definitions` VALUES (1733, 2498, 2, 'Förnamn');
INSERT INTO `lang_definitions` VALUES (1734, 2500, 2, 'Förnamn:');
INSERT INTO `lang_definitions` VALUES (1735, 2503, 2, 'Fitness');
INSERT INTO `lang_definitions` VALUES (1736, 2507, 2, 'Fitness att spela');
INSERT INTO `lang_definitions` VALUES (1737, 2516, 2, 'Influensavaccination');
INSERT INTO `lang_definitions` VALUES (1738, 2517, 2, 'Vätske-och elektrolyt problem');
INSERT INTO `lang_definitions` VALUES (1739, 2520, 2, 'Följa manuellt');
INSERT INTO `lang_definitions` VALUES (1740, 2532, 2, 'Fot');
INSERT INTO `lang_definitions` VALUES (1741, 2533, 2, 'Fotproblem');
INSERT INTO `lang_definitions` VALUES (1742, 2534, 2, 'Fot:');
INSERT INTO `lang_definitions` VALUES (1743, 2537, 2, 'Fotboll Skaderapport');
INSERT INTO `lang_definitions` VALUES (1744, 2538, 2, 'Skotyp');
INSERT INTO `lang_definitions` VALUES (1745, 2539, 2, 'för');
INSERT INTO `lang_definitions` VALUES (1746, 2555, 2, 'för:');
INSERT INTO `lang_definitions` VALUES (1747, 2559, 2, 'Underarm');
INSERT INTO `lang_definitions` VALUES (1748, 2560, 2, 'Formulär');
INSERT INTO `lang_definitions` VALUES (1749, 2564, 2, 'Format');
INSERT INTO `lang_definitions` VALUES (1750, 2567, 2, 'Format felaktigt för NDC');
INSERT INTO `lang_definitions` VALUES (1751, 2572, 2, 'Formulär');
INSERT INTO `lang_definitions` VALUES (1752, 2573, 2, 'Formulär administration');
INSERT INTO `lang_definitions` VALUES (1753, 2576, 2, 'Vidarebefordra Sidor via Fax');
INSERT INTO `lang_definitions` VALUES (1754, 2579, 2, 'Fjärde');
INSERT INTO `lang_definitions` VALUES (1755, 2581, 2, 'Fraktur');
INSERT INTO `lang_definitions` VALUES (1756, 2582, 2, 'Fracture på Navicula');
INSERT INTO `lang_definitions` VALUES (1757, 2583, 2, 'Fracture laterala malleolus');
INSERT INTO `lang_definitions` VALUES (1758, 2584, 2, 'Fracture mediala malleolus');
INSERT INTO `lang_definitions` VALUES (1759, 2593, 2, 'Fre');
INSERT INTO `lang_definitions` VALUES (1760, 2594, 2, 'Fredag');
INSERT INTO `lang_definitions` VALUES (1761, 2595, 2, 'Från');
INSERT INTO `lang_definitions` VALUES (1762, 2599, 2, 'Från:');
INSERT INTO `lang_definitions` VALUES (1763, 2600, 2, 'Från: ');
INSERT INTO `lang_definitions` VALUES (1764, 2613, 2, 'Reception');
INSERT INTO `lang_definitions` VALUES (1765, 2614, 2, 'Reception, kvitton');
INSERT INTO `lang_definitions` VALUES (1766, 2615, 2, 'Reception, kvitton, rapport');
INSERT INTO `lang_definitions` VALUES (1767, 2617, 2, 'Frontal Höger:');
INSERT INTO `lang_definitions` VALUES (1768, 2625, 2, 'All utbildning');
INSERT INTO `lang_definitions` VALUES (1769, 2637, 2, 'Gallsten');
INSERT INTO `lang_definitions` VALUES (1770, 2638, 2, 'Game Period');
INSERT INTO `lang_definitions` VALUES (1771, 2639, 2, 'Spel');
INSERT INTO `lang_definitions` VALUES (1772, 2641, 2, 'spel / evenemang');
INSERT INTO `lang_definitions` VALUES (1773, 2644, 2, 'Gastrit');
INSERT INTO `lang_definitions` VALUES (1774, 2646, 2, 'Gastrointestinala');
INSERT INTO `lang_definitions` VALUES (1775, 2647, 2, 'GCAC Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (1776, 2651, 2, 'Kön ');
INSERT INTO `lang_definitions` VALUES (1777, 2652, 2, 'Allmänt');
INSERT INTO `lang_definitions` VALUES (1778, 2655, 2, 'Allmänna Tjänstekategori');
INSERT INTO `lang_definitions` VALUES (1779, 2658, 2, 'Skapa och hämta HCFA 1500 papper fordringar');
INSERT INTO `lang_definitions` VALUES (1780, 2659, 2, 'Skapa och hämta X12 parti');
INSERT INTO `lang_definitions` VALUES (1781, 2670, 2, 'Generera Skrivelse angående ');
INSERT INTO `lang_definitions` VALUES (1782, 2677, 2, 'Generera rapport');
INSERT INTO `lang_definitions` VALUES (1783, 2682, 2, 'Skapad på');
INSERT INTO `lang_definitions` VALUES (1784, 2683, 2, 'Genererar');
INSERT INTO `lang_definitions` VALUES (1785, 2692, 2, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (1786, 2694, 2, 'Global');
INSERT INTO `lang_definitions` VALUES (1787, 2700, 2, 'gå');
INSERT INTO `lang_definitions` VALUES (1788, 2701, 2, 'Gå');
INSERT INTO `lang_definitions` VALUES (1789, 2712, 2, 'Grad:');
INSERT INTO `lang_definitions` VALUES (1790, 2714, 2, 'Totalsumma');
INSERT INTO `lang_definitions` VALUES (1791, 2715, 2, 'Totalsummor');
INSERT INTO `lang_definitions` VALUES (1792, 2724, 2, 'Grupp');
INSERT INTO `lang_definitions` VALUES (1793, 2729, 2, 'Gruppnummer');
INSERT INTO `lang_definitions` VALUES (1794, 2731, 2, 'Grupp:');
INSERT INTO `lang_definitions` VALUES (1795, 2732, 2, 'Gruppnamn');
INSERT INTO `lang_definitions` VALUES (1796, 2733, 2, 'Grupper och åtkomstkontroller');
INSERT INTO `lang_definitions` VALUES (1797, 2736, 2, 'Droppar');
INSERT INTO `lang_definitions` VALUES (1798, 2746, 2, 'Hematom / blåmärken');
INSERT INTO `lang_definitions` VALUES (1799, 2750, 2, 'Hand + fingrar');
INSERT INTO `lang_definitions` VALUES (1800, 2751, 2, 'Handproblem');
INSERT INTO `lang_definitions` VALUES (1801, 2753, 2, 'Umbäranden w / o');
INSERT INTO `lang_definitions` VALUES (1802, 2761, 2, 'Farliga aktiviteter');
INSERT INTO `lang_definitions` VALUES (1803, 2767, 2, 'han PostCalendar ');
INSERT INTO `lang_definitions` VALUES (1804, 2768, 2, 'Huvud');
INSERT INTO `lang_definitions` VALUES (1805, 2772, 2, 'Huvudvärk');
INSERT INTO `lang_definitions` VALUES (1806, 2779, 2, 'Heart Attack');
INSERT INTO `lang_definitions` VALUES (1807, 2781, 2, 'Hjärtsvikt');
INSERT INTO `lang_definitions` VALUES (1808, 2783, 2, 'Hjärtproblem');
INSERT INTO `lang_definitions` VALUES (1809, 2784, 2, 'Hjärtkirurgi');
INSERT INTO `lang_definitions` VALUES (1810, 2785, 2, 'Heart Transplant');
INSERT INTO `lang_definitions` VALUES (1811, 2786, 2, 'Heart:');
INSERT INTO `lang_definitions` VALUES (1812, 2794, 2, 'Längd');
INSERT INTO `lang_definitions` VALUES (1813, 2796, 2, 'Hjälp');
INSERT INTO `lang_definitions` VALUES (1814, 2797, 2, 'hjälp');
INSERT INTO `lang_definitions` VALUES (1815, 2802, 2, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (1816, 2805, 2, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (1817, 2813, 2, 'Bråck Reparation');
INSERT INTO `lang_definitions` VALUES (1818, 2814, 2, 'Diskbråck');
INSERT INTO `lang_definitions` VALUES (1819, 2815, 2, 'Herpes');
INSERT INTO `lang_definitions` VALUES (1820, 2817, 2, 'heyyo. du har varit här i ');
INSERT INTO `lang_definitions` VALUES (1821, 2822, 2, 'Dolda');
INSERT INTO `lang_definitions` VALUES (1822, 2823, 2, 'Dolda Händelser Administration');
INSERT INTO `lang_definitions` VALUES (1823, 2824, 2, 'Gömma');
INSERT INTO `lang_definitions` VALUES (1824, 2825, 2, 'Dölj detaljer');
INSERT INTO `lang_definitions` VALUES (1825, 2828, 2, 'Göm meny');
INSERT INTO `lang_definitions` VALUES (1826, 2830, 2, 'Göm påminnelser');
INSERT INTO `lang_definitions` VALUES (1827, 2831, 2, 'Göm/Visa kolumner');
INSERT INTO `lang_definitions` VALUES (1828, 2833, 2, 'Hög');
INSERT INTO `lang_definitions` VALUES (1829, 2834, 2, 'Högt blodtryck');
INSERT INTO `lang_definitions` VALUES (1830, 2836, 2, 'Höft + ljumske');
INSERT INTO `lang_definitions` VALUES (1831, 2837, 2, 'Höft och ljumske');
INSERT INTO `lang_definitions` VALUES (1832, 2838, 2, 'Hip Problem');
INSERT INTO `lang_definitions` VALUES (1833, 2839, 2, 'Höftledsplastik');
INSERT INTO `lang_definitions` VALUES (1834, 2840, 2, 'Ej Tilldelad');
INSERT INTO `lang_definitions` VALUES (1835, 2843, 2, 'Spansktalande');
INSERT INTO `lang_definitions` VALUES (1836, 2847, 2, 'Historia');
INSERT INTO `lang_definitions` VALUES (1837, 2848, 2, 'Historikdata');
INSERT INTO `lang_definitions` VALUES (1838, 2862, 2, 'Håll ner [Ctrl] för flera val eller avmarkera');
INSERT INTO `lang_definitions` VALUES (1839, 2863, 2, 'Håll ned Ctrl för att välja flera objekt');
INSERT INTO `lang_definitions` VALUES (1840, 2864, 2, 'Håll ned Ctrl för att välja flera patruller');
INSERT INTO `lang_definitions` VALUES (1841, 2865, 2, 'Hem');
INSERT INTO `lang_definitions` VALUES (1842, 2866, 2, 'Hemtelefon');
INSERT INTO `lang_definitions` VALUES (1843, 2868, 2, 'Hemlös eller liknande?');
INSERT INTO `lang_definitions` VALUES (1844, 2869, 2, 'Hemlös');
INSERT INTO `lang_definitions` VALUES (1845, 2870, 2, 'Hemlös');
INSERT INTO `lang_definitions` VALUES (1846, 2876, 2, 'Timmar');
INSERT INTO `lang_definitions` VALUES (1847, 2878, 2, 'Hur uppstod skadan?');
INSERT INTO `lang_definitions` VALUES (1848, 2879, 2, 'Hur uppstod skadan?:');
INSERT INTO `lang_definitions` VALUES (1849, 2881, 2, 'Hur många månader att fråga efter kommande evenemang?');
INSERT INTO `lang_definitions` VALUES (1850, 2892, 2, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (1851, 2896, 2, 'Hyperthyroidism');
INSERT INTO `lang_definitions` VALUES (1852, 2897, 2, 'Hypotyreoidism');
INSERT INTO `lang_definitions` VALUES (1853, 2898, 2, 'Hysterektomi');
INSERT INTO `lang_definitions` VALUES (1854, 2900, 2, 'Jag är upptagen under denna tid.');
INSERT INTO `lang_definitions` VALUES (1855, 2901, 2, 'Jag har inte behörighet att läsa ');
INSERT INTO `lang_definitions` VALUES (1856, 2915, 2, 'Identifierare (ett ord)');
INSERT INTO `lang_definitions` VALUES (1857, 2919, 2, 'Om alla uppgifter för alla kolumner är komplett för denna form');
INSERT INTO `lang_definitions` VALUES (1858, 2922, 2, 'Om namn, någon del av efternamn eller efternamn, förnamn');
INSERT INTO `lang_definitions` VALUES (1859, 2924, 2, 'Om personen avlidit ange dödsdatum');
INSERT INTO `lang_definitions` VALUES (1860, 2927, 2, 'om arbetslösa lägg till student');
INSERT INTO `lang_definitions` VALUES (1861, 2933, 2, 'Om du vill ändra datatyper, lägg till rader eller kolumner');
INSERT INTO `lang_definitions` VALUES (1862, 2937, 2, 'Sjukdom');
INSERT INTO `lang_definitions` VALUES (1863, 2942, 2, 'Vaccinering');
INSERT INTO `lang_definitions` VALUES (1864, 2947, 2, 'Vaccin, Lotnummer');
INSERT INTO `lang_definitions` VALUES (1865, 2948, 2, 'Vaccin, tillverkare');
INSERT INTO `lang_definitions` VALUES (1866, 2953, 2, 'Vaccineringar');
INSERT INTO `lang_definitions` VALUES (1867, 2954, 2, 'Vaccinera');
INSERT INTO `lang_definitions` VALUES (1868, 2956, 2, 'Implantat');
INSERT INTO `lang_definitions` VALUES (1869, 2957, 2, 'Importera');
INSERT INTO `lang_definitions` VALUES (1870, 2964, 2, 'Importera patient');
INSERT INTO `lang_definitions` VALUES (1871, 2965, 2, 'Importera Patientdemografi');
INSERT INTO `lang_definitions` VALUES (1872, 2969, 2, 'Importerad från Accounting');
INSERT INTO `lang_definitions` VALUES (1873, 2972, 2, 'förbättrad');
INSERT INTO `lang_definitions` VALUES (1874, 2973, 2, 'i');
INSERT INTO `lang_definitions` VALUES (1875, 2975, 2, 'i båda ögonen');
INSERT INTO `lang_definitions` VALUES (1876, 2976, 2, 'i vänster öga');
INSERT INTO `lang_definitions` VALUES (1877, 2977, 2, 'i näsborre');
INSERT INTO `lang_definitions` VALUES (1878, 2978, 2, 'Arbetar');
INSERT INTO `lang_definitions` VALUES (1879, 2979, 2, 'i höger öga');
INSERT INTO `lang_definitions` VALUES (1880, 2982, 2, 'Inaktiv Dagar');
INSERT INTO `lang_definitions` VALUES (1881, 2991, 2, 'Inkludera mätväden');
INSERT INTO `lang_definitions` VALUES (1882, 2994, 2, 'Inkomst');
INSERT INTO `lang_definitions` VALUES (1883, 3001, 2, 'ökat:');
INSERT INTO `lang_definitions` VALUES (1884, 3002, 2, 'Ansvarsförsäkring');
INSERT INTO `lang_definitions` VALUES (1885, 3003, 2, 'Obestämd');
INSERT INTO `lang_definitions` VALUES (1886, 3006, 2, 'Indikerar om detta problem/frågeställning är aktiv');
INSERT INTO `lang_definitions` VALUES (1887, 3010, 2, 'Hjälpbehövande Patienter Rapport');
INSERT INTO `lang_definitions` VALUES (1888, 3017, 2, 'Infektion / Abscess');
INSERT INTO `lang_definitions` VALUES (1889, 3018, 2, 'Infektioner');
INSERT INTO `lang_definitions` VALUES (1890, 3019, 2, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (1891, 3026, 2, 'Info');
INSERT INTO `lang_definitions` VALUES (1892, 3027, 2, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (1893, 3028, 2, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (1894, 3029, 2, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (1895, 3030, 2, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (1896, 3031, 2, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (1897, 3032, 2, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (1898, 3034, 2, 'inhalation');
INSERT INTO `lang_definitions` VALUES (1899, 3035, 2, 'inhalationer');
INSERT INTO `lang_definitions` VALUES (1900, 3037, 2, 'Ursprunglig användare');
INSERT INTO `lang_definitions` VALUES (1901, 3039, 2, 'Injeserbara');
INSERT INTO `lang_definitions` VALUES (1902, 3042, 2, 'Skadade ut');
INSERT INTO `lang_definitions` VALUES (1903, 3044, 2, 'Skademekanism');
INSERT INTO `lang_definitions` VALUES (1904, 3045, 2, 'Skada, översiktsrapport');
INSERT INTO `lang_definitions` VALUES (1905, 3047, 2, 'Skada Typ');
INSERT INTO `lang_definitions` VALUES (1906, 3051, 2, 'Inmatningsfält');
INSERT INTO `lang_definitions` VALUES (1907, 3056, 2, 'Ins justera');
INSERT INTO `lang_definitions` VALUES (1908, 3057, 2, 'Ins paketering');
INSERT INTO `lang_definitions` VALUES (1909, 3061, 2, 'Ins överskjutande');
INSERT INTO `lang_definitions` VALUES (1910, 3063, 2, 'Ins återbetalning');
INSERT INTO `lang_definitions` VALUES (1911, 3064, 2, 'Ins Sammering');
INSERT INTO `lang_definitions` VALUES (1912, 3065, 2, 'Ins1');
INSERT INTO `lang_definitions` VALUES (1913, 3066, 2, 'Ins2');
INSERT INTO `lang_definitions` VALUES (1914, 3067, 2, 'Ins3');
INSERT INTO `lang_definitions` VALUES (1915, 3069, 2, 'isättning misslyckades: ');
INSERT INTO `lang_definitions` VALUES (1916, 3070, 2, 'Sätt gamla händelser i tabeller');
INSERT INTO `lang_definitions` VALUES (1917, 3072, 2, 'Insomnia');
INSERT INTO `lang_definitions` VALUES (1918, 3074, 2, 'Inspektion');
INSERT INTO `lang_definitions` VALUES (1919, 3075, 2, 'Instabilitet / subluxation');
INSERT INTO `lang_definitions` VALUES (1920, 3079, 2, 'installera DB');
INSERT INTO `lang_definitions` VALUES (1921, 3081, 2, 'Instruerad');
INSERT INTO `lang_definitions` VALUES (1922, 3084, 2, 'Instruktioner:');
INSERT INTO `lang_definitions` VALUES (1923, 3086, 2, 'Insulinberoende diabetiker');
INSERT INTO `lang_definitions` VALUES (1924, 3087, 2, 'Försäkring');
INSERT INTO `lang_definitions` VALUES (1925, 3088, 2, 'försäkring');
INSERT INTO `lang_definitions` VALUES (1926, 3094, 2, 'Försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (1927, 3095, 2, 'Försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (1928, 3096, 2, 'Försäkringsbolag Sök / Köp');
INSERT INTO `lang_definitions` VALUES (1929, 3098, 2, 'Försäkring Data');
INSERT INTO `lang_definitions` VALUES (1930, 3100, 2, 'Försäkring Number');
INSERT INTO `lang_definitions` VALUES (1931, 3103, 2, 'Försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (1932, 3113, 2, 'Internt fel - inga sidor valdes!');
INSERT INTO `lang_definitions` VALUES (1933, 3114, 2, 'Internt fel - patient-ID fanns inte!');
INSERT INTO `lang_definitions` VALUES (1934, 3116, 2, 'Internt fel!');
INSERT INTO `lang_definitions` VALUES (1935, 3119, 2, 'Internt fel: påstående ');
INSERT INTO `lang_definitions` VALUES (1936, 3120, 2, 'Internt fel: möter\"');
INSERT INTO `lang_definitions` VALUES (1937, 3126, 2, 'Inre Övergångar');
INSERT INTO `lang_definitions` VALUES (1938, 3129, 2, 'Tolk');
INSERT INTO `lang_definitions` VALUES (1939, 3131, 2, 'Interstitiell lungsjukdom');
INSERT INTO `lang_definitions` VALUES (1940, 3132, 2, 'Interval');
INSERT INTO `lang_definitions` VALUES (1941, 3137, 2, 'Intolerans');
INSERT INTO `lang_definitions` VALUES (1942, 3139, 2, 'intramuskulärt');
INSERT INTO `lang_definitions` VALUES (1943, 3140, 2, 'intravenöst');
INSERT INTO `lang_definitions` VALUES (1944, 3141, 2, 'Introduktion');
INSERT INTO `lang_definitions` VALUES (1945, 3149, 2, 'Ogiltig eller saknas betalaren i källan för kod ');
INSERT INTO `lang_definitions` VALUES (1946, 3151, 2, 'Ogiltig Service Kod');
INSERT INTO `lang_definitions` VALUES (1947, 3152, 2, 'Ogiltig källdestination\"');
INSERT INTO `lang_definitions` VALUES (1948, 3155, 2, 'Inventering');
INSERT INTO `lang_definitions` VALUES (1949, 3159, 2, 'Inventering är inte tillgänglig för denna beställning.');
INSERT INTO `lang_definitions` VALUES (1950, 3160, 2, 'Inventeringslista');
INSERT INTO `lang_definitions` VALUES (1951, 3162, 2, 'Faktura');
INSERT INTO `lang_definitions` VALUES (1952, 3163, 2, 'faktura');
INSERT INTO `lang_definitions` VALUES (1953, 3166, 2, 'Fakturadatum');
INSERT INTO `lang_definitions` VALUES (1954, 3167, 2, 'Fakturanhar inget datum!');
INSERT INTO `lang_definitions` VALUES (1955, 3173, 2, 'Faktura:');
INSERT INTO `lang_definitions` VALUES (1956, 3185, 2, 'Oregelbunden hjärtrytm');
INSERT INTO `lang_definitions` VALUES (1957, 3186, 2, 'Retlighet');
INSERT INTO `lang_definitions` VALUES (1958, 3187, 2, 'Irritation');
INSERT INTO `lang_definitions` VALUES (1959, 3191, 2, 'är ett obligatoriskt fält.');
INSERT INTO `lang_definitions` VALUES (1960, 3197, 2, 'inte är giltig (decimalbråk är OK).');
INSERT INTO `lang_definitions` VALUES (1961, 3198, 2, 'Är PHP använder felsäkert läge?');
INSERT INTO `lang_definitions` VALUES (1962, 3216, 2, 'Frågeställning');
INSERT INTO `lang_definitions` VALUES (1963, 3217, 2, 'frågeställning');
INSERT INTO `lang_definitions` VALUES (1964, 3223, 2, 'Aktuellt');
INSERT INTO `lang_definitions` VALUES (1965, 3225, 2, 'Aktuellt (Problem / Medicin / Allergi):');
INSERT INTO `lang_definitions` VALUES (1966, 3226, 2, 'Information och Patientmöten');
INSERT INTO `lang_definitions` VALUES (1967, 3227, 2, 'Information och möten för');
INSERT INTO `lang_definitions` VALUES (1968, 3228, 2, 'Problematik, ej behörig');
INSERT INTO `lang_definitions` VALUES (1969, 3229, 2, 'Frågeställningssektion');
INSERT INTO `lang_definitions` VALUES (1970, 3231, 2, 'Artikel');
INSERT INTO `lang_definitions` VALUES (1971, 3232, 2, 'artikel');
INSERT INTO `lang_definitions` VALUES (1972, 3234, 2, 'Poster laddades inte');
INSERT INTO `lang_definitions` VALUES (1973, 3239, 2, 'Januari');
INSERT INTO `lang_definitions` VALUES (1974, 3243, 2, 'Jobb-beskrivning');
INSERT INTO `lang_definitions` VALUES (1975, 3244, 2, 'Jobb id');
INSERT INTO `lang_definitions` VALUES (1976, 3245, 2, 'Led dislokation');
INSERT INTO `lang_definitions` VALUES (1977, 3246, 2, 'Led smärta');
INSERT INTO `lang_definitions` VALUES (1978, 3247, 2, 'Led vrickning');
INSERT INTO `lang_definitions` VALUES (1979, 3249, 2, 'Juli');
INSERT INTO `lang_definitions` VALUES (1980, 3251, 2, 'Juni');
INSERT INTO `lang_definitions` VALUES (1981, 3253, 2, 'Bara min');
INSERT INTO `lang_definitions` VALUES (1982, 3255, 2, 'Motivera');
INSERT INTO `lang_definitions` VALUES (1983, 3256, 2, 'Motivera / Spara');
INSERT INTO `lang_definitions` VALUES (1984, 3258, 2, 'k, här är resten');
INSERT INTO `lang_definitions` VALUES (1985, 3265, 2, 'Nyckelord');
INSERT INTO `lang_definitions` VALUES (1986, 3269, 2, 'Njurcancer');
INSERT INTO `lang_definitions` VALUES (1987, 3270, 2, 'Njursvikt');
INSERT INTO `lang_definitions` VALUES (1988, 3271, 2, 'Njure Infektioner');
INSERT INTO `lang_definitions` VALUES (1989, 3272, 2, 'Njursten');
INSERT INTO `lang_definitions` VALUES (1990, 3273, 2, 'Njurtransplantation');
INSERT INTO `lang_definitions` VALUES (1991, 3277, 2, 'Knä');
INSERT INTO `lang_definitions` VALUES (1992, 3278, 2, 'Knä Problem');
INSERT INTO `lang_definitions` VALUES (1993, 3279, 2, 'Knä Ersättning /protes');
INSERT INTO `lang_definitions` VALUES (1994, 3286, 2, 'Lab');
INSERT INTO `lang_definitions` VALUES (1995, 3295, 2, 'Lab Rapport');
INSERT INTO `lang_definitions` VALUES (1996, 3303, 2, 'Etikett');
INSERT INTO `lang_definitions` VALUES (1997, 3305, 2, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (1998, 3308, 2, 'Etiketter');
INSERT INTO `lang_definitions` VALUES (1999, 3311, 2, 'Labs');
INSERT INTO `lang_definitions` VALUES (2000, 3312, 2, 'Laceration / hudkodition');
INSERT INTO `lang_definitions` VALUES (2001, 3313, 2, 'Laceration / nötning');
INSERT INTO `lang_definitions` VALUES (2002, 3316, 2, 'Språk');
INSERT INTO `lang_definitions` VALUES (2003, 3317, 2, 'Språk-kod');
INSERT INTO `lang_definitions` VALUES (2004, 3318, 2, 'Språk definition tillagd');
INSERT INTO `lang_definitions` VALUES (2005, 3321, 2, 'Språknamn');
INSERT INTO `lang_definitions` VALUES (2006, 3322, 2, 'Språk:');
INSERT INTO `lang_definitions` VALUES (2007, 3325, 2, 'Sist');
INSERT INTO `lang_definitions` VALUES (2008, 3326, 2, 'Datum för senaste aktivitet');
INSERT INTO `lang_definitions` VALUES (2009, 3328, 2, 'Sista betalnings dag på faktura:');
INSERT INTO `lang_definitions` VALUES (2010, 3333, 2, 'Senaste patientmötet');
INSERT INTO `lang_definitions` VALUES (2011, 3344, 2, 'Efternamn');
INSERT INTO `lang_definitions` VALUES (2012, 3345, 2, 'Efternamn');
INSERT INTO `lang_definitions` VALUES (2013, 3346, 2, 'Efternamn:');
INSERT INTO `lang_definitions` VALUES (2014, 3352, 2, 'Senast sparad');
INSERT INTO `lang_definitions` VALUES (2015, 3356, 2, 'Senast uppdaterad av');
INSERT INTO `lang_definitions` VALUES (2016, 3358, 2, 'Senaste besöket');
INSERT INTO `lang_definitions` VALUES (2017, 3360, 2, 'Sen Återkommande (2-12 mån)');
INSERT INTO `lang_definitions` VALUES (2018, 3365, 2, 'sidled fördrivna PMI:');
INSERT INTO `lang_definitions` VALUES (2019, 3374, 2, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (2020, 3379, 2, 'Layouter');
INSERT INTO `lang_definitions` VALUES (2021, 3382, 2, 'LDL');
INSERT INTO `lang_definitions` VALUES (2022, 3383, 2, 'lämna tom om fortfarande aktiv');
INSERT INTO `lang_definitions` VALUES (2023, 3385, 2, 'Lämna tomt för att hålla lösenord oförändrad.');
INSERT INTO `lang_definitions` VALUES (2024, 3386, 2, 'Kontakt via');
INSERT INTO `lang_definitions` VALUES (2025, 3387, 2, 'Lämna Form');
INSERT INTO `lang_definitions` VALUES (2026, 3390, 2, 'Vänster');
INSERT INTO `lang_definitions` VALUES (2027, 3391, 2, 'vänster öra');
INSERT INTO `lang_definitions` VALUES (2028, 3392, 2, 'vänster öra');
INSERT INTO `lang_definitions` VALUES (2029, 3394, 2, 'Vänster:');
INSERT INTO `lang_definitions` VALUES (2030, 3395, 2, 'Vänster: ');
INSERT INTO `lang_definitions` VALUES (2031, 3396, 2, 'Ben smärta / Kramper');
INSERT INTO `lang_definitions` VALUES (2032, 3397, 2, 'Rättsärenden');
INSERT INTO `lang_definitions` VALUES (2033, 3400, 2, 'Förklaring:');
INSERT INTO `lang_definitions` VALUES (2034, 3401, 2, 'Längd');
INSERT INTO `lang_definitions` VALUES (2035, 3406, 2, 'Brev');
INSERT INTO `lang_definitions` VALUES (2036, 3407, 2, 'Brevgenerator');
INSERT INTO `lang_definitions` VALUES (2037, 3412, 2, 'Ansvar');
INSERT INTO `lang_definitions` VALUES (2038, 3413, 2, 'Ansvar för medicinskt');
INSERT INTO `lang_definitions` VALUES (2039, 3414, 2, 'passnr');
INSERT INTO `lang_definitions` VALUES (2040, 3423, 2, 'Livsstil');
INSERT INTO `lang_definitions` VALUES (2041, 3425, 2, 'Ligament skada eller vrickning');
INSERT INTO `lang_definitions` VALUES (2042, 3428, 2, 'Begränsning av händelser');
INSERT INTO `lang_definitions` VALUES (2043, 3438, 2, 'Förteckning');
INSERT INTO `lang_definitions` VALUES (2044, 3443, 2, 'List Editor');
INSERT INTO `lang_definitions` VALUES (2045, 3446, 2, 'Lista Insurance Companies');
INSERT INTO `lang_definitions` VALUES (2046, 3451, 2, 'Lista listor');
INSERT INTO `lang_definitions` VALUES (2047, 3452, 2, 'Lista Namn');
INSERT INTO `lang_definitions` VALUES (2048, 3454, 2, 'Lista recept');
INSERT INTO `lang_definitions` VALUES (2049, 3458, 2, 'Listor');
INSERT INTO `lang_definitions` VALUES (2050, 3464, 2, 'Ladda definitioner');
INSERT INTO `lang_definitions` VALUES (2051, 3470, 2, 'Laddar');
INSERT INTO `lang_definitions` VALUES (2052, 3473, 2, 'Lokalt');
INSERT INTO `lang_definitions` VALUES (2053, 3477, 2, 'Lokalitet');
INSERT INTO `lang_definitions` VALUES (2054, 3478, 2, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (2055, 3481, 2, 'Lokalisation ospecificerad');
INSERT INTO `lang_definitions` VALUES (2056, 3484, 2, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (2057, 3495, 2, 'Inloggad');
INSERT INTO `lang_definitions` VALUES (2058, 3496, 2, 'Inloggad som');
INSERT INTO `lang_definitions` VALUES (2059, 3497, 2, 'Inloggad som: ');
INSERT INTO `lang_definitions` VALUES (2060, 3498, 2, 'Utloggad.');
INSERT INTO `lang_definitions` VALUES (2061, 3500, 2, 'Logga in');
INSERT INTO `lang_definitions` VALUES (2062, 3501, 2, 'logga in');
INSERT INTO `lang_definitions` VALUES (2063, 3505, 2, 'Logout');
INSERT INTO `lang_definitions` VALUES (2064, 3506, 2, 'logout');
INSERT INTO `lang_definitions` VALUES (2065, 3507, 2, 'Loggar');
INSERT INTO `lang_definitions` VALUES (2066, 3510, 2, 'Slå upp');
INSERT INTO `lang_definitions` VALUES (2067, 3511, 2, 'Batch');
INSERT INTO `lang_definitions` VALUES (2068, 3513, 2, 'Batchnummer');
INSERT INTO `lang_definitions` VALUES (2069, 3514, 2, 'låg');
INSERT INTO `lang_definitions` VALUES (2070, 3516, 2, 'Benet');
INSERT INTO `lang_definitions` VALUES (2071, 3519, 2, 'Lumbal delen av ryggraden');
INSERT INTO `lang_definitions` VALUES (2072, 3520, 2, 'LUNCH');
INSERT INTO `lang_definitions` VALUES (2073, 3521, 2, 'Lunch');
INSERT INTO `lang_definitions` VALUES (2074, 3522, 2, 'Lung Cancer');
INSERT INTO `lang_definitions` VALUES (2075, 3523, 2, 'Lung Cancer kirurgi');
INSERT INTO `lang_definitions` VALUES (2076, 3524, 2, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (2077, 3525, 2, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (2078, 3528, 2, 'M');
INSERT INTO `lang_definitions` VALUES (2079, 3529, 2, 'MA Kategori');
INSERT INTO `lang_definitions` VALUES (2080, 3535, 2, 'Huvudadress');
INSERT INTO `lang_definitions` VALUES (2081, 3540, 2, 'Gör ändringar i nuvarande kategorier.');
INSERT INTO `lang_definitions` VALUES (2082, 3542, 2, 'Försäkra \"');
INSERT INTO `lang_definitions` VALUES (2083, 3545, 2, 'Sjukdomskänsla:');
INSERT INTO `lang_definitions` VALUES (2084, 3548, 2, 'Man');
INSERT INTO `lang_definitions` VALUES (2085, 3549, 2, 'Manlig Kondomer');
INSERT INTO `lang_definitions` VALUES (2086, 3552, 2, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (2087, 3557, 2, 'Administration');
INSERT INTO `lang_definitions` VALUES (2088, 3562, 2, 'Manuell post');
INSERT INTO `lang_definitions` VALUES (2089, 3563, 2, 'Tillverkare');
INSERT INTO `lang_definitions` VALUES (2090, 3568, 2, 'Mars');
INSERT INTO `lang_definitions` VALUES (2091, 3569, 2, 'Civilstånd');
INSERT INTO `lang_definitions` VALUES (2092, 3571, 2, 'Markera som faktureras men hoppa fakturering');
INSERT INTO `lang_definitions` VALUES (2093, 3572, 2, 'Markera som avklarad');
INSERT INTO `lang_definitions` VALUES (2094, 3573, 2, 'Markera som ej fakturerad');
INSERT INTO `lang_definitions` VALUES (2095, 3575, 2, 'Markerad som avslutad');
INSERT INTO `lang_definitions` VALUES (2096, 3576, 2, 'Gift');
INSERT INTO `lang_definitions` VALUES (2097, 3594, 2, 'Maxillary Höger:');
INSERT INTO `lang_definitions` VALUES (2098, 3603, 2, 'Maj');
INSERT INTO `lang_definitions` VALUES (2099, 3604, 2, 'MC');
INSERT INTO `lang_definitions` VALUES (2100, 3605, 2, 'mcg');
INSERT INTO `lang_definitions` VALUES (2101, 3614, 2, 'Medicinsk');
INSERT INTO `lang_definitions` VALUES (2102, 3620, 2, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (2103, 3623, 2, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (2104, 3624, 2, 'Journal');
INSERT INTO `lang_definitions` VALUES (2105, 3625, 2, 'Journal #');
INSERT INTO `lang_definitions` VALUES (2106, 3626, 2, 'Journaler');
INSERT INTO `lang_definitions` VALUES (2107, 3632, 2, 'Journal / Historia ( frivilligt att skriva )');
INSERT INTO `lang_definitions` VALUES (2108, 3635, 2, 'Medicin');
INSERT INTO `lang_definitions` VALUES (2109, 3640, 2, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (2110, 3641, 2, 'Läkemedel:');
INSERT INTO `lang_definitions` VALUES (2111, 3642, 2, 'Medicinska enheter');
INSERT INTO `lang_definitions` VALUES (2112, 3643, 2, 'Medium');
INSERT INTO `lang_definitions` VALUES (2113, 3645, 2, 'Ledamot Association Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (2114, 3646, 2, 'Minnes Problem');
INSERT INTO `lang_definitions` VALUES (2115, 3647, 2, 'Män');
INSERT INTO `lang_definitions` VALUES (2116, 3648, 2, 'Män och kvinnor');
INSERT INTO `lang_definitions` VALUES (2117, 3649, 2, 'Män Endast');
INSERT INTO `lang_definitions` VALUES (2118, 3651, 2, 'Klimakteriet');
INSERT INTO `lang_definitions` VALUES (2119, 3654, 2, 'Psykisk sjukdom');
INSERT INTO `lang_definitions` VALUES (2120, 3661, 2, 'Meddelande');
INSERT INTO `lang_definitions` VALUES (2121, 3662, 2, 'Meddelanden och Påminnelser');
INSERT INTO `lang_definitions` VALUES (2122, 3670, 2, 'MEDELANDE:');
INSERT INTO `lang_definitions` VALUES (2123, 3671, 2, 'Meddelanden');
INSERT INTO `lang_definitions` VALUES (2124, 3673, 2, 'Metod');
INSERT INTO `lang_definitions` VALUES (2125, 3676, 2, 'Metod för förstöring');
INSERT INTO `lang_definitions` VALUES (2126, 3679, 2, 'mg');
INSERT INTO `lang_definitions` VALUES (2127, 3680, 2, 'mg/ml');
INSERT INTO `lang_definitions` VALUES (2128, 3681, 2, 'g');
INSERT INTO `lang_definitions` VALUES (2129, 3682, 2, 'g/ml');
INSERT INTO `lang_definitions` VALUES (2130, 3686, 2, 'Mellan');
INSERT INTO `lang_definitions` VALUES (2131, 3687, 2, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (2132, 3688, 2, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (2133, 3696, 2, 'Migrerande eller säsongsarbetare?');
INSERT INTO `lang_definitions` VALUES (2134, 3697, 2, 'Migrerande / Säsong');
INSERT INTO `lang_definitions` VALUES (2135, 3709, 2, 'minuter');
INSERT INTO `lang_definitions` VALUES (2136, 3710, 2, 'Protokoll');
INSERT INTO `lang_definitions` VALUES (2137, 3716, 2, 'Diverse');
INSERT INTO `lang_definitions` VALUES (2138, 3717, 2, 'Missade');
INSERT INTO `lang_definitions` VALUES (2139, 3726, 2, 'Blandat');
INSERT INTO `lang_definitions` VALUES (2140, 3727, 2, 'ml');
INSERT INTO `lang_definitions` VALUES (2141, 3733, 2, 'Mobil');
INSERT INTO `lang_definitions` VALUES (2142, 3734, 2, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (2143, 3753, 2, 'Mån');
INSERT INTO `lang_definitions` VALUES (2144, 3754, 2, 'Mån tills fredag');
INSERT INTO `lang_definitions` VALUES (2145, 3755, 2, 'Måndag, onsdag och fredag');
INSERT INTO `lang_definitions` VALUES (2146, 3756, 2, 'Måndag');
INSERT INTO `lang_definitions` VALUES (2147, 3758, 2, 'Månad');
INSERT INTO `lang_definitions` VALUES (2148, 3759, 2, 'månad');
INSERT INTO `lang_definitions` VALUES (2149, 3760, 2, 'Månadsvy');
INSERT INTO `lang_definitions` VALUES (2150, 3761, 2, 'Månad (er)');
INSERT INTO `lang_definitions` VALUES (2151, 3762, 2, 'Månadsinkomst');
INSERT INTO `lang_definitions` VALUES (2152, 3766, 2, 'Mer än 50 resultat, gör din sökning mer specifik.');
INSERT INTO `lang_definitions` VALUES (2153, 3771, 2, 'Moder');
INSERT INTO `lang_definitions` VALUES (2154, 3775, 2, 'Flytta');
INSERT INTO `lang_definitions` VALUES (2155, 3779, 2, 'Flytta till patient');
INSERT INTO `lang_definitions` VALUES (2156, 3780, 2, 'Flytta till...');
INSERT INTO `lang_definitions` VALUES (2157, 3781, 2, 'flytta up');
INSERT INTO `lang_definitions` VALUES (2158, 3783, 2, 'Herr.');
INSERT INTO `lang_definitions` VALUES (2159, 3785, 2, 'Fru.');
INSERT INTO `lang_definitions` VALUES (2160, 3786, 2, 'Fröken');
INSERT INTO `lang_definitions` VALUES (2161, 3796, 2, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (2162, 3797, 2, 'Flera områden');
INSERT INTO `lang_definitions` VALUES (2163, 3803, 2, 'Sorla:');
INSERT INTO `lang_definitions` VALUES (2164, 3804, 2, 'Muskel värk');
INSERT INTO `lang_definitions` VALUES (2165, 3810, 2, 'Muskel');
INSERT INTO `lang_definitions` VALUES (2166, 3811, 2, 'Muskel skada');
INSERT INTO `lang_definitions` VALUES (2167, 3812, 2, 'Muskuloskeletala');
INSERT INTO `lang_definitions` VALUES (2168, 3814, 2, 'Ömsesidigt Definierad');
INSERT INTO `lang_definitions` VALUES (2169, 3823, 2, 'Namn');
INSERT INTO `lang_definitions` VALUES (2170, 3826, 2, 'Namn 1');
INSERT INTO `lang_definitions` VALUES (2171, 3827, 2, 'Namn 2');
INSERT INTO `lang_definitions` VALUES (2172, 3828, 2, 'Namn på administratör');
INSERT INTO `lang_definitions` VALUES (2173, 3832, 2, 'Namn på försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (2174, 3833, 2, 'Namn på Provider');
INSERT INTO `lang_definitions` VALUES (2175, 3837, 2, 'Namn:');
INSERT INTO `lang_definitions` VALUES (2176, 3838, 2, 'Narės:');
INSERT INTO `lang_definitions` VALUES (2177, 3839, 2, 'Narės: Normal Rätt');
INSERT INTO `lang_definitions` VALUES (2178, 3840, 2, 'Nasal mucosa rosa, septumets mittlinje');
INSERT INTO `lang_definitions` VALUES (2179, 3844, 2, 'Nationalitet');
INSERT INTO `lang_definitions` VALUES (2180, 3854, 2, 'Navigering');
INSERT INTO `lang_definitions` VALUES (2181, 3866, 2, 'Nacke');
INSERT INTO `lang_definitions` VALUES (2182, 3867, 2, 'Nackproblem');
INSERT INTO `lang_definitions` VALUES (2183, 3869, 2, 'Måste ange en beskrivning');
INSERT INTO `lang_definitions` VALUES (2184, 3870, 2, 'Ange ett returvärde');
INSERT INTO `lang_definitions` VALUES (2185, 3871, 2, 'Ange identifieraren');
INSERT INTO `lang_definitions` VALUES (2186, 3872, 2, 'Ange titel');
INSERT INTO `lang_definitions` VALUES (2187, 3875, 2, 'Ange sekundära fakturering');
INSERT INTO `lang_definitions` VALUES (2188, 3880, 2, 'Nervskada');
INSERT INTO `lang_definitions` VALUES (2189, 3881, 2, 'Neurala tillstånd / nervskada');
INSERT INTO `lang_definitions` VALUES (2190, 3888, 2, 'Ny');
INSERT INTO `lang_definitions` VALUES (2191, 3889, 2, 'Ny =>');
INSERT INTO `lang_definitions` VALUES (2192, 3890, 2, 'Nya mottagare');
INSERT INTO `lang_definitions` VALUES (2193, 3894, 2, 'Nytt möte');
INSERT INTO `lang_definitions` VALUES (2194, 3895, 2, 'Nya kategorier');
INSERT INTO `lang_definitions` VALUES (2195, 3897, 2, 'Nya kunder');
INSERT INTO `lang_definitions` VALUES (2196, 3898, 2, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (2197, 3900, 2, 'Nytt definitionset tillagt');
INSERT INTO `lang_definitions` VALUES (2198, 3906, 2, 'Nya Patientbesöksformulär');
INSERT INTO `lang_definitions` VALUES (2199, 3907, 2, 'Nya möten som inte godkänts');
INSERT INTO `lang_definitions` VALUES (2200, 3909, 2, 'Nya Klinikinformation');
INSERT INTO `lang_definitions` VALUES (2201, 3912, 2, 'Ny grupp');
INSERT INTO `lang_definitions` VALUES (2202, 3916, 2, 'Ny begränsning av händelser');
INSERT INTO `lang_definitions` VALUES (2203, 3921, 2, 'Ny Patient');
INSERT INTO `lang_definitions` VALUES (2204, 3922, 2, 'NY PATIENT');
INSERT INTO `lang_definitions` VALUES (2205, 3923, 2, 'Nytt Patientbesök');
INSERT INTO `lang_definitions` VALUES (2206, 3925, 2, 'Nytt patient-ID');
INSERT INTO `lang_definitions` VALUES (2207, 3931, 2, 'Nya förslag');
INSERT INTO `lang_definitions` VALUES (2208, 3932, 2, 'Ny användare');
INSERT INTO `lang_definitions` VALUES (2209, 3934, 2, 'Nytt besök');
INSERT INTO `lang_definitions` VALUES (2210, 3935, 2, 'Ny/Sök');
INSERT INTO `lang_definitions` VALUES (2211, 3961, 2, 'Dagstidning');
INSERT INTO `lang_definitions` VALUES (2212, 3962, 2, 'Nästa');
INSERT INTO `lang_definitions` VALUES (2213, 3964, 2, 'Nästa dag');
INSERT INTO `lang_definitions` VALUES (2214, 3965, 2, 'Nästa Månad');
INSERT INTO `lang_definitions` VALUES (2215, 3968, 2, 'Nästa vecka');
INSERT INTO `lang_definitions` VALUES (2216, 3971, 2, 'Alias');
INSERT INTO `lang_definitions` VALUES (2217, 3973, 2, 'Nattliga svettningar');
INSERT INTO `lang_definitions` VALUES (2218, 3975, 2, 'Nej');
INSERT INTO `lang_definitions` VALUES (2219, 3976, 2, 'NEJ');
INSERT INTO `lang_definitions` VALUES (2220, 3977, 2, 'Ingen tillgång');
INSERT INTO `lang_definitions` VALUES (2221, 3985, 2, 'Inget faktureringssystem är aktivt');
INSERT INTO `lang_definitions` VALUES (2222, 3989, 2, 'Ingen kod specificerades!');
INSERT INTO `lang_definitions` VALUES (2223, 3992, 2, 'Ingen diagnos');
INSERT INTO `lang_definitions` VALUES (2224, 3995, 2, 'Inget slutdatum');
INSERT INTO `lang_definitions` VALUES (2225, 3996, 2, 'Inga poster funna, använda formuläret nedan för att lägga till en post.');
INSERT INTO `lang_definitions` VALUES (2226, 3998, 2, 'Inga händelser');
INSERT INTO `lang_definitions` VALUES (2227, 4001, 2, 'Ingen grupp valdes');
INSERT INTO `lang_definitions` VALUES (2228, 4002, 2, 'Inga bråck');
INSERT INTO `lang_definitions` VALUES (2229, 4006, 2, 'Nr Insurance Companies Found');
INSERT INTO `lang_definitions` VALUES (2230, 4036, 2, 'Inga tider hittades för denna period.');
INSERT INTO `lang_definitions` VALUES (2231, 4039, 2, 'Inga Partners hittades');
INSERT INTO `lang_definitions` VALUES (2232, 4042, 2, 'Inga perifera ödem');
INSERT INTO `lang_definitions` VALUES (2233, 4043, 2, 'Inga apotek hittades');
INSERT INTO `lang_definitions` VALUES (2234, 4044, 2, 'Inga recept hittades');
INSERT INTO `lang_definitions` VALUES (2235, 4045, 2, 'Ingen sjukdom / skada visas');
INSERT INTO `lang_definitions` VALUES (2236, 4060, 2, 'Inga resultat hittades i sökningen');
INSERT INTO `lang_definitions` VALUES (2237, 4062, 2, 'Inga resultat, försök igen.');
INSERT INTO `lang_definitions` VALUES (2238, 4065, 2, 'Ej kommit på avtalad tid');
INSERT INTO `lang_definitions` VALUES (2239, 4068, 2, 'Ingen hud dimpling eller bröst knölar');
INSERT INTO `lang_definitions` VALUES (2240, 4079, 2, 'Nr:');
INSERT INTO `lang_definitions` VALUES (2241, 4083, 2, 'Icke specifika skada');
INSERT INTO `lang_definitions` VALUES (2242, 4085, 2, 'Icke-insulinberoende diabetes');
INSERT INTO `lang_definitions` VALUES (2243, 4087, 2, 'Icke-SRH Medical');
INSERT INTO `lang_definitions` VALUES (2244, 4088, 2, 'Icke-SRH icke-medicinska');
INSERT INTO `lang_definitions` VALUES (2245, 4089, 2, 'Ingen');
INSERT INTO `lang_definitions` VALUES (2246, 4090, 2, 'ingen');
INSERT INTO `lang_definitions` VALUES (2247, 4093, 2, 'Inget av ovanstående');
INSERT INTO `lang_definitions` VALUES (2248, 4096, 2, 'Inte heller');
INSERT INTO `lang_definitions` VALUES (2249, 4097, 2, 'Normal');
INSERT INTO `lang_definitions` VALUES (2250, 4108, 2, 'Normal:');
INSERT INTO `lang_definitions` VALUES (2251, 4119, 2, 'Alla fält är obligatoriska för alla nummer eller kod typer.');
INSERT INTO `lang_definitions` VALUES (2252, 4120, 2, 'Ej tillåtet');
INSERT INTO `lang_definitions` VALUES (2253, 4121, 2, 'Ej tillåtet att ta bort gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (2254, 4123, 2, 'Ej tillåtet att inaktivera alla trygghet objekt');
INSERT INTO `lang_definitions` VALUES (2255, 4124, 2, 'Ej tillåtet att inaktivera allt från Administratörer ACL');
INSERT INTO `lang_definitions` VALUES (2256, 4125, 2, 'Ej tillåtet att ta bort admin-användare från gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (2257, 4128, 2, 'Ej behörighet att nå PostCalendar modulen');
INSERT INTO `lang_definitions` VALUES (2258, 4143, 2, 'Inte undersökt');
INSERT INTO `lang_definitions` VALUES (2259, 4144, 2, 'Inte undersökt:');
INSERT INTO `lang_definitions` VALUES (2260, 4145, 2, 'Inte undersökt: ');
INSERT INTO `lang_definitions` VALUES (2261, 4152, 2, 'Inte sett sedan');
INSERT INTO `lang_definitions` VALUES (2262, 4157, 2, 'kommentera');
INSERT INTO `lang_definitions` VALUES (2263, 4162, 2, 'Kommentartyp');
INSERT INTO `lang_definitions` VALUES (2264, 4168, 2, 'Anmärkning: Denna kod har inte förts in av en auktoriserad användare. Endast godkända koder kan laddas upp till Open Medical Billing nätverket för bearbetning. Om du vill ladda upp dessa nummer kan du välja en auktoriserad användare här.');
INSERT INTO `lang_definitions` VALUES (2265, 4171, 2, 'OBS: Överföra filer med duplikat namn gör att filerna automatiskt ska döpas. Till exempel \"<i> file.jpg </ i>\" blir \"<i> file.jpg.1 </ i>\". Filnamnen anses unika per patient, inte per kategori.');
INSERT INTO `lang_definitions` VALUES (2266, 4172, 2, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (2267, 4182, 2, 'Ingenting valdes');
INSERT INTO `lang_definitions` VALUES (2268, 4184, 2, 'MEDDELANDE: PostCalendar Inlämning / Modifiering');
INSERT INTO `lang_definitions` VALUES (2269, 4185, 2, 'Besked');
INSERT INTO `lang_definitions` VALUES (2270, 4189, 2, 'Meddela Admin Om Händelse Inlämning / Modifieringsförslag?');
INSERT INTO `lang_definitions` VALUES (2271, 4191, 2, 'November');
INSERT INTO `lang_definitions` VALUES (2272, 4198, 2, 'NPI');
INSERT INTO `lang_definitions` VALUES (2273, 4200, 2, 'Nummer');
INSERT INTO `lang_definitions` VALUES (2274, 4204, 2, 'Antal kolumner i år-vy.');
INSERT INTO `lang_definitions` VALUES (2275, 4234, 2, 'Status');
INSERT INTO `lang_definitions` VALUES (2276, 4237, 2, 'Yrke');
INSERT INTO `lang_definitions` VALUES (2277, 4239, 2, 'Förekomst');
INSERT INTO `lang_definitions` VALUES (2278, 4241, 2, 'Oktober');
INSERT INTO `lang_definitions` VALUES (2279, 4245, 2, 'tabletter');
INSERT INTO `lang_definitions` VALUES (2280, 4246, 2, 'i månaden per');
INSERT INTO `lang_definitions` VALUES (2281, 4249, 2, 'Mottagningskommentarer');
INSERT INTO `lang_definitions` VALUES (2282, 4250, 2, 'Mottagningsbesök');
INSERT INTO `lang_definitions` VALUES (2283, 4263, 2, 'Avkomma');
INSERT INTO `lang_definitions` VALUES (2284, 4265, 2, 'salva');
INSERT INTO `lang_definitions` VALUES (2285, 4267, 2, 'OK');
INSERT INTO `lang_definitions` VALUES (2286, 4272, 2, 'Gamla klienter');
INSERT INTO `lang_definitions` VALUES (2287, 4285, 2, 'underlåtit att autoassign');
INSERT INTO `lang_definitions` VALUES (2288, 4286, 2, 'på');
INSERT INTO `lang_definitions` VALUES (2289, 4288, 2, 'På Hand');
INSERT INTO `lang_definitions` VALUES (2290, 4289, 2, 'På beställning');
INSERT INTO `lang_definitions` VALUES (2291, 4292, 2, 'När du byter lösenord måste du logga in på nytt.');
INSERT INTO `lang_definitions` VALUES (2292, 4299, 2, 'Endast aktiva');
INSERT INTO `lang_definitions` VALUES (2293, 4302, 2, 'endast om faktureringsadress');
INSERT INTO `lang_definitions` VALUES (2294, 4303, 2, 'Endast Inaktiva');
INSERT INTO `lang_definitions` VALUES (2295, 4304, 2, 'Endast Min');
INSERT INTO `lang_definitions` VALUES (2296, 4310, 2, 'Uppkomsten av sjukdom:');
INSERT INTO `lang_definitions` VALUES (2297, 4311, 2, 'Uppkomsten av sjukdom: ');
INSERT INTO `lang_definitions` VALUES (2298, 4312, 2, 'Uppkomsten av Svullnad:');
INSERT INTO `lang_definitions` VALUES (2299, 4313, 2, 'Debut / Inskrivning. Datum:');
INSERT INTO `lang_definitions` VALUES (2300, 4316, 2, 'Öppen');
INSERT INTO `lang_definitions` VALUES (2301, 4328, 2, 'LibreEHR kräver Javascript för att utföra användarverifiering.');
INSERT INTO `lang_definitions` VALUES (2302, 4333, 2, 'Alternativ');
INSERT INTO `lang_definitions` VALUES (2303, 4336, 2, 'Valfritt');
INSERT INTO `lang_definitions` VALUES (2304, 4345, 2, 'Frivillig information om denna händelse');
INSERT INTO `lang_definitions` VALUES (2305, 4348, 2, 'Valfri procedurkodkod');
INSERT INTO `lang_definitions` VALUES (2306, 4351, 2, 'Eller');
INSERT INTO `lang_definitions` VALUES (2307, 4352, 2, 'ELLER');
INSERT INTO `lang_definitions` VALUES (2308, 4353, 2, 'Eller välj');
INSERT INTO `lang_definitions` VALUES (2309, 4359, 2, 'Eller ladda upp ERA fil:');
INSERT INTO `lang_definitions` VALUES (2310, 4362, 2, 'Ordning');
INSERT INTO `lang_definitions` VALUES (2311, 4386, 2, 'Organskada');
INSERT INTO `lang_definitions` VALUES (2312, 4387, 2, 'Organisation');
INSERT INTO `lang_definitions` VALUES (2313, 4391, 2, 'Orienterad x 3');
INSERT INTO `lang_definitions` VALUES (2314, 4398, 2, 'P.O. (via munnen)');
INSERT INTO `lang_definitions` VALUES (2315, 4402, 2, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (2316, 4403, 2, 'annan');
INSERT INTO `lang_definitions` VALUES (2317, 4408, 2, 'Andra skador inte specificerade på någon annan plats');
INSERT INTO `lang_definitions` VALUES (2318, 4410, 2, 'annan månad');
INSERT INTO `lang_definitions` VALUES (2319, 4411, 2, 'Andra icke-federala program');
INSERT INTO `lang_definitions` VALUES (2320, 4413, 2, 'Andra relevanta Symtom');
INSERT INTO `lang_definitions` VALUES (2321, 4414, 2, 'Andra relevanta Symtom:');
INSERT INTO `lang_definitions` VALUES (2322, 4417, 2, 'Andra kirurgiska');
INSERT INTO `lang_definitions` VALUES (2323, 4423, 2, 'OU');
INSERT INTO `lang_definitions` VALUES (2324, 4427, 2, 'Utfall');
INSERT INTO `lang_definitions` VALUES (2325, 4428, 2, 'Outlook');
INSERT INTO `lang_definitions` VALUES (2326, 4432, 2, 'Överutnyttjande');
INSERT INTO `lang_definitions` VALUES (2327, 4440, 2, 'vid behov');
INSERT INTO `lang_definitions` VALUES (2328, 4444, 2, 'Pedriatisk');
INSERT INTO `lang_definitions` VALUES (2329, 4446, 2, 'Sidor');
INSERT INTO `lang_definitions` VALUES (2330, 4447, 2, 'Betald');
INSERT INTO `lang_definitions` VALUES (2331, 4448, 2, 'Betalt belopp som du kommer att fördela');
INSERT INTO `lang_definitions` VALUES (2332, 4450, 2, 'Betalas via');
INSERT INTO `lang_definitions` VALUES (2333, 4463, 2, 'Partner');
INSERT INTO `lang_definitions` VALUES (2334, 4472, 2, 'Lösenord');
INSERT INTO `lang_definitions` VALUES (2335, 4473, 2, 'Ändra lösenord');
INSERT INTO `lang_definitions` VALUES (2336, 4480, 2, 'Lösenord för SMS Gateway');
INSERT INTO `lang_definitions` VALUES (2337, 4486, 2, 'Lösenord:');
INSERT INTO `lang_definitions` VALUES (2338, 4495, 2, 'Tidigare möten');
INSERT INTO `lang_definitions` VALUES (2339, 4496, 2, 'Tidigare möten och dokument');
INSERT INTO `lang_definitions` VALUES (2340, 4498, 2, 'Klistra in HL7 Data');
INSERT INTO `lang_definitions` VALUES (2341, 4522, 2, 'Patient Allergier');
INSERT INTO `lang_definitions` VALUES (2342, 4523, 2, 'Patient träff/bokning');
INSERT INTO `lang_definitions` VALUES (2343, 4528, 2, 'Patient diagram ID');
INSERT INTO `lang_definitions` VALUES (2344, 4539, 2, 'Patientdata');
INSERT INTO `lang_definitions` VALUES (2345, 4544, 2, 'Patientdokument');
INSERT INTO `lang_definitions` VALUES (2346, 4547, 2, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (2347, 4548, 2, 'Patientmötesformulär');
INSERT INTO `lang_definitions` VALUES (2348, 4549, 2, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (2349, 4550, 2, 'Patientsök');
INSERT INTO `lang_definitions` VALUES (2350, 4561, 2, 'Patienthistoria');
INSERT INTO `lang_definitions` VALUES (2351, 4562, 2, 'Patientens historia / Livsstil');
INSERT INTO `lang_definitions` VALUES (2352, 4564, 2, 'Patient-ID');
INSERT INTO `lang_definitions` VALUES (2353, 4568, 2, 'Patient -vaccination');
INSERT INTO `lang_definitions` VALUES (2354, 4571, 2, 'Ej tilldelad!');
INSERT INTO `lang_definitions` VALUES (2355, 4573, 2, 'Patient -problem');
INSERT INTO `lang_definitions` VALUES (2356, 4581, 2, 'Patientlista');
INSERT INTO `lang_definitions` VALUES (2357, 4587, 2, 'Patientens medicinska problem');
INSERT INTO `lang_definitions` VALUES (2358, 4588, 2, 'Patient -Mediciner');
INSERT INTO `lang_definitions` VALUES (2359, 4590, 2, 'Patient: Namn och Adress');
INSERT INTO `lang_definitions` VALUES (2360, 4596, 2, 'Patientanteckning, typ');
INSERT INTO `lang_definitions` VALUES (2361, 4597, 2, 'Patient -kommentarer');
INSERT INTO `lang_definitions` VALUES (2362, 4599, 2, 'Patientnummer');
INSERT INTO `lang_definitions` VALUES (2363, 4609, 2, 'Patient -Journalrapport');
INSERT INTO `lang_definitions` VALUES (2364, 4620, 2, 'Patientrapport');
INSERT INTO `lang_definitions` VALUES (2365, 4621, 2, 'Patientförfrågan');
INSERT INTO `lang_definitions` VALUES (2366, 4629, 2, 'Patient -Sammanfattning');
INSERT INTO `lang_definitions` VALUES (2367, 4630, 2, 'Patient -Remisser m.m.');
INSERT INTO `lang_definitions` VALUES (2368, 4633, 2, 'Patient / Klient');
INSERT INTO `lang_definitions` VALUES (2369, 4634, 2, 'Patient:');
INSERT INTO `lang_definitions` VALUES (2370, 4636, 2, 'Patienter');
INSERT INTO `lang_definitions` VALUES (2371, 4638, 2, 'Betala');
INSERT INTO `lang_definitions` VALUES (2372, 4640, 2, 'Betalningsdatum:');
INSERT INTO `lang_definitions` VALUES (2373, 4643, 2, 'Betalare');
INSERT INTO `lang_definitions` VALUES (2374, 4644, 2, 'Betalare Typ');
INSERT INTO `lang_definitions` VALUES (2375, 4645, 2, 'Utbetalande');
INSERT INTO `lang_definitions` VALUES (2376, 4647, 2, 'Betalning');
INSERT INTO `lang_definitions` VALUES (2377, 4654, 2, 'Betalningsdatum');
INSERT INTO `lang_definitions` VALUES (2378, 4660, 2, 'Betalningsmetod');
INSERT INTO `lang_definitions` VALUES (2379, 4664, 2, 'Betalning värde för kod ');
INSERT INTO `lang_definitions` VALUES (2380, 4665, 2, 'Betalningar');
INSERT INTO `lang_definitions` VALUES (2381, 4674, 2, 'Oavslutad');
INSERT INTO `lang_definitions` VALUES (2382, 4677, 2, 'Oklart');
INSERT INTO `lang_definitions` VALUES (2383, 4688, 2, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (2384, 4689, 2, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (2385, 4692, 2, 'Rektalt');
INSERT INTO `lang_definitions` VALUES (2386, 4693, 2, 'rektalt');
INSERT INTO `lang_definitions` VALUES (2387, 4699, 2, 'Utför sökning');
INSERT INTO `lang_definitions` VALUES (2388, 4700, 2, 'Utför åtgärden');
INSERT INTO `lang_definitions` VALUES (2389, 4717, 2, 'Apotek');
INSERT INTO `lang_definitions` VALUES (2390, 4718, 2, 'Patient Insurance Distribution');
INSERT INTO `lang_definitions` VALUES (2391, 4720, 2, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (2392, 4729, 2, 'Telefon');
INSERT INTO `lang_definitions` VALUES (2393, 4730, 2, 'Telefon samtalslistan');
INSERT INTO `lang_definitions` VALUES (2394, 4738, 2, 'Telefonnummer');
INSERT INTO `lang_definitions` VALUES (2395, 4747, 2, 'Hälsokontroll');
INSERT INTO `lang_definitions` VALUES (2396, 4749, 2, 'Läkares Begäran');
INSERT INTO `lang_definitions` VALUES (2397, 4750, 2, 'Läkares Underskrift');
INSERT INTO `lang_definitions` VALUES (2398, 4752, 2, 'Läkare');
INSERT INTO `lang_definitions` VALUES (2399, 4753, 2, 'välj');
INSERT INTO `lang_definitions` VALUES (2400, 4758, 2, 'Tablett Storlek');
INSERT INTO `lang_definitions` VALUES (2401, 4759, 2, 'Tabletter');
INSERT INTO `lang_definitions` VALUES (2402, 4767, 2, 'Vanlig text');
INSERT INTO `lang_definitions` VALUES (2403, 4768, 2, 'Planering');
INSERT INTO `lang_definitions` VALUES (2404, 4771, 2, 'Planering namn');
INSERT INTO `lang_definitions` VALUES (2405, 4779, 2, 'Planering:');
INSERT INTO `lang_definitions` VALUES (2406, 4782, 2, 'Planering');
INSERT INTO `lang_definitions` VALUES (2407, 4784, 2, 'Spelare');
INSERT INTO `lang_definitions` VALUES (2408, 4785, 2, 'Position');
INSERT INTO `lang_definitions` VALUES (2409, 4792, 2, 'Välj ett värde för');
INSERT INTO `lang_definitions` VALUES (2410, 4797, 2, 'Stäng detta fönster');
INSERT INTO `lang_definitions` VALUES (2411, 4798, 2, 'Jämför det nya namnet');
INSERT INTO `lang_definitions` VALUES (2412, 4839, 2, 'Vänligen använ endast alfabetiska tecken');
INSERT INTO `lang_definitions` VALUES (2413, 4840, 2, 'Vänligen använd endast alfabetiska tecken utan mellanslag');
INSERT INTO `lang_definitions` VALUES (2414, 4841, 2, 'Vänligen betala detta belopp');
INSERT INTO `lang_definitions` VALUES (2415, 4859, 2, 'Välj en händelse');
INSERT INTO `lang_definitions` VALUES (2416, 4882, 2, 'EM');
INSERT INTO `lang_definitions` VALUES (2417, 4891, 2, 'Lunginflammations Vaccination');
INSERT INTO `lang_definitions` VALUES (2418, 4897, 2, 'Förhållningssätt');
INSERT INTO `lang_definitions` VALUES (2419, 4902, 2, 'Polyper');
INSERT INTO `lang_definitions` VALUES (2420, 4904, 2, 'Dålig apptit');
INSERT INTO `lang_definitions` VALUES (2421, 4905, 2, 'Dålig cirkulation');
INSERT INTO `lang_definitions` VALUES (2422, 4906, 2, 'Dålig hörsel');
INSERT INTO `lang_definitions` VALUES (2423, 4909, 2, 'Popup-fönster');
INSERT INTO `lang_definitions` VALUES (2424, 4937, 2, 'Postnr');
INSERT INTO `lang_definitions` VALUES (2425, 4938, 2, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (2426, 4946, 2, 'Överförings Datum');
INSERT INTO `lang_definitions` VALUES (2427, 4953, 2, 'Practice');
INSERT INTO `lang_definitions` VALUES (2428, 4969, 2, 'Graviditets test');
INSERT INTO `lang_definitions` VALUES (2429, 4972, 2, 'Förskottsbetalning');
INSERT INTO `lang_definitions` VALUES (2430, 4977, 2, 'Receptbelagda märken');
INSERT INTO `lang_definitions` VALUES (2431, 4979, 2, 'Recept');
INSERT INTO `lang_definitions` VALUES (2432, 4980, 2, 'Föreskrifter och dispenser');
INSERT INTO `lang_definitions` VALUES (2433, 4981, 2, 'Recept och andra råd');
INSERT INTO `lang_definitions` VALUES (2434, 4982, 2, 'Recept och andra råd av specialist');
INSERT INTO `lang_definitions` VALUES (2435, 4983, 2, 'recept rapport');
INSERT INTO `lang_definitions` VALUES (2436, 4984, 2, 'Recept/råd');
INSERT INTO `lang_definitions` VALUES (2437, 4986, 2, 'Presentera Klagomål');
INSERT INTO `lang_definitions` VALUES (2438, 4988, 2, 'Tryck på fortsätt för att fortsätta');
INSERT INTO `lang_definitions` VALUES (2439, 4989, 2, 'Förmodad diagnos');
INSERT INTO `lang_definitions` VALUES (2440, 4990, 2, 'Förmodad diagnos från specialist');
INSERT INTO `lang_definitions` VALUES (2441, 4991, 2, 'Föregående');
INSERT INTO `lang_definitions` VALUES (2442, 5001, 2, 'Föregående');
INSERT INTO `lang_definitions` VALUES (2443, 5002, 2, 'Föregående konsultation');
INSERT INTO `lang_definitions` VALUES (2444, 5003, 2, 'Föregående dag');
INSERT INTO `lang_definitions` VALUES (2445, 5005, 2, 'Föregående månad');
INSERT INTO `lang_definitions` VALUES (2446, 5006, 2, 'Föregående vecka');
INSERT INTO `lang_definitions` VALUES (2447, 5007, 2, 'Pris');
INSERT INTO `lang_definitions` VALUES (2448, 5009, 2, 'Prisnivå');
INSERT INTO `lang_definitions` VALUES (2449, 5010, 2, 'Prisnivå:');
INSERT INTO `lang_definitions` VALUES (2450, 5012, 2, 'Primär');
INSERT INTO `lang_definitions` VALUES (2451, 5023, 2, 'Primära Försäkring');
INSERT INTO `lang_definitions` VALUES (2452, 5024, 2, 'Primära Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (2453, 5025, 2, 'Primär försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (2454, 5027, 2, 'Skriv ut');
INSERT INTO `lang_definitions` VALUES (2455, 5032, 2, 'Printa blankt remissformulär');
INSERT INTO `lang_definitions` VALUES (2456, 5043, 2, 'Skriv ut flera');
INSERT INTO `lang_definitions` VALUES (2457, 5057, 2, 'Skriv ut denna anmärkning');
INSERT INTO `lang_definitions` VALUES (2458, 5058, 2, 'Skriv ut Denna Anmärkning');
INSERT INTO `lang_definitions` VALUES (2459, 5062, 2, 'Utskrivbar');
INSERT INTO `lang_definitions` VALUES (2460, 5063, 2, 'Utskriftsversion');
INSERT INTO `lang_definitions` VALUES (2461, 5066, 2, 'Skriva ut resultat:');
INSERT INTO `lang_definitions` VALUES (2462, 5073, 2, 'Prioritet ');
INSERT INTO `lang_definitions` VALUES (2463, 5074, 2, 'Privat');
INSERT INTO `lang_definitions` VALUES (2464, 5079, 2, 'Problem/anledningar');
INSERT INTO `lang_definitions` VALUES (2465, 5086, 2, 'Förfarande');
INSERT INTO `lang_definitions` VALUES (2466, 5114, 2, 'Förfarande');
INSERT INTO `lang_definitions` VALUES (2467, 5115, 2, 'Process');
INSERT INTO `lang_definitions` VALUES (2468, 5125, 2, 'Bearbetning');
INSERT INTO `lang_definitions` VALUES (2469, 5132, 2, 'Produkter');
INSERT INTO `lang_definitions` VALUES (2470, 5134, 2, 'Prof.');
INSERT INTO `lang_definitions` VALUES (2471, 5136, 2, 'Prostata Cancer');
INSERT INTO `lang_definitions` VALUES (2472, 5138, 2, 'Prostata undersökning');
INSERT INTO `lang_definitions` VALUES (2473, 5139, 2, 'Prostata problem');
INSERT INTO `lang_definitions` VALUES (2474, 5152, 2, 'Vårdgivare');
INSERT INTO `lang_definitions` VALUES (2475, 5153, 2, 'Vårdgivare ID');
INSERT INTO `lang_definitions` VALUES (2476, 5154, 2, 'Vårdgivare ID');
INSERT INTO `lang_definitions` VALUES (2477, 5155, 2, 'Vårdgivare ID på specificerad klinik');
INSERT INTO `lang_definitions` VALUES (2478, 5156, 2, 'Kan ej matcha vårdgivare');
INSERT INTO `lang_definitions` VALUES (2479, 5159, 2, 'Vårdgivare, nummmer');
INSERT INTO `lang_definitions` VALUES (2480, 5162, 2, 'Vårdgivare:');
INSERT INTO `lang_definitions` VALUES (2481, 5163, 2, 'Vårdgivare:');
INSERT INTO `lang_definitions` VALUES (2482, 5167, 2, 'PSA');
INSERT INTO `lang_definitions` VALUES (2483, 5168, 2, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (2484, 5169, 2, 'Psykisk diagnos');
INSERT INTO `lang_definitions` VALUES (2485, 5170, 2, 'Psykiatrisk mediciinering');
INSERT INTO `lang_definitions` VALUES (2486, 5171, 2, 'Psykiatrisk mediciinering');
INSERT INTO `lang_definitions` VALUES (2487, 5206, 2, 'Puls');
INSERT INTO `lang_definitions` VALUES (2488, 5213, 2, 'Var 3:e timme');
INSERT INTO `lang_definitions` VALUES (2489, 5214, 2, 'Var 4:e timme');
INSERT INTO `lang_definitions` VALUES (2490, 5215, 2, 'Var 5:e timme');
INSERT INTO `lang_definitions` VALUES (2491, 5216, 2, 'Var 6:e timme');
INSERT INTO `lang_definitions` VALUES (2492, 5217, 2, 'Var 8:e timme');
INSERT INTO `lang_definitions` VALUES (2493, 5218, 2, '1 ggr/dag');
INSERT INTO `lang_definitions` VALUES (2494, 5219, 2, '4ggr/dag');
INSERT INTO `lang_definitions` VALUES (2495, 5222, 2, 'Antal');
INSERT INTO `lang_definitions` VALUES (2496, 5224, 2, 'Kvalitet');
INSERT INTO `lang_definitions` VALUES (2497, 5226, 2, 'Kvantitet');
INSERT INTO `lang_definitions` VALUES (2498, 5227, 2, 'Kvantitet för NDC');
INSERT INTO `lang_definitions` VALUES (2499, 5236, 2, 'köad');
INSERT INTO `lang_definitions` VALUES (2500, 5237, 2, 'Kö Evenemang Administration');
INSERT INTO `lang_definitions` VALUES (2501, 5238, 2, 'köad för');
INSERT INTO `lang_definitions` VALUES (2502, 5240, 2, 'Kö föreläggande Administration');
INSERT INTO `lang_definitions` VALUES (2503, 5245, 2, 'Modersmål / Tolkspråk');
INSERT INTO `lang_definitions` VALUES (2504, 5246, 2, 'Modersmål / Tolkspråk');
INSERT INTO `lang_definitions` VALUES (2505, 5247, 2, 'Modersmål / Tolkspråk');
INSERT INTO `lang_definitions` VALUES (2506, 5248, 2, 'Radio');
INSERT INTO `lang_definitions` VALUES (2507, 5249, 2, 'Radioknapp');
INSERT INTO `lang_definitions` VALUES (2508, 5252, 2, 'Utslag');
INSERT INTO `lang_definitions` VALUES (2509, 5253, 2, 'Betygsätta');
INSERT INTO `lang_definitions` VALUES (2510, 5254, 2, 'Andel');
INSERT INTO `lang_definitions` VALUES (2511, 5262, 2, 'Åter öppnas');
INSERT INTO `lang_definitions` VALUES (2512, 5264, 2, 'Reaktioner');
INSERT INTO `lang_definitions` VALUES (2513, 5268, 2, 'Riktigt namn');
INSERT INTO `lang_definitions` VALUES (2514, 5270, 2, 'Anledning');
INSERT INTO `lang_definitions` VALUES (2515, 5271, 2, 'Orsak till avslutande');
INSERT INTO `lang_definitions` VALUES (2516, 5274, 2, 'Anledning till remiss');
INSERT INTO `lang_definitions` VALUES (2517, 5275, 2, 'Anledning till besök');
INSERT INTO `lang_definitions` VALUES (2518, 5276, 2, 'Orsak / Form');
INSERT INTO `lang_definitions` VALUES (2519, 5277, 2, 'Kvitto');
INSERT INTO `lang_definitions` VALUES (2520, 5278, 2, 'Kvitto för betalning');
INSERT INTO `lang_definitions` VALUES (2521, 5281, 2, 'Kvitton Sammanfattning');
INSERT INTO `lang_definitions` VALUES (2522, 5282, 2, 'Mottagna');
INSERT INTO `lang_definitions` VALUES (2523, 5283, 2, 'Mottagna av');
INSERT INTO `lang_definitions` VALUES (2524, 5284, 2, 'Mottagna fax');
INSERT INTO `lang_definitions` VALUES (2525, 5287, 2, 'Mottagare');
INSERT INTO `lang_definitions` VALUES (2526, 5288, 2, 'Mottagare ID');
INSERT INTO `lang_definitions` VALUES (2527, 5300, 2, 'Rekomendationer');
INSERT INTO `lang_definitions` VALUES (2528, 5301, 2, 'Rekomendationer och behandling');
INSERT INTO `lang_definitions` VALUES (2529, 5302, 2, 'Rekomendationer av specialist');
INSERT INTO `lang_definitions` VALUES (2530, 5327, 2, 'reduceras:');
INSERT INTO `lang_definitions` VALUES (2531, 5328, 2, 'Remitera');
INSERT INTO `lang_definitions` VALUES (2532, 5329, 2, 'Remiterad av');
INSERT INTO `lang_definitions` VALUES (2533, 5330, 2, 'Remissdatum');
INSERT INTO `lang_definitions` VALUES (2534, 5331, 2, 'Remiteras till');
INSERT INTO `lang_definitions` VALUES (2535, 5332, 2, 'Prioritetsnivå (Risknivå)');
INSERT INTO `lang_definitions` VALUES (2536, 5334, 2, 'Orsak till remiss');
INSERT INTO `lang_definitions` VALUES (2537, 5336, 2, 'Remittent, namn och signatur');
INSERT INTO `lang_definitions` VALUES (2538, 5337, 2, 'Remiss');
INSERT INTO `lang_definitions` VALUES (2539, 5338, 2, 'Remitterad av');
INSERT INTO `lang_definitions` VALUES (2540, 5339, 2, 'Remisskort');
INSERT INTO `lang_definitions` VALUES (2541, 5340, 2, 'Remissdadum');
INSERT INTO `lang_definitions` VALUES (2542, 5341, 2, 'Remissformulär');
INSERT INTO `lang_definitions` VALUES (2543, 5342, 2, 'REMISSFORMULÄR');
INSERT INTO `lang_definitions` VALUES (2544, 5345, 2, 'Remisskälla');
INSERT INTO `lang_definitions` VALUES (2545, 5347, 2, 'Remitteras till');
INSERT INTO `lang_definitions` VALUES (2546, 5348, 2, 'remittering');
INSERT INTO `lang_definitions` VALUES (2547, 5349, 2, 'remiss');
INSERT INTO `lang_definitions` VALUES (2548, 5350, 2, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (2549, 5351, 2, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (2550, 5352, 2, 'Remitterats till');
INSERT INTO `lang_definitions` VALUES (2551, 5353, 2, 'Remiterats av');
INSERT INTO `lang_definitions` VALUES (2552, 5360, 2, 'Påfyllnad');
INSERT INTO `lang_definitions` VALUES (2553, 5361, 2, 'påfyllnad');
INSERT INTO `lang_definitions` VALUES (2554, 5362, 2, 'Reflexer normala');
INSERT INTO `lang_definitions` VALUES (2555, 5363, 2, 'Uppdatera');
INSERT INTO `lang_definitions` VALUES (2556, 5372, 2, 'Registrerad');
INSERT INTO `lang_definitions` VALUES (2557, 5373, 2, 'registrerade');
INSERT INTO `lang_definitions` VALUES (2558, 5375, 2, 'Registreringsdag');
INSERT INTO `lang_definitions` VALUES (2559, 5377, 2, 'Rehabilitering');
INSERT INTO `lang_definitions` VALUES (2560, 5382, 2, 'Relaterat');
INSERT INTO `lang_definitions` VALUES (2561, 5387, 2, 'Förhållande');
INSERT INTO `lang_definitions` VALUES (2562, 5389, 2, 'Anhöriga');
INSERT INTO `lang_definitions` VALUES (2563, 5403, 2, 'Religion');
INSERT INTO `lang_definitions` VALUES (2564, 5406, 2, 'Relogin');
INSERT INTO `lang_definitions` VALUES (2565, 5419, 2, 'Ta bort grupp');
INSERT INTO `lang_definitions` VALUES (2566, 5440, 2, 'Upprepar');
INSERT INTO `lang_definitions` VALUES (2567, 5444, 2, 'Svars Datum');
INSERT INTO `lang_definitions` VALUES (2568, 5446, 2, 'Rapport');
INSERT INTO `lang_definitions` VALUES (2569, 5463, 2, 'Rapporter');
INSERT INTO `lang_definitions` VALUES (2570, 5477, 2, 'Nödvändig');
INSERT INTO `lang_definitions` VALUES (2571, 5485, 2, 'RESERVERAD');
INSERT INTO `lang_definitions` VALUES (2572, 5486, 2, 'reserverad');
INSERT INTO `lang_definitions` VALUES (2573, 5496, 2, 'Löst');
INSERT INTO `lang_definitions` VALUES (2574, 5503, 2, 'Begränsat Utbildning');
INSERT INTO `lang_definitions` VALUES (2575, 5504, 2, 'Resultat');
INSERT INTO `lang_definitions` VALUES (2576, 5518, 2, 'Infällda Höger:');
INSERT INTO `lang_definitions` VALUES (2577, 5519, 2, 'Avkastning');
INSERT INTO `lang_definitions` VALUES (2578, 5527, 2, 'Returvärde');
INSERT INTO `lang_definitions` VALUES (2579, 5528, 2, 'Återresa');
INSERT INTO `lang_definitions` VALUES (2580, 5536, 2, 'Översyn av System Kontroller');
INSERT INTO `lang_definitions` VALUES (2581, 5538, 2, 'Revision');
INSERT INTO `lang_definitions` VALUES (2582, 5541, 2, 'Höger');
INSERT INTO `lang_definitions` VALUES (2583, 5542, 2, 'Höger öra');
INSERT INTO `lang_definitions` VALUES (2584, 5543, 2, 'höger öra');
INSERT INTO `lang_definitions` VALUES (2585, 5545, 2, 'Höger:');
INSERT INTO `lang_definitions` VALUES (2586, 5546, 2, 'Ringningar i öron');
INSERT INTO `lang_definitions` VALUES (2587, 5547, 2, 'Tinitus');
INSERT INTO `lang_definitions` VALUES (2588, 5561, 2, 'Rutt');
INSERT INTO `lang_definitions` VALUES (2589, 5564, 2, 'Rader');
INSERT INTO `lang_definitions` VALUES (2590, 5566, 2, 'Massera:');
INSERT INTO `lang_definitions` VALUES (2591, 5567, 2, 'Gnuggar:');
INSERT INTO `lang_definitions` VALUES (2592, 5581, 2, 'Kör kommando: ');
INSERT INTO `lang_definitions` VALUES (2593, 5584, 2, 'Recept');
INSERT INTO `lang_definitions` VALUES (2594, 5585, 2, 'Recept');
INSERT INTO `lang_definitions` VALUES (2595, 5600, 2, 'K');
INSERT INTO `lang_definitions` VALUES (2596, 5601, 2, 'Personnr');
INSERT INTO `lang_definitions` VALUES (2597, 5610, 2, 'Samma dag');
INSERT INTO `lang_definitions` VALUES (2598, 5613, 2, 'Sanktions Typ');
INSERT INTO `lang_definitions` VALUES (2599, 5617, 2, 'Lördag');
INSERT INTO `lang_definitions` VALUES (2600, 5618, 2, 'Lördag & söndag');
INSERT INTO `lang_definitions` VALUES (2601, 5619, 2, 'Lördag');
INSERT INTO `lang_definitions` VALUES (2602, 5620, 2, 'Spara');
INSERT INTO `lang_definitions` VALUES (2603, 5624, 2, 'Spara och fördela');
INSERT INTO `lang_definitions` VALUES (2604, 5626, 2, 'Spara som ny');
INSERT INTO `lang_definitions` VALUES (2605, 5629, 2, 'Spara ändringar');
INSERT INTO `lang_definitions` VALUES (2606, 5631, 2, 'Spara vaccination');
INSERT INTO `lang_definitions` VALUES (2607, 5639, 2, 'Spara transaktionen');
INSERT INTO `lang_definitions` VALUES (2608, 5641, 2, 'Inskannade');
INSERT INTO `lang_definitions` VALUES (2609, 5645, 2, 'Schema');
INSERT INTO `lang_definitions` VALUES (2610, 5648, 2, 'Skolios');
INSERT INTO `lang_definitions` VALUES (2611, 5651, 2, 'SE');
INSERT INTO `lang_definitions` VALUES (2612, 5652, 2, 'SE Adress');
INSERT INTO `lang_definitions` VALUES (2613, 5653, 2, 'SE Stad');
INSERT INTO `lang_definitions` VALUES (2614, 5654, 2, 'SE Land');
INSERT INTO `lang_definitions` VALUES (2615, 5659, 2, 'Söka');
INSERT INTO `lang_definitions` VALUES (2616, 5661, 2, 'söka');
INSERT INTO `lang_definitions` VALUES (2617, 5662, 2, 'Sök igen');
INSERT INTO `lang_definitions` VALUES (2618, 5664, 2, 'Sök efter:');
INSERT INTO `lang_definitions` VALUES (2619, 5666, 2, 'Sök efter:');
INSERT INTO `lang_definitions` VALUES (2620, 5669, 2, 'Sök efter eller lägg till patient');
INSERT INTO `lang_definitions` VALUES (2621, 5672, 2, 'Sökresultat:');
INSERT INTO `lang_definitions` VALUES (2622, 5677, 2, 'Sök i Evenemang');
INSERT INTO `lang_definitions` VALUES (2623, 5679, 2, 'Sök / Lägg till försäkringsgivaren');
INSERT INTO `lang_definitions` VALUES (2624, 5682, 2, 'Bilbältesanvändning');
INSERT INTO `lang_definitions` VALUES (2625, 5684, 2, 'Andra');
INSERT INTO `lang_definitions` VALUES (2626, 5687, 2, 'Sekundär');
INSERT INTO `lang_definitions` VALUES (2627, 5688, 2, 'Sekundär Försäkring');
INSERT INTO `lang_definitions` VALUES (2628, 5689, 2, 'Sekundär Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (2629, 5699, 2, 'Se Alla');
INSERT INTO `lang_definitions` VALUES (2630, 5700, 2, 'Se Auktoriseringar');
INSERT INTO `lang_definitions` VALUES (2631, 5704, 2, 'Sett sedan');
INSERT INTO `lang_definitions` VALUES (2632, 5709, 2, 'Välj');
INSERT INTO `lang_definitions` VALUES (2633, 5716, 2, 'Välj Alla');
INSERT INTO `lang_definitions` VALUES (2634, 5769, 2, 'Egen lön');
INSERT INTO `lang_definitions` VALUES (2635, 5774, 2, 'Överföring pågår');
INSERT INTO `lang_definitions` VALUES (2636, 5788, 2, 'Avsändare');
INSERT INTO `lang_definitions` VALUES (2637, 5789, 2, 'Avsändar ID');
INSERT INTO `lang_definitions` VALUES (2638, 5795, 2, 'Känslighet:');
INSERT INTO `lang_definitions` VALUES (2639, 5804, 2, 'Skickats');
INSERT INTO `lang_definitions` VALUES (2640, 5807, 2, 'skickas till skrivaren.');
INSERT INTO `lang_definitions` VALUES (2641, 5813, 2, 'Separerade');
INSERT INTO `lang_definitions` VALUES (2642, 5814, 2, 'September');
INSERT INTO `lang_definitions` VALUES (2643, 5827, 2, 'Service Datum:');
INSERT INTO `lang_definitions` VALUES (2644, 5829, 2, 'Service Location');
INSERT INTO `lang_definitions` VALUES (2645, 5834, 2, 'Tjänster');
INSERT INTO `lang_definitions` VALUES (2646, 5835, 2, 'Tjänster efter kategori');
INSERT INTO `lang_definitions` VALUES (2647, 5836, 2, 'Tjänster som tillhandahålls');
INSERT INTO `lang_definitions` VALUES (2648, 5837, 2, 'Tjänster som Tillhandahålls');
INSERT INTO `lang_definitions` VALUES (2649, 5849, 2, 'Inställningar');
INSERT INTO `lang_definitions` VALUES (2650, 5851, 2, 'Svår huvudvärk');
INSERT INTO `lang_definitions` VALUES (2651, 5853, 2, 'Svårighetsgrad av smärta');
INSERT INTO `lang_definitions` VALUES (2652, 5854, 2, 'Svårighetsgrad av smärta:');
INSERT INTO `lang_definitions` VALUES (2653, 5855, 2, 'Kön');
INSERT INTO `lang_definitions` VALUES (2654, 5856, 2, 'Sexuellt överförbara sjukdomar');
INSERT INTO `lang_definitions` VALUES (2655, 5859, 2, 'Dela');
INSERT INTO `lang_definitions` VALUES (2656, 5864, 2, 'Andnöd');
INSERT INTO `lang_definitions` VALUES (2657, 5870, 2, 'bör vara som nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (2658, 5874, 2, 'Axel');
INSERT INTO `lang_definitions` VALUES (2659, 5875, 2, 'Axel + nyckelben');
INSERT INTO `lang_definitions` VALUES (2660, 5876, 2, 'Axelproblem');
INSERT INTO `lang_definitions` VALUES (2661, 5877, 2, 'visa');
INSERT INTO `lang_definitions` VALUES (2662, 5884, 2, 'Visa som upptagen');
INSERT INTO `lang_definitions` VALUES (2663, 5885, 2, 'Visa endast behöriga');
INSERT INTO `lang_definitions` VALUES (2664, 5889, 2, 'Visa detaljer');
INSERT INTO `lang_definitions` VALUES (2665, 5906, 2, 'Visa rapport');
INSERT INTO `lang_definitions` VALUES (2666, 5913, 2, 'Visa endast icke fakturerad');
INSERT INTO `lang_definitions` VALUES (2667, 5920, 2, 'Syskon');
INSERT INTO `lang_definitions` VALUES (2668, 5927, 2, 'Underskrift');
INSERT INTO `lang_definitions` VALUES (2669, 5929, 2, 'Underskrift:');
INSERT INTO `lang_definitions` VALUES (2670, 5932, 2, 'Betydande Svullnad:');
INSERT INTO `lang_definitions` VALUES (2671, 5940, 2, 'Singel');
INSERT INTO `lang_definitions` VALUES (2672, 5956, 2, 'Storlek');
INSERT INTO `lang_definitions` VALUES (2673, 5958, 2, 'Storlek / Lista');
INSERT INTO `lang_definitions` VALUES (2674, 5959, 2, 'Hud');
INSERT INTO `lang_definitions` VALUES (2675, 5967, 2, 'sömn mönster');
INSERT INTO `lang_definitions` VALUES (2676, 5969, 2, 'sover');
INSERT INTO `lang_definitions` VALUES (2677, 6009, 2, 'Social History:');
INSERT INTO `lang_definitions` VALUES (2678, 6011, 2, 'lösning');
INSERT INTO `lang_definitions` VALUES (2679, 6016, 2, 'Vissa möten visas inte. Klicka här för att visa alla.');
INSERT INTO `lang_definitions` VALUES (2680, 6018, 2, 'Vissa anteckningar visades inte');
INSERT INTO `lang_definitions` VALUES (2681, 6020, 2, 'några ord');
INSERT INTO `lang_definitions` VALUES (2682, 6029, 2, 'Sortera efter');
INSERT INTO `lang_definitions` VALUES (2683, 6048, 2, 'Källa');
INSERT INTO `lang_definitions` VALUES (2684, 6051, 2, 'Källa saknas för kod ');
INSERT INTO `lang_definitions` VALUES (2685, 6057, 2, 'Källa:');
INSERT INTO `lang_definitions` VALUES (2686, 6069, 2, 'Specialist namn och signatur');
INSERT INTO `lang_definitions` VALUES (2687, 6071, 2, 'Specialtet');
INSERT INTO `lang_definitions` VALUES (2688, 6073, 2, 'Specialitet:');
INSERT INTO `lang_definitions` VALUES (2689, 6074, 2, 'Särskilda');
INSERT INTO `lang_definitions` VALUES (2690, 6078, 2, 'Särskilda tjänster');
INSERT INTO `lang_definitions` VALUES (2691, 6092, 2, 'Tal diktamen');
INSERT INTO `lang_definitions` VALUES (2692, 6093, 2, 'Spermiedödande');
INSERT INTO `lang_definitions` VALUES (2693, 6095, 2, 'Maka');
INSERT INTO `lang_definitions` VALUES (2694, 6098, 2, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (2695, 6111, 2, 'Personnummmer');
INSERT INTO `lang_definitions` VALUES (2696, 6113, 2, 'Persnr');
INSERT INTO `lang_definitions` VALUES (2697, 6114, 2, 'Stabilitet');
INSERT INTO `lang_definitions` VALUES (2698, 6116, 2, 'Standard');
INSERT INTO `lang_definitions` VALUES (2699, 6124, 2, 'Start');
INSERT INTO `lang_definitions` VALUES (2700, 6125, 2, 'Start (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (2701, 6128, 2, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (2702, 6129, 2, 'Start datum vid denna klinik');
INSERT INTO `lang_definitions` VALUES (2703, 6131, 2, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (2704, 6132, 2, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (2705, 6133, 2, 'Start tid');
INSERT INTO `lang_definitions` VALUES (2706, 6134, 2, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (2707, 6136, 2, 'Stat');
INSERT INTO `lang_definitions` VALUES (2708, 6144, 2, 'församling');
INSERT INTO `lang_definitions` VALUES (2709, 6151, 2, 'Statistik');
INSERT INTO `lang_definitions` VALUES (2710, 6152, 2, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (2711, 6153, 2, 'Status');
INSERT INTO `lang_definitions` VALUES (2712, 6156, 2, 'Oförändrat');
INSERT INTO `lang_definitions` VALUES (2713, 6169, 2, 'Stela leder');
INSERT INTO `lang_definitions` VALUES (2714, 6172, 2, 'Ont i magen');
INSERT INTO `lang_definitions` VALUES (2715, 6175, 2, 'Överbelastade muskler');
INSERT INTO `lang_definitions` VALUES (2716, 6177, 2, 'Gata');
INSERT INTO `lang_definitions` VALUES (2717, 6179, 2, 'Gatu nummer');
INSERT INTO `lang_definitions` VALUES (2718, 6180, 2, 'styrka');
INSERT INTO `lang_definitions` VALUES (2719, 6183, 2, 'Stress fraktur');
INSERT INTO `lang_definitions` VALUES (2720, 6184, 2, 'Stresstest');
INSERT INTO `lang_definitions` VALUES (2721, 6185, 2, 'Stroke');
INSERT INTO `lang_definitions` VALUES (2722, 6190, 2, 'Delsumma');
INSERT INTO `lang_definitions` VALUES (2723, 6191, 2, 'Underkategori');
INSERT INTO `lang_definitions` VALUES (2724, 6192, 2, 'underkategori');
INSERT INTO `lang_definitions` VALUES (2725, 6193, 2, 'subkutant');
INSERT INTO `lang_definitions` VALUES (2726, 6195, 2, 'Anamnes');
INSERT INTO `lang_definitions` VALUES (2727, 6196, 2, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (2728, 6197, 2, 'sublingual');
INSERT INTO `lang_definitions` VALUES (2729, 6198, 2, 'Lämna in');
INSERT INTO `lang_definitions` VALUES (2730, 6202, 2, 'Lämna in händelsen');
INSERT INTO `lang_definitions` VALUES (2731, 6203, 2, 'lämna in blanketten');
INSERT INTO `lang_definitions` VALUES (2732, 6206, 2, 'Inlämnat av');
INSERT INTO `lang_definitions` VALUES (2733, 6208, 2, 'Prenuremant');
INSERT INTO `lang_definitions` VALUES (2734, 6209, 2, 'Prenuremants Adress');
INSERT INTO `lang_definitions` VALUES (2735, 6237, 2, 'Ersättare');
INSERT INTO `lang_definitions` VALUES (2736, 6238, 2, 'Ersättare tillåts');
INSERT INTO `lang_definitions` VALUES (2737, 6260, 2, 'Självmord');
INSERT INTO `lang_definitions` VALUES (2738, 6261, 2, 'Sammanfattning');
INSERT INTO `lang_definitions` VALUES (2739, 6265, 2, 'Sön');
INSERT INTO `lang_definitions` VALUES (2740, 6267, 2, 'Söndag');
INSERT INTO `lang_definitions` VALUES (2741, 6291, 2, 'Kirurgi');
INSERT INTO `lang_definitions` VALUES (2742, 6293, 2, 'avstänga');
INSERT INTO `lang_definitions` VALUES (2743, 6294, 2, 'Uppslammad vätska');
INSERT INTO `lang_definitions` VALUES (2744, 6300, 2, 'Svenska');
INSERT INTO `lang_definitions` VALUES (2745, 6323, 2, '3 ggr/dag');
INSERT INTO `lang_definitions` VALUES (2746, 6327, 2, 'Tabell skapas inte');
INSERT INTO `lang_definitions` VALUES (2747, 6328, 2, 'Tabell uppdateringen misslyckades');
INSERT INTO `lang_definitions` VALUES (2748, 6330, 2, 'tablett');
INSERT INTO `lang_definitions` VALUES (2749, 6335, 2, 'Ta');
INSERT INTO `lang_definitions` VALUES (2750, 6339, 2, 'Tar lång tid');
INSERT INTO `lang_definitions` VALUES (2751, 6356, 2, 'Skatter');
INSERT INTO `lang_definitions` VALUES (2752, 6370, 2, 'Mall');
INSERT INTO `lang_definitions` VALUES (2753, 6373, 2, 'Mall:');
INSERT INTO `lang_definitions` VALUES (2754, 6383, 2, 'Testa schema');
INSERT INTO `lang_definitions` VALUES (2755, 6384, 2, 'Testa system');
INSERT INTO `lang_definitions` VALUES (2756, 6402, 2, 'Tack');
INSERT INTO `lang_definitions` VALUES (2757, 6408, 2, 'Påstående ärendet: ');
INSERT INTO `lang_definitions` VALUES (2758, 6422, 2, 'Händelsen har godkänts.');
INSERT INTO `lang_definitions` VALUES (2759, 6423, 2, 'Händelsen har gömts undan');
INSERT INTO `lang_definitions` VALUES (2760, 6434, 2, 'Följande kalenderhändelse har lagts till:');
INSERT INTO `lang_definitions` VALUES (2761, 6435, 2, 'Följande kalenderhändelse har modifierats:');
INSERT INTO `lang_definitions` VALUES (2762, 6495, 2, 'Terapeutiska Injektioner');
INSERT INTO `lang_definitions` VALUES (2763, 6498, 2, 'Det är fel med din ansökan. Dessa beskrivs nedan.');
INSERT INTO `lang_definitions` VALUES (2764, 6502, 2, 'Det finns inga nya synpunkter');
INSERT INTO `lang_definitions` VALUES (2765, 6520, 2, 'Det uppstod ett fel när din begäran behandlades.');
INSERT INTO `lang_definitions` VALUES (2766, 6523, 2, 'Förtjockad Höger:');
INSERT INTO `lang_definitions` VALUES (2767, 6524, 2, 'Lår');
INSERT INTO `lang_definitions` VALUES (2768, 6525, 2, 'Lår + knäsena');
INSERT INTO `lang_definitions` VALUES (2769, 6542, 2, 'Tredje');
INSERT INTO `lang_definitions` VALUES (2770, 6561, 2, 'Pågående besök');
INSERT INTO `lang_definitions` VALUES (2771, 6566, 2, 'Detta fakturanumret har ändrats till ');
INSERT INTO `lang_definitions` VALUES (2772, 6582, 2, 'Denna patient har ingen aktivitet');
INSERT INTO `lang_definitions` VALUES (2773, 6583, 2, 'Denna patients ID används redan!');
INSERT INTO `lang_definitions` VALUES (2774, 6629, 2, 'Tor');
INSERT INTO `lang_definitions` VALUES (2775, 6630, 2, 'torsdag');
INSERT INTO `lang_definitions` VALUES (2776, 6631, 2, 'Torsdag');
INSERT INTO `lang_definitions` VALUES (2777, 6632, 2, 'Sköldkörtel normal');
INSERT INTO `lang_definitions` VALUES (2778, 6638, 2, 'Tid');
INSERT INTO `lang_definitions` VALUES (2779, 6647, 2, 'beräkna tid på händelse');
INSERT INTO `lang_definitions` VALUES (2780, 6649, 2, 'Tidsstämpel och Text');
INSERT INTO `lang_definitions` VALUES (2781, 6652, 2, 'Titel');
INSERT INTO `lang_definitions` VALUES (2782, 6658, 2, 'Till');
INSERT INTO `lang_definitions` VALUES (2783, 6659, 2, 'TILL');
INSERT INTO `lang_definitions` VALUES (2784, 6660, 2, 'till');
INSERT INTO `lang_definitions` VALUES (2785, 6664, 2, 'På det påverkade området');
INSERT INTO `lang_definitions` VALUES (2786, 6665, 2, 'på det påverkade området');
INSERT INTO `lang_definitions` VALUES (2787, 6668, 2, 'till kategori');
INSERT INTO `lang_definitions` VALUES (2788, 6670, 2, 'Till medbetalare');
INSERT INTO `lang_definitions` VALUES (2789, 6679, 2, 'Till Besök');
INSERT INTO `lang_definitions` VALUES (2790, 6680, 2, 'Om du vill filtrera efter kön');
INSERT INTO `lang_definitions` VALUES (2791, 6681, 2, 'Till Historik');
INSERT INTO `lang_definitions` VALUES (2792, 6682, 2, 'Till frågor');
INSERT INTO `lang_definitions` VALUES (2793, 6684, 2, 'För att länka detta besök till objekt i ovanstående lista, markera önskade objekt och klicka sedan på [spara]. Håll ner [Ctrl] för att markera fler objekt.');
INSERT INTO `lang_definitions` VALUES (2794, 6685, 2, 'för att logga in igen');
INSERT INTO `lang_definitions` VALUES (2795, 6689, 2, 'Huden');
INSERT INTO `lang_definitions` VALUES (2796, 6690, 2, 'huden');
INSERT INTO `lang_definitions` VALUES (2797, 6691, 2, 'Till detta besök?');
INSERT INTO `lang_definitions` VALUES (2798, 6693, 2, 'Till:');
INSERT INTO `lang_definitions` VALUES (2799, 6694, 2, 'Till: ');
INSERT INTO `lang_definitions` VALUES (2800, 6708, 2, 'Tobak');
INSERT INTO `lang_definitions` VALUES (2801, 6712, 2, 'Tobaks användande');
INSERT INTO `lang_definitions` VALUES (2802, 6715, 2, 'Idag');
INSERT INTO `lang_definitions` VALUES (2803, 6720, 2, 'Dagens datum');
INSERT INTO `lang_definitions` VALUES (2804, 6721, 2, 'Dagens händelser');
INSERT INTO `lang_definitions` VALUES (2805, 6726, 2, 'Tonsillektomi');
INSERT INTO `lang_definitions` VALUES (2806, 6728, 2, 'Topp');
INSERT INTO `lang_definitions` VALUES (2807, 6730, 2, 'Ämne');
INSERT INTO `lang_definitions` VALUES (2808, 6731, 2, 'Totalt');
INSERT INTO `lang_definitions` VALUES (2809, 6732, 2, 'totalt');
INSERT INTO `lang_definitions` VALUES (2810, 6738, 2, 'Sammanlagt belopp som betalats');
INSERT INTO `lang_definitions` VALUES (2811, 6741, 2, 'Totala kostnader');
INSERT INTO `lang_definitions` VALUES (2812, 6742, 2, 'Totalt antal Kunder');
INSERT INTO `lang_definitions` VALUES (2813, 6748, 2, 'Totalt för');
INSERT INTO `lang_definitions` VALUES (2814, 6749, 2, 'Totalt för ');
INSERT INTO `lang_definitions` VALUES (2815, 6750, 2, 'Totalt för kategori');
INSERT INTO `lang_definitions` VALUES (2816, 6758, 2, 'Totalt antal patienter');
INSERT INTO `lang_definitions` VALUES (2817, 6776, 2, 'Totalt');
INSERT INTO `lang_definitions` VALUES (2818, 6777, 2, 'Totalbeloppen för');
INSERT INTO `lang_definitions` VALUES (2819, 6778, 2, 'Totalbeloppen för ');
INSERT INTO `lang_definitions` VALUES (2820, 6785, 2, 'Utbildnings sort');
INSERT INTO `lang_definitions` VALUES (2821, 6786, 2, 'Remiss m.m.');
INSERT INTO `lang_definitions` VALUES (2822, 6787, 2, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (2823, 6788, 2, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (2824, 6791, 2, 'Transaktionstyp');
INSERT INTO `lang_definitions` VALUES (2825, 6793, 2, 'Transaktioner');
INSERT INTO `lang_definitions` VALUES (2826, 6794, 2, 'Transaktioner (skriva valfritt)');
INSERT INTO `lang_definitions` VALUES (2827, 6795, 2, 'Transaktioner / Övergångar');
INSERT INTO `lang_definitions` VALUES (2828, 6813, 2, 'översätt detta');
INSERT INTO `lang_definitions` VALUES (2829, 6814, 2, 'översätta');
INSERT INTO `lang_definitions` VALUES (2830, 6819, 2, 'Trauma');
INSERT INTO `lang_definitions` VALUES (2831, 6822, 2, 'Behandlings mål');
INSERT INTO `lang_definitions` VALUES (2832, 6823, 2, 'Behandlings plan');
INSERT INTO `lang_definitions` VALUES (2833, 6826, 2, 'Behandling:');
INSERT INTO `lang_definitions` VALUES (2834, 6827, 2, 'Behandling: ');
INSERT INTO `lang_definitions` VALUES (2835, 6837, 2, 'tesked');
INSERT INTO `lang_definitions` VALUES (2836, 6841, 2, 'Tis');
INSERT INTO `lang_definitions` VALUES (2837, 6843, 2, 'Tisdag');
INSERT INTO `lang_definitions` VALUES (2838, 6844, 2, 'Tumör');
INSERT INTO `lang_definitions` VALUES (2839, 6848, 2, 'två gånger dagligen');
INSERT INTO `lang_definitions` VALUES (2840, 6851, 2, 'Typ');
INSERT INTO `lang_definitions` VALUES (2841, 6857, 2, 'Skriv in eller skanna patientidentifikation här');
INSERT INTO `lang_definitions` VALUES (2842, 6866, 2, 'Ulcerations');
INSERT INTO `lang_definitions` VALUES (2843, 6867, 2, 'Ulcerös kolit');
INSERT INTO `lang_definitions` VALUES (2844, 6868, 2, 'Sår:');
INSERT INTO `lang_definitions` VALUES (2845, 6877, 2, 'Ej tilldelad');
INSERT INTO `lang_definitions` VALUES (2846, 6880, 2, 'Obehörig åtkomst.');
INSERT INTO `lang_definitions` VALUES (2847, 6884, 2, 'under tungan');
INSERT INTO `lang_definitions` VALUES (2848, 6885, 2, 'Undervikt');
INSERT INTO `lang_definitions` VALUES (2849, 6886, 2, 'odiagnosticerad');
INSERT INTO `lang_definitions` VALUES (2850, 6890, 2, 'Ångra Kassa');
INSERT INTO `lang_definitions` VALUES (2851, 6892, 2, 'Unika Kunder');
INSERT INTO `lang_definitions` VALUES (2852, 6894, 2, 'Unika nya kunder');
INSERT INTO `lang_definitions` VALUES (2853, 6899, 2, 'Enhet');
INSERT INTO `lang_definitions` VALUES (2854, 6900, 2, 'Enheter');
INSERT INTO `lang_definitions` VALUES (2855, 6901, 2, 'enheter');
INSERT INTO `lang_definitions` VALUES (2856, 6907, 2, 'Okänt');
INSERT INTO `lang_definitions` VALUES (2857, 6911, 2, 'Okänd eller N / A');
INSERT INTO `lang_definitions` VALUES (2858, 6914, 2, 'Namnlöst försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (2859, 6915, 2, 'Oregistrerad');
INSERT INTO `lang_definitions` VALUES (2860, 6918, 2, 'Avmarkera alla');
INSERT INTO `lang_definitions` VALUES (2861, 6919, 2, 'Omarkerat');
INSERT INTO `lang_definitions` VALUES (2862, 6920, 2, 'Ospecificerad');
INSERT INTO `lang_definitions` VALUES (2863, 6924, 2, 'tills');
INSERT INTO `lang_definitions` VALUES (2864, 6926, 2, 'Outnyttjad');
INSERT INTO `lang_definitions` VALUES (2865, 6928, 2, 'Upp till');
INSERT INTO `lang_definitions` VALUES (2866, 6929, 2, 'Kommande möten');
INSERT INTO `lang_definitions` VALUES (2867, 6930, 2, 'Kommande evenemang');
INSERT INTO `lang_definitions` VALUES (2868, 6931, 2, 'Uppdatera');
INSERT INTO `lang_definitions` VALUES (2869, 6932, 2, 'uppdatera');
INSERT INTO `lang_definitions` VALUES (2870, 6934, 2, 'Uppdateringsfilerna');
INSERT INTO `lang_definitions` VALUES (2871, 6935, 2, 'Uppdatera Info');
INSERT INTO `lang_definitions` VALUES (2872, 6951, 2, 'Uppladdning');
INSERT INTO `lang_definitions` VALUES (2873, 6955, 2, 'Ladda upp dokument');
INSERT INTO `lang_definitions` VALUES (2874, 6958, 2, 'Ladda upp fil att importera:');
INSERT INTO `lang_definitions` VALUES (2875, 6961, 2, 'Ladda upp rapport');
INSERT INTO `lang_definitions` VALUES (2876, 6963, 2, 'Ladda upp den här filen:');
INSERT INTO `lang_definitions` VALUES (2877, 6966, 2, 'Överarmen');
INSERT INTO `lang_definitions` VALUES (2878, 6968, 2, 'Brådskande');
INSERT INTO `lang_definitions` VALUES (2879, 6972, 2, 'Urin Frekvens');
INSERT INTO `lang_definitions` VALUES (2880, 6973, 2, 'Urin Tveksamhet');
INSERT INTO `lang_definitions` VALUES (2881, 6977, 2, 'URL');
INSERT INTO `lang_definitions` VALUES (2882, 6988, 2, 'Använd 24-timmars format?');
INSERT INTO `lang_definitions` VALUES (2883, 7000, 2, 'Använd Standardinställningar');
INSERT INTO `lang_definitions` VALUES (2884, 7002, 2, 'Använd internationellt utseende på datum?');
INSERT INTO `lang_definitions` VALUES (2885, 7006, 2, 'Använd ämnen?');
INSERT INTO `lang_definitions` VALUES (2886, 7007, 2, 'Användare');
INSERT INTO `lang_definitions` VALUES (2887, 7010, 2, 'Användaradministration');
INSERT INTO `lang_definitions` VALUES (2888, 7011, 2, 'Användar-och Facility Administration');
INSERT INTO `lang_definitions` VALUES (2889, 7012, 2, 'Användare och grupp Administration');
INSERT INTO `lang_definitions` VALUES (2890, 7015, 2, 'Användardefinierad');
INSERT INTO `lang_definitions` VALUES (2891, 7016, 2, 'Användar definierad Area 11');
INSERT INTO `lang_definitions` VALUES (2892, 7017, 2, 'Användar definierad Area 12');
INSERT INTO `lang_definitions` VALUES (2893, 7040, 2, 'Användare Medlemskap');
INSERT INTO `lang_definitions` VALUES (2894, 7049, 2, 'Användarnamn');
INSERT INTO `lang_definitions` VALUES (2895, 7052, 2, 'Användarnamn för SMS Gateway');
INSERT INTO `lang_definitions` VALUES (2896, 7055, 2, 'Användarnamn:');
INSERT INTO `lang_definitions` VALUES (2897, 7056, 2, 'Användare');
INSERT INTO `lang_definitions` VALUES (2898, 7057, 2, 'Användare / grupper / Logs Administration');
INSERT INTO `lang_definitions` VALUES (2899, 7062, 2, 'SEMESTER');
INSERT INTO `lang_definitions` VALUES (2900, 7063, 2, 'Semester');
INSERT INTO `lang_definitions` VALUES (2901, 7064, 2, 'Vaccin');
INSERT INTO `lang_definitions` VALUES (2902, 7068, 2, 'Wert');
INSERT INTO `lang_definitions` VALUES (2903, 7069, 2, 'Wert 1');
INSERT INTO `lang_definitions` VALUES (2904, 7070, 2, 'Wert 2');
INSERT INTO `lang_definitions` VALUES (2905, 7072, 2, 'Wert muss numerisch sein');
INSERT INTO `lang_definitions` VALUES (2906, 7079, 2, 'Blodkärls kondition');
INSERT INTO `lang_definitions` VALUES (2907, 7080, 2, 'Blodkärsl skada');
INSERT INTO `lang_definitions` VALUES (2908, 7081, 2, 'Kärlkirurgi');
INSERT INTO `lang_definitions` VALUES (2909, 7084, 2, 'Version');
INSERT INTO `lang_definitions` VALUES (2910, 7085, 2, 'Svindel');
INSERT INTO `lang_definitions` VALUES (2911, 7090, 2, 'visa');
INSERT INTO `lang_definitions` VALUES (2912, 7091, 2, 'Visa');
INSERT INTO `lang_definitions` VALUES (2913, 7092, 2, 'Visa allergier');
INSERT INTO `lang_definitions` VALUES (2914, 7097, 2, 'Visa Omfattande Patient Rapport');
INSERT INTO `lang_definitions` VALUES (2915, 7100, 2, 'Visa dokument');
INSERT INTO `lang_definitions` VALUES (2916, 7101, 2, 'Visa möte');
INSERT INTO `lang_definitions` VALUES (2917, 7103, 2, 'Visa händelser i ett popup-fönster?');
INSERT INTO `lang_definitions` VALUES (2918, 7108, 2, 'Visa Sida 1');
INSERT INTO `lang_definitions` VALUES (2919, 7109, 2, 'Visa sida 2');
INSERT INTO `lang_definitions` VALUES (2920, 7116, 2, 'Se relaterade möten');
INSERT INTO `lang_definitions` VALUES (2921, 7124, 2, 'Visa:');
INSERT INTO `lang_definitions` VALUES (2922, 7125, 2, 'VISA');
INSERT INTO `lang_definitions` VALUES (2923, 7126, 2, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (2924, 7127, 2, 'Visceral skada / trauma / kirurgi');
INSERT INTO `lang_definitions` VALUES (2925, 7133, 2, 'Besökskategori:');
INSERT INTO `lang_definitions` VALUES (2926, 7134, 2, 'Besöks Datum');
INSERT INTO `lang_definitions` VALUES (2927, 7140, 2, 'Besök');
INSERT INTO `lang_definitions` VALUES (2928, 7141, 2, 'Besök från');
INSERT INTO `lang_definitions` VALUES (2929, 7142, 2, 'Vitalparametrar');
INSERT INTO `lang_definitions` VALUES (2930, 7143, 2, 'Vitalparametrar');
INSERT INTO `lang_definitions` VALUES (2931, 7144, 2, 'Vitalparametrar (metriska)');
INSERT INTO `lang_definitions` VALUES (2932, 7145, 2, 'Vitalparametrar Formulär inställningar');
INSERT INTO `lang_definitions` VALUES (2933, 7149, 2, 'Kräkningar');
INSERT INTO `lang_definitions` VALUES (2934, 7151, 2, 'W');
INSERT INTO `lang_definitions` VALUES (2935, 7154, 2, 'Väntar');
INSERT INTO `lang_definitions` VALUES (2936, 7162, 2, 'Varm');
INSERT INTO `lang_definitions` VALUES (2937, 7164, 2, 'VARNING');
INSERT INTO `lang_definitions` VALUES (2938, 7168, 2, 'Varning: Ett besök var redan skapat för denna patient idag!');
INSERT INTO `lang_definitions` VALUES (2939, 7170, 2, 'Varning: patient-ID är inte unikt!');
INSERT INTO `lang_definitions` VALUES (2940, 7179, 2, 'Svaghet');
INSERT INTO `lang_definitions` VALUES (2941, 7182, 2, 'Hemsida');
INSERT INTO `lang_definitions` VALUES (2942, 7184, 2, 'Ons');
INSERT INTO `lang_definitions` VALUES (2943, 7185, 2, 'Onsdag');
INSERT INTO `lang_definitions` VALUES (2944, 7186, 2, 'Vecka');
INSERT INTO `lang_definitions` VALUES (2945, 7187, 2, 'vecka');
INSERT INTO `lang_definitions` VALUES (2946, 7188, 2, 'Veckovy');
INSERT INTO `lang_definitions` VALUES (2947, 7189, 2, 'Veckan (s)');
INSERT INTO `lang_definitions` VALUES (2948, 7193, 2, 'Vikt');
INSERT INTO `lang_definitions` VALUES (2949, 7196, 2, 'Vikt förändring');
INSERT INTO `lang_definitions` VALUES (2950, 7197, 2, 'Viktminskning');
INSERT INTO `lang_definitions` VALUES (2951, 7202, 2, 'Vad är det som räknas?');
INSERT INTO `lang_definitions` VALUES (2952, 7205, 2, 'Wheezing:');
INSERT INTO `lang_definitions` VALUES (2953, 7211, 2, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (2954, 7213, 2, 'Vem');
INSERT INTO `lang_definitions` VALUES (2955, 7214, 2, 'Vem har svarat?');
INSERT INTO `lang_definitions` VALUES (2956, 7215, 2, 'Änka/änkeman');
INSERT INTO `lang_definitions` VALUES (2957, 7216, 2, 'Vidd');
INSERT INTO `lang_definitions` VALUES (2958, 7217, 2, 'Vidd i punkter på vänstra navigeringsfönstret');
INSERT INTO `lang_definitions` VALUES (2959, 7221, 2, 'Med vald:');
INSERT INTO `lang_definitions` VALUES (2960, 7222, 2, 'med det gamla namnet');
INSERT INTO `lang_definitions` VALUES (2961, 7224, 2, 'Med vem kan vi lämna ett meddelande?');
INSERT INTO `lang_definitions` VALUES (2962, 7225, 2, 'Återtagen/innehållen');
INSERT INTO `lang_definitions` VALUES (2963, 7226, 2, 'inom några timmar');
INSERT INTO `lang_definitions` VALUES (2964, 7227, 2, 'inom några timmar:');
INSERT INTO `lang_definitions` VALUES (2965, 7228, 2, 'inom några minuter');
INSERT INTO `lang_definitions` VALUES (2966, 7229, 2, 'inom några minuter:');
INSERT INTO `lang_definitions` VALUES (2967, 7232, 2, 'Utan Updatering');
INSERT INTO `lang_definitions` VALUES (2968, 7233, 2, 'vittne');
INSERT INTO `lang_definitions` VALUES (2969, 7237, 2, 'Kvinnor');
INSERT INTO `lang_definitions` VALUES (2970, 7238, 2, 'Enbart kvinnor');
INSERT INTO `lang_definitions` VALUES (2971, 7240, 2, 'Arbete');
INSERT INTO `lang_definitions` VALUES (2972, 7242, 2, 'Telefon, arbete');
INSERT INTO `lang_definitions` VALUES (2973, 7243, 2, 'Telefon, Arbete, Nummer');
INSERT INTO `lang_definitions` VALUES (2974, 7244, 2, 'Arbetsrelaterat?');
INSERT INTO `lang_definitions` VALUES (2975, 7245, 2, 'Arbete/ Utbildning/ Hobby');
INSERT INTO `lang_definitions` VALUES (2976, 7246, 2, 'Arbete / Skola Anmärkning');
INSERT INTO `lang_definitions` VALUES (2977, 7247, 2, 'arbetsdag');
INSERT INTO `lang_definitions` VALUES (2978, 7252, 2, 'förvärrad');
INSERT INTO `lang_definitions` VALUES (2979, 7264, 2, 'Handled');
INSERT INTO `lang_definitions` VALUES (2980, 7265, 2, 'Handled och hand');
INSERT INTO `lang_definitions` VALUES (2981, 7266, 2, 'Handleds Problem');
INSERT INTO `lang_definitions` VALUES (2982, 7267, 2, 'skriv');
INSERT INTO `lang_definitions` VALUES (2983, 7268, 2, 'avskriva');
INSERT INTO `lang_definitions` VALUES (2984, 7274, 2, 'x inställt');
INSERT INTO `lang_definitions` VALUES (2985, 7275, 2, 'Röntgen');
INSERT INTO `lang_definitions` VALUES (2986, 7276, 2, 'Röntgen Tolkning:');
INSERT INTO `lang_definitions` VALUES (2987, 7277, 2, 'Röntgen Tolkning:');
INSERT INTO `lang_definitions` VALUES (2988, 7278, 2, 'Endast X12: Ersättningskrav ');
INSERT INTO `lang_definitions` VALUES (2989, 7279, 2, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (2990, 7280, 2, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (2991, 7284, 2, 'Y');
INSERT INTO `lang_definitions` VALUES (2992, 7285, 2, 'År');
INSERT INTO `lang_definitions` VALUES (2993, 7286, 2, 'år');
INSERT INTO `lang_definitions` VALUES (2994, 7287, 2, 'År Visa');
INSERT INTO `lang_definitions` VALUES (2995, 7288, 2, 'År');
INSERT INTO `lang_definitions` VALUES (2996, 7292, 2, 'JA');
INSERT INTO `lang_definitions` VALUES (2997, 7293, 2, 'Ja');
INSERT INTO `lang_definitions` VALUES (2998, 7294, 2, 'ja');
INSERT INTO `lang_definitions` VALUES (2999, 7295, 2, 'JA!');
INSERT INTO `lang_definitions` VALUES (3000, 7296, 2, 'Ja, radera och logga');
INSERT INTO `lang_definitions` VALUES (3001, 7298, 2, 'Ja/Nej');
INSERT INTO `lang_definitions` VALUES (3002, 7299, 2, 'Ja:');
INSERT INTO `lang_definitions` VALUES (3003, 7303, 2, 'Du håller på att permanent ersätta den befintliga mallen. Är du säker på att du vill fortsätta?');
INSERT INTO `lang_definitions` VALUES (3004, 7305, 2, 'Det är inte tillåtet att ta bort denna händelse');
INSERT INTO `lang_definitions` VALUES (3005, 7306, 2, 'Du har inte tillåtelse att redigera den här händelsen');
INSERT INTO `lang_definitions` VALUES (3006, 7307, 2, 'Du har inte behörighet för detta.');
INSERT INTO `lang_definitions` VALUES (3007, 7308, 2, 'Du har inte behörighet att komma åt den här gruppen.');
INSERT INTO `lang_definitions` VALUES (3008, 7309, 2, 'Du har inte behörighet att lägga till / redigera frågor');
INSERT INTO `lang_definitions` VALUES (3009, 7311, 2, 'Du har inte behörighet att se det här mötet.');
INSERT INTO `lang_definitions` VALUES (3010, 7313, 2, 'Du kan inte komma åt denna funktion direkt.');
INSERT INTO `lang_definitions` VALUES (3011, 7314, 2, 'Du kan inte komma åt den här sidan direkt.');
INSERT INTO `lang_definitions` VALUES (3012, 7319, 2, 'Du har inte valt några åtgärder.');
INSERT INTO `lang_definitions` VALUES (3013, 7320, 2, 'Du har inte behörighet att se / redigera denna anmärkning');
INSERT INTO `lang_definitions` VALUES (3014, 7329, 2, 'Du måste först välja eller lägga till en patient.');
INSERT INTO `lang_definitions` VALUES (3015, 7330, 2, 'Du måste först välja eller skapa ett möte.');
INSERT INTO `lang_definitions` VALUES (3016, 7333, 2, 'Du måste välja några områden för att fortsätta.');
INSERT INTO `lang_definitions` VALUES (3017, 7339, 2, 'Ditt slutdatum är ogiltig');
INSERT INTO `lang_definitions` VALUES (3018, 7340, 2, 'Din händelse har strukits.');
INSERT INTO `lang_definitions` VALUES (3019, 7341, 2, 'Din händelse har ändrats.');
INSERT INTO `lang_definitions` VALUES (3020, 7342, 2, 'Din händelse har lämnats in.');
INSERT INTO `lang_definitions` VALUES (3021, 7345, 2, 'Din namnlista har ändrats för att uppfylla namngivnings krav.');
INSERT INTO `lang_definitions` VALUES (3022, 7353, 2, 'Din Post Kalender konfiguration har återställts att använda standardvärden.');
INSERT INTO `lang_definitions` VALUES (3023, 7354, 2, 'Din Post Kalender konfiguration har uppdaterats.');
INSERT INTO `lang_definitions` VALUES (3024, 7355, 2, 'Den upprepade frekvens måste vara ett heltal.');
INSERT INTO `lang_definitions` VALUES (3025, 7356, 2, 'Den upprepade frekvensen måste vara minst 1.');
INSERT INTO `lang_definitions` VALUES (3026, 7357, 2, 'Ditt startdatum är större än ditt slutdatum');
INSERT INTO `lang_definitions` VALUES (3027, 7358, 2, 'Ditt startdatum är ogiltig');
INSERT INTO `lang_definitions` VALUES (3028, 7359, 2, 'Ditt förslag misslyckats.');
INSERT INTO `lang_definitions` VALUES (3029, 7360, 2, 'åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (3030, 7362, 2, 'åååå-mm-dd dag är förknippade med detta dokument');
INSERT INTO `lang_definitions` VALUES (3031, 7364, 2, 'åååå-mm-dd födelsedatum');
INSERT INTO `lang_definitions` VALUES (3032, 7365, 2, 'åååå-mm-dd Födelsedatum');
INSERT INTO `lang_definitions` VALUES (3033, 7366, 2, 'ååå-mm-dd datum för utlöpande');
INSERT INTO `lang_definitions` VALUES (3034, 7367, 2, 'åååå-mm-dd Datum för uppkomsten eller sjukhusvistelse');
INSERT INTO `lang_definitions` VALUES (3035, 7368, 2, 'åååå-mm-dd datum debut, kirurgi eller början av medicinering');
INSERT INTO `lang_definitions` VALUES (3036, 7370, 2, 'åååå-mm-dd dagen för tillfrisknande eller slutet av medicinering');
INSERT INTO `lang_definitions` VALUES (3037, 7372, 2, 'åååå-mm-dd Delgivningsdatum');
INSERT INTO `lang_definitions` VALUES (3038, 7373, 2, 'åååå-mm-dd dagen för denna skrivelse');
INSERT INTO `lang_definitions` VALUES (3039, 7375, 2, 'åååå-mm-dd dokumentets datum');
INSERT INTO `lang_definitions` VALUES (3040, 7376, 2, 'åååå-mm-dd händelse datum eller startdatum');
INSERT INTO `lang_definitions` VALUES (3041, 7383, 2, 'åååå-mm-dd sista datum för detta evenemang');
INSERT INTO `lang_definitions` VALUES (3042, 7387, 2, 'noll');
INSERT INTO `lang_definitions` VALUES (3043, 7389, 2, 'postadress');
INSERT INTO `lang_definitions` VALUES (3044, 7390, 2, 'postnummer');
INSERT INTO `lang_definitions` VALUES (3045, 7391, 2, 'land');
INSERT INTO `lang_definitions` VALUES (3046, 7393, 2, ' men var ');
INSERT INTO `lang_definitions` VALUES (3047, 7394, 2, ' gick inte att komma åt');
INSERT INTO `lang_definitions` VALUES (3048, 7395, 2, 'Vill du verkligen radera');
INSERT INTO `lang_definitions` VALUES (3049, 7396, 2, 'läkemedel');
INSERT INTO `lang_definitions` VALUES (3050, 7397, 2, 'e-postmeddelande ej skickat');
INSERT INTO `lang_definitions` VALUES (3051, 7398, 2, 'från');
INSERT INTO `lang_definitions` VALUES (3052, 7399, 2, 'har skapats ');
INSERT INTO `lang_definitions` VALUES (3053, 7400, 2, 'har återupptagits');
INSERT INTO `lang_definitions` VALUES (3054, 7401, 2, 'Historia');
INSERT INTO `lang_definitions` VALUES (3055, 7402, 2, 'är inget nummer');
INSERT INTO `lang_definitions` VALUES (3056, 7403, 2, 'är redo för ny fakturering');
INSERT INTO `lang_definitions` VALUES (3057, 7404, 2, 'LLL:');
INSERT INTO `lang_definitions` VALUES (3058, 7405, 2, 'Batchnr');
INSERT INTO `lang_definitions` VALUES (3059, 7406, 2, 'Medicaid orginal referensnr. ');
INSERT INTO `lang_definitions` VALUES (3060, 7408, 2, 'finns ej!');
INSERT INTO `lang_definitions` VALUES (3061, 7411, 2, 'Tills');
INSERT INTO `lang_definitions` VALUES (3062, 7412, 2, 'Uppdateringen misslyckades, inte i databasen?');
INSERT INTO `lang_definitions` VALUES (3063, 7413, 2, 'präglades som faktureras endast.');
INSERT INTO `lang_definitions` VALUES (3064, 7414, 2, 'var kö framgångsrikt.');
INSERT INTO `lang_definitions` VALUES (3065, 7415, 2, '! Lämnat utan besök');
INSERT INTO `lang_definitions` VALUES (3066, 7416, 2, '\" För kod');
INSERT INTO `lang_definitions` VALUES (3067, 7417, 2, '\" Kontrolleras PostCalendar Inställningar!');
INSERT INTO `lang_definitions` VALUES (3068, 7420, 2, 'kr');
INSERT INTO `lang_definitions` VALUES (3069, 7421, 2, 'Kodningen av kronor är färdig');
INSERT INTO `lang_definitions` VALUES (3070, 7422, 2, '$ etikett (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (3071, 7423, 2, '%');
INSERT INTO `lang_definitions` VALUES (3072, 7425, 2, '% Annullerat <24h ');
INSERT INTO `lang_definitions` VALUES (3073, 7426, 2, 'bör finnas, men finns inte.');
INSERT INTO `lang_definitions` VALUES (3074, 7427, 2, '(% Matchar alla strängar, _ matchar alla tecken)');
INSERT INTO `lang_definitions` VALUES (3075, 7429, 2, '(Tillbaka)');
INSERT INTO `lang_definitions` VALUES (3076, 7430, 2, '(Klicka för att redigera)');
INSERT INTO `lang_definitions` VALUES (3077, 7432, 2, '(Mer)');
INSERT INTO `lang_definitions` VALUES (3078, 7433, 2, '(Ny Patient)');
INSERT INTO `lang_definitions` VALUES (3079, 7434, 2, '(Anteckningar och Auktoriseringar)');
INSERT INTO `lang_definitions` VALUES (3080, 7435, 2, '(Patient anteckningar)');
INSERT INTO `lang_definitions` VALUES (3081, 7436, 2, '(Välj ett av dessa, eller skriv din egen rubrik)');
INSERT INTO `lang_definitions` VALUES (3082, 7438, 2, '* Påminnelse skickad');
INSERT INTO `lang_definitions` VALUES (3083, 7439, 2, '** Gör om kirurgi till enheter');
INSERT INTO `lang_definitions` VALUES (3084, 7440, 2, '* Obligatorisk');
INSERT INTO `lang_definitions` VALUES (3085, 7441, 2, '+ Patientkort hämtat');
INSERT INTO `lang_definitions` VALUES (3086, 7442, 2, '- Ingen');
INSERT INTO `lang_definitions` VALUES (3087, 7443, 2, '-- Alla --');
INSERT INTO `lang_definitions` VALUES (3088, 7444, 2, '--Välj uppdrag--');
INSERT INTO `lang_definitions` VALUES (3089, 7445, 2, '.');
INSERT INTO `lang_definitions` VALUES (3090, 7446, 2, '0');
INSERT INTO `lang_definitions` VALUES (3091, 7447, 2, '0-10');
INSERT INTO `lang_definitions` VALUES (3092, 7448, 2, '0-24');
INSERT INTO `lang_definitions` VALUES (3093, 7451, 2, '1');
INSERT INTO `lang_definitions` VALUES (3094, 7452, 2, '46 = Sverige. Se http://www.wtng.info för lista på andra landskoder');
INSERT INTO `lang_definitions` VALUES (3095, 7457, 2, '1.Vila 2. Lägg på is i två dagar 3. Komprimering lämna förbandet på plats om inte foten utvecklar domningar eller blek färg 4. Ha foten och ben i Upphöjt läge.');
INSERT INTO `lang_definitions` VALUES (3096, 7458, 2, '11-14');
INSERT INTO `lang_definitions` VALUES (3097, 7459, 2, '12 hr');
INSERT INTO `lang_definitions` VALUES (3098, 7460, 2, '15-19');
INSERT INTO `lang_definitions` VALUES (3099, 7468, 2, '20-24');
INSERT INTO `lang_definitions` VALUES (3100, 7477, 2, '2111-13');
INSERT INTO `lang_definitions` VALUES (3101, 7480, 2, '25-29');
INSERT INTO `lang_definitions` VALUES (3102, 7481, 2, '2:a');
INSERT INTO `lang_definitions` VALUES (3103, 7483, 2, '3 månader');
INSERT INTO `lang_definitions` VALUES (3104, 7485, 2, '3 gånger dagligen');
INSERT INTO `lang_definitions` VALUES (3105, 7487, 2, '30-34');
INSERT INTO `lang_definitions` VALUES (3106, 7488, 2, '35-39');
INSERT INTO `lang_definitions` VALUES (3107, 7489, 2, '3:e');
INSERT INTO `lang_definitions` VALUES (3108, 7491, 2, '4 månader');
INSERT INTO `lang_definitions` VALUES (3109, 7493, 2, '4 gånger dagligen');
INSERT INTO `lang_definitions` VALUES (3110, 7495, 2, '40-44');
INSERT INTO `lang_definitions` VALUES (3111, 7496, 2, '45');
INSERT INTO `lang_definitions` VALUES (3112, 7504, 2, '4:e');
INSERT INTO `lang_definitions` VALUES (3113, 7509, 2, '5:e');
INSERT INTO `lang_definitions` VALUES (3114, 7510, 2, '6 dagar från nu');
INSERT INTO `lang_definitions` VALUES (3115, 7511, 2, '6 månader');
INSERT INTO `lang_definitions` VALUES (3116, 7512, 2, '6 månader från nu');
INSERT INTO `lang_definitions` VALUES (3117, 7513, 2, '6 veckor från nu');
INSERT INTO `lang_definitions` VALUES (3118, 7514, 2, '6:e');
INSERT INTO `lang_definitions` VALUES (3119, 7515, 2, '7 månader från nu');
INSERT INTO `lang_definitions` VALUES (3120, 7516, 2, '8 månader från nu');
INSERT INTO `lang_definitions` VALUES (3121, 7517, 2, '824.0 Sluten fraktur mediala malleolen');
INSERT INTO `lang_definitions` VALUES (3122, 7518, 2, '824.2 Sluten fraktur laterala malleolen');
INSERT INTO `lang_definitions` VALUES (3123, 7519, 2, '842.6 Sluten trimalleolarfraktur');
INSERT INTO `lang_definitions` VALUES (3124, 7520, 2, '825.32 Fraktur os naviculare (fotled)');
INSERT INTO `lang_definitions` VALUES (3125, 7521, 2, '825.35 Fraktur basen av 5:e metatarsalbenet');
INSERT INTO `lang_definitions` VALUES (3126, 7522, 2, '845.00 Stukad fotled UNS');
INSERT INTO `lang_definitions` VALUES (3127, 7523, 2, '845.01 Stukad fotled deltoideus lig.');
INSERT INTO `lang_definitions` VALUES (3128, 7524, 2, '845.02 Stukad fortled, fc-ligament');
INSERT INTO `lang_definitions` VALUES (3129, 7525, 2, '9 månader från nu');
INSERT INTO `lang_definitions` VALUES (3130, 7526, 2, '99212 Etablerade - okomplicerad');
INSERT INTO `lang_definitions` VALUES (3131, 7527, 2, '99213 Etablerade - Låg komplexitet');
INSERT INTO `lang_definitions` VALUES (3132, 7528, 2, '< I undersökningsrummet');
INSERT INTO `lang_definitions` VALUES (3133, 7529, 2, '> Avslutat');
INSERT INTO `lang_definitions` VALUES (3134, 7530, 2, '?');
INSERT INTO `lang_definitions` VALUES (3135, 7531, 2, '? Har ej dykt upp på avtalad tid');
INSERT INTO `lang_definitions` VALUES (3136, 7532, 2, 'Anlänt');
INSERT INTO `lang_definitions` VALUES (3137, 7533, 2, '[Ändra vy]');
INSERT INTO `lang_definitions` VALUES (3138, 7534, 2, '[Datum för senaste mötet]');
INSERT INTO `lang_definitions` VALUES (3139, 7535, 2, '[Dagar sedan senaste mötet]');
INSERT INTO `lang_definitions` VALUES (3140, 7538, 2, '[rekommenderas inte]');
INSERT INTO `lang_definitions` VALUES (3141, 7539, 2, '[Antalet möten]');
INSERT INTO `lang_definitions` VALUES (3142, 7540, 2, '[Rapporter]');
INSERT INTO `lang_definitions` VALUES (3143, 7541, 2, '[Markera alla]');
INSERT INTO `lang_definitions` VALUES (3144, 7542, 2, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (3145, 7543, 2, '[Starta batchprocess]');
INSERT INTO `lang_definitions` VALUES (3146, 7544, 2, '[Titta på logg]');
INSERT INTO `lang_definitions` VALUES (3147, 7545, 2, '[Se utskrivbar rapport]');
INSERT INTO `lang_definitions` VALUES (3148, 7546, 2, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (3149, 7547, 2, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (3150, 7548, 2, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (3151, 7549, 2, '~ Kommit sent');
INSERT INTO `lang_definitions` VALUES (3152, 1, 3, 'Un, Una');
INSERT INTO `lang_definitions` VALUES (3153, 2, 3, 'Un número de cheque o reclamación para identificar el pago');
INSERT INTO `lang_definitions` VALUES (3154, 3, 3, 'Un certificado de cliente para el usuario administrador');
INSERT INTO `lang_definitions` VALUES (3155, 7, 3, 'Se requiere un distribuidor');
INSERT INTO `lang_definitions` VALUES (3156, 8, 3, 'Formulario de visita GCAC debe ser agregado a esta visita');
INSERT INTO `lang_definitions` VALUES (3157, 9, 3, 'Un número de lote es requerido');
INSERT INTO `lang_definitions` VALUES (3158, 10, 3, 'Un número de lote es requerido!');
INSERT INTO `lang_definitions` VALUES (3159, 11, 3, 'Una letra minúscula');
INSERT INTO `lang_definitions` VALUES (3160, 12, 3, 'Un número');
INSERT INTO `lang_definitions` VALUES (3161, 14, 3, 'Un paciente con ese Nº ID ya existe');
INSERT INTO `lang_definitions` VALUES (3162, 15, 3, 'Un paciente con este nombre ya existe.');
INSERT INTO `lang_definitions` VALUES (3163, 16, 3, 'Un paciente con este Nº Seguridad Social ya existe');
INSERT INTO `lang_definitions` VALUES (3164, 19, 3, 'Una fuente de derivación puede ser especificada para cada visita');
INSERT INTO `lang_definitions` VALUES (3165, 20, 3, 'Un código IPPF relacionado es requerido!');
INSERT INTO `lang_definitions` VALUES (3166, 21, 3, 'Un carácter especial');
INSERT INTO `lang_definitions` VALUES (3167, 22, 3, 'Un valor único para identificar este campo, no visible al usuario');
INSERT INTO `lang_definitions` VALUES (3168, 24, 3, 'antes de las comidas');
INSERT INTO `lang_definitions` VALUES (3169, 25, 3, 'a.m.');
INSERT INTO `lang_definitions` VALUES (3170, 26, 3, 'A/F Nivel de Derecho:');
INSERT INTO `lang_definitions` VALUES (3171, 27, 3, 'AB');
INSERT INTO `lang_definitions` VALUES (3172, 28, 3, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (3173, 29, 3, 'Abceso:');
INSERT INTO `lang_definitions` VALUES (3174, 30, 3, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (3175, 31, 3, 'Capaz de cargar peso cuatro (4) pasos:');
INSERT INTO `lang_definitions` VALUES (3176, 32, 3, 'Anormal');
INSERT INTO `lang_definitions` VALUES (3177, 33, 3, 'ABN1');
INSERT INTO `lang_definitions` VALUES (3178, 34, 3, 'Anormal');
INSERT INTO `lang_definitions` VALUES (3179, 35, 3, 'Análisis de sangre anormal');
INSERT INTO `lang_definitions` VALUES (3180, 36, 3, 'Crecimiento anormal del pelo');
INSERT INTO `lang_definitions` VALUES (3181, 37, 3, 'Mamografía anormal');
INSERT INTO `lang_definitions` VALUES (3182, 39, 3, 'Aborto');
INSERT INTO `lang_definitions` VALUES (3183, 40, 3, 'Problemas del Aborto');
INSERT INTO `lang_definitions` VALUES (3184, 41, 3, 'Método abortivo');
INSERT INTO `lang_definitions` VALUES (3185, 42, 3, 'Categorías relacionadas al Aborto');
INSERT INTO `lang_definitions` VALUES (3186, 43, 3, 'Abortos');
INSERT INTO `lang_definitions` VALUES (3187, 44, 3, 'Acerca del calendario');
INSERT INTO `lang_definitions` VALUES (3188, 46, 3, 'Ausencias por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (3189, 47, 3, 'Aceptar la tarea');
INSERT INTO `lang_definitions` VALUES (3190, 48, 3, 'Aceptar pago por');
INSERT INTO `lang_definitions` VALUES (3191, 49, 3, 'Aceptar Pago por ');
INSERT INTO `lang_definitions` VALUES (3192, 50, 3, 'Acepta la tarea');
INSERT INTO `lang_definitions` VALUES (3193, 51, 3, 'Control de acceso');
INSERT INTO `lang_definitions` VALUES (3194, 52, 3, 'Administración de la Lista de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (3195, 54, 3, 'Acceso no permitido');
INSERT INTO `lang_definitions` VALUES (3196, 56, 3, 'Acceder al Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (3197, 59, 3, 'Nombre de la Cuenta');
INSERT INTO `lang_definitions` VALUES (3198, 62, 3, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (3199, 64, 3, 'Dolores');
INSERT INTO `lang_definitions` VALUES (3200, 65, 3, 'Solicitud de reconocimiento (ISA14)');
INSERT INTO `lang_definitions` VALUES (3201, 66, 3, 'Reconocimientos, Licencias y Certificaciones');
INSERT INTO `lang_definitions` VALUES (3202, 67, 3, 'ACL');
INSERT INTO `lang_definitions` VALUES (3203, 68, 3, 'ACL Administración');
INSERT INTO `lang_definitions` VALUES (3204, 69, 3, 'ACL Administración no autorizada');
INSERT INTO `lang_definitions` VALUES (3205, 71, 3, 'Acné');
INSERT INTO `lang_definitions` VALUES (3206, 72, 3, 'Acta');
INSERT INTO `lang_definitions` VALUES (3207, 73, 3, 'Fecha de Acta');
INSERT INTO `lang_definitions` VALUES (3208, 74, 3, 'Acción');
INSERT INTO `lang_definitions` VALUES (3209, 75, 3, 'Acciones');
INSERT INTO `lang_definitions` VALUES (3210, 77, 3, 'Activar Reportes CCR/CCD');
INSERT INTO `lang_definitions` VALUES (3211, 78, 3, 'Activo');
INSERT INTO `lang_definitions` VALUES (3212, 79, 3, 'Alerta Activa');
INSERT INTO `lang_definitions` VALUES (3213, 80, 3, 'Reglas de Alerta Activa');
INSERT INTO `lang_definitions` VALUES (3214, 81, 3, 'Alertas activas/Recordatorios');
INSERT INTO `lang_definitions` VALUES (3215, 82, 3, 'Visita Activa');
INSERT INTO `lang_definitions` VALUES (3216, 84, 3, 'Listas Activas');
INSERT INTO `lang_definitions` VALUES (3217, 85, 3, 'Paciente Activo');
INSERT INTO `lang_definitions` VALUES (3218, 86, 3, 'Planes Activos');
INSERT INTO `lang_definitions` VALUES (3219, 87, 3, 'Actividad');
INSERT INTO `lang_definitions` VALUES (3220, 88, 3, 'Tipo de Actividad');
INSERT INTO `lang_definitions` VALUES (3221, 92, 3, 'Agudo en Crónico');
INSERT INTO `lang_definitions` VALUES (3222, 93, 3, 'añadir');
INSERT INTO `lang_definitions` VALUES (3223, 94, 3, 'Añadir');
INSERT INTO `lang_definitions` VALUES (3224, 95, 3, 'AÑADIR');
INSERT INTO `lang_definitions` VALUES (3225, 96, 3, 'Añadir una Sociedad');
INSERT INTO `lang_definitions` VALUES (3226, 98, 3, 'Añadir una Farmacia');
INSERT INTO `lang_definitions` VALUES (3227, 100, 3, 'Añadir un evento para ');
INSERT INTO `lang_definitions` VALUES (3228, 101, 3, 'Añadir como nueva nota');
INSERT INTO `lang_definitions` VALUES (3229, 102, 3, 'Añadir como Nuevo');
INSERT INTO `lang_definitions` VALUES (3230, 104, 3, 'Agregar Botones');
INSERT INTO `lang_definitions` VALUES (3231, 105, 3, 'Agregar botones para caracteres especiales, Textos serán mostrados sobre el editor para incluir en el texto con un Click.');
INSERT INTO `lang_definitions` VALUES (3232, 106, 3, 'Añadir Categoría');
INSERT INTO `lang_definitions` VALUES (3233, 107, 3, 'Añadir Constante');
INSERT INTO `lang_definitions` VALUES (3234, 108, 3, 'Añadir Contexto');
INSERT INTO `lang_definitions` VALUES (3235, 109, 3, 'Añadir Co-pago');
INSERT INTO `lang_definitions` VALUES (3236, 110, 3, 'Añadir Criterios');
INSERT INTO `lang_definitions` VALUES (3237, 111, 3, 'Añadir Botón Personalizado');
INSERT INTO `lang_definitions` VALUES (3238, 112, 3, 'Añadir Diagnóstico');
INSERT INTO `lang_definitions` VALUES (3239, 113, 3, 'Añadir Medicamento');
INSERT INTO `lang_definitions` VALUES (3240, 114, 3, 'Añadir Visita');
INSERT INTO `lang_definitions` VALUES (3241, 115, 3, 'Añadir Visita/notas');
INSERT INTO `lang_definitions` VALUES (3242, 116, 3, 'Añadir Centro');
INSERT INTO `lang_definitions` VALUES (3243, 117, 3, 'Añadir Campo');
INSERT INTO `lang_definitions` VALUES (3244, 118, 3, 'Añadir las siguientes líneas al fichero de configuración de Apache');
INSERT INTO `lang_definitions` VALUES (3245, 119, 3, 'Añadir Grupo');
INSERT INTO `lang_definitions` VALUES (3246, 120, 3, 'Añadir Código CIE');
INSERT INTO `lang_definitions` VALUES (3247, 121, 3, 'Agregar Vacunación');
INSERT INTO `lang_definitions` VALUES (3248, 122, 3, 'Añadir no permitido!');
INSERT INTO `lang_definitions` VALUES (3249, 123, 3, 'Añadir Incidencia');
INSERT INTO `lang_definitions` VALUES (3250, 125, 3, 'Añadir Idioma');
INSERT INTO `lang_definitions` VALUES (3251, 126, 3, 'Añadir Nuevo');
INSERT INTO `lang_definitions` VALUES (3252, 127, 3, 'Añadir nuevo');
INSERT INTO `lang_definitions` VALUES (3253, 128, 3, 'Añadir nueva categoría: ');
INSERT INTO `lang_definitions` VALUES (3254, 129, 3, 'Añadir nuevos Certificados al fichero de configuración de Apache');
INSERT INTO `lang_definitions` VALUES (3255, 132, 3, 'Añadir Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (3256, 134, 3, 'Añadir nuevo lote y transacción');
INSERT INTO `lang_definitions` VALUES (3257, 135, 3, 'Añadir Nueva Nota');
INSERT INTO `lang_definitions` VALUES (3258, 136, 3, 'Añadir nueva nota');
INSERT INTO `lang_definitions` VALUES (3259, 137, 3, 'Añadir Nuevo Socio');
INSERT INTO `lang_definitions` VALUES (3260, 140, 3, 'Añadir Nota');
INSERT INTO `lang_definitions` VALUES (3261, 141, 3, 'Añadir Registro de Paciente');
INSERT INTO `lang_definitions` VALUES (3262, 142, 3, 'Añadir Receta');
INSERT INTO `lang_definitions` VALUES (3263, 144, 3, 'Añadir numero del proveedor');
INSERT INTO `lang_definitions` VALUES (3264, 145, 3, 'Añadir Rehabilitación');
INSERT INTO `lang_definitions` VALUES (3265, 146, 3, 'Añadir Regla');
INSERT INTO `lang_definitions` VALUES (3266, 147, 3, 'Añadir a');
INSERT INTO `lang_definitions` VALUES (3267, 148, 3, 'Añadir a Lista de Medicación');
INSERT INTO `lang_definitions` VALUES (3268, 149, 3, 'Añadir Nivel Superior');
INSERT INTO `lang_definitions` VALUES (3269, 150, 3, 'Añadir Transacción');
INSERT INTO `lang_definitions` VALUES (3270, 151, 3, 'Añadir Usuario');
INSERT INTO `lang_definitions` VALUES (3271, 152, 3, 'Añadir Usuario al Grupo');
INSERT INTO `lang_definitions` VALUES (3272, 153, 3, 'Añadir/Editar Receta electrónica');
INSERT INTO `lang_definitions` VALUES (3273, 154, 3, 'Añadir/Editar Transacción de paciente');
INSERT INTO `lang_definitions` VALUES (3274, 155, 3, 'añadido');
INSERT INTO `lang_definitions` VALUES (3275, 156, 3, 'Añadir datos demográficos no autorizado.');
INSERT INTO `lang_definitions` VALUES (3276, 158, 3, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (3277, 159, 3, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (3278, 160, 3, 'Atributos adicionales');
INSERT INTO `lang_definitions` VALUES (3279, 161, 3, 'Diagnóstico adicional:');
INSERT INTO `lang_definitions` VALUES (3280, 162, 3, 'Historia Adicional');
INSERT INTO `lang_definitions` VALUES (3281, 163, 3, 'Notas adicionales a la historia');
INSERT INTO `lang_definitions` VALUES (3282, 164, 3, 'Información adicional');
INSERT INTO `lang_definitions` VALUES (3283, 165, 3, 'Laboratorios adicionales');
INSERT INTO `lang_definitions` VALUES (3284, 166, 3, 'Notas adicionales');
INSERT INTO `lang_definitions` VALUES (3285, 168, 3, 'Notas adicionales:');
INSERT INTO `lang_definitions` VALUES (3286, 169, 3, 'Notas adicionales: ');
INSERT INTO `lang_definitions` VALUES (3287, 170, 3, 'Notas de Rayos X adicionales:');
INSERT INTO `lang_definitions` VALUES (3288, 172, 3, 'Sólo añadir');
INSERT INTO `lang_definitions` VALUES (3289, 173, 3, 'Libreta Direcciones');
INSERT INTO `lang_definitions` VALUES (3290, 174, 3, 'Libreta Direcciones');
INSERT INTO `lang_definitions` VALUES (3291, 175, 3, 'Dirección');
INSERT INTO `lang_definitions` VALUES (3292, 178, 3, 'Libreta de Direcciones');
INSERT INTO `lang_definitions` VALUES (3293, 179, 3, 'Entrada a la libreta de Direcciones de la empresa que realiza este procedimiento');
INSERT INTO `lang_definitions` VALUES (3294, 180, 3, 'Entrada a la libreta de Direcciones para el distribuidor');
INSERT INTO `lang_definitions` VALUES (3295, 181, 3, 'Entrada a la Libreta de Direcciones para el vendedor');
INSERT INTO `lang_definitions` VALUES (3296, 182, 3, 'Tipos de Libreta de Direcciones');
INSERT INTO `lang_definitions` VALUES (3297, 187, 3, 'Dirección1');
INSERT INTO `lang_definitions` VALUES (3298, 188, 3, 'Dirección2');
INSERT INTO `lang_definitions` VALUES (3299, 189, 3, 'DESTINATARIO');
INSERT INTO `lang_definitions` VALUES (3300, 190, 3, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (3301, 191, 3, 'Importe de Ajuste');
INSERT INTO `lang_definitions` VALUES (3302, 192, 3, 'Ajustar');
INSERT INTO `lang_definitions` VALUES (3303, 193, 3, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (3304, 194, 3, 'Ajuste importe');
INSERT INTO `lang_definitions` VALUES (3305, 195, 3, 'Motivos del ajuste');
INSERT INTO `lang_definitions` VALUES (3306, 196, 3, 'Valor de ajuste para código ');
INSERT INTO `lang_definitions` VALUES (3307, 197, 3, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (3308, 198, 3, 'Ajuste administrador');
INSERT INTO `lang_definitions` VALUES (3309, 199, 3, 'Administrador');
INSERT INTO `lang_definitions` VALUES (3310, 200, 3, 'email administrador');
INSERT INTO `lang_definitions` VALUES (3311, 201, 3, 'Administrar a través de');
INSERT INTO `lang_definitions` VALUES (3312, 202, 3, 'Administrado');
INSERT INTO `lang_definitions` VALUES (3313, 203, 3, 'Administrado por');
INSERT INTO `lang_definitions` VALUES (3314, 206, 3, 'Administración');
INSERT INTO `lang_definitions` VALUES (3315, 208, 3, 'Administradores');
INSERT INTO `lang_definitions` VALUES (3316, 209, 3, 'Los administradores pueden hacer todo');
INSERT INTO `lang_definitions` VALUES (3317, 212, 3, 'Revisión Peso de Adulto y Seguimiento');
INSERT INTO `lang_definitions` VALUES (3318, 213, 3, 'Revisión Peso de Adulto y Seguimiento (GCC)');
INSERT INTO `lang_definitions` VALUES (3319, 214, 3, 'Instrucción anticipada');
INSERT INTO `lang_definitions` VALUES (3320, 215, 3, 'Directriz Anticipada');
INSERT INTO `lang_definitions` VALUES (3321, 216, 3, 'Aviso Directriz Anticipada');
INSERT INTO `lang_definitions` VALUES (3322, 218, 3, 'Anticipado');
INSERT INTO `lang_definitions` VALUES (3323, 219, 3, 'Consejo');
INSERT INTO `lang_definitions` VALUES (3324, 221, 3, 'Afecta normales');
INSERT INTO `lang_definitions` VALUES (3325, 223, 3, 'llamadas fuera horario laboral');
INSERT INTO `lang_definitions` VALUES (3326, 225, 3, 'Después de hacer las configuraciones mencionadas, importar el certificado del cliente de administrador al navegador y reiniciar el servidor Apache (Contraseña vacía)');
INSERT INTO `lang_definitions` VALUES (3327, 226, 3, 'Después de guardar el PDF, click [Ver Log] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (3328, 227, 3, 'Después de guardar los ficheros de TEXTO, click [Ver Log] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (3329, 228, 3, 'Después de guardar su Batch, click [Ver Log] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (3330, 230, 3, 'Una vez completada la informacion correctamente, click en botón Guardar');
INSERT INTO `lang_definitions` VALUES (3331, 233, 3, 'Otra vez');
INSERT INTO `lang_definitions` VALUES (3332, 234, 3, 'Edad');
INSERT INTO `lang_definitions` VALUES (3333, 235, 3, 'Por Edad');
INSERT INTO `lang_definitions` VALUES (3334, 236, 3, 'Categoría edad');
INSERT INTO `lang_definitions` VALUES (3335, 237, 3, 'Dato edad fuera de rango.');
INSERT INTO `lang_definitions` VALUES (3336, 239, 3, 'Formato edad en \'desde edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (3337, 240, 3, 'Formato edad en \'hasta edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (3338, 241, 3, 'Edad desde');
INSERT INTO `lang_definitions` VALUES (3339, 243, 3, 'Edad Máxima');
INSERT INTO `lang_definitions` VALUES (3340, 244, 3, 'Edad Mínima');
INSERT INTO `lang_definitions` VALUES (3341, 245, 3, 'Rango de Edad');
INSERT INTO `lang_definitions` VALUES (3342, 247, 3, 'Columnas del envejecimiento:');
INSERT INTO `lang_definitions` VALUES (3343, 249, 3, 'Albanés');
INSERT INTO `lang_definitions` VALUES (3344, 250, 3, 'Alcohol');
INSERT INTO `lang_definitions` VALUES (3345, 251, 3, 'Consumo de alcohol');
INSERT INTO `lang_definitions` VALUES (3346, 253, 3, 'Contador de Alerta');
INSERT INTO `lang_definitions` VALUES (3347, 255, 3, 'Alertas');
INSERT INTO `lang_definitions` VALUES (3348, 258, 3, 'ALEUTIANO');
INSERT INTO `lang_definitions` VALUES (3349, 259, 3, 'Todos');
INSERT INTO `lang_definitions` VALUES (3350, 260, 3, 'TODOS');
INSERT INTO `lang_definitions` VALUES (3351, 261, 3, 'Todos (Formatos Compaginados A)');
INSERT INTO `lang_definitions` VALUES (3352, 262, 3, 'Todos (Formatos Compaginados B)');
INSERT INTO `lang_definitions` VALUES (3353, 263, 3, 'Todos (Acumulativo)');
INSERT INTO `lang_definitions` VALUES (3354, 266, 3, 'Todas las Categorías');
INSERT INTO `lang_definitions` VALUES (3355, 268, 3, 'Todos los Códigos');
INSERT INTO `lang_definitions` VALUES (3356, 269, 3, 'Todo el día');
INSERT INTO `lang_definitions` VALUES (3357, 270, 3, 'Evento de día completo');
INSERT INTO `lang_definitions` VALUES (3358, 271, 3, 'Todos los campos demográficos, con búsqueda y chequeo de dupicados');
INSERT INTO `lang_definitions` VALUES (3359, 272, 3, 'Todas las Clínicas');
INSERT INTO `lang_definitions` VALUES (3360, 273, 3, 'Todas las Lesiones/Problemas/Incidencias');
INSERT INTO `lang_definitions` VALUES (3361, 274, 3, 'Permitidos todos los Idiomas');
INSERT INTO `lang_definitions` VALUES (3362, 276, 3, 'Todo o parte del nombre');
INSERT INTO `lang_definitions` VALUES (3363, 277, 3, 'Todo o parte del apellido');
INSERT INTO `lang_definitions` VALUES (3364, 278, 3, 'Todo o parte de la organización');
INSERT INTO `lang_definitions` VALUES (3365, 280, 3, 'Todos los productos');
INSERT INTO `lang_definitions` VALUES (3366, 281, 3, 'Todos los proveedores');
INSERT INTO `lang_definitions` VALUES (3367, 282, 3, 'Todos Revisados y Negativos:');
INSERT INTO `lang_definitions` VALUES (3368, 283, 3, 'Todos los Temas');
INSERT INTO `lang_definitions` VALUES (3369, 284, 3, 'Todos los Usuarios');
INSERT INTO `lang_definitions` VALUES (3370, 285, 3, 'Alérgico');
INSERT INTO `lang_definitions` VALUES (3371, 286, 3, 'Alergias');
INSERT INTO `lang_definitions` VALUES (3372, 287, 3, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (3373, 288, 3, 'Alergia');
INSERT INTO `lang_definitions` VALUES (3374, 289, 3, 'Importación de Alergia completado con éxito');
INSERT INTO `lang_definitions` VALUES (3375, 291, 3, 'Reacción Alérgica');
INSERT INTO `lang_definitions` VALUES (3376, 294, 3, 'Asignar');
INSERT INTO `lang_definitions` VALUES (3377, 295, 3, 'Permitir');
INSERT INTO `lang_definitions` VALUES (3378, 296, 3, 'Permitir todos los idiomas disponibles como opción en el menú de inicio sesión.');
INSERT INTO `lang_definitions` VALUES (3379, 297, 3, 'Permitir creación de reclamaciones con diagnósticos pero no procedimientos o cargos. La mayoría de clínicas no desean esto.');
INSERT INTO `lang_definitions` VALUES (3380, 298, 3, 'Permitir Depuración de Idioma');
INSERT INTO `lang_definitions` VALUES (3381, 299, 3, 'Permitir Email');
INSERT INTO `lang_definitions` VALUES (3382, 300, 3, '¿Permitir mensajes email?');
INSERT INTO `lang_definitions` VALUES (3383, 301, 3, '¿Permitir Email?');
INSERT INTO `lang_definitions` VALUES (3384, 302, 3, 'Permitir reclamación de Visita');
INSERT INTO `lang_definitions` VALUES (3385, 303, 3, 'Permitir el Intercambio de Información de Salud');
INSERT INTO `lang_definitions` VALUES (3386, 304, 3, 'Permitir Compartir Información de Vacunación');
INSERT INTO `lang_definitions` VALUES (3387, 305, 3, 'Permitir el Uso del Registro de Vacunaciones');
INSERT INTO `lang_definitions` VALUES (3388, 306, 3, 'Permitir mensajes email');
INSERT INTO `lang_definitions` VALUES (3389, 308, 3, 'Permitir Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (3390, 309, 3, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (3391, 310, 3, '¿Permitir SMS (mensajes de texto)?');
INSERT INTO `lang_definitions` VALUES (3392, 311, 3, '¿Permitir la activación instantánea de los eventos introducidos?');
INSERT INTO `lang_definitions` VALUES (3393, 312, 3, '¿Permitir mensajes telefónicos?');
INSERT INTO `lang_definitions` VALUES (3394, 313, 3, 'Permitir a los usuarios publicar eventos globales');
INSERT INTO `lang_definitions` VALUES (3395, 314, 3, 'Permitir a los usuarios publicar calendarios personales');
INSERT INTO `lang_definitions` VALUES (3396, 315, 3, 'Permitir Mensaje de Voz');
INSERT INTO `lang_definitions` VALUES (3397, 316, 3, 'Permitido');
INSERT INTO `lang_definitions` VALUES (3398, 317, 3, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (3399, 318, 3, 'Asignado ©');
INSERT INTO `lang_definitions` VALUES (3400, 323, 3, 'ya existe');
INSERT INTO `lang_definitions` VALUES (3401, 324, 3, 'ya existe.');
INSERT INTO `lang_definitions` VALUES (3402, 325, 3, 'Identificador ya usado, elija otro');
INSERT INTO `lang_definitions` VALUES (3403, 326, 3, 'Título ya usado, elija otro');
INSERT INTO `lang_definitions` VALUES (3404, 327, 3, 'Dirección alternativa');
INSERT INTO `lang_definitions` VALUES (3405, 328, 3, 'modificar');
INSERT INTO `lang_definitions` VALUES (3406, 329, 3, 'De forma alternativa, puede usar la página de búsqueda para cargar un fichero electrónico (X12835) que haya recibido de su pagador. Puede hacerlo presionando el botón Explorar y seleccionar el fichero a cargar, y luego pulsando Explorar para ejecutar la carga y mostrar las facturas correspondientes. En este caso, los otros parámetros mencionados arriba no se aplican y pueden ser ignorados. La carga guarda el fichero pero no procesa su contenido - esto se realiza de forma separada como se describe abajo.');
INSERT INTO `lang_definitions` VALUES (3407, 330, 3, 'AM');
INSERT INTO `lang_definitions` VALUES (3408, 331, 3, 'Programa AM');
INSERT INTO `lang_definitions` VALUES (3409, 332, 3, 'Cálculo Automático de Medidas (CAM)');
INSERT INTO `lang_definitions` VALUES (3410, 333, 3, 'Rastreo CAM');
INSERT INTO `lang_definitions` VALUES (3411, 338, 3, 'Corregir nota existente');
INSERT INTO `lang_definitions` VALUES (3412, 343, 3, 'Indígena americano');
INSERT INTO `lang_definitions` VALUES (3413, 344, 3, 'Indígena americano o Nativo de Alaska');
INSERT INTO `lang_definitions` VALUES (3414, 345, 3, 'AMEX');
INSERT INTO `lang_definitions` VALUES (3415, 346, 3, 'Amárico (Lengua de Etiopia)');
INSERT INTO `lang_definitions` VALUES (3416, 347, 3, 'Importe');
INSERT INTO `lang_definitions` VALUES (3417, 349, 3, 'Importes Cargados');
INSERT INTO `lang_definitions` VALUES (3418, 350, 3, 'Importe Saldo Vencido');
INSERT INTO `lang_definitions` VALUES (3419, 351, 3, 'Importe por esta visita');
INSERT INTO `lang_definitions` VALUES (3420, 352, 3, 'Importe pagado');
INSERT INTO `lang_definitions` VALUES (3421, 353, 3, 'Importe:');
INSERT INTO `lang_definitions` VALUES (3422, 354, 3, 'Importe Facturado');
INSERT INTO `lang_definitions` VALUES (3423, 355, 3, '¡Se requiere una fecha de finalización posterior a la fecha de inicio para los eventos repetidos!');
INSERT INTO `lang_definitions` VALUES (3424, 357, 3, 'Ocurrió un error durante la descarga web de los directorios de LibreEHR');
INSERT INTO `lang_definitions` VALUES (3425, 358, 3, 'Ocurrió un error durante la descarga web de los directorios de phpGACL');
INSERT INTO `lang_definitions` VALUES (3426, 359, 3, 'Ocurrió un error durante la descarga web de los directorios SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (3427, 360, 3, 'Una incidencia GCAC incompleta ha sido creada y vinculada. Alguien tendrá que completarla más tarde.');
INSERT INTO `lang_definitions` VALUES (3428, 362, 3, 'Ocurrio un error inesperado.');
INSERT INTO `lang_definitions` VALUES (3429, 363, 3, 'Una letra mayúscula');
INSERT INTO `lang_definitions` VALUES (3430, 365, 3, 'Y');
INSERT INTO `lang_definitions` VALUES (3431, 366, 3, 'Y');
INSERT INTO `lang_definitions` VALUES (3432, 367, 3, 'y');
INSERT INTO `lang_definitions` VALUES (3433, 368, 3, 'y ');
INSERT INTO `lang_definitions` VALUES (3434, 369, 3, '¿y toda la información subordinada? Esta acción será registrada');
INSERT INTO `lang_definitions` VALUES (3435, 370, 3, 'y modificador');
INSERT INTO `lang_definitions` VALUES (3436, 371, 3, 'y procesado.');
INSERT INTO `lang_definitions` VALUES (3437, 372, 3, 'y reiniciar servidor Apache');
INSERT INTO `lang_definitions` VALUES (3438, 373, 3, 'y la Razón es');
INSERT INTO `lang_definitions` VALUES (3439, 374, 3, 'Anemia');
INSERT INTO `lang_definitions` VALUES (3440, 375, 3, 'Tobillo');
INSERT INTO `lang_definitions` VALUES (3441, 376, 3, 'Tobillo + talón');
INSERT INTO `lang_definitions` VALUES (3442, 377, 3, 'Formulario de Evaluación del tobillo');
INSERT INTO `lang_definitions` VALUES (3443, 378, 3, 'Problemas de tobillo');
INSERT INTO `lang_definitions` VALUES (3444, 379, 3, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (3445, 380, 3, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (3446, 381, 3, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (3447, 382, 3, 'Otra cosa que puede hacer en la ventana de publicación es solicitar facturación secundaria. Si selecciona la casilla de verificación antes de guardar, la reclamación original será reabierta y puesta en cola en la página de Facturación, y será procesada en el siguiente proceso de facturación.');
INSERT INTO `lang_definitions` VALUES (3448, 383, 3, 'ante');
INSERT INTO `lang_definitions` VALUES (3449, 384, 3, 'Ano normal, recto sin distensión ni masa');
INSERT INTO `lang_definitions` VALUES (3450, 385, 3, 'Ansiedad');
INSERT INTO `lang_definitions` VALUES (3451, 386, 3, 'Cualquiera');
INSERT INTO `lang_definitions` VALUES (3452, 387, 3, 'Cualquier Categoría');
INSERT INTO `lang_definitions` VALUES (3453, 388, 3, 'Cualquier parte del código deseado o su descripción');
INSERT INTO `lang_definitions` VALUES (3454, 389, 3, 'Cualquier parte de la especialidad deseada');
INSERT INTO `lang_definitions` VALUES (3455, 390, 3, 'Cualquier parte del identificador o nombre de medicamento');
INSERT INTO `lang_definitions` VALUES (3456, 391, 3, 'Cualquier parte del identificador o nombre de vacuna');
INSERT INTO `lang_definitions` VALUES (3457, 392, 3, 'Cualquier parte del nombre del paciente, o Apellido, Nombre, o X-Y');
INSERT INTO `lang_definitions` VALUES (3458, 394, 3, 'Clave API para puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (3459, 395, 3, 'Apnea');
INSERT INTO `lang_definitions` VALUES (3460, 396, 3, 'Aspecto');
INSERT INTO `lang_definitions` VALUES (3461, 397, 3, 'Aspecto:');
INSERT INTO `lang_definitions` VALUES (3462, 398, 3, 'Añadir esta nota');
INSERT INTO `lang_definitions` VALUES (3463, 399, 3, 'Añadir a la nota existente');
INSERT INTO `lang_definitions` VALUES (3464, 400, 3, 'Añadir a sta nota');
INSERT INTO `lang_definitions` VALUES (3465, 401, 3, 'Añadir a Esta Nota');
INSERT INTO `lang_definitions` VALUES (3466, 402, 3, 'Apendicectomía');
INSERT INTO `lang_definitions` VALUES (3467, 404, 3, 'Pacientes Aplicables');
INSERT INTO `lang_definitions` VALUES (3468, 406, 3, 'Nombre de aplicación para página de inicio de sesión y título de ventana principal');
INSERT INTO `lang_definitions` VALUES (3469, 407, 3, 'Código de Aplicación del receptor (GS03 - si está en blanco se usará ISA08)');
INSERT INTO `lang_definitions` VALUES (3470, 408, 3, 'Codigo de Aplicacion del Enviador (GS02)');
INSERT INTO `lang_definitions` VALUES (3471, 409, 3, 'Título de Aplicación');
INSERT INTO `lang_definitions` VALUES (3472, 410, 3, 'Se aplica al formulario de Constantes Vitales y Gráfica de Crecimiento');
INSERT INTO `lang_definitions` VALUES (3473, 412, 3, '¿Aplicar los cambios sólo al evento actual, a éste y todos los episodios futuros, o a todos los episodios?');
INSERT INTO `lang_definitions` VALUES (3474, 413, 3, 'aplicar a la zona afectada');
INSERT INTO `lang_definitions` VALUES (3475, 414, 3, 'aplicar a la piel');
INSERT INTO `lang_definitions` VALUES (3476, 415, 3, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (3477, 416, 3, 'Aplicando parche al sitio');
INSERT INTO `lang_definitions` VALUES (3478, 417, 3, 'Cita');
INSERT INTO `lang_definitions` VALUES (3479, 418, 3, 'Fecha de Cita');
INSERT INTO `lang_definitions` VALUES (3480, 419, 3, 'Estilo de visualizacion de la cita');
INSERT INTO `lang_definitions` VALUES (3481, 420, 3, 'Regla para recordar Cita');
INSERT INTO `lang_definitions` VALUES (3482, 421, 3, 'Estado de la Cita');
INSERT INTO `lang_definitions` VALUES (3483, 422, 3, 'Estados de la cita');
INSERT INTO `lang_definitions` VALUES (3484, 423, 3, 'Cita dentro de');
INSERT INTO `lang_definitions` VALUES (3485, 424, 3, 'Color de Cita/Evento');
INSERT INTO `lang_definitions` VALUES (3486, 425, 3, 'Citas');
INSERT INTO `lang_definitions` VALUES (3487, 426, 3, 'Citas (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (3488, 427, 3, 'Citas (escribir, algunos opcional)');
INSERT INTO `lang_definitions` VALUES (3489, 430, 3, 'Citas y Visitas');
INSERT INTO `lang_definitions` VALUES (3490, 431, 3, 'Informe de citas');
INSERT INTO `lang_definitions` VALUES (3491, 432, 3, 'Informes Citas-Visitas');
INSERT INTO `lang_definitions` VALUES (3492, 434, 3, 'Aprobar');
INSERT INTO `lang_definitions` VALUES (3493, 436, 3, 'Aprobado');
INSERT INTO `lang_definitions` VALUES (3494, 437, 3, 'Eventos Administrativos Aprobados');
INSERT INTO `lang_definitions` VALUES (3495, 440, 3, 'Citas-Visitas');
INSERT INTO `lang_definitions` VALUES (3496, 441, 3, 'Citas');
INSERT INTO `lang_definitions` VALUES (3497, 442, 3, 'Abr');
INSERT INTO `lang_definitions` VALUES (3498, 443, 3, 'Abril');
INSERT INTO `lang_definitions` VALUES (3499, 444, 3, 'Arabigo');
INSERT INTO `lang_definitions` VALUES (3500, 447, 3, '¿Se traducen los nombres del grupo de control de acceso?');
INSERT INTO `lang_definitions` VALUES (3501, 448, 3, '¿Se traducen los nombres de las categorías de cita?');
INSERT INTO `lang_definitions` VALUES (3502, 449, 3, '¿Se traducen los nombres de categorías de documento?');
INSERT INTO `lang_definitions` VALUES (3503, 450, 3, '¿Se cobran honorarios por este tipo?');
INSERT INTO `lang_definitions` VALUES (3504, 451, 3, '¿Se traducen los títulos de las notas del paciente?');
INSERT INTO `lang_definitions` VALUES (3505, 452, 3, '¿Están los códigos archivados en tablas sql externas (0-No, 1-CIE10, 2-SNOMED(RF1), 3-SNOMED(rf2))?');
INSERT INTO `lang_definitions` VALUES (3506, 453, 3, '¿Está preparado para completar una nueva incidencia de GCAC (Global Connection Admission Control) para esta visita?');
INSERT INTO `lang_definitions` VALUES (3507, 454, 3, '¿Está seguro de enviar hoy?');
INSERT INTO `lang_definitions` VALUES (3508, 455, 3, '¿Está seguro que quiere aprobar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3509, 457, 3, '¿Está seguro de que desea eliminar por completo este formulario?');
INSERT INTO `lang_definitions` VALUES (3510, 459, 3, '¿Está seguro que desea eliminar este aviso?');
INSERT INTO `lang_definitions` VALUES (3511, 460, 3, '¿Está seguro que quiere eliminar este evento?');
INSERT INTO `lang_definitions` VALUES (3512, 461, 3, '¿Está seguro que quiere eliminar este asunto de la base de datos?');
INSERT INTO `lang_definitions` VALUES (3513, 462, 3, '¿Está usted seguro que quiere eliminar esta nota?');
INSERT INTO `lang_definitions` VALUES (3514, 464, 3, '¿Está seguro que quiere editar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3515, 465, 3, '¿Está seguro que quiere ocultar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3516, 467, 3, '¿Está seguro que quiere visualizar estos eventos?');
INSERT INTO `lang_definitions` VALUES (3517, 468, 3, 'Está seguro que desea eliminar el grupo entero nombrado');
INSERT INTO `lang_definitions` VALUES (3518, 469, 3, 'Está seguro que desea eliminar la lista entera');
INSERT INTO `lang_definitions` VALUES (3519, 470, 3, 'Está seguro que quiere eliminar el campo interno');
INSERT INTO `lang_definitions` VALUES (3520, 471, 3, '¿Está seguro que quiere eliminar los campos seleccionados?');
INSERT INTO `lang_definitions` VALUES (3521, 472, 3, '¿Está seguro que quiere continuar con estas acciones?');
INSERT INTO `lang_definitions` VALUES (3522, 473, 3, 'Zona no especificada');
INSERT INTO `lang_definitions` VALUES (3523, 474, 3, 'Brazo');
INSERT INTO `lang_definitions` VALUES (3524, 475, 3, 'Armenio');
INSERT INTO `lang_definitions` VALUES (3525, 477, 3, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (3526, 478, 3, 'Artritis');
INSERT INTO `lang_definitions` VALUES (3527, 479, 3, 'Artritis/Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (3528, 480, 3, 'Artritis/Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (3529, 481, 3, 'como');
INSERT INTO `lang_definitions` VALUES (3530, 482, 3, 'Desde');
INSERT INTO `lang_definitions` VALUES (3531, 484, 3, 'Asiático');
INSERT INTO `lang_definitions` VALUES (3532, 487, 3, 'Evaluación');
INSERT INTO `lang_definitions` VALUES (3533, 488, 3, 'Asignado a');
INSERT INTO `lang_definitions` VALUES (3534, 489, 3, 'Ayudante');
INSERT INTO `lang_definitions` VALUES (3535, 490, 3, 'Asma');
INSERT INTO `lang_definitions` VALUES (3536, 491, 3, 'en');
INSERT INTO `lang_definitions` VALUES (3537, 492, 3, 'Se requiere al menos un parámetro de búsqueda si selecciona Todos.');
INSERT INTO `lang_definitions` VALUES (3538, 493, 3, 'En el Escafoides');
INSERT INTO `lang_definitions` VALUES (3539, 494, 3, 'En el Escafoides:');
INSERT INTO `lang_definitions` VALUES (3540, 495, 3, 'Equipo de atletismo');
INSERT INTO `lang_definitions` VALUES (3541, 497, 3, 'Lesión Deportiva');
INSERT INTO `lang_definitions` VALUES (3542, 498, 3, 'Certificado CA de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3543, 499, 3, 'Host de auditoría ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3544, 500, 3, 'Certificado local de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3545, 501, 3, 'Puerto de auditoría ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (3546, 503, 3, 'Atención');
INSERT INTO `lang_definitions` VALUES (3547, 504, 3, 'Atención');
INSERT INTO `lang_definitions` VALUES (3548, 509, 3, 'Auditoría Backups de inicio de sesión');
INSERT INTO `lang_definitions` VALUES (3549, 510, 3, 'Auditoría de inicio de sesión varios');
INSERT INTO `lang_definitions` VALUES (3550, 511, 3, 'Auditoría Orden de inicio de sesión');
INSERT INTO `lang_definitions` VALUES (3551, 512, 3, 'Auditoría registro inicio de sesión del paciente');
INSERT INTO `lang_definitions` VALUES (3552, 513, 3, 'Auditoría Planificación inicio sesión');
INSERT INTO `lang_definitions` VALUES (3553, 514, 3, 'Auditoría Administración de Seguridad inicio sesión');
INSERT INTO `lang_definitions` VALUES (3554, 515, 3, 'Auditoría Consulta SELECT inicio sesión');
INSERT INTO `lang_definitions` VALUES (3555, 516, 3, 'Ago');
INSERT INTO `lang_definitions` VALUES (3556, 517, 3, 'Agosto');
INSERT INTO `lang_definitions` VALUES (3557, 519, 3, 'Autorización');
INSERT INTO `lang_definitions` VALUES (3558, 520, 3, 'Autorización/notas');
INSERT INTO `lang_definitions` VALUES (3559, 523, 3, 'Grupo de Autorización');
INSERT INTO `lang_definitions` VALUES (3560, 524, 3, 'Estatus de autorización');
INSERT INTO `lang_definitions` VALUES (3561, 525, 3, 'Autorizaciones');
INSERT INTO `lang_definitions` VALUES (3562, 526, 3, 'Autorizar');
INSERT INTO `lang_definitions` VALUES (3563, 527, 3, 'Autorizar - cualquier visita');
INSERT INTO `lang_definitions` VALUES (3564, 528, 3, 'Autorizar - mis visitas');
INSERT INTO `lang_definitions` VALUES (3565, 530, 3, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (3566, 531, 3, 'Autorización solamente');
INSERT INTO `lang_definitions` VALUES (3567, 532, 3, 'Envío automático');
INSERT INTO `lang_definitions` VALUES (3568, 535, 3, 'Crear automáticamente nuevas visitas');
INSERT INTO `lang_definitions` VALUES (3569, 536, 3, 'Auto-generado');
INSERT INTO `lang_definitions` VALUES (3570, 537, 3, 'Cálculos Automáticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (3571, 542, 3, 'Seguimiento Cálculos Automáticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (3572, 543, 3, 'Medidas Automatizadas');
INSERT INTO `lang_definitions` VALUES (3573, 544, 3, 'Automático');
INSERT INTO `lang_definitions` VALUES (3574, 546, 3, 'Crear automáticamente nuevas visitas cuando en el estado de una cita se selecciona -@- (llegado)');
INSERT INTO `lang_definitions` VALUES (3575, 549, 3, 'Automóvil Médico');
INSERT INTO `lang_definitions` VALUES (3576, 550, 3, 'Autoguardado');
INSERT INTO `lang_definitions` VALUES (3577, 551, 3, 'Categorías Disponibles');
INSERT INTO `lang_definitions` VALUES (3578, 552, 3, 'Horas disponibles');
INSERT INTO `lang_definitions` VALUES (3579, 557, 3, 'Media Mensual');
INSERT INTO `lang_definitions` VALUES (3580, 558, 3, 'Avulsión/fractura por avulsión');
INSERT INTO `lang_definitions` VALUES (3581, 559, 3, 'Avulsión de maleolo lateral');
INSERT INTO `lang_definitions` VALUES (3582, 560, 3, 'Avulsión de maléolo tibial ');
INSERT INTO `lang_definitions` VALUES (3583, 561, 3, 'Basado en el Conocimiento');
INSERT INTO `lang_definitions` VALUES (3584, 562, 3, 'Axilar');
INSERT INTO `lang_definitions` VALUES (3585, 565, 3, 'dos veces por día');
INSERT INTO `lang_definitions` VALUES (3586, 566, 3, 'Atrás');
INSERT INTO `lang_definitions` VALUES (3587, 567, 3, 'atrás');
INSERT INTO `lang_definitions` VALUES (3588, 568, 3, 'Retrocede ocho visitas');
INSERT INTO `lang_definitions` VALUES (3589, 569, 3, 'Retrocede once visitas');
INSERT INTO `lang_definitions` VALUES (3590, 570, 3, 'Retroceder cinco visitas');
INSERT INTO `lang_definitions` VALUES (3591, 571, 3, 'Retrocede cuatro visitas');
INSERT INTO `lang_definitions` VALUES (3592, 572, 3, 'Retrocede nueve visitas');
INSERT INTO `lang_definitions` VALUES (3593, 573, 3, 'Retroced una visita');
INSERT INTO `lang_definitions` VALUES (3594, 574, 3, 'Dolor de espalda');
INSERT INTO `lang_definitions` VALUES (3595, 575, 3, 'Problemas de espalda');
INSERT INTO `lang_definitions` VALUES (3596, 576, 3, 'Retrocede siete visitas');
INSERT INTO `lang_definitions` VALUES (3597, 577, 3, 'Retrocede seis visitas');
INSERT INTO `lang_definitions` VALUES (3598, 578, 3, 'Cirugia de espalda');
INSERT INTO `lang_definitions` VALUES (3599, 579, 3, 'Retrocede diez visitas');
INSERT INTO `lang_definitions` VALUES (3600, 580, 3, 'Retrocede tres visitas');
INSERT INTO `lang_definitions` VALUES (3601, 581, 3, 'Volver a la página de Administración');
INSERT INTO `lang_definitions` VALUES (3602, 584, 3, 'Volver al paciente');
INSERT INTO `lang_definitions` VALUES (3603, 585, 3, 'Volver a los usuarios');
INSERT INTO `lang_definitions` VALUES (3604, 586, 3, 'Volver a Vista');
INSERT INTO `lang_definitions` VALUES (3605, 587, 3, 'Retrocede doce visitas');
INSERT INTO `lang_definitions` VALUES (3606, 588, 3, 'Retrocede dos visitas');
INSERT INTO `lang_definitions` VALUES (3607, 590, 3, 'Backup');
INSERT INTO `lang_definitions` VALUES (3608, 591, 3, 'Se ha creado el fichero de backup. Ahora comenzará la descarga.');
INSERT INTO `lang_definitions` VALUES (3609, 593, 3, 'Backup creado correctamente');
INSERT INTO `lang_definitions` VALUES (3610, 594, 3, 'Cheque sin fondos');
INSERT INTO `lang_definitions` VALUES (3611, 595, 3, 'Mal crédito');
INSERT INTO `lang_definitions` VALUES (3612, 596, 3, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (3613, 597, 3, 'Bal');
INSERT INTO `lang_definitions` VALUES (3614, 598, 3, 'Balance');
INSERT INTO `lang_definitions` VALUES (3615, 599, 3, 'balance');
INSERT INTO `lang_definitions` VALUES (3616, 600, 3, 'Importe Balance');
INSERT INTO `lang_definitions` VALUES (3617, 601, 3, 'Balance a pagar');
INSERT INTO `lang_definitions` VALUES (3618, 603, 3, 'Recibo bancario');
INSERT INTO `lang_definitions` VALUES (3619, 607, 3, 'Base del quinto (5to) Metatarsiano');
INSERT INTO `lang_definitions` VALUES (3620, 608, 3, 'Base del quinto (5to) Metatarsiano:');
INSERT INTO `lang_definitions` VALUES (3621, 612, 3, 'Herramienta de Comunicación del Batch');
INSERT INTO `lang_definitions` VALUES (3622, 613, 3, 'Batch de entrada de pagos');
INSERT INTO `lang_definitions` VALUES (3623, 614, 3, 'Serie de Pagos');
INSERT INTO `lang_definitions` VALUES (3624, 615, 3, 'Iniciado proceso Batch; esto puede tardar unos minutos.');
INSERT INTO `lang_definitions` VALUES (3625, 616, 3, 'Resultados de la serie (Batch)');
INSERT INTO `lang_definitions` VALUES (3626, 617, 3, 'Comunicación en serie');
INSERT INTO `lang_definitions` VALUES (3627, 619, 3, 'porque no existe ese id.');
INSERT INTO `lang_definitions` VALUES (3628, 620, 3, 'Empezar');
INSERT INTO `lang_definitions` VALUES (3629, 621, 3, 'Fecha comienzo');
INSERT INTO `lang_definitions` VALUES (3630, 623, 3, 'Fecha de inicio de servicio aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (3631, 624, 3, 'Hora de inicio del día para los eventos del calendario');
INSERT INTO `lang_definitions` VALUES (3632, 626, 3, 'Eructo');
INSERT INTO `lang_definitions` VALUES (3633, 628, 3, 'Bengali');
INSERT INTO `lang_definitions` VALUES (3634, 630, 3, 'entre');
INSERT INTO `lang_definitions` VALUES (3635, 633, 3, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (3636, 634, 3, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (3637, 636, 3, 'Fecha factura:');
INSERT INTO `lang_definitions` VALUES (3638, 637, 3, 'Factura/Cobrar');
INSERT INTO `lang_definitions` VALUES (3639, 638, 3, 'Facturado');
INSERT INTO `lang_definitions` VALUES (3640, 640, 3, 'Facturación');
INSERT INTO `lang_definitions` VALUES (3641, 641, 3, 'Facturación (escritura opcional)');
INSERT INTO `lang_definitions` VALUES (3642, 642, 3, 'Atención facturación');
INSERT INTO `lang_definitions` VALUES (3643, 644, 3, 'Código de facturación para el Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (3644, 645, 3, 'Códigos de facturación');
INSERT INTO `lang_definitions` VALUES (3645, 646, 3, 'Datos de facturación');
INSERT INTO `lang_definitions` VALUES (3646, 647, 3, 'Departamento de Facturación');
INSERT INTO `lang_definitions` VALUES (3647, 648, 3, 'Centro de Facturación');
INSERT INTO `lang_definitions` VALUES (3648, 649, 3, 'Información facturación');
INSERT INTO `lang_definitions` VALUES (3649, 650, 3, 'Dirección facturación');
INSERT INTO `lang_definitions` VALUES (3650, 655, 3, 'Administrador de Facturación');
INSERT INTO `lang_definitions` VALUES (3651, 656, 3, 'Nota de facturación');
INSERT INTO `lang_definitions` VALUES (3652, 657, 3, 'Nota de facturación para ');
INSERT INTO `lang_definitions` VALUES (3653, 658, 3, 'Nota de facturación:');
INSERT INTO `lang_definitions` VALUES (3654, 659, 3, 'Resultados de la cola de la facturación:');
INSERT INTO `lang_definitions` VALUES (3655, 660, 3, 'Informe de Facturación');
INSERT INTO `lang_definitions` VALUES (3656, 661, 3, 'Estado de facturación');
INSERT INTO `lang_definitions` VALUES (3657, 662, 3, 'Estado de Facturación = No facturados');
INSERT INTO `lang_definitions` VALUES (3658, 663, 3, 'facturación para ');
INSERT INTO `lang_definitions` VALUES (3659, 665, 3, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (3660, 666, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (3661, 669, 3, 'Negro');
INSERT INTO `lang_definitions` VALUES (3662, 670, 3, 'Pulmón negro');
INSERT INTO `lang_definitions` VALUES (3663, 671, 3, 'Negro o Afroamericano');
INSERT INTO `lang_definitions` VALUES (3664, 672, 3, 'Cáncer de vejiga');
INSERT INTO `lang_definitions` VALUES (3665, 673, 3, 'Infecciones de vejiga');
INSERT INTO `lang_definitions` VALUES (3666, 674, 3, 'Formularios en Blanco');
INSERT INTO `lang_definitions` VALUES (3667, 675, 3, 'Problemas de sangrado');
INSERT INTO `lang_definitions` VALUES (3668, 676, 3, 'Puntos ciegos');
INSERT INTO `lang_definitions` VALUES (3669, 677, 3, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (3670, 678, 3, 'Atascado');
INSERT INTO `lang_definitions` VALUES (3671, 679, 3, 'Sangre');
INSERT INTO `lang_definitions` VALUES (3672, 680, 3, 'Presión Arterial');
INSERT INTO `lang_definitions` VALUES (3673, 681, 3, 'Presión arterial');
INSERT INTO `lang_definitions` VALUES (3674, 682, 3, 'Sangra por la nariz');
INSERT INTO `lang_definitions` VALUES (3675, 683, 3, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (3676, 684, 3, 'Las líneas azules en este reporte son informativas. Líneas negras muestran información existente. Líneas verdes muestran cambios aplicados correctamente. Líneas rojas indican errores o cambios que no fueron aplicados, y deben ser procesados manualmente. Reclamaciones actuales denegadas y pagos revertidos no se manejan automáticamente y aparecerán en rojo.');
INSERT INTO `lang_definitions` VALUES (3677, 685, 3, 'Visión borrosa');
INSERT INTO `lang_definitions` VALUES (3678, 686, 3, 'IMC');
INSERT INTO `lang_definitions` VALUES (3679, 687, 3, 'Estado del IMC');
INSERT INTO `lang_definitions` VALUES (3680, 689, 3, 'Región corporal');
INSERT INTO `lang_definitions` VALUES (3681, 690, 3, 'Área Corporal');
INSERT INTO `lang_definitions` VALUES (3682, 691, 3, 'Área corporal, si es aplicable');
INSERT INTO `lang_definitions` VALUES (3683, 692, 3, 'Sensibilidad en hueso:');
INSERT INTO `lang_definitions` VALUES (3684, 693, 3, 'Sensibilidad en hueso: Maléolo Tibial');
INSERT INTO `lang_definitions` VALUES (3685, 694, 3, 'Boleano');
INSERT INTO `lang_definitions` VALUES (3686, 696, 3, 'Infer.');
INSERT INTO `lang_definitions` VALUES (3687, 697, 3, 'Ambos Oídos');
INSERT INTO `lang_definitions` VALUES (3688, 698, 3, 'ambos oídos');
INSERT INTO `lang_definitions` VALUES (3689, 699, 3, 'inferior');
INSERT INTO `lang_definitions` VALUES (3690, 701, 3, 'CASILLA 10 A. relacionados con el Empleo ');
INSERT INTO `lang_definitions` VALUES (3691, 702, 3, 'CASILLA 10 B. Accidentes de tráfico ');
INSERT INTO `lang_definitions` VALUES (3692, 703, 3, 'CASILLA 10 C. Otros Accidentes ');
INSERT INTO `lang_definitions` VALUES (3693, 706, 3, 'CASILLA 15. Fecha de la misma o similar enfermedad (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (3694, 708, 3, 'CASILLA 16. Fecha de incapacidad a partir de (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3695, 709, 3, 'CASILLA 16. Fecha de incapacidad (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (3696, 710, 3, 'CASILLA 18. Fecha de inicio de hospitalización (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (3697, 711, 3, 'CASILLA 18. Fecha de inicio de hospitalización (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (3698, 712, 3, 'CASILLA 20. ¿Se utiliza Laboratorio externo?');
INSERT INTO `lang_definitions` VALUES (3699, 713, 3, 'CASILLA 22. Código del re-envío de Medicaid (CIE-9) ');
INSERT INTO `lang_definitions` VALUES (3700, 714, 3, 'CASILLA 23. Número de Autorización previa ');
INSERT INTO `lang_definitions` VALUES (3701, 715, 3, 'PA');
INSERT INTO `lang_definitions` VALUES (3702, 716, 3, 'PA Diastólica');
INSERT INTO `lang_definitions` VALUES (3703, 717, 3, 'PA Sistólica');
INSERT INTO `lang_definitions` VALUES (3704, 719, 3, 'Pad');
INSERT INTO `lang_definitions` VALUES (3705, 721, 3, 'Pas');
INSERT INTO `lang_definitions` VALUES (3706, 722, 3, 'Portugués brasileño');
INSERT INTO `lang_definitions` VALUES (3707, 723, 3, 'mama');
INSERT INTO `lang_definitions` VALUES (3708, 724, 3, 'Biopsia de mama');
INSERT INTO `lang_definitions` VALUES (3709, 725, 3, 'Secreción de la mama');
INSERT INTO `lang_definitions` VALUES (3710, 726, 3, 'Enfermedad de la mama');
INSERT INTO `lang_definitions` VALUES (3711, 727, 3, 'Revisión de mama');
INSERT INTO `lang_definitions` VALUES (3712, 728, 3, 'Masa en la mama');
INSERT INTO `lang_definitions` VALUES (3713, 730, 3, 'Sonidos respiratorios:');
INSERT INTO `lang_definitions` VALUES (3714, 732, 3, 'Huesos fracturados');
INSERT INTO `lang_definitions` VALUES (3715, 734, 3, 'Forma de bronquitis');
INSERT INTO `lang_definitions` VALUES (3716, 735, 3, 'Explorar');
INSERT INTO `lang_definitions` VALUES (3717, 736, 3, 'Explorar para Registro');
INSERT INTO `lang_definitions` VALUES (3718, 737, 3, 'Contusiones/Hematomas');
INSERT INTO `lang_definitions` VALUES (3719, 739, 3, 'Abultamiento derecho:');
INSERT INTO `lang_definitions` VALUES (3720, 741, 3, 'Ardor al orinar');
INSERT INTO `lang_definitions` VALUES (3721, 742, 3, 'Ardor Al Orinar');
INSERT INTO `lang_definitions` VALUES (3722, 744, 3, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (3723, 745, 3, 'pero todavía no procesado.');
INSERT INTO `lang_definitions` VALUES (3724, 746, 3, 'Glúteo');
INSERT INTO `lang_definitions` VALUES (3725, 747, 3, 'Gluteos + S.I.');
INSERT INTO `lang_definitions` VALUES (3726, 748, 3, 'por');
INSERT INTO `lang_definitions` VALUES (3727, 749, 3, 'Por');
INSERT INTO `lang_definitions` VALUES (3728, 750, 3, 'por boca');
INSERT INTO `lang_definitions` VALUES (3729, 751, 3, 'Por/Origen');
INSERT INTO `lang_definitions` VALUES (3730, 752, 3, 'Por:');
INSERT INTO `lang_definitions` VALUES (3731, 753, 3, 'C');
INSERT INTO `lang_definitions` VALUES (3732, 754, 3, 'Certificado de CA para verificar el RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (3733, 755, 3, 'Tiempo de Vida del Caché (en segundos)');
INSERT INTO `lang_definitions` VALUES (3734, 756, 3, '¿Plantilla de salida del caché?');
INSERT INTO `lang_definitions` VALUES (3735, 757, 3, 'Consumo de cafeína');
INSERT INTO `lang_definitions` VALUES (3736, 758, 3, 'Calendario');
INSERT INTO `lang_definitions` VALUES (3737, 759, 3, 'Fin Hora Calendario');
INSERT INTO `lang_definitions` VALUES (3738, 760, 3, 'Intervalo Calendario');
INSERT INTO `lang_definitions` VALUES (3739, 761, 3, 'Pantalla de calendario');
INSERT INTO `lang_definitions` VALUES (3740, 762, 3, 'Ajustes del calendario');
INSERT INTO `lang_definitions` VALUES (3741, 763, 3, 'Hora de inicio de calendario');
INSERT INTO `lang_definitions` VALUES (3742, 764, 3, 'Calendario UI');
INSERT INTO `lang_definitions` VALUES (3743, 765, 3, 'Vista de Calendario');
INSERT INTO `lang_definitions` VALUES (3744, 766, 3, 'Llamada para añadir Formulario () va aquí.<br>');
INSERT INTO `lang_definitions` VALUES (3745, 767, 3, 'Calorías');
INSERT INTO `lang_definitions` VALUES (3746, 768, 3, 'Camboyano');
INSERT INTO `lang_definitions` VALUES (3748, 774, 3, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (3749, 775, 3, 'Cancelar cambios');
INSERT INTO `lang_definitions` VALUES (3750, 776, 3, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (3751, 777, 3, 'Cáncer');
INSERT INTO `lang_definitions` VALUES (3752, 778, 3, 'Detección de Cancer: Detección Cancer de Colon');
INSERT INTO `lang_definitions` VALUES (3753, 779, 3, 'Detección de Cancer: Mamografía');
INSERT INTO `lang_definitions` VALUES (3754, 780, 3, 'Detección de Cancer: Prueba de Papanicolau');
INSERT INTO `lang_definitions` VALUES (3755, 781, 3, 'Detección de Cancer: Detección de Cancer de Próstata');
INSERT INTO `lang_definitions` VALUES (3756, 782, 3, 'No se puede agregar esta entrada, ¡porque ya existe!');
INSERT INTO `lang_definitions` VALUES (3757, 783, 3, '¡No se puede agregar/actualizar esta entrada porque ya existe un duplicado!');
INSERT INTO `lang_definitions` VALUES (3758, 785, 3, 'no puede convertirse a JPEG. ¿probablemente ImageMagick no está instalado?');
INSERT INTO `lang_definitions` VALUES (3759, 787, 3, 'no se puede mostrar en línea porque su tipo no está soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (3760, 788, 3, 'no se puede mostrar en línea porque su tipo no está soportado por el navegador');
INSERT INTO `lang_definitions` VALUES (3761, 789, 3, 'no se puede mostrar en línea porque su tipo no está soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (3762, 790, 3, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (3763, 795, 3, 'No se puede encontrar ');
INSERT INTO `lang_definitions` VALUES (3764, 796, 3, 'No se puede encontrar fichero de destino');
INSERT INTO `lang_definitions` VALUES (3765, 799, 3, 'No puede encontrar al paciente con ese ID de cliente en SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (3766, 800, 3, 'No se puede encontrar el documento de referencia de postscript en ');
INSERT INTO `lang_definitions` VALUES (3767, 801, 3, 'No puede encontrar al facultativo con SQL-Ledger empleado ');
INSERT INTO `lang_definitions` VALUES (3768, 802, 3, 'No puede modificar los pagos. La no-distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (3769, 803, 3, 'No se puede abrir ');
INSERT INTO `lang_definitions` VALUES (3770, 804, 3, 'No se puede enviar al seguro.La entidad pagadora seleccionada es el paciente.');
INSERT INTO `lang_definitions` VALUES (3771, 805, 3, 'No puede enviar al Paciente. La Entidad pagadora seleccionada es el seguro.');
INSERT INTO `lang_definitions` VALUES (3772, 806, 3, 'No puede enviar pagos. La distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (3773, 807, 3, 'No se puede leer');
INSERT INTO `lang_definitions` VALUES (3774, 808, 3, 'No se puede leer el directorio');
INSERT INTO `lang_definitions` VALUES (3775, 809, 3, '¡No se puede actualizar porque no está editando una entrada existente!.');
INSERT INTO `lang_definitions` VALUES (3776, 810, 3, 'Poner en Mayúsculas');
INSERT INTO `lang_definitions` VALUES (3777, 812, 3, 'cápsula');
INSERT INTO `lang_definitions` VALUES (3778, 813, 3, 'Tarjeta');
INSERT INTO `lang_definitions` VALUES (3779, 814, 3, 'Cateterismo Cardiaco');
INSERT INTO `lang_definitions` VALUES (3780, 815, 3, 'Ecocardiograma');
INSERT INTO `lang_definitions` VALUES (3781, 816, 3, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (3782, 821, 3, 'Daño de cartílago/ condral / disco articular.');
INSERT INTO `lang_definitions` VALUES (3783, 822, 3, 'Lesión de cartílago');
INSERT INTO `lang_definitions` VALUES (3784, 823, 3, 'Nl Pulsos Carotideos, pulsos pedios nl');
INSERT INTO `lang_definitions` VALUES (3785, 824, 3, 'efectivo');
INSERT INTO `lang_definitions` VALUES (3786, 825, 3, 'Efectivo');
INSERT INTO `lang_definitions` VALUES (3787, 826, 3, 'Entradas Efectivo');
INSERT INTO `lang_definitions` VALUES (3788, 827, 3, 'Entradas de efectivo por facultativo');
INSERT INTO `lang_definitions` VALUES (3789, 829, 3, 'Cirugía de cataratas');
INSERT INTO `lang_definitions` VALUES (3790, 830, 3, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (3791, 831, 3, 'Categorías');
INSERT INTO `lang_definitions` VALUES (3792, 832, 3, 'Categorías para');
INSERT INTO `lang_definitions` VALUES (3793, 833, 3, 'Categoría');
INSERT INTO `lang_definitions` VALUES (3794, 834, 3, 'categoría');
INSERT INTO `lang_definitions` VALUES (3795, 835, 3, 'Categoría ');
INSERT INTO `lang_definitions` VALUES (3796, 836, 3, 'Detalles de Categoría');
INSERT INTO `lang_definitions` VALUES (3797, 837, 3, 'Límites de Categoría');
INSERT INTO `lang_definitions` VALUES (3798, 838, 3, 'Nombre de Categoría');
INSERT INTO `lang_definitions` VALUES (3799, 839, 3, 'Nombre de la Categoria está vacío');
INSERT INTO `lang_definitions` VALUES (3800, 840, 3, 'Categoría/Título');
INSERT INTO `lang_definitions` VALUES (3801, 841, 3, 'Caucásico');
INSERT INTO `lang_definitions` VALUES (3802, 842, 3, 'Imprime la receta de la visita con la información del proveedor primario');
INSERT INTO `lang_definitions` VALUES (3803, 850, 3, 'CDR');
INSERT INTO `lang_definitions` VALUES (3804, 852, 3, 'Celda');
INSERT INTO `lang_definitions` VALUES (3805, 853, 3, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (3806, 855, 3, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (3807, 856, 3, 'Certificación central');
INSERT INTO `lang_definitions` VALUES (3808, 857, 3, 'Centroamericano/Sudamericano');
INSERT INTO `lang_definitions` VALUES (3809, 858, 3, 'La localización del fichero de Certificado de Autoridad crt no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (3810, 859, 3, 'La localizacion de la clave del fichero del Certificado de Autoridad no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (3811, 860, 3, 'Certificado para enviar a la RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (3812, 861, 3, 'Usuario del Certificado');
INSERT INTO `lang_definitions` VALUES (3813, 862, 3, 'Certificados');
INSERT INTO `lang_definitions` VALUES (3814, 864, 3, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (3815, 865, 3, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (3816, 866, 3, 'cambiar');
INSERT INTO `lang_definitions` VALUES (3817, 867, 3, 'Cambio');
INSERT INTO `lang_definitions` VALUES (3818, 868, 3, 'Cambia actividad');
INSERT INTO `lang_definitions` VALUES (3819, 870, 3, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (3820, 871, 3, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (3821, 874, 3, 'Cambiado');
INSERT INTO `lang_definitions` VALUES (3822, 875, 3, 'Intestino Cambiado');
INSERT INTO `lang_definitions` VALUES (3823, 877, 3, 'Características');
INSERT INTO `lang_definitions` VALUES (3824, 878, 3, 'Caracteres Restantes');
INSERT INTO `lang_definitions` VALUES (3825, 879, 3, 'Cargo');
INSERT INTO `lang_definitions` VALUES (3826, 880, 3, 'Ajuste del cargo');
INSERT INTO `lang_definitions` VALUES (3827, 881, 3, 'Cobro codificado');
INSERT INTO `lang_definitions` VALUES (3828, 882, 3, 'Cargos');
INSERT INTO `lang_definitions` VALUES (3829, 883, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (3830, 884, 3, 'Gráfico de Actividad');
INSERT INTO `lang_definitions` VALUES (3831, 885, 3, 'Informe de Actividad - Entradas/Salidas de gráficos');
INSERT INTO `lang_definitions` VALUES (3832, 886, 3, 'Nº Identificación de gráfico');
INSERT INTO `lang_definitions` VALUES (3833, 887, 3, 'Nº Identificación de gráfico:');
INSERT INTO `lang_definitions` VALUES (3834, 889, 3, 'Actividad de Localización de Gráficos');
INSERT INTO `lang_definitions` VALUES (3835, 890, 3, 'Nota en el gráfico');
INSERT INTO `lang_definitions` VALUES (3836, 891, 3, 'Número de gráfico');
INSERT INTO `lang_definitions` VALUES (3837, 892, 3, 'Gráfico de Localizaciones archivadas');
INSERT INTO `lang_definitions` VALUES (3838, 893, 3, 'Gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (3839, 894, 3, 'Gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (3840, 895, 3, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (3841, 896, 3, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (3842, 898, 3, 'Comprobar');
INSERT INTO `lang_definitions` VALUES (3843, 899, 3, 'comprobar');
INSERT INTO `lang_definitions` VALUES (3844, 900, 3, 'Comprobar todo');
INSERT INTO `lang_definitions` VALUES (3845, 902, 3, 'Importe del cheque');
INSERT INTO `lang_definitions` VALUES (3846, 903, 3, 'Fecha del cheque');
INSERT INTO `lang_definitions` VALUES (3847, 904, 3, 'Comprobar diferencias entre las traducciones con Tabla del Idioma Personalizada');
INSERT INTO `lang_definitions` VALUES (3848, 906, 3, 'Llegue a');
INSERT INTO `lang_definitions` VALUES (3849, 907, 3, 'Comprobar Fecha Entrada');
INSERT INTO `lang_definitions` VALUES (3850, 909, 3, 'Revisar los Resultados de Laboratorio');
INSERT INTO `lang_definitions` VALUES (3851, 912, 3, 'Número de cheque');
INSERT INTO `lang_definitions` VALUES (3852, 915, 3, 'Pago por Cheque');
INSERT INTO `lang_definitions` VALUES (3853, 916, 3, 'Marque la casilla si es un fichero encriptado');
INSERT INTO `lang_definitions` VALUES (3854, 917, 3, 'Selecciona ésto si quiere que los facultativos vean todas las citas por defecto y no sólo las suyas.');
INSERT INTO `lang_definitions` VALUES (3855, 919, 3, 'Comprobar Fecha/EOB:');
INSERT INTO `lang_definitions` VALUES (3856, 920, 3, 'Comprobar Número EOB.:');
INSERT INTO `lang_definitions` VALUES (3857, 921, 3, 'Comprobar/Número de Referencia');
INSERT INTO `lang_definitions` VALUES (3858, 922, 3, 'Comprobar/Número de referencia');
INSERT INTO `lang_definitions` VALUES (3859, 923, 3, 'Lista de casillas');
INSERT INTO `lang_definitions` VALUES (3860, 924, 3, 'Lista de casillas');
INSERT INTO `lang_definitions` VALUES (3861, 925, 3, 'Casilla con Texto');
INSERT INTO `lang_definitions` VALUES (3862, 926, 3, 'Casilla con texto');
INSERT INTO `lang_definitions` VALUES (3863, 928, 3, 'Comprobado');
INSERT INTO `lang_definitions` VALUES (3864, 929, 3, 'Casilla marcada = sí, vacía = no');
INSERT INTO `lang_definitions` VALUES (3865, 932, 3, 'Comprobación');
INSERT INTO `lang_definitions` VALUES (3866, 933, 3, 'Sumatorio');
INSERT INTO `lang_definitions` VALUES (3867, 934, 3, 'Pecho');
INSERT INTO `lang_definitions` VALUES (3868, 935, 3, 'Pecho CTAB');
INSERT INTO `lang_definitions` VALUES (3869, 936, 3, 'Dolor de Pecho');
INSERT INTO `lang_definitions` VALUES (3870, 937, 3, 'Dolor de Pecho:');
INSERT INTO `lang_definitions` VALUES (3871, 938, 3, 'Dolores de Pecho');
INSERT INTO `lang_definitions` VALUES (3872, 940, 3, 'Var');
INSERT INTO `lang_definitions` VALUES (3873, 942, 3, 'Síntoma Principal');
INSERT INTO `lang_definitions` VALUES (3874, 943, 3, 'Niño');
INSERT INTO `lang_definitions` VALUES (3875, 945, 3, 'Estado de vacunación de la niñez (GCC)');
INSERT INTO `lang_definitions` VALUES (3876, 946, 3, 'Escalofríos');
INSERT INTO `lang_definitions` VALUES (3877, 947, 3, 'Chino');
INSERT INTO `lang_definitions` VALUES (3878, 948, 3, 'Chino (simplificado)');
INSERT INTO `lang_definitions` VALUES (3879, 949, 3, 'Chino (tradicional)');
INSERT INTO `lang_definitions` VALUES (3880, 951, 3, 'Opciones');
INSERT INTO `lang_definitions` VALUES (3881, 952, 3, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (3882, 954, 3, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (3883, 955, 3, 'Elegir');
INSERT INTO `lang_definitions` VALUES (3884, 956, 3, 'Elija una sección y haga click en un elemento dentro de ella; luego, en la otra sección, verá remarcados los elementos relacionados, puede hacer click en esa sección para añadir y borrar relaciones.');
INSERT INTO `lang_definitions` VALUES (3885, 957, 3, 'Criterios de selección');
INSERT INTO `lang_definitions` VALUES (3886, 962, 3, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (3887, 965, 3, 'Seleccione formato de impresión para este informe de visitas.');
INSERT INTO `lang_definitions` VALUES (3888, 967, 3, 'Bronquitis Crónica');
INSERT INTO `lang_definitions` VALUES (3889, 968, 3, 'Dolor crónico de articulaciones');
INSERT INTO `lang_definitions` VALUES (3890, 969, 3, 'Enfermedad Renal Crónica (ERC)');
INSERT INTO `lang_definitions` VALUES (3891, 970, 3, 'Sinovitis crónica/derrame/dolor articular/gota');
INSERT INTO `lang_definitions` VALUES (3892, 971, 3, 'Crónico/Recurrente');
INSERT INTO `lang_definitions` VALUES (3893, 973, 3, 'Cirrosis de hígado');
INSERT INTO `lang_definitions` VALUES (3894, 974, 3, 'Cirrosis del Hígado');
INSERT INTO `lang_definitions` VALUES (3895, 975, 3, 'Ciudad');
INSERT INTO `lang_definitions` VALUES (3896, 976, 3, 'Nombre de Ciudad');
INSERT INTO `lang_definitions` VALUES (3897, 977, 3, 'Ciudad, Provincia');
INSERT INTO `lang_definitions` VALUES (3898, 978, 3, 'Ciudad, Código Postal');
INSERT INTO `lang_definitions` VALUES (3899, 979, 3, 'Ciudad/Provincia');
INSERT INTO `lang_definitions` VALUES (3900, 980, 3, 'Reclamación');
INSERT INTO `lang_definitions` VALUES (3901, 981, 3, 'Reclamación ');
INSERT INTO `lang_definitions` VALUES (3902, 983, 3, 'Prueba de Reclamación ha terminado');
INSERT INTO `lang_definitions` VALUES (3903, 984, 3, 'Tipo de Reclamación');
INSERT INTO `lang_definitions` VALUES (3904, 985, 3, 'Reclamación generada para presentar');
INSERT INTO `lang_definitions` VALUES (3905, 986, 3, 'La Reclamación se ha guardado en el fichero ');
INSERT INTO `lang_definitions` VALUES (3906, 987, 3, 'Reclamaciones');
INSERT INTO `lang_definitions` VALUES (3907, 988, 3, 'Clasificación');
INSERT INTO `lang_definitions` VALUES (3908, 989, 3, 'Limpiar');
INSERT INTO `lang_definitions` VALUES (3909, 991, 3, 'Limpiar todos');
INSERT INTO `lang_definitions` VALUES (3910, 992, 3, 'Limpiar Datos HL7');
INSERT INTO `lang_definitions` VALUES (3911, 993, 3, 'Limpiar Justificación');
INSERT INTO `lang_definitions` VALUES (3912, 994, 3, 'Vaciar Cache Smarty');
INSERT INTO `lang_definitions` VALUES (3913, 995, 3, 'Información requerida por la Cámara de compensación en la creación del Batch EDI 270');
INSERT INTO `lang_definitions` VALUES (3914, 996, 3, 'Número CLIA');
INSERT INTO `lang_definitions` VALUES (3915, 997, 3, 'Click');
INSERT INTO `lang_definitions` VALUES (3916, 998, 3, 'Click \'export\' para exportar su Categoría, Subcategoría, Item o Datos contenidos a un fichero de texto. Cualquier similitud de este fichero con un fichero tipo XML es pura coincidencia. Las etiquetas de abrir y cerrar deben estar en la misma línea y deben ser minúsculas sin espacios. Para importar, localize el fichero y click \'Importar\'. Si los datos son completamente diferentes se unen a los datos existentes. Si hay datos con nombres similares, el nombre más antiguo se mantiene mientras que al nuevo se le agrega un número al final.');
INSERT INTO `lang_definitions` VALUES (3917, 999, 3, 'Click en el gráfico para nueva anotacion, click de nuevo para eliminarla.');
INSERT INTO `lang_definitions` VALUES (3918, 1000, 3, 'Click descargar Certificado para descargar los certificados en el fichero ssl.zip');
INSERT INTO `lang_definitions` VALUES (3919, 1001, 3, 'Click para más');
INSERT INTO `lang_definitions` VALUES (3920, 1005, 3, 'Click aquí');
INSERT INTO `lang_definitions` VALUES (3921, 1006, 3, 'Click aquí para añadir un nuevo paciente.');
INSERT INTO `lang_definitions` VALUES (3922, 1007, 3, 'Click aqui para añadir un nuevo cambio de estado de la lesion y editar la actividad diaria.');
INSERT INTO `lang_definitions` VALUES (3923, 1008, 3, 'Click aquí para elegir una fecha');
INSERT INTO `lang_definitions` VALUES (3924, 1009, 3, 'Click aquí para elegir una fecha y hora');
INSERT INTO `lang_definitions` VALUES (3925, 1010, 3, 'Click aquí para elegir una fecha de inicio');
INSERT INTO `lang_definitions` VALUES (3926, 1020, 3, 'Click aquí para buscar');
INSERT INTO `lang_definitions` VALUES (3927, 1021, 3, 'Click aquí para actualizar configuración de prioridad, categoría y apodos');
INSERT INTO `lang_definitions` VALUES (3928, 1022, 3, 'Click aquí para ver todo.');
INSERT INTO `lang_definitions` VALUES (3929, 1023, 3, 'Click aqui para vista y gráficos');
INSERT INTO `lang_definitions` VALUES (3930, 1025, 3, 'Click aquí para vista y grafico de todas las constantes vitales.');
INSERT INTO `lang_definitions` VALUES (3931, 1026, 3, 'Click aquí para ver los detalles del paciente');
INSERT INTO `lang_definitions` VALUES (3932, 1027, 3, 'Click aquí para ver todos.');
INSERT INTO `lang_definitions` VALUES (3933, 1029, 3, 'Click botón Instalar para instalar la versión de la base de datos desde la siguiente fecha');
INSERT INTO `lang_definitions` VALUES (3934, 1030, 3, 'Click aquí para aumentar los intervalos de tiempo');
INSERT INTO `lang_definitions` VALUES (3935, 1031, 3, 'Click en Nombre Paciente para abrir el fichero del paciente');
INSERT INTO `lang_definitions` VALUES (3936, 1032, 3, 'Click Refrescar para ver todos los resultados o introduzca un criterio de búsqueda arriba para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (3937, 1034, 3, 'Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (3938, 1035, 3, 'Click para agregar nueva consulta');
INSERT INTO `lang_definitions` VALUES (3939, 1037, 3, 'Click para descargar');
INSERT INTO `lang_definitions` VALUES (3940, 1038, 3, 'Click para editar');
INSERT INTO `lang_definitions` VALUES (3941, 1040, 3, 'Click para editar este evento');
INSERT INTO `lang_definitions` VALUES (3942, 1041, 3, 'Click para generar el informe');
INSERT INTO `lang_definitions` VALUES (3943, 1043, 3, 'Click para imprimir');
INSERT INTO `lang_definitions` VALUES (3944, 1044, 3, 'Click para recibir (añadir) nuevo lote');
INSERT INTO `lang_definitions` VALUES (3945, 1045, 3, 'Click para seleccionar');
INSERT INTO `lang_definitions` VALUES (3946, 1046, 3, 'Click Para Seleccionar');
INSERT INTO `lang_definitions` VALUES (3947, 1047, 3, 'Click para seleccionar un código estándar industrial para este procedimiento');
INSERT INTO `lang_definitions` VALUES (3948, 1048, 3, 'Click para seleccionar el codigo de procedimiento opcional');
INSERT INTO `lang_definitions` VALUES (3949, 1050, 3, 'Click para seleccionar o cambiar código CVX');
INSERT INTO `lang_definitions` VALUES (3950, 1051, 3, 'Click para seleccionar o cambiar diagnósticos');
INSERT INTO `lang_definitions` VALUES (3951, 1052, 3, 'Click para seleccionar o cambiar códigos de servicios');
INSERT INTO `lang_definitions` VALUES (3952, 1053, 3, 'Click para seleccionar el paciente');
INSERT INTO `lang_definitions` VALUES (3953, 1054, 3, 'Click para seleccionar un código relacionado');
INSERT INTO `lang_definitions` VALUES (3954, 1055, 3, 'Click para seleccionar servicios a realizar si este resultado es anormal');
INSERT INTO `lang_definitions` VALUES (3955, 1056, 3, 'Click para seleccionar el procedimiento deseado');
INSERT INTO `lang_definitions` VALUES (3956, 1058, 3, 'Click para ver');
INSERT INTO `lang_definitions` VALUES (3957, 1059, 3, 'Click para ver o editar');
INSERT INTO `lang_definitions` VALUES (3958, 1060, 3, 'Click para ver/editar');
INSERT INTO `lang_definitions` VALUES (3959, 1061, 3, 'Click botón Actualizar para actualizar la versión de la base de datos desde la fecha siguiente');
INSERT INTO `lang_definitions` VALUES (3960, 1063, 3, 'Click:');
INSERT INTO `lang_definitions` VALUES (3961, 1064, 3, 'Días para Vencimiento del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (3962, 1065, 3, 'Periodo de validación del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (3963, 1066, 3, 'El certificado de validación del cliente debe ser un número válido');
INSERT INTO `lang_definitions` VALUES (3964, 1067, 3, 'Copia para el cliente');
INSERT INTO `lang_definitions` VALUES (3965, 1069, 3, 'Resumen de historia clínica del cliente');
INSERT INTO `lang_definitions` VALUES (3966, 1072, 3, 'Perfil de cliente - Nuevos Clientes');
INSERT INTO `lang_definitions` VALUES (3967, 1073, 3, 'Perfil de cliente - Clientes Únicos');
INSERT INTO `lang_definitions` VALUES (3968, 1074, 3, 'Clientes');
INSERT INTO `lang_definitions` VALUES (3969, 1075, 3, 'Clínica');
INSERT INTO `lang_definitions` VALUES (3970, 1076, 3, 'Copia para la Clínica');
INSERT INTO `lang_definitions` VALUES (3971, 1077, 3, 'Registro Diario de la Clínica');
INSERT INTO `lang_definitions` VALUES (3972, 1078, 3, 'Nº Identificación de Clínica');
INSERT INTO `lang_definitions` VALUES (3973, 1079, 3, 'Clínico');
INSERT INTO `lang_definitions` VALUES (3974, 1080, 3, 'Gestor de Alertas para las Reglas de Decisión Clinicas');
INSERT INTO `lang_definitions` VALUES (3975, 1083, 3, 'Planes Clínicos');
INSERT INTO `lang_definitions` VALUES (3976, 1084, 3, 'Medidas de Calidad Clínica (GCC)');
INSERT INTO `lang_definitions` VALUES (3977, 1087, 3, 'Recordatorios Clínicos');
INSERT INTO `lang_definitions` VALUES (3978, 1088, 3, 'Reportes Clínicos');
INSERT INTO `lang_definitions` VALUES (3979, 1089, 3, 'Reglas Clínicas para Categoría de Acción');
INSERT INTO `lang_definitions` VALUES (3980, 1090, 3, 'Reglas Clínicas para Asunto de Acción');
INSERT INTO `lang_definitions` VALUES (3981, 1091, 3, 'Reglas Clínicas para Métodos de filtro');
INSERT INTO `lang_definitions` VALUES (3982, 1092, 3, 'Reglas Clínicas para Objetivo de Métodos');
INSERT INTO `lang_definitions` VALUES (3983, 1093, 3, 'Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (3984, 1094, 3, 'Reglas Clínicas para Intervalos de Edad');
INSERT INTO `lang_definitions` VALUES (3985, 1095, 3, 'Reglas Clínicas de Comparación');
INSERT INTO `lang_definitions` VALUES (3986, 1096, 3, 'Reglas Clínicas de Tipos de Visitas');
INSERT INTO `lang_definitions` VALUES (3987, 1097, 3, 'Reglas Clínicas de opciones de Vencimientos de Recordatorios');
INSERT INTO `lang_definitions` VALUES (3988, 1098, 3, 'Reglas Clínicas de opciones de Desactivación de Recordatorios');
INSERT INTO `lang_definitions` VALUES (3989, 1099, 3, 'Reglas Clínicas de intervalos de recordatorios');
INSERT INTO `lang_definitions` VALUES (3990, 1100, 3, 'Reglas Clínicas de Métodos de Recordatorios');
INSERT INTO `lang_definitions` VALUES (3991, 1101, 3, 'Reglas Clínicas de Intervalos de Destino');
INSERT INTO `lang_definitions` VALUES (3992, 1102, 3, 'Destinos Clínicos');
INSERT INTO `lang_definitions` VALUES (3993, 1106, 3, 'Médicos');
INSERT INTO `lang_definitions` VALUES (3994, 1107, 3, 'Clonar');
INSERT INTO `lang_definitions` VALUES (3995, 1108, 3, 'Clonar Visita Anterior');
INSERT INTO `lang_definitions` VALUES (3996, 1109, 3, 'Cerrar');
INSERT INTO `lang_definitions` VALUES (3997, 1111, 3, 'cerrar ventana');
INSERT INTO `lang_definitions` VALUES (3998, 1112, 3, 'Cerrado');
INSERT INTO `lang_definitions` VALUES (3999, 1113, 3, 'cm');
INSERT INTO `lang_definitions` VALUES (4000, 1114, 3, 'Margenes del formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (4001, 1118, 3, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (4002, 1127, 3, 'NC 2-12 Intacto');
INSERT INTO `lang_definitions` VALUES (4003, 1128, 3, 'Copago');
INSERT INTO `lang_definitions` VALUES (4004, 1129, 3, 'Copago pagado');
INSERT INTO `lang_definitions` VALUES (4005, 1130, 3, 'Copago');
INSERT INTO `lang_definitions` VALUES (4006, 1131, 3, 'Código');
INSERT INTO `lang_definitions` VALUES (4007, 1132, 3, 'código');
INSERT INTO `lang_definitions` VALUES (4008, 1133, 3, 'Buscador de Código');
INSERT INTO `lang_definitions` VALUES (4009, 1134, 3, 'Código debe ser dos letras en minúscula');
INSERT INTO `lang_definitions` VALUES (4010, 1135, 3, 'Código o símbolo para indicar moneda');
INSERT INTO `lang_definitions` VALUES (4011, 1136, 3, 'Código de Texto');
INSERT INTO `lang_definitions` VALUES (4012, 1138, 3, 'tipo de código');
INSERT INTO `lang_definitions` VALUES (4013, 1141, 3, 'Típos de Código');
INSERT INTO `lang_definitions` VALUES (4014, 1143, 3, 'Codificado');
INSERT INTO `lang_definitions` VALUES (4015, 1144, 3, 'Códigos');
INSERT INTO `lang_definitions` VALUES (4016, 1145, 3, 'Codificando');
INSERT INTO `lang_definitions` VALUES (4017, 1147, 3, 'Codificación - cualquier visita(escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (4018, 1148, 3, 'Codificación - mis visitas(escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (4019, 1149, 3, 'Codificación no autorizada');
INSERT INTO `lang_definitions` VALUES (4020, 1150, 3, 'Café');
INSERT INTO `lang_definitions` VALUES (4021, 1152, 3, 'Coseguro');
INSERT INTO `lang_definitions` VALUES (4022, 1153, 3, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (4023, 1154, 3, 'Contraer');
INSERT INTO `lang_definitions` VALUES (4024, 1155, 3, 'contraer');
INSERT INTO `lang_definitions` VALUES (4025, 1156, 3, 'Contraer Todo');
INSERT INTO `lang_definitions` VALUES (4026, 1157, 3, 'Contraer todo');
INSERT INTO `lang_definitions` VALUES (4027, 1158, 3, 'contraer todo');
INSERT INTO `lang_definitions` VALUES (4028, 1160, 3, 'Fecha de recolecciòn');
INSERT INTO `lang_definitions` VALUES (4029, 1161, 3, 'Recobro');
INSERT INTO `lang_definitions` VALUES (4030, 1162, 3, 'Informe de Recobro');
INSERT INTO `lang_definitions` VALUES (4031, 1163, 3, 'Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (4032, 1164, 3, 'Detección de Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (4033, 1165, 3, 'Cirugía de Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (4034, 1166, 3, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (4035, 1167, 3, 'colonoscopía');
INSERT INTO `lang_definitions` VALUES (4036, 1168, 3, 'Color');
INSERT INTO `lang_definitions` VALUES (4037, 1169, 3, 'Abreviatura de color');
INSERT INTO `lang_definitions` VALUES (4038, 1170, 3, 'Colunma');
INSERT INTO `lang_definitions` VALUES (4039, 1171, 3, 'Columnas');
INSERT INTO `lang_definitions` VALUES (4040, 1172, 3, 'Combinando Lotes');
INSERT INTO `lang_definitions` VALUES (4041, 1173, 3, 'Coma');
INSERT INTO `lang_definitions` VALUES (4042, 1174, 3, 'Comentario');
INSERT INTO `lang_definitions` VALUES (4043, 1175, 3, 'Comentarios');
INSERT INTO `lang_definitions` VALUES (4044, 1176, 3, 'Comentarios para este resultado o recomendación');
INSERT INTO `lang_definitions` VALUES (4045, 1177, 3, 'Sociedad Comercial de Seguros');
INSERT INTO `lang_definitions` VALUES (4046, 1178, 3, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (4047, 1180, 3, 'Comunicaciones');
INSERT INTO `lang_definitions` VALUES (4048, 1182, 3, 'Compañía');
INSERT INTO `lang_definitions` VALUES (4049, 1183, 3, 'Nombre Empresa');
INSERT INTO `lang_definitions` VALUES (4050, 1184, 3, 'Completo');
INSERT INTO `lang_definitions` VALUES (4051, 1186, 3, 'Terminado');
INSERT INTO `lang_definitions` VALUES (4052, 1188, 3, 'Terminado?');
INSERT INTO `lang_definitions` VALUES (4053, 1190, 3, 'Conplicaciones por el proveedor de servicios');
INSERT INTO `lang_definitions` VALUES (4054, 1191, 3, 'Complicaciones de aborto');
INSERT INTO `lang_definitions` VALUES (4055, 1192, 3, 'Componentes');
INSERT INTO `lang_definitions` VALUES (4056, 1193, 3, 'Sistema Computarizado de Pedidos Médicos');
INSERT INTO `lang_definitions` VALUES (4057, 1194, 3, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (4058, 1198, 3, 'Config');
INSERT INTO `lang_definitions` VALUES (4059, 1199, 3, 'Configuración');
INSERT INTO `lang_definitions` VALUES (4060, 1200, 3, 'Configuración Exportar/Importar');
INSERT INTO `lang_definitions` VALUES (4061, 1202, 3, 'Configure Apache y LibreEHR para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4062, 1203, 3, 'Configure Apache para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4063, 1204, 3, 'Configure Apache para usar HTTPS');
INSERT INTO `lang_definitions` VALUES (4064, 1205, 3, 'Configure LIBREEHR para usar certificado SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4065, 1208, 3, 'Confirma Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (4066, 1209, 3, 'Confirmar Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (4067, 1210, 3, 'Confirmar Pago');
INSERT INTO `lang_definitions` VALUES (4068, 1214, 3, 'Congénito');
INSERT INTO `lang_definitions` VALUES (4069, 1215, 3, 'Conjuntiva, pupilas');
INSERT INTO `lang_definitions` VALUES (4070, 1217, 3, 'Conectores');
INSERT INTO `lang_definitions` VALUES (4071, 1218, 3, 'Constante');
INSERT INTO `lang_definitions` VALUES (4072, 1219, 3, 'Nombre constante');
INSERT INTO `lang_definitions` VALUES (4073, 1220, 3, 'Nombre constante está en blanco');
INSERT INTO `lang_definitions` VALUES (4074, 1221, 3, 'constantes');
INSERT INTO `lang_definitions` VALUES (4075, 1222, 3, 'Estreñimiento');
INSERT INTO `lang_definitions` VALUES (4076, 1223, 3, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (4077, 1226, 3, 'Breve Descripción de Consulta');
INSERT INTO `lang_definitions` VALUES (4078, 1227, 3, 'Contacto');
INSERT INTO `lang_definitions` VALUES (4079, 1228, 3, 'email del contacto');
INSERT INTO `lang_definitions` VALUES (4080, 1229, 3, 'email de contacto');
INSERT INTO `lang_definitions` VALUES (4081, 1231, 3, 'Informacion de contacto');
INSERT INTO `lang_definitions` VALUES (4082, 1232, 3, 'Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (4083, 1236, 3, 'Nombre del contacto');
INSERT INTO `lang_definitions` VALUES (4084, 1237, 3, 'Persona de Contacto');
INSERT INTO `lang_definitions` VALUES (4085, 1239, 3, 'Número de Teléfono de Contacto');
INSERT INTO `lang_definitions` VALUES (4086, 1240, 3, 'Contactar ZMG, LLC (zmghealth@gmail.com) para suscribir el servicio de receta electrónica');
INSERT INTO `lang_definitions` VALUES (4087, 1241, 3, 'contiene por lo menos tres de las cuatro cosas siguientes:');
INSERT INTO `lang_definitions` VALUES (4088, 1243, 3, 'Contenido');
INSERT INTO `lang_definitions` VALUES (4089, 1244, 3, 'contenido');
INSERT INTO `lang_definitions` VALUES (4090, 1245, 3, 'Contexto');
INSERT INTO `lang_definitions` VALUES (4091, 1246, 3, 'El nombre de contexto no puede estar vacío');
INSERT INTO `lang_definitions` VALUES (4092, 1247, 3, 'Continuar');
INSERT INTO `lang_definitions` VALUES (4093, 1248, 3, 'Continuidad del Documento de Atención (CCD)');
INSERT INTO `lang_definitions` VALUES (4094, 1249, 3, 'Continuidad del registro de cuidados (CCR)');
INSERT INTO `lang_definitions` VALUES (4095, 1250, 3, 'Contra Clientes');
INSERT INTO `lang_definitions` VALUES (4096, 1251, 3, 'Contracepción');
INSERT INTO `lang_definitions` VALUES (4097, 1252, 3, 'Incidencias de Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4098, 1253, 3, 'Complicación anticonceptivos (especificar)');
INSERT INTO `lang_definitions` VALUES (4099, 1254, 3, 'Método Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (4100, 1255, 3, 'Productos Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4101, 1256, 3, 'Servicios anticonceptivos ya empezados');
INSERT INTO `lang_definitions` VALUES (4102, 1257, 3, 'Comienzo de anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4103, 1258, 3, 'Nº Identificación de control');
INSERT INTO `lang_definitions` VALUES (4104, 1259, 3, 'N º de control');
INSERT INTO `lang_definitions` VALUES (4105, 1261, 3, 'COPAGO');
INSERT INTO `lang_definitions` VALUES (4106, 1262, 3, 'Co-pago');
INSERT INTO `lang_definitions` VALUES (4107, 1263, 3, 'Co-Pago');
INSERT INTO `lang_definitions` VALUES (4108, 1264, 3, 'El Co-pago no es positivo');
INSERT INTO `lang_definitions` VALUES (4109, 1266, 3, 'Co-pagos');
INSERT INTO `lang_definitions` VALUES (4110, 1267, 3, 'COPD');
INSERT INTO `lang_definitions` VALUES (4111, 1268, 3, 'Copiar páginas a la Historia del Paciente');
INSERT INTO `lang_definitions` VALUES (4112, 1269, 3, 'Copiar Valores');
INSERT INTO `lang_definitions` VALUES (4113, 1270, 3, 'Copiando base de datos. Puede tardar algún tiempo');
INSERT INTO `lang_definitions` VALUES (4114, 1271, 3, 'Aviso de Derechos Reservados');
INSERT INTO `lang_definitions` VALUES (4115, 1273, 3, 'Bypass coronario arterial');
INSERT INTO `lang_definitions` VALUES (4116, 1274, 3, 'Cirugía de revascularización coronaria');
INSERT INTO `lang_definitions` VALUES (4117, 1275, 3, 'Corregido');
INSERT INTO `lang_definitions` VALUES (4118, 1277, 3, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (4119, 1278, 3, 'Conexión a CouchDB fallida.');
INSERT INTO `lang_definitions` VALUES (4120, 1279, 3, 'bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (4121, 1280, 3, 'Nombre de bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (4122, 1281, 3, 'Host CouchDB');
INSERT INTO `lang_definitions` VALUES (4123, 1282, 3, 'Nombre Host CouchDB');
INSERT INTO `lang_definitions` VALUES (4124, 1283, 3, 'Activar Log CouchDB');
INSERT INTO `lang_definitions` VALUES (4125, 1284, 3, 'Contraseña CouchDB');
INSERT INTO `lang_definitions` VALUES (4126, 1285, 3, 'Puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (4127, 1286, 3, 'puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (4128, 1288, 3, 'Nombre usuario CouchDB');
INSERT INTO `lang_definitions` VALUES (4129, 1289, 3, 'Tos');
INSERT INTO `lang_definitions` VALUES (4130, 1290, 3, 'Tos:');
INSERT INTO `lang_definitions` VALUES (4131, 1294, 3, 'No se pudo leer el fichero');
INSERT INTO `lang_definitions` VALUES (4132, 1296, 3, 'email no enviado por problema en el servidor, ');
INSERT INTO `lang_definitions` VALUES (4133, 1297, 3, 'No se pudo enviar email debido a problemas en el servidor. ');
INSERT INTO `lang_definitions` VALUES (4134, 1298, 3, 'No se pudo crear el dir de backup:');
INSERT INTO `lang_definitions` VALUES (4135, 1299, 3, 'No se pudo eliminar dir:');
INSERT INTO `lang_definitions` VALUES (4136, 1300, 3, 'No se pudo eliminar el antiguo fichero de Backup:');
INSERT INTO `lang_definitions` VALUES (4137, 1301, 3, 'No se pudo eliminar el antiguo fichero de exportación:');
INSERT INTO `lang_definitions` VALUES (4138, 1302, 3, 'Tratamiento con Coumadin - Seguimiento del Ratio Internacional Normalizado (RIN)');
INSERT INTO `lang_definitions` VALUES (4139, 1303, 3, 'Counseling por Método');
INSERT INTO `lang_definitions` VALUES (4140, 1304, 3, 'Orientación');
INSERT INTO `lang_definitions` VALUES (4141, 1305, 3, 'Actividades de orientación');
INSERT INTO `lang_definitions` VALUES (4142, 1306, 3, 'FORMULARIO CONTADOR DE DERIVACIONES');
INSERT INTO `lang_definitions` VALUES (4143, 1307, 3, 'Contador-Derivación');
INSERT INTO `lang_definitions` VALUES (4144, 1308, 3, 'País');
INSERT INTO `lang_definitions` VALUES (4145, 1309, 3, 'Tipo de datos País');
INSERT INTO `lang_definitions` VALUES (4146, 1310, 3, 'Lista de País');
INSERT INTO `lang_definitions` VALUES (4147, 1311, 3, 'Lista del país (escriba, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (4148, 1312, 3, 'Nombre del Pais deber ser representados por dos letras');
INSERT INTO `lang_definitions` VALUES (4149, 1313, 3, 'condado');
INSERT INTO `lang_definitions` VALUES (4150, 1315, 3, 'Cupón');
INSERT INTO `lang_definitions` VALUES (4151, 1318, 3, 'CPT');
INSERT INTO `lang_definitions` VALUES (4152, 1319, 3, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (4153, 1320, 3, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (4154, 1321, 3, 'Procedimiento/Servicio CPT4');
INSERT INTO `lang_definitions` VALUES (4155, 1322, 3, 'Medidas de Rendimiento CPTII');
INSERT INTO `lang_definitions` VALUES (4156, 1323, 3, 'Gestión Calidad Continua (GCC)');
INSERT INTO `lang_definitions` VALUES (4157, 1324, 3, 'Crujidos, crepitaciones');
INSERT INTO `lang_definitions` VALUES (4158, 1325, 3, 'crema');
INSERT INTO `lang_definitions` VALUES (4159, 1326, 3, 'Crear un certificado SSL del Cliente por usuario o cliente de maquina');
INSERT INTO `lang_definitions` VALUES (4160, 1327, 3, 'Crear un certificado SSL del lado del cliente, ya sea para un usuario o un nombre de host cliente.');
INSERT INTO `lang_definitions` VALUES (4161, 1329, 3, 'Crear un evento');
INSERT INTO `lang_definitions` VALUES (4162, 1330, 3, 'Crear y descargar un respaldo completo');
INSERT INTO `lang_definitions` VALUES (4163, 1332, 3, 'Crear Respaldo');
INSERT INTO `lang_definitions` VALUES (4164, 1333, 3, 'Crear batch');
INSERT INTO `lang_definitions` VALUES (4165, 1334, 3, 'Crear Certificado de Cliente');
INSERT INTO `lang_definitions` VALUES (4166, 1335, 3, 'Crear Certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (4167, 1336, 3, 'Crear Duplicado');
INSERT INTO `lang_definitions` VALUES (4168, 1338, 3, 'Crear backup de registro de eventos');
INSERT INTO `lang_definitions` VALUES (4169, 1339, 3, 'Crear nueva incidencia');
INSERT INTO `lang_definitions` VALUES (4170, 1340, 3, 'Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (4171, 1342, 3, 'Crear Credenciales para el Portal Offsite');
INSERT INTO `lang_definitions` VALUES (4172, 1343, 3, 'Crear Credenciales para el Portal Onsite');
INSERT INTO `lang_definitions` VALUES (4173, 1344, 3, 'Crear nota de paciente');
INSERT INTO `lang_definitions` VALUES (4174, 1345, 3, 'Crear Certificado de Autoridad SSL y Certificados del Servidor.');
INSERT INTO `lang_definitions` VALUES (4175, 1346, 3, 'Crear visita');
INSERT INTO `lang_definitions` VALUES (4176, 1347, 3, 'Creado');
INSERT INTO `lang_definitions` VALUES (4177, 1348, 3, 'Creando fichero de exportación');
INSERT INTO `lang_definitions` VALUES (4178, 1351, 3, 'Creador');
INSERT INTO `lang_definitions` VALUES (4179, 1352, 3, 'crédito');
INSERT INTO `lang_definitions` VALUES (4180, 1353, 3, 'Tarjeta de Credito');
INSERT INTO `lang_definitions` VALUES (4181, 1354, 3, 'Créditos');
INSERT INTO `lang_definitions` VALUES (4182, 1356, 3, 'Criterio');
INSERT INTO `lang_definitions` VALUES (4183, 1358, 3, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (4184, 1359, 3, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (4185, 1360, 3, 'CSV');
INSERT INTO `lang_definitions` VALUES (4186, 1361, 3, 'Fichero CSV');
INSERT INTO `lang_definitions` VALUES (4187, 1363, 3, 'MM.CU (Mililitros cubicos)');
INSERT INTO `lang_definitions` VALUES (4188, 1364, 3, 'Cubano');
INSERT INTO `lang_definitions` VALUES (4189, 1365, 3, 'Número de decimales en moneda');
INSERT INTO `lang_definitions` VALUES (4190, 1366, 3, 'Tipo de Cambio - Símbolo de Punto Decimal');
INSERT INTO `lang_definitions` VALUES (4191, 1367, 3, 'Indicador de Tipo de Cambio');
INSERT INTO `lang_definitions` VALUES (4192, 1368, 3, 'Tipo de Cambio - Separador de Miles');
INSERT INTO `lang_definitions` VALUES (4193, 1369, 3, 'Actual');
INSERT INTO `lang_definitions` VALUES (4194, 1370, 3, 'Alcohol actual');
INSERT INTO `lang_definitions` VALUES (4195, 1371, 3, 'Consulta Actual');
INSERT INTO `lang_definitions` VALUES (4196, 1372, 3, 'Criterio Actual');
INSERT INTO `lang_definitions` VALUES (4197, 1373, 3, 'Color resaltado del presente día');
INSERT INTO `lang_definitions` VALUES (4198, 1374, 3, 'Actualmente fumador diario');
INSERT INTO `lang_definitions` VALUES (4199, 1375, 3, 'El nombre de fichero actual fue cambiado a');
INSERT INTO `lang_definitions` VALUES (4200, 1376, 3, 'Hash actual');
INSERT INTO `lang_definitions` VALUES (4201, 1377, 3, 'Ubicación actual');
INSERT INTO `lang_definitions` VALUES (4202, 1378, 3, 'Medicamentos Actuales');
INSERT INTO `lang_definitions` VALUES (4203, 1379, 3, 'Contraseña Actual');
INSERT INTO `lang_definitions` VALUES (4204, 1380, 3, 'Paciente Actual');
INSERT INTO `lang_definitions` VALUES (4205, 1382, 3, 'Drogas no farmacológicas actuales');
INSERT INTO `lang_definitions` VALUES (4206, 1383, 3, 'Actualmente fumador ocasional');
INSERT INTO `lang_definitions` VALUES (4207, 1386, 3, 'Actualmente Activo');
INSERT INTO `lang_definitions` VALUES (4208, 1388, 3, 'Actualmente no hay clínicas');
INSERT INTO `lang_definitions` VALUES (4209, 1389, 3, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (4210, 1390, 3, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (4211, 1392, 3, 'Costumbre');
INSERT INTO `lang_definitions` VALUES (4212, 1393, 3, '¿Entrada cliente?');
INSERT INTO `lang_definitions` VALUES (4213, 1394, 3, 'Tabla Cliente');
INSERT INTO `lang_definitions` VALUES (4214, 1396, 3, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (4215, 1397, 3, 'Mapa de Código CVX');
INSERT INTO `lang_definitions` VALUES (4216, 1398, 3, 'Vacunación CVX');
INSERT INTO `lang_definitions` VALUES (4217, 1399, 3, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (4218, 1400, 3, 'CYP');
INSERT INTO `lang_definitions` VALUES (4219, 1401, 3, 'Factor de CYP');
INSERT INTO `lang_definitions` VALUES (4220, 1402, 3, 'Informe de CYP');
INSERT INTO `lang_definitions` VALUES (4221, 1403, 3, 'Checo');
INSERT INTO `lang_definitions` VALUES (4222, 1404, 3, 'D');
INSERT INTO `lang_definitions` VALUES (4223, 1405, 3, 'D&C');
INSERT INTO `lang_definitions` VALUES (4224, 1406, 3, 'D&E');
INSERT INTO `lang_definitions` VALUES (4225, 1407, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4226, 1408, 3, 'diariamente');
INSERT INTO `lang_definitions` VALUES (4227, 1409, 3, 'Registro Diario');
INSERT INTO `lang_definitions` VALUES (4228, 1410, 3, 'Danés');
INSERT INTO `lang_definitions` VALUES (4229, 1411, 3, 'Información parecida está ya en la base de datos, por favor cambie el código o la descripción');
INSERT INTO `lang_definitions` VALUES (4230, 1412, 3, 'Información parecida está ya en la base de datos, por favor cambie el nombre de la constante');
INSERT INTO `lang_definitions` VALUES (4231, 1413, 3, 'Datos Cols');
INSERT INTO `lang_definitions` VALUES (4232, 1416, 3, 'Error de datos');
INSERT INTO `lang_definitions` VALUES (4233, 1420, 3, 'Tipo de datos');
INSERT INTO `lang_definitions` VALUES (4234, 1421, 3, 'Base de datos');
INSERT INTO `lang_definitions` VALUES (4235, 1422, 3, 'Base de datos sin instalar');
INSERT INTO `lang_definitions` VALUES (4236, 1423, 3, 'Revisión bbdd');
INSERT INTO `lang_definitions` VALUES (4237, 1424, 3, 'Información de la base de datos');
INSERT INTO `lang_definitions` VALUES (4238, 1425, 3, 'Actualización de base de datos completa');
INSERT INTO `lang_definitions` VALUES (4239, 1426, 3, 'DataCols debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (4240, 1427, 3, 'Fecha');
INSERT INTO `lang_definitions` VALUES (4241, 1428, 3, 'FECHA');
INSERT INTO `lang_definitions` VALUES (4242, 1431, 3, 'Fecha adminstrada');
INSERT INTO `lang_definitions` VALUES (4243, 1432, 3, 'Fecha y hora de coleccion de muestra');
INSERT INTO `lang_definitions` VALUES (4244, 1433, 3, 'Fecha y hora de esta observación');
INSERT INTO `lang_definitions` VALUES (4245, 1435, 3, 'Fecha y hora cuando la muestra fue colectada');
INSERT INTO `lang_definitions` VALUES (4246, 1436, 3, 'La fecha no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (4247, 1437, 3, 'Fecha en que fueron provistos inicialmente los servicios anticonceptivos');
INSERT INTO `lang_definitions` VALUES (4248, 1438, 3, 'Fecha Creacion');
INSERT INTO `lang_definitions` VALUES (4249, 1439, 3, 'Fecha Defunción');
INSERT INTO `lang_definitions` VALUES (4250, 1440, 3, 'Fecha destruída');
INSERT INTO `lang_definitions` VALUES (4251, 1441, 3, 'Formato visualización de fecha');
INSERT INTO `lang_definitions` VALUES (4252, 1442, 3, 'Formato fecha para última cita no es válido');
INSERT INTO `lang_definitions` VALUES (4253, 1443, 3, 'Formato fecha para inicio de cita no es válido');
INSERT INTO `lang_definitions` VALUES (4254, 1444, 3, 'Formato fecha en \'Próxima Cita\' no es válido');
INSERT INTO `lang_definitions` VALUES (4255, 1445, 3, 'Formato fecha en \'no visto desde\' no es válido');
INSERT INTO `lang_definitions` VALUES (4256, 1446, 3, 'Formato fecha en \'visto en\' no es válido');
INSERT INTO `lang_definitions` VALUES (4257, 1447, 3, 'Comunicados de fechas de vacunación entregados');
INSERT INTO `lang_definitions` VALUES (4258, 1448, 3, 'Falta fecha para código ');
INSERT INTO `lang_definitions` VALUES (4259, 1449, 3, 'Criterio maestro de fecha');
INSERT INTO `lang_definitions` VALUES (4260, 1450, 3, 'Fecha ingreso en banco aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4261, 1451, 3, 'Fecha de factura');
INSERT INTO `lang_definitions` VALUES (4262, 1452, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4263, 1453, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4264, 1454, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4265, 1455, 3, 'Fecha de entrada');
INSERT INTO `lang_definitions` VALUES (4266, 1456, 3, 'Fecha de la lesión');
INSERT INTO `lang_definitions` VALUES (4267, 1458, 3, 'Fecha de pago aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4268, 1459, 3, 'Fecha de derivación');
INSERT INTO `lang_definitions` VALUES (4269, 1460, 3, 'Fecha de la respuesta');
INSERT INTO `lang_definitions` VALUES (4270, 1462, 3, 'Fecha De Servicio');
INSERT INTO `lang_definitions` VALUES (4271, 1463, 3, 'Fecha de servicio');
INSERT INTO `lang_definitions` VALUES (4272, 1464, 3, 'Fecha de servicio = hoy');
INSERT INTO `lang_definitions` VALUES (4273, 1465, 3, 'Fecha de servicio mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (4274, 1466, 3, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (4275, 1467, 3, 'Fecha de firma');
INSERT INTO `lang_definitions` VALUES (4276, 1469, 3, 'Fecha de esta orden');
INSERT INTO `lang_definitions` VALUES (4277, 1470, 3, 'Fecha de este reporte');
INSERT INTO `lang_definitions` VALUES (4278, 1471, 3, 'Fecha de la Declaración de VIS');
INSERT INTO `lang_definitions` VALUES (4279, 1472, 3, 'Fecha en que se ordenó');
INSERT INTO `lang_definitions` VALUES (4280, 1475, 3, 'Seleccionador de fecha');
INSERT INTO `lang_definitions` VALUES (4281, 1476, 3, 'Fecha Envio');
INSERT INTO `lang_definitions` VALUES (4282, 1477, 3, 'Fecha del mensaje enviado');
INSERT INTO `lang_definitions` VALUES (4283, 1479, 3, 'La fecha no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (4284, 1480, 3, 'Fecha/Cita');
INSERT INTO `lang_definitions` VALUES (4285, 1481, 3, 'Fecha/Notas');
INSERT INTO `lang_definitions` VALUES (4286, 1482, 3, 'Fecha/Notas de Último');
INSERT INTO `lang_definitions` VALUES (4287, 1483, 3, 'Fecha/Hora');
INSERT INTO `lang_definitions` VALUES (4288, 1484, 3, 'Fecha:');
INSERT INTO `lang_definitions` VALUES (4289, 1485, 3, 'Registro mensaje fechado');
INSERT INTO `lang_definitions` VALUES (4290, 1486, 3, 'Día');
INSERT INTO `lang_definitions` VALUES (4291, 1487, 3, 'dia');
INSERT INTO `lang_definitions` VALUES (4292, 1489, 3, 'Vista de día');
INSERT INTO `lang_definitions` VALUES (4293, 1490, 3, 'Día(s)');
INSERT INTO `lang_definitions` VALUES (4294, 1491, 3, 'Día(s) L-V');
INSERT INTO `lang_definitions` VALUES (4295, 1492, 3, 'días');
INSERT INTO `lang_definitions` VALUES (4296, 1493, 3, 'Días');
INSERT INTO `lang_definitions` VALUES (4297, 1494, 3, 'días pasados');
INSERT INTO `lang_definitions` VALUES (4298, 1495, 3, 'Dïas y juegos perdidos');
INSERT INTO `lang_definitions` VALUES (4299, 1496, 3, 'Días Desde la Última Visita');
INSERT INTO `lang_definitions` VALUES (4300, 1497, 3, 'Dias faltados');
INSERT INTO `lang_definitions` VALUES (4301, 1498, 3, 'Días por columna');
INSERT INTO `lang_definitions` VALUES (4302, 1500, 3, 'Días/Col');
INSERT INTO `lang_definitions` VALUES (4303, 1501, 3, 'DB instalado');
INSERT INTO `lang_definitions` VALUES (4304, 1502, 3, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (4305, 1503, 3, 'Anonimato');
INSERT INTO `lang_definitions` VALUES (4306, 1504, 3, 'El proceso de anonimato está completo');
INSERT INTO `lang_definitions` VALUES (4307, 1505, 3, 'El proceso de anonimato está en proceso');
INSERT INTO `lang_definitions` VALUES (4308, 1506, 3, 'El proceso de anonimato ha iniciado y está corriendo en el fondo');
INSERT INTO `lang_definitions` VALUES (4309, 1507, 3, 'Los datos anónimos pueden no estar completos');
INSERT INTO `lang_definitions` VALUES (4310, 1508, 3, 'Los ficheros anónimos serán guardados en');
INSERT INTO `lang_definitions` VALUES (4311, 1509, 3, 'DEA');
INSERT INTO `lang_definitions` VALUES (4312, 1511, 3, 'Sordera');
INSERT INTO `lang_definitions` VALUES (4313, 1512, 3, 'Elimine errores de la información');
INSERT INTO `lang_definitions` VALUES (4314, 1515, 3, 'Dic');
INSERT INTO `lang_definitions` VALUES (4315, 1516, 3, 'DIFUNTO');
INSERT INTO `lang_definitions` VALUES (4316, 1517, 3, 'Diciembre');
INSERT INTO `lang_definitions` VALUES (4317, 1520, 3, 'Deducible');
INSERT INTO `lang_definitions` VALUES (4318, 1521, 3, 'Deducible alcanzado');
INSERT INTO `lang_definitions` VALUES (4319, 1522, 3, 'Por Defecto');
INSERT INTO `lang_definitions` VALUES (4320, 1523, 3, 'Vista Calendario por defecto');
INSERT INTO `lang_definitions` VALUES (4321, 1524, 3, 'Formulario ID para Visita por defecto');
INSERT INTO `lang_definitions` VALUES (4322, 1526, 3, 'Centro por defecto');
INSERT INTO `lang_definitions` VALUES (4323, 1527, 3, 'Idioma por defecto');
INSERT INTO `lang_definitions` VALUES (4324, 1528, 3, 'Idioma por defecto si no se permite otro, o bien elegir.');
INSERT INTO `lang_definitions` VALUES (4325, 1529, 3, 'Lista por defecto (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (4326, 1530, 3, 'Método por defecto');
INSERT INTO `lang_definitions` VALUES (4327, 1531, 3, 'Días Expiración Contraseña por Defecto');
INSERT INTO `lang_definitions` VALUES (4328, 1532, 3, 'El periodo de vencimiento de la contraseña por defecto es 0. Ésto significa que la función está desactivada');
INSERT INTO `lang_definitions` VALUES (4329, 1533, 3, 'País por defecto del Paciente');
INSERT INTO `lang_definitions` VALUES (4330, 1536, 3, 'Médico por defecto');
INSERT INTO `lang_definitions` VALUES (4331, 1537, 3, 'Rango por defecto');
INSERT INTO `lang_definitions` VALUES (4332, 1538, 3, 'Razón por defecto de la visita');
INSERT INTO `lang_definitions` VALUES (4333, 1540, 3, 'Configuración por defecto');
INSERT INTO `lang_definitions` VALUES (4334, 1541, 3, 'Estado de la casilla por defecto de nueva ventana en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (4335, 1542, 3, 'Plantilla por defecto');
INSERT INTO `lang_definitions` VALUES (4336, 1546, 3, 'Unidades por defecto');
INSERT INTO `lang_definitions` VALUES (4337, 1547, 3, 'Valor por defecto');
INSERT INTO `lang_definitions` VALUES (4338, 1548, 3, 'Deposito por defecto');
INSERT INTO `lang_definitions` VALUES (4339, 1549, 3, 'Socio X12 por defecto');
INSERT INTO `lang_definitions` VALUES (4340, 1550, 3, 'Por defecto/Global');
INSERT INTO `lang_definitions` VALUES (4341, 1551, 3, 'Borrar');
INSERT INTO `lang_definitions` VALUES (4342, 1552, 3, 'borrar');
INSERT INTO `lang_definitions` VALUES (4343, 1553, 3, 'Repetición retrasada (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (4344, 1554, 3, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (4345, 1555, 3, 'eliminar');
INSERT INTO `lang_definitions` VALUES (4346, 1556, 3, 'Eliminar Categorías con identificador(es) : ');
INSERT INTO `lang_definitions` VALUES (4347, 1557, 3, 'Borrar Categoría');
INSERT INTO `lang_definitions` VALUES (4348, 1560, 3, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (4349, 1561, 3, 'Eliminar Lista');
INSERT INTO `lang_definitions` VALUES (4350, 1562, 3, 'Eliminar Páginas');
INSERT INTO `lang_definitions` VALUES (4351, 1563, 3, 'Borrar Paciente, visita, formulario, Incidencia, Documento, Pago, facturación o Transacción');
INSERT INTO `lang_definitions` VALUES (4352, 1565, 3, 'Borrar fila');
INSERT INTO `lang_definitions` VALUES (4353, 1566, 3, 'Borrar ítems selectos');
INSERT INTO `lang_definitions` VALUES (4354, 1568, 3, 'Eliminar éxito.');
INSERT INTO `lang_definitions` VALUES (4355, 1569, 3, 'Eliminar este documento');
INSERT INTO `lang_definitions` VALUES (4356, 1570, 3, 'Eliminar este formulario');
INSERT INTO `lang_definitions` VALUES (4357, 1571, 3, 'Eliminar esta nota');
INSERT INTO `lang_definitions` VALUES (4358, 1573, 3, 'Borrado Completado');
INSERT INTO `lang_definitions` VALUES (4359, 1575, 3, 'No se puede deshacer la eliminación de este evento. No se puede recuperar una vez que se ha hecho. ¿Está seguro que desea eliminar este evento?');
INSERT INTO `lang_definitions` VALUES (4360, 1581, 3, 'Demencia');
INSERT INTO `lang_definitions` VALUES (4361, 1582, 3, 'Datos demográficos');
INSERT INTO `lang_definitions` VALUES (4362, 1583, 3, 'Demografía (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (4363, 1585, 3, 'Criterio de Filtro Demográficos');
INSERT INTO `lang_definitions` VALUES (4364, 1586, 3, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (4365, 1587, 3, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (4366, 1588, 3, 'Denegado');
INSERT INTO `lang_definitions` VALUES (4367, 1589, 3, 'Denominador');
INSERT INTO `lang_definitions` VALUES (4368, 1590, 3, 'Dental');
INSERT INTO `lang_definitions` VALUES (4369, 1592, 3, 'Incidencias Dentales');
INSERT INTO `lang_definitions` VALUES (4370, 1595, 3, 'Dependiendo del tipo de cuenta que usted prueba, usted verá salida tipo HCFA en una página en blanco para las cuentas de HCFA, o usted verá muchas líneas de texto e información alteradas, si usted está probando una demanda X12. Ese texto mutilado es el formato del X12 IED 4010A. Usted verá de vez en cuando los caracteres extraños que parecen dominós o basura, se trata de caracteres de control tales como alimentaciones de página y son normales.');
INSERT INTO `lang_definitions` VALUES (4371, 1596, 3, 'Fecha de depósito');
INSERT INTO `lang_definitions` VALUES (4372, 1597, 3, 'La fecha del deposiito no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (4373, 1598, 3, 'Fecha del depósito');
INSERT INTO `lang_definitions` VALUES (4374, 1599, 3, 'Depresivo');
INSERT INTO `lang_definitions` VALUES (4375, 1600, 3, 'Depresión');
INSERT INTO `lang_definitions` VALUES (4376, 1602, 3, 'Descripción');
INSERT INTO `lang_definitions` VALUES (4377, 1603, 3, 'descripción');
INSERT INTO `lang_definitions` VALUES (4378, 1605, 3, 'Descripción de la publicación');
INSERT INTO `lang_definitions` VALUES (4379, 1606, 3, 'Desceripcion de este procedimiento o codigo resultante');
INSERT INTO `lang_definitions` VALUES (4380, 1607, 3, 'Traducción de la descripción');
INSERT INTO `lang_definitions` VALUES (4381, 1609, 3, 'Destino');
INSERT INTO `lang_definitions` VALUES (4382, 1610, 3, 'Nombre del fichero destino');
INSERT INTO `lang_definitions` VALUES (4383, 1611, 3, 'Destruir todo el lote');
INSERT INTO `lang_definitions` VALUES (4384, 1612, 3, 'Destruido ...');
INSERT INTO `lang_definitions` VALUES (4385, 1613, 3, 'Destruido');
INSERT INTO `lang_definitions` VALUES (4386, 1614, 3, 'Drogas destruidas');
INSERT INTO `lang_definitions` VALUES (4387, 1615, 3, 'Informe drogas destruidas');
INSERT INTO `lang_definitions` VALUES (4388, 1616, 3, 'Detalle');
INSERT INTO `lang_definitions` VALUES (4389, 1617, 3, 'Detalles');
INSERT INTO `lang_definitions` VALUES (4390, 1619, 3, 'Anormalidad del desarrollo');
INSERT INTO `lang_definitions` VALUES (4391, 1620, 3, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (4392, 1621, 3, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (4393, 1622, 3, 'Diabetes: Gestión presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (4394, 1623, 3, 'Diabetes:Examen Ocular');
INSERT INTO `lang_definitions` VALUES (4395, 1624, 3, 'Diabetes: Examen ocular (GCC)');
INSERT INTO `lang_definitions` VALUES (4396, 1625, 3, 'Diabetes: Examen de los pies');
INSERT INTO `lang_definitions` VALUES (4397, 1626, 3, 'Diabetes: Examen de los pies (GCC)');
INSERT INTO `lang_definitions` VALUES (4398, 1627, 3, 'Diabetes:Control HbA1c Deficiente (GCC)');
INSERT INTO `lang_definitions` VALUES (4399, 1628, 3, 'Diabetes: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (4400, 1629, 3, 'Diabetes: Gestión LDL y Control (GCC)');
INSERT INTO `lang_definitions` VALUES (4401, 1630, 3, 'Diabetes: Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (4402, 1631, 3, 'Diag');
INSERT INTO `lang_definitions` VALUES (4403, 1633, 3, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4404, 1634, 3, 'Cód. Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4405, 1636, 3, 'Fecha de diagnóstico');
INSERT INTO `lang_definitions` VALUES (4406, 1637, 3, 'El diagnóstico debe ser codificado en una visita vinculada');
INSERT INTO `lang_definitions` VALUES (4407, 1638, 3, 'Nombre del diagnóstico');
INSERT INTO `lang_definitions` VALUES (4408, 1639, 3, 'Reporte del diagnóstico');
INSERT INTO `lang_definitions` VALUES (4409, 1640, 3, 'Informe de diagnóstico');
INSERT INTO `lang_definitions` VALUES (4410, 1641, 3, 'Informe sólo de diagnóstico');
INSERT INTO `lang_definitions` VALUES (4411, 1642, 3, 'Título del diagnóstico');
INSERT INTO `lang_definitions` VALUES (4412, 1643, 3, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (4413, 1644, 3, 'Diagnóstico: ');
INSERT INTO `lang_definitions` VALUES (4414, 1645, 3, 'Pruebas diagnósticas:');
INSERT INTO `lang_definitions` VALUES (4415, 1646, 3, 'Diales');
INSERT INTO `lang_definitions` VALUES (4416, 1647, 3, 'Diafragmas/Capuchón cervical');
INSERT INTO `lang_definitions` VALUES (4417, 1648, 3, 'Diarrea');
INSERT INTO `lang_definitions` VALUES (4418, 1650, 3, 'Dictado');
INSERT INTO `lang_definitions` VALUES (4419, 1651, 3, 'Dictado: ');
INSERT INTO `lang_definitions` VALUES (4420, 1652, 3, '¿Usted recibió una copia del aviso de HIPAA?');
INSERT INTO `lang_definitions` VALUES (4421, 1653, 3, 'Difuso:');
INSERT INTO `lang_definitions` VALUES (4422, 1654, 3, 'Firmado digitalmente');
INSERT INTO `lang_definitions` VALUES (4423, 1657, 3, 'Correo Directo');
INSERT INTO `lang_definitions` VALUES (4424, 1663, 3, 'Nombre del director');
INSERT INTO `lang_definitions` VALUES (4425, 1665, 3, 'inhabilitación');
INSERT INTO `lang_definitions` VALUES (4426, 1667, 3, 'Deshabilitar calendario');
INSERT INTO `lang_definitions` VALUES (4427, 1668, 3, 'Deshabilitar Gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (4428, 1669, 3, 'Deshabilitar vacunaciones');
INSERT INTO `lang_definitions` VALUES (4429, 1670, 3, 'Deshabilitar vieja forma métrica de constantes vitales');
INSERT INTO `lang_definitions` VALUES (4430, 1672, 3, 'Deshabilitar phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (4431, 1673, 3, 'Deshabilitar prescriciones');
INSERT INTO `lang_definitions` VALUES (4432, 1674, 3, 'Deshabilitar grupos de usuarios');
INSERT INTO `lang_definitions` VALUES (4433, 1675, 3, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (4434, 1676, 3, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (4435, 1677, 3, 'Beneficiario discapacitado menor de 65 años con un Plan de salud para grandes grupos (LGHP)');
INSERT INTO `lang_definitions` VALUES (4436, 1678, 3, 'DISCO');
INSERT INTO `lang_definitions` VALUES (4437, 1681, 3, 'Descarga');
INSERT INTO `lang_definitions` VALUES (4438, 1682, 3, 'Pérdidas/secreciones de la uretra');
INSERT INTO `lang_definitions` VALUES (4439, 1684, 3, 'Derecho de alta');
INSERT INTO `lang_definitions` VALUES (4440, 1685, 3, 'Derecho de alta:');
INSERT INTO `lang_definitions` VALUES (4441, 1689, 3, 'Informacion de publicación');
INSERT INTO `lang_definitions` VALUES (4442, 1690, 3, 'Tipo de publicación');
INSERT INTO `lang_definitions` VALUES (4443, 1691, 3, 'Tipos de publicación');
INSERT INTO `lang_definitions` VALUES (4444, 1692, 3, 'Publicaciones');
INSERT INTO `lang_definitions` VALUES (4445, 1694, 3, 'Descuento');
INSERT INTO `lang_definitions` VALUES (4446, 1695, 3, 'Suma de descuento');
INSERT INTO `lang_definitions` VALUES (4447, 1696, 3, 'Nivel del Descuento');
INSERT INTO `lang_definitions` VALUES (4448, 1697, 3, 'Porcentaje de descuento');
INSERT INTO `lang_definitions` VALUES (4449, 1698, 3, 'Descuentos como importes monetarios');
INSERT INTO `lang_definitions` VALUES (4450, 1699, 3, 'Descuentos a la hora de salida se introducen como cantidades de dinero, a diferencia de porcentaje.');
INSERT INTO `lang_definitions` VALUES (4451, 1700, 3, 'Resultado discreto');
INSERT INTO `lang_definitions` VALUES (4452, 1701, 3, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (4453, 1702, 3, 'Dislocación');
INSERT INTO `lang_definitions` VALUES (4454, 1703, 3, '# Disp');
INSERT INTO `lang_definitions` VALUES (4455, 1704, 3, 'Informe');
INSERT INTO `lang_definitions` VALUES (4456, 1705, 3, 'Remitir documento recibido');
INSERT INTO `lang_definitions` VALUES (4457, 1706, 3, 'Prescrito');
INSERT INTO `lang_definitions` VALUES (4458, 1707, 3, 'Mostrar las directivas anticipadas en la página de la demografía.');
INSERT INTO `lang_definitions` VALUES (4459, 1709, 3, '¿Mostrar fechas de eventos en bloque?');
INSERT INTO `lang_definitions` VALUES (4460, 1711, 3, '¿Mostrar cuántos eventos?');
INSERT INTO `lang_definitions` VALUES (4461, 1713, 3, '¿Mostrar lugar/sitio en bloque?');
INSERT INTO `lang_definitions` VALUES (4462, 1714, 3, 'Nombre Pantalla');
INSERT INTO `lang_definitions` VALUES (4463, 1715, 3, '¿Mostrar el calendario?');
INSERT INTO `lang_definitions` VALUES (4464, 1718, 3, '¿Mostrar los eventos de hoy en el bloque?');
INSERT INTO `lang_definitions` VALUES (4465, 1719, 3, '¿Mostrar tema en el bloque?');
INSERT INTO `lang_definitions` VALUES (4466, 1720, 3, '¿Mostrar los eventos próximos en tabla?');
INSERT INTO `lang_definitions` VALUES (4467, 1721, 3, 'Mostrar columnas');
INSERT INTO `lang_definitions` VALUES (4468, 1722, 3, 'Viendo el siguiente número de las publicaciones más recientes:');
INSERT INTO `lang_definitions` VALUES (4469, 1723, 3, 'Mostrando el siguiente número de las notas más recientes');
INSERT INTO `lang_definitions` VALUES (4470, 1724, 3, 'Mostrando el siguiente número de las notas más recientes:');
INSERT INTO `lang_definitions` VALUES (4471, 1725, 3, 'Distribución');
INSERT INTO `lang_definitions` VALUES (4472, 1726, 3, 'Distribuciones');
INSERT INTO `lang_definitions` VALUES (4473, 1727, 3, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (4474, 1729, 3, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4475, 1730, 3, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4476, 1731, 3, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4477, 1732, 3, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (4478, 1733, 3, 'Divorciado');
INSERT INTO `lang_definitions` VALUES (4479, 1734, 3, 'Mareo:');
INSERT INTO `lang_definitions` VALUES (4480, 1735, 3, 'No cambiar');
INSERT INTO `lang_definitions` VALUES (4481, 1737, 3, 'No mostrar alergia subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (4482, 1739, 3, 'No mostrar medicación subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (4483, 1742, 3, 'No mostrar el calendario');
INSERT INTO `lang_definitions` VALUES (4484, 1744, 3, 'No inventariar ni vender nigun producto');
INSERT INTO `lang_definitions` VALUES (4485, 1745, 3, 'No requiere notas del paciente para ser autorizado');
INSERT INTO `lang_definitions` VALUES (4486, 1746, 3, 'Orden de No Resucitar');
INSERT INTO `lang_definitions` VALUES (4487, 1747, 3, 'no guardar');
INSERT INTO `lang_definitions` VALUES (4488, 1748, 3, 'no sustituir');
INSERT INTO `lang_definitions` VALUES (4489, 1749, 3, 'no actuar');
INSERT INTO `lang_definitions` VALUES (4490, 1751, 3, 'De verdad quiere suprimir?');
INSERT INTO `lang_definitions` VALUES (4491, 1752, 3, '¿Verdaderamente desea borrar la selección?');
INSERT INTO `lang_definitions` VALUES (4492, 1753, 3, 'Está seguro que quiere eliminar este grupo');
INSERT INTO `lang_definitions` VALUES (4493, 1755, 3, '¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (4494, 1756, 3, '¿Quiere borrar esto?');
INSERT INTO `lang_definitions` VALUES (4495, 1757, 3, '¿Quiere borrar?');
INSERT INTO `lang_definitions` VALUES (4496, 1758, 3, '¿Desea remover este registro?');
INSERT INTO `lang_definitions` VALUES (4497, 1759, 3, '¿Desea continuar añadiendo este nuevo paciente?');
INSERT INTO `lang_definitions` VALUES (4498, 1760, 3, '¿Usted desea continuar con el nuevo nombre?');
INSERT INTO `lang_definitions` VALUES (4499, 1761, 3, '¿Usted desea suprimir DEFINITIVAMENTE este registro de vacunación?');
INSERT INTO `lang_definitions` VALUES (4500, 1762, 3, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (4501, 1763, 3, 'Falta F.Nacimiento, por favor insertarla si es posible');
INSERT INTO `lang_definitions` VALUES (4502, 1764, 3, 'Documentos');
INSERT INTO `lang_definitions` VALUES (4503, 1765, 3, 'Médico');
INSERT INTO `lang_definitions` VALUES (4504, 1766, 3, 'Médico:');
INSERT INTO `lang_definitions` VALUES (4505, 1767, 3, 'Nombre del médico y firma');
INSERT INTO `lang_definitions` VALUES (4506, 1768, 3, 'Documento');
INSERT INTO `lang_definitions` VALUES (4507, 1769, 3, 'documento');
INSERT INTO `lang_definitions` VALUES (4508, 1770, 3, 'Categorías documento');
INSERT INTO `lang_definitions` VALUES (4509, 1775, 3, 'El documento no ha podido ser trasladado al Nº Identificación del paciente');
INSERT INTO `lang_definitions` VALUES (4510, 1777, 3, 'Fecha de documento');
INSERT INTO `lang_definitions` VALUES (4511, 1778, 3, 'Fecha del documento e incidencia actualizadas con éxito');
INSERT INTO `lang_definitions` VALUES (4512, 1779, 3, 'Nº Identificación de Documento');
INSERT INTO `lang_definitions` VALUES (4513, 1780, 3, 'Documento se trasladó a nueva categoría');
INSERT INTO `lang_definitions` VALUES (4514, 1781, 3, 'Documento se trasladó al Nº Identificación del paciente');
INSERT INTO `lang_definitions` VALUES (4515, 1783, 3, 'Documento aprobó la comprobación de integridad');
INSERT INTO `lang_definitions` VALUES (4516, 1784, 3, 'Método de archivo de documentos');
INSERT INTO `lang_definitions` VALUES (4517, 1785, 3, 'Documento renombrado con éxito');
INSERT INTO `lang_definitions` VALUES (4518, 1790, 3, 'Depósito de documentos/Imágenes');
INSERT INTO `lang_definitions` VALUES (4519, 1791, 3, 'Documentos');
INSERT INTO `lang_definitions` VALUES (4520, 1792, 3, 'Documentos (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (4521, 1794, 3, 'DOE');
INSERT INTO `lang_definitions` VALUES (4522, 1798, 3, '¿Este tipo permite codigos relacionados?');
INSERT INTO `lang_definitions` VALUES (4523, 1799, 3, 'Socio doméstico');
INSERT INTO `lang_definitions` VALUES (4524, 1800, 3, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (4525, 1801, 3, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (4526, 1802, 3, 'No Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (4527, 1803, 3, 'Terminado');
INSERT INTO `lang_definitions` VALUES (4528, 1804, 3, 'Hecho con:');
INSERT INTO `lang_definitions` VALUES (4529, 1805, 3, 'Terminado. Ahora se enviará la descarga');
INSERT INTO `lang_definitions` VALUES (4530, 1806, 3, 'DOS');
INSERT INTO `lang_definitions` VALUES (4531, 1807, 3, 'Dosis');
INSERT INTO `lang_definitions` VALUES (4532, 1809, 3, 'Doble click para editar');
INSERT INTO `lang_definitions` VALUES (4533, 1810, 3, 'Visión doble');
INSERT INTO `lang_definitions` VALUES (4534, 1811, 3, 'Descarga');
INSERT INTO `lang_definitions` VALUES (4535, 1814, 3, 'Descargar de todas formas');
INSERT INTO `lang_definitions` VALUES (4536, 1815, 3, 'Descargar expediente de factura, mandar a contabilidad y marcar como facturado.');
INSERT INTO `lang_definitions` VALUES (4537, 1817, 3, 'Certificados de descargas');
INSERT INTO `lang_definitions` VALUES (4538, 1818, 3, 'Descargar datos de configuración');
INSERT INTO `lang_definitions` VALUES (4539, 1820, 3, 'Descargar fichero encriptado');
INSERT INTO `lang_definitions` VALUES (4540, 1827, 3, 'Descargar seleccionados');
INSERT INTO `lang_definitions` VALUES (4541, 1828, 3, 'Revisar médico');
INSERT INTO `lang_definitions` VALUES (4542, 1829, 3, 'Visitar médico');
INSERT INTO `lang_definitions` VALUES (4543, 1830, 3, 'Dr.');
INSERT INTO `lang_definitions` VALUES (4544, 1831, 3, 'Arrastre para mover');
INSERT INTO `lang_definitions` VALUES (4545, 1832, 3, 'Goteo');
INSERT INTO `lang_definitions` VALUES (4546, 1833, 3, 'Permiso de conducir o D.N.I.');
INSERT INTO `lang_definitions` VALUES (4547, 1834, 3, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (4548, 1835, 3, 'Buscador de medicamentos');
INSERT INTO `lang_definitions` VALUES (4549, 1836, 3, 'Formularios de Medicamento');
INSERT INTO `lang_definitions` VALUES (4550, 1837, 3, 'Nº Identificación medicamento falta!');
INSERT INTO `lang_definitions` VALUES (4551, 1838, 3, 'Intervalos de Medicamento');
INSERT INTO `lang_definitions` VALUES (4552, 1839, 3, 'Inventario de Medicamentos');
INSERT INTO `lang_definitions` VALUES (4553, 1840, 3, 'Nombre del Medicamento');
INSERT INTO `lang_definitions` VALUES (4554, 1841, 3, 'Vía de administración del Medicamento');
INSERT INTO `lang_definitions` VALUES (4555, 1845, 3, 'Unidades de Medicamento');
INSERT INTO `lang_definitions` VALUES (4556, 1846, 3, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (4557, 1847, 3, 'Medicamentos y productos');
INSERT INTO `lang_definitions` VALUES (4558, 1848, 3, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (4559, 1849, 3, 'Diagnóstico DSMIV');
INSERT INTO `lang_definitions` VALUES (4560, 1850, 3, 'DT 1');
INSERT INTO `lang_definitions` VALUES (4561, 1851, 3, 'DT 2');
INSERT INTO `lang_definitions` VALUES (4562, 1852, 3, 'DT 3');
INSERT INTO `lang_definitions` VALUES (4563, 1853, 3, 'DT 4');
INSERT INTO `lang_definitions` VALUES (4564, 1854, 3, 'DT 5');
INSERT INTO `lang_definitions` VALUES (4565, 1855, 3, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (4566, 1856, 3, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (4567, 1857, 3, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (4568, 1858, 3, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (4569, 1859, 3, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (4570, 1860, 3, 'Adeudado');
INSERT INTO `lang_definitions` VALUES (4571, 1861, 3, 'Fecha del parto');
INSERT INTO `lang_definitions` VALUES (4572, 1862, 3, 'Fecha del parto mm/dd/aaaa o aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4573, 1863, 3, 'Fecha del parto:');
INSERT INTO `lang_definitions` VALUES (4574, 1864, 3, 'Deuda Seguro');
INSERT INTO `lang_definitions` VALUES (4575, 1865, 3, 'Deuda Paciente');
INSERT INTO `lang_definitions` VALUES (4576, 1866, 3, 'Deuda próxima');
INSERT INTO `lang_definitions` VALUES (4577, 1867, 3, 'Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (4578, 1868, 3, 'Actualización Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (4579, 1869, 3, 'Vaciar LibreEHR base de datos');
INSERT INTO `lang_definitions` VALUES (4580, 1870, 3, 'Vaciar LibreEHR web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (4581, 1871, 3, 'Vaciar phpGACL base de datos');
INSERT INTO `lang_definitions` VALUES (4582, 1872, 3, 'Vaciar phpGACL web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (4583, 1873, 3, 'Vaciar SQL-Ledger base de datos');
INSERT INTO `lang_definitions` VALUES (4584, 1874, 3, 'Vaciar phpGACL web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (4585, 1875, 3, 'Compruebe duplicado');
INSERT INTO `lang_definitions` VALUES (4586, 1876, 3, 'ID duplicado en linea');
INSERT INTO `lang_definitions` VALUES (4587, 1877, 3, 'Nombre duplicado en linea');
INSERT INTO `lang_definitions` VALUES (4588, 1878, 3, 'AVISO DE DUPLICACION');
INSERT INTO `lang_definitions` VALUES (4589, 1879, 3, 'Poder Legal Duradero');
INSERT INTO `lang_definitions` VALUES (4590, 1880, 3, 'duración');
INSERT INTO `lang_definitions` VALUES (4591, 1881, 3, 'Duración');
INSERT INTO `lang_definitions` VALUES (4592, 1882, 3, 'Holandés');
INSERT INTO `lang_definitions` VALUES (4593, 1883, 3, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (4594, 1884, 3, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (4595, 1885, 3, 'Disnea');
INSERT INTO `lang_definitions` VALUES (4596, 1886, 3, 'Disuria');
INSERT INTO `lang_definitions` VALUES (4597, 1888, 3, '¿E-Receta?');
INSERT INTO `lang_definitions` VALUES (4598, 1890, 3, 'Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (4599, 1892, 3, 'Renovación Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (4600, 1893, 3, 'Cada destinatario debe establecer sus propios mensajes como terminados.');
INSERT INTO `lang_definitions` VALUES (4601, 1894, 3, 'Repetición Temprana (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (4602, 1895, 3, 'Orejas');
INSERT INTO `lang_definitions` VALUES (4603, 1896, 3, 'Electrocardiograma');
INSERT INTO `lang_definitions` VALUES (4604, 1897, 3, 'Reclamaciones electrónicas');
INSERT INTO `lang_definitions` VALUES (4605, 1898, 3, 'Edema');
INSERT INTO `lang_definitions` VALUES (4606, 1902, 3, 'Adjuntar fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (4607, 1903, 3, 'Respuesta de carga de fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (4608, 1904, 3, 'Editar');
INSERT INTO `lang_definitions` VALUES (4609, 1905, 3, 'editar');
INSERT INTO `lang_definitions` VALUES (4610, 1906, 3, 'Editar alergias');
INSERT INTO `lang_definitions` VALUES (4611, 1907, 3, 'Editar categorías');
INSERT INTO `lang_definitions` VALUES (4612, 1908, 3, 'Editar Definiciones');
INSERT INTO `lang_definitions` VALUES (4613, 1909, 3, 'Editar definiciones');
INSERT INTO `lang_definitions` VALUES (4614, 1910, 3, 'Editar diagnóstico para');
INSERT INTO `lang_definitions` VALUES (4615, 1911, 3, 'editar publicación');
INSERT INTO `lang_definitions` VALUES (4616, 1912, 3, 'Editar Clínicas');
INSERT INTO `lang_definitions` VALUES (4617, 1913, 3, 'Editar Centro');
INSERT INTO `lang_definitions` VALUES (4618, 1914, 3, 'Editar información del Centro');
INSERT INTO `lang_definitions` VALUES (4619, 1915, 3, 'Editar información de instalación de usuario específico');
INSERT INTO `lang_definitions` VALUES (4620, 1916, 3, 'editar fichero en');
INSERT INTO `lang_definitions` VALUES (4621, 1917, 3, 'Editar forma');
INSERT INTO `lang_definitions` VALUES (4622, 1918, 3, 'Editar configuración global');
INSERT INTO `lang_definitions` VALUES (4623, 1919, 3, 'Edición no permitida');
INSERT INTO `lang_definitions` VALUES (4624, 1920, 3, 'Editar el diseño');
INSERT INTO `lang_definitions` VALUES (4625, 1921, 3, 'Editar la lista');
INSERT INTO `lang_definitions` VALUES (4626, 1922, 3, 'Editar Pago');
INSERT INTO `lang_definitions` VALUES (4627, 1923, 3, 'Editar estructura');
INSERT INTO `lang_definitions` VALUES (4628, 1924, 3, 'Editar usuario');
INSERT INTO `lang_definitions` VALUES (4629, 1925, 3, 'Editar configuración de usuario');
INSERT INTO `lang_definitions` VALUES (4630, 1928, 3, 'Educación');
INSERT INTO `lang_definitions` VALUES (4631, 1929, 3, 'Fecha educación');
INSERT INTO `lang_definitions` VALUES (4632, 1931, 3, 'Debería haber recibido una copia del GNU con este programa, si no, escriba al Free ');
INSERT INTO `lang_definitions` VALUES (4633, 1932, 3, 'Fecha efectiva');
INSERT INTO `lang_definitions` VALUES (4634, 1934, 3, 'Efectividad');
INSERT INTO `lang_definitions` VALUES (4635, 1935, 3, 'EIN');
INSERT INTO `lang_definitions` VALUES (4636, 1936, 3, 'Eyaculaciones');
INSERT INTO `lang_definitions` VALUES (4637, 1937, 3, 'Codo');
INSERT INTO `lang_definitions` VALUES (4638, 1938, 3, 'Problemas del codo');
INSERT INTO `lang_definitions` VALUES (4639, 1939, 3, 'Electrónico');
INSERT INTO `lang_definitions` VALUES (4640, 1942, 3, 'Mandatos Electronicos');
INSERT INTO `lang_definitions` VALUES (4641, 1944, 3, 'Elegibilidad');
INSERT INTO `lang_definitions` VALUES (4642, 1945, 3, 'Elegibilidad Batch Consulta 270');
INSERT INTO `lang_definitions` VALUES (4643, 1946, 3, 'Elegibilidad de Respuesta');
INSERT INTO `lang_definitions` VALUES (4644, 1947, 3, 'Estado de elegibilidad para la vacuna suministrada para niños');
INSERT INTO `lang_definitions` VALUES (4645, 1948, 3, 'Elegible');
INSERT INTO `lang_definitions` VALUES (4646, 1949, 3, 'email');
INSERT INTO `lang_definitions` VALUES (4647, 1951, 3, 'email');
INSERT INTO `lang_definitions` VALUES (4648, 1953, 3, 'email del remitente para los recordatorios de pacientes. Las respuestas de los pacientes irán a esa dirección. Es importante usar una dirección del dominio de la Clínica para evitar que las respuestas de recordatorios de los pacientes vayan a la carpeta de correo basura.');
INSERT INTO `lang_definitions` VALUES (4649, 1954, 3, 'email, si hay, para recibir notificaciones administrativas.');
INSERT INTO `lang_definitions` VALUES (4650, 1955, 3, 'email, si hay, para recibir mensajes de activación de inicio sesión de usuario.');
INSERT INTO `lang_definitions` VALUES (4651, 1956, 3, 'Autenticación email');
INSERT INTO `lang_definitions` VALUES (4652, 1957, 3, 'email de Batchcom');
INSERT INTO `lang_definitions` VALUES (4653, 1958, 3, 'Notificación email');
INSERT INTO `lang_definitions` VALUES (4654, 1959, 3, 'Horario Notificación Email');
INSERT INTO `lang_definitions` VALUES (4655, 1960, 3, 'Informe de notificación de email');
INSERT INTO `lang_definitions` VALUES (4656, 1961, 3, 'email enviado antes');
INSERT INTO `lang_definitions` VALUES (4657, 1962, 3, 'Remitente de email');
INSERT INTO `lang_definitions` VALUES (4658, 1963, 3, 'Email enviado');
INSERT INTO `lang_definitions` VALUES (4659, 1964, 3, 'email enviado a');
INSERT INTO `lang_definitions` VALUES (4660, 1965, 3, 'Asunto del email');
INSERT INTO `lang_definitions` VALUES (4661, 1966, 3, 'Texto del email, etiqueta útil: ***NAME***, Ej. Estimado ***NAME***');
INSERT INTO `lang_definitions` VALUES (4662, 1967, 3, 'Texto email, etiqueta útil:***NAME***, por ej. Querido ***NAME***{{No traducir el elemento ***NAME*** de esta constante}}');
INSERT INTO `lang_definitions` VALUES (4663, 1968, 3, 'Método de envío de email');
INSERT INTO `lang_definitions` VALUES (4664, 1969, 3, 'Email enviado a las siguientes direcciones');
INSERT INTO `lang_definitions` VALUES (4665, 1971, 3, 'Contacto en caso de emergencia');
INSERT INTO `lang_definitions` VALUES (4666, 1972, 3, 'Persona de Contacto de Emergencia');
INSERT INTO `lang_definitions` VALUES (4667, 1973, 3, 'Teléfono de Contacto de Emergencias');
INSERT INTO `lang_definitions` VALUES (4668, 1974, 3, 'Emergencia anticonceptiva');
INSERT INTO `lang_definitions` VALUES (4669, 1975, 3, 'Acceso de Emergencia');
INSERT INTO `lang_definitions` VALUES (4670, 1976, 3, 'Inicio sesión de Emergencia ACL elegido. El usuario esta aún activo, favor desactivar usuario y activarlo cuando la situación de emergencia lo requiera. Visitar Administración>Usuario para activación o deactivación');
INSERT INTO `lang_definitions` VALUES (4671, 1977, 3, 'El email de activación de inicio de sesión de emergencia ha de circular sólo si los siguientes ajustes del fichero interfase/globals.php están configurados:');
INSERT INTO `lang_definitions` VALUES (4672, 1978, 3, 'email de inicio de sesión de emergencia');
INSERT INTO `lang_definitions` VALUES (4673, 1979, 3, 'El usuario de Inicio de sesión de emergencia puede hacer cualquier cosa');
INSERT INTO `lang_definitions` VALUES (4674, 1980, 3, 'Teléfono de emergencia');
INSERT INTO `lang_definitions` VALUES (4675, 1982, 3, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (4676, 1983, 3, 'Empleado');
INSERT INTO `lang_definitions` VALUES (4677, 1984, 3, 'Empresa');
INSERT INTO `lang_definitions` VALUES (4678, 1985, 3, 'Dirección del empleador');
INSERT INTO `lang_definitions` VALUES (4679, 1986, 3, 'Datos de la empresa');
INSERT INTO `lang_definitions` VALUES (4680, 1987, 3, 'Nombre de Empresa');
INSERT INTO `lang_definitions` VALUES (4681, 1988, 3, 'VACIO');
INSERT INTO `lang_definitions` VALUES (4682, 1989, 3, 'Vacio');
INSERT INTO `lang_definitions` VALUES (4683, 1991, 3, 'Valor vacío en -Horas de eEmail-');
INSERT INTO `lang_definitions` VALUES (4684, 1992, 3, 'Valor vacío en -Remitente de email-');
INSERT INTO `lang_definitions` VALUES (4685, 1993, 3, 'Valor vacío en-Tema de email-');
INSERT INTO `lang_definitions` VALUES (4686, 1994, 3, 'Valor vacío en-Texto de email-');
INSERT INTO `lang_definitions` VALUES (4687, 1995, 3, 'Valor vacío en -Nombre del Facultativo-');
INSERT INTO `lang_definitions` VALUES (4688, 1996, 3, 'Valor vacío en -Contraseña-');
INSERT INTO `lang_definitions` VALUES (4689, 1997, 3, 'Valor vacío en -Horas de SMS-');
INSERT INTO `lang_definitions` VALUES (4690, 1998, 3, 'Vaciar en el valor -Texto SMS-');
INSERT INTO `lang_definitions` VALUES (4691, 1999, 3, 'Vaciar en el valor -Usuario-');
INSERT INTO `lang_definitions` VALUES (4692, 2006, 3, 'Activar aviso MCA');
INSERT INTO `lang_definitions` VALUES (4693, 2008, 3, 'Activar Informe MCA');
INSERT INTO `lang_definitions` VALUES (4694, 2009, 3, 'Activar seguimiento MCA');
INSERT INTO `lang_definitions` VALUES (4695, 2011, 3, 'Activar auditoría RANA');
INSERT INTO `lang_definitions` VALUES (4696, 2013, 3, 'Inicio de sesión Auditoría habilitado');
INSERT INTO `lang_definitions` VALUES (4697, 2014, 3, 'Activar Auditoría Registro y Autenticación del Nodo (ATNA)');
INSERT INTO `lang_definitions` VALUES (4698, 2015, 3, 'Activar Informe Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (4699, 2016, 3, 'Activar Cliente SSL');
INSERT INTO `lang_definitions` VALUES (4700, 2017, 3, 'Activar Cliente SSL con certificado de autenticación.');
INSERT INTO `lang_definitions` VALUES (4701, 2019, 3, 'Activar Reglas Clínicas de Decisión (CDR)');
INSERT INTO `lang_definitions` VALUES (4702, 2022, 3, 'Activar informe medidas de calidad clínica (GCC)');
INSERT INTO `lang_definitions` VALUES (4703, 2023, 3, 'Activar popup recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (4704, 2024, 3, 'Activar Widget Recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (4705, 2027, 3, 'Activar Informes GCC');
INSERT INTO `lang_definitions` VALUES (4706, 2030, 3, 'Habilitar tarifas en el menú de la izquierda');
INSERT INTO `lang_definitions` VALUES (4707, 2031, 3, 'Activar Soporte Hylafax');
INSERT INTO `lang_definitions` VALUES (4708, 2033, 3, 'Activar el estado de importación de mensajes para Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (4709, 2037, 3, 'Activar intercambio Laboratorio');
INSERT INTO `lang_definitions` VALUES (4710, 2039, 3, 'Habilitar registro para documentos subidos/bajados de CouchDB');
INSERT INTO `lang_definitions` VALUES (4711, 2040, 3, 'Activar registro de todas las consultas SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (4712, 2041, 3, 'Activar registro de backup de actividades relacionadas.');
INSERT INTO `lang_definitions` VALUES (4713, 2043, 3, 'Activar inicio sesión de actividades varias.');
INSERT INTO `lang_definitions` VALUES (4714, 2044, 3, 'Activar registro de actividades solicitadas.');
INSERT INTO `lang_definitions` VALUES (4715, 2045, 3, 'Activar registro de modificaciones del registro de pacientes.');
INSERT INTO `lang_definitions` VALUES (4716, 2046, 3, 'Activar registro de programar actividades.');
INSERT INTO `lang_definitions` VALUES (4717, 2047, 3, 'Activar registro de seguridad y administración de actividades.');
INSERT INTO `lang_definitions` VALUES (4718, 2049, 3, 'Activar servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (4719, 2051, 3, 'Activar Portal Paciente Externo');
INSERT INTO `lang_definitions` VALUES (4720, 2052, 3, 'Activar Portal paciente desde el exterior.');
INSERT INTO `lang_definitions` VALUES (4721, 2053, 3, 'Activar Portal paciente in-situ');
INSERT INTO `lang_definitions` VALUES (4722, 2055, 3, 'Activar Portal paciente in-situ.');
INSERT INTO `lang_definitions` VALUES (4723, 2056, 3, 'Activar widget recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (4724, 2058, 3, 'Activar aviso fecha requerida para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (4725, 2060, 3, 'Activar Informe de Seguimiento de Fecha para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (4726, 2061, 3, 'Activar Soporte escaner');
INSERT INTO `lang_definitions` VALUES (4727, 2065, 3, 'Activar servicio de soporte LibreEHR LLC Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (4728, 2066, 3, 'Activar Certificado de Autenticación del usuario.');
INSERT INTO `lang_definitions` VALUES (4729, 2067, 3, 'Activar servicio ZMG, Receta electrónica LLC');
INSERT INTO `lang_definitions` VALUES (4730, 2068, 3, 'Activado');
INSERT INTO `lang_definitions` VALUES (4731, 2070, 3, 'Activar el viejo panel de cargos para introducir códigos de facturas y pagos. No se recomienda usar la hoja de honorarios en su lugar.');
INSERT INTO `lang_definitions` VALUES (4732, 2071, 3, 'Encuentro');
INSERT INTO `lang_definitions` VALUES (4733, 2072, 3, 'Visita');
INSERT INTO `lang_definitions` VALUES (4734, 2073, 3, 'Visita');
INSERT INTO `lang_definitions` VALUES (4735, 2074, 3, 'visita');
INSERT INTO `lang_definitions` VALUES (4736, 2075, 3, 'Visita ');
INSERT INTO `lang_definitions` VALUES (4737, 2076, 3, 'Visita a un hospitalizado agudo o ED');
INSERT INTO `lang_definitions` VALUES (4738, 2081, 3, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (4739, 2086, 3, 'Formularios visita');
INSERT INTO `lang_definitions` VALUES (4740, 2087, 3, 'visita de salud y evaluación de comportamiento');
INSERT INTO `lang_definitions` VALUES (4741, 2088, 3, 'Histórico de visitas');
INSERT INTO `lang_definitions` VALUES (4742, 2089, 3, 'ID Visita');
INSERT INTO `lang_definitions` VALUES (4743, 2090, 3, 'Visita gripe');
INSERT INTO `lang_definitions` VALUES (4744, 2091, 3, 'número visita');
INSERT INTO `lang_definitions` VALUES (4745, 2093, 3, 'visita cuidado enfermería');
INSERT INTO `lang_definitions` VALUES (4746, 2094, 3, 'visita centro enfermería');
INSERT INTO `lang_definitions` VALUES (4747, 2095, 3, 'visita terapia ocupacional');
INSERT INTO `lang_definitions` VALUES (4748, 2096, 3, 'visita a consultorio');
INSERT INTO `lang_definitions` VALUES (4749, 2097, 3, 'visita paciente externo');
INSERT INTO `lang_definitions` VALUES (4750, 2098, 3, 'visita paciente externo w/PCP y obgyn');
INSERT INTO `lang_definitions` VALUES (4751, 2099, 3, 'Tamaño página visita');
INSERT INTO `lang_definitions` VALUES (4752, 2100, 3, 'Pago visita');
INSERT INTO `lang_definitions` VALUES (4753, 2101, 3, 'visita embarazo');
INSERT INTO `lang_definitions` VALUES (4754, 2102, 3, 'visita medicina preventiva - asesoramiento individual');
INSERT INTO `lang_definitions` VALUES (4755, 2103, 3, 'visita medicina preventiva para mayores de 40');
INSERT INTO `lang_definitions` VALUES (4756, 2104, 3, 'visita de medicina preventiva - asesoramiento en grupo');
INSERT INTO `lang_definitions` VALUES (4757, 2105, 3, 'visita medicina preventiva otros servicios');
INSERT INTO `lang_definitions` VALUES (4758, 2106, 3, 'visita servicios medicina preventiva mayores de 18');
INSERT INTO `lang_definitions` VALUES (4759, 2107, 3, 'visita psiquiatrica y psicológica');
INSERT INTO `lang_definitions` VALUES (4760, 2108, 3, 'Estadísticas de visitas');
INSERT INTO `lang_definitions` VALUES (4761, 2109, 3, 'Resumen de visitas');
INSERT INTO `lang_definitions` VALUES (4762, 2110, 3, 'Visita codificada');
INSERT INTO `lang_definitions` VALUES (4763, 2111, 3, 'Visita:');
INSERT INTO `lang_definitions` VALUES (4764, 2112, 3, 'Visita: visita ingreso no agudo, paciente externo, o oftalmológico');
INSERT INTO `lang_definitions` VALUES (4765, 2113, 3, 'Visitas');
INSERT INTO `lang_definitions` VALUES (4766, 2114, 3, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (4767, 2115, 3, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (4768, 2116, 3, 'Visitas no autorizadas');
INSERT INTO `lang_definitions` VALUES (4769, 2117, 3, 'Informe de visitas');
INSERT INTO `lang_definitions` VALUES (4770, 2118, 3, 'Sección visitas');
INSERT INTO `lang_definitions` VALUES (4771, 2120, 3, 'Encriptación');
INSERT INTO `lang_definitions` VALUES (4772, 2121, 3, 'Final');
INSERT INTO `lang_definitions` VALUES (4773, 2122, 3, 'Final (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (4774, 2123, 3, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (4775, 2124, 3, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (4776, 2126, 3, 'Fecha final debe ser posterior a fecha inicio');
INSERT INTO `lang_definitions` VALUES (4777, 2127, 3, 'Fecha Final:');
INSERT INTO `lang_definitions` VALUES (4778, 2131, 3, 'Hora finalización');
INSERT INTO `lang_definitions` VALUES (4779, 2132, 3, 'Enfermedad renal en Etapa Final - Beneficiario de MCP con un Plan de grupo del empleador');
INSERT INTO `lang_definitions` VALUES (4780, 2133, 3, 'Fecha final de servicio aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (4781, 2134, 3, 'Termina DOS dd/mm/aaaa si desea entrar en una serie');
INSERT INTO `lang_definitions` VALUES (4782, 2135, 3, 'Hora final del día para eventos de calendario');
INSERT INTO `lang_definitions` VALUES (4783, 2136, 3, 'Sangre anormal Endo');
INSERT INTO `lang_definitions` VALUES (4784, 2137, 3, 'Endocrino');
INSERT INTO `lang_definitions` VALUES (4785, 2138, 3, 'Endoscopía');
INSERT INTO `lang_definitions` VALUES (4786, 2141, 3, 'Inglés');
INSERT INTO `lang_definitions` VALUES (4787, 2142, 3, 'Inglés ');
INSERT INTO `lang_definitions` VALUES (4788, 2143, 3, 'Ingleses (Indios)');
INSERT INTO `lang_definitions` VALUES (4789, 2144, 3, 'Inglés (Estándar)');
INSERT INTO `lang_definitions` VALUES (4790, 2145, 3, 'Enscript comando usado por Hylafax.');
INSERT INTO `lang_definitions` VALUES (4791, 2146, 3, 'Garantizar LibreEHR tiene privilegios al directorio');
INSERT INTO `lang_definitions` VALUES (4792, 2147, 3, 'ENT Descarga');
INSERT INTO `lang_definitions` VALUES (4793, 2148, 3, 'ENT Dolor');
INSERT INTO `lang_definitions` VALUES (4794, 2149, 3, 'Introduzca un código de la diagnosis para excluir todas las facturas que no lo contienen');
INSERT INTO `lang_definitions` VALUES (4795, 2151, 3, 'Incorpore el cuerpo de la carta aquí');
INSERT INTO `lang_definitions` VALUES (4796, 2152, 3, 'Introduzca Contraseña root para Base Datos');
INSERT INTO `lang_definitions` VALUES (4797, 2153, 3, 'Introduzca Usuario root para Base Datos');
INSERT INTO `lang_definitions` VALUES (4798, 2154, 3, 'Introduzca Diagnóstico');
INSERT INTO `lang_definitions` VALUES (4799, 2155, 3, 'Introduzca Medicamentos');
INSERT INTO `lang_definitions` VALUES (4800, 2158, 3, 'Introduzca Vacunas');
INSERT INTO `lang_definitions` VALUES (4801, 2159, 3, 'Introducir Clave');
INSERT INTO `lang_definitions` VALUES (4802, 2161, 3, 'Escriba el nuevo Estado');
INSERT INTO `lang_definitions` VALUES (4803, 2164, 3, 'Introducir código Re-identificación');
INSERT INTO `lang_definitions` VALUES (4804, 2165, 3, 'Incorpore sus criterios de búsqueda arriba');
INSERT INTO `lang_definitions` VALUES (4805, 2167, 3, 'entradas');
INSERT INTO `lang_definitions` VALUES (4806, 2168, 3, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (4807, 2169, 3, 'Entrada de datos de EOB');
INSERT INTO `lang_definitions` VALUES (4808, 2170, 3, 'EOB envío - Remesas electrónicas');
INSERT INTO `lang_definitions` VALUES (4809, 2171, 3, 'EOB envío - Instrucciones');
INSERT INTO `lang_definitions` VALUES (4810, 2172, 3, 'EOB envío - Factura');
INSERT INTO `lang_definitions` VALUES (4811, 2173, 3, 'EOB envío - Nota del Paciente');
INSERT INTO `lang_definitions` VALUES (4812, 2174, 3, 'EOB envío - Buscar');
INSERT INTO `lang_definitions` VALUES (4813, 2176, 3, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (4814, 2178, 3, 'ERA (Remesa Electrónica de Aviso)');
INSERT INTO `lang_definitions` VALUES (4815, 2180, 3, 'Envío ERA (Remesa Electrónica de Aviso)');
INSERT INTO `lang_definitions` VALUES (4816, 2181, 3, 'Borrar');
INSERT INTO `lang_definitions` VALUES (4817, 2182, 3, 'Erecciones');
INSERT INTO `lang_definitions` VALUES (4818, 2183, 3, 'Error');
INSERT INTO `lang_definitions` VALUES (4819, 2185, 3, 'Error confirmando la recepción de los resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (4820, 2187, 3, 'Error al obtener los resultados de laboratorio de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (4821, 2188, 3, 'Error en selección de género');
INSERT INTO `lang_definitions` VALUES (4822, 2189, 3, 'Error en -HIPAA- selección');
INSERT INTO `lang_definitions` VALUES (4823, 2190, 3, 'Error en el -Proceso de selección');
INSERT INTO `lang_definitions` VALUES (4824, 2191, 3, 'El error en la selección de -Puerta enlace SMS-');
INSERT INTO `lang_definitions` VALUES (4825, 2192, 3, 'Error en -Ordenar por- selección');
INSERT INTO `lang_definitions` VALUES (4826, 2193, 3, 'Error del file de compresion gzip ');
INSERT INTO `lang_definitions` VALUES (4827, 2194, 3, 'Error en la opción SI o NO');
INSERT INTO `lang_definitions` VALUES (4828, 2195, 3, 'Error al abrir fichero adjunto para lectura');
INSERT INTO `lang_definitions` VALUES (4829, 2198, 3, 'Error al eliminar el mensaje');
INSERT INTO `lang_definitions` VALUES (4830, 2199, 3, 'Error recuperando resultados de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (4831, 2202, 3, 'Error en el fichero de concesión de privilegios para el usuario de LibreEHR.');
INSERT INTO `lang_definitions` VALUES (4832, 2205, 3, 'error al registrar la forma!');
INSERT INTO `lang_definitions` VALUES (4833, 2206, 3, 'Error al guardar el fichero');
INSERT INTO `lang_definitions` VALUES (4834, 2208, 3, 'Error al escribir en el fichero');
INSERT INTO `lang_definitions` VALUES (4835, 2210, 3, 'Error, Este file no existe');
INSERT INTO `lang_definitions` VALUES (4836, 2211, 3, 'ERROR, incapaz de recoger los datos de servidor');
INSERT INTO `lang_definitions` VALUES (4837, 2212, 3, 'Error, incapaz de crear certificado de cliente');
INSERT INTO `lang_definitions` VALUES (4838, 2213, 3, 'Error, incapaz de crear el certificado p12 de Admin');
INSERT INTO `lang_definitions` VALUES (4839, 2214, 3, 'Error. No puede crearse certificadodo de Certificado de Autenticación');
INSERT INTO `lang_definitions` VALUES (4840, 2215, 3, 'Error, incapaz de crear el certificado del servidor');
INSERT INTO `lang_definitions` VALUES (4841, 2216, 3, 'Error, incapaz de abrir el file');
INSERT INTO `lang_definitions` VALUES (4842, 2217, 3, 'Error. Certificado de Autenticación de usuario no está activado en LibreEHR');
INSERT INTO `lang_definitions` VALUES (4843, 2218, 3, 'Error. Necesita instalar el fichero/Tar.php módulo php');
INSERT INTO `lang_definitions` VALUES (4844, 2219, 3, 'ERROR: no pudo abrir tabla sql, formulario roto?');
INSERT INTO `lang_definitions` VALUES (4845, 2220, 3, 'Error: ID duplicado en línea');
INSERT INTO `lang_definitions` VALUES (4846, 2221, 3, 'Error: Nombre duplicado en línea');
INSERT INTO `lang_definitions` VALUES (4847, 2222, 3, 'ERROR: Campo');
INSERT INTO `lang_definitions` VALUES (4848, 2223, 3, 'ERROR: Falta el fichero comprimido del Módulo PHP');
INSERT INTO `lang_definitions` VALUES (4849, 2224, 3, 'ERROR: Sin directorio de importación ICD');
INSERT INTO `lang_definitions` VALUES (4850, 2225, 3, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (4851, 2226, 3, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (4852, 2227, 3, 'Error, este file no existe');
INSERT INTO `lang_definitions` VALUES (4853, 2228, 3, 'ERROR: La siguiente variable contiene caracteres inválidos');
INSERT INTO `lang_definitions` VALUES (4854, 2229, 3, 'ERROR: No se puede copiar el fichero.');
INSERT INTO `lang_definitions` VALUES (4855, 2230, 3, 'Error, incapaz de crear el fichero de descarga');
INSERT INTO `lang_definitions` VALUES (4856, 2231, 3, 'ERROR: No se puede crear el fichero comprimido.');
INSERT INTO `lang_definitions` VALUES (4857, 2232, 3, 'ERROR: No se puede extraer el fichero.');
INSERT INTO `lang_definitions` VALUES (4858, 2233, 3, 'ERROR: No se puede leer el fichero en la base de datos.');
INSERT INTO `lang_definitions` VALUES (4859, 2234, 3, 'ERROR: No se puede establecer el número de versión.');
INSERT INTO `lang_definitions` VALUES (4860, 2235, 3, 'Errores');
INSERT INTO `lang_definitions` VALUES (4861, 2236, 3, 'Estado cuenta Receta electrónica');
INSERT INTO `lang_definitions` VALUES (4862, 2237, 3, 'Registros Receta electrónica');
INSERT INTO `lang_definitions` VALUES (4863, 2238, 3, 'Nombre Receta electrónica');
INSERT INTO `lang_definitions` VALUES (4864, 2239, 3, 'Contraseña Receta electrónica');
INSERT INTO `lang_definitions` VALUES (4865, 2240, 3, 'Rol Receta electrónica');
INSERT INTO `lang_definitions` VALUES (4866, 2241, 3, 'Usuario Receta electrónica');
INSERT INTO `lang_definitions` VALUES (4867, 2242, 3, 'Eritema');
INSERT INTO `lang_definitions` VALUES (4868, 2245, 3, 'Esquimal');
INSERT INTO `lang_definitions` VALUES (4869, 2247, 3, 'Paciente regular');
INSERT INTO `lang_definitions` VALUES (4870, 2249, 3, 'Raza');
INSERT INTO `lang_definitions` VALUES (4871, 2250, 3, 'La etnia o la raza');
INSERT INTO `lang_definitions` VALUES (4872, 2251, 3, 'Lista de Origen étnico--Raza (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (4873, 2252, 3, 'ETIN');
INSERT INTO `lang_definitions` VALUES (4874, 2253, 3, 'Evento');
INSERT INTO `lang_definitions` VALUES (4875, 2254, 3, 'Fecha comienzo de evento');
INSERT INTO `lang_definitions` VALUES (4876, 2255, 3, 'Categoría de evento');
INSERT INTO `lang_definitions` VALUES (4877, 2256, 3, 'Fecha evento');
INSERT INTO `lang_definitions` VALUES (4878, 2257, 3, 'Descripción evento');
INSERT INTO `lang_definitions` VALUES (4879, 2258, 3, 'Detalles evento');
INSERT INTO `lang_definitions` VALUES (4880, 2259, 3, 'Evento no se repite');
INSERT INTO `lang_definitions` VALUES (4881, 2260, 3, 'Duración de Evento');
INSERT INTO `lang_definitions` VALUES (4882, 2261, 3, 'Duración de evento en minutos');
INSERT INTO `lang_definitions` VALUES (4883, 2262, 3, 'Honorarios del evento');
INSERT INTO `lang_definitions` VALUES (4884, 2263, 3, 'Lugar de evento');
INSERT INTO `lang_definitions` VALUES (4885, 2264, 3, 'Evento repite cada');
INSERT INTO `lang_definitions` VALUES (4886, 2265, 3, 'Evento repite en');
INSERT INTO `lang_definitions` VALUES (4887, 2266, 3, 'Hora comienzo evento');
INSERT INTO `lang_definitions` VALUES (4888, 2267, 3, 'Título de evento');
INSERT INTO `lang_definitions` VALUES (4889, 2268, 3, 'Título de Evento');
INSERT INTO `lang_definitions` VALUES (4890, 2269, 3, 'Página web de evento');
INSERT INTO `lang_definitions` VALUES (4891, 2270, 3, 'Eventos');
INSERT INTO `lang_definitions` VALUES (4892, 2271, 3, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (4893, 2272, 3, 'Eventos abre en nueva ventana');
INSERT INTO `lang_definitions` VALUES (4894, 2273, 3, 'cada');
INSERT INTO `lang_definitions` VALUES (4895, 2274, 3, 'Cada');
INSERT INTO `lang_definitions` VALUES (4896, 2275, 3, 'cada 3 horas');
INSERT INTO `lang_definitions` VALUES (4897, 2276, 3, 'cada 4 horas');
INSERT INTO `lang_definitions` VALUES (4898, 2277, 3, 'cada 5 horas');
INSERT INTO `lang_definitions` VALUES (4899, 2278, 3, 'cada 6 horas');
INSERT INTO `lang_definitions` VALUES (4900, 2279, 3, 'cada 8 horas');
INSERT INTO `lang_definitions` VALUES (4901, 2280, 3, 'cada cuarto');
INSERT INTO `lang_definitions` VALUES (4902, 2281, 3, 'uno sí, otro no');
INSERT INTO `lang_definitions` VALUES (4903, 2282, 3, 'cada tercero');
INSERT INTO `lang_definitions` VALUES (4904, 2283, 3, 'Cada, cada otro, cada 3ro, etc.');
INSERT INTO `lang_definitions` VALUES (4905, 2285, 3, 'Examen y los resultados de las pruebas');
INSERT INTO `lang_definitions` VALUES (4906, 2286, 3, 'Resultados del examen');
INSERT INTO `lang_definitions` VALUES (4907, 2289, 3, 'Examen');
INSERT INTO `lang_definitions` VALUES (4908, 2290, 3, 'Fecha de examen');
INSERT INTO `lang_definitions` VALUES (4909, 2291, 3, 'Ejemplo');
INSERT INTO `lang_definitions` VALUES (4910, 2292, 3, 'Ejemplos');
INSERT INTO `lang_definitions` VALUES (4911, 2293, 3, 'Exámenes/Pruebas');
INSERT INTO `lang_definitions` VALUES (4912, 2294, 3, 'Excepto');
INSERT INTO `lang_definitions` VALUES (4913, 2295, 3, 'Lagrimeo Excesivo');
INSERT INTO `lang_definitions` VALUES (4914, 2296, 3, 'Pacientes Excluídos');
INSERT INTO `lang_definitions` VALUES (4915, 2297, 3, 'Exclusiones');
INSERT INTO `lang_definitions` VALUES (4916, 2298, 3, 'Organización de provedor exclusivo (OPE)');
INSERT INTO `lang_definitions` VALUES (4917, 2299, 3, 'Tamaño papel ejecutivo');
INSERT INTO `lang_definitions` VALUES (4918, 2300, 3, 'Ejercicio');
INSERT INTO `lang_definitions` VALUES (4919, 2301, 3, 'Patrones del ejercicio');
INSERT INTO `lang_definitions` VALUES (4920, 2302, 3, 'Patrones de ejercicio');
INSERT INTO `lang_definitions` VALUES (4921, 2303, 3, 'Existe');
INSERT INTO `lang_definitions` VALUES (4922, 2304, 3, 'Salir de Administración');
INSERT INTO `lang_definitions` VALUES (4923, 2305, 3, 'Exp');
INSERT INTO `lang_definitions` VALUES (4924, 2306, 3, 'Expandir');
INSERT INTO `lang_definitions` VALUES (4925, 2307, 3, 'Expandir');
INSERT INTO `lang_definitions` VALUES (4926, 2308, 3, 'Expandir Todo');
INSERT INTO `lang_definitions` VALUES (4927, 2311, 3, 'Vista ampliada');
INSERT INTO `lang_definitions` VALUES (4928, 2312, 3, 'Se espera form_encounter.pid para ser ');
INSERT INTO `lang_definitions` VALUES (4929, 2313, 3, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (4930, 2314, 3, 'Fecha de caducidad');
INSERT INTO `lang_definitions` VALUES (4931, 2315, 3, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (4932, 2316, 3, 'Expira en');
INSERT INTO `lang_definitions` VALUES (4933, 2317, 3, 'Exportar');
INSERT INTO `lang_definitions` VALUES (4934, 2318, 3, 'Exportar con CSV');
INSERT INTO `lang_definitions` VALUES (4935, 2319, 3, 'Exportar configuración');
INSERT INTO `lang_definitions` VALUES (4936, 2322, 3, 'Exportación de Demograficos del paciente');
INSERT INTO `lang_definitions` VALUES (4937, 2323, 3, 'Exportar Informe PQRI');
INSERT INTO `lang_definitions` VALUES (4938, 2325, 3, 'Selección de exportación como CSV');
INSERT INTO `lang_definitions` VALUES (4939, 2326, 3, 'Selección de las colecciones a la exportación');
INSERT INTO `lang_definitions` VALUES (4940, 2327, 3, 'Exportar a CSV');
INSERT INTO `lang_definitions` VALUES (4941, 2328, 3, 'Exportación al sistema de facturación externo');
INSERT INTO `lang_definitions` VALUES (4942, 2329, 3, 'Exposición a los países extranjeros');
INSERT INTO `lang_definitions` VALUES (4943, 2330, 3, 'Exposición a Países Extranjeros');
INSERT INTO `lang_definitions` VALUES (4944, 2331, 3, 'Ext tiempo de coleccionar');
INSERT INTO `lang_definitions` VALUES (4945, 2332, 3, 'Externo');
INSERT INTO `lang_definitions` VALUES (4946, 2334, 3, 'Carga de datos externos');
INSERT INTO `lang_definitions` VALUES (4947, 2335, 3, 'Utilidad de importación bbdd externa');
INSERT INTO `lang_definitions` VALUES (4948, 2336, 3, 'D.N.I.');
INSERT INTO `lang_definitions` VALUES (4949, 2337, 3, 'ID externo');
INSERT INTO `lang_definitions` VALUES (4950, 2338, 3, 'identificación externos');
INSERT INTO `lang_definitions` VALUES (4951, 2339, 3, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (4952, 2342, 3, 'Derivación externa');
INSERT INTO `lang_definitions` VALUES (4953, 2343, 3, 'Seguimiento de Derivaciones Externas');
INSERT INTO `lang_definitions` VALUES (4954, 2344, 3, '¿Derivación externa?');
INSERT INTO `lang_definitions` VALUES (4955, 2345, 3, 'Derivaciones externas');
INSERT INTO `lang_definitions` VALUES (4956, 2346, 3, 'Extraer este file comprimido');
INSERT INTO `lang_definitions` VALUES (4957, 2347, 3, 'Extrayendo fichero. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (4958, 2348, 3, 'Exudado:');
INSERT INTO `lang_definitions` VALUES (4959, 2349, 3, 'Irritación de Ojo');
INSERT INTO `lang_definitions` VALUES (4960, 2350, 3, 'Dolor de Ojo');
INSERT INTO `lang_definitions` VALUES (4961, 2351, 3, 'Enrojecimiento de Ojo');
INSERT INTO `lang_definitions` VALUES (4962, 2352, 3, 'Ojos');
INSERT INTO `lang_definitions` VALUES (4963, 2353, 3, 'F');
INSERT INTO `lang_definitions` VALUES (4964, 2354, 3, 'F/H Problemas de Sangre');
INSERT INTO `lang_definitions` VALUES (4965, 2355, 3, 'F/H Hirsutismo Femenino/Estrías');
INSERT INTO `lang_definitions` VALUES (4966, 2356, 3, 'Centros');
INSERT INTO `lang_definitions` VALUES (4967, 2357, 3, 'Centro');
INSERT INTO `lang_definitions` VALUES (4968, 2358, 3, 'centro');
INSERT INTO `lang_definitions` VALUES (4969, 2359, 3, 'Administración del Centro');
INSERT INTO `lang_definitions` VALUES (4970, 2360, 3, 'Ciudad del Centro');
INSERT INTO `lang_definitions` VALUES (4971, 2361, 3, 'Código del Centro');
INSERT INTO `lang_definitions` VALUES (4972, 2362, 3, 'Código País del Centro');
INSERT INTO `lang_definitions` VALUES (4973, 2363, 3, 'Fax del Centro');
INSERT INTO `lang_definitions` VALUES (4974, 2364, 3, 'Nombre del Centro');
INSERT INTO `lang_definitions` VALUES (4975, 2365, 3, 'NPI del Centro');
INSERT INTO `lang_definitions` VALUES (4976, 2366, 3, 'Teléfono del Centro');
INSERT INTO `lang_definitions` VALUES (4977, 2367, 3, 'Información de usuario en el centro especificado');
INSERT INTO `lang_definitions` VALUES (4978, 2368, 3, 'Estado del Centro');
INSERT INTO `lang_definitions` VALUES (4979, 2369, 3, 'Dirección del Centro');
INSERT INTO `lang_definitions` VALUES (4980, 2370, 3, 'Código Postal del Centro');
INSERT INTO `lang_definitions` VALUES (4981, 2372, 3, 'Centro:');
INSERT INTO `lang_definitions` VALUES (4982, 2373, 3, 'Fallo');
INSERT INTO `lang_definitions` VALUES (4983, 2374, 3, 'fallado');
INSERT INTO `lang_definitions` VALUES (4984, 2375, 3, 'Fallado');
INSERT INTO `lang_definitions` VALUES (4985, 2380, 3, 'Fallo al crear la carpeta temporal. CouchDB no funcionará.');
INSERT INTO `lang_definitions` VALUES (4986, 2382, 3, 'Fallo');
INSERT INTO `lang_definitions` VALUES (4987, 2383, 3, 'error');
INSERT INTO `lang_definitions` VALUES (4988, 2390, 3, 'Historia familiar');
INSERT INTO `lang_definitions` VALUES (4989, 2391, 3, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (4990, 2392, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (4991, 2394, 3, 'Familia de pago');
INSERT INTO `lang_definitions` VALUES (4992, 2395, 3, 'Tamaño familia');
INSERT INTO `lang_definitions` VALUES (4993, 2396, 3, 'Suposición');
INSERT INTO `lang_definitions` VALUES (4994, 2398, 3, 'Iraní');
INSERT INTO `lang_definitions` VALUES (4995, 2400, 3, 'Padre');
INSERT INTO `lang_definitions` VALUES (4996, 2402, 3, 'Fatiga');
INSERT INTO `lang_definitions` VALUES (4997, 2403, 3, 'Fatigado');
INSERT INTO `lang_definitions` VALUES (4998, 2404, 3, 'Fax');
INSERT INTO `lang_definitions` VALUES (4999, 2405, 3, 'Contador fax');
INSERT INTO `lang_definitions` VALUES (5000, 2406, 3, 'Número de fax');
INSERT INTO `lang_definitions` VALUES (5001, 2408, 3, 'Fax/Escanear');
INSERT INTO `lang_definitions` VALUES (5002, 2409, 3, 'Faxes entrada');
INSERT INTO `lang_definitions` VALUES (5003, 2410, 3, 'Faxes salida');
INSERT INTO `lang_definitions` VALUES (5004, 2411, 3, 'Características');
INSERT INTO `lang_definitions` VALUES (5005, 2412, 3, 'Feb');
INSERT INTO `lang_definitions` VALUES (5006, 2413, 3, 'Febrero');
INSERT INTO `lang_definitions` VALUES (5007, 2414, 3, 'FECA');
INSERT INTO `lang_definitions` VALUES (5008, 2415, 3, 'Nº Colegiado');
INSERT INTO `lang_definitions` VALUES (5009, 2416, 3, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (5010, 2417, 3, 'Nº Identificación de impuesto federal');
INSERT INTO `lang_definitions` VALUES (5011, 2418, 3, 'Honorario');
INSERT INTO `lang_definitions` VALUES (5012, 2419, 3, 'honorario');
INSERT INTO `lang_definitions` VALUES (5013, 2420, 3, 'No se permiten honorarios');
INSERT INTO `lang_definitions` VALUES (5014, 2421, 3, 'Hoja de honorarios');
INSERT INTO `lang_definitions` VALUES (5015, 2422, 3, 'Opciones de la hoja de honorarios');
INSERT INTO `lang_definitions` VALUES (5016, 2423, 3, 'Honorarios');
INSERT INTO `lang_definitions` VALUES (5017, 2424, 3, 'Femenino');
INSERT INTO `lang_definitions` VALUES (5018, 2425, 3, 'AP Femenino');
INSERT INTO `lang_definitions` VALUES (5019, 2426, 3, 'Condones femeninos');
INSERT INTO `lang_definitions` VALUES (5020, 2427, 3, 'G Femenino');
INSERT INTO `lang_definitions` VALUES (5021, 2428, 3, 'LC Femenino');
INSERT INTO `lang_definitions` VALUES (5022, 2429, 3, 'P Femenino');
INSERT INTO `lang_definitions` VALUES (5023, 2430, 3, 'Síntomas Femeninos');
INSERT INTO `lang_definitions` VALUES (5024, 2431, 3, 'Mujeres VSC');
INSERT INTO `lang_definitions` VALUES (5025, 2434, 3, 'Fiebre');
INSERT INTO `lang_definitions` VALUES (5026, 2435, 3, 'Fiebre:');
INSERT INTO `lang_definitions` VALUES (5027, 2436, 3, 'Problemas de Sangre FH');
INSERT INTO `lang_definitions` VALUES (5028, 2437, 3, 'Fibromas');
INSERT INTO `lang_definitions` VALUES (5029, 2441, 3, 'Tipo de campo a utilizar para el país del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (5030, 2442, 3, 'Tipo de campo a utilizar para el estado del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (5031, 2443, 3, 'Falta Campo(s)!');
INSERT INTO `lang_definitions` VALUES (5032, 2447, 3, 'Fichero');
INSERT INTO `lang_definitions` VALUES (5033, 2448, 3, 'Fichero en el directorio de documentación para aprender como automatizar el proceso de creación de logs de backup');
INSERT INTO `lang_definitions` VALUES (5034, 2449, 3, 'Ubicacion del file');
INSERT INTO `lang_definitions` VALUES (5035, 2450, 3, 'Gestión de Fichero');
INSERT INTO `lang_definitions` VALUES (5036, 2453, 3, 'Fichero de permisos de usuario de LibreEHR');
INSERT INTO `lang_definitions` VALUES (5037, 2454, 3, 'Fallo en la recuperación de archivo de CouchDB');
INSERT INTO `lang_definitions` VALUES (5038, 2455, 3, 'Sala de archivo');
INSERT INTO `lang_definitions` VALUES (5039, 2456, 3, 'Fichero para adjuntar');
INSERT INTO `lang_definitions` VALUES (5040, 2458, 3, 'Un fichero con el mismo nombre ya existe en la ubicación:');
INSERT INTO `lang_definitions` VALUES (5041, 2459, 3, 'Nombre de fichero');
INSERT INTO `lang_definitions` VALUES (5042, 2461, 3, 'Ficheros');
INSERT INTO `lang_definitions` VALUES (5043, 2462, 3, 'Filipino');
INSERT INTO `lang_definitions` VALUES (5044, 2463, 3, 'Rellene cualquiera de las filas de abajo.');
INSERT INTO `lang_definitions` VALUES (5045, 2464, 3, 'Rellenar sólo si manda notificación a paciente por email');
INSERT INTO `lang_definitions` VALUES (5046, 2465, 3, 'Llenar los valores abajo');
INSERT INTO `lang_definitions` VALUES (5047, 2467, 3, 'Rellene la fila');
INSERT INTO `lang_definitions` VALUES (5048, 2468, 3, 'Filtro');
INSERT INTO `lang_definitions` VALUES (5049, 2469, 3, 'Filtro para los constantes');
INSERT INTO `lang_definitions` VALUES (5050, 2470, 3, 'Filtro por Definición');
INSERT INTO `lang_definitions` VALUES (5051, 2471, 3, 'Filtrado desde');
INSERT INTO `lang_definitions` VALUES (5052, 2472, 3, 'filtros');
INSERT INTO `lang_definitions` VALUES (5053, 2473, 3, 'Filtros');
INSERT INTO `lang_definitions` VALUES (5054, 2474, 3, 'Final');
INSERT INTO `lang_definitions` VALUES (5055, 2475, 3, 'Diagnóstico final');
INSERT INTO `lang_definitions` VALUES (5056, 2476, 3, 'Diagnóstico final por especialista');
INSERT INTO `lang_definitions` VALUES (5057, 2478, 3, 'Financiero');
INSERT INTO `lang_definitions` VALUES (5058, 2479, 3, 'Fecha cierre financiero (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (5059, 2480, 3, 'Información financiera - cualquier cosa');
INSERT INTO `lang_definitions` VALUES (5060, 2481, 3, 'Información financiera - mis visitas');
INSERT INTO `lang_definitions` VALUES (5061, 2482, 3, 'Fecha de revisión financiero');
INSERT INTO `lang_definitions` VALUES (5062, 2483, 3, 'Resumen Financiero por Código de Servicio');
INSERT INTO `lang_definitions` VALUES (5063, 2484, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (5064, 2485, 3, 'Buscar disponible');
INSERT INTO `lang_definitions` VALUES (5065, 2486, 3, 'Buscar citas disponibles');
INSERT INTO `lang_definitions` VALUES (5066, 2487, 3, 'Busca paciente');
INSERT INTO `lang_definitions` VALUES (5067, 2488, 3, 'Buscar materiales educativos para el paciente');
INSERT INTO `lang_definitions` VALUES (5068, 2489, 3, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (5069, 2490, 3, 'Conclusiones por especialista');
INSERT INTO `lang_definitions` VALUES (5070, 2491, 3, 'Multa');
INSERT INTO `lang_definitions` VALUES (5071, 2492, 3, 'Final Pagos');
INSERT INTO `lang_definitions` VALUES (5072, 2493, 3, 'Terminado');
INSERT INTO `lang_definitions` VALUES (5073, 2495, 3, 'Primero');
INSERT INTO `lang_definitions` VALUES (5074, 2497, 3, 'Primer día de la semana');
INSERT INTO `lang_definitions` VALUES (5075, 2498, 3, 'Nombre');
INSERT INTO `lang_definitions` VALUES (5076, 2499, 3, 'Nombre');
INSERT INTO `lang_definitions` VALUES (5077, 2500, 3, 'Nombre:');
INSERT INTO `lang_definitions` VALUES (5078, 2503, 3, 'Aptitud');
INSERT INTO `lang_definitions` VALUES (5079, 2504, 3, 'Condicion Fisica');
INSERT INTO `lang_definitions` VALUES (5080, 2505, 3, 'Condicion Fisica para este jugador hoy');
INSERT INTO `lang_definitions` VALUES (5081, 2507, 3, 'Aptitud para jugar');
INSERT INTO `lang_definitions` VALUES (5082, 2508, 3, 'Fijar fechas visita - cualquier visita');
INSERT INTO `lang_definitions` VALUES (5083, 2509, 3, 'Solucionar este');
INSERT INTO `lang_definitions` VALUES (5084, 2510, 3, 'FL');
INSERT INTO `lang_definitions` VALUES (5085, 2511, 3, 'Flatulencia');
INSERT INTO `lang_definitions` VALUES (5086, 2512, 3, 'Flujo');
INSERT INTO `lang_definitions` VALUES (5087, 2514, 3, 'Temporada de gripe');
INSERT INTO `lang_definitions` VALUES (5088, 2515, 3, 'Temporada de Gripe');
INSERT INTO `lang_definitions` VALUES (5089, 2516, 3, 'Vacunación gripe');
INSERT INTO `lang_definitions` VALUES (5090, 2517, 3, 'Problema de fluído y electrolito');
INSERT INTO `lang_definitions` VALUES (5091, 2518, 3, 'FMS');
INSERT INTO `lang_definitions` VALUES (5092, 2519, 3, 'Tamaño papel folio');
INSERT INTO `lang_definitions` VALUES (5093, 2520, 3, 'Seguir manualmente');
INSERT INTO `lang_definitions` VALUES (5094, 2521, 3, 'Siga estas instrucciones para instalar o actualizar la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (5095, 2522, 3, 'Seguimineto');
INSERT INTO `lang_definitions` VALUES (5096, 2524, 3, 'Motivo de seguimiento');
INSERT INTO `lang_definitions` VALUES (5097, 2525, 3, 'A continuación una nueva constante de cliente:');
INSERT INTO `lang_definitions` VALUES (5098, 2526, 3, 'A continuación un nuevo idioma de cliente:');
INSERT INTO `lang_definitions` VALUES (5099, 2527, 3, 'A continuación una nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (5100, 2529, 3, 'Servicios de seguimiento');
INSERT INTO `lang_definitions` VALUES (5101, 2530, 3, 'Seguimiento indicado');
INSERT INTO `lang_definitions` VALUES (5102, 2531, 3, 'Intolerancia del Alimento');
INSERT INTO `lang_definitions` VALUES (5103, 2532, 3, 'Pie');
INSERT INTO `lang_definitions` VALUES (5104, 2533, 3, 'Problemas en los píes');
INSERT INTO `lang_definitions` VALUES (5105, 2534, 3, 'Píe:');
INSERT INTO `lang_definitions` VALUES (5106, 2535, 3, 'Lesiones de fútbol');
INSERT INTO `lang_definitions` VALUES (5107, 2537, 3, 'Informe de lesión futbolística');
INSERT INTO `lang_definitions` VALUES (5108, 2538, 3, 'Tipo de calzado');
INSERT INTO `lang_definitions` VALUES (5109, 2539, 3, 'para');
INSERT INTO `lang_definitions` VALUES (5110, 2540, 3, 'Para');
INSERT INTO `lang_definitions` VALUES (5111, 2541, 3, 'Por Código');
INSERT INTO `lang_definitions` VALUES (5112, 2543, 3, 'Para reclamaciones de visita');
INSERT INTO `lang_definitions` VALUES (5113, 2544, 3, 'Por Ejemplo');
INSERT INTO `lang_definitions` VALUES (5114, 2547, 3, 'Por Factura');
INSERT INTO `lang_definitions` VALUES (5115, 2548, 3, 'Para Seguro médico sólo, obliga al facultativo de referencia a ser el mismo que el facultativo del representado.');
INSERT INTO `lang_definitions` VALUES (5116, 2552, 3, 'Para el profesional/Organizacion referida');
INSERT INTO `lang_definitions` VALUES (5117, 2553, 3, 'Por el pasado');
INSERT INTO `lang_definitions` VALUES (5118, 2554, 3, 'por variable');
INSERT INTO `lang_definitions` VALUES (5119, 2555, 3, 'para:');
INSERT INTO `lang_definitions` VALUES (5120, 2556, 3, 'Fuerza la apertura del widget de facturación');
INSERT INTO `lang_definitions` VALUES (5121, 2557, 3, 'Forzar Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (5122, 2559, 3, 'Antebrazo');
INSERT INTO `lang_definitions` VALUES (5123, 2560, 3, 'Formulario');
INSERT INTO `lang_definitions` VALUES (5124, 2561, 3, 'formulario');
INSERT INTO `lang_definitions` VALUES (5125, 2564, 3, 'Formato');
INSERT INTO `lang_definitions` VALUES (5126, 2565, 3, 'formato');
INSERT INTO `lang_definitions` VALUES (5127, 2567, 3, 'Formato incorrecto para el NDC');
INSERT INTO `lang_definitions` VALUES (5128, 2568, 3, 'Formato usado para la mayoría de fechas');
INSERT INTO `lang_definitions` VALUES (5129, 2569, 3, 'Formato usado para mostrar la mayoría de horas.');
INSERT INTO `lang_definitions` VALUES (5130, 2570, 3, 'Informe Formateado');
INSERT INTO `lang_definitions` VALUES (5131, 2571, 3, 'Ex-fumador');
INSERT INTO `lang_definitions` VALUES (5132, 2572, 3, 'Formularios');
INSERT INTO `lang_definitions` VALUES (5133, 2573, 3, 'Formas de administración');
INSERT INTO `lang_definitions` VALUES (5134, 2575, 3, 'Re-enviar');
INSERT INTO `lang_definitions` VALUES (5135, 2576, 3, 'Reenviar Páginas vía fax');
INSERT INTO `lang_definitions` VALUES (5136, 2577, 3, 'Remitido');
INSERT INTO `lang_definitions` VALUES (5137, 2579, 3, 'Cuarto');
INSERT INTO `lang_definitions` VALUES (5138, 2581, 3, 'Fractura');
INSERT INTO `lang_definitions` VALUES (5139, 2582, 3, 'Fractura de escafoides');
INSERT INTO `lang_definitions` VALUES (5140, 2583, 3, 'Fractura del maléolo lat.');
INSERT INTO `lang_definitions` VALUES (5141, 2584, 3, 'Fractura del maléolo tibial.');
INSERT INTO `lang_definitions` VALUES (5142, 2585, 3, 'Fractura de base quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (5143, 2587, 3, 'Francés');
INSERT INTO `lang_definitions` VALUES (5144, 2588, 3, 'Francés (Canadiense)');
INSERT INTO `lang_definitions` VALUES (5145, 2589, 3, 'Francés (Standard)');
INSERT INTO `lang_definitions` VALUES (5146, 2590, 3, 'Frecuencia');
INSERT INTO `lang_definitions` VALUES (5147, 2591, 3, 'Resfriados Frecuentes');
INSERT INTO `lang_definitions` VALUES (5148, 2592, 3, 'Enfermedades Frecuentes');
INSERT INTO `lang_definitions` VALUES (5149, 2593, 3, 'Viernes');
INSERT INTO `lang_definitions` VALUES (5150, 2594, 3, 'Viernes');
INSERT INTO `lang_definitions` VALUES (5151, 2595, 3, 'Desde');
INSERT INTO `lang_definitions` VALUES (5152, 2596, 3, 'DESDE');
INSERT INTO `lang_definitions` VALUES (5153, 2597, 3, 'desde');
INSERT INTO `lang_definitions` VALUES (5154, 2598, 3, 'Fecha desde no puede ser mayor que fecha hasta');
INSERT INTO `lang_definitions` VALUES (5155, 2599, 3, 'Desde:');
INSERT INTO `lang_definitions` VALUES (5156, 2600, 3, 'Desde: ');
INSERT INTO `lang_definitions` VALUES (5157, 2601, 3, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (5158, 2603, 3, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (5159, 2604, 3, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (5160, 2605, 3, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (5161, 2607, 3, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (5162, 2608, 3, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (5163, 2609, 3, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (5164, 2610, 3, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (5165, 2611, 3, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (5166, 2612, 3, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (5167, 2613, 3, 'Oficina central');
INSERT INTO `lang_definitions` VALUES (5168, 2614, 3, 'Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (5169, 2615, 3, 'Reportes de Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (5170, 2616, 3, 'Rec. Oficina Central');
INSERT INTO `lang_definitions` VALUES (5171, 2617, 3, 'La derecha frontal:');
INSERT INTO `lang_definitions` VALUES (5172, 2619, 3, 'Nombre Completo');
INSERT INTO `lang_definitions` VALUES (5173, 2620, 3, 'Ruta completa del directorio que contiene los ejecutables MySQL.');
INSERT INTO `lang_definitions` VALUES (5174, 2621, 3, 'Ruta completa del directorio que contiene los ejecutables Perl.');
INSERT INTO `lang_definitions` VALUES (5175, 2622, 3, 'Ruta completa del directorio para log de eventos de backup');
INSERT INTO `lang_definitions` VALUES (5176, 2623, 3, 'Ruta completa del directorio usado para ficheros temporales');
INSERT INTO `lang_definitions` VALUES (5177, 2624, 3, 'Juego completo');
INSERT INTO `lang_definitions` VALUES (5178, 2625, 3, 'Entrenamiento completo');
INSERT INTO `lang_definitions` VALUES (5179, 2626, 3, 'Pagado Total');
INSERT INTO `lang_definitions` VALUES (5180, 2633, 3, 'G');
INSERT INTO `lang_definitions` VALUES (5181, 2634, 3, 'G/DL');
INSERT INTO `lang_definitions` VALUES (5182, 2636, 3, 'Afección de la vesícula biliar');
INSERT INTO `lang_definitions` VALUES (5183, 2637, 3, 'Piedras en la vesícula');
INSERT INTO `lang_definitions` VALUES (5184, 2638, 3, 'Periodo de Juego');
INSERT INTO `lang_definitions` VALUES (5185, 2639, 3, 'Juegos');
INSERT INTO `lang_definitions` VALUES (5186, 2640, 3, 'Juegos faltados');
INSERT INTO `lang_definitions` VALUES (5187, 2641, 3, 'juegos/eventos');
INSERT INTO `lang_definitions` VALUES (5188, 2642, 3, 'Juegos/Eventos perdidos');
INSERT INTO `lang_definitions` VALUES (5189, 2644, 3, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (5190, 2645, 3, 'Dolor Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (5191, 2646, 3, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (5192, 2647, 3, 'Informe de estadísticas del GCAC');
INSERT INTO `lang_definitions` VALUES (5193, 2648, 3, 'Estadísticas GCAC');
INSERT INTO `lang_definitions` VALUES (5194, 2649, 3, 'Falta la forma de la visita del GCAC');
INSERT INTO `lang_definitions` VALUES (5195, 2650, 3, 'Género');
INSERT INTO `lang_definitions` VALUES (5196, 2651, 3, 'Género ');
INSERT INTO `lang_definitions` VALUES (5197, 2652, 3, 'General');
INSERT INTO `lang_definitions` VALUES (5198, 2655, 3, 'Categoría de servicio general');
INSERT INTO `lang_definitions` VALUES (5199, 2657, 3, 'Generar y Descargar');
INSERT INTO `lang_definitions` VALUES (5200, 2658, 3, 'Generar y descargar HCFA 1500 reclamaciones en papel');
INSERT INTO `lang_definitions` VALUES (5201, 2659, 3, 'Generar y descargar batch X12');
INSERT INTO `lang_definitions` VALUES (5202, 2660, 3, 'Generar y descargar batch X12 de reclamación por visita');
INSERT INTO `lang_definitions` VALUES (5203, 2663, 3, 'Generar y transmitir electrónicamente las recetas autorizadas.');
INSERT INTO `lang_definitions` VALUES (5204, 2664, 3, 'Generar formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (5205, 2665, 3, 'Generar formulario CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (5206, 2666, 3, 'Generar formulario CMS 1500 TEXTO');
INSERT INTO `lang_definitions` VALUES (5207, 2667, 3, 'Genere HCFA');
INSERT INTO `lang_definitions` VALUES (5208, 2668, 3, 'Generar factura');
INSERT INTO `lang_definitions` VALUES (5209, 2669, 3, 'Genere la Carta');
INSERT INTO `lang_definitions` VALUES (5210, 2670, 3, 'Generar carta relacionada ');
INSERT INTO `lang_definitions` VALUES (5211, 2671, 3, 'Generar informe PQRI (Método A)');
INSERT INTO `lang_definitions` VALUES (5212, 2673, 3, 'Generar informe PQRI (Método E)');
INSERT INTO `lang_definitions` VALUES (5213, 2677, 3, 'Generar informe');
INSERT INTO `lang_definitions` VALUES (5214, 2678, 3, 'Generar usuario y contraseña para');
INSERT INTO `lang_definitions` VALUES (5215, 2679, 3, 'Generar X12');
INSERT INTO `lang_definitions` VALUES (5216, 2680, 3, 'Generar visita X12');
INSERT INTO `lang_definitions` VALUES (5217, 2682, 3, 'Generado en');
INSERT INTO `lang_definitions` VALUES (5218, 2683, 3, 'genera');
INSERT INTO `lang_definitions` VALUES (5219, 2684, 3, 'Genitourinario');
INSERT INTO `lang_definitions` VALUES (5220, 2687, 3, 'Alemán');
INSERT INTO `lang_definitions` VALUES (5221, 2691, 3, 'Obtener HL7');
INSERT INTO `lang_definitions` VALUES (5222, 2692, 3, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (5223, 2693, 3, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (5224, 2694, 3, 'Global');
INSERT INTO `lang_definitions` VALUES (5225, 2696, 3, 'ID Global');
INSERT INTO `lang_definitions` VALUES (5226, 2697, 3, 'Ajustes Globales');
INSERT INTO `lang_definitions` VALUES (5227, 2698, 3, 'Globales');
INSERT INTO `lang_definitions` VALUES (5228, 2699, 3, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (5229, 2700, 3, 'ir');
INSERT INTO `lang_definitions` VALUES (5230, 2701, 3, 'Ir');
INSERT INTO `lang_definitions` VALUES (5231, 2704, 3, 'Ir a');
INSERT INTO `lang_definitions` VALUES (5232, 2705, 3, 'Ir a la semana del');
INSERT INTO `lang_definitions` VALUES (5233, 2706, 3, 'Ir hoy');
INSERT INTO `lang_definitions` VALUES (5234, 2711, 3, 'Grado de la lesión');
INSERT INTO `lang_definitions` VALUES (5235, 2712, 3, 'Grado:');
INSERT INTO `lang_definitions` VALUES (5236, 2713, 3, 'Gramos');
INSERT INTO `lang_definitions` VALUES (5237, 2714, 3, 'Suma total');
INSERT INTO `lang_definitions` VALUES (5238, 2715, 3, 'Sumas totales');
INSERT INTO `lang_definitions` VALUES (5239, 2718, 3, 'Posibilidad de gráfico');
INSERT INTO `lang_definitions` VALUES (5240, 2720, 3, 'Mayor que');
INSERT INTO `lang_definitions` VALUES (5241, 2721, 3, 'Mayor que o Igual a');
INSERT INTO `lang_definitions` VALUES (5242, 2722, 3, 'Griego');
INSERT INTO `lang_definitions` VALUES (5243, 2724, 3, 'Grupo');
INSERT INTO `lang_definitions` VALUES (5244, 2725, 3, 'Nombre de Grupo');
INSERT INTO `lang_definitions` VALUES (5245, 2726, 3, 'Los nombres de los grupos no pueden quedar en blanco');
INSERT INTO `lang_definitions` VALUES (5246, 2727, 3, 'Los nombres de los grupos no pueden iniciar con números');
INSERT INTO `lang_definitions` VALUES (5247, 2728, 3, 'Los nombres de grupo no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (5248, 2729, 3, 'Número de grupo');
INSERT INTO `lang_definitions` VALUES (5249, 2730, 3, 'Grupo de pago');
INSERT INTO `lang_definitions` VALUES (5250, 2731, 3, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (5251, 2732, 3, 'Nombre del grupo');
INSERT INTO `lang_definitions` VALUES (5252, 2733, 3, 'Controles de grupos y accesos');
INSERT INTO `lang_definitions` VALUES (5253, 2734, 3, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (5254, 2735, 3, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (5255, 2736, 3, 'gtts (gotas)');
INSERT INTO `lang_definitions` VALUES (5256, 2737, 3, 'Guamés');
INSERT INTO `lang_definitions` VALUES (5257, 2739, 3, 'Nombre del tutor');
INSERT INTO `lang_definitions` VALUES (5258, 2741, 3, 'Examen ginecológico');
INSERT INTO `lang_definitions` VALUES (5259, 2742, 3, 'h');
INSERT INTO `lang_definitions` VALUES (5260, 2743, 3, 'h.s.');
INSERT INTO `lang_definitions` VALUES (5261, 2744, 3, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (5262, 2745, 3, 'se ha suprimido con éxito. Cualquier sub-categorías si fueron trasladados abajo');
INSERT INTO `lang_definitions` VALUES (5263, 2746, 3, 'Hematoma/moratón');
INSERT INTO `lang_definitions` VALUES (5264, 2747, 3, 'HAI Estado');
INSERT INTO `lang_definitions` VALUES (5265, 2750, 3, 'manos + dedos');
INSERT INTO `lang_definitions` VALUES (5266, 2751, 3, 'Problemas de manos');
INSERT INTO `lang_definitions` VALUES (5267, 2752, 3, 'Disco Duro');
INSERT INTO `lang_definitions` VALUES (5268, 2753, 3, 'Dificultad sin');
INSERT INTO `lang_definitions` VALUES (5269, 2754, 3, 'se ha ligado para visitar');
INSERT INTO `lang_definitions` VALUES (5270, 2755, 3, 'ha expirado');
INSERT INTO `lang_definitions` VALUES (5271, 2756, 3, 'Función Hash');
INSERT INTO `lang_definitions` VALUES (5272, 2757, 3, 'No existe hash para este fichero. Un nuevo hash será generado.');
INSERT INTO `lang_definitions` VALUES (5273, 2758, 3, 'Hash no coincide. La integridad de datos se ha visto comprometida.');
INSERT INTO `lang_definitions` VALUES (5274, 2760, 3, 'Hawaiano');
INSERT INTO `lang_definitions` VALUES (5275, 2761, 3, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (5276, 2762, 3, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (5277, 2763, 3, 'Margen izquierdo de HCFA en puntos');
INSERT INTO `lang_definitions` VALUES (5278, 2764, 3, 'Márgenes de HCFA');
INSERT INTO `lang_definitions` VALUES (5279, 2765, 3, 'Margen superior en puntos de HCFA');
INSERT INTO `lang_definitions` VALUES (5280, 2766, 3, 'Procedimiento/Servicio HCPCS');
INSERT INTO `lang_definitions` VALUES (5281, 2767, 3, 'PostCalendar ');
INSERT INTO `lang_definitions` VALUES (5282, 2768, 3, 'Cabeza');
INSERT INTO `lang_definitions` VALUES (5283, 2769, 3, 'Jefe Circ');
INSERT INTO `lang_definitions` VALUES (5284, 2770, 3, 'Circunferencia de la cabeza');
INSERT INTO `lang_definitions` VALUES (5285, 2771, 3, 'Dolor de cabeza');
INSERT INTO `lang_definitions` VALUES (5286, 2772, 3, 'Dolores de cabeza');
INSERT INTO `lang_definitions` VALUES (5287, 2773, 3, 'Operaciones de atención médica');
INSERT INTO `lang_definitions` VALUES (5288, 2774, 3, 'Operaciones de Atención Médica');
INSERT INTO `lang_definitions` VALUES (5289, 2775, 3, 'Centro de salud/clínica');
INSERT INTO `lang_definitions` VALUES (5290, 2776, 3, 'Organización para el mantenimiento de la salud');
INSERT INTO `lang_definitions` VALUES (5291, 2777, 3, 'Riesgo de Seguro médico de la organización de mantenimiento de salud (HMO)');
INSERT INTO `lang_definitions` VALUES (5292, 2778, 3, 'Pérdida de Oído');
INSERT INTO `lang_definitions` VALUES (5293, 2779, 3, 'Ataque al Corazón');
INSERT INTO `lang_definitions` VALUES (5294, 2780, 3, 'Enfermedad del corazón');
INSERT INTO `lang_definitions` VALUES (5295, 2781, 3, 'Fallo cardiaco');
INSERT INTO `lang_definitions` VALUES (5296, 2782, 3, 'Problema del Corazón');
INSERT INTO `lang_definitions` VALUES (5297, 2783, 3, 'Problemas de corazón');
INSERT INTO `lang_definitions` VALUES (5298, 2784, 3, 'Cirugía del Corazón');
INSERT INTO `lang_definitions` VALUES (5299, 2785, 3, 'Transplante de corazón');
INSERT INTO `lang_definitions` VALUES (5300, 2786, 3, 'CORAZÓN:');
INSERT INTO `lang_definitions` VALUES (5301, 2787, 3, 'Ardor de estómago');
INSERT INTO `lang_definitions` VALUES (5302, 2788, 3, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (5303, 2789, 3, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (5304, 2791, 3, 'Hebreo');
INSERT INTO `lang_definitions` VALUES (5305, 2793, 3, 'HEENT');
INSERT INTO `lang_definitions` VALUES (5306, 2794, 3, 'Altura');
INSERT INTO `lang_definitions` VALUES (5307, 2796, 3, 'Ayuda');
INSERT INTO `lang_definitions` VALUES (5308, 2797, 3, 'ayuda');
INSERT INTO `lang_definitions` VALUES (5309, 2798, 3, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (5310, 2799, 3, 'Hematoquecia');
INSERT INTO `lang_definitions` VALUES (5311, 2800, 3, 'Hematológico');
INSERT INTO `lang_definitions` VALUES (5312, 2801, 3, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (5313, 2802, 3, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (5314, 2803, 3, 'Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (5315, 2804, 3, 'Hemoptisis');
INSERT INTO `lang_definitions` VALUES (5316, 2805, 3, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (5317, 2806, 3, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (5318, 2807, 3, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (5319, 2808, 3, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (5320, 2809, 3, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (5321, 2810, 3, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (5322, 2811, 3, 'aqui');
INSERT INTO `lang_definitions` VALUES (5323, 2813, 3, 'Reparación de la hernia');
INSERT INTO `lang_definitions` VALUES (5324, 2814, 3, 'disco herniado');
INSERT INTO `lang_definitions` VALUES (5325, 2815, 3, 'Herpes');
INSERT INTO `lang_definitions` VALUES (5326, 2816, 3, 'Vacilación');
INSERT INTO `lang_definitions` VALUES (5327, 2817, 3, 'Ey, tú. has estado aquí para ');
INSERT INTO `lang_definitions` VALUES (5328, 2818, 3, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (5329, 2819, 3, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (5330, 2820, 3, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (5331, 2821, 3, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (5332, 2822, 3, 'Oculto');
INSERT INTO `lang_definitions` VALUES (5333, 2823, 3, 'Administración de eventos ocultos');
INSERT INTO `lang_definitions` VALUES (5334, 2824, 3, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (5335, 2825, 3, 'Ocultar detalles');
INSERT INTO `lang_definitions` VALUES (5336, 2827, 3, 'Ocultar Opciones Encriptación/Desencriptación en Documento de Gestión');
INSERT INTO `lang_definitions` VALUES (5337, 2828, 3, 'Ocultar Menú');
INSERT INTO `lang_definitions` VALUES (5338, 2830, 3, 'Ocultar avisos');
INSERT INTO `lang_definitions` VALUES (5339, 2831, 3, 'Ocultar/Mostrar Columnas');
INSERT INTO `lang_definitions` VALUES (5340, 2833, 3, 'Alto');
INSERT INTO `lang_definitions` VALUES (5341, 2834, 3, 'Presión Sanguínea Alta');
INSERT INTO `lang_definitions` VALUES (5342, 2835, 3, 'Indú');
INSERT INTO `lang_definitions` VALUES (5343, 2836, 3, 'Cadera + ingle');
INSERT INTO `lang_definitions` VALUES (5344, 2837, 3, 'Cadera y ingle');
INSERT INTO `lang_definitions` VALUES (5345, 2838, 3, 'Problemas de cadera');
INSERT INTO `lang_definitions` VALUES (5346, 2839, 3, 'Reemplazo de Cadera');
INSERT INTO `lang_definitions` VALUES (5347, 2840, 3, 'Aviso Recibido de HIPPA');
INSERT INTO `lang_definitions` VALUES (5348, 2842, 3, 'Hirsutismo/Estrías');
INSERT INTO `lang_definitions` VALUES (5349, 2843, 3, 'Hispano');
INSERT INTO `lang_definitions` VALUES (5350, 2844, 3, 'Hispano - Otro (Nacido en USA)');
INSERT INTO `lang_definitions` VALUES (5351, 2845, 3, 'Hispano - Otro (Nacido fuera de USA)');
INSERT INTO `lang_definitions` VALUES (5352, 2846, 3, 'Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (5353, 2847, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (5354, 2848, 3, 'Historia de Datos');
INSERT INTO `lang_definitions` VALUES (5355, 2849, 3, 'Fecha historia');
INSERT INTO `lang_definitions` VALUES (5356, 2851, 3, 'Historia de Murmullos');
INSERT INTO `lang_definitions` VALUES (5357, 2852, 3, 'Historia no autorizada');
INSERT INTO `lang_definitions` VALUES (5358, 2853, 3, 'Historia de los Murmullos de Corazón');
INSERT INTO `lang_definitions` VALUES (5359, 2854, 3, 'Hits');
INSERT INTO `lang_definitions` VALUES (5360, 2855, 3, 'HIV');
INSERT INTO `lang_definitions` VALUES (5361, 2858, 3, 'Visor HL7');
INSERT INTO `lang_definitions` VALUES (5362, 2860, 3, 'HMO/L');
INSERT INTO `lang_definitions` VALUES (5363, 2861, 3, 'Hmong');
INSERT INTO `lang_definitions` VALUES (5364, 2862, 3, 'Mantener pulsado [Ctrl] para múltiples selecciones o desmarcados');
INSERT INTO `lang_definitions` VALUES (5365, 2863, 3, 'Mantener pulsado Ctrl para seleccionar múltiples elementos');
INSERT INTO `lang_definitions` VALUES (5366, 2864, 3, 'Mantenga presionada la tecla CTRL para seleccionar varios escuadrones');
INSERT INTO `lang_definitions` VALUES (5367, 2865, 3, 'Inicio');
INSERT INTO `lang_definitions` VALUES (5368, 2866, 3, 'Teléfono de casa');
INSERT INTO `lang_definitions` VALUES (5369, 2867, 3, 'Número de Teléfono de Casa');
INSERT INTO `lang_definitions` VALUES (5370, 2868, 3, 'Sin hogar o similares?');
INSERT INTO `lang_definitions` VALUES (5371, 2869, 3, 'Sin hogar, etc.');
INSERT INTO `lang_definitions` VALUES (5372, 2870, 3, 'Sin hogar, etc');
INSERT INTO `lang_definitions` VALUES (5373, 2872, 3, 'Nombre de Huesped');
INSERT INTO `lang_definitions` VALUES (5374, 2873, 3, 'El nombre del huesped no puede estar vacio');
INSERT INTO `lang_definitions` VALUES (5375, 2875, 3, 'Hora');
INSERT INTO `lang_definitions` VALUES (5376, 2876, 3, 'Horas');
INSERT INTO `lang_definitions` VALUES (5377, 2878, 3, '¿Cómo ocurrió la lesión?');
INSERT INTO `lang_definitions` VALUES (5378, 2879, 3, '¿Cómo ocurrió la lesión?:');
INSERT INTO `lang_definitions` VALUES (5379, 2880, 3, 'Como nos ha conocido');
INSERT INTO `lang_definitions` VALUES (5380, 2881, 3, '¿Cuántos meses de antelación a la consulta para los próximos eventos?');
INSERT INTO `lang_definitions` VALUES (5381, 2882, 3, 'HPI:');
INSERT INTO `lang_definitions` VALUES (5382, 2883, 3, 'Altura');
INSERT INTO `lang_definitions` VALUES (5383, 2884, 3, 'HTML');
INSERT INTO `lang_definitions` VALUES (5384, 2886, 3, 'Vínculo Https segurizado para el soporte LibreEHR LLC Laboratorio de intercambio de sevicio.');
INSERT INTO `lang_definitions` VALUES (5385, 2887, 3, 'Húngaro');
INSERT INTO `lang_definitions` VALUES (5386, 2888, 3, 'Hylafax Directorio');
INSERT INTO `lang_definitions` VALUES (5387, 2889, 3, 'Hylafax Commando Enscript');
INSERT INTO `lang_definitions` VALUES (5388, 2890, 3, 'Hylafax Servidor');
INSERT INTO `lang_definitions` VALUES (5389, 2891, 3, 'Hylafax Servidor Hostname');
INSERT INTO `lang_definitions` VALUES (5390, 2892, 3, 'Hiperactivo');
INSERT INTO `lang_definitions` VALUES (5391, 2893, 3, 'Hipertensión');
INSERT INTO `lang_definitions` VALUES (5392, 2894, 3, 'Hipertensión: Medida de presión arterial');
INSERT INTO `lang_definitions` VALUES (5393, 2895, 3, 'Hipertensión: Medida de presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (5394, 2896, 3, 'Hipertiroidismo');
INSERT INTO `lang_definitions` VALUES (5395, 2897, 3, 'Hipotiroidismo');
INSERT INTO `lang_definitions` VALUES (5396, 2898, 3, 'Histerectomía');
INSERT INTO `lang_definitions` VALUES (5397, 2899, 3, 'I');
INSERT INTO `lang_definitions` VALUES (5398, 2900, 3, 'Estoy ocupado durante este periodo.');
INSERT INTO `lang_definitions` VALUES (5399, 2901, 3, 'No tengo permiso para leer ');
INSERT INTO `lang_definitions` VALUES (5400, 2902, 3, 'CIE');
INSERT INTO `lang_definitions` VALUES (5401, 2903, 3, 'Diagnóstico ICD10');
INSERT INTO `lang_definitions` VALUES (5402, 2904, 3, 'Procedimiento/Servicio ICD10');
INSERT INTO `lang_definitions` VALUES (5403, 2905, 3, 'CIE9');
INSERT INTO `lang_definitions` VALUES (5404, 2906, 3, 'Diagnóstico ICD9');
INSERT INTO `lang_definitions` VALUES (5405, 2907, 3, 'Procedimiento/Servicio ICD9');
INSERT INTO `lang_definitions` VALUES (5406, 2909, 3, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (5407, 2910, 3, 'Id');
INSERT INTO `lang_definitions` VALUES (5408, 2911, 3, 'La ID no puede quedar en blanco');
INSERT INTO `lang_definitions` VALUES (5409, 2912, 3, 'Tarjeta ID');
INSERT INTO `lang_definitions` VALUES (5410, 2913, 3, 'IDays');
INSERT INTO `lang_definitions` VALUES (5411, 2914, 3, 'identificado como');
INSERT INTO `lang_definitions` VALUES (5412, 2915, 3, 'Identificador (una palabra)');
INSERT INTO `lang_definitions` VALUES (5413, 2917, 3, 'Tiempo de espera inactivo en segundos');
INSERT INTO `lang_definitions` VALUES (5414, 2919, 3, 'Si todos los datos para todas las columnas están completos para este formulario');
INSERT INTO `lang_definitions` VALUES (5415, 2920, 3, 'Si la justificación de facturación se utiliza introduzca el nombre del código de tipo de diagnóstico.');
INSERT INTO `lang_definitions` VALUES (5416, 2921, 3, 'Si es introducido, seleccione solamente aquel que ha tenido este servicio');
INSERT INTO `lang_definitions` VALUES (5417, 2922, 3, 'Si el nombre, apellido de cualquier parte o apellido, Nombre');
INSERT INTO `lang_definitions` VALUES (5418, 2923, 3, 'Si pagando por');
INSERT INTO `lang_definitions` VALUES (5419, 2924, 3, 'Si la persona ha fallecido, introducir la fecha de la muerte.');
INSERT INTO `lang_definitions` VALUES (5420, 2925, 3, 'Si usa SMTP, nombre del servidor host o la dirección IP.');
INSERT INTO `lang_definitions` VALUES (5421, 2926, 3, 'Si usa SMTP, puerto TCP del servidor (normalmente 25).');
INSERT INTO `lang_definitions` VALUES (5422, 2927, 3, 'Si no tiene trabajo, poner Estudiante');
INSERT INTO `lang_definitions` VALUES (5423, 2929, 3, 'Si cambia el rol de la ePrescripción de receta electrónica, puede afectar al flujo de la ePrescripción. Frente a cualquier dificultad, contacte con su prescriptor de ePrescripción.');
INSERT INTO `lang_definitions` VALUES (5424, 2931, 3, 'Si ha elegido adjuntar las remesas electrónicas, entonces la ventana de búsqueda se vuelve a mostrar con las facturas correspondientes al fichero X12. Puede hacer click en cualquiera de estos números de factura (como se describe a continuación) si desea hacer las correcciones antes de enviar la remesa. Para aplicar los cambios, haga click en el botón de procesar ficheros ERA en la parte inferior de la pantalla. Esto generará una nueva ventana con un informe detallado.');
INSERT INTO `lang_definitions` VALUES (5425, 2932, 3, 'Si ha introducido una Fecha de Pago en la página de búsqueda, esto sobreescribirá la fecha de contabilización de los pagos y ajustes que de otro modo son tomados del fichero X12. Esto puede ser útil para los informes, si usted quiere que sus informes de recetas usen su fecha en lugar que la de proceso de la Sociedad Médica. Recuerde que esto también afectará a las fechas de pagos anteriores y a los ajustes que se ponen en reclamaciones secundarias.');
INSERT INTO `lang_definitions` VALUES (5426, 2933, 3, 'Si quiere cambiar tipos de datos, o añadir filas o columnas');
INSERT INTO `lang_definitions` VALUES (5427, 2934, 3, 'Si quiere actualizar la base de datos, coloque el fichero comprimido de base de datos en el siguiente directorio');
INSERT INTO `lang_definitions` VALUES (5428, 2936, 3, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (5429, 2937, 3, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (5430, 2938, 3, 'IM');
INSERT INTO `lang_definitions` VALUES (5431, 2941, 3, 'Servicio de imágenes');
INSERT INTO `lang_definitions` VALUES (5432, 2942, 3, 'Vacunación');
INSERT INTO `lang_definitions` VALUES (5433, 2943, 3, 'Código Vacunación');
INSERT INTO `lang_definitions` VALUES (5434, 2945, 3, 'Fecha Vacunación');
INSERT INTO `lang_definitions` VALUES (5435, 2947, 3, 'Número de lote Vacunación');
INSERT INTO `lang_definitions` VALUES (5436, 2948, 3, 'Fabricante de Vacunación');
INSERT INTO `lang_definitions` VALUES (5437, 2949, 3, 'Registro Vacunación');
INSERT INTO `lang_definitions` VALUES (5438, 2951, 3, 'Servicio de Vacunación');
INSERT INTO `lang_definitions` VALUES (5439, 2952, 3, 'Título Vacunación');
INSERT INTO `lang_definitions` VALUES (5440, 2953, 3, 'Vacunaciones');
INSERT INTO `lang_definitions` VALUES (5441, 2954, 3, 'Vacunar');
INSERT INTO `lang_definitions` VALUES (5442, 2955, 3, 'Inmunológicas');
INSERT INTO `lang_definitions` VALUES (5443, 2956, 3, 'Implantes');
INSERT INTO `lang_definitions` VALUES (5444, 2957, 3, 'Importar');
INSERT INTO `lang_definitions` VALUES (5445, 2961, 3, 'Importarr el certificado al buscador');
INSERT INTO `lang_definitions` VALUES (5446, 2962, 3, 'Importar configuración');
INSERT INTO `lang_definitions` VALUES (5447, 2964, 3, 'Importar Paciente');
INSERT INTO `lang_definitions` VALUES (5448, 2965, 3, 'Importar Demográficos del Paciente');
INSERT INTO `lang_definitions` VALUES (5449, 2966, 3, 'Códigos importantes');
INSERT INTO `lang_definitions` VALUES (5450, 2969, 3, 'Importados de Contabilidad');
INSERT INTO `lang_definitions` VALUES (5451, 2972, 3, 'Mejorado');
INSERT INTO `lang_definitions` VALUES (5452, 2973, 3, 'ingreso');
INSERT INTO `lang_definitions` VALUES (5453, 2974, 3, 'ingreso');
INSERT INTO `lang_definitions` VALUES (5454, 2975, 3, 'dentro de cada ojo');
INSERT INTO `lang_definitions` VALUES (5455, 2976, 3, 'en ojo izquierdo');
INSERT INTO `lang_definitions` VALUES (5456, 2977, 3, 'en los agujeros de la nariz');
INSERT INTO `lang_definitions` VALUES (5457, 2978, 3, 'Entrada');
INSERT INTO `lang_definitions` VALUES (5458, 2979, 3, 'en ojo derecho');
INSERT INTO `lang_definitions` VALUES (5459, 2980, 3, 'Dentro de la empresa');
INSERT INTO `lang_definitions` VALUES (5460, 2981, 3, 'Inactivo');
INSERT INTO `lang_definitions` VALUES (5461, 2982, 3, 'Días no activo');
INSERT INTO `lang_definitions` VALUES (5462, 2983, 3, 'Entrada');
INSERT INTO `lang_definitions` VALUES (5463, 2986, 3, 'Incluya checksum');
INSERT INTO `lang_definitions` VALUES (5464, 2987, 3, 'Incluya completado');
INSERT INTO `lang_definitions` VALUES (5465, 2988, 3, 'Incluir los usuarios inactivos');
INSERT INTO `lang_definitions` VALUES (5466, 2989, 3, 'Incluir a un no clasificado');
INSERT INTO `lang_definitions` VALUES (5467, 2990, 3, 'Incluir datos no estructurados');
INSERT INTO `lang_definitions` VALUES (5468, 2991, 3, 'Incluir constantes vitales');
INSERT INTO `lang_definitions` VALUES (5469, 2992, 3, '¿Incluir las constantes vitales?');
INSERT INTO `lang_definitions` VALUES (5470, 2993, 3, 'Inclusión');
INSERT INTO `lang_definitions` VALUES (5471, 2994, 3, 'Ingresos');
INSERT INTO `lang_definitions` VALUES (5472, 2996, 3, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (5473, 2997, 3, 'Tratamiento Aborto incompleto');
INSERT INTO `lang_definitions` VALUES (5474, 2998, 3, 'Incontinencia');
INSERT INTO `lang_definitions` VALUES (5475, 2999, 3, 'Incorporar resultados clínicos del test de laboratorio al certificado tecnológico EHR como estructura');
INSERT INTO `lang_definitions` VALUES (5476, 3001, 3, 'aumentado:');
INSERT INTO `lang_definitions` VALUES (5477, 3002, 3, 'Seguro de Indemnización');
INSERT INTO `lang_definitions` VALUES (5478, 3003, 3, 'indeterminado');
INSERT INTO `lang_definitions` VALUES (5479, 3004, 3, 'Indio');
INSERT INTO `lang_definitions` VALUES (5480, 3005, 3, 'Indica anormalidad');
INSERT INTO `lang_definitions` VALUES (5481, 3006, 3, 'Indica si esta incidencia está activa');
INSERT INTO `lang_definitions` VALUES (5482, 3008, 3, 'Indicador de uso especializado');
INSERT INTO `lang_definitions` VALUES (5483, 3009, 3, 'Pacientes indigentes');
INSERT INTO `lang_definitions` VALUES (5484, 3010, 3, 'Informe de Pacientes Indigentes');
INSERT INTO `lang_definitions` VALUES (5485, 3011, 3, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (5486, 3014, 3, 'Aborto Inducido');
INSERT INTO `lang_definitions` VALUES (5487, 3016, 3, 'Ilegible');
INSERT INTO `lang_definitions` VALUES (5488, 3017, 3, 'Infección/abceso');
INSERT INTO `lang_definitions` VALUES (5489, 3018, 3, 'Infecciones');
INSERT INTO `lang_definitions` VALUES (5490, 3019, 3, 'Consejo Infertilidad');
INSERT INTO `lang_definitions` VALUES (5491, 3020, 3, 'Infertilidad');
INSERT INTO `lang_definitions` VALUES (5492, 3021, 3, 'Gripe 1');
INSERT INTO `lang_definitions` VALUES (5493, 3022, 3, 'Gripe 2');
INSERT INTO `lang_definitions` VALUES (5494, 3023, 3, 'Vacunación gripe p/ pacientes may.50 años');
INSERT INTO `lang_definitions` VALUES (5495, 3024, 3, 'Vacunación gripe p/ pacientes may.50 años (GCC)');
INSERT INTO `lang_definitions` VALUES (5496, 3025, 3, 'Vacuna gripe');
INSERT INTO `lang_definitions` VALUES (5497, 3026, 3, 'Información');
INSERT INTO `lang_definitions` VALUES (5498, 3027, 3, 'Información de ensayo 1');
INSERT INTO `lang_definitions` VALUES (5499, 3028, 3, 'Información de ensayo 2');
INSERT INTO `lang_definitions` VALUES (5500, 3029, 3, 'Información de ensayo 3');
INSERT INTO `lang_definitions` VALUES (5501, 3030, 3, 'Información de ensayo 4');
INSERT INTO `lang_definitions` VALUES (5502, 3031, 3, 'Información de ensayo 5');
INSERT INTO `lang_definitions` VALUES (5503, 3032, 3, 'Información de ensayo 6');
INSERT INTO `lang_definitions` VALUES (5504, 3034, 3, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (5505, 3035, 3, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (5506, 3037, 3, 'Usuario Inicial');
INSERT INTO `lang_definitions` VALUES (5507, 3038, 3, 'Lesión/Rehabilitación');
INSERT INTO `lang_definitions` VALUES (5508, 3039, 3, 'Inyectables');
INSERT INTO `lang_definitions` VALUES (5509, 3040, 3, 'Inyeccion');
INSERT INTO `lang_definitions` VALUES (5510, 3041, 3, 'Parte del cuerpo lesionada');
INSERT INTO `lang_definitions` VALUES (5511, 3042, 3, 'Herido a Fuera');
INSERT INTO `lang_definitions` VALUES (5512, 3043, 3, 'Herido');
INSERT INTO `lang_definitions` VALUES (5513, 3044, 3, 'Mecanismo de lesión');
INSERT INTO `lang_definitions` VALUES (5514, 3045, 3, 'Informe General de lesión');
INSERT INTO `lang_definitions` VALUES (5515, 3046, 3, 'Vigilancia de Lesiones');
INSERT INTO `lang_definitions` VALUES (5516, 3047, 3, 'Tipo de lesión');
INSERT INTO `lang_definitions` VALUES (5517, 3048, 3, 'Relacionado a lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (5518, 3051, 3, 'Campos de entrada');
INSERT INTO `lang_definitions` VALUES (5519, 3052, 3, 'Tiempo Protrombina');
INSERT INTO `lang_definitions` VALUES (5520, 3053, 3, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (5521, 3054, 3, 'Ins 2 o Ins 3');
INSERT INTO `lang_definitions` VALUES (5522, 3056, 3, 'Ajuste Seg');
INSERT INTO `lang_definitions` VALUES (5523, 3057, 3, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (5524, 3058, 3, 'Código Aseguradora');
INSERT INTO `lang_definitions` VALUES (5525, 3061, 3, 'Sobre pago Seg');
INSERT INTO `lang_definitions` VALUES (5526, 3063, 3, 'Reembolso Seg');
INSERT INTO `lang_definitions` VALUES (5527, 3064, 3, 'Resumen Seg');
INSERT INTO `lang_definitions` VALUES (5528, 3065, 3, 'Seg1');
INSERT INTO `lang_definitions` VALUES (5529, 3066, 3, 'Seg2');
INSERT INTO `lang_definitions` VALUES (5530, 3067, 3, 'Seg3');
INSERT INTO `lang_definitions` VALUES (5531, 3069, 3, 'Insertar fallido: ');
INSERT INTO `lang_definitions` VALUES (5532, 3070, 3, 'Introduzca los eventos antiguos en tablas');
INSERT INTO `lang_definitions` VALUES (5533, 3072, 3, 'Insomnio');
INSERT INTO `lang_definitions` VALUES (5534, 3074, 3, 'Inspección');
INSERT INTO `lang_definitions` VALUES (5535, 3075, 3, 'Inestabilidad/subluxación');
INSERT INTO `lang_definitions` VALUES (5536, 3076, 3, 'INSTALAR');
INSERT INTO `lang_definitions` VALUES (5537, 3077, 3, 'Instalar');
INSERT INTO `lang_definitions` VALUES (5538, 3079, 3, 'Instalar DB');
INSERT INTO `lang_definitions` VALUES (5539, 3080, 3, 'Versión instalada');
INSERT INTO `lang_definitions` VALUES (5540, 3081, 3, 'instrucciones');
INSERT INTO `lang_definitions` VALUES (5541, 3082, 3, 'Instrucción');
INSERT INTO `lang_definitions` VALUES (5542, 3084, 3, 'instrucciones:');
INSERT INTO `lang_definitions` VALUES (5543, 3085, 3, 'Inventario insuficiente para ID producto');
INSERT INTO `lang_definitions` VALUES (5544, 3086, 3, 'Diabetes insulino dependente');
INSERT INTO `lang_definitions` VALUES (5545, 3087, 3, 'Seguro');
INSERT INTO `lang_definitions` VALUES (5546, 3088, 3, 'Seguro');
INSERT INTO `lang_definitions` VALUES (5547, 3091, 3, 'Saldo del seguro');
INSERT INTO `lang_definitions` VALUES (5548, 3093, 3, 'Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (5549, 3094, 3, 'Sociedades Médicas');
INSERT INTO `lang_definitions` VALUES (5550, 3095, 3, 'Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (5551, 3096, 3, 'Sociedad Médica Buscar/Añadir');
INSERT INTO `lang_definitions` VALUES (5552, 3098, 3, 'Data Seguro');
INSERT INTO `lang_definitions` VALUES (5553, 3099, 3, 'Información del Seguro en fichero');
INSERT INTO `lang_definitions` VALUES (5554, 3100, 3, 'Num Seguro');
INSERT INTO `lang_definitions` VALUES (5555, 3101, 3, 'Pago Aseguradora');
INSERT INTO `lang_definitions` VALUES (5556, 3103, 3, 'Proveedor de Seguro');
INSERT INTO `lang_definitions` VALUES (5557, 3106, 3, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (5558, 3107, 3, 'Conclusión Ingesta');
INSERT INTO `lang_definitions` VALUES (5559, 3108, 3, 'Fecha de Ingesta');
INSERT INTO `lang_definitions` VALUES (5560, 3109, 3, 'Declinación intelectual');
INSERT INTO `lang_definitions` VALUES (5561, 3113, 3, 'Error interno - no se seleccionó ningunas páginas!');
INSERT INTO `lang_definitions` VALUES (5562, 3114, 3, 'Error interno - Nº Identificación del paciente no proporcionado!');
INSERT INTO `lang_definitions` VALUES (5563, 3115, 3, '¡Error interno al accede al fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (5564, 3116, 3, '¡Error interno!');
INSERT INTO `lang_definitions` VALUES (5565, 3117, 3, 'Error interno, Nº Identificación de medicamento no especificado!');
INSERT INTO `lang_definitions` VALUES (5566, 3119, 3, 'Error interno: reclamación ');
INSERT INTO `lang_definitions` VALUES (5567, 3120, 3, 'Error Interno: visita \'');
INSERT INTO `lang_definitions` VALUES (5568, 3121, 3, 'Error interno: pid o visita no existe.');
INSERT INTO `lang_definitions` VALUES (5569, 3122, 3, 'Error interno: no parece haber una visita!');
INSERT INTO `lang_definitions` VALUES (5570, 3123, 3, 'Identificador interno (pid)');
INSERT INTO `lang_definitions` VALUES (5571, 3126, 3, 'Derivaciones Internas');
INSERT INTO `lang_definitions` VALUES (5572, 3127, 3, 'Tiempo de coleccion interno');
INSERT INTO `lang_definitions` VALUES (5573, 3128, 3, 'Deber Internacional');
INSERT INTO `lang_definitions` VALUES (5574, 3129, 3, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (5575, 3130, 3, 'Require Intérprete?');
INSERT INTO `lang_definitions` VALUES (5576, 3131, 3, 'Enfermedad Pulmonar Intersticial');
INSERT INTO `lang_definitions` VALUES (5577, 3132, 3, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (5578, 3135, 3, 'Intervención');
INSERT INTO `lang_definitions` VALUES (5579, 3137, 3, 'Intolerancia');
INSERT INTO `lang_definitions` VALUES (5580, 3139, 3, 'Intramuscularmente');
INSERT INTO `lang_definitions` VALUES (5581, 3140, 3, 'Intravenoso');
INSERT INTO `lang_definitions` VALUES (5582, 3141, 3, 'Introducción');
INSERT INTO `lang_definitions` VALUES (5583, 3144, 3, 'Carácter inválido en');
INSERT INTO `lang_definitions` VALUES (5584, 3147, 3, 'Longitud inválida para');
INSERT INTO `lang_definitions` VALUES (5585, 3148, 3, 'Carácter no-numérico inválido en');
INSERT INTO `lang_definitions` VALUES (5586, 3149, 3, 'Inválido o pagador ausente en fuente para código ');
INSERT INTO `lang_definitions` VALUES (5587, 3151, 3, 'Códigos de Servicio Inválidos');
INSERT INTO `lang_definitions` VALUES (5588, 3152, 3, 'Designación de la fuente inválida -');
INSERT INTO `lang_definitions` VALUES (5589, 3154, 3, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (5590, 3155, 3, 'Inventario');
INSERT INTO `lang_definitions` VALUES (5591, 3156, 3, 'Actividad de inventario');
INSERT INTO `lang_definitions` VALUES (5592, 3157, 3, 'Inventario y venta, ambos medicamentos y productos no farmacológicos');
INSERT INTO `lang_definitions` VALUES (5593, 3158, 3, 'Inventario y venta medicamentos sólo');
INSERT INTO `lang_definitions` VALUES (5594, 3159, 3, 'El inventario no está disponible para esta orden.');
INSERT INTO `lang_definitions` VALUES (5595, 3160, 3, 'Lista de Inventario');
INSERT INTO `lang_definitions` VALUES (5596, 3161, 3, 'Inventario Transacciones');
INSERT INTO `lang_definitions` VALUES (5597, 3162, 3, 'Factura');
INSERT INTO `lang_definitions` VALUES (5598, 3163, 3, 'factura');
INSERT INTO `lang_definitions` VALUES (5599, 3164, 3, 'Factura saldo');
INSERT INTO `lang_definitions` VALUES (5600, 3165, 3, 'Factura saldo no puede ser enviado. No hay visita creada.');
INSERT INTO `lang_definitions` VALUES (5601, 3166, 3, 'Fecha de Factura');
INSERT INTO `lang_definitions` VALUES (5602, 3167, 3, 'Factura no tiene fecha');
INSERT INTO `lang_definitions` VALUES (5603, 3168, 3, 'Número Factura');
INSERT INTO `lang_definitions` VALUES (5604, 3169, 3, 'Número Referencia Factura');
INSERT INTO `lang_definitions` VALUES (5605, 3170, 3, 'Número referencia factura, si se usa');
INSERT INTO `lang_definitions` VALUES (5606, 3171, 3, 'Número referencia factura');
INSERT INTO `lang_definitions` VALUES (5607, 3172, 3, 'Número referencia factura');
INSERT INTO `lang_definitions` VALUES (5608, 3173, 3, 'Factura:');
INSERT INTO `lang_definitions` VALUES (5609, 3174, 3, 'Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (5610, 3177, 3, 'Datos para SRH IPPF');
INSERT INTO `lang_definitions` VALUES (5611, 3178, 3, 'Informe de las estadísticas de IPPF');
INSERT INTO `lang_definitions` VALUES (5612, 3179, 3, 'Estado Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (5613, 3180, 3, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (5614, 3181, 3, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (5615, 3182, 3, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (5616, 3183, 3, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (5617, 3185, 3, 'Latido de Corazón Irregular');
INSERT INTO `lang_definitions` VALUES (5618, 3186, 3, 'Irritabilidad');
INSERT INTO `lang_definitions` VALUES (5619, 3187, 3, 'Irritación');
INSERT INTO `lang_definitions` VALUES (5620, 3190, 3, 'es la versión más reciente de la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (5621, 3191, 3, 'es un campo requerido.');
INSERT INTO `lang_definitions` VALUES (5622, 3192, 3, 'es un nodo de raíz y no puede ser suprimido.');
INSERT INTO `lang_definitions` VALUES (5623, 3197, 3, 'no es válido (las fracciones decimales están bien).');
INSERT INTO `lang_definitions` VALUES (5624, 3198, 3, '¿El PHP utiliza el modo a prueba de fallos?');
INSERT INTO `lang_definitions` VALUES (5625, 3200, 3, '¿Se traduce el texto del formulario plantilla?');
INSERT INTO `lang_definitions` VALUES (5626, 3201, 3, '¿Se traduce el texto de listas?');
INSERT INTO `lang_definitions` VALUES (5627, 3202, 3, '¿Está encriptado el fichero?');
INSERT INTO `lang_definitions` VALUES (5628, 3204, 3, '¿Este es un tipo de diagnóstico?');
INSERT INTO `lang_definitions` VALUES (5629, 3207, 3, '¿Es un tipo de procedimiento/servicio?');
INSERT INTO `lang_definitions` VALUES (5630, 3209, 3, '¿Este tipo de código está activo?');
INSERT INTO `lang_definitions` VALUES (5631, 3210, 3, '¿Este código se usa en reclamaciones?');
INSERT INTO `lang_definitions` VALUES (5632, 3212, 3, '¿Es un tipo oculto en la hoja de honorarios?');
INSERT INTO `lang_definitions` VALUES (5633, 3213, 3, '¿Se usa en las tablas sql externas? Si es así, elija el formato.');
INSERT INTO `lang_definitions` VALUES (5634, 3214, 3, 'es muy largo');
INSERT INTO `lang_definitions` VALUES (5635, 3216, 3, 'Incidencia');
INSERT INTO `lang_definitions` VALUES (5636, 3217, 3, 'incidencia');
INSERT INTO `lang_definitions` VALUES (5637, 3218, 3, 'Fecha Incidencia');
INSERT INTO `lang_definitions` VALUES (5638, 3219, 3, 'Nº Identificación incidencia');
INSERT INTO `lang_definitions` VALUES (5639, 3220, 3, 'Título de incidencia');
INSERT INTO `lang_definitions` VALUES (5640, 3223, 3, 'Incidencias');
INSERT INTO `lang_definitions` VALUES (5641, 3224, 3, 'Incidencias (Lesiones, Médicas, Alergias)');
INSERT INTO `lang_definitions` VALUES (5642, 3225, 3, 'Incidencias (Lesiones, Médicas, Alergias):');
INSERT INTO `lang_definitions` VALUES (5643, 3226, 3, 'Incidencias y Encuentros');
INSERT INTO `lang_definitions` VALUES (5644, 3227, 3, 'Incidencias y Encuentros de');
INSERT INTO `lang_definitions` VALUES (5645, 3228, 3, 'Incidencias no autorizadas');
INSERT INTO `lang_definitions` VALUES (5646, 3229, 3, 'Sección de Incidencias');
INSERT INTO `lang_definitions` VALUES (5647, 3230, 3, 'Italiano');
INSERT INTO `lang_definitions` VALUES (5648, 3231, 3, 'Artículo');
INSERT INTO `lang_definitions` VALUES (5649, 3232, 3, 'Artículo');
INSERT INTO `lang_definitions` VALUES (5650, 3233, 3, 'temas');
INSERT INTO `lang_definitions` VALUES (5651, 3234, 3, 'La carga de artículos falló');
INSERT INTO `lang_definitions` VALUES (5652, 3235, 3, 'IU/L');
INSERT INTO `lang_definitions` VALUES (5653, 3236, 3, 'IUD');
INSERT INTO `lang_definitions` VALUES (5654, 3237, 3, 'IV');
INSERT INTO `lang_definitions` VALUES (5655, 3238, 3, 'Ener');
INSERT INTO `lang_definitions` VALUES (5656, 3239, 3, 'Enero');
INSERT INTO `lang_definitions` VALUES (5657, 3240, 3, 'Japonés');
INSERT INTO `lang_definitions` VALUES (5658, 3241, 3, 'Ictericia');
INSERT INTO `lang_definitions` VALUES (5659, 3243, 3, 'Descripción del trabajo');
INSERT INTO `lang_definitions` VALUES (5660, 3244, 3, 'Nº Identificación del trabajo');
INSERT INTO `lang_definitions` VALUES (5661, 3245, 3, 'Dislocaciones de articulaciones');
INSERT INTO `lang_definitions` VALUES (5662, 3246, 3, 'Dolor en las Articulaciones');
INSERT INTO `lang_definitions` VALUES (5663, 3247, 3, 'Esguinces de articulaciones');
INSERT INTO `lang_definitions` VALUES (5664, 3248, 3, 'Jul');
INSERT INTO `lang_definitions` VALUES (5665, 3249, 3, 'Julio');
INSERT INTO `lang_definitions` VALUES (5666, 3250, 3, 'Jun');
INSERT INTO `lang_definitions` VALUES (5667, 3251, 3, 'Junio');
INSERT INTO `lang_definitions` VALUES (5668, 3252, 3, 'Justo debajo, revise la información del área azul donde pone sus parámetros de búsqueda. Puede buscar por nombre del paciente, número de gráfico, número de visita o fecha de servicio, o cualquier combinación de éstos. También puede ver todas las facturas, facturas pendientes o impagadas (por el paciente). Click en el botón de búsqueda para realizar la búsqueda.');
INSERT INTO `lang_definitions` VALUES (5669, 3253, 3, 'Solo mío');
INSERT INTO `lang_definitions` VALUES (5670, 3255, 3, 'Justificar');
INSERT INTO `lang_definitions` VALUES (5671, 3256, 3, 'Justificar/Guardar');
INSERT INTO `lang_definitions` VALUES (5672, 3258, 3, 'k, aquí está el resto');
INSERT INTO `lang_definitions` VALUES (5673, 3264, 3, 'Clave');
INSERT INTO `lang_definitions` VALUES (5674, 3265, 3, 'Palabras Claves');
INSERT INTO `lang_definitions` VALUES (5675, 3266, 3, 'kg');
INSERT INTO `lang_definitions` VALUES (5676, 3267, 3, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (5677, 3269, 3, 'Cáncer de Riñon');
INSERT INTO `lang_definitions` VALUES (5678, 3270, 3, 'Fallo Renal');
INSERT INTO `lang_definitions` VALUES (5679, 3271, 3, 'Infecciones de Riñón');
INSERT INTO `lang_definitions` VALUES (5680, 3272, 3, 'Piedra en el Riñón');
INSERT INTO `lang_definitions` VALUES (5681, 3273, 3, 'Transplante de Riñon');
INSERT INTO `lang_definitions` VALUES (5682, 3277, 3, 'Rodilla');
INSERT INTO `lang_definitions` VALUES (5683, 3278, 3, 'Problemas de la rodilla');
INSERT INTO `lang_definitions` VALUES (5684, 3279, 3, 'Reemplazo de Rodilla');
INSERT INTO `lang_definitions` VALUES (5685, 3282, 3, 'Coreano');
INSERT INTO `lang_definitions` VALUES (5686, 3286, 3, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (5687, 3288, 3, 'Sitio Web del Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (5688, 3289, 3, 'Nº Identificación Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (5689, 3290, 3, 'Nº Identificación ficha Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (5690, 3294, 3, 'Consulta de estado de Laboratorio');
INSERT INTO `lang_definitions` VALUES (5691, 3295, 3, 'Informe del Laboratorio');
INSERT INTO `lang_definitions` VALUES (5692, 3296, 3, 'Resultado Laboratorio');
INSERT INTO `lang_definitions` VALUES (5693, 3297, 3, 'Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (5694, 3299, 3, 'Informe Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (5695, 3300, 3, 'Servicio de laboratorio');
INSERT INTO `lang_definitions` VALUES (5696, 3301, 3, 'Resultados del test de Laboratorio');
INSERT INTO `lang_definitions` VALUES (5697, 3303, 3, 'Etiqueta');
INSERT INTO `lang_definitions` VALUES (5698, 3304, 3, 'Etiqueta no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (5699, 3305, 3, 'Col etiqueta');
INSERT INTO `lang_definitions` VALUES (5700, 3306, 3, 'Etiqueta para este tipo');
INSERT INTO `lang_definitions` VALUES (5701, 3307, 3, 'EtiquetasColumn debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (5702, 3308, 3, 'Etiquetas');
INSERT INTO `lang_definitions` VALUES (5703, 3311, 3, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (5704, 3312, 3, 'Laceración/Cond. Piel');
INSERT INTO `lang_definitions` VALUES (5705, 3313, 3, 'Laceración/abrasión');
INSERT INTO `lang_definitions` VALUES (5706, 3316, 3, 'Idioma');
INSERT INTO `lang_definitions` VALUES (5707, 3317, 3, 'Código Idioma');
INSERT INTO `lang_definitions` VALUES (5708, 3318, 3, 'Definición de lenguaje agregada');
INSERT INTO `lang_definitions` VALUES (5709, 3319, 3, 'Herramienta de interfaz de idioma');
INSERT INTO `lang_definitions` VALUES (5710, 3320, 3, 'Lista de lenguajes (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (5711, 3321, 3, 'Nombre Idioma');
INSERT INTO `lang_definitions` VALUES (5712, 3322, 3, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (5713, 3324, 3, 'Laosiano');
INSERT INTO `lang_definitions` VALUES (5714, 3325, 3, 'Último');
INSERT INTO `lang_definitions` VALUES (5715, 3326, 3, 'Última Actividad Fecha');
INSERT INTO `lang_definitions` VALUES (5716, 3328, 3, 'Última Fecha de Cuenta');
INSERT INTO `lang_definitions` VALUES (5717, 3330, 3, 'Último año calendario');
INSERT INTO `lang_definitions` VALUES (5718, 3333, 3, 'Última visita');
INSERT INTO `lang_definitions` VALUES (5719, 3340, 3, 'Último nivel facturado');
INSERT INTO `lang_definitions` VALUES (5720, 3343, 3, 'Último Mes');
INSERT INTO `lang_definitions` VALUES (5721, 3344, 3, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (5722, 3345, 3, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (5723, 3346, 3, 'Apellido(s):');
INSERT INTO `lang_definitions` VALUES (5724, 3350, 3, 'Ultima revision');
INSERT INTO `lang_definitions` VALUES (5725, 3352, 3, 'Última guardados');
INSERT INTO `lang_definitions` VALUES (5726, 3356, 3, 'Última actualización por');
INSERT INTO `lang_definitions` VALUES (5727, 3357, 3, 'Ultima verificación el');
INSERT INTO `lang_definitions` VALUES (5728, 3358, 3, 'Última Visita');
INSERT INTO `lang_definitions` VALUES (5729, 3360, 3, 'Recurrencia tardía (2-12 Mes)');
INSERT INTO `lang_definitions` VALUES (5730, 3361, 3, 'Maléolo lateral');
INSERT INTO `lang_definitions` VALUES (5731, 3362, 3, 'Maléolo lateral:');
INSERT INTO `lang_definitions` VALUES (5732, 3363, 3, 'Lateralidad');
INSERT INTO `lang_definitions` VALUES (5733, 3364, 3, 'Lateralidad de este procedimiento si se aplica');
INSERT INTO `lang_definitions` VALUES (5734, 3365, 3, 'desplazados lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (5735, 3373, 3, 'de la base');
INSERT INTO `lang_definitions` VALUES (5736, 3374, 3, 'Redactor de Disposición');
INSERT INTO `lang_definitions` VALUES (5737, 3375, 3, 'Diseño de Grupos');
INSERT INTO `lang_definitions` VALUES (5738, 3376, 3, 'Estilo plantilla');
INSERT INTO `lang_definitions` VALUES (5739, 3378, 3, 'Diseño basado en la visita las formas');
INSERT INTO `lang_definitions` VALUES (5740, 3379, 3, 'Disposición');
INSERT INTO `lang_definitions` VALUES (5741, 3380, 3, 'libra');
INSERT INTO `lang_definitions` VALUES (5742, 3381, 3, 'libra');
INSERT INTO `lang_definitions` VALUES (5743, 3382, 3, 'Colesterol LDL');
INSERT INTO `lang_definitions` VALUES (5744, 3383, 3, 'dejar en blanco si sigue activo');
INSERT INTO `lang_definitions` VALUES (5745, 3384, 3, 'Dejar en blanco para mantener el nombre de fichero original');
INSERT INTO `lang_definitions` VALUES (5746, 3385, 3, 'Deje en blanco para no cambiar la contraseña');
INSERT INTO `lang_definitions` VALUES (5747, 3386, 3, 'Dejar mensaje Con');
INSERT INTO `lang_definitions` VALUES (5748, 3387, 3, 'Salir del Formulario');
INSERT INTO `lang_definitions` VALUES (5749, 3388, 3, 'Dejando la contraseña en blanco no se encriptará el documento');
INSERT INTO `lang_definitions` VALUES (5750, 3390, 3, 'Izquierda');
INSERT INTO `lang_definitions` VALUES (5751, 3391, 3, 'Oído izquierdo');
INSERT INTO `lang_definitions` VALUES (5752, 3392, 3, 'oreja izquierda');
INSERT INTO `lang_definitions` VALUES (5753, 3394, 3, 'Izquierda:');
INSERT INTO `lang_definitions` VALUES (5754, 3395, 3, 'Izquierda: ');
INSERT INTO `lang_definitions` VALUES (5755, 3396, 3, 'Dolor de Pierna/Calambres');
INSERT INTO `lang_definitions` VALUES (5756, 3397, 3, 'Legal');
INSERT INTO `lang_definitions` VALUES (5757, 3399, 3, 'Tamaño papel Legal');
INSERT INTO `lang_definitions` VALUES (5758, 3400, 3, 'Leyenda:');
INSERT INTO `lang_definitions` VALUES (5759, 3401, 3, 'Longitud');
INSERT INTO `lang_definitions` VALUES (5760, 3402, 3, 'Longitud del modificador, 0 si no hay');
INSERT INTO `lang_definitions` VALUES (5761, 3403, 3, 'Menor que');
INSERT INTO `lang_definitions` VALUES (5762, 3404, 3, 'Menor que o Igual a');
INSERT INTO `lang_definitions` VALUES (5763, 3405, 3, 'Menos la información privada (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (5764, 3406, 3, 'Carta');
INSERT INTO `lang_definitions` VALUES (5765, 3407, 3, 'Carta');
INSERT INTO `lang_definitions` VALUES (5766, 3408, 3, 'Tamaño papel Letter');
INSERT INTO `lang_definitions` VALUES (5767, 3409, 3, 'Papelería membretada que el médico firma');
INSERT INTO `lang_definitions` VALUES (5768, 3410, 3, 'Papelería membretada que el paciente firma');
INSERT INTO `lang_definitions` VALUES (5769, 3411, 3, 'Nivel de urgencia');
INSERT INTO `lang_definitions` VALUES (5770, 3412, 3, 'Responsabilidad');
INSERT INTO `lang_definitions` VALUES (5771, 3413, 3, 'Responsabilidad Médica');
INSERT INTO `lang_definitions` VALUES (5772, 3414, 3, 'Licencia/Nº Id.');
INSERT INTO `lang_definitions` VALUES (5773, 3419, 3, 'Apellido del médico');
INSERT INTO `lang_definitions` VALUES (5774, 3420, 3, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (5775, 3421, 3, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (5776, 3423, 3, 'Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (5777, 3424, 3, 'Estadio del estilo de vida');
INSERT INTO `lang_definitions` VALUES (5778, 3425, 3, 'Rasgón o esguince del ligamento');
INSERT INTO `lang_definitions` VALUES (5779, 3428, 3, 'Límite de Eventos');
INSERT INTO `lang_definitions` VALUES (5780, 3429, 3, 'Límites');
INSERT INTO `lang_definitions` VALUES (5781, 3431, 3, 'Vínculo');
INSERT INTO `lang_definitions` VALUES (5782, 3432, 3, 'Vínculo al paciente');
INSERT INTO `lang_definitions` VALUES (5783, 3433, 3, 'Vinculado');
INSERT INTO `lang_definitions` VALUES (5784, 3436, 3, 'Vinculado a un documento');
INSERT INTO `lang_definitions` VALUES (5785, 3438, 3, 'Lista');
INSERT INTO `lang_definitions` VALUES (5786, 3439, 3, 'Cuadr de lista');
INSERT INTO `lang_definitions` VALUES (5787, 3440, 3, 'caja de lista');
INSERT INTO `lang_definitions` VALUES (5788, 3441, 3, 'agrega cuadro de lista');
INSERT INTO `lang_definitions` VALUES (5789, 3442, 3, 'Lista de cuadro con adición');
INSERT INTO `lang_definitions` VALUES (5790, 3443, 3, 'Editor de Lista');
INSERT INTO `lang_definitions` VALUES (5791, 3444, 3, 'Lista de visitas');
INSERT INTO `lang_definitions` VALUES (5792, 3445, 3, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (5793, 3446, 3, 'Lista Sociedades Médicas');
INSERT INTO `lang_definitions` VALUES (5794, 3448, 3, 'Lista de temas no puede comenzar con un número');
INSERT INTO `lang_definitions` VALUES (5795, 3449, 3, 'Items listados contienen caracteres ilegales');
INSERT INTO `lang_definitions` VALUES (5796, 3451, 3, 'Lista Listas');
INSERT INTO `lang_definitions` VALUES (5797, 3452, 3, 'Lista de Nombres');
INSERT INTO `lang_definitions` VALUES (5798, 3453, 3, 'Lista de los nombres no puede empezar con números.');
INSERT INTO `lang_definitions` VALUES (5799, 3454, 3, 'Lista de Recetas');
INSERT INTO `lang_definitions` VALUES (5800, 3455, 3, 'Lista Tipo de datos usada para País.');
INSERT INTO `lang_definitions` VALUES (5801, 3456, 3, 'Lista Tipo de datos usada para Estado.');
INSERT INTO `lang_definitions` VALUES (5802, 3457, 3, 'Puerto de escucha de la RFC 5425 TLS en el servidor syslog.');
INSERT INTO `lang_definitions` VALUES (5803, 3458, 3, 'Listas');
INSERT INTO `lang_definitions` VALUES (5804, 3460, 3, 'Deseos Personales de cuidado');
INSERT INTO `lang_definitions` VALUES (5805, 3461, 3, 'LLL:');
INSERT INTO `lang_definitions` VALUES (5806, 3462, 3, 'LMP');
INSERT INTO `lang_definitions` VALUES (5807, 3464, 3, 'Cargar definiciones');
INSERT INTO `lang_definitions` VALUES (5808, 3470, 3, 'Cargando');
INSERT INTO `lang_definitions` VALUES (5809, 3471, 3, 'Cargando ficheros en la base de datos. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (5810, 3472, 3, 'LOC');
INSERT INTO `lang_definitions` VALUES (5811, 3473, 3, 'Local');
INSERT INTO `lang_definitions` VALUES (5812, 3476, 3, 'Lugar');
INSERT INTO `lang_definitions` VALUES (5813, 3477, 3, 'Localidad');
INSERT INTO `lang_definitions` VALUES (5814, 3478, 3, 'Localización');
INSERT INTO `lang_definitions` VALUES (5815, 3479, 3, 'Ubicación de la máquina libreehr puede contener datos sensible, por eso se recomienda borrar manualmente los ficheros después de su uso');
INSERT INTO `lang_definitions` VALUES (5816, 3480, 3, 'Localizacion de este lote');
INSERT INTO `lang_definitions` VALUES (5817, 3481, 3, 'Lugar no especificado');
INSERT INTO `lang_definitions` VALUES (5818, 3482, 3, 'Directorio dónde Hylafax archiva los faxes');
INSERT INTO `lang_definitions` VALUES (5819, 3483, 3, 'Localización dónde se archivan los escaneados');
INSERT INTO `lang_definitions` VALUES (5820, 3484, 3, 'Localización:');
INSERT INTO `lang_definitions` VALUES (5821, 3485, 3, 'Bloquear');
INSERT INTO `lang_definitions` VALUES (5822, 3492, 3, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (5823, 3493, 3, 'Identificación');
INSERT INTO `lang_definitions` VALUES (5824, 3494, 3, 'Finalizar sesión');
INSERT INTO `lang_definitions` VALUES (5825, 3495, 3, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (5826, 3496, 3, 'Abierto una sesión como');
INSERT INTO `lang_definitions` VALUES (5827, 3497, 3, 'Abierto una sesión como: ');
INSERT INTO `lang_definitions` VALUES (5828, 3498, 3, 'Salir de sesión.');
INSERT INTO `lang_definitions` VALUES (5829, 3499, 3, 'Identificando');
INSERT INTO `lang_definitions` VALUES (5830, 3500, 3, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (5831, 3501, 3, 'iniciar sesión');
INSERT INTO `lang_definitions` VALUES (5832, 3505, 3, 'Cerrar sesión');
INSERT INTO `lang_definitions` VALUES (5833, 3506, 3, 'cerrar sesión');
INSERT INTO `lang_definitions` VALUES (5834, 3507, 3, 'Registros');
INSERT INTO `lang_definitions` VALUES (5835, 3508, 3, 'Espectador de los registros');
INSERT INTO `lang_definitions` VALUES (5836, 3510, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (5837, 3511, 3, 'Lote');
INSERT INTO `lang_definitions` VALUES (5838, 3512, 3, 'Nº Identificación del lote falta!');
INSERT INTO `lang_definitions` VALUES (5839, 3513, 3, 'Número de Lote');
INSERT INTO `lang_definitions` VALUES (5840, 3514, 3, 'Bajo');
INSERT INTO `lang_definitions` VALUES (5841, 3516, 3, 'inferior de la pierna');
INSERT INTO `lang_definitions` VALUES (5842, 3519, 3, 'Columna lumbar');
INSERT INTO `lang_definitions` VALUES (5843, 3520, 3, 'COMIDA');
INSERT INTO `lang_definitions` VALUES (5844, 3521, 3, 'Comida');
INSERT INTO `lang_definitions` VALUES (5845, 3522, 3, 'cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (5846, 3523, 3, 'Cirugía del cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (5847, 3524, 3, 'PULMONES:');
INSERT INTO `lang_definitions` VALUES (5848, 3525, 3, 'pulmones:');
INSERT INTO `lang_definitions` VALUES (5849, 3526, 3, 'Lupus');
INSERT INTO `lang_definitions` VALUES (5850, 3528, 3, 'M');
INSERT INTO `lang_definitions` VALUES (5851, 3529, 3, 'Categoría de MA');
INSERT INTO `lang_definitions` VALUES (5852, 3530, 3, 'MA Cliente acepta aborto');
INSERT INTO `lang_definitions` VALUES (5853, 3531, 3, 'MA estadísticas');
INSERT INTO `lang_definitions` VALUES (5854, 3533, 3, 'Correo enviado');
INSERT INTO `lang_definitions` VALUES (5855, 3534, 3, 'Principal');
INSERT INTO `lang_definitions` VALUES (5856, 3535, 3, 'Dirección principal');
INSERT INTO `lang_definitions` VALUES (5857, 3536, 3, 'Pantalla principal del panel superior');
INSERT INTO `lang_definitions` VALUES (5858, 3537, 3, 'Mantener activa la lista de medicación de alergia.');
INSERT INTO `lang_definitions` VALUES (5859, 3538, 3, 'Mantener activa una lista de medicación.');
INSERT INTO `lang_definitions` VALUES (5860, 3539, 3, 'Mantenga actualizada lista de problemas actuales y diagnósticos activos');
INSERT INTO `lang_definitions` VALUES (5861, 3540, 3, 'Hacer modificaciones a las actuales categorías.');
INSERT INTO `lang_definitions` VALUES (5862, 3541, 3, 'Dar nueva cita para');
INSERT INTO `lang_definitions` VALUES (5863, 3542, 3, 'Cerciorarse -');
INSERT INTO `lang_definitions` VALUES (5864, 3543, 3, 'Hacer un batch de ficheros de texto para adjuntar a la Cámara de compensación y que se marcará como facturado');
INSERT INTO `lang_definitions` VALUES (5865, 3545, 3, 'Malestar:');
INSERT INTO `lang_definitions` VALUES (5866, 3548, 3, 'Masculino');
INSERT INTO `lang_definitions` VALUES (5867, 3549, 3, 'Condones Masculinos');
INSERT INTO `lang_definitions` VALUES (5868, 3550, 3, 'Varón VSC');
INSERT INTO `lang_definitions` VALUES (5869, 3552, 3, 'Mamografía');
INSERT INTO `lang_definitions` VALUES (5870, 3553, 3, 'Manejar');
INSERT INTO `lang_definitions` VALUES (5871, 3556, 3, 'Gestionar traducciones');
INSERT INTO `lang_definitions` VALUES (5872, 3557, 3, 'Gerencia');
INSERT INTO `lang_definitions` VALUES (5873, 3558, 3, 'Campos obligatorios y específicos');
INSERT INTO `lang_definitions` VALUES (5874, 3559, 3, 'Campos obligatorios o específicos sólo, cheques duplicados, no de búsqueda');
INSERT INTO `lang_definitions` VALUES (5875, 3560, 3, 'Campos obligatorios o específicos sólo, búsqueda y comprobación de duplicados');
INSERT INTO `lang_definitions` VALUES (5876, 3561, 3, 'Manual');
INSERT INTO `lang_definitions` VALUES (5877, 3562, 3, 'Manual de envío');
INSERT INTO `lang_definitions` VALUES (5878, 3563, 3, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (5879, 3565, 3, 'Mar');
INSERT INTO `lang_definitions` VALUES (5880, 3568, 3, 'Marzo');
INSERT INTO `lang_definitions` VALUES (5881, 3569, 3, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (5882, 3571, 3, 'Marcar como facturado pero saltar de facturación');
INSERT INTO `lang_definitions` VALUES (5883, 3572, 3, 'Marcar como Resueltos');
INSERT INTO `lang_definitions` VALUES (5884, 3573, 3, 'Marcar como no facturados');
INSERT INTO `lang_definitions` VALUES (5885, 3575, 3, 'Marcado como despejado');
INSERT INTO `lang_definitions` VALUES (5886, 3576, 3, 'Casado');
INSERT INTO `lang_definitions` VALUES (5887, 3578, 3, 'Formato (Máscara)');
INSERT INTO `lang_definitions` VALUES (5888, 3579, 3, 'Formato para Números de Factura');
INSERT INTO `lang_definitions` VALUES (5889, 3580, 3, 'Formato para ID de Pacientes');
INSERT INTO `lang_definitions` VALUES (5890, 3581, 3, 'Formato para ID de Productos');
INSERT INTO `lang_definitions` VALUES (5891, 3582, 3, 'Concuerda');
INSERT INTO `lang_definitions` VALUES (5892, 3591, 3, 'Max');
INSERT INTO `lang_definitions` VALUES (5893, 3594, 3, 'La derecha maxilar:');
INSERT INTO `lang_definitions` VALUES (5894, 3595, 3, 'Edad Máxima');
INSERT INTO `lang_definitions` VALUES (5895, 3596, 3, 'Número máximo de caracteres');
INSERT INTO `lang_definitions` VALUES (5896, 3597, 3, 'Tiempo máximo inactivo antes de cerrar sesión en segundos. Por defecto es 7200 (2 horas).');
INSERT INTO `lang_definitions` VALUES (5897, 3600, 3, 'Inventario máximo razonable, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (5898, 3601, 3, 'Tamaño máximo');
INSERT INTO `lang_definitions` VALUES (5899, 3602, 3, 'Tamaño máximo (poniendo 0 permite cualquier tamaño)');
INSERT INTO `lang_definitions` VALUES (5900, 3603, 3, 'Mayo');
INSERT INTO `lang_definitions` VALUES (5901, 3604, 3, 'MC');
INSERT INTO `lang_definitions` VALUES (5902, 3605, 3, 'mcg (microgramo)');
INSERT INTO `lang_definitions` VALUES (5903, 3607, 3, 'Significa que ninguna de las tres últimas contraseñas son permitidas para cambiar la contraseña.');
INSERT INTO `lang_definitions` VALUES (5904, 3609, 3, 'Medida del Código de Grupo');
INSERT INTO `lang_definitions` VALUES (5905, 3611, 3, 'Medición');
INSERT INTO `lang_definitions` VALUES (5906, 3612, 3, 'Maléolo tibial:');
INSERT INTO `lang_definitions` VALUES (5907, 3613, 3, 'Seguro de enfermedad');
INSERT INTO `lang_definitions` VALUES (5908, 3614, 3, 'Médico');
INSERT INTO `lang_definitions` VALUES (5909, 3615, 3, 'Aborto Médico');
INSERT INTO `lang_definitions` VALUES (5910, 3616, 3, 'Administración Médica');
INSERT INTO `lang_definitions` VALUES (5911, 3617, 3, 'Historia Médica');
INSERT INTO `lang_definitions` VALUES (5912, 3618, 3, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (5913, 3619, 3, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (5914, 3620, 3, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (5915, 3623, 3, 'Problemas médicos');
INSERT INTO `lang_definitions` VALUES (5916, 3624, 3, 'Registo Médico');
INSERT INTO `lang_definitions` VALUES (5917, 3625, 3, 'Informe médico #');
INSERT INTO `lang_definitions` VALUES (5918, 3626, 3, 'Registros Médicos');
INSERT INTO `lang_definitions` VALUES (5919, 3627, 3, 'Registros Médicos enviados');
INSERT INTO `lang_definitions` VALUES (5920, 3629, 3, 'Resumen Médico entregado');
INSERT INTO `lang_definitions` VALUES (5921, 3630, 3, 'Sistema Médico');
INSERT INTO `lang_definitions` VALUES (5922, 3631, 3, 'Tipo de Médico');
INSERT INTO `lang_definitions` VALUES (5923, 3632, 3, 'Médico / Historia (escribir, añadir sólo opcional)');
INSERT INTO `lang_definitions` VALUES (5924, 3633, 3, 'Parte B de Seguro médico');
INSERT INTO `lang_definitions` VALUES (5925, 3634, 3, 'Seguro médico de referencia restablecido');
INSERT INTO `lang_definitions` VALUES (5926, 3635, 3, 'Medicación');
INSERT INTO `lang_definitions` VALUES (5927, 3636, 3, 'Lista Medicación Alergias');
INSERT INTO `lang_definitions` VALUES (5928, 3638, 3, 'Lista Medicación');
INSERT INTO `lang_definitions` VALUES (5929, 3639, 3, '¿Reconciliación Medicación realizada?');
INSERT INTO `lang_definitions` VALUES (5930, 3640, 3, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (5931, 3641, 3, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (5932, 3642, 3, 'Unidades de Medicina');
INSERT INTO `lang_definitions` VALUES (5933, 3643, 3, 'Mediano');
INSERT INTO `lang_definitions` VALUES (5934, 3645, 3, 'Miembro de la Asociación de Estadística Informe');
INSERT INTO `lang_definitions` VALUES (5935, 3646, 3, 'Problemas de Memoria');
INSERT INTO `lang_definitions` VALUES (5936, 3647, 3, 'Hombres');
INSERT INTO `lang_definitions` VALUES (5937, 3648, 3, 'Hombres y Mujeres');
INSERT INTO `lang_definitions` VALUES (5938, 3649, 3, 'Hombres Solamente');
INSERT INTO `lang_definitions` VALUES (5939, 3650, 3, 'Menarquía');
INSERT INTO `lang_definitions` VALUES (5940, 3651, 3, 'Menopausia');
INSERT INTO `lang_definitions` VALUES (5941, 3652, 3, 'Flujo Menstrual');
INSERT INTO `lang_definitions` VALUES (5942, 3653, 3, 'Menstrual Frequency');
INSERT INTO `lang_definitions` VALUES (5943, 3654, 3, 'Enfermedad Mental');
INSERT INTO `lang_definitions` VALUES (5944, 3661, 3, 'Mensaje');
INSERT INTO `lang_definitions` VALUES (5945, 3662, 3, 'Mensajes y Centro de Avisos');
INSERT INTO `lang_definitions` VALUES (5946, 3665, 3, 'Mensaje Enviado');
INSERT INTO `lang_definitions` VALUES (5947, 3666, 3, 'Estado mensaje');
INSERT INTO `lang_definitions` VALUES (5948, 3670, 3, 'MENSAJE:');
INSERT INTO `lang_definitions` VALUES (5949, 3671, 3, 'Mensajes');
INSERT INTO `lang_definitions` VALUES (5950, 3672, 3, 'Mensajes enviados hoy');
INSERT INTO `lang_definitions` VALUES (5951, 3673, 3, 'Método');
INSERT INTO `lang_definitions` VALUES (5952, 3674, 3, 'Método y especificaciones de Producto');
INSERT INTO `lang_definitions` VALUES (5953, 3675, 3, 'Método para el envío de email saliente');
INSERT INTO `lang_definitions` VALUES (5954, 3676, 3, 'Método de destrucción');
INSERT INTO `lang_definitions` VALUES (5955, 3677, 3, 'Mejicano/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (5956, 3679, 3, 'mg');
INSERT INTO `lang_definitions` VALUES (5957, 3680, 3, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (5958, 3681, 3, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (5959, 3682, 3, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (5960, 3683, 3, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (5961, 3684, 3, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (5962, 3685, 3, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (5963, 3686, 3, 'Segundo');
INSERT INTO `lang_definitions` VALUES (5964, 3687, 3, 'Segundo Nombre');
INSERT INTO `lang_definitions` VALUES (5965, 3688, 3, 'Segundo nombre');
INSERT INTO `lang_definitions` VALUES (5966, 3690, 3, 'Prescriptor DEA nivel medio');
INSERT INTO `lang_definitions` VALUES (5967, 3691, 3, 'Nombre Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (5968, 3692, 3, 'Apellido Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (5969, 3693, 3, 'Prefijo Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (5970, 3694, 3, 'Nº médico nivel medio');
INSERT INTO `lang_definitions` VALUES (5971, 3695, 3, 'Semblante');
INSERT INTO `lang_definitions` VALUES (5972, 3696, 3, 'Migrante o trabajador de temporada?');
INSERT INTO `lang_definitions` VALUES (5973, 3697, 3, 'Migrantes / temporada');
INSERT INTO `lang_definitions` VALUES (5974, 3698, 3, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (5975, 3702, 3, 'Mime Tipo');
INSERT INTO `lang_definitions` VALUES (5976, 3703, 3, 'min');
INSERT INTO `lang_definitions` VALUES (5977, 3704, 3, 'Mínimo');
INSERT INTO `lang_definitions` VALUES (5978, 3705, 3, 'Edad Mínima');
INSERT INTO `lang_definitions` VALUES (5979, 3706, 3, 'Menor tensión conjunta /-Sinovitis');
INSERT INTO `lang_definitions` VALUES (5980, 3708, 3, 'Minuto');
INSERT INTO `lang_definitions` VALUES (5981, 3709, 3, 'minutos');
INSERT INTO `lang_definitions` VALUES (5982, 3710, 3, 'Minutos');
INSERT INTO `lang_definitions` VALUES (5983, 3712, 3, 'Varios');
INSERT INTO `lang_definitions` VALUES (5984, 3713, 3, 'Diversas opciones de facturación');
INSERT INTO `lang_definitions` VALUES (5985, 3714, 3, 'Diversas opciones de facturación para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (5986, 3715, 3, 'Diversas opciones de facturación HCFA');
INSERT INTO `lang_definitions` VALUES (5987, 3716, 3, 'Varios');
INSERT INTO `lang_definitions` VALUES (5988, 3717, 3, 'Faltado');
INSERT INTO `lang_definitions` VALUES (5989, 3718, 3, 'No existe');
INSERT INTO `lang_definitions` VALUES (5990, 3719, 3, 'Falta campo requerido');
INSERT INTO `lang_definitions` VALUES (5991, 3720, 3, 'Falta cuota');
INSERT INTO `lang_definitions` VALUES (5992, 3721, 3, 'Solo modulos faltantes');
INSERT INTO `lang_definitions` VALUES (5993, 3722, 3, 'No existe o Inválido');
INSERT INTO `lang_definitions` VALUES (5994, 3723, 3, 'Falta el PID.');
INSERT INTO `lang_definitions` VALUES (5995, 3724, 3, 'Fecha de reporte falta');
INSERT INTO `lang_definitions` VALUES (5996, 3725, 3, 'Raya vertical que falta después del pagador en la fuente para el código ');
INSERT INTO `lang_definitions` VALUES (5997, 3726, 3, 'Mixto');
INSERT INTO `lang_definitions` VALUES (5998, 3727, 3, 'ml');
INSERT INTO `lang_definitions` VALUES (5999, 3728, 3, 'MM/DD/AAAA');
INSERT INTO `lang_definitions` VALUES (6000, 3729, 3, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (6001, 3730, 3, 'mmHg');
INSERT INTO `lang_definitions` VALUES (6002, 3731, 3, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (6003, 3732, 3, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (6004, 3733, 3, 'Móvil');
INSERT INTO `lang_definitions` VALUES (6005, 3734, 3, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (6006, 3735, 3, 'Mod');
INSERT INTO `lang_definitions` VALUES (6007, 3741, 3, 'Modificador');
INSERT INTO `lang_definitions` VALUES (6008, 3742, 3, 'Modificadores');
INSERT INTO `lang_definitions` VALUES (6009, 3743, 3, 'Modificar');
INSERT INTO `lang_definitions` VALUES (6010, 3745, 3, 'Modificar Pagos');
INSERT INTO `lang_definitions` VALUES (6011, 3746, 3, 'Longitud Modelo');
INSERT INTO `lang_definitions` VALUES (6012, 3753, 3, 'Lun');
INSERT INTO `lang_definitions` VALUES (6013, 3754, 3, 'Lun a Vier');
INSERT INTO `lang_definitions` VALUES (6014, 3755, 3, 'Lunes, miércoles y viernes');
INSERT INTO `lang_definitions` VALUES (6015, 3756, 3, 'Lunes');
INSERT INTO `lang_definitions` VALUES (6016, 3758, 3, 'Mes');
INSERT INTO `lang_definitions` VALUES (6017, 3759, 3, 'mes');
INSERT INTO `lang_definitions` VALUES (6018, 3760, 3, 'Ver Mes');
INSERT INTO `lang_definitions` VALUES (6019, 3761, 3, 'Mes(es)');
INSERT INTO `lang_definitions` VALUES (6020, 3762, 3, 'Ingreso Mensual');
INSERT INTO `lang_definitions` VALUES (6021, 3763, 3, 'Meses');
INSERT INTO `lang_definitions` VALUES (6022, 3765, 3, 'Más de 100 registros encontrados. Por favor, reducir su criterio de búsqueda.');
INSERT INTO `lang_definitions` VALUES (6023, 3766, 3, 'Más de 50 resultados, por favor, hacer su búsqueda más específica.');
INSERT INTO `lang_definitions` VALUES (6024, 3767, 3, 'Puede hacer click en la mayoría de las cabeceras de columna para cambiar el orden');
INSERT INTO `lang_definitions` VALUES (6025, 3768, 3, 'Más reciente desde');
INSERT INTO `lang_definitions` VALUES (6026, 3770, 3, 'Constantes vitales mas recientes desde:');
INSERT INTO `lang_definitions` VALUES (6027, 3771, 3, 'Madre');
INSERT INTO `lang_definitions` VALUES (6028, 3772, 3, 'Nombre de la Madre');
INSERT INTO `lang_definitions` VALUES (6029, 3774, 3, 'Boca');
INSERT INTO `lang_definitions` VALUES (6030, 3775, 3, 'Movimiento');
INSERT INTO `lang_definitions` VALUES (6031, 3776, 3, 'Mueva el documento a la categoría:');
INSERT INTO `lang_definitions` VALUES (6032, 3777, 3, 'Mueve Abajo');
INSERT INTO `lang_definitions` VALUES (6033, 3779, 3, 'Mover al paciente');
INSERT INTO `lang_definitions` VALUES (6034, 3780, 3, 'Mover hacia...');
INSERT INTO `lang_definitions` VALUES (6035, 3781, 3, 'Mover Arriba');
INSERT INTO `lang_definitions` VALUES (6036, 3783, 3, 'Sr.');
INSERT INTO `lang_definitions` VALUES (6037, 3785, 3, 'Sra.');
INSERT INTO `lang_definitions` VALUES (6038, 3786, 3, 'Srta.');
INSERT INTO `lang_definitions` VALUES (6039, 3794, 3, 'Código MSP');
INSERT INTO `lang_definitions` VALUES (6040, 3796, 3, 'Herramienta multi idioma');
INSERT INTO `lang_definitions` VALUES (6041, 3797, 3, 'Múltiples áreas');
INSERT INTO `lang_definitions` VALUES (6042, 3799, 3, 'Lotes Multiples');
INSERT INTO `lang_definitions` VALUES (6043, 3800, 3, 'Múltiples modificadores pueden estar separados por dos puntos o espacios, máximo 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (6044, 3802, 3, 'Multirracial');
INSERT INTO `lang_definitions` VALUES (6045, 3803, 3, 'Murmullos:');
INSERT INTO `lang_definitions` VALUES (6046, 3804, 3, 'Dolor de Musc');
INSERT INTO `lang_definitions` VALUES (6047, 3805, 3, 'Dolor muscular');
INSERT INTO `lang_definitions` VALUES (6048, 3806, 3, 'Rojez de Musc');
INSERT INTO `lang_definitions` VALUES (6049, 3807, 3, 'Tiesura de Musc');
INSERT INTO `lang_definitions` VALUES (6050, 3808, 3, 'Inflamación muscular');
INSERT INTO `lang_definitions` VALUES (6051, 3809, 3, 'Musc Caliente');
INSERT INTO `lang_definitions` VALUES (6052, 3810, 3, 'Músculo');
INSERT INTO `lang_definitions` VALUES (6053, 3811, 3, 'Lesiones musculares');
INSERT INTO `lang_definitions` VALUES (6054, 3812, 3, 'Musculoesquelético');
INSERT INTO `lang_definitions` VALUES (6055, 3813, 3, 'Debe estar vacío si la autenticación de SMTP no se usa.');
INSERT INTO `lang_definitions` VALUES (6056, 3814, 3, 'Definido mutuamente');
INSERT INTO `lang_definitions` VALUES (6057, 3815, 3, 'MVA');
INSERT INTO `lang_definitions` VALUES (6058, 3818, 3, 'Yo mismo');
INSERT INTO `lang_definitions` VALUES (6059, 3821, 3, 'No Aplicable');
INSERT INTO `lang_definitions` VALUES (6060, 3822, 3, 'no aplicable');
INSERT INTO `lang_definitions` VALUES (6061, 3823, 3, 'Nombre');
INSERT INTO `lang_definitions` VALUES (6062, 3825, 3, 'Nombre (Selecciona por mas)');
INSERT INTO `lang_definitions` VALUES (6063, 3826, 3, 'Nombre 1');
INSERT INTO `lang_definitions` VALUES (6064, 3827, 3, 'Nombre 2');
INSERT INTO `lang_definitions` VALUES (6065, 3828, 3, 'Nombre y título del administrador de la Vacunación');
INSERT INTO `lang_definitions` VALUES (6066, 3831, 3, 'Nombre de Eventos');
INSERT INTO `lang_definitions` VALUES (6067, 3832, 3, 'Nombre de la Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (6068, 3833, 3, 'Nombre del Facultativo');
INSERT INTO `lang_definitions` VALUES (6069, 3834, 3, 'Nombre del remitente para los recordatorios de paciente.');
INSERT INTO `lang_definitions` VALUES (6070, 3835, 3, 'Nombre de Traducción');
INSERT INTO `lang_definitions` VALUES (6071, 3836, 3, 'Nombre/Valor');
INSERT INTO `lang_definitions` VALUES (6072, 3837, 3, 'Nombre:');
INSERT INTO `lang_definitions` VALUES (6073, 3838, 3, 'NARES:');
INSERT INTO `lang_definitions` VALUES (6074, 3839, 3, 'NARES: Normal Derecho');
INSERT INTO `lang_definitions` VALUES (6075, 3840, 3, 'Mucosa nasal de color rosa, septo de línea media');
INSERT INTO `lang_definitions` VALUES (6076, 3841, 3, 'País Notas');
INSERT INTO `lang_definitions` VALUES (6077, 3842, 3, 'Configurar País Notas');
INSERT INTO `lang_definitions` VALUES (6078, 3844, 3, 'Nacionalidad');
INSERT INTO `lang_definitions` VALUES (6079, 3845, 3, 'PaísNotas');
INSERT INTO `lang_definitions` VALUES (6080, 3847, 3, 'Hawaino nativo u otras Islas del Pacífico');
INSERT INTO `lang_definitions` VALUES (6081, 3852, 3, 'Náuseas');
INSERT INTO `lang_definitions` VALUES (6082, 3854, 3, 'Navegación');
INSERT INTO `lang_definitions` VALUES (6083, 3855, 3, 'Área de navegación incluye formularios de visita');
INSERT INTO `lang_definitions` VALUES (6084, 3856, 3, 'El área de navegación usa la altura completa del marco');
INSERT INTO `lang_definitions` VALUES (6085, 3857, 3, 'Formulario Área Navegación de visita');
INSERT INTO `lang_definitions` VALUES (6086, 3858, 3, 'Ancho del área de navegación');
INSERT INTO `lang_definitions` VALUES (6087, 3859, 3, 'El menú de navegación consiste en pares de botones radiales');
INSERT INTO `lang_definitions` VALUES (6088, 3860, 3, 'El menú de navegación es una vista de árbol');
INSERT INTO `lang_definitions` VALUES (6089, 3861, 3, 'La navegación usa un menú deslizante');
INSERT INTO `lang_definitions` VALUES (6090, 3862, 3, 'NDC');
INSERT INTO `lang_definitions` VALUES (6091, 3863, 3, 'Datos NCD');
INSERT INTO `lang_definitions` VALUES (6092, 3864, 3, 'Número del NDC');
INSERT INTO `lang_definitions` VALUES (6093, 3866, 3, 'Cuello');
INSERT INTO `lang_definitions` VALUES (6094, 3867, 3, 'Problemas de Cuello');
INSERT INTO `lang_definitions` VALUES (6095, 3868, 3, 'Cuello flexible');
INSERT INTO `lang_definitions` VALUES (6096, 3869, 3, 'Necesidad de introducir una descripción');
INSERT INTO `lang_definitions` VALUES (6097, 3870, 3, 'Necesidad de introducir un Valor de Retorno');
INSERT INTO `lang_definitions` VALUES (6098, 3871, 3, 'Necesidad de entrar en el identificador');
INSERT INTO `lang_definitions` VALUES (6099, 3872, 3, 'Necesita introducir título');
INSERT INTO `lang_definitions` VALUES (6100, 3873, 3, 'Requiere autorización');
INSERT INTO `lang_definitions` VALUES (6101, 3874, 3, 'Requiere justificación');
INSERT INTO `lang_definitions` VALUES (6102, 3875, 3, 'Necesita la facturación secundaria');
INSERT INTO `lang_definitions` VALUES (6103, 3876, 3, 'Negativo');
INSERT INTO `lang_definitions` VALUES (6104, 3877, 3, 'Negativos');
INSERT INTO `lang_definitions` VALUES (6105, 3880, 3, 'Lesión del nervio');
INSERT INTO `lang_definitions` VALUES (6106, 3881, 3, 'Condición neural / daño en los nervios');
INSERT INTO `lang_definitions` VALUES (6107, 3882, 3, 'Entumecimiento Neuro');
INSERT INTO `lang_definitions` VALUES (6108, 3883, 3, 'Debilidad Neura');
INSERT INTO `lang_definitions` VALUES (6109, 3884, 3, 'Neurológico');
INSERT INTO `lang_definitions` VALUES (6110, 3885, 3, 'Nunca');
INSERT INTO `lang_definitions` VALUES (6111, 3886, 3, 'No Bebe Alcohol');
INSERT INTO `lang_definitions` VALUES (6112, 3887, 3, 'No Fumador');
INSERT INTO `lang_definitions` VALUES (6113, 3888, 3, 'Nuevo');
INSERT INTO `lang_definitions` VALUES (6114, 3889, 3, 'Nuevo =>');
INSERT INTO `lang_definitions` VALUES (6115, 3890, 3, 'Nuevos aceptadores');
INSERT INTO `lang_definitions` VALUES (6116, 3892, 3, 'Nueva alergia');
INSERT INTO `lang_definitions` VALUES (6117, 3894, 3, 'Cita Nueva');
INSERT INTO `lang_definitions` VALUES (6118, 3895, 3, 'Categoria Nueva');
INSERT INTO `lang_definitions` VALUES (6119, 3896, 3, 'Nueva Categoría');
INSERT INTO `lang_definitions` VALUES (6120, 3897, 3, 'Cliente Nuevo');
INSERT INTO `lang_definitions` VALUES (6121, 3898, 3, 'Nueva consulta');
INSERT INTO `lang_definitions` VALUES (6122, 3899, 3, 'Nuevo cultivo');
INSERT INTO `lang_definitions` VALUES (6123, 3900, 3, 'Nueva definición añadido');
INSERT INTO `lang_definitions` VALUES (6124, 3901, 3, 'Nuevo documento');
INSERT INTO `lang_definitions` VALUES (6125, 3904, 3, 'Nueva visita');
INSERT INTO `lang_definitions` VALUES (6126, 3905, 3, 'Nueva visita creada con id');
INSERT INTO `lang_definitions` VALUES (6127, 3906, 3, 'Formulario Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (6128, 3907, 3, 'Nuevas visitas no autorizadas');
INSERT INTO `lang_definitions` VALUES (6129, 3908, 3, 'Nuevos Enctr');
INSERT INTO `lang_definitions` VALUES (6130, 3909, 3, 'Nueva información del Centro');
INSERT INTO `lang_definitions` VALUES (6131, 3912, 3, 'Grupo Nuevo');
INSERT INTO `lang_definitions` VALUES (6132, 3913, 3, 'Nuevo Grupo de Información');
INSERT INTO `lang_definitions` VALUES (6133, 3914, 3, 'Nueva lesión/estado');
INSERT INTO `lang_definitions` VALUES (6134, 3916, 3, 'Nuevo límite de Eventos');
INSERT INTO `lang_definitions` VALUES (6135, 3917, 3, 'Nueva Lista');
INSERT INTO `lang_definitions` VALUES (6136, 3918, 3, 'Nuevos pedidos');
INSERT INTO `lang_definitions` VALUES (6137, 3919, 3, 'Nuevo Párrafo');
INSERT INTO `lang_definitions` VALUES (6138, 3920, 3, 'Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (6139, 3921, 3, 'Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (6140, 3922, 3, 'NUEVO PACIENTE');
INSERT INTO `lang_definitions` VALUES (6141, 3923, 3, 'Nueva Visita de Paciente');
INSERT INTO `lang_definitions` VALUES (6142, 3924, 3, 'Formulario de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (6143, 3925, 3, 'Nº Identificación de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (6144, 3926, 3, 'Nuevo Pago');
INSERT INTO `lang_definitions` VALUES (6145, 3928, 3, 'Nuevos Pt');
INSERT INTO `lang_definitions` VALUES (6146, 3929, 3, 'Nuevos resultados del laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (6147, 3930, 3, 'Nueva Busqueda');
INSERT INTO `lang_definitions` VALUES (6148, 3931, 3, 'Nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (6149, 3932, 3, 'Nuevo Usuario');
INSERT INTO `lang_definitions` VALUES (6150, 3934, 3, 'Nueva visita');
INSERT INTO `lang_definitions` VALUES (6151, 3935, 3, 'Nuevo/búsqueda');
INSERT INTO `lang_definitions` VALUES (6152, 3936, 3, 'Estado de la cuenta NewCrop');
INSERT INTO `lang_definitions` VALUES (6153, 3937, 3, '*Administrador de NewCrop');
INSERT INTO `lang_definitions` VALUES (6154, 3938, 3, 'Llamada fallida a NewCrop');
INSERT INTO `lang_definitions` VALUES (6155, 3939, 3, 'Doctor NewCrop');
INSERT INTO `lang_definitions` VALUES (6156, 3944, 3, 'Nombre Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6157, 3945, 3, 'Nombre socio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6158, 3946, 3, 'Contraseña Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6159, 3947, 3, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6160, 3948, 3, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6161, 3949, 3, 'Sitio Web Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6162, 3954, 3, 'Sitio Web servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (6163, 3955, 3, 'Gerente NewCrop');
INSERT INTO `lang_definitions` VALUES (6164, 3956, 3, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (6165, 3957, 3, 'Médico nivel medio NewCrop');
INSERT INTO `lang_definitions` VALUES (6166, 3958, 3, 'Enfermera NewCrop');
INSERT INTO `lang_definitions` VALUES (6167, 3959, 3, 'Supervisor médico NewCrop');
INSERT INTO `lang_definitions` VALUES (6168, 3961, 3, 'Periódico');
INSERT INTO `lang_definitions` VALUES (6169, 3962, 3, 'Próximo');
INSERT INTO `lang_definitions` VALUES (6170, 3964, 3, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (6171, 3965, 3, 'Próximo mes');
INSERT INTO `lang_definitions` VALUES (6172, 3966, 3, 'Proxima semana');
INSERT INTO `lang_definitions` VALUES (6173, 3968, 3, 'Próxima semana');
INSERT INTO `lang_definitions` VALUES (6174, 3969, 3, 'Año siguiente (Presione para el menu');
INSERT INTO `lang_definitions` VALUES (6175, 3971, 3, 'Apodo');
INSERT INTO `lang_definitions` VALUES (6176, 3973, 3, 'Sudores nocturnos');
INSERT INTO `lang_definitions` VALUES (6177, 3974, 3, 'Órganos genitales de la extensión de NL, mucosa de vag, cuello uterino');
INSERT INTO `lang_definitions` VALUES (6178, 3975, 3, 'NO');
INSERT INTO `lang_definitions` VALUES (6179, 3976, 3, 'No');
INSERT INTO `lang_definitions` VALUES (6180, 3977, 3, 'No tienen acceso');
INSERT INTO `lang_definitions` VALUES (6181, 3978, 3, 'Recordatorios de paciente no activos.');
INSERT INTO `lang_definitions` VALUES (6182, 3979, 3, 'No adenopatías (2 áreas requeridas)');
INSERT INTO `lang_definitions` VALUES (6183, 3980, 3, 'Ninguna razón de tipo de ajuste encontrada para');
INSERT INTO `lang_definitions` VALUES (6184, 3981, 3, 'No dolor/masa en anexos');
INSERT INTO `lang_definitions` VALUES (6185, 3983, 3, 'No hay citas');
INSERT INTO `lang_definitions` VALUES (6186, 3985, 3, 'Sistema de facturación no se encuentra activa');
INSERT INTO `lang_definitions` VALUES (6187, 3986, 3, 'No hay facturas encontradas para incluir en Exportación OFX');
INSERT INTO `lang_definitions` VALUES (6188, 3987, 3, 'No se encontraron cuentas para incluir en la exportación de OFX');
INSERT INTO `lang_definitions` VALUES (6189, 3989, 3, 'No se ha especificado el código!');
INSERT INTO `lang_definitions` VALUES (6190, 3992, 3, 'Sin Diagnóstico');
INSERT INTO `lang_definitions` VALUES (6191, 3993, 3, 'No documentos encontrados');
INSERT INTO `lang_definitions` VALUES (6192, 3994, 3, 'No pueden crearse visitas');
INSERT INTO `lang_definitions` VALUES (6193, 3995, 3, 'Sin fecha de finalización');
INSERT INTO `lang_definitions` VALUES (6194, 3996, 3, 'No se encuentran entradas, utilice el formulario que aparece a continuación para agregar una entrada.');
INSERT INTO `lang_definitions` VALUES (6195, 3997, 3, 'errores no encontrados');
INSERT INTO `lang_definitions` VALUES (6196, 3998, 3, 'No hay Eventos');
INSERT INTO `lang_definitions` VALUES (6197, 4000, 3, 'No hay ficheros preparados para la instalación');
INSERT INTO `lang_definitions` VALUES (6198, 4001, 3, 'Ningún grupo fue seleccionado');
INSERT INTO `lang_definitions` VALUES (6199, 4002, 3, 'Ninguna hernia');
INSERT INTO `lang_definitions` VALUES (6200, 4005, 3, 'No lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (6201, 4006, 3, 'No se encontro ninguna Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (6202, 4007, 3, 'No hay incidencias');
INSERT INTO `lang_definitions` VALUES (6203, 4009, 3, 'No hay artículos bajo la categoría seleccionada');
INSERT INTO `lang_definitions` VALUES (6204, 4010, 3, '¡Ningun artículo fue seleccionado!');
INSERT INTO `lang_definitions` VALUES (6205, 4025, 3, 'No hay fichero de registro para la fecha seleccionada');
INSERT INTO `lang_definitions` VALUES (6206, 4027, 3, 'Sin masas ni sensibilidad');
INSERT INTO `lang_definitions` VALUES (6207, 4028, 3, 'Ningún registro de paciente encontrado para la Re-identificación dada');
INSERT INTO `lang_definitions` VALUES (6208, 4029, 3, 'No hay coincidencias. Intentar buscar de nuevo.');
INSERT INTO `lang_definitions` VALUES (6209, 4030, 3, 'No se han encontrado coincidencias.');
INSERT INTO `lang_definitions` VALUES (6210, 4031, 3, 'No se encontró. ¿Crear el nuevo paciente ahora?');
INSERT INTO `lang_definitions` VALUES (6211, 4032, 3, 'No hay registros coincidentes');
INSERT INTO `lang_definitions` VALUES (6212, 4033, 3, 'No hay nuevos resultados encontrados');
INSERT INTO `lang_definitions` VALUES (6213, 4034, 3, 'Ningunas notas');
INSERT INTO `lang_definitions` VALUES (6214, 4035, 3, 'No hay organomegalia');
INSERT INTO `lang_definitions` VALUES (6215, 4036, 3, 'No se encontraron huecos para este periodo.');
INSERT INTO `lang_definitions` VALUES (6216, 4037, 3, 'No figuran otros números de teléfono');
INSERT INTO `lang_definitions` VALUES (6217, 4039, 3, 'Socios no encontrados');
INSERT INTO `lang_definitions` VALUES (6218, 4040, 3, 'No hay registros de paciente encontrados para el criterio de selección dado');
INSERT INTO `lang_definitions` VALUES (6219, 4041, 3, 'No hay registros de paciente encontrados para el código de Re-identificación dado');
INSERT INTO `lang_definitions` VALUES (6220, 4042, 3, 'Ningún edema periférico');
INSERT INTO `lang_definitions` VALUES (6221, 4043, 3, 'Ninguna Farmacia Encontrada');
INSERT INTO `lang_definitions` VALUES (6222, 4044, 3, 'Ninguna Prescripción Encontrada');
INSERT INTO `lang_definitions` VALUES (6223, 4045, 3, 'Ninguna enfermedad/lesión actuales');
INSERT INTO `lang_definitions` VALUES (6224, 4046, 3, 'Sin entradas anteriores');
INSERT INTO `lang_definitions` VALUES (6225, 4047, 3, 'Ninguna Empresa Primaria seleccionada en la lista del Centro');
INSERT INTO `lang_definitions` VALUES (6226, 4051, 3, 'Ningun Facultativo Encontrado');
INSERT INTO `lang_definitions` VALUES (6227, 4052, 3, 'Ninguna erupción o lesiones anormales');
INSERT INTO `lang_definitions` VALUES (6228, 4053, 3, 'Registros no encontrados');
INSERT INTO `lang_definitions` VALUES (6229, 4055, 3, 'Registros no encontrados. Por favor amplíe sus criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (6230, 4056, 3, 'No hay recordatorios');
INSERT INTO `lang_definitions` VALUES (6231, 4057, 3, 'Resultados no encontrados, para los criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (6232, 4058, 3, 'Sin resultados');
INSERT INTO `lang_definitions` VALUES (6233, 4060, 3, 'Búsqueda sin resultado');
INSERT INTO `lang_definitions` VALUES (6234, 4061, 3, 'Ningun resultado, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (6235, 4062, 3, 'Sin resultados, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (6236, 4063, 3, 'Sin resultado, por favor intente de nuevo.');
INSERT INTO `lang_definitions` VALUES (6237, 4065, 3, 'Ausente');
INSERT INTO `lang_definitions` VALUES (6238, 4067, 3, 'Ninguna sensibilidad del Seno:');
INSERT INTO `lang_definitions` VALUES (6239, 4068, 3, 'Sin hoyuelos en la piel o nódulos en la mama');
INSERT INTO `lang_definitions` VALUES (6240, 4069, 3, 'NINGÚN NOMBRE DE CONTEXTO');
INSERT INTO `lang_definitions` VALUES (6241, 4071, 3, 'No hay sensibilidad testicular, masas');
INSERT INTO `lang_definitions` VALUES (6242, 4072, 3, 'Ningunas emociones o tirones');
INSERT INTO `lang_definitions` VALUES (6243, 4075, 3, 'No hay visita');
INSERT INTO `lang_definitions` VALUES (6244, 4076, 3, 'Constantes vitales no han sido documentadas.');
INSERT INTO `lang_definitions` VALUES (6245, 4077, 3, 'No, Cancelar');
INSERT INTO `lang_definitions` VALUES (6246, 4078, 3, 'Ningún seguro de defecto incluyendo Auto es principal');
INSERT INTO `lang_definitions` VALUES (6247, 4079, 3, 'No:');
INSERT INTO `lang_definitions` VALUES (6248, 4080, 3, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (6249, 4081, 3, 'No Pagado');
INSERT INTO `lang_definitions` VALUES (6250, 4082, 3, 'Informe No Reportado');
INSERT INTO `lang_definitions` VALUES (6251, 4083, 3, 'Lesión no específica');
INSERT INTO `lang_definitions` VALUES (6252, 4084, 3, 'No-electrónico');
INSERT INTO `lang_definitions` VALUES (6253, 4085, 3, 'Non-insulin dependent diabetes');
INSERT INTO `lang_definitions` VALUES (6254, 4086, 3, 'No asegurado');
INSERT INTO `lang_definitions` VALUES (6255, 4087, 3, 'No-SRH Médico');
INSERT INTO `lang_definitions` VALUES (6256, 4088, 3, 'No-SRH No-Médico');
INSERT INTO `lang_definitions` VALUES (6257, 4089, 3, 'Ninguno');
INSERT INTO `lang_definitions` VALUES (6258, 4090, 3, 'ninguno');
INSERT INTO `lang_definitions` VALUES (6259, 4091, 3, 'No definido');
INSERT INTO `lang_definitions` VALUES (6260, 4092, 3, 'No ha sido documentado');
INSERT INTO `lang_definitions` VALUES (6261, 4093, 3, 'Ninguna de las anteriores');
INSERT INTO `lang_definitions` VALUES (6262, 4094, 3, 'Ninguna de las Filas de Distribución Superior puede estar Completamente en Blanco.');
INSERT INTO `lang_definitions` VALUES (6263, 4095, 3, 'Diabetes no insulino dependiente');
INSERT INTO `lang_definitions` VALUES (6264, 4096, 3, 'No');
INSERT INTO `lang_definitions` VALUES (6265, 4097, 3, 'Normal');
INSERT INTO `lang_definitions` VALUES (6266, 4098, 3, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (6267, 4099, 3, 'Examen Cardiaco Normal:');
INSERT INTO `lang_definitions` VALUES (6268, 4100, 3, 'Examen Cardiaco Normal: ');
INSERT INTO `lang_definitions` VALUES (6269, 4101, 3, 'Examen Normal del Pulmón:');
INSERT INTO `lang_definitions` VALUES (6270, 4102, 3, 'Examen Normal del Pulmón: ');
INSERT INTO `lang_definitions` VALUES (6271, 4103, 3, 'Visita normal en el Centro');
INSERT INTO `lang_definitions` VALUES (6272, 4104, 3, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (6273, 4105, 3, 'Derecho Normal');
INSERT INTO `lang_definitions` VALUES (6274, 4106, 3, 'Derecho Normal:');
INSERT INTO `lang_definitions` VALUES (6275, 4107, 3, 'Ver Normal');
INSERT INTO `lang_definitions` VALUES (6276, 4108, 3, 'normal:');
INSERT INTO `lang_definitions` VALUES (6277, 4109, 3, 'Normalmente esto debe ser comprobado. No relacionado con el control de acceso.');
INSERT INTO `lang_definitions` VALUES (6278, 4112, 3, 'Noruego');
INSERT INTO `lang_definitions` VALUES (6279, 4115, 3, 'Nariz');
INSERT INTO `lang_definitions` VALUES (6280, 4116, 3, 'Sangrado por la nariz');
INSERT INTO `lang_definitions` VALUES (6281, 4117, 3, 'No es letra ni úmero');
INSERT INTO `lang_definitions` VALUES (6282, 4119, 3, 'No todos los campos son obligatorios para todos los códigos o tipos de códigos.');
INSERT INTO `lang_definitions` VALUES (6283, 4120, 3, 'No permitido');
INSERT INTO `lang_definitions` VALUES (6284, 4121, 3, 'No pueden eliminar el grupo Administradores');
INSERT INTO `lang_definitions` VALUES (6285, 4122, 3, 'No permitido Editar');
INSERT INTO `lang_definitions` VALUES (6286, 4123, 3, 'No pueden inactivar todos los objetos de seguridad');
INSERT INTO `lang_definitions` VALUES (6287, 4124, 3, 'No permitido hacer inactivo cualquier cosa de los administradores ACL');
INSERT INTO `lang_definitions` VALUES (6288, 4125, 3, 'No pueden eliminar el usuario administrador del grupo Administradores');
INSERT INTO `lang_definitions` VALUES (6289, 4126, 3, 'No permitido eliminar este usuario del grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (6290, 4128, 3, 'No autorizado para tener acceso al módulo de PostCalendar');
INSERT INTO `lang_definitions` VALUES (6291, 4129, 3, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (6292, 4130, 3, 'No Autorizado');
INSERT INTO `lang_definitions` VALUES (6293, 4131, 3, '¡No autorizado para este equipo!');
INSERT INTO `lang_definitions` VALUES (6294, 4132, 3, 'No autorizados para este equipo.');
INSERT INTO `lang_definitions` VALUES (6295, 4135, 3, 'No disponible');
INSERT INTO `lang_definitions` VALUES (6296, 4137, 3, 'No facturado');
INSERT INTO `lang_definitions` VALUES (6297, 4138, 3, 'No Chequeado');
INSERT INTO `lang_definitions` VALUES (6298, 4139, 3, 'No registró salida');
INSERT INTO `lang_definitions` VALUES (6299, 4140, 3, 'No codificado');
INSERT INTO `lang_definitions` VALUES (6300, 4141, 3, 'No Vencido');
INSERT INTO `lang_definitions` VALUES (6301, 4143, 3, 'No examinado');
INSERT INTO `lang_definitions` VALUES (6302, 4144, 3, 'No Examinado:');
INSERT INTO `lang_definitions` VALUES (6303, 4145, 3, 'No Examinado: ');
INSERT INTO `lang_definitions` VALUES (6304, 4146, 3, 'No encontrado');
INSERT INTO `lang_definitions` VALUES (6305, 4148, 3, 'No encontrado!');
INSERT INTO `lang_definitions` VALUES (6306, 4149, 3, 'No Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (6307, 4150, 3, 'No instalado');
INSERT INTO `lang_definitions` VALUES (6308, 4152, 3, 'No visto desde');
INSERT INTO `lang_definitions` VALUES (6309, 4154, 3, 'No enviado todavía');
INSERT INTO `lang_definitions` VALUES (6310, 4156, 3, 'Sin Especificar');
INSERT INTO `lang_definitions` VALUES (6311, 4157, 3, 'Nota');
INSERT INTO `lang_definitions` VALUES (6312, 4158, 3, 'Código Notas');
INSERT INTO `lang_definitions` VALUES (6313, 4159, 3, 'Tenga en cuenta que el proceso completo después de hacer click en instalar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (6314, 4160, 3, 'Tenga en cuenta que el proceso completo después de hacer click en actualizar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (6315, 4161, 3, 'Tenga en cuenta que la Auditoría de inicio sesión necesita estar activada arriba');
INSERT INTO `lang_definitions` VALUES (6316, 4162, 3, 'Tipo de Nota');
INSERT INTO `lang_definitions` VALUES (6317, 4163, 3, 'Nota: 12:00 mediodía es PM, no AM');
INSERT INTO `lang_definitions` VALUES (6318, 4164, 3, 'NOTA: Importar datos externos puede tomar más de una hora dependiendo de su configuración hardware. Por ejemplo, una de las tablas de datos RxNorm contiene más de 6 millones de líneas.');
INSERT INTO `lang_definitions` VALUES (6319, 4165, 3, 'NOTA: Solo la versión Bianual Snomed Internacional es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (6320, 4166, 3, 'NOTA: Solo la versión completa mensual de RxNorm es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (6321, 4168, 3, 'Nota: este código no fue ingresado por un usuario autorizado. Sólo los códigos autorizados pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (6322, 4170, 3, 'Nota: este código no fue por un usuario autorizado. Sólo están autorizados los códigos pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (6323, 4171, 3, 'NOTA: Adjuntar ficheros con nombres duplicados hará que los ficheros sean automáticamente renombrados. Por ejemplo \' fichero.jpg\' se convertirá \' fichero.jpg.1\'. Los nombres de fichero se consideran únicos por paciente, no por categoría.');
INSERT INTO `lang_definitions` VALUES (6324, 4172, 3, 'Notas');
INSERT INTO `lang_definitions` VALUES (6325, 4173, 3, 'Notas - cualquier visita(escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (6326, 4174, 3, 'Notas - mis visitas(escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (6327, 4175, 3, 'Notas no autorizados');
INSERT INTO `lang_definitions` VALUES (6328, 4177, 3, 'Nada Grabado');
INSERT INTO `lang_definitions` VALUES (6329, 4179, 3, 'Nada que importar para alergia');
INSERT INTO `lang_definitions` VALUES (6330, 4180, 3, 'Nada que importar para receta');
INSERT INTO `lang_definitions` VALUES (6331, 4181, 3, 'Nada que mostrar');
INSERT INTO `lang_definitions` VALUES (6332, 4182, 3, 'Nada fue seleccionado');
INSERT INTO `lang_definitions` VALUES (6333, 4184, 3, 'AVISO:: Sumisión/modificación de PostCalendar');
INSERT INTO `lang_definitions` VALUES (6334, 4185, 3, 'Notificación');
INSERT INTO `lang_definitions` VALUES (6335, 4186, 3, 'Email para Notificación');
INSERT INTO `lang_definitions` VALUES (6336, 4188, 3, 'Notificaciones');
INSERT INTO `lang_definitions` VALUES (6337, 4189, 3, 'Notificar Administrador Acerca del Evento de envío/Modificación?');
INSERT INTO `lang_definitions` VALUES (6338, 4190, 3, 'Nov');
INSERT INTO `lang_definitions` VALUES (6339, 4191, 3, 'Noviembre');
INSERT INTO `lang_definitions` VALUES (6340, 4192, 3, 'Ahora envío para:');
INSERT INTO `lang_definitions` VALUES (6341, 4193, 3, 'Imprimiendo ahora');
INSERT INTO `lang_definitions` VALUES (6342, 4194, 3, 'Ahora impresión $stmt_count declaraciones y actualización de visitas.');
INSERT INTO `lang_definitions` VALUES (6343, 4195, 3, 'Ahora declaraciones de la impresión $stmt_count y facturas de la puesta al día.');
INSERT INTO `lang_definitions` VALUES (6344, 4196, 3, 'Ahora impresión $stmt_count declaraciones;visitas no serán actualizadas.');
INSERT INTO `lang_definitions` VALUES (6345, 4197, 3, 'Ahora declaraciones de la impresión $stmt_count; las facturas no serán actualizadas.');
INSERT INTO `lang_definitions` VALUES (6346, 4198, 3, 'NPI');
INSERT INTO `lang_definitions` VALUES (6347, 4199, 3, 'National Quality Forum');
INSERT INTO `lang_definitions` VALUES (6348, 4200, 3, 'Número');
INSERT INTO `lang_definitions` VALUES (6349, 4201, 3, 'Número laboratorio');
INSERT INTO `lang_definitions` VALUES (6350, 4204, 3, 'Número de columnas en vista/año.');
INSERT INTO `lang_definitions` VALUES (6351, 4211, 3, 'Número de días de validez para el certificado de cliente.');
INSERT INTO `lang_definitions` VALUES (6352, 4213, 3, 'Número de dígitos después del punto decimal, normalmente 0 o 2.');
INSERT INTO `lang_definitions` VALUES (6353, 4214, 3, 'Número de visitas por página');
INSERT INTO `lang_definitions` VALUES (6354, 4215, 3, 'Número de partidas o eventos perdidos, si hay');
INSERT INTO `lang_definitions` VALUES (6355, 4216, 3, 'Número de horas de antelación para enviar notificaciones por email.');
INSERT INTO `lang_definitions` VALUES (6356, 4217, 3, 'Número de horas de antelación para enviar notificaciones por teléfono.');
INSERT INTO `lang_definitions` VALUES (6357, 4218, 3, 'Número de horas de antelación para enviar notificaciones por SMS.');
INSERT INTO `lang_definitions` VALUES (6358, 4221, 3, 'Número de columnas para historia pasada');
INSERT INTO `lang_definitions` VALUES (6359, 4222, 3, 'Número de pacientes que mostrar por página en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (6360, 4223, 3, 'Entumecimiento');
INSERT INTO `lang_definitions` VALUES (6361, 4224, 3, 'Numerador');
INSERT INTO `lang_definitions` VALUES (6362, 4225, 3, 'Orden Númerico mostrado');
INSERT INTO `lang_definitions` VALUES (6363, 4227, 3, 'Nutrición');
INSERT INTO `lang_definitions` VALUES (6364, 4229, 3, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (6365, 4230, 3, 'O2 sat');
INSERT INTO `lang_definitions` VALUES (6366, 4231, 3, 'Obesidad I');
INSERT INTO `lang_definitions` VALUES (6367, 4232, 3, 'Obesidad II');
INSERT INTO `lang_definitions` VALUES (6368, 4233, 3, 'Obesidad III');
INSERT INTO `lang_definitions` VALUES (6369, 4234, 3, 'Objetivo');
INSERT INTO `lang_definitions` VALUES (6370, 4237, 3, 'Ocupación');
INSERT INTO `lang_definitions` VALUES (6371, 4239, 3, 'Episodio');
INSERT INTO `lang_definitions` VALUES (6372, 4240, 3, 'Oct');
INSERT INTO `lang_definitions` VALUES (6373, 4241, 3, 'Octubre');
INSERT INTO `lang_definitions` VALUES (6374, 4242, 3, 'OD');
INSERT INTO `lang_definitions` VALUES (6375, 4243, 3, 'de');
INSERT INTO `lang_definitions` VALUES (6376, 4244, 3, 'de la cantidad');
INSERT INTO `lang_definitions` VALUES (6377, 4245, 3, 'de tabletas');
INSERT INTO `lang_definitions` VALUES (6378, 4246, 3, 'de cada mes');
INSERT INTO `lang_definitions` VALUES (6379, 4247, 3, 'Notas de la oficina');
INSERT INTO `lang_definitions` VALUES (6380, 4248, 3, 'Apagado');
INSERT INTO `lang_definitions` VALUES (6381, 4249, 3, 'Notas de la Oficina');
INSERT INTO `lang_definitions` VALUES (6382, 4250, 3, 'Visita en el Centro');
INSERT INTO `lang_definitions` VALUES (6383, 4251, 3, 'Medidas oficiales de calidad clínica (GCC) Grupos de medida');
INSERT INTO `lang_definitions` VALUES (6384, 4252, 3, 'Vínculo https para el Portal Externo del paciente.');
INSERT INTO `lang_definitions` VALUES (6385, 4253, 3, 'Vínculo Https para el Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (6386, 4254, 3, 'Contraseña Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (6387, 4255, 3, 'Contraseña Portal del paciente externo (Dejar en blanco si no está registrado)');
INSERT INTO `lang_definitions` VALUES (6388, 4258, 3, 'Sitio Web del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (6389, 4259, 3, 'Sitio web del Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (6390, 4260, 3, 'Usuario del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (6391, 4261, 3, 'Usuario del Portal del Paciente Externo (Dejar en blanco si no está registrado).');
INSERT INTO `lang_definitions` VALUES (6392, 4263, 3, 'Descendencia');
INSERT INTO `lang_definitions` VALUES (6393, 4265, 3, 'Ungüento');
INSERT INTO `lang_definitions` VALUES (6394, 4267, 3, 'Esta Bien');
INSERT INTO `lang_definitions` VALUES (6395, 4269, 3, 'OK para enlazar la incidencia GCAC fechada');
INSERT INTO `lang_definitions` VALUES (6396, 4270, 3, 'Viejo');
INSERT INTO `lang_definitions` VALUES (6397, 4272, 3, 'Clientes antiguos');
INSERT INTO `lang_definitions` VALUES (6398, 4273, 3, 'Fractura antigua no/malunión');
INSERT INTO `lang_definitions` VALUES (6399, 4274, 3, 'Diseño Estilo antiguo sin menú a la izquierda');
INSERT INTO `lang_definitions` VALUES (6400, 4275, 3, 'Formulario viejo-estilo sin buscar o comprobar duplicados');
INSERT INTO `lang_definitions` VALUES (6401, 4279, 3, 'Omitir información empleador en demográficos del paciente');
INSERT INTO `lang_definitions` VALUES (6402, 4280, 3, 'Omitir Empleador');
INSERT INTO `lang_definitions` VALUES (6403, 4281, 3, 'Forma omitida, vía e intervalo que serán parte de la dosis');
INSERT INTO `lang_definitions` VALUES (6404, 4282, 3, 'Omitir seguro y otras cosas en el formulario de demograficos');
INSERT INTO `lang_definitions` VALUES (6405, 4283, 3, '¿Omitir usuarios internos?');
INSERT INTO `lang_definitions` VALUES (6406, 4284, 3, 'Omitir método de pago para el panel de co-pago');
INSERT INTO `lang_definitions` VALUES (6407, 4285, 3, 'Omitir para firma automatico');
INSERT INTO `lang_definitions` VALUES (6408, 4286, 3, 'en');
INSERT INTO `lang_definitions` VALUES (6409, 4287, 3, 'En');
INSERT INTO `lang_definitions` VALUES (6410, 4288, 3, 'En mano');
INSERT INTO `lang_definitions` VALUES (6411, 4289, 3, 'En Orden');
INSERT INTO `lang_definitions` VALUES (6412, 4290, 3, 'En el sitio');
INSERT INTO `lang_definitions` VALUES (6413, 4291, 3, 'Una vez asignado el Centro para el negocio principal, no deberá ser cambiado. El cambio del Centro afectará al trabajo en NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (6414, 4292, 3, 'Una vez que cambie su contraseña, tendrá que volver a iniciar sesión.');
INSERT INTO `lang_definitions` VALUES (6415, 4297, 3, 'Soporte en línea');
INSERT INTO `lang_definitions` VALUES (6416, 4298, 3, 'Vínculo de soporte online');
INSERT INTO `lang_definitions` VALUES (6417, 4299, 3, 'Sólo activa');
INSERT INTO `lang_definitions` VALUES (6418, 4302, 3, 'sólo si es ubicación de facturación');
INSERT INTO `lang_definitions` VALUES (6419, 4303, 3, 'Sólo inactivo');
INSERT INTO `lang_definitions` VALUES (6420, 4304, 3, 'Sólo mio');
INSERT INTO `lang_definitions` VALUES (6421, 4305, 3, 'Sólo mostrar los Informes de códigos de diagnóstico');
INSERT INTO `lang_definitions` VALUES (6422, 4306, 3, 'Sólo mostrar Código de Servicio de Informes de Códigos de Finanzas');
INSERT INTO `lang_definitions` VALUES (6423, 4307, 3, 'Sólo subir las prescripciones activas');
INSERT INTO `lang_definitions` VALUES (6424, 4310, 3, 'Inicio Enfermedad:');
INSERT INTO `lang_definitions` VALUES (6425, 4311, 3, 'Inicio Enfermedad: ');
INSERT INTO `lang_definitions` VALUES (6426, 4312, 3, 'Inicio de Hinchazón:');
INSERT INTO `lang_definitions` VALUES (6427, 4313, 3, 'Fecha de Inicio/hospital.:');
INSERT INTO `lang_definitions` VALUES (6428, 4314, 3, 'Sitio Web del Portal del Paciente Interno');
INSERT INTO `lang_definitions` VALUES (6429, 4315, 3, '¡Uy!');
INSERT INTO `lang_definitions` VALUES (6430, 4316, 3, 'Abrir');
INSERT INTO `lang_definitions` VALUES (6431, 4318, 3, 'Abrir en ventana nueva');
INSERT INTO `lang_definitions` VALUES (6432, 4321, 3, 'Abrir visitas para hoy');
INSERT INTO `lang_definitions` VALUES (6433, 4322, 3, 'LibreEHR ya tiene un Certificado de Autoridad Configurado');
INSERT INTO `lang_definitions` VALUES (6434, 4324, 3, 'Actualización base de datos LibreEHR');
INSERT INTO `lang_definitions` VALUES (6435, 4325, 3, 'Actualización base de datos LibreEHR para De-identificación');
INSERT INTO `lang_definitions` VALUES (6436, 4326, 3, 'LibreEHR no reconoce el archivo de entrada en el directorio contrib. Esto es probablemente porque necesita configurar la versión en la tabla supported_external_dataloads en la base de datos MySQL.');
INSERT INTO `lang_definitions` VALUES (6437, 4327, 3, 'LibreEHR debe configurarse para usar certificado antes de poder crear cliente');
INSERT INTO `lang_definitions` VALUES (6438, 4328, 3, 'LibreEHR requiere Javascript para realizar la autenticación de usuario.');
INSERT INTO `lang_definitions` VALUES (6439, 4329, 3, 'LibreEHR Usuarios');
INSERT INTO `lang_definitions` VALUES (6440, 4330, 3, 'Vacantes');
INSERT INTO `lang_definitions` VALUES (6441, 4332, 3, 'Oftálmico');
INSERT INTO `lang_definitions` VALUES (6442, 4333, 3, 'Opcion');
INSERT INTO `lang_definitions` VALUES (6443, 4334, 3, 'Opción para guardar el método de almacenamiento de documentos.');
INSERT INTO `lang_definitions` VALUES (6444, 4335, 3, 'Opción para soporte de inventario y ventas de productos');
INSERT INTO `lang_definitions` VALUES (6445, 4336, 3, 'Opcional');
INSERT INTO `lang_definitions` VALUES (6446, 4337, 3, 'Nombre de la categoría opcional para una imagen de la tarjeta de identificación que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (6447, 4338, 3, 'Nombre de la categoría opcional para una imagen de foto que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (6448, 4339, 3, 'Nombre de la categoría opcional de un documento para vincular desde la página de resumen del paciente. Haga click en el nombre del paciente para ver su tarjeta de identificación.');
INSERT INTO `lang_definitions` VALUES (6449, 4340, 3, 'Rango por defecto opcional para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (6450, 4341, 3, 'Unidades opcionales por defecto para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (6451, 4342, 3, 'Nombre de destino opcional');
INSERT INTO `lang_definitions` VALUES (6452, 4343, 3, 'Nombre opcional de medicamento, use % como comodín');
INSERT INTO `lang_definitions` VALUES (6453, 4345, 3, 'Información opcional sobre este evento');
INSERT INTO `lang_definitions` VALUES (6454, 4346, 3, 'Opcional número de lote, usar % como un comodin');
INSERT INTO `lang_definitions` VALUES (6455, 4347, 3, 'Nº Identificación Numérico opcional del paciente');
INSERT INTO `lang_definitions` VALUES (6456, 4348, 3, 'Código opcional del procedimiento');
INSERT INTO `lang_definitions` VALUES (6457, 4349, 3, 'Código procedimiento/servicio opcional');
INSERT INTO `lang_definitions` VALUES (6458, 4350, 3, 'Opciones');
INSERT INTO `lang_definitions` VALUES (6459, 4351, 3, 'ó');
INSERT INTO `lang_definitions` VALUES (6460, 4352, 3, 'O');
INSERT INTO `lang_definitions` VALUES (6461, 4353, 3, 'o elija');
INSERT INTO `lang_definitions` VALUES (6462, 4354, 3, 'o Selecciona y arrastrar para selección mas rapida');
INSERT INTO `lang_definitions` VALUES (6463, 4356, 3, 'O hacia fuera a');
INSERT INTO `lang_definitions` VALUES (6464, 4358, 3, 'o Shif-Selecciona para reducirlo');
INSERT INTO `lang_definitions` VALUES (6465, 4359, 3, 'O adjuntar fichero ERA:');
INSERT INTO `lang_definitions` VALUES (6466, 4360, 3, 'Oral');
INSERT INTO `lang_definitions` VALUES (6467, 4361, 3, 'Mucosa oral rosada, garganta clara');
INSERT INTO `lang_definitions` VALUES (6468, 4362, 3, 'Orden');
INSERT INTO `lang_definitions` VALUES (6469, 4363, 3, 'Orden y tipo de resultados');
INSERT INTO `lang_definitions` VALUES (6470, 4364, 3, 'Catálogo de órdenes');
INSERT INTO `lang_definitions` VALUES (6471, 4365, 3, 'Fecha pedido');
INSERT INTO `lang_definitions` VALUES (6472, 4367, 3, 'Formulario de pedido');
INSERT INTO `lang_definitions` VALUES (6473, 4369, 3, 'Orden debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (6474, 4370, 3, 'Nombre pedido');
INSERT INTO `lang_definitions` VALUES (6475, 4371, 3, 'Solicitud Prioridades');
INSERT INTO `lang_definitions` VALUES (6476, 4372, 3, 'Orden de Procesamiento');
INSERT INTO `lang_definitions` VALUES (6477, 4375, 3, 'estatus de la orden');
INSERT INTO `lang_definitions` VALUES (6478, 4378, 3, 'tipo de orden');
INSERT INTO `lang_definitions` VALUES (6479, 4380, 3, 'Tipo de orden/resultado');
INSERT INTO `lang_definitions` VALUES (6480, 4381, 3, 'Ordenado');
INSERT INTO `lang_definitions` VALUES (6481, 4384, 3, 'Profesional que ordeno');
INSERT INTO `lang_definitions` VALUES (6482, 4386, 3, 'Lesión de órganos');
INSERT INTO `lang_definitions` VALUES (6483, 4387, 3, 'Organización');
INSERT INTO `lang_definitions` VALUES (6484, 4388, 3, 'Nombre de organización');
INSERT INTO `lang_definitions` VALUES (6485, 4389, 3, 'Nombre de la unidad organizacional');
INSERT INTO `lang_definitions` VALUES (6486, 4390, 3, 'Organizacións');
INSERT INTO `lang_definitions` VALUES (6487, 4391, 3, 'Orientada x 3');
INSERT INTO `lang_definitions` VALUES (6488, 4392, 3, 'Original');
INSERT INTO `lang_definitions` VALUES (6489, 4396, 3, 'OROFARINGE: ');
INSERT INTO `lang_definitions` VALUES (6490, 4397, 3, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (6491, 4398, 3, 'OS');
INSERT INTO `lang_definitions` VALUES (6492, 4399, 3, 'Osteoartritis');
INSERT INTO `lang_definitions` VALUES (6493, 4402, 3, 'Otro');
INSERT INTO `lang_definitions` VALUES (6494, 4403, 3, 'otro');
INSERT INTO `lang_definitions` VALUES (6495, 4404, 3, 'Otro (especifique)');
INSERT INTO `lang_definitions` VALUES (6496, 4405, 3, 'Otros - especificado');
INSERT INTO `lang_definitions` VALUES (6497, 4406, 3, 'Otro Progama Federal');
INSERT INTO `lang_definitions` VALUES (6498, 4407, 3, 'Otro HCFA');
INSERT INTO `lang_definitions` VALUES (6499, 4408, 3, 'Otra lesión en otra parte especificada');
INSERT INTO `lang_definitions` VALUES (6500, 4409, 3, 'Otro Seguro de Responsabilidad Civil es Primario');
INSERT INTO `lang_definitions` VALUES (6501, 4410, 3, 'Otro mes');
INSERT INTO `lang_definitions` VALUES (6502, 4411, 3, 'Otros programas No-Federales');
INSERT INTO `lang_definitions` VALUES (6503, 4412, 3, 'Otras Notas');
INSERT INTO `lang_definitions` VALUES (6504, 4413, 3, 'Otros síntomas pertinentes');
INSERT INTO `lang_definitions` VALUES (6505, 4414, 3, 'Otros síntomas pertinentes:');
INSERT INTO `lang_definitions` VALUES (6506, 4415, 3, 'Otra respuesta del paciente');
INSERT INTO `lang_definitions` VALUES (6507, 4416, 3, 'Otros tipos de estrés/lesión uso en');
INSERT INTO `lang_definitions` VALUES (6508, 4417, 3, 'Otro Quirúrgico');
INSERT INTO `lang_definitions` VALUES (6509, 4418, 3, 'Otro/Genérico relacionado con Aborto');
INSERT INTO `lang_definitions` VALUES (6510, 4420, 3, 'Otros');
INSERT INTO `lang_definitions` VALUES (6511, 4421, 3, 'De otra forma usted destruirá las referencias a/de los datos existentes');
INSERT INTO `lang_definitions` VALUES (6512, 4422, 3, 'Reglas de tobillo de Ottawa');
INSERT INTO `lang_definitions` VALUES (6513, 4423, 3, 'OU');
INSERT INTO `lang_definitions` VALUES (6514, 4424, 3, 'SALIDA');
INSERT INTO `lang_definitions` VALUES (6515, 4425, 3, 'Salida');
INSERT INTO `lang_definitions` VALUES (6516, 4426, 3, 'Derivación de salida');
INSERT INTO `lang_definitions` VALUES (6517, 4427, 3, 'Resultado');
INSERT INTO `lang_definitions` VALUES (6518, 4428, 3, 'Outlook');
INSERT INTO `lang_definitions` VALUES (6519, 4431, 3, 'VENCIDO');
INSERT INTO `lang_definitions` VALUES (6520, 4432, 3, 'Sobreuso');
INSERT INTO `lang_definitions` VALUES (6521, 4433, 3, 'Información General');
INSERT INTO `lang_definitions` VALUES (6522, 4434, 3, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (6523, 4435, 3, 'Sobrescribir la elección HIPAA');
INSERT INTO `lang_definitions` VALUES (6524, 4437, 3, 'Saturación del Oxígeno');
INSERT INTO `lang_definitions` VALUES (6525, 4439, 3, 'P');
INSERT INTO `lang_definitions` VALUES (6526, 4440, 3, 'p.c.');
INSERT INTO `lang_definitions` VALUES (6527, 4441, 3, 'p.m.');
INSERT INTO `lang_definitions` VALUES (6528, 4442, 3, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (6529, 4443, 3, 'Isleño del Pacifico');
INSERT INTO `lang_definitions` VALUES (6530, 4444, 3, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (6531, 4445, 3, 'Página');
INSERT INTO `lang_definitions` VALUES (6532, 4446, 3, 'Páginas');
INSERT INTO `lang_definitions` VALUES (6533, 4447, 3, 'Pago');
INSERT INTO `lang_definitions` VALUES (6534, 4448, 3, 'Cantidad pagada que usted asignará');
INSERT INTO `lang_definitions` VALUES (6535, 4449, 3, 'Importe pagado');
INSERT INTO `lang_definitions` VALUES (6536, 4450, 3, 'Pagado Via');
INSERT INTO `lang_definitions` VALUES (6537, 4451, 3, 'Dolor');
INSERT INTO `lang_definitions` VALUES (6538, 4453, 3, 'Palpitaciones');
INSERT INTO `lang_definitions` VALUES (6539, 4455, 3, 'Prueba de Papanicolaou');
INSERT INTO `lang_definitions` VALUES (6540, 4456, 3, 'Papel');
INSERT INTO `lang_definitions` VALUES (6541, 4457, 3, 'Tamaño papel');
INSERT INTO `lang_definitions` VALUES (6542, 4458, 3, 'Parálisis');
INSERT INTO `lang_definitions` VALUES (6543, 4461, 3, 'Analizar HL7');
INSERT INTO `lang_definitions` VALUES (6544, 4463, 3, 'Socio');
INSERT INTO `lang_definitions` VALUES (6545, 4464, 3, 'Nombre Socio');
INSERT INTO `lang_definitions` VALUES (6546, 4467, 3, 'Frase Contraseña');
INSERT INTO `lang_definitions` VALUES (6547, 4468, 3, 'Frase Contraseña para desencriptar documento');
INSERT INTO `lang_definitions` VALUES (6548, 4469, 3, 'Pacientes pasados');
INSERT INTO `lang_definitions` VALUES (6549, 4470, 3, 'Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (6550, 4471, 3, 'Reglas de Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (6551, 4472, 3, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (6552, 4473, 3, 'Cambio de la contraseña');
INSERT INTO `lang_definitions` VALUES (6553, 4475, 3, 'Cambio de contraseña con éxito.');
INSERT INTO `lang_definitions` VALUES (6554, 4477, 3, 'Periodo de Gracia de Expiración de Contraseña');
INSERT INTO `lang_definitions` VALUES (6555, 4479, 3, 'Contraseña para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (6556, 4480, 3, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (6557, 4481, 3, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (6558, 4483, 3, 'Contraseña de seguridad ha sido recientemente actualizada.');
INSERT INTO `lang_definitions` VALUES (6559, 4484, 3, 'Contraseña para conectar a CouchDB');
INSERT INTO `lang_definitions` VALUES (6560, 4486, 3, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (6561, 4490, 3, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (6562, 4491, 3, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (6563, 4492, 3, 'Intervalo Vencido (Recordatorios clínicos)');
INSERT INTO `lang_definitions` VALUES (6564, 4493, 3, 'Intervalo Vencido (Recordatorios Paciente)');
INSERT INTO `lang_definitions` VALUES (6565, 4494, 3, 'Lista de visitas anteriores');
INSERT INTO `lang_definitions` VALUES (6566, 4495, 3, 'Anteriores visitas');
INSERT INTO `lang_definitions` VALUES (6567, 4496, 3, 'Anteriores visitas y Documentos');
INSERT INTO `lang_definitions` VALUES (6568, 4497, 3, 'Anteriores visitas de');
INSERT INTO `lang_definitions` VALUES (6569, 4498, 3, 'Pegar datos HL7');
INSERT INTO `lang_definitions` VALUES (6570, 4499, 3, 'Pegar los datos de importación en el área de texto a continuación:');
INSERT INTO `lang_definitions` VALUES (6571, 4500, 3, 'Paciente');
INSERT INTO `lang_definitions` VALUES (6572, 4502, 3, 'Parche');
INSERT INTO `lang_definitions` VALUES (6573, 4508, 3, 'Ruta de backup del log de eventos');
INSERT INTO `lang_definitions` VALUES (6574, 4509, 3, 'Ruta del fichero de certificado CA');
INSERT INTO `lang_definitions` VALUES (6575, 4510, 3, 'Ruta del fichero clave CA');
INSERT INTO `lang_definitions` VALUES (6576, 4511, 3, 'Ruta de ficheros binarios MySQL');
INSERT INTO `lang_definitions` VALUES (6577, 4512, 3, 'Ruta de ficheros binarios Perl');
INSERT INTO `lang_definitions` VALUES (6578, 4513, 3, 'Ruta de los ficheros temporales');
INSERT INTO `lang_definitions` VALUES (6579, 4514, 3, 'Paciente');
INSERT INTO `lang_definitions` VALUES (6580, 4515, 3, 'paciente');
INSERT INTO `lang_definitions` VALUES (6581, 4516, 3, 'PACIENTE');
INSERT INTO `lang_definitions` VALUES (6582, 4517, 3, 'Dirección del paciente');
INSERT INTO `lang_definitions` VALUES (6583, 4518, 3, 'Falta la dirección del paciente');
INSERT INTO `lang_definitions` VALUES (6584, 4521, 3, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (6585, 4522, 3, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (6586, 4523, 3, 'Cita del Paciente');
INSERT INTO `lang_definitions` VALUES (6587, 4524, 3, 'Balance de paciente');
INSERT INTO `lang_definitions` VALUES (6588, 4528, 3, 'Nº Identificación del gráfico del paciente');
INSERT INTO `lang_definitions` VALUES (6589, 4529, 3, 'Comprobación de paciente');
INSERT INTO `lang_definitions` VALUES (6590, 4530, 3, 'Comprobación de paciente para ');
INSERT INTO `lang_definitions` VALUES (6591, 4531, 3, 'Ciudad del Paciente');
INSERT INTO `lang_definitions` VALUES (6592, 4532, 3, 'Falta la ciudad del paciente');
INSERT INTO `lang_definitions` VALUES (6593, 4533, 3, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (6594, 4534, 3, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (6595, 4535, 3, 'Pais del Paciente');
INSERT INTO `lang_definitions` VALUES (6596, 4536, 3, 'Falta la ciudad del paciente. Tampoco ha configurado la ciudad del paciente por defecto en la configuración global');
INSERT INTO `lang_definitions` VALUES (6597, 4537, 3, 'Cobertura de paciente');
INSERT INTO `lang_definitions` VALUES (6598, 4539, 3, 'Datos del Paciente');
INSERT INTO `lang_definitions` VALUES (6599, 4541, 3, 'Falta la F.Nacimiento del paciente');
INSERT INTO `lang_definitions` VALUES (6600, 4542, 3, 'Detalles del Paciente');
INSERT INTO `lang_definitions` VALUES (6601, 4543, 3, 'F.Nacimiento del Paciente');
INSERT INTO `lang_definitions` VALUES (6602, 4544, 3, 'Documentos del Paciente');
INSERT INTO `lang_definitions` VALUES (6603, 4545, 3, 'Material Educativo para el Paciente');
INSERT INTO `lang_definitions` VALUES (6604, 4546, 3, 'Materiales educativos para pacientes');
INSERT INTO `lang_definitions` VALUES (6605, 4547, 3, 'Visitas del Paciente');
INSERT INTO `lang_definitions` VALUES (6606, 4548, 3, 'Formulario de visitas del Paciente');
INSERT INTO `lang_definitions` VALUES (6607, 4549, 3, 'Visitas de Pacientes');
INSERT INTO `lang_definitions` VALUES (6608, 4550, 3, 'Buscador de paciente');
INSERT INTO `lang_definitions` VALUES (6609, 4551, 3, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (6610, 4553, 3, 'Falta el nombre del paciente');
INSERT INTO `lang_definitions` VALUES (6611, 4558, 3, 'Género del Paciente');
INSERT INTO `lang_definitions` VALUES (6612, 4559, 3, 'Falta el género del paciente');
INSERT INTO `lang_definitions` VALUES (6613, 4560, 3, 'Paciente no autorizado al Portal del paciente');
INSERT INTO `lang_definitions` VALUES (6614, 4561, 3, 'Historia del Paciente');
INSERT INTO `lang_definitions` VALUES (6615, 4562, 3, 'Historia del Paciente/Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (6616, 4563, 3, 'Teléfono Casa del Paciente');
INSERT INTO `lang_definitions` VALUES (6617, 4564, 3, 'ID Paciente');
INSERT INTO `lang_definitions` VALUES (6618, 4565, 3, 'Nº Identificación del Paciente');
INSERT INTO `lang_definitions` VALUES (6619, 4566, 3, 'Nº Identificación Tarjeta del Paciente');
INSERT INTO `lang_definitions` VALUES (6620, 4567, 3, 'Nombre categoría ID paciente');
INSERT INTO `lang_definitions` VALUES (6621, 4568, 3, 'Vacunación del paciente');
INSERT INTO `lang_definitions` VALUES (6622, 4569, 3, 'Información del Paciente');
INSERT INTO `lang_definitions` VALUES (6623, 4570, 3, 'Instrucciones al paciente');
INSERT INTO `lang_definitions` VALUES (6624, 4571, 3, 'Distribución de pacientes Asegurados');
INSERT INTO `lang_definitions` VALUES (6625, 4572, 3, 'Informe de distribución de pacientes asegurados');
INSERT INTO `lang_definitions` VALUES (6626, 4573, 3, 'Incidencias del Paciente');
INSERT INTO `lang_definitions` VALUES (6627, 4575, 3, 'Apellido(s)del Paciente');
INSERT INTO `lang_definitions` VALUES (6628, 4577, 3, 'Falta el apellido del paciente');
INSERT INTO `lang_definitions` VALUES (6629, 4581, 3, 'Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6630, 4582, 3, 'Columnas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6631, 4584, 3, 'Nuevas ventanas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6632, 4585, 3, 'Tamaño página Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (6633, 4586, 3, 'Errores de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (6634, 4587, 3, 'Problemas Médicos del Paciente');
INSERT INTO `lang_definitions` VALUES (6635, 4588, 3, 'Medicamentos del Paciente');
INSERT INTO `lang_definitions` VALUES (6636, 4589, 3, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (6637, 4590, 3, 'Nombre y Dirección del Paciente');
INSERT INTO `lang_definitions` VALUES (6638, 4593, 3, 'Nombre de Paciente Requerido');
INSERT INTO `lang_definitions` VALUES (6639, 4595, 3, 'Nota del paciente');
INSERT INTO `lang_definitions` VALUES (6640, 4596, 3, 'Nota de tipos de pacientes');
INSERT INTO `lang_definitions` VALUES (6641, 4597, 3, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (6642, 4598, 3, 'Notas del paciente (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (6643, 4599, 3, 'Número del Paciente');
INSERT INTO `lang_definitions` VALUES (6644, 4600, 3, 'Pago del paciente');
INSERT INTO `lang_definitions` VALUES (6645, 4602, 3, 'Nombre de Categoría de Foto del Paciente');
INSERT INTO `lang_definitions` VALUES (6646, 4603, 3, 'Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (6647, 4605, 3, 'Portal del Paciente está apagado');
INSERT INTO `lang_definitions` VALUES (6648, 4606, 3, 'Inicio sesión Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (6649, 4607, 3, 'Sitio web del Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (6650, 4608, 3, 'Informe Impreso del Paciente');
INSERT INTO `lang_definitions` VALUES (6651, 4609, 3, 'Informe de registro del paciente');
INSERT INTO `lang_definitions` VALUES (6652, 4610, 3, 'Solicitud Registro de Paciente');
INSERT INTO `lang_definitions` VALUES (6653, 4611, 3, 'Solicitud Registros de Pacientes');
INSERT INTO `lang_definitions` VALUES (6654, 4613, 3, 'Recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (6655, 4614, 3, 'Batch Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6656, 4616, 3, 'Reglas Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6657, 4617, 3, 'email Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6658, 4618, 3, 'Nombre Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (6659, 4619, 3, 'Recordatorios del Paciente');
INSERT INTO `lang_definitions` VALUES (6660, 4620, 3, 'Inforne del Paciente');
INSERT INTO `lang_definitions` VALUES (6661, 4621, 3, 'Solicitud del Paciente');
INSERT INTO `lang_definitions` VALUES (6662, 4622, 3, 'Paciente solicitó Registros Médicos');
INSERT INTO `lang_definitions` VALUES (6663, 4623, 3, 'Resultados del paciente');
INSERT INTO `lang_definitions` VALUES (6664, 4624, 3, 'Resultados de búsqueda de estilo de paciente');
INSERT INTO `lang_definitions` VALUES (6665, 4625, 3, 'Pantalla Buscar/añadir paciente');
INSERT INTO `lang_definitions` VALUES (6666, 4626, 3, 'Ajustes paciente');
INSERT INTO `lang_definitions` VALUES (6667, 4627, 3, 'Estado paciente');
INSERT INTO `lang_definitions` VALUES (6668, 4629, 3, 'Resumen del Paciente');
INSERT INTO `lang_definitions` VALUES (6669, 4630, 3, 'Transacciones del Pacientes');
INSERT INTO `lang_definitions` VALUES (6670, 4631, 3, 'Código Postal paciente');
INSERT INTO `lang_definitions` VALUES (6671, 4632, 3, 'Paciente(s) en la BBDD que coinciden con la información demográfica que usted ha ingresado.');
INSERT INTO `lang_definitions` VALUES (6672, 4633, 3, 'Paciente/Cliente');
INSERT INTO `lang_definitions` VALUES (6673, 4634, 3, 'Paciente:');
INSERT INTO `lang_definitions` VALUES (6674, 4635, 3, 'PacienteID');
INSERT INTO `lang_definitions` VALUES (6675, 4636, 3, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (6676, 4638, 3, 'Pago');
INSERT INTO `lang_definitions` VALUES (6677, 4639, 3, 'Preste atención a la -Hecho con- casillas de verificación. Después de los seguros están marcados completa luego empezaremos a pedir a la paciente a pagar el saldo restante, si usted no marca la totalidad de los seguros luego completar la cantidad restante no serán recogidos! También si hay un equilibrio que el paciente debe pagar, a continuación, establezca la fecha apropiada, ya que esto afecta a la lengua que aparece en las declaraciones del paciente.');
INSERT INTO `lang_definitions` VALUES (6678, 4640, 3, 'Fecha de Pago:');
INSERT INTO `lang_definitions` VALUES (6679, 4641, 3, 'Estado de Pago');
INSERT INTO `lang_definitions` VALUES (6680, 4642, 3, 'Nombre del beneficiario');
INSERT INTO `lang_definitions` VALUES (6681, 4643, 3, 'Pagador');
INSERT INTO `lang_definitions` VALUES (6682, 4644, 3, 'Tipo Pagador');
INSERT INTO `lang_definitions` VALUES (6683, 4645, 3, 'Pagar');
INSERT INTO `lang_definitions` VALUES (6684, 4646, 3, 'Entidad pagadora');
INSERT INTO `lang_definitions` VALUES (6685, 4647, 3, 'Pago');
INSERT INTO `lang_definitions` VALUES (6686, 4648, 3, 'pago');
INSERT INTO `lang_definitions` VALUES (6687, 4649, 3, 'Código ajuste pago');
INSERT INTO `lang_definitions` VALUES (6688, 4650, 3, 'Pago contra');
INSERT INTO `lang_definitions` VALUES (6689, 4651, 3, 'Imnporte pago');
INSERT INTO `lang_definitions` VALUES (6690, 4652, 3, 'Importe pago debe ser numérico');
INSERT INTO `lang_definitions` VALUES (6691, 4653, 3, 'Categoría pago');
INSERT INTO `lang_definitions` VALUES (6692, 4654, 3, 'Fecha de Pago');
INSERT INTO `lang_definitions` VALUES (6693, 4655, 3, 'pago ingresado el');
INSERT INTO `lang_definitions` VALUES (6694, 4656, 3, 'Pago desde');
INSERT INTO `lang_definitions` VALUES (6695, 4657, 3, 'Pasarela de pagos');
INSERT INTO `lang_definitions` VALUES (6696, 4658, 3, 'Imputar pagos');
INSERT INTO `lang_definitions` VALUES (6697, 4659, 3, 'Lista de pagos');
INSERT INTO `lang_definitions` VALUES (6698, 4660, 3, 'Método de Pago');
INSERT INTO `lang_definitions` VALUES (6699, 4661, 3, 'Ordenar pagos por');
INSERT INTO `lang_definitions` VALUES (6700, 4662, 3, 'Estado pagos');
INSERT INTO `lang_definitions` VALUES (6701, 4663, 3, 'Tipo pagos');
INSERT INTO `lang_definitions` VALUES (6702, 4664, 3, 'Valor de pago para el código ');
INSERT INTO `lang_definitions` VALUES (6703, 4665, 3, 'Pagos');
INSERT INTO `lang_definitions` VALUES (6704, 4667, 3, 'PCP');
INSERT INTO `lang_definitions` VALUES (6705, 4669, 3, 'PDF');
INSERT INTO `lang_definitions` VALUES (6706, 4670, 3, 'Descargar PDF de seleccionados');
INSERT INTO `lang_definitions` VALUES (6707, 4672, 3, 'Pelvis y nalga');
INSERT INTO `lang_definitions` VALUES (6708, 4673, 3, 'Pénfigo');
INSERT INTO `lang_definitions` VALUES (6709, 4674, 3, 'Pendiente');
INSERT INTO `lang_definitions` VALUES (6710, 4676, 3, 'Pendiente F/U');
INSERT INTO `lang_definitions` VALUES (6711, 4677, 3, 'Seguimento Pendiente');
INSERT INTO `lang_definitions` VALUES (6712, 4678, 3, 'Seguimiento de resultados pendientes');
INSERT INTO `lang_definitions` VALUES (6713, 4679, 3, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (6714, 4680, 3, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (6715, 4681, 3, 'Revisión Pendientes');
INSERT INTO `lang_definitions` VALUES (6716, 4682, 3, 'Contador Recetas pendientes');
INSERT INTO `lang_definitions` VALUES (6717, 4684, 3, 'Pennington firme LibreEHR v');
INSERT INTO `lang_definitions` VALUES (6718, 4685, 3, 'La úlcera péptica');
INSERT INTO `lang_definitions` VALUES (6719, 4687, 3, 'por minuto');
INSERT INTO `lang_definitions` VALUES (6720, 4688, 3, 'Por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (6721, 4689, 3, 'por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (6722, 4690, 3, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (6723, 4691, 3, 'por oris');
INSERT INTO `lang_definitions` VALUES (6724, 4692, 3, 'Por Recto');
INSERT INTO `lang_definitions` VALUES (6725, 4693, 3, 'por recto');
INSERT INTO `lang_definitions` VALUES (6726, 4694, 3, 'Porcentaje');
INSERT INTO `lang_definitions` VALUES (6727, 4697, 3, 'Percentil');
INSERT INTO `lang_definitions` VALUES (6728, 4698, 3, 'Derecho Perforado:');
INSERT INTO `lang_definitions` VALUES (6729, 4699, 3, 'Realizar la búsqueda');
INSERT INTO `lang_definitions` VALUES (6730, 4700, 3, 'Realizar esta acción');
INSERT INTO `lang_definitions` VALUES (6731, 4701, 3, 'Porcentaje Rendimiento');
INSERT INTO `lang_definitions` VALUES (6732, 4703, 3, 'Realización Laboratorio del Centro');
INSERT INTO `lang_definitions` VALUES (6733, 4705, 3, 'Periodo');
INSERT INTO `lang_definitions` VALUES (6734, 4706, 3, 'Periodo en días donde un usuario puede iniciar sesión con una contraseña caducada.');
INSERT INTO `lang_definitions` VALUES (6735, 4707, 3, 'Cuidados perioperatorios');
INSERT INTO `lang_definitions` VALUES (6736, 4708, 3, 'Periférico');
INSERT INTO `lang_definitions` VALUES (6737, 4712, 3, 'Persona');
INSERT INTO `lang_definitions` VALUES (6738, 4713, 3, 'Personalizar');
INSERT INTO `lang_definitions` VALUES (6739, 4714, 3, 'PG');
INSERT INTO `lang_definitions` VALUES (6740, 4715, 3, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (6741, 4716, 3, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (6742, 4717, 3, 'Farmacias');
INSERT INTO `lang_definitions` VALUES (6743, 4718, 3, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (6744, 4719, 3, 'Dispensario de la Farmacia');
INSERT INTO `lang_definitions` VALUES (6745, 4720, 3, 'Neumotorax');
INSERT INTO `lang_definitions` VALUES (6746, 4729, 3, 'Teléfono');
INSERT INTO `lang_definitions` VALUES (6747, 4730, 3, 'Lista de llamadas de teléfono');
INSERT INTO `lang_definitions` VALUES (6748, 4731, 3, 'Informe Lista de llamadas');
INSERT INTO `lang_definitions` VALUES (6749, 4733, 3, 'Contraseña de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (6750, 4734, 3, 'URL de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (6751, 4735, 3, 'Usuario puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (6752, 4737, 3, 'Hora notificación teléfono');
INSERT INTO `lang_definitions` VALUES (6753, 4738, 3, 'Número de teléfono');
INSERT INTO `lang_definitions` VALUES (6754, 4740, 3, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (6755, 4741, 3, 'Fotografías');
INSERT INTO `lang_definitions` VALUES (6756, 4742, 3, 'PHP comprimida');
INSERT INTO `lang_definitions` VALUES (6757, 4743, 3, 'Módulo PHP CURL debe estar activado en su servidor.');
INSERT INTO `lang_definitions` VALUES (6758, 4744, 3, 'Extraído de PHP');
INSERT INTO `lang_definitions` VALUES (6759, 4745, 3, 'controles de acceso de PHP-GACL están desactivados.');
INSERT INTO `lang_definitions` VALUES (6760, 4746, 3, 'controles de acceso de PHP-GACL are desactivados.');
INSERT INTO `lang_definitions` VALUES (6761, 4747, 3, 'Examen Físico');
INSERT INTO `lang_definitions` VALUES (6762, 4749, 3, 'Solicitud de Fisio');
INSERT INTO `lang_definitions` VALUES (6763, 4750, 3, 'Firma del Fisio');
INSERT INTO `lang_definitions` VALUES (6764, 4752, 3, 'Fisios');
INSERT INTO `lang_definitions` VALUES (6765, 4753, 3, 'escoger');
INSERT INTO `lang_definitions` VALUES (6766, 4754, 3, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (6767, 4755, 3, 'Seleccionar un tema CSS');
INSERT INTO `lang_definitions` VALUES (6768, 4756, 3, 'PID');
INSERT INTO `lang_definitions` VALUES (6769, 4757, 3, 'PID (enfermedad pélvica inflamatoria)');
INSERT INTO `lang_definitions` VALUES (6770, 4758, 3, 'Tamaño de la Píldora');
INSERT INTO `lang_definitions` VALUES (6771, 4759, 3, 'Píldoras');
INSERT INTO `lang_definitions` VALUES (6772, 4760, 3, 'Coloque el fichero de database zip en el siguiente directorio si quiere la opción de instalar');
INSERT INTO `lang_definitions` VALUES (6773, 4761, 3, 'Ponga el fichero zip de bbdd ICD 10 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (6774, 4762, 3, 'Ponga el fichero zip de bbdd ICD 9 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (6775, 4763, 3, 'Ponga el fichero zip de bbdd RxNorm en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (6776, 4764, 3, 'Ponga el fichero zip de bbdd Snomed en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (6777, 4765, 3, 'Marcador de posición');
INSERT INTO `lang_definitions` VALUES (6778, 4766, 3, 'Marcador de posición (Mantiene vacia ACL)');
INSERT INTO `lang_definitions` VALUES (6779, 4767, 3, 'Texto sin Formato');
INSERT INTO `lang_definitions` VALUES (6780, 4768, 3, 'Plan');
INSERT INTO `lang_definitions` VALUES (6781, 4771, 3, 'Nombre del Plan');
INSERT INTO `lang_definitions` VALUES (6782, 4775, 3, 'Ajuste Planes');
INSERT INTO `lang_definitions` VALUES (6783, 4779, 3, 'Plan:');
INSERT INTO `lang_definitions` VALUES (6784, 4782, 3, 'Planes');
INSERT INTO `lang_definitions` VALUES (6785, 4784, 3, 'Jugador');
INSERT INTO `lang_definitions` VALUES (6786, 4785, 3, 'Posición de juego');
INSERT INTO `lang_definitions` VALUES (6787, 4786, 3, 'Favor de llamar si la informacion arriba es incorrecta');
INSERT INTO `lang_definitions` VALUES (6788, 4787, 3, 'Por favor cambie su contraseña');
INSERT INTO `lang_definitions` VALUES (6789, 4788, 3, 'Por favor, elige un fichero');
INSERT INTO `lang_definitions` VALUES (6790, 4789, 3, 'Por favor, elige un paciente');
INSERT INTO `lang_definitions` VALUES (6791, 4790, 3, 'Por favor, elija una selección válida de la lista.');
INSERT INTO `lang_definitions` VALUES (6792, 4791, 3, 'Por favor elige una selecion valida');
INSERT INTO `lang_definitions` VALUES (6793, 4792, 3, 'Por favor, elija un valor para');
INSERT INTO `lang_definitions` VALUES (6794, 4793, 3, 'Por favor elija el rango de fechas, y haga click en refrescar para ver los resultados.');
INSERT INTO `lang_definitions` VALUES (6795, 4794, 3, 'Por favor elegir el formato adecuado del fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (6796, 4795, 3, 'Por favor click en el botón Descargar para descargar los datos de DE identificación');
INSERT INTO `lang_definitions` VALUES (6797, 4796, 3, 'Por favor click en el botón descargar para descargar los datos de Re-identificación');
INSERT INTO `lang_definitions` VALUES (6798, 4797, 3, 'Por favor, cierre esta ventana.');
INSERT INTO `lang_definitions` VALUES (6799, 4798, 3, 'Por favor, comparar el nuevo nombre');
INSERT INTO `lang_definitions` VALUES (6800, 4801, 3, 'Por favor cree la siguiente carpeta antes de proceder');
INSERT INTO `lang_definitions` VALUES (6801, 4802, 3, 'No acepte por favor esta prescripción a menos que fuera recibida vía facimile.');
INSERT INTO `lang_definitions` VALUES (6802, 4803, 3, 'Por favor no aceptar esta receta a menos que sea recibida por fax.');
INSERT INTO `lang_definitions` VALUES (6803, 4804, 3, 'Por favor, no utilice el botón de parada o recarga de su navegador, mientras esta página está funcionando a menos que transcurran mas de 10 minutos, esto no detendrá el proceso en el servidor y consumirá recursos innecesarios.');
INSERT INTO `lang_definitions` VALUES (6804, 4805, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN CURL');
INSERT INTO `lang_definitions` VALUES (6805, 4806, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN OPENSSL');
INSERT INTO `lang_definitions` VALUES (6806, 4807, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN SOAP');
INSERT INTO `lang_definitions` VALUES (6807, 4808, 3, 'POR FAVOR ACTIVE LA EXTENSIÓN XML');
INSERT INTO `lang_definitions` VALUES (6808, 4809, 3, 'Favor de entrar fecha de la ultima revision');
INSERT INTO `lang_definitions` VALUES (6809, 4810, 3, 'Por favor introduzca la fecha');
INSERT INTO `lang_definitions` VALUES (6810, 4811, 3, 'Por favor introduzca una fecha de vencimiento');
INSERT INTO `lang_definitions` VALUES (6811, 4812, 3, 'Por favor introduzca un mensaje');
INSERT INTO `lang_definitions` VALUES (6812, 4813, 3, 'Por favor, introduzca un importe monetario, utilizando sólo números y un punto decimal.');
INSERT INTO `lang_definitions` VALUES (6813, 4814, 3, 'Por favor introduzca una Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (6814, 4815, 3, 'Por favor, escriba un título!');
INSERT INTO `lang_definitions` VALUES (6815, 4819, 3, 'Por favor introduzca el código de Re-identificación correcto');
INSERT INTO `lang_definitions` VALUES (6816, 4821, 3, 'Por favor, introduzca el dato de la nueva búsqueda');
INSERT INTO `lang_definitions` VALUES (6817, 4822, 3, 'Por favor introduzca el código de re-identificación');
INSERT INTO `lang_definitions` VALUES (6818, 4823, 3, 'Por favor introduzca contraseña');
INSERT INTO `lang_definitions` VALUES (6819, 4824, 3, 'Por favor rellene el número de cheque');
INSERT INTO `lang_definitions` VALUES (6820, 4825, 3, 'Por favor rellene el número Check/Ref');
INSERT INTO `lang_definitions` VALUES (6821, 4826, 3, 'Por favor rellene la fecha');
INSERT INTO `lang_definitions` VALUES (6822, 4827, 3, 'Por favor rellene el importe del pago');
INSERT INTO `lang_definitions` VALUES (6823, 4828, 3, 'Por favor rellene la categoría del pago');
INSERT INTO `lang_definitions` VALUES (6824, 4829, 3, 'Por favor rellene la procedencia del pago');
INSERT INTO `lang_definitions` VALUES (6825, 4830, 3, 'Por favor rellene la casilla de la Fecha');
INSERT INTO `lang_definitions` VALUES (6826, 4831, 3, 'Favor de llenar antes de continuar');
INSERT INTO `lang_definitions` VALUES (6827, 4832, 3, 'Por favor indique el motivo de la visita');
INSERT INTO `lang_definitions` VALUES (6828, 4834, 3, 'Por favor introducir criterios de búsqueda arriba, haga clic en aceptar para ver los resultados.');
INSERT INTO `lang_definitions` VALUES (6829, 4835, 3, 'Por favor introduzca los criterios de búsqueda arriba, y haga click en aceptar para ver los resultados. (Los resultados serán mostrados en una ventana emergente)');
INSERT INTO `lang_definitions` VALUES (6830, 4836, 3, 'Por favor inicie sesión de nuevo');
INSERT INTO `lang_definitions` VALUES (6831, 4837, 3, 'Por Favor tenga en cuenta que esto puede tomar mucho tiempo, hasta varios minutos, el navegador web puede no aparecer muy activa durante este tiempo, pero la generación de una factura es un proceso complicado y su navegador web está a la espera de más información.');
INSERT INTO `lang_definitions` VALUES (6832, 4838, 3, 'Por favor Nota: constantes son sensibles a mayúsculas y minúsculas y se permite cualquier cadena.');
INSERT INTO `lang_definitions` VALUES (6833, 4839, 3, 'Por favor, utilice únicamente caracteres alfabéticos');
INSERT INTO `lang_definitions` VALUES (6834, 4840, 3, 'Por favor, utilice únicamente caracteres alfabéticos sin espacios');
INSERT INTO `lang_definitions` VALUES (6835, 4841, 3, 'Por favor, pagar esta cantidad');
INSERT INTO `lang_definitions` VALUES (6836, 4842, 3, 'Por favor ponga sus ficheros de instalación en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (6837, 4843, 3, 'Favor de referise a');
INSERT INTO `lang_definitions` VALUES (6838, 4844, 3, 'Por favor, reinicie la contraseña.');
INSERT INTO `lang_definitions` VALUES (6839, 4845, 3, 'Por favor resetear el servidor apache antes de intentar la finalización de sesión');
INSERT INTO `lang_definitions` VALUES (6840, 4847, 3, 'Por favor seleccione');
INSERT INTO `lang_definitions` VALUES (6841, 4849, 3, 'Por favor seleccione un idioma');
INSERT INTO `lang_definitions` VALUES (6842, 4850, 3, 'Por favor seleccione un Paciente');
INSERT INTO `lang_definitions` VALUES (6843, 4851, 3, 'Por favor seleccione una entidad de negocio primario con \'C.I.F.\' como su centro \'C.I.F.\'. Si usted es autónomo, ponga su \'C.I.F.\'. Será usado para identificarle en el sistema NewCrop.');
INSERT INTO `lang_definitions` VALUES (6844, 4854, 3, 'Por favor Seleccione un Destinatario');
INSERT INTO `lang_definitions` VALUES (6845, 4855, 3, 'Por favor seleccione la fecha de inicio y fin');
INSERT INTO `lang_definitions` VALUES (6846, 4856, 3, 'Por favor Seleccione un Destinatario válido');
INSERT INTO `lang_definitions` VALUES (6847, 4858, 3, 'Por favor, seleccione un razón de ajuste para el código ');
INSERT INTO `lang_definitions` VALUES (6848, 4859, 3, 'Por favor, seleccione un evento');
INSERT INTO `lang_definitions` VALUES (6849, 4860, 3, 'Por favor seleccione una Opción de Búsqueda');
INSERT INTO `lang_definitions` VALUES (6850, 4863, 3, 'Favor seleccionar al menos una receta');
INSERT INTO `lang_definitions` VALUES (6851, 4865, 3, 'Por favor, seleccione las pags. que desee copiar o reenviar:');
INSERT INTO `lang_definitions` VALUES (6852, 4866, 3, 'Por favor seleccione la Forma de Pago');
INSERT INTO `lang_definitions` VALUES (6853, 4867, 3, 'Por favor seleccione el tipo de pago.');
INSERT INTO `lang_definitions` VALUES (6854, 4869, 3, 'Por favor seleccione socio X12, requerido para crear el batch 270');
INSERT INTO `lang_definitions` VALUES (6855, 4870, 3, 'Por favor ajuste');
INSERT INTO `lang_definitions` VALUES (6856, 4871, 3, 'Por favor ponga la variable de_identification_config a cero');
INSERT INTO `lang_definitions` VALUES (6857, 4873, 3, 'Por favor inicie un nuevo proceso de De identificación');
INSERT INTO `lang_definitions` VALUES (6858, 4874, 3, 'Por favor actualice la base de datos LibreEHR para incluir procedimientos, funciones, tablas para De identificación');
INSERT INTO `lang_definitions` VALUES (6859, 4875, 3, 'Por favor, consulte la tabla de log de errores de De Identificación para más detalles');
INSERT INTO `lang_definitions` VALUES (6860, 4876, 3, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (6861, 4877, 3, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (6862, 4878, 3, 'Por favor visite la página pasado algún tiempo');
INSERT INTO `lang_definitions` VALUES (6863, 4882, 3, 'PM');
INSERT INTO `lang_definitions` VALUES (6864, 4883, 3, 'PM Program');
INSERT INTO `lang_definitions` VALUES (6865, 4884, 3, 'Método de pago');
INSERT INTO `lang_definitions` VALUES (6866, 4885, 3, 'PND');
INSERT INTO `lang_definitions` VALUES (6867, 4886, 3, 'Conjugado Neumocócico 1');
INSERT INTO `lang_definitions` VALUES (6868, 4887, 3, 'Conjugado Neumocócico 2');
INSERT INTO `lang_definitions` VALUES (6869, 4888, 3, 'Conjugado Neumocócico 3');
INSERT INTO `lang_definitions` VALUES (6870, 4889, 3, 'Conjugado Neumocócico 4');
INSERT INTO `lang_definitions` VALUES (6871, 4890, 3, 'vacuna contra el neumococo');
INSERT INTO `lang_definitions` VALUES (6872, 4891, 3, 'Vacunación Neumonía');
INSERT INTO `lang_definitions` VALUES (6873, 4892, 3, 'Estado de vacunación de neumonía de adultos mayores');
INSERT INTO `lang_definitions` VALUES (6874, 4893, 3, 'Estado de vacunación de neumonía de adultos mayores (GCC)');
INSERT INTO `lang_definitions` VALUES (6875, 4894, 3, 'Podológica');
INSERT INTO `lang_definitions` VALUES (6876, 4896, 3, 'Punto del servicio (posición)');
INSERT INTO `lang_definitions` VALUES (6877, 4897, 3, 'Póliza');
INSERT INTO `lang_definitions` VALUES (6878, 4898, 3, 'Póliza Nº');
INSERT INTO `lang_definitions` VALUES (6879, 4899, 3, 'Número Póliza');
INSERT INTO `lang_definitions` VALUES (6880, 4900, 3, 'Polaco');
INSERT INTO `lang_definitions` VALUES (6881, 4901, 3, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (6882, 4902, 3, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (6883, 4903, 3, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (6884, 4904, 3, 'Falta de Apetito');
INSERT INTO `lang_definitions` VALUES (6885, 4905, 3, 'Pobre Circulación');
INSERT INTO `lang_definitions` VALUES (6886, 4906, 3, 'Déficit auditivo');
INSERT INTO `lang_definitions` VALUES (6887, 4907, 3, 'Pop-ups necesitan estar activos para ver estos reportes');
INSERT INTO `lang_definitions` VALUES (6888, 4908, 3, '¿Rellenar la vista del año con eventos?');
INSERT INTO `lang_definitions` VALUES (6889, 4909, 3, 'Los menús emergentes');
INSERT INTO `lang_definitions` VALUES (6890, 4910, 3, 'Portal');
INSERT INTO `lang_definitions` VALUES (6891, 4911, 3, 'Actividad del Portal');
INSERT INTO `lang_definitions` VALUES (6892, 4917, 3, 'Portugués');
INSERT INTO `lang_definitions` VALUES (6893, 4918, 3, 'Portugués (Brasileño)');
INSERT INTO `lang_definitions` VALUES (6894, 4919, 3, 'Portugués (Europeo)');
INSERT INTO `lang_definitions` VALUES (6895, 4920, 3, 'Código de POS');
INSERT INTO `lang_definitions` VALUES (6896, 4922, 3, 'Positivo');
INSERT INTO `lang_definitions` VALUES (6897, 4923, 3, 'Positivos');
INSERT INTO `lang_definitions` VALUES (6898, 4925, 3, 'Enviar por');
INSERT INTO `lang_definitions` VALUES (6899, 4926, 3, 'Goteo nasal posterior');
INSERT INTO `lang_definitions` VALUES (6900, 4927, 3, 'Enviar pagos');
INSERT INTO `lang_definitions` VALUES (6901, 4928, 3, 'Post-quirúrgico');
INSERT INTO `lang_definitions` VALUES (6902, 4929, 3, 'Publique en la contabilidad y marque como facturado');
INSERT INTO `lang_definitions` VALUES (6903, 4930, 3, 'Publicar en fecha');
INSERT INTO `lang_definitions` VALUES (6904, 4931, 3, 'Publicar en fecha no puede ser mayor que hoy');
INSERT INTO `lang_definitions` VALUES (6905, 4932, 3, 'Publicar en fecha debe ser mayor que la fecha de cierre financiero');
INSERT INTO `lang_definitions` VALUES (6906, 4933, 3, 'Cuidado del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (6907, 4934, 3, 'Contracepción del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (6908, 4935, 3, 'Asesoramiento del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (6909, 4936, 3, 'Seguimiento Post-Aborto');
INSERT INTO `lang_definitions` VALUES (6910, 4937, 3, 'Postal');
INSERT INTO `lang_definitions` VALUES (6911, 4938, 3, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (6912, 4939, 3, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (6913, 4941, 3, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (6914, 4942, 3, 'Administración del PostCalendar');
INSERT INTO `lang_definitions` VALUES (6915, 4943, 3, 'Configuración de la Categoría PostCalendar');
INSERT INTO `lang_definitions` VALUES (6916, 4944, 3, 'Configuración Global de PostCalendar');
INSERT INTO `lang_definitions` VALUES (6917, 4945, 3, 'Publicado en');
INSERT INTO `lang_definitions` VALUES (6918, 4946, 3, 'Fecha de Envío');
INSERT INTO `lang_definitions` VALUES (6919, 4948, 3, 'Desarrollado por');
INSERT INTO `lang_definitions` VALUES (6920, 4949, 3, 'PPE+ Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (6921, 4950, 3, 'PQRI (Iniciativa Informe Calidad Médica)');
INSERT INTO `lang_definitions` VALUES (6922, 4951, 3, 'Registro ID PQRI');
INSERT INTO `lang_definitions` VALUES (6923, 4952, 3, 'Registro Nombre PQRI');
INSERT INTO `lang_definitions` VALUES (6924, 4953, 3, 'Práctica');
INSERT INTO `lang_definitions` VALUES (6925, 4954, 3, 'Centro establecido por defecto');
INSERT INTO `lang_definitions` VALUES (6926, 4955, 3, 'Ajustes del Centro');
INSERT INTO `lang_definitions` VALUES (6927, 4956, 3, 'Prestador');
INSERT INTO `lang_definitions` VALUES (6928, 4958, 3, 'Pago anticipado');
INSERT INTO `lang_definitions` VALUES (6929, 4959, 3, 'Prepago');
INSERT INTO `lang_definitions` VALUES (6930, 4960, 3, 'Consulta del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (6931, 4961, 3, 'Asesoramiento del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (6932, 4962, 3, 'Categoría Pref');
INSERT INTO `lang_definitions` VALUES (6933, 4964, 3, 'Preferencias');
INSERT INTO `lang_definitions` VALUES (6934, 4965, 3, 'Categoría preferida del evento');
INSERT INTO `lang_definitions` VALUES (6935, 4966, 3, 'Lengua preferida');
INSERT INTO `lang_definitions` VALUES (6936, 4967, 3, 'Preferencia Farmacia');
INSERT INTO `lang_definitions` VALUES (6937, 4968, 3, 'Organización Proveedora Preferida (PPO)');
INSERT INTO `lang_definitions` VALUES (6938, 4969, 3, 'Prueba de embarazo');
INSERT INTO `lang_definitions` VALUES (6939, 4970, 3, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (6940, 4972, 3, 'Pague por Adelantado');
INSERT INTO `lang_definitions` VALUES (6941, 4973, 3, 'Prescripción');
INSERT INTO `lang_definitions` VALUES (6942, 4974, 3, 'Receta ha alcanzado sus limites de');
INSERT INTO `lang_definitions` VALUES (6943, 4975, 3, 'Histórico de Prescripciones');
INSERT INTO `lang_definitions` VALUES (6944, 4976, 3, 'Importación de Histórico de Prescripciones completado');
INSERT INTO `lang_definitions` VALUES (6945, 4977, 3, 'Etiqueta de la prescripción');
INSERT INTO `lang_definitions` VALUES (6946, 4978, 3, 'Informe de Prescripción');
INSERT INTO `lang_definitions` VALUES (6947, 4979, 3, 'Prescripciónes');
INSERT INTO `lang_definitions` VALUES (6948, 4980, 3, 'Prescripciones y dispensaciones');
INSERT INTO `lang_definitions` VALUES (6949, 4981, 3, 'Recetas y otras derivaciones');
INSERT INTO `lang_definitions` VALUES (6950, 4982, 3, 'Prescripciones y/o derivaciones a especialista');
INSERT INTO `lang_definitions` VALUES (6951, 4983, 3, 'Informe de las prescripciones');
INSERT INTO `lang_definitions` VALUES (6952, 4984, 3, 'Prescripciones/Derivaciones');
INSERT INTO `lang_definitions` VALUES (6953, 4985, 3, 'Presente');
INSERT INTO `lang_definitions` VALUES (6954, 4986, 3, 'Presentación de queja');
INSERT INTO `lang_definitions` VALUES (6955, 4988, 3, 'Pulse Continuar para proseguir');
INSERT INTO `lang_definitions` VALUES (6956, 4989, 3, 'Presunción de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (6957, 4990, 3, 'Presunción de Diagnóstico por el especialista');
INSERT INTO `lang_definitions` VALUES (6958, 4991, 3, 'Previa');
INSERT INTO `lang_definitions` VALUES (6959, 4992, 3, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (6960, 4993, 3, 'Mes anterior. (Presione para menu)');
INSERT INTO `lang_definitions` VALUES (6961, 4994, 3, 'Año anterior (Presione para el menu)');
INSERT INTO `lang_definitions` VALUES (6962, 4995, 3, 'Cuidado Preventivo');
INSERT INTO `lang_definitions` VALUES (6963, 4998, 3, 'Vista previa del evento');
INSERT INTO `lang_definitions` VALUES (6964, 5000, 3, 'Previsualización de');
INSERT INTO `lang_definitions` VALUES (6965, 5001, 3, 'Anterior');
INSERT INTO `lang_definitions` VALUES (6966, 5002, 3, 'Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (6967, 5003, 3, 'Dia Anterior');
INSERT INTO `lang_definitions` VALUES (6968, 5004, 3, 'Para Historia');
INSERT INTO `lang_definitions` VALUES (6969, 5005, 3, 'Mes Anterior');
INSERT INTO `lang_definitions` VALUES (6970, 5006, 3, 'Semana Anterior');
INSERT INTO `lang_definitions` VALUES (6971, 5007, 3, 'Precio');
INSERT INTO `lang_definitions` VALUES (6972, 5008, 3, 'Precio de descuento');
INSERT INTO `lang_definitions` VALUES (6973, 5009, 3, 'Nivel de Precio');
INSERT INTO `lang_definitions` VALUES (6974, 5010, 3, 'Nivel de Precio:');
INSERT INTO `lang_definitions` VALUES (6975, 5011, 3, 'Precios');
INSERT INTO `lang_definitions` VALUES (6976, 5012, 3, 'Primario');
INSERT INTO `lang_definitions` VALUES (6977, 5013, 3, 'Entidad Empresa Primaria');
INSERT INTO `lang_definitions` VALUES (6978, 5014, 3, 'La entidad de negocio principal es usada como cuenta Id para la ePrescipción. Cambiando el centro afectará al funcionamiento en NewCrop.');
INSERT INTO `lang_definitions` VALUES (6979, 5022, 3, 'Seguro principal');
INSERT INTO `lang_definitions` VALUES (6980, 5023, 3, 'Seguro principal');
INSERT INTO `lang_definitions` VALUES (6981, 5024, 3, 'Datos principales del Seguro');
INSERT INTO `lang_definitions` VALUES (6982, 5025, 3, 'Proveedor principal del Seguro');
INSERT INTO `lang_definitions` VALUES (6983, 5026, 3, 'Proveedor primario');
INSERT INTO `lang_definitions` VALUES (6984, 5027, 3, 'Imprimir');
INSERT INTO `lang_definitions` VALUES (6985, 5028, 3, 'Imprimir (HTML)');
INSERT INTO `lang_definitions` VALUES (6986, 5029, 3, 'Imprimir (PDF)');
INSERT INTO `lang_definitions` VALUES (6987, 5031, 3, 'Imprimir cualquier visita');
INSERT INTO `lang_definitions` VALUES (6988, 5032, 3, 'Imprimir el formulario de derivación en blanco');
INSERT INTO `lang_definitions` VALUES (6989, 5033, 3, 'Comando Imprimir');
INSERT INTO `lang_definitions` VALUES (6990, 5039, 3, 'Imprimir el Formato');
INSERT INTO `lang_definitions` VALUES (6991, 5040, 3, 'Imprimir cuatro paneles');
INSERT INTO `lang_definitions` VALUES (6992, 5042, 3, 'Mensaje Imprimir');
INSERT INTO `lang_definitions` VALUES (6993, 5043, 3, 'Imprimir Múltiples');
INSERT INTO `lang_definitions` VALUES (6994, 5044, 3, 'Para imprimir múltiples Fax');
INSERT INTO `lang_definitions` VALUES (6995, 5045, 3, 'Imprima nombre, fecha y firma');
INSERT INTO `lang_definitions` VALUES (6996, 5046, 3, 'Imprimir notas');
INSERT INTO `lang_definitions` VALUES (6997, 5047, 3, 'Imprimir Página 1');
INSERT INTO `lang_definitions` VALUES (6998, 5048, 3, 'Imprimir Página 2');
INSERT INTO `lang_definitions` VALUES (6999, 5051, 3, 'Impresión Receta del Facultativo');
INSERT INTO `lang_definitions` VALUES (7000, 5052, 3, 'Grabar Imprimir');
INSERT INTO `lang_definitions` VALUES (7001, 5053, 3, 'Imprimir Seleccionados');
INSERT INTO `lang_definitions` VALUES (7002, 5054, 3, 'Registro de tiro impresión');
INSERT INTO `lang_definitions` VALUES (7003, 5056, 3, 'Imprimir ásta visita');
INSERT INTO `lang_definitions` VALUES (7004, 5057, 3, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (7005, 5058, 3, 'Imprimir Esta Nota');
INSERT INTO `lang_definitions` VALUES (7006, 5060, 3, 'Para imprimir Fax');
INSERT INTO `lang_definitions` VALUES (7007, 5061, 3, 'Ver Imprenta');
INSERT INTO `lang_definitions` VALUES (7008, 5062, 3, 'Imprimible');
INSERT INTO `lang_definitions` VALUES (7009, 5063, 3, 'Versión Imprimible');
INSERT INTO `lang_definitions` VALUES (7010, 5064, 3, 'Impreso');
INSERT INTO `lang_definitions` VALUES (7011, 5066, 3, 'Resultados de la impresión:');
INSERT INTO `lang_definitions` VALUES (7012, 5067, 3, 'Impresión omitida; ver la salida de prueba en');
INSERT INTO `lang_definitions` VALUES (7013, 5068, 3, 'Impresión saltado; ver la prueba de salida en ');
INSERT INTO `lang_definitions` VALUES (7014, 5069, 3, 'Antes de autentificación');
INSERT INTO `lang_definitions` VALUES (7015, 5070, 3, 'Formulario de Autorización Previa');
INSERT INTO `lang_definitions` VALUES (7016, 5071, 3, 'Antes de visita');
INSERT INTO `lang_definitions` VALUES (7017, 5072, 3, 'Prioridad');
INSERT INTO `lang_definitions` VALUES (7018, 5073, 3, 'Prioridad ');
INSERT INTO `lang_definitions` VALUES (7019, 5074, 3, 'Privado');
INSERT INTO `lang_definitions` VALUES (7020, 5075, 3, 'Problema');
INSERT INTO `lang_definitions` VALUES (7021, 5076, 3, 'Problema Diagnóstico (DX)');
INSERT INTO `lang_definitions` VALUES (7022, 5077, 3, 'Lista de Problema');
INSERT INTO `lang_definitions` VALUES (7023, 5079, 3, 'Problemas/Incidencias');
INSERT INTO `lang_definitions` VALUES (7024, 5080, 3, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (7025, 5081, 3, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (7026, 5083, 3, 'Proc.Pendientes Revisión');
INSERT INTO `lang_definitions` VALUES (7027, 5085, 3, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (7028, 5086, 3, 'Procedimiento');
INSERT INTO `lang_definitions` VALUES (7029, 5087, 3, 'Procedmiento por area corporal');
INSERT INTO `lang_definitions` VALUES (7030, 5088, 3, 'Procedimientos con resultados Boolean');
INSERT INTO `lang_definitions` VALUES (7031, 5089, 3, 'Codigo de Procedimiento');
INSERT INTO `lang_definitions` VALUES (7032, 5090, 3, 'Códigos de procedimiento');
INSERT INTO `lang_definitions` VALUES (7033, 5091, 3, 'Lateralidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (7034, 5093, 3, 'Orden del procedimiento');
INSERT INTO `lang_definitions` VALUES (7035, 5095, 3, 'Procedimiento ordenado para');
INSERT INTO `lang_definitions` VALUES (7036, 5102, 3, 'Informe Procedimiento');
INSERT INTO `lang_definitions` VALUES (7037, 5103, 3, 'Situaciones del reporte de procedimientos');
INSERT INTO `lang_definitions` VALUES (7038, 5104, 3, 'Resultado anormal del procedimiento');
INSERT INTO `lang_definitions` VALUES (7039, 5105, 3, 'Situacion del resultado del procedimiento');
INSERT INTO `lang_definitions` VALUES (7040, 5106, 3, 'Resultados del procedimientos');
INSERT INTO `lang_definitions` VALUES (7041, 5107, 3, 'Rutas del procedimiento');
INSERT INTO `lang_definitions` VALUES (7042, 5108, 3, 'Tipos de especímenes del procedimiento');
INSERT INTO `lang_definitions` VALUES (7043, 5109, 3, 'Reportes estadísticos del procedimiento');
INSERT INTO `lang_definitions` VALUES (7044, 5110, 3, 'Tipo del procedimiento');
INSERT INTO `lang_definitions` VALUES (7045, 5111, 3, 'Tipos de procedimientos');
INSERT INTO `lang_definitions` VALUES (7046, 5112, 3, 'Unidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (7047, 5113, 3, 'Procedimiento/Servicio');
INSERT INTO `lang_definitions` VALUES (7048, 5114, 3, 'Procedimientos');
INSERT INTO `lang_definitions` VALUES (7049, 5115, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (7050, 5117, 3, 'Procesar fichero ERA');
INSERT INTO `lang_definitions` VALUES (7051, 5120, 3, 'El proceso puede tardar algún tiempo');
INSERT INTO `lang_definitions` VALUES (7052, 5121, 3, 'Procesado');
INSERT INTO `lang_definitions` VALUES (7053, 5122, 3, 'Procesado por');
INSERT INTO `lang_definitions` VALUES (7054, 5123, 3, 'Fecha procesado');
INSERT INTO `lang_definitions` VALUES (7055, 5125, 3, 'Procesamiento');
INSERT INTO `lang_definitions` VALUES (7056, 5129, 3, 'Producto');
INSERT INTO `lang_definitions` VALUES (7057, 5130, 3, 'Método Producto Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (7058, 5132, 3, 'Productos');
INSERT INTO `lang_definitions` VALUES (7059, 5133, 3, 'Productos pero no medicamentos con receta y sin plantillas');
INSERT INTO `lang_definitions` VALUES (7060, 5134, 3, 'Prof.');
INSERT INTO `lang_definitions` VALUES (7061, 5135, 3, 'Notas de progreso');
INSERT INTO `lang_definitions` VALUES (7062, 5136, 3, 'Cáncer de Próstata');
INSERT INTO `lang_definitions` VALUES (7063, 5137, 3, 'Detección de cancer de próstata');
INSERT INTO `lang_definitions` VALUES (7064, 5138, 3, 'Examen de Próstata');
INSERT INTO `lang_definitions` VALUES (7065, 5139, 3, 'Problemas de Próstata');
INSERT INTO `lang_definitions` VALUES (7066, 5140, 3, 'Próstata sin enlrgmt, nódulos, dolor');
INSERT INTO `lang_definitions` VALUES (7067, 5142, 3, 'Provee ruta absoluta');
INSERT INTO `lang_definitions` VALUES (7068, 5143, 3, 'Provee ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (7069, 5145, 3, 'Proporcione resúmenes clínicos a los pacientes en cada visita.');
INSERT INTO `lang_definitions` VALUES (7070, 5146, 3, 'Proporcionar a los pacientes una copia electrónica de su información de salud (incluyendo resultados de pruebas de diagnóstico, lista de problemas, lista de medicamentos, medicación para alergias), bajo petición.');
INSERT INTO `lang_definitions` VALUES (7071, 5147, 3, 'Ofrecer a los pacientes el acceso oportuno a su información electrónica de salud (incluyendo resultados de laboratorio, lista de problemas, listas de medicamentos, alergias a medicamentos) dentro de cuatro días hábiles de que la información esté disponible para el EP.');
INSERT INTO `lang_definitions` VALUES (7072, 5148, 3, 'Proporcionar Registros de Paciente por Visita');
INSERT INTO `lang_definitions` VALUES (7073, 5149, 3, 'Proporcionar email válido');
INSERT INTO `lang_definitions` VALUES (7074, 5150, 3, '¿Resumen médico proporcionado?');
INSERT INTO `lang_definitions` VALUES (7075, 5151, 3, '¿Recusros educativos proporcionados?');
INSERT INTO `lang_definitions` VALUES (7076, 5152, 3, 'Facultativo');
INSERT INTO `lang_definitions` VALUES (7077, 5154, 3, 'Facultativo ID');
INSERT INTO `lang_definitions` VALUES (7078, 5155, 3, 'Facultativo ID en el centro especificado');
INSERT INTO `lang_definitions` VALUES (7079, 5156, 3, 'Errores de correspondencia de Proveedor');
INSERT INTO `lang_definitions` VALUES (7080, 5159, 3, 'Número de Proveedor');
INSERT INTO `lang_definitions` VALUES (7081, 5162, 3, 'Facultativo:');
INSERT INTO `lang_definitions` VALUES (7082, 5163, 3, 'Facultativos');
INSERT INTO `lang_definitions` VALUES (7083, 5164, 3, 'NPI Facultativos');
INSERT INTO `lang_definitions` VALUES (7084, 5165, 3, 'Proveedores Ver calendario completo');
INSERT INTO `lang_definitions` VALUES (7085, 5166, 3, 'Prv');
INSERT INTO `lang_definitions` VALUES (7086, 5167, 3, 'PSA');
INSERT INTO `lang_definitions` VALUES (7087, 5168, 3, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (7088, 5169, 3, 'Psiqu. Diagnóstico');
INSERT INTO `lang_definitions` VALUES (7089, 5170, 3, 'Psych Medicamentos');
INSERT INTO `lang_definitions` VALUES (7090, 5171, 3, 'Psiquiátricos');
INSERT INTO `lang_definitions` VALUES (7091, 5172, 3, 'Breve carta Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7092, 5173, 3, 'Diagnóstico psiquiátrico');
INSERT INTO `lang_definitions` VALUES (7093, 5174, 3, 'Examinación psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7094, 5175, 3, 'Historia Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7095, 5176, 3, 'Producto Psiquiátrico');
INSERT INTO `lang_definitions` VALUES (7096, 5177, 3, 'Medicación Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (7097, 5178, 3, 'Pt %');
INSERT INTO `lang_definitions` VALUES (7098, 5179, 3, 'Notas Paciente');
INSERT INTO `lang_definitions` VALUES (7099, 5180, 3, 'Notas/Autorización PAciente');
INSERT INTO `lang_definitions` VALUES (7100, 5181, 3, 'Pt en exceso');
INSERT INTO `lang_definitions` VALUES (7101, 5182, 3, 'Pt Pagado');
INSERT INTO `lang_definitions` VALUES (7102, 5183, 3, 'Solicitud Registro Pacienten');
INSERT INTO `lang_definitions` VALUES (7103, 5184, 3, 'Pt Reembolso');
INSERT INTO `lang_definitions` VALUES (7104, 5185, 3, 'Pt liberados');
INSERT INTO `lang_definitions` VALUES (7105, 5186, 3, 'Informe Paciente');
INSERT INTO `lang_definitions` VALUES (7106, 5187, 3, 'PT Estudiante, o dejar en blanco');
INSERT INTO `lang_definitions` VALUES (7107, 5188, 3, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (7108, 5189, 3, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (7109, 5191, 3, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (7110, 5192, 3, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (7111, 5193, 3, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (7112, 5196, 3, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (7113, 5198, 3, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (7114, 5199, 3, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (7115, 5201, 3, 'Público');
INSERT INTO `lang_definitions` VALUES (7116, 5203, 3, 'Seguridad Social (SS) u otro organismo oficial');
INSERT INTO `lang_definitions` VALUES (7117, 5204, 3, 'Puertorriqueño');
INSERT INTO `lang_definitions` VALUES (7118, 5205, 3, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (7119, 5206, 3, 'Pulso');
INSERT INTO `lang_definitions` VALUES (7120, 5207, 3, 'Penyabí');
INSERT INTO `lang_definitions` VALUES (7121, 5208, 3, 'Comprar');
INSERT INTO `lang_definitions` VALUES (7122, 5209, 3, 'Compra/Devolución');
INSERT INTO `lang_definitions` VALUES (7123, 5210, 3, 'Adquisiciones');
INSERT INTO `lang_definitions` VALUES (7124, 5213, 3, 'q.3h');
INSERT INTO `lang_definitions` VALUES (7125, 5214, 3, 'q.4h');
INSERT INTO `lang_definitions` VALUES (7126, 5215, 3, 'q.5h');
INSERT INTO `lang_definitions` VALUES (7127, 5216, 3, 'q.6h');
INSERT INTO `lang_definitions` VALUES (7128, 5217, 3, 'q.8h');
INSERT INTO `lang_definitions` VALUES (7129, 5218, 3, 'q.d.');
INSERT INTO `lang_definitions` VALUES (7130, 5219, 3, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (7131, 5220, 3, 'QOH');
INSERT INTO `lang_definitions` VALUES (7132, 5221, 3, 'QOH es menor que el consumo mensual');
INSERT INTO `lang_definitions` VALUES (7133, 5222, 3, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (7134, 5223, 3, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (7135, 5224, 3, 'Calidad');
INSERT INTO `lang_definitions` VALUES (7136, 5225, 3, 'Medidas de calidad (GCC)');
INSERT INTO `lang_definitions` VALUES (7137, 5226, 3, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (7138, 5227, 3, 'Cantidad para NDC');
INSERT INTO `lang_definitions` VALUES (7139, 5228, 3, 'Cantidad En Mano');
INSERT INTO `lang_definitions` VALUES (7140, 5229, 3, 'cantidad parece inservible');
INSERT INTO `lang_definitions` VALUES (7141, 5231, 3, 'interrogante');
INSERT INTO `lang_definitions` VALUES (7142, 5232, 3, 'HCFA cola de proceso batch');
INSERT INTO `lang_definitions` VALUES (7143, 5233, 3, 'HCFA cola de proceso batch y de impresión');
INSERT INTO `lang_definitions` VALUES (7144, 5234, 3, 'Cola de la UB-92 del proceso batch');
INSERT INTO `lang_definitions` VALUES (7145, 5235, 3, 'Cola de la UB-92 del proceso batch y de impresión');
INSERT INTO `lang_definitions` VALUES (7146, 5236, 3, 'Cola');
INSERT INTO `lang_definitions` VALUES (7147, 5237, 3, 'Administración de Eventos en cola');
INSERT INTO `lang_definitions` VALUES (7148, 5238, 3, 'Cola para');
INSERT INTO `lang_definitions` VALUES (7149, 5240, 3, 'Cola de Peticiones Administración');
INSERT INTO `lang_definitions` VALUES (7150, 5241, 3, 'Dejar');
INSERT INTO `lang_definitions` VALUES (7151, 5242, 3, 'Dejar el alcohol');
INSERT INTO `lang_definitions` VALUES (7152, 5243, 3, 'R');
INSERT INTO `lang_definitions` VALUES (7153, 5245, 3, 'Raza');
INSERT INTO `lang_definitions` VALUES (7154, 5246, 3, 'Raza y Etnia');
INSERT INTO `lang_definitions` VALUES (7155, 5247, 3, 'Raza/etnia');
INSERT INTO `lang_definitions` VALUES (7156, 5248, 3, 'Radio');
INSERT INTO `lang_definitions` VALUES (7157, 5249, 3, 'Botones de radio');
INSERT INTO `lang_definitions` VALUES (7158, 5251, 3, 'Rango');
INSERT INTO `lang_definitions` VALUES (7159, 5252, 3, 'Erupciones');
INSERT INTO `lang_definitions` VALUES (7160, 5253, 3, 'Tasa');
INSERT INTO `lang_definitions` VALUES (7161, 5254, 3, 'Proporcion');
INSERT INTO `lang_definitions` VALUES (7162, 5255, 3, 'Informe sin procesar');
INSERT INTO `lang_definitions` VALUES (7163, 5256, 3, 'Re-Identificación');
INSERT INTO `lang_definitions` VALUES (7164, 5257, 3, 'Proceso Re-Identificación completado');
INSERT INTO `lang_definitions` VALUES (7165, 5258, 3, 'Proceso Re identificación en curso');
INSERT INTO `lang_definitions` VALUES (7166, 5259, 3, 'Ficheros de Re-identificación serán salvados en');
INSERT INTO `lang_definitions` VALUES (7167, 5260, 3, '¿Misma lesión?');
INSERT INTO `lang_definitions` VALUES (7168, 5261, 3, 'Abra de nuevo');
INSERT INTO `lang_definitions` VALUES (7169, 5262, 3, 'Volvió a abrir');
INSERT INTO `lang_definitions` VALUES (7170, 5263, 3, 'Reacción');
INSERT INTO `lang_definitions` VALUES (7171, 5264, 3, 'reacciones');
INSERT INTO `lang_definitions` VALUES (7172, 5265, 3, 'Leído');
INSERT INTO `lang_definitions` VALUES (7173, 5268, 3, 'Nombre Real');
INSERT INTO `lang_definitions` VALUES (7174, 5269, 3, 'Realmente borrado');
INSERT INTO `lang_definitions` VALUES (7175, 5270, 3, 'Razón');
INSERT INTO `lang_definitions` VALUES (7176, 5271, 3, 'Motivo del fallecimiento');
INSERT INTO `lang_definitions` VALUES (7177, 5272, 3, 'Motivo de la Muerte');
INSERT INTO `lang_definitions` VALUES (7178, 5274, 3, 'Motivo de la derivación');
INSERT INTO `lang_definitions` VALUES (7179, 5275, 3, 'Motivo de la Visita');
INSERT INTO `lang_definitions` VALUES (7180, 5276, 3, 'Motivo/Forma');
INSERT INTO `lang_definitions` VALUES (7181, 5277, 3, 'Recibo');
INSERT INTO `lang_definitions` VALUES (7182, 5278, 3, 'Recibo de Pago');
INSERT INTO `lang_definitions` VALUES (7183, 5279, 3, 'Recibo de Creación');
INSERT INTO `lang_definitions` VALUES (7184, 5280, 3, 'Recibos de pago por Informe');
INSERT INTO `lang_definitions` VALUES (7185, 5281, 3, 'Resumen del Recibo');
INSERT INTO `lang_definitions` VALUES (7186, 5282, 3, 'Recibido');
INSERT INTO `lang_definitions` VALUES (7187, 5283, 3, 'Recibido Por');
INSERT INTO `lang_definitions` VALUES (7188, 5284, 3, 'Recibido faxes');
INSERT INTO `lang_definitions` VALUES (7189, 5287, 3, 'Receptor');
INSERT INTO `lang_definitions` VALUES (7190, 5288, 3, 'Nº Identificación del destinatario');
INSERT INTO `lang_definitions` VALUES (7191, 5289, 3, 'Recibidor ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (7192, 5290, 3, 'Calificador del recibidor ID (ISA07)');
INSERT INTO `lang_definitions` VALUES (7193, 5292, 3, 'Las últimas tres contraseñas no están permitidas.');
INSERT INTO `lang_definitions` VALUES (7194, 5293, 3, 'Beneficiario');
INSERT INTO `lang_definitions` VALUES (7195, 5294, 3, 'Lista de Beneficiarios vacía');
INSERT INTO `lang_definitions` VALUES (7196, 5295, 3, 'Nombre destinatario');
INSERT INTO `lang_definitions` VALUES (7197, 5296, 3, 'Destinatario de la publicación');
INSERT INTO `lang_definitions` VALUES (7198, 5298, 3, 'Recomendación');
INSERT INTO `lang_definitions` VALUES (7199, 5300, 3, 'Recomendaciones');
INSERT INTO `lang_definitions` VALUES (7200, 5301, 3, 'Recomendaciones y el tratamiento');
INSERT INTO `lang_definitions` VALUES (7201, 5302, 3, 'Recomendaciones del especialista');
INSERT INTO `lang_definitions` VALUES (7202, 5303, 3, 'Registro');
INSERT INTO `lang_definitions` VALUES (7203, 5304, 3, 'Registro ya existe');
INSERT INTO `lang_definitions` VALUES (7204, 5310, 3, 'Registro y gráfico de los cambios en las constantes vitales.');
INSERT INTO `lang_definitions` VALUES (7205, 5311, 3, 'Registro demográficos.');
INSERT INTO `lang_definitions` VALUES (7206, 5312, 3, 'Grabar aviso');
INSERT INTO `lang_definitions` VALUES (7207, 5313, 3, 'Registro de estado físico');
INSERT INTO `lang_definitions` VALUES (7208, 5314, 3, 'Pago de Registro');
INSERT INTO `lang_definitions` VALUES (7209, 5315, 3, 'Fecha registro de solicitud');
INSERT INTO `lang_definitions` VALUES (7210, 5316, 3, 'Registro estado pacientes fumadores de 13 años o más');
INSERT INTO `lang_definitions` VALUES (7211, 5317, 3, 'Registros');
INSERT INTO `lang_definitions` VALUES (7212, 5318, 3, 'registros encontrados');
INSERT INTO `lang_definitions` VALUES (7213, 5319, 3, 'registros encontrados.');
INSERT INTO `lang_definitions` VALUES (7214, 5320, 3, 'Uso de drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (7215, 5321, 3, 'Drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (7216, 5322, 3, 'Rectal');
INSERT INTO `lang_definitions` VALUES (7217, 5323, 3, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (7218, 5324, 3, 'Rectal');
INSERT INTO `lang_definitions` VALUES (7219, 5325, 3, 'Redirección');
INSERT INTO `lang_definitions` VALUES (7220, 5326, 3, 'Enrojecimiento');
INSERT INTO `lang_definitions` VALUES (7221, 5327, 3, 'Reducido:');
INSERT INTO `lang_definitions` VALUES (7222, 5328, 3, 'Referir');
INSERT INTO `lang_definitions` VALUES (7223, 5329, 3, 'Referir Por');
INSERT INTO `lang_definitions` VALUES (7224, 5330, 3, 'Referir Fecha');
INSERT INTO `lang_definitions` VALUES (7225, 5331, 3, 'Referir Para');
INSERT INTO `lang_definitions` VALUES (7226, 5332, 3, 'Clasificación de referencia (nivel de riesgo)');
INSERT INTO `lang_definitions` VALUES (7227, 5333, 3, 'Referencia de rango de resultados');
INSERT INTO `lang_definitions` VALUES (7228, 5334, 3, 'Motivo de referencia');
INSERT INTO `lang_definitions` VALUES (7229, 5336, 3, 'Referer nombre y la firma');
INSERT INTO `lang_definitions` VALUES (7230, 5337, 3, 'Derivación');
INSERT INTO `lang_definitions` VALUES (7231, 5338, 3, 'Derivado Por');
INSERT INTO `lang_definitions` VALUES (7232, 5339, 3, 'Tarjeta de derivado');
INSERT INTO `lang_definitions` VALUES (7233, 5340, 3, 'Fecha de derivación');
INSERT INTO `lang_definitions` VALUES (7234, 5341, 3, 'Formulario de derivación');
INSERT INTO `lang_definitions` VALUES (7235, 5342, 3, 'FORMULARIO DE DERIVACIÓN');
INSERT INTO `lang_definitions` VALUES (7236, 5343, 3, 'Nº ID derivación');
INSERT INTO `lang_definitions` VALUES (7237, 5345, 3, 'Origen derivación');
INSERT INTO `lang_definitions` VALUES (7238, 5346, 3, 'Origen derivación para visitas');
INSERT INTO `lang_definitions` VALUES (7239, 5347, 3, 'Derivado a');
INSERT INTO `lang_definitions` VALUES (7240, 5348, 3, 'Derivados');
INSERT INTO `lang_definitions` VALUES (7241, 5349, 3, 'Informes de Derivados');
INSERT INTO `lang_definitions` VALUES (7242, 5350, 3, 'Derivado por');
INSERT INTO `lang_definitions` VALUES (7243, 5351, 3, 'Referido Por');
INSERT INTO `lang_definitions` VALUES (7244, 5352, 3, 'Referido a');
INSERT INTO `lang_definitions` VALUES (7245, 5353, 3, 'Referencia');
INSERT INTO `lang_definitions` VALUES (7246, 5355, 3, 'Diagnóstico de Referencia');
INSERT INTO `lang_definitions` VALUES (7247, 5356, 3, 'Diagnóstico de referencia');
INSERT INTO `lang_definitions` VALUES (7248, 5357, 3, 'Fisio de referencia y centro');
INSERT INTO `lang_definitions` VALUES (7249, 5358, 3, 'Facultativo de referencia');
INSERT INTO `lang_definitions` VALUES (7250, 5359, 3, 'Recargar');
INSERT INTO `lang_definitions` VALUES (7251, 5360, 3, 'Repuesto');
INSERT INTO `lang_definitions` VALUES (7252, 5361, 3, 'repuestos');
INSERT INTO `lang_definitions` VALUES (7253, 5362, 3, 'Reflejos normales');
INSERT INTO `lang_definitions` VALUES (7254, 5363, 3, 'Refrescar');
INSERT INTO `lang_definitions` VALUES (7255, 5365, 3, 'Refrescando avisos');
INSERT INTO `lang_definitions` VALUES (7256, 5368, 3, 'Se negó a declarar');
INSERT INTO `lang_definitions` VALUES (7257, 5369, 3, 'reg_re');
INSERT INTO `lang_definitions` VALUES (7258, 5370, 3, 'Registrar');
INSERT INTO `lang_definitions` VALUES (7259, 5372, 3, 'Registrado');
INSERT INTO `lang_definitions` VALUES (7260, 5373, 3, 'registrado');
INSERT INTO `lang_definitions` VALUES (7261, 5375, 3, 'Fecha de Registro');
INSERT INTO `lang_definitions` VALUES (7262, 5376, 3, 'Formulario de Inscripción');
INSERT INTO `lang_definitions` VALUES (7263, 5377, 3, 'Rehabilitación');
INSERT INTO `lang_definitions` VALUES (7264, 5381, 3, 'Relaciónese Con');
INSERT INTO `lang_definitions` VALUES (7265, 5382, 3, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (7266, 5383, 3, 'Incidencia relacionada');
INSERT INTO `lang_definitions` VALUES (7267, 5385, 3, 'Relacion(es)/niños');
INSERT INTO `lang_definitions` VALUES (7268, 5386, 3, 'Relaciones');
INSERT INTO `lang_definitions` VALUES (7269, 5387, 3, 'Relación');
INSERT INTO `lang_definitions` VALUES (7270, 5388, 3, 'Orden relativo de esta entidad');
INSERT INTO `lang_definitions` VALUES (7271, 5389, 3, 'Familiares');
INSERT INTO `lang_definitions` VALUES (7272, 5399, 3, 'Las credenciales de la salud del relais faltan de esta cuenta de usuario.');
INSERT INTO `lang_definitions` VALUES (7273, 5400, 3, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (7274, 5402, 3, 'Fecha versión');
INSERT INTO `lang_definitions` VALUES (7275, 5403, 3, 'Religión');
INSERT INTO `lang_definitions` VALUES (7276, 5406, 3, 'Reinicie sesión');
INSERT INTO `lang_definitions` VALUES (7277, 5407, 3, 'Aviso');
INSERT INTO `lang_definitions` VALUES (7278, 5408, 3, 'Recordar Centro Seleccionado');
INSERT INTO `lang_definitions` VALUES (7279, 5409, 3, 'Recordatorio');
INSERT INTO `lang_definitions` VALUES (7280, 5410, 3, 'Intervalos recordatorio');
INSERT INTO `lang_definitions` VALUES (7281, 5411, 3, 'Recordatorio No Enviado Todavía');
INSERT INTO `lang_definitions` VALUES (7282, 5412, 3, 'Recordatorio Enviado El');
INSERT INTO `lang_definitions` VALUES (7283, 5413, 3, 'Avisos');
INSERT INTO `lang_definitions` VALUES (7284, 5414, 3, 'REMITIR A');
INSERT INTO `lang_definitions` VALUES (7285, 5416, 3, 'Quitar');
INSERT INTO `lang_definitions` VALUES (7286, 5419, 3, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (7287, 5420, 3, 'Eliminar el formulario del grupo');
INSERT INTO `lang_definitions` VALUES (7288, 5421, 3, 'Eliminar soporte para las vacunas');
INSERT INTO `lang_definitions` VALUES (7289, 5422, 3, 'Eliminar soporte para phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (7290, 5423, 3, 'Eliminar soporte para prescripciones');
INSERT INTO `lang_definitions` VALUES (7291, 5425, 3, 'Elimina la función del gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (7292, 5426, 3, 'Litiasis Renal');
INSERT INTO `lang_definitions` VALUES (7293, 5427, 3, 'Renombrar');
INSERT INTO `lang_definitions` VALUES (7294, 5428, 3, 'Renombrar Grupo');
INSERT INTO `lang_definitions` VALUES (7295, 5429, 3, 'Representación');
INSERT INTO `lang_definitions` VALUES (7296, 5430, 3, 'Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (7297, 5431, 3, 'Número Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (7298, 5432, 3, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (7299, 5433, 3, 'Al reordenar');
INSERT INTO `lang_definitions` VALUES (7300, 5434, 3, 'Alcanzado el punto de pedido');
INSERT INTO `lang_definitions` VALUES (7301, 5435, 3, 'Punto de pedido, 0 no es válido');
INSERT INTO `lang_definitions` VALUES (7302, 5438, 3, 'Repetición eventos');
INSERT INTO `lang_definitions` VALUES (7303, 5439, 3, 'Repetir Información:');
INSERT INTO `lang_definitions` VALUES (7304, 5440, 3, 'Repite');
INSERT INTO `lang_definitions` VALUES (7305, 5444, 3, 'Fecha de Respuesta');
INSERT INTO `lang_definitions` VALUES (7306, 5445, 3, 'De respuesta');
INSERT INTO `lang_definitions` VALUES (7307, 5446, 3, 'Informe');
INSERT INTO `lang_definitions` VALUES (7308, 5447, 3, 'Informe Clínico');
INSERT INTO `lang_definitions` VALUES (7309, 5449, 3, 'Informe por');
INSERT INTO `lang_definitions` VALUES (7310, 5457, 3, 'Reporte de estatus');
INSERT INTO `lang_definitions` VALUES (7311, 5458, 3, 'Informe Totales');
INSERT INTO `lang_definitions` VALUES (7312, 5459, 3, 'Informe/Formulario');
INSERT INTO `lang_definitions` VALUES (7313, 5460, 3, 'Informable');
INSERT INTO `lang_definitions` VALUES (7314, 5461, 3, 'Reportado');
INSERT INTO `lang_definitions` VALUES (7315, 5462, 3, 'Fecha Informada');
INSERT INTO `lang_definitions` VALUES (7316, 5463, 3, 'Informes');
INSERT INTO `lang_definitions` VALUES (7317, 5467, 3, '¡Solicitud ignorada - proceso de reclamaciones ya se está ejecutando!');
INSERT INTO `lang_definitions` VALUES (7318, 5474, 3, 'Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (7319, 5475, 3, 'Se requiere Contraseña más compleja');
INSERT INTO `lang_definitions` VALUES (7320, 5476, 3, 'Se requiere Contraseña única');
INSERT INTO `lang_definitions` VALUES (7321, 5477, 3, 'Requerido');
INSERT INTO `lang_definitions` VALUES (7322, 5478, 3, 'Copago requerido');
INSERT INTO `lang_definitions` VALUES (7323, 5479, 3, 'Falta campo requerido:Por favor elija el fichero EDI-271 para adjuntar');
INSERT INTO `lang_definitions` VALUES (7324, 5480, 3, 'Falta campo requerido: Por favor introduzca el nombre');
INSERT INTO `lang_definitions` VALUES (7325, 5481, 3, 'Falta campo requerido: Por favor introduzca el apellido');
INSERT INTO `lang_definitions` VALUES (7326, 5482, 3, 'Falta campo requerido: Por favor introduzca el nombre de usuario');
INSERT INTO `lang_definitions` VALUES (7327, 5483, 3, 'Campos requeridos');
INSERT INTO `lang_definitions` VALUES (7328, 5484, 3, 'Requerimientos');
INSERT INTO `lang_definitions` VALUES (7329, 5485, 3, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (7330, 5486, 3, 'Reservado');
INSERT INTO `lang_definitions` VALUES (7331, 5487, 3, 'Reservado para uso del Tiempo Programado de Vacaciones');
INSERT INTO `lang_definitions` VALUES (7332, 5488, 3, 'Reservado para definir cuando un facultativo no podrá tener citas disponibles posteriores.');
INSERT INTO `lang_definitions` VALUES (7333, 5489, 3, 'Reservado para definir cuando un evento no ocurrió como se especificó.');
INSERT INTO `lang_definitions` VALUES (7334, 5490, 3, 'Reservados para definir cuando un facultativo puede tener citas disponibles posteriores.');
INSERT INTO `lang_definitions` VALUES (7335, 5491, 3, 'Reinicio');
INSERT INTO `lang_definitions` VALUES (7336, 5492, 3, 'Resetear credenciales del Portal externo');
INSERT INTO `lang_definitions` VALUES (7337, 5493, 3, 'Resetear credenciales del Portal interno');
INSERT INTO `lang_definitions` VALUES (7338, 5496, 3, 'Resuelto');
INSERT INTO `lang_definitions` VALUES (7339, 5497, 3, 'Respiración');
INSERT INTO `lang_definitions` VALUES (7340, 5498, 3, 'Esfuerzo al Respirar');
INSERT INTO `lang_definitions` VALUES (7341, 5499, 3, 'Respiratorias');
INSERT INTO `lang_definitions` VALUES (7342, 5501, 3, 'Restringir a usuarios no autorizados el calendario de la clínica establecido en usuario admin.');
INSERT INTO `lang_definitions` VALUES (7343, 5502, 3, 'Restringir usuarios a Clínicas');
INSERT INTO `lang_definitions` VALUES (7344, 5503, 3, 'Entrenamiento Restringido');
INSERT INTO `lang_definitions` VALUES (7345, 5504, 3, 'Resultado');
INSERT INTO `lang_definitions` VALUES (7346, 5506, 3, 'Estado del resultado');
INSERT INTO `lang_definitions` VALUES (7347, 5507, 3, 'Estado del resultado o anormalidad ausente');
INSERT INTO `lang_definitions` VALUES (7348, 5508, 3, 'Resultado, use % como comodín');
INSERT INTO `lang_definitions` VALUES (7349, 5510, 3, 'Resultados y');
INSERT INTO `lang_definitions` VALUES (7350, 5511, 3, 'Resultados Encontrados para la Búsqueda');
INSERT INTO `lang_definitions` VALUES (7351, 5512, 3, 'Grupo Resultados');
INSERT INTO `lang_definitions` VALUES (7352, 5515, 3, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (7353, 5516, 3, 'Resultados / Detalles');
INSERT INTO `lang_definitions` VALUES (7354, 5517, 3, 'Examen de Retina');
INSERT INTO `lang_definitions` VALUES (7355, 5518, 3, 'Se retractó de la derecha:');
INSERT INTO `lang_definitions` VALUES (7356, 5519, 3, 'Volver');
INSERT INTO `lang_definitions` VALUES (7357, 5520, 3, 'Retorne la parte superior con su pago');
INSERT INTO `lang_definitions` VALUES (7358, 5521, 3, 'Retornar al calendario');
INSERT INTO `lang_definitions` VALUES (7359, 5523, 3, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 10 haciendo click en la sección de la cabecera ICD 10');
INSERT INTO `lang_definitions` VALUES (7360, 5524, 3, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 9 haciendo click en la sección de la cabecera ICD 9');
INSERT INTO `lang_definitions` VALUES (7361, 5525, 3, 'Vuelva a esta página y podrá completar el proceso de instalación RxNorm haciendo click en la sección de la cabecera RXNORM');
INSERT INTO `lang_definitions` VALUES (7362, 5526, 3, 'Vuelva a esta página y podrá completar el proceso de instalación Snomed haciendo click en la sección de la cabecera SNOMED');
INSERT INTO `lang_definitions` VALUES (7363, 5527, 3, 'Valor Devuelto');
INSERT INTO `lang_definitions` VALUES (7364, 5528, 3, 'Visita de Vuelta');
INSERT INTO `lang_definitions` VALUES (7365, 5529, 3, 'Volvió a jugar');
INSERT INTO `lang_definitions` VALUES (7366, 5534, 3, 'Examen de PMH:');
INSERT INTO `lang_definitions` VALUES (7367, 5535, 3, 'Revisión de los sistemas');
INSERT INTO `lang_definitions` VALUES (7368, 5536, 3, 'Revisión de chequeos de sistemas');
INSERT INTO `lang_definitions` VALUES (7369, 5537, 3, 'Revisado');
INSERT INTO `lang_definitions` VALUES (7370, 5538, 3, 'Revisión');
INSERT INTO `lang_definitions` VALUES (7371, 5539, 3, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (7372, 5540, 3, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (7373, 5541, 3, 'Derecho');
INSERT INTO `lang_definitions` VALUES (7374, 5542, 3, 'Oido Derecho');
INSERT INTO `lang_definitions` VALUES (7375, 5543, 3, 'oido derecho');
INSERT INTO `lang_definitions` VALUES (7376, 5545, 3, 'Derecho:');
INSERT INTO `lang_definitions` VALUES (7377, 5546, 3, 'Zumbido en Oídos');
INSERT INTO `lang_definitions` VALUES (7378, 5547, 3, 'Sonido en Oídos');
INSERT INTO `lang_definitions` VALUES (7379, 5549, 3, 'Factores Riesgo');
INSERT INTO `lang_definitions` VALUES (7380, 5550, 3, 'Nivel de Riesgo');
INSERT INTO `lang_definitions` VALUES (7381, 5551, 3, 'RLL:');
INSERT INTO `lang_definitions` VALUES (7382, 5552, 3, 'ROM');
INSERT INTO `lang_definitions` VALUES (7383, 5553, 3, 'Rumano');
INSERT INTO `lang_definitions` VALUES (7384, 5560, 3, 'Lista');
INSERT INTO `lang_definitions` VALUES (7385, 5561, 3, 'Ruta');
INSERT INTO `lang_definitions` VALUES (7386, 5562, 3, 'Ruta de administracion si aplicable');
INSERT INTO `lang_definitions` VALUES (7387, 5563, 3, 'Encaminado');
INSERT INTO `lang_definitions` VALUES (7388, 5564, 3, 'Filas');
INSERT INTO `lang_definitions` VALUES (7389, 5565, 3, 'RRR sin MOR');
INSERT INTO `lang_definitions` VALUES (7390, 5566, 3, 'Frotar');
INSERT INTO `lang_definitions` VALUES (7391, 5567, 3, 'Frotaciones:');
INSERT INTO `lang_definitions` VALUES (7392, 5568, 3, 'Regla');
INSERT INTO `lang_definitions` VALUES (7393, 5569, 3, 'Añadir regla');
INSERT INTO `lang_definitions` VALUES (7394, 5570, 3, 'Detalle Regla');
INSERT INTO `lang_definitions` VALUES (7395, 5572, 3, 'Editar Regla');
INSERT INTO `lang_definitions` VALUES (7396, 5575, 3, 'Ajuste Regla');
INSERT INTO `lang_definitions` VALUES (7397, 5578, 3, 'Reglas');
INSERT INTO `lang_definitions` VALUES (7398, 5580, 3, 'Configuración Regla');
INSERT INTO `lang_definitions` VALUES (7399, 5581, 3, 'Ejecutando comando ');
INSERT INTO `lang_definitions` VALUES (7400, 5582, 3, 'ruptura');
INSERT INTO `lang_definitions` VALUES (7401, 5583, 3, 'Ruso');
INSERT INTO `lang_definitions` VALUES (7402, 5584, 3, 'Receta');
INSERT INTO `lang_definitions` VALUES (7403, 5585, 3, 'Receta');
INSERT INTO `lang_definitions` VALUES (7404, 5586, 3, 'Margen inferior Receta (px)');
INSERT INTO `lang_definitions` VALUES (7405, 5587, 3, 'Receta Activa DEA#');
INSERT INTO `lang_definitions` VALUES (7406, 5588, 3, 'Receta Activa NPI');
INSERT INTO `lang_definitions` VALUES (7407, 5589, 3, 'Receta Activa Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (7408, 5590, 3, 'Margen izquierdo Receta (px)');
INSERT INTO `lang_definitions` VALUES (7409, 5591, 3, 'Tamaño papel Receta');
INSERT INTO `lang_definitions` VALUES (7410, 5592, 3, 'Margen derecho Receta (px)');
INSERT INTO `lang_definitions` VALUES (7411, 5593, 3, 'Mostrar Receta DEA#');
INSERT INTO `lang_definitions` VALUES (7412, 5594, 3, 'Mostrar Receta NPI');
INSERT INTO `lang_definitions` VALUES (7413, 5595, 3, 'Mostrar Receta Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (7414, 5596, 3, 'Margen superior Receta (px)');
INSERT INTO `lang_definitions` VALUES (7415, 5598, 3, 'Receta Normal (RxNorm)');
INSERT INTO `lang_definitions` VALUES (7416, 5599, 3, 'Base de datos RxNorm');
INSERT INTO `lang_definitions` VALUES (7417, 5600, 3, 'S');
INSERT INTO `lang_definitions` VALUES (7418, 5601, 3, 'S.S.');
INSERT INTO `lang_definitions` VALUES (7419, 5602, 3, 'S3:');
INSERT INTO `lang_definitions` VALUES (7420, 5603, 3, 'S4:');
INSERT INTO `lang_definitions` VALUES (7421, 5604, 3, 'SA ** para leer la licencia por favor lea la documentos/licencia.texto o visite * http://www.gnu.org/copyleft/gpl.html * * / / / ');
INSERT INTO `lang_definitions` VALUES (7422, 5605, 3, 'Venta');
INSERT INTO `lang_definitions` VALUES (7423, 5606, 3, 'Ventas');
INSERT INTO `lang_definitions` VALUES (7424, 5607, 3, 'Ventas por Partida');
INSERT INTO `lang_definitions` VALUES (7425, 5608, 3, 'Informe de ventas por producto');
INSERT INTO `lang_definitions` VALUES (7426, 5609, 3, 'Saliva');
INSERT INTO `lang_definitions` VALUES (7427, 5610, 3, 'Mismo Día');
INSERT INTO `lang_definitions` VALUES (7428, 5611, 3, 'Samoano');
INSERT INTO `lang_definitions` VALUES (7429, 5612, 3, 'Muestra');
INSERT INTO `lang_definitions` VALUES (7430, 5613, 3, 'Tipo de sanción');
INSERT INTO `lang_definitions` VALUES (7431, 5617, 3, 'Sabado');
INSERT INTO `lang_definitions` VALUES (7432, 5618, 3, 'Sábado y Domingo');
INSERT INTO `lang_definitions` VALUES (7433, 5619, 3, 'Sabado');
INSERT INTO `lang_definitions` VALUES (7434, 5620, 3, 'Guardar');
INSERT INTO `lang_definitions` VALUES (7435, 5621, 3, 'SALVAR');
INSERT INTO `lang_definitions` VALUES (7436, 5622, 3, 'Guardar y Cerrar');
INSERT INTO `lang_definitions` VALUES (7437, 5624, 3, 'Guardar y Distribuir');
INSERT INTO `lang_definitions` VALUES (7438, 5626, 3, 'Guradar como Nuevo');
INSERT INTO `lang_definitions` VALUES (7439, 5627, 3, 'Guarda como nota nueva');
INSERT INTO `lang_definitions` VALUES (7440, 5628, 3, 'Guardar configuración del certificado');
INSERT INTO `lang_definitions` VALUES (7441, 5629, 3, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (7442, 5630, 3, 'Guardar Formulario');
INSERT INTO `lang_definitions` VALUES (7443, 5631, 3, 'Guardar Vacunación');
INSERT INTO `lang_definitions` VALUES (7444, 5632, 3, 'Guardar Nuevo Campo');
INSERT INTO `lang_definitions` VALUES (7445, 5633, 3, 'Guardar Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (7446, 5634, 3, 'Guardar Nueva Lista');
INSERT INTO `lang_definitions` VALUES (7447, 5635, 3, 'Guardar la nueva plantilla');
INSERT INTO `lang_definitions` VALUES (7448, 5637, 3, 'Guardar Demograficas de Paciente');
INSERT INTO `lang_definitions` VALUES (7449, 5638, 3, 'Nº Identificación gráfico guardado correctamente');
INSERT INTO `lang_definitions` VALUES (7450, 5639, 3, 'Guardar ITransacción');
INSERT INTO `lang_definitions` VALUES (7451, 5641, 3, 'Escaneados');
INSERT INTO `lang_definitions` VALUES (7452, 5642, 3, 'Nota Escaneada de visita');
INSERT INTO `lang_definitions` VALUES (7453, 5643, 3, 'Directorio del escáner');
INSERT INTO `lang_definitions` VALUES (7454, 5644, 3, 'Escáner En');
INSERT INTO `lang_definitions` VALUES (7455, 5645, 3, 'Horario');
INSERT INTO `lang_definitions` VALUES (7456, 5646, 3, 'Calendario de Clínicas:');
INSERT INTO `lang_definitions` VALUES (7457, 5647, 3, 'Nota Escolar');
INSERT INTO `lang_definitions` VALUES (7458, 5648, 3, 'Escoliosis');
INSERT INTO `lang_definitions` VALUES (7459, 5651, 3, 'SE');
INSERT INTO `lang_definitions` VALUES (7460, 5652, 3, 'SE Dirección');
INSERT INTO `lang_definitions` VALUES (7461, 5653, 3, 'SE Ciudad');
INSERT INTO `lang_definitions` VALUES (7462, 5654, 3, 'SE Pais');
INSERT INTO `lang_definitions` VALUES (7463, 5655, 3, 'SE Localidad');
INSERT INTO `lang_definitions` VALUES (7464, 5656, 3, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (7465, 5657, 3, 'SE Estado');
INSERT INTO `lang_definitions` VALUES (7466, 5658, 3, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (7467, 5659, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (7468, 5661, 3, 'Buscar');
INSERT INTO `lang_definitions` VALUES (7469, 5662, 3, 'Búsqar Nuevamente');
INSERT INTO `lang_definitions` VALUES (7470, 5663, 3, 'Buscar en todas las columnas');
INSERT INTO `lang_definitions` VALUES (7471, 5664, 3, 'Búscar por:');
INSERT INTO `lang_definitions` VALUES (7472, 5665, 3, 'Buscar por');
INSERT INTO `lang_definitions` VALUES (7473, 5666, 3, 'Búscar para:');
INSERT INTO `lang_definitions` VALUES (7474, 5668, 3, 'Buscar en');
INSERT INTO `lang_definitions` VALUES (7475, 5669, 3, 'Buscar o Añadir Paciente');
INSERT INTO `lang_definitions` VALUES (7476, 5670, 3, 'Buscar Pago');
INSERT INTO `lang_definitions` VALUES (7477, 5671, 3, 'Resultados de búsqueda');
INSERT INTO `lang_definitions` VALUES (7478, 5672, 3, 'Resultados de la Búsqueda:');
INSERT INTO `lang_definitions` VALUES (7479, 5673, 3, 'Buscar seleccionados');
INSERT INTO `lang_definitions` VALUES (7480, 5674, 3, 'Cadena buscada no coincide con la lista de la base de datos');
INSERT INTO `lang_definitions` VALUES (7481, 5675, 3, 'Cadena buscada debe tener al menos tres caracteres');
INSERT INTO `lang_definitions` VALUES (7482, 5676, 3, 'Buscar Texto');
INSERT INTO `lang_definitions` VALUES (7483, 5677, 3, 'Búsqueda de eventos');
INSERT INTO `lang_definitions` VALUES (7484, 5678, 3, 'Buscar/añadir');
INSERT INTO `lang_definitions` VALUES (7485, 5679, 3, 'Buscar/Añadir Asegurador');
INSERT INTO `lang_definitions` VALUES (7486, 5680, 3, 'Buscando las citas');
INSERT INTO `lang_definitions` VALUES (7487, 5681, 3, 'Buscando');
INSERT INTO `lang_definitions` VALUES (7488, 5682, 3, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (7489, 5683, 3, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (7490, 5684, 3, 'Segundo');
INSERT INTO `lang_definitions` VALUES (7491, 5687, 3, 'Secundario');
INSERT INTO `lang_definitions` VALUES (7492, 5688, 3, 'Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (7493, 5689, 3, 'Datos de Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (7494, 5690, 3, 'Proveedor del Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (7495, 5691, 3, 'Tipo secundario de Medicare');
INSERT INTO `lang_definitions` VALUES (7496, 5698, 3, 'Seguridad');
INSERT INTO `lang_definitions` VALUES (7497, 5699, 3, 'Ver Todo');
INSERT INTO `lang_definitions` VALUES (7498, 5700, 3, 'Ver Autorizaciones');
INSERT INTO `lang_definitions` VALUES (7499, 5701, 3, 'Véase el Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (7500, 5702, 3, 'Ver los mensajes de la última serie de reclamaciones generadas');
INSERT INTO `lang_definitions` VALUES (7501, 5704, 3, 'Visto en');
INSERT INTO `lang_definitions` VALUES (7502, 5707, 3, 'Convulsiones');
INSERT INTO `lang_definitions` VALUES (7503, 5708, 3, 'Seleción');
INSERT INTO `lang_definitions` VALUES (7504, 5709, 3, 'Seleción');
INSERT INTO `lang_definitions` VALUES (7505, 5710, 3, 'seleccionar');
INSERT INTO `lang_definitions` VALUES (7506, 5712, 3, 'Seleccionar un contexto');
INSERT INTO `lang_definitions` VALUES (7507, 5714, 3, 'Seleccione un intervalo de tiempo');
INSERT INTO `lang_definitions` VALUES (7508, 5715, 3, 'Seleccionar un usuario');
INSERT INTO `lang_definitions` VALUES (7509, 5716, 3, 'Seleccionar Todos');
INSERT INTO `lang_definitions` VALUES (7511, 5720, 3, 'Seleccionar una categoría');
INSERT INTO `lang_definitions` VALUES (7512, 5722, 3, 'Seleccionar las casillas correspondientes para borrar');
INSERT INTO `lang_definitions` VALUES (7513, 5723, 3, 'Seleccionar el criterio para eliminar');
INSERT INTO `lang_definitions` VALUES (7514, 5725, 3, 'Seleccione datos requeridos para De Identificación');
INSERT INTO `lang_definitions` VALUES (7515, 5726, 3, 'Seleccione datos para incluir en los datos de De Identificación');
INSERT INTO `lang_definitions` VALUES (7516, 5727, 3, 'Elegir fecha');
INSERT INTO `lang_definitions` VALUES (7517, 5728, 3, 'Seleccione plantilla deseada');
INSERT INTO `lang_definitions` VALUES (7518, 5729, 3, 'Seleccione diagnóstico');
INSERT INTO `lang_definitions` VALUES (7519, 5730, 3, 'Seleccione diagnóstico para identificación DE requerida');
INSERT INTO `lang_definitions` VALUES (7520, 5731, 3, 'Seleccione Medicamento');
INSERT INTO `lang_definitions` VALUES (7521, 5732, 3, 'Seleccione Medicamentos');
INSERT INTO `lang_definitions` VALUES (7522, 5733, 3, 'Seleccione los medicamentos para la solicitud anónima');
INSERT INTO `lang_definitions` VALUES (7523, 5734, 3, 'Seleccione fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (7524, 5735, 3, 'Seleccione encuentro');
INSERT INTO `lang_definitions` VALUES (7525, 5736, 3, 'Elegir campo');
INSERT INTO `lang_definitions` VALUES (7526, 5737, 3, 'Seleccione Sector');
INSERT INTO `lang_definitions` VALUES (7527, 5738, 3, 'Seleccionar para Imprimir');
INSERT INTO `lang_definitions` VALUES (7528, 5739, 3, 'Seleccione vacunas');
INSERT INTO `lang_definitions` VALUES (7529, 5740, 3, 'Seleccione las vacunas para la solicitud anónima');
INSERT INTO `lang_definitions` VALUES (7530, 5741, 3, 'Seleccionar Seguro, escribiendo');
INSERT INTO `lang_definitions` VALUES (7531, 5742, 3, 'Seleccione Incidencia');
INSERT INTO `lang_definitions` VALUES (7532, 5743, 3, 'Seleccione items');
INSERT INTO `lang_definitions` VALUES (7533, 5744, 3, 'Seleccionar idioma');
INSERT INTO `lang_definitions` VALUES (7534, 5745, 3, 'Seleccione uno');
INSERT INTO `lang_definitions` VALUES (7535, 5746, 3, 'Seleccione uno o más códigos de diagnóstico para justificar el servicio');
INSERT INTO `lang_definitions` VALUES (7536, 5747, 3, 'Seleccione uno o más archivos para subir');
INSERT INTO `lang_definitions` VALUES (7537, 5748, 3, 'Seleccione salida');
INSERT INTO `lang_definitions` VALUES (7538, 5750, 3, 'Seleccione origen del pedido');
INSERT INTO `lang_definitions` VALUES (7539, 5754, 3, 'Elija los items de configuración para exportar');
INSERT INTO `lang_definitions` VALUES (7540, 5755, 3, 'Elija la incidencia principal responsable para los eventos fallidos en este día');
INSERT INTO `lang_definitions` VALUES (7541, 5757, 3, 'Seleccione pista');
INSERT INTO `lang_definitions` VALUES (7542, 5759, 3, 'Seleccionar usuario');
INSERT INTO `lang_definitions` VALUES (7543, 5760, 3, 'Seleccionar usuarios de la lista desplegable');
INSERT INTO `lang_definitions` VALUES (7544, 5761, 3, 'Seleccionar que idiomas, si los hay, pueden ser elegidos al inicio de sesión. (solo si arriba todos los idiomas permitidos está desactivados)');
INSERT INTO `lang_definitions` VALUES (7545, 5762, 3, 'Seleccione Sí para confirmar la eliminación del grupo');
INSERT INTO `lang_definitions` VALUES (7546, 5765, 3, 'Seleccionado');
INSERT INTO `lang_definitions` VALUES (7547, 5766, 3, 'Visita seleccionada');
INSERT INTO `lang_definitions` VALUES (7548, 5767, 3, 'Seleccionando ésto se creará un mensaje que necesita ser procesado por cada receptor individualmente (ésto no es una tarea de grupo)');
INSERT INTO `lang_definitions` VALUES (7549, 5768, 3, 'Uno Mismo');
INSERT INTO `lang_definitions` VALUES (7550, 5769, 3, 'Paga del uno mismo');
INSERT INTO `lang_definitions` VALUES (7551, 5771, 3, 'Enviar');
INSERT INTO `lang_definitions` VALUES (7552, 5772, 3, 'Enviar Fecha aviso');
INSERT INTO `lang_definitions` VALUES (7553, 5773, 3, 'Enviar un Recordatorio');
INSERT INTO `lang_definitions` VALUES (7554, 5774, 3, 'Envíe en curso');
INSERT INTO `lang_definitions` VALUES (7555, 5775, 3, 'enviar mensaje');
INSERT INTO `lang_definitions` VALUES (7556, 5776, 3, 'Batch de Envío de Recordatorios');
INSERT INTO `lang_definitions` VALUES (7557, 5777, 3, 'Enviar recordatorios a pacientes por preferencia para preventiva/seguimiento de cuidados.');
INSERT INTO `lang_definitions` VALUES (7558, 5778, 3, 'Enviar resúmenes con derivados');
INSERT INTO `lang_definitions` VALUES (7559, 5779, 3, 'Enviar este file');
INSERT INTO `lang_definitions` VALUES (7560, 5780, 3, 'Enviar este mensaje');
INSERT INTO `lang_definitions` VALUES (7561, 5781, 3, 'Enviar a');
INSERT INTO `lang_definitions` VALUES (7562, 5784, 3, 'Enviar a todos');
INSERT INTO `lang_definitions` VALUES (7563, 5786, 3, 'Enviar al portal');
INSERT INTO `lang_definitions` VALUES (7564, 5787, 3, 'Enviar al portal');
INSERT INTO `lang_definitions` VALUES (7565, 5788, 3, 'Remitente');
INSERT INTO `lang_definitions` VALUES (7566, 5789, 3, 'Nº Identificación del remitente');
INSERT INTO `lang_definitions` VALUES (7567, 5790, 3, 'Remitente ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (7568, 5791, 3, 'Calificador del remitente ID (ISA05)');
INSERT INTO `lang_definitions` VALUES (7569, 5794, 3, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (7570, 5795, 3, 'Sensibilidad:');
INSERT INTO `lang_definitions` VALUES (7571, 5796, 3, 'Examen sensorial normal');
INSERT INTO `lang_definitions` VALUES (7572, 5797, 3, 'Enviado');
INSERT INTO `lang_definitions` VALUES (7573, 5798, 3, 'Enviado - Confirmado');
INSERT INTO `lang_definitions` VALUES (7574, 5799, 3, 'Enviado por, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (7575, 5800, 3, 'Enviado por:');
INSERT INTO `lang_definitions` VALUES (7576, 5801, 3, 'Fecha de envio');
INSERT INTO `lang_definitions` VALUES (7577, 5802, 3, 'Incidencias Enviadas');
INSERT INTO `lang_definitions` VALUES (7578, 5803, 3, '¿Enviar Registros Médicos?');
INSERT INTO `lang_definitions` VALUES (7579, 5804, 3, 'Enviado con éxito');
INSERT INTO `lang_definitions` VALUES (7580, 5807, 3, 'Enviado a Impresora');
INSERT INTO `lang_definitions` VALUES (7581, 5808, 3, 'Enviado a, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (7582, 5812, 3, 'Sep');
INSERT INTO `lang_definitions` VALUES (7583, 5813, 3, 'Separado');
INSERT INTO `lang_definitions` VALUES (7584, 5814, 3, 'Septiembre');
INSERT INTO `lang_definitions` VALUES (7585, 5816, 3, 'Secuencia');
INSERT INTO `lang_definitions` VALUES (7586, 5821, 3, 'Servicio');
INSERT INTO `lang_definitions` VALUES (7587, 5822, 3, 'Categoría de Servicio');
INSERT INTO `lang_definitions` VALUES (7588, 5823, 3, 'Código Servicio');
INSERT INTO `lang_definitions` VALUES (7589, 5824, 3, 'Informe de códigos de servicio Financiero');
INSERT INTO `lang_definitions` VALUES (7590, 5825, 3, 'Códigos Servicio');
INSERT INTO `lang_definitions` VALUES (7591, 5826, 3, 'Fecha de Servicio');
INSERT INTO `lang_definitions` VALUES (7592, 5827, 3, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (7593, 5829, 3, 'Servicio de Localización');
INSERT INTO `lang_definitions` VALUES (7594, 5831, 3, 'Servicio prestado por el especialista');
INSERT INTO `lang_definitions` VALUES (7595, 5832, 3, 'Informe de servicio');
INSERT INTO `lang_definitions` VALUES (7596, 5833, 3, 'Informe de servicio sólo');
INSERT INTO `lang_definitions` VALUES (7597, 5834, 3, 'Servicios');
INSERT INTO `lang_definitions` VALUES (7598, 5835, 3, 'Servicios por Categoría');
INSERT INTO `lang_definitions` VALUES (7599, 5836, 3, 'Servicios prestados');
INSERT INTO `lang_definitions` VALUES (7600, 5837, 3, 'Servicios proporcionados');
INSERT INTO `lang_definitions` VALUES (7601, 5838, 3, 'Servicios/Productos');
INSERT INTO `lang_definitions` VALUES (7602, 5839, 3, 'Tipo Sesión');
INSERT INTO `lang_definitions` VALUES (7603, 5840, 3, 'Set');
INSERT INTO `lang_definitions` VALUES (7604, 5841, 3, 'Habilitar cookie para recordar el centro seleccionado entre sesiones.');
INSERT INTO `lang_definitions` VALUES (7605, 5842, 3, 'Definir como terminado');
INSERT INTO `lang_definitions` VALUES (7606, 5845, 3, 'Asignar este para la ruta absoluta. Para crear certificados clientes SSL para HTTPPS.');
INSERT INTO `lang_definitions` VALUES (7607, 5846, 3, 'Ajustar a');
INSERT INTO `lang_definitions` VALUES (7608, 5847, 3, 'Ajustar por defecto');
INSERT INTO `lang_definitions` VALUES (7609, 5848, 3, 'Ajustar el número de versión en la base de datos...');
INSERT INTO `lang_definitions` VALUES (7610, 5849, 3, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (7611, 5851, 3, 'Migraña Grave');
INSERT INTO `lang_definitions` VALUES (7612, 5853, 3, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (7613, 5854, 3, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (7614, 5855, 3, 'Sexo');
INSERT INTO `lang_definitions` VALUES (7615, 5856, 3, 'Enfermedades de Transmisión Sexual');
INSERT INTO `lang_definitions` VALUES (7616, 5859, 3, 'Conpartir');
INSERT INTO `lang_definitions` VALUES (7617, 5860, 3, 'Intérprete de comandos para imprimir desde el servidor');
INSERT INTO `lang_definitions` VALUES (7618, 5864, 3, 'Falta de aire al respirar');
INSERT INTO `lang_definitions` VALUES (7619, 5865, 3, 'Falta de Aliento');
INSERT INTO `lang_definitions` VALUES (7620, 5866, 3, 'Falta de Aliento 2');
INSERT INTO `lang_definitions` VALUES (7621, 5867, 3, 'Registro de Tiro');
INSERT INTO `lang_definitions` VALUES (7622, 5868, 3, 'Fecha de Expediente de Tiro:');
INSERT INTO `lang_definitions` VALUES (7623, 5870, 3, 'debe ser como nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (7624, 5871, 3, 'Deben ser dos letras');
INSERT INTO `lang_definitions` VALUES (7625, 5872, 3, 'Debe contener 10 dígitos');
INSERT INTO `lang_definitions` VALUES (7626, 5873, 3, 'Debe contener sólo 10 dígitos');
INSERT INTO `lang_definitions` VALUES (7627, 5874, 3, 'Hombro');
INSERT INTO `lang_definitions` VALUES (7628, 5875, 3, 'Hombro + Clavicula');
INSERT INTO `lang_definitions` VALUES (7629, 5876, 3, 'Prob. de Hombro');
INSERT INTO `lang_definitions` VALUES (7630, 5877, 3, 'Presente');
INSERT INTO `lang_definitions` VALUES (7631, 5878, 3, 'Mostar Activo');
INSERT INTO `lang_definitions` VALUES (7632, 5880, 3, 'Mostrar Todo');
INSERT INTO `lang_definitions` VALUES (7633, 5883, 3, 'Mostrar Todas las Transacciones');
INSERT INTO `lang_definitions` VALUES (7634, 5884, 3, 'Occupado');
INSERT INTO `lang_definitions` VALUES (7635, 5885, 3, 'Mostrar Sólo Autorizado');
INSERT INTO `lang_definitions` VALUES (7636, 5886, 3, 'Mostrar Horas Disponibles');
INSERT INTO `lang_definitions` VALUES (7637, 5887, 3, 'Mostrar ambos US y métrica (unidad principal es métrica)');
INSERT INTO `lang_definitions` VALUES (7638, 5888, 3, 'Mostrar ambos US y métrica (unidad principal es US)');
INSERT INTO `lang_definitions` VALUES (7639, 5889, 3, 'Mostrar Detalles');
INSERT INTO `lang_definitions` VALUES (7640, 5891, 3, 'Mostrar Gráfico');
INSERT INTO `lang_definitions` VALUES (7641, 5892, 3, '¿Demuestre el texto de cernido del acontecimiento en mouseover?');
INSERT INTO `lang_definitions` VALUES (7642, 5893, 3, 'Mostrar el número de eventos en las páginas de administrador?');
INSERT INTO `lang_definitions` VALUES (7643, 5894, 3, 'Mostrar Inactivo');
INSERT INTO `lang_definitions` VALUES (7644, 5896, 3, 'Mostrar Menú');
INSERT INTO `lang_definitions` VALUES (7645, 5897, 3, 'Mostrar sólo métrica');
INSERT INTO `lang_definitions` VALUES (7646, 5898, 3, 'Cuantos eventos mostrar en paginas de admin');
INSERT INTO `lang_definitions` VALUES (7647, 5901, 3, 'Mostrar notas de pacientes');
INSERT INTO `lang_definitions` VALUES (7648, 5904, 3, 'Mostrar primario completo');
INSERT INTO `lang_definitions` VALUES (7649, 5905, 3, 'Mostrar avisos');
INSERT INTO `lang_definitions` VALUES (7650, 5906, 3, 'Mostrar Informe');
INSERT INTO `lang_definitions` VALUES (7651, 5907, 3, 'Mostrar enlace búsqueda/aceptar en bloque?');
INSERT INTO `lang_definitions` VALUES (7652, 5910, 3, 'Mostrar el formulario de estado personalizado para agregar a lista de widget (preguntará por el título y la abreviatura).');
INSERT INTO `lang_definitions` VALUES (7653, 5913, 3, 'Mostrar sólo no facturados');
INSERT INTO `lang_definitions` VALUES (7654, 5914, 3, 'Mostrar solo USA');
INSERT INTO `lang_definitions` VALUES (7655, 5915, 3, 'Mostrando');
INSERT INTO `lang_definitions` VALUES (7656, 5920, 3, 'Hermanos');
INSERT INTO `lang_definitions` VALUES (7657, 5921, 3, 'Célula de hoz (falciforme)');
INSERT INTO `lang_definitions` VALUES (7658, 5922, 3, 'Sig');
INSERT INTO `lang_definitions` VALUES (7659, 5923, 3, 'Sigmoide/Colonoscopia');
INSERT INTO `lang_definitions` VALUES (7660, 5925, 3, 'Firma resultados laboratorio (escribir, opcional sólo añadir)');
INSERT INTO `lang_definitions` VALUES (7661, 5926, 3, 'Firmar Resultados');
INSERT INTO `lang_definitions` VALUES (7662, 5927, 3, 'Firma');
INSERT INTO `lang_definitions` VALUES (7663, 5929, 3, 'Firma:');
INSERT INTO `lang_definitions` VALUES (7664, 5930, 3, 'Receta firmada');
INSERT INTO `lang_definitions` VALUES (7665, 5932, 3, 'Hinchazón Significativa:');
INSERT INTO `lang_definitions` VALUES (7666, 5934, 3, 'Co-Pago Simplificado');
INSERT INTO `lang_definitions` VALUES (7667, 5935, 3, 'Demográficos Simplificados');
INSERT INTO `lang_definitions` VALUES (7668, 5936, 3, 'Prescripciones Simplificadas');
INSERT INTO `lang_definitions` VALUES (7669, 5937, 3, 'Desde');
INSERT INTO `lang_definitions` VALUES (7670, 5938, 3, 'Sinceramente,');
INSERT INTO `lang_definitions` VALUES (7671, 5940, 3, 'Soltero');
INSERT INTO `lang_definitions` VALUES (7672, 5941, 3, 'Lista selección única');
INSERT INTO `lang_definitions` VALUES (7673, 5942, 3, 'Lista de selección única con posibilidad de añadir a la lista');
INSERT INTO `lang_definitions` VALUES (7674, 5946, 3, 'Problemas del Seno');
INSERT INTO `lang_definitions` VALUES (7675, 5947, 3, 'Cirugía de Seno');
INSERT INTO `lang_definitions` VALUES (7676, 5948, 3, 'SENSIBILIDAD DE SENO:');
INSERT INTO `lang_definitions` VALUES (7677, 5949, 3, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (7678, 5951, 3, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (7679, 5953, 3, 'Nº Identificación para soporte LibreEHR del Servicio Intercambio Laboratorio LLC.');
INSERT INTO `lang_definitions` VALUES (7680, 5956, 3, 'Tamaño');
INSERT INTO `lang_definitions` VALUES (7681, 5957, 3, 'El tamaño debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (7682, 5958, 3, 'Tamaño/Lista');
INSERT INTO `lang_definitions` VALUES (7683, 5959, 3, 'Piel');
INSERT INTO `lang_definitions` VALUES (7684, 5960, 3, 'Cáncer de Piel');
INSERT INTO `lang_definitions` VALUES (7685, 5961, 3, 'Enfermedad de Piel');
INSERT INTO `lang_definitions` VALUES (7686, 5962, 3, 'Otra Piel');
INSERT INTO `lang_definitions` VALUES (7687, 5963, 3, 'Saltar autorización o Notas de paciente');
INSERT INTO `lang_definitions` VALUES (7688, 5964, 3, 'Saltar sección');
INSERT INTO `lang_definitions` VALUES (7689, 5965, 3, 'Saltarse SQL-Ledger dump - no se han aplicado para el servidor de Windows');
INSERT INTO `lang_definitions` VALUES (7690, 5967, 3, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (7691, 5968, 3, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (7692, 5969, 3, 'Durmiendo');
INSERT INTO `lang_definitions` VALUES (7693, 5970, 3, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (7694, 5972, 3, 'La deuda de SM sin');
INSERT INTO `lang_definitions` VALUES (7695, 5973, 3, 'Smarty caché ha sido borrada');
INSERT INTO `lang_definitions` VALUES (7696, 5974, 3, 'Fumador, estado actual desconocido');
INSERT INTO `lang_definitions` VALUES (7697, 5976, 3, 'Tabaquismo');
INSERT INTO `lang_definitions` VALUES (7698, 5977, 3, 'SMS Autorización');
INSERT INTO `lang_definitions` VALUES (7699, 5978, 3, 'Puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (7700, 5979, 3, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (7701, 5980, 3, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (7702, 5981, 3, 'Contraseña puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (7703, 5982, 3, 'Usuario puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (7704, 5983, 3, 'Notificación de SMS');
INSERT INTO `lang_definitions` VALUES (7705, 5984, 3, 'Horario Notificación SMS');
INSERT INTO `lang_definitions` VALUES (7706, 5985, 3, 'SMS envían antes');
INSERT INTO `lang_definitions` VALUES (7707, 5986, 3, 'SMS Enviado');
INSERT INTO `lang_definitions` VALUES (7708, 5987, 3, 'SMS de texto, Etiqueta Utilizable: ***NOMBRE *** *** FACULTATIVO, *** *** FECHA *** *** HORA DE COMIENZO*** , *** HORA DE SALIDA *** *** <br> i.e. Estimado ***NOMBRE ***');
INSERT INTO `lang_definitions` VALUES (7709, 5988, 3, 'Ajustes Alerta SMS/email');
INSERT INTO `lang_definitions` VALUES (7710, 5989, 3, 'Contraseña para Autenticación SMTP');
INSERT INTO `lang_definitions` VALUES (7711, 5992, 3, 'SMTP Nombre servidor Host');
INSERT INTO `lang_definitions` VALUES (7712, 5993, 3, 'SMTP Puerto servidor');
INSERT INTO `lang_definitions` VALUES (7713, 5994, 3, 'SMTP Usuario para Autenticación');
INSERT INTO `lang_definitions` VALUES (7714, 5995, 3, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (7715, 5997, 3, 'Diagnóstico SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (7716, 5999, 3, 'Diagnóstico SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (7717, 6001, 3, 'Base de datos SNOMED');
INSERT INTO `lang_definitions` VALUES (7718, 6002, 3, 'Diagnóstico SNOMED');
INSERT INTO `lang_definitions` VALUES (7719, 6004, 3, 'Ronquidos');
INSERT INTO `lang_definitions` VALUES (7720, 6005, 3, 'SOEP');
INSERT INTO `lang_definitions` VALUES (7721, 6006, 3, 'Dificultades Sociales');
INSERT INTO `lang_definitions` VALUES (7722, 6009, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (7723, 6010, 3, 'Número de Seguridad Social');
INSERT INTO `lang_definitions` VALUES (7724, 6011, 3, 'solución');
INSERT INTO `lang_definitions` VALUES (7725, 6013, 3, 'Contexto Somático');
INSERT INTO `lang_definitions` VALUES (7726, 6014, 3, 'Algunas autorizaciones no fueron exhibidas. Clic aquí para ver todas');
INSERT INTO `lang_definitions` VALUES (7727, 6015, 3, 'Algunos códigos no fueron exhibidos.');
INSERT INTO `lang_definitions` VALUES (7728, 6016, 3, 'Algunas visitas no fueron mostradas. Click aquí para ver todas.');
INSERT INTO `lang_definitions` VALUES (7729, 6017, 3, 'Se han producido algunos errores en el proceso de De Identificación');
INSERT INTO `lang_definitions` VALUES (7730, 6018, 3, 'Algunas notas no fueron mostradas.');
INSERT INTO `lang_definitions` VALUES (7731, 6020, 3, 'algunas palabras');
INSERT INTO `lang_definitions` VALUES (7732, 6023, 3, 'Algo salió mal. Por favor inténtelo de nuevo.');
INSERT INTO `lang_definitions` VALUES (7733, 6024, 3, 'Intervalo para Vencimiento Próximo (Avisos clínicos)');
INSERT INTO `lang_definitions` VALUES (7734, 6025, 3, 'Intervalo vencimiento próximo (Avisos paciente)');
INSERT INTO `lang_definitions` VALUES (7735, 6026, 3, 'Dolor de Garganta');
INSERT INTO `lang_definitions` VALUES (7736, 6027, 3, 'Lo siento no se ha fijado una cita');
INSERT INTO `lang_definitions` VALUES (7737, 6028, 3, 'Lo sentimos, hubo un problema subiendo su fichero');
INSERT INTO `lang_definitions` VALUES (7738, 6029, 3, 'Organizado por');
INSERT INTO `lang_definitions` VALUES (7739, 6030, 3, 'Orden por');
INSERT INTO `lang_definitions` VALUES (7740, 6031, 3, 'Organizar por checksum');
INSERT INTO `lang_definitions` VALUES (7741, 6032, 3, 'Ordenar por Comentarios');
INSERT INTO `lang_definitions` VALUES (7742, 6033, 3, 'Ordenar por usuario de Crt');
INSERT INTO `lang_definitions` VALUES (7743, 6034, 3, 'Ordenar por fecha');
INSERT INTO `lang_definitions` VALUES (7744, 6035, 3, 'Ordenar por fecha/hora');
INSERT INTO `lang_definitions` VALUES (7745, 6036, 3, 'Ordenar por Evento');
INSERT INTO `lang_definitions` VALUES (7746, 6037, 3, 'Ordenar por Grupo');
INSERT INTO `lang_definitions` VALUES (7747, 6040, 3, 'Ordenar por pacienteID');
INSERT INTO `lang_definitions` VALUES (7748, 6041, 3, 'ordenar por exito');
INSERT INTO `lang_definitions` VALUES (7749, 6043, 3, 'Ordenar por Usuario');
INSERT INTO `lang_definitions` VALUES (7750, 6044, 3, 'Ordenar por vacuna');
INSERT INTO `lang_definitions` VALUES (7751, 6045, 3, 'Orden descendente');
INSERT INTO `lang_definitions` VALUES (7752, 6046, 3, 'Ordenar resultado por');
INSERT INTO `lang_definitions` VALUES (7753, 6047, 3, 'Orden ascendente');
INSERT INTO `lang_definitions` VALUES (7754, 6048, 3, 'Fuente');
INSERT INTO `lang_definitions` VALUES (7755, 6049, 3, 'Fichero fuente');
INSERT INTO `lang_definitions` VALUES (7756, 6050, 3, 'Ruta fichero fuente');
INSERT INTO `lang_definitions` VALUES (7757, 6051, 3, 'Fuente falta de código ');
INSERT INTO `lang_definitions` VALUES (7758, 6052, 3, 'Lote de fuente');
INSERT INTO `lang_definitions` VALUES (7759, 6057, 3, 'Fuente:');
INSERT INTO `lang_definitions` VALUES (7760, 6060, 3, 'Espacio');
INSERT INTO `lang_definitions` VALUES (7761, 6061, 3, 'ESPACIO');
INSERT INTO `lang_definitions` VALUES (7762, 6062, 3, 'Español');
INSERT INTO `lang_definitions` VALUES (7763, 6063, 3, 'Español (Latín América)');
INSERT INTO `lang_definitions` VALUES (7764, 6064, 3, 'Español (España)');
INSERT INTO `lang_definitions` VALUES (7765, 6068, 3, 'Especialista');
INSERT INTO `lang_definitions` VALUES (7766, 6069, 3, 'Nombre y firma del especialista');
INSERT INTO `lang_definitions` VALUES (7767, 6071, 3, 'Especialidad');
INSERT INTO `lang_definitions` VALUES (7768, 6072, 3, 'Sistemas de la especialidad');
INSERT INTO `lang_definitions` VALUES (7769, 6073, 3, 'Especialidad:');
INSERT INTO `lang_definitions` VALUES (7770, 6074, 3, 'Específico');
INSERT INTO `lang_definitions` VALUES (7771, 6075, 3, 'Aplicación específica');
INSERT INTO `lang_definitions` VALUES (7772, 6076, 3, 'Servicio específico anticonceptivo');
INSERT INTO `lang_definitions` VALUES (7773, 6077, 3, 'Resultado específico');
INSERT INTO `lang_definitions` VALUES (7774, 6078, 3, 'Servicio Específico');
INSERT INTO `lang_definitions` VALUES (7775, 6079, 3, 'Especificado');
INSERT INTO `lang_definitions` VALUES (7776, 6080, 3, 'Formato específico para códigos.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7777, 6081, 3, 'Formato específico para códigos.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7778, 6082, 3, 'Formato específico para número de referencia de facturas.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7779, 6083, 3, 'Formato específico para número de referencia de facturas.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7780, 6084, 3, 'Formato producto campos NCD. #=dígito, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7781, 6085, 3, 'Formato producto campos NCD. #=dígito, @=alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7782, 6086, 3, 'Formato ID paciente externo.#=dígito,*=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7783, 6087, 3, 'Formato ID paciente externo.#=dígito, @=Alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (7784, 6088, 3, 'Especimen');
INSERT INTO `lang_definitions` VALUES (7785, 6089, 3, 'Especimen número/Identificador');
INSERT INTO `lang_definitions` VALUES (7786, 6090, 3, 'Tipo de especimen');
INSERT INTO `lang_definitions` VALUES (7787, 6092, 3, 'Dictado');
INSERT INTO `lang_definitions` VALUES (7788, 6093, 3, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (7789, 6094, 3, 'Esplenectomía');
INSERT INTO `lang_definitions` VALUES (7790, 6095, 3, 'Esposa');
INSERT INTO `lang_definitions` VALUES (7791, 6097, 3, 'Esputo');
INSERT INTO `lang_definitions` VALUES (7792, 6098, 3, 'Esputo:');
INSERT INTO `lang_definitions` VALUES (7793, 6099, 3, 'SQ');
INSERT INTO `lang_definitions` VALUES (7794, 6102, 3, 'Equipo');
INSERT INTO `lang_definitions` VALUES (7795, 6103, 3, 'Miembro de Equipo');
INSERT INTO `lang_definitions` VALUES (7796, 6104, 3, 'Equipos');
INSERT INTO `lang_definitions` VALUES (7797, 6105, 3, 'SRH');
INSERT INTO `lang_definitions` VALUES (7798, 6106, 3, 'SRH - Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (7799, 6107, 3, 'SRH Sin Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (7800, 6108, 3, 'SRH Derivados');
INSERT INTO `lang_definitions` VALUES (7801, 6109, 3, 'Forma de la visita del SRH');
INSERT INTO `lang_definitions` VALUES (7802, 6110, 3, 'Fecha servicio');
INSERT INTO `lang_definitions` VALUES (7803, 6111, 3, 'SS');
INSERT INTO `lang_definitions` VALUES (7804, 6112, 3, 'Certificado de Administracion SSL');
INSERT INTO `lang_definitions` VALUES (7805, 6113, 3, 'Nº SS');
INSERT INTO `lang_definitions` VALUES (7806, 6114, 3, 'comienzo');
INSERT INTO `lang_definitions` VALUES (7807, 6115, 3, 'Versiones preparadas');
INSERT INTO `lang_definitions` VALUES (7808, 6116, 3, 'Estándar');
INSERT INTO `lang_definitions` VALUES (7809, 6117, 3, 'Codigo usual');
INSERT INTO `lang_definitions` VALUES (7810, 6118, 3, 'Medidas estándar');
INSERT INTO `lang_definitions` VALUES (7811, 6122, 3, 'Nombre estándar');
INSERT INTO `lang_definitions` VALUES (7812, 6124, 3, 'Comienzo');
INSERT INTO `lang_definitions` VALUES (7813, 6125, 3, 'Comienzo (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (7814, 6128, 3, 'Fecha Comienzo:');
INSERT INTO `lang_definitions` VALUES (7815, 6129, 3, 'Fecha de inicio en esta clínica');
INSERT INTO `lang_definitions` VALUES (7816, 6130, 3, 'Fecha de inicio no debe ser mayor que la fecha final');
INSERT INTO `lang_definitions` VALUES (7817, 6131, 3, 'Fecha comienzo:');
INSERT INTO `lang_definitions` VALUES (7818, 6132, 3, 'Fecha Comienzo:');
INSERT INTO `lang_definitions` VALUES (7819, 6133, 3, 'Hora de Comienzo');
INSERT INTO `lang_definitions` VALUES (7820, 6134, 3, 'Fecha el Comenzar');
INSERT INTO `lang_definitions` VALUES (7821, 6135, 3, 'Estado');
INSERT INTO `lang_definitions` VALUES (7822, 6136, 3, 'Estado');
INSERT INTO `lang_definitions` VALUES (7823, 6137, 3, 'Tipo de datos estado');
INSERT INTO `lang_definitions` VALUES (7824, 6139, 3, 'D.N.I.');
INSERT INTO `lang_definitions` VALUES (7825, 6140, 3, 'Lista estado');
INSERT INTO `lang_definitions` VALUES (7826, 6141, 3, 'Lista estado (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (7827, 6142, 3, 'Lista de estados de los campos Widget personalizados');
INSERT INTO `lang_definitions` VALUES (7828, 6143, 3, 'Estado o Provincia');
INSERT INTO `lang_definitions` VALUES (7829, 6144, 3, 'Provincia/Localidad');
INSERT INTO `lang_definitions` VALUES (7830, 6145, 3, 'Provincia/Parroquia');
INSERT INTO `lang_definitions` VALUES (7831, 6146, 3, 'RESUMEN SUMARIO');
INSERT INTO `lang_definitions` VALUES (7832, 6147, 3, 'extractos y facturas de actualización.');
INSERT INTO `lang_definitions` VALUES (7833, 6148, 3, 'Declaraciones enviadas:n');
INSERT INTO `lang_definitions` VALUES (7834, 6149, 3, 'extractos, facturas no seran actualizadas');
INSERT INTO `lang_definitions` VALUES (7835, 6150, 3, 'Texto estático');
INSERT INTO `lang_definitions` VALUES (7836, 6151, 3, 'Estadísticas');
INSERT INTO `lang_definitions` VALUES (7837, 6152, 3, 'Estadísticas');
INSERT INTO `lang_definitions` VALUES (7838, 6153, 3, 'Estado');
INSERT INTO `lang_definitions` VALUES (7839, 6156, 3, 'Estado actual');
INSERT INTO `lang_definitions` VALUES (7840, 6158, 3, 'Couns de ETS/SIDA');
INSERT INTO `lang_definitions` VALUES (7841, 6159, 3, 'Stength y Acondicionado');
INSERT INTO `lang_definitions` VALUES (7842, 6164, 3, 'Pasos para instalar la bbdd DSM IV');
INSERT INTO `lang_definitions` VALUES (7843, 6165, 3, 'Pasos para instalar la bbdd ICD 10');
INSERT INTO `lang_definitions` VALUES (7844, 6166, 3, 'Pasos para instalar la bbdd ICD 9');
INSERT INTO `lang_definitions` VALUES (7845, 6167, 3, 'Pasos para instalar la bbdd RxNorm');
INSERT INTO `lang_definitions` VALUES (7846, 6168, 3, 'Pasos para instalar la bbdd Snomed');
INSERT INTO `lang_definitions` VALUES (7847, 6169, 3, 'Coyunturas Tiesas');
INSERT INTO `lang_definitions` VALUES (7848, 6170, 3, 'Tiesura');
INSERT INTO `lang_definitions` VALUES (7849, 6171, 3, 'Meses de Reservas');
INSERT INTO `lang_definitions` VALUES (7850, 6172, 3, 'Dolores de Estómago');
INSERT INTO `lang_definitions` VALUES (7851, 6174, 3, 'Hash almacenado');
INSERT INTO `lang_definitions` VALUES (7852, 6175, 3, 'Tensión del músculo');
INSERT INTO `lang_definitions` VALUES (7853, 6176, 3, 'Corriente');
INSERT INTO `lang_definitions` VALUES (7854, 6177, 3, 'Calle');
INSERT INTO `lang_definitions` VALUES (7855, 6178, 3, 'Calle de direccion');
INSERT INTO `lang_definitions` VALUES (7856, 6179, 3, 'Calle y Número');
INSERT INTO `lang_definitions` VALUES (7857, 6180, 3, 'Fuerza');
INSERT INTO `lang_definitions` VALUES (7858, 6182, 3, 'Estrep Garganta');
INSERT INTO `lang_definitions` VALUES (7859, 6183, 3, 'Fractura de Estrés');
INSERT INTO `lang_definitions` VALUES (7860, 6184, 3, 'Prueba de Estrés');
INSERT INTO `lang_definitions` VALUES (7861, 6185, 3, 'Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (7862, 6186, 3, 'Contraseña segura significa al menos 8 caracteres, y que al menos tres sean: un número, una minúscula, una mayúscula, un carácter especial.');
INSERT INTO `lang_definitions` VALUES (7863, 6188, 3, 'Estilo del formulario usado para añadir nuevos pacientes');
INSERT INTO `lang_definitions` VALUES (7864, 6189, 3, 'Sub-categoría');
INSERT INTO `lang_definitions` VALUES (7865, 6190, 3, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (7866, 6191, 3, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (7867, 6192, 3, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (7868, 6193, 3, 'Subcutáneo');
INSERT INTO `lang_definitions` VALUES (7869, 6194, 3, 'Asunto');
INSERT INTO `lang_definitions` VALUES (7870, 6195, 3, 'Subjetivo');
INSERT INTO `lang_definitions` VALUES (7871, 6196, 3, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (7872, 6197, 3, 'sublingual');
INSERT INTO `lang_definitions` VALUES (7873, 6198, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (7874, 6199, 3, 'Aceptar');
INSERT INTO `lang_definitions` VALUES (7875, 6200, 3, 'Aceptar todo el contenido');
INSERT INTO `lang_definitions` VALUES (7876, 6202, 3, 'Aceptar Evento');
INSERT INTO `lang_definitions` VALUES (7877, 6203, 3, 'Aceptar Formulario');
INSERT INTO `lang_definitions` VALUES (7878, 6204, 3, 'Aceptar contenido seleccionado');
INSERT INTO `lang_definitions` VALUES (7879, 6205, 3, 'Aceptado');
INSERT INTO `lang_definitions` VALUES (7880, 6206, 3, 'Aceptado por');
INSERT INTO `lang_definitions` VALUES (7881, 6207, 3, 'Número de acceso EDI del Presentador(PER06)');
INSERT INTO `lang_definitions` VALUES (7882, 6208, 3, 'Suscriptor');
INSERT INTO `lang_definitions` VALUES (7883, 6209, 3, 'Dirección del Suscriptor');
INSERT INTO `lang_definitions` VALUES (7884, 6213, 3, 'empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (7885, 6214, 3, 'empleador del suscriptor (SE)');
INSERT INTO `lang_definitions` VALUES (7886, 6215, 3, 'Dirección del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (7887, 6216, 3, 'Ciudad del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (7888, 6217, 3, 'Subscriber Employer Country');
INSERT INTO `lang_definitions` VALUES (7889, 6218, 3, 'Estado del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (7890, 6221, 3, 'Código postal del empleador del suscriptor');
INSERT INTO `lang_definitions` VALUES (7891, 6225, 3, 'Teléfono de Suscriptor');
INSERT INTO `lang_definitions` VALUES (7892, 6226, 3, 'Relación con el Suscriptor');
INSERT INTO `lang_definitions` VALUES (7893, 6227, 3, '¡La relación del suscriptor no es uno mismo pero el nombre es igual! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (7894, 6228, 3, '¡La relación del suscriptor no es uno mismo pero el número de SS es igual!');
INSERT INTO `lang_definitions` VALUES (7895, 6229, 3, '¡La relación del suscriptor es uno mismo pero el nombre es diferente! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (7896, 6230, 3, '¡La relación del suscriptor es uno mismo pero el número de SS es diferente!');
INSERT INTO `lang_definitions` VALUES (7897, 6231, 3, 'Sexo de Suscriptor');
INSERT INTO `lang_definitions` VALUES (7898, 6237, 3, 'Sustituto');
INSERT INTO `lang_definitions` VALUES (7899, 6238, 3, 'sustituto permitido');
INSERT INTO `lang_definitions` VALUES (7900, 6240, 3, 'Exito');
INSERT INTO `lang_definitions` VALUES (7901, 6241, 3, 'éxito');
INSERT INTO `lang_definitions` VALUES (7902, 6242, 3, 'Confirmación de la recepción de resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (7903, 6243, 3, 'Confirmación obtención resultados de laboratorio');
INSERT INTO `lang_definitions` VALUES (7904, 6244, 3, 'Éxito obteniendo los resultados de la Red de Intercambio del Laboratorio');
INSERT INTO `lang_definitions` VALUES (7905, 6246, 3, 'Categoría añadida correctamente');
INSERT INTO `lang_definitions` VALUES (7906, 6247, 3, 'agregado con éxito a la categoría,');
INSERT INTO `lang_definitions` VALUES (7907, 6248, 3, 'Borrado completado');
INSERT INTO `lang_definitions` VALUES (7908, 6250, 3, 'Instalado en Base Datos completado');
INSERT INTO `lang_definitions` VALUES (7909, 6251, 3, 'La siguiente bbdd ha sido instalada correctamente');
INSERT INTO `lang_definitions` VALUES (7910, 6252, 3, 'Modificación Completada');
INSERT INTO `lang_definitions` VALUES (7911, 6253, 3, 'Correctamente salvado. ¿Le gustaría asignarlo?');
INSERT INTO `lang_definitions` VALUES (7912, 6254, 3, 'Correctamente salvado. ¿Le gustaría distribuir?');
INSERT INTO `lang_definitions` VALUES (7913, 6256, 3, 'almacenado con éxito.');
INSERT INTO `lang_definitions` VALUES (7914, 6257, 3, 'Base de datos actualizada correctamente.');
INSERT INTO `lang_definitions` VALUES (7915, 6258, 3, 'La siguiente bbdd ha sido actualizada correctamente');
INSERT INTO `lang_definitions` VALUES (7916, 6259, 3, 'con éxito.');
INSERT INTO `lang_definitions` VALUES (7917, 6260, 3, 'Suicidio');
INSERT INTO `lang_definitions` VALUES (7918, 6261, 3, 'Resumen');
INSERT INTO `lang_definitions` VALUES (7919, 6262, 3, 'Sumario de');
INSERT INTO `lang_definitions` VALUES (7920, 6265, 3, 'Domingo');
INSERT INTO `lang_definitions` VALUES (7921, 6267, 3, 'Domingo');
INSERT INTO `lang_definitions` VALUES (7922, 6268, 3, 'Superbill');
INSERT INTO `lang_definitions` VALUES (7923, 6269, 3, 'Códigos de superbill');
INSERT INTO `lang_definitions` VALUES (7924, 6270, 3, 'Códigos Superbill Administración');
INSERT INTO `lang_definitions` VALUES (7925, 6271, 3, 'Reportes de superbill');
INSERT INTO `lang_definitions` VALUES (7926, 6272, 3, 'Superbill/Hoja de precios');
INSERT INTO `lang_definitions` VALUES (7927, 6273, 3, 'Superbills');
INSERT INTO `lang_definitions` VALUES (7928, 6274, 3, 'Superbills, referido a veces a Formularios de visitas u hojas de ruta, son una parte esencial en la mayoría de los centros médicos.');
INSERT INTO `lang_definitions` VALUES (7929, 6275, 3, 'Superusuario');
INSERT INTO `lang_definitions` VALUES (7930, 6276, 3, 'Supervisando');
INSERT INTO `lang_definitions` VALUES (7931, 6278, 3, 'Dr.Supervisor DEA');
INSERT INTO `lang_definitions` VALUES (7932, 6279, 3, 'Primer Nombre Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (7933, 6280, 3, 'Apellido Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (7934, 6281, 3, 'Dr.Supervisor NPI');
INSERT INTO `lang_definitions` VALUES (7935, 6282, 3, 'Dr.Supervisor UPIN');
INSERT INTO `lang_definitions` VALUES (7936, 6283, 3, 'Nombre del centro proveedor');
INSERT INTO `lang_definitions` VALUES (7937, 6284, 3, 'Soporte de los eventos de calendario que se aplican a múltiples facultativos');
INSERT INTO `lang_definitions` VALUES (7938, 6285, 3, 'Soporte configuración de datos de importación/exportación a través de la página de backup');
INSERT INTO `lang_definitions` VALUES (7939, 6286, 3, 'Soporte eventos multi-facultativo');
INSERT INTO `lang_definitions` VALUES (7940, 6288, 3, 'Soporta sólo enciptación/desencriptación TripleDES');
INSERT INTO `lang_definitions` VALUES (7941, 6289, 3, 'Tipo de Superficie');
INSERT INTO `lang_definitions` VALUES (7942, 6290, 3, 'Cirugías');
INSERT INTO `lang_definitions` VALUES (7943, 6291, 3, 'Cirugía');
INSERT INTO `lang_definitions` VALUES (7944, 6293, 3, 'Suspendido');
INSERT INTO `lang_definitions` VALUES (7945, 6294, 3, 'suspención');
INSERT INTO `lang_definitions` VALUES (7946, 6295, 3, 'Fecha Servicio');
INSERT INTO `lang_definitions` VALUES (7947, 6296, 3, 'Fecha Servicio:');
INSERT INTO `lang_definitions` VALUES (7948, 6299, 3, 'Sudoración:');
INSERT INTO `lang_definitions` VALUES (7949, 6300, 3, 'Sueco');
INSERT INTO `lang_definitions` VALUES (7950, 6301, 3, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (7951, 6302, 3, 'Hinchazón a la Derecha');
INSERT INTO `lang_definitions` VALUES (7952, 6303, 3, 'Articulaciones Inflamadas');
INSERT INTO `lang_definitions` VALUES (7953, 6304, 3, 'Inflamación de los ganglios linfáticos');
INSERT INTO `lang_definitions` VALUES (7954, 6305, 3, 'Símbolo usado como punto decimal para moneda. No usado si los decimales son 0.');
INSERT INTO `lang_definitions` VALUES (7955, 6306, 3, 'Símbolo usado para separar miles en moneda.');
INSERT INTO `lang_definitions` VALUES (7956, 6307, 3, 'Síntomas');
INSERT INTO `lang_definitions` VALUES (7957, 6308, 3, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (7958, 6309, 3, 'Sincronizar traducción con la tabla de idioma del cliente');
INSERT INTO `lang_definitions` VALUES (7959, 6310, 3, 'Sincronizado constante de nuevo cliente:');
INSERT INTO `lang_definitions` VALUES (7960, 6311, 3, 'Sincronizar nuevo idioma cliente');
INSERT INTO `lang_definitions` VALUES (7961, 6312, 3, 'Sincronizado nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (7962, 6313, 3, 'Síncope');
INSERT INTO `lang_definitions` VALUES (7963, 6314, 3, 'Vigilancia de Síndrome');
INSERT INTO `lang_definitions` VALUES (7964, 6315, 3, 'Vigilancia síndrome - Sin problemas notificados');
INSERT INTO `lang_definitions` VALUES (7965, 6317, 3, 'Sinovitis, pinzamiento, bursitis');
INSERT INTO `lang_definitions` VALUES (7966, 6318, 3, 'Sistema');
INSERT INTO `lang_definitions` VALUES (7967, 6322, 3, 'T');
INSERT INTO `lang_definitions` VALUES (7968, 6323, 3, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (7969, 6324, 3, 'T.V.');
INSERT INTO `lang_definitions` VALUES (7970, 6325, 3, 'Tabla');
INSERT INTO `lang_definitions` VALUES (7971, 6327, 3, 'La creación de la tabla falló');
INSERT INTO `lang_definitions` VALUES (7972, 6328, 3, 'La actualización de la tabla falló');
INSERT INTO `lang_definitions` VALUES (7973, 6330, 3, 'tableta');
INSERT INTO `lang_definitions` VALUES (7974, 6332, 3, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (7975, 6335, 3, 'Tomar');
INSERT INTO `lang_definitions` VALUES (7976, 6336, 3, 'Escoger seguro, en el desplegable');
INSERT INTO `lang_definitions` VALUES (7977, 6337, 3, 'Escoger forma de pago, en el desplegable');
INSERT INTO `lang_definitions` VALUES (7978, 6338, 3, 'Recogida');
INSERT INTO `lang_definitions` VALUES (7979, 6339, 3, 'Toma tiempo');
INSERT INTO `lang_definitions` VALUES (7980, 6340, 3, 'Altura del área de navegación');
INSERT INTO `lang_definitions` VALUES (7981, 6347, 3, 'Fecha límite');
INSERT INTO `lang_definitions` VALUES (7982, 6351, 3, 'Objetivo/Grupos de Acción');
INSERT INTO `lang_definitions` VALUES (7983, 6354, 3, 'N.I.F./C.I.F.');
INSERT INTO `lang_definitions` VALUES (7984, 6355, 3, 'Tasa de Impuestos');
INSERT INTO `lang_definitions` VALUES (7985, 6356, 3, 'Impuestos');
INSERT INTO `lang_definitions` VALUES (7986, 6357, 3, 'Taxonomía');
INSERT INTO `lang_definitions` VALUES (7987, 6358, 3, 'TD');
INSERT INTO `lang_definitions` VALUES (7988, 6359, 3, 'Descripción de lesión del equipo');
INSERT INTO `lang_definitions` VALUES (7989, 6360, 3, 'Lista del Equipo');
INSERT INTO `lang_definitions` VALUES (7990, 6361, 3, 'Ver Lista de Equipo');
INSERT INTO `lang_definitions` VALUES (7991, 6362, 3, 'Equipo/Plantilla');
INSERT INTO `lang_definitions` VALUES (7992, 6363, 3, 'Tel');
INSERT INTO `lang_definitions` VALUES (7993, 6364, 3, 'Código País telefónico');
INSERT INTO `lang_definitions` VALUES (7994, 6366, 3, 'Temp');
INSERT INTO `lang_definitions` VALUES (7995, 6367, 3, 'Localización de la toma de temperat.');
INSERT INTO `lang_definitions` VALUES (7996, 6368, 3, 'Método para Temperat.');
INSERT INTO `lang_definitions` VALUES (7997, 6369, 3, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (7998, 6370, 3, 'Plantilla');
INSERT INTO `lang_definitions` VALUES (7999, 6371, 3, 'Nombre de Plantilla');
INSERT INTO `lang_definitions` VALUES (8000, 6372, 3, 'Los nombres de la plantilla no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (8001, 6373, 3, 'Plantilla:');
INSERT INTO `lang_definitions` VALUES (8002, 6374, 3, 'Pantillas');
INSERT INTO `lang_definitions` VALUES (8003, 6375, 3, 'Arteria Temporal');
INSERT INTO `lang_definitions` VALUES (8004, 6376, 3, 'Daño al tendón');
INSERT INTO `lang_definitions` VALUES (8005, 6377, 3, 'Tendinitis / osis / bursitis');
INSERT INTO `lang_definitions` VALUES (8006, 6378, 3, 'Nºreferencia factura provisional');
INSERT INTO `lang_definitions` VALUES (8007, 6379, 3, 'Terciario');
INSERT INTO `lang_definitions` VALUES (8008, 6380, 3, 'Seguro Terciario');
INSERT INTO `lang_definitions` VALUES (8009, 6381, 3, 'Datos terciarios del seguro');
INSERT INTO `lang_definitions` VALUES (8010, 6382, 3, 'Proveedor terciario del seguro');
INSERT INTO `lang_definitions` VALUES (8011, 6383, 3, 'Planificación de estudios');
INSERT INTO `lang_definitions` VALUES (8012, 6384, 3, 'Sistema de Prueba');
INSERT INTO `lang_definitions` VALUES (8013, 6385, 3, 'Texto');
INSERT INTO `lang_definitions` VALUES (8014, 6386, 3, 'Texto Diagnóstico');
INSERT INTO `lang_definitions` VALUES (8015, 6387, 3, 'campo texto');
INSERT INTO `lang_definitions` VALUES (8016, 6393, 3, 'Fecha del texto');
INSERT INTO `lang_definitions` VALUES (8017, 6394, 3, 'texto actualizado');
INSERT INTO `lang_definitions` VALUES (8018, 6395, 3, 'Area de texto');
INSERT INTO `lang_definitions` VALUES (8019, 6396, 3, 'erea de texto');
INSERT INTO `lang_definitions` VALUES (8020, 6397, 3, 'Cuadro de texto');
INSERT INTO `lang_definitions` VALUES (8021, 6398, 3, 'caja de texto');
INSERT INTO `lang_definitions` VALUES (8022, 6399, 3, 'Lista del cuadro de texto');
INSERT INTO `lang_definitions` VALUES (8023, 6400, 3, 'lista de texto');
INSERT INTO `lang_definitions` VALUES (8024, 6401, 3, 'Tailandés');
INSERT INTO `lang_definitions` VALUES (8025, 6402, 3, 'Gracias');
INSERT INTO `lang_definitions` VALUES (8026, 6403, 3, 'Gracias por elegir');
INSERT INTO `lang_definitions` VALUES (8027, 6404, 3, 'El botón \'Limpiar\' eliminará todas las anotaciones.');
INSERT INTO `lang_definitions` VALUES (8028, 6405, 3, 'Falló la declaración anterior');
INSERT INTO `lang_definitions` VALUES (8029, 6406, 3, 'Llave publica y Certificado del Servidor Apache SSL');
INSERT INTO `lang_definitions` VALUES (8030, 6407, 3, 'El certificado de Autoridad Certificada');
INSERT INTO `lang_definitions` VALUES (8031, 6408, 3, 'El fichero de reclamación: ');
INSERT INTO `lang_definitions` VALUES (8032, 6410, 3, 'La llave privada correspondiente');
INSERT INTO `lang_definitions` VALUES (8033, 6413, 3, 'El código de denegación es');
INSERT INTO `lang_definitions` VALUES (8034, 6414, 3, 'El código del grupo denegación es');
INSERT INTO `lang_definitions` VALUES (8035, 6415, 3, 'El formulario de destino está cerrado');
INSERT INTO `lang_definitions` VALUES (8036, 6416, 3, 'La forma de la destinación era cerrada; No puedo actuar en su selección.');
INSERT INTO `lang_definitions` VALUES (8037, 6422, 3, 'El evento(s) han sido aprobadas.');
INSERT INTO `lang_definitions` VALUES (8038, 6423, 3, 'Se han ocultado el evento(s).');
INSERT INTO `lang_definitions` VALUES (8039, 6424, 3, 'Los datos exportados aparecen en el área de texto a continuación. Puede copiarla y pegarla en un email o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (8040, 6426, 3, 'Los datos exportados aparecen en el área de texto a continuación. Puede copiarla y pegarla en un email o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (8041, 6427, 3, 'Los datos exportados aparecen en el área de texto de abajo. Puede copiar y pegar en el mail o cualquier otro destino deseado.');
INSERT INTO `lang_definitions` VALUES (8042, 6428, 3, 'El no puede salvarse en CouchDB.');
INSERT INTO `lang_definitions` VALUES (8043, 6429, 3, 'El fichero puede no estar correctamente renombrado, este error está normalmente relacionado con problemas de permiso en el sistema de almacenamiento.');
INSERT INTO `lang_definitions` VALUES (8044, 6430, 3, 'El fichero no ha sido archivado correctamente');
INSERT INTO `lang_definitions` VALUES (8045, 6433, 3, 'El primer paso es abrir una cuenta en el sitio web Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (8046, 6434, 3, 'Los siguientes eventos del calendario han sido añadido:');
INSERT INTO `lang_definitions` VALUES (8047, 6435, 3, 'Los siguientes eventos del calendario han sido modificado:');
INSERT INTO `lang_definitions` VALUES (8048, 6436, 3, 'Las siguentes categorías serán eliminadas de su lista de categorías');
INSERT INTO `lang_definitions` VALUES (8049, 6437, 3, 'La siguiente versión de la base de datos está actualmente instalada');
INSERT INTO `lang_definitions` VALUES (8050, 6439, 3, 'El siguiente fichero EDI ha sido subido');
INSERT INTO `lang_definitions` VALUES (8051, 6440, 3, 'El inicio sesión de usuario de emergencia siguiente esta activado:');
INSERT INTO `lang_definitions` VALUES (8052, 6441, 3, 'Los errores siguientes ocurrieron');
INSERT INTO `lang_definitions` VALUES (8053, 6444, 3, 'Los campos soguientes son requeridos');
INSERT INTO `lang_definitions` VALUES (8054, 6446, 3, 'Los siguientes campos tienen que estar rellenos para enviar la solicitud.');
INSERT INTO `lang_definitions` VALUES (8055, 6449, 3, 'Nombre del Host de la máquina repositoria auditoría ATNA');
INSERT INTO `lang_definitions` VALUES (8056, 6450, 3, 'La pantalla inicial es la página de búsqueda de la factura. En la parte superior puede introducir un dato (ej. número de cheque), fecha de pago e importe del cheque. El motivo del dato y la fecha de pago es para que no tenga que introducir una y otra vez para cada reclamación. La cantidad que usted introduzca será disminuido por cada factura que tenga pago parcial, y se espera que acabará en cero cuando haya terminado.');
INSERT INTO `lang_definitions` VALUES (8057, 6454, 3, 'La versión instalada y los ficheros preparados son iguales.');
INSERT INTO `lang_definitions` VALUES (8058, 6455, 3, 'La versión instalada es más reciente que los ficheros preparados.');
INSERT INTO `lang_definitions` VALUES (8059, 6456, 3, 'La etiqueta que aparece al usuario en la forma');
INSERT INTO `lang_definitions` VALUES (8060, 6457, 3, 'La longitud no debe exceder el siguiente número de caracteres');
INSERT INTO `lang_definitions` VALUES (8061, 6460, 3, 'La nueva categoría será una subcategoría de ');
INSERT INTO `lang_definitions` VALUES (8062, 6461, 3, 'La nueva contraseña no puede ser la misma que la actual.');
INSERT INTO `lang_definitions` VALUES (8063, 6462, 3, 'Las contraseñas no son iguales');
INSERT INTO `lang_definitions` VALUES (8064, 6464, 3, 'El número de ficheros preparados es incorrecto. Sólo coloque los ficheros que quiera instalar/actualizar.');
INSERT INTO `lang_definitions` VALUES (8065, 6465, 3, 'La página será redirigida a demográficos. Puede editar el campo de país y click a través de NewCrop de nuevo.');
INSERT INTO `lang_definitions` VALUES (8066, 6466, 3, 'La contraseña debe tener al menos ocho caracteres, y debe');
INSERT INTO `lang_definitions` VALUES (8067, 6468, 3, 'El registro del paciente ha sido grabado');
INSERT INTO `lang_definitions` VALUES (8068, 6469, 3, 'Los recordatorios del paciente han sido enviados');
INSERT INTO `lang_definitions` VALUES (8069, 6470, 3, 'Los recordatorios del paciente han sido actualizados');
INSERT INTO `lang_definitions` VALUES (8070, 6472, 3, 'Los pagos enviados no pueden ser antes de esta fecha. Esto asegura que después del informe final nadie puede enviar fechas anteriores.');
INSERT INTO `lang_definitions` VALUES (8071, 6475, 3, 'La información restante abajo se aplica solamente si usted está fijando manualmente, o si usted está haciendo correcciones manuales.');
INSERT INTO `lang_definitions` VALUES (8072, 6477, 3, 'El documento solicitado no está presente en el lugar previsto en el sistema de ficheros o no hay suficientes permisos para acceder a ella.');
INSERT INTO `lang_definitions` VALUES (8073, 6480, 3, 'Las columnas de la fuente y de fecha se copian de la primera página, por lo que normalmente no será necesario que los toque. Usted puede poner una cantidad del pago en la columna de pagos, una cantidad de ajuste en la columna de ajuste, o ambas. Puedes también hacer clic en - W- a la derecha de computar automáticamente un ajuste valorar que escriba del resto de la carga para esa línea artículo.');
INSERT INTO `lang_definitions` VALUES (8074, 6481, 3, 'La versión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (8075, 6482, 3, 'La revisión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (8076, 6484, 3, 'La división temporal del calendario y el menor intervalo en minutos para una ranura de cita.');
INSERT INTO `lang_definitions` VALUES (8077, 6485, 3, 'La etiqueta traducida que aparecerá en la forma en lengua actual');
INSERT INTO `lang_definitions` VALUES (8078, 6486, 3, 'El título traducido que aparecerá en lengua actual');
INSERT INTO `lang_definitions` VALUES (8079, 6487, 3, 'La traducción de descripción en lengua actual');
INSERT INTO `lang_definitions` VALUES (8080, 6488, 3, 'La tabla de traducción está sincronizada');
INSERT INTO `lang_definitions` VALUES (8081, 6489, 3, 'Tipo de esta entidad');
INSERT INTO `lang_definitions` VALUES (8082, 6490, 3, 'El código de identificación específico del proveedor de este procedimiento o el resultado');
INSERT INTO `lang_definitions` VALUES (8083, 6491, 3, 'Los ficheros X12, así como la salida de informes HTML resultantes son archivados en el subdirectorio -era- del directorio principal de la instalación de LibreEHR. Si quiere hacer referencia a estos ficheros de vez en cuando. La URL es');
INSERT INTO `lang_definitions` VALUES (8084, 6492, 3, 'El file comprimido ha de contener los siguientes items');
INSERT INTO `lang_definitions` VALUES (8085, 6493, 3, 'Tema');
INSERT INTO `lang_definitions` VALUES (8086, 6495, 3, 'Inyecciones Terapéuticas');
INSERT INTO `lang_definitions` VALUES (8087, 6496, 3, 'Existen');
INSERT INTO `lang_definitions` VALUES (8088, 6497, 3, 'Actualmente no hay recetas');
INSERT INTO `lang_definitions` VALUES (8089, 6498, 3, 'Hay errores con su sumisión. Éstos se contornean abajo.');
INSERT INTO `lang_definitions` VALUES (8090, 6500, 3, 'No hay gráficos comprobados.');
INSERT INTO `lang_definitions` VALUES (8091, 6501, 3, 'No hay publicaciones grabadas para este paciente.');
INSERT INTO `lang_definitions` VALUES (8092, 6502, 3, 'No hay nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (8093, 6503, 3, 'No hay notas en el file para este paciente');
INSERT INTO `lang_definitions` VALUES (8094, 6504, 3, 'No hay transacciones archivadas para ese paciente');
INSERT INTO `lang_definitions` VALUES (8095, 6505, 3, 'Se ha producido un error al enviar correo a');
INSERT INTO `lang_definitions` VALUES (8096, 6506, 3, 'Ya existe una categoria nombrada');
INSERT INTO `lang_definitions` VALUES (8097, 6507, 3, 'Ya existe una subcategoria nombrada');
INSERT INTO `lang_definitions` VALUES (8098, 6508, 3, 'Ya existe un item nombrado');
INSERT INTO `lang_definitions` VALUES (8099, 6509, 3, 'Ya está abierto el registro de paciente solicitado.');
INSERT INTO `lang_definitions` VALUES (8100, 6510, 3, 'No hay entrada de COA para la cuenta de AR ');
INSERT INTO `lang_definitions` VALUES (8101, 6511, 3, 'No hay entrada de COA para la cuenta de efectivo ');
INSERT INTO `lang_definitions` VALUES (8102, 6512, 3, 'No hay entrada de COA para la cuenta de ingresos ');
INSERT INTO `lang_definitions` VALUES (8103, 6513, 3, 'El paciente actual no existe');
INSERT INTO `lang_definitions` VALUES (8104, 6515, 3, 'No hay coicincidencia para el Nº Identificación factura');
INSERT INTO `lang_definitions` VALUES (8105, 6516, 3, 'No hay coicincidencia para el Nº Identificación factura = ');
INSERT INTO `lang_definitions` VALUES (8106, 6517, 3, 'No hay partes de entrada para el Nº Identificación de los servicios ');
INSERT INTO `lang_definitions` VALUES (8107, 6520, 3, 'Se ha producido un error mientras se procesaba su solicitud.');
INSERT INTO `lang_definitions` VALUES (8108, 6522, 3, 'Estos son los enlaces de 2012');
INSERT INTO `lang_definitions` VALUES (8109, 6523, 3, 'Espesado a la derecha:');
INSERT INTO `lang_definitions` VALUES (8110, 6524, 3, 'Muslo');
INSERT INTO `lang_definitions` VALUES (8111, 6525, 3, 'Muslo + tendón de la corva');
INSERT INTO `lang_definitions` VALUES (8112, 6527, 3, 'Cosas que la oficina trasera puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (8113, 6528, 3, 'Things that back office can read and modify');
INSERT INTO `lang_definitions` VALUES (8114, 6531, 3, 'Cosas que los médicos pueden leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (8115, 6532, 3, 'Cosas que los médicos pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (8116, 6535, 3, 'Cosas que la oficina central puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (8117, 6536, 3, 'Cosas que la oficina central puede leer y modificar');
INSERT INTO `lang_definitions` VALUES (8118, 6539, 3, 'Cosas que los fisios pueden entrar y leer pero no modificar');
INSERT INTO `lang_definitions` VALUES (8119, 6540, 3, 'Cosas que los fisios pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (8120, 6542, 3, 'Tercera');
INSERT INTO `lang_definitions` VALUES (8121, 6544, 3, 'Esta acción NO SE PUEDE deshacer.');
INSERT INTO `lang_definitions` VALUES (8122, 6545, 3, 'Esta acción no se puede deshacer.');
INSERT INTO `lang_definitions` VALUES (8123, 6547, 3, 'Esta acción se registrará');
INSERT INTO `lang_definitions` VALUES (8124, 6549, 3, 'El espacio para la cita está ocupado, ¿usarlo de todas formas?');
INSERT INTO `lang_definitions` VALUES (8125, 6550, 3, 'Este espacio para cita no está disponible, por favor elegir otro.');
INSERT INTO `lang_definitions` VALUES (8126, 6551, 3, 'Este año de calendario');
INSERT INTO `lang_definitions` VALUES (8127, 6552, 3, 'Esta reclamación ha sido cancelada.');
INSERT INTO `lang_definitions` VALUES (8128, 6553, 3, 'La reclamación ha sido cerrada.');
INSERT INTO `lang_definitions` VALUES (8129, 6554, 3, 'La reclamación ha sido denegada. Razón:-');
INSERT INTO `lang_definitions` VALUES (8130, 6555, 3, 'La reclamación ha sido enviada a otro nivel');
INSERT INTO `lang_definitions` VALUES (8131, 6556, 3, 'Este tipo de código no acepta las relaciones.');
INSERT INTO `lang_definitions` VALUES (8132, 6557, 3, 'Este contexto contiene categorias, las cuales serán borradas. ¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (8133, 6558, 3, 'Esto determina como se visualizarán las citas en el calendario.');
INSERT INTO `lang_definitions` VALUES (8134, 6559, 3, 'Esto determina como será el esquema de color usado para las citas');
INSERT INTO `lang_definitions` VALUES (8135, 6561, 3, 'Esta Visita');
INSERT INTO `lang_definitions` VALUES (8136, 6562, 3, 'Esta visita ha sido facturada. Si necesita cambiarlo, debe ser re-abierta.');
INSERT INTO `lang_definitions` VALUES (8137, 6564, 3, 'Esta caracteristica ya no está disponible');
INSERT INTO `lang_definitions` VALUES (8138, 6565, 3, 'Este atributo es experimental y no probado. Use a riesgo propio.');
INSERT INTO `lang_definitions` VALUES (8139, 6566, 3, 'Este número de factura se ha cambiado a ');
INSERT INTO `lang_definitions` VALUES (8140, 6572, 3, 'esta ubicación');
INSERT INTO `lang_definitions` VALUES (8141, 6575, 3, 'Este módulo está en modo de prueba. La base de datos no será cambiada.');
INSERT INTO `lang_definitions` VALUES (8142, 6576, 3, 'Este módulo promueve la entrada eficiente de los datos de EOB.');
INSERT INTO `lang_definitions` VALUES (8143, 6577, 3, 'Este mes a fecha');
INSERT INTO `lang_definitions` VALUES (8144, 6579, 3, 'Esta página le permite revisar cada uno de los dataloads externos compatibles que puede instalar y actualizar. Cada sección de abajo se puede ampliar haciendo clic en la cabecera de sección para revisar el estado de interés de la bbdd.');
INSERT INTO `lang_definitions` VALUES (8145, 6581, 3, 'En esta página se incluye en línea la página de inicio de sesión, de modo que no tenemos que hacer clic en iniciar la sesión cada vez.');
INSERT INTO `lang_definitions` VALUES (8146, 6582, 3, 'Este paciente no tiene ninguna actividad.');
INSERT INTO `lang_definitions` VALUES (8147, 6583, 3, 'Este Nº Identificación de paciente ya está en uso!');
INSERT INTO `lang_definitions` VALUES (8148, 6584, 3, 'Este producto solo permite un lote por deposito');
INSERT INTO `lang_definitions` VALUES (8149, 6586, 3, 'Este informe actualmente sólo funciona para códigos ICD9.');
INSERT INTO `lang_definitions` VALUES (8150, 6591, 3, 'Este paso generará un fichero el cual salvará para uso futuro. El fichero no se puede generar de nuevo. ¿Quiere proceder?');
INSERT INTO `lang_definitions` VALUES (8151, 6592, 3, 'Este usuario no es miembro de ningún grupo');
INSERT INTO `lang_definitions` VALUES (8152, 6595, 3, 'Esta visita comienza nuevo uso anticonceptivo');
INSERT INTO `lang_definitions` VALUES (8153, 6596, 3, 'Esta visita necesitará un formulario GCAC, derivación o procedimiento de servicio.');
INSERT INTO `lang_definitions` VALUES (8154, 6597, 3, 'Esta fue la métrica más antigua de formularios de constantes vitales, ahora en desuso.');
INSERT INTO `lang_definitions` VALUES (8155, 6598, 3, 'Esta semana a fecha');
INSERT INTO `lang_definitions` VALUES (8156, 6600, 3, 'Esto activará informes CCR(Continuity of Care Record) y CCD(Continuity of Care Document)');
INSERT INTO `lang_definitions` VALUES (8157, 6602, 3, 'Esto permitirá la selección de la depuración (\'dummy\') de idioma.');
INSERT INTO `lang_definitions` VALUES (8158, 6606, 3, 'Esto creará un backup en formato tar y luego lo envia a su navegador web para que lo pueda guardar');
INSERT INTO `lang_definitions` VALUES (8159, 6607, 3, 'Esto desactivará las características de encriptación/desencriptación del documento, y lo ocultará en el UI.');
INSERT INTO `lang_definitions` VALUES (8160, 6613, 3, 'Esto forzará el widget de facturación en la pantalla resumen del paciente para que se abra siempre.');
INSERT INTO `lang_definitions` VALUES (8161, 6617, 3, 'Esto no le impiderá ir al sitio de recetas electrónicas.');
INSERT INTO `lang_definitions` VALUES (8162, 6619, 3, 'Esto usará la lista de vacunación personalizada en lugar de la lista de vacunación estándar CVX.');
INSERT INTO `lang_definitions` VALUES (8163, 6622, 3, 'Espina dorsal torácica');
INSERT INTO `lang_definitions` VALUES (8164, 6623, 3, 'Miles/CU.MM');
INSERT INTO `lang_definitions` VALUES (8165, 6625, 3, 'Garganta');
INSERT INTO `lang_definitions` VALUES (8166, 6626, 3, 'Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (8167, 6627, 3, 'Cirugía del Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (8168, 6628, 3, 'Trombosis/Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (8169, 6629, 3, 'Jueves');
INSERT INTO `lang_definitions` VALUES (8170, 6630, 3, 'Jueves');
INSERT INTO `lang_definitions` VALUES (8171, 6631, 3, 'Jueves');
INSERT INTO `lang_definitions` VALUES (8172, 6632, 3, 'Normal de la tiroides');
INSERT INTO `lang_definitions` VALUES (8173, 6633, 3, 'Problemas de la Tiroides');
INSERT INTO `lang_definitions` VALUES (8174, 6634, 3, 'TIA');
INSERT INTO `lang_definitions` VALUES (8175, 6638, 3, 'Tiempo');
INSERT INTO `lang_definitions` VALUES (8176, 6639, 3, 'Formato visualización de hora');
INSERT INTO `lang_definitions` VALUES (8177, 6640, 3, 'Incremento de tiempo para agrega (minutos 1-60)');
INSERT INTO `lang_definitions` VALUES (8178, 6641, 3, 'Seleccion de tiempo');
INSERT INTO `lang_definitions` VALUES (8179, 6642, 3, 'La ventana de tiempo está abieta, salvando evento');
INSERT INTO `lang_definitions` VALUES (8180, 6647, 3, 'El tiempo de evento');
INSERT INTO `lang_definitions` VALUES (8181, 6648, 3, 'Matriz tiempos (NO APLICABLE)');
INSERT INTO `lang_definitions` VALUES (8182, 6649, 3, 'Reloj fechador y texto');
INSERT INTO `lang_definitions` VALUES (8183, 6650, 3, 'TIN');
INSERT INTO `lang_definitions` VALUES (8184, 6651, 3, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (8185, 6652, 3, 'Título');
INSERT INTO `lang_definitions` VALUES (8186, 6653, 3, 'Título V');
INSERT INTO `lang_definitions` VALUES (8187, 6654, 3, 'Título de columnas debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (8188, 6655, 3, 'Títulos');
INSERT INTO `lang_definitions` VALUES (8189, 6656, 3, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (8190, 6657, 3, 'TMs/EAMs/EE, ext nariz');
INSERT INTO `lang_definitions` VALUES (8191, 6658, 3, 'Para');
INSERT INTO `lang_definitions` VALUES (8192, 6659, 3, 'PARA');
INSERT INTO `lang_definitions` VALUES (8193, 6660, 3, 'para');
INSERT INTO `lang_definitions` VALUES (8194, 6661, 3, 'Hacia la ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (8195, 6662, 3, 'Favor Selecciona para agregar notas ');
INSERT INTO `lang_definitions` VALUES (8196, 6663, 3, 'Para añadir notas, por favor haga click aquí');
INSERT INTO `lang_definitions` VALUES (8197, 6664, 3, 'Área afectada');
INSERT INTO `lang_definitions` VALUES (8198, 6665, 3, 'área afectada');
INSERT INTO `lang_definitions` VALUES (8199, 6666, 3, 'Para abrir automáticamente el formulario específico. Algunos equipos deportivos usan aquí auditoria de fútbol.');
INSERT INTO `lang_definitions` VALUES (8200, 6667, 3, 'Ver a facturación');
INSERT INTO `lang_definitions` VALUES (8201, 6668, 3, 'a la categoría');
INSERT INTO `lang_definitions` VALUES (8202, 6669, 3, 'Ver a Clínica');
INSERT INTO `lang_definitions` VALUES (8203, 6670, 3, 'De copago');
INSERT INTO `lang_definitions` VALUES (8204, 6672, 3, 'Para ded\'ble');
INSERT INTO `lang_definitions` VALUES (8205, 6673, 3, 'Para DEMs');
INSERT INTO `lang_definitions` VALUES (8206, 6674, 3, 'Para deshabilitar certificado del cliente SSL, comente en lineas de arriba en la configuración del file Apache y configurar');
INSERT INTO `lang_definitions` VALUES (8207, 6675, 3, 'Para deshabilitar HTTPS, comente en líneas de arriba en el file de configuración de Apache y reiniciar el servidor Apache');
INSERT INTO `lang_definitions` VALUES (8208, 6676, 3, 'Para activar certificados ssl del lado cliente');
INSERT INTO `lang_definitions` VALUES (8209, 6677, 3, 'Para activar certificados de autenticación SSl, HTTPS debe estar activado.');
INSERT INTO `lang_definitions` VALUES (8210, 6678, 3, 'Para activar sólo HTTPS, ejecute los cambios mencionados arriba y reinicie el servidor Apache. Si quiere configurar los certificados del lado cliente también, por favor configúrelos en la siguiente sección.');
INSERT INTO `lang_definitions` VALUES (8211, 6679, 3, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (8212, 6680, 3, 'Para filtrar por sexo');
INSERT INTO `lang_definitions` VALUES (8213, 6681, 3, 'La Historia');
INSERT INTO `lang_definitions` VALUES (8214, 6682, 3, 'Para Incidencias');
INSERT INTO `lang_definitions` VALUES (8215, 6683, 3, 'Para vincular esta visita/consulta con una incidencia existente, haga click ');
INSERT INTO `lang_definitions` VALUES (8216, 6684, 3, 'Para vincular esta cita/consulta con una incidencia existente, haga click encima de la incidencia deseada para seleccionar y, después click en [Guardar]. Mantenga pulsada la tecla [Ctrl] para seleccionar múltiples incidencias.');
INSERT INTO `lang_definitions` VALUES (8217, 6685, 3, 'volver a iniciar sesión');
INSERT INTO `lang_definitions` VALUES (8218, 6686, 3, 'Para grabar publicaciones, por favor click');
INSERT INTO `lang_definitions` VALUES (8219, 6687, 3, 'Para Ejecutar');
INSERT INTO `lang_definitions` VALUES (8220, 6688, 3, 'Para configurar el acceso https con autenticación de certificados de cliente, haga lo siguiente');
INSERT INTO `lang_definitions` VALUES (8221, 6689, 3, 'Para la piel');
INSERT INTO `lang_definitions` VALUES (8222, 6690, 3, 'para la piel');
INSERT INTO `lang_definitions` VALUES (8223, 6691, 3, '¿a esta visita?');
INSERT INTO `lang_definitions` VALUES (8224, 6693, 3, 'Para:');
INSERT INTO `lang_definitions` VALUES (8225, 6694, 3, 'Para: ');
INSERT INTO `lang_definitions` VALUES (8226, 6695, 3, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (8227, 6696, 3, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (8228, 6697, 3, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (8229, 6698, 3, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (8230, 6699, 3, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (8231, 6700, 3, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (8232, 6703, 3, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (8233, 6704, 3, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (8234, 6705, 3, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (8235, 6706, 3, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (8236, 6707, 3, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (8237, 6708, 3, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (8238, 6709, 3, 'Intervención para dejar el tabaco');
INSERT INTO `lang_definitions` VALUES (8239, 6710, 3, 'Intervención para dejar el tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (8240, 6712, 3, 'Consumo de tabaco');
INSERT INTO `lang_definitions` VALUES (8241, 6713, 3, 'Evaluación consumo tabaco');
INSERT INTO `lang_definitions` VALUES (8242, 6714, 3, 'Evaluación consumo tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (8243, 6715, 3, 'Hoy');
INSERT INTO `lang_definitions` VALUES (8244, 6716, 3, 'HOY');
INSERT INTO `lang_definitions` VALUES (8245, 6717, 3, 'hoy');
INSERT INTO `lang_definitions` VALUES (8246, 6718, 3, 'Balance actual');
INSERT INTO `lang_definitions` VALUES (8247, 6719, 3, 'Cargos actuales');
INSERT INTO `lang_definitions` VALUES (8248, 6720, 3, 'Fecha de Hoy');
INSERT INTO `lang_definitions` VALUES (8249, 6721, 3, 'Eventos de Hoy');
INSERT INTO `lang_definitions` VALUES (8250, 6726, 3, 'Tonsilectomía');
INSERT INTO `lang_definitions` VALUES (8251, 6728, 3, 'Sup.');
INSERT INTO `lang_definitions` VALUES (8252, 6730, 3, 'Tema');
INSERT INTO `lang_definitions` VALUES (8253, 6731, 3, 'Total');
INSERT INTO `lang_definitions` VALUES (8254, 6732, 3, 'total');
INSERT INTO `lang_definitions` VALUES (8255, 6733, 3, 'Total acciones activas');
INSERT INTO `lang_definitions` VALUES (8256, 6734, 3, 'Total recordatorios activos después de actualizar');
INSERT INTO `lang_definitions` VALUES (8257, 6735, 3, 'Total recordatorios activos antes de actualizar');
INSERT INTO `lang_definitions` VALUES (8258, 6737, 3, 'Total de cantidad adeudada');
INSERT INTO `lang_definitions` VALUES (8259, 6738, 3, 'Cantidad total pagada');
INSERT INTO `lang_definitions` VALUES (8260, 6740, 3, 'Total carga');
INSERT INTO `lang_definitions` VALUES (8261, 6741, 3, 'Total de cargos');
INSERT INTO `lang_definitions` VALUES (8262, 6742, 3, 'Total de Clientes');
INSERT INTO `lang_definitions` VALUES (8263, 6743, 3, 'Costo total');
INSERT INTO `lang_definitions` VALUES (8264, 6744, 3, 'La distribución total para los siguientes números de cheque es incompleta');
INSERT INTO `lang_definitions` VALUES (8265, 6745, 3, 'total entradas');
INSERT INTO `lang_definitions` VALUES (8266, 6746, 3, 'Total recordatorios enviados vía email fallidos');
INSERT INTO `lang_definitions` VALUES (8267, 6747, 3, 'Total recordatorios enviados vía teléfono fallidos');
INSERT INTO `lang_definitions` VALUES (8268, 6748, 3, 'Total para');
INSERT INTO `lang_definitions` VALUES (8269, 6749, 3, 'Total para ');
INSERT INTO `lang_definitions` VALUES (8270, 6750, 3, 'Total para la categoría');
INSERT INTO `lang_definitions` VALUES (8271, 6751, 3, 'Total recordatorios inactivos');
INSERT INTO `lang_definitions` VALUES (8272, 6752, 3, 'Total nuevos recordatorios');
INSERT INTO `lang_definitions` VALUES (8273, 6755, 3, 'NºTotal de vacunas');
INSERT INTO `lang_definitions` VALUES (8274, 6756, 3, 'NºTotal de incidencias');
INSERT INTO `lang_definitions` VALUES (8275, 6758, 3, 'Total número de pacientes');
INSERT INTO `lang_definitions` VALUES (8276, 6760, 3, 'Saldo total de pacientes');
INSERT INTO `lang_definitions` VALUES (8277, 6761, 3, 'Total Pacientes');
INSERT INTO `lang_definitions` VALUES (8278, 6764, 3, 'Total Registros Encontrados');
INSERT INTO `lang_definitions` VALUES (8279, 6765, 3, 'Total SRH & Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (8280, 6766, 3, 'Total recordatorios enviados via email correctos');
INSERT INTO `lang_definitions` VALUES (8281, 6767, 3, 'Total recordatorios enviados via teléfono correctos');
INSERT INTO `lang_definitions` VALUES (8282, 6770, 3, 'Tpotal recordatorios sin cambios');
INSERT INTO `lang_definitions` VALUES (8283, 6771, 3, 'Total recordatorios no enviados después del proceso de envío');
INSERT INTO `lang_definitions` VALUES (8284, 6772, 3, 'Total recordatorios no enviados después de actualizar');
INSERT INTO `lang_definitions` VALUES (8285, 6773, 3, 'Total recordatorios no enviados antes del proceso de envío');
INSERT INTO `lang_definitions` VALUES (8286, 6774, 3, 'Total recordatorios no enviados antes de actualizar');
INSERT INTO `lang_definitions` VALUES (8287, 6775, 3, 'Total recordatorios actualizados');
INSERT INTO `lang_definitions` VALUES (8288, 6776, 3, 'Total');
INSERT INTO `lang_definitions` VALUES (8289, 6777, 3, 'Total para');
INSERT INTO `lang_definitions` VALUES (8290, 6778, 3, 'Total para ');
INSERT INTO `lang_definitions` VALUES (8291, 6780, 3, 'para{{rango}}');
INSERT INTO `lang_definitions` VALUES (8292, 6785, 3, 'Tipo de Entrenamiento');
INSERT INTO `lang_definitions` VALUES (8293, 6786, 3, 'Transacciones');
INSERT INTO `lang_definitions` VALUES (8294, 6787, 3, 'Transacción');
INSERT INTO `lang_definitions` VALUES (8295, 6788, 3, 'transacción');
INSERT INTO `lang_definitions` VALUES (8296, 6789, 3, 'Transaccion fallida, cantidad insuficiente en lote de destino');
INSERT INTO `lang_definitions` VALUES (8297, 6790, 3, 'Transaccion fallida, cantidad es menor de cero');
INSERT INTO `lang_definitions` VALUES (8298, 6791, 3, 'Tipo de Transacción');
INSERT INTO `lang_definitions` VALUES (8299, 6792, 3, 'transacciones');
INSERT INTO `lang_definitions` VALUES (8300, 6793, 3, 'Transacción');
INSERT INTO `lang_definitions` VALUES (8301, 6794, 3, 'Transacciones (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (8302, 6795, 3, 'Transacciones/Derivados');
INSERT INTO `lang_definitions` VALUES (8303, 6797, 3, 'Transferir');
INSERT INTO `lang_definitions` VALUES (8304, 6799, 3, 'Transferencia fallida, cantidad insuficiebnte el el lote de fuente');
INSERT INTO `lang_definitions` VALUES (8305, 6804, 3, 'Transferencias');
INSERT INTO `lang_definitions` VALUES (8306, 6806, 3, '¿Transición/Transferencia de cuidados?');
INSERT INTO `lang_definitions` VALUES (8307, 6807, 3, 'Traducir Grupos de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (8308, 6808, 3, 'Traducir Categorías de Citas');
INSERT INTO `lang_definitions` VALUES (8309, 6809, 3, 'Traducir Categorías de Documento');
INSERT INTO `lang_definitions` VALUES (8310, 6810, 3, 'Traducir Diseños');
INSERT INTO `lang_definitions` VALUES (8311, 6811, 3, 'Traducir Listas');
INSERT INTO `lang_definitions` VALUES (8312, 6812, 3, 'Traducir título de notas de paciente');
INSERT INTO `lang_definitions` VALUES (8313, 6813, 3, 'traducir este');
INSERT INTO `lang_definitions` VALUES (8314, 6814, 3, 'Traducción');
INSERT INTO `lang_definitions` VALUES (8315, 6815, 3, 'Traducciones');
INSERT INTO `lang_definitions` VALUES (8316, 6819, 3, 'Trauma');
INSERT INTO `lang_definitions` VALUES (8317, 6820, 3, 'Tratamiento');
INSERT INTO `lang_definitions` VALUES (8318, 6822, 3, 'Objetivos de Tratamiento');
INSERT INTO `lang_definitions` VALUES (8319, 6823, 3, 'Plan de Tratamiento');
INSERT INTO `lang_definitions` VALUES (8320, 6826, 3, 'Tratamiento:');
INSERT INTO `lang_definitions` VALUES (8321, 6827, 3, 'Tratamiento: ');
INSERT INTO `lang_definitions` VALUES (8322, 6828, 3, 'Tendencia');
INSERT INTO `lang_definitions` VALUES (8323, 6829, 3, 'trftime ($ mes_formato, mkhora(0, 0, 0, $i, 1, 2000))); $ mes_valor');
INSERT INTO `lang_definitions` VALUES (8324, 6830, 3, 'Punto de activación / síndrome compartimental / DOM / calambres');
INSERT INTO `lang_definitions` VALUES (8325, 6831, 3, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (8326, 6832, 3, 'Tronco y abdomen');
INSERT INTO `lang_definitions` VALUES (8327, 6837, 3, 'tsp');
INSERT INTO `lang_definitions` VALUES (8328, 6839, 3, 'TTS');
INSERT INTO `lang_definitions` VALUES (8329, 6840, 3, 'Tuberculosis');
INSERT INTO `lang_definitions` VALUES (8330, 6841, 3, 'Martes');
INSERT INTO `lang_definitions` VALUES (8331, 6842, 3, 'Martes y Jueves');
INSERT INTO `lang_definitions` VALUES (8332, 6843, 3, 'Martes');
INSERT INTO `lang_definitions` VALUES (8333, 6844, 3, 'Tumor');
INSERT INTO `lang_definitions` VALUES (8334, 6845, 3, 'Turco');
INSERT INTO `lang_definitions` VALUES (8335, 6848, 3, 'Dos veses al dia');
INSERT INTO `lang_definitions` VALUES (8336, 6850, 3, 'Membrana Timpánica');
INSERT INTO `lang_definitions` VALUES (8337, 6851, 3, 'Tipo');
INSERT INTO `lang_definitions` VALUES (8338, 6852, 3, 'Teclee ID o nombre. Mínimo 3 caracteres (incluyendo espacios).');
INSERT INTO `lang_definitions` VALUES (8339, 6853, 3, 'Teclee columnas mostradas en los resultados de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (8340, 6854, 3, 'Tipos de publicaciones');
INSERT INTO `lang_definitions` VALUES (8341, 6855, 3, 'Tipo de Eventos');
INSERT INTO `lang_definitions` VALUES (8342, 6856, 3, 'Teclee el diseño de pantalla');
INSERT INTO `lang_definitions` VALUES (8343, 6857, 3, 'Escriba o escaneae el identificador del paciente aquí');
INSERT INTO `lang_definitions` VALUES (8344, 6858, 3, 'Teclee su mensaje aquí');
INSERT INTO `lang_definitions` VALUES (8345, 6859, 3, 'Tipo de orden y resultados');
INSERT INTO `lang_definitions` VALUES (8346, 6864, 3, 'Los códigos de UCSMC proporcionaron por la universidad del centro de la medicina de deportes de Calgary');
INSERT INTO `lang_definitions` VALUES (8347, 6865, 3, 'Ucraniano');
INSERT INTO `lang_definitions` VALUES (8348, 6866, 3, 'Ulceraciones');
INSERT INTO `lang_definitions` VALUES (8349, 6867, 3, 'Colitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (8350, 6868, 3, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (8351, 6871, 3, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (8352, 6876, 3, 'No aplicado');
INSERT INTO `lang_definitions` VALUES (8353, 6877, 3, 'No asignado');
INSERT INTO `lang_definitions` VALUES (8354, 6878, 3, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (8355, 6879, 3, 'Acceso no autorizado a ePrescripción');
INSERT INTO `lang_definitions` VALUES (8356, 6880, 3, 'Acceso no autorizado.');
INSERT INTO `lang_definitions` VALUES (8357, 6881, 3, 'No facturado');
INSERT INTO `lang_definitions` VALUES (8358, 6882, 3, 'no facturado solamente');
INSERT INTO `lang_definitions` VALUES (8359, 6884, 3, 'debajo de la lengüeta');
INSERT INTO `lang_definitions` VALUES (8360, 6885, 3, 'De peso insuficiente');
INSERT INTO `lang_definitions` VALUES (8361, 6886, 3, 'Sin diagnosticar');
INSERT INTO `lang_definitions` VALUES (8362, 6887, 3, 'SIN DISTRIBUIR');
INSERT INTO `lang_definitions` VALUES (8363, 6888, 3, 'Sin distribuir');
INSERT INTO `lang_definitions` VALUES (8364, 6889, 3, 'No es distribuido');
INSERT INTO `lang_definitions` VALUES (8365, 6890, 3, 'Deshacer desprotección');
INSERT INTO `lang_definitions` VALUES (8366, 6892, 3, 'Clientes distintos');
INSERT INTO `lang_definitions` VALUES (8367, 6893, 3, 'Identificador para este tipo sólo legible por humanos');
INSERT INTO `lang_definitions` VALUES (8368, 6894, 3, 'Nuevos Clientes Distintos');
INSERT INTO `lang_definitions` VALUES (8369, 6895, 3, 'Identificador para este tipo sólo numérico');
INSERT INTO `lang_definitions` VALUES (8370, 6896, 3, 'Pacientes Distintos Vistos');
INSERT INTO `lang_definitions` VALUES (8371, 6897, 3, 'Informe de Pacientes Distintos Vistos');
INSERT INTO `lang_definitions` VALUES (8372, 6898, 3, 'Pacientes Distintos Vistos');
INSERT INTO `lang_definitions` VALUES (8373, 6899, 3, 'Unidad');
INSERT INTO `lang_definitions` VALUES (8374, 6900, 3, 'Unidades');
INSERT INTO `lang_definitions` VALUES (8375, 6901, 3, 'unidades');
INSERT INTO `lang_definitions` VALUES (8376, 6903, 3, 'Unidades de formularios de visita');
INSERT INTO `lang_definitions` VALUES (8377, 6904, 3, 'Unidades deben ser un número');
INSERT INTO `lang_definitions` VALUES (8378, 6905, 3, 'Unidades no definidas');
INSERT INTO `lang_definitions` VALUES (8379, 6906, 3, 'Unidades/L');
INSERT INTO `lang_definitions` VALUES (8380, 6907, 3, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (8381, 6910, 3, 'Desconoce si ha fumado alguna vez');
INSERT INTO `lang_definitions` VALUES (8382, 6911, 3, 'Desconocidos o N/A');
INSERT INTO `lang_definitions` VALUES (8383, 6913, 3, 'Desvincular paciente');
INSERT INTO `lang_definitions` VALUES (8384, 6914, 3, 'Sociedad Médica sin nombre');
INSERT INTO `lang_definitions` VALUES (8385, 6915, 3, 'No registrado');
INSERT INTO `lang_definitions` VALUES (8386, 6918, 3, 'Desmarcar todos');
INSERT INTO `lang_definitions` VALUES (8387, 6919, 3, 'Desmarcado');
INSERT INTO `lang_definitions` VALUES (8388, 6920, 3, 'Sin especificar');
INSERT INTO `lang_definitions` VALUES (8389, 6921, 3, 'no estructurado');
INSERT INTO `lang_definitions` VALUES (8390, 6922, 3, 'Fichero de carga NO SOPORTADO por la bbdd');
INSERT INTO `lang_definitions` VALUES (8391, 6924, 3, 'Hasta');
INSERT INTO `lang_definitions` VALUES (8392, 6925, 3, 'Presentación extemporánea');
INSERT INTO `lang_definitions` VALUES (8393, 6926, 3, 'No utilizados');
INSERT INTO `lang_definitions` VALUES (8394, 6927, 3, 'UOR');
INSERT INTO `lang_definitions` VALUES (8395, 6928, 3, 'Hasta');
INSERT INTO `lang_definitions` VALUES (8396, 6929, 3, 'Próximas Citas');
INSERT INTO `lang_definitions` VALUES (8397, 6930, 3, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (8398, 6931, 3, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (8399, 6932, 3, 'actualizar');
INSERT INTO `lang_definitions` VALUES (8400, 6933, 3, 'Actualizacion activa');
INSERT INTO `lang_definitions` VALUES (8401, 6934, 3, 'Actualizar archivos');
INSERT INTO `lang_definitions` VALUES (8402, 6935, 3, 'Actualizar Informacion');
INSERT INTO `lang_definitions` VALUES (8403, 6936, 3, 'Actualizar lista');
INSERT INTO `lang_definitions` VALUES (8404, 6937, 3, 'Actualizar número de facultativo');
INSERT INTO `lang_definitions` VALUES (8405, 6938, 3, 'Actualizar items seleccionados');
INSERT INTO `lang_definitions` VALUES (8406, 6939, 3, 'Actualizar las siguientes variables en el file');
INSERT INTO `lang_definitions` VALUES (8407, 6940, 3, 'Actualizar informacion de usuario');
INSERT INTO `lang_definitions` VALUES (8408, 6942, 3, 'Updating demographics is not authorized.');
INSERT INTO `lang_definitions` VALUES (8409, 6943, 3, 'Actualizando la configuración global predeterminada');
INSERT INTO `lang_definitions` VALUES (8410, 6944, 3, 'Actualizando indicadores de versión');
INSERT INTO `lang_definitions` VALUES (8411, 6945, 3, 'ACTUALIZACIÓN');
INSERT INTO `lang_definitions` VALUES (8412, 6946, 3, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (8413, 6947, 3, 'Actualizar BBDD');
INSERT INTO `lang_definitions` VALUES (8414, 6948, 3, 'Actualización de base de datos LibreEHR para incluir procedimientos, funciones y tablas necesarias para el proceso de De-identificación.');
INSERT INTO `lang_definitions` VALUES (8415, 6949, 3, 'la actualización continuará');
INSERT INTO `lang_definitions` VALUES (8416, 6950, 3, 'UPIN');
INSERT INTO `lang_definitions` VALUES (8417, 6951, 3, 'Adjuntar');
INSERT INTO `lang_definitions` VALUES (8418, 6954, 3, 'Cargar datos de configuración');
INSERT INTO `lang_definitions` VALUES (8419, 6955, 3, 'Adjuntar Documento');
INSERT INTO `lang_definitions` VALUES (8420, 6956, 3, 'Carga del documento fallo');
INSERT INTO `lang_definitions` VALUES (8421, 6957, 3, 'Adjuntar imagen a');
INSERT INTO `lang_definitions` VALUES (8422, 6958, 3, 'Adjuntar fichero de importación:');
INSERT INTO `lang_definitions` VALUES (8423, 6961, 3, 'Upload Report');
INSERT INTO `lang_definitions` VALUES (8424, 6963, 3, 'Adjuntar este fichero:');
INSERT INTO `lang_definitions` VALUES (8425, 6964, 3, 'Al hacer clic en un número de factura el -manual de desplazamiento ventana- aparece. Aquí puede cambiar la fecha de vencimiento y toma nota de la factura, para seleccionar la parte a quien se le envío por correo, y seleccione los seguros para que todos esperemos los pagos se han recibidos. Lo que es más importante, para cada código de facturación para los que fue acusado una cantidad, puede introducir la información de pago y el ajuste.');
INSERT INTO `lang_definitions` VALUES (8426, 6965, 3, 'Tras la búsqueda se le presenta con una lista de las facturas. Puede hacer clic en uno de los números de la factura para abrir una segunda ventana, que es la página de entrada de datos manual de desplazamiento. También puede hacer clic sobre el nombre de un paciente si desea escribir una nota que la oficina de personal se verá cuando el paciente en los controles, y usted puede seleccionar que aparezca en las facturas del paciente declaraciones e imprimir esas declaraciones.');
INSERT INTO `lang_definitions` VALUES (8427, 6966, 3, 'Parte superior del brazo');
INSERT INTO `lang_definitions` VALUES (8428, 6968, 3, 'Urgencia');
INSERT INTO `lang_definitions` VALUES (8429, 6970, 3, 'Orina');
INSERT INTO `lang_definitions` VALUES (8430, 6971, 3, 'Goteo de Orina');
INSERT INTO `lang_definitions` VALUES (8431, 6972, 3, 'Frecuencia de la Orina');
INSERT INTO `lang_definitions` VALUES (8432, 6973, 3, 'Vacilación de la Orina');
INSERT INTO `lang_definitions` VALUES (8433, 6974, 3, 'Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (8434, 6975, 3, 'Flujo de Orina');
INSERT INTO `lang_definitions` VALUES (8435, 6976, 3, 'Urgencia de la Orina');
INSERT INTO `lang_definitions` VALUES (8436, 6977, 3, 'URL');
INSERT INTO `lang_definitions` VALUES (8437, 6979, 3, 'URL para soporte LibreEHR');
INSERT INTO `lang_definitions` VALUES (8438, 6981, 3, 'URL para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (8439, 6986, 3, 'Indicador de uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (8440, 6987, 3, 'Use % solo en un campo para ordenar por esa columna');
INSERT INTO `lang_definitions` VALUES (8441, 6988, 3, 'Utilice el formato de 24 horas?');
INSERT INTO `lang_definitions` VALUES (8442, 6991, 3, 'Usar panel de cargos');
INSERT INTO `lang_definitions` VALUES (8443, 6997, 3, 'Usar lista personalizada de vacunación');
INSERT INTO `lang_definitions` VALUES (8444, 6999, 3, 'Utilice Rango de Fechas');
INSERT INTO `lang_definitions` VALUES (8445, 7000, 3, 'Use opciones por defecto');
INSERT INTO `lang_definitions` VALUES (8446, 7001, 3, 'Utilice la Opción Borrar para Eliminar.');
INSERT INTO `lang_definitions` VALUES (8447, 7002, 3, '¿Utilice el estilo internacional de la fecha?');
INSERT INTO `lang_definitions` VALUES (8448, 7003, 3, 'Utilice nombre de fichero fuente');
INSERT INTO `lang_definitions` VALUES (8449, 7004, 3, 'Use los cambpos abajo para una adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (8450, 7005, 3, 'Utilice esta función sólo con los sitios nuevos instalados, ');
INSERT INTO `lang_definitions` VALUES (8451, 7006, 3, 'Usar temas?');
INSERT INTO `lang_definitions` VALUES (8452, 7007, 3, 'Usar');
INSERT INTO `lang_definitions` VALUES (8453, 7009, 3, 'Usuarios/Grupos');
INSERT INTO `lang_definitions` VALUES (8454, 7010, 3, 'Usar Administración');
INSERT INTO `lang_definitions` VALUES (8455, 7011, 3, 'Administración de usuarios y Centros');
INSERT INTO `lang_definitions` VALUES (8456, 7012, 3, 'Administración de usuarios y grupos');
INSERT INTO `lang_definitions` VALUES (8457, 7014, 3, 'Certificado de Autenticación del usuario está deshabilitado');
INSERT INTO `lang_definitions` VALUES (8458, 7015, 3, 'Usarios Definidos');
INSERT INTO `lang_definitions` VALUES (8459, 7016, 3, 'Definido por el usuario Zona 11');
INSERT INTO `lang_definitions` VALUES (8460, 7017, 3, 'Definido por el usuario Zona 12');
INSERT INTO `lang_definitions` VALUES (8461, 7018, 3, 'Campo definido por el usuario');
INSERT INTO `lang_definitions` VALUES (8462, 7019, 3, 'Definido por el usuario Lista 1');
INSERT INTO `lang_definitions` VALUES (8463, 7020, 3, 'Definido por el usuario Lista 2');
INSERT INTO `lang_definitions` VALUES (8464, 7021, 3, 'Definido por el usuario Lista 3');
INSERT INTO `lang_definitions` VALUES (8465, 7022, 3, 'Definido por el usuario Lista 4');
INSERT INTO `lang_definitions` VALUES (8466, 7023, 3, 'Definido por el usuario Lista 5');
INSERT INTO `lang_definitions` VALUES (8467, 7024, 3, 'Definido por el usuario Lista 6');
INSERT INTO `lang_definitions` VALUES (8468, 7025, 3, 'Definido por el usuario Lista 7');
INSERT INTO `lang_definitions` VALUES (8469, 7026, 3, 'Definido por el usuario Texto 1');
INSERT INTO `lang_definitions` VALUES (8470, 7027, 3, 'Definido por el usuario Texto 2');
INSERT INTO `lang_definitions` VALUES (8471, 7028, 3, 'Definido por el usuario Texto 3');
INSERT INTO `lang_definitions` VALUES (8472, 7029, 3, 'Definido por el usuario Texto 4');
INSERT INTO `lang_definitions` VALUES (8473, 7030, 3, 'Definido por el usuario Texto 5');
INSERT INTO `lang_definitions` VALUES (8474, 7031, 3, 'Definido por el usuario Texto 6');
INSERT INTO `lang_definitions` VALUES (8475, 7032, 3, 'Definido por el usuario Texto 7');
INSERT INTO `lang_definitions` VALUES (8476, 7033, 3, 'Definido por el usuario Texto 8');
INSERT INTO `lang_definitions` VALUES (8477, 7034, 3, 'Usuario Nombre');
INSERT INTO `lang_definitions` VALUES (8478, 7039, 3, 'Manual de Uso');
INSERT INTO `lang_definitions` VALUES (8479, 7040, 3, 'Asociaciones de usuarios');
INSERT INTO `lang_definitions` VALUES (8480, 7041, 3, 'Usuario Apelido(s)');
INSERT INTO `lang_definitions` VALUES (8481, 7042, 3, 'Usuario o nombre de Host no pueden estar vacios');
INSERT INTO `lang_definitions` VALUES (8482, 7043, 3, 'Usuario o nombre Host');
INSERT INTO `lang_definitions` VALUES (8483, 7046, 3, 'Ajustes de Usuario');
INSERT INTO `lang_definitions` VALUES (8484, 7047, 3, 'Ajuste Usuario Específico');
INSERT INTO `lang_definitions` VALUES (8485, 7049, 3, 'Nombre de usuario');
INSERT INTO `lang_definitions` VALUES (8486, 7051, 3, 'Usuario para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (8487, 7052, 3, 'Usuario para puerta de enlace de SMS');
INSERT INTO `lang_definitions` VALUES (8488, 7053, 3, 'Usuario para puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (8489, 7054, 3, 'Nombre de usuario para conectar con CouchDB');
INSERT INTO `lang_definitions` VALUES (8490, 7055, 3, 'Nombre de usuario:');
INSERT INTO `lang_definitions` VALUES (8491, 7056, 3, 'Usuarios');
INSERT INTO `lang_definitions` VALUES (8492, 7057, 3, 'Usuarios / Grupos / Administración de Registros');
INSERT INTO `lang_definitions` VALUES (8493, 7058, 3, 'usar php <a href=-http://php.net/strftime->strfhora</a> formato');
INSERT INTO `lang_definitions` VALUES (8494, 7059, 3, 'Infecciones');
INSERT INTO `lang_definitions` VALUES (8495, 7062, 3, 'VACACIONES');
INSERT INTO `lang_definitions` VALUES (8496, 7063, 3, 'Vacaciones');
INSERT INTO `lang_definitions` VALUES (8497, 7064, 3, 'Vacuna');
INSERT INTO `lang_definitions` VALUES (8498, 7065, 3, 'Anillo Vaginal');
INSERT INTO `lang_definitions` VALUES (8499, 7066, 3, 'Despedida');
INSERT INTO `lang_definitions` VALUES (8500, 7067, 3, 'Validar');
INSERT INTO `lang_definitions` VALUES (8501, 7068, 3, 'Valor');
INSERT INTO `lang_definitions` VALUES (8502, 7069, 3, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (8503, 7070, 3, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (8504, 7072, 3, 'El valor debe ser Numérico');
INSERT INTO `lang_definitions` VALUES (8505, 7073, 3, 'Var1');
INSERT INTO `lang_definitions` VALUES (8506, 7074, 3, 'Var2');
INSERT INTO `lang_definitions` VALUES (8507, 7075, 3, 'variable a uno para ejecutar script de actualización des-identificación');
INSERT INTO `lang_definitions` VALUES (8508, 7076, 3, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (8509, 7077, 3, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (8510, 7078, 3, 'Venas varicosas');
INSERT INTO `lang_definitions` VALUES (8511, 7079, 3, 'Condición vascular');
INSERT INTO `lang_definitions` VALUES (8512, 7080, 3, 'Lesión vascular');
INSERT INTO `lang_definitions` VALUES (8513, 7081, 3, 'Cirugía Vascular');
INSERT INTO `lang_definitions` VALUES (8514, 7083, 3, 'Vendedor');
INSERT INTO `lang_definitions` VALUES (8515, 7084, 3, 'Versión');
INSERT INTO `lang_definitions` VALUES (8516, 7085, 3, 'Vértigo');
INSERT INTO `lang_definitions` VALUES (8517, 7086, 3, 'Administración de Veteranos');
INSERT INTO `lang_definitions` VALUES (8518, 7087, 3, 'Plan de Administración de veteranos');
INSERT INTO `lang_definitions` VALUES (8519, 7088, 3, 'VFC');
INSERT INTO `lang_definitions` VALUES (8520, 7089, 3, 'Vietnamita');
INSERT INTO `lang_definitions` VALUES (8521, 7090, 3, 'ver');
INSERT INTO `lang_definitions` VALUES (8522, 7091, 3, 'Ver');
INSERT INTO `lang_definitions` VALUES (8523, 7092, 3, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (8524, 7097, 3, 'Ver Informe comprensiva del paciente');
INSERT INTO `lang_definitions` VALUES (8525, 7100, 3, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (8526, 7101, 3, 'Ver visita');
INSERT INTO `lang_definitions` VALUES (8527, 7103, 3, 'Ver los eventos en una ventana móvil?');
INSERT INTO `lang_definitions` VALUES (8528, 7104, 3, 'Ver información de usuario en el centro especificado');
INSERT INTO `lang_definitions` VALUES (8529, 7107, 3, 'Ver Registro');
INSERT INTO `lang_definitions` VALUES (8530, 7108, 3, 'Ver Página 1');
INSERT INTO `lang_definitions` VALUES (8531, 7109, 3, 'Ver Página 2');
INSERT INTO `lang_definitions` VALUES (8532, 7110, 3, 'Ver avisos pasados y futuros');
INSERT INTO `lang_definitions` VALUES (8533, 7111, 3, 'Ver Paciente');
INSERT INTO `lang_definitions` VALUES (8534, 7116, 3, 'Ver visitas relacionadas');
INSERT INTO `lang_definitions` VALUES (8535, 7121, 3, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (8536, 7122, 3, 'Ver/Editar incidencia');
INSERT INTO `lang_definitions` VALUES (8537, 7123, 3, 'Ver/Imprimir');
INSERT INTO `lang_definitions` VALUES (8538, 7124, 3, 'Ver:');
INSERT INTO `lang_definitions` VALUES (8539, 7125, 3, 'VISA');
INSERT INTO `lang_definitions` VALUES (8540, 7126, 3, 'VISA/MasterCard/AMEREXPRESS/Discovery');
INSERT INTO `lang_definitions` VALUES (8541, 7127, 3, 'Daño viscerales/trauma/cirugía');
INSERT INTO `lang_definitions` VALUES (8542, 7133, 3, 'Visita Categoría:');
INSERT INTO `lang_definitions` VALUES (8543, 7134, 3, 'Fecha de Visita');
INSERT INTO `lang_definitions` VALUES (8544, 7135, 3, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (8545, 7137, 3, 'Formularios de visita');
INSERT INTO `lang_definitions` VALUES (8546, 7138, 3, 'Histórico de Visitas');
INSERT INTO `lang_definitions` VALUES (8547, 7140, 3, 'Visitas');
INSERT INTO `lang_definitions` VALUES (8548, 7141, 3, 'Visitas Desde');
INSERT INTO `lang_definitions` VALUES (8549, 7142, 3, 'Constantes Vitales');
INSERT INTO `lang_definitions` VALUES (8550, 7143, 3, 'Constantes Vitales');
INSERT INTO `lang_definitions` VALUES (8551, 7144, 3, 'Constantes Vitales (Métrico)');
INSERT INTO `lang_definitions` VALUES (8552, 7146, 3, 'Voz');
INSERT INTO `lang_definitions` VALUES (8553, 7147, 3, 'Voz Enviada');
INSERT INTO `lang_definitions` VALUES (8554, 7149, 3, 'Vómitos');
INSERT INTO `lang_definitions` VALUES (8555, 7151, 3, 'W');
INSERT INTO `lang_definitions` VALUES (8556, 7152, 3, 'Circ cintura');
INSERT INTO `lang_definitions` VALUES (8557, 7153, 3, 'Circunferencia de la Cintura');
INSERT INTO `lang_definitions` VALUES (8558, 7154, 3, 'Espera');
INSERT INTO `lang_definitions` VALUES (8559, 7155, 3, 'Entrar');
INSERT INTO `lang_definitions` VALUES (8560, 7157, 3, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (8561, 7158, 3, 'Tienda de deposito');
INSERT INTO `lang_definitions` VALUES (8562, 7159, 3, 'Almacén máximo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (8563, 7160, 3, 'Almacén mínimo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (8564, 7161, 3, 'Tiendas de deposito');
INSERT INTO `lang_definitions` VALUES (8565, 7162, 3, 'Cálido');
INSERT INTO `lang_definitions` VALUES (8566, 7163, 3, 'Aviso');
INSERT INTO `lang_definitions` VALUES (8567, 7164, 3, 'AVISO');
INSERT INTO `lang_definitions` VALUES (8568, 7166, 3, 'Aviso, número de cheque ya existe en la base de datos');
INSERT INTO `lang_definitions` VALUES (8569, 7168, 3, 'Aviso: Una cita ya ha sido para este paciente hoy!');
INSERT INTO `lang_definitions` VALUES (8570, 7170, 3, 'Aviso: Nº Identificación del paciente no es único!');
INSERT INTO `lang_definitions` VALUES (8571, 7171, 3, 'AVISO: Esto sobreescribirá la información de configuración con los datos del fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (8572, 7173, 3, 'Avisos');
INSERT INTO `lang_definitions` VALUES (8573, 7175, 3, 'ya se ha subido');
INSERT INTO `lang_definitions` VALUES (8574, 7177, 3, 'Agradecemos su pago a tiempo del balance debido');
INSERT INTO `lang_definitions` VALUES (8575, 7178, 3, 'hemos visto a su paciente arriba indicado para evaluación y tratamiento en nuestra clínica de consulta externa de psiquiatría. Gracias por esta derivación.');
INSERT INTO `lang_definitions` VALUES (8576, 7179, 3, 'Debilidad');
INSERT INTO `lang_definitions` VALUES (8577, 7181, 3, 'Búsqueda web');
INSERT INTO `lang_definitions` VALUES (8578, 7182, 3, 'Sitio Web');
INSERT INTO `lang_definitions` VALUES (8579, 7183, 3, 'Vínculo sitio web para el Portal del Paciente interno');
INSERT INTO `lang_definitions` VALUES (8580, 7184, 3, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (8581, 7185, 3, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (8582, 7186, 3, 'Semana');
INSERT INTO `lang_definitions` VALUES (8583, 7187, 3, 'semana');
INSERT INTO `lang_definitions` VALUES (8584, 7188, 3, 'Ver Semana');
INSERT INTO `lang_definitions` VALUES (8585, 7189, 3, 'Semana(s)');
INSERT INTO `lang_definitions` VALUES (8586, 7190, 3, 'Exposicion semanal');
INSERT INTO `lang_definitions` VALUES (8587, 7192, 3, 'Semanas');
INSERT INTO `lang_definitions` VALUES (8588, 7193, 3, 'Peso');
INSERT INTO `lang_definitions` VALUES (8589, 7194, 3, 'Peso de Evaluación y Orientación para Niños y Adolescentes');
INSERT INTO `lang_definitions` VALUES (8590, 7195, 3, 'Peso evaluación y orientación para niños y adolescentes (GCC)');
INSERT INTO `lang_definitions` VALUES (8591, 7196, 3, 'Cambio de peso');
INSERT INTO `lang_definitions` VALUES (8592, 7197, 3, 'Perdida de Peso');
INSERT INTO `lang_definitions` VALUES (8593, 7198, 3, 'Clínica de Adelgazamiento');
INSERT INTO `lang_definitions` VALUES (8594, 7199, 3, 'Bienvenido');
INSERT INTO `lang_definitions` VALUES (8595, 7202, 3, '¿Cuál debe ser contado?');
INSERT INTO `lang_definitions` VALUES (8596, 7203, 3, 'Los Resuellos:');
INSERT INTO `lang_definitions` VALUES (8597, 7204, 3, 'Sibilancia');
INSERT INTO `lang_definitions` VALUES (8598, 7205, 3, 'Resollando:');
INSERT INTO `lang_definitions` VALUES (8599, 7208, 3, '¿Donde se pueden encontrar los documentos escaneados o en papel?');
INSERT INTO `lang_definitions` VALUES (8600, 7209, 3, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (8601, 7211, 3, 'Trallazo');
INSERT INTO `lang_definitions` VALUES (8602, 7212, 3, 'Blanco');
INSERT INTO `lang_definitions` VALUES (8603, 7213, 3, 'Quién');
INSERT INTO `lang_definitions` VALUES (8604, 7214, 3, '¿Quién respondió?');
INSERT INTO `lang_definitions` VALUES (8605, 7215, 3, 'Viudo');
INSERT INTO `lang_definitions` VALUES (8606, 7216, 3, 'Ancho');
INSERT INTO `lang_definitions` VALUES (8607, 7217, 3, 'Ancho en píxeles de la barra de navegación izquierda.');
INSERT INTO `lang_definitions` VALUES (8608, 7221, 3, 'Con el seleccionado');
INSERT INTO `lang_definitions` VALUES (8609, 7222, 3, 'con el viejo nombre');
INSERT INTO `lang_definitions` VALUES (8610, 7224, 3, '¿Con quién podemos dejar un mensaje?');
INSERT INTO `lang_definitions` VALUES (8611, 7225, 3, 'Retenido');
INSERT INTO `lang_definitions` VALUES (8612, 7226, 3, 'dentro de horas');
INSERT INTO `lang_definitions` VALUES (8613, 7227, 3, 'dentro de horas:');
INSERT INTO `lang_definitions` VALUES (8614, 7228, 3, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (8615, 7229, 3, 'dentro de minutos:');
INSERT INTO `lang_definitions` VALUES (8616, 7232, 3, 'Sin Actualización');
INSERT INTO `lang_definitions` VALUES (8617, 7233, 3, 'Testigo');
INSERT INTO `lang_definitions` VALUES (8618, 7234, 3, 'Semana');
INSERT INTO `lang_definitions` VALUES (8619, 7235, 3, 'WNL');
INSERT INTO `lang_definitions` VALUES (8620, 7237, 3, 'Mujer');
INSERT INTO `lang_definitions` VALUES (8621, 7238, 3, 'Sólo las Mujeres');
INSERT INTO `lang_definitions` VALUES (8622, 7240, 3, 'Trabajo');
INSERT INTO `lang_definitions` VALUES (8623, 7241, 3, 'NOTA DE TRABAJO');
INSERT INTO `lang_definitions` VALUES (8624, 7242, 3, 'Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (8625, 7243, 3, 'Número de Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (8626, 7244, 3, 'Relacionados con el trabajo?');
INSERT INTO `lang_definitions` VALUES (8627, 7245, 3, 'Trabajo / Educación / aficiones');
INSERT INTO `lang_definitions` VALUES (8628, 7246, 3, 'Nota de Trabajo/Escuela');
INSERT INTO `lang_definitions` VALUES (8629, 7247, 3, 'día de trabajo');
INSERT INTO `lang_definitions` VALUES (8630, 7248, 3, 'Compensación al Trabajador');
INSERT INTO `lang_definitions` VALUES (8631, 7249, 3, 'Indemnización de los trabajadores del Plan de Salud');
INSERT INTO `lang_definitions` VALUES (8632, 7250, 3, 'Beneficiario de edad trabajando o esposa con el Plan de Grupo de Salud Empleador');
INSERT INTO `lang_definitions` VALUES (8633, 7252, 3, 'Peor');
INSERT INTO `lang_definitions` VALUES (8634, 7253, 3, '¿Quieres que el saldo se aplique a la cuanta global?');
INSERT INTO `lang_definitions` VALUES (8635, 7254, 3, 'quiere marcarlo como borrado.');
INSERT INTO `lang_definitions` VALUES (8636, 7255, 3, '¿Quiere asignarlo?');
INSERT INTO `lang_definitions` VALUES (8637, 7256, 3, '¿Quiere Cancelar la distribución para este paciente?');
INSERT INTO `lang_definitions` VALUES (8638, 7257, 3, '¿Quiere borrar la distribución de pago?');
INSERT INTO `lang_definitions` VALUES (8639, 7258, 3, '¿Quiere borrar los pagos?');
INSERT INTO `lang_definitions` VALUES (8640, 7259, 3, '¿Quiere modificar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (8641, 7260, 3, '¿Quiere modificar los pagos?');
INSERT INTO `lang_definitions` VALUES (8642, 7261, 3, '¿Quiere enviar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (8643, 7262, 3, '¿Quiere enviar los pagos?');
INSERT INTO `lang_definitions` VALUES (8644, 7263, 3, '¿Quiere salvar?');
INSERT INTO `lang_definitions` VALUES (8645, 7264, 3, 'Muñeca');
INSERT INTO `lang_definitions` VALUES (8646, 7265, 3, 'Muñeca y mano');
INSERT INTO `lang_definitions` VALUES (8647, 7266, 3, 'Problemas de Mano');
INSERT INTO `lang_definitions` VALUES (8648, 7267, 3, 'escribir');
INSERT INTO `lang_definitions` VALUES (8649, 7268, 3, 'Borrar cuenta');
INSERT INTO `lang_definitions` VALUES (8650, 7270, 3, 'con algunos');
INSERT INTO `lang_definitions` VALUES (8651, 7271, 3, 'peso');
INSERT INTO `lang_definitions` VALUES (8652, 7273, 3, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (8653, 7274, 3, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (8654, 7275, 3, 'Rayos X');
INSERT INTO `lang_definitions` VALUES (8655, 7276, 3, 'Interpretación de RAYOS X:');
INSERT INTO `lang_definitions` VALUES (8656, 7277, 3, 'Interpretación de Rayos X:');
INSERT INTO `lang_definitions` VALUES (8657, 7278, 3, 'X12 solamente: Demanda del reemplazo ');
INSERT INTO `lang_definitions` VALUES (8658, 7279, 3, 'Socio X12');
INSERT INTO `lang_definitions` VALUES (8659, 7280, 3, 'Socios X12');
INSERT INTO `lang_definitions` VALUES (8660, 7284, 3, 'A');
INSERT INTO `lang_definitions` VALUES (8661, 7285, 3, 'Año');
INSERT INTO `lang_definitions` VALUES (8662, 7286, 3, 'Año');
INSERT INTO `lang_definitions` VALUES (8663, 7287, 3, 'Ver año');
INSERT INTO `lang_definitions` VALUES (8664, 7288, 3, 'Año(s)');
INSERT INTO `lang_definitions` VALUES (8665, 7289, 3, 'Años');
INSERT INTO `lang_definitions` VALUES (8666, 7292, 3, 'SI');
INSERT INTO `lang_definitions` VALUES (8667, 7293, 3, 'Si');
INSERT INTO `lang_definitions` VALUES (8668, 7294, 3, 'si');
INSERT INTO `lang_definitions` VALUES (8669, 7295, 3, 'SI!');
INSERT INTO `lang_definitions` VALUES (8670, 7296, 3, 'Sí, Borrar y Registros');
INSERT INTO `lang_definitions` VALUES (8671, 7298, 3, 'Si/No');
INSERT INTO `lang_definitions` VALUES (8672, 7299, 3, 'Si:');
INSERT INTO `lang_definitions` VALUES (8673, 7300, 3, 'Judío');
INSERT INTO `lang_definitions` VALUES (8674, 7303, 3, 'Estás a punto de reemplazar permanentemente la plantilla existente. ¿Estás seguro de que desea continuar?');
INSERT INTO `lang_definitions` VALUES (8675, 7304, 3, 'Está en el periodo de Gracia de inicio de sesión. Cambie su contraseña antes de');
INSERT INTO `lang_definitions` VALUES (8676, 7305, 3, 'No está permitido eliminar este evento');
INSERT INTO `lang_definitions` VALUES (8677, 7306, 3, 'No está permitido a editar este evento');
INSERT INTO `lang_definitions` VALUES (8678, 7307, 3, 'Usted no está autorizado para esto.');
INSERT INTO `lang_definitions` VALUES (8679, 7308, 3, 'Usted no está autorizado para acceder a esta escuadra.');
INSERT INTO `lang_definitions` VALUES (8680, 7309, 3, 'No está autorizado para añadir/editar incidencias');
INSERT INTO `lang_definitions` VALUES (8681, 7310, 3, 'No está autorizado a programar citas');
INSERT INTO `lang_definitions` VALUES (8682, 7311, 3, 'Usted no está autorizado para ver este encuentro.');
INSERT INTO `lang_definitions` VALUES (8683, 7313, 3, 'No se puede acceder a esta función directamente.');
INSERT INTO `lang_definitions` VALUES (8684, 7314, 3, 'No se puede acceder a esta página directamente.');
INSERT INTO `lang_definitions` VALUES (8685, 7315, 3, 'Ud no puede añadir un valor en blanco para una categoria!');
INSERT INTO `lang_definitions` VALUES (8686, 7316, 3, 'Ud no puede añadir un valor en blanco para una subcategoria!');
INSERT INTO `lang_definitions` VALUES (8687, 7317, 3, 'Ud. no puede añadir un valor en blanco para un item!');
INSERT INTO `lang_definitions` VALUES (8688, 7318, 3, 'No puede poner una fecha futura, con un valor completo de SI.');
INSERT INTO `lang_definitions` VALUES (8689, 7319, 3, 'Usted no escogió ninguna acción.');
INSERT INTO `lang_definitions` VALUES (8690, 7320, 3, 'Usted no tiene acceso para ver o editar esta nota');
INSERT INTO `lang_definitions` VALUES (8691, 7321, 3, 'Ud. ha tratado de alterar contenido que está bloqueado. Quite el bloqueo si desea hacer ésto. Para desbloquear, elimine la línea, \'*lock::*\'');
INSERT INTO `lang_definitions` VALUES (8692, 7322, 3, 'Ha sido desidentificado');
INSERT INTO `lang_definitions` VALUES (8693, 7323, 3, 'Sólo puede actualizar ficheros .txt');
INSERT INTO `lang_definitions` VALUES (8694, 7325, 3, 'Puede poner el texto aquí como queja por defecto en el formulario de visita de nuevo paciente.');
INSERT INTO `lang_definitions` VALUES (8695, 7326, 3, 'Debe introducir la frase clave para encriptar el documento');
INSERT INTO `lang_definitions` VALUES (8696, 7329, 3, 'Primero debe seleccionar o agregar un paciente.');
INSERT INTO `lang_definitions` VALUES (8697, 7330, 3, 'Primero debe seleccionar o crear un encuentro.');
INSERT INTO `lang_definitions` VALUES (8698, 7331, 3, 'Debe seleccionar una categoría de visita');
INSERT INTO `lang_definitions` VALUES (8699, 7332, 3, 'Ud. debe seleccionar una categoria para la visita');
INSERT INTO `lang_definitions` VALUES (8700, 7333, 3, 'Debe seleccionar algunos campos para continuar.');
INSERT INTO `lang_definitions` VALUES (8701, 7334, 3, 'Usted debe estar ejecutando esta prueba si esta reclamación aparece para generar con éxito, pero el fichero de reclamación actual no contiene datos o sólo una parte inconclusa de la cantidad de datos que se supone que contiene. Es evidente con reclamaciones HCFA porque son legibles, con reclamaciones X12 es más difícil un proceso para determinar si la demanda está bien completa.');
INSERT INTO `lang_definitions` VALUES (8702, 7335, 3, 'Debe seleccionar al menos un contexto');
INSERT INTO `lang_definitions` VALUES (8703, 7336, 3, 'Debe seleccionar al menos un Facultativo');
INSERT INTO `lang_definitions` VALUES (8704, 7339, 3, 'Su fecha de finalización no es válida');
INSERT INTO `lang_definitions` VALUES (8705, 7340, 3, 'Su evento ha sido suprimido');
INSERT INTO `lang_definitions` VALUES (8706, 7341, 3, 'Su evento ha sido modificado');
INSERT INTO `lang_definitions` VALUES (8707, 7342, 3, 'Su evento ha sido aceptado');
INSERT INTO `lang_definitions` VALUES (8708, 7343, 3, 'El fichero es demasiado grande');
INSERT INTO `lang_definitions` VALUES (8709, 7345, 3, 'Su nombre de la lista se ha cambiado para resolver requisitos de nombre.');
INSERT INTO `lang_definitions` VALUES (8710, 7347, 3, 'Su nombre para esta categoria, procedmiento o resultado');
INSERT INTO `lang_definitions` VALUES (8711, 7349, 3, 'Su Palabra Clave ha Expirado. Por favor cambie su contraseña.');
INSERT INTO `lang_definitions` VALUES (8712, 7350, 3, 'Su Contraseña expira en');
INSERT INTO `lang_definitions` VALUES (8713, 7351, 3, 'Su Contraseña expira hoy. Por favor cambie su contraseña.');
INSERT INTO `lang_definitions` VALUES (8714, 7353, 3, 'Su PostCalendar se ha reseteado para usar la configuración por defecto.');
INSERT INTO `lang_definitions` VALUES (8715, 7354, 3, 'Se ha actualizado su configuración de PostCalendar.');
INSERT INTO `lang_definitions` VALUES (8716, 7355, 3, 'Su frecuencia de repetición debe ser un número entero.');
INSERT INTO `lang_definitions` VALUES (8717, 7356, 3, 'Su frecuencia de repetición debe ser por lo menos 1.');
INSERT INTO `lang_definitions` VALUES (8718, 7357, 3, 'Su fecha de inicio es mayor que su fecha de finalización');
INSERT INTO `lang_definitions` VALUES (8719, 7358, 3, 'Su fecha de inicio no es válida');
INSERT INTO `lang_definitions` VALUES (8720, 7359, 3, 'Su sumisión falló.');
INSERT INTO `lang_definitions` VALUES (8721, 7360, 3, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (8722, 7361, 3, 'AAAA-MM-DD');
INSERT INTO `lang_definitions` VALUES (8723, 7362, 3, 'aaaa-mm-dd fecha asociada con este documento');
INSERT INTO `lang_definitions` VALUES (8724, 7363, 3, 'aaaa-mm-dd fecha destruida');
INSERT INTO `lang_definitions` VALUES (8725, 7364, 3, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (8726, 7365, 3, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (8727, 7366, 3, 'aaaa-mm-dd fecha de expiración');
INSERT INTO `lang_definitions` VALUES (8728, 7367, 3, 'aaaa-mm-dd Fecha de inicio o de hospitalización');
INSERT INTO `lang_definitions` VALUES (8729, 7368, 3, 'aaaa-mm-dd fecha de inicio, cirugía o comienzo de la medicación');
INSERT INTO `lang_definitions` VALUES (8730, 7369, 3, 'aaaa-mm-dd fecha de adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (8731, 7370, 3, 'aaaa-mm-dd fecha de recuperación o al final de la medicación');
INSERT INTO `lang_definitions` VALUES (8732, 7371, 3, 'aaaa-mm-dd Fecha de volver a jugar');
INSERT INTO `lang_definitions` VALUES (8733, 7372, 3, 'aaaa-mm-dd Fecha de servicios');
INSERT INTO `lang_definitions` VALUES (8734, 7373, 3, 'aaaa-mm-dd fecha de esta carta');
INSERT INTO `lang_definitions` VALUES (8735, 7374, 3, 'aaaa-mm-dd fecha que volvió a jugar');
INSERT INTO `lang_definitions` VALUES (8736, 7375, 3, 'aaaa-mm-dd fecha del documento');
INSERT INTO `lang_definitions` VALUES (8737, 7376, 3, 'aaaa-mm-dd fecha de evento o fecha de inicio');
INSERT INTO `lang_definitions` VALUES (8738, 7381, 3, 'aaaa-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (8739, 7383, 3, 'aaaa-mm-dd última fecha de este evento');
INSERT INTO `lang_definitions` VALUES (8740, 7387, 3, 'Cero');
INSERT INTO `lang_definitions` VALUES (8741, 7389, 3, 'Postal');
INSERT INTO `lang_definitions` VALUES (8742, 7390, 3, 'Código postal');
INSERT INTO `lang_definitions` VALUES (8743, 7391, 3, 'Postal/Pais');
INSERT INTO `lang_definitions` VALUES (8744, 7392, 3, 'Zulú');
INSERT INTO `lang_definitions` VALUES (8745, 7393, 3, ' pero ha sido ');
INSERT INTO `lang_definitions` VALUES (8746, 7394, 3, ' no se ha podido acceder.');
INSERT INTO `lang_definitions` VALUES (8747, 7395, 3, 'Seguro que quiere borrar');
INSERT INTO `lang_definitions` VALUES (8748, 7396, 3, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (8749, 7397, 3, 'emails no enviados');
INSERT INTO `lang_definitions` VALUES (8750, 7398, 3, 'de');
INSERT INTO `lang_definitions` VALUES (8751, 7399, 3, 'ha sido creado ');
INSERT INTO `lang_definitions` VALUES (8752, 7400, 3, 'ha sido abierto de nuevo.');
INSERT INTO `lang_definitions` VALUES (8753, 7401, 3, 'Historia');
INSERT INTO `lang_definitions` VALUES (8754, 7402, 3, 'no es un número');
INSERT INTO `lang_definitions` VALUES (8755, 7403, 3, 'listo para refacturar');
INSERT INTO `lang_definitions` VALUES (8756, 7404, 3, 'LLL:');
INSERT INTO `lang_definitions` VALUES (8757, 7405, 3, 'Lote');
INSERT INTO `lang_definitions` VALUES (8758, 7406, 3, 'Nº de Referencia original de Medicaid ');
INSERT INTO `lang_definitions` VALUES (8759, 7407, 3, 'min');
INSERT INTO `lang_definitions` VALUES (8760, 7408, 3, 'no encontrado!');
INSERT INTO `lang_definitions` VALUES (8761, 7409, 3, 'Peculiaridades en varios programas de exploración pueden asumir que la información abajo aparece bruscamente, y ocurren pausas extensas que aparentan que el sistema se ha dañado. Este no es el caso, y eventualmente verá información desplegada línea por línea. Podrían aparecer números secuenciales para indicar que aunque no aparezca nada más, el sistema tiene actividad. Estos números serán entremezclados con el contenido de la facturación, y es normal.');
INSERT INTO `lang_definitions` VALUES (8762, 7410, 3, 'la receta ha alcanzado el límite de');
INSERT INTO `lang_definitions` VALUES (8763, 7411, 3, 'hasta');
INSERT INTO `lang_definitions` VALUES (8764, 7412, 3, '¿falló la actualización, no está en la base de datos?');
INSERT INTO `lang_definitions` VALUES (8765, 7413, 3, 'marcado como solo facturado.');
INSERT INTO `lang_definitions` VALUES (8766, 7414, 3, 'puesto en cola.');
INSERT INTO `lang_definitions` VALUES (8767, 7415, 3, '! se retiró sin consulta');
INSERT INTO `lang_definitions` VALUES (8768, 7416, 3, '- para código');
INSERT INTO `lang_definitions` VALUES (8769, 7417, 3, '- está marcado en configuración PostCalendar');
INSERT INTO `lang_definitions` VALUES (8770, 7418, 3, '# Incidencia de seguro o financiero');
INSERT INTO `lang_definitions` VALUES (8771, 7419, 3, '# número de tabletas:');
INSERT INTO `lang_definitions` VALUES (8772, 7420, 3, '$');
INSERT INTO `lang_definitions` VALUES (8773, 7421, 3, '$ Codificado');
INSERT INTO `lang_definitions` VALUES (8774, 7422, 3, '$etiqueta (yyyy-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (8775, 7423, 3, '%');
INSERT INTO `lang_definitions` VALUES (8776, 7424, 3, '% Cancelado <24 hrs');
INSERT INTO `lang_definitions` VALUES (8777, 7425, 3, '% Cancelado < 24 hrs ');
INSERT INTO `lang_definitions` VALUES (8778, 7426, 3, 'debería, pero no existe');
INSERT INTO `lang_definitions` VALUES (8779, 7427, 3, '(% Coincide con cualquier cadena, _ Coincide con cualquier carácter)');
INSERT INTO `lang_definitions` VALUES (8780, 7428, 3, '([ctrl] + click para seleccionar múltiples destinatarios)');
INSERT INTO `lang_definitions` VALUES (8781, 7429, 3, '(Volver)');
INSERT INTO `lang_definitions` VALUES (8782, 7430, 3, '(Haga clic para editar)');
INSERT INTO `lang_definitions` VALUES (8783, 7431, 3, '(el email tiene entrega inmediata, mientras que el mensaje de VOIP es enviado al proveedor del servicio para su proceso futuro)');
INSERT INTO `lang_definitions` VALUES (8784, 7432, 3, '(Mas)');
INSERT INTO `lang_definitions` VALUES (8785, 7433, 3, '(Nuevo Paciente)');
INSERT INTO `lang_definitions` VALUES (8786, 7434, 3, '(Notas y Autorizaciones)');
INSERT INTO `lang_definitions` VALUES (8787, 7435, 3, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (8788, 7436, 3, '(Seleccione uno de estos, o escriba su propio título)');
INSERT INTO `lang_definitions` VALUES (8789, 7437, 3, '(Shift-) Selecciona o arrastrar para cambiar valor');
INSERT INTO `lang_definitions` VALUES (8790, 7438, 3, '*Recordatorio realizado');
INSERT INTO `lang_definitions` VALUES (8791, 7439, 3, '** ¡Por Favor mover cirugías a incidencias!');
INSERT INTO `lang_definitions` VALUES (8792, 7440, 3, '* Requerido');
INSERT INTO `lang_definitions` VALUES (8793, 7441, 3, 'Historia Clínica retirada');
INSERT INTO `lang_definitions` VALUES (8794, 7442, 3, '- Ninguno');
INSERT INTO `lang_definitions` VALUES (8795, 7445, 3, '.');
INSERT INTO `lang_definitions` VALUES (8796, 7446, 3, '0');
INSERT INTO `lang_definitions` VALUES (8797, 7447, 3, '0-10');
INSERT INTO `lang_definitions` VALUES (8798, 7448, 3, '0-24');
INSERT INTO `lang_definitions` VALUES (8799, 7451, 3, '1');
INSERT INTO `lang_definitions` VALUES (8800, 7452, 3, '1=Norteamerica. Ver http://www.wtng.info/ para lista de códigos de otros países.');
INSERT INTO `lang_definitions` VALUES (8801, 7453, 3, 'Dentro de 1 día');
INSERT INTO `lang_definitions` VALUES (8802, 7454, 3, 'Dentro de 1 mes');
INSERT INTO `lang_definitions` VALUES (8803, 7455, 3, 'Dentro de 1 semana');
INSERT INTO `lang_definitions` VALUES (8804, 7456, 3, 'Dentro de 1 año');
INSERT INTO `lang_definitions` VALUES (8805, 7457, 3, '1. Descanso 2. Hielo por dos días 3. Compresión, dejar el vendaje en su lugar a menos que el pie presente hormigueo o color pálido 4. Elevar la pierna y el pie');
INSERT INTO `lang_definitions` VALUES (8806, 7458, 3, '11-14');
INSERT INTO `lang_definitions` VALUES (8807, 7459, 3, '12 hr');
INSERT INTO `lang_definitions` VALUES (8808, 7460, 3, '15-19');
INSERT INTO `lang_definitions` VALUES (8809, 7462, 3, '2');
INSERT INTO `lang_definitions` VALUES (8810, 7463, 3, 'Dentro de 2 días');
INSERT INTO `lang_definitions` VALUES (8811, 7464, 3, 'Dentro de 2 meses');
INSERT INTO `lang_definitions` VALUES (8812, 7465, 3, 'Dentro de 2 semanas');
INSERT INTO `lang_definitions` VALUES (8813, 7466, 3, 'Dentro de 2 años');
INSERT INTO `lang_definitions` VALUES (8814, 7468, 3, '20-24');
INSERT INTO `lang_definitions` VALUES (8815, 7477, 3, '2111-13');
INSERT INTO `lang_definitions` VALUES (8816, 7478, 3, '24 hr');
INSERT INTO `lang_definitions` VALUES (8817, 7479, 3, '25+');
INSERT INTO `lang_definitions` VALUES (8818, 7480, 3, '25-29');
INSERT INTO `lang_definitions` VALUES (8819, 7481, 3, '2da');
INSERT INTO `lang_definitions` VALUES (8820, 7482, 3, 'Dentro de 3 días');
INSERT INTO `lang_definitions` VALUES (8821, 7483, 3, '3 meses');
INSERT INTO `lang_definitions` VALUES (8822, 7484, 3, 'Dentro de 3 meses');
INSERT INTO `lang_definitions` VALUES (8823, 7485, 3, '3 veces al día');
INSERT INTO `lang_definitions` VALUES (8824, 7486, 3, 'Dentro de 3 semanas');
INSERT INTO `lang_definitions` VALUES (8825, 7487, 3, '30-34');
INSERT INTO `lang_definitions` VALUES (8826, 7488, 3, '35-39');
INSERT INTO `lang_definitions` VALUES (8827, 7489, 3, '3era');
INSERT INTO `lang_definitions` VALUES (8828, 7490, 3, 'Dentro de 4 días');
INSERT INTO `lang_definitions` VALUES (8829, 7491, 3, '4 meses');
INSERT INTO `lang_definitions` VALUES (8830, 7492, 3, 'Dentro de 4 meses');
INSERT INTO `lang_definitions` VALUES (8831, 7493, 3, '4 veces al día');
INSERT INTO `lang_definitions` VALUES (8832, 7494, 3, 'Dentro de 4 semanas');
INSERT INTO `lang_definitions` VALUES (8833, 7495, 3, '40-44');
INSERT INTO `lang_definitions` VALUES (8834, 7496, 3, '45+');
INSERT INTO `lang_definitions` VALUES (8835, 7497, 3, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (8836, 7498, 3, '466.0, Bronquitis, Aguda');
INSERT INTO `lang_definitions` VALUES (8837, 7499, 3, '486.0, Neumonía, Aguda');
INSERT INTO `lang_definitions` VALUES (8838, 7500, 3, '491.21 Gravedad de Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (8839, 7501, 3, '491.8, Bronquitis, Crónica');
INSERT INTO `lang_definitions` VALUES (8840, 7502, 3, '493.92, Asma, Aguda');
INSERT INTO `lang_definitions` VALUES (8841, 7503, 3, '496.0 Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (8842, 7504, 3, '4ta');
INSERT INTO `lang_definitions` VALUES (8843, 7505, 3, 'Dentro de 5 días');
INSERT INTO `lang_definitions` VALUES (8844, 7506, 3, 'Dentro de 5 meses');
INSERT INTO `lang_definitions` VALUES (8845, 7507, 3, 'Dentro de 5 semanas');
INSERT INTO `lang_definitions` VALUES (8846, 7508, 3, '519.7, Broncoespasmo');
INSERT INTO `lang_definitions` VALUES (8847, 7509, 3, '5ta');
INSERT INTO `lang_definitions` VALUES (8848, 7510, 3, 'Dentro de 6 días');
INSERT INTO `lang_definitions` VALUES (8849, 7511, 3, '6 meses');
INSERT INTO `lang_definitions` VALUES (8850, 7512, 3, 'Dentro de 6 meses');
INSERT INTO `lang_definitions` VALUES (8851, 7513, 3, 'Dentro de 6 semanas');
INSERT INTO `lang_definitions` VALUES (8852, 7514, 3, '6ta');
INSERT INTO `lang_definitions` VALUES (8853, 7515, 3, 'Dentro de 7 meses');
INSERT INTO `lang_definitions` VALUES (8854, 7516, 3, 'Dentro de 8 meses');
INSERT INTO `lang_definitions` VALUES (8855, 7517, 3, '824.0 Fractura, maléolo tibial, cerrado');
INSERT INTO `lang_definitions` VALUES (8856, 7518, 3, '824.2 Fractura, maléolo lateral, cerrado');
INSERT INTO `lang_definitions` VALUES (8857, 7519, 3, '824,6 Fractura, Trimaleolar, cerrada');
INSERT INTO `lang_definitions` VALUES (8858, 7520, 3, '825.32 Fractura de navicular (tobillo)');
INSERT INTO `lang_definitions` VALUES (8859, 7521, 3, '825,35 Fractura, Base de la quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (8860, 7522, 3, '845,00 torcedura del tobillo NOS');
INSERT INTO `lang_definitions` VALUES (8861, 7523, 3, '845,01 Esquince ligamento tibial (Deltoides).');
INSERT INTO `lang_definitions` VALUES (8862, 7524, 3, '845,02 Torcedura, fibular Calcánea');
INSERT INTO `lang_definitions` VALUES (8863, 7525, 3, 'Dentro de 9 meses');
INSERT INTO `lang_definitions` VALUES (8864, 7526, 3, 'Establecido 99212 - sin complicaciones');
INSERT INTO `lang_definitions` VALUES (8865, 7527, 3, 'Establecido 99213 - Baja Complejidad');
INSERT INTO `lang_definitions` VALUES (8866, 7528, 3, '< en consultorio');
INSERT INTO `lang_definitions` VALUES (8867, 7529, 3, '> De Alta / Salida');
INSERT INTO `lang_definitions` VALUES (8868, 7531, 3, '? ausente');
INSERT INTO `lang_definitions` VALUES (8869, 7532, 3, '@ En Espera');
INSERT INTO `lang_definitions` VALUES (8870, 7533, 3, '[cambiar vista]');
INSERT INTO `lang_definitions` VALUES (8871, 7534, 3, '[Fecha de último encuentro]');
INSERT INTO `lang_definitions` VALUES (8872, 7535, 3, '[Días desde último encuentro]');
INSERT INTO `lang_definitions` VALUES (8873, 7536, 3, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (8874, 7537, 3, '[Exportar OFX]');
INSERT INTO `lang_definitions` VALUES (8875, 7538, 3, '[no recomendado]');
INSERT INTO `lang_definitions` VALUES (8876, 7539, 3, '[Número de visitas]');
INSERT INTO `lang_definitions` VALUES (8877, 7540, 3, '[Informes]');
INSERT INTO `lang_definitions` VALUES (8878, 7541, 3, '[Seleccionar todos]');
INSERT INTO `lang_definitions` VALUES (8879, 7542, 3, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (8880, 7543, 3, '[Iniciar Proceso batch]');
INSERT INTO `lang_definitions` VALUES (8881, 7544, 3, '[Visualizar registro]');
INSERT INTO `lang_definitions` VALUES (8882, 7545, 3, '[Ver reporte de variables]');
INSERT INTO `lang_definitions` VALUES (8883, 7546, 3, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (8884, 7547, 3, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (8885, 7548, 3, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (8886, 7549, 3, '~ Llegó tarde');
INSERT INTO `lang_definitions` VALUES (8887, 1, 4, 'Un, Una');
INSERT INTO `lang_definitions` VALUES (8888, 2, 4, 'Un número de cheque o reclamación para identificar el pago');
INSERT INTO `lang_definitions` VALUES (8889, 3, 4, 'Un certificado del cliente para el usuario de admin');
INSERT INTO `lang_definitions` VALUES (8890, 4, 4, 'Adjunto está un documento clínico.');
INSERT INTO `lang_definitions` VALUES (8891, 5, 4, 'Adjunto está un documento clínico.');
INSERT INTO `lang_definitions` VALUES (8892, 7, 4, 'Se requiere un distribuidor');
INSERT INTO `lang_definitions` VALUES (8893, 8, 4, 'Formulario de visita GCAC debe ser agregado a esta visita');
INSERT INTO `lang_definitions` VALUES (8894, 9, 4, 'Un número de lote es requerido');
INSERT INTO `lang_definitions` VALUES (8895, 10, 4, 'Un número de lote es requerido!');
INSERT INTO `lang_definitions` VALUES (8896, 11, 4, 'Una letra minuscula');
INSERT INTO `lang_definitions` VALUES (8897, 12, 4, 'Un número');
INSERT INTO `lang_definitions` VALUES (8898, 14, 4, 'Un paciente con esta ID ya existe');
INSERT INTO `lang_definitions` VALUES (8899, 15, 4, 'Un paciente con este nombre ya existe');
INSERT INTO `lang_definitions` VALUES (8900, 16, 4, 'Un paciente con este numero de Seguro Social ya existe');
INSERT INTO `lang_definitions` VALUES (8901, 17, 4, 'Un número positivo mostrará tantas citas pasadas en un Widget en la pantalla de resumen del cliente (un número negativo mostrará las citas pasadas en orden descendente)');
INSERT INTO `lang_definitions` VALUES (8902, 18, 4, 'Un número positivo mostrará tantas citas pasadas en un Widget en la pantalla de resumen del cliente.');
INSERT INTO `lang_definitions` VALUES (8903, 19, 4, 'Una fuente de referencia puede ser especificada para cada visita');
INSERT INTO `lang_definitions` VALUES (8904, 20, 4, 'Un código IPPF relacionado es requerido');
INSERT INTO `lang_definitions` VALUES (8905, 21, 4, 'Un caracter especial');
INSERT INTO `lang_definitions` VALUES (8906, 22, 4, 'Un valor único para identificar este campo, no visible al usuario');
INSERT INTO `lang_definitions` VALUES (8907, 23, 4, 'Una visita ya existe para este paciente hoy día. Haga click en Cancelar para abrirla, o en OK para crear una nueva.');
INSERT INTO `lang_definitions` VALUES (8908, 24, 4, 'antes de las comidas');
INSERT INTO `lang_definitions` VALUES (8909, 25, 4, 'a.m.');
INSERT INTO `lang_definitions` VALUES (8910, 26, 4, 'Nivel aire/fluido correcto');
INSERT INTO `lang_definitions` VALUES (8911, 27, 4, 'AB');
INSERT INTO `lang_definitions` VALUES (8912, 28, 4, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (8913, 29, 4, 'Absceso');
INSERT INTO `lang_definitions` VALUES (8914, 30, 4, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (8915, 31, 4, 'Capaz de cargar peso cuatro pasos');
INSERT INTO `lang_definitions` VALUES (8916, 32, 4, 'Anormal');
INSERT INTO `lang_definitions` VALUES (8917, 33, 4, 'ABN1');
INSERT INTO `lang_definitions` VALUES (8918, 34, 4, 'Anormal');
INSERT INTO `lang_definitions` VALUES (8919, 35, 4, 'Análisis de sangre anormal');
INSERT INTO `lang_definitions` VALUES (8920, 36, 4, 'Crecimiento anormal del pelo');
INSERT INTO `lang_definitions` VALUES (8921, 37, 4, 'Mamografía anormal');
INSERT INTO `lang_definitions` VALUES (8922, 39, 4, 'Aborto');
INSERT INTO `lang_definitions` VALUES (8923, 40, 4, 'Problemas del Aborto');
INSERT INTO `lang_definitions` VALUES (8924, 41, 4, 'Método de Aborto');
INSERT INTO `lang_definitions` VALUES (8925, 42, 4, 'Categorías relacionadas al Aborto');
INSERT INTO `lang_definitions` VALUES (8926, 43, 4, 'Abortos');
INSERT INTO `lang_definitions` VALUES (8927, 44, 4, 'Acerca del calendario');
INSERT INTO `lang_definitions` VALUES (8928, 46, 4, 'Ausencias por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (8929, 47, 4, 'Aceptar la tarea');
INSERT INTO `lang_definitions` VALUES (8930, 48, 4, 'Aceptar pago por');
INSERT INTO `lang_definitions` VALUES (8931, 49, 4, 'Aceptar Pago por ');
INSERT INTO `lang_definitions` VALUES (8932, 50, 4, 'Acepta tarea');
INSERT INTO `lang_definitions` VALUES (8933, 51, 4, 'Control de acceso');
INSERT INTO `lang_definitions` VALUES (8934, 52, 4, 'Administración de la Lista de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (8935, 53, 4, 'Fecha de acceso');
INSERT INTO `lang_definitions` VALUES (8936, 54, 4, 'Acceso no permitido');
INSERT INTO `lang_definitions` VALUES (8937, 55, 4, 'Acceso no autorizado');
INSERT INTO `lang_definitions` VALUES (8938, 56, 4, 'Acceder al Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (8939, 57, 4, 'Accidente');
INSERT INTO `lang_definitions` VALUES (8940, 59, 4, 'Nombre de la Cuenta');
INSERT INTO `lang_definitions` VALUES (8941, 62, 4, 'Contabilidad');
INSERT INTO `lang_definitions` VALUES (8942, 64, 4, 'Dolores');
INSERT INTO `lang_definitions` VALUES (8943, 65, 4, 'Solicitud de reconocimiento (ISA14)');
INSERT INTO `lang_definitions` VALUES (8944, 66, 4, 'Reconocimientos, Licencias y Certificaciones');
INSERT INTO `lang_definitions` VALUES (8945, 67, 4, 'ACL');
INSERT INTO `lang_definitions` VALUES (8946, 68, 4, 'Administración del ACL');
INSERT INTO `lang_definitions` VALUES (8947, 69, 4, 'Administración de ACL no autorizada');
INSERT INTO `lang_definitions` VALUES (8948, 70, 4, 'ACL actualizada exitósamente');
INSERT INTO `lang_definitions` VALUES (8949, 71, 4, 'Acné');
INSERT INTO `lang_definitions` VALUES (8950, 72, 4, 'Acta');
INSERT INTO `lang_definitions` VALUES (8951, 73, 4, 'Fecha de Acta');
INSERT INTO `lang_definitions` VALUES (8952, 74, 4, 'Accion');
INSERT INTO `lang_definitions` VALUES (8953, 75, 4, 'Acciones');
INSERT INTO `lang_definitions` VALUES (8954, 77, 4, 'Activar Reportes CCR/CCD');
INSERT INTO `lang_definitions` VALUES (8955, 78, 4, 'Activo');
INSERT INTO `lang_definitions` VALUES (8956, 79, 4, 'Alerta Activa');
INSERT INTO `lang_definitions` VALUES (8957, 80, 4, 'Reglas de Alerta Activa');
INSERT INTO `lang_definitions` VALUES (8958, 81, 4, 'Alertas activas/recordatorios');
INSERT INTO `lang_definitions` VALUES (8959, 82, 4, 'Encuentro Activo');
INSERT INTO `lang_definitions` VALUES (8960, 84, 4, 'Listas Activas');
INSERT INTO `lang_definitions` VALUES (8961, 85, 4, 'Paciente Activo');
INSERT INTO `lang_definitions` VALUES (8962, 86, 4, 'Planes Activos');
INSERT INTO `lang_definitions` VALUES (8963, 87, 4, 'Actividad');
INSERT INTO `lang_definitions` VALUES (8964, 88, 4, 'Tipo de Actividad');
INSERT INTO `lang_definitions` VALUES (8965, 90, 4, 'Intoxicación aguda/Retirada');
INSERT INTO `lang_definitions` VALUES (8966, 91, 4, 'Manifestación de condición crónica aguda');
INSERT INTO `lang_definitions` VALUES (8967, 92, 4, 'Agudo en Crónico');
INSERT INTO `lang_definitions` VALUES (8968, 93, 4, 'añadir');
INSERT INTO `lang_definitions` VALUES (8969, 94, 4, 'Añadir');
INSERT INTO `lang_definitions` VALUES (8970, 95, 4, 'AÑADIR');
INSERT INTO `lang_definitions` VALUES (8971, 96, 4, 'Añadir una compañía');
INSERT INTO `lang_definitions` VALUES (8972, 98, 4, 'Añadir una farmacia');
INSERT INTO `lang_definitions` VALUES (8973, 100, 4, 'Añadir un evento para ');
INSERT INTO `lang_definitions` VALUES (8974, 101, 4, 'Añadir como nueva nota');
INSERT INTO `lang_definitions` VALUES (8975, 102, 4, 'Añadir como nuevo');
INSERT INTO `lang_definitions` VALUES (8976, 104, 4, 'Agregar Botones');
INSERT INTO `lang_definitions` VALUES (8977, 105, 4, 'Agregar botones para caracteres especiales, texto a mostrar encima del editor para incluir en el texto con un Click.');
INSERT INTO `lang_definitions` VALUES (8978, 106, 4, 'Añadir categoria');
INSERT INTO `lang_definitions` VALUES (8979, 107, 4, 'Añadir constante');
INSERT INTO `lang_definitions` VALUES (8980, 108, 4, 'Añadir contexto');
INSERT INTO `lang_definitions` VALUES (8981, 109, 4, 'Añadir Co-pago');
INSERT INTO `lang_definitions` VALUES (8982, 110, 4, 'Añadir Criterios');
INSERT INTO `lang_definitions` VALUES (8983, 111, 4, 'Añadir Boton Deseado');
INSERT INTO `lang_definitions` VALUES (8984, 112, 4, 'Añadir diagnóstico');
INSERT INTO `lang_definitions` VALUES (8985, 113, 4, 'Añadir medicamento');
INSERT INTO `lang_definitions` VALUES (8986, 114, 4, 'Añadir encuentro');
INSERT INTO `lang_definitions` VALUES (8987, 115, 4, 'Añadir encuentro/notas');
INSERT INTO `lang_definitions` VALUES (8988, 116, 4, 'Añadir Centro');
INSERT INTO `lang_definitions` VALUES (8989, 117, 4, 'Añadir Campo');
INSERT INTO `lang_definitions` VALUES (8990, 118, 4, 'Añadir las siguientes lineas al file de configuracion de Apache');
INSERT INTO `lang_definitions` VALUES (8991, 119, 4, 'Añadir grupo');
INSERT INTO `lang_definitions` VALUES (8992, 120, 4, 'Añadir código CIE');
INSERT INTO `lang_definitions` VALUES (8993, 121, 4, 'Agregar vacunación');
INSERT INTO `lang_definitions` VALUES (8994, 122, 4, 'Añadir no permitido!');
INSERT INTO `lang_definitions` VALUES (8995, 123, 4, 'Añadir Incidente');
INSERT INTO `lang_definitions` VALUES (8996, 124, 4, 'Añadir objeto a seguir');
INSERT INTO `lang_definitions` VALUES (8997, 125, 4, 'Añadir idioma');
INSERT INTO `lang_definitions` VALUES (8998, 126, 4, 'Añadir nuevo');
INSERT INTO `lang_definitions` VALUES (8999, 127, 4, 'Agregar Nuevo');
INSERT INTO `lang_definitions` VALUES (9000, 128, 4, 'Añadir nuevo categoría : ');
INSERT INTO `lang_definitions` VALUES (9001, 129, 4, 'Añadir Certificados nuevos al archivo de configuracion de Apache');
INSERT INTO `lang_definitions` VALUES (9002, 130, 4, 'Añadir nuevo componente');
INSERT INTO `lang_definitions` VALUES (9003, 131, 4, 'Añadir nuevos componentes');
INSERT INTO `lang_definitions` VALUES (9004, 132, 4, 'Añadir nuevo grupo');
INSERT INTO `lang_definitions` VALUES (9005, 133, 4, 'Añadir nuevo problema');
INSERT INTO `lang_definitions` VALUES (9006, 134, 4, 'Añadir lote nuevo y transacción');
INSERT INTO `lang_definitions` VALUES (9007, 135, 4, 'Añadir nueva nota');
INSERT INTO `lang_definitions` VALUES (9008, 136, 4, 'Añadir nueva nota');
INSERT INTO `lang_definitions` VALUES (9009, 137, 4, 'Añadir nuevo socio');
INSERT INTO `lang_definitions` VALUES (9010, 138, 4, 'Añadir nuevo paciente');
INSERT INTO `lang_definitions` VALUES (9011, 140, 4, 'Añadir nota');
INSERT INTO `lang_definitions` VALUES (9012, 141, 4, 'Añadir registro del paciente');
INSERT INTO `lang_definitions` VALUES (9013, 142, 4, 'Añadir receta');
INSERT INTO `lang_definitions` VALUES (9014, 143, 4, 'Añadir procedimiento');
INSERT INTO `lang_definitions` VALUES (9015, 144, 4, 'Añadir numero del proveedor');
INSERT INTO `lang_definitions` VALUES (9016, 145, 4, 'Añadir Rehabilitacion');
INSERT INTO `lang_definitions` VALUES (9017, 146, 4, 'Añadir Regla');
INSERT INTO `lang_definitions` VALUES (9018, 147, 4, 'Añadir a');
INSERT INTO `lang_definitions` VALUES (9019, 148, 4, 'Añadir a lista de medicación');
INSERT INTO `lang_definitions` VALUES (9020, 149, 4, 'Añadir nivel superior');
INSERT INTO `lang_definitions` VALUES (9021, 150, 4, 'Añadir Transacción');
INSERT INTO `lang_definitions` VALUES (9022, 151, 4, 'Añadir usuario');
INSERT INTO `lang_definitions` VALUES (9023, 152, 4, 'Añadir Usuario al Grupo');
INSERT INTO `lang_definitions` VALUES (9024, 153, 4, 'Añadir/Editar eRx');
INSERT INTO `lang_definitions` VALUES (9025, 154, 4, 'Añadir/Editar transaccion de paciente');
INSERT INTO `lang_definitions` VALUES (9026, 155, 4, 'Añadido');
INSERT INTO `lang_definitions` VALUES (9027, 156, 4, 'No se autoriza añadir datos demograficos.');
INSERT INTO `lang_definitions` VALUES (9028, 157, 4, 'Añadir objeto a seguir falló');
INSERT INTO `lang_definitions` VALUES (9029, 158, 4, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (9030, 159, 4, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (9031, 160, 4, 'Atributos adicionales');
INSERT INTO `lang_definitions` VALUES (9032, 161, 4, 'Diagnóstico adicional:');
INSERT INTO `lang_definitions` VALUES (9033, 162, 4, 'Historial adicional');
INSERT INTO `lang_definitions` VALUES (9034, 163, 4, 'Notas adicionales de la historia');
INSERT INTO `lang_definitions` VALUES (9035, 164, 4, 'Información adicional');
INSERT INTO `lang_definitions` VALUES (9036, 165, 4, 'Laboratorios adicionales');
INSERT INTO `lang_definitions` VALUES (9037, 166, 4, 'Notas adicionales');
INSERT INTO `lang_definitions` VALUES (9038, 167, 4, 'Notas adicionales para este resultado o recomendación');
INSERT INTO `lang_definitions` VALUES (9039, 168, 4, 'Notas adicionales:');
INSERT INTO `lang_definitions` VALUES (9040, 169, 4, 'Notas adicionales: ');
INSERT INTO `lang_definitions` VALUES (9041, 170, 4, 'Notas de Rayos X adicionales:');
INSERT INTO `lang_definitions` VALUES (9042, 172, 4, 'solo añadir');
INSERT INTO `lang_definitions` VALUES (9043, 173, 4, 'Lbta Direcciones');
INSERT INTO `lang_definitions` VALUES (9044, 174, 4, 'Lbta Direcciones');
INSERT INTO `lang_definitions` VALUES (9045, 175, 4, 'Dirección');
INSERT INTO `lang_definitions` VALUES (9046, 178, 4, 'Libreta de direcciones');
INSERT INTO `lang_definitions` VALUES (9047, 179, 4, 'Entrada al Libro de Direcciones para la compañia que hace este procedimiento');
INSERT INTO `lang_definitions` VALUES (9048, 180, 4, 'Entrada al libro de Direcciones para el distribuidor');
INSERT INTO `lang_definitions` VALUES (9049, 181, 4, 'Entrada al Libro de Direcciones para el vendedor');
INSERT INTO `lang_definitions` VALUES (9050, 182, 4, 'Tipos de Libro de Direcciones');
INSERT INTO `lang_definitions` VALUES (9051, 183, 4, 'Etiqueta de dirección');
INSERT INTO `lang_definitions` VALUES (9052, 187, 4, 'Dirección1');
INSERT INTO `lang_definitions` VALUES (9053, 188, 4, 'Dirección2');
INSERT INTO `lang_definitions` VALUES (9054, 189, 4, 'DESTINATARIO');
INSERT INTO `lang_definitions` VALUES (9055, 190, 4, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (9056, 191, 4, 'Monto de Ajuste');
INSERT INTO `lang_definitions` VALUES (9057, 192, 4, 'Ajustar');
INSERT INTO `lang_definitions` VALUES (9058, 193, 4, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (9059, 194, 4, 'Ajuste importe');
INSERT INTO `lang_definitions` VALUES (9060, 195, 4, 'Motivos del ajuste');
INSERT INTO `lang_definitions` VALUES (9061, 196, 4, 'Valor de ajuste para código ');
INSERT INTO `lang_definitions` VALUES (9062, 197, 4, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (9063, 198, 4, 'Ajuste administrativo');
INSERT INTO `lang_definitions` VALUES (9064, 199, 4, 'Administrativo');
INSERT INTO `lang_definitions` VALUES (9065, 200, 4, 'Dirección correo electrónico administración');
INSERT INTO `lang_definitions` VALUES (9066, 201, 4, 'Via de administracion');
INSERT INTO `lang_definitions` VALUES (9067, 202, 4, 'Administrado');
INSERT INTO `lang_definitions` VALUES (9068, 203, 4, 'Administrado por');
INSERT INTO `lang_definitions` VALUES (9069, 204, 4, 'Fecha de administrado');
INSERT INTO `lang_definitions` VALUES (9070, 205, 4, 'Sitio de administrado');
INSERT INTO `lang_definitions` VALUES (9071, 206, 4, 'Administración');
INSERT INTO `lang_definitions` VALUES (9072, 207, 4, 'Sitio de administración');
INSERT INTO `lang_definitions` VALUES (9073, 208, 4, 'Administradores');
INSERT INTO `lang_definitions` VALUES (9074, 209, 4, 'Los administradores pueden hacer cualquier cosa');
INSERT INTO `lang_definitions` VALUES (9075, 210, 4, 'Fecha de admisión');
INSERT INTO `lang_definitions` VALUES (9076, 212, 4, 'Revisión Peso de Adulto y Seguimiento');
INSERT INTO `lang_definitions` VALUES (9077, 213, 4, 'Revisión Peso de Adulto y Seguimiento (GCC)');
INSERT INTO `lang_definitions` VALUES (9078, 214, 4, 'Instrucción anticipada');
INSERT INTO `lang_definitions` VALUES (9079, 215, 4, 'Directivas Avanzadas');
INSERT INTO `lang_definitions` VALUES (9080, 216, 4, 'Aviso Directivas Avanzadas');
INSERT INTO `lang_definitions` VALUES (9081, 218, 4, 'Avanzado');
INSERT INTO `lang_definitions` VALUES (9082, 219, 4, 'Consejo');
INSERT INTO `lang_definitions` VALUES (9083, 221, 4, 'Afecta normales');
INSERT INTO `lang_definitions` VALUES (9084, 223, 4, 'llamadas fuera horario laboral');
INSERT INTO `lang_definitions` VALUES (9085, 225, 4, 'Despues de hacer las configuraciones mencionadas, importar el certificado de cliente de admin al navegador y reiniciar el server Apache (Palabra clave vacia)');
INSERT INTO `lang_definitions` VALUES (9086, 226, 4, 'Después de guardar el PDF, clic [Ver registro] para comprobar si hay errores.');
INSERT INTO `lang_definitions` VALUES (9087, 227, 4, 'Despues de guardar los archivos de TEXTO, clic [Ver registro] para comprobar errores.');
INSERT INTO `lang_definitions` VALUES (9088, 228, 4, 'Después de guardar su lote, clic [Ver registro] para comprobar si hay errores.');
INSERT INTO `lang_definitions` VALUES (9089, 230, 4, 'Una vez completada la informacion correcta, clic guardar');
INSERT INTO `lang_definitions` VALUES (9090, 233, 4, 'Otra vez');
INSERT INTO `lang_definitions` VALUES (9091, 234, 4, 'Edad');
INSERT INTO `lang_definitions` VALUES (9092, 235, 4, 'Edad por');
INSERT INTO `lang_definitions` VALUES (9093, 236, 4, 'Categoría edad');
INSERT INTO `lang_definitions` VALUES (9094, 237, 4, 'Datos de edad están fuera de rango.');
INSERT INTO `lang_definitions` VALUES (9095, 239, 4, 'Formato de edad para \'desde x edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (9096, 240, 4, 'Formato de edad para \'hasta x edad\' no es válido');
INSERT INTO `lang_definitions` VALUES (9097, 241, 4, 'Edad desde');
INSERT INTO `lang_definitions` VALUES (9098, 243, 4, 'Edad Maxima');
INSERT INTO `lang_definitions` VALUES (9099, 244, 4, 'Edad Minima');
INSERT INTO `lang_definitions` VALUES (9100, 245, 4, 'Rango de Edad');
INSERT INTO `lang_definitions` VALUES (9101, 247, 4, 'Columnas envejecimiento:');
INSERT INTO `lang_definitions` VALUES (9102, 249, 4, 'Albanés');
INSERT INTO `lang_definitions` VALUES (9103, 250, 4, 'Alcohol');
INSERT INTO `lang_definitions` VALUES (9104, 251, 4, 'Consumo de alcohol');
INSERT INTO `lang_definitions` VALUES (9105, 253, 4, 'Conteo de Alerta');
INSERT INTO `lang_definitions` VALUES (9106, 255, 4, 'Alertas');
INSERT INTO `lang_definitions` VALUES (9107, 258, 4, 'Aleutiano');
INSERT INTO `lang_definitions` VALUES (9108, 259, 4, 'Todos');
INSERT INTO `lang_definitions` VALUES (9109, 260, 4, 'TODOS');
INSERT INTO `lang_definitions` VALUES (9110, 261, 4, 'Todos (Formatos Cotejados A)');
INSERT INTO `lang_definitions` VALUES (9111, 262, 4, 'Todos (Formatos Cotejados B)');
INSERT INTO `lang_definitions` VALUES (9112, 263, 4, 'Todos (Acumulativo)');
INSERT INTO `lang_definitions` VALUES (9113, 266, 4, 'Todas las categorías');
INSERT INTO `lang_definitions` VALUES (9114, 268, 4, 'Todos los Codigos');
INSERT INTO `lang_definitions` VALUES (9115, 269, 4, 'Todo el día');
INSERT INTO `lang_definitions` VALUES (9116, 270, 4, 'Evento de día completo');
INSERT INTO `lang_definitions` VALUES (9117, 271, 4, 'Verificacion con busqueda de Demograficas y duplicados');
INSERT INTO `lang_definitions` VALUES (9118, 272, 4, 'Todas los Centros');
INSERT INTO `lang_definitions` VALUES (9119, 273, 4, 'Toda Injuria/Problema/Questiones');
INSERT INTO `lang_definitions` VALUES (9120, 274, 4, 'Permitir todos los Idiomas');
INSERT INTO `lang_definitions` VALUES (9121, 276, 4, 'Todo o parte del nombre');
INSERT INTO `lang_definitions` VALUES (9122, 277, 4, 'Todo o parte del apellido');
INSERT INTO `lang_definitions` VALUES (9123, 278, 4, 'Nombre de la organización parcial o completo');
INSERT INTO `lang_definitions` VALUES (9124, 280, 4, 'Todos los productos');
INSERT INTO `lang_definitions` VALUES (9125, 281, 4, 'Todos los provedores');
INSERT INTO `lang_definitions` VALUES (9126, 282, 4, 'Todos revisados y negativos:');
INSERT INTO `lang_definitions` VALUES (9127, 283, 4, 'Todos los temas');
INSERT INTO `lang_definitions` VALUES (9128, 284, 4, 'Todos los usuarios');
INSERT INTO `lang_definitions` VALUES (9129, 285, 4, 'Alérgico');
INSERT INTO `lang_definitions` VALUES (9130, 286, 4, 'Alergias');
INSERT INTO `lang_definitions` VALUES (9131, 287, 4, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (9132, 288, 4, 'Alergia');
INSERT INTO `lang_definitions` VALUES (9133, 289, 4, 'Importe de Alergia completado con exito');
INSERT INTO `lang_definitions` VALUES (9134, 291, 4, 'Reacción Alérgica');
INSERT INTO `lang_definitions` VALUES (9135, 294, 4, 'Asignar');
INSERT INTO `lang_definitions` VALUES (9136, 295, 4, 'Permitir');
INSERT INTO `lang_definitions` VALUES (9137, 296, 4, 'Permitir todos los idiomas disponibles en el menu de inicio');
INSERT INTO `lang_definitions` VALUES (9138, 297, 4, 'Permitir creación de reclamos (facturas) con diagnósticos pero no procedimientos o cargos. Muchas clinicas no desean esto.');
INSERT INTO `lang_definitions` VALUES (9139, 298, 4, 'Permitir depuracion de Lenguaje');
INSERT INTO `lang_definitions` VALUES (9140, 299, 4, 'Permitir el Email');
INSERT INTO `lang_definitions` VALUES (9141, 300, 4, '¿Permitir los correos electrónicos?');
INSERT INTO `lang_definitions` VALUES (9142, 301, 4, '¿Permitir Email?');
INSERT INTO `lang_definitions` VALUES (9143, 302, 4, 'Permitir reclamos de encuentros');
INSERT INTO `lang_definitions` VALUES (9144, 303, 4, 'Permitir el intercambio de informacion medica');
INSERT INTO `lang_definitions` VALUES (9145, 304, 4, 'Permitir compartir informacion de inmunizaciones');
INSERT INTO `lang_definitions` VALUES (9146, 305, 4, 'Permitir el registro de uso de inmunizaciones');
INSERT INTO `lang_definitions` VALUES (9147, 306, 4, 'Permitir el mensaje de correo');
INSERT INTO `lang_definitions` VALUES (9148, 308, 4, 'Permitir Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (9149, 309, 4, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (9150, 310, 4, '¿Permitir SMS (mensaje de texto)?');
INSERT INTO `lang_definitions` VALUES (9151, 311, 4, 'Permitir la activación instantánea de los eventos entrados?');
INSERT INTO `lang_definitions` VALUES (9152, 312, 4, '¿Permitir mensaje telefonico?');
INSERT INTO `lang_definitions` VALUES (9153, 313, 4, 'Permitir a los usuarios publicar eventos globales');
INSERT INTO `lang_definitions` VALUES (9154, 314, 4, 'Permitir a los usuarios publicar calendarios personales');
INSERT INTO `lang_definitions` VALUES (9155, 315, 4, 'Permitir Mensaje de Voz');
INSERT INTO `lang_definitions` VALUES (9156, 316, 4, 'Permitido');
INSERT INTO `lang_definitions` VALUES (9157, 317, 4, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (9158, 318, 4, 'Asignado ©');
INSERT INTO `lang_definitions` VALUES (9159, 323, 4, 'ya existe.');
INSERT INTO `lang_definitions` VALUES (9160, 324, 4, 'ya existe.');
INSERT INTO `lang_definitions` VALUES (9161, 325, 4, 'Indentificador ya usado, elige otro');
INSERT INTO `lang_definitions` VALUES (9162, 326, 4, 'Título ya usado, elige otro');
INSERT INTO `lang_definitions` VALUES (9163, 327, 4, 'Dirección alternativa');
INSERT INTO `lang_definitions` VALUES (9164, 328, 4, 'modificar');
INSERT INTO `lang_definitions` VALUES (9165, 329, 4, 'De forma alternativa, puede usar la página de búsqueda para cargar un archivo electrónico (X12835) que haya recibido de su pagador. Puede hacerlo oprimiendo el botón \"Explorar\" y seleccionar el archivo a cargar, y luego oprimir \"Explorar\" para ejecutar la carga y desplegar las facturas correspondientes. En este caso, los parámetros mencionados arriba no aplican y pueden ser ignorados. La carga guarda el archivo pero no procesa su contenido - esto se realiza de forma separada tal y como se describe abajo.');
INSERT INTO `lang_definitions` VALUES (9166, 330, 4, 'AM');
INSERT INTO `lang_definitions` VALUES (9167, 331, 4, 'Programa en AM');
INSERT INTO `lang_definitions` VALUES (9168, 332, 4, 'Calculo Automatico de Medidas (CAM)');
INSERT INTO `lang_definitions` VALUES (9169, 333, 4, 'Rastreo CAM');
INSERT INTO `lang_definitions` VALUES (9170, 338, 4, 'Enmendar nota existente');
INSERT INTO `lang_definitions` VALUES (9171, 341, 4, 'Cambios');
INSERT INTO `lang_definitions` VALUES (9172, 343, 4, 'Indigena americano');
INSERT INTO `lang_definitions` VALUES (9173, 344, 4, 'Indio Nativo (EU) o Esquimal');
INSERT INTO `lang_definitions` VALUES (9174, 345, 4, 'AMEX');
INSERT INTO `lang_definitions` VALUES (9175, 346, 4, 'Amárico (Lengua de Etiopia)');
INSERT INTO `lang_definitions` VALUES (9176, 347, 4, 'Balance');
INSERT INTO `lang_definitions` VALUES (9177, 349, 4, 'Cantidad cargada');
INSERT INTO `lang_definitions` VALUES (9178, 350, 4, 'Cantidad para balance anterior');
INSERT INTO `lang_definitions` VALUES (9179, 351, 4, 'Cantidad por esta visita');
INSERT INTO `lang_definitions` VALUES (9180, 352, 4, 'Cantidad pagada');
INSERT INTO `lang_definitions` VALUES (9181, 353, 4, 'Balance:');
INSERT INTO `lang_definitions` VALUES (9182, 354, 4, 'Importe Facturado');
INSERT INTO `lang_definitions` VALUES (9183, 355, 4, '¡Se requiere una fecha de finalización posterior a la fecha de inicio para los eventos repetidos!');
INSERT INTO `lang_definitions` VALUES (9184, 357, 4, 'Ocurrió un error al vaciar el directorio de arbol de la web LibreEHR');
INSERT INTO `lang_definitions` VALUES (9185, 358, 4, 'Ocurrió un error al vaciar el directorio de arbol de la web phpGACL');
INSERT INTO `lang_definitions` VALUES (9186, 359, 4, 'Ocurrió un error al vaciar el directorio de arbol de la web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (9187, 360, 4, 'Se ha creado y se ha ligado una edición incompleta de GCAC. Alguien necesitará terminarla más adelante.');
INSERT INTO `lang_definitions` VALUES (9188, 362, 4, 'Ocurrio error inesperado');
INSERT INTO `lang_definitions` VALUES (9189, 363, 4, 'Una letra mayuscula');
INSERT INTO `lang_definitions` VALUES (9190, 365, 4, 'Y');
INSERT INTO `lang_definitions` VALUES (9191, 366, 4, 'Y');
INSERT INTO `lang_definitions` VALUES (9192, 367, 4, 'y');
INSERT INTO `lang_definitions` VALUES (9193, 368, 4, 'y ');
INSERT INTO `lang_definitions` VALUES (9194, 369, 4, '¿y toda la información subordinada? Esta acción será registrada');
INSERT INTO `lang_definitions` VALUES (9195, 370, 4, 'y modificador');
INSERT INTO `lang_definitions` VALUES (9196, 371, 4, 'y procesado');
INSERT INTO `lang_definitions` VALUES (9197, 372, 4, 'y reiniciar Servidor Apache');
INSERT INTO `lang_definitions` VALUES (9198, 373, 4, 'y la razon es');
INSERT INTO `lang_definitions` VALUES (9199, 374, 4, 'Anemia');
INSERT INTO `lang_definitions` VALUES (9200, 375, 4, 'Tobillo');
INSERT INTO `lang_definitions` VALUES (9201, 376, 4, 'Tobillo + talón');
INSERT INTO `lang_definitions` VALUES (9202, 377, 4, 'Formulario de Evaluación del tobillo');
INSERT INTO `lang_definitions` VALUES (9203, 378, 4, 'Problemas de tobillo');
INSERT INTO `lang_definitions` VALUES (9204, 379, 4, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (9205, 380, 4, 'Espondilitis anquilosante');
INSERT INTO `lang_definitions` VALUES (9206, 381, 4, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (9207, 382, 4, 'Otra cosa que puede hacer en la ventana de publicación es solicitar facturación secundaria. Si selecciona la casilla de verificación antes de guardar, la reclamación original será reabierta y asignada en la página de Facturación, y será procesada en la siguiente corrida de facturación.');
INSERT INTO `lang_definitions` VALUES (9208, 383, 4, 'ante');
INSERT INTO `lang_definitions` VALUES (9209, 384, 4, 'Ano normal, recto sin distension ni masa');
INSERT INTO `lang_definitions` VALUES (9210, 385, 4, 'Ansiedad');
INSERT INTO `lang_definitions` VALUES (9211, 386, 4, 'Cualquiera');
INSERT INTO `lang_definitions` VALUES (9212, 387, 4, 'Cualquier categoría');
INSERT INTO `lang_definitions` VALUES (9213, 388, 4, 'Cualquier parte del código deseado o su descripción');
INSERT INTO `lang_definitions` VALUES (9214, 389, 4, 'Cualquier parte de la especialidad deseada');
INSERT INTO `lang_definitions` VALUES (9215, 390, 4, 'Parte de identificador o Nombre de Medicamento');
INSERT INTO `lang_definitions` VALUES (9216, 391, 4, 'Parte de identificador o Nombre de Vacuna');
INSERT INTO `lang_definitions` VALUES (9217, 392, 4, 'Cualquier parte del nombre del paciente, o \"Apellido, Nombre\", o \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (9218, 394, 4, 'API para la puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (9219, 395, 4, 'Apnea');
INSERT INTO `lang_definitions` VALUES (9220, 396, 4, 'Aspecto');
INSERT INTO `lang_definitions` VALUES (9221, 397, 4, 'Aspecto:');
INSERT INTO `lang_definitions` VALUES (9222, 398, 4, 'Añadir esta nota');
INSERT INTO `lang_definitions` VALUES (9223, 399, 4, 'Añadir a la nota existente');
INSERT INTO `lang_definitions` VALUES (9224, 400, 4, 'Añadir a esta nota');
INSERT INTO `lang_definitions` VALUES (9225, 401, 4, 'Añadir a Esta Nota');
INSERT INTO `lang_definitions` VALUES (9226, 402, 4, 'Apendicectomía');
INSERT INTO `lang_definitions` VALUES (9227, 404, 4, 'Pacientes Aplicables');
INSERT INTO `lang_definitions` VALUES (9228, 406, 4, 'Nombre de solicitud para página de ingreso y título de ventana principal');
INSERT INTO `lang_definitions` VALUES (9229, 407, 4, 'Código de Aplicación del receptor (GS03 - si está en blanco se usará ISA08)');
INSERT INTO `lang_definitions` VALUES (9230, 408, 4, 'Codigo de Aplicacion del Enviador');
INSERT INTO `lang_definitions` VALUES (9231, 409, 4, 'Título de la Aplicación');
INSERT INTO `lang_definitions` VALUES (9232, 410, 4, 'Aplica al formulario de Signos Vitales y Cartilla de Crecimiento');
INSERT INTO `lang_definitions` VALUES (9233, 412, 4, 'Aplicar los cambios a la cita actual solamente, a este y todos los acontecimientos futuros, o para Todos los casos?');
INSERT INTO `lang_definitions` VALUES (9234, 413, 4, 'aplicar a la zona afectada');
INSERT INTO `lang_definitions` VALUES (9235, 414, 4, 'aplicar a la piel');
INSERT INTO `lang_definitions` VALUES (9236, 415, 4, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (9237, 416, 4, 'Aplicando parche al sitio');
INSERT INTO `lang_definitions` VALUES (9238, 417, 4, 'Cita');
INSERT INTO `lang_definitions` VALUES (9239, 418, 4, 'Fecha de Cita');
INSERT INTO `lang_definitions` VALUES (9240, 419, 4, 'Estilo de visualizacion de la cita');
INSERT INTO `lang_definitions` VALUES (9241, 420, 4, 'Regla para recordar Cita');
INSERT INTO `lang_definitions` VALUES (9242, 421, 4, 'Estado de la Cita');
INSERT INTO `lang_definitions` VALUES (9243, 422, 4, 'Estados de la cita');
INSERT INTO `lang_definitions` VALUES (9244, 423, 4, 'Cita dentro');
INSERT INTO `lang_definitions` VALUES (9245, 424, 4, 'Color de Cita/Evento');
INSERT INTO `lang_definitions` VALUES (9246, 425, 4, 'Citas');
INSERT INTO `lang_definitions` VALUES (9247, 426, 4, 'Citas (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (9248, 427, 4, 'Citas (escribir, algunos opcional)');
INSERT INTO `lang_definitions` VALUES (9249, 430, 4, 'Citas y encuentros');
INSERT INTO `lang_definitions` VALUES (9250, 431, 4, 'Informe Citas');
INSERT INTO `lang_definitions` VALUES (9251, 432, 4, 'Informes Citas-Encuentros');
INSERT INTO `lang_definitions` VALUES (9252, 434, 4, 'Aprobar');
INSERT INTO `lang_definitions` VALUES (9253, 436, 4, 'Aprobado');
INSERT INTO `lang_definitions` VALUES (9254, 437, 4, 'Eventos Administrativos Aprobados');
INSERT INTO `lang_definitions` VALUES (9255, 440, 4, 'Citas-Encuentros');
INSERT INTO `lang_definitions` VALUES (9256, 441, 4, 'Citas');
INSERT INTO `lang_definitions` VALUES (9257, 442, 4, 'Abr');
INSERT INTO `lang_definitions` VALUES (9258, 443, 4, 'Abril');
INSERT INTO `lang_definitions` VALUES (9259, 444, 4, 'Arabigo');
INSERT INTO `lang_definitions` VALUES (9260, 446, 4, 'Archivo');
INSERT INTO `lang_definitions` VALUES (9261, 447, 4, '¿Se traducirán los nombres del grupo de control de acceso?');
INSERT INTO `lang_definitions` VALUES (9262, 448, 4, '¿Se traducirán los nombres de las categorías de citas?');
INSERT INTO `lang_definitions` VALUES (9263, 449, 4, '¿Se traducirán los nombres de categorías de documentos?');
INSERT INTO `lang_definitions` VALUES (9264, 450, 4, 'Son cobrados los honorarios por este tipo?');
INSERT INTO `lang_definitions` VALUES (9265, 451, 4, '¿Se traducirán los títulos de las notas del paciente?');
INSERT INTO `lang_definitions` VALUES (9266, 452, 4, '¿Están los códigos almacenados en tablas SQL externas? (0: No; 1: “ICD10”; 2: “SNOMED(RF1)”; 3: “SNOMED(RF2)”)');
INSERT INTO `lang_definitions` VALUES (9267, 453, 4, '¿Está preparado para completar una nueva incidencia de GCAC (Global Connection Admission Control) para esta visita?');
INSERT INTO `lang_definitions` VALUES (9268, 454, 4, '¿Está seguro de enviar hoy?');
INSERT INTO `lang_definitions` VALUES (9269, 455, 4, '¿Estás seguro quer quieres aprobar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9270, 457, 4, '¿Estás seguro de que deseas eliminar por completo este formulario?');
INSERT INTO `lang_definitions` VALUES (9271, 459, 4, '¿Está seguro que desea eliminar este acceso?');
INSERT INTO `lang_definitions` VALUES (9272, 460, 4, '¿Estás seguro que quieres eliminar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9273, 461, 4, '¿Esta seguro que quiere eliminar este item de la base de datos?');
INSERT INTO `lang_definitions` VALUES (9274, 462, 4, '¿Está usted seguro usted quiere suprimir esta nota?');
INSERT INTO `lang_definitions` VALUES (9275, 464, 4, '¿Estás seguro que quieres editar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9276, 465, 4, '¿Estás seguro que quieres ocultar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9277, 467, 4, '¿Estás seguro que quieres visualizar estos eventos?');
INSERT INTO `lang_definitions` VALUES (9278, 468, 4, 'Está usted seguro usted que desea suprimir al grupo entero nombrado');
INSERT INTO `lang_definitions` VALUES (9279, 469, 4, 'Está usted seguro que desea suprimir la lista entera');
INSERT INTO `lang_definitions` VALUES (9280, 470, 4, 'Está usted seguro que quiere suprimir el campo interno');
INSERT INTO `lang_definitions` VALUES (9281, 471, 4, '¿Está usted seguro que quiere borrar los campos seleccionados?');
INSERT INTO `lang_definitions` VALUES (9282, 472, 4, '¿Estás seguro que quieres continuar con estas acciones?');
INSERT INTO `lang_definitions` VALUES (9283, 473, 4, 'Zona no especificada');
INSERT INTO `lang_definitions` VALUES (9284, 474, 4, 'Brazo');
INSERT INTO `lang_definitions` VALUES (9285, 475, 4, 'Armenio');
INSERT INTO `lang_definitions` VALUES (9286, 477, 4, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (9287, 478, 4, 'Artritis');
INSERT INTO `lang_definitions` VALUES (9288, 479, 4, 'Artritis / Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (9289, 480, 4, 'Artritis / Enfermedad degenerativa de articulaciones');
INSERT INTO `lang_definitions` VALUES (9290, 481, 4, 'como');
INSERT INTO `lang_definitions` VALUES (9291, 482, 4, 'Desde');
INSERT INTO `lang_definitions` VALUES (9292, 484, 4, 'Asiático');
INSERT INTO `lang_definitions` VALUES (9293, 487, 4, 'Evaluación');
INSERT INTO `lang_definitions` VALUES (9294, 488, 4, 'Asignado a');
INSERT INTO `lang_definitions` VALUES (9295, 489, 4, 'Ayudante');
INSERT INTO `lang_definitions` VALUES (9296, 490, 4, 'Asma');
INSERT INTO `lang_definitions` VALUES (9297, 491, 4, 'en');
INSERT INTO `lang_definitions` VALUES (9298, 492, 4, 'Se requiere al menos un parámetro de búsqueda si usted seleccionó Todos');
INSERT INTO `lang_definitions` VALUES (9299, 493, 4, 'En el Escafoides');
INSERT INTO `lang_definitions` VALUES (9300, 494, 4, 'En el Escafoides:');
INSERT INTO `lang_definitions` VALUES (9301, 495, 4, 'Equipo de atletismo');
INSERT INTO `lang_definitions` VALUES (9302, 497, 4, 'Lesión Deportiva');
INSERT INTO `lang_definitions` VALUES (9303, 498, 4, 'Certificado CA de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9304, 499, 4, 'Anfitrión de audito ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9305, 500, 4, 'Certificado local de ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9306, 501, 4, 'Puerto de audito ATNA (Seguimiento de auditoría y autenticación del nodo)');
INSERT INTO `lang_definitions` VALUES (9307, 503, 4, 'Atención');
INSERT INTO `lang_definitions` VALUES (9308, 504, 4, 'Atención');
INSERT INTO `lang_definitions` VALUES (9309, 509, 4, 'Copias de seguridad de registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9310, 510, 4, 'Miscelaneos de Registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9311, 511, 4, 'Orden de Registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9312, 512, 4, 'Registro de auditoría de registro del paciente');
INSERT INTO `lang_definitions` VALUES (9313, 513, 4, 'Planificación registro de auditoría');
INSERT INTO `lang_definitions` VALUES (9314, 514, 4, 'Registro de auditoría Administración de la Seguridad');
INSERT INTO `lang_definitions` VALUES (9315, 515, 4, 'Registro de auditoría consulta SELECT');
INSERT INTO `lang_definitions` VALUES (9316, 516, 4, 'Ago');
INSERT INTO `lang_definitions` VALUES (9317, 517, 4, 'Agosto');
INSERT INTO `lang_definitions` VALUES (9318, 519, 4, 'Autorización');
INSERT INTO `lang_definitions` VALUES (9319, 520, 4, 'Autorizacion/Notas');
INSERT INTO `lang_definitions` VALUES (9320, 523, 4, 'Grupo de Autorizacion');
INSERT INTO `lang_definitions` VALUES (9321, 524, 4, 'Estatus de autorización');
INSERT INTO `lang_definitions` VALUES (9322, 525, 4, 'Autorizaciones');
INSERT INTO `lang_definitions` VALUES (9323, 526, 4, 'Autorizar');
INSERT INTO `lang_definitions` VALUES (9324, 527, 4, 'Autorice - cualquier encuentro');
INSERT INTO `lang_definitions` VALUES (9325, 528, 4, 'Autorice - mis encuentros');
INSERT INTO `lang_definitions` VALUES (9326, 530, 4, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (9327, 531, 4, 'Autorizacion solamente');
INSERT INTO `lang_definitions` VALUES (9328, 532, 4, 'Mandar automáticamente');
INSERT INTO `lang_definitions` VALUES (9329, 535, 4, 'Crear automaticamente nuevos encuentros');
INSERT INTO `lang_definitions` VALUES (9330, 536, 4, 'Auto-generado');
INSERT INTO `lang_definitions` VALUES (9331, 537, 4, 'Calculos Automaticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (9332, 542, 4, 'Rastreo Calculos Automaticos de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (9333, 543, 4, 'Medidas Automatizadas');
INSERT INTO `lang_definitions` VALUES (9334, 544, 4, 'Automatica');
INSERT INTO `lang_definitions` VALUES (9335, 546, 4, 'Crear automáticamente nuevos encuentros cuando el estado de una cita se selecciona en \"@\" (llegado)');
INSERT INTO `lang_definitions` VALUES (9336, 549, 4, 'Automovil Medico');
INSERT INTO `lang_definitions` VALUES (9337, 550, 4, 'Guardado automáticamente');
INSERT INTO `lang_definitions` VALUES (9338, 551, 4, 'Categorias Disponibles');
INSERT INTO `lang_definitions` VALUES (9339, 552, 4, 'Horas disponbiles');
INSERT INTO `lang_definitions` VALUES (9340, 557, 4, 'Media Mensual');
INSERT INTO `lang_definitions` VALUES (9341, 558, 4, 'Avulsión / fractura por avulsión');
INSERT INTO `lang_definitions` VALUES (9342, 559, 4, 'Avulsión de maleolo lateral');
INSERT INTO `lang_definitions` VALUES (9343, 560, 4, 'Avulsión de maleolo medial ');
INSERT INTO `lang_definitions` VALUES (9344, 561, 4, 'Basado en Conocimiento');
INSERT INTO `lang_definitions` VALUES (9345, 562, 4, 'Axilar');
INSERT INTO `lang_definitions` VALUES (9346, 565, 4, 'dos veces por día');
INSERT INTO `lang_definitions` VALUES (9347, 566, 4, 'Atrás');
INSERT INTO `lang_definitions` VALUES (9348, 567, 4, 'atrás');
INSERT INTO `lang_definitions` VALUES (9349, 568, 4, 'Retrocede ocho visitas');
INSERT INTO `lang_definitions` VALUES (9350, 569, 4, 'Retroceder once visitas');
INSERT INTO `lang_definitions` VALUES (9351, 570, 4, 'Retroceder cinco visitas');
INSERT INTO `lang_definitions` VALUES (9352, 571, 4, 'Retroceder cuatro visitas');
INSERT INTO `lang_definitions` VALUES (9353, 572, 4, 'Retroceder nueve visitas');
INSERT INTO `lang_definitions` VALUES (9354, 573, 4, 'Retroceder una visita');
INSERT INTO `lang_definitions` VALUES (9355, 574, 4, 'Dolor de Espaldas');
INSERT INTO `lang_definitions` VALUES (9356, 575, 4, 'Problemas de espalda');
INSERT INTO `lang_definitions` VALUES (9357, 576, 4, 'Retroceder siete visitas');
INSERT INTO `lang_definitions` VALUES (9358, 577, 4, 'Retroceder seis visitas');
INSERT INTO `lang_definitions` VALUES (9359, 578, 4, 'Cirugia de la espalda');
INSERT INTO `lang_definitions` VALUES (9360, 579, 4, 'Retroceder diez visitas');
INSERT INTO `lang_definitions` VALUES (9361, 580, 4, 'Retroceder tres visitas');
INSERT INTO `lang_definitions` VALUES (9362, 581, 4, 'Volver a la página de Administración');
INSERT INTO `lang_definitions` VALUES (9363, 582, 4, 'Volver a encuentro');
INSERT INTO `lang_definitions` VALUES (9364, 583, 4, 'Volver al paciente');
INSERT INTO `lang_definitions` VALUES (9365, 584, 4, 'Volver al paciente');
INSERT INTO `lang_definitions` VALUES (9366, 585, 4, 'Volver a los usuarios');
INSERT INTO `lang_definitions` VALUES (9367, 586, 4, 'Volver a Vista');
INSERT INTO `lang_definitions` VALUES (9368, 587, 4, 'Retroceder doce visitas');
INSERT INTO `lang_definitions` VALUES (9369, 588, 4, 'Retroceder dos visitas');
INSERT INTO `lang_definitions` VALUES (9370, 590, 4, 'Backup');
INSERT INTO `lang_definitions` VALUES (9371, 591, 4, 'Se ha creado el archivo de respaldo, ahora empezará la descarga');
INSERT INTO `lang_definitions` VALUES (9372, 593, 4, 'Archivo de respaldo creado con exito');
INSERT INTO `lang_definitions` VALUES (9373, 594, 4, 'Cheque sin fondos');
INSERT INTO `lang_definitions` VALUES (9374, 595, 4, 'Mal crédito');
INSERT INTO `lang_definitions` VALUES (9375, 596, 4, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (9376, 597, 4, 'Bal');
INSERT INTO `lang_definitions` VALUES (9377, 598, 4, 'Balance');
INSERT INTO `lang_definitions` VALUES (9378, 599, 4, 'balance');
INSERT INTO `lang_definitions` VALUES (9379, 600, 4, 'Importe Balance');
INSERT INTO `lang_definitions` VALUES (9380, 601, 4, 'Balance a pagar');
INSERT INTO `lang_definitions` VALUES (9381, 603, 4, 'Letra Bancaria');
INSERT INTO `lang_definitions` VALUES (9382, 607, 4, 'Base del quinto (5to) Metatarsiano');
INSERT INTO `lang_definitions` VALUES (9383, 608, 4, 'Base del quinto (5to) Metatarsiano:');
INSERT INTO `lang_definitions` VALUES (9384, 612, 4, 'Herramienta de Comunicación para series');
INSERT INTO `lang_definitions` VALUES (9385, 613, 4, 'Entrada de pagos en serie (Batch)');
INSERT INTO `lang_definitions` VALUES (9386, 614, 4, 'Pagos en serie');
INSERT INTO `lang_definitions` VALUES (9387, 615, 4, 'Proceso de Batch iniciado; puede tomar unos minutos');
INSERT INTO `lang_definitions` VALUES (9388, 616, 4, 'Resultados del lote');
INSERT INTO `lang_definitions` VALUES (9389, 617, 4, 'Comunicación');
INSERT INTO `lang_definitions` VALUES (9390, 618, 4, 'Sea paciente, puede demorar varios minutos para procesar');
INSERT INTO `lang_definitions` VALUES (9391, 619, 4, 'porque no existe esa número de identificación.');
INSERT INTO `lang_definitions` VALUES (9392, 620, 4, 'Empezar');
INSERT INTO `lang_definitions` VALUES (9393, 621, 4, 'Fecha de comienzo');
INSERT INTO `lang_definitions` VALUES (9394, 623, 4, 'Fecha de inicio de servicio aaaa-mm.dd');
INSERT INTO `lang_definitions` VALUES (9395, 624, 4, 'Hora de inicio del día para los eventos del calendario');
INSERT INTO `lang_definitions` VALUES (9396, 626, 4, 'Eructo');
INSERT INTO `lang_definitions` VALUES (9397, 628, 4, 'Bengali');
INSERT INTO `lang_definitions` VALUES (9398, 630, 4, 'entre');
INSERT INTO `lang_definitions` VALUES (9399, 633, 4, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (9400, 634, 4, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (9401, 636, 4, 'Fecha factura:');
INSERT INTO `lang_definitions` VALUES (9402, 637, 4, 'Facturar/Cobrar');
INSERT INTO `lang_definitions` VALUES (9403, 638, 4, 'Facturado');
INSERT INTO `lang_definitions` VALUES (9404, 640, 4, 'Facturación');
INSERT INTO `lang_definitions` VALUES (9405, 641, 4, 'Facturación (escritura opcional)');
INSERT INTO `lang_definitions` VALUES (9406, 642, 4, 'Atención factura');
INSERT INTO `lang_definitions` VALUES (9407, 644, 4, 'Código de factura para el Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (9408, 645, 4, 'Código de factura');
INSERT INTO `lang_definitions` VALUES (9409, 646, 4, 'Datos de factura');
INSERT INTO `lang_definitions` VALUES (9410, 647, 4, 'Departamento de Facturación');
INSERT INTO `lang_definitions` VALUES (9411, 648, 4, 'Centro de Facturacion');
INSERT INTO `lang_definitions` VALUES (9412, 649, 4, 'Información factura');
INSERT INTO `lang_definitions` VALUES (9413, 650, 4, 'Dirección para factura');
INSERT INTO `lang_definitions` VALUES (9414, 655, 4, 'Administrador de Facturación');
INSERT INTO `lang_definitions` VALUES (9415, 656, 4, 'Nota de factura');
INSERT INTO `lang_definitions` VALUES (9416, 657, 4, 'Nota de factura para ');
INSERT INTO `lang_definitions` VALUES (9417, 658, 4, 'Nota de factura:');
INSERT INTO `lang_definitions` VALUES (9418, 659, 4, 'Resultados de la cola de facturación:');
INSERT INTO `lang_definitions` VALUES (9419, 660, 4, 'Informe de Facturación');
INSERT INTO `lang_definitions` VALUES (9420, 661, 4, 'Estado de facturación');
INSERT INTO `lang_definitions` VALUES (9421, 662, 4, 'Estado de Facturación = no facturados');
INSERT INTO `lang_definitions` VALUES (9422, 663, 4, 'factura para ');
INSERT INTO `lang_definitions` VALUES (9423, 665, 4, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (9424, 666, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (9425, 669, 4, 'Negro');
INSERT INTO `lang_definitions` VALUES (9426, 670, 4, 'Pulmón ennegrecido');
INSERT INTO `lang_definitions` VALUES (9427, 671, 4, 'Negro o Afro Americano');
INSERT INTO `lang_definitions` VALUES (9428, 672, 4, 'Cáncer de vejiga');
INSERT INTO `lang_definitions` VALUES (9429, 673, 4, 'Infecciones de vejiga');
INSERT INTO `lang_definitions` VALUES (9430, 674, 4, 'Formas en blanco');
INSERT INTO `lang_definitions` VALUES (9431, 675, 4, 'Problemas de sangrado');
INSERT INTO `lang_definitions` VALUES (9432, 676, 4, 'Puntos Ciegos');
INSERT INTO `lang_definitions` VALUES (9433, 677, 4, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (9434, 678, 4, 'Atascado');
INSERT INTO `lang_definitions` VALUES (9435, 679, 4, 'Sangre');
INSERT INTO `lang_definitions` VALUES (9436, 680, 4, 'Presión Arterial');
INSERT INTO `lang_definitions` VALUES (9437, 681, 4, 'Presión arterial');
INSERT INTO `lang_definitions` VALUES (9438, 682, 4, 'Sangra de la nariz');
INSERT INTO `lang_definitions` VALUES (9439, 683, 4, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (9440, 684, 4, 'En este reporte líneas azules son informativas. Líneas negras muestran información existente. Líneas verdes muestran cambios aplicados exitosamente. Líneas rojas indican errores o cambios que no fueron aplicados, y deben ser procesados manualmente. Reclamos denegados y pagos revertidos no se manejan automáticamente y aparecerán en rojo.');
INSERT INTO `lang_definitions` VALUES (9441, 685, 4, 'Visión borrosa');
INSERT INTO `lang_definitions` VALUES (9442, 686, 4, 'IMC');
INSERT INTO `lang_definitions` VALUES (9443, 687, 4, 'Estado del IMC');
INSERT INTO `lang_definitions` VALUES (9444, 689, 4, 'Región corporal');
INSERT INTO `lang_definitions` VALUES (9445, 690, 4, 'Área Corporall');
INSERT INTO `lang_definitions` VALUES (9446, 691, 4, 'Área corporal si aplica');
INSERT INTO `lang_definitions` VALUES (9447, 692, 4, 'Sensibilidad en hueso:');
INSERT INTO `lang_definitions` VALUES (9448, 693, 4, 'Sensibilidad en hueso: Maléolo Tibial');
INSERT INTO `lang_definitions` VALUES (9449, 694, 4, 'Boleano');
INSERT INTO `lang_definitions` VALUES (9450, 696, 4, 'Infer');
INSERT INTO `lang_definitions` VALUES (9451, 697, 4, 'Ambos Oídos');
INSERT INTO `lang_definitions` VALUES (9452, 698, 4, 'ambas orejas/ ambos oídos');
INSERT INTO `lang_definitions` VALUES (9453, 699, 4, 'Parte inferior');
INSERT INTO `lang_definitions` VALUES (9454, 701, 4, 'CAJA 10 A. relacionados con el Empleo ');
INSERT INTO `lang_definitions` VALUES (9455, 702, 4, 'CAJA 10 B. Accidentes de Autos ');
INSERT INTO `lang_definitions` VALUES (9456, 703, 4, 'CAJA 10 C. Otros Accidentes ');
INSERT INTO `lang_definitions` VALUES (9457, 706, 4, 'CAJA 15. Día en el que tuvo la misma enfermedad, o alguna similar (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (9458, 708, 4, 'CAJA 16. Fecha de incapacidad de trabajar apartir de (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (9459, 709, 4, 'CAJA 16. Fecha incapacidad de trabajar (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (9460, 710, 4, 'CAJA 18. Fecha de incicio de hospitalización (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (9461, 711, 4, 'CAJA 18. Fecha de inicio de hospitalización a (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (9462, 712, 4, 'CASILLA 20. ¿Se utiliza Laboratorio externo?');
INSERT INTO `lang_definitions` VALUES (9463, 713, 4, 'CAJA 22. Código de la resumisión de Medicaid (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (9464, 714, 4, 'CAJA 23. Número de Autorización previa ');
INSERT INTO `lang_definitions` VALUES (9465, 715, 4, 'TA');
INSERT INTO `lang_definitions` VALUES (9466, 716, 4, 'PA Diastólica');
INSERT INTO `lang_definitions` VALUES (9467, 717, 4, 'PA Sistólica');
INSERT INTO `lang_definitions` VALUES (9468, 719, 4, 'Pad');
INSERT INTO `lang_definitions` VALUES (9469, 721, 4, 'Pas');
INSERT INTO `lang_definitions` VALUES (9470, 722, 4, 'Portugués brasileño');
INSERT INTO `lang_definitions` VALUES (9471, 723, 4, 'Seno');
INSERT INTO `lang_definitions` VALUES (9472, 724, 4, 'Biopsia del Seno');
INSERT INTO `lang_definitions` VALUES (9473, 725, 4, 'Secrecion del seno');
INSERT INTO `lang_definitions` VALUES (9474, 726, 4, 'Enfermedad de la mama');
INSERT INTO `lang_definitions` VALUES (9475, 727, 4, 'Revisión mama');
INSERT INTO `lang_definitions` VALUES (9476, 728, 4, 'Masa en la mama');
INSERT INTO `lang_definitions` VALUES (9477, 730, 4, 'Sonidos respiratorios:');
INSERT INTO `lang_definitions` VALUES (9478, 732, 4, 'Huesos fracturados');
INSERT INTO `lang_definitions` VALUES (9479, 734, 4, 'Formulario de bronquitis');
INSERT INTO `lang_definitions` VALUES (9480, 735, 4, 'Explorar');
INSERT INTO `lang_definitions` VALUES (9481, 736, 4, 'Explorar para Registro');
INSERT INTO `lang_definitions` VALUES (9482, 737, 4, 'Contusiones/Hematomas');
INSERT INTO `lang_definitions` VALUES (9483, 739, 4, 'Abultamiento derecho:');
INSERT INTO `lang_definitions` VALUES (9484, 741, 4, 'Ardor al orinar');
INSERT INTO `lang_definitions` VALUES (9485, 742, 4, 'Ardor al orinar');
INSERT INTO `lang_definitions` VALUES (9486, 744, 4, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (9487, 745, 4, 'pero todavía no procesado.');
INSERT INTO `lang_definitions` VALUES (9488, 746, 4, 'Gluteos');
INSERT INTO `lang_definitions` VALUES (9489, 747, 4, 'Gluteos + S.I.');
INSERT INTO `lang_definitions` VALUES (9490, 748, 4, 'por');
INSERT INTO `lang_definitions` VALUES (9491, 749, 4, 'Por');
INSERT INTO `lang_definitions` VALUES (9492, 750, 4, 'por boca');
INSERT INTO `lang_definitions` VALUES (9493, 751, 4, 'Por / Fuente');
INSERT INTO `lang_definitions` VALUES (9494, 752, 4, 'Por:');
INSERT INTO `lang_definitions` VALUES (9495, 753, 4, 'C');
INSERT INTO `lang_definitions` VALUES (9496, 754, 4, 'Certificado de CA para verificar el RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (9497, 755, 4, 'Tiempo de Vida del Cache (en segundos)');
INSERT INTO `lang_definitions` VALUES (9498, 756, 4, '¿Plantilla de salida del caché?');
INSERT INTO `lang_definitions` VALUES (9499, 757, 4, 'Consumo de cafeína');
INSERT INTO `lang_definitions` VALUES (9500, 758, 4, 'Calendario');
INSERT INTO `lang_definitions` VALUES (9501, 759, 4, 'Hora de finalización del calendario');
INSERT INTO `lang_definitions` VALUES (9502, 760, 4, 'Intervalo Calendario');
INSERT INTO `lang_definitions` VALUES (9503, 761, 4, 'Pantalla de calendario');
INSERT INTO `lang_definitions` VALUES (9504, 762, 4, 'Ajustes del calendario');
INSERT INTO `lang_definitions` VALUES (9505, 763, 4, 'Hora de inicio de calendario');
INSERT INTO `lang_definitions` VALUES (9506, 764, 4, 'Calendario UI');
INSERT INTO `lang_definitions` VALUES (9507, 765, 4, 'Vista de Calendario');
INSERT INTO `lang_definitions` VALUES (9508, 766, 4, 'Llamada para añadir Formulario () va aquí.<br>');
INSERT INTO `lang_definitions` VALUES (9509, 767, 4, 'Calorias');
INSERT INTO `lang_definitions` VALUES (9510, 768, 4, 'Camboyano');
INSERT INTO `lang_definitions` VALUES (9512, 774, 4, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (9513, 775, 4, 'Cancelar cambios');
INSERT INTO `lang_definitions` VALUES (9514, 776, 4, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (9515, 777, 4, 'Cáncer');
INSERT INTO `lang_definitions` VALUES (9516, 778, 4, 'Detección de Cancer: Detección Cancer de Colon');
INSERT INTO `lang_definitions` VALUES (9517, 779, 4, 'Detección de Cancer: Mamograma');
INSERT INTO `lang_definitions` VALUES (9518, 780, 4, 'Detección de Cancer: Prueba de Papanicolau');
INSERT INTO `lang_definitions` VALUES (9519, 781, 4, 'Detección de Cancer: Detección de Cancer de Prostata');
INSERT INTO `lang_definitions` VALUES (9520, 782, 4, 'No se puede agregar esta entrada, ¡por que ya existe!');
INSERT INTO `lang_definitions` VALUES (9521, 783, 4, '¡No se puede agregar/actualizar esta entrada porque ya existe un duplicado!');
INSERT INTO `lang_definitions` VALUES (9522, 785, 4, 'no puede convertirse a JPEG. ¿probablemente ImageMagick no está instalado?');
INSERT INTO `lang_definitions` VALUES (9523, 787, 4, 'no se puede mostrar en línea porque su tipo no es soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (9524, 788, 4, 'no se puede mostrar en línea porque su tipo no es soportado por el navegador');
INSERT INTO `lang_definitions` VALUES (9525, 789, 4, 'no se puede mostrar en línea porque su tipo no es soportado por el navegador.');
INSERT INTO `lang_definitions` VALUES (9526, 790, 4, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (9527, 795, 4, 'No se puede encontrar ');
INSERT INTO `lang_definitions` VALUES (9528, 796, 4, 'No se puede encontrar archivo de destino');
INSERT INTO `lang_definitions` VALUES (9529, 799, 4, 'No puede encontrar al paciente con esa identificación en SQL-Libro mayor');
INSERT INTO `lang_definitions` VALUES (9530, 800, 4, 'No se puede encontrar el documento de referencia de postdata en ');
INSERT INTO `lang_definitions` VALUES (9531, 801, 4, 'No puede encontrar el proveedor del empleado del SQL-Libro mayor = ');
INSERT INTO `lang_definitions` VALUES (9532, 802, 4, 'No puede modificar los pagos. La distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (9533, 803, 4, 'No se puede abrir ');
INSERT INTO `lang_definitions` VALUES (9534, 804, 4, 'No hay mensajes de Seguros. La entidad que paga seleccionada un Paciente.');
INSERT INTO `lang_definitions` VALUES (9535, 805, 4, 'No puede enviar para Paciente. La Entidad de pago seleccionado es un seguro.');
INSERT INTO `lang_definitions` VALUES (9536, 806, 4, 'No puede enviar pagos. La distribución es negativa.');
INSERT INTO `lang_definitions` VALUES (9537, 807, 4, 'No se puede leer');
INSERT INTO `lang_definitions` VALUES (9538, 808, 4, 'No se puede leer el directorio');
INSERT INTO `lang_definitions` VALUES (9539, 809, 4, 'No se puede actualizar porque no estás editando una entrada que ya exista.');
INSERT INTO `lang_definitions` VALUES (9540, 810, 4, 'Poner en Mayúsculas');
INSERT INTO `lang_definitions` VALUES (9541, 812, 4, 'cápsula');
INSERT INTO `lang_definitions` VALUES (9542, 813, 4, 'Tarjeta');
INSERT INTO `lang_definitions` VALUES (9543, 814, 4, 'Cateterismo Cardiaco');
INSERT INTO `lang_definitions` VALUES (9544, 815, 4, 'Ecocardiograma cardiaco');
INSERT INTO `lang_definitions` VALUES (9545, 816, 4, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (9546, 821, 4, 'Daño de cartílago, condral o del disco articular.');
INSERT INTO `lang_definitions` VALUES (9547, 822, 4, 'Lesión de cartílago');
INSERT INTO `lang_definitions` VALUES (9548, 823, 4, 'Nl Pulsos Carotideos, pulsos pedios nl');
INSERT INTO `lang_definitions` VALUES (9549, 824, 4, 'efectivo');
INSERT INTO `lang_definitions` VALUES (9550, 825, 4, 'Efectivo');
INSERT INTO `lang_definitions` VALUES (9551, 826, 4, 'Recibos Efectivo');
INSERT INTO `lang_definitions` VALUES (9552, 827, 4, 'Recibos de efectivo por Proveedor');
INSERT INTO `lang_definitions` VALUES (9553, 829, 4, 'Cirugía de cataratas');
INSERT INTO `lang_definitions` VALUES (9554, 830, 4, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (9555, 831, 4, 'Categorías');
INSERT INTO `lang_definitions` VALUES (9556, 832, 4, 'Categorias para');
INSERT INTO `lang_definitions` VALUES (9557, 833, 4, 'Categoría');
INSERT INTO `lang_definitions` VALUES (9558, 834, 4, 'categoría');
INSERT INTO `lang_definitions` VALUES (9559, 835, 4, 'Categoría ');
INSERT INTO `lang_definitions` VALUES (9560, 836, 4, 'Detalles de Categoría');
INSERT INTO `lang_definitions` VALUES (9561, 837, 4, 'Límites de Categoría');
INSERT INTO `lang_definitions` VALUES (9562, 838, 4, 'Nombre de Categoría');
INSERT INTO `lang_definitions` VALUES (9563, 839, 4, 'Nombre de la Categoria esta vacio');
INSERT INTO `lang_definitions` VALUES (9564, 840, 4, 'Titulo de la Categoria');
INSERT INTO `lang_definitions` VALUES (9565, 841, 4, 'Caucásico');
INSERT INTO `lang_definitions` VALUES (9566, 842, 4, 'Induce a imprimir recibo del encuentro con la informacion del proveedor');
INSERT INTO `lang_definitions` VALUES (9567, 850, 4, 'CDR');
INSERT INTO `lang_definitions` VALUES (9568, 852, 4, 'Celular');
INSERT INTO `lang_definitions` VALUES (9569, 853, 4, 'Teléfono Celular');
INSERT INTO `lang_definitions` VALUES (9570, 855, 4, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (9571, 856, 4, 'Certificación central');
INSERT INTO `lang_definitions` VALUES (9572, 857, 4, 'Centro Americano / Sud Americano');
INSERT INTO `lang_definitions` VALUES (9573, 858, 4, 'La ubicación del archivo de Certificado de Autoridad crt no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (9574, 859, 4, 'La ubicación de la clave del archivo del Certificado de Autoridad no puede estar vacía');
INSERT INTO `lang_definitions` VALUES (9575, 860, 4, 'Certificado para enviar a la RFC 5425 TLS del servidor syslog.');
INSERT INTO `lang_definitions` VALUES (9576, 861, 4, 'Usuario del Certificado');
INSERT INTO `lang_definitions` VALUES (9577, 862, 4, 'Certificados');
INSERT INTO `lang_definitions` VALUES (9578, 864, 4, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (9579, 865, 4, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (9580, 866, 4, 'cambiar');
INSERT INTO `lang_definitions` VALUES (9581, 867, 4, 'Cambio');
INSERT INTO `lang_definitions` VALUES (9582, 868, 4, 'Cambia actividad');
INSERT INTO `lang_definitions` VALUES (9583, 870, 4, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (9584, 871, 4, 'Cambio en la Visión');
INSERT INTO `lang_definitions` VALUES (9585, 874, 4, 'Cambiado');
INSERT INTO `lang_definitions` VALUES (9586, 875, 4, 'Intestino Cambiado');
INSERT INTO `lang_definitions` VALUES (9587, 877, 4, 'Caracteristicas');
INSERT INTO `lang_definitions` VALUES (9588, 878, 4, 'Carácteres restantes');
INSERT INTO `lang_definitions` VALUES (9589, 879, 4, 'Cobrar');
INSERT INTO `lang_definitions` VALUES (9590, 880, 4, 'Ajuste del cargo');
INSERT INTO `lang_definitions` VALUES (9591, 881, 4, 'Cobro codificado');
INSERT INTO `lang_definitions` VALUES (9592, 882, 4, 'Cargos');
INSERT INTO `lang_definitions` VALUES (9593, 883, 4, 'Historia');
INSERT INTO `lang_definitions` VALUES (9594, 884, 4, 'Histórico de Actividad');
INSERT INTO `lang_definitions` VALUES (9595, 885, 4, 'Entradas / Salidas Informe Historial de Actividad');
INSERT INTO `lang_definitions` VALUES (9596, 886, 4, 'Nº Identificación de gráfico');
INSERT INTO `lang_definitions` VALUES (9597, 887, 4, 'Nº Identificación de gráfico:');
INSERT INTO `lang_definitions` VALUES (9598, 889, 4, 'Actividad de Localización de gráfico');
INSERT INTO `lang_definitions` VALUES (9599, 890, 4, 'Nota en la historia');
INSERT INTO `lang_definitions` VALUES (9600, 891, 4, 'Número de gráfico');
INSERT INTO `lang_definitions` VALUES (9601, 892, 4, 'Lugares en donde está guardado la gráfica');
INSERT INTO `lang_definitions` VALUES (9602, 893, 4, 'Rastreador de gráfico');
INSERT INTO `lang_definitions` VALUES (9603, 894, 4, 'Rastreador de gráfico');
INSERT INTO `lang_definitions` VALUES (9604, 895, 4, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (9605, 896, 4, 'Gráficas retiradas');
INSERT INTO `lang_definitions` VALUES (9606, 898, 4, 'Comprobar');
INSERT INTO `lang_definitions` VALUES (9607, 899, 4, 'comprobar');
INSERT INTO `lang_definitions` VALUES (9608, 900, 4, 'Marcar todo');
INSERT INTO `lang_definitions` VALUES (9609, 902, 4, 'Cantidad del cheque');
INSERT INTO `lang_definitions` VALUES (9610, 903, 4, 'Fecha del cheque');
INSERT INTO `lang_definitions` VALUES (9611, 904, 4, 'Comprobar diferencias entre las traducciones con Tabla del Idioma Personalizada');
INSERT INTO `lang_definitions` VALUES (9612, 906, 4, 'Llegue a');
INSERT INTO `lang_definitions` VALUES (9613, 907, 4, 'Comprobar data insertado');
INSERT INTO `lang_definitions` VALUES (9614, 909, 4, 'Revise los resultados de laboratorio');
INSERT INTO `lang_definitions` VALUES (9615, 912, 4, 'Número de cheque');
INSERT INTO `lang_definitions` VALUES (9616, 915, 4, 'Pago por Cheque');
INSERT INTO `lang_definitions` VALUES (9617, 916, 4, 'Marque el cuadrito si es un documento cifrado');
INSERT INTO `lang_definitions` VALUES (9618, 917, 4, 'Seleccione esto si quiere que los proveedores vean todas las citas por defecto y no solo las suyas.');
INSERT INTO `lang_definitions` VALUES (9619, 919, 4, 'Comprobar Fecha /EOB:');
INSERT INTO `lang_definitions` VALUES (9620, 920, 4, 'Comprobar Número EOB.:');
INSERT INTO `lang_definitions` VALUES (9621, 921, 4, 'Comprobar/número de referencia');
INSERT INTO `lang_definitions` VALUES (9622, 922, 4, 'Comprobar/Número de referencia');
INSERT INTO `lang_definitions` VALUES (9623, 923, 4, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (9624, 924, 4, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (9625, 925, 4, 'Casilla con Texto');
INSERT INTO `lang_definitions` VALUES (9626, 926, 4, 'Casilla con texto');
INSERT INTO `lang_definitions` VALUES (9627, 928, 4, 'Comprobado');
INSERT INTO `lang_definitions` VALUES (9628, 929, 4, 'Casilla marcada = sí, vacío = no');
INSERT INTO `lang_definitions` VALUES (9629, 932, 4, 'Comprobación / Salir');
INSERT INTO `lang_definitions` VALUES (9630, 933, 4, 'Sumatoria');
INSERT INTO `lang_definitions` VALUES (9631, 934, 4, 'Pecho');
INSERT INTO `lang_definitions` VALUES (9632, 935, 4, 'Pecho CTAB');
INSERT INTO `lang_definitions` VALUES (9633, 936, 4, 'Dolor de Pecho');
INSERT INTO `lang_definitions` VALUES (9634, 937, 4, 'Dolor de Pecho');
INSERT INTO `lang_definitions` VALUES (9635, 938, 4, 'Dolores de Pecho');
INSERT INTO `lang_definitions` VALUES (9636, 940, 4, 'Var');
INSERT INTO `lang_definitions` VALUES (9637, 942, 4, 'Queja Principal');
INSERT INTO `lang_definitions` VALUES (9638, 943, 4, 'Niño');
INSERT INTO `lang_definitions` VALUES (9639, 945, 4, 'Estado de Inmunizacion de la Niñez (GCC)');
INSERT INTO `lang_definitions` VALUES (9640, 946, 4, 'Escalofríos');
INSERT INTO `lang_definitions` VALUES (9641, 947, 4, 'Chino');
INSERT INTO `lang_definitions` VALUES (9642, 948, 4, 'Chino (simplificado)');
INSERT INTO `lang_definitions` VALUES (9643, 949, 4, 'Chino (tradicional)');
INSERT INTO `lang_definitions` VALUES (9644, 951, 4, 'Opciones');
INSERT INTO `lang_definitions` VALUES (9645, 952, 4, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (9646, 954, 4, 'Colecistectomía');
INSERT INTO `lang_definitions` VALUES (9647, 955, 4, 'Elegir');
INSERT INTO `lang_definitions` VALUES (9648, 956, 4, 'Elija una sección y seleccione un elemento dentro de ella; luego, en la otra sección, verá remarcados los elementos relacionados y puede seleccionar de esa sección para añadir y borrar relaciones.');
INSERT INTO `lang_definitions` VALUES (9649, 957, 4, 'Criterios de selección');
INSERT INTO `lang_definitions` VALUES (9650, 962, 4, 'Lista de Selecciones');
INSERT INTO `lang_definitions` VALUES (9651, 965, 4, 'Seleccione formato para imprimir para este Informe de Visitas.');
INSERT INTO `lang_definitions` VALUES (9652, 967, 4, 'Bronquitis Crónica');
INSERT INTO `lang_definitions` VALUES (9653, 968, 4, 'Dolor crónico de articulaciones');
INSERT INTO `lang_definitions` VALUES (9654, 969, 4, 'Enfermedad Renal Cronica (ERC)');
INSERT INTO `lang_definitions` VALUES (9655, 970, 4, 'Sinovitis crónica/derrame/dolor articular/gota');
INSERT INTO `lang_definitions` VALUES (9656, 971, 4, 'Crónico/Recurrente');
INSERT INTO `lang_definitions` VALUES (9657, 973, 4, 'Cirrosis del hígado');
INSERT INTO `lang_definitions` VALUES (9658, 974, 4, 'Cirrosis del Hígado');
INSERT INTO `lang_definitions` VALUES (9659, 975, 4, 'Ciudad');
INSERT INTO `lang_definitions` VALUES (9660, 976, 4, 'Nombre de Ciudad');
INSERT INTO `lang_definitions` VALUES (9661, 977, 4, 'Ciudad, Estado');
INSERT INTO `lang_definitions` VALUES (9662, 978, 4, 'Ciudad, Estado Código Postal');
INSERT INTO `lang_definitions` VALUES (9663, 979, 4, 'Ciudad/Estado');
INSERT INTO `lang_definitions` VALUES (9664, 980, 4, 'Reclamo');
INSERT INTO `lang_definitions` VALUES (9665, 981, 4, 'Reclamo ');
INSERT INTO `lang_definitions` VALUES (9666, 983, 4, 'La prueba de Reclamo pedido ha terminado');
INSERT INTO `lang_definitions` VALUES (9667, 984, 4, 'Tipo de Reclamo');
INSERT INTO `lang_definitions` VALUES (9668, 985, 4, 'Reclamo generado para presentar');
INSERT INTO `lang_definitions` VALUES (9669, 986, 4, 'El reclamo se ha guardado en el fichero ');
INSERT INTO `lang_definitions` VALUES (9670, 987, 4, 'Reclamos');
INSERT INTO `lang_definitions` VALUES (9671, 988, 4, 'Clasificación');
INSERT INTO `lang_definitions` VALUES (9672, 989, 4, 'Borrar');
INSERT INTO `lang_definitions` VALUES (9673, 991, 4, 'Desmarcar todos');
INSERT INTO `lang_definitions` VALUES (9674, 992, 4, 'Borrar Datos HL7');
INSERT INTO `lang_definitions` VALUES (9675, 993, 4, 'Borrar Justificación');
INSERT INTO `lang_definitions` VALUES (9676, 994, 4, 'Borrar Cache Smarty');
INSERT INTO `lang_definitions` VALUES (9677, 995, 4, 'Centro de Intercambio de información necesaria para la creación de la serie EDI 270.');
INSERT INTO `lang_definitions` VALUES (9678, 996, 4, 'Número CLIA');
INSERT INTO `lang_definitions` VALUES (9679, 997, 4, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (9680, 998, 4, 'Seleccionar ´export´ para exportar su Categoria, Subcategoria, Item o Datos contenidos a un archivo de texto. Cualquier similaridad de este archivo a un archivo tipo XML es pura coincidencia. Las etiquetas de abrir y cerrar deben estar en la misma línea y deber ser minúsculas sin espacios. Para importar, localize el archivo y selecciona ´Importar´. Si los datos son completamente diferentes se une a los datos existentes. Si hay datos con nombres similares, el nombre más antiguo se retiene mientras que al nuevo se le agrega un número al final.');
INSERT INTO `lang_definitions` VALUES (9681, 999, 4, 'Pinche en el grafico para nueva anotacion, pinche de nuevo para eliminarla.');
INSERT INTO `lang_definitions` VALUES (9682, 1000, 4, 'Seleccionar Bajar Certificado para bajar los certificados en el archivo ssl.zip');
INSERT INTO `lang_definitions` VALUES (9683, 1001, 4, 'Seleccionar para más');
INSERT INTO `lang_definitions` VALUES (9684, 1005, 4, 'Selecciona aquí');
INSERT INTO `lang_definitions` VALUES (9685, 1006, 4, 'Click aqui para añadir un nuevo paciente');
INSERT INTO `lang_definitions` VALUES (9686, 1007, 4, 'Pinche aqui para indicar cambio de estado de la nueva lesion y editar la actividad diaria.');
INSERT INTO `lang_definitions` VALUES (9687, 1008, 4, 'Click aquí para elegir fecha');
INSERT INTO `lang_definitions` VALUES (9688, 1009, 4, 'Click aquí para elegir fecha y hora');
INSERT INTO `lang_definitions` VALUES (9689, 1010, 4, 'Click aquí para elegir fecha de inicio');
INSERT INTO `lang_definitions` VALUES (9690, 1020, 4, 'Click aquí para buscar');
INSERT INTO `lang_definitions` VALUES (9691, 1021, 4, 'Click aquí para actualizar prioridad, categoría y apodos');
INSERT INTO `lang_definitions` VALUES (9692, 1022, 4, 'Click aquí para ver todos.');
INSERT INTO `lang_definitions` VALUES (9693, 1023, 4, 'Click aqui para ver y graficar');
INSERT INTO `lang_definitions` VALUES (9694, 1025, 4, 'Click aquí para ver y graficar todos los signos vitales.');
INSERT INTO `lang_definitions` VALUES (9695, 1026, 4, 'Click aca para ver los detalles del paciente');
INSERT INTO `lang_definitions` VALUES (9696, 1027, 4, 'Selecciona aquí para ver todos.');
INSERT INTO `lang_definitions` VALUES (9697, 1029, 4, 'Pinchar boton Instalar para aceptar descargar de la base de datos emitida desde la siguiente fecha');
INSERT INTO `lang_definitions` VALUES (9698, 1030, 4, 'Selecciona aquí para aumentar los intervalos de tiempo');
INSERT INTO `lang_definitions` VALUES (9699, 1031, 4, 'Click en Nombre Paciente para abrir el fichero del paciente');
INSERT INTO `lang_definitions` VALUES (9700, 1032, 4, 'Selecciona Refrescar para ver todos los resultados ó favor de colocar el criterio de búsqueda arriba para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (9701, 1034, 4, 'Escoja para agregar componentes nuevos');
INSERT INTO `lang_definitions` VALUES (9702, 1035, 4, 'Escoja para agregar consulta nueva');
INSERT INTO `lang_definitions` VALUES (9703, 1037, 4, 'Haga Click para bajar');
INSERT INTO `lang_definitions` VALUES (9704, 1038, 4, 'Haga Click para editar');
INSERT INTO `lang_definitions` VALUES (9705, 1040, 4, 'Haga Click para editar este evento');
INSERT INTO `lang_definitions` VALUES (9706, 1041, 4, 'Haga Click para generar el reporte');
INSERT INTO `lang_definitions` VALUES (9707, 1043, 4, 'Haga Click para imprimir');
INSERT INTO `lang_definitions` VALUES (9708, 1044, 4, 'Haga Click aquí para recibir (añadir) nuevo lote');
INSERT INTO `lang_definitions` VALUES (9709, 1045, 4, 'Haga Click para elegir');
INSERT INTO `lang_definitions` VALUES (9710, 1046, 4, 'Haga Click para elegir');
INSERT INTO `lang_definitions` VALUES (9711, 1047, 4, 'Seleccionar para elegir un codigo usual de la industria para este procedimiento');
INSERT INTO `lang_definitions` VALUES (9712, 1048, 4, 'Click para seleccionar el codigo de procedimiento opcional');
INSERT INTO `lang_definitions` VALUES (9713, 1050, 4, 'Escoja para seleccionar o cambiar codigo CVX');
INSERT INTO `lang_definitions` VALUES (9714, 1051, 4, 'Seleccionar para elegir o cambiar diagnóstico');
INSERT INTO `lang_definitions` VALUES (9715, 1052, 4, 'Haga click para elegir o cambiar códigos de servicios');
INSERT INTO `lang_definitions` VALUES (9716, 1053, 4, 'Selecciona para elegir paciente');
INSERT INTO `lang_definitions` VALUES (9717, 1054, 4, 'Selecciona para elegir código relacionado');
INSERT INTO `lang_definitions` VALUES (9718, 1055, 4, 'Selecciona para elegir servicios a rendir si este resultado es anormal');
INSERT INTO `lang_definitions` VALUES (9719, 1056, 4, 'Selecciona para elegir el procedimiento deseado');
INSERT INTO `lang_definitions` VALUES (9720, 1058, 4, 'Seleccione para ver');
INSERT INTO `lang_definitions` VALUES (9721, 1059, 4, 'Selecciona para ver o para corregir');
INSERT INTO `lang_definitions` VALUES (9722, 1060, 4, 'Selecciona para ver/editar');
INSERT INTO `lang_definitions` VALUES (9723, 1061, 4, 'Pinche Actualizar para descargar la base de datos actualizada desde la fecha siguiente.');
INSERT INTO `lang_definitions` VALUES (9724, 1063, 4, 'Selecciona:');
INSERT INTO `lang_definitions` VALUES (9725, 1064, 4, 'Días de Vencimiento del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (9726, 1065, 4, 'Periodo de validacion del Certificado del Cliente');
INSERT INTO `lang_definitions` VALUES (9727, 1066, 4, 'Validez del certificado del cliente debe ser un número válido');
INSERT INTO `lang_definitions` VALUES (9728, 1067, 4, 'Copia para el cliente');
INSERT INTO `lang_definitions` VALUES (9729, 1069, 4, 'Resumen de historia clínica del cliente');
INSERT INTO `lang_definitions` VALUES (9730, 1072, 4, 'Perfil de cliente - Nuevos Clientes');
INSERT INTO `lang_definitions` VALUES (9731, 1073, 4, 'Perfil de cliente - Clientes Únicos');
INSERT INTO `lang_definitions` VALUES (9732, 1074, 4, 'Clientes');
INSERT INTO `lang_definitions` VALUES (9733, 1075, 4, 'Clínica');
INSERT INTO `lang_definitions` VALUES (9734, 1076, 4, 'Copia para la Clínica');
INSERT INTO `lang_definitions` VALUES (9735, 1077, 4, 'Informe Diario de la Clínica');
INSERT INTO `lang_definitions` VALUES (9736, 1078, 4, 'Número de Identificación de la Clínica');
INSERT INTO `lang_definitions` VALUES (9737, 1079, 4, 'Clínico');
INSERT INTO `lang_definitions` VALUES (9738, 1080, 4, 'Gestor de Alertas para las Reglas de Decisiones Clinicas');
INSERT INTO `lang_definitions` VALUES (9739, 1083, 4, 'Planes Clinicos');
INSERT INTO `lang_definitions` VALUES (9740, 1084, 4, 'Medidas de Calidad Clinica (GCC)');
INSERT INTO `lang_definitions` VALUES (9741, 1087, 4, 'Recordatorios Clinicos');
INSERT INTO `lang_definitions` VALUES (9742, 1088, 4, 'Reportes Clínicos');
INSERT INTO `lang_definitions` VALUES (9743, 1089, 4, 'Categoria de Accion de Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (9744, 1090, 4, 'Asunto de Accion de Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (9745, 1091, 4, 'Metodos de filtrado de Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (9746, 1092, 4, 'Objetivo de Metodos de Reglas Clinicas.');
INSERT INTO `lang_definitions` VALUES (9747, 1093, 4, 'Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (9748, 1094, 4, 'Intervalos de Edad de las Reglas Clinicas');
INSERT INTO `lang_definitions` VALUES (9749, 1095, 4, 'Comparaciones de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9750, 1096, 4, 'Tipos de Encuentros de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9751, 1097, 4, 'Opciones de Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9752, 1098, 4, 'Opciones de Desactivación de los Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9753, 1099, 4, 'Intervalos de los Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9754, 1100, 4, 'Métodos para los Recordatorios de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9755, 1101, 4, 'Intervalos buscados de las Reglas Clínicas');
INSERT INTO `lang_definitions` VALUES (9756, 1102, 4, 'Objetivos Clínicos');
INSERT INTO `lang_definitions` VALUES (9757, 1106, 4, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (9758, 1107, 4, 'Clonar');
INSERT INTO `lang_definitions` VALUES (9759, 1108, 4, 'Clonar visita anterior');
INSERT INTO `lang_definitions` VALUES (9760, 1109, 4, 'Cerrar');
INSERT INTO `lang_definitions` VALUES (9761, 1111, 4, 'cerrar ventana');
INSERT INTO `lang_definitions` VALUES (9762, 1112, 4, 'Cerrado');
INSERT INTO `lang_definitions` VALUES (9763, 1113, 4, 'cm');
INSERT INTO `lang_definitions` VALUES (9764, 1114, 4, 'Margenes del formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (9765, 1118, 4, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (9766, 1120, 4, 'Registro en el portal CMS');
INSERT INTO `lang_definitions` VALUES (9767, 1127, 4, 'CN2-12 Intacto');
INSERT INTO `lang_definitions` VALUES (9768, 1128, 4, 'Copago');
INSERT INTO `lang_definitions` VALUES (9769, 1129, 4, 'Copago pagado');
INSERT INTO `lang_definitions` VALUES (9770, 1130, 4, 'Copago');
INSERT INTO `lang_definitions` VALUES (9771, 1131, 4, 'Código');
INSERT INTO `lang_definitions` VALUES (9772, 1132, 4, 'código');
INSERT INTO `lang_definitions` VALUES (9773, 1133, 4, 'Buscador de Código');
INSERT INTO `lang_definitions` VALUES (9774, 1134, 4, 'Código debe ser 2 letras en minúscula');
INSERT INTO `lang_definitions` VALUES (9775, 1135, 4, 'Código o símbolo para indicar tipo de cambio');
INSERT INTO `lang_definitions` VALUES (9776, 1136, 4, 'Código de Texto');
INSERT INTO `lang_definitions` VALUES (9777, 1138, 4, 'tipo de código');
INSERT INTO `lang_definitions` VALUES (9778, 1141, 4, 'Típos de Código');
INSERT INTO `lang_definitions` VALUES (9779, 1143, 4, 'Codificado');
INSERT INTO `lang_definitions` VALUES (9780, 1144, 4, 'Códigos');
INSERT INTO `lang_definitions` VALUES (9781, 1145, 4, 'Codificación');
INSERT INTO `lang_definitions` VALUES (9782, 1146, 4, 'Codificación (clic para educación)');
INSERT INTO `lang_definitions` VALUES (9783, 1147, 4, 'Codificación - cualquier encuentros (escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (9784, 1148, 4, 'Codificación - mis encuentros (escribir, con algunas opciones)');
INSERT INTO `lang_definitions` VALUES (9785, 1149, 4, 'Codificación no autorizada');
INSERT INTO `lang_definitions` VALUES (9786, 1150, 4, 'Café');
INSERT INTO `lang_definitions` VALUES (9787, 1151, 4, 'Consumo de café');
INSERT INTO `lang_definitions` VALUES (9788, 1152, 4, 'Coseguro');
INSERT INTO `lang_definitions` VALUES (9789, 1153, 4, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (9790, 1154, 4, 'Colapsar');
INSERT INTO `lang_definitions` VALUES (9791, 1155, 4, 'Colapsar');
INSERT INTO `lang_definitions` VALUES (9792, 1156, 4, 'Colapsar Todo');
INSERT INTO `lang_definitions` VALUES (9793, 1157, 4, 'Colapsar Todos');
INSERT INTO `lang_definitions` VALUES (9794, 1158, 4, 'colapsar todos');
INSERT INTO `lang_definitions` VALUES (9795, 1160, 4, 'Fecha de recolecciòn');
INSERT INTO `lang_definitions` VALUES (9796, 1161, 4, 'Colecciones');
INSERT INTO `lang_definitions` VALUES (9797, 1162, 4, 'Informe de recogidas');
INSERT INTO `lang_definitions` VALUES (9798, 1163, 4, 'Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (9799, 1164, 4, 'Detección de Cáncer de colon');
INSERT INTO `lang_definitions` VALUES (9800, 1165, 4, 'Cirugía del cáncer de colon');
INSERT INTO `lang_definitions` VALUES (9801, 1166, 4, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (9802, 1167, 4, 'colonoscopía');
INSERT INTO `lang_definitions` VALUES (9803, 1168, 4, 'Color');
INSERT INTO `lang_definitions` VALUES (9804, 1169, 4, 'Abreviatura de color');
INSERT INTO `lang_definitions` VALUES (9805, 1170, 4, 'Columna');
INSERT INTO `lang_definitions` VALUES (9806, 1171, 4, 'Columnas');
INSERT INTO `lang_definitions` VALUES (9807, 1172, 4, 'Combinando Lotes');
INSERT INTO `lang_definitions` VALUES (9808, 1173, 4, 'Coma');
INSERT INTO `lang_definitions` VALUES (9809, 1174, 4, 'Commentario');
INSERT INTO `lang_definitions` VALUES (9810, 1175, 4, 'Comentarios');
INSERT INTO `lang_definitions` VALUES (9811, 1176, 4, 'Comentarios para este resultado o recomendación');
INSERT INTO `lang_definitions` VALUES (9812, 1177, 4, 'Compañía Aseguradora');
INSERT INTO `lang_definitions` VALUES (9813, 1178, 4, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (9814, 1179, 4, 'Comunicación');
INSERT INTO `lang_definitions` VALUES (9815, 1180, 4, 'Comunicaciones');
INSERT INTO `lang_definitions` VALUES (9816, 1182, 4, 'Compañía');
INSERT INTO `lang_definitions` VALUES (9817, 1183, 4, 'Nombre de la Compañía');
INSERT INTO `lang_definitions` VALUES (9818, 1184, 4, 'Completo');
INSERT INTO `lang_definitions` VALUES (9819, 1186, 4, 'Terminado');
INSERT INTO `lang_definitions` VALUES (9820, 1188, 4, '¿Completado?');
INSERT INTO `lang_definitions` VALUES (9821, 1190, 4, 'Conplicaciones por el proveedor de servicios');
INSERT INTO `lang_definitions` VALUES (9822, 1191, 4, 'Complicaciones de aborto');
INSERT INTO `lang_definitions` VALUES (9823, 1192, 4, 'Componentes');
INSERT INTO `lang_definitions` VALUES (9824, 1193, 4, 'Sistema Computarizado de Pedidos Médicos');
INSERT INTO `lang_definitions` VALUES (9825, 1194, 4, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (9826, 1198, 4, 'Config');
INSERT INTO `lang_definitions` VALUES (9827, 1199, 4, 'Configuración');
INSERT INTO `lang_definitions` VALUES (9828, 1200, 4, 'Configuración Exportar / Importar');
INSERT INTO `lang_definitions` VALUES (9829, 1202, 4, 'Configure Apache y LibreEHR para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (9830, 1203, 4, 'Configure Apache para usar certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (9831, 1204, 4, 'Configure Apache para usar HTTPS');
INSERT INTO `lang_definitions` VALUES (9832, 1205, 4, 'Configure LIBREEHR para usar certificado SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (9833, 1208, 4, 'Confirmar creación de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (9834, 1209, 4, 'Confirmar la nueva contraseña');
INSERT INTO `lang_definitions` VALUES (9835, 1210, 4, 'Confirmar Pago');
INSERT INTO `lang_definitions` VALUES (9836, 1214, 4, 'Congénito');
INSERT INTO `lang_definitions` VALUES (9837, 1215, 4, 'Conjuntiva, pupilas');
INSERT INTO `lang_definitions` VALUES (9838, 1216, 4, 'Error de conexión');
INSERT INTO `lang_definitions` VALUES (9839, 1217, 4, 'Conectores');
INSERT INTO `lang_definitions` VALUES (9840, 1218, 4, 'Constante');
INSERT INTO `lang_definitions` VALUES (9841, 1219, 4, 'Nombre constante');
INSERT INTO `lang_definitions` VALUES (9842, 1220, 4, 'Nombre constante está en blanco');
INSERT INTO `lang_definitions` VALUES (9843, 1221, 4, 'constantes');
INSERT INTO `lang_definitions` VALUES (9844, 1222, 4, 'Estreñimiento');
INSERT INTO `lang_definitions` VALUES (9845, 1223, 4, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (9846, 1226, 4, 'Breve Descripción de Consulta');
INSERT INTO `lang_definitions` VALUES (9847, 1227, 4, 'Contacto');
INSERT INTO `lang_definitions` VALUES (9848, 1228, 4, 'email de contacto');
INSERT INTO `lang_definitions` VALUES (9849, 1229, 4, 'email de contacto');
INSERT INTO `lang_definitions` VALUES (9850, 1231, 4, 'Informacion de contacto');
INSERT INTO `lang_definitions` VALUES (9851, 1232, 4, 'Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (9852, 1236, 4, 'Nombre de contacto');
INSERT INTO `lang_definitions` VALUES (9853, 1237, 4, 'Persona de Contacto');
INSERT INTO `lang_definitions` VALUES (9854, 1238, 4, 'Teléfono de Contacto');
INSERT INTO `lang_definitions` VALUES (9855, 1239, 4, 'Teléfono de Contacto');
INSERT INTO `lang_definitions` VALUES (9856, 1240, 4, 'Contacte a ZMG, LLC (zmghealth@gmail.com) para suscribirse al servicio de eRx');
INSERT INTO `lang_definitions` VALUES (9857, 1241, 4, 'contiene por lo menos tres de las cuatro cosas siguientes:');
INSERT INTO `lang_definitions` VALUES (9858, 1243, 4, 'Contenido');
INSERT INTO `lang_definitions` VALUES (9859, 1244, 4, 'contenido');
INSERT INTO `lang_definitions` VALUES (9860, 1245, 4, 'Contexto');
INSERT INTO `lang_definitions` VALUES (9861, 1246, 4, 'El nombre del contexto no puede estar vacío');
INSERT INTO `lang_definitions` VALUES (9862, 1247, 4, 'Continuar');
INSERT INTO `lang_definitions` VALUES (9863, 1248, 4, 'Documento de Continuidad de Atención (CCD)');
INSERT INTO `lang_definitions` VALUES (9864, 1249, 4, 'Registro de Continuidad de Cuidados (CCR)');
INSERT INTO `lang_definitions` VALUES (9865, 1250, 4, 'Contra Clientes');
INSERT INTO `lang_definitions` VALUES (9866, 1251, 4, 'Contracepción');
INSERT INTO `lang_definitions` VALUES (9867, 1252, 4, 'Problemas Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (9868, 1253, 4, 'Complicación anticonceptivos (especificar)');
INSERT INTO `lang_definitions` VALUES (9869, 1254, 4, 'Método Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (9870, 1255, 4, 'Productos Anticonceptivos');
INSERT INTO `lang_definitions` VALUES (9871, 1256, 4, 'Servicios anticonceptivos ya empezados');
INSERT INTO `lang_definitions` VALUES (9872, 1257, 4, 'Comienzo de anticonceptivos');
INSERT INTO `lang_definitions` VALUES (9873, 1258, 4, 'Identificacion de control');
INSERT INTO `lang_definitions` VALUES (9874, 1259, 4, 'N º de control');
INSERT INTO `lang_definitions` VALUES (9875, 1261, 4, 'Co-Pago');
INSERT INTO `lang_definitions` VALUES (9876, 1262, 4, 'Co-pago');
INSERT INTO `lang_definitions` VALUES (9877, 1263, 4, 'Co-Pago');
INSERT INTO `lang_definitions` VALUES (9878, 1264, 4, 'El Co-pago no es positivo');
INSERT INTO `lang_definitions` VALUES (9879, 1265, 4, 'Copago pagado');
INSERT INTO `lang_definitions` VALUES (9880, 1266, 4, 'Co-pagos');
INSERT INTO `lang_definitions` VALUES (9881, 1267, 4, 'COPD');
INSERT INTO `lang_definitions` VALUES (9882, 1268, 4, 'Copiar páginas al Historial del Paciente');
INSERT INTO `lang_definitions` VALUES (9883, 1269, 4, 'Copiar Valores');
INSERT INTO `lang_definitions` VALUES (9884, 1270, 4, 'Copiando el archivo de la base de datos. Esto puede tardar unos minutos...');
INSERT INTO `lang_definitions` VALUES (9885, 1271, 4, 'Anuncio de Derechos Reservados');
INSERT INTO `lang_definitions` VALUES (9886, 1273, 4, 'Bypass coronario arterial');
INSERT INTO `lang_definitions` VALUES (9887, 1274, 4, 'Cirugía de revascularización coronaria');
INSERT INTO `lang_definitions` VALUES (9888, 1275, 4, 'Corregido');
INSERT INTO `lang_definitions` VALUES (9889, 1277, 4, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (9890, 1278, 4, 'Conexión a CouchDB fallida.');
INSERT INTO `lang_definitions` VALUES (9891, 1279, 4, 'bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (9892, 1280, 4, 'Nombre de bbdd CouchDB');
INSERT INTO `lang_definitions` VALUES (9893, 1281, 4, 'Host CouchDB');
INSERT INTO `lang_definitions` VALUES (9894, 1282, 4, 'Nombre Host CouchDB');
INSERT INTO `lang_definitions` VALUES (9895, 1283, 4, 'Activar Log CouchDB');
INSERT INTO `lang_definitions` VALUES (9896, 1284, 4, 'Contraseña CouchDB');
INSERT INTO `lang_definitions` VALUES (9897, 1285, 4, 'Puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (9898, 1286, 4, 'puerto CouchDB');
INSERT INTO `lang_definitions` VALUES (9899, 1288, 4, 'Nombre usuario CouchDB');
INSERT INTO `lang_definitions` VALUES (9900, 1289, 4, 'Tos');
INSERT INTO `lang_definitions` VALUES (9901, 1290, 4, 'Tos:');
INSERT INTO `lang_definitions` VALUES (9902, 1291, 4, 'No pudo conectar servidor');
INSERT INTO `lang_definitions` VALUES (9903, 1293, 4, 'No pudo abrir tabla');
INSERT INTO `lang_definitions` VALUES (9904, 1294, 4, 'No se pudo leer el archivo');
INSERT INTO `lang_definitions` VALUES (9905, 1295, 4, 'No pudo leer archivo');
INSERT INTO `lang_definitions` VALUES (9906, 1296, 4, 'Correo no salió por problema con servidor, ');
INSERT INTO `lang_definitions` VALUES (9907, 1297, 4, 'No se pudo enviar email debido a problemas en el servidor. ');
INSERT INTO `lang_definitions` VALUES (9908, 1298, 4, 'No se pudo crear el dir de backup:');
INSERT INTO `lang_definitions` VALUES (9909, 1299, 4, 'No se pudo eliminar dir:');
INSERT INTO `lang_definitions` VALUES (9910, 1300, 4, 'No se pudo eliminar el antiguo fichero de Backup:');
INSERT INTO `lang_definitions` VALUES (9911, 1301, 4, 'No se pudo eliminar el antiguo fichero de exportación:');
INSERT INTO `lang_definitions` VALUES (9912, 1302, 4, 'Tratamiento con Coumadin - Seguimiento del Ratio Internacional Normalizado (RIN)');
INSERT INTO `lang_definitions` VALUES (9913, 1303, 4, 'Counseling por Método');
INSERT INTO `lang_definitions` VALUES (9914, 1304, 4, 'Orientación');
INSERT INTO `lang_definitions` VALUES (9915, 1305, 4, 'Actividades de orientación');
INSERT INTO `lang_definitions` VALUES (9916, 1306, 4, 'CONTADOR DE REMISIÓN');
INSERT INTO `lang_definitions` VALUES (9917, 1307, 4, 'Retorno de la derivación');
INSERT INTO `lang_definitions` VALUES (9918, 1308, 4, 'País');
INSERT INTO `lang_definitions` VALUES (9919, 1309, 4, 'Tipo de datos País');
INSERT INTO `lang_definitions` VALUES (9920, 1310, 4, 'Lista de País');
INSERT INTO `lang_definitions` VALUES (9921, 1311, 4, 'Lista del país (escriba, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (9922, 1312, 4, 'Nombre del Pais debe ser representado por dos letras');
INSERT INTO `lang_definitions` VALUES (9923, 1313, 4, 'condado');
INSERT INTO `lang_definitions` VALUES (9924, 1315, 4, 'Cupón');
INSERT INTO `lang_definitions` VALUES (9925, 1318, 4, 'CPT');
INSERT INTO `lang_definitions` VALUES (9926, 1319, 4, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (9927, 1320, 4, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (9928, 1321, 4, 'Procedimiento/Servicio CPT4');
INSERT INTO `lang_definitions` VALUES (9929, 1322, 4, 'Medidas de Rendimiento CPTII');
INSERT INTO `lang_definitions` VALUES (9930, 1323, 4, 'Gestión Calidad Continua (GCC)');
INSERT INTO `lang_definitions` VALUES (9931, 1324, 4, 'Crujidos, crepitaciones');
INSERT INTO `lang_definitions` VALUES (9932, 1325, 4, 'crema');
INSERT INTO `lang_definitions` VALUES (9933, 1326, 4, 'Crear un certificado SSL del Cliente por usuario o cliente de maquina');
INSERT INTO `lang_definitions` VALUES (9934, 1327, 4, 'Crear un certificado SSL del cliente para usuario o nombre del invitado');
INSERT INTO `lang_definitions` VALUES (9935, 1329, 4, 'Crear un evento');
INSERT INTO `lang_definitions` VALUES (9936, 1330, 4, 'Crear y descargar un respaldo completo');
INSERT INTO `lang_definitions` VALUES (9937, 1332, 4, 'Crear Respaldo');
INSERT INTO `lang_definitions` VALUES (9938, 1333, 4, 'Crear batch (serie o lote)');
INSERT INTO `lang_definitions` VALUES (9939, 1334, 4, 'Crear Certificado de Cliente');
INSERT INTO `lang_definitions` VALUES (9940, 1335, 4, 'Crear Certificados SSL del Cliente');
INSERT INTO `lang_definitions` VALUES (9941, 1336, 4, 'Crear duplicado');
INSERT INTO `lang_definitions` VALUES (9942, 1338, 4, 'Crear copia de seguridad de registro de eventos');
INSERT INTO `lang_definitions` VALUES (9943, 1339, 4, 'Crear nuevo asunto');
INSERT INTO `lang_definitions` VALUES (9944, 1340, 4, 'Crear paciente nuevo');
INSERT INTO `lang_definitions` VALUES (9945, 1342, 4, 'Crear credenciales del portal fuera del sitio');
INSERT INTO `lang_definitions` VALUES (9946, 1343, 4, 'Crear credenciales del portal dentro del sitio');
INSERT INTO `lang_definitions` VALUES (9947, 1344, 4, 'Crear nota de paciente');
INSERT INTO `lang_definitions` VALUES (9948, 1345, 4, 'Crear Certificado de Autoridad SSL y Certificados del Servidor.');
INSERT INTO `lang_definitions` VALUES (9949, 1346, 4, 'Crear Encuentro');
INSERT INTO `lang_definitions` VALUES (9950, 1347, 4, 'Creado');
INSERT INTO `lang_definitions` VALUES (9951, 1348, 4, 'Creando archivo de exportación');
INSERT INTO `lang_definitions` VALUES (9952, 1351, 4, 'Creador');
INSERT INTO `lang_definitions` VALUES (9953, 1352, 4, 'crédito');
INSERT INTO `lang_definitions` VALUES (9954, 1353, 4, 'Tarjeta de Crédito');
INSERT INTO `lang_definitions` VALUES (9955, 1354, 4, 'Créditos');
INSERT INTO `lang_definitions` VALUES (9956, 1356, 4, 'Criterio');
INSERT INTO `lang_definitions` VALUES (9957, 1358, 4, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (9958, 1359, 4, 'Enfermedad de Crohn');
INSERT INTO `lang_definitions` VALUES (9959, 1360, 4, 'CSV');
INSERT INTO `lang_definitions` VALUES (9960, 1361, 4, 'Archivo de CSV');
INSERT INTO `lang_definitions` VALUES (9961, 1363, 4, 'MM.CU (Mililitros cubicos)');
INSERT INTO `lang_definitions` VALUES (9962, 1364, 4, 'Cubano');
INSERT INTO `lang_definitions` VALUES (9963, 1365, 4, 'Número de decimales en moneda');
INSERT INTO `lang_definitions` VALUES (9964, 1366, 4, 'Símbolo de Punto Decimal en moneda');
INSERT INTO `lang_definitions` VALUES (9965, 1367, 4, 'Indicador de moneda');
INSERT INTO `lang_definitions` VALUES (9966, 1368, 4, 'Moneda - Separador de Miles');
INSERT INTO `lang_definitions` VALUES (9967, 1369, 4, 'Actual');
INSERT INTO `lang_definitions` VALUES (9968, 1370, 4, 'Alcohol actual');
INSERT INTO `lang_definitions` VALUES (9969, 1371, 4, 'Consulta Actual');
INSERT INTO `lang_definitions` VALUES (9970, 1372, 4, 'Criterios Actuales');
INSERT INTO `lang_definitions` VALUES (9971, 1373, 4, 'Color resaltado del presente día');
INSERT INTO `lang_definitions` VALUES (9972, 1374, 4, 'Actualmente fumador diario');
INSERT INTO `lang_definitions` VALUES (9973, 1375, 4, 'El nombre de archivo actual fue cambiado a');
INSERT INTO `lang_definitions` VALUES (9974, 1376, 4, 'Clave encriptada actual');
INSERT INTO `lang_definitions` VALUES (9975, 1377, 4, 'Ubicación actual');
INSERT INTO `lang_definitions` VALUES (9976, 1378, 4, 'Medicamentos actuales');
INSERT INTO `lang_definitions` VALUES (9977, 1379, 4, 'Contraseña actual');
INSERT INTO `lang_definitions` VALUES (9978, 1380, 4, 'Paciente Actual');
INSERT INTO `lang_definitions` VALUES (9979, 1382, 4, 'Actuales drogas recreativas');
INSERT INTO `lang_definitions` VALUES (9980, 1383, 4, 'Actualmente fumador ocasional');
INSERT INTO `lang_definitions` VALUES (9981, 1386, 4, 'Actualmente Activo');
INSERT INTO `lang_definitions` VALUES (9982, 1388, 4, 'No hay centros');
INSERT INTO `lang_definitions` VALUES (9983, 1389, 4, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (9984, 1390, 4, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (9985, 1392, 4, 'A medida');
INSERT INTO `lang_definitions` VALUES (9986, 1393, 4, '¿Entrada personalizada?');
INSERT INTO `lang_definitions` VALUES (9987, 1394, 4, 'Tabla personalizada');
INSERT INTO `lang_definitions` VALUES (9988, 1396, 4, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (9989, 1397, 4, 'Mapeo del código CVX');
INSERT INTO `lang_definitions` VALUES (9990, 1398, 4, 'Vacunación CVX');
INSERT INTO `lang_definitions` VALUES (9991, 1399, 4, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (9992, 1400, 4, 'CYP');
INSERT INTO `lang_definitions` VALUES (9993, 1401, 4, 'Factor de CYP');
INSERT INTO `lang_definitions` VALUES (9994, 1402, 4, 'Informe de CYP');
INSERT INTO `lang_definitions` VALUES (9995, 1403, 4, 'Checo');
INSERT INTO `lang_definitions` VALUES (9996, 1404, 4, 'D');
INSERT INTO `lang_definitions` VALUES (9997, 1405, 4, 'D&C');
INSERT INTO `lang_definitions` VALUES (9998, 1406, 4, 'D&E');
INSERT INTO `lang_definitions` VALUES (9999, 1407, 4, 'F.D.N.');
INSERT INTO `lang_definitions` VALUES (10000, 1408, 4, 'diariamente');
INSERT INTO `lang_definitions` VALUES (10001, 1409, 4, 'Registro Diario');
INSERT INTO `lang_definitions` VALUES (10002, 1410, 4, 'Danés');
INSERT INTO `lang_definitions` VALUES (10003, 1411, 4, 'Información parecida está ya en la base de datos, por favor cambie el código o la descripción');
INSERT INTO `lang_definitions` VALUES (10004, 1412, 4, 'Información parecida está ya en la base de datos, por favor cambie el nombre de la constante');
INSERT INTO `lang_definitions` VALUES (10005, 1413, 4, 'Datos Cols');
INSERT INTO `lang_definitions` VALUES (10006, 1416, 4, 'Error en los datos');
INSERT INTO `lang_definitions` VALUES (10007, 1420, 4, 'Tipo de datos');
INSERT INTO `lang_definitions` VALUES (10008, 1421, 4, 'Base de datos');
INSERT INTO `lang_definitions` VALUES (10009, 1422, 4, 'La base de datos no ha sido instalada');
INSERT INTO `lang_definitions` VALUES (10010, 1423, 4, 'Revisión bbdd');
INSERT INTO `lang_definitions` VALUES (10011, 1424, 4, 'Información de la base de datos');
INSERT INTO `lang_definitions` VALUES (10012, 1425, 4, 'Actualización de base de datos completa');
INSERT INTO `lang_definitions` VALUES (10013, 1426, 4, 'DataCols debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (10014, 1427, 4, 'Fecha');
INSERT INTO `lang_definitions` VALUES (10015, 1428, 4, 'FECHA');
INSERT INTO `lang_definitions` VALUES (10016, 1431, 4, 'Fecha administrada');
INSERT INTO `lang_definitions` VALUES (10017, 1432, 4, 'Fecha y hora de coleccion de muestra');
INSERT INTO `lang_definitions` VALUES (10018, 1433, 4, 'Fecha y hora de esta observación');
INSERT INTO `lang_definitions` VALUES (10019, 1435, 4, 'Fecha y hora cuando la muestra fue colectada');
INSERT INTO `lang_definitions` VALUES (10020, 1436, 4, 'La fecha no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (10021, 1437, 4, 'Fecha en que fueron provistos inicialmente los servicios anticonceptivos');
INSERT INTO `lang_definitions` VALUES (10022, 1438, 4, 'Fecha de creación');
INSERT INTO `lang_definitions` VALUES (10023, 1439, 4, 'Fecha del fallecimiento');
INSERT INTO `lang_definitions` VALUES (10024, 1440, 4, 'Fecha de destrucción');
INSERT INTO `lang_definitions` VALUES (10025, 1441, 4, 'Formato de muestra de fecha');
INSERT INTO `lang_definitions` VALUES (10026, 1442, 4, 'Formato fecha para última cita no es válido');
INSERT INTO `lang_definitions` VALUES (10027, 1443, 4, 'Formato fecha para primera cita no es válido');
INSERT INTO `lang_definitions` VALUES (10028, 1444, 4, 'Formato fecha para \'Próxima Cita\' no es válida');
INSERT INTO `lang_definitions` VALUES (10029, 1445, 4, 'Formato fecha para \'no visto desde\' no es válido');
INSERT INTO `lang_definitions` VALUES (10030, 1446, 4, 'Formato fecha para \'visto desde\' no es válido');
INSERT INTO `lang_definitions` VALUES (10031, 1447, 4, 'Comunicados de fechas de vacunación entregados');
INSERT INTO `lang_definitions` VALUES (10032, 1448, 4, 'Falta fecha para código ');
INSERT INTO `lang_definitions` VALUES (10033, 1449, 4, 'Criterio maestro de fecha');
INSERT INTO `lang_definitions` VALUES (10034, 1450, 4, 'Fecha ingreso en banco aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (10035, 1451, 4, 'Fecha de factura');
INSERT INTO `lang_definitions` VALUES (10036, 1452, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10037, 1453, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10038, 1454, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10039, 1455, 4, 'Fecha de entrada');
INSERT INTO `lang_definitions` VALUES (10040, 1456, 4, 'Fecha de la lesión');
INSERT INTO `lang_definitions` VALUES (10041, 1458, 4, 'Fecha de pago aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (10042, 1459, 4, 'Fecha de derivación');
INSERT INTO `lang_definitions` VALUES (10043, 1460, 4, 'Fecha de la respuesta');
INSERT INTO `lang_definitions` VALUES (10044, 1462, 4, 'Fecha De Servicio');
INSERT INTO `lang_definitions` VALUES (10045, 1463, 4, 'Fecha de servicio');
INSERT INTO `lang_definitions` VALUES (10046, 1464, 4, 'Fecha de servicio = hoy');
INSERT INTO `lang_definitions` VALUES (10047, 1465, 4, 'Fecha de servicio mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (10048, 1466, 4, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (10049, 1467, 4, 'Fecha de firma');
INSERT INTO `lang_definitions` VALUES (10050, 1469, 4, 'Fecha de esta orden');
INSERT INTO `lang_definitions` VALUES (10051, 1470, 4, 'Fecha de este reporte');
INSERT INTO `lang_definitions` VALUES (10052, 1471, 4, 'Fecha de la Declaración de VIS');
INSERT INTO `lang_definitions` VALUES (10053, 1472, 4, 'Fecha en que se ordenó');
INSERT INTO `lang_definitions` VALUES (10054, 1475, 4, 'Seleccionador de fecha');
INSERT INTO `lang_definitions` VALUES (10055, 1476, 4, 'Fecha del envío');
INSERT INTO `lang_definitions` VALUES (10056, 1477, 4, 'Fecha en la que el mensaje fue enviado');
INSERT INTO `lang_definitions` VALUES (10057, 1479, 4, 'La fecha no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (10058, 1480, 4, 'Fecha/Cita');
INSERT INTO `lang_definitions` VALUES (10059, 1481, 4, 'Fecha/Notas');
INSERT INTO `lang_definitions` VALUES (10060, 1482, 4, 'Fecha/Notas de Último');
INSERT INTO `lang_definitions` VALUES (10061, 1483, 4, 'Fecha/Hora');
INSERT INTO `lang_definitions` VALUES (10062, 1484, 4, 'Fecha:');
INSERT INTO `lang_definitions` VALUES (10063, 1485, 4, 'Registro de mensajes con sus fechas');
INSERT INTO `lang_definitions` VALUES (10064, 1486, 4, 'Día');
INSERT INTO `lang_definitions` VALUES (10065, 1487, 4, 'dia');
INSERT INTO `lang_definitions` VALUES (10066, 1489, 4, 'Vista de día');
INSERT INTO `lang_definitions` VALUES (10067, 1490, 4, 'Día(s)');
INSERT INTO `lang_definitions` VALUES (10068, 1491, 4, 'Día(s) L-V');
INSERT INTO `lang_definitions` VALUES (10069, 1492, 4, 'días');
INSERT INTO `lang_definitions` VALUES (10070, 1493, 4, 'Días');
INSERT INTO `lang_definitions` VALUES (10071, 1494, 4, 'días pasados');
INSERT INTO `lang_definitions` VALUES (10072, 1495, 4, 'Dïas y juegos perdidos');
INSERT INTO `lang_definitions` VALUES (10073, 1496, 4, 'Días Desde la Última Visita');
INSERT INTO `lang_definitions` VALUES (10074, 1497, 4, 'Dias faltados');
INSERT INTO `lang_definitions` VALUES (10075, 1498, 4, 'Días por columna');
INSERT INTO `lang_definitions` VALUES (10076, 1500, 4, 'Días/Col');
INSERT INTO `lang_definitions` VALUES (10077, 1501, 4, 'DB instalado');
INSERT INTO `lang_definitions` VALUES (10078, 1502, 4, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (10079, 1503, 4, 'Anonimato');
INSERT INTO `lang_definitions` VALUES (10080, 1504, 4, 'El proceso de anonimato está completo');
INSERT INTO `lang_definitions` VALUES (10081, 1505, 4, 'El proceso de anonimato está en proceso');
INSERT INTO `lang_definitions` VALUES (10082, 1506, 4, 'El proceso de anonimato ha iniciado y está corriendo en el fondo');
INSERT INTO `lang_definitions` VALUES (10083, 1507, 4, 'Los datos anónimos pueden no estar completos');
INSERT INTO `lang_definitions` VALUES (10084, 1508, 4, 'Los ficheros anónimos serán guardados en');
INSERT INTO `lang_definitions` VALUES (10085, 1509, 4, 'DEA');
INSERT INTO `lang_definitions` VALUES (10086, 1511, 4, 'Sordera');
INSERT INTO `lang_definitions` VALUES (10087, 1512, 4, 'Elimine errores de la información');
INSERT INTO `lang_definitions` VALUES (10088, 1515, 4, 'Dic');
INSERT INTO `lang_definitions` VALUES (10089, 1516, 4, 'DIFUNTO');
INSERT INTO `lang_definitions` VALUES (10090, 1517, 4, 'Diciembre');
INSERT INTO `lang_definitions` VALUES (10091, 1520, 4, 'Deducible');
INSERT INTO `lang_definitions` VALUES (10092, 1521, 4, 'Deducible alcanzado');
INSERT INTO `lang_definitions` VALUES (10093, 1522, 4, 'Por Defecto');
INSERT INTO `lang_definitions` VALUES (10094, 1523, 4, 'Vista Calendario por defecto');
INSERT INTO `lang_definitions` VALUES (10095, 1524, 4, 'Formulario ID para Visita por defecto');
INSERT INTO `lang_definitions` VALUES (10096, 1526, 4, 'Centro por defecto');
INSERT INTO `lang_definitions` VALUES (10097, 1527, 4, 'Idioma por defecto');
INSERT INTO `lang_definitions` VALUES (10098, 1528, 4, 'Idioma por defecto si no se elige o permite otro');
INSERT INTO `lang_definitions` VALUES (10099, 1529, 4, 'Lista del defecto (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (10100, 1530, 4, 'Método por defecto');
INSERT INTO `lang_definitions` VALUES (10101, 1531, 4, 'Días Expiración Contraseña por Defecto');
INSERT INTO `lang_definitions` VALUES (10102, 1532, 4, 'El periodo de vencimiento de la contraseña por defecto es 0. Ésto significa que la función está desactivada');
INSERT INTO `lang_definitions` VALUES (10103, 1533, 4, 'País por defecto del Paciente');
INSERT INTO `lang_definitions` VALUES (10104, 1536, 4, 'Médico por defecto');
INSERT INTO `lang_definitions` VALUES (10105, 1537, 4, 'Rango por defecto');
INSERT INTO `lang_definitions` VALUES (10106, 1538, 4, 'Razón por defecto de la visita');
INSERT INTO `lang_definitions` VALUES (10107, 1540, 4, 'Configuración por defecto');
INSERT INTO `lang_definitions` VALUES (10108, 1541, 4, 'Estado por defecto de la casilla de chequeo de nueva ventana en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (10109, 1542, 4, 'Plantilla por defecto');
INSERT INTO `lang_definitions` VALUES (10110, 1546, 4, 'Unidades por defecto');
INSERT INTO `lang_definitions` VALUES (10111, 1547, 4, 'Valor por defecto');
INSERT INTO `lang_definitions` VALUES (10112, 1548, 4, 'Deposito por defecto');
INSERT INTO `lang_definitions` VALUES (10113, 1549, 4, 'Socio X12 por defecto');
INSERT INTO `lang_definitions` VALUES (10114, 1550, 4, 'Por defecto/Global');
INSERT INTO `lang_definitions` VALUES (10115, 1551, 4, 'Borrar');
INSERT INTO `lang_definitions` VALUES (10116, 1552, 4, 'borrar');
INSERT INTO `lang_definitions` VALUES (10117, 1553, 4, 'Repetición retrasada (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (10118, 1554, 4, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (10119, 1555, 4, 'eliminar');
INSERT INTO `lang_definitions` VALUES (10120, 1556, 4, 'Eliminar Categrorías con identificador(es) : ');
INSERT INTO `lang_definitions` VALUES (10121, 1557, 4, 'Borrar Categoría');
INSERT INTO `lang_definitions` VALUES (10122, 1560, 4, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (10123, 1561, 4, 'Eliminar Lista');
INSERT INTO `lang_definitions` VALUES (10124, 1562, 4, 'Eliminar Páginas');
INSERT INTO `lang_definitions` VALUES (10125, 1563, 4, 'Borrar Paciente, visita, formulario, Incidencia, Documento, Pago, facturación o Transacción');
INSERT INTO `lang_definitions` VALUES (10126, 1565, 4, 'Borrar fila');
INSERT INTO `lang_definitions` VALUES (10127, 1566, 4, 'Borrar ítems selectos');
INSERT INTO `lang_definitions` VALUES (10128, 1568, 4, 'Eliminación con éxito.');
INSERT INTO `lang_definitions` VALUES (10129, 1569, 4, 'Eliminar este documento');
INSERT INTO `lang_definitions` VALUES (10130, 1570, 4, 'Eliminar este formulario');
INSERT INTO `lang_definitions` VALUES (10131, 1571, 4, 'Eliminar esta nota');
INSERT INTO `lang_definitions` VALUES (10132, 1573, 4, 'Borrado Completado');
INSERT INTO `lang_definitions` VALUES (10133, 1575, 4, 'No se puede deshacer la eliminación de este evento. No se puede recuperar una vez que se ha hecho. ¿Está seguro que desea eliminar este evento?');
INSERT INTO `lang_definitions` VALUES (10134, 1581, 4, 'Demencia');
INSERT INTO `lang_definitions` VALUES (10135, 1582, 4, 'Datos demográficos');
INSERT INTO `lang_definitions` VALUES (10136, 1583, 4, 'Demografía (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (10137, 1585, 4, 'Criterio de Filtro Demográficos');
INSERT INTO `lang_definitions` VALUES (10138, 1586, 4, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (10139, 1587, 4, 'Datos demográficos no autorizados');
INSERT INTO `lang_definitions` VALUES (10140, 1588, 4, 'Denegado');
INSERT INTO `lang_definitions` VALUES (10141, 1589, 4, 'Denominador');
INSERT INTO `lang_definitions` VALUES (10142, 1590, 4, 'Dental');
INSERT INTO `lang_definitions` VALUES (10143, 1592, 4, 'Incidencias Dentales');
INSERT INTO `lang_definitions` VALUES (10144, 1595, 4, 'Dependiendo del tipo de cuenta que usted prueba, usted verá salida tipo HCFA en una página en blanco para las cuentas de HCFA, o usted verá muchas líneas de texto e información alteradas, si usted está probando una demanda X12. Ese texto mutilado es el formato del X12 IED 4010A. Usted verá de vez en cuando los caracteres extraños que parecen dominós o basura, se trata de caracteres de control tales como alimentaciones de página y son normales.');
INSERT INTO `lang_definitions` VALUES (10145, 1596, 4, 'Fecha de depósito');
INSERT INTO `lang_definitions` VALUES (10146, 1597, 4, 'La fecha del deposiito no puede ser mayor a la de hoy');
INSERT INTO `lang_definitions` VALUES (10147, 1598, 4, 'Fecha del depósito');
INSERT INTO `lang_definitions` VALUES (10148, 1599, 4, 'Depresivo');
INSERT INTO `lang_definitions` VALUES (10149, 1600, 4, 'Depresión');
INSERT INTO `lang_definitions` VALUES (10150, 1602, 4, 'Descripción');
INSERT INTO `lang_definitions` VALUES (10151, 1603, 4, 'descripción');
INSERT INTO `lang_definitions` VALUES (10152, 1605, 4, 'Descripción del acceso a información');
INSERT INTO `lang_definitions` VALUES (10153, 1606, 4, 'Desceripcion de este procedimiento o codigo resultante');
INSERT INTO `lang_definitions` VALUES (10154, 1607, 4, 'Traducción de la descripción');
INSERT INTO `lang_definitions` VALUES (10155, 1609, 4, 'Destino');
INSERT INTO `lang_definitions` VALUES (10156, 1610, 4, 'Nombre del archivo destino');
INSERT INTO `lang_definitions` VALUES (10157, 1611, 4, 'Destruir todo el lote');
INSERT INTO `lang_definitions` VALUES (10158, 1612, 4, 'Destruido ...');
INSERT INTO `lang_definitions` VALUES (10159, 1613, 4, 'Destruido');
INSERT INTO `lang_definitions` VALUES (10160, 1614, 4, 'Drogas destruidas');
INSERT INTO `lang_definitions` VALUES (10161, 1615, 4, 'Informe drogas destruido');
INSERT INTO `lang_definitions` VALUES (10162, 1616, 4, 'Detalles');
INSERT INTO `lang_definitions` VALUES (10163, 1617, 4, 'Detalles');
INSERT INTO `lang_definitions` VALUES (10164, 1619, 4, 'Anormalidad del desarrollo');
INSERT INTO `lang_definitions` VALUES (10165, 1620, 4, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (10166, 1621, 4, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (10167, 1622, 4, 'Diabetes: Gestión presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (10168, 1623, 4, 'Diabetes:Examen Ocular');
INSERT INTO `lang_definitions` VALUES (10169, 1624, 4, 'Diabetes: Examen ocular (GCC)');
INSERT INTO `lang_definitions` VALUES (10170, 1625, 4, 'Diabetes: Examen de los pies');
INSERT INTO `lang_definitions` VALUES (10171, 1626, 4, 'Diabetes: Examen de los pies (GCC)');
INSERT INTO `lang_definitions` VALUES (10172, 1627, 4, 'Diabetes:Control HbA1c Deficiente (GCC)');
INSERT INTO `lang_definitions` VALUES (10173, 1628, 4, 'Diabetes: Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (10174, 1629, 4, 'Diabetes: Gestión LDL y Control (GCC)');
INSERT INTO `lang_definitions` VALUES (10175, 1630, 4, 'Diabetes: Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (10176, 1631, 4, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (10177, 1633, 4, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (10178, 1634, 4, 'Código de diagnostico');
INSERT INTO `lang_definitions` VALUES (10179, 1636, 4, 'Fecha de diagnostico');
INSERT INTO `lang_definitions` VALUES (10180, 1637, 4, 'El diagnóstico debe ser codificado en una visita vinculada');
INSERT INTO `lang_definitions` VALUES (10181, 1638, 4, 'Nombre del diagnóstico');
INSERT INTO `lang_definitions` VALUES (10182, 1639, 4, 'Reporte de diagnóstico');
INSERT INTO `lang_definitions` VALUES (10183, 1640, 4, 'Informe de diagnóstico');
INSERT INTO `lang_definitions` VALUES (10184, 1641, 4, 'Sólo inf. de diag.');
INSERT INTO `lang_definitions` VALUES (10185, 1642, 4, 'Título del diagnóstico');
INSERT INTO `lang_definitions` VALUES (10186, 1643, 4, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (10187, 1644, 4, 'Diagnóstico: ');
INSERT INTO `lang_definitions` VALUES (10188, 1645, 4, 'Pruebas diagnósticas:');
INSERT INTO `lang_definitions` VALUES (10189, 1646, 4, 'Diales');
INSERT INTO `lang_definitions` VALUES (10190, 1647, 4, 'Diafragmas/Capuchón cervical');
INSERT INTO `lang_definitions` VALUES (10191, 1648, 4, 'Diarrea');
INSERT INTO `lang_definitions` VALUES (10192, 1650, 4, 'Dictado');
INSERT INTO `lang_definitions` VALUES (10193, 1651, 4, 'Dictado: ');
INSERT INTO `lang_definitions` VALUES (10194, 1652, 4, '¿Usted recibió una copia del aviso de HIPAA?');
INSERT INTO `lang_definitions` VALUES (10195, 1653, 4, 'Difuso:');
INSERT INTO `lang_definitions` VALUES (10196, 1654, 4, 'Firmado digitalmente');
INSERT INTO `lang_definitions` VALUES (10197, 1657, 4, 'Correo Directo');
INSERT INTO `lang_definitions` VALUES (10198, 1663, 4, 'Nombre del director');
INSERT INTO `lang_definitions` VALUES (10199, 1665, 4, 'inhabilitación');
INSERT INTO `lang_definitions` VALUES (10200, 1667, 4, 'Deshabilitar calendario');
INSERT INTO `lang_definitions` VALUES (10201, 1668, 4, 'Deshabilitar tabla de seguimiento');
INSERT INTO `lang_definitions` VALUES (10202, 1669, 4, 'Deshabilitar inmunizaciones');
INSERT INTO `lang_definitions` VALUES (10203, 1670, 4, 'Deshabilitar vieja forma métrica de datos vitales');
INSERT INTO `lang_definitions` VALUES (10204, 1672, 4, 'Deshabilitar phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (10205, 1673, 4, 'Deshabilitar prescripciones');
INSERT INTO `lang_definitions` VALUES (10206, 1674, 4, 'Deshabilitar grupos de usuarios');
INSERT INTO `lang_definitions` VALUES (10207, 1675, 4, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (10208, 1676, 4, 'inhabilitado');
INSERT INTO `lang_definitions` VALUES (10209, 1677, 4, 'Beneficiario discapacitado menor de 65 años con un Plan de salud para grandes grupos (LGHP)');
INSERT INTO `lang_definitions` VALUES (10210, 1678, 4, 'DISCO');
INSERT INTO `lang_definitions` VALUES (10211, 1681, 4, 'Descarga');
INSERT INTO `lang_definitions` VALUES (10212, 1682, 4, 'Pérdidas/secreciones de la uretra');
INSERT INTO `lang_definitions` VALUES (10213, 1684, 4, 'Descarga derecha');
INSERT INTO `lang_definitions` VALUES (10214, 1685, 4, 'Descarga derecha:');
INSERT INTO `lang_definitions` VALUES (10215, 1689, 4, 'Informacion de acceso a información');
INSERT INTO `lang_definitions` VALUES (10216, 1690, 4, 'Tipo de Acceso a información');
INSERT INTO `lang_definitions` VALUES (10217, 1691, 4, 'Tipos de Acceso a información');
INSERT INTO `lang_definitions` VALUES (10218, 1692, 4, 'Acceso a información');
INSERT INTO `lang_definitions` VALUES (10219, 1694, 4, 'Descuento');
INSERT INTO `lang_definitions` VALUES (10220, 1695, 4, 'Suma de descuentos');
INSERT INTO `lang_definitions` VALUES (10221, 1696, 4, 'Nivel del Descuento');
INSERT INTO `lang_definitions` VALUES (10222, 1697, 4, 'porcentajes de descuento');
INSERT INTO `lang_definitions` VALUES (10223, 1698, 4, 'Descuentos como importes monetarios');
INSERT INTO `lang_definitions` VALUES (10224, 1699, 4, 'Descuentos a la hora de salida se introducen como cantidades de dinero, a diferencia de porcentaje.');
INSERT INTO `lang_definitions` VALUES (10225, 1700, 4, 'Resultado discreto');
INSERT INTO `lang_definitions` VALUES (10226, 1701, 4, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (10227, 1702, 4, 'Dislocación');
INSERT INTO `lang_definitions` VALUES (10228, 1703, 4, '# Disp');
INSERT INTO `lang_definitions` VALUES (10229, 1704, 4, 'Informe');
INSERT INTO `lang_definitions` VALUES (10230, 1705, 4, 'Remitir documento recibido');
INSERT INTO `lang_definitions` VALUES (10231, 1706, 4, 'Prescrito');
INSERT INTO `lang_definitions` VALUES (10232, 1707, 4, 'Mostrar las directivas anticipadas en la página de la demografía.');
INSERT INTO `lang_definitions` VALUES (10233, 1709, 4, '¿Mostrar fechas de eventos en bloque?');
INSERT INTO `lang_definitions` VALUES (10234, 1711, 4, '¿Mostrar cuántos eventos?');
INSERT INTO `lang_definitions` VALUES (10235, 1713, 4, '¿Mostrar lugar/sitio en bloque?');
INSERT INTO `lang_definitions` VALUES (10236, 1714, 4, 'Nombre de Pantalla');
INSERT INTO `lang_definitions` VALUES (10237, 1715, 4, '¿Mostrar el calendario?');
INSERT INTO `lang_definitions` VALUES (10238, 1718, 4, '¿Mostrar los eventos de hoy en el bloque?');
INSERT INTO `lang_definitions` VALUES (10239, 1719, 4, '¿Mostrar tema en el bloque?');
INSERT INTO `lang_definitions` VALUES (10240, 1720, 4, '¿Mostrar los eventos próximos en tabla?');
INSERT INTO `lang_definitions` VALUES (10241, 1721, 4, 'Columnas mostradas');
INSERT INTO `lang_definitions` VALUES (10242, 1722, 4, 'Mostrando el siguiente número de revelaciones más recientes:');
INSERT INTO `lang_definitions` VALUES (10243, 1723, 4, 'Mostrando el siguiente número de las notas más recientes');
INSERT INTO `lang_definitions` VALUES (10244, 1724, 4, 'Mostrando el siguiente número de las notas más recientes:');
INSERT INTO `lang_definitions` VALUES (10245, 1725, 4, 'Distribución');
INSERT INTO `lang_definitions` VALUES (10246, 1726, 4, 'Distribuciones');
INSERT INTO `lang_definitions` VALUES (10247, 1727, 4, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (10248, 1729, 4, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (10249, 1730, 4, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (10250, 1731, 4, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (10251, 1732, 4, 'Operación de Diverticulitis');
INSERT INTO `lang_definitions` VALUES (10252, 1733, 4, 'Divorciado');
INSERT INTO `lang_definitions` VALUES (10253, 1734, 4, 'Mareo:');
INSERT INTO `lang_definitions` VALUES (10254, 1735, 4, 'No cambiar');
INSERT INTO `lang_definitions` VALUES (10255, 1737, 4, 'No mostrar alergia subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (10256, 1739, 4, 'No mostrar medicación subida a NewCrop');
INSERT INTO `lang_definitions` VALUES (10257, 1742, 4, 'No mostrar el calendario');
INSERT INTO `lang_definitions` VALUES (10258, 1744, 4, 'No inventariar ni vender nigun producto');
INSERT INTO `lang_definitions` VALUES (10259, 1745, 4, 'No requiere notas del paciente para ser autorizado');
INSERT INTO `lang_definitions` VALUES (10260, 1746, 4, 'Orden de No Resucitar');
INSERT INTO `lang_definitions` VALUES (10261, 1747, 4, 'no guardar');
INSERT INTO `lang_definitions` VALUES (10262, 1748, 4, 'no sustituir');
INSERT INTO `lang_definitions` VALUES (10263, 1749, 4, 'no actuar');
INSERT INTO `lang_definitions` VALUES (10264, 1751, 4, 'De verdad quiere suprimir?');
INSERT INTO `lang_definitions` VALUES (10265, 1752, 4, '¿Verdaderamente desea borrar la selección?');
INSERT INTO `lang_definitions` VALUES (10266, 1753, 4, 'Está seguro que quiere eliminar este grupo');
INSERT INTO `lang_definitions` VALUES (10267, 1755, 4, '¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (10268, 1756, 4, '¿Quiere borrar esto?');
INSERT INTO `lang_definitions` VALUES (10269, 1757, 4, '¿Quiere borrar?');
INSERT INTO `lang_definitions` VALUES (10270, 1758, 4, '¿Desea remover este registro?');
INSERT INTO `lang_definitions` VALUES (10271, 1759, 4, '¿Desea continuar agregando este nuevo paciente?');
INSERT INTO `lang_definitions` VALUES (10272, 1760, 4, '¿Usted desea continuar con el nuevo nombre?');
INSERT INTO `lang_definitions` VALUES (10273, 1761, 4, '¿Usted desea suprimir DEFINITIVAMENTE este registro de vacunación?');
INSERT INTO `lang_definitions` VALUES (10274, 1762, 4, 'F.Nacim.');
INSERT INTO `lang_definitions` VALUES (10275, 1763, 4, 'Falta fecha de nacimiento, por favor insertarla al ser posible');
INSERT INTO `lang_definitions` VALUES (10276, 1764, 4, 'Documentos');
INSERT INTO `lang_definitions` VALUES (10277, 1765, 4, 'Médico');
INSERT INTO `lang_definitions` VALUES (10278, 1766, 4, 'Médico:');
INSERT INTO `lang_definitions` VALUES (10279, 1767, 4, 'Nombre del médico y la firma');
INSERT INTO `lang_definitions` VALUES (10280, 1768, 4, 'Documento');
INSERT INTO `lang_definitions` VALUES (10281, 1769, 4, 'documento');
INSERT INTO `lang_definitions` VALUES (10282, 1770, 4, 'Categorías documento');
INSERT INTO `lang_definitions` VALUES (10283, 1775, 4, 'El documento no ha podido ser trasladado a la identificación del paciente');
INSERT INTO `lang_definitions` VALUES (10284, 1777, 4, 'Fecha de documento');
INSERT INTO `lang_definitions` VALUES (10285, 1778, 4, 'Fecha del documento e incidencia actualizadas con éxito');
INSERT INTO `lang_definitions` VALUES (10286, 1779, 4, 'Nº Identificación de Documento');
INSERT INTO `lang_definitions` VALUES (10287, 1780, 4, 'Documento se trasladó a nueva categoría');
INSERT INTO `lang_definitions` VALUES (10288, 1781, 4, 'Documento se trasladó al Nº Identificación del paciente');
INSERT INTO `lang_definitions` VALUES (10289, 1783, 4, 'Documento aprobó la comprobación de integridad');
INSERT INTO `lang_definitions` VALUES (10290, 1784, 4, 'Método de archivo de documentos');
INSERT INTO `lang_definitions` VALUES (10291, 1785, 4, 'Documento renombrado con éxito');
INSERT INTO `lang_definitions` VALUES (10292, 1790, 4, 'Depósito de documentos/Imágenes');
INSERT INTO `lang_definitions` VALUES (10293, 1791, 4, 'Documentos');
INSERT INTO `lang_definitions` VALUES (10294, 1792, 4, 'Documentos (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (10295, 1794, 4, 'DOE');
INSERT INTO `lang_definitions` VALUES (10296, 1798, 4, '¿Este tipo permite codigos relacionados?');
INSERT INTO `lang_definitions` VALUES (10297, 1799, 4, 'Socio doméstico');
INSERT INTO `lang_definitions` VALUES (10298, 1800, 4, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (10299, 1801, 4, 'No Guardar');
INSERT INTO `lang_definitions` VALUES (10300, 1802, 4, 'No Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (10301, 1803, 4, 'Terminado');
INSERT INTO `lang_definitions` VALUES (10302, 1804, 4, 'Hecho con:');
INSERT INTO `lang_definitions` VALUES (10303, 1805, 4, 'Terminado. Ahora se enviará la descarga');
INSERT INTO `lang_definitions` VALUES (10304, 1806, 4, 'DOS');
INSERT INTO `lang_definitions` VALUES (10305, 1807, 4, 'Dosis');
INSERT INTO `lang_definitions` VALUES (10306, 1809, 4, 'Doble click para editar');
INSERT INTO `lang_definitions` VALUES (10307, 1810, 4, 'Visión doble');
INSERT INTO `lang_definitions` VALUES (10308, 1811, 4, 'Descarga');
INSERT INTO `lang_definitions` VALUES (10309, 1814, 4, 'Descargar de todas formas');
INSERT INTO `lang_definitions` VALUES (10310, 1815, 4, 'Descargar expediente de factura, mandar a contabilidad y marcar como facturado.');
INSERT INTO `lang_definitions` VALUES (10311, 1817, 4, 'Certificados de descargas');
INSERT INTO `lang_definitions` VALUES (10312, 1818, 4, 'Descargar datos de configuración');
INSERT INTO `lang_definitions` VALUES (10313, 1820, 4, 'Descargar fichero encriptado');
INSERT INTO `lang_definitions` VALUES (10314, 1827, 4, 'Descargar estados selectos');
INSERT INTO `lang_definitions` VALUES (10315, 1828, 4, 'Revisar médico');
INSERT INTO `lang_definitions` VALUES (10316, 1829, 4, 'Visitar médico');
INSERT INTO `lang_definitions` VALUES (10317, 1830, 4, 'Médico');
INSERT INTO `lang_definitions` VALUES (10318, 1831, 4, 'Arrastre para mover');
INSERT INTO `lang_definitions` VALUES (10319, 1832, 4, 'Goteo');
INSERT INTO `lang_definitions` VALUES (10320, 1833, 4, 'Licencia de Manejar o Identificación del Estado');
INSERT INTO `lang_definitions` VALUES (10321, 1834, 4, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (10322, 1835, 4, 'Buscador de farmacos');
INSERT INTO `lang_definitions` VALUES (10323, 1836, 4, 'Forma de Medicamento');
INSERT INTO `lang_definitions` VALUES (10324, 1837, 4, 'Identificación de la droga está ausente!');
INSERT INTO `lang_definitions` VALUES (10325, 1838, 4, 'Intervalos de Medicamento');
INSERT INTO `lang_definitions` VALUES (10326, 1839, 4, 'Inventorio de Medicamento');
INSERT INTO `lang_definitions` VALUES (10327, 1840, 4, 'Nombre del Medicamento');
INSERT INTO `lang_definitions` VALUES (10328, 1841, 4, 'Vía de administración del Medicamento');
INSERT INTO `lang_definitions` VALUES (10329, 1845, 4, 'Unidades de Medicamento');
INSERT INTO `lang_definitions` VALUES (10330, 1846, 4, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (10331, 1847, 4, 'Medicamentos y productos');
INSERT INTO `lang_definitions` VALUES (10332, 1848, 4, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (10333, 1849, 4, 'Diagnóstico DSMIV');
INSERT INTO `lang_definitions` VALUES (10334, 1850, 4, 'DT 1');
INSERT INTO `lang_definitions` VALUES (10335, 1851, 4, 'DT 2');
INSERT INTO `lang_definitions` VALUES (10336, 1852, 4, 'DT 3');
INSERT INTO `lang_definitions` VALUES (10337, 1853, 4, 'DT 4');
INSERT INTO `lang_definitions` VALUES (10338, 1854, 4, 'DT 5');
INSERT INTO `lang_definitions` VALUES (10339, 1855, 4, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (10340, 1856, 4, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (10341, 1857, 4, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (10342, 1858, 4, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (10343, 1859, 4, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (10344, 1860, 4, 'Adeudado');
INSERT INTO `lang_definitions` VALUES (10345, 1861, 4, 'Fecha de la cita');
INSERT INTO `lang_definitions` VALUES (10346, 1862, 4, 'Fecha de la cita mm/dd/aaaa o aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (10347, 1863, 4, 'Fecha de la cita:');
INSERT INTO `lang_definitions` VALUES (10348, 1864, 4, 'Deuda Seguro');
INSERT INTO `lang_definitions` VALUES (10349, 1865, 4, 'Deuda Paciente');
INSERT INTO `lang_definitions` VALUES (10350, 1866, 4, 'Deuda próxima');
INSERT INTO `lang_definitions` VALUES (10351, 1867, 4, 'Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (10352, 1868, 4, 'Actualización Estado de Deuda');
INSERT INTO `lang_definitions` VALUES (10353, 1869, 4, 'Vaciar base de datos LibreEHR');
INSERT INTO `lang_definitions` VALUES (10354, 1870, 4, 'Vaciar árbol de directorios web de LibreEHR');
INSERT INTO `lang_definitions` VALUES (10355, 1871, 4, 'Vaciar base de datos phpGACL');
INSERT INTO `lang_definitions` VALUES (10356, 1872, 4, 'Vaciar phpGACL web de árbol de directorios');
INSERT INTO `lang_definitions` VALUES (10357, 1873, 4, 'Vaciar SQL-Ledger base de datos');
INSERT INTO `lang_definitions` VALUES (10358, 1874, 4, 'Vaciar phpGACL árbol de directorios web');
INSERT INTO `lang_definitions` VALUES (10359, 1875, 4, 'Compruebe duplicado');
INSERT INTO `lang_definitions` VALUES (10360, 1876, 4, 'ID duplicado en linea');
INSERT INTO `lang_definitions` VALUES (10361, 1877, 4, 'Nombre duplicado en linea');
INSERT INTO `lang_definitions` VALUES (10362, 1878, 4, 'AVISO DE DUPLICACION');
INSERT INTO `lang_definitions` VALUES (10363, 1879, 4, 'Poder Legal Duradero');
INSERT INTO `lang_definitions` VALUES (10364, 1880, 4, 'duración');
INSERT INTO `lang_definitions` VALUES (10365, 1881, 4, 'Duración');
INSERT INTO `lang_definitions` VALUES (10366, 1882, 4, 'Holandés');
INSERT INTO `lang_definitions` VALUES (10367, 1883, 4, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (10368, 1884, 4, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (10369, 1885, 4, 'Disnea');
INSERT INTO `lang_definitions` VALUES (10370, 1886, 4, 'Disuria');
INSERT INTO `lang_definitions` VALUES (10371, 1888, 4, '¿E-Receta?');
INSERT INTO `lang_definitions` VALUES (10372, 1890, 4, 'Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (10373, 1892, 4, 'Renovación Receta Electrónica');
INSERT INTO `lang_definitions` VALUES (10374, 1893, 4, 'Cada destinatario debe establecer sus propios mensajes como terminados.');
INSERT INTO `lang_definitions` VALUES (10375, 1894, 4, 'Repetición Temprana (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (10376, 1895, 4, 'Orejas');
INSERT INTO `lang_definitions` VALUES (10377, 1896, 4, 'Electrocardiograma');
INSERT INTO `lang_definitions` VALUES (10378, 1897, 4, 'Reclamos electrónicos');
INSERT INTO `lang_definitions` VALUES (10379, 1898, 4, 'Edema');
INSERT INTO `lang_definitions` VALUES (10380, 1902, 4, 'Adjuntar fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (10381, 1903, 4, 'Respuesta de carga de fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (10382, 1904, 4, 'Editar');
INSERT INTO `lang_definitions` VALUES (10383, 1905, 4, 'editar');
INSERT INTO `lang_definitions` VALUES (10384, 1906, 4, 'Editar alergias');
INSERT INTO `lang_definitions` VALUES (10385, 1907, 4, 'Editar categorías');
INSERT INTO `lang_definitions` VALUES (10386, 1908, 4, 'Editar Definiciones');
INSERT INTO `lang_definitions` VALUES (10387, 1909, 4, 'Editar definiciones');
INSERT INTO `lang_definitions` VALUES (10388, 1910, 4, 'Editar diagnóstico para');
INSERT INTO `lang_definitions` VALUES (10389, 1911, 4, 'editar acceso a la info');
INSERT INTO `lang_definitions` VALUES (10390, 1912, 4, 'Editar Centros');
INSERT INTO `lang_definitions` VALUES (10391, 1913, 4, 'Editar Centro');
INSERT INTO `lang_definitions` VALUES (10392, 1914, 4, 'Editar información del Centro');
INSERT INTO `lang_definitions` VALUES (10393, 1915, 4, 'Editar información de usuario específica de Centro');
INSERT INTO `lang_definitions` VALUES (10394, 1916, 4, 'editar archivo en');
INSERT INTO `lang_definitions` VALUES (10395, 1917, 4, 'Editar forma');
INSERT INTO `lang_definitions` VALUES (10396, 1918, 4, 'Editar configuracion global');
INSERT INTO `lang_definitions` VALUES (10397, 1919, 4, 'Edición no permitida');
INSERT INTO `lang_definitions` VALUES (10398, 1920, 4, 'Editar el diseño');
INSERT INTO `lang_definitions` VALUES (10399, 1921, 4, 'Editar la lista');
INSERT INTO `lang_definitions` VALUES (10400, 1922, 4, 'editar pago');
INSERT INTO `lang_definitions` VALUES (10401, 1923, 4, 'Editar estructura');
INSERT INTO `lang_definitions` VALUES (10402, 1924, 4, 'Editar usuario');
INSERT INTO `lang_definitions` VALUES (10403, 1925, 4, 'editar configuracion de usuario');
INSERT INTO `lang_definitions` VALUES (10404, 1928, 4, 'Educación');
INSERT INTO `lang_definitions` VALUES (10405, 1929, 4, 'Fecha educación');
INSERT INTO `lang_definitions` VALUES (10406, 1931, 4, 'Debería haber recibido una copia del GNU con este programa, si no, escriba al Free ');
INSERT INTO `lang_definitions` VALUES (10407, 1932, 4, 'Fecha efectiva');
INSERT INTO `lang_definitions` VALUES (10408, 1934, 4, 'Efectividad');
INSERT INTO `lang_definitions` VALUES (10409, 1935, 4, 'EIN');
INSERT INTO `lang_definitions` VALUES (10410, 1936, 4, 'Eyaculaciones');
INSERT INTO `lang_definitions` VALUES (10411, 1937, 4, 'Codo');
INSERT INTO `lang_definitions` VALUES (10412, 1938, 4, 'Problemas del codo');
INSERT INTO `lang_definitions` VALUES (10413, 1939, 4, 'Electrónico');
INSERT INTO `lang_definitions` VALUES (10414, 1942, 4, 'Mandatos Electronicos');
INSERT INTO `lang_definitions` VALUES (10415, 1944, 4, 'Elegibilidad');
INSERT INTO `lang_definitions` VALUES (10416, 1945, 4, 'Elegibilidad Batch Consulta 270');
INSERT INTO `lang_definitions` VALUES (10417, 1946, 4, 'Elegibilidad de Respuesta');
INSERT INTO `lang_definitions` VALUES (10418, 1947, 4, 'Estado de elegibilidad para la vacuna suministrada para niños');
INSERT INTO `lang_definitions` VALUES (10419, 1948, 4, 'Elegible');
INSERT INTO `lang_definitions` VALUES (10420, 1949, 4, 'email');
INSERT INTO `lang_definitions` VALUES (10421, 1951, 4, 'email');
INSERT INTO `lang_definitions` VALUES (10422, 1953, 4, 'email del remitente para los recordatorios de pacientes. Las respuestas de los pacientes irán a esa dirección. Es importante usar una dirección del dominio de la Clínica para evitar que las respuestas de recordatorios de los pacientes vayan a la carpeta de correo basura.');
INSERT INTO `lang_definitions` VALUES (10423, 1954, 4, 'email, si hay, para recibir notificaciones administrativas.');
INSERT INTO `lang_definitions` VALUES (10424, 1955, 4, 'email, si hay, para recibir mensajes de activación de inicio sesión de usuario.');
INSERT INTO `lang_definitions` VALUES (10425, 1956, 4, 'Autenticación email');
INSERT INTO `lang_definitions` VALUES (10426, 1957, 4, 'email de Batchcom');
INSERT INTO `lang_definitions` VALUES (10427, 1958, 4, 'Notificación email');
INSERT INTO `lang_definitions` VALUES (10428, 1959, 4, 'Horario Notificación Email');
INSERT INTO `lang_definitions` VALUES (10429, 1960, 4, 'Informe de notificación de email');
INSERT INTO `lang_definitions` VALUES (10430, 1961, 4, 'email enviado antes');
INSERT INTO `lang_definitions` VALUES (10431, 1962, 4, 'Remitente de email');
INSERT INTO `lang_definitions` VALUES (10432, 1963, 4, 'Email enviado');
INSERT INTO `lang_definitions` VALUES (10433, 1964, 4, 'email enviado a');
INSERT INTO `lang_definitions` VALUES (10434, 1965, 4, 'Asunto del email');
INSERT INTO `lang_definitions` VALUES (10435, 1966, 4, 'Texto del email, etiqueta útil: ***NAME***, Ej. Estimado ***NAME***');
INSERT INTO `lang_definitions` VALUES (10436, 1967, 4, 'Texto email, etiqueta útil:***NAME***, por ej. Estimado ***NAME***{{No traducir el elemento ***NAME*** de esta constante}}');
INSERT INTO `lang_definitions` VALUES (10437, 1968, 4, 'Método de envío de email');
INSERT INTO `lang_definitions` VALUES (10438, 1969, 4, 'Email enviado a las siguientes direcciones');
INSERT INTO `lang_definitions` VALUES (10439, 1971, 4, 'Contacto en caso de emergencia');
INSERT INTO `lang_definitions` VALUES (10440, 1972, 4, 'Persona de Contacto de Emergencia');
INSERT INTO `lang_definitions` VALUES (10441, 1973, 4, 'Teléfono de Contacto de Emergencia');
INSERT INTO `lang_definitions` VALUES (10442, 1974, 4, 'Emergencia anticonceptiva');
INSERT INTO `lang_definitions` VALUES (10443, 1975, 4, 'Acceso de Emergencia');
INSERT INTO `lang_definitions` VALUES (10444, 1976, 4, 'Acceso de Emergencia ACL elegido. El usuario esta aun activo, favor desactivar usuario y activarlo cuando la situacion de emergencia lo requiera. Visitar Administracio>Usuario para activación o deactivación.');
INSERT INTO `lang_definitions` VALUES (10445, 1977, 4, 'El email de activación de inicio de sesión de emergencia ha de circular sólo si los siguientes ajustes del fichero interfase/globals.php están configurados:');
INSERT INTO `lang_definitions` VALUES (10446, 1978, 4, 'email de inicio de sesión de emergencia');
INSERT INTO `lang_definitions` VALUES (10447, 1979, 4, 'El usuario de Inicio de sesión de emergencia puede hacer cualquier cosa');
INSERT INTO `lang_definitions` VALUES (10448, 1980, 4, 'Telefono de emergencia');
INSERT INTO `lang_definitions` VALUES (10449, 1982, 4, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (10450, 1983, 4, 'Empleado');
INSERT INTO `lang_definitions` VALUES (10451, 1984, 4, 'Empresa');
INSERT INTO `lang_definitions` VALUES (10452, 1985, 4, 'Dirección del empleador');
INSERT INTO `lang_definitions` VALUES (10453, 1986, 4, 'Datos de la empresa');
INSERT INTO `lang_definitions` VALUES (10454, 1987, 4, 'Nombre de Empresa');
INSERT INTO `lang_definitions` VALUES (10455, 1988, 4, 'VACIO');
INSERT INTO `lang_definitions` VALUES (10456, 1989, 4, 'Vacio');
INSERT INTO `lang_definitions` VALUES (10457, 1991, 4, 'Valor vacío en \"Correo electrónico Horas\"');
INSERT INTO `lang_definitions` VALUES (10458, 1992, 4, 'Valor vacío en \"Correo electrónico Remitente\"');
INSERT INTO `lang_definitions` VALUES (10459, 1993, 4, 'Valor vacío en \"Correo electrónico Asunto\"');
INSERT INTO `lang_definitions` VALUES (10460, 1994, 4, 'Valor vacío en \"Correo electrónico de texto\"');
INSERT INTO `lang_definitions` VALUES (10461, 1995, 4, 'Valor vacío en \"Nombre del Proveedor\"');
INSERT INTO `lang_definitions` VALUES (10462, 1996, 4, 'Valor vacío en \"Contraseña\"');
INSERT INTO `lang_definitions` VALUES (10463, 1997, 4, 'Valor vacío en \"Horas de SMS\"');
INSERT INTO `lang_definitions` VALUES (10464, 1998, 4, 'Vaciar en el valor \"Texto SMS\"');
INSERT INTO `lang_definitions` VALUES (10465, 1999, 4, 'Vaciar en el valor \"Usuario\"');
INSERT INTO `lang_definitions` VALUES (10466, 2006, 4, 'Activar aviso MCA');
INSERT INTO `lang_definitions` VALUES (10467, 2008, 4, 'Activar Informe MCA');
INSERT INTO `lang_definitions` VALUES (10468, 2009, 4, 'Activar seguimiento MCA');
INSERT INTO `lang_definitions` VALUES (10469, 2011, 4, 'Activar auditoría ATNA');
INSERT INTO `lang_definitions` VALUES (10470, 2013, 4, 'Inicio de sesión Auditoría habilitado');
INSERT INTO `lang_definitions` VALUES (10471, 2014, 4, 'Activar Auditoría Registro y Autenticación del Nodo (ATNA)');
INSERT INTO `lang_definitions` VALUES (10472, 2015, 4, 'Activar Informe Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (10473, 2016, 4, 'Activar Cliente SSL');
INSERT INTO `lang_definitions` VALUES (10474, 2017, 4, 'Activar Cliente SSL con certificado de autenticación.');
INSERT INTO `lang_definitions` VALUES (10475, 2019, 4, 'Activar Reglas Clínicas de Decisión (CDR)');
INSERT INTO `lang_definitions` VALUES (10476, 2022, 4, 'Activar informe medidas de calidad clínica (GCC)');
INSERT INTO `lang_definitions` VALUES (10477, 2023, 4, 'Activar popup recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (10478, 2024, 4, 'Activar Widget Recordatorios clínicos');
INSERT INTO `lang_definitions` VALUES (10479, 2027, 4, 'Activar Informes GCC');
INSERT INTO `lang_definitions` VALUES (10480, 2030, 4, 'Habilitar tarifas en el menú de la izquierda');
INSERT INTO `lang_definitions` VALUES (10481, 2031, 4, 'Activar Soporte Hylafax');
INSERT INTO `lang_definitions` VALUES (10482, 2033, 4, 'Activar el estado de importación de mensajes para Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (10483, 2037, 4, 'Activar intercambio Laboratorio');
INSERT INTO `lang_definitions` VALUES (10484, 2039, 4, 'Habilitar registro para documentos subidos/bajados de CouchDB');
INSERT INTO `lang_definitions` VALUES (10485, 2040, 4, 'Activar registro de todas las consultas SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (10486, 2041, 4, 'Activar registro de backup de actividades relacionadas.');
INSERT INTO `lang_definitions` VALUES (10487, 2043, 4, 'Activar inicio sesión de actividades varias.');
INSERT INTO `lang_definitions` VALUES (10488, 2044, 4, 'Activar registro de actividades solicitadas.');
INSERT INTO `lang_definitions` VALUES (10489, 2045, 4, 'Activar registro de modificaciones del registro de pacientes.');
INSERT INTO `lang_definitions` VALUES (10490, 2046, 4, 'Activar registro de programar actividades.');
INSERT INTO `lang_definitions` VALUES (10491, 2047, 4, 'Activar registro de seguridad y administración de actividades.');
INSERT INTO `lang_definitions` VALUES (10492, 2049, 4, 'Activar servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (10493, 2051, 4, 'Activar Portal Paciente Externo');
INSERT INTO `lang_definitions` VALUES (10494, 2052, 4, 'Activar Portal paciente desde el exterior.');
INSERT INTO `lang_definitions` VALUES (10495, 2053, 4, 'Activar Portal paciente in-situ');
INSERT INTO `lang_definitions` VALUES (10496, 2055, 4, 'Activar Portal paciente in-situ.');
INSERT INTO `lang_definitions` VALUES (10497, 2056, 4, 'Activar widget recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (10498, 2058, 4, 'Activar aviso fecha requerida para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (10499, 2060, 4, 'Activar Informe de Seguimiento de Fecha para Medidas de Cálculo Automático (MCA)');
INSERT INTO `lang_definitions` VALUES (10500, 2061, 4, 'Activar Soporte escaner');
INSERT INTO `lang_definitions` VALUES (10501, 2065, 4, 'Activar servicio de soporte LibreEHR LLC Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (10502, 2066, 4, 'Activar Certificado de Autenticación del usuario.');
INSERT INTO `lang_definitions` VALUES (10503, 2067, 4, 'Activar servicio ZMG, Receta electrónica LLC');
INSERT INTO `lang_definitions` VALUES (10504, 2068, 4, 'Activado');
INSERT INTO `lang_definitions` VALUES (10505, 2070, 4, 'Activar el viejo panel de cargos para introducir códigos de facturas y pagos. No se recomienda usar la hoja de honorarios en su lugar.');
INSERT INTO `lang_definitions` VALUES (10506, 2071, 4, 'Encuentro');
INSERT INTO `lang_definitions` VALUES (10507, 2072, 4, 'Visita');
INSERT INTO `lang_definitions` VALUES (10508, 2073, 4, 'Visita');
INSERT INTO `lang_definitions` VALUES (10509, 2074, 4, 'visita');
INSERT INTO `lang_definitions` VALUES (10510, 2075, 4, 'Visita ');
INSERT INTO `lang_definitions` VALUES (10511, 2076, 4, 'Visita a un hospitalizado agudo o ED');
INSERT INTO `lang_definitions` VALUES (10512, 2081, 4, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (10513, 2086, 4, 'Formularios visita');
INSERT INTO `lang_definitions` VALUES (10514, 2087, 4, 'visita de salud y evaluación de comportamiento');
INSERT INTO `lang_definitions` VALUES (10515, 2088, 4, 'Histórico de visitas');
INSERT INTO `lang_definitions` VALUES (10516, 2089, 4, 'ID Visita');
INSERT INTO `lang_definitions` VALUES (10517, 2090, 4, 'Visita gripe');
INSERT INTO `lang_definitions` VALUES (10518, 2091, 4, 'número visita');
INSERT INTO `lang_definitions` VALUES (10519, 2093, 4, 'visita cuidado enfermería');
INSERT INTO `lang_definitions` VALUES (10520, 2094, 4, 'visita centro enfermería');
INSERT INTO `lang_definitions` VALUES (10521, 2095, 4, 'visita terapia ocupacional');
INSERT INTO `lang_definitions` VALUES (10522, 2096, 4, 'visita a consultorio');
INSERT INTO `lang_definitions` VALUES (10523, 2097, 4, 'visita paciente externo');
INSERT INTO `lang_definitions` VALUES (10524, 2098, 4, 'visita paciente externo con médico y Obs/Gin');
INSERT INTO `lang_definitions` VALUES (10525, 2099, 4, 'Tamaño página visita');
INSERT INTO `lang_definitions` VALUES (10526, 2100, 4, 'Pago visita');
INSERT INTO `lang_definitions` VALUES (10527, 2101, 4, 'visita embarazo');
INSERT INTO `lang_definitions` VALUES (10528, 2102, 4, 'visita medicina preventiva - asesoramiento individual');
INSERT INTO `lang_definitions` VALUES (10529, 2103, 4, 'visita medicina preventiva para mayores de 40');
INSERT INTO `lang_definitions` VALUES (10530, 2104, 4, 'visita de medicina preventiva - asesoramiento en grupo');
INSERT INTO `lang_definitions` VALUES (10531, 2105, 4, 'visita medicina preventiva otros servicios');
INSERT INTO `lang_definitions` VALUES (10532, 2106, 4, 'visita servicios medicina preventiva mayores de 18');
INSERT INTO `lang_definitions` VALUES (10533, 2107, 4, 'visita psiquiatrica y psicológica');
INSERT INTO `lang_definitions` VALUES (10534, 2108, 4, 'Estadísticas de visitas');
INSERT INTO `lang_definitions` VALUES (10535, 2109, 4, 'Resumen de visitas');
INSERT INTO `lang_definitions` VALUES (10536, 2110, 4, 'Visita codificada');
INSERT INTO `lang_definitions` VALUES (10537, 2111, 4, 'Visita:');
INSERT INTO `lang_definitions` VALUES (10538, 2112, 4, 'Visita: visita ingreso no agudo, paciente externo, o oftalmológico');
INSERT INTO `lang_definitions` VALUES (10539, 2113, 4, 'Visitas');
INSERT INTO `lang_definitions` VALUES (10540, 2114, 4, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (10541, 2115, 4, 'Visitas y Formularios');
INSERT INTO `lang_definitions` VALUES (10542, 2116, 4, 'Visitas no autorizadas');
INSERT INTO `lang_definitions` VALUES (10543, 2117, 4, 'Informe de visitas');
INSERT INTO `lang_definitions` VALUES (10544, 2118, 4, 'Sección visitas');
INSERT INTO `lang_definitions` VALUES (10545, 2120, 4, 'Encriptación');
INSERT INTO `lang_definitions` VALUES (10546, 2121, 4, 'Final');
INSERT INTO `lang_definitions` VALUES (10547, 2122, 4, 'Final (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (10548, 2123, 4, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (10549, 2124, 4, 'Fecha final');
INSERT INTO `lang_definitions` VALUES (10550, 2126, 4, 'Fecha final debe ser posterior a fecha inicio');
INSERT INTO `lang_definitions` VALUES (10551, 2127, 4, 'Fecha Final:');
INSERT INTO `lang_definitions` VALUES (10552, 2131, 4, 'Hora finalización');
INSERT INTO `lang_definitions` VALUES (10553, 2132, 4, 'Enfermedad renal en Etapa Final - Beneficiario de MCP con un Plan de grupo del empleador');
INSERT INTO `lang_definitions` VALUES (10554, 2133, 4, 'Fecha final de servicio aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (10555, 2134, 4, 'Termina DOS dd/mm/aaaa si desea entrar en una serie');
INSERT INTO `lang_definitions` VALUES (10556, 2135, 4, 'Hora final del día para eventos de calendario');
INSERT INTO `lang_definitions` VALUES (10557, 2136, 4, 'Sangre anormal Endo');
INSERT INTO `lang_definitions` VALUES (10558, 2137, 4, 'Endocrino');
INSERT INTO `lang_definitions` VALUES (10559, 2138, 4, 'Endoscopía');
INSERT INTO `lang_definitions` VALUES (10560, 2141, 4, 'Inglés');
INSERT INTO `lang_definitions` VALUES (10561, 2142, 4, 'Inglés ');
INSERT INTO `lang_definitions` VALUES (10562, 2143, 4, 'Ingleses (Indios)');
INSERT INTO `lang_definitions` VALUES (10563, 2144, 4, 'Inglés (Estándar)');
INSERT INTO `lang_definitions` VALUES (10564, 2145, 4, 'Enscript comando usado por Hylafax.');
INSERT INTO `lang_definitions` VALUES (10565, 2146, 4, 'Garantizar LibreEHR tiene privilegios al directorio');
INSERT INTO `lang_definitions` VALUES (10566, 2147, 4, 'Descarga ORL');
INSERT INTO `lang_definitions` VALUES (10567, 2148, 4, 'Dolor ORL');
INSERT INTO `lang_definitions` VALUES (10568, 2149, 4, 'Introduzca un código de la diagnosis para excluir todas las facturas que no lo contienen');
INSERT INTO `lang_definitions` VALUES (10569, 2151, 4, 'Incorpore el cuerpo de la carta aquí');
INSERT INTO `lang_definitions` VALUES (10570, 2152, 4, 'Introduzca Contraseña root para Base Datos');
INSERT INTO `lang_definitions` VALUES (10571, 2153, 4, 'Introduzca Usuario root para Base Datos');
INSERT INTO `lang_definitions` VALUES (10572, 2154, 4, 'Introduzca Diagnóstico');
INSERT INTO `lang_definitions` VALUES (10573, 2155, 4, 'Introduzca Medicamentos');
INSERT INTO `lang_definitions` VALUES (10574, 2158, 4, 'Introduzca Vacunas');
INSERT INTO `lang_definitions` VALUES (10575, 2159, 4, 'Introducir Clave');
INSERT INTO `lang_definitions` VALUES (10576, 2161, 4, 'Escriba el nuevo Estado');
INSERT INTO `lang_definitions` VALUES (10577, 2164, 4, 'Introducir código Re-identificación');
INSERT INTO `lang_definitions` VALUES (10578, 2165, 4, 'Incorpore sus criterios de búsqueda arriba');
INSERT INTO `lang_definitions` VALUES (10579, 2167, 4, 'entradas');
INSERT INTO `lang_definitions` VALUES (10580, 2168, 4, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (10581, 2169, 4, 'Entrada de datos de EOB');
INSERT INTO `lang_definitions` VALUES (10582, 2170, 4, 'EOB envío - Remesas electrónicas');
INSERT INTO `lang_definitions` VALUES (10583, 2171, 4, 'EOB envío - Instrucciones');
INSERT INTO `lang_definitions` VALUES (10584, 2172, 4, 'EOB envío - Factura');
INSERT INTO `lang_definitions` VALUES (10585, 2173, 4, 'EOB envío - Nota del Paciente');
INSERT INTO `lang_definitions` VALUES (10586, 2174, 4, 'EOB envío - Buscar');
INSERT INTO `lang_definitions` VALUES (10587, 2176, 4, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (10588, 2178, 4, 'ERA (Aviso de Remesa Electrónica)');
INSERT INTO `lang_definitions` VALUES (10589, 2180, 4, 'Envío ERA');
INSERT INTO `lang_definitions` VALUES (10590, 2181, 4, 'Borrar');
INSERT INTO `lang_definitions` VALUES (10591, 2182, 4, 'Erecciones');
INSERT INTO `lang_definitions` VALUES (10592, 2183, 4, 'Error');
INSERT INTO `lang_definitions` VALUES (10593, 2185, 4, 'Error confirmando la recepción de los resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (10594, 2187, 4, 'Error al obtener los resultados de laboratorio de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (10595, 2188, 4, 'Error en selección de género');
INSERT INTO `lang_definitions` VALUES (10596, 2189, 4, 'Error en \"HIPAA\" selección');
INSERT INTO `lang_definitions` VALUES (10597, 2190, 4, 'Error en el \"Proceso de selección');
INSERT INTO `lang_definitions` VALUES (10598, 2191, 4, 'El error en la selección de \"Puerta de SMS\"');
INSERT INTO `lang_definitions` VALUES (10599, 2192, 4, 'Error en \"Ordenar por\" selección');
INSERT INTO `lang_definitions` VALUES (10600, 2193, 4, 'Error del file de compresion gzip ');
INSERT INTO `lang_definitions` VALUES (10601, 2194, 4, 'Error en la opción SI o NO');
INSERT INTO `lang_definitions` VALUES (10602, 2195, 4, 'Error al abrir archivo cargado para lectura');
INSERT INTO `lang_definitions` VALUES (10603, 2198, 4, 'Error al eliminar el mensaje');
INSERT INTO `lang_definitions` VALUES (10604, 2199, 4, 'Error recuperando resultados de la red de intercambio del laboratorio');
INSERT INTO `lang_definitions` VALUES (10605, 2202, 4, 'Error en el fichero de concesión de privilegios para el usuario de LibreEHR.');
INSERT INTO `lang_definitions` VALUES (10606, 2205, 4, 'error al registrar la forma!');
INSERT INTO `lang_definitions` VALUES (10607, 2206, 4, 'Error al guardar en el archivo');
INSERT INTO `lang_definitions` VALUES (10608, 2208, 4, 'Error al escribir en el archivo');
INSERT INTO `lang_definitions` VALUES (10609, 2210, 4, 'Error, Este file no existe');
INSERT INTO `lang_definitions` VALUES (10610, 2211, 4, 'ERROR, incapaz de recoger los datos de servidor');
INSERT INTO `lang_definitions` VALUES (10611, 2212, 4, 'Error, incapaz de crear certificado de cliente');
INSERT INTO `lang_definitions` VALUES (10612, 2213, 4, 'Error, incapaz de crear el certificado p12 de Admin');
INSERT INTO `lang_definitions` VALUES (10613, 2214, 4, 'Error. No puede crearse certificadodo de Certificado de Autenticacion');
INSERT INTO `lang_definitions` VALUES (10614, 2215, 4, 'Error, incapaz de crear el certificado del servidor');
INSERT INTO `lang_definitions` VALUES (10615, 2216, 4, 'Error, incapaz de abrir el file');
INSERT INTO `lang_definitions` VALUES (10616, 2217, 4, 'Error. Certificado de Autenticacion de usuario no esta habilitado en LibreEHR');
INSERT INTO `lang_definitions` VALUES (10617, 2218, 4, 'Error. Necesita instalar el Archivo/Tar.php php modulo');
INSERT INTO `lang_definitions` VALUES (10618, 2219, 4, 'ERROR: no pudo abrir tabla sql, formulario roto?');
INSERT INTO `lang_definitions` VALUES (10619, 2220, 4, 'Error: ID duplicado en línea');
INSERT INTO `lang_definitions` VALUES (10620, 2221, 4, 'Error: Nombre duplicado en línea');
INSERT INTO `lang_definitions` VALUES (10621, 2222, 4, 'ERROR: Campo');
INSERT INTO `lang_definitions` VALUES (10622, 2223, 4, 'ERROR: Falta el fichero comprimido del Módulo PHP');
INSERT INTO `lang_definitions` VALUES (10623, 2224, 4, 'ERROR: Sin directorio de importación ICD');
INSERT INTO `lang_definitions` VALUES (10624, 2225, 4, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (10625, 2226, 4, 'Error: las contraseñas no coinciden. Por favor, compruebe lo tecleado.');
INSERT INTO `lang_definitions` VALUES (10626, 2227, 4, 'Error, este file no existe');
INSERT INTO `lang_definitions` VALUES (10627, 2228, 4, 'ERROR: La siguiente variable contiene caracteres inválidos');
INSERT INTO `lang_definitions` VALUES (10628, 2229, 4, 'ERROR: No se puede copiar el fichero.');
INSERT INTO `lang_definitions` VALUES (10629, 2230, 4, 'Error, incapaz de crear el fichero de descarga');
INSERT INTO `lang_definitions` VALUES (10630, 2231, 4, 'ERROR: No se puede crear el fichero comprimido.');
INSERT INTO `lang_definitions` VALUES (10631, 2232, 4, 'ERROR: No se puede extraer el fichero.');
INSERT INTO `lang_definitions` VALUES (10632, 2233, 4, 'ERROR: No se puede leer el fichero en la base de datos.');
INSERT INTO `lang_definitions` VALUES (10633, 2234, 4, 'ERROR: No se puede establecer el número de versión.');
INSERT INTO `lang_definitions` VALUES (10634, 2235, 4, 'Errores');
INSERT INTO `lang_definitions` VALUES (10635, 2236, 4, 'Estado cuenta Receta electrónica');
INSERT INTO `lang_definitions` VALUES (10636, 2237, 4, 'Registros Receta electrónica');
INSERT INTO `lang_definitions` VALUES (10637, 2238, 4, 'Nombre Receta electrónica');
INSERT INTO `lang_definitions` VALUES (10638, 2239, 4, 'Contraseña Receta electrónica');
INSERT INTO `lang_definitions` VALUES (10639, 2240, 4, 'Rol Receta electrónica');
INSERT INTO `lang_definitions` VALUES (10640, 2241, 4, 'Usuario Receta electrónica');
INSERT INTO `lang_definitions` VALUES (10641, 2242, 4, 'Eritema');
INSERT INTO `lang_definitions` VALUES (10642, 2245, 4, 'Esquimal');
INSERT INTO `lang_definitions` VALUES (10643, 2247, 4, 'Paciente regular');
INSERT INTO `lang_definitions` VALUES (10644, 2249, 4, 'Raza');
INSERT INTO `lang_definitions` VALUES (10645, 2250, 4, 'La etnia o la raza');
INSERT INTO `lang_definitions` VALUES (10646, 2251, 4, 'Lista de Origen étnico--Raza (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (10647, 2252, 4, 'ETIN');
INSERT INTO `lang_definitions` VALUES (10648, 2253, 4, 'Evento');
INSERT INTO `lang_definitions` VALUES (10649, 2254, 4, 'Fecha comienzo de evento');
INSERT INTO `lang_definitions` VALUES (10650, 2255, 4, 'Categoría de evento');
INSERT INTO `lang_definitions` VALUES (10651, 2256, 4, 'Fecha evento');
INSERT INTO `lang_definitions` VALUES (10652, 2257, 4, 'Descripción evento');
INSERT INTO `lang_definitions` VALUES (10653, 2258, 4, 'Detalles evento');
INSERT INTO `lang_definitions` VALUES (10654, 2259, 4, 'Evento no se repite');
INSERT INTO `lang_definitions` VALUES (10655, 2260, 4, 'Duración de Evento');
INSERT INTO `lang_definitions` VALUES (10656, 2261, 4, 'Duración de evento en minutos');
INSERT INTO `lang_definitions` VALUES (10657, 2262, 4, 'Honorarios del evento');
INSERT INTO `lang_definitions` VALUES (10658, 2263, 4, 'Lugar de evento');
INSERT INTO `lang_definitions` VALUES (10659, 2264, 4, 'Evento repite cada');
INSERT INTO `lang_definitions` VALUES (10660, 2265, 4, 'Evento repite en');
INSERT INTO `lang_definitions` VALUES (10661, 2266, 4, 'Hora comienzo evento');
INSERT INTO `lang_definitions` VALUES (10662, 2267, 4, 'Título de evento');
INSERT INTO `lang_definitions` VALUES (10663, 2268, 4, 'Título de Evento');
INSERT INTO `lang_definitions` VALUES (10664, 2269, 4, 'Página web de evento');
INSERT INTO `lang_definitions` VALUES (10665, 2270, 4, 'Eventos');
INSERT INTO `lang_definitions` VALUES (10666, 2271, 4, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (10667, 2272, 4, 'Eventos abre en nueva ventana');
INSERT INTO `lang_definitions` VALUES (10668, 2273, 4, 'cada');
INSERT INTO `lang_definitions` VALUES (10669, 2274, 4, 'Cada');
INSERT INTO `lang_definitions` VALUES (10670, 2275, 4, 'cada 3 horas');
INSERT INTO `lang_definitions` VALUES (10671, 2276, 4, 'cada 4 horas');
INSERT INTO `lang_definitions` VALUES (10672, 2277, 4, 'cada 5 horas');
INSERT INTO `lang_definitions` VALUES (10673, 2278, 4, 'cada 6 horas');
INSERT INTO `lang_definitions` VALUES (10674, 2279, 4, 'cada 8 horas');
INSERT INTO `lang_definitions` VALUES (10675, 2280, 4, 'cada cuarto');
INSERT INTO `lang_definitions` VALUES (10676, 2281, 4, 'uno sí, otro no');
INSERT INTO `lang_definitions` VALUES (10677, 2282, 4, 'cada tercero');
INSERT INTO `lang_definitions` VALUES (10678, 2283, 4, 'Cada, cada otro, cada 3ro, etc.');
INSERT INTO `lang_definitions` VALUES (10679, 2285, 4, 'Examen y los resultados de las pruebas');
INSERT INTO `lang_definitions` VALUES (10680, 2286, 4, 'Resultados del examen');
INSERT INTO `lang_definitions` VALUES (10681, 2289, 4, 'Examen');
INSERT INTO `lang_definitions` VALUES (10682, 2290, 4, 'Fecha de examen');
INSERT INTO `lang_definitions` VALUES (10683, 2291, 4, 'Ejemplo');
INSERT INTO `lang_definitions` VALUES (10684, 2292, 4, 'Ejemplos');
INSERT INTO `lang_definitions` VALUES (10685, 2293, 4, 'Exámenes/Pruebas');
INSERT INTO `lang_definitions` VALUES (10686, 2294, 4, 'Excepto');
INSERT INTO `lang_definitions` VALUES (10687, 2295, 4, 'Lagrimeo Excesivo');
INSERT INTO `lang_definitions` VALUES (10688, 2296, 4, 'Pacientes Excluídos');
INSERT INTO `lang_definitions` VALUES (10689, 2297, 4, 'Exclusiones');
INSERT INTO `lang_definitions` VALUES (10690, 2298, 4, 'Organización de provedor exclusivo (OPE)');
INSERT INTO `lang_definitions` VALUES (10691, 2299, 4, 'Tamaño papel ejecutivo');
INSERT INTO `lang_definitions` VALUES (10692, 2300, 4, 'Ejercicio');
INSERT INTO `lang_definitions` VALUES (10693, 2301, 4, 'Patrones del ejercicio');
INSERT INTO `lang_definitions` VALUES (10694, 2302, 4, 'Patrones de ejercicio');
INSERT INTO `lang_definitions` VALUES (10695, 2303, 4, 'Existe');
INSERT INTO `lang_definitions` VALUES (10696, 2304, 4, 'Salir de Administración');
INSERT INTO `lang_definitions` VALUES (10697, 2305, 4, 'Exp');
INSERT INTO `lang_definitions` VALUES (10698, 2306, 4, 'Expandir');
INSERT INTO `lang_definitions` VALUES (10699, 2307, 4, 'Expandir');
INSERT INTO `lang_definitions` VALUES (10700, 2308, 4, 'Expandir Todo');
INSERT INTO `lang_definitions` VALUES (10701, 2311, 4, 'Vista ampliada');
INSERT INTO `lang_definitions` VALUES (10702, 2312, 4, 'Se espera form_encounter.pid para ser ');
INSERT INTO `lang_definitions` VALUES (10703, 2313, 4, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (10704, 2314, 4, 'Fecha de caducidad');
INSERT INTO `lang_definitions` VALUES (10705, 2315, 4, 'Caducidad');
INSERT INTO `lang_definitions` VALUES (10706, 2316, 4, 'Expira en');
INSERT INTO `lang_definitions` VALUES (10707, 2317, 4, 'Exportar');
INSERT INTO `lang_definitions` VALUES (10708, 2318, 4, 'Exportar con CSV');
INSERT INTO `lang_definitions` VALUES (10709, 2319, 4, 'Exportar configuración');
INSERT INTO `lang_definitions` VALUES (10710, 2322, 4, 'Exportación de Demograficos del paciente');
INSERT INTO `lang_definitions` VALUES (10711, 2323, 4, 'Exportar Informe PQRI');
INSERT INTO `lang_definitions` VALUES (10712, 2325, 4, 'Selección de exportación como CSV');
INSERT INTO `lang_definitions` VALUES (10713, 2326, 4, 'Exportar lo marcado a cobranzas');
INSERT INTO `lang_definitions` VALUES (10714, 2327, 4, 'Exportar a CSV');
INSERT INTO `lang_definitions` VALUES (10715, 2328, 4, 'Exportación al sistema de facturación externo');
INSERT INTO `lang_definitions` VALUES (10716, 2329, 4, 'Exposición a los países extranjeros');
INSERT INTO `lang_definitions` VALUES (10717, 2330, 4, 'Exposición a Países Extranjeros');
INSERT INTO `lang_definitions` VALUES (10718, 2331, 4, 'Ext tiempo de coleccionar');
INSERT INTO `lang_definitions` VALUES (10719, 2332, 4, 'Externo');
INSERT INTO `lang_definitions` VALUES (10720, 2334, 4, 'Carga de datos externos');
INSERT INTO `lang_definitions` VALUES (10721, 2335, 4, 'Utilidad de importación bbdd externa');
INSERT INTO `lang_definitions` VALUES (10722, 2336, 4, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (10723, 2337, 4, 'ID externo');
INSERT INTO `lang_definitions` VALUES (10724, 2338, 4, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (10725, 2339, 4, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (10726, 2342, 4, 'Derivación externa');
INSERT INTO `lang_definitions` VALUES (10727, 2343, 4, 'Seguimiento de Derivaciones Externas');
INSERT INTO `lang_definitions` VALUES (10728, 2344, 4, '¿Derivación externa?');
INSERT INTO `lang_definitions` VALUES (10729, 2345, 4, 'Derivaciones externas');
INSERT INTO `lang_definitions` VALUES (10730, 2346, 4, 'Extraer este file comprimido');
INSERT INTO `lang_definitions` VALUES (10731, 2347, 4, 'Extrayendo fichero. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (10732, 2348, 4, 'Exudado:');
INSERT INTO `lang_definitions` VALUES (10733, 2349, 4, 'Irritación de Ojo');
INSERT INTO `lang_definitions` VALUES (10734, 2350, 4, 'Dolor de Ojo');
INSERT INTO `lang_definitions` VALUES (10735, 2351, 4, 'Enrojecimiento de Ojo');
INSERT INTO `lang_definitions` VALUES (10736, 2352, 4, 'Ojos');
INSERT INTO `lang_definitions` VALUES (10737, 2353, 4, 'F');
INSERT INTO `lang_definitions` VALUES (10738, 2354, 4, 'F/H Problemas de Sangre');
INSERT INTO `lang_definitions` VALUES (10739, 2355, 4, 'F/H Hirsutismo Femenino/Estrías');
INSERT INTO `lang_definitions` VALUES (10740, 2356, 4, 'Centros');
INSERT INTO `lang_definitions` VALUES (10741, 2357, 4, 'Centro');
INSERT INTO `lang_definitions` VALUES (10742, 2358, 4, 'centro');
INSERT INTO `lang_definitions` VALUES (10743, 2359, 4, 'Administración de Centro');
INSERT INTO `lang_definitions` VALUES (10744, 2360, 4, 'Ciudad del Centro');
INSERT INTO `lang_definitions` VALUES (10745, 2361, 4, 'Código del Centro');
INSERT INTO `lang_definitions` VALUES (10746, 2362, 4, 'Código País del Centro');
INSERT INTO `lang_definitions` VALUES (10747, 2363, 4, 'Fax del Centro');
INSERT INTO `lang_definitions` VALUES (10748, 2364, 4, 'Nombre del Centro');
INSERT INTO `lang_definitions` VALUES (10749, 2365, 4, 'NPI del Centro');
INSERT INTO `lang_definitions` VALUES (10750, 2366, 4, 'Teléfono del Centro');
INSERT INTO `lang_definitions` VALUES (10751, 2367, 4, 'Información de usuario específica de Centro');
INSERT INTO `lang_definitions` VALUES (10752, 2368, 4, 'Estado del Centro');
INSERT INTO `lang_definitions` VALUES (10753, 2369, 4, 'Dirección del Centro');
INSERT INTO `lang_definitions` VALUES (10754, 2370, 4, 'Código Postal del Centro');
INSERT INTO `lang_definitions` VALUES (10755, 2372, 4, 'Centro:');
INSERT INTO `lang_definitions` VALUES (10756, 2373, 4, 'Fallo');
INSERT INTO `lang_definitions` VALUES (10757, 2374, 4, 'fallado');
INSERT INTO `lang_definitions` VALUES (10758, 2375, 4, 'Fallado');
INSERT INTO `lang_definitions` VALUES (10759, 2380, 4, 'Fallo al crear la carpeta temporal. CouchDB no funcionará.');
INSERT INTO `lang_definitions` VALUES (10760, 2382, 4, 'Fallo');
INSERT INTO `lang_definitions` VALUES (10761, 2383, 4, 'error');
INSERT INTO `lang_definitions` VALUES (10762, 2390, 4, 'Historia familiar');
INSERT INTO `lang_definitions` VALUES (10763, 2391, 4, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (10764, 2392, 4, 'Historia');
INSERT INTO `lang_definitions` VALUES (10765, 2394, 4, 'Pago por familia');
INSERT INTO `lang_definitions` VALUES (10766, 2395, 4, 'Tamaño familia');
INSERT INTO `lang_definitions` VALUES (10767, 2396, 4, 'Suposición');
INSERT INTO `lang_definitions` VALUES (10768, 2398, 4, 'Iraní');
INSERT INTO `lang_definitions` VALUES (10769, 2400, 4, 'Padre');
INSERT INTO `lang_definitions` VALUES (10770, 2402, 4, 'Fatiga');
INSERT INTO `lang_definitions` VALUES (10771, 2403, 4, 'Fatigado');
INSERT INTO `lang_definitions` VALUES (10772, 2404, 4, 'Fax');
INSERT INTO `lang_definitions` VALUES (10773, 2405, 4, 'Contador fax');
INSERT INTO `lang_definitions` VALUES (10774, 2406, 4, 'Número de fax');
INSERT INTO `lang_definitions` VALUES (10775, 2408, 4, 'Fax/Escanear');
INSERT INTO `lang_definitions` VALUES (10776, 2409, 4, 'Faxes entrada');
INSERT INTO `lang_definitions` VALUES (10777, 2410, 4, 'Faxes salida');
INSERT INTO `lang_definitions` VALUES (10778, 2411, 4, 'Características');
INSERT INTO `lang_definitions` VALUES (10779, 2412, 4, 'Feb');
INSERT INTO `lang_definitions` VALUES (10780, 2413, 4, 'Febrero');
INSERT INTO `lang_definitions` VALUES (10781, 2414, 4, 'FECA');
INSERT INTO `lang_definitions` VALUES (10782, 2415, 4, 'Identificación de medicamento federal');
INSERT INTO `lang_definitions` VALUES (10783, 2416, 4, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (10784, 2417, 4, 'Identificación de impuesto federal');
INSERT INTO `lang_definitions` VALUES (10785, 2418, 4, 'Tarifa');
INSERT INTO `lang_definitions` VALUES (10786, 2419, 4, 'tarifa');
INSERT INTO `lang_definitions` VALUES (10787, 2420, 4, 'No se permite la tarifa');
INSERT INTO `lang_definitions` VALUES (10788, 2421, 4, 'Hoja de tarifas');
INSERT INTO `lang_definitions` VALUES (10789, 2422, 4, 'Opciones de la hoja de tarifas');
INSERT INTO `lang_definitions` VALUES (10790, 2423, 4, 'Tarifas');
INSERT INTO `lang_definitions` VALUES (10791, 2424, 4, 'Mujer');
INSERT INTO `lang_definitions` VALUES (10792, 2425, 4, 'Pild. anticoncep. fem.');
INSERT INTO `lang_definitions` VALUES (10793, 2426, 4, 'Condones femeninos');
INSERT INTO `lang_definitions` VALUES (10794, 2427, 4, 'Gentif. Femenino');
INSERT INTO `lang_definitions` VALUES (10795, 2428, 4, 'Fem.: último embar.');
INSERT INTO `lang_definitions` VALUES (10796, 2429, 4, 'Pelv. Femenina');
INSERT INTO `lang_definitions` VALUES (10797, 2430, 4, 'Síntomas Femeninos');
INSERT INTO `lang_definitions` VALUES (10798, 2431, 4, 'Fem.: contracepción quir. volunt.');
INSERT INTO `lang_definitions` VALUES (10799, 2434, 4, 'Fiebre');
INSERT INTO `lang_definitions` VALUES (10800, 2435, 4, 'Fiebre');
INSERT INTO `lang_definitions` VALUES (10801, 2436, 4, 'Problemas de Sangre FH');
INSERT INTO `lang_definitions` VALUES (10802, 2437, 4, 'Fibromas');
INSERT INTO `lang_definitions` VALUES (10803, 2441, 4, 'Tipo de campo a utilizar para el país del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (10804, 2442, 4, 'Tipo de campo a utilizar para el estado del empleador o abonado en demográficos.');
INSERT INTO `lang_definitions` VALUES (10805, 2443, 4, 'Falta Campo(s)!');
INSERT INTO `lang_definitions` VALUES (10806, 2447, 4, 'Fichero');
INSERT INTO `lang_definitions` VALUES (10807, 2448, 4, 'Archivo en el directorio de documentación para aprender a automatizar el proceso de creación de copias de seguridad de registro');
INSERT INTO `lang_definitions` VALUES (10808, 2449, 4, 'Ubicacion del file');
INSERT INTO `lang_definitions` VALUES (10809, 2450, 4, 'Gestión de Fichero');
INSERT INTO `lang_definitions` VALUES (10810, 2453, 4, 'Fichero de permisos de usuario de LibreEHR');
INSERT INTO `lang_definitions` VALUES (10811, 2454, 4, 'Fallo en la recuperación de archivo de CouchDB');
INSERT INTO `lang_definitions` VALUES (10812, 2455, 4, 'Sala de archivo');
INSERT INTO `lang_definitions` VALUES (10813, 2456, 4, 'Fichero para adjuntar');
INSERT INTO `lang_definitions` VALUES (10814, 2458, 4, 'Un fichero con el mismo nombre ya existe en la ubicación:');
INSERT INTO `lang_definitions` VALUES (10815, 2459, 4, 'Nombre de fichero');
INSERT INTO `lang_definitions` VALUES (10816, 2461, 4, 'Ficheros');
INSERT INTO `lang_definitions` VALUES (10817, 2462, 4, 'Filipino');
INSERT INTO `lang_definitions` VALUES (10818, 2463, 4, 'Rellene cualquiera de las filas de abajo.');
INSERT INTO `lang_definitions` VALUES (10819, 2464, 4, 'Rellenar sólo si manda notificación a paciente por email');
INSERT INTO `lang_definitions` VALUES (10820, 2465, 4, 'Llenar los valores abajo');
INSERT INTO `lang_definitions` VALUES (10821, 2467, 4, 'Rellene la fila');
INSERT INTO `lang_definitions` VALUES (10822, 2468, 4, 'Filtro');
INSERT INTO `lang_definitions` VALUES (10823, 2469, 4, 'Filtro para los constantes');
INSERT INTO `lang_definitions` VALUES (10824, 2470, 4, 'Filtro por Definición');
INSERT INTO `lang_definitions` VALUES (10825, 2471, 4, 'Filtrado desde');
INSERT INTO `lang_definitions` VALUES (10826, 2472, 4, 'filtros');
INSERT INTO `lang_definitions` VALUES (10827, 2473, 4, 'Filtros');
INSERT INTO `lang_definitions` VALUES (10828, 2474, 4, 'Final');
INSERT INTO `lang_definitions` VALUES (10829, 2475, 4, 'Diagnóstico final');
INSERT INTO `lang_definitions` VALUES (10830, 2476, 4, 'Diagnóstico final por especialista');
INSERT INTO `lang_definitions` VALUES (10831, 2478, 4, 'Financiero');
INSERT INTO `lang_definitions` VALUES (10832, 2479, 4, 'Fecha cierre financiero (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (10833, 2480, 4, 'Información financiera - cualquier cosa');
INSERT INTO `lang_definitions` VALUES (10834, 2481, 4, 'Información financiera - mis visitas');
INSERT INTO `lang_definitions` VALUES (10835, 2482, 4, 'Fecha de revisión financiero');
INSERT INTO `lang_definitions` VALUES (10836, 2483, 4, 'Resumen Financiero por Código de Servicio');
INSERT INTO `lang_definitions` VALUES (10837, 2484, 4, 'Buscar');
INSERT INTO `lang_definitions` VALUES (10838, 2485, 4, 'Buscar disponible');
INSERT INTO `lang_definitions` VALUES (10839, 2486, 4, 'Buscar citas disponibles');
INSERT INTO `lang_definitions` VALUES (10840, 2487, 4, 'Busca paciente');
INSERT INTO `lang_definitions` VALUES (10841, 2488, 4, 'Buscar materiales educativos para el paciente');
INSERT INTO `lang_definitions` VALUES (10842, 2489, 4, 'Conclusiones');
INSERT INTO `lang_definitions` VALUES (10843, 2490, 4, 'Conclusiones por especialista');
INSERT INTO `lang_definitions` VALUES (10844, 2491, 4, 'Multa');
INSERT INTO `lang_definitions` VALUES (10845, 2492, 4, 'Final Pagos');
INSERT INTO `lang_definitions` VALUES (10846, 2493, 4, 'Terminado');
INSERT INTO `lang_definitions` VALUES (10847, 2495, 4, 'Primero');
INSERT INTO `lang_definitions` VALUES (10848, 2497, 4, 'Primer día de la semana');
INSERT INTO `lang_definitions` VALUES (10849, 2498, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (10850, 2499, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (10851, 2500, 4, 'Nombre');
INSERT INTO `lang_definitions` VALUES (10852, 2503, 4, 'Aptitud');
INSERT INTO `lang_definitions` VALUES (10853, 2504, 4, 'Condicion Fisica');
INSERT INTO `lang_definitions` VALUES (10854, 2505, 4, 'Condicion Fisica para este jugador hoy');
INSERT INTO `lang_definitions` VALUES (10855, 2507, 4, 'Aptitud a jugar');
INSERT INTO `lang_definitions` VALUES (10856, 2508, 4, 'Encuentro fijar fechas - cualquier encuentros');
INSERT INTO `lang_definitions` VALUES (10857, 2509, 4, 'Solucionar este');
INSERT INTO `lang_definitions` VALUES (10858, 2510, 4, 'FL');
INSERT INTO `lang_definitions` VALUES (10859, 2511, 4, 'Flatulencia');
INSERT INTO `lang_definitions` VALUES (10860, 2512, 4, 'Flujo');
INSERT INTO `lang_definitions` VALUES (10861, 2514, 4, 'Temporada de gripe');
INSERT INTO `lang_definitions` VALUES (10862, 2515, 4, 'Temporada de Gripe');
INSERT INTO `lang_definitions` VALUES (10863, 2516, 4, 'Vacunación gripe');
INSERT INTO `lang_definitions` VALUES (10864, 2517, 4, 'Problema de fluído y electrolito');
INSERT INTO `lang_definitions` VALUES (10865, 2518, 4, 'FMS');
INSERT INTO `lang_definitions` VALUES (10866, 2519, 4, 'Tamaño papel folio');
INSERT INTO `lang_definitions` VALUES (10867, 2520, 4, 'Seguir manualmente');
INSERT INTO `lang_definitions` VALUES (10868, 2521, 4, 'Siga estas instrucciones para instalar o actualizar la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (10869, 2522, 4, 'Seguimineto');
INSERT INTO `lang_definitions` VALUES (10870, 2524, 4, 'Motivo de seguimiento');
INSERT INTO `lang_definitions` VALUES (10871, 2525, 4, 'A continuación una nueva constante de cliente:');
INSERT INTO `lang_definitions` VALUES (10872, 2526, 4, 'A continuación un nuevo idioma de cliente:');
INSERT INTO `lang_definitions` VALUES (10873, 2527, 4, 'A continuación una nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (10874, 2529, 4, 'Servicios de seguimiento');
INSERT INTO `lang_definitions` VALUES (10875, 2530, 4, 'Seguimiento indicado');
INSERT INTO `lang_definitions` VALUES (10876, 2531, 4, 'Intolerancia del Alimento');
INSERT INTO `lang_definitions` VALUES (10877, 2532, 4, 'Pie');
INSERT INTO `lang_definitions` VALUES (10878, 2533, 4, 'Problemas en los píes');
INSERT INTO `lang_definitions` VALUES (10879, 2534, 4, 'Píe:');
INSERT INTO `lang_definitions` VALUES (10880, 2535, 4, 'Lesiones de fútbol');
INSERT INTO `lang_definitions` VALUES (10881, 2537, 4, 'Informe de lesión futbolística');
INSERT INTO `lang_definitions` VALUES (10882, 2538, 4, 'Tipo de calzado');
INSERT INTO `lang_definitions` VALUES (10883, 2539, 4, 'para');
INSERT INTO `lang_definitions` VALUES (10884, 2540, 4, 'Para');
INSERT INTO `lang_definitions` VALUES (10885, 2541, 4, 'Por Código');
INSERT INTO `lang_definitions` VALUES (10886, 2543, 4, 'Reclamo por visita');
INSERT INTO `lang_definitions` VALUES (10887, 2544, 4, 'Poe Ejemplo');
INSERT INTO `lang_definitions` VALUES (10888, 2547, 4, 'Por Factura');
INSERT INTO `lang_definitions` VALUES (10889, 2548, 4, 'Para Seguro médico sólo, obliga al facultativo de referencia a ser el mismo que el facultativo del representado.');
INSERT INTO `lang_definitions` VALUES (10890, 2552, 4, 'Para el profesional/Organizacion referida');
INSERT INTO `lang_definitions` VALUES (10891, 2553, 4, 'Por el pasado');
INSERT INTO `lang_definitions` VALUES (10892, 2554, 4, 'por variable');
INSERT INTO `lang_definitions` VALUES (10893, 2555, 4, 'para:');
INSERT INTO `lang_definitions` VALUES (10894, 2556, 4, 'Fuerza la apertura del widget de facturación');
INSERT INTO `lang_definitions` VALUES (10895, 2557, 4, 'Forzar Crear Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (10896, 2559, 4, 'Antebrazo');
INSERT INTO `lang_definitions` VALUES (10897, 2560, 4, 'Formulario');
INSERT INTO `lang_definitions` VALUES (10898, 2561, 4, 'formulario');
INSERT INTO `lang_definitions` VALUES (10899, 2564, 4, 'Formato');
INSERT INTO `lang_definitions` VALUES (10900, 2565, 4, 'formato');
INSERT INTO `lang_definitions` VALUES (10901, 2567, 4, 'Formato incorrecto para el NDC');
INSERT INTO `lang_definitions` VALUES (10902, 2568, 4, 'Formato usado para la mayoría de fechas');
INSERT INTO `lang_definitions` VALUES (10903, 2569, 4, 'Formato usado para mostrar la mayoría de horas.');
INSERT INTO `lang_definitions` VALUES (10904, 2570, 4, 'Informe Formateado');
INSERT INTO `lang_definitions` VALUES (10905, 2571, 4, 'Ex-fumador');
INSERT INTO `lang_definitions` VALUES (10906, 2572, 4, 'Formularios');
INSERT INTO `lang_definitions` VALUES (10907, 2573, 4, 'Formas de administración');
INSERT INTO `lang_definitions` VALUES (10908, 2575, 4, 'Re-enviar');
INSERT INTO `lang_definitions` VALUES (10909, 2576, 4, 'Reenviar Páginas vía fax');
INSERT INTO `lang_definitions` VALUES (10910, 2577, 4, 'Remitido');
INSERT INTO `lang_definitions` VALUES (10911, 2579, 4, 'Cuarto');
INSERT INTO `lang_definitions` VALUES (10912, 2581, 4, 'Fractura');
INSERT INTO `lang_definitions` VALUES (10913, 2582, 4, 'Fractura de escafoides');
INSERT INTO `lang_definitions` VALUES (10914, 2583, 4, 'Fractura del maléolo lat.');
INSERT INTO `lang_definitions` VALUES (10915, 2584, 4, 'Fractura del maléolo med.');
INSERT INTO `lang_definitions` VALUES (10916, 2585, 4, 'Fractura de base quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (10917, 2587, 4, 'Francés');
INSERT INTO `lang_definitions` VALUES (10918, 2588, 4, 'Francés (Canadiense)');
INSERT INTO `lang_definitions` VALUES (10919, 2589, 4, 'Francés (Standard)');
INSERT INTO `lang_definitions` VALUES (10920, 2590, 4, 'Frecuencia');
INSERT INTO `lang_definitions` VALUES (10921, 2591, 4, 'Resfriados Frecuentes');
INSERT INTO `lang_definitions` VALUES (10922, 2592, 4, 'Enfermedades Frecuentes');
INSERT INTO `lang_definitions` VALUES (10923, 2593, 4, 'Viernes');
INSERT INTO `lang_definitions` VALUES (10924, 2594, 4, 'Viernes');
INSERT INTO `lang_definitions` VALUES (10925, 2595, 4, 'Desde');
INSERT INTO `lang_definitions` VALUES (10926, 2596, 4, 'DESDE');
INSERT INTO `lang_definitions` VALUES (10927, 2597, 4, 'desde');
INSERT INTO `lang_definitions` VALUES (10928, 2598, 4, 'Fecha desde no puede ser mayor que fecha hasta');
INSERT INTO `lang_definitions` VALUES (10929, 2599, 4, 'Desde:');
INSERT INTO `lang_definitions` VALUES (10930, 2600, 4, 'Desde: ');
INSERT INTO `lang_definitions` VALUES (10931, 2601, 4, 'DESDE_CIUDAD');
INSERT INTO `lang_definitions` VALUES (10932, 2603, 4, 'DESDE_NOMBRE');
INSERT INTO `lang_definitions` VALUES (10933, 2604, 4, 'DESDE_APELLIDO');
INSERT INTO `lang_definitions` VALUES (10934, 2605, 4, 'DESDE_SEGUNDONOMBRE');
INSERT INTO `lang_definitions` VALUES (10935, 2607, 4, 'DESDE_TELÉFONOCELULAR');
INSERT INTO `lang_definitions` VALUES (10936, 2608, 4, 'DESDE_POSTAL');
INSERT INTO `lang_definitions` VALUES (10937, 2609, 4, 'DESDE_ESTADO');
INSERT INTO `lang_definitions` VALUES (10938, 2610, 4, 'DESDE_CALLE');
INSERT INTO `lang_definitions` VALUES (10939, 2611, 4, 'DESDE_TÍTULO');
INSERT INTO `lang_definitions` VALUES (10940, 2612, 4, 'DESDE_DESPEDIDA');
INSERT INTO `lang_definitions` VALUES (10941, 2613, 4, 'Oficina central');
INSERT INTO `lang_definitions` VALUES (10942, 2614, 4, 'Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (10943, 2615, 4, 'Reportes de Recibos de la Oficina Central');
INSERT INTO `lang_definitions` VALUES (10944, 2616, 4, 'Rec. Oficina Central');
INSERT INTO `lang_definitions` VALUES (10945, 2617, 4, 'Frontal derecha');
INSERT INTO `lang_definitions` VALUES (10946, 2619, 4, 'Nombre Completo');
INSERT INTO `lang_definitions` VALUES (10947, 2620, 4, 'Ruta completa del directorio que contiene los ejecutables MySQL.');
INSERT INTO `lang_definitions` VALUES (10948, 2621, 4, 'Ruta completa del directorio que contiene los ejecutables Perl.');
INSERT INTO `lang_definitions` VALUES (10949, 2622, 4, 'Ruta completa del directorio para log de eventos de backup');
INSERT INTO `lang_definitions` VALUES (10950, 2623, 4, 'Ruta completa del directorio usado para ficheros temporales');
INSERT INTO `lang_definitions` VALUES (10951, 2624, 4, 'Juego completo');
INSERT INTO `lang_definitions` VALUES (10952, 2625, 4, 'Entrenamiento completo');
INSERT INTO `lang_definitions` VALUES (10953, 2626, 4, 'Pagado Total');
INSERT INTO `lang_definitions` VALUES (10954, 2633, 4, 'G');
INSERT INTO `lang_definitions` VALUES (10955, 2634, 4, 'G/DL');
INSERT INTO `lang_definitions` VALUES (10956, 2636, 4, 'Afección de la vesícula biliar');
INSERT INTO `lang_definitions` VALUES (10957, 2637, 4, 'Cálculos en la vesícula');
INSERT INTO `lang_definitions` VALUES (10958, 2638, 4, 'Periodo de Juego');
INSERT INTO `lang_definitions` VALUES (10959, 2639, 4, 'Juegos');
INSERT INTO `lang_definitions` VALUES (10960, 2640, 4, 'Juegos faltados');
INSERT INTO `lang_definitions` VALUES (10961, 2641, 4, 'juegos/eventos');
INSERT INTO `lang_definitions` VALUES (10962, 2642, 4, 'Juegos/Eventos perdidos');
INSERT INTO `lang_definitions` VALUES (10963, 2644, 4, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (10964, 2645, 4, 'Dolor Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (10965, 2646, 4, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (10966, 2647, 4, 'Informe de estadísticas del GCAC');
INSERT INTO `lang_definitions` VALUES (10967, 2648, 4, 'Estadísticas GCAC');
INSERT INTO `lang_definitions` VALUES (10968, 2649, 4, 'Falta la forma de la visita del GCAC');
INSERT INTO `lang_definitions` VALUES (10969, 2650, 4, 'Género');
INSERT INTO `lang_definitions` VALUES (10970, 2651, 4, 'Género ');
INSERT INTO `lang_definitions` VALUES (10971, 2652, 4, 'General');
INSERT INTO `lang_definitions` VALUES (10972, 2655, 4, 'Categoría de servicio general');
INSERT INTO `lang_definitions` VALUES (10973, 2657, 4, 'Generar y Descargar');
INSERT INTO `lang_definitions` VALUES (10974, 2658, 4, 'Generar y descargar reclamos HCFA 1500 en papel');
INSERT INTO `lang_definitions` VALUES (10975, 2659, 4, 'Generar y descargar batch X12');
INSERT INTO `lang_definitions` VALUES (10976, 2660, 4, 'Generar y descargar batch X12 de reclamo por visita');
INSERT INTO `lang_definitions` VALUES (10977, 2663, 4, 'Generar y transmitir electrónicamente las recetas autorizadas.');
INSERT INTO `lang_definitions` VALUES (10978, 2664, 4, 'Generar formulario CMS 1500');
INSERT INTO `lang_definitions` VALUES (10979, 2665, 4, 'Gen.form.CMS1500 pdf');
INSERT INTO `lang_definitions` VALUES (10980, 2666, 4, 'Gen.form. CMS1500 texto');
INSERT INTO `lang_definitions` VALUES (10981, 2667, 4, 'Genere HCFA');
INSERT INTO `lang_definitions` VALUES (10982, 2668, 4, 'Generar recibo');
INSERT INTO `lang_definitions` VALUES (10983, 2669, 4, 'Genere la Carta');
INSERT INTO `lang_definitions` VALUES (10984, 2670, 4, 'Generar carta relacionada ');
INSERT INTO `lang_definitions` VALUES (10985, 2671, 4, 'Generar informe PQRI (Método A)');
INSERT INTO `lang_definitions` VALUES (10986, 2673, 4, 'Generar informe PQRI (Método E)');
INSERT INTO `lang_definitions` VALUES (10987, 2677, 4, 'Generar informe');
INSERT INTO `lang_definitions` VALUES (10988, 2678, 4, 'Generar usuario y contraseña para');
INSERT INTO `lang_definitions` VALUES (10989, 2679, 4, 'Generar X12');
INSERT INTO `lang_definitions` VALUES (10990, 2680, 4, 'Generar visita X12');
INSERT INTO `lang_definitions` VALUES (10991, 2682, 4, 'Generado en');
INSERT INTO `lang_definitions` VALUES (10992, 2683, 4, 'genera');
INSERT INTO `lang_definitions` VALUES (10993, 2684, 4, 'Genitourinario');
INSERT INTO `lang_definitions` VALUES (10994, 2687, 4, 'Alemán');
INSERT INTO `lang_definitions` VALUES (10995, 2691, 4, 'Obtener HL7');
INSERT INTO `lang_definitions` VALUES (10996, 2692, 4, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (10997, 2693, 4, 'Historia Familiar de Glaucoma');
INSERT INTO `lang_definitions` VALUES (10998, 2694, 4, 'Global');
INSERT INTO `lang_definitions` VALUES (10999, 2696, 4, 'ID Global');
INSERT INTO `lang_definitions` VALUES (11000, 2697, 4, 'Ajustes Globales');
INSERT INTO `lang_definitions` VALUES (11001, 2698, 4, 'Globales');
INSERT INTO `lang_definitions` VALUES (11002, 2699, 4, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (11003, 2700, 4, 'ir');
INSERT INTO `lang_definitions` VALUES (11004, 2701, 4, 'Ir');
INSERT INTO `lang_definitions` VALUES (11005, 2704, 4, 'Ir a');
INSERT INTO `lang_definitions` VALUES (11006, 2705, 4, 'Ir a la semana del');
INSERT INTO `lang_definitions` VALUES (11007, 2706, 4, 'Ir hoy');
INSERT INTO `lang_definitions` VALUES (11008, 2711, 4, 'Grado de la lesión');
INSERT INTO `lang_definitions` VALUES (11009, 2712, 4, 'Grado:');
INSERT INTO `lang_definitions` VALUES (11010, 2713, 4, 'Gramos');
INSERT INTO `lang_definitions` VALUES (11011, 2714, 4, 'Suma total');
INSERT INTO `lang_definitions` VALUES (11012, 2715, 4, 'Sumas totales');
INSERT INTO `lang_definitions` VALUES (11013, 2718, 4, 'Posibilidad de gráfico');
INSERT INTO `lang_definitions` VALUES (11014, 2720, 4, 'Mayor que');
INSERT INTO `lang_definitions` VALUES (11015, 2721, 4, 'Mayor que o Igual a');
INSERT INTO `lang_definitions` VALUES (11016, 2722, 4, 'Griego');
INSERT INTO `lang_definitions` VALUES (11017, 2724, 4, 'Grupo');
INSERT INTO `lang_definitions` VALUES (11018, 2725, 4, 'Nombre de Grupo');
INSERT INTO `lang_definitions` VALUES (11019, 2726, 4, 'Los nombres de los grupos no pueden quedar en blanco');
INSERT INTO `lang_definitions` VALUES (11020, 2727, 4, 'Los nombres de los grupos no pueden iniciar con números');
INSERT INTO `lang_definitions` VALUES (11021, 2728, 4, 'Los nombres de grupo no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (11022, 2729, 4, 'Número de grupo');
INSERT INTO `lang_definitions` VALUES (11023, 2730, 4, 'Pago en grupo');
INSERT INTO `lang_definitions` VALUES (11024, 2731, 4, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (11025, 2732, 4, 'Nombre del grupo');
INSERT INTO `lang_definitions` VALUES (11026, 2733, 4, 'Controles de grupos y accesos');
INSERT INTO `lang_definitions` VALUES (11027, 2734, 4, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (11028, 2735, 4, 'Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (11029, 2736, 4, 'gtts (gotas)');
INSERT INTO `lang_definitions` VALUES (11030, 2737, 4, 'Guamés');
INSERT INTO `lang_definitions` VALUES (11031, 2739, 4, 'Nombre del tutor');
INSERT INTO `lang_definitions` VALUES (11032, 2741, 4, 'Examen ginecológico');
INSERT INTO `lang_definitions` VALUES (11033, 2742, 4, 'h');
INSERT INTO `lang_definitions` VALUES (11034, 2743, 4, 'h.s.');
INSERT INTO `lang_definitions` VALUES (11035, 2744, 4, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (11036, 2745, 4, 'se ha suprimido con éxito. Cualquier eventual sub-categoría, trasladada abajo');
INSERT INTO `lang_definitions` VALUES (11037, 2746, 4, 'Hematoma/moretón');
INSERT INTO `lang_definitions` VALUES (11038, 2747, 4, 'Estado HAI');
INSERT INTO `lang_definitions` VALUES (11039, 2750, 4, 'manos + dedos');
INSERT INTO `lang_definitions` VALUES (11040, 2751, 4, 'Problemas de manos');
INSERT INTO `lang_definitions` VALUES (11041, 2752, 4, 'Disco Duro');
INSERT INTO `lang_definitions` VALUES (11042, 2753, 4, 'Dificultad sin');
INSERT INTO `lang_definitions` VALUES (11043, 2754, 4, 'se ha ligado para visitar');
INSERT INTO `lang_definitions` VALUES (11044, 2755, 4, 'ha expirado');
INSERT INTO `lang_definitions` VALUES (11045, 2756, 4, 'Función Hash');
INSERT INTO `lang_definitions` VALUES (11046, 2757, 4, 'No existe hash para este fichero. Un nuevo hash será generado.');
INSERT INTO `lang_definitions` VALUES (11047, 2758, 4, 'Hash no coincide. La integridad de datos se ha visto comprometida.');
INSERT INTO `lang_definitions` VALUES (11048, 2760, 4, 'Hawaiano');
INSERT INTO `lang_definitions` VALUES (11049, 2761, 4, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (11050, 2762, 4, 'Actividades peligrosas');
INSERT INTO `lang_definitions` VALUES (11051, 2763, 4, 'Margen izquierdo de HCFA en puntos');
INSERT INTO `lang_definitions` VALUES (11052, 2764, 4, 'Márgenes de HCFA');
INSERT INTO `lang_definitions` VALUES (11053, 2765, 4, 'Margen superior de HCFA en puntos');
INSERT INTO `lang_definitions` VALUES (11054, 2766, 4, 'Procedimiento/Servicio HCPCS');
INSERT INTO `lang_definitions` VALUES (11055, 2767, 4, 'Publicar Calendario ');
INSERT INTO `lang_definitions` VALUES (11056, 2768, 4, 'Cabeza');
INSERT INTO `lang_definitions` VALUES (11057, 2769, 4, 'Circunferencia de la cabeza');
INSERT INTO `lang_definitions` VALUES (11058, 2770, 4, 'Circunferencia de la cabeza');
INSERT INTO `lang_definitions` VALUES (11059, 2771, 4, 'Dolor de cabeza');
INSERT INTO `lang_definitions` VALUES (11060, 2772, 4, 'Dolores de cabeza');
INSERT INTO `lang_definitions` VALUES (11061, 2773, 4, 'Operaciones de atención médica');
INSERT INTO `lang_definitions` VALUES (11062, 2774, 4, 'Operaciones de Atención Médica');
INSERT INTO `lang_definitions` VALUES (11063, 2775, 4, 'Centro de salud/clínica');
INSERT INTO `lang_definitions` VALUES (11064, 2776, 4, 'Organización para el mantenimiento de la salud');
INSERT INTO `lang_definitions` VALUES (11065, 2777, 4, 'Riesgo de Medicare de la organización de mantenimiento de salud (HMO)');
INSERT INTO `lang_definitions` VALUES (11066, 2778, 4, 'Pérdida de Oído');
INSERT INTO `lang_definitions` VALUES (11067, 2779, 4, 'Ataque del Corazón');
INSERT INTO `lang_definitions` VALUES (11068, 2780, 4, 'Enfermedad del corazón');
INSERT INTO `lang_definitions` VALUES (11069, 2781, 4, 'Fallo cardiaco');
INSERT INTO `lang_definitions` VALUES (11070, 2782, 4, 'Problema del Corazón');
INSERT INTO `lang_definitions` VALUES (11071, 2783, 4, 'Problemas de corazón');
INSERT INTO `lang_definitions` VALUES (11072, 2784, 4, 'Cirugía del Corazón');
INSERT INTO `lang_definitions` VALUES (11073, 2785, 4, 'Transplante de corazón');
INSERT INTO `lang_definitions` VALUES (11074, 2786, 4, 'CORAZÓN:');
INSERT INTO `lang_definitions` VALUES (11075, 2787, 4, 'Ardor de estómago');
INSERT INTO `lang_definitions` VALUES (11076, 2788, 4, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (11077, 2789, 4, 'Calor o Frío');
INSERT INTO `lang_definitions` VALUES (11078, 2791, 4, 'Hebreo');
INSERT INTO `lang_definitions` VALUES (11079, 2793, 4, 'Cabeza, ojos, ORL');
INSERT INTO `lang_definitions` VALUES (11080, 2794, 4, 'Altura');
INSERT INTO `lang_definitions` VALUES (11081, 2796, 4, 'Ayuda');
INSERT INTO `lang_definitions` VALUES (11082, 2797, 4, 'ayuda');
INSERT INTO `lang_definitions` VALUES (11083, 2798, 4, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (11084, 2799, 4, 'Hematoquecia (rectorragia)');
INSERT INTO `lang_definitions` VALUES (11085, 2800, 4, 'Hematológico');
INSERT INTO `lang_definitions` VALUES (11086, 2801, 4, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (11087, 2802, 4, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (11088, 2803, 4, 'Hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (11089, 2804, 4, 'Hemoptisis');
INSERT INTO `lang_definitions` VALUES (11090, 2805, 4, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (11091, 2806, 4, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (11092, 2807, 4, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (11093, 2808, 4, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (11094, 2809, 4, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (11095, 2810, 4, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (11096, 2811, 4, 'aqui');
INSERT INTO `lang_definitions` VALUES (11097, 2813, 4, 'Reparación de la hernia');
INSERT INTO `lang_definitions` VALUES (11098, 2814, 4, 'disco herniado');
INSERT INTO `lang_definitions` VALUES (11099, 2815, 4, 'Herpes');
INSERT INTO `lang_definitions` VALUES (11100, 2816, 4, 'Vacilación');
INSERT INTO `lang_definitions` VALUES (11101, 2817, 4, 'Ey, tú. has estado aquí para ');
INSERT INTO `lang_definitions` VALUES (11102, 2818, 4, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (11103, 2819, 4, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (11104, 2820, 4, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (11105, 2821, 4, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (11106, 2822, 4, 'Oculto');
INSERT INTO `lang_definitions` VALUES (11107, 2823, 4, 'Administración de eventos ocultos');
INSERT INTO `lang_definitions` VALUES (11108, 2824, 4, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (11109, 2825, 4, 'Ocultar detalles');
INSERT INTO `lang_definitions` VALUES (11110, 2827, 4, 'Ocultar las opciones de cifrado/descifrado en la gestión de documentos');
INSERT INTO `lang_definitions` VALUES (11111, 2828, 4, 'Ocultar Menu');
INSERT INTO `lang_definitions` VALUES (11112, 2830, 4, 'Ocultar Recordatorios');
INSERT INTO `lang_definitions` VALUES (11113, 2831, 4, 'Ocultar/Mostrar Columnas');
INSERT INTO `lang_definitions` VALUES (11114, 2833, 4, 'Alto');
INSERT INTO `lang_definitions` VALUES (11115, 2834, 4, 'Presión Sanguínea Alta');
INSERT INTO `lang_definitions` VALUES (11116, 2835, 4, 'Hindú');
INSERT INTO `lang_definitions` VALUES (11117, 2836, 4, 'Cadera + ingle');
INSERT INTO `lang_definitions` VALUES (11118, 2837, 4, 'Cadera y ingle');
INSERT INTO `lang_definitions` VALUES (11119, 2838, 4, 'Problemas de cadera');
INSERT INTO `lang_definitions` VALUES (11120, 2839, 4, 'Reemplazo de Cadera');
INSERT INTO `lang_definitions` VALUES (11121, 2840, 4, 'Aviso Recibido de HIPPA');
INSERT INTO `lang_definitions` VALUES (11122, 2842, 4, 'Hirsutismo/Estrías');
INSERT INTO `lang_definitions` VALUES (11123, 2843, 4, 'Hispano');
INSERT INTO `lang_definitions` VALUES (11124, 2844, 4, 'Hispano - Otro (Nacido en EEUU)');
INSERT INTO `lang_definitions` VALUES (11125, 2845, 4, 'Hispano - Otro (Nacido fura de EEUU)');
INSERT INTO `lang_definitions` VALUES (11126, 2846, 4, 'Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (11127, 2847, 4, 'Historial');
INSERT INTO `lang_definitions` VALUES (11128, 2848, 4, 'Historia de Datos');
INSERT INTO `lang_definitions` VALUES (11129, 2849, 4, 'Fecha de Historia');
INSERT INTO `lang_definitions` VALUES (11130, 2851, 4, 'Historia de Murmullos');
INSERT INTO `lang_definitions` VALUES (11131, 2852, 4, 'Historia no está Autorizado');
INSERT INTO `lang_definitions` VALUES (11132, 2853, 4, 'Historia de Murmullos de Corazón');
INSERT INTO `lang_definitions` VALUES (11133, 2854, 4, 'Hits');
INSERT INTO `lang_definitions` VALUES (11134, 2855, 4, 'HIV');
INSERT INTO `lang_definitions` VALUES (11135, 2858, 4, 'Visor HL7');
INSERT INTO `lang_definitions` VALUES (11136, 2860, 4, 'HMO/L');
INSERT INTO `lang_definitions` VALUES (11137, 2861, 4, 'Hmong');
INSERT INTO `lang_definitions` VALUES (11138, 2862, 4, 'Mantener apretado Control para selecciones múltiples o deseleccionar');
INSERT INTO `lang_definitions` VALUES (11139, 2863, 4, 'Mantener apretado Control para seleccionar múltiples elementos');
INSERT INTO `lang_definitions` VALUES (11140, 2864, 4, 'Mantenga presionada la tecla CTRL para seleccionar varios escuadrones');
INSERT INTO `lang_definitions` VALUES (11141, 2865, 4, 'Inicio');
INSERT INTO `lang_definitions` VALUES (11142, 2866, 4, 'Teléfono de casa');
INSERT INTO `lang_definitions` VALUES (11143, 2867, 4, 'Teléfono de Casa');
INSERT INTO `lang_definitions` VALUES (11144, 2868, 4, 'Sin hogar o similares?');
INSERT INTO `lang_definitions` VALUES (11145, 2869, 4, 'Sin hogar, etc.');
INSERT INTO `lang_definitions` VALUES (11146, 2870, 4, 'Sin hogar, etc');
INSERT INTO `lang_definitions` VALUES (11147, 2872, 4, 'Nombre de Huesped');
INSERT INTO `lang_definitions` VALUES (11148, 2873, 4, 'El nombre del huesped no puede estar vacio');
INSERT INTO `lang_definitions` VALUES (11149, 2875, 4, 'Hora');
INSERT INTO `lang_definitions` VALUES (11150, 2876, 4, 'Horas');
INSERT INTO `lang_definitions` VALUES (11151, 2878, 4, '¿Cómo ocurrió la lesión?');
INSERT INTO `lang_definitions` VALUES (11152, 2879, 4, '¿Cómo ocurrió la lesión?:');
INSERT INTO `lang_definitions` VALUES (11153, 2880, 4, 'Como nos ha conocido');
INSERT INTO `lang_definitions` VALUES (11154, 2881, 4, '¿Cuántos meses de antelación a la consulta para los próximos eventos?');
INSERT INTO `lang_definitions` VALUES (11155, 2882, 4, 'Hist.Enfd.Actual:');
INSERT INTO `lang_definitions` VALUES (11156, 2883, 4, 'Altura');
INSERT INTO `lang_definitions` VALUES (11157, 2884, 4, 'HTML');
INSERT INTO `lang_definitions` VALUES (11158, 2886, 4, 'Vínculo Https segurizado para el soporte LibreEHR LLC Servicio de tránsito de datos de laboratorio.');
INSERT INTO `lang_definitions` VALUES (11159, 2887, 4, 'Húngaro');
INSERT INTO `lang_definitions` VALUES (11160, 2888, 4, 'Hylafax Directorio');
INSERT INTO `lang_definitions` VALUES (11161, 2889, 4, 'Hylafax Commando Enscript');
INSERT INTO `lang_definitions` VALUES (11162, 2890, 4, 'Hylafax Servidor');
INSERT INTO `lang_definitions` VALUES (11163, 2891, 4, 'Hylafax Servidor Hostname');
INSERT INTO `lang_definitions` VALUES (11164, 2892, 4, 'Hiperactivo');
INSERT INTO `lang_definitions` VALUES (11165, 2893, 4, 'Hipertensión');
INSERT INTO `lang_definitions` VALUES (11166, 2894, 4, 'Hipertensión: Medida de presión arterial');
INSERT INTO `lang_definitions` VALUES (11167, 2895, 4, 'Hipertensión: Medida de presión arterial (GCC)');
INSERT INTO `lang_definitions` VALUES (11168, 2896, 4, 'Hipertiroidismo');
INSERT INTO `lang_definitions` VALUES (11169, 2897, 4, 'Hipotiroidismo');
INSERT INTO `lang_definitions` VALUES (11170, 2898, 4, 'Histerectomía');
INSERT INTO `lang_definitions` VALUES (11171, 2899, 4, 'I');
INSERT INTO `lang_definitions` VALUES (11172, 2900, 4, 'Estoy ocupado durante este periodo.');
INSERT INTO `lang_definitions` VALUES (11173, 2901, 4, 'No tengo permiso para leer ');
INSERT INTO `lang_definitions` VALUES (11174, 2902, 4, 'ICD');
INSERT INTO `lang_definitions` VALUES (11175, 2903, 4, 'Diagnóstico ICD10');
INSERT INTO `lang_definitions` VALUES (11176, 2904, 4, 'Procedimiento/Servicio ICD10');
INSERT INTO `lang_definitions` VALUES (11177, 2905, 4, 'ICD9');
INSERT INTO `lang_definitions` VALUES (11178, 2906, 4, 'Diagnóstico ICD9');
INSERT INTO `lang_definitions` VALUES (11179, 2907, 4, 'Procedimiento/Servicio ICD9');
INSERT INTO `lang_definitions` VALUES (11180, 2909, 4, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (11181, 2910, 4, 'Id');
INSERT INTO `lang_definitions` VALUES (11182, 2911, 4, 'La ID no puede quedar en blanco');
INSERT INTO `lang_definitions` VALUES (11183, 2912, 4, 'Tarjeta ID');
INSERT INTO `lang_definitions` VALUES (11184, 2913, 4, 'IDays');
INSERT INTO `lang_definitions` VALUES (11185, 2914, 4, 'identificado como');
INSERT INTO `lang_definitions` VALUES (11186, 2915, 4, 'Identificador (una palabra)');
INSERT INTO `lang_definitions` VALUES (11187, 2917, 4, 'Tiempo de espera inactivo en segundos');
INSERT INTO `lang_definitions` VALUES (11188, 2919, 4, 'Si todos los datos para todas las columnas están completos para este formulario');
INSERT INTO `lang_definitions` VALUES (11189, 2920, 4, 'Si la justificación de facturación se utiliza introduzca el nombre del código de tipo de diagnóstico.');
INSERT INTO `lang_definitions` VALUES (11190, 2921, 4, 'Si es introducido, seleccione solamente aquel que ha tenido este servicio');
INSERT INTO `lang_definitions` VALUES (11191, 2922, 4, 'Si el nombre, apellido de cualquier parte o apellido, Nombre');
INSERT INTO `lang_definitions` VALUES (11192, 2923, 4, 'Si pagando por');
INSERT INTO `lang_definitions` VALUES (11193, 2924, 4, 'Si la persona ha fallecido, introducir la fecha de la muerte.');
INSERT INTO `lang_definitions` VALUES (11194, 2925, 4, 'Si usa SMTP, nombre del servidor host o la dirección IP.');
INSERT INTO `lang_definitions` VALUES (11195, 2926, 4, 'Si usa SMTP, puerto TCP del servidor (normalmente 25).');
INSERT INTO `lang_definitions` VALUES (11196, 2927, 4, 'Si no tiene trabajo, poner Estudiante');
INSERT INTO `lang_definitions` VALUES (11197, 2929, 4, 'Si cambia el rol de la ePrescripción de receta electrónica, puede afectar al flujo de la ePrescripción. Frente a cualquier dificultad, contacte con su prescriptor de ePrescripción.');
INSERT INTO `lang_definitions` VALUES (11198, 2931, 4, 'Si ha optado por subir remesas electrónicas la ventana de búsqueda muestra las facturas X12 correspondientes del archivo. Puede hacer clic en cualquiera de estos números de factura (como se describe a continuación) si desea hacer las correcciones antes de enviar la información. Para aplicar los cambios, haga clic en el botón de Procesar Archivos ERA en la parte inferior de la página. Esto producirá una nueva ventana con un informe detallado.');
INSERT INTO `lang_definitions` VALUES (11199, 2932, 4, 'Si usted ha incorporado una fecha de pago a la página de la búsqueda, ésta eliminará la fecha de pagos original y los ajustes que se toman del archivo X12. Esto puede serle útil si usted quiere que sus recibos muestren la fecha original en lugar de la fecha admitida por el seguro. Observe que esto también afectará a las fechas de pagos anteriores y a los ajustes que se ponen en demandas secundarias.');
INSERT INTO `lang_definitions` VALUES (11200, 2933, 4, 'Si quiere cambiar tipos de datos, o añadir filas o columnas');
INSERT INTO `lang_definitions` VALUES (11201, 2934, 4, 'Si quiere actualizar la base de datos, coloque el fichero comprimido de base de datos en el siguiente directorio');
INSERT INTO `lang_definitions` VALUES (11202, 2936, 4, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (11203, 2937, 4, 'Enfermedad');
INSERT INTO `lang_definitions` VALUES (11204, 2938, 4, 'IM');
INSERT INTO `lang_definitions` VALUES (11205, 2941, 4, 'Servicio de imágenes');
INSERT INTO `lang_definitions` VALUES (11206, 2942, 4, 'Vacunación');
INSERT INTO `lang_definitions` VALUES (11207, 2943, 4, 'Código Vacunación');
INSERT INTO `lang_definitions` VALUES (11208, 2945, 4, 'Fecha Vacunación');
INSERT INTO `lang_definitions` VALUES (11209, 2947, 4, 'Número de lote Vacunación');
INSERT INTO `lang_definitions` VALUES (11210, 2948, 4, 'Fabricante de Vacuna');
INSERT INTO `lang_definitions` VALUES (11211, 2949, 4, 'Registro Vacunación');
INSERT INTO `lang_definitions` VALUES (11212, 2951, 4, 'Servicio de Vacunación');
INSERT INTO `lang_definitions` VALUES (11213, 2952, 4, 'Título Vacunación');
INSERT INTO `lang_definitions` VALUES (11214, 2953, 4, 'Inmunizaciones');
INSERT INTO `lang_definitions` VALUES (11215, 2954, 4, 'inmunizar');
INSERT INTO `lang_definitions` VALUES (11216, 2955, 4, 'Inmunológicas');
INSERT INTO `lang_definitions` VALUES (11217, 2956, 4, 'Implantes');
INSERT INTO `lang_definitions` VALUES (11218, 2957, 4, 'Importar');
INSERT INTO `lang_definitions` VALUES (11219, 2961, 4, 'Importarr el certificado al buscador');
INSERT INTO `lang_definitions` VALUES (11220, 2962, 4, 'Importar configuración');
INSERT INTO `lang_definitions` VALUES (11221, 2964, 4, 'Paciente de importación');
INSERT INTO `lang_definitions` VALUES (11222, 2965, 4, 'Paciente de importación Demografía');
INSERT INTO `lang_definitions` VALUES (11223, 2966, 4, 'Códigos importantes');
INSERT INTO `lang_definitions` VALUES (11224, 2969, 4, 'Importados de Contabilidad');
INSERT INTO `lang_definitions` VALUES (11225, 2972, 4, 'Mejorado');
INSERT INTO `lang_definitions` VALUES (11226, 2973, 4, 'en');
INSERT INTO `lang_definitions` VALUES (11227, 2974, 4, 'ingreso');
INSERT INTO `lang_definitions` VALUES (11228, 2975, 4, 'dentro de cada ojo');
INSERT INTO `lang_definitions` VALUES (11229, 2976, 4, 'en ojo izquierdo');
INSERT INTO `lang_definitions` VALUES (11230, 2977, 4, 'en los agujeros de la nariz');
INSERT INTO `lang_definitions` VALUES (11231, 2978, 4, 'En la oficina');
INSERT INTO `lang_definitions` VALUES (11232, 2979, 4, 'en ojo derecho');
INSERT INTO `lang_definitions` VALUES (11233, 2980, 4, 'Dentro de la empresa');
INSERT INTO `lang_definitions` VALUES (11234, 2981, 4, 'Inactivo');
INSERT INTO `lang_definitions` VALUES (11235, 2982, 4, 'Días no activo');
INSERT INTO `lang_definitions` VALUES (11236, 2983, 4, 'Entrada');
INSERT INTO `lang_definitions` VALUES (11237, 2986, 4, 'Incluya checksum');
INSERT INTO `lang_definitions` VALUES (11238, 2987, 4, 'Incluya completado');
INSERT INTO `lang_definitions` VALUES (11239, 2988, 4, 'Incluir los usuarios inactivos');
INSERT INTO `lang_definitions` VALUES (11240, 2989, 4, 'Incluir a un no clasificado');
INSERT INTO `lang_definitions` VALUES (11241, 2990, 4, 'Incluir datos no estructurados');
INSERT INTO `lang_definitions` VALUES (11242, 2991, 4, 'Incluir constantes vitales');
INSERT INTO `lang_definitions` VALUES (11243, 2992, 4, '¿Incluir las constantes vitales?');
INSERT INTO `lang_definitions` VALUES (11244, 2993, 4, 'Inclusión');
INSERT INTO `lang_definitions` VALUES (11245, 2994, 4, 'Ingresos');
INSERT INTO `lang_definitions` VALUES (11246, 2996, 4, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (11247, 2997, 4, 'Tratamiento Aborto incompleto');
INSERT INTO `lang_definitions` VALUES (11248, 2998, 4, 'Incontinencia');
INSERT INTO `lang_definitions` VALUES (11249, 2999, 4, 'Incorporar resultados clínicos del test de laboratorio al certificado tecnológico EHR como estructura');
INSERT INTO `lang_definitions` VALUES (11250, 3001, 4, 'aumentado:');
INSERT INTO `lang_definitions` VALUES (11251, 3002, 4, 'Seguro de Indemnización');
INSERT INTO `lang_definitions` VALUES (11252, 3003, 4, 'indeterminado');
INSERT INTO `lang_definitions` VALUES (11253, 3004, 4, 'Indio');
INSERT INTO `lang_definitions` VALUES (11254, 3005, 4, 'Indica anormalidad');
INSERT INTO `lang_definitions` VALUES (11255, 3006, 4, 'Indica si esta incidencia está activa');
INSERT INTO `lang_definitions` VALUES (11256, 3008, 4, 'Indicador de uso especializado');
INSERT INTO `lang_definitions` VALUES (11257, 3009, 4, 'Pacientes indigentes');
INSERT INTO `lang_definitions` VALUES (11258, 3010, 4, 'Informe de Pacientes Indigentes');
INSERT INTO `lang_definitions` VALUES (11259, 3011, 4, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (11260, 3014, 4, 'Aborto Inducido');
INSERT INTO `lang_definitions` VALUES (11261, 3016, 4, 'Inelegible');
INSERT INTO `lang_definitions` VALUES (11262, 3017, 4, 'Infección/abceso');
INSERT INTO `lang_definitions` VALUES (11263, 3018, 4, 'Infecciones');
INSERT INTO `lang_definitions` VALUES (11264, 3019, 4, 'Consejo Infertilidad');
INSERT INTO `lang_definitions` VALUES (11265, 3020, 4, 'Infertilidad');
INSERT INTO `lang_definitions` VALUES (11266, 3021, 4, 'Gripe 1');
INSERT INTO `lang_definitions` VALUES (11267, 3022, 4, 'Gripe 2');
INSERT INTO `lang_definitions` VALUES (11268, 3023, 4, 'Vacunación gripe p/ pacientes may.50 años');
INSERT INTO `lang_definitions` VALUES (11269, 3024, 4, 'Vacunación gripe p/ pacientes may.50 años (GCC)');
INSERT INTO `lang_definitions` VALUES (11270, 3025, 4, 'Vacuna gripe');
INSERT INTO `lang_definitions` VALUES (11271, 3026, 4, 'Información');
INSERT INTO `lang_definitions` VALUES (11272, 3027, 4, 'Información de ensayo 1');
INSERT INTO `lang_definitions` VALUES (11273, 3028, 4, 'Información de ensayo 2');
INSERT INTO `lang_definitions` VALUES (11274, 3029, 4, 'Información de ensayo 3');
INSERT INTO `lang_definitions` VALUES (11275, 3030, 4, 'Información de ensayo 4');
INSERT INTO `lang_definitions` VALUES (11276, 3031, 4, 'Información de ensayo 5');
INSERT INTO `lang_definitions` VALUES (11277, 3032, 4, 'Información de ensayo 6');
INSERT INTO `lang_definitions` VALUES (11278, 3034, 4, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (11279, 3035, 4, 'Inhalaciones');
INSERT INTO `lang_definitions` VALUES (11280, 3037, 4, 'Usuario Inicial');
INSERT INTO `lang_definitions` VALUES (11281, 3038, 4, 'Lesión/Rehabilitación');
INSERT INTO `lang_definitions` VALUES (11282, 3039, 4, 'Inyectables');
INSERT INTO `lang_definitions` VALUES (11283, 3040, 4, 'Inyeccion');
INSERT INTO `lang_definitions` VALUES (11284, 3041, 4, 'Parte del cuerpo lesionada');
INSERT INTO `lang_definitions` VALUES (11285, 3042, 4, 'Herido a Fuera');
INSERT INTO `lang_definitions` VALUES (11286, 3043, 4, 'Herido');
INSERT INTO `lang_definitions` VALUES (11287, 3044, 4, 'Mecanismo de lesión');
INSERT INTO `lang_definitions` VALUES (11288, 3045, 4, 'Informe General de lesión');
INSERT INTO `lang_definitions` VALUES (11289, 3046, 4, 'Vigilancia de Lesiones');
INSERT INTO `lang_definitions` VALUES (11290, 3047, 4, 'Tipo de lesión');
INSERT INTO `lang_definitions` VALUES (11291, 3048, 4, 'Relacionado a lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (11292, 3051, 4, 'Campos de entrada');
INSERT INTO `lang_definitions` VALUES (11293, 3052, 4, 'Tiempo Protrombina');
INSERT INTO `lang_definitions` VALUES (11294, 3053, 4, 'Aseg 1');
INSERT INTO `lang_definitions` VALUES (11295, 3054, 4, 'Aseg 2 o Aseg 3');
INSERT INTO `lang_definitions` VALUES (11296, 3056, 4, 'Ajuste Seg');
INSERT INTO `lang_definitions` VALUES (11297, 3057, 4, 'paquete de seguro');
INSERT INTO `lang_definitions` VALUES (11298, 3058, 4, 'Código Aseguradora');
INSERT INTO `lang_definitions` VALUES (11299, 3061, 4, 'Sobre pago Seg');
INSERT INTO `lang_definitions` VALUES (11300, 3063, 4, 'Reembolso Seg');
INSERT INTO `lang_definitions` VALUES (11301, 3064, 4, 'Resumen Seg');
INSERT INTO `lang_definitions` VALUES (11302, 3065, 4, 'Seg1');
INSERT INTO `lang_definitions` VALUES (11303, 3066, 4, 'Seg2');
INSERT INTO `lang_definitions` VALUES (11304, 3067, 4, 'Seg3');
INSERT INTO `lang_definitions` VALUES (11305, 3069, 4, 'Insertar fallido: ');
INSERT INTO `lang_definitions` VALUES (11306, 3070, 4, 'Introduzca los eventos antiguos en tablas');
INSERT INTO `lang_definitions` VALUES (11307, 3072, 4, 'Insomnio');
INSERT INTO `lang_definitions` VALUES (11308, 3074, 4, 'Inspección');
INSERT INTO `lang_definitions` VALUES (11309, 3075, 4, 'Inestabilidad/subluxación');
INSERT INTO `lang_definitions` VALUES (11310, 3076, 4, 'INSTALAR');
INSERT INTO `lang_definitions` VALUES (11311, 3077, 4, 'Instalar');
INSERT INTO `lang_definitions` VALUES (11312, 3079, 4, 'Instalar BD');
INSERT INTO `lang_definitions` VALUES (11313, 3080, 4, 'Versión instalada');
INSERT INTO `lang_definitions` VALUES (11314, 3081, 4, 'instrucciones');
INSERT INTO `lang_definitions` VALUES (11315, 3082, 4, 'Instrucción');
INSERT INTO `lang_definitions` VALUES (11316, 3084, 4, 'instrucciones:');
INSERT INTO `lang_definitions` VALUES (11317, 3085, 4, 'Inventario insuficiente para ID producto');
INSERT INTO `lang_definitions` VALUES (11318, 3086, 4, 'Diabetes insulino dependente');
INSERT INTO `lang_definitions` VALUES (11319, 3087, 4, 'Seguro');
INSERT INTO `lang_definitions` VALUES (11320, 3088, 4, 'Seguro');
INSERT INTO `lang_definitions` VALUES (11321, 3091, 4, 'Saldo del seguro');
INSERT INTO `lang_definitions` VALUES (11322, 3093, 4, 'Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (11323, 3094, 4, 'Cñias.Seguro Médico');
INSERT INTO `lang_definitions` VALUES (11324, 3095, 4, 'Cñia.Seguro Médico');
INSERT INTO `lang_definitions` VALUES (11325, 3096, 4, 'Cñia.Seguro Médico Buscar/Añadir');
INSERT INTO `lang_definitions` VALUES (11326, 3098, 4, 'Data Seguro');
INSERT INTO `lang_definitions` VALUES (11327, 3099, 4, 'Información del Seguro en fichero');
INSERT INTO `lang_definitions` VALUES (11328, 3100, 4, 'Num Seguro');
INSERT INTO `lang_definitions` VALUES (11329, 3101, 4, 'Pago Aseguradora');
INSERT INTO `lang_definitions` VALUES (11330, 3103, 4, 'Proveedor de Seguro');
INSERT INTO `lang_definitions` VALUES (11331, 3106, 4, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (11332, 3107, 4, 'Conclusión Ingesta');
INSERT INTO `lang_definitions` VALUES (11333, 3108, 4, 'Fecha de Ingesta');
INSERT INTO `lang_definitions` VALUES (11334, 3109, 4, 'Declinación intelectual');
INSERT INTO `lang_definitions` VALUES (11335, 3113, 4, 'Error interno - no se seleccionó ningunas páginas!');
INSERT INTO `lang_definitions` VALUES (11336, 3114, 4, 'Error interno - Nº Identificación del paciente no proporcionado!');
INSERT INTO `lang_definitions` VALUES (11337, 3115, 4, '¡Error interno al accede al fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (11338, 3116, 4, '¡Error interno!');
INSERT INTO `lang_definitions` VALUES (11339, 3117, 4, 'Error interno, no identificación de drogas especificada');
INSERT INTO `lang_definitions` VALUES (11340, 3119, 4, 'Error interno: reclamo ');
INSERT INTO `lang_definitions` VALUES (11341, 3120, 4, 'Error Interno: Encuentro');
INSERT INTO `lang_definitions` VALUES (11342, 3121, 4, 'Error interno: pid o se encuentran desaparecidos.');
INSERT INTO `lang_definitions` VALUES (11343, 3122, 4, 'Error interno: no parece haber una visita!');
INSERT INTO `lang_definitions` VALUES (11344, 3123, 4, 'Identificador interno (pid)');
INSERT INTO `lang_definitions` VALUES (11345, 3126, 4, 'Derivaciones Internas');
INSERT INTO `lang_definitions` VALUES (11346, 3127, 4, 'Tiempo de coleccion interno');
INSERT INTO `lang_definitions` VALUES (11347, 3128, 4, 'Deber Internacional');
INSERT INTO `lang_definitions` VALUES (11348, 3129, 4, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (11349, 3130, 4, 'Require Intérprete?');
INSERT INTO `lang_definitions` VALUES (11350, 3131, 4, 'Enfermedad Pulmonar Intersticial');
INSERT INTO `lang_definitions` VALUES (11351, 3132, 4, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (11352, 3135, 4, 'Intervención');
INSERT INTO `lang_definitions` VALUES (11353, 3137, 4, 'Intolerancia');
INSERT INTO `lang_definitions` VALUES (11354, 3139, 4, 'Intramuscularmente');
INSERT INTO `lang_definitions` VALUES (11355, 3140, 4, 'Intravenoso');
INSERT INTO `lang_definitions` VALUES (11356, 3141, 4, 'Introducción');
INSERT INTO `lang_definitions` VALUES (11357, 3144, 4, 'Carácter inválido en');
INSERT INTO `lang_definitions` VALUES (11358, 3147, 4, 'Longitud inválida para');
INSERT INTO `lang_definitions` VALUES (11359, 3148, 4, 'Carácter no-numérico inválido en');
INSERT INTO `lang_definitions` VALUES (11360, 3149, 4, 'Inválido o pagador ausente en fuente para código ');
INSERT INTO `lang_definitions` VALUES (11361, 3151, 4, 'Códigos de Servicio Inválidos');
INSERT INTO `lang_definitions` VALUES (11362, 3152, 4, 'Designación de la fuente inválida -');
INSERT INTO `lang_definitions` VALUES (11363, 3154, 4, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (11364, 3155, 4, 'Inventario');
INSERT INTO `lang_definitions` VALUES (11365, 3156, 4, 'Actividad de inventario');
INSERT INTO `lang_definitions` VALUES (11366, 3157, 4, 'Inventario y venta, ambos medicamentos y productos no farmacológicos');
INSERT INTO `lang_definitions` VALUES (11367, 3158, 4, 'Inventario y venta medicamentos sólo');
INSERT INTO `lang_definitions` VALUES (11368, 3159, 4, 'El inventario no está disponible para esta orden.');
INSERT INTO `lang_definitions` VALUES (11369, 3160, 4, 'Lista de Inventario');
INSERT INTO `lang_definitions` VALUES (11370, 3161, 4, 'Inventario Transacciones');
INSERT INTO `lang_definitions` VALUES (11371, 3162, 4, 'Factura');
INSERT INTO `lang_definitions` VALUES (11372, 3163, 4, 'factura');
INSERT INTO `lang_definitions` VALUES (11373, 3164, 4, 'Factura saldo');
INSERT INTO `lang_definitions` VALUES (11374, 3165, 4, 'Factura saldo no puede ser enviado. No hay visita creada.');
INSERT INTO `lang_definitions` VALUES (11375, 3166, 4, 'Fecha de Factura');
INSERT INTO `lang_definitions` VALUES (11376, 3167, 4, 'Factura no tiene fecha');
INSERT INTO `lang_definitions` VALUES (11377, 3168, 4, 'Número Factura');
INSERT INTO `lang_definitions` VALUES (11378, 3169, 4, 'Número Referencia Factura');
INSERT INTO `lang_definitions` VALUES (11379, 3170, 4, 'Número referencia lote de facturas, si se usa');
INSERT INTO `lang_definitions` VALUES (11380, 3171, 4, 'Número referencia de lotes de factura');
INSERT INTO `lang_definitions` VALUES (11381, 3172, 4, 'Número referencia factura');
INSERT INTO `lang_definitions` VALUES (11382, 3173, 4, 'Factura:');
INSERT INTO `lang_definitions` VALUES (11383, 3174, 4, 'Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (11384, 3177, 4, 'Datos para SRH IPPF');
INSERT INTO `lang_definitions` VALUES (11385, 3178, 4, 'Informe de las estadísticas de IPPF');
INSERT INTO `lang_definitions` VALUES (11386, 3179, 4, 'Estado Fundación Internacional de Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (11387, 3180, 4, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (11388, 3181, 4, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (11389, 3182, 4, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (11390, 3183, 4, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (11391, 3185, 4, 'Latido de Corazón Irregular');
INSERT INTO `lang_definitions` VALUES (11392, 3186, 4, 'Irritabilidad');
INSERT INTO `lang_definitions` VALUES (11393, 3187, 4, 'Irritación');
INSERT INTO `lang_definitions` VALUES (11394, 3190, 4, 'es la versión más reciente de la siguiente bbdd');
INSERT INTO `lang_definitions` VALUES (11395, 3191, 4, 'es un campo requerido.');
INSERT INTO `lang_definitions` VALUES (11396, 3192, 4, 'es un nodo de raíz y no puede ser suprimido.');
INSERT INTO `lang_definitions` VALUES (11397, 3197, 4, 'no es válido (las fracciones decimales están bien).');
INSERT INTO `lang_definitions` VALUES (11398, 3198, 4, '¿El PHP utiliza el modo a prueba de fallos?');
INSERT INTO `lang_definitions` VALUES (11399, 3200, 4, '¿Se traduce el texto del formulario plantilla?');
INSERT INTO `lang_definitions` VALUES (11400, 3201, 4, '¿Se traduce el texto de listas?');
INSERT INTO `lang_definitions` VALUES (11401, 3202, 4, '¿Está encriptado el fichero?');
INSERT INTO `lang_definitions` VALUES (11402, 3204, 4, '¿Este es un tipo de diagnóstico?');
INSERT INTO `lang_definitions` VALUES (11403, 3207, 4, '¿Es un tipo de procedimiento/servicio?');
INSERT INTO `lang_definitions` VALUES (11404, 3209, 4, '¿Este tipo de código está activo?');
INSERT INTO `lang_definitions` VALUES (11405, 3210, 4, '¿Este tipo de código se usa en reclamos?');
INSERT INTO `lang_definitions` VALUES (11406, 3212, 4, '¿Es un tipo oculto en la hoja de honorarios?');
INSERT INTO `lang_definitions` VALUES (11407, 3213, 4, '¿Se usa en las tablas sql externas? Si es así, elija el formato.');
INSERT INTO `lang_definitions` VALUES (11408, 3214, 4, 'es muy largo');
INSERT INTO `lang_definitions` VALUES (11409, 3216, 4, 'Incidencia');
INSERT INTO `lang_definitions` VALUES (11410, 3217, 4, 'incidencia');
INSERT INTO `lang_definitions` VALUES (11411, 3218, 4, 'Fecha Incidencia');
INSERT INTO `lang_definitions` VALUES (11412, 3219, 4, 'Nº Identificación incidencia');
INSERT INTO `lang_definitions` VALUES (11413, 3220, 4, 'Título de incidencia');
INSERT INTO `lang_definitions` VALUES (11414, 3223, 4, 'Incidencias');
INSERT INTO `lang_definitions` VALUES (11415, 3224, 4, 'Incidencias (Lesiones, Médicas, Alergias)');
INSERT INTO `lang_definitions` VALUES (11416, 3225, 4, 'Incidencias (Lesiones, Médicas, Alergias):');
INSERT INTO `lang_definitions` VALUES (11417, 3226, 4, 'Incidencias y Encuentros');
INSERT INTO `lang_definitions` VALUES (11418, 3227, 4, 'Incidencias y Encuentros de');
INSERT INTO `lang_definitions` VALUES (11419, 3228, 4, 'Incidencias no autorizadas');
INSERT INTO `lang_definitions` VALUES (11420, 3229, 4, 'Sección de Incidencias');
INSERT INTO `lang_definitions` VALUES (11421, 3230, 4, 'Italiano');
INSERT INTO `lang_definitions` VALUES (11422, 3231, 4, 'Artículo');
INSERT INTO `lang_definitions` VALUES (11423, 3232, 4, 'Artículo');
INSERT INTO `lang_definitions` VALUES (11424, 3233, 4, 'temas');
INSERT INTO `lang_definitions` VALUES (11425, 3234, 4, 'La carga de artículos falló');
INSERT INTO `lang_definitions` VALUES (11426, 3235, 4, 'IU/L');
INSERT INTO `lang_definitions` VALUES (11427, 3236, 4, 'IUD');
INSERT INTO `lang_definitions` VALUES (11428, 3237, 4, 'IV');
INSERT INTO `lang_definitions` VALUES (11429, 3238, 4, 'Ener');
INSERT INTO `lang_definitions` VALUES (11430, 3239, 4, 'Enero');
INSERT INTO `lang_definitions` VALUES (11431, 3240, 4, 'Japonés');
INSERT INTO `lang_definitions` VALUES (11432, 3241, 4, 'Ictericia');
INSERT INTO `lang_definitions` VALUES (11433, 3243, 4, 'Descripción del trabajo');
INSERT INTO `lang_definitions` VALUES (11434, 3244, 4, 'Identificación del trabajo');
INSERT INTO `lang_definitions` VALUES (11435, 3245, 4, 'Dislocaciones de articulaciones');
INSERT INTO `lang_definitions` VALUES (11436, 3246, 4, 'Dolor en las Articulaciones');
INSERT INTO `lang_definitions` VALUES (11437, 3247, 4, 'Esguinces de articulaciones');
INSERT INTO `lang_definitions` VALUES (11438, 3248, 4, 'Jul');
INSERT INTO `lang_definitions` VALUES (11439, 3249, 4, 'Julio');
INSERT INTO `lang_definitions` VALUES (11440, 3250, 4, 'Jun');
INSERT INTO `lang_definitions` VALUES (11441, 3251, 4, 'Junio');
INSERT INTO `lang_definitions` VALUES (11442, 3252, 4, 'Justo debajo, la información de comprobación es un área azul donde pones los parámetros de búsqueda. Puedes buscar por apellido del paciente, número de informe, número de cita o fecha de servicio, o cualquier combinación de éstas. Tu también puedes seleccionar si quieres ver todas las facturas, facturas abiertas o sólo las que debe el paciente. Pincha el botón de búsqueda para realizarla.');
INSERT INTO `lang_definitions` VALUES (11443, 3253, 4, 'Solo mío');
INSERT INTO `lang_definitions` VALUES (11444, 3255, 4, 'Justificar');
INSERT INTO `lang_definitions` VALUES (11445, 3256, 4, 'Justificar / Guardar');
INSERT INTO `lang_definitions` VALUES (11446, 3258, 4, 'k, aquí está el resto');
INSERT INTO `lang_definitions` VALUES (11447, 3264, 4, 'Clave');
INSERT INTO `lang_definitions` VALUES (11448, 3265, 4, 'Palabras Claves');
INSERT INTO `lang_definitions` VALUES (11449, 3266, 4, 'kg');
INSERT INTO `lang_definitions` VALUES (11450, 3267, 4, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (11451, 3269, 4, 'Cáncer de Riñon');
INSERT INTO `lang_definitions` VALUES (11452, 3270, 4, 'Fallo Renal');
INSERT INTO `lang_definitions` VALUES (11453, 3271, 4, 'Infecciones de Riñón');
INSERT INTO `lang_definitions` VALUES (11454, 3272, 4, 'Piedra en el Riñón');
INSERT INTO `lang_definitions` VALUES (11455, 3273, 4, 'Transplante de Riñon');
INSERT INTO `lang_definitions` VALUES (11456, 3277, 4, 'Rodilla');
INSERT INTO `lang_definitions` VALUES (11457, 3278, 4, 'Problemas de la rodilla');
INSERT INTO `lang_definitions` VALUES (11458, 3279, 4, 'Reemplazo de Rodilla');
INSERT INTO `lang_definitions` VALUES (11459, 3282, 4, 'Coreano');
INSERT INTO `lang_definitions` VALUES (11460, 3286, 4, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (11461, 3288, 4, 'Sitio Web del Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (11462, 3289, 4, 'Nº Identificación Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (11463, 3290, 4, 'Nº Identificación ficha Laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (11464, 3294, 4, 'Consulta de estado de Laboratorio');
INSERT INTO `lang_definitions` VALUES (11465, 3295, 4, 'Informe del Laboratorio');
INSERT INTO `lang_definitions` VALUES (11466, 3296, 4, 'Resultado Laboratorio');
INSERT INTO `lang_definitions` VALUES (11467, 3297, 4, 'Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (11468, 3299, 4, 'Informe Resultados Laboratorio');
INSERT INTO `lang_definitions` VALUES (11469, 3300, 4, 'Servicio de laboratorio');
INSERT INTO `lang_definitions` VALUES (11470, 3301, 4, 'Resultados del test de Laboratorio');
INSERT INTO `lang_definitions` VALUES (11471, 3303, 4, 'Etiqueta');
INSERT INTO `lang_definitions` VALUES (11472, 3304, 4, 'Etiqueta no puede estar en blanco');
INSERT INTO `lang_definitions` VALUES (11473, 3305, 4, 'Col etiqueta');
INSERT INTO `lang_definitions` VALUES (11474, 3306, 4, 'Etiqueta para este tipo');
INSERT INTO `lang_definitions` VALUES (11475, 3307, 4, 'EtiquetasColumn debe ser un numero entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (11476, 3308, 4, 'Etiquetas');
INSERT INTO `lang_definitions` VALUES (11477, 3311, 4, 'Laboratorio');
INSERT INTO `lang_definitions` VALUES (11478, 3312, 4, 'Laceración/Cond. Piel');
INSERT INTO `lang_definitions` VALUES (11479, 3313, 4, 'Laceración/abrasión');
INSERT INTO `lang_definitions` VALUES (11480, 3316, 4, 'Idioma');
INSERT INTO `lang_definitions` VALUES (11481, 3317, 4, 'Codio Idioma');
INSERT INTO `lang_definitions` VALUES (11482, 3318, 4, 'Definición de lenguaje agregada');
INSERT INTO `lang_definitions` VALUES (11483, 3319, 4, 'Herramienta de interfaz de idioma');
INSERT INTO `lang_definitions` VALUES (11484, 3320, 4, 'Lista de lenguajes (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (11485, 3321, 4, 'Nombre Idioma');
INSERT INTO `lang_definitions` VALUES (11486, 3322, 4, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (11487, 3324, 4, 'Laosiano');
INSERT INTO `lang_definitions` VALUES (11488, 3325, 4, 'Último');
INSERT INTO `lang_definitions` VALUES (11489, 3326, 4, 'Última Actividad Fecha');
INSERT INTO `lang_definitions` VALUES (11490, 3328, 4, 'Última Fecha de Cuenta');
INSERT INTO `lang_definitions` VALUES (11491, 3330, 4, 'Último año calendario');
INSERT INTO `lang_definitions` VALUES (11492, 3333, 4, 'Última visita');
INSERT INTO `lang_definitions` VALUES (11493, 3340, 4, 'Último nivel facturado');
INSERT INTO `lang_definitions` VALUES (11494, 3343, 4, 'Último Mes');
INSERT INTO `lang_definitions` VALUES (11495, 3344, 4, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (11496, 3345, 4, 'Apellido(s)');
INSERT INTO `lang_definitions` VALUES (11497, 3346, 4, 'Apellido(s):');
INSERT INTO `lang_definitions` VALUES (11498, 3350, 4, 'Ultima revision');
INSERT INTO `lang_definitions` VALUES (11499, 3352, 4, 'Última guardados');
INSERT INTO `lang_definitions` VALUES (11500, 3356, 4, 'Última actualización por');
INSERT INTO `lang_definitions` VALUES (11501, 3357, 4, 'Ultima verificación el');
INSERT INTO `lang_definitions` VALUES (11502, 3358, 4, 'Última Visita');
INSERT INTO `lang_definitions` VALUES (11503, 3360, 4, 'Recurrencia tardía (2-12 Mes)');
INSERT INTO `lang_definitions` VALUES (11504, 3361, 4, 'Maléolo lateral');
INSERT INTO `lang_definitions` VALUES (11505, 3362, 4, 'Maléolo lateral:');
INSERT INTO `lang_definitions` VALUES (11506, 3363, 4, 'Lateralidad');
INSERT INTO `lang_definitions` VALUES (11507, 3364, 4, 'Lateralidad de este procedimiento si se aplica');
INSERT INTO `lang_definitions` VALUES (11508, 3365, 4, 'desplazados lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (11509, 3373, 4, 'Basado en un diseño');
INSERT INTO `lang_definitions` VALUES (11510, 3374, 4, 'Editor de diseño');
INSERT INTO `lang_definitions` VALUES (11511, 3375, 4, 'Grupos de diseño');
INSERT INTO `lang_definitions` VALUES (11512, 3376, 4, 'Estilo de diseño');
INSERT INTO `lang_definitions` VALUES (11513, 3378, 4, 'Formularios de visita con pre-diseño');
INSERT INTO `lang_definitions` VALUES (11514, 3379, 4, 'Disposición');
INSERT INTO `lang_definitions` VALUES (11515, 3380, 4, 'libra');
INSERT INTO `lang_definitions` VALUES (11516, 3381, 4, 'libra');
INSERT INTO `lang_definitions` VALUES (11517, 3382, 4, 'Colesterol LDL');
INSERT INTO `lang_definitions` VALUES (11518, 3383, 4, 'dejar en blanco si sigue activo');
INSERT INTO `lang_definitions` VALUES (11519, 3384, 4, 'Dejar en blanco para mantener el nombre de fichero original');
INSERT INTO `lang_definitions` VALUES (11520, 3385, 4, 'Deje en blanco para no cambiar la contraseña');
INSERT INTO `lang_definitions` VALUES (11521, 3386, 4, 'Dejar mensaje Con');
INSERT INTO `lang_definitions` VALUES (11522, 3387, 4, 'Salir del Formulario');
INSERT INTO `lang_definitions` VALUES (11523, 3388, 4, 'Dejando la contraseña en blanco no se encriptará el documento');
INSERT INTO `lang_definitions` VALUES (11524, 3390, 4, 'Izquierda');
INSERT INTO `lang_definitions` VALUES (11525, 3391, 4, 'Oído izquierdo');
INSERT INTO `lang_definitions` VALUES (11526, 3392, 4, 'oreja izquierda');
INSERT INTO `lang_definitions` VALUES (11527, 3394, 4, 'Izquierda:');
INSERT INTO `lang_definitions` VALUES (11528, 3395, 4, 'Izquierda: ');
INSERT INTO `lang_definitions` VALUES (11529, 3396, 4, 'Dolor de Pierna/Calambres');
INSERT INTO `lang_definitions` VALUES (11530, 3397, 4, 'Legal');
INSERT INTO `lang_definitions` VALUES (11531, 3399, 4, 'Tamaño papel Legal');
INSERT INTO `lang_definitions` VALUES (11532, 3400, 4, 'Leyenda:');
INSERT INTO `lang_definitions` VALUES (11533, 3401, 4, 'Longitud');
INSERT INTO `lang_definitions` VALUES (11534, 3402, 4, 'Longitud del modificador, 0 si no hay');
INSERT INTO `lang_definitions` VALUES (11535, 3403, 4, 'Menor que');
INSERT INTO `lang_definitions` VALUES (11536, 3404, 4, 'Menor que o Igual a');
INSERT INTO `lang_definitions` VALUES (11537, 3405, 4, 'Menos la información privada (escribir, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (11538, 3406, 4, 'Carta');
INSERT INTO `lang_definitions` VALUES (11539, 3407, 4, 'Carta');
INSERT INTO `lang_definitions` VALUES (11540, 3408, 4, 'Tamaño papel Letter');
INSERT INTO `lang_definitions` VALUES (11541, 3409, 4, 'Papelería membretada que el médico firma');
INSERT INTO `lang_definitions` VALUES (11542, 3410, 4, 'Papelería membretada que el paciente firma');
INSERT INTO `lang_definitions` VALUES (11543, 3411, 4, 'Nivel de urgencia');
INSERT INTO `lang_definitions` VALUES (11544, 3412, 4, 'Responsabilidad');
INSERT INTO `lang_definitions` VALUES (11545, 3413, 4, 'Responsabilidad Médica');
INSERT INTO `lang_definitions` VALUES (11546, 3414, 4, 'Licencia/Nº Id.');
INSERT INTO `lang_definitions` VALUES (11547, 3419, 4, 'Apellido del médico');
INSERT INTO `lang_definitions` VALUES (11548, 3420, 4, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (11549, 3421, 4, 'NºColegiado médico');
INSERT INTO `lang_definitions` VALUES (11550, 3423, 4, 'Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (11551, 3424, 4, 'Estado del estilo de vida');
INSERT INTO `lang_definitions` VALUES (11552, 3425, 4, 'Rasgón o esguince del ligamento');
INSERT INTO `lang_definitions` VALUES (11553, 3428, 4, 'Límite de Eventos');
INSERT INTO `lang_definitions` VALUES (11554, 3429, 4, 'Límites');
INSERT INTO `lang_definitions` VALUES (11555, 3431, 4, 'Vínculo');
INSERT INTO `lang_definitions` VALUES (11556, 3432, 4, 'Vínculo al paciente');
INSERT INTO `lang_definitions` VALUES (11557, 3433, 4, 'Vinculado');
INSERT INTO `lang_definitions` VALUES (11558, 3436, 4, 'Vinculado a un documento');
INSERT INTO `lang_definitions` VALUES (11559, 3438, 4, 'Lista');
INSERT INTO `lang_definitions` VALUES (11560, 3439, 4, 'Cuadr de lista');
INSERT INTO `lang_definitions` VALUES (11561, 3440, 4, 'caja de lista');
INSERT INTO `lang_definitions` VALUES (11562, 3441, 4, 'agrega cuadro de lista');
INSERT INTO `lang_definitions` VALUES (11563, 3442, 4, 'Lista de cuadro con adición');
INSERT INTO `lang_definitions` VALUES (11564, 3443, 4, 'Editor de Lista');
INSERT INTO `lang_definitions` VALUES (11565, 3444, 4, 'Lista de visitas');
INSERT INTO `lang_definitions` VALUES (11566, 3445, 4, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (11567, 3446, 4, 'Lista Cñías.Seguro Méd.');
INSERT INTO `lang_definitions` VALUES (11568, 3448, 4, 'Lista de temas no puede comenzar con un número');
INSERT INTO `lang_definitions` VALUES (11569, 3449, 4, 'Items listados contienen caracteres ilegales');
INSERT INTO `lang_definitions` VALUES (11570, 3451, 4, 'Lista Listas');
INSERT INTO `lang_definitions` VALUES (11571, 3452, 4, 'Lista de Nombres');
INSERT INTO `lang_definitions` VALUES (11572, 3453, 4, 'Lista de los nombres no puede empezar con números.');
INSERT INTO `lang_definitions` VALUES (11573, 3454, 4, 'Lista de Recetas');
INSERT INTO `lang_definitions` VALUES (11574, 3455, 4, 'Lista Tipo de datos usada para País.');
INSERT INTO `lang_definitions` VALUES (11575, 3456, 4, 'Lista Tipo de datos usada para Estado.');
INSERT INTO `lang_definitions` VALUES (11576, 3457, 4, 'Puerto de escucha de la RFC 5425 TLS en el servidor syslog.');
INSERT INTO `lang_definitions` VALUES (11577, 3458, 4, 'Listas');
INSERT INTO `lang_definitions` VALUES (11578, 3460, 4, 'Deseos Personales de cuidado');
INSERT INTO `lang_definitions` VALUES (11579, 3461, 4, 'LLL:');
INSERT INTO `lang_definitions` VALUES (11580, 3462, 4, 'UFM (ult.fecha menstr.)');
INSERT INTO `lang_definitions` VALUES (11581, 3464, 4, 'Cargar definiciones');
INSERT INTO `lang_definitions` VALUES (11582, 3470, 4, 'Cargando');
INSERT INTO `lang_definitions` VALUES (11583, 3471, 4, 'Cargando ficheros en la base de datos. Esto puede tardar algún tiempo...');
INSERT INTO `lang_definitions` VALUES (11584, 3472, 4, 'LOC');
INSERT INTO `lang_definitions` VALUES (11585, 3473, 4, 'Local');
INSERT INTO `lang_definitions` VALUES (11586, 3476, 4, 'Lugar');
INSERT INTO `lang_definitions` VALUES (11587, 3477, 4, 'Localidad');
INSERT INTO `lang_definitions` VALUES (11588, 3478, 4, 'Localización');
INSERT INTO `lang_definitions` VALUES (11589, 3479, 4, 'Ubicación de la máquina libreehr puede contener datos sensible, por eso se recomienda borrar manualmente los ficheros después de su uso');
INSERT INTO `lang_definitions` VALUES (11590, 3480, 4, 'Localizacion de este lote');
INSERT INTO `lang_definitions` VALUES (11591, 3481, 4, 'Lugar no especificado');
INSERT INTO `lang_definitions` VALUES (11592, 3482, 4, 'Directorio dónde Hylafax archiva los faxes');
INSERT INTO `lang_definitions` VALUES (11593, 3483, 4, 'Localización dónde se archivan los escaneados');
INSERT INTO `lang_definitions` VALUES (11594, 3484, 4, 'Localización:');
INSERT INTO `lang_definitions` VALUES (11595, 3485, 4, 'Bloquear');
INSERT INTO `lang_definitions` VALUES (11596, 3492, 4, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (11597, 3493, 4, 'Identificación');
INSERT INTO `lang_definitions` VALUES (11598, 3494, 4, 'Finalizar sesión');
INSERT INTO `lang_definitions` VALUES (11599, 3495, 4, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (11600, 3496, 4, 'Abierto una sesión como');
INSERT INTO `lang_definitions` VALUES (11601, 3497, 4, 'Abierto una sesión como: ');
INSERT INTO `lang_definitions` VALUES (11602, 3498, 4, 'Salir de sesión.');
INSERT INTO `lang_definitions` VALUES (11603, 3499, 4, 'Registros');
INSERT INTO `lang_definitions` VALUES (11604, 3500, 4, 'Iniciar sesión');
INSERT INTO `lang_definitions` VALUES (11605, 3501, 4, 'conexión');
INSERT INTO `lang_definitions` VALUES (11606, 3505, 4, 'Salir');
INSERT INTO `lang_definitions` VALUES (11607, 3506, 4, 'Salir');
INSERT INTO `lang_definitions` VALUES (11608, 3507, 4, 'Registros');
INSERT INTO `lang_definitions` VALUES (11609, 3508, 4, 'Visor de los registros');
INSERT INTO `lang_definitions` VALUES (11610, 3510, 4, 'Buscar');
INSERT INTO `lang_definitions` VALUES (11611, 3511, 4, 'Lote');
INSERT INTO `lang_definitions` VALUES (11612, 3512, 4, 'Falta Identificación del lote !');
INSERT INTO `lang_definitions` VALUES (11613, 3513, 4, 'Número de Lote');
INSERT INTO `lang_definitions` VALUES (11614, 3514, 4, 'Bajo');
INSERT INTO `lang_definitions` VALUES (11615, 3516, 4, 'Pierna inferior');
INSERT INTO `lang_definitions` VALUES (11616, 3519, 4, 'Columna lumbar');
INSERT INTO `lang_definitions` VALUES (11617, 3520, 4, 'ALMUERZO');
INSERT INTO `lang_definitions` VALUES (11618, 3521, 4, 'almuerzo');
INSERT INTO `lang_definitions` VALUES (11619, 3522, 4, 'cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (11620, 3523, 4, 'Cirugía del cáncer de pulmón');
INSERT INTO `lang_definitions` VALUES (11621, 3524, 4, 'PULMONES:');
INSERT INTO `lang_definitions` VALUES (11622, 3525, 4, 'pulmones:');
INSERT INTO `lang_definitions` VALUES (11623, 3526, 4, 'Lupus');
INSERT INTO `lang_definitions` VALUES (11624, 3528, 4, 'M');
INSERT INTO `lang_definitions` VALUES (11625, 3529, 4, 'Categoría de MA');
INSERT INTO `lang_definitions` VALUES (11626, 3530, 4, 'MA Cliente acepta aborto');
INSERT INTO `lang_definitions` VALUES (11627, 3531, 4, 'MA estadísticas');
INSERT INTO `lang_definitions` VALUES (11628, 3533, 4, 'Correo enviado');
INSERT INTO `lang_definitions` VALUES (11629, 3534, 4, 'Principal');
INSERT INTO `lang_definitions` VALUES (11630, 3535, 4, 'Dirección principal');
INSERT INTO `lang_definitions` VALUES (11631, 3536, 4, 'Pantalla principal del panel superior');
INSERT INTO `lang_definitions` VALUES (11632, 3537, 4, 'Mantener activa la lista de medicación de alergia.');
INSERT INTO `lang_definitions` VALUES (11633, 3538, 4, 'Mantener activa una lista de medicación.');
INSERT INTO `lang_definitions` VALUES (11634, 3539, 4, 'Mantenga actualizada lista de problemas actuales y diagnósticos activos');
INSERT INTO `lang_definitions` VALUES (11635, 3540, 4, 'Hacer modificaciones a las actuales categorías.');
INSERT INTO `lang_definitions` VALUES (11636, 3541, 4, 'Dar nueva cita para');
INSERT INTO `lang_definitions` VALUES (11637, 3542, 4, 'Cerciorarse -');
INSERT INTO `lang_definitions` VALUES (11638, 3543, 4, 'Hacer un batch de ficheros de texto para adjuntar a la Cámara de compensación y que se marcará como facturado');
INSERT INTO `lang_definitions` VALUES (11639, 3545, 4, 'Malestar:');
INSERT INTO `lang_definitions` VALUES (11640, 3548, 4, 'Masculino');
INSERT INTO `lang_definitions` VALUES (11641, 3549, 4, 'Condones Masculinos');
INSERT INTO `lang_definitions` VALUES (11642, 3550, 4, 'Varón VSC');
INSERT INTO `lang_definitions` VALUES (11643, 3552, 4, 'Mamografía');
INSERT INTO `lang_definitions` VALUES (11644, 3553, 4, 'Manejar');
INSERT INTO `lang_definitions` VALUES (11645, 3554, 4, 'Manejar');
INSERT INTO `lang_definitions` VALUES (11646, 3555, 4, 'Manejar módulos');
INSERT INTO `lang_definitions` VALUES (11647, 3556, 4, 'Gestionar traducciones');
INSERT INTO `lang_definitions` VALUES (11648, 3557, 4, 'Gerencia');
INSERT INTO `lang_definitions` VALUES (11649, 3558, 4, 'Campos obligatorios y específicos');
INSERT INTO `lang_definitions` VALUES (11650, 3559, 4, 'Campos obligatorios o específicos sólo, cheques duplicados, no de búsqueda');
INSERT INTO `lang_definitions` VALUES (11651, 3560, 4, 'Campos obligatorios o específicos sólo, búsqueda y comprobación de duplicados');
INSERT INTO `lang_definitions` VALUES (11652, 3561, 4, 'Manual');
INSERT INTO `lang_definitions` VALUES (11653, 3562, 4, 'Manual de envío');
INSERT INTO `lang_definitions` VALUES (11654, 3563, 4, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (11655, 3565, 4, 'Mar');
INSERT INTO `lang_definitions` VALUES (11656, 3568, 4, 'Marzo');
INSERT INTO `lang_definitions` VALUES (11657, 3569, 4, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (11658, 3571, 4, 'Marcar como facturado pero saltar de facturación');
INSERT INTO `lang_definitions` VALUES (11659, 3572, 4, 'Marcar como Resueltos');
INSERT INTO `lang_definitions` VALUES (11660, 3573, 4, 'Marcar como no facturados');
INSERT INTO `lang_definitions` VALUES (11661, 3575, 4, 'Marcado como despejado');
INSERT INTO `lang_definitions` VALUES (11662, 3576, 4, 'Casado');
INSERT INTO `lang_definitions` VALUES (11663, 3578, 4, 'Formato (Máscara)');
INSERT INTO `lang_definitions` VALUES (11664, 3579, 4, 'Formato para Números de Factura');
INSERT INTO `lang_definitions` VALUES (11665, 3580, 4, 'Formato para ID de Pacientes');
INSERT INTO `lang_definitions` VALUES (11666, 3581, 4, 'Formato para ID de Productos');
INSERT INTO `lang_definitions` VALUES (11667, 3582, 4, 'Concuerda');
INSERT INTO `lang_definitions` VALUES (11668, 3583, 4, 'Emparejar caso');
INSERT INTO `lang_definitions` VALUES (11669, 3584, 4, 'Pareja encontrada');
INSERT INTO `lang_definitions` VALUES (11670, 3590, 4, 'Matriz');
INSERT INTO `lang_definitions` VALUES (11671, 3591, 4, 'Max');
INSERT INTO `lang_definitions` VALUES (11672, 3594, 4, 'La derecha maxilar:');
INSERT INTO `lang_definitions` VALUES (11673, 3595, 4, 'Edad Máxima');
INSERT INTO `lang_definitions` VALUES (11674, 3596, 4, 'Número máximo de caracteres');
INSERT INTO `lang_definitions` VALUES (11675, 3597, 4, 'Tiempo máximo inactivo antes de cerrar sesión en segundos. Por defecto es 7200 (2 horas).');
INSERT INTO `lang_definitions` VALUES (11676, 3600, 4, 'Inventario máximo razonable, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (11677, 3601, 4, 'Tamaño máximo');
INSERT INTO `lang_definitions` VALUES (11678, 3602, 4, 'Tamaño máximo (poniendo 0 permite cualquier tamaño)');
INSERT INTO `lang_definitions` VALUES (11679, 3603, 4, 'Mayo');
INSERT INTO `lang_definitions` VALUES (11680, 3604, 4, 'MC');
INSERT INTO `lang_definitions` VALUES (11681, 3605, 4, 'mcg (microgramo)');
INSERT INTO `lang_definitions` VALUES (11682, 3607, 4, 'Significa que ninguna de las tres últimas contraseñas son permitidas para cambiar la contraseña.');
INSERT INTO `lang_definitions` VALUES (11683, 3609, 4, 'Medida del Código de Grupo');
INSERT INTO `lang_definitions` VALUES (11684, 3611, 4, 'Medición');
INSERT INTO `lang_definitions` VALUES (11685, 3612, 4, 'Maléolo medial:');
INSERT INTO `lang_definitions` VALUES (11686, 3613, 4, 'Seguro de enfermedad');
INSERT INTO `lang_definitions` VALUES (11687, 3614, 4, 'Médico');
INSERT INTO `lang_definitions` VALUES (11688, 3615, 4, 'Aborto Médico');
INSERT INTO `lang_definitions` VALUES (11689, 3616, 4, 'Administración Médica');
INSERT INTO `lang_definitions` VALUES (11690, 3617, 4, 'Historia Médica');
INSERT INTO `lang_definitions` VALUES (11691, 3618, 4, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (11692, 3619, 4, 'Incidencia Médica');
INSERT INTO `lang_definitions` VALUES (11693, 3620, 4, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (11694, 3623, 4, 'Problemas médicos');
INSERT INTO `lang_definitions` VALUES (11695, 3624, 4, 'Registo Médico');
INSERT INTO `lang_definitions` VALUES (11696, 3625, 4, 'Informe médico #');
INSERT INTO `lang_definitions` VALUES (11697, 3626, 4, 'Registros Médicos');
INSERT INTO `lang_definitions` VALUES (11698, 3627, 4, 'Registros Médicos enviados');
INSERT INTO `lang_definitions` VALUES (11699, 3629, 4, 'Resumen Médico entregado');
INSERT INTO `lang_definitions` VALUES (11700, 3630, 4, 'Sistema Médico');
INSERT INTO `lang_definitions` VALUES (11701, 3631, 4, 'Tipo de Médico');
INSERT INTO `lang_definitions` VALUES (11702, 3632, 4, 'Médico / Historia (escribir, añadir sólo opcional)');
INSERT INTO `lang_definitions` VALUES (11703, 3633, 4, 'Parte B de Seguro médico');
INSERT INTO `lang_definitions` VALUES (11704, 3634, 4, 'Seguro médico de referencia restablecido');
INSERT INTO `lang_definitions` VALUES (11705, 3635, 4, 'Medicación');
INSERT INTO `lang_definitions` VALUES (11706, 3636, 4, 'Lista Medicación Alergias');
INSERT INTO `lang_definitions` VALUES (11707, 3638, 4, 'Lista Medicación');
INSERT INTO `lang_definitions` VALUES (11708, 3639, 4, '¿Reconciliación Medicación realizada?');
INSERT INTO `lang_definitions` VALUES (11709, 3640, 4, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (11710, 3641, 4, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (11711, 3642, 4, 'Unidades de Medicina');
INSERT INTO `lang_definitions` VALUES (11712, 3643, 4, 'Mediano');
INSERT INTO `lang_definitions` VALUES (11713, 3645, 4, 'Miembro de la Asociación de Estadística Informe');
INSERT INTO `lang_definitions` VALUES (11714, 3646, 4, 'Problemas de Memoria');
INSERT INTO `lang_definitions` VALUES (11715, 3647, 4, 'Hombres');
INSERT INTO `lang_definitions` VALUES (11716, 3648, 4, 'Hombres y Mujeres');
INSERT INTO `lang_definitions` VALUES (11717, 3649, 4, 'Hombres Solamente');
INSERT INTO `lang_definitions` VALUES (11718, 3650, 4, 'Menarquía');
INSERT INTO `lang_definitions` VALUES (11719, 3651, 4, 'Menopausia');
INSERT INTO `lang_definitions` VALUES (11720, 3652, 4, 'Flujo Menstrual');
INSERT INTO `lang_definitions` VALUES (11721, 3653, 4, 'Menstrual Frequency');
INSERT INTO `lang_definitions` VALUES (11722, 3654, 4, 'Enfermedad Mental');
INSERT INTO `lang_definitions` VALUES (11723, 3659, 4, 'Unir pacientes');
INSERT INTO `lang_definitions` VALUES (11724, 3661, 4, 'Mensaje');
INSERT INTO `lang_definitions` VALUES (11725, 3662, 4, 'Centro de Recordatorios y Mensajes');
INSERT INTO `lang_definitions` VALUES (11726, 3665, 4, 'Mensaje Enviado');
INSERT INTO `lang_definitions` VALUES (11727, 3666, 4, 'Estado mensaje');
INSERT INTO `lang_definitions` VALUES (11728, 3670, 4, 'MENSAJE:');
INSERT INTO `lang_definitions` VALUES (11729, 3671, 4, 'Avisos');
INSERT INTO `lang_definitions` VALUES (11730, 3672, 4, 'Mensajes enviados hoy');
INSERT INTO `lang_definitions` VALUES (11731, 3673, 4, 'Método');
INSERT INTO `lang_definitions` VALUES (11732, 3674, 4, 'Método y especificaciones de Producto');
INSERT INTO `lang_definitions` VALUES (11733, 3675, 4, 'Método para el envío de email saliente');
INSERT INTO `lang_definitions` VALUES (11734, 3676, 4, 'Método de destrucción');
INSERT INTO `lang_definitions` VALUES (11735, 3677, 4, 'Mejicano/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (11736, 3679, 4, 'mg');
INSERT INTO `lang_definitions` VALUES (11737, 3680, 4, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (11738, 3681, 4, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (11739, 3682, 4, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (11740, 3683, 4, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (11741, 3684, 4, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (11742, 3685, 4, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (11743, 3686, 4, 'Segundo');
INSERT INTO `lang_definitions` VALUES (11744, 3687, 4, 'Segundo Nombre');
INSERT INTO `lang_definitions` VALUES (11745, 3688, 4, 'Segundo nombre');
INSERT INTO `lang_definitions` VALUES (11746, 3690, 4, 'Prescriptor DEA nivel medio');
INSERT INTO `lang_definitions` VALUES (11747, 3691, 4, 'Nombre Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (11748, 3692, 4, 'Apellido Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (11749, 3693, 4, 'Prefijo Prescriptor nivel medio');
INSERT INTO `lang_definitions` VALUES (11750, 3694, 4, 'Nº médico nivel medio');
INSERT INTO `lang_definitions` VALUES (11751, 3695, 4, 'Semblante');
INSERT INTO `lang_definitions` VALUES (11752, 3696, 4, 'Migrante o trabajador de temporada?');
INSERT INTO `lang_definitions` VALUES (11753, 3697, 4, 'Migrantes / temporada');
INSERT INTO `lang_definitions` VALUES (11754, 3698, 4, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (11755, 3702, 4, 'Mime Tipo');
INSERT INTO `lang_definitions` VALUES (11756, 3703, 4, 'min');
INSERT INTO `lang_definitions` VALUES (11757, 3704, 4, 'Mínimo');
INSERT INTO `lang_definitions` VALUES (11758, 3705, 4, 'Edad Mínima');
INSERT INTO `lang_definitions` VALUES (11759, 3706, 4, 'Distensión menor de articulación /-Sinovitis');
INSERT INTO `lang_definitions` VALUES (11760, 3708, 4, 'Minuto');
INSERT INTO `lang_definitions` VALUES (11761, 3709, 4, 'minutos');
INSERT INTO `lang_definitions` VALUES (11762, 3710, 4, 'Minutos');
INSERT INTO `lang_definitions` VALUES (11763, 3712, 4, 'Varios');
INSERT INTO `lang_definitions` VALUES (11764, 3713, 4, 'Diversas opciones de facturación');
INSERT INTO `lang_definitions` VALUES (11765, 3714, 4, 'Diversas opciones de facturación para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (11766, 3715, 4, 'Diversas opciones de facturación HCFA');
INSERT INTO `lang_definitions` VALUES (11767, 3716, 4, 'Misceláneos');
INSERT INTO `lang_definitions` VALUES (11768, 3717, 4, 'Faltado');
INSERT INTO `lang_definitions` VALUES (11769, 3718, 4, 'No existe');
INSERT INTO `lang_definitions` VALUES (11770, 3719, 4, 'Falta campo requerido');
INSERT INTO `lang_definitions` VALUES (11771, 3720, 4, 'Falta cuota');
INSERT INTO `lang_definitions` VALUES (11772, 3721, 4, 'Solo modulos faltantes');
INSERT INTO `lang_definitions` VALUES (11773, 3722, 4, 'No existe o Inválido');
INSERT INTO `lang_definitions` VALUES (11774, 3723, 4, 'Falta el PID.');
INSERT INTO `lang_definitions` VALUES (11775, 3724, 4, 'Fecha de reporte falta');
INSERT INTO `lang_definitions` VALUES (11776, 3725, 4, 'Raya vertical que falta después del pagador en la fuente para el código ');
INSERT INTO `lang_definitions` VALUES (11777, 3726, 4, 'Mixto');
INSERT INTO `lang_definitions` VALUES (11778, 3727, 4, 'ml');
INSERT INTO `lang_definitions` VALUES (11779, 3728, 4, 'MM/DD/AAAA');
INSERT INTO `lang_definitions` VALUES (11780, 3729, 4, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (11781, 3730, 4, 'mmHg');
INSERT INTO `lang_definitions` VALUES (11782, 3731, 4, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (11783, 3732, 4, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (11784, 3733, 4, 'Móvil');
INSERT INTO `lang_definitions` VALUES (11785, 3734, 4, 'Teléfono Móvil');
INSERT INTO `lang_definitions` VALUES (11786, 3735, 4, 'Mod');
INSERT INTO `lang_definitions` VALUES (11787, 3741, 4, 'Modificador');
INSERT INTO `lang_definitions` VALUES (11788, 3742, 4, 'Modificadores');
INSERT INTO `lang_definitions` VALUES (11789, 3743, 4, 'Modificar');
INSERT INTO `lang_definitions` VALUES (11790, 3745, 4, 'Modificar Pagos');
INSERT INTO `lang_definitions` VALUES (11791, 3746, 4, 'Longitud Modelo');
INSERT INTO `lang_definitions` VALUES (11792, 3747, 4, 'Mòdulo');
INSERT INTO `lang_definitions` VALUES (11793, 3748, 4, 'Directorio de mòdulos no hallado');
INSERT INTO `lang_definitions` VALUES (11794, 3749, 4, 'Instalador de módulos');
INSERT INTO `lang_definitions` VALUES (11795, 3750, 4, 'Nombre de mòdulo');
INSERT INTO `lang_definitions` VALUES (11796, 3751, 4, 'Nombre de mòdulo ya existe');
INSERT INTO `lang_definitions` VALUES (11797, 3752, 4, 'Mòdulos');
INSERT INTO `lang_definitions` VALUES (11798, 3753, 4, 'Lun');
INSERT INTO `lang_definitions` VALUES (11799, 3754, 4, 'Lun a Vier');
INSERT INTO `lang_definitions` VALUES (11800, 3755, 4, 'Lunes, miércoles y viernes');
INSERT INTO `lang_definitions` VALUES (11801, 3756, 4, 'Lunes');
INSERT INTO `lang_definitions` VALUES (11802, 3758, 4, 'Mes');
INSERT INTO `lang_definitions` VALUES (11803, 3759, 4, 'mes');
INSERT INTO `lang_definitions` VALUES (11804, 3760, 4, 'Ver Mes');
INSERT INTO `lang_definitions` VALUES (11805, 3761, 4, 'Mes(es)');
INSERT INTO `lang_definitions` VALUES (11806, 3762, 4, 'Ingreso Mensual');
INSERT INTO `lang_definitions` VALUES (11807, 3763, 4, 'Meses');
INSERT INTO `lang_definitions` VALUES (11808, 3765, 4, 'Más de 100 registros encontrados. Por favor, reducir su criterio de búsqueda.');
INSERT INTO `lang_definitions` VALUES (11809, 3766, 4, 'Más de 50 resultados, por favor, hacer su búsqueda más específica.');
INSERT INTO `lang_definitions` VALUES (11810, 3767, 4, 'Puede hacer click en la mayoría de las cabeceras de columna para cambiar el orden');
INSERT INTO `lang_definitions` VALUES (11811, 3768, 4, 'Más reciente desde');
INSERT INTO `lang_definitions` VALUES (11812, 3769, 4, 'Datos de lab. más recientes');
INSERT INTO `lang_definitions` VALUES (11813, 3770, 4, 'Constantes vitales mas recientes desde:');
INSERT INTO `lang_definitions` VALUES (11814, 3771, 4, 'Madre');
INSERT INTO `lang_definitions` VALUES (11815, 3772, 4, 'Nombre de la Madre');
INSERT INTO `lang_definitions` VALUES (11816, 3774, 4, 'Boca');
INSERT INTO `lang_definitions` VALUES (11817, 3775, 4, 'Movimiento');
INSERT INTO `lang_definitions` VALUES (11818, 3776, 4, 'Mueva el documento a la categoría:');
INSERT INTO `lang_definitions` VALUES (11819, 3777, 4, 'Mueve Abajo');
INSERT INTO `lang_definitions` VALUES (11820, 3779, 4, 'Mover al paciente');
INSERT INTO `lang_definitions` VALUES (11821, 3780, 4, 'Mover hacia...');
INSERT INTO `lang_definitions` VALUES (11822, 3781, 4, 'Mover Arriba');
INSERT INTO `lang_definitions` VALUES (11823, 3783, 4, 'Sr.');
INSERT INTO `lang_definitions` VALUES (11824, 3785, 4, 'Sra.');
INSERT INTO `lang_definitions` VALUES (11825, 3786, 4, 'Srta.');
INSERT INTO `lang_definitions` VALUES (11826, 3794, 4, 'Código MSP');
INSERT INTO `lang_definitions` VALUES (11827, 3795, 4, 'Codigos de remito MSP');
INSERT INTO `lang_definitions` VALUES (11828, 3796, 4, 'Herramienta multi idioma');
INSERT INTO `lang_definitions` VALUES (11829, 3797, 4, 'Múltiples áreas');
INSERT INTO `lang_definitions` VALUES (11830, 3799, 4, 'Lotes Multiples');
INSERT INTO `lang_definitions` VALUES (11831, 3800, 4, 'Múltiples modificadores pueden estar separados por dos puntos o espacios, máximo 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (11832, 3802, 4, 'Multirracial');
INSERT INTO `lang_definitions` VALUES (11833, 3803, 4, 'Murmullos:');
INSERT INTO `lang_definitions` VALUES (11834, 3804, 4, 'Dolor de Musc');
INSERT INTO `lang_definitions` VALUES (11835, 3805, 4, 'Dolor muscular');
INSERT INTO `lang_definitions` VALUES (11836, 3806, 4, 'Rojez de Musc');
INSERT INTO `lang_definitions` VALUES (11837, 3807, 4, 'Tiesura de Musc');
INSERT INTO `lang_definitions` VALUES (11838, 3808, 4, 'Inflamación muscular');
INSERT INTO `lang_definitions` VALUES (11839, 3809, 4, 'Musc Caliente');
INSERT INTO `lang_definitions` VALUES (11840, 3810, 4, 'Músculo');
INSERT INTO `lang_definitions` VALUES (11841, 3811, 4, 'Lesiones musculares');
INSERT INTO `lang_definitions` VALUES (11842, 3812, 4, 'Musculoesquelético');
INSERT INTO `lang_definitions` VALUES (11843, 3813, 4, 'Debe estar vacío si la autenticación de SMTP no se usa.');
INSERT INTO `lang_definitions` VALUES (11844, 3814, 4, 'Definido mutuamente');
INSERT INTO `lang_definitions` VALUES (11845, 3815, 4, 'MVA');
INSERT INTO `lang_definitions` VALUES (11846, 3818, 4, 'Yo mismo');
INSERT INTO `lang_definitions` VALUES (11847, 3821, 4, 'No Aplicable');
INSERT INTO `lang_definitions` VALUES (11848, 3822, 4, 'no interesa');
INSERT INTO `lang_definitions` VALUES (11849, 3823, 4, 'e');
INSERT INTO `lang_definitions` VALUES (11850, 3825, 4, 'Nombre (Selecciona por mas)');
INSERT INTO `lang_definitions` VALUES (11851, 3826, 4, 'Nombre 1');
INSERT INTO `lang_definitions` VALUES (11852, 3827, 4, 'Nombre 2');
INSERT INTO `lang_definitions` VALUES (11853, 3828, 4, 'Nombre y título del administrador de la inmunización');
INSERT INTO `lang_definitions` VALUES (11854, 3831, 4, 'Nombre de Eventos');
INSERT INTO `lang_definitions` VALUES (11855, 3832, 4, 'Nombre de la compañía de seguros');
INSERT INTO `lang_definitions` VALUES (11856, 3833, 4, 'Nombre del Proveedor');
INSERT INTO `lang_definitions` VALUES (11857, 3834, 4, 'Nombre del remitente para los recordatorios de paciente.');
INSERT INTO `lang_definitions` VALUES (11858, 3835, 4, 'Traducción del nombre');
INSERT INTO `lang_definitions` VALUES (11859, 3836, 4, 'Nombre/Valor');
INSERT INTO `lang_definitions` VALUES (11860, 3837, 4, 'Nombre:');
INSERT INTO `lang_definitions` VALUES (11861, 3838, 4, 'NARINAS:');
INSERT INTO `lang_definitions` VALUES (11862, 3839, 4, 'NARINAS: Normal Derecho');
INSERT INTO `lang_definitions` VALUES (11863, 3840, 4, 'Mucosa nasal de color rosa, septo de línea media');
INSERT INTO `lang_definitions` VALUES (11864, 3841, 4, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (11865, 3842, 4, 'Configurar NationNotes');
INSERT INTO `lang_definitions` VALUES (11866, 3843, 4, 'Botones de reemplazo para Notas Nation');
INSERT INTO `lang_definitions` VALUES (11867, 3844, 4, 'Nacionalidad');
INSERT INTO `lang_definitions` VALUES (11868, 3845, 4, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (11869, 3846, 4, 'Carga de datos nativos');
INSERT INTO `lang_definitions` VALUES (11870, 3847, 4, 'Hawaino nativo u otras Islas del Pacífico');
INSERT INTO `lang_definitions` VALUES (11871, 3852, 4, 'Náuseas');
INSERT INTO `lang_definitions` VALUES (11872, 3854, 4, 'Navegación');
INSERT INTO `lang_definitions` VALUES (11873, 3855, 4, 'Área de navegación incluye formularios de visita');
INSERT INTO `lang_definitions` VALUES (11874, 3856, 4, 'El área de navegación usa la altura completa del marco');
INSERT INTO `lang_definitions` VALUES (11875, 3857, 4, 'Formulario Área Navegación de visita');
INSERT INTO `lang_definitions` VALUES (11876, 3858, 4, 'Ancho del área de navegación');
INSERT INTO `lang_definitions` VALUES (11877, 3859, 4, 'El menú de navegación consiste en pares de botones radiales');
INSERT INTO `lang_definitions` VALUES (11878, 3860, 4, 'El menú de navegación es una vista de árbol');
INSERT INTO `lang_definitions` VALUES (11879, 3861, 4, 'La navegación usa un menú deslizante');
INSERT INTO `lang_definitions` VALUES (11880, 3862, 4, 'NDC');
INSERT INTO `lang_definitions` VALUES (11881, 3863, 4, 'Datos NCD');
INSERT INTO `lang_definitions` VALUES (11882, 3864, 4, 'Número del NDC');
INSERT INTO `lang_definitions` VALUES (11883, 3866, 4, 'Cuello');
INSERT INTO `lang_definitions` VALUES (11884, 3867, 4, 'Problemas de Cuello');
INSERT INTO `lang_definitions` VALUES (11885, 3868, 4, 'Cuello flexible');
INSERT INTO `lang_definitions` VALUES (11886, 3869, 4, 'Necesidad de introducir una descripción');
INSERT INTO `lang_definitions` VALUES (11887, 3870, 4, 'Necesidad de introducir un Valor de Retorno');
INSERT INTO `lang_definitions` VALUES (11888, 3871, 4, 'Necesidad de entrar en el identificador');
INSERT INTO `lang_definitions` VALUES (11889, 3872, 4, 'Necesita introducir título');
INSERT INTO `lang_definitions` VALUES (11890, 3873, 4, 'Requiere autorización');
INSERT INTO `lang_definitions` VALUES (11891, 3874, 4, 'Requiere justificación');
INSERT INTO `lang_definitions` VALUES (11892, 3875, 4, 'Necesita la facturación secundaria');
INSERT INTO `lang_definitions` VALUES (11893, 3876, 4, 'Negativo');
INSERT INTO `lang_definitions` VALUES (11894, 3877, 4, 'Negativos');
INSERT INTO `lang_definitions` VALUES (11895, 3880, 4, 'Lesión del nervio');
INSERT INTO `lang_definitions` VALUES (11896, 3881, 4, 'Condición neural / daño en los nervios');
INSERT INTO `lang_definitions` VALUES (11897, 3882, 4, 'Entumecimiento Neuro');
INSERT INTO `lang_definitions` VALUES (11898, 3883, 4, 'Debilidad Neura');
INSERT INTO `lang_definitions` VALUES (11899, 3884, 4, 'Neurológico');
INSERT INTO `lang_definitions` VALUES (11900, 3885, 4, 'Nunca');
INSERT INTO `lang_definitions` VALUES (11901, 3886, 4, 'No Bebe Alcohol');
INSERT INTO `lang_definitions` VALUES (11902, 3887, 4, 'No Fumador');
INSERT INTO `lang_definitions` VALUES (11903, 3888, 4, 'Nuevo');
INSERT INTO `lang_definitions` VALUES (11904, 3889, 4, 'Nuevo =>');
INSERT INTO `lang_definitions` VALUES (11905, 3890, 4, 'Nuevos aceptadores');
INSERT INTO `lang_definitions` VALUES (11906, 3892, 4, 'Nueva alergia');
INSERT INTO `lang_definitions` VALUES (11907, 3894, 4, 'Cita Nueva');
INSERT INTO `lang_definitions` VALUES (11908, 3895, 4, 'Categoria Nueva');
INSERT INTO `lang_definitions` VALUES (11909, 3896, 4, 'Nueva Categoría');
INSERT INTO `lang_definitions` VALUES (11910, 3897, 4, 'Cliente Nuevo');
INSERT INTO `lang_definitions` VALUES (11911, 3898, 4, 'Nueva consulta');
INSERT INTO `lang_definitions` VALUES (11912, 3899, 4, 'Nuevo cultivo');
INSERT INTO `lang_definitions` VALUES (11913, 3900, 4, 'Nueva definición añadido');
INSERT INTO `lang_definitions` VALUES (11914, 3901, 4, 'Nuevo documento');
INSERT INTO `lang_definitions` VALUES (11915, 3902, 4, 'Nuevos documentos');
INSERT INTO `lang_definitions` VALUES (11916, 3904, 4, 'Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (11917, 3905, 4, 'Nuevo Encuentro creado con id');
INSERT INTO `lang_definitions` VALUES (11918, 3906, 4, 'Formulario Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (11919, 3907, 4, 'Nuevos encuentros no autorizados');
INSERT INTO `lang_definitions` VALUES (11920, 3908, 4, 'Nuevos Enctr');
INSERT INTO `lang_definitions` VALUES (11921, 3909, 4, 'Información de nuevo Centro');
INSERT INTO `lang_definitions` VALUES (11922, 3912, 4, 'Grupo Nuevo');
INSERT INTO `lang_definitions` VALUES (11923, 3913, 4, 'Información de nuevo grupo');
INSERT INTO `lang_definitions` VALUES (11924, 3914, 4, 'Nueva lesión/estado');
INSERT INTO `lang_definitions` VALUES (11925, 3916, 4, 'Nuevo límite de Eventos');
INSERT INTO `lang_definitions` VALUES (11926, 3917, 4, 'Nueva Lista');
INSERT INTO `lang_definitions` VALUES (11927, 3918, 4, 'Nuevos pedidos');
INSERT INTO `lang_definitions` VALUES (11928, 3919, 4, 'Nuevo Párrafo');
INSERT INTO `lang_definitions` VALUES (11929, 3920, 4, 'Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (11930, 3921, 4, 'Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (11931, 3922, 4, 'NUEVO PACIENTE');
INSERT INTO `lang_definitions` VALUES (11932, 3923, 4, 'Nuevo Encuentro con Paciente');
INSERT INTO `lang_definitions` VALUES (11933, 3924, 4, 'Formulario de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (11934, 3925, 4, 'Nº Identificación de Nuevo Paciente');
INSERT INTO `lang_definitions` VALUES (11935, 3926, 4, 'Nuevo Pago');
INSERT INTO `lang_definitions` VALUES (11936, 3927, 4, 'Nuevo ingreso a portal');
INSERT INTO `lang_definitions` VALUES (11937, 3928, 4, 'Nuevos Pt');
INSERT INTO `lang_definitions` VALUES (11938, 3929, 4, 'Nuevos resultados del laboratorio de intercambio');
INSERT INTO `lang_definitions` VALUES (11939, 3930, 4, 'Nueva Busqueda');
INSERT INTO `lang_definitions` VALUES (11940, 3931, 4, 'Nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (11941, 3932, 4, 'Nuevo Usuario');
INSERT INTO `lang_definitions` VALUES (11942, 3934, 4, 'Nuevo Encuentro');
INSERT INTO `lang_definitions` VALUES (11943, 3935, 4, 'Nuevo/búsqueda');
INSERT INTO `lang_definitions` VALUES (11944, 3936, 4, 'Estado de la cuenta NewCrop');
INSERT INTO `lang_definitions` VALUES (11945, 3937, 4, '*Administrador de NewCrop');
INSERT INTO `lang_definitions` VALUES (11946, 3938, 4, 'Llamada fallida a NewCrop');
INSERT INTO `lang_definitions` VALUES (11947, 3939, 4, 'Doctor NewCrop');
INSERT INTO `lang_definitions` VALUES (11948, 3944, 4, 'Nombre Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11949, 3945, 4, 'Nombre socio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11950, 3946, 4, 'Contraseña Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11951, 3947, 4, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11952, 3948, 4, 'Rol Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11953, 3949, 4, 'Sitio Web Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11954, 3954, 4, 'Sitio Web servicio Receta electrónica NewCrop');
INSERT INTO `lang_definitions` VALUES (11955, 3955, 4, 'Gerente NewCrop');
INSERT INTO `lang_definitions` VALUES (11956, 3956, 4, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (11957, 3957, 4, 'Médico nivel medio NewCrop');
INSERT INTO `lang_definitions` VALUES (11958, 3958, 4, 'Enfermera NewCrop');
INSERT INTO `lang_definitions` VALUES (11959, 3959, 4, 'Supervisor médico NewCrop');
INSERT INTO `lang_definitions` VALUES (11960, 3960, 4, 'Más nuevo');
INSERT INTO `lang_definitions` VALUES (11961, 3961, 4, 'Periódico');
INSERT INTO `lang_definitions` VALUES (11962, 3962, 4, 'Próximo');
INSERT INTO `lang_definitions` VALUES (11963, 3964, 4, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (11964, 3965, 4, 'Próximo mes');
INSERT INTO `lang_definitions` VALUES (11965, 3966, 4, 'Proxima semana');
INSERT INTO `lang_definitions` VALUES (11966, 3968, 4, 'Próxima semana');
INSERT INTO `lang_definitions` VALUES (11967, 3969, 4, 'Año siguiente (Presione para el menu');
INSERT INTO `lang_definitions` VALUES (11968, 3971, 4, 'Apodo');
INSERT INTO `lang_definitions` VALUES (11969, 3973, 4, 'Sudores nocturnos');
INSERT INTO `lang_definitions` VALUES (11970, 3974, 4, 'Órganos genitales de la extensión de NL, mucosa de vag, cuello uterino');
INSERT INTO `lang_definitions` VALUES (11971, 3975, 4, 'No');
INSERT INTO `lang_definitions` VALUES (11972, 3976, 4, 'NO');
INSERT INTO `lang_definitions` VALUES (11973, 3977, 4, 'No tienen acceso');
INSERT INTO `lang_definitions` VALUES (11974, 3978, 4, 'Recordatorios de paciente no activos.');
INSERT INTO `lang_definitions` VALUES (11975, 3979, 4, 'No adenopatías (2 áreas requeridas)');
INSERT INTO `lang_definitions` VALUES (11976, 3980, 4, 'Ninguna razón de tipo de ajuste encontrada para');
INSERT INTO `lang_definitions` VALUES (11977, 3981, 4, 'No dolor/masa en anexos');
INSERT INTO `lang_definitions` VALUES (11978, 3983, 4, 'No hay citas');
INSERT INTO `lang_definitions` VALUES (11979, 3985, 4, 'Sistema de facturación no se encuentra activa');
INSERT INTO `lang_definitions` VALUES (11980, 3986, 4, 'No hay facturas encontradas para incluir en Exportación OFX');
INSERT INTO `lang_definitions` VALUES (11981, 3987, 4, 'Ningunas cuentas se encuentran para incluir en la exportación de OFX');
INSERT INTO `lang_definitions` VALUES (11982, 3989, 4, 'No se ha especificado el código!');
INSERT INTO `lang_definitions` VALUES (11983, 3992, 4, 'Ninguna diagnosis');
INSERT INTO `lang_definitions` VALUES (11984, 3993, 4, 'Ningunos documentos encontrados');
INSERT INTO `lang_definitions` VALUES (11985, 3994, 4, 'No pueden crearse visitas');
INSERT INTO `lang_definitions` VALUES (11986, 3995, 4, 'Sin fecha de finalización');
INSERT INTO `lang_definitions` VALUES (11987, 3996, 4, 'No se encuentran entradas, utilice el formulario que aparece a continuación para agregar una entrada.');
INSERT INTO `lang_definitions` VALUES (11988, 3997, 4, 'errores no encontrados');
INSERT INTO `lang_definitions` VALUES (11989, 3998, 4, 'No hay Eventos');
INSERT INTO `lang_definitions` VALUES (11990, 4000, 4, 'No hay ficheros preparados para la instalación');
INSERT INTO `lang_definitions` VALUES (11991, 4001, 4, 'Ningún grupo fue seleccionado');
INSERT INTO `lang_definitions` VALUES (11992, 4002, 4, 'Ninguna hernia');
INSERT INTO `lang_definitions` VALUES (11993, 4005, 4, 'No lesion/enfermedad');
INSERT INTO `lang_definitions` VALUES (11994, 4006, 4, 'No se encontro ninguna Sociedad Médica');
INSERT INTO `lang_definitions` VALUES (11995, 4007, 4, 'No hay incidencias');
INSERT INTO `lang_definitions` VALUES (11996, 4009, 4, 'No hay artículos bajo la categoría seleccionada');
INSERT INTO `lang_definitions` VALUES (11997, 4010, 4, '¡Ningun artículo fue seleccionado!');
INSERT INTO `lang_definitions` VALUES (11998, 4024, 4, 'Sin datos de lab. documentados');
INSERT INTO `lang_definitions` VALUES (11999, 4025, 4, 'No hay fichero de registro para la fecha seleccionada');
INSERT INTO `lang_definitions` VALUES (12000, 4027, 4, 'Sin masas ni sensibilidad');
INSERT INTO `lang_definitions` VALUES (12001, 4028, 4, 'Ningún registro de paciente encontrado para el código de Re-identificación');
INSERT INTO `lang_definitions` VALUES (12002, 4029, 4, 'No hay coincidencias. Intentar buscar de nuevo.');
INSERT INTO `lang_definitions` VALUES (12003, 4030, 4, 'No se han encontrado coincidencias.');
INSERT INTO `lang_definitions` VALUES (12004, 4031, 4, 'No se encontró. ¿Crear el nuevo paciente ahora?');
INSERT INTO `lang_definitions` VALUES (12005, 4032, 4, 'No hay registros coincidentes');
INSERT INTO `lang_definitions` VALUES (12006, 4033, 4, 'No hay nuevos resultados encontrados');
INSERT INTO `lang_definitions` VALUES (12007, 4034, 4, 'Ningunas notas');
INSERT INTO `lang_definitions` VALUES (12008, 4035, 4, 'No hay organomegalia');
INSERT INTO `lang_definitions` VALUES (12009, 4036, 4, 'No se encontraron huecos para este periodo.');
INSERT INTO `lang_definitions` VALUES (12010, 4037, 4, 'No figuran otros números de teléfono');
INSERT INTO `lang_definitions` VALUES (12011, 4039, 4, 'Socios no encontrado');
INSERT INTO `lang_definitions` VALUES (12012, 4040, 4, 'No se hallaron registros de paciente para el criterio proporcionado');
INSERT INTO `lang_definitions` VALUES (12013, 4041, 4, 'No hay registros de paciente encontrados para el código de Re-identificación dado');
INSERT INTO `lang_definitions` VALUES (12014, 4042, 4, 'Ningún edema periférico');
INSERT INTO `lang_definitions` VALUES (12015, 4043, 4, 'Ninguna Farmacia Encontrada');
INSERT INTO `lang_definitions` VALUES (12016, 4044, 4, 'Ninguna Prescripción Encontrada');
INSERT INTO `lang_definitions` VALUES (12017, 4045, 4, 'Ninguna enfermedad/lesión actuales');
INSERT INTO `lang_definitions` VALUES (12018, 4046, 4, 'Sin entradas anteriores');
INSERT INTO `lang_definitions` VALUES (12019, 4047, 4, 'Ninguna Empresa Primaria seleccionada en la lista del Centro');
INSERT INTO `lang_definitions` VALUES (12020, 4048, 4, 'No hay encuentros anteriores');
INSERT INTO `lang_definitions` VALUES (12021, 4049, 4, 'No hay procedimientos en este encuentro');
INSERT INTO `lang_definitions` VALUES (12022, 4051, 4, 'Ningun Facultativo Encontrado');
INSERT INTO `lang_definitions` VALUES (12023, 4052, 4, 'Ninguna erupción o lesiones anormales');
INSERT INTO `lang_definitions` VALUES (12024, 4053, 4, 'Registros no encontrados');
INSERT INTO `lang_definitions` VALUES (12025, 4055, 4, 'Registros no encontrados. Por favor amplíe sus criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (12026, 4056, 4, 'No hay recordatorios');
INSERT INTO `lang_definitions` VALUES (12027, 4057, 4, 'Resultados no encontrados, para los criterios de búsqueda.');
INSERT INTO `lang_definitions` VALUES (12028, 4058, 4, 'Sin resultados');
INSERT INTO `lang_definitions` VALUES (12029, 4060, 4, 'Búsqueda sin resultado');
INSERT INTO `lang_definitions` VALUES (12030, 4061, 4, 'Ningun resultado, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (12031, 4062, 4, 'Ningun resultado, por favor trate de nuevo');
INSERT INTO `lang_definitions` VALUES (12032, 4063, 4, 'Sin resultados, por favor intente de nuevo');
INSERT INTO `lang_definitions` VALUES (12033, 4065, 4, 'Ausente');
INSERT INTO `lang_definitions` VALUES (12034, 4066, 4, 'No hay firmas en el archivo');
INSERT INTO `lang_definitions` VALUES (12035, 4067, 4, 'Ninguna sensibilidad del Seno:');
INSERT INTO `lang_definitions` VALUES (12036, 4068, 4, 'Sin hoyuelos en la piel o nódulos en la mama');
INSERT INTO `lang_definitions` VALUES (12037, 4069, 4, 'NINGÚN NOMBRE DE CONTEXTO');
INSERT INTO `lang_definitions` VALUES (12038, 4071, 4, 'No hay sensibilidad testicular, masas');
INSERT INTO `lang_definitions` VALUES (12039, 4072, 4, 'Ningunas emociones o tirones');
INSERT INTO `lang_definitions` VALUES (12040, 4075, 4, 'No hay Encuentro');
INSERT INTO `lang_definitions` VALUES (12041, 4076, 4, 'Constantes vitales no han sido documentadas.');
INSERT INTO `lang_definitions` VALUES (12042, 4077, 4, 'No, Cancelar');
INSERT INTO `lang_definitions` VALUES (12043, 4078, 4, 'Ningún seguro de defecto incluyendo Auto es principal');
INSERT INTO `lang_definitions` VALUES (12044, 4079, 4, 'No:');
INSERT INTO `lang_definitions` VALUES (12045, 4080, 4, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (12046, 4081, 4, 'No Pagado');
INSERT INTO `lang_definitions` VALUES (12047, 4082, 4, 'Informe No Reportado');
INSERT INTO `lang_definitions` VALUES (12048, 4083, 4, 'Lesión no específica');
INSERT INTO `lang_definitions` VALUES (12049, 4084, 4, 'No-electrónico');
INSERT INTO `lang_definitions` VALUES (12050, 4085, 4, 'Diabetes no insulino dependiente');
INSERT INTO `lang_definitions` VALUES (12051, 4086, 4, 'No asegurado');
INSERT INTO `lang_definitions` VALUES (12052, 4087, 4, 'No-SRH Médico');
INSERT INTO `lang_definitions` VALUES (12053, 4088, 4, 'No-SRH No-Médico');
INSERT INTO `lang_definitions` VALUES (12054, 4089, 4, 'Ninguno');
INSERT INTO `lang_definitions` VALUES (12055, 4090, 4, 'ninguno');
INSERT INTO `lang_definitions` VALUES (12056, 4091, 4, 'No definido');
INSERT INTO `lang_definitions` VALUES (12057, 4092, 4, 'No ha sido documentado');
INSERT INTO `lang_definitions` VALUES (12058, 4093, 4, 'Ninguna de las anteriores');
INSERT INTO `lang_definitions` VALUES (12059, 4094, 4, 'Ninguna de las Filas de Distribución Superior puede estar Completamente en Blanco.');
INSERT INTO `lang_definitions` VALUES (12060, 4095, 4, 'Diabetes no insulino dependiente');
INSERT INTO `lang_definitions` VALUES (12061, 4096, 4, 'Tampoco');
INSERT INTO `lang_definitions` VALUES (12062, 4097, 4, 'Normal');
INSERT INTO `lang_definitions` VALUES (12063, 4098, 4, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (12064, 4099, 4, 'Examen Cardiaco Normal:');
INSERT INTO `lang_definitions` VALUES (12065, 4100, 4, 'Examen Cardiaco Normal: ');
INSERT INTO `lang_definitions` VALUES (12066, 4101, 4, 'Examen Normal del Pulmón:');
INSERT INTO `lang_definitions` VALUES (12067, 4102, 4, 'Examen Normal del Pulmón: ');
INSERT INTO `lang_definitions` VALUES (12068, 4103, 4, 'Visita normal en el Centro');
INSERT INTO `lang_definitions` VALUES (12069, 4104, 4, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (12070, 4105, 4, 'Derecho Normal');
INSERT INTO `lang_definitions` VALUES (12071, 4106, 4, 'Derecho Normal:');
INSERT INTO `lang_definitions` VALUES (12072, 4107, 4, 'Ver Normal');
INSERT INTO `lang_definitions` VALUES (12073, 4108, 4, 'normal:');
INSERT INTO `lang_definitions` VALUES (12074, 4109, 4, 'Normalmente esto debe ser comprobado. No relacionado con el control de acceso.');
INSERT INTO `lang_definitions` VALUES (12075, 4112, 4, 'Noruego');
INSERT INTO `lang_definitions` VALUES (12076, 4115, 4, 'Nariz');
INSERT INTO `lang_definitions` VALUES (12077, 4116, 4, 'Sangrado por la nariz');
INSERT INTO `lang_definitions` VALUES (12078, 4117, 4, 'No es letra ni úmero');
INSERT INTO `lang_definitions` VALUES (12079, 4119, 4, 'No todos los campos son obligatorios para todos los códigos o tipos de códigos.');
INSERT INTO `lang_definitions` VALUES (12080, 4120, 4, 'No permitido');
INSERT INTO `lang_definitions` VALUES (12081, 4121, 4, 'No pueden eliminar el grupo Administradores');
INSERT INTO `lang_definitions` VALUES (12082, 4122, 4, 'No permitido Editar');
INSERT INTO `lang_definitions` VALUES (12083, 4123, 4, 'No pueden inactivar todos los objetos de seguridad');
INSERT INTO `lang_definitions` VALUES (12084, 4124, 4, 'No permitido hacer inactivo cualquier cosa de los administradores ACL');
INSERT INTO `lang_definitions` VALUES (12085, 4125, 4, 'No pueden eliminar el usuario administrador del grupo Administradores');
INSERT INTO `lang_definitions` VALUES (12086, 4126, 4, 'No permitido eliminar este usuario del grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (12087, 4128, 4, 'No autorizado para tener acceso al módulo de PostCalendar');
INSERT INTO `lang_definitions` VALUES (12088, 4129, 4, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (12089, 4130, 4, 'No Autorizado');
INSERT INTO `lang_definitions` VALUES (12090, 4131, 4, '¡No autorizado para este equipo!');
INSERT INTO `lang_definitions` VALUES (12091, 4132, 4, 'No autorizados para este equipo.');
INSERT INTO `lang_definitions` VALUES (12092, 4134, 4, 'No autorizado para firmar resultados');
INSERT INTO `lang_definitions` VALUES (12093, 4135, 4, 'No disponible');
INSERT INTO `lang_definitions` VALUES (12094, 4137, 4, 'No facturado');
INSERT INTO `lang_definitions` VALUES (12095, 4138, 4, 'No Chequeado');
INSERT INTO `lang_definitions` VALUES (12096, 4139, 4, 'No registró salida');
INSERT INTO `lang_definitions` VALUES (12097, 4140, 4, 'No codificado');
INSERT INTO `lang_definitions` VALUES (12098, 4141, 4, 'No Vencido');
INSERT INTO `lang_definitions` VALUES (12099, 4143, 4, 'No examinado');
INSERT INTO `lang_definitions` VALUES (12100, 4144, 4, 'No Examinado:');
INSERT INTO `lang_definitions` VALUES (12101, 4145, 4, 'No Examinado: ');
INSERT INTO `lang_definitions` VALUES (12102, 4146, 4, 'No se ha encontrado');
INSERT INTO `lang_definitions` VALUES (12103, 4148, 4, 'No encontrado!');
INSERT INTO `lang_definitions` VALUES (12104, 4149, 4, 'No Hispano o Latino');
INSERT INTO `lang_definitions` VALUES (12105, 4150, 4, 'No instalado');
INSERT INTO `lang_definitions` VALUES (12106, 4152, 4, 'No visto desde');
INSERT INTO `lang_definitions` VALUES (12107, 4154, 4, 'No enviado todavía');
INSERT INTO `lang_definitions` VALUES (12108, 4156, 4, 'Sin Especificar');
INSERT INTO `lang_definitions` VALUES (12109, 4157, 4, 'Nota');
INSERT INTO `lang_definitions` VALUES (12110, 4158, 4, 'Código Notas');
INSERT INTO `lang_definitions` VALUES (12111, 4159, 4, 'Tenga en cuenta que el proceso completo después de hacer click en instalar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (12112, 4160, 4, 'Tenga en cuenta que el proceso completo después de hacer click en actualizar puede tardar 5-10 minutos');
INSERT INTO `lang_definitions` VALUES (12113, 4161, 4, 'Tenga en cuenta que la Auditoría de inicio sesión necesita estar activada arriba');
INSERT INTO `lang_definitions` VALUES (12114, 4162, 4, 'Tipo de Nota');
INSERT INTO `lang_definitions` VALUES (12115, 4163, 4, 'Nota: 12:00 mediodía es PM, no AM');
INSERT INTO `lang_definitions` VALUES (12116, 4164, 4, 'NOTA: Importar datos externos puede tomar más de una hora dependiendo de su configuración hardware. Por ejemplo, una de las tablas de datos RxNorm contiene más de 6 millones de líneas.');
INSERT INTO `lang_definitions` VALUES (12117, 4165, 4, 'NOTA: Solo la versión Bianual Snomed Internacional es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (12118, 4166, 4, 'NOTA: Solo la versión completa mensual de RxNorm es actualmente soportada');
INSERT INTO `lang_definitions` VALUES (12119, 4168, 4, 'Nota: este código no fue ingresado por un usuario autorizado. Sólo los códigos autorizados pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (12120, 4170, 4, 'Nota: este código no fue por un usuario autorizado. Sólo están autorizados los códigos pueden ser subidos a la Red Abierta de facturación médica para su procesamiento. Si desea cargar estos códigos, por favor, seleccione un usuario autorizado aquí.');
INSERT INTO `lang_definitions` VALUES (12121, 4171, 4, 'NOTA: Los archivos que cargan con nombres duplicados harán los archivos ser retitulados automáticamente. Por ejemplo \' archivo.jpg\' se convertirá \' archivo.jpg.1\'. Los nombres de fichero se consideran únicos por paciente, no por categoría.');
INSERT INTO `lang_definitions` VALUES (12122, 4172, 4, 'Notas');
INSERT INTO `lang_definitions` VALUES (12123, 4173, 4, 'Notas - cualquier encuentros (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (12124, 4174, 4, 'Notas - mis encuentros (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (12125, 4175, 4, 'Notas no autorizados');
INSERT INTO `lang_definitions` VALUES (12126, 4177, 4, 'Nada Grabado');
INSERT INTO `lang_definitions` VALUES (12127, 4179, 4, 'Nada que importar para alergia');
INSERT INTO `lang_definitions` VALUES (12128, 4180, 4, 'Nada que importar para receta');
INSERT INTO `lang_definitions` VALUES (12129, 4181, 4, 'Nada que mostrar');
INSERT INTO `lang_definitions` VALUES (12130, 4182, 4, 'Nada fue seleccionado');
INSERT INTO `lang_definitions` VALUES (12131, 4184, 4, 'AVISO:: Sumisión/modificación de PostCalendar');
INSERT INTO `lang_definitions` VALUES (12132, 4185, 4, 'Notificación');
INSERT INTO `lang_definitions` VALUES (12133, 4186, 4, 'Email para Notificación');
INSERT INTO `lang_definitions` VALUES (12134, 4188, 4, 'Notificaciones');
INSERT INTO `lang_definitions` VALUES (12135, 4189, 4, 'Notificar Administrador Acerca del Evento de presentación / Modificación?');
INSERT INTO `lang_definitions` VALUES (12136, 4190, 4, 'Nov');
INSERT INTO `lang_definitions` VALUES (12137, 4191, 4, 'Noviembre');
INSERT INTO `lang_definitions` VALUES (12138, 4192, 4, 'Ahora, la publicación de:');
INSERT INTO `lang_definitions` VALUES (12139, 4193, 4, 'Imprimiendo ahora');
INSERT INTO `lang_definitions` VALUES (12140, 4194, 4, 'Ahora impresión $ stmt_contra declaraciones y actualización de los encuentros.');
INSERT INTO `lang_definitions` VALUES (12141, 4195, 4, 'Ahora declaraciones de la impresión $stmt_contra y facturas de la puesta al día.');
INSERT INTO `lang_definitions` VALUES (12142, 4196, 4, 'Ahora declaraciones de la impresión $stmt_contra; los encuentros no serán actualizados.');
INSERT INTO `lang_definitions` VALUES (12143, 4197, 4, 'Ahora declaraciones de la impresión $stmt_contra; las facturas no serán actualizadas.');
INSERT INTO `lang_definitions` VALUES (12144, 4198, 4, 'NPI');
INSERT INTO `lang_definitions` VALUES (12145, 4199, 4, 'National Quality Forum');
INSERT INTO `lang_definitions` VALUES (12146, 4200, 4, 'Número');
INSERT INTO `lang_definitions` VALUES (12147, 4201, 4, 'Número laboratorio');
INSERT INTO `lang_definitions` VALUES (12148, 4204, 4, 'Número de columnas en vista/año.');
INSERT INTO `lang_definitions` VALUES (12149, 4211, 4, 'Número de días de validez para el certificado de cliente.');
INSERT INTO `lang_definitions` VALUES (12150, 4213, 4, 'Número de dígitos después del punto decimal, normalmente 0 o 2.');
INSERT INTO `lang_definitions` VALUES (12151, 4214, 4, 'Número de visitas por página');
INSERT INTO `lang_definitions` VALUES (12152, 4215, 4, 'Número de partidas o eventos perdidos, si hay');
INSERT INTO `lang_definitions` VALUES (12153, 4216, 4, 'Número de horas de antelación para enviar notificaciones por email.');
INSERT INTO `lang_definitions` VALUES (12154, 4217, 4, 'Número de horas de antelación para enviar notificaciones por teléfono.');
INSERT INTO `lang_definitions` VALUES (12155, 4218, 4, 'Número de horas de antelación para enviar notificaciones por SMS.');
INSERT INTO `lang_definitions` VALUES (12156, 4221, 4, 'Número de columnas para historia pasada');
INSERT INTO `lang_definitions` VALUES (12157, 4222, 4, 'Número de pacientes que mostrar por página en la lista de pacientes.');
INSERT INTO `lang_definitions` VALUES (12158, 4223, 4, 'Entumecimiento');
INSERT INTO `lang_definitions` VALUES (12159, 4224, 4, 'Numerador');
INSERT INTO `lang_definitions` VALUES (12160, 4225, 4, 'Orden Númerico mostrado');
INSERT INTO `lang_definitions` VALUES (12161, 4227, 4, 'Nutrición');
INSERT INTO `lang_definitions` VALUES (12162, 4229, 4, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (12163, 4230, 4, 'O2 sat');
INSERT INTO `lang_definitions` VALUES (12164, 4231, 4, 'Obesidad I');
INSERT INTO `lang_definitions` VALUES (12165, 4232, 4, 'Obesidad II');
INSERT INTO `lang_definitions` VALUES (12166, 4233, 4, 'Obesidad III');
INSERT INTO `lang_definitions` VALUES (12167, 4234, 4, 'Objetivo');
INSERT INTO `lang_definitions` VALUES (12168, 4237, 4, 'Ocupación');
INSERT INTO `lang_definitions` VALUES (12169, 4239, 4, 'Acontecimiento');
INSERT INTO `lang_definitions` VALUES (12170, 4240, 4, 'Oct');
INSERT INTO `lang_definitions` VALUES (12171, 4241, 4, 'Octubre');
INSERT INTO `lang_definitions` VALUES (12172, 4242, 4, 'OD');
INSERT INTO `lang_definitions` VALUES (12173, 4243, 4, 'de');
INSERT INTO `lang_definitions` VALUES (12174, 4244, 4, 'de la cantidad');
INSERT INTO `lang_definitions` VALUES (12175, 4245, 4, 'de tabletas');
INSERT INTO `lang_definitions` VALUES (12176, 4246, 4, 'de cada mes');
INSERT INTO `lang_definitions` VALUES (12177, 4247, 4, 'Notas de la oficina');
INSERT INTO `lang_definitions` VALUES (12178, 4248, 4, 'Apagado');
INSERT INTO `lang_definitions` VALUES (12179, 4249, 4, 'Notas de la Oficina');
INSERT INTO `lang_definitions` VALUES (12180, 4250, 4, 'Visita en el Centro');
INSERT INTO `lang_definitions` VALUES (12181, 4251, 4, 'Medidas oficiales de calidad clínica (GCC) Grupos de medida');
INSERT INTO `lang_definitions` VALUES (12182, 4252, 4, 'Vínculo https para el Portal Externo del paciente.');
INSERT INTO `lang_definitions` VALUES (12183, 4253, 4, 'Vínculo Https para el Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (12184, 4254, 4, 'Contraseña Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (12185, 4255, 4, 'Contraseña Portal del paciente externo (Dejar en blanco si no está registrado)');
INSERT INTO `lang_definitions` VALUES (12186, 4258, 4, 'Sitio Web del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (12187, 4259, 4, 'Sitio web del Portal del Paciente Externo (Vínculo Paciente)');
INSERT INTO `lang_definitions` VALUES (12188, 4260, 4, 'Usuario del Portal del Paciente Externo');
INSERT INTO `lang_definitions` VALUES (12189, 4261, 4, 'Usuario del Portal del Paciente Externo (Dejar en blanco si no está registrado).');
INSERT INTO `lang_definitions` VALUES (12190, 4263, 4, 'Descendencia');
INSERT INTO `lang_definitions` VALUES (12191, 4265, 4, 'Ungüento');
INSERT INTO `lang_definitions` VALUES (12192, 4267, 4, 'Esta Bien');
INSERT INTO `lang_definitions` VALUES (12193, 4269, 4, 'OK para vincular la cuestión de fecha GCAC');
INSERT INTO `lang_definitions` VALUES (12194, 4270, 4, 'Viejo');
INSERT INTO `lang_definitions` VALUES (12195, 4272, 4, 'Clientes antiguos');
INSERT INTO `lang_definitions` VALUES (12196, 4273, 4, 'La fractura vieja no/malunion');
INSERT INTO `lang_definitions` VALUES (12197, 4274, 4, 'Diseño Estilo antiguo sin menú a la izquierda');
INSERT INTO `lang_definitions` VALUES (12198, 4275, 4, 'Formulario viejo-estilo sin buscar o comprobar duplicados');
INSERT INTO `lang_definitions` VALUES (12199, 4279, 4, 'Omitir información empleador en demográficos del paciente');
INSERT INTO `lang_definitions` VALUES (12200, 4280, 4, 'Omitir Empleador');
INSERT INTO `lang_definitions` VALUES (12201, 4281, 4, 'Omitir forma farm., vía e intervalo, que serán parte de la dosis');
INSERT INTO `lang_definitions` VALUES (12202, 4282, 4, 'Omitir seguro y otras cosas en el formulario de demograficos');
INSERT INTO `lang_definitions` VALUES (12203, 4283, 4, '¿Omitir usuarios internos?');
INSERT INTO `lang_definitions` VALUES (12204, 4284, 4, 'Omitir método de pago para el panel de co-pago');
INSERT INTO `lang_definitions` VALUES (12205, 4285, 4, 'Omitir para asignación automatica');
INSERT INTO `lang_definitions` VALUES (12206, 4286, 4, 'en');
INSERT INTO `lang_definitions` VALUES (12207, 4287, 4, 'Activo');
INSERT INTO `lang_definitions` VALUES (12208, 4288, 4, 'En mano');
INSERT INTO `lang_definitions` VALUES (12209, 4289, 4, 'En Orden');
INSERT INTO `lang_definitions` VALUES (12210, 4290, 4, 'En el sitio');
INSERT INTO `lang_definitions` VALUES (12211, 4291, 4, 'Una vez asignado el Centro para el negocio principal, no deberá ser cambiado. El cambio del Centro afectará al trabajo en NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (12212, 4292, 4, 'Una vez que cambie su contraseña, tendrá que volver a iniciar sesión.');
INSERT INTO `lang_definitions` VALUES (12213, 4297, 4, 'Soporte en línea');
INSERT INTO `lang_definitions` VALUES (12214, 4298, 4, 'Vínculo de soporte online');
INSERT INTO `lang_definitions` VALUES (12215, 4299, 4, 'Sólo activa');
INSERT INTO `lang_definitions` VALUES (12216, 4302, 4, 'sólo si es ubicación de facturación');
INSERT INTO `lang_definitions` VALUES (12217, 4303, 4, 'Sólo inactivo');
INSERT INTO `lang_definitions` VALUES (12218, 4304, 4, 'Sólo mio');
INSERT INTO `lang_definitions` VALUES (12219, 4305, 4, 'Sólo mostrar los Informes de códigos de diagnóstico');
INSERT INTO `lang_definitions` VALUES (12220, 4306, 4, 'Sólo mostrar Código de Servicio de Informes de Códigos de Finanzas');
INSERT INTO `lang_definitions` VALUES (12221, 4307, 4, 'Sólo subir las prescripciones activas');
INSERT INTO `lang_definitions` VALUES (12222, 4310, 4, 'Inicio Enfermedad:');
INSERT INTO `lang_definitions` VALUES (12223, 4311, 4, 'Inicio Enfermedad: ');
INSERT INTO `lang_definitions` VALUES (12224, 4312, 4, 'Inicio de Hinchazón:');
INSERT INTO `lang_definitions` VALUES (12225, 4313, 4, 'Fecha de Inicio/hospital.:');
INSERT INTO `lang_definitions` VALUES (12226, 4314, 4, 'Sitio Web del Portal del Paciente Interno');
INSERT INTO `lang_definitions` VALUES (12227, 4315, 4, '¡Uy!');
INSERT INTO `lang_definitions` VALUES (12228, 4316, 4, 'Abrir');
INSERT INTO `lang_definitions` VALUES (12229, 4318, 4, 'Abrir en ventana nueva');
INSERT INTO `lang_definitions` VALUES (12230, 4321, 4, 'Abrir visitas para hoy');
INSERT INTO `lang_definitions` VALUES (12231, 4322, 4, 'LibreEHR ya tiene un Certificado de Autoridad Configurado');
INSERT INTO `lang_definitions` VALUES (12232, 4324, 4, 'Actualización base de datos LibreEHR');
INSERT INTO `lang_definitions` VALUES (12233, 4325, 4, 'Actualización base de datos LibreEHR para De-identificación');
INSERT INTO `lang_definitions` VALUES (12234, 4326, 4, 'LibreEHR no reconoce el archivo de entrada en el directorio contrib. Esto es probablemente porque necesita configurar la versión en la tabla supported_external_dataloads en la base de datos MySQL.');
INSERT INTO `lang_definitions` VALUES (12235, 4327, 4, 'LibreEHR debe configurarse para usar certificado antes de poder crear cliente');
INSERT INTO `lang_definitions` VALUES (12236, 4328, 4, 'LibreEHR requiere Javascript para realizar la autenticación de usuario.');
INSERT INTO `lang_definitions` VALUES (12237, 4329, 4, 'LibreEHR Usuarios');
INSERT INTO `lang_definitions` VALUES (12238, 4330, 4, 'Vacantes');
INSERT INTO `lang_definitions` VALUES (12239, 4332, 4, 'Oftálmico');
INSERT INTO `lang_definitions` VALUES (12240, 4333, 4, 'Opcion');
INSERT INTO `lang_definitions` VALUES (12241, 4334, 4, 'Opción para guardar el método de almacenamiento de documentos.');
INSERT INTO `lang_definitions` VALUES (12242, 4335, 4, 'Opción para soporte de inventario y ventas de productos');
INSERT INTO `lang_definitions` VALUES (12243, 4336, 4, 'Opcional');
INSERT INTO `lang_definitions` VALUES (12244, 4337, 4, 'Nombre de la categoría opcional para una imagen de la tarjeta de identificación que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (12245, 4338, 4, 'Nombre de la categoría opcional para una imagen de foto que se puede ver desde la página de resumen del paciente.');
INSERT INTO `lang_definitions` VALUES (12246, 4339, 4, 'Nombre de la categoría opcional de un documento para vincular desde la página de resumen del paciente. Haga click en el nombre del paciente para ver su tarjeta de identificación.');
INSERT INTO `lang_definitions` VALUES (12247, 4340, 4, 'Rango por defecto opcional para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (12248, 4341, 4, 'Unidades opcionales por defecto para la entrada manual de los resultados');
INSERT INTO `lang_definitions` VALUES (12249, 4342, 4, 'Nombre de destino opcional');
INSERT INTO `lang_definitions` VALUES (12250, 4343, 4, 'Nombre opcional de medicamento, use % como comodín');
INSERT INTO `lang_definitions` VALUES (12251, 4345, 4, 'Información opcional sobre este evento');
INSERT INTO `lang_definitions` VALUES (12252, 4346, 4, 'Opcional número de lote, usar % como un comodin');
INSERT INTO `lang_definitions` VALUES (12253, 4347, 4, 'Nº Identificación Numérico opcional del paciente');
INSERT INTO `lang_definitions` VALUES (12254, 4348, 4, 'Código opcional del procedimiento');
INSERT INTO `lang_definitions` VALUES (12255, 4349, 4, 'Código procedimiento/servicio opcional');
INSERT INTO `lang_definitions` VALUES (12256, 4350, 4, 'Opciones');
INSERT INTO `lang_definitions` VALUES (12257, 4351, 4, 'ó');
INSERT INTO `lang_definitions` VALUES (12258, 4352, 4, 'O');
INSERT INTO `lang_definitions` VALUES (12259, 4353, 4, 'o elija');
INSERT INTO `lang_definitions` VALUES (12260, 4354, 4, 'o Selecciona y arrastrar para selección mas rapida');
INSERT INTO `lang_definitions` VALUES (12261, 4356, 4, 'O hacia fuera a');
INSERT INTO `lang_definitions` VALUES (12262, 4358, 4, 'o Shif-Selecciona para reducirlo');
INSERT INTO `lang_definitions` VALUES (12263, 4359, 4, 'O cargar archivo ERA:');
INSERT INTO `lang_definitions` VALUES (12264, 4360, 4, 'Oral');
INSERT INTO `lang_definitions` VALUES (12265, 4361, 4, 'Mucosa oral rosada, garganta clara');
INSERT INTO `lang_definitions` VALUES (12266, 4362, 4, 'Orden');
INSERT INTO `lang_definitions` VALUES (12267, 4363, 4, 'Orden y tipo de resultados');
INSERT INTO `lang_definitions` VALUES (12268, 4364, 4, 'Catálogo de órdenes');
INSERT INTO `lang_definitions` VALUES (12269, 4365, 4, 'Fecha pedido');
INSERT INTO `lang_definitions` VALUES (12270, 4367, 4, 'Formulario de pedido');
INSERT INTO `lang_definitions` VALUES (12271, 4369, 4, 'Orden debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (12272, 4370, 4, 'Nombre pedido');
INSERT INTO `lang_definitions` VALUES (12273, 4371, 4, 'Solicitud Prioridades');
INSERT INTO `lang_definitions` VALUES (12274, 4372, 4, 'Orden de Procesamiento');
INSERT INTO `lang_definitions` VALUES (12275, 4375, 4, 'estatus de la orden');
INSERT INTO `lang_definitions` VALUES (12276, 4378, 4, 'tipo de orden');
INSERT INTO `lang_definitions` VALUES (12277, 4380, 4, 'Tipo de orden/resultado');
INSERT INTO `lang_definitions` VALUES (12278, 4381, 4, 'Ordenado');
INSERT INTO `lang_definitions` VALUES (12279, 4384, 4, 'Profesional que ordeno');
INSERT INTO `lang_definitions` VALUES (12280, 4386, 4, 'Lesión de órganos');
INSERT INTO `lang_definitions` VALUES (12281, 4387, 4, 'Organización');
INSERT INTO `lang_definitions` VALUES (12282, 4388, 4, 'Nombre de organización');
INSERT INTO `lang_definitions` VALUES (12283, 4389, 4, 'Nombre de la unidad organizacional');
INSERT INTO `lang_definitions` VALUES (12284, 4390, 4, 'Organizaciones');
INSERT INTO `lang_definitions` VALUES (12285, 4391, 4, 'Orientada x 3');
INSERT INTO `lang_definitions` VALUES (12286, 4392, 4, 'Original');
INSERT INTO `lang_definitions` VALUES (12287, 4396, 4, 'OROFARINGE: ');
INSERT INTO `lang_definitions` VALUES (12288, 4397, 4, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (12289, 4398, 4, 'OS');
INSERT INTO `lang_definitions` VALUES (12290, 4399, 4, 'Osteoartritis');
INSERT INTO `lang_definitions` VALUES (12291, 4402, 4, 'Otro');
INSERT INTO `lang_definitions` VALUES (12292, 4403, 4, 'otro');
INSERT INTO `lang_definitions` VALUES (12293, 4404, 4, 'Otro (especifique)');
INSERT INTO `lang_definitions` VALUES (12294, 4405, 4, 'Otros - especificado');
INSERT INTO `lang_definitions` VALUES (12295, 4406, 4, 'Otro Progama Federal');
INSERT INTO `lang_definitions` VALUES (12296, 4407, 4, 'Otro HCFA');
INSERT INTO `lang_definitions` VALUES (12297, 4408, 4, 'Otra lesión en otra parte especificada');
INSERT INTO `lang_definitions` VALUES (12298, 4409, 4, 'Otro Seguro de Responsabilidad Civil es Primario');
INSERT INTO `lang_definitions` VALUES (12299, 4410, 4, 'Otro mes');
INSERT INTO `lang_definitions` VALUES (12300, 4411, 4, 'Otros programas No-Federales');
INSERT INTO `lang_definitions` VALUES (12301, 4412, 4, 'Otras Notas');
INSERT INTO `lang_definitions` VALUES (12302, 4413, 4, 'Otros síntomas pertinentes');
INSERT INTO `lang_definitions` VALUES (12303, 4414, 4, 'Otros síntomas pertinentes:');
INSERT INTO `lang_definitions` VALUES (12304, 4415, 4, 'Otra respuesta del paciente');
INSERT INTO `lang_definitions` VALUES (12305, 4416, 4, 'Otros tipos de estrés/lesión por sobreuso');
INSERT INTO `lang_definitions` VALUES (12306, 4417, 4, 'Otro Quirúrgico');
INSERT INTO `lang_definitions` VALUES (12307, 4418, 4, 'Otro/Genérico relacionado con Aborto');
INSERT INTO `lang_definitions` VALUES (12308, 4420, 4, 'Otros');
INSERT INTO `lang_definitions` VALUES (12309, 4421, 4, 'De otra forma usted destruirá las referencias a/de los datos existentes');
INSERT INTO `lang_definitions` VALUES (12310, 4422, 4, 'Reglas de tobillo de Ottawa');
INSERT INTO `lang_definitions` VALUES (12311, 4423, 4, 'OU');
INSERT INTO `lang_definitions` VALUES (12312, 4424, 4, 'SALIDA');
INSERT INTO `lang_definitions` VALUES (12313, 4425, 4, 'Salida');
INSERT INTO `lang_definitions` VALUES (12314, 4426, 4, 'Derivación de salida');
INSERT INTO `lang_definitions` VALUES (12315, 4427, 4, 'Resultado');
INSERT INTO `lang_definitions` VALUES (12316, 4428, 4, 'Outlook');
INSERT INTO `lang_definitions` VALUES (12317, 4431, 4, 'VENCIDO');
INSERT INTO `lang_definitions` VALUES (12318, 4432, 4, 'Sobreuso');
INSERT INTO `lang_definitions` VALUES (12319, 4433, 4, 'Información General');
INSERT INTO `lang_definitions` VALUES (12320, 4434, 4, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (12321, 4435, 4, 'Sobrescribir la elección HIPAA');
INSERT INTO `lang_definitions` VALUES (12322, 4437, 4, 'Saturación del Oxígeno');
INSERT INTO `lang_definitions` VALUES (12323, 4439, 4, 'P');
INSERT INTO `lang_definitions` VALUES (12324, 4440, 4, 'p.c.');
INSERT INTO `lang_definitions` VALUES (12325, 4441, 4, 'p.m.');
INSERT INTO `lang_definitions` VALUES (12326, 4442, 4, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (12327, 4443, 4, 'Isleño del Pacifico');
INSERT INTO `lang_definitions` VALUES (12328, 4444, 4, 'Pediátrico');
INSERT INTO `lang_definitions` VALUES (12329, 4445, 4, 'Página');
INSERT INTO `lang_definitions` VALUES (12330, 4446, 4, 'Páginas');
INSERT INTO `lang_definitions` VALUES (12331, 4447, 4, 'Pago');
INSERT INTO `lang_definitions` VALUES (12332, 4448, 4, 'Cantidad pagada que usted asignará');
INSERT INTO `lang_definitions` VALUES (12333, 4449, 4, 'Importe pagado');
INSERT INTO `lang_definitions` VALUES (12334, 4450, 4, 'Pagado Via');
INSERT INTO `lang_definitions` VALUES (12335, 4451, 4, 'Dolor');
INSERT INTO `lang_definitions` VALUES (12336, 4453, 4, 'Palpitaciones');
INSERT INTO `lang_definitions` VALUES (12337, 4455, 4, 'Prueba de Papanicolaou');
INSERT INTO `lang_definitions` VALUES (12338, 4456, 4, 'Papel');
INSERT INTO `lang_definitions` VALUES (12339, 4457, 4, 'Tamaño papel');
INSERT INTO `lang_definitions` VALUES (12340, 4458, 4, 'Parálisis');
INSERT INTO `lang_definitions` VALUES (12341, 4461, 4, 'Analizar HL7');
INSERT INTO `lang_definitions` VALUES (12342, 4463, 4, 'Socio');
INSERT INTO `lang_definitions` VALUES (12343, 4464, 4, 'Nombre Socio');
INSERT INTO `lang_definitions` VALUES (12344, 4467, 4, 'Frase Contraseña');
INSERT INTO `lang_definitions` VALUES (12345, 4468, 4, 'Frase Contraseña para desencriptar documento');
INSERT INTO `lang_definitions` VALUES (12346, 4469, 4, 'Pacientes pasados');
INSERT INTO `lang_definitions` VALUES (12347, 4470, 4, 'Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (12348, 4471, 4, 'Reglas de Alerta Pasiva');
INSERT INTO `lang_definitions` VALUES (12349, 4472, 4, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (12350, 4473, 4, 'Cambio de la contraseña');
INSERT INTO `lang_definitions` VALUES (12351, 4475, 4, 'Cambio de contraseña con éxito.');
INSERT INTO `lang_definitions` VALUES (12352, 4477, 4, 'Periodo de Gracia de Expiración de Contraseña');
INSERT INTO `lang_definitions` VALUES (12353, 4479, 4, 'Contraseña para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (12354, 4480, 4, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (12355, 4481, 4, 'Contraseña para puerta de enlace SMS.');
INSERT INTO `lang_definitions` VALUES (12356, 4483, 4, 'Contraseña de seguridad ha sido recientemente actualizada.');
INSERT INTO `lang_definitions` VALUES (12357, 4484, 4, 'Contraseña para conectar a CouchDB');
INSERT INTO `lang_definitions` VALUES (12358, 4486, 4, 'Contraseña');
INSERT INTO `lang_definitions` VALUES (12359, 4490, 4, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (12360, 4491, 4, 'Vencimiento');
INSERT INTO `lang_definitions` VALUES (12361, 4492, 4, 'Intervalo Vencido (Recordatorios clínicos)');
INSERT INTO `lang_definitions` VALUES (12362, 4493, 4, 'Intervalo Vencido (Recordatorios Paciente)');
INSERT INTO `lang_definitions` VALUES (12363, 4494, 4, 'Lista de visitas anteriores');
INSERT INTO `lang_definitions` VALUES (12364, 4495, 4, 'Anteriores visitas');
INSERT INTO `lang_definitions` VALUES (12365, 4496, 4, 'Anteriores visitas y Documentos');
INSERT INTO `lang_definitions` VALUES (12366, 4497, 4, 'Anteriores visitas de');
INSERT INTO `lang_definitions` VALUES (12367, 4498, 4, 'Pegar datos HL7');
INSERT INTO `lang_definitions` VALUES (12368, 4499, 4, 'Pegar los datos de importación en el área de texto a continuación:');
INSERT INTO `lang_definitions` VALUES (12369, 4500, 4, 'Paciente');
INSERT INTO `lang_definitions` VALUES (12370, 4502, 4, 'Parche');
INSERT INTO `lang_definitions` VALUES (12371, 4508, 4, 'Ruta de backup del log de eventos');
INSERT INTO `lang_definitions` VALUES (12372, 4509, 4, 'Ruta del fichero de certificado CA');
INSERT INTO `lang_definitions` VALUES (12373, 4510, 4, 'Ruta del fichero clave CA');
INSERT INTO `lang_definitions` VALUES (12374, 4511, 4, 'Ruta de ficheros binarios MySQL');
INSERT INTO `lang_definitions` VALUES (12375, 4512, 4, 'Ruta de ficheros binarios Perl');
INSERT INTO `lang_definitions` VALUES (12376, 4513, 4, 'Ruta de los ficheros temporales');
INSERT INTO `lang_definitions` VALUES (12377, 4514, 4, 'Paciente');
INSERT INTO `lang_definitions` VALUES (12378, 4515, 4, 'paciente');
INSERT INTO `lang_definitions` VALUES (12379, 4516, 4, 'PACIENTE');
INSERT INTO `lang_definitions` VALUES (12380, 4517, 4, 'Dirección del paciente');
INSERT INTO `lang_definitions` VALUES (12381, 4518, 4, 'Falta la dirección del paciente');
INSERT INTO `lang_definitions` VALUES (12382, 4521, 4, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (12383, 4522, 4, 'Alergias del Paciente');
INSERT INTO `lang_definitions` VALUES (12384, 4523, 4, 'Cita del Paciente');
INSERT INTO `lang_definitions` VALUES (12385, 4524, 4, 'Balance de paciente');
INSERT INTO `lang_definitions` VALUES (12386, 4528, 4, 'Nº Identificación del gráfico del paciente');
INSERT INTO `lang_definitions` VALUES (12387, 4529, 4, 'Comprobación de paciente');
INSERT INTO `lang_definitions` VALUES (12388, 4530, 4, 'Liquidación de paciente por ');
INSERT INTO `lang_definitions` VALUES (12389, 4531, 4, 'Ciudad del Paciente');
INSERT INTO `lang_definitions` VALUES (12390, 4532, 4, 'Falta la ciudad del paciente');
INSERT INTO `lang_definitions` VALUES (12391, 4533, 4, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (12392, 4534, 4, 'Comunicación Enviada al Paciente');
INSERT INTO `lang_definitions` VALUES (12393, 4535, 4, 'Pais del Paciente');
INSERT INTO `lang_definitions` VALUES (12394, 4536, 4, 'Falta la ciudad del paciente. Tampoco ha configurado la ciudad del paciente por defecto en la configuración global');
INSERT INTO `lang_definitions` VALUES (12395, 4537, 4, 'Cobertura de paciente');
INSERT INTO `lang_definitions` VALUES (12396, 4539, 4, 'Datos del Paciente');
INSERT INTO `lang_definitions` VALUES (12397, 4541, 4, 'Falta la F.Nacimiento del paciente');
INSERT INTO `lang_definitions` VALUES (12398, 4542, 4, 'Detalles del Paciente');
INSERT INTO `lang_definitions` VALUES (12399, 4543, 4, 'F.Nacimiento del Paciente');
INSERT INTO `lang_definitions` VALUES (12400, 4544, 4, 'Documentos del Paciente');
INSERT INTO `lang_definitions` VALUES (12401, 4545, 4, 'Material Educativo para el Paciente');
INSERT INTO `lang_definitions` VALUES (12402, 4546, 4, 'Materiales educativos para pacientes');
INSERT INTO `lang_definitions` VALUES (12403, 4547, 4, 'Encuentros del Paciente');
INSERT INTO `lang_definitions` VALUES (12404, 4548, 4, 'Formulario de Encuentros del Paciente');
INSERT INTO `lang_definitions` VALUES (12405, 4549, 4, 'Encuentros de Pacientes');
INSERT INTO `lang_definitions` VALUES (12406, 4550, 4, 'Buscador de pacientes');
INSERT INTO `lang_definitions` VALUES (12407, 4551, 4, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (12408, 4553, 4, 'Falta el nombre del paciente');
INSERT INTO `lang_definitions` VALUES (12409, 4558, 4, 'Género del Paciente');
INSERT INTO `lang_definitions` VALUES (12410, 4559, 4, 'Falta el género del paciente');
INSERT INTO `lang_definitions` VALUES (12411, 4560, 4, 'Paciente no autorizado al Portal del paciente');
INSERT INTO `lang_definitions` VALUES (12412, 4561, 4, 'Historia del Paciente');
INSERT INTO `lang_definitions` VALUES (12413, 4562, 4, 'Historia del Paciente/Estilo de Vida');
INSERT INTO `lang_definitions` VALUES (12414, 4563, 4, 'Teléfono Casa del Paciente');
INSERT INTO `lang_definitions` VALUES (12415, 4564, 4, 'ID Paciente');
INSERT INTO `lang_definitions` VALUES (12416, 4565, 4, 'Nº Identificación del Paciente');
INSERT INTO `lang_definitions` VALUES (12417, 4566, 4, 'Nº Identificación Tarjeta del Paciente');
INSERT INTO `lang_definitions` VALUES (12418, 4567, 4, 'Nombre categoría ID paciente');
INSERT INTO `lang_definitions` VALUES (12419, 4568, 4, 'Inmunización del paciente');
INSERT INTO `lang_definitions` VALUES (12420, 4569, 4, 'Información de Pacientes');
INSERT INTO `lang_definitions` VALUES (12421, 4570, 4, 'Instrucciones al paciente');
INSERT INTO `lang_definitions` VALUES (12422, 4571, 4, 'Distribución de pacientes de Seguros');
INSERT INTO `lang_definitions` VALUES (12423, 4572, 4, 'Informe de distribución de seguros de pacientes');
INSERT INTO `lang_definitions` VALUES (12424, 4573, 4, 'Cuestiones del Paciente');
INSERT INTO `lang_definitions` VALUES (12425, 4575, 4, 'Apellido(s)del Paciente');
INSERT INTO `lang_definitions` VALUES (12426, 4577, 4, 'Falta el apellido del paciente');
INSERT INTO `lang_definitions` VALUES (12427, 4581, 4, 'Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (12428, 4582, 4, 'Columnas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (12429, 4584, 4, 'Nuevas ventanas Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (12430, 4585, 4, 'Tamaño página Lista de Pacientes');
INSERT INTO `lang_definitions` VALUES (12431, 4586, 4, 'Errores de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (12432, 4587, 4, 'Problemas Médicos del Paciente');
INSERT INTO `lang_definitions` VALUES (12433, 4588, 4, 'Medicamentos del Paciente');
INSERT INTO `lang_definitions` VALUES (12434, 4589, 4, 'Nombre del Paciente');
INSERT INTO `lang_definitions` VALUES (12435, 4590, 4, 'Nombre y Dirección del Paciente');
INSERT INTO `lang_definitions` VALUES (12436, 4593, 4, 'Nombre de Paciente Requerido');
INSERT INTO `lang_definitions` VALUES (12437, 4595, 4, 'Nota del paciente');
INSERT INTO `lang_definitions` VALUES (12438, 4596, 4, 'Nota de tipos de pacientes');
INSERT INTO `lang_definitions` VALUES (12439, 4597, 4, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (12440, 4598, 4, 'Notas del paciente (escribir, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (12441, 4599, 4, 'Número del Paciente');
INSERT INTO `lang_definitions` VALUES (12442, 4600, 4, 'Pago del paciente');
INSERT INTO `lang_definitions` VALUES (12443, 4602, 4, 'Nombre de Categoría de Foto del Paciente');
INSERT INTO `lang_definitions` VALUES (12444, 4603, 4, 'Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (12445, 4605, 4, 'Portal del Paciente está apagado');
INSERT INTO `lang_definitions` VALUES (12446, 4606, 4, 'Inicio sesión Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (12447, 4607, 4, 'Sitio web del Portal del Paciente');
INSERT INTO `lang_definitions` VALUES (12448, 4608, 4, 'Informe Impreso del Paciente');
INSERT INTO `lang_definitions` VALUES (12449, 4609, 4, 'Informe de registros de paciente');
INSERT INTO `lang_definitions` VALUES (12450, 4610, 4, 'Solicitud de registros de paciente');
INSERT INTO `lang_definitions` VALUES (12451, 4611, 4, 'Solicitud de registros de paciente');
INSERT INTO `lang_definitions` VALUES (12452, 4613, 4, 'Recordatorios del paciente');
INSERT INTO `lang_definitions` VALUES (12453, 4614, 4, 'Batch Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (12454, 4616, 4, 'Reglas Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (12455, 4617, 4, 'email Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (12456, 4618, 4, 'Nombre Remitente de Recordatorio del Paciente');
INSERT INTO `lang_definitions` VALUES (12457, 4619, 4, 'Recordatorios del Paciente');
INSERT INTO `lang_definitions` VALUES (12458, 4620, 4, 'Informe del Paciente');
INSERT INTO `lang_definitions` VALUES (12459, 4621, 4, 'Solicitud del Paciente');
INSERT INTO `lang_definitions` VALUES (12460, 4622, 4, 'Paciente solicitó Registros Médicos');
INSERT INTO `lang_definitions` VALUES (12461, 4623, 4, 'Resultados del paciente');
INSERT INTO `lang_definitions` VALUES (12462, 4624, 4, 'Estilo de resultados de búsqueda de paciente');
INSERT INTO `lang_definitions` VALUES (12463, 4625, 4, 'Pantalla Buscar/añadir paciente');
INSERT INTO `lang_definitions` VALUES (12464, 4626, 4, 'Ajustes paciente');
INSERT INTO `lang_definitions` VALUES (12465, 4627, 4, 'Estado paciente');
INSERT INTO `lang_definitions` VALUES (12466, 4629, 4, 'Resumen del Paciente');
INSERT INTO `lang_definitions` VALUES (12467, 4630, 4, 'Transacciones del Paciente');
INSERT INTO `lang_definitions` VALUES (12468, 4631, 4, 'Código Postal paciente');
INSERT INTO `lang_definitions` VALUES (12469, 4632, 4, 'Paciente(s) en la base de datos que coinciden con la información demográfica que usted ha ingresado.');
INSERT INTO `lang_definitions` VALUES (12470, 4633, 4, 'Paciente/Cliente');
INSERT INTO `lang_definitions` VALUES (12471, 4634, 4, 'Paciente:');
INSERT INTO `lang_definitions` VALUES (12472, 4635, 4, 'PacienteID');
INSERT INTO `lang_definitions` VALUES (12473, 4636, 4, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (12474, 4638, 4, 'Pago');
INSERT INTO `lang_definitions` VALUES (12475, 4639, 4, 'Preste atención a la \"Hecho con\" casillas de verificación. Después de los seguros están marcados completa luego empezaremos a pedir a la paciente a pagar el saldo restante, si usted no marca la totalidad de los seguros luego completar la cantidad restante no serán recogidos! También si hay un equilibrio que el paciente debe pagar, a continuación, establezca la fecha apropiada, ya que esto afecta a la lengua que aparece en las declaraciones del paciente.');
INSERT INTO `lang_definitions` VALUES (12476, 4640, 4, 'Fecha de Pago:');
INSERT INTO `lang_definitions` VALUES (12477, 4641, 4, 'Estado de Pago');
INSERT INTO `lang_definitions` VALUES (12478, 4642, 4, 'Nombre del beneficiario');
INSERT INTO `lang_definitions` VALUES (12479, 4643, 4, 'Pagador');
INSERT INTO `lang_definitions` VALUES (12480, 4644, 4, 'Tipo Pagador');
INSERT INTO `lang_definitions` VALUES (12481, 4645, 4, 'Pagar');
INSERT INTO `lang_definitions` VALUES (12482, 4646, 4, 'Entidad pagadora');
INSERT INTO `lang_definitions` VALUES (12483, 4647, 4, 'Pago');
INSERT INTO `lang_definitions` VALUES (12484, 4648, 4, 'pago');
INSERT INTO `lang_definitions` VALUES (12485, 4649, 4, 'Código ajuste pago');
INSERT INTO `lang_definitions` VALUES (12486, 4650, 4, 'Pago contra');
INSERT INTO `lang_definitions` VALUES (12487, 4651, 4, 'Importe pago');
INSERT INTO `lang_definitions` VALUES (12488, 4652, 4, 'Importe pago debe ser numérico');
INSERT INTO `lang_definitions` VALUES (12489, 4653, 4, 'Categoría pago');
INSERT INTO `lang_definitions` VALUES (12490, 4654, 4, 'Fecha de Pago');
INSERT INTO `lang_definitions` VALUES (12491, 4655, 4, 'pago ingresado el');
INSERT INTO `lang_definitions` VALUES (12492, 4656, 4, 'Pago desde');
INSERT INTO `lang_definitions` VALUES (12493, 4657, 4, 'Pasarela de pagos');
INSERT INTO `lang_definitions` VALUES (12494, 4658, 4, 'Imputar pagos');
INSERT INTO `lang_definitions` VALUES (12495, 4659, 4, 'Lista de pagos');
INSERT INTO `lang_definitions` VALUES (12496, 4660, 4, 'Método de Pago');
INSERT INTO `lang_definitions` VALUES (12497, 4661, 4, 'Ordenar pagos por');
INSERT INTO `lang_definitions` VALUES (12498, 4662, 4, 'Estado pagos');
INSERT INTO `lang_definitions` VALUES (12499, 4663, 4, 'Tipo pagos');
INSERT INTO `lang_definitions` VALUES (12500, 4664, 4, 'Valor de pago para el código ');
INSERT INTO `lang_definitions` VALUES (12501, 4665, 4, 'Pagos');
INSERT INTO `lang_definitions` VALUES (12502, 4667, 4, 'PCP');
INSERT INTO `lang_definitions` VALUES (12503, 4669, 4, 'PDF');
INSERT INTO `lang_definitions` VALUES (12504, 4670, 4, 'Descargar PDF de seleccionados');
INSERT INTO `lang_definitions` VALUES (12505, 4672, 4, 'Pelvis y nalga');
INSERT INTO `lang_definitions` VALUES (12506, 4673, 4, 'Pénfigo');
INSERT INTO `lang_definitions` VALUES (12507, 4674, 4, 'Pendiente');
INSERT INTO `lang_definitions` VALUES (12508, 4676, 4, 'Pendiente F/U');
INSERT INTO `lang_definitions` VALUES (12509, 4677, 4, 'Seguimento Pendiente');
INSERT INTO `lang_definitions` VALUES (12510, 4678, 4, 'Seguimiento de resultados pendientes');
INSERT INTO `lang_definitions` VALUES (12511, 4679, 4, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (12512, 4680, 4, 'Ordenes pendientes');
INSERT INTO `lang_definitions` VALUES (12513, 4681, 4, 'Revisión Pendientes');
INSERT INTO `lang_definitions` VALUES (12514, 4682, 4, 'Contador Recetas pendientes');
INSERT INTO `lang_definitions` VALUES (12515, 4684, 4, 'Pennington firme LibreEHR v');
INSERT INTO `lang_definitions` VALUES (12516, 4685, 4, 'La úlcera péptica');
INSERT INTO `lang_definitions` VALUES (12517, 4687, 4, 'por minuto');
INSERT INTO `lang_definitions` VALUES (12518, 4688, 4, 'Por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (12519, 4689, 4, 'por las fosas nasales');
INSERT INTO `lang_definitions` VALUES (12520, 4690, 4, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (12521, 4691, 4, 'por oris');
INSERT INTO `lang_definitions` VALUES (12522, 4692, 4, 'Por Recto');
INSERT INTO `lang_definitions` VALUES (12523, 4693, 4, 'por recto');
INSERT INTO `lang_definitions` VALUES (12524, 4694, 4, 'Porcentaje');
INSERT INTO `lang_definitions` VALUES (12525, 4697, 4, 'Percentil');
INSERT INTO `lang_definitions` VALUES (12526, 4698, 4, 'Derecho Perforado:');
INSERT INTO `lang_definitions` VALUES (12527, 4699, 4, 'Realizar la búsqueda');
INSERT INTO `lang_definitions` VALUES (12528, 4700, 4, 'Realizar esta acción');
INSERT INTO `lang_definitions` VALUES (12529, 4701, 4, 'Porcentaje Rendimiento');
INSERT INTO `lang_definitions` VALUES (12530, 4703, 4, 'Centro q realiza los estudios de Lab.');
INSERT INTO `lang_definitions` VALUES (12531, 4705, 4, 'Periodo');
INSERT INTO `lang_definitions` VALUES (12532, 4706, 4, 'Periodo en días donde un usuario puede iniciar sesión con una contraseña caducada.');
INSERT INTO `lang_definitions` VALUES (12533, 4707, 4, 'Cuidados perioperatorios');
INSERT INTO `lang_definitions` VALUES (12534, 4708, 4, 'Periférico');
INSERT INTO `lang_definitions` VALUES (12535, 4712, 4, 'Persona');
INSERT INTO `lang_definitions` VALUES (12536, 4713, 4, 'Personalizar');
INSERT INTO `lang_definitions` VALUES (12537, 4714, 4, 'PG');
INSERT INTO `lang_definitions` VALUES (12538, 4715, 4, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (12539, 4716, 4, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (12540, 4717, 4, 'Farmacias');
INSERT INTO `lang_definitions` VALUES (12541, 4718, 4, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (12542, 4719, 4, 'Dispensario de la Farmacia');
INSERT INTO `lang_definitions` VALUES (12543, 4720, 4, 'Neumotorax');
INSERT INTO `lang_definitions` VALUES (12544, 4729, 4, 'Teléfono');
INSERT INTO `lang_definitions` VALUES (12545, 4730, 4, 'Lista de llamadas de teléfono');
INSERT INTO `lang_definitions` VALUES (12546, 4731, 4, 'Informe Lista de llamadas');
INSERT INTO `lang_definitions` VALUES (12547, 4733, 4, 'Contraseña de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (12548, 4734, 4, 'URL de la puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (12549, 4735, 4, 'Usuario puerta de enlace telefónico');
INSERT INTO `lang_definitions` VALUES (12550, 4737, 4, 'Hora notificación teléfono');
INSERT INTO `lang_definitions` VALUES (12551, 4738, 4, 'Número de teléfono');
INSERT INTO `lang_definitions` VALUES (12552, 4740, 4, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (12553, 4741, 4, 'Fotografías');
INSERT INTO `lang_definitions` VALUES (12554, 4742, 4, 'PHP comprimida');
INSERT INTO `lang_definitions` VALUES (12555, 4743, 4, 'Módulo PHP CURL debe estar activado en su servidor.');
INSERT INTO `lang_definitions` VALUES (12556, 4744, 4, 'Extraído de PHP');
INSERT INTO `lang_definitions` VALUES (12557, 4745, 4, 'controles de acceso de PHP-GACL están desactivados.');
INSERT INTO `lang_definitions` VALUES (12558, 4746, 4, 'controles de acceso de PHP-GACL are desactivados.');
INSERT INTO `lang_definitions` VALUES (12559, 4747, 4, 'Examen Físico');
INSERT INTO `lang_definitions` VALUES (12560, 4749, 4, 'Solicitud de Médico');
INSERT INTO `lang_definitions` VALUES (12561, 4750, 4, 'Firma del Médico');
INSERT INTO `lang_definitions` VALUES (12562, 4752, 4, 'Médicos');
INSERT INTO `lang_definitions` VALUES (12563, 4753, 4, 'escoger');
INSERT INTO `lang_definitions` VALUES (12564, 4754, 4, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (12565, 4755, 4, 'Seleccionar un tema CSS');
INSERT INTO `lang_definitions` VALUES (12566, 4756, 4, 'PID');
INSERT INTO `lang_definitions` VALUES (12567, 4757, 4, 'PID (enfermedad pélvica inflamatoria)');
INSERT INTO `lang_definitions` VALUES (12568, 4758, 4, 'Tamaño de la Píldora');
INSERT INTO `lang_definitions` VALUES (12569, 4759, 4, 'Píldoras');
INSERT INTO `lang_definitions` VALUES (12570, 4760, 4, 'Coloque el fichero de database zip en el siguiente directorio si quiere la opción de instalar');
INSERT INTO `lang_definitions` VALUES (12571, 4761, 4, 'Ponga el fichero zip de bbdd ICD 10 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (12572, 4762, 4, 'Ponga el fichero zip de bbdd ICD 9 en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (12573, 4763, 4, 'Ponga el fichero zip de bbdd RxNorm en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (12574, 4764, 4, 'Ponga el fichero zip de bbdd Snomed en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (12575, 4765, 4, 'Marcador de posición');
INSERT INTO `lang_definitions` VALUES (12576, 4766, 4, 'Marcador de posición (Mantiene vacia ACL)');
INSERT INTO `lang_definitions` VALUES (12577, 4767, 4, 'Texto sin Formato');
INSERT INTO `lang_definitions` VALUES (12578, 4768, 4, 'Plan');
INSERT INTO `lang_definitions` VALUES (12579, 4771, 4, 'Nombre del Plan');
INSERT INTO `lang_definitions` VALUES (12580, 4775, 4, 'Ajuste Planes');
INSERT INTO `lang_definitions` VALUES (12581, 4779, 4, 'Plan:');
INSERT INTO `lang_definitions` VALUES (12582, 4782, 4, 'Planes');
INSERT INTO `lang_definitions` VALUES (12583, 4784, 4, 'Jugador');
INSERT INTO `lang_definitions` VALUES (12584, 4785, 4, 'Posición de juego');
INSERT INTO `lang_definitions` VALUES (12585, 4786, 4, 'Favor de llamar si la informacion arriba es incorrecta');
INSERT INTO `lang_definitions` VALUES (12586, 4787, 4, 'Favor de cambiar palabra clave');
INSERT INTO `lang_definitions` VALUES (12587, 4788, 4, 'Por favor, elige un fichero');
INSERT INTO `lang_definitions` VALUES (12588, 4789, 4, 'Por favor, elige un paciente');
INSERT INTO `lang_definitions` VALUES (12589, 4790, 4, 'Por favor, elija una selección válida de la lista.');
INSERT INTO `lang_definitions` VALUES (12590, 4791, 4, 'Favor elegir selecion valida');
INSERT INTO `lang_definitions` VALUES (12591, 4792, 4, 'Por favor, elija un valor para');
INSERT INTO `lang_definitions` VALUES (12592, 4793, 4, 'Por favor elija el rango de fechas, y haga click en refrescar para ver los resultados.');
INSERT INTO `lang_definitions` VALUES (12593, 4794, 4, 'Por favor elegir el formato adecuado del fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (12594, 4795, 4, 'Por favor click en el botón Descargar para descargar los datos de DE identificación');
INSERT INTO `lang_definitions` VALUES (12595, 4796, 4, 'Por favor click en el botón descargar para descargar los datos de Re-identificación');
INSERT INTO `lang_definitions` VALUES (12596, 4797, 4, 'Por favor, cierre esta ventana.');
INSERT INTO `lang_definitions` VALUES (12597, 4798, 4, 'Por favor, comparar el nuevo nombre');
INSERT INTO `lang_definitions` VALUES (12598, 4801, 4, 'Por favor cree la siguiente carpeta antes de proceder');
INSERT INTO `lang_definitions` VALUES (12599, 4802, 4, 'No acepte por favor esta prescripción a menos que fuera recibida vía facimile.');
INSERT INTO `lang_definitions` VALUES (12600, 4803, 4, 'Favor de no aceptar esta receta a menos que fuera recibida por fax');
INSERT INTO `lang_definitions` VALUES (12601, 4804, 4, 'Por favor, no utilice su navegador botón de parada o recarga, mientras que esta página está funcionando a menos que más de 10 minutos han transcurrido, esto no causa para detener el proceso en el servidor y se consumen innecesario recursos.');
INSERT INTO `lang_definitions` VALUES (12602, 4805, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN CURL');
INSERT INTO `lang_definitions` VALUES (12603, 4806, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN OPENSSL');
INSERT INTO `lang_definitions` VALUES (12604, 4807, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN SOAP');
INSERT INTO `lang_definitions` VALUES (12605, 4808, 4, 'POR FAVOR ACTIVE LA EXTENSIÓN XML');
INSERT INTO `lang_definitions` VALUES (12606, 4809, 4, 'Favor de entrar fecha de la ultima revision');
INSERT INTO `lang_definitions` VALUES (12607, 4810, 4, 'Por favor introduzca la fecha');
INSERT INTO `lang_definitions` VALUES (12608, 4811, 4, 'Por favor introduzca una fecha de vencimiento');
INSERT INTO `lang_definitions` VALUES (12609, 4812, 4, 'Por favor introduzca un mensaje');
INSERT INTO `lang_definitions` VALUES (12610, 4813, 4, 'Por favor, introduzca un importe monetario, utilizando sólo números y un punto decimal.');
INSERT INTO `lang_definitions` VALUES (12611, 4814, 4, 'Por favor introduzca una Nueva Contraseña');
INSERT INTO `lang_definitions` VALUES (12612, 4815, 4, 'Por favor, escriba un título!');
INSERT INTO `lang_definitions` VALUES (12613, 4819, 4, 'Por favor introduzca el código de Re-identificación correcto');
INSERT INTO `lang_definitions` VALUES (12614, 4821, 4, 'Por favor, introduzca el dato de la nueva búsqueda');
INSERT INTO `lang_definitions` VALUES (12615, 4822, 4, 'Por favor introduzca el código de re-identificación');
INSERT INTO `lang_definitions` VALUES (12616, 4823, 4, 'Por favor introduzca contraseña');
INSERT INTO `lang_definitions` VALUES (12617, 4824, 4, 'Por favor rellene el número de cheque');
INSERT INTO `lang_definitions` VALUES (12618, 4825, 4, 'Por favor rellene el número Check/Ref');
INSERT INTO `lang_definitions` VALUES (12619, 4826, 4, 'Por favor rellene la fecha');
INSERT INTO `lang_definitions` VALUES (12620, 4827, 4, 'Por favor rellene el importe del pago');
INSERT INTO `lang_definitions` VALUES (12621, 4828, 4, 'Por favor rellene la categoría del pago');
INSERT INTO `lang_definitions` VALUES (12622, 4829, 4, 'Por favor rellene la procedencia del pago');
INSERT INTO `lang_definitions` VALUES (12623, 4830, 4, 'Por favor rellene la casilla de la Fecha');
INSERT INTO `lang_definitions` VALUES (12624, 4831, 4, 'Favor de llenar antes de continuar');
INSERT INTO `lang_definitions` VALUES (12625, 4832, 4, 'Por favor indique el motivo de la visita');
INSERT INTO `lang_definitions` VALUES (12626, 4834, 4, 'Favor digitar criterios de busqueda, luego Selecciona para ver resultados');
INSERT INTO `lang_definitions` VALUES (12627, 4835, 4, 'Por favor introduzca los criterios de búsqueda arriba, y haga click en aceptar para ver los resultados. (Los resultados serán mostrados en una ventana emergente)');
INSERT INTO `lang_definitions` VALUES (12628, 4836, 4, 'Por favor inicie sesión de nuevo');
INSERT INTO `lang_definitions` VALUES (12629, 4837, 4, 'Por favor tenga en cuenta que esto puede tomar mucho tiempo, hasta varios minutos, el navegador web puede no aparecer muy activo durante este tiempo, pero la generación de una factura es un proceso complicado y su navegador web está a la espera de más información.');
INSERT INTO `lang_definitions` VALUES (12630, 4838, 4, 'Note que las constantes son sensibles a mayúsculas y minúsculas y se permite cualquier cadena.');
INSERT INTO `lang_definitions` VALUES (12631, 4839, 4, 'Por favor, utilice únicamente caracteres alfabéticos');
INSERT INTO `lang_definitions` VALUES (12632, 4840, 4, 'Por favor, utilice únicamente caracteres alfabéticos sin espacios');
INSERT INTO `lang_definitions` VALUES (12633, 4841, 4, 'Por favor, pagar esta cantidad');
INSERT INTO `lang_definitions` VALUES (12634, 4842, 4, 'Por favor ponga sus ficheros de instalación en la siguiente carpeta');
INSERT INTO `lang_definitions` VALUES (12635, 4843, 4, 'Favor de referise a');
INSERT INTO `lang_definitions` VALUES (12636, 4844, 4, 'Por favor, reinicie la contraseña.');
INSERT INTO `lang_definitions` VALUES (12637, 4845, 4, 'Por favor resetear el servidor apache antes de intentar la finalización de sesión');
INSERT INTO `lang_definitions` VALUES (12638, 4847, 4, 'Por favor seleccione');
INSERT INTO `lang_definitions` VALUES (12639, 4849, 4, 'Por favor seleccione un idioma');
INSERT INTO `lang_definitions` VALUES (12640, 4850, 4, 'Por favor seleccione un Paciente');
INSERT INTO `lang_definitions` VALUES (12641, 4851, 4, 'Por favor seleccione una entidad de negocio primario con \'C.I.F.\' como su centro \'C.I.F.\'. Si usted es autónomo, ponga su \'C.I.F.\'. Será usado para identificarle en el sistema NewCrop.');
INSERT INTO `lang_definitions` VALUES (12642, 4854, 4, 'Por favor Seleccione un Destinatario');
INSERT INTO `lang_definitions` VALUES (12643, 4855, 4, 'Por favor seleccione la fecha de inicio y fin');
INSERT INTO `lang_definitions` VALUES (12644, 4856, 4, 'Por favor Seleccione un Destinatario válido');
INSERT INTO `lang_definitions` VALUES (12645, 4858, 4, 'Por favor, seleccione un razón de ajuste para el código ');
INSERT INTO `lang_definitions` VALUES (12646, 4859, 4, 'Por favor, seleccione un evento');
INSERT INTO `lang_definitions` VALUES (12647, 4860, 4, 'Por favor seleccione una Opción de Búsqueda');
INSERT INTO `lang_definitions` VALUES (12648, 4863, 4, 'Favor seleccionar al menos una receta');
INSERT INTO `lang_definitions` VALUES (12649, 4865, 4, 'Por favor, seleccione las pags. que desee copiar o reenviar:');
INSERT INTO `lang_definitions` VALUES (12650, 4866, 4, 'Por favor seleccione la Forma de Pago');
INSERT INTO `lang_definitions` VALUES (12651, 4867, 4, 'Por favor seleccione el tipo de pago.');
INSERT INTO `lang_definitions` VALUES (12652, 4869, 4, 'Por favor seleccione socio X12, requerido para crear el batch 270');
INSERT INTO `lang_definitions` VALUES (12653, 4870, 4, 'Por favor ajuste');
INSERT INTO `lang_definitions` VALUES (12654, 4871, 4, 'Por favor ponga la variable de_identification_config a cero');
INSERT INTO `lang_definitions` VALUES (12655, 4873, 4, 'Por favor inicie un nuevo proceso de De identificación');
INSERT INTO `lang_definitions` VALUES (12656, 4874, 4, 'Por favor actualice la base de datos LibreEHR para incluir procedimientos, funciones, tablas para De identificación');
INSERT INTO `lang_definitions` VALUES (12657, 4875, 4, 'Por favor, consulte la tabla de log de errores de De Identificación para más detalles');
INSERT INTO `lang_definitions` VALUES (12658, 4876, 4, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (12659, 4877, 4, 'Por favor visite la pantalla de Re-Identificación después de algún tiempo');
INSERT INTO `lang_definitions` VALUES (12660, 4878, 4, 'Por favor visite la página pasado algún tiempo');
INSERT INTO `lang_definitions` VALUES (12661, 4882, 4, 'PM');
INSERT INTO `lang_definitions` VALUES (12662, 4883, 4, 'PM Program');
INSERT INTO `lang_definitions` VALUES (12663, 4884, 4, 'Método de pago');
INSERT INTO `lang_definitions` VALUES (12664, 4885, 4, 'PND');
INSERT INTO `lang_definitions` VALUES (12665, 4886, 4, 'Conjugado Neumocócico 1');
INSERT INTO `lang_definitions` VALUES (12666, 4887, 4, 'Conjugado Neumocócico 2');
INSERT INTO `lang_definitions` VALUES (12667, 4888, 4, 'Conjugado Neumocócico 3');
INSERT INTO `lang_definitions` VALUES (12668, 4889, 4, 'Conjugado Neumocócico 4');
INSERT INTO `lang_definitions` VALUES (12669, 4890, 4, 'vacuna contra el neumococo');
INSERT INTO `lang_definitions` VALUES (12670, 4891, 4, 'Vacunación Neumonía');
INSERT INTO `lang_definitions` VALUES (12671, 4892, 4, 'Estado de vacunación de neumonía de adultos mayores');
INSERT INTO `lang_definitions` VALUES (12672, 4893, 4, 'Estado de vacunación de neumonía de adultos mayores (GCC)');
INSERT INTO `lang_definitions` VALUES (12673, 4894, 4, 'Podológica');
INSERT INTO `lang_definitions` VALUES (12674, 4896, 4, 'Punto del servicio (posición)');
INSERT INTO `lang_definitions` VALUES (12675, 4897, 4, 'Póliza');
INSERT INTO `lang_definitions` VALUES (12676, 4898, 4, 'Póliza Nº');
INSERT INTO `lang_definitions` VALUES (12677, 4899, 4, 'Número Póliza');
INSERT INTO `lang_definitions` VALUES (12678, 4900, 4, 'Polaco');
INSERT INTO `lang_definitions` VALUES (12679, 4901, 4, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (12680, 4902, 4, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (12681, 4903, 4, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (12682, 4904, 4, 'Falta de Apetito');
INSERT INTO `lang_definitions` VALUES (12683, 4905, 4, 'Pobre Circulación');
INSERT INTO `lang_definitions` VALUES (12684, 4906, 4, 'Déficit auditivo');
INSERT INTO `lang_definitions` VALUES (12685, 4907, 4, 'Se requieren Pop-ups activos para ver estos reportes');
INSERT INTO `lang_definitions` VALUES (12686, 4908, 4, '¿Rellenar la vista del año con eventos?');
INSERT INTO `lang_definitions` VALUES (12687, 4909, 4, 'Menús emergentes');
INSERT INTO `lang_definitions` VALUES (12688, 4910, 4, 'Portal');
INSERT INTO `lang_definitions` VALUES (12689, 4911, 4, 'Actividad del Portal');
INSERT INTO `lang_definitions` VALUES (12690, 4917, 4, 'Portugués');
INSERT INTO `lang_definitions` VALUES (12691, 4918, 4, 'Portugués (Brasileño)');
INSERT INTO `lang_definitions` VALUES (12692, 4919, 4, 'Portugués (Europeo)');
INSERT INTO `lang_definitions` VALUES (12693, 4920, 4, 'Código de POS');
INSERT INTO `lang_definitions` VALUES (12694, 4922, 4, 'Positivo');
INSERT INTO `lang_definitions` VALUES (12695, 4923, 4, 'Positivos');
INSERT INTO `lang_definitions` VALUES (12696, 4925, 4, 'Enviar por');
INSERT INTO `lang_definitions` VALUES (12697, 4926, 4, 'Goteo nasal posterior');
INSERT INTO `lang_definitions` VALUES (12698, 4927, 4, 'Enviar pagos');
INSERT INTO `lang_definitions` VALUES (12699, 4928, 4, 'Post-quirúrgico');
INSERT INTO `lang_definitions` VALUES (12700, 4929, 4, 'Publique en la contabilidad y marque como facturado');
INSERT INTO `lang_definitions` VALUES (12701, 4930, 4, 'Publicar en fecha');
INSERT INTO `lang_definitions` VALUES (12702, 4931, 4, 'Publicar en fecha no puede ser mayor que hoy');
INSERT INTO `lang_definitions` VALUES (12703, 4932, 4, 'Publicar en fecha debe ser mayor que la fecha de cierre financiero');
INSERT INTO `lang_definitions` VALUES (12704, 4933, 4, 'Cuidado del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (12705, 4934, 4, 'Contracepción del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (12706, 4935, 4, 'Asesoramiento del Post-Aborto');
INSERT INTO `lang_definitions` VALUES (12707, 4936, 4, 'Seguimiento Post-Aborto');
INSERT INTO `lang_definitions` VALUES (12708, 4937, 4, 'Postal');
INSERT INTO `lang_definitions` VALUES (12709, 4938, 4, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (12710, 4939, 4, 'Código Postal');
INSERT INTO `lang_definitions` VALUES (12711, 4941, 4, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (12712, 4942, 4, 'Administración del PostCalendar');
INSERT INTO `lang_definitions` VALUES (12713, 4943, 4, 'Configuración de la Categoría PostCalendar');
INSERT INTO `lang_definitions` VALUES (12714, 4944, 4, 'Configuración Global de PostCalendar');
INSERT INTO `lang_definitions` VALUES (12715, 4945, 4, 'Publicado en');
INSERT INTO `lang_definitions` VALUES (12716, 4946, 4, 'Fecha de Envío');
INSERT INTO `lang_definitions` VALUES (12717, 4948, 4, 'Desarrollado por');
INSERT INTO `lang_definitions` VALUES (12718, 4949, 4, 'PPE+ Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (12719, 4950, 4, 'PQRI (Iniciativa Informe Calidad Médica)');
INSERT INTO `lang_definitions` VALUES (12720, 4951, 4, 'Registro ID PQRI');
INSERT INTO `lang_definitions` VALUES (12721, 4952, 4, 'Registro Nombre PQRI');
INSERT INTO `lang_definitions` VALUES (12722, 4953, 4, 'Práctica');
INSERT INTO `lang_definitions` VALUES (12723, 4954, 4, 'Práctica establecida por defecto');
INSERT INTO `lang_definitions` VALUES (12724, 4955, 4, 'Configuración de la práctica');
INSERT INTO `lang_definitions` VALUES (12725, 4956, 4, 'Prestador');
INSERT INTO `lang_definitions` VALUES (12726, 4958, 4, 'Pago anticipado');
INSERT INTO `lang_definitions` VALUES (12727, 4959, 4, 'Prepago');
INSERT INTO `lang_definitions` VALUES (12728, 4960, 4, 'Consulta del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (12729, 4961, 4, 'Asesoramiento del Pre-Aborto');
INSERT INTO `lang_definitions` VALUES (12730, 4962, 4, 'Categoría Pref');
INSERT INTO `lang_definitions` VALUES (12731, 4964, 4, 'Preferencias');
INSERT INTO `lang_definitions` VALUES (12732, 4965, 4, 'Categoría preferida del evento');
INSERT INTO `lang_definitions` VALUES (12733, 4966, 4, 'Lengua preferida');
INSERT INTO `lang_definitions` VALUES (12734, 4967, 4, 'Preferencia Farmacia');
INSERT INTO `lang_definitions` VALUES (12735, 4968, 4, 'Organización de Proveedor Preferido (PPO)');
INSERT INTO `lang_definitions` VALUES (12736, 4969, 4, 'Prueba de embarazo');
INSERT INTO `lang_definitions` VALUES (12737, 4970, 4, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (12738, 4972, 4, 'Pague por Adelantado');
INSERT INTO `lang_definitions` VALUES (12739, 4973, 4, 'Prescripción');
INSERT INTO `lang_definitions` VALUES (12740, 4974, 4, 'Receta ha alcanzado sus limites de');
INSERT INTO `lang_definitions` VALUES (12741, 4975, 4, 'Histórico de Prescripciones');
INSERT INTO `lang_definitions` VALUES (12742, 4976, 4, 'Importación de Histórico de Prescripciones completado');
INSERT INTO `lang_definitions` VALUES (12743, 4977, 4, 'Etiqueta de la prescripción');
INSERT INTO `lang_definitions` VALUES (12744, 4978, 4, 'Informe de Prescripción');
INSERT INTO `lang_definitions` VALUES (12745, 4979, 4, 'Prescripciónes');
INSERT INTO `lang_definitions` VALUES (12746, 4980, 4, 'Prescripciones y dispensaciones');
INSERT INTO `lang_definitions` VALUES (12747, 4981, 4, 'Recetas y otras referencias');
INSERT INTO `lang_definitions` VALUES (12748, 4982, 4, 'Prescripciones y/o remisiones del especialista');
INSERT INTO `lang_definitions` VALUES (12749, 4983, 4, 'Informe de las prescripciones');
INSERT INTO `lang_definitions` VALUES (12750, 4984, 4, 'Prescripciones/remisiones');
INSERT INTO `lang_definitions` VALUES (12751, 4985, 4, 'Presente');
INSERT INTO `lang_definitions` VALUES (12752, 4986, 4, 'Presentación de queja');
INSERT INTO `lang_definitions` VALUES (12753, 4988, 4, 'Pulse Continuar para proseguir');
INSERT INTO `lang_definitions` VALUES (12754, 4989, 4, 'Presunción de Diagnóstico');
INSERT INTO `lang_definitions` VALUES (12755, 4990, 4, 'Presunción de Diagnóstico por el especialista');
INSERT INTO `lang_definitions` VALUES (12756, 4991, 4, 'Previa');
INSERT INTO `lang_definitions` VALUES (12757, 4992, 4, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (12758, 4993, 4, 'Mes anterior. (Presione para menu)');
INSERT INTO `lang_definitions` VALUES (12759, 4994, 4, 'Año anterior (Presione para el menu)');
INSERT INTO `lang_definitions` VALUES (12760, 4995, 4, 'Cuidado Preventivo');
INSERT INTO `lang_definitions` VALUES (12761, 4998, 4, 'Vista previa del evento');
INSERT INTO `lang_definitions` VALUES (12762, 5000, 4, 'Previsualización de');
INSERT INTO `lang_definitions` VALUES (12763, 5001, 4, 'Anterior');
INSERT INTO `lang_definitions` VALUES (12764, 5002, 4, 'Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (12765, 5003, 4, 'Dia Anterior');
INSERT INTO `lang_definitions` VALUES (12766, 5004, 4, 'Historia Anterior/Tamizaje');
INSERT INTO `lang_definitions` VALUES (12767, 5005, 4, 'Mes Anterior');
INSERT INTO `lang_definitions` VALUES (12768, 5006, 4, 'Semana Anterior');
INSERT INTO `lang_definitions` VALUES (12769, 5007, 4, 'Precio');
INSERT INTO `lang_definitions` VALUES (12770, 5008, 4, 'Precio de descuento');
INSERT INTO `lang_definitions` VALUES (12771, 5009, 4, 'Nivel de Precio');
INSERT INTO `lang_definitions` VALUES (12772, 5010, 4, 'Nivel de Precio:');
INSERT INTO `lang_definitions` VALUES (12773, 5011, 4, 'Precios');
INSERT INTO `lang_definitions` VALUES (12774, 5012, 4, 'Primaria');
INSERT INTO `lang_definitions` VALUES (12775, 5013, 4, 'Entidad de negocios primaria');
INSERT INTO `lang_definitions` VALUES (12776, 5014, 4, 'La entidad de negocio primaria es usada como cuenta Id para la ePrescipción. Cambiando el centro afectará al funcionamiento en NewCrop.');
INSERT INTO `lang_definitions` VALUES (12777, 5022, 4, 'Seguro Primario');
INSERT INTO `lang_definitions` VALUES (12778, 5023, 4, 'Seguro Primario');
INSERT INTO `lang_definitions` VALUES (12779, 5024, 4, 'Datos Primarios del Seguro');
INSERT INTO `lang_definitions` VALUES (12780, 5025, 4, 'Proveedor Primario del Seguro');
INSERT INTO `lang_definitions` VALUES (12781, 5026, 4, 'Proveedor de primaria');
INSERT INTO `lang_definitions` VALUES (12782, 5027, 4, 'Imprime');
INSERT INTO `lang_definitions` VALUES (12783, 5028, 4, 'Imprimir (HTML)');
INSERT INTO `lang_definitions` VALUES (12784, 5029, 4, 'Imprimir (PDF)');
INSERT INTO `lang_definitions` VALUES (12785, 5031, 4, 'Imprimir cualquier encuentro');
INSERT INTO `lang_definitions` VALUES (12786, 5032, 4, 'Imprimir el formulario de remisión en blanco');
INSERT INTO `lang_definitions` VALUES (12787, 5033, 4, 'Comando Imprimir');
INSERT INTO `lang_definitions` VALUES (12788, 5039, 4, 'Imprimir el Formato');
INSERT INTO `lang_definitions` VALUES (12789, 5040, 4, 'Imprimir cuatro paneles');
INSERT INTO `lang_definitions` VALUES (12790, 5042, 4, 'Mensaje Imprimir');
INSERT INTO `lang_definitions` VALUES (12791, 5043, 4, 'Imprimir Múltiples');
INSERT INTO `lang_definitions` VALUES (12792, 5044, 4, 'Para imprimir múltiples Fax');
INSERT INTO `lang_definitions` VALUES (12793, 5045, 4, 'Imprima nombre, fecha y firma');
INSERT INTO `lang_definitions` VALUES (12794, 5046, 4, 'Imprimir notas');
INSERT INTO `lang_definitions` VALUES (12795, 5047, 4, 'Imprimir Página 1');
INSERT INTO `lang_definitions` VALUES (12796, 5048, 4, 'Imprimir Página 2');
INSERT INTO `lang_definitions` VALUES (12797, 5051, 4, 'Impresión Receta por Facultativo');
INSERT INTO `lang_definitions` VALUES (12798, 5052, 4, 'Grabar Imprimir');
INSERT INTO `lang_definitions` VALUES (12799, 5053, 4, 'Imprimir estados seleccionados');
INSERT INTO `lang_definitions` VALUES (12800, 5054, 4, 'Registro de tiro impresión');
INSERT INTO `lang_definitions` VALUES (12801, 5056, 4, 'Imprimir este encuentro');
INSERT INTO `lang_definitions` VALUES (12802, 5057, 4, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (12803, 5058, 4, 'Imprimir Esta Nota');
INSERT INTO `lang_definitions` VALUES (12804, 5060, 4, 'Imprimir Fax');
INSERT INTO `lang_definitions` VALUES (12805, 5061, 4, 'Ver Imprenta');
INSERT INTO `lang_definitions` VALUES (12806, 5062, 4, 'Imprimible');
INSERT INTO `lang_definitions` VALUES (12807, 5063, 4, 'Versión Imprimible');
INSERT INTO `lang_definitions` VALUES (12808, 5064, 4, 'Impreso');
INSERT INTO `lang_definitions` VALUES (12809, 5066, 4, 'Resultados de la impresión:');
INSERT INTO `lang_definitions` VALUES (12810, 5067, 4, 'Impresión omitida; ver la salida de prueba en');
INSERT INTO `lang_definitions` VALUES (12811, 5068, 4, 'Impresión saltado; ver la prueba de salida en ');
INSERT INTO `lang_definitions` VALUES (12812, 5069, 4, 'Antes de autentificación');
INSERT INTO `lang_definitions` VALUES (12813, 5070, 4, 'Formulario de Autorización Previa');
INSERT INTO `lang_definitions` VALUES (12814, 5071, 4, 'Visita anterior');
INSERT INTO `lang_definitions` VALUES (12815, 5072, 4, 'Prioridad');
INSERT INTO `lang_definitions` VALUES (12816, 5073, 4, 'Prioridad ');
INSERT INTO `lang_definitions` VALUES (12817, 5074, 4, 'Privado');
INSERT INTO `lang_definitions` VALUES (12818, 5075, 4, 'Problema');
INSERT INTO `lang_definitions` VALUES (12819, 5076, 4, 'Problema Diagnóstico (DX)');
INSERT INTO `lang_definitions` VALUES (12820, 5077, 4, 'Lista de Problema');
INSERT INTO `lang_definitions` VALUES (12821, 5079, 4, 'Problemas y Cuestiones');
INSERT INTO `lang_definitions` VALUES (12822, 5080, 4, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (12823, 5081, 4, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (12824, 5083, 4, 'Proc.Pendientes Revisión');
INSERT INTO `lang_definitions` VALUES (12825, 5085, 4, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (12826, 5086, 4, 'Procedimiento');
INSERT INTO `lang_definitions` VALUES (12827, 5087, 4, 'Procedmiento por area corporal');
INSERT INTO `lang_definitions` VALUES (12828, 5088, 4, 'Procedimientos con resultados Boolean');
INSERT INTO `lang_definitions` VALUES (12829, 5089, 4, 'Codigo de Procedimiento');
INSERT INTO `lang_definitions` VALUES (12830, 5090, 4, 'Códigos de procedimiento');
INSERT INTO `lang_definitions` VALUES (12831, 5091, 4, 'Lateralidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (12832, 5093, 4, 'Orden de Procedimiento');
INSERT INTO `lang_definitions` VALUES (12833, 5095, 4, 'Procedimiento ordenado para');
INSERT INTO `lang_definitions` VALUES (12834, 5102, 4, 'Informe Procedimiento');
INSERT INTO `lang_definitions` VALUES (12835, 5103, 4, 'Situaciones del reporte de procedimientos');
INSERT INTO `lang_definitions` VALUES (12836, 5104, 4, 'Resultado anormal del procedimiento');
INSERT INTO `lang_definitions` VALUES (12837, 5105, 4, 'Situacion del resultado del procedimiento');
INSERT INTO `lang_definitions` VALUES (12838, 5106, 4, 'Resultados del procedimientos');
INSERT INTO `lang_definitions` VALUES (12839, 5107, 4, 'Rutas del procedimiento');
INSERT INTO `lang_definitions` VALUES (12840, 5108, 4, 'Tipos de especimenes del procedimiento');
INSERT INTO `lang_definitions` VALUES (12841, 5109, 4, 'Reportes estadisticos del procedimiento');
INSERT INTO `lang_definitions` VALUES (12842, 5110, 4, 'Tipo de procedimiento');
INSERT INTO `lang_definitions` VALUES (12843, 5111, 4, 'Tipos de procedimientos');
INSERT INTO `lang_definitions` VALUES (12844, 5112, 4, 'Unidades del procedimiento');
INSERT INTO `lang_definitions` VALUES (12845, 5113, 4, 'Procedimiento/Servicio');
INSERT INTO `lang_definitions` VALUES (12846, 5114, 4, 'Procedimientos');
INSERT INTO `lang_definitions` VALUES (12847, 5115, 4, 'Proceso');
INSERT INTO `lang_definitions` VALUES (12848, 5117, 4, 'Procesar ERA file');
INSERT INTO `lang_definitions` VALUES (12849, 5120, 4, 'El proceso puede tardar algún tiempo');
INSERT INTO `lang_definitions` VALUES (12850, 5121, 4, 'Procesado');
INSERT INTO `lang_definitions` VALUES (12851, 5122, 4, 'Procesado por');
INSERT INTO `lang_definitions` VALUES (12852, 5123, 4, 'Fecha procesado');
INSERT INTO `lang_definitions` VALUES (12853, 5125, 4, 'Procesamiento');
INSERT INTO `lang_definitions` VALUES (12854, 5129, 4, 'Producto');
INSERT INTO `lang_definitions` VALUES (12855, 5130, 4, 'Método Producto Anticonceptivo');
INSERT INTO `lang_definitions` VALUES (12856, 5132, 4, 'Productos');
INSERT INTO `lang_definitions` VALUES (12857, 5133, 4, 'Productos pero no medicamentos con receta y sin plantillas');
INSERT INTO `lang_definitions` VALUES (12858, 5134, 4, 'Prof.');
INSERT INTO `lang_definitions` VALUES (12859, 5135, 4, 'Notas de progreso');
INSERT INTO `lang_definitions` VALUES (12860, 5136, 4, 'Cáncer de Próstata');
INSERT INTO `lang_definitions` VALUES (12861, 5137, 4, 'Detección de cancer de próstata');
INSERT INTO `lang_definitions` VALUES (12862, 5138, 4, 'Examen de Próstata');
INSERT INTO `lang_definitions` VALUES (12863, 5139, 4, 'Problemas de Próstata');
INSERT INTO `lang_definitions` VALUES (12864, 5140, 4, 'Próstata sin agrandamiento, nódulos o sensibilidad');
INSERT INTO `lang_definitions` VALUES (12865, 5142, 4, 'Provee ruta absoluta');
INSERT INTO `lang_definitions` VALUES (12866, 5143, 4, 'Provee ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (12867, 5145, 4, 'Proporcione resúmenes clínicos a los pacientes en cada visita.');
INSERT INTO `lang_definitions` VALUES (12868, 5146, 4, 'Proporcionar a los pacientes una copia electrónica de su información de salud (incluyendo resultados de pruebas de diagnóstico, lista de problemas, lista de medicamentos, medicación para alergias), bajo petición.');
INSERT INTO `lang_definitions` VALUES (12869, 5147, 4, 'Ofrecer a los pacientes el acceso oportuno a su información electrónica de salud (incluyendo resultados de laboratorio, lista de problemas, listas de medicamentos, alergias a medicamentos) dentro de cuatro días hábiles de que la información esté disponible para el EP (profesional elegible).');
INSERT INTO `lang_definitions` VALUES (12870, 5148, 4, 'Proporcionar Registros al Paciente por Visita');
INSERT INTO `lang_definitions` VALUES (12871, 5149, 4, 'Proporcionar email válido');
INSERT INTO `lang_definitions` VALUES (12872, 5150, 4, '¿Resumen médico proporcionado?');
INSERT INTO `lang_definitions` VALUES (12873, 5151, 4, '¿Recursos educativos proporcionados?');
INSERT INTO `lang_definitions` VALUES (12874, 5152, 4, 'Proveedor');
INSERT INTO `lang_definitions` VALUES (12875, 5154, 4, 'Facultativo ID');
INSERT INTO `lang_definitions` VALUES (12876, 5155, 4, 'Facultativo ID en el centro especificado');
INSERT INTO `lang_definitions` VALUES (12877, 5156, 4, 'Errores de correspondencia de Proveedor');
INSERT INTO `lang_definitions` VALUES (12878, 5159, 4, 'Número de Proveedor');
INSERT INTO `lang_definitions` VALUES (12879, 5162, 4, 'Facultativo:');
INSERT INTO `lang_definitions` VALUES (12880, 5163, 4, 'Facultativos');
INSERT INTO `lang_definitions` VALUES (12881, 5164, 4, 'NPI Facultativos');
INSERT INTO `lang_definitions` VALUES (12882, 5165, 4, 'Proveedores Ver calendario completo');
INSERT INTO `lang_definitions` VALUES (12883, 5166, 4, 'Imp');
INSERT INTO `lang_definitions` VALUES (12884, 5167, 4, 'PSA');
INSERT INTO `lang_definitions` VALUES (12885, 5168, 4, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (12886, 5169, 4, 'Psiq. Diagnóstico');
INSERT INTO `lang_definitions` VALUES (12887, 5170, 4, 'Psiq. Medicamentos');
INSERT INTO `lang_definitions` VALUES (12888, 5171, 4, 'Psiquiátricos');
INSERT INTO `lang_definitions` VALUES (12889, 5172, 4, 'Breve carta Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (12890, 5173, 4, 'Diagnosis psiquiátrica');
INSERT INTO `lang_definitions` VALUES (12891, 5174, 4, 'Examinación psiquiátrica');
INSERT INTO `lang_definitions` VALUES (12892, 5175, 4, 'Historia Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (12893, 5176, 4, 'Producto Psiquiátrico');
INSERT INTO `lang_definitions` VALUES (12894, 5177, 4, 'Medicación Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (12895, 5178, 4, 'Pt %');
INSERT INTO `lang_definitions` VALUES (12896, 5179, 4, 'Pt Notas');
INSERT INTO `lang_definitions` VALUES (12897, 5180, 4, 'Pt Notas/Autorización');
INSERT INTO `lang_definitions` VALUES (12898, 5181, 4, 'Pt en exceso');
INSERT INTO `lang_definitions` VALUES (12899, 5182, 4, 'Pt Pagado');
INSERT INTO `lang_definitions` VALUES (12900, 5183, 4, 'Solicitud Registro Pacienten');
INSERT INTO `lang_definitions` VALUES (12901, 5184, 4, 'Pt Reembolso');
INSERT INTO `lang_definitions` VALUES (12902, 5185, 4, 'Pt liberados');
INSERT INTO `lang_definitions` VALUES (12903, 5186, 4, 'Pt Informe');
INSERT INTO `lang_definitions` VALUES (12904, 5187, 4, 'PT Estudiante, o dejar en blanco');
INSERT INTO `lang_definitions` VALUES (12905, 5188, 4, 'PT_CIUDAD');
INSERT INTO `lang_definitions` VALUES (12906, 5189, 4, 'PT_FDN');
INSERT INTO `lang_definitions` VALUES (12907, 5191, 4, 'PT_NOMBRE');
INSERT INTO `lang_definitions` VALUES (12908, 5192, 4, 'PT_APELLIDO');
INSERT INTO `lang_definitions` VALUES (12909, 5193, 4, 'PT_NOMBRE');
INSERT INTO `lang_definitions` VALUES (12910, 5196, 4, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (12911, 5198, 4, 'PT_ESTADO');
INSERT INTO `lang_definitions` VALUES (12912, 5199, 4, 'PT_CALLE');
INSERT INTO `lang_definitions` VALUES (12913, 5201, 4, 'Público');
INSERT INTO `lang_definitions` VALUES (12914, 5203, 4, 'Seguridad Social (SS) u otro organismo oficial');
INSERT INTO `lang_definitions` VALUES (12915, 5204, 4, 'Puertorriqueño');
INSERT INTO `lang_definitions` VALUES (12916, 5205, 4, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (12917, 5206, 4, 'Pulso');
INSERT INTO `lang_definitions` VALUES (12918, 5207, 4, 'Penyabí');
INSERT INTO `lang_definitions` VALUES (12919, 5208, 4, 'Comprar');
INSERT INTO `lang_definitions` VALUES (12920, 5209, 4, 'Compra/Devolución');
INSERT INTO `lang_definitions` VALUES (12921, 5210, 4, 'Adquisiciones');
INSERT INTO `lang_definitions` VALUES (12922, 5213, 4, 'q.3h');
INSERT INTO `lang_definitions` VALUES (12923, 5214, 4, 'q.4h');
INSERT INTO `lang_definitions` VALUES (12924, 5215, 4, 'q.5h');
INSERT INTO `lang_definitions` VALUES (12925, 5216, 4, 'q.6h');
INSERT INTO `lang_definitions` VALUES (12926, 5217, 4, 'q.8h');
INSERT INTO `lang_definitions` VALUES (12927, 5218, 4, 'q.d.');
INSERT INTO `lang_definitions` VALUES (12928, 5219, 4, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (12929, 5220, 4, 'Cant.disp.');
INSERT INTO `lang_definitions` VALUES (12930, 5221, 4, 'QOH es menor que el consumo mensual');
INSERT INTO `lang_definitions` VALUES (12931, 5222, 4, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (12932, 5223, 4, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (12933, 5224, 4, 'Calidad');
INSERT INTO `lang_definitions` VALUES (12934, 5225, 4, 'Medidas de calidad (GCC)');
INSERT INTO `lang_definitions` VALUES (12935, 5226, 4, 'Cantidad');
INSERT INTO `lang_definitions` VALUES (12936, 5227, 4, 'Cantidad para NDC');
INSERT INTO `lang_definitions` VALUES (12937, 5228, 4, 'Cantidad En Mano');
INSERT INTO `lang_definitions` VALUES (12938, 5229, 4, 'cantidad parece inservible');
INSERT INTO `lang_definitions` VALUES (12939, 5231, 4, 'interrogante');
INSERT INTO `lang_definitions` VALUES (12940, 5232, 4, 'HCFA cola de procesamiento por lotes');
INSERT INTO `lang_definitions` VALUES (12941, 5233, 4, 'HCFA cola de procesamiento por lotes y la impresión');
INSERT INTO `lang_definitions` VALUES (12942, 5234, 4, 'Cola de la UB-92 del procesamiento por lotes');
INSERT INTO `lang_definitions` VALUES (12943, 5235, 4, 'Cola de la UB-92 del procesamiento por lotes y la impresión');
INSERT INTO `lang_definitions` VALUES (12944, 5236, 4, 'Cola');
INSERT INTO `lang_definitions` VALUES (12945, 5237, 4, 'Administración de Eventos en cola');
INSERT INTO `lang_definitions` VALUES (12946, 5238, 4, 'Cola para');
INSERT INTO `lang_definitions` VALUES (12947, 5240, 4, 'Cola de Peticiones Administración');
INSERT INTO `lang_definitions` VALUES (12948, 5241, 4, 'Dejar');
INSERT INTO `lang_definitions` VALUES (12949, 5242, 4, 'Dejar el alcohol');
INSERT INTO `lang_definitions` VALUES (12950, 5243, 4, 'R');
INSERT INTO `lang_definitions` VALUES (12951, 5245, 4, 'Raza');
INSERT INTO `lang_definitions` VALUES (12952, 5246, 4, 'Raza y Etnia');
INSERT INTO `lang_definitions` VALUES (12953, 5247, 4, 'Raza/etnia');
INSERT INTO `lang_definitions` VALUES (12954, 5248, 4, 'Radio');
INSERT INTO `lang_definitions` VALUES (12955, 5249, 4, 'Botones de radio');
INSERT INTO `lang_definitions` VALUES (12956, 5251, 4, 'Rango');
INSERT INTO `lang_definitions` VALUES (12957, 5252, 4, 'Erupciones');
INSERT INTO `lang_definitions` VALUES (12958, 5253, 4, 'Tasa');
INSERT INTO `lang_definitions` VALUES (12959, 5254, 4, 'Proporcion');
INSERT INTO `lang_definitions` VALUES (12960, 5255, 4, 'Informe sin procesar');
INSERT INTO `lang_definitions` VALUES (12961, 5256, 4, 'Re-Identificación');
INSERT INTO `lang_definitions` VALUES (12962, 5257, 4, 'Proceso Re-Identificación completado');
INSERT INTO `lang_definitions` VALUES (12963, 5258, 4, 'Proceso Re identificación en curso');
INSERT INTO `lang_definitions` VALUES (12964, 5259, 4, 'Ficheros de Re-identificación serán salvados en');
INSERT INTO `lang_definitions` VALUES (12965, 5260, 4, '¿Misma lesión?');
INSERT INTO `lang_definitions` VALUES (12966, 5261, 4, 'Abra de nuevo');
INSERT INTO `lang_definitions` VALUES (12967, 5262, 4, 'Volvió a abrir');
INSERT INTO `lang_definitions` VALUES (12968, 5263, 4, 'Reacción');
INSERT INTO `lang_definitions` VALUES (12969, 5264, 4, 'reacciones');
INSERT INTO `lang_definitions` VALUES (12970, 5265, 4, 'Leído');
INSERT INTO `lang_definitions` VALUES (12971, 5268, 4, 'Nombre Real');
INSERT INTO `lang_definitions` VALUES (12972, 5269, 4, 'Realmente borrar');
INSERT INTO `lang_definitions` VALUES (12973, 5270, 4, 'Razón');
INSERT INTO `lang_definitions` VALUES (12974, 5271, 4, 'Motivo del fallecimiento');
INSERT INTO `lang_definitions` VALUES (12975, 5272, 4, 'Causa de fallecimiento');
INSERT INTO `lang_definitions` VALUES (12976, 5274, 4, 'Motivo de la remisión');
INSERT INTO `lang_definitions` VALUES (12977, 5275, 4, 'Motivo de la Visita');
INSERT INTO `lang_definitions` VALUES (12978, 5276, 4, 'Motivo / Forma');
INSERT INTO `lang_definitions` VALUES (12979, 5277, 4, 'Recibo');
INSERT INTO `lang_definitions` VALUES (12980, 5278, 4, 'Recibo de Pago');
INSERT INTO `lang_definitions` VALUES (12981, 5279, 4, 'Recibo generado');
INSERT INTO `lang_definitions` VALUES (12982, 5280, 4, 'Informe de Recibos por método de pago');
INSERT INTO `lang_definitions` VALUES (12983, 5281, 4, 'Resumen de Recibos');
INSERT INTO `lang_definitions` VALUES (12984, 5282, 4, 'Recibido');
INSERT INTO `lang_definitions` VALUES (12985, 5283, 4, 'Recibido Por');
INSERT INTO `lang_definitions` VALUES (12986, 5284, 4, 'Faxes recibidos');
INSERT INTO `lang_definitions` VALUES (12987, 5287, 4, 'Receptor');
INSERT INTO `lang_definitions` VALUES (12988, 5288, 4, 'Identificación del receptor');
INSERT INTO `lang_definitions` VALUES (12989, 5289, 4, 'Recibidor ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (12990, 5290, 4, 'Calificador del recibidor ID (ISA07)');
INSERT INTO `lang_definitions` VALUES (12991, 5292, 4, 'No se permiten las tres palabras claves recientes');
INSERT INTO `lang_definitions` VALUES (12992, 5293, 4, 'Beneficiario');
INSERT INTO `lang_definitions` VALUES (12993, 5294, 4, 'Lista de Beneficiarios vacía');
INSERT INTO `lang_definitions` VALUES (12994, 5295, 4, 'Nombre destinatario');
INSERT INTO `lang_definitions` VALUES (12995, 5296, 4, 'Destinatario de la info');
INSERT INTO `lang_definitions` VALUES (12996, 5298, 4, 'Recomendación');
INSERT INTO `lang_definitions` VALUES (12997, 5300, 4, 'Recomendaciones');
INSERT INTO `lang_definitions` VALUES (12998, 5301, 4, 'Recomendaciones y el tratamiento');
INSERT INTO `lang_definitions` VALUES (12999, 5302, 4, 'Recomendaciones del especialista');
INSERT INTO `lang_definitions` VALUES (13000, 5303, 4, 'Registro');
INSERT INTO `lang_definitions` VALUES (13001, 5304, 4, 'Registro ya existe');
INSERT INTO `lang_definitions` VALUES (13002, 5310, 4, 'Registro y gráfico de los cambios en las constantes vitales.');
INSERT INTO `lang_definitions` VALUES (13003, 5311, 4, 'Registro demográficos.');
INSERT INTO `lang_definitions` VALUES (13004, 5312, 4, 'Grabar revelación info');
INSERT INTO `lang_definitions` VALUES (13005, 5313, 4, 'Registro de estado físico');
INSERT INTO `lang_definitions` VALUES (13006, 5314, 4, 'Pago de Registro');
INSERT INTO `lang_definitions` VALUES (13007, 5315, 4, 'Fecha registro de solicitud');
INSERT INTO `lang_definitions` VALUES (13008, 5316, 4, 'Registro estado pacientes fumadores de 13 años o más');
INSERT INTO `lang_definitions` VALUES (13009, 5317, 4, 'Registros');
INSERT INTO `lang_definitions` VALUES (13010, 5318, 4, 'registros encontrados');
INSERT INTO `lang_definitions` VALUES (13011, 5319, 4, 'registros encontrados.');
INSERT INTO `lang_definitions` VALUES (13012, 5320, 4, 'Uso de drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (13013, 5321, 4, 'Drogas no farmacológicas');
INSERT INTO `lang_definitions` VALUES (13014, 5322, 4, 'Rectal');
INSERT INTO `lang_definitions` VALUES (13015, 5323, 4, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (13016, 5324, 4, 'Rectal');
INSERT INTO `lang_definitions` VALUES (13017, 5325, 4, 'Redirección');
INSERT INTO `lang_definitions` VALUES (13018, 5326, 4, 'Enrojecimiento');
INSERT INTO `lang_definitions` VALUES (13019, 5327, 4, 'Reducido:');
INSERT INTO `lang_definitions` VALUES (13020, 5328, 4, 'Referir');
INSERT INTO `lang_definitions` VALUES (13021, 5329, 4, 'Referido Por');
INSERT INTO `lang_definitions` VALUES (13022, 5330, 4, 'Referido en Fecha:');
INSERT INTO `lang_definitions` VALUES (13023, 5331, 4, 'Referido para:');
INSERT INTO `lang_definitions` VALUES (13024, 5332, 4, 'Clasificación de derivación (nivel de riesgo)');
INSERT INTO `lang_definitions` VALUES (13025, 5333, 4, 'Rango de resultados de derivación');
INSERT INTO `lang_definitions` VALUES (13026, 5334, 4, 'Motivo de derivación');
INSERT INTO `lang_definitions` VALUES (13027, 5336, 4, 'Nombre y firma del derivador');
INSERT INTO `lang_definitions` VALUES (13028, 5337, 4, 'Derivación');
INSERT INTO `lang_definitions` VALUES (13029, 5338, 4, 'Derivado Por');
INSERT INTO `lang_definitions` VALUES (13030, 5339, 4, 'Tarjeta de Derivación');
INSERT INTO `lang_definitions` VALUES (13031, 5340, 4, 'Fecha de Derivación');
INSERT INTO `lang_definitions` VALUES (13032, 5341, 4, 'Formulario de derivación');
INSERT INTO `lang_definitions` VALUES (13033, 5342, 4, 'FORMULARIO DE DERIVACIÓN');
INSERT INTO `lang_definitions` VALUES (13034, 5343, 4, 'Nº ID derivación');
INSERT INTO `lang_definitions` VALUES (13035, 5345, 4, 'Origen derivación');
INSERT INTO `lang_definitions` VALUES (13036, 5346, 4, 'Origen derivación para encuentros');
INSERT INTO `lang_definitions` VALUES (13037, 5347, 4, 'Derivado a');
INSERT INTO `lang_definitions` VALUES (13038, 5348, 4, 'Derivados');
INSERT INTO `lang_definitions` VALUES (13039, 5349, 4, 'Informes de Derivados');
INSERT INTO `lang_definitions` VALUES (13040, 5350, 4, 'Derivado por');
INSERT INTO `lang_definitions` VALUES (13041, 5351, 4, 'Derivado Por');
INSERT INTO `lang_definitions` VALUES (13042, 5352, 4, 'Derivado a');
INSERT INTO `lang_definitions` VALUES (13043, 5353, 4, 'Derivador');
INSERT INTO `lang_definitions` VALUES (13044, 5355, 4, 'Diagnóstico de Derivación');
INSERT INTO `lang_definitions` VALUES (13045, 5356, 4, 'Diagnóstico de Derivación');
INSERT INTO `lang_definitions` VALUES (13046, 5357, 4, 'Médico y Centro que deriva');
INSERT INTO `lang_definitions` VALUES (13047, 5358, 4, 'Proveedor que deriva');
INSERT INTO `lang_definitions` VALUES (13048, 5359, 4, 'Recargar');
INSERT INTO `lang_definitions` VALUES (13049, 5360, 4, 'Recargas');
INSERT INTO `lang_definitions` VALUES (13050, 5361, 4, 'recargas');
INSERT INTO `lang_definitions` VALUES (13051, 5362, 4, 'Reflejos normales');
INSERT INTO `lang_definitions` VALUES (13052, 5363, 4, 'Refrescar');
INSERT INTO `lang_definitions` VALUES (13053, 5365, 4, 'Refrescando recordatorios');
INSERT INTO `lang_definitions` VALUES (13054, 5368, 4, 'Se negó a declarar');
INSERT INTO `lang_definitions` VALUES (13055, 5369, 4, 'reg_re');
INSERT INTO `lang_definitions` VALUES (13056, 5370, 4, 'Registrar');
INSERT INTO `lang_definitions` VALUES (13057, 5372, 4, 'Registrado');
INSERT INTO `lang_definitions` VALUES (13058, 5373, 4, 'registrado');
INSERT INTO `lang_definitions` VALUES (13059, 5375, 4, 'Fecha de Registro');
INSERT INTO `lang_definitions` VALUES (13060, 5376, 4, 'Formulario de Inscripción');
INSERT INTO `lang_definitions` VALUES (13061, 5377, 4, 'Rehabilitación');
INSERT INTO `lang_definitions` VALUES (13062, 5381, 4, 'Relaciónese Con');
INSERT INTO `lang_definitions` VALUES (13063, 5382, 4, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (13064, 5383, 4, 'Incidencia relacionada');
INSERT INTO `lang_definitions` VALUES (13065, 5385, 4, 'Relacion(es)/niños');
INSERT INTO `lang_definitions` VALUES (13066, 5386, 4, 'Relaciones');
INSERT INTO `lang_definitions` VALUES (13067, 5387, 4, 'Relación');
INSERT INTO `lang_definitions` VALUES (13068, 5388, 4, 'Orden relativo de esta entidad');
INSERT INTO `lang_definitions` VALUES (13069, 5389, 4, 'Familiares');
INSERT INTO `lang_definitions` VALUES (13070, 5399, 4, 'Las credenciales de la salud del relais faltan de esta cuenta de usuario.');
INSERT INTO `lang_definitions` VALUES (13071, 5400, 4, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (13072, 5402, 4, 'Fecha versión');
INSERT INTO `lang_definitions` VALUES (13073, 5403, 4, 'Religión');
INSERT INTO `lang_definitions` VALUES (13074, 5406, 4, 'Reinicie sesión');
INSERT INTO `lang_definitions` VALUES (13075, 5407, 4, 'Recordatorio');
INSERT INTO `lang_definitions` VALUES (13076, 5408, 4, 'Recordar Centro Seleccionado');
INSERT INTO `lang_definitions` VALUES (13077, 5409, 4, 'Recordatorio');
INSERT INTO `lang_definitions` VALUES (13078, 5410, 4, 'Intervalos recordatorio');
INSERT INTO `lang_definitions` VALUES (13079, 5411, 4, 'Recordatorio No Enviado Todavía');
INSERT INTO `lang_definitions` VALUES (13080, 5412, 4, 'Recordatorio Enviado El');
INSERT INTO `lang_definitions` VALUES (13081, 5413, 4, 'Recordatorios');
INSERT INTO `lang_definitions` VALUES (13082, 5414, 4, 'REMITIR A');
INSERT INTO `lang_definitions` VALUES (13083, 5416, 4, 'Quitar');
INSERT INTO `lang_definitions` VALUES (13084, 5419, 4, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (13085, 5420, 4, 'Eliminar el formulario del grupo');
INSERT INTO `lang_definitions` VALUES (13086, 5421, 4, 'Eliminar soporte para las vacunas');
INSERT INTO `lang_definitions` VALUES (13087, 5422, 4, 'Eliminar soporte para phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (13088, 5423, 4, 'Eliminar soporte para prescripciones');
INSERT INTO `lang_definitions` VALUES (13089, 5425, 4, 'Elimina la función del gráfico de seguimiento');
INSERT INTO `lang_definitions` VALUES (13090, 5426, 4, 'Litiasis Renal');
INSERT INTO `lang_definitions` VALUES (13091, 5427, 4, 'Renombrar');
INSERT INTO `lang_definitions` VALUES (13092, 5428, 4, 'Renombrar Grupo');
INSERT INTO `lang_definitions` VALUES (13093, 5429, 4, 'Representación');
INSERT INTO `lang_definitions` VALUES (13094, 5430, 4, 'Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (13095, 5431, 4, 'Número Representación del Facultativo');
INSERT INTO `lang_definitions` VALUES (13096, 5432, 4, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (13097, 5433, 4, 'Al reordenar');
INSERT INTO `lang_definitions` VALUES (13098, 5434, 4, 'Alcanzado el punto de pedido');
INSERT INTO `lang_definitions` VALUES (13099, 5435, 4, 'Punto de pedido, 0 no es válido');
INSERT INTO `lang_definitions` VALUES (13100, 5438, 4, 'Repetición eventos');
INSERT INTO `lang_definitions` VALUES (13101, 5439, 4, 'Repetir Información:');
INSERT INTO `lang_definitions` VALUES (13102, 5440, 4, 'Repite');
INSERT INTO `lang_definitions` VALUES (13103, 5444, 4, 'Fecha de Respuesta');
INSERT INTO `lang_definitions` VALUES (13104, 5445, 4, 'De respuesta');
INSERT INTO `lang_definitions` VALUES (13105, 5446, 4, 'Informe');
INSERT INTO `lang_definitions` VALUES (13106, 5447, 4, 'Informe Clínico');
INSERT INTO `lang_definitions` VALUES (13107, 5449, 4, 'Informe por');
INSERT INTO `lang_definitions` VALUES (13108, 5457, 4, 'Reporte de estado');
INSERT INTO `lang_definitions` VALUES (13109, 5458, 4, 'Informe Totales');
INSERT INTO `lang_definitions` VALUES (13110, 5459, 4, 'Informe/Formulario');
INSERT INTO `lang_definitions` VALUES (13111, 5460, 4, 'Informable');
INSERT INTO `lang_definitions` VALUES (13112, 5461, 4, 'Reportado');
INSERT INTO `lang_definitions` VALUES (13113, 5462, 4, 'Fecha Informada');
INSERT INTO `lang_definitions` VALUES (13114, 5463, 4, 'Informes');
INSERT INTO `lang_definitions` VALUES (13115, 5467, 4, '¡Solicitud ignorada - proceso de reclamos ya se está ejecutando!');
INSERT INTO `lang_definitions` VALUES (13116, 5473, 4, 'Fecha pedida');
INSERT INTO `lang_definitions` VALUES (13117, 5474, 4, 'Servicio Solicitado');
INSERT INTO `lang_definitions` VALUES (13118, 5475, 4, 'Se requiere Contraseña más compleja');
INSERT INTO `lang_definitions` VALUES (13119, 5476, 4, 'Se requiere Contraseña única');
INSERT INTO `lang_definitions` VALUES (13120, 5477, 4, 'Requerido');
INSERT INTO `lang_definitions` VALUES (13121, 5478, 4, 'Copago requerido');
INSERT INTO `lang_definitions` VALUES (13122, 5479, 4, 'Falta campo requerido:Por favor elija el fichero EDI-271 para adjuntar');
INSERT INTO `lang_definitions` VALUES (13123, 5480, 4, 'Falta campo requerido: Por favor introduzca el nombre');
INSERT INTO `lang_definitions` VALUES (13124, 5481, 4, 'Falta campo requerido: Por favor introduzca el apellido');
INSERT INTO `lang_definitions` VALUES (13125, 5482, 4, 'Falta campo requerido: Por favor introduzca el nombre de usuario');
INSERT INTO `lang_definitions` VALUES (13126, 5483, 4, 'Campos requeridos');
INSERT INTO `lang_definitions` VALUES (13127, 5484, 4, 'Requerimientos');
INSERT INTO `lang_definitions` VALUES (13128, 5485, 4, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (13129, 5486, 4, 'Reservado');
INSERT INTO `lang_definitions` VALUES (13130, 5487, 4, 'Reservados para su uso para definir el Tiempo Programado de Vacaciones');
INSERT INTO `lang_definitions` VALUES (13131, 5488, 4, 'Reservados para definir cuando un proveedor no podrá tener citas disponibles después.');
INSERT INTO `lang_definitions` VALUES (13132, 5489, 4, 'Reservado para definir cuando un evento no ocurrió tal como se especificaba.');
INSERT INTO `lang_definitions` VALUES (13133, 5490, 4, 'Reservados para definir cuando un proveedor puede tener citas disponibles después.');
INSERT INTO `lang_definitions` VALUES (13134, 5491, 4, 'Reinicio');
INSERT INTO `lang_definitions` VALUES (13135, 5492, 4, 'Resetear credenciales del Portal externo');
INSERT INTO `lang_definitions` VALUES (13136, 5493, 4, 'Resetear credenciales del Portal interno');
INSERT INTO `lang_definitions` VALUES (13137, 5496, 4, 'Resuelto');
INSERT INTO `lang_definitions` VALUES (13138, 5497, 4, 'Respiración');
INSERT INTO `lang_definitions` VALUES (13139, 5498, 4, 'Esfuerzo al Respirar');
INSERT INTO `lang_definitions` VALUES (13140, 5499, 4, 'Respiratorias');
INSERT INTO `lang_definitions` VALUES (13141, 5501, 4, 'Restringir a usuarios no autorizados el calendario de la clínica establecido en usuario admin.');
INSERT INTO `lang_definitions` VALUES (13142, 5502, 4, 'Restringir usuarios a Centros');
INSERT INTO `lang_definitions` VALUES (13143, 5503, 4, 'Entrenamiento Restringido');
INSERT INTO `lang_definitions` VALUES (13144, 5504, 4, 'Resultado');
INSERT INTO `lang_definitions` VALUES (13145, 5506, 4, 'Estado del resultado');
INSERT INTO `lang_definitions` VALUES (13146, 5507, 4, 'Falta estado o anormalidad del resultado');
INSERT INTO `lang_definitions` VALUES (13147, 5508, 4, 'Resultado, use % como comodín');
INSERT INTO `lang_definitions` VALUES (13148, 5510, 4, 'Resultados y');
INSERT INTO `lang_definitions` VALUES (13149, 5511, 4, 'Resultados Encontrados para la Búsqueda');
INSERT INTO `lang_definitions` VALUES (13150, 5512, 4, 'Grupo Resultados');
INSERT INTO `lang_definitions` VALUES (13151, 5515, 4, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (13152, 5516, 4, 'Resultados / Detalles');
INSERT INTO `lang_definitions` VALUES (13153, 5517, 4, 'Examen de Retina');
INSERT INTO `lang_definitions` VALUES (13154, 5518, 4, 'Derecho retractado:');
INSERT INTO `lang_definitions` VALUES (13155, 5519, 4, 'Volver');
INSERT INTO `lang_definitions` VALUES (13156, 5520, 4, 'Retorne la parte superior con su pago');
INSERT INTO `lang_definitions` VALUES (13157, 5521, 4, 'Retornar al calendario');
INSERT INTO `lang_definitions` VALUES (13158, 5523, 4, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 10 haciendo click en la sección de la cabecera ICD 10');
INSERT INTO `lang_definitions` VALUES (13159, 5524, 4, 'Vuelva a esta página y podrá completar el proceso de instalación ICD 9 haciendo click en la sección de la cabecera ICD 9');
INSERT INTO `lang_definitions` VALUES (13160, 5525, 4, 'Vuelva a esta página y podrá completar el proceso de instalación RxNorm haciendo click en la sección de la cabecera RXNORM');
INSERT INTO `lang_definitions` VALUES (13161, 5526, 4, 'Vuelva a esta página y podrá completar el proceso de instalación Snomed haciendo click en la sección de la cabecera SNOMED');
INSERT INTO `lang_definitions` VALUES (13162, 5527, 4, 'Valor Devuelto');
INSERT INTO `lang_definitions` VALUES (13163, 5528, 4, 'Visita de Vuelta');
INSERT INTO `lang_definitions` VALUES (13164, 5529, 4, 'Volvió a jugar');
INSERT INTO `lang_definitions` VALUES (13165, 5534, 4, 'Revisión Hist.Med.Pasada:');
INSERT INTO `lang_definitions` VALUES (13166, 5535, 4, 'Revisión de los sistemas');
INSERT INTO `lang_definitions` VALUES (13167, 5536, 4, 'Revisión de chequeos de sistemas');
INSERT INTO `lang_definitions` VALUES (13168, 5537, 4, 'Revisado');
INSERT INTO `lang_definitions` VALUES (13169, 5538, 4, 'Revisión');
INSERT INTO `lang_definitions` VALUES (13170, 5539, 4, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (13171, 5540, 4, 'Artritis reumatoide');
INSERT INTO `lang_definitions` VALUES (13172, 5541, 4, 'Derecho');
INSERT INTO `lang_definitions` VALUES (13173, 5542, 4, 'Oido Derecho');
INSERT INTO `lang_definitions` VALUES (13174, 5543, 4, 'oido derecho');
INSERT INTO `lang_definitions` VALUES (13175, 5545, 4, 'Derecho:');
INSERT INTO `lang_definitions` VALUES (13176, 5546, 4, 'Zumbido en Oídos');
INSERT INTO `lang_definitions` VALUES (13177, 5547, 4, 'Sonido en Oídos');
INSERT INTO `lang_definitions` VALUES (13178, 5549, 4, 'Factores de Riesgo');
INSERT INTO `lang_definitions` VALUES (13179, 5550, 4, 'Nivel de Riesgo');
INSERT INTO `lang_definitions` VALUES (13180, 5551, 4, 'RLL:');
INSERT INTO `lang_definitions` VALUES (13181, 5552, 4, 'ROM');
INSERT INTO `lang_definitions` VALUES (13182, 5553, 4, 'Rumano');
INSERT INTO `lang_definitions` VALUES (13183, 5560, 4, 'Lista');
INSERT INTO `lang_definitions` VALUES (13184, 5561, 4, 'Ruta');
INSERT INTO `lang_definitions` VALUES (13185, 5562, 4, 'Ruta de administracion si aplicable');
INSERT INTO `lang_definitions` VALUES (13186, 5563, 4, 'Encaminado');
INSERT INTO `lang_definitions` VALUES (13187, 5564, 4, 'Filas');
INSERT INTO `lang_definitions` VALUES (13188, 5565, 4, 'RRR sin MOR');
INSERT INTO `lang_definitions` VALUES (13189, 5566, 4, 'Frotar');
INSERT INTO `lang_definitions` VALUES (13190, 5567, 4, 'Frotaciones:');
INSERT INTO `lang_definitions` VALUES (13191, 5568, 4, 'Regla');
INSERT INTO `lang_definitions` VALUES (13192, 5569, 4, 'Añadir regla');
INSERT INTO `lang_definitions` VALUES (13193, 5570, 4, 'Detalle Regla');
INSERT INTO `lang_definitions` VALUES (13194, 5572, 4, 'Editar Regla');
INSERT INTO `lang_definitions` VALUES (13195, 5575, 4, 'Ajuste Regla');
INSERT INTO `lang_definitions` VALUES (13196, 5578, 4, 'Reglas');
INSERT INTO `lang_definitions` VALUES (13197, 5580, 4, 'Configuración Regla');
INSERT INTO `lang_definitions` VALUES (13198, 5581, 4, 'Ejecutando comando ');
INSERT INTO `lang_definitions` VALUES (13199, 5582, 4, 'ruptura');
INSERT INTO `lang_definitions` VALUES (13200, 5583, 4, 'Ruso');
INSERT INTO `lang_definitions` VALUES (13201, 5584, 4, 'Receta');
INSERT INTO `lang_definitions` VALUES (13202, 5585, 4, 'Receta');
INSERT INTO `lang_definitions` VALUES (13203, 5586, 4, 'Margen inferior Receta (px)');
INSERT INTO `lang_definitions` VALUES (13204, 5587, 4, 'Receta Activa DEA#');
INSERT INTO `lang_definitions` VALUES (13205, 5588, 4, 'Receta Activa NPI');
INSERT INTO `lang_definitions` VALUES (13206, 5589, 4, 'Receta Activa Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (13207, 5590, 4, 'Margen izquierdo Receta (px)');
INSERT INTO `lang_definitions` VALUES (13208, 5591, 4, 'Tamaño papel Receta');
INSERT INTO `lang_definitions` VALUES (13209, 5592, 4, 'Margen derecho Receta (px)');
INSERT INTO `lang_definitions` VALUES (13210, 5593, 4, 'Mostrar Receta DEA#');
INSERT INTO `lang_definitions` VALUES (13211, 5594, 4, 'Mostrar Receta NPI');
INSERT INTO `lang_definitions` VALUES (13212, 5595, 4, 'Mostrar Receta Estado Lic.#');
INSERT INTO `lang_definitions` VALUES (13213, 5596, 4, 'Margen superior Receta (px)');
INSERT INTO `lang_definitions` VALUES (13214, 5598, 4, 'Recetario (RxNorm)');
INSERT INTO `lang_definitions` VALUES (13215, 5599, 4, 'Base de datos RxNorm');
INSERT INTO `lang_definitions` VALUES (13216, 5600, 4, 'S');
INSERT INTO `lang_definitions` VALUES (13217, 5601, 4, 'S.S.');
INSERT INTO `lang_definitions` VALUES (13218, 5602, 4, 'S3:');
INSERT INTO `lang_definitions` VALUES (13219, 5603, 4, 'S4:');
INSERT INTO `lang_definitions` VALUES (13220, 5604, 4, 'SA ** para leer la licencia por favor lea la documentoss/licencia.texto o visite * http://www.gnu.org/copyleft/gpl.html * * / / / ========================================================================= / / ');
INSERT INTO `lang_definitions` VALUES (13221, 5605, 4, 'Venta');
INSERT INTO `lang_definitions` VALUES (13222, 5606, 4, 'Ventas');
INSERT INTO `lang_definitions` VALUES (13223, 5607, 4, 'Ventas por artículo');
INSERT INTO `lang_definitions` VALUES (13224, 5608, 4, 'Informe de ventas por producto');
INSERT INTO `lang_definitions` VALUES (13225, 5609, 4, 'Saliva');
INSERT INTO `lang_definitions` VALUES (13226, 5610, 4, 'Mismo Día');
INSERT INTO `lang_definitions` VALUES (13227, 5611, 4, 'Samoano');
INSERT INTO `lang_definitions` VALUES (13228, 5612, 4, 'Muestra');
INSERT INTO `lang_definitions` VALUES (13229, 5613, 4, 'Tipo de sanción');
INSERT INTO `lang_definitions` VALUES (13230, 5617, 4, 'Sabado');
INSERT INTO `lang_definitions` VALUES (13231, 5618, 4, 'Sábado y Domingo');
INSERT INTO `lang_definitions` VALUES (13232, 5619, 4, 'Sabado');
INSERT INTO `lang_definitions` VALUES (13233, 5620, 4, 'Guardar');
INSERT INTO `lang_definitions` VALUES (13234, 5621, 4, 'SALVAR');
INSERT INTO `lang_definitions` VALUES (13235, 5622, 4, 'Guardar y Cerrar');
INSERT INTO `lang_definitions` VALUES (13236, 5624, 4, 'Guardar y Distribuir');
INSERT INTO `lang_definitions` VALUES (13237, 5626, 4, 'Guardar como Nuevo');
INSERT INTO `lang_definitions` VALUES (13238, 5627, 4, 'Guardar como nota nueva');
INSERT INTO `lang_definitions` VALUES (13239, 5628, 4, 'Guardar configuración del certificado');
INSERT INTO `lang_definitions` VALUES (13240, 5629, 4, 'Guardar Cambios');
INSERT INTO `lang_definitions` VALUES (13241, 5630, 4, 'Guardar Formulario');
INSERT INTO `lang_definitions` VALUES (13242, 5631, 4, 'Guardar Inmunización');
INSERT INTO `lang_definitions` VALUES (13243, 5632, 4, 'Guardar Nuevo Campo');
INSERT INTO `lang_definitions` VALUES (13244, 5633, 4, 'Guardar Nuevo Grupo');
INSERT INTO `lang_definitions` VALUES (13245, 5634, 4, 'Guardar Nueva Lista');
INSERT INTO `lang_definitions` VALUES (13246, 5635, 4, 'Guardar la nueva plantilla');
INSERT INTO `lang_definitions` VALUES (13247, 5637, 4, 'Guardar Demograficas de Paciente');
INSERT INTO `lang_definitions` VALUES (13248, 5638, 4, 'Guardar Exitoso para el gráfico identificación');
INSERT INTO `lang_definitions` VALUES (13249, 5639, 4, 'Guardar ITransacción');
INSERT INTO `lang_definitions` VALUES (13250, 5641, 4, 'Escaneados');
INSERT INTO `lang_definitions` VALUES (13251, 5642, 4, 'Nota Escaneada de visita');
INSERT INTO `lang_definitions` VALUES (13252, 5643, 4, 'Directorio del escáner');
INSERT INTO `lang_definitions` VALUES (13253, 5644, 4, 'Escáner En');
INSERT INTO `lang_definitions` VALUES (13254, 5645, 4, 'Horario');
INSERT INTO `lang_definitions` VALUES (13255, 5646, 4, 'Calendario de Centros');
INSERT INTO `lang_definitions` VALUES (13256, 5647, 4, 'Nota Escolar');
INSERT INTO `lang_definitions` VALUES (13257, 5648, 4, 'Escoliosis');
INSERT INTO `lang_definitions` VALUES (13258, 5651, 4, 'SE');
INSERT INTO `lang_definitions` VALUES (13259, 5652, 4, 'SE Dirección');
INSERT INTO `lang_definitions` VALUES (13260, 5653, 4, 'SE Ciudad');
INSERT INTO `lang_definitions` VALUES (13261, 5654, 4, 'SE Pais');
INSERT INTO `lang_definitions` VALUES (13262, 5655, 4, 'SE Localidad');
INSERT INTO `lang_definitions` VALUES (13263, 5656, 4, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (13264, 5657, 4, 'SE Estado');
INSERT INTO `lang_definitions` VALUES (13265, 5658, 4, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (13266, 5659, 4, 'Búsqueda');
INSERT INTO `lang_definitions` VALUES (13267, 5661, 4, 'búsqueda');
INSERT INTO `lang_definitions` VALUES (13268, 5662, 4, 'Búsqar Nuevamente');
INSERT INTO `lang_definitions` VALUES (13269, 5663, 4, 'Buscar en todas las columnas');
INSERT INTO `lang_definitions` VALUES (13270, 5664, 4, 'Búscar por:');
INSERT INTO `lang_definitions` VALUES (13271, 5665, 4, 'Buscar por');
INSERT INTO `lang_definitions` VALUES (13272, 5666, 4, 'Búscar para:');
INSERT INTO `lang_definitions` VALUES (13273, 5668, 4, 'Buscar en');
INSERT INTO `lang_definitions` VALUES (13274, 5669, 4, 'Buscar o Añadir Paciente');
INSERT INTO `lang_definitions` VALUES (13275, 5670, 4, 'Buscar Pago');
INSERT INTO `lang_definitions` VALUES (13276, 5671, 4, 'Resultados de búsqueda');
INSERT INTO `lang_definitions` VALUES (13277, 5672, 4, 'Resultados de la Búsqueda:');
INSERT INTO `lang_definitions` VALUES (13278, 5673, 4, 'Buscar seleccionados');
INSERT INTO `lang_definitions` VALUES (13279, 5674, 4, 'Cadena buscada no coincide con la lista de la base de datos');
INSERT INTO `lang_definitions` VALUES (13280, 5675, 4, 'Cadena buscada debe tener al menos tres caracteres');
INSERT INTO `lang_definitions` VALUES (13281, 5676, 4, 'Buscar Texto');
INSERT INTO `lang_definitions` VALUES (13282, 5677, 4, 'Búsqueda de eventos');
INSERT INTO `lang_definitions` VALUES (13283, 5678, 4, 'Buscar/añadir');
INSERT INTO `lang_definitions` VALUES (13284, 5679, 4, 'Buscar / Añadir Asegurador');
INSERT INTO `lang_definitions` VALUES (13285, 5680, 4, 'Buscando las citas');
INSERT INTO `lang_definitions` VALUES (13286, 5681, 4, 'Buscando');
INSERT INTO `lang_definitions` VALUES (13287, 5682, 4, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (13288, 5683, 4, 'Uso de cinturón de seguridad');
INSERT INTO `lang_definitions` VALUES (13289, 5684, 4, 'Segundo');
INSERT INTO `lang_definitions` VALUES (13290, 5687, 4, 'Secundaria');
INSERT INTO `lang_definitions` VALUES (13291, 5688, 4, 'Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (13292, 5689, 4, 'Datos de Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (13293, 5690, 4, 'Proveedor de Seguro Secundario');
INSERT INTO `lang_definitions` VALUES (13294, 5691, 4, 'Tipo secundario de Medicare');
INSERT INTO `lang_definitions` VALUES (13295, 5698, 4, 'Seguridad');
INSERT INTO `lang_definitions` VALUES (13296, 5699, 4, 'Ver Todo');
INSERT INTO `lang_definitions` VALUES (13297, 5700, 4, 'Ver Autorizaciones');
INSERT INTO `lang_definitions` VALUES (13298, 5701, 4, 'Véase el Gráfico de Crecimiento');
INSERT INTO `lang_definitions` VALUES (13299, 5702, 4, 'Ver los mensajes de la última serie de reclamos generados');
INSERT INTO `lang_definitions` VALUES (13300, 5704, 4, 'Visto en');
INSERT INTO `lang_definitions` VALUES (13301, 5707, 4, 'Convulsiones');
INSERT INTO `lang_definitions` VALUES (13302, 5708, 4, 'Seleción');
INSERT INTO `lang_definitions` VALUES (13303, 5709, 4, 'Seleción');
INSERT INTO `lang_definitions` VALUES (13304, 5710, 4, 'seleccionar');
INSERT INTO `lang_definitions` VALUES (13305, 5712, 4, 'Seleccionar un contexto');
INSERT INTO `lang_definitions` VALUES (13306, 5714, 4, 'Seleccione un intervalo de tiempo');
INSERT INTO `lang_definitions` VALUES (13307, 5715, 4, 'Seleccionar un usuario');
INSERT INTO `lang_definitions` VALUES (13308, 5716, 4, 'Seleccionar Todos');
INSERT INTO `lang_definitions` VALUES (13310, 5720, 4, 'Seleccionar una categoría');
INSERT INTO `lang_definitions` VALUES (13311, 5722, 4, 'Seleccionar las casillas correspondientes para borrar');
INSERT INTO `lang_definitions` VALUES (13312, 5723, 4, 'Seleccionar el criterio para eliminar');
INSERT INTO `lang_definitions` VALUES (13313, 5725, 4, 'Seleccione datos requeridos para De-Identificación');
INSERT INTO `lang_definitions` VALUES (13314, 5726, 4, 'Seleccione datos para incluir en los datos de De-Identificación');
INSERT INTO `lang_definitions` VALUES (13315, 5727, 4, 'Elegir fecha');
INSERT INTO `lang_definitions` VALUES (13316, 5728, 4, 'Seleccione plantilla deseada');
INSERT INTO `lang_definitions` VALUES (13317, 5729, 4, 'Seleccione diagnóstico');
INSERT INTO `lang_definitions` VALUES (13318, 5730, 4, 'Seleccione diagnóstico para pedido de de-identificación');
INSERT INTO `lang_definitions` VALUES (13319, 5731, 4, 'Seleccione Medicamento');
INSERT INTO `lang_definitions` VALUES (13320, 5732, 4, 'Seleccione Medicamentos');
INSERT INTO `lang_definitions` VALUES (13321, 5733, 4, 'Seleccione los medicamentos para la solicitud de de-identificación');
INSERT INTO `lang_definitions` VALUES (13322, 5734, 4, 'Seleccione fichero EDI-271');
INSERT INTO `lang_definitions` VALUES (13323, 5736, 4, 'Elegir campo');
INSERT INTO `lang_definitions` VALUES (13324, 5737, 4, 'Seleccione Sector');
INSERT INTO `lang_definitions` VALUES (13325, 5738, 4, 'Seleccionar para Imprimir');
INSERT INTO `lang_definitions` VALUES (13326, 5739, 4, 'Seleccione vacunas');
INSERT INTO `lang_definitions` VALUES (13327, 5740, 4, 'Seleccione las vacunas para la solicitud anónima');
INSERT INTO `lang_definitions` VALUES (13328, 5741, 4, 'Seleccionar Seguro, escribiendo');
INSERT INTO `lang_definitions` VALUES (13329, 5742, 4, 'Seleccione Incidencia');
INSERT INTO `lang_definitions` VALUES (13330, 5744, 4, 'Seleccionar idioma');
INSERT INTO `lang_definitions` VALUES (13331, 5746, 4, 'Seleccione uno o más códigos de diagnóstico para justificar el servicio');
INSERT INTO `lang_definitions` VALUES (13332, 5754, 4, 'Elija los items de configuración para exportar');
INSERT INTO `lang_definitions` VALUES (13333, 5755, 4, 'Elija el asunto primario responsable por eventos fallidos este dia');
INSERT INTO `lang_definitions` VALUES (13334, 5759, 4, 'Seleccionar usuario');
INSERT INTO `lang_definitions` VALUES (13335, 5760, 4, 'Seleccionar usuarios de la lista desplegable');
INSERT INTO `lang_definitions` VALUES (13336, 5761, 4, 'Seleccionar que idiomas, si los hay, pueden ser elegidos al inicio de sesión. (solo si arriba todos los idiomas permitidos está desactivados)');
INSERT INTO `lang_definitions` VALUES (13337, 5762, 4, 'Seleccione Sí para confirmar la eliminación del grupo');
INSERT INTO `lang_definitions` VALUES (13338, 5765, 4, 'Seleccionado');
INSERT INTO `lang_definitions` VALUES (13339, 5766, 4, 'Visita seleccionada');
INSERT INTO `lang_definitions` VALUES (13340, 5767, 4, 'Seleccionando esto se creará un mensaje que necesita ser procesado por cada receptor individualmente (esto no es una tarea de grupo)');
INSERT INTO `lang_definitions` VALUES (13341, 5768, 4, 'Uno Mismo');
INSERT INTO `lang_definitions` VALUES (13342, 5769, 4, 'Paga del uno mismo');
INSERT INTO `lang_definitions` VALUES (13343, 5771, 4, 'Enviar');
INSERT INTO `lang_definitions` VALUES (13344, 5772, 4, 'Enviar recordatorio con fecha');
INSERT INTO `lang_definitions` VALUES (13345, 5773, 4, 'Enviar un Recordatorio');
INSERT INTO `lang_definitions` VALUES (13346, 5774, 4, 'Envíe en curso');
INSERT INTO `lang_definitions` VALUES (13347, 5775, 4, 'enviar mensaje');
INSERT INTO `lang_definitions` VALUES (13348, 5776, 4, 'Batch de Envío de Recordatorios');
INSERT INTO `lang_definitions` VALUES (13349, 5777, 4, 'Enviar recordatorios a pacientes que lo han solicitado, para cuidado preventivo o seguimiento');
INSERT INTO `lang_definitions` VALUES (13350, 5778, 4, 'Enviar resúmenes con derivaciones');
INSERT INTO `lang_definitions` VALUES (13351, 5779, 4, 'Enviar este file');
INSERT INTO `lang_definitions` VALUES (13352, 5780, 4, 'Enviar este mensaje');
INSERT INTO `lang_definitions` VALUES (13353, 5781, 4, 'Enviar a');
INSERT INTO `lang_definitions` VALUES (13354, 5784, 4, 'Enviar a todos');
INSERT INTO `lang_definitions` VALUES (13355, 5788, 4, 'Remitente');
INSERT INTO `lang_definitions` VALUES (13356, 5789, 4, 'Identificación del Remitente');
INSERT INTO `lang_definitions` VALUES (13357, 5790, 4, 'Remitente ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (13358, 5791, 4, 'Calificador del remitente ID (ISA05)');
INSERT INTO `lang_definitions` VALUES (13359, 5794, 4, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (13360, 5795, 4, 'Sensibilidad:');
INSERT INTO `lang_definitions` VALUES (13361, 5796, 4, 'Examen sensorial normal');
INSERT INTO `lang_definitions` VALUES (13362, 5799, 4, 'Enviado por, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (13363, 5801, 4, 'Fecha de envio');
INSERT INTO `lang_definitions` VALUES (13364, 5802, 4, 'Incidencias Enviadas');
INSERT INTO `lang_definitions` VALUES (13365, 5803, 4, '¿Enviar Registros Médicos?');
INSERT INTO `lang_definitions` VALUES (13366, 5804, 4, 'Enviado con éxito');
INSERT INTO `lang_definitions` VALUES (13367, 5807, 4, 'Enviado a Impresora');
INSERT INTO `lang_definitions` VALUES (13368, 5808, 4, 'Enviado a, dejar en blanco para todos');
INSERT INTO `lang_definitions` VALUES (13369, 5812, 4, 'Sep');
INSERT INTO `lang_definitions` VALUES (13370, 5813, 4, 'Separado');
INSERT INTO `lang_definitions` VALUES (13371, 5814, 4, 'Septiembre');
INSERT INTO `lang_definitions` VALUES (13372, 5816, 4, 'Secuencia');
INSERT INTO `lang_definitions` VALUES (13373, 5821, 4, 'Servicio');
INSERT INTO `lang_definitions` VALUES (13374, 5822, 4, 'Categoría de Servicio');
INSERT INTO `lang_definitions` VALUES (13375, 5823, 4, 'Código Servicio');
INSERT INTO `lang_definitions` VALUES (13376, 5824, 4, 'Informe de códigos de servicio Financiero');
INSERT INTO `lang_definitions` VALUES (13377, 5825, 4, 'Códigos Servicio');
INSERT INTO `lang_definitions` VALUES (13378, 5826, 4, 'Fecha de Servicio');
INSERT INTO `lang_definitions` VALUES (13379, 5827, 4, 'Fecha de Servicio:');
INSERT INTO `lang_definitions` VALUES (13380, 5829, 4, 'Centro de servicio');
INSERT INTO `lang_definitions` VALUES (13381, 5831, 4, 'Servicio prestado por el especialista');
INSERT INTO `lang_definitions` VALUES (13382, 5832, 4, 'Informe de servicio');
INSERT INTO `lang_definitions` VALUES (13383, 5833, 4, 'Sólo inf. de serv.');
INSERT INTO `lang_definitions` VALUES (13384, 5834, 4, 'Servicios');
INSERT INTO `lang_definitions` VALUES (13385, 5835, 4, 'Servicios por Categoría');
INSERT INTO `lang_definitions` VALUES (13386, 5836, 4, 'Servicios prestados');
INSERT INTO `lang_definitions` VALUES (13387, 5837, 4, 'Servicios proporcionados');
INSERT INTO `lang_definitions` VALUES (13388, 5838, 4, 'Servicios/Productos');
INSERT INTO `lang_definitions` VALUES (13389, 5839, 4, 'Tipo Sesión');
INSERT INTO `lang_definitions` VALUES (13390, 5840, 4, 'Set');
INSERT INTO `lang_definitions` VALUES (13391, 5841, 4, 'Habilitar cookie para recordar el centro seleccionado entre sesiones.');
INSERT INTO `lang_definitions` VALUES (13392, 5842, 4, 'Definir como terminado');
INSERT INTO `lang_definitions` VALUES (13393, 5845, 4, 'Asignar esto para la ruta absoluta. Para crear certificados clientes SSL para HTTPPS.');
INSERT INTO `lang_definitions` VALUES (13394, 5846, 4, 'Ajustar a');
INSERT INTO `lang_definitions` VALUES (13395, 5847, 4, 'Ajustar por defecto');
INSERT INTO `lang_definitions` VALUES (13396, 5848, 4, 'Ajustar el número de versión en la base de datos...');
INSERT INTO `lang_definitions` VALUES (13397, 5849, 4, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (13398, 5851, 4, 'Migraña Grave');
INSERT INTO `lang_definitions` VALUES (13399, 5853, 4, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (13400, 5854, 4, 'Severidad del dolor');
INSERT INTO `lang_definitions` VALUES (13401, 5855, 4, 'Sexo');
INSERT INTO `lang_definitions` VALUES (13402, 5856, 4, 'Enfermedades de Transmisión Sexual');
INSERT INTO `lang_definitions` VALUES (13403, 5859, 4, 'Conpartir');
INSERT INTO `lang_definitions` VALUES (13404, 5860, 4, 'Intérprete de comandos para imprimir desde el servidor');
INSERT INTO `lang_definitions` VALUES (13405, 5864, 4, 'Falta de aire al respirar');
INSERT INTO `lang_definitions` VALUES (13406, 5865, 4, 'Falta de Aliento');
INSERT INTO `lang_definitions` VALUES (13407, 5866, 4, 'Falta de Aliento 2');
INSERT INTO `lang_definitions` VALUES (13408, 5867, 4, 'Registro de Tiro');
INSERT INTO `lang_definitions` VALUES (13409, 5868, 4, 'Fecha de Expediente de Tiro:');
INSERT INTO `lang_definitions` VALUES (13410, 5870, 4, 'debe ser como nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (13411, 5871, 4, 'Deben ser dos letras');
INSERT INTO `lang_definitions` VALUES (13412, 5872, 4, 'Debe contener 10 dígitos');
INSERT INTO `lang_definitions` VALUES (13413, 5873, 4, 'Debe contener sólo 10 dígitos');
INSERT INTO `lang_definitions` VALUES (13414, 5874, 4, 'Hombro');
INSERT INTO `lang_definitions` VALUES (13415, 5875, 4, 'Hombro + Clavicula');
INSERT INTO `lang_definitions` VALUES (13416, 5876, 4, 'Prob. de Hombro');
INSERT INTO `lang_definitions` VALUES (13417, 5877, 4, 'Presente');
INSERT INTO `lang_definitions` VALUES (13418, 5878, 4, 'Mostrar Activo');
INSERT INTO `lang_definitions` VALUES (13419, 5880, 4, 'Mostrar Act+Inact');
INSERT INTO `lang_definitions` VALUES (13420, 5881, 4, 'Mostrar todos los procedimientos');
INSERT INTO `lang_definitions` VALUES (13421, 5883, 4, 'Mostrar Todas las Transacciones');
INSERT INTO `lang_definitions` VALUES (13422, 5884, 4, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (13423, 5885, 4, 'Mostrar Sólo Autorizado');
INSERT INTO `lang_definitions` VALUES (13424, 5886, 4, 'Mostrar Horas Disponibles');
INSERT INTO `lang_definitions` VALUES (13425, 5887, 4, 'Mostrar ambos US y métrica (unidad principal es métrica)');
INSERT INTO `lang_definitions` VALUES (13426, 5888, 4, 'Mostrar ambos US y métrica (unidad principal es US)');
INSERT INTO `lang_definitions` VALUES (13427, 5889, 4, 'Mostrar Detalles');
INSERT INTO `lang_definitions` VALUES (13428, 5891, 4, 'Mostrar Gráfico');
INSERT INTO `lang_definitions` VALUES (13429, 5892, 4, '¿Demuestre el texto de cernido del acontecimiento en mouseover?');
INSERT INTO `lang_definitions` VALUES (13430, 5893, 4, 'Mostrar el número de eventos en las páginas de administrador?');
INSERT INTO `lang_definitions` VALUES (13431, 5894, 4, 'Mostrar Inactivo');
INSERT INTO `lang_definitions` VALUES (13432, 5896, 4, 'Mostrar Menú');
INSERT INTO `lang_definitions` VALUES (13433, 5897, 4, 'Mostrar sólo métrica');
INSERT INTO `lang_definitions` VALUES (13434, 5898, 4, 'Cuantos eventos mostrar en paginas de admin');
INSERT INTO `lang_definitions` VALUES (13435, 5901, 4, 'Mostrar notas de pacientes');
INSERT INTO `lang_definitions` VALUES (13436, 5902, 4, 'Mostrar  libras y onzas');
INSERT INTO `lang_definitions` VALUES (13437, 5903, 4, 'Mostrar libras como valor decimal');
INSERT INTO `lang_definitions` VALUES (13438, 5904, 4, 'Mostrar primario completo');
INSERT INTO `lang_definitions` VALUES (13439, 5905, 4, 'Mostrar recordatorios');
INSERT INTO `lang_definitions` VALUES (13440, 5906, 4, 'Mostrar Informe');
INSERT INTO `lang_definitions` VALUES (13441, 5907, 4, 'Mostrar búsqueda y presentar los enlaces en el bloque?');
INSERT INTO `lang_definitions` VALUES (13442, 5910, 4, 'Mostrar el formulario de estado personalizado para agregar a lista de widget (preguntará por el título y la abreviatura).');
INSERT INTO `lang_definitions` VALUES (13443, 5913, 4, 'Mostrar sólo no facturados');
INSERT INTO `lang_definitions` VALUES (13444, 5914, 4, 'Mostrar solo USA');
INSERT INTO `lang_definitions` VALUES (13445, 5915, 4, 'Mostrando');
INSERT INTO `lang_definitions` VALUES (13446, 5920, 4, 'Hermanos');
INSERT INTO `lang_definitions` VALUES (13447, 5921, 4, 'Célula de hoz (falciforme)');
INSERT INTO `lang_definitions` VALUES (13448, 5922, 4, 'Sig');
INSERT INTO `lang_definitions` VALUES (13449, 5923, 4, 'Sigmoide/Colonoscopia');
INSERT INTO `lang_definitions` VALUES (13450, 5925, 4, 'Firma resultados laboratorio (escribir, opcional sólo añadir)');
INSERT INTO `lang_definitions` VALUES (13451, 5926, 4, 'Firmar Resultados');
INSERT INTO `lang_definitions` VALUES (13452, 5927, 4, 'Firma');
INSERT INTO `lang_definitions` VALUES (13453, 5929, 4, 'Firma:');
INSERT INTO `lang_definitions` VALUES (13454, 5930, 4, 'Receta firmada');
INSERT INTO `lang_definitions` VALUES (13455, 5932, 4, 'Hinchazón Significativa:');
INSERT INTO `lang_definitions` VALUES (13456, 5934, 4, 'Co-Pago Simplificado');
INSERT INTO `lang_definitions` VALUES (13457, 5935, 4, 'Demográficos Simplificados');
INSERT INTO `lang_definitions` VALUES (13458, 5936, 4, 'Prescripciones Simplificadas');
INSERT INTO `lang_definitions` VALUES (13459, 5937, 4, 'Desde');
INSERT INTO `lang_definitions` VALUES (13460, 5938, 4, 'Sinceramente,');
INSERT INTO `lang_definitions` VALUES (13461, 5940, 4, 'Soltero');
INSERT INTO `lang_definitions` VALUES (13462, 5941, 4, 'Lista selección única');
INSERT INTO `lang_definitions` VALUES (13463, 5942, 4, 'Lista de selección única con posibilidad de añadir a la lista');
INSERT INTO `lang_definitions` VALUES (13464, 5946, 4, 'Problemas del Seno');
INSERT INTO `lang_definitions` VALUES (13465, 5947, 4, 'Cirugía de Seno');
INSERT INTO `lang_definitions` VALUES (13466, 5948, 4, 'SENSIBILIDAD DE SENO:');
INSERT INTO `lang_definitions` VALUES (13467, 5949, 4, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (13468, 5951, 4, 'Nº Identificación');
INSERT INTO `lang_definitions` VALUES (13469, 5953, 4, 'Nº Identificación para soporte LibreEHR del Servicio Intercambio Laboratorio LLC.');
INSERT INTO `lang_definitions` VALUES (13470, 5956, 4, 'Tamaño');
INSERT INTO `lang_definitions` VALUES (13471, 5957, 4, 'El tamaño debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (13472, 5958, 4, 'Tamaño/Lista');
INSERT INTO `lang_definitions` VALUES (13473, 5959, 4, 'Piel');
INSERT INTO `lang_definitions` VALUES (13474, 5960, 4, 'Cáncer de Piel');
INSERT INTO `lang_definitions` VALUES (13475, 5961, 4, 'Enfermedad de Piel');
INSERT INTO `lang_definitions` VALUES (13476, 5962, 4, 'Otra Piel');
INSERT INTO `lang_definitions` VALUES (13477, 5963, 4, 'Saltar autorización de Notas de paciente');
INSERT INTO `lang_definitions` VALUES (13478, 5964, 4, 'Saltar sección');
INSERT INTO `lang_definitions` VALUES (13479, 5965, 4, 'Saltarse SQL-Ledger dump - no se han aplicado para el servidor de Windows');
INSERT INTO `lang_definitions` VALUES (13480, 5967, 4, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (13481, 5968, 4, 'Patrones de Sueño');
INSERT INTO `lang_definitions` VALUES (13482, 5969, 4, 'Durmiendo');
INSERT INTO `lang_definitions` VALUES (13483, 5970, 4, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (13484, 5972, 4, 'La deuda de SM sin');
INSERT INTO `lang_definitions` VALUES (13485, 5973, 4, 'Smarty caché ha sido borrada');
INSERT INTO `lang_definitions` VALUES (13486, 5974, 4, 'Fumador, estado actual desconocido');
INSERT INTO `lang_definitions` VALUES (13487, 5976, 4, 'Tabaquismo');
INSERT INTO `lang_definitions` VALUES (13488, 5977, 4, 'SMS Autorización');
INSERT INTO `lang_definitions` VALUES (13489, 5978, 4, 'Puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (13490, 5979, 4, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (13491, 5980, 4, 'Clave API puerta enlace SMS');
INSERT INTO `lang_definitions` VALUES (13492, 5981, 4, 'Contraseña puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (13493, 5982, 4, 'Usuario puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (13494, 5983, 4, 'Notificación de SMS');
INSERT INTO `lang_definitions` VALUES (13495, 5984, 4, 'Horario Notificación SMS');
INSERT INTO `lang_definitions` VALUES (13496, 5985, 4, 'SMS antes enviado');
INSERT INTO `lang_definitions` VALUES (13497, 5986, 4, 'SMS Enviado');
INSERT INTO `lang_definitions` VALUES (13498, 5987, 4, 'SMS de texto, Etiqueta Utilizable: ***NOMBRE *** *** PROVEEDOR, *** *** FECHA *** *** HORA DE COMIENZO*** , *** HORA DE SALIDA *** *** <br> i.e. Estimado ***NOMBRE ***');
INSERT INTO `lang_definitions` VALUES (13499, 5988, 4, 'SMS/CORREO ELECTRONICO Ajustes Alerta');
INSERT INTO `lang_definitions` VALUES (13500, 5989, 4, 'Contraseña para Autenticación SMTP');
INSERT INTO `lang_definitions` VALUES (13501, 5992, 4, 'SMTP Nombre servidor Host');
INSERT INTO `lang_definitions` VALUES (13502, 5993, 4, 'SMTP Puerto servidor');
INSERT INTO `lang_definitions` VALUES (13503, 5994, 4, 'SMTP Usuario para Autenticación');
INSERT INTO `lang_definitions` VALUES (13504, 5995, 4, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (13505, 5997, 4, 'Diagnóstico SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (13506, 5999, 4, 'Diagnóstico SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (13507, 6001, 4, 'Base de datos SNOMED');
INSERT INTO `lang_definitions` VALUES (13508, 6002, 4, 'Diagnóstico SNOMED');
INSERT INTO `lang_definitions` VALUES (13509, 6004, 4, 'Ronquidos');
INSERT INTO `lang_definitions` VALUES (13510, 6005, 4, 'SOEP');
INSERT INTO `lang_definitions` VALUES (13511, 6006, 4, 'Dificultades Sociales');
INSERT INTO `lang_definitions` VALUES (13512, 6009, 4, 'Historia');
INSERT INTO `lang_definitions` VALUES (13513, 6010, 4, 'Número de Seguridad Social');
INSERT INTO `lang_definitions` VALUES (13514, 6011, 4, 'solución');
INSERT INTO `lang_definitions` VALUES (13515, 6013, 4, 'Contexto Somático');
INSERT INTO `lang_definitions` VALUES (13516, 6014, 4, 'Algunas autorizaciones no fueron exhibidas. Clic aquí para ver todas');
INSERT INTO `lang_definitions` VALUES (13517, 6015, 4, 'Algunos códigos no fueron exhibidos.');
INSERT INTO `lang_definitions` VALUES (13518, 6016, 4, 'Algunas visitas no fueron mostradas. Click aquí para ver todas.');
INSERT INTO `lang_definitions` VALUES (13519, 6017, 4, 'Se han producido algunos errores en el proceso de De Identificación');
INSERT INTO `lang_definitions` VALUES (13520, 6018, 4, 'Algunas notas no fueron mostradas.');
INSERT INTO `lang_definitions` VALUES (13521, 6020, 4, 'algunas palabras');
INSERT INTO `lang_definitions` VALUES (13522, 6023, 4, 'Algo salió mal. Por favor inténtelo de nuevo.');
INSERT INTO `lang_definitions` VALUES (13523, 6024, 4, 'Intervalo para Vencimiento Próximo (Recordatorios clínicos)');
INSERT INTO `lang_definitions` VALUES (13524, 6025, 4, 'Intervalo vencimiento próximo (Recordatorios paciente)');
INSERT INTO `lang_definitions` VALUES (13525, 6026, 4, 'Dolor de Garganta');
INSERT INTO `lang_definitions` VALUES (13526, 6027, 4, 'Lo siento no se ha fijado una cita');
INSERT INTO `lang_definitions` VALUES (13527, 6028, 4, 'Lo sentimos, hubo un problema subiendo su fichero');
INSERT INTO `lang_definitions` VALUES (13528, 6029, 4, 'Organizado por');
INSERT INTO `lang_definitions` VALUES (13529, 6030, 4, 'Orden por');
INSERT INTO `lang_definitions` VALUES (13530, 6031, 4, 'Organizar por checksum');
INSERT INTO `lang_definitions` VALUES (13531, 6032, 4, 'Ordenar por Comentarios');
INSERT INTO `lang_definitions` VALUES (13532, 6033, 4, 'Ordenar por usuario de Crt');
INSERT INTO `lang_definitions` VALUES (13533, 6034, 4, 'Ordenar por fecha');
INSERT INTO `lang_definitions` VALUES (13534, 6035, 4, 'Ordenar por fecha / hora');
INSERT INTO `lang_definitions` VALUES (13535, 6036, 4, 'Ordenar por Evento');
INSERT INTO `lang_definitions` VALUES (13536, 6037, 4, 'Ordenar por Grupo');
INSERT INTO `lang_definitions` VALUES (13537, 6040, 4, 'Ordenar por pacienteID');
INSERT INTO `lang_definitions` VALUES (13538, 6041, 4, 'ordenar por exito');
INSERT INTO `lang_definitions` VALUES (13539, 6043, 4, 'Ordenar por Usuario');
INSERT INTO `lang_definitions` VALUES (13540, 6044, 4, 'Ordenar por vacuna');
INSERT INTO `lang_definitions` VALUES (13541, 6045, 4, 'Orden descendente');
INSERT INTO `lang_definitions` VALUES (13542, 6046, 4, 'Ordenar resultado por');
INSERT INTO `lang_definitions` VALUES (13543, 6047, 4, 'Orden ascendente');
INSERT INTO `lang_definitions` VALUES (13544, 6048, 4, 'Fuente');
INSERT INTO `lang_definitions` VALUES (13545, 6049, 4, 'Fichero fuente');
INSERT INTO `lang_definitions` VALUES (13546, 6050, 4, 'Ruta fichero fuente');
INSERT INTO `lang_definitions` VALUES (13547, 6051, 4, 'Fuente falta de código ');
INSERT INTO `lang_definitions` VALUES (13548, 6052, 4, 'Lote de fuente');
INSERT INTO `lang_definitions` VALUES (13549, 6057, 4, 'Fuente:');
INSERT INTO `lang_definitions` VALUES (13550, 6060, 4, 'Espacio');
INSERT INTO `lang_definitions` VALUES (13551, 6061, 4, 'ESPACIO');
INSERT INTO `lang_definitions` VALUES (13552, 6062, 4, 'Español');
INSERT INTO `lang_definitions` VALUES (13553, 6063, 4, 'Español (Latín América)');
INSERT INTO `lang_definitions` VALUES (13554, 6064, 4, 'Español (España)');
INSERT INTO `lang_definitions` VALUES (13555, 6068, 4, 'Especialista');
INSERT INTO `lang_definitions` VALUES (13556, 6069, 4, 'Nombre y firma del especialista');
INSERT INTO `lang_definitions` VALUES (13557, 6071, 4, 'Especialidad');
INSERT INTO `lang_definitions` VALUES (13558, 6072, 4, 'Sistemas de la especialidad');
INSERT INTO `lang_definitions` VALUES (13559, 6073, 4, 'Especialidad:');
INSERT INTO `lang_definitions` VALUES (13560, 6074, 4, 'Específico');
INSERT INTO `lang_definitions` VALUES (13561, 6075, 4, 'Aplicación específica');
INSERT INTO `lang_definitions` VALUES (13562, 6076, 4, 'Servicio específico anticonceptivo');
INSERT INTO `lang_definitions` VALUES (13563, 6077, 4, 'Resultado especifico');
INSERT INTO `lang_definitions` VALUES (13564, 6078, 4, 'Servicio Específico');
INSERT INTO `lang_definitions` VALUES (13565, 6079, 4, 'Especificado');
INSERT INTO `lang_definitions` VALUES (13566, 6080, 4, 'Formato específico para códigos.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13567, 6081, 4, 'Formato específico para códigos.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13568, 6082, 4, 'Formato específico para número de referencia de facturas.#=dígito, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13569, 6083, 4, 'Formato específico para número de referencia de facturas.#=dígito, @=alfabético, *=cualquier caracter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13570, 6084, 4, 'Formato producto campos NCD. #=dígito, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13571, 6085, 4, 'Formato producto campos NCD. #=dígito, @=alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13572, 6086, 4, 'Formato ID paciente externo.#=dígito,*=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13573, 6087, 4, 'Formato ID paciente externo.#=dígito, @=Alfabético, *=cualquier carácter. Vacío si no se usa.');
INSERT INTO `lang_definitions` VALUES (13574, 6088, 4, 'Especimen');
INSERT INTO `lang_definitions` VALUES (13575, 6089, 4, 'Especimen numero/Identificador');
INSERT INTO `lang_definitions` VALUES (13576, 6090, 4, 'Tipo de especimen');
INSERT INTO `lang_definitions` VALUES (13577, 6092, 4, 'Dictado');
INSERT INTO `lang_definitions` VALUES (13578, 6093, 4, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (13579, 6094, 4, 'Esplenectomía');
INSERT INTO `lang_definitions` VALUES (13580, 6095, 4, 'Esposa');
INSERT INTO `lang_definitions` VALUES (13581, 6097, 4, 'Esputo');
INSERT INTO `lang_definitions` VALUES (13582, 6098, 4, 'Esputo:');
INSERT INTO `lang_definitions` VALUES (13583, 6099, 4, 'SQ');
INSERT INTO `lang_definitions` VALUES (13584, 6102, 4, 'Equipo');
INSERT INTO `lang_definitions` VALUES (13585, 6103, 4, 'Miembro de Equipo');
INSERT INTO `lang_definitions` VALUES (13586, 6104, 4, 'Equipos');
INSERT INTO `lang_definitions` VALUES (13587, 6105, 4, 'SRH');
INSERT INTO `lang_definitions` VALUES (13588, 6106, 4, 'SRH - Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (13589, 6107, 4, 'SRH no de Planificación de la Familia');
INSERT INTO `lang_definitions` VALUES (13590, 6108, 4, 'SRH Referencias');
INSERT INTO `lang_definitions` VALUES (13591, 6109, 4, 'formulario de la visita del SRH');
INSERT INTO `lang_definitions` VALUES (13592, 6110, 4, 'Fecha servicio');
INSERT INTO `lang_definitions` VALUES (13593, 6111, 4, 'SS');
INSERT INTO `lang_definitions` VALUES (13594, 6112, 4, 'Certificado de Administracion SSL');
INSERT INTO `lang_definitions` VALUES (13595, 6113, 4, 'Nº SS');
INSERT INTO `lang_definitions` VALUES (13596, 6114, 4, 'comienzo');
INSERT INTO `lang_definitions` VALUES (13597, 6115, 4, 'Versiones preparadas');
INSERT INTO `lang_definitions` VALUES (13598, 6116, 4, 'Estándar');
INSERT INTO `lang_definitions` VALUES (13599, 6117, 4, 'Codigo usual');
INSERT INTO `lang_definitions` VALUES (13600, 6118, 4, 'Medidas estándar');
INSERT INTO `lang_definitions` VALUES (13601, 6122, 4, 'Nombre estándar');
INSERT INTO `lang_definitions` VALUES (13602, 6124, 4, 'Comienzo');
INSERT INTO `lang_definitions` VALUES (13603, 6125, 4, 'Comienzo (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (13604, 6128, 4, 'Fecha de Comienzo:');
INSERT INTO `lang_definitions` VALUES (13605, 6129, 4, 'Fecha de inicio en esta clínica');
INSERT INTO `lang_definitions` VALUES (13606, 6130, 4, 'Fecha de inicio no debe ser mayor que la fecha final');
INSERT INTO `lang_definitions` VALUES (13607, 6131, 4, 'Fecha de comienzo:');
INSERT INTO `lang_definitions` VALUES (13608, 6132, 4, 'Fecha de Comienzo:');
INSERT INTO `lang_definitions` VALUES (13609, 6133, 4, 'Hora de Comienzo');
INSERT INTO `lang_definitions` VALUES (13610, 6134, 4, 'Fecha de comienzo');
INSERT INTO `lang_definitions` VALUES (13611, 6135, 4, 'Estado');
INSERT INTO `lang_definitions` VALUES (13612, 6136, 4, 'Estado');
INSERT INTO `lang_definitions` VALUES (13613, 6137, 4, 'Tipo de datos estado');
INSERT INTO `lang_definitions` VALUES (13614, 6138, 4, 'Nro. licencia estatal');
INSERT INTO `lang_definitions` VALUES (13615, 6139, 4, 'Nro. licencia estatal');
INSERT INTO `lang_definitions` VALUES (13616, 6140, 4, 'Lista estados');
INSERT INTO `lang_definitions` VALUES (13617, 6141, 4, 'Lista de estados (escriba, sólo añadir opcional)');
INSERT INTO `lang_definitions` VALUES (13618, 6142, 4, 'Lista de estados de los campos Widget personalizados');
INSERT INTO `lang_definitions` VALUES (13619, 6143, 4, 'Estado o Provincia');
INSERT INTO `lang_definitions` VALUES (13620, 6144, 4, 'Estado/lugar');
INSERT INTO `lang_definitions` VALUES (13621, 6145, 4, 'Estado/Parroquia');
INSERT INTO `lang_definitions` VALUES (13622, 6146, 4, 'RESUMEN SUMARIO');
INSERT INTO `lang_definitions` VALUES (13623, 6147, 4, 'extractos y facturas de actualización.');
INSERT INTO `lang_definitions` VALUES (13624, 6148, 4, 'Declaraciones enviadas:n');
INSERT INTO `lang_definitions` VALUES (13625, 6149, 4, 'extractos, facturas no seran actualizadas');
INSERT INTO `lang_definitions` VALUES (13626, 6150, 4, 'Texto estático');
INSERT INTO `lang_definitions` VALUES (13627, 6151, 4, 'Estadísticas');
INSERT INTO `lang_definitions` VALUES (13628, 6152, 4, 'Estados');
INSERT INTO `lang_definitions` VALUES (13629, 6153, 4, 'Estado');
INSERT INTO `lang_definitions` VALUES (13630, 6156, 4, 'Estable');
INSERT INTO `lang_definitions` VALUES (13631, 6158, 4, 'Asesoramiento de ETS/SIDA');
INSERT INTO `lang_definitions` VALUES (13632, 6159, 4, 'Fuerza y Acondicionamiento');
INSERT INTO `lang_definitions` VALUES (13633, 6164, 4, 'Pasos para instalar la bbdd DSM IV');
INSERT INTO `lang_definitions` VALUES (13634, 6165, 4, 'Pasos para instalar la bbdd ICD 10');
INSERT INTO `lang_definitions` VALUES (13635, 6166, 4, 'Pasos para instalar la bbdd ICD 9');
INSERT INTO `lang_definitions` VALUES (13636, 6167, 4, 'Pasos para instalar la bbdd RxNorm');
INSERT INTO `lang_definitions` VALUES (13637, 6168, 4, 'Pasos para instalar la bbdd Snomed');
INSERT INTO `lang_definitions` VALUES (13638, 6169, 4, 'Coyunturas Tiesas');
INSERT INTO `lang_definitions` VALUES (13639, 6170, 4, 'Tiesura');
INSERT INTO `lang_definitions` VALUES (13640, 6171, 4, 'Meses de Reservas');
INSERT INTO `lang_definitions` VALUES (13641, 6172, 4, 'Dolores de Estómago');
INSERT INTO `lang_definitions` VALUES (13642, 6174, 4, 'Hash almacenado');
INSERT INTO `lang_definitions` VALUES (13643, 6175, 4, 'Tensión del músculo');
INSERT INTO `lang_definitions` VALUES (13644, 6176, 4, 'Corriente');
INSERT INTO `lang_definitions` VALUES (13645, 6177, 4, 'Calle');
INSERT INTO `lang_definitions` VALUES (13646, 6178, 4, 'Calle de direccion');
INSERT INTO `lang_definitions` VALUES (13647, 6179, 4, 'Calle y Número');
INSERT INTO `lang_definitions` VALUES (13648, 6180, 4, 'Fuerza');
INSERT INTO `lang_definitions` VALUES (13649, 6182, 4, 'Estrep Garganta');
INSERT INTO `lang_definitions` VALUES (13650, 6183, 4, 'Fractura de Estrés');
INSERT INTO `lang_definitions` VALUES (13651, 6184, 4, 'Prueba de Estrés');
INSERT INTO `lang_definitions` VALUES (13652, 6185, 4, 'Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (13653, 6186, 4, 'Contraseña segura significa al menos 8 caracteres, y que al menos tres sean: un número, una minúscula, una mayúscula, un carácter especial.');
INSERT INTO `lang_definitions` VALUES (13654, 6188, 4, 'Estilo del formulario usado para añadir nuevos pacientes');
INSERT INTO `lang_definitions` VALUES (13655, 6189, 4, 'Sub-categoría');
INSERT INTO `lang_definitions` VALUES (13656, 6190, 4, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (13657, 6191, 4, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (13658, 6192, 4, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (13659, 6193, 4, 'Subcutáneo');
INSERT INTO `lang_definitions` VALUES (13660, 6194, 4, 'Asunto');
INSERT INTO `lang_definitions` VALUES (13661, 6195, 4, 'Subjetivo');
INSERT INTO `lang_definitions` VALUES (13662, 6196, 4, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (13663, 6197, 4, 'sublingual');
INSERT INTO `lang_definitions` VALUES (13664, 6198, 4, 'Enviar');
INSERT INTO `lang_definitions` VALUES (13665, 6199, 4, 'Enviar');
INSERT INTO `lang_definitions` VALUES (13666, 6200, 4, 'Enviar todo el contenido');
INSERT INTO `lang_definitions` VALUES (13667, 6202, 4, 'Enviar Evento');
INSERT INTO `lang_definitions` VALUES (13668, 6203, 4, 'Enviar Formulario');
INSERT INTO `lang_definitions` VALUES (13669, 6204, 4, 'Enviar contenido elegido');
INSERT INTO `lang_definitions` VALUES (13670, 6205, 4, 'Enviado');
INSERT INTO `lang_definitions` VALUES (13671, 6206, 4, 'Sometido por');
INSERT INTO `lang_definitions` VALUES (13672, 6207, 4, 'Numero de acceso EDI del Enviador (PER06)');
INSERT INTO `lang_definitions` VALUES (13673, 6208, 4, 'Suscriptor');
INSERT INTO `lang_definitions` VALUES (13674, 6209, 4, 'Dirección del Suscriptor');
INSERT INTO `lang_definitions` VALUES (13675, 6213, 4, 'empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (13676, 6214, 4, 'empleador suscriptor (SE)');
INSERT INTO `lang_definitions` VALUES (13677, 6215, 4, 'Dirección del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (13678, 6216, 4, 'Ciudad del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (13679, 6217, 4, 'País del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (13680, 6218, 4, 'Estado del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (13681, 6221, 4, 'Código postal del empleador suscriptor');
INSERT INTO `lang_definitions` VALUES (13682, 6225, 4, 'Teléfono de Suscriptor');
INSERT INTO `lang_definitions` VALUES (13683, 6226, 4, 'Relación con el Suscriptor');
INSERT INTO `lang_definitions` VALUES (13684, 6227, 4, '¡La relación del suscriptor no con sí mismo pero el nombre es igual! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (13685, 6228, 4, '¡La relación del suscriptor no es con sí mismo pero el número de SS es igual!');
INSERT INTO `lang_definitions` VALUES (13686, 6229, 4, '¡La relación del suscriptor es con sí mismo pero el nombre es diferente! ¿Es esto realmente ACEPTABLE?');
INSERT INTO `lang_definitions` VALUES (13687, 6230, 4, '¡La relación del suscriptor es con sí mismo pero el número de SS es diferente!');
INSERT INTO `lang_definitions` VALUES (13688, 6231, 4, 'Sexo de Suscriptor');
INSERT INTO `lang_definitions` VALUES (13689, 6237, 4, 'Sustituto');
INSERT INTO `lang_definitions` VALUES (13690, 6238, 4, 'sustituto permitido');
INSERT INTO `lang_definitions` VALUES (13691, 6240, 4, 'Exito');
INSERT INTO `lang_definitions` VALUES (13692, 6241, 4, 'éxito');
INSERT INTO `lang_definitions` VALUES (13693, 6242, 4, 'Confirmación de la recepción de resultados del laboratorio');
INSERT INTO `lang_definitions` VALUES (13694, 6243, 4, 'Confirmación obtención resultados de laboratorio');
INSERT INTO `lang_definitions` VALUES (13695, 6244, 4, 'Éxito obteniendo los resultados de la Red de Intercambio del Laboratorio');
INSERT INTO `lang_definitions` VALUES (13696, 6246, 4, 'Categoría añadida correctamente');
INSERT INTO `lang_definitions` VALUES (13697, 6247, 4, 'agregado con éxito a la categoría,');
INSERT INTO `lang_definitions` VALUES (13698, 6248, 4, 'Borrado completado');
INSERT INTO `lang_definitions` VALUES (13699, 6250, 4, 'Instalado en Base Datos completado');
INSERT INTO `lang_definitions` VALUES (13700, 6251, 4, 'La siguiente bbdd ha sido instalada correctamente');
INSERT INTO `lang_definitions` VALUES (13701, 6252, 4, 'Modificación Completada');
INSERT INTO `lang_definitions` VALUES (13702, 6253, 4, 'Correctamente salvado. ¿Le gustaría asignarlo?');
INSERT INTO `lang_definitions` VALUES (13703, 6254, 4, 'Correctamente salvado. ¿Le gustaría distribuir?');
INSERT INTO `lang_definitions` VALUES (13704, 6256, 4, 'almacenado con éxito.');
INSERT INTO `lang_definitions` VALUES (13705, 6257, 4, 'Base de datos actualizada correctamente.');
INSERT INTO `lang_definitions` VALUES (13706, 6258, 4, 'La siguiente bbdd ha sido actualizada correctamente');
INSERT INTO `lang_definitions` VALUES (13707, 6259, 4, 'con éxito.');
INSERT INTO `lang_definitions` VALUES (13708, 6260, 4, 'Suicidio');
INSERT INTO `lang_definitions` VALUES (13709, 6261, 4, 'Resumen');
INSERT INTO `lang_definitions` VALUES (13710, 6262, 4, 'Sumario de');
INSERT INTO `lang_definitions` VALUES (13711, 6265, 4, 'Domingo');
INSERT INTO `lang_definitions` VALUES (13712, 6267, 4, 'Domingo');
INSERT INTO `lang_definitions` VALUES (13713, 6268, 4, 'Supercuenta');
INSERT INTO `lang_definitions` VALUES (13714, 6269, 4, 'Códigos de supercuenta');
INSERT INTO `lang_definitions` VALUES (13715, 6270, 4, 'Administración de códigos de supercuenta');
INSERT INTO `lang_definitions` VALUES (13716, 6271, 4, 'Reportes de supercuenta');
INSERT INTO `lang_definitions` VALUES (13717, 6272, 4, 'Supercuenta/Hoja de precios');
INSERT INTO `lang_definitions` VALUES (13718, 6273, 4, 'Supercuentas');
INSERT INTO `lang_definitions` VALUES (13719, 6274, 4, 'Supercuentas, llamado a veces Formularios de Encuentros u hojas de ruta, son una parte esencial en la mayoría de los centros médicos.');
INSERT INTO `lang_definitions` VALUES (13720, 6275, 4, 'Superusuario');
INSERT INTO `lang_definitions` VALUES (13721, 6276, 4, 'Supervisando');
INSERT INTO `lang_definitions` VALUES (13722, 6278, 4, 'Dr.Supervisor DEA');
INSERT INTO `lang_definitions` VALUES (13723, 6279, 4, 'Primer Nombre Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (13724, 6280, 4, 'Apellido Doctor Supervisor');
INSERT INTO `lang_definitions` VALUES (13725, 6281, 4, 'Dr.Supervisor NPI');
INSERT INTO `lang_definitions` VALUES (13726, 6282, 4, 'Dr.Supervisor UPIN');
INSERT INTO `lang_definitions` VALUES (13727, 6283, 4, 'Nombre del centro proveedor');
INSERT INTO `lang_definitions` VALUES (13728, 6284, 4, 'Soporte de los eventos de calendario que se aplican a múltiples facultativos');
INSERT INTO `lang_definitions` VALUES (13729, 6285, 4, 'Soporte configuración de datos de importación/exportación a través de la página de backup');
INSERT INTO `lang_definitions` VALUES (13730, 6286, 4, 'Soporte eventos multi-facultativo');
INSERT INTO `lang_definitions` VALUES (13731, 6288, 4, 'Soporta sólo enciptación/desencriptación TripleDES');
INSERT INTO `lang_definitions` VALUES (13732, 6289, 4, 'Tipo de Superficie');
INSERT INTO `lang_definitions` VALUES (13733, 6290, 4, 'Cirugías');
INSERT INTO `lang_definitions` VALUES (13734, 6291, 4, 'Cirugía');
INSERT INTO `lang_definitions` VALUES (13735, 6293, 4, 'Suspendido');
INSERT INTO `lang_definitions` VALUES (13736, 6294, 4, 'suspensión');
INSERT INTO `lang_definitions` VALUES (13737, 6295, 4, 'Svc Fecha');
INSERT INTO `lang_definitions` VALUES (13738, 6296, 4, 'Svc Fecha:');
INSERT INTO `lang_definitions` VALUES (13739, 6299, 4, 'Sudoración:');
INSERT INTO `lang_definitions` VALUES (13740, 6300, 4, 'Sueco');
INSERT INTO `lang_definitions` VALUES (13741, 6301, 4, 'Hinchazón');
INSERT INTO `lang_definitions` VALUES (13742, 6302, 4, 'Hinchazón a la Derecha');
INSERT INTO `lang_definitions` VALUES (13743, 6303, 4, 'Articulaciones Inflamadas');
INSERT INTO `lang_definitions` VALUES (13744, 6304, 4, 'Inflamación de los ganglios linfáticos');
INSERT INTO `lang_definitions` VALUES (13745, 6305, 4, 'Símbolo usado como punto decimal para moneda. No usado si los decimales son 0.');
INSERT INTO `lang_definitions` VALUES (13746, 6306, 4, 'Símbolo usado para separar miles en moneda.');
INSERT INTO `lang_definitions` VALUES (13747, 6307, 4, 'Síntomas');
INSERT INTO `lang_definitions` VALUES (13748, 6308, 4, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (13749, 6309, 4, 'Sincronizar traducción con la tabla de idioma del cliente');
INSERT INTO `lang_definitions` VALUES (13750, 6310, 4, 'Sincronizado constante de nuevo cliente:');
INSERT INTO `lang_definitions` VALUES (13751, 6311, 4, 'Sincronizar nuevo idioma cliente');
INSERT INTO `lang_definitions` VALUES (13752, 6312, 4, 'Sincronizado nueva definición (Idioma, Constante, Definición):');
INSERT INTO `lang_definitions` VALUES (13753, 6313, 4, 'Síncope');
INSERT INTO `lang_definitions` VALUES (13754, 6314, 4, 'Vigilancia de Síndrome');
INSERT INTO `lang_definitions` VALUES (13755, 6315, 4, 'Vigilancia síndrome - Sin problemas notificados');
INSERT INTO `lang_definitions` VALUES (13756, 6316, 4, 'Reporte de vigilancia de Sindromes');
INSERT INTO `lang_definitions` VALUES (13757, 6317, 4, 'Sinovitis, pinzamiento, bursitis');
INSERT INTO `lang_definitions` VALUES (13758, 6318, 4, 'Sistema');
INSERT INTO `lang_definitions` VALUES (13759, 6322, 4, 'T');
INSERT INTO `lang_definitions` VALUES (13760, 6323, 4, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (13761, 6324, 4, 'T.V.');
INSERT INTO `lang_definitions` VALUES (13762, 6325, 4, 'Tabla');
INSERT INTO `lang_definitions` VALUES (13763, 6327, 4, 'La creación de la tabla falló');
INSERT INTO `lang_definitions` VALUES (13764, 6328, 4, 'La actualización de la tabla falló');
INSERT INTO `lang_definitions` VALUES (13765, 6330, 4, 'tableta');
INSERT INTO `lang_definitions` VALUES (13766, 6332, 4, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (13767, 6335, 4, 'Tomar');
INSERT INTO `lang_definitions` VALUES (13768, 6336, 4, 'Escoger seguro, en el desplegable');
INSERT INTO `lang_definitions` VALUES (13769, 6337, 4, 'Escoger forma de pago, en el desplegable');
INSERT INTO `lang_definitions` VALUES (13770, 6338, 4, 'Recogida');
INSERT INTO `lang_definitions` VALUES (13771, 6339, 4, 'Toma tiempo');
INSERT INTO `lang_definitions` VALUES (13772, 6340, 4, 'Altura del área de navegación');
INSERT INTO `lang_definitions` VALUES (13773, 6347, 4, 'Fecha límite');
INSERT INTO `lang_definitions` VALUES (13774, 6351, 4, 'Objetivo/Grupos de Acción');
INSERT INTO `lang_definitions` VALUES (13775, 6354, 4, 'N.I.F./C.I.F.');
INSERT INTO `lang_definitions` VALUES (13776, 6355, 4, 'Tasa de Impuestos');
INSERT INTO `lang_definitions` VALUES (13777, 6356, 4, 'Impuestos');
INSERT INTO `lang_definitions` VALUES (13778, 6357, 4, 'Taxonomía');
INSERT INTO `lang_definitions` VALUES (13779, 6358, 4, 'TD');
INSERT INTO `lang_definitions` VALUES (13780, 6359, 4, 'Descripción de lesión del equipo');
INSERT INTO `lang_definitions` VALUES (13781, 6360, 4, 'Lista del Equipo');
INSERT INTO `lang_definitions` VALUES (13782, 6361, 4, 'Ver Lista de Equipo');
INSERT INTO `lang_definitions` VALUES (13783, 6362, 4, 'Equipo/Plantilla');
INSERT INTO `lang_definitions` VALUES (13784, 6363, 4, 'Tel');
INSERT INTO `lang_definitions` VALUES (13785, 6364, 4, 'Código País telefónico');
INSERT INTO `lang_definitions` VALUES (13786, 6366, 4, 'Temp');
INSERT INTO `lang_definitions` VALUES (13787, 6367, 4, 'Localización de la toma de temperat.');
INSERT INTO `lang_definitions` VALUES (13788, 6368, 4, 'Método para Temperat.');
INSERT INTO `lang_definitions` VALUES (13789, 6369, 4, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (13790, 6370, 4, 'Plantilla');
INSERT INTO `lang_definitions` VALUES (13791, 6371, 4, 'Nombre de Plantilla');
INSERT INTO `lang_definitions` VALUES (13792, 6372, 4, 'Los nombres de la plantilla no pueden comenzar con números.');
INSERT INTO `lang_definitions` VALUES (13793, 6373, 4, 'Plantilla:');
INSERT INTO `lang_definitions` VALUES (13794, 6374, 4, 'Pantillas');
INSERT INTO `lang_definitions` VALUES (13795, 6375, 4, 'Arteria Temporal');
INSERT INTO `lang_definitions` VALUES (13796, 6376, 4, 'Daño al tendón');
INSERT INTO `lang_definitions` VALUES (13797, 6377, 4, 'Tendonitis / osis / bursitis');
INSERT INTO `lang_definitions` VALUES (13798, 6378, 4, 'Nºreferencia factura provisional');
INSERT INTO `lang_definitions` VALUES (13799, 6379, 4, 'Terciario');
INSERT INTO `lang_definitions` VALUES (13800, 6380, 4, 'Seguro Terciario');
INSERT INTO `lang_definitions` VALUES (13801, 6381, 4, 'Datos terciarios del seguro');
INSERT INTO `lang_definitions` VALUES (13802, 6382, 4, 'Proveedor terciario del seguro');
INSERT INTO `lang_definitions` VALUES (13803, 6383, 4, 'Programación de Prueba');
INSERT INTO `lang_definitions` VALUES (13804, 6384, 4, 'Sistema de Prueba');
INSERT INTO `lang_definitions` VALUES (13805, 6385, 4, 'Texto');
INSERT INTO `lang_definitions` VALUES (13806, 6386, 4, 'Texto Diagnóstico');
INSERT INTO `lang_definitions` VALUES (13807, 6387, 4, 'campo texto');
INSERT INTO `lang_definitions` VALUES (13808, 6393, 4, 'Fecha del texto');
INSERT INTO `lang_definitions` VALUES (13809, 6394, 4, 'texto actualizado');
INSERT INTO `lang_definitions` VALUES (13810, 6395, 4, 'Area de texto');
INSERT INTO `lang_definitions` VALUES (13811, 6396, 4, 'erea de texto');
INSERT INTO `lang_definitions` VALUES (13812, 6397, 4, 'Cuadro de texto');
INSERT INTO `lang_definitions` VALUES (13813, 6398, 4, 'caja de texto');
INSERT INTO `lang_definitions` VALUES (13814, 6399, 4, 'Lista del cuadro de texto');
INSERT INTO `lang_definitions` VALUES (13815, 6400, 4, 'lista de texto');
INSERT INTO `lang_definitions` VALUES (13816, 6401, 4, 'Tailandés');
INSERT INTO `lang_definitions` VALUES (13817, 6402, 4, 'Gracias');
INSERT INTO `lang_definitions` VALUES (13818, 6403, 4, 'Gracias por elegir');
INSERT INTO `lang_definitions` VALUES (13819, 6404, 4, 'El botón \'Limpiar\' eliminará todas las anotaciones.');
INSERT INTO `lang_definitions` VALUES (13820, 6405, 4, 'Falló la declaración anterior');
INSERT INTO `lang_definitions` VALUES (13821, 6406, 4, 'Llave publica y Certificado del Servidor Apache SSL');
INSERT INTO `lang_definitions` VALUES (13822, 6407, 4, 'El certificado de Autoridad Certificada');
INSERT INTO `lang_definitions` VALUES (13823, 6408, 4, 'El fichero de ación: ');
INSERT INTO `lang_definitions` VALUES (13824, 6410, 4, 'La llave privada correspondiente');
INSERT INTO `lang_definitions` VALUES (13825, 6413, 4, 'El código de denegación es');
INSERT INTO `lang_definitions` VALUES (13826, 6414, 4, 'El código del grupo denegación es');
INSERT INTO `lang_definitions` VALUES (13827, 6415, 4, 'El formulario de destino está cerrado');
INSERT INTO `lang_definitions` VALUES (13828, 6416, 4, 'El formulario de destino estaba cerrado. No puedo actuar en su selección.');
INSERT INTO `lang_definitions` VALUES (13829, 6422, 4, 'El evento(s) han sido aprobadas.');
INSERT INTO `lang_definitions` VALUES (13830, 6423, 4, 'Se han ocultado el evento(s).');
INSERT INTO `lang_definitions` VALUES (13831, 6424, 4, 'Los datos exportados aparece en el área de texto a continuación. Puede copiarla y pegarla en un mensaje de correo electrónico o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (13832, 6426, 4, 'Los datos exportados aparece en el área de texto a continuación. Puede copiarla y pegarla en un mensaje de correo electrónico o cualquier otro destino.');
INSERT INTO `lang_definitions` VALUES (13833, 6427, 4, 'Los datos exportados aparecen en el área de texto de abajo. Puede copiar y pegar en el mail o cualquier otro destino deseado.');
INSERT INTO `lang_definitions` VALUES (13834, 6428, 4, 'El no puede salvarse en CouchDB.');
INSERT INTO `lang_definitions` VALUES (13835, 6429, 4, 'El fichero puede no estar correctamente renombrado, este error está normalmente relacionado con problemas de permiso en el sistema de almacenamiento.');
INSERT INTO `lang_definitions` VALUES (13836, 6430, 4, 'El fichero no ha sido archivado correctamente');
INSERT INTO `lang_definitions` VALUES (13837, 6433, 4, 'El primer paso es abrir una cuenta en el sitio web Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (13838, 6434, 4, 'Los siguientes eventos del calendario, se ha añadido:');
INSERT INTO `lang_definitions` VALUES (13839, 6435, 4, 'Los siguientes eventos del calendario ha sido modificada:');
INSERT INTO `lang_definitions` VALUES (13840, 6436, 4, 'Las siguentes categorías serán eliminadas de su lista de categorías');
INSERT INTO `lang_definitions` VALUES (13841, 6437, 4, 'La siguiente versión de la base de datos está actualmente instalada');
INSERT INTO `lang_definitions` VALUES (13842, 6439, 4, 'El siguiente fichero EDI ha sido subido');
INSERT INTO `lang_definitions` VALUES (13843, 6440, 4, 'El inicio sesión de usuario de emergencia siguiente esta activado:');
INSERT INTO `lang_definitions` VALUES (13844, 6441, 4, 'Los errores siguientes ocurrieron');
INSERT INTO `lang_definitions` VALUES (13845, 6444, 4, 'Los campos soguientes son requeridos');
INSERT INTO `lang_definitions` VALUES (13846, 6446, 4, 'Los siguientes campos tienen que estar rellenos para enviar la solicitud.');
INSERT INTO `lang_definitions` VALUES (13847, 6449, 4, 'Nombre del Host de la máquina repositoria auditoría ATNA');
INSERT INTO `lang_definitions` VALUES (13848, 6450, 4, 'La pantalla inicial es la página de búsqueda de la factura. En la parte superior puede introducir un dato (ej. número de cheque), fecha de pago e importe del cheque. El motivo del dato y la fecha de pago es para que no tenga que introducir una y otra vez para cada reclamo. La cantidad que usted introduzca será disminuido por cada factura que tenga pago parcial, y se espera que acabará en cero cuando haya terminado.');
INSERT INTO `lang_definitions` VALUES (13849, 6451, 4, 'Se necesita crear directorio de instalacion');
INSERT INTO `lang_definitions` VALUES (13850, 6454, 4, 'La versión instalada y los ficheros preparados son iguales.');
INSERT INTO `lang_definitions` VALUES (13851, 6455, 4, 'La versión instalada es más reciente que los ficheros preparados.');
INSERT INTO `lang_definitions` VALUES (13852, 6456, 4, 'La etiqueta que se muestra al usuario en el formulario');
INSERT INTO `lang_definitions` VALUES (13853, 6457, 4, 'La longitud no debe exceder el siguiente número de caracteres');
INSERT INTO `lang_definitions` VALUES (13854, 6460, 4, 'La nueva categoría será una subcategoría de ');
INSERT INTO `lang_definitions` VALUES (13855, 6461, 4, 'La nueva contraseña no puede ser la misma que la actual.');
INSERT INTO `lang_definitions` VALUES (13856, 6462, 4, 'Las contraseñas no son iguales');
INSERT INTO `lang_definitions` VALUES (13857, 6464, 4, 'El número de ficheros preparados es incorrecto. Sólo coloque los ficheros que quiera instalar/actualizar.');
INSERT INTO `lang_definitions` VALUES (13858, 6465, 4, 'La página será redirigida a demográficos. Puede editar el campo de país y click a través de NewCrop de nuevo.');
INSERT INTO `lang_definitions` VALUES (13859, 6466, 4, 'La contraseña debe tener al menos ocho caracteres, y debe');
INSERT INTO `lang_definitions` VALUES (13860, 6468, 4, 'La solicitud de registro del paciente ha sido registrada.');
INSERT INTO `lang_definitions` VALUES (13861, 6469, 4, 'Los recordatorios del paciente han sido enviados');
INSERT INTO `lang_definitions` VALUES (13862, 6470, 4, 'Los recordatorios del paciente han sido actualizados');
INSERT INTO `lang_definitions` VALUES (13863, 6472, 4, 'Los pagos enviados no pueden ser antes de esta fecha. Esto asegura que después del informe final nadie puede enviar fechas anteriores.');
INSERT INTO `lang_definitions` VALUES (13864, 6474, 4, 'Los datos crudos pueden obtenerse de:');
INSERT INTO `lang_definitions` VALUES (13865, 6475, 4, 'La información restante abajo se aplica solamente si usted está fijando manualmente, o si usted está haciendo correcciones manuales.');
INSERT INTO `lang_definitions` VALUES (13866, 6477, 4, 'El documento solicitado no está presente en el lugar previsto en el sistema de ficheros o no hay suficientes permisos para acceder a ella.');
INSERT INTO `lang_definitions` VALUES (13867, 6480, 4, 'Las columnas de la fuente y de fecha se copian de la primera página, por lo que normalmente no será necesario que los toque. Usted puede poner una cantidad del pago en la columna de pagos, una cantidad de ajuste en la columna de ajuste, o ambas. Puede también hacer clic en \" W\" a la derecha de computar automáticamente un ajuste valorar que escriba del resto de la carga para esa línea artículo.');
INSERT INTO `lang_definitions` VALUES (13868, 6481, 4, 'La versión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (13869, 6482, 4, 'La revisión de todos los ficheros preparados no es la misma.');
INSERT INTO `lang_definitions` VALUES (13870, 6484, 4, 'La división temporal del calendario y el menor intervalo en minutos para una ranura de cita.');
INSERT INTO `lang_definitions` VALUES (13871, 6485, 4, 'La etiqueta traducida que aparecerá en la forma en lengua actual');
INSERT INTO `lang_definitions` VALUES (13872, 6486, 4, 'El título traducido que aparecerá en lengua actual');
INSERT INTO `lang_definitions` VALUES (13873, 6487, 4, 'La traducción de descripción en lengua actual');
INSERT INTO `lang_definitions` VALUES (13874, 6488, 4, 'La tabla de traducción está sincronizada');
INSERT INTO `lang_definitions` VALUES (13875, 6489, 4, 'Tipo de esta entidad');
INSERT INTO `lang_definitions` VALUES (13876, 6490, 4, 'El código de identificación específico del proveedor de este procedimiento o el resultado');
INSERT INTO `lang_definitions` VALUES (13877, 6491, 4, 'Los ficheros X12, así como la salida de informes HTML resultantes son archivados en el subdirectorio -era- del directorio principal de la instalación de LibreEHR. Si quiere hacer referencia a estos ficheros de vez en cuando. La URL es');
INSERT INTO `lang_definitions` VALUES (13878, 6492, 4, 'El file comprimido ha de contener los siguientes items');
INSERT INTO `lang_definitions` VALUES (13879, 6493, 4, 'Tema');
INSERT INTO `lang_definitions` VALUES (13880, 6495, 4, 'Inyecciones Terapéuticas');
INSERT INTO `lang_definitions` VALUES (13881, 6496, 4, 'Existen');
INSERT INTO `lang_definitions` VALUES (13882, 6497, 4, 'Actualmente no hay recetas');
INSERT INTO `lang_definitions` VALUES (13883, 6498, 4, 'Hay errores con su sumisión. estos se contornean abajo.');
INSERT INTO `lang_definitions` VALUES (13884, 6500, 4, 'No hay registros sacados');
INSERT INTO `lang_definitions` VALUES (13885, 6501, 4, 'No hay revelaciones de info grabadas para este paciente.');
INSERT INTO `lang_definitions` VALUES (13886, 6502, 4, 'No hay nuevas sumisiones');
INSERT INTO `lang_definitions` VALUES (13887, 6503, 4, 'No hay notas en el file para este paciente');
INSERT INTO `lang_definitions` VALUES (13888, 6504, 4, 'No hay transacciones archivadas para ese paciente');
INSERT INTO `lang_definitions` VALUES (13889, 6505, 4, 'Se ha producido un error al enviar correo a');
INSERT INTO `lang_definitions` VALUES (13890, 6506, 4, 'Ya existe una categoria nombrada');
INSERT INTO `lang_definitions` VALUES (13891, 6507, 4, 'Ya existe una subcategoria nombrada');
INSERT INTO `lang_definitions` VALUES (13892, 6508, 4, 'Ya existe un item nombrado');
INSERT INTO `lang_definitions` VALUES (13893, 6509, 4, 'Ya está abierto el registro de paciente solicitado.');
INSERT INTO `lang_definitions` VALUES (13894, 6510, 4, 'No hay entrada de COA para la cuenta de AR ');
INSERT INTO `lang_definitions` VALUES (13895, 6511, 4, 'No hay entrada de COA para la cuenta de efectivo ');
INSERT INTO `lang_definitions` VALUES (13896, 6512, 4, 'No hay entrada de COA para la cuenta de ingresos ');
INSERT INTO `lang_definitions` VALUES (13897, 6513, 4, 'El paciente actual no existe');
INSERT INTO `lang_definitions` VALUES (13898, 6515, 4, 'No hay identificacion igual de la factura');
INSERT INTO `lang_definitions` VALUES (13899, 6516, 4, 'No hay identificacion igual de la factura = ');
INSERT INTO `lang_definitions` VALUES (13900, 6517, 4, 'No hay partes de entrada para los servicios de identificación ');
INSERT INTO `lang_definitions` VALUES (13901, 6520, 4, 'Se ha producido un error mientras se procesaba su solicitud.');
INSERT INTO `lang_definitions` VALUES (13902, 6522, 4, 'Estos son los enlaces de 2012');
INSERT INTO `lang_definitions` VALUES (13903, 6523, 4, 'Espesado a la derecha:');
INSERT INTO `lang_definitions` VALUES (13904, 6524, 4, 'Muslo');
INSERT INTO `lang_definitions` VALUES (13905, 6525, 4, 'Muslo + tendón de la corva');
INSERT INTO `lang_definitions` VALUES (13906, 6527, 4, 'Cosas que la oficina trasera puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (13907, 6528, 4, 'Things that back office can read and modify');
INSERT INTO `lang_definitions` VALUES (13908, 6531, 4, 'Cosas que los clínicos pueden leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (13909, 6532, 4, 'Cosas que los clinicos pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (13910, 6535, 4, 'Cosas que la oficina central puede leer y entrar pero no modificar');
INSERT INTO `lang_definitions` VALUES (13911, 6536, 4, 'Cosas que la oficina central puede leer y modificar');
INSERT INTO `lang_definitions` VALUES (13912, 6539, 4, 'Cosas que los médicos pueden entrar y leer pero no modificar');
INSERT INTO `lang_definitions` VALUES (13913, 6540, 4, 'Cosas que los médicos pueden leer y modificar');
INSERT INTO `lang_definitions` VALUES (13914, 6542, 4, 'Tercera');
INSERT INTO `lang_definitions` VALUES (13915, 6544, 4, 'Esta acción NO SE PUEDE deshacer.');
INSERT INTO `lang_definitions` VALUES (13916, 6545, 4, 'Esta acción no se puede deshacer.');
INSERT INTO `lang_definitions` VALUES (13917, 6547, 4, 'Esta acción se registrará');
INSERT INTO `lang_definitions` VALUES (13918, 6549, 4, 'El espacio para la cita está ocupado, ¿usarlo de todas formas?');
INSERT INTO `lang_definitions` VALUES (13919, 6550, 4, 'Este espacio para cita no está disponible, por favor elegir otro.');
INSERT INTO `lang_definitions` VALUES (13920, 6551, 4, 'Este año de calendario');
INSERT INTO `lang_definitions` VALUES (13921, 6552, 4, 'Este reclamo ha sido cancelado.');
INSERT INTO `lang_definitions` VALUES (13922, 6553, 4, 'La reclamación ha sido cerrada.');
INSERT INTO `lang_definitions` VALUES (13923, 6554, 4, 'La reclamación ha sido denegada. Razón:-');
INSERT INTO `lang_definitions` VALUES (13924, 6555, 4, 'La reclamación ha sido enviada a otro nivel');
INSERT INTO `lang_definitions` VALUES (13925, 6556, 4, 'Este tipo de código no acepta las relaciones.');
INSERT INTO `lang_definitions` VALUES (13926, 6557, 4, 'Este contexto contiene categorias, las cuales serán borradas. ¿Quiere continuar?');
INSERT INTO `lang_definitions` VALUES (13927, 6558, 4, 'Esto determina como se visualizarán las citas en el calendario.');
INSERT INTO `lang_definitions` VALUES (13928, 6559, 4, 'Esto determina como será el esquema de color usado para las citas');
INSERT INTO `lang_definitions` VALUES (13929, 6561, 4, 'Esta Visita');
INSERT INTO `lang_definitions` VALUES (13930, 6562, 4, 'Esta visita ha sido facturada. Si necesita cambiarlo, debe ser re-abierta.');
INSERT INTO `lang_definitions` VALUES (13931, 6564, 4, 'Esta caracteristica ya no está disponible');
INSERT INTO `lang_definitions` VALUES (13932, 6565, 4, 'Este atributo es experimental y no probado. Use a riesgo propio.');
INSERT INTO `lang_definitions` VALUES (13933, 6566, 4, 'Este número de factura se ha cambiado a ');
INSERT INTO `lang_definitions` VALUES (13934, 6572, 4, 'esta ubicación');
INSERT INTO `lang_definitions` VALUES (13935, 6575, 4, 'Este módulo está en modo de prueba. La base de datos no será cambiada.');
INSERT INTO `lang_definitions` VALUES (13936, 6576, 4, 'Este módulo promueve la entrada eficiente de los datos de EOB.');
INSERT INTO `lang_definitions` VALUES (13937, 6577, 4, 'Este mes a fecha');
INSERT INTO `lang_definitions` VALUES (13938, 6579, 4, 'Esta página le permite revisar cada uno de los dataloads externos compatibles que puede instalar y actualizar. Cada sección de abajo se puede ampliar haciendo clic en la cabecera de sección para revisar el estado de interés de la bbdd.');
INSERT INTO `lang_definitions` VALUES (13939, 6581, 4, 'En esta página se incluye en línea la página de inicio de sesión, de modo que no tenemos que hacer clic en iniciar la sesión cada vez.');
INSERT INTO `lang_definitions` VALUES (13940, 6582, 4, 'Este paciente no tiene ninguna actividad.');
INSERT INTO `lang_definitions` VALUES (13941, 6583, 4, 'Este Nº Identificación de paciente ya está en uso!');
INSERT INTO `lang_definitions` VALUES (13942, 6584, 4, 'Este producto solo permite un lote por deposito');
INSERT INTO `lang_definitions` VALUES (13943, 6586, 4, 'Este informe actualmente sólo funciona para códigos ICD9.');
INSERT INTO `lang_definitions` VALUES (13944, 6591, 4, 'Este paso generará un fichero el cual salvará para uso futuro. El fichero no se puede generar de nuevo. ¿Quiere proceder?');
INSERT INTO `lang_definitions` VALUES (13945, 6592, 4, 'Este usuario no es miembro de ningún grupo');
INSERT INTO `lang_definitions` VALUES (13946, 6595, 4, 'Esta visita comienza nuevo uso anticonceptivo');
INSERT INTO `lang_definitions` VALUES (13947, 6596, 4, 'Esta visita necesitará un formulario GCAC, derivación o procedimiento de servicio.');
INSERT INTO `lang_definitions` VALUES (13948, 6597, 4, 'Esta fue la métrica más antigua de formularios de constantes vitales, ahora en desuso.');
INSERT INTO `lang_definitions` VALUES (13949, 6598, 4, 'Esta semana a fecha');
INSERT INTO `lang_definitions` VALUES (13950, 6600, 4, 'Esto activará informes CCR(Continuity of Care Record) y CCD(Continuity of Care Document)');
INSERT INTO `lang_definitions` VALUES (13951, 6602, 4, 'Esto permitirá la selección de la depuración (\'dummy\') de idioma.');
INSERT INTO `lang_definitions` VALUES (13952, 6606, 4, 'Esto creará un backup en formato tar y luego lo envia a su navegador web para que lo pueda guardar');
INSERT INTO `lang_definitions` VALUES (13953, 6607, 4, 'Esto desactivará las características de encriptación/desencriptación del documento, y lo ocultará en el UI.');
INSERT INTO `lang_definitions` VALUES (13954, 6613, 4, 'Esto forzará el widget de facturación en la pantalla resumen del paciente para que se abra siempre.');
INSERT INTO `lang_definitions` VALUES (13955, 6617, 4, 'Esto no le impiderá ir al sitio de recetas electrónicas.');
INSERT INTO `lang_definitions` VALUES (13956, 6619, 4, 'Esto usará la lista de vacunación personalizada en lugar de la lista de vacunación estándar CVX.');
INSERT INTO `lang_definitions` VALUES (13957, 6622, 4, 'Espina dorsal torácica');
INSERT INTO `lang_definitions` VALUES (13958, 6623, 4, 'Miles/CU.MM');
INSERT INTO `lang_definitions` VALUES (13959, 6625, 4, 'Garganta');
INSERT INTO `lang_definitions` VALUES (13960, 6626, 4, 'Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (13961, 6627, 4, 'Cirugía del Cáncer de Garganta');
INSERT INTO `lang_definitions` VALUES (13962, 6628, 4, 'Trombosis/Derrame Cerebral');
INSERT INTO `lang_definitions` VALUES (13963, 6629, 4, 'Jueves');
INSERT INTO `lang_definitions` VALUES (13964, 6630, 4, 'Jueves');
INSERT INTO `lang_definitions` VALUES (13965, 6631, 4, 'Jueves');
INSERT INTO `lang_definitions` VALUES (13966, 6632, 4, 'Tiroides normal');
INSERT INTO `lang_definitions` VALUES (13967, 6633, 4, 'Problemas de la Tiroides');
INSERT INTO `lang_definitions` VALUES (13968, 6634, 4, 'TIA');
INSERT INTO `lang_definitions` VALUES (13969, 6638, 4, 'Hora');
INSERT INTO `lang_definitions` VALUES (13970, 6639, 4, 'Formato visualización de hora');
INSERT INTO `lang_definitions` VALUES (13971, 6640, 4, 'Incremento de tiempo para agregar (minutos 1-60)');
INSERT INTO `lang_definitions` VALUES (13972, 6641, 4, 'Seleccion de tiempo');
INSERT INTO `lang_definitions` VALUES (13973, 6642, 4, 'La ventana de tiempo está abierta, salvando evento');
INSERT INTO `lang_definitions` VALUES (13974, 6647, 4, 'Evento con horario');
INSERT INTO `lang_definitions` VALUES (13975, 6648, 4, 'Matriz tiempos (NO APLICABLE)');
INSERT INTO `lang_definitions` VALUES (13976, 6649, 4, 'Reloj fechador y texto');
INSERT INTO `lang_definitions` VALUES (13977, 6650, 4, 'TIN');
INSERT INTO `lang_definitions` VALUES (13978, 6651, 4, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (13979, 6652, 4, 'Titulo');
INSERT INTO `lang_definitions` VALUES (13980, 6653, 4, 'Titulo V');
INSERT INTO `lang_definitions` VALUES (13981, 6654, 4, 'Cols título debe ser un número entre 1 y 999');
INSERT INTO `lang_definitions` VALUES (13982, 6655, 4, 'Títulos');
INSERT INTO `lang_definitions` VALUES (13983, 6656, 4, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (13984, 6657, 4, 'TMs/EAMs/EE, ext nariz');
INSERT INTO `lang_definitions` VALUES (13985, 6658, 4, 'Para');
INSERT INTO `lang_definitions` VALUES (13986, 6659, 4, 'PARA');
INSERT INTO `lang_definitions` VALUES (13987, 6660, 4, 'para');
INSERT INTO `lang_definitions` VALUES (13988, 6661, 4, 'Hacia la ruta absoluta del file');
INSERT INTO `lang_definitions` VALUES (13989, 6662, 4, 'Favor Selecciona para agregar notas ');
INSERT INTO `lang_definitions` VALUES (13990, 6663, 4, 'Para añadir notas, por favor haga click aquí');
INSERT INTO `lang_definitions` VALUES (13991, 6664, 4, 'Área afectada');
INSERT INTO `lang_definitions` VALUES (13992, 6665, 4, 'área afectada');
INSERT INTO `lang_definitions` VALUES (13993, 6666, 4, 'Para abrir automáticamente el formulario específico. Algunos equipos deportivos usan aquí auditoria de fútbol.');
INSERT INTO `lang_definitions` VALUES (13994, 6667, 4, 'Ver facturación');
INSERT INTO `lang_definitions` VALUES (13995, 6668, 4, 'a la categoría');
INSERT INTO `lang_definitions` VALUES (13996, 6669, 4, 'Ver Clínica');
INSERT INTO `lang_definitions` VALUES (13997, 6670, 4, 'De copago');
INSERT INTO `lang_definitions` VALUES (13998, 6672, 4, 'Para ded\'ble');
INSERT INTO `lang_definitions` VALUES (13999, 6673, 4, 'Ir Demograf.');
INSERT INTO `lang_definitions` VALUES (14000, 6674, 4, 'Para deshabilitar certificado del cliente SSL, comente en lineas de arriba en la configuracion del file Apache y configurar');
INSERT INTO `lang_definitions` VALUES (14001, 6675, 4, 'Para deshabilitar HTTPS, comente en lineas de arriba en el file de configuracion de Apache y reiniciar el servidor Apache');
INSERT INTO `lang_definitions` VALUES (14002, 6676, 4, 'Para habilitar lado del cliente certificados SSL');
INSERT INTO `lang_definitions` VALUES (14003, 6677, 4, 'Para habilitar lado del cliente con certificados de Autenticacion SSL, debe habilitarse HTTPS');
INSERT INTO `lang_definitions` VALUES (14004, 6678, 4, 'Para solo habilitar HTTPS, ejecute los cambios mencionados y reinicie el servidor Apache');
INSERT INTO `lang_definitions` VALUES (14005, 6679, 4, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (14006, 6680, 4, 'Para filtrar por sexo');
INSERT INTO `lang_definitions` VALUES (14007, 6681, 4, 'La Historia');
INSERT INTO `lang_definitions` VALUES (14008, 6682, 4, 'Para cuestiones');
INSERT INTO `lang_definitions` VALUES (14009, 6683, 4, 'Para ligar este encuentro/consulta a un asunto existente, pinche el ');
INSERT INTO `lang_definitions` VALUES (14010, 6684, 4, 'Para enlazar este encuentro / consultar a un problema, haga clic en el tema de arriba para destacar y, a continuación, haga clic en [Guardar]. Mantenga pulsada la tecla [Ctrl] para seleccionar múltiples cuestiones.');
INSERT INTO `lang_definitions` VALUES (14011, 6685, 4, 'volver a iniciar sesión');
INSERT INTO `lang_definitions` VALUES (14012, 6686, 4, 'Para grabar revelaciones de info, por favor click');
INSERT INTO `lang_definitions` VALUES (14013, 6687, 4, 'Para Ejecutar');
INSERT INTO `lang_definitions` VALUES (14014, 6688, 4, 'Para configurar el acceso https con autenticación de certificados de cliente, haga lo siguiente');
INSERT INTO `lang_definitions` VALUES (14015, 6689, 4, 'Para la piel');
INSERT INTO `lang_definitions` VALUES (14016, 6690, 4, 'para la piel');
INSERT INTO `lang_definitions` VALUES (14017, 6691, 4, '¿a esta visita?');
INSERT INTO `lang_definitions` VALUES (14018, 6693, 4, 'Hasta:');
INSERT INTO `lang_definitions` VALUES (14019, 6694, 4, 'Hasta: ');
INSERT INTO `lang_definitions` VALUES (14020, 6695, 4, 'PARA_CIUDAD');
INSERT INTO `lang_definitions` VALUES (14021, 6696, 4, 'PARA_FAX');
INSERT INTO `lang_definitions` VALUES (14022, 6697, 4, 'PARA_NOMBRE');
INSERT INTO `lang_definitions` VALUES (14023, 6698, 4, 'PARA_APELLIDO');
INSERT INTO `lang_definitions` VALUES (14024, 6699, 4, 'PARA_SEGUNDONOMBRE');
INSERT INTO `lang_definitions` VALUES (14025, 6700, 4, 'PARA_ORGANIZACIÓN');
INSERT INTO `lang_definitions` VALUES (14026, 6703, 4, 'PARA_POSTAL');
INSERT INTO `lang_definitions` VALUES (14027, 6704, 4, 'PARA_ESTADO');
INSERT INTO `lang_definitions` VALUES (14028, 6705, 4, 'PARA_CALLE');
INSERT INTO `lang_definitions` VALUES (14029, 6706, 4, 'PARA_TÍTULO');
INSERT INTO `lang_definitions` VALUES (14030, 6707, 4, 'PARA_DESPEDIDA');
INSERT INTO `lang_definitions` VALUES (14031, 6708, 4, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (14032, 6709, 4, 'Intervención para dejar el tabaco');
INSERT INTO `lang_definitions` VALUES (14033, 6710, 4, 'Intervención para dejar el tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (14034, 6712, 4, 'Consumo de tabaco');
INSERT INTO `lang_definitions` VALUES (14035, 6713, 4, 'Evaluación consumo tabaco');
INSERT INTO `lang_definitions` VALUES (14036, 6714, 4, 'Evaluación consumo tabaco (GCC)');
INSERT INTO `lang_definitions` VALUES (14037, 6715, 4, 'Hoy');
INSERT INTO `lang_definitions` VALUES (14038, 6716, 4, 'HOY');
INSERT INTO `lang_definitions` VALUES (14039, 6717, 4, 'hoy');
INSERT INTO `lang_definitions` VALUES (14040, 6718, 4, 'Balance actual');
INSERT INTO `lang_definitions` VALUES (14041, 6719, 4, 'Cargos actuales');
INSERT INTO `lang_definitions` VALUES (14042, 6720, 4, 'Fecha de Hoy');
INSERT INTO `lang_definitions` VALUES (14043, 6721, 4, 'Eventos de Hoy');
INSERT INTO `lang_definitions` VALUES (14044, 6726, 4, 'Tonsilectomía');
INSERT INTO `lang_definitions` VALUES (14045, 6728, 4, 'Superior');
INSERT INTO `lang_definitions` VALUES (14046, 6730, 4, 'Tema');
INSERT INTO `lang_definitions` VALUES (14047, 6731, 4, 'Total');
INSERT INTO `lang_definitions` VALUES (14048, 6732, 4, 'total');
INSERT INTO `lang_definitions` VALUES (14049, 6733, 4, 'Total acciones activas');
INSERT INTO `lang_definitions` VALUES (14050, 6734, 4, 'Total recordatorios activos después de actualizar');
INSERT INTO `lang_definitions` VALUES (14051, 6735, 4, 'Total recordatorios activos antes de actualizar');
INSERT INTO `lang_definitions` VALUES (14052, 6737, 4, 'Total de cantidad adeudada');
INSERT INTO `lang_definitions` VALUES (14053, 6738, 4, 'Cantidad total pagada');
INSERT INTO `lang_definitions` VALUES (14054, 6740, 4, 'Total carga');
INSERT INTO `lang_definitions` VALUES (14055, 6741, 4, 'Total de cargos');
INSERT INTO `lang_definitions` VALUES (14056, 6742, 4, 'Total de Clientes');
INSERT INTO `lang_definitions` VALUES (14057, 6743, 4, 'Costo total');
INSERT INTO `lang_definitions` VALUES (14058, 6744, 4, 'La distribución total para los siguientes números de cheque es incompleta');
INSERT INTO `lang_definitions` VALUES (14059, 6745, 4, 'total entradas');
INSERT INTO `lang_definitions` VALUES (14060, 6746, 4, 'Total recordatorios enviados vía email fallidos');
INSERT INTO `lang_definitions` VALUES (14061, 6747, 4, 'Total recordatorios enviados vía teléfono fallidos');
INSERT INTO `lang_definitions` VALUES (14062, 6748, 4, 'Total para');
INSERT INTO `lang_definitions` VALUES (14063, 6749, 4, 'Total para ');
INSERT INTO `lang_definitions` VALUES (14064, 6750, 4, 'Total para la categoría');
INSERT INTO `lang_definitions` VALUES (14065, 6751, 4, 'Total recordatorios inactivos');
INSERT INTO `lang_definitions` VALUES (14066, 6752, 4, 'Total nuevos recordatorios');
INSERT INTO `lang_definitions` VALUES (14067, 6753, 4, 'Número total de citas');
INSERT INTO `lang_definitions` VALUES (14068, 6755, 4, 'NºTotal de vacunas');
INSERT INTO `lang_definitions` VALUES (14069, 6756, 4, 'NºTotal de incidencias');
INSERT INTO `lang_definitions` VALUES (14070, 6758, 4, 'Total número de pacientes');
INSERT INTO `lang_definitions` VALUES (14071, 6760, 4, 'Saldo total de pacientes');
INSERT INTO `lang_definitions` VALUES (14072, 6761, 4, 'Total Pacientes');
INSERT INTO `lang_definitions` VALUES (14073, 6764, 4, 'Total Registros Encontrados');
INSERT INTO `lang_definitions` VALUES (14074, 6765, 4, 'Total SRH & Planificación Familiar');
INSERT INTO `lang_definitions` VALUES (14075, 6766, 4, 'Total recordatorios enviados via email correctos');
INSERT INTO `lang_definitions` VALUES (14076, 6767, 4, 'Total recordatorios enviados via teléfono correctos');
INSERT INTO `lang_definitions` VALUES (14077, 6770, 4, 'Total de recordatorios sin cambios');
INSERT INTO `lang_definitions` VALUES (14078, 6771, 4, 'Total recordatorios no enviados después del proceso de envío');
INSERT INTO `lang_definitions` VALUES (14079, 6772, 4, 'Total recordatorios no enviados después de actualizar');
INSERT INTO `lang_definitions` VALUES (14080, 6773, 4, 'Total recordatorios no enviados antes del proceso de envío');
INSERT INTO `lang_definitions` VALUES (14081, 6774, 4, 'Total recordatorios no enviados antes de actualizar');
INSERT INTO `lang_definitions` VALUES (14082, 6775, 4, 'Total recordatorios actualizados');
INSERT INTO `lang_definitions` VALUES (14083, 6776, 4, 'Total');
INSERT INTO `lang_definitions` VALUES (14084, 6777, 4, 'Total para');
INSERT INTO `lang_definitions` VALUES (14085, 6778, 4, 'Total para ');
INSERT INTO `lang_definitions` VALUES (14086, 6780, 4, 'para{{rango}}');
INSERT INTO `lang_definitions` VALUES (14087, 6785, 4, 'Tipo de Entrenamiento');
INSERT INTO `lang_definitions` VALUES (14088, 6786, 4, 'Tramite');
INSERT INTO `lang_definitions` VALUES (14089, 6787, 4, 'Transacción');
INSERT INTO `lang_definitions` VALUES (14090, 6788, 4, 'transacción');
INSERT INTO `lang_definitions` VALUES (14091, 6789, 4, 'Transaccion fallida, cantidad insuficiente en lote de destino');
INSERT INTO `lang_definitions` VALUES (14092, 6790, 4, 'Transaccion fallida, cantidad es menor de cero');
INSERT INTO `lang_definitions` VALUES (14093, 6791, 4, 'Tipo de Transacción');
INSERT INTO `lang_definitions` VALUES (14094, 6792, 4, 'transacciones');
INSERT INTO `lang_definitions` VALUES (14095, 6793, 4, 'Transacción');
INSERT INTO `lang_definitions` VALUES (14096, 6794, 4, 'Transacciones (escriba opcional)');
INSERT INTO `lang_definitions` VALUES (14097, 6795, 4, 'Transacciones/Derivados');
INSERT INTO `lang_definitions` VALUES (14098, 6797, 4, 'Transferir');
INSERT INTO `lang_definitions` VALUES (14099, 6798, 4, 'Fecha de transferencia');
INSERT INTO `lang_definitions` VALUES (14100, 6799, 4, 'Transferencia fallida, cantidad insuficiebnte el el lote de fuente');
INSERT INTO `lang_definitions` VALUES (14101, 6800, 4, 'Sumario de transferencia');
INSERT INTO `lang_definitions` VALUES (14102, 6801, 4, 'Transferir a');
INSERT INTO `lang_definitions` VALUES (14103, 6804, 4, 'Transferencias');
INSERT INTO `lang_definitions` VALUES (14104, 6806, 4, '¿Transición/Transferencia de cuidados?');
INSERT INTO `lang_definitions` VALUES (14105, 6807, 4, 'Traducir Grupos de Control de Acceso');
INSERT INTO `lang_definitions` VALUES (14106, 6808, 4, 'Traducir Categorías de Citas');
INSERT INTO `lang_definitions` VALUES (14107, 6809, 4, 'Traducir Categorías de Documento');
INSERT INTO `lang_definitions` VALUES (14108, 6810, 4, 'Traducir Diseños');
INSERT INTO `lang_definitions` VALUES (14109, 6811, 4, 'Traducir Listas');
INSERT INTO `lang_definitions` VALUES (14110, 6812, 4, 'Traducir título de notas de paciente');
INSERT INTO `lang_definitions` VALUES (14111, 6813, 4, 'traducir este');
INSERT INTO `lang_definitions` VALUES (14112, 6814, 4, 'Traducción');
INSERT INTO `lang_definitions` VALUES (14113, 6815, 4, 'Traducciones');
INSERT INTO `lang_definitions` VALUES (14114, 6816, 4, 'Trasmisión');
INSERT INTO `lang_definitions` VALUES (14115, 6817, 4, 'Trasmisión fallada');
INSERT INTO `lang_definitions` VALUES (14116, 6818, 4, 'Trasmitir órdenes seleccionadas');
INSERT INTO `lang_definitions` VALUES (14117, 6819, 4, 'Trauma');
INSERT INTO `lang_definitions` VALUES (14118, 6820, 4, 'Tratamiento');
INSERT INTO `lang_definitions` VALUES (14119, 6822, 4, 'Objetivos de Tratamiento');
INSERT INTO `lang_definitions` VALUES (14120, 6823, 4, 'Plan de Tratamiento');
INSERT INTO `lang_definitions` VALUES (14121, 6826, 4, 'Tratamiento:');
INSERT INTO `lang_definitions` VALUES (14122, 6827, 4, 'Tratamiento: ');
INSERT INTO `lang_definitions` VALUES (14123, 6828, 4, 'Tendencia');
INSERT INTO `lang_definitions` VALUES (14124, 6829, 4, 'trftime ($ mes_formato, mkhora(0, 0, 0, $i, 1, 2000))); $ mes_valor');
INSERT INTO `lang_definitions` VALUES (14125, 6830, 4, 'Punto de activación / síndrome compartimental / DOM / calambres');
INSERT INTO `lang_definitions` VALUES (14126, 6831, 4, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (14127, 6832, 4, 'Tronco y abdomen');
INSERT INTO `lang_definitions` VALUES (14128, 6837, 4, 'tsp');
INSERT INTO `lang_definitions` VALUES (14129, 6839, 4, 'TTS');
INSERT INTO `lang_definitions` VALUES (14130, 6840, 4, 'Tuberculosis');
INSERT INTO `lang_definitions` VALUES (14131, 6841, 4, 'Martes');
INSERT INTO `lang_definitions` VALUES (14132, 6842, 4, 'Martes y Jueves');
INSERT INTO `lang_definitions` VALUES (14133, 6843, 4, 'Martes');
INSERT INTO `lang_definitions` VALUES (14134, 6844, 4, 'Tumor');
INSERT INTO `lang_definitions` VALUES (14135, 6845, 4, 'Turco');
INSERT INTO `lang_definitions` VALUES (14136, 6848, 4, 'Dos veses al dia');
INSERT INTO `lang_definitions` VALUES (14137, 6850, 4, 'Membrana Timpánica');
INSERT INTO `lang_definitions` VALUES (14138, 6851, 4, 'Tipo');
INSERT INTO `lang_definitions` VALUES (14139, 6852, 4, 'Teclee ID o nombre. Mínimo 3 caracteres (incluyendo espacios).');
INSERT INTO `lang_definitions` VALUES (14140, 6853, 4, 'Teclee columnas mostradas en los resultados de búsqueda de pacientes');
INSERT INTO `lang_definitions` VALUES (14141, 6854, 4, 'Tipos de revelación de info');
INSERT INTO `lang_definitions` VALUES (14142, 6855, 4, 'Tipo de Eventos');
INSERT INTO `lang_definitions` VALUES (14143, 6856, 4, 'Tipo de diseño de pantalla');
INSERT INTO `lang_definitions` VALUES (14144, 6857, 4, 'Tipee o escanee el identificador del paciente aquí');
INSERT INTO `lang_definitions` VALUES (14145, 6858, 4, 'Teclee su mensaje aquí');
INSERT INTO `lang_definitions` VALUES (14146, 6859, 4, 'Tipo de orden y resultados');
INSERT INTO `lang_definitions` VALUES (14147, 6864, 4, 'Códigos UCSMC provistos por el centro de Medicina del Deporte de la Universidad de Calgary');
INSERT INTO `lang_definitions` VALUES (14148, 6865, 4, 'Ucraniano');
INSERT INTO `lang_definitions` VALUES (14149, 6866, 4, 'Ulceraciones');
INSERT INTO `lang_definitions` VALUES (14150, 6867, 4, 'Colitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (14151, 6868, 4, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (14152, 6871, 4, 'No se puede crear');
INSERT INTO `lang_definitions` VALUES (14153, 6876, 4, 'No aplicado');
INSERT INTO `lang_definitions` VALUES (14154, 6877, 4, 'No asign.');
INSERT INTO `lang_definitions` VALUES (14155, 6878, 4, 'No autorizado');
INSERT INTO `lang_definitions` VALUES (14156, 6879, 4, 'Acceso no autorizado a ePrescripción');
INSERT INTO `lang_definitions` VALUES (14157, 6880, 4, 'Acceso no autorizado.');
INSERT INTO `lang_definitions` VALUES (14158, 6881, 4, 'No facturado');
INSERT INTO `lang_definitions` VALUES (14159, 6882, 4, 'no facturado solamente');
INSERT INTO `lang_definitions` VALUES (14160, 6884, 4, 'debajo de la lengüeta');
INSERT INTO `lang_definitions` VALUES (14161, 6885, 4, 'De peso insuficiente');
INSERT INTO `lang_definitions` VALUES (14162, 6886, 4, 'Sin diagnosticar');
INSERT INTO `lang_definitions` VALUES (14163, 6887, 4, 'SIN DISTRIBUIR');
INSERT INTO `lang_definitions` VALUES (14164, 6888, 4, 'Sin distribuir');
INSERT INTO `lang_definitions` VALUES (14165, 6889, 4, 'No es distribuido');
INSERT INTO `lang_definitions` VALUES (14166, 6890, 4, 'Deshacer liquidación');
INSERT INTO `lang_definitions` VALUES (14167, 6892, 4, 'Clientes únicos');
INSERT INTO `lang_definitions` VALUES (14168, 6893, 4, 'Identificador para este tipo sólo legible por humanos');
INSERT INTO `lang_definitions` VALUES (14169, 6894, 4, 'Nuevos Clientes Distintos');
INSERT INTO `lang_definitions` VALUES (14170, 6895, 4, 'Identificador para este tipo sólo numérico');
INSERT INTO `lang_definitions` VALUES (14171, 6896, 4, 'Unicos Pacientes Vistos');
INSERT INTO `lang_definitions` VALUES (14172, 6897, 4, 'Informe de unicos pacientes vistos');
INSERT INTO `lang_definitions` VALUES (14173, 6898, 4, 'Pactes.únicos vistos');
INSERT INTO `lang_definitions` VALUES (14174, 6899, 4, 'Unidad');
INSERT INTO `lang_definitions` VALUES (14175, 6900, 4, 'Unidades');
INSERT INTO `lang_definitions` VALUES (14176, 6901, 4, 'unidades');
INSERT INTO `lang_definitions` VALUES (14177, 6903, 4, 'Unidades de formularios de visita');
INSERT INTO `lang_definitions` VALUES (14178, 6904, 4, 'Unidades deben ser un numero');
INSERT INTO `lang_definitions` VALUES (14179, 6905, 4, 'Unidades no definidas');
INSERT INTO `lang_definitions` VALUES (14180, 6906, 4, 'Unidades/L');
INSERT INTO `lang_definitions` VALUES (14181, 6907, 4, 'Desconocido');
INSERT INTO `lang_definitions` VALUES (14182, 6910, 4, 'Desconoce si ha fumado alguna vez');
INSERT INTO `lang_definitions` VALUES (14183, 6911, 4, 'Desconocidos o N/A');
INSERT INTO `lang_definitions` VALUES (14184, 6913, 4, 'Desvincular paciente');
INSERT INTO `lang_definitions` VALUES (14185, 6914, 4, 'Sociedad Médica sin nombre');
INSERT INTO `lang_definitions` VALUES (14186, 6915, 4, 'No registrado');
INSERT INTO `lang_definitions` VALUES (14187, 6918, 4, 'Desmarcar todos');
INSERT INTO `lang_definitions` VALUES (14188, 6919, 4, 'Desmarcado');
INSERT INTO `lang_definitions` VALUES (14189, 6920, 4, 'Sin especificar');
INSERT INTO `lang_definitions` VALUES (14190, 6921, 4, 'no estructurado');
INSERT INTO `lang_definitions` VALUES (14191, 6922, 4, 'Fichero de carga NO SOPORTADO por la bbdd');
INSERT INTO `lang_definitions` VALUES (14192, 6924, 4, 'Hasta');
INSERT INTO `lang_definitions` VALUES (14193, 6925, 4, 'Presentación extemporánea');
INSERT INTO `lang_definitions` VALUES (14194, 6926, 4, 'No utilizados');
INSERT INTO `lang_definitions` VALUES (14195, 6927, 4, 'UOR');
INSERT INTO `lang_definitions` VALUES (14196, 6928, 4, 'Hasta');
INSERT INTO `lang_definitions` VALUES (14197, 6929, 4, 'Próximas Citas');
INSERT INTO `lang_definitions` VALUES (14198, 6930, 4, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (14199, 6931, 4, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (14200, 6932, 4, 'actualizar');
INSERT INTO `lang_definitions` VALUES (14201, 6933, 4, 'Actualizacion activa');
INSERT INTO `lang_definitions` VALUES (14202, 6934, 4, 'Actualizar archivos');
INSERT INTO `lang_definitions` VALUES (14203, 6935, 4, 'Actualizar Informacion');
INSERT INTO `lang_definitions` VALUES (14204, 6936, 4, 'Actualizar lista');
INSERT INTO `lang_definitions` VALUES (14205, 6937, 4, 'Actualizar numero de proveedor');
INSERT INTO `lang_definitions` VALUES (14206, 6938, 4, 'Actualizar items seleccionados');
INSERT INTO `lang_definitions` VALUES (14207, 6939, 4, 'Actualizar las siguientes variables en el file');
INSERT INTO `lang_definitions` VALUES (14208, 6940, 4, 'Actualizar informacion de usuario');
INSERT INTO `lang_definitions` VALUES (14209, 6942, 4, 'Updating demographics is not authorized.');
INSERT INTO `lang_definitions` VALUES (14210, 6943, 4, 'Actualizando la configuración global predeterminada');
INSERT INTO `lang_definitions` VALUES (14211, 6944, 4, 'Actualizando indicadores de versión');
INSERT INTO `lang_definitions` VALUES (14212, 6945, 4, 'ACTUALIZACIÓN');
INSERT INTO `lang_definitions` VALUES (14213, 6946, 4, 'Actualizar');
INSERT INTO `lang_definitions` VALUES (14214, 6947, 4, 'Actualizar BBDD');
INSERT INTO `lang_definitions` VALUES (14215, 6948, 4, 'Actualización de base de datos LibreEHR para incluir procedimientos, funciones y tablas necesarias para el proceso de De-identificación.');
INSERT INTO `lang_definitions` VALUES (14216, 6949, 4, 'la actualización continuará');
INSERT INTO `lang_definitions` VALUES (14217, 6950, 4, 'UPIN');
INSERT INTO `lang_definitions` VALUES (14218, 6951, 4, 'Subir');
INSERT INTO `lang_definitions` VALUES (14219, 6954, 4, 'Cargar configuracion de datos');
INSERT INTO `lang_definitions` VALUES (14220, 6955, 4, 'Subir Documento');
INSERT INTO `lang_definitions` VALUES (14221, 6956, 4, 'Carga del documento fallo');
INSERT INTO `lang_definitions` VALUES (14222, 6957, 4, 'Adjuntar imagen a');
INSERT INTO `lang_definitions` VALUES (14223, 6958, 4, 'Subrir archivo de importación:');
INSERT INTO `lang_definitions` VALUES (14224, 6961, 4, 'Upload Report');
INSERT INTO `lang_definitions` VALUES (14225, 6963, 4, 'Subir este archivo:');
INSERT INTO `lang_definitions` VALUES (14226, 6964, 4, 'Al hacer clic en un número de factura el \"manual de desplazamiento ventana\" aparece. Aquí puede cambiar la fecha de vencimiento y toma nota de la factura, para seleccionar la parte a quien se le envío por correo, y seleccione los seguros para que todos esperemos los pagos se han recibidos. Lo que es más importante, para cada código de facturación para los que fue acusado una cantidad, puede introducir la información de pago y el ajuste.');
INSERT INTO `lang_definitions` VALUES (14227, 6965, 4, 'Tras la búsqueda se le presenta con una lista de las facturas. Puede hacer clic en uno de los números de la factura para abrir una segunda ventana, que es la página de entrada de datos manual de desplazamiento. También puede hacer clic sobre el nombre de un paciente si desea escribir una nota que la oficina de personal se verá cuando el paciente en los controles, y usted puede seleccionar que aparezca en las facturas del paciente declaraciones e imprimir esas declaraciones.');
INSERT INTO `lang_definitions` VALUES (14228, 6966, 4, 'Parte superior del brazo');
INSERT INTO `lang_definitions` VALUES (14229, 6968, 4, 'Urgencia');
INSERT INTO `lang_definitions` VALUES (14230, 6970, 4, 'Orina');
INSERT INTO `lang_definitions` VALUES (14231, 6971, 4, 'Goteo de Orina');
INSERT INTO `lang_definitions` VALUES (14232, 6972, 4, 'Frecuencia de la Orina');
INSERT INTO `lang_definitions` VALUES (14233, 6973, 4, 'Vacilación de la Orina');
INSERT INTO `lang_definitions` VALUES (14234, 6974, 4, 'Microalbúmina de la orina');
INSERT INTO `lang_definitions` VALUES (14235, 6975, 4, 'Flujo de Orina');
INSERT INTO `lang_definitions` VALUES (14236, 6976, 4, 'Urgencia de la Orina');
INSERT INTO `lang_definitions` VALUES (14237, 6977, 4, 'URL');
INSERT INTO `lang_definitions` VALUES (14238, 6979, 4, 'URL para soporte LibreEHR');
INSERT INTO `lang_definitions` VALUES (14239, 6981, 4, 'URL para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (14240, 6986, 4, 'Indicador de uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (14241, 6987, 4, 'Use % solo en un campo para ordenar por esa columna');
INSERT INTO `lang_definitions` VALUES (14242, 6988, 4, 'Utilice el formato de 24 horas?');
INSERT INTO `lang_definitions` VALUES (14243, 6991, 4, 'Usar panel de cargos');
INSERT INTO `lang_definitions` VALUES (14244, 6997, 4, 'Usar lista personalizada de vacunación');
INSERT INTO `lang_definitions` VALUES (14245, 6999, 4, 'Utilice Rango de Fechas');
INSERT INTO `lang_definitions` VALUES (14246, 7000, 4, 'Use opciones por defecto');
INSERT INTO `lang_definitions` VALUES (14247, 7001, 4, 'Utilice la Opción Borrar para Eliminar.');
INSERT INTO `lang_definitions` VALUES (14248, 7002, 4, '¿Utilice el estilo internacional de la fecha?');
INSERT INTO `lang_definitions` VALUES (14249, 7003, 4, 'Utilice nombre de fichero fuente');
INSERT INTO `lang_definitions` VALUES (14250, 7004, 4, 'Use los cambpos abajo para una adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (14251, 7005, 4, 'Utilice esta función sólo con los sitios nuevos instalados, ');
INSERT INTO `lang_definitions` VALUES (14252, 7006, 4, 'Usar temas?');
INSERT INTO `lang_definitions` VALUES (14253, 7007, 4, 'Usar');
INSERT INTO `lang_definitions` VALUES (14254, 7009, 4, 'Usuarios/Grupos');
INSERT INTO `lang_definitions` VALUES (14255, 7010, 4, 'Usar Administración');
INSERT INTO `lang_definitions` VALUES (14256, 7011, 4, 'Administración de usuarios y Centros');
INSERT INTO `lang_definitions` VALUES (14257, 7012, 4, 'Administración de usuarios y grupos');
INSERT INTO `lang_definitions` VALUES (14258, 7014, 4, 'Certificado de Autenticacion del usuario esta deshabilitado');
INSERT INTO `lang_definitions` VALUES (14259, 7015, 4, 'Definido por el usuario');
INSERT INTO `lang_definitions` VALUES (14260, 7016, 4, 'Definido por el usuario Zona 11');
INSERT INTO `lang_definitions` VALUES (14261, 7017, 4, 'Definido por el usuario Zona 12');
INSERT INTO `lang_definitions` VALUES (14262, 7018, 4, 'Campo definido por el usario');
INSERT INTO `lang_definitions` VALUES (14263, 7019, 4, 'Definido por el usuario Lista 1');
INSERT INTO `lang_definitions` VALUES (14264, 7020, 4, 'Definido por el usuario Lista 2');
INSERT INTO `lang_definitions` VALUES (14265, 7021, 4, 'Definido por el usuario Lista 3');
INSERT INTO `lang_definitions` VALUES (14266, 7022, 4, 'Definido por el usuario Lista 4');
INSERT INTO `lang_definitions` VALUES (14267, 7023, 4, 'Definido por el usuario Lista 5');
INSERT INTO `lang_definitions` VALUES (14268, 7024, 4, 'Definido por el usuario Lista 6');
INSERT INTO `lang_definitions` VALUES (14269, 7025, 4, 'Definido por el usuario Lista 7');
INSERT INTO `lang_definitions` VALUES (14270, 7026, 4, 'Definido por el usuario Texto 1');
INSERT INTO `lang_definitions` VALUES (14271, 7027, 4, 'Definido por el usuario Texto 2');
INSERT INTO `lang_definitions` VALUES (14272, 7028, 4, 'Definido por el usuario Texto 3');
INSERT INTO `lang_definitions` VALUES (14273, 7029, 4, 'Definido por el usuario Texto 4');
INSERT INTO `lang_definitions` VALUES (14274, 7030, 4, 'Definido por el usuario Texto 5');
INSERT INTO `lang_definitions` VALUES (14275, 7031, 4, 'Definido por el usuario Texto 6');
INSERT INTO `lang_definitions` VALUES (14276, 7032, 4, 'Definido por el usuario Texto 7');
INSERT INTO `lang_definitions` VALUES (14277, 7033, 4, 'Definido por el usuario Texto 8');
INSERT INTO `lang_definitions` VALUES (14278, 7034, 4, 'Usuario Nombre');
INSERT INTO `lang_definitions` VALUES (14279, 7037, 4, 'Ingreso de usuario (Si dice arriba 03 , sino deje espacios) (ISA02)');
INSERT INTO `lang_definitions` VALUES (14280, 7038, 4, 'User logon Required Indicator (ISA01~ use 00 or 03)');
INSERT INTO `lang_definitions` VALUES (14281, 7039, 4, 'Manual de Uso');
INSERT INTO `lang_definitions` VALUES (14282, 7040, 4, 'Permisos de usuarios');
INSERT INTO `lang_definitions` VALUES (14283, 7041, 4, 'Apellido de usuario');
INSERT INTO `lang_definitions` VALUES (14284, 7042, 4, 'Nombre del Usuario o Huesped no pueden estar vacios');
INSERT INTO `lang_definitions` VALUES (14285, 7043, 4, 'Nombre del Usuario o Huesped');
INSERT INTO `lang_definitions` VALUES (14286, 7044, 4, 'User Password (ISA04~ if 01 above, else leave spaces)');
INSERT INTO `lang_definitions` VALUES (14287, 7045, 4, 'User password required Indicator (ISA03~ use 00 or 01)');
INSERT INTO `lang_definitions` VALUES (14288, 7046, 4, 'Ajustes de Usuario');
INSERT INTO `lang_definitions` VALUES (14289, 7047, 4, 'Ajuste Específico de usuario');
INSERT INTO `lang_definitions` VALUES (14290, 7049, 4, 'Nombre de usuario');
INSERT INTO `lang_definitions` VALUES (14291, 7051, 4, 'Usuario para puerta de enlace telefónico. Servicio automático de VOIP desarrollado por Maviq. Por favor visite http://signup.maviq.com para más información.');
INSERT INTO `lang_definitions` VALUES (14292, 7052, 4, 'Nombre de usuario para la entrada de SMS');
INSERT INTO `lang_definitions` VALUES (14293, 7053, 4, 'Usuario para puerta de enlace SMS');
INSERT INTO `lang_definitions` VALUES (14294, 7054, 4, 'Nombre de usuario para conectar con CouchDB');
INSERT INTO `lang_definitions` VALUES (14295, 7055, 4, 'Nombre de usuario:');
INSERT INTO `lang_definitions` VALUES (14296, 7056, 4, 'Usuarios');
INSERT INTO `lang_definitions` VALUES (14297, 7057, 4, 'Usuarios / Grupos / Administración de Registros');
INSERT INTO `lang_definitions` VALUES (14298, 7058, 4, 'usar php <a href=\"http://php.net/strftime\">strfhora</a> formato');
INSERT INTO `lang_definitions` VALUES (14299, 7059, 4, 'Infec. tracto urinario');
INSERT INTO `lang_definitions` VALUES (14300, 7062, 4, 'VACACIONES');
INSERT INTO `lang_definitions` VALUES (14301, 7063, 4, 'Vacaciones');
INSERT INTO `lang_definitions` VALUES (14302, 7064, 4, 'Vacuna');
INSERT INTO `lang_definitions` VALUES (14303, 7065, 4, 'Anillo Vaginal');
INSERT INTO `lang_definitions` VALUES (14304, 7066, 4, 'Despedida');
INSERT INTO `lang_definitions` VALUES (14305, 7067, 4, 'Validar');
INSERT INTO `lang_definitions` VALUES (14306, 7068, 4, 'Valor');
INSERT INTO `lang_definitions` VALUES (14307, 7069, 4, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (14308, 7070, 4, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (14309, 7072, 4, 'El valor debe ser Numérico');
INSERT INTO `lang_definitions` VALUES (14310, 7073, 4, 'Var1');
INSERT INTO `lang_definitions` VALUES (14311, 7074, 4, 'Var2');
INSERT INTO `lang_definitions` VALUES (14312, 7075, 4, 'variable a uno para ejecutar script de actualización des-identificación');
INSERT INTO `lang_definitions` VALUES (14313, 7076, 4, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (14314, 7077, 4, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (14315, 7078, 4, 'Venas varicosas');
INSERT INTO `lang_definitions` VALUES (14316, 7079, 4, 'Condición vascular');
INSERT INTO `lang_definitions` VALUES (14317, 7080, 4, 'Lesión vascular');
INSERT INTO `lang_definitions` VALUES (14318, 7081, 4, 'Cirugía Vascular');
INSERT INTO `lang_definitions` VALUES (14319, 7083, 4, 'Vendedor');
INSERT INTO `lang_definitions` VALUES (14320, 7084, 4, 'Versión');
INSERT INTO `lang_definitions` VALUES (14321, 7085, 4, 'Vértigo');
INSERT INTO `lang_definitions` VALUES (14322, 7086, 4, 'Administración de Veteranos');
INSERT INTO `lang_definitions` VALUES (14323, 7087, 4, 'Plan de Administración de veteranos');
INSERT INTO `lang_definitions` VALUES (14324, 7088, 4, 'VFC');
INSERT INTO `lang_definitions` VALUES (14325, 7089, 4, 'Vietnamita');
INSERT INTO `lang_definitions` VALUES (14326, 7090, 4, 'ver');
INSERT INTO `lang_definitions` VALUES (14327, 7091, 4, 'Ver');
INSERT INTO `lang_definitions` VALUES (14328, 7092, 4, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (14329, 7097, 4, 'Ver Informe comprensiva del paciente');
INSERT INTO `lang_definitions` VALUES (14330, 7100, 4, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (14331, 7101, 4, 'Ver encuentro');
INSERT INTO `lang_definitions` VALUES (14332, 7103, 4, 'Ver los eventos en una ventana móvil?');
INSERT INTO `lang_definitions` VALUES (14333, 7104, 4, 'Ver información de usuario en el centro especificado');
INSERT INTO `lang_definitions` VALUES (14334, 7107, 4, 'Ver Registro');
INSERT INTO `lang_definitions` VALUES (14335, 7108, 4, 'Ver Página 1');
INSERT INTO `lang_definitions` VALUES (14336, 7109, 4, 'Ver Página 2');
INSERT INTO `lang_definitions` VALUES (14337, 7110, 4, 'Ver recordatorios pasados y futuros');
INSERT INTO `lang_definitions` VALUES (14338, 7111, 4, 'Ver Paciente');
INSERT INTO `lang_definitions` VALUES (14339, 7116, 4, 'Ver visitas relacionadas');
INSERT INTO `lang_definitions` VALUES (14340, 7121, 4, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (14341, 7122, 4, 'Ver/Editar incidencia');
INSERT INTO `lang_definitions` VALUES (14342, 7123, 4, 'Ver/Imprimir');
INSERT INTO `lang_definitions` VALUES (14343, 7124, 4, 'Ver:');
INSERT INTO `lang_definitions` VALUES (14344, 7125, 4, 'VISA');
INSERT INTO `lang_definitions` VALUES (14345, 7126, 4, 'VISA/MasterCard/AMEREXPRESS/Discovery');
INSERT INTO `lang_definitions` VALUES (14346, 7127, 4, 'Daño viscerales/trauma/cirugía');
INSERT INTO `lang_definitions` VALUES (14347, 7133, 4, 'Categoría de Visita:');
INSERT INTO `lang_definitions` VALUES (14348, 7134, 4, 'Fecha de Visita');
INSERT INTO `lang_definitions` VALUES (14349, 7135, 4, 'Fecha visita');
INSERT INTO `lang_definitions` VALUES (14350, 7137, 4, 'Formularios de visita');
INSERT INTO `lang_definitions` VALUES (14351, 7138, 4, 'Histórico de Visitas');
INSERT INTO `lang_definitions` VALUES (14352, 7140, 4, 'Visitas');
INSERT INTO `lang_definitions` VALUES (14353, 7141, 4, 'Visitas De');
INSERT INTO `lang_definitions` VALUES (14354, 7142, 4, 'Signos Vitales');
INSERT INTO `lang_definitions` VALUES (14355, 7143, 4, 'Vitales');
INSERT INTO `lang_definitions` VALUES (14356, 7144, 4, 'Vitales (Métrico)');
INSERT INTO `lang_definitions` VALUES (14357, 7146, 4, 'Voz');
INSERT INTO `lang_definitions` VALUES (14358, 7147, 4, 'Voz Enviada');
INSERT INTO `lang_definitions` VALUES (14359, 7149, 4, 'Vómitos');
INSERT INTO `lang_definitions` VALUES (14360, 7151, 4, 'W');
INSERT INTO `lang_definitions` VALUES (14361, 7152, 4, 'Circ cintura');
INSERT INTO `lang_definitions` VALUES (14362, 7153, 4, 'Circunferencia de la Cintura');
INSERT INTO `lang_definitions` VALUES (14363, 7154, 4, 'Espera');
INSERT INTO `lang_definitions` VALUES (14364, 7155, 4, 'Entrar');
INSERT INTO `lang_definitions` VALUES (14365, 7157, 4, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (14366, 7158, 4, 'Tienda de deposito');
INSERT INTO `lang_definitions` VALUES (14367, 7159, 4, 'Almacén máximo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (14368, 7160, 4, 'Almacén mínimo, 0 si no es aplicable');
INSERT INTO `lang_definitions` VALUES (14369, 7161, 4, 'Tiendas de deposito');
INSERT INTO `lang_definitions` VALUES (14370, 7162, 4, 'Cálido');
INSERT INTO `lang_definitions` VALUES (14371, 7163, 4, 'Aviso');
INSERT INTO `lang_definitions` VALUES (14372, 7164, 4, 'AVISO');
INSERT INTO `lang_definitions` VALUES (14373, 7166, 4, 'Aviso, número de cheque ya existe en la base de datos');
INSERT INTO `lang_definitions` VALUES (14374, 7168, 4, 'Aviso: ya hay una cita para este paciente hoy!');
INSERT INTO `lang_definitions` VALUES (14375, 7170, 4, 'Aviso: Nº Identificación del paciente no es único!');
INSERT INTO `lang_definitions` VALUES (14376, 7171, 4, 'AVISO: Esto sobreescribirá la información de configuración con los datos del fichero adjunto!');
INSERT INTO `lang_definitions` VALUES (14377, 7173, 4, 'Avisos');
INSERT INTO `lang_definitions` VALUES (14378, 7175, 4, 'ya se ha subido');
INSERT INTO `lang_definitions` VALUES (14379, 7177, 4, 'Agradecemos su pago a tiempo del balance debido');
INSERT INTO `lang_definitions` VALUES (14380, 7178, 4, 'hemos visto por encima de su paciente para la evaluación y tratamiento en nuestra clínica de consulta externa de psiquiatría. Gracias por esta referencia.');
INSERT INTO `lang_definitions` VALUES (14381, 7179, 4, 'Debilidad');
INSERT INTO `lang_definitions` VALUES (14382, 7181, 4, 'Búsqueda web');
INSERT INTO `lang_definitions` VALUES (14383, 7182, 4, 'Sitio Web');
INSERT INTO `lang_definitions` VALUES (14384, 7183, 4, 'Vínculo sitio web para el Portal del Paciente interno');
INSERT INTO `lang_definitions` VALUES (14385, 7184, 4, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (14386, 7185, 4, 'Miércoles');
INSERT INTO `lang_definitions` VALUES (14387, 7186, 4, 'Semana');
INSERT INTO `lang_definitions` VALUES (14388, 7187, 4, 'semana');
INSERT INTO `lang_definitions` VALUES (14389, 7188, 4, 'Ver Semana');
INSERT INTO `lang_definitions` VALUES (14390, 7189, 4, 'Semana(s)');
INSERT INTO `lang_definitions` VALUES (14391, 7190, 4, 'Exposicion semanal');
INSERT INTO `lang_definitions` VALUES (14392, 7192, 4, 'Semanas');
INSERT INTO `lang_definitions` VALUES (14393, 7193, 4, 'Peso');
INSERT INTO `lang_definitions` VALUES (14394, 7194, 4, 'Evaluación de peso y Orientación para Niños y Adolescentes');
INSERT INTO `lang_definitions` VALUES (14395, 7195, 4, 'Peso evaluación y orientación para niños y adolescentes (GCC)');
INSERT INTO `lang_definitions` VALUES (14396, 7196, 4, 'Cambio de peso');
INSERT INTO `lang_definitions` VALUES (14397, 7197, 4, 'Perdida de Peso');
INSERT INTO `lang_definitions` VALUES (14398, 7198, 4, 'Clínica de Adelgazamiento');
INSERT INTO `lang_definitions` VALUES (14399, 7199, 4, 'Bienvenido');
INSERT INTO `lang_definitions` VALUES (14400, 7202, 4, '¿Cuál debe ser contado?');
INSERT INTO `lang_definitions` VALUES (14401, 7203, 4, 'Los Resuellos:');
INSERT INTO `lang_definitions` VALUES (14402, 7204, 4, 'Sibilancia');
INSERT INTO `lang_definitions` VALUES (14403, 7205, 4, 'Resollando:');
INSERT INTO `lang_definitions` VALUES (14404, 7208, 4, '¿Donde puede los documentos explorados o de papel relacionados que se encontrarán?');
INSERT INTO `lang_definitions` VALUES (14405, 7209, 4, 'Asegurado');
INSERT INTO `lang_definitions` VALUES (14406, 7211, 4, 'Trallazo');
INSERT INTO `lang_definitions` VALUES (14407, 7212, 4, 'Blanco');
INSERT INTO `lang_definitions` VALUES (14408, 7213, 4, 'Quién');
INSERT INTO `lang_definitions` VALUES (14409, 7214, 4, '¿Quién respondió?');
INSERT INTO `lang_definitions` VALUES (14410, 7215, 4, 'Viudo');
INSERT INTO `lang_definitions` VALUES (14411, 7216, 4, 'Ancho');
INSERT INTO `lang_definitions` VALUES (14412, 7217, 4, 'Ancho en píxeles de la barra de navegación izquierda.');
INSERT INTO `lang_definitions` VALUES (14413, 7221, 4, 'Con el seleccionado');
INSERT INTO `lang_definitions` VALUES (14414, 7222, 4, 'con el viejo nombre');
INSERT INTO `lang_definitions` VALUES (14415, 7224, 4, '¿Con quién podemos dejar un mensaje?');
INSERT INTO `lang_definitions` VALUES (14416, 7225, 4, 'Retenido');
INSERT INTO `lang_definitions` VALUES (14417, 7226, 4, 'dentro de horas');
INSERT INTO `lang_definitions` VALUES (14418, 7227, 4, 'dentro de horas:');
INSERT INTO `lang_definitions` VALUES (14419, 7228, 4, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (14420, 7229, 4, 'dentro de minutos:');
INSERT INTO `lang_definitions` VALUES (14421, 7230, 4, 'sin centro');
INSERT INTO `lang_definitions` VALUES (14422, 7231, 4, 'sin proveedor');
INSERT INTO `lang_definitions` VALUES (14423, 7232, 4, 'Sin Actualización');
INSERT INTO `lang_definitions` VALUES (14424, 7233, 4, 'Testigo');
INSERT INTO `lang_definitions` VALUES (14425, 7234, 4, 'Semana');
INSERT INTO `lang_definitions` VALUES (14426, 7235, 4, 'WNL');
INSERT INTO `lang_definitions` VALUES (14427, 7237, 4, 'Mujer');
INSERT INTO `lang_definitions` VALUES (14428, 7238, 4, 'Sólo las Mujeres');
INSERT INTO `lang_definitions` VALUES (14429, 7240, 4, 'Trabajo');
INSERT INTO `lang_definitions` VALUES (14430, 7241, 4, 'NOTA DE TRABAJO');
INSERT INTO `lang_definitions` VALUES (14431, 7242, 4, 'Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (14432, 7243, 4, 'Número de Teléfono de Trabajo');
INSERT INTO `lang_definitions` VALUES (14433, 7244, 4, 'Relacionados con el trabajo?');
INSERT INTO `lang_definitions` VALUES (14434, 7245, 4, 'Trabajo / Educación / aficiones');
INSERT INTO `lang_definitions` VALUES (14435, 7246, 4, 'Nota de Trabajo/Escuela');
INSERT INTO `lang_definitions` VALUES (14436, 7247, 4, 'día de trabajo');
INSERT INTO `lang_definitions` VALUES (14437, 7248, 4, 'Compensación al Trabajador');
INSERT INTO `lang_definitions` VALUES (14438, 7249, 4, 'Indemnización de los trabajadores del Plan de Salud');
INSERT INTO `lang_definitions` VALUES (14439, 7250, 4, 'Beneficiario de edad trabajando o esposa con el Plan de Grupo de Salud Empleador');
INSERT INTO `lang_definitions` VALUES (14440, 7251, 4, 'Trabajando - espere');
INSERT INTO `lang_definitions` VALUES (14441, 7252, 4, 'Peor');
INSERT INTO `lang_definitions` VALUES (14442, 7253, 4, '¿Quieres que el saldo se aplique a la cuanta global?');
INSERT INTO `lang_definitions` VALUES (14443, 7254, 4, 'quiere marcarlo como borrado.');
INSERT INTO `lang_definitions` VALUES (14444, 7255, 4, '¿Quiere asignarlo?');
INSERT INTO `lang_definitions` VALUES (14445, 7256, 4, '¿Quiere Cancelar la distribución para este paciente?');
INSERT INTO `lang_definitions` VALUES (14446, 7257, 4, '¿Quiere borrar la distribución de pago?');
INSERT INTO `lang_definitions` VALUES (14447, 7258, 4, '¿Quiere borrar los pagos?');
INSERT INTO `lang_definitions` VALUES (14448, 7259, 4, '¿Quiere modificar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (14449, 7260, 4, '¿Quiere modificar los pagos?');
INSERT INTO `lang_definitions` VALUES (14450, 7261, 4, '¿Quiere enviar y terminar los pagos?');
INSERT INTO `lang_definitions` VALUES (14451, 7262, 4, '¿Quiere enviar los pagos?');
INSERT INTO `lang_definitions` VALUES (14452, 7263, 4, '¿Quiere salvar?');
INSERT INTO `lang_definitions` VALUES (14453, 7264, 4, 'Muñeca');
INSERT INTO `lang_definitions` VALUES (14454, 7265, 4, 'Muñeca y mano');
INSERT INTO `lang_definitions` VALUES (14455, 7266, 4, 'Problemas de Mano');
INSERT INTO `lang_definitions` VALUES (14456, 7267, 4, 'escribir');
INSERT INTO `lang_definitions` VALUES (14457, 7268, 4, 'Borrar cuenta');
INSERT INTO `lang_definitions` VALUES (14458, 7269, 4, 'Escribir una vez');
INSERT INTO `lang_definitions` VALUES (14459, 7270, 4, 'con algunos');
INSERT INTO `lang_definitions` VALUES (14460, 7271, 4, 'peso');
INSERT INTO `lang_definitions` VALUES (14461, 7273, 4, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (14462, 7274, 4, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (14463, 7275, 4, 'Rayos X');
INSERT INTO `lang_definitions` VALUES (14464, 7276, 4, 'Interpretación de RAYOS X:');
INSERT INTO `lang_definitions` VALUES (14465, 7277, 4, 'Interpretación de Rayos X:');
INSERT INTO `lang_definitions` VALUES (14466, 7278, 4, 'X12 solamente: Demanda de reemplazo ');
INSERT INTO `lang_definitions` VALUES (14467, 7279, 4, 'X12 Socio');
INSERT INTO `lang_definitions` VALUES (14468, 7280, 4, 'X12 Socios');
INSERT INTO `lang_definitions` VALUES (14469, 7284, 4, 'A');
INSERT INTO `lang_definitions` VALUES (14470, 7285, 4, 'Año');
INSERT INTO `lang_definitions` VALUES (14471, 7286, 4, 'Año');
INSERT INTO `lang_definitions` VALUES (14472, 7287, 4, 'Ver año');
INSERT INTO `lang_definitions` VALUES (14473, 7288, 4, 'Año(s)');
INSERT INTO `lang_definitions` VALUES (14474, 7289, 4, 'Años');
INSERT INTO `lang_definitions` VALUES (14475, 7292, 4, 'SI');
INSERT INTO `lang_definitions` VALUES (14476, 7293, 4, 'Si');
INSERT INTO `lang_definitions` VALUES (14477, 7294, 4, 'si');
INSERT INTO `lang_definitions` VALUES (14478, 7295, 4, 'SI!');
INSERT INTO `lang_definitions` VALUES (14479, 7296, 4, 'Sí, Borrar y Registros');
INSERT INTO `lang_definitions` VALUES (14480, 7298, 4, 'Si/No');
INSERT INTO `lang_definitions` VALUES (14481, 7299, 4, 'Si:');
INSERT INTO `lang_definitions` VALUES (14482, 7300, 4, 'Ídish');
INSERT INTO `lang_definitions` VALUES (14483, 7303, 4, 'Estás a punto de reemplazar permanentemente la plantilla existente. ¿Estás seguro de que desea continuar?');
INSERT INTO `lang_definitions` VALUES (14484, 7304, 4, 'Ud esta en el periodo de entrar gratis. Cambie su palabra clave antes');
INSERT INTO `lang_definitions` VALUES (14485, 7305, 4, 'No está permitido eliminar este evento');
INSERT INTO `lang_definitions` VALUES (14486, 7306, 4, 'No está permitido a editar este evento');
INSERT INTO `lang_definitions` VALUES (14487, 7307, 4, 'Usted no está autorizado para esto.');
INSERT INTO `lang_definitions` VALUES (14488, 7308, 4, 'Usted no está autorizado para acceder a esta escuadra.');
INSERT INTO `lang_definitions` VALUES (14489, 7309, 4, 'No está autorizado para añadir/editar incidencias');
INSERT INTO `lang_definitions` VALUES (14490, 7310, 4, 'No está autorizado a programar citas');
INSERT INTO `lang_definitions` VALUES (14491, 7311, 4, 'Usted no está autorizado para ver este encuentro.');
INSERT INTO `lang_definitions` VALUES (14492, 7312, 4, 'Está Ud. publicando para un encuentro viejo?');
INSERT INTO `lang_definitions` VALUES (14493, 7313, 4, 'No se puede acceder a esta función directamente.');
INSERT INTO `lang_definitions` VALUES (14494, 7314, 4, 'No se puede acceder a esta página directamente.');
INSERT INTO `lang_definitions` VALUES (14495, 7315, 4, 'Ud no puede añadir un valor en blanco para una categoria!');
INSERT INTO `lang_definitions` VALUES (14496, 7316, 4, 'Ud no puede añadir un valor en blanco para una subcategoria!');
INSERT INTO `lang_definitions` VALUES (14497, 7317, 4, 'Ud. no puede añadir un valor en blanco para un item!');
INSERT INTO `lang_definitions` VALUES (14498, 7318, 4, 'No puede poner una fecha futura, con un valor completo de SI.');
INSERT INTO `lang_definitions` VALUES (14499, 7319, 4, 'Usted no escogió ninguna acción.');
INSERT INTO `lang_definitions` VALUES (14500, 7320, 4, 'Usted no tiene acceso para ver o editar esta nota');
INSERT INTO `lang_definitions` VALUES (14501, 7321, 4, 'Ud. ha tratado de alterar contenido que está cerrado. Remueva el cierre si desea hacer esta accion. Para abrir, remueva la linea, ·/*lock::*/');
INSERT INTO `lang_definitions` VALUES (14502, 7322, 4, 'Desconectado');
INSERT INTO `lang_definitions` VALUES (14503, 7323, 4, 'Sólo puede actualizar ficheros .txt');
INSERT INTO `lang_definitions` VALUES (14504, 7325, 4, 'Puede poner el texto aquí como queja por defecto en el formulario de visita de nuevo paciente.');
INSERT INTO `lang_definitions` VALUES (14505, 7326, 4, 'Debe introducir la frase clave para encriptar el documento');
INSERT INTO `lang_definitions` VALUES (14506, 7329, 4, 'Primero debe seleccionar o agregar un paciente.');
INSERT INTO `lang_definitions` VALUES (14507, 7330, 4, 'Primero debe seleccionar o crear un encuentro.');
INSERT INTO `lang_definitions` VALUES (14508, 7331, 4, 'Debe seleccionar una categoría de visita');
INSERT INTO `lang_definitions` VALUES (14509, 7332, 4, 'Ud. debe seleccionar una categoria para la visita');
INSERT INTO `lang_definitions` VALUES (14510, 7333, 4, 'Debe seleccionar algunos campos para continuar.');
INSERT INTO `lang_definitions` VALUES (14511, 7334, 4, 'Usted debería estar ejecutando esta prueba si este reclamo parece generarse con éxito, pero los datos no están completos. Esto esevidente con reclamos HCFA porque son legibles a simple vista, pero es más difícil saberlo con reclamos X12.');
INSERT INTO `lang_definitions` VALUES (14512, 7335, 4, 'Debe seleccionar al menos un contexto');
INSERT INTO `lang_definitions` VALUES (14513, 7336, 4, 'Debe seleccionar al menos un Facultativo');
INSERT INTO `lang_definitions` VALUES (14514, 7339, 4, 'Su fecha de finalización no es válida');
INSERT INTO `lang_definitions` VALUES (14515, 7340, 4, 'Su evento ha sido suprimido');
INSERT INTO `lang_definitions` VALUES (14516, 7341, 4, 'Su evento ha sido modificado');
INSERT INTO `lang_definitions` VALUES (14517, 7342, 4, 'Su evento ha sido aceptado');
INSERT INTO `lang_definitions` VALUES (14518, 7343, 4, 'El fichero es demasiado grande');
INSERT INTO `lang_definitions` VALUES (14519, 7345, 4, 'Su nombre de la lista se ha cambiado para resolver el nombramiento de requisitos.');
INSERT INTO `lang_definitions` VALUES (14520, 7347, 4, 'Su nombre para esta categoria, procedmiento o resultado');
INSERT INTO `lang_definitions` VALUES (14521, 7349, 4, 'Su Palabra Clave ha expirado. Favor de cambiar su palabra clave.');
INSERT INTO `lang_definitions` VALUES (14522, 7350, 4, 'Su Palabra Clave expira en');
INSERT INTO `lang_definitions` VALUES (14523, 7351, 4, 'Su Palabra Clave expira hoy. Favor de cambiar su palabra clave.');
INSERT INTO `lang_definitions` VALUES (14524, 7353, 4, 'Su configuración de PosteCalendario se ha reajustado a los defectos del uso.');
INSERT INTO `lang_definitions` VALUES (14525, 7354, 4, 'Se ha puesto al día su configuración de PosteCalendario.');
INSERT INTO `lang_definitions` VALUES (14526, 7355, 4, 'Su frecuencia de repetición debe ser un número entero.');
INSERT INTO `lang_definitions` VALUES (14527, 7356, 4, 'Su frecuencia de repetición debe ser por lo menos 1.');
INSERT INTO `lang_definitions` VALUES (14528, 7357, 4, 'Su fecha de inicio es mayor que su fecha de finalización');
INSERT INTO `lang_definitions` VALUES (14529, 7358, 4, 'Su fecha de inicio no es válido');
INSERT INTO `lang_definitions` VALUES (14530, 7359, 4, 'Su sumisión falló.');
INSERT INTO `lang_definitions` VALUES (14531, 7360, 4, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (14532, 7361, 4, 'AAAA-MM-DD');
INSERT INTO `lang_definitions` VALUES (14533, 7362, 4, 'aaaa-mm-dd fecha asociada con este documento');
INSERT INTO `lang_definitions` VALUES (14534, 7363, 4, 'aaaa-mm-dd fecha destruido');
INSERT INTO `lang_definitions` VALUES (14535, 7364, 4, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (14536, 7365, 4, 'aaaa-mm-dd F.Nacim.');
INSERT INTO `lang_definitions` VALUES (14537, 7366, 4, 'aaaa-mm-dd fecha de expiración');
INSERT INTO `lang_definitions` VALUES (14538, 7367, 4, 'aaaa-mm-dd Fecha de inicio o de hospitalización');
INSERT INTO `lang_definitions` VALUES (14539, 7368, 4, 'aaaa-mm-dd fecha de inicio, cirugía o comienzo de la medicación');
INSERT INTO `lang_definitions` VALUES (14540, 7369, 4, 'aaaa-mm-dd fecha de adquisicion o transferencia');
INSERT INTO `lang_definitions` VALUES (14541, 7370, 4, 'aaaa-mm-dd fecha de recuperación o al final de la medicación');
INSERT INTO `lang_definitions` VALUES (14542, 7371, 4, 'aaaa-mm-dd Fecha de volver a jugar');
INSERT INTO `lang_definitions` VALUES (14543, 7372, 4, 'aaaa-mm-dd Fecha de servicios');
INSERT INTO `lang_definitions` VALUES (14544, 7373, 4, 'aaaa-mm-dd fecha de esta carta');
INSERT INTO `lang_definitions` VALUES (14545, 7374, 4, 'aaaa-mm-dd fecha que volvió a jugar');
INSERT INTO `lang_definitions` VALUES (14546, 7375, 4, 'aaaa-mm-dd fecha del documento');
INSERT INTO `lang_definitions` VALUES (14547, 7376, 4, 'aaaa-mm-dd fecha de evento o fecha de inicio');
INSERT INTO `lang_definitions` VALUES (14548, 7381, 4, 'aaaa-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (14549, 7383, 4, 'aaaa-mm-dd última fecha de este evento');
INSERT INTO `lang_definitions` VALUES (14550, 7387, 4, 'Cero');
INSERT INTO `lang_definitions` VALUES (14551, 7389, 4, 'Postal');
INSERT INTO `lang_definitions` VALUES (14552, 7390, 4, 'Código postal');
INSERT INTO `lang_definitions` VALUES (14553, 7391, 4, 'Postal/Pais');
INSERT INTO `lang_definitions` VALUES (14554, 7392, 4, 'Zulú');
INSERT INTO `lang_definitions` VALUES (14555, 7393, 4, ' pero ha sido ');
INSERT INTO `lang_definitions` VALUES (14556, 7394, 4, ' no se ha podido acceder.');
INSERT INTO `lang_definitions` VALUES (14557, 7395, 4, 'Seguro que quiere borrar');
INSERT INTO `lang_definitions` VALUES (14558, 7396, 4, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (14559, 7397, 4, 'correos no mandados');
INSERT INTO `lang_definitions` VALUES (14560, 7398, 4, 'de');
INSERT INTO `lang_definitions` VALUES (14561, 7399, 4, 'ha sido creado ');
INSERT INTO `lang_definitions` VALUES (14562, 7400, 4, 'ha sido abierto de nuevo.');
INSERT INTO `lang_definitions` VALUES (14563, 7401, 4, 'Historial');
INSERT INTO `lang_definitions` VALUES (14564, 7402, 4, 'no es un número');
INSERT INTO `lang_definitions` VALUES (14565, 7403, 4, 'listo para refacturar');
INSERT INTO `lang_definitions` VALUES (14566, 7404, 4, 'LLL:');
INSERT INTO `lang_definitions` VALUES (14567, 7405, 4, 'Lote');
INSERT INTO `lang_definitions` VALUES (14568, 7406, 4, 'Nº de Referencia original de Medicaid ');
INSERT INTO `lang_definitions` VALUES (14569, 7407, 4, 'min');
INSERT INTO `lang_definitions` VALUES (14570, 7408, 4, 'no encontrado!');
INSERT INTO `lang_definitions` VALUES (14571, 7409, 4, 'Peculiaridades en varios exploradores pueden causar que la información abajo aparece bruscamente, y ocurren pausas extensas que aparentan que el sistema se ha dañado. Este no es el caso, y eventualmente verá información desplegada línea por línea. Podrían aparecer números secuenciales para indicar que aunque no aparezca nada más, el sistema tiene actividad. Estos números serán entremezclados con el contenido de la facturación, y es normal.');
INSERT INTO `lang_definitions` VALUES (14572, 7410, 4, 'la receta ha alcanzado el límite de');
INSERT INTO `lang_definitions` VALUES (14573, 7411, 4, 'hasta');
INSERT INTO `lang_definitions` VALUES (14574, 7412, 4, '¿falló la actualización, no está en la base de datos?');
INSERT INTO `lang_definitions` VALUES (14575, 7413, 4, 'marcado como solo facturado.');
INSERT INTO `lang_definitions` VALUES (14576, 7414, 4, 'puesto en cola.');
INSERT INTO `lang_definitions` VALUES (14577, 7415, 4, '! se retiró sin consulta');
INSERT INTO `lang_definitions` VALUES (14578, 7416, 4, '\" para código');
INSERT INTO `lang_definitions` VALUES (14579, 7417, 4, '\" está marcado en el seting the PostCalendar');
INSERT INTO `lang_definitions` VALUES (14580, 7418, 4, '# asunto de seguro o financiero');
INSERT INTO `lang_definitions` VALUES (14581, 7419, 4, '# número de tabletas:');
INSERT INTO `lang_definitions` VALUES (14582, 7420, 4, '$');
INSERT INTO `lang_definitions` VALUES (14583, 7421, 4, '$ Codificado');
INSERT INTO `lang_definitions` VALUES (14584, 7422, 4, '$etiqueta (yyyy-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (14585, 7423, 4, '%');
INSERT INTO `lang_definitions` VALUES (14586, 7424, 4, '% Cancelado <24 hrs');
INSERT INTO `lang_definitions` VALUES (14587, 7425, 4, '% Cancelado < 24 hrs ');
INSERT INTO `lang_definitions` VALUES (14588, 7426, 4, 'debería, pero no existe');
INSERT INTO `lang_definitions` VALUES (14589, 7427, 4, '(% Coincide con cualquier cadena, _ Coincide con cualquier carácter)');
INSERT INTO `lang_definitions` VALUES (14590, 7428, 4, '([ctrl] + click para seleccionar múltiples destinatarios)');
INSERT INTO `lang_definitions` VALUES (14591, 7429, 4, '(Volver)');
INSERT INTO `lang_definitions` VALUES (14592, 7430, 4, '(Haga clic para editar)');
INSERT INTO `lang_definitions` VALUES (14593, 7431, 4, '(el email tiene entrega inmediata, mientras que el mensaje de VOIP es enviado al proveedor del servicio para su proceso futuro)');
INSERT INTO `lang_definitions` VALUES (14594, 7432, 4, '(Mas)');
INSERT INTO `lang_definitions` VALUES (14595, 7433, 4, '(Paciente Nuevo)');
INSERT INTO `lang_definitions` VALUES (14596, 7434, 4, '(Notas y Autorizaciones)');
INSERT INTO `lang_definitions` VALUES (14597, 7435, 4, 'Notas del Paciente');
INSERT INTO `lang_definitions` VALUES (14598, 7436, 4, '(Seleccione una de estas, o escriba su propio título)');
INSERT INTO `lang_definitions` VALUES (14599, 7437, 4, '(Shift-) Selecciona o arrastrar para cambiar valor');
INSERT INTO `lang_definitions` VALUES (14600, 7438, 4, '* Recordatorio hecho');
INSERT INTO `lang_definitions` VALUES (14601, 7439, 4, '** Por Favor mover cirugías a incidencias');
INSERT INTO `lang_definitions` VALUES (14602, 7440, 4, '* Requerido');
INSERT INTO `lang_definitions` VALUES (14603, 7441, 4, 'Historia Clínica retirada');
INSERT INTO `lang_definitions` VALUES (14604, 7442, 4, '-Ninguno');
INSERT INTO `lang_definitions` VALUES (14605, 7445, 4, '.');
INSERT INTO `lang_definitions` VALUES (14606, 7446, 4, '0');
INSERT INTO `lang_definitions` VALUES (14607, 7447, 4, '0-10');
INSERT INTO `lang_definitions` VALUES (14608, 7448, 4, '0-24');
INSERT INTO `lang_definitions` VALUES (14609, 7451, 4, '1');
INSERT INTO `lang_definitions` VALUES (14610, 7452, 4, '1=Norteamerica. Ver http://www.wtng.info/ para lista de códigos de otros países.');
INSERT INTO `lang_definitions` VALUES (14611, 7453, 4, '1 dia a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14612, 7454, 4, '1 mes a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14613, 7455, 4, '1 semana a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14614, 7456, 4, '1 año a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14615, 7457, 4, '1. Descanso 2. Hielo por dos días 3. Compresión, dejar el vendaje en su lugar a menos que el pie presente hormigueo o color pálido 4. Elevar la pierna y el pie');
INSERT INTO `lang_definitions` VALUES (14616, 7458, 4, '11-14');
INSERT INTO `lang_definitions` VALUES (14617, 7459, 4, '12 hr');
INSERT INTO `lang_definitions` VALUES (14618, 7460, 4, '15-19');
INSERT INTO `lang_definitions` VALUES (14619, 7462, 4, '2');
INSERT INTO `lang_definitions` VALUES (14620, 7463, 4, '2 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14621, 7464, 4, '2 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14622, 7465, 4, '2 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14623, 7466, 4, '2 años a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14624, 7468, 4, '20-24');
INSERT INTO `lang_definitions` VALUES (14625, 7477, 4, '2111-13');
INSERT INTO `lang_definitions` VALUES (14626, 7478, 4, '24 hr');
INSERT INTO `lang_definitions` VALUES (14627, 7479, 4, '25+');
INSERT INTO `lang_definitions` VALUES (14628, 7480, 4, '25-29');
INSERT INTO `lang_definitions` VALUES (14629, 7481, 4, '2da');
INSERT INTO `lang_definitions` VALUES (14630, 7482, 4, '3 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14631, 7483, 4, '3 meses');
INSERT INTO `lang_definitions` VALUES (14632, 7484, 4, '3 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14633, 7485, 4, '3 veces al día');
INSERT INTO `lang_definitions` VALUES (14634, 7486, 4, '3 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14635, 7487, 4, '30-34');
INSERT INTO `lang_definitions` VALUES (14636, 7488, 4, '35-39');
INSERT INTO `lang_definitions` VALUES (14637, 7489, 4, '3era');
INSERT INTO `lang_definitions` VALUES (14638, 7490, 4, '4 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14639, 7491, 4, '4 meses');
INSERT INTO `lang_definitions` VALUES (14640, 7492, 4, '4 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14641, 7493, 4, '4 veces al día');
INSERT INTO `lang_definitions` VALUES (14642, 7494, 4, '4 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14643, 7495, 4, '40-44');
INSERT INTO `lang_definitions` VALUES (14644, 7496, 4, '45+');
INSERT INTO `lang_definitions` VALUES (14645, 7497, 4, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (14646, 7498, 4, '466.0, Bronquitis, Aguda');
INSERT INTO `lang_definitions` VALUES (14647, 7499, 4, '486.0, Neumonía, Aguda');
INSERT INTO `lang_definitions` VALUES (14648, 7500, 4, '491.21 Agravación de Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (14649, 7501, 4, '491.8, Bronquitis, Crónica');
INSERT INTO `lang_definitions` VALUES (14650, 7502, 4, '493.92, Asma, Aguda');
INSERT INTO `lang_definitions` VALUES (14651, 7503, 4, '496.0 Enfermedad Pulmonar Obstructiva Crónica');
INSERT INTO `lang_definitions` VALUES (14652, 7504, 4, '4ta');
INSERT INTO `lang_definitions` VALUES (14653, 7505, 4, '5 dias a partir de hoy');
INSERT INTO `lang_definitions` VALUES (14654, 7506, 4, '5 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14655, 7507, 4, '5 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14656, 7508, 4, '519.7, Broncoespasmo');
INSERT INTO `lang_definitions` VALUES (14657, 7509, 4, '5ta');
INSERT INTO `lang_definitions` VALUES (14658, 7510, 4, '6 dias a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14659, 7511, 4, '6 meses');
INSERT INTO `lang_definitions` VALUES (14660, 7512, 4, '6 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14661, 7513, 4, '6 semanas a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14662, 7514, 4, '6ta');
INSERT INTO `lang_definitions` VALUES (14663, 7515, 4, '7 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14664, 7516, 4, '8 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14665, 7517, 4, '824.0 Fractura, maléolo intermedio, cerrado');
INSERT INTO `lang_definitions` VALUES (14666, 7518, 4, '824.2 Fractura, maléolo lateral, cerrado');
INSERT INTO `lang_definitions` VALUES (14667, 7519, 4, '824,6 Fractura, Trimalleolar, cerrado');
INSERT INTO `lang_definitions` VALUES (14668, 7520, 4, '825.32 Fractura de navicular (tobillo)');
INSERT INTO `lang_definitions` VALUES (14669, 7521, 4, '825,35 Fractura, Base de la quinta (5 ª) metatarsianas');
INSERT INTO `lang_definitions` VALUES (14670, 7522, 4, '845,00 torcedura del tobillo NOS');
INSERT INTO `lang_definitions` VALUES (14671, 7523, 4, '845,01 Esquince ligamento tibial (Deltoides).');
INSERT INTO `lang_definitions` VALUES (14672, 7524, 4, '845,02 Torcedura, fibular Calcánea');
INSERT INTO `lang_definitions` VALUES (14673, 7525, 4, '9 meses a partir de ahora');
INSERT INTO `lang_definitions` VALUES (14674, 7526, 4, 'Establecido 99212 - sin complicaciones');
INSERT INTO `lang_definitions` VALUES (14675, 7527, 4, 'Establecido 99213 - Baja Complejidad');
INSERT INTO `lang_definitions` VALUES (14676, 7528, 4, '< en consultorio');
INSERT INTO `lang_definitions` VALUES (14677, 7529, 4, '> De Alta / Salida');
INSERT INTO `lang_definitions` VALUES (14678, 7531, 4, '? ausente');
INSERT INTO `lang_definitions` VALUES (14679, 7532, 4, '@ llegado');
INSERT INTO `lang_definitions` VALUES (14680, 7533, 4, '[cambiar vista]');
INSERT INTO `lang_definitions` VALUES (14681, 7534, 4, '[Fecha de último encuentro]');
INSERT INTO `lang_definitions` VALUES (14682, 7535, 4, '[Días desde último encuentro]');
INSERT INTO `lang_definitions` VALUES (14683, 7536, 4, '[EDB]');
INSERT INTO `lang_definitions` VALUES (14684, 7537, 4, '[Exportar OFX]');
INSERT INTO `lang_definitions` VALUES (14685, 7538, 4, '[no recomendado]');
INSERT INTO `lang_definitions` VALUES (14686, 7539, 4, '[Número de encuentros]');
INSERT INTO `lang_definitions` VALUES (14687, 7540, 4, '[Informes]');
INSERT INTO `lang_definitions` VALUES (14688, 7541, 4, '[Seleccionar todos]');
INSERT INTO `lang_definitions` VALUES (14689, 7542, 4, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (14690, 7543, 4, '[Procesar masivamente]');
INSERT INTO `lang_definitions` VALUES (14691, 7544, 4, '[Visualizar registro]');
INSERT INTO `lang_definitions` VALUES (14692, 7545, 4, '[Ver reporte imprimible]');
INSERT INTO `lang_definitions` VALUES (14693, 7546, 4, '_PC_DUR_HORAS');
INSERT INTO `lang_definitions` VALUES (14694, 7547, 4, '_PC_DUR_MINUTOS');
INSERT INTO `lang_definitions` VALUES (14695, 7548, 4, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (14696, 7549, 4, '~ Llegó tarde');
INSERT INTO `lang_definitions` VALUES (14697, 1, 5, 'Ein');
INSERT INTO `lang_definitions` VALUES (14698, 2, 5, 'Schecknummer oder Reklamationsnummer ist erforderlich, um Zahlung zu identifizieren');
INSERT INTO `lang_definitions` VALUES (14699, 3, 5, 'Klienten Zertifikat für Administrator');
INSERT INTO `lang_definitions` VALUES (14700, 4, 5, 'Ein klinisches Dokument befindet sich im Anhang.');
INSERT INTO `lang_definitions` VALUES (14701, 5, 5, 'Ein klinisches Dokument befindet sich im Anhang.');
INSERT INTO `lang_definitions` VALUES (14702, 7, 5, 'Einen Verteiler ist notwendig');
INSERT INTO `lang_definitions` VALUES (14703, 8, 5, 'Ein GCAC Konsultationsformular sollte angefügt werden');
INSERT INTO `lang_definitions` VALUES (14704, 9, 5, 'Ein Losnummer ist notwendig!');
INSERT INTO `lang_definitions` VALUES (14705, 10, 5, 'Ein Losnummer ist notwendig!');
INSERT INTO `lang_definitions` VALUES (14706, 11, 5, 'Kleinbuchstabe');
INSERT INTO `lang_definitions` VALUES (14707, 12, 5, 'Nummer');
INSERT INTO `lang_definitions` VALUES (14708, 14, 5, 'Ein Patient mit dieser ID existiert bereits');
INSERT INTO `lang_definitions` VALUES (14709, 15, 5, 'Ein Patient mit diesem Namen existiert bereits');
INSERT INTO `lang_definitions` VALUES (14710, 16, 5, 'Ein Patient mit dieser SozVersNr existiert bereits');
INSERT INTO `lang_definitions` VALUES (14711, 18, 5, 'eine positive Zahl in einem Fenster im Zusammenfassungbild der Akte zeigt wieviele Vorstellungen erfolgten');
INSERT INTO `lang_definitions` VALUES (14712, 19, 5, 'Überweisungsquelle kann bei jeder Vorstellung neu definiert werden');
INSERT INTO `lang_definitions` VALUES (14713, 20, 5, 'Ein verknüpfter IPPF Code ist erforderlich!');
INSERT INTO `lang_definitions` VALUES (14714, 21, 5, 'Sonderzeichen');
INSERT INTO `lang_definitions` VALUES (14715, 22, 5, 'Ein eindeutiger Wert um das Feld zu identifizieren, nicht sichtbar für Benutzer');
INSERT INTO `lang_definitions` VALUES (14716, 23, 5, 'Für diesen Patienten existiert für heute schon ein Besuch. Abbrechen um den aktuellen zu öffnen oder OK um einen neuen anzulegen.');
INSERT INTO `lang_definitions` VALUES (14717, 24, 5, 'präprandial');
INSERT INTO `lang_definitions` VALUES (14718, 25, 5, 'morgens');
INSERT INTO `lang_definitions` VALUES (14719, 26, 5, 'Luft-Flüssigkeit-Ebene rechts');
INSERT INTO `lang_definitions` VALUES (14720, 27, 5, 'AB');
INSERT INTO `lang_definitions` VALUES (14721, 28, 5, 'Abkürzung');
INSERT INTO `lang_definitions` VALUES (14722, 29, 5, 'Abszess:');
INSERT INTO `lang_definitions` VALUES (14723, 30, 5, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (14724, 31, 5, 'Kann Gewicht heben in vier (4) Schritten:');
INSERT INTO `lang_definitions` VALUES (14725, 32, 5, 'Abn');
INSERT INTO `lang_definitions` VALUES (14726, 33, 5, 'ABN1');
INSERT INTO `lang_definitions` VALUES (14727, 34, 5, 'auffällig');
INSERT INTO `lang_definitions` VALUES (14728, 35, 5, 'auffälliger Bluttest');
INSERT INTO `lang_definitions` VALUES (14729, 36, 5, 'auffälliges Haarwachstum');
INSERT INTO `lang_definitions` VALUES (14730, 37, 5, 'auffälliges Mammogramm');
INSERT INTO `lang_definitions` VALUES (14731, 39, 5, 'Abort');
INSERT INTO `lang_definitions` VALUES (14732, 40, 5, 'Abort Probleme');
INSERT INTO `lang_definitions` VALUES (14733, 41, 5, 'Abtreibungsmethode');
INSERT INTO `lang_definitions` VALUES (14734, 42, 5, 'Abtreibungs-Kategorien');
INSERT INTO `lang_definitions` VALUES (14735, 43, 5, 'Aborte');
INSERT INTO `lang_definitions` VALUES (14736, 44, 5, 'Über den Kalender');
INSERT INTO `lang_definitions` VALUES (14737, 46, 5, 'Fehlen der Diagnose');
INSERT INTO `lang_definitions` VALUES (14738, 47, 5, 'Überweisung zustimmen');
INSERT INTO `lang_definitions` VALUES (14739, 48, 5, 'Bezahlung akzeptieren für');
INSERT INTO `lang_definitions` VALUES (14740, 49, 5, 'Bezahlung akzeptieren für ');
INSERT INTO `lang_definitions` VALUES (14741, 50, 5, 'Überweisung zugestimmt');
INSERT INTO `lang_definitions` VALUES (14742, 51, 5, 'Zugangskontrolle');
INSERT INTO `lang_definitions` VALUES (14743, 52, 5, 'Verwaltung der Zugangskontrolllisten');
INSERT INTO `lang_definitions` VALUES (14744, 53, 5, 'Zugriffsdatum');
INSERT INTO `lang_definitions` VALUES (14745, 54, 5, 'Zugang nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (14746, 55, 5, 'Zugang nicht genehmigt');
INSERT INTO `lang_definitions` VALUES (14747, 56, 5, 'Zugang zum Patientenportal');
INSERT INTO `lang_definitions` VALUES (14748, 57, 5, 'Unfall');
INSERT INTO `lang_definitions` VALUES (14749, 59, 5, 'Benutzername');
INSERT INTO `lang_definitions` VALUES (14750, 62, 5, 'Abrechnung');
INSERT INTO `lang_definitions` VALUES (14751, 64, 5, 'Beschwerden');
INSERT INTO `lang_definitions` VALUES (14752, 65, 5, 'Bestätigung angefordert (ISA14)');
INSERT INTO `lang_definitions` VALUES (14753, 66, 5, 'Bestätigungen, Genehmigungen und Befunde');
INSERT INTO `lang_definitions` VALUES (14754, 67, 5, 'Zugangskontrollliste');
INSERT INTO `lang_definitions` VALUES (14755, 68, 5, 'Verwaltung der Zugangskontrollliste');
INSERT INTO `lang_definitions` VALUES (14756, 69, 5, 'Zugriff auf Zugangskontrollliste verweigert');
INSERT INTO `lang_definitions` VALUES (14757, 70, 5, 'Zugangskontrollliste erfolgreich geändert');
INSERT INTO `lang_definitions` VALUES (14758, 71, 5, 'Akne');
INSERT INTO `lang_definitions` VALUES (14759, 72, 5, 'Behandlung');
INSERT INTO `lang_definitions` VALUES (14760, 73, 5, 'Behandlungsdatum');
INSERT INTO `lang_definitions` VALUES (14761, 74, 5, 'Aktion');
INSERT INTO `lang_definitions` VALUES (14762, 75, 5, 'Aktionen');
INSERT INTO `lang_definitions` VALUES (14763, 77, 5, 'CCR/CCD Bericht aktivieren');
INSERT INTO `lang_definitions` VALUES (14764, 78, 5, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (14765, 79, 5, 'Aktiver Alarm');
INSERT INTO `lang_definitions` VALUES (14766, 80, 5, 'Regeln für aktiven Alarm');
INSERT INTO `lang_definitions` VALUES (14767, 81, 5, 'Aktive Alarme/Erinerungen');
INSERT INTO `lang_definitions` VALUES (14768, 82, 5, 'Ausgewählter Fall');
INSERT INTO `lang_definitions` VALUES (14769, 84, 5, 'Ausgewählte Liste');
INSERT INTO `lang_definitions` VALUES (14770, 85, 5, 'Ausgewählter Patient');
INSERT INTO `lang_definitions` VALUES (14771, 86, 5, 'Aktive Planungen');
INSERT INTO `lang_definitions` VALUES (14772, 87, 5, 'Aktivität');
INSERT INTO `lang_definitions` VALUES (14773, 88, 5, 'Aktivitätstyp');
INSERT INTO `lang_definitions` VALUES (14774, 90, 5, 'Überdosis/ Entzug');
INSERT INTO `lang_definitions` VALUES (14775, 91, 5, 'Akute Manifestation eines chronischen Zustands');
INSERT INTO `lang_definitions` VALUES (14776, 92, 5, 'akut exazerbierte chronische');
INSERT INTO `lang_definitions` VALUES (14777, 93, 5, 'hinzufügen');
INSERT INTO `lang_definitions` VALUES (14778, 94, 5, 'Hinzufügen');
INSERT INTO `lang_definitions` VALUES (14779, 95, 5, 'Hinzufügen');
INSERT INTO `lang_definitions` VALUES (14780, 96, 5, 'Firma hinzufügen');
INSERT INTO `lang_definitions` VALUES (14781, 98, 5, 'Apotheke hinzufügen');
INSERT INTO `lang_definitions` VALUES (14782, 100, 5, 'Ereignis hinzufügen für ');
INSERT INTO `lang_definitions` VALUES (14783, 101, 5, 'Als neue Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14784, 102, 5, 'Neu hinzufügen');
INSERT INTO `lang_definitions` VALUES (14785, 104, 5, 'Schaltflächen hinzufügen');
INSERT INTO `lang_definitions` VALUES (14786, 105, 5, 'Schaltflächen hinzufügen für spezielle Buchstaben und Texte die oberhalb des Editors angezeigt werden und mit denen Text hinzugefügt werden kann');
INSERT INTO `lang_definitions` VALUES (14787, 106, 5, 'Kategorie hinzufügen');
INSERT INTO `lang_definitions` VALUES (14788, 107, 5, 'Konstante hinzufügen');
INSERT INTO `lang_definitions` VALUES (14789, 108, 5, 'Kontext hinzufügen');
INSERT INTO `lang_definitions` VALUES (14790, 109, 5, 'Eigenleistung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14791, 110, 5, 'Kriterium hinzufügen');
INSERT INTO `lang_definitions` VALUES (14792, 111, 5, 'Benutzerdefinierte Schaltfläche hinzufügen');
INSERT INTO `lang_definitions` VALUES (14793, 112, 5, 'Diagnose hinzufügen');
INSERT INTO `lang_definitions` VALUES (14794, 113, 5, 'Medikament hinzufügen');
INSERT INTO `lang_definitions` VALUES (14795, 114, 5, 'Kontakt hinzufügen');
INSERT INTO `lang_definitions` VALUES (14796, 115, 5, 'Besuchnotizen hinzufügen');
INSERT INTO `lang_definitions` VALUES (14797, 116, 5, 'Standort hinzufügen');
INSERT INTO `lang_definitions` VALUES (14798, 117, 5, 'Feld hinzufügen');
INSERT INTO `lang_definitions` VALUES (14799, 118, 5, 'Folgende Zeilen zur Apache Konfigurationsdatei hinzufügen');
INSERT INTO `lang_definitions` VALUES (14800, 119, 5, 'Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (14801, 120, 5, 'ICD-Code hinzufügen');
INSERT INTO `lang_definitions` VALUES (14802, 121, 5, 'Impfung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14803, 122, 5, 'Hinzufügen ist nicht erlaubt!');
INSERT INTO `lang_definitions` VALUES (14804, 123, 5, 'Problem hinzufügen');
INSERT INTO `lang_definitions` VALUES (14805, 124, 5, 'Punkt zur Verfolgung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14806, 125, 5, 'Sprache hinzufügen');
INSERT INTO `lang_definitions` VALUES (14807, 126, 5, 'Neu hinzufügen');
INSERT INTO `lang_definitions` VALUES (14808, 127, 5, 'Neu hinzufügen');
INSERT INTO `lang_definitions` VALUES (14809, 128, 5, 'Neue Kategorie hinzufügen: ');
INSERT INTO `lang_definitions` VALUES (14810, 129, 5, 'Neues Zertifikat zur Apache Konfigurationsdatei hinzufügen');
INSERT INTO `lang_definitions` VALUES (14811, 130, 5, 'Neue Komponente hinzufügen');
INSERT INTO `lang_definitions` VALUES (14812, 131, 5, 'Neue Komponenten hinzufügen');
INSERT INTO `lang_definitions` VALUES (14813, 132, 5, 'Neue Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (14814, 133, 5, 'Neues Problem hinzufügen');
INSERT INTO `lang_definitions` VALUES (14815, 134, 5, 'Neues Los und Transaktion hinzufügen');
INSERT INTO `lang_definitions` VALUES (14816, 135, 5, 'Neue Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14817, 136, 5, 'Neue Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14818, 137, 5, 'Neuen Partner hinzufügen');
INSERT INTO `lang_definitions` VALUES (14819, 138, 5, 'Neuen Patienten hinzufügen');
INSERT INTO `lang_definitions` VALUES (14820, 140, 5, 'Bemerkung hinzufügen');
INSERT INTO `lang_definitions` VALUES (14821, 141, 5, 'Patientendatensatz hinzufügen');
INSERT INTO `lang_definitions` VALUES (14822, 142, 5, 'Rezept hinzufügen');
INSERT INTO `lang_definitions` VALUES (14823, 143, 5, 'Eingriff hinzufügen');
INSERT INTO `lang_definitions` VALUES (14824, 144, 5, 'Anbieternummer hinzufügen');
INSERT INTO `lang_definitions` VALUES (14825, 145, 5, 'Reha hinzufügen');
INSERT INTO `lang_definitions` VALUES (14826, 146, 5, 'Regel hinzufügen');
INSERT INTO `lang_definitions` VALUES (14827, 147, 5, 'Hinzufügen zu');
INSERT INTO `lang_definitions` VALUES (14828, 148, 5, 'Zur Liste der Medikamente hinzufügen');
INSERT INTO `lang_definitions` VALUES (14829, 149, 5, 'Top Level hinzufügen');
INSERT INTO `lang_definitions` VALUES (14830, 150, 5, 'Transaktion hinzufügen');
INSERT INTO `lang_definitions` VALUES (14831, 151, 5, 'Benutzer hinzufügen');
INSERT INTO `lang_definitions` VALUES (14832, 152, 5, 'Benutzer zur Gruppe hinzufügen');
INSERT INTO `lang_definitions` VALUES (14833, 153, 5, 'eRx hinzufügen / anpassen');
INSERT INTO `lang_definitions` VALUES (14834, 154, 5, 'Patienten-Transaktion hinzufügen/bearbeiten');
INSERT INTO `lang_definitions` VALUES (14835, 155, 5, 'hinzugefügt');
INSERT INTO `lang_definitions` VALUES (14836, 156, 5, 'Hinzufügen demographischer Daten nicht gestattet.');
INSERT INTO `lang_definitions` VALUES (14837, 157, 5, 'Hinzufügen des zu verfolgenden Punktes gescheitert');
INSERT INTO `lang_definitions` VALUES (14838, 158, 5, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (14839, 159, 5, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (14840, 160, 5, 'Zusätzliche Attribute');
INSERT INTO `lang_definitions` VALUES (14841, 161, 5, 'Weitere Diagnosen:');
INSERT INTO `lang_definitions` VALUES (14842, 162, 5, 'Weitere Vorgeschichte');
INSERT INTO `lang_definitions` VALUES (14843, 163, 5, 'Weitere Bemerkungen zur Vorgeschichte');
INSERT INTO `lang_definitions` VALUES (14844, 164, 5, 'Weitere Informationen');
INSERT INTO `lang_definitions` VALUES (14845, 165, 5, 'Weitere Laborbefunde');
INSERT INTO `lang_definitions` VALUES (14846, 166, 5, 'Weitere Bemerkungen');
INSERT INTO `lang_definitions` VALUES (14847, 167, 5, 'zusätzliche Bemerkungen für diesen Befund oder Empfehlung');
INSERT INTO `lang_definitions` VALUES (14848, 168, 5, 'Weitere Bemerkungen:');
INSERT INTO `lang_definitions` VALUES (14849, 169, 5, 'Weitere Bemerkungen: ');
INSERT INTO `lang_definitions` VALUES (14850, 170, 5, 'Weitere Bemerkungen zu Röntgenuntersuchungen:');
INSERT INTO `lang_definitions` VALUES (14851, 171, 5, 'zusätzlich kann das korrespondierende US-amerikanische Extensionspaket nach Installation der internationalen englischen Version importiert werden');
INSERT INTO `lang_definitions` VALUES (14852, 172, 5, 'nur hinzufügen');
INSERT INTO `lang_definitions` VALUES (14853, 173, 5, 'Adressbuch');
INSERT INTO `lang_definitions` VALUES (14854, 174, 5, 'Adressbuch');
INSERT INTO `lang_definitions` VALUES (14855, 175, 5, 'Adresse');
INSERT INTO `lang_definitions` VALUES (14856, 178, 5, 'Adressbuch');
INSERT INTO `lang_definitions` VALUES (14857, 179, 5, 'Adressbucheintrag der ausführenden Firma');
INSERT INTO `lang_definitions` VALUES (14858, 180, 5, 'Adressbucheintrag der Verteilerfirma');
INSERT INTO `lang_definitions` VALUES (14859, 181, 5, 'Adressbucheintrag des Anbieters');
INSERT INTO `lang_definitions` VALUES (14860, 182, 5, 'Adressbuchtypen');
INSERT INTO `lang_definitions` VALUES (14861, 183, 5, 'Typ der Adresse');
INSERT INTO `lang_definitions` VALUES (14862, 187, 5, 'Adresse1');
INSERT INTO `lang_definitions` VALUES (14863, 188, 5, 'Adresse2');
INSERT INTO `lang_definitions` VALUES (14864, 189, 5, 'Empfänger');
INSERT INTO `lang_definitions` VALUES (14865, 190, 5, 'Anp.');
INSERT INTO `lang_definitions` VALUES (14866, 191, 5, 'Angep. Betrag');
INSERT INTO `lang_definitions` VALUES (14867, 192, 5, 'Anpassen');
INSERT INTO `lang_definitions` VALUES (14868, 193, 5, 'Anpassung');
INSERT INTO `lang_definitions` VALUES (14869, 194, 5, 'Anpassungsbetrag');
INSERT INTO `lang_definitions` VALUES (14870, 195, 5, 'Gründe für Anpassung');
INSERT INTO `lang_definitions` VALUES (14871, 196, 5, 'Anpassungswert für Code ');
INSERT INTO `lang_definitions` VALUES (14872, 197, 5, 'Anpassungen');
INSERT INTO `lang_definitions` VALUES (14873, 198, 5, 'Admin. Anpassung');
INSERT INTO `lang_definitions` VALUES (14874, 199, 5, 'Admin');
INSERT INTO `lang_definitions` VALUES (14875, 200, 5, 'Email-Adresse des Administrators');
INSERT INTO `lang_definitions` VALUES (14876, 201, 5, 'Administrieren über');
INSERT INTO `lang_definitions` VALUES (14877, 202, 5, 'Administriert');
INSERT INTO `lang_definitions` VALUES (14878, 203, 5, 'Administriert durch');
INSERT INTO `lang_definitions` VALUES (14879, 204, 5, 'Administriert am');
INSERT INTO `lang_definitions` VALUES (14880, 205, 5, 'administrierte Seite');
INSERT INTO `lang_definitions` VALUES (14881, 206, 5, 'Administration');
INSERT INTO `lang_definitions` VALUES (14882, 207, 5, 'Ort der Administration');
INSERT INTO `lang_definitions` VALUES (14883, 208, 5, 'Administratoren');
INSERT INTO `lang_definitions` VALUES (14884, 209, 5, 'Administratoren haben vollen Zugriff');
INSERT INTO `lang_definitions` VALUES (14885, 210, 5, 'Aufnahmedatum');
INSERT INTO `lang_definitions` VALUES (14886, 212, 5, 'Gewichts-Screening (Erwachsene) und Follow-up');
INSERT INTO `lang_definitions` VALUES (14887, 213, 5, 'Gewichts-Screening (Erwachsene) und Follow-up (CQM)');
INSERT INTO `lang_definitions` VALUES (14888, 214, 5, 'Spezielle Richtlinie');
INSERT INTO `lang_definitions` VALUES (14889, 215, 5, 'Spezielle Richtlinien');
INSERT INTO `lang_definitions` VALUES (14890, 216, 5, 'Warnung spezielle Richtlinien');
INSERT INTO `lang_definitions` VALUES (14891, 218, 5, 'Fortgeschritten');
INSERT INTO `lang_definitions` VALUES (14892, 219, 5, 'Ratschlag');
INSERT INTO `lang_definitions` VALUES (14893, 221, 5, 'Affekt unauffällig');
INSERT INTO `lang_definitions` VALUES (14894, 223, 5, 'Anruf nach Sprechzeit');
INSERT INTO `lang_definitions` VALUES (14895, 224, 5, 'Nach dem Umzug von der alten Passworteingabeart (Passwörter in einer Benutzertabelle ohne Salt) sollte diese Warnung auf falsch gesetzt werden, damit eine Authentifizierung nur noch durch die neue Methode möglich ist');
INSERT INTO `lang_definitions` VALUES (14896, 225, 5, 'Nach Ausführen oben stehender Konfigurationen, importieren Sie das Admin Klientszertifikat in den Browser und starten Sie den Apache Server neu (leeres Passwort)');
INSERT INTO `lang_definitions` VALUES (14897, 226, 5, 'Nach Speicherung als PDF [View log] klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (14898, 227, 5, 'Nach Speicherung als TEXT [View log] klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (14899, 228, 5, 'Nach Speicherung der Stapeldatei [View log] klicken zur Fehlersuche.');
INSERT INTO `lang_definitions` VALUES (14900, 229, 5, 'Danach zeigt die Ergebnisspalte die ausgewählte Patienten-ID oder 0 um einen neuen Patientendatensatz zu erzeugen');
INSERT INTO `lang_definitions` VALUES (14901, 230, 5, 'Nachdem die Daten korrekt eingegeben sind, bitte Speichern klicken.');
INSERT INTO `lang_definitions` VALUES (14902, 231, 5, 'Nach dem Upload bitte \"Import\" klicken.');
INSERT INTO `lang_definitions` VALUES (14903, 232, 5, 'Nachsorge-Plannung');
INSERT INTO `lang_definitions` VALUES (14904, 233, 5, 'Wieder');
INSERT INTO `lang_definitions` VALUES (14905, 234, 5, 'Alter');
INSERT INTO `lang_definitions` VALUES (14906, 235, 5, 'Alter nach');
INSERT INTO `lang_definitions` VALUES (14907, 236, 5, 'Altersstufe');
INSERT INTO `lang_definitions` VALUES (14908, 237, 5, 'Altersangabe ungültig.');
INSERT INTO `lang_definitions` VALUES (14909, 238, 5, 'Alter-Anzeigeformat');
INSERT INTO `lang_definitions` VALUES (14910, 239, 5, '\"Alter von\" ist ungültig');
INSERT INTO `lang_definitions` VALUES (14911, 240, 5, '\"Alter bis\" ist ungültig');
INSERT INTO `lang_definitions` VALUES (14912, 241, 5, 'Alter von');
INSERT INTO `lang_definitions` VALUES (14913, 242, 5, 'Alter in Jahren für Zeigeformat ändern');
INSERT INTO `lang_definitions` VALUES (14914, 243, 5, 'Maximales Alter');
INSERT INTO `lang_definitions` VALUES (14915, 244, 5, 'Minimales Alter');
INSERT INTO `lang_definitions` VALUES (14916, 245, 5, 'Altersspanne');
INSERT INTO `lang_definitions` VALUES (14917, 247, 5, 'Alters Spalten:');
INSERT INTO `lang_definitions` VALUES (14918, 249, 5, 'Albaner');
INSERT INTO `lang_definitions` VALUES (14919, 250, 5, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (14920, 251, 5, 'Alkoholkonsum');
INSERT INTO `lang_definitions` VALUES (14921, 252, 5, 'Alkoholgebrauch');
INSERT INTO `lang_definitions` VALUES (14922, 253, 5, 'Anzahl der Alarme');
INSERT INTO `lang_definitions` VALUES (14923, 255, 5, 'Alarme');
INSERT INTO `lang_definitions` VALUES (14924, 258, 5, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (14925, 259, 5, 'Alle');
INSERT INTO `lang_definitions` VALUES (14926, 260, 5, 'ALLE');
INSERT INTO `lang_definitions` VALUES (14927, 261, 5, 'Alle (Kollationiert Format A)');
INSERT INTO `lang_definitions` VALUES (14928, 262, 5, 'Alle (Kollationiert Format B)');
INSERT INTO `lang_definitions` VALUES (14929, 263, 5, 'Alle (kumulativ)');
INSERT INTO `lang_definitions` VALUES (14930, 265, 5, 'Alle automatischen Messwertberechnungen (AMC)');
INSERT INTO `lang_definitions` VALUES (14931, 266, 5, 'Alle Kategorien');
INSERT INTO `lang_definitions` VALUES (14932, 267, 5, 'Alle klinischen Qualitätswerte (CQM)');
INSERT INTO `lang_definitions` VALUES (14933, 268, 5, 'Alle Code');
INSERT INTO `lang_definitions` VALUES (14934, 269, 5, 'Ganztags');
INSERT INTO `lang_definitions` VALUES (14935, 270, 5, 'Ganztägiges Ereignis');
INSERT INTO `lang_definitions` VALUES (14936, 271, 5, 'Alle demografischen Felder, mit Suche und Überprüfung auf Dopplungen');
INSERT INTO `lang_definitions` VALUES (14937, 272, 5, 'Alle Einrichtungen');
INSERT INTO `lang_definitions` VALUES (14938, 273, 5, 'Alle Verletzungen/Probleme');
INSERT INTO `lang_definitions` VALUES (14939, 274, 5, 'Jede Sprache erlaubt');
INSERT INTO `lang_definitions` VALUES (14940, 276, 5, 'Vollständiger Vorname');
INSERT INTO `lang_definitions` VALUES (14941, 277, 5, 'Vollständiger Familienname');
INSERT INTO `lang_definitions` VALUES (14942, 278, 5, 'Alle oder Teil der Organisation');
INSERT INTO `lang_definitions` VALUES (14943, 279, 5, 'Alle Patienten');
INSERT INTO `lang_definitions` VALUES (14944, 280, 5, 'Alle Produkte');
INSERT INTO `lang_definitions` VALUES (14945, 281, 5, 'Alle Anbieter');
INSERT INTO `lang_definitions` VALUES (14946, 282, 5, 'Alle überprüft und negativ');
INSERT INTO `lang_definitions` VALUES (14947, 283, 5, 'Alle Themen');
INSERT INTO `lang_definitions` VALUES (14948, 284, 5, 'Alle Benutzer');
INSERT INTO `lang_definitions` VALUES (14949, 285, 5, 'Allergisch');
INSERT INTO `lang_definitions` VALUES (14950, 286, 5, 'Allergien');
INSERT INTO `lang_definitions` VALUES (14951, 287, 5, 'Allergien:');
INSERT INTO `lang_definitions` VALUES (14952, 288, 5, 'Allergie');
INSERT INTO `lang_definitions` VALUES (14953, 289, 5, 'Importieren von Allergien erfolgreich abgeschlossen');
INSERT INTO `lang_definitions` VALUES (14954, 290, 5, 'Allergische Vorfälle');
INSERT INTO `lang_definitions` VALUES (14955, 291, 5, 'Allergische Reaktion');
INSERT INTO `lang_definitions` VALUES (14956, 294, 5, 'Zuweisen');
INSERT INTO `lang_definitions` VALUES (14957, 295, 5, 'Ermöglichen');
INSERT INTO `lang_definitions` VALUES (14958, 296, 5, 'Jede verfügbare Sprache wählbar bei Login.');
INSERT INTO `lang_definitions` VALUES (14959, 297, 5, 'Ansprüche mit Diagnosen aber ohne Prozedur oder Kosten ermöglichen. Meistens nicht gewünscht.');
INSERT INTO `lang_definitions` VALUES (14960, 298, 5, 'Debugging-Sprache erlauben');
INSERT INTO `lang_definitions` VALUES (14961, 299, 5, 'E-Mail erlauben');
INSERT INTO `lang_definitions` VALUES (14962, 300, 5, 'E-Mail-Nachrichten erlauben?');
INSERT INTO `lang_definitions` VALUES (14963, 301, 5, 'E-Mail erlauben?');
INSERT INTO `lang_definitions` VALUES (14964, 302, 5, 'Visiteansprüche erlauben');
INSERT INTO `lang_definitions` VALUES (14965, 303, 5, 'Gesundheitsinformationaustausch erlauben');
INSERT INTO `lang_definitions` VALUES (14966, 304, 5, 'Immunisierungsinformationsaustausch erlauben');
INSERT INTO `lang_definitions` VALUES (14967, 305, 5, 'Immunisierungsregistrierung erlauben');
INSERT INTO `lang_definitions` VALUES (14968, 306, 5, 'E-Mail-Nachricht erlauben?');
INSERT INTO `lang_definitions` VALUES (14969, 308, 5, 'Patientenportal erlauben');
INSERT INTO `lang_definitions` VALUES (14970, 309, 5, 'SMS (Text-Nachricht) erlauben');
INSERT INTO `lang_definitions` VALUES (14971, 310, 5, 'SMS (Text-Nachricht) erlauben?');
INSERT INTO `lang_definitions` VALUES (14972, 311, 5, 'Sofortige Aktivierung von gesendeten Ereignissen erlauben?');
INSERT INTO `lang_definitions` VALUES (14973, 312, 5, 'Telefonnachrichten erlauben?');
INSERT INTO `lang_definitions` VALUES (14974, 313, 5, 'Benutzern die Veröffentlichung von globalen Ereignissen erlauben?');
INSERT INTO `lang_definitions` VALUES (14975, 314, 5, 'Benutzern die Veröffentlichung von persönlichen Terminlisten erlauben?');
INSERT INTO `lang_definitions` VALUES (14976, 315, 5, 'Sprachnachrichten erlauben?');
INSERT INTO `lang_definitions` VALUES (14977, 316, 5, 'Erlaubt');
INSERT INTO `lang_definitions` VALUES (14978, 317, 5, 'Erlaubte Sprachen');
INSERT INTO `lang_definitions` VALUES (14979, 318, 5, 'Erlaubt');
INSERT INTO `lang_definitions` VALUES (14980, 319, 5, 'E-Signatur eines kompletten Besuches erlaubt');
INSERT INTO `lang_definitions` VALUES (14981, 320, 5, 'E-Signatur eines individuelle Formulars erlaubt');
INSERT INTO `lang_definitions` VALUES (14982, 321, 5, 'Erlaubt Mail');
INSERT INTO `lang_definitions` VALUES (14983, 322, 5, 'Erlaubt Sprachnachrichten');
INSERT INTO `lang_definitions` VALUES (14984, 323, 5, 'existiert bereits');
INSERT INTO `lang_definitions` VALUES (14985, 324, 5, 'existiert bereits.');
INSERT INTO `lang_definitions` VALUES (14986, 325, 5, 'Wird bereits verwendet, bitte anderen Identifier wählen');
INSERT INTO `lang_definitions` VALUES (14987, 326, 5, 'Wird bereits verwendet, bitte anderen Titel wählen');
INSERT INTO `lang_definitions` VALUES (14988, 327, 5, 'Alternative Adresse');
INSERT INTO `lang_definitions` VALUES (14989, 328, 5, 'Ändern');
INSERT INTO `lang_definitions` VALUES (14990, 329, 5, 'Alternativ können Sie auch die Suchseite verwenden um eine elektronische Überweisungsdatei (X12 835), die Sie von ihrem Kostenträger oder ihrer Bank bekommen haben, hochzuladen. Durch klicken von \"Auswählen\" kann eine Datei selektiert werden und durch Drücken von \"Suchen\" hochgeladen und eine Ansicht der entsprechenden Rechnungen erhalten werden. In diesen Fall sind die oben stehenden Parameter nicht von Bedeutung und werden ignoriert. Beim Hochladen wird die Datei gespeichert aber nicht weiter verarbeitet -- dieses wird separat durchgeführt wie weiter unten beschrieben.');
INSERT INTO `lang_definitions` VALUES (14991, 330, 5, 'AM');
INSERT INTO `lang_definitions` VALUES (14992, 331, 5, 'AM Programm');
INSERT INTO `lang_definitions` VALUES (14993, 332, 5, 'AMC');
INSERT INTO `lang_definitions` VALUES (14994, 333, 5, 'AMC Verfolgung');
INSERT INTO `lang_definitions` VALUES (14995, 334, 5, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (14996, 335, 5, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (14997, 338, 5, 'Bestehende Notiz anpassen');
INSERT INTO `lang_definitions` VALUES (14998, 339, 5, 'Anpassungsformular');
INSERT INTO `lang_definitions` VALUES (14999, 340, 5, 'Anpassungsstatus');
INSERT INTO `lang_definitions` VALUES (15000, 341, 5, 'Anpassungen');
INSERT INTO `lang_definitions` VALUES (15001, 342, 5, 'Anpassungen für');
INSERT INTO `lang_definitions` VALUES (15002, 343, 5, 'Amerikanische Indianer');
INSERT INTO `lang_definitions` VALUES (15003, 344, 5, 'Amerikanische Indianer oder Alaska Eingeborene(r)');
INSERT INTO `lang_definitions` VALUES (15004, 345, 5, 'AMEX');
INSERT INTO `lang_definitions` VALUES (15005, 346, 5, 'Amharisch');
INSERT INTO `lang_definitions` VALUES (15006, 347, 5, 'Betrag');
INSERT INTO `lang_definitions` VALUES (15007, 348, 5, 'applizierte Menge');
INSERT INTO `lang_definitions` VALUES (15008, 349, 5, 'Berechneter Betrag');
INSERT INTO `lang_definitions` VALUES (15009, 350, 5, 'Betrag für vorherige Bilanz');
INSERT INTO `lang_definitions` VALUES (15010, 351, 5, 'Betrag für diese Konsultation');
INSERT INTO `lang_definitions` VALUES (15011, 352, 5, 'Bezahlter Betrag');
INSERT INTO `lang_definitions` VALUES (15012, 353, 5, 'Menge:');
INSERT INTO `lang_definitions` VALUES (15013, 354, 5, 'Betrag bezahlt');
INSERT INTO `lang_definitions` VALUES (15014, 355, 5, 'Für sich wiederholende Ereignisse muss Enddatum nach dem Startdatum sein!');
INSERT INTO `lang_definitions` VALUES (15015, 356, 5, 'Beim Signieren des Formulars ist ein Fehler aufgetreten');
INSERT INTO `lang_definitions` VALUES (15016, 357, 5, 'Beim Dump des LibreEHR Web-Verzeichnisbaums ist ein Fehler aufgetreten');
INSERT INTO `lang_definitions` VALUES (15017, 358, 5, 'Ein Fehler trat auf beim Dump des phpGACL Web-Verzeichnisbaums');
INSERT INTO `lang_definitions` VALUES (15018, 359, 5, 'Ein Fehler trat auf beim Dump des SQL-Ledger Web-Verzeichnisbaums');
INSERT INTO `lang_definitions` VALUES (15019, 360, 5, 'Ein unvollständiges GCAC Problem ist erstellt und verlinkt worden. Es sollte später vervollständigt werden');
INSERT INTO `lang_definitions` VALUES (15020, 362, 5, 'Ein unerwarteter Fehler ist aufgetreten');
INSERT INTO `lang_definitions` VALUES (15021, 363, 5, 'Einen Großbuchstabe');
INSERT INTO `lang_definitions` VALUES (15022, 365, 5, 'Und');
INSERT INTO `lang_definitions` VALUES (15023, 366, 5, 'UND');
INSERT INTO `lang_definitions` VALUES (15024, 367, 5, 'und');
INSERT INTO `lang_definitions` VALUES (15025, 368, 5, 'und ');
INSERT INTO `lang_definitions` VALUES (15026, 369, 5, 'und alle unterliegenden Daten? Diese Aktion wird im Logfile verzeichnet');
INSERT INTO `lang_definitions` VALUES (15027, 370, 5, 'und Modifikator');
INSERT INTO `lang_definitions` VALUES (15028, 371, 5, 'und verarbeitet');
INSERT INTO `lang_definitions` VALUES (15029, 372, 5, 'und Apache-Server später neu starten');
INSERT INTO `lang_definitions` VALUES (15030, 373, 5, 'und der Grund ist');
INSERT INTO `lang_definitions` VALUES (15031, 374, 5, 'Anämie');
INSERT INTO `lang_definitions` VALUES (15032, 375, 5, 'Sprunggelenk');
INSERT INTO `lang_definitions` VALUES (15033, 376, 5, 'Sprunggelenk + Ferse');
INSERT INTO `lang_definitions` VALUES (15034, 377, 5, 'Sprunggelenk Evaluationsfragebogen');
INSERT INTO `lang_definitions` VALUES (15035, 378, 5, 'Sprunggelenk Probleme');
INSERT INTO `lang_definitions` VALUES (15036, 379, 5, 'Ankylosierende Spondylitis');
INSERT INTO `lang_definitions` VALUES (15037, 380, 5, 'Ankylosierende Spondylitis');
INSERT INTO `lang_definitions` VALUES (15038, 381, 5, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (15039, 382, 5, 'Eine weitere Möglichkeit im Sendefenster ist die Beantragung einer erneuten Rechnungsstellung. Wenn Sie diese Auswahlbox vor dem Speichern wählen, wird die originale Rechnung erneut geöffnet und auf der Abrechnungsseite eingestellt und beim nächsten Rechnungslauf abgearbeitet.');
INSERT INTO `lang_definitions` VALUES (15040, 383, 5, 'vor');
INSERT INTO `lang_definitions` VALUES (15041, 384, 5, 'Anus normal, keine rectale Weichheit/Masse');
INSERT INTO `lang_definitions` VALUES (15042, 385, 5, 'Angst');
INSERT INTO `lang_definitions` VALUES (15043, 386, 5, 'Beliebig');
INSERT INTO `lang_definitions` VALUES (15044, 387, 5, 'Beliebige Kategorie');
INSERT INTO `lang_definitions` VALUES (15045, 388, 5, 'Beliebiger Teil eines ausgewählten Codes oder dessen Beschreibung');
INSERT INTO `lang_definitions` VALUES (15046, 389, 5, 'Beliebiger Teil der gewünschte Spezialität');
INSERT INTO `lang_definitions` VALUES (15047, 390, 5, 'Beliebiger Teil der Medikament-ID oder des Medikamentennamen');
INSERT INTO `lang_definitions` VALUES (15048, 391, 5, 'Beliebiger Teil der Impfungs-ID oder des Impfungsnamen');
INSERT INTO `lang_definitions` VALUES (15049, 392, 5, 'Beliebiger Teil des Patientennamens, oder \"Familienname,Vorname\" oder \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (15050, 393, 5, 'Sonstige relevante Informationen');
INSERT INTO `lang_definitions` VALUES (15051, 394, 5, 'API Schlüssel für SMS-Gateway');
INSERT INTO `lang_definitions` VALUES (15052, 395, 5, 'Apnoe');
INSERT INTO `lang_definitions` VALUES (15053, 396, 5, 'Erscheinungsbild');
INSERT INTO `lang_definitions` VALUES (15054, 397, 5, 'Erscheinungsbild:');
INSERT INTO `lang_definitions` VALUES (15055, 398, 5, 'Diese Notiz hinzufügen');
INSERT INTO `lang_definitions` VALUES (15056, 399, 5, 'An existierende Notiz anhängen');
INSERT INTO `lang_definitions` VALUES (15057, 400, 5, 'An diese Notiz anhängen');
INSERT INTO `lang_definitions` VALUES (15058, 401, 5, 'An diese Notiz anhängen');
INSERT INTO `lang_definitions` VALUES (15059, 402, 5, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (15060, 403, 5, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (15061, 404, 5, 'Anwendbare Patienten');
INSERT INTO `lang_definitions` VALUES (15062, 405, 5, 'Anwendung');
INSERT INTO `lang_definitions` VALUES (15063, 406, 5, 'Applikationsname für Anmeldungsseite und Titel des Hauptfensters');
INSERT INTO `lang_definitions` VALUES (15064, 407, 5, 'Applikations Empfänger Kode (GS03- wenn leer wird ISA08 eingefügt)');
INSERT INTO `lang_definitions` VALUES (15065, 408, 5, 'Applikations Absenderkode (GS02)');
INSERT INTO `lang_definitions` VALUES (15066, 409, 5, 'Applikationstitel');
INSERT INTO `lang_definitions` VALUES (15067, 410, 5, 'Gilt für das Vitaldatenformular und Wachstumskarte');
INSERT INTO `lang_definitions` VALUES (15068, 411, 5, 'Gilt für das Vitaldatenformular');
INSERT INTO `lang_definitions` VALUES (15069, 412, 5, 'Die Änderungen nur auf aktuelles Ereignis anwenden, auf dieses und alle zukünftige Ereignisse oder auf alle Ereignisse?');
INSERT INTO `lang_definitions` VALUES (15070, 413, 5, 'Auf betroffenen Bereich anwenden');
INSERT INTO `lang_definitions` VALUES (15071, 414, 5, 'Auf der Haut anwenden');
INSERT INTO `lang_definitions` VALUES (15072, 415, 5, 'Anwenden');
INSERT INTO `lang_definitions` VALUES (15073, 416, 5, 'Verband an der Stelle anwenden');
INSERT INTO `lang_definitions` VALUES (15074, 417, 5, 'Termin');
INSERT INTO `lang_definitions` VALUES (15075, 418, 5, 'Datum des Termins');
INSERT INTO `lang_definitions` VALUES (15076, 419, 5, 'Terminanzeigestil');
INSERT INTO `lang_definitions` VALUES (15077, 420, 5, 'Termin Erinnerungsregel');
INSERT INTO `lang_definitions` VALUES (15078, 421, 5, 'Termin Status');
INSERT INTO `lang_definitions` VALUES (15079, 422, 5, 'Termin Status');
INSERT INTO `lang_definitions` VALUES (15080, 423, 5, 'Termin innerhalb');
INSERT INTO `lang_definitions` VALUES (15081, 424, 5, 'Termin/Besuch Farbe');
INSERT INTO `lang_definitions` VALUES (15082, 425, 5, 'Termine');
INSERT INTO `lang_definitions` VALUES (15083, 426, 5, 'Termine (schreiben optional)');
INSERT INTO `lang_definitions` VALUES (15084, 427, 5, 'Termine (schreiben, einige optional)');
INSERT INTO `lang_definitions` VALUES (15085, 430, 5, 'Termine und Besuche');
INSERT INTO `lang_definitions` VALUES (15086, 431, 5, 'Terminbericht');
INSERT INTO `lang_definitions` VALUES (15087, 432, 5, 'Termin-Visitenbericht');
INSERT INTO `lang_definitions` VALUES (15088, 434, 5, 'Bewilligen');
INSERT INTO `lang_definitions` VALUES (15089, 435, 5, 'Akzeptiere den Patienten von Patient/Client->Import->fehlende Bewilligung');
INSERT INTO `lang_definitions` VALUES (15090, 436, 5, 'Bewilligt');
INSERT INTO `lang_definitions` VALUES (15091, 437, 5, 'Administration bewilligter Ereignisse');
INSERT INTO `lang_definitions` VALUES (15092, 438, 5, 'erfolgreich akzeptiert');
INSERT INTO `lang_definitions` VALUES (15093, 440, 5, 'Besuch-Begegnung');
INSERT INTO `lang_definitions` VALUES (15094, 441, 5, 'Termine');
INSERT INTO `lang_definitions` VALUES (15095, 442, 5, 'Apr');
INSERT INTO `lang_definitions` VALUES (15096, 443, 5, 'April');
INSERT INTO `lang_definitions` VALUES (15097, 444, 5, 'Arabisch');
INSERT INTO `lang_definitions` VALUES (15098, 446, 5, 'Archiv');
INSERT INTO `lang_definitions` VALUES (15099, 447, 5, 'Sollen Zugangskontrollgruppen-Namen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (15100, 448, 5, 'Sollen Terminkategorie-Namen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (15101, 449, 5, 'Sollen Dokumentkategorie-Namen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (15102, 450, 5, 'Sind Kosten für diesen Typ anzurechnen?');
INSERT INTO `lang_definitions` VALUES (15103, 451, 5, 'Sollen Titel der Patientnotizen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (15104, 452, 5, 'Sind die Codes in externen SQL-Tabellen gespeichert (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2) ?');
INSERT INTO `lang_definitions` VALUES (15105, 453, 5, 'Sind Sie bereit ein neues GCAC-Problem für diese Visite auszufüllen?');
INSERT INTO `lang_definitions` VALUES (15106, 454, 5, 'Sind Sie sicher, dass Sie für heute senden möchten?');
INSERT INTO `lang_definitions` VALUES (15107, 455, 5, 'Sind Sie sicher, dass Sie diese Ereignisse bewilligen möchten?');
INSERT INTO `lang_definitions` VALUES (15108, 457, 5, 'Sind Sie sicher, dass Sie diesen Formular vollständig entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15109, 458, 5, 'Sind Sie sicher, dass Sie löschen möchten');
INSERT INTO `lang_definitions` VALUES (15110, 459, 5, 'Sind Sie sicher, dass Sie diese Bekanntgabe entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15111, 460, 5, 'Sind Sie sicher dass Sie diesen Ereignis entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15112, 461, 5, 'Sind Sie sicher, dass Sie diesen Punkt aus der Datenbank entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15113, 462, 5, 'Sind Sie sicher dass, Sie diese Notiz entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15114, 464, 5, 'Sind Sie sicher, dass Sie diese Ereignisse bearbeiten möchten?');
INSERT INTO `lang_definitions` VALUES (15115, 465, 5, 'Sind Sie sicher, dass Sie diese Ereignisse verbergen möchten?');
INSERT INTO `lang_definitions` VALUES (15116, 466, 5, 'Sind Sie sicher, dass Sie erneut übertragen möchten?');
INSERT INTO `lang_definitions` VALUES (15117, 467, 5, 'Sind Sie sicher, dass Sie diese Ereignisse sichtbar machen möchten?');
INSERT INTO `lang_definitions` VALUES (15118, 468, 5, 'Sind Sie sicher, dass Sie die gesamte genannte Gruppe entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15119, 469, 5, 'Sind Sie sicher, dass Sie die gesamte Liste entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15120, 470, 5, 'Sind Sie sicher, dass Sie das Feld entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15121, 471, 5, 'Sind Sie sicher, dass Sie die ausgewählten Felder entfernen möchten?');
INSERT INTO `lang_definitions` VALUES (15122, 472, 5, 'Sind Sie sicher, dass Sie diese Aktionen weiterführen möchten?');
INSERT INTO `lang_definitions` VALUES (15123, 473, 5, 'Gebiet nicht spezifiziert');
INSERT INTO `lang_definitions` VALUES (15124, 474, 5, 'Arm');
INSERT INTO `lang_definitions` VALUES (15125, 475, 5, 'Armenisch');
INSERT INTO `lang_definitions` VALUES (15126, 477, 5, 'Arrhythmie');
INSERT INTO `lang_definitions` VALUES (15127, 478, 5, 'Arthritis');
INSERT INTO `lang_definitions` VALUES (15128, 479, 5, 'Arthritis / degenerative Gelenkkrankheit');
INSERT INTO `lang_definitions` VALUES (15129, 480, 5, 'Arthritis / degenerative Gelenkkrankheit');
INSERT INTO `lang_definitions` VALUES (15130, 481, 5, 'wie');
INSERT INTO `lang_definitions` VALUES (15131, 482, 5, 'ab');
INSERT INTO `lang_definitions` VALUES (15132, 483, 5, 'ASC');
INSERT INTO `lang_definitions` VALUES (15133, 484, 5, 'Asiatisch');
INSERT INTO `lang_definitions` VALUES (15134, 487, 5, 'Beurteilung');
INSERT INTO `lang_definitions` VALUES (15135, 488, 5, 'Zugewiesen an');
INSERT INTO `lang_definitions` VALUES (15136, 489, 5, 'Assistent');
INSERT INTO `lang_definitions` VALUES (15137, 490, 5, 'Asthma');
INSERT INTO `lang_definitions` VALUES (15138, 491, 5, 'bei');
INSERT INTO `lang_definitions` VALUES (15139, 492, 5, 'Mindestens ein Suchparameter ist notwendig wenn Sie \'Alle\' selektieren');
INSERT INTO `lang_definitions` VALUES (15140, 493, 5, 'Am naviculare');
INSERT INTO `lang_definitions` VALUES (15141, 494, 5, 'Am naviculare:');
INSERT INTO `lang_definitions` VALUES (15142, 495, 5, 'Leichtathletikgruppe');
INSERT INTO `lang_definitions` VALUES (15143, 496, 5, 'Leichtathletikgruppe');
INSERT INTO `lang_definitions` VALUES (15144, 497, 5, 'Sportverletzung');
INSERT INTO `lang_definitions` VALUES (15145, 498, 5, 'ATNA Audit CA Zertifikat');
INSERT INTO `lang_definitions` VALUES (15146, 499, 5, 'ATNA Audit Host');
INSERT INTO `lang_definitions` VALUES (15147, 500, 5, 'ATNA Audit lokales Zertifikat');
INSERT INTO `lang_definitions` VALUES (15148, 501, 5, 'ATNA Audit Port');
INSERT INTO `lang_definitions` VALUES (15149, 503, 5, 'Achtung');
INSERT INTO `lang_definitions` VALUES (15150, 504, 5, 'zu Händen');
INSERT INTO `lang_definitions` VALUES (15151, 506, 5, 'Audit CDR Einrichtung Anfragen');
INSERT INTO `lang_definitions` VALUES (15152, 509, 5, 'Audit Logging Backups');
INSERT INTO `lang_definitions` VALUES (15153, 510, 5, 'Audit Logging Verschiedene');
INSERT INTO `lang_definitions` VALUES (15154, 511, 5, 'Audit Logging Order');
INSERT INTO `lang_definitions` VALUES (15155, 512, 5, 'Audit Logging Patientenakte');
INSERT INTO `lang_definitions` VALUES (15156, 513, 5, 'Audit Logging Planung');
INSERT INTO `lang_definitions` VALUES (15157, 514, 5, 'Audit Logging Sicherheitsadministration');
INSERT INTO `lang_definitions` VALUES (15158, 515, 5, 'Audit Logging SELECT Abfrage');
INSERT INTO `lang_definitions` VALUES (15159, 516, 5, 'Aug');
INSERT INTO `lang_definitions` VALUES (15160, 517, 5, 'August');
INSERT INTO `lang_definitions` VALUES (15161, 519, 5, 'Auth');
INSERT INTO `lang_definitions` VALUES (15162, 520, 5, 'Auth/Notizen');
INSERT INTO `lang_definitions` VALUES (15163, 523, 5, 'Genehmigungsgruppe');
INSERT INTO `lang_definitions` VALUES (15164, 524, 5, 'Genehmigungsstatus');
INSERT INTO `lang_definitions` VALUES (15165, 525, 5, 'Genehmigungen');
INSERT INTO `lang_definitions` VALUES (15166, 526, 5, 'Genehmigen');
INSERT INTO `lang_definitions` VALUES (15167, 527, 5, 'Jeden Termin genehmigen');
INSERT INTO `lang_definitions` VALUES (15168, 528, 5, 'Meine Termine genehmigen');
INSERT INTO `lang_definitions` VALUES (15169, 529, 5, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (15170, 530, 5, 'Genehmigt');
INSERT INTO `lang_definitions` VALUES (15171, 531, 5, 'Nur Genehmigte');
INSERT INTO `lang_definitions` VALUES (15172, 532, 5, 'Automatisch absenden');
INSERT INTO `lang_definitions` VALUES (15173, 535, 5, 'Neuen Termin automatisch anlegen');
INSERT INTO `lang_definitions` VALUES (15174, 536, 5, 'Automatisch generiert');
INSERT INTO `lang_definitions` VALUES (15175, 537, 5, 'Automatisierte Messberechnungen (AMC)');
INSERT INTO `lang_definitions` VALUES (15176, 538, 5, 'Automatisierte Messberechnungen (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (15177, 539, 5, 'Automatisierte Messberechnungen (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (15178, 542, 5, 'Automatisierte Messberechnungen (AMC) Nachverfolgung');
INSERT INTO `lang_definitions` VALUES (15179, 543, 5, 'Automatisierte Messungen');
INSERT INTO `lang_definitions` VALUES (15180, 544, 5, 'Automatisch');
INSERT INTO `lang_definitions` VALUES (15181, 546, 5, 'Automatisch eine neue Begegnung kreieren wenn Terminsstatus auf \"@\" (angekommen) gesetzt worden ist.');
INSERT INTO `lang_definitions` VALUES (15182, 549, 5, 'Automobile Medical');
INSERT INTO `lang_definitions` VALUES (15183, 550, 5, 'automatisch gespeichert');
INSERT INTO `lang_definitions` VALUES (15184, 551, 5, 'Verfügbare Kategorien');
INSERT INTO `lang_definitions` VALUES (15185, 552, 5, 'Verfügbare Zeiten');
INSERT INTO `lang_definitions` VALUES (15186, 553, 5, 'Verfügbare Pfade');
INSERT INTO `lang_definitions` VALUES (15187, 557, 5, 'Monatsmittel');
INSERT INTO `lang_definitions` VALUES (15188, 558, 5, 'Avulsion / Avulsionsbruch');
INSERT INTO `lang_definitions` VALUES (15189, 559, 5, 'Avulsion laterale Malleolus');
INSERT INTO `lang_definitions` VALUES (15190, 560, 5, 'Avulsion mediale Malleolus ');
INSERT INTO `lang_definitions` VALUES (15191, 561, 5, 'Auf Basis von Wahrnehmung');
INSERT INTO `lang_definitions` VALUES (15192, 562, 5, 'Axillair');
INSERT INTO `lang_definitions` VALUES (15193, 565, 5, 'zweimal am Tag');
INSERT INTO `lang_definitions` VALUES (15194, 566, 5, 'Zurück');
INSERT INTO `lang_definitions` VALUES (15195, 567, 5, 'zurück');
INSERT INTO `lang_definitions` VALUES (15196, 568, 5, 'Acht Termine zurück');
INSERT INTO `lang_definitions` VALUES (15197, 569, 5, 'Elf Termine zurück');
INSERT INTO `lang_definitions` VALUES (15198, 570, 5, 'Fünf Termine zurück');
INSERT INTO `lang_definitions` VALUES (15199, 571, 5, 'Vier Termine zurück');
INSERT INTO `lang_definitions` VALUES (15200, 572, 5, 'Neun Termine zurück');
INSERT INTO `lang_definitions` VALUES (15201, 573, 5, 'Einen Termin zurück');
INSERT INTO `lang_definitions` VALUES (15202, 574, 5, 'Rückenschmerzen');
INSERT INTO `lang_definitions` VALUES (15203, 575, 5, 'Rückenbeschwerden');
INSERT INTO `lang_definitions` VALUES (15204, 576, 5, 'Sieben Termine zurück');
INSERT INTO `lang_definitions` VALUES (15205, 577, 5, 'Sechs Termine zurück');
INSERT INTO `lang_definitions` VALUES (15206, 578, 5, 'Rücken-OP');
INSERT INTO `lang_definitions` VALUES (15207, 579, 5, 'Zehn Termine zurück');
INSERT INTO `lang_definitions` VALUES (15208, 580, 5, 'Drei Termine zurück');
INSERT INTO `lang_definitions` VALUES (15209, 581, 5, 'Zurück zur Admin-Seite');
INSERT INTO `lang_definitions` VALUES (15210, 584, 5, 'Zurück zu Patient');
INSERT INTO `lang_definitions` VALUES (15211, 585, 5, 'Zurück zu Benutzern');
INSERT INTO `lang_definitions` VALUES (15212, 586, 5, 'Zurück zur Anzeige');
INSERT INTO `lang_definitions` VALUES (15213, 587, 5, 'Zwölf Besuche zurück');
INSERT INTO `lang_definitions` VALUES (15214, 588, 5, 'Zwei Termine zurück');
INSERT INTO `lang_definitions` VALUES (15215, 589, 5, 'Hintergrund Dienst');
INSERT INTO `lang_definitions` VALUES (15216, 590, 5, 'Backup');
INSERT INTO `lang_definitions` VALUES (15217, 591, 5, 'Backupdatei wurde erstellt. Download beginnt.');
INSERT INTO `lang_definitions` VALUES (15218, 593, 5, 'Backup erfolgreich erfolgt in');
INSERT INTO `lang_definitions` VALUES (15219, 594, 5, 'Ungedeckter Scheck');
INSERT INTO `lang_definitions` VALUES (15220, 595, 5, 'uneinbringliche Forderungen');
INSERT INTO `lang_definitions` VALUES (15221, 596, 5, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (15222, 597, 5, 'Bal');
INSERT INTO `lang_definitions` VALUES (15223, 598, 5, 'Saldo');
INSERT INTO `lang_definitions` VALUES (15224, 599, 5, 'saldo');
INSERT INTO `lang_definitions` VALUES (15225, 600, 5, 'Saldo Betrag');
INSERT INTO `lang_definitions` VALUES (15226, 601, 5, 'Restbetrag');
INSERT INTO `lang_definitions` VALUES (15227, 603, 5, 'Bankwechsel');
INSERT INTO `lang_definitions` VALUES (15228, 607, 5, 'Basis 5. Mittelfußknochen');
INSERT INTO `lang_definitions` VALUES (15229, 608, 5, 'Basis 5. Mittelfußknochen:');
INSERT INTO `lang_definitions` VALUES (15230, 611, 5, 'Batch Anforderung');
INSERT INTO `lang_definitions` VALUES (15231, 612, 5, 'Batch Kommunikations Tool');
INSERT INTO `lang_definitions` VALUES (15232, 613, 5, 'Sammelzahlungseintrag');
INSERT INTO `lang_definitions` VALUES (15233, 614, 5, 'Sammelzahlung');
INSERT INTO `lang_definitions` VALUES (15234, 615, 5, 'Verarbeitung gestartet. Dies kann einen Moment dauern.');
INSERT INTO `lang_definitions` VALUES (15235, 616, 5, 'Sammelergebnisse');
INSERT INTO `lang_definitions` VALUES (15236, 617, 5, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (15237, 619, 5, 'weil diese ID nicht existiert');
INSERT INTO `lang_definitions` VALUES (15238, 620, 5, 'Start');
INSERT INTO `lang_definitions` VALUES (15239, 621, 5, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (15240, 623, 5, 'Service Startdatum - JJJJ-MM-DD');
INSERT INTO `lang_definitions` VALUES (15241, 624, 5, 'Startstunde für Kalender Ereignisse');
INSERT INTO `lang_definitions` VALUES (15242, 626, 5, 'Aufstoßen');
INSERT INTO `lang_definitions` VALUES (15243, 628, 5, 'Bengali');
INSERT INTO `lang_definitions` VALUES (15244, 630, 5, 'zwischen');
INSERT INTO `lang_definitions` VALUES (15245, 633, 5, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (15246, 634, 5, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (15247, 636, 5, 'Rechnungsdatum:');
INSERT INTO `lang_definitions` VALUES (15248, 637, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (15249, 638, 5, 'Berechnet');
INSERT INTO `lang_definitions` VALUES (15250, 640, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (15251, 641, 5, 'Rechnug (optional)');
INSERT INTO `lang_definitions` VALUES (15252, 642, 5, 'Rechnung z. Hd.');
INSERT INTO `lang_definitions` VALUES (15253, 644, 5, 'Rechnungscode für angeforderte Leistung');
INSERT INTO `lang_definitions` VALUES (15254, 645, 5, 'Rechnungscode');
INSERT INTO `lang_definitions` VALUES (15255, 646, 5, 'Rechnungsdaten');
INSERT INTO `lang_definitions` VALUES (15256, 647, 5, 'Rechnungsabteilung');
INSERT INTO `lang_definitions` VALUES (15257, 648, 5, 'Rechnungssteller');
INSERT INTO `lang_definitions` VALUES (15258, 649, 5, 'Rechnungsinformation');
INSERT INTO `lang_definitions` VALUES (15259, 650, 5, 'Rechnungslokalität');
INSERT INTO `lang_definitions` VALUES (15260, 655, 5, 'Rechnungsverwaltung');
INSERT INTO `lang_definitions` VALUES (15261, 656, 5, 'Rechnungsbemerkung');
INSERT INTO `lang_definitions` VALUES (15262, 657, 5, 'Rechnungsbemerkung für ');
INSERT INTO `lang_definitions` VALUES (15263, 658, 5, 'Rechnungsbemerkung:');
INSERT INTO `lang_definitions` VALUES (15264, 659, 5, 'Rechnung Warteliste Ergebnisse:');
INSERT INTO `lang_definitions` VALUES (15265, 660, 5, 'Rechnungsbericht');
INSERT INTO `lang_definitions` VALUES (15266, 661, 5, 'Rechnungsstatus');
INSERT INTO `lang_definitions` VALUES (15267, 662, 5, 'Rechnungsstatus = Unbezahlt');
INSERT INTO `lang_definitions` VALUES (15268, 663, 5, 'Rechnung an ');
INSERT INTO `lang_definitions` VALUES (15269, 665, 5, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (15270, 666, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (15271, 667, 5, 'Geb., 0 bis 24 Monate');
INSERT INTO `lang_definitions` VALUES (15272, 669, 5, 'Schwarz');
INSERT INTO `lang_definitions` VALUES (15273, 670, 5, 'Schwarze Lunge');
INSERT INTO `lang_definitions` VALUES (15274, 671, 5, 'Afrikaner oder Amerikaner');
INSERT INTO `lang_definitions` VALUES (15275, 672, 5, 'Blasencarcinom');
INSERT INTO `lang_definitions` VALUES (15276, 673, 5, 'Blasenentzündung');
INSERT INTO `lang_definitions` VALUES (15277, 674, 5, 'Formularvorlage');
INSERT INTO `lang_definitions` VALUES (15278, 675, 5, 'Probleme mit Blutungen');
INSERT INTO `lang_definitions` VALUES (15279, 676, 5, 'Blinde Flecken');
INSERT INTO `lang_definitions` VALUES (15280, 677, 5, 'Blähungen');
INSERT INTO `lang_definitions` VALUES (15281, 678, 5, 'Geblockt');
INSERT INTO `lang_definitions` VALUES (15282, 679, 5, 'Blut');
INSERT INTO `lang_definitions` VALUES (15283, 680, 5, 'Blutdruck');
INSERT INTO `lang_definitions` VALUES (15284, 681, 5, 'Blutdruck');
INSERT INTO `lang_definitions` VALUES (15285, 682, 5, 'Blutige Nase');
INSERT INTO `lang_definitions` VALUES (15286, 683, 5, 'Blaues kreuz blaues Schield');
INSERT INTO `lang_definitions` VALUES (15287, 684, 5, 'Blaue Linien in diesem Bericht sind informationell. Schwarze Linien zeigen bereits vorhandene Informationen. Grüne Linien zeigen Veränderungen, die erfolgreich angewendet wurden. Rote Linien weisen auf Fehler hin oder auf nicht übernommene Änderungen.');
INSERT INTO `lang_definitions` VALUES (15288, 685, 5, 'Sehstörungen');
INSERT INTO `lang_definitions` VALUES (15289, 686, 5, 'BMI');
INSERT INTO `lang_definitions` VALUES (15290, 687, 5, 'BMI Status');
INSERT INTO `lang_definitions` VALUES (15291, 689, 5, 'Körperbereich');
INSERT INTO `lang_definitions` VALUES (15292, 690, 5, 'Körperstelle');
INSERT INTO `lang_definitions` VALUES (15293, 691, 5, 'Körperstelle (gegebenfalls)');
INSERT INTO `lang_definitions` VALUES (15294, 692, 5, 'Knochenspannung');
INSERT INTO `lang_definitions` VALUES (15295, 693, 5, 'Knochenspannung: Medial Malleolus');
INSERT INTO `lang_definitions` VALUES (15296, 694, 5, 'Boolsch');
INSERT INTO `lang_definitions` VALUES (15297, 696, 5, 'Unten');
INSERT INTO `lang_definitions` VALUES (15298, 697, 5, 'Beide Ohren');
INSERT INTO `lang_definitions` VALUES (15299, 698, 5, 'beide Ohren');
INSERT INTO `lang_definitions` VALUES (15300, 699, 5, 'Unten');
INSERT INTO `lang_definitions` VALUES (15301, 701, 5, 'Fach 10 A Arbeitsunfall ');
INSERT INTO `lang_definitions` VALUES (15302, 702, 5, 'Fach 10 B Autounfall ');
INSERT INTO `lang_definitions` VALUES (15303, 703, 5, 'Fach 10 C andere Unfälle ');
INSERT INTO `lang_definitions` VALUES (15304, 706, 5, 'Fach 15. Datum der gleichen oder ähnlichen Erkrankung (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (15305, 708, 5, 'Fach 16. Arbeitsunfähigkeit seit (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (15306, 709, 5, 'Fach 16. Arbeitsunfähigkeit bis (JJJJ-MM-TT)');
INSERT INTO `lang_definitions` VALUES (15307, 710, 5, 'Fach 18. Krankenhausaufenthalt seit (JJ-MM-TT) ');
INSERT INTO `lang_definitions` VALUES (15308, 711, 5, 'Fach 18. Krankenhausaufenthalt bis (JJ-MM-TT) ');
INSERT INTO `lang_definitions` VALUES (15309, 712, 5, 'Fach 20: wurde ein Auswärtslabor beauftragt?');
INSERT INTO `lang_definitions` VALUES (15310, 713, 5, 'Fach 22. Medicaid Wiedereinreichungskode ICD-9 ');
INSERT INTO `lang_definitions` VALUES (15311, 714, 5, 'Fach 23. vorheriger AuthorizierungsNummer ');
INSERT INTO `lang_definitions` VALUES (15312, 715, 5, 'Blutdruck');
INSERT INTO `lang_definitions` VALUES (15313, 716, 5, 'Blutdruck diastolisch');
INSERT INTO `lang_definitions` VALUES (15314, 717, 5, 'Blutdruck systolisch');
INSERT INTO `lang_definitions` VALUES (15315, 719, 5, 'BP diast.');
INSERT INTO `lang_definitions` VALUES (15316, 721, 5, 'BP syst.');
INSERT INTO `lang_definitions` VALUES (15317, 722, 5, 'Brasilianisches Portugiesisch');
INSERT INTO `lang_definitions` VALUES (15318, 723, 5, 'Brüste');
INSERT INTO `lang_definitions` VALUES (15319, 724, 5, 'Brust-Biopsie');
INSERT INTO `lang_definitions` VALUES (15320, 725, 5, 'Brustverkleinerung');
INSERT INTO `lang_definitions` VALUES (15321, 726, 5, 'Brusterkrankung');
INSERT INTO `lang_definitions` VALUES (15322, 727, 5, 'Brustuntersuchung');
INSERT INTO `lang_definitions` VALUES (15323, 728, 5, 'Brustmasse');
INSERT INTO `lang_definitions` VALUES (15324, 730, 5, 'Atemgeräusch:');
INSERT INTO `lang_definitions` VALUES (15325, 732, 5, 'Gebrochene Knochen');
INSERT INTO `lang_definitions` VALUES (15326, 734, 5, 'Bronchitis Art');
INSERT INTO `lang_definitions` VALUES (15327, 735, 5, 'Suchen');
INSERT INTO `lang_definitions` VALUES (15328, 736, 5, 'Suche nach Einträgen');
INSERT INTO `lang_definitions` VALUES (15329, 737, 5, 'Hämatome');
INSERT INTO `lang_definitions` VALUES (15330, 739, 5, 'Beule rechts:');
INSERT INTO `lang_definitions` VALUES (15331, 741, 5, 'Brennen beim Wasserlassen');
INSERT INTO `lang_definitions` VALUES (15332, 742, 5, 'Brennen beim Wasserlassen');
INSERT INTO `lang_definitions` VALUES (15333, 744, 5, 'Beschäftigt');
INSERT INTO `lang_definitions` VALUES (15334, 745, 5, 'aber noch nicht verarbeitet.');
INSERT INTO `lang_definitions` VALUES (15335, 746, 5, 'Gesäßhälfte');
INSERT INTO `lang_definitions` VALUES (15336, 747, 5, 'Gesäßhälfte + S.I.');
INSERT INTO `lang_definitions` VALUES (15337, 748, 5, 'bei');
INSERT INTO `lang_definitions` VALUES (15338, 749, 5, 'Bei');
INSERT INTO `lang_definitions` VALUES (15339, 750, 5, 'oral');
INSERT INTO `lang_definitions` VALUES (15340, 751, 5, 'Durch/Ursprung');
INSERT INTO `lang_definitions` VALUES (15341, 752, 5, 'Bei:');
INSERT INTO `lang_definitions` VALUES (15342, 753, 5, 'C');
INSERT INTO `lang_definitions` VALUES (15343, 754, 5, 'CA Certificate zur Identifizierung des RFC 5425 TLS syslog servers.');
INSERT INTO `lang_definitions` VALUES (15344, 755, 5, 'Cache Zeit (in Sekunden)');
INSERT INTO `lang_definitions` VALUES (15345, 756, 5, 'Cache Vorlage Ausgabe?');
INSERT INTO `lang_definitions` VALUES (15346, 757, 5, 'Kaffeekonsum');
INSERT INTO `lang_definitions` VALUES (15347, 758, 5, 'Kalender');
INSERT INTO `lang_definitions` VALUES (15348, 759, 5, 'Kalender Endstunde');
INSERT INTO `lang_definitions` VALUES (15349, 760, 5, 'Kalenderinterval');
INSERT INTO `lang_definitions` VALUES (15350, 761, 5, 'Kalender-Anzeige');
INSERT INTO `lang_definitions` VALUES (15351, 762, 5, 'Kalendereinstellungen');
INSERT INTO `lang_definitions` VALUES (15352, 763, 5, 'Kalender Startstunde');
INSERT INTO `lang_definitions` VALUES (15353, 764, 5, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (15354, 765, 5, 'Kalenderanzeige');
INSERT INTO `lang_definitions` VALUES (15355, 766, 5, 'Aufruf von addForm() kommt hierhin.<br>');
INSERT INTO `lang_definitions` VALUES (15356, 767, 5, 'Kalorien');
INSERT INTO `lang_definitions` VALUES (15357, 768, 5, 'Kambodschanisch');
INSERT INTO `lang_definitions` VALUES (15359, 774, 5, 'Abbrechen');
INSERT INTO `lang_definitions` VALUES (15360, 775, 5, 'Änderungen verwerfen');
INSERT INTO `lang_definitions` VALUES (15361, 776, 5, 'Abgebrochen');
INSERT INTO `lang_definitions` VALUES (15362, 777, 5, 'Krebs');
INSERT INTO `lang_definitions` VALUES (15363, 778, 5, 'Krebsuntersuchung: Darm-Krebsuntersuchung');
INSERT INTO `lang_definitions` VALUES (15364, 779, 5, 'Krebsuntersuchung: Mammographie');
INSERT INTO `lang_definitions` VALUES (15365, 780, 5, 'Krebsuntersuchung: PAP-Abstrich');
INSERT INTO `lang_definitions` VALUES (15366, 781, 5, 'Krebsuntersuchung: Prostata-Krebsuntersuchung');
INSERT INTO `lang_definitions` VALUES (15367, 782, 5, 'Kann diesen Eintrag nicht hinzufügen, da er bereits existiert!');
INSERT INTO `lang_definitions` VALUES (15368, 783, 5, 'Kann diesen Eintrag nicht hinzufügen/aktualisieren, da er bereits existiert!');
INSERT INTO `lang_definitions` VALUES (15369, 784, 5, 'kann nicht archiviert werden, nicht durchgeführt');
INSERT INTO `lang_definitions` VALUES (15370, 785, 5, 'kann nicht zu JPEG umgewandelt werden. Vielleicht ist ImageMagick nicht installiert?');
INSERT INTO `lang_definitions` VALUES (15371, 786, 5, 'kann nicht gelöscht werden, nicht durchgeführt');
INSERT INTO `lang_definitions` VALUES (15372, 787, 5, 'kann nicht dargestellt werden, da der Browser es nicht unterstützt.');
INSERT INTO `lang_definitions` VALUES (15373, 788, 5, 'kann nicht dargestellt werden, da der Browser es nicht unterstützt.');
INSERT INTO `lang_definitions` VALUES (15374, 789, 5, 'kann nicht dargestellt werden, da der Browser es nicht unterstützt.');
INSERT INTO `lang_definitions` VALUES (15375, 790, 5, 'Anlage nicht möglich');
INSERT INTO `lang_definitions` VALUES (15376, 795, 5, 'Suche ohne Ergebnis ');
INSERT INTO `lang_definitions` VALUES (15377, 796, 5, 'Ziel-Dateiname nicht gefunden');
INSERT INTO `lang_definitions` VALUES (15378, 799, 5, 'Kann Klienten im SQL-Ledger customer id nicht finden');
INSERT INTO `lang_definitions` VALUES (15379, 800, 5, 'Kann Postcript Dokument referenz nicht finden ');
INSERT INTO `lang_definitions` VALUES (15380, 801, 5, 'kann Leistungserbringer in SQL-Ledger angestellter nicht finden= ');
INSERT INTO `lang_definitions` VALUES (15381, 803, 5, 'Öffnen nicht möglich ');
INSERT INTO `lang_definitions` VALUES (15382, 804, 5, 'keine Forderung bei Versicherung. Kostenübernahme durch Patient');
INSERT INTO `lang_definitions` VALUES (15383, 805, 5, 'keine Forderung beim Patient. Kostenübernahme durch Versicherung');
INSERT INTO `lang_definitions` VALUES (15384, 806, 5, 'keine Fordeung möglich. Summe negativ.');
INSERT INTO `lang_definitions` VALUES (15385, 807, 5, 'Lesen nicht möglich');
INSERT INTO `lang_definitions` VALUES (15386, 808, 5, 'Verzeichnis kann nicht gelesen werden');
INSERT INTO `lang_definitions` VALUES (15387, 809, 5, 'Aktualisierung nicht möglich, da neuer Datensatz!');
INSERT INTO `lang_definitions` VALUES (15388, 810, 5, 'Hochgestellt');
INSERT INTO `lang_definitions` VALUES (15389, 812, 5, 'Kapsel');
INSERT INTO `lang_definitions` VALUES (15390, 813, 5, 'Karte');
INSERT INTO `lang_definitions` VALUES (15391, 814, 5, 'Herz-Katheterisierung');
INSERT INTO `lang_definitions` VALUES (15392, 815, 5, 'Herz Ultraschall');
INSERT INTO `lang_definitions` VALUES (15393, 816, 5, 'kardiovaskulär');
INSERT INTO `lang_definitions` VALUES (15394, 821, 5, 'Knorpelschaden');
INSERT INTO `lang_definitions` VALUES (15395, 822, 5, 'Knorpelverletzung');
INSERT INTO `lang_definitions` VALUES (15396, 823, 5, 'Carotis pulse normal, Fuß pulse normal');
INSERT INTO `lang_definitions` VALUES (15397, 824, 5, 'bar');
INSERT INTO `lang_definitions` VALUES (15398, 825, 5, 'Bar');
INSERT INTO `lang_definitions` VALUES (15399, 826, 5, 'nur in Bar');
INSERT INTO `lang_definitions` VALUES (15400, 827, 5, 'Quittung durch Behandler');
INSERT INTO `lang_definitions` VALUES (15401, 829, 5, 'Grauer Star Operation');
INSERT INTO `lang_definitions` VALUES (15402, 830, 5, 'Katarakte');
INSERT INTO `lang_definitions` VALUES (15403, 831, 5, 'Kategorien');
INSERT INTO `lang_definitions` VALUES (15404, 832, 5, 'Kategorien für');
INSERT INTO `lang_definitions` VALUES (15405, 833, 5, 'Kategorien');
INSERT INTO `lang_definitions` VALUES (15406, 834, 5, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (15407, 835, 5, 'Kategorie ');
INSERT INTO `lang_definitions` VALUES (15408, 836, 5, 'Kategoriedetails');
INSERT INTO `lang_definitions` VALUES (15409, 837, 5, 'Kategorielimits');
INSERT INTO `lang_definitions` VALUES (15410, 838, 5, 'Kategoriename');
INSERT INTO `lang_definitions` VALUES (15411, 839, 5, 'Kategoriename ist leer');
INSERT INTO `lang_definitions` VALUES (15412, 840, 5, 'Kategorie/Titel');
INSERT INTO `lang_definitions` VALUES (15413, 841, 5, 'Kaukasier');
INSERT INTO `lang_definitions` VALUES (15414, 842, 5, 'sorgt für Ausdruck des Leistungserbringer-Info');
INSERT INTO `lang_definitions` VALUES (15415, 850, 5, 'CDR');
INSERT INTO `lang_definitions` VALUES (15416, 851, 5, 'CDR Bericht Verarbeitungs Priorität');
INSERT INTO `lang_definitions` VALUES (15417, 852, 5, 'Zelle');
INSERT INTO `lang_definitions` VALUES (15418, 853, 5, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (15419, 854, 5, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (15420, 855, 5, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (15421, 856, 5, 'Zentrale Zertifizierung');
INSERT INTO `lang_definitions` VALUES (15422, 857, 5, 'Zentral/Südamerika');
INSERT INTO `lang_definitions` VALUES (15423, 858, 5, 'Certificate Authority CRT-Datei Speicherort kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (15424, 859, 5, 'Certificate Authority key-Datei Speicherort kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (15425, 860, 5, 'Zertifikat, das zum RFC 5425 TLS Syslog Server gesendet werden soll');
INSERT INTO `lang_definitions` VALUES (15426, 861, 5, 'Zertifizierter Benutzer');
INSERT INTO `lang_definitions` VALUES (15427, 862, 5, 'Zertifikate');
INSERT INTO `lang_definitions` VALUES (15428, 864, 5, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (15429, 865, 5, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (15430, 866, 5, 'ändern');
INSERT INTO `lang_definitions` VALUES (15431, 867, 5, 'Änderung');
INSERT INTO `lang_definitions` VALUES (15432, 868, 5, 'Änderungsaktivität');
INSERT INTO `lang_definitions` VALUES (15433, 869, 5, 'Wechsel fehlgeschlagen! Couch DB Verbindungsfehler?');
INSERT INTO `lang_definitions` VALUES (15434, 870, 5, 'Veränderung in Aussehen');
INSERT INTO `lang_definitions` VALUES (15435, 871, 5, 'Veränderung in Aussehen');
INSERT INTO `lang_definitions` VALUES (15436, 872, 5, 'Passwort ändern');
INSERT INTO `lang_definitions` VALUES (15437, 874, 5, 'Geändert');
INSERT INTO `lang_definitions` VALUES (15438, 875, 5, 'Veränderter Darm');
INSERT INTO `lang_definitions` VALUES (15439, 876, 5, 'Ändern der Patienten ID für Dokument');
INSERT INTO `lang_definitions` VALUES (15440, 877, 5, 'Besonderheiten');
INSERT INTO `lang_definitions` VALUES (15441, 878, 5, 'Zeichen übrig');
INSERT INTO `lang_definitions` VALUES (15442, 879, 5, 'Berechnen');
INSERT INTO `lang_definitions` VALUES (15443, 880, 5, 'Rechnungsanpassung');
INSERT INTO `lang_definitions` VALUES (15444, 881, 5, 'Honorar Code');
INSERT INTO `lang_definitions` VALUES (15445, 882, 5, 'Kosten');
INSERT INTO `lang_definitions` VALUES (15446, 883, 5, 'Diagramm');
INSERT INTO `lang_definitions` VALUES (15447, 884, 5, 'Diagramm Aktivität');
INSERT INTO `lang_definitions` VALUES (15448, 885, 5, 'Status IN/OUT Aktivitätsbericht');
INSERT INTO `lang_definitions` VALUES (15449, 886, 5, 'Akten-ID-nummer');
INSERT INTO `lang_definitions` VALUES (15450, 887, 5, 'Akten-ID-nummer');
INSERT INTO `lang_definitions` VALUES (15451, 889, 5, 'Akten Aktivitätsposition');
INSERT INTO `lang_definitions` VALUES (15452, 890, 5, 'Akteneintrag');
INSERT INTO `lang_definitions` VALUES (15453, 891, 5, 'Aktennummer');
INSERT INTO `lang_definitions` VALUES (15454, 892, 5, 'Akten Speicher positionen');
INSERT INTO `lang_definitions` VALUES (15455, 893, 5, 'Akten Lokalisierung');
INSERT INTO `lang_definitions` VALUES (15456, 894, 5, 'Akten Trk');
INSERT INTO `lang_definitions` VALUES (15457, 895, 5, 'Akten ausgesandt');
INSERT INTO `lang_definitions` VALUES (15458, 896, 5, 'Akten weg');
INSERT INTO `lang_definitions` VALUES (15459, 898, 5, 'Prüfung');
INSERT INTO `lang_definitions` VALUES (15460, 899, 5, 'prüfen');
INSERT INTO `lang_definitions` VALUES (15461, 900, 5, 'Alles prüfen');
INSERT INTO `lang_definitions` VALUES (15462, 902, 5, 'Kontroll Betrag');
INSERT INTO `lang_definitions` VALUES (15463, 903, 5, 'Kontroll Datum');
INSERT INTO `lang_definitions` VALUES (15464, 904, 5, 'Prüfe auf Differenzen mit benutzerdefinierten Sprachtabelle');
INSERT INTO `lang_definitions` VALUES (15465, 907, 5, 'Eingaben Prüfen');
INSERT INTO `lang_definitions` VALUES (15466, 909, 5, 'Laborbefund prüfen');
INSERT INTO `lang_definitions` VALUES (15467, 910, 5, 'checkmarke bedeutet geprüft');
INSERT INTO `lang_definitions` VALUES (15468, 911, 5, 'Kontroll Nr.');
INSERT INTO `lang_definitions` VALUES (15469, 912, 5, 'Nummer Prüfen');
INSERT INTO `lang_definitions` VALUES (15470, 915, 5, 'Scheckzahlung');
INSERT INTO `lang_definitions` VALUES (15471, 916, 5, 'Box aktivieren, wenn Datei verschlüsselt');
INSERT INTO `lang_definitions` VALUES (15472, 917, 5, 'Aktivieren, wenn Leistungserbringer alle Termine sehen sollen und nicht nur ihre eigenen');
INSERT INTO `lang_definitions` VALUES (15473, 918, 5, 'aktivieren um problem von Diagnose zu machen');
INSERT INTO `lang_definitions` VALUES (15474, 919, 5, 'Check/EOB Datum:');
INSERT INTO `lang_definitions` VALUES (15475, 920, 5, 'Check/EOB No.:');
INSERT INTO `lang_definitions` VALUES (15476, 921, 5, 'Check/Ref. Nummer');
INSERT INTO `lang_definitions` VALUES (15477, 922, 5, 'Check/Referenz Nummer');
INSERT INTO `lang_definitions` VALUES (15478, 923, 5, 'Checkbox Liste');
INSERT INTO `lang_definitions` VALUES (15479, 924, 5, 'checkbox Liste');
INSERT INTO `lang_definitions` VALUES (15480, 925, 5, 'checkbox mit Text');
INSERT INTO `lang_definitions` VALUES (15481, 926, 5, 'Checkbox mit Text');
INSERT INTO `lang_definitions` VALUES (15482, 928, 5, 'Angeklickt');
INSERT INTO `lang_definitions` VALUES (15483, 929, 5, 'Angeklickt = Ja, leer = Nein');
INSERT INTO `lang_definitions` VALUES (15484, 932, 5, 'Abmeldung');
INSERT INTO `lang_definitions` VALUES (15485, 933, 5, 'Kontrollsumme');
INSERT INTO `lang_definitions` VALUES (15486, 934, 5, 'Brust');
INSERT INTO `lang_definitions` VALUES (15487, 935, 5, 'Thorax CTAB');
INSERT INTO `lang_definitions` VALUES (15488, 936, 5, 'Thoraxbeschwerden');
INSERT INTO `lang_definitions` VALUES (15489, 937, 5, 'Thoraxbeschwerden:');
INSERT INTO `lang_definitions` VALUES (15490, 938, 5, 'Thoraxschmerz');
INSERT INTO `lang_definitions` VALUES (15491, 940, 5, 'Chg');
INSERT INTO `lang_definitions` VALUES (15492, 942, 5, 'Hauptbeschwerde');
INSERT INTO `lang_definitions` VALUES (15493, 943, 5, 'Kind');
INSERT INTO `lang_definitions` VALUES (15494, 945, 5, 'Kindheit Impfstatus');
INSERT INTO `lang_definitions` VALUES (15495, 946, 5, 'Schüttelfrost');
INSERT INTO `lang_definitions` VALUES (15496, 947, 5, 'Chinesisch');
INSERT INTO `lang_definitions` VALUES (15497, 948, 5, 'Chinesisch (vereinfacht)');
INSERT INTO `lang_definitions` VALUES (15498, 949, 5, 'Chinesisch (traditionel)');
INSERT INTO `lang_definitions` VALUES (15499, 951, 5, 'Optionen');
INSERT INTO `lang_definitions` VALUES (15500, 952, 5, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (15501, 954, 5, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (15502, 955, 5, 'Auswählen');
INSERT INTO `lang_definitions` VALUES (15503, 956, 5, 'klicke einen Artikel in einer Sektion, dann werden die korrespondierende artikel in der anderen Sektion markiert. Durch anklicken dieser Artikel kann man die Beziehung bestättigen oder aufheben.');
INSERT INTO `lang_definitions` VALUES (15504, 957, 5, 'Kriterium auswählen');
INSERT INTO `lang_definitions` VALUES (15505, 959, 5, 'Datei wählen');
INSERT INTO `lang_definitions` VALUES (15506, 960, 5, 'Von Liste wählen');
INSERT INTO `lang_definitions` VALUES (15507, 962, 5, 'Auswahlliste');
INSERT INTO `lang_definitions` VALUES (15508, 965, 5, 'Druckvormat für Besuch-Bericht wählen');
INSERT INTO `lang_definitions` VALUES (15509, 967, 5, 'Chronische Bronchitis');
INSERT INTO `lang_definitions` VALUES (15510, 968, 5, 'Chronische Gelenkbeschwerden');
INSERT INTO `lang_definitions` VALUES (15511, 969, 5, 'Chronische Nierenerkrankung');
INSERT INTO `lang_definitions` VALUES (15512, 970, 5, 'Chronische Synovitis / Gelenkschmerzen');
INSERT INTO `lang_definitions` VALUES (15513, 971, 5, 'Chronisch/Wiederkehrend');
INSERT INTO `lang_definitions` VALUES (15514, 973, 5, 'Leberzirrhose');
INSERT INTO `lang_definitions` VALUES (15515, 974, 5, 'Leberzirrhose');
INSERT INTO `lang_definitions` VALUES (15516, 975, 5, 'Stadt');
INSERT INTO `lang_definitions` VALUES (15517, 976, 5, 'Stadt');
INSERT INTO `lang_definitions` VALUES (15518, 977, 5, 'Stadt, Land');
INSERT INTO `lang_definitions` VALUES (15519, 978, 5, 'Stadt, Land, Postleitzahl');
INSERT INTO `lang_definitions` VALUES (15520, 979, 5, 'Stadt/Land');
INSERT INTO `lang_definitions` VALUES (15521, 980, 5, 'Antrag');
INSERT INTO `lang_definitions` VALUES (15522, 981, 5, 'Antrag ');
INSERT INTO `lang_definitions` VALUES (15523, 982, 5, 'Antrag Status');
INSERT INTO `lang_definitions` VALUES (15524, 983, 5, 'Antrag-Test komplett durchgeführt');
INSERT INTO `lang_definitions` VALUES (15525, 984, 5, 'Antrag Art');
INSERT INTO `lang_definitions` VALUES (15526, 985, 5, 'Antrag in Datei geschrieben');
INSERT INTO `lang_definitions` VALUES (15527, 986, 5, 'Antrag in Datei geschrieben ');
INSERT INTO `lang_definitions` VALUES (15528, 987, 5, 'Anträge');
INSERT INTO `lang_definitions` VALUES (15529, 988, 5, 'Einstufung');
INSERT INTO `lang_definitions` VALUES (15530, 989, 5, 'Löschen');
INSERT INTO `lang_definitions` VALUES (15531, 990, 5, 'LÖSCHE AKTIVEN PATIENT');
INSERT INTO `lang_definitions` VALUES (15532, 991, 5, 'Alles löschen');
INSERT INTO `lang_definitions` VALUES (15533, 992, 5, 'Lösche HL7 Daten');
INSERT INTO `lang_definitions` VALUES (15534, 993, 5, 'Lösche Begründung');
INSERT INTO `lang_definitions` VALUES (15535, 994, 5, 'Lösche Smarty Cache');
INSERT INTO `lang_definitions` VALUES (15536, 995, 5, 'Clearinghouse info nötig für EDI 270 Batchherstellung');
INSERT INTO `lang_definitions` VALUES (15537, 996, 5, 'CLIA-Nummer');
INSERT INTO `lang_definitions` VALUES (15538, 997, 5, 'Klick');
INSERT INTO `lang_definitions` VALUES (15539, 998, 5, '\"export\" anklicken um deine Kategorie, Unterkategorie, Artikel, Inhaltsdaten in eine Textdatei zu exportieren.');
INSERT INTO `lang_definitions` VALUES (15540, 999, 5, 'Klicke einen Punkt auf der Grafik um einen neue Anmerkung hinzuzufügen, klicke nochmal, um ihn zu entfernen');
INSERT INTO `lang_definitions` VALUES (15541, 1000, 5, 'Klicke Zertifikat herunterladen, um die Zertifikate als ZIP-Datei herunterzuladen');
INSERT INTO `lang_definitions` VALUES (15542, 1001, 5, 'Klick für weiter');
INSERT INTO `lang_definitions` VALUES (15543, 1002, 5, 'Klick für weitere Details');
INSERT INTO `lang_definitions` VALUES (15544, 1003, 5, 'Klick für Bestellübersicht');
INSERT INTO `lang_definitions` VALUES (15545, 1004, 5, 'Klick für Ergebnisse');
INSERT INTO `lang_definitions` VALUES (15546, 1005, 5, 'Hier klicken');
INSERT INTO `lang_definitions` VALUES (15547, 1006, 5, 'Hier klicken um neuen Klienten anzulegen');
INSERT INTO `lang_definitions` VALUES (15548, 1007, 5, 'Hier klicken um Unfallstatusveränderungen einzufügen und bearbeite tgl. Aktivität');
INSERT INTO `lang_definitions` VALUES (15549, 1008, 5, 'Hier klicken, um ein Datum zu wählen');
INSERT INTO `lang_definitions` VALUES (15550, 1009, 5, 'Hier klicken, um Datum und Zeit zu wählen');
INSERT INTO `lang_definitions` VALUES (15551, 1010, 5, 'Hier klicken, um Startzeit zu wählen');
INSERT INTO `lang_definitions` VALUES (15552, 1020, 5, 'Hier klicken, um zu suchen');
INSERT INTO `lang_definitions` VALUES (15553, 1021, 5, 'Hier klicken, um Priorität, Kategorie und Nickname zu aktualisieren');
INSERT INTO `lang_definitions` VALUES (15554, 1022, 5, 'Hier klicken, um alles zu sehen');
INSERT INTO `lang_definitions` VALUES (15555, 1023, 5, 'Hier klicken, um Graphen zu zeigen');
INSERT INTO `lang_definitions` VALUES (15556, 1025, 5, 'Hier klicken, um alle Vitalwerte anzuzeigen.');
INSERT INTO `lang_definitions` VALUES (15557, 1026, 5, 'Hier klicken, um Patientendetails zu sehen');
INSERT INTO `lang_definitions` VALUES (15558, 1027, 5, 'Hier klicken, um alle zu sehen.');
INSERT INTO `lang_definitions` VALUES (15559, 1028, 5, 'Hier klicken um weitere Details anzuzeigen/ändern');
INSERT INTO `lang_definitions` VALUES (15560, 1029, 5, 'Installieren-Schaltfläche klicken, um Datenbank-Release vom folgenden Datum zu installieren');
INSERT INTO `lang_definitions` VALUES (15561, 1030, 5, 'Klicken auf jeweiligen Zeitabschnitt um es zu erhöhen');
INSERT INTO `lang_definitions` VALUES (15562, 1031, 5, 'Patienten-Name anklicken, um Patientenakte zu öffnen');
INSERT INTO `lang_definitions` VALUES (15563, 1032, 5, 'Auf Aktualisieren klicken, um alle Ergebnisse zu sehen; oder oben Suchkriterium eingeben, um Ergebnisse einzuschränken');
INSERT INTO `lang_definitions` VALUES (15564, 1033, 5, 'Klicken, um eine Diagnose hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (15565, 1034, 5, 'Klicken, um neue Komponenten hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (15566, 1035, 5, 'Klicken, um neue Konsultationen hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (15567, 1037, 5, 'Klicken zum Download');
INSERT INTO `lang_definitions` VALUES (15568, 1038, 5, 'Klicken zum Bearbeiten');
INSERT INTO `lang_definitions` VALUES (15569, 1039, 5, 'Klicken, um Beschreibung zu ändern');
INSERT INTO `lang_definitions` VALUES (15570, 1040, 5, 'Klicken, um Ereignis zu editieren');
INSERT INTO `lang_definitions` VALUES (15571, 1041, 5, 'Klicken, um Bericht zu generieren');
INSERT INTO `lang_definitions` VALUES (15572, 1043, 5, 'Klicken, um zu Drucken');
INSERT INTO `lang_definitions` VALUES (15573, 1044, 5, 'Klicken, um neues Los hinzuzufügen');
INSERT INTO `lang_definitions` VALUES (15574, 1045, 5, 'Klicken zum selektieren');
INSERT INTO `lang_definitions` VALUES (15575, 1046, 5, 'Klicken zum Selektieren');
INSERT INTO `lang_definitions` VALUES (15576, 1047, 5, 'Klicken, um einen Industrie-Standard Code hinzuzufügen für diesen Vorgang');
INSERT INTO `lang_definitions` VALUES (15577, 1048, 5, 'Klicken, um optionalen Vorgangs-Code auszuwählen');
INSERT INTO `lang_definitions` VALUES (15578, 1050, 5, 'Klicken, um CVX-Code auszuwählen oder zu ändern');
INSERT INTO `lang_definitions` VALUES (15579, 1051, 5, 'Klicken, um Diagnose zu selektieren/ändern');
INSERT INTO `lang_definitions` VALUES (15580, 1052, 5, 'Klicken, um Service-Codes auszuwählen oder zu ündern');
INSERT INTO `lang_definitions` VALUES (15581, 1053, 5, 'Klicken, um Patient auszuwählen');
INSERT INTO `lang_definitions` VALUES (15582, 1054, 5, 'Klicken, um zugehörigen Code auszuwählen');
INSERT INTO `lang_definitions` VALUES (15583, 1055, 5, 'Klicken, um Leistungen auszuwählen im Falle eines auffälligen Befundes');
INSERT INTO `lang_definitions` VALUES (15584, 1056, 5, 'Klicken, um die gewünschte Behandlung auszuwählen');
INSERT INTO `lang_definitions` VALUES (15585, 1057, 5, 'Klicken, um zu sortieren');
INSERT INTO `lang_definitions` VALUES (15586, 1058, 5, 'Klicken zum Betrachten');
INSERT INTO `lang_definitions` VALUES (15587, 1059, 5, 'Klicken zum Betrachten oder Bearbeiten');
INSERT INTO `lang_definitions` VALUES (15588, 1060, 5, 'Klicken zum Betrachten/Bearbeiten');
INSERT INTO `lang_definitions` VALUES (15589, 1061, 5, 'Auf Upgrade klicken, um Datenbank-Release des folgenden Datums einzuspielen');
INSERT INTO `lang_definitions` VALUES (15590, 1063, 5, 'Klicken:');
INSERT INTO `lang_definitions` VALUES (15591, 1064, 5, 'Gültigkeit des Client-Zertifikats');
INSERT INTO `lang_definitions` VALUES (15592, 1065, 5, 'Validierungszeitraum des Client-Zertifikats');
INSERT INTO `lang_definitions` VALUES (15593, 1066, 5, 'Validität des Client-Zertifikats muss eine Zahl sein.');
INSERT INTO `lang_definitions` VALUES (15594, 1067, 5, 'Klientenkopie');
INSERT INTO `lang_definitions` VALUES (15595, 1069, 5, 'Zusammenfassung der Anamnese');
INSERT INTO `lang_definitions` VALUES (15596, 1070, 5, 'Klient Name');
INSERT INTO `lang_definitions` VALUES (15597, 1071, 5, 'Klient Nummer');
INSERT INTO `lang_definitions` VALUES (15598, 1072, 5, 'Klienten Profil - neuer Klient');
INSERT INTO `lang_definitions` VALUES (15599, 1073, 5, 'Klienten Profil - spezifischer Klient');
INSERT INTO `lang_definitions` VALUES (15600, 1074, 5, 'Klienten');
INSERT INTO `lang_definitions` VALUES (15601, 1075, 5, 'Klinik');
INSERT INTO `lang_definitions` VALUES (15602, 1076, 5, 'Klinik Kopie');
INSERT INTO `lang_definitions` VALUES (15603, 1077, 5, 'Täglicher Klinik-Bericht');
INSERT INTO `lang_definitions` VALUES (15604, 1078, 5, 'Klinik-ID');
INSERT INTO `lang_definitions` VALUES (15605, 1079, 5, 'Klinisch');
INSERT INTO `lang_definitions` VALUES (15606, 1080, 5, 'Klinische Entscheidungs-Regel Alarm-Manager');
INSERT INTO `lang_definitions` VALUES (15607, 1081, 5, 'Klinischer Verlauf');
INSERT INTO `lang_definitions` VALUES (15608, 1083, 5, 'klinische Pläne');
INSERT INTO `lang_definitions` VALUES (15609, 1084, 5, 'Klinische Qualitätskriterien (CQM)');
INSERT INTO `lang_definitions` VALUES (15610, 1087, 5, 'Klinische Erinnerungen');
INSERT INTO `lang_definitions` VALUES (15611, 1088, 5, 'Klinische Berichte');
INSERT INTO `lang_definitions` VALUES (15612, 1089, 5, 'Klinische Regeln Aktionskategorie');
INSERT INTO `lang_definitions` VALUES (15613, 1090, 5, 'Klinische Regeln Einzelaktion');
INSERT INTO `lang_definitions` VALUES (15614, 1091, 5, 'Klinische Regeln Filtermethoden');
INSERT INTO `lang_definitions` VALUES (15615, 1092, 5, 'Klinische Regeln Zielmethoden');
INSERT INTO `lang_definitions` VALUES (15616, 1093, 5, 'Klinische Regeln');
INSERT INTO `lang_definitions` VALUES (15617, 1094, 5, 'Klinische Regeln Altersintervalle');
INSERT INTO `lang_definitions` VALUES (15618, 1095, 5, 'Klinische Regeln Vergleiche');
INSERT INTO `lang_definitions` VALUES (15619, 1096, 5, 'Klinische Regeln Besuchs-Typen');
INSERT INTO `lang_definitions` VALUES (15620, 1097, 5, 'Klinische Regeln Erinnerungs-Optionen');
INSERT INTO `lang_definitions` VALUES (15621, 1098, 5, 'Klinische Regeln Erinnerungs-Deaktivierungsoptionen');
INSERT INTO `lang_definitions` VALUES (15622, 1099, 5, 'Klinische Regeln Erinnerungsintervalle');
INSERT INTO `lang_definitions` VALUES (15623, 1100, 5, 'Klinische Regeln Erinnerungsmethoden');
INSERT INTO `lang_definitions` VALUES (15624, 1101, 5, 'Klinische Regeln Zielintervalle');
INSERT INTO `lang_definitions` VALUES (15625, 1102, 5, 'Klinische Zielwerte');
INSERT INTO `lang_definitions` VALUES (15626, 1103, 5, 'Klinische Bedingung');
INSERT INTO `lang_definitions` VALUES (15627, 1104, 5, 'Klinische Bedingung Code(s)');
INSERT INTO `lang_definitions` VALUES (15628, 1106, 5, 'Kliniker');
INSERT INTO `lang_definitions` VALUES (15629, 1107, 5, 'Kopieren');
INSERT INTO `lang_definitions` VALUES (15630, 1108, 5, 'Kopiere lezte Konsultation');
INSERT INTO `lang_definitions` VALUES (15631, 1109, 5, 'Schließen');
INSERT INTO `lang_definitions` VALUES (15632, 1111, 5, 'Fenster schließen');
INSERT INTO `lang_definitions` VALUES (15633, 1112, 5, 'Geschlossen');
INSERT INTO `lang_definitions` VALUES (15634, 1113, 5, 'cm');
INSERT INTO `lang_definitions` VALUES (15635, 1114, 5, 'CMS 1500 kantlijn');
INSERT INTO `lang_definitions` VALUES (15636, 1118, 5, 'CMS-ID');
INSERT INTO `lang_definitions` VALUES (15637, 1127, 5, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (15638, 1128, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (15639, 1129, 5, 'Zuzahlung bezahlt');
INSERT INTO `lang_definitions` VALUES (15640, 1130, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (15641, 1131, 5, 'Code');
INSERT INTO `lang_definitions` VALUES (15642, 1132, 5, 'code');
INSERT INTO `lang_definitions` VALUES (15643, 1133, 5, 'Code Finder');
INSERT INTO `lang_definitions` VALUES (15644, 1134, 5, 'Code muss 2 buchstaben kleingeschrieben sein');
INSERT INTO `lang_definitions` VALUES (15645, 1135, 5, 'Code oder Symbol für die Währung');
INSERT INTO `lang_definitions` VALUES (15646, 1136, 5, 'Code Text');
INSERT INTO `lang_definitions` VALUES (15647, 1138, 5, 'Code Typ');
INSERT INTO `lang_definitions` VALUES (15648, 1141, 5, 'Code Typen');
INSERT INTO `lang_definitions` VALUES (15649, 1142, 5, 'Code(s)');
INSERT INTO `lang_definitions` VALUES (15650, 1143, 5, 'Codiert');
INSERT INTO `lang_definitions` VALUES (15651, 1144, 5, 'Code');
INSERT INTO `lang_definitions` VALUES (15652, 1145, 5, 'Schlüssel');
INSERT INTO `lang_definitions` VALUES (15653, 1147, 5, 'Kodieren-beliebige Erreignisse');
INSERT INTO `lang_definitions` VALUES (15654, 1148, 5, 'Kodieren-meine Erreignise');
INSERT INTO `lang_definitions` VALUES (15655, 1149, 5, 'nicht autorisierter Kode');
INSERT INTO `lang_definitions` VALUES (15656, 1150, 5, 'Kaffee');
INSERT INTO `lang_definitions` VALUES (15657, 1152, 5, 'Mitversicherung');
INSERT INTO `lang_definitions` VALUES (15658, 1153, 5, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (15659, 1154, 5, 'Ausblenden');
INSERT INTO `lang_definitions` VALUES (15660, 1155, 5, 'ausblenden');
INSERT INTO `lang_definitions` VALUES (15661, 1156, 5, 'Alle Ausblenden');
INSERT INTO `lang_definitions` VALUES (15662, 1157, 5, 'Alle ausblenden');
INSERT INTO `lang_definitions` VALUES (15663, 1158, 5, 'alle ausblenden');
INSERT INTO `lang_definitions` VALUES (15664, 1160, 5, 'Erfassung Datum');
INSERT INTO `lang_definitions` VALUES (15665, 1161, 5, 'Bestände');
INSERT INTO `lang_definitions` VALUES (15666, 1162, 5, 'Bestandsbericht');
INSERT INTO `lang_definitions` VALUES (15667, 1163, 5, 'Kolon-Carcinom');
INSERT INTO `lang_definitions` VALUES (15668, 1164, 5, 'Kolon-Carcinom Screening');
INSERT INTO `lang_definitions` VALUES (15669, 1165, 5, 'Kolon-Caricinom-Chirurgie');
INSERT INTO `lang_definitions` VALUES (15670, 1166, 5, 'Koloskopie');
INSERT INTO `lang_definitions` VALUES (15671, 1167, 5, 'Koloskopie');
INSERT INTO `lang_definitions` VALUES (15672, 1168, 5, 'Farbe');
INSERT INTO `lang_definitions` VALUES (15673, 1169, 5, 'Farbe:Abbr');
INSERT INTO `lang_definitions` VALUES (15674, 1170, 5, 'Spalte');
INSERT INTO `lang_definitions` VALUES (15675, 1171, 5, 'Spalten');
INSERT INTO `lang_definitions` VALUES (15676, 1172, 5, 'kombinierbare positionen');
INSERT INTO `lang_definitions` VALUES (15677, 1173, 5, 'Komma');
INSERT INTO `lang_definitions` VALUES (15678, 1174, 5, 'Kommentar');
INSERT INTO `lang_definitions` VALUES (15679, 1175, 5, 'Kommentare');
INSERT INTO `lang_definitions` VALUES (15680, 1176, 5, 'Kommentare / Empfehlungen zu diesem Ergebnis');
INSERT INTO `lang_definitions` VALUES (15681, 1177, 5, 'private Versicherungsanstalt');
INSERT INTO `lang_definitions` VALUES (15682, 1178, 5, 'Änderungen eintragen');
INSERT INTO `lang_definitions` VALUES (15683, 1180, 5, 'Kommunikationen');
INSERT INTO `lang_definitions` VALUES (15684, 1182, 5, 'Firma');
INSERT INTO `lang_definitions` VALUES (15685, 1183, 5, 'Firmenname');
INSERT INTO `lang_definitions` VALUES (15686, 1184, 5, 'Fertig');
INSERT INTO `lang_definitions` VALUES (15687, 1186, 5, 'Fertiggestellt');
INSERT INTO `lang_definitions` VALUES (15688, 1188, 5, 'Fertig?');
INSERT INTO `lang_definitions` VALUES (15689, 1190, 5, 'Komplikationen durch Leistungserbringer');
INSERT INTO `lang_definitions` VALUES (15690, 1191, 5, 'Komplikationen durch Abort');
INSERT INTO `lang_definitions` VALUES (15691, 1192, 5, 'Komponenten');
INSERT INTO `lang_definitions` VALUES (15692, 1193, 5, 'Computergestütztes medizinisches Bestellsystem');
INSERT INTO `lang_definitions` VALUES (15693, 1194, 5, 'Schlußfolgerungen');
INSERT INTO `lang_definitions` VALUES (15694, 1199, 5, 'Konfiguration');
INSERT INTO `lang_definitions` VALUES (15695, 1200, 5, 'Export/Import konfigurieren');
INSERT INTO `lang_definitions` VALUES (15696, 1202, 5, 'Apache und LibreEHR konfigurieren, um clientseitige SSL-Zertifikate zu verwenden');
INSERT INTO `lang_definitions` VALUES (15697, 1203, 5, 'Apache konfigurieren, um clientseitige SSL-Zertifikate zu verwenden');
INSERT INTO `lang_definitions` VALUES (15698, 1204, 5, 'Apache konfigurieren, um HTTPS zu verwenden');
INSERT INTO `lang_definitions` VALUES (15699, 1205, 5, 'LibreEHR konfigurieren, um clientseitige SSL-Zertifikate zu verwenden');
INSERT INTO `lang_definitions` VALUES (15700, 1208, 5, 'Neuen Patient jetzt anlegen');
INSERT INTO `lang_definitions` VALUES (15701, 1209, 5, 'Bestätige neues Passwort');
INSERT INTO `lang_definitions` VALUES (15702, 1210, 5, 'Bestätige Zahlung');
INSERT INTO `lang_definitions` VALUES (15703, 1214, 5, 'kongenital');
INSERT INTO `lang_definitions` VALUES (15704, 1215, 5, 'Konjunktiva, Pupillen');
INSERT INTO `lang_definitions` VALUES (15705, 1217, 5, 'Konnektoren');
INSERT INTO `lang_definitions` VALUES (15706, 1218, 5, 'Konstante');
INSERT INTO `lang_definitions` VALUES (15707, 1219, 5, 'Konstantenname');
INSERT INTO `lang_definitions` VALUES (15708, 1220, 5, 'Konstantenname ist leer');
INSERT INTO `lang_definitions` VALUES (15709, 1221, 5, 'Konstanten');
INSERT INTO `lang_definitions` VALUES (15710, 1222, 5, 'Obstipation');
INSERT INTO `lang_definitions` VALUES (15711, 1223, 5, 'Konstitutionell');
INSERT INTO `lang_definitions` VALUES (15712, 1226, 5, 'Kurzbeschreibung der Konsultation');
INSERT INTO `lang_definitions` VALUES (15713, 1227, 5, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (15714, 1228, 5, 'Email-Kontakt');
INSERT INTO `lang_definitions` VALUES (15715, 1229, 5, 'Email-Kontaktadresse');
INSERT INTO `lang_definitions` VALUES (15716, 1230, 5, 'Kontaktiere EMR Direct um phiMail Direct messaging zu abonieren');
INSERT INTO `lang_definitions` VALUES (15717, 1231, 5, 'Kontaktinformation');
INSERT INTO `lang_definitions` VALUES (15718, 1232, 5, 'Kontaktlinsen');
INSERT INTO `lang_definitions` VALUES (15719, 1233, 5, 'Kontaktiere EDV Abteilung für Laboranbindung');
INSERT INTO `lang_definitions` VALUES (15720, 1234, 5, 'Kontaktiere EDV Abteilung');
INSERT INTO `lang_definitions` VALUES (15721, 1236, 5, 'Kontaktname');
INSERT INTO `lang_definitions` VALUES (15722, 1237, 5, 'Kontaktperson');
INSERT INTO `lang_definitions` VALUES (15723, 1239, 5, 'Kontakttelefonnummer');
INSERT INTO `lang_definitions` VALUES (15724, 1240, 5, 'Kontaktiere ZMG, LLC (zmghealth@gmail.com), um Dich für den eRx-Service zu registrieren');
INSERT INTO `lang_definitions` VALUES (15725, 1241, 5, 'enthalten mindestens drei der vier folgenden Dinge:');
INSERT INTO `lang_definitions` VALUES (15726, 1242, 5, 'Kontainer Gruppenname');
INSERT INTO `lang_definitions` VALUES (15727, 1243, 5, 'Inhalt');
INSERT INTO `lang_definitions` VALUES (15728, 1244, 5, 'Inhalt');
INSERT INTO `lang_definitions` VALUES (15729, 1245, 5, 'Kontext');
INSERT INTO `lang_definitions` VALUES (15730, 1246, 5, 'Kontext-Name darf nicht leer sein');
INSERT INTO `lang_definitions` VALUES (15731, 1247, 5, 'Weiter');
INSERT INTO `lang_definitions` VALUES (15732, 1248, 5, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (15733, 1249, 5, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (15734, 1250, 5, 'Kontra Klienten');
INSERT INTO `lang_definitions` VALUES (15735, 1251, 5, 'Empfängnisverhütung');
INSERT INTO `lang_definitions` VALUES (15736, 1252, 5, 'Probleme mit Empfängnisverhütung');
INSERT INTO `lang_definitions` VALUES (15737, 1253, 5, 'Probleme mit Empfängnisverhütung (spezifiziert)');
INSERT INTO `lang_definitions` VALUES (15738, 1254, 5, 'Verhütungsmethode');
INSERT INTO `lang_definitions` VALUES (15739, 1255, 5, 'Verhütungsmittel');
INSERT INTO `lang_definitions` VALUES (15740, 1256, 5, 'Verhütungsmassnahme bereits eingesetzt');
INSERT INTO `lang_definitions` VALUES (15741, 1257, 5, 'Beginn Verhütung');
INSERT INTO `lang_definitions` VALUES (15742, 1258, 5, 'Kontroll ID');
INSERT INTO `lang_definitions` VALUES (15743, 1259, 5, 'Kontroll Nr.');
INSERT INTO `lang_definitions` VALUES (15744, 1261, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (15745, 1262, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (15746, 1263, 5, 'Zuzahlung');
INSERT INTO `lang_definitions` VALUES (15747, 1264, 5, 'Zuzahlung nicht möglich');
INSERT INTO `lang_definitions` VALUES (15748, 1266, 5, 'Zuzahlungen');
INSERT INTO `lang_definitions` VALUES (15749, 1267, 5, 'COPD');
INSERT INTO `lang_definitions` VALUES (15750, 1268, 5, 'Seiten zum Patienten-Diagramm kopieren');
INSERT INTO `lang_definitions` VALUES (15751, 1269, 5, 'Werte kopieren');
INSERT INTO `lang_definitions` VALUES (15752, 1270, 5, 'Kopiere die Datenbank. Dies wird eine Weile dauern...');
INSERT INTO `lang_definitions` VALUES (15753, 1271, 5, 'Lizenzbestimmungen');
INSERT INTO `lang_definitions` VALUES (15754, 1273, 5, 'Koronalarterieller Bypass');
INSERT INTO `lang_definitions` VALUES (15755, 1274, 5, 'Koronalarterieller Bypass Transplantat');
INSERT INTO `lang_definitions` VALUES (15756, 1275, 5, 'Korrigiert');
INSERT INTO `lang_definitions` VALUES (15757, 1277, 5, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (15758, 1278, 5, 'CouchDB-Verbindung fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (15759, 1279, 5, 'CouchDB-Datenbank');
INSERT INTO `lang_definitions` VALUES (15760, 1280, 5, 'CouchDB Datenbankname');
INSERT INTO `lang_definitions` VALUES (15761, 1281, 5, 'CouchDB Host');
INSERT INTO `lang_definitions` VALUES (15762, 1282, 5, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (15763, 1283, 5, 'CouchDB Log aktiviert');
INSERT INTO `lang_definitions` VALUES (15764, 1284, 5, 'CouchDB Passwort');
INSERT INTO `lang_definitions` VALUES (15765, 1285, 5, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (15766, 1286, 5, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (15767, 1288, 5, 'CouchDB Nutzername');
INSERT INTO `lang_definitions` VALUES (15768, 1289, 5, 'Husten');
INSERT INTO `lang_definitions` VALUES (15769, 1290, 5, 'Husten:');
INSERT INTO `lang_definitions` VALUES (15770, 1294, 5, 'Datei kann nicht gelesen werden');
INSERT INTO `lang_definitions` VALUES (15771, 1296, 5, 'Konnte E-Mail wegen Server-Problemen nicht senden, ');
INSERT INTO `lang_definitions` VALUES (15772, 1297, 5, 'Konnte E-Mail wegen Server-Problemen nicht senden, ');
INSERT INTO `lang_definitions` VALUES (15773, 1298, 5, 'Konnte Backup-Verzeichnis nicht erstellen');
INSERT INTO `lang_definitions` VALUES (15774, 1299, 5, 'Konnte Verzeichnis nicht löschen:');
INSERT INTO `lang_definitions` VALUES (15775, 1300, 5, 'Konnte alte Backup-Datei nicht löschen:');
INSERT INTO `lang_definitions` VALUES (15776, 1301, 5, 'Konnte alte Export-Datei nicht löschen');
INSERT INTO `lang_definitions` VALUES (15777, 1302, 5, 'INR-Kontrolle');
INSERT INTO `lang_definitions` VALUES (15778, 1303, 5, 'Beratung nach Methode');
INSERT INTO `lang_definitions` VALUES (15779, 1304, 5, 'Beratung');
INSERT INTO `lang_definitions` VALUES (15780, 1305, 5, 'Beratungsaktivitäten');
INSERT INTO `lang_definitions` VALUES (15781, 1306, 5, 'Rücküberweisung Form');
INSERT INTO `lang_definitions` VALUES (15782, 1307, 5, 'Rücküberweisung');
INSERT INTO `lang_definitions` VALUES (15783, 1308, 5, 'Land');
INSERT INTO `lang_definitions` VALUES (15784, 1309, 5, 'Länder Datentyp');
INSERT INTO `lang_definitions` VALUES (15785, 1310, 5, 'Länderliste');
INSERT INTO `lang_definitions` VALUES (15786, 1311, 5, 'Länderliste (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (15787, 1312, 5, 'Zweistelliger Ländercode (z.B. USA = US)');
INSERT INTO `lang_definitions` VALUES (15788, 1313, 5, 'Bezirk');
INSERT INTO `lang_definitions` VALUES (15789, 1315, 5, 'Coupon');
INSERT INTO `lang_definitions` VALUES (15790, 1318, 5, 'CPT');
INSERT INTO `lang_definitions` VALUES (15791, 1319, 5, 'CPT-Code');
INSERT INTO `lang_definitions` VALUES (15792, 1320, 5, 'CPT-Codes');
INSERT INTO `lang_definitions` VALUES (15793, 1321, 5, 'CPT4-Behandlung');
INSERT INTO `lang_definitions` VALUES (15794, 1322, 5, 'CPTII Performance Messung');
INSERT INTO `lang_definitions` VALUES (15795, 1323, 5, 'CQM');
INSERT INTO `lang_definitions` VALUES (15796, 1324, 5, 'Rasselgeräusch:');
INSERT INTO `lang_definitions` VALUES (15797, 1325, 5, 'Sahne');
INSERT INTO `lang_definitions` VALUES (15798, 1326, 5, 'Erstelle ein clientseitiges SSL-Zertifikat für jeden Benutzer oder jeden Client-Rechner');
INSERT INTO `lang_definitions` VALUES (15799, 1327, 5, 'Erstelle ein clientseitiges SSL-Zertifikat für entweder einen Benutzer oder einen Client-Hostname');
INSERT INTO `lang_definitions` VALUES (15800, 1329, 5, 'Ereignis erstellen');
INSERT INTO `lang_definitions` VALUES (15801, 1330, 5, 'Vollbackup erstellung und herunterladen');
INSERT INTO `lang_definitions` VALUES (15802, 1332, 5, 'Backup erstellen');
INSERT INTO `lang_definitions` VALUES (15803, 1333, 5, 'Stapel erstellen');
INSERT INTO `lang_definitions` VALUES (15804, 1334, 5, 'Client-Zertifikat erstellen');
INSERT INTO `lang_definitions` VALUES (15805, 1335, 5, 'Clientseitige SSL-Zertifikate erstellen');
INSERT INTO `lang_definitions` VALUES (15806, 1336, 5, 'Erzeuge Duplikat');
INSERT INTO `lang_definitions` VALUES (15807, 1338, 5, 'Erzeuge Ereignis-Log Backup');
INSERT INTO `lang_definitions` VALUES (15808, 1339, 5, 'Erzeuge neuen Fall');
INSERT INTO `lang_definitions` VALUES (15809, 1340, 5, 'Neuen Patienten anlegen');
INSERT INTO `lang_definitions` VALUES (15810, 1342, 5, 'Erstelle Zugangsdaten für Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (15811, 1343, 5, 'Erstelle Zugangsdaten für Onsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (15812, 1344, 5, 'Patientennotiz erstellen');
INSERT INTO `lang_definitions` VALUES (15813, 1345, 5, 'Erstelle SSL-Zertifikat-Authority und Server-Zertifikate');
INSERT INTO `lang_definitions` VALUES (15814, 1346, 5, 'Neue Konsultation');
INSERT INTO `lang_definitions` VALUES (15815, 1347, 5, 'Angelegt');
INSERT INTO `lang_definitions` VALUES (15816, 1348, 5, 'Datei exportieren');
INSERT INTO `lang_definitions` VALUES (15817, 1350, 5, 'Fehler beim erstellen dieser Datei auf dem Remote-Host');
INSERT INTO `lang_definitions` VALUES (15818, 1351, 5, 'Ersteller');
INSERT INTO `lang_definitions` VALUES (15819, 1352, 5, 'Kredit');
INSERT INTO `lang_definitions` VALUES (15820, 1353, 5, 'Kreditkarte');
INSERT INTO `lang_definitions` VALUES (15821, 1354, 5, 'Kredite');
INSERT INTO `lang_definitions` VALUES (15822, 1356, 5, 'Kriterium');
INSERT INTO `lang_definitions` VALUES (15823, 1358, 5, 'Morbus Crohn');
INSERT INTO `lang_definitions` VALUES (15824, 1359, 5, 'Morbus Crohn');
INSERT INTO `lang_definitions` VALUES (15825, 1360, 5, 'CSV Export');
INSERT INTO `lang_definitions` VALUES (15826, 1361, 5, 'CSV-Datei');
INSERT INTO `lang_definitions` VALUES (15827, 1362, 5, 'CSV-Tabelle');
INSERT INTO `lang_definitions` VALUES (15828, 1363, 5, 'CU MM');
INSERT INTO `lang_definitions` VALUES (15829, 1364, 5, 'Kubaner');
INSERT INTO `lang_definitions` VALUES (15830, 1365, 5, 'Aktuelle Währung Dezimalstellen');
INSERT INTO `lang_definitions` VALUES (15831, 1366, 5, 'Aktuelles Dezialpunkt Symbol');
INSERT INTO `lang_definitions` VALUES (15832, 1367, 5, 'Aktuelle Währung Kennung');
INSERT INTO `lang_definitions` VALUES (15833, 1368, 5, 'Aktueller Tausender-Trenner');
INSERT INTO `lang_definitions` VALUES (15834, 1369, 5, 'Aktuell');
INSERT INTO `lang_definitions` VALUES (15835, 1370, 5, 'Aktueller Alkoholkonsum');
INSERT INTO `lang_definitions` VALUES (15836, 1371, 5, 'Aktuelle Konsultation');
INSERT INTO `lang_definitions` VALUES (15837, 1372, 5, 'Aktuelles Kriterium');
INSERT INTO `lang_definitions` VALUES (15838, 1373, 5, 'Aktuelle Tag-Markierung Farbe');
INSERT INTO `lang_definitions` VALUES (15839, 1374, 5, 'Aktuell Raucher täglich');
INSERT INTO `lang_definitions` VALUES (15840, 1375, 5, 'Aktuelle Datei wurde geändert zu');
INSERT INTO `lang_definitions` VALUES (15841, 1376, 5, 'aktueller Hash');
INSERT INTO `lang_definitions` VALUES (15842, 1377, 5, 'Aktueller Standort');
INSERT INTO `lang_definitions` VALUES (15843, 1378, 5, 'Aktuelle Medikamente');
INSERT INTO `lang_definitions` VALUES (15844, 1379, 5, 'Aktuelles Passwort');
INSERT INTO `lang_definitions` VALUES (15845, 1380, 5, 'Aktueller Patient');
INSERT INTO `lang_definitions` VALUES (15846, 1382, 5, 'Aktuelle Freizeitdrogen');
INSERT INTO `lang_definitions` VALUES (15847, 1383, 5, 'Aktuell Raucher gelegentlich');
INSERT INTO `lang_definitions` VALUES (15848, 1386, 5, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (15849, 1387, 5, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (15850, 1388, 5, 'Aktuell keine Standorte vorhanden.');
INSERT INTO `lang_definitions` VALUES (15851, 1389, 5, 'Cushing-Syndrom');
INSERT INTO `lang_definitions` VALUES (15852, 1390, 5, 'Cushing-Syndrom');
INSERT INTO `lang_definitions` VALUES (15853, 1392, 5, 'Angepasst');
INSERT INTO `lang_definitions` VALUES (15854, 1393, 5, 'Benutzerdefinierte eingabe?');
INSERT INTO `lang_definitions` VALUES (15855, 1394, 5, 'Benutzerdefinierte Tabelle');
INSERT INTO `lang_definitions` VALUES (15856, 1396, 5, 'CVX-Code');
INSERT INTO `lang_definitions` VALUES (15857, 1397, 5, 'CVX-Code Mapping');
INSERT INTO `lang_definitions` VALUES (15858, 1398, 5, 'CVX-Impfung');
INSERT INTO `lang_definitions` VALUES (15859, 1399, 5, 'Zyklus');
INSERT INTO `lang_definitions` VALUES (15860, 1400, 5, 'CYP');
INSERT INTO `lang_definitions` VALUES (15861, 1401, 5, 'CYP-Faktor');
INSERT INTO `lang_definitions` VALUES (15862, 1402, 5, 'CYP-Bericht');
INSERT INTO `lang_definitions` VALUES (15863, 1403, 5, 'Tschechisch');
INSERT INTO `lang_definitions` VALUES (15864, 1404, 5, 'D');
INSERT INTO `lang_definitions` VALUES (15865, 1405, 5, 'D&C');
INSERT INTO `lang_definitions` VALUES (15866, 1406, 5, 'D&E');
INSERT INTO `lang_definitions` VALUES (15867, 1407, 5, 'Geb');
INSERT INTO `lang_definitions` VALUES (15868, 1408, 5, 'täglich');
INSERT INTO `lang_definitions` VALUES (15869, 1409, 5, 'Tägliche Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (15870, 1410, 5, 'Dänisch');
INSERT INTO `lang_definitions` VALUES (15871, 1411, 5, 'Ähnliche Daten bereits in der Datenbank, bitte ändere Code und/oder Beschreibung');
INSERT INTO `lang_definitions` VALUES (15872, 1412, 5, 'Ähnliche Daten bereits in der Datenbank, bitte ändere den Konstantennamen');
INSERT INTO `lang_definitions` VALUES (15873, 1413, 5, 'Daten-Spalten');
INSERT INTO `lang_definitions` VALUES (15874, 1416, 5, 'Daten-Fehler');
INSERT INTO `lang_definitions` VALUES (15875, 1420, 5, 'Datentyp');
INSERT INTO `lang_definitions` VALUES (15876, 1421, 5, 'Datenbank');
INSERT INTO `lang_definitions` VALUES (15877, 1422, 5, 'Datenbank ist nicht installiert.');
INSERT INTO `lang_definitions` VALUES (15878, 1423, 5, 'Datenbank-Patch');
INSERT INTO `lang_definitions` VALUES (15879, 1424, 5, 'Datenbank-Berichtswesen');
INSERT INTO `lang_definitions` VALUES (15880, 1425, 5, 'Datenbankaktualisierung beendet');
INSERT INTO `lang_definitions` VALUES (15881, 1426, 5, 'Datenspalten muss zwischen 1 und 999 liegen');
INSERT INTO `lang_definitions` VALUES (15882, 1427, 5, 'Datum');
INSERT INTO `lang_definitions` VALUES (15883, 1428, 5, 'DATUM');
INSERT INTO `lang_definitions` VALUES (15884, 1429, 5, 'Datum & Zeit Verabreichung');
INSERT INTO `lang_definitions` VALUES (15885, 1431, 5, 'Datum der Verabreichung');
INSERT INTO `lang_definitions` VALUES (15886, 1432, 5, 'Datum und Uhrzeit der Probeentnahme');
INSERT INTO `lang_definitions` VALUES (15887, 1433, 5, 'Datum und Uhrzeit dieser Beobachtung');
INSERT INTO `lang_definitions` VALUES (15888, 1435, 5, 'Datum und Uhrzeit der Probeentnahme');
INSERT INTO `lang_definitions` VALUES (15889, 1436, 5, 'Datum kann nicht größer als \"heute\" sein');
INSERT INTO `lang_definitions` VALUES (15890, 1437, 5, 'Datum des Beginns der Verhütungsmaßnahme');
INSERT INTO `lang_definitions` VALUES (15891, 1438, 5, 'Erstellungsdatum');
INSERT INTO `lang_definitions` VALUES (15892, 1439, 5, 'Datum Verstorben');
INSERT INTO `lang_definitions` VALUES (15893, 1440, 5, 'Datum zerstört');
INSERT INTO `lang_definitions` VALUES (15894, 1441, 5, 'Datumsanzeige-Format');
INSERT INTO `lang_definitions` VALUES (15895, 1442, 5, 'Datumsformat für \"Termin Ende\" ungültig');
INSERT INTO `lang_definitions` VALUES (15896, 1443, 5, 'Datumsformat für \"Termin Start\" ungültig');
INSERT INTO `lang_definitions` VALUES (15897, 1444, 5, 'Datumsformat für \"nächster Termin\" ungültig');
INSERT INTO `lang_definitions` VALUES (15898, 1445, 5, 'Datumsformat für \"nicht gesehen seit\" ungültig');
INSERT INTO `lang_definitions` VALUES (15899, 1446, 5, 'Datumsformat für \"gesehen seit\" ungültig');
INSERT INTO `lang_definitions` VALUES (15900, 1447, 5, 'Datum der Impungs Information');
INSERT INTO `lang_definitions` VALUES (15901, 1448, 5, 'Datum für Code fehlt ');
INSERT INTO `lang_definitions` VALUES (15902, 1449, 5, 'Datum Haupt Kriterium');
INSERT INTO `lang_definitions` VALUES (15903, 1450, 5, 'Datum der Bankeinzahlung jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (15904, 1451, 5, 'Datum der Rechnungsstellung');
INSERT INTO `lang_definitions` VALUES (15905, 1452, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (15906, 1453, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (15907, 1454, 5, 'Geburtsdatum');
INSERT INTO `lang_definitions` VALUES (15908, 1455, 5, 'Datum der Eintragung');
INSERT INTO `lang_definitions` VALUES (15909, 1456, 5, 'Unfallzeitpunkt');
INSERT INTO `lang_definitions` VALUES (15910, 1458, 5, 'Datum der Bezahlung jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (15911, 1459, 5, 'Datum der Überweisung');
INSERT INTO `lang_definitions` VALUES (15912, 1460, 5, 'Datum der Antwort');
INSERT INTO `lang_definitions` VALUES (15913, 1461, 5, 'Datum des Berichts');
INSERT INTO `lang_definitions` VALUES (15914, 1462, 5, 'Datum der Dienstleistung');
INSERT INTO `lang_definitions` VALUES (15915, 1463, 5, 'Datum der Dienstleistung');
INSERT INTO `lang_definitions` VALUES (15916, 1464, 5, 'Datum der Dienstleistung = Heute');
INSERT INTO `lang_definitions` VALUES (15917, 1465, 5, 'Datum der Dienstleistung mm/tt/jjjj');
INSERT INTO `lang_definitions` VALUES (15918, 1466, 5, 'Datum der Dienstleistung:');
INSERT INTO `lang_definitions` VALUES (15919, 1467, 5, 'Datum der Unterschrift');
INSERT INTO `lang_definitions` VALUES (15920, 1468, 5, 'Datum der Status Änderung');
INSERT INTO `lang_definitions` VALUES (15921, 1469, 5, 'Datum dieser Bestellung');
INSERT INTO `lang_definitions` VALUES (15922, 1470, 5, 'Datum dieses Berichts');
INSERT INTO `lang_definitions` VALUES (15923, 1471, 5, 'Datum der VIS Information');
INSERT INTO `lang_definitions` VALUES (15924, 1472, 5, 'Bestelldatum');
INSERT INTO `lang_definitions` VALUES (15925, 1475, 5, 'Datumsauswahl');
INSERT INTO `lang_definitions` VALUES (15926, 1476, 5, 'Datum der Übermittlung');
INSERT INTO `lang_definitions` VALUES (15927, 1477, 5, 'Datum an der die Nachricht versendet wurde.');
INSERT INTO `lang_definitions` VALUES (15928, 1479, 5, 'Datum darf nicht leer sein.');
INSERT INTO `lang_definitions` VALUES (15929, 1480, 5, 'Datum/Appt');
INSERT INTO `lang_definitions` VALUES (15930, 1481, 5, 'Datum/Bemerkung');
INSERT INTO `lang_definitions` VALUES (15931, 1482, 5, 'Datum/letzte Bemerkung');
INSERT INTO `lang_definitions` VALUES (15932, 1483, 5, 'Datum/Zeit');
INSERT INTO `lang_definitions` VALUES (15933, 1484, 5, 'Datum:');
INSERT INTO `lang_definitions` VALUES (15934, 1485, 5, 'Datiertes Nachrichtenprotokoll');
INSERT INTO `lang_definitions` VALUES (15935, 1486, 5, 'Tag');
INSERT INTO `lang_definitions` VALUES (15936, 1487, 5, 'Tag');
INSERT INTO `lang_definitions` VALUES (15937, 1489, 5, 'Tagesansicht');
INSERT INTO `lang_definitions` VALUES (15938, 1490, 5, 'Tag(e)');
INSERT INTO `lang_definitions` VALUES (15939, 1491, 5, 'Werktag(e)');
INSERT INTO `lang_definitions` VALUES (15940, 1492, 5, 'Tage');
INSERT INTO `lang_definitions` VALUES (15941, 1493, 5, 'Tage');
INSERT INTO `lang_definitions` VALUES (15942, 1494, 5, 'Tagen');
INSERT INTO `lang_definitions` VALUES (15943, 1495, 5, 'verpasste Tage und Spiele');
INSERT INTO `lang_definitions` VALUES (15944, 1496, 5, 'Tage seit letztem Fall');
INSERT INTO `lang_definitions` VALUES (15945, 1497, 5, 'Tage versäumt');
INSERT INTO `lang_definitions` VALUES (15946, 1498, 5, 'Tage pro Spalte');
INSERT INTO `lang_definitions` VALUES (15947, 1500, 5, 'Tage/Col:');
INSERT INTO `lang_definitions` VALUES (15948, 1501, 5, 'Datenbank installiert');
INSERT INTO `lang_definitions` VALUES (15949, 1502, 5, 'TT/MM/JJJJ');
INSERT INTO `lang_definitions` VALUES (15950, 1503, 5, 'De Identifizierung');
INSERT INTO `lang_definitions` VALUES (15951, 1504, 5, 'De Identifizierungsprozess abgeschlossen');
INSERT INTO `lang_definitions` VALUES (15952, 1505, 5, 'De Identifizierungsprozess ist im Gange');
INSERT INTO `lang_definitions` VALUES (15953, 1506, 5, 'De Identifizierungsprozess wurde gestartet und läuft im Hintergrund');
INSERT INTO `lang_definitions` VALUES (15954, 1507, 5, 'De Identifizierungsdaten sind möglicherweise nicht komplett');
INSERT INTO `lang_definitions` VALUES (15955, 1508, 5, 'De Identifizierungsdateien werden gespeichert in');
INSERT INTO `lang_definitions` VALUES (15956, 1509, 5, 'DEA');
INSERT INTO `lang_definitions` VALUES (15957, 1511, 5, 'Taub');
INSERT INTO `lang_definitions` VALUES (15958, 1512, 5, 'Debug-Information');
INSERT INTO `lang_definitions` VALUES (15959, 1514, 5, 'Debugging');
INSERT INTO `lang_definitions` VALUES (15960, 1515, 5, 'Dez');
INSERT INTO `lang_definitions` VALUES (15961, 1516, 5, 'VERSTORBEN');
INSERT INTO `lang_definitions` VALUES (15962, 1517, 5, 'Dezember');
INSERT INTO `lang_definitions` VALUES (15963, 1518, 5, 'dezimal pfund oder pfund und onze getrennt durch # (z.B. 5#4)');
INSERT INTO `lang_definitions` VALUES (15964, 1520, 5, 'absetzbar');
INSERT INTO `lang_definitions` VALUES (15965, 1521, 5, 'Selbstbehalt Met');
INSERT INTO `lang_definitions` VALUES (15966, 1522, 5, 'Standard');
INSERT INTO `lang_definitions` VALUES (15967, 1523, 5, 'Standard Kalenderansicht');
INSERT INTO `lang_definitions` VALUES (15968, 1524, 5, 'Standard Termin Formular ID');
INSERT INTO `lang_definitions` VALUES (15969, 1526, 5, 'Standard Einrichtung');
INSERT INTO `lang_definitions` VALUES (15970, 1527, 5, 'Standard Sprache');
INSERT INTO `lang_definitions` VALUES (15971, 1528, 5, 'Standard-Sprache, wenn keine anderen erlaubt oder gewählt.');
INSERT INTO `lang_definitions` VALUES (15972, 1529, 5, 'Voreingestellte Liste (schreibbar, optional nur hinzufügen erlaubt)');
INSERT INTO `lang_definitions` VALUES (15973, 1530, 5, 'Standard Methode');
INSERT INTO `lang_definitions` VALUES (15974, 1531, 5, 'Standard Passwort Verfall Tage');
INSERT INTO `lang_definitions` VALUES (15975, 1532, 5, 'Standard Passwort Gültigkeits Zeitspanne in Tagen. 0 = Funktion ist deaktiviert.');
INSERT INTO `lang_definitions` VALUES (15976, 1533, 5, 'Standard Patienten Land');
INSERT INTO `lang_definitions` VALUES (15977, 1535, 5, 'Standard Priorität');
INSERT INTO `lang_definitions` VALUES (15978, 1536, 5, 'Voreingestellter Zulieferer');
INSERT INTO `lang_definitions` VALUES (15979, 1537, 5, 'Standard Bereich');
INSERT INTO `lang_definitions` VALUES (15980, 1538, 5, 'Standard Grund für Konsultation');
INSERT INTO `lang_definitions` VALUES (15981, 1540, 5, 'Standard Einstellung');
INSERT INTO `lang_definitions` VALUES (15982, 1541, 5, 'Standard der Neues-Fenster-Checkbox in der Patientenliste');
INSERT INTO `lang_definitions` VALUES (15983, 1542, 5, 'Standard Vorlage');
INSERT INTO `lang_definitions` VALUES (15984, 1546, 5, 'Standardeinheit');
INSERT INTO `lang_definitions` VALUES (15985, 1547, 5, 'Voreingestellter Wert');
INSERT INTO `lang_definitions` VALUES (15986, 1548, 5, 'Standard Lager');
INSERT INTO `lang_definitions` VALUES (15987, 1549, 5, 'Voreingestellter X12-Partner');
INSERT INTO `lang_definitions` VALUES (15988, 1550, 5, 'Voreingestellt/Global');
INSERT INTO `lang_definitions` VALUES (15989, 1551, 5, 'Entf');
INSERT INTO `lang_definitions` VALUES (15990, 1552, 5, 'entf');
INSERT INTO `lang_definitions` VALUES (15991, 1553, 5, 'Spätrezidiv (>12 Monate)');
INSERT INTO `lang_definitions` VALUES (15992, 1554, 5, 'Entfernen');
INSERT INTO `lang_definitions` VALUES (15993, 1555, 5, 'entfernen');
INSERT INTO `lang_definitions` VALUES (15994, 1556, 5, 'Lösche Kategorien mit ID(s): ');
INSERT INTO `lang_definitions` VALUES (15995, 1557, 5, 'Lösche Kategorie');
INSERT INTO `lang_definitions` VALUES (15996, 1559, 5, 'Löschen fehlgeschlagen!');
INSERT INTO `lang_definitions` VALUES (15997, 1560, 5, 'Lösche Gruppe');
INSERT INTO `lang_definitions` VALUES (15998, 1561, 5, 'Liste entfernen');
INSERT INTO `lang_definitions` VALUES (15999, 1562, 5, 'Seiten entfernen');
INSERT INTO `lang_definitions` VALUES (16000, 1563, 5, 'Lösche Patient, Fall, Formular, Problem, Dokument, Zahlungsvorgang, Berechung, Transaktion');
INSERT INTO `lang_definitions` VALUES (16001, 1565, 5, 'Lösche Reihe');
INSERT INTO `lang_definitions` VALUES (16002, 1566, 5, 'Lösche selektiertes Element');
INSERT INTO `lang_definitions` VALUES (16003, 1568, 5, 'Löschen erfolgreich');
INSERT INTO `lang_definitions` VALUES (16004, 1569, 5, 'Lösche dieses Dokument');
INSERT INTO `lang_definitions` VALUES (16005, 1570, 5, 'Lösche dieses Formular');
INSERT INTO `lang_definitions` VALUES (16006, 1571, 5, 'Lösche diese Anmerkung');
INSERT INTO `lang_definitions` VALUES (16007, 1573, 5, 'Erfogreich gelöscht.');
INSERT INTO `lang_definitions` VALUES (16008, 1574, 5, 'Löschen');
INSERT INTO `lang_definitions` VALUES (16009, 1575, 5, 'Das Löschen dieses Ereignis kann nicht rückgängig gemacht werden. Dieses Ereignis wirklich löschen?');
INSERT INTO `lang_definitions` VALUES (16010, 1576, 5, 'Zustellung bestätigt');
INSERT INTO `lang_definitions` VALUES (16011, 1578, 5, 'Direkte Zustellung an die angegebene Adresse ist zu Zeit nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (16012, 1580, 5, 'Versenden des beigefügten klinischen Dokumentes war vom Patienten angefordert');
INSERT INTO `lang_definitions` VALUES (16013, 1581, 5, 'Demenz');
INSERT INTO `lang_definitions` VALUES (16014, 1582, 5, 'Persönliche Daten');
INSERT INTO `lang_definitions` VALUES (16015, 1583, 5, 'Personliche Daten (schreibbar, optional nur hinzufügen erlaubt)');
INSERT INTO `lang_definitions` VALUES (16016, 1585, 5, 'Filter für persönliche Daten');
INSERT INTO `lang_definitions` VALUES (16017, 1586, 5, 'Persönliche Daten nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (16018, 1587, 5, 'Persönliche Daten nicht erlaubt.');
INSERT INTO `lang_definitions` VALUES (16019, 1588, 5, 'Verweigert');
INSERT INTO `lang_definitions` VALUES (16020, 1589, 5, 'Nenner');
INSERT INTO `lang_definitions` VALUES (16021, 1590, 5, 'Zähne betreffend(e)');
INSERT INTO `lang_definitions` VALUES (16022, 1591, 5, 'Zahnbeschwerden Liste');
INSERT INTO `lang_definitions` VALUES (16023, 1592, 5, 'Zahnbeschwerden');
INSERT INTO `lang_definitions` VALUES (16024, 1595, 5, 'je nach Type Rechnung , den du testest, siehst du HCFA-ähnlichen Ergebniss auf leeren blatt');
INSERT INTO `lang_definitions` VALUES (16025, 1596, 5, 'Datum Einzahlung');
INSERT INTO `lang_definitions` VALUES (16026, 1597, 5, 'Einzahl-Datum kann nicht später als heute sein');
INSERT INTO `lang_definitions` VALUES (16027, 1598, 5, 'Datum Einzahlung:');
INSERT INTO `lang_definitions` VALUES (16028, 1599, 5, 'deprimiert');
INSERT INTO `lang_definitions` VALUES (16029, 1600, 5, 'Depression');
INSERT INTO `lang_definitions` VALUES (16030, 1602, 5, 'Beschreibung');
INSERT INTO `lang_definitions` VALUES (16031, 1603, 5, 'Beschreibung');
INSERT INTO `lang_definitions` VALUES (16032, 1605, 5, 'Beschreibung der Mitteilung');
INSERT INTO `lang_definitions` VALUES (16033, 1606, 5, 'Beschreibung dieses Verfahrens oder Ergebnis-Code');
INSERT INTO `lang_definitions` VALUES (16034, 1607, 5, 'Übersetzung der Beschreibung');
INSERT INTO `lang_definitions` VALUES (16035, 1609, 5, 'Ziel');
INSERT INTO `lang_definitions` VALUES (16036, 1610, 5, 'Ziel Dateiname');
INSERT INTO `lang_definitions` VALUES (16037, 1611, 5, 'Nummer verwerfen');
INSERT INTO `lang_definitions` VALUES (16038, 1612, 5, 'Verwerfen...');
INSERT INTO `lang_definitions` VALUES (16039, 1613, 5, 'Verworfen');
INSERT INTO `lang_definitions` VALUES (16040, 1614, 5, 'Medikamente verwerfen');
INSERT INTO `lang_definitions` VALUES (16041, 1615, 5, 'Bericht über verworfene Medikamente');
INSERT INTO `lang_definitions` VALUES (16042, 1616, 5, 'Detail');
INSERT INTO `lang_definitions` VALUES (16043, 1617, 5, 'Details');
INSERT INTO `lang_definitions` VALUES (16044, 1619, 5, 'Entwicklungsstörung');
INSERT INTO `lang_definitions` VALUES (16045, 1620, 5, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (16046, 1621, 5, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (16047, 1622, 5, 'Diabetes: Blutdruck Management');
INSERT INTO `lang_definitions` VALUES (16048, 1623, 5, 'Diabetes: Augenuntersuchung');
INSERT INTO `lang_definitions` VALUES (16049, 1624, 5, 'Diabetes: Augenuntersuchung (CQM)');
INSERT INTO `lang_definitions` VALUES (16050, 1625, 5, 'Diabetes: Fußuntersuchung');
INSERT INTO `lang_definitions` VALUES (16051, 1626, 5, 'Diabetes: Fußuntersuchung (CQM)');
INSERT INTO `lang_definitions` VALUES (16052, 1627, 5, 'Diabetes: HbA1c Kontrolle');
INSERT INTO `lang_definitions` VALUES (16053, 1628, 5, 'Diabetes: HbA1c');
INSERT INTO `lang_definitions` VALUES (16054, 1629, 5, 'Diabetes: LDL-Einstellung & Kontrolle (CQM)');
INSERT INTO `lang_definitions` VALUES (16055, 1630, 5, 'Diabetes: Urin Microalbumin');
INSERT INTO `lang_definitions` VALUES (16056, 1631, 5, 'Diag');
INSERT INTO `lang_definitions` VALUES (16057, 1632, 5, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (16058, 1633, 5, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (16059, 1634, 5, 'Diagnose Code');
INSERT INTO `lang_definitions` VALUES (16060, 1636, 5, 'Diagnose Datum');
INSERT INTO `lang_definitions` VALUES (16061, 1637, 5, 'Diagnose muß in einem verknüpften Fall kodiert werden');
INSERT INTO `lang_definitions` VALUES (16062, 1638, 5, 'Diagnose Name');
INSERT INTO `lang_definitions` VALUES (16063, 1639, 5, 'Diagnose Bericht');
INSERT INTO `lang_definitions` VALUES (16064, 1640, 5, 'Diagnose Berichterstattung');
INSERT INTO `lang_definitions` VALUES (16065, 1641, 5, 'Diagnose Berichterstattung alleine');
INSERT INTO `lang_definitions` VALUES (16066, 1642, 5, 'Diagnose Titel');
INSERT INTO `lang_definitions` VALUES (16067, 1643, 5, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (16068, 1644, 5, 'Diagnose: ');
INSERT INTO `lang_definitions` VALUES (16069, 1645, 5, 'Diagnostischer Test:');
INSERT INTO `lang_definitions` VALUES (16070, 1646, 5, 'Skalen');
INSERT INTO `lang_definitions` VALUES (16071, 1647, 5, 'Diaphragmen / Caps');
INSERT INTO `lang_definitions` VALUES (16072, 1648, 5, 'Diarrhoe');
INSERT INTO `lang_definitions` VALUES (16073, 1650, 5, 'Diktat');
INSERT INTO `lang_definitions` VALUES (16074, 1651, 5, 'Diktat: ');
INSERT INTO `lang_definitions` VALUES (16075, 1652, 5, 'Haben Sie eine Kopie der HIPAA-Hinweise erhalten?');
INSERT INTO `lang_definitions` VALUES (16076, 1653, 5, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (16077, 1654, 5, 'Digital Signiert');
INSERT INTO `lang_definitions` VALUES (16078, 1657, 5, 'Direkte Mail');
INSERT INTO `lang_definitions` VALUES (16079, 1658, 5, 'Direktnachrichten Log');
INSERT INTO `lang_definitions` VALUES (16080, 1659, 5, 'Direktnachrichten erhalten.');
INSERT INTO `lang_definitions` VALUES (16081, 1660, 5, 'Direktnachrichten zur Zeit nicht verfügbar.');
INSERT INTO `lang_definitions` VALUES (16082, 1661, 5, 'Senden der Direktnachrichten fehlgeschlagen.');
INSERT INTO `lang_definitions` VALUES (16083, 1663, 5, 'Direktor Name');
INSERT INTO `lang_definitions` VALUES (16084, 1664, 5, 'Verzeichniss löschen fehlgeschlagen; fortsetzen.');
INSERT INTO `lang_definitions` VALUES (16085, 1665, 5, 'Behinderung');
INSERT INTO `lang_definitions` VALUES (16086, 1667, 5, 'Deaktiviere Kalender');
INSERT INTO `lang_definitions` VALUES (16087, 1668, 5, 'Deaktiviere Größentabelle Tracker');
INSERT INTO `lang_definitions` VALUES (16088, 1669, 5, 'Deaktiviere Impfungen');
INSERT INTO `lang_definitions` VALUES (16089, 1670, 5, 'Deaktiviere Old Metric Vitalfunktionen Formular');
INSERT INTO `lang_definitions` VALUES (16090, 1672, 5, 'Deaktiviere \"phpMyAdmin\"');
INSERT INTO `lang_definitions` VALUES (16091, 1673, 5, 'Deaktiviere Rezepte');
INSERT INTO `lang_definitions` VALUES (16092, 1674, 5, 'Deaktiviere Anwender Gruppen');
INSERT INTO `lang_definitions` VALUES (16093, 1675, 5, 'deaktiviert');
INSERT INTO `lang_definitions` VALUES (16094, 1676, 5, 'Deaktiviert');
INSERT INTO `lang_definitions` VALUES (16095, 1677, 5, 'behinderte Begünstigte unter 65j. mit Large Group Health plan');
INSERT INTO `lang_definitions` VALUES (16096, 1678, 5, 'DISC');
INSERT INTO `lang_definitions` VALUES (16097, 1681, 5, 'Ausscheidung');
INSERT INTO `lang_definitions` VALUES (16098, 1682, 5, 'Ausscheidung aus Urethra');
INSERT INTO `lang_definitions` VALUES (16099, 1684, 5, 'Entlassungsrrecht');
INSERT INTO `lang_definitions` VALUES (16100, 1685, 5, 'Entlassungsrechts');
INSERT INTO `lang_definitions` VALUES (16101, 1688, 5, 'Entlassung');
INSERT INTO `lang_definitions` VALUES (16102, 1689, 5, 'Mitteilung Info');
INSERT INTO `lang_definitions` VALUES (16103, 1690, 5, 'Mitteilung Type');
INSERT INTO `lang_definitions` VALUES (16104, 1691, 5, 'Mitteilung Typen');
INSERT INTO `lang_definitions` VALUES (16105, 1692, 5, 'Mitteilung');
INSERT INTO `lang_definitions` VALUES (16106, 1694, 5, 'Rabatt');
INSERT INTO `lang_definitions` VALUES (16107, 1695, 5, 'Rabatt Betrag');
INSERT INTO `lang_definitions` VALUES (16108, 1696, 5, 'Rabattstufen');
INSERT INTO `lang_definitions` VALUES (16109, 1697, 5, 'Rabatt Prozent');
INSERT INTO `lang_definitions` VALUES (16110, 1698, 5, 'Rabatte als Geldbetrag');
INSERT INTO `lang_definitions` VALUES (16111, 1699, 5, 'Ermäßigung auf Checkout Zeit wird als geld menge eingegeben und nicht in prozent');
INSERT INTO `lang_definitions` VALUES (16112, 1700, 5, 'Diskretes Ergebnis');
INSERT INTO `lang_definitions` VALUES (16113, 1701, 5, 'Erkrankung');
INSERT INTO `lang_definitions` VALUES (16114, 1702, 5, 'Dislokation');
INSERT INTO `lang_definitions` VALUES (16115, 1703, 5, 'Disloz. #');
INSERT INTO `lang_definitions` VALUES (16116, 1704, 5, 'Versand');
INSERT INTO `lang_definitions` VALUES (16117, 1705, 5, 'Versandort Dokument');
INSERT INTO `lang_definitions` VALUES (16118, 1706, 5, 'verzichtet');
INSERT INTO `lang_definitions` VALUES (16119, 1707, 5, 'Anzeige Patientenverfügungen in der Patientendaten-Seite.');
INSERT INTO `lang_definitions` VALUES (16120, 1709, 5, 'Ereignisdaten im Block anzeigen?');
INSERT INTO `lang_definitions` VALUES (16121, 1710, 5, 'Anzeigeformat für US Gewichte');
INSERT INTO `lang_definitions` VALUES (16122, 1711, 5, 'Anzahl der Ereignisse anzeigen?');
INSERT INTO `lang_definitions` VALUES (16123, 1713, 5, 'Ort in Großbuchstaben darstellen');
INSERT INTO `lang_definitions` VALUES (16124, 1714, 5, 'Zeige Name');
INSERT INTO `lang_definitions` VALUES (16125, 1715, 5, 'Zeige Kalender?');
INSERT INTO `lang_definitions` VALUES (16126, 1718, 5, 'Heutige Ereignisse im Block anzeigen');
INSERT INTO `lang_definitions` VALUES (16127, 1719, 5, 'Thema im Blick anzeigen?');
INSERT INTO `lang_definitions` VALUES (16128, 1720, 5, 'Zukünftige Ereignisse im Block anzeigen');
INSERT INTO `lang_definitions` VALUES (16129, 1721, 5, 'Angezeigte Spalten');
INSERT INTO `lang_definitions` VALUES (16130, 1722, 5, 'Zeige folgende zahl von Entlassungen');
INSERT INTO `lang_definitions` VALUES (16131, 1723, 5, 'Zeige die folgende Anzahl von jüngsten Notizen');
INSERT INTO `lang_definitions` VALUES (16132, 1724, 5, 'Zeige die folgende Anzahl von jüngsten Notizen:');
INSERT INTO `lang_definitions` VALUES (16133, 1725, 5, 'Verteilung');
INSERT INTO `lang_definitions` VALUES (16134, 1726, 5, 'Verteilungen');
INSERT INTO `lang_definitions` VALUES (16135, 1727, 5, 'Verteiler');
INSERT INTO `lang_definitions` VALUES (16136, 1729, 5, 'Divertikulitis');
INSERT INTO `lang_definitions` VALUES (16137, 1730, 5, 'Divertikulitis-Chirurgie');
INSERT INTO `lang_definitions` VALUES (16138, 1731, 5, 'Divertikulitis');
INSERT INTO `lang_definitions` VALUES (16139, 1732, 5, 'Divertikulitis-Chirurgie');
INSERT INTO `lang_definitions` VALUES (16140, 1733, 5, 'Geschieden');
INSERT INTO `lang_definitions` VALUES (16141, 1734, 5, 'Schwindel');
INSERT INTO `lang_definitions` VALUES (16142, 1735, 5, 'Nicht verändern');
INSERT INTO `lang_definitions` VALUES (16143, 1737, 5, 'Allergie nicht zeigen wenn aufgeladen in NewCrop');
INSERT INTO `lang_definitions` VALUES (16144, 1739, 5, 'Medikamente nicht zeigen wenn aufgeladen in NewCrop');
INSERT INTO `lang_definitions` VALUES (16145, 1742, 5, 'Kalender nicht zeigen');
INSERT INTO `lang_definitions` VALUES (16146, 1744, 5, 'keine Inventur durchführen oder Produkte verkaufen');
INSERT INTO `lang_definitions` VALUES (16147, 1745, 5, 'Benötige keine Patienten Notizen zum Autorisieren');
INSERT INTO `lang_definitions` VALUES (16148, 1746, 5, 'Anordnung zum Verzicht auf Wiederbelebung');
INSERT INTO `lang_definitions` VALUES (16149, 1747, 5, 'nicht speichern');
INSERT INTO `lang_definitions` VALUES (16150, 1748, 5, 'nicht ersetzen');
INSERT INTO `lang_definitions` VALUES (16151, 1749, 5, 'tue nichts');
INSERT INTO `lang_definitions` VALUES (16152, 1751, 5, 'Wollen Sie wirklich löschen');
INSERT INTO `lang_definitions` VALUES (16153, 1752, 5, 'Wollen Sie wirklich die selektierte löschen?');
INSERT INTO `lang_definitions` VALUES (16154, 1753, 5, 'Wollen Sie wirklich diese Gruppe löschen?');
INSERT INTO `lang_definitions` VALUES (16155, 1755, 5, 'Wollen Sie forfahren?');
INSERT INTO `lang_definitions` VALUES (16156, 1756, 5, 'Wollen Sie das löschen?');
INSERT INTO `lang_definitions` VALUES (16157, 1757, 5, 'Wollen Sie löschen?');
INSERT INTO `lang_definitions` VALUES (16158, 1758, 5, 'Diese Aufzeichnung entfernen?');
INSERT INTO `lang_definitions` VALUES (16159, 1759, 5, 'Willst Du fortfahren, den Patienten hinzuzufügen?');
INSERT INTO `lang_definitions` VALUES (16160, 1760, 5, 'Willst Du mit dem neuen Namen fortfahren?');
INSERT INTO `lang_definitions` VALUES (16161, 1761, 5, 'Willst Du den Impf-Eintrag endgültig löschen?');
INSERT INTO `lang_definitions` VALUES (16162, 1762, 5, 'Geburtstag');
INSERT INTO `lang_definitions` VALUES (16163, 1763, 5, 'Geburtstag fehlt, bitte eingeben');
INSERT INTO `lang_definitions` VALUES (16164, 1764, 5, 'Docs');
INSERT INTO `lang_definitions` VALUES (16165, 1765, 5, 'Arzt');
INSERT INTO `lang_definitions` VALUES (16166, 1766, 5, 'Arzt:');
INSERT INTO `lang_definitions` VALUES (16167, 1767, 5, 'Name und Unterschrift des Arztes');
INSERT INTO `lang_definitions` VALUES (16168, 1768, 5, 'Dokument');
INSERT INTO `lang_definitions` VALUES (16169, 1769, 5, 'Dokument');
INSERT INTO `lang_definitions` VALUES (16170, 1770, 5, 'Dokumenten-Kategorie');
INSERT INTO `lang_definitions` VALUES (16171, 1775, 5, 'Dokument kann nicht verschoben werden zu Patienten id');
INSERT INTO `lang_definitions` VALUES (16172, 1777, 5, 'Dokument Datum');
INSERT INTO `lang_definitions` VALUES (16173, 1778, 5, 'Dokumentendatum und Problem erfolgreich geändert');
INSERT INTO `lang_definitions` VALUES (16174, 1779, 5, 'Dokument ID');
INSERT INTO `lang_definitions` VALUES (16175, 1780, 5, 'Dokument verschoben in neue Kategorie');
INSERT INTO `lang_definitions` VALUES (16176, 1781, 5, 'Dokument verschoben zu Patien id');
INSERT INTO `lang_definitions` VALUES (16177, 1783, 5, 'Dokument Integritätstest erfolgreich.');
INSERT INTO `lang_definitions` VALUES (16178, 1784, 5, 'Dokument Speichermethode');
INSERT INTO `lang_definitions` VALUES (16179, 1785, 5, 'Dokument erfolgreich umbenannt.');
INSERT INTO `lang_definitions` VALUES (16180, 1790, 5, 'Dokumente/Bilder Speicher');
INSERT INTO `lang_definitions` VALUES (16181, 1791, 5, 'Dokumente');
INSERT INTO `lang_definitions` VALUES (16182, 1792, 5, 'Dokumente (schreiben, nur hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (16183, 1794, 5, 'DOE');
INSERT INTO `lang_definitions` VALUES (16184, 1796, 5, 'passt nicht PV1 encounter nummer');
INSERT INTO `lang_definitions` VALUES (16185, 1797, 5, 'sieht ungültig aus');
INSERT INTO `lang_definitions` VALUES (16186, 1798, 5, 'erlaubt der type relationale Kodes?');
INSERT INTO `lang_definitions` VALUES (16187, 1799, 5, 'Lebenspartner');
INSERT INTO `lang_definitions` VALUES (16188, 1800, 5, 'Nicht speichern');
INSERT INTO `lang_definitions` VALUES (16189, 1801, 5, 'Nicht speichern');
INSERT INTO `lang_definitions` VALUES (16190, 1802, 5, 'Änderungen nicht speichern');
INSERT INTO `lang_definitions` VALUES (16191, 1803, 5, 'Fertig');
INSERT INTO `lang_definitions` VALUES (16192, 1804, 5, 'Fertig mit:');
INSERT INTO `lang_definitions` VALUES (16193, 1805, 5, 'Fertig. Download erfolgt jetzt.');
INSERT INTO `lang_definitions` VALUES (16194, 1806, 5, 'Tag der Leistung');
INSERT INTO `lang_definitions` VALUES (16195, 1807, 5, 'Dosierung');
INSERT INTO `lang_definitions` VALUES (16196, 1809, 5, 'Doppelclick, um zu editieren');
INSERT INTO `lang_definitions` VALUES (16197, 1810, 5, 'Doppeltsehen');
INSERT INTO `lang_definitions` VALUES (16198, 1811, 5, 'Download');
INSERT INTO `lang_definitions` VALUES (16199, 1814, 5, 'Download trotzdem starten');
INSERT INTO `lang_definitions` VALUES (16200, 1815, 5, 'download rechnung, verschicke zu finanzabteilung und markiere als erstellt');
INSERT INTO `lang_definitions` VALUES (16201, 1817, 5, 'Zertifikat herunterladen');
INSERT INTO `lang_definitions` VALUES (16202, 1818, 5, 'Konfigurationsdaten herunterladen');
INSERT INTO `lang_definitions` VALUES (16203, 1820, 5, 'Download Verschlusselte Datei');
INSERT INTO `lang_definitions` VALUES (16204, 1825, 5, 'Download PDF');
INSERT INTO `lang_definitions` VALUES (16205, 1827, 5, 'Download ausgewählter Statements');
INSERT INTO `lang_definitions` VALUES (16206, 1828, 5, 'Arzt Kontrolle');
INSERT INTO `lang_definitions` VALUES (16207, 1829, 5, 'Arzt Visite');
INSERT INTO `lang_definitions` VALUES (16208, 1830, 5, 'Dr.');
INSERT INTO `lang_definitions` VALUES (16209, 1831, 5, 'Ziehen zum bewegen');
INSERT INTO `lang_definitions` VALUES (16210, 1832, 5, 'tröpfeln');
INSERT INTO `lang_definitions` VALUES (16211, 1833, 5, 'Führerschein oder Ausweis');
INSERT INTO `lang_definitions` VALUES (16212, 1834, 5, 'Medikament');
INSERT INTO `lang_definitions` VALUES (16213, 1835, 5, 'Medikamenten Suche');
INSERT INTO `lang_definitions` VALUES (16214, 1836, 5, 'Medikamenten Formular');
INSERT INTO `lang_definitions` VALUES (16215, 1837, 5, 'Medikamenten ID fehlt!');
INSERT INTO `lang_definitions` VALUES (16216, 1838, 5, 'Medikament Abstände');
INSERT INTO `lang_definitions` VALUES (16217, 1839, 5, 'Medikament Bestand');
INSERT INTO `lang_definitions` VALUES (16218, 1840, 5, 'Medikament Name');
INSERT INTO `lang_definitions` VALUES (16219, 1841, 5, 'medikamentenverwaltung');
INSERT INTO `lang_definitions` VALUES (16220, 1845, 5, 'Medikament Einheit');
INSERT INTO `lang_definitions` VALUES (16221, 1846, 5, 'Medikamente');
INSERT INTO `lang_definitions` VALUES (16222, 1847, 5, 'Medikamente und Produkte');
INSERT INTO `lang_definitions` VALUES (16223, 1848, 5, 'Trockener Mund');
INSERT INTO `lang_definitions` VALUES (16224, 1849, 5, 'DSM IV Disgnosen');
INSERT INTO `lang_definitions` VALUES (16225, 1850, 5, 'DT 1');
INSERT INTO `lang_definitions` VALUES (16226, 1851, 5, 'DT 2');
INSERT INTO `lang_definitions` VALUES (16227, 1852, 5, 'DT 3');
INSERT INTO `lang_definitions` VALUES (16228, 1853, 5, 'DT 4');
INSERT INTO `lang_definitions` VALUES (16229, 1854, 5, 'DT 5');
INSERT INTO `lang_definitions` VALUES (16230, 1855, 5, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (16231, 1856, 5, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (16232, 1857, 5, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (16233, 1858, 5, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (16234, 1859, 5, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (16235, 1860, 5, 'Fällig');
INSERT INTO `lang_definitions` VALUES (16236, 1861, 5, 'Fälligkeitsdatum');
INSERT INTO `lang_definitions` VALUES (16237, 1862, 5, 'Fälligkeitsdatum mm/tt/jjjj oder jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (16238, 1863, 5, 'Fälligkeitsdatum:');
INSERT INTO `lang_definitions` VALUES (16239, 1864, 5, 'aufgrund Ins');
INSERT INTO `lang_definitions` VALUES (16240, 1865, 5, 'aufgrund Pt');
INSERT INTO `lang_definitions` VALUES (16241, 1866, 5, 'Bald fällig');
INSERT INTO `lang_definitions` VALUES (16242, 1867, 5, 'Fälligkeitsstatus');
INSERT INTO `lang_definitions` VALUES (16243, 1868, 5, 'Fälligkeitsstatus Update');
INSERT INTO `lang_definitions` VALUES (16244, 1869, 5, 'Erstelle Dump der LibreEHR database');
INSERT INTO `lang_definitions` VALUES (16245, 1870, 5, 'Erstelle Dump des Web-Verzeichnis-Baumes');
INSERT INTO `lang_definitions` VALUES (16246, 1871, 5, 'Erstelle Dump der phpGACL-Datenbank');
INSERT INTO `lang_definitions` VALUES (16247, 1872, 5, 'Erstelle Dump des phpGACL-Web-Verzeichnis-Baumes');
INSERT INTO `lang_definitions` VALUES (16248, 1873, 5, 'Erstelle Dump der SQL-Ledger-Datenbank');
INSERT INTO `lang_definitions` VALUES (16249, 1874, 5, 'Erstelle Dump des SQL-Ledger-Web-Verzeichnis-Baumes');
INSERT INTO `lang_definitions` VALUES (16250, 1875, 5, 'Überprüfung auf Duplikate');
INSERT INTO `lang_definitions` VALUES (16251, 1876, 5, 'Doppelte ID in Zeile');
INSERT INTO `lang_definitions` VALUES (16252, 1877, 5, 'Doppelter Name in Zeile');
INSERT INTO `lang_definitions` VALUES (16253, 1878, 5, 'DUPLIKATS-WARNUNG');
INSERT INTO `lang_definitions` VALUES (16254, 1879, 5, 'Dauerhafte Vollmacht');
INSERT INTO `lang_definitions` VALUES (16255, 1880, 5, 'Dauer');
INSERT INTO `lang_definitions` VALUES (16256, 1881, 5, 'Dauer');
INSERT INTO `lang_definitions` VALUES (16257, 1882, 5, 'Niederländisch');
INSERT INTO `lang_definitions` VALUES (16258, 1884, 5, 'Dysphagie');
INSERT INTO `lang_definitions` VALUES (16259, 1885, 5, 'Dyspnoe:');
INSERT INTO `lang_definitions` VALUES (16260, 1886, 5, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (16261, 1889, 5, 'E-Bericht');
INSERT INTO `lang_definitions` VALUES (16262, 1890, 5, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (16263, 1892, 5, 'e-Rx erneuern');
INSERT INTO `lang_definitions` VALUES (16264, 1893, 5, 'jeder Empfänger muss eigene Nachrichten als vollständig setzen');
INSERT INTO `lang_definitions` VALUES (16265, 1894, 5, 'Frühes Wiederauftreten (<2 Monate)');
INSERT INTO `lang_definitions` VALUES (16266, 1895, 5, 'Ohren');
INSERT INTO `lang_definitions` VALUES (16267, 1896, 5, 'EKG');
INSERT INTO `lang_definitions` VALUES (16268, 1897, 5, 'eClaims');
INSERT INTO `lang_definitions` VALUES (16269, 1898, 5, 'Oedem');
INSERT INTO `lang_definitions` VALUES (16270, 1899, 5, 'edi geschichte');
INSERT INTO `lang_definitions` VALUES (16271, 1900, 5, 'Edi Geschichte');
INSERT INTO `lang_definitions` VALUES (16272, 1901, 5, 'Edi Geschichte (kostenpflichtig) für Speicherung und Beurteilung von Antworten zu EDI Erstattung');
INSERT INTO `lang_definitions` VALUES (16273, 1902, 5, 'EDI-271 Datei-Upload');
INSERT INTO `lang_definitions` VALUES (16274, 1903, 5, 'EDI-271 Antwort-Datei-Upload');
INSERT INTO `lang_definitions` VALUES (16275, 1904, 5, 'Bearbeiten');
INSERT INTO `lang_definitions` VALUES (16276, 1905, 5, 'bearbeiten');
INSERT INTO `lang_definitions` VALUES (16277, 1906, 5, 'Allergien bearbeiten');
INSERT INTO `lang_definitions` VALUES (16278, 1907, 5, 'Kategorien bearbeiten');
INSERT INTO `lang_definitions` VALUES (16279, 1908, 5, 'Definitionen bearbeiten');
INSERT INTO `lang_definitions` VALUES (16280, 1909, 5, 'Definitionen bearbeiten');
INSERT INTO `lang_definitions` VALUES (16281, 1910, 5, 'Diagnosen bearbeiten');
INSERT INTO `lang_definitions` VALUES (16282, 1911, 5, 'Bekanntgabe bearbeiten');
INSERT INTO `lang_definitions` VALUES (16283, 1912, 5, 'Einrichtungen bearbeiten');
INSERT INTO `lang_definitions` VALUES (16284, 1913, 5, 'Einrichtungen bearbeiten');
INSERT INTO `lang_definitions` VALUES (16285, 1914, 5, 'Informationen über Einrichtung bearbeiten');
INSERT INTO `lang_definitions` VALUES (16286, 1915, 5, 'Bearbeiten von Standort Spezifischen Anwender Informationen');
INSERT INTO `lang_definitions` VALUES (16287, 1916, 5, 'Bearbeite Datei in');
INSERT INTO `lang_definitions` VALUES (16288, 1917, 5, 'Formular bearbeiten');
INSERT INTO `lang_definitions` VALUES (16289, 1918, 5, 'Globale Einstellungen bearbeiten');
INSERT INTO `lang_definitions` VALUES (16290, 1919, 5, 'Bearbeiten ist nicht erlaubt!');
INSERT INTO `lang_definitions` VALUES (16291, 1920, 5, 'Layout bearbeiten');
INSERT INTO `lang_definitions` VALUES (16292, 1921, 5, 'Liste bearbeiten');
INSERT INTO `lang_definitions` VALUES (16293, 1922, 5, 'Zahlung bearbeiten');
INSERT INTO `lang_definitions` VALUES (16294, 1923, 5, 'Struktur Anpassen');
INSERT INTO `lang_definitions` VALUES (16295, 1924, 5, 'Benutzer bearbeiten');
INSERT INTO `lang_definitions` VALUES (16296, 1925, 5, 'Benutzer Einstellungen ändern');
INSERT INTO `lang_definitions` VALUES (16297, 1928, 5, 'Aufklärung');
INSERT INTO `lang_definitions` VALUES (16298, 1929, 5, 'Aufklärungsdatum');
INSERT INTO `lang_definitions` VALUES (16299, 1931, 5, 'ee * GNU General Public License für nähere Angaben. ** Sie sollten bereits eine Kopie von GNU mit dem Programm bekommen haben, wenn nicht schreiben Sie GNU an. ');
INSERT INTO `lang_definitions` VALUES (16300, 1932, 5, 'Effektives Datum');
INSERT INTO `lang_definitions` VALUES (16301, 1934, 5, 'Effektivität');
INSERT INTO `lang_definitions` VALUES (16302, 1935, 5, 'EIN');
INSERT INTO `lang_definitions` VALUES (16303, 1936, 5, 'Ejakulationen');
INSERT INTO `lang_definitions` VALUES (16304, 1937, 5, 'Ellbogen');
INSERT INTO `lang_definitions` VALUES (16305, 1938, 5, 'Ellbogen-Beschwerden');
INSERT INTO `lang_definitions` VALUES (16306, 1939, 5, 'Elektronisch');
INSERT INTO `lang_definitions` VALUES (16307, 1942, 5, 'Elektronisch Zuständigkeit');
INSERT INTO `lang_definitions` VALUES (16308, 1943, 5, 'Elektronisch Bericht');
INSERT INTO `lang_definitions` VALUES (16309, 1944, 5, 'Berechtigung');
INSERT INTO `lang_definitions` VALUES (16310, 1945, 5, 'Berechtigung für Auskunftstapel 270');
INSERT INTO `lang_definitions` VALUES (16311, 1946, 5, 'Berechtigung Antwort');
INSERT INTO `lang_definitions` VALUES (16312, 1947, 5, 'Berechtigungstatus des Vaccines als Kindervaccine');
INSERT INTO `lang_definitions` VALUES (16313, 1948, 5, 'berechtigt');
INSERT INTO `lang_definitions` VALUES (16314, 1949, 5, 'Email');
INSERT INTO `lang_definitions` VALUES (16315, 1951, 5, 'Email Adresse');
INSERT INTO `lang_definitions` VALUES (16316, 1953, 5, 'E-Mail-Adresse des Absenders der Patienten-Erinnerungen. Antworten auf Patienten-Erinnerungen werden zu dieser Adresse gesendet. Nutze eine Absender-Adresse Deiner Klinik/Praxis-Domain, damit die Erinnerungen nicht als Junk eingestuft werden.');
INSERT INTO `lang_definitions` VALUES (16317, 1954, 5, 'Email Adresse, um administrative Berichte zu bekommen');
INSERT INTO `lang_definitions` VALUES (16318, 1955, 5, 'E-Mail-Adresse, wenn bekannt, um Notfall-Login Aktivierungs-Nachrichten zu erhalten');
INSERT INTO `lang_definitions` VALUES (16319, 1956, 5, 'E-Mail Auth');
INSERT INTO `lang_definitions` VALUES (16320, 1957, 5, 'Nachricht per email');
INSERT INTO `lang_definitions` VALUES (16321, 1958, 5, 'E-Mail-Benachrichtigung');
INSERT INTO `lang_definitions` VALUES (16322, 1959, 5, 'E-Mail-Benachrichtigung Stunde');
INSERT INTO `lang_definitions` VALUES (16323, 1960, 5, 'E-Mail-Benachrichtigung Bericht');
INSERT INTO `lang_definitions` VALUES (16324, 1961, 5, 'E-Mail senden vor');
INSERT INTO `lang_definitions` VALUES (16325, 1962, 5, 'E-Mail-Absender');
INSERT INTO `lang_definitions` VALUES (16326, 1963, 5, 'E-Mail gesendet');
INSERT INTO `lang_definitions` VALUES (16327, 1964, 5, 'E-Mail gesendet an');
INSERT INTO `lang_definitions` VALUES (16328, 1965, 5, 'E-Mail Betreff');
INSERT INTO `lang_definitions` VALUES (16329, 1966, 5, 'email text, brauchbare Tags: ***NAME***, i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (16330, 1967, 5, 'email text, brauchbare Tags: ***NAME***, i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (16331, 1968, 5, 'E-Mail Transport Methode');
INSERT INTO `lang_definitions` VALUES (16332, 1969, 5, 'E-Mail wurde an folgende Adresse gesendet werden');
INSERT INTO `lang_definitions` VALUES (16333, 1971, 5, 'Kontakt für Notfälle');
INSERT INTO `lang_definitions` VALUES (16334, 1972, 5, 'Notfall Kontaktperson');
INSERT INTO `lang_definitions` VALUES (16335, 1973, 5, 'Notfall Telefonnummer');
INSERT INTO `lang_definitions` VALUES (16336, 1974, 5, 'Notfall Empfängnisverhütung');
INSERT INTO `lang_definitions` VALUES (16337, 1975, 5, 'Notfall Login');
INSERT INTO `lang_definitions` VALUES (16338, 1978, 5, 'Notfall e-mail Adresse');
INSERT INTO `lang_definitions` VALUES (16339, 1979, 5, 'Notfall Login');
INSERT INTO `lang_definitions` VALUES (16340, 1980, 5, 'Telefonkontakt für Notfälle');
INSERT INTO `lang_definitions` VALUES (16341, 1981, 5, 'Emotionale / Verhalten Muster und Komplikationen');
INSERT INTO `lang_definitions` VALUES (16342, 1982, 5, 'Emphysem');
INSERT INTO `lang_definitions` VALUES (16343, 1983, 5, 'Arbeitnehmer');
INSERT INTO `lang_definitions` VALUES (16344, 1984, 5, 'Arbeitgeber');
INSERT INTO `lang_definitions` VALUES (16345, 1985, 5, 'Anschrift des Arbeitgebers');
INSERT INTO `lang_definitions` VALUES (16346, 1986, 5, 'Daten des Arbeitgebers');
INSERT INTO `lang_definitions` VALUES (16347, 1987, 5, 'Name des Arbeitgebers');
INSERT INTO `lang_definitions` VALUES (16348, 1988, 5, 'LEER');
INSERT INTO `lang_definitions` VALUES (16349, 1989, 5, 'Leer');
INSERT INTO `lang_definitions` VALUES (16350, 1990, 5, 'Leeres Passwort nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (16351, 1991, 5, 'Kein Wert in \"Email Stunden\"');
INSERT INTO `lang_definitions` VALUES (16352, 1992, 5, 'Kein Wert in \"Email Sender\"');
INSERT INTO `lang_definitions` VALUES (16353, 1993, 5, 'Kein Wert in \"Email Betreff\"');
INSERT INTO `lang_definitions` VALUES (16354, 1994, 5, 'Kein Wert in \"Email Text\"');
INSERT INTO `lang_definitions` VALUES (16355, 1995, 5, 'Kein Wert in \"Name Provider\"');
INSERT INTO `lang_definitions` VALUES (16356, 1996, 5, 'Kein Wert in \"Passwort\"');
INSERT INTO `lang_definitions` VALUES (16357, 1997, 5, 'Kein Wert in \"SMS Hour\"');
INSERT INTO `lang_definitions` VALUES (16358, 1998, 5, 'Kein Wert in \"SMS Text\"');
INSERT INTO `lang_definitions` VALUES (16359, 1999, 5, 'Kein Wert in \"Username\"');
INSERT INTO `lang_definitions` VALUES (16360, 2006, 5, 'AMC-Prompting aktivieren');
INSERT INTO `lang_definitions` VALUES (16361, 2008, 5, 'AMC-Berichtswesen aktivieren');
INSERT INTO `lang_definitions` VALUES (16362, 2009, 5, 'AMC-Tracking aktivieren');
INSERT INTO `lang_definitions` VALUES (16363, 2011, 5, 'ATNA-Auditierung aktivieren');
INSERT INTO `lang_definitions` VALUES (16364, 2013, 5, 'Audit-Logging aktivieren');
INSERT INTO `lang_definitions` VALUES (16365, 2014, 5, 'Audit Trail and Node Authentication (ATNA) aktivieren');
INSERT INTO `lang_definitions` VALUES (16366, 2015, 5, 'Automated Measure Calculations (AMC) Berichtswesen aktivieren');
INSERT INTO `lang_definitions` VALUES (16367, 2016, 5, 'Client-SSL aktivieren');
INSERT INTO `lang_definitions` VALUES (16368, 2017, 5, 'Authentifizierung per Client-SSL-Zertifikat aktivieren');
INSERT INTO `lang_definitions` VALUES (16369, 2019, 5, 'Clinical Decision Rules (CDR) aktiveren');
INSERT INTO `lang_definitions` VALUES (16370, 2022, 5, 'Clinical Quality Measure (CQM) aktivieren');
INSERT INTO `lang_definitions` VALUES (16371, 2023, 5, 'Klinische Erinnerung (Pop-Up) aktivieren');
INSERT INTO `lang_definitions` VALUES (16372, 2024, 5, 'Klinisches Erinnerungs-Widget aktivieren');
INSERT INTO `lang_definitions` VALUES (16373, 2027, 5, 'CQM-Berichtswesen aktivieren');
INSERT INTO `lang_definitions` VALUES (16374, 2028, 5, 'Aktiviere EDI Verlauf im linken Menü');
INSERT INTO `lang_definitions` VALUES (16375, 2030, 5, 'Aktiviere Gebühren im linken Menü');
INSERT INTO `lang_definitions` VALUES (16376, 2031, 5, 'Hylafax-Unterstützung aktivieren');
INSERT INTO `lang_definitions` VALUES (16377, 2033, 5, 'Aktiviere Import STatus für NewCrop erx');
INSERT INTO `lang_definitions` VALUES (16378, 2037, 5, 'Labordatenaustausch aktivieren');
INSERT INTO `lang_definitions` VALUES (16379, 2039, 5, 'Logging für Dokument upload/download zu CouchDB aktivieren');
INSERT INTO `lang_definitions` VALUES (16380, 2040, 5, 'Logging für alle SQL SELECT queries aktivieren');
INSERT INTO `lang_definitions` VALUES (16381, 2041, 5, 'Logging für Backup-Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (16382, 2042, 5, 'Logging für CDR Einrichtung-Anforderung aktivieren');
INSERT INTO `lang_definitions` VALUES (16383, 2043, 5, 'Logging für sonstige Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (16384, 2044, 5, 'Logging für Bestell-Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (16385, 2045, 5, 'Logging für Änderungen an Patientenakten aktivieren');
INSERT INTO `lang_definitions` VALUES (16386, 2046, 5, 'Logging für Termin-Aktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (16387, 2047, 5, 'Logging für Sicherheits- und Administrationsaktivitäten aktivieren');
INSERT INTO `lang_definitions` VALUES (16388, 2049, 5, 'NewCrop eRx-Service aktivieren');
INSERT INTO `lang_definitions` VALUES (16389, 2051, 5, 'Offsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (16390, 2052, 5, 'Offsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (16391, 2053, 5, 'Onsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (16392, 2055, 5, 'Onsite-Patientenportal aktivieren');
INSERT INTO `lang_definitions` VALUES (16393, 2056, 5, 'Patienten Erinnerungs-Widget aktivieren');
INSERT INTO `lang_definitions` VALUES (16394, 2057, 5, 'Aktiviere phiMail Direknachrichten Dienst');
INSERT INTO `lang_definitions` VALUES (16395, 2058, 5, 'Abfrage für AMC-Daten aktivieren');
INSERT INTO `lang_definitions` VALUES (16396, 2060, 5, 'Berichtswesen für Verfolgungsdaten des AMC aktivieren');
INSERT INTO `lang_definitions` VALUES (16397, 2061, 5, 'Scanner-Unterstützung aktivieren');
INSERT INTO `lang_definitions` VALUES (16398, 2064, 5, 'aktiviere Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (16399, 2065, 5, 'LibreEHR Support LLC Lab Exchange Service aktivieren');
INSERT INTO `lang_definitions` VALUES (16400, 2066, 5, 'Nutzer-Zertifikats-Authentifizierung aktivieren');
INSERT INTO `lang_definitions` VALUES (16401, 2067, 5, 'ZMG, LLC eRx-Service aktivieren');
INSERT INTO `lang_definitions` VALUES (16402, 2068, 5, 'aktiviert');
INSERT INTO `lang_definitions` VALUES (16403, 2070, 5, 'Aktiviert das alte Honorar-Panel, um Abrechnungscodes und Zahlungen einzugeben. Nicht empfohlen, verwenden Sie das Honorar Blatt stattdessen.');
INSERT INTO `lang_definitions` VALUES (16404, 2071, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (16405, 2072, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (16406, 2073, 5, 'Besuch');
INSERT INTO `lang_definitions` VALUES (16407, 2074, 5, 'besuch');
INSERT INTO `lang_definitions` VALUES (16408, 2075, 5, 'Besuch ');
INSERT INTO `lang_definitions` VALUES (16409, 2076, 5, 'Besuch akuter stationär oder ED');
INSERT INTO `lang_definitions` VALUES (16410, 2081, 5, 'Besuch Datum');
INSERT INTO `lang_definitions` VALUES (16411, 2084, 5, 'Besuch EDI Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (16412, 2086, 5, 'Besuch Formulare');
INSERT INTO `lang_definitions` VALUES (16413, 2087, 5, 'Besuch Gesundheit und Verhaltens Beurteilung');
INSERT INTO `lang_definitions` VALUES (16414, 2088, 5, 'Besuch Verlauf');
INSERT INTO `lang_definitions` VALUES (16415, 2089, 5, 'Besuch ID');
INSERT INTO `lang_definitions` VALUES (16416, 2090, 5, 'Besuch Grippe');
INSERT INTO `lang_definitions` VALUES (16417, 2091, 5, 'Besuch Nummer');
INSERT INTO `lang_definitions` VALUES (16418, 2095, 5, 'Besuch Berufsbedingte Therapie');
INSERT INTO `lang_definitions` VALUES (16419, 2096, 5, 'Ordination Praxistermin');
INSERT INTO `lang_definitions` VALUES (16420, 2097, 5, 'Ordination Ambulanztermin');
INSERT INTO `lang_definitions` VALUES (16421, 2098, 5, 'Ordination Ambulanztermin mit PCP & Gyn');
INSERT INTO `lang_definitions` VALUES (16422, 2099, 5, 'Anzahl Visiten je Seite');
INSERT INTO `lang_definitions` VALUES (16423, 2100, 5, 'Besuch Zahlung');
INSERT INTO `lang_definitions` VALUES (16424, 2101, 5, 'Besuch Schwangerschaft');
INSERT INTO `lang_definitions` VALUES (16425, 2102, 5, 'Besuch Vorsorgemedizin - individual Besuch');
INSERT INTO `lang_definitions` VALUES (16426, 2103, 5, 'Besuch Vorsorgemedizin 40 und älter');
INSERT INTO `lang_definitions` VALUES (16427, 2104, 5, 'Besuch Vorsorgemedizin Gruppen Besuch');
INSERT INTO `lang_definitions` VALUES (16428, 2105, 5, 'Besuch Vorsorgemedizin andere Dienste');
INSERT INTO `lang_definitions` VALUES (16429, 2106, 5, 'Besuch Vorsorgemedizin 18 und älter');
INSERT INTO `lang_definitions` VALUES (16430, 2107, 5, 'besuche psychiatrisch & psychologisch');
INSERT INTO `lang_definitions` VALUES (16431, 2108, 5, 'Besuch Statistik');
INSERT INTO `lang_definitions` VALUES (16432, 2109, 5, 'Besuch Zusammenfassung');
INSERT INTO `lang_definitions` VALUES (16433, 2110, 5, 'Besuch wurde kodiert');
INSERT INTO `lang_definitions` VALUES (16434, 2111, 5, 'Besuch:');
INSERT INTO `lang_definitions` VALUES (16435, 2112, 5, 'Besuch: besuch Elektive stationär, ambulant, oder Ophthalmologie');
INSERT INTO `lang_definitions` VALUES (16436, 2113, 5, 'Besuche');
INSERT INTO `lang_definitions` VALUES (16437, 2114, 5, 'Besuche & Formulare');
INSERT INTO `lang_definitions` VALUES (16438, 2115, 5, 'Besuche &amp; Formulare');
INSERT INTO `lang_definitions` VALUES (16439, 2116, 5, 'Besuche nicht genehmigt');
INSERT INTO `lang_definitions` VALUES (16440, 2117, 5, 'Besuche Bericht');
INSERT INTO `lang_definitions` VALUES (16441, 2118, 5, 'Besuche Sektion');
INSERT INTO `lang_definitions` VALUES (16442, 2120, 5, 'Verschlüsselung');
INSERT INTO `lang_definitions` VALUES (16443, 2121, 5, 'Ende');
INSERT INTO `lang_definitions` VALUES (16444, 2122, 5, 'Ende (tt.mm.jjjj) ');
INSERT INTO `lang_definitions` VALUES (16445, 2123, 5, 'Enddatum');
INSERT INTO `lang_definitions` VALUES (16446, 2124, 5, 'Enddatum');
INSERT INTO `lang_definitions` VALUES (16447, 2126, 5, 'Enddatum muss größer sein als Startdatum');
INSERT INTO `lang_definitions` VALUES (16448, 2127, 5, 'Enddatum');
INSERT INTO `lang_definitions` VALUES (16449, 2131, 5, 'Endzeit');
INSERT INTO `lang_definitions` VALUES (16450, 2132, 5, 'End Stadium Niereninsuffizienz begünstigt in MCP mit ANgestellten Gruppenplan');
INSERT INTO `lang_definitions` VALUES (16451, 2133, 5, 'Enddatum der Leistung (jjjj-mm-tt)');
INSERT INTO `lang_definitions` VALUES (16452, 2134, 5, 'Enddatum der Leistung (jjjj-mm-tt) wenn ein Zeitrahmen eintrag');
INSERT INTO `lang_definitions` VALUES (16453, 2135, 5, 'Endstunde für Kalender Ereignisse');
INSERT INTO `lang_definitions` VALUES (16454, 2136, 5, 'Innere abnormale Blutung');
INSERT INTO `lang_definitions` VALUES (16455, 2137, 5, 'Endokrin');
INSERT INTO `lang_definitions` VALUES (16456, 2138, 5, 'Endoskopie');
INSERT INTO `lang_definitions` VALUES (16457, 2141, 5, 'Englisch');
INSERT INTO `lang_definitions` VALUES (16458, 2142, 5, 'Englisch ');
INSERT INTO `lang_definitions` VALUES (16459, 2143, 5, 'Englisch (Indisch)');
INSERT INTO `lang_definitions` VALUES (16460, 2144, 5, 'Englisch (Standard)');
INSERT INTO `lang_definitions` VALUES (16461, 2145, 5, 'Enskript kommando gebraucht bei Hylafax');
INSERT INTO `lang_definitions` VALUES (16462, 2146, 5, 'LibreEHR muß Schreibrechte im Verzeichnis haben');
INSERT INTO `lang_definitions` VALUES (16463, 2147, 5, 'HNO Sekretion');
INSERT INTO `lang_definitions` VALUES (16464, 2148, 5, 'HNO Schmerz');
INSERT INTO `lang_definitions` VALUES (16465, 2149, 5, 'Diagnosekode eingeben , um alle Rechnung ohne diese Diagnose auszuschliessen');
INSERT INTO `lang_definitions` VALUES (16466, 2151, 5, 'Breifkopf hier eingeben');
INSERT INTO `lang_definitions` VALUES (16467, 2152, 5, 'Datenbank Root Passwort');
INSERT INTO `lang_definitions` VALUES (16468, 2153, 5, 'Datenbank Root Username');
INSERT INTO `lang_definitions` VALUES (16469, 2154, 5, 'Diagnose erfassen');
INSERT INTO `lang_definitions` VALUES (16470, 2155, 5, 'Medikamente erfassen');
INSERT INTO `lang_definitions` VALUES (16471, 2156, 5, 'Besuch erfassen');
INSERT INTO `lang_definitions` VALUES (16472, 2157, 5, 'Besuch Nummer eingeben');
INSERT INTO `lang_definitions` VALUES (16473, 2158, 5, 'Eingabe Impfungen');
INSERT INTO `lang_definitions` VALUES (16474, 2159, 5, 'Enter-Taste');
INSERT INTO `lang_definitions` VALUES (16475, 2161, 5, 'Neuen Status erfassen');
INSERT INTO `lang_definitions` VALUES (16476, 2162, 5, 'Empfänger Adresse eingeben');
INSERT INTO `lang_definitions` VALUES (16477, 2164, 5, 'Re-Identifikations-Code erfassen');
INSERT INTO `lang_definitions` VALUES (16478, 2165, 5, 'Gib Deine Suchbegriffe oben ein');
INSERT INTO `lang_definitions` VALUES (16479, 2166, 5, 'falscher Eintrag');
INSERT INTO `lang_definitions` VALUES (16480, 2167, 5, 'Einträge');
INSERT INTO `lang_definitions` VALUES (16481, 2168, 5, 'Umgebung');
INSERT INTO `lang_definitions` VALUES (16482, 2169, 5, 'EOB Dateneingabe');
INSERT INTO `lang_definitions` VALUES (16483, 2170, 5, 'EOB Zustellung - Elektronische Rechnung');
INSERT INTO `lang_definitions` VALUES (16484, 2171, 5, 'EOB Zustellung -Instruktionen');
INSERT INTO `lang_definitions` VALUES (16485, 2172, 5, 'EOB Zustellung - Rechnung');
INSERT INTO `lang_definitions` VALUES (16486, 2173, 5, 'EOB Zustellung - Patientenakte');
INSERT INTO `lang_definitions` VALUES (16487, 2174, 5, 'EOB Zustellung - Suche');
INSERT INTO `lang_definitions` VALUES (16488, 2176, 5, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (16489, 2178, 5, 'ERA');
INSERT INTO `lang_definitions` VALUES (16490, 2179, 5, 'ERA Files');
INSERT INTO `lang_definitions` VALUES (16491, 2180, 5, 'ERA Zustellung');
INSERT INTO `lang_definitions` VALUES (16492, 2181, 5, 'Löschen');
INSERT INTO `lang_definitions` VALUES (16493, 2182, 5, 'Errektionen');
INSERT INTO `lang_definitions` VALUES (16494, 2183, 5, 'Fehler');
INSERT INTO `lang_definitions` VALUES (16495, 2185, 5, 'Fehler bei der Bestätigung des Erhalts der Laborbefunde');
INSERT INTO `lang_definitions` VALUES (16496, 2187, 5, 'Fehler bei der Übernahme der Laborbefunde vom Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (16497, 2188, 5, 'Fehler in der Geschlechtsauswahl');
INSERT INTO `lang_definitions` VALUES (16498, 2189, 5, 'Fehler bei der HIPAA-Auswahl');
INSERT INTO `lang_definitions` VALUES (16499, 2190, 5, 'Fehler bei der Verarbeitungs-Auswahl');
INSERT INTO `lang_definitions` VALUES (16500, 2191, 5, 'Fehler bei der Auswahl des SMS-Gateways');
INSERT INTO `lang_definitions` VALUES (16501, 2192, 5, 'Fehler bei der Auswahl des Sortierkriteriums');
INSERT INTO `lang_definitions` VALUES (16502, 2193, 5, 'Fehler in der GZIP-Kompression der Datei: ');
INSERT INTO `lang_definitions` VALUES (16503, 2194, 5, 'Fehler bei JA/NEIN-Auswahl');
INSERT INTO `lang_definitions` VALUES (16504, 2195, 5, 'Fehler beim Öffnen der hochgeladenen Datei');
INSERT INTO `lang_definitions` VALUES (16505, 2196, 5, 'Fehler beim verarbeiten der Datei');
INSERT INTO `lang_definitions` VALUES (16506, 2197, 5, 'Fehler beim Upload');
INSERT INTO `lang_definitions` VALUES (16507, 2198, 5, 'Fehler beim Löschen der Nachricht');
INSERT INTO `lang_definitions` VALUES (16508, 2199, 5, 'Fehler beim Abrufen der Befunde vom Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (16509, 2200, 5, 'Fehler beim Abrufen der Werte.');
INSERT INTO `lang_definitions` VALUES (16510, 2202, 5, 'Fehler bei der Gewähung des File-Privilegs für den LibreEHR Nutzer');
INSERT INTO `lang_definitions` VALUES (16511, 2205, 5, 'Fehler bei der Registrierung des Formulars!');
INSERT INTO `lang_definitions` VALUES (16512, 2206, 5, 'Fehler beim Speichern');
INSERT INTO `lang_definitions` VALUES (16513, 2208, 5, 'Fehler beim Schreiben der Daten');
INSERT INTO `lang_definitions` VALUES (16514, 2209, 5, 'Fehler gefunden in neuen Ergebnissen');
INSERT INTO `lang_definitions` VALUES (16515, 2210, 5, 'Fehler: Datei existiert nicht');
INSERT INTO `lang_definitions` VALUES (16516, 2211, 5, 'Fehler: Daten können nicht vom Server abgerufen werden');
INSERT INTO `lang_definitions` VALUES (16517, 2212, 5, 'Fehler: Client-Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (16518, 2213, 5, 'Fehler: admin.p12-Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (16519, 2214, 5, 'Fehler: Certificate Authority Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (16520, 2215, 5, 'Fehler: Server-Zertifikat kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (16521, 2216, 5, 'Fehler: Datei kann nicht geöffnet werden');
INSERT INTO `lang_definitions` VALUES (16522, 2217, 5, 'Fehler: Authentifizierung mittels Nutzer-Zertifikat ist nicht aktiviert in LibreEHR');
INSERT INTO `lang_definitions` VALUES (16523, 2218, 5, 'Fehler: Du musst das Archive/Tar.php-Modul installieren');
INSERT INTO `lang_definitions` VALUES (16524, 2219, 5, 'Fehler: Die Datei table.sql konnte nicht geöffnet werden.');
INSERT INTO `lang_definitions` VALUES (16525, 2220, 5, 'FEHLER: Doppelte ID in Zeile');
INSERT INTO `lang_definitions` VALUES (16526, 2221, 5, 'FEHLER: Doppelter Namen in Zeile');
INSERT INTO `lang_definitions` VALUES (16527, 2222, 5, 'FEHLER: Feld');
INSERT INTO `lang_definitions` VALUES (16528, 2223, 5, 'FEHLER: PHP Modul für ZIP-Archive fehlt');
INSERT INTO `lang_definitions` VALUES (16529, 2224, 5, 'FEHLER: Kein ICD Import-Verzeichnis');
INSERT INTO `lang_definitions` VALUES (16530, 2225, 5, 'FEHLER: Falsches Passwort. Tippfehler?');
INSERT INTO `lang_definitions` VALUES (16531, 2226, 5, 'FEHLER: Falsches Passwort. Tippfehler?');
INSERT INTO `lang_definitions` VALUES (16532, 2227, 5, 'FEHLER: Die Datei existiert nicht.');
INSERT INTO `lang_definitions` VALUES (16533, 2228, 5, 'FEHLER: Die folgenden Variablen beinhalten ungültige Zeichen.');
INSERT INTO `lang_definitions` VALUES (16534, 2229, 5, 'FEHLER: Datei kann nicht kopiert werden.');
INSERT INTO `lang_definitions` VALUES (16535, 2230, 5, 'FEHLER: Downloadbares Archiv kann nicht erzeugt werden.');
INSERT INTO `lang_definitions` VALUES (16536, 2231, 5, 'FEHLER: ZIP-Archiv kann nicht erzeugt werden.');
INSERT INTO `lang_definitions` VALUES (16537, 2232, 5, 'FEHLER: Datei kann nicht entpackt werden.');
INSERT INTO `lang_definitions` VALUES (16538, 2233, 5, 'FEHLER: Datei kann nicht in die Datenbank geschrieben werden.');
INSERT INTO `lang_definitions` VALUES (16539, 2234, 5, 'FEHLER: Versionsnummer kann nicht gesetzt werden.');
INSERT INTO `lang_definitions` VALUES (16540, 2235, 5, 'Fehler');
INSERT INTO `lang_definitions` VALUES (16541, 2236, 5, 'eRx Konto-Status');
INSERT INTO `lang_definitions` VALUES (16542, 2237, 5, 'eRx Logs');
INSERT INTO `lang_definitions` VALUES (16543, 2238, 5, 'ERX Name');
INSERT INTO `lang_definitions` VALUES (16544, 2239, 5, 'ERX Passwort');
INSERT INTO `lang_definitions` VALUES (16545, 2240, 5, 'ERX Rolle');
INSERT INTO `lang_definitions` VALUES (16546, 2241, 5, 'ERX Nutzer');
INSERT INTO `lang_definitions` VALUES (16547, 2242, 5, 'Erythem:');
INSERT INTO `lang_definitions` VALUES (16548, 2245, 5, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (16549, 2247, 5, 'Bekannter Patient');
INSERT INTO `lang_definitions` VALUES (16550, 2248, 5, 'Estland');
INSERT INTO `lang_definitions` VALUES (16551, 2249, 5, 'Volkszugehörigkeit');
INSERT INTO `lang_definitions` VALUES (16552, 2250, 5, 'Ethnie oder Rasse');
INSERT INTO `lang_definitions` VALUES (16553, 2251, 5, 'Ethnien/Rassen-Liste (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (16554, 2252, 5, 'ETIN');
INSERT INTO `lang_definitions` VALUES (16555, 2253, 5, 'Ereignis');
INSERT INTO `lang_definitions` VALUES (16556, 2254, 5, 'Ereignis beginnt');
INSERT INTO `lang_definitions` VALUES (16557, 2255, 5, 'Ereignis-Kategorie');
INSERT INTO `lang_definitions` VALUES (16558, 2256, 5, 'Ereignisdatum');
INSERT INTO `lang_definitions` VALUES (16559, 2257, 5, 'Ereignisbeschreibung');
INSERT INTO `lang_definitions` VALUES (16560, 2258, 5, 'Ereignis Details');
INSERT INTO `lang_definitions` VALUES (16561, 2259, 5, 'Ereignis wiederholt sich nicht');
INSERT INTO `lang_definitions` VALUES (16562, 2260, 5, 'Ereignis Dauer');
INSERT INTO `lang_definitions` VALUES (16563, 2261, 5, 'Ereignis Dauer in Minuten');
INSERT INTO `lang_definitions` VALUES (16564, 2262, 5, 'Teilnahmegebühr');
INSERT INTO `lang_definitions` VALUES (16565, 2263, 5, 'Veranstaltungsort');
INSERT INTO `lang_definitions` VALUES (16566, 2264, 5, 'Ereignis wiederholt sich alle');
INSERT INTO `lang_definitions` VALUES (16567, 2265, 5, 'Ereignis wiederholt am');
INSERT INTO `lang_definitions` VALUES (16568, 2266, 5, 'Ereignis Startzeit');
INSERT INTO `lang_definitions` VALUES (16569, 2267, 5, 'Ereignis titel');
INSERT INTO `lang_definitions` VALUES (16570, 2268, 5, 'Ereignis Titel');
INSERT INTO `lang_definitions` VALUES (16571, 2269, 5, 'Ereignis Webseite');
INSERT INTO `lang_definitions` VALUES (16572, 2270, 5, 'Ereignis für');
INSERT INTO `lang_definitions` VALUES (16573, 2271, 5, 'Ereignis für');
INSERT INTO `lang_definitions` VALUES (16574, 2272, 5, 'Ereignisse in neuem Fenster öffnen');
INSERT INTO `lang_definitions` VALUES (16575, 2273, 5, 'jede');
INSERT INTO `lang_definitions` VALUES (16576, 2274, 5, 'Jede');
INSERT INTO `lang_definitions` VALUES (16577, 2275, 5, 'alle 3 Stunden');
INSERT INTO `lang_definitions` VALUES (16578, 2276, 5, 'alle 4 Stunden');
INSERT INTO `lang_definitions` VALUES (16579, 2277, 5, 'alle 5 Stunden');
INSERT INTO `lang_definitions` VALUES (16580, 2278, 5, 'alle 6 Stunden');
INSERT INTO `lang_definitions` VALUES (16581, 2279, 5, 'alle 8 Stunden');
INSERT INTO `lang_definitions` VALUES (16582, 2280, 5, 'jeder vierte');
INSERT INTO `lang_definitions` VALUES (16583, 2281, 5, 'jeder zweite');
INSERT INTO `lang_definitions` VALUES (16584, 2282, 5, 'jeder dritte');
INSERT INTO `lang_definitions` VALUES (16585, 2283, 5, 'jeder, jeder zweite, jeder dritte, etc.');
INSERT INTO `lang_definitions` VALUES (16586, 2285, 5, 'Untersuchung und Ergebnisse');
INSERT INTO `lang_definitions` VALUES (16587, 2286, 5, 'Untersuchungsergebnis');
INSERT INTO `lang_definitions` VALUES (16588, 2289, 5, 'Untersuchung');
INSERT INTO `lang_definitions` VALUES (16589, 2290, 5, 'Untersuchungsdatum');
INSERT INTO `lang_definitions` VALUES (16590, 2291, 5, 'Beispiel');
INSERT INTO `lang_definitions` VALUES (16591, 2292, 5, 'Beispiele');
INSERT INTO `lang_definitions` VALUES (16592, 2293, 5, 'Untersuchungen');
INSERT INTO `lang_definitions` VALUES (16593, 2294, 5, 'ausgenommen');
INSERT INTO `lang_definitions` VALUES (16594, 2295, 5, 'ausgeprägte Abnutzung');
INSERT INTO `lang_definitions` VALUES (16595, 2296, 5, 'ausgeschlossen Patienten');
INSERT INTO `lang_definitions` VALUES (16596, 2297, 5, 'Ausschluss');
INSERT INTO `lang_definitions` VALUES (16597, 2298, 5, 'Exklusive Organisation von Leistungserbringern (EPO)');
INSERT INTO `lang_definitions` VALUES (16598, 2299, 5, 'Executive (papiergröße)');
INSERT INTO `lang_definitions` VALUES (16599, 2300, 5, 'Übungen');
INSERT INTO `lang_definitions` VALUES (16600, 2301, 5, 'Übungs Vorlagen');
INSERT INTO `lang_definitions` VALUES (16601, 2302, 5, 'Übungs Vorlagen');
INSERT INTO `lang_definitions` VALUES (16602, 2303, 5, 'Existiert');
INSERT INTO `lang_definitions` VALUES (16603, 2304, 5, 'Ausstieg aus Verwaltung');
INSERT INTO `lang_definitions` VALUES (16604, 2305, 5, 'Erweitern');
INSERT INTO `lang_definitions` VALUES (16605, 2306, 5, 'Einblenden');
INSERT INTO `lang_definitions` VALUES (16606, 2307, 5, 'einblenden');
INSERT INTO `lang_definitions` VALUES (16607, 2308, 5, 'Alle Einblenden');
INSERT INTO `lang_definitions` VALUES (16608, 2311, 5, 'Erweiterte Ansicht');
INSERT INTO `lang_definitions` VALUES (16609, 2312, 5, 'Erwarte form_encounter.pid als ');
INSERT INTO `lang_definitions` VALUES (16610, 2313, 5, 'Verfallen');
INSERT INTO `lang_definitions` VALUES (16611, 2314, 5, 'Verfalldatum');
INSERT INTO `lang_definitions` VALUES (16612, 2315, 5, 'Verfällt');
INSERT INTO `lang_definitions` VALUES (16613, 2316, 5, 'verfällt in');
INSERT INTO `lang_definitions` VALUES (16614, 2317, 5, 'Exportieren');
INSERT INTO `lang_definitions` VALUES (16615, 2318, 5, 'Exportieren als CSV');
INSERT INTO `lang_definitions` VALUES (16616, 2319, 5, 'Exportieren der Konfiguration');
INSERT INTO `lang_definitions` VALUES (16617, 2322, 5, 'Exportiere persönliche Patientendaten');
INSERT INTO `lang_definitions` VALUES (16618, 2323, 5, 'Exportiere PQRI Bericht');
INSERT INTO `lang_definitions` VALUES (16619, 2325, 5, 'Ausgewählte als CSV exportieren');
INSERT INTO `lang_definitions` VALUES (16620, 2326, 5, 'Ausgewählte zu Sammlungen exportieren');
INSERT INTO `lang_definitions` VALUES (16621, 2327, 5, 'Zu CSV exportieren');
INSERT INTO `lang_definitions` VALUES (16622, 2328, 5, 'In externes Abrechnungssystem exportieren');
INSERT INTO `lang_definitions` VALUES (16623, 2329, 5, 'im Ausland gewesen');
INSERT INTO `lang_definitions` VALUES (16624, 2330, 5, 'im Ausland gewesen');
INSERT INTO `lang_definitions` VALUES (16625, 2332, 5, 'Extern');
INSERT INTO `lang_definitions` VALUES (16626, 2334, 5, 'Externe Daten laden/aktualisieren');
INSERT INTO `lang_definitions` VALUES (16627, 2335, 5, 'Externe Datenbank importieren');
INSERT INTO `lang_definitions` VALUES (16628, 2336, 5, 'Externe ID');
INSERT INTO `lang_definitions` VALUES (16629, 2337, 5, 'Externe id');
INSERT INTO `lang_definitions` VALUES (16630, 2338, 5, 'externe Kennung');
INSERT INTO `lang_definitions` VALUES (16631, 2346, 5, 'ZIP-Datei entpacken');
INSERT INTO `lang_definitions` VALUES (16632, 2347, 5, 'Entpacke Datei. Dies wird eine Weile dauern...');
INSERT INTO `lang_definitions` VALUES (16633, 2348, 5, 'Ausschwitzung');
INSERT INTO `lang_definitions` VALUES (16634, 2349, 5, 'Augen-Irritation');
INSERT INTO `lang_definitions` VALUES (16635, 2350, 5, 'Augen-Schmerzen');
INSERT INTO `lang_definitions` VALUES (16636, 2351, 5, 'Augenrötung');
INSERT INTO `lang_definitions` VALUES (16637, 2352, 5, 'Augen');
INSERT INTO `lang_definitions` VALUES (16638, 2353, 5, 'F');
INSERT INTO `lang_definitions` VALUES (16639, 2354, 5, 'F/H Blutprobleme');
INSERT INTO `lang_definitions` VALUES (16640, 2356, 5, 'Standorte');
INSERT INTO `lang_definitions` VALUES (16641, 2357, 5, 'Standort');
INSERT INTO `lang_definitions` VALUES (16642, 2358, 5, 'standort');
INSERT INTO `lang_definitions` VALUES (16643, 2359, 5, 'Standort Verwaltung');
INSERT INTO `lang_definitions` VALUES (16644, 2360, 5, 'Standort Stadt');
INSERT INTO `lang_definitions` VALUES (16645, 2361, 5, 'Standort Code');
INSERT INTO `lang_definitions` VALUES (16646, 2362, 5, 'Standort Länder Code');
INSERT INTO `lang_definitions` VALUES (16647, 2363, 5, 'Standort Fax');
INSERT INTO `lang_definitions` VALUES (16648, 2364, 5, 'Standort Name');
INSERT INTO `lang_definitions` VALUES (16649, 2365, 5, 'Standort NPI');
INSERT INTO `lang_definitions` VALUES (16650, 2366, 5, 'Standort Telefon');
INSERT INTO `lang_definitions` VALUES (16651, 2367, 5, 'Standort spezifische Information');
INSERT INTO `lang_definitions` VALUES (16652, 2368, 5, 'Standort Staat');
INSERT INTO `lang_definitions` VALUES (16653, 2369, 5, 'Standort Straße');
INSERT INTO `lang_definitions` VALUES (16654, 2370, 5, 'Standort PLZ');
INSERT INTO `lang_definitions` VALUES (16655, 2372, 5, 'Standort:');
INSERT INTO `lang_definitions` VALUES (16656, 2373, 5, 'FEHLER');
INSERT INTO `lang_definitions` VALUES (16657, 2374, 5, 'fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (16658, 2375, 5, 'Fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (16659, 2380, 5, 'Anlegen des temporären Verzeichnis. CouchDB ist nicht einsatzbereit.');
INSERT INTO `lang_definitions` VALUES (16660, 2382, 5, 'Fehlgeschlagen.');
INSERT INTO `lang_definitions` VALUES (16661, 2383, 5, 'Fehler');
INSERT INTO `lang_definitions` VALUES (16662, 2390, 5, 'Familiäre Anamnese');
INSERT INTO `lang_definitions` VALUES (16663, 2391, 5, 'Familienanamnese bzgl. Glaukom');
INSERT INTO `lang_definitions` VALUES (16664, 2392, 5, 'Familiärer Hintergrund');
INSERT INTO `lang_definitions` VALUES (16665, 2394, 5, 'Familiengeld');
INSERT INTO `lang_definitions` VALUES (16666, 2395, 5, 'Größe der Familie');
INSERT INTO `lang_definitions` VALUES (16667, 2396, 5, 'Phantasie');
INSERT INTO `lang_definitions` VALUES (16668, 2398, 5, 'Farsi');
INSERT INTO `lang_definitions` VALUES (16669, 2400, 5, 'Vater');
INSERT INTO `lang_definitions` VALUES (16670, 2402, 5, 'Müdigkeit');
INSERT INTO `lang_definitions` VALUES (16671, 2403, 5, 'Müde');
INSERT INTO `lang_definitions` VALUES (16672, 2404, 5, 'Fax');
INSERT INTO `lang_definitions` VALUES (16673, 2405, 5, 'Fax Zähler');
INSERT INTO `lang_definitions` VALUES (16674, 2406, 5, 'Faxnummer');
INSERT INTO `lang_definitions` VALUES (16675, 2408, 5, 'Fax/Scanner');
INSERT INTO `lang_definitions` VALUES (16676, 2409, 5, 'Fax-Eingang');
INSERT INTO `lang_definitions` VALUES (16677, 2410, 5, 'Fax-Ausgang');
INSERT INTO `lang_definitions` VALUES (16678, 2411, 5, 'Funktion');
INSERT INTO `lang_definitions` VALUES (16679, 2412, 5, 'Feb');
INSERT INTO `lang_definitions` VALUES (16680, 2413, 5, 'Februar');
INSERT INTO `lang_definitions` VALUES (16681, 2414, 5, 'FECA');
INSERT INTO `lang_definitions` VALUES (16682, 2415, 5, 'Medikament-ID');
INSERT INTO `lang_definitions` VALUES (16683, 2416, 5, 'Medikament EIN');
INSERT INTO `lang_definitions` VALUES (16684, 2417, 5, 'Steuernummer');
INSERT INTO `lang_definitions` VALUES (16685, 2418, 5, 'Gebühr');
INSERT INTO `lang_definitions` VALUES (16686, 2419, 5, 'Gebühr');
INSERT INTO `lang_definitions` VALUES (16687, 2420, 5, 'Honorar ist nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (16688, 2421, 5, 'Honorar Formular');
INSERT INTO `lang_definitions` VALUES (16689, 2422, 5, 'Option für Honorar Formular');
INSERT INTO `lang_definitions` VALUES (16690, 2423, 5, 'Honorare');
INSERT INTO `lang_definitions` VALUES (16691, 2424, 5, 'Weiblich');
INSERT INTO `lang_definitions` VALUES (16692, 2426, 5, 'Frauenkondom');
INSERT INTO `lang_definitions` VALUES (16693, 2430, 5, 'Frauen Syntome');
INSERT INTO `lang_definitions` VALUES (16694, 2434, 5, 'Fieber');
INSERT INTO `lang_definitions` VALUES (16695, 2435, 5, 'Fieber:');
INSERT INTO `lang_definitions` VALUES (16696, 2436, 5, 'FH Blut Probleme');
INSERT INTO `lang_definitions` VALUES (16697, 2437, 5, 'Myome');
INSERT INTO `lang_definitions` VALUES (16698, 2443, 5, 'Felder fehlen!');
INSERT INTO `lang_definitions` VALUES (16699, 2447, 5, 'Datei');
INSERT INTO `lang_definitions` VALUES (16700, 2448, 5, 'Datei im Dokumentations-Verzeichnis, das zeigt, wie der Log-Backups automatisch erstellt werden können');
INSERT INTO `lang_definitions` VALUES (16701, 2449, 5, 'Datei Ort');
INSERT INTO `lang_definitions` VALUES (16702, 2450, 5, 'Dateiverwaltung');
INSERT INTO `lang_definitions` VALUES (16703, 2453, 5, 'File-Privileg dem LibreEHR-Nutzer gewährt');
INSERT INTO `lang_definitions` VALUES (16704, 2454, 5, 'Datei-Abruf von CouchDB fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (16705, 2455, 5, 'Aktenraum');
INSERT INTO `lang_definitions` VALUES (16706, 2456, 5, 'Datei für den Upload');
INSERT INTO `lang_definitions` VALUES (16707, 2457, 5, 'Datei für den Upload');
INSERT INTO `lang_definitions` VALUES (16708, 2458, 5, 'Datei mit dem selben Namen existiert bereits unter:');
INSERT INTO `lang_definitions` VALUES (16709, 2459, 5, 'Dateiname');
INSERT INTO `lang_definitions` VALUES (16710, 2461, 5, 'Dateien');
INSERT INTO `lang_definitions` VALUES (16711, 2462, 5, 'Philipino');
INSERT INTO `lang_definitions` VALUES (16712, 2463, 5, 'Fülle eine der unten stehenden Zeilen aus');
INSERT INTO `lang_definitions` VALUES (16713, 2464, 5, 'nur ausfüllen, wenn der Patient mit email benachrichtigt werden soll');
INSERT INTO `lang_definitions` VALUES (16714, 2465, 5, 'Die Werte unten eintragen');
INSERT INTO `lang_definitions` VALUES (16715, 2467, 5, 'Füllen Sie die Zeile');
INSERT INTO `lang_definitions` VALUES (16716, 2468, 5, 'Filter');
INSERT INTO `lang_definitions` VALUES (16717, 2469, 5, 'Filter für Konstanten');
INSERT INTO `lang_definitions` VALUES (16718, 2470, 5, 'Filter für Definitionen');
INSERT INTO `lang_definitions` VALUES (16719, 2471, 5, 'gefiltert von');
INSERT INTO `lang_definitions` VALUES (16720, 2472, 5, 'filtert');
INSERT INTO `lang_definitions` VALUES (16721, 2473, 5, 'Filter');
INSERT INTO `lang_definitions` VALUES (16722, 2474, 5, 'Abschluß');
INSERT INTO `lang_definitions` VALUES (16723, 2475, 5, 'Schlußdiagnose');
INSERT INTO `lang_definitions` VALUES (16724, 2476, 5, 'Schlußdiagnose durch Facharzt');
INSERT INTO `lang_definitions` VALUES (16725, 2478, 5, 'Finanz');
INSERT INTO `lang_definitions` VALUES (16726, 2480, 5, 'Finanzbericht - alle');
INSERT INTO `lang_definitions` VALUES (16727, 2481, 5, 'Finanzbericht - meine Fälle');
INSERT INTO `lang_definitions` VALUES (16728, 2482, 5, 'Finanz Bericht Datum');
INSERT INTO `lang_definitions` VALUES (16729, 2484, 5, 'Finden');
INSERT INTO `lang_definitions` VALUES (16730, 2485, 5, 'Verfügbare finden');
INSERT INTO `lang_definitions` VALUES (16731, 2486, 5, 'Freie Termine finden');
INSERT INTO `lang_definitions` VALUES (16732, 2487, 5, 'Patienten finden');
INSERT INTO `lang_definitions` VALUES (16733, 2488, 5, 'Finden Patientenaufklärung Materialien');
INSERT INTO `lang_definitions` VALUES (16734, 2489, 5, 'Befunde');
INSERT INTO `lang_definitions` VALUES (16735, 2490, 5, 'Befunde von Spezialisten');
INSERT INTO `lang_definitions` VALUES (16736, 2491, 5, 'Fein');
INSERT INTO `lang_definitions` VALUES (16737, 2492, 5, 'Erledigte Zahlungen');
INSERT INTO `lang_definitions` VALUES (16738, 2493, 5, 'fertig');
INSERT INTO `lang_definitions` VALUES (16739, 2495, 5, 'Erster');
INSERT INTO `lang_definitions` VALUES (16740, 2497, 5, 'Erster Tag der Woche');
INSERT INTO `lang_definitions` VALUES (16741, 2498, 5, 'Vorname');
INSERT INTO `lang_definitions` VALUES (16742, 2499, 5, 'Vorname');
INSERT INTO `lang_definitions` VALUES (16743, 2500, 5, 'Vorname:');
INSERT INTO `lang_definitions` VALUES (16744, 2503, 5, 'Fitness');
INSERT INTO `lang_definitions` VALUES (16745, 2504, 5, 'Fitness Level');
INSERT INTO `lang_definitions` VALUES (16746, 2505, 5, 'Fitness Level des spielers an diesem Tag');
INSERT INTO `lang_definitions` VALUES (16747, 2507, 5, 'Fitness, um zu spielen');
INSERT INTO `lang_definitions` VALUES (16748, 2508, 5, 'Fixes Besuch Datum - beliebige Besuche');
INSERT INTO `lang_definitions` VALUES (16749, 2509, 5, 'Beheben');
INSERT INTO `lang_definitions` VALUES (16750, 2510, 5, 'FL');
INSERT INTO `lang_definitions` VALUES (16751, 2511, 5, 'Flatulenz');
INSERT INTO `lang_definitions` VALUES (16752, 2512, 5, 'Fluß');
INSERT INTO `lang_definitions` VALUES (16753, 2514, 5, 'Grippesaison');
INSERT INTO `lang_definitions` VALUES (16754, 2515, 5, 'Grippesaison');
INSERT INTO `lang_definitions` VALUES (16755, 2516, 5, 'Grippe-Impfung');
INSERT INTO `lang_definitions` VALUES (16756, 2517, 5, 'Flüssigkeits- und Elektrolytstörung');
INSERT INTO `lang_definitions` VALUES (16757, 2518, 5, 'FMS');
INSERT INTO `lang_definitions` VALUES (16758, 2519, 5, 'Folio Papierformat');
INSERT INTO `lang_definitions` VALUES (16759, 2520, 5, 'Manuell folgen');
INSERT INTO `lang_definitions` VALUES (16760, 2521, 5, 'Befolgen Sie diese Anweisungen zum Installieren oder Aktualisieren der folgenden Datenbank');
INSERT INTO `lang_definitions` VALUES (16761, 2522, 5, 'Nachgehen');
INSERT INTO `lang_definitions` VALUES (16762, 2524, 5, 'Verfolge Grund');
INSERT INTO `lang_definitions` VALUES (16763, 2525, 5, 'Nachfolgend eine neue Kunden Konstante:');
INSERT INTO `lang_definitions` VALUES (16764, 2526, 5, 'Nachfolgend eine neue Kunden Sprache:');
INSERT INTO `lang_definitions` VALUES (16765, 2527, 5, 'Nachfolgend eine neue Definition (Sprache, Konstante, Definition):');
INSERT INTO `lang_definitions` VALUES (16766, 2529, 5, 'Follow up Service');
INSERT INTO `lang_definitions` VALUES (16767, 2530, 5, 'Folgetermine angewiesen');
INSERT INTO `lang_definitions` VALUES (16768, 2531, 5, 'Nahrungsmittelunverträglichkeit');
INSERT INTO `lang_definitions` VALUES (16769, 2532, 5, 'Fuß');
INSERT INTO `lang_definitions` VALUES (16770, 2533, 5, 'Fuß-Beschwerden');
INSERT INTO `lang_definitions` VALUES (16771, 2534, 5, 'Fuß:');
INSERT INTO `lang_definitions` VALUES (16772, 2535, 5, 'Fussball-Verletzungen');
INSERT INTO `lang_definitions` VALUES (16773, 2536, 5, 'Fussball-Verletzung');
INSERT INTO `lang_definitions` VALUES (16774, 2537, 5, 'Fußballverletzungsbericht');
INSERT INTO `lang_definitions` VALUES (16775, 2538, 5, 'Schuh Typ');
INSERT INTO `lang_definitions` VALUES (16776, 2539, 5, 'für');
INSERT INTO `lang_definitions` VALUES (16777, 2540, 5, 'Für');
INSERT INTO `lang_definitions` VALUES (16778, 2541, 5, 'Für Code');
INSERT INTO `lang_definitions` VALUES (16779, 2543, 5, 'Für Kunden Reklamationen');
INSERT INTO `lang_definitions` VALUES (16780, 2544, 5, 'z.B.:');
INSERT INTO `lang_definitions` VALUES (16781, 2547, 5, 'für die Rechnung');
INSERT INTO `lang_definitions` VALUES (16782, 2553, 5, 'Für die Vergangenheit');
INSERT INTO `lang_definitions` VALUES (16783, 2554, 5, 'für Variablen');
INSERT INTO `lang_definitions` VALUES (16784, 2555, 5, 'für:');
INSERT INTO `lang_definitions` VALUES (16785, 2557, 5, 'Anlegen von neuem Patienten erzwingen');
INSERT INTO `lang_definitions` VALUES (16786, 2559, 5, 'Unterarm');
INSERT INTO `lang_definitions` VALUES (16787, 2560, 5, 'Formular');
INSERT INTO `lang_definitions` VALUES (16788, 2561, 5, 'gestalten');
INSERT INTO `lang_definitions` VALUES (16789, 2564, 5, 'Format');
INSERT INTO `lang_definitions` VALUES (16790, 2565, 5, 'formatieren');
INSERT INTO `lang_definitions` VALUES (16791, 2566, 5, 'Format für Alter Anzeige');
INSERT INTO `lang_definitions` VALUES (16792, 2567, 5, 'Format für NDC falsch');
INSERT INTO `lang_definitions` VALUES (16793, 2568, 5, 'Format um die meisten Daten anzuzeigen');
INSERT INTO `lang_definitions` VALUES (16794, 2569, 5, 'Format um die meisten Daten anzuzeigen');
INSERT INTO `lang_definitions` VALUES (16795, 2570, 5, 'formatierter Bericht');
INSERT INTO `lang_definitions` VALUES (16796, 2571, 5, 'ehemalige Raucher');
INSERT INTO `lang_definitions` VALUES (16797, 2572, 5, 'Formulare');
INSERT INTO `lang_definitions` VALUES (16798, 2573, 5, 'Administrationsformulare');
INSERT INTO `lang_definitions` VALUES (16799, 2575, 5, 'Vorwärts');
INSERT INTO `lang_definitions` VALUES (16800, 2576, 5, 'Seiten via Fax weiterleiten');
INSERT INTO `lang_definitions` VALUES (16801, 2577, 5, 'weitergeleitet');
INSERT INTO `lang_definitions` VALUES (16802, 2579, 5, 'Vierte');
INSERT INTO `lang_definitions` VALUES (16803, 2581, 5, 'Fraktur');
INSERT INTO `lang_definitions` VALUES (16804, 2582, 5, 'Bruch an der Navicula');
INSERT INTO `lang_definitions` VALUES (16805, 2583, 5, 'Fracture Außenknöchel');
INSERT INTO `lang_definitions` VALUES (16806, 2584, 5, 'Fracture Innenknöchel');
INSERT INTO `lang_definitions` VALUES (16807, 2585, 5, 'Fracture, Basis des fünften (5.) Mittelfußknochen');
INSERT INTO `lang_definitions` VALUES (16808, 2587, 5, 'Französisch');
INSERT INTO `lang_definitions` VALUES (16809, 2588, 5, 'Französisch (Kanada)');
INSERT INTO `lang_definitions` VALUES (16810, 2589, 5, 'Französisch (Standard)');
INSERT INTO `lang_definitions` VALUES (16811, 2590, 5, 'Frequenz');
INSERT INTO `lang_definitions` VALUES (16812, 2591, 5, 'Häufig erkältet');
INSERT INTO `lang_definitions` VALUES (16813, 2592, 5, 'Häufig krank');
INSERT INTO `lang_definitions` VALUES (16814, 2593, 5, 'Fr');
INSERT INTO `lang_definitions` VALUES (16815, 2594, 5, 'Freitag');
INSERT INTO `lang_definitions` VALUES (16816, 2595, 5, 'von');
INSERT INTO `lang_definitions` VALUES (16817, 2596, 5, 'VON');
INSERT INTO `lang_definitions` VALUES (16818, 2597, 5, 'von');
INSERT INTO `lang_definitions` VALUES (16819, 2598, 5, '\"Von\" Datum darf nicht größer sein als \"bis\" Datum.');
INSERT INTO `lang_definitions` VALUES (16820, 2599, 5, 'Von:');
INSERT INTO `lang_definitions` VALUES (16821, 2600, 5, 'Von: ');
INSERT INTO `lang_definitions` VALUES (16822, 2601, 5, 'VON_STADT');
INSERT INTO `lang_definitions` VALUES (16823, 2603, 5, 'VON_VNAME');
INSERT INTO `lang_definitions` VALUES (16824, 2604, 5, 'VON_NNAME');
INSERT INTO `lang_definitions` VALUES (16825, 2605, 5, 'VON_MNAME');
INSERT INTO `lang_definitions` VALUES (16826, 2607, 5, 'VON_MOBILTEL');
INSERT INTO `lang_definitions` VALUES (16827, 2608, 5, 'VON_PLZ');
INSERT INTO `lang_definitions` VALUES (16828, 2609, 5, 'VON_REGION');
INSERT INTO `lang_definitions` VALUES (16829, 2610, 5, 'VON_STRASSE');
INSERT INTO `lang_definitions` VALUES (16830, 2611, 5, 'VON_TITEL');
INSERT INTO `lang_definitions` VALUES (16831, 2612, 5, 'VON_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (16832, 2613, 5, 'Empfang');
INSERT INTO `lang_definitions` VALUES (16833, 2614, 5, 'Einnahmen durch Empfang');
INSERT INTO `lang_definitions` VALUES (16834, 2615, 5, 'Einnahmenbericht von Empfang');
INSERT INTO `lang_definitions` VALUES (16835, 2616, 5, 'Empfangsbereich');
INSERT INTO `lang_definitions` VALUES (16836, 2617, 5, 'Frontal Rechts:');
INSERT INTO `lang_definitions` VALUES (16837, 2619, 5, 'Vollständiger Name');
INSERT INTO `lang_definitions` VALUES (16838, 2620, 5, 'Vollständiger Pfad zu MySQL Programmdatei');
INSERT INTO `lang_definitions` VALUES (16839, 2621, 5, 'Vollständiger Pfad zu Perl Programmdatei');
INSERT INTO `lang_definitions` VALUES (16840, 2622, 5, 'Vollständiger Pfad für Termin log Backup');
INSERT INTO `lang_definitions` VALUES (16841, 2623, 5, 'Vollständiger Pfad für temporäre Dateien');
INSERT INTO `lang_definitions` VALUES (16842, 2624, 5, 'Vollständig Spielberechtigt');
INSERT INTO `lang_definitions` VALUES (16843, 2625, 5, 'Vollständig Trainingsberechtigt');
INSERT INTO `lang_definitions` VALUES (16844, 2626, 5, 'Vollständig Bezahlt');
INSERT INTO `lang_definitions` VALUES (16845, 2633, 5, 'G');
INSERT INTO `lang_definitions` VALUES (16846, 2634, 5, 'G/DL');
INSERT INTO `lang_definitions` VALUES (16847, 2636, 5, 'Gallenblase Zustand');
INSERT INTO `lang_definitions` VALUES (16848, 2637, 5, 'Gallensteine');
INSERT INTO `lang_definitions` VALUES (16849, 2638, 5, 'Spieldauer');
INSERT INTO `lang_definitions` VALUES (16850, 2639, 5, 'Spiele');
INSERT INTO `lang_definitions` VALUES (16851, 2640, 5, 'Spiele versäumt');
INSERT INTO `lang_definitions` VALUES (16852, 2641, 5, 'Spiele / Termine');
INSERT INTO `lang_definitions` VALUES (16853, 2642, 5, 'Spiele / Termine versäumt');
INSERT INTO `lang_definitions` VALUES (16854, 2644, 5, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (16855, 2645, 5, 'Gastro Schmerz');
INSERT INTO `lang_definitions` VALUES (16856, 2646, 5, 'Magen-Darm-');
INSERT INTO `lang_definitions` VALUES (16857, 2647, 5, 'GCAC Statistik Bericht');
INSERT INTO `lang_definitions` VALUES (16858, 2648, 5, 'GCAC Statistik');
INSERT INTO `lang_definitions` VALUES (16859, 2649, 5, 'GCAC Konsultation Formular fehlt');
INSERT INTO `lang_definitions` VALUES (16860, 2650, 5, 'Geschlecht');
INSERT INTO `lang_definitions` VALUES (16861, 2651, 5, 'Geschlecht ');
INSERT INTO `lang_definitions` VALUES (16862, 2652, 5, 'Allgemein');
INSERT INTO `lang_definitions` VALUES (16863, 2653, 5, 'Allgemeine Probleme Liste');
INSERT INTO `lang_definitions` VALUES (16864, 2655, 5, 'Allgemeine Service Kategorie');
INSERT INTO `lang_definitions` VALUES (16865, 2659, 5, 'Erstelle und lade X12 batch herunter');
INSERT INTO `lang_definitions` VALUES (16866, 2664, 5, 'Erstelle CMS 1500');
INSERT INTO `lang_definitions` VALUES (16867, 2665, 5, 'Erstelle CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (16868, 2666, 5, 'Erstelle CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (16869, 2667, 5, 'Erstelle HCFA');
INSERT INTO `lang_definitions` VALUES (16870, 2668, 5, 'Rechnung generieren');
INSERT INTO `lang_definitions` VALUES (16871, 2669, 5, 'Brief generieren');
INSERT INTO `lang_definitions` VALUES (16872, 2670, 5, 'Erzeuge Brief bezüglich ');
INSERT INTO `lang_definitions` VALUES (16873, 2671, 5, 'Erstelle PQRI-Bericht (Methode A)');
INSERT INTO `lang_definitions` VALUES (16874, 2673, 5, 'Erstelle PQRI-Bericht (Methode E)');
INSERT INTO `lang_definitions` VALUES (16875, 2677, 5, 'Bericht generieren');
INSERT INTO `lang_definitions` VALUES (16876, 2678, 5, 'Erzeugen Benutzername und Passwort für');
INSERT INTO `lang_definitions` VALUES (16877, 2679, 5, 'X12 generieren');
INSERT INTO `lang_definitions` VALUES (16878, 2680, 5, 'X12 Besuch generieren');
INSERT INTO `lang_definitions` VALUES (16879, 2682, 5, 'Generiert am');
INSERT INTO `lang_definitions` VALUES (16880, 2683, 5, 'erzeugt');
INSERT INTO `lang_definitions` VALUES (16881, 2684, 5, 'Urogenital');
INSERT INTO `lang_definitions` VALUES (16882, 2687, 5, 'Deutsch');
INSERT INTO `lang_definitions` VALUES (16883, 2691, 5, 'HL7 anfordern');
INSERT INTO `lang_definitions` VALUES (16884, 2692, 5, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (16885, 2693, 5, 'Glaukom Familiengeschichte');
INSERT INTO `lang_definitions` VALUES (16886, 2694, 5, 'Global');
INSERT INTO `lang_definitions` VALUES (16887, 2696, 5, 'Globale ID');
INSERT INTO `lang_definitions` VALUES (16888, 2697, 5, 'Globale Einstellungen');
INSERT INTO `lang_definitions` VALUES (16889, 2698, 5, 'Globale');
INSERT INTO `lang_definitions` VALUES (16890, 2699, 5, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (16891, 2700, 5, 'gehe');
INSERT INTO `lang_definitions` VALUES (16892, 2701, 5, 'Gehe');
INSERT INTO `lang_definitions` VALUES (16893, 2704, 5, 'Gehe zu');
INSERT INTO `lang_definitions` VALUES (16894, 2705, 5, 'Gehe zur Woche von');
INSERT INTO `lang_definitions` VALUES (16895, 2706, 5, 'Gehe zu Heute');
INSERT INTO `lang_definitions` VALUES (16896, 2707, 5, 'Ziel A');
INSERT INTO `lang_definitions` VALUES (16897, 2708, 5, 'Ziele und Methoden');
INSERT INTO `lang_definitions` VALUES (16898, 2709, 5, 'Ziel B');
INSERT INTO `lang_definitions` VALUES (16899, 2710, 5, 'Ziel C');
INSERT INTO `lang_definitions` VALUES (16900, 2711, 5, 'Grad der Verletzung');
INSERT INTO `lang_definitions` VALUES (16901, 2712, 5, 'Grad:');
INSERT INTO `lang_definitions` VALUES (16902, 2713, 5, 'Gramm');
INSERT INTO `lang_definitions` VALUES (16903, 2714, 5, 'Total Gesamt');
INSERT INTO `lang_definitions` VALUES (16904, 2715, 5, 'Totale Gesamt');
INSERT INTO `lang_definitions` VALUES (16905, 2718, 5, 'Grafisch anzeigbar');
INSERT INTO `lang_definitions` VALUES (16906, 2720, 5, 'größer als');
INSERT INTO `lang_definitions` VALUES (16907, 2721, 5, 'größer oder gleich als');
INSERT INTO `lang_definitions` VALUES (16908, 2722, 5, 'Griechisch');
INSERT INTO `lang_definitions` VALUES (16909, 2724, 5, 'Gruppe');
INSERT INTO `lang_definitions` VALUES (16910, 2725, 5, 'Gruppenname');
INSERT INTO `lang_definitions` VALUES (16911, 2726, 5, 'Gruppenname kann nicht leer sein.');
INSERT INTO `lang_definitions` VALUES (16912, 2727, 5, 'Gruppenname kann nicht mit einer Zahl oder Leerzeichen beginnen.');
INSERT INTO `lang_definitions` VALUES (16913, 2728, 5, 'Gruppenname kann nicht mit Leerzeichen beginnen.');
INSERT INTO `lang_definitions` VALUES (16914, 2729, 5, 'Gruppennummer');
INSERT INTO `lang_definitions` VALUES (16915, 2730, 5, 'Gruppe Zahlung');
INSERT INTO `lang_definitions` VALUES (16916, 2731, 5, 'Gruppe:');
INSERT INTO `lang_definitions` VALUES (16917, 2732, 5, 'Gruppenname');
INSERT INTO `lang_definitions` VALUES (16918, 2733, 5, 'Gruppen und Zugriffskontrolle');
INSERT INTO `lang_definitions` VALUES (16919, 2734, 5, 'Wachstumskurve');
INSERT INTO `lang_definitions` VALUES (16920, 2735, 5, 'Wachstumskurve');
INSERT INTO `lang_definitions` VALUES (16921, 2736, 5, 'Tropfen');
INSERT INTO `lang_definitions` VALUES (16922, 2737, 5, 'Erziehungsberechtigter');
INSERT INTO `lang_definitions` VALUES (16923, 2739, 5, 'Erziehungsberechtigter Name');
INSERT INTO `lang_definitions` VALUES (16924, 2741, 5, 'gynäkologische Untersuchung');
INSERT INTO `lang_definitions` VALUES (16925, 2742, 5, 'h.');
INSERT INTO `lang_definitions` VALUES (16926, 2743, 5, 'h.s.');
INSERT INTO `lang_definitions` VALUES (16927, 2744, 5, 'HO Hepatitis');
INSERT INTO `lang_definitions` VALUES (16928, 2745, 5, 'wurde erfolgreich gelöscht. Jede Unterkategorie wurde nach unten verschoben.');
INSERT INTO `lang_definitions` VALUES (16929, 2746, 5, 'Hämatome / Prellungen');
INSERT INTO `lang_definitions` VALUES (16930, 2747, 5, 'HAI Status');
INSERT INTO `lang_definitions` VALUES (16931, 2750, 5, 'Hand und Finger');
INSERT INTO `lang_definitions` VALUES (16932, 2751, 5, 'Probleme mit der Hand');
INSERT INTO `lang_definitions` VALUES (16933, 2752, 5, 'Festplatte');
INSERT INTO `lang_definitions` VALUES (16934, 2753, 5, 'Härtefall');
INSERT INTO `lang_definitions` VALUES (16935, 2754, 5, 'wurde mit Konsultation verknüpft');
INSERT INTO `lang_definitions` VALUES (16936, 2755, 5, 'ist abgelaufen');
INSERT INTO `lang_definitions` VALUES (16937, 2756, 5, 'Hasch');
INSERT INTO `lang_definitions` VALUES (16938, 2757, 5, 'Hash für diese Datei nicht vorhanden. Eine neue Hash erzeugt wurde.');
INSERT INTO `lang_definitions` VALUES (16939, 2758, 5, 'Hash stimmt nicht. Datenintegrität ist gefährdet.');
INSERT INTO `lang_definitions` VALUES (16940, 2760, 5, 'Hawaiianisch');
INSERT INTO `lang_definitions` VALUES (16941, 2761, 5, 'Gefährliche Tätigkeiten');
INSERT INTO `lang_definitions` VALUES (16942, 2762, 5, 'Gefährliche Tätigkeiten');
INSERT INTO `lang_definitions` VALUES (16943, 2767, 5, 'he PostCalendar ');
INSERT INTO `lang_definitions` VALUES (16944, 2768, 5, 'Kopf');
INSERT INTO `lang_definitions` VALUES (16945, 2769, 5, 'Kopfumfang');
INSERT INTO `lang_definitions` VALUES (16946, 2770, 5, 'Kopfumfang');
INSERT INTO `lang_definitions` VALUES (16947, 2771, 5, 'Kopfschmerz');
INSERT INTO `lang_definitions` VALUES (16948, 2772, 5, 'Kopfschmerzen');
INSERT INTO `lang_definitions` VALUES (16949, 2773, 5, 'Gesundheitsversorgung Operationen');
INSERT INTO `lang_definitions` VALUES (16950, 2774, 5, 'Gesundheitsversorgung Operationen');
INSERT INTO `lang_definitions` VALUES (16951, 2775, 5, 'Gesundheitszentrum / Klinik');
INSERT INTO `lang_definitions` VALUES (16952, 2776, 5, 'Gesundheitsvorsorge Organisation');
INSERT INTO `lang_definitions` VALUES (16953, 2777, 5, 'Gesundheitsvorsorge Organisation');
INSERT INTO `lang_definitions` VALUES (16954, 2778, 5, 'Gehörverlust');
INSERT INTO `lang_definitions` VALUES (16955, 2779, 5, 'Herzinfarkt');
INSERT INTO `lang_definitions` VALUES (16956, 2780, 5, 'Herzerkrankung');
INSERT INTO `lang_definitions` VALUES (16957, 2781, 5, 'Herzversagen');
INSERT INTO `lang_definitions` VALUES (16958, 2782, 5, 'Herzproblem');
INSERT INTO `lang_definitions` VALUES (16959, 2783, 5, 'Herzprobleme');
INSERT INTO `lang_definitions` VALUES (16960, 2784, 5, 'Kardiochirurgie');
INSERT INTO `lang_definitions` VALUES (16961, 2785, 5, 'Herztransplantation');
INSERT INTO `lang_definitions` VALUES (16962, 2786, 5, 'Herz:');
INSERT INTO `lang_definitions` VALUES (16963, 2787, 5, 'Sodbrennen');
INSERT INTO `lang_definitions` VALUES (16964, 2788, 5, 'Hitze oder Kälte');
INSERT INTO `lang_definitions` VALUES (16965, 2789, 5, 'Hitze oder Kälte');
INSERT INTO `lang_definitions` VALUES (16966, 2790, 5, 'startker Raucher');
INSERT INTO `lang_definitions` VALUES (16967, 2791, 5, 'Hebräisch');
INSERT INTO `lang_definitions` VALUES (16968, 2794, 5, 'Körpergröße');
INSERT INTO `lang_definitions` VALUES (16969, 2796, 5, 'Hilfe');
INSERT INTO `lang_definitions` VALUES (16970, 2797, 5, 'Hilfe');
INSERT INTO `lang_definitions` VALUES (16971, 2798, 5, 'Hämatemesis');
INSERT INTO `lang_definitions` VALUES (16972, 2799, 5, 'Blutstuhl');
INSERT INTO `lang_definitions` VALUES (16973, 2800, 5, 'hämatologische');
INSERT INTO `lang_definitions` VALUES (16974, 2801, 5, 'Hämaturie');
INSERT INTO `lang_definitions` VALUES (16975, 2802, 5, 'Hämoglobin');
INSERT INTO `lang_definitions` VALUES (16976, 2803, 5, 'Hämoglobin A1C');
INSERT INTO `lang_definitions` VALUES (16977, 2804, 5, 'Hämoptoe');
INSERT INTO `lang_definitions` VALUES (16978, 2805, 5, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (16979, 2806, 5, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (16980, 2807, 5, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (16981, 2808, 5, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (16982, 2809, 5, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (16983, 2810, 5, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (16984, 2811, 5, 'hier');
INSERT INTO `lang_definitions` VALUES (16985, 2813, 5, 'Hernienversorgung');
INSERT INTO `lang_definitions` VALUES (16986, 2814, 5, 'Bandscheibenvorfall');
INSERT INTO `lang_definitions` VALUES (16987, 2815, 5, 'Herpes');
INSERT INTO `lang_definitions` VALUES (16988, 2816, 5, 'Unschlüssig');
INSERT INTO `lang_definitions` VALUES (16989, 2817, 5, 'heyho. Sie wahren hier für ');
INSERT INTO `lang_definitions` VALUES (16990, 2818, 5, 'HIB 1');
INSERT INTO `lang_definitions` VALUES (16991, 2819, 5, 'HIB 2');
INSERT INTO `lang_definitions` VALUES (16992, 2820, 5, 'HIB 3');
INSERT INTO `lang_definitions` VALUES (16993, 2821, 5, 'HIB 4');
INSERT INTO `lang_definitions` VALUES (16994, 2822, 5, 'Ausgeblendet');
INSERT INTO `lang_definitions` VALUES (16995, 2823, 5, 'Versteckte Termine administrieren');
INSERT INTO `lang_definitions` VALUES (16996, 2824, 5, 'Ausblenden');
INSERT INTO `lang_definitions` VALUES (16997, 2825, 5, 'Details ausblenden');
INSERT INTO `lang_definitions` VALUES (16998, 2827, 5, 'Ausblenden von Verschlüsseln/Entschlüsseln Optionen in Dokumenten Verwaltung');
INSERT INTO `lang_definitions` VALUES (16999, 2828, 5, 'Menü verbergen');
INSERT INTO `lang_definitions` VALUES (17000, 2830, 5, 'Erinnerungen Ausblenden');
INSERT INTO `lang_definitions` VALUES (17001, 2831, 5, 'Spalten aus-/einblenden');
INSERT INTO `lang_definitions` VALUES (17002, 2833, 5, 'Hoch');
INSERT INTO `lang_definitions` VALUES (17003, 2834, 5, 'Bluthochdruck');
INSERT INTO `lang_definitions` VALUES (17004, 2835, 5, 'Hindu');
INSERT INTO `lang_definitions` VALUES (17005, 2836, 5, 'Hüft + Leistengegend');
INSERT INTO `lang_definitions` VALUES (17006, 2837, 5, 'Hüft und in der Leistengegend');
INSERT INTO `lang_definitions` VALUES (17007, 2838, 5, 'Hüft Probleme');
INSERT INTO `lang_definitions` VALUES (17008, 2839, 5, 'Hüftprothese');
INSERT INTO `lang_definitions` VALUES (17009, 2840, 5, 'HIPAA Mitteilung erhalten');
INSERT INTO `lang_definitions` VALUES (17010, 2843, 5, 'spanisch');
INSERT INTO `lang_definitions` VALUES (17011, 2844, 5, 'Hispanic - Andere (Geboren in US)');
INSERT INTO `lang_definitions` VALUES (17012, 2845, 5, 'Hispanic - Andere (Geboren nicht in US)');
INSERT INTO `lang_definitions` VALUES (17013, 2846, 5, 'Spanier oder Latino');
INSERT INTO `lang_definitions` VALUES (17014, 2847, 5, 'Verlauf');
INSERT INTO `lang_definitions` VALUES (17015, 2848, 5, 'Verlaufsdaten');
INSERT INTO `lang_definitions` VALUES (17016, 2849, 5, 'Verlaufsdatum');
INSERT INTO `lang_definitions` VALUES (17017, 2851, 5, 'Geräuschverlauf');
INSERT INTO `lang_definitions` VALUES (17018, 2852, 5, 'Nicht für Verlauf berechtigt');
INSERT INTO `lang_definitions` VALUES (17019, 2853, 5, 'Herzgeräuschverlauf');
INSERT INTO `lang_definitions` VALUES (17020, 2854, 5, 'Treffer');
INSERT INTO `lang_definitions` VALUES (17021, 2855, 5, 'HIV');
INSERT INTO `lang_definitions` VALUES (17022, 2858, 5, 'HL7 Viewer');
INSERT INTO `lang_definitions` VALUES (17023, 2860, 5, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (17024, 2861, 5, 'Hmong');
INSERT INTO `lang_definitions` VALUES (17025, 2862, 5, '[STRG] halten um mehrere Einträge zu selektieren');
INSERT INTO `lang_definitions` VALUES (17026, 2863, 5, '[STRG] halten um mehrere Einträge zu selektieren');
INSERT INTO `lang_definitions` VALUES (17027, 2864, 5, '[STRG] halten um mehrere Einträge zu selektieren');
INSERT INTO `lang_definitions` VALUES (17028, 2865, 5, 'Hauptansicht');
INSERT INTO `lang_definitions` VALUES (17029, 2866, 5, 'Tel. privat');
INSERT INTO `lang_definitions` VALUES (17030, 2867, 5, 'Tel. privat');
INSERT INTO `lang_definitions` VALUES (17031, 2868, 5, 'Obdachlos oder vergleichbar');
INSERT INTO `lang_definitions` VALUES (17032, 2869, 5, 'Obdachlos, etc.');
INSERT INTO `lang_definitions` VALUES (17033, 2870, 5, 'Obdachlos, etc.');
INSERT INTO `lang_definitions` VALUES (17034, 2872, 5, 'Host Name');
INSERT INTO `lang_definitions` VALUES (17035, 2873, 5, 'Host Name kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (17036, 2875, 5, 'Stunden');
INSERT INTO `lang_definitions` VALUES (17037, 2876, 5, 'Stunden');
INSERT INTO `lang_definitions` VALUES (17038, 2878, 5, 'Verletzungsursache?');
INSERT INTO `lang_definitions` VALUES (17039, 2879, 5, 'Verletzungsursache? :');
INSERT INTO `lang_definitions` VALUES (17040, 2880, 5, 'Wie haben Sie von uns erfahren');
INSERT INTO `lang_definitions` VALUES (17041, 2881, 5, 'Welchen Vorlauf für die Nachfrage von Folgeterminen?');
INSERT INTO `lang_definitions` VALUES (17042, 2882, 5, 'HPI:');
INSERT INTO `lang_definitions` VALUES (17043, 2883, 5, 'HT');
INSERT INTO `lang_definitions` VALUES (17044, 2884, 5, 'HTML');
INSERT INTO `lang_definitions` VALUES (17045, 2885, 5, 'HTML Ausgabe?');
INSERT INTO `lang_definitions` VALUES (17046, 2886, 5, 'Https link for the LibreEHR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (17047, 2887, 5, 'Ungarn');
INSERT INTO `lang_definitions` VALUES (17048, 2888, 5, 'Hylafax Verzeichnis');
INSERT INTO `lang_definitions` VALUES (17049, 2889, 5, 'Hylafax Enscript Command');
INSERT INTO `lang_definitions` VALUES (17050, 2890, 5, 'Hylafax Server');
INSERT INTO `lang_definitions` VALUES (17051, 2891, 5, 'Hylafax Server Hostname.');
INSERT INTO `lang_definitions` VALUES (17052, 2892, 5, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (17053, 2893, 5, 'Bluthochdruck');
INSERT INTO `lang_definitions` VALUES (17054, 2894, 5, 'Hypertonie: Blutdruckmessung');
INSERT INTO `lang_definitions` VALUES (17055, 2895, 5, 'Hypertonie: Blutdruckmessung');
INSERT INTO `lang_definitions` VALUES (17056, 2896, 5, 'Schilddrüsenüberfunktion');
INSERT INTO `lang_definitions` VALUES (17057, 2897, 5, 'Schilddrüsenunterfunktion');
INSERT INTO `lang_definitions` VALUES (17058, 2898, 5, 'Gebärmutterentfernung');
INSERT INTO `lang_definitions` VALUES (17059, 2899, 5, 'I');
INSERT INTO `lang_definitions` VALUES (17060, 2900, 5, 'Ich bin derzeit beschäftigt.');
INSERT INTO `lang_definitions` VALUES (17061, 2901, 5, 'Ich habe keine Leserechte ');
INSERT INTO `lang_definitions` VALUES (17062, 2902, 5, 'ICD');
INSERT INTO `lang_definitions` VALUES (17063, 2903, 5, 'ICD10 Diagnose');
INSERT INTO `lang_definitions` VALUES (17064, 2904, 5, 'ICD10 Behandlung/Leistung');
INSERT INTO `lang_definitions` VALUES (17065, 2905, 5, 'ICD9');
INSERT INTO `lang_definitions` VALUES (17066, 2906, 5, 'IDC9 Diagnose');
INSERT INTO `lang_definitions` VALUES (17067, 2907, 5, 'ICD9 Behandlung/Leistung');
INSERT INTO `lang_definitions` VALUES (17068, 2909, 5, 'ID');
INSERT INTO `lang_definitions` VALUES (17069, 2910, 5, 'Id');
INSERT INTO `lang_definitions` VALUES (17070, 2911, 5, 'ID kann nicht leer sein');
INSERT INTO `lang_definitions` VALUES (17071, 2912, 5, 'ID Card');
INSERT INTO `lang_definitions` VALUES (17072, 2913, 5, 'IDays');
INSERT INTO `lang_definitions` VALUES (17073, 2914, 5, 'identifiziert als');
INSERT INTO `lang_definitions` VALUES (17074, 2915, 5, 'Identbegriff (ein Wort)');
INSERT INTO `lang_definitions` VALUES (17075, 2916, 5, 'Identifizierungs Code');
INSERT INTO `lang_definitions` VALUES (17076, 2917, 5, 'Idle Session Timeout in Sekunden');
INSERT INTO `lang_definitions` VALUES (17077, 2919, 5, 'Wenn alle Daten aller Spalten nur für dieses Formular sind');
INSERT INTO `lang_definitions` VALUES (17078, 2920, 5, 'Wenn Abrechnung Begründung verwendet wird, muss der Name des Diagnose-Code-Typ angegeben werden.');
INSERT INTO `lang_definitions` VALUES (17079, 2921, 5, 'falls eingegeben, wählen Sie nur diejenigen, die hatten diesen Service haben');
INSERT INTO `lang_definitions` VALUES (17080, 2922, 5, 'Wenn Name ein Teil des Vor- oder Nachnamen ist');
INSERT INTO `lang_definitions` VALUES (17081, 2923, 5, 'Wenn bezahlt von');
INSERT INTO `lang_definitions` VALUES (17082, 2924, 5, 'Wenn die Person verstorben ist, dann Datum des Todes angeben.');
INSERT INTO `lang_definitions` VALUES (17083, 2925, 5, 'If SMTP is used, the server`s hostname or IP address.');
INSERT INTO `lang_definitions` VALUES (17084, 2926, 5, 'If SMTP is used, the server`s TCP port number (usually 25).');
INSERT INTO `lang_definitions` VALUES (17085, 2927, 5, 'Wenn arbeitslos, Student eingeben');
INSERT INTO `lang_definitions` VALUES (17086, 2932, 5, 'Wenn Sie ein Pay Datum in der Suchseite eingegeben haben, wird diese das Buchungsdatum der Zahlungen und Anpassungen überschreiben, welch sonst aus der X12-Datei übernommen werden. Dies kann für die Berichterstattung nützlich sein , wenn Sie Ihre Einnahmen Berichterstattung an Ihren Buchungsdatum anstatt die Versicherung \'s Bearbeitungsdatum verwenden möchten. Beachten Sie, dass dies auch Auswirkungen auf Termin vor Zahlungen und Anpassungen, die in Nebenforderungen gesetzt werden.');
INSERT INTO `lang_definitions` VALUES (17087, 2933, 5, 'Wenn Sie Datentypen oder Zeilen/Spalten einfügen wollen');
INSERT INTO `lang_definitions` VALUES (17088, 2934, 5, 'Wenn Sie die Datenbank aktualisieren möchten, dann legen Sie die Datenbank zip-Datei im folgenden Verzeichnis');
INSERT INTO `lang_definitions` VALUES (17089, 2936, 5, 'Ignorieren');
INSERT INTO `lang_definitions` VALUES (17090, 2937, 5, 'Krankheit');
INSERT INTO `lang_definitions` VALUES (17091, 2938, 5, 'IM');
INSERT INTO `lang_definitions` VALUES (17092, 2941, 5, 'Bilddienstleister');
INSERT INTO `lang_definitions` VALUES (17093, 2942, 5, 'Impfung');
INSERT INTO `lang_definitions` VALUES (17094, 2943, 5, 'Impfstoff Code');
INSERT INTO `lang_definitions` VALUES (17095, 2945, 5, 'Impfungsdatum');
INSERT INTO `lang_definitions` VALUES (17096, 2946, 5, 'Impfstopp Verfall Datum');
INSERT INTO `lang_definitions` VALUES (17097, 2947, 5, 'Impfstoff Chargen Nummer');
INSERT INTO `lang_definitions` VALUES (17098, 2948, 5, 'Impfstoff Hersteller');
INSERT INTO `lang_definitions` VALUES (17099, 2949, 5, 'Impfstoff Registrierung');
INSERT INTO `lang_definitions` VALUES (17100, 2951, 5, 'Impfstoff Service');
INSERT INTO `lang_definitions` VALUES (17101, 2952, 5, 'Impstoff Titel');
INSERT INTO `lang_definitions` VALUES (17102, 2953, 5, 'Impfungen');
INSERT INTO `lang_definitions` VALUES (17103, 2954, 5, 'Impfen');
INSERT INTO `lang_definitions` VALUES (17104, 2955, 5, 'Immun');
INSERT INTO `lang_definitions` VALUES (17105, 2956, 5, 'Implantate');
INSERT INTO `lang_definitions` VALUES (17106, 2957, 5, 'Importieren');
INSERT INTO `lang_definitions` VALUES (17107, 2961, 5, 'Importiere Zertifikat zu Browser');
INSERT INTO `lang_definitions` VALUES (17108, 2962, 5, 'Konfiguration importieren');
INSERT INTO `lang_definitions` VALUES (17109, 2964, 5, 'Patient importieren');
INSERT INTO `lang_definitions` VALUES (17110, 2965, 5, 'Importieren Patientendaten');
INSERT INTO `lang_definitions` VALUES (17111, 2966, 5, 'wichtige Codes');
INSERT INTO `lang_definitions` VALUES (17112, 2969, 5, 'Importiert aus Buchhaltung');
INSERT INTO `lang_definitions` VALUES (17113, 2972, 5, 'Verbessert');
INSERT INTO `lang_definitions` VALUES (17114, 2973, 5, 'in');
INSERT INTO `lang_definitions` VALUES (17115, 2974, 5, 'IN');
INSERT INTO `lang_definitions` VALUES (17116, 2975, 5, 'in beiden Augen');
INSERT INTO `lang_definitions` VALUES (17117, 2976, 5, 'im linken Auge');
INSERT INTO `lang_definitions` VALUES (17118, 2977, 5, 'in Nasenloch');
INSERT INTO `lang_definitions` VALUES (17119, 2978, 5, 'Im Büro');
INSERT INTO `lang_definitions` VALUES (17120, 2979, 5, 'im rechten Auge');
INSERT INTO `lang_definitions` VALUES (17121, 2980, 5, 'intern');
INSERT INTO `lang_definitions` VALUES (17122, 2981, 5, 'Inaktiv');
INSERT INTO `lang_definitions` VALUES (17123, 2982, 5, 'Inaktive Tage');
INSERT INTO `lang_definitions` VALUES (17124, 2983, 5, 'Posteingang');
INSERT INTO `lang_definitions` VALUES (17125, 2986, 5, 'Prüfsumme einfügen');
INSERT INTO `lang_definitions` VALUES (17126, 2987, 5, 'Fertig eingefügt');
INSERT INTO `lang_definitions` VALUES (17127, 2988, 5, 'Beinhaltet inaktive Benutzer');
INSERT INTO `lang_definitions` VALUES (17128, 2989, 5, 'Einbeziehen Kategorielos');
INSERT INTO `lang_definitions` VALUES (17129, 2990, 5, 'Einbeziehen unstrukturierter Daten');
INSERT INTO `lang_definitions` VALUES (17130, 2991, 5, 'Einbeziehen der Vitalität');
INSERT INTO `lang_definitions` VALUES (17131, 2992, 5, 'Einbeziehen der Vital Daten?');
INSERT INTO `lang_definitions` VALUES (17132, 2993, 5, 'Aufnahme');
INSERT INTO `lang_definitions` VALUES (17133, 2994, 5, 'Einkommen');
INSERT INTO `lang_definitions` VALUES (17134, 2996, 5, 'Unvollständig');
INSERT INTO `lang_definitions` VALUES (17135, 2997, 5, 'Unvollständige Abtreibung Behandlung');
INSERT INTO `lang_definitions` VALUES (17136, 2998, 5, 'Inkontinenz');
INSERT INTO `lang_definitions` VALUES (17137, 2999, 5, 'Integrieren klinischer Labor-Testergebnisse in zertifizierte EHR-Technologie als strukturierte Daten.');
INSERT INTO `lang_definitions` VALUES (17138, 3000, 5, 'Falsches Passwort!');
INSERT INTO `lang_definitions` VALUES (17139, 3001, 5, 'Gesteigert:');
INSERT INTO `lang_definitions` VALUES (17140, 3002, 5, 'Haftpflichtversicherung');
INSERT INTO `lang_definitions` VALUES (17141, 3003, 5, 'unbestimmt');
INSERT INTO `lang_definitions` VALUES (17142, 3004, 5, 'Inder');
INSERT INTO `lang_definitions` VALUES (17143, 3005, 5, 'Zeigt Abnormität');
INSERT INTO `lang_definitions` VALUES (17144, 3006, 5, 'Zeigt an, ob dieses Problem gerade aktiv ist');
INSERT INTO `lang_definitions` VALUES (17145, 3008, 5, 'Indikator für spezielle Nutzung');
INSERT INTO `lang_definitions` VALUES (17146, 3009, 5, 'Bedürftigen Patienten Berichten');
INSERT INTO `lang_definitions` VALUES (17147, 3010, 5, 'Bedürftigen Patienten Berichten');
INSERT INTO `lang_definitions` VALUES (17148, 3011, 5, 'Bestandteile');
INSERT INTO `lang_definitions` VALUES (17149, 3014, 5, 'Abtreibung');
INSERT INTO `lang_definitions` VALUES (17150, 3016, 5, 'untauglich');
INSERT INTO `lang_definitions` VALUES (17151, 3017, 5, 'Infektion / Abzess');
INSERT INTO `lang_definitions` VALUES (17152, 3018, 5, 'Infektionen');
INSERT INTO `lang_definitions` VALUES (17153, 3020, 5, 'Unfruchtbarkeit');
INSERT INTO `lang_definitions` VALUES (17154, 3021, 5, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (17155, 3022, 5, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (17156, 3023, 5, 'Grippeimpfung für Patienten älter 50 Jahre');
INSERT INTO `lang_definitions` VALUES (17157, 3024, 5, 'Grippeimpfung für Patienten>= 50 Jahre');
INSERT INTO `lang_definitions` VALUES (17158, 3025, 5, 'Grippeimpfstoff');
INSERT INTO `lang_definitions` VALUES (17159, 3026, 5, 'Info');
INSERT INTO `lang_definitions` VALUES (17160, 3027, 5, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (17161, 3028, 5, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (17162, 3029, 5, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (17163, 3030, 5, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (17164, 3031, 5, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (17165, 3032, 5, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (17166, 3034, 5, 'Inhalationen');
INSERT INTO `lang_definitions` VALUES (17167, 3035, 5, 'Inhalationen');
INSERT INTO `lang_definitions` VALUES (17168, 3037, 5, 'Erstbenutzer');
INSERT INTO `lang_definitions` VALUES (17169, 3039, 5, 'injizierbare');
INSERT INTO `lang_definitions` VALUES (17170, 3040, 5, 'Injektion');
INSERT INTO `lang_definitions` VALUES (17171, 3041, 5, 'Verletztes Körperteil');
INSERT INTO `lang_definitions` VALUES (17172, 3043, 5, 'Verletzung');
INSERT INTO `lang_definitions` VALUES (17173, 3044, 5, 'Verletzungs Mechanismus');
INSERT INTO `lang_definitions` VALUES (17174, 3045, 5, 'Verletzungs Übersicht Bericht');
INSERT INTO `lang_definitions` VALUES (17175, 3046, 5, 'Verletzungs Beobachten');
INSERT INTO `lang_definitions` VALUES (17176, 3047, 5, 'Verletzungs Type');
INSERT INTO `lang_definitions` VALUES (17177, 3048, 5, 'Verletzungs- oder krankheitsbezogen');
INSERT INTO `lang_definitions` VALUES (17178, 3051, 5, 'Eingabefelder');
INSERT INTO `lang_definitions` VALUES (17179, 3064, 5, 'In Summe');
INSERT INTO `lang_definitions` VALUES (17180, 3065, 5, 'INS1');
INSERT INTO `lang_definitions` VALUES (17181, 3066, 5, 'INS2');
INSERT INTO `lang_definitions` VALUES (17182, 3067, 5, 'INS3');
INSERT INTO `lang_definitions` VALUES (17183, 3069, 5, 'Eifügen fehlgeschlagen: ');
INSERT INTO `lang_definitions` VALUES (17184, 3070, 5, 'Alte Ereignisse in Tabellen speichern');
INSERT INTO `lang_definitions` VALUES (17185, 3072, 5, 'Schlaflosigkeit');
INSERT INTO `lang_definitions` VALUES (17186, 3073, 5, 'Log kontrollieren');
INSERT INTO `lang_definitions` VALUES (17187, 3074, 5, 'Inspektion');
INSERT INTO `lang_definitions` VALUES (17188, 3075, 5, 'Instabilität / Subluxation');
INSERT INTO `lang_definitions` VALUES (17189, 3076, 5, 'INSTALLIERE');
INSERT INTO `lang_definitions` VALUES (17190, 3077, 5, 'Installiere');
INSERT INTO `lang_definitions` VALUES (17191, 3079, 5, 'installiere DB');
INSERT INTO `lang_definitions` VALUES (17192, 3080, 5, 'Installierte Version');
INSERT INTO `lang_definitions` VALUES (17193, 3081, 5, 'angewiesen');
INSERT INTO `lang_definitions` VALUES (17194, 3082, 5, 'Anweisung');
INSERT INTO `lang_definitions` VALUES (17195, 3084, 5, 'Anweisungen:');
INSERT INTO `lang_definitions` VALUES (17196, 3085, 5, 'Zu wenig Lagerbestand für die Produkt-ID');
INSERT INTO `lang_definitions` VALUES (17197, 3086, 5, 'Insulin Abhängige Diabetes');
INSERT INTO `lang_definitions` VALUES (17198, 3087, 5, 'Versicherung');
INSERT INTO `lang_definitions` VALUES (17199, 3088, 5, 'Versicherung');
INSERT INTO `lang_definitions` VALUES (17200, 3091, 5, 'Versicherungs Restbetrag');
INSERT INTO `lang_definitions` VALUES (17201, 3092, 5, 'Offener Betrag Versicherung');
INSERT INTO `lang_definitions` VALUES (17202, 3093, 5, 'Versicherungunternehmen');
INSERT INTO `lang_definitions` VALUES (17203, 3094, 5, 'Versicherungunternehmen');
INSERT INTO `lang_definitions` VALUES (17204, 3095, 5, 'Versicherungunternehmen');
INSERT INTO `lang_definitions` VALUES (17205, 3096, 5, 'Versicherungunternehmen suchen/hinzufügen');
INSERT INTO `lang_definitions` VALUES (17206, 3098, 5, 'Versicherungsdaten');
INSERT INTO `lang_definitions` VALUES (17207, 3099, 5, 'Versicherungs Informationen in Datei');
INSERT INTO `lang_definitions` VALUES (17208, 3100, 5, 'Versicherungsnummer');
INSERT INTO `lang_definitions` VALUES (17209, 3101, 5, 'Versicherungs Zahlung');
INSERT INTO `lang_definitions` VALUES (17210, 3103, 5, 'Versicherungs Anbieter');
INSERT INTO `lang_definitions` VALUES (17211, 3106, 5, 'Versichert');
INSERT INTO `lang_definitions` VALUES (17212, 3107, 5, 'Intake Schlussfolgerung');
INSERT INTO `lang_definitions` VALUES (17213, 3108, 5, 'Schlussfolgerung Datum');
INSERT INTO `lang_definitions` VALUES (17214, 3109, 5, 'Geistiger Verfall');
INSERT INTO `lang_definitions` VALUES (17215, 3113, 5, 'Internal error - no pages were selected!');
INSERT INTO `lang_definitions` VALUES (17216, 3114, 5, 'Internal error - patient ID was not provided!');
INSERT INTO `lang_definitions` VALUES (17217, 3115, 5, 'Internal error accessing uploaded file!');
INSERT INTO `lang_definitions` VALUES (17218, 3116, 5, 'Internal error!');
INSERT INTO `lang_definitions` VALUES (17219, 3117, 5, 'Internal error, no drug ID specified!');
INSERT INTO `lang_definitions` VALUES (17220, 3119, 5, 'Internal error: claim ');
INSERT INTO `lang_definitions` VALUES (17221, 3120, 5, 'Internal error: encounter \'');
INSERT INTO `lang_definitions` VALUES (17222, 3121, 5, 'Internal error: pid or encounter is missing.');
INSERT INTO `lang_definitions` VALUES (17223, 3122, 5, 'Interner Fehler: Es scheint keine Konsultation aktiv zu sein');
INSERT INTO `lang_definitions` VALUES (17224, 3123, 5, 'Interne ID (pid)');
INSERT INTO `lang_definitions` VALUES (17225, 3126, 5, 'Interne Verweise');
INSERT INTO `lang_definitions` VALUES (17226, 3127, 5, 'Interne Zeit summe');
INSERT INTO `lang_definitions` VALUES (17227, 3128, 5, 'internationale Pflicht');
INSERT INTO `lang_definitions` VALUES (17228, 3129, 5, 'Dolmetscher');
INSERT INTO `lang_definitions` VALUES (17229, 3130, 5, 'Dolmetscher benötigt?');
INSERT INTO `lang_definitions` VALUES (17230, 3131, 5, 'Interstitielle Lung Krankheit');
INSERT INTO `lang_definitions` VALUES (17231, 3132, 5, 'Intervall');
INSERT INTO `lang_definitions` VALUES (17232, 3135, 5, 'Intervention');
INSERT INTO `lang_definitions` VALUES (17233, 3137, 5, 'Intoleranz');
INSERT INTO `lang_definitions` VALUES (17234, 3139, 5, 'Intramuskulär');
INSERT INTO `lang_definitions` VALUES (17235, 3140, 5, 'Intravenös');
INSERT INTO `lang_definitions` VALUES (17236, 3141, 5, 'Einführung');
INSERT INTO `lang_definitions` VALUES (17237, 3144, 5, 'Ungültiges Zeichen in');
INSERT INTO `lang_definitions` VALUES (17238, 3147, 5, 'Ungültige Länge füt');
INSERT INTO `lang_definitions` VALUES (17239, 3148, 5, 'Ungültiges \"Nicht-Numerisches\" Zeichen in');
INSERT INTO `lang_definitions` VALUES (17240, 3149, 5, 'Unwirksame oder fehlender Zahler in Quelle für Code ');
INSERT INTO `lang_definitions` VALUES (17241, 3150, 5, 'Ungülige Empfänger Adresse. Bitte erneut versuchen.');
INSERT INTO `lang_definitions` VALUES (17242, 3151, 5, 'Ungültige Service Codes');
INSERT INTO `lang_definitions` VALUES (17243, 3152, 5, 'Ungültige Quelle Bezeichnung \"');
INSERT INTO `lang_definitions` VALUES (17244, 3153, 5, 'Ungültiger Benutzername oder Passwort');
INSERT INTO `lang_definitions` VALUES (17245, 3154, 5, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (17246, 3155, 5, 'Bestand');
INSERT INTO `lang_definitions` VALUES (17247, 3156, 5, 'Bestand Aktivitäten');
INSERT INTO `lang_definitions` VALUES (17248, 3159, 5, 'Inventar ist nicht für diesen Auftrag verfügbar.');
INSERT INTO `lang_definitions` VALUES (17249, 3160, 5, 'Inventar Liste');
INSERT INTO `lang_definitions` VALUES (17250, 3161, 5, 'Bestandstransaktionen');
INSERT INTO `lang_definitions` VALUES (17251, 3162, 5, 'Rechnung');
INSERT INTO `lang_definitions` VALUES (17252, 3163, 5, 'rechnung');
INSERT INTO `lang_definitions` VALUES (17253, 3164, 5, 'Rechnung Bilanz');
INSERT INTO `lang_definitions` VALUES (17254, 3165, 5, 'Rechnung Bilanz kann nicht gebucht werden. Kein Fall wird erstellt.');
INSERT INTO `lang_definitions` VALUES (17255, 3166, 5, 'Rechnungsdatum');
INSERT INTO `lang_definitions` VALUES (17256, 3167, 5, 'Rechnung hat kein Datum!');
INSERT INTO `lang_definitions` VALUES (17257, 3168, 5, 'Rechnung Nummer');
INSERT INTO `lang_definitions` VALUES (17258, 3169, 5, 'Rechnungsreferenznummer');
INSERT INTO `lang_definitions` VALUES (17259, 3170, 5, 'Rechnungsreferenznummernpool, falls benutzt');
INSERT INTO `lang_definitions` VALUES (17260, 3171, 5, 'Rechnungsreferenznummernpool');
INSERT INTO `lang_definitions` VALUES (17261, 3172, 5, 'Rechnungsrefnr. Pool');
INSERT INTO `lang_definitions` VALUES (17262, 3173, 5, 'Rechnung:');
INSERT INTO `lang_definitions` VALUES (17263, 3180, 5, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (17264, 3181, 5, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (17265, 3182, 5, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (17266, 3183, 5, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (17267, 3185, 5, 'Unregelmäßiger Herzschlag');
INSERT INTO `lang_definitions` VALUES (17268, 3186, 5, 'Reizbarkeit');
INSERT INTO `lang_definitions` VALUES (17269, 3187, 5, 'Reizung');
INSERT INTO `lang_definitions` VALUES (17270, 3190, 5, 'ist eine neuere Version der folgenden Datenbank');
INSERT INTO `lang_definitions` VALUES (17271, 3191, 5, 'ist Pflicht Feld.');
INSERT INTO `lang_definitions` VALUES (17272, 3192, 5, 'ist ein Root-Knoten und kann nicht gelöscht werden.');
INSERT INTO `lang_definitions` VALUES (17273, 3193, 5, 'ist eine erweiterung der folgenden Datenbank');
INSERT INTO `lang_definitions` VALUES (17274, 3195, 5, 'ist unangebracht oder falsch');
INSERT INTO `lang_definitions` VALUES (17275, 3197, 5, 'ist nicht gültig (Dezimalbrüche sind OK).');
INSERT INTO `lang_definitions` VALUES (17276, 3198, 5, 'Verwendet PHP \"Safe Mode\"?');
INSERT INTO `lang_definitions` VALUES (17277, 3200, 5, 'Soll Text von Formular-Layouts übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (17278, 3201, 5, 'Soll Text in Listen übersetzt werden?');
INSERT INTO `lang_definitions` VALUES (17279, 3202, 5, 'Ist die Datei Verschlusselt?');
INSERT INTO `lang_definitions` VALUES (17280, 3204, 5, 'Ist das eine Diagnose Typ?');
INSERT INTO `lang_definitions` VALUES (17281, 3207, 5, 'Ist das eine Prozedur / Service-Typ?');
INSERT INTO `lang_definitions` VALUES (17282, 3208, 5, 'Ist dies Aktiv?');
INSERT INTO `lang_definitions` VALUES (17283, 3209, 5, 'Ist dieser COde Type aktiv?');
INSERT INTO `lang_definitions` VALUES (17284, 3210, 5, 'Ist dieser Code in den Ansprüchen verwendet?');
INSERT INTO `lang_definitions` VALUES (17285, 3212, 5, 'Ist diese Art im Honorar Blatt versteckt?');
INSERT INTO `lang_definitions` VALUES (17286, 3213, 5, 'Wird eine externe SQL-Tabelle verwendet? Wenn Ja, dann Format wählen.');
INSERT INTO `lang_definitions` VALUES (17287, 3214, 5, 'ist zu lang');
INSERT INTO `lang_definitions` VALUES (17288, 3216, 5, 'Problem');
INSERT INTO `lang_definitions` VALUES (17289, 3217, 5, 'problem');
INSERT INTO `lang_definitions` VALUES (17290, 3218, 5, 'Problem Datum');
INSERT INTO `lang_definitions` VALUES (17291, 3219, 5, 'Problem ID');
INSERT INTO `lang_definitions` VALUES (17292, 3220, 5, 'Problem Titel');
INSERT INTO `lang_definitions` VALUES (17293, 3221, 5, 'Problem Art');
INSERT INTO `lang_definitions` VALUES (17294, 3222, 5, 'Problem Arten');
INSERT INTO `lang_definitions` VALUES (17295, 3223, 5, 'Probleme');
INSERT INTO `lang_definitions` VALUES (17296, 3224, 5, 'Probleme (Verletzungen, Medizinisch, Allergien)');
INSERT INTO `lang_definitions` VALUES (17297, 3225, 5, 'Probleme (Verletzungen, Medizinisch, Allergien):');
INSERT INTO `lang_definitions` VALUES (17298, 3226, 5, 'Probleme und Kontakte');
INSERT INTO `lang_definitions` VALUES (17299, 3227, 5, 'Probleme und Kontakte für');
INSERT INTO `lang_definitions` VALUES (17300, 3228, 5, 'Problem nicht berechtigt');
INSERT INTO `lang_definitions` VALUES (17301, 3229, 5, 'Problem Bereich');
INSERT INTO `lang_definitions` VALUES (17302, 3230, 5, 'Italienisch');
INSERT INTO `lang_definitions` VALUES (17303, 3231, 5, 'Artikel');
INSERT INTO `lang_definitions` VALUES (17304, 3232, 5, 'artikel');
INSERT INTO `lang_definitions` VALUES (17305, 3233, 5, 'artikel');
INSERT INTO `lang_definitions` VALUES (17306, 3234, 5, 'Artikel laden fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (17307, 3235, 5, 'IU/L');
INSERT INTO `lang_definitions` VALUES (17308, 3236, 5, 'IUD');
INSERT INTO `lang_definitions` VALUES (17309, 3237, 5, 'IV');
INSERT INTO `lang_definitions` VALUES (17310, 3238, 5, 'Jan');
INSERT INTO `lang_definitions` VALUES (17311, 3239, 5, 'Januar');
INSERT INTO `lang_definitions` VALUES (17312, 3240, 5, 'Japaner');
INSERT INTO `lang_definitions` VALUES (17313, 3241, 5, 'Gelbsucht');
INSERT INTO `lang_definitions` VALUES (17314, 3243, 5, 'Job Beschreibung');
INSERT INTO `lang_definitions` VALUES (17315, 3244, 5, 'Job ID');
INSERT INTO `lang_definitions` VALUES (17316, 3245, 5, 'gemeinsame Versetzungen');
INSERT INTO `lang_definitions` VALUES (17317, 3246, 5, 'Gelenkschmerzen');
INSERT INTO `lang_definitions` VALUES (17318, 3247, 5, 'Gelenkverstauchungen');
INSERT INTO `lang_definitions` VALUES (17319, 3248, 5, 'Jul');
INSERT INTO `lang_definitions` VALUES (17320, 3249, 5, 'Juli');
INSERT INTO `lang_definitions` VALUES (17321, 3250, 5, 'Jun');
INSERT INTO `lang_definitions` VALUES (17322, 3251, 5, 'Juni');
INSERT INTO `lang_definitions` VALUES (17323, 3252, 5, 'Knapp unterhalb der Scheck Informationen ist eine blaue Fläche, wo Sie in Ihre Suchparameter setzen. Sie können nach Name des Patienten, Chart-Nummer, Fall Nummer oder Datum der Zustellung oder eine beliebige Kombination von diesen zu suchen. Sie können auch wählen, ob Sie alle Rechnungen, offene Rechnungen oder nur Rechnungen, die fällig (durch den Patienten) sind sehen. Klicken Sie auf die Schaltfläche Suchen, um die Suche durchzuführen.');
INSERT INTO `lang_definitions` VALUES (17324, 3253, 5, 'Nur Meins');
INSERT INTO `lang_definitions` VALUES (17325, 3255, 5, 'Rechtfertigen');
INSERT INTO `lang_definitions` VALUES (17326, 3256, 5, 'Rechtfertigen/Speichern');
INSERT INTO `lang_definitions` VALUES (17327, 3258, 5, 'k, hier ist der rest');
INSERT INTO `lang_definitions` VALUES (17328, 3264, 5, 'Schlüssel');
INSERT INTO `lang_definitions` VALUES (17329, 3265, 5, 'Schlüsselwörter');
INSERT INTO `lang_definitions` VALUES (17330, 3266, 5, 'kg');
INSERT INTO `lang_definitions` VALUES (17331, 3267, 5, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (17332, 3269, 5, 'Nierenkrebs');
INSERT INTO `lang_definitions` VALUES (17333, 3270, 5, 'Nierenversagen');
INSERT INTO `lang_definitions` VALUES (17334, 3271, 5, 'Nieren Infektion');
INSERT INTO `lang_definitions` VALUES (17335, 3272, 5, 'Nieren Steine');
INSERT INTO `lang_definitions` VALUES (17336, 3273, 5, 'Nieren Transplantation');
INSERT INTO `lang_definitions` VALUES (17337, 3277, 5, 'Knie');
INSERT INTO `lang_definitions` VALUES (17338, 3278, 5, 'Knieprobleme');
INSERT INTO `lang_definitions` VALUES (17339, 3279, 5, 'Knieprothese');
INSERT INTO `lang_definitions` VALUES (17340, 3282, 5, 'Koreanisch');
INSERT INTO `lang_definitions` VALUES (17341, 3286, 5, 'Labor');
INSERT INTO `lang_definitions` VALUES (17342, 3288, 5, 'Labor-Übertragung Adresse');
INSERT INTO `lang_definitions` VALUES (17343, 3289, 5, 'Labor-Übertragung ID');
INSERT INTO `lang_definitions` VALUES (17344, 3290, 5, 'Labor-Übertragung Token-ID');
INSERT INTO `lang_definitions` VALUES (17345, 3294, 5, 'Labor-Abfrage Status');
INSERT INTO `lang_definitions` VALUES (17346, 3295, 5, 'Laborbericht');
INSERT INTO `lang_definitions` VALUES (17347, 3296, 5, 'Laborbefund');
INSERT INTO `lang_definitions` VALUES (17348, 3297, 5, 'Laborbefunde');
INSERT INTO `lang_definitions` VALUES (17349, 3299, 5, 'Laborbefunde Bericht');
INSERT INTO `lang_definitions` VALUES (17350, 3300, 5, 'Labor Service');
INSERT INTO `lang_definitions` VALUES (17351, 3301, 5, 'Labor Testergebnisse');
INSERT INTO `lang_definitions` VALUES (17352, 3303, 5, 'Etikett');
INSERT INTO `lang_definitions` VALUES (17353, 3304, 5, 'Etikett darf nicht leer sein');
INSERT INTO `lang_definitions` VALUES (17354, 3305, 5, 'Etikettenspalten');
INSERT INTO `lang_definitions` VALUES (17355, 3306, 5, 'Etikett für diesen Type');
INSERT INTO `lang_definitions` VALUES (17356, 3307, 5, 'Label-Spalten muss eine Zahl zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (17357, 3308, 5, 'Etiketten');
INSERT INTO `lang_definitions` VALUES (17358, 3311, 5, 'Labore');
INSERT INTO `lang_definitions` VALUES (17359, 3312, 5, 'Platzwunde / Hautproblem');
INSERT INTO `lang_definitions` VALUES (17360, 3313, 5, 'Platzwunde / Schürfwunde');
INSERT INTO `lang_definitions` VALUES (17361, 3316, 5, 'Sprache');
INSERT INTO `lang_definitions` VALUES (17362, 3317, 5, 'Sprachcode');
INSERT INTO `lang_definitions` VALUES (17363, 3318, 5, 'Sprachdefinition hinzugefügt');
INSERT INTO `lang_definitions` VALUES (17364, 3319, 5, 'Sprach-Schnittstellen-Tool');
INSERT INTO `lang_definitions` VALUES (17365, 3320, 5, 'Sprachliste (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (17366, 3321, 5, 'Sprachenname');
INSERT INTO `lang_definitions` VALUES (17367, 3322, 5, 'Sprache:');
INSERT INTO `lang_definitions` VALUES (17368, 3324, 5, 'Laotisch');
INSERT INTO `lang_definitions` VALUES (17369, 3325, 5, 'Letzte');
INSERT INTO `lang_definitions` VALUES (17370, 3326, 5, 'Letztes Aktivitätendatum');
INSERT INTO `lang_definitions` VALUES (17371, 3328, 5, 'Letztes Rechnungsdatum:');
INSERT INTO `lang_definitions` VALUES (17372, 3330, 5, 'Letztes Kalenderjahr');
INSERT INTO `lang_definitions` VALUES (17373, 3333, 5, 'Lezter Besuch');
INSERT INTO `lang_definitions` VALUES (17374, 3343, 5, 'Letzter Monat');
INSERT INTO `lang_definitions` VALUES (17375, 3344, 5, 'Nachname');
INSERT INTO `lang_definitions` VALUES (17376, 3345, 5, 'Nachname');
INSERT INTO `lang_definitions` VALUES (17377, 3346, 5, 'Nachname');
INSERT INTO `lang_definitions` VALUES (17378, 3350, 5, 'Zuletzt bearbeitet');
INSERT INTO `lang_definitions` VALUES (17379, 3351, 5, 'Letzte Ausführung am');
INSERT INTO `lang_definitions` VALUES (17380, 3352, 5, 'Zuletzt gespeichert');
INSERT INTO `lang_definitions` VALUES (17381, 3356, 5, 'Letztes Update von');
INSERT INTO `lang_definitions` VALUES (17382, 3357, 5, 'Letzte Kontrolle am');
INSERT INTO `lang_definitions` VALUES (17383, 3358, 5, 'Letzte Konsultation');
INSERT INTO `lang_definitions` VALUES (17384, 3360, 5, 'Letzte Wiedererkrankung (2-12 Monate)');
INSERT INTO `lang_definitions` VALUES (17385, 3361, 5, 'Außenknöchel');
INSERT INTO `lang_definitions` VALUES (17386, 3362, 5, 'Außenknöchel:');
INSERT INTO `lang_definitions` VALUES (17387, 3373, 5, 'Layout-basiert');
INSERT INTO `lang_definitions` VALUES (17388, 3374, 5, 'Layout-Editor');
INSERT INTO `lang_definitions` VALUES (17389, 3375, 5, 'Layoutgruppen');
INSERT INTO `lang_definitions` VALUES (17390, 3376, 5, 'Layout-Stil');
INSERT INTO `lang_definitions` VALUES (17391, 3378, 5, 'Layout-basierte Formulare');
INSERT INTO `lang_definitions` VALUES (17392, 3379, 5, 'Layouts');
INSERT INTO `lang_definitions` VALUES (17393, 3380, 5, 'lb');
INSERT INTO `lang_definitions` VALUES (17394, 3381, 5, 'lbs');
INSERT INTO `lang_definitions` VALUES (17395, 3382, 5, 'LDL');
INSERT INTO `lang_definitions` VALUES (17396, 3383, 5, 'freilassen, wenn noch aktiv');
INSERT INTO `lang_definitions` VALUES (17397, 3384, 5, 'Leer lassen - Dateiname bleibt unverändert');
INSERT INTO `lang_definitions` VALUES (17398, 3385, 5, 'Leer lassen - Passwort bleibt unverändert');
INSERT INTO `lang_definitions` VALUES (17399, 3386, 5, 'Nachricht hinterlassen mit');
INSERT INTO `lang_definitions` VALUES (17400, 3387, 5, 'Feld verlassen');
INSERT INTO `lang_definitions` VALUES (17401, 3388, 5, 'Ist das Pass Phrase Feld leer, so wird das Dokument nicht verschlüsselt');
INSERT INTO `lang_definitions` VALUES (17402, 3390, 5, 'Links');
INSERT INTO `lang_definitions` VALUES (17403, 3391, 5, 'Linkes Ohr');
INSERT INTO `lang_definitions` VALUES (17404, 3392, 5, 'linkes Ohr');
INSERT INTO `lang_definitions` VALUES (17405, 3394, 5, 'Links:');
INSERT INTO `lang_definitions` VALUES (17406, 3395, 5, 'Links: ');
INSERT INTO `lang_definitions` VALUES (17407, 3396, 5, 'Bein / Krämpfe');
INSERT INTO `lang_definitions` VALUES (17408, 3397, 5, 'Legal');
INSERT INTO `lang_definitions` VALUES (17409, 3399, 5, 'Norm Papier Format');
INSERT INTO `lang_definitions` VALUES (17410, 3400, 5, 'Legende:');
INSERT INTO `lang_definitions` VALUES (17411, 3401, 5, 'Länge');
INSERT INTO `lang_definitions` VALUES (17412, 3403, 5, 'Kleiner als');
INSERT INTO `lang_definitions` VALUES (17413, 3404, 5, 'kleiner als oder gleich');
INSERT INTO `lang_definitions` VALUES (17414, 3405, 5, 'Weniger private Informationen (Schreiben, nur hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (17415, 3406, 5, 'Brief');
INSERT INTO `lang_definitions` VALUES (17416, 3407, 5, 'Brief Generator');
INSERT INTO `lang_definitions` VALUES (17417, 3408, 5, 'Briefpapier Größe');
INSERT INTO `lang_definitions` VALUES (17418, 3409, 5, 'Briefkopf, welcher Arzt signiert');
INSERT INTO `lang_definitions` VALUES (17419, 3410, 5, 'Briefkopf, welcher Patient signiert');
INSERT INTO `lang_definitions` VALUES (17420, 3411, 5, 'Dringlichkeit');
INSERT INTO `lang_definitions` VALUES (17421, 3412, 5, 'Haftung');
INSERT INTO `lang_definitions` VALUES (17422, 3413, 5, 'Medizinische Haftung');
INSERT INTO `lang_definitions` VALUES (17423, 3414, 5, 'Lizenz/ID');
INSERT INTO `lang_definitions` VALUES (17424, 3419, 5, 'Lizenzierter verschreibender Nachname');
INSERT INTO `lang_definitions` VALUES (17425, 3420, 5, 'Lizenzierter verschreibender Arzt NPI');
INSERT INTO `lang_definitions` VALUES (17426, 3421, 5, 'Lizenzierter verschreibender Arzt UPIN');
INSERT INTO `lang_definitions` VALUES (17427, 3423, 5, 'Lebensstil');
INSERT INTO `lang_definitions` VALUES (17428, 3424, 5, 'Lebensstil');
INSERT INTO `lang_definitions` VALUES (17429, 3425, 5, 'Bänderriss oder Verstauchung');
INSERT INTO `lang_definitions` VALUES (17430, 3426, 5, 'leichter Raucher');
INSERT INTO `lang_definitions` VALUES (17431, 3428, 5, 'Limit der Ereignisse');
INSERT INTO `lang_definitions` VALUES (17432, 3429, 5, 'Limits');
INSERT INTO `lang_definitions` VALUES (17433, 3431, 5, 'Link');
INSERT INTO `lang_definitions` VALUES (17434, 3432, 5, 'Link zum Patienten');
INSERT INTO `lang_definitions` VALUES (17435, 3433, 5, 'Verbunden');
INSERT INTO `lang_definitions` VALUES (17436, 3436, 5, 'verbunde mit Dokument');
INSERT INTO `lang_definitions` VALUES (17437, 3438, 5, 'Liste');
INSERT INTO `lang_definitions` VALUES (17438, 3439, 5, 'Listenfeld');
INSERT INTO `lang_definitions` VALUES (17439, 3440, 5, 'listenfeld');
INSERT INTO `lang_definitions` VALUES (17440, 3443, 5, 'Listen Editor');
INSERT INTO `lang_definitions` VALUES (17441, 3444, 5, 'Liste Besuche');
INSERT INTO `lang_definitions` VALUES (17442, 3445, 5, 'Liste Gruppen');
INSERT INTO `lang_definitions` VALUES (17443, 3446, 5, 'Liste Versicherungs Gesellschaften');
INSERT INTO `lang_definitions` VALUES (17444, 3448, 5, 'Listeneinträge können nicht mit einer Zahl beginnen');
INSERT INTO `lang_definitions` VALUES (17445, 3449, 5, 'Listeneinträge enthalten ungültige Zeichen');
INSERT INTO `lang_definitions` VALUES (17446, 3451, 5, 'Listen anzeigen');
INSERT INTO `lang_definitions` VALUES (17447, 3452, 5, 'Liste Name');
INSERT INTO `lang_definitions` VALUES (17448, 3453, 5, 'Listennamen können nicht mit einer Zahl beginnen.');
INSERT INTO `lang_definitions` VALUES (17449, 3454, 5, 'Liste Rezepte');
INSERT INTO `lang_definitions` VALUES (17450, 3458, 5, 'Listen');
INSERT INTO `lang_definitions` VALUES (17451, 3460, 5, 'Testament');
INSERT INTO `lang_definitions` VALUES (17452, 3461, 5, 'LLL:');
INSERT INTO `lang_definitions` VALUES (17453, 3462, 5, 'LMP');
INSERT INTO `lang_definitions` VALUES (17454, 3464, 5, 'Lade Definitionen');
INSERT INTO `lang_definitions` VALUES (17455, 3470, 5, 'LADEN');
INSERT INTO `lang_definitions` VALUES (17456, 3471, 5, 'Laden der Dateien in die Datenbank. Dies wird einige Zeit dauern ...');
INSERT INTO `lang_definitions` VALUES (17457, 3472, 5, 'Lok');
INSERT INTO `lang_definitions` VALUES (17458, 3473, 5, 'Lokal');
INSERT INTO `lang_definitions` VALUES (17459, 3476, 5, 'Lokal');
INSERT INTO `lang_definitions` VALUES (17460, 3477, 5, 'Örtlichkeit');
INSERT INTO `lang_definitions` VALUES (17461, 3478, 5, 'Ort');
INSERT INTO `lang_definitions` VALUES (17462, 3479, 5, 'Die Lage des LibreEHR Servers und dessen Inhalt können sensible Daten enthalten, so ist es empfehlenswert, diese Dateien, nach ihrer Verwendung, manuell zu löschen.');
INSERT INTO `lang_definitions` VALUES (17463, 3480, 5, 'Ort dieser Charge');
INSERT INTO `lang_definitions` VALUES (17464, 3481, 5, 'Ort unbekannt');
INSERT INTO `lang_definitions` VALUES (17465, 3482, 5, 'Ort, an dem Hylafax Faxe gespeichert werden.');
INSERT INTO `lang_definitions` VALUES (17466, 3483, 5, 'Ort, an dem Scans gespeichert werden.');
INSERT INTO `lang_definitions` VALUES (17467, 3484, 5, 'Ort:');
INSERT INTO `lang_definitions` VALUES (17468, 3485, 5, 'Gesperrt');
INSERT INTO `lang_definitions` VALUES (17469, 3492, 5, 'Anmelden');
INSERT INTO `lang_definitions` VALUES (17470, 3493, 5, 'Anmelden');
INSERT INTO `lang_definitions` VALUES (17471, 3494, 5, 'Abmelden');
INSERT INTO `lang_definitions` VALUES (17472, 3495, 5, 'Angemeldet');
INSERT INTO `lang_definitions` VALUES (17473, 3496, 5, 'Angemeldet als');
INSERT INTO `lang_definitions` VALUES (17474, 3497, 5, 'Angemeldet als: ');
INSERT INTO `lang_definitions` VALUES (17475, 3498, 5, 'Abgemeldet.');
INSERT INTO `lang_definitions` VALUES (17476, 3499, 5, 'Logging');
INSERT INTO `lang_definitions` VALUES (17477, 3500, 5, 'Anmelden');
INSERT INTO `lang_definitions` VALUES (17478, 3501, 5, 'anmelden');
INSERT INTO `lang_definitions` VALUES (17479, 3503, 5, 'Auf Remote Host anmelden');
INSERT INTO `lang_definitions` VALUES (17480, 3504, 5, 'Auf Remote Host anmelden, fehlgeschlagen');
INSERT INTO `lang_definitions` VALUES (17481, 3505, 5, 'Abmelden');
INSERT INTO `lang_definitions` VALUES (17482, 3506, 5, 'abmelden');
INSERT INTO `lang_definitions` VALUES (17483, 3507, 5, 'Logs');
INSERT INTO `lang_definitions` VALUES (17484, 3508, 5, 'Logviewer');
INSERT INTO `lang_definitions` VALUES (17485, 3510, 5, 'Nachschlagen');
INSERT INTO `lang_definitions` VALUES (17486, 3511, 5, 'Charge');
INSERT INTO `lang_definitions` VALUES (17487, 3512, 5, 'Chargen ID fehlt!');
INSERT INTO `lang_definitions` VALUES (17488, 3513, 5, 'Chargen-Nummer');
INSERT INTO `lang_definitions` VALUES (17489, 3514, 5, 'Niedrig');
INSERT INTO `lang_definitions` VALUES (17490, 3515, 5, 'Niedrige Priorität');
INSERT INTO `lang_definitions` VALUES (17491, 3516, 5, 'Unterschenkel');
INSERT INTO `lang_definitions` VALUES (17492, 3517, 5, 'Niedrigste Priorität');
INSERT INTO `lang_definitions` VALUES (17493, 3519, 5, 'Lendenwirbelsäule');
INSERT INTO `lang_definitions` VALUES (17494, 3520, 5, 'Mittagessen');
INSERT INTO `lang_definitions` VALUES (17495, 3521, 5, 'Mittagessen');
INSERT INTO `lang_definitions` VALUES (17496, 3522, 5, 'Lungenkrebs');
INSERT INTO `lang_definitions` VALUES (17497, 3523, 5, 'Thoraxchirurgie bei Lungenkrebs');
INSERT INTO `lang_definitions` VALUES (17498, 3524, 5, 'Lungen:');
INSERT INTO `lang_definitions` VALUES (17499, 3525, 5, 'Lungen:');
INSERT INTO `lang_definitions` VALUES (17500, 3526, 5, 'Lupus');
INSERT INTO `lang_definitions` VALUES (17501, 3528, 5, 'M');
INSERT INTO `lang_definitions` VALUES (17502, 3529, 5, 'MA Kategorie');
INSERT INTO `lang_definitions` VALUES (17503, 3530, 5, 'MA-Client akzeptiert Abtreibung');
INSERT INTO `lang_definitions` VALUES (17504, 3531, 5, 'MA Status');
INSERT INTO `lang_definitions` VALUES (17505, 3533, 5, 'Mail gesendet');
INSERT INTO `lang_definitions` VALUES (17506, 3534, 5, 'Haupt');
INSERT INTO `lang_definitions` VALUES (17507, 3535, 5, 'Hauptadresse');
INSERT INTO `lang_definitions` VALUES (17508, 3536, 5, 'Hauptansicht');
INSERT INTO `lang_definitions` VALUES (17509, 3537, 5, 'Pflegen aktiven Medikamenten-Allergie-Liste.');
INSERT INTO `lang_definitions` VALUES (17510, 3538, 5, 'Pflege aktive Medikamenten Liste.');
INSERT INTO `lang_definitions` VALUES (17511, 3539, 5, 'Pflegen Sie eine up-to-date Problem Liste der aktuellen und aktiven Diagnosen.');
INSERT INTO `lang_definitions` VALUES (17512, 3540, 5, 'Änderungen an aktuellen Kategorien.');
INSERT INTO `lang_definitions` VALUES (17513, 3541, 5, 'Neuen Termin für');
INSERT INTO `lang_definitions` VALUES (17514, 3542, 5, 'Verichern');
INSERT INTO `lang_definitions` VALUES (17515, 3543, 5, 'Erstellen Batch-Text-Dateien für den Upload auf Clearing House und markieren als abgerechnet');
INSERT INTO `lang_definitions` VALUES (17516, 3548, 5, 'Männlich');
INSERT INTO `lang_definitions` VALUES (17517, 3549, 5, 'Männer Kondome');
INSERT INTO `lang_definitions` VALUES (17518, 3552, 5, 'Mammogramm');
INSERT INTO `lang_definitions` VALUES (17519, 3553, 5, 'Verwalten');
INSERT INTO `lang_definitions` VALUES (17520, 3556, 5, 'Verwalte Übersetzungen');
INSERT INTO `lang_definitions` VALUES (17521, 3557, 5, 'Management');
INSERT INTO `lang_definitions` VALUES (17522, 3558, 5, 'Erforderliche und spezielle Felder');
INSERT INTO `lang_definitions` VALUES (17523, 3559, 5, 'Nur obligatorische oder bestimmte Felder, Duplikat Scheck, keine Suche');
INSERT INTO `lang_definitions` VALUES (17524, 3560, 5, 'Nur obligatorische oder bestimmte Felder, Duplikat Scheck, keine Suche');
INSERT INTO `lang_definitions` VALUES (17525, 3561, 5, 'Handbuch');
INSERT INTO `lang_definitions` VALUES (17526, 3562, 5, 'Manuelle Buchung');
INSERT INTO `lang_definitions` VALUES (17527, 3563, 5, 'Hersteller');
INSERT INTO `lang_definitions` VALUES (17528, 3565, 5, 'Mär.');
INSERT INTO `lang_definitions` VALUES (17529, 3568, 5, 'März');
INSERT INTO `lang_definitions` VALUES (17530, 3569, 5, 'Familienstand');
INSERT INTO `lang_definitions` VALUES (17531, 3571, 5, 'Markiert als bezahlt aber überspringe Abrechnung');
INSERT INTO `lang_definitions` VALUES (17532, 3572, 5, 'Markiert als gelöscht');
INSERT INTO `lang_definitions` VALUES (17533, 3573, 5, 'Markiert als nicht bezahlt');
INSERT INTO `lang_definitions` VALUES (17534, 3574, 5, 'Berichte als kontrolliert markieren');
INSERT INTO `lang_definitions` VALUES (17535, 3575, 5, 'Markiert als gelöscht');
INSERT INTO `lang_definitions` VALUES (17536, 3576, 5, 'Verheiratet');
INSERT INTO `lang_definitions` VALUES (17537, 3578, 5, 'Maske');
INSERT INTO `lang_definitions` VALUES (17538, 3579, 5, 'Maske für Rechnungsnummern');
INSERT INTO `lang_definitions` VALUES (17539, 3580, 5, 'Maske für Patienten IDs');
INSERT INTO `lang_definitions` VALUES (17540, 3581, 5, 'Maske für Produkt IDs');
INSERT INTO `lang_definitions` VALUES (17541, 3582, 5, 'Entsprechen');
INSERT INTO `lang_definitions` VALUES (17542, 3591, 5, 'Max.');
INSERT INTO `lang_definitions` VALUES (17543, 3594, 5, 'Oberkiefer rechts:');
INSERT INTO `lang_definitions` VALUES (17544, 3595, 5, 'Maximales Alter');
INSERT INTO `lang_definitions` VALUES (17545, 3596, 5, 'Maximale Zeichen');
INSERT INTO `lang_definitions` VALUES (17546, 3597, 5, 'Maximale Wartezeit in Sekunden, vorm ausloggen. Der Standardwert ist 7200 (2 Stunden).');
INSERT INTO `lang_definitions` VALUES (17547, 3600, 5, 'Maximal sinnvolle Bestandsaufnahme, 0 falls nicht zutreffend');
INSERT INTO `lang_definitions` VALUES (17548, 3601, 5, 'Maximale Größe');
INSERT INTO `lang_definitions` VALUES (17549, 3602, 5, 'Maximale Größe (0= beliebige Größe)');
INSERT INTO `lang_definitions` VALUES (17550, 3603, 5, 'Mai');
INSERT INTO `lang_definitions` VALUES (17551, 3604, 5, 'MC');
INSERT INTO `lang_definitions` VALUES (17552, 3605, 5, 'µg');
INSERT INTO `lang_definitions` VALUES (17553, 3607, 5, 'Keine der letzten drei Passwörter sind zulässig, wenn dieses geändert wird.');
INSERT INTO `lang_definitions` VALUES (17554, 3609, 5, 'Messung Gruppe Code');
INSERT INTO `lang_definitions` VALUES (17555, 3611, 5, 'Messung');
INSERT INTO `lang_definitions` VALUES (17556, 3612, 5, 'Malleolus medialis:');
INSERT INTO `lang_definitions` VALUES (17557, 3613, 5, 'Gesundheitsdienst');
INSERT INTO `lang_definitions` VALUES (17558, 3614, 5, 'Medizinisch');
INSERT INTO `lang_definitions` VALUES (17559, 3615, 5, 'Medizinische Abtreibung');
INSERT INTO `lang_definitions` VALUES (17560, 3616, 5, 'Medizinische Verwaltung');
INSERT INTO `lang_definitions` VALUES (17561, 3617, 5, 'Medizinischer Verlauf');
INSERT INTO `lang_definitions` VALUES (17562, 3618, 5, 'Medizinisches Problem');
INSERT INTO `lang_definitions` VALUES (17563, 3619, 5, 'Medizinisches Problem');
INSERT INTO `lang_definitions` VALUES (17564, 3620, 5, 'Medizinisches problem');
INSERT INTO `lang_definitions` VALUES (17565, 3621, 5, 'Medizinisches Problem');
INSERT INTO `lang_definitions` VALUES (17566, 3622, 5, 'Medizinisches problem Liste');
INSERT INTO `lang_definitions` VALUES (17567, 3623, 5, 'Medizinische Probleme');
INSERT INTO `lang_definitions` VALUES (17568, 3624, 5, 'Medizinische Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (17569, 3625, 5, 'Medizinische Aufzeichnung #');
INSERT INTO `lang_definitions` VALUES (17570, 3626, 5, 'Medizinische Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (17571, 3627, 5, 'Medizinische Aufzeichnung gesendet');
INSERT INTO `lang_definitions` VALUES (17572, 3629, 5, 'Medizinische Zusammenfassung Aufgrund');
INSERT INTO `lang_definitions` VALUES (17573, 3630, 5, 'Medizinisches System');
INSERT INTO `lang_definitions` VALUES (17574, 3631, 5, 'Medizinischer Type');
INSERT INTO `lang_definitions` VALUES (17575, 3632, 5, 'Medizinischer Verlauf (schreiben, nur hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (17576, 3635, 5, 'Medikamente');
INSERT INTO `lang_definitions` VALUES (17577, 3636, 5, 'Liste allerischer Medikamente');
INSERT INTO `lang_definitions` VALUES (17578, 3637, 5, 'Medikamente Problem Liste');
INSERT INTO `lang_definitions` VALUES (17579, 3638, 5, 'Medikamenten Liste');
INSERT INTO `lang_definitions` VALUES (17580, 3639, 5, 'Medikamente Abstimmung durchgeführt?');
INSERT INTO `lang_definitions` VALUES (17581, 3640, 5, 'Medikamente');
INSERT INTO `lang_definitions` VALUES (17582, 3641, 5, 'Medikamente:');
INSERT INTO `lang_definitions` VALUES (17583, 3642, 5, 'Medizin Einheiten');
INSERT INTO `lang_definitions` VALUES (17584, 3643, 5, 'mittel');
INSERT INTO `lang_definitions` VALUES (17585, 3645, 5, 'Mitgliedsverband Statistik Bericht');
INSERT INTO `lang_definitions` VALUES (17586, 3646, 5, 'Speicherprobleme');
INSERT INTO `lang_definitions` VALUES (17587, 3647, 5, 'Männer');
INSERT INTO `lang_definitions` VALUES (17588, 3648, 5, 'Männer und Frauen');
INSERT INTO `lang_definitions` VALUES (17589, 3649, 5, 'Nur Männer');
INSERT INTO `lang_definitions` VALUES (17590, 3650, 5, 'Menstruation');
INSERT INTO `lang_definitions` VALUES (17591, 3651, 5, 'Menopause');
INSERT INTO `lang_definitions` VALUES (17592, 3652, 5, 'Menstruation');
INSERT INTO `lang_definitions` VALUES (17593, 3653, 5, 'Menstruationszyklus Häufigkeit');
INSERT INTO `lang_definitions` VALUES (17594, 3654, 5, 'Menstruationskrankheit');
INSERT INTO `lang_definitions` VALUES (17595, 3657, 5, 'Susammenfügen');
INSERT INTO `lang_definitions` VALUES (17596, 3658, 5, 'Susammenfügen beendet.');
INSERT INTO `lang_definitions` VALUES (17597, 3659, 5, 'Patienten Zusammenfügen');
INSERT INTO `lang_definitions` VALUES (17598, 3661, 5, 'Nachricht');
INSERT INTO `lang_definitions` VALUES (17599, 3662, 5, 'Nachrichtenzentrale');
INSERT INTO `lang_definitions` VALUES (17600, 3665, 5, 'Nachricht gesendet');
INSERT INTO `lang_definitions` VALUES (17601, 3666, 5, 'Nachrichtenstatus');
INSERT INTO `lang_definitions` VALUES (17602, 3669, 5, 'Nachrichten Art');
INSERT INTO `lang_definitions` VALUES (17603, 3670, 5, 'Nachricht:');
INSERT INTO `lang_definitions` VALUES (17604, 3671, 5, 'Nachrichten');
INSERT INTO `lang_definitions` VALUES (17605, 3672, 5, 'Nachrichten die heute gesendet wurden');
INSERT INTO `lang_definitions` VALUES (17606, 3673, 5, 'Methode');
INSERT INTO `lang_definitions` VALUES (17607, 3674, 5, 'Methode und Spezifisches Produkt');
INSERT INTO `lang_definitions` VALUES (17608, 3675, 5, 'Methode für ausgehende e-mail');
INSERT INTO `lang_definitions` VALUES (17609, 3676, 5, 'Methode der Zerstörung');
INSERT INTO `lang_definitions` VALUES (17610, 3679, 5, 'mg');
INSERT INTO `lang_definitions` VALUES (17611, 3680, 5, 'mg/1ml');
INSERT INTO `lang_definitions` VALUES (17612, 3681, 5, 'mg/2ml');
INSERT INTO `lang_definitions` VALUES (17613, 3682, 5, 'mg/3ml');
INSERT INTO `lang_definitions` VALUES (17614, 3683, 5, 'mg/4ml');
INSERT INTO `lang_definitions` VALUES (17615, 3684, 5, 'mg/5ml');
INSERT INTO `lang_definitions` VALUES (17616, 3685, 5, 'mg/dl');
INSERT INTO `lang_definitions` VALUES (17617, 3686, 5, 'Mitte');
INSERT INTO `lang_definitions` VALUES (17618, 3687, 5, '2. Vorname');
INSERT INTO `lang_definitions` VALUES (17619, 3688, 5, '2. Vorname');
INSERT INTO `lang_definitions` VALUES (17620, 3690, 5, 'DEA einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (17621, 3691, 5, 'Vorname einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (17622, 3692, 5, 'Nachname einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (17623, 3693, 5, 'Titel einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (17624, 3694, 5, 'UPIN einfache überweisende Person');
INSERT INTO `lang_definitions` VALUES (17625, 3695, 5, 'Miene');
INSERT INTO `lang_definitions` VALUES (17626, 3696, 5, 'Migranten oder Saisonarbeiter?');
INSERT INTO `lang_definitions` VALUES (17627, 3697, 5, 'Migrant / Seasonal');
INSERT INTO `lang_definitions` VALUES (17628, 3698, 5, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (17629, 3702, 5, 'Mime type');
INSERT INTO `lang_definitions` VALUES (17630, 3703, 5, 'Min');
INSERT INTO `lang_definitions` VALUES (17631, 3704, 5, 'min');
INSERT INTO `lang_definitions` VALUES (17632, 3705, 5, 'Mindestalter');
INSERT INTO `lang_definitions` VALUES (17633, 3706, 5, 'Zerrung +/- synovitis');
INSERT INTO `lang_definitions` VALUES (17634, 3708, 5, 'Minuten');
INSERT INTO `lang_definitions` VALUES (17635, 3709, 5, 'Minuten');
INSERT INTO `lang_definitions` VALUES (17636, 3710, 5, 'Minuten');
INSERT INTO `lang_definitions` VALUES (17637, 3712, 5, 'Sonstiges');
INSERT INTO `lang_definitions` VALUES (17638, 3713, 5, 'Sonstiges Rechnungs Optionen');
INSERT INTO `lang_definitions` VALUES (17639, 3714, 5, 'Sonstiges Rechnungs Optionen HFCA-1500');
INSERT INTO `lang_definitions` VALUES (17640, 3715, 5, 'Sonstiges Rechnungs Optionen HFCA');
INSERT INTO `lang_definitions` VALUES (17641, 3716, 5, 'Diverses');
INSERT INTO `lang_definitions` VALUES (17642, 3717, 5, 'Verfehlt');
INSERT INTO `lang_definitions` VALUES (17643, 3718, 5, 'fehlend');
INSERT INTO `lang_definitions` VALUES (17644, 3719, 5, 'Ein benötigtes Feld fehlt');
INSERT INTO `lang_definitions` VALUES (17645, 3720, 5, 'Fehlende Gebühr');
INSERT INTO `lang_definitions` VALUES (17646, 3721, 5, 'Nur fehlende Mods');
INSERT INTO `lang_definitions` VALUES (17647, 3722, 5, 'Fehlender oder ungültiger');
INSERT INTO `lang_definitions` VALUES (17648, 3723, 5, 'Fehlende PID');
INSERT INTO `lang_definitions` VALUES (17649, 3724, 5, 'Fehlender Berichtsdatum');
INSERT INTO `lang_definitions` VALUES (17650, 3725, 5, 'Missing slash after payer in source for code ');
INSERT INTO `lang_definitions` VALUES (17651, 3726, 5, 'Gemischt');
INSERT INTO `lang_definitions` VALUES (17652, 3727, 5, 'ml');
INSERT INTO `lang_definitions` VALUES (17653, 3728, 5, 'MM/TT/JJJJ');
INSERT INTO `lang_definitions` VALUES (17654, 3729, 5, 'mm/Hg');
INSERT INTO `lang_definitions` VALUES (17655, 3730, 5, 'mmHg');
INSERT INTO `lang_definitions` VALUES (17656, 3731, 5, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (17657, 3732, 5, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (17658, 3733, 5, 'Mobil');
INSERT INTO `lang_definitions` VALUES (17659, 3734, 5, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (17660, 3735, 5, 'Modifizierer');
INSERT INTO `lang_definitions` VALUES (17661, 3738, 5, 'Mittlere Priorität');
INSERT INTO `lang_definitions` VALUES (17662, 3740, 5, 'Mittlere/niedrige Priorität');
INSERT INTO `lang_definitions` VALUES (17663, 3741, 5, 'Modifizierer');
INSERT INTO `lang_definitions` VALUES (17664, 3742, 5, 'Modifizierer');
INSERT INTO `lang_definitions` VALUES (17665, 3743, 5, 'Anpassen');
INSERT INTO `lang_definitions` VALUES (17666, 3745, 5, 'Zahlungen anpassen');
INSERT INTO `lang_definitions` VALUES (17667, 3746, 5, 'Mod-Länge');
INSERT INTO `lang_definitions` VALUES (17668, 3753, 5, 'Mo');
INSERT INTO `lang_definitions` VALUES (17669, 3754, 5, 'Mo bis Fr');
INSERT INTO `lang_definitions` VALUES (17670, 3755, 5, 'Mo, Mi &amp; Fr');
INSERT INTO `lang_definitions` VALUES (17671, 3756, 5, 'Montag');
INSERT INTO `lang_definitions` VALUES (17672, 3758, 5, 'Monat');
INSERT INTO `lang_definitions` VALUES (17673, 3759, 5, 'Monat');
INSERT INTO `lang_definitions` VALUES (17674, 3760, 5, 'Monatsansicht');
INSERT INTO `lang_definitions` VALUES (17675, 3761, 5, 'Monat(e)');
INSERT INTO `lang_definitions` VALUES (17676, 3762, 5, 'Monatseinkommen');
INSERT INTO `lang_definitions` VALUES (17677, 3763, 5, 'Monate');
INSERT INTO `lang_definitions` VALUES (17678, 3765, 5, 'Mehr als 100 Treffer, genauer suchen.');
INSERT INTO `lang_definitions` VALUES (17679, 3766, 5, 'Mehr als 50 Treffer, genauer suchen.');
INSERT INTO `lang_definitions` VALUES (17680, 3767, 5, 'Einige Spaltenköpfe können angeklickt werden, um die Sortierung zu ändern');
INSERT INTO `lang_definitions` VALUES (17681, 3768, 5, 'Neueste von');
INSERT INTO `lang_definitions` VALUES (17682, 3770, 5, 'Jüngste Vitaldaten vom:');
INSERT INTO `lang_definitions` VALUES (17683, 3771, 5, 'Mutter');
INSERT INTO `lang_definitions` VALUES (17684, 3772, 5, 'Name Mutter');
INSERT INTO `lang_definitions` VALUES (17685, 3774, 5, 'Mund');
INSERT INTO `lang_definitions` VALUES (17686, 3775, 5, 'Bewegen');
INSERT INTO `lang_definitions` VALUES (17687, 3776, 5, 'Dokumentenkategorie verschieben:');
INSERT INTO `lang_definitions` VALUES (17688, 3777, 5, 'Herunterschieben');
INSERT INTO `lang_definitions` VALUES (17689, 3779, 5, 'Zu Patienten verschieben');
INSERT INTO `lang_definitions` VALUES (17690, 3780, 5, 'Hochschieben...');
INSERT INTO `lang_definitions` VALUES (17691, 3781, 5, 'Hochschieben');
INSERT INTO `lang_definitions` VALUES (17692, 3782, 5, 'sich bewegend');
INSERT INTO `lang_definitions` VALUES (17693, 3783, 5, 'Hr.');
INSERT INTO `lang_definitions` VALUES (17694, 3784, 5, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (17695, 3785, 5, 'Fr.');
INSERT INTO `lang_definitions` VALUES (17696, 3786, 5, 'Fr.');
INSERT INTO `lang_definitions` VALUES (17697, 3787, 5, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (17698, 3788, 5, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (17699, 3789, 5, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (17700, 3790, 5, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (17701, 3791, 5, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (17702, 3794, 5, 'MSP Code');
INSERT INTO `lang_definitions` VALUES (17703, 3795, 5, 'MSP wiederhol Code');
INSERT INTO `lang_definitions` VALUES (17704, 3796, 5, 'Mehrsprachen-Tool');
INSERT INTO `lang_definitions` VALUES (17705, 3797, 5, 'Viele Felder');
INSERT INTO `lang_definitions` VALUES (17706, 3798, 5, 'Mehrere Dokumente können hochgeladen werden durch CTRL+Click or SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (17707, 3799, 5, 'Mehrere Portionen');
INSERT INTO `lang_definitions` VALUES (17708, 3800, 5, 'Multiple Modifikatoren können getrennt werden durch Leerräume, maximal 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (17709, 3802, 5, 'gemischtrassig');
INSERT INTO `lang_definitions` VALUES (17710, 3803, 5, 'Geräusch:');
INSERT INTO `lang_definitions` VALUES (17711, 3804, 5, 'Muskelschmerz');
INSERT INTO `lang_definitions` VALUES (17712, 3805, 5, 'Muskelschmerz');
INSERT INTO `lang_definitions` VALUES (17713, 3806, 5, 'Muskelrötung');
INSERT INTO `lang_definitions` VALUES (17714, 3807, 5, 'Muskelsteifheit');
INSERT INTO `lang_definitions` VALUES (17715, 3808, 5, 'Muskelschwellung');
INSERT INTO `lang_definitions` VALUES (17716, 3809, 5, 'Muskelwärme');
INSERT INTO `lang_definitions` VALUES (17717, 3810, 5, 'Muskel');
INSERT INTO `lang_definitions` VALUES (17718, 3811, 5, 'Muskelverletzung');
INSERT INTO `lang_definitions` VALUES (17719, 3812, 5, 'Muskuloskeletal');
INSERT INTO `lang_definitions` VALUES (17720, 3813, 5, 'Muss leer bleiben, wenn SMTP-Authentifizierung nicht verwendet wird.');
INSERT INTO `lang_definitions` VALUES (17721, 3814, 5, 'gemeinsam definiert');
INSERT INTO `lang_definitions` VALUES (17722, 3815, 5, 'MVA');
INSERT INTO `lang_definitions` VALUES (17723, 3818, 5, 'Ich');
INSERT INTO `lang_definitions` VALUES (17724, 3821, 5, 'Fehlt');
INSERT INTO `lang_definitions` VALUES (17725, 3822, 5, 'Fehlt');
INSERT INTO `lang_definitions` VALUES (17726, 3823, 5, 'Name');
INSERT INTO `lang_definitions` VALUES (17727, 3825, 5, 'Name (klick für mehr)');
INSERT INTO `lang_definitions` VALUES (17728, 3826, 5, 'Name 1');
INSERT INTO `lang_definitions` VALUES (17729, 3827, 5, 'Name 2');
INSERT INTO `lang_definitions` VALUES (17730, 3828, 5, 'Name und Bezeichnung des Impfstoffherstellers');
INSERT INTO `lang_definitions` VALUES (17731, 3831, 5, 'Name der Ereignisse');
INSERT INTO `lang_definitions` VALUES (17732, 3832, 5, 'Name der Versicherungsgesellschaft');
INSERT INTO `lang_definitions` VALUES (17733, 3833, 5, 'Name des Behandlers');
INSERT INTO `lang_definitions` VALUES (17734, 3834, 5, 'Name des Absenders für Patienten Erinnerung');
INSERT INTO `lang_definitions` VALUES (17735, 3835, 5, 'Namen Übersetzung');
INSERT INTO `lang_definitions` VALUES (17736, 3836, 5, 'Name/Wert');
INSERT INTO `lang_definitions` VALUES (17737, 3837, 5, 'Name:');
INSERT INTO `lang_definitions` VALUES (17738, 3838, 5, 'Nasenlöcher:');
INSERT INTO `lang_definitions` VALUES (17739, 3839, 5, 'Nasenlöcher: Normal Rechts');
INSERT INTO `lang_definitions` VALUES (17740, 3840, 5, 'Nasenschleimhaut rosa, septum mittellinig');
INSERT INTO `lang_definitions` VALUES (17741, 3841, 5, 'Nation Notizen');
INSERT INTO `lang_definitions` VALUES (17742, 3842, 5, 'konfiguriere Nation notizen');
INSERT INTO `lang_definitions` VALUES (17743, 3843, 5, 'Nation Notizen ersatz buttons');
INSERT INTO `lang_definitions` VALUES (17744, 3844, 5, 'Nationalität');
INSERT INTO `lang_definitions` VALUES (17745, 3845, 5, 'Nation Notizen');
INSERT INTO `lang_definitions` VALUES (17746, 3847, 5, 'Hawai-Ursprünglich oder Pacific region');
INSERT INTO `lang_definitions` VALUES (17747, 3852, 5, 'Erbrechen');
INSERT INTO `lang_definitions` VALUES (17748, 3854, 5, 'Navigation');
INSERT INTO `lang_definitions` VALUES (17749, 3855, 5, 'Navigationsbereich beinhaltet Besuch Formular');
INSERT INTO `lang_definitions` VALUES (17750, 3866, 5, 'Nacken');
INSERT INTO `lang_definitions` VALUES (17751, 3867, 5, 'Nackenprobleme');
INSERT INTO `lang_definitions` VALUES (17752, 3868, 5, 'Nacken geschmeidig');
INSERT INTO `lang_definitions` VALUES (17753, 3869, 5, 'Beschreibung muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (17754, 3870, 5, 'Rückgabewerte muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (17755, 3871, 5, 'Identifier muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (17756, 3872, 5, 'Titel muss eingegeben werden');
INSERT INTO `lang_definitions` VALUES (17757, 3873, 5, 'Autentifizierung erforderlich');
INSERT INTO `lang_definitions` VALUES (17758, 3876, 5, 'Negativ');
INSERT INTO `lang_definitions` VALUES (17759, 3877, 5, 'Negatives');
INSERT INTO `lang_definitions` VALUES (17760, 3880, 5, 'Nervenverletzung');
INSERT INTO `lang_definitions` VALUES (17761, 3882, 5, 'neurologisches Taubheitsgefühl');
INSERT INTO `lang_definitions` VALUES (17762, 3883, 5, 'neurologisches Schwäche');
INSERT INTO `lang_definitions` VALUES (17763, 3884, 5, 'Neurologisch');
INSERT INTO `lang_definitions` VALUES (17764, 3885, 5, 'Nie');
INSERT INTO `lang_definitions` VALUES (17765, 3886, 5, 'Nie Alkohol');
INSERT INTO `lang_definitions` VALUES (17766, 3887, 5, 'Nie Raucher');
INSERT INTO `lang_definitions` VALUES (17767, 3888, 5, 'Neu');
INSERT INTO `lang_definitions` VALUES (17768, 3889, 5, 'Neu =>');
INSERT INTO `lang_definitions` VALUES (17769, 3892, 5, 'Neue Allergien');
INSERT INTO `lang_definitions` VALUES (17770, 3894, 5, 'Neue Termine');
INSERT INTO `lang_definitions` VALUES (17771, 3895, 5, 'Neue Kategorien');
INSERT INTO `lang_definitions` VALUES (17772, 3896, 5, 'Neue Kategorie');
INSERT INTO `lang_definitions` VALUES (17773, 3897, 5, 'Neue Klienten');
INSERT INTO `lang_definitions` VALUES (17774, 3898, 5, 'Neue Konsultation');
INSERT INTO `lang_definitions` VALUES (17775, 3900, 5, 'Neue Definitionen hinzugefügt');
INSERT INTO `lang_definitions` VALUES (17776, 3901, 5, 'Neues Dokument');
INSERT INTO `lang_definitions` VALUES (17777, 3902, 5, 'Neuee Dokumente');
INSERT INTO `lang_definitions` VALUES (17778, 3904, 5, 'Neuer Fall');
INSERT INTO `lang_definitions` VALUES (17779, 3905, 5, 'Neuer Fall mit ID');
INSERT INTO `lang_definitions` VALUES (17780, 3906, 5, 'Neue Visite erfassen');
INSERT INTO `lang_definitions` VALUES (17781, 3907, 5, 'Neue Fälle nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (17782, 3908, 5, 'Neuer Fall');
INSERT INTO `lang_definitions` VALUES (17783, 3909, 5, 'Informationen zu neuen Standort');
INSERT INTO `lang_definitions` VALUES (17784, 3910, 5, 'Neue Datei');
INSERT INTO `lang_definitions` VALUES (17785, 3911, 5, 'Neue Dateien');
INSERT INTO `lang_definitions` VALUES (17786, 3912, 5, 'Neue Gruppe');
INSERT INTO `lang_definitions` VALUES (17787, 3913, 5, 'Informationen zu neuer Gruppe');
INSERT INTO `lang_definitions` VALUES (17788, 3916, 5, 'Neues Limit für Ereignisse');
INSERT INTO `lang_definitions` VALUES (17789, 3917, 5, 'Neue Liste');
INSERT INTO `lang_definitions` VALUES (17790, 3918, 5, 'Neue');
INSERT INTO `lang_definitions` VALUES (17791, 3919, 5, 'neuer Absatz');
INSERT INTO `lang_definitions` VALUES (17792, 3920, 5, 'Neues Passwort');
INSERT INTO `lang_definitions` VALUES (17793, 3921, 5, 'Neuer Patient');
INSERT INTO `lang_definitions` VALUES (17794, 3922, 5, 'Neuer Patient');
INSERT INTO `lang_definitions` VALUES (17795, 3923, 5, 'Neues Patienten-Fallformular');
INSERT INTO `lang_definitions` VALUES (17796, 3924, 5, 'Neuer Patient Formular');
INSERT INTO `lang_definitions` VALUES (17797, 3925, 5, 'Neue Patienten-ID');
INSERT INTO `lang_definitions` VALUES (17798, 3926, 5, 'Neue Zahlart');
INSERT INTO `lang_definitions` VALUES (17799, 3928, 5, 'Neuer Patient');
INSERT INTO `lang_definitions` VALUES (17800, 3929, 5, 'Neue Ergebnisse aus Labor Austausch');
INSERT INTO `lang_definitions` VALUES (17801, 3930, 5, 'Neue Suche');
INSERT INTO `lang_definitions` VALUES (17802, 3932, 5, 'Neuer Benutzer');
INSERT INTO `lang_definitions` VALUES (17803, 3934, 5, 'Neue Termine');
INSERT INTO `lang_definitions` VALUES (17804, 3935, 5, 'Neu/Suche');
INSERT INTO `lang_definitions` VALUES (17805, 3961, 5, 'Zeitung');
INSERT INTO `lang_definitions` VALUES (17806, 3962, 5, 'Weiter');
INSERT INTO `lang_definitions` VALUES (17807, 3964, 5, 'Nächster Tag');
INSERT INTO `lang_definitions` VALUES (17808, 3965, 5, 'Nächster Monat');
INSERT INTO `lang_definitions` VALUES (17809, 3966, 5, 'Nächster Monat (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (17810, 3968, 5, 'Nächste Woche');
INSERT INTO `lang_definitions` VALUES (17811, 3969, 5, 'Nächstes Jahr (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (17812, 3971, 5, 'Spitzname');
INSERT INTO `lang_definitions` VALUES (17813, 3973, 5, 'Nächtliches Schwitzen');
INSERT INTO `lang_definitions` VALUES (17814, 3974, 5, 'Unauffälliges äußeres Genitale, vaginale Mukosa, Zervix');
INSERT INTO `lang_definitions` VALUES (17815, 3975, 5, 'Nein');
INSERT INTO `lang_definitions` VALUES (17816, 3976, 5, 'Nein');
INSERT INTO `lang_definitions` VALUES (17817, 3977, 5, 'Kein Zugriff');
INSERT INTO `lang_definitions` VALUES (17818, 3978, 5, 'Keine aktiven Patienten Erinnerungen.');
INSERT INTO `lang_definitions` VALUES (17819, 3983, 5, 'Keine Termine');
INSERT INTO `lang_definitions` VALUES (17820, 3992, 5, 'Keine Diagnose');
INSERT INTO `lang_definitions` VALUES (17821, 3993, 5, 'keine Dokumente gefunden');
INSERT INTO `lang_definitions` VALUES (17822, 3995, 5, 'Kein Enddatum');
INSERT INTO `lang_definitions` VALUES (17823, 3996, 5, 'Keine Einträge gefunden, Formular unten zum Hinzufügen verwenden.');
INSERT INTO `lang_definitions` VALUES (17824, 3997, 5, 'keine Fehler gefunden');
INSERT INTO `lang_definitions` VALUES (17825, 3998, 5, 'Keine Ereignisse');
INSERT INTO `lang_definitions` VALUES (17826, 4000, 5, 'Keine Dateien für eine Installation vorgesehen');
INSERT INTO `lang_definitions` VALUES (17827, 4001, 5, 'Keine Gruppe ausgewählt');
INSERT INTO `lang_definitions` VALUES (17828, 4002, 5, 'Keine Hernie');
INSERT INTO `lang_definitions` VALUES (17829, 4005, 5, 'Keine Verletzung/Erkrankung');
INSERT INTO `lang_definitions` VALUES (17830, 4006, 5, 'Keine Versicherungsgesellschaft gefunden');
INSERT INTO `lang_definitions` VALUES (17831, 4007, 5, 'keine Probleme');
INSERT INTO `lang_definitions` VALUES (17832, 4009, 5, 'Keine Einträge in dieser Kategorie');
INSERT INTO `lang_definitions` VALUES (17833, 4010, 5, 'Keine Auswahl getroffen!');
INSERT INTO `lang_definitions` VALUES (17834, 4025, 5, 'Für das ausgewählte Datum ist keine Log-Datei vorhanden');
INSERT INTO `lang_definitions` VALUES (17835, 4028, 5, 'Keine Patientenakte zum angegebenen Re-Identifikations-Code gefunden');
INSERT INTO `lang_definitions` VALUES (17836, 4029, 5, 'Keine Übereinstimmungen gefunden. Suche wiederholen.');
INSERT INTO `lang_definitions` VALUES (17837, 4030, 5, 'Keine Übereinstimmungen gefunden.');
INSERT INTO `lang_definitions` VALUES (17838, 4031, 5, 'Keine Übereinstimmungen gefunden. Neuen Patienten jetzt anlegen?');
INSERT INTO `lang_definitions` VALUES (17839, 4032, 5, 'Keine übereinstimmende Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (17840, 4033, 5, 'Keine neuen Ergebnisse gefunden');
INSERT INTO `lang_definitions` VALUES (17841, 4034, 5, 'Keine Bemerkungen');
INSERT INTO `lang_definitions` VALUES (17842, 4035, 5, 'Keine Organomegalie');
INSERT INTO `lang_definitions` VALUES (17843, 4037, 5, 'Keine anderen Telefonnummern geführt');
INSERT INTO `lang_definitions` VALUES (17844, 4039, 5, 'Keine Partner gefunden');
INSERT INTO `lang_definitions` VALUES (17845, 4040, 5, 'Keine Patientenakte für die Auswahlkriterien gefunden');
INSERT INTO `lang_definitions` VALUES (17846, 4041, 5, 'Keine Patientenakte zum angegebenen Re-Identifikations-Code gefunden');
INSERT INTO `lang_definitions` VALUES (17847, 4042, 5, 'Keine peripheren Ödeme');
INSERT INTO `lang_definitions` VALUES (17848, 4043, 5, 'Keine Apotheken gefunden');
INSERT INTO `lang_definitions` VALUES (17849, 4044, 5, 'Keine Verschreibungen gefunden');
INSERT INTO `lang_definitions` VALUES (17850, 4045, 5, 'Keine Angabe von Erkrankung/Verletzung');
INSERT INTO `lang_definitions` VALUES (17851, 4046, 5, 'Keine älteren Einträge.');
INSERT INTO `lang_definitions` VALUES (17852, 4051, 5, 'Keine Zulieferer gefunden');
INSERT INTO `lang_definitions` VALUES (17853, 4053, 5, 'Keine Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (17854, 4055, 5, 'Keine Einträge gefunden. Suche weiter formulieren.');
INSERT INTO `lang_definitions` VALUES (17855, 4056, 5, 'Keine Erinnerungen');
INSERT INTO `lang_definitions` VALUES (17856, 4057, 5, 'Keine Ergebnisse für die gewählten Suchkriterien gefunden');
INSERT INTO `lang_definitions` VALUES (17857, 4058, 5, 'Keine Treffer');
INSERT INTO `lang_definitions` VALUES (17858, 4060, 5, 'Keine Treffer für die Suche gefunden');
INSERT INTO `lang_definitions` VALUES (17859, 4061, 5, 'Keine Treffer gefunden, bitte wiederholen.');
INSERT INTO `lang_definitions` VALUES (17860, 4062, 5, 'Keine Treffer, nochmal versuchen.');
INSERT INTO `lang_definitions` VALUES (17861, 4063, 5, 'Keine Treffer, nochmal versuchen.');
INSERT INTO `lang_definitions` VALUES (17862, 4065, 5, 'Keine Anzeige');
INSERT INTO `lang_definitions` VALUES (17863, 4075, 5, 'Keie Konsultation');
INSERT INTO `lang_definitions` VALUES (17864, 4076, 5, 'Keine Vitalitäten dokumentiert');
INSERT INTO `lang_definitions` VALUES (17865, 4077, 5, 'Nein, abbrechen');
INSERT INTO `lang_definitions` VALUES (17866, 4079, 5, 'Nein:');
INSERT INTO `lang_definitions` VALUES (17867, 4081, 5, 'Nicht Bezahlt');
INSERT INTO `lang_definitions` VALUES (17868, 4083, 5, 'Unbestimmte Verletzung');
INSERT INTO `lang_definitions` VALUES (17869, 4084, 5, 'Nicht-elektronisch');
INSERT INTO `lang_definitions` VALUES (17870, 4085, 5, 'Nicht Insulin bedingter Diabetes');
INSERT INTO `lang_definitions` VALUES (17871, 4086, 5, 'Nicht Versichert');
INSERT INTO `lang_definitions` VALUES (17872, 4089, 5, 'Keine');
INSERT INTO `lang_definitions` VALUES (17873, 4090, 5, 'keine');
INSERT INTO `lang_definitions` VALUES (17874, 4091, 5, 'Nichts definiert');
INSERT INTO `lang_definitions` VALUES (17875, 4092, 5, 'Nichts wurde dokumentiert');
INSERT INTO `lang_definitions` VALUES (17876, 4093, 5, 'Keiner der oben genannten');
INSERT INTO `lang_definitions` VALUES (17877, 4095, 5, 'Nicht Insulin bedingter Diabetes');
INSERT INTO `lang_definitions` VALUES (17878, 4096, 5, 'noch');
INSERT INTO `lang_definitions` VALUES (17879, 4097, 5, 'Unauffällig');
INSERT INTO `lang_definitions` VALUES (17880, 4105, 5, 'Normal Rechts');
INSERT INTO `lang_definitions` VALUES (17881, 4106, 5, 'Normal Rechts:');
INSERT INTO `lang_definitions` VALUES (17882, 4107, 5, 'Normale Ansicht');
INSERT INTO `lang_definitions` VALUES (17883, 4108, 5, 'normal:');
INSERT INTO `lang_definitions` VALUES (17884, 4112, 5, 'Norwegisch');
INSERT INTO `lang_definitions` VALUES (17885, 4115, 5, 'Nase');
INSERT INTO `lang_definitions` VALUES (17886, 4116, 5, 'Nasenbluten');
INSERT INTO `lang_definitions` VALUES (17887, 4117, 5, 'kein Buchstabe und keine Zahl');
INSERT INTO `lang_definitions` VALUES (17888, 4119, 5, 'Nicht alle Felder sind für alle Codes oder Code-Arten erforderlich');
INSERT INTO `lang_definitions` VALUES (17889, 4120, 5, 'Nicht erlaubt');
INSERT INTO `lang_definitions` VALUES (17890, 4121, 5, 'Administrator-Gruppe kann nicht gelöscht werden');
INSERT INTO `lang_definitions` VALUES (17891, 4122, 5, 'Kann nicht editiert werden');
INSERT INTO `lang_definitions` VALUES (17892, 4123, 5, 'Alles Sicherheitsobjekte können nicht deaktiviert werden');
INSERT INTO `lang_definitions` VALUES (17893, 4125, 5, 'Der Administrator kann nicht aus der Administratoren-Gruppe entfernt werden');
INSERT INTO `lang_definitions` VALUES (17894, 4126, 5, 'Dieser Nutzer kann nicht aus der Administratoren-Gruppe entfernt werden');
INSERT INTO `lang_definitions` VALUES (17895, 4128, 5, 'Keine Rechte um PostCalendar-Modul zu bearbeiten');
INSERT INTO `lang_definitions` VALUES (17896, 4129, 5, 'Nicht berechtigt');
INSERT INTO `lang_definitions` VALUES (17897, 4130, 5, 'Nicht Berechtigt');
INSERT INTO `lang_definitions` VALUES (17898, 4135, 5, 'Nicht verfügbar');
INSERT INTO `lang_definitions` VALUES (17899, 4137, 5, 'Nicht bezahlt');
INSERT INTO `lang_definitions` VALUES (17900, 4138, 5, 'Nicht Überprüft');
INSERT INTO `lang_definitions` VALUES (17901, 4139, 5, 'Nicht ausgecheckt');
INSERT INTO `lang_definitions` VALUES (17902, 4140, 5, 'Nicht codiert');
INSERT INTO `lang_definitions` VALUES (17903, 4141, 5, 'nicht Aufgrund');
INSERT INTO `lang_definitions` VALUES (17904, 4143, 5, 'Nicht Untersucht');
INSERT INTO `lang_definitions` VALUES (17905, 4144, 5, 'Nicht Untersucht:');
INSERT INTO `lang_definitions` VALUES (17906, 4145, 5, 'Nicht Untersucht: ');
INSERT INTO `lang_definitions` VALUES (17907, 4146, 5, 'nicht gefunden');
INSERT INTO `lang_definitions` VALUES (17908, 4148, 5, 'nicht gefunden!');
INSERT INTO `lang_definitions` VALUES (17909, 4149, 5, 'Kein Hispanic oder Latino');
INSERT INTO `lang_definitions` VALUES (17910, 4150, 5, 'Nicht installiert');
INSERT INTO `lang_definitions` VALUES (17911, 4152, 5, 'Nicht gesehen seit');
INSERT INTO `lang_definitions` VALUES (17912, 4154, 5, 'Noch nicht gesendet');
INSERT INTO `lang_definitions` VALUES (17913, 4156, 5, 'Nicht spezifiziert');
INSERT INTO `lang_definitions` VALUES (17914, 4157, 5, 'Notiz');
INSERT INTO `lang_definitions` VALUES (17915, 4159, 5, 'Es wird 5-10 Minuten dauern, nachdem Du auf Installieren geklickt hast');
INSERT INTO `lang_definitions` VALUES (17916, 4160, 5, 'Es wird 5-10 Minuten dauern, nachdem Du auf Upgrade geklickt hast');
INSERT INTO `lang_definitions` VALUES (17917, 4161, 5, 'Das Audit-Logging muss oben aktiviert werden');
INSERT INTO `lang_definitions` VALUES (17918, 4163, 5, 'Anmerkung: 12:00 Mittag ist PM, nicht AM');
INSERT INTO `lang_definitions` VALUES (17919, 4170, 5, 'HINWEIS: Doppelt hochgeladene Dateinamen werden automatisch umbenannt.(z. B. file.jpg wird file.1.jpg). Dateinamen Einmalig pro Patient und nicht pro Kategorie.');
INSERT INTO `lang_definitions` VALUES (17920, 4171, 5, 'HINWEIS: Doppelt hochgeladene Dateinamen werden automatisch umbenannt.(z. B. \'<i>file.jpg</i>\' wird zu \'<i>file.jpg.1</i>\'). Dateinamen Einmalig pro Patient und nicht pro Kategorie.');
INSERT INTO `lang_definitions` VALUES (17921, 4172, 5, 'Notizen');
INSERT INTO `lang_definitions` VALUES (17922, 4175, 5, 'Notizen nicht authorisiert');
INSERT INTO `lang_definitions` VALUES (17923, 4177, 5, 'Nicht Aufgezeichnet');
INSERT INTO `lang_definitions` VALUES (17924, 4179, 5, 'Nichts zu importieren für die Allergie');
INSERT INTO `lang_definitions` VALUES (17925, 4180, 5, 'Nichts zu importieren für das Rezept');
INSERT INTO `lang_definitions` VALUES (17926, 4181, 5, 'nicht zum Anzeigen verfügbar');
INSERT INTO `lang_definitions` VALUES (17927, 4182, 5, 'nichts ausgewählt');
INSERT INTO `lang_definitions` VALUES (17928, 4185, 5, 'Benachrichtigung');
INSERT INTO `lang_definitions` VALUES (17929, 4186, 5, 'Benachrichtigungs Email Adresse');
INSERT INTO `lang_definitions` VALUES (17930, 4188, 5, 'Benachrichtigungen');
INSERT INTO `lang_definitions` VALUES (17931, 4189, 5, 'Administrator über die Ereignis-Änderung informieren?');
INSERT INTO `lang_definitions` VALUES (17932, 4190, 5, 'Nov');
INSERT INTO `lang_definitions` VALUES (17933, 4191, 5, 'November');
INSERT INTO `lang_definitions` VALUES (17934, 4192, 5, 'Jetzt Beitrag für:');
INSERT INTO `lang_definitions` VALUES (17935, 4193, 5, 'druckt');
INSERT INTO `lang_definitions` VALUES (17936, 4194, 5, 'Drucke $stmt_count Erklärungen und aktualisiere Visiten.');
INSERT INTO `lang_definitions` VALUES (17937, 4195, 5, 'Drucke $stmt_count Erklärungen und aktualisiere Rechnungen');
INSERT INTO `lang_definitions` VALUES (17938, 4196, 5, 'Drucke $stmt_count Erklärungen; Visiten werden nicht aktualisiert.');
INSERT INTO `lang_definitions` VALUES (17939, 4197, 5, 'Drucke $stmt_count Erklärungen; Rechnungen werden nicht aktualisiert');
INSERT INTO `lang_definitions` VALUES (17940, 4199, 5, 'NQF');
INSERT INTO `lang_definitions` VALUES (17941, 4200, 5, 'Nummer');
INSERT INTO `lang_definitions` VALUES (17942, 4201, 5, 'Anzahl Labors');
INSERT INTO `lang_definitions` VALUES (17943, 4204, 5, 'Anzahl der Spalten in der Jahresansicht');
INSERT INTO `lang_definitions` VALUES (17944, 4211, 5, 'Anzahl der Tage für die das Client-Zertifikat gültig ist.');
INSERT INTO `lang_definitions` VALUES (17945, 4213, 5, 'Anzahl der Nachkommastellen für Währung; gewöhnlich 0 oder 2');
INSERT INTO `lang_definitions` VALUES (17946, 4214, 5, 'Anzahl von Visiten pro Seite');
INSERT INTO `lang_definitions` VALUES (17947, 4215, 5, 'Anzahl der verpassten Ereignisse, wenn vorhanden');
INSERT INTO `lang_definitions` VALUES (17948, 4216, 5, 'Wieviel Stunden vorher sollen E-Mail-Benachrichtigungen gesendet werden?');
INSERT INTO `lang_definitions` VALUES (17949, 4217, 5, 'Wieviel Stunden vorher sollen telefonische Benachrichtigungen übermittelt werden?');
INSERT INTO `lang_definitions` VALUES (17950, 4218, 5, 'Wieviel Stunden vorher sollen SMS-Benachrichtigungen gesendet werden?');
INSERT INTO `lang_definitions` VALUES (17951, 4221, 5, 'Anzahl der History-Spalten');
INSERT INTO `lang_definitions` VALUES (17952, 4222, 5, 'Anzahl der Patienten pro Seite in der Patientenliste');
INSERT INTO `lang_definitions` VALUES (17953, 4223, 5, 'Taubheit');
INSERT INTO `lang_definitions` VALUES (17954, 4224, 5, 'Zähler');
INSERT INTO `lang_definitions` VALUES (17955, 4225, 5, 'Numerische Anzeigereihenfolge');
INSERT INTO `lang_definitions` VALUES (17956, 4227, 5, 'Ernährung');
INSERT INTO `lang_definitions` VALUES (17957, 4229, 5, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (17958, 4230, 5, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (17959, 4231, 5, 'Adipositas 1');
INSERT INTO `lang_definitions` VALUES (17960, 4232, 5, 'Adipositas 2');
INSERT INTO `lang_definitions` VALUES (17961, 4233, 5, 'Adipositas 3');
INSERT INTO `lang_definitions` VALUES (17962, 4234, 5, 'Ziel');
INSERT INTO `lang_definitions` VALUES (17963, 4237, 5, 'Beruf');
INSERT INTO `lang_definitions` VALUES (17964, 4239, 5, 'EreignisEintritt');
INSERT INTO `lang_definitions` VALUES (17965, 4240, 5, 'Okt');
INSERT INTO `lang_definitions` VALUES (17966, 4241, 5, 'Oktober');
INSERT INTO `lang_definitions` VALUES (17967, 4242, 5, 'OD');
INSERT INTO `lang_definitions` VALUES (17968, 4243, 5, 'von');
INSERT INTO `lang_definitions` VALUES (17969, 4244, 5, 'Quantität');
INSERT INTO `lang_definitions` VALUES (17970, 4245, 5, 'von Tabletten');
INSERT INTO `lang_definitions` VALUES (17971, 4246, 5, 'des Monats jeden');
INSERT INTO `lang_definitions` VALUES (17972, 4248, 5, 'Aus');
INSERT INTO `lang_definitions` VALUES (17973, 4249, 5, 'Büro Notizen');
INSERT INTO `lang_definitions` VALUES (17974, 4250, 5, 'Arztbesuch');
INSERT INTO `lang_definitions` VALUES (17975, 4251, 5, 'Offizielle CQM-Messgruppen');
INSERT INTO `lang_definitions` VALUES (17976, 4252, 5, 'HTTPS-Link für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (17977, 4253, 5, 'HTTPS-Link für das Onsite-Patientenportal (Patienten-Link)');
INSERT INTO `lang_definitions` VALUES (17978, 4254, 5, 'Passwort für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (17979, 4255, 5, 'Passwort für das Offsite-Patientenportal (Leer lassen, wenn noch nicht registriert)');
INSERT INTO `lang_definitions` VALUES (17980, 4258, 5, 'Adresse für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (17981, 4259, 5, 'Adresse für das Offsite-Patientenportal (Patienten-Link)');
INSERT INTO `lang_definitions` VALUES (17982, 4260, 5, 'Nutzername für das Offsite-Patientenportal');
INSERT INTO `lang_definitions` VALUES (17983, 4261, 5, 'Nutzername für das Offsite-Patientenportal (Leer lassen, wenn noch nicht registriert)');
INSERT INTO `lang_definitions` VALUES (17984, 4263, 5, 'Nachwuchs');
INSERT INTO `lang_definitions` VALUES (17985, 4265, 5, 'Salbe');
INSERT INTO `lang_definitions` VALUES (17986, 4267, 5, 'OK');
INSERT INTO `lang_definitions` VALUES (17987, 4270, 5, 'Alt');
INSERT INTO `lang_definitions` VALUES (17988, 4272, 5, 'Alte Klienten');
INSERT INTO `lang_definitions` VALUES (17989, 4273, 5, 'Alte Fraktur -keine Fehlstellung');
INSERT INTO `lang_definitions` VALUES (17990, 4274, 5, 'Altes Layout ohne linkes Menü');
INSERT INTO `lang_definitions` VALUES (17991, 4275, 5, 'Altes statisches Formular ohne Suche oder Duplikats-Check');
INSERT INTO `lang_definitions` VALUES (17992, 4279, 5, 'Arbeitgeber-Informationen in Patientendaten auslassen');
INSERT INTO `lang_definitions` VALUES (17993, 4280, 5, 'Arbeitgeber auslassen');
INSERT INTO `lang_definitions` VALUES (17994, 4282, 5, 'Versicherung und einige andere Dinge vom Demographie-Formular auslassen');
INSERT INTO `lang_definitions` VALUES (17995, 4284, 5, 'Zahlmethode vom co-pay-Panel auslassen');
INSERT INTO `lang_definitions` VALUES (17996, 4286, 5, 'an');
INSERT INTO `lang_definitions` VALUES (17997, 4287, 5, 'An');
INSERT INTO `lang_definitions` VALUES (17998, 4288, 5, 'am Hand');
INSERT INTO `lang_definitions` VALUES (17999, 4289, 5, 'auf Bestellung');
INSERT INTO `lang_definitions` VALUES (18000, 4292, 5, 'Wenn das Passwort geändert wurde ist eine Neuanmeldung erforderlich.');
INSERT INTO `lang_definitions` VALUES (18001, 4297, 5, 'Online Support');
INSERT INTO `lang_definitions` VALUES (18002, 4298, 5, 'Online Support Link');
INSERT INTO `lang_definitions` VALUES (18003, 4299, 5, 'Nur Aktive');
INSERT INTO `lang_definitions` VALUES (18004, 4302, 5, 'Nur wenn Rechnungs-Location');
INSERT INTO `lang_definitions` VALUES (18005, 4303, 5, 'Nur Inaktive');
INSERT INTO `lang_definitions` VALUES (18006, 4304, 5, 'Nur Eigene');
INSERT INTO `lang_definitions` VALUES (18007, 4305, 5, 'Zeige nur Diagnose-Berichtscodes');
INSERT INTO `lang_definitions` VALUES (18008, 4307, 5, 'Lade nur aktive Rezepte');
INSERT INTO `lang_definitions` VALUES (18009, 4315, 5, 'Ups!');
INSERT INTO `lang_definitions` VALUES (18010, 4316, 5, 'Öffnen');
INSERT INTO `lang_definitions` VALUES (18011, 4318, 5, 'in neuen Fenster öffnen');
INSERT INTO `lang_definitions` VALUES (18012, 4321, 5, 'Heutige Visite öffnent');
INSERT INTO `lang_definitions` VALUES (18013, 4322, 5, 'Für LibreEHR wurde bereits eine Zertifikats-Authorität konfiguriert');
INSERT INTO `lang_definitions` VALUES (18014, 4324, 5, 'LibreEHR Datenbank Update');
INSERT INTO `lang_definitions` VALUES (18015, 4327, 5, 'LibreEHR muss für die Verwendung von Zertifikaten konfiguriert sein, bevor Client-Zertifikate erstellt werden können.');
INSERT INTO `lang_definitions` VALUES (18016, 4328, 5, 'LibreEHR erfordert Javascript, um den Nutzer authentifizieren zu können.');
INSERT INTO `lang_definitions` VALUES (18017, 4329, 5, 'LibreEHR Anwender');
INSERT INTO `lang_definitions` VALUES (18018, 4332, 5, 'ophthalmologisch');
INSERT INTO `lang_definitions` VALUES (18019, 4333, 5, 'Option');
INSERT INTO `lang_definitions` VALUES (18020, 4342, 5, 'Optionaler Ziel-Name');
INSERT INTO `lang_definitions` VALUES (18021, 4343, 5, 'Optionaler Medikamenten-Name; verwende % als Platzhalter');
INSERT INTO `lang_definitions` VALUES (18022, 4345, 5, 'Optionale Informationen zu diesem Ereignis');
INSERT INTO `lang_definitions` VALUES (18023, 4346, 5, 'Optionale Losnummer; verwende % als Platzhalte');
INSERT INTO `lang_definitions` VALUES (18024, 4347, 5, 'Optional numerische Patienten-ID');
INSERT INTO `lang_definitions` VALUES (18025, 4348, 5, 'Optionaler Behandlungs-Code');
INSERT INTO `lang_definitions` VALUES (18026, 4349, 5, 'Optionaler Behandlungs/Leistungs-Code');
INSERT INTO `lang_definitions` VALUES (18027, 4350, 5, 'Optionen');
INSERT INTO `lang_definitions` VALUES (18028, 4351, 5, 'Oder');
INSERT INTO `lang_definitions` VALUES (18029, 4352, 5, 'ODER');
INSERT INTO `lang_definitions` VALUES (18030, 4353, 5, 'oder wählen SIe');
INSERT INTO `lang_definitions` VALUES (18031, 4354, 5, 'oder klicke und ziehe für eine schnellere Auswahl');
INSERT INTO `lang_definitions` VALUES (18032, 4358, 5, 'oder Shift-Klick zum verringern');
INSERT INTO `lang_definitions` VALUES (18033, 4359, 5, 'Oder lade ERA-Datei hoch:');
INSERT INTO `lang_definitions` VALUES (18034, 4360, 5, 'Oral');
INSERT INTO `lang_definitions` VALUES (18035, 4362, 5, 'Reihenfolge');
INSERT INTO `lang_definitions` VALUES (18036, 4363, 5, 'Bestellung und Ergebnis Typen');
INSERT INTO `lang_definitions` VALUES (18037, 4364, 5, 'Bestell-Katalog');
INSERT INTO `lang_definitions` VALUES (18038, 4365, 5, 'Bestelldatum');
INSERT INTO `lang_definitions` VALUES (18039, 4367, 5, 'Bestellung vom');
INSERT INTO `lang_definitions` VALUES (18040, 4369, 5, 'Reihenfolge muss eine Zahl zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (18041, 4370, 5, 'Bestellname');
INSERT INTO `lang_definitions` VALUES (18042, 4371, 5, 'Bestell Priorität');
INSERT INTO `lang_definitions` VALUES (18043, 4372, 5, 'Bestell-Bearbeiter');
INSERT INTO `lang_definitions` VALUES (18044, 4375, 5, 'Bestell Status');
INSERT INTO `lang_definitions` VALUES (18045, 4378, 5, 'Bestell Type');
INSERT INTO `lang_definitions` VALUES (18046, 4380, 5, 'Bestell/Ergebnis Type');
INSERT INTO `lang_definitions` VALUES (18047, 4381, 5, 'Bestellt');
INSERT INTO `lang_definitions` VALUES (18048, 4386, 5, 'Organverletzung');
INSERT INTO `lang_definitions` VALUES (18049, 4387, 5, 'Organisation');
INSERT INTO `lang_definitions` VALUES (18050, 4388, 5, 'Organisation Name');
INSERT INTO `lang_definitions` VALUES (18051, 4389, 5, 'Name der Organisationseinheit');
INSERT INTO `lang_definitions` VALUES (18052, 4390, 5, 'Organisationen');
INSERT INTO `lang_definitions` VALUES (18053, 4392, 5, 'Original');
INSERT INTO `lang_definitions` VALUES (18054, 4398, 5, 'OS');
INSERT INTO `lang_definitions` VALUES (18055, 4402, 5, 'Andere');
INSERT INTO `lang_definitions` VALUES (18056, 4403, 5, 'andere');
INSERT INTO `lang_definitions` VALUES (18057, 4404, 5, 'Andere (spezifizieren)');
INSERT INTO `lang_definitions` VALUES (18058, 4405, 5, 'Andere - Spezifiziert');
INSERT INTO `lang_definitions` VALUES (18059, 4406, 5, 'Anderes Bundesprogramm');
INSERT INTO `lang_definitions` VALUES (18060, 4407, 5, 'Andere HCFA');
INSERT INTO `lang_definitions` VALUES (18061, 4410, 5, 'anderer Monat');
INSERT INTO `lang_definitions` VALUES (18062, 4411, 5, 'Andere nicht-föderale Programme');
INSERT INTO `lang_definitions` VALUES (18063, 4412, 5, 'andere Notizen');
INSERT INTO `lang_definitions` VALUES (18064, 4417, 5, 'Andere chirurgische');
INSERT INTO `lang_definitions` VALUES (18065, 4420, 5, 'Andere');
INSERT INTO `lang_definitions` VALUES (18066, 4425, 5, 'Nicht im Büro');
INSERT INTO `lang_definitions` VALUES (18067, 4426, 5, 'ausgehende Überweisung');
INSERT INTO `lang_definitions` VALUES (18068, 4427, 5, 'Resultat');
INSERT INTO `lang_definitions` VALUES (18069, 4428, 5, 'Outlook');
INSERT INTO `lang_definitions` VALUES (18070, 4431, 5, 'ÜBERFÄLLIG');
INSERT INTO `lang_definitions` VALUES (18071, 4432, 5, 'übermäßiger Gebrauch');
INSERT INTO `lang_definitions` VALUES (18072, 4433, 5, 'Übersicht');
INSERT INTO `lang_definitions` VALUES (18073, 4434, 5, 'Übergewicht');
INSERT INTO `lang_definitions` VALUES (18074, 4435, 5, 'Überschreibe HIPAA-Auswahl');
INSERT INTO `lang_definitions` VALUES (18075, 4437, 5, 'Sauerstoff Sättigung');
INSERT INTO `lang_definitions` VALUES (18076, 4439, 5, 'Postprandial');
INSERT INTO `lang_definitions` VALUES (18077, 4440, 5, 'postprandial');
INSERT INTO `lang_definitions` VALUES (18078, 4441, 5, 'nachmittags');
INSERT INTO `lang_definitions` VALUES (18079, 4443, 5, 'Bewohner der Pazif. Inseln');
INSERT INTO `lang_definitions` VALUES (18080, 4444, 5, 'Pädiatrisch');
INSERT INTO `lang_definitions` VALUES (18081, 4445, 5, 'Seite');
INSERT INTO `lang_definitions` VALUES (18082, 4446, 5, 'Seiten');
INSERT INTO `lang_definitions` VALUES (18083, 4447, 5, 'Bezahlt');
INSERT INTO `lang_definitions` VALUES (18084, 4449, 5, 'Bezahlter Betrag');
INSERT INTO `lang_definitions` VALUES (18085, 4450, 5, 'Bezahlt per');
INSERT INTO `lang_definitions` VALUES (18086, 4451, 5, 'Schmerz');
INSERT INTO `lang_definitions` VALUES (18087, 4453, 5, 'Herzklopfen');
INSERT INTO `lang_definitions` VALUES (18088, 4455, 5, 'Pap-Abstrich');
INSERT INTO `lang_definitions` VALUES (18089, 4456, 5, 'Papier');
INSERT INTO `lang_definitions` VALUES (18090, 4457, 5, 'Papier Größe');
INSERT INTO `lang_definitions` VALUES (18091, 4458, 5, 'Lähmung');
INSERT INTO `lang_definitions` VALUES (18092, 4461, 5, 'HL7 analysieren');
INSERT INTO `lang_definitions` VALUES (18093, 4463, 5, 'Partner');
INSERT INTO `lang_definitions` VALUES (18094, 4464, 5, 'Partner Name');
INSERT INTO `lang_definitions` VALUES (18095, 4467, 5, 'Pass Phrase');
INSERT INTO `lang_definitions` VALUES (18096, 4468, 5, 'Pass-Phrase zur Verschlüsselung des Dokuments');
INSERT INTO `lang_definitions` VALUES (18097, 4469, 5, 'übergebene Patienten');
INSERT INTO `lang_definitions` VALUES (18098, 4470, 5, 'Passiver Alarm');
INSERT INTO `lang_definitions` VALUES (18099, 4471, 5, 'Passiver Alarm Regeln');
INSERT INTO `lang_definitions` VALUES (18100, 4472, 5, 'Kennwort');
INSERT INTO `lang_definitions` VALUES (18101, 4473, 5, 'Kennwortänderung');
INSERT INTO `lang_definitions` VALUES (18102, 4475, 5, 'Kennwortänderung erfolgreich');
INSERT INTO `lang_definitions` VALUES (18103, 4480, 5, 'Kennwort für SMS Gateway');
INSERT INTO `lang_definitions` VALUES (18104, 4481, 5, 'Kennwort für SMS Gateway');
INSERT INTO `lang_definitions` VALUES (18105, 4483, 5, 'Passwort-Sicherheit wurde kürzlich aktualisiert.');
INSERT INTO `lang_definitions` VALUES (18106, 4484, 5, 'Passwort für die Verbindung zu CouchDB');
INSERT INTO `lang_definitions` VALUES (18107, 4486, 5, 'Passwort:');
INSERT INTO `lang_definitions` VALUES (18108, 4490, 5, 'überfällig');
INSERT INTO `lang_definitions` VALUES (18109, 4491, 5, 'überfällig');
INSERT INTO `lang_definitions` VALUES (18110, 4492, 5, 'überfällig Intervall (klinische Erinnerungen)');
INSERT INTO `lang_definitions` VALUES (18111, 4493, 5, 'überfällig Intervall (Patienten Erinnerung)');
INSERT INTO `lang_definitions` VALUES (18112, 4494, 5, 'Frühere Fälle Liste');
INSERT INTO `lang_definitions` VALUES (18113, 4495, 5, 'Frühere Fälle');
INSERT INTO `lang_definitions` VALUES (18114, 4496, 5, 'Frühere Fälle und Dokumente');
INSERT INTO `lang_definitions` VALUES (18115, 4497, 5, 'Frühere Fälle für');
INSERT INTO `lang_definitions` VALUES (18116, 4498, 5, 'Einfügen HL7 Daten');
INSERT INTO `lang_definitions` VALUES (18117, 4499, 5, 'Füge die Daten in die Text-Box unten ein:');
INSERT INTO `lang_definitions` VALUES (18118, 4508, 5, 'Pfad zum Ereignis-Log Backup');
INSERT INTO `lang_definitions` VALUES (18119, 4509, 5, 'Pfad zur CA-Zertifikats-Datei');
INSERT INTO `lang_definitions` VALUES (18120, 4510, 5, 'Pfad zur CA-Schlüsseldatei');
INSERT INTO `lang_definitions` VALUES (18121, 4511, 5, 'Pfad zu den MySQL bin');
INSERT INTO `lang_definitions` VALUES (18122, 4512, 5, 'Pfad zu Perl bin');
INSERT INTO `lang_definitions` VALUES (18123, 4513, 5, 'Pfad zu temporären Dateien');
INSERT INTO `lang_definitions` VALUES (18124, 4514, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (18125, 4515, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (18126, 4516, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (18127, 4517, 5, 'Patient Adresse');
INSERT INTO `lang_definitions` VALUES (18128, 4518, 5, 'Patient Adresse fehlt');
INSERT INTO `lang_definitions` VALUES (18129, 4521, 5, 'Patient allergien');
INSERT INTO `lang_definitions` VALUES (18130, 4522, 5, 'Patient Allergien');
INSERT INTO `lang_definitions` VALUES (18131, 4523, 5, 'Patient Termin');
INSERT INTO `lang_definitions` VALUES (18132, 4524, 5, 'Restbetrag Patient');
INSERT INTO `lang_definitions` VALUES (18133, 4525, 5, 'Offener Betrag Patient');
INSERT INTO `lang_definitions` VALUES (18134, 4531, 5, 'Patient Wohnort');
INSERT INTO `lang_definitions` VALUES (18135, 4532, 5, 'Patient Wohnort fehlt');
INSERT INTO `lang_definitions` VALUES (18136, 4535, 5, 'Patient Land');
INSERT INTO `lang_definitions` VALUES (18137, 4536, 5, 'Patient Land fehlt. Außerdem wurde kein Standard-Wert für das Land in den globalen Einstellungen vorgegeben');
INSERT INTO `lang_definitions` VALUES (18138, 4539, 5, 'Patient Daten');
INSERT INTO `lang_definitions` VALUES (18139, 4541, 5, 'Patient Geburtsdatum fehlt');
INSERT INTO `lang_definitions` VALUES (18140, 4542, 5, 'Patient Details');
INSERT INTO `lang_definitions` VALUES (18141, 4543, 5, 'Patient Geburtstag');
INSERT INTO `lang_definitions` VALUES (18142, 4544, 5, 'Patient Dokument');
INSERT INTO `lang_definitions` VALUES (18143, 4545, 5, 'Patient Bildung');
INSERT INTO `lang_definitions` VALUES (18144, 4546, 5, 'Patienten-Unterweisungsmaterial');
INSERT INTO `lang_definitions` VALUES (18145, 4547, 5, 'Patient Besuch');
INSERT INTO `lang_definitions` VALUES (18146, 4548, 5, 'Patient Besuch Formular');
INSERT INTO `lang_definitions` VALUES (18147, 4549, 5, 'Patient Besuche');
INSERT INTO `lang_definitions` VALUES (18148, 4550, 5, 'Patient Suche');
INSERT INTO `lang_definitions` VALUES (18149, 4551, 5, 'Patienten Vorname');
INSERT INTO `lang_definitions` VALUES (18150, 4553, 5, 'Patienten Vornahme Fehlt');
INSERT INTO `lang_definitions` VALUES (18151, 4558, 5, 'Patienten Geschlecht');
INSERT INTO `lang_definitions` VALUES (18152, 4559, 5, 'Patienten Geschlecht fehlt');
INSERT INTO `lang_definitions` VALUES (18153, 4560, 5, 'Patient hat keine Berechtigung für das Patientenportal');
INSERT INTO `lang_definitions` VALUES (18154, 4561, 5, 'Patienten Übersicht');
INSERT INTO `lang_definitions` VALUES (18155, 4562, 5, 'Anamnese / Lebensstil');
INSERT INTO `lang_definitions` VALUES (18156, 4563, 5, 'Patient Telefon zu Hause');
INSERT INTO `lang_definitions` VALUES (18157, 4564, 5, 'Patienten ID');
INSERT INTO `lang_definitions` VALUES (18158, 4565, 5, 'Patienten Id');
INSERT INTO `lang_definitions` VALUES (18159, 4566, 5, 'Patienten Ausweis');
INSERT INTO `lang_definitions` VALUES (18160, 4567, 5, 'Patienten Ausweis Kategorie Name');
INSERT INTO `lang_definitions` VALUES (18161, 4568, 5, 'Patienten Impfungen');
INSERT INTO `lang_definitions` VALUES (18162, 4569, 5, 'Patienten Information');
INSERT INTO `lang_definitions` VALUES (18163, 4570, 5, 'Patienten Anweisungen');
INSERT INTO `lang_definitions` VALUES (18164, 4573, 5, 'Patienten Beschwerden');
INSERT INTO `lang_definitions` VALUES (18165, 4575, 5, 'Patienten Nachname');
INSERT INTO `lang_definitions` VALUES (18166, 4577, 5, 'Patienten Nachname fehlt');
INSERT INTO `lang_definitions` VALUES (18167, 4581, 5, 'Patientenübersicht');
INSERT INTO `lang_definitions` VALUES (18168, 4582, 5, 'Patienten Liste Spalte');
INSERT INTO `lang_definitions` VALUES (18169, 4584, 5, 'Patienten Liste neues Fenster');
INSERT INTO `lang_definitions` VALUES (18170, 4585, 5, 'Patienten Liste Seitengröße');
INSERT INTO `lang_definitions` VALUES (18171, 4586, 5, 'Patienten Suche Fehler');
INSERT INTO `lang_definitions` VALUES (18172, 4587, 5, 'Patient medizinische Probleme');
INSERT INTO `lang_definitions` VALUES (18173, 4588, 5, 'Patienten Medikation');
INSERT INTO `lang_definitions` VALUES (18174, 4589, 5, 'Patienten Name');
INSERT INTO `lang_definitions` VALUES (18175, 4590, 5, 'Patienten Name & Anschrift');
INSERT INTO `lang_definitions` VALUES (18176, 4593, 5, 'Patienten Name Erforderlich');
INSERT INTO `lang_definitions` VALUES (18177, 4595, 5, 'Patienten Notiz');
INSERT INTO `lang_definitions` VALUES (18178, 4596, 5, 'Patienten Notiz Type');
INSERT INTO `lang_definitions` VALUES (18179, 4597, 5, 'Patienten Notiz');
INSERT INTO `lang_definitions` VALUES (18180, 4598, 5, 'Patienten Notizen (schreiben, hinzufügen optional)');
INSERT INTO `lang_definitions` VALUES (18181, 4599, 5, 'Patientennummer');
INSERT INTO `lang_definitions` VALUES (18182, 4600, 5, 'Patienten Zahlung');
INSERT INTO `lang_definitions` VALUES (18183, 4602, 5, 'Patienten Photo Kategoriename');
INSERT INTO `lang_definitions` VALUES (18184, 4603, 5, 'Patientenportal');
INSERT INTO `lang_definitions` VALUES (18185, 4605, 5, 'Patientenportal ist deaktiviert');
INSERT INTO `lang_definitions` VALUES (18186, 4606, 5, 'Patientenportal Login');
INSERT INTO `lang_definitions` VALUES (18187, 4607, 5, 'Patientenportal Web Adresse');
INSERT INTO `lang_definitions` VALUES (18188, 4608, 5, 'Patient Gedruckter Bericht');
INSERT INTO `lang_definitions` VALUES (18189, 4609, 5, 'Patientenakte Bericht');
INSERT INTO `lang_definitions` VALUES (18190, 4610, 5, 'Patientenakte Anfrage');
INSERT INTO `lang_definitions` VALUES (18191, 4611, 5, 'Patientenakten Anfrage');
INSERT INTO `lang_definitions` VALUES (18192, 4613, 5, 'Patient Erinnerung');
INSERT INTO `lang_definitions` VALUES (18193, 4614, 5, 'Patient Erinnerung Stapelverarbeitung');
INSERT INTO `lang_definitions` VALUES (18194, 4616, 5, 'Patienten Erinnerungen Regeln');
INSERT INTO `lang_definitions` VALUES (18195, 4617, 5, 'Patienten Erinnerungen Absender Email');
INSERT INTO `lang_definitions` VALUES (18196, 4618, 5, 'Patienten Erinnerungen Absender Name');
INSERT INTO `lang_definitions` VALUES (18197, 4619, 5, 'Patient Erinnerungen');
INSERT INTO `lang_definitions` VALUES (18198, 4620, 5, 'Patientenbericht');
INSERT INTO `lang_definitions` VALUES (18199, 4621, 5, 'Patienten Anfrage');
INSERT INTO `lang_definitions` VALUES (18200, 4622, 5, 'Patient wünschte medizinischen Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (18201, 4623, 5, 'Patientenergebnisse');
INSERT INTO `lang_definitions` VALUES (18202, 4624, 5, 'Patient Stil der Suchergebnisse');
INSERT INTO `lang_definitions` VALUES (18203, 4625, 5, 'Patient Suche/Ergänze Bildschirm');
INSERT INTO `lang_definitions` VALUES (18204, 4626, 5, 'Patienten Einstellungen');
INSERT INTO `lang_definitions` VALUES (18205, 4627, 5, 'Patienten Status');
INSERT INTO `lang_definitions` VALUES (18206, 4629, 5, 'Patienten Zusammenfassung');
INSERT INTO `lang_definitions` VALUES (18207, 4630, 5, 'Patienten Überweisung');
INSERT INTO `lang_definitions` VALUES (18208, 4631, 5, 'Patient PLZ');
INSERT INTO `lang_definitions` VALUES (18209, 4632, 5, 'Patienten in der Datenbank, die mit den eingegebenen demographischen Informationen übereinstimmen');
INSERT INTO `lang_definitions` VALUES (18210, 4633, 5, 'Patient');
INSERT INTO `lang_definitions` VALUES (18211, 4634, 5, 'Patient:');
INSERT INTO `lang_definitions` VALUES (18212, 4635, 5, 'Patient ID');
INSERT INTO `lang_definitions` VALUES (18213, 4636, 5, 'Patienten');
INSERT INTO `lang_definitions` VALUES (18214, 4638, 5, 'Bezahlen');
INSERT INTO `lang_definitions` VALUES (18215, 4640, 5, 'Bezahl Datum:');
INSERT INTO `lang_definitions` VALUES (18216, 4641, 5, 'Bezahl Status');
INSERT INTO `lang_definitions` VALUES (18217, 4642, 5, 'Name des Zahlungsempfängers');
INSERT INTO `lang_definitions` VALUES (18218, 4643, 5, 'Zahler');
INSERT INTO `lang_definitions` VALUES (18219, 4644, 5, 'Zahler Type');
INSERT INTO `lang_definitions` VALUES (18220, 4645, 5, 'Bezahlen');
INSERT INTO `lang_definitions` VALUES (18221, 4646, 5, 'Zahlende Stelle');
INSERT INTO `lang_definitions` VALUES (18222, 4647, 5, 'Zahlung');
INSERT INTO `lang_definitions` VALUES (18223, 4648, 5, 'zahlung');
INSERT INTO `lang_definitions` VALUES (18224, 4651, 5, 'Zahlungsbetrag');
INSERT INTO `lang_definitions` VALUES (18225, 4652, 5, 'Zahlungsbetrag muss numerisch sein');
INSERT INTO `lang_definitions` VALUES (18226, 4653, 5, 'Zahlungsmethoden Kategorie');
INSERT INTO `lang_definitions` VALUES (18227, 4654, 5, 'Zahlungsdatum');
INSERT INTO `lang_definitions` VALUES (18228, 4655, 5, 'Zahlung eingegangen am');
INSERT INTO `lang_definitions` VALUES (18229, 4656, 5, 'Zahlung von');
INSERT INTO `lang_definitions` VALUES (18230, 4660, 5, 'Zahlungsart');
INSERT INTO `lang_definitions` VALUES (18231, 4661, 5, 'Zahlungsmethoden Sortieren nach');
INSERT INTO `lang_definitions` VALUES (18232, 4662, 5, 'Zahlung Status');
INSERT INTO `lang_definitions` VALUES (18233, 4663, 5, 'Zahlung Type');
INSERT INTO `lang_definitions` VALUES (18234, 4665, 5, 'Zahlungen');
INSERT INTO `lang_definitions` VALUES (18235, 4667, 5, 'PCP');
INSERT INTO `lang_definitions` VALUES (18236, 4669, 5, 'PDF');
INSERT INTO `lang_definitions` VALUES (18237, 4670, 5, 'PDF Download Ausgewählte Statements');
INSERT INTO `lang_definitions` VALUES (18238, 4672, 5, 'Becken und Gesäßhälfte');
INSERT INTO `lang_definitions` VALUES (18239, 4673, 5, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (18240, 4674, 5, 'Anstehend');
INSERT INTO `lang_definitions` VALUES (18241, 4677, 5, 'Weiterhin beobachten');
INSERT INTO `lang_definitions` VALUES (18242, 4679, 5, 'Offene Bestellungen');
INSERT INTO `lang_definitions` VALUES (18243, 4680, 5, 'Offene Res');
INSERT INTO `lang_definitions` VALUES (18244, 4681, 5, 'Review offen');
INSERT INTO `lang_definitions` VALUES (18245, 4687, 5, 'pro Min');
INSERT INTO `lang_definitions` VALUES (18246, 4688, 5, 'Per Nasenloch');
INSERT INTO `lang_definitions` VALUES (18247, 4689, 5, 'per pasenloch');
INSERT INTO `lang_definitions` VALUES (18248, 4690, 5, 'Oral');
INSERT INTO `lang_definitions` VALUES (18249, 4691, 5, 'oral');
INSERT INTO `lang_definitions` VALUES (18250, 4692, 5, 'Rektal');
INSERT INTO `lang_definitions` VALUES (18251, 4693, 5, 'rektal');
INSERT INTO `lang_definitions` VALUES (18252, 4694, 5, 'Prozent');
INSERT INTO `lang_definitions` VALUES (18253, 4697, 5, 'Perzentil');
INSERT INTO `lang_definitions` VALUES (18254, 4699, 5, 'Starte Suche');
INSERT INTO `lang_definitions` VALUES (18255, 4700, 5, 'Starte diese Aktion');
INSERT INTO `lang_definitions` VALUES (18256, 4703, 5, 'Ausführendes Labor');
INSERT INTO `lang_definitions` VALUES (18257, 4705, 5, 'Periode');
INSERT INTO `lang_definitions` VALUES (18258, 4706, 5, 'Anzahl an Tagen, für die ein Nutzer sich mit einem abgelaufenen Passwort anmelden kann');
INSERT INTO `lang_definitions` VALUES (18259, 4708, 5, 'Peripher');
INSERT INTO `lang_definitions` VALUES (18260, 4712, 5, 'Person');
INSERT INTO `lang_definitions` VALUES (18261, 4713, 5, 'Personalisieren');
INSERT INTO `lang_definitions` VALUES (18262, 4714, 5, 'PG');
INSERT INTO `lang_definitions` VALUES (18263, 4715, 5, 'Apoth');
INSERT INTO `lang_definitions` VALUES (18264, 4717, 5, 'Apotheken');
INSERT INTO `lang_definitions` VALUES (18265, 4718, 5, 'Apotheken');
INSERT INTO `lang_definitions` VALUES (18266, 4719, 5, 'Apotheke Ambulanz');
INSERT INTO `lang_definitions` VALUES (18267, 4720, 5, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (18268, 4729, 5, 'Telefon');
INSERT INTO `lang_definitions` VALUES (18269, 4730, 5, 'Telefon Anrufliste');
INSERT INTO `lang_definitions` VALUES (18270, 4731, 5, 'Telefon Anruflisten Bericht');
INSERT INTO `lang_definitions` VALUES (18271, 4733, 5, 'Telefon Gateway Passwort');
INSERT INTO `lang_definitions` VALUES (18272, 4734, 5, 'Telefon Gateway URL');
INSERT INTO `lang_definitions` VALUES (18273, 4735, 5, 'Telefon Gateway Username');
INSERT INTO `lang_definitions` VALUES (18274, 4737, 5, 'Telefon Benachrichtigungs Stunde');
INSERT INTO `lang_definitions` VALUES (18275, 4738, 5, 'Telefonnummer');
INSERT INTO `lang_definitions` VALUES (18276, 4740, 5, 'Lichtempfindlichkeit');
INSERT INTO `lang_definitions` VALUES (18277, 4741, 5, 'Fotos');
INSERT INTO `lang_definitions` VALUES (18278, 4742, 5, 'PHP komprimiert');
INSERT INTO `lang_definitions` VALUES (18279, 4743, 5, 'PHP CURL-Modul sollte für den Server aktiviert sein');
INSERT INTO `lang_definitions` VALUES (18280, 4744, 5, 'PHP extrahiert');
INSERT INTO `lang_definitions` VALUES (18281, 4745, 5, 'php-GACL Zugangskontrolle ist ausgeschaltet');
INSERT INTO `lang_definitions` VALUES (18282, 4746, 5, 'PHP-gacl ist nicht installiert');
INSERT INTO `lang_definitions` VALUES (18283, 4747, 5, 'körperliche Untersuchung');
INSERT INTO `lang_definitions` VALUES (18284, 4749, 5, 'Physio Anfrage');
INSERT INTO `lang_definitions` VALUES (18285, 4750, 5, 'Physio Unterschrift');
INSERT INTO `lang_definitions` VALUES (18286, 4752, 5, 'Ärzte');
INSERT INTO `lang_definitions` VALUES (18287, 4753, 5, 'wählen');
INSERT INTO `lang_definitions` VALUES (18288, 4754, 5, 'Wählen');
INSERT INTO `lang_definitions` VALUES (18289, 4755, 5, 'CSS-Theme wählen');
INSERT INTO `lang_definitions` VALUES (18290, 4756, 5, 'PID');
INSERT INTO `lang_definitions` VALUES (18291, 4757, 5, 'PID (Entzündliche Erkrankungen des Beckens)');
INSERT INTO `lang_definitions` VALUES (18292, 4758, 5, 'Tabletten Größe');
INSERT INTO `lang_definitions` VALUES (18293, 4759, 5, 'Tabletten');
INSERT INTO `lang_definitions` VALUES (18294, 4760, 5, 'Lege die ZIP-Datei der Datenbank in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18295, 4761, 5, 'Lege die heruntergeladene ICD10 Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18296, 4762, 5, 'Lege die heruntergeladene ICD9 Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18297, 4763, 5, 'Lege die heruntergeladene RxNorm-Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18298, 4764, 5, 'Lege die heruntergeladene Snomed-Datenbank-ZIP-Datei in das folgende Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18299, 4765, 5, 'Platzhalter');
INSERT INTO `lang_definitions` VALUES (18300, 4766, 5, 'Platzhalter (Maintains empty ACLs)');
INSERT INTO `lang_definitions` VALUES (18301, 4767, 5, 'Klartext');
INSERT INTO `lang_definitions` VALUES (18302, 4768, 5, 'Plan');
INSERT INTO `lang_definitions` VALUES (18303, 4771, 5, 'Plan Name');
INSERT INTO `lang_definitions` VALUES (18304, 4775, 5, 'Plan Set');
INSERT INTO `lang_definitions` VALUES (18305, 4779, 5, 'Plan:');
INSERT INTO `lang_definitions` VALUES (18306, 4782, 5, 'Planen');
INSERT INTO `lang_definitions` VALUES (18307, 4784, 5, 'Player');
INSERT INTO `lang_definitions` VALUES (18308, 4785, 5, 'Player Position');
INSERT INTO `lang_definitions` VALUES (18309, 4786, 5, 'Bitte rufen Sie an, wenn die oben aufgeführten Daten inkorrekt sind.');
INSERT INTO `lang_definitions` VALUES (18310, 4787, 5, 'Bitte Passwort ändern.');
INSERT INTO `lang_definitions` VALUES (18311, 4788, 5, 'Bitte Datei wählen');
INSERT INTO `lang_definitions` VALUES (18312, 4789, 5, 'Bitte einen Patienten wählen');
INSERT INTO `lang_definitions` VALUES (18313, 4790, 5, 'Bitte einen gültigen Eintrag aus der Liste wählen.');
INSERT INTO `lang_definitions` VALUES (18314, 4791, 5, 'Bitte einen gültigen Eintrag wählen.');
INSERT INTO `lang_definitions` VALUES (18315, 4792, 5, 'Bitte einen Wert für');
INSERT INTO `lang_definitions` VALUES (18316, 4793, 5, 'Bitte wähle oben einen Datumsbereich aus und klicke auf \"Aktualisieren\", um die Ergebnisse zu sehen');
INSERT INTO `lang_definitions` VALUES (18317, 4794, 5, 'Bitte wähle eine korrekt formatierte EDI-271-Datei aus');
INSERT INTO `lang_definitions` VALUES (18318, 4795, 5, 'Klicke auf \"Herunterladen\", um die De-Identified-Daten herunterzuladen');
INSERT INTO `lang_definitions` VALUES (18319, 4796, 5, 'Klicke auf \"Herunterladen\", um die Re-Identified-Daten herunterzuladen');
INSERT INTO `lang_definitions` VALUES (18320, 4797, 5, 'Schließe dieses Fenster.');
INSERT INTO `lang_definitions` VALUES (18321, 4798, 5, 'Vergleiche den neuen Namen');
INSERT INTO `lang_definitions` VALUES (18322, 4801, 5, 'Erstelle das folgende Verzeichnis bevor du weiter machst');
INSERT INTO `lang_definitions` VALUES (18323, 4802, 5, 'Bitte akzeptieren Sie diese Verschreibung nicht, ohne das dazugehörige Fax erhalten zu haben.');
INSERT INTO `lang_definitions` VALUES (18324, 4803, 5, 'Bitte akzeptieren Sie diese Verschreibung nicht, ohne das dazugehörige Fax erhalten zu haben.');
INSERT INTO `lang_definitions` VALUES (18325, 4804, 5, 'Nicht auf \"Aktualisieren\" oder \"Abbrechen\" im Browserfenster klicken, bevor nicht 10 Minuten vergangen sind.');
INSERT INTO `lang_definitions` VALUES (18326, 4805, 5, 'AKTIVIERE CURL-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (18327, 4806, 5, 'AKTIVIERE OPENSSL-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (18328, 4807, 5, 'AKTIVIERE SOAP-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (18329, 4808, 5, 'AKTIVIERE XML-ERWEITERUNG');
INSERT INTO `lang_definitions` VALUES (18330, 4809, 5, 'Gib ein Datum für den letzten Review ein.');
INSERT INTO `lang_definitions` VALUES (18331, 4810, 5, 'Bitte Datum eingeben.');
INSERT INTO `lang_definitions` VALUES (18332, 4811, 5, 'Bitte Fälligkeitsdatum eingeben');
INSERT INTO `lang_definitions` VALUES (18333, 4812, 5, 'Bitte Nachricht eingeben');
INSERT INTO `lang_definitions` VALUES (18334, 4813, 5, 'Gib einen Geldbetrag ein, der ausschließlich aus Ziffern und dem Dezimaltrennzeichen besteht.');
INSERT INTO `lang_definitions` VALUES (18335, 4814, 5, 'Neues Passwort eingeben');
INSERT INTO `lang_definitions` VALUES (18336, 4815, 5, 'Titel eingeben');
INSERT INTO `lang_definitions` VALUES (18337, 4819, 5, 'Gib einen korrekten Re-Identification Code');
INSERT INTO `lang_definitions` VALUES (18338, 4821, 5, 'Bitte neue Suchzeichenfolge eingeben');
INSERT INTO `lang_definitions` VALUES (18339, 4822, 5, 'Gib einen korrekten Re-Idendification Code ein');
INSERT INTO `lang_definitions` VALUES (18340, 4823, 5, 'Neues Passwort eingeben');
INSERT INTO `lang_definitions` VALUES (18341, 4824, 5, 'Gib eine Cheque-Nummer an');
INSERT INTO `lang_definitions` VALUES (18342, 4825, 5, 'Gib eine Cheque/Ref-Nummer an');
INSERT INTO `lang_definitions` VALUES (18343, 4826, 5, 'Gib ein Datum an');
INSERT INTO `lang_definitions` VALUES (18344, 4827, 5, 'Gib einen Zahlbetrag an');
INSERT INTO `lang_definitions` VALUES (18345, 4828, 5, 'Gib eine Zahlungskategorie an');
INSERT INTO `lang_definitions` VALUES (18346, 4829, 5, '\"Zahlung von\" angeben');
INSERT INTO `lang_definitions` VALUES (18347, 4831, 5, 'Bitte ausfüllen.');
INSERT INTO `lang_definitions` VALUES (18348, 4832, 5, 'Gib einen Grund für diese Visite an');
INSERT INTO `lang_definitions` VALUES (18349, 4834, 5, 'Gib oben Suchkriterien an und klicke auf \"Absenden\", um Ergebnisse zu sehen');
INSERT INTO `lang_definitions` VALUES (18350, 4835, 5, 'Gib oben Suchkriterien an und klicke auf \"Absenden\", um Ergebnisse zu sehen (Ergebnisse erscheinen in einem neuen Fenster)');
INSERT INTO `lang_definitions` VALUES (18351, 4836, 5, 'Bitte nochmal anmelden.');
INSERT INTO `lang_definitions` VALUES (18352, 4837, 5, 'Beachte, dass dieser Vorgang sehr lange dauern kann und der Browser in dieser Zeit nicht reagieren kann.');
INSERT INTO `lang_definitions` VALUES (18353, 4838, 5, 'Bitte beachten: Bei Konstanten wird zwischen Groß- und Kleinschreibung unterschieden, jede Zeichenkette ist erlaubt.');
INSERT INTO `lang_definitions` VALUES (18354, 4839, 5, 'Verwende nur Buchstaben');
INSERT INTO `lang_definitions` VALUES (18355, 4840, 5, 'Verwende nur Buchstaben und keine Leerzeichen');
INSERT INTO `lang_definitions` VALUES (18356, 4841, 5, 'Bitte diesen Betrag zahlen');
INSERT INTO `lang_definitions` VALUES (18357, 4842, 5, 'Bitte plazieren Sie die Installations-Dateien in folgenden Ordner');
INSERT INTO `lang_definitions` VALUES (18358, 4844, 5, 'Passwort zurücksetzen');
INSERT INTO `lang_definitions` VALUES (18359, 4845, 5, 'Starte den Apache-Server neu, bevor Du de-Identification ausprobierst');
INSERT INTO `lang_definitions` VALUES (18360, 4847, 5, 'Bitte wählen');
INSERT INTO `lang_definitions` VALUES (18361, 4849, 5, 'Bitte eine Sprachen wählen');
INSERT INTO `lang_definitions` VALUES (18362, 4850, 5, 'Bitte einen Patienten wählen');
INSERT INTO `lang_definitions` VALUES (18363, 4854, 5, 'Bitte ein Rezept wählen');
INSERT INTO `lang_definitions` VALUES (18364, 4855, 5, 'Wähle ein Startdatum und ein Enddatum');
INSERT INTO `lang_definitions` VALUES (18365, 4856, 5, 'Wähle einen gültigen Empfänger');
INSERT INTO `lang_definitions` VALUES (18366, 4859, 5, 'Wähle ein Ereignis');
INSERT INTO `lang_definitions` VALUES (18367, 4860, 5, 'Wähle eine Suchoption');
INSERT INTO `lang_definitions` VALUES (18368, 4863, 5, 'Wähle mindestens eine Verschreibung');
INSERT INTO `lang_definitions` VALUES (18369, 4865, 5, 'Wähle die Seiten zum Kopieren oder Weiterleiten aus:');
INSERT INTO `lang_definitions` VALUES (18370, 4866, 5, 'Bitte wählen Sie die Zahlungsart');
INSERT INTO `lang_definitions` VALUES (18371, 4867, 5, 'Bitte Art der Zahlung wählen.');
INSERT INTO `lang_definitions` VALUES (18372, 4869, 5, 'Wähle X12-Partner; erforderlich, um den 270 batch zu erstellen');
INSERT INTO `lang_definitions` VALUES (18373, 4870, 5, 'Wähle');
INSERT INTO `lang_definitions` VALUES (18374, 4871, 5, 'Setze de_identification_config-Variable zurück auf null.');
INSERT INTO `lang_definitions` VALUES (18375, 4873, 5, 'Starte einen neuen De-Identifikationsprozess');
INSERT INTO `lang_definitions` VALUES (18376, 4874, 5, 'Aktualisiere die LibreEHR-Datenbank, um De-Identifikation nutzen zu können');
INSERT INTO `lang_definitions` VALUES (18377, 4875, 5, 'Schaue in die De-Identification Log-Tabelle für Details');
INSERT INTO `lang_definitions` VALUES (18378, 4876, 5, 'Besuche den De-Identification-Screen nach einiger Zeit');
INSERT INTO `lang_definitions` VALUES (18379, 4877, 5, 'Besuche den Re-Identification-Screen nach einiger Zeit');
INSERT INTO `lang_definitions` VALUES (18380, 4878, 5, 'Besuche diesen Screen nach einiger Zeit');
INSERT INTO `lang_definitions` VALUES (18381, 4882, 5, 'PM');
INSERT INTO `lang_definitions` VALUES (18382, 4883, 5, 'PM Programm');
INSERT INTO `lang_definitions` VALUES (18383, 4884, 5, 'Zahlungsart');
INSERT INTO `lang_definitions` VALUES (18384, 4896, 5, 'Point of Service (POS)');
INSERT INTO `lang_definitions` VALUES (18385, 4897, 5, 'Police');
INSERT INTO `lang_definitions` VALUES (18386, 4898, 5, 'Police-Nr.');
INSERT INTO `lang_definitions` VALUES (18387, 4899, 5, 'Police-Nummer');
INSERT INTO `lang_definitions` VALUES (18388, 4900, 5, 'Polnisch');
INSERT INTO `lang_definitions` VALUES (18389, 4901, 5, 'Polydipsie');
INSERT INTO `lang_definitions` VALUES (18390, 4902, 5, 'Polypen');
INSERT INTO `lang_definitions` VALUES (18391, 4903, 5, 'Polyurie');
INSERT INTO `lang_definitions` VALUES (18392, 4904, 5, 'Wenig Appetit');
INSERT INTO `lang_definitions` VALUES (18393, 4906, 5, 'Verminderte Hörfähigkeit');
INSERT INTO `lang_definitions` VALUES (18394, 4907, 5, 'Pop-Ups müssen aktiviert sein, um diesen Bericht zu sehen');
INSERT INTO `lang_definitions` VALUES (18395, 4908, 5, 'Soll die Jahresansicht mit Ereignissen gefüllt werden?');
INSERT INTO `lang_definitions` VALUES (18396, 4909, 5, 'Popups');
INSERT INTO `lang_definitions` VALUES (18397, 4910, 5, 'Portal');
INSERT INTO `lang_definitions` VALUES (18398, 4911, 5, 'Portal Aktivitäten');
INSERT INTO `lang_definitions` VALUES (18399, 4917, 5, 'Portugiesisch');
INSERT INTO `lang_definitions` VALUES (18400, 4918, 5, 'Portugiesisch (Brasilien)');
INSERT INTO `lang_definitions` VALUES (18401, 4919, 5, 'Portugiesisch (Europa)');
INSERT INTO `lang_definitions` VALUES (18402, 4920, 5, 'POS-Code');
INSERT INTO `lang_definitions` VALUES (18403, 4922, 5, 'Positiv');
INSERT INTO `lang_definitions` VALUES (18404, 4923, 5, 'Positives');
INSERT INTO `lang_definitions` VALUES (18405, 4925, 5, 'Beitrag For');
INSERT INTO `lang_definitions` VALUES (18406, 4928, 5, 'Nach OP');
INSERT INTO `lang_definitions` VALUES (18407, 4937, 5, 'Per Post');
INSERT INTO `lang_definitions` VALUES (18408, 4938, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (18409, 4939, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (18410, 4948, 5, 'Präsentiert von');
INSERT INTO `lang_definitions` VALUES (18411, 4953, 5, 'Praxis');
INSERT INTO `lang_definitions` VALUES (18412, 4954, 5, 'Praxis Voreinstellungen');
INSERT INTO `lang_definitions` VALUES (18413, 4955, 5, 'Einstellungen für die Praxis');
INSERT INTO `lang_definitions` VALUES (18414, 4956, 5, 'Behandler');
INSERT INTO `lang_definitions` VALUES (18415, 4958, 5, 'Vorauskasse');
INSERT INTO `lang_definitions` VALUES (18416, 4959, 5, 'Vorauszahlung');
INSERT INTO `lang_definitions` VALUES (18417, 4964, 5, 'Einstellungen');
INSERT INTO `lang_definitions` VALUES (18418, 4965, 5, 'Bevorzugte Ereignis Kategorie');
INSERT INTO `lang_definitions` VALUES (18419, 4966, 5, 'Bevorzugte Sprache');
INSERT INTO `lang_definitions` VALUES (18420, 4967, 5, 'Bevorzugte Apotheke');
INSERT INTO `lang_definitions` VALUES (18421, 4969, 5, 'Schwangerschaftstest');
INSERT INTO `lang_definitions` VALUES (18422, 4970, 5, 'Vorläufig');
INSERT INTO `lang_definitions` VALUES (18423, 4972, 5, 'Vorauskasse');
INSERT INTO `lang_definitions` VALUES (18424, 4973, 5, 'Rezepte');
INSERT INTO `lang_definitions` VALUES (18425, 4974, 5, 'Verschreibung hat Grenze erreicht von');
INSERT INTO `lang_definitions` VALUES (18426, 4975, 5, 'Verschreibungs-Historie');
INSERT INTO `lang_definitions` VALUES (18427, 4976, 5, 'Verschreibungs-Historie erfolgreich importiert');
INSERT INTO `lang_definitions` VALUES (18428, 4977, 5, 'Rezept Label');
INSERT INTO `lang_definitions` VALUES (18429, 4978, 5, 'Rezept Bericht');
INSERT INTO `lang_definitions` VALUES (18430, 4979, 5, 'Rezepte');
INSERT INTO `lang_definitions` VALUES (18431, 4983, 5, 'Rezepte Bericht');
INSERT INTO `lang_definitions` VALUES (18432, 4985, 5, 'Anwesend');
INSERT INTO `lang_definitions` VALUES (18433, 4991, 5, 'Vorherig');
INSERT INTO `lang_definitions` VALUES (18434, 4993, 5, 'Vorheriger Monat (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (18435, 4994, 5, 'Vorheriges Jahr (gedrückt halten für Menü)');
INSERT INTO `lang_definitions` VALUES (18436, 4995, 5, 'Vorsorge Check');
INSERT INTO `lang_definitions` VALUES (18437, 4998, 5, 'Ereignis Vorschau');
INSERT INTO `lang_definitions` VALUES (18438, 5000, 5, 'Vorschau von');
INSERT INTO `lang_definitions` VALUES (18439, 5001, 5, 'Vorherige');
INSERT INTO `lang_definitions` VALUES (18440, 5002, 5, 'Vorherige Konsultationen');
INSERT INTO `lang_definitions` VALUES (18441, 5003, 5, 'Vorheriger Tag');
INSERT INTO `lang_definitions` VALUES (18442, 5004, 5, 'Vorherige Historie/Screening');
INSERT INTO `lang_definitions` VALUES (18443, 5005, 5, 'Vorheriger Monat');
INSERT INTO `lang_definitions` VALUES (18444, 5006, 5, 'Vorherige Woche');
INSERT INTO `lang_definitions` VALUES (18445, 5007, 5, 'Preis');
INSERT INTO `lang_definitions` VALUES (18446, 5009, 5, 'Preis Niveau');
INSERT INTO `lang_definitions` VALUES (18447, 5010, 5, 'Preis Niveau:');
INSERT INTO `lang_definitions` VALUES (18448, 5011, 5, 'Preise');
INSERT INTO `lang_definitions` VALUES (18449, 5012, 5, 'Erste');
INSERT INTO `lang_definitions` VALUES (18450, 5022, 5, 'Erstversicherung');
INSERT INTO `lang_definitions` VALUES (18451, 5023, 5, 'Erstversicherung');
INSERT INTO `lang_definitions` VALUES (18452, 5024, 5, 'Erstversicherung Daten');
INSERT INTO `lang_definitions` VALUES (18453, 5025, 5, 'Erstversicherung Anbieter');
INSERT INTO `lang_definitions` VALUES (18454, 5026, 5, 'Erster Anbieter');
INSERT INTO `lang_definitions` VALUES (18455, 5027, 5, 'Drucken');
INSERT INTO `lang_definitions` VALUES (18456, 5028, 5, 'Drucken (HTML)');
INSERT INTO `lang_definitions` VALUES (18457, 5029, 5, 'Drucken (PDF)');
INSERT INTO `lang_definitions` VALUES (18458, 5032, 5, 'Drucke leeres Überweisungsformular');
INSERT INTO `lang_definitions` VALUES (18459, 5033, 5, 'Druckbefehl');
INSERT INTO `lang_definitions` VALUES (18460, 5039, 5, 'Druck Format');
INSERT INTO `lang_definitions` VALUES (18461, 5042, 5, 'Druck nachricht');
INSERT INTO `lang_definitions` VALUES (18462, 5043, 5, 'Drucke mehrere');
INSERT INTO `lang_definitions` VALUES (18463, 5046, 5, 'Drucke Notizen');
INSERT INTO `lang_definitions` VALUES (18464, 5047, 5, 'Drucke Seite 1');
INSERT INTO `lang_definitions` VALUES (18465, 5048, 5, 'Drucke Seite 1');
INSERT INTO `lang_definitions` VALUES (18466, 5052, 5, 'Drucke Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (18467, 5053, 5, 'Drucke ausgewählte Aussagen');
INSERT INTO `lang_definitions` VALUES (18468, 5056, 5, 'Drucke diese Visite');
INSERT INTO `lang_definitions` VALUES (18469, 5057, 5, 'Drucke diese notiz');
INSERT INTO `lang_definitions` VALUES (18470, 5058, 5, 'Drucke diese Notiz');
INSERT INTO `lang_definitions` VALUES (18471, 5060, 5, 'Drucke nach Fax');
INSERT INTO `lang_definitions` VALUES (18472, 5061, 5, 'Drucke Ansicht');
INSERT INTO `lang_definitions` VALUES (18473, 5062, 5, 'druckbar');
INSERT INTO `lang_definitions` VALUES (18474, 5063, 5, 'Druckbare Version');
INSERT INTO `lang_definitions` VALUES (18475, 5064, 5, 'Gedruckt');
INSERT INTO `lang_definitions` VALUES (18476, 5066, 5, 'Drucke Ergebnisse:');
INSERT INTO `lang_definitions` VALUES (18477, 5067, 5, 'Druck ausgelassen; Test-Ausgabe in');
INSERT INTO `lang_definitions` VALUES (18478, 5068, 5, 'Druck ausgelassen; Test-Ausgabe in ');
INSERT INTO `lang_definitions` VALUES (18479, 5072, 5, 'Priorität');
INSERT INTO `lang_definitions` VALUES (18480, 5073, 5, 'Priorität ');
INSERT INTO `lang_definitions` VALUES (18481, 5074, 5, 'Privat');
INSERT INTO `lang_definitions` VALUES (18482, 5075, 5, 'Problem');
INSERT INTO `lang_definitions` VALUES (18483, 5076, 5, 'Problem DX');
INSERT INTO `lang_definitions` VALUES (18484, 5077, 5, 'Problem Liste');
INSERT INTO `lang_definitions` VALUES (18485, 5079, 5, 'Probleme/Punkte');
INSERT INTO `lang_definitions` VALUES (18486, 5114, 5, 'Leistungen');
INSERT INTO `lang_definitions` VALUES (18487, 5115, 5, 'Verarbeitung');
INSERT INTO `lang_definitions` VALUES (18488, 5117, 5, 'Verarbeite ERA-Datei');
INSERT INTO `lang_definitions` VALUES (18489, 5120, 5, 'Verarbeitung benötigt etwas Zeit');
INSERT INTO `lang_definitions` VALUES (18490, 5121, 5, 'Verarbeitet');
INSERT INTO `lang_definitions` VALUES (18491, 5122, 5, 'Verarbeitet durch');
INSERT INTO `lang_definitions` VALUES (18492, 5123, 5, 'Verarbeitet Datum');
INSERT INTO `lang_definitions` VALUES (18493, 5125, 5, 'Verarbeite');
INSERT INTO `lang_definitions` VALUES (18494, 5129, 5, 'Prodikt');
INSERT INTO `lang_definitions` VALUES (18495, 5136, 5, 'Prostata-Krebs');
INSERT INTO `lang_definitions` VALUES (18496, 5137, 5, 'Screening auf Prostata-Krebs');
INSERT INTO `lang_definitions` VALUES (18497, 5138, 5, 'Prostata-Untersuchung');
INSERT INTO `lang_definitions` VALUES (18498, 5139, 5, 'Prostata-Probleme');
INSERT INTO `lang_definitions` VALUES (18499, 5142, 5, 'Gib den absoluten Pfad an');
INSERT INTO `lang_definitions` VALUES (18500, 5143, 5, 'Gib den absoluten Pfad der Datei an');
INSERT INTO `lang_definitions` VALUES (18501, 5152, 5, 'Behandler');
INSERT INTO `lang_definitions` VALUES (18502, 5154, 5, 'Behandler ID');
INSERT INTO `lang_definitions` VALUES (18503, 5155, 5, 'Behandler ID @ spezifizierten Standort');
INSERT INTO `lang_definitions` VALUES (18504, 5159, 5, 'Behandler Nummer');
INSERT INTO `lang_definitions` VALUES (18505, 5162, 5, 'Behandler:');
INSERT INTO `lang_definitions` VALUES (18506, 5163, 5, 'Behandler');
INSERT INTO `lang_definitions` VALUES (18507, 5164, 5, 'Behandler NPI');
INSERT INTO `lang_definitions` VALUES (18508, 5165, 5, 'Behandler sieht gesamten Kalender');
INSERT INTO `lang_definitions` VALUES (18509, 5208, 5, 'Kaufen');
INSERT INTO `lang_definitions` VALUES (18510, 5209, 5, 'Kaufen/Return');
INSERT INTO `lang_definitions` VALUES (18511, 5210, 5, 'Käufe');
INSERT INTO `lang_definitions` VALUES (18512, 5222, 5, 'Menge');
INSERT INTO `lang_definitions` VALUES (18513, 5223, 5, 'MENGE');
INSERT INTO `lang_definitions` VALUES (18514, 5224, 5, 'Qualität');
INSERT INTO `lang_definitions` VALUES (18515, 5226, 5, 'Quantität');
INSERT INTO `lang_definitions` VALUES (18516, 5231, 5, 'Fragezeichen');
INSERT INTO `lang_definitions` VALUES (18517, 5236, 5, 'Warteschlange');
INSERT INTO `lang_definitions` VALUES (18518, 5248, 5, 'Radio');
INSERT INTO `lang_definitions` VALUES (18519, 5249, 5, 'Auswahlknöpfe');
INSERT INTO `lang_definitions` VALUES (18520, 5251, 5, 'Bereich');
INSERT INTO `lang_definitions` VALUES (18521, 5252, 5, 'Hautausschläge');
INSERT INTO `lang_definitions` VALUES (18522, 5253, 5, 'Tarif');
INSERT INTO `lang_definitions` VALUES (18523, 5254, 5, 'Verhältnis');
INSERT INTO `lang_definitions` VALUES (18524, 5255, 5, 'Roh Bericht');
INSERT INTO `lang_definitions` VALUES (18525, 5263, 5, 'Reaktion');
INSERT INTO `lang_definitions` VALUES (18526, 5264, 5, 'Reaktionen');
INSERT INTO `lang_definitions` VALUES (18527, 5265, 5, 'Lesen');
INSERT INTO `lang_definitions` VALUES (18528, 5268, 5, 'Echter Name');
INSERT INTO `lang_definitions` VALUES (18529, 5269, 5, 'wirklich löschen');
INSERT INTO `lang_definitions` VALUES (18530, 5270, 5, 'Begründung');
INSERT INTO `lang_definitions` VALUES (18531, 5271, 5, 'Grund Verstorben');
INSERT INTO `lang_definitions` VALUES (18532, 5272, 5, 'Grund für Tod');
INSERT INTO `lang_definitions` VALUES (18533, 5274, 5, 'Grund für die Überweisung');
INSERT INTO `lang_definitions` VALUES (18534, 5275, 5, 'Grund für die Konsultation');
INSERT INTO `lang_definitions` VALUES (18535, 5277, 5, 'Quittung');
INSERT INTO `lang_definitions` VALUES (18536, 5278, 5, 'Zahlungsbestätigung');
INSERT INTO `lang_definitions` VALUES (18537, 5279, 5, 'Beleg generiert');
INSERT INTO `lang_definitions` VALUES (18538, 5281, 5, 'Beleg Übersicht');
INSERT INTO `lang_definitions` VALUES (18539, 5282, 5, 'Erhalten');
INSERT INTO `lang_definitions` VALUES (18540, 5283, 5, 'Entgegengenommen durch');
INSERT INTO `lang_definitions` VALUES (18541, 5284, 5, 'Erhaltene Faxe');
INSERT INTO `lang_definitions` VALUES (18542, 5285, 5, 'Erhalten, nicht kontrolliert');
INSERT INTO `lang_definitions` VALUES (18543, 5287, 5, 'Empfänger');
INSERT INTO `lang_definitions` VALUES (18544, 5288, 5, 'Empfänger ID');
INSERT INTO `lang_definitions` VALUES (18545, 5289, 5, 'Empfänger ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (18546, 5293, 5, 'Empfänger');
INSERT INTO `lang_definitions` VALUES (18547, 5294, 5, 'Empfänger Liste ist leer');
INSERT INTO `lang_definitions` VALUES (18548, 5295, 5, 'Empfänger Name');
INSERT INTO `lang_definitions` VALUES (18549, 5298, 5, 'Empfehlung');
INSERT INTO `lang_definitions` VALUES (18550, 5300, 5, 'Empfehlungen');
INSERT INTO `lang_definitions` VALUES (18551, 5301, 5, 'Empfehlungen und Behandlung');
INSERT INTO `lang_definitions` VALUES (18552, 5302, 5, 'Empfehlungen von Spezialisten');
INSERT INTO `lang_definitions` VALUES (18553, 5303, 5, 'Aufzeichnung');
INSERT INTO `lang_definitions` VALUES (18554, 5304, 5, 'Aufzeichnung bereits vorhanden');
INSERT INTO `lang_definitions` VALUES (18555, 5313, 5, 'Aufzeichnungen der Fitnes');
INSERT INTO `lang_definitions` VALUES (18556, 5317, 5, 'Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (18557, 5318, 5, 'Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (18558, 5319, 5, 'Aufzeichnungen gefunden');
INSERT INTO `lang_definitions` VALUES (18559, 5322, 5, 'Rektal');
INSERT INTO `lang_definitions` VALUES (18560, 5323, 5, 'rektale Untersuchung');
INSERT INTO `lang_definitions` VALUES (18561, 5324, 5, 'rektal');
INSERT INTO `lang_definitions` VALUES (18562, 5325, 5, 'Weiterleitung');
INSERT INTO `lang_definitions` VALUES (18563, 5326, 5, 'Rötung');
INSERT INTO `lang_definitions` VALUES (18564, 5337, 5, 'Überweisung');
INSERT INTO `lang_definitions` VALUES (18565, 5338, 5, 'Überwiesen durch');
INSERT INTO `lang_definitions` VALUES (18566, 5339, 5, 'Überweisungskarte');
INSERT INTO `lang_definitions` VALUES (18567, 5340, 5, 'Überweisungsdatum');
INSERT INTO `lang_definitions` VALUES (18568, 5341, 5, 'Überweisungsformular');
INSERT INTO `lang_definitions` VALUES (18569, 5342, 5, 'ÜBERWEISUNGSFORMULAR');
INSERT INTO `lang_definitions` VALUES (18570, 5343, 5, 'Überweisungs ID');
INSERT INTO `lang_definitions` VALUES (18571, 5347, 5, 'Überweisung zu');
INSERT INTO `lang_definitions` VALUES (18572, 5348, 5, 'Überweisungen');
INSERT INTO `lang_definitions` VALUES (18573, 5349, 5, 'Überweisungs Berichte');
INSERT INTO `lang_definitions` VALUES (18574, 5350, 5, 'Empfohlen durch');
INSERT INTO `lang_definitions` VALUES (18575, 5351, 5, 'Empfohlen Durch');
INSERT INTO `lang_definitions` VALUES (18576, 5352, 5, 'Empfohlen an');
INSERT INTO `lang_definitions` VALUES (18577, 5353, 5, 'Verweiser');
INSERT INTO `lang_definitions` VALUES (18578, 5355, 5, 'Verweiser Diagnose');
INSERT INTO `lang_definitions` VALUES (18579, 5356, 5, 'Verweiser DIagnose');
INSERT INTO `lang_definitions` VALUES (18580, 5358, 5, 'Überwiesen von');
INSERT INTO `lang_definitions` VALUES (18581, 5359, 5, 'Nachfüllungen');
INSERT INTO `lang_definitions` VALUES (18582, 5360, 5, 'Nachfüllungen');
INSERT INTO `lang_definitions` VALUES (18583, 5361, 5, 'Nachfüllungen');
INSERT INTO `lang_definitions` VALUES (18584, 5362, 5, 'Normale Reflexen');
INSERT INTO `lang_definitions` VALUES (18585, 5363, 5, 'Aktualisieren');
INSERT INTO `lang_definitions` VALUES (18586, 5365, 5, 'Erinnerungen aktualisieren');
INSERT INTO `lang_definitions` VALUES (18587, 5381, 5, 'beziehen sich auf');
INSERT INTO `lang_definitions` VALUES (18588, 5409, 5, 'Erinnerung');
INSERT INTO `lang_definitions` VALUES (18589, 5410, 5, 'Erinnerungsintervall');
INSERT INTO `lang_definitions` VALUES (18590, 5411, 5, 'Erinnerung nicht definiert');
INSERT INTO `lang_definitions` VALUES (18591, 5412, 5, 'Erinnerung gesetzt auf');
INSERT INTO `lang_definitions` VALUES (18592, 5413, 5, 'Erinnerungen');
INSERT INTO `lang_definitions` VALUES (18593, 5416, 5, 'Entfernen');
INSERT INTO `lang_definitions` VALUES (18594, 5419, 5, 'Entferne Gruppe');
INSERT INTO `lang_definitions` VALUES (18595, 5420, 5, 'Entferne Gruppen Formular');
INSERT INTO `lang_definitions` VALUES (18596, 5440, 5, 'Wiederholungen');
INSERT INTO `lang_definitions` VALUES (18597, 5444, 5, 'Antwort Datum');
INSERT INTO `lang_definitions` VALUES (18598, 5445, 5, 'Antwort von');
INSERT INTO `lang_definitions` VALUES (18599, 5446, 5, 'Bericht');
INSERT INTO `lang_definitions` VALUES (18600, 5447, 5, 'Klinischer Bericht');
INSERT INTO `lang_definitions` VALUES (18601, 5449, 5, 'Bericht von');
INSERT INTO `lang_definitions` VALUES (18602, 5457, 5, 'Bericht Status');
INSERT INTO `lang_definitions` VALUES (18603, 5458, 5, 'Vollständiger Bericht');
INSERT INTO `lang_definitions` VALUES (18604, 5459, 5, 'Report/Formular');
INSERT INTO `lang_definitions` VALUES (18605, 5461, 5, 'Berichtet');
INSERT INTO `lang_definitions` VALUES (18606, 5462, 5, 'Bericht Datum');
INSERT INTO `lang_definitions` VALUES (18607, 5463, 5, 'Berichte');
INSERT INTO `lang_definitions` VALUES (18608, 5477, 5, 'Erforderlich');
INSERT INTO `lang_definitions` VALUES (18609, 5483, 5, 'Erforderliche Felder');
INSERT INTO `lang_definitions` VALUES (18610, 5484, 5, 'Anforderungen');
INSERT INTO `lang_definitions` VALUES (18611, 5485, 5, 'Reserviert');
INSERT INTO `lang_definitions` VALUES (18612, 5486, 5, 'Reserviert');
INSERT INTO `lang_definitions` VALUES (18613, 5491, 5, 'Zurücksetzen');
INSERT INTO `lang_definitions` VALUES (18614, 5492, 5, 'Zurücksetzen der \"Offsite Portal\" Zugangsdaten');
INSERT INTO `lang_definitions` VALUES (18615, 5493, 5, 'Zurücksetzen der \"Onsite Portal\" Zugangsdaten');
INSERT INTO `lang_definitions` VALUES (18616, 5496, 5, 'Gelöst');
INSERT INTO `lang_definitions` VALUES (18617, 5504, 5, 'Ergebnis');
INSERT INTO `lang_definitions` VALUES (18618, 5506, 5, 'Ergebnis Status');
INSERT INTO `lang_definitions` VALUES (18619, 5510, 5, 'Ergebnisse und');
INSERT INTO `lang_definitions` VALUES (18620, 5511, 5, 'Ergebnis gefünden für');
INSERT INTO `lang_definitions` VALUES (18621, 5512, 5, 'Ergebnis Gruppe');
INSERT INTO `lang_definitions` VALUES (18622, 5515, 5, 'Ergebnisse pro Seite');
INSERT INTO `lang_definitions` VALUES (18623, 5516, 5, 'Ergebnisse/Details');
INSERT INTO `lang_definitions` VALUES (18624, 5527, 5, 'Rückgabewert');
INSERT INTO `lang_definitions` VALUES (18625, 5538, 5, 'Revision');
INSERT INTO `lang_definitions` VALUES (18626, 5541, 5, 'Rechts');
INSERT INTO `lang_definitions` VALUES (18627, 5542, 5, 'Rechtes Ohr');
INSERT INTO `lang_definitions` VALUES (18628, 5543, 5, 'rechtes Ohr');
INSERT INTO `lang_definitions` VALUES (18629, 5545, 5, 'Rechts:');
INSERT INTO `lang_definitions` VALUES (18630, 5549, 5, 'Risikofaktor');
INSERT INTO `lang_definitions` VALUES (18631, 5550, 5, 'Risikolevel');
INSERT INTO `lang_definitions` VALUES (18632, 5564, 5, 'Reihen');
INSERT INTO `lang_definitions` VALUES (18633, 5568, 5, 'Regel');
INSERT INTO `lang_definitions` VALUES (18634, 5569, 5, 'Regeln Hinzufügen');
INSERT INTO `lang_definitions` VALUES (18635, 5570, 5, 'Regeln Detail');
INSERT INTO `lang_definitions` VALUES (18636, 5572, 5, 'Regeln Ändern');
INSERT INTO `lang_definitions` VALUES (18637, 5575, 5, 'Regeln setzen');
INSERT INTO `lang_definitions` VALUES (18638, 5578, 5, 'Regeln');
INSERT INTO `lang_definitions` VALUES (18639, 5580, 5, 'Regeln Konfiguration');
INSERT INTO `lang_definitions` VALUES (18640, 5601, 5, 'SV-Nummer');
INSERT INTO `lang_definitions` VALUES (18641, 5605, 5, 'Verkauf');
INSERT INTO `lang_definitions` VALUES (18642, 5606, 5, 'Verkäufe');
INSERT INTO `lang_definitions` VALUES (18643, 5607, 5, 'Umsatz nach Artikel');
INSERT INTO `lang_definitions` VALUES (18644, 5609, 5, 'Speichel');
INSERT INTO `lang_definitions` VALUES (18645, 5610, 5, 'selben Tag');
INSERT INTO `lang_definitions` VALUES (18646, 5612, 5, 'Probe');
INSERT INTO `lang_definitions` VALUES (18647, 5617, 5, 'Sa');
INSERT INTO `lang_definitions` VALUES (18648, 5618, 5, 'Sa &amp; So');
INSERT INTO `lang_definitions` VALUES (18649, 5619, 5, 'Samstag');
INSERT INTO `lang_definitions` VALUES (18650, 5620, 5, 'Speichern');
INSERT INTO `lang_definitions` VALUES (18651, 5621, 5, 'SPEICHERN');
INSERT INTO `lang_definitions` VALUES (18652, 5622, 5, 'Speichern und Schließen');
INSERT INTO `lang_definitions` VALUES (18653, 5624, 5, 'Speichern und Dispense');
INSERT INTO `lang_definitions` VALUES (18654, 5626, 5, 'Speichern als Neu');
INSERT INTO `lang_definitions` VALUES (18655, 5627, 5, 'Speichern als neue Notiz');
INSERT INTO `lang_definitions` VALUES (18656, 5628, 5, 'Speichern Gutachten Einstellungen');
INSERT INTO `lang_definitions` VALUES (18657, 5629, 5, 'Speichere Änderungen');
INSERT INTO `lang_definitions` VALUES (18658, 5630, 5, 'Speichere Formular');
INSERT INTO `lang_definitions` VALUES (18659, 5631, 5, 'Speichere Impfungen');
INSERT INTO `lang_definitions` VALUES (18660, 5632, 5, 'Speichere neues Feld');
INSERT INTO `lang_definitions` VALUES (18661, 5633, 5, 'Speichere neue Gruppe');
INSERT INTO `lang_definitions` VALUES (18662, 5634, 5, 'Speichere neue Liste');
INSERT INTO `lang_definitions` VALUES (18663, 5635, 5, 'Speichere neue Vorlage');
INSERT INTO `lang_definitions` VALUES (18664, 5637, 5, 'Speichere Patienten Daten');
INSERT INTO `lang_definitions` VALUES (18665, 5639, 5, 'Speichere Transaktion');
INSERT INTO `lang_definitions` VALUES (18666, 5641, 5, 'Gescannt');
INSERT INTO `lang_definitions` VALUES (18667, 5643, 5, 'Scanner Verzeichnis');
INSERT INTO `lang_definitions` VALUES (18668, 5644, 5, 'Scanner in');
INSERT INTO `lang_definitions` VALUES (18669, 5645, 5, 'Planen');
INSERT INTO `lang_definitions` VALUES (18670, 5646, 5, 'Plane Standort:');
INSERT INTO `lang_definitions` VALUES (18671, 5647, 5, 'Schul Notiz');
INSERT INTO `lang_definitions` VALUES (18672, 5648, 5, 'Skoliose');
INSERT INTO `lang_definitions` VALUES (18673, 5659, 5, 'Suchen');
INSERT INTO `lang_definitions` VALUES (18674, 5661, 5, 'suchen');
INSERT INTO `lang_definitions` VALUES (18675, 5662, 5, 'nochmals suchen');
INSERT INTO `lang_definitions` VALUES (18676, 5663, 5, 'Suche alle Spalten');
INSERT INTO `lang_definitions` VALUES (18677, 5664, 5, 'Suchen von:');
INSERT INTO `lang_definitions` VALUES (18678, 5665, 5, 'Suchen nach');
INSERT INTO `lang_definitions` VALUES (18679, 5666, 5, 'Suchen nach:');
INSERT INTO `lang_definitions` VALUES (18680, 5668, 5, 'Suchen in');
INSERT INTO `lang_definitions` VALUES (18681, 5669, 5, 'Suche / Hinzufügen Patient');
INSERT INTO `lang_definitions` VALUES (18682, 5670, 5, 'Suche Zahlung');
INSERT INTO `lang_definitions` VALUES (18683, 5671, 5, 'Suchresultate');
INSERT INTO `lang_definitions` VALUES (18684, 5672, 5, 'Suchresultate:');
INSERT INTO `lang_definitions` VALUES (18685, 5673, 5, 'Suche Ausgewählt');
INSERT INTO `lang_definitions` VALUES (18686, 5674, 5, 'Such Zeichenfolge stimmt nicht mit der Datenbank Liste überein');
INSERT INTO `lang_definitions` VALUES (18687, 5675, 5, 'Suchbegriff muss mindestens drei Zeichen haben');
INSERT INTO `lang_definitions` VALUES (18688, 5676, 5, 'Suche Text');
INSERT INTO `lang_definitions` VALUES (18689, 5677, 5, 'Such das Ereignis');
INSERT INTO `lang_definitions` VALUES (18690, 5678, 5, 'Suchen/Hinzufügen');
INSERT INTO `lang_definitions` VALUES (18691, 5679, 5, 'Suche/Hinzufügen Versicherer');
INSERT INTO `lang_definitions` VALUES (18692, 5680, 5, 'Suche nach Tremine');
INSERT INTO `lang_definitions` VALUES (18693, 5681, 5, 'Suchen ...');
INSERT INTO `lang_definitions` VALUES (18694, 5682, 5, 'Sicherheitsgurt Verwendung');
INSERT INTO `lang_definitions` VALUES (18695, 5683, 5, 'Sicherheitsgurt Verwendung');
INSERT INTO `lang_definitions` VALUES (18696, 5684, 5, 'Zweite');
INSERT INTO `lang_definitions` VALUES (18697, 5687, 5, 'Zweite');
INSERT INTO `lang_definitions` VALUES (18698, 5688, 5, 'Zweite Versicherung');
INSERT INTO `lang_definitions` VALUES (18699, 5689, 5, 'Zweite Versicherung Daten');
INSERT INTO `lang_definitions` VALUES (18700, 5690, 5, 'Zweite Versicherung Anbieter');
INSERT INTO `lang_definitions` VALUES (18701, 5698, 5, 'Sicherheit');
INSERT INTO `lang_definitions` VALUES (18702, 5699, 5, 'Zeige alle');
INSERT INTO `lang_definitions` VALUES (18703, 5700, 5, 'Zeige Autorisierungen');
INSERT INTO `lang_definitions` VALUES (18704, 5704, 5, 'gesehen, seit');
INSERT INTO `lang_definitions` VALUES (18705, 5707, 5, 'Anfälle');
INSERT INTO `lang_definitions` VALUES (18706, 5708, 5, 'Sel');
INSERT INTO `lang_definitions` VALUES (18707, 5709, 5, 'Wählen');
INSERT INTO `lang_definitions` VALUES (18708, 5710, 5, 'wählen');
INSERT INTO `lang_definitions` VALUES (18709, 5712, 5, 'Wählen Sie einen Context');
INSERT INTO `lang_definitions` VALUES (18710, 5714, 5, 'Wählen Sie eine Zeitspanne');
INSERT INTO `lang_definitions` VALUES (18711, 5715, 5, 'Anwender wählen');
INSERT INTO `lang_definitions` VALUES (18712, 5716, 5, 'alle selektieren');
INSERT INTO `lang_definitions` VALUES (18713, 5720, 5, 'Kategorie wählen');
INSERT INTO `lang_definitions` VALUES (18714, 5722, 5, 'Das entsprechenden Kontrollkästchen wählen um zu löschen');
INSERT INTO `lang_definitions` VALUES (18715, 5723, 5, 'Kriterium zum Löschen Wählen');
INSERT INTO `lang_definitions` VALUES (18716, 5727, 5, 'Datum Wählen');
INSERT INTO `lang_definitions` VALUES (18717, 5728, 5, 'Gewünschten Kader wählen');
INSERT INTO `lang_definitions` VALUES (18718, 5729, 5, 'Diagnose wählen');
INSERT INTO `lang_definitions` VALUES (18719, 5731, 5, 'Medikament wählen');
INSERT INTO `lang_definitions` VALUES (18720, 5732, 5, 'Medikamente wählen');
INSERT INTO `lang_definitions` VALUES (18721, 5736, 5, 'feld wählen');
INSERT INTO `lang_definitions` VALUES (18722, 5737, 5, 'Feld wählen');
INSERT INTO `lang_definitions` VALUES (18723, 5738, 5, 'Wählen zum Drücken');
INSERT INTO `lang_definitions` VALUES (18724, 5739, 5, 'Wähle Impfung');
INSERT INTO `lang_definitions` VALUES (18725, 5742, 5, 'Problem');
INSERT INTO `lang_definitions` VALUES (18726, 5744, 5, 'Wähle Sprache');
INSERT INTO `lang_definitions` VALUES (18727, 5745, 5, 'Auswählen');
INSERT INTO `lang_definitions` VALUES (18728, 5759, 5, 'Wähle Anwender');
INSERT INTO `lang_definitions` VALUES (18729, 5760, 5, 'Wähle Anwender von Dropdown-Liste');
INSERT INTO `lang_definitions` VALUES (18730, 5765, 5, 'Selektiert');
INSERT INTO `lang_definitions` VALUES (18731, 5768, 5, 'Selbst');
INSERT INTO `lang_definitions` VALUES (18732, 5769, 5, 'Selbstzahler');
INSERT INTO `lang_definitions` VALUES (18733, 5771, 5, 'Senden');
INSERT INTO `lang_definitions` VALUES (18734, 5772, 5, 'Sende eine Datum-Erinnerung');
INSERT INTO `lang_definitions` VALUES (18735, 5773, 5, 'Sende eine Erinnerung');
INSERT INTO `lang_definitions` VALUES (18736, 5774, 5, 'Wird gesendet');
INSERT INTO `lang_definitions` VALUES (18737, 5775, 5, 'Nachricht senden');
INSERT INTO `lang_definitions` VALUES (18738, 5779, 5, 'Datei senden');
INSERT INTO `lang_definitions` VALUES (18739, 5781, 5, 'Senden an');
INSERT INTO `lang_definitions` VALUES (18740, 5784, 5, 'Senden an alle');
INSERT INTO `lang_definitions` VALUES (18741, 5788, 5, 'Absender');
INSERT INTO `lang_definitions` VALUES (18742, 5789, 5, 'Absender ID');
INSERT INTO `lang_definitions` VALUES (18743, 5790, 5, 'Absender ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (18744, 5791, 5, 'Absender ID (ISA05)');
INSERT INTO `lang_definitions` VALUES (18745, 5794, 5, 'Befindlichkeiten');
INSERT INTO `lang_definitions` VALUES (18746, 5795, 5, 'Sensibilität:');
INSERT INTO `lang_definitions` VALUES (18747, 5796, 5, 'Sensorische Untersuchung Normal');
INSERT INTO `lang_definitions` VALUES (18748, 5799, 5, 'Gesendet durch (leer für alle)');
INSERT INTO `lang_definitions` VALUES (18749, 5801, 5, 'Absendedatum');
INSERT INTO `lang_definitions` VALUES (18750, 5802, 5, 'Gesendete Elemente');
INSERT INTO `lang_definitions` VALUES (18751, 5803, 5, 'Gesendete medizinische Aufzeichnungen');
INSERT INTO `lang_definitions` VALUES (18752, 5804, 5, 'Erfolgreich gesendet');
INSERT INTO `lang_definitions` VALUES (18753, 5807, 5, 'Drucken');
INSERT INTO `lang_definitions` VALUES (18754, 5808, 5, 'Gesendet An (leer für alle)');
INSERT INTO `lang_definitions` VALUES (18755, 5812, 5, 'Sep.');
INSERT INTO `lang_definitions` VALUES (18756, 5813, 5, 'Getrennt');
INSERT INTO `lang_definitions` VALUES (18757, 5814, 5, 'September');
INSERT INTO `lang_definitions` VALUES (18758, 5815, 5, 'Seq');
INSERT INTO `lang_definitions` VALUES (18759, 5816, 5, 'Sequenz');
INSERT INTO `lang_definitions` VALUES (18760, 5821, 5, 'Service');
INSERT INTO `lang_definitions` VALUES (18761, 5822, 5, 'Service Kategorie');
INSERT INTO `lang_definitions` VALUES (18762, 5823, 5, 'Service Code');
INSERT INTO `lang_definitions` VALUES (18763, 5825, 5, 'Service Codes');
INSERT INTO `lang_definitions` VALUES (18764, 5826, 5, 'Service Datum');
INSERT INTO `lang_definitions` VALUES (18765, 5827, 5, 'Service Datum:');
INSERT INTO `lang_definitions` VALUES (18766, 5829, 5, 'Service Ort');
INSERT INTO `lang_definitions` VALUES (18767, 5849, 5, 'Einstellungen');
INSERT INTO `lang_definitions` VALUES (18768, 5855, 5, 'Geschl.');
INSERT INTO `lang_definitions` VALUES (18769, 5856, 5, 'Sexuell übertragbare Krankheiten');
INSERT INTO `lang_definitions` VALUES (18770, 5859, 5, 'Teilen');
INSERT INTO `lang_definitions` VALUES (18771, 5864, 5, 'Kurzatmigkeit');
INSERT INTO `lang_definitions` VALUES (18772, 5865, 5, 'Kurzatmigkeit');
INSERT INTO `lang_definitions` VALUES (18773, 5866, 5, 'Kurzatmigkeit');
INSERT INTO `lang_definitions` VALUES (18774, 5872, 5, 'sollte 10 Ziffern enthalten');
INSERT INTO `lang_definitions` VALUES (18775, 5873, 5, 'sollte nur 10 Ziffern enthalten');
INSERT INTO `lang_definitions` VALUES (18776, 5874, 5, 'Schulter');
INSERT INTO `lang_definitions` VALUES (18777, 5875, 5, 'Schulter + Schlüsselbein');
INSERT INTO `lang_definitions` VALUES (18778, 5876, 5, 'Schulter Probleme');
INSERT INTO `lang_definitions` VALUES (18779, 5877, 5, 'Zeige');
INSERT INTO `lang_definitions` VALUES (18780, 5878, 5, 'Zeige Aktive');
INSERT INTO `lang_definitions` VALUES (18781, 5880, 5, 'Zeige alle Transaktionen');
INSERT INTO `lang_definitions` VALUES (18782, 5883, 5, 'Zeige alle Transaktionen');
INSERT INTO `lang_definitions` VALUES (18783, 5884, 5, 'Belegt');
INSERT INTO `lang_definitions` VALUES (18784, 5885, 5, 'Zeige nur Berechtigte');
INSERT INTO `lang_definitions` VALUES (18785, 5886, 5, 'Zeige verfügbare Zeiten');
INSERT INTO `lang_definitions` VALUES (18786, 5887, 5, 'Zeige sowohl US als auch metrische Einheiten (Standard ist metrisch)');
INSERT INTO `lang_definitions` VALUES (18787, 5888, 5, 'Zeige sowohl US als auch metrische Einheiten (Standard ist US)');
INSERT INTO `lang_definitions` VALUES (18788, 5889, 5, 'Details zeigen');
INSERT INTO `lang_definitions` VALUES (18789, 5891, 5, 'Grafik zeigen');
INSERT INTO `lang_definitions` VALUES (18790, 5894, 5, 'Zeige inaktive');
INSERT INTO `lang_definitions` VALUES (18791, 5896, 5, 'Zeige Menü');
INSERT INTO `lang_definitions` VALUES (18792, 5897, 5, 'Zeige nur metrische Einheiten');
INSERT INTO `lang_definitions` VALUES (18793, 5898, 5, 'Notizen zeigen');
INSERT INTO `lang_definitions` VALUES (18794, 5901, 5, 'Patienten Notizen zeigen');
INSERT INTO `lang_definitions` VALUES (18795, 5905, 5, 'Zeige Erinnerungen');
INSERT INTO `lang_definitions` VALUES (18796, 5906, 5, 'Bericht zeigen');
INSERT INTO `lang_definitions` VALUES (18797, 5913, 5, 'Zeige nur unbezahlte');
INSERT INTO `lang_definitions` VALUES (18798, 5915, 5, 'Zeige');
INSERT INTO `lang_definitions` VALUES (18799, 5920, 5, 'Geschwister');
INSERT INTO `lang_definitions` VALUES (18800, 5921, 5, 'Sichelzellenanämie');
INSERT INTO `lang_definitions` VALUES (18801, 5927, 5, 'Unterschrift');
INSERT INTO `lang_definitions` VALUES (18802, 5929, 5, 'Unterschrift:');
INSERT INTO `lang_definitions` VALUES (18803, 5937, 5, 'Seit');
INSERT INTO `lang_definitions` VALUES (18804, 5946, 5, 'Probleme mit den Nebenhöhlen');
INSERT INTO `lang_definitions` VALUES (18805, 5947, 5, 'Stirnhöhlenoperation');
INSERT INTO `lang_definitions` VALUES (18806, 5949, 5, 'Nebenhöhlenentzündung');
INSERT INTO `lang_definitions` VALUES (18807, 5951, 5, 'Seiten ID');
INSERT INTO `lang_definitions` VALUES (18808, 5956, 5, 'Größe');
INSERT INTO `lang_definitions` VALUES (18809, 5957, 5, 'Nummer muss zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (18810, 5959, 5, 'Haut');
INSERT INTO `lang_definitions` VALUES (18811, 5960, 5, 'Hautkrebs');
INSERT INTO `lang_definitions` VALUES (18812, 5961, 5, 'Hautkrankheit');
INSERT INTO `lang_definitions` VALUES (18813, 5962, 5, 'Haut Andere');
INSERT INTO `lang_definitions` VALUES (18814, 5967, 5, 'Schlaf-Muster');
INSERT INTO `lang_definitions` VALUES (18815, 5968, 5, 'Schlaf-Muster');
INSERT INTO `lang_definitions` VALUES (18816, 5969, 5, 'schlafend');
INSERT INTO `lang_definitions` VALUES (18817, 5976, 5, 'Raucher-Status');
INSERT INTO `lang_definitions` VALUES (18818, 5977, 5, 'SMS-Auth.');
INSERT INTO `lang_definitions` VALUES (18819, 5978, 5, 'SMS-Gateway');
INSERT INTO `lang_definitions` VALUES (18820, 5979, 5, 'SMS-Gateway API-Schlüssel');
INSERT INTO `lang_definitions` VALUES (18821, 5980, 5, 'SMS-Gateway API-Schlüssel');
INSERT INTO `lang_definitions` VALUES (18822, 5981, 5, 'SMS-Gateway Passwort');
INSERT INTO `lang_definitions` VALUES (18823, 5982, 5, 'SMS-Gateway Nutzername');
INSERT INTO `lang_definitions` VALUES (18824, 5983, 5, 'SMS-Benachrichtigung');
INSERT INTO `lang_definitions` VALUES (18825, 5984, 5, 'SMS-Benachrichtigungsstunden');
INSERT INTO `lang_definitions` VALUES (18826, 5985, 5, 'Sende SMS vor');
INSERT INTO `lang_definitions` VALUES (18827, 5986, 5, 'SMS gesendet');
INSERT INTO `lang_definitions` VALUES (18828, 6023, 5, 'Etwas ist schiefgelaufen. Bitte versuchen Sie es erneut.');
INSERT INTO `lang_definitions` VALUES (18829, 6031, 5, 'Sortieren nach Checksumme');
INSERT INTO `lang_definitions` VALUES (18830, 6032, 5, 'Sortieren nach Kommentare');
INSERT INTO `lang_definitions` VALUES (18831, 6033, 5, 'Sortieren nach Crt Anwender');
INSERT INTO `lang_definitions` VALUES (18832, 6034, 5, 'Sortieren nach Datum');
INSERT INTO `lang_definitions` VALUES (18833, 6035, 5, 'Sortieren nach Datum/Zeit');
INSERT INTO `lang_definitions` VALUES (18834, 6036, 5, 'Sortieren nach Ereignis');
INSERT INTO `lang_definitions` VALUES (18835, 6037, 5, 'Sortieren nach');
INSERT INTO `lang_definitions` VALUES (18836, 6040, 5, 'Sortieren nach PatientenID');
INSERT INTO `lang_definitions` VALUES (18837, 6041, 5, 'Sortieren nach Erfolgreich');
INSERT INTO `lang_definitions` VALUES (18838, 6043, 5, 'Sortieren nach Anwender');
INSERT INTO `lang_definitions` VALUES (18839, 6044, 5, 'Sortieren nach Impfstoff');
INSERT INTO `lang_definitions` VALUES (18840, 6045, 5, 'Absteigend sortieren');
INSERT INTO `lang_definitions` VALUES (18841, 6046, 5, 'Ergebnisse sortieren nach');
INSERT INTO `lang_definitions` VALUES (18842, 6047, 5, 'Aufsteigend sortieren');
INSERT INTO `lang_definitions` VALUES (18843, 6048, 5, 'Quelle');
INSERT INTO `lang_definitions` VALUES (18844, 6049, 5, 'Source File');
INSERT INTO `lang_definitions` VALUES (18845, 6050, 5, 'Source File Pfad');
INSERT INTO `lang_definitions` VALUES (18846, 6114, 5, 'Stabilität');
INSERT INTO `lang_definitions` VALUES (18847, 6116, 5, 'Standard');
INSERT INTO `lang_definitions` VALUES (18848, 6117, 5, 'Standard Code');
INSERT INTO `lang_definitions` VALUES (18849, 6124, 5, 'Start');
INSERT INTO `lang_definitions` VALUES (18850, 6125, 5, 'Start (jjjj-mm-tt) ');
INSERT INTO `lang_definitions` VALUES (18851, 6128, 5, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (18852, 6130, 5, 'Startdatum muss kleiner als Enddatum sein');
INSERT INTO `lang_definitions` VALUES (18853, 6131, 5, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (18854, 6132, 5, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (18855, 6133, 5, 'Sartzeit');
INSERT INTO `lang_definitions` VALUES (18856, 6134, 5, 'Startdatum:');
INSERT INTO `lang_definitions` VALUES (18857, 6136, 5, 'Bundesland/Region');
INSERT INTO `lang_definitions` VALUES (18858, 6143, 5, 'Bundesland/Region');
INSERT INTO `lang_definitions` VALUES (18859, 6150, 5, 'Statischer Text');
INSERT INTO `lang_definitions` VALUES (18860, 6151, 5, 'Statistiken');
INSERT INTO `lang_definitions` VALUES (18861, 6153, 5, 'Status');
INSERT INTO `lang_definitions` VALUES (18862, 6156, 5, 'Status Quo');
INSERT INTO `lang_definitions` VALUES (18863, 6177, 5, 'Straße');
INSERT INTO `lang_definitions` VALUES (18864, 6178, 5, 'Straßenname');
INSERT INTO `lang_definitions` VALUES (18865, 6179, 5, 'Straße und Nummer');
INSERT INTO `lang_definitions` VALUES (18866, 6180, 5, 'Kraft');
INSERT INTO `lang_definitions` VALUES (18867, 6189, 5, 'Unter-Kategorie');
INSERT INTO `lang_definitions` VALUES (18868, 6191, 5, 'Unterkategorie');
INSERT INTO `lang_definitions` VALUES (18869, 6192, 5, 'untergategorie');
INSERT INTO `lang_definitions` VALUES (18870, 6198, 5, 'Übernehmen');
INSERT INTO `lang_definitions` VALUES (18871, 6199, 5, 'übernehmen');
INSERT INTO `lang_definitions` VALUES (18872, 6200, 5, 'übernehme alle Inhalte');
INSERT INTO `lang_definitions` VALUES (18873, 6202, 5, 'übernehme Ereignis');
INSERT INTO `lang_definitions` VALUES (18874, 6203, 5, 'übernehme Formular');
INSERT INTO `lang_definitions` VALUES (18875, 6204, 5, 'Übernehme ausgewählte Inhalte');
INSERT INTO `lang_definitions` VALUES (18876, 6205, 5, 'übernommen');
INSERT INTO `lang_definitions` VALUES (18877, 6206, 5, 'übernommen durch');
INSERT INTO `lang_definitions` VALUES (18878, 6247, 5, 'Kategorie erfolgreich hinzugefügt');
INSERT INTO `lang_definitions` VALUES (18879, 6256, 5, 'Erfolgreich gespeichert');
INSERT INTO `lang_definitions` VALUES (18880, 6259, 5, 'Erfolgreich');
INSERT INTO `lang_definitions` VALUES (18881, 6260, 5, 'Selbstmord');
INSERT INTO `lang_definitions` VALUES (18882, 6261, 5, 'Zusammenfassung');
INSERT INTO `lang_definitions` VALUES (18883, 6265, 5, 'So');
INSERT INTO `lang_definitions` VALUES (18884, 6267, 5, 'Sonntag');
INSERT INTO `lang_definitions` VALUES (18885, 6351, 5, 'Ziel/Ereignis Gruppen');
INSERT INTO `lang_definitions` VALUES (18886, 6366, 5, 'Temp');
INSERT INTO `lang_definitions` VALUES (18887, 6379, 5, 'Dritte');
INSERT INTO `lang_definitions` VALUES (18888, 6380, 5, 'Dritte Versicherung');
INSERT INTO `lang_definitions` VALUES (18889, 6381, 5, 'Dritte Versicherung Daten');
INSERT INTO `lang_definitions` VALUES (18890, 6382, 5, 'Dritte Versicherung Anbieter');
INSERT INTO `lang_definitions` VALUES (18891, 6387, 5, 'Text Feld');
INSERT INTO `lang_definitions` VALUES (18892, 6393, 5, 'Text Datum');
INSERT INTO `lang_definitions` VALUES (18893, 6394, 5, 'text datum');
INSERT INTO `lang_definitions` VALUES (18894, 6395, 5, 'Textbereich');
INSERT INTO `lang_definitions` VALUES (18895, 6396, 5, 'textbereich');
INSERT INTO `lang_definitions` VALUES (18896, 6397, 5, 'Textbox');
INSERT INTO `lang_definitions` VALUES (18897, 6398, 5, 'textbox');
INSERT INTO `lang_definitions` VALUES (18898, 6399, 5, 'Textbox Liste');
INSERT INTO `lang_definitions` VALUES (18899, 6400, 5, 'Textbox liste');
INSERT INTO `lang_definitions` VALUES (18900, 6402, 5, 'Vielen Dank');
INSERT INTO `lang_definitions` VALUES (18901, 6441, 5, 'Die folgenden Fehler sind aufgetreten');
INSERT INTO `lang_definitions` VALUES (18902, 6444, 5, 'Die folgenden Felder müssen ausgefüllt werden');
INSERT INTO `lang_definitions` VALUES (18903, 6446, 5, 'Die folgenden Felder müssen ausgefüllt werden, um die Anfrage zu senden.');
INSERT INTO `lang_definitions` VALUES (18904, 6542, 5, 'Dritte');
INSERT INTO `lang_definitions` VALUES (18905, 6544, 5, 'Diese Aktion KANN NICHT RÜCKGÄNGIG gemacht werden.');
INSERT INTO `lang_definitions` VALUES (18906, 6545, 5, 'Diese Aktion kann nicht rückgängig gemacht werden.');
INSERT INTO `lang_definitions` VALUES (18907, 6547, 5, 'Diese Aktion wird geloggt.');
INSERT INTO `lang_definitions` VALUES (18908, 6549, 5, 'Dieser Termin-Zeitbereich ist bereits in Verwendung. Trotzdem verwenden?');
INSERT INTO `lang_definitions` VALUES (18909, 6550, 5, 'Dieser Termin-Zeitbereich ist bereits in Verwendung, bitte einen anderen verwenden?');
INSERT INTO `lang_definitions` VALUES (18910, 6551, 5, 'Dieses Kalenderjahr');
INSERT INTO `lang_definitions` VALUES (18911, 6552, 5, 'Dieser Anspruch wurde zurückgezogen.');
INSERT INTO `lang_definitions` VALUES (18912, 6553, 5, 'Dieser Anspruch wurde geschlossen.');
INSERT INTO `lang_definitions` VALUES (18913, 6561, 5, 'Dieser Fall');
INSERT INTO `lang_definitions` VALUES (18914, 6562, 5, 'Dieser Fall wurde bezahlt. Für Änderungen muss dieser neu geöffnent werden.');
INSERT INTO `lang_definitions` VALUES (18915, 6564, 5, 'Diese Funktion ist noch nicht verfügbar');
INSERT INTO `lang_definitions` VALUES (18916, 6565, 5, 'Diese Funktion ist sehr experimentell und nicht vollständig getestet. Benutzung auf eigene Gefahr!');
INSERT INTO `lang_definitions` VALUES (18917, 6566, 5, 'Diese Rechnungsnummer wurde geändert in ');
INSERT INTO `lang_definitions` VALUES (18918, 6572, 5, 'dieser Standort');
INSERT INTO `lang_definitions` VALUES (18919, 6575, 5, 'Dieses Modul befindet sich im Testmodus. Die Datenbank wird nicht verändert.');
INSERT INTO `lang_definitions` VALUES (18920, 6582, 5, 'Dieser Patient hat keine Aktivität.');
INSERT INTO `lang_definitions` VALUES (18921, 6583, 5, 'Diese Patienten ID ist bereits in Verwendung!');
INSERT INTO `lang_definitions` VALUES (18922, 6586, 5, 'Dieser Bericht funktioniert derzeit nur für ICD9-Codierungen');
INSERT INTO `lang_definitions` VALUES (18923, 6591, 5, 'In diesem Schritt wird eine Datei erzeugt, die für den späteren Gebrauch gespeichert wird. Diese Datei kann nicht erneut erstellt werden. Willst Du fortfahren?');
INSERT INTO `lang_definitions` VALUES (18924, 6592, 5, 'Diese Anwender gehört keiner Gruppe an.');
INSERT INTO `lang_definitions` VALUES (18925, 6597, 5, 'Dies war das alte Vitaldaten-Formular, das jetzt nicht mehr gültig ist.');
INSERT INTO `lang_definitions` VALUES (18926, 6598, 5, 'Diese Woche bis Datum');
INSERT INTO `lang_definitions` VALUES (18927, 6602, 5, 'Dies erlaubt die Auswahl der Debugging (Dummy-) Sprache');
INSERT INTO `lang_definitions` VALUES (18928, 6619, 5, 'Es wird die benutzerspezifische Impfungsliste verwendet im Gegensatz zur Standard CVX-Impfungsliste');
INSERT INTO `lang_definitions` VALUES (18929, 6622, 5, 'Brustwirbelsäule');
INSERT INTO `lang_definitions` VALUES (18930, 6625, 5, 'Kehle');
INSERT INTO `lang_definitions` VALUES (18931, 6626, 5, 'Kehlkopfkrebs');
INSERT INTO `lang_definitions` VALUES (18932, 6627, 5, 'Kehlkopfkrebs Eingriff');
INSERT INTO `lang_definitions` VALUES (18933, 6628, 5, 'Thrombose / Schlaganfall');
INSERT INTO `lang_definitions` VALUES (18934, 6629, 5, 'Do');
INSERT INTO `lang_definitions` VALUES (18935, 6630, 5, 'Donnerstag');
INSERT INTO `lang_definitions` VALUES (18936, 6631, 5, 'Donnerstag');
INSERT INTO `lang_definitions` VALUES (18937, 6632, 5, 'Schilddrüse Normal');
INSERT INTO `lang_definitions` VALUES (18938, 6633, 5, 'Schilddrüsenprobleme');
INSERT INTO `lang_definitions` VALUES (18939, 6634, 5, 'TIA');
INSERT INTO `lang_definitions` VALUES (18940, 6636, 5, 'TID');
INSERT INTO `lang_definitions` VALUES (18941, 6638, 5, 'Zeit');
INSERT INTO `lang_definitions` VALUES (18942, 6639, 5, 'Zeit Anzeige Format');
INSERT INTO `lang_definitions` VALUES (18943, 6640, 5, 'Zeitspanne zum Hinzufügen (1-60 Minuten)');
INSERT INTO `lang_definitions` VALUES (18944, 6641, 5, 'Zeit Auswahl');
INSERT INTO `lang_definitions` VALUES (18945, 6642, 5, 'Zeitfenster vorhanden, Event speichern');
INSERT INTO `lang_definitions` VALUES (18946, 6647, 5, 'Geplantes Ereignis');
INSERT INTO `lang_definitions` VALUES (18947, 6649, 5, 'Zeitstempel und Text');
INSERT INTO `lang_definitions` VALUES (18948, 6650, 5, 'TINnitus');
INSERT INTO `lang_definitions` VALUES (18949, 6651, 5, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (18950, 6652, 5, 'Titel');
INSERT INTO `lang_definitions` VALUES (18951, 6653, 5, 'Titel V');
INSERT INTO `lang_definitions` VALUES (18952, 6654, 5, 'TitleSpalten muss eine Zahl zwischen 1 und 999 sein');
INSERT INTO `lang_definitions` VALUES (18953, 6655, 5, 'Titeln');
INSERT INTO `lang_definitions` VALUES (18954, 6658, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (18955, 6659, 5, 'BIS');
INSERT INTO `lang_definitions` VALUES (18956, 6660, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (18957, 6661, 5, 'absoluter Dateipfad');
INSERT INTO `lang_definitions` VALUES (18958, 6662, 5, 'Um Bemerkungen hinzuzufügen, hier klicken ');
INSERT INTO `lang_definitions` VALUES (18959, 6664, 5, 'Um betroffene Gebiet');
INSERT INTO `lang_definitions` VALUES (18960, 6665, 5, 'um betroffene gebiet');
INSERT INTO `lang_definitions` VALUES (18961, 6667, 5, 'Zur Rechnungsansicht');
INSERT INTO `lang_definitions` VALUES (18962, 6668, 5, 'in Kategorie');
INSERT INTO `lang_definitions` VALUES (18963, 6669, 5, 'Zur Klinischen Ansicht');
INSERT INTO `lang_definitions` VALUES (18964, 6679, 5, 'Zu Besuch');
INSERT INTO `lang_definitions` VALUES (18965, 6680, 5, 'Filtern nach Geschlecht');
INSERT INTO `lang_definitions` VALUES (18966, 6681, 5, 'Zu History');
INSERT INTO `lang_definitions` VALUES (18967, 6682, 5, 'Zu Problem');
INSERT INTO `lang_definitions` VALUES (18968, 6685, 5, 'zur nochmaligen Anmeldung');
INSERT INTO `lang_definitions` VALUES (18969, 6688, 5, 'Zur Einrichtung von https mit Client-Zertifikat-Authentifikation folgendes tun');
INSERT INTO `lang_definitions` VALUES (18970, 6689, 5, 'Auf die Haut');
INSERT INTO `lang_definitions` VALUES (18971, 6690, 5, 'auf die Haut');
INSERT INTO `lang_definitions` VALUES (18972, 6691, 5, 'zu dieser Visite?');
INSERT INTO `lang_definitions` VALUES (18973, 6693, 5, 'An:');
INSERT INTO `lang_definitions` VALUES (18974, 6694, 5, 'An: ');
INSERT INTO `lang_definitions` VALUES (18975, 6695, 5, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (18976, 6696, 5, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (18977, 6697, 5, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (18978, 6698, 5, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (18979, 6699, 5, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (18980, 6700, 5, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (18981, 6703, 5, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (18982, 6704, 5, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (18983, 6705, 5, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (18984, 6706, 5, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (18985, 6707, 5, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (18986, 6708, 5, 'Tabak');
INSERT INTO `lang_definitions` VALUES (18987, 6709, 5, 'Tabakentwöhnung Intervention');
INSERT INTO `lang_definitions` VALUES (18988, 6710, 5, 'Tabakentwöhnung Intervention(CQM)');
INSERT INTO `lang_definitions` VALUES (18989, 6712, 5, 'Tabakkonsum');
INSERT INTO `lang_definitions` VALUES (18990, 6713, 5, 'Tabakkonsum Beurteilung');
INSERT INTO `lang_definitions` VALUES (18991, 6714, 5, 'Tabakkonsum Beurteilung (CQM)');
INSERT INTO `lang_definitions` VALUES (18992, 6715, 5, 'Heute');
INSERT INTO `lang_definitions` VALUES (18993, 6716, 5, 'HEUTE');
INSERT INTO `lang_definitions` VALUES (18994, 6717, 5, 'heute');
INSERT INTO `lang_definitions` VALUES (18995, 6720, 5, 'Heutiges Datum');
INSERT INTO `lang_definitions` VALUES (18996, 6721, 5, 'Heutige Ereignisse');
INSERT INTO `lang_definitions` VALUES (18997, 6726, 5, 'Mandeloperation');
INSERT INTO `lang_definitions` VALUES (18998, 6728, 5, 'Oben');
INSERT INTO `lang_definitions` VALUES (18999, 6730, 5, 'Thema');
INSERT INTO `lang_definitions` VALUES (19000, 6731, 5, 'Total');
INSERT INTO `lang_definitions` VALUES (19001, 6732, 5, 'total');
INSERT INTO `lang_definitions` VALUES (19002, 6733, 5, 'Anzahl aktiver Aktionen');
INSERT INTO `lang_definitions` VALUES (19003, 6734, 5, 'Anzahl aktiver Erinnerungen nach Update');
INSERT INTO `lang_definitions` VALUES (19004, 6735, 5, 'Anzahl aktiver Erinnerungen vor Update');
INSERT INTO `lang_definitions` VALUES (19005, 6737, 5, 'Gesamtbetrag fällig');
INSERT INTO `lang_definitions` VALUES (19006, 6738, 5, 'Gesamt bezahlt');
INSERT INTO `lang_definitions` VALUES (19007, 6739, 5, 'Offener Betrag Total');
INSERT INTO `lang_definitions` VALUES (19008, 6742, 5, 'Anzahl Patienten');
INSERT INTO `lang_definitions` VALUES (19009, 6743, 5, 'Gesamtkosten');
INSERT INTO `lang_definitions` VALUES (19010, 6745, 5, 'Einträge insgesamt');
INSERT INTO `lang_definitions` VALUES (19011, 6748, 5, 'Summe für');
INSERT INTO `lang_definitions` VALUES (19012, 6749, 5, 'Summe für ');
INSERT INTO `lang_definitions` VALUES (19013, 6750, 5, 'Summe für Kategorie');
INSERT INTO `lang_definitions` VALUES (19014, 6751, 5, 'Summe für inaktive Erinnerungen');
INSERT INTO `lang_definitions` VALUES (19015, 6752, 5, 'Summe für Erinnerungen');
INSERT INTO `lang_definitions` VALUES (19016, 6755, 5, 'Gesamtzahl der Impfungen');
INSERT INTO `lang_definitions` VALUES (19017, 6756, 5, 'Gesamtzahl der Probleme');
INSERT INTO `lang_definitions` VALUES (19018, 6758, 5, 'Gesamtzahl der Patienten');
INSERT INTO `lang_definitions` VALUES (19019, 6761, 5, 'Summe Patienten');
INSERT INTO `lang_definitions` VALUES (19020, 6764, 5, 'Anzahl gefundener Einträge');
INSERT INTO `lang_definitions` VALUES (19021, 6766, 5, 'Anzahl erfolgreich gesendeter Erinnerungen per E-Mail');
INSERT INTO `lang_definitions` VALUES (19022, 6767, 5, 'Anzahl erfolgreich gesendeter Erinnerungen per Telefon');
INSERT INTO `lang_definitions` VALUES (19023, 6770, 5, 'Anzahl unveränderter Erinnerungen');
INSERT INTO `lang_definitions` VALUES (19024, 6771, 5, 'Anzahl ungesendeter Erinnerungen vor Sendeprozess');
INSERT INTO `lang_definitions` VALUES (19025, 6772, 5, 'Anzahl ungesendeter Erinnerungen nach Update');
INSERT INTO `lang_definitions` VALUES (19026, 6773, 5, 'Anzahl ungesendeter Erinnerungen vor Sendeprozess');
INSERT INTO `lang_definitions` VALUES (19027, 6774, 5, 'Anzahl ungesendeter Erinnerungen vor Update');
INSERT INTO `lang_definitions` VALUES (19028, 6775, 5, 'Anzahl aktualisierter Erinnerungen');
INSERT INTO `lang_definitions` VALUES (19029, 6776, 5, 'Summen');
INSERT INTO `lang_definitions` VALUES (19030, 6777, 5, 'Summen für');
INSERT INTO `lang_definitions` VALUES (19031, 6778, 5, 'Summen für ');
INSERT INTO `lang_definitions` VALUES (19032, 6780, 5, 'bis{{Bereich}}');
INSERT INTO `lang_definitions` VALUES (19033, 6785, 5, 'Trainingsart');
INSERT INTO `lang_definitions` VALUES (19034, 6787, 5, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (19035, 6788, 5, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (19036, 6789, 5, 'Transaktion fehlgeschlagen, Menge in Ziellos nicht ausreichend');
INSERT INTO `lang_definitions` VALUES (19037, 6790, 5, 'Transaktion fehlgeschlagen, Menge ist kleiner Null.');
INSERT INTO `lang_definitions` VALUES (19038, 6791, 5, 'Art der Transaktion');
INSERT INTO `lang_definitions` VALUES (19039, 6792, 5, 'Transaktionen');
INSERT INTO `lang_definitions` VALUES (19040, 6793, 5, 'Transaktionen');
INSERT INTO `lang_definitions` VALUES (19041, 6794, 5, 'Transaktionen (schreiben optional)');
INSERT INTO `lang_definitions` VALUES (19042, 6795, 5, 'Transaktionen / Überweisungen');
INSERT INTO `lang_definitions` VALUES (19043, 6797, 5, 'Transfer');
INSERT INTO `lang_definitions` VALUES (19044, 6804, 5, 'Transfers');
INSERT INTO `lang_definitions` VALUES (19045, 6807, 5, 'Übersetze ACL-Listen');
INSERT INTO `lang_definitions` VALUES (19046, 6808, 5, 'Übersetze Terminkategorien');
INSERT INTO `lang_definitions` VALUES (19047, 6809, 5, 'Übersetze Dokumentkategorien');
INSERT INTO `lang_definitions` VALUES (19048, 6810, 5, 'Übersetze Layouts');
INSERT INTO `lang_definitions` VALUES (19049, 6811, 5, 'Übersetze Listen');
INSERT INTO `lang_definitions` VALUES (19050, 6812, 5, 'Übersetze Titel der Patientennotizen');
INSERT INTO `lang_definitions` VALUES (19051, 6813, 5, 'Dies übersetzen');
INSERT INTO `lang_definitions` VALUES (19052, 6814, 5, 'Übersetzung');
INSERT INTO `lang_definitions` VALUES (19053, 6815, 5, 'Übersetzungen');
INSERT INTO `lang_definitions` VALUES (19054, 6819, 5, 'Trauma');
INSERT INTO `lang_definitions` VALUES (19055, 6820, 5, 'Behandlung');
INSERT INTO `lang_definitions` VALUES (19056, 6822, 5, 'Behandlungsziele');
INSERT INTO `lang_definitions` VALUES (19057, 6823, 5, 'Behandlungsplan');
INSERT INTO `lang_definitions` VALUES (19058, 6826, 5, 'Behandlung:');
INSERT INTO `lang_definitions` VALUES (19059, 6827, 5, 'Behandlung: ');
INSERT INTO `lang_definitions` VALUES (19060, 6828, 5, 'Tendenz');
INSERT INTO `lang_definitions` VALUES (19061, 6832, 5, 'Rumpf und Bauch');
INSERT INTO `lang_definitions` VALUES (19062, 6839, 5, 'TTS');
INSERT INTO `lang_definitions` VALUES (19063, 6840, 5, 'Tuberkulose');
INSERT INTO `lang_definitions` VALUES (19064, 6841, 5, 'Di');
INSERT INTO `lang_definitions` VALUES (19065, 6842, 5, 'Di - Do');
INSERT INTO `lang_definitions` VALUES (19066, 6843, 5, 'Dienstag');
INSERT INTO `lang_definitions` VALUES (19067, 6844, 5, 'Tumor');
INSERT INTO `lang_definitions` VALUES (19068, 6845, 5, 'Türkisch');
INSERT INTO `lang_definitions` VALUES (19069, 6848, 5, 'zweimal täglich');
INSERT INTO `lang_definitions` VALUES (19070, 6850, 5, 'Trommelfell');
INSERT INTO `lang_definitions` VALUES (19071, 6851, 5, 'Art');
INSERT INTO `lang_definitions` VALUES (19072, 6852, 5, 'ID oder Namen eingeben, mind. 3 Zeichen');
INSERT INTO `lang_definitions` VALUES (19073, 6853, 5, 'Spalten, die für die Ergebnisanzeige der Patientensuche angezeigt werden');
INSERT INTO `lang_definitions` VALUES (19074, 6855, 5, 'Art der Ereignisse');
INSERT INTO `lang_definitions` VALUES (19075, 6856, 5, 'Art des Screen-Layouts');
INSERT INTO `lang_definitions` VALUES (19076, 6857, 5, 'Trage die Patient-ID hier ein (oder Scan)');
INSERT INTO `lang_definitions` VALUES (19077, 6858, 5, 'Nachricht hier eingeben');
INSERT INTO `lang_definitions` VALUES (19078, 6859, 5, 'Arten der Aufträge und Ergebnisse');
INSERT INTO `lang_definitions` VALUES (19079, 6865, 5, 'Ukrainisch');
INSERT INTO `lang_definitions` VALUES (19080, 6866, 5, 'Ulzerationen');
INSERT INTO `lang_definitions` VALUES (19081, 6867, 5, 'Colitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (19082, 6868, 5, 'Geschwüre:');
INSERT INTO `lang_definitions` VALUES (19083, 6871, 5, 'Kann nicht erstellt werden');
INSERT INTO `lang_definitions` VALUES (19084, 6876, 5, 'Nicht zugeordnet');
INSERT INTO `lang_definitions` VALUES (19085, 6877, 5, 'Unbestimmt');
INSERT INTO `lang_definitions` VALUES (19086, 6878, 5, 'Unbefugt');
INSERT INTO `lang_definitions` VALUES (19087, 6879, 5, 'Kein Zugriff zu ePrescription erlaubt');
INSERT INTO `lang_definitions` VALUES (19088, 6880, 5, 'Unbefugter Zugriff.');
INSERT INTO `lang_definitions` VALUES (19089, 6881, 5, 'Nicht Bezahlt');
INSERT INTO `lang_definitions` VALUES (19090, 6882, 5, 'nur unbezahlt');
INSERT INTO `lang_definitions` VALUES (19091, 6884, 5, 'unter der Zunge');
INSERT INTO `lang_definitions` VALUES (19092, 6885, 5, 'Untergewicht');
INSERT INTO `lang_definitions` VALUES (19093, 6886, 5, 'Nicht Diagnostiziert');
INSERT INTO `lang_definitions` VALUES (19094, 6890, 5, 'Checkout rückgängig machen');
INSERT INTO `lang_definitions` VALUES (19095, 6892, 5, 'Einmahlige Patienten');
INSERT INTO `lang_definitions` VALUES (19096, 6893, 5, 'Eindeutige, leicht zu merkende ID für diesen Typ');
INSERT INTO `lang_definitions` VALUES (19097, 6894, 5, 'Eindeutige neue Patienten');
INSERT INTO `lang_definitions` VALUES (19098, 6895, 5, 'Eindeutige numerische ID für diesen Typ');
INSERT INTO `lang_definitions` VALUES (19099, 6896, 5, 'Einmahlig \"gesehene\" Patienten');
INSERT INTO `lang_definitions` VALUES (19100, 6897, 5, 'Einmahlig \"gesehene\" Patienten - Bericht');
INSERT INTO `lang_definitions` VALUES (19101, 6898, 5, 'Einmahlig \"gesehene\" Patienten');
INSERT INTO `lang_definitions` VALUES (19102, 6899, 5, 'Einheit');
INSERT INTO `lang_definitions` VALUES (19103, 6900, 5, 'Einheiten');
INSERT INTO `lang_definitions` VALUES (19104, 6901, 5, 'einheiten');
INSERT INTO `lang_definitions` VALUES (19105, 6903, 5, 'Einheiten für Konsultation Formular');
INSERT INTO `lang_definitions` VALUES (19106, 6904, 5, 'Einheiten müssen Nummern sein');
INSERT INTO `lang_definitions` VALUES (19107, 6905, 5, 'Einheit nicht definiert');
INSERT INTO `lang_definitions` VALUES (19108, 6906, 5, 'Einheiten/L');
INSERT INTO `lang_definitions` VALUES (19109, 6907, 5, 'Unbekannt');
INSERT INTO `lang_definitions` VALUES (19110, 6910, 5, 'Unbekannt, wenn jemals geraucht');
INSERT INTO `lang_definitions` VALUES (19111, 6911, 5, 'Unbekannt oder N/A');
INSERT INTO `lang_definitions` VALUES (19112, 6913, 5, 'Aufheben der Patienten-Verknüpfung');
INSERT INTO `lang_definitions` VALUES (19113, 6914, 5, 'Nicht näher bezeichnete Versicherung');
INSERT INTO `lang_definitions` VALUES (19114, 6915, 5, 'Nicht registriert');
INSERT INTO `lang_definitions` VALUES (19115, 6918, 5, 'Alle deselektieren');
INSERT INTO `lang_definitions` VALUES (19116, 6919, 5, 'Nicht selektiert');
INSERT INTO `lang_definitions` VALUES (19117, 6920, 5, 'Nicht spezifiziert');
INSERT INTO `lang_definitions` VALUES (19118, 6921, 5, 'Nicht strukturiert');
INSERT INTO `lang_definitions` VALUES (19119, 6924, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (19120, 6926, 5, 'Unbenutzt');
INSERT INTO `lang_definitions` VALUES (19121, 6927, 5, 'UOR');
INSERT INTO `lang_definitions` VALUES (19122, 6928, 5, 'Bis zu');
INSERT INTO `lang_definitions` VALUES (19123, 6929, 5, 'Bevorstehende Termine');
INSERT INTO `lang_definitions` VALUES (19124, 6930, 5, 'Bevorstehende Ereignisse');
INSERT INTO `lang_definitions` VALUES (19125, 6931, 5, 'Aktualisieren');
INSERT INTO `lang_definitions` VALUES (19126, 6932, 5, 'aktualisieren');
INSERT INTO `lang_definitions` VALUES (19127, 6933, 5, 'Aktive aktualisieren');
INSERT INTO `lang_definitions` VALUES (19128, 6934, 5, 'Datei aktualisieren');
INSERT INTO `lang_definitions` VALUES (19129, 6935, 5, 'Info aktualisieren');
INSERT INTO `lang_definitions` VALUES (19130, 6936, 5, 'Liste aktualisieren');
INSERT INTO `lang_definitions` VALUES (19131, 6937, 5, 'Aktualisieren Behandler Nummer');
INSERT INTO `lang_definitions` VALUES (19132, 6938, 5, 'Ausgewählte Inhalte aktualisieren');
INSERT INTO `lang_definitions` VALUES (19133, 6939, 5, 'Aktualisiere der folgenden Variablen in der Datei');
INSERT INTO `lang_definitions` VALUES (19134, 6940, 5, 'Anwender Informationen aktualisieren');
INSERT INTO `lang_definitions` VALUES (19135, 6942, 5, 'Akualisieren der persönlichen Daten ist nicht erlaubt.');
INSERT INTO `lang_definitions` VALUES (19136, 6943, 5, 'Aktualisieren der globalen Standard Konfiguration');
INSERT INTO `lang_definitions` VALUES (19137, 6944, 5, 'Aktualisiere Versionsindikatoren');
INSERT INTO `lang_definitions` VALUES (19138, 6945, 5, 'UPGRADE');
INSERT INTO `lang_definitions` VALUES (19139, 6946, 5, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (19140, 6947, 5, 'Datenbank aktualisieren');
INSERT INTO `lang_definitions` VALUES (19141, 6948, 5, 'Aktualisiert die LibreEHR-Datenbank für Verfahren, Funktionen und Tabellen, die für De-identification gebraucht werden');
INSERT INTO `lang_definitions` VALUES (19142, 6949, 5, 'Aktualisieren wird fortgesetzt');
INSERT INTO `lang_definitions` VALUES (19143, 6950, 5, 'UPIN');
INSERT INTO `lang_definitions` VALUES (19144, 6951, 5, 'Upload');
INSERT INTO `lang_definitions` VALUES (19145, 6954, 5, 'Configurationsdaten uploaden');
INSERT INTO `lang_definitions` VALUES (19146, 6955, 5, 'Dokument uploaden');
INSERT INTO `lang_definitions` VALUES (19147, 6956, 5, 'Upload fehlgeschlagen!');
INSERT INTO `lang_definitions` VALUES (19148, 6957, 5, 'Bild uploaden zu');
INSERT INTO `lang_definitions` VALUES (19149, 6958, 5, 'Hochladen Import Datei:');
INSERT INTO `lang_definitions` VALUES (19150, 6961, 5, 'Bericht uploaden');
INSERT INTO `lang_definitions` VALUES (19151, 6963, 5, 'Diese Datei uploaden:');
INSERT INTO `lang_definitions` VALUES (19152, 6966, 5, 'Oberarm');
INSERT INTO `lang_definitions` VALUES (19153, 6968, 5, 'Dringlichkeit');
INSERT INTO `lang_definitions` VALUES (19154, 6970, 5, 'Urin');
INSERT INTO `lang_definitions` VALUES (19155, 6971, 5, 'Urinverlust');
INSERT INTO `lang_definitions` VALUES (19156, 6972, 5, 'Urin Häufigkeit');
INSERT INTO `lang_definitions` VALUES (19157, 6973, 5, 'Probleme beim Harnlassen');
INSERT INTO `lang_definitions` VALUES (19158, 6974, 5, 'Urin Mikroalbumin');
INSERT INTO `lang_definitions` VALUES (19159, 6975, 5, 'Urinstrahl');
INSERT INTO `lang_definitions` VALUES (19160, 6976, 5, 'Urin Drang');
INSERT INTO `lang_definitions` VALUES (19161, 6977, 5, 'URL');
INSERT INTO `lang_definitions` VALUES (19162, 6979, 5, 'URL für LibreEHR support.');
INSERT INTO `lang_definitions` VALUES (19163, 6986, 5, 'Gebrauchsindikator (ISA15)');
INSERT INTO `lang_definitions` VALUES (19164, 6997, 5, 'Benutzerdefinierte Impfung Liste');
INSERT INTO `lang_definitions` VALUES (19165, 6999, 5, 'Verwende Datumsbereich');
INSERT INTO `lang_definitions` VALUES (19166, 7000, 5, 'Verwende standard');
INSERT INTO `lang_definitions` VALUES (19167, 7001, 5, 'Verwende Löschen-Option zum Entfernen.');
INSERT INTO `lang_definitions` VALUES (19168, 7002, 5, 'Verwende internationalen Datum-Stil');
INSERT INTO `lang_definitions` VALUES (19169, 7003, 5, 'Verwende Source-Dateiname');
INSERT INTO `lang_definitions` VALUES (19170, 7004, 5, 'Nutze die Felder unten für einen Kauf oder eine Überweisung');
INSERT INTO `lang_definitions` VALUES (19171, 7005, 5, 'Nutze dieses Feature nur für neu installierte Orte, ');
INSERT INTO `lang_definitions` VALUES (19172, 7006, 5, 'Themen Verwenden?');
INSERT INTO `lang_definitions` VALUES (19173, 7007, 5, 'Benutzer');
INSERT INTO `lang_definitions` VALUES (19174, 7009, 5, 'Benutzer / Gruppen');
INSERT INTO `lang_definitions` VALUES (19175, 7010, 5, 'Benutzer Verwaltung');
INSERT INTO `lang_definitions` VALUES (19176, 7011, 5, 'Benutzer und Standort Verwaltung');
INSERT INTO `lang_definitions` VALUES (19177, 7012, 5, 'Benutzer und Gruppen Verwaltung');
INSERT INTO `lang_definitions` VALUES (19178, 7014, 5, 'Benutzer-Zertifikat-Authentifizierung deaktiviert');
INSERT INTO `lang_definitions` VALUES (19179, 7015, 5, 'Benutzerdefiniert');
INSERT INTO `lang_definitions` VALUES (19180, 7016, 5, 'Benutzerdefiniertes Zone 11');
INSERT INTO `lang_definitions` VALUES (19181, 7017, 5, 'Benutzerdefiniertes Zone 12');
INSERT INTO `lang_definitions` VALUES (19182, 7018, 5, 'Benutzerdefiniertes Feld');
INSERT INTO `lang_definitions` VALUES (19183, 7019, 5, 'Benutzerdefinierte Liste 1');
INSERT INTO `lang_definitions` VALUES (19184, 7020, 5, 'Benutzerdefinierte Liste 2');
INSERT INTO `lang_definitions` VALUES (19185, 7021, 5, 'Benutzerdefinierte Liste 3');
INSERT INTO `lang_definitions` VALUES (19186, 7022, 5, 'Benutzerdefinierte Liste 4');
INSERT INTO `lang_definitions` VALUES (19187, 7023, 5, 'Benutzerdefinierte Liste 5');
INSERT INTO `lang_definitions` VALUES (19188, 7024, 5, 'Benutzerdefinierte Liste 6');
INSERT INTO `lang_definitions` VALUES (19189, 7025, 5, 'Benutzerdefinierte Liste 7');
INSERT INTO `lang_definitions` VALUES (19190, 7026, 5, 'Benutzerdefinierter Text 1');
INSERT INTO `lang_definitions` VALUES (19191, 7027, 5, 'Benutzerdefinierter Text 2');
INSERT INTO `lang_definitions` VALUES (19192, 7028, 5, 'Benutzerdefinierter Text 3');
INSERT INTO `lang_definitions` VALUES (19193, 7029, 5, 'Benutzerdefinierter Text 4');
INSERT INTO `lang_definitions` VALUES (19194, 7030, 5, 'Benutzerdefinierter Text 5');
INSERT INTO `lang_definitions` VALUES (19195, 7031, 5, 'Benutzerdefinierter Text 6');
INSERT INTO `lang_definitions` VALUES (19196, 7032, 5, 'Benutzerdefinierter Text 7');
INSERT INTO `lang_definitions` VALUES (19197, 7033, 5, 'Benutzerdefinierter Text 8');
INSERT INTO `lang_definitions` VALUES (19198, 7034, 5, 'Anwender Vorname');
INSERT INTO `lang_definitions` VALUES (19199, 7039, 5, 'Benutzerhandbuch');
INSERT INTO `lang_definitions` VALUES (19200, 7040, 5, 'Benutzername');
INSERT INTO `lang_definitions` VALUES (19201, 7041, 5, 'Anwender Name');
INSERT INTO `lang_definitions` VALUES (19202, 7042, 5, 'Anwendername oder Hostname dürfen nicht leer sein');
INSERT INTO `lang_definitions` VALUES (19203, 7043, 5, 'Anwender oder Hostname');
INSERT INTO `lang_definitions` VALUES (19204, 7046, 5, 'Anwender Einstellungen');
INSERT INTO `lang_definitions` VALUES (19205, 7047, 5, 'Anwender spezifische Einstellungen');
INSERT INTO `lang_definitions` VALUES (19206, 7049, 5, 'Anwendername');
INSERT INTO `lang_definitions` VALUES (19207, 7052, 5, 'Username für SMS Gateway');
INSERT INTO `lang_definitions` VALUES (19208, 7053, 5, 'Username für SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (19209, 7054, 5, 'Username für CouchDB Verbindung');
INSERT INTO `lang_definitions` VALUES (19210, 7055, 5, 'Anwendername:');
INSERT INTO `lang_definitions` VALUES (19211, 7056, 5, 'Anwender');
INSERT INTO `lang_definitions` VALUES (19212, 7057, 5, 'Anwender/Gruppen/Logs Verwaltung');
INSERT INTO `lang_definitions` VALUES (19213, 7058, 5, 'verwendet php <a href=\"http://php.net/strftime\">strftime</a> Format');
INSERT INTO `lang_definitions` VALUES (19214, 7059, 5, 'Urinweg Infektionen');
INSERT INTO `lang_definitions` VALUES (19215, 7062, 5, 'URLAUB');
INSERT INTO `lang_definitions` VALUES (19216, 7063, 5, 'Urlaub');
INSERT INTO `lang_definitions` VALUES (19217, 7064, 5, 'Impfstoff');
INSERT INTO `lang_definitions` VALUES (19218, 7065, 5, 'Vaginal-Ring');
INSERT INTO `lang_definitions` VALUES (19219, 7066, 5, 'Abschiedsrede');
INSERT INTO `lang_definitions` VALUES (19220, 7067, 5, 'bestätigen');
INSERT INTO `lang_definitions` VALUES (19221, 7068, 5, 'Wert');
INSERT INTO `lang_definitions` VALUES (19222, 7069, 5, 'Wert 1');
INSERT INTO `lang_definitions` VALUES (19223, 7070, 5, 'Wert 2');
INSERT INTO `lang_definitions` VALUES (19224, 7072, 5, 'Wert muss numerisch sein');
INSERT INTO `lang_definitions` VALUES (19225, 7073, 5, 'Var1');
INSERT INTO `lang_definitions` VALUES (19226, 7074, 5, 'Var2');
INSERT INTO `lang_definitions` VALUES (19227, 7076, 5, 'Windpocken 1');
INSERT INTO `lang_definitions` VALUES (19228, 7077, 5, 'Windpocken 1');
INSERT INTO `lang_definitions` VALUES (19229, 7078, 5, 'Krampfadern');
INSERT INTO `lang_definitions` VALUES (19230, 7079, 5, 'Gefäßzustand');
INSERT INTO `lang_definitions` VALUES (19231, 7080, 5, 'Gefäßverletzung');
INSERT INTO `lang_definitions` VALUES (19232, 7081, 5, 'Gefäßchirurgie');
INSERT INTO `lang_definitions` VALUES (19233, 7083, 5, 'Hersteller');
INSERT INTO `lang_definitions` VALUES (19234, 7084, 5, 'Version');
INSERT INTO `lang_definitions` VALUES (19235, 7085, 5, 'Schwindel');
INSERT INTO `lang_definitions` VALUES (19236, 7088, 5, 'VFC');
INSERT INTO `lang_definitions` VALUES (19237, 7089, 5, 'Vietnamesisch');
INSERT INTO `lang_definitions` VALUES (19238, 7090, 5, 'zeigen');
INSERT INTO `lang_definitions` VALUES (19239, 7091, 5, 'Zeigen');
INSERT INTO `lang_definitions` VALUES (19240, 7092, 5, 'zeige Allergien');
INSERT INTO `lang_definitions` VALUES (19241, 7097, 5, 'Zeige umfassenden Patienten Bericht');
INSERT INTO `lang_definitions` VALUES (19242, 7100, 5, 'Zeige Dokument');
INSERT INTO `lang_definitions` VALUES (19243, 7101, 5, 'Zeige Fall');
INSERT INTO `lang_definitions` VALUES (19244, 7103, 5, 'Ereignis in einem Popup Fenster Zeigen?');
INSERT INTO `lang_definitions` VALUES (19245, 7104, 5, 'Anzeigen der Standort spezifischen Anwender Informationen');
INSERT INTO `lang_definitions` VALUES (19246, 7107, 5, 'Zeige Log');
INSERT INTO `lang_definitions` VALUES (19247, 7108, 5, 'Zeige Seite 1');
INSERT INTO `lang_definitions` VALUES (19248, 7109, 5, 'Zeige Seite 1');
INSERT INTO `lang_definitions` VALUES (19249, 7110, 5, 'Zeige Vergangene und kommende Erinnerungen');
INSERT INTO `lang_definitions` VALUES (19250, 7111, 5, 'Zeige Patient');
INSERT INTO `lang_definitions` VALUES (19251, 7116, 5, 'Anzeigen zugeordnete Fälle');
INSERT INTO `lang_definitions` VALUES (19252, 7121, 5, 'Zeige/Ändere Allergien');
INSERT INTO `lang_definitions` VALUES (19253, 7122, 5, 'Zeige/Bearbeite Fall');
INSERT INTO `lang_definitions` VALUES (19254, 7123, 5, 'Zeige/Drucken');
INSERT INTO `lang_definitions` VALUES (19255, 7124, 5, 'Zeige:');
INSERT INTO `lang_definitions` VALUES (19256, 7125, 5, 'VISA');
INSERT INTO `lang_definitions` VALUES (19257, 7126, 5, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (19258, 7133, 5, 'Konsultation Kategorie');
INSERT INTO `lang_definitions` VALUES (19259, 7134, 5, 'Konsultation Datum');
INSERT INTO `lang_definitions` VALUES (19260, 7135, 5, 'Konsultation datum');
INSERT INTO `lang_definitions` VALUES (19261, 7137, 5, 'Konsultation Formular');
INSERT INTO `lang_definitions` VALUES (19262, 7138, 5, 'Konsultation Verlauf');
INSERT INTO `lang_definitions` VALUES (19263, 7140, 5, 'Konsultation');
INSERT INTO `lang_definitions` VALUES (19264, 7141, 5, 'Konsultation von');
INSERT INTO `lang_definitions` VALUES (19265, 7142, 5, 'Vitalparameter');
INSERT INTO `lang_definitions` VALUES (19266, 7143, 5, 'Vitalwerte');
INSERT INTO `lang_definitions` VALUES (19267, 7144, 5, 'Vitalwerte');
INSERT INTO `lang_definitions` VALUES (19268, 7146, 5, 'Stimme');
INSERT INTO `lang_definitions` VALUES (19269, 7147, 5, 'Sprachbericht gesendet');
INSERT INTO `lang_definitions` VALUES (19270, 7149, 5, 'Erbrechen');
INSERT INTO `lang_definitions` VALUES (19271, 7151, 5, 'W');
INSERT INTO `lang_definitions` VALUES (19272, 7152, 5, 'Taillenumfang');
INSERT INTO `lang_definitions` VALUES (19273, 7153, 5, 'Taillenumfang');
INSERT INTO `lang_definitions` VALUES (19274, 7154, 5, 'Warten');
INSERT INTO `lang_definitions` VALUES (19275, 7157, 5, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (19276, 7158, 5, 'Warenhaus');
INSERT INTO `lang_definitions` VALUES (19277, 7159, 5, 'Warenhaus Maximum,0 falls nicht zutreffend');
INSERT INTO `lang_definitions` VALUES (19278, 7160, 5, 'Warenhaus Minimum, 0 falls nicht zutreffend');
INSERT INTO `lang_definitions` VALUES (19279, 7161, 5, 'Warenhaus');
INSERT INTO `lang_definitions` VALUES (19280, 7162, 5, 'Warm');
INSERT INTO `lang_definitions` VALUES (19281, 7163, 5, 'Warnung');
INSERT INTO `lang_definitions` VALUES (19282, 7164, 5, 'WARNUNG');
INSERT INTO `lang_definitions` VALUES (19283, 7166, 5, 'Warnung, Kontrollnummer in der Datenbank bereits vorhanden');
INSERT INTO `lang_definitions` VALUES (19284, 7168, 5, 'Warnung: Für diesen Patienten wurde heute bereits eine Konsultation erzeugt!');
INSERT INTO `lang_definitions` VALUES (19285, 7170, 5, 'Warnung: Patient ID ist nicht einzigartig!');
INSERT INTO `lang_definitions` VALUES (19286, 7171, 5, 'WARNUNG: Konfigurationsdaten werden mit den Daten von der hochgeladenen Datei überschrieben.');
INSERT INTO `lang_definitions` VALUES (19287, 7173, 5, 'Warnungen');
INSERT INTO `lang_definitions` VALUES (19288, 7175, 5, 'wurde bereits upgeloadet');
INSERT INTO `lang_definitions` VALUES (19289, 7177, 5, 'Wir erwarten die prompte Bezahlung des Restbetrages');
INSERT INTO `lang_definitions` VALUES (19290, 7178, 5, 'Ihr obiger Patient war bei uns in der ambulanten psychiatrischen Klinik für die Begutachtung und Behandlung. Vielen Dank für diese Empfehlung.');
INSERT INTO `lang_definitions` VALUES (19291, 7179, 5, 'Schwäche');
INSERT INTO `lang_definitions` VALUES (19292, 7181, 5, 'Websuche');
INSERT INTO `lang_definitions` VALUES (19293, 7182, 5, 'Webseite');
INSERT INTO `lang_definitions` VALUES (19294, 7183, 5, 'Webadresse für das Patienten Portal.');
INSERT INTO `lang_definitions` VALUES (19295, 7184, 5, 'Mi');
INSERT INTO `lang_definitions` VALUES (19296, 7185, 5, 'Mittwoch');
INSERT INTO `lang_definitions` VALUES (19297, 7186, 5, 'Woche');
INSERT INTO `lang_definitions` VALUES (19298, 7187, 5, 'woche');
INSERT INTO `lang_definitions` VALUES (19299, 7188, 5, 'Wochenansicht');
INSERT INTO `lang_definitions` VALUES (19300, 7189, 5, 'Woche(n)');
INSERT INTO `lang_definitions` VALUES (19301, 7192, 5, 'Wochen');
INSERT INTO `lang_definitions` VALUES (19302, 7193, 5, 'Gewicht');
INSERT INTO `lang_definitions` VALUES (19303, 7194, 5, 'Gewicht Bewertung und Beratung für Kinder und Jugendliche');
INSERT INTO `lang_definitions` VALUES (19304, 7195, 5, 'Gewicht Bewertung und Beratung für Kinder und Jugendliche (CQM)');
INSERT INTO `lang_definitions` VALUES (19305, 7196, 5, 'Gewichtsänderung');
INSERT INTO `lang_definitions` VALUES (19306, 7197, 5, 'Gewichtsverlust');
INSERT INTO `lang_definitions` VALUES (19307, 7198, 5, 'Schlankheitsinstitut');
INSERT INTO `lang_definitions` VALUES (19308, 7199, 5, 'Willkommen');
INSERT INTO `lang_definitions` VALUES (19309, 7202, 5, 'Was ist zu rechnen?');
INSERT INTO `lang_definitions` VALUES (19310, 7203, 5, 'keucht');
INSERT INTO `lang_definitions` VALUES (19311, 7204, 5, 'Keuchen');
INSERT INTO `lang_definitions` VALUES (19312, 7205, 5, 'Keuchen:');
INSERT INTO `lang_definitions` VALUES (19313, 7208, 5, 'Wo können gescannte oder Papier-Dokumente gefunden werden?');
INSERT INTO `lang_definitions` VALUES (19314, 7209, 5, 'ob Versicherte');
INSERT INTO `lang_definitions` VALUES (19315, 7211, 5, 'Schleudertrauma');
INSERT INTO `lang_definitions` VALUES (19316, 7212, 5, 'Weiß');
INSERT INTO `lang_definitions` VALUES (19317, 7213, 5, 'Wer');
INSERT INTO `lang_definitions` VALUES (19318, 7214, 5, 'Wer antwortet?');
INSERT INTO `lang_definitions` VALUES (19319, 7215, 5, 'Verwitwet');
INSERT INTO `lang_definitions` VALUES (19320, 7216, 5, 'Breite');
INSERT INTO `lang_definitions` VALUES (19321, 7217, 5, 'Breite in Pixel der linken Navigationsleiste.');
INSERT INTO `lang_definitions` VALUES (19322, 7222, 5, 'mit alten Namen');
INSERT INTO `lang_definitions` VALUES (19323, 7224, 5, 'An wem können wir eine Nachricht hinterlassen?');
INSERT INTO `lang_definitions` VALUES (19324, 7225, 5, 'Unterdrückt');
INSERT INTO `lang_definitions` VALUES (19325, 7226, 5, 'binnen Stunden');
INSERT INTO `lang_definitions` VALUES (19326, 7227, 5, 'binnen Stunden:');
INSERT INTO `lang_definitions` VALUES (19327, 7228, 5, 'binnen Minuten');
INSERT INTO `lang_definitions` VALUES (19328, 7229, 5, 'binnen Minuten:');
INSERT INTO `lang_definitions` VALUES (19329, 7232, 5, 'Ohne Update');
INSERT INTO `lang_definitions` VALUES (19330, 7233, 5, 'Zeuge');
INSERT INTO `lang_definitions` VALUES (19331, 7237, 5, 'Frau');
INSERT INTO `lang_definitions` VALUES (19332, 7238, 5, 'Nur Frauen');
INSERT INTO `lang_definitions` VALUES (19333, 7240, 5, 'Arbeit');
INSERT INTO `lang_definitions` VALUES (19334, 7241, 5, 'Arbeitsnotiz');
INSERT INTO `lang_definitions` VALUES (19335, 7242, 5, 'Arbeit Telefon');
INSERT INTO `lang_definitions` VALUES (19336, 7243, 5, 'Telefonnummer Arbeit');
INSERT INTO `lang_definitions` VALUES (19337, 7244, 5, 'Arbeitsbezogen?');
INSERT INTO `lang_definitions` VALUES (19338, 7245, 5, 'Arbeit/Ausbildung/Hobbies');
INSERT INTO `lang_definitions` VALUES (19339, 7246, 5, 'Arbeit/Schul Bemerkung');
INSERT INTO `lang_definitions` VALUES (19340, 7247, 5, 'Arbeitstag');
INSERT INTO `lang_definitions` VALUES (19341, 7252, 5, 'Schlimmer');
INSERT INTO `lang_definitions` VALUES (19342, 7254, 5, 'Sollen sie als geklärt gekennzeichnet werden?');
INSERT INTO `lang_definitions` VALUES (19343, 7255, 5, 'Möchten Sie reservieren?');
INSERT INTO `lang_definitions` VALUES (19344, 7258, 5, 'Willst Du Zahlungen löschen?');
INSERT INTO `lang_definitions` VALUES (19345, 7259, 5, 'Willst Du Bezahlungen verändern und beenden?');
INSERT INTO `lang_definitions` VALUES (19346, 7260, 5, 'WIllst Du Bezahlungen verändern?');
INSERT INTO `lang_definitions` VALUES (19347, 7261, 5, 'Willst Du Bezahlungen zuweisen und beenden?');
INSERT INTO `lang_definitions` VALUES (19348, 7262, 5, 'Willst Du Bezahlungen zuweisen?');
INSERT INTO `lang_definitions` VALUES (19349, 7263, 5, 'Willst Du speichern?');
INSERT INTO `lang_definitions` VALUES (19350, 7264, 5, 'Handgelenk');
INSERT INTO `lang_definitions` VALUES (19351, 7265, 5, 'Handgelenk und Hand');
INSERT INTO `lang_definitions` VALUES (19352, 7266, 5, 'Handgelenk Probleme');
INSERT INTO `lang_definitions` VALUES (19353, 7267, 5, 'schreiben');
INSERT INTO `lang_definitions` VALUES (19354, 7268, 5, 'abschreiben');
INSERT INTO `lang_definitions` VALUES (19355, 7271, 5, 'WT');
INSERT INTO `lang_definitions` VALUES (19356, 7273, 5, 'x Abgebrochen');
INSERT INTO `lang_definitions` VALUES (19357, 7274, 5, 'x Abgebrochen');
INSERT INTO `lang_definitions` VALUES (19358, 7275, 5, 'Röntgen');
INSERT INTO `lang_definitions` VALUES (19359, 7276, 5, 'Röntgen-Interpretation:');
INSERT INTO `lang_definitions` VALUES (19360, 7277, 5, 'Röntgen-Interpretation:');
INSERT INTO `lang_definitions` VALUES (19361, 7278, 5, 'Nur X12: Ersatz-Anspruch ');
INSERT INTO `lang_definitions` VALUES (19362, 7279, 5, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (19363, 7280, 5, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (19364, 7284, 5, 'J');
INSERT INTO `lang_definitions` VALUES (19365, 7285, 5, 'Jahr');
INSERT INTO `lang_definitions` VALUES (19366, 7286, 5, 'Jahr');
INSERT INTO `lang_definitions` VALUES (19367, 7287, 5, 'Jahresansicht');
INSERT INTO `lang_definitions` VALUES (19368, 7288, 5, 'Jahr(e)');
INSERT INTO `lang_definitions` VALUES (19369, 7289, 5, 'Jahre');
INSERT INTO `lang_definitions` VALUES (19370, 7292, 5, 'JA');
INSERT INTO `lang_definitions` VALUES (19371, 7293, 5, 'Ja');
INSERT INTO `lang_definitions` VALUES (19372, 7294, 5, 'ja');
INSERT INTO `lang_definitions` VALUES (19373, 7295, 5, 'JA!');
INSERT INTO `lang_definitions` VALUES (19374, 7296, 5, 'Ja, entfernen und aufzeichnen');
INSERT INTO `lang_definitions` VALUES (19375, 7298, 5, 'Ja/Nein');
INSERT INTO `lang_definitions` VALUES (19376, 7299, 5, 'Ja:');
INSERT INTO `lang_definitions` VALUES (19377, 7300, 5, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (19378, 7303, 5, 'Sie sind dabei die Vorlage dauerhaft zu verändern. Sind Sie sicher, dass Sie den Vorgang fortsetzen?');
INSERT INTO `lang_definitions` VALUES (19379, 7304, 5, 'Du bist in der Grace-Login-Zeit. Ändere Dein Passwort vor dem');
INSERT INTO `lang_definitions` VALUES (19380, 7305, 5, 'Sie sind nicht berechtigt, dieses Ereignis löschen');
INSERT INTO `lang_definitions` VALUES (19381, 7306, 5, 'Sie sind nicht berechtigt, dieses Ereignis zu ändern');
INSERT INTO `lang_definitions` VALUES (19382, 7307, 5, 'Sie haben für das keine Berechtigung.');
INSERT INTO `lang_definitions` VALUES (19383, 7309, 5, 'Sie haben keine Rechte, Problemstellungen zu bearbeiten.');
INSERT INTO `lang_definitions` VALUES (19384, 7310, 5, 'Sie haben keine Rechte, um Termine zu vergeben.');
INSERT INTO `lang_definitions` VALUES (19385, 7311, 5, 'Sie haben keine Rechte, diese Visite einzusehen.');
INSERT INTO `lang_definitions` VALUES (19386, 7312, 5, 'Sie verändern eine alte Visite. Ist das korrekt?');
INSERT INTO `lang_definitions` VALUES (19387, 7313, 5, 'Kein direkter Zugriff auf diese Funktion erlaubt.');
INSERT INTO `lang_definitions` VALUES (19388, 7314, 5, 'Kein direkter Zugriff auf diese Seite erlaubt.');
INSERT INTO `lang_definitions` VALUES (19389, 7315, 5, 'Kategorie darf nicht leer sein!');
INSERT INTO `lang_definitions` VALUES (19390, 7316, 5, 'Unterkategorie darf nicht leer sein!');
INSERT INTO `lang_definitions` VALUES (19391, 7317, 5, 'Item darf nicht leer sein!');
INSERT INTO `lang_definitions` VALUES (19392, 7318, 5, 'Du kannst kein Datum auswählen, das in der Zukunft liegt, wenn der Vollständigkeitsstatus auf Ja gesetzt ist');
INSERT INTO `lang_definitions` VALUES (19393, 7319, 5, 'Du hast keine Aktionen ausgewählt.');
INSERT INTO `lang_definitions` VALUES (19394, 7320, 5, 'Du hast keine Rechte, um diese Notiz zu sehen oder zu bearbeiten');
INSERT INTO `lang_definitions` VALUES (19395, 7321, 5, 'Du versuchst Inhalte zu ändern, die gesperrt sind. Entferne die Sperre, um dies zu tun: Entferne die Zeile \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (19396, 7322, 5, 'Du bist jetzt abgemeldet.');
INSERT INTO `lang_definitions` VALUES (19397, 7323, 5, 'Du kannst .txt-Dateien hochladen');
INSERT INTO `lang_definitions` VALUES (19398, 7325, 5, 'Hier kann Text eingefügt werden, der als Standard-Beschwerde im Formular für eine neue Visite verwendet wird.');
INSERT INTO `lang_definitions` VALUES (19399, 7326, 5, 'Gib ein Passwort ein, um dieses Dokument zu verschlüsseln');
INSERT INTO `lang_definitions` VALUES (19400, 7329, 5, 'Erst Patient wählen oder hinzufügen');
INSERT INTO `lang_definitions` VALUES (19401, 7330, 5, 'Erstelle zuerst eine Visite.');
INSERT INTO `lang_definitions` VALUES (19402, 7331, 5, 'Wähle eine Kategorie für diese Visite');
INSERT INTO `lang_definitions` VALUES (19403, 7332, 5, 'Wähle eine Kategorie für diese Visite.');
INSERT INTO `lang_definitions` VALUES (19404, 7333, 5, 'Felder auswählen, um fortzufahren.');
INSERT INTO `lang_definitions` VALUES (19405, 7335, 5, 'Wähle mindestens einen Kontext');
INSERT INTO `lang_definitions` VALUES (19406, 7336, 5, 'Wähle mindestens einen Provider');
INSERT INTO `lang_definitions` VALUES (19407, 7339, 5, 'Enddatum ungültig');
INSERT INTO `lang_definitions` VALUES (19408, 7340, 5, 'Termin gelöscht');
INSERT INTO `lang_definitions` VALUES (19409, 7341, 5, 'Termin geändert');
INSERT INTO `lang_definitions` VALUES (19410, 7342, 5, 'Termin übertragen');
INSERT INTO `lang_definitions` VALUES (19411, 7343, 5, 'Die Datei ist zu groß');
INSERT INTO `lang_definitions` VALUES (19412, 7345, 5, 'Der Listenname wurde geändert, um den Namensvorschriften zu genügen.');
INSERT INTO `lang_definitions` VALUES (19413, 7347, 5, 'Dein Name für diese Kategorie, dieses Verfahren oder Ergebnis');
INSERT INTO `lang_definitions` VALUES (19414, 7349, 5, 'Passwort läuft ab. Bitte Passwort ändern.');
INSERT INTO `lang_definitions` VALUES (19415, 7350, 5, 'Passwort läuft ab am');
INSERT INTO `lang_definitions` VALUES (19416, 7351, 5, 'Passwort läuft heute ab. Bitte Passwort ändern.');
INSERT INTO `lang_definitions` VALUES (19417, 7353, 5, 'Deine PostCalendar-Konfiguration wurde auf die Standardwerte zurückgesetzt.');
INSERT INTO `lang_definitions` VALUES (19418, 7354, 5, 'Deine PostCalendar-Konfiguration wurde aktualisiert.');
INSERT INTO `lang_definitions` VALUES (19419, 7355, 5, 'Wiederholfrequenz muss Datentyp \"Integer\" sein');
INSERT INTO `lang_definitions` VALUES (19420, 7356, 5, 'Wiederholfrequenz muss größer eins sein.');
INSERT INTO `lang_definitions` VALUES (19421, 7357, 5, 'Startdatum ist größer als Enddatum');
INSERT INTO `lang_definitions` VALUES (19422, 7358, 5, 'Startdatum ist ungültig');
INSERT INTO `lang_definitions` VALUES (19423, 7359, 5, 'Übertragung fehlgeschlagen.');
INSERT INTO `lang_definitions` VALUES (19424, 7360, 5, 'jjjj-mm-tt');
INSERT INTO `lang_definitions` VALUES (19425, 7361, 5, 'JJJJ-MM-DD');
INSERT INTO `lang_definitions` VALUES (19426, 7362, 5, 'jjjj-mm-tt Datum zugehörig zu diesem Dokument');
INSERT INTO `lang_definitions` VALUES (19427, 7363, 5, 'jjjj-mm-tt Datum zerstört');
INSERT INTO `lang_definitions` VALUES (19428, 7364, 5, 'jjjj-mm-tt Geburtstag');
INSERT INTO `lang_definitions` VALUES (19429, 7365, 5, 'jjjj-mm-tt Geburtstag');
INSERT INTO `lang_definitions` VALUES (19430, 7366, 5, 'jjjj-mm-tt Ablaufdatum');
INSERT INTO `lang_definitions` VALUES (19431, 7367, 5, 'jjjj-mm-tt Datum des Ausbruchs der Krankheit oder der Hospitalisierung');
INSERT INTO `lang_definitions` VALUES (19432, 7368, 5, 'jjjj-mm-tt Datum des Ausbruchs der Krankheit, der OP oder Start der Medikation');
INSERT INTO `lang_definitions` VALUES (19433, 7369, 5, 'jjjj-mm-tt Datum des Kaufs oder der Überweisung');
INSERT INTO `lang_definitions` VALUES (19434, 7370, 5, 'jjjj-mm-tt Datum der Genesung oder Ende der Medikation');
INSERT INTO `lang_definitions` VALUES (19435, 7371, 5, 'jjjj-mm-tt Datum der Rückkehr zum Spiel');
INSERT INTO `lang_definitions` VALUES (19436, 7372, 5, 'jjjj-mm-tt Datum der Leistung');
INSERT INTO `lang_definitions` VALUES (19437, 7373, 5, 'jjjj-mm-tt Datum dieses Briefes');
INSERT INTO `lang_definitions` VALUES (19438, 7374, 5, 'jjjj-mm-tt Datum zurückgekehrt zum Spiel');
INSERT INTO `lang_definitions` VALUES (19439, 7375, 5, 'jjjj-mm-tt Dokumentdatum');
INSERT INTO `lang_definitions` VALUES (19440, 7376, 5, 'jjjj-mm-tt Ereignisdatum oder Startdatum');
INSERT INTO `lang_definitions` VALUES (19441, 7381, 5, 'jjjj-mm-tt hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (19442, 7383, 5, 'jjjj-mm-tt letztes Datum dieses Ereignisses');
INSERT INTO `lang_definitions` VALUES (19443, 7387, 5, 'Null');
INSERT INTO `lang_definitions` VALUES (19444, 7389, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (19445, 7390, 5, 'PLZ');
INSERT INTO `lang_definitions` VALUES (19446, 7391, 5, 'PLZ/Land');
INSERT INTO `lang_definitions` VALUES (19447, 7392, 5, 'Zulu');
INSERT INTO `lang_definitions` VALUES (19448, 7393, 5, ' but aber es war ');
INSERT INTO `lang_definitions` VALUES (19449, 7394, 5, ' nicht zugegriffen');
INSERT INTO `lang_definitions` VALUES (19450, 7395, 5, 'wollen Sie wirklich löschen');
INSERT INTO `lang_definitions` VALUES (19451, 7396, 5, 'Medikament');
INSERT INTO `lang_definitions` VALUES (19452, 7397, 5, 'emails nicht versendet');
INSERT INTO `lang_definitions` VALUES (19453, 7398, 5, 'von');
INSERT INTO `lang_definitions` VALUES (19454, 7399, 5, 'wurde erzeugt. ');
INSERT INTO `lang_definitions` VALUES (19455, 7400, 5, 'wurde wieder geöffnet.');
INSERT INTO `lang_definitions` VALUES (19456, 7401, 5, 'Geschichte');
INSERT INTO `lang_definitions` VALUES (19457, 7402, 5, 'ist keine Nummer');
INSERT INTO `lang_definitions` VALUES (19458, 7403, 5, 'bereit zur Wiederberechnung');
INSERT INTO `lang_definitions` VALUES (19459, 7404, 5, 'LLL:');
INSERT INTO `lang_definitions` VALUES (19460, 7405, 5, 'Los');
INSERT INTO `lang_definitions` VALUES (19461, 7407, 5, 'min');
INSERT INTO `lang_definitions` VALUES (19462, 7408, 5, 'nicht gefunden');
INSERT INTO `lang_definitions` VALUES (19463, 7410, 5, 'Verschreibung hat Grenze erreicht von');
INSERT INTO `lang_definitions` VALUES (19464, 7411, 5, 'bis');
INSERT INTO `lang_definitions` VALUES (19465, 7412, 5, 'aktualisieren fehlgeschlagen, nicht in Datenbank?');
INSERT INTO `lang_definitions` VALUES (19466, 7413, 5, 'wurde als \"nur abgerechnet\" markiert.');
INSERT INTO `lang_definitions` VALUES (19467, 7414, 5, 'wurde erfolgreich eingereiht.');
INSERT INTO `lang_definitions` VALUES (19468, 7415, 5, '! Gegangen ohne Visite');
INSERT INTO `lang_definitions` VALUES (19469, 7416, 5, '\" für Code');
INSERT INTO `lang_definitions` VALUES (19470, 7418, 5, '# Versicherungs-/Finanzierungsproblem');
INSERT INTO `lang_definitions` VALUES (19471, 7419, 5, 'Anzahl Tabletten');
INSERT INTO `lang_definitions` VALUES (19472, 7420, 5, '$');
INSERT INTO `lang_definitions` VALUES (19473, 7421, 5, '$ Kodierung fertig');
INSERT INTO `lang_definitions` VALUES (19474, 7422, 5, '$label (jjjj-mm-tt) ');
INSERT INTO `lang_definitions` VALUES (19475, 7423, 5, '%');
INSERT INTO `lang_definitions` VALUES (19476, 7424, 5, '% Abgesagt < 24h');
INSERT INTO `lang_definitions` VALUES (19477, 7425, 5, '% Abgesagt < 24h ');
INSERT INTO `lang_definitions` VALUES (19478, 7426, 5, 'sollte vorhanden sein, ist es aber nicht');
INSERT INTO `lang_definitions` VALUES (19479, 7427, 5, '(% steht für mehrere beliebige Zeichen, _ für genau ein beliebiges Zeichen)');
INSERT INTO `lang_definitions` VALUES (19480, 7428, 5, '([Ctrl] + Klick, um mehrere Empfänger auszuwählen)');
INSERT INTO `lang_definitions` VALUES (19481, 7429, 5, '(Zurück)');
INSERT INTO `lang_definitions` VALUES (19482, 7430, 5, '(Klicken zum Editieren)');
INSERT INTO `lang_definitions` VALUES (19483, 7431, 5, '(E-Mail wird unverzüglich zugestellt, VOIP wird dem Service Provider übermittelt zur weiteren Bearbeitung)');
INSERT INTO `lang_definitions` VALUES (19484, 7432, 5, '(Mehr)');
INSERT INTO `lang_definitions` VALUES (19485, 7433, 5, '(Neuer Patient)');
INSERT INTO `lang_definitions` VALUES (19486, 7434, 5, '(Notizen und Genehmigungen)');
INSERT INTO `lang_definitions` VALUES (19487, 7435, 5, '(Patientennotizen)');
INSERT INTO `lang_definitions` VALUES (19488, 7436, 5, '(Wähle einen von diesen, oder schreibe einen eigenen Titel)');
INSERT INTO `lang_definitions` VALUES (19489, 7437, 5, '(Shift-)Klick oder ziehen um Wert zu ändern');
INSERT INTO `lang_definitions` VALUES (19490, 7438, 5, '* Erinnerung erfolgt');
INSERT INTO `lang_definitions` VALUES (19491, 7439, 5, '** Bitte Operationen in Probleme verschieben!');
INSERT INTO `lang_definitions` VALUES (19492, 7440, 5, '* Benötigt');
INSERT INTO `lang_definitions` VALUES (19493, 7441, 5, '+ Karte rausgesucht');
INSERT INTO `lang_definitions` VALUES (19494, 7442, 5, '- kein');
INSERT INTO `lang_definitions` VALUES (19495, 7443, 5, '-- Alle --');
INSERT INTO `lang_definitions` VALUES (19496, 7444, 5, '-- Rolle auswählen --');
INSERT INTO `lang_definitions` VALUES (19497, 7445, 5, '.');
INSERT INTO `lang_definitions` VALUES (19498, 7446, 5, '0');
INSERT INTO `lang_definitions` VALUES (19499, 7447, 5, '0-10');
INSERT INTO `lang_definitions` VALUES (19500, 7448, 5, '0-24');
INSERT INTO `lang_definitions` VALUES (19501, 7451, 5, '1');
INSERT INTO `lang_definitions` VALUES (19502, 7452, 5, '1 = Nord Amerika. Siehe http://www.wtng.info/ für eine Liste anderer Ländercodes.');
INSERT INTO `lang_definitions` VALUES (19503, 7453, 5, '1 Tag ab jetzt');
INSERT INTO `lang_definitions` VALUES (19504, 7454, 5, '1 Monat ab jetzt');
INSERT INTO `lang_definitions` VALUES (19505, 7455, 5, '1 Woche ab jetzt');
INSERT INTO `lang_definitions` VALUES (19506, 7456, 5, '1 Jahr ab jetzt');
INSERT INTO `lang_definitions` VALUES (19507, 7458, 5, '11-14');
INSERT INTO `lang_definitions` VALUES (19508, 7459, 5, '12 h');
INSERT INTO `lang_definitions` VALUES (19509, 7460, 5, '15-19');
INSERT INTO `lang_definitions` VALUES (19510, 7461, 5, '1');
INSERT INTO `lang_definitions` VALUES (19511, 7462, 5, '2');
INSERT INTO `lang_definitions` VALUES (19512, 7463, 5, '2 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (19513, 7464, 5, '2 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19514, 7465, 5, '2 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (19515, 7466, 5, '2 Jahre ab jetzt');
INSERT INTO `lang_definitions` VALUES (19516, 7468, 5, '20-24');
INSERT INTO `lang_definitions` VALUES (19517, 7477, 5, '2111-13');
INSERT INTO `lang_definitions` VALUES (19518, 7478, 5, '24 h');
INSERT INTO `lang_definitions` VALUES (19519, 7479, 5, '25+');
INSERT INTO `lang_definitions` VALUES (19520, 7480, 5, '25-29');
INSERT INTO `lang_definitions` VALUES (19521, 7481, 5, '2');
INSERT INTO `lang_definitions` VALUES (19522, 7482, 5, '3 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (19523, 7483, 5, '3 Monate');
INSERT INTO `lang_definitions` VALUES (19524, 7484, 5, '3 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19525, 7485, 5, '3 mal täglich');
INSERT INTO `lang_definitions` VALUES (19526, 7486, 5, '3 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (19527, 7487, 5, '30-34');
INSERT INTO `lang_definitions` VALUES (19528, 7488, 5, '35-39');
INSERT INTO `lang_definitions` VALUES (19529, 7489, 5, '3');
INSERT INTO `lang_definitions` VALUES (19530, 7490, 5, '4 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (19531, 7491, 5, '4 Monate');
INSERT INTO `lang_definitions` VALUES (19532, 7492, 5, '4 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19533, 7493, 5, '4 mal täglich');
INSERT INTO `lang_definitions` VALUES (19534, 7494, 5, '4 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (19535, 7495, 5, '40-44');
INSERT INTO `lang_definitions` VALUES (19536, 7496, 5, '45+');
INSERT INTO `lang_definitions` VALUES (19537, 7497, 5, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (19538, 7498, 5, '466.0, Bronchitis, Akut (oNA)');
INSERT INTO `lang_definitions` VALUES (19539, 7499, 5, '486.0. Pneumonie, Akut');
INSERT INTO `lang_definitions` VALUES (19540, 7500, 5, '491.21, COPD Exacerbation');
INSERT INTO `lang_definitions` VALUES (19541, 7501, 5, '491.8, Chronische Bronchitis');
INSERT INTO `lang_definitions` VALUES (19542, 7502, 5, '493.92, Asthma, akut exacerb.');
INSERT INTO `lang_definitions` VALUES (19543, 7503, 5, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (19544, 7504, 5, '4');
INSERT INTO `lang_definitions` VALUES (19545, 7505, 5, '5 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (19546, 7506, 5, '5 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19547, 7507, 5, '5 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (19548, 7508, 5, '519.7, Bronchospasmus');
INSERT INTO `lang_definitions` VALUES (19549, 7509, 5, '5');
INSERT INTO `lang_definitions` VALUES (19550, 7510, 5, '6 Tage ab jetzt');
INSERT INTO `lang_definitions` VALUES (19551, 7511, 5, '6 Monate');
INSERT INTO `lang_definitions` VALUES (19552, 7512, 5, '6 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19553, 7513, 5, '6 Wochen ab jetzt');
INSERT INTO `lang_definitions` VALUES (19554, 7514, 5, '6te');
INSERT INTO `lang_definitions` VALUES (19555, 7515, 5, '7 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19556, 7516, 5, '8 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19557, 7517, 5, '824.0 Fraktur, med. malleolus, geschlossen');
INSERT INTO `lang_definitions` VALUES (19558, 7518, 5, '824.2 Fraktur, lat. malleolus, geschlossen');
INSERT INTO `lang_definitions` VALUES (19559, 7519, 5, '824.6 Fraktur, trimalleolär, geschlossen');
INSERT INTO `lang_definitions` VALUES (19560, 7520, 5, '825.32 Fraktur, os navikulare (Sprunggelenk)');
INSERT INTO `lang_definitions` VALUES (19561, 7521, 5, '825.35 Fraktur, Basis fünfte (5.) Metatarsale');
INSERT INTO `lang_definitions` VALUES (19562, 7522, 5, '845.0 Verstauchung Sprunggelenk (oNA)');
INSERT INTO `lang_definitions` VALUES (19563, 7523, 5, '845.01 Verstauchung mediales (deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (19564, 7524, 5, '845.02 Verstauchung calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (19565, 7525, 5, '9 Monate ab jetzt');
INSERT INTO `lang_definitions` VALUES (19566, 7526, 5, '99212 festgestellt - unkompliziert');
INSERT INTO `lang_definitions` VALUES (19567, 7527, 5, '99213 festgestellt - leicht kompliziert');
INSERT INTO `lang_definitions` VALUES (19568, 7528, 5, '< Im Untersuchungsraum');
INSERT INTO `lang_definitions` VALUES (19569, 7529, 5, '> Gegangen');
INSERT INTO `lang_definitions` VALUES (19570, 7530, 5, '?');
INSERT INTO `lang_definitions` VALUES (19571, 7531, 5, '? Nicht erschienen');
INSERT INTO `lang_definitions` VALUES (19572, 7532, 5, '@ Angekommen');
INSERT INTO `lang_definitions` VALUES (19573, 7533, 5, '[Ansicht ändern]');
INSERT INTO `lang_definitions` VALUES (19574, 7534, 5, '[Tag des letzten Termins]');
INSERT INTO `lang_definitions` VALUES (19575, 7535, 5, '[Tage seit letztem Termin]');
INSERT INTO `lang_definitions` VALUES (19576, 7536, 5, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (19577, 7537, 5, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (19578, 7538, 5, '[nicht empfohlen]');
INSERT INTO `lang_definitions` VALUES (19579, 7539, 5, '[Anzahl Fälle]');
INSERT INTO `lang_definitions` VALUES (19580, 7540, 5, '[Berichte]');
INSERT INTO `lang_definitions` VALUES (19581, 7541, 5, '[Alles auswählen]');
INSERT INTO `lang_definitions` VALUES (19582, 7542, 5, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (19583, 7543, 5, '[Starten der Batch-Bearbeitung]');
INSERT INTO `lang_definitions` VALUES (19584, 7544, 5, '[Log anzeigen]');
INSERT INTO `lang_definitions` VALUES (19585, 7545, 5, '[Druckbaren Bericht anzeigen]');
INSERT INTO `lang_definitions` VALUES (19586, 7546, 5, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (19587, 7547, 5, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (19588, 7548, 5, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (19589, 7549, 5, '~ Zu spät gekommen');
INSERT INTO `lang_definitions` VALUES (19590, 1, 6, 'A');
INSERT INTO `lang_definitions` VALUES (19591, 2, 6, 'Chequenummer of claimnummer om betaling te identificeren');
INSERT INTO `lang_definitions` VALUES (19592, 3, 6, 'Een certificaat voor de ADMIN gebruiker');
INSERT INTO `lang_definitions` VALUES (19593, 4, 6, 'Een klinisch document is bijgevoegd');
INSERT INTO `lang_definitions` VALUES (19594, 5, 6, 'Een klinisch document is bijgevoegd.');
INSERT INTO `lang_definitions` VALUES (19595, 7, 6, 'Hiervoor is een distributeur nodig');
INSERT INTO `lang_definitions` VALUES (19596, 8, 6, 'Een CGAC visite formulier hoort bij dit bezoek.');
INSERT INTO `lang_definitions` VALUES (19597, 9, 6, 'Een lot # is vereist');
INSERT INTO `lang_definitions` VALUES (19598, 10, 6, 'Een lot # is vereist!');
INSERT INTO `lang_definitions` VALUES (19599, 11, 6, 'Kleine letter');
INSERT INTO `lang_definitions` VALUES (19600, 12, 6, 'Numeriek');
INSERT INTO `lang_definitions` VALUES (19601, 14, 6, 'Een client met deze ID is al geregistreed');
INSERT INTO `lang_definitions` VALUES (19602, 15, 6, 'Een client met deze naam bestaat al');
INSERT INTO `lang_definitions` VALUES (19603, 16, 6, 'Een client met deze Soc.Sec. bestaat al');
INSERT INTO `lang_definitions` VALUES (19604, 17, 6, 'Een positief getal laat dat aantal afspraken zien in een Widget een samenvat scherm van de patient (Een negatief nummer laat de vergelopen afspraken zien in een aflopende volgorde)');
INSERT INTO `lang_definitions` VALUES (19605, 18, 6, 'Een positief nummer geeft aan dat er afspraken in verleden geweest zijn in het WIDGET-scherm van de patient');
INSERT INTO `lang_definitions` VALUES (19606, 19, 6, 'Aanmaken van verwijs bron kan bij ieder bezoek');
INSERT INTO `lang_definitions` VALUES (19607, 20, 6, 'Een overeenkomstige IPPF code is noodzakelijk!');
INSERT INTO `lang_definitions` VALUES (19608, 21, 6, 'Een speciaal karakter');
INSERT INTO `lang_definitions` VALUES (19609, 22, 6, 'Een unieke waarde om dit veld te identificeren, onzichtbaar voor de gebruiker');
INSERT INTO `lang_definitions` VALUES (19610, 23, 6, 'Vandaag een reeds aangemaakt bezoek voor deze client. Klik op Cancel om het te openen, of op OK om door te gaan en maak een nieuwe.');
INSERT INTO `lang_definitions` VALUES (19611, 24, 6, 'voor ontbijt');
INSERT INTO `lang_definitions` VALUES (19612, 25, 6, 'in de morgen');
INSERT INTO `lang_definitions` VALUES (19613, 26, 6, 'A/F Niveau rechts:');
INSERT INTO `lang_definitions` VALUES (19614, 27, 6, 'AB');
INSERT INTO `lang_definitions` VALUES (19615, 28, 6, 'Afkorting');
INSERT INTO `lang_definitions` VALUES (19616, 29, 6, 'Abces');
INSERT INTO `lang_definitions` VALUES (19617, 30, 6, 'Abdominaal');
INSERT INTO `lang_definitions` VALUES (19618, 31, 6, 'Vier stappenplan voor toename gewichtsbelasting:');
INSERT INTO `lang_definitions` VALUES (19619, 32, 6, 'Abn');
INSERT INTO `lang_definitions` VALUES (19620, 33, 6, 'Abn.1');
INSERT INTO `lang_definitions` VALUES (19621, 34, 6, 'Abnormaal');
INSERT INTO `lang_definitions` VALUES (19622, 35, 6, 'Abnormale bloedtest');
INSERT INTO `lang_definitions` VALUES (19623, 36, 6, 'Abnormale haargroei');
INSERT INTO `lang_definitions` VALUES (19624, 37, 6, 'Abnormaal mammogram');
INSERT INTO `lang_definitions` VALUES (19625, 39, 6, 'Abortus');
INSERT INTO `lang_definitions` VALUES (19626, 40, 6, 'Abortusproblematiek');
INSERT INTO `lang_definitions` VALUES (19627, 41, 6, 'Abortusmethode');
INSERT INTO `lang_definitions` VALUES (19628, 42, 6, 'Abortus gerelateerde categorieen');
INSERT INTO `lang_definitions` VALUES (19629, 43, 6, 'Abortussen');
INSERT INTO `lang_definitions` VALUES (19630, 44, 6, 'Over de kalender');
INSERT INTO `lang_definitions` VALUES (19631, 46, 6, 'Diagnose met absences');
INSERT INTO `lang_definitions` VALUES (19632, 47, 6, 'Aanstelling accepteren');
INSERT INTO `lang_definitions` VALUES (19633, 48, 6, 'Accepteer betaling voor');
INSERT INTO `lang_definitions` VALUES (19634, 49, 6, 'Accepteer betaling voor ');
INSERT INTO `lang_definitions` VALUES (19635, 50, 6, 'Accepteert opdracht');
INSERT INTO `lang_definitions` VALUES (19636, 51, 6, 'Bevoegd als');
INSERT INTO `lang_definitions` VALUES (19637, 52, 6, 'Toegangscontrolelijsten administratie');
INSERT INTO `lang_definitions` VALUES (19638, 53, 6, 'Datum van toegang');
INSERT INTO `lang_definitions` VALUES (19639, 54, 6, 'Toegang niet toegestaan');
INSERT INTO `lang_definitions` VALUES (19640, 55, 6, 'Toegang niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (19641, 56, 6, 'Naar eigen Patienten toegang');
INSERT INTO `lang_definitions` VALUES (19642, 57, 6, 'Ongeval');
INSERT INTO `lang_definitions` VALUES (19643, 59, 6, 'Account naam');
INSERT INTO `lang_definitions` VALUES (19644, 62, 6, 'Boekhouding');
INSERT INTO `lang_definitions` VALUES (19645, 64, 6, 'Pijn');
INSERT INTO `lang_definitions` VALUES (19646, 65, 6, 'Erkenning gevraagde (ISA14)');
INSERT INTO `lang_definitions` VALUES (19647, 66, 6, 'Namen, licentie en certificering');
INSERT INTO `lang_definitions` VALUES (19648, 67, 6, 'ACL');
INSERT INTO `lang_definitions` VALUES (19649, 68, 6, 'ACL administratie');
INSERT INTO `lang_definitions` VALUES (19650, 69, 6, 'ACL administratie. Niet toegestaan');
INSERT INTO `lang_definitions` VALUES (19651, 70, 6, 'ACL Met succes vernieuwd');
INSERT INTO `lang_definitions` VALUES (19652, 71, 6, 'Acne');
INSERT INTO `lang_definitions` VALUES (19653, 72, 6, 'Act');
INSERT INTO `lang_definitions` VALUES (19654, 73, 6, 'Act datum');
INSERT INTO `lang_definitions` VALUES (19655, 74, 6, 'Actie');
INSERT INTO `lang_definitions` VALUES (19656, 75, 6, 'Acties');
INSERT INTO `lang_definitions` VALUES (19657, 77, 6, 'Activeren van CCR/CCD rapportage');
INSERT INTO `lang_definitions` VALUES (19658, 78, 6, 'Actief');
INSERT INTO `lang_definitions` VALUES (19659, 79, 6, 'Actief alarm');
INSERT INTO `lang_definitions` VALUES (19660, 80, 6, 'Regels voor actief alarm');
INSERT INTO `lang_definitions` VALUES (19661, 81, 6, 'Actieve Alertering/Herinneringen');
INSERT INTO `lang_definitions` VALUES (19662, 82, 6, 'Huidige bezoek');
INSERT INTO `lang_definitions` VALUES (19663, 84, 6, 'Actieve lijst');
INSERT INTO `lang_definitions` VALUES (19664, 85, 6, 'Client in focus:');
INSERT INTO `lang_definitions` VALUES (19665, 86, 6, 'Actieve plannen');
INSERT INTO `lang_definitions` VALUES (19666, 87, 6, 'Activiteit');
INSERT INTO `lang_definitions` VALUES (19667, 88, 6, 'Soort activiteit');
INSERT INTO `lang_definitions` VALUES (19668, 90, 6, 'Acute vergiftiging/Onttrekkings Sx');
INSERT INTO `lang_definitions` VALUES (19669, 91, 6, 'ACutre manifestatie van een chronische conditie');
INSERT INTO `lang_definitions` VALUES (19670, 92, 6, 'Acuut op chronisch beloop');
INSERT INTO `lang_definitions` VALUES (19671, 93, 6, 'toevoegen');
INSERT INTO `lang_definitions` VALUES (19672, 94, 6, 'Toevoegen');
INSERT INTO `lang_definitions` VALUES (19673, 95, 6, 'ADD');
INSERT INTO `lang_definitions` VALUES (19674, 96, 6, 'Bedrijf toevoegen');
INSERT INTO `lang_definitions` VALUES (19675, 98, 6, 'Apotheek toevoegen');
INSERT INTO `lang_definitions` VALUES (19676, 100, 6, 'gebeurtenis toevoegen voor ');
INSERT INTO `lang_definitions` VALUES (19677, 101, 6, 'Bewaar als nieuwe notitie');
INSERT INTO `lang_definitions` VALUES (19678, 102, 6, 'Bewaar als nieuw');
INSERT INTO `lang_definitions` VALUES (19679, 104, 6, 'Knoppen toevoegen');
INSERT INTO `lang_definitions` VALUES (19680, 105, 6, 'Knoppen toevoegen voor Speciale karakters om aan bovenzijde van de Editor te tonen om bij de tekst te voegen dmv Click');
INSERT INTO `lang_definitions` VALUES (19681, 106, 6, 'Categorie toevoegen');
INSERT INTO `lang_definitions` VALUES (19682, 107, 6, 'Constante toevoegen');
INSERT INTO `lang_definitions` VALUES (19683, 108, 6, 'Contekst toevoegen');
INSERT INTO `lang_definitions` VALUES (19684, 109, 6, 'Eigen bijdrage toevoegen');
INSERT INTO `lang_definitions` VALUES (19685, 110, 6, 'Criterium toevoegen');
INSERT INTO `lang_definitions` VALUES (19686, 111, 6, 'Custom knop toevoegen');
INSERT INTO `lang_definitions` VALUES (19687, 112, 6, 'Dx toevoegen');
INSERT INTO `lang_definitions` VALUES (19688, 113, 6, 'Rx toevoegen');
INSERT INTO `lang_definitions` VALUES (19689, 114, 6, 'Contact toevoegen');
INSERT INTO `lang_definitions` VALUES (19690, 115, 6, 'Toevoegen van bezoek notities');
INSERT INTO `lang_definitions` VALUES (19691, 116, 6, 'Locatie toevoegen');
INSERT INTO `lang_definitions` VALUES (19692, 117, 6, 'Veld toevoegen');
INSERT INTO `lang_definitions` VALUES (19693, 118, 6, 'Voeg de volgende regels toe aan het Apache-configuratiebestand');
INSERT INTO `lang_definitions` VALUES (19694, 119, 6, 'Groep toevoegen');
INSERT INTO `lang_definitions` VALUES (19695, 120, 6, 'ICD Code toevoegen');
INSERT INTO `lang_definitions` VALUES (19696, 121, 6, 'Vaccinatie toevoegen');
INSERT INTO `lang_definitions` VALUES (19697, 122, 6, 'Toevoegen niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (19698, 123, 6, 'Probleem toevoegen');
INSERT INTO `lang_definitions` VALUES (19699, 124, 6, 'Item toevoegen om te vervolgen');
INSERT INTO `lang_definitions` VALUES (19700, 125, 6, 'Taal toevoegen');
INSERT INTO `lang_definitions` VALUES (19701, 126, 6, 'Nieuwe toevoegen');
INSERT INTO `lang_definitions` VALUES (19702, 127, 6, 'Nieuwe toevoegen');
INSERT INTO `lang_definitions` VALUES (19703, 128, 6, 'Nieuwe categorie toevoegen ');
INSERT INTO `lang_definitions` VALUES (19704, 129, 6, 'Voeg nieuwe certificaten aan het Apache-configuratiebestand');
INSERT INTO `lang_definitions` VALUES (19705, 130, 6, 'Nieuwe component toevoegen');
INSERT INTO `lang_definitions` VALUES (19706, 131, 6, 'Nieuwe componenten toevoegen');
INSERT INTO `lang_definitions` VALUES (19707, 132, 6, 'Nieuwe groep toevoegen');
INSERT INTO `lang_definitions` VALUES (19708, 133, 6, 'Nieuwe Issue toevoegen');
INSERT INTO `lang_definitions` VALUES (19709, 134, 6, 'Voeg nieuw lot en transactie toe');
INSERT INTO `lang_definitions` VALUES (19710, 135, 6, 'Voeg nieuwe notitie toe');
INSERT INTO `lang_definitions` VALUES (19711, 136, 6, 'Voeg nieuwe notitie toe');
INSERT INTO `lang_definitions` VALUES (19712, 137, 6, 'Nieuwe partner toevoegen');
INSERT INTO `lang_definitions` VALUES (19713, 138, 6, 'Nieuwe Patient toevoegen');
INSERT INTO `lang_definitions` VALUES (19714, 140, 6, 'Voeg notitie toe');
INSERT INTO `lang_definitions` VALUES (19715, 141, 6, 'Status aanmaken');
INSERT INTO `lang_definitions` VALUES (19716, 142, 6, 'Recept toevoegen');
INSERT INTO `lang_definitions` VALUES (19717, 143, 6, 'Procedure toevoegen');
INSERT INTO `lang_definitions` VALUES (19718, 144, 6, 'Voeg de provider naam toe');
INSERT INTO `lang_definitions` VALUES (19719, 145, 6, 'Rehab toevoegen');
INSERT INTO `lang_definitions` VALUES (19720, 146, 6, 'Regels toevoegen');
INSERT INTO `lang_definitions` VALUES (19721, 147, 6, 'Toevoegen bij');
INSERT INTO `lang_definitions` VALUES (19722, 148, 6, 'Aan medicatielijst toevoegen');
INSERT INTO `lang_definitions` VALUES (19723, 149, 6, 'Aan top level toevoegen');
INSERT INTO `lang_definitions` VALUES (19724, 150, 6, 'Verklaring aanmaken');
INSERT INTO `lang_definitions` VALUES (19725, 151, 6, 'Voeg gebruiker toe');
INSERT INTO `lang_definitions` VALUES (19726, 152, 6, 'Gebruiker aan groep toevoegen');
INSERT INTO `lang_definitions` VALUES (19727, 153, 6, 'Toevoegen/aanpassen eRx');
INSERT INTO `lang_definitions` VALUES (19728, 154, 6, 'toevoegen/bewerken van client transactie');
INSERT INTO `lang_definitions` VALUES (19729, 155, 6, 'toegevoegd');
INSERT INTO `lang_definitions` VALUES (19730, 156, 6, 'Toevoegen persoonsgeg.niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (19731, 157, 6, 'Toevoegen van volgen van een item is mislukt');
INSERT INTO `lang_definitions` VALUES (19732, 158, 6, 'Addison Syndroom');
INSERT INTO `lang_definitions` VALUES (19733, 159, 6, 'Addison Syndroom');
INSERT INTO `lang_definitions` VALUES (19734, 160, 6, 'Extra attributen');
INSERT INTO `lang_definitions` VALUES (19735, 161, 6, 'Aanvullende diagnose:');
INSERT INTO `lang_definitions` VALUES (19736, 162, 6, 'Aanvullende voorgeschiedenis');
INSERT INTO `lang_definitions` VALUES (19737, 163, 6, 'Extra voorgeschiedenis notities');
INSERT INTO `lang_definitions` VALUES (19738, 164, 6, 'Extra info');
INSERT INTO `lang_definitions` VALUES (19739, 165, 6, 'Extra labonderzoeken');
INSERT INTO `lang_definitions` VALUES (19740, 166, 6, 'Extra notities');
INSERT INTO `lang_definitions` VALUES (19741, 167, 6, 'Extra notities voor deze uitslag of aanbeveling');
INSERT INTO `lang_definitions` VALUES (19742, 168, 6, 'Extra notities');
INSERT INTO `lang_definitions` VALUES (19743, 169, 6, 'Extra notities: ');
INSERT INTO `lang_definitions` VALUES (19744, 170, 6, 'Extra rontgenfoto notities:');
INSERT INTO `lang_definitions` VALUES (19745, 171, 6, 'Let op: de overeenkomstige versie van US Snomed Extensie Pakket, kan apart geimporteerd worden na installatie van de Internationale (Engelse versie) versie van Snomed.');
INSERT INTO `lang_definitions` VALUES (19746, 172, 6, 'Alleen toevoegen');
INSERT INTO `lang_definitions` VALUES (19747, 173, 6, 'Adresboek');
INSERT INTO `lang_definitions` VALUES (19748, 174, 6, 'Adresboek');
INSERT INTO `lang_definitions` VALUES (19749, 175, 6, 'Adres');
INSERT INTO `lang_definitions` VALUES (19750, 178, 6, 'Adresboek');
INSERT INTO `lang_definitions` VALUES (19751, 179, 6, 'Gegevensinvoer in adresboek van het bedrijf dat deze procedure uitvoert');
INSERT INTO `lang_definitions` VALUES (19752, 180, 6, 'Adresboekgegevens voor de distributeur');
INSERT INTO `lang_definitions` VALUES (19753, 181, 6, 'Adresboekgegevens van de verkoper');
INSERT INTO `lang_definitions` VALUES (19754, 182, 6, 'Type adresboek');
INSERT INTO `lang_definitions` VALUES (19755, 183, 6, 'Adres label');
INSERT INTO `lang_definitions` VALUES (19756, 187, 6, 'Adres1');
INSERT INTO `lang_definitions` VALUES (19757, 188, 6, 'Adres2');
INSERT INTO `lang_definitions` VALUES (19758, 189, 6, 'Geadresseerde');
INSERT INTO `lang_definitions` VALUES (19759, 190, 6, 'Aanp.');
INSERT INTO `lang_definitions` VALUES (19760, 191, 6, 'Aanp. bedrag');
INSERT INTO `lang_definitions` VALUES (19761, 192, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (19762, 193, 6, 'Aanpassing');
INSERT INTO `lang_definitions` VALUES (19763, 194, 6, 'Aanpassing bedrag');
INSERT INTO `lang_definitions` VALUES (19764, 195, 6, 'Reden voor aanpassingen');
INSERT INTO `lang_definitions` VALUES (19765, 196, 6, 'Verandering waarde voor code ');
INSERT INTO `lang_definitions` VALUES (19766, 197, 6, 'Aanpassing');
INSERT INTO `lang_definitions` VALUES (19767, 198, 6, 'Adm aanpassing');
INSERT INTO `lang_definitions` VALUES (19768, 199, 6, 'Administratie');
INSERT INTO `lang_definitions` VALUES (19769, 200, 6, 'Administratie e-mailadres');
INSERT INTO `lang_definitions` VALUES (19770, 201, 6, 'Administreren via');
INSERT INTO `lang_definitions` VALUES (19771, 202, 6, 'Vastgelegd door');
INSERT INTO `lang_definitions` VALUES (19772, 203, 6, 'Geadministreerd door');
INSERT INTO `lang_definitions` VALUES (19773, 204, 6, 'Geadministreerde datum');
INSERT INTO `lang_definitions` VALUES (19774, 205, 6, 'Gadministreerde Site');
INSERT INTO `lang_definitions` VALUES (19775, 206, 6, 'Administratie');
INSERT INTO `lang_definitions` VALUES (19776, 207, 6, 'Site voor Administratie');
INSERT INTO `lang_definitions` VALUES (19777, 208, 6, 'Beheerders');
INSERT INTO `lang_definitions` VALUES (19778, 209, 6, 'Beheerders kunnen alles doen');
INSERT INTO `lang_definitions` VALUES (19779, 210, 6, 'Datum toevoeging');
INSERT INTO `lang_definitions` VALUES (19780, 212, 6, 'Volwassene gewichts screening met follow-up');
INSERT INTO `lang_definitions` VALUES (19781, 213, 6, 'Volwassene gewichts screening met follow-up (CQM)');
INSERT INTO `lang_definitions` VALUES (19782, 214, 6, 'Speciale richtlijn');
INSERT INTO `lang_definitions` VALUES (19783, 215, 6, 'Speciale richtlijnen');
INSERT INTO `lang_definitions` VALUES (19784, 216, 6, 'Speciale richtlijnen waarschuwing');
INSERT INTO `lang_definitions` VALUES (19785, 218, 6, 'Geavanceerd');
INSERT INTO `lang_definitions` VALUES (19786, 219, 6, 'Advies');
INSERT INTO `lang_definitions` VALUES (19787, 220, 6, 'Afar');
INSERT INTO `lang_definitions` VALUES (19788, 221, 6, 'Normaal effect');
INSERT INTO `lang_definitions` VALUES (19789, 222, 6, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (19790, 223, 6, 'Oproep na spreekuur');
INSERT INTO `lang_definitions` VALUES (19791, 224, 6, 'Nadat er is overgegaan van de administratie systematiek van het oude Paswoord waar het oude PW in de Usere Tabel is opgeslagen zonder `salt`en afgerond is, moet deze FLAG op FALSE gezet worden zodat alleen via authenticatie nieuwe systeem mogelijk is.');
INSERT INTO `lang_definitions` VALUES (19792, 225, 6, 'Na de bovenvermelde configuratie uitgevoerd te hebben, importeer het clientcertificaat in de browser en start Apache opnieuw (leeg paswoord)');
INSERT INTO `lang_definitions` VALUES (19793, 226, 6, 'Na bewaren via PDF, klik op [view log] om op fouten te controlen.');
INSERT INTO `lang_definitions` VALUES (19794, 227, 6, 'Na het bewaren van het tekstbestand(en), klik op [view log] om te controleren op fouten');
INSERT INTO `lang_definitions` VALUES (19795, 228, 6, 'Na bewaren van batch, klik op [view log] om op fouten te controleren.');
INSERT INTO `lang_definitions` VALUES (19796, 229, 6, 'Daarna laat de Match Kolom het ID van de patient zien, of ) om aan te maken.');
INSERT INTO `lang_definitions` VALUES (19797, 230, 6, 'Klik op de Bewaren knop, nadat de informatie juist is ingevoerd');
INSERT INTO `lang_definitions` VALUES (19798, 231, 6, 'Na Uploaden klik op de knop \"Importeren\"');
INSERT INTO `lang_definitions` VALUES (19799, 232, 6, 'Planning nazorg');
INSERT INTO `lang_definitions` VALUES (19800, 233, 6, 'Opnieuw');
INSERT INTO `lang_definitions` VALUES (19801, 234, 6, 'Lft');
INSERT INTO `lang_definitions` VALUES (19802, 235, 6, 'Gesorteerd op');
INSERT INTO `lang_definitions` VALUES (19803, 236, 6, 'Lft.categorie');
INSERT INTO `lang_definitions` VALUES (19804, 237, 6, 'Leeftijd datum valt buiten gebied.');
INSERT INTO `lang_definitions` VALUES (19805, 238, 6, 'Format met leeftijd-tonen');
INSERT INTO `lang_definitions` VALUES (19806, 239, 6, 'Leeftijd \"format\" is niet juist');
INSERT INTO `lang_definitions` VALUES (19807, 240, 6, 'Leeftijd \"format\" is niet juist');
INSERT INTO `lang_definitions` VALUES (19808, 241, 6, 'Lft vanaf');
INSERT INTO `lang_definitions` VALUES (19809, 242, 6, 'Leeftijd in jaren voor \"Tonen formaat verandering\"');
INSERT INTO `lang_definitions` VALUES (19810, 243, 6, 'Max leeftijd');
INSERT INTO `lang_definitions` VALUES (19811, 244, 6, 'Min leeftijd');
INSERT INTO `lang_definitions` VALUES (19812, 245, 6, 'Leeftijd spreiding');
INSERT INTO `lang_definitions` VALUES (19813, 247, 6, 'Aging Columns:');
INSERT INTO `lang_definitions` VALUES (19814, 248, 6, 'Akan');
INSERT INTO `lang_definitions` VALUES (19815, 249, 6, 'Albaans');
INSERT INTO `lang_definitions` VALUES (19816, 250, 6, 'Alcohol');
INSERT INTO `lang_definitions` VALUES (19817, 251, 6, 'Alcoholconsumptie');
INSERT INTO `lang_definitions` VALUES (19818, 252, 6, 'Alcohol gebruik');
INSERT INTO `lang_definitions` VALUES (19819, 253, 6, 'Alerts totalen');
INSERT INTO `lang_definitions` VALUES (19820, 255, 6, 'Waarschuwingen');
INSERT INTO `lang_definitions` VALUES (19821, 258, 6, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (19822, 259, 6, 'Allemaal');
INSERT INTO `lang_definitions` VALUES (19823, 260, 6, 'ALLEN');
INSERT INTO `lang_definitions` VALUES (19824, 261, 6, 'Allen (overgenomen van format A)');
INSERT INTO `lang_definitions` VALUES (19825, 262, 6, 'Allen (overgenomen van format B)');
INSERT INTO `lang_definitions` VALUES (19826, 263, 6, 'Allen (Cumulatief)');
INSERT INTO `lang_definitions` VALUES (19827, 265, 6, 'Alle Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (19828, 266, 6, 'Alle categorieen');
INSERT INTO `lang_definitions` VALUES (19829, 267, 6, 'Alle Clinical Qualiry Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (19830, 268, 6, 'Alle codes');
INSERT INTO `lang_definitions` VALUES (19831, 269, 6, 'Gehele dag');
INSERT INTO `lang_definitions` VALUES (19832, 270, 6, 'Gebeurtenis voor hele dag');
INSERT INTO `lang_definitions` VALUES (19833, 271, 6, 'Alle demografie velden, met zoeken en controle');
INSERT INTO `lang_definitions` VALUES (19834, 272, 6, 'Alle Klinieken');
INSERT INTO `lang_definitions` VALUES (19835, 273, 6, 'Alle ongevallen/problemen/issues');
INSERT INTO `lang_definitions` VALUES (19836, 274, 6, 'Alle talen toegestaan');
INSERT INTO `lang_definitions` VALUES (19837, 275, 6, 'Alle groepen voor offilciele Cinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (19838, 276, 6, 'Alles of gedeelte van voornaam');
INSERT INTO `lang_definitions` VALUES (19839, 277, 6, 'Alles of gedeelte van achternaam');
INSERT INTO `lang_definitions` VALUES (19840, 278, 6, 'Allemaal of een gedeelte van de organisatie');
INSERT INTO `lang_definitions` VALUES (19841, 279, 6, 'Alle patienten');
INSERT INTO `lang_definitions` VALUES (19842, 280, 6, 'Alle producten');
INSERT INTO `lang_definitions` VALUES (19843, 281, 6, 'Alle zorgverleners');
INSERT INTO `lang_definitions` VALUES (19844, 282, 6, 'Alles nagekeken en negatief:');
INSERT INTO `lang_definitions` VALUES (19845, 283, 6, 'Alle onderwerpen');
INSERT INTO `lang_definitions` VALUES (19846, 284, 6, 'Alle gebruikers');
INSERT INTO `lang_definitions` VALUES (19847, 285, 6, 'Allergisch');
INSERT INTO `lang_definitions` VALUES (19848, 286, 6, 'Allergieen');
INSERT INTO `lang_definitions` VALUES (19849, 287, 6, 'Allergieen:');
INSERT INTO `lang_definitions` VALUES (19850, 288, 6, 'Allergie');
INSERT INTO `lang_definitions` VALUES (19851, 289, 6, 'Importeren van allergie is goed gegaan');
INSERT INTO `lang_definitions` VALUES (19852, 290, 6, 'Allergie probleem lijst');
INSERT INTO `lang_definitions` VALUES (19853, 291, 6, 'Allergische reactie');
INSERT INTO `lang_definitions` VALUES (19854, 294, 6, 'Toewijzen');
INSERT INTO `lang_definitions` VALUES (19855, 295, 6, 'Toestaan');
INSERT INTO `lang_definitions` VALUES (19856, 296, 6, 'Toestaan van alle beschikbare talen als keuze voor login menu toe');
INSERT INTO `lang_definitions` VALUES (19857, 297, 6, 'Toestaan van claims met diagnose maar niet met procdures of extra kosten. Meestal niet gewenst.');
INSERT INTO `lang_definitions` VALUES (19858, 298, 6, 'Toestaan van dummy taal');
INSERT INTO `lang_definitions` VALUES (19859, 299, 6, 'E-mail toestaan');
INSERT INTO `lang_definitions` VALUES (19860, 300, 6, 'E-mailberichten toestaan?');
INSERT INTO `lang_definitions` VALUES (19861, 301, 6, 'E-mail toestaan?');
INSERT INTO `lang_definitions` VALUES (19862, 302, 6, 'Claims tijdens encounters toestaan');
INSERT INTO `lang_definitions` VALUES (19863, 303, 6, 'Health Information Exchange toestaan');
INSERT INTO `lang_definitions` VALUES (19864, 304, 6, 'Immunisatie Info Sharing toestaan');
INSERT INTO `lang_definitions` VALUES (19865, 305, 6, 'Immunisatie reg. toestaan.');
INSERT INTO `lang_definitions` VALUES (19866, 306, 6, 'Brieven toestaan');
INSERT INTO `lang_definitions` VALUES (19867, 308, 6, 'Patient portal toestaan');
INSERT INTO `lang_definitions` VALUES (19868, 309, 6, 'SMS toestaan');
INSERT INTO `lang_definitions` VALUES (19869, 310, 6, 'SMS (tekstberichten) toestaan?');
INSERT INTO `lang_definitions` VALUES (19870, 311, 6, 'Toestaan om gebeurtenissen meteen actief te maken?');
INSERT INTO `lang_definitions` VALUES (19871, 312, 6, 'Telefoonberichten toestaan?');
INSERT INTO `lang_definitions` VALUES (19872, 313, 6, 'Gebruikers toestaan om algemene gebeurtenissen te publiceren');
INSERT INTO `lang_definitions` VALUES (19873, 314, 6, 'Gebruikers toestaan om prive-agenda´s te publiceren');
INSERT INTO `lang_definitions` VALUES (19874, 315, 6, 'Voicemail toestaan');
INSERT INTO `lang_definitions` VALUES (19875, 316, 6, 'Toegestaan');
INSERT INTO `lang_definitions` VALUES (19876, 317, 6, 'Talen toestaan');
INSERT INTO `lang_definitions` VALUES (19877, 318, 6, 'Toegestaan(c)');
INSERT INTO `lang_definitions` VALUES (19878, 319, 6, 'E-Sign toestaan op gehele bezoek');
INSERT INTO `lang_definitions` VALUES (19879, 320, 6, 'E-Sign toestaan op Formulieren sec');
INSERT INTO `lang_definitions` VALUES (19880, 321, 6, 'Toestaan e-mail');
INSERT INTO `lang_definitions` VALUES (19881, 322, 6, 'Toestaan voice berichten');
INSERT INTO `lang_definitions` VALUES (19882, 323, 6, 'bestaat al');
INSERT INTO `lang_definitions` VALUES (19883, 324, 6, 'bestaat al.');
INSERT INTO `lang_definitions` VALUES (19884, 325, 6, 'Reeds gebruikt, kies andere id-code');
INSERT INTO `lang_definitions` VALUES (19885, 326, 6, 'Reeds in gebruik kies een andere titel');
INSERT INTO `lang_definitions` VALUES (19886, 327, 6, 'Alternatief adres');
INSERT INTO `lang_definitions` VALUES (19887, 328, 6, 'veranderen');
INSERT INTO `lang_definitions` VALUES (19888, 329, 6, 'Je zou ook de SEARCH pagina kunnen gebruiken om een electronisch overschrijvingsbestand (X12 835) te uploaden van de betalende instantie. Je kunt dit doen door op de BROWSE knop te drukken en het juiste bestand te selecteren om te uploaden. Dan op SEARCH klikken om dit te effectueren en de daarbij behorende invoices te laten zien op het scherm. In dit geval zijn bovenstaande parameters niet nodig en worden genegeerd. Uploaden SAVE-s het bestand maar verwerkt de inhoud niet- dit wordt apart uitgevoerd zoals hier beneden beschreven');
INSERT INTO `lang_definitions` VALUES (19889, 330, 6, 'AM');
INSERT INTO `lang_definitions` VALUES (19890, 331, 6, 'AM programma');
INSERT INTO `lang_definitions` VALUES (19891, 332, 6, 'AMC');
INSERT INTO `lang_definitions` VALUES (19892, 333, 6, 'AMC vervolgen');
INSERT INTO `lang_definitions` VALUES (19893, 334, 6, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (19894, 335, 6, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (19895, 338, 6, 'Pas de bestaande notitie aan');
INSERT INTO `lang_definitions` VALUES (19896, 339, 6, 'Aanpassingen From');
INSERT INTO `lang_definitions` VALUES (19897, 340, 6, 'Aanpassing Status');
INSERT INTO `lang_definitions` VALUES (19898, 341, 6, 'Aanpassingen');
INSERT INTO `lang_definitions` VALUES (19899, 342, 6, 'Aanpassingen voor');
INSERT INTO `lang_definitions` VALUES (19900, 343, 6, 'Amerikaans Indiaan');
INSERT INTO `lang_definitions` VALUES (19901, 344, 6, 'Amerikaanse indiaan of Alaska geboren');
INSERT INTO `lang_definitions` VALUES (19902, 345, 6, 'AMEX');
INSERT INTO `lang_definitions` VALUES (19903, 346, 6, 'Amharic');
INSERT INTO `lang_definitions` VALUES (19904, 347, 6, 'Bedrag');
INSERT INTO `lang_definitions` VALUES (19905, 348, 6, 'Geadministreerd bedrag');
INSERT INTO `lang_definitions` VALUES (19906, 349, 6, 'Verschuldigd bedrag');
INSERT INTO `lang_definitions` VALUES (19907, 350, 6, 'Bedrag voor vorige balans');
INSERT INTO `lang_definitions` VALUES (19908, 351, 6, 'Bedrag voor dit bezoek');
INSERT INTO `lang_definitions` VALUES (19909, 352, 6, 'Bedrag betaald.');
INSERT INTO `lang_definitions` VALUES (19910, 353, 6, 'Aantal/Bedrag');
INSERT INTO `lang_definitions` VALUES (19911, 354, 6, 'Bedrag in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (19912, 355, 6, 'Eind datum moet later zijn dan start datum om herhaling van events!');
INSERT INTO `lang_definitions` VALUES (19913, 356, 6, 'Ondertekenen van formulier mislukt');
INSERT INTO `lang_definitions` VALUES (19914, 357, 6, 'Een fout opgetreden bij dumpen LibreEHR web directorie structuur');
INSERT INTO `lang_definitions` VALUES (19915, 358, 6, 'Een fout opgetreden tijdens dumpen phpGACL web directorie structuur');
INSERT INTO `lang_definitions` VALUES (19916, 359, 6, 'Een fout opgetreden bij dumpen SQL-Ledger web directorie structuur');
INSERT INTO `lang_definitions` VALUES (19917, 360, 6, 'Een onvolledig GCAC \"iets\" is aangemaakt met een link. Moet nog later afgemaakt worden. Onvolledig.');
INSERT INTO `lang_definitions` VALUES (19918, 362, 6, 'Een overwachte error');
INSERT INTO `lang_definitions` VALUES (19919, 363, 6, 'Een hoofdletter');
INSERT INTO `lang_definitions` VALUES (19920, 365, 6, 'en');
INSERT INTO `lang_definitions` VALUES (19921, 366, 6, 'EN');
INSERT INTO `lang_definitions` VALUES (19922, 367, 6, 'en');
INSERT INTO `lang_definitions` VALUES (19923, 368, 6, 'en ');
INSERT INTO `lang_definitions` VALUES (19924, 369, 6, 'en alle onderliggende data? Deze actie wordt vastgelegd');
INSERT INTO `lang_definitions` VALUES (19925, 370, 6, 'en modifier');
INSERT INTO `lang_definitions` VALUES (19926, 371, 6, 'en verwerkt');
INSERT INTO `lang_definitions` VALUES (19927, 372, 6, 'en herstart Apache-server');
INSERT INTO `lang_definitions` VALUES (19928, 373, 6, 'en de reden is');
INSERT INTO `lang_definitions` VALUES (19929, 374, 6, 'Anemie');
INSERT INTO `lang_definitions` VALUES (19930, 375, 6, 'Enkel');
INSERT INTO `lang_definitions` VALUES (19931, 376, 6, 'Enkel + hiel');
INSERT INTO `lang_definitions` VALUES (19932, 377, 6, 'Enkelletsel evaluatie formulier');
INSERT INTO `lang_definitions` VALUES (19933, 378, 6, 'Enkelproblemen');
INSERT INTO `lang_definitions` VALUES (19934, 379, 6, 'Ankylosis Spondilitica');
INSERT INTO `lang_definitions` VALUES (19935, 380, 6, 'Ankylosis Spondilitica');
INSERT INTO `lang_definitions` VALUES (19936, 381, 6, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (19937, 382, 6, 'Iets anders wat je kan doen in de PostingWindow is verzoeken om een rekening op tweede niveau. Als je dit SELECTEERT voordat je opslaat, dan wordt de originele claim opnieuw geopend en als lijst op de rekeningpagina getoond en wordt deze tijdens de volgende ronde in rekening gebracht.');
INSERT INTO `lang_definitions` VALUES (19938, 383, 6, 'voor');
INSERT INTO `lang_definitions` VALUES (19939, 384, 6, 'Anus normaal, geen rectale gevoeligheid/zwelling');
INSERT INTO `lang_definitions` VALUES (19940, 385, 6, 'Opwinding');
INSERT INTO `lang_definitions` VALUES (19941, 386, 6, 'Alles');
INSERT INTO `lang_definitions` VALUES (19942, 387, 6, 'Welke categorie');
INSERT INTO `lang_definitions` VALUES (19943, 388, 6, 'Gedeelte van gewenste code of omschrijving');
INSERT INTO `lang_definitions` VALUES (19944, 389, 6, 'Gedeelte van gewenste specialisatie');
INSERT INTO `lang_definitions` VALUES (19945, 390, 6, 'Een gedeelte van medicatie ID of naam medicijn');
INSERT INTO `lang_definitions` VALUES (19946, 391, 6, 'Een gedeelte van vaccinatie ID of naam vaccin');
INSERT INTO `lang_definitions` VALUES (19947, 392, 6, 'Gedeelte naam patient of \"achternm, voorn), of \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (19948, 393, 6, 'Alle andere relevante informatie');
INSERT INTO `lang_definitions` VALUES (19949, 394, 6, 'API sleutel voor SMS toegang');
INSERT INTO `lang_definitions` VALUES (19950, 395, 6, 'Apnea');
INSERT INTO `lang_definitions` VALUES (19951, 396, 6, 'Weergave');
INSERT INTO `lang_definitions` VALUES (19952, 397, 6, 'Weergave:');
INSERT INTO `lang_definitions` VALUES (19953, 398, 6, 'Deze notitie toevoegen');
INSERT INTO `lang_definitions` VALUES (19954, 399, 6, 'Toevoegen aan bestaande notitie');
INSERT INTO `lang_definitions` VALUES (19955, 400, 6, 'Toevoegen aan deze notitie');
INSERT INTO `lang_definitions` VALUES (19956, 401, 6, 'Deze notitie toevoegen');
INSERT INTO `lang_definitions` VALUES (19957, 402, 6, 'Appendectomie');
INSERT INTO `lang_definitions` VALUES (19958, 404, 6, 'Toepasbaar op patienten');
INSERT INTO `lang_definitions` VALUES (19959, 405, 6, 'Applicatie');
INSERT INTO `lang_definitions` VALUES (19960, 406, 6, 'Naam van applicatie voor de login pagina an hoofd scherm titel');
INSERT INTO `lang_definitions` VALUES (19961, 407, 6, 'Toepassing ontvanger Code (GS03 - Indien blanco dan zal ISA08 gebruikt worden)');
INSERT INTO `lang_definitions` VALUES (19962, 408, 6, 'Toepassing Code afzender (GS02)');
INSERT INTO `lang_definitions` VALUES (19963, 409, 6, 'Naam applicatie');
INSERT INTO `lang_definitions` VALUES (19964, 410, 6, 'Is onderdeel van Vitals formulier en Groei-grafiek');
INSERT INTO `lang_definitions` VALUES (19965, 411, 6, 'Van toepassing op Vitals formulier');
INSERT INTO `lang_definitions` VALUES (19966, 412, 6, 'Alleen gebruiken voor deze gebeurtenis, Alleen deze EN Alle volgende gebeurtenissen, of Alle gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (19967, 413, 6, 'Op betroffen gebied aanbrengen');
INSERT INTO `lang_definitions` VALUES (19968, 414, 6, 'Op de huid smeren');
INSERT INTO `lang_definitions` VALUES (19969, 415, 6, 'wordt toegepast');
INSERT INTO `lang_definitions` VALUES (19970, 416, 6, 'Patch wordt uitgevoerd op de site');
INSERT INTO `lang_definitions` VALUES (19971, 417, 6, 'Afspraak');
INSERT INTO `lang_definitions` VALUES (19972, 418, 6, 'Datum afspraak');
INSERT INTO `lang_definitions` VALUES (19973, 419, 6, 'Manier afsprakente tonen');
INSERT INTO `lang_definitions` VALUES (19974, 420, 6, 'Herinnerings afspraak regels');
INSERT INTO `lang_definitions` VALUES (19975, 421, 6, 'Status van afspraak');
INSERT INTO `lang_definitions` VALUES (19976, 422, 6, 'Status van afspraken');
INSERT INTO `lang_definitions` VALUES (19977, 423, 6, 'Afspraak tussen');
INSERT INTO `lang_definitions` VALUES (19978, 424, 6, 'Kleur voor afspraak/gebeurtenis');
INSERT INTO `lang_definitions` VALUES (19979, 425, 6, 'Afspraken');
INSERT INTO `lang_definitions` VALUES (19980, 426, 6, 'Afspraken (schrijven optioneel)');
INSERT INTO `lang_definitions` VALUES (19981, 427, 6, 'Afsraken (schrijven, wsome optioneel)');
INSERT INTO `lang_definitions` VALUES (19982, 430, 6, 'Afspraken en contacten');
INSERT INTO `lang_definitions` VALUES (19983, 431, 6, 'Rapport afspraken');
INSERT INTO `lang_definitions` VALUES (19984, 432, 6, 'Rapport afspraken-contacten');
INSERT INTO `lang_definitions` VALUES (19985, 434, 6, 'Accepteren Patien/Client->Import->Wacht op goedkeuring');
INSERT INTO `lang_definitions` VALUES (19986, 435, 6, 'Accepteren Patien/Client->Import->Wacht op goedkeuring');
INSERT INTO `lang_definitions` VALUES (19987, 436, 6, 'Geaccepteerd');
INSERT INTO `lang_definitions` VALUES (19988, 437, 6, 'Administratie van toegestane gebeurtenis(sen)');
INSERT INTO `lang_definitions` VALUES (19989, 438, 6, 'Met succes geaccepteerd');
INSERT INTO `lang_definitions` VALUES (19990, 440, 6, 'Afspr.-Cont.');
INSERT INTO `lang_definitions` VALUES (19991, 441, 6, 'Afspr.');
INSERT INTO `lang_definitions` VALUES (19992, 442, 6, 'Apr');
INSERT INTO `lang_definitions` VALUES (19993, 443, 6, 'April');
INSERT INTO `lang_definitions` VALUES (19994, 444, 6, 'Arabisch');
INSERT INTO `lang_definitions` VALUES (19995, 445, 6, 'Aragonees');
INSERT INTO `lang_definitions` VALUES (19996, 446, 6, 'Archief');
INSERT INTO `lang_definitions` VALUES (19997, 447, 6, 'Moeten de toegangs controle groeps namen worden vertaald?');
INSERT INTO `lang_definitions` VALUES (19998, 448, 6, 'Moeten de afspraak categorie namen worden vertaald?');
INSERT INTO `lang_definitions` VALUES (19999, 449, 6, 'Moeten de document categorie namen worden vertaald?');
INSERT INTO `lang_definitions` VALUES (20000, 450, 6, 'Is type in rekening gebracht?');
INSERT INTO `lang_definitions` VALUES (20001, 451, 6, 'Moeten de patient notities titels worden vertaald?');
INSERT INTO `lang_definitions` VALUES (20002, 452, 6, 'Zijn de codes opgeslagen in een externe sql tabellen (0-Nee, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (20003, 453, 6, 'Bent u voorbereid om een nieuwe GCAC issue voor dit bezoek af te maken?');
INSERT INTO `lang_definitions` VALUES (20004, 454, 6, 'Bent u er zeker van het voor vandaag te posten?');
INSERT INTO `lang_definitions` VALUES (20005, 455, 6, 'WIlt u zeker deze gebeurtenis goedkeuren?');
INSERT INTO `lang_definitions` VALUES (20006, 457, 6, 'Bent u er zeker van dit Formulier definitief te verwijderen?');
INSERT INTO `lang_definitions` VALUES (20007, 458, 6, 'Bent u er zeker van dit te verwijdern');
INSERT INTO `lang_definitions` VALUES (20008, 459, 6, 'Bent U er zeker van om deze disclosure te verwijderen');
INSERT INTO `lang_definitions` VALUES (20009, 460, 6, 'Zeker deze gebeurtenis verwijderen?');
INSERT INTO `lang_definitions` VALUES (20010, 461, 6, 'Weet u zeker dat u dit item wilt verwijderen uit de database?');
INSERT INTO `lang_definitions` VALUES (20011, 462, 6, 'Bent u er zeker van deze notitie te verwijderen?');
INSERT INTO `lang_definitions` VALUES (20012, 464, 6, 'Zeker deze gebeurtenis aanpassen?');
INSERT INTO `lang_definitions` VALUES (20013, 465, 6, 'Zeker deze gebeurtenissen verbergen?');
INSERT INTO `lang_definitions` VALUES (20014, 466, 6, 'Wilt u dit opnieuw verzenden?');
INSERT INTO `lang_definitions` VALUES (20015, 467, 6, 'Zeker deze gebeurtenis(sen) inzien?');
INSERT INTO `lang_definitions` VALUES (20016, 468, 6, 'Gaat u de hele groep verwijderen met de volgende naam');
INSERT INTO `lang_definitions` VALUES (20017, 469, 6, 'Weet u zeker dat u de gehele lijst wilt verwijderen');
INSERT INTO `lang_definitions` VALUES (20018, 470, 6, 'Weet u zeker dat u het veld wilt verwijderen in');
INSERT INTO `lang_definitions` VALUES (20019, 471, 6, 'Wilt u zeker de geselecteerde velden verwijderen?');
INSERT INTO `lang_definitions` VALUES (20020, 472, 6, 'Weet u zeker dat u met deze acties wilt doorgaan?');
INSERT INTO `lang_definitions` VALUES (20021, 473, 6, 'Gebied niet nader gespecificeerd');
INSERT INTO `lang_definitions` VALUES (20022, 474, 6, 'Arm');
INSERT INTO `lang_definitions` VALUES (20023, 475, 6, 'Armeens');
INSERT INTO `lang_definitions` VALUES (20024, 477, 6, 'Arytmie');
INSERT INTO `lang_definitions` VALUES (20025, 478, 6, 'Artritis');
INSERT INTO `lang_definitions` VALUES (20026, 479, 6, 'Artritis/degeneratieve gewr. aandoening');
INSERT INTO `lang_definitions` VALUES (20027, 480, 6, 'Artritis/degeneratieve gewr. aandoening');
INSERT INTO `lang_definitions` VALUES (20028, 481, 6, 'als');
INSERT INTO `lang_definitions` VALUES (20029, 482, 6, 'vanaf');
INSERT INTO `lang_definitions` VALUES (20030, 483, 6, 'ASC');
INSERT INTO `lang_definitions` VALUES (20031, 484, 6, 'Aziatisch');
INSERT INTO `lang_definitions` VALUES (20032, 485, 6, 'Assamese');
INSERT INTO `lang_definitions` VALUES (20033, 487, 6, 'Evaluatie');
INSERT INTO `lang_definitions` VALUES (20034, 488, 6, 'Toegewezen aan');
INSERT INTO `lang_definitions` VALUES (20035, 489, 6, 'Assistent');
INSERT INTO `lang_definitions` VALUES (20036, 490, 6, 'Astma');
INSERT INTO `lang_definitions` VALUES (20037, 491, 6, 'bij');
INSERT INTO `lang_definitions` VALUES (20038, 492, 6, 'U moet er minstens eentje kiezen als u \"ALL\" kiest');
INSERT INTO `lang_definitions` VALUES (20039, 493, 6, 'Bij de naviculare');
INSERT INTO `lang_definitions` VALUES (20040, 494, 6, 'Bij de naviculare:');
INSERT INTO `lang_definitions` VALUES (20041, 495, 6, 'Atletiek team');
INSERT INTO `lang_definitions` VALUES (20042, 496, 6, 'Atletiek team');
INSERT INTO `lang_definitions` VALUES (20043, 497, 6, 'Sportblessure');
INSERT INTO `lang_definitions` VALUES (20044, 498, 6, 'ATNA audit CA certificaat');
INSERT INTO `lang_definitions` VALUES (20045, 499, 6, 'ATNA audit host');
INSERT INTO `lang_definitions` VALUES (20046, 500, 6, 'ATNA audit voor lokaal certificaat');
INSERT INTO `lang_definitions` VALUES (20047, 501, 6, 'ATNA audit poort');
INSERT INTO `lang_definitions` VALUES (20048, 503, 6, 'Attentie');
INSERT INTO `lang_definitions` VALUES (20049, 504, 6, 'Attn');
INSERT INTO `lang_definitions` VALUES (20050, 506, 6, 'Audit CDR Engine Queries');
INSERT INTO `lang_definitions` VALUES (20051, 507, 6, 'Gerommel met de Audit log');
INSERT INTO `lang_definitions` VALUES (20052, 508, 6, 'Rapport van gerommel met Audit log');
INSERT INTO `lang_definitions` VALUES (20053, 509, 6, 'Audit log Backups');
INSERT INTO `lang_definitions` VALUES (20054, 510, 6, 'Audit log Diversen');
INSERT INTO `lang_definitions` VALUES (20055, 511, 6, 'Audit log orde');
INSERT INTO `lang_definitions` VALUES (20056, 512, 6, 'Audit log Pt.status');
INSERT INTO `lang_definitions` VALUES (20057, 513, 6, 'Audit log schema');
INSERT INTO `lang_definitions` VALUES (20058, 514, 6, 'Audit log veiligheid administratie');
INSERT INTO `lang_definitions` VALUES (20059, 515, 6, 'Audit log SELECT query');
INSERT INTO `lang_definitions` VALUES (20060, 516, 6, 'Aug');
INSERT INTO `lang_definitions` VALUES (20061, 517, 6, 'Augustus');
INSERT INTO `lang_definitions` VALUES (20062, 519, 6, 'Aut');
INSERT INTO `lang_definitions` VALUES (20063, 520, 6, 'Aut/Notities');
INSERT INTO `lang_definitions` VALUES (20064, 523, 6, 'Autorisatie groep');
INSERT INTO `lang_definitions` VALUES (20065, 524, 6, 'Status betreffende autorisatie');
INSERT INTO `lang_definitions` VALUES (20066, 525, 6, 'Autorisatie');
INSERT INTO `lang_definitions` VALUES (20067, 526, 6, 'Autoriseer');
INSERT INTO `lang_definitions` VALUES (20068, 527, 6, 'Autoriseer - consult naar keuze');
INSERT INTO `lang_definitions` VALUES (20069, 528, 6, 'Autoriseer - consulten alleen van mij');
INSERT INTO `lang_definitions` VALUES (20070, 529, 6, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (20071, 530, 6, 'Geautoriseerd');
INSERT INTO `lang_definitions` VALUES (20072, 531, 6, 'Alleen geautoriseerd');
INSERT INTO `lang_definitions` VALUES (20073, 532, 6, 'Direct zenden');
INSERT INTO `lang_definitions` VALUES (20074, 535, 6, 'Nieuwe encounters automatisch aanmaken');
INSERT INTO `lang_definitions` VALUES (20075, 536, 6, 'Zelf gegenereerd');
INSERT INTO `lang_definitions` VALUES (20076, 537, 6, 'Automatische meetgegevens en berekingnen (AMC)');
INSERT INTO `lang_definitions` VALUES (20077, 538, 6, 'Automatische meetgegevens en berekingnen (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (20078, 539, 6, 'Automatische meetgegevens en berekingnen (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (20079, 542, 6, 'Automatische meetgegevens en berekingnen (AMC) vervolgen');
INSERT INTO `lang_definitions` VALUES (20080, 543, 6, 'Automatische meetgegevens (AMC)');
INSERT INTO `lang_definitions` VALUES (20081, 544, 6, 'Automatisch');
INSERT INTO `lang_definitions` VALUES (20082, 546, 6, 'Maak automatisch een nieuwe afspraak als de indicator op \"@\" (aangekomen is gezet)');
INSERT INTO `lang_definitions` VALUES (20083, 549, 6, 'Automobiel medisch');
INSERT INTO `lang_definitions` VALUES (20084, 550, 6, 'autosaved');
INSERT INTO `lang_definitions` VALUES (20085, 551, 6, 'Beschikbare categorieen');
INSERT INTO `lang_definitions` VALUES (20086, 552, 6, 'Beschikbare tijden');
INSERT INTO `lang_definitions` VALUES (20087, 553, 6, 'Beschikbare te volgen paden');
INSERT INTO `lang_definitions` VALUES (20088, 554, 6, 'Avarisch');
INSERT INTO `lang_definitions` VALUES (20089, 555, 6, 'Avery Label type om patienten lagbels te printen van Pop-ups in het linker navigatie scherm');
INSERT INTO `lang_definitions` VALUES (20090, 556, 6, 'Avestaans');
INSERT INTO `lang_definitions` VALUES (20091, 557, 6, 'Maandgemiddelde');
INSERT INTO `lang_definitions` VALUES (20092, 558, 6, 'Avulsie / avulsie fractuur');
INSERT INTO `lang_definitions` VALUES (20093, 559, 6, 'Avulsie laterale malleolus');
INSERT INTO `lang_definitions` VALUES (20094, 560, 6, 'Avulsie mediale malleolus ');
INSERT INTO `lang_definitions` VALUES (20095, 561, 6, 'Op basis van waarneming');
INSERT INTO `lang_definitions` VALUES (20096, 562, 6, 'Axillair');
INSERT INTO `lang_definitions` VALUES (20097, 563, 6, 'Aymaraans');
INSERT INTO `lang_definitions` VALUES (20098, 564, 6, 'Azerbaadjaans');
INSERT INTO `lang_definitions` VALUES (20099, 565, 6, '2 x daags');
INSERT INTO `lang_definitions` VALUES (20100, 566, 6, 'Terug');
INSERT INTO `lang_definitions` VALUES (20101, 567, 6, 'terug');
INSERT INTO `lang_definitions` VALUES (20102, 568, 6, 'Acht consultaties terug');
INSERT INTO `lang_definitions` VALUES (20103, 569, 6, 'Elf consutaties terug');
INSERT INTO `lang_definitions` VALUES (20104, 570, 6, 'Vijf consultaties terug');
INSERT INTO `lang_definitions` VALUES (20105, 571, 6, 'Vier consultaties terug');
INSERT INTO `lang_definitions` VALUES (20106, 572, 6, 'Negen consultaties terug');
INSERT INTO `lang_definitions` VALUES (20107, 573, 6, 'Eén consultatie terug');
INSERT INTO `lang_definitions` VALUES (20108, 574, 6, 'Rug pijn');
INSERT INTO `lang_definitions` VALUES (20109, 575, 6, 'Rugproblemen');
INSERT INTO `lang_definitions` VALUES (20110, 576, 6, 'Zeven consutaties terug');
INSERT INTO `lang_definitions` VALUES (20111, 577, 6, 'Zes consultaties terug');
INSERT INTO `lang_definitions` VALUES (20112, 578, 6, 'Rug chirurgie');
INSERT INTO `lang_definitions` VALUES (20113, 579, 6, 'Tien consultaties terug');
INSERT INTO `lang_definitions` VALUES (20114, 580, 6, 'Drie consultaties terug');
INSERT INTO `lang_definitions` VALUES (20115, 581, 6, 'Terug naar Admin pagina');
INSERT INTO `lang_definitions` VALUES (20116, 582, 6, 'Terug naar encounter');
INSERT INTO `lang_definitions` VALUES (20117, 583, 6, 'Terug naar patient');
INSERT INTO `lang_definitions` VALUES (20118, 584, 6, 'Terug naar patient');
INSERT INTO `lang_definitions` VALUES (20119, 585, 6, 'Terug naar Users');
INSERT INTO `lang_definitions` VALUES (20120, 586, 6, 'Terug naar weergave');
INSERT INTO `lang_definitions` VALUES (20121, 587, 6, 'Twaalf consultaties terug');
INSERT INTO `lang_definitions` VALUES (20122, 588, 6, 'Twee bezoeken terug');
INSERT INTO `lang_definitions` VALUES (20123, 589, 6, 'Background Services');
INSERT INTO `lang_definitions` VALUES (20124, 590, 6, 'Back-up');
INSERT INTO `lang_definitions` VALUES (20125, 591, 6, 'Backupbestand is aangemaakt. Downloaden begint.');
INSERT INTO `lang_definitions` VALUES (20126, 592, 6, 'Backup lijst');
INSERT INTO `lang_definitions` VALUES (20127, 593, 6, 'Backup is met succes binnen gekomen');
INSERT INTO `lang_definitions` VALUES (20128, 594, 6, 'Ongedekte cheque');
INSERT INTO `lang_definitions` VALUES (20129, 595, 6, 'Achterstallige schulden');
INSERT INTO `lang_definitions` VALUES (20130, 596, 6, 'Bahasa Indonesisch');
INSERT INTO `lang_definitions` VALUES (20131, 597, 6, 'Bal');
INSERT INTO `lang_definitions` VALUES (20132, 598, 6, 'Balans');
INSERT INTO `lang_definitions` VALUES (20133, 599, 6, 'Uitstaande schuld');
INSERT INTO `lang_definitions` VALUES (20134, 600, 6, 'Balans van te betalen');
INSERT INTO `lang_definitions` VALUES (20135, 601, 6, 'Te betalen');
INSERT INTO `lang_definitions` VALUES (20136, 602, 6, 'Bambaraans');
INSERT INTO `lang_definitions` VALUES (20137, 603, 6, 'Bank-wissel');
INSERT INTO `lang_definitions` VALUES (20138, 604, 6, 'Barcode Label');
INSERT INTO `lang_definitions` VALUES (20139, 605, 6, 'Barcode label type');
INSERT INTO `lang_definitions` VALUES (20140, 606, 6, 'Barcode type om barcode labels te printen van linker menu scherm');
INSERT INTO `lang_definitions` VALUES (20141, 607, 6, 'Basis metatarsale 5');
INSERT INTO `lang_definitions` VALUES (20142, 608, 6, 'Basis metatarsale 5:');
INSERT INTO `lang_definitions` VALUES (20143, 609, 6, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (20144, 610, 6, 'Baskisch');
INSERT INTO `lang_definitions` VALUES (20145, 611, 6, 'Batch Claim');
INSERT INTO `lang_definitions` VALUES (20146, 612, 6, 'Gereedschap voor batch-communicatie');
INSERT INTO `lang_definitions` VALUES (20147, 613, 6, 'Betalingen invoer dmv groepen');
INSERT INTO `lang_definitions` VALUES (20148, 614, 6, 'Overzicht betalingen');
INSERT INTO `lang_definitions` VALUES (20149, 615, 6, 'Batch-verwerking begonnen, kan even duren');
INSERT INTO `lang_definitions` VALUES (20150, 616, 6, 'Batch-resultaten');
INSERT INTO `lang_definitions` VALUES (20151, 617, 6, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (20152, 618, 6, 'Geduld het kan enkele minuten duren om sommige files te verwerken!');
INSERT INTO `lang_definitions` VALUES (20153, 619, 6, 'omdat dat ID niet bestaat.');
INSERT INTO `lang_definitions` VALUES (20154, 620, 6, 'Start');
INSERT INTO `lang_definitions` VALUES (20155, 621, 6, 'Startdatum');
INSERT INTO `lang_definitions` VALUES (20156, 623, 6, 'Begindatum Service jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (20157, 624, 6, 'Start uur voor begin dv/d dag voor de kalender.');
INSERT INTO `lang_definitions` VALUES (20158, 625, 6, 'Belarusisch');
INSERT INTO `lang_definitions` VALUES (20159, 626, 6, 'Oprispingen');
INSERT INTO `lang_definitions` VALUES (20160, 628, 6, 'Bengaals');
INSERT INTO `lang_definitions` VALUES (20161, 629, 6, 'Bengali - Bangla');
INSERT INTO `lang_definitions` VALUES (20162, 630, 6, 'tussen');
INSERT INTO `lang_definitions` VALUES (20163, 631, 6, 'In beide richtingen');
INSERT INTO `lang_definitions` VALUES (20164, 632, 6, 'Bihari');
INSERT INTO `lang_definitions` VALUES (20165, 633, 6, 'Beide kanten');
INSERT INTO `lang_definitions` VALUES (20166, 634, 6, 'Beide kanten:');
INSERT INTO `lang_definitions` VALUES (20167, 636, 6, 'Datum rekening:');
INSERT INTO `lang_definitions` VALUES (20168, 637, 6, 'Rekening/Innen');
INSERT INTO `lang_definitions` VALUES (20169, 638, 6, 'In rekening gebracht');
INSERT INTO `lang_definitions` VALUES (20170, 640, 6, 'Rekening aanmaken');
INSERT INTO `lang_definitions` VALUES (20171, 641, 6, 'In rekening brengen (met schrijf optie)');
INSERT INTO `lang_definitions` VALUES (20172, 642, 6, 'Rekening t.a.v.');
INSERT INTO `lang_definitions` VALUES (20173, 644, 6, 'Rekening code voor aangevraagde Service');
INSERT INTO `lang_definitions` VALUES (20174, 645, 6, 'Codering voor rekeningen');
INSERT INTO `lang_definitions` VALUES (20175, 646, 6, 'Datum versturen rekeningen');
INSERT INTO `lang_definitions` VALUES (20176, 647, 6, 'Financiele administratie');
INSERT INTO `lang_definitions` VALUES (20177, 648, 6, 'Kliniek om rekeningen aan te maken');
INSERT INTO `lang_definitions` VALUES (20178, 649, 6, 'Rekeninginformatie');
INSERT INTO `lang_definitions` VALUES (20179, 650, 6, 'Rekeninglokatie');
INSERT INTO `lang_definitions` VALUES (20180, 655, 6, 'Rekeningen Manager');
INSERT INTO `lang_definitions` VALUES (20181, 656, 6, 'Rekeningnotitie');
INSERT INTO `lang_definitions` VALUES (20182, 657, 6, 'Rekeningnotitie voor ');
INSERT INTO `lang_definitions` VALUES (20183, 658, 6, 'Rekeningnotitie:');
INSERT INTO `lang_definitions` VALUES (20184, 659, 6, 'Rekeningwachtrij resultaat:');
INSERT INTO `lang_definitions` VALUES (20185, 660, 6, 'Rekeningenscherm');
INSERT INTO `lang_definitions` VALUES (20186, 661, 6, 'Rekeningen status');
INSERT INTO `lang_definitions` VALUES (20187, 662, 6, 'Rekening status = niet aangemaakt');
INSERT INTO `lang_definitions` VALUES (20188, 663, 6, 'Rekening voor ');
INSERT INTO `lang_definitions` VALUES (20189, 665, 6, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (20190, 666, 6, 'Geb. datum');
INSERT INTO `lang_definitions` VALUES (20191, 667, 6, 'Geb, 0 tot 24 maanden');
INSERT INTO `lang_definitions` VALUES (20192, 668, 6, 'Bislama');
INSERT INTO `lang_definitions` VALUES (20193, 669, 6, 'Negroide');
INSERT INTO `lang_definitions` VALUES (20194, 670, 6, 'Zwarte long');
INSERT INTO `lang_definitions` VALUES (20195, 671, 6, 'African Amrerican');
INSERT INTO `lang_definitions` VALUES (20196, 672, 6, 'Blaaskanker');
INSERT INTO `lang_definitions` VALUES (20197, 673, 6, 'Blaasinfectie');
INSERT INTO `lang_definitions` VALUES (20198, 674, 6, 'Lege formulieren');
INSERT INTO `lang_definitions` VALUES (20199, 675, 6, 'Problemen met bloedingen');
INSERT INTO `lang_definitions` VALUES (20200, 676, 6, 'Blinde vlekken');
INSERT INTO `lang_definitions` VALUES (20201, 677, 6, 'Opzwellen');
INSERT INTO `lang_definitions` VALUES (20202, 678, 6, 'Geblokkeerd');
INSERT INTO `lang_definitions` VALUES (20203, 679, 6, 'Bloed');
INSERT INTO `lang_definitions` VALUES (20204, 680, 6, 'Bloeddruk');
INSERT INTO `lang_definitions` VALUES (20205, 681, 6, 'Bloeddruk');
INSERT INTO `lang_definitions` VALUES (20206, 682, 6, 'Bloedneus');
INSERT INTO `lang_definitions` VALUES (20207, 683, 6, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (20208, 684, 6, 'Blauwe lijnen in dit verslag zijn informeel. Zwarte lijnen tonen vooraf bestaande informatie. Groene lijnen tonen veranderingen die met succes werden doorgevoerd. Rode lijnen tonen fouten of veranderingen die niet doorgevoerd werden; deze moeten handmatig doorgevoerd worden. De afgewezen claims en teruggevorderd geld worden niet automatisch verwerkt en worden in rood getoond.');
INSERT INTO `lang_definitions` VALUES (20209, 685, 6, 'Wazig zien');
INSERT INTO `lang_definitions` VALUES (20210, 686, 6, 'BMI');
INSERT INTO `lang_definitions` VALUES (20211, 687, 6, 'BMI-waarde');
INSERT INTO `lang_definitions` VALUES (20212, 689, 6, 'Gebied van het lichaam');
INSERT INTO `lang_definitions` VALUES (20213, 690, 6, 'Kant van lichaam');
INSERT INTO `lang_definitions` VALUES (20214, 691, 6, 'Kant van lichaam, indien van toepassing');
INSERT INTO `lang_definitions` VALUES (20215, 692, 6, 'Botpijn');
INSERT INTO `lang_definitions` VALUES (20216, 693, 6, 'Botpijn: mediale malleolus');
INSERT INTO `lang_definitions` VALUES (20217, 694, 6, 'Boolean');
INSERT INTO `lang_definitions` VALUES (20218, 695, 6, 'Bosnisch');
INSERT INTO `lang_definitions` VALUES (20219, 696, 6, 'Laag');
INSERT INTO `lang_definitions` VALUES (20220, 697, 6, 'Beide oren');
INSERT INTO `lang_definitions` VALUES (20221, 698, 6, 'beide oren');
INSERT INTO `lang_definitions` VALUES (20222, 699, 6, 'Laag');
INSERT INTO `lang_definitions` VALUES (20223, 700, 6, 'Kantlijn onderkant (px)');
INSERT INTO `lang_definitions` VALUES (20224, 701, 6, 'Box 10 A Werk gerelateerd ');
INSERT INTO `lang_definitions` VALUES (20225, 702, 6, 'Box 10 B Auto ongeval ');
INSERT INTO `lang_definitions` VALUES (20226, 703, 6, 'Box 10 C Ander ongeval ');
INSERT INTO `lang_definitions` VALUES (20227, 704, 6, 'BOX 14 qualifier');
INSERT INTO `lang_definitions` VALUES (20228, 705, 6, 'BOX 15 Andere datum Qualifier');
INSERT INTO `lang_definitions` VALUES (20229, 706, 6, 'Box 15. Datum van zelfde of vergelijkbare ziekte (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (20230, 707, 6, 'BOX 15. Datum van zelfde of vergelijkbare ziekte/of andere datum (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (20231, 708, 6, 'Box 16 Begindatum arbeidsongeschiktheid (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (20232, 709, 6, 'Box 16 Datum AO tot (jjjj-mm-dd):');
INSERT INTO `lang_definitions` VALUES (20233, 710, 6, 'Box 18 Opname in hospitaal (jjjj-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (20234, 711, 6, 'Box 18 Laatste dag in hospitaal (jjjj-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (20235, 712, 6, 'Box 20 Extern Laboratorium gebruikt?');
INSERT INTO `lang_definitions` VALUES (20236, 713, 6, 'Box 22 Medicaide Code om opnieuw te sturen (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (20237, 714, 6, 'Box 23 Vorige autorisatienummer ');
INSERT INTO `lang_definitions` VALUES (20238, 715, 6, 'RR');
INSERT INTO `lang_definitions` VALUES (20239, 716, 6, 'Diastolische RR');
INSERT INTO `lang_definitions` VALUES (20240, 717, 6, 'Systolische RR');
INSERT INTO `lang_definitions` VALUES (20241, 719, 6, 'RR-D');
INSERT INTO `lang_definitions` VALUES (20242, 721, 6, 'RR-S');
INSERT INTO `lang_definitions` VALUES (20243, 722, 6, 'Braziliaans-Portugees');
INSERT INTO `lang_definitions` VALUES (20244, 723, 6, 'Mamma');
INSERT INTO `lang_definitions` VALUES (20245, 724, 6, 'Biopsie van mamma');
INSERT INTO `lang_definitions` VALUES (20246, 725, 6, 'Afscheiding mamma');
INSERT INTO `lang_definitions` VALUES (20247, 726, 6, 'Ziekte van de mammae');
INSERT INTO `lang_definitions` VALUES (20248, 727, 6, 'Borstonderzoek');
INSERT INTO `lang_definitions` VALUES (20249, 728, 6, 'Massa in mamma');
INSERT INTO `lang_definitions` VALUES (20250, 730, 6, 'Ademgeluiden:');
INSERT INTO `lang_definitions` VALUES (20251, 731, 6, 'Bretons');
INSERT INTO `lang_definitions` VALUES (20252, 732, 6, 'Gebroken botten');
INSERT INTO `lang_definitions` VALUES (20253, 733, 6, 'niet functionerend formulier');
INSERT INTO `lang_definitions` VALUES (20254, 734, 6, 'Bronchitis formulier');
INSERT INTO `lang_definitions` VALUES (20255, 735, 6, 'Doorzoeken');
INSERT INTO `lang_definitions` VALUES (20256, 736, 6, 'Zoek naar status');
INSERT INTO `lang_definitions` VALUES (20257, 737, 6, 'Kneuzing/Hematoom');
INSERT INTO `lang_definitions` VALUES (20258, 738, 6, 'Bulgaars');
INSERT INTO `lang_definitions` VALUES (20259, 739, 6, 'Uitpuilend rechts:');
INSERT INTO `lang_definitions` VALUES (20260, 740, 6, 'Birmanees');
INSERT INTO `lang_definitions` VALUES (20261, 741, 6, 'Brandende mictie');
INSERT INTO `lang_definitions` VALUES (20262, 742, 6, 'Brandende mictie');
INSERT INTO `lang_definitions` VALUES (20263, 743, 6, 'Kantoor telefoon');
INSERT INTO `lang_definitions` VALUES (20264, 744, 6, 'Bezig');
INSERT INTO `lang_definitions` VALUES (20265, 745, 6, 'maar nog niet verwerkt.');
INSERT INTO `lang_definitions` VALUES (20266, 746, 6, 'Zitvlak');
INSERT INTO `lang_definitions` VALUES (20267, 747, 6, 'Zitvlak + S.I.');
INSERT INTO `lang_definitions` VALUES (20268, 748, 6, 'dmv');
INSERT INTO `lang_definitions` VALUES (20269, 749, 6, 'Door');
INSERT INTO `lang_definitions` VALUES (20270, 750, 6, 'Oraal');
INSERT INTO `lang_definitions` VALUES (20271, 751, 6, 'Door/Oorsprong');
INSERT INTO `lang_definitions` VALUES (20272, 752, 6, 'Door:');
INSERT INTO `lang_definitions` VALUES (20273, 753, 6, 'C');
INSERT INTO `lang_definitions` VALUES (20274, 754, 6, 'CA certificaat om RFC 5425 TLS syslog te controleren.');
INSERT INTO `lang_definitions` VALUES (20275, 755, 6, 'Cache duur (in seconden)');
INSERT INTO `lang_definitions` VALUES (20276, 756, 6, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (20277, 757, 6, 'Cafeineconsumptie');
INSERT INTO `lang_definitions` VALUES (20278, 758, 6, 'Agenda');
INSERT INTO `lang_definitions` VALUES (20279, 759, 6, 'Uur voor beeindigen van kalender afspraken');
INSERT INTO `lang_definitions` VALUES (20280, 760, 6, 'Interval voor kalender');
INSERT INTO `lang_definitions` VALUES (20281, 761, 6, 'Kalender scherm');
INSERT INTO `lang_definitions` VALUES (20282, 762, 6, 'Agenda-instellingen');
INSERT INTO `lang_definitions` VALUES (20283, 763, 6, 'Begin uur van kalender');
INSERT INTO `lang_definitions` VALUES (20284, 764, 6, 'Agenda-UI');
INSERT INTO `lang_definitions` VALUES (20285, 765, 6, 'Agendaweergave');
INSERT INTO `lang_definitions` VALUES (20286, 766, 6, 'Oproepen van addForm() komt hier terecht');
INSERT INTO `lang_definitions` VALUES (20287, 767, 6, 'Calorien');
INSERT INTO `lang_definitions` VALUES (20288, 768, 6, 'Cambodja');
INSERT INTO `lang_definitions` VALUES (20290, 774, 6, 'Annuleren');
INSERT INTO `lang_definitions` VALUES (20291, 775, 6, 'Niet opslaan');
INSERT INTO `lang_definitions` VALUES (20292, 776, 6, 'Geannuleerd');
INSERT INTO `lang_definitions` VALUES (20293, 777, 6, 'Kanker');
INSERT INTO `lang_definitions` VALUES (20294, 778, 6, 'Ca screening: Colon screening');
INSERT INTO `lang_definitions` VALUES (20295, 779, 6, 'Ca screening: Mammogram');
INSERT INTO `lang_definitions` VALUES (20296, 780, 6, 'Ca screening: Pap smear');
INSERT INTO `lang_definitions` VALUES (20297, 781, 6, 'Ca screening: Prostaat');
INSERT INTO `lang_definitions` VALUES (20298, 782, 6, 'Kan deze invoer niet toevoegen, omdat hij reeds bestaat!');
INSERT INTO `lang_definitions` VALUES (20299, 783, 6, 'Kan deze invoer niet toevoegen/updaten omdat er al een duplicaat bestaat!');
INSERT INTO `lang_definitions` VALUES (20300, 784, 6, 'kan niet gearchiveerd worden, niets gedaan');
INSERT INTO `lang_definitions` VALUES (20301, 785, 6, 'kan niet naar JPEG omgezet worden. Is ImageMagick wel geinstalleerd?');
INSERT INTO `lang_definitions` VALUES (20302, 786, 6, 'kan niet verwijdert worden, niets gedaan');
INSERT INTO `lang_definitions` VALUES (20303, 787, 6, 'kan niet inline getoond worden, dit type wordt niet ondersteund door BROWSER');
INSERT INTO `lang_definitions` VALUES (20304, 788, 6, 'kan niet inline getoond worden, dit type wordt niet ondersteund door BROWSER');
INSERT INTO `lang_definitions` VALUES (20305, 789, 6, 'kan niet inline getoond worden, dit type wordt niet ondersteund door BROWSER.');
INSERT INTO `lang_definitions` VALUES (20306, 790, 6, 'Aanmaken mislukt');
INSERT INTO `lang_definitions` VALUES (20307, 791, 6, 'Kan de file niet aanmaken');
INSERT INTO `lang_definitions` VALUES (20308, 792, 6, 'Kan de file niet verwijderen (van de SMTP server)');
INSERT INTO `lang_definitions` VALUES (20309, 793, 6, 'Kan de file niet deleten');
INSERT INTO `lang_definitions` VALUES (20310, 794, 6, 'Kan de doel file niet localiseren');
INSERT INTO `lang_definitions` VALUES (20311, 795, 6, 'Zoeken mislukt ');
INSERT INTO `lang_definitions` VALUES (20312, 796, 6, 'Kan geen bestemmings file naam vinden');
INSERT INTO `lang_definitions` VALUES (20313, 799, 6, 'Patient kan niet gevonden worden in SQL-boekhouding via Klant ID');
INSERT INTO `lang_definitions` VALUES (20314, 800, 6, 'Postscript documentreferentie niet gevonden in ');
INSERT INTO `lang_definitions` VALUES (20315, 801, 6, 'Behandelaar kan niet gevonden worden in werknemers SQL boekhouding ');
INSERT INTO `lang_definitions` VALUES (20316, 802, 6, 'Kan betalingen niet veranderen. Niet utigewerkt is Negatief.');
INSERT INTO `lang_definitions` VALUES (20317, 803, 6, 'Openen mislukt ');
INSERT INTO `lang_definitions` VALUES (20318, 804, 6, 'Kan niet toewijzen aan Verzekering. De geselecteerde instantie instantie waarvoor u koos is patient.');
INSERT INTO `lang_definitions` VALUES (20319, 805, 6, 'Kan niet toewijzen aan patient. De geselecteerde instantie is Verzekering');
INSERT INTO `lang_definitions` VALUES (20320, 806, 6, 'Kan geen betalingen toewijzen. Niet toegewezen is Negatief');
INSERT INTO `lang_definitions` VALUES (20321, 807, 6, 'Kan niet lezen');
INSERT INTO `lang_definitions` VALUES (20322, 808, 6, 'Kan DIRECTORY niet lezen');
INSERT INTO `lang_definitions` VALUES (20323, 809, 6, 'Updaten mislukt omdat er geen bestaande entiteit wordt bewerkt');
INSERT INTO `lang_definitions` VALUES (20324, 810, 6, 'Hoofdletters maken');
INSERT INTO `lang_definitions` VALUES (20325, 811, 6, 'Allemaal hoofdletters');
INSERT INTO `lang_definitions` VALUES (20326, 812, 6, 'capsule');
INSERT INTO `lang_definitions` VALUES (20327, 813, 6, 'Kaart');
INSERT INTO `lang_definitions` VALUES (20328, 814, 6, 'Hartcatheterisatie');
INSERT INTO `lang_definitions` VALUES (20329, 815, 6, 'Echo van het hart');
INSERT INTO `lang_definitions` VALUES (20330, 816, 6, 'Cardiovasculair');
INSERT INTO `lang_definitions` VALUES (20331, 821, 6, 'Kraakbeen/chondraal/beschadiging tussenwervelschijf');
INSERT INTO `lang_definitions` VALUES (20332, 822, 6, 'Kraakbeenbeschadiging');
INSERT INTO `lang_definitions` VALUES (20333, 823, 6, 'Carotiden puls. normaal, voetrug puls. normaal');
INSERT INTO `lang_definitions` VALUES (20334, 824, 6, 'contant');
INSERT INTO `lang_definitions` VALUES (20335, 825, 6, 'Contant');
INSERT INTO `lang_definitions` VALUES (20336, 826, 6, 'Per Kas ontv.');
INSERT INTO `lang_definitions` VALUES (20337, 827, 6, 'Kwitanties per behandelaar');
INSERT INTO `lang_definitions` VALUES (20338, 828, 6, 'Caqtalaans - Valenciaans');
INSERT INTO `lang_definitions` VALUES (20339, 829, 6, 'Cataractoperatie');
INSERT INTO `lang_definitions` VALUES (20340, 830, 6, 'Cataracten');
INSERT INTO `lang_definitions` VALUES (20341, 831, 6, 'Categorieen');
INSERT INTO `lang_definitions` VALUES (20342, 832, 6, 'Categorieen voor');
INSERT INTO `lang_definitions` VALUES (20343, 833, 6, 'Categorie');
INSERT INTO `lang_definitions` VALUES (20344, 834, 6, 'categorie');
INSERT INTO `lang_definitions` VALUES (20345, 835, 6, 'Categorie ');
INSERT INTO `lang_definitions` VALUES (20346, 836, 6, 'Categorie details');
INSERT INTO `lang_definitions` VALUES (20347, 837, 6, 'Categorie limieten');
INSERT INTO `lang_definitions` VALUES (20348, 838, 6, 'Categorie naam');
INSERT INTO `lang_definitions` VALUES (20349, 839, 6, 'Categorie naam niet ingevuld');
INSERT INTO `lang_definitions` VALUES (20350, 840, 6, 'Categorie/Titel');
INSERT INTO `lang_definitions` VALUES (20351, 841, 6, 'Caucasisch');
INSERT INTO `lang_definitions` VALUES (20352, 842, 6, 'Zorgt voor printen van Encounter/Eerste Provider informatie');
INSERT INTO `lang_definitions` VALUES (20353, 846, 6, 'CCR- goedkeuren');
INSERT INTO `lang_definitions` VALUES (20354, 847, 6, 'CCR Patient review');
INSERT INTO `lang_definitions` VALUES (20355, 848, 6, 'CCR Review en goedkeuren');
INSERT INTO `lang_definitions` VALUES (20356, 850, 6, 'CDR');
INSERT INTO `lang_definitions` VALUES (20357, 851, 6, 'CDR rapport verwerkings voorkeur');
INSERT INTO `lang_definitions` VALUES (20358, 852, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (20359, 853, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (20360, 854, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (20361, 855, 6, 'Mobiel nummer');
INSERT INTO `lang_definitions` VALUES (20362, 856, 6, 'Centrale Certificering');
INSERT INTO `lang_definitions` VALUES (20363, 857, 6, 'Centraal/Zuid Amerikaan');
INSERT INTO `lang_definitions` VALUES (20364, 858, 6, 'Certificate Authority crt file locatie kan niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (20365, 859, 6, 'Locatie sleutelbestand van autorisatiecertificaat mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (20366, 860, 6, 'Certificaat om naar RFC 5425 TLS syslog server te sturen');
INSERT INTO `lang_definitions` VALUES (20367, 861, 6, 'Certificaat gebruiker');
INSERT INTO `lang_definitions` VALUES (20368, 862, 6, 'Certificaat');
INSERT INTO `lang_definitions` VALUES (20369, 863, 6, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (20370, 864, 6, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (20371, 865, 6, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (20372, 866, 6, 'wijzig');
INSERT INTO `lang_definitions` VALUES (20373, 867, 6, 'Verandering');
INSERT INTO `lang_definitions` VALUES (20374, 868, 6, 'Wijzig activiteit');
INSERT INTO `lang_definitions` VALUES (20375, 869, 6, 'Verandering mislukt! Is er een Couch DB connectie fout?');
INSERT INTO `lang_definitions` VALUES (20376, 870, 6, 'Verandering in visus');
INSERT INTO `lang_definitions` VALUES (20377, 871, 6, 'Verandering visus');
INSERT INTO `lang_definitions` VALUES (20378, 872, 6, 'Paswoord veranderen');
INSERT INTO `lang_definitions` VALUES (20379, 874, 6, 'Gewijzigd');
INSERT INTO `lang_definitions` VALUES (20380, 875, 6, 'Veranderd def patroon');
INSERT INTO `lang_definitions` VALUES (20381, 876, 6, 'Verandering van Patient ID voor dit document');
INSERT INTO `lang_definitions` VALUES (20382, 877, 6, 'Karakteristieken');
INSERT INTO `lang_definitions` VALUES (20383, 878, 6, 'Resterend aantal karakters');
INSERT INTO `lang_definitions` VALUES (20384, 879, 6, 'In rekening brengen');
INSERT INTO `lang_definitions` VALUES (20385, 880, 6, 'Breng aanpassing in rekening');
INSERT INTO `lang_definitions` VALUES (20386, 881, 6, 'Tarief gecodeerd');
INSERT INTO `lang_definitions` VALUES (20387, 882, 6, 'Kosten');
INSERT INTO `lang_definitions` VALUES (20388, 883, 6, 'Kaart');
INSERT INTO `lang_definitions` VALUES (20389, 884, 6, 'Status activiteit');
INSERT INTO `lang_definitions` VALUES (20390, 885, 6, 'Status IN/OUT activiteit rapport');
INSERT INTO `lang_definitions` VALUES (20391, 886, 6, 'Statusnummer');
INSERT INTO `lang_definitions` VALUES (20392, 887, 6, 'Statusnummer:');
INSERT INTO `lang_definitions` VALUES (20393, 888, 6, 'Kaart label');
INSERT INTO `lang_definitions` VALUES (20394, 889, 6, 'Status locatie');
INSERT INTO `lang_definitions` VALUES (20395, 890, 6, 'Notitie voor status');
INSERT INTO `lang_definitions` VALUES (20396, 891, 6, 'Kaart nummer');
INSERT INTO `lang_definitions` VALUES (20397, 892, 6, 'Plaats van status');
INSERT INTO `lang_definitions` VALUES (20398, 893, 6, 'Lokatie v/d status');
INSERT INTO `lang_definitions` VALUES (20399, 894, 6, 'Kaart trk');
INSERT INTO `lang_definitions` VALUES (20400, 895, 6, 'Kaarten uitgechecked');
INSERT INTO `lang_definitions` VALUES (20401, 896, 6, 'Kaarten uit');
INSERT INTO `lang_definitions` VALUES (20402, 897, 6, 'Controleren');
INSERT INTO `lang_definitions` VALUES (20403, 898, 6, 'Controle');
INSERT INTO `lang_definitions` VALUES (20404, 899, 6, 'controle');
INSERT INTO `lang_definitions` VALUES (20405, 900, 6, 'Alles selecteren');
INSERT INTO `lang_definitions` VALUES (20406, 902, 6, 'Controleer bedrag');
INSERT INTO `lang_definitions` VALUES (20407, 903, 6, 'Datum van check');
INSERT INTO `lang_definitions` VALUES (20408, 904, 6, 'Controleer verschillen met de eigen taaltabel');
INSERT INTO `lang_definitions` VALUES (20409, 906, 6, 'Nieuwe locatie');
INSERT INTO `lang_definitions` VALUES (20410, 907, 6, 'Check ingevoerde data');
INSERT INTO `lang_definitions` VALUES (20411, 908, 6, 'Vink de onderdelen aan om te volgen');
INSERT INTO `lang_definitions` VALUES (20412, 909, 6, 'Controleer de LAB resutaten');
INSERT INTO `lang_definitions` VALUES (20413, 910, 6, 'Met aanvinken is gecontroleerd');
INSERT INTO `lang_definitions` VALUES (20414, 911, 6, 'Check No.');
INSERT INTO `lang_definitions` VALUES (20415, 912, 6, 'Chequenummer');
INSERT INTO `lang_definitions` VALUES (20416, 915, 6, 'Controleer betaling');
INSERT INTO `lang_definitions` VALUES (20417, 916, 6, 'Box vinken indine de file gecodeerd is');
INSERT INTO `lang_definitions` VALUES (20418, 917, 6, 'Check hier om afspraken van alle behandelaars tegelijk te zien en niet alleen eigen afspraken');
INSERT INTO `lang_definitions` VALUES (20419, 918, 6, 'Aanvinken om probleem van de diagnose aan te maken');
INSERT INTO `lang_definitions` VALUES (20420, 919, 6, 'Check/EOB Datum:');
INSERT INTO `lang_definitions` VALUES (20421, 920, 6, 'Check/EOB No.:');
INSERT INTO `lang_definitions` VALUES (20422, 921, 6, 'Check/Ref.nummer');
INSERT INTO `lang_definitions` VALUES (20423, 922, 6, 'Check/Referentienummer');
INSERT INTO `lang_definitions` VALUES (20424, 923, 6, 'Checkbox lijst');
INSERT INTO `lang_definitions` VALUES (20425, 924, 6, 'checkbox lijst');
INSERT INTO `lang_definitions` VALUES (20426, 925, 6, 'checkbox met tekst');
INSERT INTO `lang_definitions` VALUES (20427, 926, 6, 'Checkbox met tekst');
INSERT INTO `lang_definitions` VALUES (20428, 927, 6, 'Vink blok aan om HL7 file te verwerpen en te verwijderen');
INSERT INTO `lang_definitions` VALUES (20429, 928, 6, 'Gecontroleerd');
INSERT INTO `lang_definitions` VALUES (20430, 929, 6, 'Aangevinkte box=ja, leeg=nee');
INSERT INTO `lang_definitions` VALUES (20431, 931, 6, 'Aanvinken van het lock vakje verhindert verdere aanpassingen van ieder formulier voor deze encopunter');
INSERT INTO `lang_definitions` VALUES (20432, 932, 6, 'Vertrek');
INSERT INTO `lang_definitions` VALUES (20433, 933, 6, 'Controlecijfer');
INSERT INTO `lang_definitions` VALUES (20434, 934, 6, 'Thorax');
INSERT INTO `lang_definitions` VALUES (20435, 935, 6, 'Thorax CTAB');
INSERT INTO `lang_definitions` VALUES (20436, 936, 6, 'Pijn in thorax');
INSERT INTO `lang_definitions` VALUES (20437, 937, 6, 'Pijn in thorax');
INSERT INTO `lang_definitions` VALUES (20438, 938, 6, 'Pijn in thorax');
INSERT INTO `lang_definitions` VALUES (20439, 940, 6, 'Chg');
INSERT INTO `lang_definitions` VALUES (20440, 941, 6, 'Chichewa-Chewa-Nyanja');
INSERT INTO `lang_definitions` VALUES (20441, 942, 6, 'Hoofd klacht');
INSERT INTO `lang_definitions` VALUES (20442, 943, 6, 'Kind');
INSERT INTO `lang_definitions` VALUES (20443, 945, 6, 'Immunisatie status van kinderen (CQM)');
INSERT INTO `lang_definitions` VALUES (20444, 946, 6, 'Rillingen');
INSERT INTO `lang_definitions` VALUES (20445, 947, 6, 'Chinees');
INSERT INTO `lang_definitions` VALUES (20446, 948, 6, 'Chinese (vereenvoudigd)');
INSERT INTO `lang_definitions` VALUES (20447, 949, 6, 'Chinese (traditioneel)');
INSERT INTO `lang_definitions` VALUES (20448, 950, 6, 'Chiropractisch');
INSERT INTO `lang_definitions` VALUES (20449, 951, 6, 'Keuzes');
INSERT INTO `lang_definitions` VALUES (20450, 952, 6, 'Cholecystectomie');
INSERT INTO `lang_definitions` VALUES (20451, 953, 6, 'cholecystectomie');
INSERT INTO `lang_definitions` VALUES (20452, 954, 6, 'Cholecystectomie');
INSERT INTO `lang_definitions` VALUES (20453, 955, 6, 'Kies');
INSERT INTO `lang_definitions` VALUES (20454, 956, 6, 'Maak een keuze en KLIK op het onderdeel, in de andere sectie zie je de gerelateerde zaken en kan in dat deel KLIKKEN voor relaties toevoegen of verwijderen');
INSERT INTO `lang_definitions` VALUES (20455, 957, 6, 'Kies LIJST');
INSERT INTO `lang_definitions` VALUES (20456, 958, 6, 'Kies downloaden of Inline tonen');
INSERT INTO `lang_definitions` VALUES (20457, 959, 6, 'Kies file');
INSERT INTO `lang_definitions` VALUES (20458, 960, 6, 'Kies van de lijst');
INSERT INTO `lang_definitions` VALUES (20459, 961, 6, 'Kies de layout richting');
INSERT INTO `lang_definitions` VALUES (20460, 962, 6, 'Kies een lijst');
INSERT INTO `lang_definitions` VALUES (20461, 963, 6, 'Kiez papier maat');
INSERT INTO `lang_definitions` VALUES (20462, 964, 6, 'Kies PDF taal voorkeur');
INSERT INTO `lang_definitions` VALUES (20463, 965, 6, 'Kies Print format voor verslag van deze encounter.');
INSERT INTO `lang_definitions` VALUES (20464, 967, 6, 'Chronische bronchitis');
INSERT INTO `lang_definitions` VALUES (20465, 968, 6, 'Chronische gewrichts pijn');
INSERT INTO `lang_definitions` VALUES (20466, 969, 6, 'Chronische nier ziekte (CKD)');
INSERT INTO `lang_definitions` VALUES (20467, 970, 6, 'Chronische synovitis / opzwellen / gewrichtspijn / jicht');
INSERT INTO `lang_definitions` VALUES (20468, 971, 6, 'Chronisch/Recidiverend');
INSERT INTO `lang_definitions` VALUES (20469, 972, 6, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (20470, 973, 6, 'Levercirrose');
INSERT INTO `lang_definitions` VALUES (20471, 974, 6, 'Levercirrose');
INSERT INTO `lang_definitions` VALUES (20472, 975, 6, 'Stad');
INSERT INTO `lang_definitions` VALUES (20473, 976, 6, 'Naam vd stad');
INSERT INTO `lang_definitions` VALUES (20474, 977, 6, 'Stad, Staat');
INSERT INTO `lang_definitions` VALUES (20475, 978, 6, 'Stad, Zip code');
INSERT INTO `lang_definitions` VALUES (20476, 979, 6, 'Stad/Staat');
INSERT INTO `lang_definitions` VALUES (20477, 980, 6, 'Tegoed');
INSERT INTO `lang_definitions` VALUES (20478, 981, 6, 'Tegoed ');
INSERT INTO `lang_definitions` VALUES (20479, 982, 6, 'Claim status');
INSERT INTO `lang_definitions` VALUES (20480, 983, 6, 'Tegoed test is aangemaakt en klaar');
INSERT INTO `lang_definitions` VALUES (20481, 984, 6, 'Soort claim');
INSERT INTO `lang_definitions` VALUES (20482, 985, 6, 'Claim werd aangemaakt in file');
INSERT INTO `lang_definitions` VALUES (20483, 986, 6, 'Claim werd aangemaakt in file ');
INSERT INTO `lang_definitions` VALUES (20484, 987, 6, 'Claims');
INSERT INTO `lang_definitions` VALUES (20485, 988, 6, 'Classificatie');
INSERT INTO `lang_definitions` VALUES (20486, 989, 6, 'Schonen');
INSERT INTO `lang_definitions` VALUES (20487, 990, 6, 'Actieve patient schonen');
INSERT INTO `lang_definitions` VALUES (20488, 991, 6, 'Alles verwijderen');
INSERT INTO `lang_definitions` VALUES (20489, 992, 6, 'HL7-data verwijderen');
INSERT INTO `lang_definitions` VALUES (20490, 993, 6, 'Justify verwijderen');
INSERT INTO `lang_definitions` VALUES (20491, 994, 6, 'Smarty Cache schonen');
INSERT INTO `lang_definitions` VALUES (20492, 995, 6, 'Clearinghouse info nodig om EDI 270 batch aan te maken');
INSERT INTO `lang_definitions` VALUES (20493, 996, 6, 'CLIA-nummer');
INSERT INTO `lang_definitions` VALUES (20494, 997, 6, 'Klik');
INSERT INTO `lang_definitions` VALUES (20495, 998, 6, 'Klik op \"Exporteren\" om uw categorie, subcategorie, punt, Inhoud gegevens naar een tekstbestand te exporteren. Elke gelijkenis van dit bestand naar een XML-bestand is louter toevallig. Het openen en sluiten van tags moeten op dezelfde lijn, zij worden kleine letters zonder spaties. Om te importeren, blader naar een bestand en klik op \'import\' Als de gegevens volledig anders zijn, worden ze samengevoegd met uw bestaande gegevens. Als er soortgelijk artikel namen zijn, worden de oude behouden en de nieuwe opgeslagen met een nummer toegevoegd aan het einde.');
INSERT INTO `lang_definitions` VALUES (20496, 999, 6, 'Klik op regio van de tekening om pijn aan te geven. Klik op zelfde plek om te verwijderen, of op nieuwe regio om nieuwe plek aan te geven.');
INSERT INTO `lang_definitions` VALUES (20497, 1000, 6, 'Klik op Certificaten downloaden om de certificaten in het ssl.zip-bestand te downloaden');
INSERT INTO `lang_definitions` VALUES (20498, 1001, 6, 'klik voor meer');
INSERT INTO `lang_definitions` VALUES (20499, 1002, 6, 'Klik voor meer details');
INSERT INTO `lang_definitions` VALUES (20500, 1003, 6, 'Klik voor samenvattting bestalling');
INSERT INTO `lang_definitions` VALUES (20501, 1004, 6, 'klik voor resultaten');
INSERT INTO `lang_definitions` VALUES (20502, 1005, 6, 'Klik hier');
INSERT INTO `lang_definitions` VALUES (20503, 1006, 6, 'Klik hier om nieuwe client toe te voegen.');
INSERT INTO `lang_definitions` VALUES (20504, 1007, 6, 'Klik hier om nieuw ongeval veranderingen te melden en dagelijkse activiteiten aan te passen');
INSERT INTO `lang_definitions` VALUES (20505, 1008, 6, 'Klik hier om datum te kiezen');
INSERT INTO `lang_definitions` VALUES (20506, 1009, 6, 'Klik hier om datum en tijd te kiezen');
INSERT INTO `lang_definitions` VALUES (20507, 1010, 6, 'Klik hier om startdatum te kiezen');
INSERT INTO `lang_definitions` VALUES (20508, 1011, 6, 'Klik hier om datum tijd te kiezen');
INSERT INTO `lang_definitions` VALUES (20509, 1012, 6, 'Klik hier om datum tijd te kiezen van');
INSERT INTO `lang_definitions` VALUES (20510, 1013, 6, 'Klik hier om datum tijd te kiezen voor');
INSERT INTO `lang_definitions` VALUES (20511, 1014, 6, 'Klik hier om deze module aan te passen');
INSERT INTO `lang_definitions` VALUES (20512, 1016, 6, 'Klik hier om deze module te inactiveren');
INSERT INTO `lang_definitions` VALUES (20513, 1018, 6, 'klik hier om deze module te activeren');
INSERT INTO `lang_definitions` VALUES (20514, 1019, 6, 'Klik hier om deze module te installeren');
INSERT INTO `lang_definitions` VALUES (20515, 1020, 6, 'Klik hier om te zoeken');
INSERT INTO `lang_definitions` VALUES (20516, 1021, 6, 'Klik hier voor aanpassing van Belangrijkheid, Categorie en getoonde veldnamen');
INSERT INTO `lang_definitions` VALUES (20517, 1022, 6, 'Klik hier om alles te zien');
INSERT INTO `lang_definitions` VALUES (20518, 1023, 6, 'Klik hier om grafiek te zien');
INSERT INTO `lang_definitions` VALUES (20519, 1024, 6, 'Klik hier om alle Labdata te zien en in grafieken te tonen');
INSERT INTO `lang_definitions` VALUES (20520, 1025, 6, 'Klik hier om all Vitals in grafiek te zetten');
INSERT INTO `lang_definitions` VALUES (20521, 1026, 6, 'Klik hier om patient details te zien');
INSERT INTO `lang_definitions` VALUES (20522, 1027, 6, 'Klik hier om ze allemaal te zien');
INSERT INTO `lang_definitions` VALUES (20523, 1028, 6, 'Klik om details: te zien/aan te passen');
INSERT INTO `lang_definitions` VALUES (20524, 1029, 6, 'Klik Install buttom om de database van de volgende datum te installeren');
INSERT INTO `lang_definitions` VALUES (20525, 1030, 6, 'Klik op tijdgedeelte om het te vergroten');
INSERT INTO `lang_definitions` VALUES (20526, 1031, 6, 'Klik op patientnaam om file te openen');
INSERT INTO `lang_definitions` VALUES (20527, 1032, 6, 'Klik vernieuwen om alle resultaten te zien, of voer nieuwe zoek criteria in om specifieke resultaten te zien.');
INSERT INTO `lang_definitions` VALUES (20528, 1033, 6, 'Klik om diagnose aan te maken');
INSERT INTO `lang_definitions` VALUES (20529, 1034, 6, 'Klik om nieuwe componenten aan te maken');
INSERT INTO `lang_definitions` VALUES (20530, 1035, 6, 'Klik om nieuw const aan te maken');
INSERT INTO `lang_definitions` VALUES (20531, 1036, 6, 'Klik om een keuze te maken om Diagnoses to `justify`');
INSERT INTO `lang_definitions` VALUES (20532, 1037, 6, 'Klik om te downloaden');
INSERT INTO `lang_definitions` VALUES (20533, 1038, 6, 'Klik om aan te passen');
INSERT INTO `lang_definitions` VALUES (20534, 1039, 6, 'Klik om omschrijving aan te passen');
INSERT INTO `lang_definitions` VALUES (20535, 1040, 6, 'Klik om deze gebeurtenis aan te passen');
INSERT INTO `lang_definitions` VALUES (20536, 1041, 6, 'Klik om rapport te maken');
INSERT INTO `lang_definitions` VALUES (20537, 1042, 6, 'Klik om een patient te matchen');
INSERT INTO `lang_definitions` VALUES (20538, 1043, 6, 'Klik om af te drukken');
INSERT INTO `lang_definitions` VALUES (20539, 1044, 6, 'Kilk om een nieuwe voorraad te ontvangen/toe te voegen');
INSERT INTO `lang_definitions` VALUES (20540, 1045, 6, 'Klik om te selecteren');
INSERT INTO `lang_definitions` VALUES (20541, 1046, 6, 'Klik om te selecteren');
INSERT INTO `lang_definitions` VALUES (20542, 1047, 6, 'Klik om een standaard industriecode voor deze procedure te selecteren');
INSERT INTO `lang_definitions` VALUES (20543, 1048, 6, 'Klik om optimale procedure code te selecteren');
INSERT INTO `lang_definitions` VALUES (20544, 1049, 6, 'Klik  om verandering in Procedure codering te selecteren.');
INSERT INTO `lang_definitions` VALUES (20545, 1050, 6, 'Klik om de CVX code te selecteren of te veranderen');
INSERT INTO `lang_definitions` VALUES (20546, 1051, 6, 'Klik om te selecteren of de diagnose te veranderen');
INSERT INTO `lang_definitions` VALUES (20547, 1052, 6, 'Klik om service code te selecteren of te veranderen');
INSERT INTO `lang_definitions` VALUES (20548, 1053, 6, 'Klik om patient te selecteren');
INSERT INTO `lang_definitions` VALUES (20549, 1054, 6, 'Klik om de gerelateerde code te selecteren');
INSERT INTO `lang_definitions` VALUES (20550, 1055, 6, 'Klik om services kiezen als het resultaat abnormaal is');
INSERT INTO `lang_definitions` VALUES (20551, 1056, 6, 'Klik om de gewenste procedure te selecteren');
INSERT INTO `lang_definitions` VALUES (20552, 1057, 6, 'Klik om te sorteren');
INSERT INTO `lang_definitions` VALUES (20553, 1058, 6, 'Klik om te kijken');
INSERT INTO `lang_definitions` VALUES (20554, 1059, 6, 'Klik om te bekijken of aan te passen');
INSERT INTO `lang_definitions` VALUES (20555, 1060, 6, 'Klik om te bekijken/veranderen');
INSERT INTO `lang_definitions` VALUES (20556, 1061, 6, 'Klik op upgrade button om de databse van de volgende datum op te waarderen');
INSERT INTO `lang_definitions` VALUES (20557, 1062, 6, 'Klik waar aangegeven wordt om de patient te matchen.');
INSERT INTO `lang_definitions` VALUES (20558, 1063, 6, 'Klik:');
INSERT INTO `lang_definitions` VALUES (20559, 1064, 6, 'Client Certificaat Expiratietijd in dgn');
INSERT INTO `lang_definitions` VALUES (20560, 1065, 6, 'Validatieperiode voor Client Certificaat');
INSERT INTO `lang_definitions` VALUES (20561, 1066, 6, 'Validatie voor Client Certificaat moet een geldig getal zijn.');
INSERT INTO `lang_definitions` VALUES (20562, 1067, 6, 'Copie voor client');
INSERT INTO `lang_definitions` VALUES (20563, 1069, 6, 'Samenvatting med. historie client');
INSERT INTO `lang_definitions` VALUES (20564, 1070, 6, 'Naam van Client');
INSERT INTO `lang_definitions` VALUES (20565, 1071, 6, 'Nummer van Client');
INSERT INTO `lang_definitions` VALUES (20566, 1072, 6, 'Cliëntprofiel - Nieuwe clienten');
INSERT INTO `lang_definitions` VALUES (20567, 1073, 6, 'Cliëntprofiel - Unieke clienten');
INSERT INTO `lang_definitions` VALUES (20568, 1074, 6, 'Cliënten');
INSERT INTO `lang_definitions` VALUES (20569, 1075, 6, 'Kliniek');
INSERT INTO `lang_definitions` VALUES (20570, 1076, 6, 'Copie voor Kliniek');
INSERT INTO `lang_definitions` VALUES (20571, 1077, 6, 'Dagoverzicht kliniek');
INSERT INTO `lang_definitions` VALUES (20572, 1078, 6, 'ID van Locatie');
INSERT INTO `lang_definitions` VALUES (20573, 1079, 6, 'Klinisch');
INSERT INTO `lang_definitions` VALUES (20574, 1080, 6, 'Regels voor beslissingen via de alert manager');
INSERT INTO `lang_definitions` VALUES (20575, 1081, 6, 'Klinische historie');
INSERT INTO `lang_definitions` VALUES (20576, 1083, 6, 'Plannen voor klinische veranderingen');
INSERT INTO `lang_definitions` VALUES (20577, 1084, 6, 'Meting van veranderingen in kwaliteits metingen (CQM)');
INSERT INTO `lang_definitions` VALUES (20578, 1085, 6, 'Meting van veranderingen in kwaliteits metingen (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (20579, 1086, 6, 'Meting van veranderingen in kwaliteits metingen (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (20580, 1087, 6, 'Klinische reminders');
INSERT INTO `lang_definitions` VALUES (20581, 1088, 6, 'Klinische rapportage');
INSERT INTO `lang_definitions` VALUES (20582, 1089, 6, 'Categorie voor klinische Rule Action');
INSERT INTO `lang_definitions` VALUES (20583, 1090, 6, 'Klinische regels Actie onderdeel');
INSERT INTO `lang_definitions` VALUES (20584, 1091, 6, 'Filter methode voor Klinische regels');
INSERT INTO `lang_definitions` VALUES (20585, 1092, 6, 'Doel gerichte methode voor Klinische regels');
INSERT INTO `lang_definitions` VALUES (20586, 1093, 6, 'Klinische regels');
INSERT INTO `lang_definitions` VALUES (20587, 1094, 6, 'Klinische leeftijds interval regels');
INSERT INTO `lang_definitions` VALUES (20588, 1095, 6, 'Klinische regel vergelijkingen');
INSERT INTO `lang_definitions` VALUES (20589, 1096, 6, 'Klinishe regels voor encounter types');
INSERT INTO `lang_definitions` VALUES (20590, 1097, 6, 'Klinische regels voor reminder opties');
INSERT INTO `lang_definitions` VALUES (20591, 1098, 6, 'Klinische regels voor inactivatie mogelijkheden');
INSERT INTO `lang_definitions` VALUES (20592, 1099, 6, 'Klinische regels voor oproep intervallen');
INSERT INTO `lang_definitions` VALUES (20593, 1100, 6, 'Klinische regels voor oproep methoden');
INSERT INTO `lang_definitions` VALUES (20594, 1101, 6, 'Klinische regels voor interval doelstellingen');
INSERT INTO `lang_definitions` VALUES (20595, 1102, 6, 'Klinische doelstellingen');
INSERT INTO `lang_definitions` VALUES (20596, 1103, 6, 'Klinische voorwaarde');
INSERT INTO `lang_definitions` VALUES (20597, 1104, 6, 'Code(s) voor klinische voorwaarden');
INSERT INTO `lang_definitions` VALUES (20598, 1106, 6, 'Kliniekmedewerkers');
INSERT INTO `lang_definitions` VALUES (20599, 1107, 6, 'Copieer');
INSERT INTO `lang_definitions` VALUES (20600, 1108, 6, 'Copieren vorige consult');
INSERT INTO `lang_definitions` VALUES (20601, 1109, 6, 'Sluit');
INSERT INTO `lang_definitions` VALUES (20602, 1110, 6, 'Venster sluiten');
INSERT INTO `lang_definitions` VALUES (20603, 1111, 6, 'sluit venster');
INSERT INTO `lang_definitions` VALUES (20604, 1112, 6, 'Gesloten');
INSERT INTO `lang_definitions` VALUES (20605, 1113, 6, 'cm');
INSERT INTO `lang_definitions` VALUES (20606, 1114, 6, 'CMS 1500 kantlijnen');
INSERT INTO `lang_definitions` VALUES (20607, 1115, 6, 'CMS 1500 Papier soort formaat');
INSERT INTO `lang_definitions` VALUES (20608, 1116, 6, 'CMS 1500 Box 31 formaat');
INSERT INTO `lang_definitions` VALUES (20609, 1117, 6, 'CMS 1500 Datum in box 31 (Handtekening)');
INSERT INTO `lang_definitions` VALUES (20610, 1118, 6, 'CMS-ID');
INSERT INTO `lang_definitions` VALUES (20611, 1119, 6, 'CMS toegang');
INSERT INTO `lang_definitions` VALUES (20612, 1120, 6, 'CMS toegang Login');
INSERT INTO `lang_definitions` VALUES (20613, 1121, 6, 'CMS toegang Login ID');
INSERT INTO `lang_definitions` VALUES (20614, 1122, 6, 'CMS toegang niet geinstalleerd!');
INSERT INTO `lang_definitions` VALUES (20615, 1123, 6, 'CMS toegang´s paswoord');
INSERT INTO `lang_definitions` VALUES (20616, 1124, 6, 'CMS toegnag´s verzoek');
INSERT INTO `lang_definitions` VALUES (20617, 1125, 6, 'CMS toegang´s SITE adres');
INSERT INTO `lang_definitions` VALUES (20618, 1126, 6, 'CMS toegang´s Gebruikersnaam');
INSERT INTO `lang_definitions` VALUES (20619, 1127, 6, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (20620, 1128, 6, 'Bij betaling');
INSERT INTO `lang_definitions` VALUES (20621, 1129, 6, 'Bijbetaling geregeld');
INSERT INTO `lang_definitions` VALUES (20622, 1130, 6, 'Extra betalingen');
INSERT INTO `lang_definitions` VALUES (20623, 1131, 6, 'Code');
INSERT INTO `lang_definitions` VALUES (20624, 1132, 6, 'code');
INSERT INTO `lang_definitions` VALUES (20625, 1133, 6, 'Zoek code');
INSERT INTO `lang_definitions` VALUES (20626, 1134, 6, 'Code moeten twee kleine letters zijn');
INSERT INTO `lang_definitions` VALUES (20627, 1135, 6, 'Code lokale valuta anders dan $ symbool');
INSERT INTO `lang_definitions` VALUES (20628, 1136, 6, 'Code tekst');
INSERT INTO `lang_definitions` VALUES (20629, 1137, 6, 'Type code');
INSERT INTO `lang_definitions` VALUES (20630, 1138, 6, 'Type code');
INSERT INTO `lang_definitions` VALUES (20631, 1139, 6, 'Type code wordt niet herkend');
INSERT INTO `lang_definitions` VALUES (20632, 1140, 6, 'Type code is nog niet gedefinieerd');
INSERT INTO `lang_definitions` VALUES (20633, 1141, 6, 'Type Codes');
INSERT INTO `lang_definitions` VALUES (20634, 1142, 6, 'Code(s)');
INSERT INTO `lang_definitions` VALUES (20635, 1143, 6, 'Gecodeerd');
INSERT INTO `lang_definitions` VALUES (20636, 1144, 6, 'Codering');
INSERT INTO `lang_definitions` VALUES (20637, 1145, 6, 'Coderen niet toegestaan');
INSERT INTO `lang_definitions` VALUES (20638, 1146, 6, 'Codering (klik om te leren)');
INSERT INTO `lang_definitions` VALUES (20639, 1147, 6, 'Coderen - contact naar keuze (schrijven, met sommige optioneel)');
INSERT INTO `lang_definitions` VALUES (20640, 1148, 6, 'Coderen - mijn (schrijven, met sommige optioneel)');
INSERT INTO `lang_definitions` VALUES (20641, 1149, 6, 'Niet geautoriseerde codering');
INSERT INTO `lang_definitions` VALUES (20642, 1150, 6, 'Koffie');
INSERT INTO `lang_definitions` VALUES (20643, 1151, 6, 'Koffie gebruik');
INSERT INTO `lang_definitions` VALUES (20644, 1152, 6, 'Extra verzekering');
INSERT INTO `lang_definitions` VALUES (20645, 1153, 6, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (20646, 1154, 6, 'Inklappen');
INSERT INTO `lang_definitions` VALUES (20647, 1155, 6, 'inklappen');
INSERT INTO `lang_definitions` VALUES (20648, 1156, 6, 'Alles inklappen');
INSERT INTO `lang_definitions` VALUES (20649, 1157, 6, 'Alles inklappen');
INSERT INTO `lang_definitions` VALUES (20650, 1158, 6, 'alles inklappen');
INSERT INTO `lang_definitions` VALUES (20651, 1160, 6, 'Verzamel datum');
INSERT INTO `lang_definitions` VALUES (20652, 1161, 6, 'Verzamelingen');
INSERT INTO `lang_definitions` VALUES (20653, 1162, 6, 'Ontvangen bedragen rapport');
INSERT INTO `lang_definitions` VALUES (20654, 1163, 6, 'Colonkanker');
INSERT INTO `lang_definitions` VALUES (20655, 1164, 6, 'Colon-Ca screening');
INSERT INTO `lang_definitions` VALUES (20656, 1165, 6, 'Colon-Ca chirurgie');
INSERT INTO `lang_definitions` VALUES (20657, 1166, 6, 'Coloscopie');
INSERT INTO `lang_definitions` VALUES (20658, 1167, 6, 'coloscopie');
INSERT INTO `lang_definitions` VALUES (20659, 1168, 6, 'Kleur');
INSERT INTO `lang_definitions` VALUES (20660, 1169, 6, 'Kleur:Abbr');
INSERT INTO `lang_definitions` VALUES (20661, 1170, 6, 'Kolom');
INSERT INTO `lang_definitions` VALUES (20662, 1171, 6, 'Kolommen');
INSERT INTO `lang_definitions` VALUES (20663, 1172, 6, 'Voorraaden samenvoegen');
INSERT INTO `lang_definitions` VALUES (20664, 1173, 6, 'Komma');
INSERT INTO `lang_definitions` VALUES (20665, 1174, 6, 'Commentaar');
INSERT INTO `lang_definitions` VALUES (20666, 1175, 6, 'Commentaren');
INSERT INTO `lang_definitions` VALUES (20667, 1176, 6, 'Commentaar of aanbeveling voor dit resultaat');
INSERT INTO `lang_definitions` VALUES (20668, 1177, 6, 'Commerciele verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (20669, 1178, 6, 'Wijzigingen doorvoeren');
INSERT INTO `lang_definitions` VALUES (20670, 1179, 6, 'Communicaties');
INSERT INTO `lang_definitions` VALUES (20671, 1180, 6, 'Communicaties');
INSERT INTO `lang_definitions` VALUES (20672, 1182, 6, 'Bedrijf');
INSERT INTO `lang_definitions` VALUES (20673, 1183, 6, 'Naam bedrijf');
INSERT INTO `lang_definitions` VALUES (20674, 1184, 6, 'Afronden');
INSERT INTO `lang_definitions` VALUES (20675, 1186, 6, 'Afgerond');
INSERT INTO `lang_definitions` VALUES (20676, 1188, 6, 'Afgerond?');
INSERT INTO `lang_definitions` VALUES (20677, 1190, 6, 'Complicaties bij Service gevende');
INSERT INTO `lang_definitions` VALUES (20678, 1191, 6, 'Complicaties van abortus');
INSERT INTO `lang_definitions` VALUES (20679, 1192, 6, 'Componenten');
INSERT INTO `lang_definitions` VALUES (20680, 1193, 6, 'Computergestuurd ordersysteem');
INSERT INTO `lang_definitions` VALUES (20681, 1194, 6, 'Conclusies');
INSERT INTO `lang_definitions` VALUES (20682, 1198, 6, 'onfig');
INSERT INTO `lang_definitions` VALUES (20683, 1199, 6, 'Configuratie');
INSERT INTO `lang_definitions` VALUES (20684, 1200, 6, 'Configuratie im-/ex-port');
INSERT INTO `lang_definitions` VALUES (20685, 1201, 6, 'Configuratie met succes bewaard');
INSERT INTO `lang_definitions` VALUES (20686, 1202, 6, 'Apache en LibreEHR instellen om SSL-clientcertificaten te gebruiken');
INSERT INTO `lang_definitions` VALUES (20687, 1203, 6, 'Apache instellen om SSL-clientcertificaten te gebruiken');
INSERT INTO `lang_definitions` VALUES (20688, 1204, 6, 'Apache instellen om HTTPS te gebruiken.');
INSERT INTO `lang_definitions` VALUES (20689, 1205, 6, 'LibreEHR instellen om SSL-clientcertificaten te gebruiken');
INSERT INTO `lang_definitions` VALUES (20690, 1206, 6, 'Tracks configureren');
INSERT INTO `lang_definitions` VALUES (20691, 1207, 6, 'Tracks configureren');
INSERT INTO `lang_definitions` VALUES (20692, 1208, 6, 'Bevestig aanmaken nieuwe patient');
INSERT INTO `lang_definitions` VALUES (20693, 1209, 6, 'Nieuwe paswoord confirmeren');
INSERT INTO `lang_definitions` VALUES (20694, 1210, 6, 'Bevestig betaling');
INSERT INTO `lang_definitions` VALUES (20695, 1214, 6, 'Aangeboren');
INSERT INTO `lang_definitions` VALUES (20696, 1215, 6, 'Conjunctiva, pupillen');
INSERT INTO `lang_definitions` VALUES (20697, 1216, 6, 'Verbindings fout');
INSERT INTO `lang_definitions` VALUES (20698, 1217, 6, 'Verbindingen');
INSERT INTO `lang_definitions` VALUES (20699, 1218, 6, 'Constante');
INSERT INTO `lang_definitions` VALUES (20700, 1219, 6, 'naam van constante');
INSERT INTO `lang_definitions` VALUES (20701, 1220, 6, 'Naam van Constante is leeg');
INSERT INTO `lang_definitions` VALUES (20702, 1221, 6, 'Constanten');
INSERT INTO `lang_definitions` VALUES (20703, 1222, 6, 'Obstipatie');
INSERT INTO `lang_definitions` VALUES (20704, 1223, 6, 'Constitutie');
INSERT INTO `lang_definitions` VALUES (20705, 1226, 6, 'Korte omschrijving consult');
INSERT INTO `lang_definitions` VALUES (20706, 1227, 6, 'Contact');
INSERT INTO `lang_definitions` VALUES (20707, 1228, 6, 'Contact e-mail');
INSERT INTO `lang_definitions` VALUES (20708, 1229, 6, 'Contact e-mail adres');
INSERT INTO `lang_definitions` VALUES (20709, 1230, 6, 'Neem contact op met EMR Direct om abb, te nemen abb. te nemen op phiMail Direect messaging sercvice');
INSERT INTO `lang_definitions` VALUES (20710, 1231, 6, 'Contact info');
INSERT INTO `lang_definitions` VALUES (20711, 1232, 6, 'Contact lenzen');
INSERT INTO `lang_definitions` VALUES (20712, 1233, 6, 'Neem contact op kmet Medical Information Intergration, LLC via http://mi-squared.com om Lab exchange Service te activeren.');
INSERT INTO `lang_definitions` VALUES (20713, 1234, 6, 'Neem contact op met Medical Information Integration, LLC via http://mi-squared.com of ZH Healthcare via http://zhservices.com voor abb. op eRx service');
INSERT INTO `lang_definitions` VALUES (20714, 1236, 6, 'Naam contact');
INSERT INTO `lang_definitions` VALUES (20715, 1237, 6, 'Contactpersoon');
INSERT INTO `lang_definitions` VALUES (20716, 1238, 6, 'Contact tel.');
INSERT INTO `lang_definitions` VALUES (20717, 1239, 6, 'Telefoon contactpersoon');
INSERT INTO `lang_definitions` VALUES (20718, 1240, 6, 'Maak contact met ZMG. LLC(zmghealth@gmail.com) om eRx service abbonement aan te maken');
INSERT INTO `lang_definitions` VALUES (20719, 1241, 6, 'bevat minstens drie van de vier volgende items');
INSERT INTO `lang_definitions` VALUES (20720, 1242, 6, 'Groepsnaam van container');
INSERT INTO `lang_definitions` VALUES (20721, 1243, 6, 'Inhoud');
INSERT INTO `lang_definitions` VALUES (20722, 1244, 6, 'inhoud');
INSERT INTO `lang_definitions` VALUES (20723, 1245, 6, 'Contekst');
INSERT INTO `lang_definitions` VALUES (20724, 1246, 6, 'Contekt naam kan niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (20725, 1247, 6, 'Doorgaan');
INSERT INTO `lang_definitions` VALUES (20726, 1248, 6, 'Voortgangs document voor verzorging (CCD)');
INSERT INTO `lang_definitions` VALUES (20727, 1249, 6, 'Voortgang zorg verslag (CCR)');
INSERT INTO `lang_definitions` VALUES (20728, 1250, 6, 'Contra clienten');
INSERT INTO `lang_definitions` VALUES (20729, 1251, 6, 'Anticonceptie');
INSERT INTO `lang_definitions` VALUES (20730, 1252, 6, 'Anticonceptie problematiek');
INSERT INTO `lang_definitions` VALUES (20731, 1253, 6, 'Anticonceptie complicatie (specificeren)');
INSERT INTO `lang_definitions` VALUES (20732, 1254, 6, 'Anticonceptie methode');
INSERT INTO `lang_definitions` VALUES (20733, 1255, 6, 'Anticoceptie producten');
INSERT INTO `lang_definitions` VALUES (20734, 1256, 6, 'Vorige anticonceptiemethode');
INSERT INTO `lang_definitions` VALUES (20735, 1257, 6, 'Begin anticonceptie');
INSERT INTO `lang_definitions` VALUES (20736, 1258, 6, 'Controle ID');
INSERT INTO `lang_definitions` VALUES (20737, 1259, 6, 'Controle nummer');
INSERT INTO `lang_definitions` VALUES (20738, 1261, 6, 'Eigen bijdrage');
INSERT INTO `lang_definitions` VALUES (20739, 1262, 6, 'Eigen bijdrage');
INSERT INTO `lang_definitions` VALUES (20740, 1263, 6, 'Eigen bijdrage');
INSERT INTO `lang_definitions` VALUES (20741, 1264, 6, 'Eigen bijdrage moet pos zijn');
INSERT INTO `lang_definitions` VALUES (20742, 1265, 6, 'Co/pay betaald');
INSERT INTO `lang_definitions` VALUES (20743, 1266, 6, 'Eigen Bijdragen');
INSERT INTO `lang_definitions` VALUES (20744, 1267, 6, 'COPD');
INSERT INTO `lang_definitions` VALUES (20745, 1268, 6, 'Kopieer blz naar kaart van pt');
INSERT INTO `lang_definitions` VALUES (20746, 1269, 6, 'Waarden kopieren');
INSERT INTO `lang_definitions` VALUES (20747, 1270, 6, 'Database wordt gecopieerd. Dit kost wat tijd...');
INSERT INTO `lang_definitions` VALUES (20748, 1271, 6, 'Copyright');
INSERT INTO `lang_definitions` VALUES (20749, 1272, 6, 'Cornish');
INSERT INTO `lang_definitions` VALUES (20750, 1273, 6, 'Coronaire Ateriele Bypass');
INSERT INTO `lang_definitions` VALUES (20751, 1274, 6, 'Coronaire Arteriele Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (20752, 1275, 6, 'Gecorrigeerd');
INSERT INTO `lang_definitions` VALUES (20753, 1276, 6, 'Corsicaans');
INSERT INTO `lang_definitions` VALUES (20754, 1277, 6, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (20755, 1278, 6, 'CouchDB verbinding mislukt.');
INSERT INTO `lang_definitions` VALUES (20756, 1279, 6, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (20757, 1280, 6, 'CouchDB database naam');
INSERT INTO `lang_definitions` VALUES (20758, 1281, 6, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (20759, 1282, 6, 'CouchDB Hostnaam');
INSERT INTO `lang_definitions` VALUES (20760, 1283, 6, 'CouchDB log aan');
INSERT INTO `lang_definitions` VALUES (20761, 1284, 6, 'CouchDB paswoord');
INSERT INTO `lang_definitions` VALUES (20762, 1285, 6, 'CouchDB poort');
INSERT INTO `lang_definitions` VALUES (20763, 1286, 6, 'CouchDB poort');
INSERT INTO `lang_definitions` VALUES (20764, 1287, 6, 'CouchDB save mislukt');
INSERT INTO `lang_definitions` VALUES (20765, 1288, 6, 'CouchDB Usernaam');
INSERT INTO `lang_definitions` VALUES (20766, 1289, 6, 'Hoest');
INSERT INTO `lang_definitions` VALUES (20767, 1290, 6, 'Hoest:');
INSERT INTO `lang_definitions` VALUES (20768, 1291, 6, 'kon niet met de serververbinden');
INSERT INTO `lang_definitions` VALUES (20769, 1293, 6, 'kon de tabel niet openen');
INSERT INTO `lang_definitions` VALUES (20770, 1294, 6, 'Kon bestand niet lezen');
INSERT INTO `lang_definitions` VALUES (20771, 1295, 6, 'Kon de file niet inlezen');
INSERT INTO `lang_definitions` VALUES (20772, 1296, 6, 'E-mail werd niet verzonden door serverprobleem, ');
INSERT INTO `lang_definitions` VALUES (20773, 1297, 6, 'E-mail werd niet verzonden door server probleem. ');
INSERT INTO `lang_definitions` VALUES (20774, 1298, 6, 'Kon geen backup Dir maken:');
INSERT INTO `lang_definitions` VALUES (20775, 1299, 6, 'Kon volgende Dir niet verwijderen:');
INSERT INTO `lang_definitions` VALUES (20776, 1300, 6, 'Kon deze oude backupfile niet verwijderen:');
INSERT INTO `lang_definitions` VALUES (20777, 1301, 6, 'Kon deze oude exportfile niet verwijderen');
INSERT INTO `lang_definitions` VALUES (20778, 1302, 6, 'Antistollingscontrole; INR controle');
INSERT INTO `lang_definitions` VALUES (20779, 1303, 6, 'Begeleiding dmv methode');
INSERT INTO `lang_definitions` VALUES (20780, 1304, 6, 'Begeleiding');
INSERT INTO `lang_definitions` VALUES (20781, 1305, 6, 'Begeleidingsactiviteiten');
INSERT INTO `lang_definitions` VALUES (20782, 1306, 6, 'Terug verwijsbrief');
INSERT INTO `lang_definitions` VALUES (20783, 1307, 6, 'Terug verwijzing');
INSERT INTO `lang_definitions` VALUES (20784, 1308, 6, 'Land');
INSERT INTO `lang_definitions` VALUES (20785, 1309, 6, 'Landspecifieke Data Type');
INSERT INTO `lang_definitions` VALUES (20786, 1310, 6, 'Namenlijst van landen');
INSERT INTO `lang_definitions` VALUES (20787, 1311, 6, 'Landenlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (20788, 1312, 6, 'Landnaam moet uit twee letters bestaan (bijvoorbeeld: Verenigde staten is US)');
INSERT INTO `lang_definitions` VALUES (20789, 1313, 6, 'regio');
INSERT INTO `lang_definitions` VALUES (20790, 1315, 6, 'Coupon');
INSERT INTO `lang_definitions` VALUES (20791, 1318, 6, 'CPT');
INSERT INTO `lang_definitions` VALUES (20792, 1319, 6, 'CPT-Code');
INSERT INTO `lang_definitions` VALUES (20793, 1320, 6, 'CPT-Codes');
INSERT INTO `lang_definitions` VALUES (20794, 1321, 6, 'CPT4-Procedure/Service');
INSERT INTO `lang_definitions` VALUES (20795, 1322, 6, 'CPTII Perfomance Meetingen');
INSERT INTO `lang_definitions` VALUES (20796, 1323, 6, 'CQM');
INSERT INTO `lang_definitions` VALUES (20797, 1324, 6, 'Knisperend:');
INSERT INTO `lang_definitions` VALUES (20798, 1325, 6, 'creme');
INSERT INTO `lang_definitions` VALUES (20799, 1326, 6, 'Maak een SSL-clientcertificaat aan voor elke gebruiker of clientmachine.');
INSERT INTO `lang_definitions` VALUES (20800, 1327, 6, 'Maak een SSL-clientcertificaat aan voor ofwel een gebruiker ofwel een clientcomputer.');
INSERT INTO `lang_definitions` VALUES (20801, 1328, 6, 'een nieuwe track aanmaken');
INSERT INTO `lang_definitions` VALUES (20802, 1329, 6, 'Maak gebeurtenis aan');
INSERT INTO `lang_definitions` VALUES (20803, 1330, 6, 'Maak en download een totale backup');
INSERT INTO `lang_definitions` VALUES (20804, 1331, 6, 'Maak en verander de tracks');
INSERT INTO `lang_definitions` VALUES (20805, 1332, 6, 'Maak backup');
INSERT INTO `lang_definitions` VALUES (20806, 1333, 6, 'Maak verzameling');
INSERT INTO `lang_definitions` VALUES (20807, 1334, 6, 'Maak een clientcertificaat aan');
INSERT INTO `lang_definitions` VALUES (20808, 1335, 6, 'Maak een SSL-clientcertificaat aan');
INSERT INTO `lang_definitions` VALUES (20809, 1336, 6, 'Dupliceren');
INSERT INTO `lang_definitions` VALUES (20810, 1337, 6, 'Encounter aanmaken');
INSERT INTO `lang_definitions` VALUES (20811, 1338, 6, 'Backup van gebeurtenislog aanmaken');
INSERT INTO `lang_definitions` VALUES (20812, 1339, 6, 'Nieuwe issue maken');
INSERT INTO `lang_definitions` VALUES (20813, 1340, 6, 'Nieuwe client registreren');
INSERT INTO `lang_definitions` VALUES (20814, 1341, 6, 'Nieuwe track aanmaken');
INSERT INTO `lang_definitions` VALUES (20815, 1342, 6, 'Maak Offsite Portal credentials aan');
INSERT INTO `lang_definitions` VALUES (20816, 1343, 6, 'Maak onsite Portal credentials aan');
INSERT INTO `lang_definitions` VALUES (20817, 1344, 6, 'Maak notitie voor patient');
INSERT INTO `lang_definitions` VALUES (20818, 1345, 6, 'Maak autorisatie aan voor de SSL-clientcertificaat en servercertificaten');
INSERT INTO `lang_definitions` VALUES (20819, 1346, 6, 'Maak visite aan');
INSERT INTO `lang_definitions` VALUES (20820, 1347, 6, 'Aangemaakt');
INSERT INTO `lang_definitions` VALUES (20821, 1348, 6, 'Aanmaken exportbestand');
INSERT INTO `lang_definitions` VALUES (20822, 1349, 6, 'Aanmaken nieuwe track mislukt');
INSERT INTO `lang_definitions` VALUES (20823, 1350, 6, 'Om deze file bij Remote Host aan te maken is mislukt');
INSERT INTO `lang_definitions` VALUES (20824, 1351, 6, 'Maker van');
INSERT INTO `lang_definitions` VALUES (20825, 1352, 6, 'krediet');
INSERT INTO `lang_definitions` VALUES (20826, 1353, 6, 'Credit Card');
INSERT INTO `lang_definitions` VALUES (20827, 1354, 6, 'Kredieten');
INSERT INTO `lang_definitions` VALUES (20828, 1355, 6, 'Cree');
INSERT INTO `lang_definitions` VALUES (20829, 1356, 6, 'Criteria');
INSERT INTO `lang_definitions` VALUES (20830, 1357, 6, 'Kroatisch');
INSERT INTO `lang_definitions` VALUES (20831, 1358, 6, 'Ziekte van Crohn');
INSERT INTO `lang_definitions` VALUES (20832, 1359, 6, 'Ziekte van Crohn');
INSERT INTO `lang_definitions` VALUES (20833, 1360, 6, 'CSV-export');
INSERT INTO `lang_definitions` VALUES (20834, 1361, 6, 'CSV-bestand');
INSERT INTO `lang_definitions` VALUES (20835, 1362, 6, 'CSV tabellen');
INSERT INTO `lang_definitions` VALUES (20836, 1363, 6, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (20837, 1364, 6, 'Cubaans');
INSERT INTO `lang_definitions` VALUES (20838, 1365, 6, 'Aantal decimalen valuta');
INSERT INTO `lang_definitions` VALUES (20839, 1366, 6, 'Valuta decimaal punt symbool');
INSERT INTO `lang_definitions` VALUES (20840, 1367, 6, 'Valuta symbool');
INSERT INTO `lang_definitions` VALUES (20841, 1368, 6, 'Valuta duizendtallen symbool');
INSERT INTO `lang_definitions` VALUES (20842, 1369, 6, 'Actief');
INSERT INTO `lang_definitions` VALUES (20843, 1370, 6, 'Huidig alcohol gebruik');
INSERT INTO `lang_definitions` VALUES (20844, 1371, 6, 'Lopende consultatie');
INSERT INTO `lang_definitions` VALUES (20845, 1372, 6, 'Huidige criteria');
INSERT INTO `lang_definitions` VALUES (20846, 1373, 6, 'Kleur van lopende dag');
INSERT INTO `lang_definitions` VALUES (20847, 1374, 6, 'Huidig dagelijks roken');
INSERT INTO `lang_definitions` VALUES (20848, 1375, 6, 'De actieve bestandsnaam is veranderd in');
INSERT INTO `lang_definitions` VALUES (20849, 1376, 6, 'Huidige Hash');
INSERT INTO `lang_definitions` VALUES (20850, 1377, 6, 'Huidige locatie');
INSERT INTO `lang_definitions` VALUES (20851, 1378, 6, 'Lopende medicaties');
INSERT INTO `lang_definitions` VALUES (20852, 1379, 6, 'Geldig Paswoord');
INSERT INTO `lang_definitions` VALUES (20853, 1380, 6, 'Nu aanwezige patient');
INSERT INTO `lang_definitions` VALUES (20854, 1381, 6, 'Alleen huidige patient');
INSERT INTO `lang_definitions` VALUES (20855, 1382, 6, 'Huidig recreatief drug gebruik');
INSERT INTO `lang_definitions` VALUES (20856, 1383, 6, 'Rook gedrag gedurende enkele dagen');
INSERT INTO `lang_definitions` VALUES (20857, 1385, 6, 'Lopende waarde');
INSERT INTO `lang_definitions` VALUES (20858, 1386, 6, 'Nu actief');
INSERT INTO `lang_definitions` VALUES (20859, 1387, 6, 'Is nu bezig');
INSERT INTO `lang_definitions` VALUES (20860, 1388, 6, 'Er zijn geen facilities aanwezig');
INSERT INTO `lang_definitions` VALUES (20861, 1389, 6, 'Cushing syndroom');
INSERT INTO `lang_definitions` VALUES (20862, 1390, 6, 'Cushing syndroom');
INSERT INTO `lang_definitions` VALUES (20863, 1392, 6, 'Gewoonte');
INSERT INTO `lang_definitions` VALUES (20864, 1393, 6, 'Gebruikers input?');
INSERT INTO `lang_definitions` VALUES (20865, 1394, 6, 'Gebruikers tabel');
INSERT INTO `lang_definitions` VALUES (20866, 1396, 6, 'CVX code');
INSERT INTO `lang_definitions` VALUES (20867, 1397, 6, 'CVX code mapping');
INSERT INTO `lang_definitions` VALUES (20868, 1398, 6, 'CVX Immunisatie');
INSERT INTO `lang_definitions` VALUES (20869, 1399, 6, 'Cyclus');
INSERT INTO `lang_definitions` VALUES (20870, 1400, 6, 'CYP');
INSERT INTO `lang_definitions` VALUES (20871, 1401, 6, 'CYP-factor');
INSERT INTO `lang_definitions` VALUES (20872, 1402, 6, 'CYP-verslag');
INSERT INTO `lang_definitions` VALUES (20873, 1403, 6, 'Tsechisch');
INSERT INTO `lang_definitions` VALUES (20874, 1404, 6, 'D');
INSERT INTO `lang_definitions` VALUES (20875, 1405, 6, 'D&C');
INSERT INTO `lang_definitions` VALUES (20876, 1406, 6, 'D&E');
INSERT INTO `lang_definitions` VALUES (20877, 1407, 6, 'Geb');
INSERT INTO `lang_definitions` VALUES (20878, 1408, 6, 'dagelijks');
INSERT INTO `lang_definitions` VALUES (20879, 1409, 6, 'Dagelijks vastleggen');
INSERT INTO `lang_definitions` VALUES (20880, 1410, 6, 'Deens');
INSERT INTO `lang_definitions` VALUES (20881, 1411, 6, 'Soortgelijke data zit al in databank, wijzig de code en/of omschrijving');
INSERT INTO `lang_definitions` VALUES (20882, 1412, 6, 'Soortgelijke data zit al in databank, verander de naam van de constante');
INSERT INTO `lang_definitions` VALUES (20883, 1413, 6, 'Gegevens Cols');
INSERT INTO `lang_definitions` VALUES (20884, 1416, 6, 'Fout in data');
INSERT INTO `lang_definitions` VALUES (20885, 1417, 6, 'Data formulier');
INSERT INTO `lang_definitions` VALUES (20886, 1419, 6, 'data voor alle Encounters tot nu toe');
INSERT INTO `lang_definitions` VALUES (20887, 1420, 6, 'Gegevenstype');
INSERT INTO `lang_definitions` VALUES (20888, 1421, 6, 'Databank');
INSERT INTO `lang_definitions` VALUES (20889, 1422, 6, 'Database is niet geinstalleerd');
INSERT INTO `lang_definitions` VALUES (20890, 1423, 6, 'Database aanpassing');
INSERT INTO `lang_definitions` VALUES (20891, 1424, 6, 'Databank rapportage');
INSERT INTO `lang_definitions` VALUES (20892, 1425, 6, 'DB upgrade is beeindigd');
INSERT INTO `lang_definitions` VALUES (20893, 1426, 6, 'Data kolommen moeten nummer hebben tussen 1 en 999');
INSERT INTO `lang_definitions` VALUES (20894, 1427, 6, 'Datum');
INSERT INTO `lang_definitions` VALUES (20895, 1428, 6, 'DATUM');
INSERT INTO `lang_definitions` VALUES (20896, 1429, 6, 'Datum en tijd van toedienen');
INSERT INTO `lang_definitions` VALUES (20897, 1431, 6, 'Geadministreerde datum');
INSERT INTO `lang_definitions` VALUES (20898, 1432, 6, 'Datum en tijd van afname sampel');
INSERT INTO `lang_definitions` VALUES (20899, 1433, 6, 'Datum en tijd van deze waarneming');
INSERT INTO `lang_definitions` VALUES (20900, 1435, 6, 'Datum en tijd dat sampel is verzameld');
INSERT INTO `lang_definitions` VALUES (20901, 1436, 6, 'Datum kan niet voorbij vandaag liggen');
INSERT INTO `lang_definitions` VALUES (20902, 1437, 6, 'Aanvankelijke begindatum anticonceptie');
INSERT INTO `lang_definitions` VALUES (20903, 1438, 6, 'Datum van aanmaken');
INSERT INTO `lang_definitions` VALUES (20904, 1439, 6, 'Datum overlijden');
INSERT INTO `lang_definitions` VALUES (20905, 1440, 6, 'Datum vernietigd');
INSERT INTO `lang_definitions` VALUES (20906, 1441, 6, 'Format voor datum invoer');
INSERT INTO `lang_definitions` VALUES (20907, 1442, 6, 'Datum voor \"einde afspraak\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (20908, 1443, 6, 'Datum van begin afspraak is ongeldig');
INSERT INTO `lang_definitions` VALUES (20909, 1444, 6, 'Datum format voor \"volgende afspraak is ongeldig');
INSERT INTO `lang_definitions` VALUES (20910, 1445, 6, 'Datum voor \"niet gezien sinds\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (20911, 1446, 6, 'Datum voor \"geziens sinds\" is ongeldig');
INSERT INTO `lang_definitions` VALUES (20912, 1447, 6, 'Info verstrekking over vaccinatie gegeven');
INSERT INTO `lang_definitions` VALUES (20913, 1448, 6, 'Dag voor deze code is niet ingevuld ');
INSERT INTO `lang_definitions` VALUES (20914, 1449, 6, 'Datum Master criteria');
INSERT INTO `lang_definitions` VALUES (20915, 1450, 6, 'Datum bankdeposito jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (20916, 1451, 6, 'Datum rekening verstuurd');
INSERT INTO `lang_definitions` VALUES (20917, 1452, 6, 'Geboortedatum');
INSERT INTO `lang_definitions` VALUES (20918, 1453, 6, 'Geboortedatum');
INSERT INTO `lang_definitions` VALUES (20919, 1454, 6, 'Geboorte datum');
INSERT INTO `lang_definitions` VALUES (20920, 1455, 6, 'Datum invoer');
INSERT INTO `lang_definitions` VALUES (20921, 1456, 6, 'Datum van letsel');
INSERT INTO `lang_definitions` VALUES (20922, 1458, 6, 'Datum van betaling jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (20923, 1459, 6, 'Datum van verwijzing');
INSERT INTO `lang_definitions` VALUES (20924, 1460, 6, 'Datum van antwoord');
INSERT INTO `lang_definitions` VALUES (20925, 1461, 6, 'Datum rapport');
INSERT INTO `lang_definitions` VALUES (20926, 1462, 6, 'Datum dienstverlening');
INSERT INTO `lang_definitions` VALUES (20927, 1463, 6, 'Datum dienstverlening');
INSERT INTO `lang_definitions` VALUES (20928, 1464, 6, 'Datum van Service = vandaag');
INSERT INTO `lang_definitions` VALUES (20929, 1465, 6, 'Datum dienstverlening mm/dd/jjjj');
INSERT INTO `lang_definitions` VALUES (20930, 1466, 6, 'Datum van dienstverlening');
INSERT INTO `lang_definitions` VALUES (20931, 1467, 6, 'Datum van handtekening');
INSERT INTO `lang_definitions` VALUES (20932, 1468, 6, 'Datum ondertekening');
INSERT INTO `lang_definitions` VALUES (20933, 1469, 6, 'Datum van deze bestelling');
INSERT INTO `lang_definitions` VALUES (20934, 1470, 6, 'Datum van dit rapport');
INSERT INTO `lang_definitions` VALUES (20935, 1471, 6, 'Datum VIS verklaring');
INSERT INTO `lang_definitions` VALUES (20936, 1472, 6, 'Besteldatum');
INSERT INTO `lang_definitions` VALUES (20937, 1474, 6, 'Datum kiezer');
INSERT INTO `lang_definitions` VALUES (20938, 1475, 6, 'Datum kiezer');
INSERT INTO `lang_definitions` VALUES (20939, 1476, 6, 'Datum verzending');
INSERT INTO `lang_definitions` VALUES (20940, 1477, 6, 'Datum dat bericht verstuurd werd');
INSERT INTO `lang_definitions` VALUES (20941, 1478, 6, 'Datum tijd');
INSERT INTO `lang_definitions` VALUES (20942, 1479, 6, 'Datum waarden kunnen niet blanco zijn');
INSERT INTO `lang_definitions` VALUES (20943, 1480, 6, 'Datum/Bez.');
INSERT INTO `lang_definitions` VALUES (20944, 1481, 6, 'Datum/Notitie');
INSERT INTO `lang_definitions` VALUES (20945, 1482, 6, 'Datum/Notitie van laatste');
INSERT INTO `lang_definitions` VALUES (20946, 1483, 6, 'Datum/Tijd');
INSERT INTO `lang_definitions` VALUES (20947, 1484, 6, 'Datum:');
INSERT INTO `lang_definitions` VALUES (20948, 1485, 6, 'Gedateerde berichten log');
INSERT INTO `lang_definitions` VALUES (20949, 1486, 6, 'Dag');
INSERT INTO `lang_definitions` VALUES (20950, 1487, 6, 'dag');
INSERT INTO `lang_definitions` VALUES (20951, 1489, 6, 'Dagoverzicht');
INSERT INTO `lang_definitions` VALUES (20952, 1490, 6, 'Dag(en)');
INSERT INTO `lang_definitions` VALUES (20953, 1491, 6, 'Dag(en) Ma - Vr');
INSERT INTO `lang_definitions` VALUES (20954, 1492, 6, 'dagen');
INSERT INTO `lang_definitions` VALUES (20955, 1493, 6, 'Dagen');
INSERT INTO `lang_definitions` VALUES (20956, 1494, 6, 'dagen geleden');
INSERT INTO `lang_definitions` VALUES (20957, 1495, 6, 'Dagen en spelen gemist');
INSERT INTO `lang_definitions` VALUES (20958, 1496, 6, 'Dagen vanaf laatste contact');
INSERT INTO `lang_definitions` VALUES (20959, 1497, 6, 'Gemiste dagen');
INSERT INTO `lang_definitions` VALUES (20960, 1498, 6, 'Dagen per kolom:');
INSERT INTO `lang_definitions` VALUES (20961, 1500, 6, 'Dagen/Col:');
INSERT INTO `lang_definitions` VALUES (20962, 1501, 6, 'DB geinstalleerd');
INSERT INTO `lang_definitions` VALUES (20963, 1502, 6, 'dd/mm/jjjj');
INSERT INTO `lang_definitions` VALUES (20964, 1503, 6, 'De Identificatie');
INSERT INTO `lang_definitions` VALUES (20965, 1504, 6, 'De Identificatie Proces beeindigd');
INSERT INTO `lang_definitions` VALUES (20966, 1505, 6, 'De Identificatie Proces is bezig.....');
INSERT INTO `lang_definitions` VALUES (20967, 1506, 6, 'De Identificatie Proces is begonnen en draait op achtergrond');
INSERT INTO `lang_definitions` VALUES (20968, 1507, 6, 'De Identificatie Proces');
INSERT INTO `lang_definitions` VALUES (20969, 1508, 6, 'De Identificatie bestand worden opgeslagen in');
INSERT INTO `lang_definitions` VALUES (20970, 1509, 6, 'DEA');
INSERT INTO `lang_definitions` VALUES (20971, 1511, 6, 'Doof');
INSERT INTO `lang_definitions` VALUES (20972, 1512, 6, 'Informatie om fout te zoeken');
INSERT INTO `lang_definitions` VALUES (20973, 1514, 6, 'Bezig fouten te zoeken');
INSERT INTO `lang_definitions` VALUES (20974, 1515, 6, 'Dec');
INSERT INTO `lang_definitions` VALUES (20975, 1516, 6, 'Overleden');
INSERT INTO `lang_definitions` VALUES (20976, 1517, 6, 'December');
INSERT INTO `lang_definitions` VALUES (20977, 1518, 6, 'Decimaal pounden, of pounden en ounces gescheiden met #(e.g. 5#4)');
INSERT INTO `lang_definitions` VALUES (20978, 1519, 6, 'Niet nader specificeren');
INSERT INTO `lang_definitions` VALUES (20979, 1520, 6, 'Aftrekbaar');
INSERT INTO `lang_definitions` VALUES (20980, 1521, 6, 'Aftrekbaar Met');
INSERT INTO `lang_definitions` VALUES (20981, 1522, 6, 'Standaard');
INSERT INTO `lang_definitions` VALUES (20982, 1523, 6, 'Standaard agendaweergave');
INSERT INTO `lang_definitions` VALUES (20983, 1524, 6, 'Standaard Encounter Formulier ID');
INSERT INTO `lang_definitions` VALUES (20984, 1526, 6, 'Voorkeurs Kliniek');
INSERT INTO `lang_definitions` VALUES (20985, 1527, 6, 'Voorkeurs taal');
INSERT INTO `lang_definitions` VALUES (20986, 1528, 6, 'Standaard taal indien geen andere is toegestaan of is gekozen');
INSERT INTO `lang_definitions` VALUES (20987, 1529, 6, 'Standaardlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (20988, 1530, 6, 'Standaardmethode');
INSERT INTO `lang_definitions` VALUES (20989, 1531, 6, 'Standaard aantal dagen tot Paswoord verloopt');
INSERT INTO `lang_definitions` VALUES (20990, 1532, 6, 'Verloop tijd in dagen voor paswoord. 0 betekent deze keuze wordt NIET geactivceerd.');
INSERT INTO `lang_definitions` VALUES (20991, 1533, 6, 'Voorkeur Land van Patient');
INSERT INTO `lang_definitions` VALUES (20992, 1535, 6, 'Voorkeursprioriteit');
INSERT INTO `lang_definitions` VALUES (20993, 1536, 6, 'Voorkeursbehandelaar');
INSERT INTO `lang_definitions` VALUES (20994, 1537, 6, 'Standaardrange');
INSERT INTO `lang_definitions` VALUES (20995, 1538, 6, 'Voorkeurstekst voor reden bezoek');
INSERT INTO `lang_definitions` VALUES (20996, 1540, 6, 'Default setting');
INSERT INTO `lang_definitions` VALUES (20997, 1541, 6, 'Voorkeurs status Nieuw Window checkbox in de patienten lijst.');
INSERT INTO `lang_definitions` VALUES (20998, 1542, 6, 'Standaardsjabloon');
INSERT INTO `lang_definitions` VALUES (20999, 1546, 6, 'Standaardunits');
INSERT INTO `lang_definitions` VALUES (21000, 1547, 6, 'Standaardwaarde');
INSERT INTO `lang_definitions` VALUES (21001, 1548, 6, 'Standaarwarenhuis');
INSERT INTO `lang_definitions` VALUES (21002, 1549, 6, 'Standaard X12 partner');
INSERT INTO `lang_definitions` VALUES (21003, 1550, 6, 'Standaard/Algemeen');
INSERT INTO `lang_definitions` VALUES (21004, 1551, 6, 'Del');
INSERT INTO `lang_definitions` VALUES (21005, 1552, 6, 'del');
INSERT INTO `lang_definitions` VALUES (21006, 1553, 6, 'Verlaat recidief (>12 mndn)');
INSERT INTO `lang_definitions` VALUES (21007, 1554, 6, 'Verwijder');
INSERT INTO `lang_definitions` VALUES (21008, 1555, 6, 'verwijder');
INSERT INTO `lang_definitions` VALUES (21009, 1556, 6, 'Verwijder categorieen met ID(s): ');
INSERT INTO `lang_definitions` VALUES (21010, 1557, 6, 'Verwijder categorie');
INSERT INTO `lang_definitions` VALUES (21011, 1559, 6, 'Verwijdering mislukt');
INSERT INTO `lang_definitions` VALUES (21012, 1560, 6, 'Verwijder groep');
INSERT INTO `lang_definitions` VALUES (21013, 1561, 6, 'Verwijder lijst');
INSERT INTO `lang_definitions` VALUES (21014, 1562, 6, 'Verwijder pagina´s');
INSERT INTO `lang_definitions` VALUES (21015, 1563, 6, 'Verwijder patient, contact, formulier, probleem, document, betaling, rekening of verklaring');
INSERT INTO `lang_definitions` VALUES (21016, 1565, 6, 'Rij deleten');
INSERT INTO `lang_definitions` VALUES (21017, 1566, 6, 'Verwijder geselecteerde Items');
INSERT INTO `lang_definitions` VALUES (21018, 1567, 6, 'verwijder geselecteerde verzoeken');
INSERT INTO `lang_definitions` VALUES (21019, 1568, 6, 'Verwijderen gelukt.');
INSERT INTO `lang_definitions` VALUES (21020, 1569, 6, 'Verwijder dit document');
INSERT INTO `lang_definitions` VALUES (21021, 1570, 6, 'Verwijder dit formulier');
INSERT INTO `lang_definitions` VALUES (21022, 1571, 6, 'Verwijder deze notitie');
INSERT INTO `lang_definitions` VALUES (21023, 1572, 6, 'Met succes verwijderd');
INSERT INTO `lang_definitions` VALUES (21024, 1573, 6, 'Met succes verwijderd.');
INSERT INTO `lang_definitions` VALUES (21025, 1574, 6, 'Bezig te verwijderen');
INSERT INTO `lang_definitions` VALUES (21026, 1575, 6, 'Verwijderen van de Event kan niet ongedaan gemaakt worden. Kan ook niet opneiuw terug gehaald worden. Echt helemaal zeker om te verwijderen?');
INSERT INTO `lang_definitions` VALUES (21027, 1576, 6, 'Afleveren bevestigd');
INSERT INTO `lang_definitions` VALUES (21028, 1577, 6, 'Aflevering is niet toegstaan op gespecificeerde adres.');
INSERT INTO `lang_definitions` VALUES (21029, 1578, 6, 'Versturen naar het specificeerde adres is nu niet toegestaan.');
INSERT INTO `lang_definitions` VALUES (21030, 1579, 6, 'Op verzoek van de patient is het aangehechte klinische document gestuurd');
INSERT INTO `lang_definitions` VALUES (21031, 1580, 6, 'Versturen van het bijgevoegde klinische document werd op verzoek van de patient gedaan.');
INSERT INTO `lang_definitions` VALUES (21032, 1581, 6, 'Dementie');
INSERT INTO `lang_definitions` VALUES (21033, 1582, 6, 'Persoonsgegevens');
INSERT INTO `lang_definitions` VALUES (21034, 1583, 6, 'Persoonsgegevens (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (21035, 1585, 6, 'Filter voor Demografische gegevens');
INSERT INTO `lang_definitions` VALUES (21036, 1586, 6, 'Persoonsgegevens niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (21037, 1587, 6, 'Persoonsgegevens nog niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (21038, 1588, 6, 'Niet toegestaan');
INSERT INTO `lang_definitions` VALUES (21039, 1589, 6, 'Denominator');
INSERT INTO `lang_definitions` VALUES (21040, 1590, 6, 'Gebit');
INSERT INTO `lang_definitions` VALUES (21041, 1591, 6, 'Lijst gebits problemen');
INSERT INTO `lang_definitions` VALUES (21042, 1592, 6, 'Gebitsproblemen');
INSERT INTO `lang_definitions` VALUES (21043, 1593, 6, 'Afhankelijke Modules');
INSERT INTO `lang_definitions` VALUES (21044, 1594, 6, 'Afhankelijke problemen');
INSERT INTO `lang_definitions` VALUES (21045, 1595, 6, 'Afhankelijk van het type rekening dat u test, ziet u HCFA gelijkende output op een lege pagina voor HCFA rekeningen, u zult vele regels van enigszins verdraaide tekst en informatie zien, als u een X12 claim test. Deze verdraaide tekst is in het X12 EDI 4010A format. Soms zult u eigenaardige tekens zien die op dominostenen of nonsens lijken, dan zijn dit controletekens zoals nieuwe pagina beginnen en zijn normaal.');
INSERT INTO `lang_definitions` VALUES (21046, 1596, 6, 'Datum storting');
INSERT INTO `lang_definitions` VALUES (21047, 1597, 6, 'Datum van storting kan niet na vandaag liggen');
INSERT INTO `lang_definitions` VALUES (21048, 1598, 6, 'Datum deposito');
INSERT INTO `lang_definitions` VALUES (21049, 1599, 6, 'Depressief');
INSERT INTO `lang_definitions` VALUES (21050, 1600, 6, 'Depressie');
INSERT INTO `lang_definitions` VALUES (21051, 1601, 6, 'DESC');
INSERT INTO `lang_definitions` VALUES (21052, 1602, 6, 'Commentaar');
INSERT INTO `lang_definitions` VALUES (21053, 1603, 6, 'commentaar');
INSERT INTO `lang_definitions` VALUES (21054, 1604, 6, 'Omschrijving is de default tekst');
INSERT INTO `lang_definitions` VALUES (21055, 1605, 6, 'Omschrijving van commentaar');
INSERT INTO `lang_definitions` VALUES (21056, 1606, 6, 'Beschrijving van deze procedure of code van resultaat');
INSERT INTO `lang_definitions` VALUES (21057, 1607, 6, 'Omschrijving vertaling');
INSERT INTO `lang_definitions` VALUES (21058, 1608, 6, 'gewenste File naamj');
INSERT INTO `lang_definitions` VALUES (21059, 1609, 6, 'Doel');
INSERT INTO `lang_definitions` VALUES (21060, 1610, 6, 'Naam voor de te maken file');
INSERT INTO `lang_definitions` VALUES (21061, 1611, 6, 'Vernietig Lot');
INSERT INTO `lang_definitions` VALUES (21062, 1612, 6, 'Vernietigen...');
INSERT INTO `lang_definitions` VALUES (21063, 1613, 6, 'Vernietigd');
INSERT INTO `lang_definitions` VALUES (21064, 1614, 6, 'Vernietigde medicijnen');
INSERT INTO `lang_definitions` VALUES (21065, 1615, 6, 'Vernietigde medicijnrapport');
INSERT INTO `lang_definitions` VALUES (21066, 1616, 6, 'Detail');
INSERT INTO `lang_definitions` VALUES (21067, 1617, 6, 'Details');
INSERT INTO `lang_definitions` VALUES (21068, 1619, 6, 'Ontwikkelings abnormaliteit');
INSERT INTO `lang_definitions` VALUES (21069, 1620, 6, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (21070, 1621, 6, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (21071, 1622, 6, 'Diabetes: Bloeddruk management (CQM)');
INSERT INTO `lang_definitions` VALUES (21072, 1623, 6, 'Diabetes: Oog fundus onderzoek');
INSERT INTO `lang_definitions` VALUES (21073, 1624, 6, 'Diabetes: Oog fundus onderzoek (CQM)');
INSERT INTO `lang_definitions` VALUES (21074, 1625, 6, 'Diabetes: Voet onderzoek');
INSERT INTO `lang_definitions` VALUES (21075, 1626, 6, 'Diabetes: Voet onderzoek (CQM)');
INSERT INTO `lang_definitions` VALUES (21076, 1627, 6, 'Diabetes: HbA1c Controle (CQM)');
INSERT INTO `lang_definitions` VALUES (21077, 1628, 6, 'Diabetes: HbA1c');
INSERT INTO `lang_definitions` VALUES (21078, 1629, 6, 'Diabetes: LDL management en controle (CQM)');
INSERT INTO `lang_definitions` VALUES (21079, 1630, 6, 'Diabetes: Urine microalbuminurie');
INSERT INTO `lang_definitions` VALUES (21080, 1631, 6, 'Diag');
INSERT INTO `lang_definitions` VALUES (21081, 1632, 6, 'Diagnoses');
INSERT INTO `lang_definitions` VALUES (21082, 1633, 6, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (21083, 1634, 6, 'Code voor diagnose');
INSERT INTO `lang_definitions` VALUES (21084, 1635, 6, 'Diagnose codes');
INSERT INTO `lang_definitions` VALUES (21085, 1636, 6, 'Datum diagnose');
INSERT INTO `lang_definitions` VALUES (21086, 1637, 6, 'Diagnose moet aan code verbonden zijn');
INSERT INTO `lang_definitions` VALUES (21087, 1638, 6, 'Naam van Diagnose');
INSERT INTO `lang_definitions` VALUES (21088, 1639, 6, 'Rapport van Diagnose');
INSERT INTO `lang_definitions` VALUES (21089, 1640, 6, 'Diagnoses verslag geving');
INSERT INTO `lang_definitions` VALUES (21090, 1641, 6, 'Alleen diagnoses verslag geving');
INSERT INTO `lang_definitions` VALUES (21091, 1642, 6, 'Titel van Diagnose');
INSERT INTO `lang_definitions` VALUES (21092, 1643, 6, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (21093, 1644, 6, 'Diagnose: ');
INSERT INTO `lang_definitions` VALUES (21094, 1645, 6, 'Diagnostische testen');
INSERT INTO `lang_definitions` VALUES (21095, 1646, 6, 'Dials');
INSERT INTO `lang_definitions` VALUES (21096, 1647, 6, 'Diafragma/Caps');
INSERT INTO `lang_definitions` VALUES (21097, 1648, 6, 'Diarree');
INSERT INTO `lang_definitions` VALUES (21098, 1650, 6, 'Dictaat');
INSERT INTO `lang_definitions` VALUES (21099, 1651, 6, 'Ingesproken tekst ');
INSERT INTO `lang_definitions` VALUES (21100, 1652, 6, 'Heeft u een kopie gekregen van de HIPAA Notitie');
INSERT INTO `lang_definitions` VALUES (21101, 1653, 6, 'Diffuus:');
INSERT INTO `lang_definitions` VALUES (21102, 1654, 6, 'Met digitale handtekening');
INSERT INTO `lang_definitions` VALUES (21103, 1657, 6, 'Direct mail');
INSERT INTO `lang_definitions` VALUES (21104, 1658, 6, 'Direct message log');
INSERT INTO `lang_definitions` VALUES (21105, 1659, 6, 'Direct messages ontvangen');
INSERT INTO `lang_definitions` VALUES (21106, 1660, 6, 'Direct messaging is nu niet beschikbaar');
INSERT INTO `lang_definitions` VALUES (21107, 1661, 6, 'Direect message verstuurd is mislukt');
INSERT INTO `lang_definitions` VALUES (21108, 1663, 6, 'Direct mail');
INSERT INTO `lang_definitions` VALUES (21109, 1664, 6, 'Directory verwijderen is mislukt; doorgaan.');
INSERT INTO `lang_definitions` VALUES (21110, 1665, 6, 'Handicap');
INSERT INTO `lang_definitions` VALUES (21111, 1666, 6, 'Onbruikbaar maken');
INSERT INTO `lang_definitions` VALUES (21112, 1667, 6, 'Kalender niet activeren');
INSERT INTO `lang_definitions` VALUES (21113, 1668, 6, 'Status tracker niet activeren');
INSERT INTO `lang_definitions` VALUES (21114, 1669, 6, 'Vaccinatie niet activeren');
INSERT INTO `lang_definitions` VALUES (21115, 1670, 6, 'Oud metrieke Vitals-formulier niet activeren');
INSERT INTO `lang_definitions` VALUES (21116, 1672, 6, 'phpMyAdmin niet activeren');
INSERT INTO `lang_definitions` VALUES (21117, 1673, 6, 'Recepten niet activeren');
INSERT INTO `lang_definitions` VALUES (21118, 1674, 6, 'Gebruikers groepen niet activeren');
INSERT INTO `lang_definitions` VALUES (21119, 1675, 6, 'inactief');
INSERT INTO `lang_definitions` VALUES (21120, 1676, 6, 'Invalide');
INSERT INTO `lang_definitions` VALUES (21121, 1677, 6, 'Invalide begunstigde onder de leeftijd van 65 jaar met een large group health plan (LGHP)');
INSERT INTO `lang_definitions` VALUES (21122, 1678, 6, 'DISC');
INSERT INTO `lang_definitions` VALUES (21123, 1679, 6, 'Verwijderen');
INSERT INTO `lang_definitions` VALUES (21124, 1680, 6, 'Verwijderd');
INSERT INTO `lang_definitions` VALUES (21125, 1681, 6, 'Afscheiding');
INSERT INTO `lang_definitions` VALUES (21126, 1682, 6, 'Afscheiding urethra');
INSERT INTO `lang_definitions` VALUES (21127, 1684, 6, 'Afscheiding rechts');
INSERT INTO `lang_definitions` VALUES (21128, 1685, 6, 'Afscheiding rechts:');
INSERT INTO `lang_definitions` VALUES (21129, 1688, 6, 'Ontslagen');
INSERT INTO `lang_definitions` VALUES (21130, 1689, 6, 'Vrijgeven Info');
INSERT INTO `lang_definitions` VALUES (21131, 1690, 6, 'Vrijgeven type');
INSERT INTO `lang_definitions` VALUES (21132, 1691, 6, 'Vrijgeven types');
INSERT INTO `lang_definitions` VALUES (21133, 1692, 6, 'Vrijgegeven');
INSERT INTO `lang_definitions` VALUES (21134, 1694, 6, 'Korting');
INSERT INTO `lang_definitions` VALUES (21135, 1695, 6, 'Kortingsbedrag');
INSERT INTO `lang_definitions` VALUES (21136, 1696, 6, 'Kortingsniveau');
INSERT INTO `lang_definitions` VALUES (21137, 1697, 6, 'Percentage korting');
INSERT INTO `lang_definitions` VALUES (21138, 1698, 6, 'Korting in geldwaarde');
INSERT INTO `lang_definitions` VALUES (21139, 1699, 6, 'Kortingen gegeven bij uitchecken worden genoteerd als geldswaarde, i.t.t. percentages.');
INSERT INTO `lang_definitions` VALUES (21140, 1700, 6, 'Discreet resultaat');
INSERT INTO `lang_definitions` VALUES (21141, 1701, 6, 'Ziekte');
INSERT INTO `lang_definitions` VALUES (21142, 1702, 6, 'Dislocatie');
INSERT INTO `lang_definitions` VALUES (21143, 1703, 6, 'Dtd. #');
INSERT INTO `lang_definitions` VALUES (21144, 1704, 6, 'Lever af');
INSERT INTO `lang_definitions` VALUES (21145, 1705, 6, 'Lever ontvangen document af');
INSERT INTO `lang_definitions` VALUES (21146, 1706, 6, 'Afgegeven');
INSERT INTO `lang_definitions` VALUES (21147, 1707, 6, 'Toon advance directives in de Demografische Pagina.');
INSERT INTO `lang_definitions` VALUES (21148, 1708, 6, 'Documenten tonen');
INSERT INTO `lang_definitions` VALUES (21149, 1709, 6, 'Data gebeurtenissen in blok tonen?');
INSERT INTO `lang_definitions` VALUES (21150, 1710, 6, 'Toon format voor US gewichten');
INSERT INTO `lang_definitions` VALUES (21151, 1711, 6, 'Hoeveelheid gebeurtenissen tonen?');
INSERT INTO `lang_definitions` VALUES (21152, 1713, 6, 'Locatie in blok tonen?');
INSERT INTO `lang_definitions` VALUES (21153, 1714, 6, 'Naam tonen');
INSERT INTO `lang_definitions` VALUES (21154, 1715, 6, 'De agenda tonen?');
INSERT INTO `lang_definitions` VALUES (21155, 1718, 6, 'Gebeurtenissen van vandaag in blok tonen?');
INSERT INTO `lang_definitions` VALUES (21156, 1719, 6, 'Onderwerp in blok tonen?');
INSERT INTO `lang_definitions` VALUES (21157, 1720, 6, 'Komende gebeurtenissen in blok tonen?');
INSERT INTO `lang_definitions` VALUES (21158, 1721, 6, 'Weergegeven kolommen');
INSERT INTO `lang_definitions` VALUES (21159, 1722, 6, 'De meest recente disclosures worden getoond');
INSERT INTO `lang_definitions` VALUES (21160, 1723, 6, 'Toon het volgende nummer van recente notities');
INSERT INTO `lang_definitions` VALUES (21161, 1724, 6, 'Toon het vervolg nummer van recente notes');
INSERT INTO `lang_definitions` VALUES (21162, 1725, 6, 'Verdeling');
INSERT INTO `lang_definitions` VALUES (21163, 1726, 6, 'Verdeling');
INSERT INTO `lang_definitions` VALUES (21164, 1727, 6, 'Distributeur');
INSERT INTO `lang_definitions` VALUES (21165, 1728, 6, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (21166, 1729, 6, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (21167, 1730, 6, 'Diverticulitis chirurgie');
INSERT INTO `lang_definitions` VALUES (21168, 1731, 6, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (21169, 1732, 6, 'Diverticulitis chirurgie');
INSERT INTO `lang_definitions` VALUES (21170, 1733, 6, 'Gescheiden');
INSERT INTO `lang_definitions` VALUES (21171, 1734, 6, 'Duizeligheid');
INSERT INTO `lang_definitions` VALUES (21172, 1735, 6, 'Niet veranderen');
INSERT INTO `lang_definitions` VALUES (21173, 1737, 6, 'Allergie niet tonen bij uploaden naar NewCrop');
INSERT INTO `lang_definitions` VALUES (21174, 1739, 6, 'Medicatie niet tonen bij uploaden naar NewCrop');
INSERT INTO `lang_definitions` VALUES (21175, 1742, 6, 'Kalender niet tonen');
INSERT INTO `lang_definitions` VALUES (21176, 1744, 6, 'Geen inventaris en verkoop van andere producten');
INSERT INTO `lang_definitions` VALUES (21177, 1745, 6, 'Het is niet nodig dat Patient aantekeningen geautoriseerd worden');
INSERT INTO `lang_definitions` VALUES (21178, 1746, 6, 'Uitdrukkelijke wens GEEN REANIMATIE');
INSERT INTO `lang_definitions` VALUES (21179, 1747, 6, 'annuleren');
INSERT INTO `lang_definitions` VALUES (21180, 1748, 6, 'niet vervangen');
INSERT INTO `lang_definitions` VALUES (21181, 1749, 6, 'doe niets');
INSERT INTO `lang_definitions` VALUES (21182, 1751, 6, 'Wilt u dit echt veerwijderen');
INSERT INTO `lang_definitions` VALUES (21183, 1752, 6, 'Wilt u zeker deze selectie verwijderen?');
INSERT INTO `lang_definitions` VALUES (21184, 1753, 6, 'Wilt u zeker deze groep verwijderen?');
INSERT INTO `lang_definitions` VALUES (21185, 1754, 6, 'Wilt u het zeker verwijderen?');
INSERT INTO `lang_definitions` VALUES (21186, 1755, 6, 'Wilt U doorgaan?');
INSERT INTO `lang_definitions` VALUES (21187, 1756, 6, 'Wilt U dit verwijderen?');
INSERT INTO `lang_definitions` VALUES (21188, 1757, 6, 'Verwijderen?');
INSERT INTO `lang_definitions` VALUES (21189, 1758, 6, 'Wil je deze status verwijderen?');
INSERT INTO `lang_definitions` VALUES (21190, 1759, 6, 'Wilt u doorgaan met deze nieuwe client toe te voegen?');
INSERT INTO `lang_definitions` VALUES (21191, 1760, 6, 'Wilt u verder gaan met de nieuwe naam?');
INSERT INTO `lang_definitions` VALUES (21192, 1761, 6, 'WIlt u dit immunisatie verslag PERMANENT verwijderen?');
INSERT INTO `lang_definitions` VALUES (21193, 1762, 6, 'GEB');
INSERT INTO `lang_definitions` VALUES (21194, 1763, 6, 'Geb datum niet ingevuld');
INSERT INTO `lang_definitions` VALUES (21195, 1764, 6, 'Docs');
INSERT INTO `lang_definitions` VALUES (21196, 1765, 6, 'Dokter');
INSERT INTO `lang_definitions` VALUES (21197, 1766, 6, 'Dr:');
INSERT INTO `lang_definitions` VALUES (21198, 1767, 6, 'Naam en handtekening Arts');
INSERT INTO `lang_definitions` VALUES (21199, 1768, 6, 'Document');
INSERT INTO `lang_definitions` VALUES (21200, 1769, 6, 'document');
INSERT INTO `lang_definitions` VALUES (21201, 1770, 6, 'Document categorieen');
INSERT INTO `lang_definitions` VALUES (21202, 1771, 6, 'Document cathegorie voor lab resultaten bestaat niet');
INSERT INTO `lang_definitions` VALUES (21203, 1772, 6, 'Document categorie naam voor electronisch opslaan van ontvangen lab resultaten.');
INSERT INTO `lang_definitions` VALUES (21204, 1774, 6, 'Documetn Categorie of verwijderen');
INSERT INTO `lang_definitions` VALUES (21205, 1775, 6, 'Document kon niet naar Client ID verplaatst worden');
INSERT INTO `lang_definitions` VALUES (21206, 1777, 6, 'Datum van document');
INSERT INTO `lang_definitions` VALUES (21207, 1778, 6, 'Datum van document en klachten aangepast');
INSERT INTO `lang_definitions` VALUES (21208, 1779, 6, 'DocumentID');
INSERT INTO `lang_definitions` VALUES (21209, 1780, 6, 'Ducument verzet naar nieuwe categorie');
INSERT INTO `lang_definitions` VALUES (21210, 1781, 6, 'Dokument verzet naar patient ID');
INSERT INTO `lang_definitions` VALUES (21211, 1783, 6, 'Document is geaccepteerd door security check');
INSERT INTO `lang_definitions` VALUES (21212, 1784, 6, 'Manier om documenten op te slaan');
INSERT INTO `lang_definitions` VALUES (21213, 1785, 6, 'Document met succes van naam veranderd');
INSERT INTO `lang_definitions` VALUES (21214, 1786, 6, 'Document is met succes verbonden aan de Encounter');
INSERT INTO `lang_definitions` VALUES (21215, 1787, 6, 'Document Template management');
INSERT INTO `lang_definitions` VALUES (21216, 1788, 6, 'Document Templates');
INSERT INTO `lang_definitions` VALUES (21217, 1789, 6, 'Document(en)');
INSERT INTO `lang_definitions` VALUES (21218, 1790, 6, 'Bewaarplaats van document/afbeelding');
INSERT INTO `lang_definitions` VALUES (21219, 1791, 6, 'Documenten');
INSERT INTO `lang_definitions` VALUES (21220, 1792, 6, 'Documenten (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (21221, 1794, 6, 'DOE');
INSERT INTO `lang_definitions` VALUES (21222, 1796, 6, 'er is geen vergelijk met PV1 encounter gevonden');
INSERT INTO `lang_definitions` VALUES (21223, 1797, 6, 'lijkt niet valide te zijn');
INSERT INTO `lang_definitions` VALUES (21224, 1798, 6, 'Zijn er gerelateerde codes voor dit type toegestaan?');
INSERT INTO `lang_definitions` VALUES (21225, 1799, 6, 'Samenwonend');
INSERT INTO `lang_definitions` VALUES (21226, 1800, 6, 'Annuleren');
INSERT INTO `lang_definitions` VALUES (21227, 1801, 6, 'Annuleren');
INSERT INTO `lang_definitions` VALUES (21228, 1802, 6, 'Wijzigingen annuleren');
INSERT INTO `lang_definitions` VALUES (21229, 1803, 6, 'Klaar');
INSERT INTO `lang_definitions` VALUES (21230, 1804, 6, 'Gedaan met:');
INSERT INTO `lang_definitions` VALUES (21231, 1805, 6, 'Klaar. Download wordt verstuurd');
INSERT INTO `lang_definitions` VALUES (21232, 1806, 6, 'DOS');
INSERT INTO `lang_definitions` VALUES (21233, 1807, 6, 'Dosering');
INSERT INTO `lang_definitions` VALUES (21234, 1809, 6, 'Dubbel klikken om te veranderen');
INSERT INTO `lang_definitions` VALUES (21235, 1810, 6, 'Dubbel zien');
INSERT INTO `lang_definitions` VALUES (21236, 1811, 6, 'Downloaden');
INSERT INTO `lang_definitions` VALUES (21237, 1814, 6, 'Toch downloaden');
INSERT INTO `lang_definitions` VALUES (21238, 1815, 6, 'Download factureringsbestand, verstuur naar boekhouding en markeer als gefactureerd');
INSERT INTO `lang_definitions` VALUES (21239, 1817, 6, 'Certificaten downloaden');
INSERT INTO `lang_definitions` VALUES (21240, 1818, 6, 'Download configuratie data');
INSERT INTO `lang_definitions` VALUES (21241, 1819, 6, 'Downloaden van document template voor deze patient en dit bezoek');
INSERT INTO `lang_definitions` VALUES (21242, 1820, 6, 'Downloaden van versleutelde file');
INSERT INTO `lang_definitions` VALUES (21243, 1823, 6, 'Downloaden van Offsite Portaal Verbindings Files');
INSERT INTO `lang_definitions` VALUES (21244, 1824, 6, 'Downloaden of een Template verwijderen');
INSERT INTO `lang_definitions` VALUES (21245, 1825, 6, 'Download PDF');
INSERT INTO `lang_definitions` VALUES (21246, 1827, 6, 'Download geselecteerde Statements');
INSERT INTO `lang_definitions` VALUES (21247, 1828, 6, 'Dr Controle');
INSERT INTO `lang_definitions` VALUES (21248, 1829, 6, 'Dr Bezoek');
INSERT INTO `lang_definitions` VALUES (21249, 1830, 6, 'Dr.');
INSERT INTO `lang_definitions` VALUES (21250, 1831, 6, 'Versleep om te verplaatsen');
INSERT INTO `lang_definitions` VALUES (21251, 1832, 6, 'Druppelen');
INSERT INTO `lang_definitions` VALUES (21252, 1833, 6, 'Rijbewijs of BSN');
INSERT INTO `lang_definitions` VALUES (21253, 1834, 6, 'Medicatie');
INSERT INTO `lang_definitions` VALUES (21254, 1835, 6, 'Opzoeken Medicatie');
INSERT INTO `lang_definitions` VALUES (21255, 1836, 6, 'Medicatie vorm');
INSERT INTO `lang_definitions` VALUES (21256, 1837, 6, 'Medicatie ID afwezig!');
INSERT INTO `lang_definitions` VALUES (21257, 1838, 6, 'Medicatie-intervallen');
INSERT INTO `lang_definitions` VALUES (21258, 1839, 6, 'Medicijnen voorraadbeheer');
INSERT INTO `lang_definitions` VALUES (21259, 1840, 6, 'Naam medicatie');
INSERT INTO `lang_definitions` VALUES (21260, 1841, 6, 'Wijze van toedienen');
INSERT INTO `lang_definitions` VALUES (21261, 1845, 6, 'Medicatie-eenheden');
INSERT INTO `lang_definitions` VALUES (21262, 1846, 6, 'Medicijnen');
INSERT INTO `lang_definitions` VALUES (21263, 1847, 6, 'Medicijnen en Producten');
INSERT INTO `lang_definitions` VALUES (21264, 1848, 6, 'Droge mond');
INSERT INTO `lang_definitions` VALUES (21265, 1849, 6, 'DSM IV Diagnosen');
INSERT INTO `lang_definitions` VALUES (21266, 1850, 6, 'DT1');
INSERT INTO `lang_definitions` VALUES (21267, 1851, 6, 'DT2');
INSERT INTO `lang_definitions` VALUES (21268, 1852, 6, 'DT3');
INSERT INTO `lang_definitions` VALUES (21269, 1853, 6, 'DT4');
INSERT INTO `lang_definitions` VALUES (21270, 1854, 6, 'DT5');
INSERT INTO `lang_definitions` VALUES (21271, 1855, 6, 'DTaP1');
INSERT INTO `lang_definitions` VALUES (21272, 1856, 6, 'DTaP2');
INSERT INTO `lang_definitions` VALUES (21273, 1857, 6, 'DTaP3');
INSERT INTO `lang_definitions` VALUES (21274, 1858, 6, 'DTaP4');
INSERT INTO `lang_definitions` VALUES (21275, 1859, 6, 'DTaP5');
INSERT INTO `lang_definitions` VALUES (21276, 1860, 6, 'Verschuldigd');
INSERT INTO `lang_definitions` VALUES (21277, 1861, 6, 'Datum bevalling');
INSERT INTO `lang_definitions` VALUES (21278, 1862, 6, 'Datum bev. mm/dd/jjjj of jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (21279, 1863, 6, 'Datum bevalling:');
INSERT INTO `lang_definitions` VALUES (21280, 1864, 6, 'Vanwege Ins');
INSERT INTO `lang_definitions` VALUES (21281, 1865, 6, 'Vanwege Pt');
INSERT INTO `lang_definitions` VALUES (21282, 1866, 6, 'Binnenkort aan de beurt');
INSERT INTO `lang_definitions` VALUES (21283, 1867, 6, 'Datum bevalling');
INSERT INTO `lang_definitions` VALUES (21284, 1868, 6, 'Update aanpasing datum');
INSERT INTO `lang_definitions` VALUES (21285, 1869, 6, 'Dumping LibreEHR database');
INSERT INTO `lang_definitions` VALUES (21286, 1870, 6, 'Dumping LibreEHR web directory tree');
INSERT INTO `lang_definitions` VALUES (21287, 1871, 6, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (21288, 1872, 6, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (21289, 1873, 6, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (21290, 1874, 6, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (21291, 1875, 6, 'Dup Check');
INSERT INTO `lang_definitions` VALUES (21292, 1876, 6, 'Dubbele ID op lijn');
INSERT INTO `lang_definitions` VALUES (21293, 1877, 6, 'Dubbele NAAM op lijn');
INSERT INTO `lang_definitions` VALUES (21294, 1878, 6, 'Waarschuwing tegen duplicatie');
INSERT INTO `lang_definitions` VALUES (21295, 1879, 6, 'Duurzame volmacht');
INSERT INTO `lang_definitions` VALUES (21296, 1880, 6, 'duur');
INSERT INTO `lang_definitions` VALUES (21297, 1881, 6, 'Duur');
INSERT INTO `lang_definitions` VALUES (21298, 1882, 6, 'Nederlands');
INSERT INTO `lang_definitions` VALUES (21299, 1883, 6, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (21300, 1884, 6, 'Dysfagie');
INSERT INTO `lang_definitions` VALUES (21301, 1885, 6, 'Dyspnoe');
INSERT INTO `lang_definitions` VALUES (21302, 1886, 6, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (21303, 1887, 6, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (21304, 1888, 6, 'e-Recept?');
INSERT INTO `lang_definitions` VALUES (21305, 1889, 6, 'e-Rapport(en)');
INSERT INTO `lang_definitions` VALUES (21306, 1890, 6, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (21307, 1892, 6, 'e-Rx vernieuwing');
INSERT INTO `lang_definitions` VALUES (21308, 1893, 6, 'Iedere ontvanger moet hun eigen berichten op afgemaakt zetten.');
INSERT INTO `lang_definitions` VALUES (21309, 1894, 6, 'Vroeg recidief (<2mnd)');
INSERT INTO `lang_definitions` VALUES (21310, 1895, 6, 'Oren');
INSERT INTO `lang_definitions` VALUES (21311, 1896, 6, 'ECG');
INSERT INTO `lang_definitions` VALUES (21312, 1897, 6, 'eClaims');
INSERT INTO `lang_definitions` VALUES (21313, 1898, 6, 'Oedeem');
INSERT INTO `lang_definitions` VALUES (21314, 1899, 6, 'edi geschiedenis');
INSERT INTO `lang_definitions` VALUES (21315, 1900, 6, 'EDI Geschiedenis');
INSERT INTO `lang_definitions` VALUES (21316, 1901, 6, 'EDI Geschiedenis (onder bedragen) om te verzamelen en interpreteren van terug ontvangen EDI files');
INSERT INTO `lang_definitions` VALUES (21317, 1902, 6, 'EDI-271 File upload');
INSERT INTO `lang_definitions` VALUES (21318, 1903, 6, 'EDI-271 Respons file upload');
INSERT INTO `lang_definitions` VALUES (21319, 1904, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (21320, 1905, 6, 'aanpassen');
INSERT INTO `lang_definitions` VALUES (21321, 1906, 6, 'Allergien aanpassen');
INSERT INTO `lang_definitions` VALUES (21322, 1907, 6, 'Categorieen aanpassen');
INSERT INTO `lang_definitions` VALUES (21323, 1908, 6, 'Definities aanpassen');
INSERT INTO `lang_definitions` VALUES (21324, 1909, 6, 'Definities aanpassen');
INSERT INTO `lang_definitions` VALUES (21325, 1910, 6, 'Diagnoses aanpassen voor');
INSERT INTO `lang_definitions` VALUES (21326, 1911, 6, 'Diagnose aanpassen');
INSERT INTO `lang_definitions` VALUES (21327, 1912, 6, 'Locatie aanpassen');
INSERT INTO `lang_definitions` VALUES (21328, 1913, 6, 'Bewerken faciliteit');
INSERT INTO `lang_definitions` VALUES (21329, 1914, 6, 'Locatie-informatie aanpassen');
INSERT INTO `lang_definitions` VALUES (21330, 1915, 6, 'Aanpassen specifieke User informatie');
INSERT INTO `lang_definitions` VALUES (21331, 1916, 6, 'Aanpassen van file in');
INSERT INTO `lang_definitions` VALUES (21332, 1917, 6, 'Pas formulier aan');
INSERT INTO `lang_definitions` VALUES (21333, 1918, 6, 'Basis controles aanpassen');
INSERT INTO `lang_definitions` VALUES (21334, 1919, 6, 'Aanpassen in niet toegestaan!');
INSERT INTO `lang_definitions` VALUES (21335, 1920, 6, 'Pas weergave aan');
INSERT INTO `lang_definitions` VALUES (21336, 1921, 6, 'Pas lijst aan');
INSERT INTO `lang_definitions` VALUES (21337, 1922, 6, 'Betaling aanpassen');
INSERT INTO `lang_definitions` VALUES (21338, 1923, 6, 'Structuur aanpassen');
INSERT INTO `lang_definitions` VALUES (21339, 1924, 6, 'Pas gebruiker aan');
INSERT INTO `lang_definitions` VALUES (21340, 1925, 6, 'User settings aanpassen');
INSERT INTO `lang_definitions` VALUES (21341, 1926, 6, 'Aanpassen van de door u ingevoerde data');
INSERT INTO `lang_definitions` VALUES (21342, 1927, 6, 'Veranderen mislukt');
INSERT INTO `lang_definitions` VALUES (21343, 1928, 6, 'Educatie');
INSERT INTO `lang_definitions` VALUES (21344, 1929, 6, 'Datum info aan pt');
INSERT INTO `lang_definitions` VALUES (21345, 1930, 6, 'Opvoedende materialen voor');
INSERT INTO `lang_definitions` VALUES (21346, 1931, 6, 'ee * Licentie voor algemeen gebruik onder GNU voorwaarden, voor meer details. * * U zou een exemplaar van de LicentieVergunning voor algemeen gebruik van GNU voorwaarden* samen met dit programma ontvangen moeten hebben; indien niet onvangen, schrijf naar Vrije ');
INSERT INTO `lang_definitions` VALUES (21347, 1932, 6, 'Eind datum');
INSERT INTO `lang_definitions` VALUES (21348, 1934, 6, 'Effectiviteit');
INSERT INTO `lang_definitions` VALUES (21349, 1935, 6, 'EIN');
INSERT INTO `lang_definitions` VALUES (21350, 1936, 6, 'Ejaculaties');
INSERT INTO `lang_definitions` VALUES (21351, 1937, 6, 'Elleboog');
INSERT INTO `lang_definitions` VALUES (21352, 1938, 6, 'Problemen met elleboog');
INSERT INTO `lang_definitions` VALUES (21353, 1939, 6, 'Electronisch');
INSERT INTO `lang_definitions` VALUES (21354, 1942, 6, 'Electronische overschrijvingen');
INSERT INTO `lang_definitions` VALUES (21355, 1943, 6, 'Electronische rapporten');
INSERT INTO `lang_definitions` VALUES (21356, 1944, 6, 'In aanmerking komen');
INSERT INTO `lang_definitions` VALUES (21357, 1945, 6, 'In aanmerking komen voor 270 Batch informatie');
INSERT INTO `lang_definitions` VALUES (21358, 1946, 6, 'Eligibility respons');
INSERT INTO `lang_definitions` VALUES (21359, 1947, 6, 'Komt in aanmerking voor Vaccinatie voor kinderen');
INSERT INTO `lang_definitions` VALUES (21360, 1948, 6, 'In aanmerking komen');
INSERT INTO `lang_definitions` VALUES (21361, 1949, 6, 'E-mail');
INSERT INTO `lang_definitions` VALUES (21362, 1950, 6, 'E-mail');
INSERT INTO `lang_definitions` VALUES (21363, 1951, 6, 'E-mail adres');
INSERT INTO `lang_definitions` VALUES (21364, 1952, 6, 'E-mail adres is niet ingevuld');
INSERT INTO `lang_definitions` VALUES (21365, 1953, 6, 'E-mail adres verzender van patient reminders. Patient reminders die worden beantwoord worden naar dit adres doorgestuurd. Het is belangrijk om een een adres van het domein van de kliniek te gebruiken om patient reminders niet in de junk mail folders te laten belanden.');
INSERT INTO `lang_definitions` VALUES (21366, 1954, 6, 'E-mailadres, voor administratieve berichten.');
INSERT INTO `lang_definitions` VALUES (21367, 1955, 6, 'E-mailadres, indien bekend, om EMERGENCY gebruikers login om berichten te activeren.');
INSERT INTO `lang_definitions` VALUES (21368, 1956, 6, 'E-Mail auteur');
INSERT INTO `lang_definitions` VALUES (21369, 1957, 6, 'Berichtgeving per e-mail');
INSERT INTO `lang_definitions` VALUES (21370, 1958, 6, 'E-mail aanmelding');
INSERT INTO `lang_definitions` VALUES (21371, 1959, 6, 'E-mail notificatie uren');
INSERT INTO `lang_definitions` VALUES (21372, 1960, 6, 'E-mail notificatie rapport');
INSERT INTO `lang_definitions` VALUES (21373, 1961, 6, 'E-mal eerder verzonden');
INSERT INTO `lang_definitions` VALUES (21374, 1962, 6, 'E-mail afzender');
INSERT INTO `lang_definitions` VALUES (21375, 1963, 6, 'E-mail verzonden');
INSERT INTO `lang_definitions` VALUES (21376, 1964, 6, 'E-mail verzonden aan');
INSERT INTO `lang_definitions` VALUES (21377, 1965, 6, 'E-mail onderwerp');
INSERT INTO `lang_definitions` VALUES (21378, 1966, 6, 'E-mailadres: Tekst, Bruikbare Tag: *** *** NAAM, dwz Geachte NAAM *** ***');
INSERT INTO `lang_definitions` VALUES (21379, 1967, 6, 'E-mail Tekst, Bruikbare Tag: ***NAME*** ,b.v. Beste ***NAME***{{Niet vertalen ***NAME*** onderdelen van deze constant.}}');
INSERT INTO `lang_definitions` VALUES (21380, 1968, 6, 'E-mail verzend methode');
INSERT INTO `lang_definitions` VALUES (21381, 1969, 6, 'E-mail werd verzonden naar dit adres');
INSERT INTO `lang_definitions` VALUES (21382, 1971, 6, 'Spoedconsult');
INSERT INTO `lang_definitions` VALUES (21383, 1972, 6, 'Contactpersoon igv SPOED');
INSERT INTO `lang_definitions` VALUES (21384, 1973, 6, 'Bij SPOED bel:');
INSERT INTO `lang_definitions` VALUES (21385, 1974, 6, 'Nood contraceptie');
INSERT INTO `lang_definitions` VALUES (21386, 1975, 6, 'Spoed Login');
INSERT INTO `lang_definitions` VALUES (21387, 1976, 6, 'Spoed Login ACL is gekozen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.');
INSERT INTO `lang_definitions` VALUES (21388, 1977, 6, 'Spoed Login geactiveerd email will be circulated only if following settings in the interface/globals.php file are configured:');
INSERT INTO `lang_definitions` VALUES (21389, 1978, 6, 'EMERGENCY login e-mailadres');
INSERT INTO `lang_definitions` VALUES (21390, 1979, 6, 'Spoed Login gebruiker kan alles doen');
INSERT INTO `lang_definitions` VALUES (21391, 1980, 6, 'Noodtelefoonnr');
INSERT INTO `lang_definitions` VALUES (21392, 1981, 6, 'Emotionele / gedrags condities en complicaties');
INSERT INTO `lang_definitions` VALUES (21393, 1982, 6, 'Emfyseem');
INSERT INTO `lang_definitions` VALUES (21394, 1983, 6, 'Werknemer');
INSERT INTO `lang_definitions` VALUES (21395, 1984, 6, 'Werkgever');
INSERT INTO `lang_definitions` VALUES (21396, 1985, 6, 'Adres werkgever');
INSERT INTO `lang_definitions` VALUES (21397, 1986, 6, 'Gegevens werkgever');
INSERT INTO `lang_definitions` VALUES (21398, 1987, 6, 'Naam werkgever');
INSERT INTO `lang_definitions` VALUES (21399, 1988, 6, 'LEEG');
INSERT INTO `lang_definitions` VALUES (21400, 1989, 6, 'Leeg');
INSERT INTO `lang_definitions` VALUES (21401, 1990, 6, 'Leeg Paswoord is niet toegestaan');
INSERT INTO `lang_definitions` VALUES (21402, 1991, 6, 'Lege waarde \"E-mail uren\"');
INSERT INTO `lang_definitions` VALUES (21403, 1992, 6, 'Lege waarde \"E-mail afzender\"');
INSERT INTO `lang_definitions` VALUES (21404, 1993, 6, 'Lege waarde \"E-mail onderwerp\"');
INSERT INTO `lang_definitions` VALUES (21405, 1994, 6, 'Lege waarde \"E-mail tekst\"');
INSERT INTO `lang_definitions` VALUES (21406, 1995, 6, 'Lege waarde \"Naam behandelaar\"');
INSERT INTO `lang_definitions` VALUES (21407, 1996, 6, 'Lege waarde \"Wachtwoord\"');
INSERT INTO `lang_definitions` VALUES (21408, 1997, 6, 'Lege waarde \"SMS uren\"');
INSERT INTO `lang_definitions` VALUES (21409, 1998, 6, 'Lege waarde \"SMS tekst');
INSERT INTO `lang_definitions` VALUES (21410, 1999, 6, 'Lege waarde \"Gebruikersnaam\"');
INSERT INTO `lang_definitions` VALUES (21411, 2001, 6, 'Toestaan');
INSERT INTO `lang_definitions` VALUES (21412, 2006, 6, 'Toestaan van AMC prompting');
INSERT INTO `lang_definitions` VALUES (21413, 2007, 6, 'Toestaan van AMC rapport geitimized');
INSERT INTO `lang_definitions` VALUES (21414, 2008, 6, 'Toestaan van AMC Reporting');
INSERT INTO `lang_definitions` VALUES (21415, 2009, 6, 'Toestaan AMC tracking');
INSERT INTO `lang_definitions` VALUES (21416, 2010, 6, 'Toestaan van aanpassingen mogelijkheid');
INSERT INTO `lang_definitions` VALUES (21417, 2011, 6, 'ATNA Auditing toestaan');
INSERT INTO `lang_definitions` VALUES (21418, 2012, 6, 'Toestaan van Audit log encryptie');
INSERT INTO `lang_definitions` VALUES (21419, 2013, 6, 'ATNA Auditing log aanmaken');
INSERT INTO `lang_definitions` VALUES (21420, 2014, 6, 'Sta Audit trail en Node Audentificatie toe (ATNA)');
INSERT INTO `lang_definitions` VALUES (21421, 2015, 6, 'Sta automatische meeting berekening verslaglegging toe ()AMC)');
INSERT INTO `lang_definitions` VALUES (21422, 2016, 6, 'Activeren client SSL');
INSERT INTO `lang_definitions` VALUES (21423, 2017, 6, 'Activeren cient SSL Certificaat Authentificatie');
INSERT INTO `lang_definitions` VALUES (21424, 2019, 6, 'Toestaan van Klinische Besluit regels (CDR)');
INSERT INTO `lang_definitions` VALUES (21425, 2022, 6, 'Toestaan Klinische kwaliteits metingen (CRD)');
INSERT INTO `lang_definitions` VALUES (21426, 2023, 6, 'Toestaan van Klinische reminder Popup');
INSERT INTO `lang_definitions` VALUES (21427, 2024, 6, 'Toestaan Klinische reminder widget');
INSERT INTO `lang_definitions` VALUES (21428, 2025, 6, 'CMS portaaal toestaan');
INSERT INTO `lang_definitions` VALUES (21429, 2026, 6, 'CQM Rapport voor Itemisatie teostaan');
INSERT INTO `lang_definitions` VALUES (21430, 2027, 6, 'Toestaan CQM verslaglegging');
INSERT INTO `lang_definitions` VALUES (21431, 2028, 6, 'Toestaan EDI geschiedenis in Linker Menu');
INSERT INTO `lang_definitions` VALUES (21432, 2030, 6, 'Linker menu gebruiken voor Honorarium saldi');
INSERT INTO `lang_definitions` VALUES (21433, 2031, 6, 'Hylafax ondersteuning toestaan');
INSERT INTO `lang_definitions` VALUES (21434, 2033, 6, 'Toestaan van import bericht voor NewCrop erx');
INSERT INTO `lang_definitions` VALUES (21435, 2034, 6, 'Toestaan van Itemisatie van AMC rapporten');
INSERT INTO `lang_definitions` VALUES (21436, 2035, 6, 'Toestaan van Itemisatie van CQM rappoerten');
INSERT INTO `lang_definitions` VALUES (21437, 2036, 6, 'Toestaan van standaard klinische regels rapoorten');
INSERT INTO `lang_definitions` VALUES (21438, 2037, 6, 'Lab uitwisseling toestaan');
INSERT INTO `lang_definitions` VALUES (21439, 2038, 6, 'Wisselen van slot toestaan');
INSERT INTO `lang_definitions` VALUES (21440, 2039, 6, 'Toestaan aanmaken van log voor documenten mbv CouchDB');
INSERT INTO `lang_definitions` VALUES (21441, 2040, 6, 'Vastleggen in log van al SQL SELECT queries toestaan');
INSERT INTO `lang_definitions` VALUES (21442, 2041, 6, 'Backup gebonden activiteiten toetstaan');
INSERT INTO `lang_definitions` VALUES (21443, 2042, 6, 'Toestaan vastleggen van CDR engine queries');
INSERT INTO `lang_definitions` VALUES (21444, 2043, 6, 'Toestaan van vastleggen diverse activiteiten');
INSERT INTO `lang_definitions` VALUES (21445, 2044, 6, 'Toestaan de volgorde vast te leggen en te veranderen');
INSERT INTO `lang_definitions` VALUES (21446, 2045, 6, 'Toestaan van vastleggen patient status veranderingen');
INSERT INTO `lang_definitions` VALUES (21447, 2046, 6, 'Toestaan van vastleggen van scheduling activiteiten');
INSERT INTO `lang_definitions` VALUES (21448, 2047, 6, 'Toestaan van veiligheid en administratie activiteiten');
INSERT INTO `lang_definitions` VALUES (21449, 2049, 6, 'Toestaan van NewCrop eRx Service');
INSERT INTO `lang_definitions` VALUES (21450, 2051, 6, 'Toestaan van Offsite patient portal');
INSERT INTO `lang_definitions` VALUES (21451, 2052, 6, 'Toestaan van Offsite patient portal.');
INSERT INTO `lang_definitions` VALUES (21452, 2053, 6, 'Toestaan onsite Patienten toegang');
INSERT INTO `lang_definitions` VALUES (21453, 2055, 6, 'Toestaan Onsite Patienten toegang.');
INSERT INTO `lang_definitions` VALUES (21454, 2056, 6, 'Toestaan Patienten Reminder widget');
INSERT INTO `lang_definitions` VALUES (21455, 2057, 6, 'Toestaan phiMail direct messaging Service');
INSERT INTO `lang_definitions` VALUES (21456, 2058, 6, 'Toestaan automatische meet berekeningen(AMC) noodzakelijke data');
INSERT INTO `lang_definitions` VALUES (21457, 2060, 6, 'Toestaan rapporteren van data tracking voor geautomatiseerde meet calculaties (AMC)');
INSERT INTO `lang_definitions` VALUES (21458, 2061, 6, 'Toestaan van ondersteuning met Scanner');
INSERT INTO `lang_definitions` VALUES (21459, 2062, 6, 'Aanmaken van standaard Rapport per item');
INSERT INTO `lang_definitions` VALUES (21460, 2063, 6, 'Aanmaken van WordPress ondersteuning door Sunset systems');
INSERT INTO `lang_definitions` VALUES (21461, 2064, 6, 'Toestaan van Medical Information Integration, LLC Lab uitwisseling Service.');
INSERT INTO `lang_definitions` VALUES (21462, 2065, 6, 'Toestaan van LibreEHR Ondersteuning LLC lab uitwisseling');
INSERT INTO `lang_definitions` VALUES (21463, 2066, 6, 'Activeer User Certificaat Authenticatie');
INSERT INTO `lang_definitions` VALUES (21464, 2067, 6, 'Toestaan ZMO LLC eRx service');
INSERT INTO `lang_definitions` VALUES (21465, 2068, 6, 'geactiveerd');
INSERT INTO `lang_definitions` VALUES (21466, 2070, 6, 'Activeert de oude manier van rekeningen sturen. Advies is echter gebruik de huidige Fee Sheet methode');
INSERT INTO `lang_definitions` VALUES (21467, 2071, 6, 'Enc');
INSERT INTO `lang_definitions` VALUES (21468, 2072, 6, 'Encounter');
INSERT INTO `lang_definitions` VALUES (21469, 2073, 6, 'Encounter');
INSERT INTO `lang_definitions` VALUES (21470, 2074, 6, 'encounter');
INSERT INTO `lang_definitions` VALUES (21471, 2075, 6, 'Encounter ');
INSERT INTO `lang_definitions` VALUES (21472, 2076, 6, 'encounter acute inpatient of ED');
INSERT INTO `lang_definitions` VALUES (21473, 2080, 6, 'Encounter datum');
INSERT INTO `lang_definitions` VALUES (21474, 2081, 6, 'Encounter datum');
INSERT INTO `lang_definitions` VALUES (21475, 2084, 6, 'Encounter EDI record');
INSERT INTO `lang_definitions` VALUES (21476, 2086, 6, 'Encounter Formulier');
INSERT INTO `lang_definitions` VALUES (21477, 2087, 6, 'Evaluatie-encounter voor gezondheid en gedrag');
INSERT INTO `lang_definitions` VALUES (21478, 2088, 6, 'Encounter historie');
INSERT INTO `lang_definitions` VALUES (21479, 2089, 6, 'Encounter ID');
INSERT INTO `lang_definitions` VALUES (21480, 2090, 6, 'enounter voor influenza');
INSERT INTO `lang_definitions` VALUES (21481, 2091, 6, 'Episode nummer');
INSERT INTO `lang_definitions` VALUES (21482, 2093, 6, 'encounter verpleeg ontslag');
INSERT INTO `lang_definitions` VALUES (21483, 2094, 6, 'encounter verpleeghuis');
INSERT INTO `lang_definitions` VALUES (21484, 2095, 6, 'encounter');
INSERT INTO `lang_definitions` VALUES (21485, 2096, 6, 'encounter kantoor bezoek');
INSERT INTO `lang_definitions` VALUES (21486, 2097, 6, 'encounter outpatient');
INSERT INTO `lang_definitions` VALUES (21487, 2098, 6, 'encounter outpatient met/PCP & Ostetrie');
INSERT INTO `lang_definitions` VALUES (21488, 2099, 6, 'Encounter pagina afmetingen');
INSERT INTO `lang_definitions` VALUES (21489, 2100, 6, 'Encounter betaling');
INSERT INTO `lang_definitions` VALUES (21490, 2101, 6, 'encounter zwangerschap');
INSERT INTO `lang_definitions` VALUES (21491, 2102, 6, 'encounter preventief medisch- individuele counseling');
INSERT INTO `lang_definitions` VALUES (21492, 2103, 6, 'encounter preventief medisch 40 jaar en ouder');
INSERT INTO `lang_definitions` VALUES (21493, 2104, 6, 'encounter preventief medische groeps counseling');
INSERT INTO `lang_definitions` VALUES (21494, 2105, 6, 'encounter preventief medische en andere services');
INSERT INTO `lang_definitions` VALUES (21495, 2106, 6, 'encounter preventieve medische service 18 jaar en ouder');
INSERT INTO `lang_definitions` VALUES (21496, 2107, 6, 'encounter psychiatrie en psychologie');
INSERT INTO `lang_definitions` VALUES (21497, 2108, 6, 'Episode statistiek');
INSERT INTO `lang_definitions` VALUES (21498, 2109, 6, 'Episode samenvatting');
INSERT INTO `lang_definitions` VALUES (21499, 2110, 6, 'Episode werd gecodeerd');
INSERT INTO `lang_definitions` VALUES (21500, 2111, 6, 'Episode:');
INSERT INTO `lang_definitions` VALUES (21501, 2112, 6, 'Episode: episode niet acute inpatient, outpatient, of ophthalmologie');
INSERT INTO `lang_definitions` VALUES (21502, 2113, 6, 'Episoden');
INSERT INTO `lang_definitions` VALUES (21503, 2114, 6, 'Episoden en Formulieren');
INSERT INTO `lang_definitions` VALUES (21504, 2115, 6, 'Episoden & Formulieren');
INSERT INTO `lang_definitions` VALUES (21505, 2116, 6, 'Episoden niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (21506, 2117, 6, 'Episoden rapportage');
INSERT INTO `lang_definitions` VALUES (21507, 2118, 6, 'Episoden sectie');
INSERT INTO `lang_definitions` VALUES (21508, 2120, 6, 'Versleuteling');
INSERT INTO `lang_definitions` VALUES (21509, 2121, 6, 'Einde');
INSERT INTO `lang_definitions` VALUES (21510, 2122, 6, 'Eind (jjjj-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (21511, 2123, 6, 'Einddatum');
INSERT INTO `lang_definitions` VALUES (21512, 2124, 6, 'Einddatum');
INSERT INTO `lang_definitions` VALUES (21513, 2126, 6, 'Einddatum moet later dan begindatum vallen');
INSERT INTO `lang_definitions` VALUES (21514, 2127, 6, 'Einddatum:');
INSERT INTO `lang_definitions` VALUES (21515, 2130, 6, 'Einde van het rapport');
INSERT INTO `lang_definitions` VALUES (21516, 2131, 6, 'Eindtijd');
INSERT INTO `lang_definitions` VALUES (21517, 2132, 6, 'Eind stadium nierziekte begunstigde in MCP met werkgevers-groep-plan');
INSERT INTO `lang_definitions` VALUES (21518, 2133, 6, 'Datum einde van Service jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (21519, 2134, 6, 'Einddatum DOS mm/dd/jjjj als u een periode wilt invullen');
INSERT INTO `lang_definitions` VALUES (21520, 2135, 6, 'Einde in uur notatie van de dag voor kalenderactiviteit');
INSERT INTO `lang_definitions` VALUES (21521, 2136, 6, 'Inwendig abnormaal bloedverlies');
INSERT INTO `lang_definitions` VALUES (21522, 2137, 6, 'Endocrien');
INSERT INTO `lang_definitions` VALUES (21523, 2138, 6, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (21524, 2141, 6, 'Engels');
INSERT INTO `lang_definitions` VALUES (21525, 2142, 6, 'Engels ');
INSERT INTO `lang_definitions` VALUES (21526, 2143, 6, 'Engels (India)');
INSERT INTO `lang_definitions` VALUES (21527, 2144, 6, 'Engels (Standaard)');
INSERT INTO `lang_definitions` VALUES (21528, 2145, 6, 'Enscript commandos gebruikt door Hylafax');
INSERT INTO `lang_definitions` VALUES (21529, 2146, 6, 'Zorg ervoor dat LibreEHR schrijf privileges heeft');
INSERT INTO `lang_definitions` VALUES (21530, 2147, 6, 'KNO afscheiding');
INSERT INTO `lang_definitions` VALUES (21531, 2148, 6, 'KNO pijn');
INSERT INTO `lang_definitions` VALUES (21532, 2149, 6, 'Voer diagnosecode in om alle facturen uit te sluiten die het NIET bevatten');
INSERT INTO `lang_definitions` VALUES (21533, 2150, 6, 'Een aanpassing aanbrengen');
INSERT INTO `lang_definitions` VALUES (21534, 2151, 6, 'Hier de BODY van brief invullen');
INSERT INTO `lang_definitions` VALUES (21535, 2152, 6, 'Invullen ROOT Paswoord voor DB');
INSERT INTO `lang_definitions` VALUES (21536, 2153, 6, 'Invullen ROOT Gebruikersnaam voor DB');
INSERT INTO `lang_definitions` VALUES (21537, 2154, 6, 'Invullen Diagnose');
INSERT INTO `lang_definitions` VALUES (21538, 2155, 6, 'Invullen Medicatie');
INSERT INTO `lang_definitions` VALUES (21539, 2156, 6, 'Enter Encounter');
INSERT INTO `lang_definitions` VALUES (21540, 2157, 6, 'Enter Encounter nummer');
INSERT INTO `lang_definitions` VALUES (21541, 2158, 6, 'Invullen Vaccinatie');
INSERT INTO `lang_definitions` VALUES (21542, 2159, 6, 'Enter key');
INSERT INTO `lang_definitions` VALUES (21543, 2160, 6, 'Nieuwe data invullen');
INSERT INTO `lang_definitions` VALUES (21544, 2161, 6, 'Nieuwe provincie/eiland toevoegen');
INSERT INTO `lang_definitions` VALUES (21545, 2162, 6, 'Enter Ontvanger\'s adres');
INSERT INTO `lang_definitions` VALUES (21546, 2163, 6, 'Hier de LOINC codes voor Procedure invullen');
INSERT INTO `lang_definitions` VALUES (21547, 2164, 6, 'Invullen Re Identificatie code');
INSERT INTO `lang_definitions` VALUES (21548, 2165, 6, 'Vul uw zoek criteria hierboven in');
INSERT INTO `lang_definitions` VALUES (21549, 2166, 6, 'Enter is FOUT');
INSERT INTO `lang_definitions` VALUES (21550, 2167, 6, 'van zoekopdracht');
INSERT INTO `lang_definitions` VALUES (21551, 2168, 6, 'Omgeving gebonden');
INSERT INTO `lang_definitions` VALUES (21552, 2169, 6, 'EOB Data Invoer');
INSERT INTO `lang_definitions` VALUES (21553, 2170, 6, 'EOB Detachering - Elektronische geldovermakingen');
INSERT INTO `lang_definitions` VALUES (21554, 2171, 6, 'EOB Detachering - Instructies');
INSERT INTO `lang_definitions` VALUES (21555, 2172, 6, 'EOB Detachering - Factuur');
INSERT INTO `lang_definitions` VALUES (21556, 2173, 6, 'EOB Detachering - Patient opmerking');
INSERT INTO `lang_definitions` VALUES (21557, 2174, 6, 'EOB Detachering - Zoeken');
INSERT INTO `lang_definitions` VALUES (21558, 2176, 6, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (21559, 2178, 6, 'ERA');
INSERT INTO `lang_definitions` VALUES (21560, 2179, 6, 'ERA Files');
INSERT INTO `lang_definitions` VALUES (21561, 2180, 6, 'ERA vastleggen');
INSERT INTO `lang_definitions` VALUES (21562, 2181, 6, 'Verwijder');
INSERT INTO `lang_definitions` VALUES (21563, 2182, 6, 'Erecties');
INSERT INTO `lang_definitions` VALUES (21564, 2183, 6, 'FOUT');
INSERT INTO `lang_definitions` VALUES (21565, 2184, 6, 'FOUT');
INSERT INTO `lang_definitions` VALUES (21566, 2185, 6, 'FOUT bij bevestiging RX of Lab resultaat');
INSERT INTO `lang_definitions` VALUES (21567, 2187, 6, 'FOUT Geen Lab resultaten te krijgen van Lab Exchange netwerk');
INSERT INTO `lang_definitions` VALUES (21568, 2188, 6, 'FOUT in keuze geslacht');
INSERT INTO `lang_definitions` VALUES (21569, 2189, 6, 'FOUT in HIPAA selectie');
INSERT INTO `lang_definitions` VALUES (21570, 2190, 6, 'FOUT in Verwerking keuze');
INSERT INTO `lang_definitions` VALUES (21571, 2191, 6, 'FOUT bij het SMS Gateway selectie');
INSERT INTO `lang_definitions` VALUES (21572, 2192, 6, 'FOUT in \"Sorteren op\" keuze');
INSERT INTO `lang_definitions` VALUES (21573, 2193, 6, 'FOUT in gzip gecomprimeerde file ');
INSERT INTO `lang_definitions` VALUES (21574, 2194, 6, 'FOUT in JA of NEE keuze');
INSERT INTO `lang_definitions` VALUES (21575, 2195, 6, 'FOUT bij lezen tijdens openen van ge-uploadde file');
INSERT INTO `lang_definitions` VALUES (21576, 2196, 6, 'FOUT bij verwerken van File');
INSERT INTO `lang_definitions` VALUES (21577, 2197, 6, 'FOUT bij Upload verwerking');
INSERT INTO `lang_definitions` VALUES (21578, 2198, 6, 'FOUT bij verwijderen bericht');
INSERT INTO `lang_definitions` VALUES (21579, 2199, 6, 'FOUT bij ophalen van Lab Uitwisselings Netwerk');
INSERT INTO `lang_definitions` VALUES (21580, 2200, 6, 'FOUT bij ophalen van waarden');
INSERT INTO `lang_definitions` VALUES (21581, 2201, 6, 'FOUT bij bewaren van het Document');
INSERT INTO `lang_definitions` VALUES (21582, 2202, 6, 'FOUT bij toekennen bestandprivileges aan LibreEHR gebruiker');
INSERT INTO `lang_definitions` VALUES (21583, 2205, 6, 'FOUT tijdens registreren van formulier');
INSERT INTO `lang_definitions` VALUES (21584, 2206, 6, 'FOUT tijdens bewaren van bestand opgetreden');
INSERT INTO `lang_definitions` VALUES (21585, 2208, 6, 'FOUT tijdens schrijven naar bestand');
INSERT INTO `lang_definitions` VALUES (21586, 2209, 6, 'FOUT gevonden bij nieuwe resultaten');
INSERT INTO `lang_definitions` VALUES (21587, 2210, 6, 'FOUT: het bestand bestaat niet');
INSERT INTO `lang_definitions` VALUES (21588, 2211, 6, 'FOUT: kon geen data van server ophalen');
INSERT INTO `lang_definitions` VALUES (21589, 2212, 6, 'FOUT: kan geen client certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (21590, 2213, 6, 'FOUT: kan geen admin.p12 certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (21591, 2214, 6, 'FOUT: kan geen Certificaat Ahtorithy certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (21592, 2215, 6, 'FOUT: Kan geen Server Certificaat aanmaken');
INSERT INTO `lang_definitions` VALUES (21593, 2216, 6, 'FOUT: kon bestand niet openen');
INSERT INTO `lang_definitions` VALUES (21594, 2217, 6, 'FOUT: User Certificaat Atuhenticatie is niet geactiveerd');
INSERT INTO `lang_definitions` VALUES (21595, 2218, 6, 'FOUT. Je moet de Archive/Tar.php php-module installeren.');
INSERT INTO `lang_definitions` VALUES (21596, 2219, 6, 'FOUT: kon tabel.sql niet openen, gebroken form?');
INSERT INTO `lang_definitions` VALUES (21597, 2220, 6, 'FOUT: Dubbele ID op lijn');
INSERT INTO `lang_definitions` VALUES (21598, 2221, 6, 'FOUT: Dubbele naam op lijn');
INSERT INTO `lang_definitions` VALUES (21599, 2222, 6, 'FOUT: Veld');
INSERT INTO `lang_definitions` VALUES (21600, 2223, 6, 'FOUT: ZipArchive PHP module niet gevonden');
INSERT INTO `lang_definitions` VALUES (21601, 2224, 6, 'FOUT: Geen ICD import folder.');
INSERT INTO `lang_definitions` VALUES (21602, 2225, 6, 'FOUT: wachtwoord komt niet overeen. Controleer op typfouten');
INSERT INTO `lang_definitions` VALUES (21603, 2226, 6, 'FOUT: wachtwoord komt niet overeen. Controleer op typfouten');
INSERT INTO `lang_definitions` VALUES (21604, 2227, 6, 'FOUT: het bestand bestaat niet');
INSERT INTO `lang_definitions` VALUES (21605, 2228, 6, 'FOUT: De volgende variabele bevat ongeldige tekens');
INSERT INTO `lang_definitions` VALUES (21606, 2229, 6, 'FOUT kan file niet copieeren');
INSERT INTO `lang_definitions` VALUES (21607, 2230, 6, 'FOUT: Het is niet mogelijk download-bare archief te creëren');
INSERT INTO `lang_definitions` VALUES (21608, 2231, 6, 'FOUT: Niet mogelijk een Zip Archief te maken');
INSERT INTO `lang_definitions` VALUES (21609, 2232, 6, 'FOUT: Niet mogelijk de file te extraheren');
INSERT INTO `lang_definitions` VALUES (21610, 2233, 6, 'FOUT: Niet mogelijk de file te laden naar de Database');
INSERT INTO `lang_definitions` VALUES (21611, 2234, 6, 'FOUT: Versie nummer niet mogelijk aan te maken.');
INSERT INTO `lang_definitions` VALUES (21612, 2235, 6, 'FOUTEN');
INSERT INTO `lang_definitions` VALUES (21613, 2236, 6, 'eRx Account status');
INSERT INTO `lang_definitions` VALUES (21614, 2237, 6, 'eRX Rekening status');
INSERT INTO `lang_definitions` VALUES (21615, 2238, 6, 'ERX Naam');
INSERT INTO `lang_definitions` VALUES (21616, 2239, 6, 'ERX Passwoord');
INSERT INTO `lang_definitions` VALUES (21617, 2240, 6, 'ERX rol');
INSERT INTO `lang_definitions` VALUES (21618, 2241, 6, 'ERX User');
INSERT INTO `lang_definitions` VALUES (21619, 2242, 6, 'Erytheem:');
INSERT INTO `lang_definitions` VALUES (21620, 2243, 6, 'electronisch tekeken');
INSERT INTO `lang_definitions` VALUES (21621, 2244, 6, 'Log voor electronisch tekenen');
INSERT INTO `lang_definitions` VALUES (21622, 2245, 6, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (21623, 2246, 6, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (21624, 2247, 6, 'Bekende patient');
INSERT INTO `lang_definitions` VALUES (21625, 2248, 6, 'Estland');
INSERT INTO `lang_definitions` VALUES (21626, 2249, 6, 'Etniciteit');
INSERT INTO `lang_definitions` VALUES (21627, 2250, 6, 'Ras of afkomst');
INSERT INTO `lang_definitions` VALUES (21628, 2251, 6, 'Afkomst-Ras lijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (21629, 2252, 6, 'ETIN');
INSERT INTO `lang_definitions` VALUES (21630, 2253, 6, 'Gebeurtenis');
INSERT INTO `lang_definitions` VALUES (21631, 2254, 6, 'Start gebeurtenis');
INSERT INTO `lang_definitions` VALUES (21632, 2255, 6, 'Gebeurtenis categorie');
INSERT INTO `lang_definitions` VALUES (21633, 2256, 6, 'Gebeurtenis datum');
INSERT INTO `lang_definitions` VALUES (21634, 2257, 6, 'Gebeurtenis omschrijving');
INSERT INTO `lang_definitions` VALUES (21635, 2258, 6, 'Gebeurtenis details');
INSERT INTO `lang_definitions` VALUES (21636, 2259, 6, 'Gebeurtenis zonder herhaling');
INSERT INTO `lang_definitions` VALUES (21637, 2260, 6, 'Duur van gebeurtenis');
INSERT INTO `lang_definitions` VALUES (21638, 2261, 6, 'Duur gebeurtenis in minuten');
INSERT INTO `lang_definitions` VALUES (21639, 2262, 6, 'Bedrag van gebeurtenis');
INSERT INTO `lang_definitions` VALUES (21640, 2263, 6, 'Locatie gebeurtenis');
INSERT INTO `lang_definitions` VALUES (21641, 2264, 6, 'Gebeurtenis herhaalt zich iedere');
INSERT INTO `lang_definitions` VALUES (21642, 2265, 6, 'Gebeurtenius herhaalt zich op');
INSERT INTO `lang_definitions` VALUES (21643, 2266, 6, 'Gebeurtenis startdatum');
INSERT INTO `lang_definitions` VALUES (21644, 2267, 6, 'Gebeurtenis titel');
INSERT INTO `lang_definitions` VALUES (21645, 2268, 6, 'Gebeurtenis titel');
INSERT INTO `lang_definitions` VALUES (21646, 2269, 6, 'Website gebeurtenis');
INSERT INTO `lang_definitions` VALUES (21647, 2270, 6, 'Gebeurtenissen in blok laten zien');
INSERT INTO `lang_definitions` VALUES (21648, 2271, 6, 'Gebeurtenissen voor');
INSERT INTO `lang_definitions` VALUES (21649, 2272, 6, 'Gebeurtenis opent nieuw venster');
INSERT INTO `lang_definitions` VALUES (21650, 2273, 6, 'iedere');
INSERT INTO `lang_definitions` VALUES (21651, 2274, 6, 'Iedere');
INSERT INTO `lang_definitions` VALUES (21652, 2275, 6, 'iedere 3 uur');
INSERT INTO `lang_definitions` VALUES (21653, 2276, 6, 'iedere 4 uur');
INSERT INTO `lang_definitions` VALUES (21654, 2277, 6, 'iedere 5 uur');
INSERT INTO `lang_definitions` VALUES (21655, 2278, 6, 'iedere 6 uur');
INSERT INTO `lang_definitions` VALUES (21656, 2279, 6, 'iedere 8 uur');
INSERT INTO `lang_definitions` VALUES (21657, 2280, 6, 'Iedere vierde');
INSERT INTO `lang_definitions` VALUES (21658, 2281, 6, 'Ieder ander');
INSERT INTO `lang_definitions` VALUES (21659, 2282, 6, 'Iedere derde');
INSERT INTO `lang_definitions` VALUES (21660, 2283, 6, 'Iedere, om de, iedere 3e, etc.');
INSERT INTO `lang_definitions` VALUES (21661, 2284, 6, 'Ewe');
INSERT INTO `lang_definitions` VALUES (21662, 2285, 6, 'Onderzoeks- en testresultaten');
INSERT INTO `lang_definitions` VALUES (21663, 2286, 6, 'Onderzoeksresultaten');
INSERT INTO `lang_definitions` VALUES (21664, 2289, 6, 'Onderzoek');
INSERT INTO `lang_definitions` VALUES (21665, 2290, 6, 'Datum onderzoek');
INSERT INTO `lang_definitions` VALUES (21666, 2291, 6, 'Voorbeeld');
INSERT INTO `lang_definitions` VALUES (21667, 2292, 6, 'Voorbeelden');
INSERT INTO `lang_definitions` VALUES (21668, 2293, 6, 'Onderzoek en lab.testen');
INSERT INTO `lang_definitions` VALUES (21669, 2294, 6, 'Uitgezonderd');
INSERT INTO `lang_definitions` VALUES (21670, 2295, 6, 'Buitengewoon scheuren');
INSERT INTO `lang_definitions` VALUES (21671, 2296, 6, 'Patienten eitgezonderd');
INSERT INTO `lang_definitions` VALUES (21672, 2297, 6, 'Uitzonderingen');
INSERT INTO `lang_definitions` VALUES (21673, 2298, 6, 'Exclusieve Organisatie van behandelaar (EPO)');
INSERT INTO `lang_definitions` VALUES (21674, 2299, 6, 'Executive (maat voor papier)');
INSERT INTO `lang_definitions` VALUES (21675, 2300, 6, 'Oefenen');
INSERT INTO `lang_definitions` VALUES (21676, 2301, 6, 'Soort oefeningen');
INSERT INTO `lang_definitions` VALUES (21677, 2302, 6, 'Soort oefeningen');
INSERT INTO `lang_definitions` VALUES (21678, 2303, 6, 'Bestaat');
INSERT INTO `lang_definitions` VALUES (21679, 2304, 6, 'Uit Admin weggaan');
INSERT INTO `lang_definitions` VALUES (21680, 2305, 6, 'Exp');
INSERT INTO `lang_definitions` VALUES (21681, 2306, 6, 'Uitvouwen');
INSERT INTO `lang_definitions` VALUES (21682, 2307, 6, 'uitvouwen');
INSERT INTO `lang_definitions` VALUES (21683, 2308, 6, 'Alles uitvouwen');
INSERT INTO `lang_definitions` VALUES (21684, 2311, 6, 'Uitgevouwen scherm');
INSERT INTO `lang_definitions` VALUES (21685, 2312, 6, 'Verwacht formulier_ontmoeting. pid om te zijn ');
INSERT INTO `lang_definitions` VALUES (21686, 2313, 6, 'Verloopdatum');
INSERT INTO `lang_definitions` VALUES (21687, 2314, 6, 'Vervaldatum');
INSERT INTO `lang_definitions` VALUES (21688, 2315, 6, 'Verloopt');
INSERT INTO `lang_definitions` VALUES (21689, 2316, 6, 'verloopt in');
INSERT INTO `lang_definitions` VALUES (21690, 2317, 6, 'Exporteren');
INSERT INTO `lang_definitions` VALUES (21691, 2318, 6, 'Exporteren als CSV');
INSERT INTO `lang_definitions` VALUES (21692, 2319, 6, 'Configuratie exporteren');
INSERT INTO `lang_definitions` VALUES (21693, 2322, 6, 'Exporteer patientpersoonsgegevens');
INSERT INTO `lang_definitions` VALUES (21694, 2323, 6, 'Exporteren PQRI rapport');
INSERT INTO `lang_definitions` VALUES (21695, 2325, 6, 'Exporteer geselecteerde als CSV');
INSERT INTO `lang_definitions` VALUES (21696, 2326, 6, 'Exporteer geselecteerde naar Verzamelingen');
INSERT INTO `lang_definitions` VALUES (21697, 2327, 6, 'Exporteren naar CSV');
INSERT INTO `lang_definitions` VALUES (21698, 2328, 6, 'Exporteren naar extern factureringssysteem');
INSERT INTO `lang_definitions` VALUES (21699, 2329, 6, 'Is in buitenland geweest');
INSERT INTO `lang_definitions` VALUES (21700, 2330, 6, 'Komt recent uit buitenland');
INSERT INTO `lang_definitions` VALUES (21701, 2331, 6, 'Ext. tijd verzameld');
INSERT INTO `lang_definitions` VALUES (21702, 2332, 6, 'Uitwendig');
INSERT INTO `lang_definitions` VALUES (21703, 2334, 6, 'Externe data Loads');
INSERT INTO `lang_definitions` VALUES (21704, 2335, 6, 'Extras d.m.v. externe-Database imports');
INSERT INTO `lang_definitions` VALUES (21705, 2336, 6, 'Extern-ID');
INSERT INTO `lang_definitions` VALUES (21706, 2337, 6, 'Extern ID');
INSERT INTO `lang_definitions` VALUES (21707, 2338, 6, 'Extern-ID');
INSERT INTO `lang_definitions` VALUES (21708, 2339, 6, 'Niet medewerkers');
INSERT INTO `lang_definitions` VALUES (21709, 2342, 6, 'Verwijzing naar');
INSERT INTO `lang_definitions` VALUES (21710, 2343, 6, 'Verwijzing naar elders, follow-ups');
INSERT INTO `lang_definitions` VALUES (21711, 2344, 6, 'Verwijzing naar elders?');
INSERT INTO `lang_definitions` VALUES (21712, 2345, 6, 'Externe verwijzingen');
INSERT INTO `lang_definitions` VALUES (21713, 2346, 6, 'Zip file extraheren');
INSERT INTO `lang_definitions` VALUES (21714, 2347, 6, 'File extraheren. Dit kost even tijd.....');
INSERT INTO `lang_definitions` VALUES (21715, 2348, 6, 'Exudaat:');
INSERT INTO `lang_definitions` VALUES (21716, 2349, 6, 'Oogirritatie');
INSERT INTO `lang_definitions` VALUES (21717, 2350, 6, 'Oogpijn');
INSERT INTO `lang_definitions` VALUES (21718, 2351, 6, 'Roodheid oog');
INSERT INTO `lang_definitions` VALUES (21719, 2352, 6, 'Ogen');
INSERT INTO `lang_definitions` VALUES (21720, 2353, 6, 'F');
INSERT INTO `lang_definitions` VALUES (21721, 2354, 6, 'FH Bloedproblemen');
INSERT INTO `lang_definitions` VALUES (21722, 2355, 6, 'FH Vrouw Hirsutisme/Striea');
INSERT INTO `lang_definitions` VALUES (21723, 2356, 6, 'Locaties');
INSERT INTO `lang_definitions` VALUES (21724, 2357, 6, 'Locatie');
INSERT INTO `lang_definitions` VALUES (21725, 2358, 6, 'locatie');
INSERT INTO `lang_definitions` VALUES (21726, 2359, 6, 'Administratie locatie');
INSERT INTO `lang_definitions` VALUES (21727, 2360, 6, 'Stad van Faciliteit');
INSERT INTO `lang_definitions` VALUES (21728, 2361, 6, 'Lokatie-Code');
INSERT INTO `lang_definitions` VALUES (21729, 2362, 6, 'Faciliteit landen code');
INSERT INTO `lang_definitions` VALUES (21730, 2363, 6, 'Faciliteit Fax');
INSERT INTO `lang_definitions` VALUES (21731, 2364, 6, 'Naam Locatie');
INSERT INTO `lang_definitions` VALUES (21732, 2365, 6, 'Registr.# van Locatie');
INSERT INTO `lang_definitions` VALUES (21733, 2366, 6, 'Faciliteit telefoon');
INSERT INTO `lang_definitions` VALUES (21734, 2367, 6, 'Faciliteit specifieke User informatie');
INSERT INTO `lang_definitions` VALUES (21735, 2368, 6, 'Faciliteit staat');
INSERT INTO `lang_definitions` VALUES (21736, 2369, 6, 'Faciliteit straat');
INSERT INTO `lang_definitions` VALUES (21737, 2370, 6, 'Faciliteit Zip');
INSERT INTO `lang_definitions` VALUES (21738, 2372, 6, 'Locatie:');
INSERT INTO `lang_definitions` VALUES (21739, 2373, 6, 'MISLUKT');
INSERT INTO `lang_definitions` VALUES (21740, 2374, 6, 'mislukt');
INSERT INTO `lang_definitions` VALUES (21741, 2375, 6, 'Mislukt');
INSERT INTO `lang_definitions` VALUES (21742, 2376, 6, 'Mislukte patienten');
INSERT INTO `lang_definitions` VALUES (21743, 2377, 6, 'Niet gelukt om patient aan Portaal toe te voegen');
INSERT INTO `lang_definitions` VALUES (21744, 2378, 6, 'Niet gelukt een unieke file naam te geven');
INSERT INTO `lang_definitions` VALUES (21745, 2379, 6, 'Niet gelukt om aan te maken');
INSERT INTO `lang_definitions` VALUES (21746, 2380, 6, 'Aanmaken tijdelijke folder mislukt. CouchDB zal niet werken');
INSERT INTO `lang_definitions` VALUES (21747, 2382, 6, 'Mislukt.');
INSERT INTO `lang_definitions` VALUES (21748, 2383, 6, 'mislukking');
INSERT INTO `lang_definitions` VALUES (21749, 2384, 6, 'Mislukking');
INSERT INTO `lang_definitions` VALUES (21750, 2385, 6, 'Notitie van mislukking: Directe boodschap sturen is mislukt.');
INSERT INTO `lang_definitions` VALUES (21751, 2390, 6, 'Familiegeschiedenis');
INSERT INTO `lang_definitions` VALUES (21752, 2391, 6, 'Familiaire belasting Glaucoma');
INSERT INTO `lang_definitions` VALUES (21753, 2392, 6, 'Familiaire belasting:');
INSERT INTO `lang_definitions` VALUES (21754, 2394, 6, 'Betaling voor familie');
INSERT INTO `lang_definitions` VALUES (21755, 2395, 6, 'Familiegrootte');
INSERT INTO `lang_definitions` VALUES (21756, 2396, 6, 'Fancy');
INSERT INTO `lang_definitions` VALUES (21757, 2397, 6, 'Faroese');
INSERT INTO `lang_definitions` VALUES (21758, 2398, 6, 'Farsi');
INSERT INTO `lang_definitions` VALUES (21759, 2400, 6, 'VaderHistorie van vader');
INSERT INTO `lang_definitions` VALUES (21760, 2401, 6, 'Vermoeid');
INSERT INTO `lang_definitions` VALUES (21761, 2402, 6, 'Vermoeidheid');
INSERT INTO `lang_definitions` VALUES (21762, 2403, 6, 'Vermoeid');
INSERT INTO `lang_definitions` VALUES (21763, 2404, 6, 'Fax');
INSERT INTO `lang_definitions` VALUES (21764, 2405, 6, 'Totaal faxen');
INSERT INTO `lang_definitions` VALUES (21765, 2406, 6, 'Faxnummer');
INSERT INTO `lang_definitions` VALUES (21766, 2408, 6, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (21767, 2409, 6, 'Fax ingekomen');
INSERT INTO `lang_definitions` VALUES (21768, 2410, 6, 'Fax uitgegaan');
INSERT INTO `lang_definitions` VALUES (21769, 2411, 6, 'Mogelijkheden');
INSERT INTO `lang_definitions` VALUES (21770, 2412, 6, 'Feb');
INSERT INTO `lang_definitions` VALUES (21771, 2413, 6, 'Februari');
INSERT INTO `lang_definitions` VALUES (21772, 2414, 6, 'FECA');
INSERT INTO `lang_definitions` VALUES (21773, 2415, 6, 'Medicijn ID-nummer overheid');
INSERT INTO `lang_definitions` VALUES (21774, 2416, 6, 'Federale EIN');
INSERT INTO `lang_definitions` VALUES (21775, 2417, 6, 'CRIB nummer');
INSERT INTO `lang_definitions` VALUES (21776, 2418, 6, 'Tarief');
INSERT INTO `lang_definitions` VALUES (21777, 2419, 6, 'tarief');
INSERT INTO `lang_definitions` VALUES (21778, 2420, 6, 'Kan niet in rekening gebracht worden');
INSERT INTO `lang_definitions` VALUES (21779, 2421, 6, 'Financieel werkblad');
INSERT INTO `lang_definitions` VALUES (21780, 2422, 6, 'Optie voor Honorarium formulier');
INSERT INTO `lang_definitions` VALUES (21781, 2423, 6, 'Financieel');
INSERT INTO `lang_definitions` VALUES (21782, 2424, 6, 'Vrouw');
INSERT INTO `lang_definitions` VALUES (21783, 2425, 6, 'Vrouw AP (Abortus Provocatus)');
INSERT INTO `lang_definitions` VALUES (21784, 2426, 6, 'Vrouwencondoom');
INSERT INTO `lang_definitions` VALUES (21785, 2427, 6, 'Vrouw G (Gravida)');
INSERT INTO `lang_definitions` VALUES (21786, 2428, 6, 'Vrouw LC (Living Children)');
INSERT INTO `lang_definitions` VALUES (21787, 2429, 6, 'Vrouw P (Partus)');
INSERT INTO `lang_definitions` VALUES (21788, 2430, 6, 'Symptomen vrouw');
INSERT INTO `lang_definitions` VALUES (21789, 2431, 6, 'Vrouw VSC');
INSERT INTO `lang_definitions` VALUES (21790, 2432, 6, 'Opzoeken');
INSERT INTO `lang_definitions` VALUES (21791, 2433, 6, 'De volgende file opzoeken via de Portaal');
INSERT INTO `lang_definitions` VALUES (21792, 2434, 6, 'Koorts');
INSERT INTO `lang_definitions` VALUES (21793, 2435, 6, 'Koorts:');
INSERT INTO `lang_definitions` VALUES (21794, 2436, 6, 'FH Bloedproblemen');
INSERT INTO `lang_definitions` VALUES (21795, 2437, 6, 'Fibroiden');
INSERT INTO `lang_definitions` VALUES (21796, 2438, 6, 'Veld');
INSERT INTO `lang_definitions` VALUES (21797, 2439, 6, 'Veld \'naam\' kan niet NULL zijn');
INSERT INTO `lang_definitions` VALUES (21798, 2441, 6, 'Veldtype te gebruiken voor werkgever of ingeschrevene als Land in Demografie');
INSERT INTO `lang_definitions` VALUES (21799, 2442, 6, 'Veldtype te gebruiken voor werkgever of ingeschrevene als Staat in Demografie');
INSERT INTO `lang_definitions` VALUES (21800, 2443, 6, 'Veld(en) niet aangemaakt');
INSERT INTO `lang_definitions` VALUES (21801, 2446, 6, 'Fijan');
INSERT INTO `lang_definitions` VALUES (21802, 2447, 6, 'Bestand');
INSERT INTO `lang_definitions` VALUES (21803, 2448, 6, 'bestand in de Documentatie-map om te leren hoe automatische backups van log te maken');
INSERT INTO `lang_definitions` VALUES (21804, 2449, 6, 'Bestandslocatie');
INSERT INTO `lang_definitions` VALUES (21805, 2450, 6, 'FIle management');
INSERT INTO `lang_definitions` VALUES (21806, 2453, 6, 'File pivilege toegekend aan LibreEHR gebruiker');
INSERT INTO `lang_definitions` VALUES (21807, 2454, 6, 'Oproepen van File uit CouchDB mislukt');
INSERT INTO `lang_definitions` VALUES (21808, 2455, 6, 'Archiefruimte');
INSERT INTO `lang_definitions` VALUES (21809, 2456, 6, 'File om te uploaden');
INSERT INTO `lang_definitions` VALUES (21810, 2457, 6, 'File om te uploaden');
INSERT INTO `lang_definitions` VALUES (21811, 2458, 6, 'Bestand met dezelfde naam bestaat reeds op locatie:');
INSERT INTO `lang_definitions` VALUES (21812, 2459, 6, 'Bestandsnaam');
INSERT INTO `lang_definitions` VALUES (21813, 2460, 6, 'Naam van de file moet eindigen op \".pdf\"');
INSERT INTO `lang_definitions` VALUES (21814, 2461, 6, 'Files');
INSERT INTO `lang_definitions` VALUES (21815, 2462, 6, 'Filipijn');
INSERT INTO `lang_definitions` VALUES (21816, 2463, 6, 'Vul een of meer van de vakken in onderstaande RIJ');
INSERT INTO `lang_definitions` VALUES (21817, 2464, 6, 'Dit alleen invullen als de patient een e-mail bericht krijgt');
INSERT INTO `lang_definitions` VALUES (21818, 2465, 6, 'Waarden hier beneden invullen');
INSERT INTO `lang_definitions` VALUES (21819, 2467, 6, 'Vul de RIJ');
INSERT INTO `lang_definitions` VALUES (21820, 2468, 6, 'Filter');
INSERT INTO `lang_definitions` VALUES (21821, 2469, 6, 'Filter voor Constanten');
INSERT INTO `lang_definitions` VALUES (21822, 2470, 6, 'Filter voor Definities');
INSERT INTO `lang_definitions` VALUES (21823, 2471, 6, 'gefilterd uit');
INSERT INTO `lang_definitions` VALUES (21824, 2472, 6, 'filters');
INSERT INTO `lang_definitions` VALUES (21825, 2473, 6, 'Filters');
INSERT INTO `lang_definitions` VALUES (21826, 2474, 6, 'Eind');
INSERT INTO `lang_definitions` VALUES (21827, 2475, 6, 'Einddiagnose');
INSERT INTO `lang_definitions` VALUES (21828, 2476, 6, 'Einddiagnose volgens specialist');
INSERT INTO `lang_definitions` VALUES (21829, 2478, 6, 'Financieel');
INSERT INTO `lang_definitions` VALUES (21830, 2479, 6, 'Financiele sluitings datum (jjjj-mm-dd)');
INSERT INTO `lang_definitions` VALUES (21831, 2480, 6, 'Financieel overzicht - alles');
INSERT INTO `lang_definitions` VALUES (21832, 2481, 6, 'Financieel overzicht - mijn contacten');
INSERT INTO `lang_definitions` VALUES (21833, 2482, 6, 'Datum financiele aanpassingen');
INSERT INTO `lang_definitions` VALUES (21834, 2483, 6, 'Financiele samenvatting op Service Code');
INSERT INTO `lang_definitions` VALUES (21835, 2484, 6, 'Zoek');
INSERT INTO `lang_definitions` VALUES (21836, 2485, 6, 'Zoek beschikbaar');
INSERT INTO `lang_definitions` VALUES (21837, 2486, 6, 'Zoek beschikbare afspraaktijden');
INSERT INTO `lang_definitions` VALUES (21838, 2487, 6, 'Zoek pt');
INSERT INTO `lang_definitions` VALUES (21839, 2488, 6, 'Zoek naar Patienten voorlichtingsmateriaal');
INSERT INTO `lang_definitions` VALUES (21840, 2489, 6, 'Evaluatie');
INSERT INTO `lang_definitions` VALUES (21841, 2490, 6, 'Evaluatie gegevens specialist');
INSERT INTO `lang_definitions` VALUES (21842, 2491, 6, 'Boete');
INSERT INTO `lang_definitions` VALUES (21843, 2492, 6, 'Afronden betalingen');
INSERT INTO `lang_definitions` VALUES (21844, 2493, 6, 'beeindigd');
INSERT INTO `lang_definitions` VALUES (21845, 2494, 6, 'Eind');
INSERT INTO `lang_definitions` VALUES (21846, 2495, 6, 'Eerste');
INSERT INTO `lang_definitions` VALUES (21847, 2497, 6, 'Eerste weekdag');
INSERT INTO `lang_definitions` VALUES (21848, 2498, 6, 'Voornaam');
INSERT INTO `lang_definitions` VALUES (21849, 2499, 6, 'Voornaam');
INSERT INTO `lang_definitions` VALUES (21850, 2500, 6, 'Voornaam:');
INSERT INTO `lang_definitions` VALUES (21851, 2501, 6, 'Eerste bezoek of consultatie');
INSERT INTO `lang_definitions` VALUES (21852, 2502, 6, 'Voornaam Achternaam');
INSERT INTO `lang_definitions` VALUES (21853, 2503, 6, 'Recreatie Sporten');
INSERT INTO `lang_definitions` VALUES (21854, 2504, 6, 'Mate van Fitness');
INSERT INTO `lang_definitions` VALUES (21855, 2505, 6, 'Mate van Fitness voor deze speler voor deze dag');
INSERT INTO `lang_definitions` VALUES (21856, 2506, 6, 'Tesste van conditie');
INSERT INTO `lang_definitions` VALUES (21857, 2507, 6, 'Gezond om te spelen');
INSERT INTO `lang_definitions` VALUES (21858, 2508, 6, 'Herstel contactdatums- maak een keuze');
INSERT INTO `lang_definitions` VALUES (21859, 2509, 6, 'Corrigeer dit');
INSERT INTO `lang_definitions` VALUES (21860, 2510, 6, 'FL');
INSERT INTO `lang_definitions` VALUES (21861, 2511, 6, 'Flatulentie');
INSERT INTO `lang_definitions` VALUES (21862, 2512, 6, 'Stroom');
INSERT INTO `lang_definitions` VALUES (21863, 2514, 6, 'Influenza seizoen');
INSERT INTO `lang_definitions` VALUES (21864, 2515, 6, 'Influenza seizoen');
INSERT INTO `lang_definitions` VALUES (21865, 2516, 6, 'Griepprik');
INSERT INTO `lang_definitions` VALUES (21866, 2517, 6, 'Probleem met vloeistof en electrolyten');
INSERT INTO `lang_definitions` VALUES (21867, 2518, 6, 'FMS');
INSERT INTO `lang_definitions` VALUES (21868, 2519, 6, 'Folio (papier maat)');
INSERT INTO `lang_definitions` VALUES (21869, 2520, 6, 'Handmatig controleren');
INSERT INTO `lang_definitions` VALUES (21870, 2521, 6, 'Volg deze instructies voor installeren en upgrading van de database');
INSERT INTO `lang_definitions` VALUES (21871, 2522, 6, 'Follow up');
INSERT INTO `lang_definitions` VALUES (21872, 2524, 6, 'Follow up Reden');
INSERT INTO `lang_definitions` VALUES (21873, 2525, 6, 'Volgende is een nieuwe zelf aangemaakte constante');
INSERT INTO `lang_definitions` VALUES (21874, 2526, 6, 'Volgende is een nieuwe zelf aangemaakte taal:');
INSERT INTO `lang_definitions` VALUES (21875, 2527, 6, 'Volgende is een nieuwe definitie (Taal, Constante, Definitie):');
INSERT INTO `lang_definitions` VALUES (21876, 2528, 6, 'De volgende regels van de AUDIT log zijn aangepast');
INSERT INTO `lang_definitions` VALUES (21877, 2529, 6, 'Follow up Services');
INSERT INTO `lang_definitions` VALUES (21878, 2530, 6, 'Follow up geindiceerd');
INSERT INTO `lang_definitions` VALUES (21879, 2531, 6, 'Voedselintolerantie');
INSERT INTO `lang_definitions` VALUES (21880, 2532, 6, 'Voet');
INSERT INTO `lang_definitions` VALUES (21881, 2533, 6, 'Voetproblemen');
INSERT INTO `lang_definitions` VALUES (21882, 2534, 6, 'Voet:');
INSERT INTO `lang_definitions` VALUES (21883, 2535, 6, 'Voetbalblessures');
INSERT INTO `lang_definitions` VALUES (21884, 2536, 6, 'Voetbalblessure');
INSERT INTO `lang_definitions` VALUES (21885, 2537, 6, 'Voetbalblessure rapport');
INSERT INTO `lang_definitions` VALUES (21886, 2538, 6, 'Soort schoeisel');
INSERT INTO `lang_definitions` VALUES (21887, 2539, 6, 'voor');
INSERT INTO `lang_definitions` VALUES (21888, 2540, 6, 'Voor');
INSERT INTO `lang_definitions` VALUES (21889, 2541, 6, 'Voor Code');
INSERT INTO `lang_definitions` VALUES (21890, 2543, 6, 'Voor Encounter Claims');
INSERT INTO `lang_definitions` VALUES (21891, 2544, 6, 'Bijvoorbeeld:');
INSERT INTO `lang_definitions` VALUES (21892, 2545, 6, 'Voor HCFA 02/12 Box 15 is Andere Datum een kwalifier om te specificeren welke datum bedoeld wordt');
INSERT INTO `lang_definitions` VALUES (21893, 2546, 6, 'Voor HCFA 02/12 Begin Datum gespecificeerd op het Encounter formulier moet een kwalifier hebben');
INSERT INTO `lang_definitions` VALUES (21894, 2547, 6, 'voor invoice');
INSERT INTO `lang_definitions` VALUES (21895, 2548, 6, 'Alleen voor Medicare, hierdoor is de verwijzende zorgaanbieder dezelfde als de dienstverlenende zorgaanbieder.');
INSERT INTO `lang_definitions` VALUES (21896, 2549, 6, 'voor OBR plaats bestel nummer');
INSERT INTO `lang_definitions` VALUES (21897, 2550, 6, 'voor patient');
INSERT INTO `lang_definitions` VALUES (21898, 2552, 6, 'Voor de dienstverlenende zorgaanbieder/behandelaar');
INSERT INTO `lang_definitions` VALUES (21899, 2553, 6, 'Voor voorgaande');
INSERT INTO `lang_definitions` VALUES (21900, 2554, 6, 'Voor variabelen');
INSERT INTO `lang_definitions` VALUES (21901, 2555, 6, 'voor:');
INSERT INTO `lang_definitions` VALUES (21902, 2556, 6, 'Force openen van -In Rekening Bengen- Widget');
INSERT INTO `lang_definitions` VALUES (21903, 2557, 6, 'Aanmaken nieuwe patient forceren');
INSERT INTO `lang_definitions` VALUES (21904, 2558, 6, 'Forceer laten zien');
INSERT INTO `lang_definitions` VALUES (21905, 2559, 6, 'Onderarm');
INSERT INTO `lang_definitions` VALUES (21906, 2560, 6, 'Formulier');
INSERT INTO `lang_definitions` VALUES (21907, 2561, 6, 'formulier');
INSERT INTO `lang_definitions` VALUES (21908, 2562, 6, 'Formulier element niet gevonden');
INSERT INTO `lang_definitions` VALUES (21909, 2563, 6, 'Formulier is met succes getekend');
INSERT INTO `lang_definitions` VALUES (21910, 2564, 6, 'Vormgeving');
INSERT INTO `lang_definitions` VALUES (21911, 2565, 6, 'format');
INSERT INTO `lang_definitions` VALUES (21912, 2566, 6, 'Format voor leeftijd tonen');
INSERT INTO `lang_definitions` VALUES (21913, 2567, 6, 'Format ongeschikt voor Med Code');
INSERT INTO `lang_definitions` VALUES (21914, 2568, 6, 'Het format om de meeste datums te tonen');
INSERT INTO `lang_definitions` VALUES (21915, 2569, 6, 'Het format om de tijd merendeels te tonen');
INSERT INTO `lang_definitions` VALUES (21916, 2570, 6, 'Geformatteerd rapport');
INSERT INTO `lang_definitions` VALUES (21917, 2571, 6, 'Was roker');
INSERT INTO `lang_definitions` VALUES (21918, 2572, 6, 'Formulieren');
INSERT INTO `lang_definitions` VALUES (21919, 2573, 6, 'Administratie van formulieren');
INSERT INTO `lang_definitions` VALUES (21920, 2575, 6, 'Voorwaarts');
INSERT INTO `lang_definitions` VALUES (21921, 2576, 6, 'Stuur pagina\'s door met Fax');
INSERT INTO `lang_definitions` VALUES (21922, 2577, 6, 'Ge-forward');
INSERT INTO `lang_definitions` VALUES (21923, 2579, 6, 'Vierde');
INSERT INTO `lang_definitions` VALUES (21924, 2581, 6, 'Fractuur');
INSERT INTO `lang_definitions` VALUES (21925, 2582, 6, 'Fractuur os naviculare');
INSERT INTO `lang_definitions` VALUES (21926, 2583, 6, 'Fractuur malleolus lat.');
INSERT INTO `lang_definitions` VALUES (21927, 2584, 6, 'Fractuur malleolus med.');
INSERT INTO `lang_definitions` VALUES (21928, 2585, 6, 'Fractuur basis metatarsale 5');
INSERT INTO `lang_definitions` VALUES (21929, 2586, 6, 'Frame ondersteuning verplicht');
INSERT INTO `lang_definitions` VALUES (21930, 2587, 6, 'Frans');
INSERT INTO `lang_definitions` VALUES (21931, 2588, 6, 'Frans (Canadees)');
INSERT INTO `lang_definitions` VALUES (21932, 2589, 6, 'Frans (Standaard)');
INSERT INTO `lang_definitions` VALUES (21933, 2590, 6, 'Frequentie');
INSERT INTO `lang_definitions` VALUES (21934, 2591, 6, 'Frequentie verkoudheid');
INSERT INTO `lang_definitions` VALUES (21935, 2592, 6, 'Frequente ziekte');
INSERT INTO `lang_definitions` VALUES (21936, 2593, 6, 'Vrij');
INSERT INTO `lang_definitions` VALUES (21937, 2594, 6, 'Vrijdag');
INSERT INTO `lang_definitions` VALUES (21938, 2595, 6, 'Van');
INSERT INTO `lang_definitions` VALUES (21939, 2596, 6, 'VAN');
INSERT INTO `lang_definitions` VALUES (21940, 2597, 6, 'van');
INSERT INTO `lang_definitions` VALUES (21941, 2598, 6, 'Vanaf datum kan niet later vallen dan heden');
INSERT INTO `lang_definitions` VALUES (21942, 2599, 6, 'Van:');
INSERT INTO `lang_definitions` VALUES (21943, 2600, 6, 'Van: ');
INSERT INTO `lang_definitions` VALUES (21944, 2601, 6, 'VAN_STAD');
INSERT INTO `lang_definitions` VALUES (21945, 2602, 6, 'VAN_EMAIL');
INSERT INTO `lang_definitions` VALUES (21946, 2603, 6, 'VAN_VNAAM');
INSERT INTO `lang_definitions` VALUES (21947, 2604, 6, 'VAN_LNAAM');
INSERT INTO `lang_definitions` VALUES (21948, 2605, 6, 'VAN_MNAAM');
INSERT INTO `lang_definitions` VALUES (21949, 2606, 6, 'VAN_TELEFOON');
INSERT INTO `lang_definitions` VALUES (21950, 2607, 6, 'VAN_MOBIELTEL');
INSERT INTO `lang_definitions` VALUES (21951, 2608, 6, 'VAN_POSTCODE');
INSERT INTO `lang_definitions` VALUES (21952, 2609, 6, 'VAN_STAAT');
INSERT INTO `lang_definitions` VALUES (21953, 2610, 6, 'VAN_STRAAT');
INSERT INTO `lang_definitions` VALUES (21954, 2611, 6, 'VAN_TITEL');
INSERT INTO `lang_definitions` VALUES (21955, 2612, 6, 'VAN_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (21956, 2613, 6, 'Balie');
INSERT INTO `lang_definitions` VALUES (21957, 2614, 6, 'Front Office kwitantie');
INSERT INTO `lang_definitions` VALUES (21958, 2615, 6, 'Samenvatting Baliekwitanties');
INSERT INTO `lang_definitions` VALUES (21959, 2616, 6, 'Kwitantie balie');
INSERT INTO `lang_definitions` VALUES (21960, 2617, 6, 'Frontaal rechts');
INSERT INTO `lang_definitions` VALUES (21961, 2618, 6, 'Fula-Fulah-Pulaar-Pular');
INSERT INTO `lang_definitions` VALUES (21962, 2619, 6, 'Volledige naam');
INSERT INTO `lang_definitions` VALUES (21963, 2620, 6, 'Volledige pad naar de folder met de MySQL executables.');
INSERT INTO `lang_definitions` VALUES (21964, 2621, 6, 'Volledige pad naar de folder met de Perl executables');
INSERT INTO `lang_definitions` VALUES (21965, 2622, 6, 'Volledige pad naar de folder voor de log backup');
INSERT INTO `lang_definitions` VALUES (21966, 2623, 6, 'Volledige pad naar de folder gebrukit voor tijdelijke bestanden');
INSERT INTO `lang_definitions` VALUES (21967, 2624, 6, 'Volledige spelen');
INSERT INTO `lang_definitions` VALUES (21968, 2625, 6, 'Volledige training');
INSERT INTO `lang_definitions` VALUES (21969, 2626, 6, 'Volledig betaald');
INSERT INTO `lang_definitions` VALUES (21970, 2631, 6, 'Toekomst');
INSERT INTO `lang_definitions` VALUES (21971, 2633, 6, 'G');
INSERT INTO `lang_definitions` VALUES (21972, 2634, 6, 'G/DL');
INSERT INTO `lang_definitions` VALUES (21973, 2635, 6, 'Galicisch');
INSERT INTO `lang_definitions` VALUES (21974, 2636, 6, 'Galblaasconditie');
INSERT INTO `lang_definitions` VALUES (21975, 2637, 6, 'Galstenen');
INSERT INTO `lang_definitions` VALUES (21976, 2638, 6, 'Wedstrijdduur');
INSERT INTO `lang_definitions` VALUES (21977, 2639, 6, 'Spellen');
INSERT INTO `lang_definitions` VALUES (21978, 2640, 6, 'Gemiste spelen');
INSERT INTO `lang_definitions` VALUES (21979, 2641, 6, 'Spelen/Gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (21980, 2642, 6, 'Spelen/Gemiste gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (21981, 2643, 6, 'Ganda');
INSERT INTO `lang_definitions` VALUES (21982, 2644, 6, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (21983, 2645, 6, 'Maagpijn');
INSERT INTO `lang_definitions` VALUES (21984, 2646, 6, 'Gastro-Intestinaal');
INSERT INTO `lang_definitions` VALUES (21985, 2647, 6, 'GCAC Statistiek verslag');
INSERT INTO `lang_definitions` VALUES (21986, 2648, 6, 'GCAC Statistiek');
INSERT INTO `lang_definitions` VALUES (21987, 2649, 6, 'GCAC bezoek formulier afwezig');
INSERT INTO `lang_definitions` VALUES (21988, 2650, 6, 'Geslacht');
INSERT INTO `lang_definitions` VALUES (21989, 2651, 6, 'Geslacht ');
INSERT INTO `lang_definitions` VALUES (21990, 2652, 6, 'Algemeen');
INSERT INTO `lang_definitions` VALUES (21991, 2653, 6, 'Algemene probleem lijst');
INSERT INTO `lang_definitions` VALUES (21992, 2655, 6, 'Categorie voor Algemene Service');
INSERT INTO `lang_definitions` VALUES (21993, 2656, 6, 'Aanmaken');
INSERT INTO `lang_definitions` VALUES (21994, 2657, 6, 'Schriftelijk Claimformulier HCFA 1500 aanmaken en downloaden');
INSERT INTO `lang_definitions` VALUES (21995, 2658, 6, 'Schriftelijk Claimformulier HCFA 1500 aanmaken en downloaden');
INSERT INTO `lang_definitions` VALUES (21996, 2659, 6, 'Aanmaken en downloaden X12 batch');
INSERT INTO `lang_definitions` VALUES (21997, 2660, 6, 'Genereren en downloaden van X12 consultatie claim batchj');
INSERT INTO `lang_definitions` VALUES (21998, 2663, 6, 'Aanmaken en electronisch versturen van toegestaande voorschriften.');
INSERT INTO `lang_definitions` VALUES (21999, 2664, 6, 'CMS 1500 aanmaken');
INSERT INTO `lang_definitions` VALUES (22000, 2665, 6, 'CMS 1500 PDF aanmaken');
INSERT INTO `lang_definitions` VALUES (22001, 2666, 6, 'CMS 1500 TEKST aanmaken');
INSERT INTO `lang_definitions` VALUES (22002, 2667, 6, 'HCFA aanmaken');
INSERT INTO `lang_definitions` VALUES (22003, 2668, 6, 'Invoice aanmaken');
INSERT INTO `lang_definitions` VALUES (22004, 2669, 6, 'Brief maken');
INSERT INTO `lang_definitions` VALUES (22005, 2670, 6, 'Brief aanmaken voor ');
INSERT INTO `lang_definitions` VALUES (22006, 2671, 6, 'PQRI rapport aanmaken (Methode A)');
INSERT INTO `lang_definitions` VALUES (22007, 2672, 6, 'PQRI Rapport aanmaken (Methode A)-2011');
INSERT INTO `lang_definitions` VALUES (22008, 2673, 6, 'PQRI rapport aanmaken (Methode E)');
INSERT INTO `lang_definitions` VALUES (22009, 2674, 6, 'PQRI Rapport aanmaken (Methode E) - 2011');
INSERT INTO `lang_definitions` VALUES (22010, 2677, 6, 'Rapport aanmaken');
INSERT INTO `lang_definitions` VALUES (22011, 2678, 6, 'Maak User en Paswoord aan voor');
INSERT INTO `lang_definitions` VALUES (22012, 2679, 6, 'X12 aanmaken');
INSERT INTO `lang_definitions` VALUES (22013, 2680, 6, 'X12 Encounter aanmaken');
INSERT INTO `lang_definitions` VALUES (22014, 2682, 6, 'Aangemaakt op');
INSERT INTO `lang_definitions` VALUES (22015, 2683, 6, 'Genereren');
INSERT INTO `lang_definitions` VALUES (22016, 2684, 6, 'Genito-Urinair');
INSERT INTO `lang_definitions` VALUES (22017, 2686, 6, 'Georgisch');
INSERT INTO `lang_definitions` VALUES (22018, 2687, 6, 'Duits');
INSERT INTO `lang_definitions` VALUES (22019, 2691, 6, 'HL7 code ophalen');
INSERT INTO `lang_definitions` VALUES (22020, 2692, 6, 'Glaucoom');
INSERT INTO `lang_definitions` VALUES (22021, 2693, 6, 'Familiegeschiedenis met Glaucoom');
INSERT INTO `lang_definitions` VALUES (22022, 2694, 6, 'Globaal');
INSERT INTO `lang_definitions` VALUES (22023, 2696, 6, 'Global ID');
INSERT INTO `lang_definitions` VALUES (22024, 2697, 6, 'Globale sttings');
INSERT INTO `lang_definitions` VALUES (22025, 2698, 6, 'Algemeen');
INSERT INTO `lang_definitions` VALUES (22026, 2699, 6, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (22027, 2700, 6, 'save');
INSERT INTO `lang_definitions` VALUES (22028, 2701, 6, 'Ga');
INSERT INTO `lang_definitions` VALUES (22029, 2704, 6, 'Ga naar');
INSERT INTO `lang_definitions` VALUES (22030, 2705, 6, 'Ga naar de week van');
INSERT INTO `lang_definitions` VALUES (22031, 2706, 6, 'Naar vandaag gaan');
INSERT INTO `lang_definitions` VALUES (22032, 2707, 6, 'Doel A');
INSERT INTO `lang_definitions` VALUES (22033, 2708, 6, 'Doel en Methodes');
INSERT INTO `lang_definitions` VALUES (22034, 2709, 6, 'Doel B');
INSERT INTO `lang_definitions` VALUES (22035, 2710, 6, 'Doel C');
INSERT INTO `lang_definitions` VALUES (22036, 2711, 6, 'Ernst van het letsel');
INSERT INTO `lang_definitions` VALUES (22037, 2712, 6, 'Graad:');
INSERT INTO `lang_definitions` VALUES (22038, 2713, 6, 'gram');
INSERT INTO `lang_definitions` VALUES (22039, 2714, 6, 'Totaal van alles');
INSERT INTO `lang_definitions` VALUES (22040, 2715, 6, 'Totalen van alles');
INSERT INTO `lang_definitions` VALUES (22041, 2718, 6, 'Is grafiek van te maken');
INSERT INTO `lang_definitions` VALUES (22042, 2720, 6, 'Groter dan');
INSERT INTO `lang_definitions` VALUES (22043, 2721, 6, 'Groter dan of gelijk aan');
INSERT INTO `lang_definitions` VALUES (22044, 2722, 6, 'Grieks');
INSERT INTO `lang_definitions` VALUES (22045, 2723, 6, 'Ggrieks, modern');
INSERT INTO `lang_definitions` VALUES (22046, 2724, 6, 'Groep');
INSERT INTO `lang_definitions` VALUES (22047, 2725, 6, 'Groepsnaam');
INSERT INTO `lang_definitions` VALUES (22048, 2726, 6, 'Groepsnamen kunnen niet blanco zijn');
INSERT INTO `lang_definitions` VALUES (22049, 2727, 6, 'Groepsnamen kunnen niet met nummers of spaties beginnen');
INSERT INTO `lang_definitions` VALUES (22050, 2728, 6, 'Groepsnamen mogen niet met cijfers beginnen.');
INSERT INTO `lang_definitions` VALUES (22051, 2729, 6, 'Groepsnummer');
INSERT INTO `lang_definitions` VALUES (22052, 2730, 6, 'Groeps betaling');
INSERT INTO `lang_definitions` VALUES (22053, 2731, 6, 'Groep:');
INSERT INTO `lang_definitions` VALUES (22054, 2732, 6, 'Groepsnaam');
INSERT INTO `lang_definitions` VALUES (22055, 2733, 6, 'Groeps- en toegangscontroles');
INSERT INTO `lang_definitions` VALUES (22056, 2734, 6, 'Groei Curves');
INSERT INTO `lang_definitions` VALUES (22057, 2735, 6, 'Groei Curves');
INSERT INTO `lang_definitions` VALUES (22058, 2736, 6, 'druppels');
INSERT INTO `lang_definitions` VALUES (22059, 2737, 6, 'Guamaniaan');
INSERT INTO `lang_definitions` VALUES (22060, 2738, 6, 'Guarani');
INSERT INTO `lang_definitions` VALUES (22061, 2739, 6, 'Naam voogd');
INSERT INTO `lang_definitions` VALUES (22062, 2740, 6, 'Gujarati');
INSERT INTO `lang_definitions` VALUES (22063, 2741, 6, 'Gynaecologisch onderzoek');
INSERT INTO `lang_definitions` VALUES (22064, 2742, 6, 'h');
INSERT INTO `lang_definitions` VALUES (22065, 2743, 6, 'h.s.');
INSERT INTO `lang_definitions` VALUES (22066, 2744, 6, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (22067, 2745, 6, 'Succesvol verwijderd. De eventueel aanwezige subcategorieen zijn verplaatst naar onderen');
INSERT INTO `lang_definitions` VALUES (22068, 2746, 6, 'Hematoom/kneuzing');
INSERT INTO `lang_definitions` VALUES (22069, 2747, 6, 'HAI status');
INSERT INTO `lang_definitions` VALUES (22070, 2748, 6, 'Hatiaans - Haitiaans creools');
INSERT INTO `lang_definitions` VALUES (22071, 2750, 6, 'Hand en vingers');
INSERT INTO `lang_definitions` VALUES (22072, 2751, 6, 'Problemen van de hand');
INSERT INTO `lang_definitions` VALUES (22073, 2752, 6, 'Harde schijf');
INSERT INTO `lang_definitions` VALUES (22074, 2753, 6, 'Tegenslag met/zonder');
INSERT INTO `lang_definitions` VALUES (22075, 2754, 6, 'is gekoppeld aan visite');
INSERT INTO `lang_definitions` VALUES (22076, 2755, 6, 'is verlopen');
INSERT INTO `lang_definitions` VALUES (22077, 2756, 6, 'Hash');
INSERT INTO `lang_definitions` VALUES (22078, 2757, 6, 'Hash bestaat niet voor deze file . Een nieuwe Hash is aangemaakt.');
INSERT INTO `lang_definitions` VALUES (22079, 2758, 6, 'Hash is klopt niet. Data integriteit is onvolledig.');
INSERT INTO `lang_definitions` VALUES (22080, 2759, 6, 'Hausa');
INSERT INTO `lang_definitions` VALUES (22081, 2760, 6, 'Hawaiaan');
INSERT INTO `lang_definitions` VALUES (22082, 2761, 6, 'Gevaarlijke activiteiten');
INSERT INTO `lang_definitions` VALUES (22083, 2762, 6, 'Gevaarlijke activiteiten');
INSERT INTO `lang_definitions` VALUES (22084, 2763, 6, 'Linkermarge HCFA in punten');
INSERT INTO `lang_definitions` VALUES (22085, 2764, 6, 'Marges HCFA');
INSERT INTO `lang_definitions` VALUES (22086, 2765, 6, 'Bovenmarge in punten');
INSERT INTO `lang_definitions` VALUES (22087, 2766, 6, 'HCPCS Procedure-Service');
INSERT INTO `lang_definitions` VALUES (22088, 2767, 6, 'he PostCalendar ');
INSERT INTO `lang_definitions` VALUES (22089, 2768, 6, 'Hoofd');
INSERT INTO `lang_definitions` VALUES (22090, 2769, 6, 'Hoofdomt.');
INSERT INTO `lang_definitions` VALUES (22091, 2770, 6, 'Hoofdomtrek');
INSERT INTO `lang_definitions` VALUES (22092, 2771, 6, 'Hoofdpijn');
INSERT INTO `lang_definitions` VALUES (22093, 2772, 6, 'Hoofdpijnen');
INSERT INTO `lang_definitions` VALUES (22094, 2773, 6, 'zorg interventies');
INSERT INTO `lang_definitions` VALUES (22095, 2774, 6, 'Zorg interventies');
INSERT INTO `lang_definitions` VALUES (22096, 2775, 6, 'Medisch Centrum/Kliniek');
INSERT INTO `lang_definitions` VALUES (22097, 2776, 6, 'Heath Maintenance Organization');
INSERT INTO `lang_definitions` VALUES (22098, 2777, 6, 'HMO Medicare Risicos');
INSERT INTO `lang_definitions` VALUES (22099, 2778, 6, 'Gehoorverlies');
INSERT INTO `lang_definitions` VALUES (22100, 2779, 6, 'Hartaanval');
INSERT INTO `lang_definitions` VALUES (22101, 2780, 6, 'Hartziekte');
INSERT INTO `lang_definitions` VALUES (22102, 2781, 6, 'Decompensatio Cordis');
INSERT INTO `lang_definitions` VALUES (22103, 2782, 6, 'Hartprobleem');
INSERT INTO `lang_definitions` VALUES (22104, 2783, 6, 'Hartproblemen');
INSERT INTO `lang_definitions` VALUES (22105, 2784, 6, 'Hartchirurgie');
INSERT INTO `lang_definitions` VALUES (22106, 2785, 6, 'Harttransplantatie');
INSERT INTO `lang_definitions` VALUES (22107, 2786, 6, 'HART:');
INSERT INTO `lang_definitions` VALUES (22108, 2787, 6, 'Hartbranden');
INSERT INTO `lang_definitions` VALUES (22109, 2788, 6, 'Warm of koud');
INSERT INTO `lang_definitions` VALUES (22110, 2789, 6, 'Warm of koud');
INSERT INTO `lang_definitions` VALUES (22111, 2790, 6, 'Zware tabak gebruiker');
INSERT INTO `lang_definitions` VALUES (22112, 2791, 6, 'Hebreeuws');
INSERT INTO `lang_definitions` VALUES (22113, 2792, 6, 'Hebreeuws - modern');
INSERT INTO `lang_definitions` VALUES (22114, 2793, 6, 'HEENT');
INSERT INTO `lang_definitions` VALUES (22115, 2794, 6, 'Lengte');
INSERT INTO `lang_definitions` VALUES (22116, 2795, 6, 'Hoogte/Lengte');
INSERT INTO `lang_definitions` VALUES (22117, 2796, 6, 'Help');
INSERT INTO `lang_definitions` VALUES (22118, 2797, 6, 'help');
INSERT INTO `lang_definitions` VALUES (22119, 2798, 6, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (22120, 2799, 6, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (22121, 2800, 6, 'Hematologisch');
INSERT INTO `lang_definitions` VALUES (22122, 2801, 6, 'Hematurie');
INSERT INTO `lang_definitions` VALUES (22123, 2802, 6, 'Hemoglobine');
INSERT INTO `lang_definitions` VALUES (22124, 2803, 6, 'HbA1c');
INSERT INTO `lang_definitions` VALUES (22125, 2804, 6, 'Bloed ophoesten');
INSERT INTO `lang_definitions` VALUES (22126, 2805, 6, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (22127, 2806, 6, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (22128, 2807, 6, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (22129, 2808, 6, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (22130, 2809, 6, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (22131, 2810, 6, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (22132, 2811, 6, 'klik hier');
INSERT INTO `lang_definitions` VALUES (22133, 2812, 6, 'Herero');
INSERT INTO `lang_definitions` VALUES (22134, 2813, 6, 'Hernia herstel');
INSERT INTO `lang_definitions` VALUES (22135, 2814, 6, 'HNP');
INSERT INTO `lang_definitions` VALUES (22136, 2815, 6, 'Herpes');
INSERT INTO `lang_definitions` VALUES (22137, 2816, 6, 'Aarzelend');
INSERT INTO `lang_definitions` VALUES (22138, 2817, 6, 'hallo daar, je bent hier geweest voor ');
INSERT INTO `lang_definitions` VALUES (22139, 2818, 6, 'HIB 1');
INSERT INTO `lang_definitions` VALUES (22140, 2819, 6, 'HIB 2');
INSERT INTO `lang_definitions` VALUES (22141, 2820, 6, 'HIB 3');
INSERT INTO `lang_definitions` VALUES (22142, 2821, 6, 'HIB 4');
INSERT INTO `lang_definitions` VALUES (22143, 2822, 6, 'Verborgen');
INSERT INTO `lang_definitions` VALUES (22144, 2823, 6, 'Verborgen gebeurtenis administratie');
INSERT INTO `lang_definitions` VALUES (22145, 2824, 6, 'Verbergen');
INSERT INTO `lang_definitions` VALUES (22146, 2825, 6, 'Verberg details');
INSERT INTO `lang_definitions` VALUES (22147, 2826, 6, 'Lege E-Sign logs op rapport niet tonen');
INSERT INTO `lang_definitions` VALUES (22148, 2827, 6, 'Verberg versleutel/ontcijfer Opties in Document Management');
INSERT INTO `lang_definitions` VALUES (22149, 2828, 6, 'Verberg menu');
INSERT INTO `lang_definitions` VALUES (22150, 2830, 6, 'Verberg reminders');
INSERT INTO `lang_definitions` VALUES (22151, 2831, 6, 'Verberg/Toon kolommen');
INSERT INTO `lang_definitions` VALUES (22152, 2833, 6, 'Hoog');
INSERT INTO `lang_definitions` VALUES (22153, 2834, 6, 'Hoge bloeddruk');
INSERT INTO `lang_definitions` VALUES (22154, 2835, 6, 'Hindi');
INSERT INTO `lang_definitions` VALUES (22155, 2836, 6, 'Heup en liezen');
INSERT INTO `lang_definitions` VALUES (22156, 2837, 6, 'Heup en liezen');
INSERT INTO `lang_definitions` VALUES (22157, 2838, 6, 'Heupproblemen');
INSERT INTO `lang_definitions` VALUES (22158, 2839, 6, 'Heupvervanging');
INSERT INTO `lang_definitions` VALUES (22159, 2840, 6, 'HIPAA notitie ontvangen');
INSERT INTO `lang_definitions` VALUES (22160, 2841, 6, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (22161, 2842, 6, 'Hirsutisme/Striae');
INSERT INTO `lang_definitions` VALUES (22162, 2843, 6, 'Spaans');
INSERT INTO `lang_definitions` VALUES (22163, 2844, 6, 'Spaans - anders (geb. in USA)');
INSERT INTO `lang_definitions` VALUES (22164, 2845, 6, 'Spaans - anders (geb. niet USA)');
INSERT INTO `lang_definitions` VALUES (22165, 2846, 6, 'Spaans of Latino');
INSERT INTO `lang_definitions` VALUES (22166, 2847, 6, 'Historie');
INSERT INTO `lang_definitions` VALUES (22167, 2848, 6, 'Voorgeschiedenis(sen)');
INSERT INTO `lang_definitions` VALUES (22168, 2849, 6, 'Datum van historie');
INSERT INTO `lang_definitions` VALUES (22169, 2851, 6, 'Geruis in verleden');
INSERT INTO `lang_definitions` VALUES (22170, 2852, 6, 'Historie niet geauthoriseerd');
INSERT INTO `lang_definitions` VALUES (22171, 2853, 6, 'Hartsoufle in verleden');
INSERT INTO `lang_definitions` VALUES (22172, 2854, 6, 'Slagen');
INSERT INTO `lang_definitions` VALUES (22173, 2855, 6, 'HIV');
INSERT INTO `lang_definitions` VALUES (22174, 2858, 6, 'HL7 bekijken');
INSERT INTO `lang_definitions` VALUES (22175, 2860, 6, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (22176, 2861, 6, 'Hmong');
INSERT INTO `lang_definitions` VALUES (22177, 2862, 6, 'Druk op [Ctrl] voor meerdere keuze\'s of om selectie ongedaan te maken');
INSERT INTO `lang_definitions` VALUES (22178, 2863, 6, 'Druk op Ctrl om meerdere items te selecteren');
INSERT INTO `lang_definitions` VALUES (22179, 2864, 6, 'Druk op Ctrl om meerdere groepen te selecteren');
INSERT INTO `lang_definitions` VALUES (22180, 2865, 6, 'Start');
INSERT INTO `lang_definitions` VALUES (22181, 2866, 6, 'Tel. prive');
INSERT INTO `lang_definitions` VALUES (22182, 2867, 6, 'Tel. prive');
INSERT INTO `lang_definitions` VALUES (22183, 2868, 6, 'Dakloos of vergelijkbaar');
INSERT INTO `lang_definitions` VALUES (22184, 2869, 6, 'Dakloos, enz');
INSERT INTO `lang_definitions` VALUES (22185, 2870, 6, 'Dakloos enz.');
INSERT INTO `lang_definitions` VALUES (22186, 2871, 6, 'Ankers');
INSERT INTO `lang_definitions` VALUES (22187, 2872, 6, 'Computernaam');
INSERT INTO `lang_definitions` VALUES (22188, 2873, 6, 'Computernaam mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (22189, 2875, 6, 'Uur');
INSERT INTO `lang_definitions` VALUES (22190, 2876, 6, 'Uren');
INSERT INTO `lang_definitions` VALUES (22191, 2878, 6, 'Hoe ontstond letsel?');
INSERT INTO `lang_definitions` VALUES (22192, 2879, 6, 'Hoe ontstond letsel?:');
INSERT INTO `lang_definitions` VALUES (22193, 2880, 6, 'Hoe hebben ze over ons gehoord');
INSERT INTO `lang_definitions` VALUES (22194, 2881, 6, 'Hoeveel maanden wilt u vooruit zoeken voor de lopende gebeurtenissen?');
INSERT INTO `lang_definitions` VALUES (22195, 2882, 6, 'HPI:');
INSERT INTO `lang_definitions` VALUES (22196, 2883, 6, 'HT');
INSERT INTO `lang_definitions` VALUES (22197, 2884, 6, 'HTML');
INSERT INTO `lang_definitions` VALUES (22198, 2885, 6, 'HTML Output?');
INSERT INTO `lang_definitions` VALUES (22199, 2886, 6, 'HTTPS link voor ondersteuning van LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (22200, 2887, 6, 'Hongaars');
INSERT INTO `lang_definitions` VALUES (22201, 2888, 6, 'Hyllafax directory');
INSERT INTO `lang_definitions` VALUES (22202, 2889, 6, 'Halafax ENscriptie commando');
INSERT INTO `lang_definitions` VALUES (22203, 2890, 6, 'Hylafax Server');
INSERT INTO `lang_definitions` VALUES (22204, 2891, 6, 'Hylafax Server Hostnaam');
INSERT INTO `lang_definitions` VALUES (22205, 2892, 6, 'Hyperactief');
INSERT INTO `lang_definitions` VALUES (22206, 2893, 6, 'Hoge bloeddruk');
INSERT INTO `lang_definitions` VALUES (22207, 2894, 6, 'Hypertensie: Bloeddruk meting');
INSERT INTO `lang_definitions` VALUES (22208, 2895, 6, 'Hypertensie: Bloeddruk meting (CQM)');
INSERT INTO `lang_definitions` VALUES (22209, 2896, 6, 'Hyperthyreoidie');
INSERT INTO `lang_definitions` VALUES (22210, 2897, 6, 'Hypothyreoidie');
INSERT INTO `lang_definitions` VALUES (22211, 2898, 6, 'Hysterectomie');
INSERT INTO `lang_definitions` VALUES (22212, 2899, 6, 'I');
INSERT INTO `lang_definitions` VALUES (22213, 2900, 6, 'In deze tijd ben ik bezig.');
INSERT INTO `lang_definitions` VALUES (22214, 2901, 6, 'Ik mag dit niet lezen ');
INSERT INTO `lang_definitions` VALUES (22215, 2902, 6, 'ICD');
INSERT INTO `lang_definitions` VALUES (22216, 2903, 6, 'ICD10 Diagnoses');
INSERT INTO `lang_definitions` VALUES (22217, 2904, 6, 'ICD10 Procedures-Service');
INSERT INTO `lang_definitions` VALUES (22218, 2905, 6, 'ICD9');
INSERT INTO `lang_definitions` VALUES (22219, 2906, 6, 'ICD9 Diagnoses');
INSERT INTO `lang_definitions` VALUES (22220, 2907, 6, 'ICD9Procedures-Service');
INSERT INTO `lang_definitions` VALUES (22221, 2908, 6, 'Ijslands');
INSERT INTO `lang_definitions` VALUES (22222, 2909, 6, 'ID');
INSERT INTO `lang_definitions` VALUES (22223, 2910, 6, 'Id');
INSERT INTO `lang_definitions` VALUES (22224, 2911, 6, 'ID moet ingevuld zijn');
INSERT INTO `lang_definitions` VALUES (22225, 2912, 6, 'ID kaart');
INSERT INTO `lang_definitions` VALUES (22226, 2913, 6, 'IDagen');
INSERT INTO `lang_definitions` VALUES (22227, 2914, 6, 'geïdentificeerd als');
INSERT INTO `lang_definitions` VALUES (22228, 2915, 6, 'Identifier(een woord)');
INSERT INTO `lang_definitions` VALUES (22229, 2916, 6, 'Code indentificeren');
INSERT INTO `lang_definitions` VALUES (22230, 2917, 6, 'Timeout in seconden tijdens niet gebruik');
INSERT INTO `lang_definitions` VALUES (22231, 2918, 6, 'Ido');
INSERT INTO `lang_definitions` VALUES (22232, 2919, 6, 'Als alle gegevens voor alle kolommen volledig zijn voor dit formulier');
INSERT INTO `lang_definitions` VALUES (22233, 2920, 6, 'Als Billing Justificatie wordt gebruikt, vul dan de naam van de diagnose code type in');
INSERT INTO `lang_definitions` VALUES (22234, 2921, 6, 'Indien gevuld, kies alles zij die deze service gehad hebben');
INSERT INTO `lang_definitions` VALUES (22235, 2922, 6, 'Als naam, een deel van achternaam of achternaam, voornaam');
INSERT INTO `lang_definitions` VALUES (22236, 2923, 6, 'Als betaling is voor');
INSERT INTO `lang_definitions` VALUES (22237, 2924, 6, 'Als persoon overleden is dan de datum van overlijden invullen');
INSERT INTO `lang_definitions` VALUES (22238, 2925, 6, 'Als SMTP wordt gebrukt, de hostnaam van server of IP adres gebruiken');
INSERT INTO `lang_definitions` VALUES (22239, 2926, 6, 'Als SMTP wordt gebruikt, het TCO poortnummer van de server gebruiken (meestal 25)');
INSERT INTO `lang_definitions` VALUES (22240, 2927, 6, 'indien werkloos kies: Student');
INSERT INTO `lang_definitions` VALUES (22241, 2928, 6, 'Als de keuze gemaakt is voor JMD tonen, verander in alleen Jaren als de patient ouder is dan deze waare in jaren');
INSERT INTO `lang_definitions` VALUES (22242, 2929, 6, 'Als U eRx Role voor e-receptenwijzigd, kan het de e-Recepten workflow beinvloeden. Als je problemen ondervindt vraag advies aan de e-Recepten verkoper.');
INSERT INTO `lang_definitions` VALUES (22243, 2930, 6, 'Als je geen gelijke vindt wordt de patient aangemaakt.');
INSERT INTO `lang_definitions` VALUES (22244, 2931, 6, 'Als u heeft gekozen voor het uploaden van elektronisch afdrachten, dan zal het zoekvenster opnieuw zelf met de bijbehorende facturen van de X12-bestand invullen. U klikt op een van deze factuurnummers (zoals hieronder beschreven), indien u eventuele correcties wil maken voordat de afdracht informatie wordt toegepast Voor de toepassing van de wijzigingen, klikt u op het proces ERA File knop aan de onderkant van de pagina. Dit zal een nieuw venster met een gedetailleerd rapport tonen.');
INSERT INTO `lang_definitions` VALUES (22245, 2932, 6, 'Als u een Pay Datum in de zoekresultaten pagina invoert, zal dit voorrang krijgen op de terbeschikkingstelling datum van de betalingen en de aanpassingen die anders uit de X12-bestand worden opgehaald. Dit kan handig zijn voor rapportage doeleinden, als u wilt dat uw inkomsten rapportage gebruik je je posting datum eerder dan de verzekeringsmaatschappij de verwerking datum. Merk op dat dit ook invloed heeft op de data van voorafgaande betalingen en aanpassingen die in het secundaire claims zijn gedaan.');
INSERT INTO `lang_definitions` VALUES (22246, 2933, 6, 'Als u data types wilt wijzigen, of rijen of kolommen wilt toevoegen');
INSERT INTO `lang_definitions` VALUES (22247, 2934, 6, 'Indien de Database ge-upraded wordt, plaats de database zip file in de volgende map');
INSERT INTO `lang_definitions` VALUES (22248, 2935, 6, 'Igbo');
INSERT INTO `lang_definitions` VALUES (22249, 2936, 6, 'Geen aandacht geven');
INSERT INTO `lang_definitions` VALUES (22250, 2937, 6, 'Ziekte');
INSERT INTO `lang_definitions` VALUES (22251, 2938, 6, 'Intra musculair');
INSERT INTO `lang_definitions` VALUES (22252, 2941, 6, 'Beeldvorming Service');
INSERT INTO `lang_definitions` VALUES (22253, 2942, 6, 'Vaccinatie');
INSERT INTO `lang_definitions` VALUES (22254, 2943, 6, 'Immunisatie code');
INSERT INTO `lang_definitions` VALUES (22255, 2945, 6, 'Immunizatie datum');
INSERT INTO `lang_definitions` VALUES (22256, 2946, 6, 'Immunizatie verloop datum');
INSERT INTO `lang_definitions` VALUES (22257, 2947, 6, 'Lotnummer van vaccinatie');
INSERT INTO `lang_definitions` VALUES (22258, 2948, 6, 'Fabrikant van vaccinatie');
INSERT INTO `lang_definitions` VALUES (22259, 2949, 6, 'Immunisatie register');
INSERT INTO `lang_definitions` VALUES (22260, 2950, 6, 'Immunisatie rapport');
INSERT INTO `lang_definitions` VALUES (22261, 2951, 6, 'Immunizatie Service');
INSERT INTO `lang_definitions` VALUES (22262, 2952, 6, 'Immunisatie titel');
INSERT INTO `lang_definitions` VALUES (22263, 2953, 6, 'Vaccinaties');
INSERT INTO `lang_definitions` VALUES (22264, 2954, 6, 'Vaccineren');
INSERT INTO `lang_definitions` VALUES (22265, 2955, 6, 'Immunologisch');
INSERT INTO `lang_definitions` VALUES (22266, 2956, 6, 'Implantaties');
INSERT INTO `lang_definitions` VALUES (22267, 2957, 6, 'Importeren');
INSERT INTO `lang_definitions` VALUES (22268, 2961, 6, 'Certificaat importeren naar de browser');
INSERT INTO `lang_definitions` VALUES (22269, 2962, 6, 'Configuratie importeren');
INSERT INTO `lang_definitions` VALUES (22270, 2963, 6, 'Importeren verlegd voor de tijd-nog-actief');
INSERT INTO `lang_definitions` VALUES (22271, 2964, 6, 'Importeer patient');
INSERT INTO `lang_definitions` VALUES (22272, 2965, 6, 'Importeer persoonsgeg. van client');
INSERT INTO `lang_definitions` VALUES (22273, 2966, 6, 'Belangrijke Codes');
INSERT INTO `lang_definitions` VALUES (22274, 2967, 6, 'BELANGRIJK: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.');
INSERT INTO `lang_definitions` VALUES (22275, 2969, 6, 'Geimporteerd van accountantrekening');
INSERT INTO `lang_definitions` VALUES (22276, 2972, 6, 'Verbeterd');
INSERT INTO `lang_definitions` VALUES (22277, 2973, 6, 'in');
INSERT INTO `lang_definitions` VALUES (22278, 2974, 6, 'IN');
INSERT INTO `lang_definitions` VALUES (22279, 2975, 6, 'in beide ogen');
INSERT INTO `lang_definitions` VALUES (22280, 2976, 6, 'in linker oog');
INSERT INTO `lang_definitions` VALUES (22281, 2977, 6, 'in neusgat');
INSERT INTO `lang_definitions` VALUES (22282, 2978, 6, 'Op kantoor');
INSERT INTO `lang_definitions` VALUES (22283, 2979, 6, 'in rechteroog');
INSERT INTO `lang_definitions` VALUES (22284, 2980, 6, 'op voorraad');
INSERT INTO `lang_definitions` VALUES (22285, 2981, 6, 'Inactief');
INSERT INTO `lang_definitions` VALUES (22286, 2982, 6, 'Dagen inactiviteit');
INSERT INTO `lang_definitions` VALUES (22287, 2983, 6, 'Inbox');
INSERT INTO `lang_definitions` VALUES (22288, 2986, 6, 'Controlecijfer toevoegen');
INSERT INTO `lang_definitions` VALUES (22289, 2987, 6, 'Toevoegen afgerond');
INSERT INTO `lang_definitions` VALUES (22290, 2988, 6, 'Ook de inactieve gebruikers');
INSERT INTO `lang_definitions` VALUES (22291, 2989, 6, 'Niet-categoriseerd toevoegen');
INSERT INTO `lang_definitions` VALUES (22292, 2990, 6, 'Ongestructureerde data toevoegen');
INSERT INTO `lang_definitions` VALUES (22293, 2991, 6, 'Voeg vitals toe');
INSERT INTO `lang_definitions` VALUES (22294, 2992, 6, 'Vitale data toevoegen?');
INSERT INTO `lang_definitions` VALUES (22295, 2993, 6, 'Inclusie');
INSERT INTO `lang_definitions` VALUES (22296, 2994, 6, 'Inkomsten');
INSERT INTO `lang_definitions` VALUES (22297, 2995, 6, 'Binnen gekomen resultaten vragen aandacht:');
INSERT INTO `lang_definitions` VALUES (22298, 2996, 6, 'Onvolledig');
INSERT INTO `lang_definitions` VALUES (22299, 2997, 6, 'Onvolledige abortusbehandeling');
INSERT INTO `lang_definitions` VALUES (22300, 2998, 6, 'Incontinentie');
INSERT INTO `lang_definitions` VALUES (22301, 2999, 6, 'Klinische lab-test resultaten toevoegen in certified EHR technologie als gestructureerde data.');
INSERT INTO `lang_definitions` VALUES (22302, 3000, 6, 'Onjuist paswoord');
INSERT INTO `lang_definitions` VALUES (22303, 3001, 6, 'Verhoogd:');
INSERT INTO `lang_definitions` VALUES (22304, 3002, 6, 'Vrijwaring Verzekeringen');
INSERT INTO `lang_definitions` VALUES (22305, 3003, 6, 'Onbepaald');
INSERT INTO `lang_definitions` VALUES (22306, 3004, 6, 'Indier');
INSERT INTO `lang_definitions` VALUES (22307, 3005, 6, 'Geeft abnormaliteit aan');
INSERT INTO `lang_definitions` VALUES (22308, 3006, 6, 'Geef aan of dit probleem nu actief is');
INSERT INTO `lang_definitions` VALUES (22309, 3008, 6, 'Indicator voor gespecialiseert gebruik');
INSERT INTO `lang_definitions` VALUES (22310, 3009, 6, 'Minvermogende patienten');
INSERT INTO `lang_definitions` VALUES (22311, 3010, 6, 'Raport minvermogende ptn');
INSERT INTO `lang_definitions` VALUES (22312, 3011, 6, 'Minvermogend');
INSERT INTO `lang_definitions` VALUES (22313, 3013, 6, 'Indonesisch');
INSERT INTO `lang_definitions` VALUES (22314, 3014, 6, 'Opgewekte abortus');
INSERT INTO `lang_definitions` VALUES (22315, 3016, 6, 'Komt er niet voor in aanmerking');
INSERT INTO `lang_definitions` VALUES (22316, 3017, 6, 'Infectie/Abces');
INSERT INTO `lang_definitions` VALUES (22317, 3018, 6, 'Infecties');
INSERT INTO `lang_definitions` VALUES (22318, 3019, 6, 'Couns.voor Infert');
INSERT INTO `lang_definitions` VALUES (22319, 3020, 6, 'Onvruchtbaar');
INSERT INTO `lang_definitions` VALUES (22320, 3021, 6, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (22321, 3022, 6, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (22322, 3023, 6, 'Influenza Immunisatie voor patienten vanaf 50 jaar oud');
INSERT INTO `lang_definitions` VALUES (22323, 3024, 6, 'Infleunza Immunisatie voor patienten vanaf 50 jaar oud (CQM)');
INSERT INTO `lang_definitions` VALUES (22324, 3025, 6, 'Influenza vaccin');
INSERT INTO `lang_definitions` VALUES (22325, 3026, 6, 'Info');
INSERT INTO `lang_definitions` VALUES (22326, 3027, 6, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (22327, 3028, 6, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (22328, 3029, 6, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (22329, 3030, 6, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (22330, 3031, 6, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (22331, 3032, 6, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (22332, 3034, 6, 'inhalaties');
INSERT INTO `lang_definitions` VALUES (22333, 3035, 6, 'inhilaties');
INSERT INTO `lang_definitions` VALUES (22334, 3036, 6, 'Begin behandeling');
INSERT INTO `lang_definitions` VALUES (22335, 3037, 6, 'Eerste gebruiker');
INSERT INTO `lang_definitions` VALUES (22336, 3038, 6, 'Inj/Rehab');
INSERT INTO `lang_definitions` VALUES (22337, 3039, 6, 'Injecteerbaar');
INSERT INTO `lang_definitions` VALUES (22338, 3040, 6, 'Injectie');
INSERT INTO `lang_definitions` VALUES (22339, 3041, 6, 'Verwond lichaamsdeel');
INSERT INTO `lang_definitions` VALUES (22340, 3042, 6, 'Gewond vertrokken');
INSERT INTO `lang_definitions` VALUES (22341, 3043, 6, 'Letsel');
INSERT INTO `lang_definitions` VALUES (22342, 3044, 6, 'Schade Mechanisme');
INSERT INTO `lang_definitions` VALUES (22343, 3045, 6, 'Overzicht letsel rapport');
INSERT INTO `lang_definitions` VALUES (22344, 3046, 6, 'Letsel surveillance');
INSERT INTO `lang_definitions` VALUES (22345, 3047, 6, 'Soort letsel');
INSERT INTO `lang_definitions` VALUES (22346, 3048, 6, 'Letsel/ziekte-gerelateerd');
INSERT INTO `lang_definitions` VALUES (22347, 3049, 6, 'Inlijn');
INSERT INTO `lang_definitions` VALUES (22348, 3050, 6, 'Input begint niet met een MSH gedeelte');
INSERT INTO `lang_definitions` VALUES (22349, 3051, 6, 'Invoervelden');
INSERT INTO `lang_definitions` VALUES (22350, 3052, 6, 'INR');
INSERT INTO `lang_definitions` VALUES (22351, 3053, 6, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (22352, 3054, 6, 'Ins 2 of Ins 3');
INSERT INTO `lang_definitions` VALUES (22353, 3055, 6, 'Ins adres');
INSERT INTO `lang_definitions` VALUES (22354, 3056, 6, 'Ins aanpassen');
INSERT INTO `lang_definitions` VALUES (22355, 3057, 6, 'Ins bundeling');
INSERT INTO `lang_definitions` VALUES (22356, 3058, 6, 'Ins Code');
INSERT INTO `lang_definitions` VALUES (22357, 3059, 6, 'Ins Groep');
INSERT INTO `lang_definitions` VALUES (22358, 3060, 6, 'Ins Naam');
INSERT INTO `lang_definitions` VALUES (22359, 3061, 6, 'Ins te veel betaald');
INSERT INTO `lang_definitions` VALUES (22360, 3062, 6, 'Ins beleidslijn');
INSERT INTO `lang_definitions` VALUES (22361, 3063, 6, 'Ins restitutie');
INSERT INTO `lang_definitions` VALUES (22362, 3064, 6, 'Ins samenvatting');
INSERT INTO `lang_definitions` VALUES (22363, 3065, 6, 'Ins1');
INSERT INTO `lang_definitions` VALUES (22364, 3066, 6, 'Ins2');
INSERT INTO `lang_definitions` VALUES (22365, 3067, 6, 'Ins3');
INSERT INTO `lang_definitions` VALUES (22366, 3068, 6, 'Invoegen');
INSERT INTO `lang_definitions` VALUES (22367, 3069, 6, 'Invoegen mislukt: ');
INSERT INTO `lang_definitions` VALUES (22368, 3070, 6, 'Voeg oude gebeurtenis toe aan tabel');
INSERT INTO `lang_definitions` VALUES (22369, 3072, 6, 'Slapeloosheid');
INSERT INTO `lang_definitions` VALUES (22370, 3073, 6, 'Controleer het log');
INSERT INTO `lang_definitions` VALUES (22371, 3074, 6, 'Inspectie');
INSERT INTO `lang_definitions` VALUES (22372, 3075, 6, 'Onstabiliteit/Subluxatie');
INSERT INTO `lang_definitions` VALUES (22373, 3076, 6, 'INSTALLEREN');
INSERT INTO `lang_definitions` VALUES (22374, 3077, 6, 'Installeren');
INSERT INTO `lang_definitions` VALUES (22375, 3078, 6, 'Code set installeren');
INSERT INTO `lang_definitions` VALUES (22376, 3079, 6, 'installeer DB');
INSERT INTO `lang_definitions` VALUES (22377, 3080, 6, 'Geinstalleerde Release');
INSERT INTO `lang_definitions` VALUES (22378, 3081, 6, 'Geinstrueerd');
INSERT INTO `lang_definitions` VALUES (22379, 3082, 6, 'Instructie');
INSERT INTO `lang_definitions` VALUES (22380, 3084, 6, 'Instructies:');
INSERT INTO `lang_definitions` VALUES (22381, 3085, 6, 'Te weinig voorraad voor product met dit ID');
INSERT INTO `lang_definitions` VALUES (22382, 3086, 6, 'IDDM');
INSERT INTO `lang_definitions` VALUES (22383, 3087, 6, 'Verzekering');
INSERT INTO `lang_definitions` VALUES (22384, 3088, 6, 'verzekering');
INSERT INTO `lang_definitions` VALUES (22385, 3091, 6, 'Verzekerings balans');
INSERT INTO `lang_definitions` VALUES (22386, 3092, 6, 'Verzekerings balans bedrag');
INSERT INTO `lang_definitions` VALUES (22387, 3093, 6, 'Verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (22388, 3094, 6, 'Verzekeringsmij-en');
INSERT INTO `lang_definitions` VALUES (22389, 3095, 6, 'Verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (22390, 3096, 6, 'Verzekeringsmij. zoeken/toevoegen');
INSERT INTO `lang_definitions` VALUES (22391, 3098, 6, 'Verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (22392, 3099, 6, 'Opgeslagen Verzekerings gegevens');
INSERT INTO `lang_definitions` VALUES (22393, 3100, 6, 'Verzekering leverings gegevens');
INSERT INTO `lang_definitions` VALUES (22394, 3101, 6, 'Verzekerings betaling');
INSERT INTO `lang_definitions` VALUES (22395, 3103, 6, 'Betalende Instantie');
INSERT INTO `lang_definitions` VALUES (22396, 3104, 6, 'Type verzekeringen');
INSERT INTO `lang_definitions` VALUES (22397, 3105, 6, 'verzekeringen');
INSERT INTO `lang_definitions` VALUES (22398, 3106, 6, 'Verzekerde');
INSERT INTO `lang_definitions` VALUES (22399, 3107, 6, 'Intakegesprek');
INSERT INTO `lang_definitions` VALUES (22400, 3108, 6, 'Intakedatum');
INSERT INTO `lang_definitions` VALUES (22401, 3109, 6, 'Intellectuele achteruitgang');
INSERT INTO `lang_definitions` VALUES (22402, 3110, 6, 'Interlingua');
INSERT INTO `lang_definitions` VALUES (22403, 3111, 6, 'Interlingue');
INSERT INTO `lang_definitions` VALUES (22404, 3113, 6, 'Foutje - er werden geen paginas geselecteerd!');
INSERT INTO `lang_definitions` VALUES (22405, 3114, 6, 'Foutje - geen patient ID ingevoerd!');
INSERT INTO `lang_definitions` VALUES (22406, 3115, 6, 'Foutje- de ge-upload-de file kan niet gelezen worden');
INSERT INTO `lang_definitions` VALUES (22407, 3116, 6, 'Intern foutje');
INSERT INTO `lang_definitions` VALUES (22408, 3117, 6, 'Intern foutje, geen medicatie ID aangegeven!');
INSERT INTO `lang_definitions` VALUES (22409, 3118, 6, 'Foutje - geclaimde');
INSERT INTO `lang_definitions` VALUES (22410, 3119, 6, 'Foutje - schuld ');
INSERT INTO `lang_definitions` VALUES (22411, 3120, 6, 'Foutje - contact \'');
INSERT INTO `lang_definitions` VALUES (22412, 3121, 6, 'Foutje - pid of contact is kwijt.');
INSERT INTO `lang_definitions` VALUES (22413, 3122, 6, 'Foutje - het lijkt erop dat we werken niet in Encounter!');
INSERT INTO `lang_definitions` VALUES (22414, 3123, 6, 'Intern gebruikte ID (pid)');
INSERT INTO `lang_definitions` VALUES (22415, 3126, 6, 'Interne verwijzingen');
INSERT INTO `lang_definitions` VALUES (22416, 3127, 6, 'Interne tijd opgezocht');
INSERT INTO `lang_definitions` VALUES (22417, 3128, 6, 'Internationale Dienst');
INSERT INTO `lang_definitions` VALUES (22418, 3129, 6, 'Tolk');
INSERT INTO `lang_definitions` VALUES (22419, 3130, 6, 'Tolk nodig?');
INSERT INTO `lang_definitions` VALUES (22420, 3131, 6, 'Interstitiele longziekte');
INSERT INTO `lang_definitions` VALUES (22421, 3132, 6, 'Interval');
INSERT INTO `lang_definitions` VALUES (22422, 3133, 6, 'Interval (minuten)');
INSERT INTO `lang_definitions` VALUES (22423, 3134, 6, 'Interval tussen controle van berichten (Als dit op nul gezet wordt is alleen handmatige controle mogleijk)');
INSERT INTO `lang_definitions` VALUES (22424, 3135, 6, 'Interventie');
INSERT INTO `lang_definitions` VALUES (22425, 3136, 6, 'Interventie verstrekt');
INSERT INTO `lang_definitions` VALUES (22426, 3137, 6, 'Intolerantie');
INSERT INTO `lang_definitions` VALUES (22427, 3139, 6, 'intramusculair');
INSERT INTO `lang_definitions` VALUES (22428, 3140, 6, 'intraveneus');
INSERT INTO `lang_definitions` VALUES (22429, 3141, 6, 'Introductie');
INSERT INTO `lang_definitions` VALUES (22430, 3142, 6, 'Inuktitut');
INSERT INTO `lang_definitions` VALUES (22431, 3143, 6, 'Inupiaq');
INSERT INTO `lang_definitions` VALUES (22432, 3144, 6, 'Verkeerd karakter gebruikt in');
INSERT INTO `lang_definitions` VALUES (22433, 3146, 6, 'Ongeldige ingekapselde data type codering');
INSERT INTO `lang_definitions` VALUES (22434, 3147, 6, 'Niet valide lengte voor');
INSERT INTO `lang_definitions` VALUES (22435, 3148, 6, 'Niet geaccepteerde numerieke waarde in');
INSERT INTO `lang_definitions` VALUES (22436, 3149, 6, 'Ongeldige of ontbrekende betaler bron voor code ');
INSERT INTO `lang_definitions` VALUES (22437, 3150, 6, 'Ongeldig adres van Ontvanger. Probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (22438, 3151, 6, 'Ongeldige Service Codes');
INSERT INTO `lang_definitions` VALUES (22439, 3152, 6, 'Ongeldige bron bestemming');
INSERT INTO `lang_definitions` VALUES (22440, 3153, 6, 'Ongeladige User-naam of Paswoord');
INSERT INTO `lang_definitions` VALUES (22441, 3154, 6, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (22442, 3155, 6, 'Inventaris');
INSERT INTO `lang_definitions` VALUES (22443, 3156, 6, 'Inventaris activiteit');
INSERT INTO `lang_definitions` VALUES (22444, 3157, 6, 'Inventaris bij verkoop van medicijnen en andere niet medicijnen');
INSERT INTO `lang_definitions` VALUES (22445, 3158, 6, 'Inventaris en alleen verkoop van medicijnen');
INSERT INTO `lang_definitions` VALUES (22446, 3159, 6, 'Inventaris is niet beschikbaar voor deze bestelling.');
INSERT INTO `lang_definitions` VALUES (22447, 3160, 6, 'Inventarislijst');
INSERT INTO `lang_definitions` VALUES (22448, 3161, 6, 'Inventaris transacties');
INSERT INTO `lang_definitions` VALUES (22449, 3162, 6, 'Rekening');
INSERT INTO `lang_definitions` VALUES (22450, 3163, 6, 'rekening');
INSERT INTO `lang_definitions` VALUES (22451, 3164, 6, 'Invoice balans');
INSERT INTO `lang_definitions` VALUES (22452, 3165, 6, 'Invoice balans kan niet verwerkt worden. Geen encounter aangemaakt.');
INSERT INTO `lang_definitions` VALUES (22453, 3166, 6, 'Datum rekening');
INSERT INTO `lang_definitions` VALUES (22454, 3167, 6, 'Rekening heeft geen datum');
INSERT INTO `lang_definitions` VALUES (22455, 3168, 6, 'Invoice nummer');
INSERT INTO `lang_definitions` VALUES (22456, 3169, 6, 'Invoice referentienummer');
INSERT INTO `lang_definitions` VALUES (22457, 3170, 6, 'Invoice referentiegroeps nummer, indien gebruikt');
INSERT INTO `lang_definitions` VALUES (22458, 3171, 6, 'Invoice referentie groepsnummer');
INSERT INTO `lang_definitions` VALUES (22459, 3172, 6, 'Invoice Referentie No voor groep');
INSERT INTO `lang_definitions` VALUES (22460, 3173, 6, 'Rekening:');
INSERT INTO `lang_definitions` VALUES (22461, 3174, 6, 'IPPF (Int Planned Parenthood Federation)');
INSERT INTO `lang_definitions` VALUES (22462, 3175, 6, 'IPPF Abortus');
INSERT INTO `lang_definitions` VALUES (22463, 3176, 6, 'IPPF Anti-conceptie');
INSERT INTO `lang_definitions` VALUES (22464, 3177, 6, 'IPPF SRH Gegevens voor');
INSERT INTO `lang_definitions` VALUES (22465, 3178, 6, 'IPPF Overzicht met statistieken');
INSERT INTO `lang_definitions` VALUES (22466, 3179, 6, 'IPPF Statistiek rapport');
INSERT INTO `lang_definitions` VALUES (22467, 3180, 6, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (22468, 3181, 6, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (22469, 3182, 6, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (22470, 3183, 6, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (22471, 3184, 6, 'Iewrs');
INSERT INTO `lang_definitions` VALUES (22472, 3185, 6, 'Onregelmatige hartslag');
INSERT INTO `lang_definitions` VALUES (22473, 3186, 6, 'Geirriteerd');
INSERT INTO `lang_definitions` VALUES (22474, 3187, 6, 'Irritatie');
INSERT INTO `lang_definitions` VALUES (22475, 3188, 6, 'de volgende Database is van een andere language versie.');
INSERT INTO `lang_definitions` VALUES (22476, 3189, 6, 'de volgende Database is van een andere versie');
INSERT INTO `lang_definitions` VALUES (22477, 3190, 6, 'is een recentere versie van de volgende database');
INSERT INTO `lang_definitions` VALUES (22478, 3191, 6, 'Verplicht veld.');
INSERT INTO `lang_definitions` VALUES (22479, 3192, 6, 'dit is een basis node en kan niet verwijderd worden');
INSERT INTO `lang_definitions` VALUES (22480, 3193, 6, 'is van een extensie van de volgende Database');
INSERT INTO `lang_definitions` VALUES (22481, 3194, 6, 'Is het de bedoeling deze CVX codes toe te voegen aan reeds bestaande vacinaties?');
INSERT INTO `lang_definitions` VALUES (22482, 3195, 6, 'is verkeerd geplaatst of onbekend');
INSERT INTO `lang_definitions` VALUES (22483, 3197, 6, 'is niet geldig (decimale breuken OK).');
INSERT INTO `lang_definitions` VALUES (22484, 3198, 6, 'Werkt PHP in veilige modus?');
INSERT INTO `lang_definitions` VALUES (22485, 3200, 6, 'Moet de tekst van Layouts vertaald worden?');
INSERT INTO `lang_definitions` VALUES (22486, 3201, 6, 'Moet de tekst van lijsten vertaald worden?');
INSERT INTO `lang_definitions` VALUES (22487, 3202, 6, 'Is de file versleuteld?');
INSERT INTO `lang_definitions` VALUES (22488, 3203, 6, 'Id dit een klinische term code type?');
INSERT INTO `lang_definitions` VALUES (22489, 3204, 6, 'Is dit een diagnose type?');
INSERT INTO `lang_definitions` VALUES (22490, 3205, 6, 'Is dit een Medisch Probleem code type');
INSERT INTO `lang_definitions` VALUES (22491, 3206, 6, 'Is dit een soort Medicijn?');
INSERT INTO `lang_definitions` VALUES (22492, 3207, 6, 'Is dit een procedure-service type?');
INSERT INTO `lang_definitions` VALUES (22493, 3208, 6, 'Is dit actief?');
INSERT INTO `lang_definitions` VALUES (22494, 3209, 6, 'Is dit type code geactiveerd?');
INSERT INTO `lang_definitions` VALUES (22495, 3210, 6, 'Wordt deze type code gebrukt in claims?');
INSERT INTO `lang_definitions` VALUES (22496, 3211, 6, 'Is dit echt goed?');
INSERT INTO `lang_definitions` VALUES (22497, 3212, 6, 'Wordt dit type verborgen in de Honorering velden?');
INSERT INTO `lang_definitions` VALUES (22498, 3213, 6, 'Worden hierbij extrene sql tabellen gebruikt? Alleen dan deze format gebruiken.');
INSERT INTO `lang_definitions` VALUES (22499, 3214, 6, 'is te lang');
INSERT INTO `lang_definitions` VALUES (22500, 3215, 6, 'ISO 639-2 Code');
INSERT INTO `lang_definitions` VALUES (22501, 3216, 6, 'Probleem');
INSERT INTO `lang_definitions` VALUES (22502, 3217, 6, 'probleem');
INSERT INTO `lang_definitions` VALUES (22503, 3218, 6, 'Issue Datum');
INSERT INTO `lang_definitions` VALUES (22504, 3219, 6, 'Issue ID');
INSERT INTO `lang_definitions` VALUES (22505, 3220, 6, 'Issue Titel');
INSERT INTO `lang_definitions` VALUES (22506, 3221, 6, 'Issue type');
INSERT INTO `lang_definitions` VALUES (22507, 3222, 6, 'Issues Types');
INSERT INTO `lang_definitions` VALUES (22508, 3223, 6, 'Problemen');
INSERT INTO `lang_definitions` VALUES (22509, 3224, 6, 'Problemen (Letsel/Medisch/Allergie)');
INSERT INTO `lang_definitions` VALUES (22510, 3225, 6, 'Problemen (Letsel/Medisch/Allergie):');
INSERT INTO `lang_definitions` VALUES (22511, 3226, 6, 'Problemen en Contacten');
INSERT INTO `lang_definitions` VALUES (22512, 3227, 6, 'Problemen en Contacten voor');
INSERT INTO `lang_definitions` VALUES (22513, 3228, 6, 'Niet geautoriseerde problemen');
INSERT INTO `lang_definitions` VALUES (22514, 3229, 6, 'Problemen sectie');
INSERT INTO `lang_definitions` VALUES (22515, 3230, 6, 'Italiaan');
INSERT INTO `lang_definitions` VALUES (22516, 3231, 6, 'Item');
INSERT INTO `lang_definitions` VALUES (22517, 3232, 6, 'item');
INSERT INTO `lang_definitions` VALUES (22518, 3233, 6, 'Items');
INSERT INTO `lang_definitions` VALUES (22519, 3234, 6, 'Items laden is mislukt');
INSERT INTO `lang_definitions` VALUES (22520, 3235, 6, 'IU/L');
INSERT INTO `lang_definitions` VALUES (22521, 3236, 6, 'IUD');
INSERT INTO `lang_definitions` VALUES (22522, 3237, 6, 'Intra veneus');
INSERT INTO `lang_definitions` VALUES (22523, 3238, 6, 'Jan');
INSERT INTO `lang_definitions` VALUES (22524, 3239, 6, 'Januari');
INSERT INTO `lang_definitions` VALUES (22525, 3240, 6, 'Japans');
INSERT INTO `lang_definitions` VALUES (22526, 3241, 6, 'Icterus');
INSERT INTO `lang_definitions` VALUES (22527, 3242, 6, 'Javaans');
INSERT INTO `lang_definitions` VALUES (22528, 3243, 6, 'Functie-omschrijving');
INSERT INTO `lang_definitions` VALUES (22529, 3244, 6, 'Functie-ID');
INSERT INTO `lang_definitions` VALUES (22530, 3245, 6, 'Gewricht uit de kom geschoten');
INSERT INTO `lang_definitions` VALUES (22531, 3246, 6, 'Gewrichtspijn');
INSERT INTO `lang_definitions` VALUES (22532, 3247, 6, 'Verstuikt gewricht');
INSERT INTO `lang_definitions` VALUES (22533, 3248, 6, 'Jul');
INSERT INTO `lang_definitions` VALUES (22534, 3249, 6, 'Juli');
INSERT INTO `lang_definitions` VALUES (22535, 3250, 6, 'Jun');
INSERT INTO `lang_definitions` VALUES (22536, 3251, 6, 'Juni');
INSERT INTO `lang_definitions` VALUES (22537, 3252, 6, 'Net onder de controle-informatie is een blauwe zone waar je in je zoekopdracht parameters kunt invoeren. Je kunt zoeken op naam patiënt, kaart nummer, ontmoetings nummer of op datum dienstverlening, of een combinatie hiervan. Je kunt ook kiezen om u alle facturen, openstaande facturen of alleen niet op tijd betaalde facturen (door de patiënt) wilt zien. Klik op ZOEKEN om de opdracht te geven.');
INSERT INTO `lang_definitions` VALUES (22538, 3253, 6, 'Alleen die van mij');
INSERT INTO `lang_definitions` VALUES (22539, 3254, 6, 'Invullingdie geaccordeerd moeten worden');
INSERT INTO `lang_definitions` VALUES (22540, 3255, 6, 'Accorderen');
INSERT INTO `lang_definitions` VALUES (22541, 3256, 6, 'Accorderen /Opslaan');
INSERT INTO `lang_definitions` VALUES (22542, 3257, 6, 'J{{Jusitfy Header}}');
INSERT INTO `lang_definitions` VALUES (22543, 3258, 6, 'k, hier is de rest');
INSERT INTO `lang_definitions` VALUES (22544, 3259, 6, 'Kalaalisut, Groenlands');
INSERT INTO `lang_definitions` VALUES (22545, 3260, 6, 'Kannada');
INSERT INTO `lang_definitions` VALUES (22546, 3261, 6, 'Kanuri');
INSERT INTO `lang_definitions` VALUES (22547, 3262, 6, 'Kashmiri');
INSERT INTO `lang_definitions` VALUES (22548, 3263, 6, 'Kazakstaans');
INSERT INTO `lang_definitions` VALUES (22549, 3264, 6, 'Sleutel');
INSERT INTO `lang_definitions` VALUES (22550, 3265, 6, 'Sleutelwoorden');
INSERT INTO `lang_definitions` VALUES (22551, 3266, 6, 'kg');
INSERT INTO `lang_definitions` VALUES (22552, 3267, 6, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (22553, 3268, 6, 'Khmer');
INSERT INTO `lang_definitions` VALUES (22554, 3269, 6, 'Nierkanker');
INSERT INTO `lang_definitions` VALUES (22555, 3270, 6, 'Nierfalen');
INSERT INTO `lang_definitions` VALUES (22556, 3271, 6, 'Nierinfectie');
INSERT INTO `lang_definitions` VALUES (22557, 3272, 6, 'Nierstenen');
INSERT INTO `lang_definitions` VALUES (22558, 3273, 6, 'Niertransplantatie');
INSERT INTO `lang_definitions` VALUES (22559, 3274, 6, 'Kikuyu, Gikuyu');
INSERT INTO `lang_definitions` VALUES (22560, 3275, 6, 'Kinyarwanda');
INSERT INTO `lang_definitions` VALUES (22561, 3276, 6, 'Kirundi');
INSERT INTO `lang_definitions` VALUES (22562, 3277, 6, 'Knie');
INSERT INTO `lang_definitions` VALUES (22563, 3278, 6, 'Knieproblemen');
INSERT INTO `lang_definitions` VALUES (22564, 3279, 6, 'Knievervanging');
INSERT INTO `lang_definitions` VALUES (22565, 3280, 6, 'Komi');
INSERT INTO `lang_definitions` VALUES (22566, 3281, 6, 'Congo');
INSERT INTO `lang_definitions` VALUES (22567, 3282, 6, 'Koreaan');
INSERT INTO `lang_definitions` VALUES (22568, 3283, 6, 'Kurdisch');
INSERT INTO `lang_definitions` VALUES (22569, 3284, 6, 'Kwanyama, Kuanyama');
INSERT INTO `lang_definitions` VALUES (22570, 3285, 6, 'Kirgisisch');
INSERT INTO `lang_definitions` VALUES (22571, 3286, 6, 'Lab');
INSERT INTO `lang_definitions` VALUES (22572, 3287, 6, 'Lab documenten');
INSERT INTO `lang_definitions` VALUES (22573, 3288, 6, 'SIte address van Lab Uitwisseling');
INSERT INTO `lang_definitions` VALUES (22574, 3289, 6, 'SIte Lab Exchange ID');
INSERT INTO `lang_definitions` VALUES (22575, 3290, 6, 'Lab Exchange Token ID');
INSERT INTO `lang_definitions` VALUES (22576, 3291, 6, 'Lab aanvragen');
INSERT INTO `lang_definitions` VALUES (22577, 3292, 6, 'Lab overzicht');
INSERT INTO `lang_definitions` VALUES (22578, 3293, 6, 'Lab overzicht');
INSERT INTO `lang_definitions` VALUES (22579, 3294, 6, 'Lab Querry status');
INSERT INTO `lang_definitions` VALUES (22580, 3295, 6, 'Lab rapport');
INSERT INTO `lang_definitions` VALUES (22581, 3296, 6, 'Lab resulaat');
INSERT INTO `lang_definitions` VALUES (22582, 3297, 6, 'Lab resultaten');
INSERT INTO `lang_definitions` VALUES (22583, 3298, 6, 'Lab resultaten Categorie naam');
INSERT INTO `lang_definitions` VALUES (22584, 3299, 6, 'Lab resultaten Rapport');
INSERT INTO `lang_definitions` VALUES (22585, 3300, 6, 'Lab Service');
INSERT INTO `lang_definitions` VALUES (22586, 3301, 6, 'Lab test resultaten');
INSERT INTO `lang_definitions` VALUES (22587, 3302, 6, 'Lab/File');
INSERT INTO `lang_definitions` VALUES (22588, 3303, 6, 'Label');
INSERT INTO `lang_definitions` VALUES (22589, 3304, 6, 'Label mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (22590, 3305, 6, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (22591, 3306, 6, 'Label voor dit type');
INSERT INTO `lang_definitions` VALUES (22592, 3307, 6, 'LabelCols met een getal tussen 1 en 999 zijn');
INSERT INTO `lang_definitions` VALUES (22593, 3308, 6, 'Labels');
INSERT INTO `lang_definitions` VALUES (22594, 3311, 6, 'Labs');
INSERT INTO `lang_definitions` VALUES (22595, 3312, 6, 'Scheurwond/huidprobleem');
INSERT INTO `lang_definitions` VALUES (22596, 3313, 6, 'Scheurwond/schaafwond');
INSERT INTO `lang_definitions` VALUES (22597, 3315, 6, 'Landscape');
INSERT INTO `lang_definitions` VALUES (22598, 3316, 6, 'Taal');
INSERT INTO `lang_definitions` VALUES (22599, 3317, 6, 'Code vd taal');
INSERT INTO `lang_definitions` VALUES (22600, 3318, 6, 'Taaldefinitie toegevoegd');
INSERT INTO `lang_definitions` VALUES (22601, 3319, 6, 'Taalinterface gereedschap');
INSERT INTO `lang_definitions` VALUES (22602, 3320, 6, 'Talenlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (22603, 3321, 6, 'Naam van de taal');
INSERT INTO `lang_definitions` VALUES (22604, 3322, 6, 'Taal:');
INSERT INTO `lang_definitions` VALUES (22605, 3323, 6, 'Lao');
INSERT INTO `lang_definitions` VALUES (22606, 3324, 6, 'Laotiaan');
INSERT INTO `lang_definitions` VALUES (22607, 3325, 6, 'Laatste');
INSERT INTO `lang_definitions` VALUES (22608, 3326, 6, 'Laatste activiteitdatum');
INSERT INTO `lang_definitions` VALUES (22609, 3327, 6, 'Appendectomie gedaan op');
INSERT INTO `lang_definitions` VALUES (22610, 3328, 6, 'Laatste rekeningdatum');
INSERT INTO `lang_definitions` VALUES (22611, 3329, 6, 'Laatse borst onderzoek');
INSERT INTO `lang_definitions` VALUES (22612, 3330, 6, 'Laatste kalender jaar');
INSERT INTO `lang_definitions` VALUES (22613, 3331, 6, 'Laatste Cataract opreatie');
INSERT INTO `lang_definitions` VALUES (22614, 3332, 6, 'Cholecysectomie gedaan op');
INSERT INTO `lang_definitions` VALUES (22615, 3333, 6, 'Laatste Episode');
INSERT INTO `lang_definitions` VALUES (22616, 3334, 6, 'Laatste Gyn onderzoek');
INSERT INTO `lang_definitions` VALUES (22617, 3335, 6, 'Laatste Hart operatie');
INSERT INTO `lang_definitions` VALUES (22618, 3336, 6, 'Laatste Hernia operatie');
INSERT INTO `lang_definitions` VALUES (22619, 3337, 6, 'Laaste heup vervanging');
INSERT INTO `lang_definitions` VALUES (22620, 3338, 6, 'Hysterctomie gedaan op');
INSERT INTO `lang_definitions` VALUES (22621, 3339, 6, 'Laaste knie vervanging');
INSERT INTO `lang_definitions` VALUES (22622, 3340, 6, 'Laatste level in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (22623, 3341, 6, 'Laatste Mammogram');
INSERT INTO `lang_definitions` VALUES (22624, 3342, 6, 'Laatste menstruatie');
INSERT INTO `lang_definitions` VALUES (22625, 3343, 6, 'Laatste maand');
INSERT INTO `lang_definitions` VALUES (22626, 3344, 6, 'Achternaam');
INSERT INTO `lang_definitions` VALUES (22627, 3345, 6, 'Achternaam');
INSERT INTO `lang_definitions` VALUES (22628, 3346, 6, 'Achternaam:');
INSERT INTO `lang_definitions` VALUES (22629, 3347, 6, 'Laatste algemeen lich. onderzoek');
INSERT INTO `lang_definitions` VALUES (22630, 3348, 6, 'Laatste prostaat onderzoek');
INSERT INTO `lang_definitions` VALUES (22631, 3349, 6, 'Laatste rectale onderzoek');
INSERT INTO `lang_definitions` VALUES (22632, 3350, 6, 'Laatst beoordeeld');
INSERT INTO `lang_definitions` VALUES (22633, 3351, 6, 'Laatste RUN begonnen om');
INSERT INTO `lang_definitions` VALUES (22634, 3352, 6, 'Laatst bewaard');
INSERT INTO `lang_definitions` VALUES (22635, 3353, 6, 'Laatste Sigmoid/Coloscopy ond.');
INSERT INTO `lang_definitions` VALUES (22636, 3355, 6, 'Tonsilectomie gedaan op');
INSERT INTO `lang_definitions` VALUES (22637, 3356, 6, 'Laatste update door');
INSERT INTO `lang_definitions` VALUES (22638, 3357, 6, 'Laatste controle aan');
INSERT INTO `lang_definitions` VALUES (22639, 3358, 6, 'Laatste bezoek');
INSERT INTO `lang_definitions` VALUES (22640, 3359, 6, 'Laatste X-ray onderzoek');
INSERT INTO `lang_definitions` VALUES (22641, 3360, 6, 'Laat recidief (2-12 mnd)');
INSERT INTO `lang_definitions` VALUES (22642, 3361, 6, 'Laterale malleolus');
INSERT INTO `lang_definitions` VALUES (22643, 3362, 6, 'Laterale malleolus:');
INSERT INTO `lang_definitions` VALUES (22644, 3363, 6, 'Laterality');
INSERT INTO `lang_definitions` VALUES (22645, 3364, 6, 'Laterality van deze procedure, indien toepasbaar');
INSERT INTO `lang_definitions` VALUES (22646, 3365, 6, 'lateraal verplaatste PMI:');
INSERT INTO `lang_definitions` VALUES (22647, 3367, 6, 'Laatste bezoek of consultatie');
INSERT INTO `lang_definitions` VALUES (22648, 3368, 6, 'Latijn');
INSERT INTO `lang_definitions` VALUES (22649, 3369, 6, 'Latviaans');
INSERT INTO `lang_definitions` VALUES (22650, 3372, 6, 'Opmaak');
INSERT INTO `lang_definitions` VALUES (22651, 3373, 6, 'Mijn formulieren');
INSERT INTO `lang_definitions` VALUES (22652, 3374, 6, 'Weergave-editor');
INSERT INTO `lang_definitions` VALUES (22653, 3375, 6, 'Layout groepen');
INSERT INTO `lang_definitions` VALUES (22654, 3376, 6, 'Layout stijl');
INSERT INTO `lang_definitions` VALUES (22655, 3378, 6, 'Layout gebaseerde formulieren');
INSERT INTO `lang_definitions` VALUES (22656, 3379, 6, 'Weergave');
INSERT INTO `lang_definitions` VALUES (22657, 3380, 6, 'lb');
INSERT INTO `lang_definitions` VALUES (22658, 3381, 6, 'lbs');
INSERT INTO `lang_definitions` VALUES (22659, 3382, 6, 'LDL');
INSERT INTO `lang_definitions` VALUES (22660, 3383, 6, 'OPEN LATEN indien nog actief');
INSERT INTO `lang_definitions` VALUES (22661, 3384, 6, 'Open laten om originele file naam te behouden');
INSERT INTO `lang_definitions` VALUES (22662, 3385, 6, 'OPEN LATEN om wachtwoord te behouden');
INSERT INTO `lang_definitions` VALUES (22663, 3386, 6, 'Laat bericht achter bij');
INSERT INTO `lang_definitions` VALUES (22664, 3387, 6, 'Stoppen');
INSERT INTO `lang_definitions` VALUES (22665, 3388, 6, 'Als de paswoord zin blank wordt gelaten, wordt het document niet versleuteld');
INSERT INTO `lang_definitions` VALUES (22666, 3390, 6, 'Links');
INSERT INTO `lang_definitions` VALUES (22667, 3391, 6, 'Linkeroor');
INSERT INTO `lang_definitions` VALUES (22668, 3392, 6, 'linkeroor');
INSERT INTO `lang_definitions` VALUES (22669, 3393, 6, 'Links:');
INSERT INTO `lang_definitions` VALUES (22670, 3394, 6, 'Links:');
INSERT INTO `lang_definitions` VALUES (22671, 3395, 6, 'Links: ');
INSERT INTO `lang_definitions` VALUES (22672, 3396, 6, 'Pijn in been/Kramp');
INSERT INTO `lang_definitions` VALUES (22673, 3397, 6, 'Juridisch');
INSERT INTO `lang_definitions` VALUES (22674, 3399, 6, 'Legal (papier maat)');
INSERT INTO `lang_definitions` VALUES (22675, 3400, 6, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (22676, 3401, 6, 'Lengte');
INSERT INTO `lang_definitions` VALUES (22677, 3402, 6, 'Lengte van de modifier of 0 als er geen is');
INSERT INTO `lang_definitions` VALUES (22678, 3403, 6, 'Minder dan');
INSERT INTO `lang_definitions` VALUES (22679, 3404, 6, 'Minder dan of gelijk met');
INSERT INTO `lang_definitions` VALUES (22680, 3405, 6, 'Minder prive-informatie (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (22681, 3406, 6, 'Brief');
INSERT INTO `lang_definitions` VALUES (22682, 3407, 6, 'Brief aanmaken');
INSERT INTO `lang_definitions` VALUES (22683, 3408, 6, 'Letter (papier maat)');
INSERT INTO `lang_definitions` VALUES (22684, 3409, 6, 'Brief-deel voor arts ondertekening');
INSERT INTO `lang_definitions` VALUES (22685, 3410, 6, 'Brief-deel voor client ondertekening');
INSERT INTO `lang_definitions` VALUES (22686, 3411, 6, 'Hoeveel spoed');
INSERT INTO `lang_definitions` VALUES (22687, 3412, 6, 'Aansprakelijkheid');
INSERT INTO `lang_definitions` VALUES (22688, 3413, 6, 'Medische aansprakelijkheid');
INSERT INTO `lang_definitions` VALUES (22689, 3414, 6, 'Rijbewijs/ID');
INSERT INTO `lang_definitions` VALUES (22690, 3419, 6, 'Achternaam gediplomeerd voorschrijver');
INSERT INTO `lang_definitions` VALUES (22691, 3420, 6, 'NPI van gediplomeerd voorschrijver');
INSERT INTO `lang_definitions` VALUES (22692, 3421, 6, 'UPIN van gediplomeerd voorscrhijver');
INSERT INTO `lang_definitions` VALUES (22693, 3423, 6, 'Leefwijze');
INSERT INTO `lang_definitions` VALUES (22694, 3424, 6, 'Leefwijze status');
INSERT INTO `lang_definitions` VALUES (22695, 3425, 6, 'Ligament scheur of verzwikt');
INSERT INTO `lang_definitions` VALUES (22696, 3426, 6, 'Matige tabaks roker');
INSERT INTO `lang_definitions` VALUES (22697, 3427, 6, 'Limburgs, Limburgiaans, Limburger');
INSERT INTO `lang_definitions` VALUES (22698, 3428, 6, 'Maximaal aantal gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (22699, 3429, 6, 'Limieten');
INSERT INTO `lang_definitions` VALUES (22700, 3430, 6, 'Lingala');
INSERT INTO `lang_definitions` VALUES (22701, 3431, 6, 'Link');
INSERT INTO `lang_definitions` VALUES (22702, 3432, 6, 'Link naar de patient');
INSERT INTO `lang_definitions` VALUES (22703, 3433, 6, 'Gelinked');
INSERT INTO `lang_definitions` VALUES (22704, 3434, 6, 'Linked document');
INSERT INTO `lang_definitions` VALUES (22705, 3435, 6, 'Linked procedure order');
INSERT INTO `lang_definitions` VALUES (22706, 3436, 6, 'Verbonden met document');
INSERT INTO `lang_definitions` VALUES (22707, 3437, 6, 'Linked met procedure order');
INSERT INTO `lang_definitions` VALUES (22708, 3438, 6, 'Lijst');
INSERT INTO `lang_definitions` VALUES (22709, 3439, 6, 'Lijst box');
INSERT INTO `lang_definitions` VALUES (22710, 3440, 6, 'box met lijst');
INSERT INTO `lang_definitions` VALUES (22711, 3441, 6, 'Box met lijst en toevoeg');
INSERT INTO `lang_definitions` VALUES (22712, 3442, 6, 'Box met lijst en toevoeg');
INSERT INTO `lang_definitions` VALUES (22713, 3443, 6, 'Lijsteditor');
INSERT INTO `lang_definitions` VALUES (22714, 3444, 6, 'Lijst van encounters');
INSERT INTO `lang_definitions` VALUES (22715, 3445, 6, 'Groepslijsten');
INSERT INTO `lang_definitions` VALUES (22716, 3446, 6, 'Lijst verzekeringsmij-en');
INSERT INTO `lang_definitions` VALUES (22717, 3448, 6, 'Lijst onderdelen kunnen niet met een nummer beginnen');
INSERT INTO `lang_definitions` VALUES (22718, 3449, 6, 'Lijst onderdelen bevat illegale letterteken(s)');
INSERT INTO `lang_definitions` VALUES (22719, 3451, 6, 'Lijsten tonen');
INSERT INTO `lang_definitions` VALUES (22720, 3452, 6, 'Lijstnaam');
INSERT INTO `lang_definitions` VALUES (22721, 3453, 6, 'Lijstnamen mogen niet met cijfers beginnen');
INSERT INTO `lang_definitions` VALUES (22722, 3454, 6, 'Lijst medicatie');
INSERT INTO `lang_definitions` VALUES (22723, 3455, 6, 'Lijst gebruikt bij bovenstraande Land data optie.');
INSERT INTO `lang_definitions` VALUES (22724, 3456, 6, 'Lijst gebruikt bij bovenstaande State type-data optie.');
INSERT INTO `lang_definitions` VALUES (22725, 3457, 6, 'Listening port van de RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (22726, 3458, 6, 'Lijsten');
INSERT INTO `lang_definitions` VALUES (22727, 3459, 6, 'Litousch');
INSERT INTO `lang_definitions` VALUES (22728, 3460, 6, 'Testament');
INSERT INTO `lang_definitions` VALUES (22729, 3461, 6, 'LLL:');
INSERT INTO `lang_definitions` VALUES (22730, 3462, 6, 'LMP');
INSERT INTO `lang_definitions` VALUES (22731, 3463, 6, 'Laad het compendium');
INSERT INTO `lang_definitions` VALUES (22732, 3464, 6, 'Definities laden');
INSERT INTO `lang_definitions` VALUES (22733, 3465, 6, 'Laad de Lab configuratie');
INSERT INTO `lang_definitions` VALUES (22734, 3466, 6, 'Laad OE Vraag Opties');
INSERT INTO `lang_definitions` VALUES (22735, 3467, 6, 'Laad Order definities');
INSERT INTO `lang_definitions` VALUES (22736, 3468, 6, 'Laad Order Entry vragen');
INSERT INTO `lang_definitions` VALUES (22737, 3469, 6, 'LOAD SUCCES, Codes zijn bijgevoegd');
INSERT INTO `lang_definitions` VALUES (22738, 3470, 6, 'Aan het laden');
INSERT INTO `lang_definitions` VALUES (22739, 3471, 6, 'Files opladen naar Database. Dit duurt wel even......');
INSERT INTO `lang_definitions` VALUES (22740, 3472, 6, 'LOC');
INSERT INTO `lang_definitions` VALUES (22741, 3473, 6, 'Gebr.');
INSERT INTO `lang_definitions` VALUES (22742, 3474, 6, 'Lokale inhoud');
INSERT INTO `lang_definitions` VALUES (22743, 3475, 6, 'Lokaal file systeem');
INSERT INTO `lang_definitions` VALUES (22744, 3476, 6, 'Lokaal');
INSERT INTO `lang_definitions` VALUES (22745, 3477, 6, 'Lokatie');
INSERT INTO `lang_definitions` VALUES (22746, 3478, 6, 'Locatie:');
INSERT INTO `lang_definitions` VALUES (22747, 3479, 6, 'Lokatie van de LibreEHR machiene en kan gevoelige data bevatten, dus het is aan te bevelen om handmatig de files te dleten na gebruik');
INSERT INTO `lang_definitions` VALUES (22748, 3480, 6, 'Locaties van deze voorraad');
INSERT INTO `lang_definitions` VALUES (22749, 3481, 6, 'Locatie niet gespecificeerd');
INSERT INTO `lang_definitions` VALUES (22750, 3482, 6, 'Locatie waar Hylafax de fax berichten bewaard.');
INSERT INTO `lang_definitions` VALUES (22751, 3483, 6, 'Locatie waar de scans worden bewaard');
INSERT INTO `lang_definitions` VALUES (22752, 3484, 6, 'Locatie:');
INSERT INTO `lang_definitions` VALUES (22753, 3485, 6, 'Afsluiten');
INSERT INTO `lang_definitions` VALUES (22754, 3486, 6, 'Lockstand voor ieder E-signed formulier apart');
INSERT INTO `lang_definitions` VALUES (22755, 3487, 6, 'Lockstand voor Encounters en de formulieren');
INSERT INTO `lang_definitions` VALUES (22756, 3488, 6, 'Lock-stand?');
INSERT INTO `lang_definitions` VALUES (22757, 3489, 6, 'Ge-Locked');
INSERT INTO `lang_definitions` VALUES (22758, 3492, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (22759, 3493, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (22760, 3494, 6, 'Uitloggen');
INSERT INTO `lang_definitions` VALUES (22761, 3495, 6, 'Ingelogd');
INSERT INTO `lang_definitions` VALUES (22762, 3496, 6, 'Actieve gebruiker');
INSERT INTO `lang_definitions` VALUES (22763, 3497, 6, 'Actieve gebruiker: ');
INSERT INTO `lang_definitions` VALUES (22764, 3498, 6, 'Afgemeld.');
INSERT INTO `lang_definitions` VALUES (22765, 3499, 6, 'Vastleggen');
INSERT INTO `lang_definitions` VALUES (22766, 3500, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (22767, 3501, 6, 'Inloggen');
INSERT INTO `lang_definitions` VALUES (22768, 3502, 6, 'Login naam van WordPress gebruiker om portaal te gebruiken');
INSERT INTO `lang_definitions` VALUES (22769, 3503, 6, 'Login bij Remote Host');
INSERT INTO `lang_definitions` VALUES (22770, 3504, 6, 'Login bij deze Remote Host is mislukt');
INSERT INTO `lang_definitions` VALUES (22771, 3505, 6, 'Logout');
INSERT INTO `lang_definitions` VALUES (22772, 3506, 6, 'logout');
INSERT INTO `lang_definitions` VALUES (22773, 3507, 6, 'Logs');
INSERT INTO `lang_definitions` VALUES (22774, 3508, 6, 'Logviewer');
INSERT INTO `lang_definitions` VALUES (22775, 3510, 6, 'Opzoeken');
INSERT INTO `lang_definitions` VALUES (22776, 3511, 6, 'Voorraad');
INSERT INTO `lang_definitions` VALUES (22777, 3512, 6, 'ID ontbreekt voor voorraad');
INSERT INTO `lang_definitions` VALUES (22778, 3513, 6, 'Voorraadnummer');
INSERT INTO `lang_definitions` VALUES (22779, 3514, 6, 'Laag');
INSERT INTO `lang_definitions` VALUES (22780, 3515, 6, 'Lage prioriteit');
INSERT INTO `lang_definitions` VALUES (22781, 3516, 6, 'OnderbeenOnderbeen');
INSERT INTO `lang_definitions` VALUES (22782, 3517, 6, 'Laagste prioriteit');
INSERT INTO `lang_definitions` VALUES (22783, 3518, 6, 'Luba-Katanga');
INSERT INTO `lang_definitions` VALUES (22784, 3519, 6, 'Lumbale wervelkolom');
INSERT INTO `lang_definitions` VALUES (22785, 3520, 6, 'LUNCH');
INSERT INTO `lang_definitions` VALUES (22786, 3521, 6, 'Lunch');
INSERT INTO `lang_definitions` VALUES (22787, 3522, 6, 'Longkanker');
INSERT INTO `lang_definitions` VALUES (22788, 3523, 6, 'Longkanker chirurgie');
INSERT INTO `lang_definitions` VALUES (22789, 3524, 6, 'Longen:');
INSERT INTO `lang_definitions` VALUES (22790, 3525, 6, 'Longen');
INSERT INTO `lang_definitions` VALUES (22791, 3526, 6, 'Lupus');
INSERT INTO `lang_definitions` VALUES (22792, 3527, 6, 'Luxemburgs, Letzeburgisch');
INSERT INTO `lang_definitions` VALUES (22793, 3528, 6, 'M');
INSERT INTO `lang_definitions` VALUES (22794, 3529, 6, 'Memb.Association Categorie');
INSERT INTO `lang_definitions` VALUES (22795, 3530, 6, 'MA client abortus toegestaan');
INSERT INTO `lang_definitions` VALUES (22796, 3531, 6, 'MA statistieken');
INSERT INTO `lang_definitions` VALUES (22797, 3532, 6, 'Macedonisch');
INSERT INTO `lang_definitions` VALUES (22798, 3533, 6, 'Mail verstuurd');
INSERT INTO `lang_definitions` VALUES (22799, 3534, 6, 'Main');
INSERT INTO `lang_definitions` VALUES (22800, 3535, 6, 'Hoofdadres');
INSERT INTO `lang_definitions` VALUES (22801, 3536, 6, 'Belangrijkste boven top Scherm');
INSERT INTO `lang_definitions` VALUES (22802, 3537, 6, 'Bijhouden van acieve medicatie allergie lijst');
INSERT INTO `lang_definitions` VALUES (22803, 3538, 6, 'Bijhouden actieve medicatie lijst');
INSERT INTO `lang_definitions` VALUES (22804, 3539, 6, 'Bijhouden van up-to-date lijst van problemen en actieve diagnoses.');
INSERT INTO `lang_definitions` VALUES (22805, 3540, 6, 'Maak aanpassingen op gebruikte categorieen');
INSERT INTO `lang_definitions` VALUES (22806, 3541, 6, 'Maak een nieuwe afspraak voor');
INSERT INTO `lang_definitions` VALUES (22807, 3542, 6, 'Verzeker je ervan \"');
INSERT INTO `lang_definitions` VALUES (22808, 3543, 6, 'Het aanmaken van BATCH files om naar clearing huis te uploaden worden gemarkeerd als in rekening ebrachgt');
INSERT INTO `lang_definitions` VALUES (22809, 3544, 6, 'Malagaskisch');
INSERT INTO `lang_definitions` VALUES (22810, 3545, 6, 'Malaise:');
INSERT INTO `lang_definitions` VALUES (22811, 3546, 6, 'Maleis');
INSERT INTO `lang_definitions` VALUES (22812, 3547, 6, 'Malayaam');
INSERT INTO `lang_definitions` VALUES (22813, 3548, 6, 'Man');
INSERT INTO `lang_definitions` VALUES (22814, 3549, 6, 'Condoom voor man');
INSERT INTO `lang_definitions` VALUES (22815, 3550, 6, 'Mannelijk VSC');
INSERT INTO `lang_definitions` VALUES (22816, 3551, 6, 'Maltesisch');
INSERT INTO `lang_definitions` VALUES (22817, 3552, 6, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (22818, 3553, 6, 'Beheren');
INSERT INTO `lang_definitions` VALUES (22819, 3554, 6, 'Hooks gebruiken');
INSERT INTO `lang_definitions` VALUES (22820, 3555, 6, 'Modules gebruiken');
INSERT INTO `lang_definitions` VALUES (22821, 3556, 6, 'Vertalingen beheren');
INSERT INTO `lang_definitions` VALUES (22822, 3557, 6, 'Bestand');
INSERT INTO `lang_definitions` VALUES (22823, 3558, 6, 'Verplichte en specifieke velden');
INSERT INTO `lang_definitions` VALUES (22824, 3559, 6, 'Alleen verplichte of alleen specifieke velden, dup check, niet voor zoeken');
INSERT INTO `lang_definitions` VALUES (22825, 3560, 6, 'Verplichte velden of alleen specifieke velden, zoeken en dup controle');
INSERT INTO `lang_definitions` VALUES (22826, 3561, 6, 'Handleiding');
INSERT INTO `lang_definitions` VALUES (22827, 3562, 6, 'Invoeren met de hand');
INSERT INTO `lang_definitions` VALUES (22828, 3563, 6, 'Fabrikant');
INSERT INTO `lang_definitions` VALUES (22829, 3564, 6, 'Manx');
INSERT INTO `lang_definitions` VALUES (22830, 3565, 6, 'Mar');
INSERT INTO `lang_definitions` VALUES (22831, 3567, 6, 'Marathisch (Marathi)');
INSERT INTO `lang_definitions` VALUES (22832, 3568, 6, 'Maart');
INSERT INTO `lang_definitions` VALUES (22833, 3569, 6, 'Huwelijkse staat');
INSERT INTO `lang_definitions` VALUES (22834, 3570, 6, 'Markeren als in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (22835, 3571, 6, 'Aanvinken als in rekening gebracht, maar niet versturen');
INSERT INTO `lang_definitions` VALUES (22836, 3572, 6, 'Aanvinken als geaccepteerd');
INSERT INTO `lang_definitions` VALUES (22837, 3573, 6, 'Aanvinken als geen rekening gestuurd');
INSERT INTO `lang_definitions` VALUES (22838, 3574, 6, 'Aanvinken van deze rapporten als doorgenomen');
INSERT INTO `lang_definitions` VALUES (22839, 3575, 6, 'Aanvinken als geaccepteerd');
INSERT INTO `lang_definitions` VALUES (22840, 3576, 6, 'Gehuwd');
INSERT INTO `lang_definitions` VALUES (22841, 3577, 6, 'Marshallees');
INSERT INTO `lang_definitions` VALUES (22842, 3578, 6, 'Pre-format');
INSERT INTO `lang_definitions` VALUES (22843, 3579, 6, 'Pre-format voor Invoice Nummers');
INSERT INTO `lang_definitions` VALUES (22844, 3580, 6, 'Pre-format voor Client IDs');
INSERT INTO `lang_definitions` VALUES (22845, 3581, 6, 'Pre-format voor Product IDs');
INSERT INTO `lang_definitions` VALUES (22846, 3582, 6, 'Match');
INSERT INTO `lang_definitions` VALUES (22847, 3583, 6, 'Match hoofd/kleine letters');
INSERT INTO `lang_definitions` VALUES (22848, 3584, 6, 'Een gelijke gevonden');
INSERT INTO `lang_definitions` VALUES (22849, 3590, 6, 'Matrix');
INSERT INTO `lang_definitions` VALUES (22850, 3591, 6, 'Max');
INSERT INTO `lang_definitions` VALUES (22851, 3592, 6, 'max totaal files-count is bereikt-opnieuw namen hieronder uploaden');
INSERT INTO `lang_definitions` VALUES (22852, 3594, 6, 'Rechts maxillair');
INSERT INTO `lang_definitions` VALUES (22853, 3595, 6, 'Maximum leeftijd');
INSERT INTO `lang_definitions` VALUES (22854, 3596, 6, 'Maximum aantal karakters');
INSERT INTO `lang_definitions` VALUES (22855, 3597, 6, 'Maximale tijd voodat je wordt uitgelogd. Ingesteld op 7200 seconden (2 uur)');
INSERT INTO `lang_definitions` VALUES (22856, 3600, 6, 'Maximum voor verwachtte inventaris, 0 indien niet van toepassing');
INSERT INTO `lang_definitions` VALUES (22857, 3601, 6, 'Maximum maat');
INSERT INTO `lang_definitions` VALUES (22858, 3602, 6, 'Maximum maat (bij 0 worden alle maten geaccepteerd)');
INSERT INTO `lang_definitions` VALUES (22859, 3603, 6, 'Mei');
INSERT INTO `lang_definitions` VALUES (22860, 3604, 6, 'MC');
INSERT INTO `lang_definitions` VALUES (22861, 3605, 6, 'mcg');
INSERT INTO `lang_definitions` VALUES (22862, 3607, 6, 'Dit betekent dat geen van de laatste drie paswoorden toegestaan zijn als het paswoord veranderd wordt');
INSERT INTO `lang_definitions` VALUES (22863, 3609, 6, 'Meting groeps code');
INSERT INTO `lang_definitions` VALUES (22864, 3611, 6, 'Meting');
INSERT INTO `lang_definitions` VALUES (22865, 3612, 6, 'Mediale malleolus');
INSERT INTO `lang_definitions` VALUES (22866, 3613, 6, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (22867, 3614, 6, 'Medisch');
INSERT INTO `lang_definitions` VALUES (22868, 3615, 6, 'Medische abortus');
INSERT INTO `lang_definitions` VALUES (22869, 3616, 6, 'Medische administratie');
INSERT INTO `lang_definitions` VALUES (22870, 3617, 6, 'Medische historie');
INSERT INTO `lang_definitions` VALUES (22871, 3618, 6, 'Medische issue');
INSERT INTO `lang_definitions` VALUES (22872, 3619, 6, 'Medische issue');
INSERT INTO `lang_definitions` VALUES (22873, 3620, 6, 'Medisch probleem');
INSERT INTO `lang_definitions` VALUES (22874, 3621, 6, 'Medisch probleem');
INSERT INTO `lang_definitions` VALUES (22875, 3622, 6, 'Medische Probleem issue lijst');
INSERT INTO `lang_definitions` VALUES (22876, 3623, 6, 'Medische problemen');
INSERT INTO `lang_definitions` VALUES (22877, 3624, 6, 'Medisch dossier');
INSERT INTO `lang_definitions` VALUES (22878, 3625, 6, 'Medisch dossier #');
INSERT INTO `lang_definitions` VALUES (22879, 3626, 6, 'Medische dossiers');
INSERT INTO `lang_definitions` VALUES (22880, 3627, 6, 'Medische status verstuurd');
INSERT INTO `lang_definitions` VALUES (22881, 3629, 6, 'Medische samenvatting afgegeven');
INSERT INTO `lang_definitions` VALUES (22882, 3630, 6, 'Medisch systeem');
INSERT INTO `lang_definitions` VALUES (22883, 3631, 6, 'Medische type');
INSERT INTO `lang_definitions` VALUES (22884, 3632, 6, 'Medische voorgesch. (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (22885, 3633, 6, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (22886, 3634, 6, 'Verwijzer is ook zorgverlener voor Medicare');
INSERT INTO `lang_definitions` VALUES (22887, 3635, 6, 'Medicijn');
INSERT INTO `lang_definitions` VALUES (22888, 3636, 6, 'Lijst voor medicatie allergie');
INSERT INTO `lang_definitions` VALUES (22889, 3637, 6, 'Medicatie Issue lijst');
INSERT INTO `lang_definitions` VALUES (22890, 3638, 6, 'Medicatie lijst');
INSERT INTO `lang_definitions` VALUES (22891, 3639, 6, 'Medicatie reconsiliatie uitgevoerd?');
INSERT INTO `lang_definitions` VALUES (22892, 3640, 6, 'Medicijnen');
INSERT INTO `lang_definitions` VALUES (22893, 3641, 6, 'Medicijnen:');
INSERT INTO `lang_definitions` VALUES (22894, 3642, 6, 'Medicatie eenheden');
INSERT INTO `lang_definitions` VALUES (22895, 3643, 6, 'Medium');
INSERT INTO `lang_definitions` VALUES (22896, 3644, 6, 'MedlinePlus verbinding');
INSERT INTO `lang_definitions` VALUES (22897, 3645, 6, 'Lidmaatschap Vereniging Statistisch verslag');
INSERT INTO `lang_definitions` VALUES (22898, 3646, 6, 'Geheugen stoorn.');
INSERT INTO `lang_definitions` VALUES (22899, 3647, 6, 'Mannen');
INSERT INTO `lang_definitions` VALUES (22900, 3648, 6, 'Mannen en vrouwen');
INSERT INTO `lang_definitions` VALUES (22901, 3649, 6, 'Alleen mannen');
INSERT INTO `lang_definitions` VALUES (22902, 3650, 6, 'Menarche');
INSERT INTO `lang_definitions` VALUES (22903, 3651, 6, 'Menopauze');
INSERT INTO `lang_definitions` VALUES (22904, 3652, 6, 'Menstruatie heftigheid');
INSERT INTO `lang_definitions` VALUES (22905, 3653, 6, 'Menstruatiecyclus');
INSERT INTO `lang_definitions` VALUES (22906, 3654, 6, 'Geestesziekte');
INSERT INTO `lang_definitions` VALUES (22907, 3655, 6, 'Menu tekst');
INSERT INTO `lang_definitions` VALUES (22908, 3656, 6, 'Menus');
INSERT INTO `lang_definitions` VALUES (22909, 3657, 6, 'Samenvoegen');
INSERT INTO `lang_definitions` VALUES (22910, 3658, 6, 'Samenvoegen afgerond');
INSERT INTO `lang_definitions` VALUES (22911, 3659, 6, 'Voeg patienten samen');
INSERT INTO `lang_definitions` VALUES (22912, 3661, 6, 'Boodschap');
INSERT INTO `lang_definitions` VALUES (22913, 3662, 6, 'Boodschap- herinnerings- oproepen');
INSERT INTO `lang_definitions` VALUES (22914, 3663, 6, 'De inhoud voor de Merge is niet alleen tekstdus moet het als document opgeslagen worden.');
INSERT INTO `lang_definitions` VALUES (22915, 3664, 6, 'Bericht van de patient');
INSERT INTO `lang_definitions` VALUES (22916, 3665, 6, 'Bericht verzonden');
INSERT INTO `lang_definitions` VALUES (22917, 3666, 6, 'Status van het bericht');
INSERT INTO `lang_definitions` VALUES (22918, 3667, 6, 'Titel van het bericht');
INSERT INTO `lang_definitions` VALUES (22919, 3668, 6, 'Bericht aan patient');
INSERT INTO `lang_definitions` VALUES (22920, 3669, 6, 'Boodschap type');
INSERT INTO `lang_definitions` VALUES (22921, 3670, 6, 'BOODSCHAP:');
INSERT INTO `lang_definitions` VALUES (22922, 3671, 6, 'Berichten');
INSERT INTO `lang_definitions` VALUES (22923, 3672, 6, 'Berichten vandaag verzonden');
INSERT INTO `lang_definitions` VALUES (22924, 3673, 6, 'Methode');
INSERT INTO `lang_definitions` VALUES (22925, 3674, 6, 'Methode en Specifiek Product');
INSERT INTO `lang_definitions` VALUES (22926, 3675, 6, 'Methode om uitgaande berichten te sturen');
INSERT INTO `lang_definitions` VALUES (22927, 3676, 6, 'Methode van vernietiging');
INSERT INTO `lang_definitions` VALUES (22928, 3677, 6, 'Mexicaans/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (22929, 3679, 6, 'mg');
INSERT INTO `lang_definitions` VALUES (22930, 3680, 6, 'mg/1ml');
INSERT INTO `lang_definitions` VALUES (22931, 3681, 6, 'mg/2ml');
INSERT INTO `lang_definitions` VALUES (22932, 3682, 6, 'mg/3ml');
INSERT INTO `lang_definitions` VALUES (22933, 3683, 6, 'mg/4ml');
INSERT INTO `lang_definitions` VALUES (22934, 3684, 6, 'mg/5ml');
INSERT INTO `lang_definitions` VALUES (22935, 3685, 6, 'mg/dl');
INSERT INTO `lang_definitions` VALUES (22936, 3686, 6, 'Midden');
INSERT INTO `lang_definitions` VALUES (22937, 3687, 6, 'Intialen/tussenvoegsel');
INSERT INTO `lang_definitions` VALUES (22938, 3688, 6, 'Initialen/tussenvoegsel');
INSERT INTO `lang_definitions` VALUES (22939, 3690, 6, 'DEA midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (22940, 3691, 6, 'Voornaam midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (22941, 3692, 6, 'Achternaam midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (22942, 3693, 6, 'Titulatuur midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (22943, 3694, 6, 'UPIN midlevel voorscrijver');
INSERT INTO `lang_definitions` VALUES (22944, 3695, 6, 'Mien');
INSERT INTO `lang_definitions` VALUES (22945, 3696, 6, 'Tijdelijke werkkracht?');
INSERT INTO `lang_definitions` VALUES (22946, 3697, 6, 'Tijdelijk verblijf');
INSERT INTO `lang_definitions` VALUES (22947, 3698, 6, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (22948, 3701, 6, 'Mime type');
INSERT INTO `lang_definitions` VALUES (22949, 3702, 6, 'Mime type');
INSERT INTO `lang_definitions` VALUES (22950, 3703, 6, 'Min');
INSERT INTO `lang_definitions` VALUES (22951, 3704, 6, 'min');
INSERT INTO `lang_definitions` VALUES (22952, 3705, 6, 'Minimum leeftijd');
INSERT INTO `lang_definitions` VALUES (22953, 3706, 6, 'Distorsie +/- synovitis');
INSERT INTO `lang_definitions` VALUES (22954, 3708, 6, 'Minuut');
INSERT INTO `lang_definitions` VALUES (22955, 3709, 6, 'minuten');
INSERT INTO `lang_definitions` VALUES (22956, 3710, 6, 'Minuten');
INSERT INTO `lang_definitions` VALUES (22957, 3712, 6, 'Diversen');
INSERT INTO `lang_definitions` VALUES (22958, 3713, 6, 'Extra rekening opties');
INSERT INTO `lang_definitions` VALUES (22959, 3714, 6, 'Extra rekening opties voor HCFA-1500');
INSERT INTO `lang_definitions` VALUES (22960, 3715, 6, 'Extra rekening opties HCFA');
INSERT INTO `lang_definitions` VALUES (22961, 3716, 6, 'Diversen');
INSERT INTO `lang_definitions` VALUES (22962, 3717, 6, 'Gemist');
INSERT INTO `lang_definitions` VALUES (22963, 3718, 6, 'afwezig');
INSERT INTO `lang_definitions` VALUES (22964, 3719, 6, 'Verplicht veld ontbreekt');
INSERT INTO `lang_definitions` VALUES (22965, 3720, 6, 'Bedrag ontbreekt');
INSERT INTO `lang_definitions` VALUES (22966, 3721, 6, 'Alleen ontbrekende Mods');
INSERT INTO `lang_definitions` VALUES (22967, 3722, 6, 'Afwezig of ongeldig');
INSERT INTO `lang_definitions` VALUES (22968, 3723, 6, 'PID ontbreekt');
INSERT INTO `lang_definitions` VALUES (22969, 3724, 6, 'Rapportdatum ontbreekt');
INSERT INTO `lang_definitions` VALUES (22970, 3725, 6, 'De slash na betaler in broncode wordt gemist ');
INSERT INTO `lang_definitions` VALUES (22971, 3726, 6, 'Gemengd');
INSERT INTO `lang_definitions` VALUES (22972, 3727, 6, 'ml');
INSERT INTO `lang_definitions` VALUES (22973, 3728, 6, 'mm/dd/jjjj');
INSERT INTO `lang_definitions` VALUES (22974, 3729, 6, 'mmHg');
INSERT INTO `lang_definitions` VALUES (22975, 3730, 6, 'mmHg');
INSERT INTO `lang_definitions` VALUES (22976, 3731, 6, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (22977, 3732, 6, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (22978, 3733, 6, 'Mobiel');
INSERT INTO `lang_definitions` VALUES (22979, 3734, 6, 'Mobiele telefoon');
INSERT INTO `lang_definitions` VALUES (22980, 3735, 6, 'Mod');
INSERT INTO `lang_definitions` VALUES (22981, 3738, 6, 'Matige prioriteit');
INSERT INTO `lang_definitions` VALUES (22982, 3740, 6, 'Matig tot lage prioriteit');
INSERT INTO `lang_definitions` VALUES (22983, 3741, 6, 'Modifier');
INSERT INTO `lang_definitions` VALUES (22984, 3742, 6, 'Modifiers');
INSERT INTO `lang_definitions` VALUES (22985, 3743, 6, 'Aanpassen');
INSERT INTO `lang_definitions` VALUES (22986, 3745, 6, 'Betalingen aanpassen');
INSERT INTO `lang_definitions` VALUES (22987, 3746, 6, 'Lengte van Mod');
INSERT INTO `lang_definitions` VALUES (22988, 3747, 6, 'Module');
INSERT INTO `lang_definitions` VALUES (22989, 3748, 6, 'Directorie voor Module niet gevonden');
INSERT INTO `lang_definitions` VALUES (22990, 3749, 6, 'Module installer');
INSERT INTO `lang_definitions` VALUES (22991, 3750, 6, 'Naam voor deze Module');
INSERT INTO `lang_definitions` VALUES (22992, 3751, 6, 'Naam voor deze Module bestaat al');
INSERT INTO `lang_definitions` VALUES (22993, 3752, 6, 'Modules gebruiken');
INSERT INTO `lang_definitions` VALUES (22994, 3753, 6, 'Ma');
INSERT INTO `lang_definitions` VALUES (22995, 3754, 6, 'Ma tm vrij');
INSERT INTO `lang_definitions` VALUES (22996, 3755, 6, 'Ma, woe, vrij');
INSERT INTO `lang_definitions` VALUES (22997, 3756, 6, 'Maandag');
INSERT INTO `lang_definitions` VALUES (22998, 3757, 6, 'Mongools');
INSERT INTO `lang_definitions` VALUES (22999, 3758, 6, 'Maand');
INSERT INTO `lang_definitions` VALUES (23000, 3759, 6, 'maand');
INSERT INTO `lang_definitions` VALUES (23001, 3760, 6, 'Maandoverzicht');
INSERT INTO `lang_definitions` VALUES (23002, 3761, 6, 'Maand(en)');
INSERT INTO `lang_definitions` VALUES (23003, 3762, 6, 'Maandelijks inkomen');
INSERT INTO `lang_definitions` VALUES (23004, 3763, 6, 'Maanden');
INSERT INTO `lang_definitions` VALUES (23005, 3765, 6, 'Meer dan 100 resultaten gevonden, specificeer uw zoekactie.');
INSERT INTO `lang_definitions` VALUES (23006, 3766, 6, 'Meer dan 50 gevonden, specificeer de zoekactie.');
INSERT INTO `lang_definitions` VALUES (23007, 3767, 6, 'De top van de kolom kan aangeklikt worden om de sorteer volgorde te veranderen');
INSERT INTO `lang_definitions` VALUES (23008, 3768, 6, 'Meest recente van');
INSERT INTO `lang_definitions` VALUES (23009, 3769, 6, 'Meest recente Lab data:');
INSERT INTO `lang_definitions` VALUES (23010, 3770, 6, 'Meest recente vitals van:');
INSERT INTO `lang_definitions` VALUES (23011, 3771, 6, 'Moeder');
INSERT INTO `lang_definitions` VALUES (23012, 3772, 6, 'Naam moeder');
INSERT INTO `lang_definitions` VALUES (23013, 3773, 6, 'Historie van moeder');
INSERT INTO `lang_definitions` VALUES (23014, 3774, 6, 'Mond');
INSERT INTO `lang_definitions` VALUES (23015, 3775, 6, 'Verplaats');
INSERT INTO `lang_definitions` VALUES (23016, 3776, 6, 'Verplaats document naar categorie:');
INSERT INTO `lang_definitions` VALUES (23017, 3777, 6, 'Naar beneden');
INSERT INTO `lang_definitions` VALUES (23018, 3778, 6, 'Verplaatsing mislukt!');
INSERT INTO `lang_definitions` VALUES (23019, 3779, 6, 'Ga naar patient');
INSERT INTO `lang_definitions` VALUES (23020, 3780, 6, 'Verplaatsen naar....');
INSERT INTO `lang_definitions` VALUES (23021, 3781, 6, 'Naar boven');
INSERT INTO `lang_definitions` VALUES (23022, 3782, 6, 'Verplaatsen');
INSERT INTO `lang_definitions` VALUES (23023, 3783, 6, 'Dhr.');
INSERT INTO `lang_definitions` VALUES (23024, 3784, 6, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (23025, 3785, 6, 'Mvr.');
INSERT INTO `lang_definitions` VALUES (23026, 3786, 6, 'Mej.');
INSERT INTO `lang_definitions` VALUES (23027, 3787, 6, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (23028, 3788, 6, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (23029, 3789, 6, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (23030, 3790, 6, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (23031, 3791, 6, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (23032, 3793, 6, 'MSH.8bericht is niet correct');
INSERT INTO `lang_definitions` VALUES (23033, 3794, 6, 'MSP Code');
INSERT INTO `lang_definitions` VALUES (23034, 3795, 6, 'MSP retour codes');
INSERT INTO `lang_definitions` VALUES (23035, 3796, 6, 'Vertalingaanpassing eigen lokale OEMR versie');
INSERT INTO `lang_definitions` VALUES (23036, 3797, 6, 'Diverse plekken');
INSERT INTO `lang_definitions` VALUES (23037, 3798, 6, 'Meerder files kunnen tegelijk worden upgeload door te selecteren met CTRL+Click of SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (23038, 3799, 6, 'Meedere partijen');
INSERT INTO `lang_definitions` VALUES (23039, 3800, 6, 'Meerdere modifiers kunnen dmv dubbele punt gescheiden worden, max 4 (M:1M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (23040, 3801, 6, 'Meer keuze selectie lijst');
INSERT INTO `lang_definitions` VALUES (23041, 3802, 6, 'Multi raciaal');
INSERT INTO `lang_definitions` VALUES (23042, 3803, 6, 'Geruis:');
INSERT INTO `lang_definitions` VALUES (23043, 3804, 6, 'Spierpijn');
INSERT INTO `lang_definitions` VALUES (23044, 3805, 6, 'Spierpijnen');
INSERT INTO `lang_definitions` VALUES (23045, 3806, 6, 'Roodheid spieren');
INSERT INTO `lang_definitions` VALUES (23046, 3807, 6, 'Stijfheid spieren');
INSERT INTO `lang_definitions` VALUES (23047, 3808, 6, 'Spier zwelling');
INSERT INTO `lang_definitions` VALUES (23048, 3809, 6, 'Warme spieren');
INSERT INTO `lang_definitions` VALUES (23049, 3810, 6, 'Spieren');
INSERT INTO `lang_definitions` VALUES (23050, 3811, 6, 'Spierkwetsuur');
INSERT INTO `lang_definitions` VALUES (23051, 3812, 6, 'Musculoskelatair');
INSERT INTO `lang_definitions` VALUES (23052, 3813, 6, 'Moet leeg zij als SMTP verificatie niet gebruikt wordt');
INSERT INTO `lang_definitions` VALUES (23053, 3814, 6, 'Afgesproken in samenspraak');
INSERT INTO `lang_definitions` VALUES (23054, 3815, 6, 'MVA');
INSERT INTO `lang_definitions` VALUES (23055, 3818, 6, 'Ikzelf');
INSERT INTO `lang_definitions` VALUES (23056, 3820, 6, 'Maori');
INSERT INTO `lang_definitions` VALUES (23057, 3821, 6, 'N/A');
INSERT INTO `lang_definitions` VALUES (23058, 3822, 6, 'n/a');
INSERT INTO `lang_definitions` VALUES (23059, 3823, 6, 'Naam');
INSERT INTO `lang_definitions` VALUES (23060, 3825, 6, 'Naam (klik voor meer)');
INSERT INTO `lang_definitions` VALUES (23061, 3826, 6, 'Naam 1');
INSERT INTO `lang_definitions` VALUES (23062, 3827, 6, 'Naam 2');
INSERT INTO `lang_definitions` VALUES (23063, 3828, 6, 'Vaccinatie gegeven door');
INSERT INTO `lang_definitions` VALUES (23064, 3829, 6, 'Naam voor het EMR');
INSERT INTO `lang_definitions` VALUES (23065, 3830, 6, 'Naam het principe volgen van codetype_code_langauge.pdf, b.v. icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (23066, 3831, 6, 'Naam van Gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (23067, 3832, 6, 'Naam verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (23068, 3833, 6, 'Naam behandelaar');
INSERT INTO `lang_definitions` VALUES (23069, 3834, 6, 'Naam van afzender voor patient reminders');
INSERT INTO `lang_definitions` VALUES (23070, 3835, 6, 'Naam vertaling');
INSERT INTO `lang_definitions` VALUES (23071, 3836, 6, 'Naam/Waarde');
INSERT INTO `lang_definitions` VALUES (23072, 3837, 6, 'Naam:');
INSERT INTO `lang_definitions` VALUES (23073, 3838, 6, 'Neusgang:');
INSERT INTO `lang_definitions` VALUES (23074, 3839, 6, 'Neusgang: Normaal Rechts');
INSERT INTO `lang_definitions` VALUES (23075, 3840, 6, 'Neusslijmvliezen rose, septum op middenlijn');
INSERT INTO `lang_definitions` VALUES (23076, 3841, 6, 'Nation notities');
INSERT INTO `lang_definitions` VALUES (23077, 3842, 6, 'Configureer NationNotes');
INSERT INTO `lang_definitions` VALUES (23078, 3843, 6, 'NationNotites aanpassings button');
INSERT INTO `lang_definitions` VALUES (23079, 3844, 6, 'Nationaliteit');
INSERT INTO `lang_definitions` VALUES (23080, 3845, 6, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (23081, 3846, 6, 'Oorspronkelijke DATA Loads');
INSERT INTO `lang_definitions` VALUES (23082, 3847, 6, 'Van oorsprong Hawai of andere Pacific eilandbewoner');
INSERT INTO `lang_definitions` VALUES (23083, 3851, 6, 'Nauru');
INSERT INTO `lang_definitions` VALUES (23084, 3852, 6, 'Misselijkheid');
INSERT INTO `lang_definitions` VALUES (23085, 3853, 6, 'Navajo, Navaho');
INSERT INTO `lang_definitions` VALUES (23086, 3854, 6, 'Navigatie');
INSERT INTO `lang_definitions` VALUES (23087, 3855, 6, 'Navigatie met encounter formulieren');
INSERT INTO `lang_definitions` VALUES (23088, 3856, 6, 'Navigatie vak gebruikt volledige hoogte van frameset');
INSERT INTO `lang_definitions` VALUES (23089, 3857, 6, 'Navigatie gebied bezoek formulieren');
INSERT INTO `lang_definitions` VALUES (23090, 3858, 6, 'Breedte van Navigatie-vak');
INSERT INTO `lang_definitions` VALUES (23091, 3859, 6, 'Navigatie menu bestaat uit paren van Radio buttons');
INSERT INTO `lang_definitions` VALUES (23092, 3860, 6, 'Navigatie menu is Tree format');
INSERT INTO `lang_definitions` VALUES (23093, 3861, 6, 'Navigatie menu met verberg optie');
INSERT INTO `lang_definitions` VALUES (23094, 3862, 6, 'Nat.Med.Code');
INSERT INTO `lang_definitions` VALUES (23095, 3863, 6, 'NDC data');
INSERT INTO `lang_definitions` VALUES (23096, 3864, 6, 'NDC nummer');
INSERT INTO `lang_definitions` VALUES (23097, 3865, 6, 'Ndonga');
INSERT INTO `lang_definitions` VALUES (23098, 3866, 6, 'Nek');
INSERT INTO `lang_definitions` VALUES (23099, 3867, 6, 'Nekproblemen');
INSERT INTO `lang_definitions` VALUES (23100, 3868, 6, 'Nek soepel');
INSERT INTO `lang_definitions` VALUES (23101, 3869, 6, 'Omschrijving moet ingevoerd worden');
INSERT INTO `lang_definitions` VALUES (23102, 3870, 6, 'Waarde voor terugsturen moet nog ingevuld worden');
INSERT INTO `lang_definitions` VALUES (23103, 3871, 6, 'Identificator moet nog ingevuld worden');
INSERT INTO `lang_definitions` VALUES (23104, 3872, 6, 'Titel moet nog ingevoerd worden');
INSERT INTO `lang_definitions` VALUES (23105, 3873, 6, 'Authorisatie verplicht');
INSERT INTO `lang_definitions` VALUES (23106, 3874, 6, 'Behoort bij acoorderen');
INSERT INTO `lang_definitions` VALUES (23107, 3875, 6, 'Moet nog extra in rekening gebracht worden');
INSERT INTO `lang_definitions` VALUES (23108, 3876, 6, 'Negatief');
INSERT INTO `lang_definitions` VALUES (23109, 3877, 6, 'Negativen');
INSERT INTO `lang_definitions` VALUES (23110, 3879, 6, 'Nepalees');
INSERT INTO `lang_definitions` VALUES (23111, 3880, 6, 'Zenuw trauma');
INSERT INTO `lang_definitions` VALUES (23112, 3881, 6, 'Zenuwaandoening / zenuwletsel');
INSERT INTO `lang_definitions` VALUES (23113, 3882, 6, 'Zenuwdoofheid');
INSERT INTO `lang_definitions` VALUES (23114, 3883, 6, 'Zenuwzwakte');
INSERT INTO `lang_definitions` VALUES (23115, 3884, 6, 'Neurologisch');
INSERT INTO `lang_definitions` VALUES (23116, 3885, 6, 'Nooit');
INSERT INTO `lang_definitions` VALUES (23117, 3886, 6, 'Nooit alcohol');
INSERT INTO `lang_definitions` VALUES (23118, 3887, 6, 'Nooit gerookt');
INSERT INTO `lang_definitions` VALUES (23119, 3888, 6, 'Nieuw');
INSERT INTO `lang_definitions` VALUES (23120, 3889, 6, 'Nieuw =>');
INSERT INTO `lang_definitions` VALUES (23121, 3890, 6, 'Nieuw geaccepteerden');
INSERT INTO `lang_definitions` VALUES (23122, 3892, 6, 'Nieuwe allergie');
INSERT INTO `lang_definitions` VALUES (23123, 3893, 6, 'Nieuw verzoek tot wijziging');
INSERT INTO `lang_definitions` VALUES (23124, 3894, 6, 'Nieuwe afspraak');
INSERT INTO `lang_definitions` VALUES (23125, 3895, 6, 'Nieuwe categorie');
INSERT INTO `lang_definitions` VALUES (23126, 3896, 6, 'Nieuwe categorie');
INSERT INTO `lang_definitions` VALUES (23127, 3897, 6, 'Nieuwe client');
INSERT INTO `lang_definitions` VALUES (23128, 3898, 6, 'Nieuw');
INSERT INTO `lang_definitions` VALUES (23129, 3899, 6, 'Nieuwe voorraad');
INSERT INTO `lang_definitions` VALUES (23130, 3900, 6, 'Nieuwe definitie set toegevoegd');
INSERT INTO `lang_definitions` VALUES (23131, 3901, 6, 'Nieuw document');
INSERT INTO `lang_definitions` VALUES (23132, 3902, 6, 'Nieuw documenten');
INSERT INTO `lang_definitions` VALUES (23133, 3904, 6, 'Nieuwe encounter');
INSERT INTO `lang_definitions` VALUES (23134, 3905, 6, 'Nieuwe encounter aangemaakt met ID');
INSERT INTO `lang_definitions` VALUES (23135, 3906, 6, 'Nieuw contact formulier');
INSERT INTO `lang_definitions` VALUES (23136, 3907, 6, 'Nieuw contact niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (23137, 3908, 6, 'Nieuw contact');
INSERT INTO `lang_definitions` VALUES (23138, 3909, 6, 'Informatie nieuwe locatie');
INSERT INTO `lang_definitions` VALUES (23139, 3910, 6, 'Nieuw file');
INSERT INTO `lang_definitions` VALUES (23140, 3911, 6, 'Nieuwe files');
INSERT INTO `lang_definitions` VALUES (23141, 3912, 6, 'Nieuwe groep');
INSERT INTO `lang_definitions` VALUES (23142, 3913, 6, 'Nieuwe groepsinformatie');
INSERT INTO `lang_definitions` VALUES (23143, 3914, 6, 'Nieuwe inj/status');
INSERT INTO `lang_definitions` VALUES (23144, 3916, 6, 'Nieuwe limiet voor gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (23145, 3917, 6, 'Nieuwe lijst');
INSERT INTO `lang_definitions` VALUES (23146, 3918, 6, 'Nieuwe orders');
INSERT INTO `lang_definitions` VALUES (23147, 3919, 6, 'Nieuwe paragraaf');
INSERT INTO `lang_definitions` VALUES (23148, 3920, 6, 'Nieuw paswoord');
INSERT INTO `lang_definitions` VALUES (23149, 3921, 6, 'Nieuwe patient');
INSERT INTO `lang_definitions` VALUES (23150, 3922, 6, 'Nieuwe Patient');
INSERT INTO `lang_definitions` VALUES (23151, 3923, 6, 'Nieuw patientencontact');
INSERT INTO `lang_definitions` VALUES (23152, 3924, 6, 'Formulier nieuwe patient');
INSERT INTO `lang_definitions` VALUES (23153, 3925, 6, 'ID nieuwe patient');
INSERT INTO `lang_definitions` VALUES (23154, 3926, 6, 'Nieuwe betaling');
INSERT INTO `lang_definitions` VALUES (23155, 3927, 6, 'Nieuwe Portaal login');
INSERT INTO `lang_definitions` VALUES (23156, 3928, 6, 'Nieuwe pt');
INSERT INTO `lang_definitions` VALUES (23157, 3929, 6, 'Nieuwe resultaten van Lab uitwisseling');
INSERT INTO `lang_definitions` VALUES (23158, 3930, 6, 'Nieuwe zoekactie');
INSERT INTO `lang_definitions` VALUES (23159, 3931, 6, 'Nieuw toevoeging');
INSERT INTO `lang_definitions` VALUES (23160, 3932, 6, 'Nieuwe gebruiker');
INSERT INTO `lang_definitions` VALUES (23161, 3933, 6, 'Nieuwe waarde');
INSERT INTO `lang_definitions` VALUES (23162, 3934, 6, 'Nieuw consult');
INSERT INTO `lang_definitions` VALUES (23163, 3935, 6, 'Nieuw/Zoeken');
INSERT INTO `lang_definitions` VALUES (23164, 3936, 6, 'Nieuwe voorraad Account status');
INSERT INTO `lang_definitions` VALUES (23165, 3937, 6, 'NewCrop Admin');
INSERT INTO `lang_definitions` VALUES (23166, 3938, 6, 'NewCrop aanroepen mislukt');
INSERT INTO `lang_definitions` VALUES (23167, 3939, 6, 'NewCrop Dokter');
INSERT INTO `lang_definitions` VALUES (23168, 3940, 6, 'NewCrop eRx rekening Id');
INSERT INTO `lang_definitions` VALUES (23169, 3944, 6, 'NewCrop eRx naam');
INSERT INTO `lang_definitions` VALUES (23170, 3945, 6, 'NewCorp eRx Partner Naam');
INSERT INTO `lang_definitions` VALUES (23171, 3946, 6, 'Newcorp Paswoord');
INSERT INTO `lang_definitions` VALUES (23172, 3947, 6, 'NewCrop eRx rol');
INSERT INTO `lang_definitions` VALUES (23173, 3948, 6, 'NewCrop eRx rol');
INSERT INTO `lang_definitions` VALUES (23174, 3949, 6, 'NewCrop eRx Site adres');
INSERT INTO `lang_definitions` VALUES (23175, 3950, 6, 'NewCrop eRx SOAP verzoek voor tijd te leven voor Allergies');
INSERT INTO `lang_definitions` VALUES (23176, 3951, 6, 'NewCrop eRx SOAP verzoek voor tijd te leven voor Medicaties');
INSERT INTO `lang_definitions` VALUES (23177, 3954, 6, 'NewCrop eRx Web Service Adres');
INSERT INTO `lang_definitions` VALUES (23178, 3955, 6, 'NewCrop Manager');
INSERT INTO `lang_definitions` VALUES (23179, 3956, 6, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (23180, 3957, 6, 'NewCorp Midlevel voorschrijver');
INSERT INTO `lang_definitions` VALUES (23181, 3958, 6, 'NewCrop Midlevel Verleegkundige');
INSERT INTO `lang_definitions` VALUES (23182, 3959, 6, 'NewCrop Supervisor Dokter');
INSERT INTO `lang_definitions` VALUES (23183, 3960, 6, 'Nieuwer');
INSERT INTO `lang_definitions` VALUES (23184, 3961, 6, 'Krant');
INSERT INTO `lang_definitions` VALUES (23185, 3962, 6, 'Volgende');
INSERT INTO `lang_definitions` VALUES (23186, 3964, 6, 'Volgende dag');
INSERT INTO `lang_definitions` VALUES (23187, 3965, 6, 'Volgende maand');
INSERT INTO `lang_definitions` VALUES (23188, 3966, 6, 'Volgende maand (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (23189, 3967, 6, 'Volgende geplande RUN');
INSERT INTO `lang_definitions` VALUES (23190, 3968, 6, 'Volgende week');
INSERT INTO `lang_definitions` VALUES (23191, 3969, 6, 'Volgend jaar (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (23192, 3970, 6, 'Voorkeurs naam');
INSERT INTO `lang_definitions` VALUES (23193, 3971, 6, 'Alias');
INSERT INTO `lang_definitions` VALUES (23194, 3973, 6, 'Nacht zweten');
INSERT INTO `lang_definitions` VALUES (23195, 3974, 6, 'Normale ext genitalien, vag mucose, cervix');
INSERT INTO `lang_definitions` VALUES (23196, 3975, 6, 'Nee');
INSERT INTO `lang_definitions` VALUES (23197, 3976, 6, 'NEE');
INSERT INTO `lang_definitions` VALUES (23198, 3977, 6, 'Geen toegang');
INSERT INTO `lang_definitions` VALUES (23199, 3978, 6, 'Geen actieve patient reminders');
INSERT INTO `lang_definitions` VALUES (23200, 3979, 6, 'Geen adenopathie (2 gebieden nodig)');
INSERT INTO `lang_definitions` VALUES (23201, 3980, 6, 'Geen aanpssing reden gevonden voor');
INSERT INTO `lang_definitions` VALUES (23202, 3981, 6, 'Adnexa niet pijnlijk of palpabele massa');
INSERT INTO `lang_definitions` VALUES (23203, 3982, 6, 'Geen aanpssing verzoek beschikbaar');
INSERT INTO `lang_definitions` VALUES (23204, 3983, 6, 'Geen afspraken');
INSERT INTO `lang_definitions` VALUES (23205, 3984, 6, 'Er is geen aanpassing ontdekt in de audit log in de geselecteerde datum  range');
INSERT INTO `lang_definitions` VALUES (23206, 3985, 6, 'Er is momenteel geen factureringssysteem actief');
INSERT INTO `lang_definitions` VALUES (23207, 3986, 6, 'Geen rekeningen gevonden om bij OFX export in te voegen');
INSERT INTO `lang_definitions` VALUES (23208, 3987, 6, 'Geen rekeningen gevonden om in OFX Export bij te voegen<br>');
INSERT INTO `lang_definitions` VALUES (23209, 3989, 6, 'Geen code gespecificeerd');
INSERT INTO `lang_definitions` VALUES (23210, 3990, 6, 'Geen configuratie gemaakt voor deze Module');
INSERT INTO `lang_definitions` VALUES (23211, 3992, 6, 'Geen diagnose');
INSERT INTO `lang_definitions` VALUES (23212, 3993, 6, 'Geen documenten gevonden');
INSERT INTO `lang_definitions` VALUES (23213, 3994, 6, 'Er kon geen Encounter aangemaakt worden');
INSERT INTO `lang_definitions` VALUES (23214, 3995, 6, 'Geen einddatum');
INSERT INTO `lang_definitions` VALUES (23215, 3996, 6, 'Geen invoer vonden, gebruik het volgende formulier om invoer toe te voegen.');
INSERT INTO `lang_definitions` VALUES (23216, 3997, 6, 'Geen fouten gevonden');
INSERT INTO `lang_definitions` VALUES (23217, 3998, 6, 'Geen gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (23218, 4000, 6, 'Geen files geplanned voor installatie');
INSERT INTO `lang_definitions` VALUES (23219, 4001, 6, 'Er is geen groep geselecteerd');
INSERT INTO `lang_definitions` VALUES (23220, 4002, 6, 'Geen hernia');
INSERT INTO `lang_definitions` VALUES (23221, 4003, 6, 'Geen aanknopings punten voor deze Module beschikbaar');
INSERT INTO `lang_definitions` VALUES (23222, 4004, 6, 'Geen anknopins punten voor deze Module aangemaakt');
INSERT INTO `lang_definitions` VALUES (23223, 4005, 6, 'Geen letsel/ziekte');
INSERT INTO `lang_definitions` VALUES (23224, 4006, 6, 'Geen verzekeringsmij. gevonden');
INSERT INTO `lang_definitions` VALUES (23225, 4007, 6, 'Geen issues');
INSERT INTO `lang_definitions` VALUES (23226, 4008, 6, 'Geen Issues tijdens dit bezoek');
INSERT INTO `lang_definitions` VALUES (23227, 4009, 6, 'Geen waarden voor geselecteerde categorie');
INSERT INTO `lang_definitions` VALUES (23228, 4010, 6, 'Geen items geselecteerd');
INSERT INTO `lang_definitions` VALUES (23229, 4024, 6, 'Geen lab data gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (23230, 4025, 6, 'Voor de geselcteerde data bestaat geen log-file');
INSERT INTO `lang_definitions` VALUES (23231, 4027, 6, 'Geen zwellingen of gevoeligheid');
INSERT INTO `lang_definitions` VALUES (23232, 4028, 6, 'Geen patienten record voor de opgegeven Re Identificatie code');
INSERT INTO `lang_definitions` VALUES (23233, 4029, 6, 'Geen matches gevonden. Probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (23234, 4030, 6, 'Er zijn geen overeenkomstigen gevonden');
INSERT INTO `lang_definitions` VALUES (23235, 4031, 6, 'Niets gevonden. Nieuwe patient aanmaken?');
INSERT INTO `lang_definitions` VALUES (23236, 4032, 6, 'Geen van de records voldoet aan zoekopdracht');
INSERT INTO `lang_definitions` VALUES (23237, 4033, 6, 'Geen nieuwe resultaten gevonden');
INSERT INTO `lang_definitions` VALUES (23238, 4034, 6, 'Geen notities');
INSERT INTO `lang_definitions` VALUES (23239, 4035, 6, 'Geen organomegaly');
INSERT INTO `lang_definitions` VALUES (23240, 4036, 6, 'Geen vrije plaatsen gevonden voor deze periode');
INSERT INTO `lang_definitions` VALUES (23241, 4037, 6, 'Geen andere telefoon nummers geregistreerd');
INSERT INTO `lang_definitions` VALUES (23242, 4038, 6, 'Geen parameters geselecteerd');
INSERT INTO `lang_definitions` VALUES (23243, 4039, 6, 'Geen partners gevonden');
INSERT INTO `lang_definitions` VALUES (23244, 4040, 6, 'Geen patienten record gevonden voor de opgegeven Selectie');
INSERT INTO `lang_definitions` VALUES (23245, 4041, 6, 'Geen patienten record gevonden voor de Re-Identificatie code');
INSERT INTO `lang_definitions` VALUES (23246, 4042, 6, 'Geen perifeer oedeem');
INSERT INTO `lang_definitions` VALUES (23247, 4043, 6, 'Geen apotheken gevonden');
INSERT INTO `lang_definitions` VALUES (23248, 4044, 6, 'Geen recepten gevonden');
INSERT INTO `lang_definitions` VALUES (23249, 4045, 6, 'Geen ziekte of letsel aantoonbaar');
INSERT INTO `lang_definitions` VALUES (23250, 4046, 6, 'Geen eerdere vermeldingen');
INSERT INTO `lang_definitions` VALUES (23251, 4047, 6, 'Geen Primary Bisseness Entity geselecteerd in faciliteit lijst');
INSERT INTO `lang_definitions` VALUES (23252, 4048, 6, 'Geen eerdere bezoeken');
INSERT INTO `lang_definitions` VALUES (23253, 4049, 6, 'Geen procedures voor dit bezoek');
INSERT INTO `lang_definitions` VALUES (23254, 4051, 6, 'Geen behandelaars gevonden');
INSERT INTO `lang_definitions` VALUES (23255, 4052, 6, 'Geen uitslag of abnormale lesies');
INSERT INTO `lang_definitions` VALUES (23256, 4053, 6, 'Geen status gevonden');
INSERT INTO `lang_definitions` VALUES (23257, 4055, 6, 'Geen resultaten gevonden. Breidt uw zoekopdracht uit.');
INSERT INTO `lang_definitions` VALUES (23258, 4056, 6, 'Geen reminders');
INSERT INTO `lang_definitions` VALUES (23259, 4057, 6, 'Geen resultaten gevonden voor ingevoerde search vragen criteria');
INSERT INTO `lang_definitions` VALUES (23260, 4058, 6, 'Geen resultaten');
INSERT INTO `lang_definitions` VALUES (23261, 4059, 6, 'Geen resultaten gevonden');
INSERT INTO `lang_definitions` VALUES (23262, 4060, 6, 'Geen resultaten gevonden voor zoekopdracht');
INSERT INTO `lang_definitions` VALUES (23263, 4061, 6, 'Geen resultaten gevonden, probeer opnieuw.');
INSERT INTO `lang_definitions` VALUES (23264, 4062, 6, 'Geen resultaten, zoek nogmaals');
INSERT INTO `lang_definitions` VALUES (23265, 4063, 6, 'Geen resultaten, zoek nogmaals');
INSERT INTO `lang_definitions` VALUES (23266, 4064, 6, 'Geen settings beschikbaar voor dze Module');
INSERT INTO `lang_definitions` VALUES (23267, 4065, 6, 'Niet gekomen');
INSERT INTO `lang_definitions` VALUES (23268, 4066, 6, 'Geen Signature beschikbaar als File');
INSERT INTO `lang_definitions` VALUES (23269, 4067, 6, 'Sinus niet pijnlijk');
INSERT INTO `lang_definitions` VALUES (23270, 4068, 6, 'Geen huidintrekkingen of knobbels in mammae');
INSERT INTO `lang_definitions` VALUES (23271, 4069, 6, 'Dergelijke CONSTANTEN naam bestaat niet');
INSERT INTO `lang_definitions` VALUES (23272, 4070, 6, 'Geen tabel geselecteerd! Selecteer een tabel.');
INSERT INTO `lang_definitions` VALUES (23273, 4071, 6, 'Geen veranderd gevoel of knobbels aan testiskels');
INSERT INTO `lang_definitions` VALUES (23274, 4072, 6, 'Geen thrills of heaves');
INSERT INTO `lang_definitions` VALUES (23275, 4073, 6, 'Geen track geselecteerd');
INSERT INTO `lang_definitions` VALUES (23276, 4074, 6, 'Geen tracks gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (23277, 4075, 6, 'Geen bezoek');
INSERT INTO `lang_definitions` VALUES (23278, 4076, 6, 'Geen vitals vastgelegd');
INSERT INTO `lang_definitions` VALUES (23279, 4077, 6, 'Nee, annuleren');
INSERT INTO `lang_definitions` VALUES (23280, 4078, 6, 'No-fault verzekering ook Auto is Primair');
INSERT INTO `lang_definitions` VALUES (23281, 4079, 6, 'Nee:');
INSERT INTO `lang_definitions` VALUES (23282, 4080, 6, 'Nycturie');
INSERT INTO `lang_definitions` VALUES (23283, 4081, 6, 'Niet betaald');
INSERT INTO `lang_definitions` VALUES (23284, 4082, 6, 'Niet aangegeven report');
INSERT INTO `lang_definitions` VALUES (23285, 4083, 6, 'Geen specifiek letsel');
INSERT INTO `lang_definitions` VALUES (23286, 4084, 6, 'Niet electronisch');
INSERT INTO `lang_definitions` VALUES (23287, 4085, 6, 'NIDDM');
INSERT INTO `lang_definitions` VALUES (23288, 4086, 6, 'Niet verzekerd');
INSERT INTO `lang_definitions` VALUES (23289, 4087, 6, 'Niet-SRH Medisch');
INSERT INTO `lang_definitions` VALUES (23290, 4088, 6, 'Niet-SRH niet-medisch');
INSERT INTO `lang_definitions` VALUES (23291, 4089, 6, 'Geen');
INSERT INTO `lang_definitions` VALUES (23292, 4090, 6, 'geen');
INSERT INTO `lang_definitions` VALUES (23293, 4091, 6, 'Niet gedefinieerd');
INSERT INTO `lang_definitions` VALUES (23294, 4092, 6, 'Geen enkele is gedocumenteerd');
INSERT INTO `lang_definitions` VALUES (23295, 4093, 6, 'Geen van bovenstaande');
INSERT INTO `lang_definitions` VALUES (23296, 4094, 6, 'Geen van de bovenste TOP regels kan leeg zijn');
INSERT INTO `lang_definitions` VALUES (23297, 4095, 6, 'NIDDM');
INSERT INTO `lang_definitions` VALUES (23298, 4096, 6, 'Nor');
INSERT INTO `lang_definitions` VALUES (23299, 4097, 6, 'Normaal');
INSERT INTO `lang_definitions` VALUES (23300, 4098, 6, 'Normale BL');
INSERT INTO `lang_definitions` VALUES (23301, 4099, 6, 'Normaal card. onderzoek:');
INSERT INTO `lang_definitions` VALUES (23302, 4100, 6, 'Normaal card. onderzoek: ');
INSERT INTO `lang_definitions` VALUES (23303, 4101, 6, 'Normaal longonderzoek:');
INSERT INTO `lang_definitions` VALUES (23304, 4102, 6, 'Normaal longonderzoek: ');
INSERT INTO `lang_definitions` VALUES (23305, 4103, 6, 'Normaal kantoorbezoek');
INSERT INTO `lang_definitions` VALUES (23306, 4104, 6, 'Normale oropharynx');
INSERT INTO `lang_definitions` VALUES (23307, 4105, 6, 'Normaal rechts');
INSERT INTO `lang_definitions` VALUES (23308, 4106, 6, 'Normaal rechts:');
INSERT INTO `lang_definitions` VALUES (23309, 4107, 6, 'Normale weergave');
INSERT INTO `lang_definitions` VALUES (23310, 4108, 6, 'normaal:');
INSERT INTO `lang_definitions` VALUES (23311, 4109, 6, 'Standaard moet dit aangevinkt zijn. Niet gebonden aan access controle');
INSERT INTO `lang_definitions` VALUES (23312, 4110, 6, 'Noord Ndebele');
INSERT INTO `lang_definitions` VALUES (23313, 4111, 6, 'Noord Sami');
INSERT INTO `lang_definitions` VALUES (23314, 4112, 6, 'Noors');
INSERT INTO `lang_definitions` VALUES (23315, 4113, 6, 'Noorweegs Bokmal');
INSERT INTO `lang_definitions` VALUES (23316, 4114, 6, 'Noorweegs Nynorsk');
INSERT INTO `lang_definitions` VALUES (23317, 4115, 6, 'Neus');
INSERT INTO `lang_definitions` VALUES (23318, 4116, 6, 'Bloedneus');
INSERT INTO `lang_definitions` VALUES (23319, 4117, 6, 'geen letter of cijfer');
INSERT INTO `lang_definitions` VALUES (23320, 4119, 6, 'Niet alle velden zijn noodzakelijk voor code of code type');
INSERT INTO `lang_definitions` VALUES (23321, 4120, 6, 'Niet toegestaan');
INSERT INTO `lang_definitions` VALUES (23322, 4121, 6, 'Niet toegestaan om administratiegroepen te verwijderen');
INSERT INTO `lang_definitions` VALUES (23323, 4122, 6, 'Mag deze niet veranderen');
INSERT INTO `lang_definitions` VALUES (23324, 4123, 6, 'Niet toegestaan om alle veiligheidsmaatregels te inactiveren');
INSERT INTO `lang_definitions` VALUES (23325, 4124, 6, 'Niet toegestaan om ook maar iets van ACL administrateurs te inactiveren');
INSERT INTO `lang_definitions` VALUES (23326, 4125, 6, 'Niet toegestaan om Gebruiker admin te verwijderen van de administrateursgroep');
INSERT INTO `lang_definitions` VALUES (23327, 4126, 6, 'Deze USER mag niet van de Administrator group verwijderd worden');
INSERT INTO `lang_definitions` VALUES (23328, 4127, 6, 'Niet van toepassing');
INSERT INTO `lang_definitions` VALUES (23329, 4128, 6, 'Geen toegang tot PostCalendar module');
INSERT INTO `lang_definitions` VALUES (23330, 4129, 6, 'Niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (23331, 4130, 6, 'Niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (23332, 4131, 6, 'Niet geautoriseerd voor deze ploeg!');
INSERT INTO `lang_definitions` VALUES (23333, 4132, 6, 'Niet geautoriseerd voor deze ploeg.');
INSERT INTO `lang_definitions` VALUES (23334, 4133, 6, 'Niet geautoriseerd om Users te veranderen!');
INSERT INTO `lang_definitions` VALUES (23335, 4134, 6, 'Niet geautoriseerd om resutaten te ondertekenen');
INSERT INTO `lang_definitions` VALUES (23336, 4135, 6, 'Niet beschikbaar');
INSERT INTO `lang_definitions` VALUES (23337, 4137, 6, 'Niet in rekening gebracht');
INSERT INTO `lang_definitions` VALUES (23338, 4138, 6, 'Niet gechecked');
INSERT INTO `lang_definitions` VALUES (23339, 4139, 6, 'Niet uitgechecked');
INSERT INTO `lang_definitions` VALUES (23340, 4140, 6, 'Niet gecodeerd');
INSERT INTO `lang_definitions` VALUES (23341, 4141, 6, 'Nog niet aan de beurt');
INSERT INTO `lang_definitions` VALUES (23342, 4143, 6, 'Niet onderzocht');
INSERT INTO `lang_definitions` VALUES (23343, 4144, 6, 'Niet onderzocht:');
INSERT INTO `lang_definitions` VALUES (23344, 4145, 6, 'Niet onderzocht: ');
INSERT INTO `lang_definitions` VALUES (23345, 4146, 6, 'niet gevonden');
INSERT INTO `lang_definitions` VALUES (23346, 4148, 6, 'niet gevonden!');
INSERT INTO `lang_definitions` VALUES (23347, 4149, 6, 'Geen Spaans of Latino');
INSERT INTO `lang_definitions` VALUES (23348, 4150, 6, 'Niet geinstalleerd');
INSERT INTO `lang_definitions` VALUES (23349, 4151, 6, 'Niet geinstalleerd');
INSERT INTO `lang_definitions` VALUES (23350, 4152, 6, 'Niet gezien sinds');
INSERT INTO `lang_definitions` VALUES (23351, 4153, 6, 'Niet verzonden');
INSERT INTO `lang_definitions` VALUES (23352, 4154, 6, 'Nog niet verzonden');
INSERT INTO `lang_definitions` VALUES (23353, 4155, 6, 'Niet gespecificeerd');
INSERT INTO `lang_definitions` VALUES (23354, 4156, 6, 'Niet gespecificeerd');
INSERT INTO `lang_definitions` VALUES (23355, 4157, 6, 'Notitie');
INSERT INTO `lang_definitions` VALUES (23356, 4158, 6, 'Geen Codes');
INSERT INTO `lang_definitions` VALUES (23357, 4159, 6, 'Notitie doet er 5 -10 min over om helemaal verwerkt te worden nadat Install geklikt is');
INSERT INTO `lang_definitions` VALUES (23358, 4160, 6, 'Notitie doet er 5 - 10 minuten over om volledig verwerkt te worden nadat Update is aangeklikt');
INSERT INTO `lang_definitions` VALUES (23359, 4161, 6, 'N.B: De audit log moet hierboven geactiveerd worden');
INSERT INTO `lang_definitions` VALUES (23360, 4162, 6, 'Soort notitie');
INSERT INTO `lang_definitions` VALUES (23361, 4163, 6, 'N.B: 12:00 middag is PM en niet AM');
INSERT INTO `lang_definitions` VALUES (23362, 4164, 6, 'N.B: Importeren van externe data kan meer dan een uur duren afhankelijk van de soort hardware die gebruikt wordt. B.v. RxNorm bevat meer dan 6 miljoen regels.');
INSERT INTO `lang_definitions` VALUES (23363, 4165, 6, 'N.B: Alleen de twee jaarlijkse Internationale SnoMed release wordt ondersteund.');
INSERT INTO `lang_definitions` VALUES (23364, 4166, 6, 'N.B: Alleen de volledige maandelijkse RxNorm wordt nu ondersteund');
INSERT INTO `lang_definitions` VALUES (23365, 4168, 6, 'N.B: Deze code werd niet door een gemachtigde Gebruiker ingevoerd. Alleen geaccepteerde codes mogen naar het Open Medische Facturering Netwerk worden gestuurd voor verwerking. Indien u deze codes wilt uploaden, selecteer dan hier een gemachtigde gebruiker.');
INSERT INTO `lang_definitions` VALUES (23366, 4170, 6, 'N.B: Bij het uploaden van bestanden met dezelfde naam, wordt deze naam van de bestanden automatisch hernoemd (bijvoorbeeld, zal file.jpg worden file.1.jpg). Bestandsnamen zijn uniek per patiënt, niet per categorie.');
INSERT INTO `lang_definitions` VALUES (23367, 4171, 6, 'N.B: Geuploade bestanden met dezelfde naam worden automatisch hernoemd. Bijvoorbeeld \'<i>file.jpg</i>\' zal worden\'<i>file.jpg.1</i>\'. Bestandsnamen zijn per patiënt uniek, niet per categorie.');
INSERT INTO `lang_definitions` VALUES (23368, 4172, 6, 'Notities');
INSERT INTO `lang_definitions` VALUES (23369, 4173, 6, 'Notities - een contact (schrijven, toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23370, 4174, 6, 'Notities - mijn contacten (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23371, 4175, 6, 'Notities niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (23372, 4176, 6, 'Niets in wachtlijst om te accoorderen');
INSERT INTO `lang_definitions` VALUES (23373, 4177, 6, 'Niets geselecteerd');
INSERT INTO `lang_definitions` VALUES (23374, 4179, 6, 'Geen import vanuit Allergie');
INSERT INTO `lang_definitions` VALUES (23375, 4180, 6, 'Geen import vanuit Recepten');
INSERT INTO `lang_definitions` VALUES (23376, 4181, 6, 'Niets te tonen');
INSERT INTO `lang_definitions` VALUES (23377, 4182, 6, 'Niets geselecteerd');
INSERT INTO `lang_definitions` VALUES (23378, 4183, 6, 'Notitie ontvangen');
INSERT INTO `lang_definitions` VALUES (23379, 4184, 6, 'MEDEDELING: PostCalendar Toekennen/Wijziging');
INSERT INTO `lang_definitions` VALUES (23380, 4185, 6, 'Bericht');
INSERT INTO `lang_definitions` VALUES (23381, 4186, 6, 'E-mail adres om alert-berichten te sturen');
INSERT INTO `lang_definitions` VALUES (23382, 4188, 6, 'Berichten');
INSERT INTO `lang_definitions` VALUES (23383, 4189, 6, 'Informeer Admin over Gebeurtenis Toewijzing/Wijziging?');
INSERT INTO `lang_definitions` VALUES (23384, 4190, 6, 'Nov');
INSERT INTO `lang_definitions` VALUES (23385, 4191, 6, 'November');
INSERT INTO `lang_definitions` VALUES (23386, 4192, 6, 'Nu aanmelden voor:');
INSERT INTO `lang_definitions` VALUES (23387, 4193, 6, 'Nu aan het printen');
INSERT INTO `lang_definitions` VALUES (23388, 4194, 6, 'Nu afdrukken $stmt_count verklaringen en bijwerken van ontmoetingen.');
INSERT INTO `lang_definitions` VALUES (23389, 4195, 6, 'Printen van $stmt_count verklaringen en bijwerken van facturen.');
INSERT INTO `lang_definitions` VALUES (23390, 4196, 6, 'Printen van $stmt_count verklaringen en bijwerken van overzichten; ontmoetingen zullen niet worden bijgewerkt.');
INSERT INTO `lang_definitions` VALUES (23391, 4197, 6, 'Printen van $stmt_count verklaringen; facturen zullen niet worden bijgewerkt.');
INSERT INTO `lang_definitions` VALUES (23392, 4198, 6, 'BIG');
INSERT INTO `lang_definitions` VALUES (23393, 4199, 6, 'NQF');
INSERT INTO `lang_definitions` VALUES (23394, 4200, 6, 'Nr.');
INSERT INTO `lang_definitions` VALUES (23395, 4201, 6, 'Nr. labs');
INSERT INTO `lang_definitions` VALUES (23396, 4204, 6, 'Aantal kolommen in jaaroverzicht.');
INSERT INTO `lang_definitions` VALUES (23397, 4211, 6, 'Aantal dagen dat het Client Certificaat nog geldig is.');
INSERT INTO `lang_definitions` VALUES (23398, 4213, 6, 'Aantal posities achter de punt voor valuta. (meestal 0 of 2)');
INSERT INTO `lang_definitions` VALUES (23399, 4214, 6, 'Aantal encounters om te tonen per pagina');
INSERT INTO `lang_definitions` VALUES (23400, 4215, 6, 'Aantal gemiste spelen of gebeurtenissen, indien van toepassing');
INSERT INTO `lang_definitions` VALUES (23401, 4216, 6, 'Aantal uren vooraf alvorens e-mail bericht te sturen.');
INSERT INTO `lang_definitions` VALUES (23402, 4217, 6, 'Aantal uren vooruit om telefoon bericht te sturen');
INSERT INTO `lang_definitions` VALUES (23403, 4218, 6, 'Aantal uren vooraf alvorens SMS berichten te sturen');
INSERT INTO `lang_definitions` VALUES (23404, 4221, 6, 'Aantal historie kolommen uit het verleden');
INSERT INTO `lang_definitions` VALUES (23405, 4222, 6, 'Aantal patienten te tonen per pagina in de lijst.');
INSERT INTO `lang_definitions` VALUES (23406, 4223, 6, 'Doofheid');
INSERT INTO `lang_definitions` VALUES (23407, 4224, 6, 'Numerator');
INSERT INTO `lang_definitions` VALUES (23408, 4225, 6, 'Tonen van nummerieke volgorde');
INSERT INTO `lang_definitions` VALUES (23409, 4226, 6, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (23410, 4227, 6, 'Voeding');
INSERT INTO `lang_definitions` VALUES (23411, 4228, 6, 'Voedings');
INSERT INTO `lang_definitions` VALUES (23412, 4229, 6, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (23413, 4230, 6, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (23414, 4231, 6, 'Obesitas 1');
INSERT INTO `lang_definitions` VALUES (23415, 4232, 6, 'Obesitas 2');
INSERT INTO `lang_definitions` VALUES (23416, 4233, 6, 'Obesitas 3');
INSERT INTO `lang_definitions` VALUES (23417, 4234, 6, 'Objectief');
INSERT INTO `lang_definitions` VALUES (23418, 4236, 6, 'Occitan');
INSERT INTO `lang_definitions` VALUES (23419, 4237, 6, 'Beroep');
INSERT INTO `lang_definitions` VALUES (23420, 4239, 6, 'Acuut / Chron / enz.');
INSERT INTO `lang_definitions` VALUES (23421, 4240, 6, 'Okt');
INSERT INTO `lang_definitions` VALUES (23422, 4241, 6, 'Oktober');
INSERT INTO `lang_definitions` VALUES (23423, 4242, 6, 'OD');
INSERT INTO `lang_definitions` VALUES (23424, 4243, 6, 'uit');
INSERT INTO `lang_definitions` VALUES (23425, 4244, 6, 'hoeveelheid');
INSERT INTO `lang_definitions` VALUES (23426, 4245, 6, 'tabletten');
INSERT INTO `lang_definitions` VALUES (23427, 4246, 6, 'van de maand ieder');
INSERT INTO `lang_definitions` VALUES (23428, 4247, 6, 'Reminders kantoor');
INSERT INTO `lang_definitions` VALUES (23429, 4248, 6, 'Uit');
INSERT INTO `lang_definitions` VALUES (23430, 4249, 6, 'Kantoornotities');
INSERT INTO `lang_definitions` VALUES (23431, 4250, 6, 'Kantoorbezoek');
INSERT INTO `lang_definitions` VALUES (23432, 4251, 6, 'Officieel Klinische Kwaliteit meting (CQM) Meting Groepen');
INSERT INTO `lang_definitions` VALUES (23433, 4252, 6, 'Offsite link voor Patienten Ingang');
INSERT INTO `lang_definitions` VALUES (23434, 4253, 6, 'Offsite https link voo Patienten Ingang(Patienten link)');
INSERT INTO `lang_definitions` VALUES (23435, 4254, 6, 'Offsite Patienten Ingang paswoord');
INSERT INTO `lang_definitions` VALUES (23436, 4255, 6, 'Offsite Patienten Ingang paswoord(Laat open indien nog niet geregistreerd)');
INSERT INTO `lang_definitions` VALUES (23437, 4256, 6, 'Offsite Patient Portal Provider ID');
INSERT INTO `lang_definitions` VALUES (23438, 4257, 6, 'Offsite Patient Portal Provider ID(Spatie als er geen registratie is).');
INSERT INTO `lang_definitions` VALUES (23439, 4258, 6, 'Offsite Patienten Ingang Site adres');
INSERT INTO `lang_definitions` VALUES (23440, 4259, 6, 'Offsite Patienten Ingang adres (Patienten link)');
INSERT INTO `lang_definitions` VALUES (23441, 4260, 6, 'Offsite Patienten Ingang Usernaam');
INSERT INTO `lang_definitions` VALUES (23442, 4261, 6, 'Offsite Patienten Ingang Usernaam(Laat open indien nog niet geregistreed)');
INSERT INTO `lang_definitions` VALUES (23443, 4262, 6, 'Offsite Portaal web Service faalt');
INSERT INTO `lang_definitions` VALUES (23444, 4263, 6, 'Nakomelingen');
INSERT INTO `lang_definitions` VALUES (23445, 4264, 6, 'Nakomelingen geschiedenis');
INSERT INTO `lang_definitions` VALUES (23446, 4265, 6, 'zalf');
INSERT INTO `lang_definitions` VALUES (23447, 4266, 6, 'Ojibwe, Ojibwa');
INSERT INTO `lang_definitions` VALUES (23448, 4267, 6, 'OK');
INSERT INTO `lang_definitions` VALUES (23449, 4268, 6, 'Is het Ok om dit pop-up scherm te sluiten?');
INSERT INTO `lang_definitions` VALUES (23450, 4269, 6, 'OK om de gedateerde GCAC issue te linken');
INSERT INTO `lang_definitions` VALUES (23451, 4270, 6, 'Oud');
INSERT INTO `lang_definitions` VALUES (23452, 4271, 6, 'Old Kerks Slavisch, Kerk Slavisch, Oud Bulgaars');
INSERT INTO `lang_definitions` VALUES (23453, 4272, 6, 'Oude clienten');
INSERT INTO `lang_definitions` VALUES (23454, 4273, 6, 'Oude fractuur geen/slechte botverbinding');
INSERT INTO `lang_definitions` VALUES (23455, 4274, 6, 'Oude stijl Layout, linker menu scherm');
INSERT INTO `lang_definitions` VALUES (23456, 4275, 6, 'Oude stijl statisch formulier, zonder zoek of duplicaat controle');
INSERT INTO `lang_definitions` VALUES (23457, 4276, 6, 'Ouder');
INSERT INTO `lang_definitions` VALUES (23458, 4277, 6, 'Overslaan');
INSERT INTO `lang_definitions` VALUES (23459, 4278, 6, 'Geen omtrekken meten');
INSERT INTO `lang_definitions` VALUES (23460, 4279, 6, 'Verberg werkgever informatie in Client demografische gegevens');
INSERT INTO `lang_definitions` VALUES (23461, 4280, 6, 'Verberg werkgever');
INSERT INTO `lang_definitions` VALUES (23462, 4281, 6, 'Verberg formulier, manier van innemen en interval die dan onderdeel vormen van de dosis');
INSERT INTO `lang_definitions` VALUES (23463, 4282, 6, 'Verberg Verzekeringen en enkele ander zaken op het demografische scherm');
INSERT INTO `lang_definitions` VALUES (23464, 4283, 6, 'Verberg interne gebruikers');
INSERT INTO `lang_definitions` VALUES (23465, 4284, 6, 'Verberg betalings methode op het extra betalings scherm');
INSERT INTO `lang_definitions` VALUES (23466, 4285, 6, 'Automatisch reg.nummer toekennen');
INSERT INTO `lang_definitions` VALUES (23467, 4286, 6, 'Aan');
INSERT INTO `lang_definitions` VALUES (23468, 4287, 6, 'Aan');
INSERT INTO `lang_definitions` VALUES (23469, 4288, 6, 'In voorraad');
INSERT INTO `lang_definitions` VALUES (23470, 4289, 6, 'In bestelling');
INSERT INTO `lang_definitions` VALUES (23471, 4290, 6, 'Aanwezig op afdeling');
INSERT INTO `lang_definitions` VALUES (23472, 4291, 6, 'Indien de hoofd Bussiness faciliteit is vastgelegd, niet meer veranderen. Wel veranderen zal de werking in NewCrop ePresciption beinvloeden');
INSERT INTO `lang_definitions` VALUES (23473, 4292, 6, 'Na wijziging wachtwoord opnieuw inloggen');
INSERT INTO `lang_definitions` VALUES (23474, 4297, 6, 'WEB-Support');
INSERT INTO `lang_definitions` VALUES (23475, 4298, 6, 'Online Support link');
INSERT INTO `lang_definitions` VALUES (23476, 4299, 6, 'Alleen actieven');
INSERT INTO `lang_definitions` VALUES (23477, 4300, 6, 'Allen van toepassing als de Provider of collated lijst hierboven werd gekozen. PRIMARY selecteerd alleen patienten als de Provider de Primary Provider is. ENCOUNT slecteerd alle patienten die door de Provider gezien zijn.');
INSERT INTO `lang_definitions` VALUES (23478, 4302, 6, 'alleen indien rekening locatie');
INSERT INTO `lang_definitions` VALUES (23479, 4303, 6, 'Alleen niet-actieven');
INSERT INTO `lang_definitions` VALUES (23480, 4304, 6, 'Van gebruiker');
INSERT INTO `lang_definitions` VALUES (23481, 4305, 6, 'Toon slechts de diagnose verslag code');
INSERT INTO `lang_definitions` VALUES (23482, 4306, 6, 'Toon slechts Financieel service verslag code');
INSERT INTO `lang_definitions` VALUES (23483, 4307, 6, 'Alleen actieve receptuur uploaden');
INSERT INTO `lang_definitions` VALUES (23484, 4309, 6, 'Begin van huidige symptomen of ziekte');
INSERT INTO `lang_definitions` VALUES (23485, 4310, 6, 'Begin ziekte:');
INSERT INTO `lang_definitions` VALUES (23486, 4311, 6, 'Begin ziekte: ');
INSERT INTO `lang_definitions` VALUES (23487, 4312, 6, 'Begin zwelling:');
INSERT INTO `lang_definitions` VALUES (23488, 4313, 6, 'Begindatum opname:');
INSERT INTO `lang_definitions` VALUES (23489, 4314, 6, 'Site adres van Patient Portal');
INSERT INTO `lang_definitions` VALUES (23490, 4315, 6, 'Oeps!');
INSERT INTO `lang_definitions` VALUES (23491, 4316, 6, 'Open');
INSERT INTO `lang_definitions` VALUES (23492, 4318, 6, 'Openen in nieuw venster');
INSERT INTO `lang_definitions` VALUES (23493, 4319, 6, 'Huidige patient');
INSERT INTO `lang_definitions` VALUES (23494, 4321, 6, 'Maak het bezoek van vandaag open');
INSERT INTO `lang_definitions` VALUES (23495, 4322, 6, 'LibreEHR heef al een Certificaat Authority geconfigureerd');
INSERT INTO `lang_definitions` VALUES (23496, 4323, 6, 'LibreEHR Applicatie Categorie');
INSERT INTO `lang_definitions` VALUES (23497, 4324, 6, 'LibreEHR DB upgrade');
INSERT INTO `lang_definitions` VALUES (23498, 4325, 6, 'LibreEHR Database voo De-identificatie');
INSERT INTO `lang_definitions` VALUES (23499, 4326, 6, 'LibreEHR herkent de binnenkomende file niet in de CONTRIB directory. Dit komt waarschijnlijk doordat de release in support_external_dataloads tabel in de MySQL database geconfigureerd worden.');
INSERT INTO `lang_definitions` VALUES (23500, 4327, 6, 'LibreEHR moet geconfigureerd worden voordat het client certificaten kan gebruiken');
INSERT INTO `lang_definitions` VALUES (23501, 4328, 6, 'LibreEHR heeft Javascript nodig voor toegangscontrole.');
INSERT INTO `lang_definitions` VALUES (23502, 4329, 6, 'LibreEHR gebruikers');
INSERT INTO `lang_definitions` VALUES (23503, 4330, 6, 'Openingen');
INSERT INTO `lang_definitions` VALUES (23504, 4332, 6, 'Ophtalmisch');
INSERT INTO `lang_definitions` VALUES (23505, 4333, 6, 'Mogelijkheid');
INSERT INTO `lang_definitions` VALUES (23506, 4334, 6, 'Voorkeur om methode van document producten op te slaan.');
INSERT INTO `lang_definitions` VALUES (23507, 4335, 6, 'Optie om inventaris en producten voor verkoop te ondersteunen');
INSERT INTO `lang_definitions` VALUES (23508, 4336, 6, 'Keuze mogelijkheid');
INSERT INTO `lang_definitions` VALUES (23509, 4337, 6, 'Optionele categorie naam voor een ID kaart image die op de patient samenvattings pagina te zien is.');
INSERT INTO `lang_definitions` VALUES (23510, 4338, 6, 'Optionele categorie naam voor een ID kaart foto die op de patient samenvattings pagina te zien is.');
INSERT INTO `lang_definitions` VALUES (23511, 4339, 6, 'Categorienaam naar keuze om een document om verbinding te maken met patient gegevens samenvattings pagina. Laat u klikken op de naam van een Client om hun ID kaart te zien.');
INSERT INTO `lang_definitions` VALUES (23512, 4340, 6, 'Optioneel default range voor handmatige resultaten invoer');
INSERT INTO `lang_definitions` VALUES (23513, 4341, 6, 'Optioneel default range voor handmatig invoeren resultaten');
INSERT INTO `lang_definitions` VALUES (23514, 4342, 6, 'Niet verplichte bestemmingsnaam');
INSERT INTO `lang_definitions` VALUES (23515, 4343, 6, 'Medicatienaam optioneel, gebruik % als wildcard');
INSERT INTO `lang_definitions` VALUES (23516, 4344, 6, 'Immunisatie naam of code optioneel, gebruik % as wild card');
INSERT INTO `lang_definitions` VALUES (23517, 4345, 6, 'Mogelijkheid om informatie te geven over gebeurtenis');
INSERT INTO `lang_definitions` VALUES (23518, 4346, 6, 'Lotnummer optioneel, gebruik % als wildcard');
INSERT INTO `lang_definitions` VALUES (23519, 4347, 6, 'Numeriek client ID naar optioneel');
INSERT INTO `lang_definitions` VALUES (23520, 4348, 6, 'Facultatieve procedurecode');
INSERT INTO `lang_definitions` VALUES (23521, 4349, 6, 'Optionele procedure/service code');
INSERT INTO `lang_definitions` VALUES (23522, 4350, 6, 'Opties');
INSERT INTO `lang_definitions` VALUES (23523, 4351, 6, 'of');
INSERT INTO `lang_definitions` VALUES (23524, 4352, 6, 'of kies');
INSERT INTO `lang_definitions` VALUES (23525, 4353, 6, 'of selecteer');
INSERT INTO `lang_definitions` VALUES (23526, 4354, 6, 'of klik en sleep voor snellere selectie');
INSERT INTO `lang_definitions` VALUES (23527, 4356, 6, 'Kaart bij:');
INSERT INTO `lang_definitions` VALUES (23528, 4357, 6, 'of selecteer van inventarisatie');
INSERT INTO `lang_definitions` VALUES (23529, 4358, 6, 'of Shift-klik voor verkleinen');
INSERT INTO `lang_definitions` VALUES (23530, 4359, 6, 'Of upload ERA dossier:');
INSERT INTO `lang_definitions` VALUES (23531, 4360, 6, 'Oraal');
INSERT INTO `lang_definitions` VALUES (23532, 4361, 6, 'Orale mucosa is roze, keel schoon');
INSERT INTO `lang_definitions` VALUES (23533, 4362, 6, 'Aanvragen');
INSERT INTO `lang_definitions` VALUES (23534, 4363, 6, 'Bestel en Resultaat types');
INSERT INTO `lang_definitions` VALUES (23535, 4364, 6, 'Aanvraag opties');
INSERT INTO `lang_definitions` VALUES (23536, 4365, 6, 'Datum bestelling');
INSERT INTO `lang_definitions` VALUES (23537, 4366, 6, 'Beschrijving van orders');
INSERT INTO `lang_definitions` VALUES (23538, 4367, 6, 'Bestelformulier');
INSERT INTO `lang_definitions` VALUES (23539, 4368, 6, 'Bestel ID');
INSERT INTO `lang_definitions` VALUES (23540, 4369, 6, 'Bestelling moet een nummer tussen 1 en 999 zijn');
INSERT INTO `lang_definitions` VALUES (23541, 4370, 6, 'Naam bestelling');
INSERT INTO `lang_definitions` VALUES (23542, 4371, 6, 'Prioriteit van bestelling');
INSERT INTO `lang_definitions` VALUES (23543, 4372, 6, 'Bestellingverwerker');
INSERT INTO `lang_definitions` VALUES (23544, 4373, 6, 'Order resultaten');
INSERT INTO `lang_definitions` VALUES (23545, 4374, 6, 'Order status');
INSERT INTO `lang_definitions` VALUES (23546, 4375, 6, 'Status bestellingen');
INSERT INTO `lang_definitions` VALUES (23547, 4376, 6, 'Order samenvatting');
INSERT INTO `lang_definitions` VALUES (23548, 4377, 6, 'Track order');
INSERT INTO `lang_definitions` VALUES (23549, 4378, 6, 'Aangevraagde type');
INSERT INTO `lang_definitions` VALUES (23550, 4380, 6, 'Bestel/Resultaat Type');
INSERT INTO `lang_definitions` VALUES (23551, 4381, 6, 'Besteld');
INSERT INTO `lang_definitions` VALUES (23552, 4382, 6, 'Besteld door');
INSERT INTO `lang_definitions` VALUES (23553, 4383, 6, 'Ordered procedure');
INSERT INTO `lang_definitions` VALUES (23554, 4384, 6, 'Besteld door Dienstverlener:');
INSERT INTO `lang_definitions` VALUES (23555, 4385, 6, 'Order Path');
INSERT INTO `lang_definitions` VALUES (23556, 4386, 6, 'Orgaanletsel');
INSERT INTO `lang_definitions` VALUES (23557, 4387, 6, 'Organisatie');
INSERT INTO `lang_definitions` VALUES (23558, 4388, 6, 'Naam organisatie');
INSERT INTO `lang_definitions` VALUES (23559, 4389, 6, 'Naam Organisatie Unit');
INSERT INTO `lang_definitions` VALUES (23560, 4390, 6, 'Organisaties');
INSERT INTO `lang_definitions` VALUES (23561, 4391, 6, 'Georiënteerd tijd, persoon, plaats');
INSERT INTO `lang_definitions` VALUES (23562, 4392, 6, 'Origineel');
INSERT INTO `lang_definitions` VALUES (23563, 4393, 6, 'Originele checksom');
INSERT INTO `lang_definitions` VALUES (23564, 4394, 6, 'Oriya');
INSERT INTO `lang_definitions` VALUES (23565, 4395, 6, 'Oromo');
INSERT INTO `lang_definitions` VALUES (23566, 4396, 6, 'Orofarynx ');
INSERT INTO `lang_definitions` VALUES (23567, 4397, 6, 'Ortopnea');
INSERT INTO `lang_definitions` VALUES (23568, 4398, 6, 'Linker oog');
INSERT INTO `lang_definitions` VALUES (23569, 4399, 6, 'Osteoartritis');
INSERT INTO `lang_definitions` VALUES (23570, 4400, 6, 'Ossetiaans, Ossetisch');
INSERT INTO `lang_definitions` VALUES (23571, 4401, 6, 'Osteopathie');
INSERT INTO `lang_definitions` VALUES (23572, 4402, 6, 'Ander');
INSERT INTO `lang_definitions` VALUES (23573, 4403, 6, 'ander');
INSERT INTO `lang_definitions` VALUES (23574, 4404, 6, 'Ander (specificeer)');
INSERT INTO `lang_definitions` VALUES (23575, 4405, 6, 'Anders - gespecificeerd');
INSERT INTO `lang_definitions` VALUES (23576, 4406, 6, 'Onder overheidsprogramma');
INSERT INTO `lang_definitions` VALUES (23577, 4407, 6, 'Andere HCFA');
INSERT INTO `lang_definitions` VALUES (23578, 4408, 6, 'Nadere kwetsuur nergens anders gespecificeerd');
INSERT INTO `lang_definitions` VALUES (23579, 4409, 6, 'Andere Aansprakelijkheids Verzekering is Primair');
INSERT INTO `lang_definitions` VALUES (23580, 4410, 6, 'andere maand');
INSERT INTO `lang_definitions` VALUES (23581, 4411, 6, 'Ander niet overheidsprogramma');
INSERT INTO `lang_definitions` VALUES (23582, 4412, 6, 'Andere notities');
INSERT INTO `lang_definitions` VALUES (23583, 4413, 6, 'Andere aanwezige symptomen');
INSERT INTO `lang_definitions` VALUES (23584, 4414, 6, 'Andere duidelijke symptomen:');
INSERT INTO `lang_definitions` VALUES (23585, 4415, 6, 'Andere pt resp');
INSERT INTO `lang_definitions` VALUES (23586, 4416, 6, 'Ander stress/overbelastings letsel');
INSERT INTO `lang_definitions` VALUES (23587, 4417, 6, 'Ander chirurgisch');
INSERT INTO `lang_definitions` VALUES (23588, 4418, 6, 'Ander/Generisch ivm abortus');
INSERT INTO `lang_definitions` VALUES (23589, 4420, 6, 'Anderen');
INSERT INTO `lang_definitions` VALUES (23590, 4421, 6, 'anders verbreekt u de connecties tussen bestaande tabellen');
INSERT INTO `lang_definitions` VALUES (23591, 4422, 6, 'Ottawa protocol voor enkel letsel');
INSERT INTO `lang_definitions` VALUES (23592, 4423, 6, 'Beide ogen');
INSERT INTO `lang_definitions` VALUES (23593, 4424, 6, 'UIT');
INSERT INTO `lang_definitions` VALUES (23594, 4425, 6, 'Kantoor verlaten');
INSERT INTO `lang_definitions` VALUES (23595, 4426, 6, 'Verwijzing naar elders');
INSERT INTO `lang_definitions` VALUES (23596, 4427, 6, 'Resultaat');
INSERT INTO `lang_definitions` VALUES (23597, 4428, 6, 'Outlook');
INSERT INTO `lang_definitions` VALUES (23598, 4429, 6, 'Soort uitvoer');
INSERT INTO `lang_definitions` VALUES (23599, 4430, 6, 'Alg. conditie bij ontslag');
INSERT INTO `lang_definitions` VALUES (23600, 4431, 6, 'Overtijd');
INSERT INTO `lang_definitions` VALUES (23601, 4432, 6, 'Overbelast');
INSERT INTO `lang_definitions` VALUES (23602, 4433, 6, 'Overzicht');
INSERT INTO `lang_definitions` VALUES (23603, 4434, 6, 'Overgewicht');
INSERT INTO `lang_definitions` VALUES (23604, 4435, 6, 'Overschrijf HIPAA keuze');
INSERT INTO `lang_definitions` VALUES (23605, 4437, 6, 'Zuurstof saturatie');
INSERT INTO `lang_definitions` VALUES (23606, 4438, 6, 'oz');
INSERT INTO `lang_definitions` VALUES (23607, 4439, 6, 'P');
INSERT INTO `lang_definitions` VALUES (23608, 4440, 6, 'p.c.');
INSERT INTO `lang_definitions` VALUES (23609, 4441, 6, 'p.m.');
INSERT INTO `lang_definitions` VALUES (23610, 4442, 6, 'zo nodig');
INSERT INTO `lang_definitions` VALUES (23611, 4443, 6, 'Pacific Eiland bewoner');
INSERT INTO `lang_definitions` VALUES (23612, 4444, 6, 'Pediatrisch');
INSERT INTO `lang_definitions` VALUES (23613, 4445, 6, 'Pagina');
INSERT INTO `lang_definitions` VALUES (23614, 4446, 6, 'Pagina´s');
INSERT INTO `lang_definitions` VALUES (23615, 4447, 6, 'Betaald');
INSERT INTO `lang_definitions` VALUES (23616, 4448, 6, 'Betaald bedrag dat u will plaatsen');
INSERT INTO `lang_definitions` VALUES (23617, 4449, 6, 'Betaald bedrag');
INSERT INTO `lang_definitions` VALUES (23618, 4450, 6, 'Betaald per');
INSERT INTO `lang_definitions` VALUES (23619, 4451, 6, 'Pijn');
INSERT INTO `lang_definitions` VALUES (23620, 4453, 6, 'Palpitatie');
INSERT INTO `lang_definitions` VALUES (23621, 4454, 6, 'Panjabi, Punjabi');
INSERT INTO `lang_definitions` VALUES (23622, 4455, 6, 'PAP smear');
INSERT INTO `lang_definitions` VALUES (23623, 4456, 6, 'Papier');
INSERT INTO `lang_definitions` VALUES (23624, 4457, 6, 'Papier maat');
INSERT INTO `lang_definitions` VALUES (23625, 4458, 6, 'Paralyse');
INSERT INTO `lang_definitions` VALUES (23626, 4459, 6, 'Ouder');
INSERT INTO `lang_definitions` VALUES (23627, 4461, 6, 'HL7 invoegen');
INSERT INTO `lang_definitions` VALUES (23628, 4463, 6, 'Partner');
INSERT INTO `lang_definitions` VALUES (23629, 4464, 6, 'Partner naam');
INSERT INTO `lang_definitions` VALUES (23630, 4466, 6, 'Pashto, Pushto');
INSERT INTO `lang_definitions` VALUES (23631, 4467, 6, 'Pass zin');
INSERT INTO `lang_definitions` VALUES (23632, 4468, 6, 'Pass zin om document te ontcijferen');
INSERT INTO `lang_definitions` VALUES (23633, 4469, 6, 'Gepasseerde patienten');
INSERT INTO `lang_definitions` VALUES (23634, 4470, 6, 'Passieve alert');
INSERT INTO `lang_definitions` VALUES (23635, 4471, 6, 'Passieve alert regels');
INSERT INTO `lang_definitions` VALUES (23636, 4472, 6, 'Wachtwoord');
INSERT INTO `lang_definitions` VALUES (23637, 4473, 6, 'Wachtwoord wijzigen');
INSERT INTO `lang_definitions` VALUES (23638, 4474, 6, 'Verandering Paswoord geslaagd');
INSERT INTO `lang_definitions` VALUES (23639, 4475, 6, 'Wachtwoord wijzigen gelukt.');
INSERT INTO `lang_definitions` VALUES (23640, 4476, 6, 'Paswoord voldoet niet aan de minimum eisen en moet minstens drie van de vier onderdelen bevatten: Een nummer, aan kleine letter, een hoofd lettereen speciaal karakter (geen letter of nummer).');
INSERT INTO `lang_definitions` VALUES (23641, 4477, 6, 'Tijd nog beschikbaar totdat het Paswoord verloopt');
INSERT INTO `lang_definitions` VALUES (23642, 4479, 6, 'Pasword voor telefoon Gateway. geautomatiseerde VOIP service verleend door Maviq. Bezoek http://signup.maviq.com voor meer informatie.');
INSERT INTO `lang_definitions` VALUES (23643, 4480, 6, 'Wachtwoord voor SMS Toegang');
INSERT INTO `lang_definitions` VALUES (23644, 4481, 6, 'Paswoord voor SMS toegang');
INSERT INTO `lang_definitions` VALUES (23645, 4482, 6, 'Paswoord voor voormelde gebruiker');
INSERT INTO `lang_definitions` VALUES (23646, 4483, 6, 'Paswoord veiligheid is kort geleden verbeterd.');
INSERT INTO `lang_definitions` VALUES (23647, 4484, 6, 'Paswoord om met CouchDB te verbinden');
INSERT INTO `lang_definitions` VALUES (23648, 4485, 6, 'Paswoord te kort, minimaal 8 karakters');
INSERT INTO `lang_definitions` VALUES (23649, 4486, 6, 'Wachtwoord:');
INSERT INTO `lang_definitions` VALUES (23650, 4487, 6, 'Wachtwoorden verschillend!');
INSERT INTO `lang_definitions` VALUES (23651, 4488, 6, 'Afspraken in verleden');
INSERT INTO `lang_definitions` VALUES (23652, 4489, 6, 'Afspraken in verleden, toon met Widget');
INSERT INTO `lang_definitions` VALUES (23653, 4490, 6, 'Verlopen');
INSERT INTO `lang_definitions` VALUES (23654, 4491, 6, 'Verlopen');
INSERT INTO `lang_definitions` VALUES (23655, 4492, 6, 'Verlopen interval (Klinische reminders)');
INSERT INTO `lang_definitions` VALUES (23656, 4493, 6, 'Verlopen interval (Patienten reminders)');
INSERT INTO `lang_definitions` VALUES (23657, 4494, 6, 'Patient Encounter lijst');
INSERT INTO `lang_definitions` VALUES (23658, 4495, 6, 'Episode geschiedenis');
INSERT INTO `lang_definitions` VALUES (23659, 4496, 6, 'Episode geschiedenis en Documenten');
INSERT INTO `lang_definitions` VALUES (23660, 4497, 6, 'Verlopen bezoek voor');
INSERT INTO `lang_definitions` VALUES (23661, 4498, 6, 'HL7 data invoegen');
INSERT INTO `lang_definitions` VALUES (23662, 4499, 6, 'Plak de te importeren data in het tekstveld hieronder:');
INSERT INTO `lang_definitions` VALUES (23663, 4500, 6, 'Pat');
INSERT INTO `lang_definitions` VALUES (23664, 4502, 6, 'Patch');
INSERT INTO `lang_definitions` VALUES (23665, 4508, 6, 'Pad om Event Log backup te maken');
INSERT INTO `lang_definitions` VALUES (23666, 4509, 6, 'Pad naar CA Certificaat bestand');
INSERT INTO `lang_definitions` VALUES (23667, 4510, 6, 'Pad naar CA key file');
INSERT INTO `lang_definitions` VALUES (23668, 4511, 6, 'Pad naar MSQL bin files');
INSERT INTO `lang_definitions` VALUES (23669, 4512, 6, 'Pad naar Perl Bin files');
INSERT INTO `lang_definitions` VALUES (23670, 4513, 6, 'Pad naar tijdelijke bestanden');
INSERT INTO `lang_definitions` VALUES (23671, 4514, 6, 'Patiënt');
INSERT INTO `lang_definitions` VALUES (23672, 4515, 6, 'patient');
INSERT INTO `lang_definitions` VALUES (23673, 4516, 6, 'PATIENT');
INSERT INTO `lang_definitions` VALUES (23674, 4517, 6, 'Adres van Patient');
INSERT INTO `lang_definitions` VALUES (23675, 4518, 6, 'Adres van Patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23676, 4521, 6, 'Allergieen van pt');
INSERT INTO `lang_definitions` VALUES (23677, 4522, 6, 'Allergieen van pt');
INSERT INTO `lang_definitions` VALUES (23678, 4523, 6, 'Afspraak van pt');
INSERT INTO `lang_definitions` VALUES (23679, 4524, 6, 'Balans voor deze patient');
INSERT INTO `lang_definitions` VALUES (23680, 4525, 6, 'Patienten balans te betalen');
INSERT INTO `lang_definitions` VALUES (23681, 4528, 6, 'Patientkaart-ID');
INSERT INTO `lang_definitions` VALUES (23682, 4529, 6, 'Check-out patient');
INSERT INTO `lang_definitions` VALUES (23683, 4530, 6, 'Check-out voor patient: ');
INSERT INTO `lang_definitions` VALUES (23684, 4531, 6, 'Woonplaats patient');
INSERT INTO `lang_definitions` VALUES (23685, 4532, 6, 'Woonplaats van Patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23686, 4533, 6, 'Patiënt communicatie verzonden');
INSERT INTO `lang_definitions` VALUES (23687, 4534, 6, 'Patiënt communicatie verzonden');
INSERT INTO `lang_definitions` VALUES (23688, 4535, 6, 'Land van patient');
INSERT INTO `lang_definitions` VALUES (23689, 4536, 6, 'Land is voor patient niet ingevuld. Ook in Global sttings is het Land van patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23690, 4537, 6, 'Dekking voor patient');
INSERT INTO `lang_definitions` VALUES (23691, 4539, 6, 'Data van patient');
INSERT INTO `lang_definitions` VALUES (23692, 4541, 6, 'Geboorte datum is niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23693, 4542, 6, 'Details van patient');
INSERT INTO `lang_definitions` VALUES (23694, 4543, 6, 'Geb datum van patient');
INSERT INTO `lang_definitions` VALUES (23695, 4544, 6, 'Document van patient');
INSERT INTO `lang_definitions` VALUES (23696, 4545, 6, 'Patienten voorlichting');
INSERT INTO `lang_definitions` VALUES (23697, 4546, 6, 'Patienten voorlichtings materiaal');
INSERT INTO `lang_definitions` VALUES (23698, 4547, 6, 'Patientcontact(en)');
INSERT INTO `lang_definitions` VALUES (23699, 4548, 6, 'Patientencontactformulier');
INSERT INTO `lang_definitions` VALUES (23700, 4549, 6, 'Patiëntencontacten');
INSERT INTO `lang_definitions` VALUES (23701, 4550, 6, 'Patiënt opzoeken');
INSERT INTO `lang_definitions` VALUES (23702, 4551, 6, 'Voornaam patient');
INSERT INTO `lang_definitions` VALUES (23703, 4553, 6, 'Voornaam van patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23704, 4558, 6, 'Geslacht patient');
INSERT INTO `lang_definitions` VALUES (23705, 4559, 6, 'Geslacht patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23706, 4560, 6, 'Patient heeft nog geen toestemming gegeven voor Patient portal.');
INSERT INTO `lang_definitions` VALUES (23707, 4561, 6, 'Historie van patient');
INSERT INTO `lang_definitions` VALUES (23708, 4562, 6, 'Historie/leefwijze patient');
INSERT INTO `lang_definitions` VALUES (23709, 4563, 6, 'Huis tel nummer van patient');
INSERT INTO `lang_definitions` VALUES (23710, 4564, 6, 'Patiënt-ID');
INSERT INTO `lang_definitions` VALUES (23711, 4565, 6, 'Patenten ID');
INSERT INTO `lang_definitions` VALUES (23712, 4566, 6, 'Patient-ID kaart');
INSERT INTO `lang_definitions` VALUES (23713, 4567, 6, 'Patient ID Catogorie naam');
INSERT INTO `lang_definitions` VALUES (23714, 4568, 6, 'Vaccinatie van patient');
INSERT INTO `lang_definitions` VALUES (23715, 4569, 6, 'Patientinformatie');
INSERT INTO `lang_definitions` VALUES (23716, 4570, 6, 'Instructies aan patient');
INSERT INTO `lang_definitions` VALUES (23717, 4571, 6, 'Patient verdeeld naar verzekering');
INSERT INTO `lang_definitions` VALUES (23718, 4572, 6, 'Rapport patientverdeling per verzekering');
INSERT INTO `lang_definitions` VALUES (23719, 4573, 6, 'Problemen van patient');
INSERT INTO `lang_definitions` VALUES (23720, 4574, 6, 'Patient Label type');
INSERT INTO `lang_definitions` VALUES (23721, 4575, 6, 'Achtenaam patient');
INSERT INTO `lang_definitions` VALUES (23722, 4577, 6, 'Achternaam van patient niet ingevuld');
INSERT INTO `lang_definitions` VALUES (23723, 4581, 6, 'Patientenoverzicht');
INSERT INTO `lang_definitions` VALUES (23724, 4582, 6, 'Patient Lijst kolommen');
INSERT INTO `lang_definitions` VALUES (23725, 4584, 6, 'Patienten lijst nieuw venster');
INSERT INTO `lang_definitions` VALUES (23726, 4585, 6, 'Patienten lijst pagina afmeting');
INSERT INTO `lang_definitions` VALUES (23727, 4586, 6, 'Fouten tgv patient opzoeken');
INSERT INTO `lang_definitions` VALUES (23728, 4587, 6, 'Pt. Medische Problem(en)');
INSERT INTO `lang_definitions` VALUES (23729, 4588, 6, 'Medicatie patient');
INSERT INTO `lang_definitions` VALUES (23730, 4589, 6, 'Naam Patient');
INSERT INTO `lang_definitions` VALUES (23731, 4590, 6, 'Naam en adres patient');
INSERT INTO `lang_definitions` VALUES (23732, 4593, 6, 'Naam van de patient noodzakelijk');
INSERT INTO `lang_definitions` VALUES (23733, 4595, 6, 'Patientnotitie');
INSERT INTO `lang_definitions` VALUES (23734, 4596, 6, 'Soort patientnotitie');
INSERT INTO `lang_definitions` VALUES (23735, 4597, 6, 'Patientnotities');
INSERT INTO `lang_definitions` VALUES (23736, 4598, 6, 'Patientnotities (schrijven en toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (23737, 4599, 6, 'Patientnummer');
INSERT INTO `lang_definitions` VALUES (23738, 4600, 6, 'Betaling door patient');
INSERT INTO `lang_definitions` VALUES (23739, 4602, 6, 'Patient foto categorie naam');
INSERT INTO `lang_definitions` VALUES (23740, 4603, 6, 'Patient ingang');
INSERT INTO `lang_definitions` VALUES (23741, 4604, 6, 'Patient Portaal verbindings probleem');
INSERT INTO `lang_definitions` VALUES (23742, 4605, 6, 'Patient toegang is uitgezet');
INSERT INTO `lang_definitions` VALUES (23743, 4606, 6, 'Patient toegang Login');
INSERT INTO `lang_definitions` VALUES (23744, 4607, 6, 'Patient toegang Web adres');
INSERT INTO `lang_definitions` VALUES (23745, 4608, 6, 'Afdruk van Pt rapport');
INSERT INTO `lang_definitions` VALUES (23746, 4609, 6, 'Overzicht van Patientgegevens');
INSERT INTO `lang_definitions` VALUES (23747, 4610, 6, 'Patient record verzoek');
INSERT INTO `lang_definitions` VALUES (23748, 4611, 6, 'Patient records verzoek');
INSERT INTO `lang_definitions` VALUES (23749, 4613, 6, 'Patient reminder');
INSERT INTO `lang_definitions` VALUES (23750, 4614, 6, 'Patient reminder Batch job');
INSERT INTO `lang_definitions` VALUES (23751, 4615, 6, 'Verwerk voorkeur voor anmaak Patient herinnering');
INSERT INTO `lang_definitions` VALUES (23752, 4616, 6, 'Patient reminder regels');
INSERT INTO `lang_definitions` VALUES (23753, 4617, 6, 'Patient reminder E-mails verzender');
INSERT INTO `lang_definitions` VALUES (23754, 4618, 6, 'Naam van verzender van Patient reminder');
INSERT INTO `lang_definitions` VALUES (23755, 4619, 6, 'Reminder voor pt');
INSERT INTO `lang_definitions` VALUES (23756, 4620, 6, 'Rapportage over patient');
INSERT INTO `lang_definitions` VALUES (23757, 4621, 6, 'Verzoek van patient');
INSERT INTO `lang_definitions` VALUES (23758, 4622, 6, 'Patient verzoek voor medische files');
INSERT INTO `lang_definitions` VALUES (23759, 4623, 6, 'Patient resultaat');
INSERT INTO `lang_definitions` VALUES (23760, 4624, 6, 'Patient zoek resultaten stijl');
INSERT INTO `lang_definitions` VALUES (23761, 4625, 6, 'Client zoeken/Toevoegscherm');
INSERT INTO `lang_definitions` VALUES (23762, 4626, 6, 'Patient setting');
INSERT INTO `lang_definitions` VALUES (23763, 4627, 6, 'Staat woonadres pt');
INSERT INTO `lang_definitions` VALUES (23764, 4629, 6, 'Samenvatting over deze patient');
INSERT INTO `lang_definitions` VALUES (23765, 4630, 6, 'Verklaringen voor patienten');
INSERT INTO `lang_definitions` VALUES (23766, 4631, 6, 'Patient ZIP');
INSERT INTO `lang_definitions` VALUES (23767, 4632, 6, 'patient(en) die overeenkomen met de demografische gegevens die u invoerdde.');
INSERT INTO `lang_definitions` VALUES (23768, 4633, 6, 'Clienten');
INSERT INTO `lang_definitions` VALUES (23769, 4634, 6, 'Patiënt:');
INSERT INTO `lang_definitions` VALUES (23770, 4635, 6, 'Patient-ID');
INSERT INTO `lang_definitions` VALUES (23771, 4636, 6, 'Patienten');
INSERT INTO `lang_definitions` VALUES (23772, 4637, 6, 'Bewerkte patienten');
INSERT INTO `lang_definitions` VALUES (23773, 4638, 6, 'Betalen');
INSERT INTO `lang_definitions` VALUES (23774, 4639, 6, 'Let extra op bij de Gedaan met keuzevakjes. Nadat de verzekeringen als compleet zijn gemarkeerd, zullen we aan de patient vragen om het openstaande bedrag te betalen; wanneer u vergeet om alle verzekeringen als compleet te markeren, dan zal het openstaande bedrag niet ontvangen worden!! Als de patient nog een restbedrag moet betalen, stel dan de vervaldatum overeenkomstig in, omdat dit gevolgen heeft voor de taal die op de patient verklaringen komen te staan.');
INSERT INTO `lang_definitions` VALUES (23775, 4640, 6, 'Betalingsdatum');
INSERT INTO `lang_definitions` VALUES (23776, 4641, 6, 'Betalings status');
INSERT INTO `lang_definitions` VALUES (23777, 4642, 6, 'Naam van betalende persoon');
INSERT INTO `lang_definitions` VALUES (23778, 4643, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (23779, 4644, 6, 'Betaler type');
INSERT INTO `lang_definitions` VALUES (23780, 4645, 6, 'Bataald nu');
INSERT INTO `lang_definitions` VALUES (23781, 4646, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (23782, 4647, 6, 'Betaling');
INSERT INTO `lang_definitions` VALUES (23783, 4648, 6, 'betaling');
INSERT INTO `lang_definitions` VALUES (23784, 4649, 6, 'Betalings aanpassing code');
INSERT INTO `lang_definitions` VALUES (23785, 4650, 6, 'Betaling voor tegenrekening');
INSERT INTO `lang_definitions` VALUES (23786, 4651, 6, 'Betaald bedrag');
INSERT INTO `lang_definitions` VALUES (23787, 4652, 6, 'Betaald bedrag moet numeriek zijn');
INSERT INTO `lang_definitions` VALUES (23788, 4653, 6, 'Betalings Categorie');
INSERT INTO `lang_definitions` VALUES (23789, 4654, 6, 'Datum betaling');
INSERT INTO `lang_definitions` VALUES (23790, 4655, 6, 'Betaling ingevoerd op');
INSERT INTO `lang_definitions` VALUES (23791, 4656, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (23792, 4657, 6, 'Betalings mogelijkheden');
INSERT INTO `lang_definitions` VALUES (23793, 4658, 6, 'Betalings Ins');
INSERT INTO `lang_definitions` VALUES (23794, 4659, 6, 'Betalings lijst');
INSERT INTO `lang_definitions` VALUES (23795, 4660, 6, 'Betalingsmethode');
INSERT INTO `lang_definitions` VALUES (23796, 4661, 6, 'Betaling gesorteerd op');
INSERT INTO `lang_definitions` VALUES (23797, 4662, 6, 'Status van betalen');
INSERT INTO `lang_definitions` VALUES (23798, 4663, 6, 'Betaald door');
INSERT INTO `lang_definitions` VALUES (23799, 4664, 6, 'Betaling waarde voor code ');
INSERT INTO `lang_definitions` VALUES (23800, 4665, 6, 'Betalingen');
INSERT INTO `lang_definitions` VALUES (23801, 4667, 6, 'PCP');
INSERT INTO `lang_definitions` VALUES (23802, 4668, 6, 'Prcnt (%) van ROWS');
INSERT INTO `lang_definitions` VALUES (23803, 4669, 6, 'PDF');
INSERT INTO `lang_definitions` VALUES (23804, 4670, 6, 'PDF download geselecteerde statements');
INSERT INTO `lang_definitions` VALUES (23805, 4671, 6, 'PDF taal');
INSERT INTO `lang_definitions` VALUES (23806, 4672, 6, 'Bekken en billen');
INSERT INTO `lang_definitions` VALUES (23807, 4673, 6, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (23808, 4674, 6, 'Niet afgerond');
INSERT INTO `lang_definitions` VALUES (23809, 4675, 6, 'Wachtende op accoordering');
INSERT INTO `lang_definitions` VALUES (23810, 4676, 6, 'Resultaat nog niet ingevoerd');
INSERT INTO `lang_definitions` VALUES (23811, 4677, 6, 'Nog in ondezoek');
INSERT INTO `lang_definitions` VALUES (23812, 4678, 6, 'Resultaat nog niet bekend');
INSERT INTO `lang_definitions` VALUES (23813, 4679, 6, 'Lopende bestellingen');
INSERT INTO `lang_definitions` VALUES (23814, 4680, 6, 'Res volgt');
INSERT INTO `lang_definitions` VALUES (23815, 4681, 6, 'Review niet afgerond');
INSERT INTO `lang_definitions` VALUES (23816, 4682, 6, 'Rx telling pending');
INSERT INTO `lang_definitions` VALUES (23817, 4684, 6, 'Pennington Firm LibreEHR v');
INSERT INTO `lang_definitions` VALUES (23818, 4685, 6, 'Maagzweer/Ulcus Pepticum');
INSERT INTO `lang_definitions` VALUES (23819, 4686, 6, 'Per encounter');
INSERT INTO `lang_definitions` VALUES (23820, 4687, 6, 'per min');
INSERT INTO `lang_definitions` VALUES (23821, 4688, 6, 'Per neusgat');
INSERT INTO `lang_definitions` VALUES (23822, 4689, 6, 'per neusgat');
INSERT INTO `lang_definitions` VALUES (23823, 4690, 6, 'Oraal');
INSERT INTO `lang_definitions` VALUES (23824, 4691, 6, 'oraal');
INSERT INTO `lang_definitions` VALUES (23825, 4692, 6, 'Anaal');
INSERT INTO `lang_definitions` VALUES (23826, 4693, 6, 'anaal');
INSERT INTO `lang_definitions` VALUES (23827, 4694, 6, 'Procent');
INSERT INTO `lang_definitions` VALUES (23828, 4697, 6, 'Percentiel');
INSERT INTO `lang_definitions` VALUES (23829, 4698, 6, 'Rechts geperforeerd');
INSERT INTO `lang_definitions` VALUES (23830, 4699, 6, 'Begin zoekactie');
INSERT INTO `lang_definitions` VALUES (23831, 4700, 6, 'Deze actie uitvoeren');
INSERT INTO `lang_definitions` VALUES (23832, 4701, 6, 'Performance percentage');
INSERT INTO `lang_definitions` VALUES (23833, 4703, 6, 'Uitvoerende Lab. faciliteit');
INSERT INTO `lang_definitions` VALUES (23834, 4705, 6, 'Punt');
INSERT INTO `lang_definitions` VALUES (23835, 4706, 6, 'Periode in dagen datde gebruiker nog kan in loggen met verlopen paswoord');
INSERT INTO `lang_definitions` VALUES (23836, 4707, 6, 'Zorg rond operatie');
INSERT INTO `lang_definitions` VALUES (23837, 4708, 6, 'Perifeer');
INSERT INTO `lang_definitions` VALUES (23838, 4709, 6, 'Toestaan van \"unsalted\" paswoorden');
INSERT INTO `lang_definitions` VALUES (23839, 4710, 6, 'Persisch');
INSERT INTO `lang_definitions` VALUES (23840, 4711, 6, 'Persische(Farsi)');
INSERT INTO `lang_definitions` VALUES (23841, 4712, 6, 'Persoon');
INSERT INTO `lang_definitions` VALUES (23842, 4713, 6, 'Verpersoonlijken');
INSERT INTO `lang_definitions` VALUES (23843, 4714, 6, 'PG');
INSERT INTO `lang_definitions` VALUES (23844, 4715, 6, 'Apoth');
INSERT INTO `lang_definitions` VALUES (23845, 4716, 6, 'Pharm Com telling');
INSERT INTO `lang_definitions` VALUES (23846, 4717, 6, 'Apotheken');
INSERT INTO `lang_definitions` VALUES (23847, 4718, 6, 'Apotheek');
INSERT INTO `lang_definitions` VALUES (23848, 4719, 6, 'Apotheek Afd. Receptuur');
INSERT INTO `lang_definitions` VALUES (23849, 4720, 6, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (23850, 4721, 6, 'phiMail CCD verzenden toegestaan');
INSERT INTO `lang_definitions` VALUES (23851, 4722, 6, 'phiMail mericht controle interval (minuten)');
INSERT INTO `lang_definitions` VALUES (23852, 4723, 6, 'phiMail boodschappen controle interval in minuten');
INSERT INTO `lang_definitions` VALUES (23853, 4724, 6, 'phiMal bericht aan gebruiker');
INSERT INTO `lang_definitions` VALUES (23854, 4725, 6, 'phiMial Paswoord');
INSERT INTO `lang_definitions` VALUES (23855, 4726, 6, 'phiMail Server adres');
INSERT INTO `lang_definitions` VALUES (23856, 4727, 6, 'phiMail Gebrukers naam');
INSERT INTO `lang_definitions` VALUES (23857, 4729, 6, 'Telefoon');
INSERT INTO `lang_definitions` VALUES (23858, 4730, 6, 'Telefoon oproeplijst');
INSERT INTO `lang_definitions` VALUES (23859, 4731, 6, 'Rapport voor lijst telefoon gesprekken');
INSERT INTO `lang_definitions` VALUES (23860, 4732, 6, 'Mibiele telefoon');
INSERT INTO `lang_definitions` VALUES (23861, 4733, 6, 'Telefoon gateway Paswoord');
INSERT INTO `lang_definitions` VALUES (23862, 4734, 6, 'Telefoon gatway URL');
INSERT INTO `lang_definitions` VALUES (23863, 4735, 6, 'Telefoon Gateway Usernaam');
INSERT INTO `lang_definitions` VALUES (23864, 4736, 6, 'Huis telefoon');
INSERT INTO `lang_definitions` VALUES (23865, 4737, 6, 'Telefoon meldings uur');
INSERT INTO `lang_definitions` VALUES (23866, 4738, 6, 'Telefoon nummer');
INSERT INTO `lang_definitions` VALUES (23867, 4739, 6, 'Telefoon nummer');
INSERT INTO `lang_definitions` VALUES (23868, 4740, 6, 'Fotofobie');
INSERT INTO `lang_definitions` VALUES (23869, 4741, 6, 'Fotos');
INSERT INTO `lang_definitions` VALUES (23870, 4742, 6, 'Via PHP opgezocht');
INSERT INTO `lang_definitions` VALUES (23871, 4743, 6, 'PHP CURL module moet geactiveerd worden op uw Server');
INSERT INTO `lang_definitions` VALUES (23872, 4744, 6, 'PHP geëxtraheerd');
INSERT INTO `lang_definitions` VALUES (23873, 4745, 6, 'php-GACL toegangscontroles zijn uitgeschakeld');
INSERT INTO `lang_definitions` VALUES (23874, 4746, 6, 'PHP-gacl is niet geïnstalleerd');
INSERT INTO `lang_definitions` VALUES (23875, 4747, 6, 'Fysiek onderzoek');
INSERT INTO `lang_definitions` VALUES (23876, 4749, 6, 'Aanvraag door arts');
INSERT INTO `lang_definitions` VALUES (23877, 4750, 6, 'Handtekening arts');
INSERT INTO `lang_definitions` VALUES (23878, 4752, 6, 'Doktoren');
INSERT INTO `lang_definitions` VALUES (23879, 4753, 6, 'kies');
INSERT INTO `lang_definitions` VALUES (23880, 4754, 6, 'Kies');
INSERT INTO `lang_definitions` VALUES (23881, 4755, 6, 'Kies een CSS thema');
INSERT INTO `lang_definitions` VALUES (23882, 4756, 6, 'PID');
INSERT INTO `lang_definitions` VALUES (23883, 4757, 6, 'PID (Pelvic Infl. Disease)');
INSERT INTO `lang_definitions` VALUES (23884, 4758, 6, 'Pil grootte');
INSERT INTO `lang_definitions` VALUES (23885, 4759, 6, 'Pillen');
INSERT INTO `lang_definitions` VALUES (23886, 4760, 6, 'Plaats de database zip file in de volgende directory als deze geinstalleerd moet worden');
INSERT INTO `lang_definitions` VALUES (23887, 4761, 6, 'Plaats de verkregen ICD 10 database zip files in de volgende directory');
INSERT INTO `lang_definitions` VALUES (23888, 4762, 6, 'Plaats de verkregen ICD 10 database zip file in de volgende directory');
INSERT INTO `lang_definitions` VALUES (23889, 4763, 6, 'Plaats de verkregen RxNorm database zip file in de volgende directory');
INSERT INTO `lang_definitions` VALUES (23890, 4764, 6, 'Plaats de verkregen Snomed database zip file in de volgende directory');
INSERT INTO `lang_definitions` VALUES (23891, 4765, 6, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (23892, 4766, 6, 'Placeholder (vult lege ACLs op)');
INSERT INTO `lang_definitions` VALUES (23893, 4767, 6, 'Vlakke tekst');
INSERT INTO `lang_definitions` VALUES (23894, 4768, 6, 'Plan');
INSERT INTO `lang_definitions` VALUES (23895, 4771, 6, 'Naam plan');
INSERT INTO `lang_definitions` VALUES (23896, 4775, 6, 'Plan set');
INSERT INTO `lang_definitions` VALUES (23897, 4779, 6, 'Plan:');
INSERT INTO `lang_definitions` VALUES (23898, 4782, 6, 'Plannen');
INSERT INTO `lang_definitions` VALUES (23899, 4784, 6, 'Speler');
INSERT INTO `lang_definitions` VALUES (23900, 4785, 6, 'Spel positie');
INSERT INTO `lang_definitions` VALUES (23901, 4786, 6, 'Voor informatie over deze rekening kunt u bellen met');
INSERT INTO `lang_definitions` VALUES (23902, 4787, 6, 'Verander uw paswoord');
INSERT INTO `lang_definitions` VALUES (23903, 4788, 6, 'File kiezen');
INSERT INTO `lang_definitions` VALUES (23904, 4789, 6, 'Kies een client');
INSERT INTO `lang_definitions` VALUES (23905, 4790, 6, 'Maak a.u.b. een geldige keuze uit de lijst');
INSERT INTO `lang_definitions` VALUES (23906, 4791, 6, 'Kies een valide selectie');
INSERT INTO `lang_definitions` VALUES (23907, 4792, 6, 'Selecteer een waarde voor');
INSERT INTO `lang_definitions` VALUES (23908, 4793, 6, 'Kies hierboven een datum range en klik');
INSERT INTO `lang_definitions` VALUES (23909, 4794, 6, 'Kies het juiste format EDI-271 file');
INSERT INTO `lang_definitions` VALUES (23910, 4795, 6, 'klik op \"download-knop\" om de ge-de-identificeerde data te downloaden');
INSERT INTO `lang_definitions` VALUES (23911, 4796, 6, 'Klik op \"download knop\" om de Re Identificatie data op te downloaden');
INSERT INTO `lang_definitions` VALUES (23912, 4797, 6, 'Sluit dit venster a.u.b af');
INSERT INTO `lang_definitions` VALUES (23913, 4798, 6, 'Vergelijk a.u.b. de nieuwe naam');
INSERT INTO `lang_definitions` VALUES (23914, 4800, 6, 'Eerst de waarde(n) corrigeren alvorens verder te gaan!');
INSERT INTO `lang_definitions` VALUES (23915, 4801, 6, 'Maak de volgende directory aan alvorens verder te gaan');
INSERT INTO `lang_definitions` VALUES (23916, 4802, 6, 'Accepteer dit recept a.u.b. niet, tenzij u het heeft ontvangen per fax.');
INSERT INTO `lang_definitions` VALUES (23917, 4803, 6, 'Accepteer dit recept a.u.b. niet, tenzij u het heeft ontvangen per fax.');
INSERT INTO `lang_definitions` VALUES (23918, 4804, 6, 'Maak GEEN gebruik van uw browser met de STOP of RELOAD knop terwijl deze pagina actief is, als er meer dan 10 minuten zijn verstreken, zal dit niet tot gevolg hebben dat het proces wordt gestopt op de server en onnodige resources zal gebruiken.');
INSERT INTO `lang_definitions` VALUES (23919, 4805, 6, 'ACTIVEER CURL Extensie');
INSERT INTO `lang_definitions` VALUES (23920, 4806, 6, 'ACTIVEER OEPNSSL Extensie');
INSERT INTO `lang_definitions` VALUES (23921, 4807, 6, 'ACTIVEER SOAP Extensie');
INSERT INTO `lang_definitions` VALUES (23922, 4808, 6, 'ACTIVEER XML Extensie');
INSERT INTO `lang_definitions` VALUES (23923, 4809, 6, 'Voer a.u.b. een datum in voor laatst beoordeeld');
INSERT INTO `lang_definitions` VALUES (23924, 4810, 6, 'Datum invoeren');
INSERT INTO `lang_definitions` VALUES (23925, 4811, 6, 'Verloop datum invullen');
INSERT INTO `lang_definitions` VALUES (23926, 4812, 6, 'Bericht aanmaken');
INSERT INTO `lang_definitions` VALUES (23927, 4813, 6, 'Voer a.u.b. een bedrag in met alleen cijfers en een punt.');
INSERT INTO `lang_definitions` VALUES (23928, 4814, 6, 'Nieuw paswoord invoeren');
INSERT INTO `lang_definitions` VALUES (23929, 4815, 6, 'Voer a.u.b. een titel in!');
INSERT INTO `lang_definitions` VALUES (23930, 4816, 6, 'Voer hierboven een bestaand Direct Adres in');
INSERT INTO `lang_definitions` VALUES (23931, 4817, 6, 'Minstens de Item naam invoeren');
INSERT INTO `lang_definitions` VALUES (23932, 4818, 6, 'minstens de track-naam invoeren');
INSERT INTO `lang_definitions` VALUES (23933, 4819, 6, 'Goede Re Identificatie code invullen');
INSERT INTO `lang_definitions` VALUES (23934, 4820, 6, 'Einddatum moet na de begindatum vallen!');
INSERT INTO `lang_definitions` VALUES (23935, 4821, 6, 'Nieuwe zoek opdracht geven');
INSERT INTO `lang_definitions` VALUES (23936, 4822, 6, 'De juiste Re-Identificatie code invullen');
INSERT INTO `lang_definitions` VALUES (23937, 4823, 6, 'Voer a.u.b. een wachtwoord in');
INSERT INTO `lang_definitions` VALUES (23938, 4824, 6, 'Cheque nummer invullen');
INSERT INTO `lang_definitions` VALUES (23939, 4825, 6, 'Ceck/Ref nummer invullen');
INSERT INTO `lang_definitions` VALUES (23940, 4826, 6, 'Datum invullen');
INSERT INTO `lang_definitions` VALUES (23941, 4827, 6, 'Betaald bedrag invullen');
INSERT INTO `lang_definitions` VALUES (23942, 4828, 6, 'Betaalde categorie invullen');
INSERT INTO `lang_definitions` VALUES (23943, 4829, 6, 'Vorm vanbetaling invullen');
INSERT INTO `lang_definitions` VALUES (23944, 4830, 6, 'Datum van vastleggen invullen');
INSERT INTO `lang_definitions` VALUES (23945, 4831, 6, 'Dit invullen voor verder te gaan');
INSERT INTO `lang_definitions` VALUES (23946, 4832, 6, 'Geef reden van visite aan');
INSERT INTO `lang_definitions` VALUES (23947, 4833, 6, 'Voer input search gegevens hierboven in en klik op verzenden om rapport te starten.');
INSERT INTO `lang_definitions` VALUES (23948, 4834, 6, 'Vul zoek criteria in en klik Zoek om resultaat te zien');
INSERT INTO `lang_definitions` VALUES (23949, 4835, 6, 'Vul zoek criteria hierboven in en klik op Zoek om resultaten te zien. (Resultaten worden getoond in een pop-up scherm)');
INSERT INTO `lang_definitions` VALUES (23950, 4836, 6, 'Opnieuw inloggen.');
INSERT INTO `lang_definitions` VALUES (23951, 4837, 6, 'Houd er rekening mee dat dit erg lang kan duren, zelfs tot enkele minuten, uw webbrowser lijkt niet erg actief in deze tijd, maar het genereren van een factuur is een ingewikkeld proces en uw webbrowser is slechts in afwachting van meer informatie.');
INSERT INTO `lang_definitions` VALUES (23952, 4838, 6, 'Let op: constanten zijn hoofdlettergevoelig en iedere string is toegestaan.');
INSERT INTO `lang_definitions` VALUES (23953, 4839, 6, 'Gebruik alleen letters');
INSERT INTO `lang_definitions` VALUES (23954, 4840, 6, 'Gebruik alleen letters zonder spaties');
INSERT INTO `lang_definitions` VALUES (23955, 4841, 6, 'Gelieve dit bedrag betalen');
INSERT INTO `lang_definitions` VALUES (23956, 4842, 6, 'Plaats uw installatie files in de volgende directory');
INSERT INTO `lang_definitions` VALUES (23957, 4843, 6, 'Verwijzing naar');
INSERT INTO `lang_definitions` VALUES (23958, 4844, 6, 'Paswoord wijzigen');
INSERT INTO `lang_definitions` VALUES (23959, 4845, 6, 'Apache Server opnieuw opstarten voor de De-Identificatie te bewerken');
INSERT INTO `lang_definitions` VALUES (23960, 4846, 6, 'Bekijk de bijgevoede attachment');
INSERT INTO `lang_definitions` VALUES (23961, 4847, 6, 'Kiezen');
INSERT INTO `lang_definitions` VALUES (23962, 4849, 6, 'Kies een taal');
INSERT INTO `lang_definitions` VALUES (23963, 4850, 6, 'Kies een patient');
INSERT INTO `lang_definitions` VALUES (23964, 4851, 6, 'Selecteer de Hoofd Faciliteit met TAX ID voor uw faciliteit. Voor eenmans bedrijf gebruik eigen tax id. Hiermee zoekt NewCrop naar identificatie.');
INSERT INTO `lang_definitions` VALUES (23965, 4853, 6, 'Graag een procedure provider selecteren');
INSERT INTO `lang_definitions` VALUES (23966, 4854, 6, 'Ontvanger selecteren');
INSERT INTO `lang_definitions` VALUES (23967, 4855, 6, 'Kies een start en eind datum');
INSERT INTO `lang_definitions` VALUES (23968, 4856, 6, 'Valide ontvanger selecteren');
INSERT INTO `lang_definitions` VALUES (23969, 4857, 6, 'Actieve groep selecteren');
INSERT INTO `lang_definitions` VALUES (23970, 4858, 6, 'Selecteer een reden voor aanpassing van code ');
INSERT INTO `lang_definitions` VALUES (23971, 4859, 6, 'Selecteer gebeurtenis');
INSERT INTO `lang_definitions` VALUES (23972, 4860, 6, 'Zoekoptie kiezen');
INSERT INTO `lang_definitions` VALUES (23973, 4863, 6, 'Minstens één recept kiezen');
INSERT INTO `lang_definitions` VALUES (23974, 4864, 6, 'Encounter selecteren');
INSERT INTO `lang_definitions` VALUES (23975, 4865, 6, 'Selecteer de gewenste pagina\'s om te kopiëren of door te sturen:');
INSERT INTO `lang_definitions` VALUES (23976, 4866, 6, 'Manier van betalen selecteren');
INSERT INTO `lang_definitions` VALUES (23977, 4867, 6, 'Manier van betalen selecteren.');
INSERT INTO `lang_definitions` VALUES (23978, 4868, 6, 'Bezoek categorie slecteren');
INSERT INTO `lang_definitions` VALUES (23979, 4869, 6, 'X12 partner kiezen, nodig om de 270 verzameling te verwerken');
INSERT INTO `lang_definitions` VALUES (23980, 4870, 6, 'Opnieuw instellen');
INSERT INTO `lang_definitions` VALUES (23981, 4871, 6, 'Zet de de_identification_config variabele terug op nul');
INSERT INTO `lang_definitions` VALUES (23982, 4873, 6, 'Opnieuwd De-Identificatie proces starten');
INSERT INTO `lang_definitions` VALUES (23983, 4874, 6, 'LibreEHR DB upgraden om de De-Identificatie procedure, functie, tafels toe te voegen');
INSERT INTO `lang_definitions` VALUES (23984, 4875, 6, 'Bekijk de De-Identificatie fout-log-tabel voor meer details');
INSERT INTO `lang_definitions` VALUES (23985, 4876, 6, 'Bezoek het De-Indentificatie scherm wat later');
INSERT INTO `lang_definitions` VALUES (23986, 4877, 6, 'Bezoek het Re-Identificatie scherm wat later');
INSERT INTO `lang_definitions` VALUES (23987, 4878, 6, 'Bezoek het specifieke scherm wat later');
INSERT INTO `lang_definitions` VALUES (23988, 4879, 6, 'Item om te plotten');
INSERT INTO `lang_definitions` VALUES (23989, 4880, 6, 'Geselecteerde plot items');
INSERT INTO `lang_definitions` VALUES (23990, 4881, 6, 'Meervoud');
INSERT INTO `lang_definitions` VALUES (23991, 4882, 6, 'PM');
INSERT INTO `lang_definitions` VALUES (23992, 4883, 6, 'PM Programma');
INSERT INTO `lang_definitions` VALUES (23993, 4884, 6, 'Methode van betaling');
INSERT INTO `lang_definitions` VALUES (23994, 4885, 6, 'PND');
INSERT INTO `lang_definitions` VALUES (23995, 4886, 6, 'Pneumococ Conj 1');
INSERT INTO `lang_definitions` VALUES (23996, 4887, 6, 'Pneumococ Conj 2');
INSERT INTO `lang_definitions` VALUES (23997, 4888, 6, 'Pneumococ Conj 3');
INSERT INTO `lang_definitions` VALUES (23998, 4889, 6, 'Pneumococ Conj 4');
INSERT INTO `lang_definitions` VALUES (23999, 4890, 6, 'Pneumococcen vaccin');
INSERT INTO `lang_definitions` VALUES (24000, 4891, 6, 'Pneumococcen vaccinatie');
INSERT INTO `lang_definitions` VALUES (24001, 4892, 6, 'Pneumonie vaccinatie status voor ouderen');
INSERT INTO `lang_definitions` VALUES (24002, 4893, 6, 'Pneumonie VaccinatiePneumococcen vaccinatie status voor ouderen (CQM)');
INSERT INTO `lang_definitions` VALUES (24003, 4894, 6, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (24004, 4895, 6, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (24005, 4896, 6, 'Point of Service (POS)');
INSERT INTO `lang_definitions` VALUES (24006, 4897, 6, 'Beleid');
INSERT INTO `lang_definitions` VALUES (24007, 4898, 6, 'Polis #');
INSERT INTO `lang_definitions` VALUES (24008, 4899, 6, 'Polis nummer');
INSERT INTO `lang_definitions` VALUES (24009, 4900, 6, 'Pools');
INSERT INTO `lang_definitions` VALUES (24010, 4901, 6, 'Polydipsie');
INSERT INTO `lang_definitions` VALUES (24011, 4902, 6, 'Poliepen');
INSERT INTO `lang_definitions` VALUES (24012, 4903, 6, 'Polyurie');
INSERT INTO `lang_definitions` VALUES (24013, 4904, 6, 'Slechte eetlust');
INSERT INTO `lang_definitions` VALUES (24014, 4905, 6, 'Slechte circulatie');
INSERT INTO `lang_definitions` VALUES (24015, 4906, 6, 'Verminderd gehoor');
INSERT INTO `lang_definitions` VALUES (24016, 4907, 6, 'Pop-ups moet toegestaan worden om deze rapporten te zien');
INSERT INTO `lang_definitions` VALUES (24017, 4908, 6, 'Jaaroverzicht vullen met gebeurtenissen?');
INSERT INTO `lang_definitions` VALUES (24018, 4909, 6, 'Overzicht');
INSERT INTO `lang_definitions` VALUES (24019, 4910, 6, 'Ingang');
INSERT INTO `lang_definitions` VALUES (24020, 4911, 6, 'Portaal activiteit');
INSERT INTO `lang_definitions` VALUES (24021, 4912, 6, 'Portaal ID');
INSERT INTO `lang_definitions` VALUES (24022, 4913, 6, 'Portaal ID komt niet overeen met het verzoek aan de portaal!');
INSERT INTO `lang_definitions` VALUES (24023, 4914, 6, 'Portaal paswoord wordt gemist');
INSERT INTO `lang_definitions` VALUES (24024, 4915, 6, 'Portaal verzoek');
INSERT INTO `lang_definitions` VALUES (24025, 4916, 6, 'Portret');
INSERT INTO `lang_definitions` VALUES (24026, 4917, 6, 'Portugees');
INSERT INTO `lang_definitions` VALUES (24027, 4918, 6, 'Portugees (Brazilie)');
INSERT INTO `lang_definitions` VALUES (24028, 4919, 6, 'Portugees (Europa)');
INSERT INTO `lang_definitions` VALUES (24029, 4920, 6, 'POS-code');
INSERT INTO `lang_definitions` VALUES (24030, 4921, 6, 'Positie');
INSERT INTO `lang_definitions` VALUES (24031, 4922, 6, 'Positief');
INSERT INTO `lang_definitions` VALUES (24032, 4923, 6, 'Positieven');
INSERT INTO `lang_definitions` VALUES (24033, 4925, 6, 'Vastleggen voor');
INSERT INTO `lang_definitions` VALUES (24034, 4926, 6, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (24035, 4927, 6, 'Betalingen vastleggen');
INSERT INTO `lang_definitions` VALUES (24036, 4928, 6, 'Na chirurgische');
INSERT INTO `lang_definitions` VALUES (24037, 4929, 6, 'Verzenden naar de boekhouding en markeren als gefactureerd');
INSERT INTO `lang_definitions` VALUES (24038, 4930, 6, 'Op datum vastleggen');
INSERT INTO `lang_definitions` VALUES (24039, 4931, 6, 'Op datum vastleggen kan niet later zijn dan vandaag');
INSERT INTO `lang_definitions` VALUES (24040, 4932, 6, 'Vastleggen op datum moet groter zijn dan de Financiele sluitings dag');
INSERT INTO `lang_definitions` VALUES (24041, 4933, 6, 'Abortus nazorg');
INSERT INTO `lang_definitions` VALUES (24042, 4934, 6, 'Post-abortus anticonceptie');
INSERT INTO `lang_definitions` VALUES (24043, 4935, 6, 'Post-abortus begeleiding');
INSERT INTO `lang_definitions` VALUES (24044, 4936, 6, 'Post-abortus controle');
INSERT INTO `lang_definitions` VALUES (24045, 4937, 6, 'Per post');
INSERT INTO `lang_definitions` VALUES (24046, 4938, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (24047, 4939, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (24048, 4941, 6, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (24049, 4942, 6, 'PostCalendar administratie');
INSERT INTO `lang_definitions` VALUES (24050, 4943, 6, 'PostCalendar categorie-instellingen');
INSERT INTO `lang_definitions` VALUES (24051, 4944, 6, 'PostCalendar Global Settings');
INSERT INTO `lang_definitions` VALUES (24052, 4945, 6, 'Geplaatst op');
INSERT INTO `lang_definitions` VALUES (24053, 4946, 6, 'Datum plaatsing');
INSERT INTO `lang_definitions` VALUES (24054, 4947, 6, 'Pos{{Afkorting voor Positie}}');
INSERT INTO `lang_definitions` VALUES (24055, 4948, 6, 'Powered by');
INSERT INTO `lang_definitions` VALUES (24056, 4949, 6, 'PPE+Prev Med/Chir Hx');
INSERT INTO `lang_definitions` VALUES (24057, 4950, 6, 'PQRI');
INSERT INTO `lang_definitions` VALUES (24058, 4951, 6, 'PQRI geregistreerd ID');
INSERT INTO `lang_definitions` VALUES (24059, 4952, 6, 'PQRI Registratie naam');
INSERT INTO `lang_definitions` VALUES (24060, 4953, 6, 'Praktijk gerelateerd');
INSERT INTO `lang_definitions` VALUES (24061, 4954, 6, 'Default waarden voor Praktijk');
INSERT INTO `lang_definitions` VALUES (24062, 4955, 6, 'Settings voor Praktijk');
INSERT INTO `lang_definitions` VALUES (24063, 4956, 6, 'Behandelaar');
INSERT INTO `lang_definitions` VALUES (24064, 4957, 6, 'Voor-participatie evaluatie');
INSERT INTO `lang_definitions` VALUES (24065, 4958, 6, 'Vooruit betalen');
INSERT INTO `lang_definitions` VALUES (24066, 4959, 6, 'Vooruit betaling');
INSERT INTO `lang_definitions` VALUES (24067, 4960, 6, 'Consultatie pre-abortus');
INSERT INTO `lang_definitions` VALUES (24068, 4961, 6, 'Pre-abortus begeleiding');
INSERT INTO `lang_definitions` VALUES (24069, 4962, 6, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (24070, 4963, 6, 'Voorkeur');
INSERT INTO `lang_definitions` VALUES (24071, 4964, 6, 'Voorkeuren');
INSERT INTO `lang_definitions` VALUES (24072, 4965, 6, 'Voorkeurs gebeurtenissen categorie');
INSERT INTO `lang_definitions` VALUES (24073, 4966, 6, 'Voorkeurstaal');
INSERT INTO `lang_definitions` VALUES (24074, 4967, 6, 'Voorkeursapotheek');
INSERT INTO `lang_definitions` VALUES (24075, 4968, 6, 'Preferred Provider Organization (PPO)');
INSERT INTO `lang_definitions` VALUES (24076, 4969, 6, 'Zwang.test');
INSERT INTO `lang_definitions` VALUES (24077, 4970, 6, 'Voorlopig');
INSERT INTO `lang_definitions` VALUES (24078, 4971, 6, 'Voorbereiding om rapport te maken');
INSERT INTO `lang_definitions` VALUES (24079, 4972, 6, 'Vooruitbetalen');
INSERT INTO `lang_definitions` VALUES (24080, 4973, 6, 'Recept');
INSERT INTO `lang_definitions` VALUES (24081, 4974, 6, 'recept heeft de limiet bereikt van');
INSERT INTO `lang_definitions` VALUES (24082, 4975, 6, 'Voorschrijf historie');
INSERT INTO `lang_definitions` VALUES (24083, 4976, 6, 'Voorschrijf historie import succesvol afgerond');
INSERT INTO `lang_definitions` VALUES (24084, 4977, 6, 'Receptlabel');
INSERT INTO `lang_definitions` VALUES (24085, 4978, 6, 'Voorschrijf rapport');
INSERT INTO `lang_definitions` VALUES (24086, 4979, 6, 'Recepten');
INSERT INTO `lang_definitions` VALUES (24087, 4980, 6, 'Voorschriften en Ontheffingen');
INSERT INTO `lang_definitions` VALUES (24088, 4981, 6, 'Voorschriften en andere verwijzingen');
INSERT INTO `lang_definitions` VALUES (24089, 4982, 6, 'Voorschriften en/of verwijzing door specialist');
INSERT INTO `lang_definitions` VALUES (24090, 4983, 6, 'Overzicht recepten');
INSERT INTO `lang_definitions` VALUES (24091, 4984, 6, 'Voorschriften/Verwijzingen');
INSERT INTO `lang_definitions` VALUES (24092, 4985, 6, 'Aanwezig');
INSERT INTO `lang_definitions` VALUES (24093, 4986, 6, 'Klacht zoals gepresenteerd');
INSERT INTO `lang_definitions` VALUES (24094, 4987, 6, 'Toon Issue(s)');
INSERT INTO `lang_definitions` VALUES (24095, 4988, 6, 'Druk op Doorgaan om verder te gaan');
INSERT INTO `lang_definitions` VALUES (24096, 4989, 6, 'Voorlopige diagnose');
INSERT INTO `lang_definitions` VALUES (24097, 4990, 6, 'Vermoedelijke diagnose van specialist');
INSERT INTO `lang_definitions` VALUES (24098, 4991, 6, 'Terug');
INSERT INTO `lang_definitions` VALUES (24099, 4992, 6, 'Voorafgaande Med/Chir Historie');
INSERT INTO `lang_definitions` VALUES (24100, 4993, 6, 'Vorige maand (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (24101, 4994, 6, 'Vorig jaar (ingedrukt houden voor menu)');
INSERT INTO `lang_definitions` VALUES (24102, 4995, 6, 'Preventieve zorg');
INSERT INTO `lang_definitions` VALUES (24103, 4996, 6, 'Rehab preventie');
INSERT INTO `lang_definitions` VALUES (24104, 4998, 6, 'Gebeurtenis preview');
INSERT INTO `lang_definitions` VALUES (24105, 5000, 6, 'Preview van');
INSERT INTO `lang_definitions` VALUES (24106, 5001, 6, 'Vorig');
INSERT INTO `lang_definitions` VALUES (24107, 5002, 6, 'Eerdere consultaties');
INSERT INTO `lang_definitions` VALUES (24108, 5003, 6, 'Vorige dag');
INSERT INTO `lang_definitions` VALUES (24109, 5004, 6, 'Vorige Historie/Controles');
INSERT INTO `lang_definitions` VALUES (24110, 5005, 6, 'Vorige maand');
INSERT INTO `lang_definitions` VALUES (24111, 5006, 6, 'Vorige week');
INSERT INTO `lang_definitions` VALUES (24112, 5007, 6, 'Prijs');
INSERT INTO `lang_definitions` VALUES (24113, 5008, 6, 'Korting');
INSERT INTO `lang_definitions` VALUES (24114, 5009, 6, 'Prijsniveau');
INSERT INTO `lang_definitions` VALUES (24115, 5010, 6, 'Prijsniveau:');
INSERT INTO `lang_definitions` VALUES (24116, 5011, 6, 'Bedragen');
INSERT INTO `lang_definitions` VALUES (24117, 5012, 6, 'Primaire');
INSERT INTO `lang_definitions` VALUES (24118, 5013, 6, 'Hoofd Business entiteit');
INSERT INTO `lang_definitions` VALUES (24119, 5014, 6, 'Hoofd BusinessEntiteit Tax ID wordt gebruikt voor NewCrop e-Prescription. Verandering van faciliteit heeft effecten op de werking van Newcrop');
INSERT INTO `lang_definitions` VALUES (24120, 5022, 6, 'Hoofdverz.');
INSERT INTO `lang_definitions` VALUES (24121, 5023, 6, 'Hoofdverzekering');
INSERT INTO `lang_definitions` VALUES (24122, 5024, 6, 'Data van hoofdverzekering');
INSERT INTO `lang_definitions` VALUES (24123, 5025, 6, 'Verstrekker hoofdverzekering');
INSERT INTO `lang_definitions` VALUES (24124, 5026, 6, 'Hoofd behandelaar');
INSERT INTO `lang_definitions` VALUES (24125, 5027, 6, 'Print');
INSERT INTO `lang_definitions` VALUES (24126, 5028, 6, 'Printen (HTML)');
INSERT INTO `lang_definitions` VALUES (24127, 5029, 6, 'Printen (PDF)');
INSERT INTO `lang_definitions` VALUES (24128, 5030, 6, 'Print aanpassingen');
INSERT INTO `lang_definitions` VALUES (24129, 5031, 6, 'Printen keuze Encounter');
INSERT INTO `lang_definitions` VALUES (24130, 5032, 6, 'Druk blanco verwijsbrief af');
INSERT INTO `lang_definitions` VALUES (24131, 5033, 6, 'Commando om te printen');
INSERT INTO `lang_definitions` VALUES (24132, 5034, 6, 'Datum van afdrukken');
INSERT INTO `lang_definitions` VALUES (24133, 5038, 6, 'Hele listing printen');
INSERT INTO `lang_definitions` VALUES (24134, 5039, 6, 'Afdrukformat');
INSERT INTO `lang_definitions` VALUES (24135, 5040, 6, 'Print vier rec. op A4');
INSERT INTO `lang_definitions` VALUES (24136, 5042, 6, 'Boodschap uitprinten');
INSERT INTO `lang_definitions` VALUES (24137, 5043, 6, 'Meerdere recepten afdrukken');
INSERT INTO `lang_definitions` VALUES (24138, 5044, 6, 'Meerdere afdrukken naar fax');
INSERT INTO `lang_definitions` VALUES (24139, 5045, 6, 'Printen van naam, handtekening en datum');
INSERT INTO `lang_definitions` VALUES (24140, 5046, 6, 'Printen notities');
INSERT INTO `lang_definitions` VALUES (24141, 5047, 6, 'Pagina 1 afdrukken');
INSERT INTO `lang_definitions` VALUES (24142, 5048, 6, 'Pagina 2 afdrukken');
INSERT INTO `lang_definitions` VALUES (24143, 5049, 6, 'Patient adres label printen');
INSERT INTO `lang_definitions` VALUES (24144, 5051, 6, 'Print kwitanties per aanbieder');
INSERT INTO `lang_definitions` VALUES (24145, 5052, 6, 'Print Status');
INSERT INTO `lang_definitions` VALUES (24146, 5053, 6, 'Print geselecteerde statements');
INSERT INTO `lang_definitions` VALUES (24147, 5054, 6, 'Print Vacc.verslag');
INSERT INTO `lang_definitions` VALUES (24148, 5056, 6, 'Print deze Encounter');
INSERT INTO `lang_definitions` VALUES (24149, 5057, 6, 'Print deze Notitie');
INSERT INTO `lang_definitions` VALUES (24150, 5058, 6, 'Print deze Notitie');
INSERT INTO `lang_definitions` VALUES (24151, 5060, 6, 'Print naar fax');
INSERT INTO `lang_definitions` VALUES (24152, 5061, 6, 'Print voorbeeld');
INSERT INTO `lang_definitions` VALUES (24153, 5062, 6, 'Afdrukbaar');
INSERT INTO `lang_definitions` VALUES (24154, 5063, 6, 'Afdrukbare versie');
INSERT INTO `lang_definitions` VALUES (24155, 5064, 6, 'Afgedrukt');
INSERT INTO `lang_definitions` VALUES (24156, 5066, 6, 'Afdrukresultaten:');
INSERT INTO `lang_definitions` VALUES (24157, 5067, 6, 'Afdrukken overgeslagen; zie testresultaat in');
INSERT INTO `lang_definitions` VALUES (24158, 5068, 6, 'Afdrukken overgeslagen; zie testresultaat in ');
INSERT INTO `lang_definitions` VALUES (24159, 5069, 6, 'Eerst Auteur');
INSERT INTO `lang_definitions` VALUES (24160, 5070, 6, 'Vorige autorisatie formulieren');
INSERT INTO `lang_definitions` VALUES (24161, 5071, 6, 'Eerder bezoek');
INSERT INTO `lang_definitions` VALUES (24162, 5072, 6, 'Urgentie');
INSERT INTO `lang_definitions` VALUES (24163, 5073, 6, 'Voorkeur ');
INSERT INTO `lang_definitions` VALUES (24164, 5074, 6, 'Prive');
INSERT INTO `lang_definitions` VALUES (24165, 5075, 6, 'Probleem');
INSERT INTO `lang_definitions` VALUES (24166, 5076, 6, 'Probleem lijst');
INSERT INTO `lang_definitions` VALUES (24167, 5077, 6, 'Probleemlijst');
INSERT INTO `lang_definitions` VALUES (24168, 5078, 6, 'Problemen');
INSERT INTO `lang_definitions` VALUES (24169, 5079, 6, 'Problemen/Ziekten');
INSERT INTO `lang_definitions` VALUES (24170, 5080, 6, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (24171, 5081, 6, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (24172, 5082, 6, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (24173, 5083, 6, 'Proc in afwachting van review');
INSERT INTO `lang_definitions` VALUES (24174, 5084, 6, 'Proc prov');
INSERT INTO `lang_definitions` VALUES (24175, 5085, 6, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (24176, 5086, 6, 'Verrichtingen');
INSERT INTO `lang_definitions` VALUES (24177, 5087, 6, 'Verrichtingen op lichaamsdeel');
INSERT INTO `lang_definitions` VALUES (24178, 5088, 6, 'Verrichtingen resultaat Boolean');
INSERT INTO `lang_definitions` VALUES (24179, 5089, 6, 'Verrichtingen Code');
INSERT INTO `lang_definitions` VALUES (24180, 5090, 6, 'Verrichtingen Codes');
INSERT INTO `lang_definitions` VALUES (24181, 5091, 6, 'Verrichtingen Links, rechts, beide');
INSERT INTO `lang_definitions` VALUES (24182, 5092, 6, 'Naam van de Procedure');
INSERT INTO `lang_definitions` VALUES (24183, 5093, 6, 'Verrichtingen aanvraag');
INSERT INTO `lang_definitions` VALUES (24184, 5094, 6, 'Volgorde van de procedure');
INSERT INTO `lang_definitions` VALUES (24185, 5095, 6, 'Verrichtingen aanvraag voor');
INSERT INTO `lang_definitions` VALUES (24186, 5096, 6, 'Verzoek om procedure niet gevonden');
INSERT INTO `lang_definitions` VALUES (24187, 5097, 6, 'verrichtingen aanvraag en rapporten');
INSERT INTO `lang_definitions` VALUES (24188, 5098, 6, 'Kies menu voor Procedures');
INSERT INTO `lang_definitions` VALUES (24189, 5099, 6, 'Verstrekker van Procedure');
INSERT INTO `lang_definitions` VALUES (24190, 5100, 6, 'Verstrekker van Procedure');
INSERT INTO `lang_definitions` VALUES (24191, 5101, 6, 'Verstrekkers van Procedure');
INSERT INTO `lang_definitions` VALUES (24192, 5102, 6, 'Rapport verrichtingen');
INSERT INTO `lang_definitions` VALUES (24193, 5103, 6, 'Verrichtingen verslag status');
INSERT INTO `lang_definitions` VALUES (24194, 5104, 6, 'Uitslag verrichting afwijkend');
INSERT INTO `lang_definitions` VALUES (24195, 5105, 6, 'Uitslag verrichting status');
INSERT INTO `lang_definitions` VALUES (24196, 5106, 6, 'Resultaat verrichting');
INSERT INTO `lang_definitions` VALUES (24197, 5107, 6, 'Verrichting Routes');
INSERT INTO `lang_definitions` VALUES (24198, 5108, 6, 'Verrichting Specimen type');
INSERT INTO `lang_definitions` VALUES (24199, 5109, 6, 'Statistisch Rapport verrichtingen');
INSERT INTO `lang_definitions` VALUES (24200, 5110, 6, 'Verrichtingen Type');
INSERT INTO `lang_definitions` VALUES (24201, 5111, 6, 'Verrichtingen Types');
INSERT INTO `lang_definitions` VALUES (24202, 5112, 6, 'Verrichtingen eenheid');
INSERT INTO `lang_definitions` VALUES (24203, 5113, 6, 'Procedure/Service');
INSERT INTO `lang_definitions` VALUES (24204, 5114, 6, 'Verrichtingen');
INSERT INTO `lang_definitions` VALUES (24205, 5115, 6, 'Verwerken');
INSERT INTO `lang_definitions` VALUES (24206, 5116, 6, 'Herinneringen verwerken en versturen');
INSERT INTO `lang_definitions` VALUES (24207, 5117, 6, 'Verwerk ERA bestand');
INSERT INTO `lang_definitions` VALUES (24208, 5118, 6, 'Verwerk nieuwe files voor CSV gegevens');
INSERT INTO `lang_definitions` VALUES (24209, 5119, 6, 'Proces herinneringen');
INSERT INTO `lang_definitions` VALUES (24210, 5120, 6, 'Proces neemt enige tijd');
INSERT INTO `lang_definitions` VALUES (24211, 5121, 6, 'Verwerkt');
INSERT INTO `lang_definitions` VALUES (24212, 5122, 6, 'Verwerkt door');
INSERT INTO `lang_definitions` VALUES (24213, 5123, 6, 'Verwerkings datum');
INSERT INTO `lang_definitions` VALUES (24214, 5124, 6, 'Succesvol verwerkt');
INSERT INTO `lang_definitions` VALUES (24215, 5125, 6, 'Verwerking');
INSERT INTO `lang_definitions` VALUES (24216, 5126, 6, 'Patient herinneringen verwerken en versturen');
INSERT INTO `lang_definitions` VALUES (24217, 5127, 6, 'Patient herinneringen verwerken');
INSERT INTO `lang_definitions` VALUES (24218, 5128, 6, 'verwerkings tijd');
INSERT INTO `lang_definitions` VALUES (24219, 5129, 6, 'Product');
INSERT INTO `lang_definitions` VALUES (24220, 5130, 6, 'Anticonceptie Methode');
INSERT INTO `lang_definitions` VALUES (24221, 5131, 6, 'Productie');
INSERT INTO `lang_definitions` VALUES (24222, 5132, 6, 'Producten');
INSERT INTO `lang_definitions` VALUES (24223, 5133, 6, 'Producten, maar geen medicijnen op voorschrift en geen templates');
INSERT INTO `lang_definitions` VALUES (24224, 5134, 6, 'Prof.');
INSERT INTO `lang_definitions` VALUES (24225, 5135, 6, 'Voortgangs notities');
INSERT INTO `lang_definitions` VALUES (24226, 5136, 6, 'Prostaatkanker');
INSERT INTO `lang_definitions` VALUES (24227, 5137, 6, 'Prostaat examen');
INSERT INTO `lang_definitions` VALUES (24228, 5138, 6, 'Prostaatonderzoek');
INSERT INTO `lang_definitions` VALUES (24229, 5139, 6, 'Prostaatproblemen');
INSERT INTO `lang_definitions` VALUES (24230, 5140, 6, 'Prostaat met/of vergroting, knobbels, gevoelig');
INSERT INTO `lang_definitions` VALUES (24231, 5141, 6, 'Protocol');
INSERT INTO `lang_definitions` VALUES (24232, 5142, 6, 'Absolute pad aangeven');
INSERT INTO `lang_definitions` VALUES (24233, 5143, 6, 'Absolute pad van File aangeven');
INSERT INTO `lang_definitions` VALUES (24234, 5145, 6, 'Geef klinische samnevatting van ieder praktijk bezoek');
INSERT INTO `lang_definitions` VALUES (24235, 5146, 6, 'Geef patienten een lectronische copie vanhet gezondheids info (Met diagnostische test resultaten, probleem lijst, medicijn lijst , medicatie allergie) op verzoek.');
INSERT INTO `lang_definitions` VALUES (24236, 5147, 6, 'Voorzie patienten met een tijdig electronische toegang tot hun gezondheids informatie (met lab testen, probleemlijst, medicatie lijst, aleergie voor medicijnen) binnen vier werkdagen vanaf de informatie voor het EP beschikbaar komt.');
INSERT INTO `lang_definitions` VALUES (24237, 5148, 6, 'Geef status aan de patient voor bezoek');
INSERT INTO `lang_definitions` VALUES (24238, 5149, 6, 'Geef een bestaand e-mail adres');
INSERT INTO `lang_definitions` VALUES (24239, 5150, 6, 'Klinische samenvatting(en) geven?');
INSERT INTO `lang_definitions` VALUES (24240, 5151, 6, 'Verstrek voorlichting bron(nen)?');
INSERT INTO `lang_definitions` VALUES (24241, 5152, 6, 'Behandelaar');
INSERT INTO `lang_definitions` VALUES (24242, 5153, 6, 'Behandelaar Id');
INSERT INTO `lang_definitions` VALUES (24243, 5154, 6, 'Behandelaar Id');
INSERT INTO `lang_definitions` VALUES (24244, 5155, 6, 'Behandelaar Id bij gespecificeerde Faciliteit');
INSERT INTO `lang_definitions` VALUES (24245, 5156, 6, 'Behandelaar Matching fouten');
INSERT INTO `lang_definitions` VALUES (24246, 5159, 6, 'Nummer van behandelaar');
INSERT INTO `lang_definitions` VALUES (24247, 5160, 6, 'Relatie tot behandelaar');
INSERT INTO `lang_definitions` VALUES (24248, 5162, 6, 'Behandelaar:');
INSERT INTO `lang_definitions` VALUES (24249, 5163, 6, 'Behandelaars');
INSERT INTO `lang_definitions` VALUES (24250, 5164, 6, 'Behandelaar\'s NPI');
INSERT INTO `lang_definitions` VALUES (24251, 5165, 6, 'Zorgverleners zien de hele Kalender');
INSERT INTO `lang_definitions` VALUES (24252, 5166, 6, 'Beh.');
INSERT INTO `lang_definitions` VALUES (24253, 5167, 6, 'PSA');
INSERT INTO `lang_definitions` VALUES (24254, 5168, 6, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (24255, 5169, 6, 'Psychische diagnose');
INSERT INTO `lang_definitions` VALUES (24256, 5170, 6, 'Psychische medicatie');
INSERT INTO `lang_definitions` VALUES (24257, 5171, 6, 'Psychisch');
INSERT INTO `lang_definitions` VALUES (24258, 5172, 6, 'Psychische brief');
INSERT INTO `lang_definitions` VALUES (24259, 5173, 6, 'Psychische diagnose');
INSERT INTO `lang_definitions` VALUES (24260, 5174, 6, 'Psychisch onderzoek');
INSERT INTO `lang_definitions` VALUES (24261, 5175, 6, 'Psychische historie');
INSERT INTO `lang_definitions` VALUES (24262, 5176, 6, 'Psychische intake');
INSERT INTO `lang_definitions` VALUES (24263, 5177, 6, 'Psychische medicatie');
INSERT INTO `lang_definitions` VALUES (24264, 5178, 6, 'Pt %');
INSERT INTO `lang_definitions` VALUES (24265, 5179, 6, 'Pt.notitie');
INSERT INTO `lang_definitions` VALUES (24266, 5180, 6, 'Pt.notitie/autor.');
INSERT INTO `lang_definitions` VALUES (24267, 5181, 6, 'Pt.teveel');
INSERT INTO `lang_definitions` VALUES (24268, 5182, 6, 'Pt.betaald');
INSERT INTO `lang_definitions` VALUES (24269, 5183, 6, 'Pt verzoekt statusinfo');
INSERT INTO `lang_definitions` VALUES (24270, 5184, 6, 'Pt.restitutie');
INSERT INTO `lang_definitions` VALUES (24271, 5185, 6, 'Pt.ontslagen');
INSERT INTO `lang_definitions` VALUES (24272, 5186, 6, 'Rapport van patient');
INSERT INTO `lang_definitions` VALUES (24273, 5187, 6, 'PT Student, of leeg laten');
INSERT INTO `lang_definitions` VALUES (24274, 5188, 6, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (24275, 5189, 6, 'PT_GEB');
INSERT INTO `lang_definitions` VALUES (24276, 5190, 6, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (24277, 5191, 6, 'PT_VNAAM');
INSERT INTO `lang_definitions` VALUES (24278, 5192, 6, 'PT_ANAAM');
INSERT INTO `lang_definitions` VALUES (24279, 5193, 6, 'PT_MNAAM');
INSERT INTO `lang_definitions` VALUES (24280, 5194, 6, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (24281, 5195, 6, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (24282, 5196, 6, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (24283, 5197, 6, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (24284, 5198, 6, 'PT_STAAT');
INSERT INTO `lang_definitions` VALUES (24285, 5199, 6, 'PT_STRAAT');
INSERT INTO `lang_definitions` VALUES (24286, 5201, 6, 'Openbaar');
INSERT INTO `lang_definitions` VALUES (24287, 5203, 6, 'Public health Service (PHS) of andere overheids instantie');
INSERT INTO `lang_definitions` VALUES (24288, 5204, 6, 'Puertoricaans');
INSERT INTO `lang_definitions` VALUES (24289, 5205, 6, 'Pulmonale');
INSERT INTO `lang_definitions` VALUES (24290, 5206, 6, 'Pols');
INSERT INTO `lang_definitions` VALUES (24291, 5207, 6, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (24292, 5208, 6, 'Aankoop');
INSERT INTO `lang_definitions` VALUES (24293, 5209, 6, 'Kopen/Retourneren');
INSERT INTO `lang_definitions` VALUES (24294, 5210, 6, 'Aankopen');
INSERT INTO `lang_definitions` VALUES (24295, 5211, 6, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (24296, 5212, 6, 'Pali');
INSERT INTO `lang_definitions` VALUES (24297, 5213, 6, 'iedere 3 uur');
INSERT INTO `lang_definitions` VALUES (24298, 5214, 6, 'iedere 4 uur');
INSERT INTO `lang_definitions` VALUES (24299, 5215, 6, 'iedere 5 uur');
INSERT INTO `lang_definitions` VALUES (24300, 5216, 6, 'iedere 6 uur');
INSERT INTO `lang_definitions` VALUES (24301, 5217, 6, 'iedere 8 uur');
INSERT INTO `lang_definitions` VALUES (24302, 5218, 6, 'qd');
INSERT INTO `lang_definitions` VALUES (24303, 5219, 6, 'qid');
INSERT INTO `lang_definitions` VALUES (24304, 5220, 6, 'QOH');
INSERT INTO `lang_definitions` VALUES (24305, 5221, 6, 'QOH is minder dan maandelijks gebruik');
INSERT INTO `lang_definitions` VALUES (24306, 5222, 6, 'Aant');
INSERT INTO `lang_definitions` VALUES (24307, 5223, 6, 'KWT');
INSERT INTO `lang_definitions` VALUES (24308, 5224, 6, 'Kwaliteit');
INSERT INTO `lang_definitions` VALUES (24309, 5225, 6, 'Qualiteit Metingen');
INSERT INTO `lang_definitions` VALUES (24310, 5226, 6, 'Hoeveelheid');
INSERT INTO `lang_definitions` VALUES (24311, 5227, 6, 'Hoeveelheid voor NDC');
INSERT INTO `lang_definitions` VALUES (24312, 5228, 6, 'Hoeveelheid ter beschikking');
INSERT INTO `lang_definitions` VALUES (24313, 5229, 6, 'hoeveelheid lijkt onbruikbaar');
INSERT INTO `lang_definitions` VALUES (24314, 5230, 6, 'Quechua');
INSERT INTO `lang_definitions` VALUES (24315, 5231, 6, 'Vraagteken');
INSERT INTO `lang_definitions` VALUES (24316, 5232, 6, 'Wachtrij voor HCFA batch-verwerking');
INSERT INTO `lang_definitions` VALUES (24317, 5233, 6, 'Wachtrij voor HCFA batch-verwerking en afdrukken');
INSERT INTO `lang_definitions` VALUES (24318, 5234, 6, 'Wachtrij voor de UB-92 batch-verwerking');
INSERT INTO `lang_definitions` VALUES (24319, 5235, 6, 'Wachtrij voor de UB-92 batch-verwerking en afdrukken');
INSERT INTO `lang_definitions` VALUES (24320, 5236, 6, 'In wachtrij');
INSERT INTO `lang_definitions` VALUES (24321, 5237, 6, 'Evenementen administratie in wachtrij');
INSERT INTO `lang_definitions` VALUES (24322, 5238, 6, 'Wachtrij voor');
INSERT INTO `lang_definitions` VALUES (24323, 5240, 6, 'In wachtrij voor toezending aan administratie');
INSERT INTO `lang_definitions` VALUES (24324, 5241, 6, 'Stoppen');
INSERT INTO `lang_definitions` VALUES (24325, 5242, 6, 'Stoppen met Alcohol');
INSERT INTO `lang_definitions` VALUES (24326, 5243, 6, 'R');
INSERT INTO `lang_definitions` VALUES (24327, 5244, 6, 'RA voor Patient, Ecounter of Tracen');
INSERT INTO `lang_definitions` VALUES (24328, 5245, 6, 'Ras');
INSERT INTO `lang_definitions` VALUES (24329, 5246, 6, 'Ras en Etniciteit');
INSERT INTO `lang_definitions` VALUES (24330, 5247, 6, 'Roots/Etnische achtergrond');
INSERT INTO `lang_definitions` VALUES (24331, 5248, 6, 'Radio');
INSERT INTO `lang_definitions` VALUES (24332, 5249, 6, 'Radio knoppen');
INSERT INTO `lang_definitions` VALUES (24333, 5251, 6, 'Bereik');
INSERT INTO `lang_definitions` VALUES (24334, 5252, 6, 'Huiduitslag');
INSERT INTO `lang_definitions` VALUES (24335, 5253, 6, 'Tarief');
INSERT INTO `lang_definitions` VALUES (24336, 5254, 6, 'Verhouding');
INSERT INTO `lang_definitions` VALUES (24337, 5255, 6, 'Voorlopig rapport');
INSERT INTO `lang_definitions` VALUES (24338, 5256, 6, 'Re-Identificatie');
INSERT INTO `lang_definitions` VALUES (24339, 5257, 6, 'Re-Identificatie proces is afgerond');
INSERT INTO `lang_definitions` VALUES (24340, 5258, 6, 'Re-Identificatie proces is nog aan de gang');
INSERT INTO `lang_definitions` VALUES (24341, 5259, 6, 'Re-Identificatie files worden bewaar in');
INSERT INTO `lang_definitions` VALUES (24342, 5260, 6, 'Reeds eerder opgelopen kwetsuur?');
INSERT INTO `lang_definitions` VALUES (24343, 5261, 6, 'Opnieuw openen');
INSERT INTO `lang_definitions` VALUES (24344, 5262, 6, 'Heropend');
INSERT INTO `lang_definitions` VALUES (24345, 5263, 6, 'Reactie');
INSERT INTO `lang_definitions` VALUES (24346, 5264, 6, 'Reacties');
INSERT INTO `lang_definitions` VALUES (24347, 5265, 6, 'Lezen');
INSERT INTO `lang_definitions` VALUES (24348, 5267, 6, 'Alleen uitlezen van Historie');
INSERT INTO `lang_definitions` VALUES (24349, 5268, 6, 'Echte naam');
INSERT INTO `lang_definitions` VALUES (24350, 5269, 6, 'Echt verwijderen');
INSERT INTO `lang_definitions` VALUES (24351, 5270, 6, 'Reden');
INSERT INTO `lang_definitions` VALUES (24352, 5271, 6, 'Reden van overlijden');
INSERT INTO `lang_definitions` VALUES (24353, 5272, 6, 'Reden van sterven');
INSERT INTO `lang_definitions` VALUES (24354, 5274, 6, 'Reden verwijzing');
INSERT INTO `lang_definitions` VALUES (24355, 5275, 6, 'Reden van bezoek');
INSERT INTO `lang_definitions` VALUES (24356, 5276, 6, 'Reden/Form');
INSERT INTO `lang_definitions` VALUES (24357, 5277, 6, 'Recu');
INSERT INTO `lang_definitions` VALUES (24358, 5278, 6, 'Betalingsbewijs');
INSERT INTO `lang_definitions` VALUES (24359, 5279, 6, 'Recu aangemaakt');
INSERT INTO `lang_definitions` VALUES (24360, 5280, 6, 'Wijze van betaling');
INSERT INTO `lang_definitions` VALUES (24361, 5281, 6, 'Samenvatting ontvangstbewijzen');
INSERT INTO `lang_definitions` VALUES (24362, 5282, 6, 'Ontvangen');
INSERT INTO `lang_definitions` VALUES (24363, 5283, 6, 'Ontvangen door');
INSERT INTO `lang_definitions` VALUES (24364, 5284, 6, 'Ontvangen faxen');
INSERT INTO `lang_definitions` VALUES (24365, 5285, 6, 'Ontvangen, niet gecontroleerd');
INSERT INTO `lang_definitions` VALUES (24366, 5286, 6, 'Ontvangen, niet gecontroleerd');
INSERT INTO `lang_definitions` VALUES (24367, 5287, 6, 'Ontvanger');
INSERT INTO `lang_definitions` VALUES (24368, 5288, 6, 'ID van ontvanger');
INSERT INTO `lang_definitions` VALUES (24369, 5289, 6, 'ID (ISA08) ontvanger');
INSERT INTO `lang_definitions` VALUES (24370, 5290, 6, 'ID Qualifier (ISA07) ontvanger');
INSERT INTO `lang_definitions` VALUES (24371, 5291, 6, 'ID van ontvanger');
INSERT INTO `lang_definitions` VALUES (24372, 5292, 6, 'Recente laatste drie paswoorden niet mogelijk.');
INSERT INTO `lang_definitions` VALUES (24373, 5293, 6, 'Ontvanger');
INSERT INTO `lang_definitions` VALUES (24374, 5294, 6, 'Ontvangers lijst is leeg');
INSERT INTO `lang_definitions` VALUES (24375, 5295, 6, 'Naam van ontvanger');
INSERT INTO `lang_definitions` VALUES (24376, 5296, 6, 'Ontvanger van vermelding');
INSERT INTO `lang_definitions` VALUES (24377, 5297, 6, 'Onvanger verplicht tenzij als afgedaan aangegeven');
INSERT INTO `lang_definitions` VALUES (24378, 5298, 6, 'Aanbeveling');
INSERT INTO `lang_definitions` VALUES (24379, 5299, 6, 'Follow-up aanbevolen');
INSERT INTO `lang_definitions` VALUES (24380, 5300, 6, 'Aanbevelingen');
INSERT INTO `lang_definitions` VALUES (24381, 5301, 6, 'Aanbevelingen en behandeling');
INSERT INTO `lang_definitions` VALUES (24382, 5302, 6, 'Aanbevelingen door specialist');
INSERT INTO `lang_definitions` VALUES (24383, 5303, 6, 'Vastleggen/Status');
INSERT INTO `lang_definitions` VALUES (24384, 5304, 6, 'Status bestaat reeds');
INSERT INTO `lang_definitions` VALUES (24385, 5310, 6, 'Veranderingen in status en vital signs');
INSERT INTO `lang_definitions` VALUES (24386, 5311, 6, 'Opslaan van demografische gegevens');
INSERT INTO `lang_definitions` VALUES (24387, 5312, 6, 'Vastleggen vermelding');
INSERT INTO `lang_definitions` VALUES (24388, 5313, 6, 'Vastleggen van conditie');
INSERT INTO `lang_definitions` VALUES (24389, 5314, 6, 'Betaling vastleggen');
INSERT INTO `lang_definitions` VALUES (24390, 5315, 6, 'Vastleggen verzoek datum');
INSERT INTO `lang_definitions` VALUES (24391, 5316, 6, 'Leg rook gewoonten voor patienten 13 jaar en ouder vast');
INSERT INTO `lang_definitions` VALUES (24392, 5317, 6, 'Statussen');
INSERT INTO `lang_definitions` VALUES (24393, 5318, 6, 'gegevens gevonden');
INSERT INTO `lang_definitions` VALUES (24394, 5319, 6, 'gegevens gevonden.');
INSERT INTO `lang_definitions` VALUES (24395, 5320, 6, 'Recreational drugs gebruik');
INSERT INTO `lang_definitions` VALUES (24396, 5321, 6, 'Recreatie drugs');
INSERT INTO `lang_definitions` VALUES (24397, 5322, 6, 'Rectaal');
INSERT INTO `lang_definitions` VALUES (24398, 5323, 6, 'Rectaalonderzoek');
INSERT INTO `lang_definitions` VALUES (24399, 5324, 6, 'rectaal');
INSERT INTO `lang_definitions` VALUES (24400, 5325, 6, 'Redirection');
INSERT INTO `lang_definitions` VALUES (24401, 5326, 6, 'Roodheid');
INSERT INTO `lang_definitions` VALUES (24402, 5327, 6, 'vermindert:');
INSERT INTO `lang_definitions` VALUES (24403, 5328, 6, 'Verwijzen');
INSERT INTO `lang_definitions` VALUES (24404, 5329, 6, 'Verwijzing door');
INSERT INTO `lang_definitions` VALUES (24405, 5330, 6, 'Datum verwijzing');
INSERT INTO `lang_definitions` VALUES (24406, 5331, 6, 'Verwijs naar');
INSERT INTO `lang_definitions` VALUES (24407, 5332, 6, 'Classificatie verwijzing (urgentie-niveau)');
INSERT INTO `lang_definitions` VALUES (24408, 5333, 6, 'Referentie gebied voor resultaten');
INSERT INTO `lang_definitions` VALUES (24409, 5334, 6, 'Reden verwijzing');
INSERT INTO `lang_definitions` VALUES (24410, 5335, 6, 'Verwijzer');
INSERT INTO `lang_definitions` VALUES (24411, 5336, 6, 'Naam en handtekening verwijzer');
INSERT INTO `lang_definitions` VALUES (24412, 5337, 6, 'Verwijzing');
INSERT INTO `lang_definitions` VALUES (24413, 5338, 6, 'Verwijzing door');
INSERT INTO `lang_definitions` VALUES (24414, 5339, 6, 'Verwijskaart');
INSERT INTO `lang_definitions` VALUES (24415, 5340, 6, 'Verwijsdatum');
INSERT INTO `lang_definitions` VALUES (24416, 5341, 6, 'Verwijsbrief');
INSERT INTO `lang_definitions` VALUES (24417, 5342, 6, 'Verwijzing');
INSERT INTO `lang_definitions` VALUES (24418, 5343, 6, 'ID voor verwijzing');
INSERT INTO `lang_definitions` VALUES (24419, 5345, 6, 'Bron aanmelding');
INSERT INTO `lang_definitions` VALUES (24420, 5346, 6, 'Oorsprong van verwijzing voor Encounters');
INSERT INTO `lang_definitions` VALUES (24421, 5347, 6, 'Verwijzing naar');
INSERT INTO `lang_definitions` VALUES (24422, 5348, 6, 'Verwijzingen');
INSERT INTO `lang_definitions` VALUES (24423, 5349, 6, 'Overzicht verwijzingen');
INSERT INTO `lang_definitions` VALUES (24424, 5350, 6, 'Verwezen door');
INSERT INTO `lang_definitions` VALUES (24425, 5351, 6, 'Verwezen door');
INSERT INTO `lang_definitions` VALUES (24426, 5352, 6, 'Verwezen naar');
INSERT INTO `lang_definitions` VALUES (24427, 5353, 6, 'Verwijzer');
INSERT INTO `lang_definitions` VALUES (24428, 5354, 6, 'Adres van verwijzer');
INSERT INTO `lang_definitions` VALUES (24429, 5355, 6, 'Diagnose van verwijzer');
INSERT INTO `lang_definitions` VALUES (24430, 5356, 6, 'Diagnose van verwijzer');
INSERT INTO `lang_definitions` VALUES (24431, 5357, 6, 'Dokter en praktijkgegevens van verwijzer');
INSERT INTO `lang_definitions` VALUES (24432, 5358, 6, 'Verwijzende behandelaar');
INSERT INTO `lang_definitions` VALUES (24433, 5359, 6, 'Herhaling');
INSERT INTO `lang_definitions` VALUES (24434, 5360, 6, 'Herhalingen');
INSERT INTO `lang_definitions` VALUES (24435, 5361, 6, 'herhalingen');
INSERT INTO `lang_definitions` VALUES (24436, 5362, 6, 'Normale reflexen');
INSERT INTO `lang_definitions` VALUES (24437, 5363, 6, 'Vernieuwen');
INSERT INTO `lang_definitions` VALUES (24438, 5365, 6, 'Verversen herinnerings oproepen');
INSERT INTO `lang_definitions` VALUES (24439, 5368, 6, 'Geweigerd verklaring af te leggen');
INSERT INTO `lang_definitions` VALUES (24440, 5369, 6, 'reg_re');
INSERT INTO `lang_definitions` VALUES (24441, 5370, 6, 'registreren');
INSERT INTO `lang_definitions` VALUES (24442, 5371, 6, 'Register');
INSERT INTO `lang_definitions` VALUES (24443, 5372, 6, 'Geregistreerd');
INSERT INTO `lang_definitions` VALUES (24444, 5373, 6, 'geregistreerd');
INSERT INTO `lang_definitions` VALUES (24445, 5374, 6, 'Geregistreerde Modules');
INSERT INTO `lang_definitions` VALUES (24446, 5375, 6, 'Registratiedatum');
INSERT INTO `lang_definitions` VALUES (24447, 5376, 6, 'Registratieformulier');
INSERT INTO `lang_definitions` VALUES (24448, 5377, 6, 'Herstel');
INSERT INTO `lang_definitions` VALUES (24449, 5379, 6, 'Niet geaccepteerd');
INSERT INTO `lang_definitions` VALUES (24450, 5380, 6, 'Kans om opnieuw op te spelen');
INSERT INTO `lang_definitions` VALUES (24451, 5381, 6, 'Gerelateerd aan');
INSERT INTO `lang_definitions` VALUES (24452, 5382, 6, 'Gerelateerd');
INSERT INTO `lang_definitions` VALUES (24453, 5383, 6, 'Gerelateerde Issue');
INSERT INTO `lang_definitions` VALUES (24454, 5384, 6, 'Pateint notities die gerelateerd zijn');
INSERT INTO `lang_definitions` VALUES (24455, 5385, 6, 'Relatie(s)/Kinderen');
INSERT INTO `lang_definitions` VALUES (24456, 5386, 6, 'Relaties');
INSERT INTO `lang_definitions` VALUES (24457, 5387, 6, 'Relatie');
INSERT INTO `lang_definitions` VALUES (24458, 5388, 6, 'Relatieve bestelling van deze entiteit');
INSERT INTO `lang_definitions` VALUES (24459, 5389, 6, 'Verwanten');
INSERT INTO `lang_definitions` VALUES (24460, 5390, 6, 'Bloeddruk van verwanten');
INSERT INTO `lang_definitions` VALUES (24461, 5391, 6, 'Kanker bij verwanten');
INSERT INTO `lang_definitions` VALUES (24462, 5392, 6, 'Diabetes bij verwanten');
INSERT INTO `lang_definitions` VALUES (24463, 5393, 6, 'Epilepsie bij verwanten');
INSERT INTO `lang_definitions` VALUES (24464, 5394, 6, 'Hart problemen bij verwanten');
INSERT INTO `lang_definitions` VALUES (24465, 5395, 6, 'Geestes ziekten bij verwanten');
INSERT INTO `lang_definitions` VALUES (24466, 5396, 6, 'CVA bij verwanten');
INSERT INTO `lang_definitions` VALUES (24467, 5397, 6, 'Zelfmoord bij verwanten');
INSERT INTO `lang_definitions` VALUES (24468, 5398, 6, 'Tuberculose bij verwanten');
INSERT INTO `lang_definitions` VALUES (24469, 5399, 6, 'Relay Health Credentials ontbreken voor deze gebruikersaccount.');
INSERT INTO `lang_definitions` VALUES (24470, 5400, 6, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (24471, 5402, 6, 'Datum uitgave');
INSERT INTO `lang_definitions` VALUES (24472, 5403, 6, 'Religie');
INSERT INTO `lang_definitions` VALUES (24473, 5406, 6, 'Opnieuw inloggen');
INSERT INTO `lang_definitions` VALUES (24474, 5407, 6, 'Remdr');
INSERT INTO `lang_definitions` VALUES (24475, 5408, 6, 'Geselecteerde Faciliteit onthouden');
INSERT INTO `lang_definitions` VALUES (24476, 5409, 6, 'Herinnering');
INSERT INTO `lang_definitions` VALUES (24477, 5410, 6, 'Tijdval voor herinnering');
INSERT INTO `lang_definitions` VALUES (24478, 5411, 6, 'Nog geen reminder verzonden');
INSERT INTO `lang_definitions` VALUES (24479, 5412, 6, 'Reminder verzonden op');
INSERT INTO `lang_definitions` VALUES (24480, 5413, 6, 'Reminders verversen');
INSERT INTO `lang_definitions` VALUES (24481, 5414, 6, 'Overmaken naar');
INSERT INTO `lang_definitions` VALUES (24482, 5415, 6, 'Remote host');
INSERT INTO `lang_definitions` VALUES (24483, 5416, 6, 'Verwijderen');
INSERT INTO `lang_definitions` VALUES (24484, 5419, 6, 'Groep verwijderen');
INSERT INTO `lang_definitions` VALUES (24485, 5420, 6, 'Groepsformulier verwijderen');
INSERT INTO `lang_definitions` VALUES (24486, 5421, 6, 'Verwijder ondersteuning voor vaccinaties');
INSERT INTO `lang_definitions` VALUES (24487, 5422, 6, 'Verwijder ondersteuning voor phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (24488, 5423, 6, 'Verwijder ondersteuning voor recepten');
INSERT INTO `lang_definitions` VALUES (24489, 5425, 6, 'Verwijder de ondersteuning voor Status volgen');
INSERT INTO `lang_definitions` VALUES (24490, 5426, 6, 'Nierstenen');
INSERT INTO `lang_definitions` VALUES (24491, 5427, 6, 'Naam aanpassen');
INSERT INTO `lang_definitions` VALUES (24492, 5428, 6, 'Groep hernoemen');
INSERT INTO `lang_definitions` VALUES (24493, 5429, 6, 'Weergavestijl');
INSERT INTO `lang_definitions` VALUES (24494, 5430, 6, 'Weergavestijl behandelaar');
INSERT INTO `lang_definitions` VALUES (24495, 5431, 6, 'Weergavestijl behandelaar nummer');
INSERT INTO `lang_definitions` VALUES (24496, 5432, 6, 'Bijbestellen');
INSERT INTO `lang_definitions` VALUES (24497, 5433, 6, 'Nabestelling bij');
INSERT INTO `lang_definitions` VALUES (24498, 5434, 6, 'Voorraad is laag, bijbestellen');
INSERT INTO `lang_definitions` VALUES (24499, 5435, 6, 'Niveau om bij e besellen, 0 indien niet van toepassing');
INSERT INTO `lang_definitions` VALUES (24500, 5436, 6, 'Rep');
INSERT INTO `lang_definitions` VALUES (24501, 5437, 6, 'Herhaal nieuwe paswoord');
INSERT INTO `lang_definitions` VALUES (24502, 5438, 6, 'Blijft zich herhalen');
INSERT INTO `lang_definitions` VALUES (24503, 5439, 6, 'Terugkerende Info:');
INSERT INTO `lang_definitions` VALUES (24504, 5440, 6, 'Herhalingen');
INSERT INTO `lang_definitions` VALUES (24505, 5441, 6, 'Vervangen');
INSERT INTO `lang_definitions` VALUES (24506, 5442, 6, 'Totale Code-set vervangen');
INSERT INTO `lang_definitions` VALUES (24507, 5443, 6, 'vervangen');
INSERT INTO `lang_definitions` VALUES (24508, 5444, 6, 'Antwoord datum');
INSERT INTO `lang_definitions` VALUES (24509, 5445, 6, 'Antwoord van');
INSERT INTO `lang_definitions` VALUES (24510, 5446, 6, 'Overzicht');
INSERT INTO `lang_definitions` VALUES (24511, 5447, 6, 'Rapport-Klinisch');
INSERT INTO `lang_definitions` VALUES (24512, 5449, 6, 'Rapportage door');
INSERT INTO `lang_definitions` VALUES (24513, 5451, 6, 'Verslag einde (Relinquished Care Date)');
INSERT INTO `lang_definitions` VALUES (24514, 5452, 6, 'Rapport is verzonden aan de patient');
INSERT INTO `lang_definitions` VALUES (24515, 5453, 6, 'Rapporteren Geschiedenis/Resultaten');
INSERT INTO `lang_definitions` VALUES (24516, 5454, 6, 'Resultaten rapporteren');
INSERT INTO `lang_definitions` VALUES (24517, 5455, 6, 'Rapporteren Resultaten/Geschiedenis');
INSERT INTO `lang_definitions` VALUES (24518, 5456, 6, 'Begin rapport (Veronderstelde Care datum)');
INSERT INTO `lang_definitions` VALUES (24519, 5457, 6, 'Rapport door');
INSERT INTO `lang_definitions` VALUES (24520, 5458, 6, 'Totalen rapport');
INSERT INTO `lang_definitions` VALUES (24521, 5459, 6, 'Rapport/Formulier');
INSERT INTO `lang_definitions` VALUES (24522, 5460, 6, 'Moet gerapporteerd worden');
INSERT INTO `lang_definitions` VALUES (24523, 5461, 6, 'Gerapporteerd');
INSERT INTO `lang_definitions` VALUES (24524, 5462, 6, 'Datum vastlegging');
INSERT INTO `lang_definitions` VALUES (24525, 5463, 6, 'Overzichten');
INSERT INTO `lang_definitions` VALUES (24526, 5465, 6, 'Omschrijvings verzoek');
INSERT INTO `lang_definitions` VALUES (24527, 5466, 6, 'ID van verzoek is niet beschikbaar!');
INSERT INTO `lang_definitions` VALUES (24528, 5467, 6, 'Verzoek genegeerd - schade afhandeling wordt al uitgevoerd!');
INSERT INTO `lang_definitions` VALUES (24529, 5469, 6, 'Verzoek status');
INSERT INTO `lang_definitions` VALUES (24530, 5470, 6, 'Verzoek type');
INSERT INTO `lang_definitions` VALUES (24531, 5471, 6, 'Verzoek type niet geactiveerd');
INSERT INTO `lang_definitions` VALUES (24532, 5472, 6, 'Verzocht door');
INSERT INTO `lang_definitions` VALUES (24533, 5473, 6, 'Verzoek datum');
INSERT INTO `lang_definitions` VALUES (24534, 5474, 6, 'Aangevraagde Service');
INSERT INTO `lang_definitions` VALUES (24535, 5475, 6, 'Sterk Paswoord noodzakelijk');
INSERT INTO `lang_definitions` VALUES (24536, 5476, 6, 'Uniek paswoord noodzakelijk');
INSERT INTO `lang_definitions` VALUES (24537, 5477, 6, 'Verplicht');
INSERT INTO `lang_definitions` VALUES (24538, 5478, 6, 'Verplichte bijbetaling');
INSERT INTO `lang_definitions` VALUES (24539, 5479, 6, 'Noodzakelijk Veld afwezig; kies de EDI-file voor uploaden');
INSERT INTO `lang_definitions` VALUES (24540, 5480, 6, 'Noodzakelijk veld afwezig; Voornaam invullen');
INSERT INTO `lang_definitions` VALUES (24541, 5481, 6, 'Noodzakelijk veld afwezig: Achternaam invullen');
INSERT INTO `lang_definitions` VALUES (24542, 5482, 6, 'Noodzakelijk veld afwezig: Usernaam invullen');
INSERT INTO `lang_definitions` VALUES (24543, 5483, 6, 'Verplichtte velden');
INSERT INTO `lang_definitions` VALUES (24544, 5484, 6, 'Vastgelegde vereiste');
INSERT INTO `lang_definitions` VALUES (24545, 5485, 6, 'GERESERVEERD');
INSERT INTO `lang_definitions` VALUES (24546, 5486, 6, 'Gereserveerd');
INSERT INTO `lang_definitions` VALUES (24547, 5487, 6, 'Gereserveerd voor vakantie');
INSERT INTO `lang_definitions` VALUES (24548, 5488, 6, 'Gereserveerd om voor behandelaar vast te leggen als er geen afspraken meer daarna gemaakt kunnen worden.');
INSERT INTO `lang_definitions` VALUES (24549, 5489, 6, 'Gereserveerd om vast te leggen dat gebeurtenis niet als verwacht gebeurde.');
INSERT INTO `lang_definitions` VALUES (24550, 5490, 6, 'Gereserveerd voor de behandelaar indien er nog afspraken erna gemaakt kunnen worden.');
INSERT INTO `lang_definitions` VALUES (24551, 5491, 6, 'Resetten');
INSERT INTO `lang_definitions` VALUES (24552, 5492, 6, 'Reset de Offsite portaal credentials');
INSERT INTO `lang_definitions` VALUES (24553, 5493, 6, 'Reset de onsite crednetials');
INSERT INTO `lang_definitions` VALUES (24554, 5495, 6, 'Resn');
INSERT INTO `lang_definitions` VALUES (24555, 5496, 6, 'Opgelost');
INSERT INTO `lang_definitions` VALUES (24556, 5497, 6, 'Ademhaling');
INSERT INTO `lang_definitions` VALUES (24557, 5498, 6, 'Ademhaling zonder inspanning');
INSERT INTO `lang_definitions` VALUES (24558, 5499, 6, 'Gerelateerd aan ademhaling');
INSERT INTO `lang_definitions` VALUES (24559, 5501, 6, 'Beperk niet geauthoriseerde gebrukers tot Schema Fascilities zoals vastgelegd in Gebruikers Administratie');
INSERT INTO `lang_definitions` VALUES (24560, 5502, 6, 'Beperk Gebruikers tot Faciliteiten');
INSERT INTO `lang_definitions` VALUES (24561, 5503, 6, 'Beperkte training');
INSERT INTO `lang_definitions` VALUES (24562, 5504, 6, 'Resultaten');
INSERT INTO `lang_definitions` VALUES (24563, 5505, 6, 'Naam van resultaat');
INSERT INTO `lang_definitions` VALUES (24564, 5506, 6, 'Resultaat van status');
INSERT INTO `lang_definitions` VALUES (24565, 5507, 6, 'Resultaat van status of abnormaliteit mist');
INSERT INTO `lang_definitions` VALUES (24566, 5508, 6, 'Resultaat, gebruik % als wildcard');
INSERT INTO `lang_definitions` VALUES (24567, 5509, 6, 'Resultaten');
INSERT INTO `lang_definitions` VALUES (24568, 5510, 6, 'Resultaat en');
INSERT INTO `lang_definitions` VALUES (24569, 5511, 6, 'Resultaten gevonden voor zoeken');
INSERT INTO `lang_definitions` VALUES (24570, 5512, 6, 'Groeps resultaat');
INSERT INTO `lang_definitions` VALUES (24571, 5513, 6, 'Alleen resultaten');
INSERT INTO `lang_definitions` VALUES (24572, 5514, 6, 'Path voor resultaten');
INSERT INTO `lang_definitions` VALUES (24573, 5515, 6, 'Resultaten per pagina');
INSERT INTO `lang_definitions` VALUES (24574, 5516, 6, 'Resutaten/details');
INSERT INTO `lang_definitions` VALUES (24575, 5517, 6, 'Onderzoek retina');
INSERT INTO `lang_definitions` VALUES (24576, 5518, 6, 'Ingetrokken rechts:');
INSERT INTO `lang_definitions` VALUES (24577, 5519, 6, 'Geef waarde weer');
INSERT INTO `lang_definitions` VALUES (24578, 5520, 6, 'Stuur bovenste gedeelte terug met uw betaling');
INSERT INTO `lang_definitions` VALUES (24579, 5521, 6, 'Terug naar kalender');
INSERT INTO `lang_definitions` VALUES (24580, 5522, 6, 'Terugkeren naar rapporteren Resultaten');
INSERT INTO `lang_definitions` VALUES (24581, 5523, 6, 'Nu terug naar ICD10 om installatie af te ronden en klik op ICD10 sectie kopje');
INSERT INTO `lang_definitions` VALUES (24582, 5524, 6, 'Nu terug naar ICD9 om installatie af te ronden en klik op ICD9 sectie kopje');
INSERT INTO `lang_definitions` VALUES (24583, 5525, 6, 'Nu terug naar RxNorm om installatie af te ronden en klik op RxNorm sectie kopje');
INSERT INTO `lang_definitions` VALUES (24584, 5526, 6, 'Nu terug naar SNOMED om installatie af te ronden en klik op SNOMED sectie kopje');
INSERT INTO `lang_definitions` VALUES (24585, 5527, 6, 'Resultaat');
INSERT INTO `lang_definitions` VALUES (24586, 5528, 6, 'Herhalingsconsult');
INSERT INTO `lang_definitions` VALUES (24587, 5529, 6, 'Terug om te spelen');
INSERT INTO `lang_definitions` VALUES (24588, 5530, 6, 'Herhaling van vorige drie paswoorden is niet toegstaan!');
INSERT INTO `lang_definitions` VALUES (24589, 5531, 6, 'Review');
INSERT INTO `lang_definitions` VALUES (24590, 5532, 6, 'Review en goedkeuren');
INSERT INTO `lang_definitions` VALUES (24591, 5534, 6, 'Herziening van de PMH:');
INSERT INTO `lang_definitions` VALUES (24592, 5535, 6, 'Alg. syst. onderzoek');
INSERT INTO `lang_definitions` VALUES (24593, 5536, 6, 'Overzicht med. afwijkingen');
INSERT INTO `lang_definitions` VALUES (24594, 5537, 6, 'Doorgenomen');
INSERT INTO `lang_definitions` VALUES (24595, 5538, 6, 'Revisie');
INSERT INTO `lang_definitions` VALUES (24596, 5539, 6, 'Rheumatoide Artritis');
INSERT INTO `lang_definitions` VALUES (24597, 5540, 6, 'Rheumatoide Artritis');
INSERT INTO `lang_definitions` VALUES (24598, 5541, 6, 'Recht');
INSERT INTO `lang_definitions` VALUES (24599, 5542, 6, 'Rechteroor');
INSERT INTO `lang_definitions` VALUES (24600, 5543, 6, 'rechteroor');
INSERT INTO `lang_definitions` VALUES (24601, 5544, 6, 'Rechter kantlijn (mm)');
INSERT INTO `lang_definitions` VALUES (24602, 5545, 6, 'Recht:');
INSERT INTO `lang_definitions` VALUES (24603, 5546, 6, 'Fluittoon in oren');
INSERT INTO `lang_definitions` VALUES (24604, 5547, 6, 'Fluittoon in oren');
INSERT INTO `lang_definitions` VALUES (24605, 5549, 6, 'Risicofactoren');
INSERT INTO `lang_definitions` VALUES (24606, 5550, 6, 'Inschatting urgentie');
INSERT INTO `lang_definitions` VALUES (24607, 5551, 6, 'RLL:');
INSERT INTO `lang_definitions` VALUES (24608, 5552, 6, 'ROM');
INSERT INTO `lang_definitions` VALUES (24609, 5553, 6, 'Roemeens');
INSERT INTO `lang_definitions` VALUES (24610, 5554, 6, 'Romanisch');
INSERT INTO `lang_definitions` VALUES (24611, 5560, 6, 'Rooster');
INSERT INTO `lang_definitions` VALUES (24612, 5561, 6, 'Route');
INSERT INTO `lang_definitions` VALUES (24613, 5562, 6, 'Weg van toediening, indien toepasbaar');
INSERT INTO `lang_definitions` VALUES (24614, 5563, 6, 'Onderweg');
INSERT INTO `lang_definitions` VALUES (24615, 5564, 6, 'Kolommen');
INSERT INTO `lang_definitions` VALUES (24616, 5565, 6, 'RRR zonder MOR');
INSERT INTO `lang_definitions` VALUES (24617, 5566, 6, 'Wrijven:');
INSERT INTO `lang_definitions` VALUES (24618, 5567, 6, 'Wrijven:');
INSERT INTO `lang_definitions` VALUES (24619, 5568, 6, 'Protocollen');
INSERT INTO `lang_definitions` VALUES (24620, 5569, 6, 'Protocollen toevoegen');
INSERT INTO `lang_definitions` VALUES (24621, 5570, 6, 'Detail van protocollen');
INSERT INTO `lang_definitions` VALUES (24622, 5572, 6, 'Bewerken van protocollen');
INSERT INTO `lang_definitions` VALUES (24623, 5575, 6, 'Protocollen set');
INSERT INTO `lang_definitions` VALUES (24624, 5576, 6, 'Regelset en Plan Set selecties zijn niet consistent. Corrigeer en opnieuw opsturen.');
INSERT INTO `lang_definitions` VALUES (24625, 5578, 6, 'Protocollen');
INSERT INTO `lang_definitions` VALUES (24626, 5580, 6, 'Configuratie voor protocollen');
INSERT INTO `lang_definitions` VALUES (24627, 5581, 6, 'Opdracht uitvoeren: ');
INSERT INTO `lang_definitions` VALUES (24628, 5582, 6, 'Ruptuur');
INSERT INTO `lang_definitions` VALUES (24629, 5583, 6, 'Russisch');
INSERT INTO `lang_definitions` VALUES (24630, 5584, 6, 'Rx');
INSERT INTO `lang_definitions` VALUES (24631, 5585, 6, 'Rx');
INSERT INTO `lang_definitions` VALUES (24632, 5586, 6, 'Rx kantlijn onderkant (px)');
INSERT INTO `lang_definitions` VALUES (24633, 5587, 6, 'Rx DEA# tonen');
INSERT INTO `lang_definitions` VALUES (24634, 5588, 6, 'Rx NPI tonen');
INSERT INTO `lang_definitions` VALUES (24635, 5589, 6, 'Rx State licence # tonen');
INSERT INTO `lang_definitions` VALUES (24636, 5590, 6, 'Rx linker kantlijn (px)');
INSERT INTO `lang_definitions` VALUES (24637, 5591, 6, 'Rx Papier maat');
INSERT INTO `lang_definitions` VALUES (24638, 5592, 6, 'Rx rechter kantlijn (px)');
INSERT INTO `lang_definitions` VALUES (24639, 5593, 6, 'Rx DEA# tonen');
INSERT INTO `lang_definitions` VALUES (24640, 5594, 6, 'Rx NPI tonen');
INSERT INTO `lang_definitions` VALUES (24641, 5595, 6, 'Rx Sate Licence # tonen');
INSERT INTO `lang_definitions` VALUES (24642, 5596, 6, 'Rx boven kantlijn (px)');
INSERT INTO `lang_definitions` VALUES (24643, 5597, 6, 'RXCUI Medicatie');
INSERT INTO `lang_definitions` VALUES (24644, 5598, 6, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (24645, 5599, 6, 'Database voor RxNorm');
INSERT INTO `lang_definitions` VALUES (24646, 5600, 6, 'S');
INSERT INTO `lang_definitions` VALUES (24647, 5601, 6, 'ID-NA');
INSERT INTO `lang_definitions` VALUES (24648, 5602, 6, 'S3:');
INSERT INTO `lang_definitions` VALUES (24649, 5603, 6, 'S4:');
INSERT INTO `lang_definitions` VALUES (24650, 5604, 6, 'SA * * Om de licentie te lezen, ga naar docs/license.txt of bezoek * http://www.gnu.org/copyleft/gpl.html * * / //============ ================================================== ===========// ');
INSERT INTO `lang_definitions` VALUES (24651, 5605, 6, 'Verkoop');
INSERT INTO `lang_definitions` VALUES (24652, 5606, 6, 'Verkopen');
INSERT INTO `lang_definitions` VALUES (24653, 5607, 6, 'Verkoop per item');
INSERT INTO `lang_definitions` VALUES (24654, 5608, 6, 'Overzicht omzet per product');
INSERT INTO `lang_definitions` VALUES (24655, 5609, 6, 'Speeksel');
INSERT INTO `lang_definitions` VALUES (24656, 5610, 6, 'Zelfde dag');
INSERT INTO `lang_definitions` VALUES (24657, 5611, 6, 'Samoan');
INSERT INTO `lang_definitions` VALUES (24658, 5612, 6, 'Voorbeeld');
INSERT INTO `lang_definitions` VALUES (24659, 5613, 6, 'Type sanctie');
INSERT INTO `lang_definitions` VALUES (24660, 5614, 6, 'Sango');
INSERT INTO `lang_definitions` VALUES (24661, 5615, 6, 'Sanskrit (Samskrta)');
INSERT INTO `lang_definitions` VALUES (24662, 5616, 6, 'Sardinisch');
INSERT INTO `lang_definitions` VALUES (24663, 5617, 6, 'Zat');
INSERT INTO `lang_definitions` VALUES (24664, 5618, 6, 'Zat - Zon');
INSERT INTO `lang_definitions` VALUES (24665, 5619, 6, 'Zaterdag');
INSERT INTO `lang_definitions` VALUES (24666, 5620, 6, 'Bewaren');
INSERT INTO `lang_definitions` VALUES (24667, 5621, 6, 'BEWAAR');
INSERT INTO `lang_definitions` VALUES (24668, 5622, 6, 'Bewaren en sluiten');
INSERT INTO `lang_definitions` VALUES (24669, 5623, 6, 'Save en verwijder verzoek');
INSERT INTO `lang_definitions` VALUES (24670, 5624, 6, 'Bewaren en verstrekken');
INSERT INTO `lang_definitions` VALUES (24671, 5625, 6, 'Bewaren en versturen');
INSERT INTO `lang_definitions` VALUES (24672, 5626, 6, 'Bewaren als nieuw');
INSERT INTO `lang_definitions` VALUES (24673, 5627, 6, 'Bewaren als nieuwe notitie');
INSERT INTO `lang_definitions` VALUES (24674, 5628, 6, 'Bewaar Certificaat settings');
INSERT INTO `lang_definitions` VALUES (24675, 5629, 6, 'Bewaren');
INSERT INTO `lang_definitions` VALUES (24676, 5630, 6, 'Bewaar');
INSERT INTO `lang_definitions` VALUES (24677, 5631, 6, 'Bewaar');
INSERT INTO `lang_definitions` VALUES (24678, 5632, 6, 'Bewaar nieuw veld');
INSERT INTO `lang_definitions` VALUES (24679, 5633, 6, 'Bewaar nieuwe groep');
INSERT INTO `lang_definitions` VALUES (24680, 5634, 6, 'Bewaar nieuwe lijst');
INSERT INTO `lang_definitions` VALUES (24681, 5635, 6, 'Nieuw sjabloon bewaren');
INSERT INTO `lang_definitions` VALUES (24682, 5636, 6, 'Bewaar vergeten selecties');
INSERT INTO `lang_definitions` VALUES (24683, 5637, 6, 'Bewaar pers. gegevens');
INSERT INTO `lang_definitions` VALUES (24684, 5638, 6, 'Status-ID bewaard');
INSERT INTO `lang_definitions` VALUES (24685, 5639, 6, 'Verklaring bewaren');
INSERT INTO `lang_definitions` VALUES (24686, 5640, 6, 'Succesvol gesaved');
INSERT INTO `lang_definitions` VALUES (24687, 5641, 6, 'Gescand');
INSERT INTO `lang_definitions` VALUES (24688, 5642, 6, 'Gescande notitie dit bezoek');
INSERT INTO `lang_definitions` VALUES (24689, 5643, 6, 'Directory van Scanner');
INSERT INTO `lang_definitions` VALUES (24690, 5644, 6, 'In de scanner');
INSERT INTO `lang_definitions` VALUES (24691, 5645, 6, 'Schema');
INSERT INTO `lang_definitions` VALUES (24692, 5646, 6, 'Agenda voor Lokatie:');
INSERT INTO `lang_definitions` VALUES (24693, 5647, 6, 'Briefje voor school');
INSERT INTO `lang_definitions` VALUES (24694, 5648, 6, 'Scoliose');
INSERT INTO `lang_definitions` VALUES (24695, 5649, 6, 'Schots Gaelisch-Gaelisch');
INSERT INTO `lang_definitions` VALUES (24696, 5650, 6, 'Screening/testen te doen');
INSERT INTO `lang_definitions` VALUES (24697, 5651, 6, 'SE');
INSERT INTO `lang_definitions` VALUES (24698, 5652, 6, 'SE Adres');
INSERT INTO `lang_definitions` VALUES (24699, 5653, 6, 'SE Stad');
INSERT INTO `lang_definitions` VALUES (24700, 5654, 6, 'SE Land');
INSERT INTO `lang_definitions` VALUES (24701, 5655, 6, 'SE Localiteit');
INSERT INTO `lang_definitions` VALUES (24702, 5656, 6, 'SE Postcode');
INSERT INTO `lang_definitions` VALUES (24703, 5657, 6, 'SE Staat');
INSERT INTO `lang_definitions` VALUES (24704, 5658, 6, 'SE Postcode');
INSERT INTO `lang_definitions` VALUES (24705, 5659, 6, 'Zoeken');
INSERT INTO `lang_definitions` VALUES (24706, 5661, 6, 'zoeken');
INSERT INTO `lang_definitions` VALUES (24707, 5662, 6, 'opnieuw zoeken');
INSERT INTO `lang_definitions` VALUES (24708, 5663, 6, 'Alle kolomen doorzoeken');
INSERT INTO `lang_definitions` VALUES (24709, 5664, 6, 'Zoek op:');
INSERT INTO `lang_definitions` VALUES (24710, 5665, 6, 'Zoek naar');
INSERT INTO `lang_definitions` VALUES (24711, 5666, 6, 'Zoek naar:');
INSERT INTO `lang_definitions` VALUES (24712, 5667, 6, 'Zoek in');
INSERT INTO `lang_definitions` VALUES (24713, 5668, 6, 'Zoek in');
INSERT INTO `lang_definitions` VALUES (24714, 5669, 6, 'Pt zoeken of toevoegen');
INSERT INTO `lang_definitions` VALUES (24715, 5670, 6, 'Zoek de betaling');
INSERT INTO `lang_definitions` VALUES (24716, 5671, 6, 'Zoek Resultaten');
INSERT INTO `lang_definitions` VALUES (24717, 5672, 6, 'Resultaten zoekactie:');
INSERT INTO `lang_definitions` VALUES (24718, 5673, 6, 'Zoeken geselecteerde');
INSERT INTO `lang_definitions` VALUES (24719, 5674, 6, 'Zoek opdracht correspondeert niet met lijst in DB');
INSERT INTO `lang_definitions` VALUES (24720, 5675, 6, 'Zokeopdrachtmoet minstens drie karakters hebben');
INSERT INTO `lang_definitions` VALUES (24721, 5676, 6, 'Zoek tekst');
INSERT INTO `lang_definitions` VALUES (24722, 5677, 6, 'Gebeurtenissen zoeken');
INSERT INTO `lang_definitions` VALUES (24723, 5678, 6, 'Zoek/Toevoegen');
INSERT INTO `lang_definitions` VALUES (24724, 5679, 6, 'Verzekeraar zoeken/toevoegen');
INSERT INTO `lang_definitions` VALUES (24725, 5680, 6, 'Zoeken naar afspraken');
INSERT INTO `lang_definitions` VALUES (24726, 5681, 6, 'bezig met zoeken.....');
INSERT INTO `lang_definitions` VALUES (24727, 5682, 6, 'Gebruik veiligheidsgordel');
INSERT INTO `lang_definitions` VALUES (24728, 5683, 6, 'Gebruik veiligheidsgordel');
INSERT INTO `lang_definitions` VALUES (24729, 5684, 6, 'Tweede');
INSERT INTO `lang_definitions` VALUES (24730, 5687, 6, 'Secundair');
INSERT INTO `lang_definitions` VALUES (24731, 5688, 6, 'Tweede verzekering');
INSERT INTO `lang_definitions` VALUES (24732, 5689, 6, 'Tweede verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (24733, 5690, 6, 'Tweede verzekeraar');
INSERT INTO `lang_definitions` VALUES (24734, 5691, 6, 'Secundair type Medicare');
INSERT INTO `lang_definitions` VALUES (24735, 5693, 6, 'Sectie ID');
INSERT INTO `lang_definitions` VALUES (24736, 5694, 6, 'Sectie ID en naam mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (24737, 5695, 6, 'Sectie naam');
INSERT INTO `lang_definitions` VALUES (24738, 5696, 6, 'Sectie succesvol bewaard');
INSERT INTO `lang_definitions` VALUES (24739, 5698, 6, 'Veiligheid');
INSERT INTO `lang_definitions` VALUES (24740, 5699, 6, 'Bekijk alles');
INSERT INTO `lang_definitions` VALUES (24741, 5700, 6, 'Bekijk machtigingen');
INSERT INTO `lang_definitions` VALUES (24742, 5701, 6, 'Bekijk groeicurve');
INSERT INTO `lang_definitions` VALUES (24743, 5702, 6, 'Bekijk bericht over recentst aangemaakte rekeningen');
INSERT INTO `lang_definitions` VALUES (24744, 5704, 6, 'Vorige bezoek');
INSERT INTO `lang_definitions` VALUES (24745, 5705, 6, 'Naam van segment');
INSERT INTO `lang_definitions` VALUES (24746, 5706, 6, 'Batch Claim onderdelen');
INSERT INTO `lang_definitions` VALUES (24747, 5707, 6, 'Aanvallen');
INSERT INTO `lang_definitions` VALUES (24748, 5708, 6, 'Sel');
INSERT INTO `lang_definitions` VALUES (24749, 5709, 6, 'Selecteren');
INSERT INTO `lang_definitions` VALUES (24750, 5710, 6, 'selecteren');
INSERT INTO `lang_definitions` VALUES (24751, 5711, 6, 'Component seleceteren');
INSERT INTO `lang_definitions` VALUES (24752, 5712, 6, 'Selecteer contekst');
INSERT INTO `lang_definitions` VALUES (24753, 5713, 6, 'Selecteer een percentage van de ROWS of selecteer data');
INSERT INTO `lang_definitions` VALUES (24754, 5714, 6, 'Kies datum spreiding');
INSERT INTO `lang_definitions` VALUES (24755, 5715, 6, 'Selecteer User');
INSERT INTO `lang_definitions` VALUES (24756, 5716, 6, 'Kies allemaal');
INSERT INTO `lang_definitions` VALUES (24757, 5717, 6, 'Selecteer aanpassings datum');
INSERT INTO `lang_definitions` VALUES (24758, 5718, 6, 'Selecteer veranderingen om te printen');
INSERT INTO `lang_definitions` VALUES (24760, 5720, 6, 'Selecteer categorie');
INSERT INTO `lang_definitions` VALUES (24761, 5721, 6, 'Selecteerd de voorkeur communicatie');
INSERT INTO `lang_definitions` VALUES (24762, 5722, 6, 'Selecteer overeenkomstige checkboxen om te verwijderen');
INSERT INTO `lang_definitions` VALUES (24763, 5723, 6, 'Selecteer criteria om tre verwijderen');
INSERT INTO `lang_definitions` VALUES (24764, 5724, 6, 'Selecteer CSV tabel');
INSERT INTO `lang_definitions` VALUES (24765, 5725, 6, 'Data selecteren voor De-Identificatie');
INSERT INTO `lang_definitions` VALUES (24766, 5726, 6, 'Data selecteren om in te sluiten bij De-Identificatie');
INSERT INTO `lang_definitions` VALUES (24767, 5727, 6, 'Kies datum');
INSERT INTO `lang_definitions` VALUES (24768, 5728, 6, 'Selecteer gewesnte squad');
INSERT INTO `lang_definitions` VALUES (24769, 5729, 6, 'Selecteer Diagnose');
INSERT INTO `lang_definitions` VALUES (24770, 5730, 6, 'Selecteer Diagnose voor De-Identificatie verzoek');
INSERT INTO `lang_definitions` VALUES (24771, 5731, 6, 'Selecteer medicatie');
INSERT INTO `lang_definitions` VALUES (24772, 5732, 6, 'Selecteer medicaties');
INSERT INTO `lang_definitions` VALUES (24773, 5733, 6, 'Selecteer medicatie voor De-Identificatie verzoek');
INSERT INTO `lang_definitions` VALUES (24774, 5734, 6, 'Selecteer EDI-271 file');
INSERT INTO `lang_definitions` VALUES (24775, 5735, 6, 'Selecteer Encounter');
INSERT INTO `lang_definitions` VALUES (24776, 5736, 6, 'Kies veld');
INSERT INTO `lang_definitions` VALUES (24777, 5737, 6, 'Selecteer velden');
INSERT INTO `lang_definitions` VALUES (24778, 5738, 6, 'Selecteer voor afdrukken');
INSERT INTO `lang_definitions` VALUES (24779, 5739, 6, 'Selecteer Vaccinaties');
INSERT INTO `lang_definitions` VALUES (24780, 5740, 6, 'Selecteer Vaccinatie bij De-Identificatie verzoek');
INSERT INTO `lang_definitions` VALUES (24781, 5741, 6, 'Selecteer verzekering, door te typen');
INSERT INTO `lang_definitions` VALUES (24782, 5742, 6, 'Probleem selecteren');
INSERT INTO `lang_definitions` VALUES (24783, 5743, 6, 'Selecteer Items');
INSERT INTO `lang_definitions` VALUES (24784, 5744, 6, 'Selecteer taal');
INSERT INTO `lang_definitions` VALUES (24785, 5745, 6, 'Selecteer een');
INSERT INTO `lang_definitions` VALUES (24786, 5746, 6, 'Selecteer een of meerdere diagnose codes om de service verlening aan te geven');
INSERT INTO `lang_definitions` VALUES (24787, 5747, 6, 'Selecteer een of meerdere files om te uploaden');
INSERT INTO `lang_definitions` VALUES (24788, 5748, 6, 'Selecteer output');
INSERT INTO `lang_definitions` VALUES (24789, 5750, 6, 'Selecteer verzocht door');
INSERT INTO `lang_definitions` VALUES (24790, 5752, 6, 'Selecteer bron');
INSERT INTO `lang_definitions` VALUES (24791, 5753, 6, 'Selecteer template');
INSERT INTO `lang_definitions` VALUES (24792, 5754, 6, 'Selecteer de items voor exporteren');
INSERT INTO `lang_definitions` VALUES (24793, 5755, 6, 'Selecteer het probleem welke de oorzaak is voor het gemiste evenement van deze dag');
INSERT INTO `lang_definitions` VALUES (24794, 5756, 6, 'Selecteer patient adres labels vanuit de pop-ups in het linker NAV-scherm om te printen');
INSERT INTO `lang_definitions` VALUES (24795, 5757, 6, 'Selecteer track');
INSERT INTO `lang_definitions` VALUES (24796, 5759, 6, 'Selecteer User');
INSERT INTO `lang_definitions` VALUES (24797, 5760, 6, 'Selecteer Users van de dropdown lijst');
INSERT INTO `lang_definitions` VALUES (24798, 5761, 6, 'Selecteer welke talen, indien nodig, gekozen moet voor andere keuzes bij inloggen (Alleen van belang als ALLE TALEN hierboven is uitgezet)');
INSERT INTO `lang_definitions` VALUES (24799, 5762, 6, 'Kies JA voor groeps gewijs verwijderen');
INSERT INTO `lang_definitions` VALUES (24800, 5765, 6, 'Geselecteerd');
INSERT INTO `lang_definitions` VALUES (24801, 5766, 6, 'Gekozen encounter');
INSERT INTO `lang_definitions` VALUES (24802, 5767, 6, 'Indien dit gekozen wordt dan wordt bericht aangemaakt dat door iedere ontvanger persoonlijk verwerkt te worden (dus geen groeps taak)');
INSERT INTO `lang_definitions` VALUES (24803, 5768, 6, 'Zelf');
INSERT INTO `lang_definitions` VALUES (24804, 5769, 6, 'Betaald zelf');
INSERT INTO `lang_definitions` VALUES (24805, 5771, 6, 'Sturen');
INSERT INTO `lang_definitions` VALUES (24806, 5772, 6, 'Verstuur datum reminder');
INSERT INTO `lang_definitions` VALUES (24807, 5773, 6, 'Verstuur reminder');
INSERT INTO `lang_definitions` VALUES (24808, 5774, 6, 'Bezig met verzenden');
INSERT INTO `lang_definitions` VALUES (24809, 5775, 6, 'Bericht versturen');
INSERT INTO `lang_definitions` VALUES (24810, 5776, 6, 'Verstuur reminder batch');
INSERT INTO `lang_definitions` VALUES (24811, 5777, 6, 'Verstuur reminders aan patienten per patientmet voorkeur voor perventie/followup verzorging');
INSERT INTO `lang_definitions` VALUES (24812, 5778, 6, 'Verstuur samenvatting met verwijzingen');
INSERT INTO `lang_definitions` VALUES (24813, 5779, 6, 'Verstuur deze file');
INSERT INTO `lang_definitions` VALUES (24814, 5780, 6, 'Verstuur dit bericht');
INSERT INTO `lang_definitions` VALUES (24815, 5781, 6, 'Verstuur aan');
INSERT INTO `lang_definitions` VALUES (24816, 5784, 6, 'Verstuur aan iedereen');
INSERT INTO `lang_definitions` VALUES (24817, 5786, 6, 'Naar Portaal vesturen');
INSERT INTO `lang_definitions` VALUES (24818, 5787, 6, 'Naar Portaal vesturen');
INSERT INTO `lang_definitions` VALUES (24819, 5788, 6, 'Afzender');
INSERT INTO `lang_definitions` VALUES (24820, 5789, 6, 'ID van afzender');
INSERT INTO `lang_definitions` VALUES (24821, 5790, 6, 'ID (ISA06) afzender');
INSERT INTO `lang_definitions` VALUES (24822, 5791, 6, 'ID Qualifier (ISA05) afzender');
INSERT INTO `lang_definitions` VALUES (24823, 5792, 6, 'ID van Afzender');
INSERT INTO `lang_definitions` VALUES (24824, 5793, 6, 'Wordt verstuurd naar');
INSERT INTO `lang_definitions` VALUES (24825, 5794, 6, 'Gevoeligheden');
INSERT INTO `lang_definitions` VALUES (24826, 5795, 6, 'Urgentie');
INSERT INTO `lang_definitions` VALUES (24827, 5796, 6, 'Sensorisch onderzoek normaal');
INSERT INTO `lang_definitions` VALUES (24828, 5797, 6, 'Verzonden');
INSERT INTO `lang_definitions` VALUES (24829, 5798, 6, 'verzenden geconfirmeerd');
INSERT INTO `lang_definitions` VALUES (24830, 5799, 6, 'Verstuurd door, (openlaten om iedereen te kiezen)');
INSERT INTO `lang_definitions` VALUES (24831, 5800, 6, 'Verzonden door:');
INSERT INTO `lang_definitions` VALUES (24832, 5801, 6, 'Datum verstuurd');
INSERT INTO `lang_definitions` VALUES (24833, 5802, 6, 'Verstuur Items');
INSERT INTO `lang_definitions` VALUES (24834, 5803, 6, 'Verstuur medische verslagleggingen?');
INSERT INTO `lang_definitions` VALUES (24835, 5804, 6, 'Verzenden is gelukt');
INSERT INTO `lang_definitions` VALUES (24836, 5807, 6, 'Verstuur naar printer');
INSERT INTO `lang_definitions` VALUES (24837, 5808, 6, 'Verstuurd aanlaten voor iedereen');
INSERT INTO `lang_definitions` VALUES (24838, 5809, 6, 'Verzonden aan:');
INSERT INTO `lang_definitions` VALUES (24839, 5810, 6, 'Verzonden, maar nog niet geconfirmeerd.');
INSERT INTO `lang_definitions` VALUES (24840, 5811, 6, 'Verzonden, niet aangekomen');
INSERT INTO `lang_definitions` VALUES (24841, 5812, 6, 'Sep');
INSERT INTO `lang_definitions` VALUES (24842, 5813, 6, 'Uit elkaar');
INSERT INTO `lang_definitions` VALUES (24843, 5814, 6, 'September');
INSERT INTO `lang_definitions` VALUES (24844, 5815, 6, 'Seq');
INSERT INTO `lang_definitions` VALUES (24845, 5816, 6, 'Reeks');
INSERT INTO `lang_definitions` VALUES (24846, 5817, 6, 'Servisch');
INSERT INTO `lang_definitions` VALUES (24847, 5818, 6, 'Sev Rep');
INSERT INTO `lang_definitions` VALUES (24848, 5819, 6, 'Server is waarschijnlijk offline');
INSERT INTO `lang_definitions` VALUES (24849, 5820, 6, 'Server bericht:');
INSERT INTO `lang_definitions` VALUES (24850, 5821, 6, 'Service');
INSERT INTO `lang_definitions` VALUES (24851, 5822, 6, 'Categorie verleende Service');
INSERT INTO `lang_definitions` VALUES (24852, 5823, 6, 'Service code');
INSERT INTO `lang_definitions` VALUES (24853, 5824, 6, 'Service code financien verslaglegging');
INSERT INTO `lang_definitions` VALUES (24854, 5825, 6, 'Service codes');
INSERT INTO `lang_definitions` VALUES (24855, 5826, 6, 'Dienst datum');
INSERT INTO `lang_definitions` VALUES (24856, 5827, 6, 'Service datum');
INSERT INTO `lang_definitions` VALUES (24857, 5829, 6, 'Service locatie');
INSERT INTO `lang_definitions` VALUES (24858, 5830, 6, 'Service naam');
INSERT INTO `lang_definitions` VALUES (24859, 5831, 6, 'Dienstverlening door specialist');
INSERT INTO `lang_definitions` VALUES (24860, 5832, 6, 'Service overzicht');
INSERT INTO `lang_definitions` VALUES (24861, 5833, 6, 'Alleen Service overzicht');
INSERT INTO `lang_definitions` VALUES (24862, 5834, 6, 'Verleende diensten');
INSERT INTO `lang_definitions` VALUES (24863, 5835, 6, 'Diensten per Categorie');
INSERT INTO `lang_definitions` VALUES (24864, 5836, 6, 'Verleende diensten');
INSERT INTO `lang_definitions` VALUES (24865, 5837, 6, 'Verleende diensten');
INSERT INTO `lang_definitions` VALUES (24866, 5838, 6, 'Services/Producten');
INSERT INTO `lang_definitions` VALUES (24867, 5839, 6, 'Sessie type');
INSERT INTO `lang_definitions` VALUES (24868, 5840, 6, 'Set');
INSERT INTO `lang_definitions` VALUES (24869, 5841, 6, 'Faciliteit cookie inschakelen om de selectie ussen faciliteiten te behouden');
INSERT INTO `lang_definitions` VALUES (24870, 5842, 6, 'Vastleggen als afgemaakt');
INSERT INTO `lang_definitions` VALUES (24871, 5843, 6, 'Markeer de voorkeurs verwerking voor CDR gebaseerde rapporten.');
INSERT INTO `lang_definitions` VALUES (24872, 5844, 6, 'markeer de voorkeur om patient herinneringne aan te maken (in volledige kliniek modus).');
INSERT INTO `lang_definitions` VALUES (24873, 5845, 6, 'HIer het gehele path gebruiken. Te gebruiken bij SSL certificaten voor HTTPS');
INSERT INTO `lang_definitions` VALUES (24874, 5846, 6, 'Vastgezet op');
INSERT INTO `lang_definitions` VALUES (24875, 5847, 6, 'Terug naar Default');
INSERT INTO `lang_definitions` VALUES (24876, 5848, 6, 'Aanmaken van versie nummer van de Database...');
INSERT INTO `lang_definitions` VALUES (24877, 5849, 6, 'Instellingen');
INSERT INTO `lang_definitions` VALUES (24878, 5851, 6, 'Zware migraine');
INSERT INTO `lang_definitions` VALUES (24879, 5853, 6, 'Ernst van de pijn');
INSERT INTO `lang_definitions` VALUES (24880, 5854, 6, 'Ernst van de pijn:');
INSERT INTO `lang_definitions` VALUES (24881, 5855, 6, 'Gesl');
INSERT INTO `lang_definitions` VALUES (24882, 5856, 6, 'SOA');
INSERT INTO `lang_definitions` VALUES (24883, 5857, 6, 'SFTP');
INSERT INTO `lang_definitions` VALUES (24884, 5858, 6, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (24885, 5859, 6, 'Delen met');
INSERT INTO `lang_definitions` VALUES (24886, 5860, 6, 'Shell commando om vanaf de Server te printen');
INSERT INTO `lang_definitions` VALUES (24887, 5862, 6, 'Shona');
INSERT INTO `lang_definitions` VALUES (24888, 5863, 6, 'Korte omschrijving');
INSERT INTO `lang_definitions` VALUES (24889, 5864, 6, 'Kortademig');
INSERT INTO `lang_definitions` VALUES (24890, 5865, 6, 'Kortademig');
INSERT INTO `lang_definitions` VALUES (24891, 5866, 6, 'Kortademig 2');
INSERT INTO `lang_definitions` VALUES (24892, 5867, 6, 'Vaccinatie bewijs');
INSERT INTO `lang_definitions` VALUES (24893, 5868, 6, 'Vaccinaties vanaf:');
INSERT INTO `lang_definitions` VALUES (24894, 5869, 6, 'Moet geactiveerd worden');
INSERT INTO `lang_definitions` VALUES (24895, 5870, 6, 'Moet zijn conform nnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (24896, 5871, 6, 'Moet twee letters zijn');
INSERT INTO `lang_definitions` VALUES (24897, 5872, 6, 'Moet tien digits hebben');
INSERT INTO `lang_definitions` VALUES (24898, 5873, 6, 'mag slechts tien digits hebben');
INSERT INTO `lang_definitions` VALUES (24899, 5874, 6, 'Schouder');
INSERT INTO `lang_definitions` VALUES (24900, 5875, 6, 'Schouder en Clavicula');
INSERT INTO `lang_definitions` VALUES (24901, 5876, 6, 'Schouderproblemen');
INSERT INTO `lang_definitions` VALUES (24902, 5877, 6, 'Toon');
INSERT INTO `lang_definitions` VALUES (24903, 5878, 6, 'Laat de actieven zien');
INSERT INTO `lang_definitions` VALUES (24904, 5880, 6, 'Toon alles');
INSERT INTO `lang_definitions` VALUES (24905, 5881, 6, 'Toon alle procedures');
INSERT INTO `lang_definitions` VALUES (24906, 5883, 6, 'Laat alle transacties zien');
INSERT INTO `lang_definitions` VALUES (24907, 5884, 6, 'Bezig');
INSERT INTO `lang_definitions` VALUES (24908, 5885, 6, 'Alleen geautorizeerden');
INSERT INTO `lang_definitions` VALUES (24909, 5886, 6, 'Laat beschikbare tijd zien');
INSERT INTO `lang_definitions` VALUES (24910, 5887, 6, 'Toon zowel US als Metriek (Metriek heeft voorkeur)');
INSERT INTO `lang_definitions` VALUES (24911, 5888, 6, 'Toon zowel US als Metriek (US heeft voorkeur)');
INSERT INTO `lang_definitions` VALUES (24912, 5889, 6, 'Toon details');
INSERT INTO `lang_definitions` VALUES (24913, 5890, 6, 'Alle fouten tonen?');
INSERT INTO `lang_definitions` VALUES (24914, 5891, 6, 'Laat Grafiek zien');
INSERT INTO `lang_definitions` VALUES (24915, 5892, 6, 'Laat gebeurtenis tekst zien bij muis over');
INSERT INTO `lang_definitions` VALUES (24916, 5893, 6, 'Hoeveelheid gebeurtenissen tonen op Admin Pagina?');
INSERT INTO `lang_definitions` VALUES (24917, 5894, 6, 'Laat de NIET-ACTIEVEN zien');
INSERT INTO `lang_definitions` VALUES (24918, 5896, 6, 'Laat menu zien');
INSERT INTO `lang_definitions` VALUES (24919, 5897, 6, 'Alleen Metrieke resultaten tonen');
INSERT INTO `lang_definitions` VALUES (24920, 5898, 6, 'Toon notities');
INSERT INTO `lang_definitions` VALUES (24921, 5900, 6, 'Toon alleen de niet overgeslagen procedures');
INSERT INTO `lang_definitions` VALUES (24922, 5901, 6, 'Laat notities van patient zien');
INSERT INTO `lang_definitions` VALUES (24923, 5902, 6, 'Toon pounds en ounces');
INSERT INTO `lang_definitions` VALUES (24924, 5903, 6, 'Toon pounds als decimale waarde');
INSERT INTO `lang_definitions` VALUES (24925, 5904, 6, 'Laat gehele Primary zien');
INSERT INTO `lang_definitions` VALUES (24926, 5905, 6, 'Toon reminders');
INSERT INTO `lang_definitions` VALUES (24927, 5906, 6, 'Rapport tonen');
INSERT INTO `lang_definitions` VALUES (24928, 5907, 6, 'Toon rapport');
INSERT INTO `lang_definitions` VALUES (24929, 5910, 6, 'Laat de gebruiker status zien om de lijsten widget toe te voegen (vraagt naar titel en afkorting)');
INSERT INTO `lang_definitions` VALUES (24930, 5911, 6, 'Toon deze categorie op het patient samenvattings scherm zelfs als er geen Issues zijn ingevoerd voor deze categorie.');
INSERT INTO `lang_definitions` VALUES (24931, 5912, 6, 'Toon track historie');
INSERT INTO `lang_definitions` VALUES (24932, 5913, 6, 'Toon alleen nog niet in REK gebracht');
INSERT INTO `lang_definitions` VALUES (24933, 5914, 6, 'Alleen US tonen');
INSERT INTO `lang_definitions` VALUES (24934, 5915, 6, 'Toont');
INSERT INTO `lang_definitions` VALUES (24935, 5916, 6, 'Toont resultaten');
INSERT INTO `lang_definitions` VALUES (24936, 5918, 6, 'Nakomelingen geschiedenis');
INSERT INTO `lang_definitions` VALUES (24937, 5920, 6, 'Broers/Zussen');
INSERT INTO `lang_definitions` VALUES (24938, 5921, 6, 'Sikkelcel');
INSERT INTO `lang_definitions` VALUES (24939, 5922, 6, 'S/');
INSERT INTO `lang_definitions` VALUES (24940, 5923, 6, 'Sigmoid/Coloscopie');
INSERT INTO `lang_definitions` VALUES (24941, 5924, 6, 'Onderteken');
INSERT INTO `lang_definitions` VALUES (24942, 5925, 6, 'Ondertekenen van Lab resultaten (schrijf, alleen toevoegen is optioneel)');
INSERT INTO `lang_definitions` VALUES (24943, 5926, 6, 'Resultaten ondertekenen');
INSERT INTO `lang_definitions` VALUES (24944, 5927, 6, 'Handtekening');
INSERT INTO `lang_definitions` VALUES (24945, 5928, 6, 'Handtekening opgeslagen');
INSERT INTO `lang_definitions` VALUES (24946, 5929, 6, 'Handtekening:');
INSERT INTO `lang_definitions` VALUES (24947, 5930, 6, 'Getekend Rx');
INSERT INTO `lang_definitions` VALUES (24948, 5932, 6, 'Aanzienlijke zwelling:');
INSERT INTO `lang_definitions` VALUES (24949, 5933, 6, 'Vereenvoudigd');
INSERT INTO `lang_definitions` VALUES (24950, 5934, 6, 'Extra betaling eenvoudig');
INSERT INTO `lang_definitions` VALUES (24951, 5935, 6, 'Minimum aan Demografische gegevens');
INSERT INTO `lang_definitions` VALUES (24952, 5936, 6, 'Recepten eenvoudig');
INSERT INTO `lang_definitions` VALUES (24953, 5937, 6, 'Sinds');
INSERT INTO `lang_definitions` VALUES (24954, 5938, 6, 'Met vriendelijke groeten,');
INSERT INTO `lang_definitions` VALUES (24955, 5939, 6, 'Sindhi');
INSERT INTO `lang_definitions` VALUES (24956, 5940, 6, 'Ongehuwd');
INSERT INTO `lang_definitions` VALUES (24957, 5941, 6, 'Enkelvoudige selectie lijst');
INSERT INTO `lang_definitions` VALUES (24958, 5942, 6, 'Enkelvoudige selectie lijst met de mogelijkheid om toe te voegen');
INSERT INTO `lang_definitions` VALUES (24959, 5943, 6, 'Enkelvoud');
INSERT INTO `lang_definitions` VALUES (24960, 5944, 6, 'Sinhala');
INSERT INTO `lang_definitions` VALUES (24961, 5945, 6, 'Sinhala, Sinhalees');
INSERT INTO `lang_definitions` VALUES (24962, 5946, 6, 'Sinusproblemen');
INSERT INTO `lang_definitions` VALUES (24963, 5947, 6, 'Chirurgie van de sinus');
INSERT INTO `lang_definitions` VALUES (24964, 5948, 6, 'Sinus gevoelig:');
INSERT INTO `lang_definitions` VALUES (24965, 5949, 6, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (24966, 5950, 6, 'Site');
INSERT INTO `lang_definitions` VALUES (24967, 5951, 6, 'Site ID');
INSERT INTO `lang_definitions` VALUES (24968, 5952, 6, 'Site ID voor Medische Informatie Inetegratie, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (24969, 5953, 6, 'Site ID voor de LibreEHR ondersteuning v an Lab uitwisselings Service');
INSERT INTO `lang_definitions` VALUES (24970, 5956, 6, 'Lengte');
INSERT INTO `lang_definitions` VALUES (24971, 5957, 6, 'Lengte moet een getal zijn tussen 1 en 999');
INSERT INTO `lang_definitions` VALUES (24972, 5958, 6, 'Lengte/Lijst');
INSERT INTO `lang_definitions` VALUES (24973, 5959, 6, 'Huid');
INSERT INTO `lang_definitions` VALUES (24974, 5960, 6, 'Huidkanker');
INSERT INTO `lang_definitions` VALUES (24975, 5961, 6, 'Huidziekte');
INSERT INTO `lang_definitions` VALUES (24976, 5962, 6, 'Anders huid');
INSERT INTO `lang_definitions` VALUES (24977, 5963, 6, 'Authorisatie van Patient notities verslaan');
INSERT INTO `lang_definitions` VALUES (24978, 5964, 6, 'Sectie overslaan');
INSERT INTO `lang_definitions` VALUES (24979, 5965, 6, 'SQL-Ledger dump wordt overgeslagen- nog niet geimplementeerd voor Windows-server');
INSERT INTO `lang_definitions` VALUES (24980, 5967, 6, 'Slaappatroon');
INSERT INTO `lang_definitions` VALUES (24981, 5968, 6, 'Slaappatroon');
INSERT INTO `lang_definitions` VALUES (24982, 5969, 6, 'Slapen');
INSERT INTO `lang_definitions` VALUES (24983, 5970, 6, 'Slovaaks');
INSERT INTO `lang_definitions` VALUES (24984, 5971, 6, 'Sloveens');
INSERT INTO `lang_definitions` VALUES (24985, 5972, 6, 'Sm schuld w / o');
INSERT INTO `lang_definitions` VALUES (24986, 5973, 6, 'Smarty Cache is gewist');
INSERT INTO `lang_definitions` VALUES (24987, 5974, 6, 'Roker, huidig gebruik onbekend');
INSERT INTO `lang_definitions` VALUES (24988, 5976, 6, 'Rook gedrag');
INSERT INTO `lang_definitions` VALUES (24989, 5977, 6, 'SMS Aut');
INSERT INTO `lang_definitions` VALUES (24990, 5978, 6, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (24991, 5979, 6, 'SMS Gateway API-sleutel');
INSERT INTO `lang_definitions` VALUES (24992, 5980, 6, 'SMS Gateway API sleutel');
INSERT INTO `lang_definitions` VALUES (24993, 5981, 6, 'SMS Gateway User Paswoord');
INSERT INTO `lang_definitions` VALUES (24994, 5982, 6, 'SMS Gateway User Naam');
INSERT INTO `lang_definitions` VALUES (24995, 5983, 6, 'SMS-melding');
INSERT INTO `lang_definitions` VALUES (24996, 5984, 6, 'SMS-meldings uren');
INSERT INTO `lang_definitions` VALUES (24997, 5985, 6, 'SMS sturen vóór');
INSERT INTO `lang_definitions` VALUES (24998, 5986, 6, 'SMS verzonden');
INSERT INTO `lang_definitions` VALUES (24999, 5987, 6, 'SMS Tekst, Bruikbare Tag: ***NAAM***, ***AANBIEDER***, ***DATUM ***, ***Begintijd***, *** Eindtijd***<br> b.v. Beste ***Naam***');
INSERT INTO `lang_definitions` VALUES (25000, 5988, 6, 'SMS/E-mail waarschuwingsinstellingen');
INSERT INTO `lang_definitions` VALUES (25001, 5989, 6, 'SMTP Paswoord voor Authenticatie');
INSERT INTO `lang_definitions` VALUES (25002, 5992, 6, 'SMTP Server Hostnaam');
INSERT INTO `lang_definitions` VALUES (25003, 5993, 6, 'SMTP Server Poortnummer');
INSERT INTO `lang_definitions` VALUES (25004, 5994, 6, 'SMTP User voor Autentificatie');
INSERT INTO `lang_definitions` VALUES (25005, 5995, 6, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (25006, 5996, 6, 'SNOMED (RF1 Klinische term');
INSERT INTO `lang_definitions` VALUES (25007, 5997, 6, 'SNOMED (RF1) Diagnoses');
INSERT INTO `lang_definitions` VALUES (25008, 5998, 6, 'SNOMED (RF1) Procedure');
INSERT INTO `lang_definitions` VALUES (25009, 5999, 6, 'SNOMER (RF2) Diagnoses');
INSERT INTO `lang_definitions` VALUES (25010, 6000, 6, 'SNOMED Klinische term');
INSERT INTO `lang_definitions` VALUES (25011, 6001, 6, 'SNOMED Database');
INSERT INTO `lang_definitions` VALUES (25012, 6002, 6, 'SNOMED Diagnose');
INSERT INTO `lang_definitions` VALUES (25013, 6003, 6, 'SNOMED Procedure');
INSERT INTO `lang_definitions` VALUES (25014, 6004, 6, 'Snurken');
INSERT INTO `lang_definitions` VALUES (25015, 6005, 6, 'SOEP');
INSERT INTO `lang_definitions` VALUES (25016, 6006, 6, 'Sociale problemen');
INSERT INTO `lang_definitions` VALUES (25017, 6009, 6, 'Sociale voorgesch.');
INSERT INTO `lang_definitions` VALUES (25018, 6010, 6, 'BSN');
INSERT INTO `lang_definitions` VALUES (25019, 6011, 6, 'oplossing');
INSERT INTO `lang_definitions` VALUES (25020, 6012, 6, 'Somali');
INSERT INTO `lang_definitions` VALUES (25021, 6013, 6, 'Somatische contekst');
INSERT INTO `lang_definitions` VALUES (25022, 6014, 6, 'Sommige machtigingen werden niet getoond. Klik hier om ze allemaal te zien');
INSERT INTO `lang_definitions` VALUES (25023, 6015, 6, 'Sommige codes werden niet getoond.');
INSERT INTO `lang_definitions` VALUES (25024, 6016, 6, 'Sommige bezoeken werden niet getoond. Klik hier om alles te zien.');
INSERT INTO `lang_definitions` VALUES (25025, 6017, 6, 'Er is een fout opgetreden tijdens De-Identificatie Process');
INSERT INTO `lang_definitions` VALUES (25026, 6018, 6, 'Enkele notities werden niet getoond');
INSERT INTO `lang_definitions` VALUES (25027, 6019, 6, 'Sommige Office notities worden niet getoond. Klik HIER om alles te tonen.');
INSERT INTO `lang_definitions` VALUES (25028, 6020, 6, 'enkele woorden');
INSERT INTO `lang_definitions` VALUES (25029, 6021, 6, 'Iemand anders heeft kort geleden dit bezoek veranderd. Deze pagina dicht maken en weer opneiuw openen');
INSERT INTO `lang_definitions` VALUES (25030, 6023, 6, 'Foutje, probeer het nogmaals');
INSERT INTO `lang_definitions` VALUES (25031, 6024, 6, 'Binnenkort verloopt interval (Kilinische reminders)');
INSERT INTO `lang_definitions` VALUES (25032, 6025, 6, 'Binenkort verloopt interval (Patient reminders)');
INSERT INTO `lang_definitions` VALUES (25033, 6026, 6, 'Zere keel');
INSERT INTO `lang_definitions` VALUES (25034, 6027, 6, 'Mislukt, geen afspraak vastgelegd');
INSERT INTO `lang_definitions` VALUES (25035, 6028, 6, 'Mislukt, probleem met oploaden van de file');
INSERT INTO `lang_definitions` VALUES (25036, 6029, 6, 'Sorteren op');
INSERT INTO `lang_definitions` VALUES (25037, 6030, 6, 'Gesorteerd op');
INSERT INTO `lang_definitions` VALUES (25038, 6031, 6, 'Soteer op Checksom');
INSERT INTO `lang_definitions` VALUES (25039, 6032, 6, 'Sorteren op commentaar');
INSERT INTO `lang_definitions` VALUES (25040, 6033, 6, 'Sorteer op Crt User');
INSERT INTO `lang_definitions` VALUES (25041, 6034, 6, 'Sorteren op datum');
INSERT INTO `lang_definitions` VALUES (25042, 6035, 6, 'Sorteren op datum/tijd');
INSERT INTO `lang_definitions` VALUES (25043, 6036, 6, 'Sorteren op gebeurtenis');
INSERT INTO `lang_definitions` VALUES (25044, 6037, 6, 'Sorteren op groep');
INSERT INTO `lang_definitions` VALUES (25045, 6038, 6, 'Sorteer op de nieuwe checksum');
INSERT INTO `lang_definitions` VALUES (25046, 6039, 6, 'Sorteer op de oude checksum');
INSERT INTO `lang_definitions` VALUES (25047, 6040, 6, 'Sorteer op Pt. ID');
INSERT INTO `lang_definitions` VALUES (25048, 6041, 6, 'Sorteer of Success');
INSERT INTO `lang_definitions` VALUES (25049, 6042, 6, 'Sorteer op \"getamperde\" datum/tijd');
INSERT INTO `lang_definitions` VALUES (25050, 6043, 6, 'Sorteren op gebruiker');
INSERT INTO `lang_definitions` VALUES (25051, 6044, 6, 'Sorteren op vaccinatie');
INSERT INTO `lang_definitions` VALUES (25052, 6045, 6, 'Neerwaards sorteren');
INSERT INTO `lang_definitions` VALUES (25053, 6046, 6, 'Resultaten sorteren op');
INSERT INTO `lang_definitions` VALUES (25054, 6047, 6, 'Opwaards sorteren');
INSERT INTO `lang_definitions` VALUES (25055, 6048, 6, 'Bron');
INSERT INTO `lang_definitions` VALUES (25056, 6049, 6, 'Bron file');
INSERT INTO `lang_definitions` VALUES (25057, 6050, 6, 'Bron file path');
INSERT INTO `lang_definitions` VALUES (25058, 6051, 6, 'Bron is niet in code opgenomen ');
INSERT INTO `lang_definitions` VALUES (25059, 6052, 6, 'Oorsprong van voorraad');
INSERT INTO `lang_definitions` VALUES (25060, 6054, 6, 'Deze patient');
INSERT INTO `lang_definitions` VALUES (25061, 6055, 6, 'Deze patient heeft geen geboorte datum');
INSERT INTO `lang_definitions` VALUES (25062, 6056, 6, 'Deze patient wordt niet gevonden');
INSERT INTO `lang_definitions` VALUES (25063, 6057, 6, 'Bron:');
INSERT INTO `lang_definitions` VALUES (25064, 6058, 6, 'Zuid Nedebele');
INSERT INTO `lang_definitions` VALUES (25065, 6059, 6, 'Zuid Sotho');
INSERT INTO `lang_definitions` VALUES (25066, 6060, 6, 'Spatie');
INSERT INTO `lang_definitions` VALUES (25067, 6061, 6, 'SPATIE');
INSERT INTO `lang_definitions` VALUES (25068, 6062, 6, 'Spaans');
INSERT INTO `lang_definitions` VALUES (25069, 6063, 6, 'Spaans (Latin American)');
INSERT INTO `lang_definitions` VALUES (25070, 6064, 6, 'Spaans (Spaans)');
INSERT INTO `lang_definitions` VALUES (25071, 6065, 6, 'Spaans-Castiliaans');
INSERT INTO `lang_definitions` VALUES (25072, 6066, 6, 'Speciale karakters zijn niet toegestaan');
INSERT INTO `lang_definitions` VALUES (25073, 6067, 6, 'Speciale behandeling voor het Vitals formulier');
INSERT INTO `lang_definitions` VALUES (25074, 6068, 6, 'Specialist');
INSERT INTO `lang_definitions` VALUES (25075, 6069, 6, 'Naam en handtekening specialist');
INSERT INTO `lang_definitions` VALUES (25076, 6071, 6, 'Specialisatie');
INSERT INTO `lang_definitions` VALUES (25077, 6072, 6, 'Gespecificeerde systemen');
INSERT INTO `lang_definitions` VALUES (25078, 6073, 6, 'Specialisatie:');
INSERT INTO `lang_definitions` VALUES (25079, 6074, 6, 'Specifiek');
INSERT INTO `lang_definitions` VALUES (25080, 6075, 6, 'Specifieke Applicatie');
INSERT INTO `lang_definitions` VALUES (25081, 6076, 6, 'Anticonceptie Dienst verlening');
INSERT INTO `lang_definitions` VALUES (25082, 6077, 6, 'Specifiek resultaat');
INSERT INTO `lang_definitions` VALUES (25083, 6078, 6, 'Specifieke Service');
INSERT INTO `lang_definitions` VALUES (25084, 6079, 6, 'Toegspitst');
INSERT INTO `lang_definitions` VALUES (25085, 6080, 6, 'Specifiek formattering voor codes. # = digit, * = ieder char. Leeg indien ongebruikt.');
INSERT INTO `lang_definitions` VALUES (25086, 6081, 6, 'Geeft de manier aan van formatteren # = digit, @= alfa, *=elk karakter. Leeg is ongebruikt.');
INSERT INTO `lang_definitions` VALUES (25087, 6082, 6, 'Dit geeft de manier van formatteren van referentie numme aan. #- getal, * = een letter. Leeg is ongebruikt.');
INSERT INTO `lang_definitions` VALUES (25088, 6083, 6, 'Geeft de manier aan van Invoice referentie nummers. # = digit, A = Alfa, * = elk karakter. Leeg is ongebruikt');
INSERT INTO `lang_definitions` VALUES (25089, 6084, 6, 'Specificeert formattering voor product NDC veld. # = digit, * = ieder char. Leeg indien ongebruikt.');
INSERT INTO `lang_definitions` VALUES (25090, 6085, 6, 'Geeft formattering aan voor produc NDC velden. # = digit, @ = alfa, * = elk karakter. Leeg is ongebruikt.');
INSERT INTO `lang_definitions` VALUES (25091, 6086, 6, 'Dit geeft de manier aan van formatteren voor externe Client ID-nummer ID = getal, * = een letter. Leeg is ongebruikt');
INSERT INTO `lang_definitions` VALUES (25092, 6087, 6, 'Geeft formattering aan van externe patienten ID. # = digit. @ = alfa, * = elk karakter. Leeg is ongebruikt');
INSERT INTO `lang_definitions` VALUES (25093, 6088, 6, 'Specimen');
INSERT INTO `lang_definitions` VALUES (25094, 6089, 6, 'Nummer van Specimen/Indentifier');
INSERT INTO `lang_definitions` VALUES (25095, 6090, 6, 'Specimen soort');
INSERT INTO `lang_definitions` VALUES (25096, 6092, 6, 'Spraak invoer');
INSERT INTO `lang_definitions` VALUES (25097, 6093, 6, 'Spermiciden');
INSERT INTO `lang_definitions` VALUES (25098, 6094, 6, 'Milt verwijdering');
INSERT INTO `lang_definitions` VALUES (25099, 6095, 6, 'Echtgenoot');
INSERT INTO `lang_definitions` VALUES (25100, 6096, 6, 'Geschiedenis echtgenoot');
INSERT INTO `lang_definitions` VALUES (25101, 6097, 6, 'Sputum');
INSERT INTO `lang_definitions` VALUES (25102, 6098, 6, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (25103, 6099, 6, 'Subcutaan');
INSERT INTO `lang_definitions` VALUES (25104, 6100, 6, 'sql');
INSERT INTO `lang_definitions` VALUES (25105, 6102, 6, 'Ploeg');
INSERT INTO `lang_definitions` VALUES (25106, 6103, 6, 'Ploeglidmaatschap');
INSERT INTO `lang_definitions` VALUES (25107, 6104, 6, 'Ploegen');
INSERT INTO `lang_definitions` VALUES (25108, 6105, 6, 'SRH');
INSERT INTO `lang_definitions` VALUES (25109, 6106, 6, 'SRH - Family Planning');
INSERT INTO `lang_definitions` VALUES (25110, 6107, 6, 'SRH Geen Family Planning');
INSERT INTO `lang_definitions` VALUES (25111, 6108, 6, 'SRH verwijzingen');
INSERT INTO `lang_definitions` VALUES (25112, 6109, 6, 'SRH Bezoekformulier');
INSERT INTO `lang_definitions` VALUES (25113, 6110, 6, 'Srv datum');
INSERT INTO `lang_definitions` VALUES (25114, 6111, 6, 'SS');
INSERT INTO `lang_definitions` VALUES (25115, 6112, 6, 'SSL certificaat Administratie');
INSERT INTO `lang_definitions` VALUES (25116, 6113, 6, 'BSN');
INSERT INTO `lang_definitions` VALUES (25117, 6114, 6, 'Stabilitiet');
INSERT INTO `lang_definitions` VALUES (25118, 6115, 6, 'Staps gewijze aanpassingen');
INSERT INTO `lang_definitions` VALUES (25119, 6116, 6, 'Standaard');
INSERT INTO `lang_definitions` VALUES (25120, 6117, 6, 'Standaard Code');
INSERT INTO `lang_definitions` VALUES (25121, 6118, 6, 'Standaard metingen');
INSERT INTO `lang_definitions` VALUES (25122, 6119, 6, 'Standaard Metingen (Actieve alerts)');
INSERT INTO `lang_definitions` VALUES (25123, 6120, 6, 'Standaard Metingen (Passieve alerts)');
INSERT INTO `lang_definitions` VALUES (25124, 6121, 6, 'Standaard Metingen (Patient herinneringen)');
INSERT INTO `lang_definitions` VALUES (25125, 6122, 6, 'Standaard naam');
INSERT INTO `lang_definitions` VALUES (25126, 6123, 6, 'Standaard: vereenvoudigd: alleen titel, start datum, commentaren en en Actieve check box; geen diagnoses, frequenties eind datum, verwezen door, of sport velden. ; Voetbal trauma');
INSERT INTO `lang_definitions` VALUES (25127, 6124, 6, 'Begin');
INSERT INTO `lang_definitions` VALUES (25128, 6125, 6, 'Start (jjjj-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (25129, 6126, 6, 'Een ander rapport opstarten');
INSERT INTO `lang_definitions` VALUES (25130, 6128, 6, 'Begindatum');
INSERT INTO `lang_definitions` VALUES (25131, 6129, 6, 'Begindatum bij deze kliniek');
INSERT INTO `lang_definitions` VALUES (25132, 6130, 6, 'Begin datum kan niet na Eind datum vallen');
INSERT INTO `lang_definitions` VALUES (25133, 6131, 6, 'Begindatum:');
INSERT INTO `lang_definitions` VALUES (25134, 6132, 6, 'Begindatum:');
INSERT INTO `lang_definitions` VALUES (25135, 6133, 6, 'Starttijd');
INSERT INTO `lang_definitions` VALUES (25136, 6134, 6, 'Begindatum');
INSERT INTO `lang_definitions` VALUES (25137, 6135, 6, 'nu');
INSERT INTO `lang_definitions` VALUES (25138, 6136, 6, 'Staat');
INSERT INTO `lang_definitions` VALUES (25139, 6137, 6, 'Staat specifieke Data soort');
INSERT INTO `lang_definitions` VALUES (25140, 6138, 6, 'Unicode');
INSERT INTO `lang_definitions` VALUES (25141, 6139, 6, 'Licentie nummer van Staat');
INSERT INTO `lang_definitions` VALUES (25142, 6140, 6, 'Lijst van Staten');
INSERT INTO `lang_definitions` VALUES (25143, 6141, 6, 'Provincie-/Eilandgebiedlijst (schrijven,toevoegen optioneel)');
INSERT INTO `lang_definitions` VALUES (25144, 6142, 6, 'Saten lijst widget om eigen velden aan te maken');
INSERT INTO `lang_definitions` VALUES (25145, 6143, 6, 'Staat of Provincie');
INSERT INTO `lang_definitions` VALUES (25146, 6144, 6, 'Staat/Localiteit');
INSERT INTO `lang_definitions` VALUES (25147, 6145, 6, 'Bario/Parochie');
INSERT INTO `lang_definitions` VALUES (25148, 6146, 6, 'Samenvatting Verklaringen');
INSERT INTO `lang_definitions` VALUES (25149, 6147, 6, 'verklaringen en bijwerken van facturen.');
INSERT INTO `lang_definitions` VALUES (25150, 6148, 6, 'Verklaring verstuurd:');
INSERT INTO `lang_definitions` VALUES (25151, 6149, 6, 'verklaringen; facturen worden niet bijgewerkt.');
INSERT INTO `lang_definitions` VALUES (25152, 6150, 6, 'Niet veranderende tekst');
INSERT INTO `lang_definitions` VALUES (25153, 6151, 6, 'Statistieken');
INSERT INTO `lang_definitions` VALUES (25154, 6152, 6, 'Statistieken');
INSERT INTO `lang_definitions` VALUES (25155, 6153, 6, 'Status');
INSERT INTO `lang_definitions` VALUES (25156, 6154, 6, 'Staus van opname');
INSERT INTO `lang_definitions` VALUES (25157, 6155, 6, 'Status van de claim');
INSERT INTO `lang_definitions` VALUES (25158, 6156, 6, 'Status quo');
INSERT INTO `lang_definitions` VALUES (25159, 6158, 6, 'SOA / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (25160, 6159, 6, 'Sterkte en conditionering');
INSERT INTO `lang_definitions` VALUES (25161, 6163, 6, 'Stappen om CCR XML te uploaden');
INSERT INTO `lang_definitions` VALUES (25162, 6164, 6, 'Stappen om DSM IV database te installeren');
INSERT INTO `lang_definitions` VALUES (25163, 6165, 6, 'Stappen om ICD 10 database te installeren');
INSERT INTO `lang_definitions` VALUES (25164, 6166, 6, 'Stappen om ICD 9 database te installeren');
INSERT INTO `lang_definitions` VALUES (25165, 6167, 6, 'Stappen om RxNorm database te installeren');
INSERT INTO `lang_definitions` VALUES (25166, 6168, 6, 'Stappen om SNOMED database te installeren');
INSERT INTO `lang_definitions` VALUES (25167, 6169, 6, 'Stijve gewrichten');
INSERT INTO `lang_definitions` VALUES (25168, 6170, 6, 'Stijfheid');
INSERT INTO `lang_definitions` VALUES (25169, 6171, 6, 'Stock Maanden');
INSERT INTO `lang_definitions` VALUES (25170, 6172, 6, 'Maagpijn');
INSERT INTO `lang_definitions` VALUES (25171, 6173, 6, 'Stop');
INSERT INTO `lang_definitions` VALUES (25172, 6174, 6, 'OpgeslagenHash');
INSERT INTO `lang_definitions` VALUES (25173, 6175, 6, 'Verrekte spier');
INSERT INTO `lang_definitions` VALUES (25174, 6176, 6, 'Stroming');
INSERT INTO `lang_definitions` VALUES (25175, 6177, 6, 'Straat');
INSERT INTO `lang_definitions` VALUES (25176, 6178, 6, 'Straatnaam');
INSERT INTO `lang_definitions` VALUES (25177, 6179, 6, 'Straat en nummer');
INSERT INTO `lang_definitions` VALUES (25178, 6180, 6, 'Kracht');
INSERT INTO `lang_definitions` VALUES (25179, 6181, 6, 'Kracht en Conditie');
INSERT INTO `lang_definitions` VALUES (25180, 6182, 6, 'Strep keel onst.');
INSERT INTO `lang_definitions` VALUES (25181, 6183, 6, 'Stress fractuur');
INSERT INTO `lang_definitions` VALUES (25182, 6184, 6, 'Stress Test');
INSERT INTO `lang_definitions` VALUES (25183, 6185, 6, 'CVA');
INSERT INTO `lang_definitions` VALUES (25184, 6186, 6, 'Sterk Paswoord betekend minimaal 8 karakters en minstens drie nummers, eenkleine letter eenhoofdletter en een speciaal character.');
INSERT INTO `lang_definitions` VALUES (25185, 6187, 6, 'Stijl');
INSERT INTO `lang_definitions` VALUES (25186, 6188, 6, 'Soort stijl gebruiken om nieuwe patienten toe te voegen');
INSERT INTO `lang_definitions` VALUES (25187, 6189, 6, 'Subcategorie');
INSERT INTO `lang_definitions` VALUES (25188, 6190, 6, 'Subtotaal');
INSERT INTO `lang_definitions` VALUES (25189, 6191, 6, 'Subcategorie');
INSERT INTO `lang_definitions` VALUES (25190, 6192, 6, 'subcategorie');
INSERT INTO `lang_definitions` VALUES (25191, 6193, 6, 'onderhuids');
INSERT INTO `lang_definitions` VALUES (25192, 6194, 6, 'Subject');
INSERT INTO `lang_definitions` VALUES (25193, 6195, 6, 'Subjectief');
INSERT INTO `lang_definitions` VALUES (25194, 6196, 6, 'Onder de tong');
INSERT INTO `lang_definitions` VALUES (25195, 6197, 6, 'onder de tong');
INSERT INTO `lang_definitions` VALUES (25196, 6198, 6, 'Zoek');
INSERT INTO `lang_definitions` VALUES (25197, 6199, 6, 'submit');
INSERT INTO `lang_definitions` VALUES (25198, 6200, 6, 'Bekijk de gehele inhoud');
INSERT INTO `lang_definitions` VALUES (25199, 6201, 6, 'Toezenden en verzoek verwijderen');
INSERT INTO `lang_definitions` VALUES (25200, 6202, 6, 'Bekijk Gebeurtenis');
INSERT INTO `lang_definitions` VALUES (25201, 6203, 6, 'verstuur formulier');
INSERT INTO `lang_definitions` VALUES (25202, 6204, 6, 'Bekijk geselecteerde inhoud');
INSERT INTO `lang_definitions` VALUES (25203, 6205, 6, 'aangeleverd');
INSERT INTO `lang_definitions` VALUES (25204, 6206, 6, 'Aangeleverd door');
INSERT INTO `lang_definitions` VALUES (25205, 6207, 6, 'Leverancier van EDI toegangsnummer (PER06)');
INSERT INTO `lang_definitions` VALUES (25206, 6208, 6, 'Verzekeringnemer');
INSERT INTO `lang_definitions` VALUES (25207, 6209, 6, 'Adres verzekeringnemer');
INSERT INTO `lang_definitions` VALUES (25208, 6210, 6, 'Stad van de abonnee');
INSERT INTO `lang_definitions` VALUES (25209, 6211, 6, 'Geboorte dartum van de abonnee');
INSERT INTO `lang_definitions` VALUES (25210, 6212, 6, 'Werkgever van abonnee');
INSERT INTO `lang_definitions` VALUES (25211, 6213, 6, 'Werkgever abonnee');
INSERT INTO `lang_definitions` VALUES (25212, 6214, 6, 'Werkgever abonnee (SE)');
INSERT INTO `lang_definitions` VALUES (25213, 6215, 6, 'Adres van werkgever');
INSERT INTO `lang_definitions` VALUES (25214, 6216, 6, 'Werkgever Stad van werkgever');
INSERT INTO `lang_definitions` VALUES (25215, 6217, 6, 'Land van werkgever');
INSERT INTO `lang_definitions` VALUES (25216, 6218, 6, 'Staat van werkgever');
INSERT INTO `lang_definitions` VALUES (25217, 6219, 6, 'Straat van werkgever');
INSERT INTO `lang_definitions` VALUES (25218, 6220, 6, 'Zip code van werkgever');
INSERT INTO `lang_definitions` VALUES (25219, 6221, 6, 'Postcode van werkgever');
INSERT INTO `lang_definitions` VALUES (25220, 6222, 6, 'Voornaam van abonnee');
INSERT INTO `lang_definitions` VALUES (25221, 6223, 6, 'Achternaam van abonnee');
INSERT INTO `lang_definitions` VALUES (25222, 6224, 6, 'Midden neem van abonnee');
INSERT INTO `lang_definitions` VALUES (25223, 6225, 6, 'Tel.verzkr.nemer');
INSERT INTO `lang_definitions` VALUES (25224, 6226, 6, 'Verzekeringnemer relatie');
INSERT INTO `lang_definitions` VALUES (25225, 6227, 6, 'Verzekeringnemer relatie is niet Zelf maar de naam is wel hetzelfde! Is dit juist?');
INSERT INTO `lang_definitions` VALUES (25226, 6228, 6, 'Verzekeringnemer relatie is niet Zelf maar ID-NA nummer is wel hetzelfde!');
INSERT INTO `lang_definitions` VALUES (25227, 6229, 6, 'Verzekeringnemer relatie is Zelf maar de naam is niet hetzelfde! Is dit juist?');
INSERT INTO `lang_definitions` VALUES (25228, 6230, 6, 'Verzekeringnemer relatie is Zelf maar ID-NA nummer is niet hetzelfde!');
INSERT INTO `lang_definitions` VALUES (25229, 6231, 6, 'Gesl. verzekeringsnemer');
INSERT INTO `lang_definitions` VALUES (25230, 6232, 6, 'ID van abonnee');
INSERT INTO `lang_definitions` VALUES (25231, 6233, 6, 'Staat van abonnee');
INSERT INTO `lang_definitions` VALUES (25232, 6234, 6, 'Postcode van abonnee');
INSERT INTO `lang_definitions` VALUES (25233, 6235, 6, 'Telefoon van abonnee');
INSERT INTO `lang_definitions` VALUES (25234, 6237, 6, 'Vervanging');
INSERT INTO `lang_definitions` VALUES (25235, 6238, 6, 'substitutie toegestaan');
INSERT INTO `lang_definitions` VALUES (25236, 6240, 6, 'Succes');
INSERT INTO `lang_definitions` VALUES (25237, 6241, 6, 'succes');
INSERT INTO `lang_definitions` VALUES (25238, 6242, 6, 'Met succes afgeronde ontvangst van Lab verslag');
INSERT INTO `lang_definitions` VALUES (25239, 6243, 6, 'Met succes Lab resultaat ontvangen');
INSERT INTO `lang_definitions` VALUES (25240, 6244, 6, 'Informatie opgehaald bij Lab Exchange network was suddesvol');
INSERT INTO `lang_definitions` VALUES (25241, 6246, 6, 'Categorie succesvol toegevoegd');
INSERT INTO `lang_definitions` VALUES (25242, 6247, 6, 'Toegevoegd aan categorie gelukt');
INSERT INTO `lang_definitions` VALUES (25243, 6248, 6, 'Met succes verwijderd');
INSERT INTO `lang_definitions` VALUES (25244, 6249, 6, 'Details met succes geimporteerd. Kies goedkeuren van patient van het klaar staande goedkeurings scherm');
INSERT INTO `lang_definitions` VALUES (25245, 6250, 6, 'Database met succes geinstalleerd');
INSERT INTO `lang_definitions` VALUES (25246, 6251, 6, 'De volgende Database is met succes geinstalleerd');
INSERT INTO `lang_definitions` VALUES (25247, 6252, 6, 'Met succes aangepast');
INSERT INTO `lang_definitions` VALUES (25248, 6253, 6, 'Met succes opgeslagen. Toewijzen?');
INSERT INTO `lang_definitions` VALUES (25249, 6254, 6, 'Met succes opgeslagen. Wilt u het uitsturen?');
INSERT INTO `lang_definitions` VALUES (25250, 6256, 6, 'Opslaan gelukt');
INSERT INTO `lang_definitions` VALUES (25251, 6257, 6, 'Met succes database geupgrade.');
INSERT INTO `lang_definitions` VALUES (25252, 6258, 6, 'De volgende Database is met succes ge-upgraded');
INSERT INTO `lang_definitions` VALUES (25253, 6259, 6, 'Succesvol');
INSERT INTO `lang_definitions` VALUES (25254, 6260, 6, 'Zelfmoord');
INSERT INTO `lang_definitions` VALUES (25255, 6261, 6, 'Samenvatting');
INSERT INTO `lang_definitions` VALUES (25256, 6262, 6, 'Samenvatting van');
INSERT INTO `lang_definitions` VALUES (25257, 6265, 6, 'Zon');
INSERT INTO `lang_definitions` VALUES (25258, 6266, 6, 'Soedanees');
INSERT INTO `lang_definitions` VALUES (25259, 6267, 6, 'Zondag');
INSERT INTO `lang_definitions` VALUES (25260, 6268, 6, 'Superbill');
INSERT INTO `lang_definitions` VALUES (25261, 6269, 6, 'Superbill Codes');
INSERT INTO `lang_definitions` VALUES (25262, 6270, 6, 'Supebill Codes Administratie');
INSERT INTO `lang_definitions` VALUES (25263, 6271, 6, 'Superbill overzicht');
INSERT INTO `lang_definitions` VALUES (25264, 6272, 6, 'Superbill Tarieven lijst');
INSERT INTO `lang_definitions` VALUES (25265, 6273, 6, 'Superbill');
INSERT INTO `lang_definitions` VALUES (25266, 6274, 6, 'Superbills, ook wel Contactformulieren of Routing Slips genoemd, vormen een belangrijk deel van de medische praktijk.');
INSERT INTO `lang_definitions` VALUES (25267, 6275, 6, 'Supergebruiker');
INSERT INTO `lang_definitions` VALUES (25268, 6276, 6, 'Supervisie');
INSERT INTO `lang_definitions` VALUES (25269, 6278, 6, 'Supervisie dokter DEA');
INSERT INTO `lang_definitions` VALUES (25270, 6279, 6, 'Supervisie dokter Voornaam');
INSERT INTO `lang_definitions` VALUES (25271, 6280, 6, 'Supervisie dokter Achternaam');
INSERT INTO `lang_definitions` VALUES (25272, 6281, 6, 'Supervisie dokter NPI');
INSERT INTO `lang_definitions` VALUES (25273, 6282, 6, 'Supervisie dokter UPIN');
INSERT INTO `lang_definitions` VALUES (25274, 6283, 6, 'Naam van faciliteit van leverancier');
INSERT INTO `lang_definitions` VALUES (25275, 6284, 6, 'Ondersteuning van gebeurtenissen van Kalender die meerdere behandelaars betreffen');
INSERT INTO `lang_definitions` VALUES (25276, 6285, 6, 'Ondersteuning exp/imp van configuratie data via de Back-up pagina');
INSERT INTO `lang_definitions` VALUES (25277, 6286, 6, 'Ondersteuning Meedere behandelaars gebeurtenis');
INSERT INTO `lang_definitions` VALUES (25278, 6288, 6, 'Alleen ondersteunen van Triple DES versleuteling/ontgrendeling');
INSERT INTO `lang_definitions` VALUES (25279, 6289, 6, 'Surface Type');
INSERT INTO `lang_definitions` VALUES (25280, 6290, 6, 'Operaties');
INSERT INTO `lang_definitions` VALUES (25281, 6291, 6, 'Chirurgie');
INSERT INTO `lang_definitions` VALUES (25282, 6292, 6, 'Chirurgie Issue lijst');
INSERT INTO `lang_definitions` VALUES (25283, 6293, 6, 'Geschorst');
INSERT INTO `lang_definitions` VALUES (25284, 6294, 6, 'suspensie');
INSERT INTO `lang_definitions` VALUES (25285, 6295, 6, 'Svc Datum');
INSERT INTO `lang_definitions` VALUES (25286, 6296, 6, 'Svc Datum:');
INSERT INTO `lang_definitions` VALUES (25287, 6297, 6, 'Swahili');
INSERT INTO `lang_definitions` VALUES (25288, 6298, 6, 'Swati');
INSERT INTO `lang_definitions` VALUES (25289, 6299, 6, 'Zweten:');
INSERT INTO `lang_definitions` VALUES (25290, 6300, 6, 'Zweeds');
INSERT INTO `lang_definitions` VALUES (25291, 6301, 6, 'Zwelling');
INSERT INTO `lang_definitions` VALUES (25292, 6302, 6, 'Zwelling rechts');
INSERT INTO `lang_definitions` VALUES (25293, 6303, 6, 'Gezwollen gewrichten');
INSERT INTO `lang_definitions` VALUES (25294, 6304, 6, 'Gezwollen lymfeklieren');
INSERT INTO `lang_definitions` VALUES (25295, 6305, 6, 'Symbool gebruikt als een decimale punt voor valuta. Niet gebruiken als het aantal decimalen niet gebruikt worden.');
INSERT INTO `lang_definitions` VALUES (25296, 6306, 6, 'Symbool om duizendtallen voor Valuta aan te geven');
INSERT INTO `lang_definitions` VALUES (25297, 6307, 6, 'Symptomen');
INSERT INTO `lang_definitions` VALUES (25298, 6308, 6, 'Synchroniseren');
INSERT INTO `lang_definitions` VALUES (25299, 6309, 6, 'Vertalingen synchroniseren met de lokaal gebruikte vertaling');
INSERT INTO `lang_definitions` VALUES (25300, 6310, 6, 'Synchroniseren van nieuwe client constante');
INSERT INTO `lang_definitions` VALUES (25301, 6311, 6, 'Synchroniseren nieuwe taal');
INSERT INTO `lang_definitions` VALUES (25302, 6312, 6, 'Synchroniseren nieuwe definitie (Taal, Constant, Definitie)');
INSERT INTO `lang_definitions` VALUES (25303, 6313, 6, 'Syncope');
INSERT INTO `lang_definitions` VALUES (25304, 6314, 6, 'Surveillance observatie');
INSERT INTO `lang_definitions` VALUES (25305, 6315, 6, 'Surveillance observatie - Niet gerapporteerde klachten');
INSERT INTO `lang_definitions` VALUES (25306, 6316, 6, 'Syndroom gericht Surveillance rapport');
INSERT INTO `lang_definitions` VALUES (25307, 6317, 6, 'Synovitis, beknelling, bursitis');
INSERT INTO `lang_definitions` VALUES (25308, 6318, 6, 'Systeem');
INSERT INTO `lang_definitions` VALUES (25309, 6322, 6, 'T');
INSERT INTO `lang_definitions` VALUES (25310, 6323, 6, '3 x daags');
INSERT INTO `lang_definitions` VALUES (25311, 6324, 6, 'T.V.');
INSERT INTO `lang_definitions` VALUES (25312, 6325, 6, 'Tabel');
INSERT INTO `lang_definitions` VALUES (25313, 6327, 6, 'Aanmaken tabel mislukt');
INSERT INTO `lang_definitions` VALUES (25314, 6328, 6, 'Vernieuwen van tabel mislukt');
INSERT INTO `lang_definitions` VALUES (25315, 6329, 6, 'Tabellen');
INSERT INTO `lang_definitions` VALUES (25316, 6330, 6, 'tablet');
INSERT INTO `lang_definitions` VALUES (25317, 6331, 6, 'Aanvinken voor encounter');
INSERT INTO `lang_definitions` VALUES (25318, 6332, 6, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (25319, 6333, 6, 'Tahitiaans');
INSERT INTO `lang_definitions` VALUES (25320, 6334, 6, 'Tajik');
INSERT INTO `lang_definitions` VALUES (25321, 6335, 6, 'Neem');
INSERT INTO `lang_definitions` VALUES (25322, 6336, 6, 'Kies Insurance van Dropdown menu');
INSERT INTO `lang_definitions` VALUES (25323, 6337, 6, 'Kies Betalings formulier, van drop down menu');
INSERT INTO `lang_definitions` VALUES (25324, 6338, 6, 'Terug nemen');
INSERT INTO `lang_definitions` VALUES (25325, 6339, 6, 'Duurt lang');
INSERT INTO `lang_definitions` VALUES (25326, 6340, 6, 'Groot navigatie vak');
INSERT INTO `lang_definitions` VALUES (25327, 6341, 6, 'Tamil');
INSERT INTO `lang_definitions` VALUES (25328, 6342, 6, 'Datum van tampering');
INSERT INTO `lang_definitions` VALUES (25329, 6343, 6, 'Doel en oorsprong DOB zijn niet gelijk');
INSERT INTO `lang_definitions` VALUES (25330, 6344, 6, 'Doel en bron van geboorte datum kloppen niet met elkaar');
INSERT INTO `lang_definitions` VALUES (25331, 6345, 6, 'Doel en bron van pid kunnen niet hetzelfde zijn!');
INSERT INTO `lang_definitions` VALUES (25332, 6346, 6, 'Doel en bron van SSN zijn niet gelijk');
INSERT INTO `lang_definitions` VALUES (25333, 6347, 6, 'Target datum');
INSERT INTO `lang_definitions` VALUES (25334, 6348, 6, 'Target patient');
INSERT INTO `lang_definitions` VALUES (25335, 6349, 6, 'Target patient heeft geen geboorte datum');
INSERT INTO `lang_definitions` VALUES (25336, 6350, 6, 'Target patient niet gevonden');
INSERT INTO `lang_definitions` VALUES (25337, 6351, 6, 'Target/Actie groepen');
INSERT INTO `lang_definitions` VALUES (25338, 6352, 6, 'Tartaars');
INSERT INTO `lang_definitions` VALUES (25339, 6354, 6, 'Tax ID');
INSERT INTO `lang_definitions` VALUES (25340, 6355, 6, 'Belastingtarief');
INSERT INTO `lang_definitions` VALUES (25341, 6356, 6, 'Belasting');
INSERT INTO `lang_definitions` VALUES (25342, 6357, 6, 'Taxonomie');
INSERT INTO `lang_definitions` VALUES (25343, 6358, 6, 'Td');
INSERT INTO `lang_definitions` VALUES (25344, 6359, 6, 'Overzicht van teamletsels');
INSERT INTO `lang_definitions` VALUES (25345, 6360, 6, 'Teamrooster');
INSERT INTO `lang_definitions` VALUES (25346, 6361, 6, 'Overzicht van teamrooster');
INSERT INTO `lang_definitions` VALUES (25347, 6362, 6, 'Team/Squad');
INSERT INTO `lang_definitions` VALUES (25348, 6363, 6, 'Tel');
INSERT INTO `lang_definitions` VALUES (25349, 6364, 6, 'Telefoon Landen Code');
INSERT INTO `lang_definitions` VALUES (25350, 6365, 6, 'Telugu');
INSERT INTO `lang_definitions` VALUES (25351, 6366, 6, 'Temp');
INSERT INTO `lang_definitions` VALUES (25352, 6367, 6, 'Plaats temp.');
INSERT INTO `lang_definitions` VALUES (25353, 6368, 6, 'Methode Temp');
INSERT INTO `lang_definitions` VALUES (25354, 6369, 6, 'Temperatuur');
INSERT INTO `lang_definitions` VALUES (25355, 6370, 6, 'Sjabloon');
INSERT INTO `lang_definitions` VALUES (25356, 6371, 6, 'Naam sjabloon');
INSERT INTO `lang_definitions` VALUES (25357, 6372, 6, 'Namen van sjablonen mogen niet starten met cijfers.');
INSERT INTO `lang_definitions` VALUES (25358, 6373, 6, 'Sjabloon:');
INSERT INTO `lang_definitions` VALUES (25359, 6374, 6, 'Sjablonen');
INSERT INTO `lang_definitions` VALUES (25360, 6375, 6, 'Arteria Temporalis');
INSERT INTO `lang_definitions` VALUES (25361, 6376, 6, 'Peesblesure');
INSERT INTO `lang_definitions` VALUES (25362, 6377, 6, 'Tendinitis /ositis / bursitis');
INSERT INTO `lang_definitions` VALUES (25363, 6378, 6, 'Tentatief Invoice ref. nummer');
INSERT INTO `lang_definitions` VALUES (25364, 6379, 6, 'Derde');
INSERT INTO `lang_definitions` VALUES (25365, 6380, 6, 'Derde verzekering');
INSERT INTO `lang_definitions` VALUES (25366, 6381, 6, 'Derde verzekeringsgegevens');
INSERT INTO `lang_definitions` VALUES (25367, 6382, 6, 'Derde verzekeraar');
INSERT INTO `lang_definitions` VALUES (25368, 6383, 6, 'Test Inplanning');
INSERT INTO `lang_definitions` VALUES (25369, 6384, 6, 'Test het systeem');
INSERT INTO `lang_definitions` VALUES (25370, 6385, 6, 'tekst');
INSERT INTO `lang_definitions` VALUES (25371, 6386, 6, 'Tekst Diagnose');
INSERT INTO `lang_definitions` VALUES (25372, 6387, 6, 'Tekst veld');
INSERT INTO `lang_definitions` VALUES (25373, 6393, 6, 'Datum van tekst');
INSERT INTO `lang_definitions` VALUES (25374, 6394, 6, 'Datum van tekst');
INSERT INTO `lang_definitions` VALUES (25375, 6395, 6, 'Invoerblok voor tekst');
INSERT INTO `lang_definitions` VALUES (25376, 6396, 6, 'Plaats voor tekst');
INSERT INTO `lang_definitions` VALUES (25377, 6397, 6, 'Tekstvak');
INSERT INTO `lang_definitions` VALUES (25378, 6398, 6, 'Tekstvak');
INSERT INTO `lang_definitions` VALUES (25379, 6399, 6, 'Tekstvak lijst');
INSERT INTO `lang_definitions` VALUES (25380, 6400, 6, 'tekstvak lijst');
INSERT INTO `lang_definitions` VALUES (25381, 6401, 6, 'Thaais');
INSERT INTO `lang_definitions` VALUES (25382, 6402, 6, 'Dank U');
INSERT INTO `lang_definitions` VALUES (25383, 6403, 6, 'Bedankt u voor het kiezen');
INSERT INTO `lang_definitions` VALUES (25384, 6404, 6, 'Klik op -Schonen- om alles te verwijderen.');
INSERT INTO `lang_definitions` VALUES (25385, 6405, 6, 'De bovenvermelde statement is mislukt');
INSERT INTO `lang_definitions` VALUES (25386, 6406, 6, 'De Apache SSL server certificaat en sleutel');
INSERT INTO `lang_definitions` VALUES (25387, 6407, 6, 'Het certificaat van Certificaat Authority');
INSERT INTO `lang_definitions` VALUES (25388, 6408, 6, 'Uw claimbestand: ');
INSERT INTO `lang_definitions` VALUES (25389, 6409, 6, 'TDe vergelijkbare geplande US extensie van SNOMED pakket is al geinstalleerd.');
INSERT INTO `lang_definitions` VALUES (25390, 6410, 6, 'De corresponderende private sleutel');
INSERT INTO `lang_definitions` VALUES (25391, 6411, 6, 'De data integriteits test voor dit formulier is niet correct');
INSERT INTO `lang_definitions` VALUES (25392, 6413, 6, 'De afwijzings code is');
INSERT INTO `lang_definitions` VALUES (25393, 6414, 6, 'Groep voor onacceptabele Codes');
INSERT INTO `lang_definitions` VALUES (25394, 6415, 6, 'Het bestemmings formulier is gesloten');
INSERT INTO `lang_definitions` VALUES (25395, 6416, 6, 'Het bedoelde formulier is afgesloten; er kan geen actie volgen op uw keuze');
INSERT INTO `lang_definitions` VALUES (25396, 6417, 6, 'De entity die deze procedure uitvoert');
INSERT INTO `lang_definitions` VALUES (25397, 6418, 6, 'Het EP, voorkeurs Hospitaal, of CAH die patienten krijgt van een andere setting of verzorgings instelling of behandelaar of die vindt dat een doktersbezoek belangrijk genoeg is, behoort een reconciliatie van medicatie toe te passen.');
INSERT INTO `lang_definitions` VALUES (25398, 6421, 6, 'Het EP, voorkeurs Hospitaal, of CAH die een patient overplaatst naar een andere verzorgings locatie of behandelaar of die een patient verwijst naar een behandelaar moet een samenvatting aanmaken voor iedere transitie in de zorg of verwijzing.');
INSERT INTO `lang_definitions` VALUES (25399, 6422, 6, 'Gebeurtenis(sen) is/zijn goedgekeurd');
INSERT INTO `lang_definitions` VALUES (25400, 6423, 6, 'Gebeurtenis(sen) is/zijn verborgen');
INSERT INTO `lang_definitions` VALUES (25401, 6424, 6, 'De geexporteerde data verschijnt in het tekstveld hieronder. U kunt het kopieren en plakken in een e-mail of iets anders.');
INSERT INTO `lang_definitions` VALUES (25402, 6426, 6, 'De geexporteerde data verschijnt in het tekstveld hieronder. U kunt het kopieren en plakken in een e-mail of iets anders.');
INSERT INTO `lang_definitions` VALUES (25403, 6427, 6, 'De verstuurde data staat hierna in tekst format. Dit kan met Copy Paste in een e-mail of overal elders geplaatst worden.');
INSERT INTO `lang_definitions` VALUES (25404, 6428, 6, 'Deze fiel kan gesaved worden naar CouchDB');
INSERT INTO `lang_definitions` VALUES (25405, 6429, 6, 'De file could kan niet van naam verandert worden, deze fout komt meestal voort uit toestemmingen in opslag systeeem.');
INSERT INTO `lang_definitions` VALUES (25406, 6430, 6, 'Deze file is niet opgeslagen, dit komt meestal vanwege de permissies toegekend aan het systeem van oipslaan');
INSERT INTO `lang_definitions` VALUES (25407, 6431, 6, 'De eerste (\"target\") chart is degeen die het meest kompleet en accuraat is. Demografie, geschiedenis en verzekerings sectie worden hiervoor aangepast.');
INSERT INTO `lang_definitions` VALUES (25408, 6433, 6, 'Maak een account aan bij Unified Medical Language Systeem website');
INSERT INTO `lang_definitions` VALUES (25409, 6434, 6, 'De volgende agendagebeurenis is goedgekeurd');
INSERT INTO `lang_definitions` VALUES (25410, 6435, 6, 'De volgende agendagebeurtenis is gewijzigd');
INSERT INTO `lang_definitions` VALUES (25411, 6436, 6, 'De volgende categorien worden van de categorie lijst afgevoerd');
INSERT INTO `lang_definitions` VALUES (25412, 6437, 6, 'De hierna volgende database release is nu geinstalleerd');
INSERT INTO `lang_definitions` VALUES (25413, 6438, 6, 'De volgende documenten werden aan deze Direct Message toegevoegd:');
INSERT INTO `lang_definitions` VALUES (25414, 6439, 6, 'De navolgende EDI file is ge-upload');
INSERT INTO `lang_definitions` VALUES (25415, 6440, 6, 'De volgende SPOED LOGIN Gebruiker is geactiveerd|:');
INSERT INTO `lang_definitions` VALUES (25416, 6441, 6, 'De volgende fouten zijn opgetreden');
INSERT INTO `lang_definitions` VALUES (25417, 6442, 6, 'Het volgenden veld heeft een verkeerde waarde');
INSERT INTO `lang_definitions` VALUES (25418, 6444, 6, 'De volgende velden zijn verplicht');
INSERT INTO `lang_definitions` VALUES (25419, 6446, 6, 'De volgende velden moeten ingevuld zijn om verzoek te versturen.');
INSERT INTO `lang_definitions` VALUES (25420, 6447, 6, 'De volgende Internationale SnoMed release vertalingen worden ondersteund');
INSERT INTO `lang_definitions` VALUES (25421, 6448, 6, 'De volgende problemen hebben dezelfde diagnose codes. Encounter issues worden niet geupdated. Gebruik van encounter interface dijnet hiervoor.');
INSERT INTO `lang_definitions` VALUES (25422, 6449, 6, 'De host naam van de ATNA audit repositorie machine');
INSERT INTO `lang_definitions` VALUES (25423, 6450, 6, 'Het oorspronkelijke venster is het factuur zoekpagina. Aan de bovenzijde kunt u een bron (bijvoorbeeld controlenummer), betaaldatum en controlebedrag invoeren. De reden voor de bron en betaaldatum is, dat u ze niet steeds hoeft in te voeren voor elke vordering. Het bedrag dat u invoert zal worden verlaagd voor elke factuur die wordt gegeven met een deel van de betaling, en hopelijk zal eindigen op nul als u klaar bent met betalen.');
INSERT INTO `lang_definitions` VALUES (25424, 6451, 6, 'De directory waar geinstalleerd wordt moet aangemaakt worden.');
INSERT INTO `lang_definitions` VALUES (25425, 6452, 6, 'De geinstallerde Internationale SNOMED versie is niet compatibel met het geplande US Extensie SNOMED pakket.');
INSERT INTO `lang_definitions` VALUES (25426, 6453, 6, 'De geinstallerde Internationale SNOMED versie is niet up to date en niet compatibel met deze geplande US Extensie van SNOMED File.');
INSERT INTO `lang_definitions` VALUES (25427, 6454, 6, 'De geinstalleerde versie en de partiele files zijn hetzelfde');
INSERT INTO `lang_definitions` VALUES (25428, 6455, 6, 'De geinstalleerde versie is van een recentere datum dan de geplande aanpassing.');
INSERT INTO `lang_definitions` VALUES (25429, 6456, 6, 'Het label dat aan de gebruiker wordt getoond op het Formulier');
INSERT INTO `lang_definitions` VALUES (25430, 6457, 6, 'De lengte mag niet meer zijn dan het volgende aantal caracters');
INSERT INTO `lang_definitions` VALUES (25431, 6458, 6, 'De merge wordt niet gestart tenzij SSN en geboorte datum van de twee kaarten gelijk zijn. Geboortedatum kan niet leeg zijn.');
INSERT INTO `lang_definitions` VALUES (25432, 6459, 6, 'Dit bericht kon nu niet verzonden worden.');
INSERT INTO `lang_definitions` VALUES (25433, 6460, 6, 'De nieuwe categorie wordt een sub-categorie van ');
INSERT INTO `lang_definitions` VALUES (25434, 6461, 6, 'Het nieuwe paswoord kan niet gelijk zijn aan het vorige paswoord');
INSERT INTO `lang_definitions` VALUES (25435, 6462, 6, 'De nieuwe paswoord invoer velden zijn niet gelijk.');
INSERT INTO `lang_definitions` VALUES (25436, 6463, 6, 'Het aantal van de geplande files is niet correct. Gebruik alleen de file die gewenst is om geinstalleerd/ge-upgraded te worden.');
INSERT INTO `lang_definitions` VALUES (25437, 6464, 6, 'Het nummer van de geplande files in niet juist. Maak alleen gebruik van de files die u wilt installeren/upgraden.');
INSERT INTO `lang_definitions` VALUES (25438, 6465, 6, 'Deze pagina brengt u terug naar Demographics. U kunt het Land-veld aan passen en weer doorklikken naar NewCrop');
INSERT INTO `lang_definitions` VALUES (25439, 6466, 6, 'Het wachtwoord moet minimaal acht tekens lang zijn en dient');
INSERT INTO `lang_definitions` VALUES (25440, 6467, 6, 'Het gebruikte paswoord is niet geldig');
INSERT INTO `lang_definitions` VALUES (25441, 6468, 6, 'Vezoek om patienten status is vastgelegd');
INSERT INTO `lang_definitions` VALUES (25442, 6469, 6, 'Patienten reminders zijn verzonden');
INSERT INTO `lang_definitions` VALUES (25443, 6470, 6, 'De patient reminders zijn ge-updated');
INSERT INTO `lang_definitions` VALUES (25444, 6471, 6, 'De patient was niet ingelogd toen dit formulier werd gestuurd');
INSERT INTO `lang_definitions` VALUES (25445, 6472, 6, 'De opgemaakte betalingen kunnen niet toegevoegd worden onder deze datum. Dit geeft garantie dat na het opmaken van eind rapportage niemand nog kan toevoegen voor de voorafgaande data.');
INSERT INTO `lang_definitions` VALUES (25446, 6473, 6, 'Het Portaal heeft data en formilier voor deze patient. Nu laden?');
INSERT INTO `lang_definitions` VALUES (25447, 6474, 6, 'De ruwe datafiles kunne opgehaald worden bij');
INSERT INTO `lang_definitions` VALUES (25448, 6475, 6, 'De overige informatie hieronder is alleen van toepassing als u handmatig invoert, of als u handmatige correcties toepast.');
INSERT INTO `lang_definitions` VALUES (25449, 6476, 6, 'Het gevraagde document is net aanwezig op de aangegeven locatie van het file systeem of er zijn onvoldoende permissies om het in te zien');
INSERT INTO `lang_definitions` VALUES (25450, 6477, 6, 'Dit gevraagde document is niet aanwezig op de verwachte locatie van het bestandssysteem of u heeft te weinig rechten voor dit document.');
INSERT INTO `lang_definitions` VALUES (25451, 6479, 6, 'De tweede \"bron\" kaart zal van de demographics, geschiedenis en verzekerings sectie ontdaan worden. De andere data worden gemerged in de bron kaart.');
INSERT INTO `lang_definitions` VALUES (25452, 6480, 6, 'De Bron en Datum kolommen zijn gekopieerd van de eerste pagina, dus normaliter hoeft u dit niet aan te passen. U kunt een bedrag in de kolom Betalen invoeren, een aanpassingsbedrag in de kolom Aanpassen invoeren of beide. U kunt ook klikken op \"W\" aan de rechterkant om automatisch een correctie te berekenen, die het restant van de kosten afschrijft.');
INSERT INTO `lang_definitions` VALUES (25453, 6481, 6, 'De geplande files-data zijn niet allemaal van dezelfde versie');
INSERT INTO `lang_definitions` VALUES (25454, 6482, 6, 'De geplande file revisie zijn niet allemaal van dezelfde release.');
INSERT INTO `lang_definitions` VALUES (25455, 6483, 6, 'De geplande US Extensie SNOMED pakket kan niet geinstalleerd worden tenzij de Internationale SNOMED Pakket geinstalleerd is.');
INSERT INTO `lang_definitions` VALUES (25456, 6484, 6, 'De tijdsintervallen van de kalender en het kleinste tijdsinterval voor een afspraak positie');
INSERT INTO `lang_definitions` VALUES (25457, 6485, 6, 'Het vertaalde label dat wordt weergegeven op het formulier in de actieve taal');
INSERT INTO `lang_definitions` VALUES (25458, 6486, 6, 'De vertaalde titel die zal verschijnen in de actieve taal');
INSERT INTO `lang_definitions` VALUES (25459, 6487, 6, 'De vertaling van de beschrijving in de actieve taal');
INSERT INTO `lang_definitions` VALUES (25460, 6488, 6, 'De vertaal tabellen zijn gesynchroniseerd');
INSERT INTO `lang_definitions` VALUES (25461, 6489, 6, 'Het type van deze entiteit');
INSERT INTO `lang_definitions` VALUES (25462, 6490, 6, 'De verkoper-specifieke code die deze procedure of het resultaat indentificeerd');
INSERT INTO `lang_definitions` VALUES (25463, 6491, 6, 'De X12-bestanden evenals de resulterende HTML output rapporten worden gearchiveerd in de \"ERA\" submap van de hoofd LibreEHR installatie directory. U wilt soms verwijzen naar deze archieven. De URL is');
INSERT INTO `lang_definitions` VALUES (25464, 6492, 6, 'Het zip-bestand zal de volgende items bevatten');
INSERT INTO `lang_definitions` VALUES (25465, 6493, 6, 'Thema');
INSERT INTO `lang_definitions` VALUES (25466, 6494, 6, 'Dan kan de geplande data feed release verkegen worden bij');
INSERT INTO `lang_definitions` VALUES (25467, 6495, 6, 'Therapeutische injecties');
INSERT INTO `lang_definitions` VALUES (25468, 6496, 6, 'Er zijn');
INSERT INTO `lang_definitions` VALUES (25469, 6497, 6, 'Er zijn momenteel geen recepten');
INSERT INTO `lang_definitions` VALUES (25470, 6498, 6, 'Er zijn fouten met uw toezending. Deze worden hieronder beschreven.');
INSERT INTO `lang_definitions` VALUES (25471, 6499, 6, 'er zijn diverse patienten bij de login Portaal.');
INSERT INTO `lang_definitions` VALUES (25472, 6500, 6, 'Er zijn geen Statussen uitgechecked');
INSERT INTO `lang_definitions` VALUES (25473, 6501, 6, 'Er zijn geen vermeldingen voor deze patient');
INSERT INTO `lang_definitions` VALUES (25474, 6502, 6, 'Er is niets nieuws toegevoegd');
INSERT INTO `lang_definitions` VALUES (25475, 6503, 6, 'Er zijn geen notities voor deze patient');
INSERT INTO `lang_definitions` VALUES (25476, 6504, 6, 'Er zijn geen transacties opgeslagen voor deze patient');
INSERT INTO `lang_definitions` VALUES (25477, 6505, 6, 'Foutje bij versturen van e-mail naar');
INSERT INTO `lang_definitions` VALUES (25478, 6506, 6, 'Er is al een categorie met de naam');
INSERT INTO `lang_definitions` VALUES (25479, 6507, 6, 'Er is al een subcategorie met de naam');
INSERT INTO `lang_definitions` VALUES (25480, 6508, 6, 'Er is al een item genaamd');
INSERT INTO `lang_definitions` VALUES (25481, 6509, 6, 'Er is al een verzoek gedaan om patient record te openen');
INSERT INTO `lang_definitions` VALUES (25482, 6510, 6, 'Er is geen COA ingevoerd voor AR rekening ');
INSERT INTO `lang_definitions` VALUES (25483, 6511, 6, 'Er is geen COA ingevoerd voor Cash rekeninr ');
INSERT INTO `lang_definitions` VALUES (25484, 6512, 6, 'Er is geen COA ingevoerd voor inkomsten rekening ');
INSERT INTO `lang_definitions` VALUES (25485, 6513, 6, 'Er is geen huidige patient');
INSERT INTO `lang_definitions` VALUES (25486, 6514, 6, 'Er is geen lokale inhoud voor dit onderwerp.');
INSERT INTO `lang_definitions` VALUES (25487, 6515, 6, 'Er is geen match voor de invoice id');
INSERT INTO `lang_definitions` VALUES (25488, 6516, 6, 'Er is geen match voor de invoice id = ');
INSERT INTO `lang_definitions` VALUES (25489, 6517, 6, 'Er is geen onderdelen invoer mogelijk voor diensten ID ');
INSERT INTO `lang_definitions` VALUES (25490, 6518, 6, 'Er is geen patient met Portaal login');
INSERT INTO `lang_definitions` VALUES (25491, 6519, 6, 'Er was een probleem bij het verzenden van de boodschap.');
INSERT INTO `lang_definitions` VALUES (25492, 6520, 6, 'Er is een fout opgetreden bij het verwerken van uw verzoek.');
INSERT INTO `lang_definitions` VALUES (25493, 6521, 6, 'Er was een LibreEHR SQL escape fout in de volgende string');
INSERT INTO `lang_definitions` VALUES (25494, 6522, 6, 'Dit zijn de 2012 links');
INSERT INTO `lang_definitions` VALUES (25495, 6523, 6, 'Verdikt rechts');
INSERT INTO `lang_definitions` VALUES (25496, 6524, 6, 'Dijbeen');
INSERT INTO `lang_definitions` VALUES (25497, 6525, 6, 'Dij en hamstrings');
INSERT INTO `lang_definitions` VALUES (25498, 6526, 6, 'Dingen die alleen door back-office ingezien kunen worden');
INSERT INTO `lang_definitions` VALUES (25499, 6527, 6, 'Dingen die backoffice kunnen lezen maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (25500, 6528, 6, 'Dingen die door boekhouding etc. gelezen en aangepast mogen worden');
INSERT INTO `lang_definitions` VALUES (25501, 6529, 6, 'Dingen die back-office kan lezen en gedeeltelijk kan aanpassen');
INSERT INTO `lang_definitions` VALUES (25502, 6530, 6, 'Dingen die alleen kliniekmedewerkers kunnen inzien');
INSERT INTO `lang_definitions` VALUES (25503, 6531, 6, 'Dingen die kliniekmedewerkers kunnen lezen en invoeren maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (25504, 6532, 6, 'Dingen die kliniekmedewerkers kunnen lezen en aanpassen');
INSERT INTO `lang_definitions` VALUES (25505, 6533, 6, 'Dingen die kliniekmedewerkers kunnen inzien en gedeeltelijk kunnen aanpassen');
INSERT INTO `lang_definitions` VALUES (25506, 6534, 6, 'Dingen die Fornt Office kunnen inzien');
INSERT INTO `lang_definitions` VALUES (25507, 6535, 6, 'Dingen die de balie kan lezen maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (25508, 6536, 6, 'Dingen die de balie kan lezen en aanpassen');
INSERT INTO `lang_definitions` VALUES (25509, 6537, 6, 'Dingen die Foront office kunne inzien en gedeeltelijk unnen aanpassen');
INSERT INTO `lang_definitions` VALUES (25510, 6538, 6, 'Dingen die doktoren kunnen inzien');
INSERT INTO `lang_definitions` VALUES (25511, 6539, 6, 'Dingen die doktoren kunnen lezen en invoeren maar niet aanpassen');
INSERT INTO `lang_definitions` VALUES (25512, 6540, 6, 'Dingen die doktoren kunnen lezen en aanpassen');
INSERT INTO `lang_definitions` VALUES (25513, 6541, 6, 'Dingen die doktoren kunnen inzien en gedeeltelijk aanpassen');
INSERT INTO `lang_definitions` VALUES (25514, 6542, 6, 'Derde');
INSERT INTO `lang_definitions` VALUES (25515, 6544, 6, 'Deze actie kan NIET ongedaan worden gemaakt.');
INSERT INTO `lang_definitions` VALUES (25516, 6545, 6, 'Deze actie kan niet ongedaan worden gamaakt.');
INSERT INTO `lang_definitions` VALUES (25517, 6547, 6, 'Deze actie wordt vastgelged');
INSERT INTO `lang_definitions` VALUES (25518, 6549, 6, 'Deze afspraak slot is al toegekend, toch bijvoegen?');
INSERT INTO `lang_definitions` VALUES (25519, 6550, 6, 'Deze afspraak slot is niet beschikbaar, kies een andere optie');
INSERT INTO `lang_definitions` VALUES (25520, 6551, 6, 'DIt kalender jaar');
INSERT INTO `lang_definitions` VALUES (25521, 6552, 6, 'Deze claim is afgewezen');
INSERT INTO `lang_definitions` VALUES (25522, 6553, 6, 'Deze claim is afgesloten');
INSERT INTO `lang_definitions` VALUES (25523, 6554, 6, 'Deze claim is geweigerd. Reden:');
INSERT INTO `lang_definitions` VALUES (25524, 6555, 6, 'Deze claim is doorgestuurd naar het volgende niveau.');
INSERT INTO `lang_definitions` VALUES (25525, 6556, 6, 'Dit type code gaat niet samen met relaties.');
INSERT INTO `lang_definitions` VALUES (25526, 6557, 6, 'Deze contekst bevat categorien die verwijderd gaan worden. Wilt u doorgaan?');
INSERT INTO `lang_definitions` VALUES (25527, 6558, 6, 'Keuzemogelijkheid voor tonen van afspraken in kalender');
INSERT INTO `lang_definitions` VALUES (25528, 6559, 6, 'Hier legt u vast welk kleurschema gebruikt wordt voor afspraken');
INSERT INTO `lang_definitions` VALUES (25529, 6561, 6, 'Dit bezoek');
INSERT INTO `lang_definitions` VALUES (25530, 6562, 6, 'Voor deze encounter is al een rekening gestuurd. Als het verandert moet worden, moet het heropend worden.');
INSERT INTO `lang_definitions` VALUES (25531, 6563, 6, 'Deze necounter is gelocked. Geen nieuwe documenten kunnen toegevoegd worden.');
INSERT INTO `lang_definitions` VALUES (25532, 6564, 6, 'Deze optie is nog niet beschikbaar');
INSERT INTO `lang_definitions` VALUES (25533, 6565, 6, 'Deze functie is zeer experimenteel en niet volledig getest. Eigen risico!');
INSERT INTO `lang_definitions` VALUES (25534, 6566, 6, 'Invoice nummer verandert in ');
INSERT INTO `lang_definitions` VALUES (25535, 6569, 6, 'Deze kaart wordt gemerged naar de hoofd kaart toeen wordt dan verwijdert.');
INSERT INTO `lang_definitions` VALUES (25536, 6571, 6, 'Deze kaart is de hoofd kaart en krijgt de data van de andere kaart');
INSERT INTO `lang_definitions` VALUES (25537, 6572, 6, 'deze locatie');
INSERT INTO `lang_definitions` VALUES (25538, 6573, 6, 'Deze tekst boodschap wordt niet automatisch bewaard. Copieer en bewaar indien gewenst afhenkelijk van de inhoud.');
INSERT INTO `lang_definitions` VALUES (25539, 6574, 6, 'Deze module wordt gebruikt door ');
INSERT INTO `lang_definitions` VALUES (25540, 6575, 6, 'Deze module is in test-modus. De database zal niet worden gewijzigd.');
INSERT INTO `lang_definitions` VALUES (25541, 6576, 6, 'Deze module bevordert efficiënte toegang van EOB gegevens.');
INSERT INTO `lang_definitions` VALUES (25542, 6577, 6, 'Deze maand tot heden');
INSERT INTO `lang_definitions` VALUES (25543, 6578, 6, 'De order werd reeds verzonden op');
INSERT INTO `lang_definitions` VALUES (25544, 6579, 6, 'Deze pagina laat u alle ondersteunde externe uploads bekijken, die kunnen worden geimporteerd en aangepast. Iedere volgende sectie kan worden uitgeklapt door op de sectie tab te klikken om de opties van die database te bekijken.');
INSERT INTO `lang_definitions` VALUES (25545, 6580, 6, 'De pagina is gedectiveerd ivm veiligheids redenen.');
INSERT INTO `lang_definitions` VALUES (25546, 6581, 6, 'Deze pagina zal de login pagina inline toevoegen, zodat we niet ieder keer opnieuw hoeven in te loggen.');
INSERT INTO `lang_definitions` VALUES (25547, 6582, 6, 'Deze patiënt is inacief.');
INSERT INTO `lang_definitions` VALUES (25548, 6583, 6, 'Deze patiënt-ID is al in gebruik!');
INSERT INTO `lang_definitions` VALUES (25549, 6584, 6, 'Dit product mag maar een voorraad per warenhuis hebben');
INSERT INTO `lang_definitions` VALUES (25550, 6585, 6, 'Dit protocol is nog niet geimplementeerd');
INSERT INTO `lang_definitions` VALUES (25551, 6586, 6, 'Dit rapport werkt alleen bij ICD9 codes.');
INSERT INTO `lang_definitions` VALUES (25552, 6589, 6, 'Dit is de specificatie voor Box 31 toevoegen of niet.');
INSERT INTO `lang_definitions` VALUES (25553, 6590, 6, 'DIt geeft de specificatie aan of het in rekening brengen formulier aangemaakt moet worden.');
INSERT INTO `lang_definitions` VALUES (25554, 6591, 6, 'Deze stap laat u een file aanmaken die u voor toekomstig gebruik moet bewaren. Deze file kan niet opnieuw aangemaakt worden. Doorgaaan?');
INSERT INTO `lang_definitions` VALUES (25555, 6592, 6, 'Deze gebruiker is geen lid van een groep');
INSERT INTO `lang_definitions` VALUES (25556, 6593, 6, 'Deze gebruiker krijgt bericht van de nieuw ingekomen Direct-berichten');
INSERT INTO `lang_definitions` VALUES (25557, 6594, 6, 'Deze Utility is experimenteel. Maak eerst een Back/up van de database en documenten voor deze te gebruiken!');
INSERT INTO `lang_definitions` VALUES (25558, 6595, 6, 'Het bezoek begint met nieuw contraceptie gebruik');
INSERT INTO `lang_definitions` VALUES (25559, 6596, 6, 'Dit bezoek moet een GCAC formulier hebben of een procedure dienstverlening');
INSERT INTO `lang_definitions` VALUES (25560, 6597, 6, 'Dit was het oude niet meer ondersteunde metrieke Vitals formulier.');
INSERT INTO `lang_definitions` VALUES (25561, 6598, 6, 'Deze week tot heden');
INSERT INTO `lang_definitions` VALUES (25562, 6600, 6, 'Dit activeert de CCR(Continuiteit van zorg rapport) en CCD (Continueiteit van zorg document) rapportage.');
INSERT INTO `lang_definitions` VALUES (25563, 6602, 6, 'Dit laat toe om de debug(\'dummy\') taal te selecteren.');
INSERT INTO `lang_definitions` VALUES (25564, 6605, 6, 'Dit is een \"test opstelling\" waarbij geen fysieke update plaats vindt.');
INSERT INTO `lang_definitions` VALUES (25565, 6606, 6, 'Dit zal een backup aanmaken in tar-format, die daarna naar uw webbrowser wordt gezonden zodat u het kunt bewaren');
INSERT INTO `lang_definitions` VALUES (25566, 6607, 6, 'Dit zorgt voor document versleuteling en ontcijferings mogelijkheden en niet tonen in de user interface.');
INSERT INTO `lang_definitions` VALUES (25567, 6608, 6, 'Dit maakt alle knoppen Edit onbruikbaar zodra het parent formulier afgesloten is met e-Sing.');
INSERT INTO `lang_definitions` VALUES (25568, 6609, 6, 'Dit maakt de Edit knop onbruikbaar voor elk formulier dat is ge- e-signed');
INSERT INTO `lang_definitions` VALUES (25569, 6611, 6, 'Dit maakt ondertekenen van een hele Encounter mogelijk, ipv een enkel formulier');
INSERT INTO `lang_definitions` VALUES (25570, 6612, 6, 'Hiermee kunt u ieder formulier apart ondertekenen');
INSERT INTO `lang_definitions` VALUES (25571, 6613, 6, 'Dit dwingt de Rekeningen widget in het patienten samenvattings scherm altijd open te blijven.');
INSERT INTO `lang_definitions` VALUES (25572, 6614, 6, 'Hiermee krijgt de User de mogelijkheid om af te sluiten(aparte sluiting en ondertekening)');
INSERT INTO `lang_definitions` VALUES (25573, 6615, 6, 'Dit verstopt de lege -sing logs voor het patient rapport');
INSERT INTO `lang_definitions` VALUES (25574, 6616, 6, 'Dit is om twee patient kaarten te mergen naar een kaart. Het is te gebruiken wanneer een patient per vvergissing twee karten heeft laten aanmaken. Als dat vaak gebeurd, zorg ervoor dat er een betere procedure wordt gescheven. Doe dit niet routine matig!');
INSERT INTO `lang_definitions` VALUES (25575, 6617, 6, 'Dit zal niet voorkomen dat u toch naar de e-voorschrijf pagina gaat.');
INSERT INTO `lang_definitions` VALUES (25576, 6619, 6, 'Hiermee wordt de immunisatie lijst aangepast in plaats van de CVX immunisatie lijst.');
INSERT INTO `lang_definitions` VALUES (25577, 6622, 6, 'Thoracale wervelkolom');
INSERT INTO `lang_definitions` VALUES (25578, 6623, 6, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (25579, 6625, 6, 'Keel');
INSERT INTO `lang_definitions` VALUES (25580, 6626, 6, 'Keelkanker');
INSERT INTO `lang_definitions` VALUES (25581, 6627, 6, 'Keelkanker chirurgie');
INSERT INTO `lang_definitions` VALUES (25582, 6628, 6, 'Trombose/CVA');
INSERT INTO `lang_definitions` VALUES (25583, 6629, 6, 'Don');
INSERT INTO `lang_definitions` VALUES (25584, 6630, 6, 'Donderdag');
INSERT INTO `lang_definitions` VALUES (25585, 6631, 6, 'Donderdag');
INSERT INTO `lang_definitions` VALUES (25586, 6632, 6, 'Schildklier normaal');
INSERT INTO `lang_definitions` VALUES (25587, 6633, 6, 'Schildklierproblemen');
INSERT INTO `lang_definitions` VALUES (25588, 6634, 6, 'TIA');
INSERT INTO `lang_definitions` VALUES (25589, 6635, 6, 'Tibetaans standaard, Tibetaans, cantraal');
INSERT INTO `lang_definitions` VALUES (25590, 6636, 6, 'TID');
INSERT INTO `lang_definitions` VALUES (25591, 6637, 6, 'Tigrinya');
INSERT INTO `lang_definitions` VALUES (25592, 6638, 6, 'Tijd');
INSERT INTO `lang_definitions` VALUES (25593, 6639, 6, 'Format om tijd te tonen');
INSERT INTO `lang_definitions` VALUES (25594, 6640, 6, 'Tijdstoename voor Toevoegen (minuten 1-60)');
INSERT INTO `lang_definitions` VALUES (25595, 6641, 6, 'Tijdselectie');
INSERT INTO `lang_definitions` VALUES (25596, 6642, 6, 'Dit tijdslot is open, gebeurtenis wordt opgeslagen');
INSERT INTO `lang_definitions` VALUES (25597, 6643, 6, 'Tijd resterend voor tonen van Allergie SOAP verzoek in seconden');
INSERT INTO `lang_definitions` VALUES (25598, 6644, 6, 'Tijd resterend voor tonen van Medicatie in SOAP verzoek in zeconden');
INSERT INTO `lang_definitions` VALUES (25599, 6647, 6, 'Tijdgebonden gebeurtenis');
INSERT INTO `lang_definitions` VALUES (25600, 6648, 6, 'Keer array (N / A)');
INSERT INTO `lang_definitions` VALUES (25601, 6649, 6, 'Tijdstip en tekst');
INSERT INTO `lang_definitions` VALUES (25602, 6650, 6, 'TIN');
INSERT INTO `lang_definitions` VALUES (25603, 6651, 6, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (25604, 6652, 6, 'Titel');
INSERT INTO `lang_definitions` VALUES (25605, 6653, 6, 'Titel V');
INSERT INTO `lang_definitions` VALUES (25606, 6654, 6, 'Titels van kolommen moeten nummer hebben tussen 1 en 999');
INSERT INTO `lang_definitions` VALUES (25607, 6655, 6, 'Titels');
INSERT INTO `lang_definitions` VALUES (25608, 6656, 6, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (25609, 6657, 6, 'TMs / EAM\'s / EE, ext neus');
INSERT INTO `lang_definitions` VALUES (25610, 6658, 6, 'Tot');
INSERT INTO `lang_definitions` VALUES (25611, 6659, 6, 'NAAR');
INSERT INTO `lang_definitions` VALUES (25612, 6660, 6, 'tot/tav');
INSERT INTO `lang_definitions` VALUES (25613, 6661, 6, 'naar absolute pad van bestand');
INSERT INTO `lang_definitions` VALUES (25614, 6662, 6, 'Om notities toe te voegen klik ');
INSERT INTO `lang_definitions` VALUES (25615, 6663, 6, 'Om notities toe te voegen klik hier');
INSERT INTO `lang_definitions` VALUES (25616, 6664, 6, 'Op aangedane gebied');
INSERT INTO `lang_definitions` VALUES (25617, 6665, 6, 'op aangedane gebied');
INSERT INTO `lang_definitions` VALUES (25618, 6666, 6, 'Automatisch het gekozen formulier openen. Sommige sport teams gebruiken hiervoor football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (25619, 6667, 6, 'Naar rekening overzicht');
INSERT INTO `lang_definitions` VALUES (25620, 6668, 6, 'naar categorie');
INSERT INTO `lang_definitions` VALUES (25621, 6669, 6, 'Naar klinisch overzicht');
INSERT INTO `lang_definitions` VALUES (25622, 6670, 6, 'Naar COPAY');
INSERT INTO `lang_definitions` VALUES (25623, 6671, 6, 'De totaan datum moet later vallen dan de vanaf datum');
INSERT INTO `lang_definitions` VALUES (25624, 6672, 6, 'Naar korting');
INSERT INTO `lang_definitions` VALUES (25625, 6673, 6, 'Naar Dems');
INSERT INTO `lang_definitions` VALUES (25626, 6674, 6, 'Stop de Client kant SSL certificaat door de voorgaande regels in Apache Configuratie File van comment te voorzien');
INSERT INTO `lang_definitions` VALUES (25627, 6675, 6, 'Stop HTTPS door de voorgaande regels van comment te voorzien in de Apache Configuratie file');
INSERT INTO `lang_definitions` VALUES (25628, 6676, 6, 'Toestaan van Client side SSL certificaten');
INSERT INTO `lang_definitions` VALUES (25629, 6677, 6, 'Toestaan van Client side SSL certificaat authenticatie kan alleen door HTTPS activatie');
INSERT INTO `lang_definitions` VALUES (25630, 6678, 6, 'Om alleen HTTPS toe te staan, zorg dat eerder vermelde veranderingen zijn aangebracht en herstart Apache server. Als u ook client siede certificaten wil activeren, doe dit in de volgende sectie');
INSERT INTO `lang_definitions` VALUES (25631, 6679, 6, 'Naar consultatie');
INSERT INTO `lang_definitions` VALUES (25632, 6680, 6, 'Scheiding adhv geslacht');
INSERT INTO `lang_definitions` VALUES (25633, 6681, 6, 'Naar Historie');
INSERT INTO `lang_definitions` VALUES (25634, 6682, 6, 'Naar problemen');
INSERT INTO `lang_definitions` VALUES (25635, 6683, 6, 'Om dit contact aan een reeds bestaand probleem/consult te koppelen, klikt u op het ');
INSERT INTO `lang_definitions` VALUES (25636, 6684, 6, 'Om dit contact aan een reeds bestaand probleem/consult te koppelen, klikt u op het gewenste probleem hierboven en daarna op [Bewaren]. Houd de [Ctrl] toets ingedrukt als u meerdere problemen tegelijkertijd wilt selecteren.');
INSERT INTO `lang_definitions` VALUES (25637, 6685, 6, 'opnieuw naar inloggen');
INSERT INTO `lang_definitions` VALUES (25638, 6686, 6, 'Om vermeldingen vast te leggen, klikken');
INSERT INTO `lang_definitions` VALUES (25639, 6687, 6, 'lopen');
INSERT INTO `lang_definitions` VALUES (25640, 6688, 6, 'Om https toegang van client certificatie authenticatie te geven doe het volgende');
INSERT INTO `lang_definitions` VALUES (25641, 6689, 6, 'Op de huid');
INSERT INTO `lang_definitions` VALUES (25642, 6690, 6, 'op de huid');
INSERT INTO `lang_definitions` VALUES (25643, 6691, 6, 'naar deze visite?');
INSERT INTO `lang_definitions` VALUES (25644, 6692, 6, 'Om reeds bestaand CCR document te uploaden van een patiënt gebruik: Patient Summary Screen-> Documenten. Voor CCR-document van een nieuwe patiënt maak gebruik van: Miscellanous-> New Documents scherm');
INSERT INTO `lang_definitions` VALUES (25645, 6693, 6, 'Aan:');
INSERT INTO `lang_definitions` VALUES (25646, 6694, 6, 'Aan: ');
INSERT INTO `lang_definitions` VALUES (25647, 6695, 6, 'NAAR_STAD');
INSERT INTO `lang_definitions` VALUES (25648, 6696, 6, 'NAAR_FAX');
INSERT INTO `lang_definitions` VALUES (25649, 6697, 6, 'NAAR_VNAAM');
INSERT INTO `lang_definitions` VALUES (25650, 6698, 6, 'NAAR_ANAAM');
INSERT INTO `lang_definitions` VALUES (25651, 6699, 6, 'NAAR_MNAAM');
INSERT INTO `lang_definitions` VALUES (25652, 6700, 6, 'NAAR_ORGANISATIE');
INSERT INTO `lang_definitions` VALUES (25653, 6701, 6, 'NAAR_TELEFOON');
INSERT INTO `lang_definitions` VALUES (25654, 6702, 6, 'NAAR_MOBIELETELEFOON');
INSERT INTO `lang_definitions` VALUES (25655, 6703, 6, 'NAAR_POSTKANTOOR');
INSERT INTO `lang_definitions` VALUES (25656, 6704, 6, 'NAAR _STAAT');
INSERT INTO `lang_definitions` VALUES (25657, 6705, 6, 'NAAR_STRAAT');
INSERT INTO `lang_definitions` VALUES (25658, 6706, 6, 'NAAR_TITEL');
INSERT INTO `lang_definitions` VALUES (25659, 6707, 6, 'NAAR_EXTRA-TITELS');
INSERT INTO `lang_definitions` VALUES (25660, 6708, 6, 'Tabak');
INSERT INTO `lang_definitions` VALUES (25661, 6709, 6, 'Interventie tabaksgebruik stoppen');
INSERT INTO `lang_definitions` VALUES (25662, 6710, 6, 'Interventie tabaksgebruik stoppen (CQM)');
INSERT INTO `lang_definitions` VALUES (25663, 6711, 6, 'Tabaks gebruik');
INSERT INTO `lang_definitions` VALUES (25664, 6712, 6, 'Tabaksgebruik');
INSERT INTO `lang_definitions` VALUES (25665, 6713, 6, 'Evaluatie tabaksgebruik');
INSERT INTO `lang_definitions` VALUES (25666, 6714, 6, 'Evaluatie tabaksgebruik (CQM)');
INSERT INTO `lang_definitions` VALUES (25667, 6715, 6, 'Vandaag');
INSERT INTO `lang_definitions` VALUES (25668, 6716, 6, 'Vandaag');
INSERT INTO `lang_definitions` VALUES (25669, 6717, 6, 'vandaag');
INSERT INTO `lang_definitions` VALUES (25670, 6718, 6, 'Balans van vandaag');
INSERT INTO `lang_definitions` VALUES (25671, 6719, 6, 'Kosten van vandaag');
INSERT INTO `lang_definitions` VALUES (25672, 6720, 6, 'Datum van vandaag');
INSERT INTO `lang_definitions` VALUES (25673, 6721, 6, 'Gebeurtenis(sen) vandaag');
INSERT INTO `lang_definitions` VALUES (25674, 6722, 6, 'Allemaal omzetten');
INSERT INTO `lang_definitions` VALUES (25675, 6723, 6, 'Token ID voor de Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (25676, 6724, 6, 'Token ID voor de LibreEHR ondersteuning voor LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (25677, 6725, 6, 'Tonga (TOnga Eilenden)');
INSERT INTO `lang_definitions` VALUES (25678, 6726, 6, 'Tonsilectomie');
INSERT INTO `lang_definitions` VALUES (25679, 6727, 6, 'tonsilectomie');
INSERT INTO `lang_definitions` VALUES (25680, 6728, 6, 'Boven');
INSERT INTO `lang_definitions` VALUES (25681, 6729, 6, 'Bovenste kantlijk (mm)');
INSERT INTO `lang_definitions` VALUES (25682, 6730, 6, 'Onderdeel');
INSERT INTO `lang_definitions` VALUES (25683, 6731, 6, 'Totaal');
INSERT INTO `lang_definitions` VALUES (25684, 6732, 6, 'totaal');
INSERT INTO `lang_definitions` VALUES (25685, 6733, 6, 'Totaal actieve acties');
INSERT INTO `lang_definitions` VALUES (25686, 6734, 6, 'Toaal actieve reminders na update');
INSERT INTO `lang_definitions` VALUES (25687, 6735, 6, 'Totaal actieve reminders voor update');
INSERT INTO `lang_definitions` VALUES (25688, 6737, 6, 'Totaal verschuldigde bedrag');
INSERT INTO `lang_definitions` VALUES (25689, 6738, 6, 'Totaalbedrag betaald');
INSERT INTO `lang_definitions` VALUES (25690, 6739, 6, 'Totaalbedrag schuldig');
INSERT INTO `lang_definitions` VALUES (25691, 6740, 6, 'Totaal bedrag');
INSERT INTO `lang_definitions` VALUES (25692, 6741, 6, 'Totale extra betalingen');
INSERT INTO `lang_definitions` VALUES (25693, 6742, 6, 'Totaal aantal clienten');
INSERT INTO `lang_definitions` VALUES (25694, 6743, 6, 'Totale kosten');
INSERT INTO `lang_definitions` VALUES (25695, 6744, 6, 'De totale toewijzing voor het volgende check nummer is niet vol');
INSERT INTO `lang_definitions` VALUES (25696, 6745, 6, 'totaal aantal entries');
INSERT INTO `lang_definitions` VALUES (25697, 6746, 6, 'Totaal aantal mislukte reminders verzonden via e-mail');
INSERT INTO `lang_definitions` VALUES (25698, 6747, 6, 'Totaal aantal mislukte reminders verzonden via telefoon');
INSERT INTO `lang_definitions` VALUES (25699, 6748, 6, 'Totaal voor');
INSERT INTO `lang_definitions` VALUES (25700, 6749, 6, 'Totaal voor ');
INSERT INTO `lang_definitions` VALUES (25701, 6750, 6, 'Totaal voor categorie');
INSERT INTO `lang_definitions` VALUES (25702, 6751, 6, 'Totaal geinactiveerde reminders');
INSERT INTO `lang_definitions` VALUES (25703, 6752, 6, 'Totaal nieuwe reminders');
INSERT INTO `lang_definitions` VALUES (25704, 6753, 6, 'Totaal aantal afspraken');
INSERT INTO `lang_definitions` VALUES (25705, 6755, 6, 'Totaal aantal immunisaties');
INSERT INTO `lang_definitions` VALUES (25706, 6756, 6, 'Totaal aantal Issues');
INSERT INTO `lang_definitions` VALUES (25707, 6758, 6, 'Totaal aantal patienten');
INSERT INTO `lang_definitions` VALUES (25708, 6760, 6, 'Totaal clinet balans');
INSERT INTO `lang_definitions` VALUES (25709, 6761, 6, 'Totaal aantal patienten');
INSERT INTO `lang_definitions` VALUES (25710, 6764, 6, 'Totaal aantal records gevonden');
INSERT INTO `lang_definitions` VALUES (25711, 6765, 6, 'Totaal SRH & Family planning');
INSERT INTO `lang_definitions` VALUES (25712, 6766, 6, 'Totaal aantal succesvol verstuurde reminders per e-mail');
INSERT INTO `lang_definitions` VALUES (25713, 6767, 6, 'Totaal aantal succesvol verstuurde reminders per telefoon');
INSERT INTO `lang_definitions` VALUES (25714, 6770, 6, 'Totaal niet veranderde reminders');
INSERT INTO `lang_definitions` VALUES (25715, 6771, 6, 'Totaal niet verzonden reminders na versturen');
INSERT INTO `lang_definitions` VALUES (25716, 6772, 6, 'Totaal niet verzonden reminders na update');
INSERT INTO `lang_definitions` VALUES (25717, 6773, 6, 'Totaal niet verzonden reminders voor versturen');
INSERT INTO `lang_definitions` VALUES (25718, 6774, 6, 'Totaal niet verzonden voor update');
INSERT INTO `lang_definitions` VALUES (25719, 6775, 6, 'Totaal aangepaste reminders');
INSERT INTO `lang_definitions` VALUES (25720, 6776, 6, 'Totalen');
INSERT INTO `lang_definitions` VALUES (25721, 6777, 6, 'Totalen voor');
INSERT INTO `lang_definitions` VALUES (25722, 6778, 6, 'Totalen voor ');
INSERT INTO `lang_definitions` VALUES (25723, 6780, 6, 'tot{{range}}');
INSERT INTO `lang_definitions` VALUES (25724, 6782, 6, 'Vervolgen');
INSERT INTO `lang_definitions` VALUES (25725, 6783, 6, 'Vervolg rapport');
INSERT INTO `lang_definitions` VALUES (25726, 6784, 6, 'Wat te vervolden');
INSERT INTO `lang_definitions` VALUES (25727, 6785, 6, 'Soort training');
INSERT INTO `lang_definitions` VALUES (25728, 6786, 6, 'Transactie');
INSERT INTO `lang_definitions` VALUES (25729, 6787, 6, 'Verklaring/verwijzing');
INSERT INTO `lang_definitions` VALUES (25730, 6788, 6, 'verklaring');
INSERT INTO `lang_definitions` VALUES (25731, 6789, 6, 'Transactie mislukt, onvoldoende hoeveelheid voor bestemmings voorraad');
INSERT INTO `lang_definitions` VALUES (25732, 6790, 6, 'Transactie mislukt, hoeveelheid is kleiner dan nul');
INSERT INTO `lang_definitions` VALUES (25733, 6791, 6, 'Soort verklaring');
INSERT INTO `lang_definitions` VALUES (25734, 6792, 6, 'Transacties');
INSERT INTO `lang_definitions` VALUES (25735, 6793, 6, 'Transacties');
INSERT INTO `lang_definitions` VALUES (25736, 6794, 6, 'Transacties (schrijven optioneel)');
INSERT INTO `lang_definitions` VALUES (25737, 6795, 6, 'Transactie/Verwijzingen');
INSERT INTO `lang_definitions` VALUES (25738, 6797, 6, 'Overplaatsing');
INSERT INTO `lang_definitions` VALUES (25739, 6798, 6, 'Datum van overplaatsing');
INSERT INTO `lang_definitions` VALUES (25740, 6799, 6, 'Overplaatsing mislukt, onvoldoende hoeveelheid in begin voorraad');
INSERT INTO `lang_definitions` VALUES (25741, 6800, 6, 'Overplaatsings samenvatting');
INSERT INTO `lang_definitions` VALUES (25742, 6801, 6, 'Verwijzen naar');
INSERT INTO `lang_definitions` VALUES (25743, 6804, 6, 'Overplaatsingen');
INSERT INTO `lang_definitions` VALUES (25744, 6806, 6, 'Overdracht van zorg?');
INSERT INTO `lang_definitions` VALUES (25745, 6807, 6, 'Vertaal Access Controle groepen');
INSERT INTO `lang_definitions` VALUES (25746, 6808, 6, 'Vertaal Afpraak Categorieen');
INSERT INTO `lang_definitions` VALUES (25747, 6809, 6, 'Vertaal Document Categorieen');
INSERT INTO `lang_definitions` VALUES (25748, 6810, 6, 'Vertaal Layouts');
INSERT INTO `lang_definitions` VALUES (25749, 6811, 6, 'Vertaal Lijsten');
INSERT INTO `lang_definitions` VALUES (25750, 6812, 6, 'Vertaal patient notitites');
INSERT INTO `lang_definitions` VALUES (25751, 6813, 6, 'vertaal dit');
INSERT INTO `lang_definitions` VALUES (25752, 6814, 6, 'Vertaling');
INSERT INTO `lang_definitions` VALUES (25753, 6815, 6, 'Vertalingen');
INSERT INTO `lang_definitions` VALUES (25754, 6816, 6, 'Verzenden');
INSERT INTO `lang_definitions` VALUES (25755, 6817, 6, 'Verzenden mislukt');
INSERT INTO `lang_definitions` VALUES (25756, 6818, 6, 'Verzend geselecteerde orders');
INSERT INTO `lang_definitions` VALUES (25757, 6819, 6, 'Ongeval');
INSERT INTO `lang_definitions` VALUES (25758, 6820, 6, 'Behandeling');
INSERT INTO `lang_definitions` VALUES (25759, 6822, 6, 'Behandelingsdoelen');
INSERT INTO `lang_definitions` VALUES (25760, 6823, 6, 'Behandelingsplan');
INSERT INTO `lang_definitions` VALUES (25761, 6824, 6, 'Planning voor behandeling');
INSERT INTO `lang_definitions` VALUES (25762, 6825, 6, 'Behandeling gegeven');
INSERT INTO `lang_definitions` VALUES (25763, 6826, 6, 'Behandeling:');
INSERT INTO `lang_definitions` VALUES (25764, 6827, 6, 'Behandeling: ');
INSERT INTO `lang_definitions` VALUES (25765, 6828, 6, 'Tendens');
INSERT INTO `lang_definitions` VALUES (25766, 6829, 6, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (25767, 6830, 6, 'Trigger punt / Compartement Syndroom / DOMS /Cramp');
INSERT INTO `lang_definitions` VALUES (25768, 6831, 6, 'Trimalleolair');
INSERT INTO `lang_definitions` VALUES (25769, 6832, 6, 'Romp en Abdomen');
INSERT INTO `lang_definitions` VALUES (25770, 6833, 6, 'Vertrouwd direct e-mail adres');
INSERT INTO `lang_definitions` VALUES (25771, 6834, 6, 'Vertrouwde e-mail');
INSERT INTO `lang_definitions` VALUES (25772, 6835, 6, 'U probeert een gebruiker met een reeeds bestaande naam te maken!');
INSERT INTO `lang_definitions` VALUES (25773, 6836, 6, 'Tsonga');
INSERT INTO `lang_definitions` VALUES (25774, 6837, 6, 'theelepel');
INSERT INTO `lang_definitions` VALUES (25775, 6838, 6, 'Tswana');
INSERT INTO `lang_definitions` VALUES (25776, 6839, 6, 'TTS');
INSERT INTO `lang_definitions` VALUES (25777, 6840, 6, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (25778, 6841, 6, 'Din');
INSERT INTO `lang_definitions` VALUES (25779, 6842, 6, 'Dinsd-Dond');
INSERT INTO `lang_definitions` VALUES (25780, 6843, 6, 'Dinsdag');
INSERT INTO `lang_definitions` VALUES (25781, 6844, 6, 'Tumor');
INSERT INTO `lang_definitions` VALUES (25782, 6845, 6, 'Turks');
INSERT INTO `lang_definitions` VALUES (25783, 6846, 6, 'Turkmeens');
INSERT INTO `lang_definitions` VALUES (25784, 6847, 6, 'Twi');
INSERT INTO `lang_definitions` VALUES (25785, 6848, 6, '2 x daags');
INSERT INTO `lang_definitions` VALUES (25786, 6850, 6, 'Trommelvlies');
INSERT INTO `lang_definitions` VALUES (25787, 6851, 6, 'Soort');
INSERT INTO `lang_definitions` VALUES (25788, 6852, 6, 'Gebruik Id of Naam met minimaal drie karakters (inclusief spaties)');
INSERT INTO `lang_definitions` VALUES (25789, 6853, 6, 'Keuze van kolommen die getoond moeten worden voor Patient zoek resultaat');
INSERT INTO `lang_definitions` VALUES (25790, 6854, 6, 'Type vermelding');
INSERT INTO `lang_definitions` VALUES (25791, 6855, 6, 'Soort gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (25792, 6856, 6, 'Soort layout van scherm');
INSERT INTO `lang_definitions` VALUES (25793, 6857, 6, 'Soort scan met hier de patiënt ID');
INSERT INTO `lang_definitions` VALUES (25794, 6858, 6, 'Tiep hier uw bericht');
INSERT INTO `lang_definitions` VALUES (25795, 6859, 6, 'Aanvraag en resultaat');
INSERT INTO `lang_definitions` VALUES (25796, 6864, 6, 'UCSMC codes die door de Universiteit van Calgary Sports Medicine Centre gegeven zijn');
INSERT INTO `lang_definitions` VALUES (25797, 6865, 6, 'Oekrainisch');
INSERT INTO `lang_definitions` VALUES (25798, 6866, 6, 'Ulceraties');
INSERT INTO `lang_definitions` VALUES (25799, 6867, 6, 'Ulceratieve Colitis');
INSERT INTO `lang_definitions` VALUES (25800, 6868, 6, 'Ulcers:');
INSERT INTO `lang_definitions` VALUES (25801, 6869, 6, 'Directorie kan niet bereikt worden');
INSERT INTO `lang_definitions` VALUES (25802, 6870, 6, 'URL kan niet bereikt worden');
INSERT INTO `lang_definitions` VALUES (25803, 6871, 6, 'Niet in staat aan te maken');
INSERT INTO `lang_definitions` VALUES (25804, 6872, 6, 'Niet gelukt om patient document subdireftorie te maken');
INSERT INTO `lang_definitions` VALUES (25805, 6873, 6, 'Geen data in deze file gevonden');
INSERT INTO `lang_definitions` VALUES (25806, 6874, 6, 'Niet mogelijk om deze betaling terug te vinden in ar_activity');
INSERT INTO `lang_definitions` VALUES (25807, 6875, 6, 'Niet mogelijk om applicatie te configureren. Geef schrijf toestemming aan');
INSERT INTO `lang_definitions` VALUES (25808, 6876, 6, 'Nog niet vastgelegd');
INSERT INTO `lang_definitions` VALUES (25809, 6877, 6, 'Maak een keuze');
INSERT INTO `lang_definitions` VALUES (25810, 6878, 6, 'Niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (25811, 6879, 6, 'Niet geautoriseerde toegang voor ePrescription');
INSERT INTO `lang_definitions` VALUES (25812, 6880, 6, 'Toegang niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (25813, 6881, 6, 'Niet aangemaakt');
INSERT INTO `lang_definitions` VALUES (25814, 6882, 6, 'Niet verstuurde rekeningen');
INSERT INTO `lang_definitions` VALUES (25815, 6884, 6, 'onder de tong');
INSERT INTO `lang_definitions` VALUES (25816, 6885, 6, 'Ondergewicht');
INSERT INTO `lang_definitions` VALUES (25817, 6886, 6, 'Niet gediagnostiseerd');
INSERT INTO `lang_definitions` VALUES (25818, 6887, 6, 'NIET verwerkt');
INSERT INTO `lang_definitions` VALUES (25819, 6888, 6, 'NIET verwerkt');
INSERT INTO `lang_definitions` VALUES (25820, 6889, 6, 'Niet verwerkt is');
INSERT INTO `lang_definitions` VALUES (25821, 6890, 6, 'Maak Checkout ongedaan');
INSERT INTO `lang_definitions` VALUES (25822, 6892, 6, 'Unieke Klanten');
INSERT INTO `lang_definitions` VALUES (25823, 6893, 6, 'Unieke identificatie, door mens te lezen, voor dit type');
INSERT INTO `lang_definitions` VALUES (25824, 6894, 6, 'Unieke nieuwe klanten');
INSERT INTO `lang_definitions` VALUES (25825, 6895, 6, 'Unieke nummer identifcatie voor dit type');
INSERT INTO `lang_definitions` VALUES (25826, 6896, 6, 'Patiënten die eenmalig gezien werden');
INSERT INTO `lang_definitions` VALUES (25827, 6897, 6, 'Overzicht van Patiënten die eenmalig gezien werden');
INSERT INTO `lang_definitions` VALUES (25828, 6898, 6, 'Eenmalig bezoek patient');
INSERT INTO `lang_definitions` VALUES (25829, 6899, 6, 'Eenheid');
INSERT INTO `lang_definitions` VALUES (25830, 6900, 6, 'Eenheden');
INSERT INTO `lang_definitions` VALUES (25831, 6901, 6, 'eenheden');
INSERT INTO `lang_definitions` VALUES (25832, 6902, 6, 'Units nodig voor de waaerde van het resultaat');
INSERT INTO `lang_definitions` VALUES (25833, 6903, 6, 'Eenheden voor Vitals Formulier');
INSERT INTO `lang_definitions` VALUES (25834, 6904, 6, 'Eenheden moeten een getal zijn');
INSERT INTO `lang_definitions` VALUES (25835, 6905, 6, 'Units niet gedefinieerd');
INSERT INTO `lang_definitions` VALUES (25836, 6906, 6, 'Units/L');
INSERT INTO `lang_definitions` VALUES (25837, 6907, 6, 'Onbekend of N/A');
INSERT INTO `lang_definitions` VALUES (25838, 6908, 6, 'onbekend (zie log)');
INSERT INTO `lang_definitions` VALUES (25839, 6910, 6, 'Niets bekend over roken');
INSERT INTO `lang_definitions` VALUES (25840, 6911, 6, 'Onbekend of N/A');
INSERT INTO `lang_definitions` VALUES (25841, 6912, 6, 'Onbekende User Id:');
INSERT INTO `lang_definitions` VALUES (25842, 6913, 6, 'ontkoppel patient');
INSERT INTO `lang_definitions` VALUES (25843, 6914, 6, 'Niet met name genoemde verzekeringsmij.');
INSERT INTO `lang_definitions` VALUES (25844, 6915, 6, 'Niet geregistreerd');
INSERT INTO `lang_definitions` VALUES (25845, 6916, 6, 'Niet geregistreerde modules');
INSERT INTO `lang_definitions` VALUES (25846, 6918, 6, 'Alles deselecteren');
INSERT INTO `lang_definitions` VALUES (25847, 6919, 6, 'Niet geselecteerd');
INSERT INTO `lang_definitions` VALUES (25848, 6920, 6, 'Ongespecificeerd');
INSERT INTO `lang_definitions` VALUES (25849, 6921, 6, 'ongestructureerd');
INSERT INTO `lang_definitions` VALUES (25850, 6922, 6, 'Het laden van database file wordt niet ondersteund');
INSERT INTO `lang_definitions` VALUES (25851, 6924, 6, 'tot');
INSERT INTO `lang_definitions` VALUES (25852, 6925, 6, 'Onverwachtte aanvulling');
INSERT INTO `lang_definitions` VALUES (25853, 6926, 6, 'Ongebruikt');
INSERT INTO `lang_definitions` VALUES (25854, 6927, 6, 'UOR');
INSERT INTO `lang_definitions` VALUES (25855, 6928, 6, 'Tot aan');
INSERT INTO `lang_definitions` VALUES (25856, 6929, 6, 'Lopende afspraken');
INSERT INTO `lang_definitions` VALUES (25857, 6930, 6, 'Lopende gebeurtenissen');
INSERT INTO `lang_definitions` VALUES (25858, 6931, 6, 'Updaten');
INSERT INTO `lang_definitions` VALUES (25859, 6932, 6, 'Update');
INSERT INTO `lang_definitions` VALUES (25860, 6933, 6, 'Update actief');
INSERT INTO `lang_definitions` VALUES (25861, 6934, 6, 'Bestanden updaten');
INSERT INTO `lang_definitions` VALUES (25862, 6935, 6, 'Info updaten');
INSERT INTO `lang_definitions` VALUES (25863, 6936, 6, 'Update lijst');
INSERT INTO `lang_definitions` VALUES (25864, 6937, 6, 'Update nummer van behandelaar');
INSERT INTO `lang_definitions` VALUES (25865, 6938, 6, 'Update geselecteerde Items');
INSERT INTO `lang_definitions` VALUES (25866, 6939, 6, 'Update de volgende variabelen in de file');
INSERT INTO `lang_definitions` VALUES (25867, 6940, 6, 'Updat User Info');
INSERT INTO `lang_definitions` VALUES (25868, 6942, 6, 'Persoonsgegevens updaten is niet toegestaan');
INSERT INTO `lang_definitions` VALUES (25869, 6943, 6, 'Up-loaden van configuratie file defaults');
INSERT INTO `lang_definitions` VALUES (25870, 6944, 6, 'Aanpassing versie indidcatoren');
INSERT INTO `lang_definitions` VALUES (25871, 6945, 6, 'UPGRADE');
INSERT INTO `lang_definitions` VALUES (25872, 6946, 6, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (25873, 6947, 6, 'Database upgraden');
INSERT INTO `lang_definitions` VALUES (25874, 6948, 6, 'Om LibreEHR database te upgraden om Procedures, Functies en tabellen, nodig voor het De-identificatie proces toe te voegen');
INSERT INTO `lang_definitions` VALUES (25875, 6949, 6, 'Upgrading gaat door');
INSERT INTO `lang_definitions` VALUES (25876, 6950, 6, 'Old NPI');
INSERT INTO `lang_definitions` VALUES (25877, 6951, 6, 'Uploaden');
INSERT INTO `lang_definitions` VALUES (25878, 6952, 6, 'Template uploaden');
INSERT INTO `lang_definitions` VALUES (25879, 6953, 6, 'Uploaden en intalleren');
INSERT INTO `lang_definitions` VALUES (25880, 6954, 6, 'Opladen configuratie data');
INSERT INTO `lang_definitions` VALUES (25881, 6955, 6, 'Document uploaden');
INSERT INTO `lang_definitions` VALUES (25882, 6956, 6, 'Uploaden mislukt!');
INSERT INTO `lang_definitions` VALUES (25883, 6957, 6, 'Plaatje werd geladen naar');
INSERT INTO `lang_definitions` VALUES (25884, 6958, 6, 'Importbestand uploaden:');
INSERT INTO `lang_definitions` VALUES (25885, 6959, 6, 'Uploaden van Patient Educatie PDF naar');
INSERT INTO `lang_definitions` VALUES (25886, 6960, 6, 'Upload proces is gelukt');
INSERT INTO `lang_definitions` VALUES (25887, 6961, 6, 'Rapport uploaden');
INSERT INTO `lang_definitions` VALUES (25888, 6962, 6, 'Uploaden van de xml file naar Categorie CCR');
INSERT INTO `lang_definitions` VALUES (25889, 6963, 6, 'Dit bestand uploaden');
INSERT INTO `lang_definitions` VALUES (25890, 6964, 6, 'Bij het klikken op een invoice nummer verschijnt het \"handleiding posting venster\". Hier kunt u de datum en notities voor de factuur veranderen, de naam selecteren voor wie je invoert en de verzekeringen selecteren waarvoor alle te verwachen betalingen zijn ontvangen. Belangrijker, voor elke facturerings code waarvoor een bedrag in rekening werd gebracht, kunt u de betaling en informatie aanpassen.');
INSERT INTO `lang_definitions` VALUES (25891, 6965, 6, 'Bij het zoeken wordt u een lijst van facturen getoond. U klikt op een van de factuurnummers om een tweede venster te openen, waarbij gegevensinvoer in de pagina handmatig gedaan kan worden. U kunt ook klikken op de naam van een patiënt als u een notitie wilt maken voor de front office medewerkers, zodat deze kunnen zien wanneer de patiënt aankomt en u kunt de facturen selecteren die op de statements van de patiënt verschijnen en deze statements afdrukken.');
INSERT INTO `lang_definitions` VALUES (25892, 6966, 6, 'Bovenarm');
INSERT INTO `lang_definitions` VALUES (25893, 6967, 6, 'Urdu');
INSERT INTO `lang_definitions` VALUES (25894, 6968, 6, 'Urgentie');
INSERT INTO `lang_definitions` VALUES (25895, 6970, 6, 'Urine');
INSERT INTO `lang_definitions` VALUES (25896, 6971, 6, 'Urineverlies');
INSERT INTO `lang_definitions` VALUES (25897, 6972, 6, 'Frequentie van mictie');
INSERT INTO `lang_definitions` VALUES (25898, 6973, 6, 'Moeizaam op gang komen mictie');
INSERT INTO `lang_definitions` VALUES (25899, 6974, 6, 'Urine microalbumine');
INSERT INTO `lang_definitions` VALUES (25900, 6975, 6, 'Straal van mictie');
INSERT INTO `lang_definitions` VALUES (25901, 6976, 6, 'Mictie drang');
INSERT INTO `lang_definitions` VALUES (25902, 6977, 6, 'URL');
INSERT INTO `lang_definitions` VALUES (25903, 6979, 6, 'URL van ondersteuning voor LibreEHR');
INSERT INTO `lang_definitions` VALUES (25904, 6981, 6, 'URL voor de telefoon Gateway. Geautomatiseerde VOIP service verleend door Maviq. Bezoek http://signup.maviq.com voor meer informatie.');
INSERT INTO `lang_definitions` VALUES (25905, 6985, 6, 'Gebruik');
INSERT INTO `lang_definitions` VALUES (25906, 6986, 6, 'Gebruiks Indicator (ISA15)');
INSERT INTO `lang_definitions` VALUES (25907, 6987, 6, 'Gebruik alleen % in een veld als u die kolom sorteert');
INSERT INTO `lang_definitions` VALUES (25908, 6988, 6, '24-uurs tijdnotering?');
INSERT INTO `lang_definitions` VALUES (25909, 6990, 6, 'Gebruik certified EHR technologie om patient specifieke voorichtings bron te vinden en aan patient te geven indien van toepassing.');
INSERT INTO `lang_definitions` VALUES (25910, 6991, 6, 'Gebruik scherm om inrekening te brengen');
INSERT INTO `lang_definitions` VALUES (25911, 6992, 6, 'Gebruik CPOE voor medicijn bestellingen zelf ingevoerd door een bevoegd behandlaar met licentie die bestellingen kan invoeren inde medische records per State, lokaal en professionele richtlijnen.');
INSERT INTO `lang_definitions` VALUES (25912, 6997, 6, 'Gebruik zelf gemaakte immunisatie lijst');
INSERT INTO `lang_definitions` VALUES (25913, 6999, 6, 'Gebruik datum range');
INSERT INTO `lang_definitions` VALUES (25914, 7000, 6, 'Gebruik standaard');
INSERT INTO `lang_definitions` VALUES (25915, 7001, 6, 'Gebruik DELETE mogelijkheid om te verwijderen');
INSERT INTO `lang_definitions` VALUES (25916, 7002, 6, 'Gebruik internationale datumstijl?');
INSERT INTO `lang_definitions` VALUES (25917, 7003, 6, 'Gebruik SOURCE file naam');
INSERT INTO `lang_definitions` VALUES (25918, 7004, 6, 'Gebruik onderstaand veld voor aankoop of overplaatsing');
INSERT INTO `lang_definitions` VALUES (25919, 7005, 6, 'Gebruik deze mogelijkheid alleen bij NIEUW geinstalleerde site, ');
INSERT INTO `lang_definitions` VALUES (25920, 7006, 6, 'Gebruik onderwerpen?');
INSERT INTO `lang_definitions` VALUES (25921, 7007, 6, 'Gebruiker');
INSERT INTO `lang_definitions` VALUES (25922, 7009, 6, 'Gebruiker / groepen');
INSERT INTO `lang_definitions` VALUES (25923, 7010, 6, 'Gebruikers administratie');
INSERT INTO `lang_definitions` VALUES (25924, 7011, 6, 'Gebruiker- en lokatiebeheer');
INSERT INTO `lang_definitions` VALUES (25925, 7012, 6, 'Gebruiker- en groepsbeheer');
INSERT INTO `lang_definitions` VALUES (25926, 7013, 6, 'User kan niet verwijderd worden');
INSERT INTO `lang_definitions` VALUES (25927, 7014, 6, 'User Certificaat Authenticatie is niet geactiveerd');
INSERT INTO `lang_definitions` VALUES (25928, 7015, 6, 'Door gebruiker aangemaakt');
INSERT INTO `lang_definitions` VALUES (25929, 7016, 6, 'Door gebruiker aangemaakte locatie 11');
INSERT INTO `lang_definitions` VALUES (25930, 7017, 6, 'Door gebruiker aangemaakte locatie 12');
INSERT INTO `lang_definitions` VALUES (25931, 7018, 6, 'Door gebruiker aangemaakt veld');
INSERT INTO `lang_definitions` VALUES (25932, 7019, 6, 'Door gebruiker aangemaakte lijst 1');
INSERT INTO `lang_definitions` VALUES (25933, 7020, 6, 'Door gebruiker aangemaakte lijst 2');
INSERT INTO `lang_definitions` VALUES (25934, 7021, 6, 'Door gebruiker aangemaakte lijst 3');
INSERT INTO `lang_definitions` VALUES (25935, 7022, 6, 'Door gebruiker aangemaakte lijst 4');
INSERT INTO `lang_definitions` VALUES (25936, 7023, 6, 'Door gebruiker aangemaakte lijst 5');
INSERT INTO `lang_definitions` VALUES (25937, 7024, 6, 'Door gebruiker aangemaakte lijst 6');
INSERT INTO `lang_definitions` VALUES (25938, 7025, 6, 'Door gebruiker aangemaakte lijst 7');
INSERT INTO `lang_definitions` VALUES (25939, 7026, 6, 'Door gebruiker aangemaakte tekst 1');
INSERT INTO `lang_definitions` VALUES (25940, 7027, 6, 'Door gebruiker aangemaakte tekst 2');
INSERT INTO `lang_definitions` VALUES (25941, 7028, 6, 'Door gebruiker aangemaakte tekst 3');
INSERT INTO `lang_definitions` VALUES (25942, 7029, 6, 'Door gebruiker aangemaakte tekst 4');
INSERT INTO `lang_definitions` VALUES (25943, 7030, 6, 'Door gebruiker aangemaakte tekst 5');
INSERT INTO `lang_definitions` VALUES (25944, 7031, 6, 'Door gebruiker aangemaakte tekst 6');
INSERT INTO `lang_definitions` VALUES (25945, 7032, 6, 'Door gebruiker aangemaakte tekst 7');
INSERT INTO `lang_definitions` VALUES (25946, 7033, 6, 'Door gebruiker aangemaakte tekst 8');
INSERT INTO `lang_definitions` VALUES (25947, 7034, 6, 'Voornaam User');
INSERT INTO `lang_definitions` VALUES (25948, 7037, 6, 'USER Logon (met 03 hierboven, anders spatie laten staan) (ISA02)');
INSERT INTO `lang_definitions` VALUES (25949, 7038, 6, 'USER Logon noodzakelijke indicator(ISA01~ gebruik 00 of 03)');
INSERT INTO `lang_definitions` VALUES (25950, 7039, 6, 'WEB-Handleiding');
INSERT INTO `lang_definitions` VALUES (25951, 7040, 6, 'Gebruiker groepsindeling');
INSERT INTO `lang_definitions` VALUES (25952, 7041, 6, 'Naamgebruiker');
INSERT INTO `lang_definitions` VALUES (25953, 7042, 6, 'Gebruiker- of Host-naam mag niet leeg zijn');
INSERT INTO `lang_definitions` VALUES (25954, 7043, 6, 'Gebruiker- of Host-computernaam');
INSERT INTO `lang_definitions` VALUES (25955, 7044, 6, 'USER Paswoord (ISA04~ met 01 hierboven alnders spatie laten staan)');
INSERT INTO `lang_definitions` VALUES (25956, 7045, 6, 'USER Paswoord noodzakelijke indicatir (ISA03~ gebruik 00 of 01)');
INSERT INTO `lang_definitions` VALUES (25957, 7046, 6, 'Gebruiker settings');
INSERT INTO `lang_definitions` VALUES (25958, 7047, 6, 'User specifieke setting');
INSERT INTO `lang_definitions` VALUES (25959, 7048, 6, 'User\'s nieuwe paswoord');
INSERT INTO `lang_definitions` VALUES (25960, 7049, 6, 'User');
INSERT INTO `lang_definitions` VALUES (25961, 7051, 6, 'Usernaam for telefoon Gateway. Geautomatiseerd VOIP service aangeboden door Maviq. Bezoek http://signup.maviq.com voor meer informatie.');
INSERT INTO `lang_definitions` VALUES (25962, 7052, 6, 'Gebruikersnaam voor SMS Gateway');
INSERT INTO `lang_definitions` VALUES (25963, 7053, 6, 'Gebruikersnaam voor SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (25964, 7054, 6, 'Username om met CouchDB te verbinden');
INSERT INTO `lang_definitions` VALUES (25965, 7055, 6, 'Gebruiker:');
INSERT INTO `lang_definitions` VALUES (25966, 7056, 6, 'Gebruikers');
INSERT INTO `lang_definitions` VALUES (25967, 7057, 6, 'Gebruikers/Groepen/Logs/Administratie');
INSERT INTO `lang_definitions` VALUES (25968, 7058, 6, 'gebruikt php <a href=\"http://php.net/strftime\"></a> format');
INSERT INTO `lang_definitions` VALUES (25969, 7059, 6, 'Urineweg infecties');
INSERT INTO `lang_definitions` VALUES (25970, 7060, 6, 'Uyghur, Uighur');
INSERT INTO `lang_definitions` VALUES (25971, 7061, 6, 'Oesbekstaans');
INSERT INTO `lang_definitions` VALUES (25972, 7062, 6, 'Vakantie');
INSERT INTO `lang_definitions` VALUES (25973, 7063, 6, 'Vakantie');
INSERT INTO `lang_definitions` VALUES (25974, 7064, 6, 'Vaccin');
INSERT INTO `lang_definitions` VALUES (25975, 7065, 6, 'Pessarium');
INSERT INTO `lang_definitions` VALUES (25976, 7066, 6, 'Titulatuur');
INSERT INTO `lang_definitions` VALUES (25977, 7067, 6, 'accoorderen');
INSERT INTO `lang_definitions` VALUES (25978, 7068, 6, 'Waarde');
INSERT INTO `lang_definitions` VALUES (25979, 7069, 6, 'Waarde 1');
INSERT INTO `lang_definitions` VALUES (25980, 7070, 6, 'Waarde 2');
INSERT INTO `lang_definitions` VALUES (25981, 7072, 6, 'Waarde moet numeriek zijn');
INSERT INTO `lang_definitions` VALUES (25982, 7073, 6, 'Var1');
INSERT INTO `lang_definitions` VALUES (25983, 7074, 6, 'Var2');
INSERT INTO `lang_definitions` VALUES (25984, 7075, 6, 'variabele waarmee het de-indentificatie upgrade script moet lopen');
INSERT INTO `lang_definitions` VALUES (25985, 7076, 6, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (25986, 7077, 6, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (25987, 7078, 6, 'Spataderen');
INSERT INTO `lang_definitions` VALUES (25988, 7079, 6, 'Vaatconditie');
INSERT INTO `lang_definitions` VALUES (25989, 7080, 6, 'Vasculair ongeluk');
INSERT INTO `lang_definitions` VALUES (25990, 7081, 6, 'Vaatchirurgie');
INSERT INTO `lang_definitions` VALUES (25991, 7082, 6, 'Venda');
INSERT INTO `lang_definitions` VALUES (25992, 7083, 6, 'Verkoper');
INSERT INTO `lang_definitions` VALUES (25993, 7084, 6, 'Versie');
INSERT INTO `lang_definitions` VALUES (25994, 7085, 6, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (25995, 7086, 6, 'Veterans Administratie');
INSERT INTO `lang_definitions` VALUES (25996, 7087, 6, 'Veterans Administration Plan');
INSERT INTO `lang_definitions` VALUES (25997, 7088, 6, 'VFC');
INSERT INTO `lang_definitions` VALUES (25998, 7089, 6, 'Vietnamees');
INSERT INTO `lang_definitions` VALUES (25999, 7090, 6, 'Bekijken');
INSERT INTO `lang_definitions` VALUES (26000, 7091, 6, 'Scherm');
INSERT INTO `lang_definitions` VALUES (26001, 7092, 6, 'Bekijk allergien');
INSERT INTO `lang_definitions` VALUES (26002, 7093, 6, 'Bekijk een x12-835 ERA file');
INSERT INTO `lang_definitions` VALUES (26003, 7094, 6, 'Bekijk Batch claim x12 tekst');
INSERT INTO `lang_definitions` VALUES (26004, 7097, 6, 'Bekijk beknopt rapport van patient');
INSERT INTO `lang_definitions` VALUES (26005, 7098, 6, 'Bekijk CSV tabellen');
INSERT INTO `lang_definitions` VALUES (26006, 7100, 6, 'Bekijk document');
INSERT INTO `lang_definitions` VALUES (26007, 7101, 6, 'Bekijk contact');
INSERT INTO `lang_definitions` VALUES (26008, 7102, 6, 'Bekijk ERA x12 tekst');
INSERT INTO `lang_definitions` VALUES (26009, 7103, 6, 'Evenementen in een popup-venster bekijken?');
INSERT INTO `lang_definitions` VALUES (26010, 7104, 6, 'bekijk Faciliteit specfieke User informatie');
INSERT INTO `lang_definitions` VALUES (26011, 7106, 6, 'Bekijk lokaal x12 file');
INSERT INTO `lang_definitions` VALUES (26012, 7107, 6, 'Bekijk log');
INSERT INTO `lang_definitions` VALUES (26013, 7108, 6, 'Bekijk pagina 1');
INSERT INTO `lang_definitions` VALUES (26014, 7109, 6, 'Bekijk pagina 2');
INSERT INTO `lang_definitions` VALUES (26015, 7110, 6, 'Bekijk reminders van nu en volgenden');
INSERT INTO `lang_definitions` VALUES (26016, 7111, 6, 'Bekijk Client');
INSERT INTO `lang_definitions` VALUES (26017, 7116, 6, 'Bekijk gerelateerde contacten');
INSERT INTO `lang_definitions` VALUES (26018, 7117, 6, 'bekijk rapport');
INSERT INTO `lang_definitions` VALUES (26019, 7118, 6, 'Bekijk de README file');
INSERT INTO `lang_definitions` VALUES (26020, 7121, 6, 'Bekijk/Edit Allergieen');
INSERT INTO `lang_definitions` VALUES (26021, 7122, 6, 'Bekijk/edit Issue');
INSERT INTO `lang_definitions` VALUES (26022, 7123, 6, 'Bekijk/Print');
INSERT INTO `lang_definitions` VALUES (26023, 7124, 6, 'Scherm:');
INSERT INTO `lang_definitions` VALUES (26024, 7125, 6, 'VISA');
INSERT INTO `lang_definitions` VALUES (26025, 7126, 6, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (26026, 7127, 6, 'Viscerale schade / trauma / chirurgie');
INSERT INTO `lang_definitions` VALUES (26027, 7132, 6, 'Bezoek categorie');
INSERT INTO `lang_definitions` VALUES (26028, 7133, 6, 'Contact categorie:');
INSERT INTO `lang_definitions` VALUES (26029, 7134, 6, 'Datum contact');
INSERT INTO `lang_definitions` VALUES (26030, 7135, 6, 'bezoek datum');
INSERT INTO `lang_definitions` VALUES (26031, 7137, 6, 'Formulieren');
INSERT INTO `lang_definitions` VALUES (26032, 7138, 6, 'Bezoek History');
INSERT INTO `lang_definitions` VALUES (26033, 7140, 6, 'Consultatie');
INSERT INTO `lang_definitions` VALUES (26034, 7141, 6, 'Bezoeken vanaf');
INSERT INTO `lang_definitions` VALUES (26035, 7142, 6, 'Vital Signs');
INSERT INTO `lang_definitions` VALUES (26036, 7143, 6, 'Vitals');
INSERT INTO `lang_definitions` VALUES (26037, 7144, 6, 'Vitals (metriek)');
INSERT INTO `lang_definitions` VALUES (26038, 7145, 6, 'Vitals Form opties');
INSERT INTO `lang_definitions` VALUES (26039, 7146, 6, 'Stem');
INSERT INTO `lang_definitions` VALUES (26040, 7147, 6, 'Voice bericht verzonden');
INSERT INTO `lang_definitions` VALUES (26041, 7148, 6, 'Volapuk');
INSERT INTO `lang_definitions` VALUES (26042, 7149, 6, 'Braken');
INSERT INTO `lang_definitions` VALUES (26043, 7151, 6, 'W');
INSERT INTO `lang_definitions` VALUES (26044, 7152, 6, 'Buikomv');
INSERT INTO `lang_definitions` VALUES (26045, 7153, 6, 'Buikomvang');
INSERT INTO `lang_definitions` VALUES (26046, 7154, 6, 'Wachtende');
INSERT INTO `lang_definitions` VALUES (26047, 7155, 6, 'Binnen gelopen');
INSERT INTO `lang_definitions` VALUES (26048, 7156, 6, 'Wallonisch');
INSERT INTO `lang_definitions` VALUES (26049, 7157, 6, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (26050, 7158, 6, 'Warenhuis');
INSERT INTO `lang_definitions` VALUES (26051, 7159, 6, 'Waarhuis maximum, 0 indien niet gebruikt');
INSERT INTO `lang_definitions` VALUES (26052, 7160, 6, 'Waarhuis minimum, 0 indien niet gebruikt');
INSERT INTO `lang_definitions` VALUES (26053, 7161, 6, 'Warenhuizen');
INSERT INTO `lang_definitions` VALUES (26054, 7162, 6, 'Warm');
INSERT INTO `lang_definitions` VALUES (26055, 7163, 6, 'Waarschuwing');
INSERT INTO `lang_definitions` VALUES (26056, 7164, 6, 'Waarschuwing');
INSERT INTO `lang_definitions` VALUES (26057, 7166, 6, 'Waarschuwing, Controleer nummer is reeds in database opgenomen');
INSERT INTO `lang_definitions` VALUES (26058, 7167, 6, 'Waarschuwing: deze patient heeft niet eenduideige codes in de probleem lijst!');
INSERT INTO `lang_definitions` VALUES (26059, 7168, 6, 'Waarschuwing: Er is vandaag voor deze patiënt al een bezoek aangemaakt!');
INSERT INTO `lang_definitions` VALUES (26060, 7169, 6, 'Waarschuwing: Als U de 2012-2013 Spaanse versie gebruikt, let er dan op om deze eenmalig te unzippenvoordat deze in de contri/snomed directory (dit is omdat de release van deze file werd \"ge-dubbel zipped\").');
INSERT INTO `lang_definitions` VALUES (26061, 7170, 6, 'Waarschuwing: patiënt-ID is niet uniek!');
INSERT INTO `lang_definitions` VALUES (26062, 7171, 6, 'WAARSCHUWING: Data worden overschreven met ge-upload-de file');
INSERT INTO `lang_definitions` VALUES (26063, 7173, 6, 'Waarschuwingen');
INSERT INTO `lang_definitions` VALUES (26064, 7175, 6, 'Werd al eerder ge-upload');
INSERT INTO `lang_definitions` VALUES (26065, 7176, 6, 'werd niet gevonden');
INSERT INTO `lang_definitions` VALUES (26066, 7177, 6, 'We waarderen prompte betaling van verschuldigde bedragen');
INSERT INTO `lang_definitions` VALUES (26067, 7178, 6, 'We hebben de bovenstaande patient voor evaluatie en behandeling gezien op onze psychiatrische polikliniek. Bedankt voor deze verwijzing.');
INSERT INTO `lang_definitions` VALUES (26068, 7179, 6, 'Zwakheid');
INSERT INTO `lang_definitions` VALUES (26069, 7181, 6, 'Web search');
INSERT INTO `lang_definitions` VALUES (26070, 7182, 6, 'Website');
INSERT INTO `lang_definitions` VALUES (26071, 7183, 6, 'Website link voor de Onsite Patient Portal.');
INSERT INTO `lang_definitions` VALUES (26072, 7184, 6, 'Woe');
INSERT INTO `lang_definitions` VALUES (26073, 7185, 6, 'Woensdag');
INSERT INTO `lang_definitions` VALUES (26074, 7186, 6, 'Week');
INSERT INTO `lang_definitions` VALUES (26075, 7187, 6, 'week');
INSERT INTO `lang_definitions` VALUES (26076, 7188, 6, 'Weekoverzicht');
INSERT INTO `lang_definitions` VALUES (26077, 7189, 6, 'Week(en)');
INSERT INTO `lang_definitions` VALUES (26078, 7190, 6, 'Wekelijkse Exposures');
INSERT INTO `lang_definitions` VALUES (26079, 7191, 6, 'weken');
INSERT INTO `lang_definitions` VALUES (26080, 7192, 6, 'Weken');
INSERT INTO `lang_definitions` VALUES (26081, 7193, 6, 'Gewicht');
INSERT INTO `lang_definitions` VALUES (26082, 7194, 6, 'Gewichtsbeoordeling en counseling voor kinderen en adolescenten');
INSERT INTO `lang_definitions` VALUES (26083, 7195, 6, 'Gewichtsbeoordeling en couseling voor kinderen en aldolescenten (CQM)');
INSERT INTO `lang_definitions` VALUES (26084, 7196, 6, 'Gewichtverandering');
INSERT INTO `lang_definitions` VALUES (26085, 7197, 6, 'Gewichtsverlies');
INSERT INTO `lang_definitions` VALUES (26086, 7198, 6, 'Kliniek voor gewicht adviezen');
INSERT INTO `lang_definitions` VALUES (26087, 7199, 6, 'Welkom');
INSERT INTO `lang_definitions` VALUES (26088, 7200, 6, 'Welsh');
INSERT INTO `lang_definitions` VALUES (26089, 7201, 6, 'Wast Fries');
INSERT INTO `lang_definitions` VALUES (26090, 7202, 6, 'Wat moet geteld worden?');
INSERT INTO `lang_definitions` VALUES (26091, 7203, 6, 'Piepend:');
INSERT INTO `lang_definitions` VALUES (26092, 7204, 6, 'Piepen');
INSERT INTO `lang_definitions` VALUES (26093, 7205, 6, 'Piepen:');
INSERT INTO `lang_definitions` VALUES (26094, 7207, 6, 'Indien klaar, klik Submit(hieronder) om uw keuzes toe te passen');
INSERT INTO `lang_definitions` VALUES (26095, 7208, 6, 'Waar kunnen gescande of papieren documenten worden gevonden?');
INSERT INTO `lang_definitions` VALUES (26096, 7209, 6, 'Indien verzekerd');
INSERT INTO `lang_definitions` VALUES (26097, 7211, 6, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (26098, 7212, 6, 'Blank');
INSERT INTO `lang_definitions` VALUES (26099, 7213, 6, 'Wie');
INSERT INTO `lang_definitions` VALUES (26100, 7214, 6, 'Wie gaf antwoord?');
INSERT INTO `lang_definitions` VALUES (26101, 7215, 6, 'Weduwstaat');
INSERT INTO `lang_definitions` VALUES (26102, 7216, 6, 'Breedte');
INSERT INTO `lang_definitions` VALUES (26103, 7217, 6, 'Breedte in pixels vanhet linker navigatie scherm');
INSERT INTO `lang_definitions` VALUES (26104, 7219, 6, 'Met aangegeven Items plot grafiek');
INSERT INTO `lang_definitions` VALUES (26105, 7220, 6, 'met voorkeurs taal');
INSERT INTO `lang_definitions` VALUES (26106, 7221, 6, 'Met geselecteerd als:');
INSERT INTO `lang_definitions` VALUES (26107, 7222, 6, 'met de oude naam');
INSERT INTO `lang_definitions` VALUES (26108, 7224, 6, 'Bij wie kunnen we een bericht achterlaten?');
INSERT INTO `lang_definitions` VALUES (26109, 7225, 6, 'Achtergehouden');
INSERT INTO `lang_definitions` VALUES (26110, 7226, 6, 'binnen uren');
INSERT INTO `lang_definitions` VALUES (26111, 7227, 6, 'binnen uren:');
INSERT INTO `lang_definitions` VALUES (26112, 7228, 6, 'binnen minuten');
INSERT INTO `lang_definitions` VALUES (26113, 7229, 6, 'binnen minuten:');
INSERT INTO `lang_definitions` VALUES (26114, 7230, 6, 'Zonder Faciliteit');
INSERT INTO `lang_definitions` VALUES (26115, 7231, 6, 'Zonder behandelaar');
INSERT INTO `lang_definitions` VALUES (26116, 7232, 6, 'Zonder update');
INSERT INTO `lang_definitions` VALUES (26117, 7233, 6, 'Getuige');
INSERT INTO `lang_definitions` VALUES (26118, 7234, 6, 'wk');
INSERT INTO `lang_definitions` VALUES (26119, 7235, 6, 'Normaal');
INSERT INTO `lang_definitions` VALUES (26120, 7236, 6, 'Wolof');
INSERT INTO `lang_definitions` VALUES (26121, 7237, 6, 'Vrouwen');
INSERT INTO `lang_definitions` VALUES (26122, 7238, 6, 'Alleen vrouwen');
INSERT INTO `lang_definitions` VALUES (26123, 7239, 6, 'WordPress Portaal');
INSERT INTO `lang_definitions` VALUES (26124, 7240, 6, 'Werk');
INSERT INTO `lang_definitions` VALUES (26125, 7241, 6, 'Briefje voor werk');
INSERT INTO `lang_definitions` VALUES (26126, 7242, 6, 'Telefoon werk');
INSERT INTO `lang_definitions` VALUES (26127, 7243, 6, 'Telefoon werk');
INSERT INTO `lang_definitions` VALUES (26128, 7244, 6, 'Werk gerelateerd?');
INSERT INTO `lang_definitions` VALUES (26129, 7245, 6, 'Werk/Scholing/Hobbies');
INSERT INTO `lang_definitions` VALUES (26130, 7246, 6, 'Werk-/Schoolverklaring');
INSERT INTO `lang_definitions` VALUES (26131, 7247, 6, 'werkdag');
INSERT INTO `lang_definitions` VALUES (26132, 7248, 6, 'Arbeids ongeschiktheid compensatie');
INSERT INTO `lang_definitions` VALUES (26133, 7249, 6, 'Arbeidsongeschiktheidsvoorziening Gezondheidsplan');
INSERT INTO `lang_definitions` VALUES (26134, 7250, 6, 'Leeftijds gebonden compensatie of partner regeling met Werkgevers groepsgebonden gezondheids plan');
INSERT INTO `lang_definitions` VALUES (26135, 7251, 6, 'Is bezig..... dit kan enkele minuten duren.');
INSERT INTO `lang_definitions` VALUES (26136, 7252, 6, 'Verslechterd');
INSERT INTO `lang_definitions` VALUES (26137, 7253, 6, 'Zou U het Balans bedrag willen gebruiken voor de Global rekening?');
INSERT INTO `lang_definitions` VALUES (26138, 7254, 6, 'Wilt u deze markeren als opgenomen?');
INSERT INTO `lang_definitions` VALUES (26139, 7255, 6, 'Wilt u toewijzen?');
INSERT INTO `lang_definitions` VALUES (26140, 7256, 6, 'Wilt u Distributie cancelen voor deze patient?');
INSERT INTO `lang_definitions` VALUES (26141, 7257, 6, 'Zou u de betalings distributie willenverwijderen?');
INSERT INTO `lang_definitions` VALUES (26142, 7258, 6, 'Wilt u betalingen verwijderen?');
INSERT INTO `lang_definitions` VALUES (26143, 7259, 6, 'Wilt u betalingen aanpassen en beeindigen');
INSERT INTO `lang_definitions` VALUES (26144, 7260, 6, 'Wilt u betalingen aanpassen?');
INSERT INTO `lang_definitions` VALUES (26145, 7261, 6, 'Wilt u betalingen toewijzen, daarna stopppen?');
INSERT INTO `lang_definitions` VALUES (26146, 7262, 6, 'Wilt u betalingen toewijzen?');
INSERT INTO `lang_definitions` VALUES (26147, 7263, 6, 'Wilt u bewaren?');
INSERT INTO `lang_definitions` VALUES (26148, 7264, 6, 'Pols');
INSERT INTO `lang_definitions` VALUES (26149, 7265, 6, 'Pols en hand');
INSERT INTO `lang_definitions` VALUES (26150, 7266, 6, 'Polsproblemen');
INSERT INTO `lang_definitions` VALUES (26151, 7267, 6, 'schrijven');
INSERT INTO `lang_definitions` VALUES (26152, 7268, 6, 'Afschrijving');
INSERT INTO `lang_definitions` VALUES (26153, 7269, 6, 'Schrijf eenmalig');
INSERT INTO `lang_definitions` VALUES (26154, 7270, 6, 'met enkele');
INSERT INTO `lang_definitions` VALUES (26155, 7271, 6, 'WT');
INSERT INTO `lang_definitions` VALUES (26156, 7273, 6, 'x Geannuleerd');
INSERT INTO `lang_definitions` VALUES (26157, 7274, 6, 'x Geannuleerd');
INSERT INTO `lang_definitions` VALUES (26158, 7275, 6, 'Rontgen');
INSERT INTO `lang_definitions` VALUES (26159, 7276, 6, 'Rontgenverslag:');
INSERT INTO `lang_definitions` VALUES (26160, 7277, 6, 'Rontgenverslag:');
INSERT INTO `lang_definitions` VALUES (26161, 7278, 6, 'Alleen X12: Vervangingsclaim ');
INSERT INTO `lang_definitions` VALUES (26162, 7279, 6, 'X12-partner');
INSERT INTO `lang_definitions` VALUES (26163, 7280, 6, 'X12-partners');
INSERT INTO `lang_definitions` VALUES (26164, 7281, 6, 'x12 tekst');
INSERT INTO `lang_definitions` VALUES (26165, 7284, 6, 'Y');
INSERT INTO `lang_definitions` VALUES (26166, 7285, 6, 'Jaar');
INSERT INTO `lang_definitions` VALUES (26167, 7286, 6, 'jaar');
INSERT INTO `lang_definitions` VALUES (26168, 7287, 6, 'Jaaroverzicht');
INSERT INTO `lang_definitions` VALUES (26169, 7288, 6, 'Jaar(en)');
INSERT INTO `lang_definitions` VALUES (26170, 7289, 6, 'Jaren');
INSERT INTO `lang_definitions` VALUES (26171, 7290, 6, 'Jaren of maanden');
INSERT INTO `lang_definitions` VALUES (26172, 7291, 6, 'Jaren, maanden an dagen');
INSERT INTO `lang_definitions` VALUES (26173, 7292, 6, 'Ja');
INSERT INTO `lang_definitions` VALUES (26174, 7293, 6, 'Ja');
INSERT INTO `lang_definitions` VALUES (26175, 7294, 6, 'ja');
INSERT INTO `lang_definitions` VALUES (26176, 7295, 6, 'JA !!');
INSERT INTO `lang_definitions` VALUES (26177, 7296, 6, 'Ja, Verwijderen en Log maken');
INSERT INTO `lang_definitions` VALUES (26178, 7298, 6, 'Ja/Nee');
INSERT INTO `lang_definitions` VALUES (26179, 7299, 6, 'Ja:');
INSERT INTO `lang_definitions` VALUES (26180, 7300, 6, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (26181, 7301, 6, 'Yoruba');
INSERT INTO `lang_definitions` VALUES (26182, 7303, 6, 'U gaat dit bestaande sjabloon voorgoed vervangen. Wilt u doorgaan?');
INSERT INTO `lang_definitions` VALUES (26183, 7304, 6, 'U bent in de grace periode voor inloggen. Verander uw paswoord voor');
INSERT INTO `lang_definitions` VALUES (26184, 7305, 6, 'U mag deze gebeurtenis niet verwijderen');
INSERT INTO `lang_definitions` VALUES (26185, 7306, 6, 'U mag deze gebeurtenis niet anpasssen');
INSERT INTO `lang_definitions` VALUES (26186, 7307, 6, 'U bent hiervoor niet geautoriseerd');
INSERT INTO `lang_definitions` VALUES (26187, 7308, 6, 'U heeft geen bevoegdheid voor deze ploeg');
INSERT INTO `lang_definitions` VALUES (26188, 7309, 6, 'U heeft geen bevoegdheid om problemen toe te voegen/aan te passen');
INSERT INTO `lang_definitions` VALUES (26189, 7310, 6, 'U bent niet geautoriseerd om afspraken te maken');
INSERT INTO `lang_definitions` VALUES (26190, 7311, 6, 'U bent niet bevoegd om dit contact te bekijken.');
INSERT INTO `lang_definitions` VALUES (26191, 7312, 6, 'U probeert de gegevens op te slaan die bij een oud bezoek horen?');
INSERT INTO `lang_definitions` VALUES (26192, 7313, 6, 'U kunt deze functie niet direct benaderen');
INSERT INTO `lang_definitions` VALUES (26193, 7314, 6, 'U kunt deze pagina niet direct benaderen');
INSERT INTO `lang_definitions` VALUES (26194, 7315, 6, 'U kunt geen blanco waarde toevoegen voor een categorie!');
INSERT INTO `lang_definitions` VALUES (26195, 7316, 6, 'U kunt niet een lege waarde toevoegen voor een subcategorie!');
INSERT INTO `lang_definitions` VALUES (26196, 7317, 6, 'U kunt niet een lege waarde toevoegen voor een item!');
INSERT INTO `lang_definitions` VALUES (26197, 7318, 6, 'Nadat er JA ingevuld is, kan er geen toekomstige datum gebruikt worden.');
INSERT INTO `lang_definitions` VALUES (26198, 7319, 6, 'U heeft geen keuze gemaakt');
INSERT INTO `lang_definitions` VALUES (26199, 7320, 6, 'U heeft geen toegang om deze notitie te bekijken/aan te passen');
INSERT INTO `lang_definitions` VALUES (26200, 7321, 6, 'U hebt geprobeerd de inhoud te wijzigen die vergrendeld is. Verwijder het slot als u dit wilt doen. Om te ontgrendelen, verwijdert u de regel \'/ * lock ::*/\'');
INSERT INTO `lang_definitions` VALUES (26201, 7322, 6, 'Succesvol uitgelogged');
INSERT INTO `lang_definitions` VALUES (26202, 7323, 6, 'U kunt alleen *.txt file uploaden');
INSERT INTO `lang_definitions` VALUES (26203, 7324, 6, 'U kunt ook naar voorkeur HL7 resultaten van een file uploaden');
INSERT INTO `lang_definitions` VALUES (26204, 7325, 6, 'Patient Encounter formulier');
INSERT INTO `lang_definitions` VALUES (26205, 7326, 6, 'U moet een PAS zin invullen om document te versleutelen');
INSERT INTO `lang_definitions` VALUES (26206, 7327, 6, 'U moet uw eigen Paswoord invullen om gebruikers paswoord te veranderen. Leeg laten om hetzelfde Paswoord te gebruiken.');
INSERT INTO `lang_definitions` VALUES (26207, 7329, 6, 'Uw moet eerst een patient selecteren of toevoegen.');
INSERT INTO `lang_definitions` VALUES (26208, 7330, 6, 'U moet eerst een bezoek selecteren of aanmaken.');
INSERT INTO `lang_definitions` VALUES (26209, 7331, 6, 'U moet een bezoek categorie kiezen');
INSERT INTO `lang_definitions` VALUES (26210, 7332, 6, 'U moet een visite categorie kiezen');
INSERT INTO `lang_definitions` VALUES (26211, 7333, 6, 'U moet enige velden selecteren om door te gaan.');
INSERT INTO `lang_definitions` VALUES (26212, 7334, 6, 'U moet deze test uitvoeren indien deze claim met succes gegenereerd is, maar de daadwerkelijke claim-file geen gegevens bevat of slechts een onvoltooid gedeelte van de hoeveelheid gegevens die zij geacht wordt te bevatten. Het is duidelijk met HCFA vorderingen, omdat ze de menselijke leesbare tekst aanmaken. Met X12 claims is proces matig moeilijker om te bepalen of de claim juist is aangemaakt.');
INSERT INTO `lang_definitions` VALUES (26213, 7335, 6, 'Minstens 1 context kiezen');
INSERT INTO `lang_definitions` VALUES (26214, 7336, 6, 'Mistens 1 provider kiezen');
INSERT INTO `lang_definitions` VALUES (26215, 7338, 6, 'YUw klinische raportage');
INSERT INTO `lang_definitions` VALUES (26216, 7339, 6, 'Uw eindatum is ongeldig');
INSERT INTO `lang_definitions` VALUES (26217, 7340, 6, 'Uw gebeurtenis is verwijderd.');
INSERT INTO `lang_definitions` VALUES (26218, 7341, 6, 'Gebeurtenis is aangepast.');
INSERT INTO `lang_definitions` VALUES (26219, 7342, 6, 'Gebeurtenis is toegevoegd.');
INSERT INTO `lang_definitions` VALUES (26220, 7343, 6, 'U file is te groot');
INSERT INTO `lang_definitions` VALUES (26221, 7344, 6, 'Uw Lab resultaten');
INSERT INTO `lang_definitions` VALUES (26222, 7345, 6, 'U lijstnaam is veranderd om aan de naamvereisten tegemoet te komen.');
INSERT INTO `lang_definitions` VALUES (26223, 7346, 6, 'Uw bericht was verstuurd naar:');
INSERT INTO `lang_definitions` VALUES (26224, 7347, 6, 'Uw naam voor deze categorie, procedure of resultaat');
INSERT INTO `lang_definitions` VALUES (26225, 7348, 6, 'Uw Paswoord');
INSERT INTO `lang_definitions` VALUES (26226, 7349, 6, 'Uw wachtwoord is verlopen. Wijzig a.u.b. uw wachtwoord.');
INSERT INTO `lang_definitions` VALUES (26227, 7350, 6, 'Uw wachtwoord verloopt op');
INSERT INTO `lang_definitions` VALUES (26228, 7351, 6, 'Uw wachtwoord verloopt vandaag. Wijzig a.u.b. uw wachtwoord.');
INSERT INTO `lang_definitions` VALUES (26229, 7353, 6, 'Uw PostCalender configuratie is hersteld naar de oorspronkelijke gegevens');
INSERT INTO `lang_definitions` VALUES (26230, 7354, 6, 'Uw PostCalender configuratie is aangepast');
INSERT INTO `lang_definitions` VALUES (26231, 7355, 6, 'Uw herhalingsfrequentie moet een getal zijn');
INSERT INTO `lang_definitions` VALUES (26232, 7356, 6, 'Aantal herhalingen moet minstens 1 zijn');
INSERT INTO `lang_definitions` VALUES (26233, 7357, 6, 'Uw begindatum is later dan einddatum');
INSERT INTO `lang_definitions` VALUES (26234, 7358, 6, 'Uw begindatum is ongeldig');
INSERT INTO `lang_definitions` VALUES (26235, 7359, 6, 'Uw verzenden is mislukt');
INSERT INTO `lang_definitions` VALUES (26236, 7360, 6, 'jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (26237, 7361, 6, 'jjjj-mm-dd');
INSERT INTO `lang_definitions` VALUES (26238, 7362, 6, 'jjjj-mm-dd datum geassocieerd met dit document');
INSERT INTO `lang_definitions` VALUES (26239, 7363, 6, 'jjjj-mm-dd datum vernietigd');
INSERT INTO `lang_definitions` VALUES (26240, 7364, 6, 'jjjj-mm-dd geb datum');
INSERT INTO `lang_definitions` VALUES (26241, 7365, 6, 'jjjj-mm-dd geb datum');
INSERT INTO `lang_definitions` VALUES (26242, 7366, 6, 'jjjj-mm-dd datum verloop');
INSERT INTO `lang_definitions` VALUES (26243, 7367, 6, 'jjjj-mm-dd datun begin hospitalisatie');
INSERT INTO `lang_definitions` VALUES (26244, 7368, 6, 'jjjj-mm-dd datum begin, chirurgie, of begin medicatie');
INSERT INTO `lang_definitions` VALUES (26245, 7369, 6, 'jjjj-mm-dd datum aankoop of overplaatsing');
INSERT INTO `lang_definitions` VALUES (26246, 7370, 6, 'jjjj-mm-dd datum van herstel of einde medicatie');
INSERT INTO `lang_definitions` VALUES (26247, 7371, 6, 'jjjj-mm-dd datum return wedstrijd');
INSERT INTO `lang_definitions` VALUES (26248, 7372, 6, 'jjjj-mm-dd datum van Service');
INSERT INTO `lang_definitions` VALUES (26249, 7373, 6, 'jjjj-mm-dd datum van deze brief');
INSERT INTO `lang_definitions` VALUES (26250, 7374, 6, 'jjjj-mm-dd datum van return wedstrijd');
INSERT INTO `lang_definitions` VALUES (26251, 7375, 6, 'jjjj-mm-dd datum dit document');
INSERT INTO `lang_definitions` VALUES (26252, 7376, 6, 'jjjj-mm-dd gebeurtenis of begindatum');
INSERT INTO `lang_definitions` VALUES (26253, 7377, 6, 'jjjj-mm-dd H:m eind datum');
INSERT INTO `lang_definitions` VALUES (26254, 7378, 6, 'jjjj-mm-dd H:m eind datum');
INSERT INTO `lang_definitions` VALUES (26255, 7379, 6, 'jjjj-mm-dd H:m Begin datum');
INSERT INTO `lang_definitions` VALUES (26256, 7380, 6, 'jjjj-mm-dd H:m Begin datum');
INSERT INTO `lang_definitions` VALUES (26257, 7381, 6, 'jjjj-mm-dd uu:mm:ss');
INSERT INTO `lang_definitions` VALUES (26258, 7382, 6, 'jjjj-mm-dd Uren(24) minuten');
INSERT INTO `lang_definitions` VALUES (26259, 7383, 6, 'jjjj-mm-dd laatste datum van gebeurtenis');
INSERT INTO `lang_definitions` VALUES (26260, 7385, 6, 'ZEF segment interior fout');
INSERT INTO `lang_definitions` VALUES (26261, 7386, 6, 'Zend Module');
INSERT INTO `lang_definitions` VALUES (26262, 7387, 6, 'Zero');
INSERT INTO `lang_definitions` VALUES (26263, 7388, 6, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (26264, 7389, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (26265, 7390, 6, 'Postcode');
INSERT INTO `lang_definitions` VALUES (26266, 7391, 6, 'Postcode/Land:');
INSERT INTO `lang_definitions` VALUES (26267, 7392, 6, 'Zoeloe');
INSERT INTO `lang_definitions` VALUES (26268, 7393, 6, ' maar was ');
INSERT INTO `lang_definitions` VALUES (26269, 7394, 6, ' kon niet bereikt worden');
INSERT INTO `lang_definitions` VALUES (26270, 7395, 6, 'ZEKER verwijderen?');
INSERT INTO `lang_definitions` VALUES (26271, 7396, 6, 'Medicijn');
INSERT INTO `lang_definitions` VALUES (26272, 7397, 6, 'e-mails niet verzonden');
INSERT INTO `lang_definitions` VALUES (26273, 7398, 6, 'van');
INSERT INTO `lang_definitions` VALUES (26274, 7399, 6, 'is aangemaakt ');
INSERT INTO `lang_definitions` VALUES (26275, 7400, 6, 'is opnieuw geopend');
INSERT INTO `lang_definitions` VALUES (26276, 7401, 6, 'Geschiedenis');
INSERT INTO `lang_definitions` VALUES (26277, 7402, 6, 'het is geen nummer');
INSERT INTO `lang_definitions` VALUES (26278, 7403, 6, 'opnieuw rekening sturen OK');
INSERT INTO `lang_definitions` VALUES (26279, 7404, 6, 'LLL:');
INSERT INTO `lang_definitions` VALUES (26280, 7405, 6, 'Voorraad');
INSERT INTO `lang_definitions` VALUES (26281, 7406, 6, 'Origineel Medicaid Referentie No. ');
INSERT INTO `lang_definitions` VALUES (26282, 7407, 6, 'min');
INSERT INTO `lang_definitions` VALUES (26283, 7408, 6, 'niet gevonden!');
INSERT INTO `lang_definitions` VALUES (26284, 7409, 6, 'Onverwachte resultaten in bepaalde BROWSERS kunnen er de oorzaak van zijn dat de tekst in schokken op het scherm komt met lange pauzes, waardoor het lijkt of het programma vastgelopen is. Uiteindelijk komt het resultaat lijn voor lijn op het scherm.Er kunnen daarna sequentiele nummers getoond worden, dit is hoewel er niets lijkt te gebeuren er nog wel degelijk programma activiteit gaande is. Deze nummers worden getoond met tussenvoeging van stukjes opgemaakte rekeningen en dit alles is normaal.');
INSERT INTO `lang_definitions` VALUES (26285, 7410, 6, 'voorschrift heeft limiet bereikt van');
INSERT INTO `lang_definitions` VALUES (26286, 7411, 6, 'tot');
INSERT INTO `lang_definitions` VALUES (26287, 7412, 6, 'update mislukt, niet in DB?');
INSERT INTO `lang_definitions` VALUES (26288, 7413, 6, 'gemarkeerd als \"alleen factureren\"');
INSERT INTO `lang_definitions` VALUES (26289, 7414, 6, 'succesvol in wachtrij');
INSERT INTO `lang_definitions` VALUES (26290, 7415, 6, '! Vertrokken zonder bezoek Dr');
INSERT INTO `lang_definitions` VALUES (26291, 7416, 6, '\" voor code');
INSERT INTO `lang_definitions` VALUES (26292, 7417, 6, '\" is geCHECKED in POST CALENDER settings');
INSERT INTO `lang_definitions` VALUES (26293, 7418, 6, '# ins/fin probleem');
INSERT INTO `lang_definitions` VALUES (26294, 7419, 6, '# aantal tabletten');
INSERT INTO `lang_definitions` VALUES (26295, 7420, 6, 'NAF.');
INSERT INTO `lang_definitions` VALUES (26296, 7421, 6, '$ Gecodeerd');
INSERT INTO `lang_definitions` VALUES (26297, 7422, 6, '$label (jjjj-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (26298, 7423, 6, '%');
INSERT INTO `lang_definitions` VALUES (26299, 7424, 6, '% Geannuleerd < 24 uur');
INSERT INTO `lang_definitions` VALUES (26300, 7425, 6, '% Geannuleerd < 24 uur ');
INSERT INTO `lang_definitions` VALUES (26301, 7426, 6, 'zou moeten bestaan maar bestaat niet');
INSERT INTO `lang_definitions` VALUES (26302, 7427, 6, '(% komt overeen met elke string _ komt overeen met elk teken)');
INSERT INTO `lang_definitions` VALUES (26303, 7428, 6, '([CTRL] + klik om meerdere ontvangers te selecteren)');
INSERT INTO `lang_definitions` VALUES (26304, 7429, 6, '(Terug)');
INSERT INTO `lang_definitions` VALUES (26305, 7430, 6, '(Klik om aan te passen)');
INSERT INTO `lang_definitions` VALUES (26306, 7431, 6, '(E-mail verzenden gebeurt meteen, terwijl geautomatiseerde VOIP wordt verzonden naar de Sevice provider in afwachting van verdere afhandeling)');
INSERT INTO `lang_definitions` VALUES (26307, 7432, 6, '(Meer)');
INSERT INTO `lang_definitions` VALUES (26308, 7433, 6, '(Nieuwe patient)');
INSERT INTO `lang_definitions` VALUES (26309, 7434, 6, '(Notities en Autorisaties)');
INSERT INTO `lang_definitions` VALUES (26310, 7435, 6, '(Patient Notitie)');
INSERT INTO `lang_definitions` VALUES (26311, 7436, 6, '(Selecteer een van deze of voer uw eigen titel in)');
INSERT INTO `lang_definitions` VALUES (26312, 7437, 6, '(Shift-)Klik of versleep om de waarde te wijzigen');
INSERT INTO `lang_definitions` VALUES (26313, 7438, 6, '* Reminder verstuurd');
INSERT INTO `lang_definitions` VALUES (26314, 7439, 6, '** Verplaats chirurgie naar problemen!');
INSERT INTO `lang_definitions` VALUES (26315, 7440, 6, '*Verplicht');
INSERT INTO `lang_definitions` VALUES (26316, 7441, 6, '+ Status opgezocht');
INSERT INTO `lang_definitions` VALUES (26317, 7442, 6, '- Geen');
INSERT INTO `lang_definitions` VALUES (26318, 7443, 6, '-- Allemaal --');
INSERT INTO `lang_definitions` VALUES (26319, 7444, 6, '--Slecteer Rol--');
INSERT INTO `lang_definitions` VALUES (26320, 7445, 6, '.');
INSERT INTO `lang_definitions` VALUES (26321, 7446, 6, '0');
INSERT INTO `lang_definitions` VALUES (26322, 7447, 6, '0-10');
INSERT INTO `lang_definitions` VALUES (26323, 7448, 6, '0-24');
INSERT INTO `lang_definitions` VALUES (26324, 7449, 6, '02/12{{CMS 1500 formaat datum revisie setting in globals}}');
INSERT INTO `lang_definitions` VALUES (26325, 7450, 6, '08/12{{CMS 1500 formaat datum revisie setting in globals}}');
INSERT INTO `lang_definitions` VALUES (26326, 7451, 6, '1');
INSERT INTO `lang_definitions` VALUES (26327, 7452, 6, '1 - Noord Amerika. See http://www.wtng.info/ voor een lijst met ander Landen Codes');
INSERT INTO `lang_definitions` VALUES (26328, 7453, 6, 'Vanaf nu 1 dag');
INSERT INTO `lang_definitions` VALUES (26329, 7454, 6, 'Vanaf nu 1 maand');
INSERT INTO `lang_definitions` VALUES (26330, 7455, 6, 'Vanaf nu 1 week');
INSERT INTO `lang_definitions` VALUES (26331, 7456, 6, 'Vanaf nu 1 jaar');
INSERT INTO `lang_definitions` VALUES (26332, 7457, 6, '1. Rust houden 2. IJscompressen gedurende twee dagen 3. Compressie, laat verband zitten behalve bij gevoelloos- of bleekheid 4. Voet en been hoogleggen');
INSERT INTO `lang_definitions` VALUES (26333, 7458, 6, '11-14');
INSERT INTO `lang_definitions` VALUES (26334, 7459, 6, '12 uur');
INSERT INTO `lang_definitions` VALUES (26335, 7460, 6, '15-19');
INSERT INTO `lang_definitions` VALUES (26336, 7461, 6, '1ste');
INSERT INTO `lang_definitions` VALUES (26337, 7462, 6, '2');
INSERT INTO `lang_definitions` VALUES (26338, 7463, 6, 'Vanaf nu 2 dagen');
INSERT INTO `lang_definitions` VALUES (26339, 7464, 6, 'Vanaf nu 2 maanden');
INSERT INTO `lang_definitions` VALUES (26340, 7465, 6, 'Vanaf nu 2 weken');
INSERT INTO `lang_definitions` VALUES (26341, 7466, 6, 'Vanaf nu 2 jaar');
INSERT INTO `lang_definitions` VALUES (26342, 7467, 6, '2-20 jaar');
INSERT INTO `lang_definitions` VALUES (26343, 7468, 6, '20-24');
INSERT INTO `lang_definitions` VALUES (26344, 7469, 6, '2011 Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (26345, 7470, 6, '2011 Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (26346, 7471, 6, '2011 Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (26347, 7472, 6, '2014 Automated Measure Calculations (AMC)');
INSERT INTO `lang_definitions` VALUES (26348, 7475, 6, '2014 Clinical Quality Measures (CQM)');
INSERT INTO `lang_definitions` VALUES (26349, 7476, 6, '2014 Official Clinical Quality Measures (CQM) Measure Groups');
INSERT INTO `lang_definitions` VALUES (26350, 7477, 6, '2111-13');
INSERT INTO `lang_definitions` VALUES (26351, 7478, 6, '24 uur');
INSERT INTO `lang_definitions` VALUES (26352, 7479, 6, '25+');
INSERT INTO `lang_definitions` VALUES (26353, 7480, 6, '25-29');
INSERT INTO `lang_definitions` VALUES (26354, 7481, 6, '2nd');
INSERT INTO `lang_definitions` VALUES (26355, 7482, 6, 'Vanaf nu 3 dagen');
INSERT INTO `lang_definitions` VALUES (26356, 7483, 6, '3 maanden');
INSERT INTO `lang_definitions` VALUES (26357, 7484, 6, 'Vanaf nu 3 manden');
INSERT INTO `lang_definitions` VALUES (26358, 7485, 6, '3 x daags');
INSERT INTO `lang_definitions` VALUES (26359, 7486, 6, 'Vanaf nu 3 weken');
INSERT INTO `lang_definitions` VALUES (26360, 7487, 6, '30-34');
INSERT INTO `lang_definitions` VALUES (26361, 7488, 6, '35-39');
INSERT INTO `lang_definitions` VALUES (26362, 7489, 6, '3rd');
INSERT INTO `lang_definitions` VALUES (26363, 7490, 6, 'Vanaf nu 4 dagen');
INSERT INTO `lang_definitions` VALUES (26364, 7491, 6, '4 maanden');
INSERT INTO `lang_definitions` VALUES (26365, 7492, 6, 'Vanaf nu 4 maanden');
INSERT INTO `lang_definitions` VALUES (26366, 7493, 6, '4 x daags');
INSERT INTO `lang_definitions` VALUES (26367, 7494, 6, 'Vanaf nu 4 weken');
INSERT INTO `lang_definitions` VALUES (26368, 7495, 6, '40-44');
INSERT INTO `lang_definitions` VALUES (26369, 7496, 6, '45+');
INSERT INTO `lang_definitions` VALUES (26370, 7497, 6, '465.9, Bovenste luchtweg inf');
INSERT INTO `lang_definitions` VALUES (26371, 7498, 6, '466.0 Bronchitis, Acuut niet specifiek');
INSERT INTO `lang_definitions` VALUES (26372, 7499, 6, '486.0, Pneumonie, Acuut');
INSERT INTO `lang_definitions` VALUES (26373, 7500, 6, '491.21, COPD Exacerbatie');
INSERT INTO `lang_definitions` VALUES (26374, 7501, 6, '481.8 Bronchitis, Chronisch');
INSERT INTO `lang_definitions` VALUES (26375, 7502, 6, '483.92 Astma, Acute exacerbatie');
INSERT INTO `lang_definitions` VALUES (26376, 7503, 6, '496,0 COPD');
INSERT INTO `lang_definitions` VALUES (26377, 7504, 6, '4de');
INSERT INTO `lang_definitions` VALUES (26378, 7505, 6, 'Vanaf nu 5 dagen');
INSERT INTO `lang_definitions` VALUES (26379, 7506, 6, 'Vanaf nu 5 maanden');
INSERT INTO `lang_definitions` VALUES (26380, 7507, 6, 'vanaf nu 5 weken');
INSERT INTO `lang_definitions` VALUES (26381, 7508, 6, '519.7, Bronchospasme');
INSERT INTO `lang_definitions` VALUES (26382, 7509, 6, '5de');
INSERT INTO `lang_definitions` VALUES (26383, 7510, 6, 'Vnaf nu 6 dagen');
INSERT INTO `lang_definitions` VALUES (26384, 7511, 6, '6 maanden');
INSERT INTO `lang_definitions` VALUES (26385, 7512, 6, 'Vanaf nu 6 maanden');
INSERT INTO `lang_definitions` VALUES (26386, 7513, 6, 'Vanaf nu 6 weken');
INSERT INTO `lang_definitions` VALUES (26387, 7514, 6, '6de');
INSERT INTO `lang_definitions` VALUES (26388, 7515, 6, 'Vanaf nu 7 maanden');
INSERT INTO `lang_definitions` VALUES (26389, 7516, 6, 'Vanaf nu 8 maanden');
INSERT INTO `lang_definitions` VALUES (26390, 7517, 6, '824.0 Fractuur, mediale malleolus, gesloten');
INSERT INTO `lang_definitions` VALUES (26391, 7518, 6, '824.2 Fractuur, laterale malleolus, gesloten');
INSERT INTO `lang_definitions` VALUES (26392, 7519, 6, '824.6 Fractuur, trimeleoliar, gesloten');
INSERT INTO `lang_definitions` VALUES (26393, 7520, 6, '825.32 Fractuur, os naviculare (enkel)');
INSERT INTO `lang_definitions` VALUES (26394, 7521, 6, '824.35 Fractuur, basis 5e metatarsale');
INSERT INTO `lang_definitions` VALUES (26395, 7522, 6, '845.00 Enkel verstuiking NS');
INSERT INTO `lang_definitions` VALUES (26396, 7523, 6, '845.01 Verstuiking mediale (Deltoideus) Lig.');
INSERT INTO `lang_definitions` VALUES (26397, 7524, 6, '845.02 Verstuiking, calcaneo-fibulare');
INSERT INTO `lang_definitions` VALUES (26398, 7525, 6, 'Vanaf nu 9 maanden');
INSERT INTO `lang_definitions` VALUES (26399, 7526, 6, '99212 Vastgesteld - ongecompliceerd');
INSERT INTO `lang_definitions` VALUES (26400, 7527, 6, '99213 Vastgesteld - lage complexiteit');
INSERT INTO `lang_definitions` VALUES (26401, 7528, 6, '< In onderzoekskamer');
INSERT INTO `lang_definitions` VALUES (26402, 7529, 6, '> Weggegaan');
INSERT INTO `lang_definitions` VALUES (26403, 7530, 6, '?');
INSERT INTO `lang_definitions` VALUES (26404, 7531, 6, '? Niet verschenen');
INSERT INTO `lang_definitions` VALUES (26405, 7532, 6, '@ Gearriveerd');
INSERT INTO `lang_definitions` VALUES (26406, 7533, 6, '[Verander scherm]');
INSERT INTO `lang_definitions` VALUES (26407, 7534, 6, '[Datum laatste bezoek]');
INSERT INTO `lang_definitions` VALUES (26408, 7535, 6, '[Dgn sinds vorige bezoek]');
INSERT INTO `lang_definitions` VALUES (26409, 7536, 6, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (26410, 7537, 6, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (26411, 7538, 6, '[niet aanbevolen]');
INSERT INTO `lang_definitions` VALUES (26412, 7539, 6, '[Aantal bezoeken]');
INSERT INTO `lang_definitions` VALUES (26413, 7540, 6, '[Verslagen]');
INSERT INTO `lang_definitions` VALUES (26414, 7541, 6, '[Selecteer alles]');
INSERT INTO `lang_definitions` VALUES (26415, 7542, 6, '[SQL Grootboek]');
INSERT INTO `lang_definitions` VALUES (26416, 7543, 6, '[Begin batch-verwerking]');
INSERT INTO `lang_definitions` VALUES (26417, 7544, 6, '[bekijk log]');
INSERT INTO `lang_definitions` VALUES (26418, 7545, 6, '[Bekijk voorbeeld]');
INSERT INTO `lang_definitions` VALUES (26419, 7546, 6, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (26420, 7547, 6, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (26421, 7548, 6, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (26422, 7549, 6, '~ Te laat gekomen');
INSERT INTO `lang_definitions` VALUES (26423, 59, 7, 'שם חשבון');
INSERT INTO `lang_definitions` VALUES (26424, 74, 7, 'פעולה');
INSERT INTO `lang_definitions` VALUES (26425, 75, 7, 'פעולות');
INSERT INTO `lang_definitions` VALUES (26426, 1071, 7, 'מספר לקוח');
INSERT INTO `lang_definitions` VALUES (26427, 1079, 7, 'קליני');
INSERT INTO `lang_definitions` VALUES (26428, 5583, 7, 'רוסית');
INSERT INTO `lang_definitions` VALUES (26429, 5619, 7, 'יום שבת');
INSERT INTO `lang_definitions` VALUES (26430, 5620, 7, 'שמור');
INSERT INTO `lang_definitions` VALUES (26431, 5621, 7, 'שמור');
INSERT INTO `lang_definitions` VALUES (26432, 1, 8, 'Un');
INSERT INTO `lang_definitions` VALUES (26433, 2, 8, 'Un numéro de chèque ou un numéro de réclamation pour identifier le paiement.');
INSERT INTO `lang_definitions` VALUES (26434, 3, 8, 'Un certificat du client pour l\'administrateur');
INSERT INTO `lang_definitions` VALUES (26435, 5, 8, 'Un document clinique est attaché.');
INSERT INTO `lang_definitions` VALUES (26436, 7, 8, 'Un distributeur est requis');
INSERT INTO `lang_definitions` VALUES (26437, 8, 8, 'Un formulaire de visite GCAC doit être ajouté à cette visite');
INSERT INTO `lang_definitions` VALUES (26438, 9, 8, 'Un numéro de lot est requis');
INSERT INTO `lang_definitions` VALUES (26439, 10, 8, 'Un numéro de lot est exigé !');
INSERT INTO `lang_definitions` VALUES (26440, 11, 8, 'Une lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (26441, 12, 8, 'Un nombre');
INSERT INTO `lang_definitions` VALUES (26442, 14, 8, 'Un patient avec cet identifiant existe déjà.');
INSERT INTO `lang_definitions` VALUES (26443, 15, 8, 'Un patient avec ce nom existe déjà.');
INSERT INTO `lang_definitions` VALUES (26444, 16, 8, 'Un patient avec ce numero de sécurité social existe déjà.');
INSERT INTO `lang_definitions` VALUES (26445, 18, 8, 'Un chiffre positif montrera autant de rendez-vous depassés sur un Widget dans l\'écran Résumé du patient.');
INSERT INTO `lang_definitions` VALUES (26446, 19, 8, 'Une source de référence peut être spécifiée pour chaque visite.');
INSERT INTO `lang_definitions` VALUES (26447, 20, 8, 'Un code relatif à IPPF est exigé!');
INSERT INTO `lang_definitions` VALUES (26448, 21, 8, 'Un caractère spécial');
INSERT INTO `lang_definitions` VALUES (26449, 22, 8, 'Une valeur unique afin d\'identifier ce champ, invisible pour l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (26450, 24, 8, 'Avant les repas');
INSERT INTO `lang_definitions` VALUES (26451, 25, 8, 'matin');
INSERT INTO `lang_definitions` VALUES (26452, 26, 8, 'Fluidité d\'air au niveau de l\'oreille droite');
INSERT INTO `lang_definitions` VALUES (26453, 27, 8, 'AB');
INSERT INTO `lang_definitions` VALUES (26454, 28, 8, 'Abréviation');
INSERT INTO `lang_definitions` VALUES (26455, 29, 8, 'Abcès');
INSERT INTO `lang_definitions` VALUES (26456, 30, 8, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (26457, 31, 8, 'Capable de supporter le poids sur 4 marches:');
INSERT INTO `lang_definitions` VALUES (26458, 32, 8, 'Anormal');
INSERT INTO `lang_definitions` VALUES (26459, 33, 8, 'ABN1');
INSERT INTO `lang_definitions` VALUES (26460, 34, 8, 'Anormal');
INSERT INTO `lang_definitions` VALUES (26461, 35, 8, 'Test Sanguin Anormal');
INSERT INTO `lang_definitions` VALUES (26462, 36, 8, 'Croissance anormale des cheveux');
INSERT INTO `lang_definitions` VALUES (26463, 37, 8, 'Mammographie Anormale');
INSERT INTO `lang_definitions` VALUES (26464, 39, 8, 'Avortement');
INSERT INTO `lang_definitions` VALUES (26465, 40, 8, 'Problème médical relatif à l\'avortement');
INSERT INTO `lang_definitions` VALUES (26466, 41, 8, 'Méthode d\'avortement');
INSERT INTO `lang_definitions` VALUES (26467, 42, 8, 'Catégories relative à l\'avortement');
INSERT INTO `lang_definitions` VALUES (26468, 43, 8, 'Avortements');
INSERT INTO `lang_definitions` VALUES (26469, 44, 8, 'À propos du calendrier');
INSERT INTO `lang_definitions` VALUES (26470, 46, 8, 'Absence de diagnostique');
INSERT INTO `lang_definitions` VALUES (26471, 47, 8, 'Accepter l\'affectation');
INSERT INTO `lang_definitions` VALUES (26472, 48, 8, 'Accepter le Paiement pour');
INSERT INTO `lang_definitions` VALUES (26473, 49, 8, 'Accepter le Paiement pour ');
INSERT INTO `lang_definitions` VALUES (26474, 50, 8, 'Accepte l\'affectation');
INSERT INTO `lang_definitions` VALUES (26475, 51, 8, 'Contrôle d\'accès');
INSERT INTO `lang_definitions` VALUES (26476, 52, 8, 'Liste de contrôle d\'accès administratif');
INSERT INTO `lang_definitions` VALUES (26477, 54, 8, 'Accès non permi');
INSERT INTO `lang_definitions` VALUES (26478, 55, 8, 'Accès non autorisés');
INSERT INTO `lang_definitions` VALUES (26479, 56, 8, 'Accédez à votre Portail Patients');
INSERT INTO `lang_definitions` VALUES (26480, 59, 8, 'Nom du Compte');
INSERT INTO `lang_definitions` VALUES (26481, 62, 8, 'Comptabilité');
INSERT INTO `lang_definitions` VALUES (26482, 64, 8, 'Douleurs');
INSERT INTO `lang_definitions` VALUES (26483, 65, 8, 'Acquittement demandé (ISA14)');
INSERT INTO `lang_definitions` VALUES (26484, 66, 8, 'Remerciements, Licence et Accréditation');
INSERT INTO `lang_definitions` VALUES (26485, 67, 8, 'ACL');
INSERT INTO `lang_definitions` VALUES (26486, 68, 8, 'ACL d\'Administration');
INSERT INTO `lang_definitions` VALUES (26487, 69, 8, 'ACL d\'Administration Non Autorisée');
INSERT INTO `lang_definitions` VALUES (26488, 70, 8, 'ACL correctement mis à jour');
INSERT INTO `lang_definitions` VALUES (26489, 71, 8, 'Acné');
INSERT INTO `lang_definitions` VALUES (26490, 72, 8, 'Acte');
INSERT INTO `lang_definitions` VALUES (26491, 73, 8, 'Date d\'Acte');
INSERT INTO `lang_definitions` VALUES (26492, 74, 8, 'Action');
INSERT INTO `lang_definitions` VALUES (26493, 75, 8, 'Actions');
INSERT INTO `lang_definitions` VALUES (26494, 77, 8, 'Activer le Rapport CCR/CCD');
INSERT INTO `lang_definitions` VALUES (26495, 78, 8, 'Effective');
INSERT INTO `lang_definitions` VALUES (26496, 79, 8, 'Alerte Active');
INSERT INTO `lang_definitions` VALUES (26497, 80, 8, 'Règles d\'Alerte Actives');
INSERT INTO `lang_definitions` VALUES (26498, 81, 8, 'Alertes Actives/Rappels');
INSERT INTO `lang_definitions` VALUES (26499, 82, 8, 'Rencontre active');
INSERT INTO `lang_definitions` VALUES (26500, 84, 8, 'Listes actives');
INSERT INTO `lang_definitions` VALUES (26501, 85, 8, 'Patient actif');
INSERT INTO `lang_definitions` VALUES (26502, 86, 8, 'Régimes Actives');
INSERT INTO `lang_definitions` VALUES (26503, 87, 8, 'Activité');
INSERT INTO `lang_definitions` VALUES (26504, 88, 8, 'Type d\'Activité');
INSERT INTO `lang_definitions` VALUES (26505, 90, 8, 'Intoxication/Manque Aiguë');
INSERT INTO `lang_definitions` VALUES (26506, 92, 8, 'Maladie Chronique Aiguë');
INSERT INTO `lang_definitions` VALUES (26507, 93, 8, 'ajouter');
INSERT INTO `lang_definitions` VALUES (26508, 94, 8, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (26509, 95, 8, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (26510, 96, 8, 'Ajouter une Compagnie d\'assurance');
INSERT INTO `lang_definitions` VALUES (26511, 98, 8, 'Ajouter une Pharmacie');
INSERT INTO `lang_definitions` VALUES (26512, 100, 8, 'Ajouter un événement pour ');
INSERT INTO `lang_definitions` VALUES (26513, 101, 8, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (26514, 102, 8, 'Ajouter en tant que nouveau');
INSERT INTO `lang_definitions` VALUES (26515, 104, 8, 'Boutons Ajouter');
INSERT INTO `lang_definitions` VALUES (26516, 105, 8, 'Boutons Ajouter pour les caractères spéciaux, Textes devant figurer en haut de l\'éditeur à inclure dans le texte suite à un Clic');
INSERT INTO `lang_definitions` VALUES (26517, 106, 8, 'Ajouter une Catégorie');
INSERT INTO `lang_definitions` VALUES (26518, 107, 8, 'Ajouter une Constante');
INSERT INTO `lang_definitions` VALUES (26519, 108, 8, 'Ajouter un Contexte');
INSERT INTO `lang_definitions` VALUES (26520, 109, 8, 'Insérer un co-payeur');
INSERT INTO `lang_definitions` VALUES (26521, 110, 8, 'Ajouter un Critère');
INSERT INTO `lang_definitions` VALUES (26522, 111, 8, 'Ajouter un Bouton Personnalisé');
INSERT INTO `lang_definitions` VALUES (26523, 112, 8, 'Ajouter un Diagnostic');
INSERT INTO `lang_definitions` VALUES (26524, 113, 8, 'Ajouter un Médicament');
INSERT INTO `lang_definitions` VALUES (26525, 114, 8, 'Ajouter un rendez-vous');
INSERT INTO `lang_definitions` VALUES (26526, 115, 8, 'Ajouter Notes/rendez-vous');
INSERT INTO `lang_definitions` VALUES (26527, 116, 8, 'Ajouter un équipement médical');
INSERT INTO `lang_definitions` VALUES (26528, 117, 8, 'Ajouter un domaine');
INSERT INTO `lang_definitions` VALUES (26529, 118, 8, 'Ajouter les lignes suivantes au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (26530, 119, 8, 'Ajouter un Groupe');
INSERT INTO `lang_definitions` VALUES (26531, 120, 8, 'Ajouter le code ICD');
INSERT INTO `lang_definitions` VALUES (26532, 121, 8, 'Ajouter une vaccination');
INSERT INTO `lang_definitions` VALUES (26533, 122, 8, 'L\'ajout n\'est pas autorisé!');
INSERT INTO `lang_definitions` VALUES (26534, 123, 8, 'Ajouter un problème médical');
INSERT INTO `lang_definitions` VALUES (26535, 125, 8, 'Ajouter une langue');
INSERT INTO `lang_definitions` VALUES (26536, 126, 8, 'Ajouter un nouveau');
INSERT INTO `lang_definitions` VALUES (26537, 127, 8, 'Ajouter un nouveau');
INSERT INTO `lang_definitions` VALUES (26538, 128, 8, 'Ajouter une nouvelle catégorie: ');
INSERT INTO `lang_definitions` VALUES (26539, 129, 8, 'Ajouter les nouveaux certificats au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (26540, 132, 8, 'Ajouter un Nouveau Groupe');
INSERT INTO `lang_definitions` VALUES (26541, 134, 8, 'Ajouter un nouveau lot et transaction');
INSERT INTO `lang_definitions` VALUES (26542, 135, 8, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (26543, 136, 8, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (26544, 137, 8, 'Ajouter un nouveau Partenaire');
INSERT INTO `lang_definitions` VALUES (26545, 140, 8, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (26546, 141, 8, 'Ajouter une fiche Patient');
INSERT INTO `lang_definitions` VALUES (26547, 142, 8, 'Ajouter une ordonnance');
INSERT INTO `lang_definitions` VALUES (26548, 143, 8, 'Ajouter une procédure');
INSERT INTO `lang_definitions` VALUES (26549, 144, 8, 'Ajouter le numéro du prestataire');
INSERT INTO `lang_definitions` VALUES (26550, 145, 8, 'Ajouter une cure de déxintoxication');
INSERT INTO `lang_definitions` VALUES (26551, 146, 8, 'Ajouter une règle');
INSERT INTO `lang_definitions` VALUES (26552, 147, 8, 'Ajouter à');
INSERT INTO `lang_definitions` VALUES (26553, 148, 8, 'Ajouter à la Listes des Médicaments');
INSERT INTO `lang_definitions` VALUES (26554, 149, 8, 'Ajouter le Niveau Supérieur');
INSERT INTO `lang_definitions` VALUES (26555, 150, 8, 'Ajouter une Transaction');
INSERT INTO `lang_definitions` VALUES (26556, 151, 8, 'Ajouter un Utilisateur');
INSERT INTO `lang_definitions` VALUES (26557, 152, 8, 'Ajouter un Utilisateur au Groupe');
INSERT INTO `lang_definitions` VALUES (26558, 153, 8, 'Ajouter/Editer eRx');
INSERT INTO `lang_definitions` VALUES (26559, 154, 8, 'Ajouter/Editer la Transaction du Patient');
INSERT INTO `lang_definitions` VALUES (26560, 155, 8, 'Ajouté');
INSERT INTO `lang_definitions` VALUES (26561, 156, 8, 'L\'ajout de données démographiques n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (26562, 158, 8, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (26563, 159, 8, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (26564, 160, 8, 'Attributs supplémentaires');
INSERT INTO `lang_definitions` VALUES (26565, 161, 8, 'Diagnostique supplémentaire');
INSERT INTO `lang_definitions` VALUES (26566, 162, 8, 'Antécédent supplémentaire');
INSERT INTO `lang_definitions` VALUES (26567, 163, 8, 'Notes d\'antécédent(s) supplémentaire(s)');
INSERT INTO `lang_definitions` VALUES (26568, 164, 8, 'Information complémentaire');
INSERT INTO `lang_definitions` VALUES (26569, 165, 8, 'Laboratoires supplémentaires');
INSERT INTO `lang_definitions` VALUES (26570, 166, 8, 'Notes supplémentaires');
INSERT INTO `lang_definitions` VALUES (26571, 167, 8, 'Notes complémentaires pour ce résultat ou recommandation');
INSERT INTO `lang_definitions` VALUES (26572, 168, 8, 'Notes supplémentaires:');
INSERT INTO `lang_definitions` VALUES (26573, 169, 8, 'Notes supplémentaires: ');
INSERT INTO `lang_definitions` VALUES (26574, 170, 8, 'Radiographies supplémentaires:');
INSERT INTO `lang_definitions` VALUES (26575, 171, 8, 'En outre, le paquet Snomed US Extension correspondant peut être importé séparément après l\'installation du (version anglaise) Snomed sortie international');
INSERT INTO `lang_definitions` VALUES (26576, 172, 8, 'Ajouter seulement');
INSERT INTO `lang_definitions` VALUES (26577, 173, 8, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (26578, 174, 8, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (26579, 175, 8, 'Adresse');
INSERT INTO `lang_definitions` VALUES (26580, 178, 8, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (26581, 179, 8, 'Entrée au carnet d\'adresses pour la compagnie réalisant cette procédure');
INSERT INTO `lang_definitions` VALUES (26582, 180, 8, 'Entrée au carnet d\'adresses pour le distributeur');
INSERT INTO `lang_definitions` VALUES (26583, 181, 8, 'Entrée au carnet d\'adresses pour le vendeur');
INSERT INTO `lang_definitions` VALUES (26584, 182, 8, 'Type de carnet d\'adresse');
INSERT INTO `lang_definitions` VALUES (26585, 187, 8, 'Adresse 1');
INSERT INTO `lang_definitions` VALUES (26586, 188, 8, 'Adresse 2');
INSERT INTO `lang_definitions` VALUES (26587, 189, 8, 'Destinataire');
INSERT INTO `lang_definitions` VALUES (26588, 190, 8, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (26589, 191, 8, 'Montant Ajusté');
INSERT INTO `lang_definitions` VALUES (26590, 192, 8, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (26591, 193, 8, 'Ajustement');
INSERT INTO `lang_definitions` VALUES (26592, 194, 8, 'Ajustemen du montant');
INSERT INTO `lang_definitions` VALUES (26593, 195, 8, 'Raisons de l\'ajustement');
INSERT INTO `lang_definitions` VALUES (26594, 196, 8, 'Valeur de l\'ajustement pour code ');
INSERT INTO `lang_definitions` VALUES (26595, 197, 8, 'Ajustements');
INSERT INTO `lang_definitions` VALUES (26596, 198, 8, 'Ajustement administratif');
INSERT INTO `lang_definitions` VALUES (26597, 199, 8, 'Administrateur');
INSERT INTO `lang_definitions` VALUES (26598, 200, 8, 'Adresse mail Administrateur');
INSERT INTO `lang_definitions` VALUES (26599, 201, 8, 'Administrer via');
INSERT INTO `lang_definitions` VALUES (26600, 202, 8, 'Administré');
INSERT INTO `lang_definitions` VALUES (26601, 203, 8, 'Administré par');
INSERT INTO `lang_definitions` VALUES (26602, 205, 8, 'Site administré');
INSERT INTO `lang_definitions` VALUES (26603, 206, 8, 'Administration');
INSERT INTO `lang_definitions` VALUES (26604, 207, 8, 'Site d\'administration');
INSERT INTO `lang_definitions` VALUES (26605, 208, 8, 'Administrateurs');
INSERT INTO `lang_definitions` VALUES (26606, 209, 8, 'Les administrateurs ont tous les droits');
INSERT INTO `lang_definitions` VALUES (26607, 210, 8, 'Date d\'admission');
INSERT INTO `lang_definitions` VALUES (26608, 212, 8, 'Suivi et Dépistage du poids pour Adulte');
INSERT INTO `lang_definitions` VALUES (26609, 213, 8, 'Suivi et Dépistage du poids pour Adulte (CQM)');
INSERT INTO `lang_definitions` VALUES (26610, 214, 8, 'Directive préalable');
INSERT INTO `lang_definitions` VALUES (26611, 215, 8, 'Directives préalables');
INSERT INTO `lang_definitions` VALUES (26612, 216, 8, 'Avertissement de directives anticipées');
INSERT INTO `lang_definitions` VALUES (26613, 218, 8, 'Avancé');
INSERT INTO `lang_definitions` VALUES (26614, 219, 8, 'Conseil');
INSERT INTO `lang_definitions` VALUES (26615, 221, 8, 'Affecte Normale');
INSERT INTO `lang_definitions` VALUES (26616, 223, 8, 'Appels hors des heures de travail');
INSERT INTO `lang_definitions` VALUES (26617, 224, 8, 'Après la migration des anciens mécanismes de mot de passe où les mots de passe sont stockés dans la table des utilisateurs sans sel, est complete. Cet indicateur doit être réglé sur Faux afin que seule l\'authentification par la nouvelle méthode est possible.');
INSERT INTO `lang_definitions` VALUES (26618, 225, 8, 'Après avoir réalisé les configurations mentionnées, importer le certificat du client administré dans le navigateur puis redémarrer le serveur Apache (mot de passe vide)');
INSERT INTO `lang_definitions` VALUES (26619, 226, 8, 'Après avoir enregistré le PDF, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (26620, 227, 8, 'Après avoir enregistré les fichiers TEXT, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (26621, 228, 8, 'Après avoir enregistré votre fichier séquentiel (batch), cliquer sur [View Log], pour vérifier d\'éventuelles erreurs.');
INSERT INTO `lang_definitions` VALUES (26622, 230, 8, 'Après avoir correctement entrer les informations, cliquer sur le bouton d\'enregistrement.');
INSERT INTO `lang_definitions` VALUES (26623, 232, 8, 'Planification du suivi');
INSERT INTO `lang_definitions` VALUES (26624, 233, 8, 'Encore');
INSERT INTO `lang_definitions` VALUES (26625, 234, 8, 'Age');
INSERT INTO `lang_definitions` VALUES (26626, 235, 8, 'Age par');
INSERT INTO `lang_definitions` VALUES (26627, 236, 8, 'Catégorie d\'âge');
INSERT INTO `lang_definitions` VALUES (26628, 237, 8, 'Données concernant l\'âge sont erronées');
INSERT INTO `lang_definitions` VALUES (26629, 238, 8, 'Format d\'affichage de l\'age');
INSERT INTO `lang_definitions` VALUES (26630, 239, 8, 'Le format pour \"âge à partir de\" est invalide');
INSERT INTO `lang_definitions` VALUES (26631, 240, 8, 'Le format pour \"âge jusqu\'à\" est invalide');
INSERT INTO `lang_definitions` VALUES (26632, 241, 8, 'Age à partir de');
INSERT INTO `lang_definitions` VALUES (26633, 242, 8, 'Âge en années pour le changement de format d\'affichage');
INSERT INTO `lang_definitions` VALUES (26634, 243, 8, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (26635, 244, 8, 'Age minimum');
INSERT INTO `lang_definitions` VALUES (26636, 245, 8, 'Tranche d\'âge');
INSERT INTO `lang_definitions` VALUES (26637, 247, 8, 'Aciennes Colonnes:');
INSERT INTO `lang_definitions` VALUES (26638, 249, 8, 'Albanais(e)');
INSERT INTO `lang_definitions` VALUES (26639, 250, 8, 'Alcool');
INSERT INTO `lang_definitions` VALUES (26640, 251, 8, 'Consommation d\'Alcool');
INSERT INTO `lang_definitions` VALUES (26641, 253, 8, 'Nombre d\'alerte');
INSERT INTO `lang_definitions` VALUES (26642, 255, 8, 'Alerts');
INSERT INTO `lang_definitions` VALUES (26643, 258, 8, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (26644, 259, 8, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (26645, 260, 8, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (26646, 261, 8, 'Tous (Assemblage Format A)');
INSERT INTO `lang_definitions` VALUES (26647, 262, 8, 'Tous (Assemblage Format B)');
INSERT INTO `lang_definitions` VALUES (26648, 263, 8, 'Tous (Cumulative)');
INSERT INTO `lang_definitions` VALUES (26649, 266, 8, 'Toutes catégories');
INSERT INTO `lang_definitions` VALUES (26650, 268, 8, 'Tous codes');
INSERT INTO `lang_definitions` VALUES (26651, 269, 8, 'Tout au long de la journée');
INSERT INTO `lang_definitions` VALUES (26652, 270, 8, 'Evénement durant toute la journée');
INSERT INTO `lang_definitions` VALUES (26653, 271, 8, 'Tout les champs démographiques, avec recherche et vérification des doublons');
INSERT INTO `lang_definitions` VALUES (26654, 272, 8, 'Tous les équipements/ installations');
INSERT INTO `lang_definitions` VALUES (26655, 273, 8, 'Toutes les Blessures/Problèmes');
INSERT INTO `lang_definitions` VALUES (26656, 274, 8, 'Toutes langues autorisées');
INSERT INTO `lang_definitions` VALUES (26657, 276, 8, 'Tout ou une partie du prénom');
INSERT INTO `lang_definitions` VALUES (26658, 277, 8, 'Tout ou une partie du nom de famille');
INSERT INTO `lang_definitions` VALUES (26659, 278, 8, 'Tout ou une partie de l\'entreprise');
INSERT INTO `lang_definitions` VALUES (26660, 280, 8, 'Tous produits');
INSERT INTO `lang_definitions` VALUES (26661, 281, 8, 'Tous fournisseurs');
INSERT INTO `lang_definitions` VALUES (26662, 282, 8, 'Tous examinés et négatifs:');
INSERT INTO `lang_definitions` VALUES (26663, 283, 8, 'Tous sujets');
INSERT INTO `lang_definitions` VALUES (26664, 284, 8, 'Tous les utilisateurs');
INSERT INTO `lang_definitions` VALUES (26665, 285, 8, 'Allergique');
INSERT INTO `lang_definitions` VALUES (26666, 286, 8, 'Allergies');
INSERT INTO `lang_definitions` VALUES (26667, 287, 8, 'Allergies:');
INSERT INTO `lang_definitions` VALUES (26668, 288, 8, 'Allergie');
INSERT INTO `lang_definitions` VALUES (26669, 289, 8, 'L\'importation des allergies c\'est terminé avec succes');
INSERT INTO `lang_definitions` VALUES (26670, 290, 8, 'Liste des problèmes du à l\'allergie');
INSERT INTO `lang_definitions` VALUES (26671, 291, 8, 'Réaction allergique');
INSERT INTO `lang_definitions` VALUES (26672, 294, 8, 'Affecter');
INSERT INTO `lang_definitions` VALUES (26673, 295, 8, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (26674, 296, 8, 'Autoriser toutes les langues disponibles en option dans le menu lors de l\'ouverture de session');
INSERT INTO `lang_definitions` VALUES (26675, 297, 8, 'Autoriser la creation de demandes d\'indémnisation contenant les diagnostiques mais non les procedures ou les frais. La majorité des cliniques y sont réticentes.');
INSERT INTO `lang_definitions` VALUES (26676, 298, 8, 'Autoriser le langage de débogage');
INSERT INTO `lang_definitions` VALUES (26677, 299, 8, 'Autoriser les e-mails');
INSERT INTO `lang_definitions` VALUES (26678, 300, 8, 'Autoriser les messages e-mails ?');
INSERT INTO `lang_definitions` VALUES (26679, 301, 8, 'Autoriser les e-mails ?');
INSERT INTO `lang_definitions` VALUES (26680, 302, 8, 'Autoriser les demandes de rendez-vous');
INSERT INTO `lang_definitions` VALUES (26681, 303, 8, 'Autoriser l\'échange d\'information médicale');
INSERT INTO `lang_definitions` VALUES (26682, 304, 8, 'Autoriser le partage d\'information d\'immunisation');
INSERT INTO `lang_definitions` VALUES (26683, 305, 8, 'Autorise l\'utilisation du registre d\'immunisation');
INSERT INTO `lang_definitions` VALUES (26684, 306, 8, 'Autoriser les courriers');
INSERT INTO `lang_definitions` VALUES (26685, 308, 8, 'Autoriser le Portail Patient');
INSERT INTO `lang_definitions` VALUES (26686, 309, 8, 'Autoriser les SMS');
INSERT INTO `lang_definitions` VALUES (26687, 310, 8, 'Autoriser les SMS (textos) ?');
INSERT INTO `lang_definitions` VALUES (26688, 311, 8, 'Autoriser l\'activation instantanée des événements proposés ?');
INSERT INTO `lang_definitions` VALUES (26689, 312, 8, 'Autoriser les messages téléphoniques ?');
INSERT INTO `lang_definitions` VALUES (26690, 313, 8, 'Autoriser les utilisateurs de publier des Evénements Globaux');
INSERT INTO `lang_definitions` VALUES (26691, 314, 8, 'Autoriser les utilisateurs à publier des calendriers personnels');
INSERT INTO `lang_definitions` VALUES (26692, 315, 8, 'Autoriser les messages vocaux');
INSERT INTO `lang_definitions` VALUES (26693, 316, 8, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (26694, 317, 8, 'Langues autorisées');
INSERT INTO `lang_definitions` VALUES (26695, 318, 8, 'Autorisé (c)');
INSERT INTO `lang_definitions` VALUES (26696, 319, 8, 'Permet la signature electronique pour la visite');
INSERT INTO `lang_definitions` VALUES (26697, 320, 8, 'Permet la signature electronique des formulaires');
INSERT INTO `lang_definitions` VALUES (26698, 321, 8, 'Permet le courrier');
INSERT INTO `lang_definitions` VALUES (26699, 322, 8, 'Permet les messages vocaux');
INSERT INTO `lang_definitions` VALUES (26700, 323, 8, 'existe déjà');
INSERT INTO `lang_definitions` VALUES (26701, 324, 8, 'existe déjà.');
INSERT INTO `lang_definitions` VALUES (26702, 325, 8, 'Déjà utilisé, veuillez choisir un autre identifiant');
INSERT INTO `lang_definitions` VALUES (26703, 326, 8, 'Déjà utilisé, veuillez choisir un autre titre');
INSERT INTO `lang_definitions` VALUES (26704, 327, 8, 'Adresse secondaire');
INSERT INTO `lang_definitions` VALUES (26705, 328, 8, 'modifier');
INSERT INTO `lang_definitions` VALUES (26706, 329, 8, 'Alternativement, vous pouvez utiliser la page de recherche pour transférer une remise électronique (X12 835) du fichier que vous avez obtenu à partir de votre payeur ou chambre de compensation. Vous pouvez le faire en cliquant sur le bouton Parcourir et sélectionner le fichier à télécharger, puis en cliquant sur Rechercher pour effectuer le téléchargement et l\'affichage des factures correspondantes. Dans ce cas, les autres paramètres mentionnés ci-dessus ne s\'appliquent pas et sera ignoré. Téléchargement enregistre le fichier mais n\'a pas encore traiter son contenu - ce qui est fait séparément comme décrit ci-dessous.');
INSERT INTO `lang_definitions` VALUES (26707, 330, 8, 'AM');
INSERT INTO `lang_definitions` VALUES (26708, 331, 8, 'Programme Matinal');
INSERT INTO `lang_definitions` VALUES (26709, 332, 8, 'AMC');
INSERT INTO `lang_definitions` VALUES (26710, 333, 8, 'Suivi AMC');
INSERT INTO `lang_definitions` VALUES (26711, 338, 8, 'Modifier la note existante');
INSERT INTO `lang_definitions` VALUES (26712, 343, 8, 'Indien d\'Amérique');
INSERT INTO `lang_definitions` VALUES (26713, 344, 8, 'Indiens d\'Amérique ou autochtones d\'Alaska');
INSERT INTO `lang_definitions` VALUES (26714, 345, 8, 'AMEX');
INSERT INTO `lang_definitions` VALUES (26715, 346, 8, 'Amharique');
INSERT INTO `lang_definitions` VALUES (26716, 347, 8, 'Montant');
INSERT INTO `lang_definitions` VALUES (26717, 348, 8, 'Quantité Administrée');
INSERT INTO `lang_definitions` VALUES (26718, 349, 8, 'Montant des frais');
INSERT INTO `lang_definitions` VALUES (26719, 350, 8, 'Montant du solde précédent');
INSERT INTO `lang_definitions` VALUES (26720, 351, 8, 'Montant pour cette visite');
INSERT INTO `lang_definitions` VALUES (26721, 352, 8, 'Montant payé');
INSERT INTO `lang_definitions` VALUES (26722, 353, 8, 'Montant:');
INSERT INTO `lang_definitions` VALUES (26723, 354, 8, 'Montant a payer');
INSERT INTO `lang_definitions` VALUES (26724, 355, 8, 'Une date de fin postérieur à la date de démarrage est nécessaire pour les événements répétés!');
INSERT INTO `lang_definitions` VALUES (26725, 357, 8, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web LibreEHR');
INSERT INTO `lang_definitions` VALUES (26726, 358, 8, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web phpGACL');
INSERT INTO `lang_definitions` VALUES (26727, 359, 8, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (26728, 360, 8, 'Une édition incomplète de GCAC a été crée et reliée. Elle devra être complétée plus tard.');
INSERT INTO `lang_definitions` VALUES (26729, 362, 8, 'Une erreur inattendue s\'est produite.');
INSERT INTO `lang_definitions` VALUES (26730, 363, 8, 'Une lettre majuscule');
INSERT INTO `lang_definitions` VALUES (26731, 365, 8, 'Et');
INSERT INTO `lang_definitions` VALUES (26732, 366, 8, 'ET');
INSERT INTO `lang_definitions` VALUES (26733, 367, 8, 'et');
INSERT INTO `lang_definitions` VALUES (26734, 368, 8, 'et ');
INSERT INTO `lang_definitions` VALUES (26735, 369, 8, 'et tous les données secondaires? Cette action sera enregistrée');
INSERT INTO `lang_definitions` VALUES (26736, 370, 8, 'et modificateur');
INSERT INTO `lang_definitions` VALUES (26737, 371, 8, 'et traité.');
INSERT INTO `lang_definitions` VALUES (26738, 372, 8, 'et redémarrer le serveur Apache.');
INSERT INTO `lang_definitions` VALUES (26739, 373, 8, 'et la raison est');
INSERT INTO `lang_definitions` VALUES (26740, 374, 8, 'Anémie');
INSERT INTO `lang_definitions` VALUES (26741, 375, 8, 'Cheville');
INSERT INTO `lang_definitions` VALUES (26742, 376, 8, 'Cheville + Talon');
INSERT INTO `lang_definitions` VALUES (26743, 377, 8, 'Formulaire d\'évalution de cheville');
INSERT INTO `lang_definitions` VALUES (26744, 378, 8, 'Problèmes de cheville');
INSERT INTO `lang_definitions` VALUES (26745, 379, 8, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (26746, 380, 8, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (26747, 381, 8, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (26748, 382, 8, 'Une autre manipulation possible dans la fenêtre affichée est la demande d\'une seconde facturation. Si vous cocher cette case avant d\'enregistrer, alors la demande originale sera ré ouverte, ajoutée à la page de facturation et exécutée lors de la prochaine échéance.');
INSERT INTO `lang_definitions` VALUES (26749, 383, 8, 'avant');
INSERT INTO `lang_definitions` VALUES (26750, 384, 8, 'Anus normal, sans tendreté/masse rectale');
INSERT INTO `lang_definitions` VALUES (26751, 385, 8, 'Anxiété');
INSERT INTO `lang_definitions` VALUES (26752, 386, 8, 'N\'importe quel(le) / Tout(e)');
INSERT INTO `lang_definitions` VALUES (26753, 387, 8, 'Toute catégorie');
INSERT INTO `lang_definitions` VALUES (26754, 388, 8, 'Toute partie du code désiré ou sa description');
INSERT INTO `lang_definitions` VALUES (26755, 389, 8, 'Toute partie de le spécialité désirée');
INSERT INTO `lang_definitions` VALUES (26756, 390, 8, 'Toute partie de l\'identification ou du nom du médicament');
INSERT INTO `lang_definitions` VALUES (26757, 391, 8, 'Toute partie de l’identification ou du nom d\'immunisation');
INSERT INTO `lang_definitions` VALUES (26758, 392, 8, 'Toute partie du nom du patient, ou \"nom, prénom\", ou \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (26759, 393, 8, 'Toute autre information pertinente');
INSERT INTO `lang_definitions` VALUES (26760, 394, 8, 'Clé API pour le relais SMS');
INSERT INTO `lang_definitions` VALUES (26761, 395, 8, 'Apnée');
INSERT INTO `lang_definitions` VALUES (26762, 396, 8, 'Apparence');
INSERT INTO `lang_definitions` VALUES (26763, 397, 8, 'Apparence:');
INSERT INTO `lang_definitions` VALUES (26764, 398, 8, 'Ajouter cette note');
INSERT INTO `lang_definitions` VALUES (26765, 399, 8, 'Ajouter à la note existante');
INSERT INTO `lang_definitions` VALUES (26766, 400, 8, 'Ajouter à cette note');
INSERT INTO `lang_definitions` VALUES (26767, 401, 8, 'Ajouter à Cette Note');
INSERT INTO `lang_definitions` VALUES (26768, 402, 8, 'Appendicectomie');
INSERT INTO `lang_definitions` VALUES (26769, 404, 8, 'Les patients concernés');
INSERT INTO `lang_definitions` VALUES (26770, 405, 8, 'Application');
INSERT INTO `lang_definitions` VALUES (26771, 406, 8, 'Nom utilisateur pour la page d’accès et titre de fenêtre principale');
INSERT INTO `lang_definitions` VALUES (26772, 407, 8, 'Code Application receveur (GS03 - si vide ISA08 sera utilisé)');
INSERT INTO `lang_definitions` VALUES (26773, 408, 8, 'Code Application émettrice (GS02)');
INSERT INTO `lang_definitions` VALUES (26774, 409, 8, 'Titre de l\'Application');
INSERT INTO `lang_definitions` VALUES (26775, 410, 8, 'Appliquer au formulaire des fonctions vitales et à la courbe de croissance');
INSERT INTO `lang_definitions` VALUES (26776, 411, 8, 'Appliquer au formulaire des fonctions vitales');
INSERT INTO `lang_definitions` VALUES (26777, 412, 8, 'Appliquer les changements seulement à l’événement actuel, à celui ci ainsi qu\'aux futurs événements, ou à tous les événements ?');
INSERT INTO `lang_definitions` VALUES (26778, 413, 8, 'Appliquer à la section désignée');
INSERT INTO `lang_definitions` VALUES (26779, 414, 8, 'appliquer sur la peau');
INSERT INTO `lang_definitions` VALUES (26780, 415, 8, 'Application');
INSERT INTO `lang_definitions` VALUES (26781, 416, 8, 'Application du patch au site');
INSERT INTO `lang_definitions` VALUES (26782, 417, 8, 'Rendez-vous');
INSERT INTO `lang_definitions` VALUES (26783, 418, 8, 'Date de rendez-vous');
INSERT INTO `lang_definitions` VALUES (26784, 419, 8, 'Style d\'affichage des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (26785, 420, 8, 'Règle de rappel de rendez-vous');
INSERT INTO `lang_definitions` VALUES (26786, 421, 8, 'Statut du rendez-vous');
INSERT INTO `lang_definitions` VALUES (26787, 422, 8, 'Statuts du rendez-vous');
INSERT INTO `lang_definitions` VALUES (26788, 423, 8, 'Rendez-vous dans');
INSERT INTO `lang_definitions` VALUES (26789, 424, 8, 'Couleur d\'Evénement/Rendez-vous');
INSERT INTO `lang_definitions` VALUES (26790, 425, 8, 'Des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (26791, 426, 8, 'Rendez-vous (option d\'écriture)');
INSERT INTO `lang_definitions` VALUES (26792, 427, 8, 'Rendez-vous(ecrire, pas obligatoire)');
INSERT INTO `lang_definitions` VALUES (26793, 430, 8, 'Rendez-vous et Rencontres');
INSERT INTO `lang_definitions` VALUES (26794, 431, 8, 'Rapport des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (26795, 432, 8, 'Rapport des Rencontres et Rendez-vous');
INSERT INTO `lang_definitions` VALUES (26796, 434, 8, 'Approuver');
INSERT INTO `lang_definitions` VALUES (26797, 436, 8, 'Approuvé');
INSERT INTO `lang_definitions` VALUES (26798, 437, 8, 'Evénements administratifs approuvés');
INSERT INTO `lang_definitions` VALUES (26799, 440, 8, 'RDV-Visite');
INSERT INTO `lang_definitions` VALUES (26800, 441, 8, 'RDVs');
INSERT INTO `lang_definitions` VALUES (26801, 442, 8, 'Avr.');
INSERT INTO `lang_definitions` VALUES (26802, 443, 8, 'Avril');
INSERT INTO `lang_definitions` VALUES (26803, 444, 8, 'Arabe');
INSERT INTO `lang_definitions` VALUES (26804, 446, 8, 'Archive');
INSERT INTO `lang_definitions` VALUES (26805, 447, 8, 'les noms du groupe de contrôle doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (26806, 448, 8, 'Les noms de catégorie de rendez vous doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (26807, 449, 8, 'Les noms de catégorie de documents doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (26808, 450, 8, 'Des frais sont ils facturés pour ce type ?');
INSERT INTO `lang_definitions` VALUES (26809, 451, 8, 'Les titres des notes des patients doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (26810, 452, 8, 'Les codes sont-ils stocker dans des tables sql externes (0-Non, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (26811, 453, 8, 'Etes vous prêt à compléter une nouvelle version GCAC pour cette consultation ?');
INSERT INTO `lang_definitions` VALUES (26812, 454, 8, 'Etes-vous sûr de vouloir poster pour aujourd\'hui?');
INSERT INTO `lang_definitions` VALUES (26813, 455, 8, 'Etes vous sur de vouloir valider ces événements ?');
INSERT INTO `lang_definitions` VALUES (26814, 457, 8, 'Etes vous sur de vouloir complètement effacer ce formulaire ?');
INSERT INTO `lang_definitions` VALUES (26815, 459, 8, 'Etes vous sur de vouloir supprimer cet accès ?');
INSERT INTO `lang_definitions` VALUES (26816, 460, 8, 'Etes vous certain de vouloir effacer cet événement ?');
INSERT INTO `lang_definitions` VALUES (26817, 461, 8, 'Etes vous certain de vouloir effacer cet élément de la base de données ?');
INSERT INTO `lang_definitions` VALUES (26818, 462, 8, 'Etes vous certain de vouloir effacer cette note ?');
INSERT INTO `lang_definitions` VALUES (26819, 464, 8, 'Etes vous certain de vouloir éditer ces événements ?');
INSERT INTO `lang_definitions` VALUES (26820, 465, 8, 'Etes vous certain de vouloir masquer ces événements ?');
INSERT INTO `lang_definitions` VALUES (26821, 467, 8, 'Etes vous certain de vouloir voir ces événements ?');
INSERT INTO `lang_definitions` VALUES (26822, 468, 8, 'Etes vous certain de vouloir effacer l\'ensemble du groupe nommé ?');
INSERT INTO `lang_definitions` VALUES (26823, 469, 8, 'Etes vous sur de vouloir effacer l\'ensemble de la liste?');
INSERT INTO `lang_definitions` VALUES (26824, 470, 8, 'Etes vous certain de vouloir de vouloir effacer le champs interne ?');
INSERT INTO `lang_definitions` VALUES (26825, 471, 8, 'Etes vous certain de vouloir effacer les champs sélectionnés ?');
INSERT INTO `lang_definitions` VALUES (26826, 472, 8, 'Etes vous certain de vouloir poursuivre ces actions ?');
INSERT INTO `lang_definitions` VALUES (26827, 473, 8, 'Zone non spécifiée');
INSERT INTO `lang_definitions` VALUES (26828, 474, 8, 'Bras');
INSERT INTO `lang_definitions` VALUES (26829, 475, 8, 'Arménien');
INSERT INTO `lang_definitions` VALUES (26830, 477, 8, 'Arythmie');
INSERT INTO `lang_definitions` VALUES (26831, 478, 8, 'Arthrite');
INSERT INTO `lang_definitions` VALUES (26832, 479, 8, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (26833, 480, 8, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (26834, 481, 8, 'comme');
INSERT INTO `lang_definitions` VALUES (26835, 482, 8, 'A compter de');
INSERT INTO `lang_definitions` VALUES (26836, 484, 8, 'Asiatique');
INSERT INTO `lang_definitions` VALUES (26837, 487, 8, 'Evaluation');
INSERT INTO `lang_definitions` VALUES (26838, 488, 8, 'Affecté à');
INSERT INTO `lang_definitions` VALUES (26839, 489, 8, 'Assistant');
INSERT INTO `lang_definitions` VALUES (26840, 490, 8, 'Asthme');
INSERT INTO `lang_definitions` VALUES (26841, 491, 8, 'à');
INSERT INTO `lang_definitions` VALUES (26842, 492, 8, 'Au moins un paramètre de recherche est requis si vous sélectionnez tout');
INSERT INTO `lang_definitions` VALUES (26843, 493, 8, 'Au naviculaire');
INSERT INTO `lang_definitions` VALUES (26844, 494, 8, 'Au naviculaire:');
INSERT INTO `lang_definitions` VALUES (26845, 495, 8, 'Equipe d\'Athlétisme');
INSERT INTO `lang_definitions` VALUES (26846, 496, 8, 'Equipe d\'Athlétisme');
INSERT INTO `lang_definitions` VALUES (26847, 497, 8, 'Blessure sportive');
INSERT INTO `lang_definitions` VALUES (26848, 498, 8, 'Certificat CA d’audit ATNA');
INSERT INTO `lang_definitions` VALUES (26849, 499, 8, 'Hôte d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (26850, 500, 8, 'Certificat local d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (26851, 501, 8, 'Port d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (26852, 503, 8, 'Attention');
INSERT INTO `lang_definitions` VALUES (26853, 504, 8, 'Attention');
INSERT INTO `lang_definitions` VALUES (26854, 506, 8, 'Audit des requêtes du moteur CDR');
INSERT INTO `lang_definitions` VALUES (26855, 509, 8, 'Sauvegardes des journaux d\'Audit');
INSERT INTO `lang_definitions` VALUES (26856, 510, 8, 'Autres Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (26857, 511, 8, 'Commande de journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (26858, 512, 8, 'Journalisation d\'Audit des Enregistrements de Patient');
INSERT INTO `lang_definitions` VALUES (26859, 513, 8, 'Planification de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (26860, 514, 8, 'Administration de la Sécurité de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (26861, 515, 8, 'Journalisation d\'Audit des requêtes SELECT');
INSERT INTO `lang_definitions` VALUES (26862, 516, 8, 'Août');
INSERT INTO `lang_definitions` VALUES (26863, 517, 8, 'Août');
INSERT INTO `lang_definitions` VALUES (26864, 519, 8, 'Autorisation');
INSERT INTO `lang_definitions` VALUES (26865, 520, 8, 'Autorisation/notes');
INSERT INTO `lang_definitions` VALUES (26866, 523, 8, 'Groupe d\'Autorisation');
INSERT INTO `lang_definitions` VALUES (26867, 524, 8, 'Etat de l\'autorisation');
INSERT INTO `lang_definitions` VALUES (26868, 525, 8, 'Autorisations');
INSERT INTO `lang_definitions` VALUES (26869, 526, 8, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (26870, 527, 8, 'Autoriser – toutes rencontres');
INSERT INTO `lang_definitions` VALUES (26871, 528, 8, 'Autoriser – mes rencontres');
INSERT INTO `lang_definitions` VALUES (26872, 529, 8, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (26873, 530, 8, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (26874, 531, 8, 'Autorisé Uniquement');
INSERT INTO `lang_definitions` VALUES (26875, 532, 8, 'Envoi automatique');
INSERT INTO `lang_definitions` VALUES (26876, 535, 8, 'Auto-Création Nouvelles Rencontres');
INSERT INTO `lang_definitions` VALUES (26877, 536, 8, 'Auto-généré');
INSERT INTO `lang_definitions` VALUES (26878, 537, 8, 'Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (26879, 542, 8, 'Suivi des Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (26880, 543, 8, 'Mesures Automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (26881, 544, 8, 'Automatique');
INSERT INTO `lang_definitions` VALUES (26882, 546, 8, 'Créer automatiquement une nouvelle rencontre lorsque l\'état du rendez-vous est fixé à \"@\" (arrivée).');
INSERT INTO `lang_definitions` VALUES (26883, 549, 8, 'Voiture médicalisée');
INSERT INTO `lang_definitions` VALUES (26884, 550, 8, 'auto-enregistré');
INSERT INTO `lang_definitions` VALUES (26885, 551, 8, 'Catégories Disponibles');
INSERT INTO `lang_definitions` VALUES (26886, 552, 8, 'Horaires Disponibles');
INSERT INTO `lang_definitions` VALUES (26887, 557, 8, 'Moyenne Mensuelle');
INSERT INTO `lang_definitions` VALUES (26888, 558, 8, 'Avulsion / avulsion fracture');
INSERT INTO `lang_definitions` VALUES (26889, 559, 8, 'Avulsion du Malléole latérale');
INSERT INTO `lang_definitions` VALUES (26890, 560, 8, 'Avulsion du Malléole médiale ');
INSERT INTO `lang_definitions` VALUES (26891, 561, 8, 'Basées sur la Connaissance');
INSERT INTO `lang_definitions` VALUES (26892, 562, 8, 'Auxiliaire');
INSERT INTO `lang_definitions` VALUES (26893, 565, 8, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (26894, 566, 8, 'Derrière');
INSERT INTO `lang_definitions` VALUES (26895, 567, 8, 'derrière');
INSERT INTO `lang_definitions` VALUES (26896, 568, 8, 'Retour huit visites');
INSERT INTO `lang_definitions` VALUES (26897, 569, 8, 'Retour onze visites');
INSERT INTO `lang_definitions` VALUES (26898, 570, 8, 'Retour cinq visites');
INSERT INTO `lang_definitions` VALUES (26899, 571, 8, 'Retour quatre visites');
INSERT INTO `lang_definitions` VALUES (26900, 572, 8, 'Retour neuf visites');
INSERT INTO `lang_definitions` VALUES (26901, 573, 8, 'Retour une visite');
INSERT INTO `lang_definitions` VALUES (26902, 574, 8, 'Douleur dorsale');
INSERT INTO `lang_definitions` VALUES (26903, 575, 8, 'Problèmes de dos');
INSERT INTO `lang_definitions` VALUES (26904, 576, 8, 'Reporter sept visites');
INSERT INTO `lang_definitions` VALUES (26905, 577, 8, 'Reporter six visites');
INSERT INTO `lang_definitions` VALUES (26906, 578, 8, 'Chirurgie du dos');
INSERT INTO `lang_definitions` VALUES (26907, 579, 8, 'Retour dix visites');
INSERT INTO `lang_definitions` VALUES (26908, 580, 8, 'Retour trois visites');
INSERT INTO `lang_definitions` VALUES (26909, 581, 8, 'Retour à la page de l\'Admin');
INSERT INTO `lang_definitions` VALUES (26910, 584, 8, 'Retour au patient');
INSERT INTO `lang_definitions` VALUES (26911, 585, 8, 'Retour aux utilisateurs');
INSERT INTO `lang_definitions` VALUES (26912, 586, 8, 'Retour à la Vue');
INSERT INTO `lang_definitions` VALUES (26913, 587, 8, 'Retour douze visites');
INSERT INTO `lang_definitions` VALUES (26914, 588, 8, 'Retour deux visites');
INSERT INTO `lang_definitions` VALUES (26915, 589, 8, 'Les services d\'arrière-plan');
INSERT INTO `lang_definitions` VALUES (26916, 590, 8, 'Sauvegarde');
INSERT INTO `lang_definitions` VALUES (26917, 591, 8, 'Un document de sauvegarde a été créé Le téléchargement va être lancé.');
INSERT INTO `lang_definitions` VALUES (26918, 593, 8, 'Sauvegarde effectuée avec succès');
INSERT INTO `lang_definitions` VALUES (26919, 594, 8, 'Chèque sans provision');
INSERT INTO `lang_definitions` VALUES (26920, 595, 8, 'Créances Douteuses');
INSERT INTO `lang_definitions` VALUES (26921, 596, 8, 'Bahasa Indonésien');
INSERT INTO `lang_definitions` VALUES (26922, 597, 8, 'Bal');
INSERT INTO `lang_definitions` VALUES (26923, 598, 8, 'Balance');
INSERT INTO `lang_definitions` VALUES (26924, 599, 8, 'balance');
INSERT INTO `lang_definitions` VALUES (26925, 600, 8, 'Montant du solde');
INSERT INTO `lang_definitions` VALUES (26926, 601, 8, 'Solde dû');
INSERT INTO `lang_definitions` VALUES (26927, 603, 8, 'Traite');
INSERT INTO `lang_definitions` VALUES (26928, 607, 8, 'Base du cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (26929, 608, 8, 'Base du cinquième (5ème) Métatarsien:');
INSERT INTO `lang_definitions` VALUES (26930, 611, 8, 'Réclamation du Lot (batch)');
INSERT INTO `lang_definitions` VALUES (26931, 612, 8, 'Outil de communication du lot (batch)');
INSERT INTO `lang_definitions` VALUES (26932, 613, 8, 'Entrée de Payement du Lot (batch)');
INSERT INTO `lang_definitions` VALUES (26933, 614, 8, 'Paiement par lots');
INSERT INTO `lang_definitions` VALUES (26934, 615, 8, 'Traitement du lot (batch) lancé; cela peut prendre du temps.');
INSERT INTO `lang_definitions` VALUES (26935, 616, 8, 'Résultats du lot (Batch)');
INSERT INTO `lang_definitions` VALUES (26936, 617, 8, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (26937, 619, 8, 'car cet identifiant n\'existe pas.');
INSERT INTO `lang_definitions` VALUES (26938, 620, 8, 'Début');
INSERT INTO `lang_definitions` VALUES (26939, 621, 8, 'Date Début');
INSERT INTO `lang_definitions` VALUES (26940, 623, 8, 'Date début du service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (26941, 624, 8, 'Heure début de journée pour les évènements calendaires.');
INSERT INTO `lang_definitions` VALUES (26942, 626, 8, 'Eructation');
INSERT INTO `lang_definitions` VALUES (26943, 628, 8, 'Bengale');
INSERT INTO `lang_definitions` VALUES (26944, 630, 8, 'entre');
INSERT INTO `lang_definitions` VALUES (26945, 633, 8, 'Bilatéral');
INSERT INTO `lang_definitions` VALUES (26946, 634, 8, 'Bilatéral:');
INSERT INTO `lang_definitions` VALUES (26947, 636, 8, 'Date de facture:');
INSERT INTO `lang_definitions` VALUES (26948, 637, 8, 'Collecter/Facturer');
INSERT INTO `lang_definitions` VALUES (26949, 638, 8, 'Facturé');
INSERT INTO `lang_definitions` VALUES (26950, 640, 8, 'Facturation');
INSERT INTO `lang_definitions` VALUES (26951, 641, 8, 'Facturation (écriture optionnel)');
INSERT INTO `lang_definitions` VALUES (26952, 642, 8, 'Destinataire de facturation');
INSERT INTO `lang_definitions` VALUES (26953, 644, 8, 'Code de facturation pour le Service demandé');
INSERT INTO `lang_definitions` VALUES (26954, 645, 8, 'Codes de facturation');
INSERT INTO `lang_definitions` VALUES (26955, 646, 8, 'Donnée de facturation');
INSERT INTO `lang_definitions` VALUES (26956, 647, 8, 'Service de facturation');
INSERT INTO `lang_definitions` VALUES (26957, 648, 8, 'Fonds de Facturations');
INSERT INTO `lang_definitions` VALUES (26958, 649, 8, 'Information sur la facturation');
INSERT INTO `lang_definitions` VALUES (26959, 650, 8, 'Lieu de facturation');
INSERT INTO `lang_definitions` VALUES (26960, 655, 8, 'Gestionnaire de facturation');
INSERT INTO `lang_definitions` VALUES (26961, 656, 8, 'Note de facturation');
INSERT INTO `lang_definitions` VALUES (26962, 657, 8, 'Note de facturation pour ');
INSERT INTO `lang_definitions` VALUES (26963, 658, 8, 'Note de facturation:');
INSERT INTO `lang_definitions` VALUES (26964, 659, 8, 'Résutalt de la file de facturation:');
INSERT INTO `lang_definitions` VALUES (26965, 660, 8, 'Rapport de facturation');
INSERT INTO `lang_definitions` VALUES (26966, 661, 8, 'Statut de facturation');
INSERT INTO `lang_definitions` VALUES (26967, 662, 8, 'Statut de facturation = non facturé');
INSERT INTO `lang_definitions` VALUES (26968, 663, 8, 'facturation à ');
INSERT INTO `lang_definitions` VALUES (26969, 665, 8, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (26970, 666, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (26971, 667, 8, 'Naissance-24 mois');
INSERT INTO `lang_definitions` VALUES (26972, 669, 8, 'Noir');
INSERT INTO `lang_definitions` VALUES (26973, 670, 8, 'Poumons Noir');
INSERT INTO `lang_definitions` VALUES (26974, 671, 8, 'Noir ou Afro-américain');
INSERT INTO `lang_definitions` VALUES (26975, 672, 8, 'Cancer de la vésicule');
INSERT INTO `lang_definitions` VALUES (26976, 673, 8, 'Infections de la vésicule');
INSERT INTO `lang_definitions` VALUES (26977, 674, 8, 'Formulaires blancs');
INSERT INTO `lang_definitions` VALUES (26978, 675, 8, 'Problèmes de saignement');
INSERT INTO `lang_definitions` VALUES (26979, 676, 8, 'Scotome');
INSERT INTO `lang_definitions` VALUES (26980, 677, 8, 'Ballonement');
INSERT INTO `lang_definitions` VALUES (26981, 678, 8, 'Bouché');
INSERT INTO `lang_definitions` VALUES (26982, 679, 8, 'Sang');
INSERT INTO `lang_definitions` VALUES (26983, 680, 8, 'Pression Arterielle');
INSERT INTO `lang_definitions` VALUES (26984, 681, 8, 'Pression arterielle');
INSERT INTO `lang_definitions` VALUES (26985, 682, 8, 'Nez en sang');
INSERT INTO `lang_definitions` VALUES (26986, 683, 8, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (26987, 684, 8, 'Les lignes bleues dans ce rapport sont à titre informatif. Les lignes noires indiquent les informations déjà existantes. Les lignes vertes montrent les changements qui ont été appliqués avec succès. Les lignes rouges indiquent des erreurs, ou des changements qui n\'ont pas été appliquées; elles doivent être traitées manuellement. Revendications qui sont actuellement privés et les inversions de paiement ne sont pas traitées automatiquement et donc apparaîtra en rouge.');
INSERT INTO `lang_definitions` VALUES (26988, 685, 8, 'Vision Brouillée');
INSERT INTO `lang_definitions` VALUES (26989, 686, 8, 'IMC');
INSERT INTO `lang_definitions` VALUES (26990, 687, 8, 'Etat de L\'IMC');
INSERT INTO `lang_definitions` VALUES (26991, 689, 8, 'Région du corps');
INSERT INTO `lang_definitions` VALUES (26992, 690, 8, 'Zone du corps');
INSERT INTO `lang_definitions` VALUES (26993, 691, 8, 'Zone du corps , si applicable');
INSERT INTO `lang_definitions` VALUES (26994, 692, 8, 'Sensibilité osseuse:');
INSERT INTO `lang_definitions` VALUES (26995, 693, 8, 'Sensibilité osseuse: Malléole médiane');
INSERT INTO `lang_definitions` VALUES (26996, 694, 8, 'Booléen');
INSERT INTO `lang_definitions` VALUES (26997, 696, 8, 'En dessous');
INSERT INTO `lang_definitions` VALUES (26998, 697, 8, 'Les deux oreilles');
INSERT INTO `lang_definitions` VALUES (26999, 698, 8, 'les deux oreilles');
INSERT INTO `lang_definitions` VALUES (27000, 699, 8, 'Partie inférieure (Bas)');
INSERT INTO `lang_definitions` VALUES (27001, 701, 8, 'Case 10 A. Liée à l\'Emploi ');
INSERT INTO `lang_definitions` VALUES (27002, 702, 8, 'Case 10 B. Accident de Voiture ');
INSERT INTO `lang_definitions` VALUES (27003, 703, 8, 'Case 10 C. Autre Accident ');
INSERT INTO `lang_definitions` VALUES (27004, 706, 8, 'Case 15. Date de maladie identique ou similaire (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (27005, 708, 8, 'Case 16. Date début d\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (27006, 709, 8, 'Case 16. Date fin de l\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (27007, 710, 8, 'Case 18. Date début d\'Hospitalisation (aaaa-mm-jj) : ');
INSERT INTO `lang_definitions` VALUES (27008, 711, 8, 'Case 18. Date fin d\'Hospitalisation (aaaa-mm-jj) : ');
INSERT INTO `lang_definitions` VALUES (27009, 712, 8, 'Case 20. Est-ce laboratoire extérieur utilisé?');
INSERT INTO `lang_definitions` VALUES (27010, 713, 8, 'Case 22. Nouvelle présentation du Code Medicaid (CIM-9) ');
INSERT INTO `lang_definitions` VALUES (27011, 714, 8, 'Case 23. N ° d\'autorisation préalable ');
INSERT INTO `lang_definitions` VALUES (27012, 715, 8, 'Pression Atrérielle');
INSERT INTO `lang_definitions` VALUES (27013, 716, 8, 'PA Disatolique');
INSERT INTO `lang_definitions` VALUES (27014, 717, 8, 'PA Systoloque');
INSERT INTO `lang_definitions` VALUES (27015, 719, 8, 'PA diast');
INSERT INTO `lang_definitions` VALUES (27016, 721, 8, 'PA syst');
INSERT INTO `lang_definitions` VALUES (27017, 722, 8, 'Portugais Brésilien');
INSERT INTO `lang_definitions` VALUES (27018, 723, 8, 'Seins');
INSERT INTO `lang_definitions` VALUES (27019, 724, 8, 'Biopsie Mammaire');
INSERT INTO `lang_definitions` VALUES (27020, 725, 8, 'Décharge Seins');
INSERT INTO `lang_definitions` VALUES (27021, 726, 8, 'Maladie du sein');
INSERT INTO `lang_definitions` VALUES (27022, 727, 8, 'Examen Mammaire');
INSERT INTO `lang_definitions` VALUES (27023, 728, 8, 'Masse des Seins');
INSERT INTO `lang_definitions` VALUES (27024, 730, 8, 'Bruits respiratoires:');
INSERT INTO `lang_definitions` VALUES (27025, 732, 8, 'Fractures');
INSERT INTO `lang_definitions` VALUES (27026, 734, 8, 'Formulaire de Bronchites');
INSERT INTO `lang_definitions` VALUES (27027, 735, 8, 'Parcourir');
INSERT INTO `lang_definitions` VALUES (27028, 736, 8, 'Parcourir pour Enregistrement');
INSERT INTO `lang_definitions` VALUES (27029, 737, 8, 'Ecchymose/hématome');
INSERT INTO `lang_definitions` VALUES (27030, 739, 8, 'Enflement Droit:');
INSERT INTO `lang_definitions` VALUES (27031, 741, 8, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (27032, 742, 8, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (27033, 744, 8, 'Occupé');
INSERT INTO `lang_definitions` VALUES (27034, 745, 8, 'mais pas encore traité.');
INSERT INTO `lang_definitions` VALUES (27035, 746, 8, 'Fesses');
INSERT INTO `lang_definitions` VALUES (27036, 747, 8, 'Fesses + S.I');
INSERT INTO `lang_definitions` VALUES (27037, 748, 8, 'par');
INSERT INTO `lang_definitions` VALUES (27038, 749, 8, 'Par');
INSERT INTO `lang_definitions` VALUES (27039, 750, 8, 'Par voie orale');
INSERT INTO `lang_definitions` VALUES (27040, 751, 8, 'Par / Source');
INSERT INTO `lang_definitions` VALUES (27041, 752, 8, 'Par:');
INSERT INTO `lang_definitions` VALUES (27042, 753, 8, 'C');
INSERT INTO `lang_definitions` VALUES (27043, 754, 8, 'Certificat CA pour verifier le serveur syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (27044, 755, 8, 'Durée de vie du cache (en secondes)');
INSERT INTO `lang_definitions` VALUES (27045, 756, 8, 'Mettre en cache le résultat du modèle?');
INSERT INTO `lang_definitions` VALUES (27046, 757, 8, 'Consommation de caféine');
INSERT INTO `lang_definitions` VALUES (27047, 758, 8, 'Agenda');
INSERT INTO `lang_definitions` VALUES (27048, 759, 8, 'Heure Fin de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (27049, 760, 8, 'Intervalle de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (27050, 761, 8, 'Ecran de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (27051, 762, 8, 'Paramètre de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (27052, 763, 8, 'Heure Début de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (27053, 764, 8, 'Agenda UI');
INSERT INTO `lang_definitions` VALUES (27054, 765, 8, 'Vue Agenda');
INSERT INTO `lang_definitions` VALUES (27055, 766, 8, 'Appel à addForm () ce fait ici.<br>');
INSERT INTO `lang_definitions` VALUES (27056, 767, 8, 'Calories');
INSERT INTO `lang_definitions` VALUES (27057, 768, 8, 'Cambodgien');
INSERT INTO `lang_definitions` VALUES (27059, 774, 8, 'Annuler');
INSERT INTO `lang_definitions` VALUES (27060, 775, 8, 'Annuler les Modifications');
INSERT INTO `lang_definitions` VALUES (27061, 776, 8, 'Annulés');
INSERT INTO `lang_definitions` VALUES (27062, 777, 8, 'Cancer');
INSERT INTO `lang_definitions` VALUES (27063, 778, 8, 'Dépistage du cancer: cancer du côlon');
INSERT INTO `lang_definitions` VALUES (27064, 779, 8, 'Dépistage du cancer: Mammographie');
INSERT INTO `lang_definitions` VALUES (27065, 780, 8, 'Dépistage du cancer: Pap');
INSERT INTO `lang_definitions` VALUES (27066, 781, 8, 'Dépistage du cancer: cancer de la prostate');
INSERT INTO `lang_definitions` VALUES (27067, 782, 8, 'Impossible d\'ajouter cette entrée car elle existe déjà!');
INSERT INTO `lang_definitions` VALUES (27068, 783, 8, 'Impossible d\'ajouter/mettre à jour cette entrée, car un doublon existe déjà!');
INSERT INTO `lang_definitions` VALUES (27069, 784, 8, 'ne peut pas être archivé, ignoré');
INSERT INTO `lang_definitions` VALUES (27070, 785, 8, 'ne peut pas être convertie au format JPEG. Peut-être ImageMagick n\'est pas installé?');
INSERT INTO `lang_definitions` VALUES (27071, 786, 8, 'ne peut pas être supprimé, ignoré');
INSERT INTO `lang_definitions` VALUES (27072, 787, 8, 'ne peut pas être archivé, ignoré');
INSERT INTO `lang_definitions` VALUES (27073, 788, 8, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur');
INSERT INTO `lang_definitions` VALUES (27074, 789, 8, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur.');
INSERT INTO `lang_definitions` VALUES (27075, 790, 8, 'Impossible de créer');
INSERT INTO `lang_definitions` VALUES (27076, 795, 8, 'Impossible de trouver ');
INSERT INTO `lang_definitions` VALUES (27077, 796, 8, 'Impossible de trouver le nom de fichier destination');
INSERT INTO `lang_definitions` VALUES (27078, 799, 8, 'Impossible de trouver le patient à partir du client ID (dans SQL-Ledger)');
INSERT INTO `lang_definitions` VALUES (27079, 800, 8, 'Impossible de trouver le document PostScript en référence ');
INSERT INTO `lang_definitions` VALUES (27080, 801, 8, 'Impossible de trouver le fournisseur à partir de \'employé (dans SQL-Ledger) = ');
INSERT INTO `lang_definitions` VALUES (27081, 802, 8, 'Impossible de modifier les Paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (27082, 803, 8, 'Impossible d\'ouvrir ');
INSERT INTO `lang_definitions` VALUES (27083, 804, 8, 'Ne pouvez pas poster l\'Assurance. L’Entité Payeur sélectionnée est le Patient.');
INSERT INTO `lang_definitions` VALUES (27084, 805, 8, 'Ne pouvez pas poster le Patients. L\'organisme Payeur choisi est l\'Assurance.');
INSERT INTO `lang_definitions` VALUES (27085, 806, 8, 'Ne pouvez pas poster des paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (27086, 807, 8, 'Impossible de lire');
INSERT INTO `lang_definitions` VALUES (27087, 808, 8, 'Impossible de lire le répertoire');
INSERT INTO `lang_definitions` VALUES (27088, 809, 8, 'Impossible de mettre à jour car vous n\'éditez pas une entrée existante !');
INSERT INTO `lang_definitions` VALUES (27089, 810, 8, 'Capitaliser');
INSERT INTO `lang_definitions` VALUES (27090, 812, 8, 'capsule');
INSERT INTO `lang_definitions` VALUES (27091, 813, 8, 'Carte');
INSERT INTO `lang_definitions` VALUES (27092, 814, 8, 'Cathétérisme Cardiaque');
INSERT INTO `lang_definitions` VALUES (27093, 815, 8, 'Echo cardiaque');
INSERT INTO `lang_definitions` VALUES (27094, 816, 8, 'Cardiovasculaire');
INSERT INTO `lang_definitions` VALUES (27095, 821, 8, 'Cartilage / chondrales / dégâts disque');
INSERT INTO `lang_definitions` VALUES (27096, 822, 8, 'Lésion cartilagineuse');
INSERT INTO `lang_definitions` VALUES (27097, 823, 8, 'Pulsations carotides nl, pouls de pédale nl');
INSERT INTO `lang_definitions` VALUES (27098, 824, 8, 'espèces');
INSERT INTO `lang_definitions` VALUES (27099, 825, 8, 'Espèces');
INSERT INTO `lang_definitions` VALUES (27100, 826, 8, 'Reçu d\'Espèce');
INSERT INTO `lang_definitions` VALUES (27101, 827, 8, 'Reçus d\'Espèce par le fournisseur');
INSERT INTO `lang_definitions` VALUES (27102, 829, 8, 'Chirurgie de la Cataracte');
INSERT INTO `lang_definitions` VALUES (27103, 830, 8, 'Cataracte');
INSERT INTO `lang_definitions` VALUES (27104, 831, 8, 'Catégories');
INSERT INTO `lang_definitions` VALUES (27105, 832, 8, 'Catégories pour');
INSERT INTO `lang_definitions` VALUES (27106, 833, 8, 'Catégorie');
INSERT INTO `lang_definitions` VALUES (27107, 834, 8, 'catégorie');
INSERT INTO `lang_definitions` VALUES (27108, 835, 8, 'Catégorie ');
INSERT INTO `lang_definitions` VALUES (27109, 836, 8, 'Détails Catégorie');
INSERT INTO `lang_definitions` VALUES (27110, 837, 8, 'Limites Catégorie');
INSERT INTO `lang_definitions` VALUES (27111, 838, 8, 'Nom Catégorie');
INSERT INTO `lang_definitions` VALUES (27112, 839, 8, 'Nom catégorie vide');
INSERT INTO `lang_definitions` VALUES (27113, 840, 8, 'Titre/Catégorie');
INSERT INTO `lang_definitions` VALUES (27114, 841, 8, 'Caucasien');
INSERT INTO `lang_definitions` VALUES (27115, 842, 8, 'Raisons monétaires pour imprimer des consultations/les informations sur l\'assurance principale');
INSERT INTO `lang_definitions` VALUES (27116, 850, 8, 'Dépot de document clinique');
INSERT INTO `lang_definitions` VALUES (27117, 851, 8, 'Priorité de traitement des rapport CDR');
INSERT INTO `lang_definitions` VALUES (27118, 852, 8, 'Cellule');
INSERT INTO `lang_definitions` VALUES (27119, 853, 8, 'Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (27120, 855, 8, 'Numéro de Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (27121, 856, 8, 'Centrale de Certification');
INSERT INTO `lang_definitions` VALUES (27122, 857, 8, 'Centrale/Amérique du Sud');
INSERT INTO `lang_definitions` VALUES (27123, 858, 8, 'L\'emplacement du fichier crt de l\'Autorité de certification ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (27124, 859, 8, 'L\'emplacement du fichier key de l\'Autorité de certification emplacement ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (27125, 860, 8, 'Certificat à envoyer au serveur RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (27126, 861, 8, 'Certificat Utilisateur');
INSERT INTO `lang_definitions` VALUES (27127, 862, 8, 'Certificats');
INSERT INTO `lang_definitions` VALUES (27128, 864, 8, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (27129, 865, 8, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (27130, 866, 8, 'modifier');
INSERT INTO `lang_definitions` VALUES (27131, 867, 8, 'Modifier');
INSERT INTO `lang_definitions` VALUES (27132, 868, 8, 'Modifier l\'Activité');
INSERT INTO `lang_definitions` VALUES (27133, 869, 8, 'Changement échoué! erreur de connexion CouchDB ?');
INSERT INTO `lang_definitions` VALUES (27134, 870, 8, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (27135, 871, 8, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (27136, 872, 8, 'Changer mot de passe');
INSERT INTO `lang_definitions` VALUES (27137, 874, 8, 'Modifié');
INSERT INTO `lang_definitions` VALUES (27138, 875, 8, 'Intestin modifié');
INSERT INTO `lang_definitions` VALUES (27139, 876, 8, 'Modification de l\'ID patient pour le document');
INSERT INTO `lang_definitions` VALUES (27140, 877, 8, 'Caractéristiques');
INSERT INTO `lang_definitions` VALUES (27141, 878, 8, 'Caractères restants');
INSERT INTO `lang_definitions` VALUES (27142, 879, 8, 'Charge');
INSERT INTO `lang_definitions` VALUES (27143, 880, 8, 'Ajustement de Frais');
INSERT INTO `lang_definitions` VALUES (27144, 881, 8, 'Frais encodé');
INSERT INTO `lang_definitions` VALUES (27145, 882, 8, 'Frais');
INSERT INTO `lang_definitions` VALUES (27146, 883, 8, 'Graphique');
INSERT INTO `lang_definitions` VALUES (27147, 884, 8, 'Graphique d\'Activité');
INSERT INTO `lang_definitions` VALUES (27148, 885, 8, 'Rapport d\'Activité des Entrées/Sorties');
INSERT INTO `lang_definitions` VALUES (27149, 886, 8, 'ID Graphique');
INSERT INTO `lang_definitions` VALUES (27150, 887, 8, 'ID Graphique:');
INSERT INTO `lang_definitions` VALUES (27151, 889, 8, 'Graphique lieu d\'activité');
INSERT INTO `lang_definitions` VALUES (27152, 890, 8, 'Note sur le graphique');
INSERT INTO `lang_definitions` VALUES (27153, 891, 8, 'Numéro Graphique');
INSERT INTO `lang_definitions` VALUES (27154, 892, 8, 'Emplacements de stockage graphique');
INSERT INTO `lang_definitions` VALUES (27155, 893, 8, 'Suivi graphique');
INSERT INTO `lang_definitions` VALUES (27156, 894, 8, 'Suivi graphique');
INSERT INTO `lang_definitions` VALUES (27157, 895, 8, 'Graphiques vérifiés');
INSERT INTO `lang_definitions` VALUES (27158, 896, 8, 'Sortie des graphiques');
INSERT INTO `lang_definitions` VALUES (27159, 898, 8, 'Vérifier');
INSERT INTO `lang_definitions` VALUES (27160, 899, 8, 'vérifier');
INSERT INTO `lang_definitions` VALUES (27161, 900, 8, 'Vérifier Tous');
INSERT INTO `lang_definitions` VALUES (27162, 902, 8, 'Vérifier le Montant');
INSERT INTO `lang_definitions` VALUES (27163, 903, 8, 'vérifier la Date');
INSERT INTO `lang_definitions` VALUES (27164, 904, 8, 'Vérifiez les différences de traductions avec la table personnalisée de la langue.');
INSERT INTO `lang_definitions` VALUES (27165, 906, 8, 'Arrivée à');
INSERT INTO `lang_definitions` VALUES (27166, 907, 8, 'Vérifier les données d\'entrée');
INSERT INTO `lang_definitions` VALUES (27167, 909, 8, 'Vérifier les résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (27168, 910, 8, 'Coche indique revue');
INSERT INTO `lang_definitions` VALUES (27169, 911, 8, 'Ne pas vérifier');
INSERT INTO `lang_definitions` VALUES (27170, 912, 8, 'vérifier le numéro');
INSERT INTO `lang_definitions` VALUES (27171, 915, 8, 'vérifier le Paiement');
INSERT INTO `lang_definitions` VALUES (27172, 916, 8, 'Cochez la case s\'il s\'agit d\'un fichier crypté');
INSERT INTO `lang_definitions` VALUES (27173, 917, 8, 'Cochez cette case si vous souhaitez que les prestataires voient tous les rendez par défaut et non seulement les leurs.');
INSERT INTO `lang_definitions` VALUES (27174, 918, 8, 'Cochez pour créer un problème à partir de ce diagnostic');
INSERT INTO `lang_definitions` VALUES (27175, 919, 8, 'Vérifier/Date de la notice explicative des prestations recues');
INSERT INTO `lang_definitions` VALUES (27176, 920, 8, 'Vérifier/Numéro de la notice explicative des prestations recues');
INSERT INTO `lang_definitions` VALUES (27177, 921, 8, 'Vérifier/Numéro de référence');
INSERT INTO `lang_definitions` VALUES (27178, 922, 8, 'Vérifier/Numéro de référence');
INSERT INTO `lang_definitions` VALUES (27179, 923, 8, 'Liste de case à cocher');
INSERT INTO `lang_definitions` VALUES (27180, 924, 8, 'liste case à cocher');
INSERT INTO `lang_definitions` VALUES (27181, 925, 8, 'case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (27182, 926, 8, 'Case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (27183, 928, 8, 'Vérifié');
INSERT INTO `lang_definitions` VALUES (27184, 929, 8, 'Case coché = oui, vide = non');
INSERT INTO `lang_definitions` VALUES (27185, 932, 8, 'Vérification');
INSERT INTO `lang_definitions` VALUES (27186, 933, 8, 'Somme de contrôle');
INSERT INTO `lang_definitions` VALUES (27187, 934, 8, 'Thorax');
INSERT INTO `lang_definitions` VALUES (27188, 935, 8, 'Auscultation pulmonaire');
INSERT INTO `lang_definitions` VALUES (27189, 936, 8, 'Douleur Thoracique');
INSERT INTO `lang_definitions` VALUES (27190, 937, 8, 'Douleur Thoracique:');
INSERT INTO `lang_definitions` VALUES (27191, 938, 8, 'Douleurs Thoraciques');
INSERT INTO `lang_definitions` VALUES (27192, 942, 8, 'Principal réclamation');
INSERT INTO `lang_definitions` VALUES (27193, 943, 8, 'Enfant');
INSERT INTO `lang_definitions` VALUES (27194, 945, 8, 'Statut vaccination infantile (CQM)');
INSERT INTO `lang_definitions` VALUES (27195, 946, 8, 'Frissons');
INSERT INTO `lang_definitions` VALUES (27196, 947, 8, 'Chinois');
INSERT INTO `lang_definitions` VALUES (27197, 948, 8, 'Chinois (simplifié)');
INSERT INTO `lang_definitions` VALUES (27198, 949, 8, 'Chinois (Traditionnel)');
INSERT INTO `lang_definitions` VALUES (27199, 951, 8, 'Choix');
INSERT INTO `lang_definitions` VALUES (27200, 952, 8, 'Cholécystectomie');
INSERT INTO `lang_definitions` VALUES (27201, 954, 8, 'Cholecystestomie');
INSERT INTO `lang_definitions` VALUES (27202, 955, 8, 'Choisissez');
INSERT INTO `lang_definitions` VALUES (27203, 956, 8, 'Choisissez une section et cliquez sur un article, puis dans l\'autre section, vous verrez les éléments liés en surbrillance, et vous pouvez cliquer dans cette section pour ajouter et supprimer les relations.');
INSERT INTO `lang_definitions` VALUES (27204, 957, 8, 'Choisir des critères');
INSERT INTO `lang_definitions` VALUES (27205, 959, 8, 'Choisir un fichier');
INSERT INTO `lang_definitions` VALUES (27206, 960, 8, 'Choisir dans la liste');
INSERT INTO `lang_definitions` VALUES (27207, 962, 8, 'Choisir la liste');
INSERT INTO `lang_definitions` VALUES (27208, 965, 8, 'Choisissez le format d\'impression pour ce rapport de rencontre.');
INSERT INTO `lang_definitions` VALUES (27209, 967, 8, 'Bronchite chronique');
INSERT INTO `lang_definitions` VALUES (27210, 968, 8, 'Douleurs articulaires chroniques');
INSERT INTO `lang_definitions` VALUES (27211, 969, 8, 'Maladie rénale chronique');
INSERT INTO `lang_definitions` VALUES (27212, 970, 8, 'Synovite chronique / effusion / douleurs articulaires / goutte');
INSERT INTO `lang_definitions` VALUES (27213, 971, 8, 'Chronique / Récurrent');
INSERT INTO `lang_definitions` VALUES (27214, 973, 8, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (27215, 974, 8, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (27216, 975, 8, 'Ville');
INSERT INTO `lang_definitions` VALUES (27217, 976, 8, 'Nom Ville');
INSERT INTO `lang_definitions` VALUES (27218, 977, 8, 'Ville, Etat');
INSERT INTO `lang_definitions` VALUES (27219, 978, 8, 'Ville, Etat Code Postal');
INSERT INTO `lang_definitions` VALUES (27220, 979, 8, 'Ville/Etat');
INSERT INTO `lang_definitions` VALUES (27221, 980, 8, 'Réclamation');
INSERT INTO `lang_definitions` VALUES (27222, 981, 8, 'Réclamation ');
INSERT INTO `lang_definitions` VALUES (27223, 982, 8, 'Etat de votre demande');
INSERT INTO `lang_definitions` VALUES (27224, 983, 8, 'Exécution du test de la revendication terminé');
INSERT INTO `lang_definitions` VALUES (27225, 984, 8, 'Type de revendication');
INSERT INTO `lang_definitions` VALUES (27226, 985, 8, 'La demande a été généré dans un fichier');
INSERT INTO `lang_definitions` VALUES (27227, 986, 8, 'La demande a été généré dans un fichier ');
INSERT INTO `lang_definitions` VALUES (27228, 987, 8, 'Demandes');
INSERT INTO `lang_definitions` VALUES (27229, 988, 8, 'Classification');
INSERT INTO `lang_definitions` VALUES (27230, 989, 8, 'Effacer');
INSERT INTO `lang_definitions` VALUES (27231, 990, 8, 'EFFACER LE PATIENT ACTIF');
INSERT INTO `lang_definitions` VALUES (27232, 991, 8, 'Effacer tout');
INSERT INTO `lang_definitions` VALUES (27233, 992, 8, 'Effacer les données HL7');
INSERT INTO `lang_definitions` VALUES (27234, 993, 8, 'Justification claire');
INSERT INTO `lang_definitions` VALUES (27235, 994, 8, 'Effacer Smarty Cache');
INSERT INTO `lang_definitions` VALUES (27236, 995, 8, 'Informations de la chambre de compensation nécessaires pour la création du lot EDI 270');
INSERT INTO `lang_definitions` VALUES (27237, 996, 8, 'Numéro CLIA');
INSERT INTO `lang_definitions` VALUES (27238, 997, 8, 'Cliquez');
INSERT INTO `lang_definitions` VALUES (27239, 998, 8, 'Cliquez sur «exporter» pour exporter votre Catégorie, Sous-catégorie, objets, et les données de contenu dans un fichier texte. Toute ressemblance de ce fichier à un fichier XML est purement fortuite. Les balises d’ouverture et de fermeture doivent être sur la même ligne, ils doivent être en minuscules et sans espace. Pour importer, rechercher un fichier et cliquez sur «importer». Si les données sont complètement différentes, elles vont être fusionnées avec les données existantes. Si il y’a des noms similaires, l’ancien sera conservé et le nouveau enregistré avec un numéro ajouté à la fin.');
INSERT INTO `lang_definitions` VALUES (27240, 999, 8, 'Cliquez sur un point sur ​​le graphique pour ajouter une nouvelle annotation, cliquez à nouveau pour enlever');
INSERT INTO `lang_definitions` VALUES (27241, 1000, 8, 'Cliquez sur Télécharger le certificat pour télécharger les certificats dans le fichier ssl.zip');
INSERT INTO `lang_definitions` VALUES (27242, 1001, 8, 'Cliquer pour plus');
INSERT INTO `lang_definitions` VALUES (27243, 1002, 8, 'Cliquer pour plus de détails');
INSERT INTO `lang_definitions` VALUES (27244, 1003, 8, 'Cliquez pour un récapitulatif de la commande');
INSERT INTO `lang_definitions` VALUES (27245, 1004, 8, 'Cliquez ici pour les résultats');
INSERT INTO `lang_definitions` VALUES (27246, 1005, 8, 'Cliquez ici');
INSERT INTO `lang_definitions` VALUES (27247, 1006, 8, 'Cliquez ici pour ajouter un nouveau patient.');
INSERT INTO `lang_definitions` VALUES (27248, 1007, 8, 'Cliquez ici pour ajouter le nouveau statut de changement de blessures et de modifier l\'activité quotidienne');
INSERT INTO `lang_definitions` VALUES (27249, 1008, 8, 'Cliquez ici pour choisir une date');
INSERT INTO `lang_definitions` VALUES (27250, 1009, 8, 'Cliquez ici pour choisir une date et une heure');
INSERT INTO `lang_definitions` VALUES (27251, 1010, 8, 'Cliquez ici pour choisir une date de début');
INSERT INTO `lang_definitions` VALUES (27252, 1020, 8, 'Cliquez ici pour rechercher');
INSERT INTO `lang_definitions` VALUES (27253, 1021, 8, 'Cliquez ici pour mettre à jour les paramètres de priorité, catégorie et le surnom');
INSERT INTO `lang_definitions` VALUES (27254, 1022, 8, 'Cliquez ici pour tout afficher.');
INSERT INTO `lang_definitions` VALUES (27255, 1023, 8, 'Cliquez ici pour afficher');
INSERT INTO `lang_definitions` VALUES (27256, 1025, 8, 'Cliquez ici pour afficher les signes vitaux.');
INSERT INTO `lang_definitions` VALUES (27257, 1026, 8, 'Cliquez ici pour afficher les détails du patient');
INSERT INTO `lang_definitions` VALUES (27258, 1027, 8, 'Cliquez ici pour les afficher tous.');
INSERT INTO `lang_definitions` VALUES (27259, 1028, 8, 'Cliquez ici pour afficher / éditer plus de détails');
INSERT INTO `lang_definitions` VALUES (27260, 1029, 8, 'Cliquez sur Installer pour installer une version de la base de données de la date suivante');
INSERT INTO `lang_definitions` VALUES (27261, 1030, 8, 'Cliquez sur une des parties du temps de l\'augmenter');
INSERT INTO `lang_definitions` VALUES (27262, 1031, 8, 'Cliquez sur le nom du patient pour ouvrir le fichier du patient');
INSERT INTO `lang_definitions` VALUES (27263, 1032, 8, 'Cliquez sur Actualiser pour afficher tous les résultats, ou introduit les critères de recherche ci-dessus pour afficher des résultats spécifiques.');
INSERT INTO `lang_definitions` VALUES (27264, 1033, 8, 'Cliquez sur pour ajouter un diagnostic');
INSERT INTO `lang_definitions` VALUES (27265, 1034, 8, 'Cliquez pour ajouter de nouveaux composants');
INSERT INTO `lang_definitions` VALUES (27266, 1035, 8, 'Cliquez pour ajouter une nouvelle consultation');
INSERT INTO `lang_definitions` VALUES (27267, 1037, 8, 'Cliquez ici pour télécharger');
INSERT INTO `lang_definitions` VALUES (27268, 1038, 8, 'Cliquez pour modifier');
INSERT INTO `lang_definitions` VALUES (27269, 1039, 8, 'Cliquez sur pour éditer la description');
INSERT INTO `lang_definitions` VALUES (27270, 1040, 8, 'Cliquez pour modifier cet événement');
INSERT INTO `lang_definitions` VALUES (27271, 1041, 8, 'Cliquez pour générer le rapport');
INSERT INTO `lang_definitions` VALUES (27272, 1043, 8, 'Cliquez pour imprimer');
INSERT INTO `lang_definitions` VALUES (27273, 1044, 8, 'Cliquez pour recevoir (ajouter) un nouveau lot');
INSERT INTO `lang_definitions` VALUES (27274, 1045, 8, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (27275, 1046, 8, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (27276, 1047, 8, 'Cliquez pour sélectionner un code standard pour cette procédure');
INSERT INTO `lang_definitions` VALUES (27277, 1048, 8, 'Cliquez pour sélectionner un code facultatif de procédure');
INSERT INTO `lang_definitions` VALUES (27278, 1050, 8, 'Cliquez pour sélectionner ou modifier le code CVX');
INSERT INTO `lang_definitions` VALUES (27279, 1051, 8, 'Cliquez pour sélectionner ou modifier les diagnostics');
INSERT INTO `lang_definitions` VALUES (27280, 1052, 8, 'Cliquez pour sélectionner ou modifier les codes de service');
INSERT INTO `lang_definitions` VALUES (27281, 1053, 8, 'Cliquez pour sélectionner le patient');
INSERT INTO `lang_definitions` VALUES (27282, 1054, 8, 'Cliquez pour sélectionner le code associé');
INSERT INTO `lang_definitions` VALUES (27283, 1055, 8, 'Cliquez pour sélectionner les services à effectuer si ce résultat est anormal');
INSERT INTO `lang_definitions` VALUES (27284, 1056, 8, 'Cliquez pour sélectionner la procédure désirée');
INSERT INTO `lang_definitions` VALUES (27285, 1057, 8, 'Cliquez pour trier');
INSERT INTO `lang_definitions` VALUES (27286, 1058, 8, 'Cliquez pour afficher');
INSERT INTO `lang_definitions` VALUES (27287, 1059, 8, 'Cliquez pour afficher ou modifier');
INSERT INTO `lang_definitions` VALUES (27288, 1060, 8, 'Cliquez pour afficher/modifier');
INSERT INTO `lang_definitions` VALUES (27289, 1061, 8, 'Cliquez sur le bouton Upgrade pour mettre à niveau la base de données à partir de la date suivante');
INSERT INTO `lang_definitions` VALUES (27290, 1063, 8, 'Cliquez:');
INSERT INTO `lang_definitions` VALUES (27291, 1064, 8, 'Jours d\'expiration du certificat client');
INSERT INTO `lang_definitions` VALUES (27292, 1065, 8, 'Période de validation du certificat client');
INSERT INTO `lang_definitions` VALUES (27293, 1066, 8, 'La validité du certificat client doit être un nombre valide.');
INSERT INTO `lang_definitions` VALUES (27294, 1067, 8, 'Copie Client');
INSERT INTO `lang_definitions` VALUES (27295, 1069, 8, 'Résumé dossier médical du client');
INSERT INTO `lang_definitions` VALUES (27296, 1070, 8, 'Nom du client');
INSERT INTO `lang_definitions` VALUES (27297, 1071, 8, 'Numéro du client');
INSERT INTO `lang_definitions` VALUES (27298, 1072, 8, 'Profil client - Nouveaux Clients');
INSERT INTO `lang_definitions` VALUES (27299, 1073, 8, 'Profil client - Clients unique');
INSERT INTO `lang_definitions` VALUES (27300, 1074, 8, 'Clients');
INSERT INTO `lang_definitions` VALUES (27301, 1075, 8, 'Clinique');
INSERT INTO `lang_definitions` VALUES (27302, 1076, 8, 'Copie Clinique');
INSERT INTO `lang_definitions` VALUES (27303, 1077, 8, 'Relevé quotidien Clinique');
INSERT INTO `lang_definitions` VALUES (27304, 1078, 8, 'Identification Clinique');
INSERT INTO `lang_definitions` VALUES (27305, 1079, 8, 'Clinique');
INSERT INTO `lang_definitions` VALUES (27306, 1080, 8, 'Règles de décision clinique, gestionnaire d\'alertes');
INSERT INTO `lang_definitions` VALUES (27307, 1081, 8, 'Histoire du clinique');
INSERT INTO `lang_definitions` VALUES (27308, 1083, 8, 'Plans cliniques');
INSERT INTO `lang_definitions` VALUES (27309, 1084, 8, 'Mesures de qualité clinique (LCQ)');
INSERT INTO `lang_definitions` VALUES (27310, 1087, 8, 'Rappels cliniques');
INSERT INTO `lang_definitions` VALUES (27311, 1088, 8, 'Rapports cliniques');
INSERT INTO `lang_definitions` VALUES (27312, 1089, 8, 'Règle clinique, Catégorie d\'action');
INSERT INTO `lang_definitions` VALUES (27313, 1090, 8, 'Règle clinique, Elément d\'action');
INSERT INTO `lang_definitions` VALUES (27314, 1091, 8, 'Règle cliniques, méthodes de filtrage');
INSERT INTO `lang_definitions` VALUES (27315, 1092, 8, 'Règle cliniques, les méthodes cible');
INSERT INTO `lang_definitions` VALUES (27316, 1093, 8, 'Règles cliniques');
INSERT INTO `lang_definitions` VALUES (27317, 1094, 8, 'Règles cliniques, intervalles d\'âge');
INSERT INTO `lang_definitions` VALUES (27318, 1095, 8, 'Règles cliniques, les comparaisons');
INSERT INTO `lang_definitions` VALUES (27319, 1096, 8, 'Règles cliniques, Types Rencontre');
INSERT INTO `lang_definitions` VALUES (27320, 1097, 8, 'Règles cliniques, Options cause de rappel');
INSERT INTO `lang_definitions` VALUES (27321, 1098, 8, 'Règles cliniques, Options inactivation de rappel');
INSERT INTO `lang_definitions` VALUES (27322, 1099, 8, 'Règles cliniques, Intervalles de rappel');
INSERT INTO `lang_definitions` VALUES (27323, 1100, 8, 'Règles cliniques, Méthodes de rappel');
INSERT INTO `lang_definitions` VALUES (27324, 1101, 8, 'Règles cliniques, Intervalles cible');
INSERT INTO `lang_definitions` VALUES (27325, 1102, 8, 'Objectifs cliniques');
INSERT INTO `lang_definitions` VALUES (27326, 1103, 8, 'Terme clinique');
INSERT INTO `lang_definitions` VALUES (27327, 1104, 8, 'Code(s) terme(s) clinique');
INSERT INTO `lang_definitions` VALUES (27328, 1106, 8, 'Cliniciens');
INSERT INTO `lang_definitions` VALUES (27329, 1107, 8, 'Clone');
INSERT INTO `lang_definitions` VALUES (27330, 1108, 8, 'Cloner la dernière visite');
INSERT INTO `lang_definitions` VALUES (27331, 1109, 8, 'Fermer');
INSERT INTO `lang_definitions` VALUES (27332, 1111, 8, 'Fermer la fenêtre');
INSERT INTO `lang_definitions` VALUES (27333, 1112, 8, 'Fermé');
INSERT INTO `lang_definitions` VALUES (27334, 1113, 8, 'cm');
INSERT INTO `lang_definitions` VALUES (27335, 1114, 8, 'Formulaire de remboursement de frais medicaux');
INSERT INTO `lang_definitions` VALUES (27336, 1118, 8, 'ID du formulaire de remboursement de frais medicaux');
INSERT INTO `lang_definitions` VALUES (27337, 1127, 8, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (27338, 1128, 8, 'ticket modérateur');
INSERT INTO `lang_definitions` VALUES (27339, 1129, 8, 'ticket réglé');
INSERT INTO `lang_definitions` VALUES (27340, 1130, 8, 'TICKET MODÉRATEUR');
INSERT INTO `lang_definitions` VALUES (27341, 1131, 8, 'Code');
INSERT INTO `lang_definitions` VALUES (27342, 1132, 8, 'code');
INSERT INTO `lang_definitions` VALUES (27343, 1133, 8, 'code Recherche');
INSERT INTO `lang_definitions` VALUES (27344, 1134, 8, 'Code doit être deux lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (27345, 1135, 8, 'Code ou symbole pour indiquer la monnaie');
INSERT INTO `lang_definitions` VALUES (27346, 1136, 8, 'Texte du code');
INSERT INTO `lang_definitions` VALUES (27347, 1138, 8, 'type de code');
INSERT INTO `lang_definitions` VALUES (27348, 1141, 8, 'Types de code');
INSERT INTO `lang_definitions` VALUES (27349, 1142, 8, 'Code(s)');
INSERT INTO `lang_definitions` VALUES (27350, 1144, 8, 'Codes');
INSERT INTO `lang_definitions` VALUES (27351, 1145, 8, 'Codage');
INSERT INTO `lang_definitions` VALUES (27352, 1147, 8, 'Codage - toutes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (27353, 1148, 8, 'Codage - mes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (27354, 1149, 8, 'Codification Non autorisé');
INSERT INTO `lang_definitions` VALUES (27355, 1150, 8, 'Café');
INSERT INTO `lang_definitions` VALUES (27356, 1152, 8, 'Coassurance');
INSERT INTO `lang_definitions` VALUES (27357, 1154, 8, 'Réduire');
INSERT INTO `lang_definitions` VALUES (27358, 1155, 8, 'réduire');
INSERT INTO `lang_definitions` VALUES (27359, 1156, 8, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (27360, 1157, 8, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (27361, 1158, 8, 'réduire tout');
INSERT INTO `lang_definitions` VALUES (27362, 1160, 8, 'Date de collection');
INSERT INTO `lang_definitions` VALUES (27363, 1161, 8, 'Collections');
INSERT INTO `lang_definitions` VALUES (27364, 1162, 8, 'Rapport de Collections');
INSERT INTO `lang_definitions` VALUES (27365, 1163, 8, 'Cancer du côlon');
INSERT INTO `lang_definitions` VALUES (27366, 1164, 8, 'Dépistage du cancer du côlon');
INSERT INTO `lang_definitions` VALUES (27367, 1165, 8, 'Chirurgie du cancer du colon');
INSERT INTO `lang_definitions` VALUES (27368, 1166, 8, 'Coloscopie');
INSERT INTO `lang_definitions` VALUES (27369, 1167, 8, 'coloscopie');
INSERT INTO `lang_definitions` VALUES (27370, 1168, 8, 'Couleur');
INSERT INTO `lang_definitions` VALUES (27371, 1169, 8, 'Couleur: Abrév');
INSERT INTO `lang_definitions` VALUES (27372, 1170, 8, 'Colonne');
INSERT INTO `lang_definitions` VALUES (27373, 1171, 8, 'colonnes');
INSERT INTO `lang_definitions` VALUES (27374, 1172, 8, 'Lots Combinés');
INSERT INTO `lang_definitions` VALUES (27375, 1173, 8, 'Virgule');
INSERT INTO `lang_definitions` VALUES (27376, 1174, 8, 'Commentaire');
INSERT INTO `lang_definitions` VALUES (27377, 1175, 8, 'Commentaires');
INSERT INTO `lang_definitions` VALUES (27378, 1176, 8, 'Commentaires ou recommandation pour ce résultat');
INSERT INTO `lang_definitions` VALUES (27379, 1177, 8, 'Entreprise Assurance Cie');
INSERT INTO `lang_definitions` VALUES (27380, 1178, 8, 'Valider les modifications');
INSERT INTO `lang_definitions` VALUES (27381, 1180, 8, 'Communications');
INSERT INTO `lang_definitions` VALUES (27382, 1182, 8, 'Société');
INSERT INTO `lang_definitions` VALUES (27383, 1183, 8, 'Nom de la société');
INSERT INTO `lang_definitions` VALUES (27384, 1184, 8, 'Compléter');
INSERT INTO `lang_definitions` VALUES (27385, 1186, 8, 'Terminé');
INSERT INTO `lang_definitions` VALUES (27386, 1188, 8, 'Terminé?');
INSERT INTO `lang_definitions` VALUES (27387, 1190, 8, 'Complications par Prestataire de services');
INSERT INTO `lang_definitions` VALUES (27388, 1191, 8, 'Les complications d\'avortement');
INSERT INTO `lang_definitions` VALUES (27389, 1192, 8, 'Composants');
INSERT INTO `lang_definitions` VALUES (27390, 1193, 8, 'Système de commande Médical Assisté par Ordinateur');
INSERT INTO `lang_definitions` VALUES (27391, 1194, 8, 'Conclusions');
INSERT INTO `lang_definitions` VALUES (27392, 1199, 8, 'Configuration');
INSERT INTO `lang_definitions` VALUES (27393, 1200, 8, 'Export / Import de la Configuration');
INSERT INTO `lang_definitions` VALUES (27394, 1202, 8, 'Configurer Apache et LibreEHR pour utiliser des certificats SSL côté client.');
INSERT INTO `lang_definitions` VALUES (27395, 1203, 8, 'Configurer Apache pour utiliser les certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (27396, 1204, 8, 'Configurer Apache pour utiliser le protocole HTTPS.');
INSERT INTO `lang_definitions` VALUES (27397, 1205, 8, 'Configurez LibreEHR pour utiliser des certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (27398, 1208, 8, 'Confirmer la création du nouveau Patient');
INSERT INTO `lang_definitions` VALUES (27399, 1209, 8, 'Confirmer le Nouveau Passe');
INSERT INTO `lang_definitions` VALUES (27400, 1210, 8, 'Confirmer le Payement');
INSERT INTO `lang_definitions` VALUES (27401, 1214, 8, 'Congénitale');
INSERT INTO `lang_definitions` VALUES (27402, 1215, 8, 'Conjonctives, pupilles');
INSERT INTO `lang_definitions` VALUES (27403, 1217, 8, 'Connecteurs');
INSERT INTO `lang_definitions` VALUES (27404, 1218, 8, 'Constante');
INSERT INTO `lang_definitions` VALUES (27405, 1219, 8, 'nom de la constante');
INSERT INTO `lang_definitions` VALUES (27406, 1220, 8, 'Nom de la constante est vide');
INSERT INTO `lang_definitions` VALUES (27407, 1221, 8, 'constantes');
INSERT INTO `lang_definitions` VALUES (27408, 1222, 8, 'Constipation');
INSERT INTO `lang_definitions` VALUES (27409, 1223, 8, 'Constitutionnel');
INSERT INTO `lang_definitions` VALUES (27410, 1226, 8, 'Descriptif bref de la consultation');
INSERT INTO `lang_definitions` VALUES (27411, 1227, 8, 'Contact');
INSERT INTO `lang_definitions` VALUES (27412, 1228, 8, 'Email du Contact');
INSERT INTO `lang_definitions` VALUES (27413, 1229, 8, 'Adresse Email du contact');
INSERT INTO `lang_definitions` VALUES (27414, 1230, 8, 'Contactez EMR Direct pour vous abonner au service de messagerie phiMail Direct');
INSERT INTO `lang_definitions` VALUES (27415, 1231, 8, 'coordonnées');
INSERT INTO `lang_definitions` VALUES (27416, 1232, 8, 'Lentilles de contact');
INSERT INTO `lang_definitions` VALUES (27417, 1233, 8, 'Contacter pour l\'intégration d\'informations médicale, LLC à http://mi-squared.com pour le service d\'échange de laboratoire');
INSERT INTO `lang_definitions` VALUES (27418, 1234, 8, 'Contacter pour l\'intégration d\'informations médicale, LLC à http://mi-squared.com ou ZH Healthcare à http://zhservices.com pour s\'inscrire au service eRx');
INSERT INTO `lang_definitions` VALUES (27419, 1236, 8, 'Nom du contact');
INSERT INTO `lang_definitions` VALUES (27420, 1237, 8, 'Personne à contacter');
INSERT INTO `lang_definitions` VALUES (27421, 1239, 8, 'Numéro de téléphone');
INSERT INTO `lang_definitions` VALUES (27422, 1240, 8, 'Contacter ZMG, LCC (zmghealth@gmail.com) pour s\'inscrire au service eRx');
INSERT INTO `lang_definitions` VALUES (27423, 1241, 8, 'contient au moins trois des quatre éléments suivants:');
INSERT INTO `lang_definitions` VALUES (27424, 1242, 8, 'Nom du conteneur de groupe');
INSERT INTO `lang_definitions` VALUES (27425, 1243, 8, 'Contenu');
INSERT INTO `lang_definitions` VALUES (27426, 1244, 8, 'contenu');
INSERT INTO `lang_definitions` VALUES (27427, 1245, 8, 'Contexte');
INSERT INTO `lang_definitions` VALUES (27428, 1246, 8, 'Nom de contexte ne peut être vides');
INSERT INTO `lang_definitions` VALUES (27429, 1247, 8, 'Continuer');
INSERT INTO `lang_definitions` VALUES (27430, 1248, 8, 'Document de Continuité des soins (CCD)');
INSERT INTO `lang_definitions` VALUES (27431, 1249, 8, 'Enregistrement de Continuité des soins (RCC)');
INSERT INTO `lang_definitions` VALUES (27432, 1251, 8, 'Contraception');
INSERT INTO `lang_definitions` VALUES (27433, 1252, 8, 'Problèmes de contraception');
INSERT INTO `lang_definitions` VALUES (27434, 1253, 8, 'Complication de la contraception (à préciser)');
INSERT INTO `lang_definitions` VALUES (27435, 1254, 8, 'Méthode contraceptive');
INSERT INTO `lang_definitions` VALUES (27436, 1255, 8, 'Produits contraceptifs');
INSERT INTO `lang_definitions` VALUES (27437, 1256, 8, 'Services contraceptifs déjà démarré');
INSERT INTO `lang_definitions` VALUES (27438, 1257, 8, 'Début des contraceptifs');
INSERT INTO `lang_definitions` VALUES (27439, 1258, 8, 'ID de Conrôle');
INSERT INTO `lang_definitions` VALUES (27440, 1259, 8, 'N° de Contrôle');
INSERT INTO `lang_definitions` VALUES (27441, 1261, 8, 'TICKET MODÉRATEUR');
INSERT INTO `lang_definitions` VALUES (27442, 1262, 8, 'Ticket modérateur');
INSERT INTO `lang_definitions` VALUES (27443, 1263, 8, 'Ticket modérateur');
INSERT INTO `lang_definitions` VALUES (27444, 1264, 8, 'Ticket modérateur non positif');
INSERT INTO `lang_definitions` VALUES (27445, 1266, 8, 'Tickets modérateurs');
INSERT INTO `lang_definitions` VALUES (27446, 1267, 8, 'MPOC');
INSERT INTO `lang_definitions` VALUES (27447, 1268, 8, 'Copier les pages dans carte du patient');
INSERT INTO `lang_definitions` VALUES (27448, 1269, 8, 'Copier les valeurs');
INSERT INTO `lang_definitions` VALUES (27449, 1270, 8, 'Copie du fichier de base de données. Cela va prendre un certain temps ...');
INSERT INTO `lang_definitions` VALUES (27450, 1271, 8, 'Avis Copyright');
INSERT INTO `lang_definitions` VALUES (27451, 1273, 8, 'Pontage de l\'artère coronaire');
INSERT INTO `lang_definitions` VALUES (27452, 1274, 8, 'Greffe de pontage de l\'artère coronaire');
INSERT INTO `lang_definitions` VALUES (27453, 1275, 8, 'Corrigé');
INSERT INTO `lang_definitions` VALUES (27454, 1277, 8, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (27455, 1278, 8, 'Échec de la connexion CouchDB.');
INSERT INTO `lang_definitions` VALUES (27456, 1279, 8, 'Base de données CouchDB.');
INSERT INTO `lang_definitions` VALUES (27457, 1280, 8, 'Nom de base de données CouchDB.');
INSERT INTO `lang_definitions` VALUES (27458, 1281, 8, 'Hôte CouchDB.');
INSERT INTO `lang_definitions` VALUES (27459, 1282, 8, 'Nom d\'hôte CouchDB.');
INSERT INTO `lang_definitions` VALUES (27460, 1283, 8, 'Log activé CouchDB.');
INSERT INTO `lang_definitions` VALUES (27461, 1284, 8, 'Mot de passe CouchDB.');
INSERT INTO `lang_definitions` VALUES (27462, 1285, 8, 'Numero de port CouchDB.');
INSERT INTO `lang_definitions` VALUES (27463, 1286, 8, 'Numero de port CouchDB.');
INSERT INTO `lang_definitions` VALUES (27464, 1288, 8, 'Nom d\'utilisateur CouchDB.');
INSERT INTO `lang_definitions` VALUES (27465, 1289, 8, 'Toux');
INSERT INTO `lang_definitions` VALUES (27466, 1290, 8, 'Toux:');
INSERT INTO `lang_definitions` VALUES (27467, 1294, 8, 'Impossible de lire le fichier');
INSERT INTO `lang_definitions` VALUES (27468, 1296, 8, 'Impossible d\'envoyer e-mail en raison d\'un problème de serveur, ');
INSERT INTO `lang_definitions` VALUES (27469, 1297, 8, 'Impossible d\'envoyer e-mail en raison d\'un problème de serveur, ');
INSERT INTO `lang_definitions` VALUES (27470, 1298, 8, 'Impossible de créer le répertoire de sauvegarde:');
INSERT INTO `lang_definitions` VALUES (27471, 1299, 8, 'Impossible de supprimer le répertoire:');
INSERT INTO `lang_definitions` VALUES (27472, 1300, 8, 'Impossible de supprimer le fichier de sauvegarde ancienne:');
INSERT INTO `lang_definitions` VALUES (27473, 1301, 8, 'Impossible de supprimer l\'ancien fichier d\'exportation:');
INSERT INTO `lang_definitions` VALUES (27474, 1302, 8, 'Gestion de la coumadine - contrôle INR');
INSERT INTO `lang_definitions` VALUES (27475, 1304, 8, 'Psychothérapie');
INSERT INTO `lang_definitions` VALUES (27476, 1305, 8, 'Activités d\'aide psychologique');
INSERT INTO `lang_definitions` VALUES (27477, 1306, 8, 'Formulaire d\'envois à l\'acceuil');
INSERT INTO `lang_definitions` VALUES (27478, 1307, 8, 'Envois à l\'acceuil');
INSERT INTO `lang_definitions` VALUES (27479, 1308, 8, 'Pays');
INSERT INTO `lang_definitions` VALUES (27480, 1309, 8, 'Type de données Pays');
INSERT INTO `lang_definitions` VALUES (27481, 1310, 8, 'Liste des Pays');
INSERT INTO `lang_definitions` VALUES (27482, 1311, 8, 'Liste des Pays(ecriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (27483, 1312, 8, 'Nom du pays devrait être représenté dans deux lettres. (Exemple: États-Unis c\'est US)');
INSERT INTO `lang_definitions` VALUES (27484, 1313, 8, 'région');
INSERT INTO `lang_definitions` VALUES (27485, 1315, 8, 'Coupon');
INSERT INTO `lang_definitions` VALUES (27486, 1318, 8, 'CPT');
INSERT INTO `lang_definitions` VALUES (27487, 1319, 8, 'CPT Code');
INSERT INTO `lang_definitions` VALUES (27488, 1320, 8, 'CPT Codes');
INSERT INTO `lang_definitions` VALUES (27489, 1321, 8, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (27490, 1322, 8, 'CPTII Mesure des perfomances');
INSERT INTO `lang_definitions` VALUES (27491, 1323, 8, 'LCQ');
INSERT INTO `lang_definitions` VALUES (27492, 1324, 8, 'Craquements:');
INSERT INTO `lang_definitions` VALUES (27493, 1325, 8, 'Crème');
INSERT INTO `lang_definitions` VALUES (27494, 1326, 8, 'Créer un certificat SSL côté client pour chaque utilisateur ou ordinateur client.');
INSERT INTO `lang_definitions` VALUES (27495, 1327, 8, 'Créer un certificat SSL côté client pour un utilisateur ou un nom d\'hôte client.');
INSERT INTO `lang_definitions` VALUES (27496, 1329, 8, 'Créer un événement');
INSERT INTO `lang_definitions` VALUES (27497, 1330, 8, 'Créer et télécharger une sauvegarde complète');
INSERT INTO `lang_definitions` VALUES (27498, 1332, 8, 'Créer une sauvegarde');
INSERT INTO `lang_definitions` VALUES (27499, 1333, 8, 'créer un lot');
INSERT INTO `lang_definitions` VALUES (27500, 1334, 8, 'Créer un certificat client');
INSERT INTO `lang_definitions` VALUES (27501, 1335, 8, 'Créer des certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (27502, 1336, 8, 'Créer un duplicata');
INSERT INTO `lang_definitions` VALUES (27503, 1338, 8, 'Créer une sauvegarde du journal d\'événements');
INSERT INTO `lang_definitions` VALUES (27504, 1339, 8, 'Créer un nouveau problème');
INSERT INTO `lang_definitions` VALUES (27505, 1340, 8, 'Créer un nouveau patient');
INSERT INTO `lang_definitions` VALUES (27506, 1342, 8, 'Créer crédentiels pour un portail hors site');
INSERT INTO `lang_definitions` VALUES (27507, 1343, 8, 'Créer crédentiels pour un portail sur site');
INSERT INTO `lang_definitions` VALUES (27508, 1344, 8, 'Créer remarque patient');
INSERT INTO `lang_definitions` VALUES (27509, 1345, 8, 'Créer l\'autorité de certification SSL et les certificats du serveur.');
INSERT INTO `lang_definitions` VALUES (27510, 1346, 8, 'Créer Visite');
INSERT INTO `lang_definitions` VALUES (27511, 1347, 8, 'Créé');
INSERT INTO `lang_definitions` VALUES (27512, 1348, 8, 'Préparation du fichier d\'exportation');
INSERT INTO `lang_definitions` VALUES (27513, 1350, 8, 'La création de ce fichier sur l\'hôte distant a échoué');
INSERT INTO `lang_definitions` VALUES (27514, 1351, 8, 'Créateur');
INSERT INTO `lang_definitions` VALUES (27515, 1352, 8, 'Crédit');
INSERT INTO `lang_definitions` VALUES (27516, 1353, 8, 'Carte de crédit');
INSERT INTO `lang_definitions` VALUES (27517, 1354, 8, 'Crédits');
INSERT INTO `lang_definitions` VALUES (27518, 1356, 8, 'Critère');
INSERT INTO `lang_definitions` VALUES (27519, 1358, 8, 'Maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (27520, 1359, 8, 'Maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (27521, 1360, 8, 'Exportation au format CSV');
INSERT INTO `lang_definitions` VALUES (27522, 1361, 8, 'Fichier CSV');
INSERT INTO `lang_definitions` VALUES (27523, 1362, 8, 'Table CSV');
INSERT INTO `lang_definitions` VALUES (27524, 1363, 8, 'Millimètre cube');
INSERT INTO `lang_definitions` VALUES (27525, 1364, 8, 'Cubain');
INSERT INTO `lang_definitions` VALUES (27526, 1365, 8, 'Nombre de décimales');
INSERT INTO `lang_definitions` VALUES (27527, 1366, 8, 'Symbole de décimales');
INSERT INTO `lang_definitions` VALUES (27528, 1367, 8, 'Désignateur de devise');
INSERT INTO `lang_definitions` VALUES (27529, 1368, 8, 'Séparateur des milliers');
INSERT INTO `lang_definitions` VALUES (27530, 1369, 8, 'Actuelle');
INSERT INTO `lang_definitions` VALUES (27531, 1370, 8, 'Alcool actuelle');
INSERT INTO `lang_definitions` VALUES (27532, 1371, 8, 'Consultation actuelle');
INSERT INTO `lang_definitions` VALUES (27533, 1372, 8, 'Critère actuel');
INSERT INTO `lang_definitions` VALUES (27534, 1373, 8, 'Couleur d\'accentuation pour le jour courant');
INSERT INTO `lang_definitions` VALUES (27535, 1374, 8, 'Fumeur quotidien actif');
INSERT INTO `lang_definitions` VALUES (27536, 1375, 8, 'Nom du fichier courant a ét changé pour');
INSERT INTO `lang_definitions` VALUES (27537, 1376, 8, 'Hachage actuelle');
INSERT INTO `lang_definitions` VALUES (27538, 1377, 8, 'Adresse actuelle');
INSERT INTO `lang_definitions` VALUES (27539, 1378, 8, 'Médicaments en vigeur');
INSERT INTO `lang_definitions` VALUES (27540, 1379, 8, 'Mot de passe en vigeur');
INSERT INTO `lang_definitions` VALUES (27541, 1380, 8, 'Patient en cours');
INSERT INTO `lang_definitions` VALUES (27542, 1382, 8, 'Drogues actuelles');
INSERT INTO `lang_definitions` VALUES (27543, 1383, 8, 'Fumeur occasionnel');
INSERT INTO `lang_definitions` VALUES (27544, 1386, 8, 'Actif actuellement');
INSERT INTO `lang_definitions` VALUES (27545, 1387, 8, 'En cours d\'exécution');
INSERT INTO `lang_definitions` VALUES (27546, 1388, 8, 'Actuellement, il n\'existe uncune installation.');
INSERT INTO `lang_definitions` VALUES (27547, 1389, 8, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (27548, 1390, 8, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (27549, 1392, 8, 'Personalisé');
INSERT INTO `lang_definitions` VALUES (27550, 1393, 8, 'Entrée personnalisée?');
INSERT INTO `lang_definitions` VALUES (27551, 1394, 8, 'Table personnalisée');
INSERT INTO `lang_definitions` VALUES (27552, 1396, 8, 'Code CVX');
INSERT INTO `lang_definitions` VALUES (27553, 1397, 8, 'Mappage code CVX');
INSERT INTO `lang_definitions` VALUES (27554, 1398, 8, 'Immunisation CVX');
INSERT INTO `lang_definitions` VALUES (27555, 1399, 8, 'Cycle');
INSERT INTO `lang_definitions` VALUES (27556, 1403, 8, 'Tchèque');
INSERT INTO `lang_definitions` VALUES (27557, 1404, 8, 'D');
INSERT INTO `lang_definitions` VALUES (27558, 1405, 8, 'D&C');
INSERT INTO `lang_definitions` VALUES (27559, 1406, 8, 'D&E');
INSERT INTO `lang_definitions` VALUES (27560, 1407, 8, 'D.D.N');
INSERT INTO `lang_definitions` VALUES (27561, 1408, 8, 'quotidien');
INSERT INTO `lang_definitions` VALUES (27562, 1409, 8, 'Relevé quotidien');
INSERT INTO `lang_definitions` VALUES (27563, 1410, 8, 'Danois');
INSERT INTO `lang_definitions` VALUES (27564, 1411, 8, 'Données similaires sont déjà en base de données,veuillez change le code et/ou la description');
INSERT INTO `lang_definitions` VALUES (27565, 1412, 8, 'Données similaires sont déjà en base de données, veuillez changer le nom de la constante');
INSERT INTO `lang_definitions` VALUES (27566, 1413, 8, 'données Cols');
INSERT INTO `lang_definitions` VALUES (27567, 1416, 8, 'Erreur de données');
INSERT INTO `lang_definitions` VALUES (27568, 1420, 8, 'Type de données');
INSERT INTO `lang_definitions` VALUES (27569, 1421, 8, 'Base de Données');
INSERT INTO `lang_definitions` VALUES (27570, 1422, 8, 'Base de Données non installée');
INSERT INTO `lang_definitions` VALUES (27571, 1423, 8, 'Correction de base de données');
INSERT INTO `lang_definitions` VALUES (27572, 1424, 8, 'Rapports de la Base de données');
INSERT INTO `lang_definitions` VALUES (27573, 1425, 8, 'Mise à niveau Base de Données términée.');
INSERT INTO `lang_definitions` VALUES (27574, 1426, 8, 'DataCols doit être un nombre entre 1 et 999');
INSERT INTO `lang_definitions` VALUES (27575, 1427, 8, 'Date');
INSERT INTO `lang_definitions` VALUES (27576, 1428, 8, 'DATE');
INSERT INTO `lang_definitions` VALUES (27577, 1429, 8, 'Date & heure Administré');
INSERT INTO `lang_definitions` VALUES (27578, 1431, 8, 'Date d\'administration');
INSERT INTO `lang_definitions` VALUES (27579, 1432, 8, 'Date et heure du prélèvement');
INSERT INTO `lang_definitions` VALUES (27580, 1433, 8, 'Date et heure de cette observation');
INSERT INTO `lang_definitions` VALUES (27581, 1435, 8, 'Date et heure auxquelles le prélèvement a été recueilli');
INSERT INTO `lang_definitions` VALUES (27582, 1436, 8, 'Date ne peut être supérieure à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (27583, 1437, 8, 'Date de services de contraception initialement prévu');
INSERT INTO `lang_definitions` VALUES (27584, 1438, 8, 'Date de création');
INSERT INTO `lang_definitions` VALUES (27585, 1439, 8, 'Date de décès');
INSERT INTO `lang_definitions` VALUES (27586, 1440, 8, 'Date de déstruction');
INSERT INTO `lang_definitions` VALUES (27587, 1441, 8, 'Format d\'affichage des dates');
INSERT INTO `lang_definitions` VALUES (27588, 1442, 8, 'Format de la date de \"fin de rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (27589, 1443, 8, 'Format de la date de \"début du rendez-\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (27590, 1444, 8, 'Format de date pour \"Prochain rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (27591, 1445, 8, 'Format de la date de \"jamais vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (27592, 1446, 8, 'Format de date pour \"vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (27593, 1447, 8, 'Date de vaccination des déclarations de l\'information tenu');
INSERT INTO `lang_definitions` VALUES (27594, 1448, 8, 'Manque la Date pour le code ');
INSERT INTO `lang_definitions` VALUES (27595, 1449, 8, 'Date de Critère principal');
INSERT INTO `lang_definitions` VALUES (27596, 1450, 8, 'Date de dépôt bancaire aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (27597, 1451, 8, 'Date de facturation');
INSERT INTO `lang_definitions` VALUES (27598, 1452, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (27599, 1453, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (27600, 1454, 8, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (27601, 1455, 8, 'Date d\'entrée');
INSERT INTO `lang_definitions` VALUES (27602, 1456, 8, 'Date de l\'accident');
INSERT INTO `lang_definitions` VALUES (27603, 1458, 8, 'Date de paiement aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (27604, 1459, 8, 'Date de saisine');
INSERT INTO `lang_definitions` VALUES (27605, 1460, 8, 'Date de réponse');
INSERT INTO `lang_definitions` VALUES (27606, 1461, 8, 'Date du rapport');
INSERT INTO `lang_definitions` VALUES (27607, 1462, 8, 'Date du service');
INSERT INTO `lang_definitions` VALUES (27608, 1463, 8, 'Date du service');
INSERT INTO `lang_definitions` VALUES (27609, 1464, 8, 'Date du service = Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (27610, 1465, 8, 'Date du service mm/jj/aaaa');
INSERT INTO `lang_definitions` VALUES (27611, 1466, 8, 'Date du service:');
INSERT INTO `lang_definitions` VALUES (27612, 1467, 8, 'Date de signature');
INSERT INTO `lang_definitions` VALUES (27613, 1468, 8, 'Date de changement de statut');
INSERT INTO `lang_definitions` VALUES (27614, 1469, 8, 'Date de cette commande');
INSERT INTO `lang_definitions` VALUES (27615, 1470, 8, 'Date du présent rapport');
INSERT INTO `lang_definitions` VALUES (27616, 1471, 8, 'Date de déclaration VIS');
INSERT INTO `lang_definitions` VALUES (27617, 1472, 8, 'Date de commande');
INSERT INTO `lang_definitions` VALUES (27618, 1475, 8, 'Sélecteur de Date');
INSERT INTO `lang_definitions` VALUES (27619, 1476, 8, 'Date d\'envoi');
INSERT INTO `lang_definitions` VALUES (27620, 1477, 8, 'Date de l\'envoi du message');
INSERT INTO `lang_definitions` VALUES (27621, 1479, 8, 'La date ne peut être vide.');
INSERT INTO `lang_definitions` VALUES (27622, 1480, 8, 'Date/Appt');
INSERT INTO `lang_definitions` VALUES (27623, 1481, 8, 'Date/Notes');
INSERT INTO `lang_definitions` VALUES (27624, 1482, 8, 'Date/Notes de dernière');
INSERT INTO `lang_definitions` VALUES (27625, 1483, 8, 'Date/Heure');
INSERT INTO `lang_definitions` VALUES (27626, 1484, 8, 'Date:');
INSERT INTO `lang_definitions` VALUES (27627, 1485, 8, 'Journal des messages daté');
INSERT INTO `lang_definitions` VALUES (27628, 1486, 8, 'Jour');
INSERT INTO `lang_definitions` VALUES (27629, 1487, 8, 'jour');
INSERT INTO `lang_definitions` VALUES (27630, 1489, 8, 'Vue quotidienne');
INSERT INTO `lang_definitions` VALUES (27631, 1490, 8, 'Jour(s)');
INSERT INTO `lang_definitions` VALUES (27632, 1491, 8, 'Jour(s) M-F');
INSERT INTO `lang_definitions` VALUES (27633, 1492, 8, 'jours');
INSERT INTO `lang_definitions` VALUES (27634, 1493, 8, 'Jours');
INSERT INTO `lang_definitions` VALUES (27635, 1494, 8, 'jours avant');
INSERT INTO `lang_definitions` VALUES (27636, 1495, 8, 'Jours et Jeux manqués');
INSERT INTO `lang_definitions` VALUES (27637, 1496, 8, 'Jours depuis dernière Rencontre');
INSERT INTO `lang_definitions` VALUES (27638, 1497, 8, 'jours manqués');
INSERT INTO `lang_definitions` VALUES (27639, 1498, 8, 'Jours par colonne:');
INSERT INTO `lang_definitions` VALUES (27640, 1500, 8, 'Jours/Col:');
INSERT INTO `lang_definitions` VALUES (27641, 1501, 8, 'BD installée');
INSERT INTO `lang_definitions` VALUES (27642, 1502, 8, 'JJ/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (27643, 1503, 8, 'Dés-identification');
INSERT INTO `lang_definitions` VALUES (27644, 1504, 8, 'Processus de dés-identification est terminé');
INSERT INTO `lang_definitions` VALUES (27645, 1505, 8, 'Processus de dés-identification est en cours');
INSERT INTO `lang_definitions` VALUES (27646, 1506, 8, 'Processus de dés-identification est démarré et s\'exécute en arrière-plan');
INSERT INTO `lang_definitions` VALUES (27647, 1507, 8, 'Données dépersonnalisées peuvent ne pas être complète');
INSERT INTO `lang_definitions` VALUES (27648, 1508, 8, 'Fichiers dés-identification seront sauvegardés dans');
INSERT INTO `lang_definitions` VALUES (27649, 1509, 8, 'DEA');
INSERT INTO `lang_definitions` VALUES (27650, 1511, 8, 'Sourd');
INSERT INTO `lang_definitions` VALUES (27651, 1512, 8, 'informations de débogage');
INSERT INTO `lang_definitions` VALUES (27652, 1514, 8, 'débogage');
INSERT INTO `lang_definitions` VALUES (27653, 1515, 8, 'Dec.');
INSERT INTO `lang_definitions` VALUES (27654, 1516, 8, 'Décédé');
INSERT INTO `lang_definitions` VALUES (27655, 1517, 8, 'Décembre');
INSERT INTO `lang_definitions` VALUES (27656, 1518, 8, 'Livres décimales ou livres et onces séparés par #(i.e. 5#4)');
INSERT INTO `lang_definitions` VALUES (27657, 1520, 8, 'Déductible');
INSERT INTO `lang_definitions` VALUES (27658, 1522, 8, 'Par défaut');
INSERT INTO `lang_definitions` VALUES (27659, 1523, 8, 'Afficher Calendrier par défaut');
INSERT INTO `lang_definitions` VALUES (27660, 1524, 8, 'ID formulaire par défaut des Rencontres');
INSERT INTO `lang_definitions` VALUES (27661, 1526, 8, 'Facilité par défaut');
INSERT INTO `lang_definitions` VALUES (27662, 1527, 8, 'Langue par défaut');
INSERT INTO `lang_definitions` VALUES (27663, 1528, 8, 'Langue par défaut si aucune autre n\'est autorisé ou choisi.');
INSERT INTO `lang_definitions` VALUES (27664, 1529, 8, 'Liste par défaut (écrire, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (27665, 1530, 8, 'Méthode par défaut');
INSERT INTO `lang_definitions` VALUES (27666, 1531, 8, 'Délai en Jours d\'expiration du mot de passe par défaut');
INSERT INTO `lang_definitions` VALUES (27667, 1532, 8, 'Période d\'expiration par défaut du mot de passe en jours. 0 signifie que cette fonctionnalité est désactivée.');
INSERT INTO `lang_definitions` VALUES (27668, 1533, 8, 'Pays par defaut du patient');
INSERT INTO `lang_definitions` VALUES (27669, 1535, 8, 'Priorité par defaut');
INSERT INTO `lang_definitions` VALUES (27670, 1536, 8, 'Fournisseur par défaut');
INSERT INTO `lang_definitions` VALUES (27671, 1537, 8, 'Plage par défaut');
INSERT INTO `lang_definitions` VALUES (27672, 1538, 8, 'Motif de la visite par défaut');
INSERT INTO `lang_definitions` VALUES (27673, 1540, 8, 'Paramètre par défaut');
INSERT INTO `lang_definitions` VALUES (27674, 1541, 8, 'État par défault de la nouvelle fenètre de checkbox dans la liste des patients');
INSERT INTO `lang_definitions` VALUES (27675, 1542, 8, 'Modèle par défaut');
INSERT INTO `lang_definitions` VALUES (27676, 1546, 8, 'Unités par défaut');
INSERT INTO `lang_definitions` VALUES (27677, 1547, 8, 'Valeur par défaut');
INSERT INTO `lang_definitions` VALUES (27678, 1548, 8, 'Entrepôt par défaut');
INSERT INTO `lang_definitions` VALUES (27679, 1549, 8, 'Partenaire X12 par défaut');
INSERT INTO `lang_definitions` VALUES (27680, 1550, 8, 'Défaut / Global');
INSERT INTO `lang_definitions` VALUES (27681, 1551, 8, 'Sup.');
INSERT INTO `lang_definitions` VALUES (27682, 1552, 8, 'sup.');
INSERT INTO `lang_definitions` VALUES (27683, 1553, 8, 'Pecurrence différée (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (27684, 1554, 8, 'Supprimer');
INSERT INTO `lang_definitions` VALUES (27685, 1555, 8, 'supprimer');
INSERT INTO `lang_definitions` VALUES (27686, 1556, 8, 'Supprimer les catégories avec ID(s): ');
INSERT INTO `lang_definitions` VALUES (27687, 1557, 8, 'Supprimer Catégorie');
INSERT INTO `lang_definitions` VALUES (27688, 1559, 8, 'Echec de suppression!');
INSERT INTO `lang_definitions` VALUES (27689, 1560, 8, 'Supprimer groupe');
INSERT INTO `lang_definitions` VALUES (27690, 1561, 8, 'Supprimer liste');
INSERT INTO `lang_definitions` VALUES (27691, 1562, 8, 'Supprimer des pages');
INSERT INTO `lang_definitions` VALUES (27692, 1563, 8, 'Supprimer Patient, Rencontre, formulaire, Problème, Document, Paiement, Facturation ou Transaction');
INSERT INTO `lang_definitions` VALUES (27693, 1565, 8, 'Supprimer ligne');
INSERT INTO `lang_definitions` VALUES (27694, 1566, 8, 'Supprimer éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (27695, 1568, 8, 'Suppression avec succès.');
INSERT INTO `lang_definitions` VALUES (27696, 1569, 8, 'Supprimer ce document');
INSERT INTO `lang_definitions` VALUES (27697, 1570, 8, 'Supprimer ce formulaire');
INSERT INTO `lang_definitions` VALUES (27698, 1571, 8, 'Supprimer cette note');
INSERT INTO `lang_definitions` VALUES (27699, 1573, 8, 'Supprimé avec succès.');
INSERT INTO `lang_definitions` VALUES (27700, 1574, 8, 'Suppression en cours');
INSERT INTO `lang_definitions` VALUES (27701, 1575, 8, 'La suppression de cet événement ne peut être annulée. Il ne peut pas être récupéré une fois qu\'il est effacé. Etes-vous sûr de vouloir supprimer cet événement?');
INSERT INTO `lang_definitions` VALUES (27702, 1576, 8, 'Livraison Confirmé');
INSERT INTO `lang_definitions` VALUES (27703, 1578, 8, 'La livraison n\'est pas actuellement autorisé à l\'adresse directe indiquée.');
INSERT INTO `lang_definitions` VALUES (27704, 1580, 8, 'Livraison du document clinique ci-joint a été demandé par le patient.');
INSERT INTO `lang_definitions` VALUES (27705, 1581, 8, 'Démence');
INSERT INTO `lang_definitions` VALUES (27706, 1582, 8, 'Données démographiques');
INSERT INTO `lang_definitions` VALUES (27707, 1583, 8, 'Données démographiques (écriture, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (27708, 1585, 8, 'Données démographiques critères de recherche');
INSERT INTO `lang_definitions` VALUES (27709, 1586, 8, 'Données démographiques non autorisés');
INSERT INTO `lang_definitions` VALUES (27710, 1587, 8, 'Données démographiques non autorisés.');
INSERT INTO `lang_definitions` VALUES (27711, 1588, 8, 'Refusé');
INSERT INTO `lang_definitions` VALUES (27712, 1589, 8, 'Dénominateur');
INSERT INTO `lang_definitions` VALUES (27713, 1590, 8, 'Dentaire');
INSERT INTO `lang_definitions` VALUES (27714, 1591, 8, 'Liste des problèmes dentaire');
INSERT INTO `lang_definitions` VALUES (27715, 1592, 8, 'Problèmes dentaires');
INSERT INTO `lang_definitions` VALUES (27716, 1595, 8, 'Selon le type de facture que vous testez, vous verrez une sortie similaire à HCFA sur une page vierge pour les factures HCFA, vous verrez de nombreuses lignes de texte et information quelque peu déformé si vous testez une réclamation X12. Ce texte déformé est le format X12 EDI 4010A. Occasionnellement, vous verrez caractères étranges qui ressemblent aux dominos ou tildes, ce sont les caractères de contrôle tels que les sauts de page et sont normales.');
INSERT INTO `lang_definitions` VALUES (27717, 1596, 8, 'date de dépôt');
INSERT INTO `lang_definitions` VALUES (27718, 1597, 8, 'La date de dépôt ne peut pas être supérieur à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (27719, 1598, 8, 'Date de dépôt:');
INSERT INTO `lang_definitions` VALUES (27720, 1599, 8, 'Déprimé');
INSERT INTO `lang_definitions` VALUES (27721, 1600, 8, 'Dépression');
INSERT INTO `lang_definitions` VALUES (27722, 1602, 8, 'Description');
INSERT INTO `lang_definitions` VALUES (27723, 1603, 8, 'description');
INSERT INTO `lang_definitions` VALUES (27724, 1605, 8, 'Description de la divulgation');
INSERT INTO `lang_definitions` VALUES (27725, 1606, 8, 'Description de cette procédure ou le code résultat');
INSERT INTO `lang_definitions` VALUES (27726, 1607, 8, 'Traduction de la description');
INSERT INTO `lang_definitions` VALUES (27727, 1609, 8, 'Destination');
INSERT INTO `lang_definitions` VALUES (27728, 1610, 8, 'Nom du fichier destination');
INSERT INTO `lang_definitions` VALUES (27729, 1611, 8, 'Détruire lot');
INSERT INTO `lang_definitions` VALUES (27730, 1612, 8, 'Détruire...');
INSERT INTO `lang_definitions` VALUES (27731, 1613, 8, 'Détruite');
INSERT INTO `lang_definitions` VALUES (27732, 1614, 8, 'Médicaments détruits');
INSERT INTO `lang_definitions` VALUES (27733, 1615, 8, 'Rapport de destruction des Médicaments');
INSERT INTO `lang_definitions` VALUES (27734, 1616, 8, 'Détail');
INSERT INTO `lang_definitions` VALUES (27735, 1617, 8, 'Détails');
INSERT INTO `lang_definitions` VALUES (27736, 1619, 8, 'Anomalie de développement');
INSERT INTO `lang_definitions` VALUES (27737, 1620, 8, 'Diabètes');
INSERT INTO `lang_definitions` VALUES (27738, 1621, 8, 'Diabètes sucrées');
INSERT INTO `lang_definitions` VALUES (27739, 1622, 8, 'Diabètes: gestion de la pression artérielle (LCQ)');
INSERT INTO `lang_definitions` VALUES (27740, 1623, 8, 'Diabètes: examen de la vue');
INSERT INTO `lang_definitions` VALUES (27741, 1624, 8, 'Diabètes: examen des yeux (LCQ)');
INSERT INTO `lang_definitions` VALUES (27742, 1625, 8, 'Diabètes: examen des pieds');
INSERT INTO `lang_definitions` VALUES (27743, 1626, 8, 'Diabètes: examen des pieds (LCQ)');
INSERT INTO `lang_definitions` VALUES (27744, 1627, 8, 'Diabètes: Faible contrôle HbA1c (LCQ)');
INSERT INTO `lang_definitions` VALUES (27745, 1628, 8, 'Diabètes: Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (27746, 1629, 8, 'Diabètes: Gestion et de contrôle LDL (LCQ)');
INSERT INTO `lang_definitions` VALUES (27747, 1630, 8, 'Diabètes: Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (27748, 1631, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (27749, 1632, 8, 'Diagnostics');
INSERT INTO `lang_definitions` VALUES (27750, 1633, 8, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (27751, 1634, 8, 'Code diagnostic');
INSERT INTO `lang_definitions` VALUES (27752, 1636, 8, 'Date du diagnostic');
INSERT INTO `lang_definitions` VALUES (27753, 1637, 8, 'Le diagnostic doit être codé en une rencontre liée');
INSERT INTO `lang_definitions` VALUES (27754, 1638, 8, 'Nom du Diagnostic');
INSERT INTO `lang_definitions` VALUES (27755, 1639, 8, 'Rapport de diagnostic');
INSERT INTO `lang_definitions` VALUES (27756, 1640, 8, 'Rapports de diagnostic');
INSERT INTO `lang_definitions` VALUES (27757, 1641, 8, 'Rapports de diagnostic seulement');
INSERT INTO `lang_definitions` VALUES (27758, 1642, 8, 'Titre du Diagnostic');
INSERT INTO `lang_definitions` VALUES (27759, 1643, 8, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (27760, 1644, 8, 'Diagnostic: ');
INSERT INTO `lang_definitions` VALUES (27761, 1645, 8, 'Tests de diagnostic:');
INSERT INTO `lang_definitions` VALUES (27762, 1646, 8, 'Cadrans');
INSERT INTO `lang_definitions` VALUES (27763, 1647, 8, 'Diaphragmes / Casquettes');
INSERT INTO `lang_definitions` VALUES (27764, 1648, 8, 'Diarrhée');
INSERT INTO `lang_definitions` VALUES (27765, 1650, 8, 'Dictée');
INSERT INTO `lang_definitions` VALUES (27766, 1651, 8, 'Dictée: ');
INSERT INTO `lang_definitions` VALUES (27767, 1652, 8, 'Avez-vous reçu une copie de l\'avis HIPAA?');
INSERT INTO `lang_definitions` VALUES (27768, 1653, 8, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (27769, 1654, 8, 'Signé numériquement');
INSERT INTO `lang_definitions` VALUES (27770, 1657, 8, 'Publipostage direct');
INSERT INTO `lang_definitions` VALUES (27771, 1658, 8, 'Messsage de log direct');
INSERT INTO `lang_definitions` VALUES (27772, 1659, 8, 'Message reçu direct');
INSERT INTO `lang_definitions` VALUES (27773, 1660, 8, 'Le système de messagerie direct est actuellement indisponible');
INSERT INTO `lang_definitions` VALUES (27774, 1661, 8, 'Echec du système d\'envois de message direct');
INSERT INTO `lang_definitions` VALUES (27775, 1663, 8, 'Nom du Directeur');
INSERT INTO `lang_definitions` VALUES (27776, 1664, 8, 'Echet de la suppréssion du répertoire; continuer.');
INSERT INTO `lang_definitions` VALUES (27777, 1665, 8, 'Handicap');
INSERT INTO `lang_definitions` VALUES (27778, 1667, 8, 'Désactiver le calendrier');
INSERT INTO `lang_definitions` VALUES (27779, 1668, 8, 'Désactiver Graphique Suivi');
INSERT INTO `lang_definitions` VALUES (27780, 1669, 8, 'Désactiver Vaccination');
INSERT INTO `lang_definitions` VALUES (27781, 1670, 8, 'Désactiver Formulaire Ancien métrique des signes vitaux');
INSERT INTO `lang_definitions` VALUES (27782, 1672, 8, 'Désactiver phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (27783, 1673, 8, 'Désactiver Prescriptions');
INSERT INTO `lang_definitions` VALUES (27784, 1674, 8, 'Désactiver Groupes d\'utilisateurs');
INSERT INTO `lang_definitions` VALUES (27785, 1675, 8, 'handicapé');
INSERT INTO `lang_definitions` VALUES (27786, 1676, 8, 'Handicapé');
INSERT INTO `lang_definitions` VALUES (27787, 1677, 8, 'Bénéficiaire handicapés de moins de 65 ans avec l\'allocation de solidarité');
INSERT INTO `lang_definitions` VALUES (27788, 1678, 8, 'DISQUE');
INSERT INTO `lang_definitions` VALUES (27789, 1681, 8, 'Refoulement');
INSERT INTO `lang_definitions` VALUES (27790, 1682, 8, 'Refoulement de l\'urètre');
INSERT INTO `lang_definitions` VALUES (27791, 1684, 8, 'Refoulement à droite');
INSERT INTO `lang_definitions` VALUES (27792, 1685, 8, 'Refoulement à droite:');
INSERT INTO `lang_definitions` VALUES (27793, 1688, 8, 'Déchargé');
INSERT INTO `lang_definitions` VALUES (27794, 1689, 8, 'Divulgation info');
INSERT INTO `lang_definitions` VALUES (27795, 1690, 8, 'Type de divulgation');
INSERT INTO `lang_definitions` VALUES (27796, 1691, 8, 'Types de divulgation');
INSERT INTO `lang_definitions` VALUES (27797, 1692, 8, 'Divulgations');
INSERT INTO `lang_definitions` VALUES (27798, 1694, 8, 'Remise');
INSERT INTO `lang_definitions` VALUES (27799, 1695, 8, 'Montant de remise');
INSERT INTO `lang_definitions` VALUES (27800, 1696, 8, 'Niveau de remise');
INSERT INTO `lang_definitions` VALUES (27801, 1697, 8, 'Taux de remise');
INSERT INTO `lang_definitions` VALUES (27802, 1698, 8, 'Réductions au montant en numéraire');
INSERT INTO `lang_definitions` VALUES (27803, 1699, 8, 'Réductions au moment du contrôle sont entrés comme montants, par opposition au pourcentage.');
INSERT INTO `lang_definitions` VALUES (27804, 1700, 8, 'Résultat discret');
INSERT INTO `lang_definitions` VALUES (27805, 1701, 8, 'Maladie');
INSERT INTO `lang_definitions` VALUES (27806, 1702, 8, 'Luxation');
INSERT INTO `lang_definitions` VALUES (27807, 1703, 8, 'Disp #');
INSERT INTO `lang_definitions` VALUES (27808, 1704, 8, 'Expédition');
INSERT INTO `lang_definitions` VALUES (27809, 1705, 8, 'Document expédié reçu');
INSERT INTO `lang_definitions` VALUES (27810, 1706, 8, 'Distribué');
INSERT INTO `lang_definitions` VALUES (27811, 1707, 8, 'Afficher les pré-arrangements dans l\'écran démographie');
INSERT INTO `lang_definitions` VALUES (27812, 1709, 8, 'Afficher les dates d\'évènements dans le bloc?');
INSERT INTO `lang_definitions` VALUES (27813, 1710, 8, 'Format d\'affichage des poids des États-Unis');
INSERT INTO `lang_definitions` VALUES (27814, 1711, 8, 'Afficher combien d\'évènements');
INSERT INTO `lang_definitions` VALUES (27815, 1713, 8, 'Afficher l\'adresse dans le bloc');
INSERT INTO `lang_definitions` VALUES (27816, 1714, 8, 'Afficher le nom');
INSERT INTO `lang_definitions` VALUES (27817, 1715, 8, 'Afficher le calendrier?');
INSERT INTO `lang_definitions` VALUES (27818, 1718, 8, 'Afficher dans le bloc les évènements du jour?');
INSERT INTO `lang_definitions` VALUES (27819, 1719, 8, 'Afficher dans le bloc les sujets?');
INSERT INTO `lang_definitions` VALUES (27820, 1720, 8, 'Afficher dans le bloc les évènements à venir?');
INSERT INTO `lang_definitions` VALUES (27821, 1721, 8, 'Colonnes visibles');
INSERT INTO `lang_definitions` VALUES (27822, 1722, 8, 'Passer au numéro suivant de la liste des divulgations récentes:');
INSERT INTO `lang_definitions` VALUES (27823, 1723, 8, 'Passer au numéro suivant de la liste de notes récentes');
INSERT INTO `lang_definitions` VALUES (27824, 1724, 8, 'Passer au numéro suivant de la liste de notes récentes:');
INSERT INTO `lang_definitions` VALUES (27825, 1725, 8, 'Distribution');
INSERT INTO `lang_definitions` VALUES (27826, 1726, 8, 'Distributions');
INSERT INTO `lang_definitions` VALUES (27827, 1727, 8, 'Distributeur');
INSERT INTO `lang_definitions` VALUES (27828, 1729, 8, 'Sigmoïdite');
INSERT INTO `lang_definitions` VALUES (27829, 1730, 8, 'Chirurgie pour la sigmoïdite');
INSERT INTO `lang_definitions` VALUES (27830, 1731, 8, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (27831, 1732, 8, 'Chirurgie pour la diverticulite');
INSERT INTO `lang_definitions` VALUES (27832, 1733, 8, 'Divorcé');
INSERT INTO `lang_definitions` VALUES (27833, 1734, 8, 'Vertiges:');
INSERT INTO `lang_definitions` VALUES (27834, 1735, 8, 'Ne pas modifier');
INSERT INTO `lang_definitions` VALUES (27835, 1737, 8, 'Ne pas afficher Allergie téléchargés à NewCrop');
INSERT INTO `lang_definitions` VALUES (27836, 1739, 8, 'Ne pas afficher Médicament téléchargés à NewCrop');
INSERT INTO `lang_definitions` VALUES (27837, 1742, 8, 'Ne pas afficher le calendrier.');
INSERT INTO `lang_definitions` VALUES (27838, 1744, 8, 'Pas d\'inventaire et vente de produits');
INSERT INTO `lang_definitions` VALUES (27839, 1745, 8, 'Ne nécessite pas une autorisation écrite du patient');
INSERT INTO `lang_definitions` VALUES (27840, 1746, 8, 'Prescription de non-réanimation');
INSERT INTO `lang_definitions` VALUES (27841, 1747, 8, 'ne pas enregistrer');
INSERT INTO `lang_definitions` VALUES (27842, 1748, 8, 'ne pas substituer');
INSERT INTO `lang_definitions` VALUES (27843, 1749, 8, 'ne rien faire');
INSERT INTO `lang_definitions` VALUES (27844, 1751, 8, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (27845, 1752, 8, 'Voulez-vous vraiment supprimer la sélection?');
INSERT INTO `lang_definitions` VALUES (27846, 1753, 8, 'Voulez-vous vraiment supprimer ce groupe');
INSERT INTO `lang_definitions` VALUES (27847, 1755, 8, 'Voulez-vous continuer?');
INSERT INTO `lang_definitions` VALUES (27848, 1756, 8, 'Voulez-vous supprimer cet élément?');
INSERT INTO `lang_definitions` VALUES (27849, 1757, 8, 'Voulez-vous supprimer?');
INSERT INTO `lang_definitions` VALUES (27850, 1758, 8, 'Voulez-vous supprimer cet enregistrement?');
INSERT INTO `lang_definitions` VALUES (27851, 1759, 8, 'Vous désirez continuer l\'ajout de ce nouveau patient?');
INSERT INTO `lang_definitions` VALUES (27852, 1760, 8, 'Vous désirez continuer sous le nouveau nom?');
INSERT INTO `lang_definitions` VALUES (27853, 1761, 8, 'Vous désirez supprimer DEFINITIVEMENT ce dossier de vaccination?');
INSERT INTO `lang_definitions` VALUES (27854, 1762, 8, 'DDN');
INSERT INTO `lang_definitions` VALUES (27855, 1763, 8, 'La date des naissance est manquante, fournir si disponible');
INSERT INTO `lang_definitions` VALUES (27856, 1764, 8, 'Documents');
INSERT INTO `lang_definitions` VALUES (27857, 1765, 8, 'Médecin');
INSERT INTO `lang_definitions` VALUES (27858, 1766, 8, 'Médecin:');
INSERT INTO `lang_definitions` VALUES (27859, 1767, 8, 'Nom du médecin et signature');
INSERT INTO `lang_definitions` VALUES (27860, 1768, 8, 'Document');
INSERT INTO `lang_definitions` VALUES (27861, 1769, 8, 'document');
INSERT INTO `lang_definitions` VALUES (27862, 1770, 8, 'Catégories document');
INSERT INTO `lang_definitions` VALUES (27863, 1775, 8, 'Document ne peut être attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (27864, 1777, 8, 'Date du document');
INSERT INTO `lang_definitions` VALUES (27865, 1778, 8, 'Date et version du document modifiés avec succès');
INSERT INTO `lang_definitions` VALUES (27866, 1779, 8, 'Nº du document');
INSERT INTO `lang_definitions` VALUES (27867, 1780, 8, 'Document déplacé vers la nouvelle catégorie');
INSERT INTO `lang_definitions` VALUES (27868, 1781, 8, 'Document attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (27869, 1783, 8, 'Vérification d\'intégrité du Document passé.');
INSERT INTO `lang_definitions` VALUES (27870, 1784, 8, 'Méthode de stockage de documents');
INSERT INTO `lang_definitions` VALUES (27871, 1785, 8, 'Document renommé avec succès.');
INSERT INTO `lang_definitions` VALUES (27872, 1790, 8, 'Lieu Document/Imagerie');
INSERT INTO `lang_definitions` VALUES (27873, 1791, 8, 'Documents');
INSERT INTO `lang_definitions` VALUES (27874, 1792, 8, 'Documents (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (27875, 1794, 8, 'Date d\'entrée');
INSERT INTO `lang_definitions` VALUES (27876, 1796, 8, 'Ne correspond pas au nombre de rencontre PV1');
INSERT INTO `lang_definitions` VALUES (27877, 1797, 8, 'Ne semble pas valide');
INSERT INTO `lang_definitions` VALUES (27878, 1798, 8, 'Est-ce que ce type permet codes connexes?');
INSERT INTO `lang_definitions` VALUES (27879, 1799, 8, 'Partenaire domestique');
INSERT INTO `lang_definitions` VALUES (27880, 1800, 8, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (27881, 1801, 8, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (27882, 1802, 8, 'Ne pas sauvegarder les changements');
INSERT INTO `lang_definitions` VALUES (27883, 1803, 8, 'Terminé');
INSERT INTO `lang_definitions` VALUES (27884, 1804, 8, 'Effectué avec:');
INSERT INTO `lang_definitions` VALUES (27885, 1805, 8, 'Terminé. Envoi du téléchargement');
INSERT INTO `lang_definitions` VALUES (27886, 1806, 8, 'DOS');
INSERT INTO `lang_definitions` VALUES (27887, 1807, 8, 'Posologie');
INSERT INTO `lang_definitions` VALUES (27888, 1809, 8, 'Double-cliquez pour éditer');
INSERT INTO `lang_definitions` VALUES (27889, 1810, 8, 'Vision Double');
INSERT INTO `lang_definitions` VALUES (27890, 1811, 8, 'Télécharger');
INSERT INTO `lang_definitions` VALUES (27891, 1814, 8, 'Télécharger dans tout les cas');
INSERT INTO `lang_definitions` VALUES (27892, 1815, 8, 'Télécharger la facturation, la posté à la comptabilité la marquer comme facturé');
INSERT INTO `lang_definitions` VALUES (27893, 1817, 8, 'Télécharger les certificats');
INSERT INTO `lang_definitions` VALUES (27894, 1818, 8, 'Télécharger les données de configuration');
INSERT INTO `lang_definitions` VALUES (27895, 1820, 8, 'télécharger le fichier crypté');
INSERT INTO `lang_definitions` VALUES (27896, 1825, 8, 'Télécharger le PDF');
INSERT INTO `lang_definitions` VALUES (27897, 1827, 8, 'Télécharger les déclarations sélectionnées');
INSERT INTO `lang_definitions` VALUES (27898, 1828, 8, 'Contrôle du Dr');
INSERT INTO `lang_definitions` VALUES (27899, 1829, 8, 'Visite du Dr');
INSERT INTO `lang_definitions` VALUES (27900, 1830, 8, 'Dr');
INSERT INTO `lang_definitions` VALUES (27901, 1831, 8, 'Glissez pour déplacer');
INSERT INTO `lang_definitions` VALUES (27902, 1832, 8, 'Bavements');
INSERT INTO `lang_definitions` VALUES (27903, 1833, 8, 'Permis de conduire ou de N° Identification');
INSERT INTO `lang_definitions` VALUES (27904, 1834, 8, 'Médicament');
INSERT INTO `lang_definitions` VALUES (27905, 1835, 8, 'Chercheur de médicaments');
INSERT INTO `lang_definitions` VALUES (27906, 1836, 8, 'Formes médicamenteuse');
INSERT INTO `lang_definitions` VALUES (27907, 1837, 8, 'ID du médicament manquant!');
INSERT INTO `lang_definitions` VALUES (27908, 1838, 8, 'Intervale des prises de médicament');
INSERT INTO `lang_definitions` VALUES (27909, 1839, 8, 'Inventaire des médicaments');
INSERT INTO `lang_definitions` VALUES (27910, 1840, 8, 'Nom du médicament');
INSERT INTO `lang_definitions` VALUES (27911, 1841, 8, 'Voies du médicament');
INSERT INTO `lang_definitions` VALUES (27912, 1845, 8, 'Unités du médicament');
INSERT INTO `lang_definitions` VALUES (27913, 1846, 8, 'Médicaments');
INSERT INTO `lang_definitions` VALUES (27914, 1847, 8, 'Produits et Médicaments');
INSERT INTO `lang_definitions` VALUES (27915, 1848, 8, 'Bouche sèche');
INSERT INTO `lang_definitions` VALUES (27916, 1849, 8, 'Diagnostique DSMIV');
INSERT INTO `lang_definitions` VALUES (27917, 1850, 8, 'DT 1');
INSERT INTO `lang_definitions` VALUES (27918, 1851, 8, 'DT 2');
INSERT INTO `lang_definitions` VALUES (27919, 1852, 8, 'DT 3');
INSERT INTO `lang_definitions` VALUES (27920, 1853, 8, 'DT 4');
INSERT INTO `lang_definitions` VALUES (27921, 1854, 8, 'DT 5');
INSERT INTO `lang_definitions` VALUES (27922, 1855, 8, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (27923, 1856, 8, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (27924, 1857, 8, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (27925, 1858, 8, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (27926, 1859, 8, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (27927, 1860, 8, 'Échéance');
INSERT INTO `lang_definitions` VALUES (27928, 1861, 8, 'Date d\'échéance');
INSERT INTO `lang_definitions` VALUES (27929, 1862, 8, 'Date d\'échéance mm/jj/aaaa ou aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (27930, 1863, 8, 'Date d\'échéance:');
INSERT INTO `lang_definitions` VALUES (27931, 1864, 8, 'Échéance de l\'assurance');
INSERT INTO `lang_definitions` VALUES (27932, 1865, 8, 'Échéance du patient');
INSERT INTO `lang_definitions` VALUES (27933, 1866, 8, 'Échéance prochaine');
INSERT INTO `lang_definitions` VALUES (27934, 1867, 8, 'Etat échéance');
INSERT INTO `lang_definitions` VALUES (27935, 1868, 8, 'Mise à jour de Etat échéance');
INSERT INTO `lang_definitions` VALUES (27936, 1869, 8, 'Dumping de la base de données LibreEHR');
INSERT INTO `lang_definitions` VALUES (27937, 1870, 8, 'Dumping de l\'arborescence web LibreEHR');
INSERT INTO `lang_definitions` VALUES (27938, 1871, 8, 'Dumping de la base de données phpGACL');
INSERT INTO `lang_definitions` VALUES (27939, 1872, 8, 'Dumping de l\'arborescence web phpGACL');
INSERT INTO `lang_definitions` VALUES (27940, 1873, 8, 'Dumping de la base de données SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (27941, 1874, 8, 'Dumping de l\'arborescence web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (27942, 1875, 8, 'Vérifiez Dup');
INSERT INTO `lang_definitions` VALUES (27943, 1876, 8, 'Numéro ID dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (27944, 1877, 8, 'Nom dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (27945, 1878, 8, 'AVERTISSEMENT DUPLICATION');
INSERT INTO `lang_definitions` VALUES (27946, 1879, 8, 'Procuration durable');
INSERT INTO `lang_definitions` VALUES (27947, 1880, 8, 'durée');
INSERT INTO `lang_definitions` VALUES (27948, 1881, 8, 'Durée');
INSERT INTO `lang_definitions` VALUES (27949, 1882, 8, 'Hollandais');
INSERT INTO `lang_definitions` VALUES (27950, 1883, 8, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (27951, 1884, 8, 'Dysphagie');
INSERT INTO `lang_definitions` VALUES (27952, 1885, 8, 'Dyspnée:');
INSERT INTO `lang_definitions` VALUES (27953, 1886, 8, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (27954, 1888, 8, 'Préscription électronique');
INSERT INTO `lang_definitions` VALUES (27955, 1889, 8, 'Rapports électronique');
INSERT INTO `lang_definitions` VALUES (27956, 1890, 8, 'Prescription électronique');
INSERT INTO `lang_definitions` VALUES (27957, 1892, 8, 'Renouvellement e-Rx');
INSERT INTO `lang_definitions` VALUES (27958, 1893, 8, 'Chaque destinataire doit marquer ses propre messages comme terminés.');
INSERT INTO `lang_definitions` VALUES (27959, 1894, 8, 'Récidive précoce (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (27960, 1895, 8, 'Oreilles');
INSERT INTO `lang_definitions` VALUES (27961, 1896, 8, 'ECG');
INSERT INTO `lang_definitions` VALUES (27962, 1897, 8, 'Réclamations électronique');
INSERT INTO `lang_definitions` VALUES (27963, 1898, 8, 'Œdème');
INSERT INTO `lang_definitions` VALUES (27964, 1899, 8, 'Historique EDI');
INSERT INTO `lang_definitions` VALUES (27965, 1900, 8, 'Historique EDI');
INSERT INTO `lang_definitions` VALUES (27966, 1901, 8, 'Historique (sous honoraires) EDI pour le stockage et l\'interprétation des fichiers de réponse au revendications EDI');
INSERT INTO `lang_definitions` VALUES (27967, 1902, 8, 'EDI-271 Fichier Upload');
INSERT INTO `lang_definitions` VALUES (27968, 1903, 8, 'EDI-271 Fichier Réponse Upload');
INSERT INTO `lang_definitions` VALUES (27969, 1904, 8, 'Editer');
INSERT INTO `lang_definitions` VALUES (27970, 1905, 8, 'éditer');
INSERT INTO `lang_definitions` VALUES (27971, 1906, 8, 'Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (27972, 1907, 8, 'Editer les Catégories');
INSERT INTO `lang_definitions` VALUES (27973, 1908, 8, 'Editer les Définitions');
INSERT INTO `lang_definitions` VALUES (27974, 1909, 8, 'Editer les définitions');
INSERT INTO `lang_definitions` VALUES (27975, 1910, 8, 'Editer les Diagnostics pour');
INSERT INTO `lang_definitions` VALUES (27976, 1911, 8, 'Editer Divulgation');
INSERT INTO `lang_definitions` VALUES (27977, 1912, 8, 'Editer les Services');
INSERT INTO `lang_definitions` VALUES (27978, 1913, 8, 'Editer Facilité');
INSERT INTO `lang_definitions` VALUES (27979, 1914, 8, 'Editer les informations de Service');
INSERT INTO `lang_definitions` VALUES (27980, 1916, 8, 'Editer le fichier de');
INSERT INTO `lang_definitions` VALUES (27981, 1917, 8, 'Editer la forme');
INSERT INTO `lang_definitions` VALUES (27982, 1918, 8, 'Editer les paramètres globaux');
INSERT INTO `lang_definitions` VALUES (27983, 1919, 8, 'Modification non autorisée!');
INSERT INTO `lang_definitions` VALUES (27984, 1920, 8, 'Editer mise en page');
INSERT INTO `lang_definitions` VALUES (27985, 1921, 8, 'Editer la liste');
INSERT INTO `lang_definitions` VALUES (27986, 1922, 8, 'Editer paiement');
INSERT INTO `lang_definitions` VALUES (27987, 1923, 8, 'Editer la structure');
INSERT INTO `lang_definitions` VALUES (27988, 1924, 8, 'Editer l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (27989, 1925, 8, 'Editer les paramètres de l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (27990, 1928, 8, 'Education');
INSERT INTO `lang_definitions` VALUES (27991, 1929, 8, 'Date Education');
INSERT INTO `lang_definitions` VALUES (27992, 1931, 8, 'Voir la Licence * GNU GPL pour plus de détails. * * Vous devriez avoir reçu une copie de la Licence Publique Générale GNU * avec ce programme, sinon, écrivez à Free ');
INSERT INTO `lang_definitions` VALUES (27993, 1932, 8, 'Date d\'effet');
INSERT INTO `lang_definitions` VALUES (27994, 1934, 8, 'Efficacité');
INSERT INTO `lang_definitions` VALUES (27995, 1935, 8, 'EIN');
INSERT INTO `lang_definitions` VALUES (27996, 1936, 8, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (27997, 1937, 8, 'Coude');
INSERT INTO `lang_definitions` VALUES (27998, 1938, 8, 'Problèmes de coude');
INSERT INTO `lang_definitions` VALUES (27999, 1939, 8, 'Electronique');
INSERT INTO `lang_definitions` VALUES (28000, 1942, 8, 'Versements électroniques');
INSERT INTO `lang_definitions` VALUES (28001, 1943, 8, 'Rapports électroniques');
INSERT INTO `lang_definitions` VALUES (28002, 1944, 8, 'Admissibilité');
INSERT INTO `lang_definitions` VALUES (28003, 1945, 8, 'Admissibilité 270 enquête globale');
INSERT INTO `lang_definitions` VALUES (28004, 1946, 8, 'Réponse d\'Admissibilité');
INSERT INTO `lang_definitions` VALUES (28005, 1947, 8, 'Status de l\'autorisation pour vacciner des enfants avec les vaccins fournient');
INSERT INTO `lang_definitions` VALUES (28006, 1948, 8, 'Admissible');
INSERT INTO `lang_definitions` VALUES (28007, 1949, 8, 'Courriel');
INSERT INTO `lang_definitions` VALUES (28008, 1951, 8, 'Courriel');
INSERT INTO `lang_definitions` VALUES (28009, 1953, 8, 'L\'adresse de réponse pour les courriels de rappel envoyés aux patients. Les réponses des patientes à leur courriel de rappel seront envoyés à cette adresse. Il est important d\'utiliser une adresse de réponse qui fait partie du domaine de votre clinique afin d\'empêcher que les réponses de vos patients ne sont retrouvent classées parmi les pourriels.');
INSERT INTO `lang_definitions` VALUES (28010, 1954, 8, 'Courriel, si disponible, pour recevoir les messages administratifs.');
INSERT INTO `lang_definitions` VALUES (28011, 1955, 8, 'Courriel, si disponible, pour recevoir l\'activation d\'urgence des login des usagers');
INSERT INTO `lang_definitions` VALUES (28012, 1956, 8, 'Authentifiant courriel');
INSERT INTO `lang_definitions` VALUES (28013, 1957, 8, 'Email du Batchcom');
INSERT INTO `lang_definitions` VALUES (28014, 1958, 8, 'Notification courriel');
INSERT INTO `lang_definitions` VALUES (28015, 1959, 8, 'Heures de la notification courriel');
INSERT INTO `lang_definitions` VALUES (28016, 1960, 8, 'Rapport de la notification courriel');
INSERT INTO `lang_definitions` VALUES (28017, 1961, 8, 'Envoyer le mail avant');
INSERT INTO `lang_definitions` VALUES (28018, 1962, 8, 'Expéditeur');
INSERT INTO `lang_definitions` VALUES (28019, 1963, 8, 'Message envoyé');
INSERT INTO `lang_definitions` VALUES (28020, 1964, 8, 'Message envoyé à');
INSERT INTO `lang_definitions` VALUES (28021, 1965, 8, 'Sujet de l\'email');
INSERT INTO `lang_definitions` VALUES (28022, 1968, 8, 'Methode de transport du courriel');
INSERT INTO `lang_definitions` VALUES (28023, 1969, 8, 'Email a été envoyé à l\'adresse suivante');
INSERT INTO `lang_definitions` VALUES (28024, 1971, 8, 'Contact d\'urgence');
INSERT INTO `lang_definitions` VALUES (28025, 1972, 8, 'Personne à contacter en cas d\'urgence');
INSERT INTO `lang_definitions` VALUES (28026, 1973, 8, 'Numéro de téléphone du contact d\'urgence');
INSERT INTO `lang_definitions` VALUES (28027, 1974, 8, 'Contraception d\'urgence');
INSERT INTO `lang_definitions` VALUES (28028, 1975, 8, 'Identifiant d\'urgence');
INSERT INTO `lang_definitions` VALUES (28029, 1976, 8, 'Le login d\'urgence ACL est choisis. L\'utilisateur est encore dans un état actif, s\'il vous plait désactivez l\'utilisateur et réactivez le même en cas de situations d\'urgence. Visitez Adminstration->Utilisateurs pour les activations et désactivations.');
INSERT INTO `lang_definitions` VALUES (28030, 1977, 8, 'L\'activation par courriel du login d\'urgence sera envoyé uniquement si les paramètres suivant du fichier interface/globals.php sont configuré:');
INSERT INTO `lang_definitions` VALUES (28031, 1978, 8, 'Courriel du login d\'urgence');
INSERT INTO `lang_definitions` VALUES (28032, 1979, 8, 'Le login d\'urgence peut tout faire');
INSERT INTO `lang_definitions` VALUES (28033, 1980, 8, 'Téléphone d\'urgence');
INSERT INTO `lang_definitions` VALUES (28034, 1981, 8, 'Conditions et complications émotionnelles et comportementalles');
INSERT INTO `lang_definitions` VALUES (28035, 1982, 8, 'Emphysème');
INSERT INTO `lang_definitions` VALUES (28036, 1983, 8, 'Employé(e)');
INSERT INTO `lang_definitions` VALUES (28037, 1984, 8, 'Employeur');
INSERT INTO `lang_definitions` VALUES (28038, 1985, 8, 'Adresse de l\'employeur');
INSERT INTO `lang_definitions` VALUES (28039, 1986, 8, 'Information sur l\'employeur');
INSERT INTO `lang_definitions` VALUES (28040, 1987, 8, 'Nom de l\'employeur');
INSERT INTO `lang_definitions` VALUES (28041, 1988, 8, 'VIDE');
INSERT INTO `lang_definitions` VALUES (28042, 1989, 8, 'vide');
INSERT INTO `lang_definitions` VALUES (28043, 1990, 8, 'Mot de passe vide non autorisé');
INSERT INTO `lang_definitions` VALUES (28044, 1991, 8, 'Aucune données pour \"Horaire de courriel\"');
INSERT INTO `lang_definitions` VALUES (28045, 1992, 8, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (28046, 1993, 8, 'Aucune entrée pour \"Sujet du courrier\"');
INSERT INTO `lang_definitions` VALUES (28047, 1994, 8, 'Aucune entrée pour \"Texte du courrier\"');
INSERT INTO `lang_definitions` VALUES (28048, 1995, 8, 'Aucune entrée pour \"Nom du dispensateur\"');
INSERT INTO `lang_definitions` VALUES (28049, 1996, 8, 'Aucune entrée pour \"Mot de passe\"');
INSERT INTO `lang_definitions` VALUES (28050, 1997, 8, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (28051, 1998, 8, 'Aucune entrée pour \"Texto\"');
INSERT INTO `lang_definitions` VALUES (28052, 1999, 8, 'Aucune entrée pour \"Nom d\'usager');
INSERT INTO `lang_definitions` VALUES (28053, 2008, 8, 'Activer les rapports sur CAM');
INSERT INTO `lang_definitions` VALUES (28054, 2009, 8, 'Activer le suivis de CAM');
INSERT INTO `lang_definitions` VALUES (28055, 2011, 8, 'Activer l\'Audit ATNA');
INSERT INTO `lang_definitions` VALUES (28056, 2013, 8, 'Activer la journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (28057, 2015, 8, 'Activer les rapports sur la calculation automatique des mesures (CAM)');
INSERT INTO `lang_definitions` VALUES (28058, 2016, 8, 'Activer SSL pour les clients');
INSERT INTO `lang_definitions` VALUES (28059, 2017, 8, 'Activer l\'authentification par certificat SSL pour les clients');
INSERT INTO `lang_definitions` VALUES (28060, 2019, 8, 'Activer les Règles de Décisions Clinique (RDC)');
INSERT INTO `lang_definitions` VALUES (28061, 2022, 8, 'Activer le rapport des mesures de qualité clinique (LCQ)');
INSERT INTO `lang_definitions` VALUES (28062, 2023, 8, 'Activer le popup de rappel cilnique');
INSERT INTO `lang_definitions` VALUES (28063, 2024, 8, 'Activer le gadget de rappel clinique');
INSERT INTO `lang_definitions` VALUES (28064, 2027, 8, 'Activer les rapports LCQ');
INSERT INTO `lang_definitions` VALUES (28065, 2028, 8, 'Activer Historique EDI dans le menu de Gauche');
INSERT INTO `lang_definitions` VALUES (28066, 2030, 8, 'activer les honnoraires dans le menu de gauche');
INSERT INTO `lang_definitions` VALUES (28067, 2031, 8, 'Activer le support Hylafax');
INSERT INTO `lang_definitions` VALUES (28068, 2037, 8, 'Activer Lab Exchange');
INSERT INTO `lang_definitions` VALUES (28069, 2039, 8, 'Activer l\'outil de log pour les document téléversés/téléchargés sur CouchDB');
INSERT INTO `lang_definitions` VALUES (28070, 2040, 8, 'Activer la journalisation des requêtes SELECT SQL.');
INSERT INTO `lang_definitions` VALUES (28071, 2041, 8, 'Activer la journalisation des activités liés aux sauvegardes.');
INSERT INTO `lang_definitions` VALUES (28072, 2042, 8, 'Activer la journalisation des requettes du moteur CDR');
INSERT INTO `lang_definitions` VALUES (28073, 2043, 8, 'Activer la journalisation des activités diverses.');
INSERT INTO `lang_definitions` VALUES (28074, 2044, 8, 'Activer la journalisation des activités de commande.');
INSERT INTO `lang_definitions` VALUES (28075, 2045, 8, 'Activer la journalisation des modifications du dossier patient.');
INSERT INTO `lang_definitions` VALUES (28076, 2046, 8, 'Activer la journalisation des activités de planification.');
INSERT INTO `lang_definitions` VALUES (28077, 2047, 8, 'Activer la journalisation des activités de sécurité et d\'administration.');
INSERT INTO `lang_definitions` VALUES (28078, 2049, 8, 'Activer le service NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (28079, 2051, 8, 'Activer l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (28080, 2052, 8, 'Activer l\'accès à distance au portail patient.');
INSERT INTO `lang_definitions` VALUES (28081, 2053, 8, 'Activer l\'accès local au portail patient');
INSERT INTO `lang_definitions` VALUES (28082, 2055, 8, 'Activer l\'accès local au portail patient.');
INSERT INTO `lang_definitions` VALUES (28083, 2056, 8, 'Activer le widget de rappel patient');
INSERT INTO `lang_definitions` VALUES (28084, 2057, 8, 'Activer le service de messagerie direct phiMail');
INSERT INTO `lang_definitions` VALUES (28085, 2061, 8, 'Activer le support du scanner');
INSERT INTO `lang_definitions` VALUES (28086, 2064, 8, 'Activer l\'intégration des informations médical, LLC service d\'échange de laboratoire');
INSERT INTO `lang_definitions` VALUES (28087, 2065, 8, 'Activer le support LibreEHR du LLC service d\'échange de laboratoire');
INSERT INTO `lang_definitions` VALUES (28088, 2066, 8, 'Activer lauthentification utilisateur par certificat');
INSERT INTO `lang_definitions` VALUES (28089, 2067, 8, 'Activer ZMG, service LLC eRx');
INSERT INTO `lang_definitions` VALUES (28090, 2068, 8, 'Activé');
INSERT INTO `lang_definitions` VALUES (28091, 2070, 8, 'Activer l\'ancien panneau des Taxes pour entrer les codes de facturation et les payements. Non recommendé, utilisez Fee Sheet à la place.');
INSERT INTO `lang_definitions` VALUES (28092, 2071, 8, 'Rdv');
INSERT INTO `lang_definitions` VALUES (28093, 2072, 8, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (28094, 2073, 8, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (28095, 2074, 8, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (28096, 2075, 8, 'rencontre ');
INSERT INTO `lang_definitions` VALUES (28097, 2081, 8, 'Date Rencontre');
INSERT INTO `lang_definitions` VALUES (28098, 2084, 8, 'Enregistrement de rencontre EDI');
INSERT INTO `lang_definitions` VALUES (28099, 2086, 8, 'Formulaires de rencontre');
INSERT INTO `lang_definitions` VALUES (28100, 2087, 8, 'Consultation médicale');
INSERT INTO `lang_definitions` VALUES (28101, 2088, 8, 'Historique des rencontres');
INSERT INTO `lang_definitions` VALUES (28102, 2089, 8, 'N° Rencontre');
INSERT INTO `lang_definitions` VALUES (28103, 2091, 8, 'Numéro Rencontre');
INSERT INTO `lang_definitions` VALUES (28104, 2094, 8, 'Rencontre du service d\'infirmerie');
INSERT INTO `lang_definitions` VALUES (28105, 2097, 8, 'Rencontre avec un patient externe');
INSERT INTO `lang_definitions` VALUES (28106, 2099, 8, 'Taille de la page des rencontres');
INSERT INTO `lang_definitions` VALUES (28107, 2100, 8, 'Rencontre de payement');
INSERT INTO `lang_definitions` VALUES (28108, 2101, 8, 'Rencontre pour la grossesse');
INSERT INTO `lang_definitions` VALUES (28109, 2102, 8, 'rencontre de médecine préventive - aide psychologique individuelle');
INSERT INTO `lang_definitions` VALUES (28110, 2103, 8, 'rencontre de médecine préventive pour les 40 ans et plus');
INSERT INTO `lang_definitions` VALUES (28111, 2104, 8, 'rencontre de médecine préventive groupe d\'aide psychologique');
INSERT INTO `lang_definitions` VALUES (28112, 2105, 8, 'rencontre de médecine préventive autres services');
INSERT INTO `lang_definitions` VALUES (28113, 2106, 8, 'rencontre de médecine préventive pour les 18 ans et plus');
INSERT INTO `lang_definitions` VALUES (28114, 2107, 8, 'rencontre psychatrique et psychologique');
INSERT INTO `lang_definitions` VALUES (28115, 2108, 8, 'Statistique de la rencontre');
INSERT INTO `lang_definitions` VALUES (28116, 2109, 8, 'Résumé de la rencontre');
INSERT INTO `lang_definitions` VALUES (28117, 2110, 8, 'La rencontre était codé');
INSERT INTO `lang_definitions` VALUES (28118, 2111, 8, 'Rencontre:');
INSERT INTO `lang_definitions` VALUES (28119, 2113, 8, 'Rencontres');
INSERT INTO `lang_definitions` VALUES (28120, 2114, 8, 'Rencontres et Formulaires');
INSERT INTO `lang_definitions` VALUES (28121, 2115, 8, 'Rencontres et Formulaires');
INSERT INTO `lang_definitions` VALUES (28122, 2116, 8, 'Rencontres non authorizées');
INSERT INTO `lang_definitions` VALUES (28123, 2117, 8, 'Rapport des rencontres');
INSERT INTO `lang_definitions` VALUES (28124, 2118, 8, 'Partie rencontres');
INSERT INTO `lang_definitions` VALUES (28125, 2120, 8, 'Encryption');
INSERT INTO `lang_definitions` VALUES (28126, 2121, 8, 'Fin');
INSERT INTO `lang_definitions` VALUES (28127, 2122, 8, 'Fin (aaaa-mm-jj): ');
INSERT INTO `lang_definitions` VALUES (28128, 2123, 8, 'Date Fin');
INSERT INTO `lang_definitions` VALUES (28129, 2124, 8, 'Date fin');
INSERT INTO `lang_definitions` VALUES (28130, 2126, 8, 'Date fin doit être supérieur à date début');
INSERT INTO `lang_definitions` VALUES (28131, 2127, 8, 'Date Fin:');
INSERT INTO `lang_definitions` VALUES (28132, 2131, 8, 'Heure Fin');
INSERT INTO `lang_definitions` VALUES (28133, 2133, 8, 'Date de fin de service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (28134, 2135, 8, 'Heure fin de journée pour les événements du calendrier.');
INSERT INTO `lang_definitions` VALUES (28135, 2136, 8, 'Sang endocrinien anormal');
INSERT INTO `lang_definitions` VALUES (28136, 2137, 8, 'Endocrine');
INSERT INTO `lang_definitions` VALUES (28137, 2138, 8, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (28138, 2141, 8, 'Anglais');
INSERT INTO `lang_definitions` VALUES (28139, 2142, 8, 'Anglais ');
INSERT INTO `lang_definitions` VALUES (28140, 2143, 8, 'Anglais (Indien)');
INSERT INTO `lang_definitions` VALUES (28141, 2144, 8, 'Anglais (Standard)');
INSERT INTO `lang_definitions` VALUES (28142, 2145, 8, 'Commande Enscript utilisé par Hylafax.');
INSERT INTO `lang_definitions` VALUES (28143, 2146, 8, 'Vérifier que LibreEHR a les privilèges d\'écriture dans le répertoire');
INSERT INTO `lang_definitions` VALUES (28144, 2149, 8, 'Entrer un code diagnostic pour exclure toute les factures exemptent de ce code');
INSERT INTO `lang_definitions` VALUES (28145, 2152, 8, 'Entrer le mot de passe root de la base de donnée');
INSERT INTO `lang_definitions` VALUES (28146, 2153, 8, 'Entrer le nom d\'utilisateur root de la base de donnée');
INSERT INTO `lang_definitions` VALUES (28147, 2154, 8, 'Entrer le diagnostic');
INSERT INTO `lang_definitions` VALUES (28148, 2155, 8, 'Entrer la liste des médicaments');
INSERT INTO `lang_definitions` VALUES (28149, 2156, 8, 'Entrer une rencontre');
INSERT INTO `lang_definitions` VALUES (28150, 2157, 8, 'Entrer un numéro de rencontre');
INSERT INTO `lang_definitions` VALUES (28151, 2158, 8, 'Entrer les vaccinations');
INSERT INTO `lang_definitions` VALUES (28152, 2159, 8, 'Entrer la clef');
INSERT INTO `lang_definitions` VALUES (28153, 2161, 8, 'Entrer un nouvel État');
INSERT INTO `lang_definitions` VALUES (28154, 2162, 8, 'Entrer les adresses direct des destinataires');
INSERT INTO `lang_definitions` VALUES (28155, 2164, 8, 'Entrer le code de Re-Identification');
INSERT INTO `lang_definitions` VALUES (28156, 2165, 8, 'Entrer vos critères de recherches ci-dessus');
INSERT INTO `lang_definitions` VALUES (28157, 2166, 8, 'Entré dans Erreur');
INSERT INTO `lang_definitions` VALUES (28158, 2167, 8, 'entrées');
INSERT INTO `lang_definitions` VALUES (28159, 2168, 8, 'Environnementale');
INSERT INTO `lang_definitions` VALUES (28160, 2176, 8, 'Épilepsie');
INSERT INTO `lang_definitions` VALUES (28161, 2179, 8, 'Fichiers ERA');
INSERT INTO `lang_definitions` VALUES (28162, 2181, 8, 'Effacer');
INSERT INTO `lang_definitions` VALUES (28163, 2182, 8, 'Érections');
INSERT INTO `lang_definitions` VALUES (28164, 2183, 8, 'Erreur');
INSERT INTO `lang_definitions` VALUES (28165, 2185, 8, 'L\'accusé réception des résulats de laboratoire a généré une erreur');
INSERT INTO `lang_definitions` VALUES (28166, 2187, 8, 'Une erreur est survenue dans l\'obtention des resultats de labo via Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (28167, 2188, 8, 'Erreur dans le champ \"Sexe\"');
INSERT INTO `lang_definitions` VALUES (28168, 2189, 8, 'Erreur dans la selection \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (28169, 2190, 8, 'Erreur dans la selection \"Processus\"');
INSERT INTO `lang_definitions` VALUES (28170, 2191, 8, 'Erreur dans la selection de la \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (28171, 2192, 8, 'Erreur dans la selection de \"Tri\"');
INSERT INTO `lang_definitions` VALUES (28172, 2193, 8, 'Erreur lors de la compression gzip du fichier: ');
INSERT INTO `lang_definitions` VALUES (28173, 2194, 8, 'Erreur dans les options OUI ou NON');
INSERT INTO `lang_definitions` VALUES (28174, 2195, 8, 'Erreur lors de l\'ouverture du fichier téléchargé');
INSERT INTO `lang_definitions` VALUES (28175, 2196, 8, 'Erreur du traitement du fichier');
INSERT INTO `lang_definitions` VALUES (28176, 2197, 8, 'Erreur lors du téléversement en cours');
INSERT INTO `lang_definitions` VALUES (28177, 2198, 8, 'Erreur lors de la suppression du message');
INSERT INTO `lang_definitions` VALUES (28178, 2199, 8, 'Erreur lors de la récupérations des résultats via Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (28179, 2200, 8, 'Erreur lors de la récupération des valeurs.');
INSERT INTO `lang_definitions` VALUES (28180, 2202, 8, 'Erreur lors de l\'élevage de privilège sur les fichier pour l\'utilisateur LibreEHR');
INSERT INTO `lang_definitions` VALUES (28181, 2205, 8, 'erreur lors de l\'enregistrement du formulaire!');
INSERT INTO `lang_definitions` VALUES (28182, 2206, 8, 'Erreur lors de l\'enregistrement du fichier');
INSERT INTO `lang_definitions` VALUES (28183, 2208, 8, 'Erreur lors de l\'écriture dans le ficher');
INSERT INTO `lang_definitions` VALUES (28184, 2209, 8, 'erreur(s) rencontrée(s) dans les nouveaux résultats');
INSERT INTO `lang_definitions` VALUES (28185, 2210, 8, 'Erreur, ce fichier n\'existe pas');
INSERT INTO `lang_definitions` VALUES (28186, 2211, 8, 'ERREUR, impossible de collecter des données depuis le serveur');
INSERT INTO `lang_definitions` VALUES (28187, 2212, 8, 'Erreur, impossible de créer le certificat client.');
INSERT INTO `lang_definitions` VALUES (28188, 2213, 8, 'Erreur, impossible de créer le certificat admin.p12.');
INSERT INTO `lang_definitions` VALUES (28189, 2214, 8, 'Erreur, impossible de créer le certificat de l\'autorité de certification.');
INSERT INTO `lang_definitions` VALUES (28190, 2215, 8, 'Erreur, impossible de créer le certificat serveur.');
INSERT INTO `lang_definitions` VALUES (28191, 2216, 8, 'Erreur, impossible d\'ouvrir le fichier');
INSERT INTO `lang_definitions` VALUES (28192, 2217, 8, 'Erreur, l\'authorité de certification est pas activée dand LibreEHR');
INSERT INTO `lang_definitions` VALUES (28193, 2218, 8, 'Erreur, vous devez intaller le module php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (28194, 2219, 8, 'ERREUR: ne peut pas ouvrir table.sql, le formulaire est-il cassé?');
INSERT INTO `lang_definitions` VALUES (28195, 2220, 8, 'Erreur: identifiant dupliqué à la ligne');
INSERT INTO `lang_definitions` VALUES (28196, 2221, 8, 'Erreur: nom dupliqué à la ligne');
INSERT INTO `lang_definitions` VALUES (28197, 2222, 8, 'ERREUR: Champ');
INSERT INTO `lang_definitions` VALUES (28198, 2223, 8, 'ERREUR: L\'archive zip du module PHP est absente');
INSERT INTO `lang_definitions` VALUES (28199, 2224, 8, 'ERREUR: pas de répertoire pour l\'importation d\'ICD');
INSERT INTO `lang_definitions` VALUES (28200, 2225, 8, 'Erreur: les mots de passe sont différent. S\'il vous plait verifiez votre orthographe.');
INSERT INTO `lang_definitions` VALUES (28201, 2226, 8, 'Erreur: les mots de passe sont différent. S\'il vous plait verifiez votre orthographe.');
INSERT INTO `lang_definitions` VALUES (28202, 2227, 8, 'Erreur: le fichier n\'existe pas');
INSERT INTO `lang_definitions` VALUES (28203, 2228, 8, 'ERREUR: La variable suivante contient des caractères non autorisés');
INSERT INTO `lang_definitions` VALUES (28204, 2229, 8, 'ERREUR: Impossible de copier le fichier.');
INSERT INTO `lang_definitions` VALUES (28205, 2230, 8, 'Erreur: Impossible de créer une archive téléchargeable');
INSERT INTO `lang_definitions` VALUES (28206, 2231, 8, 'ERREUR: Impossible de créer une archive Zip');
INSERT INTO `lang_definitions` VALUES (28207, 2232, 8, 'ERREUR: Impossible d\'extraire le fichier.');
INSERT INTO `lang_definitions` VALUES (28208, 2233, 8, 'ERREUR: Impossible de charger le fichier dans la base de donnée');
INSERT INTO `lang_definitions` VALUES (28209, 2234, 8, 'ERREUR: Impossible d\'affecter le numéro de version');
INSERT INTO `lang_definitions` VALUES (28210, 2235, 8, 'Erreurs');
INSERT INTO `lang_definitions` VALUES (28211, 2236, 8, 'Status du compte eRx');
INSERT INTO `lang_definitions` VALUES (28212, 2237, 8, 'Logs d\'ERX');
INSERT INTO `lang_definitions` VALUES (28213, 2238, 8, 'Nom d\'ERX');
INSERT INTO `lang_definitions` VALUES (28214, 2239, 8, 'Mot de passe d\'ERX');
INSERT INTO `lang_definitions` VALUES (28215, 2240, 8, 'Rôle d\'ERX');
INSERT INTO `lang_definitions` VALUES (28216, 2241, 8, 'Utilisateur d\'ERX');
INSERT INTO `lang_definitions` VALUES (28217, 2242, 8, 'Erythème:');
INSERT INTO `lang_definitions` VALUES (28218, 2245, 8, 'Esquimaux');
INSERT INTO `lang_definitions` VALUES (28219, 2247, 8, 'Patient établi');
INSERT INTO `lang_definitions` VALUES (28220, 2248, 8, 'Estonien');
INSERT INTO `lang_definitions` VALUES (28221, 2249, 8, 'Éthnicité');
INSERT INTO `lang_definitions` VALUES (28222, 2250, 8, 'Éthnicité ou Race');
INSERT INTO `lang_definitions` VALUES (28223, 2251, 8, 'Liste des éthnicié ou race (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (28224, 2252, 8, 'ETIN');
INSERT INTO `lang_definitions` VALUES (28225, 2253, 8, 'Évènement');
INSERT INTO `lang_definitions` VALUES (28226, 2254, 8, 'Évènement commence');
INSERT INTO `lang_definitions` VALUES (28227, 2255, 8, 'Catégorie de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28228, 2256, 8, 'Date de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28229, 2257, 8, 'Description de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28230, 2258, 8, 'Détails de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28231, 2259, 8, 'Évènement ne se répètant pas');
INSERT INTO `lang_definitions` VALUES (28232, 2260, 8, 'Durée de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28233, 2261, 8, 'Durée de l\'Évènement en min.');
INSERT INTO `lang_definitions` VALUES (28234, 2262, 8, 'Coût de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28235, 2263, 8, 'Lieu de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28236, 2264, 8, 'Évènement se répètant tous les');
INSERT INTO `lang_definitions` VALUES (28237, 2265, 8, 'Évènement se répètant chaque');
INSERT INTO `lang_definitions` VALUES (28238, 2266, 8, 'Heure de début de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28239, 2267, 8, 'Nom de l\'évènement');
INSERT INTO `lang_definitions` VALUES (28240, 2268, 8, 'Nom de l\'Évènement');
INSERT INTO `lang_definitions` VALUES (28241, 2269, 8, 'Site web de l\'évènement');
INSERT INTO `lang_definitions` VALUES (28242, 2270, 8, 'Évènements');
INSERT INTO `lang_definitions` VALUES (28243, 2271, 8, 'Évènements pour');
INSERT INTO `lang_definitions` VALUES (28244, 2272, 8, 'Évènements s\'ouvrent dans nouvelle fenêtre');
INSERT INTO `lang_definitions` VALUES (28245, 2273, 8, 'chaque/toutes');
INSERT INTO `lang_definitions` VALUES (28246, 2274, 8, 'Chaque/Toutes');
INSERT INTO `lang_definitions` VALUES (28247, 2275, 8, 'toutes les 3 heures');
INSERT INTO `lang_definitions` VALUES (28248, 2276, 8, 'toutes les 4 heures');
INSERT INTO `lang_definitions` VALUES (28249, 2277, 8, 'toutes les 5 heures');
INSERT INTO `lang_definitions` VALUES (28250, 2278, 8, 'toutes les 6 heures');
INSERT INTO `lang_definitions` VALUES (28251, 2279, 8, 'toutes les 8 heures');
INSERT INTO `lang_definitions` VALUES (28252, 2280, 8, 'Toutes les quatrième');
INSERT INTO `lang_definitions` VALUES (28253, 2281, 8, 'Toutes Autres');
INSERT INTO `lang_definitions` VALUES (28254, 2282, 8, 'Tous les troisièmes');
INSERT INTO `lang_definitions` VALUES (28255, 2283, 8, 'Tous, tout les autes, tout les 3èmes, etc.');
INSERT INTO `lang_definitions` VALUES (28256, 2285, 8, 'Examen et résultats de test');
INSERT INTO `lang_definitions` VALUES (28257, 2286, 8, 'Résultats d\'examen');
INSERT INTO `lang_definitions` VALUES (28258, 2289, 8, 'Examination');
INSERT INTO `lang_definitions` VALUES (28259, 2290, 8, 'Date de l\'examination');
INSERT INTO `lang_definitions` VALUES (28260, 2291, 8, 'Exemple');
INSERT INTO `lang_definitions` VALUES (28261, 2292, 8, 'Exemples');
INSERT INTO `lang_definitions` VALUES (28262, 2293, 8, 'Exams/Tests');
INSERT INTO `lang_definitions` VALUES (28263, 2294, 8, 'Sauf');
INSERT INTO `lang_definitions` VALUES (28264, 2295, 8, 'Production de larme excessive');
INSERT INTO `lang_definitions` VALUES (28265, 2296, 8, 'Patients Exclus');
INSERT INTO `lang_definitions` VALUES (28266, 2297, 8, 'Exclusion');
INSERT INTO `lang_definitions` VALUES (28267, 2300, 8, 'Exercice');
INSERT INTO `lang_definitions` VALUES (28268, 2301, 8, 'Types d\'Exercices');
INSERT INTO `lang_definitions` VALUES (28269, 2302, 8, 'Types d\'exercices');
INSERT INTO `lang_definitions` VALUES (28270, 2303, 8, 'Existe');
INSERT INTO `lang_definitions` VALUES (28271, 2304, 8, 'Quite l\'administration');
INSERT INTO `lang_definitions` VALUES (28272, 2305, 8, 'Agr');
INSERT INTO `lang_definitions` VALUES (28273, 2306, 8, 'Agrandir');
INSERT INTO `lang_definitions` VALUES (28274, 2307, 8, 'agrandir');
INSERT INTO `lang_definitions` VALUES (28275, 2308, 8, 'Tout Agrandir');
INSERT INTO `lang_definitions` VALUES (28276, 2311, 8, 'Agrandir Vue');
INSERT INTO `lang_definitions` VALUES (28277, 2312, 8, 'form_encounter.pid attendu ');
INSERT INTO `lang_definitions` VALUES (28278, 2313, 8, 'Expiration');
INSERT INTO `lang_definitions` VALUES (28279, 2314, 8, 'Date d\'expiration');
INSERT INTO `lang_definitions` VALUES (28280, 2315, 8, 'Expire');
INSERT INTO `lang_definitions` VALUES (28281, 2316, 8, 'expire dans');
INSERT INTO `lang_definitions` VALUES (28282, 2317, 8, 'Exporter');
INSERT INTO `lang_definitions` VALUES (28283, 2318, 8, 'Exporter en CSV');
INSERT INTO `lang_definitions` VALUES (28284, 2319, 8, 'Exporter Configuration');
INSERT INTO `lang_definitions` VALUES (28285, 2322, 8, 'Exporter les données démographique du patient');
INSERT INTO `lang_definitions` VALUES (28286, 2323, 8, 'Export de Raport PQRI');
INSERT INTO `lang_definitions` VALUES (28287, 2325, 8, 'Exporter Sélection en CSV');
INSERT INTO `lang_definitions` VALUES (28288, 2326, 8, 'Exporter la sélection en collections');
INSERT INTO `lang_definitions` VALUES (28289, 2327, 8, 'Exporter en CSV');
INSERT INTO `lang_definitions` VALUES (28290, 2328, 8, 'Exporter vers le sytème de faturation externe');
INSERT INTO `lang_definitions` VALUES (28291, 2329, 8, 'Exposition à des pays étrangé');
INSERT INTO `lang_definitions` VALUES (28292, 2330, 8, 'Exposition à des pays étrangé');
INSERT INTO `lang_definitions` VALUES (28293, 2331, 8, 'Temps Ext Collecté');
INSERT INTO `lang_definitions` VALUES (28294, 2332, 8, 'Externe');
INSERT INTO `lang_definitions` VALUES (28295, 2334, 8, 'Données externes chargées');
INSERT INTO `lang_definitions` VALUES (28296, 2335, 8, 'Outils d\'importation d\'une base de donnée externe');
INSERT INTO `lang_definitions` VALUES (28297, 2336, 8, 'ID externe');
INSERT INTO `lang_definitions` VALUES (28298, 2337, 8, 'Id externe');
INSERT INTO `lang_definitions` VALUES (28299, 2338, 8, 'Identifiant externe');
INSERT INTO `lang_definitions` VALUES (28300, 2339, 8, 'Externe uniquement');
INSERT INTO `lang_definitions` VALUES (28301, 2342, 8, 'Spécialiste externe');
INSERT INTO `lang_definitions` VALUES (28302, 2343, 8, 'Suivis du spécialiste externe');
INSERT INTO `lang_definitions` VALUES (28303, 2344, 8, 'Spécialiste externe ?');
INSERT INTO `lang_definitions` VALUES (28304, 2345, 8, 'Specialistes Externes');
INSERT INTO `lang_definitions` VALUES (28305, 2346, 8, 'Extraire le fichier ZIP');
INSERT INTO `lang_definitions` VALUES (28306, 2347, 8, 'Extraction du fichier. ceci peut durer un peu...');
INSERT INTO `lang_definitions` VALUES (28307, 2349, 8, 'Iritation Oculaire');
INSERT INTO `lang_definitions` VALUES (28308, 2350, 8, 'Douleur Oculaire');
INSERT INTO `lang_definitions` VALUES (28309, 2351, 8, 'Oeil Rouge');
INSERT INTO `lang_definitions` VALUES (28310, 2352, 8, 'Yeux');
INSERT INTO `lang_definitions` VALUES (28311, 2353, 8, 'F');
INSERT INTO `lang_definitions` VALUES (28312, 2354, 8, 'F/H Problèmes Sanguins');
INSERT INTO `lang_definitions` VALUES (28313, 2356, 8, 'Etablissements');
INSERT INTO `lang_definitions` VALUES (28314, 2357, 8, 'Etablissement');
INSERT INTO `lang_definitions` VALUES (28315, 2358, 8, 'etablissement');
INSERT INTO `lang_definitions` VALUES (28316, 2359, 8, 'Etablissement Médical Adminstration');
INSERT INTO `lang_definitions` VALUES (28317, 2360, 8, 'Etablissement Médical Ville');
INSERT INTO `lang_definitions` VALUES (28318, 2361, 8, 'Etablissement Médical Code Postal');
INSERT INTO `lang_definitions` VALUES (28319, 2362, 8, 'Etablissement Medical Code Pays');
INSERT INTO `lang_definitions` VALUES (28320, 2363, 8, 'Etablissement Medical Fax');
INSERT INTO `lang_definitions` VALUES (28321, 2364, 8, 'Etablissement Medical Nom');
INSERT INTO `lang_definitions` VALUES (28322, 2365, 8, 'Etablissement Medical NPI');
INSERT INTO `lang_definitions` VALUES (28323, 2366, 8, 'Etablissement Medical Télèphone');
INSERT INTO `lang_definitions` VALUES (28324, 2368, 8, 'État des locaux');
INSERT INTO `lang_definitions` VALUES (28325, 2369, 8, 'Rue des locaux');
INSERT INTO `lang_definitions` VALUES (28326, 2370, 8, 'Code postal des locaux');
INSERT INTO `lang_definitions` VALUES (28327, 2372, 8, 'Locaux:');
INSERT INTO `lang_definitions` VALUES (28328, 2373, 8, 'ECHEC');
INSERT INTO `lang_definitions` VALUES (28329, 2374, 8, 'échoué');
INSERT INTO `lang_definitions` VALUES (28330, 2375, 8, 'Echoué');
INSERT INTO `lang_definitions` VALUES (28331, 2380, 8, 'Echec de création du dossier temporaire. CouchDB ne vas pas fonctionner');
INSERT INTO `lang_definitions` VALUES (28332, 2382, 8, 'Échoué.');
INSERT INTO `lang_definitions` VALUES (28333, 2383, 8, 'échec');
INSERT INTO `lang_definitions` VALUES (28334, 2390, 8, 'Antécédents Familiaux');
INSERT INTO `lang_definitions` VALUES (28335, 2391, 8, 'Antécédents Familiaux de Glaucome');
INSERT INTO `lang_definitions` VALUES (28336, 2392, 8, 'Antécédents Familiaux:');
INSERT INTO `lang_definitions` VALUES (28337, 2394, 8, 'Payement familliaux');
INSERT INTO `lang_definitions` VALUES (28338, 2395, 8, 'Taille de la Famille');
INSERT INTO `lang_definitions` VALUES (28339, 2396, 8, 'Envie');
INSERT INTO `lang_definitions` VALUES (28340, 2400, 8, 'Père');
INSERT INTO `lang_definitions` VALUES (28341, 2402, 8, 'Fatigue');
INSERT INTO `lang_definitions` VALUES (28342, 2403, 8, 'asthénié');
INSERT INTO `lang_definitions` VALUES (28343, 2404, 8, 'Fax/Télécopie');
INSERT INTO `lang_definitions` VALUES (28344, 2405, 8, 'Nombre Fax');
INSERT INTO `lang_definitions` VALUES (28345, 2406, 8, 'Numéro FAX');
INSERT INTO `lang_definitions` VALUES (28346, 2408, 8, 'Fax/Document numérisé');
INSERT INTO `lang_definitions` VALUES (28347, 2409, 8, 'Fax reçus');
INSERT INTO `lang_definitions` VALUES (28348, 2410, 8, 'Fax envoyés');
INSERT INTO `lang_definitions` VALUES (28349, 2411, 8, 'Fonctionnalités');
INSERT INTO `lang_definitions` VALUES (28350, 2412, 8, 'févr.');
INSERT INTO `lang_definitions` VALUES (28351, 2413, 8, 'Février');
INSERT INTO `lang_definitions` VALUES (28352, 2418, 8, 'Frais');
INSERT INTO `lang_definitions` VALUES (28353, 2419, 8, 'frais');
INSERT INTO `lang_definitions` VALUES (28354, 2420, 8, 'Frais non autorisés');
INSERT INTO `lang_definitions` VALUES (28355, 2421, 8, 'Note de Frais');
INSERT INTO `lang_definitions` VALUES (28356, 2422, 8, 'Options Note de Frais');
INSERT INTO `lang_definitions` VALUES (28357, 2423, 8, 'Frais');
INSERT INTO `lang_definitions` VALUES (28358, 2424, 8, 'Féminin');
INSERT INTO `lang_definitions` VALUES (28359, 2426, 8, 'Préservatifs Féminins');
INSERT INTO `lang_definitions` VALUES (28360, 2427, 8, 'Point G');
INSERT INTO `lang_definitions` VALUES (28361, 2428, 8, 'Dernière conception');
INSERT INTO `lang_definitions` VALUES (28362, 2429, 8, 'Pelvis féminin');
INSERT INTO `lang_definitions` VALUES (28363, 2430, 8, 'Symptômes Féminin');
INSERT INTO `lang_definitions` VALUES (28364, 2434, 8, 'Fièvre');
INSERT INTO `lang_definitions` VALUES (28365, 2435, 8, 'Fièvre:');
INSERT INTO `lang_definitions` VALUES (28366, 2436, 8, 'Problèmes sanguins FH');
INSERT INTO `lang_definitions` VALUES (28367, 2437, 8, 'Fibromes');
INSERT INTO `lang_definitions` VALUES (28368, 2441, 8, 'Type de champs à utiliser dans démographiques pour un employeur ou un nouveau pays.');
INSERT INTO `lang_definitions` VALUES (28369, 2442, 8, 'Type de champs à utiliser dans démographiques pour un employeur ou un nouvel État.');
INSERT INTO `lang_definitions` VALUES (28370, 2443, 8, 'Le(s) champs manquent!');
INSERT INTO `lang_definitions` VALUES (28371, 2447, 8, 'Fichier');
INSERT INTO `lang_definitions` VALUES (28372, 2448, 8, 'Fichier dans le répertoire de documentation pour apprendre comment créer le processus de création des sauvegardes de log');
INSERT INTO `lang_definitions` VALUES (28373, 2449, 8, 'Location du fichier');
INSERT INTO `lang_definitions` VALUES (28374, 2450, 8, 'Gestion de Fichiers');
INSERT INTO `lang_definitions` VALUES (28375, 2453, 8, 'Privilège sur les fichiers accordé à l\'utilisateur LibreEHR');
INSERT INTO `lang_definitions` VALUES (28376, 2454, 8, 'Echec de la récupération du fichier via CouchDB');
INSERT INTO `lang_definitions` VALUES (28377, 2455, 8, 'Chambre du fichier');
INSERT INTO `lang_definitions` VALUES (28378, 2456, 8, 'Fichier à télécharger');
INSERT INTO `lang_definitions` VALUES (28379, 2457, 8, 'Fichier à Télécharger');
INSERT INTO `lang_definitions` VALUES (28380, 2458, 8, 'Fichier avec même nom existe déjà à:');
INSERT INTO `lang_definitions` VALUES (28381, 2459, 8, 'Nom Fichier');
INSERT INTO `lang_definitions` VALUES (28382, 2461, 8, 'Fichiers');
INSERT INTO `lang_definitions` VALUES (28383, 2462, 8, 'Philippin');
INSERT INTO `lang_definitions` VALUES (28384, 2463, 8, 'Remplissez une des ligne en dessous.');
INSERT INTO `lang_definitions` VALUES (28385, 2464, 8, 'Remplissez ici que si la notification est envoyé par email aux patients');
INSERT INTO `lang_definitions` VALUES (28386, 2465, 8, 'Complétez les valeurs ci-dessous');
INSERT INTO `lang_definitions` VALUES (28387, 2467, 8, 'Remplissez la ligne.');
INSERT INTO `lang_definitions` VALUES (28388, 2468, 8, 'Filtre');
INSERT INTO `lang_definitions` VALUES (28389, 2469, 8, 'Filtre pour les constantes');
INSERT INTO `lang_definitions` VALUES (28390, 2470, 8, 'Filtre pour les définitions');
INSERT INTO `lang_definitions` VALUES (28391, 2471, 8, 'filtré depuis');
INSERT INTO `lang_definitions` VALUES (28392, 2472, 8, 'filtres');
INSERT INTO `lang_definitions` VALUES (28393, 2473, 8, 'Filtres');
INSERT INTO `lang_definitions` VALUES (28394, 2474, 8, 'Final');
INSERT INTO `lang_definitions` VALUES (28395, 2475, 8, 'Diagnostic final');
INSERT INTO `lang_definitions` VALUES (28396, 2476, 8, 'Le diagnostic final par un spécialiste');
INSERT INTO `lang_definitions` VALUES (28397, 2478, 8, 'Financier');
INSERT INTO `lang_definitions` VALUES (28398, 2479, 8, 'Date de clôture financière (aaaa-mm-jj)');
INSERT INTO `lang_definitions` VALUES (28399, 2480, 8, 'Report Financier - tout');
INSERT INTO `lang_definitions` VALUES (28400, 2481, 8, 'Report Financier - mes visites');
INSERT INTO `lang_definitions` VALUES (28401, 2482, 8, 'Date de révision financière');
INSERT INTO `lang_definitions` VALUES (28402, 2483, 8, 'Résumé financier via un code service');
INSERT INTO `lang_definitions` VALUES (28403, 2484, 8, 'Trouver');
INSERT INTO `lang_definitions` VALUES (28404, 2485, 8, 'Trouver Disponible');
INSERT INTO `lang_definitions` VALUES (28405, 2486, 8, 'Trouver rendez-vous disponible');
INSERT INTO `lang_definitions` VALUES (28406, 2487, 8, 'Trouver un patient');
INSERT INTO `lang_definitions` VALUES (28407, 2488, 8, 'Trouver éducation des patients');
INSERT INTO `lang_definitions` VALUES (28408, 2489, 8, 'Résultats');
INSERT INTO `lang_definitions` VALUES (28409, 2490, 8, 'Les résultats par un spécialiste');
INSERT INTO `lang_definitions` VALUES (28410, 2491, 8, 'Bien');
INSERT INTO `lang_definitions` VALUES (28411, 2492, 8, 'Finition des Paiements');
INSERT INTO `lang_definitions` VALUES (28412, 2493, 8, 'finis');
INSERT INTO `lang_definitions` VALUES (28413, 2495, 8, 'Premier');
INSERT INTO `lang_definitions` VALUES (28414, 2497, 8, 'Premier jour de la semaine');
INSERT INTO `lang_definitions` VALUES (28415, 2498, 8, 'Prénom');
INSERT INTO `lang_definitions` VALUES (28416, 2499, 8, 'Prénom');
INSERT INTO `lang_definitions` VALUES (28417, 2500, 8, 'Prénom:');
INSERT INTO `lang_definitions` VALUES (28418, 2503, 8, 'Fitness');
INSERT INTO `lang_definitions` VALUES (28419, 2504, 8, 'Niveau de Fitness');
INSERT INTO `lang_definitions` VALUES (28420, 2505, 8, 'La condition physique pour ce joueur cette journée');
INSERT INTO `lang_definitions` VALUES (28421, 2507, 8, 'Fitness à jouer');
INSERT INTO `lang_definitions` VALUES (28422, 2508, 8, 'Fix rencontre dates - toutes les rencontres');
INSERT INTO `lang_definitions` VALUES (28423, 2509, 8, 'corriger ce');
INSERT INTO `lang_definitions` VALUES (28424, 2510, 8, 'FL');
INSERT INTO `lang_definitions` VALUES (28425, 2511, 8, 'flatulence');
INSERT INTO `lang_definitions` VALUES (28426, 2512, 8, 'Débit');
INSERT INTO `lang_definitions` VALUES (28427, 2514, 8, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (28428, 2515, 8, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (28429, 2516, 8, 'Vaccination contre la grippe');
INSERT INTO `lang_definitions` VALUES (28430, 2517, 8, 'Fluide et problème d\'électrolytes');
INSERT INTO `lang_definitions` VALUES (28431, 2518, 8, 'FMS');
INSERT INTO `lang_definitions` VALUES (28432, 2520, 8, 'Suivez manuellement');
INSERT INTO `lang_definitions` VALUES (28433, 2521, 8, 'Suivez ses instruction pour installer ou mètre à jour la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (28434, 2522, 8, 'Suivi');
INSERT INTO `lang_definitions` VALUES (28435, 2524, 8, 'Raison de Suivi');
INSERT INTO `lang_definitions` VALUES (28436, 2525, 8, 'Voici une nouvelle constante personnalisée:');
INSERT INTO `lang_definitions` VALUES (28437, 2526, 8, 'Voici un nouveau langage personnalisé:');
INSERT INTO `lang_definitions` VALUES (28438, 2527, 8, 'Voici une nouvelle définition (Langue, Constant, Définition):');
INSERT INTO `lang_definitions` VALUES (28439, 2529, 8, 'Services de suivi');
INSERT INTO `lang_definitions` VALUES (28440, 2530, 8, 'Suivis indiqués');
INSERT INTO `lang_definitions` VALUES (28441, 2531, 8, 'Intolérance alimentaire');
INSERT INTO `lang_definitions` VALUES (28442, 2532, 8, 'Pied');
INSERT INTO `lang_definitions` VALUES (28443, 2533, 8, 'Problèmes de pied');
INSERT INTO `lang_definitions` VALUES (28444, 2534, 8, 'Pied:');
INSERT INTO `lang_definitions` VALUES (28445, 2535, 8, 'Blessures de football');
INSERT INTO `lang_definitions` VALUES (28446, 2536, 8, 'Blessure de football');
INSERT INTO `lang_definitions` VALUES (28447, 2537, 8, 'Rapport de blessure de football');
INSERT INTO `lang_definitions` VALUES (28448, 2538, 8, 'Type de chaussures');
INSERT INTO `lang_definitions` VALUES (28449, 2539, 8, 'pour');
INSERT INTO `lang_definitions` VALUES (28450, 2540, 8, 'Pour');
INSERT INTO `lang_definitions` VALUES (28451, 2541, 8, 'Pour le code');
INSERT INTO `lang_definitions` VALUES (28452, 2543, 8, 'Pour les réclamations Rencontre');
INSERT INTO `lang_definitions` VALUES (28453, 2544, 8, 'Par exemple:');
INSERT INTO `lang_definitions` VALUES (28454, 2547, 8, 'pour la facturation');
INSERT INTO `lang_definitions` VALUES (28455, 2553, 8, 'Pour le passé');
INSERT INTO `lang_definitions` VALUES (28456, 2554, 8, 'pour la variable');
INSERT INTO `lang_definitions` VALUES (28457, 2555, 8, 'pour:');
INSERT INTO `lang_definitions` VALUES (28458, 2556, 8, 'Forcer l\'ouverture du gadget de facturation');
INSERT INTO `lang_definitions` VALUES (28459, 2557, 8, 'Forcer la création d\'un nouveau patient');
INSERT INTO `lang_definitions` VALUES (28460, 2558, 8, 'Forcer la vue');
INSERT INTO `lang_definitions` VALUES (28461, 2559, 8, 'Avant-bras');
INSERT INTO `lang_definitions` VALUES (28462, 2560, 8, 'Formulaire');
INSERT INTO `lang_definitions` VALUES (28463, 2561, 8, 'formulaire');
INSERT INTO `lang_definitions` VALUES (28464, 2564, 8, 'Format');
INSERT INTO `lang_definitions` VALUES (28465, 2565, 8, 'format');
INSERT INTO `lang_definitions` VALUES (28466, 2566, 8, 'Format pour laffichage de l\'age');
INSERT INTO `lang_definitions` VALUES (28467, 2567, 8, 'Format incorrect pour NDC');
INSERT INTO `lang_definitions` VALUES (28468, 2568, 8, 'Format utilisé pour afficher les dates.');
INSERT INTO `lang_definitions` VALUES (28469, 2569, 8, 'Format utilisé pour afficher le temps.');
INSERT INTO `lang_definitions` VALUES (28470, 2570, 8, 'Rapport formaté');
INSERT INTO `lang_definitions` VALUES (28471, 2571, 8, 'Ancien fumeur');
INSERT INTO `lang_definitions` VALUES (28472, 2572, 8, 'Formulaires');
INSERT INTO `lang_definitions` VALUES (28473, 2573, 8, 'Formulaires d\'administration');
INSERT INTO `lang_definitions` VALUES (28474, 2575, 8, 'Faire suivre');
INSERT INTO `lang_definitions` VALUES (28475, 2576, 8, 'Envoi Pages par fax');
INSERT INTO `lang_definitions` VALUES (28476, 2577, 8, 'Transmis');
INSERT INTO `lang_definitions` VALUES (28477, 2579, 8, 'Quatrième');
INSERT INTO `lang_definitions` VALUES (28478, 2581, 8, 'Fracture');
INSERT INTO `lang_definitions` VALUES (28479, 2582, 8, 'Fracture du naviculaire');
INSERT INTO `lang_definitions` VALUES (28480, 2583, 8, 'Fracture du malléole latéral');
INSERT INTO `lang_definitions` VALUES (28481, 2584, 8, 'Fracture du malléole médian');
INSERT INTO `lang_definitions` VALUES (28482, 2585, 8, 'Fracture, à la base du cinquième métatarsien');
INSERT INTO `lang_definitions` VALUES (28483, 2586, 8, 'Support de l\'ossature requis');
INSERT INTO `lang_definitions` VALUES (28484, 2587, 8, 'Français');
INSERT INTO `lang_definitions` VALUES (28485, 2588, 8, 'Français (Canadien)');
INSERT INTO `lang_definitions` VALUES (28486, 2589, 8, 'Français (Standard)');
INSERT INTO `lang_definitions` VALUES (28487, 2590, 8, 'Fréquence');
INSERT INTO `lang_definitions` VALUES (28488, 2591, 8, 'Rhumes fréquents');
INSERT INTO `lang_definitions` VALUES (28489, 2592, 8, 'Maladie fréquente');
INSERT INTO `lang_definitions` VALUES (28490, 2593, 8, 'Ven.');
INSERT INTO `lang_definitions` VALUES (28491, 2594, 8, 'Vendredi');
INSERT INTO `lang_definitions` VALUES (28492, 2595, 8, 'De');
INSERT INTO `lang_definitions` VALUES (28493, 2596, 8, 'DE');
INSERT INTO `lang_definitions` VALUES (28494, 2597, 8, 'de');
INSERT INTO `lang_definitions` VALUES (28495, 2598, 8, 'Date De ne peut être supérieur à Date A.');
INSERT INTO `lang_definitions` VALUES (28496, 2599, 8, 'De :');
INSERT INTO `lang_definitions` VALUES (28497, 2600, 8, 'De : ');
INSERT INTO `lang_definitions` VALUES (28498, 2613, 8, 'Bureau dacceuil');
INSERT INTO `lang_definitions` VALUES (28499, 2614, 8, 'Recettes du bureau d\'acceuil');
INSERT INTO `lang_definitions` VALUES (28500, 2615, 8, 'Rapport des recettes du bureau d\'acceuil');
INSERT INTO `lang_definitions` VALUES (28501, 2619, 8, 'Nom Complet');
INSERT INTO `lang_definitions` VALUES (28502, 2620, 8, 'Chemin complet du dossier contenant les executables MySQL.');
INSERT INTO `lang_definitions` VALUES (28503, 2621, 8, 'Chemin complet du dossier contenant les executables Perl');
INSERT INTO `lang_definitions` VALUES (28504, 2622, 8, 'Chemin complet du dossier pour les sauvegarde des logs des evenements');
INSERT INTO `lang_definitions` VALUES (28505, 2623, 8, 'Chemin complet du dossier utilisé pour les fichiers temporaires');
INSERT INTO `lang_definitions` VALUES (28506, 2625, 8, 'Entrainement complet');
INSERT INTO `lang_definitions` VALUES (28507, 2626, 8, 'Soldé');
INSERT INTO `lang_definitions` VALUES (28508, 2636, 8, 'Irritation de la vessie');
INSERT INTO `lang_definitions` VALUES (28509, 2637, 8, 'Lithiases biliaires');
INSERT INTO `lang_definitions` VALUES (28510, 2638, 8, 'Période du jeu');
INSERT INTO `lang_definitions` VALUES (28511, 2639, 8, 'Jeux');
INSERT INTO `lang_definitions` VALUES (28512, 2640, 8, 'Jeux manqués');
INSERT INTO `lang_definitions` VALUES (28513, 2641, 8, 'jeux / événements');
INSERT INTO `lang_definitions` VALUES (28514, 2642, 8, 'Jeux / Evénements manqués');
INSERT INTO `lang_definitions` VALUES (28515, 2644, 8, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (28516, 2645, 8, 'Douleur ventrale');
INSERT INTO `lang_definitions` VALUES (28517, 2646, 8, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (28518, 2650, 8, 'Genre');
INSERT INTO `lang_definitions` VALUES (28519, 2651, 8, 'Genre ');
INSERT INTO `lang_definitions` VALUES (28520, 2652, 8, 'Général');
INSERT INTO `lang_definitions` VALUES (28521, 2653, 8, 'Liste des problèmes généraux');
INSERT INTO `lang_definitions` VALUES (28522, 2655, 8, 'Catégories de services généraux');
INSERT INTO `lang_definitions` VALUES (28523, 2668, 8, 'Généré une facture');
INSERT INTO `lang_definitions` VALUES (28524, 2669, 8, 'Généré une lettre');
INSERT INTO `lang_definitions` VALUES (28525, 2670, 8, 'Généré une lettre a propos ');
INSERT INTO `lang_definitions` VALUES (28526, 2677, 8, 'Généré un rapport');
INSERT INTO `lang_definitions` VALUES (28527, 2678, 8, 'Généré un utilisateur et un mot de passe pour');
INSERT INTO `lang_definitions` VALUES (28528, 2679, 8, 'Généré X12');
INSERT INTO `lang_definitions` VALUES (28529, 2680, 8, 'Généré rencontre x12');
INSERT INTO `lang_definitions` VALUES (28530, 2682, 8, 'Généré le');
INSERT INTO `lang_definitions` VALUES (28531, 2683, 8, 'Génère');
INSERT INTO `lang_definitions` VALUES (28532, 2684, 8, 'Génito-urinaire');
INSERT INTO `lang_definitions` VALUES (28533, 2687, 8, 'Allemand');
INSERT INTO `lang_definitions` VALUES (28534, 2691, 8, 'Obtenir HL7');
INSERT INTO `lang_definitions` VALUES (28535, 2692, 8, 'Glaucome');
INSERT INTO `lang_definitions` VALUES (28536, 2693, 8, 'Antécédents Familiaux de Glaucome');
INSERT INTO `lang_definitions` VALUES (28537, 2694, 8, 'Globale');
INSERT INTO `lang_definitions` VALUES (28538, 2696, 8, 'ID Globale');
INSERT INTO `lang_definitions` VALUES (28539, 2697, 8, 'Paramètres Globales');
INSERT INTO `lang_definitions` VALUES (28540, 2698, 8, 'Globales');
INSERT INTO `lang_definitions` VALUES (28541, 2700, 8, 'aller');
INSERT INTO `lang_definitions` VALUES (28542, 2701, 8, 'Aller');
INSERT INTO `lang_definitions` VALUES (28543, 2704, 8, 'Aller à');
INSERT INTO `lang_definitions` VALUES (28544, 2705, 8, 'Aller à la semaine du');
INSERT INTO `lang_definitions` VALUES (28545, 2706, 8, 'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (28546, 2707, 8, 'Objectif A');
INSERT INTO `lang_definitions` VALUES (28547, 2708, 8, 'But et méthodes');
INSERT INTO `lang_definitions` VALUES (28548, 2709, 8, 'Objectif B');
INSERT INTO `lang_definitions` VALUES (28549, 2710, 8, 'Objectif C');
INSERT INTO `lang_definitions` VALUES (28550, 2711, 8, 'Degré de traumatismes');
INSERT INTO `lang_definitions` VALUES (28551, 2712, 8, 'Grade:');
INSERT INTO `lang_definitions` VALUES (28552, 2713, 8, 'grammes');
INSERT INTO `lang_definitions` VALUES (28553, 2714, 8, 'Total général');
INSERT INTO `lang_definitions` VALUES (28554, 2715, 8, 'Totaux généraux');
INSERT INTO `lang_definitions` VALUES (28555, 2720, 8, 'Supérieur à');
INSERT INTO `lang_definitions` VALUES (28556, 2721, 8, 'Supérieur ou égal à');
INSERT INTO `lang_definitions` VALUES (28557, 2722, 8, 'Grecque');
INSERT INTO `lang_definitions` VALUES (28558, 2724, 8, 'Groupe');
INSERT INTO `lang_definitions` VALUES (28559, 2725, 8, 'Nom du groupe');
INSERT INTO `lang_definitions` VALUES (28560, 2726, 8, 'Nom du groupe ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (28561, 2727, 8, 'Nom du groupe ne peut pas commencé par un nombre ou un espace');
INSERT INTO `lang_definitions` VALUES (28562, 2728, 8, 'Nom du groupe ne peut pas commencé par un nombre');
INSERT INTO `lang_definitions` VALUES (28563, 2729, 8, 'Nombre de groupe');
INSERT INTO `lang_definitions` VALUES (28564, 2730, 8, 'Condition du groupe');
INSERT INTO `lang_definitions` VALUES (28565, 2731, 8, 'Groupe:');
INSERT INTO `lang_definitions` VALUES (28566, 2732, 8, 'Nom du groupe');
INSERT INTO `lang_definitions` VALUES (28567, 2733, 8, 'Groupes et contrôles d\'acces');
INSERT INTO `lang_definitions` VALUES (28568, 2734, 8, 'Courbe de Croissance');
INSERT INTO `lang_definitions` VALUES (28569, 2735, 8, 'Courbe de Croissance');
INSERT INTO `lang_definitions` VALUES (28570, 2736, 8, 'gouttes');
INSERT INTO `lang_definitions` VALUES (28571, 2739, 8, 'Nom du résponsable');
INSERT INTO `lang_definitions` VALUES (28572, 2741, 8, 'Examen Gynécologique');
INSERT INTO `lang_definitions` VALUES (28573, 2745, 8, 'a été correctement supprimé. Les sous-catégories, si présentes, ont été déplacés en dessous');
INSERT INTO `lang_definitions` VALUES (28574, 2746, 8, 'Hématomes / Echymoses');
INSERT INTO `lang_definitions` VALUES (28575, 2750, 8, 'Main + Doigts');
INSERT INTO `lang_definitions` VALUES (28576, 2751, 8, 'Problèmes au niveau Main');
INSERT INTO `lang_definitions` VALUES (28577, 2752, 8, 'Disque dur');
INSERT INTO `lang_definitions` VALUES (28578, 2754, 8, 'À été relier à la visite');
INSERT INTO `lang_definitions` VALUES (28579, 2755, 8, 'a expiré');
INSERT INTO `lang_definitions` VALUES (28580, 2760, 8, 'Hawaien');
INSERT INTO `lang_definitions` VALUES (28581, 2761, 8, 'Activités Dangereuses');
INSERT INTO `lang_definitions` VALUES (28582, 2762, 8, 'Activités dangereuses');
INSERT INTO `lang_definitions` VALUES (28583, 2768, 8, 'Tête');
INSERT INTO `lang_definitions` VALUES (28584, 2769, 8, 'Per Crânien');
INSERT INTO `lang_definitions` VALUES (28585, 2770, 8, 'Périmètre Crânien');
INSERT INTO `lang_definitions` VALUES (28586, 2771, 8, 'Céphalée');
INSERT INTO `lang_definitions` VALUES (28587, 2772, 8, 'Céphalées');
INSERT INTO `lang_definitions` VALUES (28588, 2773, 8, 'Opérations de santé');
INSERT INTO `lang_definitions` VALUES (28589, 2774, 8, 'Opérations de Santé');
INSERT INTO `lang_definitions` VALUES (28590, 2775, 8, 'Hôpital / centre de soin');
INSERT INTO `lang_definitions` VALUES (28591, 2778, 8, 'Perte d\'Audition');
INSERT INTO `lang_definitions` VALUES (28592, 2779, 8, 'Infarctus');
INSERT INTO `lang_definitions` VALUES (28593, 2780, 8, 'Maladie Cardiaque');
INSERT INTO `lang_definitions` VALUES (28594, 2781, 8, 'Insuffisance Cardiaque');
INSERT INTO `lang_definitions` VALUES (28595, 2782, 8, 'Problème Cardiaque');
INSERT INTO `lang_definitions` VALUES (28596, 2783, 8, 'Problèmes Cardiaques');
INSERT INTO `lang_definitions` VALUES (28597, 2784, 8, 'Chirurgie Cardiaque');
INSERT INTO `lang_definitions` VALUES (28598, 2785, 8, 'Transplantation Cardiaque');
INSERT INTO `lang_definitions` VALUES (28599, 2786, 8, 'COEUR:');
INSERT INTO `lang_definitions` VALUES (28600, 2787, 8, 'Pyrosis');
INSERT INTO `lang_definitions` VALUES (28601, 2788, 8, 'Chaud ou Froid');
INSERT INTO `lang_definitions` VALUES (28602, 2789, 8, 'CHAUD Ou FROID');
INSERT INTO `lang_definitions` VALUES (28603, 2790, 8, 'Grand fumeur de tabac');
INSERT INTO `lang_definitions` VALUES (28604, 2791, 8, 'Israëlien');
INSERT INTO `lang_definitions` VALUES (28605, 2794, 8, 'Hauteur');
INSERT INTO `lang_definitions` VALUES (28606, 2796, 8, 'Aide');
INSERT INTO `lang_definitions` VALUES (28607, 2797, 8, 'aide');
INSERT INTO `lang_definitions` VALUES (28608, 2798, 8, 'Hématémèse');
INSERT INTO `lang_definitions` VALUES (28609, 2799, 8, 'Rectorragie');
INSERT INTO `lang_definitions` VALUES (28610, 2800, 8, 'Hématologie');
INSERT INTO `lang_definitions` VALUES (28611, 2801, 8, 'Hématurie');
INSERT INTO `lang_definitions` VALUES (28612, 2802, 8, 'Hémoglobine');
INSERT INTO `lang_definitions` VALUES (28613, 2803, 8, 'Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (28614, 2804, 8, 'Hémoptysie');
INSERT INTO `lang_definitions` VALUES (28615, 2805, 8, 'Hépatite');
INSERT INTO `lang_definitions` VALUES (28616, 2806, 8, 'Hépatite A 1');
INSERT INTO `lang_definitions` VALUES (28617, 2807, 8, 'Hépatite A 2');
INSERT INTO `lang_definitions` VALUES (28618, 2808, 8, 'Hépatite B 1');
INSERT INTO `lang_definitions` VALUES (28619, 2809, 8, 'Hépatite B 2');
INSERT INTO `lang_definitions` VALUES (28620, 2810, 8, 'Hépatite B 3');
INSERT INTO `lang_definitions` VALUES (28621, 2811, 8, 'ici');
INSERT INTO `lang_definitions` VALUES (28622, 2813, 8, 'Cure d\'Hernie');
INSERT INTO `lang_definitions` VALUES (28623, 2814, 8, 'Hernie discale');
INSERT INTO `lang_definitions` VALUES (28624, 2815, 8, 'Herpès');
INSERT INTO `lang_definitions` VALUES (28625, 2816, 8, 'Hésitation');
INSERT INTO `lang_definitions` VALUES (28626, 2817, 8, 'heyyo. vous avez été ici pour ');
INSERT INTO `lang_definitions` VALUES (28627, 2819, 8, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (28628, 2820, 8, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (28629, 2821, 8, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (28630, 2822, 8, 'Caché');
INSERT INTO `lang_definitions` VALUES (28631, 2823, 8, 'Evénements d\'Administration masqués');
INSERT INTO `lang_definitions` VALUES (28632, 2824, 8, 'Cacher');
INSERT INTO `lang_definitions` VALUES (28633, 2825, 8, 'Masquer les détails');
INSERT INTO `lang_definitions` VALUES (28634, 2827, 8, 'Masquer l\'option cryptage/décryptage dans la gestion documentaire');
INSERT INTO `lang_definitions` VALUES (28635, 2828, 8, 'Masquer les menus');
INSERT INTO `lang_definitions` VALUES (28636, 2830, 8, 'Cacher les rappels');
INSERT INTO `lang_definitions` VALUES (28637, 2831, 8, 'Afficher / Masquer les colonnes');
INSERT INTO `lang_definitions` VALUES (28638, 2833, 8, 'Elevé');
INSERT INTO `lang_definitions` VALUES (28639, 2834, 8, 'Hypertension artérielle');
INSERT INTO `lang_definitions` VALUES (28640, 2835, 8, 'Hindi');
INSERT INTO `lang_definitions` VALUES (28641, 2836, 8, 'La hanche + l\'aine');
INSERT INTO `lang_definitions` VALUES (28642, 2837, 8, 'La hanche et l\'aine');
INSERT INTO `lang_definitions` VALUES (28643, 2838, 8, 'Les problèmes de hanche');
INSERT INTO `lang_definitions` VALUES (28644, 2839, 8, 'Prothèse de la hanche');
INSERT INTO `lang_definitions` VALUES (28645, 2842, 8, 'Hirsutisme');
INSERT INTO `lang_definitions` VALUES (28646, 2843, 8, 'Hispanique');
INSERT INTO `lang_definitions` VALUES (28647, 2844, 8, 'Hispanique - Autres (Né aux Etats-Unis)');
INSERT INTO `lang_definitions` VALUES (28648, 2845, 8, 'Hispanique - Autres (Né à l\'extérieur des États-Unis)');
INSERT INTO `lang_definitions` VALUES (28649, 2846, 8, 'Hispanique ou Latino');
INSERT INTO `lang_definitions` VALUES (28650, 2847, 8, 'Histoire');
INSERT INTO `lang_definitions` VALUES (28651, 2848, 8, 'Historique des données');
INSERT INTO `lang_definitions` VALUES (28652, 2849, 8, 'Date de l\'histoire');
INSERT INTO `lang_definitions` VALUES (28653, 2851, 8, 'Historique du Souffle');
INSERT INTO `lang_definitions` VALUES (28654, 2852, 8, 'Historique non autorisé');
INSERT INTO `lang_definitions` VALUES (28655, 2853, 8, 'Historique du souffle cardiaque');
INSERT INTO `lang_definitions` VALUES (28656, 2854, 8, 'visites (Clics)');
INSERT INTO `lang_definitions` VALUES (28657, 2855, 8, 'VIH');
INSERT INTO `lang_definitions` VALUES (28658, 2858, 8, 'Visionneuse HL7');
INSERT INTO `lang_definitions` VALUES (28659, 2862, 8, 'Maintenir [Ctrl] appuyé pour une sélection multiple ou pour déselectionner');
INSERT INTO `lang_definitions` VALUES (28660, 2863, 8, 'Maintenir Ctrl appuyé pour sélectionner plusieurs items');
INSERT INTO `lang_definitions` VALUES (28661, 2864, 8, 'Maintenir Ctrl appuyé pour sélectionner plusieurs groupes');
INSERT INTO `lang_definitions` VALUES (28662, 2865, 8, 'Accueil');
INSERT INTO `lang_definitions` VALUES (28663, 2866, 8, 'Téléphone à domicile');
INSERT INTO `lang_definitions` VALUES (28664, 2867, 8, 'Numéro de téléphone a domicile');
INSERT INTO `lang_definitions` VALUES (28665, 2868, 8, 'Sans-abri ou similaires?');
INSERT INTO `lang_definitions` VALUES (28666, 2869, 8, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (28667, 2870, 8, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (28668, 2872, 8, 'Nom de l\'hôte');
INSERT INTO `lang_definitions` VALUES (28669, 2873, 8, 'Nom de l\'hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (28670, 2875, 8, 'Heure');
INSERT INTO `lang_definitions` VALUES (28671, 2876, 8, 'Heures');
INSERT INTO `lang_definitions` VALUES (28672, 2878, 8, 'Comment vous êtes blessé?');
INSERT INTO `lang_definitions` VALUES (28673, 2879, 8, 'Comment vous êtes blessé?:');
INSERT INTO `lang_definitions` VALUES (28674, 2880, 8, 'Comment nous avez connus');
INSERT INTO `lang_definitions` VALUES (28675, 2881, 8, 'Combiens de mois se sont écouler depuis la requète jusqu\'au evenements à venir ?');
INSERT INTO `lang_definitions` VALUES (28676, 2884, 8, 'HTML');
INSERT INTO `lang_definitions` VALUES (28677, 2885, 8, 'sortie HTML ?');
INSERT INTO `lang_definitions` VALUES (28678, 2886, 8, 'Liens https pour le support LLC le service d\'échange de laboratoire via OpenEMP');
INSERT INTO `lang_definitions` VALUES (28679, 2887, 8, 'Hongrois');
INSERT INTO `lang_definitions` VALUES (28680, 2888, 8, 'Répertoire pour Hylafax');
INSERT INTO `lang_definitions` VALUES (28681, 2889, 8, 'Commande de chiffrement pour Hylafax');
INSERT INTO `lang_definitions` VALUES (28682, 2890, 8, 'Serveur Hylafax');
INSERT INTO `lang_definitions` VALUES (28683, 2891, 8, 'Nom du serveur Hylafax');
INSERT INTO `lang_definitions` VALUES (28684, 2892, 8, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (28685, 2893, 8, 'Hypertension');
INSERT INTO `lang_definitions` VALUES (28686, 2894, 8, 'Hypertension: mesure de pression artérielle.');
INSERT INTO `lang_definitions` VALUES (28687, 2895, 8, 'Hypertension: mesure de pression artérielle (CQM).');
INSERT INTO `lang_definitions` VALUES (28688, 2896, 8, 'Hyperthyroïdie');
INSERT INTO `lang_definitions` VALUES (28689, 2897, 8, 'Hypothyroïdie');
INSERT INTO `lang_definitions` VALUES (28690, 2898, 8, 'Hystérectomie');
INSERT INTO `lang_definitions` VALUES (28691, 2899, 8, 'je');
INSERT INTO `lang_definitions` VALUES (28692, 2900, 8, 'Je suis occupé pendant ce temps.');
INSERT INTO `lang_definitions` VALUES (28693, 2901, 8, 'Je n\'ai pas l\'autorisation de lecture ');
INSERT INTO `lang_definitions` VALUES (28694, 2902, 8, 'ICD');
INSERT INTO `lang_definitions` VALUES (28695, 2903, 8, 'Diagnostic ICD10');
INSERT INTO `lang_definitions` VALUES (28696, 2904, 8, 'Service/Procédure ICD10');
INSERT INTO `lang_definitions` VALUES (28697, 2905, 8, 'ICD9');
INSERT INTO `lang_definitions` VALUES (28698, 2906, 8, 'Diagnostic ICD9');
INSERT INTO `lang_definitions` VALUES (28699, 2907, 8, 'Service/Procédure ICD9');
INSERT INTO `lang_definitions` VALUES (28700, 2909, 8, 'ID');
INSERT INTO `lang_definitions` VALUES (28701, 2910, 8, 'Identifiant');
INSERT INTO `lang_definitions` VALUES (28702, 2911, 8, 'L\'ID ne peux pas être vide');
INSERT INTO `lang_definitions` VALUES (28703, 2912, 8, 'Carte d\'identité');
INSERT INTO `lang_definitions` VALUES (28704, 2914, 8, 'identifié comme');
INSERT INTO `lang_definitions` VALUES (28705, 2915, 8, 'Identifiant(un seul mot)');
INSERT INTO `lang_definitions` VALUES (28706, 2916, 8, 'Code d\'identification');
INSERT INTO `lang_definitions` VALUES (28707, 2917, 8, 'Temps avant la fermeture d\'une session en seconde');
INSERT INTO `lang_definitions` VALUES (28708, 2919, 8, 'Si toutes les données pour toute les colones de ce formulaire sont completées');
INSERT INTO `lang_definitions` VALUES (28709, 2920, 8, 'Si une justification de facturation est utilisé entré le nom du type de code de diagnostic');
INSERT INTO `lang_definitions` VALUES (28710, 2921, 8, 'Si entré, sélectionner uniquement ceux qui ont eu accès à ce service');
INSERT INTO `lang_definitions` VALUES (28711, 2922, 8, 'Si nom, partie du nom de famille ou nom de famile, prénom');
INSERT INTO `lang_definitions` VALUES (28712, 2923, 8, 'Si payé par');
INSERT INTO `lang_definitions` VALUES (28713, 2924, 8, 'Si la personne est décédé, alors entrer la date de décé.');
INSERT INTO `lang_definitions` VALUES (28714, 2925, 8, 'Si SMTP est utilisé, le nom du serveur ou l\'adresse IP.');
INSERT INTO `lang_definitions` VALUES (28715, 2926, 8, 'Si SMTP est utilisé, le numéro de port du TCP du serveur (normalement 25).');
INSERT INTO `lang_definitions` VALUES (28716, 2927, 8, 'si chômeur entrer étudiant');
INSERT INTO `lang_definitions` VALUES (28717, 2928, 8, 'Si AMJ est sélectionner pour l\'affichage de l\'age, changer pour uniquement l\'Année quand les patients sont plus vieux que cette valeur en année');
INSERT INTO `lang_definitions` VALUES (28718, 2933, 8, 'Si vous désirez changer les types des données, ajouter des lignes ou colonnes');
INSERT INTO `lang_definitions` VALUES (28719, 2936, 8, 'Ignorer');
INSERT INTO `lang_definitions` VALUES (28720, 2937, 8, 'Maladie');
INSERT INTO `lang_definitions` VALUES (28721, 2941, 8, 'Service d\'imagerie');
INSERT INTO `lang_definitions` VALUES (28722, 2942, 8, 'Vaccination');
INSERT INTO `lang_definitions` VALUES (28723, 2943, 8, 'Code du Vaccin');
INSERT INTO `lang_definitions` VALUES (28724, 2945, 8, 'Date de la Vaccination');
INSERT INTO `lang_definitions` VALUES (28725, 2946, 8, 'Date d\'expiration de la vaccination');
INSERT INTO `lang_definitions` VALUES (28726, 2947, 8, 'Numéro de lot du Vaccin');
INSERT INTO `lang_definitions` VALUES (28727, 2948, 8, 'Fabriquant du Vaccin');
INSERT INTO `lang_definitions` VALUES (28728, 2949, 8, 'Registre de vaccination');
INSERT INTO `lang_definitions` VALUES (28729, 2951, 8, 'Service de vaccination');
INSERT INTO `lang_definitions` VALUES (28730, 2952, 8, 'Nom de la Vaccination');
INSERT INTO `lang_definitions` VALUES (28731, 2953, 8, 'Vaccinations');
INSERT INTO `lang_definitions` VALUES (28732, 2954, 8, 'Vaccine');
INSERT INTO `lang_definitions` VALUES (28733, 2955, 8, 'Immunologique');
INSERT INTO `lang_definitions` VALUES (28734, 2956, 8, 'Implants');
INSERT INTO `lang_definitions` VALUES (28735, 2957, 8, 'Importer');
INSERT INTO `lang_definitions` VALUES (28736, 2961, 8, 'Importé le certificant dans le navigateur.');
INSERT INTO `lang_definitions` VALUES (28737, 2962, 8, 'Importer Configuration');
INSERT INTO `lang_definitions` VALUES (28738, 2964, 8, 'Importer Patient');
INSERT INTO `lang_definitions` VALUES (28739, 2965, 8, 'Importer les Données démographiques du Patient');
INSERT INTO `lang_definitions` VALUES (28740, 2966, 8, 'Codes importants');
INSERT INTO `lang_definitions` VALUES (28741, 2969, 8, 'Importer de la Comptabilité');
INSERT INTO `lang_definitions` VALUES (28742, 2972, 8, 'Amélioré');
INSERT INTO `lang_definitions` VALUES (28743, 2973, 8, 'dans');
INSERT INTO `lang_definitions` VALUES (28744, 2974, 8, 'DANS');
INSERT INTO `lang_definitions` VALUES (28745, 2975, 8, 'dans chaque oeil');
INSERT INTO `lang_definitions` VALUES (28746, 2976, 8, 'dans l\'oeil gauche');
INSERT INTO `lang_definitions` VALUES (28747, 2977, 8, 'dans les narines');
INSERT INTO `lang_definitions` VALUES (28748, 2978, 8, 'Dans le bureau');
INSERT INTO `lang_definitions` VALUES (28749, 2979, 8, 'dans l\'oeil droit');
INSERT INTO `lang_definitions` VALUES (28750, 2980, 8, 'dans la maison');
INSERT INTO `lang_definitions` VALUES (28751, 2981, 8, 'Inactif');
INSERT INTO `lang_definitions` VALUES (28752, 2982, 8, 'Jours inactif');
INSERT INTO `lang_definitions` VALUES (28753, 2983, 8, 'Dans la boite');
INSERT INTO `lang_definitions` VALUES (28754, 2986, 8, 'Inclure la somme de contrôle');
INSERT INTO `lang_definitions` VALUES (28755, 2987, 8, 'Inclusion complété');
INSERT INTO `lang_definitions` VALUES (28756, 2988, 8, 'Inclure les utilisateurs inactif');
INSERT INTO `lang_definitions` VALUES (28757, 2989, 8, 'Inclure les non catégorisé');
INSERT INTO `lang_definitions` VALUES (28758, 2990, 8, 'Inclure les données non structuré');
INSERT INTO `lang_definitions` VALUES (28759, 2991, 8, 'Inclure les données vitales');
INSERT INTO `lang_definitions` VALUES (28760, 2992, 8, 'Inclure les données vitales ?');
INSERT INTO `lang_definitions` VALUES (28761, 2993, 8, 'inclusion');
INSERT INTO `lang_definitions` VALUES (28762, 2994, 8, 'Revenus');
INSERT INTO `lang_definitions` VALUES (28763, 2996, 8, 'Incomplété');
INSERT INTO `lang_definitions` VALUES (28764, 2997, 8, 'Traitement d\'avortement incompété');
INSERT INTO `lang_definitions` VALUES (28765, 2998, 8, 'Incontinence');
INSERT INTO `lang_definitions` VALUES (28766, 3000, 8, 'Mot de passe incorrect!');
INSERT INTO `lang_definitions` VALUES (28767, 3001, 8, 'augmenté:');
INSERT INTO `lang_definitions` VALUES (28768, 3002, 8, 'Indemnité de l\'assurance');
INSERT INTO `lang_definitions` VALUES (28769, 3003, 8, 'Indeterminé');
INSERT INTO `lang_definitions` VALUES (28770, 3004, 8, 'Indien');
INSERT INTO `lang_definitions` VALUES (28771, 3005, 8, 'Indiquez les anomaiies');
INSERT INTO `lang_definitions` VALUES (28772, 3006, 8, 'Indiquez si ce problème est actuelement actif');
INSERT INTO `lang_definitions` VALUES (28773, 3008, 8, 'Indicateur pour une utilisation spécialisée');
INSERT INTO `lang_definitions` VALUES (28774, 3009, 8, 'Patients très pauvres');
INSERT INTO `lang_definitions` VALUES (28775, 3010, 8, 'Rapport sur les patients très pauvres');
INSERT INTO `lang_definitions` VALUES (28776, 3011, 8, 'Très pauvres');
INSERT INTO `lang_definitions` VALUES (28777, 3014, 8, 'Avortement causé par');
INSERT INTO `lang_definitions` VALUES (28778, 3016, 8, 'Non éligible');
INSERT INTO `lang_definitions` VALUES (28779, 3017, 8, 'Infection / Abcès');
INSERT INTO `lang_definitions` VALUES (28780, 3018, 8, 'Infections');
INSERT INTO `lang_definitions` VALUES (28781, 3020, 8, 'Infertilité');
INSERT INTO `lang_definitions` VALUES (28782, 3021, 8, 'Vaccin anti-grippale 1');
INSERT INTO `lang_definitions` VALUES (28783, 3022, 8, 'Vaccin anti-grippale 2');
INSERT INTO `lang_definitions` VALUES (28784, 3023, 8, 'Vaccin anti-grippale pour Patients >=50 ans');
INSERT INTO `lang_definitions` VALUES (28785, 3024, 8, 'Vaccin anti-grippale pour Patients >=50 ans (LCQ)');
INSERT INTO `lang_definitions` VALUES (28786, 3025, 8, 'Vaccin anti-Grippal');
INSERT INTO `lang_definitions` VALUES (28787, 3034, 8, 'inhalations');
INSERT INTO `lang_definitions` VALUES (28788, 3037, 8, 'Utilisateur initial');
INSERT INTO `lang_definitions` VALUES (28789, 3039, 8, 'Injectables');
INSERT INTO `lang_definitions` VALUES (28790, 3040, 8, 'Injection');
INSERT INTO `lang_definitions` VALUES (28791, 3041, 8, 'Partie du corps blessée');
INSERT INTO `lang_definitions` VALUES (28792, 3043, 8, 'Blessure');
INSERT INTO `lang_definitions` VALUES (28793, 3044, 8, 'Méchanisme de blessure');
INSERT INTO `lang_definitions` VALUES (28794, 3045, 8, 'Rapport de la blessure vue d\'ensemble');
INSERT INTO `lang_definitions` VALUES (28795, 3046, 8, 'Surveillance de la blessure');
INSERT INTO `lang_definitions` VALUES (28796, 3047, 8, 'Type de blessure');
INSERT INTO `lang_definitions` VALUES (28797, 3048, 8, 'Lié a la blessure/maladie');
INSERT INTO `lang_definitions` VALUES (28798, 3051, 8, 'Champs à insérer');
INSERT INTO `lang_definitions` VALUES (28799, 3053, 8, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (28800, 3054, 8, 'Ins 2 ou Ins 3');
INSERT INTO `lang_definitions` VALUES (28801, 3055, 8, 'Adresse de l\'ins');
INSERT INTO `lang_definitions` VALUES (28802, 3058, 8, 'Code de l\'ins');
INSERT INTO `lang_definitions` VALUES (28803, 3059, 8, 'Groupe e l\'ins');
INSERT INTO `lang_definitions` VALUES (28804, 3060, 8, 'Nom de l\'ins');
INSERT INTO `lang_definitions` VALUES (28805, 3061, 8, 'Sur-payement de l\'ins');
INSERT INTO `lang_definitions` VALUES (28806, 3062, 8, 'Politique de l\'ins');
INSERT INTO `lang_definitions` VALUES (28807, 3063, 8, 'Rembourcement de l\'ins');
INSERT INTO `lang_definitions` VALUES (28808, 3064, 8, 'Résumé de l\'ins');
INSERT INTO `lang_definitions` VALUES (28809, 3065, 8, 'Ins1');
INSERT INTO `lang_definitions` VALUES (28810, 3066, 8, 'Ins2');
INSERT INTO `lang_definitions` VALUES (28811, 3067, 8, 'Ins3');
INSERT INTO `lang_definitions` VALUES (28812, 3069, 8, 'Insertion échoué: ');
INSERT INTO `lang_definitions` VALUES (28813, 3070, 8, 'Insertion d\'anciens evenements dans les tables');
INSERT INTO `lang_definitions` VALUES (28814, 3072, 8, 'Insomnie');
INSERT INTO `lang_definitions` VALUES (28815, 3073, 8, 'Inspecter les logs');
INSERT INTO `lang_definitions` VALUES (28816, 3074, 8, 'Inspection');
INSERT INTO `lang_definitions` VALUES (28817, 3075, 8, 'Instabilité / sous-luxation');
INSERT INTO `lang_definitions` VALUES (28818, 3076, 8, 'INSTALLER');
INSERT INTO `lang_definitions` VALUES (28819, 3077, 8, 'Installer');
INSERT INTO `lang_definitions` VALUES (28820, 3079, 8, 'installer DB');
INSERT INTO `lang_definitions` VALUES (28821, 3080, 8, 'Version installée');
INSERT INTO `lang_definitions` VALUES (28822, 3081, 8, 'Instruit');
INSERT INTO `lang_definitions` VALUES (28823, 3082, 8, 'Instruction');
INSERT INTO `lang_definitions` VALUES (28824, 3084, 8, 'Instructions:');
INSERT INTO `lang_definitions` VALUES (28825, 3085, 8, 'Stock insufisant pour le produit d\'identifiant');
INSERT INTO `lang_definitions` VALUES (28826, 3086, 8, 'Diabètes necessitant de l\'insuline');
INSERT INTO `lang_definitions` VALUES (28827, 3087, 8, 'Assurance');
INSERT INTO `lang_definitions` VALUES (28828, 3088, 8, 'assurance');
INSERT INTO `lang_definitions` VALUES (28829, 3091, 8, 'Balance de l\'assurance');
INSERT INTO `lang_definitions` VALUES (28830, 3092, 8, 'Balance de l\'assurance dû');
INSERT INTO `lang_definitions` VALUES (28831, 3093, 8, 'Comp d\'assurance');
INSERT INTO `lang_definitions` VALUES (28832, 3094, 8, 'Companies d\'assurance');
INSERT INTO `lang_definitions` VALUES (28833, 3095, 8, 'Companie d\'assurance');
INSERT INTO `lang_definitions` VALUES (28834, 3096, 8, 'Rechercher/Ajouter une companie d\'assurance');
INSERT INTO `lang_definitions` VALUES (28835, 3098, 8, 'Données de l\'assurance');
INSERT INTO `lang_definitions` VALUES (28836, 3099, 8, 'Information sur l\'assurance dans le fichier');
INSERT INTO `lang_definitions` VALUES (28837, 3100, 8, 'Numéros d\'assurance');
INSERT INTO `lang_definitions` VALUES (28838, 3101, 8, 'Payement de l\'assurance');
INSERT INTO `lang_definitions` VALUES (28839, 3103, 8, 'Fournisseur de l\'assurance');
INSERT INTO `lang_definitions` VALUES (28840, 3106, 8, 'Assuré');
INSERT INTO `lang_definitions` VALUES (28841, 3109, 8, 'Déclin intellectuel');
INSERT INTO `lang_definitions` VALUES (28842, 3113, 8, 'Erreur interne - aucune pages ont été sélectionner!');
INSERT INTO `lang_definitions` VALUES (28843, 3114, 8, 'Erreur interne - l\'ID du patient n\'a pas été fournis!');
INSERT INTO `lang_definitions` VALUES (28844, 3115, 8, 'Erreur interne durant l\'accès au fichier téléversé!');
INSERT INTO `lang_definitions` VALUES (28845, 3116, 8, 'Erreur interne!');
INSERT INTO `lang_definitions` VALUES (28846, 3117, 8, 'Erreur interne, aucun identifant de médicament spécifié');
INSERT INTO `lang_definitions` VALUES (28847, 3119, 8, 'Erreur interne: réclamation ');
INSERT INTO `lang_definitions` VALUES (28848, 3120, 8, 'Erreur interne: rencontre');
INSERT INTO `lang_definitions` VALUES (28849, 3121, 8, 'Erreur interne: le pid ou la rencontre manque.');
INSERT INTO `lang_definitions` VALUES (28850, 3122, 8, 'Erreur interne: nous n\'avons pas l\'air d\'être dans une rencontre');
INSERT INTO `lang_definitions` VALUES (28851, 3123, 8, 'Identifiant interne (pid)');
INSERT INTO `lang_definitions` VALUES (28852, 3126, 8, 'Envois interne');
INSERT INTO `lang_definitions` VALUES (28853, 3127, 8, 'Temps interne colllecté');
INSERT INTO `lang_definitions` VALUES (28854, 3128, 8, 'Devoir international');
INSERT INTO `lang_definitions` VALUES (28855, 3129, 8, 'interprète');
INSERT INTO `lang_definitions` VALUES (28856, 3130, 8, 'Besoin d\'un interprète ?');
INSERT INTO `lang_definitions` VALUES (28857, 3131, 8, 'Maladie des interstices du poumon');
INSERT INTO `lang_definitions` VALUES (28858, 3132, 8, 'Intervale');
INSERT INTO `lang_definitions` VALUES (28859, 3133, 8, 'Intervale (minutes)');
INSERT INTO `lang_definitions` VALUES (28860, 3134, 8, 'Intervale entre les verification des messages (mettre à 0 pour faire uniquement des verifications manuel)');
INSERT INTO `lang_definitions` VALUES (28861, 3135, 8, 'Opération');
INSERT INTO `lang_definitions` VALUES (28862, 3136, 8, 'Opération fournis');
INSERT INTO `lang_definitions` VALUES (28863, 3137, 8, 'Intolérance');
INSERT INTO `lang_definitions` VALUES (28864, 3139, 8, 'Intramusculaire');
INSERT INTO `lang_definitions` VALUES (28865, 3140, 8, 'Intraveineuse');
INSERT INTO `lang_definitions` VALUES (28866, 3141, 8, 'Introduction');
INSERT INTO `lang_definitions` VALUES (28867, 3144, 8, 'Caractère invalide dans');
INSERT INTO `lang_definitions` VALUES (28868, 3147, 8, 'Taille invalide pour');
INSERT INTO `lang_definitions` VALUES (28869, 3148, 8, 'Caractère non numérique invalide dans');
INSERT INTO `lang_definitions` VALUES (28870, 3150, 8, 'Adresse du destinataire invaide. S\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (28871, 3151, 8, 'Codes service invalident');
INSERT INTO `lang_definitions` VALUES (28872, 3152, 8, 'Source désignée invalide \"');
INSERT INTO `lang_definitions` VALUES (28873, 3153, 8, 'Nom d\'utilisateur ou mot de passe invalide');
INSERT INTO `lang_definitions` VALUES (28874, 3155, 8, 'Inventaire');
INSERT INTO `lang_definitions` VALUES (28875, 3156, 8, 'Activité de l\'inventaire');
INSERT INTO `lang_definitions` VALUES (28876, 3157, 8, 'Inventaire et vente de médicaments et d\'autres produits');
INSERT INTO `lang_definitions` VALUES (28877, 3158, 8, 'Inventaire et ventes de médicament seulement');
INSERT INTO `lang_definitions` VALUES (28878, 3159, 8, 'L\'inventaire n\'est pas disponible pour cette commande.');
INSERT INTO `lang_definitions` VALUES (28879, 3160, 8, 'Liste d\'inventaire');
INSERT INTO `lang_definitions` VALUES (28880, 3161, 8, 'Transactions d\'inventaire');
INSERT INTO `lang_definitions` VALUES (28881, 3162, 8, 'Facture');
INSERT INTO `lang_definitions` VALUES (28882, 3163, 8, 'facture');
INSERT INTO `lang_definitions` VALUES (28883, 3164, 8, 'Balance de facturation');
INSERT INTO `lang_definitions` VALUES (28884, 3165, 8, 'La balance de facturation ne peut pas être posté. Aucune rencontre est créée');
INSERT INTO `lang_definitions` VALUES (28885, 3166, 8, 'Date de facturation');
INSERT INTO `lang_definitions` VALUES (28886, 3167, 8, 'La facturaton n\'a pas de date!');
INSERT INTO `lang_definitions` VALUES (28887, 3168, 8, 'Nombre de la facturation');
INSERT INTO `lang_definitions` VALUES (28888, 3169, 8, 'Nombre de référence de la facturation');
INSERT INTO `lang_definitions` VALUES (28889, 3173, 8, 'Facturation:');
INSERT INTO `lang_definitions` VALUES (28890, 3185, 8, 'Battement de corps irrégulier');
INSERT INTO `lang_definitions` VALUES (28891, 3186, 8, 'Irritabilité');
INSERT INTO `lang_definitions` VALUES (28892, 3187, 8, 'Irritation');
INSERT INTO `lang_definitions` VALUES (28893, 3188, 8, 'est une version différente du langage de la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (28894, 3189, 8, 'est une version différente de la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (28895, 3190, 8, 'est une version plus récente de la base de donnée suivant');
INSERT INTO `lang_definitions` VALUES (28896, 3191, 8, 'est un champ requis.');
INSERT INTO `lang_definitions` VALUES (28897, 3193, 8, 'est une extension de la base de donnée suivante');
INSERT INTO `lang_definitions` VALUES (28898, 3195, 8, 'est malplacé ou inconnu');
INSERT INTO `lang_definitions` VALUES (28899, 3197, 8, 'est non valide (les fractions décimale sont OK).');
INSERT INTO `lang_definitions` VALUES (28900, 3198, 8, 'Est PHP utilisant le mode de sureté?');
INSERT INTO `lang_definitions` VALUES (28901, 3202, 8, 'Le fichier est il chiffré ?');
INSERT INTO `lang_definitions` VALUES (28902, 3203, 8, 'Est un type de code pour un terme clinique?');
INSERT INTO `lang_definitions` VALUES (28903, 3204, 8, 'Est un type de diagnistic?');
INSERT INTO `lang_definitions` VALUES (28904, 3205, 8, 'Est un type de code pour un problème médicale?');
INSERT INTO `lang_definitions` VALUES (28905, 3207, 8, 'Est un type de procedure/service?');
INSERT INTO `lang_definitions` VALUES (28906, 3208, 8, 'Est actif?');
INSERT INTO `lang_definitions` VALUES (28907, 3209, 8, 'Ce type de code est-il actif?');
INSERT INTO `lang_definitions` VALUES (28908, 3210, 8, 'Ce type de code est-il utilisé dans les demandes?');
INSERT INTO `lang_definitions` VALUES (28909, 3212, 8, 'Ce type de code est-il actif?');
INSERT INTO `lang_definitions` VALUES (28910, 3213, 8, 'Est ce que ca utilise des tables sql externe? Si oui, alors choissiez le format.');
INSERT INTO `lang_definitions` VALUES (28911, 3214, 8, 'est trop long');
INSERT INTO `lang_definitions` VALUES (28912, 3216, 8, 'Problème');
INSERT INTO `lang_definitions` VALUES (28913, 3217, 8, 'problème');
INSERT INTO `lang_definitions` VALUES (28914, 3218, 8, 'Date du problème');
INSERT INTO `lang_definitions` VALUES (28915, 3219, 8, 'ID du problème');
INSERT INTO `lang_definitions` VALUES (28916, 3220, 8, 'Titre du problème');
INSERT INTO `lang_definitions` VALUES (28917, 3221, 8, 'Type du problème');
INSERT INTO `lang_definitions` VALUES (28918, 3222, 8, 'Type de problèmes');
INSERT INTO `lang_definitions` VALUES (28919, 3223, 8, 'Problèmes');
INSERT INTO `lang_definitions` VALUES (28920, 3224, 8, 'Problèmes (Blessures/Medicale/Alergies)');
INSERT INTO `lang_definitions` VALUES (28921, 3225, 8, 'Problèmes (Blessures/Medicale/Alergies):');
INSERT INTO `lang_definitions` VALUES (28922, 3226, 8, 'Problèmes et rencontres');
INSERT INTO `lang_definitions` VALUES (28923, 3227, 8, 'Problèmes et rencontres pour');
INSERT INTO `lang_definitions` VALUES (28924, 3228, 8, 'Problèmes non autorisé');
INSERT INTO `lang_definitions` VALUES (28925, 3229, 8, 'Partie des problèmes');
INSERT INTO `lang_definitions` VALUES (28926, 3230, 8, 'Italien');
INSERT INTO `lang_definitions` VALUES (28927, 3231, 8, 'Article');
INSERT INTO `lang_definitions` VALUES (28928, 3232, 8, 'article');
INSERT INTO `lang_definitions` VALUES (28929, 3233, 8, 'articles');
INSERT INTO `lang_definitions` VALUES (28930, 3234, 8, 'Chargement d\'Articles a échoué');
INSERT INTO `lang_definitions` VALUES (28931, 3238, 8, 'janv.');
INSERT INTO `lang_definitions` VALUES (28932, 3239, 8, 'Janvier');
INSERT INTO `lang_definitions` VALUES (28933, 3240, 8, 'Japonais');
INSERT INTO `lang_definitions` VALUES (28934, 3241, 8, 'Jaunisse');
INSERT INTO `lang_definitions` VALUES (28935, 3243, 8, 'Description de la Tâche');
INSERT INTO `lang_definitions` VALUES (28936, 3244, 8, 'ID Tâche');
INSERT INTO `lang_definitions` VALUES (28937, 3245, 8, 'Dislocations conjointe');
INSERT INTO `lang_definitions` VALUES (28938, 3246, 8, 'Douleurs articulaires');
INSERT INTO `lang_definitions` VALUES (28939, 3247, 8, 'Entorses conjointe');
INSERT INTO `lang_definitions` VALUES (28940, 3248, 8, 'juil.');
INSERT INTO `lang_definitions` VALUES (28941, 3249, 8, 'Juillet');
INSERT INTO `lang_definitions` VALUES (28942, 3250, 8, 'juin');
INSERT INTO `lang_definitions` VALUES (28943, 3251, 8, 'Juin');
INSERT INTO `lang_definitions` VALUES (28944, 3252, 8, 'Juste en dessous l\'information vérifié est une zone bleu ou vous mettez vos paramètres de recherche. Vous pouvez chercher en fonction du nom du patient, du numéro de graphique, du numéro de rencontre ou de la date de service, or n\'importe quel combinaison. Vous pouvez aussi selectionner ce que vous voullez pour voir toutes les facturations, les facturations ouverte, ou seulement les facturation non payées (par le patient). Cliquez sur le bouton Rechercher pour effectuer la recherche.');
INSERT INTO `lang_definitions` VALUES (28945, 3253, 8, 'Seulement mien');
INSERT INTO `lang_definitions` VALUES (28946, 3254, 8, 'Entrée de la justification');
INSERT INTO `lang_definitions` VALUES (28947, 3255, 8, 'Justifier');
INSERT INTO `lang_definitions` VALUES (28948, 3256, 8, 'Justifier/Sauvegarder');
INSERT INTO `lang_definitions` VALUES (28949, 3264, 8, 'Clef');
INSERT INTO `lang_definitions` VALUES (28950, 3265, 8, 'Mots clef');
INSERT INTO `lang_definitions` VALUES (28951, 3266, 8, 'kg');
INSERT INTO `lang_definitions` VALUES (28952, 3267, 8, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (28953, 3269, 8, 'Cancer du rein');
INSERT INTO `lang_definitions` VALUES (28954, 3270, 8, 'Deficiance du rein');
INSERT INTO `lang_definitions` VALUES (28955, 3271, 8, 'Infections du rein');
INSERT INTO `lang_definitions` VALUES (28956, 3272, 8, 'Calculs rénale');
INSERT INTO `lang_definitions` VALUES (28957, 3273, 8, 'Transplantation de rein');
INSERT INTO `lang_definitions` VALUES (28958, 3277, 8, 'Genoux');
INSERT INTO `lang_definitions` VALUES (28959, 3278, 8, 'Problème au genoux');
INSERT INTO `lang_definitions` VALUES (28960, 3279, 8, 'Remplacement du genoux');
INSERT INTO `lang_definitions` VALUES (28961, 3282, 8, 'Coréen');
INSERT INTO `lang_definitions` VALUES (28962, 3286, 8, 'Lab');
INSERT INTO `lang_definitions` VALUES (28963, 3294, 8, 'Status de la requete pour le laboratoire');
INSERT INTO `lang_definitions` VALUES (28964, 3295, 8, 'Rapport du laboratoire');
INSERT INTO `lang_definitions` VALUES (28965, 3296, 8, 'Résultat du laboratoire');
INSERT INTO `lang_definitions` VALUES (28966, 3297, 8, 'Résultats du laboratoire');
INSERT INTO `lang_definitions` VALUES (28967, 3299, 8, 'Rapport des résultats du laboratoire');
INSERT INTO `lang_definitions` VALUES (28968, 3300, 8, 'Service du laboratoire');
INSERT INTO `lang_definitions` VALUES (28969, 3301, 8, 'Résultats des tests fait par le laboratoire');
INSERT INTO `lang_definitions` VALUES (28970, 3303, 8, 'Étiquette');
INSERT INTO `lang_definitions` VALUES (28971, 3304, 8, 'L\'étiquette ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (28972, 3306, 8, 'Étiquette pour ce type');
INSERT INTO `lang_definitions` VALUES (28973, 3308, 8, 'Étiquettes');
INSERT INTO `lang_definitions` VALUES (28974, 3311, 8, 'Labs');
INSERT INTO `lang_definitions` VALUES (28975, 3312, 8, 'Lacération / problèmes de peau');
INSERT INTO `lang_definitions` VALUES (28976, 3313, 8, 'Lacération/abrasion');
INSERT INTO `lang_definitions` VALUES (28977, 3316, 8, 'Langue');
INSERT INTO `lang_definitions` VALUES (28978, 3317, 8, 'Code de la langue');
INSERT INTO `lang_definitions` VALUES (28979, 3318, 8, 'Définition de la langue ajouté');
INSERT INTO `lang_definitions` VALUES (28980, 3320, 8, 'Liste des langues (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (28981, 3321, 8, 'Nom de la langue');
INSERT INTO `lang_definitions` VALUES (28982, 3322, 8, 'langue:');
INSERT INTO `lang_definitions` VALUES (28983, 3324, 8, 'Laotien');
INSERT INTO `lang_definitions` VALUES (28984, 3325, 8, 'Dernier');
INSERT INTO `lang_definitions` VALUES (28985, 3326, 8, 'Date de la dernière activité');
INSERT INTO `lang_definitions` VALUES (28986, 3328, 8, 'Date de la dernière facturation:');
INSERT INTO `lang_definitions` VALUES (28987, 3330, 8, 'Dernière année du calendrier');
INSERT INTO `lang_definitions` VALUES (28988, 3333, 8, 'Dernière rencontre');
INSERT INTO `lang_definitions` VALUES (28989, 3343, 8, 'Mois dernier');
INSERT INTO `lang_definitions` VALUES (28990, 3344, 8, 'Nom de Famille');
INSERT INTO `lang_definitions` VALUES (28991, 3345, 8, 'Nom de famille');
INSERT INTO `lang_definitions` VALUES (28992, 3346, 8, 'Nom de Famille:');
INSERT INTO `lang_definitions` VALUES (28993, 3350, 8, 'Dernière révision');
INSERT INTO `lang_definitions` VALUES (28994, 3352, 8, 'Dernière savegarde');
INSERT INTO `lang_definitions` VALUES (28995, 3356, 8, 'Dernière modification par');
INSERT INTO `lang_definitions` VALUES (28996, 3357, 8, 'Dernière verification sur');
INSERT INTO `lang_definitions` VALUES (28997, 3358, 8, 'Dernière visite');
INSERT INTO `lang_definitions` VALUES (28998, 3360, 8, 'Dernière récurrence (2-12 Mo)');
INSERT INTO `lang_definitions` VALUES (28999, 3361, 8, 'Maléolle latérale');
INSERT INTO `lang_definitions` VALUES (29000, 3362, 8, 'Maléolle latérale:');
INSERT INTO `lang_definitions` VALUES (29001, 3363, 8, 'Latéralité');
INSERT INTO `lang_definitions` VALUES (29002, 3381, 8, 'Colopathie fonctionnelle');
INSERT INTO `lang_definitions` VALUES (29003, 3383, 8, 'Laissez vide si encore actif');
INSERT INTO `lang_definitions` VALUES (29004, 3384, 8, 'Laissez vide pour garder le nom du fichier originel');
INSERT INTO `lang_definitions` VALUES (29005, 3385, 8, 'Laissez vide pour ne pas changer le mot de passe');
INSERT INTO `lang_definitions` VALUES (29006, 3386, 8, 'Laissez un message avec');
INSERT INTO `lang_definitions` VALUES (29007, 3387, 8, 'Laissez le formulaire');
INSERT INTO `lang_definitions` VALUES (29008, 3388, 8, 'Laisser le long mot de passe vide ne vas pas chiffrer le document');
INSERT INTO `lang_definitions` VALUES (29009, 3390, 8, 'Gauche');
INSERT INTO `lang_definitions` VALUES (29010, 3391, 8, 'Oreille Gauche');
INSERT INTO `lang_definitions` VALUES (29011, 3392, 8, 'oreille gauche');
INSERT INTO `lang_definitions` VALUES (29012, 3394, 8, 'Gauche:');
INSERT INTO `lang_definitions` VALUES (29013, 3395, 8, 'Gauche: ');
INSERT INTO `lang_definitions` VALUES (29014, 3396, 8, 'Douleur à la jambe/Crampe');
INSERT INTO `lang_definitions` VALUES (29015, 3397, 8, 'Legale');
INSERT INTO `lang_definitions` VALUES (29016, 3399, 8, 'Taille Legale du papier');
INSERT INTO `lang_definitions` VALUES (29017, 3400, 8, 'Legende:');
INSERT INTO `lang_definitions` VALUES (29018, 3401, 8, 'Longueur');
INSERT INTO `lang_definitions` VALUES (29019, 3403, 8, 'Plus petit que');
INSERT INTO `lang_definitions` VALUES (29020, 3404, 8, 'Plus petit ou égale à');
INSERT INTO `lang_definitions` VALUES (29021, 3406, 8, 'Lettre');
INSERT INTO `lang_definitions` VALUES (29022, 3407, 8, 'Générateur de lettre');
INSERT INTO `lang_definitions` VALUES (29023, 3408, 8, 'Taille du papier à lettre');
INSERT INTO `lang_definitions` VALUES (29024, 3409, 8, 'Entête que les médecins signent');
INSERT INTO `lang_definitions` VALUES (29025, 3410, 8, 'Entête que les patients signent');
INSERT INTO `lang_definitions` VALUES (29026, 3411, 8, 'Niveau d\'urgence');
INSERT INTO `lang_definitions` VALUES (29027, 3423, 8, 'Style de vie');
INSERT INTO `lang_definitions` VALUES (29028, 3424, 8, 'Satus du style de vie');
INSERT INTO `lang_definitions` VALUES (29029, 3425, 8, 'déchirrement du ligament ou entorse');
INSERT INTO `lang_definitions` VALUES (29030, 3426, 8, 'Petit fumeur de tabac');
INSERT INTO `lang_definitions` VALUES (29031, 3428, 8, 'Limite des évenements');
INSERT INTO `lang_definitions` VALUES (29032, 3429, 8, 'Limites');
INSERT INTO `lang_definitions` VALUES (29033, 3431, 8, 'Lien');
INSERT INTO `lang_definitions` VALUES (29034, 3432, 8, 'Lien au patient');
INSERT INTO `lang_definitions` VALUES (29035, 3433, 8, 'Lié');
INSERT INTO `lang_definitions` VALUES (29036, 3434, 8, 'Document lié');
INSERT INTO `lang_definitions` VALUES (29037, 3435, 8, 'Ordre de procédure lié');
INSERT INTO `lang_definitions` VALUES (29038, 3436, 8, 'Lié au document');
INSERT INTO `lang_definitions` VALUES (29039, 3437, 8, 'Lié à l\'ordre de procédure');
INSERT INTO `lang_definitions` VALUES (29040, 3438, 8, 'Liste');
INSERT INTO `lang_definitions` VALUES (29041, 3439, 8, 'Boite de liste');
INSERT INTO `lang_definitions` VALUES (29042, 3440, 8, 'boite de liste');
INSERT INTO `lang_definitions` VALUES (29043, 3443, 8, 'Editeur de liste');
INSERT INTO `lang_definitions` VALUES (29044, 3444, 8, 'Liste des rencontres');
INSERT INTO `lang_definitions` VALUES (29045, 3445, 8, 'Liste des groupes');
INSERT INTO `lang_definitions` VALUES (29046, 3446, 8, 'Liste des compagnies d\'assurance');
INSERT INTO `lang_definitions` VALUES (29047, 3448, 8, 'La liste d\'élements ne peux pas commencer avec un nombre.');
INSERT INTO `lang_definitions` VALUES (29048, 3449, 8, 'La liste d\'élements contient un/des caractères illegale/illegaux');
INSERT INTO `lang_definitions` VALUES (29049, 3451, 8, 'Liste de listes');
INSERT INTO `lang_definitions` VALUES (29050, 3452, 8, 'Liste de noms');
INSERT INTO `lang_definitions` VALUES (29051, 3453, 8, 'Liste de noms ne peux pas commencer par un nombres.');
INSERT INTO `lang_definitions` VALUES (29052, 3454, 8, 'Liste de prescriptions');
INSERT INTO `lang_definitions` VALUES (29053, 3458, 8, 'Listes');
INSERT INTO `lang_definitions` VALUES (29054, 3459, 8, 'Lithuanien');
INSERT INTO `lang_definitions` VALUES (29055, 3463, 8, 'Charger les collections');
INSERT INTO `lang_definitions` VALUES (29056, 3464, 8, 'Charger les définitions');
INSERT INTO `lang_definitions` VALUES (29057, 3465, 8, 'Charger la configuration du laboratoire');
INSERT INTO `lang_definitions` VALUES (29058, 3467, 8, 'Charger l\'ordre des definitions');
INSERT INTO `lang_definitions` VALUES (29059, 3468, 8, 'Charger l\'ordre des questions entré');
INSERT INTO `lang_definitions` VALUES (29060, 3470, 8, 'CHARGEMENT');
INSERT INTO `lang_definitions` VALUES (29061, 3471, 8, 'Chargement des fichiers dans la base de donnée. Ceci va prendre du temps...');
INSERT INTO `lang_definitions` VALUES (29062, 3473, 8, 'Locale');
INSERT INTO `lang_definitions` VALUES (29063, 3476, 8, 'Locale');
INSERT INTO `lang_definitions` VALUES (29064, 3477, 8, 'Localité');
INSERT INTO `lang_definitions` VALUES (29065, 3478, 8, 'Location');
INSERT INTO `lang_definitions` VALUES (29066, 3479, 8, 'location de la machine libreehr et peut contenir des données sensible, il est recommendé de supprimer manuelement les fichiers après leurs utilisation');
INSERT INTO `lang_definitions` VALUES (29067, 3480, 8, 'Location de ce lot');
INSERT INTO `lang_definitions` VALUES (29068, 3481, 8, 'Location non spécifié');
INSERT INTO `lang_definitions` VALUES (29069, 3482, 8, 'Location ou Hylafax stock les faxes.');
INSERT INTO `lang_definitions` VALUES (29070, 3483, 8, 'Location ou les scans sont stocké.');
INSERT INTO `lang_definitions` VALUES (29071, 3484, 8, 'Location:');
INSERT INTO `lang_definitions` VALUES (29072, 3485, 8, 'Verrous');
INSERT INTO `lang_definitions` VALUES (29073, 3492, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (29074, 3493, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (29075, 3494, 8, 'Déconnexion');
INSERT INTO `lang_definitions` VALUES (29076, 3495, 8, 'Connecté');
INSERT INTO `lang_definitions` VALUES (29077, 3496, 8, 'Connecté comme');
INSERT INTO `lang_definitions` VALUES (29078, 3497, 8, 'Connecté comme: ');
INSERT INTO `lang_definitions` VALUES (29079, 3498, 8, 'Déconnecté');
INSERT INTO `lang_definitions` VALUES (29080, 3499, 8, 'Connecté');
INSERT INTO `lang_definitions` VALUES (29081, 3500, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (29082, 3501, 8, 'Connexion');
INSERT INTO `lang_definitions` VALUES (29083, 3503, 8, 'Connexion a un hôte distant');
INSERT INTO `lang_definitions` VALUES (29084, 3504, 8, 'Connexion a cet hôte distant a échoué');
INSERT INTO `lang_definitions` VALUES (29085, 3505, 8, 'Déconnexion');
INSERT INTO `lang_definitions` VALUES (29086, 3506, 8, 'déconnexion');
INSERT INTO `lang_definitions` VALUES (29087, 3507, 8, 'Logs');
INSERT INTO `lang_definitions` VALUES (29088, 3508, 8, 'Afficheur des logs');
INSERT INTO `lang_definitions` VALUES (29089, 3511, 8, 'Lot');
INSERT INTO `lang_definitions` VALUES (29090, 3512, 8, 'L\'ID du lot est manquante!');
INSERT INTO `lang_definitions` VALUES (29091, 3513, 8, 'Numéro du lot');
INSERT INTO `lang_definitions` VALUES (29092, 3514, 8, 'Faible');
INSERT INTO `lang_definitions` VALUES (29093, 3515, 8, 'Faible priorité');
INSERT INTO `lang_definitions` VALUES (29094, 3516, 8, 'mollet');
INSERT INTO `lang_definitions` VALUES (29095, 3517, 8, 'Priorité minimun');
INSERT INTO `lang_definitions` VALUES (29096, 3519, 8, 'Colonne lombaire');
INSERT INTO `lang_definitions` VALUES (29097, 3520, 8, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (29098, 3521, 8, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (29099, 3522, 8, 'Cancer du Poummon');
INSERT INTO `lang_definitions` VALUES (29100, 3523, 8, 'Chirurgie du Cancer de poumon');
INSERT INTO `lang_definitions` VALUES (29101, 3524, 8, 'POUMMONS:');
INSERT INTO `lang_definitions` VALUES (29102, 3525, 8, 'Poummons:');
INSERT INTO `lang_definitions` VALUES (29103, 3526, 8, 'Lupus');
INSERT INTO `lang_definitions` VALUES (29104, 3533, 8, 'Courriel envoyé');
INSERT INTO `lang_definitions` VALUES (29105, 3534, 8, 'Principale');
INSERT INTO `lang_definitions` VALUES (29106, 3535, 8, 'Adresse principale');
INSERT INTO `lang_definitions` VALUES (29107, 3537, 8, 'Maintenir actif la liste d\'allergie médicale');
INSERT INTO `lang_definitions` VALUES (29108, 3538, 8, 'Maintenir actif la liste des médicaments');
INSERT INTO `lang_definitions` VALUES (29109, 3539, 8, 'Maintenir une liste à jour de problèmes des diagnostics actif');
INSERT INTO `lang_definitions` VALUES (29110, 3540, 8, 'Faire les modifications sur les catégories actuel.');
INSERT INTO `lang_definitions` VALUES (29111, 3541, 8, 'Faire un nouveau rendez-vous pour');
INSERT INTO `lang_definitions` VALUES (29112, 3545, 8, 'Malaise:');
INSERT INTO `lang_definitions` VALUES (29113, 3548, 8, 'Masculin');
INSERT INTO `lang_definitions` VALUES (29114, 3549, 8, 'Préservatifs Masculin');
INSERT INTO `lang_definitions` VALUES (29115, 3552, 8, 'Mammographie');
INSERT INTO `lang_definitions` VALUES (29116, 3553, 8, 'Gérer');
INSERT INTO `lang_definitions` VALUES (29117, 3556, 8, 'Gérer les traductions');
INSERT INTO `lang_definitions` VALUES (29118, 3557, 8, 'Gestion');
INSERT INTO `lang_definitions` VALUES (29119, 3558, 8, 'Les champs obligatoires et spécifiés');
INSERT INTO `lang_definitions` VALUES (29120, 3559, 8, 'Les champs obligatoires ou spécifié, contrôle de dup, pas de recherche');
INSERT INTO `lang_definitions` VALUES (29121, 3560, 8, 'Les champs obligatoires ou spécifié, recherche et contrôle de dup');
INSERT INTO `lang_definitions` VALUES (29122, 3561, 8, 'Manuel');
INSERT INTO `lang_definitions` VALUES (29123, 3562, 8, 'Postage Manuel');
INSERT INTO `lang_definitions` VALUES (29124, 3563, 8, 'Fabriquant');
INSERT INTO `lang_definitions` VALUES (29125, 3565, 8, 'mars');
INSERT INTO `lang_definitions` VALUES (29126, 3568, 8, 'Mars');
INSERT INTO `lang_definitions` VALUES (29127, 3569, 8, 'État civil');
INSERT INTO `lang_definitions` VALUES (29128, 3571, 8, 'Marquer comme facturés, mais la facturation est ignoré');
INSERT INTO `lang_definitions` VALUES (29129, 3572, 8, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (29130, 3573, 8, 'Marquer comme non facturées');
INSERT INTO `lang_definitions` VALUES (29131, 3574, 8, 'Marquer ces rapports comme relue');
INSERT INTO `lang_definitions` VALUES (29132, 3575, 8, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (29133, 3576, 8, 'Marié');
INSERT INTO `lang_definitions` VALUES (29134, 3578, 8, 'Masque');
INSERT INTO `lang_definitions` VALUES (29135, 3579, 8, 'Masque pour les numéros de facturation');
INSERT INTO `lang_definitions` VALUES (29136, 3580, 8, 'Masque pour les ID Patient');
INSERT INTO `lang_definitions` VALUES (29137, 3581, 8, 'Masque pour les ID de produit');
INSERT INTO `lang_definitions` VALUES (29138, 3582, 8, 'Correspond');
INSERT INTO `lang_definitions` VALUES (29139, 3591, 8, 'Max');
INSERT INTO `lang_definitions` VALUES (29140, 3594, 8, 'Maxillaire droit:');
INSERT INTO `lang_definitions` VALUES (29141, 3595, 8, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (29142, 3596, 8, 'Nombre de caractères maximun');
INSERT INTO `lang_definitions` VALUES (29143, 3597, 8, 'Le temps maximum d\'inactivité en secondes avant la déconnexion. Par défaut est 7200 (2 heures).');
INSERT INTO `lang_definitions` VALUES (29144, 3600, 8, 'Inventaire maximale raisonnable, 0 si non applicable');
INSERT INTO `lang_definitions` VALUES (29145, 3601, 8, 'Taille maximum');
INSERT INTO `lang_definitions` VALUES (29146, 3602, 8, 'Taille maximum (entré 0 n\'autorisera aucune taille');
INSERT INTO `lang_definitions` VALUES (29147, 3603, 8, 'Mai');
INSERT INTO `lang_definitions` VALUES (29148, 3607, 8, 'Aucun des trois dernier mot de passe ne sont autorisé lors du changement de mot de passe.');
INSERT INTO `lang_definitions` VALUES (29149, 3609, 8, 'Code du groupe de mesure');
INSERT INTO `lang_definitions` VALUES (29150, 3611, 8, 'Mesure');
INSERT INTO `lang_definitions` VALUES (29151, 3612, 8, 'Malléole interne:');
INSERT INTO `lang_definitions` VALUES (29152, 3613, 8, 'Couverture médicale minimum');
INSERT INTO `lang_definitions` VALUES (29153, 3614, 8, 'Médical');
INSERT INTO `lang_definitions` VALUES (29154, 3615, 8, 'Avortement médicamenteux');
INSERT INTO `lang_definitions` VALUES (29155, 3616, 8, 'Administration médical');
INSERT INTO `lang_definitions` VALUES (29156, 3617, 8, 'Antécédents médicaux');
INSERT INTO `lang_definitions` VALUES (29157, 3618, 8, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (29158, 3619, 8, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (29159, 3620, 8, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (29160, 3621, 8, 'Problème Médical');
INSERT INTO `lang_definitions` VALUES (29161, 3622, 8, 'Liste de problemes médicaux');
INSERT INTO `lang_definitions` VALUES (29162, 3623, 8, 'Problèmes Médicaux');
INSERT INTO `lang_definitions` VALUES (29163, 3624, 8, 'Enregistrement Médical');
INSERT INTO `lang_definitions` VALUES (29164, 3625, 8, 'Pas d\'enregistrement médical');
INSERT INTO `lang_definitions` VALUES (29165, 3626, 8, 'Enregistrements Médicaux');
INSERT INTO `lang_definitions` VALUES (29166, 3627, 8, 'Enregistrements médicaux envoyé');
INSERT INTO `lang_definitions` VALUES (29167, 3629, 8, 'Résumé médical fournis');
INSERT INTO `lang_definitions` VALUES (29168, 3630, 8, 'Système Médical');
INSERT INTO `lang_definitions` VALUES (29169, 3631, 8, 'Type Médical');
INSERT INTO `lang_definitions` VALUES (29170, 3632, 8, 'Médical/Historique (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (29171, 3635, 8, 'Médication');
INSERT INTO `lang_definitions` VALUES (29172, 3640, 8, 'Médications');
INSERT INTO `lang_definitions` VALUES (29173, 3641, 8, 'Médications:');
INSERT INTO `lang_definitions` VALUES (29174, 3642, 8, 'Unités Médicale');
INSERT INTO `lang_definitions` VALUES (29175, 3643, 8, 'Moyen');
INSERT INTO `lang_definitions` VALUES (29176, 3646, 8, 'Problèmes de Mémoire');
INSERT INTO `lang_definitions` VALUES (29177, 3647, 8, 'Homme');
INSERT INTO `lang_definitions` VALUES (29178, 3648, 8, 'Hommes et Femmes');
INSERT INTO `lang_definitions` VALUES (29179, 3649, 8, 'Hommes Seulement');
INSERT INTO `lang_definitions` VALUES (29180, 3650, 8, 'Ménarche');
INSERT INTO `lang_definitions` VALUES (29181, 3651, 8, 'Ménopause');
INSERT INTO `lang_definitions` VALUES (29182, 3652, 8, 'Flux Menstruel');
INSERT INTO `lang_definitions` VALUES (29183, 3653, 8, 'Fréquence Menstruel');
INSERT INTO `lang_definitions` VALUES (29184, 3654, 8, 'Maladie Mentale');
INSERT INTO `lang_definitions` VALUES (29185, 3657, 8, 'Fusionner');
INSERT INTO `lang_definitions` VALUES (29186, 3658, 8, 'Fusion finis.');
INSERT INTO `lang_definitions` VALUES (29187, 3659, 8, 'Fusion des patients');
INSERT INTO `lang_definitions` VALUES (29188, 3661, 8, 'Message');
INSERT INTO `lang_definitions` VALUES (29189, 3662, 8, 'Message et centre de rappel');
INSERT INTO `lang_definitions` VALUES (29190, 3663, 8, 'Le contenu n\'est pas uniquement du texte donc il a été stocké comme un document.');
INSERT INTO `lang_definitions` VALUES (29191, 3665, 8, 'Message envoyé');
INSERT INTO `lang_definitions` VALUES (29192, 3666, 8, 'Etat du Message');
INSERT INTO `lang_definitions` VALUES (29193, 3669, 8, 'Type du message');
INSERT INTO `lang_definitions` VALUES (29194, 3670, 8, 'MESSAGE:');
INSERT INTO `lang_definitions` VALUES (29195, 3671, 8, 'Messages');
INSERT INTO `lang_definitions` VALUES (29196, 3672, 8, 'Messages que vous avez envoyer aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (29197, 3673, 8, 'Méthode');
INSERT INTO `lang_definitions` VALUES (29198, 3674, 8, 'Méthode et Produit Spécifique');
INSERT INTO `lang_definitions` VALUES (29199, 3675, 8, 'Mode d\'envoi e-mails sortants.');
INSERT INTO `lang_definitions` VALUES (29200, 3676, 8, 'Méthode de Destruction');
INSERT INTO `lang_definitions` VALUES (29201, 3679, 8, 'mg');
INSERT INTO `lang_definitions` VALUES (29202, 3680, 8, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (29203, 3681, 8, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (29204, 3682, 8, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (29205, 3683, 8, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (29206, 3684, 8, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (29207, 3685, 8, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (29208, 3686, 8, 'Moyen');
INSERT INTO `lang_definitions` VALUES (29209, 3687, 8, 'Deuxième Prénom');
INSERT INTO `lang_definitions` VALUES (29210, 3688, 8, 'Deuxième prénom');
INSERT INTO `lang_definitions` VALUES (29211, 3696, 8, 'Immigrant ou travailleur saisonnier?');
INSERT INTO `lang_definitions` VALUES (29212, 3697, 8, 'Immigrant/Saisonnier');
INSERT INTO `lang_definitions` VALUES (29213, 3703, 8, 'Min');
INSERT INTO `lang_definitions` VALUES (29214, 3704, 8, 'min');
INSERT INTO `lang_definitions` VALUES (29215, 3705, 8, 'Age minimum');
INSERT INTO `lang_definitions` VALUES (29216, 3708, 8, 'Minute');
INSERT INTO `lang_definitions` VALUES (29217, 3709, 8, 'minutes');
INSERT INTO `lang_definitions` VALUES (29218, 3710, 8, 'Minutes');
INSERT INTO `lang_definitions` VALUES (29219, 3712, 8, 'Divers');
INSERT INTO `lang_definitions` VALUES (29220, 3713, 8, 'Autres Options de Facturation');
INSERT INTO `lang_definitions` VALUES (29221, 3714, 8, 'Autres Options de Facturation pour HCFA-1500');
INSERT INTO `lang_definitions` VALUES (29222, 3715, 8, 'Autres Options de Facturation HCFA');
INSERT INTO `lang_definitions` VALUES (29223, 3716, 8, 'Divers/Autres');
INSERT INTO `lang_definitions` VALUES (29224, 3717, 8, 'Manqué');
INSERT INTO `lang_definitions` VALUES (29225, 3718, 8, 'manquante');
INSERT INTO `lang_definitions` VALUES (29226, 3719, 8, 'Manque d\'un champ requis');
INSERT INTO `lang_definitions` VALUES (29227, 3720, 8, 'Frais Manquants');
INSERT INTO `lang_definitions` VALUES (29228, 3721, 8, 'Mods manquants seulement');
INSERT INTO `lang_definitions` VALUES (29229, 3722, 8, 'Manquant ou Invalide');
INSERT INTO `lang_definitions` VALUES (29230, 3723, 8, 'PID manquant.');
INSERT INTO `lang_definitions` VALUES (29231, 3724, 8, 'Manque date de rapport');
INSERT INTO `lang_definitions` VALUES (29232, 3726, 8, 'Mixe');
INSERT INTO `lang_definitions` VALUES (29233, 3727, 8, 'ml');
INSERT INTO `lang_definitions` VALUES (29234, 3728, 8, 'MM/JJ/AAAA');
INSERT INTO `lang_definitions` VALUES (29235, 3729, 8, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (29236, 3730, 8, 'mmHg');
INSERT INTO `lang_definitions` VALUES (29237, 3733, 8, 'Portable');
INSERT INTO `lang_definitions` VALUES (29238, 3734, 8, 'Téléphone portable');
INSERT INTO `lang_definitions` VALUES (29239, 3735, 8, 'Mod');
INSERT INTO `lang_definitions` VALUES (29240, 3738, 8, 'Priorité modéré');
INSERT INTO `lang_definitions` VALUES (29241, 3740, 8, 'Priorité modéré/faible');
INSERT INTO `lang_definitions` VALUES (29242, 3741, 8, 'Modificateur');
INSERT INTO `lang_definitions` VALUES (29243, 3742, 8, 'Modificateurs');
INSERT INTO `lang_definitions` VALUES (29244, 3743, 8, 'Modifié');
INSERT INTO `lang_definitions` VALUES (29245, 3745, 8, 'Modifier les Paiements');
INSERT INTO `lang_definitions` VALUES (29246, 3753, 8, 'Lu.');
INSERT INTO `lang_definitions` VALUES (29247, 3754, 8, 'Lu. à Ve.');
INSERT INTO `lang_definitions` VALUES (29248, 3755, 8, 'Lu. Mer. &amp; Ve.');
INSERT INTO `lang_definitions` VALUES (29249, 3756, 8, 'Lundi');
INSERT INTO `lang_definitions` VALUES (29250, 3758, 8, 'Mois');
INSERT INTO `lang_definitions` VALUES (29251, 3759, 8, 'mois');
INSERT INTO `lang_definitions` VALUES (29252, 3760, 8, 'Vue du Mois');
INSERT INTO `lang_definitions` VALUES (29253, 3761, 8, 'Mois');
INSERT INTO `lang_definitions` VALUES (29254, 3762, 8, 'Revenue Mensuel');
INSERT INTO `lang_definitions` VALUES (29255, 3763, 8, 'Mois');
INSERT INTO `lang_definitions` VALUES (29256, 3765, 8, 'Plus de 100 enregistrement trouvé. S\'il vous plait utilisez des critères de recherches plus précis');
INSERT INTO `lang_definitions` VALUES (29257, 3766, 8, 'Plus de 50 enregistrement trouvé. S\'il vous plait utilisez des critères de recherches plus précis');
INSERT INTO `lang_definitions` VALUES (29258, 3767, 8, 'La plupart des entêtes de colonnes peuvent êtres cliquées pour changer l\'ordre de trie');
INSERT INTO `lang_definitions` VALUES (29259, 3768, 8, 'Formulaire le plus récent');
INSERT INTO `lang_definitions` VALUES (29260, 3770, 8, 'Formulaire des constantes vitales le plus récent:');
INSERT INTO `lang_definitions` VALUES (29261, 3771, 8, 'Mère');
INSERT INTO `lang_definitions` VALUES (29262, 3772, 8, 'Nom de la Mère');
INSERT INTO `lang_definitions` VALUES (29263, 3774, 8, 'Bouche');
INSERT INTO `lang_definitions` VALUES (29264, 3775, 8, 'Déplacer');
INSERT INTO `lang_definitions` VALUES (29265, 3776, 8, 'Déplacer un document vers Catégorie:');
INSERT INTO `lang_definitions` VALUES (29266, 3777, 8, 'Déplacer vers bas');
INSERT INTO `lang_definitions` VALUES (29267, 3778, 8, 'Déplacement échoué!');
INSERT INTO `lang_definitions` VALUES (29268, 3779, 8, 'Déplacer vers le patient');
INSERT INTO `lang_definitions` VALUES (29269, 3780, 8, 'Déplacer vers ...');
INSERT INTO `lang_definitions` VALUES (29270, 3781, 8, 'Déplacer vers haut');
INSERT INTO `lang_definitions` VALUES (29271, 3782, 8, 'Déplacement');
INSERT INTO `lang_definitions` VALUES (29272, 3783, 8, 'M.');
INSERT INTO `lang_definitions` VALUES (29273, 3785, 8, 'Mme.');
INSERT INTO `lang_definitions` VALUES (29274, 3786, 8, 'Mlle.');
INSERT INTO `lang_definitions` VALUES (29275, 3796, 8, 'Outil multi langues');
INSERT INTO `lang_definitions` VALUES (29276, 3797, 8, 'Zones multiples');
INSERT INTO `lang_definitions` VALUES (29277, 3798, 8, 'Plusieurs fichiers peuvent êtres téléchargé en une seule fois en les sélectionnant en utilisant CTRL+Clic ou SHIFT+Clic.');
INSERT INTO `lang_definitions` VALUES (29278, 3799, 8, 'Plusieurs lots');
INSERT INTO `lang_definitions` VALUES (29279, 3800, 8, 'Plusieurs modificateur peuvent êtres separé par les colonnes ou des espaces, 4 maximum (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (29280, 3802, 8, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (29281, 3803, 8, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (29282, 3804, 8, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (29283, 3805, 8, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (29284, 3806, 8, 'Rougeur musculaire');
INSERT INTO `lang_definitions` VALUES (29285, 3807, 8, 'Raideur musculaire');
INSERT INTO `lang_definitions` VALUES (29286, 3808, 8, 'Enflure musculaire');
INSERT INTO `lang_definitions` VALUES (29287, 3809, 8, 'Chaleur musculaire');
INSERT INTO `lang_definitions` VALUES (29288, 3810, 8, 'Muscle');
INSERT INTO `lang_definitions` VALUES (29289, 3811, 8, 'Lésion musculaire');
INSERT INTO `lang_definitions` VALUES (29290, 3812, 8, 'Musculo-squelettiques');
INSERT INTO `lang_definitions` VALUES (29291, 3813, 8, 'Doit être vide si l\'autentification SMTP n\'est pas utilisé.');
INSERT INTO `lang_definitions` VALUES (29292, 3814, 8, 'Définis Mutuellement');
INSERT INTO `lang_definitions` VALUES (29293, 3818, 8, 'Moi-même');
INSERT INTO `lang_definitions` VALUES (29294, 3821, 8, 'N/A');
INSERT INTO `lang_definitions` VALUES (29295, 3822, 8, 'n/a');
INSERT INTO `lang_definitions` VALUES (29296, 3823, 8, 'Nom');
INSERT INTO `lang_definitions` VALUES (29297, 3825, 8, 'Nom (Cliquer pour plus de détails)');
INSERT INTO `lang_definitions` VALUES (29298, 3826, 8, 'Nom 1');
INSERT INTO `lang_definitions` VALUES (29299, 3827, 8, 'Nom 2');
INSERT INTO `lang_definitions` VALUES (29300, 3828, 8, 'Nom et titre de l\'administrateur de la vaccination');
INSERT INTO `lang_definitions` VALUES (29301, 3831, 8, 'Nom des événements');
INSERT INTO `lang_definitions` VALUES (29302, 3832, 8, 'Nom de la societé d\'assurance');
INSERT INTO `lang_definitions` VALUES (29303, 3833, 8, 'Nom du fournisseur');
INSERT INTO `lang_definitions` VALUES (29304, 3834, 8, 'Nom de l\'expéditeur pour les rappels des patients.');
INSERT INTO `lang_definitions` VALUES (29305, 3835, 8, 'Traduction du nom');
INSERT INTO `lang_definitions` VALUES (29306, 3836, 8, 'Nom/Valeur');
INSERT INTO `lang_definitions` VALUES (29307, 3837, 8, 'Nom:');
INSERT INTO `lang_definitions` VALUES (29308, 3840, 8, 'Mucoses nasal rose, cloison médiane');
INSERT INTO `lang_definitions` VALUES (29309, 3841, 8, 'Notes des pays');
INSERT INTO `lang_definitions` VALUES (29310, 3842, 8, 'Configuré les notes des pays');
INSERT INTO `lang_definitions` VALUES (29311, 3844, 8, 'Nationalité');
INSERT INTO `lang_definitions` VALUES (29312, 3847, 8, 'Natifs d\'Hawaii ou autres îles du Pacifique');
INSERT INTO `lang_definitions` VALUES (29313, 3852, 8, 'Nausée');
INSERT INTO `lang_definitions` VALUES (29314, 3854, 8, 'Navigation');
INSERT INTO `lang_definitions` VALUES (29315, 3855, 8, 'Zone de navigation comprend des formulaires de rencontre');
INSERT INTO `lang_definitions` VALUES (29316, 3856, 8, 'Zone de navigation utilise plein hauteur des cadres');
INSERT INTO `lang_definitions` VALUES (29317, 3858, 8, 'Largeur de la zone de navigation');
INSERT INTO `lang_definitions` VALUES (29318, 3859, 8, 'Menu de navigation composée de paires de boutons radio');
INSERT INTO `lang_definitions` VALUES (29319, 3860, 8, 'Menu de navigation est une arborescence');
INSERT INTO `lang_definitions` VALUES (29320, 3861, 8, 'Navigation utilise un menu coulissant');
INSERT INTO `lang_definitions` VALUES (29321, 3866, 8, 'Cou');
INSERT INTO `lang_definitions` VALUES (29322, 3867, 8, 'Problèmes de cou');
INSERT INTO `lang_definitions` VALUES (29323, 3868, 8, 'Cou souple');
INSERT INTO `lang_definitions` VALUES (29324, 3869, 8, 'Vous devez saisir une description');
INSERT INTO `lang_definitions` VALUES (29325, 3870, 8, 'Vous devez saisir une valeur de retour');
INSERT INTO `lang_definitions` VALUES (29326, 3871, 8, 'Vous devez saisir un identifiant');
INSERT INTO `lang_definitions` VALUES (29327, 3872, 8, 'Vous devez saisir le titre');
INSERT INTO `lang_definitions` VALUES (29328, 3873, 8, 'Besoin d\'authentification');
INSERT INTO `lang_definitions` VALUES (29329, 3874, 8, 'Besoin de justification');
INSERT INTO `lang_definitions` VALUES (29330, 3875, 8, 'Besoins de facturation secondaire');
INSERT INTO `lang_definitions` VALUES (29331, 3876, 8, 'Négatif');
INSERT INTO `lang_definitions` VALUES (29332, 3877, 8, 'Négatifs');
INSERT INTO `lang_definitions` VALUES (29333, 3880, 8, 'Blessures aux nerfs');
INSERT INTO `lang_definitions` VALUES (29334, 3881, 8, 'Problèmes neuraux / damage neuraux');
INSERT INTO `lang_definitions` VALUES (29335, 3882, 8, 'Engourdissement neurale');
INSERT INTO `lang_definitions` VALUES (29336, 3883, 8, 'Faiblaisse neurale');
INSERT INTO `lang_definitions` VALUES (29337, 3884, 8, 'Neurologique');
INSERT INTO `lang_definitions` VALUES (29338, 3885, 8, 'Jamais');
INSERT INTO `lang_definitions` VALUES (29339, 3886, 8, 'Jamais alcoolique');
INSERT INTO `lang_definitions` VALUES (29340, 3887, 8, 'Jamais fumeur');
INSERT INTO `lang_definitions` VALUES (29341, 3888, 8, 'Nouveau7');
INSERT INTO `lang_definitions` VALUES (29342, 3889, 8, 'Nouveau =>');
INSERT INTO `lang_definitions` VALUES (29343, 3892, 8, 'Nouvelle allergie');
INSERT INTO `lang_definitions` VALUES (29344, 3894, 8, 'Nouveau rendez-vous');
INSERT INTO `lang_definitions` VALUES (29345, 3895, 8, 'Nouvelles catégories');
INSERT INTO `lang_definitions` VALUES (29346, 3896, 8, 'Nouvelle catégorie');
INSERT INTO `lang_definitions` VALUES (29347, 3897, 8, 'Nouveaux clients');
INSERT INTO `lang_definitions` VALUES (29348, 3898, 8, 'Nouvelle consultation');
INSERT INTO `lang_definitions` VALUES (29349, 3899, 8, 'Nouvelle récolte');
INSERT INTO `lang_definitions` VALUES (29350, 3900, 8, 'Nouvel ensemble de définition ajouté');
INSERT INTO `lang_definitions` VALUES (29351, 3901, 8, 'Nouveau document');
INSERT INTO `lang_definitions` VALUES (29352, 3902, 8, 'Nouveaux Documents');
INSERT INTO `lang_definitions` VALUES (29353, 3904, 8, 'Nouvelle rencontre');
INSERT INTO `lang_definitions` VALUES (29354, 3905, 8, 'Nouvelle rencontre créé avec l\'id');
INSERT INTO `lang_definitions` VALUES (29355, 3906, 8, 'Nouveau formulaire de rencontre');
INSERT INTO `lang_definitions` VALUES (29356, 3907, 8, 'De nouvelles rencontres ne sont pas autorisées');
INSERT INTO `lang_definitions` VALUES (29357, 3909, 8, 'Information d\'un nouveau locale');
INSERT INTO `lang_definitions` VALUES (29358, 3910, 8, 'Nouveau fichier');
INSERT INTO `lang_definitions` VALUES (29359, 3911, 8, 'Nouveaux Fichiers');
INSERT INTO `lang_definitions` VALUES (29360, 3912, 8, 'Nouveau groupe');
INSERT INTO `lang_definitions` VALUES (29361, 3913, 8, 'Nouvelle information du Groupe');
INSERT INTO `lang_definitions` VALUES (29362, 3914, 8, 'Nouvelle blessure/status');
INSERT INTO `lang_definitions` VALUES (29363, 3916, 8, 'Nouvelle limite d\'événements');
INSERT INTO `lang_definitions` VALUES (29364, 3917, 8, 'Nouvelle liste');
INSERT INTO `lang_definitions` VALUES (29365, 3918, 8, 'Nouvelles commandes');
INSERT INTO `lang_definitions` VALUES (29366, 3919, 8, 'Nouveau paragraphe');
INSERT INTO `lang_definitions` VALUES (29367, 3920, 8, 'Nouveau mot de passe');
INSERT INTO `lang_definitions` VALUES (29368, 3921, 8, 'nouveau patient');
INSERT INTO `lang_definitions` VALUES (29369, 3922, 8, 'NOUVEAU PATIENT');
INSERT INTO `lang_definitions` VALUES (29370, 3923, 8, 'Nouvelle rencontre avec le patient');
INSERT INTO `lang_definitions` VALUES (29371, 3924, 8, 'Nouveau formulaire du patient');
INSERT INTO `lang_definitions` VALUES (29372, 3925, 8, 'Nouvel ID du patient');
INSERT INTO `lang_definitions` VALUES (29373, 3926, 8, 'Nouveau paiement');
INSERT INTO `lang_definitions` VALUES (29374, 3929, 8, 'De nouveaux résultats de Lab Exchange');
INSERT INTO `lang_definitions` VALUES (29375, 3930, 8, 'Nouvelle recherche');
INSERT INTO `lang_definitions` VALUES (29376, 3931, 8, 'Nouvelles demandes');
INSERT INTO `lang_definitions` VALUES (29377, 3932, 8, 'Nouvel utilisateur');
INSERT INTO `lang_definitions` VALUES (29378, 3934, 8, 'Nouvelle visite');
INSERT INTO `lang_definitions` VALUES (29379, 3935, 8, 'Nouveau/Recherche');
INSERT INTO `lang_definitions` VALUES (29380, 3936, 8, 'NewCrop Statut du compte');
INSERT INTO `lang_definitions` VALUES (29381, 3937, 8, 'NewCrop Admin');
INSERT INTO `lang_definitions` VALUES (29382, 3938, 8, 'NewCrop Echec de l\'appel');
INSERT INTO `lang_definitions` VALUES (29383, 3939, 8, 'NewCrop Docteur');
INSERT INTO `lang_definitions` VALUES (29384, 3944, 8, 'NewCrop Nom eRx');
INSERT INTO `lang_definitions` VALUES (29385, 3945, 8, 'NewCrop Nom du partenaire eRx');
INSERT INTO `lang_definitions` VALUES (29386, 3946, 8, 'NewCrop mot de passe eRx');
INSERT INTO `lang_definitions` VALUES (29387, 3947, 8, 'NewCrop rôle eRx');
INSERT INTO `lang_definitions` VALUES (29388, 3948, 8, 'NewCrop rôle eRx');
INSERT INTO `lang_definitions` VALUES (29389, 3949, 8, 'NewCrop adresse du site eRx');
INSERT INTO `lang_definitions` VALUES (29390, 3954, 8, 'NewCrop Adresse Web de Service eRx');
INSERT INTO `lang_definitions` VALUES (29391, 3955, 8, 'NewCrop gérant');
INSERT INTO `lang_definitions` VALUES (29392, 3958, 8, 'NewCrop Infirmière');
INSERT INTO `lang_definitions` VALUES (29393, 3959, 8, 'NewCrop médecin superviseur');
INSERT INTO `lang_definitions` VALUES (29394, 3961, 8, 'Journal');
INSERT INTO `lang_definitions` VALUES (29395, 3962, 8, 'Suivant');
INSERT INTO `lang_definitions` VALUES (29396, 3964, 8, 'Jour suivant');
INSERT INTO `lang_definitions` VALUES (29397, 3965, 8, 'Mois suivant');
INSERT INTO `lang_definitions` VALUES (29398, 3966, 8, 'Le mois prochain (maintenir enfoncé pour le menu)');
INSERT INTO `lang_definitions` VALUES (29399, 3967, 8, 'Prochaine exécution prévue');
INSERT INTO `lang_definitions` VALUES (29400, 3968, 8, 'Semaine suivante');
INSERT INTO `lang_definitions` VALUES (29401, 3969, 8, 'l\'année prochaine (maintenir enfoncé pour le menu)');
INSERT INTO `lang_definitions` VALUES (29402, 3971, 8, 'Pseudonyme');
INSERT INTO `lang_definitions` VALUES (29403, 3973, 8, 'Sueurs nocturne');
INSERT INTO `lang_definitions` VALUES (29404, 3974, 8, 'Parties génitale feminine, mucose vaginale, col de l\'utérus');
INSERT INTO `lang_definitions` VALUES (29405, 3975, 8, 'Non');
INSERT INTO `lang_definitions` VALUES (29406, 3976, 8, 'NON');
INSERT INTO `lang_definitions` VALUES (29407, 3977, 8, 'Pas d\'accès');
INSERT INTO `lang_definitions` VALUES (29408, 3978, 8, 'Aucun rappel pour le patient actif.');
INSERT INTO `lang_definitions` VALUES (29409, 3979, 8, 'Pas d\'adénopathie (2 zones sont requises)');
INSERT INTO `lang_definitions` VALUES (29410, 3983, 8, 'Aucun rendez-vous');
INSERT INTO `lang_definitions` VALUES (29411, 3985, 8, 'Aucun système de payement est actuelement actif');
INSERT INTO `lang_definitions` VALUES (29412, 3989, 8, 'Aucun code a été spécifié!');
INSERT INTO `lang_definitions` VALUES (29413, 3992, 8, 'Pas de diagnostic');
INSERT INTO `lang_definitions` VALUES (29414, 3993, 8, 'Pas de document trouvé');
INSERT INTO `lang_definitions` VALUES (29415, 3994, 8, 'Aucune rencontre ne peut être crée');
INSERT INTO `lang_definitions` VALUES (29416, 3995, 8, 'Pas de date de fin');
INSERT INTO `lang_definitions` VALUES (29417, 3996, 8, 'Pas d\'entrés trouvé, utilisé le formulaire si dessous pour ajouter une entré.');
INSERT INTO `lang_definitions` VALUES (29418, 3997, 8, 'Pas d\'erreurs trouvé');
INSERT INTO `lang_definitions` VALUES (29419, 3998, 8, 'Pas d\'evenements');
INSERT INTO `lang_definitions` VALUES (29420, 4001, 8, 'Aucun groupe n\'a été sélectionné');
INSERT INTO `lang_definitions` VALUES (29421, 4002, 8, 'Pas d\'hernie');
INSERT INTO `lang_definitions` VALUES (29422, 4005, 8, 'Pas de blessures/maladies');
INSERT INTO `lang_definitions` VALUES (29423, 4006, 8, 'Pas de compagnie d\'assurance trouvé');
INSERT INTO `lang_definitions` VALUES (29424, 4007, 8, 'Pas de problèmes');
INSERT INTO `lang_definitions` VALUES (29425, 4008, 8, 'Pas de problèmes sur cette rencontre');
INSERT INTO `lang_definitions` VALUES (29426, 4009, 8, 'Pas d\'objets dans la catégorie sélectionné');
INSERT INTO `lang_definitions` VALUES (29427, 4010, 8, 'Aucun objets n\'a été sélectionné!');
INSERT INTO `lang_definitions` VALUES (29428, 4025, 8, 'Aucun fichier de logs pour la date sélectionné');
INSERT INTO `lang_definitions` VALUES (29429, 4027, 8, 'Pas de masses, tendresse');
INSERT INTO `lang_definitions` VALUES (29430, 4028, 8, 'Aucun patient ne correspond au code d\'identification');
INSERT INTO `lang_definitions` VALUES (29431, 4029, 8, 'Aucune correspondance trouvé. Essayez de rechercher encore.');
INSERT INTO `lang_definitions` VALUES (29432, 4030, 8, 'Pas de correspondances trouvé.');
INSERT INTO `lang_definitions` VALUES (29433, 4031, 8, 'Pas de correspondances trouvé. Crée un nouveau patient?');
INSERT INTO `lang_definitions` VALUES (29434, 4032, 8, 'Pas de données correspondante trouvé');
INSERT INTO `lang_definitions` VALUES (29435, 4033, 8, 'Aucun nouveau resultats trouvé');
INSERT INTO `lang_definitions` VALUES (29436, 4034, 8, 'Pas de notes');
INSERT INTO `lang_definitions` VALUES (29437, 4036, 8, 'Aucune ouverture ont été trouvé sur cette période.');
INSERT INTO `lang_definitions` VALUES (29438, 4037, 8, 'Pas d\'autres numéros de téléphone listé');
INSERT INTO `lang_definitions` VALUES (29439, 4039, 8, 'Pas de partenaire trouvé');
INSERT INTO `lang_definitions` VALUES (29440, 4040, 8, 'Pas d\'enregistrement de patient trouvé pour les critères sélectionné');
INSERT INTO `lang_definitions` VALUES (29441, 4041, 8, 'Pas d\'enregistrement de patient trouvé pour le code d\'identification');
INSERT INTO `lang_definitions` VALUES (29442, 4042, 8, 'Pas d\'eudème périphérique');
INSERT INTO `lang_definitions` VALUES (29443, 4043, 8, 'Pas de pharmacies trouvée');
INSERT INTO `lang_definitions` VALUES (29444, 4044, 8, 'Pas de prescriptions trouvé');
INSERT INTO `lang_definitions` VALUES (29445, 4045, 8, 'Ne présente pas de maladie/blessure');
INSERT INTO `lang_definitions` VALUES (29446, 4046, 8, 'Pas d\'entrés précédente.');
INSERT INTO `lang_definitions` VALUES (29447, 4048, 8, 'Pas de rencontre précedentes');
INSERT INTO `lang_definitions` VALUES (29448, 4049, 8, 'Pas de procédures sur cette rencontre.');
INSERT INTO `lang_definitions` VALUES (29449, 4051, 8, 'Pas de fournisseurs trouvé.');
INSERT INTO `lang_definitions` VALUES (29450, 4052, 8, 'Pas de rashes ou de lésions annormale');
INSERT INTO `lang_definitions` VALUES (29451, 4053, 8, 'Pas d\'enregistrement trouvé');
INSERT INTO `lang_definitions` VALUES (29452, 4055, 8, 'Pas d\'enregistrement trouvé. S\'ils vous plait généralisé vos critères de recherche.');
INSERT INTO `lang_definitions` VALUES (29453, 4056, 8, 'Pas de rapels');
INSERT INTO `lang_definitions` VALUES (29454, 4057, 8, 'Pas de résultats trouvé, pour les critères de recherches ci-dessus');
INSERT INTO `lang_definitions` VALUES (29455, 4058, 8, 'Pas de résultats');
INSERT INTO `lang_definitions` VALUES (29456, 4059, 8, 'Pas de résultats trouvé');
INSERT INTO `lang_definitions` VALUES (29457, 4060, 8, 'Pas de résultats trouvé pour la recherche');
INSERT INTO `lang_definitions` VALUES (29458, 4061, 8, 'Pas de résultats trouvé, s\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (29459, 4062, 8, 'Pas de résultats, s\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (29460, 4063, 8, 'Pas de résultats, s\'il vous plait essayez encore.');
INSERT INTO `lang_definitions` VALUES (29461, 4065, 8, 'Pas d\'affichage');
INSERT INTO `lang_definitions` VALUES (29462, 4067, 8, 'Pas de tendresse des sinus');
INSERT INTO `lang_definitions` VALUES (29463, 4068, 8, 'Pas de criblage de la peau ou de nodules dans les seins');
INSERT INTO `lang_definitions` VALUES (29464, 4070, 8, 'Pas de table sélectionné. Sélectionnez une table.');
INSERT INTO `lang_definitions` VALUES (29465, 4071, 8, 'Pas de tendresses/masses testiculaire');
INSERT INTO `lang_definitions` VALUES (29466, 4072, 8, 'Pas de frissons ou de nausées');
INSERT INTO `lang_definitions` VALUES (29467, 4075, 8, 'Pas de visite');
INSERT INTO `lang_definitions` VALUES (29468, 4076, 8, 'Aucun signe vitaux n\'a été documenté.');
INSERT INTO `lang_definitions` VALUES (29469, 4077, 8, 'Non, annulation');
INSERT INTO `lang_definitions` VALUES (29470, 4079, 8, 'Non:');
INSERT INTO `lang_definitions` VALUES (29471, 4081, 8, 'Non payé');
INSERT INTO `lang_definitions` VALUES (29472, 4082, 8, 'Enregistrement non reporté');
INSERT INTO `lang_definitions` VALUES (29473, 4083, 8, 'Pas de blessure spécifique');
INSERT INTO `lang_definitions` VALUES (29474, 4085, 8, 'Diabètes non dépendant a l\'insuline');
INSERT INTO `lang_definitions` VALUES (29475, 4086, 8, 'Non assuré');
INSERT INTO `lang_definitions` VALUES (29476, 4089, 8, 'Aucun(e)');
INSERT INTO `lang_definitions` VALUES (29477, 4090, 8, 'aucun(e)');
INSERT INTO `lang_definitions` VALUES (29478, 4091, 8, 'Aucun défini');
INSERT INTO `lang_definitions` VALUES (29479, 4092, 8, 'Aucun n\'a été documenté');
INSERT INTO `lang_definitions` VALUES (29480, 4093, 8, 'Aucun de ceux au dessus');
INSERT INTO `lang_definitions` VALUES (29481, 4095, 8, 'Diabètes non dépendant a l\'insuline');
INSERT INTO `lang_definitions` VALUES (29482, 4097, 8, 'Normale');
INSERT INTO `lang_definitions` VALUES (29483, 4099, 8, 'Examen cardiaque normal:');
INSERT INTO `lang_definitions` VALUES (29484, 4100, 8, 'Examen cardiaque normal: ');
INSERT INTO `lang_definitions` VALUES (29485, 4101, 8, 'Examen des poumons normal:');
INSERT INTO `lang_definitions` VALUES (29486, 4102, 8, 'Examen des poumons normal: ');
INSERT INTO `lang_definitions` VALUES (29487, 4103, 8, 'Visite normale du bureau');
INSERT INTO `lang_definitions` VALUES (29488, 4105, 8, 'Droite normale');
INSERT INTO `lang_definitions` VALUES (29489, 4106, 8, 'Droite normale:');
INSERT INTO `lang_definitions` VALUES (29490, 4107, 8, 'Vue normale:');
INSERT INTO `lang_definitions` VALUES (29491, 4108, 8, 'normal(e):');
INSERT INTO `lang_definitions` VALUES (29492, 4109, 8, 'Normalement cela devrait etre vérifié. N\'est pas relié au controle d\'acces');
INSERT INTO `lang_definitions` VALUES (29493, 4112, 8, 'Norvegien');
INSERT INTO `lang_definitions` VALUES (29494, 4115, 8, 'Nez');
INSERT INTO `lang_definitions` VALUES (29495, 4116, 8, 'Saignement du nez');
INSERT INTO `lang_definitions` VALUES (29496, 4117, 8, 'N\'est pas une lettre ou un nombre');
INSERT INTO `lang_definitions` VALUES (29497, 4119, 8, 'Tout les champs ne sont pas requis pour tout les codes ou types de codes');
INSERT INTO `lang_definitions` VALUES (29498, 4120, 8, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (29499, 4121, 8, 'Suppression du groupe d\'administration n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (29500, 4122, 8, 'Edition non autorisé');
INSERT INTO `lang_definitions` VALUES (29501, 4123, 8, 'Désactiver tout les objets de sécurité n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (29502, 4127, 8, 'Non applicable');
INSERT INTO `lang_definitions` VALUES (29503, 4129, 8, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (29504, 4130, 8, 'Non Autorisé');
INSERT INTO `lang_definitions` VALUES (29505, 4131, 8, 'Non autorisé pour ce groupe!');
INSERT INTO `lang_definitions` VALUES (29506, 4132, 8, 'Non autorisé pour ce groupe.');
INSERT INTO `lang_definitions` VALUES (29507, 4133, 8, 'Gestion des utilisateur non autorisé');
INSERT INTO `lang_definitions` VALUES (29508, 4134, 8, 'Signer les resultats n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (29509, 4135, 8, 'Non disponible');
INSERT INTO `lang_definitions` VALUES (29510, 4137, 8, 'Non facturé');
INSERT INTO `lang_definitions` VALUES (29511, 4138, 8, 'Non vérifié');
INSERT INTO `lang_definitions` VALUES (29512, 4140, 8, 'Non codé');
INSERT INTO `lang_definitions` VALUES (29513, 4141, 8, 'Non dû');
INSERT INTO `lang_definitions` VALUES (29514, 4143, 8, 'Non examiné');
INSERT INTO `lang_definitions` VALUES (29515, 4144, 8, 'Non examiné:');
INSERT INTO `lang_definitions` VALUES (29516, 4145, 8, 'Non examiné: ');
INSERT INTO `lang_definitions` VALUES (29517, 4146, 8, 'non trouvé');
INSERT INTO `lang_definitions` VALUES (29518, 4148, 8, 'non trouvé!');
INSERT INTO `lang_definitions` VALUES (29519, 4149, 8, 'N\'est pas hispanique ou Latino');
INSERT INTO `lang_definitions` VALUES (29520, 4150, 8, 'Non installé');
INSERT INTO `lang_definitions` VALUES (29521, 4152, 8, 'N\'a pas été vue depuis');
INSERT INTO `lang_definitions` VALUES (29522, 4153, 8, 'Non envoyé');
INSERT INTO `lang_definitions` VALUES (29523, 4154, 8, 'Non envoyé pour le moment');
INSERT INTO `lang_definitions` VALUES (29524, 4155, 8, 'Non spécifié');
INSERT INTO `lang_definitions` VALUES (29525, 4156, 8, 'Non spécifié.');
INSERT INTO `lang_definitions` VALUES (29526, 4157, 8, 'Note');
INSERT INTO `lang_definitions` VALUES (29527, 4158, 8, 'Codes des notes');
INSERT INTO `lang_definitions` VALUES (29528, 4159, 8, 'Cela va prendre 5 à 10 min pour finir le processus après avoir cliqué sur installer');
INSERT INTO `lang_definitions` VALUES (29529, 4160, 8, 'Cela va prendre 5 à 10 min pour finir le processus après avoir cliqué sur mettre à jour');
INSERT INTO `lang_definitions` VALUES (29530, 4162, 8, 'Type de la note');
INSERT INTO `lang_definitions` VALUES (29531, 4172, 8, 'Notes');
INSERT INTO `lang_definitions` VALUES (29532, 4173, 8, 'Notes - toutes rencontres (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (29533, 4174, 8, 'Notes - mes rencontres (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (29534, 4175, 8, 'Notes non autorisé');
INSERT INTO `lang_definitions` VALUES (29535, 4177, 8, 'Rien d\'enregistré');
INSERT INTO `lang_definitions` VALUES (29536, 4179, 8, 'Rien à importé pour les allergies');
INSERT INTO `lang_definitions` VALUES (29537, 4180, 8, 'Rien à importé pour les prescriptions');
INSERT INTO `lang_definitions` VALUES (29538, 4181, 8, 'Rien a montrer');
INSERT INTO `lang_definitions` VALUES (29539, 4182, 8, 'Rien n\'a été sélectionné');
INSERT INTO `lang_definitions` VALUES (29540, 4185, 8, 'Notification');
INSERT INTO `lang_definitions` VALUES (29541, 4186, 8, 'Notification d\'adresse courriel');
INSERT INTO `lang_definitions` VALUES (29542, 4188, 8, 'Notifications');
INSERT INTO `lang_definitions` VALUES (29543, 4189, 8, 'Notifié l\'admin au sujet des evenement de soumission/modifiation ?');
INSERT INTO `lang_definitions` VALUES (29544, 4190, 8, 'Nov.');
INSERT INTO `lang_definitions` VALUES (29545, 4191, 8, 'Novembre');
INSERT INTO `lang_definitions` VALUES (29546, 4192, 8, 'Poster maintenant pour:');
INSERT INTO `lang_definitions` VALUES (29547, 4193, 8, 'Imprimer maintenant');
INSERT INTO `lang_definitions` VALUES (29548, 4200, 8, 'Nombre');
INSERT INTO `lang_definitions` VALUES (29549, 4201, 8, 'Nombre de labos');
INSERT INTO `lang_definitions` VALUES (29550, 4204, 8, 'Nombre de colonnes dans la vue annuelle.');
INSERT INTO `lang_definitions` VALUES (29551, 4211, 8, 'Nombre de jours ou le certificat client est valide.');
INSERT INTO `lang_definitions` VALUES (29552, 4213, 8, 'Nombre de chiffre après le point décimale pour la monnais, habituellement 0 ou 2');
INSERT INTO `lang_definitions` VALUES (29553, 4214, 8, 'Nombre de rencontres a afficher par pages.');
INSERT INTO `lang_definitions` VALUES (29554, 4215, 8, 'Nombre de jeux ou d\'evenements manqué, si il y a');
INSERT INTO `lang_definitions` VALUES (29555, 4216, 8, 'Nombre d\'heures d\'avance pour les notifications courriel.');
INSERT INTO `lang_definitions` VALUES (29556, 4217, 8, 'Nombre d\'heures d\'avance pour les notifications téléphonique.');
INSERT INTO `lang_definitions` VALUES (29557, 4218, 8, 'Nombre d\'heures d\'avance pour les notifications SMS.');
INSERT INTO `lang_definitions` VALUES (29558, 4222, 8, 'Nombre de patient à afficher par page dans la liste de patients');
INSERT INTO `lang_definitions` VALUES (29559, 4225, 8, 'Affichage par ordre numérique');
INSERT INTO `lang_definitions` VALUES (29560, 4227, 8, 'Nutrition');
INSERT INTO `lang_definitions` VALUES (29561, 4231, 8, 'Obésité I');
INSERT INTO `lang_definitions` VALUES (29562, 4232, 8, 'Obésité II');
INSERT INTO `lang_definitions` VALUES (29563, 4233, 8, 'Obésité III');
INSERT INTO `lang_definitions` VALUES (29564, 4234, 8, 'Objectif');
INSERT INTO `lang_definitions` VALUES (29565, 4237, 8, 'Occupation');
INSERT INTO `lang_definitions` VALUES (29566, 4239, 8, 'Occurence');
INSERT INTO `lang_definitions` VALUES (29567, 4240, 8, 'Oct');
INSERT INTO `lang_definitions` VALUES (29568, 4241, 8, 'Octobre');
INSERT INTO `lang_definitions` VALUES (29569, 4242, 8, 'OD');
INSERT INTO `lang_definitions` VALUES (29570, 4243, 8, 'de');
INSERT INTO `lang_definitions` VALUES (29571, 4244, 8, 'de quantité');
INSERT INTO `lang_definitions` VALUES (29572, 4245, 8, 'de tablettes');
INSERT INTO `lang_definitions` VALUES (29573, 4249, 8, 'Notes du bureau');
INSERT INTO `lang_definitions` VALUES (29574, 4250, 8, 'Visite du bureau');
INSERT INTO `lang_definitions` VALUES (29575, 4263, 8, 'descendance');
INSERT INTO `lang_definitions` VALUES (29576, 4267, 8, 'OK');
INSERT INTO `lang_definitions` VALUES (29577, 4269, 8, 'OK pour lié le problème GCAC daté');
INSERT INTO `lang_definitions` VALUES (29578, 4270, 8, 'Ancien');
INSERT INTO `lang_definitions` VALUES (29579, 4272, 8, 'Clients anciens');
INSERT INTO `lang_definitions` VALUES (29580, 4274, 8, 'Ancien type d\'affichage sans menu à gauche');
INSERT INTO `lang_definitions` VALUES (29581, 4277, 8, 'Oublier');
INSERT INTO `lang_definitions` VALUES (29582, 4278, 8, 'Circomférences oubliées');
INSERT INTO `lang_definitions` VALUES (29583, 4279, 8, 'Informations sur l\'employeur oubliées dans Données démographiques du patient');
INSERT INTO `lang_definitions` VALUES (29584, 4280, 8, 'Employeurs oubliés');
INSERT INTO `lang_definitions` VALUES (29585, 4282, 8, 'Oublit de l\'assurance et diverses autres choses dans le formulaire démographique');
INSERT INTO `lang_definitions` VALUES (29586, 4283, 8, 'Utilisateurs internes oubliés?');
INSERT INTO `lang_definitions` VALUES (29587, 4286, 8, 'sur');
INSERT INTO `lang_definitions` VALUES (29588, 4287, 8, 'Sur');
INSERT INTO `lang_definitions` VALUES (29589, 4288, 8, 'Sur la main');
INSERT INTO `lang_definitions` VALUES (29590, 4289, 8, 'Sur l\'ordre');
INSERT INTO `lang_definitions` VALUES (29591, 4290, 8, 'Sur le site');
INSERT INTO `lang_definitions` VALUES (29592, 4292, 8, 'Une fois que vous avez changé votre mot de passe, vous devez vous reconnecter');
INSERT INTO `lang_definitions` VALUES (29593, 4297, 8, 'Support en ligne');
INSERT INTO `lang_definitions` VALUES (29594, 4298, 8, 'Lien du support en ligne');
INSERT INTO `lang_definitions` VALUES (29595, 4299, 8, 'Actif seulement');
INSERT INTO `lang_definitions` VALUES (29596, 4302, 8, 'Seulement si location de la facturation');
INSERT INTO `lang_definitions` VALUES (29597, 4303, 8, 'Seulement innactif');
INSERT INTO `lang_definitions` VALUES (29598, 4304, 8, 'Seulement mien');
INSERT INTO `lang_definitions` VALUES (29599, 4305, 8, 'Montré uniquement les codes de diagnostique rapporté');
INSERT INTO `lang_definitions` VALUES (29600, 4307, 8, 'Mettre a jour uniquement les prescriptions actives');
INSERT INTO `lang_definitions` VALUES (29601, 4310, 8, 'Commencement de la maladie:');
INSERT INTO `lang_definitions` VALUES (29602, 4311, 8, 'Commencement de la maladie: ');
INSERT INTO `lang_definitions` VALUES (29603, 4312, 8, 'Commencement de l\'enflure');
INSERT INTO `lang_definitions` VALUES (29604, 4313, 8, 'Date du début d\'hospatilisation');
INSERT INTO `lang_definitions` VALUES (29605, 4315, 8, 'Oops!');
INSERT INTO `lang_definitions` VALUES (29606, 4316, 8, 'Ouvrir');
INSERT INTO `lang_definitions` VALUES (29607, 4318, 8, 'Ouvrir dans une nouvelle fenètre');
INSERT INTO `lang_definitions` VALUES (29608, 4321, 8, 'Ouvrir les visites d\'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (29609, 4322, 8, 'LibreEHR a déjà un certificat d\'autorité configuré');
INSERT INTO `lang_definitions` VALUES (29610, 4324, 8, 'Mettre à jour la base de donnée d\'LibreEHR');
INSERT INTO `lang_definitions` VALUES (29611, 4329, 8, 'Utilisateurs d\'LibreEHR');
INSERT INTO `lang_definitions` VALUES (29612, 4330, 8, 'Ouvertures');
INSERT INTO `lang_definitions` VALUES (29613, 4333, 8, 'Option');
INSERT INTO `lang_definitions` VALUES (29614, 4336, 8, 'Optionneil');
INSERT INTO `lang_definitions` VALUES (29615, 4350, 8, 'Options');
INSERT INTO `lang_definitions` VALUES (29616, 4351, 8, 'Ou');
INSERT INTO `lang_definitions` VALUES (29617, 4352, 8, 'OU');
INSERT INTO `lang_definitions` VALUES (29618, 4353, 8, 'ou choisir');
INSERT INTO `lang_definitions` VALUES (29619, 4354, 8, 'ou cliquer et glisser pour une sélection plus rapide.');
INSERT INTO `lang_definitions` VALUES (29620, 4358, 8, 'Ou Shift-clic pour le diminuer');
INSERT INTO `lang_definitions` VALUES (29621, 4359, 8, 'Ou téléverser un fchier ERA:');
INSERT INTO `lang_definitions` VALUES (29622, 4360, 8, 'Oral');
INSERT INTO `lang_definitions` VALUES (29623, 4361, 8, 'Mucoses buccal roses, gorge normale');
INSERT INTO `lang_definitions` VALUES (29624, 4362, 8, 'Commander');
INSERT INTO `lang_definitions` VALUES (29625, 4363, 8, 'Commander et types de resultats');
INSERT INTO `lang_definitions` VALUES (29626, 4364, 8, 'Catalogue de commande');
INSERT INTO `lang_definitions` VALUES (29627, 4365, 8, 'Date de la commande');
INSERT INTO `lang_definitions` VALUES (29628, 4367, 8, 'Commander depuis');
INSERT INTO `lang_definitions` VALUES (29629, 4368, 8, 'ID de la commande');
INSERT INTO `lang_definitions` VALUES (29630, 4381, 8, 'Commandé');
INSERT INTO `lang_definitions` VALUES (29631, 4382, 8, 'Commandé par');
INSERT INTO `lang_definitions` VALUES (29632, 4386, 8, 'Blessure à l\'organe');
INSERT INTO `lang_definitions` VALUES (29633, 4387, 8, 'Organisation');
INSERT INTO `lang_definitions` VALUES (29634, 4388, 8, 'Nom de l\'organisation');
INSERT INTO `lang_definitions` VALUES (29635, 4390, 8, 'Organisations');
INSERT INTO `lang_definitions` VALUES (29636, 4392, 8, 'Original');
INSERT INTO `lang_definitions` VALUES (29637, 4397, 8, 'Orthopédiee');
INSERT INTO `lang_definitions` VALUES (29638, 4402, 8, 'Autre');
INSERT INTO `lang_definitions` VALUES (29639, 4403, 8, 'autre');
INSERT INTO `lang_definitions` VALUES (29640, 4404, 8, 'Autre (spécifier)');
INSERT INTO `lang_definitions` VALUES (29641, 4405, 8, 'Autre - Spécifié');
INSERT INTO `lang_definitions` VALUES (29642, 4406, 8, 'Autre programe fédérale');
INSERT INTO `lang_definitions` VALUES (29643, 4408, 8, 'Autre blessure, pas d\'autre endroit spécifié');
INSERT INTO `lang_definitions` VALUES (29644, 4410, 8, 'autre mois');
INSERT INTO `lang_definitions` VALUES (29645, 4411, 8, 'Autre programes non-fédérale');
INSERT INTO `lang_definitions` VALUES (29646, 4412, 8, 'Autres Notes');
INSERT INTO `lang_definitions` VALUES (29647, 4413, 8, 'Autres symptômes pertinents');
INSERT INTO `lang_definitions` VALUES (29648, 4414, 8, 'Autres symptômes pertinents:');
INSERT INTO `lang_definitions` VALUES (29649, 4417, 8, 'Autre chirurgie');
INSERT INTO `lang_definitions` VALUES (29650, 4418, 8, 'Autre choses relié à l\'avortement');
INSERT INTO `lang_definitions` VALUES (29651, 4420, 8, 'Autres');
INSERT INTO `lang_definitions` VALUES (29652, 4421, 8, 'sinon vous allez detruire des references à/de données existantes.');
INSERT INTO `lang_definitions` VALUES (29653, 4423, 8, 'OU');
INSERT INTO `lang_definitions` VALUES (29654, 4424, 8, 'En dehors');
INSERT INTO `lang_definitions` VALUES (29655, 4425, 8, 'En dehors du bureau');
INSERT INTO `lang_definitions` VALUES (29656, 4426, 8, 'Rapport de départ');
INSERT INTO `lang_definitions` VALUES (29657, 4427, 8, 'Dépenses');
INSERT INTO `lang_definitions` VALUES (29658, 4428, 8, 'Outlook');
INSERT INTO `lang_definitions` VALUES (29659, 4431, 8, 'Trop de dettes');
INSERT INTO `lang_definitions` VALUES (29660, 4432, 8, 'Trop d\'utilisation');
INSERT INTO `lang_definitions` VALUES (29661, 4433, 8, 'Vue générale');
INSERT INTO `lang_definitions` VALUES (29662, 4434, 8, 'Sucharge pondérale');
INSERT INTO `lang_definitions` VALUES (29663, 4437, 8, 'Saturation d\'O2');
INSERT INTO `lang_definitions` VALUES (29664, 4440, 8, 'pc');
INSERT INTO `lang_definitions` VALUES (29665, 4441, 8, 'pm');
INSERT INTO `lang_definitions` VALUES (29666, 4442, 8, 'prn');
INSERT INTO `lang_definitions` VALUES (29667, 4444, 8, 'Pédiatrique');
INSERT INTO `lang_definitions` VALUES (29668, 4445, 8, 'Page');
INSERT INTO `lang_definitions` VALUES (29669, 4446, 8, 'Pages');
INSERT INTO `lang_definitions` VALUES (29670, 4447, 8, 'Payé');
INSERT INTO `lang_definitions` VALUES (29671, 4450, 8, 'Payé avec');
INSERT INTO `lang_definitions` VALUES (29672, 4451, 8, 'Douleur');
INSERT INTO `lang_definitions` VALUES (29673, 4453, 8, 'Palpitation');
INSERT INTO `lang_definitions` VALUES (29674, 4455, 8, 'Test de Pap');
INSERT INTO `lang_definitions` VALUES (29675, 4456, 8, 'Papier');
INSERT INTO `lang_definitions` VALUES (29676, 4457, 8, 'Taille du papier');
INSERT INTO `lang_definitions` VALUES (29677, 4458, 8, 'Paralysie');
INSERT INTO `lang_definitions` VALUES (29678, 4463, 8, 'Partenaire');
INSERT INTO `lang_definitions` VALUES (29679, 4464, 8, 'Nom du partenaire');
INSERT INTO `lang_definitions` VALUES (29680, 4470, 8, 'Alerte passive');
INSERT INTO `lang_definitions` VALUES (29681, 4471, 8, 'Règles d\'alerte passive');
INSERT INTO `lang_definitions` VALUES (29682, 4472, 8, 'Mot de passe');
INSERT INTO `lang_definitions` VALUES (29683, 4473, 8, 'Modification de mot de passe');
INSERT INTO `lang_definitions` VALUES (29684, 4474, 8, 'Mot de passe modifié avec succes');
INSERT INTO `lang_definitions` VALUES (29685, 4475, 8, 'Mot de passe modifié avec succes.');
INSERT INTO `lang_definitions` VALUES (29686, 4477, 8, 'Periode de grâce avant expiration du mot de passe');
INSERT INTO `lang_definitions` VALUES (29687, 4486, 8, 'Mot de passe:');
INSERT INTO `lang_definitions` VALUES (29688, 4487, 8, 'Les mots de passes ne correspondent pas!');
INSERT INTO `lang_definitions` VALUES (29689, 4488, 8, 'Anciens rendez-vous');
INSERT INTO `lang_definitions` VALUES (29690, 4489, 8, 'Gadget d\'affichage d\'ancien rendez-vous');
INSERT INTO `lang_definitions` VALUES (29691, 4490, 8, 'Dû passé');
INSERT INTO `lang_definitions` VALUES (29692, 4491, 8, 'Dû Passé');
INSERT INTO `lang_definitions` VALUES (29693, 4494, 8, 'Liste de rencontres passées');
INSERT INTO `lang_definitions` VALUES (29694, 4495, 8, 'Rencontres passées');
INSERT INTO `lang_definitions` VALUES (29695, 4496, 8, 'Rencontres passées et documents');
INSERT INTO `lang_definitions` VALUES (29696, 4497, 8, 'Rencontrres passées pour');
INSERT INTO `lang_definitions` VALUES (29697, 4514, 8, 'Patient');
INSERT INTO `lang_definitions` VALUES (29698, 4515, 8, 'patient');
INSERT INTO `lang_definitions` VALUES (29699, 4516, 8, 'PATIENT');
INSERT INTO `lang_definitions` VALUES (29700, 4517, 8, 'L\'adresse du patient manque');
INSERT INTO `lang_definitions` VALUES (29701, 4518, 8, 'L\'adresse du patient');
INSERT INTO `lang_definitions` VALUES (29702, 4521, 8, 'Allergies du patient');
INSERT INTO `lang_definitions` VALUES (29703, 4522, 8, 'Allergies du Patient');
INSERT INTO `lang_definitions` VALUES (29704, 4523, 8, 'Rendez-vous du patient');
INSERT INTO `lang_definitions` VALUES (29705, 4524, 8, 'Payements du patient');
INSERT INTO `lang_definitions` VALUES (29706, 4525, 8, 'Payements restant du patient');
INSERT INTO `lang_definitions` VALUES (29707, 4528, 8, 'Numéro de dossier');
INSERT INTO `lang_definitions` VALUES (29708, 4531, 8, 'Ville du patient');
INSERT INTO `lang_definitions` VALUES (29709, 4532, 8, 'Ville patient est manquante');
INSERT INTO `lang_definitions` VALUES (29710, 4533, 8, 'Communication patient envoyé');
INSERT INTO `lang_definitions` VALUES (29711, 4534, 8, 'Communication patient envoyé');
INSERT INTO `lang_definitions` VALUES (29712, 4535, 8, 'Pays patient');
INSERT INTO `lang_definitions` VALUES (29713, 4536, 8, 'Pays Patients est manquant. Aussi, vous n\'avez pas réglé Pays par défaut pour les patients dans Paramètres Globaux');
INSERT INTO `lang_definitions` VALUES (29714, 4537, 8, 'Couverture du patient');
INSERT INTO `lang_definitions` VALUES (29715, 4539, 8, 'Les données des patients');
INSERT INTO `lang_definitions` VALUES (29716, 4541, 8, 'Date de naissance du patient est manquante');
INSERT INTO `lang_definitions` VALUES (29717, 4542, 8, 'Données du patient');
INSERT INTO `lang_definitions` VALUES (29718, 4543, 8, 'Date de naissance du patient');
INSERT INTO `lang_definitions` VALUES (29719, 4544, 8, 'Document du patient');
INSERT INTO `lang_definitions` VALUES (29720, 4545, 8, 'Education du patient');
INSERT INTO `lang_definitions` VALUES (29721, 4547, 8, 'Rencontre avec le patient');
INSERT INTO `lang_definitions` VALUES (29722, 4548, 8, 'Formulaire de rencontre avec le patient');
INSERT INTO `lang_definitions` VALUES (29723, 4549, 8, 'Rencontres avec le patient');
INSERT INTO `lang_definitions` VALUES (29724, 4550, 8, 'Annuaire des patients');
INSERT INTO `lang_definitions` VALUES (29725, 4551, 8, 'Prénom du patient');
INSERT INTO `lang_definitions` VALUES (29726, 4553, 8, 'Prénom du patient manquant');
INSERT INTO `lang_definitions` VALUES (29727, 4558, 8, 'Sexe du patient');
INSERT INTO `lang_definitions` VALUES (29728, 4559, 8, 'Sexe du patient manquant');
INSERT INTO `lang_definitions` VALUES (29729, 4560, 8, 'Patient n\'a pas autorisé le Portail des patients.');
INSERT INTO `lang_definitions` VALUES (29730, 4561, 8, 'Historique du patient');
INSERT INTO `lang_definitions` VALUES (29731, 4562, 8, 'Historique du patient / Mode de vie');
INSERT INTO `lang_definitions` VALUES (29732, 4563, 8, 'Téléphone à domicile du patient');
INSERT INTO `lang_definitions` VALUES (29733, 4564, 8, 'ID Patient');
INSERT INTO `lang_definitions` VALUES (29734, 4565, 8, 'ID Patient');
INSERT INTO `lang_definitions` VALUES (29735, 4566, 8, 'ID carte du patient');
INSERT INTO `lang_definitions` VALUES (29736, 4568, 8, 'Vaccination du patient');
INSERT INTO `lang_definitions` VALUES (29737, 4569, 8, 'Informations du patient');
INSERT INTO `lang_definitions` VALUES (29738, 4570, 8, 'Instructions du patient');
INSERT INTO `lang_definitions` VALUES (29739, 4573, 8, 'Problèmes du patient');
INSERT INTO `lang_definitions` VALUES (29740, 4575, 8, 'Nom du patient');
INSERT INTO `lang_definitions` VALUES (29741, 4577, 8, 'Nom du patient manquant');
INSERT INTO `lang_definitions` VALUES (29742, 4581, 8, 'Liste des patients');
INSERT INTO `lang_definitions` VALUES (29743, 4582, 8, 'Colonnes de la liste des patients');
INSERT INTO `lang_definitions` VALUES (29744, 4584, 8, 'Liste des patients dans une nouvelle fenêtre');
INSERT INTO `lang_definitions` VALUES (29745, 4585, 8, 'Taille de la page de la liste des patients');
INSERT INTO `lang_definitions` VALUES (29746, 4586, 8, 'Erreurs de recherche patient');
INSERT INTO `lang_definitions` VALUES (29747, 4587, 8, 'Problèmes médicaux du patient');
INSERT INTO `lang_definitions` VALUES (29748, 4588, 8, 'Les médicaments du patient');
INSERT INTO `lang_definitions` VALUES (29749, 4589, 8, 'Nom du patient');
INSERT INTO `lang_definitions` VALUES (29750, 4590, 8, 'Nom et adresse du patient');
INSERT INTO `lang_definitions` VALUES (29751, 4593, 8, 'Nom du patient requis');
INSERT INTO `lang_definitions` VALUES (29752, 4595, 8, 'Remarque patient');
INSERT INTO `lang_definitions` VALUES (29753, 4596, 8, 'Types des remarques patient');
INSERT INTO `lang_definitions` VALUES (29754, 4597, 8, 'Remarques patient');
INSERT INTO `lang_definitions` VALUES (29755, 4598, 8, 'Notes du patient (écrire, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (29756, 4599, 8, 'Nombre du patient');
INSERT INTO `lang_definitions` VALUES (29757, 4600, 8, 'Paiement du patient');
INSERT INTO `lang_definitions` VALUES (29758, 4603, 8, 'Portail Patient');
INSERT INTO `lang_definitions` VALUES (29759, 4605, 8, 'Portail Patient est désactivé');
INSERT INTO `lang_definitions` VALUES (29760, 4606, 8, 'Connexion au Portail Patient');
INSERT INTO `lang_definitions` VALUES (29761, 4607, 8, 'Adresse web du Portail Patient');
INSERT INTO `lang_definitions` VALUES (29762, 4608, 8, 'Rapport imprimé du patient');
INSERT INTO `lang_definitions` VALUES (29763, 4609, 8, 'Rapport de dossier patient');
INSERT INTO `lang_definitions` VALUES (29764, 4610, 8, 'Demande de dossier patient');
INSERT INTO `lang_definitions` VALUES (29765, 4611, 8, 'Demande des dossiers patient');
INSERT INTO `lang_definitions` VALUES (29766, 4613, 8, 'Rappel du patient');
INSERT INTO `lang_definitions` VALUES (29767, 4615, 8, 'Priorité de traitement pour la création d\'un rappel patient');
INSERT INTO `lang_definitions` VALUES (29768, 4616, 8, 'Règles de rappel des patients');
INSERT INTO `lang_definitions` VALUES (29769, 4617, 8, 'Expéditeur e-mail pour les rappels patients');
INSERT INTO `lang_definitions` VALUES (29770, 4618, 8, 'Nom d\'expéditeur pour les rappels patients');
INSERT INTO `lang_definitions` VALUES (29771, 4619, 8, 'Rappels patients');
INSERT INTO `lang_definitions` VALUES (29772, 4620, 8, 'Rapport patient');
INSERT INTO `lang_definitions` VALUES (29773, 4621, 8, 'Demande patient');
INSERT INTO `lang_definitions` VALUES (29774, 4622, 8, 'Dossiers médicaux demandés par le patient');
INSERT INTO `lang_definitions` VALUES (29775, 4623, 8, 'Résultats du patients');
INSERT INTO `lang_definitions` VALUES (29776, 4624, 8, 'Style des résultats de recherche des patients');
INSERT INTO `lang_definitions` VALUES (29777, 4625, 8, 'Ecran de Recherche/Ajout patient');
INSERT INTO `lang_definitions` VALUES (29778, 4626, 8, 'Réglages du patient');
INSERT INTO `lang_definitions` VALUES (29779, 4627, 8, 'Etat du patient');
INSERT INTO `lang_definitions` VALUES (29780, 4629, 8, 'Résumé du patient');
INSERT INTO `lang_definitions` VALUES (29781, 4630, 8, 'Transactions du patient');
INSERT INTO `lang_definitions` VALUES (29782, 4631, 8, 'Code postale du patient');
INSERT INTO `lang_definitions` VALUES (29783, 4632, 8, 'Patient (s) dans la base de données qui correspond(ent) aux critères démographique que vous avez entré.');
INSERT INTO `lang_definitions` VALUES (29784, 4633, 8, 'Patient / client');
INSERT INTO `lang_definitions` VALUES (29785, 4634, 8, 'Patient:');
INSERT INTO `lang_definitions` VALUES (29786, 4635, 8, 'ID Patient');
INSERT INTO `lang_definitions` VALUES (29787, 4636, 8, 'Patients');
INSERT INTO `lang_definitions` VALUES (29788, 4637, 8, 'Patient traité');
INSERT INTO `lang_definitions` VALUES (29789, 4638, 8, 'Payer');
INSERT INTO `lang_definitions` VALUES (29790, 4640, 8, 'Date de payement');
INSERT INTO `lang_definitions` VALUES (29791, 4641, 8, 'Status du payement');
INSERT INTO `lang_definitions` VALUES (29792, 4647, 8, 'Payement');
INSERT INTO `lang_definitions` VALUES (29793, 4648, 8, 'payement');
INSERT INTO `lang_definitions` VALUES (29794, 4651, 8, 'Montant du payement');
INSERT INTO `lang_definitions` VALUES (29795, 4652, 8, 'Le montant du payement doit etre numérique');
INSERT INTO `lang_definitions` VALUES (29796, 4653, 8, 'Catégorie du payement');
INSERT INTO `lang_definitions` VALUES (29797, 4654, 8, 'Date du payement');
INSERT INTO `lang_definitions` VALUES (29798, 4655, 8, 'payement entré le');
INSERT INTO `lang_definitions` VALUES (29799, 4656, 8, 'payement provenant de');
INSERT INTO `lang_definitions` VALUES (29800, 4659, 8, 'Liste du payement');
INSERT INTO `lang_definitions` VALUES (29801, 4660, 8, 'Methode du payement');
INSERT INTO `lang_definitions` VALUES (29802, 4661, 8, 'Trié les payement par');
INSERT INTO `lang_definitions` VALUES (29803, 4662, 8, 'Status du payement');
INSERT INTO `lang_definitions` VALUES (29804, 4663, 8, 'Type de payement');
INSERT INTO `lang_definitions` VALUES (29805, 4665, 8, 'Payements');
INSERT INTO `lang_definitions` VALUES (29806, 4669, 8, 'PDF');
INSERT INTO `lang_definitions` VALUES (29807, 4672, 8, 'Pelvis et fesses');
INSERT INTO `lang_definitions` VALUES (29808, 4674, 8, 'En attente');
INSERT INTO `lang_definitions` VALUES (29809, 4677, 8, 'Suivis en attente');
INSERT INTO `lang_definitions` VALUES (29810, 4678, 8, 'Suivis en attente depuis les resultats');
INSERT INTO `lang_definitions` VALUES (29811, 4679, 8, 'Commandes en attentes');
INSERT INTO `lang_definitions` VALUES (29812, 4685, 8, 'maladie d\'ulcer digestif');
INSERT INTO `lang_definitions` VALUES (29813, 4686, 8, 'Par rencontre');
INSERT INTO `lang_definitions` VALUES (29814, 4687, 8, 'par min');
INSERT INTO `lang_definitions` VALUES (29815, 4688, 8, 'Au nombril');
INSERT INTO `lang_definitions` VALUES (29816, 4689, 8, 'au nombril');
INSERT INTO `lang_definitions` VALUES (29817, 4692, 8, 'Au rectum');
INSERT INTO `lang_definitions` VALUES (29818, 4693, 8, 'au rectum');
INSERT INTO `lang_definitions` VALUES (29819, 4694, 8, 'Pourcent');
INSERT INTO `lang_definitions` VALUES (29820, 4697, 8, 'centile');
INSERT INTO `lang_definitions` VALUES (29821, 4699, 8, 'Faire une recherche');
INSERT INTO `lang_definitions` VALUES (29822, 4700, 8, 'Faire cette action');
INSERT INTO `lang_definitions` VALUES (29823, 4705, 8, 'Période');
INSERT INTO `lang_definitions` VALUES (29824, 4706, 8, 'Période en jour ou un utilisateur pourra se connecter avec un mot de passe expiré.');
INSERT INTO `lang_definitions` VALUES (29825, 4708, 8, 'Périphérique');
INSERT INTO `lang_definitions` VALUES (29826, 4709, 8, 'Autoriser les mots de passe non salé');
INSERT INTO `lang_definitions` VALUES (29827, 4710, 8, 'Perse');
INSERT INTO `lang_definitions` VALUES (29828, 4712, 8, 'Personne');
INSERT INTO `lang_definitions` VALUES (29829, 4713, 8, 'Personnaliser');
INSERT INTO `lang_definitions` VALUES (29830, 4717, 8, 'Pharmacies');
INSERT INTO `lang_definitions` VALUES (29831, 4718, 8, 'Pharmacie');
INSERT INTO `lang_definitions` VALUES (29832, 4719, 8, 'Dispensaire de batiment');
INSERT INTO `lang_definitions` VALUES (29833, 4729, 8, 'Téléphone');
INSERT INTO `lang_definitions` VALUES (29834, 4730, 8, 'Liste d\'appel du téléphone');
INSERT INTO `lang_definitions` VALUES (29835, 4731, 8, 'Rapport sur la liste d\'appel du téléphone');
INSERT INTO `lang_definitions` VALUES (29836, 4738, 8, 'Numéro de téléphone');
INSERT INTO `lang_definitions` VALUES (29837, 4740, 8, 'Photophobie');
INSERT INTO `lang_definitions` VALUES (29838, 4741, 8, 'Photos');
INSERT INTO `lang_definitions` VALUES (29839, 4742, 8, 'PHP compressé');
INSERT INTO `lang_definitions` VALUES (29840, 4746, 8, 'PHP-gacl n\'est pas installé');
INSERT INTO `lang_definitions` VALUES (29841, 4747, 8, 'Examen Physique');
INSERT INTO `lang_definitions` VALUES (29842, 4749, 8, 'Demande du médecin');
INSERT INTO `lang_definitions` VALUES (29843, 4750, 8, 'Signature du médecin');
INSERT INTO `lang_definitions` VALUES (29844, 4752, 8, 'Médecins');
INSERT INTO `lang_definitions` VALUES (29845, 4753, 8, 'choisir');
INSERT INTO `lang_definitions` VALUES (29846, 4754, 8, 'Chosir');
INSERT INTO `lang_definitions` VALUES (29847, 4755, 8, 'Choisir un thème CSS.');
INSERT INTO `lang_definitions` VALUES (29848, 4757, 8, 'PID (maladie inflammatoire pelvienne)');
INSERT INTO `lang_definitions` VALUES (29849, 4758, 8, 'Taille de la pilule');
INSERT INTO `lang_definitions` VALUES (29850, 4759, 8, 'Pilules');
INSERT INTO `lang_definitions` VALUES (29851, 4767, 8, 'Texte uniquement');
INSERT INTO `lang_definitions` VALUES (29852, 4768, 8, 'Plan');
INSERT INTO `lang_definitions` VALUES (29853, 4771, 8, 'Nom du plan');
INSERT INTO `lang_definitions` VALUES (29854, 4779, 8, 'Plan:');
INSERT INTO `lang_definitions` VALUES (29855, 4782, 8, 'Plans');
INSERT INTO `lang_definitions` VALUES (29856, 4784, 8, 'Joueur');
INSERT INTO `lang_definitions` VALUES (29857, 4785, 8, 'Position de jeu');
INSERT INTO `lang_definitions` VALUES (29858, 4786, 8, 'S\'il vous plait appelez si n\'importe quel information ci-dessus est incorrecte');
INSERT INTO `lang_definitions` VALUES (29859, 4787, 8, 'S\'il vous plait changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (29860, 4788, 8, 'S\'il vous plait choississez un fichié');
INSERT INTO `lang_definitions` VALUES (29861, 4789, 8, 'S\'il vous plait chossissez un patient');
INSERT INTO `lang_definitions` VALUES (29862, 4790, 8, 'S\'il vous plait choississez une selection valide dans la liste.');
INSERT INTO `lang_definitions` VALUES (29863, 4791, 8, 'S\'il vous plait choississez une sélection valide.');
INSERT INTO `lang_definitions` VALUES (29864, 4792, 8, 'S\'il vous plait choississez une valeur pour');
INSERT INTO `lang_definitions` VALUES (29865, 4797, 8, 'S\'il vous plait fermer cette fenètre.');
INSERT INTO `lang_definitions` VALUES (29866, 4810, 8, 'S\'il vous plait entrer une date.');
INSERT INTO `lang_definitions` VALUES (29867, 4812, 8, 'S\'il vous plait entrer un message');
INSERT INTO `lang_definitions` VALUES (29868, 4813, 8, 'S\'il vous plait entrer entrer un montant monaitaire en utilisant uniquement des nombres et le point decimal.');
INSERT INTO `lang_definitions` VALUES (29869, 4814, 8, 'S\'il vous plait entrer un nouveau mot de passe');
INSERT INTO `lang_definitions` VALUES (29870, 4815, 8, 'S\'il vous plait entrer un titre!');
INSERT INTO `lang_definitions` VALUES (29871, 4821, 8, 'S\'il vous plait entrer une nouvelle phrase de recherche');
INSERT INTO `lang_definitions` VALUES (29872, 4823, 8, 'S\'il vous plait entrer le mot de passe');
INSERT INTO `lang_definitions` VALUES (29873, 4826, 8, 'S\'il vous plait remplissez la date');
INSERT INTO `lang_definitions` VALUES (29874, 4827, 8, 'S\'il vous plait rentrez le montant du payement');
INSERT INTO `lang_definitions` VALUES (29875, 4828, 8, 'S\'il vous plait rentrez la catégorie de payement');
INSERT INTO `lang_definitions` VALUES (29876, 4832, 8, 'S\'il vous plait indiquez la raison de la visite');
INSERT INTO `lang_definitions` VALUES (29877, 4836, 8, 'S\'il vous plait connectez vous de nouveau.');
INSERT INTO `lang_definitions` VALUES (29878, 4839, 8, 'S\'il vous plait utilisez des caractères alphabetique');
INSERT INTO `lang_definitions` VALUES (29879, 4840, 8, 'S\'il vous plait utilisez des caractères alphabetique sans espace');
INSERT INTO `lang_definitions` VALUES (29880, 4841, 8, 'S\'il vous plait payez ce montant');
INSERT INTO `lang_definitions` VALUES (29881, 4842, 8, 'S\'il vous plait placez vos fichiers d\'installation dans le dossier suivant');
INSERT INTO `lang_definitions` VALUES (29882, 4844, 8, 'S\'il vous plait resetez le mot de passe');
INSERT INTO `lang_definitions` VALUES (29883, 4847, 8, 'S\'il vous plait selectionnez');
INSERT INTO `lang_definitions` VALUES (29884, 4849, 8, 'S\'il vous plait selectionnez une langue');
INSERT INTO `lang_definitions` VALUES (29885, 4850, 8, 'S\'il vous plait selectionnez un patient.');
INSERT INTO `lang_definitions` VALUES (29886, 4859, 8, 'S\'il vous plait selectionnez un évenement');
INSERT INTO `lang_definitions` VALUES (29887, 4860, 8, 'S\'il vous plait selectionnez n\'importe quel option de recherche/');
INSERT INTO `lang_definitions` VALUES (29888, 4863, 8, 'S\'il vous plait selectionnez au moins une prescription!');
INSERT INTO `lang_definitions` VALUES (29889, 4865, 8, 'S\'il vous plait selectionnez les pages voulues pour copier ou faire suivre:');
INSERT INTO `lang_definitions` VALUES (29890, 4866, 8, 'S\'il vous plait selectionnez la méthode de payement');
INSERT INTO `lang_definitions` VALUES (29891, 4867, 8, 'S\'il vous plait selectionnez le type de payement.');
INSERT INTO `lang_definitions` VALUES (29892, 4870, 8, 'S\'il vous plait mettre');
INSERT INTO `lang_definitions` VALUES (29893, 4878, 8, 'S\'il vous plait visitez l\'ecran après un certain temps');
INSERT INTO `lang_definitions` VALUES (29894, 4881, 8, 'Pluriel');
INSERT INTO `lang_definitions` VALUES (29895, 4891, 8, 'Vaccin contre la pneumonie');
INSERT INTO `lang_definitions` VALUES (29896, 4892, 8, 'Status du vaccin contre la pneumonie pour adultes les plus anciens');
INSERT INTO `lang_definitions` VALUES (29897, 4893, 8, 'Status du vaccin contre la pneumonie pour adultes les plus anciens (LCQ)');
INSERT INTO `lang_definitions` VALUES (29898, 4894, 8, 'Podologie');
INSERT INTO `lang_definitions` VALUES (29899, 4899, 8, 'Numéro de la politice');
INSERT INTO `lang_definitions` VALUES (29900, 4900, 8, 'Polonais');
INSERT INTO `lang_definitions` VALUES (29901, 4902, 8, 'Polypes');
INSERT INTO `lang_definitions` VALUES (29902, 4904, 8, 'Faible appétit');
INSERT INTO `lang_definitions` VALUES (29903, 4905, 8, 'Faible circulation');
INSERT INTO `lang_definitions` VALUES (29904, 4906, 8, 'Ouïe faible');
INSERT INTO `lang_definitions` VALUES (29905, 4907, 8, 'Les pop up doivent être activés pour voir ces rapport');
INSERT INTO `lang_definitions` VALUES (29906, 4910, 8, 'Portail');
INSERT INTO `lang_definitions` VALUES (29907, 4911, 8, 'Activité du portail');
INSERT INTO `lang_definitions` VALUES (29908, 4917, 8, 'Portugais');
INSERT INTO `lang_definitions` VALUES (29909, 4918, 8, 'Portugais (Brésillien)');
INSERT INTO `lang_definitions` VALUES (29910, 4919, 8, 'Portugais (Européen)');
INSERT INTO `lang_definitions` VALUES (29911, 4922, 8, 'Positif');
INSERT INTO `lang_definitions` VALUES (29912, 4923, 8, 'Positifs');
INSERT INTO `lang_definitions` VALUES (29913, 4937, 8, 'Postal');
INSERT INTO `lang_definitions` VALUES (29914, 4938, 8, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (29915, 4939, 8, 'Code postal');
INSERT INTO `lang_definitions` VALUES (29916, 4946, 8, 'Date d\'envois');
INSERT INTO `lang_definitions` VALUES (29917, 4953, 8, 'Entrainement');
INSERT INTO `lang_definitions` VALUES (29918, 4954, 8, 'Paramètre par defaut des entrainements');
INSERT INTO `lang_definitions` VALUES (29919, 4955, 8, 'Paramètre par defaut des entrainements');
INSERT INTO `lang_definitions` VALUES (29920, 4956, 8, 'Entraineur');
INSERT INTO `lang_definitions` VALUES (29921, 4958, 8, 'Pré-payement');
INSERT INTO `lang_definitions` VALUES (29922, 4959, 8, 'Pré-payement');
INSERT INTO `lang_definitions` VALUES (29923, 4960, 8, 'Consultation pré-avortement');
INSERT INTO `lang_definitions` VALUES (29924, 4961, 8, 'Aide psychologique pré-avortement');
INSERT INTO `lang_definitions` VALUES (29925, 4964, 8, 'Préférences');
INSERT INTO `lang_definitions` VALUES (29926, 4965, 8, 'Catégorie d\'évenement préféré');
INSERT INTO `lang_definitions` VALUES (29927, 4966, 8, 'Langue préféré');
INSERT INTO `lang_definitions` VALUES (29928, 4967, 8, 'Pharmacie préféré');
INSERT INTO `lang_definitions` VALUES (29929, 4969, 8, 'Test de grossesse');
INSERT INTO `lang_definitions` VALUES (29930, 4970, 8, 'Préliminaire');
INSERT INTO `lang_definitions` VALUES (29931, 4972, 8, 'Pré-payement');
INSERT INTO `lang_definitions` VALUES (29932, 4973, 8, 'Prescription');
INSERT INTO `lang_definitions` VALUES (29933, 4975, 8, 'Historique des prescriptions');
INSERT INTO `lang_definitions` VALUES (29934, 4976, 8, 'L\'historique des prescriptions a été importé avec succes');
INSERT INTO `lang_definitions` VALUES (29935, 4979, 8, 'Prescriptions');
INSERT INTO `lang_definitions` VALUES (29936, 4983, 8, 'Rapport des prescriptions');
INSERT INTO `lang_definitions` VALUES (29937, 4984, 8, 'Prescriptions/Envois vers des spécialistes');
INSERT INTO `lang_definitions` VALUES (29938, 4985, 8, 'Présent');
INSERT INTO `lang_definitions` VALUES (29939, 4986, 8, 'À des réclamations');
INSERT INTO `lang_definitions` VALUES (29940, 4987, 8, 'À des problèmes');
INSERT INTO `lang_definitions` VALUES (29941, 4988, 8, 'Appuyer sur Continuer pour effectuer l\'action');
INSERT INTO `lang_definitions` VALUES (29942, 4989, 8, 'Diagnostic présumé');
INSERT INTO `lang_definitions` VALUES (29943, 4990, 8, 'Diagnostic présumé par un spécialiste');
INSERT INTO `lang_definitions` VALUES (29944, 4995, 8, 'Soin préventif');
INSERT INTO `lang_definitions` VALUES (29945, 4998, 8, 'Aperçu de l\'evenement');
INSERT INTO `lang_definitions` VALUES (29946, 5000, 8, 'Aperçu de');
INSERT INTO `lang_definitions` VALUES (29947, 5001, 8, 'Précédent');
INSERT INTO `lang_definitions` VALUES (29948, 5002, 8, 'Consultations précédente');
INSERT INTO `lang_definitions` VALUES (29949, 5003, 8, 'Jour précédent');
INSERT INTO `lang_definitions` VALUES (29950, 5005, 8, 'Mois précédent');
INSERT INTO `lang_definitions` VALUES (29951, 5006, 8, 'Semaine précédente');
INSERT INTO `lang_definitions` VALUES (29952, 5007, 8, 'Prix');
INSERT INTO `lang_definitions` VALUES (29953, 5008, 8, 'Prix sacrifié');
INSERT INTO `lang_definitions` VALUES (29954, 5009, 8, 'Niveau du prix');
INSERT INTO `lang_definitions` VALUES (29955, 5010, 8, 'Niveau du prix:');
INSERT INTO `lang_definitions` VALUES (29956, 5011, 8, 'Prix');
INSERT INTO `lang_definitions` VALUES (29957, 5012, 8, 'Principale');
INSERT INTO `lang_definitions` VALUES (29958, 5023, 8, 'Assurance principale');
INSERT INTO `lang_definitions` VALUES (29959, 5024, 8, 'Donnée de l\'assurance principale');
INSERT INTO `lang_definitions` VALUES (29960, 5025, 8, 'Fournisseur de l\'assurance principale');
INSERT INTO `lang_definitions` VALUES (29961, 5026, 8, 'Fournisseur principale');
INSERT INTO `lang_definitions` VALUES (29962, 5027, 8, 'Imprimer');
INSERT INTO `lang_definitions` VALUES (29963, 5028, 8, 'Imprimer (HTML)');
INSERT INTO `lang_definitions` VALUES (29964, 5029, 8, 'Imprimer (PDF)');
INSERT INTO `lang_definitions` VALUES (29965, 5031, 8, 'Imprimer n\'importe quel rencontre');
INSERT INTO `lang_definitions` VALUES (29966, 5034, 8, 'Imprimer la date');
INSERT INTO `lang_definitions` VALUES (29967, 5042, 8, 'Imprimer message');
INSERT INTO `lang_definitions` VALUES (29968, 5043, 8, 'Impression multiple');
INSERT INTO `lang_definitions` VALUES (29969, 5046, 8, 'Imprimer notes');
INSERT INTO `lang_definitions` VALUES (29970, 5047, 8, 'Impression Page 1');
INSERT INTO `lang_definitions` VALUES (29971, 5048, 8, 'Impression Page 2');
INSERT INTO `lang_definitions` VALUES (29972, 5052, 8, 'Imprimer l\'enregistrement');
INSERT INTO `lang_definitions` VALUES (29973, 5056, 8, 'Imprimer cette rencontre');
INSERT INTO `lang_definitions` VALUES (29974, 5057, 8, 'Imprimer cette note');
INSERT INTO `lang_definitions` VALUES (29975, 5058, 8, 'Imprimer Cette Note');
INSERT INTO `lang_definitions` VALUES (29976, 5062, 8, 'imprimable');
INSERT INTO `lang_definitions` VALUES (29977, 5063, 8, 'Version imprimable');
INSERT INTO `lang_definitions` VALUES (29978, 5064, 8, 'Imprimé');
INSERT INTO `lang_definitions` VALUES (29979, 5066, 8, 'Résultats en cours d\'impression:');
INSERT INTO `lang_definitions` VALUES (29980, 5069, 8, 'Authorisation précédente');
INSERT INTO `lang_definitions` VALUES (29981, 5070, 8, 'Formulaire d\'authorisation précédente');
INSERT INTO `lang_definitions` VALUES (29982, 5071, 8, 'Visite précédente');
INSERT INTO `lang_definitions` VALUES (29983, 5072, 8, 'Priorité');
INSERT INTO `lang_definitions` VALUES (29984, 5073, 8, 'Priorité ');
INSERT INTO `lang_definitions` VALUES (29985, 5074, 8, 'Privé');
INSERT INTO `lang_definitions` VALUES (29986, 5075, 8, 'Problème');
INSERT INTO `lang_definitions` VALUES (29987, 5077, 8, 'Liste de problème');
INSERT INTO `lang_definitions` VALUES (29988, 5079, 8, 'Problèmes');
INSERT INTO `lang_definitions` VALUES (29989, 5086, 8, 'Procédure');
INSERT INTO `lang_definitions` VALUES (29990, 5089, 8, 'Code de la procédure');
INSERT INTO `lang_definitions` VALUES (29991, 5090, 8, 'Codes de la procédure');
INSERT INTO `lang_definitions` VALUES (29992, 5092, 8, 'Nom de la procédure');
INSERT INTO `lang_definitions` VALUES (29993, 5093, 8, 'Ordre de la Procédure');
INSERT INTO `lang_definitions` VALUES (29994, 5094, 8, 'Ordre de la procédure');
INSERT INTO `lang_definitions` VALUES (29995, 5095, 8, 'Ordre de la Procédure pour');
INSERT INTO `lang_definitions` VALUES (29996, 5097, 8, 'Ordres de la procédure et rapport');
INSERT INTO `lang_definitions` VALUES (29997, 5099, 8, 'Fournisseur de la procédure');
INSERT INTO `lang_definitions` VALUES (29998, 5100, 8, 'Fournisseur de la Procédure');
INSERT INTO `lang_definitions` VALUES (29999, 5101, 8, 'Fournisseurs de la procédure');
INSERT INTO `lang_definitions` VALUES (30000, 5102, 8, 'Rapport de la Procédure');
INSERT INTO `lang_definitions` VALUES (30001, 5103, 8, 'Status des rapport de la procédure');
INSERT INTO `lang_definitions` VALUES (30002, 5104, 8, 'Resultat anormal suite à la procédure');
INSERT INTO `lang_definitions` VALUES (30003, 5105, 8, 'Status du résultat de la procédure');
INSERT INTO `lang_definitions` VALUES (30004, 5106, 8, 'Résultats de la procédure');
INSERT INTO `lang_definitions` VALUES (30005, 5110, 8, 'Type de procédure');
INSERT INTO `lang_definitions` VALUES (30006, 5111, 8, 'Types de procédure');
INSERT INTO `lang_definitions` VALUES (30007, 5113, 8, 'Procédure/Service');
INSERT INTO `lang_definitions` VALUES (30008, 5114, 8, 'Procédures');
INSERT INTO `lang_definitions` VALUES (30009, 5115, 8, 'Processus');
INSERT INTO `lang_definitions` VALUES (30010, 5116, 8, 'Processus et envoyer les rappels');
INSERT INTO `lang_definitions` VALUES (30011, 5121, 8, 'Préparé');
INSERT INTO `lang_definitions` VALUES (30012, 5122, 8, 'Préparé par');
INSERT INTO `lang_definitions` VALUES (30013, 5123, 8, 'Date préparé');
INSERT INTO `lang_definitions` VALUES (30014, 5124, 8, 'préparé avec succes');
INSERT INTO `lang_definitions` VALUES (30015, 5125, 8, 'Traitement');
INSERT INTO `lang_definitions` VALUES (30016, 5126, 8, 'Traitement et envois des rappels du patient');
INSERT INTO `lang_definitions` VALUES (30017, 5127, 8, 'Traitement des rappels du patient');
INSERT INTO `lang_definitions` VALUES (30018, 5128, 8, 'Traitement du temps');
INSERT INTO `lang_definitions` VALUES (30019, 5129, 8, 'Produit');
INSERT INTO `lang_definitions` VALUES (30020, 5131, 8, 'Production');
INSERT INTO `lang_definitions` VALUES (30021, 5132, 8, 'Produits');
INSERT INTO `lang_definitions` VALUES (30022, 5136, 8, 'Cancer prostatique');
INSERT INTO `lang_definitions` VALUES (30023, 5137, 8, 'Depistage cancer prostatique');
INSERT INTO `lang_definitions` VALUES (30024, 5138, 8, 'Examen prostatique');
INSERT INTO `lang_definitions` VALUES (30025, 5139, 8, 'Problèmes prostatiques');
INSERT INTO `lang_definitions` VALUES (30026, 5141, 8, 'Protocole');
INSERT INTO `lang_definitions` VALUES (30027, 5142, 8, 'Fournir le chemin absolu');
INSERT INTO `lang_definitions` VALUES (30028, 5143, 8, 'Fournir le chemin absolu du fichier');
INSERT INTO `lang_definitions` VALUES (30029, 5145, 8, 'Fournir les résumés clinique des patients pour chaque visite au bureau.');
INSERT INTO `lang_definitions` VALUES (30030, 5148, 8, 'Fournir les enregistrement au patient pour la visite');
INSERT INTO `lang_definitions` VALUES (30031, 5149, 8, 'Fournir une adresse courriel valide');
INSERT INTO `lang_definitions` VALUES (30032, 5150, 8, 'Résumé clinique fournis?');
INSERT INTO `lang_definitions` VALUES (30033, 5151, 8, 'Ressources d\'éducation fournis?');
INSERT INTO `lang_definitions` VALUES (30034, 5152, 8, 'Fourisseur');
INSERT INTO `lang_definitions` VALUES (30035, 5153, 8, 'Id du fournisseur');
INSERT INTO `lang_definitions` VALUES (30036, 5154, 8, 'Id du Fournisseur');
INSERT INTO `lang_definitions` VALUES (30037, 5155, 8, 'ID du Fournisseur du batiment spécifié');
INSERT INTO `lang_definitions` VALUES (30038, 5162, 8, 'Fournisseur:');
INSERT INTO `lang_definitions` VALUES (30039, 5163, 8, 'Fournisseurs');
INSERT INTO `lang_definitions` VALUES (30040, 5165, 8, 'Les fournisseurs voient le calendrier en entier');
INSERT INTO `lang_definitions` VALUES (30041, 5168, 8, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (30042, 5171, 8, 'Psychiatrique');
INSERT INTO `lang_definitions` VALUES (30043, 5172, 8, 'Résumé de la lettre psychiatrique');
INSERT INTO `lang_definitions` VALUES (30044, 5173, 8, 'Diagnostic psychiatrique');
INSERT INTO `lang_definitions` VALUES (30045, 5174, 8, 'Examen psychiatrique');
INSERT INTO `lang_definitions` VALUES (30046, 5175, 8, 'Historique psychiatrique');
INSERT INTO `lang_definitions` VALUES (30047, 5177, 8, 'Médication psychiatrique');
INSERT INTO `lang_definitions` VALUES (30048, 5201, 8, 'Publique');
INSERT INTO `lang_definitions` VALUES (30049, 5203, 8, 'Service de santé publique ou autre agence fédérale');
INSERT INTO `lang_definitions` VALUES (30050, 5204, 8, 'Porto ricain');
INSERT INTO `lang_definitions` VALUES (30051, 5205, 8, 'Pulmonaire');
INSERT INTO `lang_definitions` VALUES (30052, 5206, 8, 'Pouls');
INSERT INTO `lang_definitions` VALUES (30053, 5207, 8, 'Panjabi');
INSERT INTO `lang_definitions` VALUES (30054, 5208, 8, 'Achat');
INSERT INTO `lang_definitions` VALUES (30055, 5209, 8, 'Achat / Retour');
INSERT INTO `lang_definitions` VALUES (30056, 5210, 8, 'Achats');
INSERT INTO `lang_definitions` VALUES (30057, 5213, 8, 'toutes les 3 h');
INSERT INTO `lang_definitions` VALUES (30058, 5214, 8, 'toutes les 4 h');
INSERT INTO `lang_definitions` VALUES (30059, 5215, 8, 'toutes les 5 h');
INSERT INTO `lang_definitions` VALUES (30060, 5216, 8, 'toutes les 6 h');
INSERT INTO `lang_definitions` VALUES (30061, 5217, 8, 'toutes les 8 h');
INSERT INTO `lang_definitions` VALUES (30062, 5218, 8, 'une fois par jour');
INSERT INTO `lang_definitions` VALUES (30063, 5219, 8, '4 fois par jour');
INSERT INTO `lang_definitions` VALUES (30064, 5222, 8, 'Qté.');
INSERT INTO `lang_definitions` VALUES (30065, 5223, 8, 'Qté.');
INSERT INTO `lang_definitions` VALUES (30066, 5224, 8, 'Qualité');
INSERT INTO `lang_definitions` VALUES (30067, 5225, 8, 'Mesures de Qualité (CQM)');
INSERT INTO `lang_definitions` VALUES (30068, 5226, 8, 'Quantité');
INSERT INTO `lang_definitions` VALUES (30069, 5228, 8, 'Quantité disponible');
INSERT INTO `lang_definitions` VALUES (30070, 5229, 8, 'La quantité semble non utilisable');
INSERT INTO `lang_definitions` VALUES (30071, 5231, 8, 'Point d\'intégoration');
INSERT INTO `lang_definitions` VALUES (30072, 5241, 8, 'Quitter');
INSERT INTO `lang_definitions` VALUES (30073, 5242, 8, 'Quitter Alcool');
INSERT INTO `lang_definitions` VALUES (30074, 5245, 8, 'Race');
INSERT INTO `lang_definitions` VALUES (30075, 5246, 8, 'Race et ethnicité');
INSERT INTO `lang_definitions` VALUES (30076, 5247, 8, 'Race/Ethnicité');
INSERT INTO `lang_definitions` VALUES (30077, 5248, 8, 'Radio');
INSERT INTO `lang_definitions` VALUES (30078, 5249, 8, 'Boutons radio');
INSERT INTO `lang_definitions` VALUES (30079, 5251, 8, 'Plage');
INSERT INTO `lang_definitions` VALUES (30080, 5252, 8, 'Eruptions');
INSERT INTO `lang_definitions` VALUES (30081, 5253, 8, 'Taux');
INSERT INTO `lang_definitions` VALUES (30082, 5254, 8, 'Ratio');
INSERT INTO `lang_definitions` VALUES (30083, 5255, 8, 'Données brute');
INSERT INTO `lang_definitions` VALUES (30084, 5261, 8, 'Re-ouvrir');
INSERT INTO `lang_definitions` VALUES (30085, 5262, 8, 'Ré-ouvert');
INSERT INTO `lang_definitions` VALUES (30086, 5263, 8, 'Reaction');
INSERT INTO `lang_definitions` VALUES (30087, 5264, 8, 'Réactions');
INSERT INTO `lang_definitions` VALUES (30088, 5265, 8, 'Lire');
INSERT INTO `lang_definitions` VALUES (30089, 5268, 8, 'Nom réel');
INSERT INTO `lang_definitions` VALUES (30090, 5269, 8, 'Vraiment supprimé');
INSERT INTO `lang_definitions` VALUES (30091, 5270, 8, 'Raison');
INSERT INTO `lang_definitions` VALUES (30092, 5271, 8, 'Raison du décés');
INSERT INTO `lang_definitions` VALUES (30093, 5272, 8, 'Cause du décès');
INSERT INTO `lang_definitions` VALUES (30094, 5274, 8, 'Raison de l\'envois vers le spécialiste');
INSERT INTO `lang_definitions` VALUES (30095, 5275, 8, 'Motif de la visite');
INSERT INTO `lang_definitions` VALUES (30096, 5276, 8, 'Raison/Formulaire');
INSERT INTO `lang_definitions` VALUES (30097, 5277, 8, 'Reçu');
INSERT INTO `lang_definitions` VALUES (30098, 5278, 8, 'Reçu du paiement');
INSERT INTO `lang_definitions` VALUES (30099, 5279, 8, 'Reçu créé');
INSERT INTO `lang_definitions` VALUES (30100, 5281, 8, 'Résumé des reçus');
INSERT INTO `lang_definitions` VALUES (30101, 5282, 8, 'Reçus');
INSERT INTO `lang_definitions` VALUES (30102, 5283, 8, 'Reçus par');
INSERT INTO `lang_definitions` VALUES (30103, 5284, 8, 'Faxes reçus');
INSERT INTO `lang_definitions` VALUES (30104, 5285, 8, 'Reçus, non vérifié');
INSERT INTO `lang_definitions` VALUES (30105, 5287, 8, 'Receveur');
INSERT INTO `lang_definitions` VALUES (30106, 5288, 8, 'ID du receveur');
INSERT INTO `lang_definitions` VALUES (30107, 5291, 8, 'IDs du receveur');
INSERT INTO `lang_definitions` VALUES (30108, 5292, 8, 'Les trois mot de passe les plus recent ne sont pas autorisé.');
INSERT INTO `lang_definitions` VALUES (30109, 5293, 8, 'Destinataire');
INSERT INTO `lang_definitions` VALUES (30110, 5294, 8, 'La liste du destinataire est vide');
INSERT INTO `lang_definitions` VALUES (30111, 5295, 8, 'Nom du destinataire');
INSERT INTO `lang_definitions` VALUES (30112, 5297, 8, 'Destinataire requis à moins que le status est Finis');
INSERT INTO `lang_definitions` VALUES (30113, 5298, 8, 'Recommendation');
INSERT INTO `lang_definitions` VALUES (30114, 5299, 8, 'Recommendation pour le suivis');
INSERT INTO `lang_definitions` VALUES (30115, 5300, 8, 'Recommendations');
INSERT INTO `lang_definitions` VALUES (30116, 5301, 8, 'Recommendations et traitement');
INSERT INTO `lang_definitions` VALUES (30117, 5302, 8, 'Recommendations par un spécialiste');
INSERT INTO `lang_definitions` VALUES (30118, 5303, 8, 'Enregistrement');
INSERT INTO `lang_definitions` VALUES (30119, 5304, 8, 'L\'enregistrement existe déjà');
INSERT INTO `lang_definitions` VALUES (30120, 5311, 8, 'Enregistements démographique.');
INSERT INTO `lang_definitions` VALUES (30121, 5313, 8, 'Enregistrement de la forme physique');
INSERT INTO `lang_definitions` VALUES (30122, 5314, 8, 'Enregistrement du payement');
INSERT INTO `lang_definitions` VALUES (30123, 5315, 8, 'Enregistrement de la date de la requète');
INSERT INTO `lang_definitions` VALUES (30124, 5316, 8, 'Enregistrement de la consommation de tabac pour les patients de plus de 13 ans.');
INSERT INTO `lang_definitions` VALUES (30125, 5317, 8, 'Enregistrements');
INSERT INTO `lang_definitions` VALUES (30126, 5318, 8, 'enregistrements trouvés');
INSERT INTO `lang_definitions` VALUES (30127, 5319, 8, 'enregistrements trouvés.');
INSERT INTO `lang_definitions` VALUES (30128, 5320, 8, 'Usage de drogues récréationnelles');
INSERT INTO `lang_definitions` VALUES (30129, 5321, 8, 'Drogues récréationnelles');
INSERT INTO `lang_definitions` VALUES (30130, 5322, 8, 'Rectale');
INSERT INTO `lang_definitions` VALUES (30131, 5323, 8, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (30132, 5324, 8, 'Voie Rectale');
INSERT INTO `lang_definitions` VALUES (30133, 5325, 8, 'Redirection');
INSERT INTO `lang_definitions` VALUES (30134, 5326, 8, 'Rougeurs');
INSERT INTO `lang_definitions` VALUES (30135, 5327, 8, 'réduit:');
INSERT INTO `lang_definitions` VALUES (30136, 5328, 8, 'Mentionner');
INSERT INTO `lang_definitions` VALUES (30137, 5329, 8, 'Mentionner par');
INSERT INTO `lang_definitions` VALUES (30138, 5330, 8, 'Date de la mention');
INSERT INTO `lang_definitions` VALUES (30139, 5331, 8, 'Mentionner pour');
INSERT INTO `lang_definitions` VALUES (30140, 5333, 8, 'Plage de référence des résultats');
INSERT INTO `lang_definitions` VALUES (30141, 5336, 8, 'Mentionner le nom et la signature');
INSERT INTO `lang_definitions` VALUES (30142, 5337, 8, 'Envois vers un spécialite');
INSERT INTO `lang_definitions` VALUES (30143, 5338, 8, 'Envois vers un spécialite par');
INSERT INTO `lang_definitions` VALUES (30144, 5339, 8, 'Carte du spécialiste');
INSERT INTO `lang_definitions` VALUES (30145, 5340, 8, 'Date de l\'envois vers un spécialiste');
INSERT INTO `lang_definitions` VALUES (30146, 5341, 8, 'Formulaire de l\'envois vers un spécialiste');
INSERT INTO `lang_definitions` VALUES (30147, 5343, 8, 'ID du spécialiste');
INSERT INTO `lang_definitions` VALUES (30148, 5359, 8, 'Recharge');
INSERT INTO `lang_definitions` VALUES (30149, 5360, 8, 'Recharges');
INSERT INTO `lang_definitions` VALUES (30150, 5361, 8, 'recharges');
INSERT INTO `lang_definitions` VALUES (30151, 5362, 8, 'Reflexes normaux');
INSERT INTO `lang_definitions` VALUES (30152, 5363, 8, 'Actualiser');
INSERT INTO `lang_definitions` VALUES (30153, 5365, 8, 'Actualisation des rappels');
INSERT INTO `lang_definitions` VALUES (30154, 5368, 8, 'Refuser dans l\'Étant');
INSERT INTO `lang_definitions` VALUES (30155, 5370, 8, 's\'enregistrer');
INSERT INTO `lang_definitions` VALUES (30156, 5372, 8, 'Enregistré');
INSERT INTO `lang_definitions` VALUES (30157, 5373, 8, 'enregistré');
INSERT INTO `lang_definitions` VALUES (30158, 5375, 8, 'Date d\'Enregistrement');
INSERT INTO `lang_definitions` VALUES (30159, 5376, 8, 'Forumalire d\'Enregistrement');
INSERT INTO `lang_definitions` VALUES (30160, 5377, 8, 'Rééducation');
INSERT INTO `lang_definitions` VALUES (30161, 5380, 8, 'Potentiel de rechute');
INSERT INTO `lang_definitions` VALUES (30162, 5381, 8, 'Fait référence à');
INSERT INTO `lang_definitions` VALUES (30163, 5382, 8, 'Relié');
INSERT INTO `lang_definitions` VALUES (30164, 5383, 8, 'Problème relié');
INSERT INTO `lang_definitions` VALUES (30165, 5384, 8, 'Notes des patient reliées');
INSERT INTO `lang_definitions` VALUES (30166, 5385, 8, 'Relation(s) / Enfant');
INSERT INTO `lang_definitions` VALUES (30167, 5386, 8, 'Relations');
INSERT INTO `lang_definitions` VALUES (30168, 5387, 8, 'Lien');
INSERT INTO `lang_definitions` VALUES (30169, 5388, 8, 'Odre relatif de cette entitée');
INSERT INTO `lang_definitions` VALUES (30170, 5389, 8, 'Relatifs');
INSERT INTO `lang_definitions` VALUES (30171, 5403, 8, 'Religion');
INSERT INTO `lang_definitions` VALUES (30172, 5406, 8, 'Reconnexion');
INSERT INTO `lang_definitions` VALUES (30173, 5409, 8, 'Rappel');
INSERT INTO `lang_definitions` VALUES (30174, 5410, 8, 'Intervals des rappels');
INSERT INTO `lang_definitions` VALUES (30175, 5411, 8, 'Rappel pas encore Envoyé');
INSERT INTO `lang_definitions` VALUES (30176, 5412, 8, 'Rappel Envoye Le');
INSERT INTO `lang_definitions` VALUES (30177, 5413, 8, 'Rappels');
INSERT INTO `lang_definitions` VALUES (30178, 5415, 8, 'Hôte distant');
INSERT INTO `lang_definitions` VALUES (30179, 5416, 8, 'Supprimer');
INSERT INTO `lang_definitions` VALUES (30180, 5419, 8, 'Supprimer Groupe');
INSERT INTO `lang_definitions` VALUES (30181, 5420, 8, 'Formulaire de suppression d\'un groupe');
INSERT INTO `lang_definitions` VALUES (30182, 5422, 8, 'Supprime aide pour phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (30183, 5423, 8, 'Supprime aide pour prescription');
INSERT INTO `lang_definitions` VALUES (30184, 5426, 8, 'Lithiases rénales');
INSERT INTO `lang_definitions` VALUES (30185, 5427, 8, 'Renommer');
INSERT INTO `lang_definitions` VALUES (30186, 5428, 8, 'Renommer groupe');
INSERT INTO `lang_definitions` VALUES (30187, 5429, 8, 'Rendu');
INSERT INTO `lang_definitions` VALUES (30188, 5430, 8, 'Fournisseur de rendu');
INSERT INTO `lang_definitions` VALUES (30189, 5431, 8, 'Numéro du fournissseur de rendu');
INSERT INTO `lang_definitions` VALUES (30190, 5432, 8, 'Réorganiser');
INSERT INTO `lang_definitions` VALUES (30191, 5433, 8, 'Réorganiser à');
INSERT INTO `lang_definitions` VALUES (30192, 5434, 8, 'Le point dé réorganisation a été atteind');
INSERT INTO `lang_definitions` VALUES (30193, 5437, 8, 'Répéter le nouveau mot de passe');
INSERT INTO `lang_definitions` VALUES (30194, 5438, 8, 'Evènement répété');
INSERT INTO `lang_definitions` VALUES (30195, 5439, 8, 'Répéter l\'information');
INSERT INTO `lang_definitions` VALUES (30196, 5440, 8, 'Répétés');
INSERT INTO `lang_definitions` VALUES (30197, 5441, 8, 'REMPLACER');
INSERT INTO `lang_definitions` VALUES (30198, 5444, 8, 'Date de Réponse');
INSERT INTO `lang_definitions` VALUES (30199, 5445, 8, 'Réponse De');
INSERT INTO `lang_definitions` VALUES (30200, 5446, 8, 'Rapport');
INSERT INTO `lang_definitions` VALUES (30201, 5447, 8, 'Rapport - Clinique');
INSERT INTO `lang_definitions` VALUES (30202, 5449, 8, 'Rapport par');
INSERT INTO `lang_definitions` VALUES (30203, 5453, 8, 'Rapporter l\'historique/les résultats');
INSERT INTO `lang_definitions` VALUES (30204, 5454, 8, 'Rapport des résultats');
INSERT INTO `lang_definitions` VALUES (30205, 5455, 8, 'Rapporter les résultats/l\'historique');
INSERT INTO `lang_definitions` VALUES (30206, 5457, 8, 'Status du rapport');
INSERT INTO `lang_definitions` VALUES (30207, 5458, 8, 'Rapport totaux');
INSERT INTO `lang_definitions` VALUES (30208, 5459, 8, 'Rapport / Formulaire');
INSERT INTO `lang_definitions` VALUES (30209, 5460, 8, 'Rapportable');
INSERT INTO `lang_definitions` VALUES (30210, 5461, 8, 'Rapporté');
INSERT INTO `lang_definitions` VALUES (30211, 5462, 8, 'Date rapporté');
INSERT INTO `lang_definitions` VALUES (30212, 5463, 8, 'Rapports');
INSERT INTO `lang_definitions` VALUES (30213, 5467, 8, 'Requète ignoré - le processus de récamation est déjà débuté!');
INSERT INTO `lang_definitions` VALUES (30214, 5474, 8, 'Service requis');
INSERT INTO `lang_definitions` VALUES (30215, 5475, 8, 'Requière des mots de passes fort');
INSERT INTO `lang_definitions` VALUES (30216, 5476, 8, 'Requière des mots de passes unique');
INSERT INTO `lang_definitions` VALUES (30217, 5477, 8, 'Exigé');
INSERT INTO `lang_definitions` VALUES (30218, 5478, 8, 'ticket modérateur exigé');
INSERT INTO `lang_definitions` VALUES (30219, 5479, 8, 'Champ manquant: choisir le fichier EDI-271 à télécharger svp');
INSERT INTO `lang_definitions` VALUES (30220, 5480, 8, 'Champ manquant: entrer le prénom svp');
INSERT INTO `lang_definitions` VALUES (30221, 5481, 8, 'Champ manquant: entrer le nom de famille svp');
INSERT INTO `lang_definitions` VALUES (30222, 5482, 8, 'Champ manquant: entrer le nom d\'utilisateur svp');
INSERT INTO `lang_definitions` VALUES (30223, 5483, 8, 'Champs obligatoires');
INSERT INTO `lang_definitions` VALUES (30224, 5484, 8, 'Pré-requis');
INSERT INTO `lang_definitions` VALUES (30225, 5485, 8, 'RESERVE');
INSERT INTO `lang_definitions` VALUES (30226, 5486, 8, 'Réservé');
INSERT INTO `lang_definitions` VALUES (30227, 5491, 8, 'Redémaré');
INSERT INTO `lang_definitions` VALUES (30228, 5496, 8, 'Résolu');
INSERT INTO `lang_definitions` VALUES (30229, 5497, 8, 'Respiration');
INSERT INTO `lang_definitions` VALUES (30230, 5499, 8, 'Respiratoire');
INSERT INTO `lang_definitions` VALUES (30231, 5504, 8, 'Résultat');
INSERT INTO `lang_definitions` VALUES (30232, 5505, 8, 'Nom du résultat');
INSERT INTO `lang_definitions` VALUES (30233, 5506, 8, 'Status du résultat');
INSERT INTO `lang_definitions` VALUES (30234, 5507, 8, 'Satus du resultat ou \'annormalité est manquante');
INSERT INTO `lang_definitions` VALUES (30235, 5509, 8, 'Résultats');
INSERT INTO `lang_definitions` VALUES (30236, 5510, 8, 'Résultats et');
INSERT INTO `lang_definitions` VALUES (30237, 5511, 8, 'Résultats trouvé pour la recherche');
INSERT INTO `lang_definitions` VALUES (30238, 5512, 8, 'Groupe des résultats');
INSERT INTO `lang_definitions` VALUES (30239, 5514, 8, 'Chemin des résultats');
INSERT INTO `lang_definitions` VALUES (30240, 5515, 8, 'Résultats par page');
INSERT INTO `lang_definitions` VALUES (30241, 5516, 8, 'Résultats/Détails');
INSERT INTO `lang_definitions` VALUES (30242, 5517, 8, 'Examen rétinal');
INSERT INTO `lang_definitions` VALUES (30243, 5519, 8, 'Retour');
INSERT INTO `lang_definitions` VALUES (30244, 5521, 8, 'Retour à l\'Agenda');
INSERT INTO `lang_definitions` VALUES (30245, 5522, 8, 'Retour au rapport des résultats');
INSERT INTO `lang_definitions` VALUES (30246, 5527, 8, 'Valeur de retour');
INSERT INTO `lang_definitions` VALUES (30247, 5528, 8, 'Retour de la visite');
INSERT INTO `lang_definitions` VALUES (30248, 5530, 8, 'Réutilisé les trois dernier mot de passe n\'est pas utilisable!');
INSERT INTO `lang_definitions` VALUES (30249, 5535, 8, 'Revue des systèmes');
INSERT INTO `lang_definitions` VALUES (30250, 5536, 8, 'Revue des systèmes via checkbox');
INSERT INTO `lang_definitions` VALUES (30251, 5537, 8, 'Relu');
INSERT INTO `lang_definitions` VALUES (30252, 5538, 8, 'Révision');
INSERT INTO `lang_definitions` VALUES (30253, 5539, 8, 'Polyarthrite rhumatoïde');
INSERT INTO `lang_definitions` VALUES (30254, 5540, 8, 'Polyarthrite rhumatoïde');
INSERT INTO `lang_definitions` VALUES (30255, 5541, 8, 'Droite');
INSERT INTO `lang_definitions` VALUES (30256, 5542, 8, 'Oreille Droite');
INSERT INTO `lang_definitions` VALUES (30257, 5543, 8, 'oreille droite');
INSERT INTO `lang_definitions` VALUES (30258, 5545, 8, 'Droite:');
INSERT INTO `lang_definitions` VALUES (30259, 5546, 8, 'Acouphènes');
INSERT INTO `lang_definitions` VALUES (30260, 5547, 8, 'Acouphènes');
INSERT INTO `lang_definitions` VALUES (30261, 5549, 8, 'Facteurs de risque');
INSERT INTO `lang_definitions` VALUES (30262, 5550, 8, 'Niveau de risque');
INSERT INTO `lang_definitions` VALUES (30263, 5553, 8, 'Roumain');
INSERT INTO `lang_definitions` VALUES (30264, 5560, 8, 'Tableau de service');
INSERT INTO `lang_definitions` VALUES (30265, 5563, 8, 'Routé');
INSERT INTO `lang_definitions` VALUES (30266, 5564, 8, 'Lignes');
INSERT INTO `lang_definitions` VALUES (30267, 5568, 8, 'Règle');
INSERT INTO `lang_definitions` VALUES (30268, 5569, 8, 'Ajouter règle');
INSERT INTO `lang_definitions` VALUES (30269, 5570, 8, 'Détail de règle');
INSERT INTO `lang_definitions` VALUES (30270, 5572, 8, 'Modifier règle');
INSERT INTO `lang_definitions` VALUES (30271, 5578, 8, 'Règles');
INSERT INTO `lang_definitions` VALUES (30272, 5580, 8, 'Règles de configuration');
INSERT INTO `lang_definitions` VALUES (30273, 5581, 8, 'Commande fonctionnant: ');
INSERT INTO `lang_definitions` VALUES (30274, 5582, 8, 'Rupture');
INSERT INTO `lang_definitions` VALUES (30275, 5583, 8, 'Russe');
INSERT INTO `lang_definitions` VALUES (30276, 5605, 8, 'Vente');
INSERT INTO `lang_definitions` VALUES (30277, 5606, 8, 'Ventes');
INSERT INTO `lang_definitions` VALUES (30278, 5607, 8, 'Ventes par objet');
INSERT INTO `lang_definitions` VALUES (30279, 5608, 8, 'Ventes par rapport de produit');
INSERT INTO `lang_definitions` VALUES (30280, 5609, 8, 'Salive');
INSERT INTO `lang_definitions` VALUES (30281, 5610, 8, 'Même jour');
INSERT INTO `lang_definitions` VALUES (30282, 5612, 8, 'Echantillon');
INSERT INTO `lang_definitions` VALUES (30283, 5613, 8, 'Type de sanction');
INSERT INTO `lang_definitions` VALUES (30284, 5617, 8, 'Sam.');
INSERT INTO `lang_definitions` VALUES (30285, 5618, 8, 'Sam. et Dim.');
INSERT INTO `lang_definitions` VALUES (30286, 5619, 8, 'Samedi');
INSERT INTO `lang_definitions` VALUES (30287, 5620, 8, 'Sauvegarder');
INSERT INTO `lang_definitions` VALUES (30288, 5621, 8, 'SAUVEGARDER');
INSERT INTO `lang_definitions` VALUES (30289, 5622, 8, 'Sauvegarder et fermer');
INSERT INTO `lang_definitions` VALUES (30290, 5624, 8, 'Sauvegarder et prodiguer');
INSERT INTO `lang_definitions` VALUES (30291, 5625, 8, 'Sauvegarder et transmètre');
INSERT INTO `lang_definitions` VALUES (30292, 5626, 8, 'Sauvegarder comme nouveau');
INSERT INTO `lang_definitions` VALUES (30293, 5627, 8, 'Sauvegarder comme une nouvelle note');
INSERT INTO `lang_definitions` VALUES (30294, 5628, 8, 'Sauvegarder les paramètres du certificat');
INSERT INTO `lang_definitions` VALUES (30295, 5629, 8, 'Sauvegarder les changements');
INSERT INTO `lang_definitions` VALUES (30296, 5630, 8, 'Sauvegarder le formulaire');
INSERT INTO `lang_definitions` VALUES (30297, 5631, 8, 'Sauvegarder les immunisation');
INSERT INTO `lang_definitions` VALUES (30298, 5632, 8, 'Sauvegarder un nouveau champs');
INSERT INTO `lang_definitions` VALUES (30299, 5633, 8, 'Sauvegarder comme un nouveau groupe');
INSERT INTO `lang_definitions` VALUES (30300, 5634, 8, 'Sauvegarder une nouvelle liste');
INSERT INTO `lang_definitions` VALUES (30301, 5636, 8, 'Sauvegarder les séléctions omisent');
INSERT INTO `lang_definitions` VALUES (30302, 5637, 8, 'Savegarder les données démographique du patient');
INSERT INTO `lang_definitions` VALUES (30303, 5639, 8, 'Sauvegarder la transaction');
INSERT INTO `lang_definitions` VALUES (30304, 5641, 8, 'Numérisé');
INSERT INTO `lang_definitions` VALUES (30305, 5642, 8, 'Note de la rencontre numérisé');
INSERT INTO `lang_definitions` VALUES (30306, 5643, 8, 'Répertoire du scanner');
INSERT INTO `lang_definitions` VALUES (30307, 5645, 8, 'Emplois du temps');
INSERT INTO `lang_definitions` VALUES (30308, 5646, 8, 'Emplois du temps des établissements:');
INSERT INTO `lang_definitions` VALUES (30309, 5647, 8, 'Notes d\'écoles');
INSERT INTO `lang_definitions` VALUES (30310, 5648, 8, 'Scoliose');
INSERT INTO `lang_definitions` VALUES (30311, 5659, 8, 'Chercher');
INSERT INTO `lang_definitions` VALUES (30312, 5661, 8, 'chercher');
INSERT INTO `lang_definitions` VALUES (30313, 5662, 8, 'chercher de nouveau');
INSERT INTO `lang_definitions` VALUES (30314, 5663, 8, 'Rechercher sur toutes les colonnes');
INSERT INTO `lang_definitions` VALUES (30315, 5664, 8, 'Chercher par:');
INSERT INTO `lang_definitions` VALUES (30316, 5665, 8, 'Recherche de');
INSERT INTO `lang_definitions` VALUES (30317, 5666, 8, 'Recherche de:');
INSERT INTO `lang_definitions` VALUES (30318, 5667, 8, 'Rechercher Dans');
INSERT INTO `lang_definitions` VALUES (30319, 5668, 8, 'Chercher dans');
INSERT INTO `lang_definitions` VALUES (30320, 5669, 8, 'Chercher ou Ajouter patient');
INSERT INTO `lang_definitions` VALUES (30321, 5670, 8, 'Recherche Paiement');
INSERT INTO `lang_definitions` VALUES (30322, 5671, 8, 'Chercher les résultats');
INSERT INTO `lang_definitions` VALUES (30323, 5672, 8, 'Recherche Résultats:');
INSERT INTO `lang_definitions` VALUES (30324, 5673, 8, 'Recherche selectionnée');
INSERT INTO `lang_definitions` VALUES (30325, 5674, 8, 'La chaine de caractères recherchée ne correspond pas avec une liste dans la base de donnée');
INSERT INTO `lang_definitions` VALUES (30326, 5675, 8, 'La chaine de caractères recherchée devrait avoir au moins 3 caractères');
INSERT INTO `lang_definitions` VALUES (30327, 5676, 8, 'Texte rechercher');
INSERT INTO `lang_definitions` VALUES (30328, 5677, 8, 'Rechercher les évenements');
INSERT INTO `lang_definitions` VALUES (30329, 5678, 8, 'Chercher/Ajouter');
INSERT INTO `lang_definitions` VALUES (30330, 5679, 8, 'Rechercher/Ajouter un assuré');
INSERT INTO `lang_definitions` VALUES (30331, 5680, 8, 'Recherche pour des rendez-vous');
INSERT INTO `lang_definitions` VALUES (30332, 5681, 8, 'Recherche...');
INSERT INTO `lang_definitions` VALUES (30333, 5684, 8, 'Seconde');
INSERT INTO `lang_definitions` VALUES (30334, 5687, 8, 'Secondaire');
INSERT INTO `lang_definitions` VALUES (30335, 5688, 8, 'Assurance secondaire');
INSERT INTO `lang_definitions` VALUES (30336, 5689, 8, 'Données de l\'assurance secondaire');
INSERT INTO `lang_definitions` VALUES (30337, 5690, 8, 'Fournisseur de l\'assurance secondaire');
INSERT INTO `lang_definitions` VALUES (30338, 5698, 8, 'Sécurité');
INSERT INTO `lang_definitions` VALUES (30339, 5699, 8, 'Voir Tout');
INSERT INTO `lang_definitions` VALUES (30340, 5700, 8, 'Voir les autorisations');
INSERT INTO `lang_definitions` VALUES (30341, 5701, 8, 'Voir Courbe de croissance');
INSERT INTO `lang_definitions` VALUES (30342, 5702, 8, 'Voir les messages depuis le dernier lot de réclamations générée');
INSERT INTO `lang_definitions` VALUES (30343, 5704, 8, 'Vue depuis');
INSERT INTO `lang_definitions` VALUES (30344, 5705, 8, 'Nom du segment');
INSERT INTO `lang_definitions` VALUES (30345, 5707, 8, 'Crises d\'épilepsie');
INSERT INTO `lang_definitions` VALUES (30346, 5709, 8, 'Sélectionner');
INSERT INTO `lang_definitions` VALUES (30347, 5710, 8, 'sélectionner');
INSERT INTO `lang_definitions` VALUES (30348, 5712, 8, 'Sélectionner un contexte');
INSERT INTO `lang_definitions` VALUES (30349, 5715, 8, 'Sélectionner un Utilisateur');
INSERT INTO `lang_definitions` VALUES (30350, 5716, 8, 'Tout Sélectionner');
INSERT INTO `lang_definitions` VALUES (30351, 5720, 8, 'Sélectionner catégorie');
INSERT INTO `lang_definitions` VALUES (30352, 5723, 8, 'Selectionner les critères à supprimé');
INSERT INTO `lang_definitions` VALUES (30353, 5727, 8, 'Sélectionner date');
INSERT INTO `lang_definitions` VALUES (30354, 5728, 8, 'Sélectionner le groupe désiré');
INSERT INTO `lang_definitions` VALUES (30355, 5729, 8, 'Sélectionner Diagnostic');
INSERT INTO `lang_definitions` VALUES (30356, 5731, 8, 'Sélectionner Médication');
INSERT INTO `lang_definitions` VALUES (30357, 5732, 8, 'Sélectionner Médications');
INSERT INTO `lang_definitions` VALUES (30358, 5736, 8, 'Sélectionner champ');
INSERT INTO `lang_definitions` VALUES (30359, 5737, 8, 'Sélectionner Champs');
INSERT INTO `lang_definitions` VALUES (30360, 5738, 8, 'Sélection à imprimer');
INSERT INTO `lang_definitions` VALUES (30361, 5739, 8, 'Sélectionner Vaccins');
INSERT INTO `lang_definitions` VALUES (30362, 5741, 8, 'Sélectionner Assurance, en tapant');
INSERT INTO `lang_definitions` VALUES (30363, 5742, 8, 'Sélectionner Problème');
INSERT INTO `lang_definitions` VALUES (30364, 5744, 8, 'Sélectionner Langue');
INSERT INTO `lang_definitions` VALUES (30365, 5745, 8, 'Sélectionner un(e');
INSERT INTO `lang_definitions` VALUES (30366, 5746, 8, 'Sélectionner un ou plusieur codes diagnostique pour justifié le service');
INSERT INTO `lang_definitions` VALUES (30367, 5747, 8, 'Sélectionner un ou plusieurs fichiers à téléversé');
INSERT INTO `lang_definitions` VALUES (30368, 5754, 8, 'Sélectionner les objets de configuration à exporter');
INSERT INTO `lang_definitions` VALUES (30369, 5759, 8, 'Sélectionner Utilisateur');
INSERT INTO `lang_definitions` VALUES (30370, 5760, 8, 'Sélectionner Utilisateurs dans Liste déroulante');
INSERT INTO `lang_definitions` VALUES (30371, 5762, 8, 'Sélectionner Oui pour confirmer la suppression du groupe');
INSERT INTO `lang_definitions` VALUES (30372, 5765, 8, 'Sélectionné');
INSERT INTO `lang_definitions` VALUES (30373, 5766, 8, 'Rencontre sélectionnée');
INSERT INTO `lang_definitions` VALUES (30374, 5771, 8, 'Envoyer');
INSERT INTO `lang_definitions` VALUES (30375, 5772, 8, 'Envoyer une date de rappel');
INSERT INTO `lang_definitions` VALUES (30376, 5773, 8, 'Envoyer un rappel');
INSERT INTO `lang_definitions` VALUES (30377, 5774, 8, 'Envoi en cours');
INSERT INTO `lang_definitions` VALUES (30378, 5775, 8, 'Envoyer un message');
INSERT INTO `lang_definitions` VALUES (30379, 5779, 8, 'Envoyer ce fichier');
INSERT INTO `lang_definitions` VALUES (30380, 5780, 8, 'Envoyer ce message');
INSERT INTO `lang_definitions` VALUES (30381, 5781, 8, 'Envoyer à');
INSERT INTO `lang_definitions` VALUES (30382, 5784, 8, 'Envoyer à tous');
INSERT INTO `lang_definitions` VALUES (30383, 5788, 8, 'Envoyeur');
INSERT INTO `lang_definitions` VALUES (30384, 5789, 8, 'ID de l\'envoyeur');
INSERT INTO `lang_definitions` VALUES (30385, 5792, 8, 'IDs de l\'envoyeur');
INSERT INTO `lang_definitions` VALUES (30386, 5793, 8, 'Envoi à');
INSERT INTO `lang_definitions` VALUES (30387, 5794, 8, 'Sensitivitées');
INSERT INTO `lang_definitions` VALUES (30388, 5795, 8, 'Sensitivité');
INSERT INTO `lang_definitions` VALUES (30389, 5796, 8, 'Examen sensoriel normal');
INSERT INTO `lang_definitions` VALUES (30390, 5797, 8, 'Envoyé');
INSERT INTO `lang_definitions` VALUES (30391, 5799, 8, 'Envoyé par, laissez vide pour tous');
INSERT INTO `lang_definitions` VALUES (30392, 5801, 8, 'Date d\'envoi');
INSERT INTO `lang_definitions` VALUES (30393, 5802, 8, 'Objets envoyés');
INSERT INTO `lang_definitions` VALUES (30394, 5803, 8, 'Envoyer les enregistrements médicaux');
INSERT INTO `lang_definitions` VALUES (30395, 5804, 8, 'Envoi terminé');
INSERT INTO `lang_definitions` VALUES (30396, 5807, 8, 'Envoyé à l\'imprimante');
INSERT INTO `lang_definitions` VALUES (30397, 5808, 8, 'Envoyé à, laissez vide pour tous');
INSERT INTO `lang_definitions` VALUES (30398, 5810, 8, 'Envoyé, mais récéption non confirmée');
INSERT INTO `lang_definitions` VALUES (30399, 5811, 8, 'Envoyé, mais non reçu');
INSERT INTO `lang_definitions` VALUES (30400, 5812, 8, 'Sep.');
INSERT INTO `lang_definitions` VALUES (30401, 5813, 8, 'Séparé');
INSERT INTO `lang_definitions` VALUES (30402, 5814, 8, 'Septembre');
INSERT INTO `lang_definitions` VALUES (30403, 5815, 8, 'Séq.');
INSERT INTO `lang_definitions` VALUES (30404, 5816, 8, 'Séquence');
INSERT INTO `lang_definitions` VALUES (30405, 5821, 8, 'Service');
INSERT INTO `lang_definitions` VALUES (30406, 5822, 8, 'Catégorie de service');
INSERT INTO `lang_definitions` VALUES (30407, 5823, 8, 'Code de service');
INSERT INTO `lang_definitions` VALUES (30408, 5825, 8, 'Codes service');
INSERT INTO `lang_definitions` VALUES (30409, 5826, 8, 'Date de service');
INSERT INTO `lang_definitions` VALUES (30410, 5827, 8, 'Date de service:');
INSERT INTO `lang_definitions` VALUES (30411, 5829, 8, 'Emplacement du service');
INSERT INTO `lang_definitions` VALUES (30412, 5830, 8, 'Nom du service');
INSERT INTO `lang_definitions` VALUES (30413, 5831, 8, 'Service fourni par un spécialiste');
INSERT INTO `lang_definitions` VALUES (30414, 5834, 8, 'Services');
INSERT INTO `lang_definitions` VALUES (30415, 5835, 8, 'Services par Catégorie');
INSERT INTO `lang_definitions` VALUES (30416, 5836, 8, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (30417, 5837, 8, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (30418, 5838, 8, 'Produits/Services');
INSERT INTO `lang_definitions` VALUES (30419, 5839, 8, 'Type de Service');
INSERT INTO `lang_definitions` VALUES (30420, 5840, 8, 'Mettre');
INSERT INTO `lang_definitions` VALUES (30421, 5842, 8, 'Mettre comme complété');
INSERT INTO `lang_definitions` VALUES (30422, 5846, 8, 'Mettre à');
INSERT INTO `lang_definitions` VALUES (30423, 5849, 8, 'Réglages');
INSERT INTO `lang_definitions` VALUES (30424, 5851, 8, 'Migraine sévère');
INSERT INTO `lang_definitions` VALUES (30425, 5853, 8, 'Intensité de la douleur');
INSERT INTO `lang_definitions` VALUES (30426, 5854, 8, 'Intensité de la douleur:');
INSERT INTO `lang_definitions` VALUES (30427, 5855, 8, 'Sexe');
INSERT INTO `lang_definitions` VALUES (30428, 5856, 8, 'Maladies sexuellement transmissibles');
INSERT INTO `lang_definitions` VALUES (30429, 5857, 8, 'SFTP');
INSERT INTO `lang_definitions` VALUES (30430, 5858, 8, 'Hashe Sha-1');
INSERT INTO `lang_definitions` VALUES (30431, 5859, 8, 'Partage');
INSERT INTO `lang_definitions` VALUES (30432, 5860, 8, 'Commande shell pour imprimé depuis le serveur');
INSERT INTO `lang_definitions` VALUES (30433, 5863, 8, 'Petite description');
INSERT INTO `lang_definitions` VALUES (30434, 5864, 8, 'Souffle court');
INSERT INTO `lang_definitions` VALUES (30435, 5865, 8, 'Souffle Court');
INSERT INTO `lang_definitions` VALUES (30436, 5866, 8, 'Souffle Court 2');
INSERT INTO `lang_definitions` VALUES (30437, 5870, 8, 'devrait être comme nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (30438, 5871, 8, 'Devrait être de deux lettres');
INSERT INTO `lang_definitions` VALUES (30439, 5872, 8, 'devrait contenir 10 chiffres');
INSERT INTO `lang_definitions` VALUES (30440, 5873, 8, 'devrait contenir uniquement 10 chiffres');
INSERT INTO `lang_definitions` VALUES (30441, 5874, 8, 'Épaule');
INSERT INTO `lang_definitions` VALUES (30442, 5875, 8, 'Épaule + clavicule');
INSERT INTO `lang_definitions` VALUES (30443, 5876, 8, 'Problème à l\'épaule');
INSERT INTO `lang_definitions` VALUES (30444, 5877, 8, 'Montrer');
INSERT INTO `lang_definitions` VALUES (30445, 5878, 8, 'Montrer les actifs');
INSERT INTO `lang_definitions` VALUES (30446, 5880, 8, 'Montrer tout');
INSERT INTO `lang_definitions` VALUES (30447, 5881, 8, 'Montrer toutes les procédures');
INSERT INTO `lang_definitions` VALUES (30448, 5883, 8, 'Montrer toutes les transactions');
INSERT INTO `lang_definitions` VALUES (30449, 5884, 8, 'Montrer comme occupé');
INSERT INTO `lang_definitions` VALUES (30450, 5885, 8, 'Montrer les autorisés seulement');
INSERT INTO `lang_definitions` VALUES (30451, 5886, 8, 'Montrer les horraires disponible');
INSERT INTO `lang_definitions` VALUES (30452, 5889, 8, 'Montrer les détails');
INSERT INTO `lang_definitions` VALUES (30453, 5890, 8, 'Montrer les erreurs seulement?');
INSERT INTO `lang_definitions` VALUES (30454, 5891, 8, 'Montrer le graphique');
INSERT INTO `lang_definitions` VALUES (30455, 5894, 8, 'Montrer les innactifs');
INSERT INTO `lang_definitions` VALUES (30456, 5896, 8, 'Montrer le menu');
INSERT INTO `lang_definitions` VALUES (30457, 5898, 8, 'Montrer les notes');
INSERT INTO `lang_definitions` VALUES (30458, 5901, 8, 'Montrer les notes du patient');
INSERT INTO `lang_definitions` VALUES (30459, 5902, 8, 'Montrer les livres et les onces');
INSERT INTO `lang_definitions` VALUES (30460, 5903, 8, 'Montrer les livres avec des valeurs décimale');
INSERT INTO `lang_definitions` VALUES (30461, 5905, 8, 'Montrer les rappels');
INSERT INTO `lang_definitions` VALUES (30462, 5906, 8, 'Montrer les rapports');
INSERT INTO `lang_definitions` VALUES (30463, 5913, 8, 'Montrer les non facturé seulement');
INSERT INTO `lang_definitions` VALUES (30464, 5914, 8, 'Montrer les USA seulement');
INSERT INTO `lang_definitions` VALUES (30465, 5915, 8, 'Montrer');
INSERT INTO `lang_definitions` VALUES (30466, 5916, 8, 'Montrer les résultats');
INSERT INTO `lang_definitions` VALUES (30467, 5920, 8, 'Frères et Soeurs');
INSERT INTO `lang_definitions` VALUES (30468, 5921, 8, 'Drépanocyte');
INSERT INTO `lang_definitions` VALUES (30469, 5923, 8, 'Sigmoïde/Coloscopie');
INSERT INTO `lang_definitions` VALUES (30470, 5925, 8, 'Signez les résultats du laboratoire (écrire, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (30471, 5926, 8, 'Signez les résultats');
INSERT INTO `lang_definitions` VALUES (30472, 5927, 8, 'Signature');
INSERT INTO `lang_definitions` VALUES (30473, 5929, 8, 'Signature:');
INSERT INTO `lang_definitions` VALUES (30474, 5932, 8, 'Enflure significatif:');
INSERT INTO `lang_definitions` VALUES (30475, 5933, 8, 'Simplifié');
INSERT INTO `lang_definitions` VALUES (30476, 5934, 8, 'Ticket modérateur simplifié');
INSERT INTO `lang_definitions` VALUES (30477, 5935, 8, 'Démographique simplifié');
INSERT INTO `lang_definitions` VALUES (30478, 5936, 8, 'Prescriptions simplifié');
INSERT INTO `lang_definitions` VALUES (30479, 5937, 8, 'Depuis');
INSERT INTO `lang_definitions` VALUES (30480, 5938, 8, 'Sincèrement');
INSERT INTO `lang_definitions` VALUES (30481, 5940, 8, 'Célibataire');
INSERT INTO `lang_definitions` VALUES (30482, 5941, 8, 'Liste à une seule sélection');
INSERT INTO `lang_definitions` VALUES (30483, 5942, 8, 'Liste à une seule sélection avec la capacité d\'ajouté à la liste');
INSERT INTO `lang_definitions` VALUES (30484, 5943, 8, 'Singulié');
INSERT INTO `lang_definitions` VALUES (30485, 5946, 8, 'Problèmes aux sinus');
INSERT INTO `lang_definitions` VALUES (30486, 5947, 8, 'Chirurgie des sinus');
INSERT INTO `lang_definitions` VALUES (30487, 5948, 8, 'TENDRESSE DES SINUS:');
INSERT INTO `lang_definitions` VALUES (30488, 5949, 8, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (30489, 5950, 8, 'Site');
INSERT INTO `lang_definitions` VALUES (30490, 5951, 8, 'ID du site');
INSERT INTO `lang_definitions` VALUES (30491, 5956, 8, 'Taille');
INSERT INTO `lang_definitions` VALUES (30492, 5957, 8, 'La taille doit être un nombre entre 1 et 999');
INSERT INTO `lang_definitions` VALUES (30493, 5958, 8, 'Taille/Liste');
INSERT INTO `lang_definitions` VALUES (30494, 5959, 8, 'Peau');
INSERT INTO `lang_definitions` VALUES (30495, 5960, 8, 'Cancer de la peau');
INSERT INTO `lang_definitions` VALUES (30496, 5961, 8, 'Maladie de peau');
INSERT INTO `lang_definitions` VALUES (30497, 5962, 8, 'Autre choses sur la peau');
INSERT INTO `lang_definitions` VALUES (30498, 5963, 8, 'Passée l\'autorisation pour les notes du patient');
INSERT INTO `lang_definitions` VALUES (30499, 5964, 8, 'Passée la sélection');
INSERT INTO `lang_definitions` VALUES (30500, 5967, 8, 'Motif de Sommeil');
INSERT INTO `lang_definitions` VALUES (30501, 5968, 8, 'Motif de sommeil');
INSERT INTO `lang_definitions` VALUES (30502, 5969, 8, 'Sommeil');
INSERT INTO `lang_definitions` VALUES (30503, 5970, 8, 'Slovaque');
INSERT INTO `lang_definitions` VALUES (30504, 5974, 8, 'Fummeur, status actuel non connu');
INSERT INTO `lang_definitions` VALUES (30505, 5976, 8, 'Status du tabagisme');
INSERT INTO `lang_definitions` VALUES (30506, 5977, 8, 'Authentification SMS');
INSERT INTO `lang_definitions` VALUES (30507, 5978, 8, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (30508, 5979, 8, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (30509, 5980, 8, 'SMS Gateway API Key');
INSERT INTO `lang_definitions` VALUES (30510, 5981, 8, 'SMS Gateway Mot de passe');
INSERT INTO `lang_definitions` VALUES (30511, 5982, 8, 'SMS Gateway login utilisateur');
INSERT INTO `lang_definitions` VALUES (30512, 5983, 8, 'Notification SMS');
INSERT INTO `lang_definitions` VALUES (30513, 5984, 8, 'Heures de notification SMS');
INSERT INTO `lang_definitions` VALUES (30514, 5985, 8, 'SMS envoyé précédement');
INSERT INTO `lang_definitions` VALUES (30515, 5986, 8, 'SMS envoyé');
INSERT INTO `lang_definitions` VALUES (30516, 5988, 8, 'Paramètre des alertes SMS/Courriel');
INSERT INTO `lang_definitions` VALUES (30517, 5989, 8, 'SMTP mot de passe d\'authentification');
INSERT INTO `lang_definitions` VALUES (30518, 5992, 8, 'SMTP Hostname du serveur');
INSERT INTO `lang_definitions` VALUES (30519, 5993, 8, 'SMTP Serveur Numero du Port');
INSERT INTO `lang_definitions` VALUES (30520, 5994, 8, 'SMTP login pour l\'authentification');
INSERT INTO `lang_definitions` VALUES (30521, 5995, 8, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (30522, 6004, 8, 'Ronflement');
INSERT INTO `lang_definitions` VALUES (30523, 6006, 8, 'Difficulté social');
INSERT INTO `lang_definitions` VALUES (30524, 6009, 8, 'Historique social:');
INSERT INTO `lang_definitions` VALUES (30525, 6010, 8, 'Numéro de sécurité social');
INSERT INTO `lang_definitions` VALUES (30526, 6011, 8, 'solution');
INSERT INTO `lang_definitions` VALUES (30527, 6013, 8, 'Contexte physique');
INSERT INTO `lang_definitions` VALUES (30528, 6014, 8, 'Certaines autorisations n\'ont pas été affichées.Cliquez ici pour les voir tous.');
INSERT INTO `lang_definitions` VALUES (30529, 6015, 8, 'Certaines codes n\'ont pas été affichées.');
INSERT INTO `lang_definitions` VALUES (30530, 6017, 8, 'Certaines erreurs ont été rencontrées lors du processus d\'Identification');
INSERT INTO `lang_definitions` VALUES (30531, 6018, 8, 'Certaines notes n\'ont pas été affichées');
INSERT INTO `lang_definitions` VALUES (30532, 6019, 8, 'Certaines notes du bureau n\'ont pas été affichées.Cliquez ici pour voir tous.');
INSERT INTO `lang_definitions` VALUES (30533, 6020, 8, 'certain mots');
INSERT INTO `lang_definitions` VALUES (30534, 6023, 8, 'Quelquechose c\'est mal passée. S\'il vous plait essayez encore');
INSERT INTO `lang_definitions` VALUES (30535, 6026, 8, 'Irritation de la gorge');
INSERT INTO `lang_definitions` VALUES (30536, 6027, 8, 'Désolé aucun rendez-vous est pris');
INSERT INTO `lang_definitions` VALUES (30537, 6028, 8, 'Désolé, il y a eu un problème lors du téléversement de votre fichier');
INSERT INTO `lang_definitions` VALUES (30538, 6029, 8, 'Trier par');
INSERT INTO `lang_definitions` VALUES (30539, 6030, 8, 'Trier Par');
INSERT INTO `lang_definitions` VALUES (30540, 6031, 8, 'Trier par somme de contrôle');
INSERT INTO `lang_definitions` VALUES (30541, 6032, 8, 'Trier par commentaires');
INSERT INTO `lang_definitions` VALUES (30542, 6034, 8, 'Trier par la date');
INSERT INTO `lang_definitions` VALUES (30543, 6035, 8, 'Trier par la date');
INSERT INTO `lang_definitions` VALUES (30544, 6036, 8, 'Trier par évenement');
INSERT INTO `lang_definitions` VALUES (30545, 6037, 8, 'Trier par groupe');
INSERT INTO `lang_definitions` VALUES (30546, 6040, 8, 'Trier par ID patient');
INSERT INTO `lang_definitions` VALUES (30547, 6041, 8, 'Trier par succes');
INSERT INTO `lang_definitions` VALUES (30548, 6043, 8, 'Trier par utilisateur');
INSERT INTO `lang_definitions` VALUES (30549, 6044, 8, 'Trier par vaccin');
INSERT INTO `lang_definitions` VALUES (30550, 6045, 8, 'Trier par ordre décroissant');
INSERT INTO `lang_definitions` VALUES (30551, 6046, 8, 'Trier les resultats par');
INSERT INTO `lang_definitions` VALUES (30552, 6047, 8, 'Trier par odre croissant');
INSERT INTO `lang_definitions` VALUES (30553, 6048, 8, 'Source');
INSERT INTO `lang_definitions` VALUES (30554, 6049, 8, 'Fichier source');
INSERT INTO `lang_definitions` VALUES (30555, 6050, 8, 'Chemin du fichier source');
INSERT INTO `lang_definitions` VALUES (30556, 6054, 8, 'Patient source');
INSERT INTO `lang_definitions` VALUES (30557, 6055, 8, 'Le patient source n\'a pas de D.D.N');
INSERT INTO `lang_definitions` VALUES (30558, 6056, 8, 'Le patient source n\'a pas été trouvé');
INSERT INTO `lang_definitions` VALUES (30559, 6057, 8, 'Source:');
INSERT INTO `lang_definitions` VALUES (30560, 6060, 8, 'Espace');
INSERT INTO `lang_definitions` VALUES (30561, 6061, 8, 'ESPACE');
INSERT INTO `lang_definitions` VALUES (30562, 6062, 8, 'Espagnol');
INSERT INTO `lang_definitions` VALUES (30563, 6063, 8, 'Espagnol (Amerique Latine)');
INSERT INTO `lang_definitions` VALUES (30564, 6064, 8, 'Espagnol (Espagne)');
INSERT INTO `lang_definitions` VALUES (30565, 6066, 8, 'Les caractères spéciaux ne sont pas autorisé');
INSERT INTO `lang_definitions` VALUES (30566, 6067, 8, 'Traitement spéciale pour le formulaire des constantes vitales');
INSERT INTO `lang_definitions` VALUES (30567, 6068, 8, 'Spécialiste');
INSERT INTO `lang_definitions` VALUES (30568, 6069, 8, 'Nom et signature du Spécialiste');
INSERT INTO `lang_definitions` VALUES (30569, 6071, 8, 'Spécialité');
INSERT INTO `lang_definitions` VALUES (30570, 6072, 8, 'Systèmes spécialisés');
INSERT INTO `lang_definitions` VALUES (30571, 6073, 8, 'Spécialité:');
INSERT INTO `lang_definitions` VALUES (30572, 6074, 8, 'Spécifique');
INSERT INTO `lang_definitions` VALUES (30573, 6075, 8, 'Spplication spécifique');
INSERT INTO `lang_definitions` VALUES (30574, 6076, 8, 'Service de contraception spécifique');
INSERT INTO `lang_definitions` VALUES (30575, 6077, 8, 'Résultat spécifique');
INSERT INTO `lang_definitions` VALUES (30576, 6078, 8, 'Service spécifique');
INSERT INTO `lang_definitions` VALUES (30577, 6079, 8, 'Spécifiée');
INSERT INTO `lang_definitions` VALUES (30578, 6088, 8, 'Spécimen');
INSERT INTO `lang_definitions` VALUES (30579, 6089, 8, 'Numéro du spécimen/identifiant');
INSERT INTO `lang_definitions` VALUES (30580, 6090, 8, 'Type de spécimen');
INSERT INTO `lang_definitions` VALUES (30581, 6092, 8, 'Dictée vocale');
INSERT INTO `lang_definitions` VALUES (30582, 6093, 8, 'Spermicides');
INSERT INTO `lang_definitions` VALUES (30583, 6094, 8, 'Splénectomie');
INSERT INTO `lang_definitions` VALUES (30584, 6095, 8, 'Conjoint');
INSERT INTO `lang_definitions` VALUES (30585, 6097, 8, 'Crachat');
INSERT INTO `lang_definitions` VALUES (30586, 6098, 8, 'Crachat:');
INSERT INTO `lang_definitions` VALUES (30587, 6102, 8, 'Equipe');
INSERT INTO `lang_definitions` VALUES (30588, 6103, 8, 'Membres déquipe');
INSERT INTO `lang_definitions` VALUES (30589, 6104, 8, 'Equipes');
INSERT INTO `lang_definitions` VALUES (30590, 6111, 8, 'N.S.S.');
INSERT INTO `lang_definitions` VALUES (30591, 6112, 8, 'Administration du certificat SSL');
INSERT INTO `lang_definitions` VALUES (30592, 6113, 8, 'N.S.S.');
INSERT INTO `lang_definitions` VALUES (30593, 6114, 8, 'Stabilité');
INSERT INTO `lang_definitions` VALUES (30594, 6116, 8, 'Standard');
INSERT INTO `lang_definitions` VALUES (30595, 6117, 8, 'Code standard');
INSERT INTO `lang_definitions` VALUES (30596, 6118, 8, 'Mesures standard');
INSERT INTO `lang_definitions` VALUES (30597, 6119, 8, 'Mesures standard (Alertes active)');
INSERT INTO `lang_definitions` VALUES (30598, 6120, 8, 'Mesures standard (Alertes passive)');
INSERT INTO `lang_definitions` VALUES (30599, 6121, 8, 'Mesures standard (Rappels patient)');
INSERT INTO `lang_definitions` VALUES (30600, 6122, 8, 'Nom standard');
INSERT INTO `lang_definitions` VALUES (30601, 6124, 8, 'Début');
INSERT INTO `lang_definitions` VALUES (30602, 6125, 8, 'Début (aaaa-mm-jj): ');
INSERT INTO `lang_definitions` VALUES (30603, 6126, 8, 'Commencer un nouveau rapport');
INSERT INTO `lang_definitions` VALUES (30604, 6128, 8, 'Date de début');
INSERT INTO `lang_definitions` VALUES (30605, 6129, 8, 'Date de début dans cette clinique');
INSERT INTO `lang_definitions` VALUES (30606, 6130, 8, 'Date de début ne doit pas être supérieur Date de fin');
INSERT INTO `lang_definitions` VALUES (30607, 6131, 8, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (30608, 6132, 8, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (30609, 6133, 8, 'Heure de début');
INSERT INTO `lang_definitions` VALUES (30610, 6134, 8, 'Date de démarrage');
INSERT INTO `lang_definitions` VALUES (30611, 6136, 8, 'État');
INSERT INTO `lang_definitions` VALUES (30612, 6137, 8, 'Type de donnée État');
INSERT INTO `lang_definitions` VALUES (30613, 6139, 8, 'Numéro de licence de l\'État');
INSERT INTO `lang_definitions` VALUES (30614, 6140, 8, 'Liste des États');
INSERT INTO `lang_definitions` VALUES (30615, 6141, 8, 'Liste des États (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (30616, 6142, 8, 'Liste des États (écriture, ajout seulement optionnel)');
INSERT INTO `lang_definitions` VALUES (30617, 6143, 8, 'État ou province');
INSERT INTO `lang_definitions` VALUES (30618, 6144, 8, 'État/Localité');
INSERT INTO `lang_definitions` VALUES (30619, 6145, 8, 'État/Paroisse');
INSERT INTO `lang_definitions` VALUES (30620, 6146, 8, 'Résumé du relevé');
INSERT INTO `lang_definitions` VALUES (30621, 6147, 8, 'Relevés et factures en cours de traitement.');
INSERT INTO `lang_definitions` VALUES (30622, 6148, 8, 'Relevés envoyés:');
INSERT INTO `lang_definitions` VALUES (30623, 6149, 8, 'Relevés; les factures ne seront pas mise à jour.');
INSERT INTO `lang_definitions` VALUES (30624, 6150, 8, 'Texte statique');
INSERT INTO `lang_definitions` VALUES (30625, 6151, 8, 'Statistiques');
INSERT INTO `lang_definitions` VALUES (30626, 6152, 8, 'Stats');
INSERT INTO `lang_definitions` VALUES (30627, 6153, 8, 'Status');
INSERT INTO `lang_definitions` VALUES (30628, 6154, 8, 'Status de l\'admission');
INSERT INTO `lang_definitions` VALUES (30629, 6155, 8, 'Satus de la réclamation');
INSERT INTO `lang_definitions` VALUES (30630, 6156, 8, 'Status quo');
INSERT INTO `lang_definitions` VALUES (30631, 6158, 8, 'MST/SIDA aide psychologique');
INSERT INTO `lang_definitions` VALUES (30632, 6159, 8, 'Force et conditionnement');
INSERT INTO `lang_definitions` VALUES (30633, 6164, 8, 'Etapes pour l\'installation de la base de données DSM IV');
INSERT INTO `lang_definitions` VALUES (30634, 6165, 8, 'Etapes pour l\'installation de la base de données ICD 10');
INSERT INTO `lang_definitions` VALUES (30635, 6166, 8, 'Etapes pour l\'installation de la base de données ICD 9');
INSERT INTO `lang_definitions` VALUES (30636, 6167, 8, 'Etapes pour l\'installation de la base de données RxNorm');
INSERT INTO `lang_definitions` VALUES (30637, 6168, 8, 'Etapes pour l\'installation de la base de données Snomed');
INSERT INTO `lang_definitions` VALUES (30638, 6169, 8, 'Raideur articulaire');
INSERT INTO `lang_definitions` VALUES (30639, 6170, 8, 'Raideur');
INSERT INTO `lang_definitions` VALUES (30640, 6172, 8, 'Douleurs a l\'estomac');
INSERT INTO `lang_definitions` VALUES (30641, 6174, 8, 'Hashe enregistré');
INSERT INTO `lang_definitions` VALUES (30642, 6175, 8, 'Effort des muscles');
INSERT INTO `lang_definitions` VALUES (30643, 6176, 8, 'Flux');
INSERT INTO `lang_definitions` VALUES (30644, 6177, 8, 'Rue');
INSERT INTO `lang_definitions` VALUES (30645, 6178, 8, 'Rue de l\'adresse');
INSERT INTO `lang_definitions` VALUES (30646, 6179, 8, 'Rue et numéro');
INSERT INTO `lang_definitions` VALUES (30647, 6180, 8, 'Force');
INSERT INTO `lang_definitions` VALUES (30648, 6182, 8, 'Angine');
INSERT INTO `lang_definitions` VALUES (30649, 6183, 8, 'Fracture de fatigue');
INSERT INTO `lang_definitions` VALUES (30650, 6184, 8, 'Test de stresse');
INSERT INTO `lang_definitions` VALUES (30651, 6185, 8, 'AVC');
INSERT INTO `lang_definitions` VALUES (30652, 6186, 8, 'Un mot de passe fort doit faire 8 caractères au minimum, et contenir au moins 3 des 4 types suivant: un nombre, une lettre minuscule, une lettre majuscule, un caratère spécial.');
INSERT INTO `lang_definitions` VALUES (30653, 6187, 8, 'Style');
INSERT INTO `lang_definitions` VALUES (30654, 6188, 8, 'Style de formulaire utilisé pour ajouter de nouveaux patients');
INSERT INTO `lang_definitions` VALUES (30655, 6189, 8, 'Sous-catégorie');
INSERT INTO `lang_definitions` VALUES (30656, 6190, 8, 'Sous-total');
INSERT INTO `lang_definitions` VALUES (30657, 6191, 8, 'Souscatégorie');
INSERT INTO `lang_definitions` VALUES (30658, 6192, 8, 'souscatégorie');
INSERT INTO `lang_definitions` VALUES (30659, 6193, 8, 'sous-cutané');
INSERT INTO `lang_definitions` VALUES (30660, 6194, 8, 'Sujet');
INSERT INTO `lang_definitions` VALUES (30661, 6195, 8, 'Subjectif');
INSERT INTO `lang_definitions` VALUES (30662, 6196, 8, 'Sous la langue');
INSERT INTO `lang_definitions` VALUES (30663, 6197, 8, 'sous la langue');
INSERT INTO `lang_definitions` VALUES (30664, 6198, 8, 'Soumettre');
INSERT INTO `lang_definitions` VALUES (30665, 6199, 8, 'soumettre');
INSERT INTO `lang_definitions` VALUES (30666, 6200, 8, 'Soumettre tout le contenu');
INSERT INTO `lang_definitions` VALUES (30667, 6202, 8, 'Soumettre l\'evenement');
INSERT INTO `lang_definitions` VALUES (30668, 6203, 8, 'soumettre le formulaire');
INSERT INTO `lang_definitions` VALUES (30669, 6204, 8, 'Soumettre le contenu sélectionné');
INSERT INTO `lang_definitions` VALUES (30670, 6205, 8, 'Soumis');
INSERT INTO `lang_definitions` VALUES (30671, 6206, 8, 'Soumis par');
INSERT INTO `lang_definitions` VALUES (30672, 6208, 8, 'Abonné');
INSERT INTO `lang_definitions` VALUES (30673, 6209, 8, 'Adresse de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30674, 6213, 8, 'Employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30675, 6215, 8, 'Adresse de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30676, 6216, 8, 'Ville de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30677, 6217, 8, 'Pays de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30678, 6218, 8, 'État de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30679, 6221, 8, 'Code postal de l\'employeur de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30680, 6225, 8, 'Téléphone de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30681, 6226, 8, 'Relation de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30682, 6227, 8, 'L\'abonné n\'a pas célibataire en relation mais le nom est le même! Est ce réelement juste?');
INSERT INTO `lang_definitions` VALUES (30683, 6228, 8, 'L\'abonné n\'a pas célibataire en relation mais le N.S.S. est le même!');
INSERT INTO `lang_definitions` VALUES (30684, 6229, 8, 'L\'abonné a célibataire en relation mais le nom est différent! Est ce réellement juste?');
INSERT INTO `lang_definitions` VALUES (30685, 6230, 8, 'L\'abonné a célibataire en relation mais le S.S.N. est différent!');
INSERT INTO `lang_definitions` VALUES (30686, 6231, 8, 'Sexe de l\'abonné');
INSERT INTO `lang_definitions` VALUES (30687, 6237, 8, 'Subtitution');
INSERT INTO `lang_definitions` VALUES (30688, 6238, 8, 'substitition autorisé');
INSERT INTO `lang_definitions` VALUES (30689, 6240, 8, 'Succès');
INSERT INTO `lang_definitions` VALUES (30690, 6241, 8, 'succès');
INSERT INTO `lang_definitions` VALUES (30691, 6242, 8, 'Succès confirmant la réception des résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (30692, 6243, 8, 'Succès d\'obtention des resultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (30693, 6244, 8, 'Succès de la récupération des résultats depuis le reseau d\'echange de laboratoire');
INSERT INTO `lang_definitions` VALUES (30694, 6246, 8, 'Catégorie ajoutée avec succès');
INSERT INTO `lang_definitions` VALUES (30695, 6247, 8, 'a été ajouté avec succes à la catégorie');
INSERT INTO `lang_definitions` VALUES (30696, 6248, 8, 'Supprimé avec succès');
INSERT INTO `lang_definitions` VALUES (30697, 6250, 8, 'La base de donnée a été installée avec succès.');
INSERT INTO `lang_definitions` VALUES (30698, 6251, 8, 'La base de donnée suivante a été installée avec succès');
INSERT INTO `lang_definitions` VALUES (30699, 6252, 8, 'Modifié avec succès');
INSERT INTO `lang_definitions` VALUES (30700, 6253, 8, 'Sauvegarde Reussi.Souhaitez-vous l\'atribuer ?');
INSERT INTO `lang_definitions` VALUES (30701, 6254, 8, 'Sauvegarde Reussi.Souhaitez-vous le distribuer ?');
INSERT INTO `lang_definitions` VALUES (30702, 6256, 8, 'Rangé avec succès.');
INSERT INTO `lang_definitions` VALUES (30703, 6257, 8, 'La mise à jour de la base de donnée cest déroulée avec succès');
INSERT INTO `lang_definitions` VALUES (30704, 6258, 8, 'La mise à jour de la base de donnée suivante cest déroulée avec succès');
INSERT INTO `lang_definitions` VALUES (30705, 6259, 8, 'Avec succès.');
INSERT INTO `lang_definitions` VALUES (30706, 6260, 8, 'Suicide');
INSERT INTO `lang_definitions` VALUES (30707, 6261, 8, 'Résumé');
INSERT INTO `lang_definitions` VALUES (30708, 6262, 8, 'Résumé de');
INSERT INTO `lang_definitions` VALUES (30709, 6265, 8, 'Soleil');
INSERT INTO `lang_definitions` VALUES (30710, 6267, 8, 'Dimanche');
INSERT INTO `lang_definitions` VALUES (30711, 6275, 8, 'Superutilisateur');
INSERT INTO `lang_definitions` VALUES (30712, 6276, 8, 'Suveillance');
INSERT INTO `lang_definitions` VALUES (30713, 6283, 8, 'Nom de l\'établissement fournisseur');
INSERT INTO `lang_definitions` VALUES (30714, 6289, 8, 'Type de surface');
INSERT INTO `lang_definitions` VALUES (30715, 6290, 8, 'Chirurgies');
INSERT INTO `lang_definitions` VALUES (30716, 6291, 8, 'Chirurgie');
INSERT INTO `lang_definitions` VALUES (30717, 6292, 8, 'Liste des problèmes de la chirurgie');
INSERT INTO `lang_definitions` VALUES (30718, 6293, 8, 'Suspendu');
INSERT INTO `lang_definitions` VALUES (30719, 6294, 8, 'suspension');
INSERT INTO `lang_definitions` VALUES (30720, 6299, 8, 'Traspiration:');
INSERT INTO `lang_definitions` VALUES (30721, 6300, 8, 'Suèdois');
INSERT INTO `lang_definitions` VALUES (30722, 6301, 8, 'Enflure');
INSERT INTO `lang_definitions` VALUES (30723, 6302, 8, 'Enflure droite');
INSERT INTO `lang_definitions` VALUES (30724, 6303, 8, 'Articulations enflées');
INSERT INTO `lang_definitions` VALUES (30725, 6304, 8, 'Ganglions lymphatique enflés');
INSERT INTO `lang_definitions` VALUES (30726, 6305, 8, 'Symbole utilisé comme point décimal pour les monaies. Non utilisé si Decimal Places est à 0.');
INSERT INTO `lang_definitions` VALUES (30727, 6306, 8, 'Symbole utilisé pour séparé les centaines pour les monaies.');
INSERT INTO `lang_definitions` VALUES (30728, 6307, 8, 'Symptômes');
INSERT INTO `lang_definitions` VALUES (30729, 6308, 8, 'Synchroniser');
INSERT INTO `lang_definitions` VALUES (30730, 6309, 8, 'Synchroniser les traductions avec la table de personnalisation du langage');
INSERT INTO `lang_definitions` VALUES (30731, 6310, 8, 'Nouvelle constante personalisé synchronisé');
INSERT INTO `lang_definitions` VALUES (30732, 6311, 8, 'Nouvelle langue personalisée synchronisé');
INSERT INTO `lang_definitions` VALUES (30733, 6312, 8, 'Nouvelle definition synchronisé (Langage,constante,definition):');
INSERT INTO `lang_definitions` VALUES (30734, 6313, 8, 'Syncope');
INSERT INTO `lang_definitions` VALUES (30735, 6317, 8, 'Synovie, empiètement, bursite');
INSERT INTO `lang_definitions` VALUES (30736, 6318, 8, 'Système');
INSERT INTO `lang_definitions` VALUES (30737, 6325, 8, 'Table');
INSERT INTO `lang_definitions` VALUES (30738, 6327, 8, 'Création de la table échouée');
INSERT INTO `lang_definitions` VALUES (30739, 6328, 8, 'Mise à jour de la table échouée');
INSERT INTO `lang_definitions` VALUES (30740, 6330, 8, 'comprimé');
INSERT INTO `lang_definitions` VALUES (30741, 6332, 8, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (30742, 6335, 8, 'Prendre');
INSERT INTO `lang_definitions` VALUES (30743, 6336, 8, 'Choisir l\'assurance, depuis le menu déroulant');
INSERT INTO `lang_definitions` VALUES (30744, 6337, 8, 'Selectionner le paiment à partir, depuis le menu déroulant');
INSERT INTO `lang_definitions` VALUES (30745, 6339, 8, 'Prend du temps');
INSERT INTO `lang_definitions` VALUES (30746, 6340, 8, 'Grande zone de navigation');
INSERT INTO `lang_definitions` VALUES (30747, 6344, 8, 'La D.D.N source et cible ne correspondent pas');
INSERT INTO `lang_definitions` VALUES (30748, 6345, 8, 'Le pid source et cible pourrait ne pas être le même!');
INSERT INTO `lang_definitions` VALUES (30749, 6346, 8, 'Le N.S.S source et cible ne correspondent pas');
INSERT INTO `lang_definitions` VALUES (30750, 6347, 8, 'Date cible');
INSERT INTO `lang_definitions` VALUES (30751, 6348, 8, 'Patient cible');
INSERT INTO `lang_definitions` VALUES (30752, 6349, 8, 'Le patient cible n\'a pas de D.D.N');
INSERT INTO `lang_definitions` VALUES (30753, 6350, 8, 'Le patient cible n\'a pas été trouvé');
INSERT INTO `lang_definitions` VALUES (30754, 6351, 8, 'Groupes de cible/actions');
INSERT INTO `lang_definitions` VALUES (30755, 6354, 8, 'ID Taxe');
INSERT INTO `lang_definitions` VALUES (30756, 6355, 8, 'Taux de la taxe');
INSERT INTO `lang_definitions` VALUES (30757, 6356, 8, 'Taxes');
INSERT INTO `lang_definitions` VALUES (30758, 6357, 8, 'Taxonomie');
INSERT INTO `lang_definitions` VALUES (30759, 6359, 8, 'Vue de l\'équipe des blessures');
INSERT INTO `lang_definitions` VALUES (30760, 6360, 8, 'Tableau de service');
INSERT INTO `lang_definitions` VALUES (30761, 6361, 8, 'Vue du tableau de service');
INSERT INTO `lang_definitions` VALUES (30762, 6362, 8, 'Équipe/Groupe');
INSERT INTO `lang_definitions` VALUES (30763, 6363, 8, 'Tel');
INSERT INTO `lang_definitions` VALUES (30764, 6364, 8, 'Code téléphonique du pays');
INSERT INTO `lang_definitions` VALUES (30765, 6366, 8, 'Temporaire');
INSERT INTO `lang_definitions` VALUES (30766, 6367, 8, 'Emplacement temporaire');
INSERT INTO `lang_definitions` VALUES (30767, 6368, 8, 'Méthode temporaire');
INSERT INTO `lang_definitions` VALUES (30768, 6369, 8, 'Température');
INSERT INTO `lang_definitions` VALUES (30769, 6370, 8, 'Gabarit');
INSERT INTO `lang_definitions` VALUES (30770, 6371, 8, 'Nom du gabarit');
INSERT INTO `lang_definitions` VALUES (30771, 6372, 8, 'Les noms de gabarit ne peuvent pas commencer avec des nombres.');
INSERT INTO `lang_definitions` VALUES (30772, 6373, 8, 'Gabarit:');
INSERT INTO `lang_definitions` VALUES (30773, 6374, 8, 'Gabarits');
INSERT INTO `lang_definitions` VALUES (30774, 6375, 8, 'Artère temporale');
INSERT INTO `lang_definitions` VALUES (30775, 6376, 8, 'lésion tendineuse');
INSERT INTO `lang_definitions` VALUES (30776, 6377, 8, 'Tendinite / problème / bursite');
INSERT INTO `lang_definitions` VALUES (30777, 6378, 8, 'Tentative de facture Ref No');
INSERT INTO `lang_definitions` VALUES (30778, 6379, 8, 'Tertiaire');
INSERT INTO `lang_definitions` VALUES (30779, 6380, 8, 'Assurance tertiaire');
INSERT INTO `lang_definitions` VALUES (30780, 6381, 8, 'Données de l\'assurance tertiaire');
INSERT INTO `lang_definitions` VALUES (30781, 6382, 8, 'Fournisseur de l\'assurance tertiaire');
INSERT INTO `lang_definitions` VALUES (30782, 6383, 8, 'Emplois du temps test');
INSERT INTO `lang_definitions` VALUES (30783, 6384, 8, 'Système de test');
INSERT INTO `lang_definitions` VALUES (30784, 6385, 8, 'Texte');
INSERT INTO `lang_definitions` VALUES (30785, 6386, 8, 'Texte diagnostic');
INSERT INTO `lang_definitions` VALUES (30786, 6387, 8, 'Champs texte');
INSERT INTO `lang_definitions` VALUES (30787, 6393, 8, 'Date-Texte');
INSERT INTO `lang_definitions` VALUES (30788, 6394, 8, 'date-texte');
INSERT INTO `lang_definitions` VALUES (30789, 6395, 8, 'Zone de texte');
INSERT INTO `lang_definitions` VALUES (30790, 6396, 8, 'zone de texte');
INSERT INTO `lang_definitions` VALUES (30791, 6397, 8, 'Boite de texte');
INSERT INTO `lang_definitions` VALUES (30792, 6398, 8, 'boite de texte');
INSERT INTO `lang_definitions` VALUES (30793, 6399, 8, 'Liste de boites de texte');
INSERT INTO `lang_definitions` VALUES (30794, 6400, 8, 'Liste de boites de texte');
INSERT INTO `lang_definitions` VALUES (30795, 6401, 8, 'Thai');
INSERT INTO `lang_definitions` VALUES (30796, 6402, 8, 'Merci');
INSERT INTO `lang_definitions` VALUES (30797, 6403, 8, 'Merci à vous pour avoir choisit');
INSERT INTO `lang_definitions` VALUES (30798, 6404, 8, 'Le bouton \'Effacer\' va supprimer toutes les annotations.');
INSERT INTO `lang_definitions` VALUES (30799, 6405, 8, 'La déclaration ci-dessus a échouée');
INSERT INTO `lang_definitions` VALUES (30800, 6408, 8, 'Le fichier de réclamation: ');
INSERT INTO `lang_definitions` VALUES (30801, 6422, 8, 'Le(s) évenement(s) a/ont été autorisé.');
INSERT INTO `lang_definitions` VALUES (30802, 6423, 8, 'Le(s) évenement(s) a/ont été caché.');
INSERT INTO `lang_definitions` VALUES (30803, 6458, 8, 'La fusion ne va pas s\'executer a moins que le N.S.S. et la D.D.N des deux entités soient identique. Les D.D.Ns ne peuvent pas être vide.');
INSERT INTO `lang_definitions` VALUES (30804, 6459, 8, 'Le message pourrait ne pas être envoyé durant cette période.');
INSERT INTO `lang_definitions` VALUES (30805, 6460, 8, 'La nouvelle catégorie sera une sous-catégorie de ');
INSERT INTO `lang_definitions` VALUES (30806, 6461, 8, 'Le nouveau mot de passe ne peut pas être le même que le mot de passe actuel.');
INSERT INTO `lang_definitions` VALUES (30807, 6462, 8, 'Les champs de nouveau mot de passe ne sont pas les même.');
INSERT INTO `lang_definitions` VALUES (30808, 6466, 8, 'Le mot de passe doit avoir au moins 8 caractères, et doit');
INSERT INTO `lang_definitions` VALUES (30809, 6469, 8, 'Les rappels du patient à été envoyé');
INSERT INTO `lang_definitions` VALUES (30810, 6470, 8, 'Les rappels du patient à été envoyé');
INSERT INTO `lang_definitions` VALUES (30811, 6492, 8, 'Le fichier vide va contenir les objets suivant');
INSERT INTO `lang_definitions` VALUES (30812, 6493, 8, 'Theme');
INSERT INTO `lang_definitions` VALUES (30813, 6495, 8, 'Injections thérapeutique');
INSERT INTO `lang_definitions` VALUES (30814, 6496, 8, 'Il y a');
INSERT INTO `lang_definitions` VALUES (30815, 6497, 8, 'Actuelement il y a aucunes prescriptions');
INSERT INTO `lang_definitions` VALUES (30816, 6501, 8, 'Il n\'y a pas de divulgations enregistré pour ce patient');
INSERT INTO `lang_definitions` VALUES (30817, 6502, 8, 'Il n\'y a pas de nouvelle sousmissions');
INSERT INTO `lang_definitions` VALUES (30818, 6503, 8, 'Il n\'y a pas de notes sur le fichier pour ce patient.');
INSERT INTO `lang_definitions` VALUES (30819, 6504, 8, 'Il n\'y a aucune transactions sur le fichier de ce patient.');
INSERT INTO `lang_definitions` VALUES (30820, 6505, 8, 'Il y a eu une erreur lors de l\'envois de mail');
INSERT INTO `lang_definitions` VALUES (30821, 6506, 8, 'Il y a déjà une catégorie nommé');
INSERT INTO `lang_definitions` VALUES (30822, 6507, 8, 'Il y a déjà une sous-catégorie nommé');
INSERT INTO `lang_definitions` VALUES (30823, 6508, 8, 'Il y a déjà un objet nommé');
INSERT INTO `lang_definitions` VALUES (30824, 6509, 8, 'Il y a toujours une requète d\'enregistrement de patient ouverte.');
INSERT INTO `lang_definitions` VALUES (30825, 6513, 8, 'Il n\'y a pas de patient actuel');
INSERT INTO `lang_definitions` VALUES (30826, 6515, 8, 'Il n\'y a pas de correspondance avec l\'id de la facture');
INSERT INTO `lang_definitions` VALUES (30827, 6516, 8, 'Il n\'y a pas de correspondance avec l\'id de la facture = ');
INSERT INTO `lang_definitions` VALUES (30828, 6519, 8, 'Il y a eu un problème a l\'envois du message.');
INSERT INTO `lang_definitions` VALUES (30829, 6520, 8, 'Il y a eu une erreur durant l\'execution de votre requète.');
INSERT INTO `lang_definitions` VALUES (30830, 6522, 8, 'Ceci sont les liens 2012');
INSERT INTO `lang_definitions` VALUES (30831, 6524, 8, 'Cuisse');
INSERT INTO `lang_definitions` VALUES (30832, 6525, 8, 'Cuisse + tendon du jarret');
INSERT INTO `lang_definitions` VALUES (30833, 6526, 8, 'Choses que les services administratifs peuvent seulement lire');
INSERT INTO `lang_definitions` VALUES (30834, 6527, 8, 'Choses que les services administratifs peuvent seulement lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (30835, 6528, 8, 'Choses que les services administratifs peuvent lire et modifier');
INSERT INTO `lang_definitions` VALUES (30836, 6529, 8, 'Choses que les services administratifs peuvent lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (30837, 6530, 8, 'Choses que les cliniciens peuvent seulements lire');
INSERT INTO `lang_definitions` VALUES (30838, 6531, 8, 'Choses que les cliniciens peuvent lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (30839, 6532, 8, 'Choses que les cliniciens peuvent lire et modifier');
INSERT INTO `lang_definitions` VALUES (30840, 6533, 8, 'Choses que les cliniciens peuvent lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (30841, 6534, 8, 'Choses que l\'acceuil peut seulement lire');
INSERT INTO `lang_definitions` VALUES (30842, 6535, 8, 'Choses que l\'acceuil peut seulement lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (30843, 6536, 8, 'Choses que l\'acceuil peut lire et modifier');
INSERT INTO `lang_definitions` VALUES (30844, 6537, 8, 'Choses que l\'acceuil peut lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (30845, 6538, 8, 'Choses que les médecins peuvent seulement lire');
INSERT INTO `lang_definitions` VALUES (30846, 6539, 8, 'Choses que les médecins peuvent lire et ajouter mais pas modifier');
INSERT INTO `lang_definitions` VALUES (30847, 6540, 8, 'Choses que les médecins peuvent lire et modifier');
INSERT INTO `lang_definitions` VALUES (30848, 6541, 8, 'Choses que les médecins peuvent lire et partielement modifier');
INSERT INTO `lang_definitions` VALUES (30849, 6542, 8, 'Troisième');
INSERT INTO `lang_definitions` VALUES (30850, 6544, 8, 'Cette action NE PEUT PAS être annulée.');
INSERT INTO `lang_definitions` VALUES (30851, 6545, 8, 'Cette action ne peut pas être annulée.');
INSERT INTO `lang_definitions` VALUES (30852, 6547, 8, 'Cette action sera enregistrée');
INSERT INTO `lang_definitions` VALUES (30853, 6552, 8, 'Cette réclamation a été annulée');
INSERT INTO `lang_definitions` VALUES (30854, 6553, 8, 'Cette réclamation a été fermée.');
INSERT INTO `lang_definitions` VALUES (30855, 6554, 8, 'Cette réclamation a été refusée. Raison:-');
INSERT INTO `lang_definitions` VALUES (30856, 6555, 8, 'Cette réclamation est passée au niveau suivant.');
INSERT INTO `lang_definitions` VALUES (30857, 6556, 8, 'Ce type de code n\'accèpte pas les relations.');
INSERT INTO `lang_definitions` VALUES (30858, 6558, 8, 'Ceci determine comment les rendez-vous s\'affiche sur le calendrier.');
INSERT INTO `lang_definitions` VALUES (30859, 6559, 8, 'Ceci determine quel schéma de couleur sera utilisé pour les rendez-vous');
INSERT INTO `lang_definitions` VALUES (30860, 6561, 8, 'Cette rencontre');
INSERT INTO `lang_definitions` VALUES (30861, 6562, 8, 'Cette rencontre a été payée. Si vous devez changer ceci, elle doit être ré-ouverte.');
INSERT INTO `lang_definitions` VALUES (30862, 6564, 8, 'Cette fonctionnalitée n\'est pas disponible');
INSERT INTO `lang_definitions` VALUES (30863, 6565, 8, 'Cette fonctionnalitée est très expérimentale et peu testée. Utilisez la a vos propre risques!');
INSERT INTO `lang_definitions` VALUES (30864, 6566, 8, 'Le numéro de facturation a été changer en ');
INSERT INTO `lang_definitions` VALUES (30865, 6572, 8, 'cette location');
INSERT INTO `lang_definitions` VALUES (30866, 6575, 8, 'Ce module est en mode test. La base de donnée ne sera pas changée.');
INSERT INTO `lang_definitions` VALUES (30867, 6580, 8, 'Cette page est désactivée pour des raisons de sécurité.');
INSERT INTO `lang_definitions` VALUES (30868, 6582, 8, 'Ce patient a aucune activité.');
INSERT INTO `lang_definitions` VALUES (30869, 6583, 8, 'Cette ID patient est déjà utilisée!');
INSERT INTO `lang_definitions` VALUES (30870, 6584, 8, 'Ce produit autorise seulement un lot par entrepôt.');
INSERT INTO `lang_definitions` VALUES (30871, 6585, 8, 'Ce protocole est non implémenté');
INSERT INTO `lang_definitions` VALUES (30872, 6586, 8, 'Ce rapport fonctionne actuelement seulement pour les codes ICD9.');
INSERT INTO `lang_definitions` VALUES (30873, 6591, 8, 'Cette étape va générer un fichier que vous devez sauvegarder pour une utilisation futur. Ce fichier ne pourra pas être regénéré. Voulez vous continuer?');
INSERT INTO `lang_definitions` VALUES (30874, 6592, 8, 'Cet utilisateur est membre d\'aucun groupes');
INSERT INTO `lang_definitions` VALUES (30875, 6593, 8, 'Cet utilisateur va recevoir des notifications des nouveau messages Direct arrivant');
INSERT INTO `lang_definitions` VALUES (30876, 6595, 8, 'Cette visite marque le début d\'une nouvelle utilisation de contraceptifs');
INSERT INTO `lang_definitions` VALUES (30877, 6597, 8, 'Ceci était l\'ancien formulaire des constantes vitals avec métrique seulement, maintenant déprécié.');
INSERT INTO `lang_definitions` VALUES (30878, 6622, 8, 'Colonne vertébrale thorasique');
INSERT INTO `lang_definitions` VALUES (30879, 6625, 8, 'Gorge');
INSERT INTO `lang_definitions` VALUES (30880, 6626, 8, 'Cancer de la gorge');
INSERT INTO `lang_definitions` VALUES (30881, 6627, 8, 'Chirurgie du cancer de la gorge');
INSERT INTO `lang_definitions` VALUES (30882, 6628, 8, 'Thrombose/AVC');
INSERT INTO `lang_definitions` VALUES (30883, 6629, 8, 'Jeu.');
INSERT INTO `lang_definitions` VALUES (30884, 6630, 8, 'Jeudi');
INSERT INTO `lang_definitions` VALUES (30885, 6631, 8, 'Jeudi');
INSERT INTO `lang_definitions` VALUES (30886, 6632, 8, 'Thyroïde normale');
INSERT INTO `lang_definitions` VALUES (30887, 6633, 8, 'Problèmes à la thyroïde');
INSERT INTO `lang_definitions` VALUES (30888, 6638, 8, 'Temps');
INSERT INTO `lang_definitions` VALUES (30889, 6639, 8, 'Format d\'affichage du temps');
INSERT INTO `lang_definitions` VALUES (30890, 6640, 8, 'Incrément du temps pour l\'ajout (minutes 1-60)');
INSERT INTO `lang_definitions` VALUES (30891, 6641, 8, 'Sélection du temps');
INSERT INTO `lang_definitions` VALUES (30892, 6642, 8, 'Période de temps ouverte, sauvegarde de l\'événement');
INSERT INTO `lang_definitions` VALUES (30893, 6647, 8, 'Événement daté');
INSERT INTO `lang_definitions` VALUES (30894, 6649, 8, 'Marqueur temporel et texte');
INSERT INTO `lang_definitions` VALUES (30895, 6651, 8, 'Acouphène');
INSERT INTO `lang_definitions` VALUES (30896, 6652, 8, 'Titre');
INSERT INTO `lang_definitions` VALUES (30897, 6653, 8, 'Titre V');
INSERT INTO `lang_definitions` VALUES (30898, 6655, 8, 'Titres');
INSERT INTO `lang_definitions` VALUES (30899, 6658, 8, 'Pour');
INSERT INTO `lang_definitions` VALUES (30900, 6659, 8, 'POUR');
INSERT INTO `lang_definitions` VALUES (30901, 6660, 8, 'pour');
INSERT INTO `lang_definitions` VALUES (30902, 6661, 8, 'Pour le chemin absolu du fichier');
INSERT INTO `lang_definitions` VALUES (30903, 6662, 8, 'Pour ajouter des notes, s\'il vous plait cliquez ');
INSERT INTO `lang_definitions` VALUES (30904, 6663, 8, 'Pour ajouter des notes, s\'il vous plait cliquez ici');
INSERT INTO `lang_definitions` VALUES (30905, 6664, 8, 'Vers la zone affectée');
INSERT INTO `lang_definitions` VALUES (30906, 6665, 8, 'vers la zone affectée');
INSERT INTO `lang_definitions` VALUES (30907, 6666, 8, 'Pour ouvrir automatiquement le formulaire spécifié. Certaines équipes de sport utilise ici football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (30908, 6667, 8, 'Vers la vue de facturation');
INSERT INTO `lang_definitions` VALUES (30909, 6668, 8, 'Vers la vue de facturation');
INSERT INTO `lang_definitions` VALUES (30910, 6669, 8, 'Vers la vue clinique');
INSERT INTO `lang_definitions` VALUES (30911, 6670, 8, 'Vers le ticket modérateur');
INSERT INTO `lang_definitions` VALUES (30912, 6674, 8, 'Pour désactiver les certificats SSL coté client, commenter les lignes ci-dessus dans le fichier de configuration Apache et mettre');
INSERT INTO `lang_definitions` VALUES (30913, 6675, 8, 'Pour désactivé https, commnenter les lignes ci-dessus dans le fichier de configuration Apache et redémarer le serveur Apache.');
INSERT INTO `lang_definitions` VALUES (30914, 6676, 8, 'Pour activer les certificats ssl coté client');
INSERT INTO `lang_definitions` VALUES (30915, 6677, 8, 'Pour activer l\'authentification coté client par certificat SSL. HTTPS devrait être activé.');
INSERT INTO `lang_definitions` VALUES (30916, 6678, 8, 'Pour activité uniquement HTTPS, faites les changement ci-dessus et redémaré le serveur Apache. Si vous voullez configurer égalements les certificats coté client, s\'il vous plait configuré les dans la section suivante.');
INSERT INTO `lang_definitions` VALUES (30917, 6680, 8, 'Pour filtrer par sexe');
INSERT INTO `lang_definitions` VALUES (30918, 6681, 8, 'Pour l\'historique');
INSERT INTO `lang_definitions` VALUES (30919, 6682, 8, 'Pour les problèmes');
INSERT INTO `lang_definitions` VALUES (30920, 6683, 8, 'Pour lié cette rencontre/consultation à un problème existant, cliquez sur le ');
INSERT INTO `lang_definitions` VALUES (30921, 6685, 8, 'Pour ce connecter encore');
INSERT INTO `lang_definitions` VALUES (30922, 6686, 8, 'Pour enregistrer les révélations, s\'il vous plait cliquez');
INSERT INTO `lang_definitions` VALUES (30923, 6687, 8, 'Pour executer');
INSERT INTO `lang_definitions` VALUES (30924, 6688, 8, 'Pour configurer les accès https avec l\'authentification client par certification, faire ce qui suit');
INSERT INTO `lang_definitions` VALUES (30925, 6691, 8, 'Pour cette visite?');
INSERT INTO `lang_definitions` VALUES (30926, 6693, 8, 'À:');
INSERT INTO `lang_definitions` VALUES (30927, 6694, 8, 'À: ');
INSERT INTO `lang_definitions` VALUES (30928, 6708, 8, 'Tabac');
INSERT INTO `lang_definitions` VALUES (30929, 6709, 8, 'Intervention en abandon du tabagisme');
INSERT INTO `lang_definitions` VALUES (30930, 6710, 8, 'Intervention en abandon du tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (30931, 6712, 8, 'Tabagisme');
INSERT INTO `lang_definitions` VALUES (30932, 6713, 8, 'Questionnaire sur tabagisme');
INSERT INTO `lang_definitions` VALUES (30933, 6714, 8, 'Questionnaire sur tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (30934, 6715, 8, 'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (30935, 6716, 8, 'AUJOURD\'HUI');
INSERT INTO `lang_definitions` VALUES (30936, 6717, 8, 'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (30937, 6718, 8, 'Solde d\'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (30938, 6719, 8, 'Charges d\'aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (30939, 6720, 8, 'Date d\'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (30940, 6721, 8, 'Evènements Ce jour');
INSERT INTO `lang_definitions` VALUES (30941, 6726, 8, 'Amydalectomie');
INSERT INTO `lang_definitions` VALUES (30942, 6728, 8, 'Haut');
INSERT INTO `lang_definitions` VALUES (30943, 6730, 8, 'Sujet');
INSERT INTO `lang_definitions` VALUES (30944, 6731, 8, 'Total');
INSERT INTO `lang_definitions` VALUES (30945, 6732, 8, 'total');
INSERT INTO `lang_definitions` VALUES (30946, 6733, 8, 'Total des actions actives');
INSERT INTO `lang_definitions` VALUES (30947, 6734, 8, 'Total des rappels actif après mise à jour');
INSERT INTO `lang_definitions` VALUES (30948, 6735, 8, 'Total des rappels actif avant mise à jour');
INSERT INTO `lang_definitions` VALUES (30949, 6737, 8, 'Montant total dû');
INSERT INTO `lang_definitions` VALUES (30950, 6738, 8, 'Montant Total Payé');
INSERT INTO `lang_definitions` VALUES (30951, 6739, 8, 'Total de solde du');
INSERT INTO `lang_definitions` VALUES (30952, 6740, 8, 'Total de la charge');
INSERT INTO `lang_definitions` VALUES (30953, 6741, 8, 'Total des charges');
INSERT INTO `lang_definitions` VALUES (30954, 6742, 8, 'Total des clients');
INSERT INTO `lang_definitions` VALUES (30955, 6743, 8, 'Coût total');
INSERT INTO `lang_definitions` VALUES (30956, 6745, 8, 'Entrées totales');
INSERT INTO `lang_definitions` VALUES (30957, 6746, 8, 'Total des échecs des envois de rappels par courriel');
INSERT INTO `lang_definitions` VALUES (30958, 6747, 8, 'Total des échecs des envois de rappels par téléphone');
INSERT INTO `lang_definitions` VALUES (30959, 6748, 8, 'Total pour');
INSERT INTO `lang_definitions` VALUES (30960, 6749, 8, 'Total pour ');
INSERT INTO `lang_definitions` VALUES (30961, 6750, 8, 'Total pour la catégorie');
INSERT INTO `lang_definitions` VALUES (30962, 6751, 8, 'Total de Rappels désactivés');
INSERT INTO `lang_definitions` VALUES (30963, 6752, 8, 'Total de nouveaux rappels');
INSERT INTO `lang_definitions` VALUES (30964, 6753, 8, 'Nombre total de rendez-vous');
INSERT INTO `lang_definitions` VALUES (30965, 6755, 8, 'Nombre Total de Vaccination');
INSERT INTO `lang_definitions` VALUES (30966, 6756, 8, 'Nombre total de problèmes');
INSERT INTO `lang_definitions` VALUES (30967, 6758, 8, 'Nombre Total de Patients');
INSERT INTO `lang_definitions` VALUES (30968, 6760, 8, 'Solde total du patient');
INSERT INTO `lang_definitions` VALUES (30969, 6761, 8, 'Patients total');
INSERT INTO `lang_definitions` VALUES (30970, 6764, 8, 'Total des enregistrement fournis');
INSERT INTO `lang_definitions` VALUES (30971, 6766, 8, 'Total des rappels envoyés avec succès par courriel');
INSERT INTO `lang_definitions` VALUES (30972, 6767, 8, 'Total des rappels envoyés avec succès par téléphone');
INSERT INTO `lang_definitions` VALUES (30973, 6770, 8, 'Total des rappels non changé');
INSERT INTO `lang_definitions` VALUES (30974, 6771, 8, 'Total des rappels non envoyé après le processus d\'envois');
INSERT INTO `lang_definitions` VALUES (30975, 6772, 8, 'Total des rappels non envoyé après mise à jour');
INSERT INTO `lang_definitions` VALUES (30976, 6773, 8, 'Total des rappels non envoyé avant le processus d\'envois');
INSERT INTO `lang_definitions` VALUES (30977, 6774, 8, 'Total des rappels non envoyé avant mise à jour');
INSERT INTO `lang_definitions` VALUES (30978, 6775, 8, 'Total des rappels mis à jour');
INSERT INTO `lang_definitions` VALUES (30979, 6776, 8, 'Totals');
INSERT INTO `lang_definitions` VALUES (30980, 6777, 8, 'Totals pour');
INSERT INTO `lang_definitions` VALUES (30981, 6778, 8, 'Totals pour ');
INSERT INTO `lang_definitions` VALUES (30982, 6785, 8, 'Type d\'entrainement');
INSERT INTO `lang_definitions` VALUES (30983, 6787, 8, 'Transaction');
INSERT INTO `lang_definitions` VALUES (30984, 6788, 8, 'transaction');
INSERT INTO `lang_definitions` VALUES (30985, 6789, 8, 'Transaction échoué, quantité insufisante dans le lot de destination');
INSERT INTO `lang_definitions` VALUES (30986, 6790, 8, 'Transaction échoué, la quantité est inférieur a zéro');
INSERT INTO `lang_definitions` VALUES (30987, 6791, 8, 'Type de transaction');
INSERT INTO `lang_definitions` VALUES (30988, 6792, 8, 'transactions');
INSERT INTO `lang_definitions` VALUES (30989, 6793, 8, 'Transactions');
INSERT INTO `lang_definitions` VALUES (30990, 6794, 8, 'Transactions (écriture optionnel)');
INSERT INTO `lang_definitions` VALUES (30991, 6795, 8, 'Transactions/Envois vers un spécialiste');
INSERT INTO `lang_definitions` VALUES (30992, 6797, 8, 'Transfert');
INSERT INTO `lang_definitions` VALUES (30993, 6798, 8, 'Date de transfert');
INSERT INTO `lang_definitions` VALUES (30994, 6799, 8, 'Transfert');
INSERT INTO `lang_definitions` VALUES (30995, 6800, 8, 'Résumé de transfert');
INSERT INTO `lang_definitions` VALUES (30996, 6801, 8, 'Transféré à');
INSERT INTO `lang_definitions` VALUES (30997, 6804, 8, 'Transferts');
INSERT INTO `lang_definitions` VALUES (30998, 6806, 8, 'Transition/Transfert de soin?');
INSERT INTO `lang_definitions` VALUES (30999, 6807, 8, 'Traduire les groupes de controles d\'accès');
INSERT INTO `lang_definitions` VALUES (31000, 6808, 8, 'Traduire les categories de rendez-vous');
INSERT INTO `lang_definitions` VALUES (31001, 6809, 8, 'Traduire les categories de documents');
INSERT INTO `lang_definitions` VALUES (31002, 6810, 8, 'Disposition des traductions');
INSERT INTO `lang_definitions` VALUES (31003, 6811, 8, 'Listes de traduction');
INSERT INTO `lang_definitions` VALUES (31004, 6812, 8, 'Traduire les titres des notes patients');
INSERT INTO `lang_definitions` VALUES (31005, 6813, 8, 'Traduire ceci');
INSERT INTO `lang_definitions` VALUES (31006, 6814, 8, 'Traduction');
INSERT INTO `lang_definitions` VALUES (31007, 6815, 8, 'Traductions');
INSERT INTO `lang_definitions` VALUES (31008, 6816, 8, 'Transmettre');
INSERT INTO `lang_definitions` VALUES (31009, 6817, 8, 'Transmission échoué');
INSERT INTO `lang_definitions` VALUES (31010, 6818, 8, 'Transmission des ordres sélectionné');
INSERT INTO `lang_definitions` VALUES (31011, 6819, 8, 'Traumatisme');
INSERT INTO `lang_definitions` VALUES (31012, 6820, 8, 'Traitement');
INSERT INTO `lang_definitions` VALUES (31013, 6822, 8, 'Objectifs du traitement');
INSERT INTO `lang_definitions` VALUES (31014, 6823, 8, 'Plan thérapeutique');
INSERT INTO `lang_definitions` VALUES (31015, 6824, 8, 'Planning thérapeutique');
INSERT INTO `lang_definitions` VALUES (31016, 6825, 8, 'Traitement reçu');
INSERT INTO `lang_definitions` VALUES (31017, 6826, 8, 'Traitement:');
INSERT INTO `lang_definitions` VALUES (31018, 6827, 8, 'Traitement: ');
INSERT INTO `lang_definitions` VALUES (31019, 6828, 8, 'Tendance');
INSERT INTO `lang_definitions` VALUES (31020, 6831, 8, 'Tri-malléolaire');
INSERT INTO `lang_definitions` VALUES (31021, 6832, 8, 'Thorax et abdomen');
INSERT INTO `lang_definitions` VALUES (31022, 6835, 8, 'Tentative de création d\'un utilisateur avec un nom existant!');
INSERT INTO `lang_definitions` VALUES (31023, 6840, 8, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (31024, 6841, 8, 'Mar.');
INSERT INTO `lang_definitions` VALUES (31025, 6842, 8, 'Mar. &amp; Jeu.');
INSERT INTO `lang_definitions` VALUES (31026, 6843, 8, 'Mardi');
INSERT INTO `lang_definitions` VALUES (31027, 6844, 8, 'Tumeur');
INSERT INTO `lang_definitions` VALUES (31028, 6845, 8, 'Turque');
INSERT INTO `lang_definitions` VALUES (31029, 6848, 8, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (31030, 6850, 8, 'Tympan');
INSERT INTO `lang_definitions` VALUES (31031, 6851, 8, 'Type');
INSERT INTO `lang_definitions` VALUES (31032, 6852, 8, 'Taper Id ou Nom, 3 caractères min. (espaces inclus)');
INSERT INTO `lang_definitions` VALUES (31033, 6853, 8, 'Type de colonnes affichées pour les resultats de recherche sur les patients');
INSERT INTO `lang_definitions` VALUES (31034, 6854, 8, 'Type de divulgation');
INSERT INTO `lang_definitions` VALUES (31035, 6855, 8, 'Type d\'évenements');
INSERT INTO `lang_definitions` VALUES (31036, 6856, 8, 'Type de disposition d\'écran');
INSERT INTO `lang_definitions` VALUES (31037, 6857, 8, 'Entrer ou scanner l\'identifiant du patient ici');
INSERT INTO `lang_definitions` VALUES (31038, 6858, 8, 'Entrer votre message ici');
INSERT INTO `lang_definitions` VALUES (31039, 6859, 8, 'Types d\'ordre ou de résultats');
INSERT INTO `lang_definitions` VALUES (31040, 6864, 8, 'UCSMC code fournies par le Centre de la medicine du Sports de l\'Université de Calgary');
INSERT INTO `lang_definitions` VALUES (31041, 6865, 8, 'Ukrainien');
INSERT INTO `lang_definitions` VALUES (31042, 6866, 8, 'Ulcérations');
INSERT INTO `lang_definitions` VALUES (31043, 6867, 8, 'Colite Ulcéreuse');
INSERT INTO `lang_definitions` VALUES (31044, 6868, 8, 'Ulcères:');
INSERT INTO `lang_definitions` VALUES (31045, 6871, 8, 'Création Impossible');
INSERT INTO `lang_definitions` VALUES (31046, 6874, 8, 'Impossible de faire correspondre ce paiement dans les ar_activity');
INSERT INTO `lang_definitions` VALUES (31047, 6876, 8, 'Non Appliquée');
INSERT INTO `lang_definitions` VALUES (31048, 6877, 8, 'Non Attribué');
INSERT INTO `lang_definitions` VALUES (31049, 6878, 8, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (31050, 6879, 8, 'Accès non autorisé à ePrescription');
INSERT INTO `lang_definitions` VALUES (31051, 6880, 8, 'Accès non autorisé.');
INSERT INTO `lang_definitions` VALUES (31052, 6881, 8, 'Non facturé');
INSERT INTO `lang_definitions` VALUES (31053, 6882, 8, 'Uniquement Les non Facturés');
INSERT INTO `lang_definitions` VALUES (31054, 6884, 8, 'sous la langue');
INSERT INTO `lang_definitions` VALUES (31055, 6885, 8, 'Insuffisance Pondérale');
INSERT INTO `lang_definitions` VALUES (31056, 6886, 8, 'Non Diagnostiqué');
INSERT INTO `lang_definitions` VALUES (31057, 6887, 8, 'NON RÉPARTI');
INSERT INTO `lang_definitions` VALUES (31058, 6888, 8, 'Non réparti');
INSERT INTO `lang_definitions` VALUES (31059, 6889, 8, 'Non réparti est');
INSERT INTO `lang_definitions` VALUES (31060, 6890, 8, 'Annuler la Vérification');
INSERT INTO `lang_definitions` VALUES (31061, 6892, 8, 'Clients Unique');
INSERT INTO `lang_definitions` VALUES (31062, 6893, 8, 'Identifiant lisible Unique pour ce type');
INSERT INTO `lang_definitions` VALUES (31063, 6894, 8, 'Nouveau Client Unique');
INSERT INTO `lang_definitions` VALUES (31064, 6895, 8, 'Identificateur numérique unique pour ce type');
INSERT INTO `lang_definitions` VALUES (31065, 6896, 8, 'Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (31066, 6897, 8, 'Rapport de Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (31067, 6898, 8, 'SP Unique');
INSERT INTO `lang_definitions` VALUES (31068, 6899, 8, 'Unité');
INSERT INTO `lang_definitions` VALUES (31069, 6900, 8, 'Unités');
INSERT INTO `lang_definitions` VALUES (31070, 6901, 8, 'unités');
INSERT INTO `lang_definitions` VALUES (31071, 6902, 8, 'Unités applicable a la valeur résultat');
INSERT INTO `lang_definitions` VALUES (31072, 6903, 8, 'Unités pour les Formulaire de Visite');
INSERT INTO `lang_definitions` VALUES (31073, 6904, 8, 'Les unités doivent être un nombre');
INSERT INTO `lang_definitions` VALUES (31074, 6905, 8, 'Unités Indéfinies');
INSERT INTO `lang_definitions` VALUES (31075, 6906, 8, 'Unités / L');
INSERT INTO `lang_definitions` VALUES (31076, 6907, 8, 'Inconnu');
INSERT INTO `lang_definitions` VALUES (31077, 6910, 8, 'Inconnu si déjà fumé');
INSERT INTO `lang_definitions` VALUES (31078, 6911, 8, 'Inconnu ou N/A');
INSERT INTO `lang_definitions` VALUES (31079, 6912, 8, 'ID utilisateur inconnue');
INSERT INTO `lang_definitions` VALUES (31080, 6913, 8, 'patient non lié');
INSERT INTO `lang_definitions` VALUES (31081, 6914, 8, 'AMO sans Nom');
INSERT INTO `lang_definitions` VALUES (31082, 6915, 8, 'non inscrit');
INSERT INTO `lang_definitions` VALUES (31083, 6918, 8, 'Tout dé-sélectionner');
INSERT INTO `lang_definitions` VALUES (31084, 6919, 8, 'non sélectionnés');
INSERT INTO `lang_definitions` VALUES (31085, 6920, 8, 'Non spécifié');
INSERT INTO `lang_definitions` VALUES (31086, 6921, 8, 'non structuré');
INSERT INTO `lang_definitions` VALUES (31087, 6922, 8, 'Fichier de chargement de base de données Non-Supporté');
INSERT INTO `lang_definitions` VALUES (31088, 6924, 8, 'jusqu\'à ce');
INSERT INTO `lang_definitions` VALUES (31089, 6925, 8, 'le dépôt intempestif');
INSERT INTO `lang_definitions` VALUES (31090, 6926, 8, 'Inutilisé');
INSERT INTO `lang_definitions` VALUES (31091, 6928, 8, 'Jusqu\'à');
INSERT INTO `lang_definitions` VALUES (31092, 6929, 8, 'Prochains Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31093, 6930, 8, 'Événements à venir');
INSERT INTO `lang_definitions` VALUES (31094, 6931, 8, 'Mise à jour');
INSERT INTO `lang_definitions` VALUES (31095, 6932, 8, 'mise à jour');
INSERT INTO `lang_definitions` VALUES (31096, 6933, 8, 'Mise à jour Actif');
INSERT INTO `lang_definitions` VALUES (31097, 6934, 8, 'Mise à jour de fichiers');
INSERT INTO `lang_definitions` VALUES (31098, 6935, 8, 'Info de Mise à Jour');
INSERT INTO `lang_definitions` VALUES (31099, 6936, 8, 'Liste de Mise à jour');
INSERT INTO `lang_definitions` VALUES (31100, 6937, 8, 'Mettre à jour le Numéro de fournisseur');
INSERT INTO `lang_definitions` VALUES (31101, 6938, 8, 'Mettre à jour les éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (31102, 6939, 8, 'Mettre à jour les variables suivantes dans le fichier');
INSERT INTO `lang_definitions` VALUES (31103, 6940, 8, 'Mettre à jour les données utilisateur');
INSERT INTO `lang_definitions` VALUES (31104, 6942, 8, 'Mise à jour des données démographiques n\'est pas autorisée.');
INSERT INTO `lang_definitions` VALUES (31105, 6943, 8, 'Mise à jour de la configuration globale par défauts');
INSERT INTO `lang_definitions` VALUES (31106, 6944, 8, 'Mise à jour des indicateurs de version');
INSERT INTO `lang_definitions` VALUES (31107, 6945, 8, 'MISE À JOUR');
INSERT INTO `lang_definitions` VALUES (31108, 6946, 8, 'Mise à niveau');
INSERT INTO `lang_definitions` VALUES (31109, 6947, 8, 'Mise à niveau de Base de Données');
INSERT INTO `lang_definitions` VALUES (31110, 6948, 8, 'Mises à niveau la base de données LibreEHR afin d\'inclure les Procédures, Fonctions et tables nécessaires au processus de De-identification');
INSERT INTO `lang_definitions` VALUES (31111, 6949, 8, 'Mise à niveau va continuer');
INSERT INTO `lang_definitions` VALUES (31112, 6951, 8, 'Transférer');
INSERT INTO `lang_definitions` VALUES (31113, 6954, 8, 'Transférer les données de configuration');
INSERT INTO `lang_definitions` VALUES (31114, 6955, 8, 'Transférer le Document');
INSERT INTO `lang_definitions` VALUES (31115, 6956, 8, 'Échec du transfert!');
INSERT INTO `lang_definitions` VALUES (31116, 6957, 8, 'Transférer l\'image à');
INSERT INTO `lang_definitions` VALUES (31117, 6958, 8, 'Transférer le fichier d\'import :');
INSERT INTO `lang_definitions` VALUES (31118, 6960, 8, 'La mise à jour c\'est déroullée avec succès');
INSERT INTO `lang_definitions` VALUES (31119, 6961, 8, 'Transférer le Rapport');
INSERT INTO `lang_definitions` VALUES (31120, 6963, 8, 'Transférer ce fichier:');
INSERT INTO `lang_definitions` VALUES (31121, 6966, 8, 'Haut du bras');
INSERT INTO `lang_definitions` VALUES (31122, 6968, 8, 'Urgence');
INSERT INTO `lang_definitions` VALUES (31123, 6970, 8, 'Urine');
INSERT INTO `lang_definitions` VALUES (31124, 6971, 8, 'Miction Goutte à Goutte');
INSERT INTO `lang_definitions` VALUES (31125, 6972, 8, 'Fréquence des Mictions');
INSERT INTO `lang_definitions` VALUES (31126, 6973, 8, 'Hésitation d\'Urine');
INSERT INTO `lang_definitions` VALUES (31127, 6974, 8, 'Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (31128, 6975, 8, 'Jet d\'Urine');
INSERT INTO `lang_definitions` VALUES (31129, 6976, 8, 'Urgence urinaire');
INSERT INTO `lang_definitions` VALUES (31130, 6977, 8, 'URL');
INSERT INTO `lang_definitions` VALUES (31131, 6979, 8, 'URL pour le support LibreEHR.');
INSERT INTO `lang_definitions` VALUES (31132, 6981, 8, 'URL pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (31133, 6985, 8, 'Utilisation');
INSERT INTO `lang_definitions` VALUES (31134, 6986, 8, 'Indicateur d\'Utilisation (ISA15)');
INSERT INTO `lang_definitions` VALUES (31135, 6987, 8, 'Utilisez % uniquement dans un champ pour trié en fonction de cette colonne');
INSERT INTO `lang_definitions` VALUES (31136, 6988, 8, 'Utiliser le format 24 heures?');
INSERT INTO `lang_definitions` VALUES (31137, 6990, 8, 'Utiliser la technologie certifiée DSE pour identifier des ressources d\'éducation spécifique à chaque patient et de fournir les ressources nécessaires pour le patient, le cas échéant.');
INSERT INTO `lang_definitions` VALUES (31138, 6991, 8, 'Utilisez le Panel des Frais');
INSERT INTO `lang_definitions` VALUES (31139, 6992, 8, 'Utilisez CPOE pour les commandes de médication entrés directement par tout professionnel de santé agréé qui peut entrer des commandes dans le dossier médical par Etat, directives locales et professionnelles.');
INSERT INTO `lang_definitions` VALUES (31140, 6997, 8, 'Utiliser la liste de vaccination personnalisée');
INSERT INTO `lang_definitions` VALUES (31141, 6999, 8, 'Utiliser Intervalle de dates');
INSERT INTO `lang_definitions` VALUES (31142, 7000, 8, 'Utiliser les Valeurs par Défaut');
INSERT INTO `lang_definitions` VALUES (31143, 7001, 8, 'Utilisez l\'Option Supprimer pour le Retirer.');
INSERT INTO `lang_definitions` VALUES (31144, 7002, 8, 'Utilisez le style de date international?');
INSERT INTO `lang_definitions` VALUES (31145, 7003, 8, 'Utiliser le nom du fichier source');
INSERT INTO `lang_definitions` VALUES (31146, 7004, 8, 'Utilisez le champs ci-dessous pour un achat ou un transfert.');
INSERT INTO `lang_definitions` VALUES (31147, 7005, 8, 'Utilisez cette fonction uniquement avec des sites nouvellement installés, ');
INSERT INTO `lang_definitions` VALUES (31148, 7006, 8, 'Utilisez les sujets?');
INSERT INTO `lang_definitions` VALUES (31149, 7007, 8, 'Utilisateur');
INSERT INTO `lang_definitions` VALUES (31150, 7009, 8, 'Utilisateur / Groupes');
INSERT INTO `lang_definitions` VALUES (31151, 7010, 8, 'Administration des Utilisateurs');
INSERT INTO `lang_definitions` VALUES (31152, 7011, 8, 'Administration des Utilisateurs et Services');
INSERT INTO `lang_definitions` VALUES (31153, 7012, 8, 'Administration des Utilisateurs et Groupe');
INSERT INTO `lang_definitions` VALUES (31154, 7014, 8, 'Certificat d\'Authentification Utilisateur est désactivé');
INSERT INTO `lang_definitions` VALUES (31155, 7015, 8, 'Défini par l\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (31156, 7016, 8, 'Défini par l\'Utilisateur Zone 11');
INSERT INTO `lang_definitions` VALUES (31157, 7017, 8, 'Défini par l\'Utilisateur Zone 12');
INSERT INTO `lang_definitions` VALUES (31158, 7018, 8, 'Défini par l\'Utilisateur Champ');
INSERT INTO `lang_definitions` VALUES (31159, 7019, 8, 'Défini par l\'Utilisateur Liste 1');
INSERT INTO `lang_definitions` VALUES (31160, 7020, 8, 'Défini par l\'Utilisateur Liste 2');
INSERT INTO `lang_definitions` VALUES (31161, 7021, 8, 'Défini par l\'Utilisateur Liste 3');
INSERT INTO `lang_definitions` VALUES (31162, 7022, 8, 'Défini par l\'Utilisateur Liste 4');
INSERT INTO `lang_definitions` VALUES (31163, 7023, 8, 'Défini par l\'Utilisateur Liste 5');
INSERT INTO `lang_definitions` VALUES (31164, 7024, 8, 'Défini par l\'Utilisateur Liste 6');
INSERT INTO `lang_definitions` VALUES (31165, 7025, 8, 'Défini par l\'Utilisateur Liste 7');
INSERT INTO `lang_definitions` VALUES (31166, 7026, 8, 'Défini par l\'Utilisateur Texte 1');
INSERT INTO `lang_definitions` VALUES (31167, 7027, 8, 'Défini par l\'Utilisateur Texte 2');
INSERT INTO `lang_definitions` VALUES (31168, 7028, 8, 'Défini par l\'Utilisateur Texte 3');
INSERT INTO `lang_definitions` VALUES (31169, 7029, 8, 'Défini par l\'Utilisateur Texte 4');
INSERT INTO `lang_definitions` VALUES (31170, 7030, 8, 'Défini par l\'Utilisateur Texte 5');
INSERT INTO `lang_definitions` VALUES (31171, 7031, 8, 'Défini par l\'Utilisateur Texte 6');
INSERT INTO `lang_definitions` VALUES (31172, 7032, 8, 'Défini par l\'Utilisateur Texte 7');
INSERT INTO `lang_definitions` VALUES (31173, 7033, 8, 'Défini par l\'Utilisateur Texte 8');
INSERT INTO `lang_definitions` VALUES (31174, 7034, 8, 'Prénom utilisateur');
INSERT INTO `lang_definitions` VALUES (31175, 7037, 8, 'Login Utilisateur (si 03 et plus, sinon laisser des espaces) (ISA02)');
INSERT INTO `lang_definitions` VALUES (31176, 7038, 8, 'Nom d\'utilisateur requiere un indice (ISA01~ utiliser 00 ou 03)');
INSERT INTO `lang_definitions` VALUES (31177, 7039, 8, 'Manuel Utilisateur');
INSERT INTO `lang_definitions` VALUES (31178, 7040, 8, 'Affiliations d\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (31179, 7041, 8, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (31180, 7042, 8, 'Nom d\'Utilisateur ou le nom d\'Hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (31181, 7043, 8, 'Utilisateur ou nom d\'Hôte');
INSERT INTO `lang_definitions` VALUES (31182, 7044, 8, 'Mot de passe utilisateur (ISA04~si 01 et plus, sinon laisser des espaces)');
INSERT INTO `lang_definitions` VALUES (31183, 7045, 8, 'Mot de passe utilisateur requiere un indice (ISA03~ utiliser 00 ou 01)');
INSERT INTO `lang_definitions` VALUES (31184, 7046, 8, 'Paramètres Utilisateur');
INSERT INTO `lang_definitions` VALUES (31185, 7047, 8, 'Paramètre Utilisateur Spécifique');
INSERT INTO `lang_definitions` VALUES (31186, 7048, 8, 'Nouveau mot de passe de l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (31187, 7049, 8, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (31188, 7051, 8, 'Nom utilisateur pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (31189, 7052, 8, 'Nom Utilisateur pour la Passerelle SMS');
INSERT INTO `lang_definitions` VALUES (31190, 7053, 8, 'Nom Utilisateur pour la Passerelle SMS.');
INSERT INTO `lang_definitions` VALUES (31191, 7054, 8, 'Nom d\'utilisateur pour ce connecter a CouchDB');
INSERT INTO `lang_definitions` VALUES (31192, 7055, 8, 'Nom Utilisateur:');
INSERT INTO `lang_definitions` VALUES (31193, 7056, 8, 'Utilisateurs');
INSERT INTO `lang_definitions` VALUES (31194, 7057, 8, 'Utilisateurs/Groupes/Journaux d\'Administration');
INSERT INTO `lang_definitions` VALUES (31195, 7058, 8, 'Utilise le format php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (31196, 7059, 8, 'Infections Urinaires');
INSERT INTO `lang_definitions` VALUES (31197, 7062, 8, 'Vacances');
INSERT INTO `lang_definitions` VALUES (31198, 7063, 8, 'Vacances');
INSERT INTO `lang_definitions` VALUES (31199, 7064, 8, 'vaccin');
INSERT INTO `lang_definitions` VALUES (31200, 7065, 8, 'Anneau Vaginal');
INSERT INTO `lang_definitions` VALUES (31201, 7066, 8, 'Discours d\'adieu');
INSERT INTO `lang_definitions` VALUES (31202, 7067, 8, 'valider');
INSERT INTO `lang_definitions` VALUES (31203, 7068, 8, 'Valeur');
INSERT INTO `lang_definitions` VALUES (31204, 7069, 8, 'Valeur 1');
INSERT INTO `lang_definitions` VALUES (31205, 7070, 8, 'Valeur 2');
INSERT INTO `lang_definitions` VALUES (31206, 7072, 8, 'La Valeur doit être numérique');
INSERT INTO `lang_definitions` VALUES (31207, 7073, 8, 'Var1');
INSERT INTO `lang_definitions` VALUES (31208, 7074, 8, 'Var2');
INSERT INTO `lang_definitions` VALUES (31209, 7076, 8, 'Varicelle 1');
INSERT INTO `lang_definitions` VALUES (31210, 7077, 8, 'Varicelle 2');
INSERT INTO `lang_definitions` VALUES (31211, 7078, 8, 'Varices');
INSERT INTO `lang_definitions` VALUES (31212, 7079, 8, 'Etat vasculaire');
INSERT INTO `lang_definitions` VALUES (31213, 7080, 8, 'Lésion vasculaire');
INSERT INTO `lang_definitions` VALUES (31214, 7081, 8, 'Chirurgie Vasculaire');
INSERT INTO `lang_definitions` VALUES (31215, 7083, 8, 'Vendeur');
INSERT INTO `lang_definitions` VALUES (31216, 7084, 8, 'Version');
INSERT INTO `lang_definitions` VALUES (31217, 7085, 8, 'Vertige');
INSERT INTO `lang_definitions` VALUES (31218, 7086, 8, 'Administration des vétérans');
INSERT INTO `lang_definitions` VALUES (31219, 7087, 8, 'Régime des Vétérans');
INSERT INTO `lang_definitions` VALUES (31220, 7089, 8, 'Vietnamien');
INSERT INTO `lang_definitions` VALUES (31221, 7090, 8, 'vue');
INSERT INTO `lang_definitions` VALUES (31222, 7091, 8, 'Vue');
INSERT INTO `lang_definitions` VALUES (31223, 7092, 8, 'Afficher les Allergies');
INSERT INTO `lang_definitions` VALUES (31224, 7097, 8, 'Afficher le rapport globale du patient');
INSERT INTO `lang_definitions` VALUES (31225, 7098, 8, 'Afficher les tables CSV');
INSERT INTO `lang_definitions` VALUES (31226, 7100, 8, 'Afficher le document');
INSERT INTO `lang_definitions` VALUES (31227, 7101, 8, 'Afficher la visite');
INSERT INTO `lang_definitions` VALUES (31228, 7103, 8, 'Afficher les événements dans une fenêtre popup?');
INSERT INTO `lang_definitions` VALUES (31229, 7107, 8, 'Afficher les log');
INSERT INTO `lang_definitions` VALUES (31230, 7108, 8, 'Afficher la Page 1');
INSERT INTO `lang_definitions` VALUES (31231, 7109, 8, 'Afficher la Page 2');
INSERT INTO `lang_definitions` VALUES (31232, 7110, 8, 'Afficher les rappels futur et passé');
INSERT INTO `lang_definitions` VALUES (31233, 7111, 8, 'Afficher le Patient');
INSERT INTO `lang_definitions` VALUES (31234, 7116, 8, 'Afficher les visites liées');
INSERT INTO `lang_definitions` VALUES (31235, 7117, 8, 'Afficher le rapport');
INSERT INTO `lang_definitions` VALUES (31236, 7118, 8, 'Afficher le fichier README');
INSERT INTO `lang_definitions` VALUES (31237, 7121, 8, 'Afficher/Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (31238, 7122, 8, 'Afficher/Editer problème');
INSERT INTO `lang_definitions` VALUES (31239, 7123, 8, 'Afficher/Imprimer');
INSERT INTO `lang_definitions` VALUES (31240, 7124, 8, 'Vue:');
INSERT INTO `lang_definitions` VALUES (31241, 7125, 8, 'VISA');
INSERT INTO `lang_definitions` VALUES (31242, 7126, 8, 'Autre carte bleu');
INSERT INTO `lang_definitions` VALUES (31243, 7127, 8, 'Dommages/Traumatisme/Chirurgie Viscérale');
INSERT INTO `lang_definitions` VALUES (31244, 7133, 8, 'Catégorie la Visite:');
INSERT INTO `lang_definitions` VALUES (31245, 7134, 8, 'Date Visite');
INSERT INTO `lang_definitions` VALUES (31246, 7135, 8, 'Date de visite');
INSERT INTO `lang_definitions` VALUES (31247, 7137, 8, 'Formulaires de Visite');
INSERT INTO `lang_definitions` VALUES (31248, 7138, 8, 'Historique des Visites');
INSERT INTO `lang_definitions` VALUES (31249, 7140, 8, 'Visites');
INSERT INTO `lang_definitions` VALUES (31250, 7141, 8, 'Visites depuis');
INSERT INTO `lang_definitions` VALUES (31251, 7142, 8, 'Signes vitaux');
INSERT INTO `lang_definitions` VALUES (31252, 7143, 8, 'Vitaux');
INSERT INTO `lang_definitions` VALUES (31253, 7144, 8, 'Signes vitaux (métrique)');
INSERT INTO `lang_definitions` VALUES (31254, 7145, 8, 'Options du formulaire des Signes vitaux');
INSERT INTO `lang_definitions` VALUES (31255, 7146, 8, 'Voix');
INSERT INTO `lang_definitions` VALUES (31256, 7147, 8, 'Voix transmise');
INSERT INTO `lang_definitions` VALUES (31257, 7149, 8, 'Vomissements');
INSERT INTO `lang_definitions` VALUES (31258, 7152, 8, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (31259, 7153, 8, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (31260, 7154, 8, 'En attente');
INSERT INTO `lang_definitions` VALUES (31261, 7158, 8, 'Entrepôt');
INSERT INTO `lang_definitions` VALUES (31262, 7159, 8, 'Entrepôt maximal, 0 n\'est pas applicable');
INSERT INTO `lang_definitions` VALUES (31263, 7160, 8, 'Entrepôt minimal, 0 n\'est pas applicable');
INSERT INTO `lang_definitions` VALUES (31264, 7161, 8, 'Entrepôts');
INSERT INTO `lang_definitions` VALUES (31265, 7162, 8, 'Chaud');
INSERT INTO `lang_definitions` VALUES (31266, 7163, 8, 'Attention');
INSERT INTO `lang_definitions` VALUES (31267, 7164, 8, 'ATTENTION');
INSERT INTO `lang_definitions` VALUES (31268, 7166, 8, 'Attention, Numéro de Chèque existe déjà dans la base de données');
INSERT INTO `lang_definitions` VALUES (31269, 7167, 8, 'Attention, le patient a des codes ambigues dans la liste des problemes');
INSERT INTO `lang_definitions` VALUES (31270, 7168, 8, 'Attention: Une visite est déjà créé pour ce patient aujourd\'hui!');
INSERT INTO `lang_definitions` VALUES (31271, 7170, 8, 'Attention: l\'ID du Patient n\'est pas unique!');
INSERT INTO `lang_definitions` VALUES (31272, 7171, 8, 'AVERISSEMENT: Cette action va remplacer les données de la configuration par ceux du fichier téléchargé!');
INSERT INTO `lang_definitions` VALUES (31273, 7173, 8, 'Avertissements');
INSERT INTO `lang_definitions` VALUES (31274, 7175, 8, 'déjà transféré');
INSERT INTO `lang_definitions` VALUES (31275, 7176, 8, 'n\'a pas été trouvé');
INSERT INTO `lang_definitions` VALUES (31276, 7177, 8, 'Nous apprécions le paiement rapide des soldes exigibles');
INSERT INTO `lang_definitions` VALUES (31277, 7178, 8, 'nous avons vu votre patient, référencé ci-dessus, pour l\'évaluation et le traitement dans notre clinique de psychiatrie ambulatoire. Je vous remercie de cette saisine.');
INSERT INTO `lang_definitions` VALUES (31278, 7179, 8, 'Faiblesses');
INSERT INTO `lang_definitions` VALUES (31279, 7181, 8, 'Recherche Web');
INSERT INTO `lang_definitions` VALUES (31280, 7182, 8, 'Site Web');
INSERT INTO `lang_definitions` VALUES (31281, 7183, 8, 'Lien du site web pour le portail patient sur le site');
INSERT INTO `lang_definitions` VALUES (31282, 7184, 8, 'mer.');
INSERT INTO `lang_definitions` VALUES (31283, 7185, 8, 'Mercredi');
INSERT INTO `lang_definitions` VALUES (31284, 7186, 8, 'Semaine');
INSERT INTO `lang_definitions` VALUES (31285, 7187, 8, 'semaine');
INSERT INTO `lang_definitions` VALUES (31286, 7188, 8, 'Vue Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (31287, 7189, 8, 'Semaine(s)');
INSERT INTO `lang_definitions` VALUES (31288, 7190, 8, 'Expositions Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (31289, 7191, 8, 'semaines');
INSERT INTO `lang_definitions` VALUES (31290, 7192, 8, 'Semaines');
INSERT INTO `lang_definitions` VALUES (31291, 7193, 8, 'Poids');
INSERT INTO `lang_definitions` VALUES (31292, 7194, 8, 'Évaluation du poids et de conseils aux enfants et les adolescents');
INSERT INTO `lang_definitions` VALUES (31293, 7195, 8, 'Évaluation du poids et de conseils aux enfants et les adolescents (CQM)');
INSERT INTO `lang_definitions` VALUES (31294, 7196, 8, 'Changement de Poids');
INSERT INTO `lang_definitions` VALUES (31295, 7197, 8, 'Perte de Poids');
INSERT INTO `lang_definitions` VALUES (31296, 7198, 8, 'Clinique de perte de poids');
INSERT INTO `lang_definitions` VALUES (31297, 7199, 8, 'Bienvenue');
INSERT INTO `lang_definitions` VALUES (31298, 7202, 8, 'Que faut-il comptés?');
INSERT INTO `lang_definitions` VALUES (31299, 7203, 8, 'Sifflements:');
INSERT INTO `lang_definitions` VALUES (31300, 7204, 8, 'Sifflement');
INSERT INTO `lang_definitions` VALUES (31301, 7205, 8, 'Sifflement:');
INSERT INTO `lang_definitions` VALUES (31302, 7208, 8, 'Où se trouvent les documents ou papier numérisés?');
INSERT INTO `lang_definitions` VALUES (31303, 7209, 8, 'Si assuré');
INSERT INTO `lang_definitions` VALUES (31304, 7211, 8, 'Coup de lapin');
INSERT INTO `lang_definitions` VALUES (31305, 7212, 8, 'Blanc');
INSERT INTO `lang_definitions` VALUES (31306, 7213, 8, 'Qui');
INSERT INTO `lang_definitions` VALUES (31307, 7214, 8, 'Qui a répondu?');
INSERT INTO `lang_definitions` VALUES (31308, 7215, 8, 'Veuf(ve)');
INSERT INTO `lang_definitions` VALUES (31309, 7216, 8, 'Largeur');
INSERT INTO `lang_definitions` VALUES (31310, 7217, 8, 'Largeur en pixels du cadre gauche de navigation.');
INSERT INTO `lang_definitions` VALUES (31311, 7221, 8, 'Avec la sélection:');
INSERT INTO `lang_definitions` VALUES (31312, 7222, 8, 'avec l\'ancien nom');
INSERT INTO `lang_definitions` VALUES (31313, 7224, 8, 'Avec qui pouvons-nous laisser un message?');
INSERT INTO `lang_definitions` VALUES (31314, 7225, 8, 'Retenu');
INSERT INTO `lang_definitions` VALUES (31315, 7226, 8, 'en quelques heures');
INSERT INTO `lang_definitions` VALUES (31316, 7227, 8, 'en quelques heures:');
INSERT INTO `lang_definitions` VALUES (31317, 7228, 8, 'en quelques minutes');
INSERT INTO `lang_definitions` VALUES (31318, 7229, 8, 'en quelques minutes:');
INSERT INTO `lang_definitions` VALUES (31319, 7230, 8, 'Sans batiment');
INSERT INTO `lang_definitions` VALUES (31320, 7231, 8, 'Sans fournisseur');
INSERT INTO `lang_definitions` VALUES (31321, 7232, 8, 'Sans mise à jour');
INSERT INTO `lang_definitions` VALUES (31322, 7233, 8, 'Témoignage');
INSERT INTO `lang_definitions` VALUES (31323, 7234, 8, 'semaine');
INSERT INTO `lang_definitions` VALUES (31324, 7237, 8, 'Femme');
INSERT INTO `lang_definitions` VALUES (31325, 7238, 8, 'Femmes Seulement');
INSERT INTO `lang_definitions` VALUES (31326, 7239, 8, 'Wordpress Portail');
INSERT INTO `lang_definitions` VALUES (31327, 7240, 8, 'Travaux');
INSERT INTO `lang_definitions` VALUES (31328, 7241, 8, 'NOTE DE TRAVAIL');
INSERT INTO `lang_definitions` VALUES (31329, 7242, 8, 'Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (31330, 7243, 8, 'Numéro de Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (31331, 7244, 8, 'Les travaux liés?');
INSERT INTO `lang_definitions` VALUES (31332, 7245, 8, 'Travail/ Education/ Loisirs');
INSERT INTO `lang_definitions` VALUES (31333, 7246, 8, 'Travail/ Note Scolaire');
INSERT INTO `lang_definitions` VALUES (31334, 7247, 8, 'jour ouvrable');
INSERT INTO `lang_definitions` VALUES (31335, 7248, 8, 'Idemnisation du personnel');
INSERT INTO `lang_definitions` VALUES (31336, 7249, 8, 'Régime d\'indemnisation du personnel de santé');
INSERT INTO `lang_definitions` VALUES (31337, 7251, 8, 'En cours... Ceci pourrait prendre une minute.');
INSERT INTO `lang_definitions` VALUES (31338, 7252, 8, 'Pire');
INSERT INTO `lang_definitions` VALUES (31339, 7253, 8, 'Souhaitez-vous imputer le montant qui reste sur le Compte Global?');
INSERT INTO `lang_definitions` VALUES (31340, 7254, 8, 'Voulez-vous qu\'ils soient marqués comme compensés.');
INSERT INTO `lang_definitions` VALUES (31341, 7255, 8, 'Vous souhaitez allouer?');
INSERT INTO `lang_definitions` VALUES (31342, 7256, 8, 'Voulez-vous Annuler Répartition de ce Patient?');
INSERT INTO `lang_definitions` VALUES (31343, 7257, 8, 'Voulez-vous Supprimer Répartition du paiement?');
INSERT INTO `lang_definitions` VALUES (31344, 7258, 8, 'Voulez-vous Supprimer les Paiements?');
INSERT INTO `lang_definitions` VALUES (31345, 7259, 8, 'Voulez-vous Modifier et Terminer les Paiements?');
INSERT INTO `lang_definitions` VALUES (31346, 7260, 8, 'Voulez-vous Modifier les Paiements?');
INSERT INTO `lang_definitions` VALUES (31347, 7261, 8, 'Voulez-vous Poster et Terminer Les Paiements?');
INSERT INTO `lang_definitions` VALUES (31348, 7262, 8, 'Voulez-vous Poster les Paiements?');
INSERT INTO `lang_definitions` VALUES (31349, 7263, 8, 'Voulez-vous Sauvegarder?');
INSERT INTO `lang_definitions` VALUES (31350, 7264, 8, 'Poignet');
INSERT INTO `lang_definitions` VALUES (31351, 7265, 8, 'Poignet et main');
INSERT INTO `lang_definitions` VALUES (31352, 7266, 8, 'Problèmes de Poignet');
INSERT INTO `lang_definitions` VALUES (31353, 7267, 8, 'écrire');
INSERT INTO `lang_definitions` VALUES (31354, 7268, 8, 'radiation');
INSERT INTO `lang_definitions` VALUES (31355, 7270, 8, 'avec quelques');
INSERT INTO `lang_definitions` VALUES (31356, 7271, 8, 'POIDS');
INSERT INTO `lang_definitions` VALUES (31357, 7273, 8, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (31358, 7274, 8, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (31359, 7275, 8, 'Rayon X');
INSERT INTO `lang_definitions` VALUES (31360, 7276, 8, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (31361, 7277, 8, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (31362, 7278, 8, 'X12 uniquement: Demande de Remplacement ');
INSERT INTO `lang_definitions` VALUES (31363, 7279, 8, 'X12 Partenaire');
INSERT INTO `lang_definitions` VALUES (31364, 7280, 8, 'X12 Partenaires');
INSERT INTO `lang_definitions` VALUES (31365, 7281, 8, 'Texte X12');
INSERT INTO `lang_definitions` VALUES (31366, 7284, 8, 'An');
INSERT INTO `lang_definitions` VALUES (31367, 7285, 8, 'année');
INSERT INTO `lang_definitions` VALUES (31368, 7286, 8, 'année');
INSERT INTO `lang_definitions` VALUES (31369, 7287, 8, 'Vue Annuelle');
INSERT INTO `lang_definitions` VALUES (31370, 7288, 8, 'Année(s)');
INSERT INTO `lang_definitions` VALUES (31371, 7289, 8, 'Années');
INSERT INTO `lang_definitions` VALUES (31372, 7290, 8, 'Années ou mois');
INSERT INTO `lang_definitions` VALUES (31373, 7291, 8, 'Années, mois, et jours');
INSERT INTO `lang_definitions` VALUES (31374, 7292, 8, 'OUI');
INSERT INTO `lang_definitions` VALUES (31375, 7293, 8, 'Oui');
INSERT INTO `lang_definitions` VALUES (31376, 7294, 8, 'oui');
INSERT INTO `lang_definitions` VALUES (31377, 7295, 8, 'OUI!');
INSERT INTO `lang_definitions` VALUES (31378, 7296, 8, 'Oui, supprimer et enregistrer');
INSERT INTO `lang_definitions` VALUES (31379, 7298, 8, 'Oui/Non');
INSERT INTO `lang_definitions` VALUES (31380, 7299, 8, 'Oui:');
INSERT INTO `lang_definitions` VALUES (31381, 7300, 8, 'Yidich');
INSERT INTO `lang_definitions` VALUES (31382, 7303, 8, 'Vous allez définitivement remplacer le modèle existant. Etes-vous sûr de vouloir continuer?');
INSERT INTO `lang_definitions` VALUES (31383, 7304, 8, 'Vous êtes en période de connexion supplémentaire. Changez votre mot de passe avant');
INSERT INTO `lang_definitions` VALUES (31384, 7305, 8, 'Vous n\'êtes pas autorisé à supprimer cet événement');
INSERT INTO `lang_definitions` VALUES (31385, 7306, 8, 'Vous n\'êtes pas autorisé à modifier l\'événement');
INSERT INTO `lang_definitions` VALUES (31386, 7307, 8, 'Vous n\'êtes pas autorisé pour cela.');
INSERT INTO `lang_definitions` VALUES (31387, 7308, 8, 'Vous n\'êtes pas autorisé à accéder à cette équipe.');
INSERT INTO `lang_definitions` VALUES (31388, 7309, 8, 'Vous n\'êtes pas autorisé à ajouter/modifier ces sujets');
INSERT INTO `lang_definitions` VALUES (31389, 7310, 8, 'Vous n\'êtes pas autorisé à planifier des rendez.');
INSERT INTO `lang_definitions` VALUES (31390, 7311, 8, 'Vous n\'êtes pas autorisé de voir cette visite.');
INSERT INTO `lang_definitions` VALUES (31391, 7312, 8, 'Vous postez contre une ancienne rencontre?');
INSERT INTO `lang_definitions` VALUES (31392, 7313, 8, 'Vous ne pouvez pas accéder à cette fonctionnalité directement.');
INSERT INTO `lang_definitions` VALUES (31393, 7314, 8, 'Vous ne pouvez accéder à cette page directement.');
INSERT INTO `lang_definitions` VALUES (31394, 7315, 8, 'Vous ne pouvez ajouter une valeur vide pour une catégorie!');
INSERT INTO `lang_definitions` VALUES (31395, 7316, 8, 'Vous ne pouvez ajouter une valeur vide pour une sous-catégorie!');
INSERT INTO `lang_definitions` VALUES (31396, 7317, 8, 'Vous ne pouvez ajouter une valeur vide pour un élément!');
INSERT INTO `lang_definitions` VALUES (31397, 7318, 8, 'Vous ne pouvez pas entrer une date future avec une valeur OUI (YES) introduite.');
INSERT INTO `lang_definitions` VALUES (31398, 7319, 8, 'Vous n\'avez sélectionné aucune action.');
INSERT INTO `lang_definitions` VALUES (31399, 7320, 8, 'Vous n\'avez pas accès pour voir/éditer cette note');
INSERT INTO `lang_definitions` VALUES (31400, 7321, 8, 'Vous avez tenté de modifier un contenu qui est verrouillé. Retirez le verrou si vous voulez faire cela. Pour déverrouiller, supprimer la ligne, \'/*lock ::*/\'');
INSERT INTO `lang_definitions` VALUES (31401, 7322, 8, 'Vous avez été déconnecter avec succès.');
INSERT INTO `lang_definitions` VALUES (31402, 7323, 8, 'Vous ne pouvez transférer que les fichiers .txt');
INSERT INTO `lang_definitions` VALUES (31403, 7325, 8, 'Vous pouvez mettre insérer ici la plainte par défaut dans le formulaire Nouvelle Visite du Patient.');
INSERT INTO `lang_definitions` VALUES (31404, 7326, 8, 'Vous devez entrer un mot de passe pour crypter le document');
INSERT INTO `lang_definitions` VALUES (31405, 7327, 8, 'Vous devez entrer votre mot de passe pour changer les mots de passe des utilisateurs. Laissez vide pour garder le mot de passe inchangé.');
INSERT INTO `lang_definitions` VALUES (31406, 7329, 8, 'Vous devez d\'abord sélectionner ou ajouter un patient.');
INSERT INTO `lang_definitions` VALUES (31407, 7330, 8, 'Vous devez d\'abord sélectionner ou créer une visite.');
INSERT INTO `lang_definitions` VALUES (31408, 7331, 8, 'Vous devez sélectionner une catégorie de visite');
INSERT INTO `lang_definitions` VALUES (31409, 7332, 8, 'Vous devez sélectionner une catégorie de visite.');
INSERT INTO `lang_definitions` VALUES (31410, 7333, 8, 'Vous devez sélectionner des champs pour continuer.');
INSERT INTO `lang_definitions` VALUES (31411, 7335, 8, 'Vous devez sélectionner au moins un contexte');
INSERT INTO `lang_definitions` VALUES (31412, 7336, 8, 'Vous devez sélectionner au moins un Prestataire');
INSERT INTO `lang_definitions` VALUES (31413, 7339, 8, 'Votre date fin est invalide');
INSERT INTO `lang_definitions` VALUES (31414, 7340, 8, 'Votre événement a été supprimé.');
INSERT INTO `lang_definitions` VALUES (31415, 7341, 8, 'Votre événement a été modifié.');
INSERT INTO `lang_definitions` VALUES (31416, 7342, 8, 'Votre événement a été soumis.');
INSERT INTO `lang_definitions` VALUES (31417, 7343, 8, 'Votre fichier est trop grand');
INSERT INTO `lang_definitions` VALUES (31418, 7345, 8, 'Votre nom de liste a été modifiée pour répondre aux exigences de nommage.');
INSERT INTO `lang_definitions` VALUES (31419, 7346, 8, 'Votre message a été soumis pour une livraison à');
INSERT INTO `lang_definitions` VALUES (31420, 7347, 8, 'Votre nom pour cette catégorie, procédure ou résultat');
INSERT INTO `lang_definitions` VALUES (31421, 7348, 8, 'Votre mot de passe');
INSERT INTO `lang_definitions` VALUES (31422, 7349, 8, 'Votre mot de passe a expiré. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (31423, 7350, 8, 'Votre mot de passe expire le');
INSERT INTO `lang_definitions` VALUES (31424, 7351, 8, 'Votre mot de passe expire aujourd\'hui. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (31425, 7353, 8, 'Votre configuration PostCalendar est réinitialisé par les paramètres par défaut.');
INSERT INTO `lang_definitions` VALUES (31426, 7354, 8, 'Votre configuration PostCalendar est actualisé.');
INSERT INTO `lang_definitions` VALUES (31427, 7355, 8, 'Votre fréquence de répétition doit être un entier.');
INSERT INTO `lang_definitions` VALUES (31428, 7356, 8, 'Votre fréquence de répétition doit être au moins 1.');
INSERT INTO `lang_definitions` VALUES (31429, 7357, 8, 'Votre date début est supérieure à la date fin');
INSERT INTO `lang_definitions` VALUES (31430, 7358, 8, 'Votre date début est invalide');
INSERT INTO `lang_definitions` VALUES (31431, 7359, 8, 'Votre soumission a échoué.');
INSERT INTO `lang_definitions` VALUES (31432, 7360, 8, 'aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (31433, 7361, 8, 'AAAA-MM-JJ');
INSERT INTO `lang_definitions` VALUES (31434, 7362, 8, 'aaaa-mm-jj date associé à ce document');
INSERT INTO `lang_definitions` VALUES (31435, 7363, 8, 'aaaa-mm-jj date de destruction');
INSERT INTO `lang_definitions` VALUES (31436, 7364, 8, 'aaaa-mm-jj date de naissance');
INSERT INTO `lang_definitions` VALUES (31437, 7365, 8, 'aaaa-mm-jj Date de Naissance');
INSERT INTO `lang_definitions` VALUES (31438, 7366, 8, 'aaaa-mm-jj date d\'expiration');
INSERT INTO `lang_definitions` VALUES (31439, 7367, 8, 'aaaa-mm-jj Date du début ou de l\'hospitalisation');
INSERT INTO `lang_definitions` VALUES (31440, 7368, 8, 'aaaa-mm-jj date du début, chirurgie ou début de médication');
INSERT INTO `lang_definitions` VALUES (31441, 7369, 8, 'aaaa-mm-jj date d\'achat ou transfert');
INSERT INTO `lang_definitions` VALUES (31442, 7370, 8, 'aaaa-mm-jj date de récupération et fin de médication');
INSERT INTO `lang_definitions` VALUES (31443, 7371, 8, 'aaaa-mm-jj Date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (31444, 7372, 8, 'aaaa-mm-jj Date de service');
INSERT INTO `lang_definitions` VALUES (31445, 7373, 8, 'aaaa-mm-jj date de cette lettre');
INSERT INTO `lang_definitions` VALUES (31446, 7374, 8, 'aaaa-mm-jj date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (31447, 7375, 8, 'aaaa-mm-jj date du document');
INSERT INTO `lang_definitions` VALUES (31448, 7376, 8, 'aaaa-mm-jj date d\'évènement ou de début');
INSERT INTO `lang_definitions` VALUES (31449, 7381, 8, 'aaaa-mm-jj hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (31450, 7383, 8, 'aaaa-mm-jj dernière date de l\'événement');
INSERT INTO `lang_definitions` VALUES (31451, 7387, 8, 'Zéro');
INSERT INTO `lang_definitions` VALUES (31452, 7389, 8, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (31453, 7390, 8, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (31454, 7391, 8, 'Code Postal/Pays:');
INSERT INTO `lang_definitions` VALUES (31455, 7392, 8, 'Zoulou');
INSERT INTO `lang_definitions` VALUES (31456, 7393, 8, ' mais étais ');
INSERT INTO `lang_definitions` VALUES (31457, 7394, 8, ' ne peut être accédé');
INSERT INTO `lang_definitions` VALUES (31458, 7395, 8, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (31459, 7396, 8, 'Médicament');
INSERT INTO `lang_definitions` VALUES (31460, 7397, 8, 'email non envoyé');
INSERT INTO `lang_definitions` VALUES (31461, 7398, 8, 'de');
INSERT INTO `lang_definitions` VALUES (31462, 7399, 8, 'a été crée ');
INSERT INTO `lang_definitions` VALUES (31463, 7400, 8, 'a été ré-ouvert');
INSERT INTO `lang_definitions` VALUES (31464, 7401, 8, 'Histoire');
INSERT INTO `lang_definitions` VALUES (31465, 7402, 8, 'n\'est pas un nombre');
INSERT INTO `lang_definitions` VALUES (31466, 7403, 8, 'est prêt à une ré-facturation');
INSERT INTO `lang_definitions` VALUES (31467, 7405, 8, 'Lot');
INSERT INTO `lang_definitions` VALUES (31468, 7406, 8, 'N° Référence d\'Origine Assurance Maladie ');
INSERT INTO `lang_definitions` VALUES (31469, 7407, 8, 'min');
INSERT INTO `lang_definitions` VALUES (31470, 7408, 8, 'introuvable!');
INSERT INTO `lang_definitions` VALUES (31471, 7409, 8, 'Particularités dans de nombreux navigateurs peut signifier que la sortie ci-dessous entre votre écran par saccades brusques et qu\'il y a de longues pauses de plusieurs secondes, où il semble que les choses peuvent avoir écrasé. Ce n\'est pas le cas, vous finirez par voir la sortie sortant ligne par ligne. Il y a peut-être des numéros séquentiels apparaissant ci-dessous, ce n\'est pour indiquer que même si rien d\'autre peut-être il y a une activité affichant passe. Ces numéros seront entrecoupés avec le contenu de la facturation et c\'est normal.');
INSERT INTO `lang_definitions` VALUES (31472, 7410, 8, 'ordonnance a atteint sa limite de');
INSERT INTO `lang_definitions` VALUES (31473, 7411, 8, 'jusqu\'à');
INSERT INTO `lang_definitions` VALUES (31474, 7412, 8, 'mise à jour échoué, pas dans la base de données?');
INSERT INTO `lang_definitions` VALUES (31475, 7413, 8, 'a été marqué comme facturé uniquement.');
INSERT INTO `lang_definitions` VALUES (31476, 7414, 8, 'a été mis en file d\'attente avec succès.');
INSERT INTO `lang_definitions` VALUES (31477, 7415, 8, '! Laissé w/o visite');
INSERT INTO `lang_definitions` VALUES (31478, 7416, 8, '\" pour le code');
INSERT INTO `lang_definitions` VALUES (31479, 7417, 8, '\" est activé dans les règles du Calendrier!');
INSERT INTO `lang_definitions` VALUES (31480, 7419, 8, 'nb de comprimés:');
INSERT INTO `lang_definitions` VALUES (31481, 7420, 8, '$');
INSERT INTO `lang_definitions` VALUES (31482, 7421, 8, '$ Codage fait');
INSERT INTO `lang_definitions` VALUES (31483, 7422, 8, '$label (aaaa-mm-jj): ');
INSERT INTO `lang_definitions` VALUES (31484, 7423, 8, '%');
INSERT INTO `lang_definitions` VALUES (31485, 7424, 8, '% Annulé < 24h');
INSERT INTO `lang_definitions` VALUES (31486, 7425, 8, '% Annulé < 24h ');
INSERT INTO `lang_definitions` VALUES (31487, 7426, 8, 'devrait exister mais au contraire.');
INSERT INTO `lang_definitions` VALUES (31488, 7427, 8, '(% correspond à toute chaîne, _ à tout caractères)');
INSERT INTO `lang_definitions` VALUES (31489, 7428, 8, '([ctrl] + clic pour sélectionner des destinataires multiple)');
INSERT INTO `lang_definitions` VALUES (31490, 7429, 8, '(Arrière)');
INSERT INTO `lang_definitions` VALUES (31491, 7430, 8, '(Cliquez pour modifier)');
INSERT INTO `lang_definitions` VALUES (31492, 7431, 8, '(Livraison Email est immédiat, tandis que le VOIP automatisés est envoyé au fournisseur de service pour un traitement ultérieur.)');
INSERT INTO `lang_definitions` VALUES (31493, 7432, 8, '(Plus)');
INSERT INTO `lang_definitions` VALUES (31494, 7433, 8, '(Nouveau Patient)');
INSERT INTO `lang_definitions` VALUES (31495, 7434, 8, '(Notes et Autorisations)');
INSERT INTO `lang_definitions` VALUES (31496, 7435, 8, '(Notes sur le Patient)');
INSERT INTO `lang_definitions` VALUES (31497, 7436, 8, '(Selectionner un parmis cela, ou tapé votre propre titre)');
INSERT INTO `lang_definitions` VALUES (31498, 7437, 8, '(Shift-)Click ou glissé pour changer la valeur');
INSERT INTO `lang_definitions` VALUES (31499, 7438, 8, '* Rappel fait');
INSERT INTO `lang_definitions` VALUES (31500, 7439, 8, '** S\'il vous plait transférez les chirurgies vers les problèmes!');
INSERT INTO `lang_definitions` VALUES (31501, 7440, 8, '*Obligatoire');
INSERT INTO `lang_definitions` VALUES (31502, 7441, 8, '+ Diagramme retiré');
INSERT INTO `lang_definitions` VALUES (31503, 7442, 8, '- Aucun');
INSERT INTO `lang_definitions` VALUES (31504, 7443, 8, '-- Tous --');
INSERT INTO `lang_definitions` VALUES (31505, 7444, 8, '--Sélectionné un rôle--');
INSERT INTO `lang_definitions` VALUES (31506, 7445, 8, '.');
INSERT INTO `lang_definitions` VALUES (31507, 7446, 8, '0');
INSERT INTO `lang_definitions` VALUES (31508, 7447, 8, '0-10');
INSERT INTO `lang_definitions` VALUES (31509, 7448, 8, '0-24');
INSERT INTO `lang_definitions` VALUES (31510, 7451, 8, '1');
INSERT INTO `lang_definitions` VALUES (31511, 7452, 8, '1 = Amérique du Nord. Voir http://www.wtng.info/ pour la liste des codes des autres pays.');
INSERT INTO `lang_definitions` VALUES (31512, 7453, 8, '1 jour à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31513, 7454, 8, '1 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31514, 7455, 8, '1 semaine à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31515, 7456, 8, '1 an à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31516, 7457, 8, '1. Repos 2. Glace pour deux jours 3. Compression, laissez le pansement en place à moins que le pied ne développe un engourdissement ou a une couleur pâle 4. Surélever le pied et la jambe');
INSERT INTO `lang_definitions` VALUES (31517, 7459, 8, '12 H');
INSERT INTO `lang_definitions` VALUES (31518, 7460, 8, '15-19');
INSERT INTO `lang_definitions` VALUES (31519, 7462, 8, '2');
INSERT INTO `lang_definitions` VALUES (31520, 7463, 8, '2 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31521, 7464, 8, '2 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31522, 7465, 8, '2 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31523, 7466, 8, '2 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31524, 7467, 8, '2-20 années');
INSERT INTO `lang_definitions` VALUES (31525, 7468, 8, '20-24');
INSERT INTO `lang_definitions` VALUES (31526, 7477, 8, '2111-13');
INSERT INTO `lang_definitions` VALUES (31527, 7478, 8, '24 H');
INSERT INTO `lang_definitions` VALUES (31528, 7479, 8, '25+');
INSERT INTO `lang_definitions` VALUES (31529, 7480, 8, '25-29');
INSERT INTO `lang_definitions` VALUES (31530, 7481, 8, '2ème');
INSERT INTO `lang_definitions` VALUES (31531, 7482, 8, '3 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31532, 7483, 8, '3 mois');
INSERT INTO `lang_definitions` VALUES (31533, 7484, 8, '3 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31534, 7485, 8, '3 fois par jour');
INSERT INTO `lang_definitions` VALUES (31535, 7486, 8, '3 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31536, 7487, 8, '30-34');
INSERT INTO `lang_definitions` VALUES (31537, 7488, 8, '35-39');
INSERT INTO `lang_definitions` VALUES (31538, 7489, 8, '3ème');
INSERT INTO `lang_definitions` VALUES (31539, 7490, 8, '4 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31540, 7491, 8, '4 mois');
INSERT INTO `lang_definitions` VALUES (31541, 7492, 8, '4 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31542, 7493, 8, '4 fois par jour');
INSERT INTO `lang_definitions` VALUES (31543, 7494, 8, '4 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31544, 7495, 8, '40-44');
INSERT INTO `lang_definitions` VALUES (31545, 7496, 8, '45+');
INSERT INTO `lang_definitions` VALUES (31546, 7498, 8, '466.0, Bronchite, Aiguë NOS');
INSERT INTO `lang_definitions` VALUES (31547, 7499, 8, '486.0, Pneumonie, Aiguë');
INSERT INTO `lang_definitions` VALUES (31548, 7501, 8, '491.8, Bronchite, Chronique');
INSERT INTO `lang_definitions` VALUES (31549, 7502, 8, '493.92, Asthme, Exacerbés Aiguë.');
INSERT INTO `lang_definitions` VALUES (31550, 7504, 8, '4ème');
INSERT INTO `lang_definitions` VALUES (31551, 7505, 8, '5 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31552, 7506, 8, '5 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31553, 7507, 8, '5 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31554, 7508, 8, '519.7, Broncho-spasme');
INSERT INTO `lang_definitions` VALUES (31555, 7509, 8, '5ème');
INSERT INTO `lang_definitions` VALUES (31556, 7510, 8, '6 jours à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31557, 7511, 8, '6 mois');
INSERT INTO `lang_definitions` VALUES (31558, 7512, 8, '6 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31559, 7513, 8, '6 semaines à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31560, 7514, 8, '6ème');
INSERT INTO `lang_definitions` VALUES (31561, 7515, 8, '7 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31562, 7516, 8, '8 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31563, 7517, 8, '824.0 Fracture, malléole interne, fermée');
INSERT INTO `lang_definitions` VALUES (31564, 7518, 8, '824.2 Fracture, malléole latérale, fermée');
INSERT INTO `lang_definitions` VALUES (31565, 7519, 8, '824.6 Fracture, tri-malléolaires, fermé');
INSERT INTO `lang_definitions` VALUES (31566, 7520, 8, '825,32 Fracture, de la Naviculaire (cheville)');
INSERT INTO `lang_definitions` VALUES (31567, 7521, 8, '825,35 Fracture, Base de cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (31568, 7522, 8, '845,00 entorse de la cheville NOS');
INSERT INTO `lang_definitions` VALUES (31569, 7523, 8, '845,01 Entorse Médial (deltoïde) Lig.');
INSERT INTO `lang_definitions` VALUES (31570, 7524, 8, '845,02 Entorse, péroné calcanéum');
INSERT INTO `lang_definitions` VALUES (31571, 7525, 8, '9 mois à partir de maintenant');
INSERT INTO `lang_definitions` VALUES (31572, 7526, 8, '99212 Installé - sans complication');
INSERT INTO `lang_definitions` VALUES (31573, 7527, 8, '99213 Installé - faible complication');
INSERT INTO `lang_definitions` VALUES (31574, 7528, 8, '< En salle d\'examen');
INSERT INTO `lang_definitions` VALUES (31575, 7529, 8, '> Vérifié');
INSERT INTO `lang_definitions` VALUES (31576, 7530, 8, '?');
INSERT INTO `lang_definitions` VALUES (31577, 7531, 8, '? Pas d\'affichage');
INSERT INTO `lang_definitions` VALUES (31578, 7532, 8, '@ Arrivé');
INSERT INTO `lang_definitions` VALUES (31579, 7533, 8, '[Changer de Vue]');
INSERT INTO `lang_definitions` VALUES (31580, 7534, 8, '[Date de Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (31581, 7535, 8, '[Jours Depuis Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (31582, 7536, 8, '[Notice explicative des prestations]');
INSERT INTO `lang_definitions` VALUES (31583, 7537, 8, '[Exporter OFX]');
INSERT INTO `lang_definitions` VALUES (31584, 7538, 8, '[déconseillé]');
INSERT INTO `lang_definitions` VALUES (31585, 7539, 8, '[Nombre De Visites]');
INSERT INTO `lang_definitions` VALUES (31586, 7540, 8, '[Rapports]');
INSERT INTO `lang_definitions` VALUES (31587, 7541, 8, '[Sélectionner Tout]');
INSERT INTO `lang_definitions` VALUES (31588, 7542, 8, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (31589, 7543, 8, '[Début de Traitement par Lots]');
INSERT INTO `lang_definitions` VALUES (31590, 7544, 8, '[Afficher le Journal]');
INSERT INTO `lang_definitions` VALUES (31591, 7545, 8, '[Afficher Rapport Imprimable]');
INSERT INTO `lang_definitions` VALUES (31592, 7546, 8, '_PC_DUR_HEURES');
INSERT INTO `lang_definitions` VALUES (31593, 7547, 8, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (31594, 7548, 8, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (31595, 7549, 8, '~ Arrivé en retard');
INSERT INTO `lang_definitions` VALUES (31596, 1, 9, 'Un');
INSERT INTO `lang_definitions` VALUES (31597, 2, 9, 'Un numéro de chèque ou un numéro de réclamation pour identifier le paiement.');
INSERT INTO `lang_definitions` VALUES (31598, 3, 9, 'Un certificat du client pour l\'administrateur');
INSERT INTO `lang_definitions` VALUES (31599, 4, 9, 'Un document clinique se trouve en attachement');
INSERT INTO `lang_definitions` VALUES (31600, 5, 9, 'Un document clinique est attaché.');
INSERT INTO `lang_definitions` VALUES (31601, 7, 9, 'Un distributeur est requis');
INSERT INTO `lang_definitions` VALUES (31602, 8, 9, 'Un formulaire de visite GCAC doit être ajouté à cette visite');
INSERT INTO `lang_definitions` VALUES (31603, 9, 9, 'Un numéros de lot est requis');
INSERT INTO `lang_definitions` VALUES (31604, 10, 9, 'Un numéro de lot est exigé !');
INSERT INTO `lang_definitions` VALUES (31605, 11, 9, 'Une lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (31606, 12, 9, 'Un nombre');
INSERT INTO `lang_definitions` VALUES (31607, 14, 9, 'Un patient avec cet identifiant existe déjà.');
INSERT INTO `lang_definitions` VALUES (31608, 15, 9, 'Un patient avec ce nom existe déjà.');
INSERT INTO `lang_definitions` VALUES (31609, 16, 9, 'Un patient avec ce matriculant existe déjà.');
INSERT INTO `lang_definitions` VALUES (31610, 19, 9, 'Une source de référence peut être spécifiée pour chaque visite.');
INSERT INTO `lang_definitions` VALUES (31611, 20, 9, 'Le code relatif à IPPF est exigé!');
INSERT INTO `lang_definitions` VALUES (31612, 21, 9, 'Un caractère spécial');
INSERT INTO `lang_definitions` VALUES (31613, 22, 9, 'Une valeur unique afin d\'identifier ce champ, invisible pour l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (31614, 23, 9, 'Une visite existe déjà aujourd\'hui pour ce patient.  Sélectionner Annuler pour ouvrir la visite existante ou Ok pour créer une nouvelle visite.');
INSERT INTO `lang_definitions` VALUES (31615, 24, 9, 'Avant les repas');
INSERT INTO `lang_definitions` VALUES (31616, 25, 9, 'matin');
INSERT INTO `lang_definitions` VALUES (31617, 26, 9, 'Fluidité d\'air au niveau de l\'oreille droite');
INSERT INTO `lang_definitions` VALUES (31618, 27, 9, 'AB');
INSERT INTO `lang_definitions` VALUES (31619, 28, 9, 'Abréviation');
INSERT INTO `lang_definitions` VALUES (31620, 29, 9, 'Abcès');
INSERT INTO `lang_definitions` VALUES (31621, 30, 9, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (31622, 31, 9, 'Capable de supporter le poids sur 4 marches:');
INSERT INTO `lang_definitions` VALUES (31623, 32, 9, 'Anormal');
INSERT INTO `lang_definitions` VALUES (31624, 34, 9, 'Anormal');
INSERT INTO `lang_definitions` VALUES (31625, 35, 9, 'Test Sanguin Anormal');
INSERT INTO `lang_definitions` VALUES (31626, 36, 9, 'Croissance anormale des cheveux');
INSERT INTO `lang_definitions` VALUES (31627, 37, 9, 'Mammographie Anormale');
INSERT INTO `lang_definitions` VALUES (31628, 39, 9, 'Avortement');
INSERT INTO `lang_definitions` VALUES (31629, 40, 9, 'Problème médical relatif à l\'avortement');
INSERT INTO `lang_definitions` VALUES (31630, 41, 9, 'Méthode d\'avortement');
INSERT INTO `lang_definitions` VALUES (31631, 42, 9, 'Catégories relative à l\'avortement');
INSERT INTO `lang_definitions` VALUES (31632, 43, 9, 'Avortements');
INSERT INTO `lang_definitions` VALUES (31633, 44, 9, 'A propos du calendrier');
INSERT INTO `lang_definitions` VALUES (31634, 46, 9, 'Absence de diagnostique');
INSERT INTO `lang_definitions` VALUES (31635, 47, 9, 'Accepter l\'affectation');
INSERT INTO `lang_definitions` VALUES (31636, 49, 9, 'Accepter le Paiement pour ');
INSERT INTO `lang_definitions` VALUES (31637, 50, 9, 'Accepte l\'affectation');
INSERT INTO `lang_definitions` VALUES (31638, 51, 9, 'Contrôle d\'accès');
INSERT INTO `lang_definitions` VALUES (31639, 52, 9, 'Liste de contrôle d\'accès administratif');
INSERT INTO `lang_definitions` VALUES (31640, 53, 9, 'Date d\'accès');
INSERT INTO `lang_definitions` VALUES (31641, 56, 9, 'Accédez à votre Portail Patients');
INSERT INTO `lang_definitions` VALUES (31642, 59, 9, 'Nom du Compte');
INSERT INTO `lang_definitions` VALUES (31643, 62, 9, 'Comptabilité');
INSERT INTO `lang_definitions` VALUES (31644, 64, 9, 'Douleurs');
INSERT INTO `lang_definitions` VALUES (31645, 65, 9, 'Acquittement demandé (ISA14)');
INSERT INTO `lang_definitions` VALUES (31646, 67, 9, 'ACL');
INSERT INTO `lang_definitions` VALUES (31647, 68, 9, 'ACL d\'Administration');
INSERT INTO `lang_definitions` VALUES (31648, 69, 9, 'ACL d\'Administration Non Autorisée');
INSERT INTO `lang_definitions` VALUES (31649, 70, 9, 'ACL mis à jour');
INSERT INTO `lang_definitions` VALUES (31650, 71, 9, 'Acné');
INSERT INTO `lang_definitions` VALUES (31651, 72, 9, 'Acte');
INSERT INTO `lang_definitions` VALUES (31652, 73, 9, 'Date d\'Acte');
INSERT INTO `lang_definitions` VALUES (31653, 74, 9, 'Action');
INSERT INTO `lang_definitions` VALUES (31654, 75, 9, 'Actions');
INSERT INTO `lang_definitions` VALUES (31655, 77, 9, 'Activer le Rapport CCR/CCD');
INSERT INTO `lang_definitions` VALUES (31656, 78, 9, 'Effective');
INSERT INTO `lang_definitions` VALUES (31657, 79, 9, 'Alerte Active');
INSERT INTO `lang_definitions` VALUES (31658, 80, 9, 'Règles d\'Alerte Actives');
INSERT INTO `lang_definitions` VALUES (31659, 81, 9, 'Alertes Actives/Rappels');
INSERT INTO `lang_definitions` VALUES (31660, 82, 9, 'Rencontre active');
INSERT INTO `lang_definitions` VALUES (31661, 84, 9, 'Listes actives');
INSERT INTO `lang_definitions` VALUES (31662, 85, 9, 'Patient actif');
INSERT INTO `lang_definitions` VALUES (31663, 86, 9, 'Régimes Actives');
INSERT INTO `lang_definitions` VALUES (31664, 87, 9, 'Activité');
INSERT INTO `lang_definitions` VALUES (31665, 88, 9, 'Type d\'Activité');
INSERT INTO `lang_definitions` VALUES (31666, 90, 9, 'Intoxication / Sevrage aigü');
INSERT INTO `lang_definitions` VALUES (31667, 91, 9, 'Manifestation aigüe d\'une condition chronique');
INSERT INTO `lang_definitions` VALUES (31668, 92, 9, 'Maladie Chronique Aiguë');
INSERT INTO `lang_definitions` VALUES (31669, 93, 9, 'ajouter');
INSERT INTO `lang_definitions` VALUES (31670, 94, 9, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (31671, 95, 9, 'Ajouter');
INSERT INTO `lang_definitions` VALUES (31672, 96, 9, 'Ajouter une Campanie d\'assurance');
INSERT INTO `lang_definitions` VALUES (31673, 98, 9, 'Ajouter une Pharmacie');
INSERT INTO `lang_definitions` VALUES (31674, 100, 9, 'Ajouter un événement pour ');
INSERT INTO `lang_definitions` VALUES (31675, 101, 9, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (31676, 102, 9, 'Ajouter en tant que nouveau');
INSERT INTO `lang_definitions` VALUES (31677, 104, 9, 'Boutons Ajout');
INSERT INTO `lang_definitions` VALUES (31678, 105, 9, 'Boutons Ajouter pour les caractères spéciaux, Textes devant figurer en haut de l\'éditeur à inclure dans le texte suite à un Clic');
INSERT INTO `lang_definitions` VALUES (31679, 106, 9, 'Ajouter une Catégorie');
INSERT INTO `lang_definitions` VALUES (31680, 107, 9, 'Ajouter une Constante');
INSERT INTO `lang_definitions` VALUES (31681, 108, 9, 'Ajouter un Contexte');
INSERT INTO `lang_definitions` VALUES (31682, 109, 9, 'Insérer un co-payeur');
INSERT INTO `lang_definitions` VALUES (31683, 110, 9, 'Ajouter un Critère');
INSERT INTO `lang_definitions` VALUES (31684, 111, 9, 'Ajouter un Bouton Personnalisé');
INSERT INTO `lang_definitions` VALUES (31685, 112, 9, 'Ajouter un Diagnostic');
INSERT INTO `lang_definitions` VALUES (31686, 113, 9, 'Ajouter un Médicament');
INSERT INTO `lang_definitions` VALUES (31687, 114, 9, 'Ajouter un rendez-vous');
INSERT INTO `lang_definitions` VALUES (31688, 115, 9, 'Ajouter Notes/rendez-vous');
INSERT INTO `lang_definitions` VALUES (31689, 116, 9, 'Ajouter un équipement médical');
INSERT INTO `lang_definitions` VALUES (31690, 117, 9, 'Ajouter un domaine');
INSERT INTO `lang_definitions` VALUES (31691, 118, 9, 'Ajouter les lignes suivantes au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (31692, 119, 9, 'Ajouter un Groupe');
INSERT INTO `lang_definitions` VALUES (31693, 120, 9, 'Ajouter le code ICD');
INSERT INTO `lang_definitions` VALUES (31694, 121, 9, 'Ajouter une vaccination');
INSERT INTO `lang_definitions` VALUES (31695, 122, 9, 'L\'ajout n\'est pas permis!');
INSERT INTO `lang_definitions` VALUES (31696, 123, 9, 'Ajouter un problème médical');
INSERT INTO `lang_definitions` VALUES (31697, 124, 9, 'Ajouter un élément à suivre');
INSERT INTO `lang_definitions` VALUES (31698, 125, 9, 'Ajouter une langue');
INSERT INTO `lang_definitions` VALUES (31699, 126, 9, 'Ajouter du nouveau');
INSERT INTO `lang_definitions` VALUES (31700, 127, 9, 'Ajouter du nouveau');
INSERT INTO `lang_definitions` VALUES (31701, 128, 9, 'Ajouter une nouvelle catégorie: ');
INSERT INTO `lang_definitions` VALUES (31702, 129, 9, 'Ajouter les nouveaux certificats au fichier de configuration du serveur Apache');
INSERT INTO `lang_definitions` VALUES (31703, 130, 9, 'Ajouter un nouveau composant');
INSERT INTO `lang_definitions` VALUES (31704, 131, 9, 'Ajouter des nouveaux composants');
INSERT INTO `lang_definitions` VALUES (31705, 132, 9, 'Ajouter un Nouveau Groupe');
INSERT INTO `lang_definitions` VALUES (31706, 133, 9, 'Ajouter un nouveau problème clinique');
INSERT INTO `lang_definitions` VALUES (31707, 134, 9, 'Ajouter un nouveau lot et transaction');
INSERT INTO `lang_definitions` VALUES (31708, 135, 9, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (31709, 136, 9, 'Ajouter une nouvelle note');
INSERT INTO `lang_definitions` VALUES (31710, 137, 9, 'Ajouter un nouveau Partenaire');
INSERT INTO `lang_definitions` VALUES (31711, 138, 9, 'Ajouter un nouveau patient');
INSERT INTO `lang_definitions` VALUES (31712, 140, 9, 'Ajouter une note');
INSERT INTO `lang_definitions` VALUES (31713, 141, 9, 'Ajouter une fiche Patient');
INSERT INTO `lang_definitions` VALUES (31714, 142, 9, 'Ajouter une ordonnance');
INSERT INTO `lang_definitions` VALUES (31715, 143, 9, 'Ajouter une procédure');
INSERT INTO `lang_definitions` VALUES (31716, 144, 9, 'Ajouter le numéro du prestataire');
INSERT INTO `lang_definitions` VALUES (31717, 145, 9, 'Ajouter une cure de désintoxication');
INSERT INTO `lang_definitions` VALUES (31718, 146, 9, 'Ajouter une règle');
INSERT INTO `lang_definitions` VALUES (31719, 147, 9, 'Ajouter à');
INSERT INTO `lang_definitions` VALUES (31720, 148, 9, 'Ajouter à la Listes des Médicaments');
INSERT INTO `lang_definitions` VALUES (31721, 149, 9, 'Ajouter le Niveau Supérieur');
INSERT INTO `lang_definitions` VALUES (31722, 150, 9, 'Ajouter une Transaction');
INSERT INTO `lang_definitions` VALUES (31723, 151, 9, 'Ajouter un Utilisateur');
INSERT INTO `lang_definitions` VALUES (31724, 152, 9, 'Ajouter un Utilisateur au Groupe');
INSERT INTO `lang_definitions` VALUES (31725, 153, 9, 'Ajouter/Editer eRx');
INSERT INTO `lang_definitions` VALUES (31726, 154, 9, 'Ajouter/Editer la Transaction du Patient');
INSERT INTO `lang_definitions` VALUES (31727, 155, 9, 'Ajouté');
INSERT INTO `lang_definitions` VALUES (31728, 156, 9, 'L\'ajout de données démographiques n\'est pas autorisé');
INSERT INTO `lang_definitions` VALUES (31729, 157, 9, 'Échec d\'ajout d\'un élément à suivre');
INSERT INTO `lang_definitions` VALUES (31730, 158, 9, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (31731, 159, 9, 'Syndrome d\'Addison');
INSERT INTO `lang_definitions` VALUES (31732, 160, 9, 'Attributs supplémentaires');
INSERT INTO `lang_definitions` VALUES (31733, 161, 9, 'Diagnostique supplémentaire');
INSERT INTO `lang_definitions` VALUES (31734, 162, 9, 'Antécédent supplémentaire');
INSERT INTO `lang_definitions` VALUES (31735, 163, 9, 'Notes d\'antécédent(s) supplémentaire(s)');
INSERT INTO `lang_definitions` VALUES (31736, 164, 9, 'Information complémentaire');
INSERT INTO `lang_definitions` VALUES (31737, 165, 9, 'Laboratoires supplémentaires');
INSERT INTO `lang_definitions` VALUES (31738, 166, 9, 'Notes supplémentaires');
INSERT INTO `lang_definitions` VALUES (31739, 167, 9, 'Notes complémentaires / Recommendation pour ce résultat');
INSERT INTO `lang_definitions` VALUES (31740, 168, 9, 'Notes supplémentaires:');
INSERT INTO `lang_definitions` VALUES (31741, 169, 9, 'Notes supplémentaires: ');
INSERT INTO `lang_definitions` VALUES (31742, 170, 9, 'Radiographies supplémentaires:');
INSERT INTO `lang_definitions` VALUES (31743, 171, 9, 'De plus, le composant US Snomed Extension correspondant peut être importé séparément après avoir installé la version internationale de la mise à jour Snomed (version anglaise)');
INSERT INTO `lang_definitions` VALUES (31744, 172, 9, 'Ajouter seulement');
INSERT INTO `lang_definitions` VALUES (31745, 173, 9, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (31746, 174, 9, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (31747, 175, 9, 'Adresse');
INSERT INTO `lang_definitions` VALUES (31748, 178, 9, 'Carnet d\'adresses');
INSERT INTO `lang_definitions` VALUES (31749, 179, 9, 'Entrée au carnet d\'adresses pour la compagnie réalisant cette procédure');
INSERT INTO `lang_definitions` VALUES (31750, 180, 9, 'Entrée au carnet d\'adresses pour le distributeur');
INSERT INTO `lang_definitions` VALUES (31751, 181, 9, 'Entrée au carnet d\'adresses pour le vendeur');
INSERT INTO `lang_definitions` VALUES (31752, 182, 9, 'Type de carnet d\'adresse');
INSERT INTO `lang_definitions` VALUES (31753, 183, 9, 'Étiquette d\'adresse');
INSERT INTO `lang_definitions` VALUES (31754, 187, 9, 'Adresse 1');
INSERT INTO `lang_definitions` VALUES (31755, 188, 9, 'Adresse 2');
INSERT INTO `lang_definitions` VALUES (31756, 189, 9, 'Destinataire');
INSERT INTO `lang_definitions` VALUES (31757, 190, 9, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (31758, 191, 9, 'Montant Ajusté');
INSERT INTO `lang_definitions` VALUES (31759, 192, 9, 'Ajuster');
INSERT INTO `lang_definitions` VALUES (31760, 193, 9, 'Ajustement');
INSERT INTO `lang_definitions` VALUES (31761, 194, 9, 'Montant de l\'ajustement');
INSERT INTO `lang_definitions` VALUES (31762, 195, 9, 'Raisons de l\'ajustement');
INSERT INTO `lang_definitions` VALUES (31763, 196, 9, 'Valeur de l\'ajustement pour code ');
INSERT INTO `lang_definitions` VALUES (31764, 197, 9, 'Ajustements');
INSERT INTO `lang_definitions` VALUES (31765, 198, 9, 'Ajustement administratif');
INSERT INTO `lang_definitions` VALUES (31766, 199, 9, 'Administrateur');
INSERT INTO `lang_definitions` VALUES (31767, 200, 9, 'Adresse mail Administrateur');
INSERT INTO `lang_definitions` VALUES (31768, 201, 9, 'Administrer via');
INSERT INTO `lang_definitions` VALUES (31769, 202, 9, 'Administré');
INSERT INTO `lang_definitions` VALUES (31770, 203, 9, 'Administré par');
INSERT INTO `lang_definitions` VALUES (31771, 204, 9, 'Administré le (date)');
INSERT INTO `lang_definitions` VALUES (31772, 205, 9, 'Administré à (site)');
INSERT INTO `lang_definitions` VALUES (31773, 206, 9, 'Administration');
INSERT INTO `lang_definitions` VALUES (31774, 207, 9, 'Site d\'administration');
INSERT INTO `lang_definitions` VALUES (31775, 208, 9, 'Administrateurs');
INSERT INTO `lang_definitions` VALUES (31776, 209, 9, 'Les administrateurs ont tous les droits');
INSERT INTO `lang_definitions` VALUES (31777, 210, 9, 'Date d\'admission');
INSERT INTO `lang_definitions` VALUES (31778, 212, 9, 'Suivi et Dépistage du poids pour Adulte');
INSERT INTO `lang_definitions` VALUES (31779, 213, 9, 'Suivi et Dépistage du poids pour Adulte (CQM)');
INSERT INTO `lang_definitions` VALUES (31780, 214, 9, 'Directive préalable');
INSERT INTO `lang_definitions` VALUES (31781, 215, 9, 'Directives préalables');
INSERT INTO `lang_definitions` VALUES (31782, 216, 9, 'Avertissement de directives anticipées');
INSERT INTO `lang_definitions` VALUES (31783, 218, 9, 'Avancé');
INSERT INTO `lang_definitions` VALUES (31784, 219, 9, 'Conseil');
INSERT INTO `lang_definitions` VALUES (31785, 220, 9, 'de loin');
INSERT INTO `lang_definitions` VALUES (31786, 221, 9, 'Affecte Normale');
INSERT INTO `lang_definitions` VALUES (31787, 222, 9, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (31788, 223, 9, 'Appels hors des heures de travail');
INSERT INTO `lang_definitions` VALUES (31789, 224, 9, 'Suite à la migration des méchanismes antérieurs selon lesquels les mots de passe sont stockés dans la table des utilisateurs sans sel est complet, ce témoin devrait être configuré à Faux de sort que seule l\'authentification par le nouveau mécanisme est possible.');
INSERT INTO `lang_definitions` VALUES (31790, 225, 9, 'Après avoir réalisé les configurations mentionnées, importer le certificat du client administré dans le navigateur puis redémarrer le serveur Apache (mot de passe vide)');
INSERT INTO `lang_definitions` VALUES (31791, 226, 9, 'Après avoir enregistré le PDF, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (31792, 227, 9, 'Après avoir enregistré les fichiers TEXT, cliquer [view log] pour verifier d\'éventuelles erreurs');
INSERT INTO `lang_definitions` VALUES (31793, 228, 9, 'Après avoir enregistré votre fichier séquentiel (batch), cliquer sur [View Log], pour vérifier d\'éventuelles erreurs.');
INSERT INTO `lang_definitions` VALUES (31794, 230, 9, 'Après avoir correctement entrer les informations, cliquer sur le bouton d\'enregistrement.');
INSERT INTO `lang_definitions` VALUES (31795, 231, 9, 'Après avoir téléchargé, sélectionner \"Importer\"');
INSERT INTO `lang_definitions` VALUES (31796, 232, 9, 'Planification du suivi post-soins');
INSERT INTO `lang_definitions` VALUES (31797, 233, 9, 'Encore');
INSERT INTO `lang_definitions` VALUES (31798, 234, 9, 'Age');
INSERT INTO `lang_definitions` VALUES (31799, 235, 9, 'Age par');
INSERT INTO `lang_definitions` VALUES (31800, 236, 9, 'Catégorie d\'âge');
INSERT INTO `lang_definitions` VALUES (31801, 237, 9, 'Données concernant l\'âge sont erronées');
INSERT INTO `lang_definitions` VALUES (31802, 238, 9, 'Format de l\'affichage de l\'âge');
INSERT INTO `lang_definitions` VALUES (31803, 239, 9, 'Le format pour \"âge à partir de\" est invalide');
INSERT INTO `lang_definitions` VALUES (31804, 240, 9, 'Le format pour \"âge jusqu\'à\" est invalide');
INSERT INTO `lang_definitions` VALUES (31805, 241, 9, 'Age à partir de');
INSERT INTO `lang_definitions` VALUES (31806, 242, 9, 'Âge en années pour le changement de format d\'affichage');
INSERT INTO `lang_definitions` VALUES (31807, 243, 9, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (31808, 244, 9, 'Age minimum');
INSERT INTO `lang_definitions` VALUES (31809, 245, 9, 'Tranche d\'âge');
INSERT INTO `lang_definitions` VALUES (31810, 247, 9, 'Aciennes Colonnes:');
INSERT INTO `lang_definitions` VALUES (31811, 249, 9, 'Albanais(e)');
INSERT INTO `lang_definitions` VALUES (31812, 250, 9, 'Alcool');
INSERT INTO `lang_definitions` VALUES (31813, 251, 9, 'Consommation d\'Alcool');
INSERT INTO `lang_definitions` VALUES (31814, 252, 9, 'Usage de produits alcoolisés');
INSERT INTO `lang_definitions` VALUES (31815, 253, 9, 'Nombre d\'alerte');
INSERT INTO `lang_definitions` VALUES (31816, 255, 9, 'Alerts');
INSERT INTO `lang_definitions` VALUES (31817, 259, 9, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (31818, 260, 9, 'Tout/ Toutes');
INSERT INTO `lang_definitions` VALUES (31819, 261, 9, 'Tous (Assemblage Format A)');
INSERT INTO `lang_definitions` VALUES (31820, 262, 9, 'Tous (Assemblage Format B)');
INSERT INTO `lang_definitions` VALUES (31821, 263, 9, 'Tous (Cumulative)');
INSERT INTO `lang_definitions` VALUES (31822, 266, 9, 'Toutes catégories');
INSERT INTO `lang_definitions` VALUES (31823, 268, 9, 'Tous codes');
INSERT INTO `lang_definitions` VALUES (31824, 269, 9, 'Tout au long de la journée');
INSERT INTO `lang_definitions` VALUES (31825, 270, 9, 'Evénement durant toute la journée');
INSERT INTO `lang_definitions` VALUES (31826, 271, 9, 'Tout les champs démographiques, avec recherche et vérification des doublons');
INSERT INTO `lang_definitions` VALUES (31827, 272, 9, 'Tous les équipements/ installations');
INSERT INTO `lang_definitions` VALUES (31828, 273, 9, 'Toutes les Blessures/Problèmes');
INSERT INTO `lang_definitions` VALUES (31829, 274, 9, 'Toutes langues autorisées');
INSERT INTO `lang_definitions` VALUES (31830, 276, 9, 'Tout ou une partie du prénom');
INSERT INTO `lang_definitions` VALUES (31831, 277, 9, 'Tout ou une partie du nom de famille');
INSERT INTO `lang_definitions` VALUES (31832, 278, 9, 'Tout ou une partie de l\'entreprise');
INSERT INTO `lang_definitions` VALUES (31833, 279, 9, 'Tous les patients');
INSERT INTO `lang_definitions` VALUES (31834, 280, 9, 'Tous produits');
INSERT INTO `lang_definitions` VALUES (31835, 281, 9, 'Tous fournisseurs');
INSERT INTO `lang_definitions` VALUES (31836, 282, 9, 'Tous examinés et négatifs:');
INSERT INTO `lang_definitions` VALUES (31837, 283, 9, 'Tous sujets');
INSERT INTO `lang_definitions` VALUES (31838, 284, 9, 'Tous les utilisateurs');
INSERT INTO `lang_definitions` VALUES (31839, 285, 9, 'Allergique');
INSERT INTO `lang_definitions` VALUES (31840, 286, 9, 'Allergies');
INSERT INTO `lang_definitions` VALUES (31841, 287, 9, 'Allergies:');
INSERT INTO `lang_definitions` VALUES (31842, 288, 9, 'Allergie');
INSERT INTO `lang_definitions` VALUES (31843, 289, 9, 'Importation des allergies complété avec succès');
INSERT INTO `lang_definitions` VALUES (31844, 290, 9, 'Liste des problèmes reliés aux allergies');
INSERT INTO `lang_definitions` VALUES (31845, 291, 9, 'Réaction allergique');
INSERT INTO `lang_definitions` VALUES (31846, 294, 9, 'Affecter');
INSERT INTO `lang_definitions` VALUES (31847, 295, 9, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (31848, 296, 9, 'Autoriser toutes les langues disponibles en option dans le menu lors de l\'ouverture de session');
INSERT INTO `lang_definitions` VALUES (31849, 297, 9, 'Autoriser la creation de demandes d\'indémnisation contenant les diagnostiques mais non les procedures ou les frais. La majorité des cliniques y sont réticentes.');
INSERT INTO `lang_definitions` VALUES (31850, 298, 9, 'Autoriser le langage de débogage');
INSERT INTO `lang_definitions` VALUES (31851, 299, 9, 'Autoriser les e-mails');
INSERT INTO `lang_definitions` VALUES (31852, 300, 9, 'Autoriser les messages e-mails ?');
INSERT INTO `lang_definitions` VALUES (31853, 301, 9, 'Autoriser les e-mails ?');
INSERT INTO `lang_definitions` VALUES (31854, 302, 9, 'Autoriser les Réclamations de Rencontre');
INSERT INTO `lang_definitions` VALUES (31855, 303, 9, 'Autoriser l\'échange d\'information médicale');
INSERT INTO `lang_definitions` VALUES (31856, 304, 9, 'Autoriser le partage d\'information d\'immunisation');
INSERT INTO `lang_definitions` VALUES (31857, 305, 9, 'Autorise l\'utilisation du registre d\'immunisation');
INSERT INTO `lang_definitions` VALUES (31858, 306, 9, 'Autoriser les courriers');
INSERT INTO `lang_definitions` VALUES (31859, 308, 9, 'Autoriser le Portail Patient');
INSERT INTO `lang_definitions` VALUES (31860, 309, 9, 'Autoriser les SMS');
INSERT INTO `lang_definitions` VALUES (31861, 310, 9, 'Autoriser les SMS (textos) ?');
INSERT INTO `lang_definitions` VALUES (31862, 311, 9, 'Autoriser l\'activation instantanée des événements proposés ?');
INSERT INTO `lang_definitions` VALUES (31863, 312, 9, 'Autoriser les messages téléphoniques ?');
INSERT INTO `lang_definitions` VALUES (31864, 313, 9, 'Autoriser les utilisateurs de publier des Evénements Globaux');
INSERT INTO `lang_definitions` VALUES (31865, 314, 9, 'Autoriser les utilisateurs à publier des calendriers personnels');
INSERT INTO `lang_definitions` VALUES (31866, 315, 9, 'Autoriser les messages vocaux');
INSERT INTO `lang_definitions` VALUES (31867, 316, 9, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (31868, 317, 9, 'Langues autorisées');
INSERT INTO `lang_definitions` VALUES (31869, 318, 9, 'Autorisé (c)');
INSERT INTO `lang_definitions` VALUES (31870, 319, 9, 'Permet le E-Sign pour toute la consultation');
INSERT INTO `lang_definitions` VALUES (31871, 320, 9, 'Permet le E-Sign pour les formulaires individuels');
INSERT INTO `lang_definitions` VALUES (31872, 321, 9, 'Permet le courrier');
INSERT INTO `lang_definitions` VALUES (31873, 322, 9, 'Permet les messages vocaux');
INSERT INTO `lang_definitions` VALUES (31874, 323, 9, 'existe déjà');
INSERT INTO `lang_definitions` VALUES (31875, 324, 9, 'existe déjà.');
INSERT INTO `lang_definitions` VALUES (31876, 325, 9, 'Déjà utilisé, veuillez choisir un autre identifiant');
INSERT INTO `lang_definitions` VALUES (31877, 326, 9, 'Déjà utilisé, veuillez choisir un autre titre');
INSERT INTO `lang_definitions` VALUES (31878, 327, 9, 'Adresse secondaire');
INSERT INTO `lang_definitions` VALUES (31879, 328, 9, 'modifier');
INSERT INTO `lang_definitions` VALUES (31880, 329, 9, 'Alternativement, vous pouvez utiliser la page de recherche pour transférer une remise électronique (X12 835) du fichier que vous avez obtenu à partir de votre payeur ou chambre de compensation. Vous pouvez le faire en cliquant sur le bouton Parcourir et sélectionner le fichier à télécharger, puis en cliquant sur Rechercher pour effectuer le téléchargement et l\'affichage des factures correspondantes. Dans ce cas, les autres paramètres mentionnés ci-dessus ne s\'appliquent pas et sera ignoré. Téléchargement enregistre le fichier mais n\'a pas encore traiter son contenu - ce qui est fait séparément comme décrit ci-dessous.');
INSERT INTO `lang_definitions` VALUES (31881, 330, 9, 'AM');
INSERT INTO `lang_definitions` VALUES (31882, 331, 9, 'Programme Matinal');
INSERT INTO `lang_definitions` VALUES (31883, 333, 9, 'Suivi AMC');
INSERT INTO `lang_definitions` VALUES (31884, 338, 9, 'Modifier la note existante');
INSERT INTO `lang_definitions` VALUES (31885, 343, 9, 'Indien d\'Amérique');
INSERT INTO `lang_definitions` VALUES (31886, 344, 9, 'Indiens d\'Amérique ou autochtones d\'Alaska');
INSERT INTO `lang_definitions` VALUES (31887, 345, 9, 'AMEX');
INSERT INTO `lang_definitions` VALUES (31888, 346, 9, 'Amharique');
INSERT INTO `lang_definitions` VALUES (31889, 347, 9, 'Montant');
INSERT INTO `lang_definitions` VALUES (31890, 349, 9, 'Montant des frais');
INSERT INTO `lang_definitions` VALUES (31891, 350, 9, 'Montant du solde précédent');
INSERT INTO `lang_definitions` VALUES (31892, 351, 9, 'Montant pour cette visite');
INSERT INTO `lang_definitions` VALUES (31893, 352, 9, 'Montant payé');
INSERT INTO `lang_definitions` VALUES (31894, 353, 9, 'Montant:');
INSERT INTO `lang_definitions` VALUES (31895, 354, 9, 'Montant facturé');
INSERT INTO `lang_definitions` VALUES (31896, 355, 9, 'Une date de fin ultérieure à la date de début est requise pour des événements répétés!');
INSERT INTO `lang_definitions` VALUES (31897, 356, 9, 'Une erreur s\'est produite à la signature du formulaire');
INSERT INTO `lang_definitions` VALUES (31898, 357, 9, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web LibreEHR');
INSERT INTO `lang_definitions` VALUES (31899, 358, 9, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web phpGACL');
INSERT INTO `lang_definitions` VALUES (31900, 359, 9, 'Une erreur est survenue durant le vidage de l\'arborescence du répertoire web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (31901, 360, 9, 'Une édition incomplète de GCAC a été crée et reliée. Elle devra être complétée plus tard.');
INSERT INTO `lang_definitions` VALUES (31902, 362, 9, 'Une erreur inattendue s\'est produite.');
INSERT INTO `lang_definitions` VALUES (31903, 363, 9, 'Une lettre majuscule');
INSERT INTO `lang_definitions` VALUES (31904, 365, 9, 'Et');
INSERT INTO `lang_definitions` VALUES (31905, 366, 9, 'ET');
INSERT INTO `lang_definitions` VALUES (31906, 367, 9, 'et');
INSERT INTO `lang_definitions` VALUES (31907, 368, 9, 'et ');
INSERT INTO `lang_definitions` VALUES (31908, 369, 9, 'et tous les données secondaires? Cette action sera enregistrée');
INSERT INTO `lang_definitions` VALUES (31909, 370, 9, 'et modificateur');
INSERT INTO `lang_definitions` VALUES (31910, 371, 9, 'et traité.');
INSERT INTO `lang_definitions` VALUES (31911, 372, 9, 'et redémarrer le serveur Apache.');
INSERT INTO `lang_definitions` VALUES (31912, 373, 9, 'et la raison est');
INSERT INTO `lang_definitions` VALUES (31913, 374, 9, 'Anémie');
INSERT INTO `lang_definitions` VALUES (31914, 375, 9, 'Cheville');
INSERT INTO `lang_definitions` VALUES (31915, 376, 9, 'Cheville + Talon');
INSERT INTO `lang_definitions` VALUES (31916, 377, 9, 'Formulaire d\'évalution de cheville');
INSERT INTO `lang_definitions` VALUES (31917, 378, 9, 'Problèmes de cheville');
INSERT INTO `lang_definitions` VALUES (31918, 379, 9, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (31919, 380, 9, 'Spondylarthrite Ankylosante');
INSERT INTO `lang_definitions` VALUES (31920, 381, 9, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (31921, 382, 9, 'Une autre manipulation possible dans la fenêtre affichée est la demande d\'une seconde facturation. Si vous cocher cette case avant d\'enregistrer, alors la demande originale sera ré ouverte, ajoutée à la page de facturation et exécutée lors de la prochaine échéance.');
INSERT INTO `lang_definitions` VALUES (31922, 383, 9, 'avant');
INSERT INTO `lang_definitions` VALUES (31923, 384, 9, 'Anus normal, sans tendreté/masse rectale');
INSERT INTO `lang_definitions` VALUES (31924, 385, 9, 'Anxiété');
INSERT INTO `lang_definitions` VALUES (31925, 386, 9, 'N\'importe quel(le) / Tout(e)');
INSERT INTO `lang_definitions` VALUES (31926, 387, 9, 'Toute catégorie');
INSERT INTO `lang_definitions` VALUES (31927, 388, 9, 'Toute partie du code désiré ou sa description');
INSERT INTO `lang_definitions` VALUES (31928, 389, 9, 'Toute partie de le spécialité désirée');
INSERT INTO `lang_definitions` VALUES (31929, 390, 9, 'Toute partie de l\'identification ou du nom du médicament');
INSERT INTO `lang_definitions` VALUES (31930, 391, 9, 'Toute partie de l’identification ou du nom d\'immunisation');
INSERT INTO `lang_definitions` VALUES (31931, 392, 9, 'Toute partie du nom du patient, ou \"nom, prénom\", ou \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (31932, 393, 9, 'Toute autre information pertinente');
INSERT INTO `lang_definitions` VALUES (31933, 394, 9, 'Clé API pour le relais SMS');
INSERT INTO `lang_definitions` VALUES (31934, 395, 9, 'Apnée');
INSERT INTO `lang_definitions` VALUES (31935, 396, 9, 'Apparence');
INSERT INTO `lang_definitions` VALUES (31936, 397, 9, 'Apparence:');
INSERT INTO `lang_definitions` VALUES (31937, 398, 9, 'Ajouter cette note');
INSERT INTO `lang_definitions` VALUES (31938, 399, 9, 'Ajouter à la note existante');
INSERT INTO `lang_definitions` VALUES (31939, 400, 9, 'Ajouter à cette note');
INSERT INTO `lang_definitions` VALUES (31940, 401, 9, 'Ajouter à Cette Note');
INSERT INTO `lang_definitions` VALUES (31941, 402, 9, 'Appendicectomie');
INSERT INTO `lang_definitions` VALUES (31942, 403, 9, 'appendicectomie');
INSERT INTO `lang_definitions` VALUES (31943, 404, 9, 'Les patients concernés');
INSERT INTO `lang_definitions` VALUES (31944, 405, 9, 'Application');
INSERT INTO `lang_definitions` VALUES (31945, 406, 9, 'Nom utilisateur pour la page d’accès et titre de fenêtre principale');
INSERT INTO `lang_definitions` VALUES (31946, 407, 9, 'Code Application receveur (GS03 - si vide ISA08 sera utilisé)');
INSERT INTO `lang_definitions` VALUES (31947, 408, 9, 'Code Application émettrice (GS02)');
INSERT INTO `lang_definitions` VALUES (31948, 409, 9, 'Titre de l\'Application');
INSERT INTO `lang_definitions` VALUES (31949, 410, 9, 'S\'applique au formulaire des Fonctions Vitaux et de la Courbe de Croissance');
INSERT INTO `lang_definitions` VALUES (31950, 411, 9, 'S\'applique au formulaire des fonctions vitales');
INSERT INTO `lang_definitions` VALUES (31951, 412, 9, 'Appliquer les changements seulement à l’événement actuel, à celui ci ainsi qu\'aux futurs événements, ou à tous les événements ?');
INSERT INTO `lang_definitions` VALUES (31952, 413, 9, 'Appliquer à la section désignée');
INSERT INTO `lang_definitions` VALUES (31953, 414, 9, 'appliquer sur la peau');
INSERT INTO `lang_definitions` VALUES (31954, 415, 9, 'Application');
INSERT INTO `lang_definitions` VALUES (31955, 416, 9, 'Application de la rustine au site');
INSERT INTO `lang_definitions` VALUES (31956, 417, 9, 'Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31957, 418, 9, 'Date de rendez-vous');
INSERT INTO `lang_definitions` VALUES (31958, 419, 9, 'Style d\'affichage des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31959, 420, 9, 'Règle de rappel de rendez-vous');
INSERT INTO `lang_definitions` VALUES (31960, 421, 9, 'Statut du rendez-vous');
INSERT INTO `lang_definitions` VALUES (31961, 422, 9, 'Statuts du rendez-vous');
INSERT INTO `lang_definitions` VALUES (31962, 423, 9, 'Rendez-vous dans');
INSERT INTO `lang_definitions` VALUES (31963, 424, 9, 'Couleur d\'Evénement/Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31964, 425, 9, 'Des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31965, 426, 9, 'Rendez-vous (option d\'écriture)');
INSERT INTO `lang_definitions` VALUES (31966, 430, 9, 'Rendez-vous et Rencontres');
INSERT INTO `lang_definitions` VALUES (31967, 431, 9, 'Rapport des Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31968, 432, 9, 'Rapport des Rencontres et Rendez-vous');
INSERT INTO `lang_definitions` VALUES (31969, 434, 9, 'Approuver');
INSERT INTO `lang_definitions` VALUES (31970, 435, 9, 'Approuver le patient à partir de Patient/Client->Importer->En attente d\'approbation');
INSERT INTO `lang_definitions` VALUES (31971, 436, 9, 'Approuvé');
INSERT INTO `lang_definitions` VALUES (31972, 437, 9, 'Evénements administratifs approuvés');
INSERT INTO `lang_definitions` VALUES (31973, 438, 9, 'Approuvé avec succès');
INSERT INTO `lang_definitions` VALUES (31974, 440, 9, 'RDV-Visite');
INSERT INTO `lang_definitions` VALUES (31975, 441, 9, 'RDVs');
INSERT INTO `lang_definitions` VALUES (31976, 442, 9, 'Avr.');
INSERT INTO `lang_definitions` VALUES (31977, 443, 9, 'Avril');
INSERT INTO `lang_definitions` VALUES (31978, 444, 9, 'Arabe');
INSERT INTO `lang_definitions` VALUES (31979, 447, 9, 'les noms du groupe de contrôle doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (31980, 448, 9, 'Les noms de catégorie de rendez vous doivent ils être traduits ?');
INSERT INTO `lang_definitions` VALUES (31981, 449, 9, 'Les noms de catégorie de documents doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (31982, 450, 9, 'Des frais sont ils facturés pour ce type ?');
INSERT INTO `lang_definitions` VALUES (31983, 451, 9, 'Les titres des notes des patients doivent ils être traduits?');
INSERT INTO `lang_definitions` VALUES (31984, 452, 9, 'Les codes sont-ils stockés dans des tables sql externes (0-Non, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (31985, 453, 9, 'Etes vous prêt à compléter une nouvelle version GCAC pour cette consultation ?');
INSERT INTO `lang_definitions` VALUES (31986, 454, 9, 'Êtes vous certain(e) de faire une inscription aujourd\'hui?');
INSERT INTO `lang_definitions` VALUES (31987, 455, 9, 'Etes vous sur de vouloir valider ces événements ?');
INSERT INTO `lang_definitions` VALUES (31988, 457, 9, 'Etes vous sur de vouloir complètement effacer ce formulaire ?');
INSERT INTO `lang_definitions` VALUES (31989, 459, 9, 'Etes vous sur de vouloir supprimer cet accès ?');
INSERT INTO `lang_definitions` VALUES (31990, 460, 9, 'Etes vous certain de vouloir effacer cet événement ?');
INSERT INTO `lang_definitions` VALUES (31991, 461, 9, 'Etes vous certain de vouloir effacer cet élément de la base de données ?');
INSERT INTO `lang_definitions` VALUES (31992, 462, 9, 'Etes vous certain de vouloir effacer cette note ?');
INSERT INTO `lang_definitions` VALUES (31993, 464, 9, 'Etes vous certain de vouloir éditer ces événements ?');
INSERT INTO `lang_definitions` VALUES (31994, 465, 9, 'Etes vous certain de vouloir masquer ces événements ?');
INSERT INTO `lang_definitions` VALUES (31995, 467, 9, 'Etes vous certain de vouloir voir ces événements ?');
INSERT INTO `lang_definitions` VALUES (31996, 468, 9, 'Etes vous certain de vouloir effacer l\'ensemble du groupe nommé ?');
INSERT INTO `lang_definitions` VALUES (31997, 469, 9, 'Etes vous sur de vouloir effacer l\'ensemble de la liste?');
INSERT INTO `lang_definitions` VALUES (31998, 470, 9, 'Etes vous certain de vouloir de vouloir effacer le champs interne ?');
INSERT INTO `lang_definitions` VALUES (31999, 471, 9, 'Etes vous certain de vouloir effacer les champs sélectionnés ?');
INSERT INTO `lang_definitions` VALUES (32000, 472, 9, 'Etes vous certain de vouloir poursuivre ces actions ?');
INSERT INTO `lang_definitions` VALUES (32001, 473, 9, 'Zone non spécifiée');
INSERT INTO `lang_definitions` VALUES (32002, 474, 9, 'Bras');
INSERT INTO `lang_definitions` VALUES (32003, 475, 9, 'Arménien');
INSERT INTO `lang_definitions` VALUES (32004, 477, 9, 'Arythmie');
INSERT INTO `lang_definitions` VALUES (32005, 478, 9, 'Arthrite');
INSERT INTO `lang_definitions` VALUES (32006, 479, 9, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (32007, 480, 9, 'Arthrite / arthrose');
INSERT INTO `lang_definitions` VALUES (32008, 481, 9, 'comme');
INSERT INTO `lang_definitions` VALUES (32009, 482, 9, 'A compter de');
INSERT INTO `lang_definitions` VALUES (32010, 484, 9, 'Asiatique');
INSERT INTO `lang_definitions` VALUES (32011, 487, 9, 'Evaluation');
INSERT INTO `lang_definitions` VALUES (32012, 488, 9, 'Affecté à');
INSERT INTO `lang_definitions` VALUES (32013, 489, 9, 'Assistant');
INSERT INTO `lang_definitions` VALUES (32014, 490, 9, 'Asthme');
INSERT INTO `lang_definitions` VALUES (32015, 491, 9, 'à');
INSERT INTO `lang_definitions` VALUES (32016, 492, 9, 'Au moins un paramètre de recherche est requis si vous sélectionnez tout');
INSERT INTO `lang_definitions` VALUES (32017, 493, 9, 'Au naviculaire');
INSERT INTO `lang_definitions` VALUES (32018, 494, 9, 'Au naviculaire:');
INSERT INTO `lang_definitions` VALUES (32019, 495, 9, 'Equipe d\'Athlétisme');
INSERT INTO `lang_definitions` VALUES (32020, 497, 9, 'Blessure sportive');
INSERT INTO `lang_definitions` VALUES (32021, 498, 9, 'Certificat CA d’audit ATNA');
INSERT INTO `lang_definitions` VALUES (32022, 499, 9, 'Hôte d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (32023, 500, 9, 'Certificat local d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (32024, 501, 9, 'Port d\'audit ATNA');
INSERT INTO `lang_definitions` VALUES (32025, 503, 9, 'Attention');
INSERT INTO `lang_definitions` VALUES (32026, 504, 9, 'Attention');
INSERT INTO `lang_definitions` VALUES (32027, 509, 9, 'Sauvegardes des journaux d\'Audit');
INSERT INTO `lang_definitions` VALUES (32028, 510, 9, 'Autres Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (32029, 511, 9, 'Commande de journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (32030, 512, 9, 'Journalisation d\'Audit des Enregistrements de Patient');
INSERT INTO `lang_definitions` VALUES (32031, 513, 9, 'Planification de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (32032, 514, 9, 'Administration de la Sécurité de la Journalisation d\'Audit');
INSERT INTO `lang_definitions` VALUES (32033, 515, 9, 'Journalisation d\'Audit des requêtes SELECT');
INSERT INTO `lang_definitions` VALUES (32034, 516, 9, 'Août');
INSERT INTO `lang_definitions` VALUES (32035, 517, 9, 'Août');
INSERT INTO `lang_definitions` VALUES (32036, 519, 9, 'Autorisation');
INSERT INTO `lang_definitions` VALUES (32037, 520, 9, 'Autorisation/notes');
INSERT INTO `lang_definitions` VALUES (32038, 523, 9, 'Groupe d\'Autorisation');
INSERT INTO `lang_definitions` VALUES (32039, 525, 9, 'Autorisations');
INSERT INTO `lang_definitions` VALUES (32040, 526, 9, 'Autoriser');
INSERT INTO `lang_definitions` VALUES (32041, 527, 9, 'Autoriser – toutes rencontres');
INSERT INTO `lang_definitions` VALUES (32042, 528, 9, 'Autoriser – mes rencontres');
INSERT INTO `lang_definitions` VALUES (32043, 530, 9, 'Autorisé');
INSERT INTO `lang_definitions` VALUES (32044, 531, 9, 'Autorisé Uniquement');
INSERT INTO `lang_definitions` VALUES (32045, 532, 9, 'Envoi automatique');
INSERT INTO `lang_definitions` VALUES (32046, 535, 9, 'Auto-Création Nouvelles Rencontres');
INSERT INTO `lang_definitions` VALUES (32047, 536, 9, 'Auto-généré');
INSERT INTO `lang_definitions` VALUES (32048, 537, 9, 'Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (32049, 542, 9, 'Suivi des Calculs des mesures automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (32050, 543, 9, 'Mesures Automatisées (AMC)');
INSERT INTO `lang_definitions` VALUES (32051, 544, 9, 'Automatique');
INSERT INTO `lang_definitions` VALUES (32052, 546, 9, 'Créer automatiquement une nouvelle rencontre lorsque l\'état du rendez-vous est fixé à \"@\" (arrivée).');
INSERT INTO `lang_definitions` VALUES (32053, 549, 9, 'Voiture médicalisée');
INSERT INTO `lang_definitions` VALUES (32054, 550, 9, 'auto-enregistré');
INSERT INTO `lang_definitions` VALUES (32055, 551, 9, 'Catégories Disponibles');
INSERT INTO `lang_definitions` VALUES (32056, 552, 9, 'Horaires Disponibles');
INSERT INTO `lang_definitions` VALUES (32057, 557, 9, 'Moyenne Mensuelle');
INSERT INTO `lang_definitions` VALUES (32058, 558, 9, 'Avulsion / avulsion fracture');
INSERT INTO `lang_definitions` VALUES (32059, 559, 9, 'Avulsion du Malléole latérale');
INSERT INTO `lang_definitions` VALUES (32060, 560, 9, 'Avulsion du Malléole médiale ');
INSERT INTO `lang_definitions` VALUES (32061, 561, 9, 'Basées sur la Connaissance');
INSERT INTO `lang_definitions` VALUES (32062, 562, 9, 'Auxiliaire');
INSERT INTO `lang_definitions` VALUES (32063, 565, 9, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (32064, 566, 9, 'Derrière');
INSERT INTO `lang_definitions` VALUES (32065, 567, 9, 'derrière');
INSERT INTO `lang_definitions` VALUES (32066, 568, 9, 'Retour huit visites');
INSERT INTO `lang_definitions` VALUES (32067, 569, 9, 'Retour onze visites');
INSERT INTO `lang_definitions` VALUES (32068, 570, 9, 'Retour cinq visites');
INSERT INTO `lang_definitions` VALUES (32069, 571, 9, 'Retour quatre visites');
INSERT INTO `lang_definitions` VALUES (32070, 572, 9, 'Retour neuf visites');
INSERT INTO `lang_definitions` VALUES (32071, 573, 9, 'Retour une visite');
INSERT INTO `lang_definitions` VALUES (32072, 574, 9, 'Douleur dorsale');
INSERT INTO `lang_definitions` VALUES (32073, 575, 9, 'Problèmes de dos');
INSERT INTO `lang_definitions` VALUES (32074, 576, 9, 'Reporter sept visites');
INSERT INTO `lang_definitions` VALUES (32075, 577, 9, 'Reporter six visites');
INSERT INTO `lang_definitions` VALUES (32076, 578, 9, 'Chirurgie du dos');
INSERT INTO `lang_definitions` VALUES (32077, 579, 9, 'Retour dix visites');
INSERT INTO `lang_definitions` VALUES (32078, 580, 9, 'Retour trois visites');
INSERT INTO `lang_definitions` VALUES (32079, 581, 9, 'Retour à la page d\'administration');
INSERT INTO `lang_definitions` VALUES (32080, 582, 9, 'Retour à la consultation');
INSERT INTO `lang_definitions` VALUES (32081, 583, 9, 'Retour au Patient');
INSERT INTO `lang_definitions` VALUES (32082, 584, 9, 'Retour au patient');
INSERT INTO `lang_definitions` VALUES (32083, 585, 9, 'Retour aux Utilisateurs');
INSERT INTO `lang_definitions` VALUES (32084, 586, 9, 'Retour à la Vue');
INSERT INTO `lang_definitions` VALUES (32085, 587, 9, 'Retour douze visites');
INSERT INTO `lang_definitions` VALUES (32086, 588, 9, 'Retour deux visites');
INSERT INTO `lang_definitions` VALUES (32087, 589, 9, 'Services d\'arrière-plan');
INSERT INTO `lang_definitions` VALUES (32088, 590, 9, 'Sauvegarde');
INSERT INTO `lang_definitions` VALUES (32089, 591, 9, 'Un document de sauvegarde a été créé Le téléchargement va être lancé.');
INSERT INTO `lang_definitions` VALUES (32090, 592, 9, 'Liste de sauvegarde');
INSERT INTO `lang_definitions` VALUES (32091, 593, 9, 'Sauvegarde effectuée avec succès');
INSERT INTO `lang_definitions` VALUES (32092, 594, 9, 'Chèque sans provision');
INSERT INTO `lang_definitions` VALUES (32093, 595, 9, 'Créances Douteuses');
INSERT INTO `lang_definitions` VALUES (32094, 596, 9, 'Bahasa Indonésien');
INSERT INTO `lang_definitions` VALUES (32095, 597, 9, 'Bal');
INSERT INTO `lang_definitions` VALUES (32096, 598, 9, 'Balance');
INSERT INTO `lang_definitions` VALUES (32097, 599, 9, 'balance');
INSERT INTO `lang_definitions` VALUES (32098, 600, 9, 'Montant du solde');
INSERT INTO `lang_definitions` VALUES (32099, 601, 9, 'Solde dû');
INSERT INTO `lang_definitions` VALUES (32100, 603, 9, 'Traite');
INSERT INTO `lang_definitions` VALUES (32101, 604, 9, 'Étiquette code-barres');
INSERT INTO `lang_definitions` VALUES (32102, 605, 9, 'Type d\'étiquette code-barres');
INSERT INTO `lang_definitions` VALUES (32103, 606, 9, 'Type de code-barres pour l\'impression d\'étiquettes code-barres à partir des menus locaux dans la fenêtre de navigation gauche.');
INSERT INTO `lang_definitions` VALUES (32104, 607, 9, 'Base du cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (32105, 608, 9, 'Base du cinquième (5ème) Métatarsien:');
INSERT INTO `lang_definitions` VALUES (32106, 611, 9, 'Réclamation en lot');
INSERT INTO `lang_definitions` VALUES (32107, 612, 9, 'Outil de communication du lot (batch)');
INSERT INTO `lang_definitions` VALUES (32108, 613, 9, 'Entrée de Payement du Lot (batch)');
INSERT INTO `lang_definitions` VALUES (32109, 614, 9, 'Paiements en lot');
INSERT INTO `lang_definitions` VALUES (32110, 615, 9, 'Traitement du lot (batch) lancé; cela peut prendre du temps.');
INSERT INTO `lang_definitions` VALUES (32111, 616, 9, 'Résultats du lot (Batch)');
INSERT INTO `lang_definitions` VALUES (32112, 618, 9, 'Veuillez patienter, certains fichiers peuvent prendre plusieurs minutes à traiter!');
INSERT INTO `lang_definitions` VALUES (32113, 619, 9, 'car cet identifiant n\'existe pas.');
INSERT INTO `lang_definitions` VALUES (32114, 620, 9, 'Début');
INSERT INTO `lang_definitions` VALUES (32115, 621, 9, 'Date Début');
INSERT INTO `lang_definitions` VALUES (32116, 623, 9, 'Date début du service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (32117, 624, 9, 'Heure début de journée pour les évènements calendaires.');
INSERT INTO `lang_definitions` VALUES (32118, 626, 9, 'Eructation');
INSERT INTO `lang_definitions` VALUES (32119, 630, 9, 'entre');
INSERT INTO `lang_definitions` VALUES (32120, 631, 9, 'bi-directionnel');
INSERT INTO `lang_definitions` VALUES (32121, 633, 9, 'Bilatéral');
INSERT INTO `lang_definitions` VALUES (32122, 634, 9, 'Bilatéral:');
INSERT INTO `lang_definitions` VALUES (32123, 636, 9, 'Date de facture:');
INSERT INTO `lang_definitions` VALUES (32124, 637, 9, 'Collecter/Facturer');
INSERT INTO `lang_definitions` VALUES (32125, 638, 9, 'Facturé');
INSERT INTO `lang_definitions` VALUES (32126, 640, 9, 'Facturation');
INSERT INTO `lang_definitions` VALUES (32127, 641, 9, 'Facturation (écriture optionnel)');
INSERT INTO `lang_definitions` VALUES (32128, 642, 9, 'Destinataire de facturation');
INSERT INTO `lang_definitions` VALUES (32129, 644, 9, 'Code de facturation pour le Service demandé');
INSERT INTO `lang_definitions` VALUES (32130, 645, 9, 'Codes de facturation');
INSERT INTO `lang_definitions` VALUES (32131, 646, 9, 'Donnée de facturation');
INSERT INTO `lang_definitions` VALUES (32132, 647, 9, 'Service de facturation');
INSERT INTO `lang_definitions` VALUES (32133, 648, 9, 'Fonds de Facturations');
INSERT INTO `lang_definitions` VALUES (32134, 649, 9, 'Information sur la facturation');
INSERT INTO `lang_definitions` VALUES (32135, 650, 9, 'Lieu de facturation');
INSERT INTO `lang_definitions` VALUES (32136, 655, 9, 'Gestionnaire de facturation');
INSERT INTO `lang_definitions` VALUES (32137, 656, 9, 'Note de facturation');
INSERT INTO `lang_definitions` VALUES (32138, 657, 9, 'Note de facturation pour ');
INSERT INTO `lang_definitions` VALUES (32139, 658, 9, 'Note de facturation:');
INSERT INTO `lang_definitions` VALUES (32140, 659, 9, 'Résutalt de la file de facturation:');
INSERT INTO `lang_definitions` VALUES (32141, 660, 9, 'Rapport de facturation');
INSERT INTO `lang_definitions` VALUES (32142, 661, 9, 'État de facturation');
INSERT INTO `lang_definitions` VALUES (32143, 662, 9, 'Statut de facturation = non facturé');
INSERT INTO `lang_definitions` VALUES (32144, 663, 9, 'facturation à ');
INSERT INTO `lang_definitions` VALUES (32145, 665, 9, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (32146, 666, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (32147, 669, 9, 'Noir');
INSERT INTO `lang_definitions` VALUES (32148, 670, 9, 'Poumon noir');
INSERT INTO `lang_definitions` VALUES (32149, 671, 9, 'Noir ou Afro-américain');
INSERT INTO `lang_definitions` VALUES (32150, 672, 9, 'Cancer de la vésicule');
INSERT INTO `lang_definitions` VALUES (32151, 673, 9, 'Infections de la vésicule');
INSERT INTO `lang_definitions` VALUES (32152, 674, 9, 'Formulaires blancs');
INSERT INTO `lang_definitions` VALUES (32153, 675, 9, 'Problèmes de saignement');
INSERT INTO `lang_definitions` VALUES (32154, 676, 9, 'Scotome');
INSERT INTO `lang_definitions` VALUES (32155, 677, 9, 'Ballonement');
INSERT INTO `lang_definitions` VALUES (32156, 678, 9, 'Bouché');
INSERT INTO `lang_definitions` VALUES (32157, 679, 9, 'Sang');
INSERT INTO `lang_definitions` VALUES (32158, 680, 9, 'Pression Arterielle');
INSERT INTO `lang_definitions` VALUES (32159, 681, 9, 'Pression arterielle');
INSERT INTO `lang_definitions` VALUES (32160, 682, 9, 'Nez en sang');
INSERT INTO `lang_definitions` VALUES (32161, 683, 9, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (32162, 684, 9, 'Les lignes bleues dans ce rapport sont à titre informatif. Les lignes noires indiquent les informations déjà existantes. Les lignes vertes montrent les changements qui ont été appliqués avec succès. Les lignes rouges indiquent des erreurs, ou des changements qui n\'ont pas été appliquées; elles doivent être traitées manuellement. Revendications qui sont actuellement privés et les inversions de paiement ne sont pas traitées automatiquement et donc apparaîtra en rouge.');
INSERT INTO `lang_definitions` VALUES (32163, 685, 9, 'Vision Brouillée');
INSERT INTO `lang_definitions` VALUES (32164, 686, 9, 'IMC');
INSERT INTO `lang_definitions` VALUES (32165, 687, 9, 'Etat de L\'IMC');
INSERT INTO `lang_definitions` VALUES (32166, 689, 9, 'Région du corps');
INSERT INTO `lang_definitions` VALUES (32167, 690, 9, 'Zone du corps');
INSERT INTO `lang_definitions` VALUES (32168, 691, 9, 'Zone du corps , si applicable');
INSERT INTO `lang_definitions` VALUES (32169, 692, 9, 'Sensibilité osseuse:');
INSERT INTO `lang_definitions` VALUES (32170, 693, 9, 'Sensibilité osseuse: Malléole médiane');
INSERT INTO `lang_definitions` VALUES (32171, 694, 9, 'Booléen');
INSERT INTO `lang_definitions` VALUES (32172, 695, 9, 'Bosniaque');
INSERT INTO `lang_definitions` VALUES (32173, 697, 9, 'Les deux oreilles');
INSERT INTO `lang_definitions` VALUES (32174, 698, 9, 'les deux oreilles');
INSERT INTO `lang_definitions` VALUES (32175, 699, 9, 'Partie inférieure (Bas)');
INSERT INTO `lang_definitions` VALUES (32176, 701, 9, 'Case 10 A. Liée à l\'Emploi ');
INSERT INTO `lang_definitions` VALUES (32177, 702, 9, 'Case 10 B. Accident de Voiture ');
INSERT INTO `lang_definitions` VALUES (32178, 703, 9, 'Case 10 C. Autre Accident ');
INSERT INTO `lang_definitions` VALUES (32179, 706, 9, 'Case 15. Date de maladie identique ou similaire (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (32180, 707, 9, 'Case 15. Date de maladie identique ou similaire/Autre Date (aaaa-mm-jj):');
INSERT INTO `lang_definitions` VALUES (32181, 708, 9, 'Case 16. Date début d\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (32182, 709, 9, 'Case 16. Date fin de l\'incapacité de travail (aaaa-mm-jj) :');
INSERT INTO `lang_definitions` VALUES (32183, 710, 9, 'Case 18. Date début d\'Hospitalisation (aaaa-mm-jj) : ');
INSERT INTO `lang_definitions` VALUES (32184, 711, 9, 'Case 18. Date fin d\'Hospitalisation (aaaa-mm-jj) : ');
INSERT INTO `lang_definitions` VALUES (32185, 712, 9, 'Case 20. Est-ce laboratoire extérieur utilisé?');
INSERT INTO `lang_definitions` VALUES (32186, 713, 9, 'Case 22. Nouvelle présentation du Code Medicaid (CIM-9) ');
INSERT INTO `lang_definitions` VALUES (32187, 714, 9, 'Case 23. N ° d\'autorisation préalable ');
INSERT INTO `lang_definitions` VALUES (32188, 715, 9, 'Pression Atrérielle');
INSERT INTO `lang_definitions` VALUES (32189, 716, 9, 'PA Disatolique');
INSERT INTO `lang_definitions` VALUES (32190, 717, 9, 'PA Systoloque');
INSERT INTO `lang_definitions` VALUES (32191, 719, 9, 'PA diast');
INSERT INTO `lang_definitions` VALUES (32192, 721, 9, 'PA syst');
INSERT INTO `lang_definitions` VALUES (32193, 722, 9, 'Portugais Brésilien');
INSERT INTO `lang_definitions` VALUES (32194, 723, 9, 'Seins');
INSERT INTO `lang_definitions` VALUES (32195, 724, 9, 'Biopsie Mammaire');
INSERT INTO `lang_definitions` VALUES (32196, 725, 9, 'Décharge Seins');
INSERT INTO `lang_definitions` VALUES (32197, 726, 9, 'Maladie du sein');
INSERT INTO `lang_definitions` VALUES (32198, 727, 9, 'Examen Mammaire');
INSERT INTO `lang_definitions` VALUES (32199, 728, 9, 'Masse des Seins');
INSERT INTO `lang_definitions` VALUES (32200, 730, 9, 'Bruits respiratoires:');
INSERT INTO `lang_definitions` VALUES (32201, 731, 9, 'Breton');
INSERT INTO `lang_definitions` VALUES (32202, 732, 9, 'Fractures');
INSERT INTO `lang_definitions` VALUES (32203, 734, 9, 'Formulaire de Bronchites');
INSERT INTO `lang_definitions` VALUES (32204, 735, 9, 'Parcourir');
INSERT INTO `lang_definitions` VALUES (32205, 736, 9, 'Parcourir pour Enregistrement');
INSERT INTO `lang_definitions` VALUES (32206, 737, 9, 'Ecchymose/hématome');
INSERT INTO `lang_definitions` VALUES (32207, 738, 9, 'Bulgare');
INSERT INTO `lang_definitions` VALUES (32208, 739, 9, 'Enflement Droit:');
INSERT INTO `lang_definitions` VALUES (32209, 741, 9, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (32210, 742, 9, 'Brûlure à la miction');
INSERT INTO `lang_definitions` VALUES (32211, 743, 9, 'Téléphone au bureau');
INSERT INTO `lang_definitions` VALUES (32212, 744, 9, 'Occupé');
INSERT INTO `lang_definitions` VALUES (32213, 745, 9, 'mais pas encore traité.');
INSERT INTO `lang_definitions` VALUES (32214, 746, 9, 'Fesses');
INSERT INTO `lang_definitions` VALUES (32215, 747, 9, 'Fesses + S.I');
INSERT INTO `lang_definitions` VALUES (32216, 748, 9, 'par');
INSERT INTO `lang_definitions` VALUES (32217, 749, 9, 'Par');
INSERT INTO `lang_definitions` VALUES (32218, 750, 9, 'Par voie orale');
INSERT INTO `lang_definitions` VALUES (32219, 751, 9, 'Par / Source');
INSERT INTO `lang_definitions` VALUES (32220, 752, 9, 'Par:');
INSERT INTO `lang_definitions` VALUES (32221, 753, 9, 'C');
INSERT INTO `lang_definitions` VALUES (32222, 754, 9, 'Certificat CA pour verifier le serveur syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (32223, 755, 9, 'Durée de vie du cache (en secondes)');
INSERT INTO `lang_definitions` VALUES (32224, 756, 9, 'Mettre en cache le résultat du modèle?');
INSERT INTO `lang_definitions` VALUES (32225, 757, 9, 'Consommation de caféine');
INSERT INTO `lang_definitions` VALUES (32226, 758, 9, 'Agenda');
INSERT INTO `lang_definitions` VALUES (32227, 759, 9, 'Heure Fin de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (32228, 760, 9, 'Intervalle de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (32229, 761, 9, 'Ecran de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (32230, 762, 9, 'Paramètre de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (32231, 763, 9, 'Heure Début de l\'Agenda');
INSERT INTO `lang_definitions` VALUES (32232, 764, 9, 'Agenda UI');
INSERT INTO `lang_definitions` VALUES (32233, 765, 9, 'Vue Agenda');
INSERT INTO `lang_definitions` VALUES (32234, 766, 9, 'Appel à addForm () ce fait ici.<br>');
INSERT INTO `lang_definitions` VALUES (32235, 767, 9, 'Calories');
INSERT INTO `lang_definitions` VALUES (32236, 768, 9, 'Cambodgien');
INSERT INTO `lang_definitions` VALUES (32237, 774, 9, 'Annuler');
INSERT INTO `lang_definitions` VALUES (32238, 775, 9, 'Annuler les Modifications');
INSERT INTO `lang_definitions` VALUES (32239, 776, 9, 'Annulés');
INSERT INTO `lang_definitions` VALUES (32240, 777, 9, 'Cancer');
INSERT INTO `lang_definitions` VALUES (32241, 778, 9, 'Dépistage du cancer: cancer du côlon');
INSERT INTO `lang_definitions` VALUES (32242, 779, 9, 'Dépistage du cancer: Mammographie');
INSERT INTO `lang_definitions` VALUES (32243, 780, 9, 'Dépistage du cancer: Pap');
INSERT INTO `lang_definitions` VALUES (32244, 781, 9, 'Dépistage du cancer: cancer de la prostate');
INSERT INTO `lang_definitions` VALUES (32245, 782, 9, 'Impossible d\'ajouter cette entrée car elle existe déjà!');
INSERT INTO `lang_definitions` VALUES (32246, 783, 9, 'Impossible d\'ajouter/mettre à jour cette entrée, car un doublon existe déjà!');
INSERT INTO `lang_definitions` VALUES (32247, 785, 9, 'ne peut pas être convertie au format JPEG. Peut-être ImageMagick n\'est pas installé?');
INSERT INTO `lang_definitions` VALUES (32248, 787, 9, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur.');
INSERT INTO `lang_definitions` VALUES (32249, 788, 9, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur');
INSERT INTO `lang_definitions` VALUES (32250, 789, 9, 'ne peut pas être affiché car son type n\'est pas supporté par le navigateur.');
INSERT INTO `lang_definitions` VALUES (32251, 790, 9, 'Impossible de créer');
INSERT INTO `lang_definitions` VALUES (32252, 795, 9, 'Impossible de trouver ');
INSERT INTO `lang_definitions` VALUES (32253, 796, 9, 'Impossible de trouver le nom de fichier destination');
INSERT INTO `lang_definitions` VALUES (32254, 799, 9, 'Impossible de trouver le patient à partir du client ID (dans SQL-Ledger)');
INSERT INTO `lang_definitions` VALUES (32255, 800, 9, 'Impossible de trouver le document PostScript en référence ');
INSERT INTO `lang_definitions` VALUES (32256, 801, 9, 'Impossible de trouver le fournisseur à partir de \'employé (dans SQL-Ledger) = ');
INSERT INTO `lang_definitions` VALUES (32257, 802, 9, 'Impossible de modifier les Paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (32258, 803, 9, 'Impossible d\'ouvrir ');
INSERT INTO `lang_definitions` VALUES (32259, 804, 9, 'Ne pouvez pas poster l\'Assurance. L’Entité Payeur sélectionnée est le Patient.');
INSERT INTO `lang_definitions` VALUES (32260, 805, 9, 'Ne pouvez pas poster le Patients. L\'organisme Payeur choisi est l\'Assurance.');
INSERT INTO `lang_definitions` VALUES (32261, 806, 9, 'Ne pouvez pas poster des paiements. Reste est négatif.');
INSERT INTO `lang_definitions` VALUES (32262, 807, 9, 'Impossible de lire');
INSERT INTO `lang_definitions` VALUES (32263, 808, 9, 'Impossible de lire le répertoire');
INSERT INTO `lang_definitions` VALUES (32264, 809, 9, 'Impossible de mettre à jour car vous n\'éditez pas une entrée existante !');
INSERT INTO `lang_definitions` VALUES (32265, 810, 9, 'Capitaliser');
INSERT INTO `lang_definitions` VALUES (32266, 812, 9, 'capsule');
INSERT INTO `lang_definitions` VALUES (32267, 813, 9, 'Carte');
INSERT INTO `lang_definitions` VALUES (32268, 814, 9, 'Cathétérisme Cardiaque');
INSERT INTO `lang_definitions` VALUES (32269, 815, 9, 'Echo cardiaque');
INSERT INTO `lang_definitions` VALUES (32270, 816, 9, 'Cardiovasculaire');
INSERT INTO `lang_definitions` VALUES (32271, 821, 9, 'Cartilage / chondrales / dégâts disque');
INSERT INTO `lang_definitions` VALUES (32272, 822, 9, 'Lésion cartilagineuse');
INSERT INTO `lang_definitions` VALUES (32273, 823, 9, 'Pulsations carotides nl, pouls de pédale nl');
INSERT INTO `lang_definitions` VALUES (32274, 824, 9, 'espèces');
INSERT INTO `lang_definitions` VALUES (32275, 825, 9, 'Espèces');
INSERT INTO `lang_definitions` VALUES (32276, 826, 9, 'Reçu d\'Espèce');
INSERT INTO `lang_definitions` VALUES (32277, 827, 9, 'Reçus d\'Espèce par le fournisseur');
INSERT INTO `lang_definitions` VALUES (32278, 829, 9, 'Chirurgie de la Cataracte');
INSERT INTO `lang_definitions` VALUES (32279, 830, 9, 'Cataracte');
INSERT INTO `lang_definitions` VALUES (32280, 831, 9, 'Catégories');
INSERT INTO `lang_definitions` VALUES (32281, 832, 9, 'Catégories pour');
INSERT INTO `lang_definitions` VALUES (32282, 833, 9, 'Catégorie');
INSERT INTO `lang_definitions` VALUES (32283, 834, 9, 'catégorie');
INSERT INTO `lang_definitions` VALUES (32284, 835, 9, 'Catégorie ');
INSERT INTO `lang_definitions` VALUES (32285, 836, 9, 'Détails Catégorie');
INSERT INTO `lang_definitions` VALUES (32286, 837, 9, 'Limites Catégorie');
INSERT INTO `lang_definitions` VALUES (32287, 838, 9, 'Nom Catégorie');
INSERT INTO `lang_definitions` VALUES (32288, 839, 9, 'Nom catégorie vide');
INSERT INTO `lang_definitions` VALUES (32289, 840, 9, 'Titre/Catégorie');
INSERT INTO `lang_definitions` VALUES (32290, 841, 9, 'Caucasien');
INSERT INTO `lang_definitions` VALUES (32291, 853, 9, 'Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (32292, 855, 9, 'Numéro de Téléphone Cellulaire');
INSERT INTO `lang_definitions` VALUES (32293, 856, 9, 'Centrale de Certification');
INSERT INTO `lang_definitions` VALUES (32294, 857, 9, 'Centrale/Amérique du Sud');
INSERT INTO `lang_definitions` VALUES (32295, 858, 9, 'L\'emplacement du fichier crt de l\'Autorité de certification ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (32296, 859, 9, 'L\'emplacement du fichier key de l\'Autorité de certification emplacement ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (32297, 861, 9, 'Certificat Utilisateur');
INSERT INTO `lang_definitions` VALUES (32298, 862, 9, 'Certificats');
INSERT INTO `lang_definitions` VALUES (32299, 866, 9, 'modifier');
INSERT INTO `lang_definitions` VALUES (32300, 867, 9, 'Modifier');
INSERT INTO `lang_definitions` VALUES (32301, 868, 9, 'Modifier l\'Activité');
INSERT INTO `lang_definitions` VALUES (32302, 870, 9, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (32303, 871, 9, 'Changement de vision');
INSERT INTO `lang_definitions` VALUES (32304, 874, 9, 'Modifié');
INSERT INTO `lang_definitions` VALUES (32305, 875, 9, 'Intestin modifié');
INSERT INTO `lang_definitions` VALUES (32306, 877, 9, 'Caractéristiques');
INSERT INTO `lang_definitions` VALUES (32307, 879, 9, 'Charge');
INSERT INTO `lang_definitions` VALUES (32308, 880, 9, 'Ajustement de Frais');
INSERT INTO `lang_definitions` VALUES (32309, 882, 9, 'Frais');
INSERT INTO `lang_definitions` VALUES (32310, 883, 9, 'Graphique');
INSERT INTO `lang_definitions` VALUES (32311, 884, 9, 'Graphique d\'Activité');
INSERT INTO `lang_definitions` VALUES (32312, 885, 9, 'Rapport d\'Activité des Entrées/Sorties');
INSERT INTO `lang_definitions` VALUES (32313, 886, 9, 'ID Graphique');
INSERT INTO `lang_definitions` VALUES (32314, 887, 9, 'ID Graphique:');
INSERT INTO `lang_definitions` VALUES (32315, 889, 9, 'Graphique lieu d\'activité');
INSERT INTO `lang_definitions` VALUES (32316, 890, 9, 'Note sur le graphique');
INSERT INTO `lang_definitions` VALUES (32317, 891, 9, 'Numéro Graphique');
INSERT INTO `lang_definitions` VALUES (32318, 892, 9, 'Emplacements de stockage graphique');
INSERT INTO `lang_definitions` VALUES (32319, 893, 9, 'Suivi graphique');
INSERT INTO `lang_definitions` VALUES (32320, 895, 9, 'Graphiques vérifiés');
INSERT INTO `lang_definitions` VALUES (32321, 896, 9, 'Sortie des graphiques');
INSERT INTO `lang_definitions` VALUES (32322, 898, 9, 'Vérifier');
INSERT INTO `lang_definitions` VALUES (32323, 899, 9, 'vérifier');
INSERT INTO `lang_definitions` VALUES (32324, 900, 9, 'Vérifier Tous');
INSERT INTO `lang_definitions` VALUES (32325, 902, 9, 'Vérifier le Montant');
INSERT INTO `lang_definitions` VALUES (32326, 903, 9, 'vérifier la Date');
INSERT INTO `lang_definitions` VALUES (32327, 904, 9, 'Vérifiez les différences de traductions avec la table personnalisée de la langue.');
INSERT INTO `lang_definitions` VALUES (32328, 906, 9, 'Arrivée à');
INSERT INTO `lang_definitions` VALUES (32329, 907, 9, 'Vérifier les données d\'entrée');
INSERT INTO `lang_definitions` VALUES (32330, 909, 9, 'Vérifier les résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (32331, 912, 9, 'vérifier le numéro');
INSERT INTO `lang_definitions` VALUES (32332, 915, 9, 'vérifier le Paiement');
INSERT INTO `lang_definitions` VALUES (32333, 916, 9, 'Cochez la case s\'il s\'agit d\'un fichier crypté');
INSERT INTO `lang_definitions` VALUES (32334, 917, 9, 'Cochez cette case si vous souhaitez que les prestataires voient tous les rendez par défaut et non seulement les leurs.');
INSERT INTO `lang_definitions` VALUES (32335, 923, 9, 'Liste de case à cocher');
INSERT INTO `lang_definitions` VALUES (32336, 924, 9, 'liste case à cocher');
INSERT INTO `lang_definitions` VALUES (32337, 925, 9, 'case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (32338, 926, 9, 'Case à cocher w/texte');
INSERT INTO `lang_definitions` VALUES (32339, 928, 9, 'Vérifié');
INSERT INTO `lang_definitions` VALUES (32340, 929, 9, 'Case coché = oui, vide = non');
INSERT INTO `lang_definitions` VALUES (32341, 932, 9, 'Vérification');
INSERT INTO `lang_definitions` VALUES (32342, 933, 9, 'Somme de contrôle');
INSERT INTO `lang_definitions` VALUES (32343, 934, 9, 'Thorax');
INSERT INTO `lang_definitions` VALUES (32344, 936, 9, 'Douleur Thoracique');
INSERT INTO `lang_definitions` VALUES (32345, 937, 9, 'Douleur Thoracique:');
INSERT INTO `lang_definitions` VALUES (32346, 938, 9, 'Douleurs Thoraciques');
INSERT INTO `lang_definitions` VALUES (32347, 942, 9, 'Principal réclamation');
INSERT INTO `lang_definitions` VALUES (32348, 943, 9, 'Enfant');
INSERT INTO `lang_definitions` VALUES (32349, 945, 9, 'Statut vaccination infantile (CQM)');
INSERT INTO `lang_definitions` VALUES (32350, 946, 9, 'Frissons');
INSERT INTO `lang_definitions` VALUES (32351, 947, 9, 'Chinois');
INSERT INTO `lang_definitions` VALUES (32352, 948, 9, 'Chinois (simplifié)');
INSERT INTO `lang_definitions` VALUES (32353, 949, 9, 'Chinois (Traditionnel)');
INSERT INTO `lang_definitions` VALUES (32354, 951, 9, 'Choix');
INSERT INTO `lang_definitions` VALUES (32355, 952, 9, 'Cholécystectomie');
INSERT INTO `lang_definitions` VALUES (32356, 954, 9, 'Cholecystestomie');
INSERT INTO `lang_definitions` VALUES (32357, 955, 9, 'Choisissez');
INSERT INTO `lang_definitions` VALUES (32358, 956, 9, 'Choisissez une section et cliquez sur un article, puis dans l\'autre section, vous verrez les éléments liés en surbrillance, et vous pouvez cliquer dans cette section pour ajouter et supprimer les relations.');
INSERT INTO `lang_definitions` VALUES (32359, 957, 9, 'Choisir des critères');
INSERT INTO `lang_definitions` VALUES (32360, 962, 9, 'Choisir la liste');
INSERT INTO `lang_definitions` VALUES (32361, 965, 9, 'Choisissez le format d\'impression pour ce rapport de rencontre.');
INSERT INTO `lang_definitions` VALUES (32362, 967, 9, 'Bronchite chronique');
INSERT INTO `lang_definitions` VALUES (32363, 968, 9, 'Douleurs articulaires chroniques');
INSERT INTO `lang_definitions` VALUES (32364, 969, 9, 'Maladie rénale chronique');
INSERT INTO `lang_definitions` VALUES (32365, 970, 9, 'Synovite chronique / effusion / douleurs articulaires / goutte');
INSERT INTO `lang_definitions` VALUES (32366, 971, 9, 'Chronique / Récurrent');
INSERT INTO `lang_definitions` VALUES (32367, 973, 9, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (32368, 974, 9, 'Cirrhose du foie');
INSERT INTO `lang_definitions` VALUES (32369, 975, 9, 'Ville');
INSERT INTO `lang_definitions` VALUES (32370, 976, 9, 'Nom Ville');
INSERT INTO `lang_definitions` VALUES (32371, 977, 9, 'Ville, Etat');
INSERT INTO `lang_definitions` VALUES (32372, 978, 9, 'Ville, Etat Code Postal');
INSERT INTO `lang_definitions` VALUES (32373, 979, 9, 'Ville/Etat');
INSERT INTO `lang_definitions` VALUES (32374, 980, 9, 'Réclamation');
INSERT INTO `lang_definitions` VALUES (32375, 981, 9, 'Réclamation ');
INSERT INTO `lang_definitions` VALUES (32376, 988, 9, 'Classification');
INSERT INTO `lang_definitions` VALUES (32377, 989, 9, 'Effacer');
INSERT INTO `lang_definitions` VALUES (32378, 991, 9, 'Effacer tout');
INSERT INTO `lang_definitions` VALUES (32379, 992, 9, 'Effacer les données HL7');
INSERT INTO `lang_definitions` VALUES (32380, 993, 9, 'Justification claire');
INSERT INTO `lang_definitions` VALUES (32381, 997, 9, 'Cliquez');
INSERT INTO `lang_definitions` VALUES (32382, 1001, 9, 'Cliquer pour plus');
INSERT INTO `lang_definitions` VALUES (32383, 1005, 9, 'Cliquez ici');
INSERT INTO `lang_definitions` VALUES (32384, 1006, 9, 'Cliquez ici pour ajouter un nouveau patient.');
INSERT INTO `lang_definitions` VALUES (32385, 1008, 9, 'Cliquez ici pour choisir une date');
INSERT INTO `lang_definitions` VALUES (32386, 1009, 9, 'Cliquez ici pour choisir une date et une heure');
INSERT INTO `lang_definitions` VALUES (32387, 1010, 9, 'Cliquez ici pour choisir une date de début');
INSERT INTO `lang_definitions` VALUES (32388, 1020, 9, 'Cliquez ici pour rechercher');
INSERT INTO `lang_definitions` VALUES (32389, 1021, 9, 'Cliquez ici pour mettre à jour les paramètres de priorité, catégorie et le surnom');
INSERT INTO `lang_definitions` VALUES (32390, 1022, 9, 'Cliquez ici pour tout afficher.');
INSERT INTO `lang_definitions` VALUES (32391, 1023, 9, 'Cliquez ici pour afficher');
INSERT INTO `lang_definitions` VALUES (32392, 1025, 9, 'Cliquez ici pour afficher les signes vitaux.');
INSERT INTO `lang_definitions` VALUES (32393, 1026, 9, 'Cliquez ici pour afficher les détails du patient');
INSERT INTO `lang_definitions` VALUES (32394, 1027, 9, 'Cliquez ici pour les affichés tous.');
INSERT INTO `lang_definitions` VALUES (32395, 1029, 9, 'Cliquez sur Installer pour installer une version de la base de données de la date suivante');
INSERT INTO `lang_definitions` VALUES (32396, 1030, 9, 'Cliquez sur une des parties du temps de l\'augmenter');
INSERT INTO `lang_definitions` VALUES (32397, 1032, 9, 'Cliquez sur Actualiser pour afficher tous les résultats, ou introduit les critères de recherche ci-dessus pour afficher des résultats spécifiques.');
INSERT INTO `lang_definitions` VALUES (32398, 1034, 9, 'Cliquez pour ajouter de nouveaux composants');
INSERT INTO `lang_definitions` VALUES (32399, 1035, 9, 'Cliquez pour ajouter une nouvelle consultation');
INSERT INTO `lang_definitions` VALUES (32400, 1037, 9, 'Cliquez ici pour télécharger');
INSERT INTO `lang_definitions` VALUES (32401, 1038, 9, 'Cliquez pour modifier');
INSERT INTO `lang_definitions` VALUES (32402, 1040, 9, 'Cliquez pour modifier cet événement');
INSERT INTO `lang_definitions` VALUES (32403, 1041, 9, 'Cliquez pour générer le rapport');
INSERT INTO `lang_definitions` VALUES (32404, 1043, 9, 'Cliquez pour imprimer');
INSERT INTO `lang_definitions` VALUES (32405, 1044, 9, 'Cliquez pour recevoir (ajouter) un nouveau lot');
INSERT INTO `lang_definitions` VALUES (32406, 1045, 9, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (32407, 1046, 9, 'Cliquez pour sélectionner');
INSERT INTO `lang_definitions` VALUES (32408, 1047, 9, 'Cliquez pour sélectionner un code standard pour cette procédure');
INSERT INTO `lang_definitions` VALUES (32409, 1050, 9, 'Cliquez pour sélectionner ou modifier le code CVX');
INSERT INTO `lang_definitions` VALUES (32410, 1051, 9, 'Cliquez pour sélectionner ou modifier les diagnostics');
INSERT INTO `lang_definitions` VALUES (32411, 1052, 9, 'Cliquez pour sélectionner ou modifier les codes de service');
INSERT INTO `lang_definitions` VALUES (32412, 1053, 9, 'Cliquez pour sélectionner le patient');
INSERT INTO `lang_definitions` VALUES (32413, 1054, 9, 'Cliquez pour sélectionner le code associé');
INSERT INTO `lang_definitions` VALUES (32414, 1055, 9, 'Cliquez pour sélectionner les services à effectuer si ce résultat est anormal');
INSERT INTO `lang_definitions` VALUES (32415, 1056, 9, 'Cliquez pour sélectionner la procédure désirée');
INSERT INTO `lang_definitions` VALUES (32416, 1058, 9, 'Cliquez pour afficher');
INSERT INTO `lang_definitions` VALUES (32417, 1059, 9, 'Cliquez pour afficher ou modifier');
INSERT INTO `lang_definitions` VALUES (32418, 1060, 9, 'Cliquez pour afficher/modifier');
INSERT INTO `lang_definitions` VALUES (32419, 1061, 9, 'Cliquez sur le bouton Upgrade pour mettre à niveau la base de données à partir de la date suivante');
INSERT INTO `lang_definitions` VALUES (32420, 1063, 9, 'Cliquez:');
INSERT INTO `lang_definitions` VALUES (32421, 1064, 9, 'Jours d\'expiration du certificat client');
INSERT INTO `lang_definitions` VALUES (32422, 1065, 9, 'Période de validation du certificat client');
INSERT INTO `lang_definitions` VALUES (32423, 1066, 9, 'La validité du certificat client doit être un nombre valide.');
INSERT INTO `lang_definitions` VALUES (32424, 1067, 9, 'Copie Client');
INSERT INTO `lang_definitions` VALUES (32425, 1069, 9, 'Résumé dossier médical du client');
INSERT INTO `lang_definitions` VALUES (32426, 1072, 9, 'Profil client - Nouveaux Clients');
INSERT INTO `lang_definitions` VALUES (32427, 1073, 9, 'Profil client - Clients unique');
INSERT INTO `lang_definitions` VALUES (32428, 1074, 9, 'Clients');
INSERT INTO `lang_definitions` VALUES (32429, 1075, 9, 'Clinique');
INSERT INTO `lang_definitions` VALUES (32430, 1076, 9, 'Copie Clinique');
INSERT INTO `lang_definitions` VALUES (32431, 1077, 9, 'Relevé quotidien Clinique');
INSERT INTO `lang_definitions` VALUES (32432, 1078, 9, 'Identification Clinique');
INSERT INTO `lang_definitions` VALUES (32433, 1079, 9, 'Clinique');
INSERT INTO `lang_definitions` VALUES (32434, 1080, 9, 'Règles de décision clinique, gestionnaire d\'alertes');
INSERT INTO `lang_definitions` VALUES (32435, 1083, 9, 'Plans cliniques');
INSERT INTO `lang_definitions` VALUES (32436, 1084, 9, 'Critères de qualité clinique (CQC)');
INSERT INTO `lang_definitions` VALUES (32437, 1087, 9, 'Rappels cliniques');
INSERT INTO `lang_definitions` VALUES (32438, 1088, 9, 'Rapports cliniques');
INSERT INTO `lang_definitions` VALUES (32439, 1089, 9, 'Règle clinique, Catégorie d\'action');
INSERT INTO `lang_definitions` VALUES (32440, 1090, 9, 'Règle clinique, Elément d\'action');
INSERT INTO `lang_definitions` VALUES (32441, 1091, 9, 'Règle cliniques, méthodes de filtrage');
INSERT INTO `lang_definitions` VALUES (32442, 1092, 9, 'Règle cliniques, les méthodes cible');
INSERT INTO `lang_definitions` VALUES (32443, 1093, 9, 'Règles cliniques');
INSERT INTO `lang_definitions` VALUES (32444, 1094, 9, 'Règles cliniques, intervalles d\'âge');
INSERT INTO `lang_definitions` VALUES (32445, 1095, 9, 'Règles cliniques, les comparaisons');
INSERT INTO `lang_definitions` VALUES (32446, 1096, 9, 'Règles cliniques, Types Rencontre');
INSERT INTO `lang_definitions` VALUES (32447, 1097, 9, 'Règles cliniques, Options cause de rappel');
INSERT INTO `lang_definitions` VALUES (32448, 1098, 9, 'Règles cliniques, Options inactivation de rappel');
INSERT INTO `lang_definitions` VALUES (32449, 1099, 9, 'Règles cliniques, Intervalles de rappel');
INSERT INTO `lang_definitions` VALUES (32450, 1100, 9, 'Règles cliniques, Méthodes de rappel');
INSERT INTO `lang_definitions` VALUES (32451, 1101, 9, 'Règles cliniques, Intervalles cible');
INSERT INTO `lang_definitions` VALUES (32452, 1102, 9, 'Objectifs cliniques');
INSERT INTO `lang_definitions` VALUES (32453, 1106, 9, 'Cliniciens');
INSERT INTO `lang_definitions` VALUES (32454, 1107, 9, 'Clone');
INSERT INTO `lang_definitions` VALUES (32455, 1108, 9, 'Cloner dernière Visite');
INSERT INTO `lang_definitions` VALUES (32456, 1109, 9, 'Fermer');
INSERT INTO `lang_definitions` VALUES (32457, 1111, 9, 'Fermer la fenêtre');
INSERT INTO `lang_definitions` VALUES (32458, 1112, 9, 'Fermé');
INSERT INTO `lang_definitions` VALUES (32459, 1113, 9, 'cm');
INSERT INTO `lang_definitions` VALUES (32460, 1130, 9, 'copaiement');
INSERT INTO `lang_definitions` VALUES (32461, 1131, 9, 'Code');
INSERT INTO `lang_definitions` VALUES (32462, 1132, 9, 'code');
INSERT INTO `lang_definitions` VALUES (32463, 1133, 9, 'code Recherche');
INSERT INTO `lang_definitions` VALUES (32464, 1134, 9, 'Code doit être deux lettre en minuscule');
INSERT INTO `lang_definitions` VALUES (32465, 1135, 9, 'Code ou symbole pour indiquer la monnaie');
INSERT INTO `lang_definitions` VALUES (32466, 1136, 9, 'Texte du code');
INSERT INTO `lang_definitions` VALUES (32467, 1138, 9, 'type de code');
INSERT INTO `lang_definitions` VALUES (32468, 1141, 9, 'Types de code');
INSERT INTO `lang_definitions` VALUES (32469, 1144, 9, 'Codes');
INSERT INTO `lang_definitions` VALUES (32470, 1145, 9, 'Codage');
INSERT INTO `lang_definitions` VALUES (32471, 1147, 9, 'Codage - toutes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (32472, 1148, 9, 'Codage - mes rencontres (par écrit, avec quelques options)');
INSERT INTO `lang_definitions` VALUES (32473, 1149, 9, 'Codification Non autorisé');
INSERT INTO `lang_definitions` VALUES (32474, 1150, 9, 'Café');
INSERT INTO `lang_definitions` VALUES (32475, 1152, 9, 'Coassurance');
INSERT INTO `lang_definitions` VALUES (32476, 1154, 9, 'Réduire');
INSERT INTO `lang_definitions` VALUES (32477, 1155, 9, 'réduire');
INSERT INTO `lang_definitions` VALUES (32478, 1156, 9, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (32479, 1157, 9, 'Réduire tout');
INSERT INTO `lang_definitions` VALUES (32480, 1158, 9, 'réduire tout');
INSERT INTO `lang_definitions` VALUES (32481, 1161, 9, 'Collections');
INSERT INTO `lang_definitions` VALUES (32482, 1162, 9, 'Rapport de Collections');
INSERT INTO `lang_definitions` VALUES (32483, 1163, 9, 'Cancer du côlon');
INSERT INTO `lang_definitions` VALUES (32484, 1164, 9, 'Dépistage du cancer du côlon');
INSERT INTO `lang_definitions` VALUES (32485, 1165, 9, 'Chirurgie du cancer du colon');
INSERT INTO `lang_definitions` VALUES (32486, 1166, 9, 'Coloscopie');
INSERT INTO `lang_definitions` VALUES (32487, 1167, 9, 'coloscopie');
INSERT INTO `lang_definitions` VALUES (32488, 1168, 9, 'Couleur');
INSERT INTO `lang_definitions` VALUES (32489, 1169, 9, 'Couleur: Abrév');
INSERT INTO `lang_definitions` VALUES (32490, 1170, 9, 'Colonne');
INSERT INTO `lang_definitions` VALUES (32491, 1171, 9, 'colonnes');
INSERT INTO `lang_definitions` VALUES (32492, 1172, 9, 'Lots Combinés');
INSERT INTO `lang_definitions` VALUES (32493, 1173, 9, 'Virgule');
INSERT INTO `lang_definitions` VALUES (32494, 1174, 9, 'Commentaire');
INSERT INTO `lang_definitions` VALUES (32495, 1175, 9, 'Commentaires');
INSERT INTO `lang_definitions` VALUES (32496, 1176, 9, 'Commentaires ou recommandation pour ce résultat');
INSERT INTO `lang_definitions` VALUES (32497, 1177, 9, 'Entreprise Assurance Cie');
INSERT INTO `lang_definitions` VALUES (32498, 1178, 9, 'Valider les modifications');
INSERT INTO `lang_definitions` VALUES (32499, 1180, 9, 'Communications');
INSERT INTO `lang_definitions` VALUES (32500, 1182, 9, 'Société');
INSERT INTO `lang_definitions` VALUES (32501, 1183, 9, 'Nom de la société');
INSERT INTO `lang_definitions` VALUES (32502, 1184, 9, 'Compléter');
INSERT INTO `lang_definitions` VALUES (32503, 1186, 9, 'Terminé');
INSERT INTO `lang_definitions` VALUES (32504, 1188, 9, 'Terminé?');
INSERT INTO `lang_definitions` VALUES (32505, 1190, 9, 'Complications par Prestataire de services');
INSERT INTO `lang_definitions` VALUES (32506, 1191, 9, 'Les complications d\'avortement');
INSERT INTO `lang_definitions` VALUES (32507, 1192, 9, 'Composants');
INSERT INTO `lang_definitions` VALUES (32508, 1193, 9, 'Système de commande Médical Assisté par Ordinateur');
INSERT INTO `lang_definitions` VALUES (32509, 1194, 9, 'Conclusions');
INSERT INTO `lang_definitions` VALUES (32510, 1199, 9, 'Configuration');
INSERT INTO `lang_definitions` VALUES (32511, 1200, 9, 'Export / Import de la Configuration');
INSERT INTO `lang_definitions` VALUES (32512, 1202, 9, 'Configurer Apache et LibreEHR pour utiliser les certificats SSL coté client');
INSERT INTO `lang_definitions` VALUES (32513, 1203, 9, 'Configurer Apache pour utiliser les certificats SSL coté client');
INSERT INTO `lang_definitions` VALUES (32514, 1204, 9, 'Configurer Apache pour utiliser HTTPS');
INSERT INTO `lang_definitions` VALUES (32515, 1205, 9, 'Configurer LibreEHR pour utiliser les certificats SSL coté client');
INSERT INTO `lang_definitions` VALUES (32516, 1208, 9, 'Confirmer la création du nouveau Patient');
INSERT INTO `lang_definitions` VALUES (32517, 1209, 9, 'Confirmer le Nouveau Passe');
INSERT INTO `lang_definitions` VALUES (32518, 1210, 9, 'Confirmer le Payement');
INSERT INTO `lang_definitions` VALUES (32519, 1214, 9, 'Congénitale');
INSERT INTO `lang_definitions` VALUES (32520, 1215, 9, 'Conjonctives, pupilles');
INSERT INTO `lang_definitions` VALUES (32521, 1218, 9, 'Constante');
INSERT INTO `lang_definitions` VALUES (32522, 1219, 9, 'nom de la constante');
INSERT INTO `lang_definitions` VALUES (32523, 1220, 9, 'Nom de la constante est vide');
INSERT INTO `lang_definitions` VALUES (32524, 1221, 9, 'constantes');
INSERT INTO `lang_definitions` VALUES (32525, 1222, 9, 'Constipation');
INSERT INTO `lang_definitions` VALUES (32526, 1223, 9, 'Constitutionnel');
INSERT INTO `lang_definitions` VALUES (32527, 1226, 9, 'Descriptif bref de la consultation');
INSERT INTO `lang_definitions` VALUES (32528, 1227, 9, 'Contact');
INSERT INTO `lang_definitions` VALUES (32529, 1228, 9, 'Email du Contact');
INSERT INTO `lang_definitions` VALUES (32530, 1229, 9, 'Adresse Email du contact');
INSERT INTO `lang_definitions` VALUES (32531, 1231, 9, 'coordonnées');
INSERT INTO `lang_definitions` VALUES (32532, 1232, 9, 'Lentilles de contact');
INSERT INTO `lang_definitions` VALUES (32533, 1236, 9, 'Nom du contact');
INSERT INTO `lang_definitions` VALUES (32534, 1237, 9, 'Personne à contacter');
INSERT INTO `lang_definitions` VALUES (32535, 1239, 9, 'Numéro de téléphone');
INSERT INTO `lang_definitions` VALUES (32536, 1241, 9, 'contient au moins trois des quatre éléments suivants:');
INSERT INTO `lang_definitions` VALUES (32537, 1243, 9, 'Contenu');
INSERT INTO `lang_definitions` VALUES (32538, 1244, 9, 'contenu');
INSERT INTO `lang_definitions` VALUES (32539, 1245, 9, 'Contexte');
INSERT INTO `lang_definitions` VALUES (32540, 1246, 9, 'Nom de contexte ne peut être vides');
INSERT INTO `lang_definitions` VALUES (32541, 1247, 9, 'Continuer');
INSERT INTO `lang_definitions` VALUES (32542, 1248, 9, 'Document de Continuité des soins (CCD)');
INSERT INTO `lang_definitions` VALUES (32543, 1249, 9, 'Enregistrement de Continuité des soins (RCC)');
INSERT INTO `lang_definitions` VALUES (32544, 1251, 9, 'Contraception');
INSERT INTO `lang_definitions` VALUES (32545, 1252, 9, 'Problèmes de contraception');
INSERT INTO `lang_definitions` VALUES (32546, 1253, 9, 'Complication de la contraception (à préciser)');
INSERT INTO `lang_definitions` VALUES (32547, 1254, 9, 'Méthode contraceptive');
INSERT INTO `lang_definitions` VALUES (32548, 1255, 9, 'Produits contraceptifs');
INSERT INTO `lang_definitions` VALUES (32549, 1256, 9, 'Services contraceptifs déjà démarré');
INSERT INTO `lang_definitions` VALUES (32550, 1257, 9, 'Début des contraceptifs');
INSERT INTO `lang_definitions` VALUES (32551, 1329, 9, 'Créer un événement');
INSERT INTO `lang_definitions` VALUES (32552, 1330, 9, 'Créer et télécharger une sauvegarde complète');
INSERT INTO `lang_definitions` VALUES (32553, 1332, 9, 'Créer une sauvegarde');
INSERT INTO `lang_definitions` VALUES (32554, 1333, 9, 'créer un lot');
INSERT INTO `lang_definitions` VALUES (32555, 1334, 9, 'Créer un certificat client');
INSERT INTO `lang_definitions` VALUES (32556, 1335, 9, 'Créer des certificats SSL côté client');
INSERT INTO `lang_definitions` VALUES (32557, 1336, 9, 'Créer une duplicata');
INSERT INTO `lang_definitions` VALUES (32558, 1338, 9, 'Créer une sauvegarde du journal d\'événements');
INSERT INTO `lang_definitions` VALUES (32559, 1339, 9, 'Créer un nouveau problème');
INSERT INTO `lang_definitions` VALUES (32560, 1340, 9, 'Créer un nouveau patient');
INSERT INTO `lang_definitions` VALUES (32561, 1342, 9, 'Créer crédentiels pour un portail hors site');
INSERT INTO `lang_definitions` VALUES (32562, 1343, 9, 'Créer crédentiels pour un portail sur site');
INSERT INTO `lang_definitions` VALUES (32563, 1344, 9, 'Créer remarque patient');
INSERT INTO `lang_definitions` VALUES (32564, 1345, 9, 'Créer l\'autorité de certification SSL et les certificats du serveur.');
INSERT INTO `lang_definitions` VALUES (32565, 1346, 9, 'Ajouter une visite');
INSERT INTO `lang_definitions` VALUES (32566, 1347, 9, 'Ajoutée');
INSERT INTO `lang_definitions` VALUES (32567, 1348, 9, 'Préparation du fichier d\'exportation');
INSERT INTO `lang_definitions` VALUES (32568, 1350, 9, 'La création de ce fichier sur l\'hôte distant a échoué');
INSERT INTO `lang_definitions` VALUES (32569, 1351, 9, 'Créateur');
INSERT INTO `lang_definitions` VALUES (32570, 1352, 9, 'Crédit');
INSERT INTO `lang_definitions` VALUES (32571, 1353, 9, 'Carte de crédit');
INSERT INTO `lang_definitions` VALUES (32572, 1354, 9, 'Crédits');
INSERT INTO `lang_definitions` VALUES (32573, 1356, 9, 'Critères');
INSERT INTO `lang_definitions` VALUES (32574, 1358, 9, 'La maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (32575, 1359, 9, 'La maladie de Crohn');
INSERT INTO `lang_definitions` VALUES (32576, 1360, 9, 'Exporter CSV');
INSERT INTO `lang_definitions` VALUES (32577, 1361, 9, 'Fichier CSV');
INSERT INTO `lang_definitions` VALUES (32578, 1362, 9, 'Table CSV');
INSERT INTO `lang_definitions` VALUES (32579, 1377, 9, 'Adresse actuelle');
INSERT INTO `lang_definitions` VALUES (32580, 1378, 9, 'Médicaments en vigeur');
INSERT INTO `lang_definitions` VALUES (32581, 1379, 9, 'Mot de passe en vigeur');
INSERT INTO `lang_definitions` VALUES (32582, 1380, 9, 'Patient en cours');
INSERT INTO `lang_definitions` VALUES (32583, 1382, 9, 'Drogues de rue en usage');
INSERT INTO `lang_definitions` VALUES (32584, 1386, 9, 'Active actuellement');
INSERT INTO `lang_definitions` VALUES (32585, 1389, 9, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (32586, 1390, 9, 'Syndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (32587, 1392, 9, 'Personnalisé');
INSERT INTO `lang_definitions` VALUES (32588, 1404, 9, 'D');
INSERT INTO `lang_definitions` VALUES (32589, 1405, 9, 'D&C');
INSERT INTO `lang_definitions` VALUES (32590, 1406, 9, 'D&E');
INSERT INTO `lang_definitions` VALUES (32591, 1407, 9, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (32592, 1408, 9, 'quotidien');
INSERT INTO `lang_definitions` VALUES (32593, 1409, 9, 'Relevé quotidien');
INSERT INTO `lang_definitions` VALUES (32594, 1410, 9, 'Danois');
INSERT INTO `lang_definitions` VALUES (32595, 1411, 9, 'Données similaires sont déjà en base de données,veuillez change le code et/ou la description');
INSERT INTO `lang_definitions` VALUES (32596, 1412, 9, 'Données similaires sont déjà en base de données, veuillez changer le nom de la constante');
INSERT INTO `lang_definitions` VALUES (32597, 1413, 9, 'données Cols');
INSERT INTO `lang_definitions` VALUES (32598, 1420, 9, 'Type de données');
INSERT INTO `lang_definitions` VALUES (32599, 1421, 9, 'Base de Données');
INSERT INTO `lang_definitions` VALUES (32600, 1422, 9, 'Base de Données non installée');
INSERT INTO `lang_definitions` VALUES (32601, 1424, 9, 'Rapports de la Base de données');
INSERT INTO `lang_definitions` VALUES (32602, 1425, 9, 'Mise à niveau Base de Données términée.');
INSERT INTO `lang_definitions` VALUES (32603, 1426, 9, 'DataCols doit être un nombre entre 1 et 999');
INSERT INTO `lang_definitions` VALUES (32604, 1427, 9, 'Date');
INSERT INTO `lang_definitions` VALUES (32605, 1428, 9, 'DATE');
INSERT INTO `lang_definitions` VALUES (32606, 1431, 9, 'Date d\'administration');
INSERT INTO `lang_definitions` VALUES (32607, 1432, 9, 'Date et heure du prélèvement');
INSERT INTO `lang_definitions` VALUES (32608, 1435, 9, 'Date et heure auxquelles le prélèvement a été recueilli');
INSERT INTO `lang_definitions` VALUES (32609, 1436, 9, 'Date ne peut être supérieure à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (32610, 1437, 9, 'Date de services de contraception initialement prévu');
INSERT INTO `lang_definitions` VALUES (32611, 1438, 9, 'Date de création');
INSERT INTO `lang_definitions` VALUES (32612, 1439, 9, 'Date de décès');
INSERT INTO `lang_definitions` VALUES (32613, 1440, 9, 'Date de déstruction');
INSERT INTO `lang_definitions` VALUES (32614, 1441, 9, 'Format d\'affichage des dates');
INSERT INTO `lang_definitions` VALUES (32615, 1442, 9, 'Format de la date de \"fin de rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (32616, 1443, 9, 'Format de la date de \"début du rendez-\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (32617, 1444, 9, 'Format de date pour \"Prochain rendez-vous\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (32618, 1445, 9, 'Format de la date de \"jamais vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (32619, 1446, 9, 'Format de date pour \"vu depuis\" n\'est pas valide');
INSERT INTO `lang_definitions` VALUES (32620, 1447, 9, 'Date de vaccination des déclarations de l\'information tenu');
INSERT INTO `lang_definitions` VALUES (32621, 1448, 9, 'Manque la Date pour le code ');
INSERT INTO `lang_definitions` VALUES (32622, 1449, 9, 'Date de Critère principal');
INSERT INTO `lang_definitions` VALUES (32623, 1450, 9, 'Date de dépôt bancaire aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (32624, 1452, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (32625, 1453, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (32626, 1454, 9, 'Date de naissance');
INSERT INTO `lang_definitions` VALUES (32627, 1456, 9, 'Date de l\'accident');
INSERT INTO `lang_definitions` VALUES (32628, 1458, 9, 'Date de paiement aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (32629, 1459, 9, 'Date de saisine');
INSERT INTO `lang_definitions` VALUES (32630, 1460, 9, 'Date de réponse');
INSERT INTO `lang_definitions` VALUES (32631, 1463, 9, 'Date du service');
INSERT INTO `lang_definitions` VALUES (32632, 1464, 9, 'Date du service = Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (32633, 1465, 9, 'Date du service mm/jj/aaaa');
INSERT INTO `lang_definitions` VALUES (32634, 1466, 9, 'Date du service:');
INSERT INTO `lang_definitions` VALUES (32635, 1467, 9, 'Date de signature');
INSERT INTO `lang_definitions` VALUES (32636, 1469, 9, 'Date de cette commande');
INSERT INTO `lang_definitions` VALUES (32637, 1470, 9, 'Date du présent rapport');
INSERT INTO `lang_definitions` VALUES (32638, 1471, 9, 'Date de déclaration VIS');
INSERT INTO `lang_definitions` VALUES (32639, 1472, 9, 'Date de commande');
INSERT INTO `lang_definitions` VALUES (32640, 1475, 9, 'Sélecteur de Date');
INSERT INTO `lang_definitions` VALUES (32641, 1476, 9, 'Date d\'envoi');
INSERT INTO `lang_definitions` VALUES (32642, 1479, 9, 'La date ne peut être vide.');
INSERT INTO `lang_definitions` VALUES (32643, 1480, 9, 'Date/Appt');
INSERT INTO `lang_definitions` VALUES (32644, 1481, 9, 'Date/Notes');
INSERT INTO `lang_definitions` VALUES (32645, 1482, 9, 'Date/Notes de dernière');
INSERT INTO `lang_definitions` VALUES (32646, 1483, 9, 'Date/Heure');
INSERT INTO `lang_definitions` VALUES (32647, 1484, 9, 'Date:');
INSERT INTO `lang_definitions` VALUES (32648, 1486, 9, 'Jour');
INSERT INTO `lang_definitions` VALUES (32649, 1487, 9, 'jour');
INSERT INTO `lang_definitions` VALUES (32650, 1489, 9, 'Vue quotidienne');
INSERT INTO `lang_definitions` VALUES (32651, 1490, 9, 'Jour(s)');
INSERT INTO `lang_definitions` VALUES (32652, 1491, 9, 'Jour(s) M-F');
INSERT INTO `lang_definitions` VALUES (32653, 1492, 9, 'jours');
INSERT INTO `lang_definitions` VALUES (32654, 1493, 9, 'Jours');
INSERT INTO `lang_definitions` VALUES (32655, 1494, 9, 'jours avant');
INSERT INTO `lang_definitions` VALUES (32656, 1495, 9, 'Jours et Jeux manqués');
INSERT INTO `lang_definitions` VALUES (32657, 1496, 9, 'Jours depuis dernière Rencontre');
INSERT INTO `lang_definitions` VALUES (32658, 1497, 9, 'jours manqués');
INSERT INTO `lang_definitions` VALUES (32659, 1498, 9, 'Jours par colonne:');
INSERT INTO `lang_definitions` VALUES (32660, 1500, 9, 'Jours/Col:');
INSERT INTO `lang_definitions` VALUES (32661, 1501, 9, 'BD installée');
INSERT INTO `lang_definitions` VALUES (32662, 1502, 9, 'JJ/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (32663, 1503, 9, 'Dés-identification');
INSERT INTO `lang_definitions` VALUES (32664, 1504, 9, 'Processus de dés-identification est terminé');
INSERT INTO `lang_definitions` VALUES (32665, 1505, 9, 'Processus de dés-identification est en cours');
INSERT INTO `lang_definitions` VALUES (32666, 1506, 9, 'Processus de dés-identification est démarré et s\'exécute en arrière-plan');
INSERT INTO `lang_definitions` VALUES (32667, 1507, 9, 'Données dépersonnalisées peuvent ne pas être complète');
INSERT INTO `lang_definitions` VALUES (32668, 1508, 9, 'Fichiers dés-identification seront sauvegardés dans');
INSERT INTO `lang_definitions` VALUES (32669, 1509, 9, 'DEA');
INSERT INTO `lang_definitions` VALUES (32670, 1511, 9, 'Sourd');
INSERT INTO `lang_definitions` VALUES (32671, 1512, 9, 'informations de débogage');
INSERT INTO `lang_definitions` VALUES (32672, 1515, 9, 'Dec.');
INSERT INTO `lang_definitions` VALUES (32673, 1516, 9, 'Décédé');
INSERT INTO `lang_definitions` VALUES (32674, 1517, 9, 'Décembre');
INSERT INTO `lang_definitions` VALUES (32675, 1520, 9, 'Déductible');
INSERT INTO `lang_definitions` VALUES (32676, 1522, 9, 'Par défaut');
INSERT INTO `lang_definitions` VALUES (32677, 1523, 9, 'Afficher Calendrier par défaut');
INSERT INTO `lang_definitions` VALUES (32678, 1524, 9, 'ID formulaire par défaut des Rencontres');
INSERT INTO `lang_definitions` VALUES (32679, 1526, 9, 'Facilité par défaut');
INSERT INTO `lang_definitions` VALUES (32680, 1527, 9, 'Langue par défaut');
INSERT INTO `lang_definitions` VALUES (32681, 1528, 9, 'Langue par défaut si aucune autre n\'est autorisé ou choisi.');
INSERT INTO `lang_definitions` VALUES (32682, 1529, 9, 'Liste par défaut (écrire, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (32683, 1530, 9, 'Méthode par défaut');
INSERT INTO `lang_definitions` VALUES (32684, 1531, 9, 'Délai en Jours d\'expiration du mot de passe par défaut');
INSERT INTO `lang_definitions` VALUES (32685, 1532, 9, 'Période d\'expiration par défaut du mot de passe en jours. 0 signifie que cette fonctionnalité est désactivée.');
INSERT INTO `lang_definitions` VALUES (32686, 1536, 9, 'Fournisseur par défaut');
INSERT INTO `lang_definitions` VALUES (32687, 1537, 9, 'Plage par défaut');
INSERT INTO `lang_definitions` VALUES (32688, 1538, 9, 'Motif de la visite par défaut');
INSERT INTO `lang_definitions` VALUES (32689, 1540, 9, 'Paramètre par défaut');
INSERT INTO `lang_definitions` VALUES (32690, 1542, 9, 'Modèle par défaut');
INSERT INTO `lang_definitions` VALUES (32691, 1546, 9, 'Unités par défaut');
INSERT INTO `lang_definitions` VALUES (32692, 1547, 9, 'Valeur par défaut');
INSERT INTO `lang_definitions` VALUES (32693, 1548, 9, 'Entrepôt par défaut');
INSERT INTO `lang_definitions` VALUES (32694, 1549, 9, 'Partenaire X12 par défaut');
INSERT INTO `lang_definitions` VALUES (32695, 1550, 9, 'Défaut / Global');
INSERT INTO `lang_definitions` VALUES (32696, 1551, 9, 'Sup.');
INSERT INTO `lang_definitions` VALUES (32697, 1552, 9, 'sup.');
INSERT INTO `lang_definitions` VALUES (32698, 1553, 9, 'Pecurrence différée (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (32699, 1554, 9, 'Supprimer');
INSERT INTO `lang_definitions` VALUES (32700, 1555, 9, 'supprimer');
INSERT INTO `lang_definitions` VALUES (32701, 1556, 9, 'Supprimer les catégories avec ID(s): ');
INSERT INTO `lang_definitions` VALUES (32702, 1557, 9, 'Supprimer Catégorie');
INSERT INTO `lang_definitions` VALUES (32703, 1560, 9, 'Supprimer groupe');
INSERT INTO `lang_definitions` VALUES (32704, 1561, 9, 'Supprimer liste');
INSERT INTO `lang_definitions` VALUES (32705, 1562, 9, 'Supprimer des pages');
INSERT INTO `lang_definitions` VALUES (32706, 1563, 9, 'Supprimer Patient, Rencontre, formulaire, Problème, Document, Paiement, Facturation ou Transaction');
INSERT INTO `lang_definitions` VALUES (32707, 1565, 9, 'Supprimer ligne');
INSERT INTO `lang_definitions` VALUES (32708, 1566, 9, 'Supprimer éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (32709, 1568, 9, 'Suppression avec succès.');
INSERT INTO `lang_definitions` VALUES (32710, 1569, 9, 'Supprimer ce document');
INSERT INTO `lang_definitions` VALUES (32711, 1570, 9, 'Supprimer ce formulaire');
INSERT INTO `lang_definitions` VALUES (32712, 1571, 9, 'Supprimer cette note');
INSERT INTO `lang_definitions` VALUES (32713, 1573, 9, 'Supprimé avec succès.');
INSERT INTO `lang_definitions` VALUES (32714, 1581, 9, 'Démence');
INSERT INTO `lang_definitions` VALUES (32715, 1582, 9, 'Données démographiques');
INSERT INTO `lang_definitions` VALUES (32716, 1583, 9, 'Données démographiques (écriture, ajouter seulement en option)');
INSERT INTO `lang_definitions` VALUES (32717, 1585, 9, 'Données démographiques critères de recherche');
INSERT INTO `lang_definitions` VALUES (32718, 1586, 9, 'Données démographiques non autorisés');
INSERT INTO `lang_definitions` VALUES (32719, 1587, 9, 'Données démographiques non autorisés.');
INSERT INTO `lang_definitions` VALUES (32720, 1589, 9, 'Dénominateur');
INSERT INTO `lang_definitions` VALUES (32721, 1590, 9, 'Dentaire');
INSERT INTO `lang_definitions` VALUES (32722, 1592, 9, 'Problèmes dentaires');
INSERT INTO `lang_definitions` VALUES (32723, 1595, 9, 'Selon le type de facture que vous testez, vous verrez une sortie similaire à HCFA sur une page vierge pour les factures HCFA, vous verrez de nombreuses lignes de texte et information quelque peu déformé si vous testez une réclamation X12. Ce texte déformé est le format X12 EDI 4010A. Occasionnellement, vous verrez caractères étranges qui ressemblent aux dominos ou tildes, ce sont les caractères de contrôle tels que les sauts de page et sont normales.');
INSERT INTO `lang_definitions` VALUES (32724, 1596, 9, 'Date dépôt');
INSERT INTO `lang_definitions` VALUES (32725, 1597, 9, 'Date dépôt ne peut pas être supérieur à Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (32726, 1598, 9, 'Date dépôt:');
INSERT INTO `lang_definitions` VALUES (32727, 1599, 9, 'Déprimé');
INSERT INTO `lang_definitions` VALUES (32728, 1600, 9, 'Dépression');
INSERT INTO `lang_definitions` VALUES (32729, 1602, 9, 'Description');
INSERT INTO `lang_definitions` VALUES (32730, 1603, 9, 'description');
INSERT INTO `lang_definitions` VALUES (32731, 1605, 9, 'Description de la divulgation');
INSERT INTO `lang_definitions` VALUES (32732, 1606, 9, 'Description de cette procédure ou le code résultat');
INSERT INTO `lang_definitions` VALUES (32733, 1607, 9, 'Traduction de la description');
INSERT INTO `lang_definitions` VALUES (32734, 1609, 9, 'Destination');
INSERT INTO `lang_definitions` VALUES (32735, 1610, 9, 'Nom du fichier destination');
INSERT INTO `lang_definitions` VALUES (32736, 1611, 9, 'Détruire lot');
INSERT INTO `lang_definitions` VALUES (32737, 1612, 9, 'Détruire...');
INSERT INTO `lang_definitions` VALUES (32738, 1613, 9, 'Détruite');
INSERT INTO `lang_definitions` VALUES (32739, 1614, 9, 'Médicaments détruits');
INSERT INTO `lang_definitions` VALUES (32740, 1615, 9, 'Rapport de destruction des Médicaments');
INSERT INTO `lang_definitions` VALUES (32741, 1616, 9, 'Détail');
INSERT INTO `lang_definitions` VALUES (32742, 1617, 9, 'Détails');
INSERT INTO `lang_definitions` VALUES (32743, 1619, 9, 'Developmental anomalie');
INSERT INTO `lang_definitions` VALUES (32744, 1620, 9, 'Diabète');
INSERT INTO `lang_definitions` VALUES (32745, 1621, 9, 'Diabète');
INSERT INTO `lang_definitions` VALUES (32746, 1622, 9, 'Diabète: gestion de la pression artérielle (CQM)');
INSERT INTO `lang_definitions` VALUES (32747, 1623, 9, 'Diabète: examen de la vue');
INSERT INTO `lang_definitions` VALUES (32748, 1624, 9, 'Diabète: examen des yeux (CQM)');
INSERT INTO `lang_definitions` VALUES (32749, 1625, 9, 'Diabète: examen des pieds');
INSERT INTO `lang_definitions` VALUES (32750, 1626, 9, 'Diabète: examen des pieds (CQM)');
INSERT INTO `lang_definitions` VALUES (32751, 1627, 9, 'Diabète: Faible contrôle HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (32752, 1628, 9, 'Diabète: Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (32753, 1629, 9, 'Diabète: Gestion et de contrôle LDL (CQM)');
INSERT INTO `lang_definitions` VALUES (32754, 1630, 9, 'Diabète: Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (32755, 1631, 9, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (32756, 1633, 9, 'Diagnostic');
INSERT INTO `lang_definitions` VALUES (32757, 1634, 9, 'Code diagnostic');
INSERT INTO `lang_definitions` VALUES (32758, 1636, 9, 'Date diagnostic');
INSERT INTO `lang_definitions` VALUES (32759, 1637, 9, 'Le diagnostic doit être codé en une rencontre liée');
INSERT INTO `lang_definitions` VALUES (32760, 1638, 9, 'Nom Diagnostic');
INSERT INTO `lang_definitions` VALUES (32761, 1639, 9, 'Rapport de diagnostic');
INSERT INTO `lang_definitions` VALUES (32762, 1642, 9, 'Titre Diagnostic');
INSERT INTO `lang_definitions` VALUES (32763, 1643, 9, 'Diagnostic:');
INSERT INTO `lang_definitions` VALUES (32764, 1644, 9, 'Diagnostic: ');
INSERT INTO `lang_definitions` VALUES (32765, 1645, 9, 'Tests de diagnostic:');
INSERT INTO `lang_definitions` VALUES (32766, 1646, 9, 'Cadrans');
INSERT INTO `lang_definitions` VALUES (32767, 1647, 9, 'Diaphragmes / Casquettes');
INSERT INTO `lang_definitions` VALUES (32768, 1648, 9, 'Diarrhée');
INSERT INTO `lang_definitions` VALUES (32769, 1650, 9, 'Dictée');
INSERT INTO `lang_definitions` VALUES (32770, 1651, 9, 'Dictée: ');
INSERT INTO `lang_definitions` VALUES (32771, 1652, 9, 'Avez-vous reçu une copie de l\'avis HIPAA?');
INSERT INTO `lang_definitions` VALUES (32772, 1653, 9, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (32773, 1654, 9, 'Signé numériquement');
INSERT INTO `lang_definitions` VALUES (32774, 1657, 9, 'Publipostage direct');
INSERT INTO `lang_definitions` VALUES (32775, 1663, 9, 'Nom du Directeur');
INSERT INTO `lang_definitions` VALUES (32776, 1665, 9, 'Handicap');
INSERT INTO `lang_definitions` VALUES (32777, 1667, 9, 'Désactiver Calendrier');
INSERT INTO `lang_definitions` VALUES (32778, 1668, 9, 'Désactiver Graphique Suivi');
INSERT INTO `lang_definitions` VALUES (32779, 1669, 9, 'Désactiver Vaccination');
INSERT INTO `lang_definitions` VALUES (32780, 1670, 9, 'Désactiver Formulaire Ancien métrique des signes vitaux');
INSERT INTO `lang_definitions` VALUES (32781, 1672, 9, 'Désactiver phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (32782, 1673, 9, 'Désactiver Prescriptions');
INSERT INTO `lang_definitions` VALUES (32783, 1674, 9, 'Désactiver Groupes d\'utilisateurs');
INSERT INTO `lang_definitions` VALUES (32784, 1675, 9, 'handicapé');
INSERT INTO `lang_definitions` VALUES (32785, 1676, 9, 'Handicapé');
INSERT INTO `lang_definitions` VALUES (32786, 1678, 9, 'DISQUE');
INSERT INTO `lang_definitions` VALUES (32787, 1681, 9, 'Refoulement');
INSERT INTO `lang_definitions` VALUES (32788, 1682, 9, 'Refoulement de l\'urètre');
INSERT INTO `lang_definitions` VALUES (32789, 1684, 9, 'Refoulement à droite');
INSERT INTO `lang_definitions` VALUES (32790, 1685, 9, 'Refoulement à droite:');
INSERT INTO `lang_definitions` VALUES (32791, 1689, 9, 'Divulgation info');
INSERT INTO `lang_definitions` VALUES (32792, 1690, 9, 'Type Divulgation');
INSERT INTO `lang_definitions` VALUES (32793, 1691, 9, 'Types Divulgation');
INSERT INTO `lang_definitions` VALUES (32794, 1692, 9, 'Divulgations');
INSERT INTO `lang_definitions` VALUES (32795, 1694, 9, 'Remise');
INSERT INTO `lang_definitions` VALUES (32796, 1695, 9, 'Montant de remise');
INSERT INTO `lang_definitions` VALUES (32797, 1696, 9, 'Niveau de remise');
INSERT INTO `lang_definitions` VALUES (32798, 1697, 9, 'Taux de remise');
INSERT INTO `lang_definitions` VALUES (32799, 1698, 9, 'Réductions au montant en numéraire');
INSERT INTO `lang_definitions` VALUES (32800, 1699, 9, 'Réductions au moment du contrôle sont entrés comme montants, par opposition au pourcentage.');
INSERT INTO `lang_definitions` VALUES (32801, 1700, 9, 'Résultat discret');
INSERT INTO `lang_definitions` VALUES (32802, 1701, 9, 'Maladie');
INSERT INTO `lang_definitions` VALUES (32803, 1702, 9, 'Luxation');
INSERT INTO `lang_definitions` VALUES (32804, 1704, 9, 'Expédition');
INSERT INTO `lang_definitions` VALUES (32805, 1705, 9, 'Expédition document reçu');
INSERT INTO `lang_definitions` VALUES (32806, 1706, 9, 'Distribué');
INSERT INTO `lang_definitions` VALUES (32807, 1707, 9, 'Afficher les pré-arrangements dans l\'écran démographie');
INSERT INTO `lang_definitions` VALUES (32808, 1709, 9, 'Afficher les dates d\'évènements dans le bloc?');
INSERT INTO `lang_definitions` VALUES (32809, 1711, 9, 'Afficher combien d\'évènements');
INSERT INTO `lang_definitions` VALUES (32810, 1714, 9, 'Afficher le nom');
INSERT INTO `lang_definitions` VALUES (32811, 1715, 9, 'Afficher le calendrier?');
INSERT INTO `lang_definitions` VALUES (32812, 1718, 9, 'Afficher dans le bloc les évènements du jour?');
INSERT INTO `lang_definitions` VALUES (32813, 1719, 9, 'Afficher dans le bloc les sujets?');
INSERT INTO `lang_definitions` VALUES (32814, 1720, 9, 'Afficher dans le bloc les évènements à venir?');
INSERT INTO `lang_definitions` VALUES (32815, 1721, 9, 'Colonnes visibles');
INSERT INTO `lang_definitions` VALUES (32816, 1722, 9, 'Passer au numéro suivant de la liste des divulgations récentes:');
INSERT INTO `lang_definitions` VALUES (32817, 1723, 9, 'Passer au numéro suivant de la liste de notes récentes:');
INSERT INTO `lang_definitions` VALUES (32818, 1724, 9, 'Passer au numéro suivant de la liste de notes récentes');
INSERT INTO `lang_definitions` VALUES (32819, 1725, 9, 'Distribution');
INSERT INTO `lang_definitions` VALUES (32820, 1726, 9, 'Distributions');
INSERT INTO `lang_definitions` VALUES (32821, 1727, 9, 'Distributeur');
INSERT INTO `lang_definitions` VALUES (32822, 1729, 9, 'Sigmoïdite');
INSERT INTO `lang_definitions` VALUES (32823, 1730, 9, 'Chirurgie pour diverticulite');
INSERT INTO `lang_definitions` VALUES (32824, 1731, 9, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (32825, 1732, 9, 'Chirurgie pour diverticulite');
INSERT INTO `lang_definitions` VALUES (32826, 1733, 9, 'Divorcé');
INSERT INTO `lang_definitions` VALUES (32827, 1734, 9, 'Vertiges:');
INSERT INTO `lang_definitions` VALUES (32828, 1735, 9, 'Ne pas modifier');
INSERT INTO `lang_definitions` VALUES (32829, 1742, 9, 'Ne pas afficher le calendrier.');
INSERT INTO `lang_definitions` VALUES (32830, 1744, 9, 'Pas d\'inventaire et vente de produits');
INSERT INTO `lang_definitions` VALUES (32831, 1745, 9, 'Ne nécessite pas une autorisation écrite du patient');
INSERT INTO `lang_definitions` VALUES (32832, 1746, 9, 'Prescription de non-réanimation');
INSERT INTO `lang_definitions` VALUES (32833, 1747, 9, 'ne pas enregistrer');
INSERT INTO `lang_definitions` VALUES (32834, 1748, 9, 'ne pas substituer');
INSERT INTO `lang_definitions` VALUES (32835, 1749, 9, 'ne rien faire');
INSERT INTO `lang_definitions` VALUES (32836, 1751, 9, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (32837, 1752, 9, 'Voulez-vous vraiment supprimer la sélection?');
INSERT INTO `lang_definitions` VALUES (32838, 1753, 9, 'Voulez-vous vraiment supprimer ce groupe');
INSERT INTO `lang_definitions` VALUES (32839, 1755, 9, 'Voulez-vous continuer?');
INSERT INTO `lang_definitions` VALUES (32840, 1756, 9, 'Voulez-vous supprimer cet élément?');
INSERT INTO `lang_definitions` VALUES (32841, 1757, 9, 'Voulez-vous supprimer?');
INSERT INTO `lang_definitions` VALUES (32842, 1758, 9, 'Voulez-vous supprimer cet enregistrement?');
INSERT INTO `lang_definitions` VALUES (32843, 1759, 9, 'Vous désirez continuer l\'ajout de ce nouveau patient?');
INSERT INTO `lang_definitions` VALUES (32844, 1760, 9, 'Vous désirez continuer sous le nouveau nom?');
INSERT INTO `lang_definitions` VALUES (32845, 1761, 9, 'Vous désirez supprimer DEFINITIVEMENT ce dossier de vaccination?');
INSERT INTO `lang_definitions` VALUES (32846, 1763, 9, 'La date des naissance est manquante, fournir si disponible');
INSERT INTO `lang_definitions` VALUES (32847, 1764, 9, 'Documents');
INSERT INTO `lang_definitions` VALUES (32848, 1765, 9, 'Médecin');
INSERT INTO `lang_definitions` VALUES (32849, 1766, 9, 'Médecin:');
INSERT INTO `lang_definitions` VALUES (32850, 1767, 9, 'Nom du médecin et signature');
INSERT INTO `lang_definitions` VALUES (32851, 1768, 9, 'Document');
INSERT INTO `lang_definitions` VALUES (32852, 1769, 9, 'document');
INSERT INTO `lang_definitions` VALUES (32853, 1770, 9, 'Catégories document');
INSERT INTO `lang_definitions` VALUES (32854, 1775, 9, 'Document ne peut être attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (32855, 1777, 9, 'Date du document');
INSERT INTO `lang_definitions` VALUES (32856, 1778, 9, 'Date et version du document modifiés avec succès');
INSERT INTO `lang_definitions` VALUES (32857, 1779, 9, 'Nº du document');
INSERT INTO `lang_definitions` VALUES (32858, 1780, 9, 'Document déplacé vers la nouvelle catégorie');
INSERT INTO `lang_definitions` VALUES (32859, 1781, 9, 'Document attaché à l\'identification du patient');
INSERT INTO `lang_definitions` VALUES (32860, 1783, 9, 'Vérification d\'intégrité du Document passé.');
INSERT INTO `lang_definitions` VALUES (32861, 1785, 9, 'Document renommé avec succès.');
INSERT INTO `lang_definitions` VALUES (32862, 1790, 9, 'Lieu Document/Imagerie');
INSERT INTO `lang_definitions` VALUES (32863, 1791, 9, 'Documents');
INSERT INTO `lang_definitions` VALUES (32864, 1792, 9, 'Documents (écriture, addonly optionnel)');
INSERT INTO `lang_definitions` VALUES (32865, 1794, 9, 'Date d\'entrée');
INSERT INTO `lang_definitions` VALUES (32866, 1800, 9, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (32867, 1801, 9, 'Ne pas sauvegarder');
INSERT INTO `lang_definitions` VALUES (32868, 1802, 9, 'Ne pas sauvegarder les changements');
INSERT INTO `lang_definitions` VALUES (32869, 1803, 9, 'Terminé');
INSERT INTO `lang_definitions` VALUES (32870, 1804, 9, 'Effectué avec:');
INSERT INTO `lang_definitions` VALUES (32871, 1805, 9, 'Terminé. Envoi du téléchargement');
INSERT INTO `lang_definitions` VALUES (32872, 1807, 9, 'Posologie');
INSERT INTO `lang_definitions` VALUES (32873, 1809, 9, 'Double-cliquez pour éditer');
INSERT INTO `lang_definitions` VALUES (32874, 1810, 9, 'Vision Double');
INSERT INTO `lang_definitions` VALUES (32875, 1811, 9, 'Télécharger');
INSERT INTO `lang_definitions` VALUES (32876, 1814, 9, 'Télécharger dans tout les cas');
INSERT INTO `lang_definitions` VALUES (32877, 1815, 9, 'Télécharger la facturation, la posté à la comptabilité la marquer comme facturé');
INSERT INTO `lang_definitions` VALUES (32878, 1817, 9, 'Télécharger les certificats');
INSERT INTO `lang_definitions` VALUES (32879, 1818, 9, 'Télécharger les données de configuration');
INSERT INTO `lang_definitions` VALUES (32880, 1820, 9, 'télécharger le fichier crypté');
INSERT INTO `lang_definitions` VALUES (32881, 1827, 9, 'Télécharger les déclarations sélectionnées');
INSERT INTO `lang_definitions` VALUES (32882, 1828, 9, 'Contrôle du Dr');
INSERT INTO `lang_definitions` VALUES (32883, 1829, 9, 'Visite du Dr');
INSERT INTO `lang_definitions` VALUES (32884, 1830, 9, 'Dr');
INSERT INTO `lang_definitions` VALUES (32885, 1831, 9, 'Glissez pour déplacer');
INSERT INTO `lang_definitions` VALUES (32886, 1832, 9, 'Dribble');
INSERT INTO `lang_definitions` VALUES (32887, 1833, 9, 'Permis de conduire ou de N° Identification');
INSERT INTO `lang_definitions` VALUES (32888, 1834, 9, 'Médicament');
INSERT INTO `lang_definitions` VALUES (32889, 1835, 9, 'Chercheur médicaments');
INSERT INTO `lang_definitions` VALUES (32890, 1836, 9, 'Formes médicamenteuse');
INSERT INTO `lang_definitions` VALUES (32891, 1837, 9, 'ID du médicament manquant!');
INSERT INTO `lang_definitions` VALUES (32892, 1839, 9, 'Inventaire des médicaments');
INSERT INTO `lang_definitions` VALUES (32893, 1840, 9, 'Nom du médicament');
INSERT INTO `lang_definitions` VALUES (32894, 1841, 9, 'Voies du médicament');
INSERT INTO `lang_definitions` VALUES (32895, 1845, 9, 'Unités du médicament');
INSERT INTO `lang_definitions` VALUES (32896, 1846, 9, 'Médicaments');
INSERT INTO `lang_definitions` VALUES (32897, 1847, 9, 'Produits et Médicaments');
INSERT INTO `lang_definitions` VALUES (32898, 1848, 9, 'Bouche sèche');
INSERT INTO `lang_definitions` VALUES (32899, 1860, 9, 'Due');
INSERT INTO `lang_definitions` VALUES (32900, 1861, 9, 'Date d\'échéance');
INSERT INTO `lang_definitions` VALUES (32901, 1862, 9, 'Date d\'échéance mm/jj/aaaa ou aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (32902, 1863, 9, 'Date d\'échéance:');
INSERT INTO `lang_definitions` VALUES (32903, 1864, 9, 'Due Ins');
INSERT INTO `lang_definitions` VALUES (32904, 1865, 9, 'Due Pt');
INSERT INTO `lang_definitions` VALUES (32905, 1866, 9, 'Due Bientôt');
INSERT INTO `lang_definitions` VALUES (32906, 1867, 9, 'Etat échéance');
INSERT INTO `lang_definitions` VALUES (32907, 1868, 9, 'Mise à jour de Etat échéance');
INSERT INTO `lang_definitions` VALUES (32908, 1869, 9, 'Dumping de la base de données LibreEHR');
INSERT INTO `lang_definitions` VALUES (32909, 1870, 9, 'Dumping de l\'arborescence web LibreEHR');
INSERT INTO `lang_definitions` VALUES (32910, 1871, 9, 'Dumping de la base de données phpGACL');
INSERT INTO `lang_definitions` VALUES (32911, 1872, 9, 'Dumping de l\'arborescence web phpGACL');
INSERT INTO `lang_definitions` VALUES (32912, 1873, 9, 'Dumping de la base de données SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (32913, 1874, 9, 'Dumping de l\'arborescence web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (32914, 1875, 9, 'Vérifiez Dup');
INSERT INTO `lang_definitions` VALUES (32915, 1876, 9, 'Numéro ID dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (32916, 1877, 9, 'Nom dupliqué sur la ligne');
INSERT INTO `lang_definitions` VALUES (32917, 1878, 9, 'AVERTISSEMENT DUPLICATION');
INSERT INTO `lang_definitions` VALUES (32918, 1879, 9, 'Procuration durable');
INSERT INTO `lang_definitions` VALUES (32919, 1880, 9, 'durée');
INSERT INTO `lang_definitions` VALUES (32920, 1881, 9, 'Durée');
INSERT INTO `lang_definitions` VALUES (32921, 1882, 9, 'Hollandais');
INSERT INTO `lang_definitions` VALUES (32922, 1884, 9, 'Dysphagie');
INSERT INTO `lang_definitions` VALUES (32923, 1885, 9, 'Dyspnée:');
INSERT INTO `lang_definitions` VALUES (32924, 1886, 9, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (32925, 1888, 9, 'Procuration durable');
INSERT INTO `lang_definitions` VALUES (32926, 1892, 9, 'Renouvellement e-Rx');
INSERT INTO `lang_definitions` VALUES (32927, 1894, 9, 'Récidive précoce (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (32928, 1895, 9, 'Oreilles');
INSERT INTO `lang_definitions` VALUES (32929, 1896, 9, 'ECG');
INSERT INTO `lang_definitions` VALUES (32930, 1898, 9, 'OEdème');
INSERT INTO `lang_definitions` VALUES (32931, 1902, 9, 'EDI-271 Fichier Upload');
INSERT INTO `lang_definitions` VALUES (32932, 1903, 9, 'EDI-271 Fichier Réponse Upload');
INSERT INTO `lang_definitions` VALUES (32933, 1904, 9, 'Editer');
INSERT INTO `lang_definitions` VALUES (32934, 1905, 9, 'éditer');
INSERT INTO `lang_definitions` VALUES (32935, 1906, 9, 'Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (32936, 1907, 9, 'Editer les Catégories');
INSERT INTO `lang_definitions` VALUES (32937, 1908, 9, 'Editer les Définitions');
INSERT INTO `lang_definitions` VALUES (32938, 1909, 9, 'Editer les définitions');
INSERT INTO `lang_definitions` VALUES (32939, 1910, 9, 'Editer les Diagnostics pour');
INSERT INTO `lang_definitions` VALUES (32940, 1911, 9, 'Editer Divulgation');
INSERT INTO `lang_definitions` VALUES (32941, 1912, 9, 'Editer les Services');
INSERT INTO `lang_definitions` VALUES (32942, 1913, 9, 'Editer Facilité');
INSERT INTO `lang_definitions` VALUES (32943, 1914, 9, 'Editer les informations de Service');
INSERT INTO `lang_definitions` VALUES (32944, 1916, 9, 'Editer le fichier de');
INSERT INTO `lang_definitions` VALUES (32945, 1917, 9, 'Editer la forme');
INSERT INTO `lang_definitions` VALUES (32946, 1918, 9, 'Editer les paramètres globaux');
INSERT INTO `lang_definitions` VALUES (32947, 1920, 9, 'Editer mise en page');
INSERT INTO `lang_definitions` VALUES (32948, 1921, 9, 'Editer la liste');
INSERT INTO `lang_definitions` VALUES (32949, 1922, 9, 'Editer paiement');
INSERT INTO `lang_definitions` VALUES (32950, 1923, 9, 'Editer la structure');
INSERT INTO `lang_definitions` VALUES (32951, 1924, 9, 'Editer l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (32952, 1925, 9, 'Editer les paramètres de l\'utilisateur');
INSERT INTO `lang_definitions` VALUES (32953, 1928, 9, 'Education');
INSERT INTO `lang_definitions` VALUES (32954, 1929, 9, 'Date Education');
INSERT INTO `lang_definitions` VALUES (32955, 1931, 9, 'Voir la Licence * GNU GPL pour plus de détails. * * Vous devriez avoir reçu une copie de la Licence Publique Générale GNU * avec ce programme, sinon, écrivez à Free ');
INSERT INTO `lang_definitions` VALUES (32956, 1932, 9, 'Date d\'effet');
INSERT INTO `lang_definitions` VALUES (32957, 1934, 9, 'Efficacité');
INSERT INTO `lang_definitions` VALUES (32958, 1935, 9, 'EIN');
INSERT INTO `lang_definitions` VALUES (32959, 1936, 9, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (32960, 1937, 9, 'Coude');
INSERT INTO `lang_definitions` VALUES (32961, 1938, 9, 'Problèmes de coude');
INSERT INTO `lang_definitions` VALUES (32962, 1939, 9, 'Electronique');
INSERT INTO `lang_definitions` VALUES (32963, 1944, 9, 'Admissibilité');
INSERT INTO `lang_definitions` VALUES (32964, 1946, 9, 'Réponse d\'Admissibilité');
INSERT INTO `lang_definitions` VALUES (32965, 1948, 9, 'Admissible');
INSERT INTO `lang_definitions` VALUES (32966, 1949, 9, 'Courriel');
INSERT INTO `lang_definitions` VALUES (32967, 1951, 9, 'Courriel');
INSERT INTO `lang_definitions` VALUES (32968, 1953, 9, 'L\'adresse de réponse pour les courriels de rappel envoyés aux patients. Les réponses des patientes à leur courriel de rappel seront envoyés à cette adresse. Il est important d\'utiliser une adresse de réponse qui fait partie du domaine de votre clinique afin d\'empêcher que les réponses de vos patients ne sont retrouvent classées parmi les pourriels.');
INSERT INTO `lang_definitions` VALUES (32969, 1954, 9, 'Courriel, si disponible, pour recevoir les messages administratifs.');
INSERT INTO `lang_definitions` VALUES (32970, 1955, 9, 'Courriel, si disponible, pour recevoir l\'activation d\'urgence des login des usagers');
INSERT INTO `lang_definitions` VALUES (32971, 1982, 9, 'Emphysème');
INSERT INTO `lang_definitions` VALUES (32972, 1983, 9, 'Employé(e)');
INSERT INTO `lang_definitions` VALUES (32973, 1984, 9, 'Employeur');
INSERT INTO `lang_definitions` VALUES (32974, 1985, 9, 'Adresse de l\'employeur');
INSERT INTO `lang_definitions` VALUES (32975, 1986, 9, 'Information sur l\'employeur');
INSERT INTO `lang_definitions` VALUES (32976, 1987, 9, 'Nom de l\'employeur');
INSERT INTO `lang_definitions` VALUES (32977, 1988, 9, 'VIDE');
INSERT INTO `lang_definitions` VALUES (32978, 1989, 9, 'vide');
INSERT INTO `lang_definitions` VALUES (32979, 1991, 9, 'Aucune données pour \"Horaire de courriel\"');
INSERT INTO `lang_definitions` VALUES (32980, 1992, 9, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (32981, 1993, 9, 'Aucune entrée pour \"Sujet du courrier\"');
INSERT INTO `lang_definitions` VALUES (32982, 1994, 9, 'Aucune entrée pour \"Texte du courrier\"');
INSERT INTO `lang_definitions` VALUES (32983, 1995, 9, 'Aucune entrée pour \"Nom du dispensateur\"');
INSERT INTO `lang_definitions` VALUES (32984, 1996, 9, 'Aucune entrée pour \"Mot de passe\"');
INSERT INTO `lang_definitions` VALUES (32985, 1997, 9, 'Aucune entrée pour \"Expéditeur du courrier\"');
INSERT INTO `lang_definitions` VALUES (32986, 1998, 9, 'Aucune entrée pour \"Texto\"');
INSERT INTO `lang_definitions` VALUES (32987, 1999, 9, 'Aucune entrée pour \"Nom d\'usager');
INSERT INTO `lang_definitions` VALUES (32988, 2016, 9, 'Activer le client SSL');
INSERT INTO `lang_definitions` VALUES (32989, 2017, 9, 'Activer la validation des certificats de client SSL');
INSERT INTO `lang_definitions` VALUES (32990, 2019, 9, 'Activer les Règles de Choix Cliniques (RCC)');
INSERT INTO `lang_definitions` VALUES (32991, 2022, 9, 'Création des rapports de Critères de Qualité Clinique (CQC)');
INSERT INTO `lang_definitions` VALUES (32992, 2027, 9, 'Création des rapports de Mesure de Qualité Clinique (CQC)');
INSERT INTO `lang_definitions` VALUES (32993, 2051, 9, 'Activer l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (32994, 2052, 9, 'Activer l\'accès à distance au portail patient.');
INSERT INTO `lang_definitions` VALUES (32995, 2053, 9, 'Activer l\'accès local au portail patient');
INSERT INTO `lang_definitions` VALUES (32996, 2055, 9, 'Activer l\'accès local au portail patient.');
INSERT INTO `lang_definitions` VALUES (32997, 2056, 9, 'Activer le widget de rappel patient');
INSERT INTO `lang_definitions` VALUES (32998, 2072, 9, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (32999, 2073, 9, 'Rencontre');
INSERT INTO `lang_definitions` VALUES (33000, 2074, 9, 'rencontre');
INSERT INTO `lang_definitions` VALUES (33001, 2075, 9, 'Rencontre ');
INSERT INTO `lang_definitions` VALUES (33002, 2081, 9, 'Date Rencontre');
INSERT INTO `lang_definitions` VALUES (33003, 2086, 9, 'Formulaires Rencontre');
INSERT INTO `lang_definitions` VALUES (33004, 2089, 9, 'N° Rencontre');
INSERT INTO `lang_definitions` VALUES (33005, 2091, 9, 'Numéro Rencontre');
INSERT INTO `lang_definitions` VALUES (33006, 2111, 9, 'Rencontre:');
INSERT INTO `lang_definitions` VALUES (33007, 2113, 9, 'Rencontres');
INSERT INTO `lang_definitions` VALUES (33008, 2121, 9, 'Fin');
INSERT INTO `lang_definitions` VALUES (33009, 2122, 9, 'Fin (aaaa-mm-jj): ');
INSERT INTO `lang_definitions` VALUES (33010, 2123, 9, 'Date Fin');
INSERT INTO `lang_definitions` VALUES (33011, 2124, 9, 'Date fin');
INSERT INTO `lang_definitions` VALUES (33012, 2126, 9, 'Date fin doit être supérieur à date début');
INSERT INTO `lang_definitions` VALUES (33013, 2127, 9, 'Date Fin:');
INSERT INTO `lang_definitions` VALUES (33014, 2131, 9, 'Heure Fin');
INSERT INTO `lang_definitions` VALUES (33015, 2133, 9, 'Date de fin de service aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (33016, 2135, 9, 'Heure fin de journée pour les événements du calendrier.');
INSERT INTO `lang_definitions` VALUES (33017, 2136, 9, 'Sang endocrinien anormal');
INSERT INTO `lang_definitions` VALUES (33018, 2137, 9, 'Endocrine');
INSERT INTO `lang_definitions` VALUES (33019, 2138, 9, 'Endoscopie');
INSERT INTO `lang_definitions` VALUES (33020, 2141, 9, 'Anglais');
INSERT INTO `lang_definitions` VALUES (33021, 2142, 9, 'Anglais ');
INSERT INTO `lang_definitions` VALUES (33022, 2143, 9, 'Anglais (Indien)');
INSERT INTO `lang_definitions` VALUES (33023, 2144, 9, 'Anglais (Standard)');
INSERT INTO `lang_definitions` VALUES (33024, 2145, 9, 'Commande Enscript utilisé par Hylafax.');
INSERT INTO `lang_definitions` VALUES (33025, 2146, 9, 'Vérifier que LibreEHR a les privilèges d\'écriture dans le répertoire');
INSERT INTO `lang_definitions` VALUES (33026, 2154, 9, 'Entrer le diagnostic');
INSERT INTO `lang_definitions` VALUES (33027, 2155, 9, 'Entrer la liste des médicaments');
INSERT INTO `lang_definitions` VALUES (33028, 2158, 9, 'Entrer les vaccinations');
INSERT INTO `lang_definitions` VALUES (33029, 2176, 9, 'Épilepsie');
INSERT INTO `lang_definitions` VALUES (33030, 2181, 9, 'Effacer');
INSERT INTO `lang_definitions` VALUES (33031, 2182, 9, 'Érections');
INSERT INTO `lang_definitions` VALUES (33032, 2183, 9, 'Erreur');
INSERT INTO `lang_definitions` VALUES (33033, 2185, 9, 'L\'accusé réception des résulats de laboratoire a généré une erreur');
INSERT INTO `lang_definitions` VALUES (33034, 2253, 9, 'Évènement');
INSERT INTO `lang_definitions` VALUES (33035, 2273, 9, 'chaque/toutes');
INSERT INTO `lang_definitions` VALUES (33036, 2274, 9, 'Chaque/Toutes');
INSERT INTO `lang_definitions` VALUES (33037, 2275, 9, 'toutes les 3 heures');
INSERT INTO `lang_definitions` VALUES (33038, 2276, 9, 'toutes les 4 heures');
INSERT INTO `lang_definitions` VALUES (33039, 2277, 9, 'toutes les 5 heures');
INSERT INTO `lang_definitions` VALUES (33040, 2278, 9, 'toutes les 6 heures');
INSERT INTO `lang_definitions` VALUES (33041, 2279, 9, 'toutes les 8 heures');
INSERT INTO `lang_definitions` VALUES (33042, 2280, 9, 'Toutes les quatrième');
INSERT INTO `lang_definitions` VALUES (33043, 2281, 9, 'Toutes Autres');
INSERT INTO `lang_definitions` VALUES (33044, 2282, 9, 'Tous les troisièmes');
INSERT INTO `lang_definitions` VALUES (33045, 2286, 9, 'Résultats d\'examen');
INSERT INTO `lang_definitions` VALUES (33046, 2291, 9, 'Example');
INSERT INTO `lang_definitions` VALUES (33047, 2292, 9, 'Examples');
INSERT INTO `lang_definitions` VALUES (33048, 2306, 9, 'Aggrandir');
INSERT INTO `lang_definitions` VALUES (33049, 2307, 9, 'aggrandir');
INSERT INTO `lang_definitions` VALUES (33050, 2308, 9, 'Tout aggrandir');
INSERT INTO `lang_definitions` VALUES (33051, 2404, 9, 'Fax/Télécopie');
INSERT INTO `lang_definitions` VALUES (33052, 2405, 9, 'Nombre Fax');
INSERT INTO `lang_definitions` VALUES (33053, 2406, 9, 'Numéro FAX');
INSERT INTO `lang_definitions` VALUES (33054, 2412, 9, 'févr.');
INSERT INTO `lang_definitions` VALUES (33055, 2413, 9, 'Février');
INSERT INTO `lang_definitions` VALUES (33056, 2418, 9, 'Frais');
INSERT INTO `lang_definitions` VALUES (33057, 2419, 9, 'frais');
INSERT INTO `lang_definitions` VALUES (33058, 2420, 9, 'Frais non autorisés');
INSERT INTO `lang_definitions` VALUES (33059, 2421, 9, 'Note de Frais');
INSERT INTO `lang_definitions` VALUES (33060, 2422, 9, 'Options Note de Frais');
INSERT INTO `lang_definitions` VALUES (33061, 2423, 9, 'Frais');
INSERT INTO `lang_definitions` VALUES (33062, 2424, 9, 'Féminin');
INSERT INTO `lang_definitions` VALUES (33063, 2426, 9, 'Préservatifs Féminins');
INSERT INTO `lang_definitions` VALUES (33064, 2427, 9, 'Point G');
INSERT INTO `lang_definitions` VALUES (33065, 2430, 9, 'Symptômes Féminin');
INSERT INTO `lang_definitions` VALUES (33066, 2434, 9, 'Fièvre');
INSERT INTO `lang_definitions` VALUES (33067, 2435, 9, 'Fièvre:');
INSERT INTO `lang_definitions` VALUES (33068, 2436, 9, 'Problèmes sanguins FH');
INSERT INTO `lang_definitions` VALUES (33069, 2437, 9, 'Fibromes');
INSERT INTO `lang_definitions` VALUES (33070, 2447, 9, 'Fichier');
INSERT INTO `lang_definitions` VALUES (33071, 2450, 9, 'Gestion de Fichiers');
INSERT INTO `lang_definitions` VALUES (33072, 2459, 9, 'Nom Fichier');
INSERT INTO `lang_definitions` VALUES (33073, 2461, 9, 'Fichiers');
INSERT INTO `lang_definitions` VALUES (33074, 2462, 9, 'Philippin');
INSERT INTO `lang_definitions` VALUES (33075, 2463, 9, 'Remplissez une des ligne en dessous.');
INSERT INTO `lang_definitions` VALUES (33076, 2464, 9, 'Remplissez ici que si la notification est envoyé par email aux patients');
INSERT INTO `lang_definitions` VALUES (33077, 2465, 9, 'Complétez les valeurs ci-dessous');
INSERT INTO `lang_definitions` VALUES (33078, 2467, 9, 'Remplissez la ligne.');
INSERT INTO `lang_definitions` VALUES (33079, 2468, 9, 'Filter');
INSERT INTO `lang_definitions` VALUES (33080, 2469, 9, 'Filtre pour les constantes');
INSERT INTO `lang_definitions` VALUES (33081, 2470, 9, 'Filtre pour les définitions');
INSERT INTO `lang_definitions` VALUES (33082, 2473, 9, 'Filtres');
INSERT INTO `lang_definitions` VALUES (33083, 2474, 9, 'Final');
INSERT INTO `lang_definitions` VALUES (33084, 2475, 9, 'Diagnostic final');
INSERT INTO `lang_definitions` VALUES (33085, 2476, 9, 'Le diagnostic final par un spécialiste');
INSERT INTO `lang_definitions` VALUES (33086, 2478, 9, 'Financier');
INSERT INTO `lang_definitions` VALUES (33087, 2479, 9, 'Date de clôture financière (aaaa-mm-jj)');
INSERT INTO `lang_definitions` VALUES (33088, 2480, 9, 'Report Financier - tout');
INSERT INTO `lang_definitions` VALUES (33089, 2481, 9, 'Report Financier - mes visites');
INSERT INTO `lang_definitions` VALUES (33090, 2482, 9, 'Date de révision financière');
INSERT INTO `lang_definitions` VALUES (33091, 2484, 9, 'Trouver');
INSERT INTO `lang_definitions` VALUES (33092, 2485, 9, 'Trouver Disponible');
INSERT INTO `lang_definitions` VALUES (33093, 2486, 9, 'Trouver rendez-vous disponible');
INSERT INTO `lang_definitions` VALUES (33094, 2487, 9, 'Trouver un patient');
INSERT INTO `lang_definitions` VALUES (33095, 2488, 9, 'Trouver éducation des patients');
INSERT INTO `lang_definitions` VALUES (33096, 2489, 9, 'Résultats');
INSERT INTO `lang_definitions` VALUES (33097, 2490, 9, 'Les résultats par un spécialiste');
INSERT INTO `lang_definitions` VALUES (33098, 2491, 9, 'Bien');
INSERT INTO `lang_definitions` VALUES (33099, 2492, 9, 'Finition des Paiements');
INSERT INTO `lang_definitions` VALUES (33100, 2495, 9, 'Premier');
INSERT INTO `lang_definitions` VALUES (33101, 2497, 9, 'Premier jour de la semaine');
INSERT INTO `lang_definitions` VALUES (33102, 2498, 9, 'Prénom');
INSERT INTO `lang_definitions` VALUES (33103, 2499, 9, 'Prénom');
INSERT INTO `lang_definitions` VALUES (33104, 2500, 9, 'Prénom:');
INSERT INTO `lang_definitions` VALUES (33105, 2503, 9, 'Fitness');
INSERT INTO `lang_definitions` VALUES (33106, 2504, 9, 'Niveau de Fitness');
INSERT INTO `lang_definitions` VALUES (33107, 2505, 9, 'La condition physique pour ce joueur cette journée');
INSERT INTO `lang_definitions` VALUES (33108, 2507, 9, 'Fitness à jouer');
INSERT INTO `lang_definitions` VALUES (33109, 2508, 9, 'Fix rencontre dates - toutes les rencontres');
INSERT INTO `lang_definitions` VALUES (33110, 2509, 9, 'corriger ce');
INSERT INTO `lang_definitions` VALUES (33111, 2511, 9, 'flatulence');
INSERT INTO `lang_definitions` VALUES (33112, 2512, 9, 'Débit');
INSERT INTO `lang_definitions` VALUES (33113, 2514, 9, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (33114, 2515, 9, 'Saison grippale');
INSERT INTO `lang_definitions` VALUES (33115, 2516, 9, 'Vaccination contre la grippe');
INSERT INTO `lang_definitions` VALUES (33116, 2517, 9, 'Fluide et problème d\'électrolytes');
INSERT INTO `lang_definitions` VALUES (33117, 2520, 9, 'Suivez manuellement');
INSERT INTO `lang_definitions` VALUES (33118, 2522, 9, 'Suivi');
INSERT INTO `lang_definitions` VALUES (33119, 2524, 9, 'Raison de Suivi');
INSERT INTO `lang_definitions` VALUES (33120, 2525, 9, 'Voici une nouvelle constante personnalisée:');
INSERT INTO `lang_definitions` VALUES (33121, 2526, 9, 'Voici un nouveau langage personnalisé:');
INSERT INTO `lang_definitions` VALUES (33122, 2527, 9, 'Voici une nouvelle définition (Langue, Constant, Définition):');
INSERT INTO `lang_definitions` VALUES (33123, 2529, 9, 'Services de suivi');
INSERT INTO `lang_definitions` VALUES (33124, 2530, 9, 'Suivis indiqués');
INSERT INTO `lang_definitions` VALUES (33125, 2531, 9, 'Intolérance alimentaire');
INSERT INTO `lang_definitions` VALUES (33126, 2532, 9, 'Pied');
INSERT INTO `lang_definitions` VALUES (33127, 2533, 9, 'Problèmes de pied');
INSERT INTO `lang_definitions` VALUES (33128, 2534, 9, 'Pied:');
INSERT INTO `lang_definitions` VALUES (33129, 2535, 9, 'Blessures de football');
INSERT INTO `lang_definitions` VALUES (33130, 2537, 9, 'Rapport de blessure de football');
INSERT INTO `lang_definitions` VALUES (33131, 2538, 9, 'Type de chaussures');
INSERT INTO `lang_definitions` VALUES (33132, 2539, 9, 'pour');
INSERT INTO `lang_definitions` VALUES (33133, 2540, 9, 'Pour');
INSERT INTO `lang_definitions` VALUES (33134, 2541, 9, 'Pour le code');
INSERT INTO `lang_definitions` VALUES (33135, 2543, 9, 'Pour les réclamations Rencontre');
INSERT INTO `lang_definitions` VALUES (33136, 2544, 9, 'Par exemple:');
INSERT INTO `lang_definitions` VALUES (33137, 2547, 9, 'pour la facturation');
INSERT INTO `lang_definitions` VALUES (33138, 2553, 9, 'Pour le passé');
INSERT INTO `lang_definitions` VALUES (33139, 2554, 9, 'pour la variable');
INSERT INTO `lang_definitions` VALUES (33140, 2555, 9, 'pour:');
INSERT INTO `lang_definitions` VALUES (33141, 2559, 9, 'Avant-bras');
INSERT INTO `lang_definitions` VALUES (33142, 2560, 9, 'Formulaire');
INSERT INTO `lang_definitions` VALUES (33143, 2561, 9, 'formulaire');
INSERT INTO `lang_definitions` VALUES (33144, 2564, 9, 'Format');
INSERT INTO `lang_definitions` VALUES (33145, 2565, 9, 'format');
INSERT INTO `lang_definitions` VALUES (33146, 2567, 9, 'Format incorrect pour NDC');
INSERT INTO `lang_definitions` VALUES (33147, 2568, 9, 'Format utilisé pour afficher les dates.');
INSERT INTO `lang_definitions` VALUES (33148, 2569, 9, 'Format utilisé pour afficher le temps.');
INSERT INTO `lang_definitions` VALUES (33149, 2570, 9, 'Rapport formaté');
INSERT INTO `lang_definitions` VALUES (33150, 2571, 9, 'Ancien fumeur');
INSERT INTO `lang_definitions` VALUES (33151, 2572, 9, 'Formulaires');
INSERT INTO `lang_definitions` VALUES (33152, 2573, 9, 'Formulaires d\'administration');
INSERT INTO `lang_definitions` VALUES (33153, 2576, 9, 'Envoi Pages par fax');
INSERT INTO `lang_definitions` VALUES (33154, 2577, 9, 'Transmis');
INSERT INTO `lang_definitions` VALUES (33155, 2579, 9, 'Quatrième');
INSERT INTO `lang_definitions` VALUES (33156, 2581, 9, 'Fracture');
INSERT INTO `lang_definitions` VALUES (33157, 2587, 9, 'Français');
INSERT INTO `lang_definitions` VALUES (33158, 2590, 9, 'Fréquence');
INSERT INTO `lang_definitions` VALUES (33159, 2591, 9, 'Rhumes fréquents');
INSERT INTO `lang_definitions` VALUES (33160, 2592, 9, 'Maladie fréquente');
INSERT INTO `lang_definitions` VALUES (33161, 2593, 9, 'Ven.');
INSERT INTO `lang_definitions` VALUES (33162, 2594, 9, 'Vendredi');
INSERT INTO `lang_definitions` VALUES (33163, 2595, 9, 'De');
INSERT INTO `lang_definitions` VALUES (33164, 2596, 9, 'DE');
INSERT INTO `lang_definitions` VALUES (33165, 2597, 9, 'de');
INSERT INTO `lang_definitions` VALUES (33166, 2598, 9, 'Date De ne peut être supérieur à Date A.');
INSERT INTO `lang_definitions` VALUES (33167, 2599, 9, 'De :');
INSERT INTO `lang_definitions` VALUES (33168, 2600, 9, 'De : ');
INSERT INTO `lang_definitions` VALUES (33169, 2619, 9, 'Nom Complet');
INSERT INTO `lang_definitions` VALUES (33170, 2626, 9, 'Soldé');
INSERT INTO `lang_definitions` VALUES (33171, 2638, 9, 'Période du jeu');
INSERT INTO `lang_definitions` VALUES (33172, 2639, 9, 'Jeux');
INSERT INTO `lang_definitions` VALUES (33173, 2640, 9, 'Jeux manqués');
INSERT INTO `lang_definitions` VALUES (33174, 2641, 9, 'jeux / événements');
INSERT INTO `lang_definitions` VALUES (33175, 2642, 9, 'Jeux / Evénements manqués');
INSERT INTO `lang_definitions` VALUES (33176, 2644, 9, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (33177, 2646, 9, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (33178, 2650, 9, 'Genre');
INSERT INTO `lang_definitions` VALUES (33179, 2651, 9, 'Genre ');
INSERT INTO `lang_definitions` VALUES (33180, 2652, 9, 'Général');
INSERT INTO `lang_definitions` VALUES (33181, 2687, 9, 'Allemand');
INSERT INTO `lang_definitions` VALUES (33182, 2692, 9, 'Glaucome');
INSERT INTO `lang_definitions` VALUES (33183, 2700, 9, 'aller');
INSERT INTO `lang_definitions` VALUES (33184, 2701, 9, 'Aller');
INSERT INTO `lang_definitions` VALUES (33185, 2704, 9, 'Aller à');
INSERT INTO `lang_definitions` VALUES (33186, 2705, 9, 'Aller à la semaine du');
INSERT INTO `lang_definitions` VALUES (33187, 2706, 9, 'Aujourd\'hui');
INSERT INTO `lang_definitions` VALUES (33188, 2711, 9, 'Degré de traumatismes');
INSERT INTO `lang_definitions` VALUES (33189, 2712, 9, 'Grade:');
INSERT INTO `lang_definitions` VALUES (33190, 2713, 9, 'grammes');
INSERT INTO `lang_definitions` VALUES (33191, 2714, 9, 'Total général');
INSERT INTO `lang_definitions` VALUES (33192, 2715, 9, 'Totaux généraux');
INSERT INTO `lang_definitions` VALUES (33193, 2720, 9, 'Supérieur à');
INSERT INTO `lang_definitions` VALUES (33194, 2721, 9, 'Supérieur ou égal à');
INSERT INTO `lang_definitions` VALUES (33195, 2722, 9, 'Grecque');
INSERT INTO `lang_definitions` VALUES (33196, 2724, 9, 'Groupe');
INSERT INTO `lang_definitions` VALUES (33197, 2725, 9, 'Nom du groupe');
INSERT INTO `lang_definitions` VALUES (33198, 2731, 9, 'Groupe:');
INSERT INTO `lang_definitions` VALUES (33199, 2736, 9, 'gouttes');
INSERT INTO `lang_definitions` VALUES (33200, 2794, 9, 'Hauteur');
INSERT INTO `lang_definitions` VALUES (33201, 2796, 9, 'Aide');
INSERT INTO `lang_definitions` VALUES (33202, 2797, 9, 'aide');
INSERT INTO `lang_definitions` VALUES (33203, 2798, 9, 'Hématémèse');
INSERT INTO `lang_definitions` VALUES (33204, 2799, 9, 'Rectorragie');
INSERT INTO `lang_definitions` VALUES (33205, 2800, 9, 'Hématologie');
INSERT INTO `lang_definitions` VALUES (33206, 2801, 9, 'Hématurie');
INSERT INTO `lang_definitions` VALUES (33207, 2802, 9, 'Hémoglobine');
INSERT INTO `lang_definitions` VALUES (33208, 2803, 9, 'Hémoglobine A1C');
INSERT INTO `lang_definitions` VALUES (33209, 2804, 9, 'Hémoptysie');
INSERT INTO `lang_definitions` VALUES (33210, 2805, 9, 'Hépatite');
INSERT INTO `lang_definitions` VALUES (33211, 2806, 9, 'Hépatite A 1');
INSERT INTO `lang_definitions` VALUES (33212, 2807, 9, 'Hépatite A 2');
INSERT INTO `lang_definitions` VALUES (33213, 2808, 9, 'Hépatite B 1');
INSERT INTO `lang_definitions` VALUES (33214, 2809, 9, 'Hépatite B 2');
INSERT INTO `lang_definitions` VALUES (33215, 2810, 9, 'Hépatite B 3');
INSERT INTO `lang_definitions` VALUES (33216, 2811, 9, 'ici');
INSERT INTO `lang_definitions` VALUES (33217, 2813, 9, 'Cure d\'Hernie');
INSERT INTO `lang_definitions` VALUES (33218, 2814, 9, 'Hernie discale');
INSERT INTO `lang_definitions` VALUES (33219, 2815, 9, 'Herpès');
INSERT INTO `lang_definitions` VALUES (33220, 2816, 9, 'Hésitation');
INSERT INTO `lang_definitions` VALUES (33221, 2817, 9, 'heyyo. vous avez été ici pour ');
INSERT INTO `lang_definitions` VALUES (33222, 2822, 9, 'Caché');
INSERT INTO `lang_definitions` VALUES (33223, 2823, 9, 'Evénements d\'Administration masqués');
INSERT INTO `lang_definitions` VALUES (33224, 2824, 9, 'Cacher');
INSERT INTO `lang_definitions` VALUES (33225, 2825, 9, 'Masquer les détails');
INSERT INTO `lang_definitions` VALUES (33226, 2827, 9, 'Masquer l\'option cryptage/décryptage dans la gestion documentaire');
INSERT INTO `lang_definitions` VALUES (33227, 2828, 9, 'Masquer les menus');
INSERT INTO `lang_definitions` VALUES (33228, 2831, 9, 'Afficher / Masquer les colonnes');
INSERT INTO `lang_definitions` VALUES (33229, 2833, 9, 'Elevé');
INSERT INTO `lang_definitions` VALUES (33230, 2834, 9, 'Hypertension artérielle');
INSERT INTO `lang_definitions` VALUES (33231, 2835, 9, 'Hindi');
INSERT INTO `lang_definitions` VALUES (33232, 2836, 9, 'La hanche + l\'aine');
INSERT INTO `lang_definitions` VALUES (33233, 2837, 9, 'La hanche et l\'aine');
INSERT INTO `lang_definitions` VALUES (33234, 2838, 9, 'Les problèmes de hanche');
INSERT INTO `lang_definitions` VALUES (33235, 2839, 9, 'Prothèse de la hanche');
INSERT INTO `lang_definitions` VALUES (33236, 2843, 9, 'Hispanique');
INSERT INTO `lang_definitions` VALUES (33237, 2844, 9, 'Hispanique - Autres (Né aux Etats-Unis)');
INSERT INTO `lang_definitions` VALUES (33238, 2845, 9, 'Hispanique - Autres (Né à l\'extérieur des États-Unis)');
INSERT INTO `lang_definitions` VALUES (33239, 2846, 9, 'Hispanique ou Latino');
INSERT INTO `lang_definitions` VALUES (33240, 2847, 9, 'Histoire');
INSERT INTO `lang_definitions` VALUES (33241, 2848, 9, 'Historique des données');
INSERT INTO `lang_definitions` VALUES (33242, 2849, 9, 'Date de l\'histoire');
INSERT INTO `lang_definitions` VALUES (33243, 2851, 9, 'Historique du Souffle');
INSERT INTO `lang_definitions` VALUES (33244, 2852, 9, 'Historique non autorisé');
INSERT INTO `lang_definitions` VALUES (33245, 2853, 9, 'Historique du souffle cardiaque');
INSERT INTO `lang_definitions` VALUES (33246, 2854, 9, 'visites (Clics)');
INSERT INTO `lang_definitions` VALUES (33247, 2855, 9, 'VIH');
INSERT INTO `lang_definitions` VALUES (33248, 2865, 9, 'Accueil');
INSERT INTO `lang_definitions` VALUES (33249, 2866, 9, 'Téléphone à domicile');
INSERT INTO `lang_definitions` VALUES (33250, 2867, 9, 'Numéro de téléphone a domicile');
INSERT INTO `lang_definitions` VALUES (33251, 2868, 9, 'Sans-abri ou similaires?');
INSERT INTO `lang_definitions` VALUES (33252, 2869, 9, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (33253, 2870, 9, 'Sans-abri, etc.');
INSERT INTO `lang_definitions` VALUES (33254, 2872, 9, 'Nom de l\'hôte');
INSERT INTO `lang_definitions` VALUES (33255, 2873, 9, 'Nom de l\'hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (33256, 2875, 9, 'Heure');
INSERT INTO `lang_definitions` VALUES (33257, 2876, 9, 'Heures');
INSERT INTO `lang_definitions` VALUES (33258, 2878, 9, 'Comment vous êtes blessé?');
INSERT INTO `lang_definitions` VALUES (33259, 2879, 9, 'Comment vous êtes blessé?:');
INSERT INTO `lang_definitions` VALUES (33260, 2892, 9, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (33261, 2893, 9, 'Hypertension');
INSERT INTO `lang_definitions` VALUES (33262, 2894, 9, 'Hypertension: mesure de pression artérielle.');
INSERT INTO `lang_definitions` VALUES (33263, 2895, 9, 'Hypertension: mesure de pression artérielle (CQC).');
INSERT INTO `lang_definitions` VALUES (33264, 2896, 9, 'Hyperthyroïdie');
INSERT INTO `lang_definitions` VALUES (33265, 2897, 9, 'Hypothyroïdie');
INSERT INTO `lang_definitions` VALUES (33266, 2898, 9, 'Hystérectomie');
INSERT INTO `lang_definitions` VALUES (33267, 2899, 9, 'je');
INSERT INTO `lang_definitions` VALUES (33268, 2900, 9, 'Je suis occupé pendant ce temps.');
INSERT INTO `lang_definitions` VALUES (33269, 2901, 9, 'Je n\'ai pas l\'autorisation de lecture ');
INSERT INTO `lang_definitions` VALUES (33270, 3230, 9, 'Italien');
INSERT INTO `lang_definitions` VALUES (33271, 3231, 9, 'Article');
INSERT INTO `lang_definitions` VALUES (33272, 3232, 9, 'article');
INSERT INTO `lang_definitions` VALUES (33273, 3234, 9, 'Chargement d\'Articles a échoué');
INSERT INTO `lang_definitions` VALUES (33274, 3238, 9, 'janv.');
INSERT INTO `lang_definitions` VALUES (33275, 3239, 9, 'Janvier');
INSERT INTO `lang_definitions` VALUES (33276, 3240, 9, 'Japonais');
INSERT INTO `lang_definitions` VALUES (33277, 3241, 9, 'Jaunisse');
INSERT INTO `lang_definitions` VALUES (33278, 3243, 9, 'Description de la Tâche');
INSERT INTO `lang_definitions` VALUES (33279, 3244, 9, 'ID Tâche');
INSERT INTO `lang_definitions` VALUES (33280, 3245, 9, 'Dislocations conjointe');
INSERT INTO `lang_definitions` VALUES (33281, 3246, 9, 'Douleurs articulaires');
INSERT INTO `lang_definitions` VALUES (33282, 3247, 9, 'Entorses conjointe');
INSERT INTO `lang_definitions` VALUES (33283, 3248, 9, 'juil.');
INSERT INTO `lang_definitions` VALUES (33284, 3249, 9, 'Juillet');
INSERT INTO `lang_definitions` VALUES (33285, 3250, 9, 'juin');
INSERT INTO `lang_definitions` VALUES (33286, 3251, 9, 'Juin');
INSERT INTO `lang_definitions` VALUES (33287, 3520, 9, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (33288, 3521, 9, 'Déjeuner');
INSERT INTO `lang_definitions` VALUES (33289, 3522, 9, 'Cancer du Poummon');
INSERT INTO `lang_definitions` VALUES (33290, 3523, 9, 'Chirurgie du Cancer de poumon');
INSERT INTO `lang_definitions` VALUES (33291, 3524, 9, 'POUMMONS:');
INSERT INTO `lang_definitions` VALUES (33292, 3525, 9, 'Poummons:');
INSERT INTO `lang_definitions` VALUES (33293, 3545, 9, 'Malaise:');
INSERT INTO `lang_definitions` VALUES (33294, 3548, 9, 'Masculin');
INSERT INTO `lang_definitions` VALUES (33295, 3549, 9, 'Préservatifs Masculin');
INSERT INTO `lang_definitions` VALUES (33296, 3552, 9, 'Mammographie');
INSERT INTO `lang_definitions` VALUES (33297, 3553, 9, 'Gérer');
INSERT INTO `lang_definitions` VALUES (33298, 3556, 9, 'Gérer les traductions');
INSERT INTO `lang_definitions` VALUES (33299, 3557, 9, 'Gestion');
INSERT INTO `lang_definitions` VALUES (33300, 3558, 9, 'Les champs obligatoires et spécifiés');
INSERT INTO `lang_definitions` VALUES (33301, 3559, 9, 'Les champs obligatoires ou spécifié, contrôle de dup, pas de recherche');
INSERT INTO `lang_definitions` VALUES (33302, 3560, 9, 'Les champs obligatoires ou spécifié, recherche et contrôle de dup');
INSERT INTO `lang_definitions` VALUES (33303, 3561, 9, 'Manuel');
INSERT INTO `lang_definitions` VALUES (33304, 3562, 9, 'Postage Manuel');
INSERT INTO `lang_definitions` VALUES (33305, 3563, 9, 'Fabriquant');
INSERT INTO `lang_definitions` VALUES (33306, 3565, 9, 'mars');
INSERT INTO `lang_definitions` VALUES (33307, 3568, 9, 'Mars');
INSERT INTO `lang_definitions` VALUES (33308, 3569, 9, 'État civil');
INSERT INTO `lang_definitions` VALUES (33309, 3571, 9, 'Marquer comme facturés, mais la facturation est ignoré');
INSERT INTO `lang_definitions` VALUES (33310, 3572, 9, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (33311, 3573, 9, 'Marquer comme non facturées');
INSERT INTO `lang_definitions` VALUES (33312, 3575, 9, 'Marquer comme réglé');
INSERT INTO `lang_definitions` VALUES (33313, 3576, 9, 'Marié');
INSERT INTO `lang_definitions` VALUES (33314, 3578, 9, 'Masque');
INSERT INTO `lang_definitions` VALUES (33315, 3579, 9, 'Masque pour les numéros de facturation');
INSERT INTO `lang_definitions` VALUES (33316, 3580, 9, 'Masque pour les ID Patient');
INSERT INTO `lang_definitions` VALUES (33317, 3581, 9, 'Masque pour les ID de produit');
INSERT INTO `lang_definitions` VALUES (33318, 3582, 9, 'Correspond');
INSERT INTO `lang_definitions` VALUES (33319, 3591, 9, 'Max');
INSERT INTO `lang_definitions` VALUES (33320, 3594, 9, 'Maxillaire droit:');
INSERT INTO `lang_definitions` VALUES (33321, 3595, 9, 'Age maximum');
INSERT INTO `lang_definitions` VALUES (33322, 3597, 9, 'Le temps maximum d\'inactivité en secondes avant la déconnexion. Par défaut est 7200 (2 heures).');
INSERT INTO `lang_definitions` VALUES (33323, 3603, 9, 'Mai');
INSERT INTO `lang_definitions` VALUES (33324, 3611, 9, 'Mesure');
INSERT INTO `lang_definitions` VALUES (33325, 3612, 9, 'Malléole interne:');
INSERT INTO `lang_definitions` VALUES (33326, 3614, 9, 'Médicale');
INSERT INTO `lang_definitions` VALUES (33327, 3615, 9, 'Avortement médicamenteux');
INSERT INTO `lang_definitions` VALUES (33328, 3616, 9, 'Administration médicale');
INSERT INTO `lang_definitions` VALUES (33329, 3617, 9, 'Antécédents médicaux');
INSERT INTO `lang_definitions` VALUES (33330, 3618, 9, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (33331, 3619, 9, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (33332, 3620, 9, 'Problème médical');
INSERT INTO `lang_definitions` VALUES (33333, 3623, 9, 'Problèmes Médicaux');
INSERT INTO `lang_definitions` VALUES (33334, 3624, 9, 'Enregistrement Médical');
INSERT INTO `lang_definitions` VALUES (33335, 3625, 9, 'No Enregistrement Médical');
INSERT INTO `lang_definitions` VALUES (33336, 3626, 9, 'Enregistrements Médicaux');
INSERT INTO `lang_definitions` VALUES (33337, 3630, 9, 'Système Médical');
INSERT INTO `lang_definitions` VALUES (33338, 3635, 9, 'Médication');
INSERT INTO `lang_definitions` VALUES (33339, 3640, 9, 'Médications');
INSERT INTO `lang_definitions` VALUES (33340, 3641, 9, 'Médications:');
INSERT INTO `lang_definitions` VALUES (33341, 3642, 9, 'Unités Médicale');
INSERT INTO `lang_definitions` VALUES (33342, 3643, 9, 'Moyen');
INSERT INTO `lang_definitions` VALUES (33343, 3646, 9, 'Problèmes de Mémoire');
INSERT INTO `lang_definitions` VALUES (33344, 3647, 9, 'Homme');
INSERT INTO `lang_definitions` VALUES (33345, 3648, 9, 'Hommes et Femmes');
INSERT INTO `lang_definitions` VALUES (33346, 3649, 9, 'Hommes Seulement');
INSERT INTO `lang_definitions` VALUES (33347, 3650, 9, 'Ménarche');
INSERT INTO `lang_definitions` VALUES (33348, 3651, 9, 'Ménopause');
INSERT INTO `lang_definitions` VALUES (33349, 3652, 9, 'Flux Menstruel');
INSERT INTO `lang_definitions` VALUES (33350, 3653, 9, 'Fréquence Menstruel');
INSERT INTO `lang_definitions` VALUES (33351, 3654, 9, 'Maladie Mentale');
INSERT INTO `lang_definitions` VALUES (33352, 3666, 9, 'Etat du Message');
INSERT INTO `lang_definitions` VALUES (33353, 3673, 9, 'Méthode');
INSERT INTO `lang_definitions` VALUES (33354, 3674, 9, 'Méthode et Produit Spécifique');
INSERT INTO `lang_definitions` VALUES (33355, 3675, 9, 'Mode d\'envoi e-mails sortants.');
INSERT INTO `lang_definitions` VALUES (33356, 3676, 9, 'Méthode de Destruction');
INSERT INTO `lang_definitions` VALUES (33357, 3686, 9, 'Moyen');
INSERT INTO `lang_definitions` VALUES (33358, 3687, 9, 'Deuxième Prénom');
INSERT INTO `lang_definitions` VALUES (33359, 3688, 9, 'Deuxième prénom');
INSERT INTO `lang_definitions` VALUES (33360, 3712, 9, 'Divers');
INSERT INTO `lang_definitions` VALUES (33361, 3713, 9, 'Autres Options de Facturation');
INSERT INTO `lang_definitions` VALUES (33362, 3714, 9, 'Autres Options de Facturation pour HCFA-1500');
INSERT INTO `lang_definitions` VALUES (33363, 3715, 9, 'Autres Options de Facturation HCFA');
INSERT INTO `lang_definitions` VALUES (33364, 3716, 9, 'Divers/Autres');
INSERT INTO `lang_definitions` VALUES (33365, 3717, 9, 'Manqué');
INSERT INTO `lang_definitions` VALUES (33366, 3719, 9, 'Manque d\'un champ requis');
INSERT INTO `lang_definitions` VALUES (33367, 3720, 9, 'Frais Manquants');
INSERT INTO `lang_definitions` VALUES (33368, 3722, 9, 'Manquant ou Invalide');
INSERT INTO `lang_definitions` VALUES (33369, 3724, 9, 'Manque date de rapport');
INSERT INTO `lang_definitions` VALUES (33370, 3726, 9, 'Mixe');
INSERT INTO `lang_definitions` VALUES (33371, 3728, 9, 'MM/JJ/AAAA');
INSERT INTO `lang_definitions` VALUES (33372, 3741, 9, 'Modificateur');
INSERT INTO `lang_definitions` VALUES (33373, 3745, 9, 'Modifier les Paiements');
INSERT INTO `lang_definitions` VALUES (33374, 3753, 9, 'Lu.');
INSERT INTO `lang_definitions` VALUES (33375, 3754, 9, 'Lu. à Ve.');
INSERT INTO `lang_definitions` VALUES (33376, 3755, 9, 'Lu. Mer. &amp; Ve.');
INSERT INTO `lang_definitions` VALUES (33377, 3756, 9, 'Lundi');
INSERT INTO `lang_definitions` VALUES (33378, 3758, 9, 'Mois');
INSERT INTO `lang_definitions` VALUES (33379, 3759, 9, 'mois');
INSERT INTO `lang_definitions` VALUES (33380, 3760, 9, 'Vue du Mois');
INSERT INTO `lang_definitions` VALUES (33381, 3761, 9, 'Mois');
INSERT INTO `lang_definitions` VALUES (33382, 3762, 9, 'Revenue Mensuel');
INSERT INTO `lang_definitions` VALUES (33383, 3763, 9, 'Mois');
INSERT INTO `lang_definitions` VALUES (33384, 3771, 9, 'Mère');
INSERT INTO `lang_definitions` VALUES (33385, 3772, 9, 'Nom de la Mère');
INSERT INTO `lang_definitions` VALUES (33386, 3774, 9, 'Bouche');
INSERT INTO `lang_definitions` VALUES (33387, 3775, 9, 'Déplacer');
INSERT INTO `lang_definitions` VALUES (33388, 3776, 9, 'Déplacer un document vers Catégorie:');
INSERT INTO `lang_definitions` VALUES (33389, 3777, 9, 'Déplacer vers bas');
INSERT INTO `lang_definitions` VALUES (33390, 3779, 9, 'Déplacer vers le patient');
INSERT INTO `lang_definitions` VALUES (33391, 3780, 9, 'Déplacer vers ...');
INSERT INTO `lang_definitions` VALUES (33392, 3781, 9, 'Déplacer vers haut');
INSERT INTO `lang_definitions` VALUES (33393, 3783, 9, 'M.');
INSERT INTO `lang_definitions` VALUES (33394, 3785, 9, 'Mme.');
INSERT INTO `lang_definitions` VALUES (33395, 3786, 9, 'Mlle.');
INSERT INTO `lang_definitions` VALUES (33396, 3796, 9, 'Outil multi langues');
INSERT INTO `lang_definitions` VALUES (33397, 3797, 9, 'Zones multiples');
INSERT INTO `lang_definitions` VALUES (33398, 3799, 9, 'Plusieurs lots');
INSERT INTO `lang_definitions` VALUES (33399, 3802, 9, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (33400, 3803, 9, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (33401, 3804, 9, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (33402, 3805, 9, 'Douleurs musculaires');
INSERT INTO `lang_definitions` VALUES (33403, 3806, 9, 'Rougeur musculaire');
INSERT INTO `lang_definitions` VALUES (33404, 3807, 9, 'Raideur musculaire');
INSERT INTO `lang_definitions` VALUES (33405, 3808, 9, 'Enflure musculaire');
INSERT INTO `lang_definitions` VALUES (33406, 3809, 9, 'Chaleur musculaire');
INSERT INTO `lang_definitions` VALUES (33407, 3810, 9, 'Muscle');
INSERT INTO `lang_definitions` VALUES (33408, 3811, 9, 'Lésion musculaire');
INSERT INTO `lang_definitions` VALUES (33409, 3812, 9, 'Musculo-squelettiques');
INSERT INTO `lang_definitions` VALUES (33410, 4251, 9, 'Groupement officiel des Critères de Qualité Clinique');
INSERT INTO `lang_definitions` VALUES (33411, 4252, 9, 'Lien Https pour l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (33412, 4254, 9, 'Mot de passe pour l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (33413, 4255, 9, 'Mot de passe pour l\'accès à distance au portail patient (laisser le champs vide si vous n\'êtes pas enregistré)');
INSERT INTO `lang_definitions` VALUES (33414, 4258, 9, 'Adresse pour l\'accès à distance au portail patient');
INSERT INTO `lang_definitions` VALUES (33415, 4265, 9, 'Onguent');
INSERT INTO `lang_definitions` VALUES (33416, 4267, 9, 'Confirmer');
INSERT INTO `lang_definitions` VALUES (33417, 4277, 9, 'Omettre');
INSERT INTO `lang_definitions` VALUES (33418, 4387, 9, 'Organisation');
INSERT INTO `lang_definitions` VALUES (33419, 4388, 9, 'Nom de l\'organisation');
INSERT INTO `lang_definitions` VALUES (33420, 4389, 9, 'Nom de l\'unité organisationnelle');
INSERT INTO `lang_definitions` VALUES (33421, 4390, 9, 'Organisations');
INSERT INTO `lang_definitions` VALUES (33422, 4392, 9, 'Original');
INSERT INTO `lang_definitions` VALUES (33423, 4401, 9, 'Osthéopathie');
INSERT INTO `lang_definitions` VALUES (33424, 4402, 9, 'Autre');
INSERT INTO `lang_definitions` VALUES (33425, 4403, 9, 'autre');
INSERT INTO `lang_definitions` VALUES (33426, 4404, 9, 'Autre (préciser)');
INSERT INTO `lang_definitions` VALUES (33427, 4405, 9, 'Autre - Précisé');
INSERT INTO `lang_definitions` VALUES (33428, 4406, 9, 'Autre programme fédéral');
INSERT INTO `lang_definitions` VALUES (33429, 4427, 9, 'Résultat(s)');
INSERT INTO `lang_definitions` VALUES (33430, 4428, 9, 'Prognostic');
INSERT INTO `lang_definitions` VALUES (33431, 4429, 9, 'Type de prognostic');
INSERT INTO `lang_definitions` VALUES (33432, 4430, 9, 'État général au congé');
INSERT INTO `lang_definitions` VALUES (33433, 4434, 9, 'Sucharge pondérale');
INSERT INTO `lang_definitions` VALUES (33434, 4437, 9, 'Saturation d\'O2');
INSERT INTO `lang_definitions` VALUES (33435, 4440, 9, 'pc');
INSERT INTO `lang_definitions` VALUES (33436, 4441, 9, 'pm');
INSERT INTO `lang_definitions` VALUES (33437, 4442, 9, 'prn');
INSERT INTO `lang_definitions` VALUES (33438, 4444, 9, 'Pédiatrique');
INSERT INTO `lang_definitions` VALUES (33439, 4445, 9, 'Page');
INSERT INTO `lang_definitions` VALUES (33440, 4446, 9, 'Pages');
INSERT INTO `lang_definitions` VALUES (33441, 4447, 9, 'Payé');
INSERT INTO `lang_definitions` VALUES (33442, 4450, 9, 'Payé avec');
INSERT INTO `lang_definitions` VALUES (33443, 4451, 9, 'Douleur');
INSERT INTO `lang_definitions` VALUES (33444, 4453, 9, 'Palpitation');
INSERT INTO `lang_definitions` VALUES (33445, 4455, 9, 'Test de Pap');
INSERT INTO `lang_definitions` VALUES (33446, 4458, 9, 'Paralysie');
INSERT INTO `lang_definitions` VALUES (33447, 4472, 9, 'Mot de passe');
INSERT INTO `lang_definitions` VALUES (33448, 4473, 9, 'Modification de mot de passe');
INSERT INTO `lang_definitions` VALUES (33449, 4475, 9, 'Mot de passe modifié');
INSERT INTO `lang_definitions` VALUES (33450, 4486, 9, 'Mot de passe:');
INSERT INTO `lang_definitions` VALUES (33451, 4514, 9, 'Patient');
INSERT INTO `lang_definitions` VALUES (33452, 4515, 9, 'patient');
INSERT INTO `lang_definitions` VALUES (33453, 4516, 9, 'PATIENT');
INSERT INTO `lang_definitions` VALUES (33454, 4521, 9, 'Allergie');
INSERT INTO `lang_definitions` VALUES (33455, 4522, 9, 'Allergie');
INSERT INTO `lang_definitions` VALUES (33456, 4528, 9, 'Numéro de dossier');
INSERT INTO `lang_definitions` VALUES (33457, 5207, 9, 'Panjabi');
INSERT INTO `lang_definitions` VALUES (33458, 5208, 9, 'Achat');
INSERT INTO `lang_definitions` VALUES (33459, 5209, 9, 'Achat / Retour');
INSERT INTO `lang_definitions` VALUES (33460, 5210, 9, 'Achats');
INSERT INTO `lang_definitions` VALUES (33461, 5222, 9, 'Qté.');
INSERT INTO `lang_definitions` VALUES (33462, 5223, 9, 'Qté.');
INSERT INTO `lang_definitions` VALUES (33463, 5224, 9, 'Qualité');
INSERT INTO `lang_definitions` VALUES (33464, 5225, 9, 'Critères de Qualité (CQ)');
INSERT INTO `lang_definitions` VALUES (33465, 5226, 9, 'Quantité');
INSERT INTO `lang_definitions` VALUES (33466, 5228, 9, 'Quantité disponible');
INSERT INTO `lang_definitions` VALUES (33467, 5317, 9, 'Enregistrements');
INSERT INTO `lang_definitions` VALUES (33468, 5318, 9, 'enregistrements trouvés');
INSERT INTO `lang_definitions` VALUES (33469, 5319, 9, 'enregistrements trouvés.');
INSERT INTO `lang_definitions` VALUES (33470, 5322, 9, 'Rectale');
INSERT INTO `lang_definitions` VALUES (33471, 5323, 9, 'Examen Rectal');
INSERT INTO `lang_definitions` VALUES (33472, 5324, 9, 'Voie Rectale');
INSERT INTO `lang_definitions` VALUES (33473, 5326, 9, 'Rougeurs');
INSERT INTO `lang_definitions` VALUES (33474, 5812, 9, 'sept.');
INSERT INTO `lang_definitions` VALUES (33475, 5813, 9, 'Séparé');
INSERT INTO `lang_definitions` VALUES (33476, 5814, 9, 'Septembre');
INSERT INTO `lang_definitions` VALUES (33477, 5815, 9, 'Séq.');
INSERT INTO `lang_definitions` VALUES (33478, 5816, 9, 'Séquence');
INSERT INTO `lang_definitions` VALUES (33479, 5821, 9, 'Service');
INSERT INTO `lang_definitions` VALUES (33480, 5822, 9, 'Catégorie de service');
INSERT INTO `lang_definitions` VALUES (33481, 5823, 9, 'Code de service');
INSERT INTO `lang_definitions` VALUES (33482, 5825, 9, 'Codes service');
INSERT INTO `lang_definitions` VALUES (33483, 5826, 9, 'Date de service');
INSERT INTO `lang_definitions` VALUES (33484, 5827, 9, 'Date de service:');
INSERT INTO `lang_definitions` VALUES (33485, 5829, 9, 'Emplacement du service');
INSERT INTO `lang_definitions` VALUES (33486, 5831, 9, 'Service fourni par un spécialiste');
INSERT INTO `lang_definitions` VALUES (33487, 5834, 9, 'Services');
INSERT INTO `lang_definitions` VALUES (33488, 5835, 9, 'Services par Catégorie');
INSERT INTO `lang_definitions` VALUES (33489, 5836, 9, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (33490, 5837, 9, 'Services fournis');
INSERT INTO `lang_definitions` VALUES (33491, 5838, 9, 'Produits/Services');
INSERT INTO `lang_definitions` VALUES (33492, 5839, 9, 'Type de Service');
INSERT INTO `lang_definitions` VALUES (33493, 5849, 9, 'Réglages');
INSERT INTO `lang_definitions` VALUES (33494, 5851, 9, 'Migraine sévère');
INSERT INTO `lang_definitions` VALUES (33495, 5853, 9, 'Intensité de la douleur');
INSERT INTO `lang_definitions` VALUES (33496, 5854, 9, 'Intensité de la douleur:');
INSERT INTO `lang_definitions` VALUES (33497, 5855, 9, 'Sexe');
INSERT INTO `lang_definitions` VALUES (33498, 5856, 9, 'Maladies sexuellement transmissibles');
INSERT INTO `lang_definitions` VALUES (33499, 6062, 9, 'Espagnol');
INSERT INTO `lang_definitions` VALUES (33500, 6068, 9, 'Spécialiste');
INSERT INTO `lang_definitions` VALUES (33501, 6069, 9, 'Nom et signature du Spécialiste');
INSERT INTO `lang_definitions` VALUES (33502, 6071, 9, 'Spécialité');
INSERT INTO `lang_definitions` VALUES (33503, 6072, 9, 'Systèmes spécialisés');
INSERT INTO `lang_definitions` VALUES (33504, 6073, 9, 'Spécialité:');
INSERT INTO `lang_definitions` VALUES (33505, 6074, 9, 'Spécifique');
INSERT INTO `lang_definitions` VALUES (33506, 6075, 9, 'Spplication spécifique');
INSERT INTO `lang_definitions` VALUES (33507, 6076, 9, 'Service de contraception spécifique');
INSERT INTO `lang_definitions` VALUES (33508, 6077, 9, 'Résultat spécifique');
INSERT INTO `lang_definitions` VALUES (33509, 6078, 9, 'Service spécifique');
INSERT INTO `lang_definitions` VALUES (33510, 6079, 9, 'Spécifiée');
INSERT INTO `lang_definitions` VALUES (33511, 6088, 9, 'Spécimen');
INSERT INTO `lang_definitions` VALUES (33512, 6089, 9, 'Numéro du spécimen/identifiant');
INSERT INTO `lang_definitions` VALUES (33513, 6090, 9, 'Type de spécimen');
INSERT INTO `lang_definitions` VALUES (33514, 6092, 9, 'Dictée vocale');
INSERT INTO `lang_definitions` VALUES (33515, 6093, 9, 'Spermicides');
INSERT INTO `lang_definitions` VALUES (33516, 6094, 9, 'Splénectomie');
INSERT INTO `lang_definitions` VALUES (33517, 6095, 9, 'Conjoint');
INSERT INTO `lang_definitions` VALUES (33518, 6097, 9, 'Crachat');
INSERT INTO `lang_definitions` VALUES (33519, 6098, 9, 'Crachat:');
INSERT INTO `lang_definitions` VALUES (33520, 6102, 9, 'Equipe');
INSERT INTO `lang_definitions` VALUES (33521, 6103, 9, 'Membres déquipe');
INSERT INTO `lang_definitions` VALUES (33522, 6104, 9, 'Equipes');
INSERT INTO `lang_definitions` VALUES (33523, 6114, 9, 'Stabilité');
INSERT INTO `lang_definitions` VALUES (33524, 6116, 9, 'Standard');
INSERT INTO `lang_definitions` VALUES (33525, 6117, 9, 'Code standard');
INSERT INTO `lang_definitions` VALUES (33526, 6118, 9, 'Mesures standard');
INSERT INTO `lang_definitions` VALUES (33527, 6122, 9, 'Nom standard');
INSERT INTO `lang_definitions` VALUES (33528, 6124, 9, 'Début');
INSERT INTO `lang_definitions` VALUES (33529, 6125, 9, 'Début (aaaa-mm-jj): ');
INSERT INTO `lang_definitions` VALUES (33530, 6128, 9, 'Date de début');
INSERT INTO `lang_definitions` VALUES (33531, 6129, 9, 'Date de début dans cette clinique');
INSERT INTO `lang_definitions` VALUES (33532, 6130, 9, 'Date de début ne doit pas être supérieur Date de fin');
INSERT INTO `lang_definitions` VALUES (33533, 6131, 9, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (33534, 6132, 9, 'Date de début:');
INSERT INTO `lang_definitions` VALUES (33535, 6133, 9, 'Heure de début');
INSERT INTO `lang_definitions` VALUES (33536, 6134, 9, 'Date de démarrage');
INSERT INTO `lang_definitions` VALUES (33537, 6693, 9, 'A:');
INSERT INTO `lang_definitions` VALUES (33538, 6694, 9, 'A: ');
INSERT INTO `lang_definitions` VALUES (33539, 6709, 9, 'Intervention en abandon du tabagisme');
INSERT INTO `lang_definitions` VALUES (33540, 6710, 9, 'Intervention en abandon du tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (33541, 6712, 9, 'Tabagisme');
INSERT INTO `lang_definitions` VALUES (33542, 6713, 9, 'Questionnaire sur tabagisme');
INSERT INTO `lang_definitions` VALUES (33543, 6714, 9, 'Questionnaire sur tabagisme (CQC)');
INSERT INTO `lang_definitions` VALUES (33544, 6814, 9, 'Traduction');
INSERT INTO `lang_definitions` VALUES (33545, 6815, 9, 'Traductions');
INSERT INTO `lang_definitions` VALUES (33546, 6816, 9, 'Transmettre');
INSERT INTO `lang_definitions` VALUES (33547, 6817, 9, 'Échec de la transmission');
INSERT INTO `lang_definitions` VALUES (33548, 6818, 9, 'Transmettre les requêtes sélectionnées');
INSERT INTO `lang_definitions` VALUES (33549, 6819, 9, 'Traumatologie');
INSERT INTO `lang_definitions` VALUES (33550, 6820, 9, 'Traitement');
INSERT INTO `lang_definitions` VALUES (33551, 6822, 9, 'Objectifs du traitement');
INSERT INTO `lang_definitions` VALUES (33552, 6823, 9, 'Plan de traitement');
INSERT INTO `lang_definitions` VALUES (33553, 6824, 9, 'Planification du traitement');
INSERT INTO `lang_definitions` VALUES (33554, 6825, 9, 'Traitement reçu');
INSERT INTO `lang_definitions` VALUES (33555, 6826, 9, 'Traitement:');
INSERT INTO `lang_definitions` VALUES (33556, 6827, 9, 'Traitement: ');
INSERT INTO `lang_definitions` VALUES (33557, 6828, 9, 'Tendance');
INSERT INTO `lang_definitions` VALUES (33558, 6831, 9, 'Tri-malléolaire');
INSERT INTO `lang_definitions` VALUES (33559, 6832, 9, 'Thorax et abdomen');
INSERT INTO `lang_definitions` VALUES (33560, 6840, 9, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (33561, 6841, 9, 'Mar.');
INSERT INTO `lang_definitions` VALUES (33562, 6842, 9, 'Mar. &amp; Jeu.');
INSERT INTO `lang_definitions` VALUES (33563, 6843, 9, 'Mardi');
INSERT INTO `lang_definitions` VALUES (33564, 6844, 9, 'Tumeur');
INSERT INTO `lang_definitions` VALUES (33565, 6845, 9, 'Turque');
INSERT INTO `lang_definitions` VALUES (33566, 6848, 9, 'deux fois par jour');
INSERT INTO `lang_definitions` VALUES (33567, 6850, 9, 'Tympan');
INSERT INTO `lang_definitions` VALUES (33568, 6851, 9, 'Type');
INSERT INTO `lang_definitions` VALUES (33569, 6856, 9, 'Configuration de l\'écran');
INSERT INTO `lang_definitions` VALUES (33570, 6857, 9, 'Saisir ou lire l\'identifiant du patient ici');
INSERT INTO `lang_definitions` VALUES (33571, 6858, 9, 'Saisir votre message ici');
INSERT INTO `lang_definitions` VALUES (33572, 6859, 9, 'Types d\'ordonnances et résultats');
INSERT INTO `lang_definitions` VALUES (33573, 6866, 9, 'ulcérations');
INSERT INTO `lang_definitions` VALUES (33574, 6867, 9, 'Colite Ulcéreuse');
INSERT INTO `lang_definitions` VALUES (33575, 6868, 9, 'Ulcères:');
INSERT INTO `lang_definitions` VALUES (33576, 6871, 9, 'Création Impossible');
INSERT INTO `lang_definitions` VALUES (33577, 6876, 9, 'Non Appliquée');
INSERT INTO `lang_definitions` VALUES (33578, 6877, 9, 'Non Attribué');
INSERT INTO `lang_definitions` VALUES (33579, 6878, 9, 'Non autorisé');
INSERT INTO `lang_definitions` VALUES (33580, 6879, 9, 'Accès non autorisé à ePrescription');
INSERT INTO `lang_definitions` VALUES (33581, 6880, 9, 'Accès non autorisé.');
INSERT INTO `lang_definitions` VALUES (33582, 6881, 9, 'Non-facturé');
INSERT INTO `lang_definitions` VALUES (33583, 6882, 9, 'Uniquement Les non Facturés');
INSERT INTO `lang_definitions` VALUES (33584, 6884, 9, 'sous la langue');
INSERT INTO `lang_definitions` VALUES (33585, 6885, 9, 'Insuffisance Pondérale');
INSERT INTO `lang_definitions` VALUES (33586, 6886, 9, 'Non Diagnostiqué');
INSERT INTO `lang_definitions` VALUES (33587, 6887, 9, 'NON RÉPARTI');
INSERT INTO `lang_definitions` VALUES (33588, 6888, 9, 'NON RÉPARTI');
INSERT INTO `lang_definitions` VALUES (33589, 6889, 9, 'non réparti est');
INSERT INTO `lang_definitions` VALUES (33590, 6890, 9, 'Annuler la Vérification');
INSERT INTO `lang_definitions` VALUES (33591, 6892, 9, 'Clients Unique');
INSERT INTO `lang_definitions` VALUES (33592, 6893, 9, 'Identifiant lisible Unique pour ce type');
INSERT INTO `lang_definitions` VALUES (33593, 6894, 9, 'Nouveau Client Unique');
INSERT INTO `lang_definitions` VALUES (33594, 6895, 9, 'Identificateur numérique unique pour ce type');
INSERT INTO `lang_definitions` VALUES (33595, 6896, 9, 'Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (33596, 6897, 9, 'Rapport de Patients Vu Unique');
INSERT INTO `lang_definitions` VALUES (33597, 6898, 9, 'SP Unique');
INSERT INTO `lang_definitions` VALUES (33598, 6899, 9, 'Unité');
INSERT INTO `lang_definitions` VALUES (33599, 6900, 9, 'Unités');
INSERT INTO `lang_definitions` VALUES (33600, 6901, 9, 'unités');
INSERT INTO `lang_definitions` VALUES (33601, 6903, 9, 'Unités pour les Formulaire de Visite');
INSERT INTO `lang_definitions` VALUES (33602, 6904, 9, 'Les unités doivent être un nombre');
INSERT INTO `lang_definitions` VALUES (33603, 6905, 9, 'Unités Indéfinies');
INSERT INTO `lang_definitions` VALUES (33604, 6906, 9, 'Unités / L');
INSERT INTO `lang_definitions` VALUES (33605, 6907, 9, 'Inconnu');
INSERT INTO `lang_definitions` VALUES (33606, 6910, 9, 'Inconnu si déjà fumé');
INSERT INTO `lang_definitions` VALUES (33607, 6911, 9, 'Inconnu ou N/A');
INSERT INTO `lang_definitions` VALUES (33608, 6913, 9, 'Disjoindre patient');
INSERT INTO `lang_definitions` VALUES (33609, 6914, 9, 'AMO sans Nom');
INSERT INTO `lang_definitions` VALUES (33610, 6915, 9, 'non inscrit');
INSERT INTO `lang_definitions` VALUES (33611, 6918, 9, 'Tout dé-sélectionner');
INSERT INTO `lang_definitions` VALUES (33612, 6919, 9, 'non sélectionnés');
INSERT INTO `lang_definitions` VALUES (33613, 6920, 9, 'Non spécifié');
INSERT INTO `lang_definitions` VALUES (33614, 6921, 9, 'non structuré');
INSERT INTO `lang_definitions` VALUES (33615, 6922, 9, 'Fichier de chargement de base de données NON-SUPPORTÉ');
INSERT INTO `lang_definitions` VALUES (33616, 6924, 9, 'jusqu\'à ce');
INSERT INTO `lang_definitions` VALUES (33617, 6925, 9, 'le dépôt intempestif');
INSERT INTO `lang_definitions` VALUES (33618, 6926, 9, 'Inutilisé');
INSERT INTO `lang_definitions` VALUES (33619, 6928, 9, 'Jusqu\'à');
INSERT INTO `lang_definitions` VALUES (33620, 6929, 9, 'Prochains Rendez-vous');
INSERT INTO `lang_definitions` VALUES (33621, 6930, 9, 'Événements à venir');
INSERT INTO `lang_definitions` VALUES (33622, 6931, 9, 'Mise à jour');
INSERT INTO `lang_definitions` VALUES (33623, 6932, 9, 'mise à jour');
INSERT INTO `lang_definitions` VALUES (33624, 6933, 9, 'Mise à jour Actif');
INSERT INTO `lang_definitions` VALUES (33625, 6934, 9, 'Mise à jour de fichiers');
INSERT INTO `lang_definitions` VALUES (33626, 6935, 9, 'Info de Mise à Jour');
INSERT INTO `lang_definitions` VALUES (33627, 6936, 9, 'Liste de Mise à jour');
INSERT INTO `lang_definitions` VALUES (33628, 6937, 9, 'Mettre à jour le Numéro de fournisseur');
INSERT INTO `lang_definitions` VALUES (33629, 6938, 9, 'Mettre à jour les éléments sélectionnés');
INSERT INTO `lang_definitions` VALUES (33630, 6939, 9, 'Mettre à jour les variables suivantes dans le fichier');
INSERT INTO `lang_definitions` VALUES (33631, 6940, 9, 'Mettre à jour les données utilisateur');
INSERT INTO `lang_definitions` VALUES (33632, 6942, 9, 'Mise à jour des données démographiques n\'est pas autorisée.');
INSERT INTO `lang_definitions` VALUES (33633, 6943, 9, 'Mettre à niveau les valeurs initiales des paramètres globaux');
INSERT INTO `lang_definitions` VALUES (33634, 6944, 9, 'Mettre à niveau les indicateurs de version');
INSERT INTO `lang_definitions` VALUES (33635, 6945, 9, 'MISE À NIVEAU');
INSERT INTO `lang_definitions` VALUES (33636, 6946, 9, 'Mise à niveau');
INSERT INTO `lang_definitions` VALUES (33637, 6947, 9, 'Mise à niveau de Base de Données');
INSERT INTO `lang_definitions` VALUES (33638, 6948, 9, 'Mises à niveau la base de données LibreEHR afin d\'inclure les Procédures, Fonctions et tables nécessaires au processus de De-identification');
INSERT INTO `lang_definitions` VALUES (33639, 6949, 9, 'Mise à niveau va continuer');
INSERT INTO `lang_definitions` VALUES (33640, 6951, 9, 'Transférer');
INSERT INTO `lang_definitions` VALUES (33641, 6954, 9, 'Transférer les données de configuration');
INSERT INTO `lang_definitions` VALUES (33642, 6955, 9, 'Transférer le Document');
INSERT INTO `lang_definitions` VALUES (33643, 6956, 9, 'Échec du transfert!');
INSERT INTO `lang_definitions` VALUES (33644, 6957, 9, 'Transférer l\'image à');
INSERT INTO `lang_definitions` VALUES (33645, 6958, 9, 'Transférer le fichier d\'import :');
INSERT INTO `lang_definitions` VALUES (33646, 6961, 9, 'Transférer le Rapport');
INSERT INTO `lang_definitions` VALUES (33647, 6963, 9, 'Transférer ce fichier:');
INSERT INTO `lang_definitions` VALUES (33648, 6966, 9, 'Haut du bras');
INSERT INTO `lang_definitions` VALUES (33649, 6968, 9, 'Urgence');
INSERT INTO `lang_definitions` VALUES (33650, 6970, 9, 'Urine');
INSERT INTO `lang_definitions` VALUES (33651, 6971, 9, 'Miction Goutte à Goutte');
INSERT INTO `lang_definitions` VALUES (33652, 6972, 9, 'Fréquence des Mictions');
INSERT INTO `lang_definitions` VALUES (33653, 6973, 9, 'Hésitation d\'Urine');
INSERT INTO `lang_definitions` VALUES (33654, 6974, 9, 'Microalbumine urinaire');
INSERT INTO `lang_definitions` VALUES (33655, 6975, 9, 'Jet d\'Urine');
INSERT INTO `lang_definitions` VALUES (33656, 6976, 9, 'Urgence urinaire');
INSERT INTO `lang_definitions` VALUES (33657, 6977, 9, 'URL');
INSERT INTO `lang_definitions` VALUES (33658, 6979, 9, 'URL pour le support LibreEHR.');
INSERT INTO `lang_definitions` VALUES (33659, 6981, 9, 'URL pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (33660, 6986, 9, 'Indicateur d\'Utilisation (ISA15)');
INSERT INTO `lang_definitions` VALUES (33661, 6987, 9, 'Utiliser % seul dans un champ afin de trier uniquement sur cette colonne');
INSERT INTO `lang_definitions` VALUES (33662, 6988, 9, 'Utiliser le format 24 heures?');
INSERT INTO `lang_definitions` VALUES (33663, 6990, 9, 'Utiliser la technologie certifiée DSE pour identifier des ressources d\'éducation spécifique à chaque patient et de fournir les ressources nécessaires pour le patient, le cas échéant.');
INSERT INTO `lang_definitions` VALUES (33664, 6991, 9, 'Utilisez le Panel des Frais');
INSERT INTO `lang_definitions` VALUES (33665, 6992, 9, 'Utilisez CPOE pour les commandes de médication entrés directement par tout professionnel de santé agréé qui peut entrer des commandes dans le dossier médical par Etat, directives locales et professionnelles.');
INSERT INTO `lang_definitions` VALUES (33666, 6997, 9, 'Utiliser la liste de vaccination personnalisée');
INSERT INTO `lang_definitions` VALUES (33667, 6999, 9, 'Utiliser Intervalle de dates');
INSERT INTO `lang_definitions` VALUES (33668, 7000, 9, 'Utiliser les Valeurs par Défaut');
INSERT INTO `lang_definitions` VALUES (33669, 7001, 9, 'Utilisez l\'Option Supprimer pour le Retirer.');
INSERT INTO `lang_definitions` VALUES (33670, 7002, 9, 'Utilisez le style de date international?');
INSERT INTO `lang_definitions` VALUES (33671, 7003, 9, 'Utiliser le nom du fichier source');
INSERT INTO `lang_definitions` VALUES (33672, 7004, 9, 'Utilisez le champs ci-dessous pour un achat ou un transfert.');
INSERT INTO `lang_definitions` VALUES (33673, 7005, 9, 'Utilisez cette fonction uniquement avec des sites nouvellement installés, ');
INSERT INTO `lang_definitions` VALUES (33674, 7006, 9, 'Utilisez les sujets?');
INSERT INTO `lang_definitions` VALUES (33675, 7007, 9, 'Utilisateur');
INSERT INTO `lang_definitions` VALUES (33676, 7009, 9, 'Utilisateur / Groupes');
INSERT INTO `lang_definitions` VALUES (33677, 7010, 9, 'Administration des Utilisateurs');
INSERT INTO `lang_definitions` VALUES (33678, 7011, 9, 'Administration des Utilisateurs et Services');
INSERT INTO `lang_definitions` VALUES (33679, 7012, 9, 'Administration des Utilisateurs et Groupe');
INSERT INTO `lang_definitions` VALUES (33680, 7014, 9, 'Certificat d\'Authentification Utilisateur est désactivé');
INSERT INTO `lang_definitions` VALUES (33681, 7015, 9, 'Défini par l\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (33682, 7016, 9, 'Défini par l\'Utilisateur Zone 11');
INSERT INTO `lang_definitions` VALUES (33683, 7017, 9, 'Défini par l\'Utilisateur Zone 12');
INSERT INTO `lang_definitions` VALUES (33684, 7018, 9, 'Défini par l\'Utilisateur Champ');
INSERT INTO `lang_definitions` VALUES (33685, 7019, 9, 'Défini par l\'Utilisateur Liste 1');
INSERT INTO `lang_definitions` VALUES (33686, 7020, 9, 'Défini par l\'Utilisateur Liste 2');
INSERT INTO `lang_definitions` VALUES (33687, 7021, 9, 'Défini par l\'Utilisateur Liste 3');
INSERT INTO `lang_definitions` VALUES (33688, 7022, 9, 'Défini par l\'Utilisateur Liste 4');
INSERT INTO `lang_definitions` VALUES (33689, 7023, 9, 'Défini par l\'Utilisateur Liste 5');
INSERT INTO `lang_definitions` VALUES (33690, 7024, 9, 'Défini par l\'Utilisateur Liste 6');
INSERT INTO `lang_definitions` VALUES (33691, 7025, 9, 'Défini par l\'Utilisateur Liste 7');
INSERT INTO `lang_definitions` VALUES (33692, 7026, 9, 'Défini par l\'Utilisateur Texte 1');
INSERT INTO `lang_definitions` VALUES (33693, 7027, 9, 'Défini par l\'Utilisateur Texte 2');
INSERT INTO `lang_definitions` VALUES (33694, 7028, 9, 'Défini par l\'Utilisateur Texte 3');
INSERT INTO `lang_definitions` VALUES (33695, 7029, 9, 'Défini par l\'Utilisateur Texte 4');
INSERT INTO `lang_definitions` VALUES (33696, 7030, 9, 'Défini par l\'Utilisateur Texte 5');
INSERT INTO `lang_definitions` VALUES (33697, 7031, 9, 'Défini par l\'Utilisateur Texte 6');
INSERT INTO `lang_definitions` VALUES (33698, 7032, 9, 'Défini par l\'Utilisateur Texte 7');
INSERT INTO `lang_definitions` VALUES (33699, 7033, 9, 'Défini par l\'Utilisateur Texte 8');
INSERT INTO `lang_definitions` VALUES (33700, 7034, 9, 'Prénom utilisateur');
INSERT INTO `lang_definitions` VALUES (33701, 7039, 9, 'Manuel Utilisateur');
INSERT INTO `lang_definitions` VALUES (33702, 7040, 9, 'Affiliations d\'Utilisateur');
INSERT INTO `lang_definitions` VALUES (33703, 7041, 9, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (33704, 7042, 9, 'Nom d\'Utilisateur ou le nom d\'Hôte ne peut pas être vide');
INSERT INTO `lang_definitions` VALUES (33705, 7043, 9, 'Utilisateur ou nom d\'Hôte');
INSERT INTO `lang_definitions` VALUES (33706, 7046, 9, 'Paramètres Utilisateur');
INSERT INTO `lang_definitions` VALUES (33707, 7047, 9, 'Paramètre Utilisateur Spécifique');
INSERT INTO `lang_definitions` VALUES (33708, 7049, 9, 'Nom Utilisateur');
INSERT INTO `lang_definitions` VALUES (33709, 7051, 9, 'Nom utilisateur pour la passerelle téléphonique. Service automatisé VOIP offert par Maviq. Veuillez visitez http://signup.maviq.com pour plus d\'informations.');
INSERT INTO `lang_definitions` VALUES (33710, 7052, 9, 'Nom Utilisateur pour la Passerelle SMS');
INSERT INTO `lang_definitions` VALUES (33711, 7053, 9, 'Nom Utilisateur pour la Passerelle SMS.');
INSERT INTO `lang_definitions` VALUES (33712, 7055, 9, 'Nom Utilisateur:');
INSERT INTO `lang_definitions` VALUES (33713, 7056, 9, 'Utilisateurs');
INSERT INTO `lang_definitions` VALUES (33714, 7057, 9, 'Utilisateurs/Groupes/Journaux d\'Administration');
INSERT INTO `lang_definitions` VALUES (33715, 7058, 9, 'Utilise le format php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (33716, 7059, 9, 'Infections Urinaires');
INSERT INTO `lang_definitions` VALUES (33717, 7062, 9, 'Vacances');
INSERT INTO `lang_definitions` VALUES (33718, 7063, 9, 'Vacances');
INSERT INTO `lang_definitions` VALUES (33719, 7064, 9, 'vaccin');
INSERT INTO `lang_definitions` VALUES (33720, 7065, 9, 'Anneau Vaginal');
INSERT INTO `lang_definitions` VALUES (33721, 7066, 9, 'Discours d\'adieu');
INSERT INTO `lang_definitions` VALUES (33722, 7067, 9, 'valider');
INSERT INTO `lang_definitions` VALUES (33723, 7068, 9, 'Valeur');
INSERT INTO `lang_definitions` VALUES (33724, 7069, 9, 'Valeur 1');
INSERT INTO `lang_definitions` VALUES (33725, 7070, 9, 'Valeur 2');
INSERT INTO `lang_definitions` VALUES (33726, 7072, 9, 'La Valeur doit être numérique');
INSERT INTO `lang_definitions` VALUES (33727, 7073, 9, 'Var1');
INSERT INTO `lang_definitions` VALUES (33728, 7074, 9, 'Var2');
INSERT INTO `lang_definitions` VALUES (33729, 7076, 9, 'Varicelle 1');
INSERT INTO `lang_definitions` VALUES (33730, 7077, 9, 'Varicelle 2');
INSERT INTO `lang_definitions` VALUES (33731, 7078, 9, 'Varices');
INSERT INTO `lang_definitions` VALUES (33732, 7079, 9, 'Etat vasculaire');
INSERT INTO `lang_definitions` VALUES (33733, 7080, 9, 'Lésion vasculaire');
INSERT INTO `lang_definitions` VALUES (33734, 7081, 9, 'Chirurgie Vasculaire');
INSERT INTO `lang_definitions` VALUES (33735, 7083, 9, 'Vendeur');
INSERT INTO `lang_definitions` VALUES (33736, 7084, 9, 'Version');
INSERT INTO `lang_definitions` VALUES (33737, 7085, 9, 'Vertige');
INSERT INTO `lang_definitions` VALUES (33738, 7086, 9, 'Ministère des anciens combattants');
INSERT INTO `lang_definitions` VALUES (33739, 7087, 9, 'Régime des anciens combattants');
INSERT INTO `lang_definitions` VALUES (33740, 7089, 9, 'Vietnamien');
INSERT INTO `lang_definitions` VALUES (33741, 7090, 9, 'vue');
INSERT INTO `lang_definitions` VALUES (33742, 7091, 9, 'Vue');
INSERT INTO `lang_definitions` VALUES (33743, 7092, 9, 'Afficher les Allergies');
INSERT INTO `lang_definitions` VALUES (33744, 7097, 9, 'Afficher le rapport globale du patient');
INSERT INTO `lang_definitions` VALUES (33745, 7100, 9, 'Afficher le document');
INSERT INTO `lang_definitions` VALUES (33746, 7101, 9, 'Afficher la visite');
INSERT INTO `lang_definitions` VALUES (33747, 7103, 9, 'Afficher les événements dans une fenêtre popup?');
INSERT INTO `lang_definitions` VALUES (33748, 7108, 9, 'Afficher la Page 1');
INSERT INTO `lang_definitions` VALUES (33749, 7109, 9, 'Afficher la Page 2');
INSERT INTO `lang_definitions` VALUES (33750, 7111, 9, 'Afficher le Patient');
INSERT INTO `lang_definitions` VALUES (33751, 7116, 9, 'Afficher les visites liées');
INSERT INTO `lang_definitions` VALUES (33752, 7121, 9, 'Afficher/Editer les Allergies');
INSERT INTO `lang_definitions` VALUES (33753, 7122, 9, 'Afficher/Editer problème');
INSERT INTO `lang_definitions` VALUES (33754, 7123, 9, 'Afficher/Imprimer');
INSERT INTO `lang_definitions` VALUES (33755, 7124, 9, 'Vue:');
INSERT INTO `lang_definitions` VALUES (33756, 7125, 9, 'VISA');
INSERT INTO `lang_definitions` VALUES (33757, 7127, 9, 'Dommages/Traumatisme/Chirurgie Viscérale');
INSERT INTO `lang_definitions` VALUES (33758, 7133, 9, 'Catégorie la Visite:');
INSERT INTO `lang_definitions` VALUES (33759, 7134, 9, 'Date Visite');
INSERT INTO `lang_definitions` VALUES (33760, 7137, 9, 'Formulaires de Visite');
INSERT INTO `lang_definitions` VALUES (33761, 7138, 9, 'Historique des Visites');
INSERT INTO `lang_definitions` VALUES (33762, 7140, 9, 'Visites');
INSERT INTO `lang_definitions` VALUES (33763, 7141, 9, 'Visites depuis');
INSERT INTO `lang_definitions` VALUES (33764, 7142, 9, 'Signes vitaux');
INSERT INTO `lang_definitions` VALUES (33765, 7143, 9, 'Vitaux');
INSERT INTO `lang_definitions` VALUES (33766, 7144, 9, 'Signes vitaux (métrique)');
INSERT INTO `lang_definitions` VALUES (33767, 7146, 9, 'Voix');
INSERT INTO `lang_definitions` VALUES (33768, 7147, 9, 'Voix transmise');
INSERT INTO `lang_definitions` VALUES (33769, 7149, 9, 'Vomissements');
INSERT INTO `lang_definitions` VALUES (33770, 7152, 9, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (33771, 7153, 9, 'Tour de taille');
INSERT INTO `lang_definitions` VALUES (33772, 7154, 9, 'En attente');
INSERT INTO `lang_definitions` VALUES (33773, 7158, 9, 'Entrepôt');
INSERT INTO `lang_definitions` VALUES (33774, 7161, 9, 'Entrepôts');
INSERT INTO `lang_definitions` VALUES (33775, 7162, 9, 'Chaud');
INSERT INTO `lang_definitions` VALUES (33776, 7163, 9, 'Attention');
INSERT INTO `lang_definitions` VALUES (33777, 7164, 9, 'ATTENTION');
INSERT INTO `lang_definitions` VALUES (33778, 7166, 9, 'Attention, Numéro de Chèque existe déjà dans la base de données');
INSERT INTO `lang_definitions` VALUES (33779, 7168, 9, 'Attention: Une visite est déjà créé pour ce patient aujourd\'hui!');
INSERT INTO `lang_definitions` VALUES (33780, 7170, 9, 'Attention: l\'ID du Patient n\'est pas unique!');
INSERT INTO `lang_definitions` VALUES (33781, 7171, 9, 'AVERISSEMENT: Cette action va remplacer les données de la configuration par ceux du fichier téléchargé!');
INSERT INTO `lang_definitions` VALUES (33782, 7173, 9, 'Avertissements');
INSERT INTO `lang_definitions` VALUES (33783, 7175, 9, 'déjà transféré');
INSERT INTO `lang_definitions` VALUES (33784, 7177, 9, 'Nous apprécions le paiement rapide des soldes exigibles');
INSERT INTO `lang_definitions` VALUES (33785, 7178, 9, 'nous avons vu votre patient, référencé ci-dessus, pour l\'évaluation et le traitement dans notre clinique de psychiatrie ambulatoire. Je vous remercie de cette saisine.');
INSERT INTO `lang_definitions` VALUES (33786, 7179, 9, 'Faiblesses');
INSERT INTO `lang_definitions` VALUES (33787, 7181, 9, 'Recherche Web');
INSERT INTO `lang_definitions` VALUES (33788, 7182, 9, 'Site Web');
INSERT INTO `lang_definitions` VALUES (33789, 7184, 9, 'mer.');
INSERT INTO `lang_definitions` VALUES (33790, 7185, 9, 'Mercredi');
INSERT INTO `lang_definitions` VALUES (33791, 7186, 9, 'Semaine');
INSERT INTO `lang_definitions` VALUES (33792, 7187, 9, 'semaine');
INSERT INTO `lang_definitions` VALUES (33793, 7188, 9, 'Vue Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (33794, 7189, 9, 'Semaine(s)');
INSERT INTO `lang_definitions` VALUES (33795, 7190, 9, 'Expositions Hebdomadaire');
INSERT INTO `lang_definitions` VALUES (33796, 7192, 9, 'Semaines');
INSERT INTO `lang_definitions` VALUES (33797, 7193, 9, 'Poids');
INSERT INTO `lang_definitions` VALUES (33798, 7194, 9, 'Évaluation du poids et de conseils aux enfants et les adolescents');
INSERT INTO `lang_definitions` VALUES (33799, 7195, 9, 'Évaluation du poids et de conseils aux enfants et les adolescents (CQM)');
INSERT INTO `lang_definitions` VALUES (33800, 7196, 9, 'Changement de Poids');
INSERT INTO `lang_definitions` VALUES (33801, 7197, 9, 'Perte de Poids');
INSERT INTO `lang_definitions` VALUES (33802, 7198, 9, 'Clinique de perte de poids');
INSERT INTO `lang_definitions` VALUES (33803, 7199, 9, 'Bienvenue');
INSERT INTO `lang_definitions` VALUES (33804, 7202, 9, 'Que faut-il comptés?');
INSERT INTO `lang_definitions` VALUES (33805, 7203, 9, 'Sifflements:');
INSERT INTO `lang_definitions` VALUES (33806, 7204, 9, 'Sifflement');
INSERT INTO `lang_definitions` VALUES (33807, 7205, 9, 'Sifflement:');
INSERT INTO `lang_definitions` VALUES (33808, 7208, 9, 'Où se trouvent les documents ou papier numérisés?');
INSERT INTO `lang_definitions` VALUES (33809, 7211, 9, 'Coup de lapin');
INSERT INTO `lang_definitions` VALUES (33810, 7212, 9, 'Blanc');
INSERT INTO `lang_definitions` VALUES (33811, 7213, 9, 'Qui');
INSERT INTO `lang_definitions` VALUES (33812, 7214, 9, 'Qui a répondu?');
INSERT INTO `lang_definitions` VALUES (33813, 7215, 9, 'Veuf(ve)');
INSERT INTO `lang_definitions` VALUES (33814, 7217, 9, 'Largeur en pixels du cadre gauche de navigation.');
INSERT INTO `lang_definitions` VALUES (33815, 7221, 9, 'Avec la sélection:');
INSERT INTO `lang_definitions` VALUES (33816, 7222, 9, 'avec l\'ancien nom');
INSERT INTO `lang_definitions` VALUES (33817, 7224, 9, 'Avec qui pouvons-nous laisser un message?');
INSERT INTO `lang_definitions` VALUES (33818, 7225, 9, 'Retenu');
INSERT INTO `lang_definitions` VALUES (33819, 7226, 9, 'en quelques heures');
INSERT INTO `lang_definitions` VALUES (33820, 7227, 9, 'en quelques heures:');
INSERT INTO `lang_definitions` VALUES (33821, 7228, 9, 'en quelques minutes');
INSERT INTO `lang_definitions` VALUES (33822, 7229, 9, 'en quelques minutes:');
INSERT INTO `lang_definitions` VALUES (33823, 7232, 9, 'Sans mise à jour');
INSERT INTO `lang_definitions` VALUES (33824, 7233, 9, 'Témoignage');
INSERT INTO `lang_definitions` VALUES (33825, 7234, 9, 'semaine');
INSERT INTO `lang_definitions` VALUES (33826, 7237, 9, 'Femme');
INSERT INTO `lang_definitions` VALUES (33827, 7238, 9, 'Femmes Seulement');
INSERT INTO `lang_definitions` VALUES (33828, 7240, 9, 'Travaux');
INSERT INTO `lang_definitions` VALUES (33829, 7241, 9, 'NOTE DE TRAVAIL');
INSERT INTO `lang_definitions` VALUES (33830, 7242, 9, 'Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (33831, 7243, 9, 'Numéro de Téléphone Professionnel');
INSERT INTO `lang_definitions` VALUES (33832, 7244, 9, 'Les travaux liés?');
INSERT INTO `lang_definitions` VALUES (33833, 7245, 9, 'Travail/ Education/ Loisirs');
INSERT INTO `lang_definitions` VALUES (33834, 7246, 9, 'Travail/ Note Scolaire');
INSERT INTO `lang_definitions` VALUES (33835, 7247, 9, 'jour ouvrable');
INSERT INTO `lang_definitions` VALUES (33836, 7249, 9, 'Régime d\'indemnisation du personnel de santé');
INSERT INTO `lang_definitions` VALUES (33837, 7252, 9, 'Pire');
INSERT INTO `lang_definitions` VALUES (33838, 7253, 9, 'Souhaitez-vous imputer le montant qui reste sur le Compte Global?');
INSERT INTO `lang_definitions` VALUES (33839, 7254, 9, 'Voulez-vous qu\'ils soient marqués comme compensés.');
INSERT INTO `lang_definitions` VALUES (33840, 7255, 9, 'Vous souhaitez allouer?');
INSERT INTO `lang_definitions` VALUES (33841, 7256, 9, 'Voulez-vous Annuler Répartition de ce Patient?');
INSERT INTO `lang_definitions` VALUES (33842, 7257, 9, 'Voulez-vous Supprimer Répartition du paiement?');
INSERT INTO `lang_definitions` VALUES (33843, 7258, 9, 'Voulez-vous Supprimer les Paiements?');
INSERT INTO `lang_definitions` VALUES (33844, 7259, 9, 'Voulez-vous Modifier et Terminer les Paiements?');
INSERT INTO `lang_definitions` VALUES (33845, 7260, 9, 'Voulez-vous Modifier les Paiements?');
INSERT INTO `lang_definitions` VALUES (33846, 7261, 9, 'Voulez-vous Poster et Terminer Les Paiements?');
INSERT INTO `lang_definitions` VALUES (33847, 7262, 9, 'Voulez-vous Poster les Paiements?');
INSERT INTO `lang_definitions` VALUES (33848, 7263, 9, 'Voulez-vous Sauvegarder?');
INSERT INTO `lang_definitions` VALUES (33849, 7264, 9, 'Poignet');
INSERT INTO `lang_definitions` VALUES (33850, 7265, 9, 'Poignet et main');
INSERT INTO `lang_definitions` VALUES (33851, 7266, 9, 'Problèmes de Poignet');
INSERT INTO `lang_definitions` VALUES (33852, 7267, 9, 'écrire');
INSERT INTO `lang_definitions` VALUES (33853, 7268, 9, 'radiation');
INSERT INTO `lang_definitions` VALUES (33854, 7270, 9, 'avec quelques');
INSERT INTO `lang_definitions` VALUES (33855, 7271, 9, 'POIDS');
INSERT INTO `lang_definitions` VALUES (33856, 7273, 9, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (33857, 7274, 9, 'x Annulé');
INSERT INTO `lang_definitions` VALUES (33858, 7275, 9, 'Rayon X');
INSERT INTO `lang_definitions` VALUES (33859, 7276, 9, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (33860, 7277, 9, 'Interprétation Rayon X:');
INSERT INTO `lang_definitions` VALUES (33861, 7278, 9, 'X12 uniquement: Demande de Remplacement ');
INSERT INTO `lang_definitions` VALUES (33862, 7279, 9, 'X12 Partenaire');
INSERT INTO `lang_definitions` VALUES (33863, 7280, 9, 'X12 Partenaires');
INSERT INTO `lang_definitions` VALUES (33864, 7285, 9, 'année');
INSERT INTO `lang_definitions` VALUES (33865, 7286, 9, 'année');
INSERT INTO `lang_definitions` VALUES (33866, 7287, 9, 'Vue Annuelle');
INSERT INTO `lang_definitions` VALUES (33867, 7288, 9, 'Année(s)');
INSERT INTO `lang_definitions` VALUES (33868, 7289, 9, 'Années');
INSERT INTO `lang_definitions` VALUES (33869, 7290, 9, 'Années ou mois');
INSERT INTO `lang_definitions` VALUES (33870, 7291, 9, 'Années, mois et jours');
INSERT INTO `lang_definitions` VALUES (33871, 7292, 9, 'OUI');
INSERT INTO `lang_definitions` VALUES (33872, 7293, 9, 'Oui');
INSERT INTO `lang_definitions` VALUES (33873, 7294, 9, 'oui');
INSERT INTO `lang_definitions` VALUES (33874, 7295, 9, 'OUI!');
INSERT INTO `lang_definitions` VALUES (33875, 7296, 9, 'Oui, supprimer et enregistrer');
INSERT INTO `lang_definitions` VALUES (33876, 7298, 9, 'Oui/Non');
INSERT INTO `lang_definitions` VALUES (33877, 7299, 9, 'Oui:');
INSERT INTO `lang_definitions` VALUES (33878, 7300, 9, 'Yidich');
INSERT INTO `lang_definitions` VALUES (33879, 7303, 9, 'Vous allez définitivement remplacer le modèle existant. Etes-vous sûr de vouloir continuer?');
INSERT INTO `lang_definitions` VALUES (33880, 7304, 9, 'Vous êtes en période de connexion supplémentaire. Changez votre mot de passe avant');
INSERT INTO `lang_definitions` VALUES (33881, 7305, 9, 'Vous n\'êtes pas autorisé à supprimer cet événement');
INSERT INTO `lang_definitions` VALUES (33882, 7306, 9, 'Vous n\'êtes pas autorisé à modifier l\'événement');
INSERT INTO `lang_definitions` VALUES (33883, 7307, 9, 'Vous n\'êtes pas autorisé pour cela.');
INSERT INTO `lang_definitions` VALUES (33884, 7308, 9, 'Vous n\'êtes pas autorisé à accéder à cette équipe.');
INSERT INTO `lang_definitions` VALUES (33885, 7309, 9, 'Vous n\'êtes pas autorisé à ajouter/modifier ces sujets');
INSERT INTO `lang_definitions` VALUES (33886, 7310, 9, 'Vous n\'êtes pas autorisé à planifier des rendez.');
INSERT INTO `lang_definitions` VALUES (33887, 7311, 9, 'Vous n\'êtes pas autorisé de voir cette visite.');
INSERT INTO `lang_definitions` VALUES (33888, 7313, 9, 'Vous ne pouvez pas accéder à cette fonctionnalité directement.');
INSERT INTO `lang_definitions` VALUES (33889, 7314, 9, 'Vous ne pouvez accéder à cette page directement.');
INSERT INTO `lang_definitions` VALUES (33890, 7315, 9, 'Vous ne pouvez ajouter une valeur vide pour une catégorie!');
INSERT INTO `lang_definitions` VALUES (33891, 7316, 9, 'Vous ne pouvez ajouter une valeur vide pour une sous-catégorie!');
INSERT INTO `lang_definitions` VALUES (33892, 7317, 9, 'Vous ne pouvez ajouter une valeur vide pour un élément!');
INSERT INTO `lang_definitions` VALUES (33893, 7318, 9, 'Vous ne pouvez pas entrer une date future avec une valeur OUI (YES) introduite.');
INSERT INTO `lang_definitions` VALUES (33894, 7319, 9, 'Vous n\'avez sélectionné aucune action.');
INSERT INTO `lang_definitions` VALUES (33895, 7320, 9, 'Vous n\'avez pas accès pour voir/éditer cette note');
INSERT INTO `lang_definitions` VALUES (33896, 7321, 9, 'Vous avez tenté de modifier un contenu qui est verrouillé. Retirez le verrou si vous voulez faire cela. Pour déverrouiller, supprimer la ligne, \'/*lock ::*/\'');
INSERT INTO `lang_definitions` VALUES (33897, 7322, 9, 'Vous avez été déconnecter avec succès.');
INSERT INTO `lang_definitions` VALUES (33898, 7323, 9, 'Vous ne pouvez transférer que les fichiers .txt');
INSERT INTO `lang_definitions` VALUES (33899, 7324, 9, 'Vous pouvez télécharger des résultats en format HL7 à partir d\'un fichier');
INSERT INTO `lang_definitions` VALUES (33900, 7325, 9, 'Vous pouvez mettre insérer ici la plainte par défaut dans le formulaire Nouvelle Visite du Patient.');
INSERT INTO `lang_definitions` VALUES (33901, 7326, 9, 'Vous devez entrer un mot de passe pour crypter le document');
INSERT INTO `lang_definitions` VALUES (33902, 7327, 9, 'Vous devez saisir votre mot de passe pour modifier les mots de passe des utilisateurs. Veuillez laisser vide pour que le mot de passe demeure inchangé.');
INSERT INTO `lang_definitions` VALUES (33903, 7329, 9, 'Vous devez d\'abord sélectionner ou ajouter un patient.');
INSERT INTO `lang_definitions` VALUES (33904, 7330, 9, 'Vous devez d\'abord sélectionner ou créer une visite.');
INSERT INTO `lang_definitions` VALUES (33905, 7331, 9, 'Vous devez sélectionner une catégorie de visite');
INSERT INTO `lang_definitions` VALUES (33906, 7332, 9, 'Vous devez sélectionner une catégorie de visite.');
INSERT INTO `lang_definitions` VALUES (33907, 7333, 9, 'Vous devez sélectionner des champs pour continuer.');
INSERT INTO `lang_definitions` VALUES (33908, 7335, 9, 'Vous devez sélectionner au moins un contexte');
INSERT INTO `lang_definitions` VALUES (33909, 7336, 9, 'Vous devez sélectionner au moins un Prestataire');
INSERT INTO `lang_definitions` VALUES (33910, 7338, 9, 'Votre rapport clinique');
INSERT INTO `lang_definitions` VALUES (33911, 7339, 9, 'Votre date fin est invalide');
INSERT INTO `lang_definitions` VALUES (33912, 7340, 9, 'Votre événement a été supprimé.');
INSERT INTO `lang_definitions` VALUES (33913, 7341, 9, 'Votre événement a été modifié.');
INSERT INTO `lang_definitions` VALUES (33914, 7342, 9, 'Votre événement a été soumis.');
INSERT INTO `lang_definitions` VALUES (33915, 7343, 9, 'Votre fichier est trop grand');
INSERT INTO `lang_definitions` VALUES (33916, 7344, 9, 'Vos résultats de laboratoire');
INSERT INTO `lang_definitions` VALUES (33917, 7345, 9, 'Votre nom de liste a été modifiée pour répondre aux exigences de nommage.');
INSERT INTO `lang_definitions` VALUES (33918, 7346, 9, 'Votre message a été soumis pour être livré à');
INSERT INTO `lang_definitions` VALUES (33919, 7347, 9, 'Votre nom pour cette catégorie, procédure ou résultat');
INSERT INTO `lang_definitions` VALUES (33920, 7348, 9, 'Votre mot de passe');
INSERT INTO `lang_definitions` VALUES (33921, 7349, 9, 'Votre mot de passe a expiré. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (33922, 7350, 9, 'Votre mot de passe expire le');
INSERT INTO `lang_definitions` VALUES (33923, 7351, 9, 'Votre mot de passe expire aujourd\'hui. Veuillez changer votre mot de passe.');
INSERT INTO `lang_definitions` VALUES (33924, 7352, 9, 'Votre mot de passe sert de signature');
INSERT INTO `lang_definitions` VALUES (33925, 7353, 9, 'Votre configuration PostCalendar est réinitialisé par les paramètres par défaut.');
INSERT INTO `lang_definitions` VALUES (33926, 7354, 9, 'Votre configuration PostCalendar est actualisé.');
INSERT INTO `lang_definitions` VALUES (33927, 7355, 9, 'Votre fréquence de répétition doit être un entier.');
INSERT INTO `lang_definitions` VALUES (33928, 7356, 9, 'Votre fréquence de répétition doit être au moins 1.');
INSERT INTO `lang_definitions` VALUES (33929, 7357, 9, 'Votre date début est supérieure à la date fin');
INSERT INTO `lang_definitions` VALUES (33930, 7358, 9, 'Votre date début est invalide');
INSERT INTO `lang_definitions` VALUES (33931, 7359, 9, 'Votre soumission a échoué.');
INSERT INTO `lang_definitions` VALUES (33932, 7360, 9, 'aaaa-mm-jj');
INSERT INTO `lang_definitions` VALUES (33933, 7361, 9, 'AAAA-MM-JJ');
INSERT INTO `lang_definitions` VALUES (33934, 7362, 9, 'aaaa-mm-jj date associé à ce document');
INSERT INTO `lang_definitions` VALUES (33935, 7363, 9, 'aaaa-mm-jj date de destruction');
INSERT INTO `lang_definitions` VALUES (33936, 7364, 9, 'aaaa-mm-jj date de naissance');
INSERT INTO `lang_definitions` VALUES (33937, 7365, 9, 'aaaa-mm-jj Date de Naissance');
INSERT INTO `lang_definitions` VALUES (33938, 7366, 9, 'aaaa-mm-jj date d\'expiration');
INSERT INTO `lang_definitions` VALUES (33939, 7367, 9, 'aaaa-mm-jj Date du début ou de l\'hospitalisation');
INSERT INTO `lang_definitions` VALUES (33940, 7368, 9, 'aaaa-mm-jj date du début, chirurgie ou début de médication');
INSERT INTO `lang_definitions` VALUES (33941, 7369, 9, 'aaaa-mm-jj date d\'achat ou transfert');
INSERT INTO `lang_definitions` VALUES (33942, 7370, 9, 'aaaa-mm-jj date de récupération et fin de médication');
INSERT INTO `lang_definitions` VALUES (33943, 7371, 9, 'aaaa-mm-jj Date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (33944, 7372, 9, 'aaaa-mm-jj Date de service');
INSERT INTO `lang_definitions` VALUES (33945, 7373, 9, 'aaaa-mm-jj date de cette lettre');
INSERT INTO `lang_definitions` VALUES (33946, 7374, 9, 'aaaa-mm-jj date de retour au jeu');
INSERT INTO `lang_definitions` VALUES (33947, 7375, 9, 'aaaa-mm-jj date du document');
INSERT INTO `lang_definitions` VALUES (33948, 7376, 9, 'aaaa-mm-jj date d\'évènement ou de début');
INSERT INTO `lang_definitions` VALUES (33949, 7377, 9, 'yyyy-mm-dd H:m Date de fin');
INSERT INTO `lang_definitions` VALUES (33950, 7378, 9, 'yyyy-mm-dd H:m Date de fin');
INSERT INTO `lang_definitions` VALUES (33951, 7379, 9, 'yyyy-mm-dd H:m Date de début');
INSERT INTO `lang_definitions` VALUES (33952, 7380, 9, 'yyyy-mm-dd H:m Date de début');
INSERT INTO `lang_definitions` VALUES (33953, 7381, 9, 'aaaa-mm-jj hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (33954, 7383, 9, 'aaaa-mm-jj dernière date de l\'événement');
INSERT INTO `lang_definitions` VALUES (33955, 7387, 9, 'Zéro');
INSERT INTO `lang_definitions` VALUES (33956, 7389, 9, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (33957, 7390, 9, 'Code Postal');
INSERT INTO `lang_definitions` VALUES (33958, 7391, 9, 'Code Postal/Pays:');
INSERT INTO `lang_definitions` VALUES (33959, 7392, 9, 'Zoulou');
INSERT INTO `lang_definitions` VALUES (33960, 7393, 9, ' mais étais ');
INSERT INTO `lang_definitions` VALUES (33961, 7394, 9, ' ne peut être accédé');
INSERT INTO `lang_definitions` VALUES (33962, 7395, 9, 'Voulez-vous vraiment supprimer');
INSERT INTO `lang_definitions` VALUES (33963, 7396, 9, 'Médicament');
INSERT INTO `lang_definitions` VALUES (33964, 7397, 9, 'email non envoyé');
INSERT INTO `lang_definitions` VALUES (33965, 7398, 9, 'de');
INSERT INTO `lang_definitions` VALUES (33966, 7399, 9, 'a été crée ');
INSERT INTO `lang_definitions` VALUES (33967, 7400, 9, 'a été ré-ouvert');
INSERT INTO `lang_definitions` VALUES (33968, 7401, 9, 'Histoire');
INSERT INTO `lang_definitions` VALUES (33969, 7402, 9, 'n\'est pas un nombre');
INSERT INTO `lang_definitions` VALUES (33970, 7403, 9, 'est prêt à une ré-facturation');
INSERT INTO `lang_definitions` VALUES (33971, 7405, 9, 'Lot');
INSERT INTO `lang_definitions` VALUES (33972, 7406, 9, 'N° Référence d\'Origine Assurance Maladie ');
INSERT INTO `lang_definitions` VALUES (33973, 7407, 9, 'min');
INSERT INTO `lang_definitions` VALUES (33974, 7408, 9, 'introuvable!');
INSERT INTO `lang_definitions` VALUES (33975, 7409, 9, 'Particularités dans de nombreux navigateurs peut signifier que la sortie ci-dessous entre votre écran par saccades brusques et qu\'il y a de longues pauses de plusieurs secondes, où il semble que les choses peuvent avoir écrasé. Ce n\'est pas le cas, vous finirez par voir la sortie sortant ligne par ligne. Il y a peut-être des numéros séquentiels apparaissant ci-dessous, ce n\'est pour indiquer que même si rien d\'autre peut-être il y a une activité affichant passe. Ces numéros seront entrecoupés avec le contenu de la facturation et c\'est normal.');
INSERT INTO `lang_definitions` VALUES (33976, 7410, 9, 'ordonnance a atteint sa limite de');
INSERT INTO `lang_definitions` VALUES (33977, 7411, 9, 'jusqu\'à');
INSERT INTO `lang_definitions` VALUES (33978, 7412, 9, 'mise à jour échoué, pas dans la base de données?');
INSERT INTO `lang_definitions` VALUES (33979, 7413, 9, 'a été marqué comme facturé uniquement.');
INSERT INTO `lang_definitions` VALUES (33980, 7414, 9, 'a été mis en file d\'attente avec succès.');
INSERT INTO `lang_definitions` VALUES (33981, 7415, 9, '! Laissé w/o visite');
INSERT INTO `lang_definitions` VALUES (33982, 7416, 9, '\" pour le code');
INSERT INTO `lang_definitions` VALUES (33983, 7417, 9, '\" est activé dans les règles du Calendrier!');
INSERT INTO `lang_definitions` VALUES (33984, 7419, 9, 'nb de comprimés:');
INSERT INTO `lang_definitions` VALUES (33985, 7421, 9, '$ Codage fait');
INSERT INTO `lang_definitions` VALUES (33986, 7422, 9, '$label (aaaa-mm-jj): ');
INSERT INTO `lang_definitions` VALUES (33987, 7423, 9, '%');
INSERT INTO `lang_definitions` VALUES (33988, 7424, 9, '% Annulé < 24h');
INSERT INTO `lang_definitions` VALUES (33989, 7425, 9, '% Annulé < 24h ');
INSERT INTO `lang_definitions` VALUES (33990, 7426, 9, 'devrait exister mais au contraire.');
INSERT INTO `lang_definitions` VALUES (33991, 7427, 9, '(% correspond à toute chaîne, _ à tout caractères)');
INSERT INTO `lang_definitions` VALUES (33992, 7429, 9, '(Arrière)');
INSERT INTO `lang_definitions` VALUES (33993, 7430, 9, '(Cliquez pour modifier)');
INSERT INTO `lang_definitions` VALUES (33994, 7431, 9, '(Livraison Email est immédiat, tandis que le VOIP automatisés est envoyé au fournisseur de service pour un traitement ultérieur.)');
INSERT INTO `lang_definitions` VALUES (33995, 7432, 9, '(Plus)');
INSERT INTO `lang_definitions` VALUES (33996, 7433, 9, '(Nouveau Patient)');
INSERT INTO `lang_definitions` VALUES (33997, 7434, 9, '(Notes et Autorisations)');
INSERT INTO `lang_definitions` VALUES (33998, 7435, 9, '(Notes sur le Patient)');
INSERT INTO `lang_definitions` VALUES (33999, 7436, 9, '(Veuillez electionner parmi eux ou saisir votre propre titre)');
INSERT INTO `lang_definitions` VALUES (34000, 7437, 9, '(Shift-)Cliquer ou glisser pour modifier la valeur');
INSERT INTO `lang_definitions` VALUES (34001, 7438, 9, '* Rappel effectué');
INSERT INTO `lang_definitions` VALUES (34002, 7439, 9, '** Veuillez déplacer les chirurgies vers les problèmes cliniques!');
INSERT INTO `lang_definitions` VALUES (34003, 7440, 9, '*Obligatoire');
INSERT INTO `lang_definitions` VALUES (34004, 7441, 9, '+ Diagramme retiré');
INSERT INTO `lang_definitions` VALUES (34005, 7442, 9, '- Aucun');
INSERT INTO `lang_definitions` VALUES (34006, 7443, 9, '-- Tous --');
INSERT INTO `lang_definitions` VALUES (34007, 7444, 9, '--Sélectionner un rôle--');
INSERT INTO `lang_definitions` VALUES (34008, 7446, 9, '0');
INSERT INTO `lang_definitions` VALUES (34009, 7447, 9, '0-11');
INSERT INTO `lang_definitions` VALUES (34010, 7448, 9, '0-25');
INSERT INTO `lang_definitions` VALUES (34011, 7452, 9, '1 = Amérique du Nord. Voir http://www.wtng.info/ pour la liste des codes des autres pays.');
INSERT INTO `lang_definitions` VALUES (34012, 7453, 9, 'Dans une journée');
INSERT INTO `lang_definitions` VALUES (34013, 7454, 9, 'Dans un mois');
INSERT INTO `lang_definitions` VALUES (34014, 7455, 9, 'Dans une semaine');
INSERT INTO `lang_definitions` VALUES (34015, 7456, 9, 'Dans un an');
INSERT INTO `lang_definitions` VALUES (34016, 7457, 9, '1. Repos 2. Glace pour deux jours 3. Compression, laissez le pansement en place à moins que le pied ne développe un engourdissement ou a une couleur pâle 4. Surélever le pied et la jambe');
INSERT INTO `lang_definitions` VALUES (34017, 7458, 9, '11-14');
INSERT INTO `lang_definitions` VALUES (34018, 7459, 9, '12 H');
INSERT INTO `lang_definitions` VALUES (34019, 7460, 9, '15-20');
INSERT INTO `lang_definitions` VALUES (34020, 7461, 9, '1er');
INSERT INTO `lang_definitions` VALUES (34021, 7462, 9, '2');
INSERT INTO `lang_definitions` VALUES (34022, 7463, 9, 'Dans 2 jours');
INSERT INTO `lang_definitions` VALUES (34023, 7464, 9, 'Dans 2 mois');
INSERT INTO `lang_definitions` VALUES (34024, 7465, 9, 'Dans 2 semaines');
INSERT INTO `lang_definitions` VALUES (34025, 7466, 9, 'Dans 2 mois');
INSERT INTO `lang_definitions` VALUES (34026, 7467, 9, '2-20 ans');
INSERT INTO `lang_definitions` VALUES (34027, 7468, 9, '20-25');
INSERT INTO `lang_definitions` VALUES (34028, 7477, 9, '2111-14');
INSERT INTO `lang_definitions` VALUES (34029, 7478, 9, '24 H');
INSERT INTO `lang_definitions` VALUES (34030, 7479, 9, '25+');
INSERT INTO `lang_definitions` VALUES (34031, 7480, 9, '25-30');
INSERT INTO `lang_definitions` VALUES (34032, 7481, 9, '2ème');
INSERT INTO `lang_definitions` VALUES (34033, 7482, 9, 'Dans 3 jours');
INSERT INTO `lang_definitions` VALUES (34034, 7483, 9, '3 mois');
INSERT INTO `lang_definitions` VALUES (34035, 7484, 9, 'Dans 3 mois');
INSERT INTO `lang_definitions` VALUES (34036, 7485, 9, '3 fois par jour');
INSERT INTO `lang_definitions` VALUES (34037, 7486, 9, 'Dans 3 semaines');
INSERT INTO `lang_definitions` VALUES (34038, 7487, 9, '30-35');
INSERT INTO `lang_definitions` VALUES (34039, 7488, 9, '35-40');
INSERT INTO `lang_definitions` VALUES (34040, 7489, 9, '3ème');
INSERT INTO `lang_definitions` VALUES (34041, 7490, 9, 'Dans 4 jours');
INSERT INTO `lang_definitions` VALUES (34042, 7491, 9, '4 mois');
INSERT INTO `lang_definitions` VALUES (34043, 7492, 9, 'Dans 4 mois');
INSERT INTO `lang_definitions` VALUES (34044, 7493, 9, '4 fois par jour');
INSERT INTO `lang_definitions` VALUES (34045, 7494, 9, 'Dans 4 semaines');
INSERT INTO `lang_definitions` VALUES (34046, 7498, 9, '466.0, Bronchite, Aiguë NOS');
INSERT INTO `lang_definitions` VALUES (34047, 7499, 9, '486.0, Pneumonie, Aiguë');
INSERT INTO `lang_definitions` VALUES (34048, 7501, 9, '491.8, Bronchite, Chronique');
INSERT INTO `lang_definitions` VALUES (34049, 7502, 9, '493.92, Asthme, Exacerbés Aiguë.');
INSERT INTO `lang_definitions` VALUES (34050, 7504, 9, '4ème');
INSERT INTO `lang_definitions` VALUES (34051, 7505, 9, 'Dans 5 jours');
INSERT INTO `lang_definitions` VALUES (34052, 7506, 9, 'Dans 5 mois');
INSERT INTO `lang_definitions` VALUES (34053, 7507, 9, 'Dans 5 semaines');
INSERT INTO `lang_definitions` VALUES (34054, 7508, 9, '519.7, Broncho-spasme');
INSERT INTO `lang_definitions` VALUES (34055, 7509, 9, '5ème');
INSERT INTO `lang_definitions` VALUES (34056, 7510, 9, 'Dans 6 jours');
INSERT INTO `lang_definitions` VALUES (34057, 7511, 9, '6 mois');
INSERT INTO `lang_definitions` VALUES (34058, 7512, 9, 'Dans 6 mois');
INSERT INTO `lang_definitions` VALUES (34059, 7513, 9, 'Dans 6 semaines');
INSERT INTO `lang_definitions` VALUES (34060, 7514, 9, '6ème');
INSERT INTO `lang_definitions` VALUES (34061, 7515, 9, 'Dans 7 mois');
INSERT INTO `lang_definitions` VALUES (34062, 7516, 9, 'Dans 8 mois');
INSERT INTO `lang_definitions` VALUES (34063, 7517, 9, '824.0 Fracture, malléole interne, fermée');
INSERT INTO `lang_definitions` VALUES (34064, 7518, 9, '824.2 Fracture, malléole latérale, fermée');
INSERT INTO `lang_definitions` VALUES (34065, 7519, 9, '824.6 Fracture, tri-malléolaires, fermé');
INSERT INTO `lang_definitions` VALUES (34066, 7520, 9, '825,32 Fracture, de la Naviculaire (cheville)');
INSERT INTO `lang_definitions` VALUES (34067, 7521, 9, '825,35 Fracture, Base de cinquième (5ème) Métatarsien');
INSERT INTO `lang_definitions` VALUES (34068, 7522, 9, '845,00 entorse de la cheville NOS');
INSERT INTO `lang_definitions` VALUES (34069, 7523, 9, '845,01 Entorse Médial (deltoïde) Lig.');
INSERT INTO `lang_definitions` VALUES (34070, 7524, 9, '845,02 Entorse, péroné calcanéum');
INSERT INTO `lang_definitions` VALUES (34071, 7525, 9, 'Dans 9 mois');
INSERT INTO `lang_definitions` VALUES (34072, 7526, 9, '99212 Installé - sans complication');
INSERT INTO `lang_definitions` VALUES (34073, 7527, 9, '99213 Installé - faible complication');
INSERT INTO `lang_definitions` VALUES (34074, 7528, 9, '< En salle d\'examen');
INSERT INTO `lang_definitions` VALUES (34075, 7529, 9, '> Vérifié');
INSERT INTO `lang_definitions` VALUES (34076, 7530, 9, '?');
INSERT INTO `lang_definitions` VALUES (34077, 7531, 9, '? Ne s\'est pas présenté');
INSERT INTO `lang_definitions` VALUES (34078, 7532, 9, '@ Arrivé');
INSERT INTO `lang_definitions` VALUES (34079, 7533, 9, '[Changer de Vue]');
INSERT INTO `lang_definitions` VALUES (34080, 7534, 9, '[Date de Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (34081, 7535, 9, '[Jours Depuis Dernière Visite]');
INSERT INTO `lang_definitions` VALUES (34082, 7537, 9, '[Exporter OFX]');
INSERT INTO `lang_definitions` VALUES (34083, 7538, 9, '[déconseillé]');
INSERT INTO `lang_definitions` VALUES (34084, 7539, 9, '[Nombre De Visites]');
INSERT INTO `lang_definitions` VALUES (34085, 7540, 9, '[Rapports]');
INSERT INTO `lang_definitions` VALUES (34086, 7541, 9, '[Sélectionner Tout]');
INSERT INTO `lang_definitions` VALUES (34087, 7542, 9, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (34088, 7543, 9, '[Début de Traitement par Lots]');
INSERT INTO `lang_definitions` VALUES (34089, 7544, 9, '[Afficher le Journal]');
INSERT INTO `lang_definitions` VALUES (34090, 7545, 9, '[Afficher Rapport Imprimable]');
INSERT INTO `lang_definitions` VALUES (34091, 7546, 9, '_PC_DUR_HEURES');
INSERT INTO `lang_definitions` VALUES (34092, 7547, 9, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (34093, 7548, 9, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (34094, 7549, 9, '~ Arrivé en retard');
INSERT INTO `lang_definitions` VALUES (34095, 2, 10, 'Et betalingsnummer til å identifisere betalingen');
INSERT INTO `lang_definitions` VALUES (34096, 10, 10, 'Et serienummer kreves!');
INSERT INTO `lang_definitions` VALUES (34097, 15, 10, 'En pasient med dette navnet eksisterer allerede.');
INSERT INTO `lang_definitions` VALUES (34098, 20, 10, 'En relatert IPPF kode trenges');
INSERT INTO `lang_definitions` VALUES (34099, 21, 10, 'Spesialtegn');
INSERT INTO `lang_definitions` VALUES (34100, 34, 10, 'Unormal');
INSERT INTO `lang_definitions` VALUES (34101, 35, 10, 'Unormal Blodprøve');
INSERT INTO `lang_definitions` VALUES (34102, 36, 10, 'Unormal Hårvekst');
INSERT INTO `lang_definitions` VALUES (34103, 39, 10, 'Abort');
INSERT INTO `lang_definitions` VALUES (34104, 43, 10, 'Aborter');
INSERT INTO `lang_definitions` VALUES (34105, 44, 10, 'Om kalenderen');
INSERT INTO `lang_definitions` VALUES (34106, 47, 10, 'Akseptere Jobb');
INSERT INTO `lang_definitions` VALUES (34107, 49, 10, 'Akseptere penger for ');
INSERT INTO `lang_definitions` VALUES (34108, 50, 10, 'Akseptere jobb');
INSERT INTO `lang_definitions` VALUES (34109, 51, 10, 'Tilgangs kontroll');
INSERT INTO `lang_definitions` VALUES (34110, 59, 10, 'Kontonavn');
INSERT INTO `lang_definitions` VALUES (34111, 62, 10, 'Regnskap');
INSERT INTO `lang_definitions` VALUES (34112, 74, 10, 'Handling');
INSERT INTO `lang_definitions` VALUES (34113, 75, 10, 'Handlinger');
INSERT INTO `lang_definitions` VALUES (34114, 78, 10, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (34115, 82, 10, 'Aktivt møte');
INSERT INTO `lang_definitions` VALUES (34116, 85, 10, 'Aktiv Pasient');
INSERT INTO `lang_definitions` VALUES (34117, 87, 10, 'Aktivitet');
INSERT INTO `lang_definitions` VALUES (34118, 88, 10, 'Aktivitets type');
INSERT INTO `lang_definitions` VALUES (34119, 93, 10, 'legg til');
INSERT INTO `lang_definitions` VALUES (34120, 94, 10, 'Legg til');
INSERT INTO `lang_definitions` VALUES (34121, 96, 10, 'Legg til en Bedrift');
INSERT INTO `lang_definitions` VALUES (34122, 98, 10, 'Legg til et Apotek');
INSERT INTO `lang_definitions` VALUES (34123, 100, 10, 'Legg til en hendelse for ');
INSERT INTO `lang_definitions` VALUES (34124, 102, 10, 'Legg til som ny');
INSERT INTO `lang_definitions` VALUES (34125, 106, 10, 'Legg til kategori');
INSERT INTO `lang_definitions` VALUES (34126, 107, 10, 'Legg til konstant');
INSERT INTO `lang_definitions` VALUES (34127, 110, 10, 'Legg til kriterie');
INSERT INTO `lang_definitions` VALUES (34128, 113, 10, 'Legg til medisin');
INSERT INTO `lang_definitions` VALUES (34129, 114, 10, 'Legg til Møte');
INSERT INTO `lang_definitions` VALUES (34130, 116, 10, 'Legg til Lokale');
INSERT INTO `lang_definitions` VALUES (34131, 119, 10, 'Legg til gruppe');
INSERT INTO `lang_definitions` VALUES (34132, 123, 10, 'Legg til problem');
INSERT INTO `lang_definitions` VALUES (34133, 125, 10, 'Legg til språk');
INSERT INTO `lang_definitions` VALUES (34134, 126, 10, 'Legg til ny');
INSERT INTO `lang_definitions` VALUES (34135, 128, 10, 'Legg til ny kategori : ');
INSERT INTO `lang_definitions` VALUES (34136, 132, 10, 'Legg til ny gruppe');
INSERT INTO `lang_definitions` VALUES (34137, 135, 10, 'Legg til nytt notat');
INSERT INTO `lang_definitions` VALUES (34138, 137, 10, 'Legg til ny partner');
INSERT INTO `lang_definitions` VALUES (34139, 140, 10, 'Legg til notat');
INSERT INTO `lang_definitions` VALUES (34140, 141, 10, 'Legg til pasient historie');
INSERT INTO `lang_definitions` VALUES (34141, 142, 10, 'Legg til Resept');
INSERT INTO `lang_definitions` VALUES (34142, 146, 10, 'Legg til Regel');
INSERT INTO `lang_definitions` VALUES (34143, 148, 10, 'Legg til medisin liste');
INSERT INTO `lang_definitions` VALUES (34144, 150, 10, 'Legg til Transaksjon');
INSERT INTO `lang_definitions` VALUES (34145, 151, 10, 'Legg til bruker');
INSERT INTO `lang_definitions` VALUES (34146, 152, 10, 'Legg til bruker til gruppe');
INSERT INTO `lang_definitions` VALUES (34147, 161, 10, 'Flere diagnoser:');
INSERT INTO `lang_definitions` VALUES (34148, 162, 10, 'Mere historie');
INSERT INTO `lang_definitions` VALUES (34149, 164, 10, 'Mere info');
INSERT INTO `lang_definitions` VALUES (34150, 168, 10, 'Flere notater:');
INSERT INTO `lang_definitions` VALUES (34151, 169, 10, 'Flere notater: ');
INSERT INTO `lang_definitions` VALUES (34152, 170, 10, 'Flere røntgen notater:');
INSERT INTO `lang_definitions` VALUES (34153, 175, 10, 'Adresse');
INSERT INTO `lang_definitions` VALUES (34154, 178, 10, 'Adressebok');
INSERT INTO `lang_definitions` VALUES (34155, 187, 10, 'adresse1');
INSERT INTO `lang_definitions` VALUES (34156, 188, 10, 'adresse2');
INSERT INTO `lang_definitions` VALUES (34157, 192, 10, 'Justér');
INSERT INTO `lang_definitions` VALUES (34158, 196, 10, 'Justerings verdi for kode ');
INSERT INTO `lang_definitions` VALUES (34159, 197, 10, 'Justeringer');
INSERT INTO `lang_definitions` VALUES (34160, 198, 10, 'Adm juster');
INSERT INTO `lang_definitions` VALUES (34161, 199, 10, 'Admin');
INSERT INTO `lang_definitions` VALUES (34162, 200, 10, 'Admin Email Adresse');
INSERT INTO `lang_definitions` VALUES (34163, 203, 10, 'Administrert Av');
INSERT INTO `lang_definitions` VALUES (34164, 206, 10, 'Administrasjon');
INSERT INTO `lang_definitions` VALUES (34165, 219, 10, 'Råd');
INSERT INTO `lang_definitions` VALUES (34166, 221, 10, 'Påvirker normalt');
INSERT INTO `lang_definitions` VALUES (34167, 223, 10, 'Ringninger etter stengetid');
INSERT INTO `lang_definitions` VALUES (34168, 230, 10, 'Etter informasjonen er skrevet inn slik den skal, trykk lagre knappen');
INSERT INTO `lang_definitions` VALUES (34169, 233, 10, 'Igjen');
INSERT INTO `lang_definitions` VALUES (34170, 234, 10, 'Alder');
INSERT INTO `lang_definitions` VALUES (34171, 235, 10, 'Alder etter');
INSERT INTO `lang_definitions` VALUES (34172, 236, 10, 'Alder kategori');
INSERT INTO `lang_definitions` VALUES (34173, 239, 10, 'Alder formatet for \"Age fra\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (34174, 240, 10, 'Alder formatet for \"alder opp til\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (34175, 241, 10, 'Alder fra');
INSERT INTO `lang_definitions` VALUES (34176, 247, 10, 'Aldrings kolonner:');
INSERT INTO `lang_definitions` VALUES (34177, 250, 10, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (34178, 259, 10, 'Alle');
INSERT INTO `lang_definitions` VALUES (34179, 266, 10, 'Alle kategorier');
INSERT INTO `lang_definitions` VALUES (34180, 269, 10, 'Alle dager');
INSERT INTO `lang_definitions` VALUES (34181, 270, 10, 'Heldags hendelse');
INSERT INTO `lang_definitions` VALUES (34182, 272, 10, 'Alle Lokaler');
INSERT INTO `lang_definitions` VALUES (34183, 276, 10, 'Alt eller deler av det fornavnet');
INSERT INTO `lang_definitions` VALUES (34184, 277, 10, 'Alt eller deler av etternavnet');
INSERT INTO `lang_definitions` VALUES (34185, 280, 10, 'Alle Produkter');
INSERT INTO `lang_definitions` VALUES (34186, 282, 10, 'Alt Gjennomsett og Negative:');
INSERT INTO `lang_definitions` VALUES (34187, 283, 10, 'Alle Emner');
INSERT INTO `lang_definitions` VALUES (34188, 284, 10, 'Alle Brukere');
INSERT INTO `lang_definitions` VALUES (34189, 286, 10, 'Allergier:');
INSERT INTO `lang_definitions` VALUES (34190, 287, 10, 'Allergier:');
INSERT INTO `lang_definitions` VALUES (34191, 288, 10, 'Allergi');
INSERT INTO `lang_definitions` VALUES (34192, 291, 10, 'Allergireaksjon');
INSERT INTO `lang_definitions` VALUES (34193, 299, 10, 'Tillat Epost');
INSERT INTO `lang_definitions` VALUES (34194, 309, 10, 'Tillat SMS');
INSERT INTO `lang_definitions` VALUES (34195, 310, 10, 'Tillat SMS (Tekstmeldinger)?');
INSERT INTO `lang_definitions` VALUES (34196, 311, 10, 'Tillatt sendte hendelser til å bli gjort aktive nå?');
INSERT INTO `lang_definitions` VALUES (34197, 313, 10, 'Tillatt bruker å publisere Globale Hendelser');
INSERT INTO `lang_definitions` VALUES (34198, 314, 10, 'Tillat brukere til å publisere Personlige kallendere');
INSERT INTO `lang_definitions` VALUES (34199, 316, 10, 'Tillatt');
INSERT INTO `lang_definitions` VALUES (34200, 325, 10, 'Allerede i bruk, velg en annen');
INSERT INTO `lang_definitions` VALUES (34201, 326, 10, 'Allerede i bruk, velg en annen titel');
INSERT INTO `lang_definitions` VALUES (34202, 327, 10, 'Alternativ adresse');
INSERT INTO `lang_definitions` VALUES (34203, 347, 10, 'Mengde');
INSERT INTO `lang_definitions` VALUES (34204, 351, 10, 'Mengde for dette besøket');
INSERT INTO `lang_definitions` VALUES (34205, 352, 10, 'Mengde Betalt');
INSERT INTO `lang_definitions` VALUES (34206, 353, 10, 'Mengde:');
INSERT INTO `lang_definitions` VALUES (34207, 365, 10, 'Og');
INSERT INTO `lang_definitions` VALUES (34208, 368, 10, 'og ');
INSERT INTO `lang_definitions` VALUES (34209, 375, 10, 'Ankel');
INSERT INTO `lang_definitions` VALUES (34210, 376, 10, 'Ankel + hel');
INSERT INTO `lang_definitions` VALUES (34211, 377, 10, 'Ankel Evaluerings Skjema');
INSERT INTO `lang_definitions` VALUES (34212, 378, 10, 'Ankel Problemer');
INSERT INTO `lang_definitions` VALUES (34213, 386, 10, 'Hvilken som helst');
INSERT INTO `lang_definitions` VALUES (34214, 388, 10, 'Hvilken som helst av den ønskede kode eller dens forklarinng');
INSERT INTO `lang_definitions` VALUES (34215, 396, 10, 'Utseende');
INSERT INTO `lang_definitions` VALUES (34216, 397, 10, 'Utseende:');
INSERT INTO `lang_definitions` VALUES (34217, 401, 10, 'Henvis til denne notisen');
INSERT INTO `lang_definitions` VALUES (34218, 413, 10, 'Bruk på påvirket område');
INSERT INTO `lang_definitions` VALUES (34219, 414, 10, 'Bruk på hud');
INSERT INTO `lang_definitions` VALUES (34220, 418, 10, 'Avtale dato');
INSERT INTO `lang_definitions` VALUES (34221, 421, 10, 'Avtale status');
INSERT INTO `lang_definitions` VALUES (34222, 423, 10, 'Avtale innenfor');
INSERT INTO `lang_definitions` VALUES (34223, 425, 10, 'Avtaler');
INSERT INTO `lang_definitions` VALUES (34224, 430, 10, 'Avtaler og hendelser');
INSERT INTO `lang_definitions` VALUES (34225, 431, 10, 'Avtale rapport');
INSERT INTO `lang_definitions` VALUES (34226, 432, 10, 'Avtale-Hendelses Rapport');
INSERT INTO `lang_definitions` VALUES (34227, 434, 10, 'Godkjenn');
INSERT INTO `lang_definitions` VALUES (34228, 436, 10, 'Godkjent');
INSERT INTO `lang_definitions` VALUES (34229, 443, 10, 'April');
INSERT INTO `lang_definitions` VALUES (34230, 455, 10, 'Er du sikker på at du vil godkjenne disse hendelsene?');
INSERT INTO `lang_definitions` VALUES (34231, 460, 10, 'Er du sikker på at du vil slette disse hendelsene?');
INSERT INTO `lang_definitions` VALUES (34232, 464, 10, 'Er du sikker på at du vil redigere disse hendelsene?');
INSERT INTO `lang_definitions` VALUES (34233, 465, 10, 'Er du sikker på at du vil skjule disse hendelsene?');
INSERT INTO `lang_definitions` VALUES (34234, 467, 10, 'Er du sikker på at du vil se på disse hendelsene?');
INSERT INTO `lang_definitions` VALUES (34235, 472, 10, 'Er du sikker på at du vil fortsette med disse handlingene?');
INSERT INTO `lang_definitions` VALUES (34236, 473, 10, 'Område ikke spesifisert');
INSERT INTO `lang_definitions` VALUES (34237, 482, 10, 'Fra og med');
INSERT INTO `lang_definitions` VALUES (34238, 489, 10, 'Assistent');
INSERT INTO `lang_definitions` VALUES (34239, 497, 10, 'Atletisk/skade');
INSERT INTO `lang_definitions` VALUES (34240, 503, 10, 'Oppmerksomhet');
INSERT INTO `lang_definitions` VALUES (34241, 517, 10, 'August');
INSERT INTO `lang_definitions` VALUES (34242, 525, 10, 'Tilganger');
INSERT INTO `lang_definitions` VALUES (34243, 526, 10, 'Gi tilgang');
INSERT INTO `lang_definitions` VALUES (34244, 530, 10, 'Har tilgang');
INSERT INTO `lang_definitions` VALUES (34245, 532, 10, 'Auto send');
INSERT INTO `lang_definitions` VALUES (34246, 552, 10, 'Tilgjengelige tider');
INSERT INTO `lang_definitions` VALUES (34247, 566, 10, 'Rygg');
INSERT INTO `lang_definitions` VALUES (34248, 567, 10, 'rygg');
INSERT INTO `lang_definitions` VALUES (34249, 575, 10, 'Rygg Problemer');
INSERT INTO `lang_definitions` VALUES (34250, 578, 10, 'Rygg operasjon');
INSERT INTO `lang_definitions` VALUES (34251, 590, 10, 'Sikkerhets kopi');
INSERT INTO `lang_definitions` VALUES (34252, 598, 10, 'Balanse');
INSERT INTO `lang_definitions` VALUES (34253, 620, 10, 'Start');
INSERT INTO `lang_definitions` VALUES (34254, 621, 10, 'Start Dato');
INSERT INTO `lang_definitions` VALUES (34255, 623, 10, 'Start dato for service åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (34256, 636, 10, 'Regnings Dato:');
INSERT INTO `lang_definitions` VALUES (34257, 660, 10, 'Rapport for regninger');
INSERT INTO `lang_definitions` VALUES (34258, 663, 10, 'Regning til ');
INSERT INTO `lang_definitions` VALUES (34259, 666, 10, 'Fødelses Dato');
INSERT INTO `lang_definitions` VALUES (34260, 672, 10, 'Blære kreft');
INSERT INTO `lang_definitions` VALUES (34261, 673, 10, 'Blære infeksjon');
INSERT INTO `lang_definitions` VALUES (34262, 678, 10, 'Blokkert');
INSERT INTO `lang_definitions` VALUES (34263, 682, 10, 'Blodig nese');
INSERT INTO `lang_definitions` VALUES (34264, 685, 10, 'Tåkete syn');
INSERT INTO `lang_definitions` VALUES (34265, 689, 10, 'Kropps region');
INSERT INTO `lang_definitions` VALUES (34266, 698, 10, 'Begge ører');
INSERT INTO `lang_definitions` VALUES (34267, 699, 10, 'Bunn');
INSERT INTO `lang_definitions` VALUES (34268, 701, 10, 'BOX 10 A. Ansettelses relatert ');
INSERT INTO `lang_definitions` VALUES (34269, 702, 10, 'BOX 10 B. Bil ulykke ');
INSERT INTO `lang_definitions` VALUES (34270, 703, 10, 'BOX 10 C. Annen ulykke ');
INSERT INTO `lang_definitions` VALUES (34271, 708, 10, 'BOX 16. Kan ikke arbeide fra dato (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (34272, 709, 10, 'BOX 16. Kan ikke arbeide til dato (åååå-mm-dd)');
INSERT INTO `lang_definitions` VALUES (34273, 723, 10, 'Bryst');
INSERT INTO `lang_definitions` VALUES (34274, 727, 10, 'Brystundersøkelse');
INSERT INTO `lang_definitions` VALUES (34275, 730, 10, 'Puste Lyder:');
INSERT INTO `lang_definitions` VALUES (34276, 732, 10, 'Brukne Bein');
INSERT INTO `lang_definitions` VALUES (34277, 735, 10, 'Se igjennom');
INSERT INTO `lang_definitions` VALUES (34278, 744, 10, 'Opptatt');
INSERT INTO `lang_definitions` VALUES (34279, 748, 10, 'av');
INSERT INTO `lang_definitions` VALUES (34280, 750, 10, 'av mund');
INSERT INTO `lang_definitions` VALUES (34281, 751, 10, 'Av/Skilde');
INSERT INTO `lang_definitions` VALUES (34282, 752, 10, 'Av:');
INSERT INTO `lang_definitions` VALUES (34283, 758, 10, 'Kalender');
INSERT INTO `lang_definitions` VALUES (34284, 764, 10, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (34285, 774, 10, 'avbryt');
INSERT INTO `lang_definitions` VALUES (34286, 777, 10, 'Kreft');
INSERT INTO `lang_definitions` VALUES (34287, 790, 10, 'Kan ikke lage');
INSERT INTO `lang_definitions` VALUES (34288, 795, 10, 'Kan ikke finne ');
INSERT INTO `lang_definitions` VALUES (34289, 803, 10, 'Kan ikke åpne ');
INSERT INTO `lang_definitions` VALUES (34290, 812, 10, 'Kapsul');
INSERT INTO `lang_definitions` VALUES (34291, 813, 10, 'Kort');
INSERT INTO `lang_definitions` VALUES (34292, 824, 10, 'penger');
INSERT INTO `lang_definitions` VALUES (34293, 825, 10, 'Penger');
INSERT INTO `lang_definitions` VALUES (34294, 831, 10, 'Kategorier');
INSERT INTO `lang_definitions` VALUES (34295, 833, 10, 'Kategori');
INSERT INTO `lang_definitions` VALUES (34296, 834, 10, 'kategori');
INSERT INTO `lang_definitions` VALUES (34297, 835, 10, 'Kategori ');
INSERT INTO `lang_definitions` VALUES (34298, 836, 10, 'Kategori Detaljer');
INSERT INTO `lang_definitions` VALUES (34299, 837, 10, 'Kategori Grenser');
INSERT INTO `lang_definitions` VALUES (34300, 838, 10, 'Kategori navn');
INSERT INTO `lang_definitions` VALUES (34301, 841, 10, 'Hvit');
INSERT INTO `lang_definitions` VALUES (34302, 853, 10, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (34303, 855, 10, 'Mobilnummer');
INSERT INTO `lang_definitions` VALUES (34304, 856, 10, 'sentral sertifikasjon');
INSERT INTO `lang_definitions` VALUES (34305, 866, 10, 'forandre');
INSERT INTO `lang_definitions` VALUES (34306, 867, 10, 'Forandre');
INSERT INTO `lang_definitions` VALUES (34307, 868, 10, 'Forandre Aktivitet');
INSERT INTO `lang_definitions` VALUES (34308, 874, 10, 'Forandret');
INSERT INTO `lang_definitions` VALUES (34309, 883, 10, 'Diagram');
INSERT INTO `lang_definitions` VALUES (34310, 898, 10, 'Sjekk');
INSERT INTO `lang_definitions` VALUES (34311, 899, 10, 'sjekk');
INSERT INTO `lang_definitions` VALUES (34312, 932, 10, 'Sjekk ut');
INSERT INTO `lang_definitions` VALUES (34313, 934, 10, 'Bryst');
INSERT INTO `lang_definitions` VALUES (34314, 937, 10, 'Bryst Smerte:');
INSERT INTO `lang_definitions` VALUES (34315, 938, 10, 'Bryst Smerter');
INSERT INTO `lang_definitions` VALUES (34316, 946, 10, 'Grøssninger');
INSERT INTO `lang_definitions` VALUES (34317, 957, 10, 'Velg Kriterie');
INSERT INTO `lang_definitions` VALUES (34318, 967, 10, 'Kronisk bronkit');
INSERT INTO `lang_definitions` VALUES (34319, 975, 10, 'By');
INSERT INTO `lang_definitions` VALUES (34320, 977, 10, 'By, landsdel');
INSERT INTO `lang_definitions` VALUES (34321, 979, 10, 'By/landsdel');
INSERT INTO `lang_definitions` VALUES (34322, 988, 10, 'Klassifisert');
INSERT INTO `lang_definitions` VALUES (34323, 989, 10, 'Tøm');
INSERT INTO `lang_definitions` VALUES (34324, 991, 10, 'Tøm alle');
INSERT INTO `lang_definitions` VALUES (34325, 997, 10, 'Klikk');
INSERT INTO `lang_definitions` VALUES (34326, 1001, 10, 'Klikk for mere');
INSERT INTO `lang_definitions` VALUES (34327, 1008, 10, 'Klikk her for å velge en dato');
INSERT INTO `lang_definitions` VALUES (34328, 1021, 10, 'Klikk her for å oppdatere prioritet, kategori og kallenavn instillinger');
INSERT INTO `lang_definitions` VALUES (34329, 1037, 10, 'Klikk for å laste ned');
INSERT INTO `lang_definitions` VALUES (34330, 1038, 10, 'Klikk for å redigere');
INSERT INTO `lang_definitions` VALUES (34331, 1041, 10, 'Klikk for å generere rapport');
INSERT INTO `lang_definitions` VALUES (34332, 1045, 10, 'Klikk for å velge');
INSERT INTO `lang_definitions` VALUES (34333, 1051, 10, 'Klikk for å velge eller forandre diagnose');
INSERT INTO `lang_definitions` VALUES (34334, 1053, 10, 'Klikk for å velge en pasient');
INSERT INTO `lang_definitions` VALUES (34335, 1054, 10, 'Klikk for å velge relatert kode');
INSERT INTO `lang_definitions` VALUES (34336, 1063, 10, 'Klikk:');
INSERT INTO `lang_definitions` VALUES (34337, 1067, 10, 'Klient Kopi');
INSERT INTO `lang_definitions` VALUES (34338, 1074, 10, 'Klienter');
INSERT INTO `lang_definitions` VALUES (34339, 1075, 10, 'Klinikk');
INSERT INTO `lang_definitions` VALUES (34340, 1107, 10, 'Klon');
INSERT INTO `lang_definitions` VALUES (34341, 1108, 10, 'Klon siste besøk');
INSERT INTO `lang_definitions` VALUES (34342, 1109, 10, 'Steng');
INSERT INTO `lang_definitions` VALUES (34343, 1111, 10, 'Steng vindu');
INSERT INTO `lang_definitions` VALUES (34344, 1112, 10, 'Stengt');
INSERT INTO `lang_definitions` VALUES (34345, 1131, 10, 'Kode');
INSERT INTO `lang_definitions` VALUES (34346, 1132, 10, 'kode');
INSERT INTO `lang_definitions` VALUES (34347, 1133, 10, 'Kode finner');
INSERT INTO `lang_definitions` VALUES (34348, 1134, 10, 'Koden må inneholde 2 små bokstaver');
INSERT INTO `lang_definitions` VALUES (34349, 1144, 10, 'Koder');
INSERT INTO `lang_definitions` VALUES (34350, 1145, 10, 'Koding');
INSERT INTO `lang_definitions` VALUES (34351, 1149, 10, 'Koding ikke tillatt');
INSERT INTO `lang_definitions` VALUES (34352, 1150, 10, 'Kaffe');
INSERT INTO `lang_definitions` VALUES (34353, 1168, 10, 'Farge');
INSERT INTO `lang_definitions` VALUES (34354, 1171, 10, 'Kolonner');
INSERT INTO `lang_definitions` VALUES (34355, 1175, 10, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (34356, 1178, 10, 'Fullfør Endringer');
INSERT INTO `lang_definitions` VALUES (34357, 1186, 10, 'Fullført');
INSERT INTO `lang_definitions` VALUES (34358, 1191, 10, 'Komplikasjoner ved abort');
INSERT INTO `lang_definitions` VALUES (34359, 1227, 10, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (34360, 1228, 10, 'Kontakt Epost');
INSERT INTO `lang_definitions` VALUES (34361, 1236, 10, 'Kontakt navn');
INSERT INTO `lang_definitions` VALUES (34362, 1237, 10, 'Kontakt person');
INSERT INTO `lang_definitions` VALUES (34363, 1239, 10, 'Kontakt Tlf');
INSERT INTO `lang_definitions` VALUES (34364, 1243, 10, 'Innhold');
INSERT INTO `lang_definitions` VALUES (34365, 1244, 10, 'innhold');
INSERT INTO `lang_definitions` VALUES (34366, 1269, 10, 'Kopier verdier');
INSERT INTO `lang_definitions` VALUES (34367, 1290, 10, 'Hoste:');
INSERT INTO `lang_definitions` VALUES (34368, 1296, 10, 'Kunne ikke sende epost grunnet et problem med serveren ');
INSERT INTO `lang_definitions` VALUES (34369, 1304, 10, 'Rådgiving');
INSERT INTO `lang_definitions` VALUES (34370, 1308, 10, 'Land');
INSERT INTO `lang_definitions` VALUES (34371, 1325, 10, 'krem');
INSERT INTO `lang_definitions` VALUES (34372, 1329, 10, 'Lag en ny Hendelse');
INSERT INTO `lang_definitions` VALUES (34373, 1340, 10, 'Lag en Ny Pasient');
INSERT INTO `lang_definitions` VALUES (34374, 1344, 10, 'Lag et Pasient Notis');
INSERT INTO `lang_definitions` VALUES (34375, 1347, 10, 'Laget');
INSERT INTO `lang_definitions` VALUES (34376, 1352, 10, 'kreditt');
INSERT INTO `lang_definitions` VALUES (34377, 1353, 10, 'Kredittkort');
INSERT INTO `lang_definitions` VALUES (34378, 1354, 10, 'Kreditter');
INSERT INTO `lang_definitions` VALUES (34379, 1386, 10, 'For øyeblikket aktiv');
INSERT INTO `lang_definitions` VALUES (34380, 1408, 10, 'Daglig');
INSERT INTO `lang_definitions` VALUES (34381, 1420, 10, 'Data Type');
INSERT INTO `lang_definitions` VALUES (34382, 1421, 10, 'Database');
INSERT INTO `lang_definitions` VALUES (34383, 1427, 10, 'Dato');
INSERT INTO `lang_definitions` VALUES (34384, 1440, 10, 'Dato Ødelagt');
INSERT INTO `lang_definitions` VALUES (34385, 1441, 10, 'Dato Vis Format');
INSERT INTO `lang_definitions` VALUES (34386, 1450, 10, 'Dato for bank innskudd åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (34387, 1456, 10, 'Dato Når Skaden Intraff');
INSERT INTO `lang_definitions` VALUES (34388, 1458, 10, 'Betalings dato åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (34389, 1463, 10, 'Service Dato');
INSERT INTO `lang_definitions` VALUES (34390, 1465, 10, 'Service dato mm/dd/åååå');
INSERT INTO `lang_definitions` VALUES (34391, 1466, 10, 'Service Dato:');
INSERT INTO `lang_definitions` VALUES (34392, 1484, 10, 'Dato:');
INSERT INTO `lang_definitions` VALUES (34393, 1486, 10, 'Dag');
INSERT INTO `lang_definitions` VALUES (34394, 1489, 10, 'Dags oversikt');
INSERT INTO `lang_definitions` VALUES (34395, 1490, 10, 'Dag(er)');
INSERT INTO `lang_definitions` VALUES (34396, 1491, 10, 'Dag(er) M-F');
INSERT INTO `lang_definitions` VALUES (34397, 1492, 10, 'dager');
INSERT INTO `lang_definitions` VALUES (34398, 1493, 10, 'Dager');
INSERT INTO `lang_definitions` VALUES (34399, 1498, 10, 'Dager per Kolonne:');
INSERT INTO `lang_definitions` VALUES (34400, 1512, 10, 'Informasjon om feilen');
INSERT INTO `lang_definitions` VALUES (34401, 1517, 10, 'Desember');
INSERT INTO `lang_definitions` VALUES (34402, 1522, 10, 'Vanlig');
INSERT INTO `lang_definitions` VALUES (34403, 1523, 10, 'Vanlig kallender perspektiv');
INSERT INTO `lang_definitions` VALUES (34404, 1526, 10, 'Vanlige lokale');
INSERT INTO `lang_definitions` VALUES (34405, 1530, 10, 'Vanlig metode');
INSERT INTO `lang_definitions` VALUES (34406, 1547, 10, 'Vanlig Verdi');
INSERT INTO `lang_definitions` VALUES (34407, 1550, 10, 'Vanlig/Global');
INSERT INTO `lang_definitions` VALUES (34408, 1554, 10, 'Slett');
INSERT INTO `lang_definitions` VALUES (34409, 1556, 10, 'Slett Kategorier med ID(s): ');
INSERT INTO `lang_definitions` VALUES (34410, 1562, 10, 'Slett Sider');
INSERT INTO `lang_definitions` VALUES (34411, 1598, 10, 'Innskudds Dato:');
INSERT INTO `lang_definitions` VALUES (34412, 1599, 10, 'Deprimert');
INSERT INTO `lang_definitions` VALUES (34413, 1602, 10, 'Forklaring');
INSERT INTO `lang_definitions` VALUES (34414, 1603, 10, 'forklaring');
INSERT INTO `lang_definitions` VALUES (34415, 1609, 10, 'Mål');
INSERT INTO `lang_definitions` VALUES (34416, 1612, 10, 'Ødelegg...');
INSERT INTO `lang_definitions` VALUES (34417, 1614, 10, 'Ødelegg Medisiner');
INSERT INTO `lang_definitions` VALUES (34418, 1615, 10, 'Ødelegg Medisin Rapport');
INSERT INTO `lang_definitions` VALUES (34419, 1617, 10, 'Detaljer');
INSERT INTO `lang_definitions` VALUES (34420, 1620, 10, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (34421, 1633, 10, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (34422, 1643, 10, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (34423, 1644, 10, 'Diagnose: ');
INSERT INTO `lang_definitions` VALUES (34424, 1651, 10, 'Diktering: ');
INSERT INTO `lang_definitions` VALUES (34425, 1675, 10, 'avslått');
INSERT INTO `lang_definitions` VALUES (34426, 1676, 10, 'Avslått');
INSERT INTO `lang_definitions` VALUES (34427, 1694, 10, 'Rabatt');
INSERT INTO `lang_definitions` VALUES (34428, 1695, 10, 'Rabatt Mengde');
INSERT INTO `lang_definitions` VALUES (34429, 1715, 10, 'Viss kalenderen?');
INSERT INTO `lang_definitions` VALUES (34430, 1734, 10, 'Svimmelhet:');
INSERT INTO `lang_definitions` VALUES (34431, 1747, 10, 'ikke lagre');
INSERT INTO `lang_definitions` VALUES (34432, 1748, 10, 'ikke bytt ut');
INSERT INTO `lang_definitions` VALUES (34433, 1753, 10, 'Vil du virkelig slette denne gruppen');
INSERT INTO `lang_definitions` VALUES (34434, 1763, 10, 'DOB mangler, Skriv in hvis mulig');
INSERT INTO `lang_definitions` VALUES (34435, 1766, 10, 'Doktor:');
INSERT INTO `lang_definitions` VALUES (34436, 1768, 10, 'Dokument');
INSERT INTO `lang_definitions` VALUES (34437, 1770, 10, 'Dokument Kategori');
INSERT INTO `lang_definitions` VALUES (34438, 1777, 10, 'Dokumentasjons Dato');
INSERT INTO `lang_definitions` VALUES (34439, 1791, 10, 'Dokumenter');
INSERT INTO `lang_definitions` VALUES (34440, 1801, 10, 'Ikke lagre');
INSERT INTO `lang_definitions` VALUES (34441, 1802, 10, 'Ikke lagre Endringer');
INSERT INTO `lang_definitions` VALUES (34442, 1804, 10, 'Ferdig Med:');
INSERT INTO `lang_definitions` VALUES (34443, 1807, 10, 'Dosering');
INSERT INTO `lang_definitions` VALUES (34444, 1810, 10, 'Dobbelt syn');
INSERT INTO `lang_definitions` VALUES (34445, 1828, 10, 'Dr Sjekk');
INSERT INTO `lang_definitions` VALUES (34446, 1829, 10, 'Dr Besøk');
INSERT INTO `lang_definitions` VALUES (34447, 1834, 10, 'Medisin');
INSERT INTO `lang_definitions` VALUES (34448, 1839, 10, 'Medisin Inventar');
INSERT INTO `lang_definitions` VALUES (34449, 1840, 10, 'Medisin navn');
INSERT INTO `lang_definitions` VALUES (34450, 1846, 10, 'Medisiner');
INSERT INTO `lang_definitions` VALUES (34451, 1847, 10, 'Medikamenter og Produkter');
INSERT INTO `lang_definitions` VALUES (34452, 1848, 10, 'Tørr munn');
INSERT INTO `lang_definitions` VALUES (34453, 1880, 10, 'varighet');
INSERT INTO `lang_definitions` VALUES (34454, 1881, 10, 'Varighet');
INSERT INTO `lang_definitions` VALUES (34455, 1904, 10, 'Rediger');
INSERT INTO `lang_definitions` VALUES (34456, 1905, 10, 'rediger');
INSERT INTO `lang_definitions` VALUES (34457, 1906, 10, 'Rediger Allergier');
INSERT INTO `lang_definitions` VALUES (34458, 1907, 10, 'Rediger Kategorier');
INSERT INTO `lang_definitions` VALUES (34459, 1909, 10, 'Rediger Definisjoner');
INSERT INTO `lang_definitions` VALUES (34460, 1910, 10, 'Rediger Diagnoser for');
INSERT INTO `lang_definitions` VALUES (34461, 1912, 10, 'Rediger Lokaler');
INSERT INTO `lang_definitions` VALUES (34462, 1914, 10, 'Rediger Informasjon om Lokaler');
INSERT INTO `lang_definitions` VALUES (34463, 1918, 10, 'Rediger Globale Innstillinger');
INSERT INTO `lang_definitions` VALUES (34464, 1923, 10, 'Rediger Struktur');
INSERT INTO `lang_definitions` VALUES (34465, 1924, 10, 'Rediger Bruker');
INSERT INTO `lang_definitions` VALUES (34466, 1925, 10, 'Rediger Brukerinnstillinger');
INSERT INTO `lang_definitions` VALUES (34467, 1928, 10, 'Utdannelse');
INSERT INTO `lang_definitions` VALUES (34468, 1929, 10, 'Utdannelses Dato');
INSERT INTO `lang_definitions` VALUES (34469, 1932, 10, 'Effektiv Dato');
INSERT INTO `lang_definitions` VALUES (34470, 1937, 10, 'Albue');
INSERT INTO `lang_definitions` VALUES (34471, 1938, 10, 'Albue problemer');
INSERT INTO `lang_definitions` VALUES (34472, 1939, 10, 'Elektronikk');
INSERT INTO `lang_definitions` VALUES (34473, 1949, 10, 'Epost');
INSERT INTO `lang_definitions` VALUES (34474, 1951, 10, 'Epost-adresse');
INSERT INTO `lang_definitions` VALUES (34475, 1957, 10, 'Epost fra Batchcom');
INSERT INTO `lang_definitions` VALUES (34476, 1958, 10, 'Epost-påminnelse');
INSERT INTO `lang_definitions` VALUES (34477, 1961, 10, 'Epost send før');
INSERT INTO `lang_definitions` VALUES (34478, 1962, 10, 'Epost Sender');
INSERT INTO `lang_definitions` VALUES (34479, 1965, 10, 'Epost Emne');
INSERT INTO `lang_definitions` VALUES (34480, 1971, 10, 'Nød kontakt');
INSERT INTO `lang_definitions` VALUES (34481, 1983, 10, 'Ansatt');
INSERT INTO `lang_definitions` VALUES (34482, 1984, 10, 'Arbeidsgiver');
INSERT INTO `lang_definitions` VALUES (34483, 1985, 10, 'Arbeidsgivers adresse');
INSERT INTO `lang_definitions` VALUES (34484, 1986, 10, 'Arbeidsgiver Data');
INSERT INTO `lang_definitions` VALUES (34485, 1989, 10, 'Tom');
INSERT INTO `lang_definitions` VALUES (34486, 1991, 10, 'Tom verdi i \"Epost Timer\"');
INSERT INTO `lang_definitions` VALUES (34487, 1992, 10, 'Tom verdi i \"Epost Sender\"');
INSERT INTO `lang_definitions` VALUES (34488, 1993, 10, 'Tom verdi i \"Epost Emne\"');
INSERT INTO `lang_definitions` VALUES (34489, 1994, 10, 'Tom verdi i \"Epost Tekst\"');
INSERT INTO `lang_definitions` VALUES (34490, 1996, 10, 'Tom verdi i \"Passord\"');
INSERT INTO `lang_definitions` VALUES (34491, 1997, 10, 'Tom verdi i \"SMS Timer\"');
INSERT INTO `lang_definitions` VALUES (34492, 1998, 10, 'Tom verdi i \"SMS Tekst\"');
INSERT INTO `lang_definitions` VALUES (34493, 1999, 10, 'Tom verdi i \"Brukernavn\"');
INSERT INTO `lang_definitions` VALUES (34494, 2068, 10, 'på');
INSERT INTO `lang_definitions` VALUES (34495, 2073, 10, 'Møte');
INSERT INTO `lang_definitions` VALUES (34496, 2075, 10, 'Møte ');
INSERT INTO `lang_definitions` VALUES (34497, 2086, 10, 'Møte skjerma');
INSERT INTO `lang_definitions` VALUES (34498, 2091, 10, 'Møte nummer');
INSERT INTO `lang_definitions` VALUES (34499, 2111, 10, 'Møte:');
INSERT INTO `lang_definitions` VALUES (34500, 2113, 10, 'Møter');
INSERT INTO `lang_definitions` VALUES (34501, 2114, 10, 'Møter & skjemaer');
INSERT INTO `lang_definitions` VALUES (34502, 2116, 10, 'Møter ikke tilatt');
INSERT INTO `lang_definitions` VALUES (34503, 2117, 10, 'Rapport for Møter');
INSERT INTO `lang_definitions` VALUES (34504, 2118, 10, 'Møte seksjon');
INSERT INTO `lang_definitions` VALUES (34505, 2121, 10, 'Slutt');
INSERT INTO `lang_definitions` VALUES (34506, 2122, 10, 'Slutt (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (34507, 2123, 10, 'Slutt Dato');
INSERT INTO `lang_definitions` VALUES (34508, 2124, 10, 'Slutt dato');
INSERT INTO `lang_definitions` VALUES (34509, 2127, 10, 'Slutt Dato:');
INSERT INTO `lang_definitions` VALUES (34510, 2131, 10, 'Slutt Tid');
INSERT INTO `lang_definitions` VALUES (34511, 2176, 10, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (34512, 2181, 10, 'Slett');
INSERT INTO `lang_definitions` VALUES (34513, 2183, 10, 'Feil');
INSERT INTO `lang_definitions` VALUES (34514, 2188, 10, 'Feil i \"Kjønn\" valg');
INSERT INTO `lang_definitions` VALUES (34515, 2194, 10, 'Error i JA eller NEI valg');
INSERT INTO `lang_definitions` VALUES (34516, 2235, 10, 'Flere Feil');
INSERT INTO `lang_definitions` VALUES (34517, 2253, 10, 'Hendelse');
INSERT INTO `lang_definitions` VALUES (34518, 2254, 10, 'Hendelse begynner');
INSERT INTO `lang_definitions` VALUES (34519, 2255, 10, 'Hendelse Kategori');
INSERT INTO `lang_definitions` VALUES (34520, 2256, 10, 'Hendelses dato');
INSERT INTO `lang_definitions` VALUES (34521, 2257, 10, 'Forklaring av hendelsen');
INSERT INTO `lang_definitions` VALUES (34522, 2258, 10, 'Hendelses detaljer');
INSERT INTO `lang_definitions` VALUES (34523, 2259, 10, 'Hendelse gjentaes ikke');
INSERT INTO `lang_definitions` VALUES (34524, 2260, 10, 'Hendelses varighet');
INSERT INTO `lang_definitions` VALUES (34525, 2261, 10, 'Hendelses varighet i minutter');
INSERT INTO `lang_definitions` VALUES (34526, 2263, 10, 'Hendelses sted');
INSERT INTO `lang_definitions` VALUES (34527, 2264, 10, 'Hendelse gjentar seg hver');
INSERT INTO `lang_definitions` VALUES (34528, 2265, 10, 'Hendelse gjentar seg på');
INSERT INTO `lang_definitions` VALUES (34529, 2266, 10, 'Start tid for hendelsen');
INSERT INTO `lang_definitions` VALUES (34530, 2267, 10, 'Hendelses titel');
INSERT INTO `lang_definitions` VALUES (34531, 2268, 10, 'Hendelses titel');
INSERT INTO `lang_definitions` VALUES (34532, 2270, 10, 'Hendelser');
INSERT INTO `lang_definitions` VALUES (34533, 2271, 10, 'Hendelser for');
INSERT INTO `lang_definitions` VALUES (34534, 2272, 10, 'Hendelser åpnes i et nytt vindu');
INSERT INTO `lang_definitions` VALUES (34535, 2274, 10, 'Hver');
INSERT INTO `lang_definitions` VALUES (34536, 2275, 10, 'hver 3 time');
INSERT INTO `lang_definitions` VALUES (34537, 2276, 10, 'hver 4 time');
INSERT INTO `lang_definitions` VALUES (34538, 2277, 10, 'hver 5 time');
INSERT INTO `lang_definitions` VALUES (34539, 2278, 10, 'hver 6 time');
INSERT INTO `lang_definitions` VALUES (34540, 2279, 10, 'hver 8 time');
INSERT INTO `lang_definitions` VALUES (34541, 2280, 10, 'Hver Fjerde');
INSERT INTO `lang_definitions` VALUES (34542, 2281, 10, 'Annen hver');
INSERT INTO `lang_definitions` VALUES (34543, 2282, 10, 'Hver Tredje');
INSERT INTO `lang_definitions` VALUES (34544, 2301, 10, 'Øvnings Mønstre');
INSERT INTO `lang_definitions` VALUES (34545, 2304, 10, 'Avslutt fra administrasjon');
INSERT INTO `lang_definitions` VALUES (34546, 2306, 10, 'Utvid');
INSERT INTO `lang_definitions` VALUES (34547, 2308, 10, 'Utvid alt');
INSERT INTO `lang_definitions` VALUES (34548, 2311, 10, 'Utvidet oversikt');
INSERT INTO `lang_definitions` VALUES (34549, 2313, 10, 'Utløps');
INSERT INTO `lang_definitions` VALUES (34550, 2314, 10, 'Utløps Dato');
INSERT INTO `lang_definitions` VALUES (34551, 2315, 10, 'Utløper');
INSERT INTO `lang_definitions` VALUES (34552, 2316, 10, 'utløper om');
INSERT INTO `lang_definitions` VALUES (34553, 2317, 10, 'Eksporter');
INSERT INTO `lang_definitions` VALUES (34554, 2318, 10, 'Eksporter som CSV');
INSERT INTO `lang_definitions` VALUES (34555, 2327, 10, 'Eksporter til CSV');
INSERT INTO `lang_definitions` VALUES (34556, 2336, 10, 'Ekstern');
INSERT INTO `lang_definitions` VALUES (34557, 2345, 10, 'Eksterne Refferanser');
INSERT INTO `lang_definitions` VALUES (34558, 2349, 10, 'Øye-irritasjon');
INSERT INTO `lang_definitions` VALUES (34559, 2357, 10, 'Lokale');
INSERT INTO `lang_definitions` VALUES (34560, 2358, 10, 'lokale');
INSERT INTO `lang_definitions` VALUES (34561, 2372, 10, 'Lokale:');
INSERT INTO `lang_definitions` VALUES (34562, 2375, 10, 'Mislykket');
INSERT INTO `lang_definitions` VALUES (34563, 2390, 10, 'Familie Historie');
INSERT INTO `lang_definitions` VALUES (34564, 2392, 10, 'Familie Historie:');
INSERT INTO `lang_definitions` VALUES (34565, 2395, 10, 'Familie størrelse');
INSERT INTO `lang_definitions` VALUES (34566, 2400, 10, 'Far');
INSERT INTO `lang_definitions` VALUES (34567, 2403, 10, 'utmattet');
INSERT INTO `lang_definitions` VALUES (34568, 2404, 10, 'Faks');
INSERT INTO `lang_definitions` VALUES (34569, 2409, 10, 'Inkommende Fakser');
INSERT INTO `lang_definitions` VALUES (34570, 2410, 10, 'Utgående Fakser');
INSERT INTO `lang_definitions` VALUES (34571, 2413, 10, 'Februar');
INSERT INTO `lang_definitions` VALUES (34572, 2418, 10, 'Avgift');
INSERT INTO `lang_definitions` VALUES (34573, 2419, 10, 'avgift');
INSERT INTO `lang_definitions` VALUES (34574, 2421, 10, 'Avgifts skjema');
INSERT INTO `lang_definitions` VALUES (34575, 2423, 10, 'Avgifter');
INSERT INTO `lang_definitions` VALUES (34576, 2424, 10, 'Kvinnelig');
INSERT INTO `lang_definitions` VALUES (34577, 2426, 10, 'Kvinnelige Kondommer');
INSERT INTO `lang_definitions` VALUES (34578, 2434, 10, 'Feber');
INSERT INTO `lang_definitions` VALUES (34579, 2435, 10, 'Feber:');
INSERT INTO `lang_definitions` VALUES (34580, 2459, 10, 'Filnavn');
INSERT INTO `lang_definitions` VALUES (34581, 2461, 10, 'Filer');
INSERT INTO `lang_definitions` VALUES (34582, 2464, 10, 'Fyll inn her hvis du skal sende email påmindelser til pasient');
INSERT INTO `lang_definitions` VALUES (34583, 2473, 10, 'Filter');
INSERT INTO `lang_definitions` VALUES (34584, 2478, 10, 'Finansiell');
INSERT INTO `lang_definitions` VALUES (34585, 2484, 10, 'Finn');
INSERT INTO `lang_definitions` VALUES (34586, 2485, 10, 'Finn Tilgjengelige');
INSERT INTO `lang_definitions` VALUES (34587, 2486, 10, 'Finn Tilgjengelige Avtaler');
INSERT INTO `lang_definitions` VALUES (34588, 2487, 10, 'Finn Pasient');
INSERT INTO `lang_definitions` VALUES (34589, 2495, 10, 'Først');
INSERT INTO `lang_definitions` VALUES (34590, 2497, 10, 'Første dag i uken');
INSERT INTO `lang_definitions` VALUES (34591, 2498, 10, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (34592, 2500, 10, 'Fornavn:');
INSERT INTO `lang_definitions` VALUES (34593, 2503, 10, 'Form');
INSERT INTO `lang_definitions` VALUES (34594, 2516, 10, 'Influensa vaksinasjon');
INSERT INTO `lang_definitions` VALUES (34595, 2520, 10, 'Følg manuelt');
INSERT INTO `lang_definitions` VALUES (34596, 2532, 10, 'Fot');
INSERT INTO `lang_definitions` VALUES (34597, 2533, 10, 'Fot Problemer');
INSERT INTO `lang_definitions` VALUES (34598, 2534, 10, 'Fot:');
INSERT INTO `lang_definitions` VALUES (34599, 2537, 10, 'Fotball Skade Rapport');
INSERT INTO `lang_definitions` VALUES (34600, 2538, 10, 'Fotplagg Type');
INSERT INTO `lang_definitions` VALUES (34601, 2539, 10, 'for');
INSERT INTO `lang_definitions` VALUES (34602, 2555, 10, 'for:');
INSERT INTO `lang_definitions` VALUES (34603, 2559, 10, 'Forarm');
INSERT INTO `lang_definitions` VALUES (34604, 2560, 10, 'Skjema');
INSERT INTO `lang_definitions` VALUES (34605, 2564, 10, 'Format');
INSERT INTO `lang_definitions` VALUES (34606, 2572, 10, 'Skjemaer');
INSERT INTO `lang_definitions` VALUES (34607, 2573, 10, 'Skjema Administrasjon');
INSERT INTO `lang_definitions` VALUES (34608, 2576, 10, 'Send videre via Fax');
INSERT INTO `lang_definitions` VALUES (34609, 2579, 10, 'Fjerde');
INSERT INTO `lang_definitions` VALUES (34610, 2581, 10, 'Brudd');
INSERT INTO `lang_definitions` VALUES (34611, 2594, 10, 'Fredag');
INSERT INTO `lang_definitions` VALUES (34612, 2595, 10, 'Fra');
INSERT INTO `lang_definitions` VALUES (34613, 2599, 10, 'Fra:');
INSERT INTO `lang_definitions` VALUES (34614, 2600, 10, 'Fra: ');
INSERT INTO `lang_definitions` VALUES (34615, 2625, 10, 'Full Trenning');
INSERT INTO `lang_definitions` VALUES (34616, 2637, 10, 'Galle Steiner');
INSERT INTO `lang_definitions` VALUES (34617, 2638, 10, 'Spill periode');
INSERT INTO `lang_definitions` VALUES (34618, 2639, 10, 'Spill');
INSERT INTO `lang_definitions` VALUES (34619, 2651, 10, 'Kjønn ');
INSERT INTO `lang_definitions` VALUES (34620, 2652, 10, 'Generelt');
INSERT INTO `lang_definitions` VALUES (34621, 2655, 10, 'Generel Service Kategori');
INSERT INTO `lang_definitions` VALUES (34622, 2670, 10, 'Generer brev som omhandler ');
INSERT INTO `lang_definitions` VALUES (34623, 2677, 10, 'Generer rapport');
INSERT INTO `lang_definitions` VALUES (34624, 2682, 10, 'Generert på');
INSERT INTO `lang_definitions` VALUES (34625, 2683, 10, 'Genererer');
INSERT INTO `lang_definitions` VALUES (34626, 2694, 10, 'Global');
INSERT INTO `lang_definitions` VALUES (34627, 2724, 10, 'Gruppe');
INSERT INTO `lang_definitions` VALUES (34628, 2729, 10, 'Gruppe Nummer');
INSERT INTO `lang_definitions` VALUES (34629, 2731, 10, 'Gruppe:');
INSERT INTO `lang_definitions` VALUES (34630, 2732, 10, 'Gruppenavn');
INSERT INTO `lang_definitions` VALUES (34631, 2750, 10, 'Hender + Fingre');
INSERT INTO `lang_definitions` VALUES (34632, 2751, 10, 'Hånd Problemer');
INSERT INTO `lang_definitions` VALUES (34633, 2761, 10, 'Skadelige Aktiviteter');
INSERT INTO `lang_definitions` VALUES (34634, 2768, 10, 'Hode');
INSERT INTO `lang_definitions` VALUES (34635, 2772, 10, 'Hodepine');
INSERT INTO `lang_definitions` VALUES (34636, 2779, 10, 'Hjerte Infarkt');
INSERT INTO `lang_definitions` VALUES (34637, 2781, 10, 'Hjerte Svikt');
INSERT INTO `lang_definitions` VALUES (34638, 2783, 10, 'Hjerte Problemer');
INSERT INTO `lang_definitions` VALUES (34639, 2784, 10, 'Hjerte Operasjon');
INSERT INTO `lang_definitions` VALUES (34640, 2785, 10, 'Hjerte Transplantasjon');
INSERT INTO `lang_definitions` VALUES (34641, 2786, 10, 'HJERTE:');
INSERT INTO `lang_definitions` VALUES (34642, 2796, 10, 'Hjelp');
INSERT INTO `lang_definitions` VALUES (34643, 2797, 10, 'hjelp');
INSERT INTO `lang_definitions` VALUES (34644, 2815, 10, 'Herpes');
INSERT INTO `lang_definitions` VALUES (34645, 2822, 10, 'Skjult');
INSERT INTO `lang_definitions` VALUES (34646, 2824, 10, 'Skjul');
INSERT INTO `lang_definitions` VALUES (34647, 2825, 10, 'Skjul Detaljer');
INSERT INTO `lang_definitions` VALUES (34648, 2834, 10, 'Høyt Bloodtrykk');
INSERT INTO `lang_definitions` VALUES (34649, 2836, 10, 'Hofte + lysk');
INSERT INTO `lang_definitions` VALUES (34650, 2837, 10, 'Hofte og lysk');
INSERT INTO `lang_definitions` VALUES (34651, 2838, 10, 'Hofte Problemer');
INSERT INTO `lang_definitions` VALUES (34652, 2839, 10, 'Hofte Erstatning');
INSERT INTO `lang_definitions` VALUES (34653, 2847, 10, 'Historie');
INSERT INTO `lang_definitions` VALUES (34654, 2862, 10, 'Hold nede [Ctrl] for å velge flere eller til å ta bort individuelle');
INSERT INTO `lang_definitions` VALUES (34655, 2866, 10, 'Hjemme Telefon');
INSERT INTO `lang_definitions` VALUES (34656, 2869, 10, 'Hjemløs, osv');
INSERT INTO `lang_definitions` VALUES (34657, 2876, 10, 'Timer');
INSERT INTO `lang_definitions` VALUES (34658, 2878, 10, 'Hvordan inntraff skaden?');
INSERT INTO `lang_definitions` VALUES (34659, 2879, 10, 'Hvordan inntraff skaden?:');
INSERT INTO `lang_definitions` VALUES (34660, 2884, 10, 'HTML');
INSERT INTO `lang_definitions` VALUES (34661, 2892, 10, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (34662, 2900, 10, 'Jeg er opptatt under denne perioden.');
INSERT INTO `lang_definitions` VALUES (34663, 2901, 10, 'Jeg har ikke tilgang til å lese ');
INSERT INTO `lang_definitions` VALUES (34664, 2927, 10, 'Hvis arbeidsløs skriv inn Student');
INSERT INTO `lang_definitions` VALUES (34665, 2933, 10, 'Hvis du vil forandre data typer, eller legge til rader eller kolonner');
INSERT INTO `lang_definitions` VALUES (34666, 2937, 10, 'Sykdom');
INSERT INTO `lang_definitions` VALUES (34667, 2942, 10, 'Immunisering');
INSERT INTO `lang_definitions` VALUES (34668, 2953, 10, 'Immuniseringer');
INSERT INTO `lang_definitions` VALUES (34669, 2956, 10, 'Implantater');
INSERT INTO `lang_definitions` VALUES (34670, 2957, 10, 'Import');
INSERT INTO `lang_definitions` VALUES (34671, 2969, 10, 'Importert fra Økonomi');
INSERT INTO `lang_definitions` VALUES (34672, 2973, 10, 'i');
INSERT INTO `lang_definitions` VALUES (34673, 2975, 10, 'i hvert øye');
INSERT INTO `lang_definitions` VALUES (34674, 2976, 10, 'i venstre øye');
INSERT INTO `lang_definitions` VALUES (34675, 2977, 10, 'i nesa');
INSERT INTO `lang_definitions` VALUES (34676, 2979, 10, 'i høyre øye');
INSERT INTO `lang_definitions` VALUES (34677, 2980, 10, 'innom hus');
INSERT INTO `lang_definitions` VALUES (34678, 2994, 10, 'innkom');
INSERT INTO `lang_definitions` VALUES (34679, 3001, 10, 'øket:');
INSERT INTO `lang_definitions` VALUES (34680, 3018, 10, 'Infeksjoner');
INSERT INTO `lang_definitions` VALUES (34681, 3026, 10, 'Info');
INSERT INTO `lang_definitions` VALUES (34682, 3027, 10, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (34683, 3028, 10, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (34684, 3029, 10, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (34685, 3030, 10, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (34686, 3031, 10, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (34687, 3032, 10, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (34688, 3045, 10, 'Oversikts Rapport Over Skade');
INSERT INTO `lang_definitions` VALUES (34689, 3047, 10, 'Skade Type');
INSERT INTO `lang_definitions` VALUES (34690, 3072, 10, 'Søvnløshet');
INSERT INTO `lang_definitions` VALUES (34691, 3074, 10, 'Inspisering');
INSERT INTO `lang_definitions` VALUES (34692, 3079, 10, 'Installer DB');
INSERT INTO `lang_definitions` VALUES (34693, 3084, 10, 'Instrukser:');
INSERT INTO `lang_definitions` VALUES (34694, 3087, 10, 'Forsikring');
INSERT INTO `lang_definitions` VALUES (34695, 3088, 10, 'forsikring');
INSERT INTO `lang_definitions` VALUES (34696, 3094, 10, 'Forsikrings Selskaper');
INSERT INTO `lang_definitions` VALUES (34697, 3095, 10, 'Forsikrings Selskap');
INSERT INTO `lang_definitions` VALUES (34698, 3096, 10, 'Forsikrings Selskap Søk/Legg til');
INSERT INTO `lang_definitions` VALUES (34699, 3098, 10, 'Forsikrings Data');
INSERT INTO `lang_definitions` VALUES (34700, 3100, 10, 'Forsikrings Nummer');
INSERT INTO `lang_definitions` VALUES (34701, 3103, 10, 'Forsikrings Giver');
INSERT INTO `lang_definitions` VALUES (34702, 3113, 10, 'Intern feil - ingen sider var valgt!');
INSERT INTO `lang_definitions` VALUES (34703, 3114, 10, 'Intern feil - Pasient ID var ikke oppgitt!');
INSERT INTO `lang_definitions` VALUES (34704, 3129, 10, 'Tolker');
INSERT INTO `lang_definitions` VALUES (34705, 3132, 10, 'Interval');
INSERT INTO `lang_definitions` VALUES (34706, 3151, 10, 'Ugyldige service koder');
INSERT INTO `lang_definitions` VALUES (34707, 3152, 10, 'Ugyldig kilde valg \"');
INSERT INTO `lang_definitions` VALUES (34708, 3160, 10, 'Inventar Liste');
INSERT INTO `lang_definitions` VALUES (34709, 3185, 10, 'Uvanlig Hjerte Rytme');
INSERT INTO `lang_definitions` VALUES (34710, 3191, 10, 'feltet krever utfylling.');
INSERT INTO `lang_definitions` VALUES (34711, 3197, 10, 'Ikke gyldig (desimal fraksjoner er OK).');
INSERT INTO `lang_definitions` VALUES (34712, 3198, 10, 'Bruker PHP sikker modus?');
INSERT INTO `lang_definitions` VALUES (34713, 3216, 10, 'Problem');
INSERT INTO `lang_definitions` VALUES (34714, 3223, 10, 'Problemer');
INSERT INTO `lang_definitions` VALUES (34715, 3225, 10, 'Problemer (Skader/medisinske/allergi):');
INSERT INTO `lang_definitions` VALUES (34716, 3226, 10, 'Problemer og Møter');
INSERT INTO `lang_definitions` VALUES (34717, 3227, 10, 'Problemer og Møter for');
INSERT INTO `lang_definitions` VALUES (34718, 3228, 10, 'Problemer ikke tilgjengelig');
INSERT INTO `lang_definitions` VALUES (34719, 3229, 10, 'Problem seksjon');
INSERT INTO `lang_definitions` VALUES (34720, 3239, 10, 'Januar');
INSERT INTO `lang_definitions` VALUES (34721, 3243, 10, 'Beskrivelse av Jobb');
INSERT INTO `lang_definitions` VALUES (34722, 3249, 10, 'Juli');
INSERT INTO `lang_definitions` VALUES (34723, 3251, 10, 'Juni');
INSERT INTO `lang_definitions` VALUES (34724, 3255, 10, 'Begrunne');
INSERT INTO `lang_definitions` VALUES (34725, 3256, 10, 'Begrunne/Lagre');
INSERT INTO `lang_definitions` VALUES (34726, 3258, 10, 'ok, her er resten');
INSERT INTO `lang_definitions` VALUES (34727, 3265, 10, 'Nøkkelord');
INSERT INTO `lang_definitions` VALUES (34728, 3269, 10, 'Nyre kreft');
INSERT INTO `lang_definitions` VALUES (34729, 3270, 10, 'Nyre Svikt');
INSERT INTO `lang_definitions` VALUES (34730, 3271, 10, 'Nyre infeksjoner');
INSERT INTO `lang_definitions` VALUES (34731, 3272, 10, 'Nyre steiner');
INSERT INTO `lang_definitions` VALUES (34732, 3273, 10, 'Nyre transplantasjon');
INSERT INTO `lang_definitions` VALUES (34733, 3277, 10, 'Kne');
INSERT INTO `lang_definitions` VALUES (34734, 3278, 10, 'Kne Problemer');
INSERT INTO `lang_definitions` VALUES (34735, 3279, 10, 'Kne Erstatning');
INSERT INTO `lang_definitions` VALUES (34736, 3303, 10, 'Merke');
INSERT INTO `lang_definitions` VALUES (34737, 3308, 10, 'Merker');
INSERT INTO `lang_definitions` VALUES (34738, 3312, 10, 'Blødning/ Hudens kondisjon');
INSERT INTO `lang_definitions` VALUES (34739, 3316, 10, 'Språk');
INSERT INTO `lang_definitions` VALUES (34740, 3317, 10, 'Språk kode');
INSERT INTO `lang_definitions` VALUES (34741, 3318, 10, 'Språk definisjon lagt til');
INSERT INTO `lang_definitions` VALUES (34742, 3321, 10, 'Språk navn');
INSERT INTO `lang_definitions` VALUES (34743, 3325, 10, 'Siste');
INSERT INTO `lang_definitions` VALUES (34744, 3333, 10, 'Siste møte');
INSERT INTO `lang_definitions` VALUES (34745, 3344, 10, 'Etternavn');
INSERT INTO `lang_definitions` VALUES (34746, 3346, 10, 'Etternavn:');
INSERT INTO `lang_definitions` VALUES (34747, 3358, 10, 'Sist Besøk');
INSERT INTO `lang_definitions` VALUES (34748, 3385, 10, 'La være blankt for å holde passordet uforandret.');
INSERT INTO `lang_definitions` VALUES (34749, 3387, 10, 'Forlatt skjema');
INSERT INTO `lang_definitions` VALUES (34750, 3390, 10, 'Venstre');
INSERT INTO `lang_definitions` VALUES (34751, 3392, 10, 'venstre øre');
INSERT INTO `lang_definitions` VALUES (34752, 3394, 10, 'Venstre:');
INSERT INTO `lang_definitions` VALUES (34753, 3395, 10, 'Venstre: ');
INSERT INTO `lang_definitions` VALUES (34754, 3397, 10, 'Lovlig');
INSERT INTO `lang_definitions` VALUES (34755, 3401, 10, 'Lengde');
INSERT INTO `lang_definitions` VALUES (34756, 3406, 10, 'Brev');
INSERT INTO `lang_definitions` VALUES (34757, 3423, 10, 'Livsstill');
INSERT INTO `lang_definitions` VALUES (34758, 3446, 10, 'Hvis Forsikrings selskaper');
INSERT INTO `lang_definitions` VALUES (34759, 3451, 10, 'Hvis lister');
INSERT INTO `lang_definitions` VALUES (34760, 3454, 10, 'Hvis Resepter');
INSERT INTO `lang_definitions` VALUES (34761, 3458, 10, 'Lister');
INSERT INTO `lang_definitions` VALUES (34762, 3470, 10, 'LASTER');
INSERT INTO `lang_definitions` VALUES (34763, 3473, 10, 'Lokal');
INSERT INTO `lang_definitions` VALUES (34764, 3495, 10, 'Inlogget');
INSERT INTO `lang_definitions` VALUES (34765, 3496, 10, 'Logget in som');
INSERT INTO `lang_definitions` VALUES (34766, 3497, 10, 'Logget in som: ');
INSERT INTO `lang_definitions` VALUES (34767, 3498, 10, 'Logget ut.');
INSERT INTO `lang_definitions` VALUES (34768, 3500, 10, 'Log in');
INSERT INTO `lang_definitions` VALUES (34769, 3505, 10, 'Log ut');
INSERT INTO `lang_definitions` VALUES (34770, 3507, 10, 'Logger');
INSERT INTO `lang_definitions` VALUES (34771, 3522, 10, 'Lunge Kreft');
INSERT INTO `lang_definitions` VALUES (34772, 3524, 10, 'LUNGER:');
INSERT INTO `lang_definitions` VALUES (34773, 3525, 10, 'Lunger:');
INSERT INTO `lang_definitions` VALUES (34774, 3535, 10, 'Hoved Adresse');
INSERT INTO `lang_definitions` VALUES (34775, 3548, 10, 'Manlig');
INSERT INTO `lang_definitions` VALUES (34776, 3549, 10, 'Kondommer');
INSERT INTO `lang_definitions` VALUES (34777, 3614, 10, 'Medisinsk');
INSERT INTO `lang_definitions` VALUES (34778, 3620, 10, 'Medisinsk problem');
INSERT INTO `lang_definitions` VALUES (34779, 3623, 10, 'Medisinske Problemer');
INSERT INTO `lang_definitions` VALUES (34780, 3624, 10, 'Medisinsk Historie');
INSERT INTO `lang_definitions` VALUES (34781, 3640, 10, 'Medisiner');
INSERT INTO `lang_definitions` VALUES (34782, 3641, 10, 'Medisiner:');
INSERT INTO `lang_definitions` VALUES (34783, 3647, 10, 'Menn');
INSERT INTO `lang_definitions` VALUES (34784, 3648, 10, 'Menn og Kvinner');
INSERT INTO `lang_definitions` VALUES (34785, 3649, 10, 'Bare Menn');
INSERT INTO `lang_definitions` VALUES (34786, 3654, 10, 'Psykisk Sykdom');
INSERT INTO `lang_definitions` VALUES (34787, 3661, 10, 'Melding');
INSERT INTO `lang_definitions` VALUES (34788, 3670, 10, 'MELDING:');
INSERT INTO `lang_definitions` VALUES (34789, 3673, 10, 'Metode');
INSERT INTO `lang_definitions` VALUES (34790, 3676, 10, 'Ødeleggelses Metode');
INSERT INTO `lang_definitions` VALUES (34791, 3687, 10, 'Mellom Navn');
INSERT INTO `lang_definitions` VALUES (34792, 3709, 10, 'minutter');
INSERT INTO `lang_definitions` VALUES (34793, 3710, 10, 'Minutter');
INSERT INTO `lang_definitions` VALUES (34794, 3717, 10, 'Bommet');
INSERT INTO `lang_definitions` VALUES (34795, 3726, 10, 'Mikset');
INSERT INTO `lang_definitions` VALUES (34796, 3733, 10, 'Mobil');
INSERT INTO `lang_definitions` VALUES (34797, 3753, 10, 'Man');
INSERT INTO `lang_definitions` VALUES (34798, 3754, 10, 'Man til Fre');
INSERT INTO `lang_definitions` VALUES (34799, 3756, 10, 'Mandag');
INSERT INTO `lang_definitions` VALUES (34800, 3758, 10, 'Måned');
INSERT INTO `lang_definitions` VALUES (34801, 3759, 10, 'måned');
INSERT INTO `lang_definitions` VALUES (34802, 3760, 10, 'Månedlig Perspektiv');
INSERT INTO `lang_definitions` VALUES (34803, 3761, 10, 'Måned(er)');
INSERT INTO `lang_definitions` VALUES (34804, 3771, 10, 'Mor');
INSERT INTO `lang_definitions` VALUES (34805, 3775, 10, 'Flytt');
INSERT INTO `lang_definitions` VALUES (34806, 3779, 10, 'Flytt til Pasient');
INSERT INTO `lang_definitions` VALUES (34807, 3797, 10, 'Flere steder');
INSERT INTO `lang_definitions` VALUES (34808, 3811, 10, 'Muskel skade');
INSERT INTO `lang_definitions` VALUES (34809, 3814, 10, 'Gjensidig Definert');
INSERT INTO `lang_definitions` VALUES (34810, 3823, 10, 'Navn');
INSERT INTO `lang_definitions` VALUES (34811, 3832, 10, 'Forsikrings Selskapets Navn');
INSERT INTO `lang_definitions` VALUES (34812, 3837, 10, 'Navn:');
INSERT INTO `lang_definitions` VALUES (34813, 3844, 10, 'Nasjonalitet');
INSERT INTO `lang_definitions` VALUES (34814, 3866, 10, 'Nakke');
INSERT INTO `lang_definitions` VALUES (34815, 3867, 10, 'Nakke Problemer');
INSERT INTO `lang_definitions` VALUES (34816, 3880, 10, 'Nerve skade');
INSERT INTO `lang_definitions` VALUES (34817, 3888, 10, 'Ny');
INSERT INTO `lang_definitions` VALUES (34818, 3889, 10, 'Ny=>');
INSERT INTO `lang_definitions` VALUES (34819, 3894, 10, 'Ny Avtale');
INSERT INTO `lang_definitions` VALUES (34820, 3895, 10, 'Nye Kategorier');
INSERT INTO `lang_definitions` VALUES (34821, 3897, 10, 'Nye Klienter');
INSERT INTO `lang_definitions` VALUES (34822, 3912, 10, 'Ny Gruppe');
INSERT INTO `lang_definitions` VALUES (34823, 3921, 10, 'Ny Pasient');
INSERT INTO `lang_definitions` VALUES (34824, 3932, 10, 'Ny Bruker');
INSERT INTO `lang_definitions` VALUES (34825, 3962, 10, 'Neste');
INSERT INTO `lang_definitions` VALUES (34826, 3964, 10, 'Neste Dag');
INSERT INTO `lang_definitions` VALUES (34827, 3965, 10, 'Neste Måned');
INSERT INTO `lang_definitions` VALUES (34828, 3968, 10, 'Neste Uke');
INSERT INTO `lang_definitions` VALUES (34829, 3971, 10, 'Kallenavn');
INSERT INTO `lang_definitions` VALUES (34830, 3975, 10, 'Nei');
INSERT INTO `lang_definitions` VALUES (34831, 3976, 10, 'NEI');
INSERT INTO `lang_definitions` VALUES (34832, 3977, 10, 'Ingen tilgang');
INSERT INTO `lang_definitions` VALUES (34833, 3992, 10, 'Ingen Diagnose');
INSERT INTO `lang_definitions` VALUES (34834, 3995, 10, 'Ingen slutt dato');
INSERT INTO `lang_definitions` VALUES (34835, 4001, 10, 'Ingen gruppe var valgt');
INSERT INTO `lang_definitions` VALUES (34836, 4006, 10, 'Ingen Forsikrings Selskap Funnet');
INSERT INTO `lang_definitions` VALUES (34837, 4039, 10, 'Ingen Partnere Funnet');
INSERT INTO `lang_definitions` VALUES (34838, 4089, 10, 'Ingen');
INSERT INTO `lang_definitions` VALUES (34839, 4090, 10, 'ingen');
INSERT INTO `lang_definitions` VALUES (34840, 4093, 10, 'Ingen av de ovenfor');
INSERT INTO `lang_definitions` VALUES (34841, 4097, 10, 'Normal');
INSERT INTO `lang_definitions` VALUES (34842, 4101, 10, 'Normal Lunge Eksaminering:');
INSERT INTO `lang_definitions` VALUES (34843, 4102, 10, 'Normal Lunge Eksaminering: ');
INSERT INTO `lang_definitions` VALUES (34844, 4105, 10, 'Normal Høyre');
INSERT INTO `lang_definitions` VALUES (34845, 4106, 10, 'Normal Høyre:');
INSERT INTO `lang_definitions` VALUES (34846, 4108, 10, 'normal:');
INSERT INTO `lang_definitions` VALUES (34847, 4120, 10, 'Ikke Tilatt');
INSERT INTO `lang_definitions` VALUES (34848, 4121, 10, 'Ikke tilatt å slette administrators gruppe');
INSERT INTO `lang_definitions` VALUES (34849, 4143, 10, 'Ikke Eksaminert');
INSERT INTO `lang_definitions` VALUES (34850, 4144, 10, 'Ikke Eksaminert:');
INSERT INTO `lang_definitions` VALUES (34851, 4145, 10, 'Ikke Eksaminert: ');
INSERT INTO `lang_definitions` VALUES (34852, 4152, 10, 'Ikke sett siden');
INSERT INTO `lang_definitions` VALUES (34853, 4157, 10, 'Notat');
INSERT INTO `lang_definitions` VALUES (34854, 4182, 10, 'Ingenting var valgt');
INSERT INTO `lang_definitions` VALUES (34855, 4191, 10, 'November');
INSERT INTO `lang_definitions` VALUES (34856, 4200, 10, 'Nummer');
INSERT INTO `lang_definitions` VALUES (34857, 4237, 10, 'Okkupering');
INSERT INTO `lang_definitions` VALUES (34858, 4241, 10, 'Oktober');
INSERT INTO `lang_definitions` VALUES (34859, 4245, 10, 'av tabletter');
INSERT INTO `lang_definitions` VALUES (34860, 4249, 10, 'Kontor Notater');
INSERT INTO `lang_definitions` VALUES (34861, 4263, 10, 'Avkom');
INSERT INTO `lang_definitions` VALUES (34862, 4267, 10, 'OK');
INSERT INTO `lang_definitions` VALUES (34863, 4272, 10, 'Gamle Klienter');
INSERT INTO `lang_definitions` VALUES (34864, 4286, 10, 'På');
INSERT INTO `lang_definitions` VALUES (34865, 4288, 10, 'På Hånden');
INSERT INTO `lang_definitions` VALUES (34866, 4299, 10, 'Bare Aktiv');
INSERT INTO `lang_definitions` VALUES (34867, 4316, 10, 'Åpen');
INSERT INTO `lang_definitions` VALUES (34868, 4333, 10, 'Valg');
INSERT INTO `lang_definitions` VALUES (34869, 4336, 10, 'Valgfritt');
INSERT INTO `lang_definitions` VALUES (34870, 4351, 10, 'Eller');
INSERT INTO `lang_definitions` VALUES (34871, 4362, 10, 'Bestilling');
INSERT INTO `lang_definitions` VALUES (34872, 4386, 10, 'Organ skade');
INSERT INTO `lang_definitions` VALUES (34873, 4387, 10, 'Organisasjon');
INSERT INTO `lang_definitions` VALUES (34874, 4402, 10, 'Annet');
INSERT INTO `lang_definitions` VALUES (34875, 4403, 10, 'annet');
INSERT INTO `lang_definitions` VALUES (34876, 4410, 10, 'annen måned');
INSERT INTO `lang_definitions` VALUES (34877, 4427, 10, 'Utfall');
INSERT INTO `lang_definitions` VALUES (34878, 4446, 10, 'Sider');
INSERT INTO `lang_definitions` VALUES (34879, 4447, 10, 'Betalt');
INSERT INTO `lang_definitions` VALUES (34880, 4450, 10, 'Betalt Via');
INSERT INTO `lang_definitions` VALUES (34881, 4463, 10, 'Partner');
INSERT INTO `lang_definitions` VALUES (34882, 4472, 10, 'Passord');
INSERT INTO `lang_definitions` VALUES (34883, 4473, 10, 'Endre Passord');
INSERT INTO `lang_definitions` VALUES (34884, 4486, 10, 'Passord:');
INSERT INTO `lang_definitions` VALUES (34885, 4495, 10, 'Tidligere Møter');
INSERT INTO `lang_definitions` VALUES (34886, 4496, 10, 'Tidligere Møter og Dokumenter');
INSERT INTO `lang_definitions` VALUES (34887, 4514, 10, 'Pasient');
INSERT INTO `lang_definitions` VALUES (34888, 4522, 10, 'Pasient Allergier');
INSERT INTO `lang_definitions` VALUES (34889, 4523, 10, 'Pasient Avtale');
INSERT INTO `lang_definitions` VALUES (34890, 4544, 10, 'Pasient Dokument');
INSERT INTO `lang_definitions` VALUES (34891, 4561, 10, 'Pasient Historie');
INSERT INTO `lang_definitions` VALUES (34892, 4562, 10, 'Pasient Historie / Livsstill');
INSERT INTO `lang_definitions` VALUES (34893, 4573, 10, 'Pasient Problemer');
INSERT INTO `lang_definitions` VALUES (34894, 4587, 10, 'Pasientens Medisinske Problemer');
INSERT INTO `lang_definitions` VALUES (34895, 4597, 10, 'Pasient Notater');
INSERT INTO `lang_definitions` VALUES (34896, 4599, 10, 'Pasient Nummer');
INSERT INTO `lang_definitions` VALUES (34897, 4620, 10, 'Pasient Rapport');
INSERT INTO `lang_definitions` VALUES (34898, 4633, 10, 'Pasient/Klient');
INSERT INTO `lang_definitions` VALUES (34899, 4634, 10, 'Pasient:');
INSERT INTO `lang_definitions` VALUES (34900, 4636, 10, 'Pasienter');
INSERT INTO `lang_definitions` VALUES (34901, 4640, 10, 'Betalings Dato:');
INSERT INTO `lang_definitions` VALUES (34902, 4645, 10, 'Betaler');
INSERT INTO `lang_definitions` VALUES (34903, 4674, 10, 'Venter');
INSERT INTO `lang_definitions` VALUES (34904, 4729, 10, 'Telefon');
INSERT INTO `lang_definitions` VALUES (34905, 4738, 10, 'Telefon Nummer');
INSERT INTO `lang_definitions` VALUES (34906, 4759, 10, 'Piller');
INSERT INTO `lang_definitions` VALUES (34907, 4841, 10, 'Vær vennlig å betal denne summen');
INSERT INTO `lang_definitions` VALUES (34908, 4897, 10, 'Polise');
INSERT INTO `lang_definitions` VALUES (34909, 4904, 10, 'Dårlig Appetit');
INSERT INTO `lang_definitions` VALUES (34910, 4905, 10, 'Dårlig Sirkulasjon');
INSERT INTO `lang_definitions` VALUES (34911, 4906, 10, 'Dårlig Hørsel');
INSERT INTO `lang_definitions` VALUES (34912, 7084, 10, 'versjon');
INSERT INTO `lang_definitions` VALUES (34913, 7091, 10, 'Se');
INSERT INTO `lang_definitions` VALUES (34914, 7097, 10, 'Viss omfattende pasient rapport');
INSERT INTO `lang_definitions` VALUES (34915, 7103, 10, 'Se handlinger i et popup vindu?');
INSERT INTO `lang_definitions` VALUES (34916, 7124, 10, 'Se:');
INSERT INTO `lang_definitions` VALUES (34917, 7133, 10, 'Besøks Kategori:');
INSERT INTO `lang_definitions` VALUES (34918, 7134, 10, 'Besøks dato');
INSERT INTO `lang_definitions` VALUES (34919, 7140, 10, 'Besøk');
INSERT INTO `lang_definitions` VALUES (34920, 7141, 10, 'Besøk Fra');
INSERT INTO `lang_definitions` VALUES (34921, 7151, 10, 'W');
INSERT INTO `lang_definitions` VALUES (34922, 7154, 10, 'venter');
INSERT INTO `lang_definitions` VALUES (34923, 7182, 10, 'Web side');
INSERT INTO `lang_definitions` VALUES (34924, 7184, 10, 'Ons');
INSERT INTO `lang_definitions` VALUES (34925, 7185, 10, 'Onsdag');
INSERT INTO `lang_definitions` VALUES (34926, 7186, 10, 'Uke');
INSERT INTO `lang_definitions` VALUES (34927, 7187, 10, 'uke');
INSERT INTO `lang_definitions` VALUES (34928, 7188, 10, 'Uke oversikt');
INSERT INTO `lang_definitions` VALUES (34929, 7189, 10, 'Uke(r)');
INSERT INTO `lang_definitions` VALUES (34930, 7197, 10, 'Vekt tap');
INSERT INTO `lang_definitions` VALUES (34931, 7202, 10, 'Var servicen relatert til en nødsituasjon?');
INSERT INTO `lang_definitions` VALUES (34932, 7203, 10, 'Hva skal taes med i betraktning?');
INSERT INTO `lang_definitions` VALUES (34933, 7205, 10, 'veser');
INSERT INTO `lang_definitions` VALUES (34934, 7211, 10, 'vesing');
INSERT INTO `lang_definitions` VALUES (34935, 7226, 10, 'innen timer');
INSERT INTO `lang_definitions` VALUES (34936, 7227, 10, 'innen timer:');
INSERT INTO `lang_definitions` VALUES (34937, 7228, 10, 'innen minuter');
INSERT INTO `lang_definitions` VALUES (34938, 7229, 10, 'innen minuter:');
INSERT INTO `lang_definitions` VALUES (34939, 7232, 10, 'Foruten oppdatering');
INSERT INTO `lang_definitions` VALUES (34940, 7233, 10, 'Vitne');
INSERT INTO `lang_definitions` VALUES (34941, 7237, 10, 'Kvinner');
INSERT INTO `lang_definitions` VALUES (34942, 7238, 10, 'Kun kvinner');
INSERT INTO `lang_definitions` VALUES (34943, 7240, 10, 'Arbeid');
INSERT INTO `lang_definitions` VALUES (34944, 7241, 10, 'ARBEIDS NOTIS');
INSERT INTO `lang_definitions` VALUES (34945, 7242, 10, 'Jobb telefon');
INSERT INTO `lang_definitions` VALUES (34946, 7244, 10, 'Arbeids relatert?');
INSERT INTO `lang_definitions` VALUES (34947, 7246, 10, 'Arbeid/Skole notis');
INSERT INTO `lang_definitions` VALUES (34948, 7264, 10, 'Håndledd');
INSERT INTO `lang_definitions` VALUES (34949, 7265, 10, 'Håndledd og hånd');
INSERT INTO `lang_definitions` VALUES (34950, 7266, 10, 'Håndledds problemer');
INSERT INTO `lang_definitions` VALUES (34951, 7268, 10, 'skriv av');
INSERT INTO `lang_definitions` VALUES (34952, 7274, 10, 'x kansellert');
INSERT INTO `lang_definitions` VALUES (34953, 7275, 10, 'Røntgen');
INSERT INTO `lang_definitions` VALUES (34954, 7285, 10, 'År');
INSERT INTO `lang_definitions` VALUES (34955, 7286, 10, 'år');
INSERT INTO `lang_definitions` VALUES (34956, 7287, 10, 'År oversikt');
INSERT INTO `lang_definitions` VALUES (34957, 7288, 10, 'År');
INSERT INTO `lang_definitions` VALUES (34958, 7292, 10, 'JA');
INSERT INTO `lang_definitions` VALUES (34959, 7293, 10, 'Ja');
INSERT INTO `lang_definitions` VALUES (34960, 7294, 10, 'ja');
INSERT INTO `lang_definitions` VALUES (34961, 7295, 10, 'JA!');
INSERT INTO `lang_definitions` VALUES (34962, 7299, 10, 'Ja:');
INSERT INTO `lang_definitions` VALUES (34963, 7305, 10, 'Du har ikke tilgang til å slette denne hendelsen');
INSERT INTO `lang_definitions` VALUES (34964, 7306, 10, 'Du har ikke tilgang til å forandre på denne hendelsen');
INSERT INTO `lang_definitions` VALUES (34965, 7307, 10, 'Du har ikke tilgang til dette');
INSERT INTO `lang_definitions` VALUES (34966, 7313, 10, 'Du får ikke tilgang til denne funksjonen direkte');
INSERT INTO `lang_definitions` VALUES (34967, 7314, 10, 'Du får ikke tilgang til denne siden direkte');
INSERT INTO `lang_definitions` VALUES (34968, 7319, 10, 'Du valgte ingen hendelser');
INSERT INTO `lang_definitions` VALUES (34969, 7329, 10, 'Velg eller lag en pasient først');
INSERT INTO `lang_definitions` VALUES (34970, 7330, 10, 'Velg eller lag et møte');
INSERT INTO `lang_definitions` VALUES (34971, 7339, 10, 'Din slutt dato er ugyldig');
INSERT INTO `lang_definitions` VALUES (34972, 7340, 10, 'Din sak har blitt slettet');
INSERT INTO `lang_definitions` VALUES (34973, 7341, 10, 'Din sak har blitt forandret');
INSERT INTO `lang_definitions` VALUES (34974, 7342, 10, 'Din sak har blitt sendtDin');
INSERT INTO `lang_definitions` VALUES (34975, 7353, 10, 'postkallenderen dins konfigurasjon har blitt tilbakestilt til utganspunktet');
INSERT INTO `lang_definitions` VALUES (34976, 7354, 10, 'Postkallenderen dins konfigurasjon har blitt oppdatert');
INSERT INTO `lang_definitions` VALUES (34977, 7355, 10, 'Din gjentagelses frekvens må være et siffer.');
INSERT INTO `lang_definitions` VALUES (34978, 7356, 10, 'Din gjentagelses frekvens må være minst 1.');
INSERT INTO `lang_definitions` VALUES (34979, 7357, 10, 'Din start dato er større en din slutt dato');
INSERT INTO `lang_definitions` VALUES (34980, 7358, 10, 'Din start dato er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (34981, 7360, 10, 'åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (34982, 7362, 10, 'åååå-mm-dd datoer assosiert med dette dokumentet');
INSERT INTO `lang_definitions` VALUES (34983, 7364, 10, 'åååå-mm-dd fødselsdato');
INSERT INTO `lang_definitions` VALUES (34984, 7365, 10, 'åååå-mm-dd Fødselsdato');
INSERT INTO `lang_definitions` VALUES (34985, 7371, 10, 'åååå-mm-dd dato for bedring eller slutt av medikament');
INSERT INTO `lang_definitions` VALUES (34986, 7373, 10, 'åååå-mm-dd dato for service');
INSERT INTO `lang_definitions` VALUES (34987, 7374, 10, 'åååå-mm-dd datoen til dette brevet');
INSERT INTO `lang_definitions` VALUES (34988, 7376, 10, 'åååå-mm-dd hendelses dato eller start dato');
INSERT INTO `lang_definitions` VALUES (34989, 7383, 10, 'åååå-mm-dd siste dato for denne hendelsen');
INSERT INTO `lang_definitions` VALUES (34990, 7389, 10, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (34991, 7390, 10, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (34992, 7391, 10, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (34993, 7393, 10, ' men var ');
INSERT INTO `lang_definitions` VALUES (34994, 7394, 10, ' kunne ikke få tilgang');
INSERT INTO `lang_definitions` VALUES (34995, 7395, 10, 'er du sikker på at du vil slette dette?');
INSERT INTO `lang_definitions` VALUES (34996, 7396, 10, 'medisin');
INSERT INTO `lang_definitions` VALUES (34997, 7397, 10, 'epost ikke sendt');
INSERT INTO `lang_definitions` VALUES (34998, 7398, 10, 'fra');
INSERT INTO `lang_definitions` VALUES (34999, 7399, 10, 'har blitt laget ');
INSERT INTO `lang_definitions` VALUES (35000, 7400, 10, 'har blitt åpnet igjen');
INSERT INTO `lang_definitions` VALUES (35001, 7401, 10, 'Historie');
INSERT INTO `lang_definitions` VALUES (35002, 7402, 10, 'er ikke et nummer');
INSERT INTO `lang_definitions` VALUES (35003, 7403, 10, 'er klar for sending av regning om igjen');
INSERT INTO `lang_definitions` VALUES (35004, 7406, 10, 'original medicaid referanse Nr ');
INSERT INTO `lang_definitions` VALUES (35005, 7408, 10, 'ikke funnet!');
INSERT INTO `lang_definitions` VALUES (35006, 7410, 10, 'reseptet har nådd grensen sin av');
INSERT INTO `lang_definitions` VALUES (35007, 7411, 10, 'inntil');
INSERT INTO `lang_definitions` VALUES (35008, 7412, 10, 'oppdatering feilet, ikke i databasen?');
INSERT INTO `lang_definitions` VALUES (35009, 7414, 10, 'var vellyket satt i kø');
INSERT INTO `lang_definitions` VALUES (35010, 7415, 10, '! Dro uten besøk');
INSERT INTO `lang_definitions` VALUES (35011, 7416, 10, '\"for kode');
INSERT INTO `lang_definitions` VALUES (35012, 7417, 10, '\"er SJEKKET av i Postkalender instillinger!');
INSERT INTO `lang_definitions` VALUES (35013, 7419, 10, '# av tabletter:');
INSERT INTO `lang_definitions` VALUES (35014, 7421, 10, '$ Koding ferdig');
INSERT INTO `lang_definitions` VALUES (35015, 7422, 10, '$merket (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (35016, 7425, 10, '% Kansellert < 24t ');
INSERT INTO `lang_definitions` VALUES (35017, 7426, 10, 'burde eksistere men gjør ikke det.');
INSERT INTO `lang_definitions` VALUES (35018, 7433, 10, '(Ny pasient)');
INSERT INTO `lang_definitions` VALUES (35019, 7434, 10, '(Notater og Tillatelser)');
INSERT INTO `lang_definitions` VALUES (35020, 7435, 10, '(Pasient Notater)');
INSERT INTO `lang_definitions` VALUES (35021, 7438, 10, '*Påminnelse gjort');
INSERT INTO `lang_definitions` VALUES (35022, 7439, 10, '**Flytt operasjoner til Problemer!');
INSERT INTO `lang_definitions` VALUES (35023, 7440, 10, '*Nødvendig');
INSERT INTO `lang_definitions` VALUES (35024, 7447, 10, '0-10');
INSERT INTO `lang_definitions` VALUES (35025, 7483, 10, '3 måneder');
INSERT INTO `lang_definitions` VALUES (35026, 7485, 10, '3 ganger daglig');
INSERT INTO `lang_definitions` VALUES (35027, 7491, 10, '4 måneder');
INSERT INTO `lang_definitions` VALUES (35028, 7493, 10, '4 ganger daglig');
INSERT INTO `lang_definitions` VALUES (35029, 7498, 10, '466.0, akut bronkit');
INSERT INTO `lang_definitions` VALUES (35030, 7501, 10, '491.8, Kronisk bronkit');
INSERT INTO `lang_definitions` VALUES (35031, 7502, 10, '493.92, Akut astma');
INSERT INTO `lang_definitions` VALUES (35032, 7511, 10, '6 måneder');
INSERT INTO `lang_definitions` VALUES (35033, 7526, 10, '99212 Opprettet - Ukomplisert');
INSERT INTO `lang_definitions` VALUES (35034, 7527, 10, '99213 Opprettet - lite komplisert');
INSERT INTO `lang_definitions` VALUES (35035, 7528, 10, '< i undersøkelses rommet');
INSERT INTO `lang_definitions` VALUES (35036, 7529, 10, '> Sjekket ut');
INSERT INTO `lang_definitions` VALUES (35037, 7531, 10, '? Ikke vist seg');
INSERT INTO `lang_definitions` VALUES (35038, 7532, 10, '@ Ankommet');
INSERT INTO `lang_definitions` VALUES (35039, 7533, 10, '[Skifte perspektiv]');
INSERT INTO `lang_definitions` VALUES (35040, 7534, 10, '[Dato for siste besøk]');
INSERT INTO `lang_definitions` VALUES (35041, 7535, 10, '[Dager siden siste besøk]');
INSERT INTO `lang_definitions` VALUES (35042, 7538, 10, '[ikke anbefalt]');
INSERT INTO `lang_definitions` VALUES (35043, 7539, 10, '[Antall besøk]');
INSERT INTO `lang_definitions` VALUES (35044, 7540, 10, '[Rapporter]');
INSERT INTO `lang_definitions` VALUES (35045, 7541, 10, '[Velg alle]');
INSERT INTO `lang_definitions` VALUES (35046, 7543, 10, '[Start Batch prosessering]');
INSERT INTO `lang_definitions` VALUES (35047, 7544, 10, '[Se logg]');
INSERT INTO `lang_definitions` VALUES (35048, 7545, 10, '[Se printvennlig versjon av Rapport]');
INSERT INTO `lang_definitions` VALUES (35049, 7549, 10, '~ Ankom sent');
INSERT INTO `lang_definitions` VALUES (35050, 1, 11, '一');
INSERT INTO `lang_definitions` VALUES (35051, 2, 11, '支票或索赔编号用于辨别付款');
INSERT INTO `lang_definitions` VALUES (35052, 3, 11, '管理员用户的客户端证书');
INSERT INTO `lang_definitions` VALUES (35053, 7, 11, '需要一个分销商');
INSERT INTO `lang_definitions` VALUES (35054, 8, 11, '本次门诊应添加一个GCAC门诊表格');
INSERT INTO `lang_definitions` VALUES (35055, 9, 11, '需要一个批号');
INSERT INTO `lang_definitions` VALUES (35056, 10, 11, '需要一个批号！');
INSERT INTO `lang_definitions` VALUES (35057, 11, 11, '小写字母');
INSERT INTO `lang_definitions` VALUES (35058, 12, 11, '数字');
INSERT INTO `lang_definitions` VALUES (35059, 14, 11, '已有客户持有此身份证号。');
INSERT INTO `lang_definitions` VALUES (35060, 15, 11, '已有客户使用此姓名。');
INSERT INTO `lang_definitions` VALUES (35061, 16, 11, '已有客户使用此身份证号。');
INSERT INTO `lang_definitions` VALUES (35062, 19, 11, '可为每次门诊标明转介来源。');
INSERT INTO `lang_definitions` VALUES (35063, 20, 11, '需要一个相关的IPPF代码！');
INSERT INTO `lang_definitions` VALUES (35064, 21, 11, '一个特殊字符');
INSERT INTO `lang_definitions` VALUES (35065, 22, 11, '一个辨认此域的独有值，用户看不到');
INSERT INTO `lang_definitions` VALUES (35066, 24, 11, 'a.c.');
INSERT INTO `lang_definitions` VALUES (35067, 25, 11, '上午');
INSERT INTO `lang_definitions` VALUES (35068, 26, 11, 'A/F级右侧：');
INSERT INTO `lang_definitions` VALUES (35069, 27, 11, 'AB');
INSERT INTO `lang_definitions` VALUES (35070, 28, 11, '缩写');
INSERT INTO `lang_definitions` VALUES (35071, 29, 11, '脓肿：');
INSERT INTO `lang_definitions` VALUES (35072, 30, 11, '腹部');
INSERT INTO `lang_definitions` VALUES (35073, 31, 11, '能承受重量四(4)步骤：');
INSERT INTO `lang_definitions` VALUES (35074, 32, 11, '异常的');
INSERT INTO `lang_definitions` VALUES (35075, 33, 11, '异常1');
INSERT INTO `lang_definitions` VALUES (35076, 34, 11, '异常的');
INSERT INTO `lang_definitions` VALUES (35077, 35, 11, '异常的血液测验');
INSERT INTO `lang_definitions` VALUES (35078, 36, 11, '异常的毛发生长');
INSERT INTO `lang_definitions` VALUES (35079, 37, 11, '异常的乳房X光');
INSERT INTO `lang_definitions` VALUES (35080, 39, 11, '堕胎');
INSERT INTO `lang_definitions` VALUES (35081, 40, 11, '堕胎问题');
INSERT INTO `lang_definitions` VALUES (35082, 41, 11, '堕胎方式');
INSERT INTO `lang_definitions` VALUES (35083, 42, 11, '与堕胎有关的分类');
INSERT INTO `lang_definitions` VALUES (35084, 43, 11, '堕胎');
INSERT INTO `lang_definitions` VALUES (35085, 44, 11, '关于日历');
INSERT INTO `lang_definitions` VALUES (35086, 46, 11, '缺席的诊断');
INSERT INTO `lang_definitions` VALUES (35087, 47, 11, '接受指派');
INSERT INTO `lang_definitions` VALUES (35088, 48, 11, '接受付款');
INSERT INTO `lang_definitions` VALUES (35089, 49, 11, '接受付款 ');
INSERT INTO `lang_definitions` VALUES (35090, 50, 11, '接受指派');
INSERT INTO `lang_definitions` VALUES (35091, 51, 11, '访问权限管理');
INSERT INTO `lang_definitions` VALUES (35092, 52, 11, '访问权限列表管理');
INSERT INTO `lang_definitions` VALUES (35093, 54, 11, '禁止访问');
INSERT INTO `lang_definitions` VALUES (35094, 56, 11, '访问客户管理门户');
INSERT INTO `lang_definitions` VALUES (35095, 59, 11, '帐号名');
INSERT INTO `lang_definitions` VALUES (35096, 62, 11, '会计');
INSERT INTO `lang_definitions` VALUES (35097, 64, 11, '疼痛');
INSERT INTO `lang_definitions` VALUES (35098, 65, 11, '确认要求（ISA14）');
INSERT INTO `lang_definitions` VALUES (35099, 67, 11, 'ACL');
INSERT INTO `lang_definitions` VALUES (35100, 68, 11, 'ACL管理');
INSERT INTO `lang_definitions` VALUES (35101, 69, 11, '未授权管理ACL');
INSERT INTO `lang_definitions` VALUES (35102, 71, 11, '粉刺');
INSERT INTO `lang_definitions` VALUES (35103, 72, 11, '行动');
INSERT INTO `lang_definitions` VALUES (35104, 73, 11, '行动日期');
INSERT INTO `lang_definitions` VALUES (35105, 74, 11, '行动');
INSERT INTO `lang_definitions` VALUES (35106, 75, 11, '行动');
INSERT INTO `lang_definitions` VALUES (35107, 77, 11, '启动CCR/CCD报表');
INSERT INTO `lang_definitions` VALUES (35108, 78, 11, '起始治疗');
INSERT INTO `lang_definitions` VALUES (35109, 79, 11, '起始治疗提示');
INSERT INTO `lang_definitions` VALUES (35110, 80, 11, '起始治疗提示规则');
INSERT INTO `lang_definitions` VALUES (35111, 81, 11, '起始治疗提示');
INSERT INTO `lang_definitions` VALUES (35112, 82, 11, '起始治疗接触');
INSERT INTO `lang_definitions` VALUES (35113, 84, 11, '起始治疗清单');
INSERT INTO `lang_definitions` VALUES (35114, 85, 11, '起始治疗客户');
INSERT INTO `lang_definitions` VALUES (35115, 86, 11, '起始治疗计划');
INSERT INTO `lang_definitions` VALUES (35116, 87, 11, '治疗方案');
INSERT INTO `lang_definitions` VALUES (35117, 88, 11, '治疗类型');
INSERT INTO `lang_definitions` VALUES (35118, 92, 11, '急性或慢性');
INSERT INTO `lang_definitions` VALUES (35119, 93, 11, '添加');
INSERT INTO `lang_definitions` VALUES (35120, 94, 11, '添加');
INSERT INTO `lang_definitions` VALUES (35121, 95, 11, '添加');
INSERT INTO `lang_definitions` VALUES (35122, 96, 11, '添加单位');
INSERT INTO `lang_definitions` VALUES (35123, 98, 11, '添加药房');
INSERT INTO `lang_definitions` VALUES (35124, 100, 11, '添加事件为 ');
INSERT INTO `lang_definitions` VALUES (35125, 101, 11, '添加为新备注');
INSERT INTO `lang_definitions` VALUES (35126, 102, 11, '添加为新增');
INSERT INTO `lang_definitions` VALUES (35127, 104, 11, '添加按钮');
INSERT INTO `lang_definitions` VALUES (35128, 105, 11, '添加特殊字符按钮，以单机方式在编辑器顶部显示');
INSERT INTO `lang_definitions` VALUES (35129, 106, 11, '添加分类');
INSERT INTO `lang_definitions` VALUES (35130, 107, 11, '添加常数');
INSERT INTO `lang_definitions` VALUES (35131, 108, 11, '添加上下文');
INSERT INTO `lang_definitions` VALUES (35132, 109, 11, '添加共付额');
INSERT INTO `lang_definitions` VALUES (35133, 110, 11, '添加标准');
INSERT INTO `lang_definitions` VALUES (35134, 111, 11, '添加自定义按钮');
INSERT INTO `lang_definitions` VALUES (35135, 112, 11, '添加诊断');
INSERT INTO `lang_definitions` VALUES (35136, 113, 11, '添加药物');
INSERT INTO `lang_definitions` VALUES (35137, 114, 11, '添加治疗接触');
INSERT INTO `lang_definitions` VALUES (35138, 115, 11, '添加治疗接触/备注');
INSERT INTO `lang_definitions` VALUES (35139, 116, 11, '添加设施');
INSERT INTO `lang_definitions` VALUES (35140, 117, 11, '添加字段');
INSERT INTO `lang_definitions` VALUES (35141, 118, 11, '添加以下行到Apache配置文件');
INSERT INTO `lang_definitions` VALUES (35142, 119, 11, '添加组');
INSERT INTO `lang_definitions` VALUES (35143, 120, 11, '添加ICD码');
INSERT INTO `lang_definitions` VALUES (35144, 121, 11, '添加免疫');
INSERT INTO `lang_definitions` VALUES (35145, 122, 11, '无权限执行添加！');
INSERT INTO `lang_definitions` VALUES (35146, 123, 11, '添加问题');
INSERT INTO `lang_definitions` VALUES (35147, 125, 11, '添加语言');
INSERT INTO `lang_definitions` VALUES (35148, 126, 11, '新增');
INSERT INTO `lang_definitions` VALUES (35149, 127, 11, '新增');
INSERT INTO `lang_definitions` VALUES (35150, 128, 11, '新增类别： ');
INSERT INTO `lang_definitions` VALUES (35151, 129, 11, '新增证书到Apache配置文件');
INSERT INTO `lang_definitions` VALUES (35152, 132, 11, '新增组');
INSERT INTO `lang_definitions` VALUES (35153, 134, 11, '新增批号和交易');
INSERT INTO `lang_definitions` VALUES (35154, 135, 11, '新增备注');
INSERT INTO `lang_definitions` VALUES (35155, 136, 11, '新增备注');
INSERT INTO `lang_definitions` VALUES (35156, 137, 11, '新增伙伴');
INSERT INTO `lang_definitions` VALUES (35157, 140, 11, '添加备注');
INSERT INTO `lang_definitions` VALUES (35158, 141, 11, '添加病历');
INSERT INTO `lang_definitions` VALUES (35159, 142, 11, '添加处方');
INSERT INTO `lang_definitions` VALUES (35160, 144, 11, '添加专家编号');
INSERT INTO `lang_definitions` VALUES (35161, 145, 11, '添加康复');
INSERT INTO `lang_definitions` VALUES (35162, 146, 11, '添加规则');
INSERT INTO `lang_definitions` VALUES (35163, 147, 11, '添加到');
INSERT INTO `lang_definitions` VALUES (35164, 148, 11, '添加到药品清单');
INSERT INTO `lang_definitions` VALUES (35165, 149, 11, '添加最高级别');
INSERT INTO `lang_definitions` VALUES (35166, 150, 11, '添加交易');
INSERT INTO `lang_definitions` VALUES (35167, 151, 11, '添加用户');
INSERT INTO `lang_definitions` VALUES (35168, 152, 11, '添加到用户组');
INSERT INTO `lang_definitions` VALUES (35169, 153, 11, '添加/编辑eRX');
INSERT INTO `lang_definitions` VALUES (35170, 154, 11, '添加/编辑客户交易');
INSERT INTO `lang_definitions` VALUES (35171, 155, 11, '添加完毕');
INSERT INTO `lang_definitions` VALUES (35172, 156, 11, '不允许添加户口资料');
INSERT INTO `lang_definitions` VALUES (35173, 160, 11, '附加属性');
INSERT INTO `lang_definitions` VALUES (35174, 161, 11, '附加诊断：');
INSERT INTO `lang_definitions` VALUES (35175, 162, 11, '附加病史');
INSERT INTO `lang_definitions` VALUES (35176, 163, 11, '附加病史备注');
INSERT INTO `lang_definitions` VALUES (35177, 164, 11, '其它信息');
INSERT INTO `lang_definitions` VALUES (35178, 165, 11, '附加实验室');
INSERT INTO `lang_definitions` VALUES (35179, 166, 11, '附加备注');
INSERT INTO `lang_definitions` VALUES (35180, 168, 11, '附加备注：');
INSERT INTO `lang_definitions` VALUES (35181, 169, 11, '附加备注： ');
INSERT INTO `lang_definitions` VALUES (35182, 170, 11, '额外的X射线备注：');
INSERT INTO `lang_definitions` VALUES (35183, 172, 11, '只添加');
INSERT INTO `lang_definitions` VALUES (35184, 173, 11, '通讯录');
INSERT INTO `lang_definitions` VALUES (35185, 174, 11, '通讯录');
INSERT INTO `lang_definitions` VALUES (35186, 175, 11, '地址');
INSERT INTO `lang_definitions` VALUES (35187, 178, 11, '通讯录');
INSERT INTO `lang_definitions` VALUES (35188, 179, 11, '执行此疗程的单位通讯录条目');
INSERT INTO `lang_definitions` VALUES (35189, 180, 11, '经销商的通讯录');
INSERT INTO `lang_definitions` VALUES (35190, 181, 11, '供应商的通讯录');
INSERT INTO `lang_definitions` VALUES (35191, 182, 11, '通讯录类型');
INSERT INTO `lang_definitions` VALUES (35192, 187, 11, '地址1');
INSERT INTO `lang_definitions` VALUES (35193, 188, 11, '地址2');
INSERT INTO `lang_definitions` VALUES (35194, 189, 11, '收件人');
INSERT INTO `lang_definitions` VALUES (35195, 190, 11, '调整');
INSERT INTO `lang_definitions` VALUES (35196, 191, 11, '调整金额');
INSERT INTO `lang_definitions` VALUES (35197, 192, 11, '调整');
INSERT INTO `lang_definitions` VALUES (35198, 193, 11, '调整');
INSERT INTO `lang_definitions` VALUES (35199, 194, 11, '调整金额');
INSERT INTO `lang_definitions` VALUES (35200, 195, 11, '调整原因');
INSERT INTO `lang_definitions` VALUES (35201, 196, 11, '将值调整为代码 ');
INSERT INTO `lang_definitions` VALUES (35202, 197, 11, '调整');
INSERT INTO `lang_definitions` VALUES (35203, 198, 11, '行政调整');
INSERT INTO `lang_definitions` VALUES (35204, 199, 11, '管理员');
INSERT INTO `lang_definitions` VALUES (35205, 200, 11, '管理员Email地址');
INSERT INTO `lang_definitions` VALUES (35206, 201, 11, '管理方式');
INSERT INTO `lang_definitions` VALUES (35207, 202, 11, '管理');
INSERT INTO `lang_definitions` VALUES (35208, 203, 11, '管理工作由');
INSERT INTO `lang_definitions` VALUES (35209, 206, 11, '管理');
INSERT INTO `lang_definitions` VALUES (35210, 208, 11, '管理员');
INSERT INTO `lang_definitions` VALUES (35211, 209, 11, '管理员可以做任何事');
INSERT INTO `lang_definitions` VALUES (35212, 212, 11, '成人体重筛查和跟踪');
INSERT INTO `lang_definitions` VALUES (35213, 213, 11, '成人体重筛查和跟踪（CQM）');
INSERT INTO `lang_definitions` VALUES (35214, 214, 11, '事先指示');
INSERT INTO `lang_definitions` VALUES (35215, 215, 11, '事先指示');
INSERT INTO `lang_definitions` VALUES (35216, 216, 11, '事先指示警告');
INSERT INTO `lang_definitions` VALUES (35217, 218, 11, '高级的');
INSERT INTO `lang_definitions` VALUES (35218, 219, 11, '建议');
INSERT INTO `lang_definitions` VALUES (35219, 221, 11, '影响正常');
INSERT INTO `lang_definitions` VALUES (35220, 223, 11, '办公时间以外致电');
INSERT INTO `lang_definitions` VALUES (35221, 225, 11, '在执行上述配置，进口的管理客户端证书的浏览器并重新启动服务器（空密码）。');
INSERT INTO `lang_definitions` VALUES (35222, 226, 11, '保存后，点击[查看]检查错误日志。');
INSERT INTO `lang_definitions` VALUES (35223, 227, 11, '保存后，点击查看检查错误日志[ ]。');
INSERT INTO `lang_definitions` VALUES (35224, 228, 11, '保存您的批号后，点击[查看日志]检查错误。');
INSERT INTO `lang_definitions` VALUES (35225, 230, 11, '输入正确的信息后，点击\"保存\"按钮。');
INSERT INTO `lang_definitions` VALUES (35226, 233, 11, '再次');
INSERT INTO `lang_definitions` VALUES (35227, 234, 11, '年龄');
INSERT INTO `lang_definitions` VALUES (35228, 235, 11, '年龄按');
INSERT INTO `lang_definitions` VALUES (35229, 236, 11, '年龄分类');
INSERT INTO `lang_definitions` VALUES (35230, 237, 11, '年龄数据超出范围');
INSERT INTO `lang_definitions` VALUES (35231, 239, 11, '年龄从的格式无效');
INSERT INTO `lang_definitions` VALUES (35232, 240, 11, '年龄到的格式无效');
INSERT INTO `lang_definitions` VALUES (35233, 241, 11, '年龄从');
INSERT INTO `lang_definitions` VALUES (35234, 243, 11, '最大年龄');
INSERT INTO `lang_definitions` VALUES (35235, 244, 11, '最小年龄');
INSERT INTO `lang_definitions` VALUES (35236, 245, 11, '年龄范围');
INSERT INTO `lang_definitions` VALUES (35237, 247, 11, '实效列：');
INSERT INTO `lang_definitions` VALUES (35238, 249, 11, '阿尔巴尼亚人');
INSERT INTO `lang_definitions` VALUES (35239, 250, 11, '酒精');
INSERT INTO `lang_definitions` VALUES (35240, 251, 11, '酒精消耗量');
INSERT INTO `lang_definitions` VALUES (35241, 253, 11, '提醒次数');
INSERT INTO `lang_definitions` VALUES (35242, 255, 11, '提醒');
INSERT INTO `lang_definitions` VALUES (35243, 258, 11, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (35244, 259, 11, '全部');
INSERT INTO `lang_definitions` VALUES (35245, 260, 11, '全部');
INSERT INTO `lang_definitions` VALUES (35246, 261, 11, '全部(整合格式A)');
INSERT INTO `lang_definitions` VALUES (35247, 262, 11, '全部(整合格式B)');
INSERT INTO `lang_definitions` VALUES (35248, 263, 11, '全部(渐增)');
INSERT INTO `lang_definitions` VALUES (35249, 266, 11, '所有类别');
INSERT INTO `lang_definitions` VALUES (35250, 268, 11, '所有编码');
INSERT INTO `lang_definitions` VALUES (35251, 269, 11, '全天');
INSERT INTO `lang_definitions` VALUES (35252, 270, 11, '全天活动');
INSERT INTO `lang_definitions` VALUES (35253, 271, 11, '所有个人户口资料字段，附带搜索和重复检查');
INSERT INTO `lang_definitions` VALUES (35254, 272, 11, '所有设施');
INSERT INTO `lang_definitions` VALUES (35255, 273, 11, '所有伤害/问题');
INSERT INTO `lang_definitions` VALUES (35256, 274, 11, '所有允许的语言');
INSERT INTO `lang_definitions` VALUES (35257, 276, 11, '名字的全部或部分');
INSERT INTO `lang_definitions` VALUES (35258, 277, 11, '姓氏的全部或部分');
INSERT INTO `lang_definitions` VALUES (35259, 278, 11, '组织的全部或部分');
INSERT INTO `lang_definitions` VALUES (35260, 280, 11, '所有产品');
INSERT INTO `lang_definitions` VALUES (35261, 281, 11, '所有服务者');
INSERT INTO `lang_definitions` VALUES (35262, 282, 11, '所有已评估的胶片：');
INSERT INTO `lang_definitions` VALUES (35263, 283, 11, '所有主题');
INSERT INTO `lang_definitions` VALUES (35264, 284, 11, '所有用户');
INSERT INTO `lang_definitions` VALUES (35265, 285, 11, '过敏');
INSERT INTO `lang_definitions` VALUES (35266, 286, 11, '过敏症');
INSERT INTO `lang_definitions` VALUES (35267, 287, 11, '过敏症：');
INSERT INTO `lang_definitions` VALUES (35268, 288, 11, '过敏症');
INSERT INTO `lang_definitions` VALUES (35269, 289, 11, '过敏清单导入完成');
INSERT INTO `lang_definitions` VALUES (35270, 291, 11, '过敏反应');
INSERT INTO `lang_definitions` VALUES (35271, 294, 11, '分配');
INSERT INTO `lang_definitions` VALUES (35272, 295, 11, '允许');
INSERT INTO `lang_definitions` VALUES (35273, 296, 11, '登入时提供所有可用语言选择');
INSERT INTO `lang_definitions` VALUES (35274, 297, 11, '允许创建包含诊断的索偿，不包含程序或收费。大部分诊所不需要这。');
INSERT INTO `lang_definitions` VALUES (35275, 298, 11, '允许调试语言');
INSERT INTO `lang_definitions` VALUES (35276, 299, 11, '允许电子邮件');
INSERT INTO `lang_definitions` VALUES (35277, 300, 11, '是否允许电子邮件信息？');
INSERT INTO `lang_definitions` VALUES (35278, 301, 11, '是否允许电子邮件？');
INSERT INTO `lang_definitions` VALUES (35279, 302, 11, '允许接触的索赔');
INSERT INTO `lang_definitions` VALUES (35280, 303, 11, '允许健康信息交换');
INSERT INTO `lang_definitions` VALUES (35281, 304, 11, '允许分享免疫信息');
INSERT INTO `lang_definitions` VALUES (35282, 305, 11, '允许用于免疫注册');
INSERT INTO `lang_definitions` VALUES (35283, 306, 11, '允许邮件信息');
INSERT INTO `lang_definitions` VALUES (35284, 308, 11, '允许客户网站');
INSERT INTO `lang_definitions` VALUES (35285, 309, 11, '允许短信');
INSERT INTO `lang_definitions` VALUES (35286, 310, 11, '是否允许短信(文本信息)？');
INSERT INTO `lang_definitions` VALUES (35287, 311, 11, '是否允许将提交事件作出了执行的？');
INSERT INTO `lang_definitions` VALUES (35288, 312, 11, '是否允许电话留言？');
INSERT INTO `lang_definitions` VALUES (35289, 313, 11, '允许用户发布全局活动');
INSERT INTO `lang_definitions` VALUES (35290, 314, 11, '允许用户发布个人日历');
INSERT INTO `lang_definitions` VALUES (35291, 315, 11, '允许使用语音留言');
INSERT INTO `lang_definitions` VALUES (35292, 316, 11, '允许的');
INSERT INTO `lang_definitions` VALUES (35293, 317, 11, '允许的语言');
INSERT INTO `lang_definitions` VALUES (35294, 318, 11, '允许(c）');
INSERT INTO `lang_definitions` VALUES (35295, 323, 11, '已经存在');
INSERT INTO `lang_definitions` VALUES (35296, 324, 11, '已经存在。');
INSERT INTO `lang_definitions` VALUES (35297, 325, 11, '已使用，选择另一个标识符');
INSERT INTO `lang_definitions` VALUES (35298, 326, 11, '已使用，选择另一个名称');
INSERT INTO `lang_definitions` VALUES (35299, 327, 11, '备选地址');
INSERT INTO `lang_definitions` VALUES (35300, 328, 11, '备选');
INSERT INTO `lang_definitions` VALUES (35301, 329, 11, '“或者，你可以使用搜索页面上传文件，您从您的付款人或票据交换所获得的电子汇款（ X12的835 ） 。您可以通过点击”浏览“按钮并选择要上传的文件，然后单击搜索以执行上传，并显示相应的发票。其他参数，在这种情况下，上述不适用，将被忽略，上传的文件保存，但还没有处理它的内容 - 。分别完成如下所述”');
INSERT INTO `lang_definitions` VALUES (35302, 330, 11, '上午');
INSERT INTO `lang_definitions` VALUES (35303, 331, 11, '上午计划');
INSERT INTO `lang_definitions` VALUES (35304, 332, 11, '先天多发性关节挛缩症');
INSERT INTO `lang_definitions` VALUES (35305, 333, 11, '先天多发性关节挛缩症追踪');
INSERT INTO `lang_definitions` VALUES (35306, 338, 11, '修订现有备注');
INSERT INTO `lang_definitions` VALUES (35307, 343, 11, '印第安人');
INSERT INTO `lang_definitions` VALUES (35308, 344, 11, '美洲印地安人或阿拉斯加原住民');
INSERT INTO `lang_definitions` VALUES (35309, 345, 11, '美国运通');
INSERT INTO `lang_definitions` VALUES (35310, 346, 11, '阿姆哈啦語');
INSERT INTO `lang_definitions` VALUES (35311, 347, 11, '金额');
INSERT INTO `lang_definitions` VALUES (35312, 349, 11, '收费金额');
INSERT INTO `lang_definitions` VALUES (35313, 350, 11, '过去平衡的金额');
INSERT INTO `lang_definitions` VALUES (35314, 351, 11, '本次诊疗金额');
INSERT INTO `lang_definitions` VALUES (35315, 352, 11, '已付金额');
INSERT INTO `lang_definitions` VALUES (35316, 353, 11, '金额：');
INSERT INTO `lang_definitions` VALUES (35317, 354, 11, '已开发票金额');
INSERT INTO `lang_definitions` VALUES (35318, 355, 11, '重复活动的结束日期必须晚于起始日期！');
INSERT INTO `lang_definitions` VALUES (35319, 357, 11, '导出LibreEHR网页目录时错误');
INSERT INTO `lang_definitions` VALUES (35320, 358, 11, '导出phpGACL网页目录时错误');
INSERT INTO `lang_definitions` VALUES (35321, 359, 11, '导出SQL数据库时错误');
INSERT INTO `lang_definitions` VALUES (35322, 360, 11, '一个不完成的GCAC问题已经被创建和连接，稍后需要有人去完成。');
INSERT INTO `lang_definitions` VALUES (35323, 362, 11, '发生意外的错误。');
INSERT INTO `lang_definitions` VALUES (35324, 363, 11, '一个大写字母');
INSERT INTO `lang_definitions` VALUES (35325, 365, 11, '以及');
INSERT INTO `lang_definitions` VALUES (35326, 366, 11, '以及');
INSERT INTO `lang_definitions` VALUES (35327, 367, 11, '以及');
INSERT INTO `lang_definitions` VALUES (35328, 368, 11, '以及 ');
INSERT INTO `lang_definitions` VALUES (35329, 369, 11, '以及所有从属数据？此次操作将被记录');
INSERT INTO `lang_definitions` VALUES (35330, 370, 11, '以及修改');
INSERT INTO `lang_definitions` VALUES (35331, 371, 11, '并处理。');
INSERT INTO `lang_definitions` VALUES (35332, 372, 11, '重新启动Apache服务器。');
INSERT INTO `lang_definitions` VALUES (35333, 373, 11, '并且原因是');
INSERT INTO `lang_definitions` VALUES (35334, 374, 11, '贫血');
INSERT INTO `lang_definitions` VALUES (35335, 375, 11, '腳踝');
INSERT INTO `lang_definitions` VALUES (35336, 376, 11, '腳踝 +足跟');
INSERT INTO `lang_definitions` VALUES (35337, 377, 11, '腳踝评估表');
INSERT INTO `lang_definitions` VALUES (35338, 378, 11, '腳踝问题');
INSERT INTO `lang_definitions` VALUES (35339, 379, 11, '强直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (35340, 380, 11, '强直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (35341, 381, 11, '厌食');
INSERT INTO `lang_definitions` VALUES (35342, 382, 11, '另一件事，你可以在发布窗口是要求二次计费。保存之前，如果您选择此复选框，然后在原索赔将被重新打开计费页上，将在下一次计费中处理。“');
INSERT INTO `lang_definitions` VALUES (35343, 383, 11, '前');
INSERT INTO `lang_definitions` VALUES (35344, 385, 11, '焦虑');
INSERT INTO `lang_definitions` VALUES (35345, 386, 11, '任何');
INSERT INTO `lang_definitions` VALUES (35346, 387, 11, '任何类别');
INSERT INTO `lang_definitions` VALUES (35347, 388, 11, '任何部分或其所需的代码说明');
INSERT INTO `lang_definitions` VALUES (35348, 389, 11, '任何部分的理想专业');
INSERT INTO `lang_definitions` VALUES (35349, 390, 11, '任何药物编号或药物名称的一部分');
INSERT INTO `lang_definitions` VALUES (35350, 391, 11, '免疫标识或免疫名称的任何部分');
INSERT INTO `lang_definitions` VALUES (35351, 392, 11, '患者姓名的任何部分，或“最后，第一”或“的XY ”');
INSERT INTO `lang_definitions` VALUES (35352, 394, 11, '短信网关的API密钥');
INSERT INTO `lang_definitions` VALUES (35353, 395, 11, '窒息');
INSERT INTO `lang_definitions` VALUES (35354, 396, 11, '外观');
INSERT INTO `lang_definitions` VALUES (35355, 397, 11, '外观：');
INSERT INTO `lang_definitions` VALUES (35356, 398, 11, '附加本备注');
INSERT INTO `lang_definitions` VALUES (35357, 399, 11, '附加到现有备注');
INSERT INTO `lang_definitions` VALUES (35358, 400, 11, '附加到本备注');
INSERT INTO `lang_definitions` VALUES (35359, 401, 11, '附加到本备注');
INSERT INTO `lang_definitions` VALUES (35360, 402, 11, '阑尾切除术');
INSERT INTO `lang_definitions` VALUES (35361, 404, 11, '适用患者');
INSERT INTO `lang_definitions` VALUES (35362, 406, 11, '登录页面的应用程序的名称和主窗口的标题');
INSERT INTO `lang_definitions` VALUES (35363, 407, 11, '应用接收器代码（如果ISA08空白将使用GS03 ）');
INSERT INTO `lang_definitions` VALUES (35364, 408, 11, '应用发件人代码（ GS02 ）');
INSERT INTO `lang_definitions` VALUES (35365, 409, 11, '应用程序标题');
INSERT INTO `lang_definitions` VALUES (35366, 410, 11, '在生命微像和生长曲线图上适用');
INSERT INTO `lang_definitions` VALUES (35367, 412, 11, '修改应用到当前的事件，这和所有未来的事件，或全部事件？');
INSERT INTO `lang_definitions` VALUES (35368, 413, 11, '适用于受影响地区');
INSERT INTO `lang_definitions` VALUES (35369, 414, 11, '适用于皮肤');
INSERT INTO `lang_definitions` VALUES (35370, 415, 11, '应用');
INSERT INTO `lang_definitions` VALUES (35371, 416, 11, '应用补丁到网站上');
INSERT INTO `lang_definitions` VALUES (35372, 417, 11, '预约');
INSERT INTO `lang_definitions` VALUES (35373, 418, 11, '预约日期');
INSERT INTO `lang_definitions` VALUES (35374, 419, 11, '预约显示格式');
INSERT INTO `lang_definitions` VALUES (35375, 420, 11, '预约提醒规则');
INSERT INTO `lang_definitions` VALUES (35376, 421, 11, '预约状态');
INSERT INTO `lang_definitions` VALUES (35377, 422, 11, '预约状态');
INSERT INTO `lang_definitions` VALUES (35378, 423, 11, '预约内容');
INSERT INTO `lang_definitions` VALUES (35379, 424, 11, '预约/事件颜色');
INSERT INTO `lang_definitions` VALUES (35380, 425, 11, '预约');
INSERT INTO `lang_definitions` VALUES (35381, 426, 11, '预约（可选写）');
INSERT INTO `lang_definitions` VALUES (35382, 430, 11, '预约和治疗');
INSERT INTO `lang_definitions` VALUES (35383, 431, 11, '预约报告');
INSERT INTO `lang_definitions` VALUES (35384, 432, 11, '预约-治疗报告');
INSERT INTO `lang_definitions` VALUES (35385, 434, 11, '批准');
INSERT INTO `lang_definitions` VALUES (35386, 436, 11, '批准');
INSERT INTO `lang_definitions` VALUES (35387, 437, 11, '批准事件管理');
INSERT INTO `lang_definitions` VALUES (35388, 440, 11, 'Appt-Enc');
INSERT INTO `lang_definitions` VALUES (35389, 441, 11, '聘任');
INSERT INTO `lang_definitions` VALUES (35390, 442, 11, '四月');
INSERT INTO `lang_definitions` VALUES (35391, 443, 11, '四月');
INSERT INTO `lang_definitions` VALUES (35392, 444, 11, '阿拉伯');
INSERT INTO `lang_definitions` VALUES (35393, 447, 11, '门诊控制组名称要翻译吗？');
INSERT INTO `lang_definitions` VALUES (35394, 448, 11, '预约类名称要翻译吗？');
INSERT INTO `lang_definitions` VALUES (35395, 449, 11, '文档类名称要翻译吗？');
INSERT INTO `lang_definitions` VALUES (35396, 450, 11, '这种类型要收费吗？');
INSERT INTO `lang_definitions` VALUES (35397, 451, 11, '患者备注标题要翻译吗？');
INSERT INTO `lang_definitions` VALUES (35398, 452, 11, '是代码存储在外部数据库表（0 -没有，1-icd10，2-snomed（rf1），3-snomed（rf2））？');
INSERT INTO `lang_definitions` VALUES (35399, 453, 11, '是否准备一个新的GCAC来完成此次门诊？');
INSERT INTO `lang_definitions` VALUES (35400, 455, 11, '你确定要批准这些事件吗？');
INSERT INTO `lang_definitions` VALUES (35401, 457, 11, '你确定你要完全消除这种形式吗？');
INSERT INTO `lang_definitions` VALUES (35402, 459, 11, '你确定要删除这个泄露？');
INSERT INTO `lang_definitions` VALUES (35403, 460, 11, '你确定要删除这个事件？');
INSERT INTO `lang_definitions` VALUES (35404, 461, 11, '你确定要从数据库中删除这个项目吗？');
INSERT INTO `lang_definitions` VALUES (35405, 462, 11, '你确定要删除这个备注吗 ？');
INSERT INTO `lang_definitions` VALUES (35406, 464, 11, '你确定要编辑这些事件？');
INSERT INTO `lang_definitions` VALUES (35407, 465, 11, '你确定要隐藏这些事件？');
INSERT INTO `lang_definitions` VALUES (35408, 467, 11, '你确定要浏览这些事件？');
INSERT INTO `lang_definitions` VALUES (35409, 468, 11, '你确定要删除整组命名？');
INSERT INTO `lang_definitions` VALUES (35410, 469, 11, '你确定要删除整个清单？');
INSERT INTO `lang_definitions` VALUES (35411, 470, 11, '你确定要删除字段？');
INSERT INTO `lang_definitions` VALUES (35412, 471, 11, '你确定要删除选定的字段吗？');
INSERT INTO `lang_definitions` VALUES (35413, 472, 11, '你确定你想继续这些操作吗？');
INSERT INTO `lang_definitions` VALUES (35414, 473, 11, '区域未指定');
INSERT INTO `lang_definitions` VALUES (35415, 474, 11, '手臂');
INSERT INTO `lang_definitions` VALUES (35416, 475, 11, '亚美尼亚语');
INSERT INTO `lang_definitions` VALUES (35417, 477, 11, '心律失常');
INSERT INTO `lang_definitions` VALUES (35418, 478, 11, '关节炎');
INSERT INTO `lang_definitions` VALUES (35419, 479, 11, '关节炎/退化性关节疾病');
INSERT INTO `lang_definitions` VALUES (35420, 480, 11, '关节炎/退化性关节疾病');
INSERT INTO `lang_definitions` VALUES (35421, 481, 11, '同样的');
INSERT INTO `lang_definitions` VALUES (35422, 482, 11, '作为');
INSERT INTO `lang_definitions` VALUES (35423, 484, 11, '亚洲');
INSERT INTO `lang_definitions` VALUES (35424, 487, 11, '评价');
INSERT INTO `lang_definitions` VALUES (35425, 488, 11, '分配给');
INSERT INTO `lang_definitions` VALUES (35426, 489, 11, '助理');
INSERT INTO `lang_definitions` VALUES (35427, 490, 11, '哮喘');
INSERT INTO `lang_definitions` VALUES (35428, 491, 11, '在');
INSERT INTO `lang_definitions` VALUES (35429, 492, 11, '如果你选择全部，至少有一个搜索参数是必需的。');
INSERT INTO `lang_definitions` VALUES (35430, 493, 11, '在舟状骨');
INSERT INTO `lang_definitions` VALUES (35431, 494, 11, '在舟状骨');
INSERT INTO `lang_definitions` VALUES (35432, 495, 11, '田径队');
INSERT INTO `lang_definitions` VALUES (35433, 497, 11, '田径/损伤');
INSERT INTO `lang_definitions` VALUES (35434, 498, 11, 'ATNA审计CA证书');
INSERT INTO `lang_definitions` VALUES (35435, 499, 11, 'ATNA审计主机');
INSERT INTO `lang_definitions` VALUES (35436, 500, 11, 'ATNA审计的本地证书');
INSERT INTO `lang_definitions` VALUES (35437, 501, 11, 'ATNA审计端口');
INSERT INTO `lang_definitions` VALUES (35438, 503, 11, '注意项');
INSERT INTO `lang_definitions` VALUES (35439, 504, 11, '经办人');
INSERT INTO `lang_definitions` VALUES (35440, 509, 11, '审计备份日志');
INSERT INTO `lang_definitions` VALUES (35441, 510, 11, '审计杂项日志');
INSERT INTO `lang_definitions` VALUES (35442, 511, 11, '审计采购日志');
INSERT INTO `lang_definitions` VALUES (35443, 512, 11, '审计客户记录日志');
INSERT INTO `lang_definitions` VALUES (35444, 513, 11, '审计调度日志');
INSERT INTO `lang_definitions` VALUES (35445, 514, 11, '审计安全管理日志');
INSERT INTO `lang_definitions` VALUES (35446, 515, 11, '审计查询日志');
INSERT INTO `lang_definitions` VALUES (35447, 516, 11, '八月');
INSERT INTO `lang_definitions` VALUES (35448, 517, 11, '八月');
INSERT INTO `lang_definitions` VALUES (35449, 519, 11, '验证');
INSERT INTO `lang_definitions` VALUES (35450, 520, 11, '验证/备注');
INSERT INTO `lang_definitions` VALUES (35451, 523, 11, '授权组');
INSERT INTO `lang_definitions` VALUES (35452, 525, 11, '授权组');
INSERT INTO `lang_definitions` VALUES (35453, 526, 11, '授权组');
INSERT INTO `lang_definitions` VALUES (35454, 527, 11, '授权-任何治疗');
INSERT INTO `lang_definitions` VALUES (35455, 528, 11, '授权-我的治疗');
INSERT INTO `lang_definitions` VALUES (35456, 530, 11, '授权');
INSERT INTO `lang_definitions` VALUES (35457, 531, 11, '只授权');
INSERT INTO `lang_definitions` VALUES (35458, 532, 11, '自动发送');
INSERT INTO `lang_definitions` VALUES (35459, 535, 11, '自动-创建新的治疗');
INSERT INTO `lang_definitions` VALUES (35460, 536, 11, '自动生成');
INSERT INTO `lang_definitions` VALUES (35461, 537, 11, '自动测量计算（AMC）');
INSERT INTO `lang_definitions` VALUES (35462, 542, 11, '自动追踪测量计算（AMC）');
INSERT INTO `lang_definitions` VALUES (35463, 543, 11, '自动措施（AMC）');
INSERT INTO `lang_definitions` VALUES (35464, 544, 11, '自动');
INSERT INTO `lang_definitions` VALUES (35465, 546, 11, '自动创建一个新的约会时治疗的状态设置为“@”（到）。');
INSERT INTO `lang_definitions` VALUES (35466, 549, 11, '汽车医疗');
INSERT INTO `lang_definitions` VALUES (35467, 550, 11, '自动保存');
INSERT INTO `lang_definitions` VALUES (35468, 551, 11, '可用类别');
INSERT INTO `lang_definitions` VALUES (35469, 552, 11, '可用时间');
INSERT INTO `lang_definitions` VALUES (35470, 557, 11, '平均每月');
INSERT INTO `lang_definitions` VALUES (35471, 558, 11, '撕脱/撕脱骨折');
INSERT INTO `lang_definitions` VALUES (35472, 559, 11, '外踝撕脱');
INSERT INTO `lang_definitions` VALUES (35473, 560, 11, '内踝撕脱 ');
INSERT INTO `lang_definitions` VALUES (35474, 561, 11, '感知的');
INSERT INTO `lang_definitions` VALUES (35475, 562, 11, '腋窝');
INSERT INTO `lang_definitions` VALUES (35476, 565, 11, '出价');
INSERT INTO `lang_definitions` VALUES (35477, 566, 11, '回来');
INSERT INTO `lang_definitions` VALUES (35478, 567, 11, '回来');
INSERT INTO `lang_definitions` VALUES (35479, 568, 11, '后八次门诊');
INSERT INTO `lang_definitions` VALUES (35480, 569, 11, '后十一次门诊');
INSERT INTO `lang_definitions` VALUES (35481, 570, 11, '后五次门诊');
INSERT INTO `lang_definitions` VALUES (35482, 571, 11, '后四次门诊');
INSERT INTO `lang_definitions` VALUES (35483, 572, 11, '后九次门诊');
INSERT INTO `lang_definitions` VALUES (35484, 573, 11, '返回门诊');
INSERT INTO `lang_definitions` VALUES (35485, 574, 11, '背部疼痛');
INSERT INTO `lang_definitions` VALUES (35486, 575, 11, '背部问题');
INSERT INTO `lang_definitions` VALUES (35487, 576, 11, '后七次门诊');
INSERT INTO `lang_definitions` VALUES (35488, 577, 11, '后六次门诊');
INSERT INTO `lang_definitions` VALUES (35489, 578, 11, '背部手术');
INSERT INTO `lang_definitions` VALUES (35490, 579, 11, '后十次门诊');
INSERT INTO `lang_definitions` VALUES (35491, 580, 11, '后三次门诊');
INSERT INTO `lang_definitions` VALUES (35492, 584, 11, '回到客户');
INSERT INTO `lang_definitions` VALUES (35493, 586, 11, '回观');
INSERT INTO `lang_definitions` VALUES (35494, 587, 11, '后十二次门诊');
INSERT INTO `lang_definitions` VALUES (35495, 588, 11, '复诊两次');
INSERT INTO `lang_definitions` VALUES (35496, 590, 11, '备用的，备份文件');
INSERT INTO `lang_definitions` VALUES (35497, 591, 11, '备份文件已经建立，将要发送下载');
INSERT INTO `lang_definitions` VALUES (35498, 593, 11, '备份成功建立');
INSERT INTO `lang_definitions` VALUES (35499, 594, 11, '空头支票');
INSERT INTO `lang_definitions` VALUES (35500, 595, 11, '呆账（收不回的帐）');
INSERT INTO `lang_definitions` VALUES (35501, 596, 11, '印度尼西亚语');
INSERT INTO `lang_definitions` VALUES (35502, 597, 11, '巴拉腊特（美、澳地名）');
INSERT INTO `lang_definitions` VALUES (35503, 598, 11, '结账平衡');
INSERT INTO `lang_definitions` VALUES (35504, 599, 11, '结平（账目）');
INSERT INTO `lang_definitions` VALUES (35505, 601, 11, '由于负债');
INSERT INTO `lang_definitions` VALUES (35506, 603, 11, '银行汇票');
INSERT INTO `lang_definitions` VALUES (35507, 607, 11, '第五Metarsal底部（基地）');
INSERT INTO `lang_definitions` VALUES (35508, 608, 11, '第五Metarsal底部（基地）');
INSERT INTO `lang_definitions` VALUES (35509, 612, 11, '成批通信工具');
INSERT INTO `lang_definitions` VALUES (35510, 613, 11, '批量付款条目');
INSERT INTO `lang_definitions` VALUES (35511, 615, 11, '批处理开始，这可能需要一段时间。');
INSERT INTO `lang_definitions` VALUES (35512, 616, 11, '批处理结果');
INSERT INTO `lang_definitions` VALUES (35513, 617, 11, '批量命令，批量Com');
INSERT INTO `lang_definitions` VALUES (35514, 619, 11, '因为我不存在');
INSERT INTO `lang_definitions` VALUES (35515, 620, 11, '开始');
INSERT INTO `lang_definitions` VALUES (35516, 621, 11, '开始日期');
INSERT INTO `lang_definitions` VALUES (35517, 623, 11, '服务开始日期，以年/月/日形式');
INSERT INTO `lang_definitions` VALUES (35518, 624, 11, '日历事项上一天开始的时间');
INSERT INTO `lang_definitions` VALUES (35519, 626, 11, '打嗝，吐出');
INSERT INTO `lang_definitions` VALUES (35520, 630, 11, '两者之间');
INSERT INTO `lang_definitions` VALUES (35521, 633, 11, '双边的，双向的；两侧的。');
INSERT INTO `lang_definitions` VALUES (35522, 634, 11, '双边的，双向的；两侧的。');
INSERT INTO `lang_definitions` VALUES (35523, 636, 11, '账单日期');
INSERT INTO `lang_definitions` VALUES (35524, 637, 11, '账单/收账');
INSERT INTO `lang_definitions` VALUES (35525, 638, 11, '给……开账单；为……发提货单；把……登录在帐');
INSERT INTO `lang_definitions` VALUES (35526, 640, 11, '开具账单，营业额');
INSERT INTO `lang_definitions` VALUES (35527, 641, 11, '计费（写可选）');
INSERT INTO `lang_definitions` VALUES (35528, 642, 11, '结算经办人');
INSERT INTO `lang_definitions` VALUES (35529, 644, 11, '结算规范要求的服务');
INSERT INTO `lang_definitions` VALUES (35530, 645, 11, '结算代码');
INSERT INTO `lang_definitions` VALUES (35531, 646, 11, '结算日期');
INSERT INTO `lang_definitions` VALUES (35532, 647, 11, '结算部门');
INSERT INTO `lang_definitions` VALUES (35533, 648, 11, '结算设备');
INSERT INTO `lang_definitions` VALUES (35534, 649, 11, '结算信息');
INSERT INTO `lang_definitions` VALUES (35535, 650, 11, '帐单位置');
INSERT INTO `lang_definitions` VALUES (35536, 655, 11, '结账经理');
INSERT INTO `lang_definitions` VALUES (35537, 656, 11, '结算说明');
INSERT INTO `lang_definitions` VALUES (35538, 657, 11, '结算说明 ');
INSERT INTO `lang_definitions` VALUES (35539, 658, 11, '帐单票据：');
INSERT INTO `lang_definitions` VALUES (35540, 659, 11, '结算队列结果：');
INSERT INTO `lang_definitions` VALUES (35541, 660, 11, '结算报告');
INSERT INTO `lang_definitions` VALUES (35542, 662, 11, '开票状态=未开票');
INSERT INTO `lang_definitions` VALUES (35543, 663, 11, '帐单 ');
INSERT INTO `lang_definitions` VALUES (35544, 665, 11, '或组织检查，活体检视');
INSERT INTO `lang_definitions` VALUES (35545, 666, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (35546, 669, 11, '黑色');
INSERT INTO `lang_definitions` VALUES (35547, 670, 11, '黑（矽）肺病，肺尘病');
INSERT INTO `lang_definitions` VALUES (35548, 671, 11, '黑人或者非裔美国人');
INSERT INTO `lang_definitions` VALUES (35549, 672, 11, '膀胱癌');
INSERT INTO `lang_definitions` VALUES (35550, 673, 11, '膀胱感染');
INSERT INTO `lang_definitions` VALUES (35551, 674, 11, '空白表格');
INSERT INTO `lang_definitions` VALUES (35552, 675, 11, '出血问题');
INSERT INTO `lang_definitions` VALUES (35553, 676, 11, '盲点');
INSERT INTO `lang_definitions` VALUES (35554, 677, 11, '膨胀');
INSERT INTO `lang_definitions` VALUES (35555, 678, 11, '封锁');
INSERT INTO `lang_definitions` VALUES (35556, 679, 11, '血液');
INSERT INTO `lang_definitions` VALUES (35557, 680, 11, '血压');
INSERT INTO `lang_definitions` VALUES (35558, 681, 11, '血压');
INSERT INTO `lang_definitions` VALUES (35559, 682, 11, '鼻子出血');
INSERT INTO `lang_definitions` VALUES (35560, 683, 11, '蓝十字蓝盾');
INSERT INTO `lang_definitions` VALUES (35561, 684, 11, '蓝线在本报告中的信息。黑色的线条显示先前存在的信息。绿色线条显示变化，成功的应用。红色线显示错误');
INSERT INTO `lang_definitions` VALUES (35562, 685, 11, '视力模糊');
INSERT INTO `lang_definitions` VALUES (35563, 686, 11, '体质指数');
INSERT INTO `lang_definitions` VALUES (35564, 687, 11, '体质指数等级');
INSERT INTO `lang_definitions` VALUES (35565, 689, 11, '身体部位');
INSERT INTO `lang_definitions` VALUES (35566, 690, 11, '身体位置');
INSERT INTO `lang_definitions` VALUES (35567, 691, 11, '身体位置');
INSERT INTO `lang_definitions` VALUES (35568, 692, 11, '骨嫩：');
INSERT INTO `lang_definitions` VALUES (35569, 693, 11, '骨嫩：内踝');
INSERT INTO `lang_definitions` VALUES (35570, 694, 11, '布尔');
INSERT INTO `lang_definitions` VALUES (35571, 696, 11, '博特');
INSERT INTO `lang_definitions` VALUES (35572, 697, 11, '双耳');
INSERT INTO `lang_definitions` VALUES (35573, 698, 11, '双耳');
INSERT INTO `lang_definitions` VALUES (35574, 699, 11, '底部');
INSERT INTO `lang_definitions` VALUES (35575, 701, 11, '方框10 A.就业相关 ');
INSERT INTO `lang_definitions` VALUES (35576, 702, 11, '方框10湾车祸 ');
INSERT INTO `lang_definitions` VALUES (35577, 703, 11, '方框10 C.其他事故 ');
INSERT INTO `lang_definitions` VALUES (35578, 706, 11, '方框15.日期相同或类似的疾病(年-月-日）');
INSERT INTO `lang_definitions` VALUES (35579, 708, 11, '方框16 。日期无法工作（格式yyyy - mm - DD ）的：');
INSERT INTO `lang_definitions` VALUES (35580, 709, 11, '方框16 。日期无法工作（格式yyyy - mm - DD ）的：');
INSERT INTO `lang_definitions` VALUES (35581, 710, 11, '箱18 。住院日（格式yyyy - mm - DD ）的： ');
INSERT INTO `lang_definitions` VALUES (35582, 711, 11, '箱18 。住院日期（格式yyyy - mm - DD ）的： ');
INSERT INTO `lang_definitions` VALUES (35583, 712, 11, '箱20 。境外实验室使用？');
INSERT INTO `lang_definitions` VALUES (35584, 713, 11, '箱22 。医疗重新码（的ICD - 9 ） ');
INSERT INTO `lang_definitions` VALUES (35585, 714, 11, '箱23 。事先授权号 ');
INSERT INTO `lang_definitions` VALUES (35586, 715, 11, '血压');
INSERT INTO `lang_definitions` VALUES (35587, 716, 11, '舒张压');
INSERT INTO `lang_definitions` VALUES (35588, 717, 11, '收缩压');
INSERT INTO `lang_definitions` VALUES (35589, 719, 11, 'Bpd');
INSERT INTO `lang_definitions` VALUES (35590, 721, 11, 'Bps');
INSERT INTO `lang_definitions` VALUES (35591, 722, 11, '巴西葡萄牙语');
INSERT INTO `lang_definitions` VALUES (35592, 723, 11, '乳房');
INSERT INTO `lang_definitions` VALUES (35593, 724, 11, '乳腺活组织检查');
INSERT INTO `lang_definitions` VALUES (35594, 725, 11, '乳腺排出物');
INSERT INTO `lang_definitions` VALUES (35595, 726, 11, '乳腺疾病');
INSERT INTO `lang_definitions` VALUES (35596, 727, 11, '乳房检查');
INSERT INTO `lang_definitions` VALUES (35597, 728, 11, '乳房肿块');
INSERT INTO `lang_definitions` VALUES (35598, 730, 11, '呼吸音：');
INSERT INTO `lang_definitions` VALUES (35599, 732, 11, '骨折');
INSERT INTO `lang_definitions` VALUES (35600, 734, 11, '支气管炎表格');
INSERT INTO `lang_definitions` VALUES (35601, 735, 11, '浏览');
INSERT INTO `lang_definitions` VALUES (35602, 736, 11, '浏览记录');
INSERT INTO `lang_definitions` VALUES (35603, 737, 11, '青肿/血肿');
INSERT INTO `lang_definitions` VALUES (35604, 739, 11, '胀右：');
INSERT INTO `lang_definitions` VALUES (35605, 741, 11, '燃烧排尿');
INSERT INTO `lang_definitions` VALUES (35606, 742, 11, '燃烧排尿');
INSERT INTO `lang_definitions` VALUES (35607, 744, 11, '忙碌的');
INSERT INTO `lang_definitions` VALUES (35608, 745, 11, '但尚未处理的。');
INSERT INTO `lang_definitions` VALUES (35609, 746, 11, '臀部');
INSERT INTO `lang_definitions` VALUES (35610, 747, 11, '臀部+副省长');
INSERT INTO `lang_definitions` VALUES (35611, 748, 11, '通过');
INSERT INTO `lang_definitions` VALUES (35612, 749, 11, '通过');
INSERT INTO `lang_definitions` VALUES (35613, 750, 11, '经口');
INSERT INTO `lang_definitions` VALUES (35614, 751, 11, '文/来源');
INSERT INTO `lang_definitions` VALUES (35615, 752, 11, '方式：');
INSERT INTO `lang_definitions` VALUES (35616, 753, 11, 'C');
INSERT INTO `lang_definitions` VALUES (35617, 754, 11, '证书验证的玫瑰花5425协议日志服务器。');
INSERT INTO `lang_definitions` VALUES (35618, 755, 11, '缓存寿命（秒）');
INSERT INTO `lang_definitions` VALUES (35619, 756, 11, '缓存模板输出？');
INSERT INTO `lang_definitions` VALUES (35620, 757, 11, '喝咖啡');
INSERT INTO `lang_definitions` VALUES (35621, 758, 11, '日历');
INSERT INTO `lang_definitions` VALUES (35622, 759, 11, '日历结束时间');
INSERT INTO `lang_definitions` VALUES (35623, 760, 11, '日历区间');
INSERT INTO `lang_definitions` VALUES (35624, 761, 11, '日历画面');
INSERT INTO `lang_definitions` VALUES (35625, 762, 11, '日历设置');
INSERT INTO `lang_definitions` VALUES (35626, 763, 11, '日历开始时间');
INSERT INTO `lang_definitions` VALUES (35627, 764, 11, '日历界面');
INSERT INTO `lang_definitions` VALUES (35628, 765, 11, '日历视图');
INSERT INTO `lang_definitions` VALUES (35629, 766, 11, '呼吁addForm（ ）这里。');
INSERT INTO `lang_definitions` VALUES (35630, 767, 11, '卡路里');
INSERT INTO `lang_definitions` VALUES (35631, 768, 11, '柬埔寨');
INSERT INTO `lang_definitions` VALUES (35633, 774, 11, '取消');
INSERT INTO `lang_definitions` VALUES (35634, 775, 11, '取消变更');
INSERT INTO `lang_definitions` VALUES (35635, 776, 11, '取消');
INSERT INTO `lang_definitions` VALUES (35636, 777, 11, '癌症');
INSERT INTO `lang_definitions` VALUES (35637, 778, 11, '癌症检查：结肠癌的筛查');
INSERT INTO `lang_definitions` VALUES (35638, 779, 11, '癌症检查：检查');
INSERT INTO `lang_definitions` VALUES (35639, 780, 11, '癌症检查：子宫颈抹片');
INSERT INTO `lang_definitions` VALUES (35640, 781, 11, '癌症检查：前列腺癌的筛查');
INSERT INTO `lang_definitions` VALUES (35641, 782, 11, '无法添加该项已经存在！');
INSERT INTO `lang_definitions` VALUES (35642, 783, 11, '无法添加/更新这项重复已经存在！');
INSERT INTO `lang_definitions` VALUES (35643, 785, 11, '不能转换为JPEG格式。也许照片管理没有安装？');
INSERT INTO `lang_definitions` VALUES (35644, 787, 11, '无法显示内置类型，因为它不支持的浏览器。');
INSERT INTO `lang_definitions` VALUES (35645, 788, 11, '无法显示内置类型，因为它不支持的浏览器');
INSERT INTO `lang_definitions` VALUES (35646, 789, 11, '无法显示内置类型，因为它不支持的浏览器。');
INSERT INTO `lang_definitions` VALUES (35647, 790, 11, '无法创建');
INSERT INTO `lang_definitions` VALUES (35648, 795, 11, '无法找到 ');
INSERT INTO `lang_definitions` VALUES (35649, 796, 11, '找不到目标文件名');
INSERT INTO `lang_definitions` VALUES (35650, 799, 11, '找不到客户从SQL查问客户ID');
INSERT INTO `lang_definitions` VALUES (35651, 800, 11, '找不到后记中提到的文件 ');
INSERT INTO `lang_definitions` VALUES (35652, 801, 11, '找不到提供商从SQL查问雇员= ');
INSERT INTO `lang_definitions` VALUES (35653, 802, 11, '不能修改支付未分配是否定的。');
INSERT INTO `lang_definitions` VALUES (35654, 803, 11, '无法打开 ');
INSERT INTO `lang_definitions` VALUES (35655, 804, 11, '不能为保险付费单位选定的客户。');
INSERT INTO `lang_definitions` VALUES (35656, 805, 11, '不能为客户支付单位选定的保险。');
INSERT INTO `lang_definitions` VALUES (35657, 806, 11, '不能支付未分配是否定的。');
INSERT INTO `lang_definitions` VALUES (35658, 807, 11, '不能读');
INSERT INTO `lang_definitions` VALUES (35659, 808, 11, '无法读取目录');
INSERT INTO `lang_definitions` VALUES (35660, 809, 11, '不能更新，是因为您没有编辑现有条目！');
INSERT INTO `lang_definitions` VALUES (35661, 810, 11, '利用');
INSERT INTO `lang_definitions` VALUES (35662, 812, 11, '胶囊');
INSERT INTO `lang_definitions` VALUES (35663, 813, 11, '卡片');
INSERT INTO `lang_definitions` VALUES (35664, 814, 11, '心导管');
INSERT INTO `lang_definitions` VALUES (35665, 815, 11, '心脏回声');
INSERT INTO `lang_definitions` VALUES (35666, 816, 11, '心血管');
INSERT INTO `lang_definitions` VALUES (35667, 821, 11, '软骨/软骨/椎间盘损伤');
INSERT INTO `lang_definitions` VALUES (35668, 822, 11, '软骨损伤');
INSERT INTO `lang_definitions` VALUES (35669, 823, 11, '颈动脉搏动荷，踏板脉冲荷');
INSERT INTO `lang_definitions` VALUES (35670, 824, 11, '现金');
INSERT INTO `lang_definitions` VALUES (35671, 825, 11, '现金');
INSERT INTO `lang_definitions` VALUES (35672, 826, 11, '现金市盈率');
INSERT INTO `lang_definitions` VALUES (35673, 827, 11, '现金收据的服务人员');
INSERT INTO `lang_definitions` VALUES (35674, 829, 11, '白内障手术');
INSERT INTO `lang_definitions` VALUES (35675, 830, 11, '白内障');
INSERT INTO `lang_definitions` VALUES (35676, 831, 11, '分类');
INSERT INTO `lang_definitions` VALUES (35677, 832, 11, '分类');
INSERT INTO `lang_definitions` VALUES (35678, 833, 11, '分类');
INSERT INTO `lang_definitions` VALUES (35679, 834, 11, '分类');
INSERT INTO `lang_definitions` VALUES (35680, 835, 11, '分类 ');
INSERT INTO `lang_definitions` VALUES (35681, 836, 11, '分类信息');
INSERT INTO `lang_definitions` VALUES (35682, 837, 11, '分类界限');
INSERT INTO `lang_definitions` VALUES (35683, 838, 11, '分类名称');
INSERT INTO `lang_definitions` VALUES (35684, 839, 11, '类别名称是空的');
INSERT INTO `lang_definitions` VALUES (35685, 840, 11, '分类标题');
INSERT INTO `lang_definitions` VALUES (35686, 841, 11, '高加索');
INSERT INTO `lang_definitions` VALUES (35687, 842, 11, '原因收据打印治疗/主要服务人员信息');
INSERT INTO `lang_definitions` VALUES (35688, 852, 11, '手机');
INSERT INTO `lang_definitions` VALUES (35689, 853, 11, '手机');
INSERT INTO `lang_definitions` VALUES (35690, 855, 11, '手机号码');
INSERT INTO `lang_definitions` VALUES (35691, 856, 11, '中央认证');
INSERT INTO `lang_definitions` VALUES (35692, 857, 11, '中美洲和南美洲');
INSERT INTO `lang_definitions` VALUES (35693, 858, 11, '证书权威阴极射线管文件的位置不能为空');
INSERT INTO `lang_definitions` VALUES (35694, 859, 11, '证书颁发机构密钥文件位置不能为空');
INSERT INTO `lang_definitions` VALUES (35695, 860, 11, '证书送玫瑰花5425协议日志服务器。');
INSERT INTO `lang_definitions` VALUES (35696, 861, 11, '证书用户');
INSERT INTO `lang_definitions` VALUES (35697, 862, 11, '证书');
INSERT INTO `lang_definitions` VALUES (35698, 864, 11, '保健医疗计划');
INSERT INTO `lang_definitions` VALUES (35699, 865, 11, '保健医疗计划');
INSERT INTO `lang_definitions` VALUES (35700, 866, 11, '更改');
INSERT INTO `lang_definitions` VALUES (35701, 867, 11, '更改');
INSERT INTO `lang_definitions` VALUES (35702, 868, 11, '变更活动');
INSERT INTO `lang_definitions` VALUES (35703, 870, 11, '视力变化');
INSERT INTO `lang_definitions` VALUES (35704, 871, 11, '视力变化');
INSERT INTO `lang_definitions` VALUES (35705, 874, 11, '改变');
INSERT INTO `lang_definitions` VALUES (35706, 875, 11, '改变肠');
INSERT INTO `lang_definitions` VALUES (35707, 877, 11, '特征');
INSERT INTO `lang_definitions` VALUES (35708, 878, 11, '剩余字符');
INSERT INTO `lang_definitions` VALUES (35709, 879, 11, '电荷');
INSERT INTO `lang_definitions` VALUES (35710, 880, 11, '费用调整');
INSERT INTO `lang_definitions` VALUES (35711, 882, 11, '收费');
INSERT INTO `lang_definitions` VALUES (35712, 883, 11, '病历');
INSERT INTO `lang_definitions` VALUES (35713, 884, 11, '病历活动');
INSERT INTO `lang_definitions` VALUES (35714, 885, 11, '病历登记/登出活动报告');
INSERT INTO `lang_definitions` VALUES (35715, 886, 11, '病历编号：');
INSERT INTO `lang_definitions` VALUES (35716, 887, 11, '病历编号：');
INSERT INTO `lang_definitions` VALUES (35717, 889, 11, '病历地点活动');
INSERT INTO `lang_definitions` VALUES (35718, 890, 11, '病历附注');
INSERT INTO `lang_definitions` VALUES (35719, 891, 11, '病历编号：');
INSERT INTO `lang_definitions` VALUES (35720, 892, 11, '病历存放地址');
INSERT INTO `lang_definitions` VALUES (35721, 893, 11, '病历跟踪');
INSERT INTO `lang_definitions` VALUES (35722, 894, 11, '病历蒂尔克');
INSERT INTO `lang_definitions` VALUES (35723, 895, 11, '病历借出');
INSERT INTO `lang_definitions` VALUES (35724, 896, 11, '病历输出');
INSERT INTO `lang_definitions` VALUES (35725, 898, 11, '检查');
INSERT INTO `lang_definitions` VALUES (35726, 899, 11, '检查');
INSERT INTO `lang_definitions` VALUES (35727, 900, 11, '检查所有');
INSERT INTO `lang_definitions` VALUES (35728, 902, 11, '检查金额');
INSERT INTO `lang_definitions` VALUES (35729, 903, 11, '检查日期');
INSERT INTO `lang_definitions` VALUES (35730, 904, 11, '检查差异与习语翻译表。');
INSERT INTO `lang_definitions` VALUES (35731, 906, 11, '登记到');
INSERT INTO `lang_definitions` VALUES (35732, 907, 11, '检查输入数据');
INSERT INTO `lang_definitions` VALUES (35733, 909, 11, '检查实验室成果');
INSERT INTO `lang_definitions` VALUES (35734, 912, 11, '检查号码');
INSERT INTO `lang_definitions` VALUES (35735, 915, 11, '检查付款');
INSERT INTO `lang_definitions` VALUES (35736, 916, 11, '检查框，如果这是一个加密文件');
INSERT INTO `lang_definitions` VALUES (35737, 917, 11, '检查如果您想提供者看到所有任命了违约，不只是自己。');
INSERT INTO `lang_definitions` VALUES (35738, 919, 11, '检查/ EOB日期：');
INSERT INTO `lang_definitions` VALUES (35739, 920, 11, '检查/ EOB编号：');
INSERT INTO `lang_definitions` VALUES (35740, 921, 11, '检查/参考编号');
INSERT INTO `lang_definitions` VALUES (35741, 922, 11, '检查/编号');
INSERT INTO `lang_definitions` VALUES (35742, 923, 11, '复选框列表');
INSERT INTO `lang_definitions` VALUES (35743, 924, 11, '复选框列表');
INSERT INTO `lang_definitions` VALUES (35744, 925, 11, '复选框瓦特/文');
INSERT INTO `lang_definitions` VALUES (35745, 926, 11, '复选框瓦特/文');
INSERT INTO `lang_definitions` VALUES (35746, 928, 11, '选中');
INSERT INTO `lang_definitions` VALUES (35747, 929, 11, '检查盒=，=没有空');
INSERT INTO `lang_definitions` VALUES (35748, 932, 11, '结帐');
INSERT INTO `lang_definitions` VALUES (35749, 933, 11, '检验和');
INSERT INTO `lang_definitions` VALUES (35750, 934, 11, '胸膛');
INSERT INTO `lang_definitions` VALUES (35751, 935, 11, '公益金的CTAB');
INSERT INTO `lang_definitions` VALUES (35752, 936, 11, '胸痛：');
INSERT INTO `lang_definitions` VALUES (35753, 937, 11, '胸痛：');
INSERT INTO `lang_definitions` VALUES (35754, 938, 11, '胸部疼痛');
INSERT INTO `lang_definitions` VALUES (35755, 940, 11, '孟加拉');
INSERT INTO `lang_definitions` VALUES (35756, 942, 11, '主诉');
INSERT INTO `lang_definitions` VALUES (35757, 943, 11, '儿童');
INSERT INTO `lang_definitions` VALUES (35758, 945, 11, '儿童免疫接种状况（CQM）');
INSERT INTO `lang_definitions` VALUES (35759, 946, 11, '冷');
INSERT INTO `lang_definitions` VALUES (35760, 947, 11, '中文');
INSERT INTO `lang_definitions` VALUES (35761, 948, 11, '中文简体');
INSERT INTO `lang_definitions` VALUES (35762, 949, 11, '中文繁体');
INSERT INTO `lang_definitions` VALUES (35763, 951, 11, '选择');
INSERT INTO `lang_definitions` VALUES (35764, 952, 11, '胆囊切除术');
INSERT INTO `lang_definitions` VALUES (35765, 954, 11, '胆囊切除术');
INSERT INTO `lang_definitions` VALUES (35766, 955, 11, '选择');
INSERT INTO `lang_definitions` VALUES (35767, 956, 11, '选择一个部分，点击一个项目内；然后在其他部分你会看到有关项目突出，你可以点击，添加和删除的关系。');
INSERT INTO `lang_definitions` VALUES (35768, 957, 11, '选择标准');
INSERT INTO `lang_definitions` VALUES (35769, 962, 11, '选择表格');
INSERT INTO `lang_definitions` VALUES (35770, 965, 11, '选择打印格式该报告。');
INSERT INTO `lang_definitions` VALUES (35771, 967, 11, '慢性支气管炎');
INSERT INTO `lang_definitions` VALUES (35772, 968, 11, '慢性关节痛');
INSERT INTO `lang_definitions` VALUES (35773, 969, 11, '慢性肾脏疾病（慢性肾病）');
INSERT INTO `lang_definitions` VALUES (35774, 970, 11, '慢性滑膜炎/积液/关节疼痛/痛风');
INSERT INTO `lang_definitions` VALUES (35775, 971, 11, '慢性/复发');
INSERT INTO `lang_definitions` VALUES (35776, 973, 11, '肝硬化');
INSERT INTO `lang_definitions` VALUES (35777, 974, 11, '肝硬化肝');
INSERT INTO `lang_definitions` VALUES (35778, 975, 11, '城市');
INSERT INTO `lang_definitions` VALUES (35779, 976, 11, '城市名称');
INSERT INTO `lang_definitions` VALUES (35780, 977, 11, '城市，国家');
INSERT INTO `lang_definitions` VALUES (35781, 978, 11, '市，州邮编');
INSERT INTO `lang_definitions` VALUES (35782, 979, 11, '城市/州');
INSERT INTO `lang_definitions` VALUES (35783, 980, 11, '主张');
INSERT INTO `lang_definitions` VALUES (35784, 981, 11, '主张 ');
INSERT INTO `lang_definitions` VALUES (35785, 983, 11, '索赔运行测试已完成');
INSERT INTO `lang_definitions` VALUES (35786, 986, 11, '索赔产生的文件 ');
INSERT INTO `lang_definitions` VALUES (35787, 988, 11, '分类');
INSERT INTO `lang_definitions` VALUES (35788, 989, 11, '清楚的');
INSERT INTO `lang_definitions` VALUES (35789, 991, 11, '全部清除');
INSERT INTO `lang_definitions` VALUES (35790, 992, 11, '明确的标准数据');
INSERT INTO `lang_definitions` VALUES (35791, 993, 11, '明确的理由');
INSERT INTO `lang_definitions` VALUES (35792, 994, 11, '明确Smarty缓存');
INSERT INTO `lang_definitions` VALUES (35793, 995, 11, '结算信息需要联通270批创作。');
INSERT INTO `lang_definitions` VALUES (35794, 996, 11, '集数');
INSERT INTO `lang_definitions` VALUES (35795, 997, 11, '点击');
INSERT INTO `lang_definitions` VALUES (35796, 998, 11, '点击\'出口\'出口您的类别，子类别，项目，内容数据到一个文本文件。任何相似性这一文件的文件是纯粹的巧合。开幕式和闭幕式的标签必须在同一行，他们必须小写没有空间。进口，浏览文件并单击“导入”。如果数据是完全不同的，它将与您现有的数据。如果有类似的项目名称，旧将保持和新的保存与一个号码添加到结束。');
INSERT INTO `lang_definitions` VALUES (35797, 999, 11, '点击一个点上的图形添加一个新的诠释，再次点击删除”');
INSERT INTO `lang_definitions` VALUES (35798, 1000, 11, '点击下载证书下载证书的文件ssl.zip');
INSERT INTO `lang_definitions` VALUES (35799, 1001, 11, '点击查看更多');
INSERT INTO `lang_definitions` VALUES (35800, 1005, 11, '点击这里');
INSERT INTO `lang_definitions` VALUES (35801, 1006, 11, '点击此处添加一个新的客户。');
INSERT INTO `lang_definitions` VALUES (35802, 1007, 11, '点击此处新增损伤改变现状和编辑日常活动');
INSERT INTO `lang_definitions` VALUES (35803, 1008, 11, '点击这里选择日期');
INSERT INTO `lang_definitions` VALUES (35804, 1009, 11, '点击这里选择日期和时间');
INSERT INTO `lang_definitions` VALUES (35805, 1010, 11, '点击这里选择开始日期');
INSERT INTO `lang_definitions` VALUES (35806, 1020, 11, '点击这里搜索');
INSERT INTO `lang_definitions` VALUES (35807, 1021, 11, '点击这里更新优先');
INSERT INTO `lang_definitions` VALUES (35808, 1022, 11, '点击此处查看全部。');
INSERT INTO `lang_definitions` VALUES (35809, 1023, 11, '点击这里查看和图');
INSERT INTO `lang_definitions` VALUES (35810, 1025, 11, '点击这里查看和图形所有生命迹象。');
INSERT INTO `lang_definitions` VALUES (35811, 1026, 11, '点击这里查看客户的细节');
INSERT INTO `lang_definitions` VALUES (35812, 1027, 11, '点击这里查看他们所有。');
INSERT INTO `lang_definitions` VALUES (35813, 1029, 11, '点击安装按钮安装数据库释放从以下日期');
INSERT INTO `lang_definitions` VALUES (35814, 1030, 11, '点击任何地方的时间增加');
INSERT INTO `lang_definitions` VALUES (35815, 1031, 11, '点击打开文件名客户客户');
INSERT INTO `lang_definitions` VALUES (35816, 1032, 11, '点击刷新查看所有结果或请输入搜索标准查看结果。');
INSERT INTO `lang_definitions` VALUES (35817, 1034, 11, '点击新增组件');
INSERT INTO `lang_definitions` VALUES (35818, 1035, 11, '点击新增咨询');
INSERT INTO `lang_definitions` VALUES (35819, 1037, 11, '点击下载');
INSERT INTO `lang_definitions` VALUES (35820, 1038, 11, '点击修改');
INSERT INTO `lang_definitions` VALUES (35821, 1040, 11, '点击编辑这个事件');
INSERT INTO `lang_definitions` VALUES (35822, 1041, 11, '点击生成报告');
INSERT INTO `lang_definitions` VALUES (35823, 1043, 11, '点击打印');
INSERT INTO `lang_definitions` VALUES (35824, 1044, 11, '点击领取（添加）全新地段');
INSERT INTO `lang_definitions` VALUES (35825, 1045, 11, '单击以选中');
INSERT INTO `lang_definitions` VALUES (35826, 1046, 11, '点击选择');
INSERT INTO `lang_definitions` VALUES (35827, 1047, 11, '点击选择一个行业标准的代码，这个程序');
INSERT INTO `lang_definitions` VALUES (35828, 1050, 11, '点击以更改CVX编码');
INSERT INTO `lang_definitions` VALUES (35829, 1051, 11, '单击以选中或改变诊断');
INSERT INTO `lang_definitions` VALUES (35830, 1052, 11, '点击选择或更改服务代码');
INSERT INTO `lang_definitions` VALUES (35831, 1053, 11, '单击以选中客户');
INSERT INTO `lang_definitions` VALUES (35832, 1054, 11, '单击以选中相关的代码');
INSERT INTO `lang_definitions` VALUES (35833, 1055, 11, '点击选择服务执行这个结果是不正常的');
INSERT INTO `lang_definitions` VALUES (35834, 1056, 11, '点击选择需要的程序');
INSERT INTO `lang_definitions` VALUES (35835, 1058, 11, '点击查看');
INSERT INTO `lang_definitions` VALUES (35836, 1059, 11, '点击查看或编辑');
INSERT INTO `lang_definitions` VALUES (35837, 1060, 11, '点击查看/编辑');
INSERT INTO `lang_definitions` VALUES (35838, 1061, 11, '点击升级按钮升级数据库释放从以下日期');
INSERT INTO `lang_definitions` VALUES (35839, 1063, 11, '点击：');
INSERT INTO `lang_definitions` VALUES (35840, 1064, 11, '客户证书到期日');
INSERT INTO `lang_definitions` VALUES (35841, 1065, 11, '客户端证书有效期');
INSERT INTO `lang_definitions` VALUES (35842, 1066, 11, '客户端证书的有效性应是一个有效的数目。');
INSERT INTO `lang_definitions` VALUES (35843, 1067, 11, '客户端复制');
INSERT INTO `lang_definitions` VALUES (35844, 1069, 11, '客户端医学史');
INSERT INTO `lang_definitions` VALUES (35845, 1072, 11, '客户简介-新客户');
INSERT INTO `lang_definitions` VALUES (35846, 1073, 11, '客户简介-独特的客户');
INSERT INTO `lang_definitions` VALUES (35847, 1074, 11, '客户');
INSERT INTO `lang_definitions` VALUES (35848, 1075, 11, '诊所');
INSERT INTO `lang_definitions` VALUES (35849, 1076, 11, '诊所复制');
INSERT INTO `lang_definitions` VALUES (35850, 1077, 11, '诊所每日纪录');
INSERT INTO `lang_definitions` VALUES (35851, 1078, 11, '诊所编号');
INSERT INTO `lang_definitions` VALUES (35852, 1079, 11, '临床');
INSERT INTO `lang_definitions` VALUES (35853, 1080, 11, '临床决策规则警报');
INSERT INTO `lang_definitions` VALUES (35854, 1083, 11, '诊所计划');
INSERT INTO `lang_definitions` VALUES (35855, 1084, 11, '临床质量的措施（CQM）');
INSERT INTO `lang_definitions` VALUES (35856, 1087, 11, '临床指示');
INSERT INTO `lang_definitions` VALUES (35857, 1088, 11, '临床报告');
INSERT INTO `lang_definitions` VALUES (35858, 1089, 11, '临床规则的行动类');
INSERT INTO `lang_definitions` VALUES (35859, 1090, 11, '临床规则的行动项目');
INSERT INTO `lang_definitions` VALUES (35860, 1091, 11, '临床规则过滤方法');
INSERT INTO `lang_definitions` VALUES (35861, 1092, 11, '临床规则目标的方法');
INSERT INTO `lang_definitions` VALUES (35862, 1093, 11, '临床规则');
INSERT INTO `lang_definitions` VALUES (35863, 1094, 11, '临床规则的年龄间隔');
INSERT INTO `lang_definitions` VALUES (35864, 1095, 11, '临床规则比较');
INSERT INTO `lang_definitions` VALUES (35865, 1096, 11, '临床规则治疗的类型');
INSERT INTO `lang_definitions` VALUES (35866, 1097, 11, '由于临床规则提醒选项');
INSERT INTO `lang_definitions` VALUES (35867, 1098, 11, '临床规则提醒失活的选择');
INSERT INTO `lang_definitions` VALUES (35868, 1099, 11, '临床规则提示间隔');
INSERT INTO `lang_definitions` VALUES (35869, 1100, 11, '临床规则提醒方法');
INSERT INTO `lang_definitions` VALUES (35870, 1101, 11, '临床规则目标间隔');
INSERT INTO `lang_definitions` VALUES (35871, 1102, 11, '临床目标');
INSERT INTO `lang_definitions` VALUES (35872, 1106, 11, '临床医生');
INSERT INTO `lang_definitions` VALUES (35873, 1107, 11, '克隆');
INSERT INTO `lang_definitions` VALUES (35874, 1108, 11, '克隆过去的门诊');
INSERT INTO `lang_definitions` VALUES (35875, 1109, 11, '关闭');
INSERT INTO `lang_definitions` VALUES (35876, 1111, 11, '关闭窗口');
INSERT INTO `lang_definitions` VALUES (35877, 1112, 11, '公开');
INSERT INTO `lang_definitions` VALUES (35878, 1113, 11, '厘米');
INSERT INTO `lang_definitions` VALUES (35879, 1114, 11, '1500利润');
INSERT INTO `lang_definitions` VALUES (35880, 1118, 11, '不育系编号');
INSERT INTO `lang_definitions` VALUES (35881, 1127, 11, 'CN2网络- 12完整');
INSERT INTO `lang_definitions` VALUES (35882, 1130, 11, '共付款');
INSERT INTO `lang_definitions` VALUES (35883, 1131, 11, '码');
INSERT INTO `lang_definitions` VALUES (35884, 1132, 11, '代码');
INSERT INTO `lang_definitions` VALUES (35885, 1133, 11, '代码查找');
INSERT INTO `lang_definitions` VALUES (35886, 1134, 11, '代码必须是两个字母小写');
INSERT INTO `lang_definitions` VALUES (35887, 1135, 11, '代码或符号表示货币');
INSERT INTO `lang_definitions` VALUES (35888, 1136, 11, '代码文本');
INSERT INTO `lang_definitions` VALUES (35889, 1138, 11, '代码类型');
INSERT INTO `lang_definitions` VALUES (35890, 1141, 11, '代码类型');
INSERT INTO `lang_definitions` VALUES (35891, 1144, 11, '码');
INSERT INTO `lang_definitions` VALUES (35892, 1145, 11, '编码');
INSERT INTO `lang_definitions` VALUES (35893, 1147, 11, '编码-任何治疗（写wsome可选）');
INSERT INTO `lang_definitions` VALUES (35894, 1148, 11, '编码-任何治疗（写wsome可选）');
INSERT INTO `lang_definitions` VALUES (35895, 1149, 11, '编码未授权');
INSERT INTO `lang_definitions` VALUES (35896, 1150, 11, '咖啡');
INSERT INTO `lang_definitions` VALUES (35897, 1152, 11, '共同保险');
INSERT INTO `lang_definitions` VALUES (35898, 1153, 11, '科尔W / O型');
INSERT INTO `lang_definitions` VALUES (35899, 1154, 11, '折叠');
INSERT INTO `lang_definitions` VALUES (35900, 1155, 11, '折叠');
INSERT INTO `lang_definitions` VALUES (35901, 1156, 11, '全部折叠');
INSERT INTO `lang_definitions` VALUES (35902, 1157, 11, '全部折叠');
INSERT INTO `lang_definitions` VALUES (35903, 1158, 11, '全部折叠');
INSERT INTO `lang_definitions` VALUES (35904, 1161, 11, '集合');
INSERT INTO `lang_definitions` VALUES (35905, 1162, 11, '馆藏报告');
INSERT INTO `lang_definitions` VALUES (35906, 1163, 11, '结肠癌');
INSERT INTO `lang_definitions` VALUES (35907, 1164, 11, '结肠癌的筛查');
INSERT INTO `lang_definitions` VALUES (35908, 1165, 11, '结肠癌手术');
INSERT INTO `lang_definitions` VALUES (35909, 1166, 11, '结肠镜检查');
INSERT INTO `lang_definitions` VALUES (35910, 1167, 11, '结肠镜检查');
INSERT INTO `lang_definitions` VALUES (35911, 1168, 11, '彩色');
INSERT INTO `lang_definitions` VALUES (35912, 1169, 11, '颜色：简称');
INSERT INTO `lang_definitions` VALUES (35913, 1170, 11, '列');
INSERT INTO `lang_definitions` VALUES (35914, 1171, 11, '专栏');
INSERT INTO `lang_definitions` VALUES (35915, 1172, 11, '结合大量');
INSERT INTO `lang_definitions` VALUES (35916, 1173, 11, '逗号');
INSERT INTO `lang_definitions` VALUES (35917, 1174, 11, '评论');
INSERT INTO `lang_definitions` VALUES (35918, 1175, 11, '评论');
INSERT INTO `lang_definitions` VALUES (35919, 1176, 11, '这一结果或推荐意见');
INSERT INTO `lang_definitions` VALUES (35920, 1177, 11, '商业保险有限公司');
INSERT INTO `lang_definitions` VALUES (35921, 1178, 11, '承诺更改');
INSERT INTO `lang_definitions` VALUES (35922, 1180, 11, '通信');
INSERT INTO `lang_definitions` VALUES (35923, 1182, 11, '公司');
INSERT INTO `lang_definitions` VALUES (35924, 1183, 11, '公司名称');
INSERT INTO `lang_definitions` VALUES (35925, 1184, 11, '完全');
INSERT INTO `lang_definitions` VALUES (35926, 1186, 11, '完成');
INSERT INTO `lang_definitions` VALUES (35927, 1188, 11, '完成？');
INSERT INTO `lang_definitions` VALUES (35928, 1190, 11, '并发症的服务提供商');
INSERT INTO `lang_definitions` VALUES (35929, 1191, 11, '堕胎并发症');
INSERT INTO `lang_definitions` VALUES (35930, 1192, 11, '组件');
INSERT INTO `lang_definitions` VALUES (35931, 1193, 11, '医学计算机辅助订货系统');
INSERT INTO `lang_definitions` VALUES (35932, 1194, 11, '结论');
INSERT INTO `lang_definitions` VALUES (35933, 1199, 11, '配置');
INSERT INTO `lang_definitions` VALUES (35934, 1200, 11, '配置导入/导出');
INSERT INTO `lang_definitions` VALUES (35935, 1202, 11, '配置及libreehr使用客户端证书。');
INSERT INTO `lang_definitions` VALUES (35936, 1203, 11, '配置要使用客户端证书');
INSERT INTO `lang_definitions` VALUES (35937, 1204, 11, '配置要使用加密。');
INSERT INTO `lang_definitions` VALUES (35938, 1205, 11, '配置libreehr使用客户端证书');
INSERT INTO `lang_definitions` VALUES (35939, 1208, 11, '创建确认新客户');
INSERT INTO `lang_definitions` VALUES (35940, 1209, 11, '创建新的密码');
INSERT INTO `lang_definitions` VALUES (35941, 1210, 11, '创建新的付款方式');
INSERT INTO `lang_definitions` VALUES (35942, 1214, 11, '先天性');
INSERT INTO `lang_definitions` VALUES (35943, 1215, 11, '结膜成形');
INSERT INTO `lang_definitions` VALUES (35944, 1218, 11, '常数');
INSERT INTO `lang_definitions` VALUES (35945, 1219, 11, '常量名');
INSERT INTO `lang_definitions` VALUES (35946, 1220, 11, '不断的名称是空的');
INSERT INTO `lang_definitions` VALUES (35947, 1221, 11, '常数');
INSERT INTO `lang_definitions` VALUES (35948, 1222, 11, '便秘');
INSERT INTO `lang_definitions` VALUES (35949, 1223, 11, '保健运动');
INSERT INTO `lang_definitions` VALUES (35950, 1226, 11, '咨询简介');
INSERT INTO `lang_definitions` VALUES (35951, 1227, 11, '联系方式');
INSERT INTO `lang_definitions` VALUES (35952, 1228, 11, '联系人电子邮件');
INSERT INTO `lang_definitions` VALUES (35953, 1229, 11, '联系电子邮件地址');
INSERT INTO `lang_definitions` VALUES (35954, 1231, 11, '联系信息');
INSERT INTO `lang_definitions` VALUES (35955, 1232, 11, '隐形眼镜');
INSERT INTO `lang_definitions` VALUES (35956, 1236, 11, '联系人姓名');
INSERT INTO `lang_definitions` VALUES (35957, 1237, 11, '联系人');
INSERT INTO `lang_definitions` VALUES (35958, 1239, 11, '联系电话号码');
INSERT INTO `lang_definitions` VALUES (35959, 1240, 11, '订阅服务的电子服务定联系LLC（zmghealth@gmail.com）');
INSERT INTO `lang_definitions` VALUES (35960, 1241, 11, '至少包含三个以下四个项目：');
INSERT INTO `lang_definitions` VALUES (35961, 1243, 11, '内容');
INSERT INTO `lang_definitions` VALUES (35962, 1244, 11, '内容');
INSERT INTO `lang_definitions` VALUES (35963, 1245, 11, '上下文');
INSERT INTO `lang_definitions` VALUES (35964, 1246, 11, '上下文的名称不能为空');
INSERT INTO `lang_definitions` VALUES (35965, 1247, 11, '继续');
INSERT INTO `lang_definitions` VALUES (35966, 1248, 11, '连续性的护理文件（电荷耦合器件）');
INSERT INTO `lang_definitions` VALUES (35967, 1249, 11, '持续护理记录（重整）');
INSERT INTO `lang_definitions` VALUES (35968, 1250, 11, '康特拉客户');
INSERT INTO `lang_definitions` VALUES (35969, 1251, 11, '避孕的');
INSERT INTO `lang_definitions` VALUES (35970, 1252, 11, '避孕的问题');
INSERT INTO `lang_definitions` VALUES (35971, 1253, 11, '避孕并发症（具体说明）');
INSERT INTO `lang_definitions` VALUES (35972, 1254, 11, '避孕方法');
INSERT INTO `lang_definitions` VALUES (35973, 1255, 11, '避孕产品');
INSERT INTO `lang_definitions` VALUES (35974, 1256, 11, '避孕服务以前开始');
INSERT INTO `lang_definitions` VALUES (35975, 1257, 11, '避孕药开始');
INSERT INTO `lang_definitions` VALUES (35976, 1258, 11, '控制编号');
INSERT INTO `lang_definitions` VALUES (35977, 1259, 11, '编号');
INSERT INTO `lang_definitions` VALUES (35978, 1262, 11, '挂号费');
INSERT INTO `lang_definitions` VALUES (35979, 1263, 11, '挂号费');
INSERT INTO `lang_definitions` VALUES (35980, 1264, 11, '不主动挂号');
INSERT INTO `lang_definitions` VALUES (35981, 1266, 11, '挂号费');
INSERT INTO `lang_definitions` VALUES (35982, 1267, 11, '慢性阻塞性肺病');
INSERT INTO `lang_definitions` VALUES (35983, 1268, 11, '复制页面客户图');
INSERT INTO `lang_definitions` VALUES (35984, 1269, 11, '复制价值观');
INSERT INTO `lang_definitions` VALUES (35985, 1270, 11, '复制数据库文件。这将需要一些时间…');
INSERT INTO `lang_definitions` VALUES (35986, 1271, 11, '版权声明');
INSERT INTO `lang_definitions` VALUES (35987, 1273, 11, '冠状动脉搭桥');
INSERT INTO `lang_definitions` VALUES (35988, 1274, 11, '冠状动脉旁路移植术（术）');
INSERT INTO `lang_definitions` VALUES (35989, 1275, 11, '改正');
INSERT INTO `lang_definitions` VALUES (35990, 1289, 11, '咳嗽');
INSERT INTO `lang_definitions` VALUES (35991, 1290, 11, '咳嗽：');
INSERT INTO `lang_definitions` VALUES (35992, 1294, 11, '无法读取文件');
INSERT INTO `lang_definitions` VALUES (35993, 1296, 11, '因服务器问题无法发送电子邮件 ');
INSERT INTO `lang_definitions` VALUES (35994, 1298, 11, '无法创建备份目录：');
INSERT INTO `lang_definitions` VALUES (35995, 1299, 11, '不能删除目录：');
INSERT INTO `lang_definitions` VALUES (35996, 1300, 11, '无法删除旧的备份文件：');
INSERT INTO `lang_definitions` VALUES (35997, 1301, 11, '无法删除旧文件：');
INSERT INTO `lang_definitions` VALUES (35998, 1302, 11, '香豆管理-比值监测');
INSERT INTO `lang_definitions` VALUES (35999, 1303, 11, '顾问的方法');
INSERT INTO `lang_definitions` VALUES (36000, 1304, 11, '咨询');
INSERT INTO `lang_definitions` VALUES (36001, 1305, 11, '咨询活动');
INSERT INTO `lang_definitions` VALUES (36002, 1306, 11, '案子转介表格');
INSERT INTO `lang_definitions` VALUES (36003, 1307, 11, '案子转介');
INSERT INTO `lang_definitions` VALUES (36004, 1308, 11, '国家');
INSERT INTO `lang_definitions` VALUES (36005, 1309, 11, '国家数据类型');
INSERT INTO `lang_definitions` VALUES (36006, 1310, 11, '国家列表');
INSERT INTO `lang_definitions` VALUES (36007, 1311, 11, '国家名单（写只添加可选）');
INSERT INTO `lang_definitions` VALUES (36008, 1312, 11, '国家应在2个字母代表。（例如：United States 是 US）');
INSERT INTO `lang_definitions` VALUES (36009, 1313, 11, '县');
INSERT INTO `lang_definitions` VALUES (36010, 1315, 11, '优惠券');
INSERT INTO `lang_definitions` VALUES (36011, 1318, 11, '胸腔物理治疗');
INSERT INTO `lang_definitions` VALUES (36012, 1319, 11, '胸腔物理治疗代码');
INSERT INTO `lang_definitions` VALUES (36013, 1320, 11, '胸腔物理治疗代码');
INSERT INTO `lang_definitions` VALUES (36014, 1323, 11, '喹芥子气');
INSERT INTO `lang_definitions` VALUES (36015, 1324, 11, '裂纹：');
INSERT INTO `lang_definitions` VALUES (36016, 1325, 11, '奶油');
INSERT INTO `lang_definitions` VALUES (36017, 1326, 11, '创建一个客户端证书为每个用户或客户机。');
INSERT INTO `lang_definitions` VALUES (36018, 1327, 11, '创建一个客户端证书或者用户或客户端的名称。');
INSERT INTO `lang_definitions` VALUES (36019, 1329, 11, '创建活动');
INSERT INTO `lang_definitions` VALUES (36020, 1330, 11, '创建和下载一个完整备份');
INSERT INTO `lang_definitions` VALUES (36021, 1332, 11, '创建备份');
INSERT INTO `lang_definitions` VALUES (36022, 1333, 11, '创建批量');
INSERT INTO `lang_definitions` VALUES (36023, 1334, 11, '创建客户端证书');
INSERT INTO `lang_definitions` VALUES (36024, 1335, 11, '创建客户端SSL证书');
INSERT INTO `lang_definitions` VALUES (36025, 1336, 11, '创建副本');
INSERT INTO `lang_definitions` VALUES (36026, 1338, 11, '创建事件日志备份');
INSERT INTO `lang_definitions` VALUES (36027, 1339, 11, '创建新的问题');
INSERT INTO `lang_definitions` VALUES (36028, 1340, 11, '创造新的客户');
INSERT INTO `lang_definitions` VALUES (36029, 1342, 11, '建立异地门户凭据');
INSERT INTO `lang_definitions` VALUES (36030, 1343, 11, '建立本地门户凭据');
INSERT INTO `lang_definitions` VALUES (36031, 1344, 11, '创建患者注意');
INSERT INTO `lang_definitions` VALUES (36032, 1345, 11, '创建证书权威和服务器证书。');
INSERT INTO `lang_definitions` VALUES (36033, 1346, 11, '创建门诊');
INSERT INTO `lang_definitions` VALUES (36034, 1347, 11, '创建');
INSERT INTO `lang_definitions` VALUES (36035, 1348, 11, '创建导出文件');
INSERT INTO `lang_definitions` VALUES (36036, 1351, 11, '创建者');
INSERT INTO `lang_definitions` VALUES (36037, 1352, 11, '信贷');
INSERT INTO `lang_definitions` VALUES (36038, 1353, 11, '信用卡');
INSERT INTO `lang_definitions` VALUES (36039, 1354, 11, '信用');
INSERT INTO `lang_definitions` VALUES (36040, 1356, 11, '标准');
INSERT INTO `lang_definitions` VALUES (36041, 1358, 11, '克罗恩病');
INSERT INTO `lang_definitions` VALUES (36042, 1359, 11, '克罗恩病');
INSERT INTO `lang_definitions` VALUES (36043, 1360, 11, '导出成CSV格式');
INSERT INTO `lang_definitions` VALUES (36044, 1361, 11, 'CSV文件');
INSERT INTO `lang_definitions` VALUES (36045, 1363, 11, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (36046, 1364, 11, '古巴语');
INSERT INTO `lang_definitions` VALUES (36047, 1365, 11, '货币小数');
INSERT INTO `lang_definitions` VALUES (36048, 1366, 11, '货币小数点符号');
INSERT INTO `lang_definitions` VALUES (36049, 1367, 11, '货币代号');
INSERT INTO `lang_definitions` VALUES (36050, 1368, 11, '货币的千位分隔符');
INSERT INTO `lang_definitions` VALUES (36051, 1369, 11, '当前的');
INSERT INTO `lang_definitions` VALUES (36052, 1370, 11, '目前酒精');
INSERT INTO `lang_definitions` VALUES (36053, 1371, 11, '目前的协商');
INSERT INTO `lang_definitions` VALUES (36054, 1372, 11, '当前标准');
INSERT INTO `lang_definitions` VALUES (36055, 1373, 11, '当天标明颜色');
INSERT INTO `lang_definitions` VALUES (36056, 1374, 11, '当天的吸烟者');
INSERT INTO `lang_definitions` VALUES (36057, 1375, 11, '目前文件名改为');
INSERT INTO `lang_definitions` VALUES (36058, 1376, 11, '目前哈希');
INSERT INTO `lang_definitions` VALUES (36059, 1377, 11, '目前位置');
INSERT INTO `lang_definitions` VALUES (36060, 1378, 11, '目前药物');
INSERT INTO `lang_definitions` VALUES (36061, 1379, 11, '目前密码');
INSERT INTO `lang_definitions` VALUES (36062, 1380, 11, '目前客户');
INSERT INTO `lang_definitions` VALUES (36063, 1382, 11, '目前的娱乐性药物');
INSERT INTO `lang_definitions` VALUES (36064, 1383, 11, '目前有一天吸烟');
INSERT INTO `lang_definitions` VALUES (36065, 1386, 11, '目前活跃');
INSERT INTO `lang_definitions` VALUES (36066, 1388, 11, '目前没有任何设施。');
INSERT INTO `lang_definitions` VALUES (36067, 1389, 11, '柯兴综合征');
INSERT INTO `lang_definitions` VALUES (36068, 1390, 11, '柯兴综合征');
INSERT INTO `lang_definitions` VALUES (36069, 1392, 11, '风俗');
INSERT INTO `lang_definitions` VALUES (36070, 1393, 11, '自定义输入？');
INSERT INTO `lang_definitions` VALUES (36071, 1394, 11, '自定义表');
INSERT INTO `lang_definitions` VALUES (36072, 1396, 11, 'CVX编码');
INSERT INTO `lang_definitions` VALUES (36073, 1397, 11, 'CVX编码绘图');
INSERT INTO `lang_definitions` VALUES (36074, 1399, 11, '过期');
INSERT INTO `lang_definitions` VALUES (36075, 1400, 11, '色素');
INSERT INTO `lang_definitions` VALUES (36076, 1401, 11, '色素因子');
INSERT INTO `lang_definitions` VALUES (36077, 1402, 11, '色素报告');
INSERT INTO `lang_definitions` VALUES (36078, 1403, 11, '捷克语');
INSERT INTO `lang_definitions` VALUES (36079, 1404, 11, 'D');
INSERT INTO `lang_definitions` VALUES (36080, 1405, 11, '扩张宫颈及刮宫');
INSERT INTO `lang_definitions` VALUES (36081, 1406, 11, '发展和é');
INSERT INTO `lang_definitions` VALUES (36082, 1407, 11, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (36083, 1408, 11, '每日');
INSERT INTO `lang_definitions` VALUES (36084, 1409, 11, '日志');
INSERT INTO `lang_definitions` VALUES (36085, 1410, 11, '丹麦语');
INSERT INTO `lang_definitions` VALUES (36086, 1411, 11, '数据一样，是已经在数据库中，请改变代码和/或描述');
INSERT INTO `lang_definitions` VALUES (36087, 1412, 11, '数据一样，是已经在数据库中，请改变常量的名称');
INSERT INTO `lang_definitions` VALUES (36088, 1413, 11, '数据列');
INSERT INTO `lang_definitions` VALUES (36089, 1416, 11, '数据错误');
INSERT INTO `lang_definitions` VALUES (36090, 1420, 11, '数据类型');
INSERT INTO `lang_definitions` VALUES (36091, 1421, 11, '数据库');
INSERT INTO `lang_definitions` VALUES (36092, 1422, 11, '未安装数据库。');
INSERT INTO `lang_definitions` VALUES (36093, 1424, 11, '数据库报告');
INSERT INTO `lang_definitions` VALUES (36094, 1425, 11, '数据库升级完成。');
INSERT INTO `lang_definitions` VALUES (36095, 1426, 11, '数据列必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (36096, 1427, 11, '日期');
INSERT INTO `lang_definitions` VALUES (36097, 1428, 11, '日期');
INSERT INTO `lang_definitions` VALUES (36098, 1431, 11, '迄今为止直辖');
INSERT INTO `lang_definitions` VALUES (36099, 1432, 11, '样品采集的日期和时间');
INSERT INTO `lang_definitions` VALUES (36100, 1433, 11, '这个观察的日期和时间');
INSERT INTO `lang_definitions` VALUES (36101, 1435, 11, '样品采集的日期和时间');
INSERT INTO `lang_definitions` VALUES (36102, 1436, 11, '日期不能比今天更大');
INSERT INTO `lang_definitions` VALUES (36103, 1437, 11, '迄今为止最初提供避孕服务');
INSERT INTO `lang_definitions` VALUES (36104, 1438, 11, '创建日期');
INSERT INTO `lang_definitions` VALUES (36105, 1439, 11, '最新的死者');
INSERT INTO `lang_definitions` VALUES (36106, 1440, 11, '日期毁坏');
INSERT INTO `lang_definitions` VALUES (36107, 1441, 11, '日期显示格式');
INSERT INTO `lang_definitions` VALUES (36108, 1442, 11, '日期格式为“任命结束”是无效的');
INSERT INTO `lang_definitions` VALUES (36109, 1443, 11, '日期格式为“任命开始”是无效的');
INSERT INTO `lang_definitions` VALUES (36110, 1444, 11, '日期格式“下一个约会”是无效的');
INSERT INTO `lang_definitions` VALUES (36111, 1445, 11, '日期格式“以来从未见过的”无效');
INSERT INTO `lang_definitions` VALUES (36112, 1446, 11, '日期格式“以来”是无效的');
INSERT INTO `lang_definitions` VALUES (36113, 1447, 11, '日期免疫信息陈述');
INSERT INTO `lang_definitions` VALUES (36114, 1448, 11, '日期代码遗失 ');
INSERT INTO `lang_definitions` VALUES (36115, 1449, 11, '日期大师标准');
INSERT INTO `lang_definitions` VALUES (36116, 1450, 11, '银行存款日期年-月-日');
INSERT INTO `lang_definitions` VALUES (36117, 1452, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (36118, 1453, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (36119, 1454, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (36120, 1456, 11, '外伤日期');
INSERT INTO `lang_definitions` VALUES (36121, 1458, 11, '付款日期年-月-日');
INSERT INTO `lang_definitions` VALUES (36122, 1459, 11, '转介日期');
INSERT INTO `lang_definitions` VALUES (36123, 1460, 11, '答辩日期');
INSERT INTO `lang_definitions` VALUES (36124, 1463, 11, '送达日期');
INSERT INTO `lang_definitions` VALUES (36125, 1464, 11, '服务日期=今天');
INSERT INTO `lang_definitions` VALUES (36126, 1465, 11, '服务日期月-日-年');
INSERT INTO `lang_definitions` VALUES (36127, 1466, 11, '服务日期：');
INSERT INTO `lang_definitions` VALUES (36128, 1467, 11, '签字日期');
INSERT INTO `lang_definitions` VALUES (36129, 1469, 11, '这个命令的日期');
INSERT INTO `lang_definitions` VALUES (36130, 1470, 11, '这份报告的日期');
INSERT INTO `lang_definitions` VALUES (36131, 1471, 11, '可见声明日期');
INSERT INTO `lang_definitions` VALUES (36132, 1472, 11, '日期排列');
INSERT INTO `lang_definitions` VALUES (36133, 1475, 11, '日期选择');
INSERT INTO `lang_definitions` VALUES (36134, 1476, 11, '发送日期');
INSERT INTO `lang_definitions` VALUES (36135, 1477, 11, '消息被发送的日期');
INSERT INTO `lang_definitions` VALUES (36136, 1479, 11, '日期值不能为空。');
INSERT INTO `lang_definitions` VALUES (36137, 1480, 11, '日期/ APPT');
INSERT INTO `lang_definitions` VALUES (36138, 1481, 11, '日期/备注');
INSERT INTO `lang_definitions` VALUES (36139, 1482, 11, '最后日期/债券');
INSERT INTO `lang_definitions` VALUES (36140, 1483, 11, '日期/时间');
INSERT INTO `lang_definitions` VALUES (36141, 1484, 11, '日期：');
INSERT INTO `lang_definitions` VALUES (36142, 1485, 11, '过时的消息日志');
INSERT INTO `lang_definitions` VALUES (36143, 1486, 11, '天');
INSERT INTO `lang_definitions` VALUES (36144, 1487, 11, '天');
INSERT INTO `lang_definitions` VALUES (36145, 1489, 11, '日视图');
INSERT INTO `lang_definitions` VALUES (36146, 1490, 11, '天（S）');
INSERT INTO `lang_definitions` VALUES (36147, 1491, 11, '天（S）M - F');
INSERT INTO `lang_definitions` VALUES (36148, 1492, 11, '天');
INSERT INTO `lang_definitions` VALUES (36149, 1493, 11, '天');
INSERT INTO `lang_definitions` VALUES (36150, 1494, 11, '日前');
INSERT INTO `lang_definitions` VALUES (36151, 1495, 11, '天及投篮游戏');
INSERT INTO `lang_definitions` VALUES (36152, 1496, 11, '最后治疗天');
INSERT INTO `lang_definitions` VALUES (36153, 1497, 11, '天漏');
INSERT INTO `lang_definitions` VALUES (36154, 1498, 11, '每列的日子：');
INSERT INTO `lang_definitions` VALUES (36155, 1500, 11, '天/彩色：');
INSERT INTO `lang_definitions` VALUES (36156, 1501, 11, 'DB的安装');
INSERT INTO `lang_definitions` VALUES (36157, 1502, 11, '月/日/年');
INSERT INTO `lang_definitions` VALUES (36158, 1503, 11, '德鉴定');
INSERT INTO `lang_definitions` VALUES (36159, 1504, 11, '德识别过程完成');
INSERT INTO `lang_definitions` VALUES (36160, 1505, 11, '德识别过程是正在进行');
INSERT INTO `lang_definitions` VALUES (36161, 1506, 11, '德鉴定过程启动并运行在后台');
INSERT INTO `lang_definitions` VALUES (36162, 1507, 11, '德查明的数据可能是不完整的');
INSERT INTO `lang_definitions` VALUES (36163, 1508, 11, '德识别文件将被保存在');
INSERT INTO `lang_definitions` VALUES (36164, 1509, 11, 'DEA方法');
INSERT INTO `lang_definitions` VALUES (36165, 1511, 11, '聋');
INSERT INTO `lang_definitions` VALUES (36166, 1512, 11, '调试信息');
INSERT INTO `lang_definitions` VALUES (36167, 1515, 11, '十二月');
INSERT INTO `lang_definitions` VALUES (36168, 1516, 11, '死者');
INSERT INTO `lang_definitions` VALUES (36169, 1517, 11, '十二月');
INSERT INTO `lang_definitions` VALUES (36170, 1520, 11, '扣税');
INSERT INTO `lang_definitions` VALUES (36171, 1521, 11, '抵扣气象');
INSERT INTO `lang_definitions` VALUES (36172, 1522, 11, '默认');
INSERT INTO `lang_definitions` VALUES (36173, 1523, 11, '默认日历视图');
INSERT INTO `lang_definitions` VALUES (36174, 1524, 11, '默认治疗表格编号');
INSERT INTO `lang_definitions` VALUES (36175, 1526, 11, '默认设备');
INSERT INTO `lang_definitions` VALUES (36176, 1527, 11, '默认语言');
INSERT INTO `lang_definitions` VALUES (36177, 1528, 11, '允许或默认情况下，如果没有其他的语言选择。');
INSERT INTO `lang_definitions` VALUES (36178, 1529, 11, '默认列表（写');
INSERT INTO `lang_definitions` VALUES (36179, 1530, 11, '默认的方法');
INSERT INTO `lang_definitions` VALUES (36180, 1531, 11, '默认密码到期日');
INSERT INTO `lang_definitions` VALUES (36181, 1532, 11, '默认密码在天的有效期。 0表示禁用此功能。');
INSERT INTO `lang_definitions` VALUES (36182, 1533, 11, '默认患者国家');
INSERT INTO `lang_definitions` VALUES (36183, 1536, 11, '默认提供');
INSERT INTO `lang_definitions` VALUES (36184, 1537, 11, '默认范围');
INSERT INTO `lang_definitions` VALUES (36185, 1538, 11, '默认用餐的原因');
INSERT INTO `lang_definitions` VALUES (36186, 1540, 11, '默认设置');
INSERT INTO `lang_definitions` VALUES (36187, 1542, 11, '默认模板');
INSERT INTO `lang_definitions` VALUES (36188, 1546, 11, '默认单位');
INSERT INTO `lang_definitions` VALUES (36189, 1547, 11, '默认值');
INSERT INTO `lang_definitions` VALUES (36190, 1548, 11, '默认仓库');
INSERT INTO `lang_definitions` VALUES (36191, 1549, 11, '缺省值X12的合作伙伴');
INSERT INTO `lang_definitions` VALUES (36192, 1550, 11, '默认/全球');
INSERT INTO `lang_definitions` VALUES (36193, 1551, 11, '德尔');
INSERT INTO `lang_definitions` VALUES (36194, 1552, 11, '德尔');
INSERT INTO `lang_definitions` VALUES (36195, 1553, 11, '延迟复发（>12个月）');
INSERT INTO `lang_definitions` VALUES (36196, 1554, 11, '删除');
INSERT INTO `lang_definitions` VALUES (36197, 1555, 11, '删除');
INSERT INTO `lang_definitions` VALUES (36198, 1556, 11, '删除类别编号（补） ： ');
INSERT INTO `lang_definitions` VALUES (36199, 1557, 11, '删除类别');
INSERT INTO `lang_definitions` VALUES (36200, 1560, 11, '删除组');
INSERT INTO `lang_definitions` VALUES (36201, 1561, 11, '删除列表');
INSERT INTO `lang_definitions` VALUES (36202, 1562, 11, '删除页面');
INSERT INTO `lang_definitions` VALUES (36203, 1563, 11, '删除客户');
INSERT INTO `lang_definitions` VALUES (36204, 1565, 11, '删除行');
INSERT INTO `lang_definitions` VALUES (36205, 1566, 11, '删除所选项目');
INSERT INTO `lang_definitions` VALUES (36206, 1568, 11, '删除成功。');
INSERT INTO `lang_definitions` VALUES (36207, 1569, 11, '删除这个文件');
INSERT INTO `lang_definitions` VALUES (36208, 1570, 11, '删除这个表格');
INSERT INTO `lang_definitions` VALUES (36209, 1571, 11, '删除本说明');
INSERT INTO `lang_definitions` VALUES (36210, 1573, 11, '成功删除。');
INSERT INTO `lang_definitions` VALUES (36211, 1581, 11, '痴呆');
INSERT INTO `lang_definitions` VALUES (36212, 1582, 11, '户口资料');
INSERT INTO `lang_definitions` VALUES (36213, 1583, 11, '户口资料（写、只添加都可选）');
INSERT INTO `lang_definitions` VALUES (36214, 1585, 11, '户口资料筛选条件');
INSERT INTO `lang_definitions` VALUES (36215, 1586, 11, '不允许设置户口资料');
INSERT INTO `lang_definitions` VALUES (36216, 1587, 11, '不允许设置户口资料。');
INSERT INTO `lang_definitions` VALUES (36217, 1588, 11, '拒绝');
INSERT INTO `lang_definitions` VALUES (36218, 1589, 11, '分母');
INSERT INTO `lang_definitions` VALUES (36219, 1590, 11, '牙科');
INSERT INTO `lang_definitions` VALUES (36220, 1592, 11, '牙科问题');
INSERT INTO `lang_definitions` VALUES (36221, 1595, 11, '根据条例草案，你正在测试，你会看到像输出HCFA票据HCFA一个空白的页面上，你会看到许多行有点乱码的文字和信息，如果你正在测试一个X12的索赔。这乱码的文字是X12的4010A的EDI格式。偶尔，你会看到奇怪的字符，看起来像多米诺骨牌或squiglies');
INSERT INTO `lang_definitions` VALUES (36222, 1596, 11, '存款日期');
INSERT INTO `lang_definitions` VALUES (36223, 1597, 11, '存款日期不能比今天更大');
INSERT INTO `lang_definitions` VALUES (36224, 1598, 11, '存款日期：');
INSERT INTO `lang_definitions` VALUES (36225, 1599, 11, '郁闷');
INSERT INTO `lang_definitions` VALUES (36226, 1600, 11, '萧条');
INSERT INTO `lang_definitions` VALUES (36227, 1602, 11, '描述');
INSERT INTO `lang_definitions` VALUES (36228, 1603, 11, '描述');
INSERT INTO `lang_definitions` VALUES (36229, 1605, 11, '披露的说明');
INSERT INTO `lang_definitions` VALUES (36230, 1606, 11, '这个过程或结果代码的说明');
INSERT INTO `lang_definitions` VALUES (36231, 1607, 11, '描写语言的翻译');
INSERT INTO `lang_definitions` VALUES (36232, 1609, 11, '目的地');
INSERT INTO `lang_definitions` VALUES (36233, 1610, 11, '目标文件名');
INSERT INTO `lang_definitions` VALUES (36234, 1611, 11, '破坏地段');
INSERT INTO `lang_definitions` VALUES (36235, 1612, 11, '摧毁...');
INSERT INTO `lang_definitions` VALUES (36236, 1613, 11, '销毁');
INSERT INTO `lang_definitions` VALUES (36237, 1614, 11, '销毁毒品');
INSERT INTO `lang_definitions` VALUES (36238, 1615, 11, '摧毁毒品报告');
INSERT INTO `lang_definitions` VALUES (36239, 1616, 11, '细节');
INSERT INTO `lang_definitions` VALUES (36240, 1617, 11, '详情');
INSERT INTO `lang_definitions` VALUES (36241, 1619, 11, '发育异常');
INSERT INTO `lang_definitions` VALUES (36242, 1620, 11, '糖尿病');
INSERT INTO `lang_definitions` VALUES (36243, 1621, 11, '糖尿病');
INSERT INTO `lang_definitions` VALUES (36244, 1622, 11, '糖尿病：血压管理（CQM）');
INSERT INTO `lang_definitions` VALUES (36245, 1623, 11, '糖尿病：眼睛考试');
INSERT INTO `lang_definitions` VALUES (36246, 1624, 11, '糖尿病：眼科检查（CQM）');
INSERT INTO `lang_definitions` VALUES (36247, 1625, 11, '糖尿病：足部检查');
INSERT INTO `lang_definitions` VALUES (36248, 1626, 11, '糖尿病：足部检查（CQM）');
INSERT INTO `lang_definitions` VALUES (36249, 1627, 11, '糖尿病：糖化血红蛋白控制能力较差（CQM）');
INSERT INTO `lang_definitions` VALUES (36250, 1628, 11, '糖尿病：糖化血红蛋白');
INSERT INTO `lang_definitions` VALUES (36251, 1629, 11, '糖尿病：LDL的管理和控制（CQM）');
INSERT INTO `lang_definitions` VALUES (36252, 1630, 11, '糖尿病：尿微量白蛋白');
INSERT INTO `lang_definitions` VALUES (36253, 1631, 11, '诊断');
INSERT INTO `lang_definitions` VALUES (36254, 1633, 11, '诊断');
INSERT INTO `lang_definitions` VALUES (36255, 1634, 11, '诊断代码');
INSERT INTO `lang_definitions` VALUES (36256, 1636, 11, '诊断日期');
INSERT INTO `lang_definitions` VALUES (36257, 1637, 11, '诊断必须被编码到一个链接的邂逅');
INSERT INTO `lang_definitions` VALUES (36258, 1638, 11, '诊断名称');
INSERT INTO `lang_definitions` VALUES (36259, 1639, 11, '诊断报告');
INSERT INTO `lang_definitions` VALUES (36260, 1642, 11, '诊断名称');
INSERT INTO `lang_definitions` VALUES (36261, 1643, 11, '诊断：');
INSERT INTO `lang_definitions` VALUES (36262, 1644, 11, '诊断： ');
INSERT INTO `lang_definitions` VALUES (36263, 1645, 11, '诊断测试：');
INSERT INTO `lang_definitions` VALUES (36264, 1646, 11, '拨号');
INSERT INTO `lang_definitions` VALUES (36265, 1647, 11, '膜片/瓶盖');
INSERT INTO `lang_definitions` VALUES (36266, 1648, 11, '腹泻');
INSERT INTO `lang_definitions` VALUES (36267, 1650, 11, '听写');
INSERT INTO `lang_definitions` VALUES (36268, 1651, 11, '听写： ');
INSERT INTO `lang_definitions` VALUES (36269, 1652, 11, '你收到一份HIPAA的通告？');
INSERT INTO `lang_definitions` VALUES (36270, 1653, 11, '弥漫性：');
INSERT INTO `lang_definitions` VALUES (36271, 1654, 11, '数字签名');
INSERT INTO `lang_definitions` VALUES (36272, 1657, 11, '商函');
INSERT INTO `lang_definitions` VALUES (36273, 1663, 11, '董事姓名');
INSERT INTO `lang_definitions` VALUES (36274, 1665, 11, '残疾');
INSERT INTO `lang_definitions` VALUES (36275, 1667, 11, '禁用日历');
INSERT INTO `lang_definitions` VALUES (36276, 1668, 11, '禁用走势跟踪');
INSERT INTO `lang_definitions` VALUES (36277, 1669, 11, '禁用免疫');
INSERT INTO `lang_definitions` VALUES (36278, 1670, 11, '停用旧表公制命脉');
INSERT INTO `lang_definitions` VALUES (36279, 1672, 11, '禁用的phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (36280, 1673, 11, '禁用处方');
INSERT INTO `lang_definitions` VALUES (36281, 1674, 11, '禁用用户组');
INSERT INTO `lang_definitions` VALUES (36282, 1675, 11, '禁用');
INSERT INTO `lang_definitions` VALUES (36283, 1676, 11, '禁用');
INSERT INTO `lang_definitions` VALUES (36284, 1677, 11, '65岁以下，大集团的健康计划（LGHP禁用受益人）');
INSERT INTO `lang_definitions` VALUES (36285, 1678, 11, '光盘');
INSERT INTO `lang_definitions` VALUES (36286, 1681, 11, '排出');
INSERT INTO `lang_definitions` VALUES (36287, 1682, 11, '排放从尿道');
INSERT INTO `lang_definitions` VALUES (36288, 1684, 11, '排污权');
INSERT INTO `lang_definitions` VALUES (36289, 1685, 11, '排污权：');
INSERT INTO `lang_definitions` VALUES (36290, 1689, 11, '披露信息');
INSERT INTO `lang_definitions` VALUES (36291, 1690, 11, '披露类型');
INSERT INTO `lang_definitions` VALUES (36292, 1691, 11, '披露类型');
INSERT INTO `lang_definitions` VALUES (36293, 1692, 11, '披露');
INSERT INTO `lang_definitions` VALUES (36294, 1694, 11, '折扣');
INSERT INTO `lang_definitions` VALUES (36295, 1695, 11, '折扣额');
INSERT INTO `lang_definitions` VALUES (36296, 1696, 11, '折扣级别');
INSERT INTO `lang_definitions` VALUES (36297, 1697, 11, '折扣百分比');
INSERT INTO `lang_definitions` VALUES (36298, 1698, 11, '货币金额的折扣');
INSERT INTO `lang_definitions` VALUES (36299, 1699, 11, '折扣结帐时进入货币数量，而不是百分比。');
INSERT INTO `lang_definitions` VALUES (36300, 1700, 11, '结果离散');
INSERT INTO `lang_definitions` VALUES (36301, 1701, 11, '疾病');
INSERT INTO `lang_definitions` VALUES (36302, 1702, 11, '脱位');
INSERT INTO `lang_definitions` VALUES (36303, 1703, 11, '显示#');
INSERT INTO `lang_definitions` VALUES (36304, 1704, 11, '调度');
INSERT INTO `lang_definitions` VALUES (36305, 1705, 11, '调度收稿文件');
INSERT INTO `lang_definitions` VALUES (36306, 1706, 11, '配药');
INSERT INTO `lang_definitions` VALUES (36307, 1707, 11, '事前指示在人口统计页面显示。');
INSERT INTO `lang_definitions` VALUES (36308, 1709, 11, '展示活动日期块？');
INSERT INTO `lang_definitions` VALUES (36309, 1711, 11, '显示多少个活动？');
INSERT INTO `lang_definitions` VALUES (36310, 1713, 11, '显示位置块？');
INSERT INTO `lang_definitions` VALUES (36311, 1714, 11, '显示姓名');
INSERT INTO `lang_definitions` VALUES (36312, 1715, 11, '显示日历？');
INSERT INTO `lang_definitions` VALUES (36313, 1718, 11, '显示今天的事件块？');
INSERT INTO `lang_definitions` VALUES (36314, 1719, 11, '显示话题块？');
INSERT INTO `lang_definitions` VALUES (36315, 1720, 11, '即将举行的活动中显示块？');
INSERT INTO `lang_definitions` VALUES (36316, 1721, 11, '显示列');
INSERT INTO `lang_definitions` VALUES (36317, 1722, 11, '显示以下一些最新披露：');
INSERT INTO `lang_definitions` VALUES (36318, 1723, 11, '显示以下一些最新的笔记');
INSERT INTO `lang_definitions` VALUES (36319, 1724, 11, '显示以下一些最新的笔记');
INSERT INTO `lang_definitions` VALUES (36320, 1725, 11, '分布');
INSERT INTO `lang_definitions` VALUES (36321, 1726, 11, '分布');
INSERT INTO `lang_definitions` VALUES (36322, 1727, 11, '经销商');
INSERT INTO `lang_definitions` VALUES (36323, 1729, 11, '憩室');
INSERT INTO `lang_definitions` VALUES (36324, 1730, 11, '憩室外科');
INSERT INTO `lang_definitions` VALUES (36325, 1731, 11, 'divirticulitis');
INSERT INTO `lang_definitions` VALUES (36326, 1732, 11, 'divirticulitis外科');
INSERT INTO `lang_definitions` VALUES (36327, 1733, 11, '离婚');
INSERT INTO `lang_definitions` VALUES (36328, 1734, 11, '头晕：');
INSERT INTO `lang_definitions` VALUES (36329, 1735, 11, '不要改变');
INSERT INTO `lang_definitions` VALUES (36330, 1737, 11, '不显示上传到NewCrop过敏');
INSERT INTO `lang_definitions` VALUES (36331, 1739, 11, '不显示上传到NewCrop的药物');
INSERT INTO `lang_definitions` VALUES (36332, 1742, 11, '不显示日历。');
INSERT INTO `lang_definitions` VALUES (36333, 1744, 11, '不要库存和销售任何产品');
INSERT INTO `lang_definitions` VALUES (36334, 1745, 11, '不需要客户笔记被授权');
INSERT INTO `lang_definitions` VALUES (36335, 1746, 11, '不复苏订购的');
INSERT INTO `lang_definitions` VALUES (36336, 1747, 11, '不保存');
INSERT INTO `lang_definitions` VALUES (36337, 1748, 11, '不能取代');
INSERT INTO `lang_definitions` VALUES (36338, 1749, 11, '什么也不做');
INSERT INTO `lang_definitions` VALUES (36339, 1751, 11, '你真的要删除');
INSERT INTO `lang_definitions` VALUES (36340, 1752, 11, '你真的要删除的选择吗？');
INSERT INTO `lang_definitions` VALUES (36341, 1753, 11, '你真的要删除这个组');
INSERT INTO `lang_definitions` VALUES (36342, 1755, 11, '你要继续吗？');
INSERT INTO `lang_definitions` VALUES (36343, 1756, 11, '你要删除这个吗？');
INSERT INTO `lang_definitions` VALUES (36344, 1757, 11, '你要删除吗？');
INSERT INTO `lang_definitions` VALUES (36345, 1758, 11, '你想删除此记录？');
INSERT INTO `lang_definitions` VALUES (36346, 1759, 11, '你是否愿意继续加入这个新的客户吗？');
INSERT INTO `lang_definitions` VALUES (36347, 1760, 11, '你想继续用新的名称？');
INSERT INTO `lang_definitions` VALUES (36348, 1761, 11, '你想永久删除这个免疫记录？');
INSERT INTO `lang_definitions` VALUES (36349, 1762, 11, '出生日期');
INSERT INTO `lang_definitions` VALUES (36350, 1763, 11, '出生丢失，如果可能的话，请输入');
INSERT INTO `lang_definitions` VALUES (36351, 1764, 11, '文档');
INSERT INTO `lang_definitions` VALUES (36352, 1765, 11, '医生');
INSERT INTO `lang_definitions` VALUES (36353, 1766, 11, '医生：');
INSERT INTO `lang_definitions` VALUES (36354, 1767, 11, '医生的姓名和签字');
INSERT INTO `lang_definitions` VALUES (36355, 1768, 11, '文件');
INSERT INTO `lang_definitions` VALUES (36356, 1769, 11, '文件');
INSERT INTO `lang_definitions` VALUES (36357, 1770, 11, '文件分类');
INSERT INTO `lang_definitions` VALUES (36358, 1775, 11, '文件无法移动到客户编号');
INSERT INTO `lang_definitions` VALUES (36359, 1777, 11, '文件日期');
INSERT INTO `lang_definitions` VALUES (36360, 1778, 11, '成功更新文件的日期和问题');
INSERT INTO `lang_definitions` VALUES (36361, 1779, 11, '文档编号');
INSERT INTO `lang_definitions` VALUES (36362, 1780, 11, '文件移动到新的类别');
INSERT INTO `lang_definitions` VALUES (36363, 1781, 11, '文件移动到客户编号');
INSERT INTO `lang_definitions` VALUES (36364, 1783, 11, '文件通过完整性检查。');
INSERT INTO `lang_definitions` VALUES (36365, 1785, 11, '文件改名成功。');
INSERT INTO `lang_definitions` VALUES (36366, 1790, 11, '文档/影像店');
INSERT INTO `lang_definitions` VALUES (36367, 1791, 11, '文件');
INSERT INTO `lang_definitions` VALUES (36368, 1792, 11, '文件（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (36369, 1794, 11, '运动时呼吸困难');
INSERT INTO `lang_definitions` VALUES (36370, 1798, 11, '是否允许这种类型的相关代码？');
INSERT INTO `lang_definitions` VALUES (36371, 1799, 11, '国内合作伙伴');
INSERT INTO `lang_definitions` VALUES (36372, 1800, 11, '不保存');
INSERT INTO `lang_definitions` VALUES (36373, 1801, 11, '不保存');
INSERT INTO `lang_definitions` VALUES (36374, 1802, 11, '不保存更改');
INSERT INTO `lang_definitions` VALUES (36375, 1803, 11, '完成');
INSERT INTO `lang_definitions` VALUES (36376, 1804, 11, '这样做：');
INSERT INTO `lang_definitions` VALUES (36377, 1805, 11, '完成。现在将发送下载。');
INSERT INTO `lang_definitions` VALUES (36378, 1806, 11, 'DOS');
INSERT INTO `lang_definitions` VALUES (36379, 1807, 11, '剂量');
INSERT INTO `lang_definitions` VALUES (36380, 1809, 11, '双击编辑');
INSERT INTO `lang_definitions` VALUES (36381, 1810, 11, '双瞳');
INSERT INTO `lang_definitions` VALUES (36382, 1811, 11, '下载');
INSERT INTO `lang_definitions` VALUES (36383, 1814, 11, '下载无论如何');
INSERT INTO `lang_definitions` VALUES (36384, 1815, 11, '下载计费文件，张贴到嘴的会计和标志');
INSERT INTO `lang_definitions` VALUES (36385, 1817, 11, '下载证书');
INSERT INTO `lang_definitions` VALUES (36386, 1818, 11, '下载配置数据');
INSERT INTO `lang_definitions` VALUES (36387, 1820, 11, '加密文件下载');
INSERT INTO `lang_definitions` VALUES (36388, 1827, 11, '下载选中的语句');
INSERT INTO `lang_definitions` VALUES (36389, 1828, 11, '医生检查');
INSERT INTO `lang_definitions` VALUES (36390, 1829, 11, '博士门诊');
INSERT INTO `lang_definitions` VALUES (36391, 1830, 11, '博士');
INSERT INTO `lang_definitions` VALUES (36392, 1831, 11, '拖动以移动');
INSERT INTO `lang_definitions` VALUES (36393, 1832, 11, '运球');
INSERT INTO `lang_definitions` VALUES (36394, 1833, 11, '驾驶执照或州身份证');
INSERT INTO `lang_definitions` VALUES (36395, 1834, 11, '药物');
INSERT INTO `lang_definitions` VALUES (36396, 1835, 11, '药品搜索');
INSERT INTO `lang_definitions` VALUES (36397, 1836, 11, '剂型');
INSERT INTO `lang_definitions` VALUES (36398, 1837, 11, '药物身份证丢失！');
INSERT INTO `lang_definitions` VALUES (36399, 1838, 11, '药品警告');
INSERT INTO `lang_definitions` VALUES (36400, 1839, 11, '药品库存');
INSERT INTO `lang_definitions` VALUES (36401, 1840, 11, '药品名称');
INSERT INTO `lang_definitions` VALUES (36402, 1841, 11, '贩毒路线');
INSERT INTO `lang_definitions` VALUES (36403, 1845, 11, '禁毒单位');
INSERT INTO `lang_definitions` VALUES (36404, 1846, 11, '药品');
INSERT INTO `lang_definitions` VALUES (36405, 1847, 11, '毒品和产品');
INSERT INTO `lang_definitions` VALUES (36406, 1848, 11, '口干');
INSERT INTO `lang_definitions` VALUES (36407, 1850, 11, '白喉，破伤风疫苗 1');
INSERT INTO `lang_definitions` VALUES (36408, 1851, 11, '白喉，破伤风疫苗 2');
INSERT INTO `lang_definitions` VALUES (36409, 1852, 11, '白喉，破伤风疫苗 3');
INSERT INTO `lang_definitions` VALUES (36410, 1853, 11, '白喉，破伤风疫苗 4');
INSERT INTO `lang_definitions` VALUES (36411, 1854, 11, '白喉，破伤风疫苗 5');
INSERT INTO `lang_definitions` VALUES (36412, 1855, 11, '百白破三联疫苗 1');
INSERT INTO `lang_definitions` VALUES (36413, 1856, 11, '百白破三联疫苗 2');
INSERT INTO `lang_definitions` VALUES (36414, 1857, 11, '百白破三联疫苗 3');
INSERT INTO `lang_definitions` VALUES (36415, 1858, 11, '百白破三联疫苗 4');
INSERT INTO `lang_definitions` VALUES (36416, 1859, 11, '百白破三联疫苗 5');
INSERT INTO `lang_definitions` VALUES (36417, 1860, 11, '由于');
INSERT INTO `lang_definitions` VALUES (36418, 1861, 11, '截止日期');
INSERT INTO `lang_definitions` VALUES (36419, 1862, 11, '截止日期月/日/年或格式年-月 -日');
INSERT INTO `lang_definitions` VALUES (36420, 1863, 11, '截止日期：');
INSERT INTO `lang_definitions` VALUES (36421, 1864, 11, '由于集');
INSERT INTO `lang_definitions` VALUES (36422, 1865, 11, '由于铂');
INSERT INTO `lang_definitions` VALUES (36423, 1866, 11, '即将到期');
INSERT INTO `lang_definitions` VALUES (36424, 1867, 11, '应有的地位');
INSERT INTO `lang_definitions` VALUES (36425, 1868, 11, '应有的地位更新');
INSERT INTO `lang_definitions` VALUES (36426, 1869, 11, '倾倒LibreEHR数据库');
INSERT INTO `lang_definitions` VALUES (36427, 1870, 11, '倾倒LibreEHR web目录树');
INSERT INTO `lang_definitions` VALUES (36428, 1871, 11, '倾倒phpGACL数据库');
INSERT INTO `lang_definitions` VALUES (36429, 1872, 11, '倾倒phpGACL Web目录树');
INSERT INTO `lang_definitions` VALUES (36430, 1873, 11, '倾销SQL的总帐数据库');
INSERT INTO `lang_definitions` VALUES (36431, 1874, 11, '倾倒SQL总帐web目录树');
INSERT INTO `lang_definitions` VALUES (36432, 1875, 11, 'DUP检查');
INSERT INTO `lang_definitions` VALUES (36433, 1876, 11, '重复的ID上线');
INSERT INTO `lang_definitions` VALUES (36434, 1877, 11, '重复上线名称');
INSERT INTO `lang_definitions` VALUES (36435, 1878, 11, '复制的警告');
INSERT INTO `lang_definitions` VALUES (36436, 1879, 11, '检察长的持久动力');
INSERT INTO `lang_definitions` VALUES (36437, 1880, 11, '期限');
INSERT INTO `lang_definitions` VALUES (36438, 1881, 11, '有效期');
INSERT INTO `lang_definitions` VALUES (36439, 1882, 11, '荷兰文');
INSERT INTO `lang_definitions` VALUES (36440, 1884, 11, '吞咽困难');
INSERT INTO `lang_definitions` VALUES (36441, 1885, 11, '呼吸困难：');
INSERT INTO `lang_definitions` VALUES (36442, 1886, 11, '排尿困难');
INSERT INTO `lang_definitions` VALUES (36443, 1888, 11, '电子处方？');
INSERT INTO `lang_definitions` VALUES (36444, 1890, 11, '的E-Rx');
INSERT INTO `lang_definitions` VALUES (36445, 1892, 11, '电子接收重建');
INSERT INTO `lang_definitions` VALUES (36446, 1893, 11, '每个收件人必须设置为完成自己的消息。');
INSERT INTO `lang_definitions` VALUES (36447, 1894, 11, '早期复发（<2个月）');
INSERT INTO `lang_definitions` VALUES (36448, 1895, 11, '耳朵');
INSERT INTO `lang_definitions` VALUES (36449, 1896, 11, '心电图');
INSERT INTO `lang_definitions` VALUES (36450, 1898, 11, '浮肿');
INSERT INTO `lang_definitions` VALUES (36451, 1902, 11, 'EDI-271文件上传');
INSERT INTO `lang_definitions` VALUES (36452, 1903, 11, 'EDI-271响应文件上传');
INSERT INTO `lang_definitions` VALUES (36453, 1904, 11, '编辑');
INSERT INTO `lang_definitions` VALUES (36454, 1905, 11, '编辑');
INSERT INTO `lang_definitions` VALUES (36455, 1906, 11, '编辑过敏');
INSERT INTO `lang_definitions` VALUES (36456, 1907, 11, '编辑类别');
INSERT INTO `lang_definitions` VALUES (36457, 1908, 11, '编辑定义');
INSERT INTO `lang_definitions` VALUES (36458, 1909, 11, '编辑定义');
INSERT INTO `lang_definitions` VALUES (36459, 1910, 11, '编辑诊断');
INSERT INTO `lang_definitions` VALUES (36460, 1911, 11, '编辑披露');
INSERT INTO `lang_definitions` VALUES (36461, 1912, 11, '编辑设施');
INSERT INTO `lang_definitions` VALUES (36462, 1913, 11, '编辑设备');
INSERT INTO `lang_definitions` VALUES (36463, 1914, 11, '编辑设施信息');
INSERT INTO `lang_definitions` VALUES (36464, 1916, 11, '编辑中的文件');
INSERT INTO `lang_definitions` VALUES (36465, 1917, 11, '编辑表格');
INSERT INTO `lang_definitions` VALUES (36466, 1918, 11, '编辑全局设置');
INSERT INTO `lang_definitions` VALUES (36467, 1919, 11, '编辑不认可！');
INSERT INTO `lang_definitions` VALUES (36468, 1920, 11, '编辑布局');
INSERT INTO `lang_definitions` VALUES (36469, 1921, 11, '编辑列表');
INSERT INTO `lang_definitions` VALUES (36470, 1922, 11, '编辑付款');
INSERT INTO `lang_definitions` VALUES (36471, 1923, 11, '编辑结构');
INSERT INTO `lang_definitions` VALUES (36472, 1924, 11, '编辑用户');
INSERT INTO `lang_definitions` VALUES (36473, 1925, 11, '编辑用户设置');
INSERT INTO `lang_definitions` VALUES (36474, 1928, 11, '教育');
INSERT INTO `lang_definitions` VALUES (36475, 1929, 11, '教育日期');
INSERT INTO `lang_definitions` VALUES (36476, 1931, 11, '｜*通用公共许可证的更多细节。* *您应该已经收到一份通用公共许可证*随着这个程序；如果没有，写信给自由 ');
INSERT INTO `lang_definitions` VALUES (36477, 1932, 11, '生效日期');
INSERT INTO `lang_definitions` VALUES (36478, 1934, 11, '效力');
INSERT INTO `lang_definitions` VALUES (36479, 1935, 11, 'EIN');
INSERT INTO `lang_definitions` VALUES (36480, 1936, 11, '射精');
INSERT INTO `lang_definitions` VALUES (36481, 1937, 11, '肘');
INSERT INTO `lang_definitions` VALUES (36482, 1938, 11, '手肘问题');
INSERT INTO `lang_definitions` VALUES (36483, 1939, 11, '电子');
INSERT INTO `lang_definitions` VALUES (36484, 1942, 11, '电子汇款');
INSERT INTO `lang_definitions` VALUES (36485, 1944, 11, '合格');
INSERT INTO `lang_definitions` VALUES (36486, 1945, 11, '资格270询问批次');
INSERT INTO `lang_definitions` VALUES (36487, 1946, 11, '资格响应');
INSERT INTO `lang_definitions` VALUES (36488, 1947, 11, '儿童疫苗的资格地位提供疫苗');
INSERT INTO `lang_definitions` VALUES (36489, 1948, 11, '合格');
INSERT INTO `lang_definitions` VALUES (36490, 1949, 11, '电子邮件');
INSERT INTO `lang_definitions` VALUES (36491, 1951, 11, '电邮地址');
INSERT INTO `lang_definitions` VALUES (36492, 1953, 11, '客户提醒发件人的电子邮件地址。客户提醒的回复将被定向到这个地址。重要的是要使用您的诊所“域的地址，以避免有助于防止垃圾邮件文件夹要耐心提醒。');
INSERT INTO `lang_definitions` VALUES (36493, 1954, 11, '电子邮件地址，如果有的话，收到行政通知。');
INSERT INTO `lang_definitions` VALUES (36494, 1955, 11, '电子邮件地址，如果有的话，接受紧急登录用户激活邮件。');
INSERT INTO `lang_definitions` VALUES (36495, 1956, 11, '电子邮件验证');
INSERT INTO `lang_definitions` VALUES (36496, 1957, 11, '电子邮件从Batchcom');
INSERT INTO `lang_definitions` VALUES (36497, 1958, 11, '电子邮件通知');
INSERT INTO `lang_definitions` VALUES (36498, 1959, 11, '电子邮件通知时间');
INSERT INTO `lang_definitions` VALUES (36499, 1961, 11, '电子邮件发送之前');
INSERT INTO `lang_definitions` VALUES (36500, 1962, 11, '电子邮件发件人');
INSERT INTO `lang_definitions` VALUES (36501, 1963, 11, '电子邮件发送');
INSERT INTO `lang_definitions` VALUES (36502, 1965, 11, '电子邮件主题');
INSERT INTO `lang_definitions` VALUES (36503, 1966, 11, '电子邮件的文本，可用标签：***姓名***，即亲爱的***姓名***');
INSERT INTO `lang_definitions` VALUES (36504, 1968, 11, '电子邮件传输方法');
INSERT INTO `lang_definitions` VALUES (36505, 1969, 11, '电子邮件发送到以下地址');
INSERT INTO `lang_definitions` VALUES (36506, 1971, 11, '紧急联络人');
INSERT INTO `lang_definitions` VALUES (36507, 1972, 11, '紧急联络人');
INSERT INTO `lang_definitions` VALUES (36508, 1973, 11, '紧急联络电话号码');
INSERT INTO `lang_definitions` VALUES (36509, 1974, 11, '紧急避孕');
INSERT INTO `lang_definitions` VALUES (36510, 1975, 11, '紧急登录');
INSERT INTO `lang_definitions` VALUES (36511, 1976, 11, '紧急登录ACL选择。用户仍处于活跃状态，请取消激活用户和在紧急情况下需要时激活相同。门诊管理“ - >”激活或去激活的用户。');
INSERT INTO `lang_definitions` VALUES (36512, 1977, 11, '紧急登录激活电子邮件将发给如果在接口/ globals.php文件配置以下设置：');
INSERT INTO `lang_definitions` VALUES (36513, 1978, 11, '紧急登录的电邮地址');
INSERT INTO `lang_definitions` VALUES (36514, 1979, 11, '紧急登录的用户可以做什么');
INSERT INTO `lang_definitions` VALUES (36515, 1980, 11, '紧急电话');
INSERT INTO `lang_definitions` VALUES (36516, 1982, 11, '肺气肿');
INSERT INTO `lang_definitions` VALUES (36517, 1983, 11, '雇员');
INSERT INTO `lang_definitions` VALUES (36518, 1984, 11, '单位');
INSERT INTO `lang_definitions` VALUES (36519, 1985, 11, '单位地址');
INSERT INTO `lang_definitions` VALUES (36520, 1986, 11, '单位数据');
INSERT INTO `lang_definitions` VALUES (36521, 1987, 11, '单位名称');
INSERT INTO `lang_definitions` VALUES (36522, 1988, 11, '空的');
INSERT INTO `lang_definitions` VALUES (36523, 1989, 11, '空的');
INSERT INTO `lang_definitions` VALUES (36524, 1991, 11, '空值在“电子邮件时间”');
INSERT INTO `lang_definitions` VALUES (36525, 1992, 11, '空值在“电子邮件发件人”');
INSERT INTO `lang_definitions` VALUES (36526, 1993, 11, '空值在“电子邮件的主题”');
INSERT INTO `lang_definitions` VALUES (36527, 1994, 11, '空值在“电子邮件正文”');
INSERT INTO `lang_definitions` VALUES (36528, 1995, 11, '空值在“名称的提供者”');
INSERT INTO `lang_definitions` VALUES (36529, 1996, 11, '空值在“密码”');
INSERT INTO `lang_definitions` VALUES (36530, 1997, 11, '空值在“短信时间”');
INSERT INTO `lang_definitions` VALUES (36531, 1998, 11, '空值在“短信”');
INSERT INTO `lang_definitions` VALUES (36532, 1999, 11, '空值在“用户名”');
INSERT INTO `lang_definitions` VALUES (36533, 2006, 11, '启用资产管理公司的激励');
INSERT INTO `lang_definitions` VALUES (36534, 2008, 11, '启用资产管理报告');
INSERT INTO `lang_definitions` VALUES (36535, 2009, 11, '启用资产管理公司跟踪');
INSERT INTO `lang_definitions` VALUES (36536, 2011, 11, '启用ATNA审计');
INSERT INTO `lang_definitions` VALUES (36537, 2013, 11, '启用审核日志记录');
INSERT INTO `lang_definitions` VALUES (36538, 2014, 11, '启用审计跟踪和节点认证（ATNA）。');
INSERT INTO `lang_definitions` VALUES (36539, 2015, 11, '启用自动测量计算（AMC）的报告');
INSERT INTO `lang_definitions` VALUES (36540, 2016, 11, '启用客户端SSL');
INSERT INTO `lang_definitions` VALUES (36541, 2017, 11, '启用客户端SSL证书认证。');
INSERT INTO `lang_definitions` VALUES (36542, 2019, 11, '使临床决策规则“（CDR）');
INSERT INTO `lang_definitions` VALUES (36543, 2022, 11, '使临床质量的措施（CQM）报告');
INSERT INTO `lang_definitions` VALUES (36544, 2023, 11, '使临床提醒弹出');
INSERT INTO `lang_definitions` VALUES (36545, 2024, 11, '使临床提醒部件');
INSERT INTO `lang_definitions` VALUES (36546, 2027, 11, '启用CQM报告');
INSERT INTO `lang_definitions` VALUES (36547, 2031, 11, '启用HylaFax等支持');
INSERT INTO `lang_definitions` VALUES (36548, 2033, 11, '使进口NewCrop ERX状态消息');
INSERT INTO `lang_definitions` VALUES (36549, 2037, 11, '启用实验室交流');
INSERT INTO `lang_definitions` VALUES (36550, 2040, 11, '启用所有的SQL SELECT查询的记录。');
INSERT INTO `lang_definitions` VALUES (36551, 2041, 11, '启用日志记录备份的相关活动。');
INSERT INTO `lang_definitions` VALUES (36552, 2043, 11, '使杂项活动的记录。');
INSERT INTO `lang_definitions` VALUES (36553, 2044, 11, '启用排序活动的记录。');
INSERT INTO `lang_definitions` VALUES (36554, 2045, 11, '启用病历修改的记录。');
INSERT INTO `lang_definitions` VALUES (36555, 2046, 11, '启用调度活动的记录。');
INSERT INTO `lang_definitions` VALUES (36556, 2047, 11, '启用安全和管理活动的记录。');
INSERT INTO `lang_definitions` VALUES (36557, 2049, 11, '启用NewCrop ERX服务');
INSERT INTO `lang_definitions` VALUES (36558, 2051, 11, '启用异地患者门户');
INSERT INTO `lang_definitions` VALUES (36559, 2052, 11, '启用异地患者门户。');
INSERT INTO `lang_definitions` VALUES (36560, 2053, 11, '启用上门患者门户');
INSERT INTO `lang_definitions` VALUES (36561, 2055, 11, '启用上门患者门户。');
INSERT INTO `lang_definitions` VALUES (36562, 2056, 11, '使客户提醒部件');
INSERT INTO `lang_definitions` VALUES (36563, 2058, 11, '启用自动测量计算所需的数据（AMC）的激励');
INSERT INTO `lang_definitions` VALUES (36564, 2060, 11, '启用的自动测量计算日期（AMC）的跟踪报告');
INSERT INTO `lang_definitions` VALUES (36565, 2061, 11, '启用扫描仪支持');
INSERT INTO `lang_definitions` VALUES (36566, 2065, 11, '启用的LibreEHR支持LLC实验室外汇服务。');
INSERT INTO `lang_definitions` VALUES (36567, 2066, 11, '启用用户证书验证');
INSERT INTO `lang_definitions` VALUES (36568, 2067, 11, '启用ZMG，ERX服务有限责任公司');
INSERT INTO `lang_definitions` VALUES (36569, 2068, 11, '启用');
INSERT INTO `lang_definitions` VALUES (36570, 2070, 11, '使老费面板进入帐单代码和付款。不推荐使用，而费用表。');
INSERT INTO `lang_definitions` VALUES (36571, 2071, 11, '电子图');
INSERT INTO `lang_definitions` VALUES (36572, 2072, 11, '电子图');
INSERT INTO `lang_definitions` VALUES (36573, 2073, 11, '治疗');
INSERT INTO `lang_definitions` VALUES (36574, 2074, 11, '治疗');
INSERT INTO `lang_definitions` VALUES (36575, 2075, 11, '治疗 ');
INSERT INTO `lang_definitions` VALUES (36576, 2076, 11, '治疗急性住院或急诊');
INSERT INTO `lang_definitions` VALUES (36577, 2081, 11, '治疗日期');
INSERT INTO `lang_definitions` VALUES (36578, 2086, 11, '治疗表格');
INSERT INTO `lang_definitions` VALUES (36579, 2087, 11, '治疗健康和行为评估');
INSERT INTO `lang_definitions` VALUES (36580, 2088, 11, '治疗历史');
INSERT INTO `lang_definitions` VALUES (36581, 2089, 11, '治疗的ID');
INSERT INTO `lang_definitions` VALUES (36582, 2090, 11, '治疗流感');
INSERT INTO `lang_definitions` VALUES (36583, 2091, 11, '治疗数');
INSERT INTO `lang_definitions` VALUES (36584, 2093, 11, '治疗护理放电');
INSERT INTO `lang_definitions` VALUES (36585, 2094, 11, '治疗护理设施');
INSERT INTO `lang_definitions` VALUES (36586, 2095, 11, '治疗职业治疗');
INSERT INTO `lang_definitions` VALUES (36587, 2096, 11, '治疗办公室门诊');
INSERT INTO `lang_definitions` VALUES (36588, 2097, 11, '治疗门诊');
INSERT INTO `lang_definitions` VALUES (36589, 2098, 11, '治疗门诊W / PCP及妇产科');
INSERT INTO `lang_definitions` VALUES (36590, 2099, 11, '治疗页面大小');
INSERT INTO `lang_definitions` VALUES (36591, 2101, 11, '治疗怀孕');
INSERT INTO `lang_definitions` VALUES (36592, 2102, 11, '治疗预防医学 - 个别辅导');
INSERT INTO `lang_definitions` VALUES (36593, 2103, 11, '治疗预防医学40岁及以上');
INSERT INTO `lang_definitions` VALUES (36594, 2104, 11, '治疗预防医学小组辅导');
INSERT INTO `lang_definitions` VALUES (36595, 2105, 11, '治疗预防医学的其他服务');
INSERT INTO `lang_definitions` VALUES (36596, 2106, 11, '治疗预防医学服务，18岁及以上');
INSERT INTO `lang_definitions` VALUES (36597, 2107, 11, '治疗精神与心理');
INSERT INTO `lang_definitions` VALUES (36598, 2108, 11, '治疗统计');
INSERT INTO `lang_definitions` VALUES (36599, 2109, 11, '治疗摘要');
INSERT INTO `lang_definitions` VALUES (36600, 2110, 11, '治疗编码');
INSERT INTO `lang_definitions` VALUES (36601, 2111, 11, '治疗：');
INSERT INTO `lang_definitions` VALUES (36602, 2112, 11, '治疗：遇到急性输入，门诊，或眼科');
INSERT INTO `lang_definitions` VALUES (36603, 2113, 11, '邂逅');
INSERT INTO `lang_definitions` VALUES (36604, 2114, 11, '治疗与形式');
INSERT INTO `lang_definitions` VALUES (36605, 2115, 11, '治疗与形式');
INSERT INTO `lang_definitions` VALUES (36606, 2116, 11, '治疗未授权');
INSERT INTO `lang_definitions` VALUES (36607, 2117, 11, '座谈会报告');
INSERT INTO `lang_definitions` VALUES (36608, 2118, 11, '治疗科');
INSERT INTO `lang_definitions` VALUES (36609, 2120, 11, '加密');
INSERT INTO `lang_definitions` VALUES (36610, 2121, 11, '结束');
INSERT INTO `lang_definitions` VALUES (36611, 2122, 11, '结束（年-月-日）： ');
INSERT INTO `lang_definitions` VALUES (36612, 2123, 11, '结束日期');
INSERT INTO `lang_definitions` VALUES (36613, 2124, 11, '结束日期');
INSERT INTO `lang_definitions` VALUES (36614, 2126, 11, '比开始日期结束日期应该更大');
INSERT INTO `lang_definitions` VALUES (36615, 2127, 11, '结束日期：');
INSERT INTO `lang_definitions` VALUES (36616, 2131, 11, '结束时间');
INSERT INTO `lang_definitions` VALUES (36617, 2132, 11, '终末期肾脏病中的MCP与用人单位的集团计划的受益人');
INSERT INTO `lang_definitions` VALUES (36618, 2133, 11, '服务的结束日期（年-月-日）');
INSERT INTO `lang_definitions` VALUES (36619, 2134, 11, '如果你想进入一个范围结束DOS（月/日/年）');
INSERT INTO `lang_definitions` VALUES (36620, 2135, 11, '结束一天的小时日历事件。');
INSERT INTO `lang_definitions` VALUES (36621, 2136, 11, '远藤异常血');
INSERT INTO `lang_definitions` VALUES (36622, 2137, 11, '内分泌');
INSERT INTO `lang_definitions` VALUES (36623, 2138, 11, '内窥镜');
INSERT INTO `lang_definitions` VALUES (36624, 2141, 11, '英语');
INSERT INTO `lang_definitions` VALUES (36625, 2142, 11, '英语 ');
INSERT INTO `lang_definitions` VALUES (36626, 2143, 11, '英语（印度）');
INSERT INTO `lang_definitions` VALUES (36627, 2144, 11, '英语（标准）');
INSERT INTO `lang_definitions` VALUES (36628, 2145, 11, 'enscript命令使用HylaFax等。');
INSERT INTO `lang_definitions` VALUES (36629, 2146, 11, '确保LibreEHR有写权限的目录');
INSERT INTO `lang_definitions` VALUES (36630, 2147, 11, '耳鼻喉科放电');
INSERT INTO `lang_definitions` VALUES (36631, 2148, 11, '耳鼻喉科疼痛');
INSERT INTO `lang_definitions` VALUES (36632, 2149, 11, '输入诊断代码排除所有不包含发票');
INSERT INTO `lang_definitions` VALUES (36633, 2151, 11, '在此处输入信件的正文');
INSERT INTO `lang_definitions` VALUES (36634, 2152, 11, '输入数据库root密码');
INSERT INTO `lang_definitions` VALUES (36635, 2153, 11, '输入数据库的root用户名');
INSERT INTO `lang_definitions` VALUES (36636, 2154, 11, '进入诊断');
INSERT INTO `lang_definitions` VALUES (36637, 2155, 11, '输入药品');
INSERT INTO `lang_definitions` VALUES (36638, 2158, 11, '进入免疫接种');
INSERT INTO `lang_definitions` VALUES (36639, 2159, 11, '回车键');
INSERT INTO `lang_definitions` VALUES (36640, 2161, 11, '输入新的国家');
INSERT INTO `lang_definitions` VALUES (36641, 2164, 11, '进入再识别代码');
INSERT INTO `lang_definitions` VALUES (36642, 2165, 11, '输入您的搜索标准以上');
INSERT INTO `lang_definitions` VALUES (36643, 2168, 11, '环境');
INSERT INTO `lang_definitions` VALUES (36644, 2169, 11, 'EOB数据录入');
INSERT INTO `lang_definitions` VALUES (36645, 2170, 11, 'EOB发布-电子汇款');
INSERT INTO `lang_definitions` VALUES (36646, 2171, 11, 'EOB张贴-说明');
INSERT INTO `lang_definitions` VALUES (36647, 2172, 11, 'EOB发布-发票');
INSERT INTO `lang_definitions` VALUES (36648, 2173, 11, 'EOB张贴-患者请注意');
INSERT INTO `lang_definitions` VALUES (36649, 2174, 11, 'EOB发布-搜索');
INSERT INTO `lang_definitions` VALUES (36650, 2176, 11, '癫痫');
INSERT INTO `lang_definitions` VALUES (36651, 2178, 11, '自责');
INSERT INTO `lang_definitions` VALUES (36652, 2180, 11, '自责发帖');
INSERT INTO `lang_definitions` VALUES (36653, 2181, 11, '抹去');
INSERT INTO `lang_definitions` VALUES (36654, 2182, 11, '勃起');
INSERT INTO `lang_definitions` VALUES (36655, 2183, 11, '错误');
INSERT INTO `lang_definitions` VALUES (36656, 2185, 11, '实验室结果的错误确认收到');
INSERT INTO `lang_definitions` VALUES (36657, 2187, 11, '从实验室交换网络实验室结果错误');
INSERT INTO `lang_definitions` VALUES (36658, 2188, 11, '中的错误“性别”的选择');
INSERT INTO `lang_definitions` VALUES (36659, 2189, 11, '中的错误“法案”的选择');
INSERT INTO `lang_definitions` VALUES (36660, 2190, 11, '中的错误“过程”选择');
INSERT INTO `lang_definitions` VALUES (36661, 2191, 11, '错误的“短信网关”选择');
INSERT INTO `lang_definitions` VALUES (36662, 2192, 11, '中的错误“排序方式”的选择');
INSERT INTO `lang_definitions` VALUES (36663, 2193, 11, '在GZIP压缩文件中的错误： ');
INSERT INTO `lang_definitions` VALUES (36664, 2194, 11, 'YES或NO选项的错误');
INSERT INTO `lang_definitions` VALUES (36665, 2195, 11, '阅读文件上传错误开幕');
INSERT INTO `lang_definitions` VALUES (36666, 2198, 11, '删除邮件时出错');
INSERT INTO `lang_definitions` VALUES (36667, 2199, 11, '从实验室交换网络的​​错误检索结果');
INSERT INTO `lang_definitions` VALUES (36668, 2202, 11, '批准文件的特权的LibreEHR用户时的错误。');
INSERT INTO `lang_definitions` VALUES (36669, 2205, 11, '在注册表格的错误！');
INSERT INTO `lang_definitions` VALUES (36670, 2206, 11, '错误，而保存的文件');
INSERT INTO `lang_definitions` VALUES (36671, 2208, 11, '写入文件时出错');
INSERT INTO `lang_definitions` VALUES (36672, 2210, 11, '错误，该文件不存在');
INSERT INTO `lang_definitions` VALUES (36673, 2211, 11, '错误，无法从服务器收集数据');
INSERT INTO `lang_definitions` VALUES (36674, 2212, 11, '错误，无法创建客户端证书。');
INSERT INTO `lang_definitions` VALUES (36675, 2213, 11, '错误，无法，以创建该admin.p12的的证书。');
INSERT INTO `lang_definitions` VALUES (36676, 2214, 11, '错误，无法创建的证书颁发机构证书。');
INSERT INTO `lang_definitions` VALUES (36677, 2215, 11, '错误，无法创建服务器证书。');
INSERT INTO `lang_definitions` VALUES (36678, 2216, 11, '错误，无法打开文件');
INSERT INTO `lang_definitions` VALUES (36679, 2217, 11, '错误，用户证书验证不在LibreEHR启用');
INSERT INTO `lang_definitions` VALUES (36680, 2218, 11, '错误。你需要安装存档/ Tar.php的PHP模块。');
INSERT INTO `lang_definitions` VALUES (36681, 2219, 11, '错误：无法打开table.sql，破碎的形式？');
INSERT INTO `lang_definitions` VALUES (36682, 2220, 11, '错误：重复的ID上线');
INSERT INTO `lang_definitions` VALUES (36683, 2221, 11, '错误：重复的名称上线');
INSERT INTO `lang_definitions` VALUES (36684, 2222, 11, '错误：场');
INSERT INTO `lang_definitions` VALUES (36685, 2223, 11, '错误：缺少ZipArchive PHP模块');
INSERT INTO `lang_definitions` VALUES (36686, 2225, 11, '错误：密码不匹配。请检查您的打字。');
INSERT INTO `lang_definitions` VALUES (36687, 2226, 11, '错误：密码不\'吨匹配。请检查您的打字。');
INSERT INTO `lang_definitions` VALUES (36688, 2227, 11, '错误：文件不存在');
INSERT INTO `lang_definitions` VALUES (36689, 2228, 11, '错误：以下变量包含无效字符');
INSERT INTO `lang_definitions` VALUES (36690, 2229, 11, '错误：无法复制的文件。');
INSERT INTO `lang_definitions` VALUES (36691, 2230, 11, '错误：无法创建下载的存档');
INSERT INTO `lang_definitions` VALUES (36692, 2231, 11, '错误：无法创建Zip存档。');
INSERT INTO `lang_definitions` VALUES (36693, 2232, 11, '错误：无法提取该文件。');
INSERT INTO `lang_definitions` VALUES (36694, 2233, 11, '错误：无法加载到数据库中的文件。');
INSERT INTO `lang_definitions` VALUES (36695, 2234, 11, '错误：无法设置版本号。');
INSERT INTO `lang_definitions` VALUES (36696, 2235, 11, '错误');
INSERT INTO `lang_definitions` VALUES (36697, 2236, 11, 'ERX帐户状态');
INSERT INTO `lang_definitions` VALUES (36698, 2237, 11, 'ERX日志');
INSERT INTO `lang_definitions` VALUES (36699, 2238, 11, '的ERX名称');
INSERT INTO `lang_definitions` VALUES (36700, 2239, 11, '的ERX密码');
INSERT INTO `lang_definitions` VALUES (36701, 2240, 11, '的ERX作用');
INSERT INTO `lang_definitions` VALUES (36702, 2241, 11, '的ERX用户');
INSERT INTO `lang_definitions` VALUES (36703, 2242, 11, '红斑：');
INSERT INTO `lang_definitions` VALUES (36704, 2245, 11, '爱斯基摩人');
INSERT INTO `lang_definitions` VALUES (36705, 2247, 11, '建立客户');
INSERT INTO `lang_definitions` VALUES (36706, 2249, 11, '种族');
INSERT INTO `lang_definitions` VALUES (36707, 2250, 11, '民族或种族');
INSERT INTO `lang_definitions` VALUES (36708, 2251, 11, '种族赛名单（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (36709, 2252, 11, '生成');
INSERT INTO `lang_definitions` VALUES (36710, 2253, 11, '事件');
INSERT INTO `lang_definitions` VALUES (36711, 2254, 11, '活动开始');
INSERT INTO `lang_definitions` VALUES (36712, 2255, 11, '事件类别');
INSERT INTO `lang_definitions` VALUES (36713, 2256, 11, '活动日期');
INSERT INTO `lang_definitions` VALUES (36714, 2257, 11, '事件描述');
INSERT INTO `lang_definitions` VALUES (36715, 2258, 11, '活动详情');
INSERT INTO `lang_definitions` VALUES (36716, 2259, 11, '事件不会重演');
INSERT INTO `lang_definitions` VALUES (36717, 2260, 11, '事件时间');
INSERT INTO `lang_definitions` VALUES (36718, 2261, 11, '活动期间在几分钟');
INSERT INTO `lang_definitions` VALUES (36719, 2262, 11, '活动费');
INSERT INTO `lang_definitions` VALUES (36720, 2263, 11, '活动地点');
INSERT INTO `lang_definitions` VALUES (36721, 2264, 11, '每一个事件重复');
INSERT INTO `lang_definitions` VALUES (36722, 2265, 11, '事件重复的');
INSERT INTO `lang_definitions` VALUES (36723, 2266, 11, '活动开始时间');
INSERT INTO `lang_definitions` VALUES (36724, 2267, 11, '活动名称');
INSERT INTO `lang_definitions` VALUES (36725, 2268, 11, '活动名称');
INSERT INTO `lang_definitions` VALUES (36726, 2269, 11, '网址');
INSERT INTO `lang_definitions` VALUES (36727, 2270, 11, '事件');
INSERT INTO `lang_definitions` VALUES (36728, 2271, 11, '事件');
INSERT INTO `lang_definitions` VALUES (36729, 2272, 11, '活动在新视窗开启');
INSERT INTO `lang_definitions` VALUES (36730, 2273, 11, '每个的');
INSERT INTO `lang_definitions` VALUES (36731, 2274, 11, '每个的');
INSERT INTO `lang_definitions` VALUES (36732, 2275, 11, '每3小时');
INSERT INTO `lang_definitions` VALUES (36733, 2276, 11, '每4小时');
INSERT INTO `lang_definitions` VALUES (36734, 2277, 11, '每5个小时');
INSERT INTO `lang_definitions` VALUES (36735, 2278, 11, '每6小时');
INSERT INTO `lang_definitions` VALUES (36736, 2279, 11, '每隔8小时');
INSERT INTO `lang_definitions` VALUES (36737, 2280, 11, '每4名');
INSERT INTO `lang_definitions` VALUES (36738, 2281, 11, '所有其他');
INSERT INTO `lang_definitions` VALUES (36739, 2282, 11, '每三');
INSERT INTO `lang_definitions` VALUES (36740, 2283, 11, '每一个，每个，每第三，等。');
INSERT INTO `lang_definitions` VALUES (36741, 2285, 11, '考试和测试结果');
INSERT INTO `lang_definitions` VALUES (36742, 2286, 11, '考试结果');
INSERT INTO `lang_definitions` VALUES (36743, 2289, 11, '考试');
INSERT INTO `lang_definitions` VALUES (36744, 2290, 11, '考试日期');
INSERT INTO `lang_definitions` VALUES (36745, 2291, 11, '例子');
INSERT INTO `lang_definitions` VALUES (36746, 2292, 11, '举例');
INSERT INTO `lang_definitions` VALUES (36747, 2293, 11, '考试/考试');
INSERT INTO `lang_definitions` VALUES (36748, 2294, 11, '除');
INSERT INTO `lang_definitions` VALUES (36749, 2295, 11, '过多的流泪');
INSERT INTO `lang_definitions` VALUES (36750, 2296, 11, '排除患者');
INSERT INTO `lang_definitions` VALUES (36751, 2297, 11, '排除');
INSERT INTO `lang_definitions` VALUES (36752, 2298, 11, '独家服务人员组织（EPO）');
INSERT INTO `lang_definitions` VALUES (36753, 2299, 11, '执行纸张尺寸');
INSERT INTO `lang_definitions` VALUES (36754, 2300, 11, '行使');
INSERT INTO `lang_definitions` VALUES (36755, 2301, 11, '运动模式');
INSERT INTO `lang_definitions` VALUES (36756, 2302, 11, '运动模式');
INSERT INTO `lang_definitions` VALUES (36757, 2303, 11, '存在');
INSERT INTO `lang_definitions` VALUES (36758, 2304, 11, '管理退出');
INSERT INTO `lang_definitions` VALUES (36759, 2305, 11, '进出口');
INSERT INTO `lang_definitions` VALUES (36760, 2306, 11, '扩大');
INSERT INTO `lang_definitions` VALUES (36761, 2307, 11, '扩大');
INSERT INTO `lang_definitions` VALUES (36762, 2308, 11, '全部展开');
INSERT INTO `lang_definitions` VALUES (36763, 2311, 11, '扩展视图');
INSERT INTO `lang_definitions` VALUES (36764, 2312, 11, '预计form_encounter.pid是 ');
INSERT INTO `lang_definitions` VALUES (36765, 2313, 11, '过期');
INSERT INTO `lang_definitions` VALUES (36766, 2314, 11, '截止日期');
INSERT INTO `lang_definitions` VALUES (36767, 2315, 11, '过期');
INSERT INTO `lang_definitions` VALUES (36768, 2316, 11, '到期');
INSERT INTO `lang_definitions` VALUES (36769, 2317, 11, '出口');
INSERT INTO `lang_definitions` VALUES (36770, 2318, 11, '导出为CSV');
INSERT INTO `lang_definitions` VALUES (36771, 2319, 11, '导出配置');
INSERT INTO `lang_definitions` VALUES (36772, 2322, 11, '导出客户的人口统计资料');
INSERT INTO `lang_definitions` VALUES (36773, 2323, 11, '出口PQRI报告');
INSERT INTO `lang_definitions` VALUES (36774, 2325, 11, '出口为CSV选择');
INSERT INTO `lang_definitions` VALUES (36775, 2326, 11, '导出选定的集合');
INSERT INTO `lang_definitions` VALUES (36776, 2327, 11, '导出到CSV');
INSERT INTO `lang_definitions` VALUES (36777, 2328, 11, '导出到外部计费系统');
INSERT INTO `lang_definitions` VALUES (36778, 2329, 11, '暴露于国外');
INSERT INTO `lang_definitions` VALUES (36779, 2330, 11, '暴露到国外');
INSERT INTO `lang_definitions` VALUES (36780, 2331, 11, '分机时收取');
INSERT INTO `lang_definitions` VALUES (36781, 2332, 11, '外部');
INSERT INTO `lang_definitions` VALUES (36782, 2336, 11, '外部ID');
INSERT INTO `lang_definitions` VALUES (36783, 2337, 11, '外部ID');
INSERT INTO `lang_definitions` VALUES (36784, 2338, 11, '外部标识符');
INSERT INTO `lang_definitions` VALUES (36785, 2339, 11, '外部仅');
INSERT INTO `lang_definitions` VALUES (36786, 2342, 11, '对外推介');
INSERT INTO `lang_definitions` VALUES (36787, 2343, 11, '对外推介Followups');
INSERT INTO `lang_definitions` VALUES (36788, 2344, 11, '外部转介？');
INSERT INTO `lang_definitions` VALUES (36789, 2345, 11, '对外推介');
INSERT INTO `lang_definitions` VALUES (36790, 2346, 11, '解压zip文件');
INSERT INTO `lang_definitions` VALUES (36791, 2347, 11, '提取该文件。这将花费一些时间...');
INSERT INTO `lang_definitions` VALUES (36792, 2348, 11, '分泌物：');
INSERT INTO `lang_definitions` VALUES (36793, 2349, 11, '眼刺痛');
INSERT INTO `lang_definitions` VALUES (36794, 2350, 11, '眼睛疼痛');
INSERT INTO `lang_definitions` VALUES (36795, 2351, 11, '眼睛发红');
INSERT INTO `lang_definitions` VALUES (36796, 2352, 11, '双眼');
INSERT INTO `lang_definitions` VALUES (36797, 2353, 11, 'F');
INSERT INTO `lang_definitions` VALUES (36798, 2354, 11, 'F / H级的血液问题');
INSERT INTO `lang_definitions` VALUES (36799, 2355, 11, 'F / H级女性多毛症/皮纹');
INSERT INTO `lang_definitions` VALUES (36800, 2356, 11, '设备');
INSERT INTO `lang_definitions` VALUES (36801, 2357, 11, '设施');
INSERT INTO `lang_definitions` VALUES (36802, 2358, 11, '设施');
INSERT INTO `lang_definitions` VALUES (36803, 2359, 11, '基金管理');
INSERT INTO `lang_definitions` VALUES (36804, 2360, 11, '基金市');
INSERT INTO `lang_definitions` VALUES (36805, 2361, 11, '设备代码');
INSERT INTO `lang_definitions` VALUES (36806, 2362, 11, '设施的国家代码');
INSERT INTO `lang_definitions` VALUES (36807, 2363, 11, '设施传真');
INSERT INTO `lang_definitions` VALUES (36808, 2364, 11, '设施名称');
INSERT INTO `lang_definitions` VALUES (36809, 2365, 11, '基金的非营利机构');
INSERT INTO `lang_definitions` VALUES (36810, 2366, 11, '工厂电话');
INSERT INTO `lang_definitions` VALUES (36811, 2368, 11, '基金国');
INSERT INTO `lang_definitions` VALUES (36812, 2369, 11, '工厂街');
INSERT INTO `lang_definitions` VALUES (36813, 2370, 11, '基金邮编');
INSERT INTO `lang_definitions` VALUES (36814, 2372, 11, '设施：');
INSERT INTO `lang_definitions` VALUES (36815, 2373, 11, '失败');
INSERT INTO `lang_definitions` VALUES (36816, 2374, 11, '失败');
INSERT INTO `lang_definitions` VALUES (36817, 2375, 11, '失败');
INSERT INTO `lang_definitions` VALUES (36818, 2383, 11, '失败');
INSERT INTO `lang_definitions` VALUES (36819, 2390, 11, '家族史');
INSERT INTO `lang_definitions` VALUES (36820, 2391, 11, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (36821, 2392, 11, '家族病史：');
INSERT INTO `lang_definitions` VALUES (36822, 2394, 11, '家庭补助金');
INSERT INTO `lang_definitions` VALUES (36823, 2395, 11, '家庭规模');
INSERT INTO `lang_definitions` VALUES (36824, 2396, 11, '花式');
INSERT INTO `lang_definitions` VALUES (36825, 2398, 11, '波斯语');
INSERT INTO `lang_definitions` VALUES (36826, 2400, 11, '父亲');
INSERT INTO `lang_definitions` VALUES (36827, 2402, 11, '疲惫');
INSERT INTO `lang_definitions` VALUES (36828, 2403, 11, '疲惫');
INSERT INTO `lang_definitions` VALUES (36829, 2404, 11, '传真');
INSERT INTO `lang_definitions` VALUES (36830, 2405, 11, '传真计数');
INSERT INTO `lang_definitions` VALUES (36831, 2406, 11, '传真号码');
INSERT INTO `lang_definitions` VALUES (36832, 2408, 11, '传真/扫描');
INSERT INTO `lang_definitions` VALUES (36833, 2409, 11, '传真在');
INSERT INTO `lang_definitions` VALUES (36834, 2410, 11, '传真输出');
INSERT INTO `lang_definitions` VALUES (36835, 2411, 11, '特点');
INSERT INTO `lang_definitions` VALUES (36836, 2412, 11, '二月');
INSERT INTO `lang_definitions` VALUES (36837, 2413, 11, '二月');
INSERT INTO `lang_definitions` VALUES (36838, 2414, 11, 'FECA');
INSERT INTO `lang_definitions` VALUES (36839, 2415, 11, '联邦药品编号');
INSERT INTO `lang_definitions` VALUES (36840, 2416, 11, '联邦艾因');
INSERT INTO `lang_definitions` VALUES (36841, 2417, 11, '联邦税务ID');
INSERT INTO `lang_definitions` VALUES (36842, 2418, 11, '费用');
INSERT INTO `lang_definitions` VALUES (36843, 2419, 11, '费用');
INSERT INTO `lang_definitions` VALUES (36844, 2420, 11, '不允许使用的费用');
INSERT INTO `lang_definitions` VALUES (36845, 2421, 11, '收费表');
INSERT INTO `lang_definitions` VALUES (36846, 2422, 11, '费用表选项');
INSERT INTO `lang_definitions` VALUES (36847, 2423, 11, '费用');
INSERT INTO `lang_definitions` VALUES (36848, 2424, 11, '女性');
INSERT INTO `lang_definitions` VALUES (36849, 2425, 11, '女性怀孕');
INSERT INTO `lang_definitions` VALUES (36850, 2426, 11, '女用避孕套');
INSERT INTO `lang_definitions` VALUES (36851, 2427, 11, '女性G');
INSERT INTO `lang_definitions` VALUES (36852, 2428, 11, '女性LC');
INSERT INTO `lang_definitions` VALUES (36853, 2429, 11, '女性P级');
INSERT INTO `lang_definitions` VALUES (36854, 2430, 11, '女性症状');
INSERT INTO `lang_definitions` VALUES (36855, 2431, 11, '女性VSC');
INSERT INTO `lang_definitions` VALUES (36856, 2434, 11, '发烧：');
INSERT INTO `lang_definitions` VALUES (36857, 2435, 11, '发烧：');
INSERT INTO `lang_definitions` VALUES (36858, 2436, 11, '家族性高胆固醇血症血液问题');
INSERT INTO `lang_definitions` VALUES (36859, 2437, 11, '子宫肌瘤');
INSERT INTO `lang_definitions` VALUES (36860, 2441, 11, '在国家户口资料中单位或用户使用的字段类型');
INSERT INTO `lang_definitions` VALUES (36861, 2442, 11, '在省统计学中单位或用户使用的字段类型');
INSERT INTO `lang_definitions` VALUES (36862, 2443, 11, '字段（S）丢失！');
INSERT INTO `lang_definitions` VALUES (36863, 2447, 11, '档案');
INSERT INTO `lang_definitions` VALUES (36864, 2448, 11, '在“文档”目录中的档案，用来了解如何创建日志过程自动化');
INSERT INTO `lang_definitions` VALUES (36865, 2449, 11, '档案位置');
INSERT INTO `lang_definitions` VALUES (36866, 2450, 11, '档案处理');
INSERT INTO `lang_definitions` VALUES (36867, 2453, 11, '档案授权给LibreEHR用户');
INSERT INTO `lang_definitions` VALUES (36868, 2455, 11, '档案室');
INSERT INTO `lang_definitions` VALUES (36869, 2456, 11, '上传档案');
INSERT INTO `lang_definitions` VALUES (36870, 2458, 11, '具有相同名称的档案已经存在于：');
INSERT INTO `lang_definitions` VALUES (36871, 2459, 11, '档案名称');
INSERT INTO `lang_definitions` VALUES (36872, 2461, 11, '档案');
INSERT INTO `lang_definitions` VALUES (36873, 2462, 11, '菲律宾');
INSERT INTO `lang_definitions` VALUES (36874, 2463, 11, '填写以下所有');
INSERT INTO `lang_definitions` VALUES (36875, 2464, 11, '只有在这里填写发送电子邮件通知患者');
INSERT INTO `lang_definitions` VALUES (36876, 2465, 11, '填写以下内容');
INSERT INTO `lang_definitions` VALUES (36877, 2467, 11, '填写这一行');
INSERT INTO `lang_definitions` VALUES (36878, 2468, 11, '过滤器');
INSERT INTO `lang_definitions` VALUES (36879, 2469, 11, '过滤常量');
INSERT INTO `lang_definitions` VALUES (36880, 2470, 11, '过滤的定义');
INSERT INTO `lang_definitions` VALUES (36881, 2472, 11, '过滤器');
INSERT INTO `lang_definitions` VALUES (36882, 2473, 11, '过滤器');
INSERT INTO `lang_definitions` VALUES (36883, 2474, 11, '最后');
INSERT INTO `lang_definitions` VALUES (36884, 2475, 11, '最后诊断');
INSERT INTO `lang_definitions` VALUES (36885, 2476, 11, '最后诊断专家');
INSERT INTO `lang_definitions` VALUES (36886, 2478, 11, '财务');
INSERT INTO `lang_definitions` VALUES (36887, 2479, 11, '财务计算日期（年-月-日）');
INSERT INTO `lang_definitions` VALUES (36888, 2480, 11, '财务报告-所有');
INSERT INTO `lang_definitions` VALUES (36889, 2481, 11, '财务报告-我的治疗');
INSERT INTO `lang_definitions` VALUES (36890, 2482, 11, '财务审查日期');
INSERT INTO `lang_definitions` VALUES (36891, 2484, 11, '查找');
INSERT INTO `lang_definitions` VALUES (36892, 2485, 11, '寻找可用');
INSERT INTO `lang_definitions` VALUES (36893, 2486, 11, '寻找可用的任命');
INSERT INTO `lang_definitions` VALUES (36894, 2487, 11, '发现客户');
INSERT INTO `lang_definitions` VALUES (36895, 2488, 11, '查找客户教育资源');
INSERT INTO `lang_definitions` VALUES (36896, 2489, 11, '调查结果');
INSERT INTO `lang_definitions` VALUES (36897, 2490, 11, '专家诊断');
INSERT INTO `lang_definitions` VALUES (36898, 2491, 11, '罚款');
INSERT INTO `lang_definitions` VALUES (36899, 2492, 11, '完成付款');
INSERT INTO `lang_definitions` VALUES (36900, 2495, 11, '首先');
INSERT INTO `lang_definitions` VALUES (36901, 2497, 11, '一周的第一天');
INSERT INTO `lang_definitions` VALUES (36902, 2498, 11, '名字');
INSERT INTO `lang_definitions` VALUES (36903, 2499, 11, '名字');
INSERT INTO `lang_definitions` VALUES (36904, 2500, 11, '名字');
INSERT INTO `lang_definitions` VALUES (36905, 2503, 11, '健身');
INSERT INTO `lang_definitions` VALUES (36906, 2504, 11, '健身等级');
INSERT INTO `lang_definitions` VALUES (36907, 2505, 11, '这个球员在这一天的健身水平');
INSERT INTO `lang_definitions` VALUES (36908, 2507, 11, '健身游戏');
INSERT INTO `lang_definitions` VALUES (36909, 2508, 11, '解决治疗的日期 – 所有治疗');
INSERT INTO `lang_definitions` VALUES (36910, 2509, 11, '解决这个问题');
INSERT INTO `lang_definitions` VALUES (36911, 2510, 11, '福罗里达州');
INSERT INTO `lang_definitions` VALUES (36912, 2511, 11, '胀气');
INSERT INTO `lang_definitions` VALUES (36913, 2512, 11, '流量');
INSERT INTO `lang_definitions` VALUES (36914, 2514, 11, '流感季节');
INSERT INTO `lang_definitions` VALUES (36915, 2515, 11, '流感季节');
INSERT INTO `lang_definitions` VALUES (36916, 2516, 11, '接种流感疫苗');
INSERT INTO `lang_definitions` VALUES (36917, 2517, 11, '液体和电解质的问题');
INSERT INTO `lang_definitions` VALUES (36918, 2518, 11, '柔性制造系统');
INSERT INTO `lang_definitions` VALUES (36919, 2519, 11, '开纸大小');
INSERT INTO `lang_definitions` VALUES (36920, 2520, 11, '后续手动');
INSERT INTO `lang_definitions` VALUES (36921, 2522, 11, '追踪');
INSERT INTO `lang_definitions` VALUES (36922, 2524, 11, '追踪理由');
INSERT INTO `lang_definitions` VALUES (36923, 2525, 11, '下一个新的自定义常数');
INSERT INTO `lang_definitions` VALUES (36924, 2526, 11, '下一个新的自定义语言');
INSERT INTO `lang_definitions` VALUES (36925, 2527, 11, '以下是一个新的定义（语言，常数，定义）：');
INSERT INTO `lang_definitions` VALUES (36926, 2529, 11, '后续服务');
INSERT INTO `lang_definitions` VALUES (36927, 2530, 11, '追踪指示');
INSERT INTO `lang_definitions` VALUES (36928, 2531, 11, '偏食症');
INSERT INTO `lang_definitions` VALUES (36929, 2532, 11, '脚');
INSERT INTO `lang_definitions` VALUES (36930, 2533, 11, '足部问题');
INSERT INTO `lang_definitions` VALUES (36931, 2534, 11, '步行：');
INSERT INTO `lang_definitions` VALUES (36932, 2535, 11, '足球伤害');
INSERT INTO `lang_definitions` VALUES (36933, 2537, 11, '足球损伤报告');
INSERT INTO `lang_definitions` VALUES (36934, 2538, 11, '鞋型');
INSERT INTO `lang_definitions` VALUES (36935, 2539, 11, '针对');
INSERT INTO `lang_definitions` VALUES (36936, 2540, 11, '针对');
INSERT INTO `lang_definitions` VALUES (36937, 2541, 11, '针对编码');
INSERT INTO `lang_definitions` VALUES (36938, 2543, 11, '针对治疗索赔');
INSERT INTO `lang_definitions` VALUES (36939, 2544, 11, '例如');
INSERT INTO `lang_definitions` VALUES (36940, 2547, 11, '发票');
INSERT INTO `lang_definitions` VALUES (36941, 2548, 11, '医疗保险只，力指服务人员是一样的渲染服务人员。');
INSERT INTO `lang_definitions` VALUES (36942, 2552, 11, '所提的组织/执业');
INSERT INTO `lang_definitions` VALUES (36943, 2553, 11, '在过去的');
INSERT INTO `lang_definitions` VALUES (36944, 2554, 11, '可变的');
INSERT INTO `lang_definitions` VALUES (36945, 2555, 11, '针对：');
INSERT INTO `lang_definitions` VALUES (36946, 2556, 11, '计费部件打开');
INSERT INTO `lang_definitions` VALUES (36947, 2557, 11, '创建新的客户');
INSERT INTO `lang_definitions` VALUES (36948, 2559, 11, '前臂');
INSERT INTO `lang_definitions` VALUES (36949, 2560, 11, '表格');
INSERT INTO `lang_definitions` VALUES (36950, 2561, 11, '表格');
INSERT INTO `lang_definitions` VALUES (36951, 2564, 11, '格式');
INSERT INTO `lang_definitions` VALUES (36952, 2565, 11, '格式');
INSERT INTO `lang_definitions` VALUES (36953, 2567, 11, '格式不正确的伴侣');
INSERT INTO `lang_definitions` VALUES (36954, 2568, 11, '使用的格式显示日期。');
INSERT INTO `lang_definitions` VALUES (36955, 2569, 11, '格式用于显示的次数最多。');
INSERT INTO `lang_definitions` VALUES (36956, 2570, 11, '格式报告');
INSERT INTO `lang_definitions` VALUES (36957, 2571, 11, '曾吸烟者');
INSERT INTO `lang_definitions` VALUES (36958, 2572, 11, '形式');
INSERT INTO `lang_definitions` VALUES (36959, 2573, 11, '形式管理');
INSERT INTO `lang_definitions` VALUES (36960, 2575, 11, '当前');
INSERT INTO `lang_definitions` VALUES (36961, 2576, 11, '前页传真');
INSERT INTO `lang_definitions` VALUES (36962, 2577, 11, '转发');
INSERT INTO `lang_definitions` VALUES (36963, 2579, 11, '第四次');
INSERT INTO `lang_definitions` VALUES (36964, 2581, 11, '骨折');
INSERT INTO `lang_definitions` VALUES (36965, 2582, 11, '骨折在舟');
INSERT INTO `lang_definitions` VALUES (36966, 2583, 11, '外踝骨折');
INSERT INTO `lang_definitions` VALUES (36967, 2584, 11, '内踝骨折');
INSERT INTO `lang_definitions` VALUES (36968, 2585, 11, '骨折，第五跖骨基地（第五）');
INSERT INTO `lang_definitions` VALUES (36969, 2587, 11, '法文');
INSERT INTO `lang_definitions` VALUES (36970, 2588, 11, '法文（加拿大）');
INSERT INTO `lang_definitions` VALUES (36971, 2589, 11, '法文（标准）');
INSERT INTO `lang_definitions` VALUES (36972, 2590, 11, '频率');
INSERT INTO `lang_definitions` VALUES (36973, 2591, 11, '频发性感冒');
INSERT INTO `lang_definitions` VALUES (36974, 2592, 11, '频发性疾病');
INSERT INTO `lang_definitions` VALUES (36975, 2593, 11, '周五');
INSERT INTO `lang_definitions` VALUES (36976, 2594, 11, '周五');
INSERT INTO `lang_definitions` VALUES (36977, 2595, 11, '从');
INSERT INTO `lang_definitions` VALUES (36978, 2596, 11, '从');
INSERT INTO `lang_definitions` VALUES (36979, 2597, 11, '从');
INSERT INTO `lang_definitions` VALUES (36980, 2598, 11, '开始日期不能大于日期。');
INSERT INTO `lang_definitions` VALUES (36981, 2599, 11, '来自：');
INSERT INTO `lang_definitions` VALUES (36982, 2600, 11, '来自： ');
INSERT INTO `lang_definitions` VALUES (36983, 2601, 11, '来自-城市');
INSERT INTO `lang_definitions` VALUES (36984, 2603, 11, '来自-名字');
INSERT INTO `lang_definitions` VALUES (36985, 2604, 11, '来自-姓氏');
INSERT INTO `lang_definitions` VALUES (36986, 2605, 11, '来自-中间名称');
INSERT INTO `lang_definitions` VALUES (36987, 2607, 11, '来自-电话');
INSERT INTO `lang_definitions` VALUES (36988, 2608, 11, '来自-邮编');
INSERT INTO `lang_definitions` VALUES (36989, 2609, 11, '来自-省');
INSERT INTO `lang_definitions` VALUES (36990, 2610, 11, '来自-街道');
INSERT INTO `lang_definitions` VALUES (36991, 2611, 11, '来自-标题');
INSERT INTO `lang_definitions` VALUES (36992, 2612, 11, '来自-告别');
INSERT INTO `lang_definitions` VALUES (36993, 2613, 11, '前台');
INSERT INTO `lang_definitions` VALUES (36994, 2614, 11, '前台收款');
INSERT INTO `lang_definitions` VALUES (36995, 2615, 11, '前台收款报表');
INSERT INTO `lang_definitions` VALUES (36996, 2616, 11, '接待记录');
INSERT INTO `lang_definitions` VALUES (36997, 2617, 11, '正面右：');
INSERT INTO `lang_definitions` VALUES (36998, 2619, 11, '全名');
INSERT INTO `lang_definitions` VALUES (36999, 2620, 11, '包含MySQL的全路径的可执行文件目录。');
INSERT INTO `lang_definitions` VALUES (37000, 2621, 11, '包含Perl的全路径的可执行文件目录。');
INSERT INTO `lang_definitions` VALUES (37001, 2622, 11, '完整的目录路径为事件日志备份。');
INSERT INTO `lang_definitions` VALUES (37002, 2623, 11, '全路径用于临时文件目录。');
INSERT INTO `lang_definitions` VALUES (37003, 2624, 11, '充分发挥');
INSERT INTO `lang_definitions` VALUES (37004, 2625, 11, '训练');
INSERT INTO `lang_definitions` VALUES (37005, 2626, 11, '全额支付');
INSERT INTO `lang_definitions` VALUES (37006, 2633, 11, 'G');
INSERT INTO `lang_definitions` VALUES (37007, 2634, 11, 'G/DL');
INSERT INTO `lang_definitions` VALUES (37008, 2636, 11, '胆囊条件');
INSERT INTO `lang_definitions` VALUES (37009, 2637, 11, '胆结石');
INSERT INTO `lang_definitions` VALUES (37010, 2638, 11, '运动时间');
INSERT INTO `lang_definitions` VALUES (37011, 2639, 11, '运动会');
INSERT INTO `lang_definitions` VALUES (37012, 2640, 11, '错过');
INSERT INTO `lang_definitions` VALUES (37013, 2641, 11, '运动/事件');
INSERT INTO `lang_definitions` VALUES (37014, 2642, 11, '运动/活动漏诊');
INSERT INTO `lang_definitions` VALUES (37015, 2644, 11, '胃炎');
INSERT INTO `lang_definitions` VALUES (37016, 2645, 11, '胃疼');
INSERT INTO `lang_definitions` VALUES (37017, 2646, 11, '胃肠道');
INSERT INTO `lang_definitions` VALUES (37018, 2647, 11, 'GCAC统计报告');
INSERT INTO `lang_definitions` VALUES (37019, 2648, 11, 'GCAC统计');
INSERT INTO `lang_definitions` VALUES (37020, 2649, 11, 'GCAC门诊形式丢失');
INSERT INTO `lang_definitions` VALUES (37021, 2650, 11, '性别');
INSERT INTO `lang_definitions` VALUES (37022, 2651, 11, '性别 ');
INSERT INTO `lang_definitions` VALUES (37023, 2652, 11, '一般');
INSERT INTO `lang_definitions` VALUES (37024, 2655, 11, '一般事务类');
INSERT INTO `lang_definitions` VALUES (37025, 2657, 11, '生成和下载CMS 1500文件要求');
INSERT INTO `lang_definitions` VALUES (37026, 2658, 11, '生成和下载HCFA 1500年书面索赔');
INSERT INTO `lang_definitions` VALUES (37027, 2659, 11, '生成并下载X12批次');
INSERT INTO `lang_definitions` VALUES (37028, 2660, 11, '产生和下载x 12治疗索赔一批');
INSERT INTO `lang_definitions` VALUES (37029, 2663, 11, '生成和传输允许电子处方。');
INSERT INTO `lang_definitions` VALUES (37030, 2664, 11, '生成CMS 1500');
INSERT INTO `lang_definitions` VALUES (37031, 2665, 11, '生成CMS 1500PDF');
INSERT INTO `lang_definitions` VALUES (37032, 2666, 11, '生成CMS 1500文本');
INSERT INTO `lang_definitions` VALUES (37033, 2667, 11, '生成HCFA');
INSERT INTO `lang_definitions` VALUES (37034, 2669, 11, '生成信件');
INSERT INTO `lang_definitions` VALUES (37035, 2670, 11, '产生来信 ');
INSERT INTO `lang_definitions` VALUES (37036, 2671, 11, '产生PQRI报告（方法A）');
INSERT INTO `lang_definitions` VALUES (37037, 2673, 11, '产生PQRI报告（方法E）');
INSERT INTO `lang_definitions` VALUES (37038, 2677, 11, '生成报告');
INSERT INTO `lang_definitions` VALUES (37039, 2678, 11, '生成的用户名和密码');
INSERT INTO `lang_definitions` VALUES (37040, 2679, 11, '生成X12');
INSERT INTO `lang_definitions` VALUES (37041, 2680, 11, '生成X12治疗');
INSERT INTO `lang_definitions` VALUES (37042, 2682, 11, '产生');
INSERT INTO `lang_definitions` VALUES (37043, 2683, 11, '生成');
INSERT INTO `lang_definitions` VALUES (37044, 2684, 11, '泌尿生殖');
INSERT INTO `lang_definitions` VALUES (37045, 2687, 11, '德语');
INSERT INTO `lang_definitions` VALUES (37046, 2691, 11, '获得HL7');
INSERT INTO `lang_definitions` VALUES (37047, 2692, 11, '青光眼');
INSERT INTO `lang_definitions` VALUES (37048, 2693, 11, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (37049, 2694, 11, '全局');
INSERT INTO `lang_definitions` VALUES (37050, 2696, 11, '全局编号');
INSERT INTO `lang_definitions` VALUES (37051, 2697, 11, '全局设置');
INSERT INTO `lang_definitions` VALUES (37052, 2698, 11, '全局');
INSERT INTO `lang_definitions` VALUES (37053, 2699, 11, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (37054, 2700, 11, '离去');
INSERT INTO `lang_definitions` VALUES (37055, 2701, 11, '离去');
INSERT INTO `lang_definitions` VALUES (37056, 2704, 11, '到');
INSERT INTO `lang_definitions` VALUES (37057, 2705, 11, '转到周');
INSERT INTO `lang_definitions` VALUES (37058, 2706, 11, '今天去');
INSERT INTO `lang_definitions` VALUES (37059, 2711, 11, '外伤等级');
INSERT INTO `lang_definitions` VALUES (37060, 2712, 11, '等级：');
INSERT INTO `lang_definitions` VALUES (37061, 2713, 11, '克');
INSERT INTO `lang_definitions` VALUES (37062, 2714, 11, '总计');
INSERT INTO `lang_definitions` VALUES (37063, 2715, 11, '总计');
INSERT INTO `lang_definitions` VALUES (37064, 2718, 11, '图标');
INSERT INTO `lang_definitions` VALUES (37065, 2720, 11, '大于');
INSERT INTO `lang_definitions` VALUES (37066, 2721, 11, '大于或等于');
INSERT INTO `lang_definitions` VALUES (37067, 2722, 11, '希腊语');
INSERT INTO `lang_definitions` VALUES (37068, 2724, 11, '团体');
INSERT INTO `lang_definitions` VALUES (37069, 2725, 11, '团体名');
INSERT INTO `lang_definitions` VALUES (37070, 2726, 11, '团体名不能是空白的');
INSERT INTO `lang_definitions` VALUES (37071, 2727, 11, '团体名不能以数字或空格开始。');
INSERT INTO `lang_definitions` VALUES (37072, 2728, 11, '团体名不能以数字开始。');
INSERT INTO `lang_definitions` VALUES (37073, 2729, 11, '团体号码');
INSERT INTO `lang_definitions` VALUES (37074, 2730, 11, '团体付款');
INSERT INTO `lang_definitions` VALUES (37075, 2731, 11, '组：');
INSERT INTO `lang_definitions` VALUES (37076, 2732, 11, '群组');
INSERT INTO `lang_definitions` VALUES (37077, 2733, 11, '团体和门诊控制');
INSERT INTO `lang_definitions` VALUES (37078, 2734, 11, '生长图表');
INSERT INTO `lang_definitions` VALUES (37079, 2735, 11, '生长-图表');
INSERT INTO `lang_definitions` VALUES (37080, 2736, 11, '糖耐量（滴）');
INSERT INTO `lang_definitions` VALUES (37081, 2737, 11, '监护人');
INSERT INTO `lang_definitions` VALUES (37082, 2739, 11, '监护人姓名');
INSERT INTO `lang_definitions` VALUES (37083, 2741, 11, '妇科考试');
INSERT INTO `lang_definitions` VALUES (37084, 2742, 11, 'h');
INSERT INTO `lang_definitions` VALUES (37085, 2743, 11, 'h.s.');
INSERT INTO `lang_definitions` VALUES (37086, 2744, 11, 'H/O肝炎');
INSERT INTO `lang_definitions` VALUES (37087, 2745, 11, '已成功删除。如果存在任何分类别被移到下面');
INSERT INTO `lang_definitions` VALUES (37088, 2746, 11, '血肿/瘀伤');
INSERT INTO `lang_definitions` VALUES (37089, 2747, 11, 'HAI状态');
INSERT INTO `lang_definitions` VALUES (37090, 2750, 11, '手+手指');
INSERT INTO `lang_definitions` VALUES (37091, 2751, 11, '手部问题');
INSERT INTO `lang_definitions` VALUES (37092, 2753, 11, '艰难W / O型');
INSERT INTO `lang_definitions` VALUES (37093, 2754, 11, '已链接门诊');
INSERT INTO `lang_definitions` VALUES (37094, 2755, 11, '已过期');
INSERT INTO `lang_definitions` VALUES (37095, 2756, 11, '拼凑');
INSERT INTO `lang_definitions` VALUES (37096, 2757, 11, '不存在此文件的散列。生成新的哈希。');
INSERT INTO `lang_definitions` VALUES (37097, 2758, 11, '哈希不匹配。数据的完整性受到损害。');
INSERT INTO `lang_definitions` VALUES (37098, 2760, 11, '夏威夷语');
INSERT INTO `lang_definitions` VALUES (37099, 2761, 11, '危险活动');
INSERT INTO `lang_definitions` VALUES (37100, 2762, 11, '危险活动');
INSERT INTO `lang_definitions` VALUES (37101, 2763, 11, 'HCFA左边源点');
INSERT INTO `lang_definitions` VALUES (37102, 2764, 11, 'HCFA保证金');
INSERT INTO `lang_definitions` VALUES (37103, 2765, 11, 'HCFA顶部源点');
INSERT INTO `lang_definitions` VALUES (37104, 2767, 11, '他发布日历 ');
INSERT INTO `lang_definitions` VALUES (37105, 2768, 11, '头');
INSERT INTO `lang_definitions` VALUES (37106, 2769, 11, '头围');
INSERT INTO `lang_definitions` VALUES (37107, 2770, 11, '头围');
INSERT INTO `lang_definitions` VALUES (37108, 2771, 11, '头痛');
INSERT INTO `lang_definitions` VALUES (37109, 2772, 11, '头痛');
INSERT INTO `lang_definitions` VALUES (37110, 2773, 11, '卫生保健');
INSERT INTO `lang_definitions` VALUES (37111, 2774, 11, '卫生保健');
INSERT INTO `lang_definitions` VALUES (37112, 2775, 11, '健康中心/诊所');
INSERT INTO `lang_definitions` VALUES (37113, 2776, 11, '健康维护组织');
INSERT INTO `lang_definitions` VALUES (37114, 2777, 11, '健康维护组织（健保组织）医疗风险');
INSERT INTO `lang_definitions` VALUES (37115, 2778, 11, '听力损耗');
INSERT INTO `lang_definitions` VALUES (37116, 2779, 11, '心脏病发作');
INSERT INTO `lang_definitions` VALUES (37117, 2780, 11, '心脏病');
INSERT INTO `lang_definitions` VALUES (37118, 2781, 11, '心力衰竭');
INSERT INTO `lang_definitions` VALUES (37119, 2782, 11, '心脏问题');
INSERT INTO `lang_definitions` VALUES (37120, 2783, 11, '心脏问题');
INSERT INTO `lang_definitions` VALUES (37121, 2784, 11, '心脏手术');
INSERT INTO `lang_definitions` VALUES (37122, 2785, 11, '心脏移植');
INSERT INTO `lang_definitions` VALUES (37123, 2786, 11, '心：');
INSERT INTO `lang_definitions` VALUES (37124, 2787, 11, '心痛');
INSERT INTO `lang_definitions` VALUES (37125, 2788, 11, '热或冷');
INSERT INTO `lang_definitions` VALUES (37126, 2789, 11, '热或冷');
INSERT INTO `lang_definitions` VALUES (37127, 2791, 11, '希伯来语');
INSERT INTO `lang_definitions` VALUES (37128, 2793, 11, '头眼耳鼻喉');
INSERT INTO `lang_definitions` VALUES (37129, 2794, 11, '身高');
INSERT INTO `lang_definitions` VALUES (37130, 2796, 11, '帮助');
INSERT INTO `lang_definitions` VALUES (37131, 2797, 11, '帮助');
INSERT INTO `lang_definitions` VALUES (37132, 2798, 11, '吐血');
INSERT INTO `lang_definitions` VALUES (37133, 2799, 11, '便血');
INSERT INTO `lang_definitions` VALUES (37134, 2800, 11, '血液学');
INSERT INTO `lang_definitions` VALUES (37135, 2801, 11, '血尿');
INSERT INTO `lang_definitions` VALUES (37136, 2802, 11, '血红蛋白');
INSERT INTO `lang_definitions` VALUES (37137, 2803, 11, '糖化血红蛋白');
INSERT INTO `lang_definitions` VALUES (37138, 2804, 11, '咳血');
INSERT INTO `lang_definitions` VALUES (37139, 2805, 11, '肝炎');
INSERT INTO `lang_definitions` VALUES (37140, 2806, 11, 'A型肝炎1');
INSERT INTO `lang_definitions` VALUES (37141, 2807, 11, 'A型肝炎2');
INSERT INTO `lang_definitions` VALUES (37142, 2808, 11, 'B型肝炎1');
INSERT INTO `lang_definitions` VALUES (37143, 2809, 11, 'B型肝炎2');
INSERT INTO `lang_definitions` VALUES (37144, 2810, 11, 'B型肝炎3');
INSERT INTO `lang_definitions` VALUES (37145, 2811, 11, '这里');
INSERT INTO `lang_definitions` VALUES (37146, 2813, 11, '疝修补术');
INSERT INTO `lang_definitions` VALUES (37147, 2814, 11, '腰椎间盘突出');
INSERT INTO `lang_definitions` VALUES (37148, 2815, 11, '疱疹');
INSERT INTO `lang_definitions` VALUES (37149, 2816, 11, '迟疑');
INSERT INTO `lang_definitions` VALUES (37150, 2817, 11, 'heyyo 。你在这里 ');
INSERT INTO `lang_definitions` VALUES (37151, 2818, 11, 'B型流感嗜血杆菌结合疫苗 1');
INSERT INTO `lang_definitions` VALUES (37152, 2819, 11, 'B型流感嗜血杆菌结合疫苗 2');
INSERT INTO `lang_definitions` VALUES (37153, 2820, 11, 'B型流感嗜血杆菌结合疫苗 3');
INSERT INTO `lang_definitions` VALUES (37154, 2821, 11, 'B型流感嗜血杆菌结合疫苗 4');
INSERT INTO `lang_definitions` VALUES (37155, 2822, 11, '隐藏');
INSERT INTO `lang_definitions` VALUES (37156, 2823, 11, '隐藏活动管理');
INSERT INTO `lang_definitions` VALUES (37157, 2824, 11, '隐藏');
INSERT INTO `lang_definitions` VALUES (37158, 2825, 11, '隐藏详细信息');
INSERT INTO `lang_definitions` VALUES (37159, 2827, 11, '隐藏加密/解密方案文件管理');
INSERT INTO `lang_definitions` VALUES (37160, 2828, 11, '隐藏菜单');
INSERT INTO `lang_definitions` VALUES (37161, 2830, 11, '隐藏提醒');
INSERT INTO `lang_definitions` VALUES (37162, 2831, 11, '隐藏/显示列');
INSERT INTO `lang_definitions` VALUES (37163, 2833, 11, '高的');
INSERT INTO `lang_definitions` VALUES (37164, 2834, 11, '血压高');
INSERT INTO `lang_definitions` VALUES (37165, 2835, 11, '印地语');
INSERT INTO `lang_definitions` VALUES (37166, 2836, 11, '髋部+腹股沟');
INSERT INTO `lang_definitions` VALUES (37167, 2837, 11, '髋部和腹股沟');
INSERT INTO `lang_definitions` VALUES (37168, 2838, 11, '髋关节的问题');
INSERT INTO `lang_definitions` VALUES (37169, 2839, 11, '髋关节置换术');
INSERT INTO `lang_definitions` VALUES (37170, 2840, 11, 'HIPAA的公告收稿');
INSERT INTO `lang_definitions` VALUES (37171, 2842, 11, '多毛/皮纹');
INSERT INTO `lang_definitions` VALUES (37172, 2843, 11, '西班牙裔');
INSERT INTO `lang_definitions` VALUES (37173, 2844, 11, '西班牙语-其他（生的在美国）');
INSERT INTO `lang_definitions` VALUES (37174, 2845, 11, '西班牙语-其他（生的美国以外）');
INSERT INTO `lang_definitions` VALUES (37175, 2846, 11, '西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (37176, 2847, 11, '历史');
INSERT INTO `lang_definitions` VALUES (37177, 2848, 11, '历史数据');
INSERT INTO `lang_definitions` VALUES (37178, 2849, 11, '历史数据');
INSERT INTO `lang_definitions` VALUES (37179, 2851, 11, '心脏杂音病史');
INSERT INTO `lang_definitions` VALUES (37180, 2852, 11, '历史上没有授权');
INSERT INTO `lang_definitions` VALUES (37181, 2853, 11, '心脏杂音病史');
INSERT INTO `lang_definitions` VALUES (37182, 2854, 11, '次数');
INSERT INTO `lang_definitions` VALUES (37183, 2855, 11, '人体免疫缺损病毒，艾滋病病毒');
INSERT INTO `lang_definitions` VALUES (37184, 2858, 11, 'HL7标准浏览器');
INSERT INTO `lang_definitions` VALUES (37185, 2860, 11, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (37186, 2861, 11, '苗族');
INSERT INTO `lang_definitions` VALUES (37187, 2862, 11, '按住[ Ctrl键]以便进行多项选择或取消');
INSERT INTO `lang_definitions` VALUES (37188, 2863, 11, '按住CTRL键选择多个项目');
INSERT INTO `lang_definitions` VALUES (37189, 2864, 11, '按住CTRL键选择多个敢死队');
INSERT INTO `lang_definitions` VALUES (37190, 2865, 11, '首页');
INSERT INTO `lang_definitions` VALUES (37191, 2866, 11, '住宅电话');
INSERT INTO `lang_definitions` VALUES (37192, 2867, 11, '住宅电话');
INSERT INTO `lang_definitions` VALUES (37193, 2868, 11, '无家可归或类似？');
INSERT INTO `lang_definitions` VALUES (37194, 2869, 11, '无家可归，等');
INSERT INTO `lang_definitions` VALUES (37195, 2870, 11, '无家可归，等');
INSERT INTO `lang_definitions` VALUES (37196, 2872, 11, '主机名');
INSERT INTO `lang_definitions` VALUES (37197, 2873, 11, '主机名不能为空');
INSERT INTO `lang_definitions` VALUES (37198, 2875, 11, '小时');
INSERT INTO `lang_definitions` VALUES (37199, 2876, 11, '小时');
INSERT INTO `lang_definitions` VALUES (37200, 2878, 11, '如何受伤？');
INSERT INTO `lang_definitions` VALUES (37201, 2879, 11, '如何受伤？：');
INSERT INTO `lang_definitions` VALUES (37202, 2880, 11, '他们是如何知道我们的');
INSERT INTO `lang_definitions` VALUES (37203, 2881, 11, '有多少未来几个月来查询即将举行的活动？');
INSERT INTO `lang_definitions` VALUES (37204, 2882, 11, '液相色谱法：');
INSERT INTO `lang_definitions` VALUES (37205, 2883, 11, 'HT');
INSERT INTO `lang_definitions` VALUES (37206, 2884, 11, 'HTML');
INSERT INTO `lang_definitions` VALUES (37207, 2886, 11, '网页链接的LibreEHR支持实验室交流服务有限责任公司。');
INSERT INTO `lang_definitions` VALUES (37208, 2887, 11, '匈牙利语');
INSERT INTO `lang_definitions` VALUES (37209, 2888, 11, 'HylaFax目录');
INSERT INTO `lang_definitions` VALUES (37210, 2889, 11, 'HylaFax等Enscript指令');
INSERT INTO `lang_definitions` VALUES (37211, 2890, 11, 'HylaFax服务器');
INSERT INTO `lang_definitions` VALUES (37212, 2891, 11, 'HylaFax服务器主机名');
INSERT INTO `lang_definitions` VALUES (37213, 2892, 11, '活跃的');
INSERT INTO `lang_definitions` VALUES (37214, 2893, 11, '高血压');
INSERT INTO `lang_definitions` VALUES (37215, 2894, 11, '高血压：血压测量');
INSERT INTO `lang_definitions` VALUES (37216, 2895, 11, '高血压：血压测量（CQM）');
INSERT INTO `lang_definitions` VALUES (37217, 2896, 11, '甲状腺功能亢进症');
INSERT INTO `lang_definitions` VALUES (37218, 2897, 11, '甲状腺功能减退症');
INSERT INTO `lang_definitions` VALUES (37219, 2898, 11, '子宫切除术');
INSERT INTO `lang_definitions` VALUES (37220, 2899, 11, '我');
INSERT INTO `lang_definitions` VALUES (37221, 2900, 11, '我在这段时间里忙碌。');
INSERT INTO `lang_definitions` VALUES (37222, 2901, 11, '我没有权限读取 ');
INSERT INTO `lang_definitions` VALUES (37223, 2902, 11, '国际疾病分类');
INSERT INTO `lang_definitions` VALUES (37224, 2905, 11, '国际疾病分类9');
INSERT INTO `lang_definitions` VALUES (37225, 2909, 11, '编号');
INSERT INTO `lang_definitions` VALUES (37226, 2910, 11, '编号');
INSERT INTO `lang_definitions` VALUES (37227, 2911, 11, '编号不能为空');
INSERT INTO `lang_definitions` VALUES (37228, 2912, 11, '身份证');
INSERT INTO `lang_definitions` VALUES (37229, 2913, 11, '身份证有效期');
INSERT INTO `lang_definitions` VALUES (37230, 2914, 11, '经鉴定为');
INSERT INTO `lang_definitions` VALUES (37231, 2915, 11, '标识符（一个字）');
INSERT INTO `lang_definitions` VALUES (37232, 2917, 11, '空闲会话超时秒');
INSERT INTO `lang_definitions` VALUES (37233, 2919, 11, '如果所有的数据都列有完整的这种形式');
INSERT INTO `lang_definitions` VALUES (37234, 2920, 11, '如果结算的理由是用来输入姓名的诊断代码类型。');
INSERT INTO `lang_definitions` VALUES (37235, 2921, 11, '如果输入的，只选择那些谁有这样的服务');
INSERT INTO `lang_definitions` VALUES (37236, 2922, 11, '如果任何一部分的名字，姓氏或姓氏，名字');
INSERT INTO `lang_definitions` VALUES (37237, 2923, 11, '如果支付');
INSERT INTO `lang_definitions` VALUES (37238, 2924, 11, '如果人已过世，输入逝世日期。');
INSERT INTO `lang_definitions` VALUES (37239, 2925, 11, '如果使用SMTP服务器，输入主机名或地址。');
INSERT INTO `lang_definitions` VALUES (37240, 2926, 11, '如果使用SMTP服务器，输入端口(通常25)。');
INSERT INTO `lang_definitions` VALUES (37241, 2927, 11, '如果失业，选择输入学生');
INSERT INTO `lang_definitions` VALUES (37242, 2929, 11, '如果你改变eprescription e-rx作用，它可能影响eprescription工作流。如果你面对任何困难，联系你的eprescription供应商。');
INSERT INTO `lang_definitions` VALUES (37243, 2931, 11, '如果你选择上传电子汇款，然后搜索窗口重新显示本身与匹配发票从X 12文件。你可以点击任何这些发票编号（如下所述）如果你希望做任何修正之前的汇款信息应用。应用更改，单击文件过程的时间');
INSERT INTO `lang_definitions` VALUES (37244, 2932, 11, '如果你输入了支付日期在搜索页');
INSERT INTO `lang_definitions` VALUES (37245, 2933, 11, '如果你想改变数据类型，或添加行或列');
INSERT INTO `lang_definitions` VALUES (37246, 2934, 11, '如果你想升级数据库，将数据库文件在以下目录');
INSERT INTO `lang_definitions` VALUES (37247, 2936, 11, '忽视');
INSERT INTO `lang_definitions` VALUES (37248, 2937, 11, '疾病');
INSERT INTO `lang_definitions` VALUES (37249, 2938, 11, '即时通讯');
INSERT INTO `lang_definitions` VALUES (37250, 2941, 11, '影像服务');
INSERT INTO `lang_definitions` VALUES (37251, 2942, 11, '免疫');
INSERT INTO `lang_definitions` VALUES (37252, 2943, 11, '免疫编号');
INSERT INTO `lang_definitions` VALUES (37253, 2945, 11, '免疫日期');
INSERT INTO `lang_definitions` VALUES (37254, 2947, 11, '免疫批号');
INSERT INTO `lang_definitions` VALUES (37255, 2948, 11, '免疫制造商');
INSERT INTO `lang_definitions` VALUES (37256, 2949, 11, '免疫登记');
INSERT INTO `lang_definitions` VALUES (37257, 2951, 11, '免疫接种服务');
INSERT INTO `lang_definitions` VALUES (37258, 2952, 11, '免疫标题');
INSERT INTO `lang_definitions` VALUES (37259, 2953, 11, '免疫接种');
INSERT INTO `lang_definitions` VALUES (37260, 2954, 11, '免疫接种');
INSERT INTO `lang_definitions` VALUES (37261, 2955, 11, '免疫学');
INSERT INTO `lang_definitions` VALUES (37262, 2956, 11, '种植体');
INSERT INTO `lang_definitions` VALUES (37263, 2957, 11, '导入');
INSERT INTO `lang_definitions` VALUES (37264, 2961, 11, '进口证书的浏览器。');
INSERT INTO `lang_definitions` VALUES (37265, 2962, 11, '导入配置');
INSERT INTO `lang_definitions` VALUES (37266, 2964, 11, '导入客户');
INSERT INTO `lang_definitions` VALUES (37267, 2965, 11, '导入客户统计数据');
INSERT INTO `lang_definitions` VALUES (37268, 2969, 11, '从会计导入');
INSERT INTO `lang_definitions` VALUES (37269, 2972, 11, '改良的');
INSERT INTO `lang_definitions` VALUES (37270, 2973, 11, '在');
INSERT INTO `lang_definitions` VALUES (37271, 2974, 11, '在');
INSERT INTO `lang_definitions` VALUES (37272, 2975, 11, '在每只眼睛');
INSERT INTO `lang_definitions` VALUES (37273, 2976, 11, '在左眼');
INSERT INTO `lang_definitions` VALUES (37274, 2977, 11, '在鼻孔');
INSERT INTO `lang_definitions` VALUES (37275, 2978, 11, '在办公室');
INSERT INTO `lang_definitions` VALUES (37276, 2979, 11, '在右眼');
INSERT INTO `lang_definitions` VALUES (37277, 2980, 11, '在内部');
INSERT INTO `lang_definitions` VALUES (37278, 2981, 11, '不活跃');
INSERT INTO `lang_definitions` VALUES (37279, 2982, 11, '无效天');
INSERT INTO `lang_definitions` VALUES (37280, 2983, 11, '收件箱');
INSERT INTO `lang_definitions` VALUES (37281, 2986, 11, '包括校验');
INSERT INTO `lang_definitions` VALUES (37282, 2987, 11, '包括完成');
INSERT INTO `lang_definitions` VALUES (37283, 2988, 11, '包括活跃用户');
INSERT INTO `lang_definitions` VALUES (37284, 2989, 11, '包括未分类');
INSERT INTO `lang_definitions` VALUES (37285, 2990, 11, '包括不活跃数据');
INSERT INTO `lang_definitions` VALUES (37286, 2991, 11, '包括生命迹象');
INSERT INTO `lang_definitions` VALUES (37287, 2992, 11, '包括生命迹象数据？');
INSERT INTO `lang_definitions` VALUES (37288, 2993, 11, '包括不活跃数据');
INSERT INTO `lang_definitions` VALUES (37289, 2994, 11, '收入');
INSERT INTO `lang_definitions` VALUES (37290, 2996, 11, '不完全');
INSERT INTO `lang_definitions` VALUES (37291, 2997, 11, '不完全流产治疗');
INSERT INTO `lang_definitions` VALUES (37292, 2998, 11, '失禁');
INSERT INTO `lang_definitions` VALUES (37293, 2999, 11, '将临床实验结果为认证的电子病历结构化数据的技术。');
INSERT INTO `lang_definitions` VALUES (37294, 3001, 11, '增加：');
INSERT INTO `lang_definitions` VALUES (37295, 3002, 11, '弥偿保险');
INSERT INTO `lang_definitions` VALUES (37296, 3003, 11, '不定');
INSERT INTO `lang_definitions` VALUES (37297, 3004, 11, '印第安');
INSERT INTO `lang_definitions` VALUES (37298, 3005, 11, '显示异常');
INSERT INTO `lang_definitions` VALUES (37299, 3006, 11, '表明，如果这个问题目前正在积极');
INSERT INTO `lang_definitions` VALUES (37300, 3008, 11, '使用专门的指标');
INSERT INTO `lang_definitions` VALUES (37301, 3009, 11, '贫困的患者');
INSERT INTO `lang_definitions` VALUES (37302, 3010, 11, '贫困患者报告');
INSERT INTO `lang_definitions` VALUES (37303, 3011, 11, '贫困');
INSERT INTO `lang_definitions` VALUES (37304, 3014, 11, '人工流产');
INSERT INTO `lang_definitions` VALUES (37305, 3016, 11, '不合格');
INSERT INTO `lang_definitions` VALUES (37306, 3017, 11, '感染/脓肿');
INSERT INTO `lang_definitions` VALUES (37307, 3018, 11, '感染');
INSERT INTO `lang_definitions` VALUES (37308, 3019, 11, '插入硬币');
INSERT INTO `lang_definitions` VALUES (37309, 3020, 11, '不孕症');
INSERT INTO `lang_definitions` VALUES (37310, 3021, 11, '1 型流感');
INSERT INTO `lang_definitions` VALUES (37311, 3022, 11, '2 型流感');
INSERT INTO `lang_definitions` VALUES (37312, 3023, 11, '接种流感患者> = 50岁');
INSERT INTO `lang_definitions` VALUES (37313, 3024, 11, '接种流感患者> = 50岁（CQM）');
INSERT INTO `lang_definitions` VALUES (37314, 3025, 11, '流感疫苗');
INSERT INTO `lang_definitions` VALUES (37315, 3026, 11, '信息');
INSERT INTO `lang_definitions` VALUES (37316, 3027, 11, '信息测试1');
INSERT INTO `lang_definitions` VALUES (37317, 3028, 11, '信息测试2');
INSERT INTO `lang_definitions` VALUES (37318, 3029, 11, '信息测试3');
INSERT INTO `lang_definitions` VALUES (37319, 3030, 11, '信息测试4');
INSERT INTO `lang_definitions` VALUES (37320, 3031, 11, '信息测试5');
INSERT INTO `lang_definitions` VALUES (37321, 3032, 11, '信息测试6');
INSERT INTO `lang_definitions` VALUES (37322, 3034, 11, '吸入');
INSERT INTO `lang_definitions` VALUES (37323, 3035, 11, 'inhilations');
INSERT INTO `lang_definitions` VALUES (37324, 3037, 11, '首位使用者');
INSERT INTO `lang_definitions` VALUES (37325, 3038, 11, '损伤/康复');
INSERT INTO `lang_definitions` VALUES (37326, 3039, 11, '注射剂');
INSERT INTO `lang_definitions` VALUES (37327, 3040, 11, '注射剂');
INSERT INTO `lang_definitions` VALUES (37328, 3041, 11, '受伤的身体部位');
INSERT INTO `lang_definitions` VALUES (37329, 3042, 11, '受伤的');
INSERT INTO `lang_definitions` VALUES (37330, 3043, 11, '受伤');
INSERT INTO `lang_definitions` VALUES (37331, 3044, 11, '损伤机理');
INSERT INTO `lang_definitions` VALUES (37332, 3045, 11, '损伤报告');
INSERT INTO `lang_definitions` VALUES (37333, 3046, 11, '损伤监测');
INSERT INTO `lang_definitions` VALUES (37334, 3047, 11, '损伤类型');
INSERT INTO `lang_definitions` VALUES (37335, 3048, 11, '损伤/疾病有关');
INSERT INTO `lang_definitions` VALUES (37336, 3051, 11, '输入字段');
INSERT INTO `lang_definitions` VALUES (37337, 3052, 11, '印度卢比');
INSERT INTO `lang_definitions` VALUES (37338, 3056, 11, '插件调整');
INSERT INTO `lang_definitions` VALUES (37339, 3057, 11, '插件捆绑');
INSERT INTO `lang_definitions` VALUES (37340, 3058, 11, '插件代码');
INSERT INTO `lang_definitions` VALUES (37341, 3061, 11, '插件多缴');
INSERT INTO `lang_definitions` VALUES (37342, 3063, 11, '移民局退款');
INSERT INTO `lang_definitions` VALUES (37343, 3064, 11, '移民局摘要');
INSERT INTO `lang_definitions` VALUES (37344, 3065, 11, '移民局1');
INSERT INTO `lang_definitions` VALUES (37345, 3066, 11, '移民局2');
INSERT INTO `lang_definitions` VALUES (37346, 3067, 11, '移民局3');
INSERT INTO `lang_definitions` VALUES (37347, 3069, 11, '插入失败： ');
INSERT INTO `lang_definitions` VALUES (37348, 3070, 11, '插入到表的旧事件');
INSERT INTO `lang_definitions` VALUES (37349, 3072, 11, '失眠');
INSERT INTO `lang_definitions` VALUES (37350, 3074, 11, '检查；视察');
INSERT INTO `lang_definitions` VALUES (37351, 3075, 11, '不全脱位');
INSERT INTO `lang_definitions` VALUES (37352, 3077, 11, '安装');
INSERT INTO `lang_definitions` VALUES (37353, 3079, 11, '安装数据库');
INSERT INTO `lang_definitions` VALUES (37354, 3081, 11, '指示');
INSERT INTO `lang_definitions` VALUES (37355, 3082, 11, '指示');
INSERT INTO `lang_definitions` VALUES (37356, 3084, 11, '介绍');
INSERT INTO `lang_definitions` VALUES (37357, 3086, 11, '胰岛素依赖型客户');
INSERT INTO `lang_definitions` VALUES (37358, 3087, 11, '保险');
INSERT INTO `lang_definitions` VALUES (37359, 3088, 11, '保险');
INSERT INTO `lang_definitions` VALUES (37360, 3093, 11, '保险训练班');
INSERT INTO `lang_definitions` VALUES (37361, 3094, 11, '保险公司');
INSERT INTO `lang_definitions` VALUES (37362, 3095, 11, '保险公司');
INSERT INTO `lang_definitions` VALUES (37363, 3096, 11, '保险公司搜索/添加');
INSERT INTO `lang_definitions` VALUES (37364, 3098, 11, '保险数据');
INSERT INTO `lang_definitions` VALUES (37365, 3099, 11, '保险信息文件');
INSERT INTO `lang_definitions` VALUES (37366, 3100, 11, '保险号码');
INSERT INTO `lang_definitions` VALUES (37367, 3101, 11, '支付保证金');
INSERT INTO `lang_definitions` VALUES (37368, 3103, 11, '保险提供者');
INSERT INTO `lang_definitions` VALUES (37369, 3107, 11, '摄入总量');
INSERT INTO `lang_definitions` VALUES (37370, 3108, 11, '摄入日期');
INSERT INTO `lang_definitions` VALUES (37371, 3109, 11, '智力下降');
INSERT INTO `lang_definitions` VALUES (37372, 3113, 11, '内部错误-无选定页面');
INSERT INTO `lang_definitions` VALUES (37373, 3114, 11, '内部错误-无客户身份证明');
INSERT INTO `lang_definitions` VALUES (37374, 3115, 11, '内部错误门诊上传的文件！');
INSERT INTO `lang_definitions` VALUES (37375, 3116, 11, '内部错误');
INSERT INTO `lang_definitions` VALUES (37376, 3117, 11, 'no drug ID specified!');
INSERT INTO `lang_definitions` VALUES (37377, 3119, 11, '内部错误：索赔 ');
INSERT INTO `lang_definitions` VALUES (37378, 3120, 11, '内部错误：治疗');
INSERT INTO `lang_definitions` VALUES (37379, 3121, 11, '内部错误：控制或治疗丢失。');
INSERT INTO `lang_definitions` VALUES (37380, 3122, 11, '内部错误：我们不能进行治疗！');
INSERT INTO `lang_definitions` VALUES (37381, 3123, 11, '内部标识符（图）');
INSERT INTO `lang_definitions` VALUES (37382, 3126, 11, '内部转诊客户');
INSERT INTO `lang_definitions` VALUES (37383, 3127, 11, '内部时间收集');
INSERT INTO `lang_definitions` VALUES (37384, 3128, 11, '国际责任');
INSERT INTO `lang_definitions` VALUES (37385, 3129, 11, '译员，口译者');
INSERT INTO `lang_definitions` VALUES (37386, 3130, 11, '需要口译？');
INSERT INTO `lang_definitions` VALUES (37387, 3131, 11, '间质性肺炎');
INSERT INTO `lang_definitions` VALUES (37388, 3132, 11, '间隔');
INSERT INTO `lang_definitions` VALUES (37389, 3135, 11, '介入');
INSERT INTO `lang_definitions` VALUES (37390, 3137, 11, '耐受');
INSERT INTO `lang_definitions` VALUES (37391, 3139, 11, '肌肉的');
INSERT INTO `lang_definitions` VALUES (37392, 3140, 11, '静脉注射地');
INSERT INTO `lang_definitions` VALUES (37393, 3141, 11, '介绍');
INSERT INTO `lang_definitions` VALUES (37394, 3144, 11, '存在无效字符');
INSERT INTO `lang_definitions` VALUES (37395, 3147, 11, '无效的长度');
INSERT INTO `lang_definitions` VALUES (37396, 3148, 11, '无效的非数字字符');
INSERT INTO `lang_definitions` VALUES (37397, 3149, 11, '无效或者缺失支付人来源的代码 ');
INSERT INTO `lang_definitions` VALUES (37398, 3151, 11, '无效服务代码');
INSERT INTO `lang_definitions` VALUES (37399, 3152, 11, '无效的源名称');
INSERT INTO `lang_definitions` VALUES (37400, 3154, 11, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (37401, 3155, 11, '存货清单');
INSERT INTO `lang_definitions` VALUES (37402, 3156, 11, '清查活动');
INSERT INTO `lang_definitions` VALUES (37403, 3157, 11, '库存和销售药品和非处方药产品');
INSERT INTO `lang_definitions` VALUES (37404, 3158, 11, '存货和销售药物');
INSERT INTO `lang_definitions` VALUES (37405, 3159, 11, '此订单的详细目录不存在');
INSERT INTO `lang_definitions` VALUES (37406, 3160, 11, '盘存清单');
INSERT INTO `lang_definitions` VALUES (37407, 3161, 11, '库存事务');
INSERT INTO `lang_definitions` VALUES (37408, 3162, 11, '发票');
INSERT INTO `lang_definitions` VALUES (37409, 3163, 11, '发票');
INSERT INTO `lang_definitions` VALUES (37410, 3166, 11, '发票日期');
INSERT INTO `lang_definitions` VALUES (37411, 3167, 11, '发票无日期');
INSERT INTO `lang_definitions` VALUES (37412, 3168, 11, '发票号');
INSERT INTO `lang_definitions` VALUES (37413, 3169, 11, '发票的参考号码');
INSERT INTO `lang_definitions` VALUES (37414, 3170, 11, '如果有使用，发票的参考号码');
INSERT INTO `lang_definitions` VALUES (37415, 3171, 11, '发票的参考号码池');
INSERT INTO `lang_definitions` VALUES (37416, 3172, 11, '发票Refno池');
INSERT INTO `lang_definitions` VALUES (37417, 3173, 11, '发票：');
INSERT INTO `lang_definitions` VALUES (37418, 3174, 11, '计划生育');
INSERT INTO `lang_definitions` VALUES (37419, 3177, 11, '计划生育生殖健康数据');
INSERT INTO `lang_definitions` VALUES (37420, 3178, 11, '计生统计报告');
INSERT INTO `lang_definitions` VALUES (37421, 3179, 11, '计划生育统计');
INSERT INTO `lang_definitions` VALUES (37422, 3180, 11, '灭活脊髓灰质炎疫苗 1');
INSERT INTO `lang_definitions` VALUES (37423, 3181, 11, '灭活脊髓灰质炎疫苗 2');
INSERT INTO `lang_definitions` VALUES (37424, 3182, 11, '灭活脊髓灰质炎疫苗 3');
INSERT INTO `lang_definitions` VALUES (37425, 3183, 11, '灭活脊髓灰质炎疫苗 4');
INSERT INTO `lang_definitions` VALUES (37426, 3185, 11, '无规律心跳');
INSERT INTO `lang_definitions` VALUES (37427, 3186, 11, '兴奋性');
INSERT INTO `lang_definitions` VALUES (37428, 3187, 11, '刺激物');
INSERT INTO `lang_definitions` VALUES (37429, 3191, 11, '必填字段');
INSERT INTO `lang_definitions` VALUES (37430, 3192, 11, '是一个根节点和不可删除。');
INSERT INTO `lang_definitions` VALUES (37431, 3197, 11, '无效（十进制分数是好的）。');
INSERT INTO `lang_definitions` VALUES (37432, 3198, 11, '是使用安全模式？');
INSERT INTO `lang_definitions` VALUES (37433, 3200, 11, '是文本形式布局的翻译？');
INSERT INTO `lang_definitions` VALUES (37434, 3201, 11, '本文从列表翻译？');
INSERT INTO `lang_definitions` VALUES (37435, 3202, 11, '该文件是加密？');
INSERT INTO `lang_definitions` VALUES (37436, 3204, 11, '这是一个诊断的类型？');
INSERT INTO `lang_definitions` VALUES (37437, 3209, 11, '这是代码类型活动？');
INSERT INTO `lang_definitions` VALUES (37438, 3212, 11, '这是隐藏在收费表？');
INSERT INTO `lang_definitions` VALUES (37439, 3214, 11, '太长');
INSERT INTO `lang_definitions` VALUES (37440, 3216, 11, '发行；流出');
INSERT INTO `lang_definitions` VALUES (37441, 3217, 11, '发行物；争论点');
INSERT INTO `lang_definitions` VALUES (37442, 3218, 11, '签发日期');
INSERT INTO `lang_definitions` VALUES (37443, 3219, 11, '签发编号');
INSERT INTO `lang_definitions` VALUES (37444, 3220, 11, '签发标题');
INSERT INTO `lang_definitions` VALUES (37445, 3223, 11, '议题');
INSERT INTO `lang_definitions` VALUES (37446, 3224, 11, '问题（伤害/医疗/过敏）');
INSERT INTO `lang_definitions` VALUES (37447, 3225, 11, '议题（受伤/医疗/过敏）');
INSERT INTO `lang_definitions` VALUES (37448, 3226, 11, '问题和治疗');
INSERT INTO `lang_definitions` VALUES (37449, 3227, 11, '问题和治疗');
INSERT INTO `lang_definitions` VALUES (37450, 3228, 11, '问题没有授权');
INSERT INTO `lang_definitions` VALUES (37451, 3229, 11, '问题一部分');
INSERT INTO `lang_definitions` VALUES (37452, 3230, 11, '意大利语');
INSERT INTO `lang_definitions` VALUES (37453, 3231, 11, '项目');
INSERT INTO `lang_definitions` VALUES (37454, 3232, 11, '项目');
INSERT INTO `lang_definitions` VALUES (37455, 3234, 11, '项目负荷失败');
INSERT INTO `lang_definitions` VALUES (37456, 3235, 11, 'IU/L');
INSERT INTO `lang_definitions` VALUES (37457, 3236, 11, '宫内节育器');
INSERT INTO `lang_definitions` VALUES (37458, 3237, 11, '静脉点滴');
INSERT INTO `lang_definitions` VALUES (37459, 3238, 11, '一月');
INSERT INTO `lang_definitions` VALUES (37460, 3239, 11, '一月');
INSERT INTO `lang_definitions` VALUES (37461, 3240, 11, '日语');
INSERT INTO `lang_definitions` VALUES (37462, 3241, 11, '黄疸病');
INSERT INTO `lang_definitions` VALUES (37463, 3243, 11, '工作描述');
INSERT INTO `lang_definitions` VALUES (37464, 3244, 11, '工作卡');
INSERT INTO `lang_definitions` VALUES (37465, 3245, 11, '关节错位');
INSERT INTO `lang_definitions` VALUES (37466, 3246, 11, '关节疼痛');
INSERT INTO `lang_definitions` VALUES (37467, 3247, 11, '关节扭伤');
INSERT INTO `lang_definitions` VALUES (37468, 3248, 11, '七月');
INSERT INTO `lang_definitions` VALUES (37469, 3249, 11, '七月');
INSERT INTO `lang_definitions` VALUES (37470, 3250, 11, '六月');
INSERT INTO `lang_definitions` VALUES (37471, 3251, 11, '六月');
INSERT INTO `lang_definitions` VALUES (37472, 3252, 11, '在检查信息蓝色区域，你把你的搜索参数。您可以搜索的客户姓名，号码图表，遇到数字或日期的服务，或任何组合的这些。你也可以选择是否你想看到所有的发票，开发票，发票，或是由于（由客户）。点击搜索按钮进行搜索。');
INSERT INTO `lang_definitions` VALUES (37473, 3253, 11, '只是我');
INSERT INTO `lang_definitions` VALUES (37474, 3255, 11, '辩解');
INSERT INTO `lang_definitions` VALUES (37475, 3256, 11, '理由/保存');
INSERT INTO `lang_definitions` VALUES (37476, 3258, 11, 'K，这里是休息');
INSERT INTO `lang_definitions` VALUES (37477, 3264, 11, '关键');
INSERT INTO `lang_definitions` VALUES (37478, 3265, 11, '关键词');
INSERT INTO `lang_definitions` VALUES (37479, 3266, 11, '公斤');
INSERT INTO `lang_definitions` VALUES (37480, 3267, 11, '公斤/平方公尺');
INSERT INTO `lang_definitions` VALUES (37481, 3269, 11, '肾细胞癌');
INSERT INTO `lang_definitions` VALUES (37482, 3270, 11, '肾功能衰竭');
INSERT INTO `lang_definitions` VALUES (37483, 3271, 11, '肾脏感染');
INSERT INTO `lang_definitions` VALUES (37484, 3272, 11, '肾结石');
INSERT INTO `lang_definitions` VALUES (37485, 3273, 11, '肾移植');
INSERT INTO `lang_definitions` VALUES (37486, 3277, 11, '膝盖');
INSERT INTO `lang_definitions` VALUES (37487, 3278, 11, '膝盖问题');
INSERT INTO `lang_definitions` VALUES (37488, 3279, 11, '膝关节置换术');
INSERT INTO `lang_definitions` VALUES (37489, 3282, 11, '韩国');
INSERT INTO `lang_definitions` VALUES (37490, 3286, 11, '实验室');
INSERT INTO `lang_definitions` VALUES (37491, 3288, 11, '实验室交易所网站地址');
INSERT INTO `lang_definitions` VALUES (37492, 3289, 11, '实验室交易所网站编号');
INSERT INTO `lang_definitions` VALUES (37493, 3290, 11, '实验室外汇令牌ID');
INSERT INTO `lang_definitions` VALUES (37494, 3294, 11, '实验室查询状态');
INSERT INTO `lang_definitions` VALUES (37495, 3295, 11, '实验报告');
INSERT INTO `lang_definitions` VALUES (37496, 3296, 11, '实验结果');
INSERT INTO `lang_definitions` VALUES (37497, 3297, 11, '实验室检测结果');
INSERT INTO `lang_definitions` VALUES (37498, 3299, 11, '实验室检测结果报告');
INSERT INTO `lang_definitions` VALUES (37499, 3300, 11, '实验室服务');
INSERT INTO `lang_definitions` VALUES (37500, 3301, 11, '实验室测试结果');
INSERT INTO `lang_definitions` VALUES (37501, 3303, 11, '标签');
INSERT INTO `lang_definitions` VALUES (37502, 3304, 11, '标签不能空白');
INSERT INTO `lang_definitions` VALUES (37503, 3305, 11, '标签COLS');
INSERT INTO `lang_definitions` VALUES (37504, 3306, 11, '这种类型的标签');
INSERT INTO `lang_definitions` VALUES (37505, 3307, 11, 'LabelCols必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (37506, 3308, 11, '标签');
INSERT INTO `lang_definitions` VALUES (37507, 3311, 11, '实验室');
INSERT INTO `lang_definitions` VALUES (37508, 3312, 11, '裂伤/皮肤状况');
INSERT INTO `lang_definitions` VALUES (37509, 3313, 11, '撕裂/磨损');
INSERT INTO `lang_definitions` VALUES (37510, 3316, 11, '语言');
INSERT INTO `lang_definitions` VALUES (37511, 3317, 11, '语言代码');
INSERT INTO `lang_definitions` VALUES (37512, 3318, 11, '语言定义的补充');
INSERT INTO `lang_definitions` VALUES (37513, 3319, 11, '语言界面工具');
INSERT INTO `lang_definitions` VALUES (37514, 3320, 11, '语言列表(可写、只许添加－可选项)');
INSERT INTO `lang_definitions` VALUES (37515, 3321, 11, '语言名称');
INSERT INTO `lang_definitions` VALUES (37516, 3322, 11, '语言：');
INSERT INTO `lang_definitions` VALUES (37517, 3324, 11, '老挝');
INSERT INTO `lang_definitions` VALUES (37518, 3325, 11, '上次');
INSERT INTO `lang_definitions` VALUES (37519, 3326, 11, '上次活动日期');
INSERT INTO `lang_definitions` VALUES (37520, 3328, 11, '最后发票日期：');
INSERT INTO `lang_definitions` VALUES (37521, 3330, 11, '上一个日历年');
INSERT INTO `lang_definitions` VALUES (37522, 3333, 11, '上次接触');
INSERT INTO `lang_definitions` VALUES (37523, 3343, 11, '上个月');
INSERT INTO `lang_definitions` VALUES (37524, 3344, 11, '姓');
INSERT INTO `lang_definitions` VALUES (37525, 3345, 11, '姓');
INSERT INTO `lang_definitions` VALUES (37526, 3346, 11, '姓氏：');
INSERT INTO `lang_definitions` VALUES (37527, 3350, 11, '最新评论');
INSERT INTO `lang_definitions` VALUES (37528, 3352, 11, '最后保存');
INSERT INTO `lang_definitions` VALUES (37529, 3356, 11, '最后更新');
INSERT INTO `lang_definitions` VALUES (37530, 3357, 11, '最后验证');
INSERT INTO `lang_definitions` VALUES (37531, 3358, 11, '最后门诊');
INSERT INTO `lang_definitions` VALUES (37532, 3360, 11, '晚期复发（2-12莫）');
INSERT INTO `lang_definitions` VALUES (37533, 3361, 11, '外踝');
INSERT INTO `lang_definitions` VALUES (37534, 3362, 11, '外踝：');
INSERT INTO `lang_definitions` VALUES (37535, 3363, 11, '偏侧');
INSERT INTO `lang_definitions` VALUES (37536, 3364, 11, '偏侧此过程中，如适用');
INSERT INTO `lang_definitions` VALUES (37537, 3365, 11, '横向流离失所的PMI：');
INSERT INTO `lang_definitions` VALUES (37538, 3373, 11, '布局的基础');
INSERT INTO `lang_definitions` VALUES (37539, 3374, 11, '布局编辑器');
INSERT INTO `lang_definitions` VALUES (37540, 3375, 11, '布局组');
INSERT INTO `lang_definitions` VALUES (37541, 3376, 11, '布局风格');
INSERT INTO `lang_definitions` VALUES (37542, 3378, 11, '基于布局的门诊形式');
INSERT INTO `lang_definitions` VALUES (37543, 3379, 11, '布局');
INSERT INTO `lang_definitions` VALUES (37544, 3380, 11, '磅');
INSERT INTO `lang_definitions` VALUES (37545, 3381, 11, '磅');
INSERT INTO `lang_definitions` VALUES (37546, 3382, 11, '低密度脂蛋白');
INSERT INTO `lang_definitions` VALUES (37547, 3383, 11, '留下空白，如果仍然活跃');
INSERT INTO `lang_definitions` VALUES (37548, 3384, 11, '留空以保持原有名');
INSERT INTO `lang_definitions` VALUES (37549, 3385, 11, '留空密码保持不变。');
INSERT INTO `lang_definitions` VALUES (37550, 3386, 11, '留言给');
INSERT INTO `lang_definitions` VALUES (37551, 3387, 11, '离开表格');
INSERT INTO `lang_definitions` VALUES (37552, 3388, 11, '离开通行短语留空将不加密文件');
INSERT INTO `lang_definitions` VALUES (37553, 3390, 11, '左');
INSERT INTO `lang_definitions` VALUES (37554, 3391, 11, '左耳');
INSERT INTO `lang_definitions` VALUES (37555, 3392, 11, '左耳');
INSERT INTO `lang_definitions` VALUES (37556, 3394, 11, '左：');
INSERT INTO `lang_definitions` VALUES (37557, 3395, 11, '左： ');
INSERT INTO `lang_definitions` VALUES (37558, 3396, 11, '腿部疼痛/抽筋');
INSERT INTO `lang_definitions` VALUES (37559, 3397, 11, '法律');
INSERT INTO `lang_definitions` VALUES (37560, 3399, 11, '法律纸张尺寸');
INSERT INTO `lang_definitions` VALUES (37561, 3400, 11, '图例：');
INSERT INTO `lang_definitions` VALUES (37562, 3401, 11, '长度');
INSERT INTO `lang_definitions` VALUES (37563, 3402, 11, '如果没有修饰符的长度，0');
INSERT INTO `lang_definitions` VALUES (37564, 3403, 11, '小于');
INSERT INTO `lang_definitions` VALUES (37565, 3404, 11, '小于或等于');
INSERT INTO `lang_definitions` VALUES (37566, 3405, 11, '减的私人信息（写，addonly可选）');
INSERT INTO `lang_definitions` VALUES (37567, 3406, 11, '信函');
INSERT INTO `lang_definitions` VALUES (37568, 3407, 11, '信函生成器');
INSERT INTO `lang_definitions` VALUES (37569, 3408, 11, 'Letter纸张尺寸');
INSERT INTO `lang_definitions` VALUES (37570, 3409, 11, '信笺，医生迹象');
INSERT INTO `lang_definitions` VALUES (37571, 3410, 11, '信笺，客户的迹象');
INSERT INTO `lang_definitions` VALUES (37572, 3411, 11, '紧急级别');
INSERT INTO `lang_definitions` VALUES (37573, 3412, 11, '责任');
INSERT INTO `lang_definitions` VALUES (37574, 3413, 11, '责任医疗');
INSERT INTO `lang_definitions` VALUES (37575, 3414, 11, '牌照/ ID');
INSERT INTO `lang_definitions` VALUES (37576, 3419, 11, 'LicensedPrescriber最后的名字');
INSERT INTO `lang_definitions` VALUES (37577, 3420, 11, 'LicensedPrescriber非营利机构');
INSERT INTO `lang_definitions` VALUES (37578, 3421, 11, 'LicensedPrescriber的UPIN');
INSERT INTO `lang_definitions` VALUES (37579, 3423, 11, '生活方式');
INSERT INTO `lang_definitions` VALUES (37580, 3424, 11, '生活方式的地位');
INSERT INTO `lang_definitions` VALUES (37581, 3425, 11, '韧带撕裂或扭伤');
INSERT INTO `lang_definitions` VALUES (37582, 3428, 11, '极限活动');
INSERT INTO `lang_definitions` VALUES (37583, 3429, 11, '范围');
INSERT INTO `lang_definitions` VALUES (37584, 3431, 11, '链接');
INSERT INTO `lang_definitions` VALUES (37585, 3432, 11, '链接到客户');
INSERT INTO `lang_definitions` VALUES (37586, 3433, 11, '链接');
INSERT INTO `lang_definitions` VALUES (37587, 3436, 11, '链接文件');
INSERT INTO `lang_definitions` VALUES (37588, 3438, 11, '表');
INSERT INTO `lang_definitions` VALUES (37589, 3439, 11, '列表框');
INSERT INTO `lang_definitions` VALUES (37590, 3440, 11, '列表框');
INSERT INTO `lang_definitions` VALUES (37591, 3441, 11, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (37592, 3442, 11, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (37593, 3443, 11, '列表编辑器');
INSERT INTO `lang_definitions` VALUES (37594, 3444, 11, '名单中遇到');
INSERT INTO `lang_definitions` VALUES (37595, 3445, 11, '列表组');
INSERT INTO `lang_definitions` VALUES (37596, 3446, 11, '列表保险公司');
INSERT INTO `lang_definitions` VALUES (37597, 3448, 11, '列表中的项目，不能以数字开头。');
INSERT INTO `lang_definitions` VALUES (37598, 3449, 11, '列表项包含非法字符（S）。');
INSERT INTO `lang_definitions` VALUES (37599, 3451, 11, '名单列表');
INSERT INTO `lang_definitions` VALUES (37600, 3452, 11, '列表名称');
INSERT INTO `lang_definitions` VALUES (37601, 3453, 11, '与数字列表的名称不能启动。');
INSERT INTO `lang_definitions` VALUES (37602, 3454, 11, '名单处方');
INSERT INTO `lang_definitions` VALUES (37603, 3455, 11, '由上述国家的数据类型“选项列表。');
INSERT INTO `lang_definitions` VALUES (37604, 3456, 11, '由上述国家的数据类型“选项列表。');
INSERT INTO `lang_definitions` VALUES (37605, 3457, 11, '听力的RFC5425 TLS syslog服务器的端口。');
INSERT INTO `lang_definitions` VALUES (37606, 3458, 11, '列表');
INSERT INTO `lang_definitions` VALUES (37607, 3460, 11, '生前遗嘱');
INSERT INTO `lang_definitions` VALUES (37608, 3461, 11, '微光：');
INSERT INTO `lang_definitions` VALUES (37609, 3462, 11, '低熔点');
INSERT INTO `lang_definitions` VALUES (37610, 3464, 11, '负载定义');
INSERT INTO `lang_definitions` VALUES (37611, 3470, 11, 'LOADING');
INSERT INTO `lang_definitions` VALUES (37612, 3471, 11, '加载到数据库中的文件。这将花费一些时间...');
INSERT INTO `lang_definitions` VALUES (37613, 3472, 11, '组委会');
INSERT INTO `lang_definitions` VALUES (37614, 3473, 11, '当地');
INSERT INTO `lang_definitions` VALUES (37615, 3476, 11, '语言环境');
INSERT INTO `lang_definitions` VALUES (37616, 3477, 11, '地方');
INSERT INTO `lang_definitions` VALUES (37617, 3478, 11, '位置');
INSERT INTO `lang_definitions` VALUES (37618, 3479, 11, '位置的libreehr机，并可能包含敏感数据，因此建议手动删除后，其使用的文件');
INSERT INTO `lang_definitions` VALUES (37619, 3480, 11, '这个地段的位置');
INSERT INTO `lang_definitions` VALUES (37620, 3481, 11, '地点不详');
INSERT INTO `lang_definitions` VALUES (37621, 3482, 11, '位置HylaFax等商店传真。');
INSERT INTO `lang_definitions` VALUES (37622, 3483, 11, '扫描存储的位置。');
INSERT INTO `lang_definitions` VALUES (37623, 3484, 11, '地点：');
INSERT INTO `lang_definitions` VALUES (37624, 3485, 11, '锁');
INSERT INTO `lang_definitions` VALUES (37625, 3492, 11, '登录');
INSERT INTO `lang_definitions` VALUES (37626, 3493, 11, '登录');
INSERT INTO `lang_definitions` VALUES (37627, 3494, 11, '注销');
INSERT INTO `lang_definitions` VALUES (37628, 3495, 11, '登录');
INSERT INTO `lang_definitions` VALUES (37629, 3496, 11, '登录为');
INSERT INTO `lang_definitions` VALUES (37630, 3497, 11, '登录为： ');
INSERT INTO `lang_definitions` VALUES (37631, 3498, 11, '注销。');
INSERT INTO `lang_definitions` VALUES (37632, 3500, 11, '登录');
INSERT INTO `lang_definitions` VALUES (37633, 3501, 11, '登录');
INSERT INTO `lang_definitions` VALUES (37634, 3505, 11, '登出');
INSERT INTO `lang_definitions` VALUES (37635, 3506, 11, '注销');
INSERT INTO `lang_definitions` VALUES (37636, 3507, 11, '日志');
INSERT INTO `lang_definitions` VALUES (37637, 3508, 11, '日志查看器');
INSERT INTO `lang_definitions` VALUES (37638, 3510, 11, '抬头');
INSERT INTO `lang_definitions` VALUES (37639, 3511, 11, '很多');
INSERT INTO `lang_definitions` VALUES (37640, 3512, 11, '地段编号失踪！');
INSERT INTO `lang_definitions` VALUES (37641, 3513, 11, '批号');
INSERT INTO `lang_definitions` VALUES (37642, 3514, 11, '低');
INSERT INTO `lang_definitions` VALUES (37643, 3516, 11, '小腿');
INSERT INTO `lang_definitions` VALUES (37644, 3519, 11, '腰椎');
INSERT INTO `lang_definitions` VALUES (37645, 3520, 11, '午餐');
INSERT INTO `lang_definitions` VALUES (37646, 3521, 11, '午餐');
INSERT INTO `lang_definitions` VALUES (37647, 3522, 11, '肺癌');
INSERT INTO `lang_definitions` VALUES (37648, 3523, 11, '肺癌手术');
INSERT INTO `lang_definitions` VALUES (37649, 3524, 11, '肺：');
INSERT INTO `lang_definitions` VALUES (37650, 3525, 11, '肺部：');
INSERT INTO `lang_definitions` VALUES (37651, 3526, 11, '狼疮');
INSERT INTO `lang_definitions` VALUES (37652, 3528, 11, '中号');
INSERT INTO `lang_definitions` VALUES (37653, 3529, 11, '马类');
INSERT INTO `lang_definitions` VALUES (37654, 3530, 11, '马端接受流产');
INSERT INTO `lang_definitions` VALUES (37655, 3531, 11, '马统计');
INSERT INTO `lang_definitions` VALUES (37656, 3533, 11, '邮件发送');
INSERT INTO `lang_definitions` VALUES (37657, 3534, 11, '主');
INSERT INTO `lang_definitions` VALUES (37658, 3535, 11, '主要地址');
INSERT INTO `lang_definitions` VALUES (37659, 3536, 11, '热门窗格屏幕');
INSERT INTO `lang_definitions` VALUES (37660, 3537, 11, '保持积极的药物过敏名单。');
INSERT INTO `lang_definitions` VALUES (37661, 3538, 11, '保持积极的药物清单。');
INSERT INTO `lang_definitions` VALUES (37662, 3539, 11, '保持最新的问题清单，目前活跃的诊断。');
INSERT INTO `lang_definitions` VALUES (37663, 3540, 11, '修改最近的分类');
INSERT INTO `lang_definitions` VALUES (37664, 3541, 11, '新的任命');
INSERT INTO `lang_definitions` VALUES (37665, 3542, 11, '确定');
INSERT INTO `lang_definitions` VALUES (37666, 3543, 11, '分批文本文件上传到结算帐单和标记');
INSERT INTO `lang_definitions` VALUES (37667, 3545, 11, '不舒服');
INSERT INTO `lang_definitions` VALUES (37668, 3548, 11, '男性');
INSERT INTO `lang_definitions` VALUES (37669, 3549, 11, '男性避孕套');
INSERT INTO `lang_definitions` VALUES (37670, 3550, 11, '男性输精管结扎术');
INSERT INTO `lang_definitions` VALUES (37671, 3552, 11, '乳房X线照片');
INSERT INTO `lang_definitions` VALUES (37672, 3553, 11, '处理');
INSERT INTO `lang_definitions` VALUES (37673, 3556, 11, '处理翻译');
INSERT INTO `lang_definitions` VALUES (37674, 3557, 11, '管理');
INSERT INTO `lang_definitions` VALUES (37675, 3558, 11, '强制性和指定的域');
INSERT INTO `lang_definitions` VALUES (37676, 3559, 11, '强制性或特定领域，重复检查，没有搜索');
INSERT INTO `lang_definitions` VALUES (37677, 3560, 11, '强制性或特定领域，搜索和重复检查');
INSERT INTO `lang_definitions` VALUES (37678, 3561, 11, '手册');
INSERT INTO `lang_definitions` VALUES (37679, 3562, 11, '手动记录');
INSERT INTO `lang_definitions` VALUES (37680, 3563, 11, '制造商');
INSERT INTO `lang_definitions` VALUES (37681, 3565, 11, '三月');
INSERT INTO `lang_definitions` VALUES (37682, 3568, 11, '三月');
INSERT INTO `lang_definitions` VALUES (37683, 3569, 11, '婚姻状况');
INSERT INTO `lang_definitions` VALUES (37684, 3571, 11, '标记为已出账单但是略过记账');
INSERT INTO `lang_definitions` VALUES (37685, 3572, 11, '标记为已清除');
INSERT INTO `lang_definitions` VALUES (37686, 3573, 11, '标记为未出账单');
INSERT INTO `lang_definitions` VALUES (37687, 3575, 11, '标记为未清除');
INSERT INTO `lang_definitions` VALUES (37688, 3576, 11, '已婚的');
INSERT INTO `lang_definitions` VALUES (37689, 3578, 11, '面罩');
INSERT INTO `lang_definitions` VALUES (37690, 3579, 11, '发票掩码');
INSERT INTO `lang_definitions` VALUES (37691, 3580, 11, '客户标示掩码');
INSERT INTO `lang_definitions` VALUES (37692, 3581, 11, '产品标示掩码');
INSERT INTO `lang_definitions` VALUES (37693, 3582, 11, '符合');
INSERT INTO `lang_definitions` VALUES (37694, 3591, 11, '最大');
INSERT INTO `lang_definitions` VALUES (37695, 3594, 11, '右侧颚骨');
INSERT INTO `lang_definitions` VALUES (37696, 3595, 11, '最大年龄');
INSERT INTO `lang_definitions` VALUES (37697, 3596, 11, '最大字符数');
INSERT INTO `lang_definitions` VALUES (37698, 3597, 11, '最大空闲时间内注销。默认值为7200（2小时）。');
INSERT INTO `lang_definitions` VALUES (37699, 3600, 11, '最大限度的合理库存，0不适用');
INSERT INTO `lang_definitions` VALUES (37700, 3603, 11, '五月');
INSERT INTO `lang_definitions` VALUES (37701, 3604, 11, '管委会');
INSERT INTO `lang_definitions` VALUES (37702, 3605, 11, '微克');
INSERT INTO `lang_definitions` VALUES (37703, 3607, 11, '最后三个密码手段不允许更改密码时。');
INSERT INTO `lang_definitions` VALUES (37704, 3609, 11, '测量组代码');
INSERT INTO `lang_definitions` VALUES (37705, 3611, 11, '测量组代码');
INSERT INTO `lang_definitions` VALUES (37706, 3612, 11, '内踝');
INSERT INTO `lang_definitions` VALUES (37707, 3613, 11, '医疗补助');
INSERT INTO `lang_definitions` VALUES (37708, 3614, 11, '医学的/内科的');
INSERT INTO `lang_definitions` VALUES (37709, 3615, 11, '药物堕胎');
INSERT INTO `lang_definitions` VALUES (37710, 3616, 11, '医疗管理');
INSERT INTO `lang_definitions` VALUES (37711, 3617, 11, '医疗史');
INSERT INTO `lang_definitions` VALUES (37712, 3618, 11, '医疗问题');
INSERT INTO `lang_definitions` VALUES (37713, 3619, 11, '医疗问题');
INSERT INTO `lang_definitions` VALUES (37714, 3620, 11, '医疗问题');
INSERT INTO `lang_definitions` VALUES (37715, 3623, 11, '医疗问题');
INSERT INTO `lang_definitions` VALUES (37716, 3624, 11, '医学');
INSERT INTO `lang_definitions` VALUES (37717, 3625, 11, '病案＃');
INSERT INTO `lang_definitions` VALUES (37718, 3626, 11, '病案');
INSERT INTO `lang_definitions` VALUES (37719, 3627, 11, '发送的医疗记录');
INSERT INTO `lang_definitions` VALUES (37720, 3629, 11, '给出病例摘要');
INSERT INTO `lang_definitions` VALUES (37721, 3630, 11, '医疗系统');
INSERT INTO `lang_definitions` VALUES (37722, 3631, 11, '医疗类型');
INSERT INTO `lang_definitions` VALUES (37723, 3632, 11, '医学史（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (37724, 3633, 11, '医疗保险的B部分');
INSERT INTO `lang_definitions` VALUES (37725, 3634, 11, '医疗保险受益人');
INSERT INTO `lang_definitions` VALUES (37726, 3635, 11, '药物');
INSERT INTO `lang_definitions` VALUES (37727, 3636, 11, '药物过敏列表');
INSERT INTO `lang_definitions` VALUES (37728, 3638, 11, '药物列表');
INSERT INTO `lang_definitions` VALUES (37729, 3639, 11, '药物和解？');
INSERT INTO `lang_definitions` VALUES (37730, 3640, 11, '药物');
INSERT INTO `lang_definitions` VALUES (37731, 3641, 11, '药物：');
INSERT INTO `lang_definitions` VALUES (37732, 3642, 11, '内科');
INSERT INTO `lang_definitions` VALUES (37733, 3643, 11, '媒体');
INSERT INTO `lang_definitions` VALUES (37734, 3645, 11, '会员协会数据报告');
INSERT INTO `lang_definitions` VALUES (37735, 3646, 11, '记忆问题');
INSERT INTO `lang_definitions` VALUES (37736, 3647, 11, '男性');
INSERT INTO `lang_definitions` VALUES (37737, 3648, 11, '男性和女性');
INSERT INTO `lang_definitions` VALUES (37738, 3649, 11, '只有男性');
INSERT INTO `lang_definitions` VALUES (37739, 3650, 11, '月经初潮');
INSERT INTO `lang_definitions` VALUES (37740, 3651, 11, '停经期，更年期');
INSERT INTO `lang_definitions` VALUES (37741, 3652, 11, '月经');
INSERT INTO `lang_definitions` VALUES (37742, 3653, 11, '月经频率');
INSERT INTO `lang_definitions` VALUES (37743, 3654, 11, '心理疾病');
INSERT INTO `lang_definitions` VALUES (37744, 3661, 11, '消息');
INSERT INTO `lang_definitions` VALUES (37745, 3662, 11, '信息和提醒中心');
INSERT INTO `lang_definitions` VALUES (37746, 3665, 11, '发送信息');
INSERT INTO `lang_definitions` VALUES (37747, 3666, 11, '信息状态');
INSERT INTO `lang_definitions` VALUES (37748, 3670, 11, '消息');
INSERT INTO `lang_definitions` VALUES (37749, 3671, 11, '信息');
INSERT INTO `lang_definitions` VALUES (37750, 3672, 11, '今天发送的信息');
INSERT INTO `lang_definitions` VALUES (37751, 3673, 11, '方法');
INSERT INTO `lang_definitions` VALUES (37752, 3674, 11, '方法和产品');
INSERT INTO `lang_definitions` VALUES (37753, 3675, 11, '发送电子邮件的方法。');
INSERT INTO `lang_definitions` VALUES (37754, 3676, 11, '破坏性方法');
INSERT INTO `lang_definitions` VALUES (37755, 3677, 11, '墨西哥/ MexAmer的/奇卡诺');
INSERT INTO `lang_definitions` VALUES (37756, 3679, 11, '毫克');
INSERT INTO `lang_definitions` VALUES (37757, 3680, 11, '毫克/1立方厘米');
INSERT INTO `lang_definitions` VALUES (37758, 3681, 11, '毫克/2立方厘米');
INSERT INTO `lang_definitions` VALUES (37759, 3682, 11, '毫克/3立方厘米');
INSERT INTO `lang_definitions` VALUES (37760, 3683, 11, '毫克/4立方厘米');
INSERT INTO `lang_definitions` VALUES (37761, 3684, 11, '毫克/5立方厘');
INSERT INTO `lang_definitions` VALUES (37762, 3685, 11, '毫克/升');
INSERT INTO `lang_definitions` VALUES (37763, 3686, 11, '中间');
INSERT INTO `lang_definitions` VALUES (37764, 3687, 11, '名和姓之间的名字');
INSERT INTO `lang_definitions` VALUES (37765, 3688, 11, '中间名字');
INSERT INTO `lang_definitions` VALUES (37766, 3690, 11, '中级处方分析');
INSERT INTO `lang_definitions` VALUES (37767, 3691, 11, '中级处方名');
INSERT INTO `lang_definitions` VALUES (37768, 3692, 11, '中级处方姓氏');
INSERT INTO `lang_definitions` VALUES (37769, 3693, 11, '中层处方前缀');
INSERT INTO `lang_definitions` VALUES (37770, 3694, 11, '中级处方的UPIN');
INSERT INTO `lang_definitions` VALUES (37771, 3695, 11, '风采');
INSERT INTO `lang_definitions` VALUES (37772, 3696, 11, '移民和季节性工人？');
INSERT INTO `lang_definitions` VALUES (37773, 3697, 11, '移民/季节');
INSERT INTO `lang_definitions` VALUES (37774, 3698, 11, 'MIL / CU.MM');
INSERT INTO `lang_definitions` VALUES (37775, 3702, 11, 'Mime类型');
INSERT INTO `lang_definitions` VALUES (37776, 3703, 11, '分');
INSERT INTO `lang_definitions` VALUES (37777, 3704, 11, '分');
INSERT INTO `lang_definitions` VALUES (37778, 3705, 11, '最低年龄');
INSERT INTO `lang_definitions` VALUES (37779, 3706, 11, '小关节劳损+ / -滑膜炎');
INSERT INTO `lang_definitions` VALUES (37780, 3708, 11, '分钟');
INSERT INTO `lang_definitions` VALUES (37781, 3709, 11, '分钟');
INSERT INTO `lang_definitions` VALUES (37782, 3710, 11, '分钟');
INSERT INTO `lang_definitions` VALUES (37783, 3712, 11, '其他类型');
INSERT INTO `lang_definitions` VALUES (37784, 3713, 11, '杂项帐单选项');
INSERT INTO `lang_definitions` VALUES (37785, 3714, 11, '其他结算方式的医疗卫生融资- 1500');
INSERT INTO `lang_definitions` VALUES (37786, 3715, 11, '杂项帐单选项相关');
INSERT INTO `lang_definitions` VALUES (37787, 3716, 11, '杂项');
INSERT INTO `lang_definitions` VALUES (37788, 3717, 11, '丢失');
INSERT INTO `lang_definitions` VALUES (37789, 3718, 11, '丢失');
INSERT INTO `lang_definitions` VALUES (37790, 3719, 11, '缺少必要的字段');
INSERT INTO `lang_definitions` VALUES (37791, 3720, 11, '遗失费用');
INSERT INTO `lang_definitions` VALUES (37792, 3721, 11, '丢失的MODS');
INSERT INTO `lang_definitions` VALUES (37793, 3722, 11, '丢失或无效');
INSERT INTO `lang_definitions` VALUES (37794, 3723, 11, '椎间盘脱出缺失');
INSERT INTO `lang_definitions` VALUES (37795, 3724, 11, '丢失报告日期');
INSERT INTO `lang_definitions` VALUES (37796, 3725, 11, '丢失斜线付款人源代码后 ');
INSERT INTO `lang_definitions` VALUES (37797, 3726, 11, '混合');
INSERT INTO `lang_definitions` VALUES (37798, 3727, 11, '毫升');
INSERT INTO `lang_definitions` VALUES (37799, 3728, 11, '月/日/年');
INSERT INTO `lang_definitions` VALUES (37800, 3729, 11, '毫米/汞柱');
INSERT INTO `lang_definitions` VALUES (37801, 3730, 11, '毫米汞柱');
INSERT INTO `lang_definitions` VALUES (37802, 3731, 11, '孕产妇死亡率1');
INSERT INTO `lang_definitions` VALUES (37803, 3732, 11, '孕产妇死亡率2');
INSERT INTO `lang_definitions` VALUES (37804, 3733, 11, '移动');
INSERT INTO `lang_definitions` VALUES (37805, 3734, 11, '移动电话');
INSERT INTO `lang_definitions` VALUES (37806, 3735, 11, '修改');
INSERT INTO `lang_definitions` VALUES (37807, 3741, 11, '调节器');
INSERT INTO `lang_definitions` VALUES (37808, 3742, 11, '调节器');
INSERT INTO `lang_definitions` VALUES (37809, 3745, 11, '修改付款');
INSERT INTO `lang_definitions` VALUES (37810, 3746, 11, '修改长度');
INSERT INTO `lang_definitions` VALUES (37811, 3753, 11, '一');
INSERT INTO `lang_definitions` VALUES (37812, 3754, 11, '周一至周五');
INSERT INTO `lang_definitions` VALUES (37813, 3755, 11, 'Wed &amp; Fri');
INSERT INTO `lang_definitions` VALUES (37814, 3756, 11, '周一');
INSERT INTO `lang_definitions` VALUES (37815, 3758, 11, '月');
INSERT INTO `lang_definitions` VALUES (37816, 3759, 11, '月');
INSERT INTO `lang_definitions` VALUES (37817, 3760, 11, '按月查看');
INSERT INTO `lang_definitions` VALUES (37818, 3761, 11, '月');
INSERT INTO `lang_definitions` VALUES (37819, 3762, 11, '月收入');
INSERT INTO `lang_definitions` VALUES (37820, 3763, 11, '几个月');
INSERT INTO `lang_definitions` VALUES (37821, 3765, 11, '超过100的记录，发现。请缩小您的搜索标准。');
INSERT INTO `lang_definitions` VALUES (37822, 3766, 11, '超过50的结果，请让您的搜索更具体。');
INSERT INTO `lang_definitions` VALUES (37823, 3767, 11, '大多数列标题可以点击更改排序顺序');
INSERT INTO `lang_definitions` VALUES (37824, 3768, 11, '最近从');
INSERT INTO `lang_definitions` VALUES (37825, 3770, 11, '从最新的生命迹象：');
INSERT INTO `lang_definitions` VALUES (37826, 3771, 11, '母亲');
INSERT INTO `lang_definitions` VALUES (37827, 3772, 11, '母亲姓名');
INSERT INTO `lang_definitions` VALUES (37828, 3774, 11, '口');
INSERT INTO `lang_definitions` VALUES (37829, 3775, 11, '移动');
INSERT INTO `lang_definitions` VALUES (37830, 3776, 11, '移动文件类型');
INSERT INTO `lang_definitions` VALUES (37831, 3777, 11, '下移');
INSERT INTO `lang_definitions` VALUES (37832, 3779, 11, '移动客户');
INSERT INTO `lang_definitions` VALUES (37833, 3780, 11, '移动到');
INSERT INTO `lang_definitions` VALUES (37834, 3781, 11, '上移');
INSERT INTO `lang_definitions` VALUES (37835, 3783, 11, '先生');
INSERT INTO `lang_definitions` VALUES (37836, 3785, 11, '女士');
INSERT INTO `lang_definitions` VALUES (37837, 3786, 11, '小姐');
INSERT INTO `lang_definitions` VALUES (37838, 3794, 11, 'MSP代码');
INSERT INTO `lang_definitions` VALUES (37839, 3796, 11, '多语工具');
INSERT INTO `lang_definitions` VALUES (37840, 3797, 11, '多个地区');
INSERT INTO `lang_definitions` VALUES (37841, 3799, 11, '多个地段');
INSERT INTO `lang_definitions` VALUES (37842, 3800, 11, '多个修饰符可以由逗号分隔或空间，最大4（M 1：平方米：立方米：M 4）');
INSERT INTO `lang_definitions` VALUES (37843, 3802, 11, '多种族');
INSERT INTO `lang_definitions` VALUES (37844, 3803, 11, '杂音');
INSERT INTO `lang_definitions` VALUES (37845, 3804, 11, '肌肉疼痛');
INSERT INTO `lang_definitions` VALUES (37846, 3805, 11, '肌肉疼痛');
INSERT INTO `lang_definitions` VALUES (37847, 3806, 11, '肌肉发红');
INSERT INTO `lang_definitions` VALUES (37848, 3807, 11, '肌肉僵硬');
INSERT INTO `lang_definitions` VALUES (37849, 3808, 11, '肌肉肿胀');
INSERT INTO `lang_definitions` VALUES (37850, 3809, 11, '肌肉温度');
INSERT INTO `lang_definitions` VALUES (37851, 3810, 11, '肌肉');
INSERT INTO `lang_definitions` VALUES (37852, 3811, 11, '肌肉损伤');
INSERT INTO `lang_definitions` VALUES (37853, 3812, 11, '肌肉骨骼');
INSERT INTO `lang_definitions` VALUES (37854, 3813, 11, '如果不使用SM TP认证必须是空的。');
INSERT INTO `lang_definitions` VALUES (37855, 3814, 11, '共同定义');
INSERT INTO `lang_definitions` VALUES (37856, 3815, 11, '机械振荡分析');
INSERT INTO `lang_definitions` VALUES (37857, 3818, 11, '我自己的');
INSERT INTO `lang_definitions` VALUES (37858, 3821, 11, '不适合');
INSERT INTO `lang_definitions` VALUES (37859, 3822, 11, '不适合');
INSERT INTO `lang_definitions` VALUES (37860, 3823, 11, '名字');
INSERT INTO `lang_definitions` VALUES (37861, 3825, 11, '名称（查看更多）');
INSERT INTO `lang_definitions` VALUES (37862, 3826, 11, '名字1');
INSERT INTO `lang_definitions` VALUES (37863, 3827, 11, '名字2');
INSERT INTO `lang_definitions` VALUES (37864, 3828, 11, '姓名与头衔的免疫系统管理员');
INSERT INTO `lang_definitions` VALUES (37865, 3831, 11, '活动名称');
INSERT INTO `lang_definitions` VALUES (37866, 3832, 11, '保险公司名称');
INSERT INTO `lang_definitions` VALUES (37867, 3833, 11, '服务人员名称');
INSERT INTO `lang_definitions` VALUES (37868, 3834, 11, '客户提醒发件人名称');
INSERT INTO `lang_definitions` VALUES (37869, 3835, 11, '翻译名称');
INSERT INTO `lang_definitions` VALUES (37870, 3836, 11, '名称/内容');
INSERT INTO `lang_definitions` VALUES (37871, 3837, 11, '名称：');
INSERT INTO `lang_definitions` VALUES (37872, 3838, 11, '鼻腔：');
INSERT INTO `lang_definitions` VALUES (37873, 3839, 11, '鼻腔：右侧正常');
INSERT INTO `lang_definitions` VALUES (37874, 3840, 11, '鼻粘膜粉红色，隔中线');
INSERT INTO `lang_definitions` VALUES (37875, 3841, 11, '国家债券');
INSERT INTO `lang_definitions` VALUES (37876, 3842, 11, '国家债券配置');
INSERT INTO `lang_definitions` VALUES (37877, 3844, 11, '国籍');
INSERT INTO `lang_definitions` VALUES (37878, 3845, 11, '国家债券');
INSERT INTO `lang_definitions` VALUES (37879, 3847, 11, '夏威夷原住民和其他太平洋岛民');
INSERT INTO `lang_definitions` VALUES (37880, 3852, 11, '反胃恶心');
INSERT INTO `lang_definitions` VALUES (37881, 3854, 11, '导航');
INSERT INTO `lang_definitions` VALUES (37882, 3855, 11, '导航区包括遇到的形式');
INSERT INTO `lang_definitions` VALUES (37883, 3856, 11, '导航区采用全高框架');
INSERT INTO `lang_definitions` VALUES (37884, 3857, 11, '区域导航门诊');
INSERT INTO `lang_definitions` VALUES (37885, 3858, 11, '导航区宽度');
INSERT INTO `lang_definitions` VALUES (37886, 3859, 11, '导航菜单包括对单选按钮');
INSERT INTO `lang_definitions` VALUES (37887, 3860, 11, '导航菜单树视图');
INSERT INTO `lang_definitions` VALUES (37888, 3861, 11, '导航用滑动菜单');
INSERT INTO `lang_definitions` VALUES (37889, 3862, 11, '规格化设备坐标');
INSERT INTO `lang_definitions` VALUES (37890, 3864, 11, '规格化设备坐标号码');
INSERT INTO `lang_definitions` VALUES (37891, 3866, 11, '颈部');
INSERT INTO `lang_definitions` VALUES (37892, 3867, 11, '颈部问题');
INSERT INTO `lang_definitions` VALUES (37893, 3868, 11, '颈部柔软');
INSERT INTO `lang_definitions` VALUES (37894, 3869, 11, '需要输入一个描述');
INSERT INTO `lang_definitions` VALUES (37895, 3870, 11, '需要输入一个返回值');
INSERT INTO `lang_definitions` VALUES (37896, 3871, 11, '需要输入标识符');
INSERT INTO `lang_definitions` VALUES (37897, 3872, 11, '需要输入标题');
INSERT INTO `lang_definitions` VALUES (37898, 3873, 11, '需要验证');
INSERT INTO `lang_definitions` VALUES (37899, 3874, 11, '需要对齐');
INSERT INTO `lang_definitions` VALUES (37900, 3875, 11, '需要二次计费');
INSERT INTO `lang_definitions` VALUES (37901, 3876, 11, '阴性');
INSERT INTO `lang_definitions` VALUES (37902, 3877, 11, '阴性');
INSERT INTO `lang_definitions` VALUES (37903, 3880, 11, '神经损伤');
INSERT INTO `lang_definitions` VALUES (37904, 3881, 11, '神经/神经损害');
INSERT INTO `lang_definitions` VALUES (37905, 3882, 11, '神经麻木');
INSERT INTO `lang_definitions` VALUES (37906, 3883, 11, '神经虚弱');
INSERT INTO `lang_definitions` VALUES (37907, 3884, 11, '神经系统');
INSERT INTO `lang_definitions` VALUES (37908, 3885, 11, '从不');
INSERT INTO `lang_definitions` VALUES (37909, 3886, 11, '从不喝酒');
INSERT INTO `lang_definitions` VALUES (37910, 3887, 11, '从不吸烟');
INSERT INTO `lang_definitions` VALUES (37911, 3888, 11, '新');
INSERT INTO `lang_definitions` VALUES (37912, 3889, 11, '新=>');
INSERT INTO `lang_definitions` VALUES (37913, 3890, 11, '新的受体');
INSERT INTO `lang_definitions` VALUES (37914, 3892, 11, '新过敏');
INSERT INTO `lang_definitions` VALUES (37915, 3894, 11, '新的任命');
INSERT INTO `lang_definitions` VALUES (37916, 3895, 11, '新类型');
INSERT INTO `lang_definitions` VALUES (37917, 3896, 11, '新类型');
INSERT INTO `lang_definitions` VALUES (37918, 3897, 11, '新客户');
INSERT INTO `lang_definitions` VALUES (37919, 3898, 11, '新的咨询');
INSERT INTO `lang_definitions` VALUES (37920, 3899, 11, '新作物');
INSERT INTO `lang_definitions` VALUES (37921, 3900, 11, '新的定义设置添加');
INSERT INTO `lang_definitions` VALUES (37922, 3901, 11, '新建文档');
INSERT INTO `lang_definitions` VALUES (37923, 3904, 11, '新的治疗');
INSERT INTO `lang_definitions` VALUES (37924, 3905, 11, '创建新的治疗编号');
INSERT INTO `lang_definitions` VALUES (37925, 3906, 11, '新的治疗表格');
INSERT INTO `lang_definitions` VALUES (37926, 3907, 11, '新的治疗未授权');
INSERT INTO `lang_definitions` VALUES (37927, 3908, 11, '新Enctr');
INSERT INTO `lang_definitions` VALUES (37928, 3909, 11, '新的设施信息');
INSERT INTO `lang_definitions` VALUES (37929, 3912, 11, '新组');
INSERT INTO `lang_definitions` VALUES (37930, 3913, 11, '新组信息');
INSERT INTO `lang_definitions` VALUES (37931, 3914, 11, '新损伤/状态');
INSERT INTO `lang_definitions` VALUES (37932, 3916, 11, '事件新的限制');
INSERT INTO `lang_definitions` VALUES (37933, 3917, 11, '新表格');
INSERT INTO `lang_definitions` VALUES (37934, 3918, 11, '新医嘱');
INSERT INTO `lang_definitions` VALUES (37935, 3919, 11, '新段落');
INSERT INTO `lang_definitions` VALUES (37936, 3920, 11, '新密码');
INSERT INTO `lang_definitions` VALUES (37937, 3921, 11, '新客户');
INSERT INTO `lang_definitions` VALUES (37938, 3922, 11, '新客户');
INSERT INTO `lang_definitions` VALUES (37939, 3923, 11, '新客户治疗');
INSERT INTO `lang_definitions` VALUES (37940, 3924, 11, '新客户表格');
INSERT INTO `lang_definitions` VALUES (37941, 3925, 11, '新客户编号');
INSERT INTO `lang_definitions` VALUES (37942, 3926, 11, '新的付款方式');
INSERT INTO `lang_definitions` VALUES (37943, 3928, 11, '新客户');
INSERT INTO `lang_definitions` VALUES (37944, 3929, 11, '实验室新成果');
INSERT INTO `lang_definitions` VALUES (37945, 3930, 11, '新搜索');
INSERT INTO `lang_definitions` VALUES (37946, 3931, 11, '新的提名');
INSERT INTO `lang_definitions` VALUES (37947, 3932, 11, '新用户');
INSERT INTO `lang_definitions` VALUES (37948, 3934, 11, '新门诊');
INSERT INTO `lang_definitions` VALUES (37949, 3935, 11, '新/搜索');
INSERT INTO `lang_definitions` VALUES (37950, 3936, 11, 'NewCrop帐户状态');
INSERT INTO `lang_definitions` VALUES (37951, 3937, 11, 'NewCrop管理');
INSERT INTO `lang_definitions` VALUES (37952, 3938, 11, 'NewCrop呼叫失败');
INSERT INTO `lang_definitions` VALUES (37953, 3939, 11, 'NewCrop一声');
INSERT INTO `lang_definitions` VALUES (37954, 3944, 11, 'NewCrop ERX名字');
INSERT INTO `lang_definitions` VALUES (37955, 3945, 11, 'NewCrop ERX合作伙伴名字');
INSERT INTO `lang_definitions` VALUES (37956, 3946, 11, 'NewCrop ERX密码');
INSERT INTO `lang_definitions` VALUES (37957, 3947, 11, 'NewCrop ERX的角色');
INSERT INTO `lang_definitions` VALUES (37958, 3948, 11, 'NewCrop ERX的角色');
INSERT INTO `lang_definitions` VALUES (37959, 3949, 11, 'NewCrop ERX网站地址');
INSERT INTO `lang_definitions` VALUES (37960, 3954, 11, 'NewCrop ERX网络服务地址');
INSERT INTO `lang_definitions` VALUES (37961, 3955, 11, 'NewCrop ERX经理');
INSERT INTO `lang_definitions` VALUES (37962, 3956, 11, 'NewCrop ERX MedEntry');
INSERT INTO `lang_definitions` VALUES (37963, 3957, 11, 'NewCrop ERX中级处方');
INSERT INTO `lang_definitions` VALUES (37964, 3958, 11, 'NewCrop ERX护士');
INSERT INTO `lang_definitions` VALUES (37965, 3959, 11, 'NewCrop ERX监督医生');
INSERT INTO `lang_definitions` VALUES (37966, 3961, 11, '报纸');
INSERT INTO `lang_definitions` VALUES (37967, 3962, 11, '下一个');
INSERT INTO `lang_definitions` VALUES (37968, 3964, 11, '第二天');
INSERT INTO `lang_definitions` VALUES (37969, 3965, 11, '下个月');
INSERT INTO `lang_definitions` VALUES (37970, 3966, 11, '下个月（按住菜单）');
INSERT INTO `lang_definitions` VALUES (37971, 3968, 11, '下周');
INSERT INTO `lang_definitions` VALUES (37972, 3969, 11, '明年（按住菜单）');
INSERT INTO `lang_definitions` VALUES (37973, 3971, 11, '昵称');
INSERT INTO `lang_definitions` VALUES (37974, 3973, 11, '盗汗');
INSERT INTO `lang_definitions` VALUES (37975, 3975, 11, '否');
INSERT INTO `lang_definitions` VALUES (37976, 3976, 11, '否');
INSERT INTO `lang_definitions` VALUES (37977, 3977, 11, '禁止存取');
INSERT INTO `lang_definitions` VALUES (37978, 3978, 11, '没有启动疗程客户的提醒。');
INSERT INTO `lang_definitions` VALUES (37979, 3980, 11, '没有调整的原因类型的发现');
INSERT INTO `lang_definitions` VALUES (37980, 3983, 11, '没有预约');
INSERT INTO `lang_definitions` VALUES (37981, 3985, 11, '没有计费系统是目前活跃');
INSERT INTO `lang_definitions` VALUES (37982, 3987, 11, '没有发现包括在产品出口');
INSERT INTO `lang_definitions` VALUES (37983, 3989, 11, '没有代码指定！');
INSERT INTO `lang_definitions` VALUES (37984, 3992, 11, '没有诊断');
INSERT INTO `lang_definitions` VALUES (37985, 3993, 11, '没有诊断档案');
INSERT INTO `lang_definitions` VALUES (37986, 3995, 11, '没有结束日期');
INSERT INTO `lang_definitions` VALUES (37987, 3996, 11, '未找到任何条目，请使用下面的表格添加条目。');
INSERT INTO `lang_definitions` VALUES (37988, 3997, 11, '没有找到错误');
INSERT INTO `lang_definitions` VALUES (37989, 3998, 11, '没有事件');
INSERT INTO `lang_definitions` VALUES (37990, 4001, 11, '没有被选中');
INSERT INTO `lang_definitions` VALUES (37991, 4002, 11, '没有疝气');
INSERT INTO `lang_definitions` VALUES (37992, 4005, 11, '没有伤害/疾病');
INSERT INTO `lang_definitions` VALUES (37993, 4006, 11, '没有保险公司');
INSERT INTO `lang_definitions` VALUES (37994, 4007, 11, '没有问题');
INSERT INTO `lang_definitions` VALUES (37995, 4009, 11, '没有项目在选定的类别');
INSERT INTO `lang_definitions` VALUES (37996, 4010, 11, '没有一项被选中！');
INSERT INTO `lang_definitions` VALUES (37997, 4025, 11, '没有日志文件存在选定日期');
INSERT INTO `lang_definitions` VALUES (37998, 4027, 11, '没有肿块，压痛');
INSERT INTO `lang_definitions` VALUES (37999, 4028, 11, '对于所有在识别代码，没有发现符合的客户');
INSERT INTO `lang_definitions` VALUES (38000, 4030, 11, '没有发现匹配。');
INSERT INTO `lang_definitions` VALUES (38001, 4031, 11, '没有发现匹配。创建新的客户吗？');
INSERT INTO `lang_definitions` VALUES (38002, 4033, 11, '没有发现新的研究成果');
INSERT INTO `lang_definitions` VALUES (38003, 4034, 11, '没有备注');
INSERT INTO `lang_definitions` VALUES (38004, 4035, 11, '没有器官肿大');
INSERT INTO `lang_definitions` VALUES (38005, 4036, 11, '没有被发现的这一时期。');
INSERT INTO `lang_definitions` VALUES (38006, 4037, 11, '没有其他的电话号码列');
INSERT INTO `lang_definitions` VALUES (38007, 4039, 11, '没有找到合作伙伴');
INSERT INTO `lang_definitions` VALUES (38008, 4040, 11, '没有客户记录发现特定的选择标准');
INSERT INTO `lang_definitions` VALUES (38009, 4041, 11, '没有客户记录发现对于给定的重新识别代码');
INSERT INTO `lang_definitions` VALUES (38010, 4042, 11, '无周边水肿');
INSERT INTO `lang_definitions` VALUES (38011, 4043, 11, '没有找到药房');
INSERT INTO `lang_definitions` VALUES (38012, 4044, 11, '没有找到处方');
INSERT INTO `lang_definitions` VALUES (38013, 4045, 11, '没有呈现疾病/损伤');
INSERT INTO `lang_definitions` VALUES (38014, 4046, 11, '没有以前的作品。');
INSERT INTO `lang_definitions` VALUES (38015, 4047, 11, '没有经营实体，设施清单中选择');
INSERT INTO `lang_definitions` VALUES (38016, 4051, 11, '没有提供发现');
INSERT INTO `lang_definitions` VALUES (38017, 4052, 11, '没有皮疹或异常病变');
INSERT INTO `lang_definitions` VALUES (38018, 4053, 11, '没有找到记录');
INSERT INTO `lang_definitions` VALUES (38019, 4055, 11, '没有找到记录。请扩大您的搜索条件。');
INSERT INTO `lang_definitions` VALUES (38020, 4056, 11, '没有提醒');
INSERT INTO `lang_definitions` VALUES (38021, 4057, 11, '没有结果发现，上述搜索条件。');
INSERT INTO `lang_definitions` VALUES (38022, 4058, 11, '没有结果');
INSERT INTO `lang_definitions` VALUES (38023, 4060, 11, '对于搜索没有找到结果');
INSERT INTO `lang_definitions` VALUES (38024, 4061, 11, '找不到结果，请再试一次。');
INSERT INTO `lang_definitions` VALUES (38025, 4062, 11, '没有结果，请再次托盘。');
INSERT INTO `lang_definitions` VALUES (38026, 4063, 11, '没有结果，请再试一次。');
INSERT INTO `lang_definitions` VALUES (38027, 4065, 11, '没有展示');
INSERT INTO `lang_definitions` VALUES (38028, 4067, 11, '无窦嫩：');
INSERT INTO `lang_definitions` VALUES (38029, 4068, 11, '没有皮肤压痕或乳腺结节');
INSERT INTO `lang_definitions` VALUES (38030, 4069, 11, '没有这样的上下文名称');
INSERT INTO `lang_definitions` VALUES (38031, 4071, 11, '没有睾丸触痛，群众');
INSERT INTO `lang_definitions` VALUES (38032, 4072, 11, '没有惊险刺激或抛掷');
INSERT INTO `lang_definitions` VALUES (38033, 4075, 11, '没有门诊');
INSERT INTO `lang_definitions` VALUES (38034, 4076, 11, '命脉已被记录在案。');
INSERT INTO `lang_definitions` VALUES (38035, 4077, 11, '不，取消');
INSERT INTO `lang_definitions` VALUES (38036, 4078, 11, '包括自动的无过失保险是小学');
INSERT INTO `lang_definitions` VALUES (38037, 4079, 11, '编号：');
INSERT INTO `lang_definitions` VALUES (38038, 4080, 11, '夜尿');
INSERT INTO `lang_definitions` VALUES (38039, 4081, 11, '非付费');
INSERT INTO `lang_definitions` VALUES (38040, 4082, 11, '非报告的报告');
INSERT INTO `lang_definitions` VALUES (38041, 4083, 11, '非特异性损伤');
INSERT INTO `lang_definitions` VALUES (38042, 4084, 11, '非电子');
INSERT INTO `lang_definitions` VALUES (38043, 4085, 11, '非胰岛素依赖型糖尿病');
INSERT INTO `lang_definitions` VALUES (38044, 4087, 11, '非生殖健康医疗');
INSERT INTO `lang_definitions` VALUES (38045, 4088, 11, '非生殖健康的非医疗');
INSERT INTO `lang_definitions` VALUES (38046, 4089, 11, '没有');
INSERT INTO `lang_definitions` VALUES (38047, 4090, 11, '没有');
INSERT INTO `lang_definitions` VALUES (38048, 4091, 11, '没有定义');
INSERT INTO `lang_definitions` VALUES (38049, 4092, 11, '没有被记录在案');
INSERT INTO `lang_definitions` VALUES (38050, 4093, 11, '以上皆非');
INSERT INTO `lang_definitions` VALUES (38051, 4094, 11, '顶配行没有能够完全地空白。');
INSERT INTO `lang_definitions` VALUES (38052, 4095, 11, '非胰岛素依赖型');
INSERT INTO `lang_definitions` VALUES (38053, 4096, 11, '也不');
INSERT INTO `lang_definitions` VALUES (38054, 4097, 11, '正常');
INSERT INTO `lang_definitions` VALUES (38055, 4098, 11, '正常的“基本法”');
INSERT INTO `lang_definitions` VALUES (38056, 4099, 11, '心脏正常考试：');
INSERT INTO `lang_definitions` VALUES (38057, 4100, 11, '心脏正常考试： ');
INSERT INTO `lang_definitions` VALUES (38058, 4101, 11, '正常肺组织考试：');
INSERT INTO `lang_definitions` VALUES (38059, 4102, 11, '正常肺组织考试： ');
INSERT INTO `lang_definitions` VALUES (38060, 4103, 11, '普通办公室门诊');
INSERT INTO `lang_definitions` VALUES (38061, 4104, 11, '正常口咽：');
INSERT INTO `lang_definitions` VALUES (38062, 4105, 11, '正常吗');
INSERT INTO `lang_definitions` VALUES (38063, 4106, 11, '正常右：');
INSERT INTO `lang_definitions` VALUES (38064, 4107, 11, '普通视图');
INSERT INTO `lang_definitions` VALUES (38065, 4108, 11, '正常情况：');
INSERT INTO `lang_definitions` VALUES (38066, 4109, 11, '通常，这应该被选中。不相关的门诊控制。');
INSERT INTO `lang_definitions` VALUES (38067, 4112, 11, '挪威');
INSERT INTO `lang_definitions` VALUES (38068, 4115, 11, '鼻子');
INSERT INTO `lang_definitions` VALUES (38069, 4116, 11, '鼻血');
INSERT INTO `lang_definitions` VALUES (38070, 4117, 11, '不是一个字母或数字');
INSERT INTO `lang_definitions` VALUES (38071, 4119, 11, '并不是所有的领域都需要所有的代码或代码类型。');
INSERT INTO `lang_definitions` VALUES (38072, 4120, 11, '不允许');
INSERT INTO `lang_definitions` VALUES (38073, 4121, 11, '不允许删除Administrators组');
INSERT INTO `lang_definitions` VALUES (38074, 4122, 11, '不允许编辑');
INSERT INTO `lang_definitions` VALUES (38075, 4123, 11, '不允许灭活所有安全对象');
INSERT INTO `lang_definitions` VALUES (38076, 4124, 11, '不允许任何灭活从管理员ACL');
INSERT INTO `lang_definitions` VALUES (38077, 4125, 11, '不允许从Administrators组删除admin用户');
INSERT INTO `lang_definitions` VALUES (38078, 4126, 11, '不允许从Administrators组删除该用户');
INSERT INTO `lang_definitions` VALUES (38079, 4128, 11, '未经授权门诊PostCalendar模块');
INSERT INTO `lang_definitions` VALUES (38080, 4129, 11, '未经授权');
INSERT INTO `lang_definitions` VALUES (38081, 4130, 11, '未经授权');
INSERT INTO `lang_definitions` VALUES (38082, 4131, 11, '这支球队没有授权！');
INSERT INTO `lang_definitions` VALUES (38083, 4132, 11, '这支球队没有授权。');
INSERT INTO `lang_definitions` VALUES (38084, 4135, 11, '不提供');
INSERT INTO `lang_definitions` VALUES (38085, 4137, 11, '不收费');
INSERT INTO `lang_definitions` VALUES (38086, 4138, 11, '不检查');
INSERT INTO `lang_definitions` VALUES (38087, 4139, 11, '未签出');
INSERT INTO `lang_definitions` VALUES (38088, 4141, 11, '不因');
INSERT INTO `lang_definitions` VALUES (38089, 4143, 11, '不检查');
INSERT INTO `lang_definitions` VALUES (38090, 4144, 11, '不检查：');
INSERT INTO `lang_definitions` VALUES (38091, 4145, 11, '不检查： ');
INSERT INTO `lang_definitions` VALUES (38092, 4146, 11, '未找到');
INSERT INTO `lang_definitions` VALUES (38093, 4148, 11, '没有找到！');
INSERT INTO `lang_definitions` VALUES (38094, 4149, 11, '非西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (38095, 4152, 11, '以来从未见过');
INSERT INTO `lang_definitions` VALUES (38096, 4154, 11, '不发了');
INSERT INTO `lang_definitions` VALUES (38097, 4156, 11, '未指定。');
INSERT INTO `lang_definitions` VALUES (38098, 4157, 11, '注意');
INSERT INTO `lang_definitions` VALUES (38099, 4158, 11, '注意代码');
INSERT INTO `lang_definitions` VALUES (38100, 4159, 11, '注意将需要5-10分钟充分处理后，你点击安装');
INSERT INTO `lang_definitions` VALUES (38101, 4160, 11, '注意将需要5-10分钟充分处理后，单击“升级”');
INSERT INTO `lang_definitions` VALUES (38102, 4161, 11, '请注意，审计记录需要启用以上');
INSERT INTO `lang_definitions` VALUES (38103, 4162, 11, '注类型');
INSERT INTO `lang_definitions` VALUES (38104, 4168, 11, '注：此代码没有被授权的用户。只有授权的代码可以被上传到开放的医疗帐单处理网络。如果你想上传这些代码，请选择一个授权的用户在这里。');
INSERT INTO `lang_definitions` VALUES (38105, 4170, 11, '注：上传文件和重复的名字将导致文件被自动地重新命名（例如，file.jpg将成为文件。1版。）。文件名被认为是独特的每个客户，而不是每类。');
INSERT INTO `lang_definitions` VALUES (38106, 4171, 11, '注：上传文件和重复的名字将导致文件被自动更名。例如“< >图片文件。< / > \'将成为“< >文件。2。1 < / > \'。文件名被认为是独特的每个客户，而不是每类。');
INSERT INTO `lang_definitions` VALUES (38107, 4172, 11, '笔记');
INSERT INTO `lang_definitions` VALUES (38108, 4173, 11, '注 – 任何接触（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (38109, 4174, 11, '注 – 我的治疗（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (38110, 4175, 11, '未授权的债券');
INSERT INTO `lang_definitions` VALUES (38111, 4177, 11, '没有记录');
INSERT INTO `lang_definitions` VALUES (38112, 4179, 11, '进口过敏无关');
INSERT INTO `lang_definitions` VALUES (38113, 4180, 11, '进口处方无关');
INSERT INTO `lang_definitions` VALUES (38114, 4182, 11, '被选中任何内容');
INSERT INTO `lang_definitions` VALUES (38115, 4184, 11, '通知:: PostCalendar提交/修改');
INSERT INTO `lang_definitions` VALUES (38116, 4185, 11, '通知');
INSERT INTO `lang_definitions` VALUES (38117, 4186, 11, '通知电子邮件地址');
INSERT INTO `lang_definitions` VALUES (38118, 4188, 11, '通知');
INSERT INTO `lang_definitions` VALUES (38119, 4189, 11, '关于事件提交/修改通知管理员吗？');
INSERT INTO `lang_definitions` VALUES (38120, 4190, 11, '十一月');
INSERT INTO `lang_definitions` VALUES (38121, 4191, 11, '十一月');
INSERT INTO `lang_definitions` VALUES (38122, 4192, 11, '现在张贴：');
INSERT INTO `lang_definitions` VALUES (38123, 4193, 11, '现在打印');
INSERT INTO `lang_definitions` VALUES (38124, 4194, 11, '现在印刷$ stmt_count报表和更新的治疗。');
INSERT INTO `lang_definitions` VALUES (38125, 4195, 11, '现在印刷$ stmt_count报表和更新的发票。');
INSERT INTO `lang_definitions` VALUES (38126, 4196, 11, '现在印刷$ stmt_count报表;交锋将不会被更新。');
INSERT INTO `lang_definitions` VALUES (38127, 4197, 11, '现在印刷$ stmt_count报表;发票将不会被更新。');
INSERT INTO `lang_definitions` VALUES (38128, 4198, 11, '非营利机构');
INSERT INTO `lang_definitions` VALUES (38129, 4199, 11, 'NQF');
INSERT INTO `lang_definitions` VALUES (38130, 4200, 11, '数');
INSERT INTO `lang_definitions` VALUES (38131, 4201, 11, '数实验室');
INSERT INTO `lang_definitions` VALUES (38132, 4204, 11, '今年视图中的列数。');
INSERT INTO `lang_definitions` VALUES (38133, 4211, 11, '客户端证书是有效的天数。');
INSERT INTO `lang_definitions` VALUES (38134, 4213, 11, '后小数点的货币，通常是0或2位数的号码。');
INSERT INTO `lang_definitions` VALUES (38135, 4214, 11, '数遇到每页显示。');
INSERT INTO `lang_definitions` VALUES (38136, 4215, 11, '游戏或事件的数量，如果错过了');
INSERT INTO `lang_definitions` VALUES (38137, 4216, 11, '提前发送电子邮件通知的小时数。');
INSERT INTO `lang_definitions` VALUES (38138, 4217, 11, '提前发送电话通知的小时数。');
INSERT INTO `lang_definitions` VALUES (38139, 4218, 11, '提前发送短信通知的小时数。');
INSERT INTO `lang_definitions` VALUES (38140, 4221, 11, '过去的历史，列数');
INSERT INTO `lang_definitions` VALUES (38141, 4223, 11, '麻木');
INSERT INTO `lang_definitions` VALUES (38142, 4224, 11, '分子');
INSERT INTO `lang_definitions` VALUES (38143, 4225, 11, '数字显示顺序');
INSERT INTO `lang_definitions` VALUES (38144, 4227, 11, '营养');
INSERT INTO `lang_definitions` VALUES (38145, 4229, 11, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (38146, 4230, 11, '氧气星期六');
INSERT INTO `lang_definitions` VALUES (38147, 4231, 11, '肥胖的我');
INSERT INTO `lang_definitions` VALUES (38148, 4232, 11, '肥胖二');
INSERT INTO `lang_definitions` VALUES (38149, 4233, 11, '肥胖三');
INSERT INTO `lang_definitions` VALUES (38150, 4234, 11, '目标');
INSERT INTO `lang_definitions` VALUES (38151, 4237, 11, '占用');
INSERT INTO `lang_definitions` VALUES (38152, 4239, 11, '发生');
INSERT INTO `lang_definitions` VALUES (38153, 4240, 11, '十月');
INSERT INTO `lang_definitions` VALUES (38154, 4241, 11, '十月');
INSERT INTO `lang_definitions` VALUES (38155, 4242, 11, '外径');
INSERT INTO `lang_definitions` VALUES (38156, 4243, 11, '的');
INSERT INTO `lang_definitions` VALUES (38157, 4244, 11, '数量');
INSERT INTO `lang_definitions` VALUES (38158, 4245, 11, '片剂');
INSERT INTO `lang_definitions` VALUES (38159, 4246, 11, '每月的');
INSERT INTO `lang_definitions` VALUES (38160, 4247, 11, 'OFC债券');
INSERT INTO `lang_definitions` VALUES (38161, 4248, 11, '关闭');
INSERT INTO `lang_definitions` VALUES (38162, 4249, 11, '办公室债券');
INSERT INTO `lang_definitions` VALUES (38163, 4250, 11, '办公室门诊');
INSERT INTO `lang_definitions` VALUES (38164, 4251, 11, '官方临床质量的措施（CQM）测量组');
INSERT INTO `lang_definitions` VALUES (38165, 4252, 11, '异地HTTPS链接的患者门户。');
INSERT INTO `lang_definitions` VALUES (38166, 4253, 11, '异地HTTPS链接，对客户的门户。（客户链接）');
INSERT INTO `lang_definitions` VALUES (38167, 4254, 11, '异地客户门户密码');
INSERT INTO `lang_definitions` VALUES (38168, 4255, 11, '异地患者门户密码（沽空白如果没有注册）。');
INSERT INTO `lang_definitions` VALUES (38169, 4258, 11, '异地患者门户网站地址');
INSERT INTO `lang_definitions` VALUES (38170, 4259, 11, '异地患者门户网站地址（客户链接）');
INSERT INTO `lang_definitions` VALUES (38171, 4260, 11, '异地患者门户网站用户名');
INSERT INTO `lang_definitions` VALUES (38172, 4261, 11, '异地患者门户用户名（沽空白如果没有注册）。');
INSERT INTO `lang_definitions` VALUES (38173, 4263, 11, '子孙');
INSERT INTO `lang_definitions` VALUES (38174, 4265, 11, '软膏');
INSERT INTO `lang_definitions` VALUES (38175, 4267, 11, '确定');
INSERT INTO `lang_definitions` VALUES (38176, 4269, 11, '确定连接GCAC发行日期');
INSERT INTO `lang_definitions` VALUES (38177, 4270, 11, '老');
INSERT INTO `lang_definitions` VALUES (38178, 4272, 11, '老客户');
INSERT INTO `lang_definitions` VALUES (38179, 4273, 11, '陈旧性骨折非/畸形愈合');
INSERT INTO `lang_definitions` VALUES (38180, 4274, 11, '没有左侧菜单中的旧风格布局');
INSERT INTO `lang_definitions` VALUES (38181, 4275, 11, '旧式的静态形式，没有搜索或重复检查');
INSERT INTO `lang_definitions` VALUES (38182, 4279, 11, '省略单位在客户的人口统计信息');
INSERT INTO `lang_definitions` VALUES (38183, 4280, 11, '省略单位');
INSERT INTO `lang_definitions` VALUES (38184, 4281, 11, '省略形式，路线和时间间隔，然后成为部分剂量');
INSERT INTO `lang_definitions` VALUES (38185, 4282, 11, '从人口统计表格省略保险和一些其他的事情');
INSERT INTO `lang_definitions` VALUES (38186, 4283, 11, '省略内部用户？');
INSERT INTO `lang_definitions` VALUES (38187, 4284, 11, '省略的共同薪酬面板付款方式');
INSERT INTO `lang_definitions` VALUES (38188, 4285, 11, '遗漏autoassign');
INSERT INTO `lang_definitions` VALUES (38189, 4286, 11, '上');
INSERT INTO `lang_definitions` VALUES (38190, 4287, 11, '上');
INSERT INTO `lang_definitions` VALUES (38191, 4288, 11, '手头上');
INSERT INTO `lang_definitions` VALUES (38192, 4289, 11, '关于订购');
INSERT INTO `lang_definitions` VALUES (38193, 4290, 11, '在现场');
INSERT INTO `lang_definitions` VALUES (38194, 4291, 11, '一旦主要的商业设施的设置，它不应该被改变。改变该设施将影响的工作NewCrop ePrescription。');
INSERT INTO `lang_definitions` VALUES (38195, 4292, 11, '一旦你改变你的密码，你将不得不重新登录。');
INSERT INTO `lang_definitions` VALUES (38196, 4297, 11, '在线支持');
INSERT INTO `lang_definitions` VALUES (38197, 4298, 11, '在线支持链接');
INSERT INTO `lang_definitions` VALUES (38198, 4299, 11, '只有活动');
INSERT INTO `lang_definitions` VALUES (38199, 4302, 11, '如果帐单位置');
INSERT INTO `lang_definitions` VALUES (38200, 4303, 11, '只有无效');
INSERT INTO `lang_definitions` VALUES (38201, 4304, 11, '只有矿');
INSERT INTO `lang_definitions` VALUES (38202, 4307, 11, '只上传积极的处方');
INSERT INTO `lang_definitions` VALUES (38203, 4310, 11, '疾病发作：');
INSERT INTO `lang_definitions` VALUES (38204, 4311, 11, '发病Ilness： ');
INSERT INTO `lang_definitions` VALUES (38205, 4312, 11, '发病膨胀：');
INSERT INTO `lang_definitions` VALUES (38206, 4313, 11, '发病/ HOSP。日期：');
INSERT INTO `lang_definitions` VALUES (38207, 4314, 11, '上门客户门户网站地址');
INSERT INTO `lang_definitions` VALUES (38208, 4315, 11, '哎呀！');
INSERT INTO `lang_definitions` VALUES (38209, 4316, 11, '打开');
INSERT INTO `lang_definitions` VALUES (38210, 4321, 11, '今日访华');
INSERT INTO `lang_definitions` VALUES (38211, 4322, 11, 'LibreEHR已经配置证书颁发机构。');
INSERT INTO `lang_definitions` VALUES (38212, 4324, 11, 'LibreEHR数据库升级');
INSERT INTO `lang_definitions` VALUES (38213, 4325, 11, '德识别LibreEHR数据库升级');
INSERT INTO `lang_definitions` VALUES (38214, 4327, 11, 'LibreEHR必须配置使用证书之前，它可以创建客户端证书。');
INSERT INTO `lang_definitions` VALUES (38215, 4328, 11, 'LibreEHR需要Javascript执行用户身份验证。');
INSERT INTO `lang_definitions` VALUES (38216, 4329, 11, 'LibreEHR用户');
INSERT INTO `lang_definitions` VALUES (38217, 4330, 11, '开口');
INSERT INTO `lang_definitions` VALUES (38218, 4332, 11, '眼科');
INSERT INTO `lang_definitions` VALUES (38219, 4333, 11, '选项');
INSERT INTO `lang_definitions` VALUES (38220, 4335, 11, '选项，以支持产品的库存和销售');
INSERT INTO `lang_definitions` VALUES (38221, 4336, 11, '可选');
INSERT INTO `lang_definitions` VALUES (38222, 4337, 11, '身份证图像，可以从病人的摘要页面浏览可选的类别名称。');
INSERT INTO `lang_definitions` VALUES (38223, 4338, 11, '可选的类别名称，可以从病人的摘要页面浏览的照片图像。');
INSERT INTO `lang_definitions` VALUES (38224, 4339, 11, '从病人的摘要页面链接到一个文件可选的类别名称。让你点击一个病人的名字，看到他们的身份证。');
INSERT INTO `lang_definitions` VALUES (38225, 4340, 11, '结果手工录入可选的默认范围');
INSERT INTO `lang_definitions` VALUES (38226, 4341, 11, '可选的默认单位手工录入结果');
INSERT INTO `lang_definitions` VALUES (38227, 4342, 11, '可选的目的地名称');
INSERT INTO `lang_definitions` VALUES (38228, 4343, 11, '可选药物名称，使用％作为通配符');
INSERT INTO `lang_definitions` VALUES (38229, 4345, 11, '有关此事件的可选信息');
INSERT INTO `lang_definitions` VALUES (38230, 4346, 11, '可选的批号，使用一个通配符％');
INSERT INTO `lang_definitions` VALUES (38231, 4347, 11, '可选的数字病人ID');
INSERT INTO `lang_definitions` VALUES (38232, 4348, 11, '可选的程序代码');
INSERT INTO `lang_definitions` VALUES (38233, 4350, 11, '选项');
INSERT INTO `lang_definitions` VALUES (38234, 4351, 11, '或');
INSERT INTO `lang_definitions` VALUES (38235, 4352, 11, '或');
INSERT INTO `lang_definitions` VALUES (38236, 4353, 11, '或选择');
INSERT INTO `lang_definitions` VALUES (38237, 4354, 11, '或单击并拖动可进行快速选择。');
INSERT INTO `lang_definitions` VALUES (38238, 4356, 11, '或出');
INSERT INTO `lang_definitions` VALUES (38239, 4358, 11, '或Shift单击减少');
INSERT INTO `lang_definitions` VALUES (38240, 4359, 11, '或者自责文件上传：');
INSERT INTO `lang_definitions` VALUES (38241, 4360, 11, '口服');
INSERT INTO `lang_definitions` VALUES (38242, 4361, 11, '粉红色的口腔粘膜，咽喉明确');
INSERT INTO `lang_definitions` VALUES (38243, 4362, 11, '秩序');
INSERT INTO `lang_definitions` VALUES (38244, 4363, 11, '订购和结果类型');
INSERT INTO `lang_definitions` VALUES (38245, 4364, 11, '订购目录');
INSERT INTO `lang_definitions` VALUES (38246, 4365, 11, '订购日期');
INSERT INTO `lang_definitions` VALUES (38247, 4367, 11, '订购');
INSERT INTO `lang_definitions` VALUES (38248, 4369, 11, '顺序必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (38249, 4370, 11, '订购产品名称');
INSERT INTO `lang_definitions` VALUES (38250, 4371, 11, '为了优先');
INSERT INTO `lang_definitions` VALUES (38251, 4372, 11, '订单处理');
INSERT INTO `lang_definitions` VALUES (38252, 4375, 11, '订单状态');
INSERT INTO `lang_definitions` VALUES (38253, 4378, 11, '订单类型');
INSERT INTO `lang_definitions` VALUES (38254, 4380, 11, '订单/结果类型');
INSERT INTO `lang_definitions` VALUES (38255, 4381, 11, '订购');
INSERT INTO `lang_definitions` VALUES (38256, 4384, 11, '排列提供商');
INSERT INTO `lang_definitions` VALUES (38257, 4386, 11, '器官损伤');
INSERT INTO `lang_definitions` VALUES (38258, 4387, 11, '组织');
INSERT INTO `lang_definitions` VALUES (38259, 4388, 11, '组织名称');
INSERT INTO `lang_definitions` VALUES (38260, 4389, 11, '组织单位名称');
INSERT INTO `lang_definitions` VALUES (38261, 4390, 11, '组织');
INSERT INTO `lang_definitions` VALUES (38262, 4391, 11, '面向×3');
INSERT INTO `lang_definitions` VALUES (38263, 4392, 11, '原');
INSERT INTO `lang_definitions` VALUES (38264, 4396, 11, '口咽： ');
INSERT INTO `lang_definitions` VALUES (38265, 4397, 11, '端坐呼吸');
INSERT INTO `lang_definitions` VALUES (38266, 4398, 11, '操作系统');
INSERT INTO `lang_definitions` VALUES (38267, 4399, 11, '骨性关节炎');
INSERT INTO `lang_definitions` VALUES (38268, 4402, 11, '其他');
INSERT INTO `lang_definitions` VALUES (38269, 4403, 11, '其他');
INSERT INTO `lang_definitions` VALUES (38270, 4404, 11, '其他（请注明）');
INSERT INTO `lang_definitions` VALUES (38271, 4405, 11, '其他 - 指定');
INSERT INTO `lang_definitions` VALUES (38272, 4406, 11, '其他联邦计划');
INSERT INTO `lang_definitions` VALUES (38273, 4407, 11, '其他HCFA');
INSERT INTO `lang_definitions` VALUES (38274, 4408, 11, '其他未列明的损伤');
INSERT INTO `lang_definitions` VALUES (38275, 4409, 11, '其他责任保险是小学');
INSERT INTO `lang_definitions` VALUES (38276, 4410, 11, '其他月份');
INSERT INTO `lang_definitions` VALUES (38277, 4411, 11, '其他非联邦计划');
INSERT INTO `lang_definitions` VALUES (38278, 4412, 11, '其他注意事项');
INSERT INTO `lang_definitions` VALUES (38279, 4413, 11, '其他相关症状');
INSERT INTO `lang_definitions` VALUES (38280, 4414, 11, '其他相关症状：');
INSERT INTO `lang_definitions` VALUES (38281, 4415, 11, '其他PT RESP');
INSERT INTO `lang_definitions` VALUES (38282, 4416, 11, '其他压力/过度使用伤害');
INSERT INTO `lang_definitions` VALUES (38283, 4417, 11, '其他手术');
INSERT INTO `lang_definitions` VALUES (38284, 4418, 11, '其他/通用人工流产有关');
INSERT INTO `lang_definitions` VALUES (38285, 4420, 11, '他人');
INSERT INTO `lang_definitions` VALUES (38286, 4421, 11, '否则，你会破坏到/从现有的数据参考。');
INSERT INTO `lang_definitions` VALUES (38287, 4422, 11, '渥太华踝规则');
INSERT INTO `lang_definitions` VALUES (38288, 4423, 11, '地带');
INSERT INTO `lang_definitions` VALUES (38289, 4424, 11, '输出');
INSERT INTO `lang_definitions` VALUES (38290, 4425, 11, '不在办公室');
INSERT INTO `lang_definitions` VALUES (38291, 4426, 11, '出境转介');
INSERT INTO `lang_definitions` VALUES (38292, 4427, 11, '结果');
INSERT INTO `lang_definitions` VALUES (38293, 4428, 11, '展望');
INSERT INTO `lang_definitions` VALUES (38294, 4431, 11, '逾期');
INSERT INTO `lang_definitions` VALUES (38295, 4432, 11, '过度使用');
INSERT INTO `lang_definitions` VALUES (38296, 4434, 11, '超重');
INSERT INTO `lang_definitions` VALUES (38297, 4435, 11, '覆盖HIPAA的选择');
INSERT INTO `lang_definitions` VALUES (38298, 4437, 11, '血氧饱和度');
INSERT INTO `lang_definitions` VALUES (38299, 4439, 11, 'P级');
INSERT INTO `lang_definitions` VALUES (38300, 4440, 11, '饭后');
INSERT INTO `lang_definitions` VALUES (38301, 4441, 11, '下午');
INSERT INTO `lang_definitions` VALUES (38302, 4442, 11, '随时');
INSERT INTO `lang_definitions` VALUES (38303, 4443, 11, '太平洋岛民');
INSERT INTO `lang_definitions` VALUES (38304, 4444, 11, '儿科');
INSERT INTO `lang_definitions` VALUES (38305, 4445, 11, '页');
INSERT INTO `lang_definitions` VALUES (38306, 4446, 11, '页');
INSERT INTO `lang_definitions` VALUES (38307, 4447, 11, '支付');
INSERT INTO `lang_definitions` VALUES (38308, 4448, 11, '支付的金额，你将分配');
INSERT INTO `lang_definitions` VALUES (38309, 4450, 11, '支付通过');
INSERT INTO `lang_definitions` VALUES (38310, 4451, 11, '疼痛');
INSERT INTO `lang_definitions` VALUES (38311, 4453, 11, '心慌');
INSERT INTO `lang_definitions` VALUES (38312, 4455, 11, '子宫颈抹片检查');
INSERT INTO `lang_definitions` VALUES (38313, 4457, 11, '纸张尺寸');
INSERT INTO `lang_definitions` VALUES (38314, 4458, 11, '瘫痪');
INSERT INTO `lang_definitions` VALUES (38315, 4461, 11, '解析的HL7');
INSERT INTO `lang_definitions` VALUES (38316, 4463, 11, '伙伴');
INSERT INTO `lang_definitions` VALUES (38317, 4464, 11, '伙伴名称');
INSERT INTO `lang_definitions` VALUES (38318, 4467, 11, '口令短语');
INSERT INTO `lang_definitions` VALUES (38319, 4468, 11, '口令短语解密文件');
INSERT INTO `lang_definitions` VALUES (38320, 4469, 11, '通过患者');
INSERT INTO `lang_definitions` VALUES (38321, 4470, 11, '被动警报');
INSERT INTO `lang_definitions` VALUES (38322, 4471, 11, '被动警报规则');
INSERT INTO `lang_definitions` VALUES (38323, 4472, 11, '密码');
INSERT INTO `lang_definitions` VALUES (38324, 4473, 11, '更改密码');
INSERT INTO `lang_definitions` VALUES (38325, 4475, 11, '密码更改成功。');
INSERT INTO `lang_definitions` VALUES (38326, 4477, 11, '密码过期的宽限期');
INSERT INTO `lang_definitions` VALUES (38327, 4479, 11, '电话网关的密码。自动化由Maviq提供VOIP服务。更多信息，请门诊http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (38328, 4480, 11, '短信网关的密码');
INSERT INTO `lang_definitions` VALUES (38329, 4481, 11, '短信网关的密码。');
INSERT INTO `lang_definitions` VALUES (38330, 4483, 11, '密码的安全性最近已经升级。');
INSERT INTO `lang_definitions` VALUES (38331, 4486, 11, '密码：');
INSERT INTO `lang_definitions` VALUES (38332, 4490, 11, '逾期');
INSERT INTO `lang_definitions` VALUES (38333, 4491, 11, '逾期');
INSERT INTO `lang_definitions` VALUES (38334, 4492, 11, '过去由于区间（临床提醒）');
INSERT INTO `lang_definitions` VALUES (38335, 4493, 11, '过去由于区间（客户提醒）');
INSERT INTO `lang_definitions` VALUES (38336, 4494, 11, '过去遭遇名单');
INSERT INTO `lang_definitions` VALUES (38337, 4495, 11, '过去的遭遇');
INSERT INTO `lang_definitions` VALUES (38338, 4496, 11, '过去的遭遇和文件');
INSERT INTO `lang_definitions` VALUES (38339, 4497, 11, '对过去的遭遇');
INSERT INTO `lang_definitions` VALUES (38340, 4498, 11, '粘贴的HL7数据');
INSERT INTO `lang_definitions` VALUES (38341, 4499, 11, '粘贴的数据导入到文本区域：');
INSERT INTO `lang_definitions` VALUES (38342, 4500, 11, '拍');
INSERT INTO `lang_definitions` VALUES (38343, 4502, 11, '贴片');
INSERT INTO `lang_definitions` VALUES (38344, 4508, 11, '事件日志备份的路径');
INSERT INTO `lang_definitions` VALUES (38345, 4509, 11, 'CA证书文件的路径');
INSERT INTO `lang_definitions` VALUES (38346, 4510, 11, 'CA密钥文件的路径');
INSERT INTO `lang_definitions` VALUES (38347, 4511, 11, '到MySQL二进制代码的路径');
INSERT INTO `lang_definitions` VALUES (38348, 4512, 11, 'Perl的二进制代码的路径');
INSERT INTO `lang_definitions` VALUES (38349, 4513, 11, '临时文件的路径');
INSERT INTO `lang_definitions` VALUES (38350, 4514, 11, '客户');
INSERT INTO `lang_definitions` VALUES (38351, 4515, 11, '客户');
INSERT INTO `lang_definitions` VALUES (38352, 4516, 11, '客户');
INSERT INTO `lang_definitions` VALUES (38353, 4517, 11, '客户地址');
INSERT INTO `lang_definitions` VALUES (38354, 4518, 11, '客户地址丢失');
INSERT INTO `lang_definitions` VALUES (38355, 4521, 11, '客户过敏');
INSERT INTO `lang_definitions` VALUES (38356, 4522, 11, '客户过敏');
INSERT INTO `lang_definitions` VALUES (38357, 4523, 11, '客户预约');
INSERT INTO `lang_definitions` VALUES (38358, 4528, 11, '病历编号');
INSERT INTO `lang_definitions` VALUES (38359, 4529, 11, '客户结帐');
INSERT INTO `lang_definitions` VALUES (38360, 4530, 11, '客户结帐为 ');
INSERT INTO `lang_definitions` VALUES (38361, 4531, 11, '客户城');
INSERT INTO `lang_definitions` VALUES (38362, 4532, 11, '客户城失踪');
INSERT INTO `lang_definitions` VALUES (38363, 4533, 11, '发送医患沟通');
INSERT INTO `lang_definitions` VALUES (38364, 4534, 11, '发送客户的交际');
INSERT INTO `lang_definitions` VALUES (38365, 4535, 11, '患者国家');
INSERT INTO `lang_definitions` VALUES (38366, 4536, 11, '耐心地失踪。你也没有设置全局设置的默认客户国家');
INSERT INTO `lang_definitions` VALUES (38367, 4539, 11, '客户的数据');
INSERT INTO `lang_definitions` VALUES (38368, 4541, 11, '客户出生日期失踪');
INSERT INTO `lang_definitions` VALUES (38369, 4542, 11, '客户的详细资料');
INSERT INTO `lang_definitions` VALUES (38370, 4543, 11, '客户出生日期');
INSERT INTO `lang_definitions` VALUES (38371, 4544, 11, '患者文件');
INSERT INTO `lang_definitions` VALUES (38372, 4545, 11, '客户教育');
INSERT INTO `lang_definitions` VALUES (38373, 4546, 11, '患者教育材料');
INSERT INTO `lang_definitions` VALUES (38374, 4547, 11, '客户的遭遇');
INSERT INTO `lang_definitions` VALUES (38375, 4548, 11, '患者遭遇表格');
INSERT INTO `lang_definitions` VALUES (38376, 4549, 11, '客户的遭遇');
INSERT INTO `lang_definitions` VALUES (38377, 4550, 11, '客户查找');
INSERT INTO `lang_definitions` VALUES (38378, 4551, 11, '客户首先名称');
INSERT INTO `lang_definitions` VALUES (38379, 4553, 11, '客户的名字是丢失');
INSERT INTO `lang_definitions` VALUES (38380, 4558, 11, '患者的性别');
INSERT INTO `lang_definitions` VALUES (38381, 4559, 11, '患者的性别缺失');
INSERT INTO `lang_definitions` VALUES (38382, 4560, 11, '客户并没有授权的患者门户。');
INSERT INTO `lang_definitions` VALUES (38383, 4561, 11, '病历');
INSERT INTO `lang_definitions` VALUES (38384, 4562, 11, '客户的历史/生活方式');
INSERT INTO `lang_definitions` VALUES (38385, 4563, 11, '患者家中电话');
INSERT INTO `lang_definitions` VALUES (38386, 4564, 11, '客户ID');
INSERT INTO `lang_definitions` VALUES (38387, 4566, 11, '客户ID卡');
INSERT INTO `lang_definitions` VALUES (38388, 4567, 11, '客户编号类别名称');
INSERT INTO `lang_definitions` VALUES (38389, 4568, 11, '客户免疫');
INSERT INTO `lang_definitions` VALUES (38390, 4569, 11, '客户信息');
INSERT INTO `lang_definitions` VALUES (38391, 4570, 11, '耐心的指导');
INSERT INTO `lang_definitions` VALUES (38392, 4571, 11, '客户保险销售');
INSERT INTO `lang_definitions` VALUES (38393, 4572, 11, '客户保险分布报告');
INSERT INTO `lang_definitions` VALUES (38394, 4573, 11, '客户的问题');
INSERT INTO `lang_definitions` VALUES (38395, 4575, 11, '客户姓');
INSERT INTO `lang_definitions` VALUES (38396, 4577, 11, '患者姓丢失');
INSERT INTO `lang_definitions` VALUES (38397, 4581, 11, '客户名单');
INSERT INTO `lang_definitions` VALUES (38398, 4586, 11, '客户查找错误');
INSERT INTO `lang_definitions` VALUES (38399, 4587, 11, '门诊医疗问题');
INSERT INTO `lang_definitions` VALUES (38400, 4588, 11, '客户的药物');
INSERT INTO `lang_definitions` VALUES (38401, 4589, 11, '客户姓名');
INSERT INTO `lang_definitions` VALUES (38402, 4590, 11, '客户姓名及地址');
INSERT INTO `lang_definitions` VALUES (38403, 4593, 11, '客户姓名必需');
INSERT INTO `lang_definitions` VALUES (38404, 4595, 11, '患者请注意');
INSERT INTO `lang_definitions` VALUES (38405, 4596, 11, '客户注意类型');
INSERT INTO `lang_definitions` VALUES (38406, 4597, 11, '患者注意事项');
INSERT INTO `lang_definitions` VALUES (38407, 4598, 11, '客户的注意事项（写，只添加可选）');
INSERT INTO `lang_definitions` VALUES (38408, 4599, 11, '客户数');
INSERT INTO `lang_definitions` VALUES (38409, 4600, 11, '客户付款');
INSERT INTO `lang_definitions` VALUES (38410, 4602, 11, '客户的照片分类名称');
INSERT INTO `lang_definitions` VALUES (38411, 4603, 11, '患者门户');
INSERT INTO `lang_definitions` VALUES (38412, 4605, 11, '客户门户网站被关闭');
INSERT INTO `lang_definitions` VALUES (38413, 4606, 11, '患者门户登录');
INSERT INTO `lang_definitions` VALUES (38414, 4607, 11, '患者门户网站地址');
INSERT INTO `lang_definitions` VALUES (38415, 4608, 11, '客户印制报告');
INSERT INTO `lang_definitions` VALUES (38416, 4609, 11, '病历报告');
INSERT INTO `lang_definitions` VALUES (38417, 4610, 11, '客户记录请求');
INSERT INTO `lang_definitions` VALUES (38418, 4611, 11, '客户记录的要求');
INSERT INTO `lang_definitions` VALUES (38419, 4613, 11, '客户提醒');
INSERT INTO `lang_definitions` VALUES (38420, 4614, 11, '客户提醒批处理作业');
INSERT INTO `lang_definitions` VALUES (38421, 4616, 11, '客户提醒规则');
INSERT INTO `lang_definitions` VALUES (38422, 4617, 11, '客户提醒发件人的电子邮件');
INSERT INTO `lang_definitions` VALUES (38423, 4618, 11, '客户提醒发件人名称');
INSERT INTO `lang_definitions` VALUES (38424, 4619, 11, '客户提醒');
INSERT INTO `lang_definitions` VALUES (38425, 4620, 11, '客户报告');
INSERT INTO `lang_definitions` VALUES (38426, 4621, 11, '客户要求');
INSERT INTO `lang_definitions` VALUES (38427, 4622, 11, '客户要求医疗记录');
INSERT INTO `lang_definitions` VALUES (38428, 4623, 11, '客户的结果');
INSERT INTO `lang_definitions` VALUES (38429, 4624, 11, '客户的搜索结果样式');
INSERT INTO `lang_definitions` VALUES (38430, 4625, 11, '客户搜索/添加屏幕');
INSERT INTO `lang_definitions` VALUES (38431, 4626, 11, '客户设置');
INSERT INTO `lang_definitions` VALUES (38432, 4627, 11, '客户状态');
INSERT INTO `lang_definitions` VALUES (38433, 4629, 11, '客户摘要');
INSERT INTO `lang_definitions` VALUES (38434, 4630, 11, '客户交易');
INSERT INTO `lang_definitions` VALUES (38435, 4631, 11, '客户邮编');
INSERT INTO `lang_definitions` VALUES (38436, 4632, 11, '客户在数据库中，你已经进入人口信息相匹配。');
INSERT INTO `lang_definitions` VALUES (38437, 4633, 11, '客户/客户端');
INSERT INTO `lang_definitions` VALUES (38438, 4634, 11, '客户：');
INSERT INTO `lang_definitions` VALUES (38439, 4635, 11, '客户编号');
INSERT INTO `lang_definitions` VALUES (38440, 4636, 11, '患者');
INSERT INTO `lang_definitions` VALUES (38441, 4638, 11, '付');
INSERT INTO `lang_definitions` VALUES (38442, 4639, 11, '要注意的复选框“完成”。后保险标记为完成，然后我们将开始要求客户支付余额;如果你失败了，以纪念所有的保险，然后完成剩余的金额将不会被收集！此外，如果有一个平衡，客户应支付，然后设置适当的截止日期，因为这会影响对客户报表中出现的语言。');
INSERT INTO `lang_definitions` VALUES (38443, 4640, 11, '支付日期：');
INSERT INTO `lang_definitions` VALUES (38444, 4641, 11, '支付状态');
INSERT INTO `lang_definitions` VALUES (38445, 4642, 11, '收款人名称');
INSERT INTO `lang_definitions` VALUES (38446, 4643, 11, '付款人');
INSERT INTO `lang_definitions` VALUES (38447, 4644, 11, '付款人类型');
INSERT INTO `lang_definitions` VALUES (38448, 4645, 11, '付款');
INSERT INTO `lang_definitions` VALUES (38449, 4646, 11, '支付实体');
INSERT INTO `lang_definitions` VALUES (38450, 4647, 11, '付款');
INSERT INTO `lang_definitions` VALUES (38451, 4648, 11, '付款');
INSERT INTO `lang_definitions` VALUES (38452, 4649, 11, '付款调整代码');
INSERT INTO `lang_definitions` VALUES (38453, 4651, 11, '付款金额');
INSERT INTO `lang_definitions` VALUES (38454, 4652, 11, '付款金额必须是数字');
INSERT INTO `lang_definitions` VALUES (38455, 4653, 11, '支付类别');
INSERT INTO `lang_definitions` VALUES (38456, 4654, 11, '付款日期');
INSERT INTO `lang_definitions` VALUES (38457, 4655, 11, '支付输入在');
INSERT INTO `lang_definitions` VALUES (38458, 4656, 11, '款项');
INSERT INTO `lang_definitions` VALUES (38459, 4658, 11, '支付插件');
INSERT INTO `lang_definitions` VALUES (38460, 4659, 11, '支付清单');
INSERT INTO `lang_definitions` VALUES (38461, 4660, 11, '付款方式');
INSERT INTO `lang_definitions` VALUES (38462, 4661, 11, '付款方式分类');
INSERT INTO `lang_definitions` VALUES (38463, 4662, 11, '付款状态');
INSERT INTO `lang_definitions` VALUES (38464, 4663, 11, '付款方式');
INSERT INTO `lang_definitions` VALUES (38465, 4664, 11, '支付价值为代码 ');
INSERT INTO `lang_definitions` VALUES (38466, 4665, 11, '付款');
INSERT INTO `lang_definitions` VALUES (38467, 4667, 11, '五氯酚');
INSERT INTO `lang_definitions` VALUES (38468, 4669, 11, 'PDF格式');
INSERT INTO `lang_definitions` VALUES (38469, 4670, 11, 'PDF下载选中的语句');
INSERT INTO `lang_definitions` VALUES (38470, 4672, 11, '骨盆和臀部');
INSERT INTO `lang_definitions` VALUES (38471, 4673, 11, '天疱疮');
INSERT INTO `lang_definitions` VALUES (38472, 4674, 11, '有待');
INSERT INTO `lang_definitions` VALUES (38473, 4676, 11, '待F/ü');
INSERT INTO `lang_definitions` VALUES (38474, 4677, 11, '待后续');
INSERT INTO `lang_definitions` VALUES (38475, 4678, 11, '从结果有待随访');
INSERT INTO `lang_definitions` VALUES (38476, 4679, 11, '挂单');
INSERT INTO `lang_definitions` VALUES (38477, 4680, 11, '待水库');
INSERT INTO `lang_definitions` VALUES (38478, 4681, 11, '待审查');
INSERT INTO `lang_definitions` VALUES (38479, 4682, 11, '待Rx计数');
INSERT INTO `lang_definitions` VALUES (38480, 4684, 11, '彭宁顿事务所LibreEHR至五');
INSERT INTO `lang_definitions` VALUES (38481, 4685, 11, '消化性溃疡病');
INSERT INTO `lang_definitions` VALUES (38482, 4687, 11, '每分钟');
INSERT INTO `lang_definitions` VALUES (38483, 4688, 11, '每个鼻孔');
INSERT INTO `lang_definitions` VALUES (38484, 4689, 11, '每个鼻孔');
INSERT INTO `lang_definitions` VALUES (38485, 4690, 11, '每ORIS');
INSERT INTO `lang_definitions` VALUES (38486, 4691, 11, '每匝');
INSERT INTO `lang_definitions` VALUES (38487, 4692, 11, '每直肠');
INSERT INTO `lang_definitions` VALUES (38488, 4693, 11, '每直肠');
INSERT INTO `lang_definitions` VALUES (38489, 4694, 11, '百分之');
INSERT INTO `lang_definitions` VALUES (38490, 4697, 11, '百分');
INSERT INTO `lang_definitions` VALUES (38491, 4698, 11, '穿孔右：');
INSERT INTO `lang_definitions` VALUES (38492, 4699, 11, '执行搜索');
INSERT INTO `lang_definitions` VALUES (38493, 4700, 11, '执行此操作');
INSERT INTO `lang_definitions` VALUES (38494, 4701, 11, '性能百分比');
INSERT INTO `lang_definitions` VALUES (38495, 4703, 11, '执行实验室设施');
INSERT INTO `lang_definitions` VALUES (38496, 4705, 11, '期间');
INSERT INTO `lang_definitions` VALUES (38497, 4706, 11, '在天期间，用户可能过期的密码登录。');
INSERT INTO `lang_definitions` VALUES (38498, 4707, 11, '围手术期护理');
INSERT INTO `lang_definitions` VALUES (38499, 4708, 11, '外围设备');
INSERT INTO `lang_definitions` VALUES (38500, 4712, 11, '人');
INSERT INTO `lang_definitions` VALUES (38501, 4713, 11, '个性化');
INSERT INTO `lang_definitions` VALUES (38502, 4714, 11, '编辑器');
INSERT INTO `lang_definitions` VALUES (38503, 4715, 11, '医药');
INSERT INTO `lang_definitions` VALUES (38504, 4716, 11, '医药COM计数');
INSERT INTO `lang_definitions` VALUES (38505, 4717, 11, '药房');
INSERT INTO `lang_definitions` VALUES (38506, 4718, 11, '药房');
INSERT INTO `lang_definitions` VALUES (38507, 4719, 11, '药店药房');
INSERT INTO `lang_definitions` VALUES (38508, 4720, 11, '气胸');
INSERT INTO `lang_definitions` VALUES (38509, 4729, 11, '电话');
INSERT INTO `lang_definitions` VALUES (38510, 4730, 11, '手机通话清单');
INSERT INTO `lang_definitions` VALUES (38511, 4733, 11, '电话网关密码');
INSERT INTO `lang_definitions` VALUES (38512, 4734, 11, '电话网关的URL');
INSERT INTO `lang_definitions` VALUES (38513, 4735, 11, '电话网关的用户名');
INSERT INTO `lang_definitions` VALUES (38514, 4737, 11, '电话通知一小时');
INSERT INTO `lang_definitions` VALUES (38515, 4738, 11, '电话号码');
INSERT INTO `lang_definitions` VALUES (38516, 4740, 11, '畏光');
INSERT INTO `lang_definitions` VALUES (38517, 4741, 11, '照片');
INSERT INTO `lang_definitions` VALUES (38518, 4742, 11, 'PHP的压缩');
INSERT INTO `lang_definitions` VALUES (38519, 4743, 11, 'PHP的CURL模块应在您的服务器上启用。');
INSERT INTO `lang_definitions` VALUES (38520, 4744, 11, 'PHP的提取');
INSERT INTO `lang_definitions` VALUES (38521, 4745, 11, '关闭，php-GACL的门诊控制');
INSERT INTO `lang_definitions` VALUES (38522, 4746, 11, '未安装PHP的gacl');
INSERT INTO `lang_definitions` VALUES (38523, 4747, 11, '体检');
INSERT INTO `lang_definitions` VALUES (38524, 4749, 11, '医生要求');
INSERT INTO `lang_definitions` VALUES (38525, 4750, 11, '医师签名');
INSERT INTO `lang_definitions` VALUES (38526, 4752, 11, '医生');
INSERT INTO `lang_definitions` VALUES (38527, 4753, 11, '挑');
INSERT INTO `lang_definitions` VALUES (38528, 4754, 11, '挑');
INSERT INTO `lang_definitions` VALUES (38529, 4755, 11, '挑一个CSS主题。');
INSERT INTO `lang_definitions` VALUES (38530, 4756, 11, '骨腔炎疾病');
INSERT INTO `lang_definitions` VALUES (38531, 4757, 11, '盆腔炎（PID）');
INSERT INTO `lang_definitions` VALUES (38532, 4758, 11, '药片大小');
INSERT INTO `lang_definitions` VALUES (38533, 4759, 11, '丸');
INSERT INTO `lang_definitions` VALUES (38534, 4760, 11, '如果要安装的选项，将在以下目录数据库zip文件');
INSERT INTO `lang_definitions` VALUES (38535, 4765, 11, '占位符');
INSERT INTO `lang_definitions` VALUES (38536, 4766, 11, '占位符（保持空的ACL）');
INSERT INTO `lang_definitions` VALUES (38537, 4767, 11, '纯文本');
INSERT INTO `lang_definitions` VALUES (38538, 4768, 11, '计划');
INSERT INTO `lang_definitions` VALUES (38539, 4771, 11, '计划名称');
INSERT INTO `lang_definitions` VALUES (38540, 4775, 11, '计划集');
INSERT INTO `lang_definitions` VALUES (38541, 4779, 11, '计划：');
INSERT INTO `lang_definitions` VALUES (38542, 4782, 11, '计划');
INSERT INTO `lang_definitions` VALUES (38543, 4784, 11, '播放机');
INSERT INTO `lang_definitions` VALUES (38544, 4785, 11, '演奏位置');
INSERT INTO `lang_definitions` VALUES (38545, 4786, 11, '请拨打如果任何上述信息是不正确的');
INSERT INTO `lang_definitions` VALUES (38546, 4787, 11, '请更改您的密码。');
INSERT INTO `lang_definitions` VALUES (38547, 4788, 11, '请选择一个文件');
INSERT INTO `lang_definitions` VALUES (38548, 4789, 11, '请选择一个客户');
INSERT INTO `lang_definitions` VALUES (38549, 4790, 11, '请从列表中选择一个有效的选择。');
INSERT INTO `lang_definitions` VALUES (38550, 4791, 11, '请选择一个有效的选择。');
INSERT INTO `lang_definitions` VALUES (38551, 4792, 11, '请选择一个值');
INSERT INTO `lang_definitions` VALUES (38552, 4793, 11, '请选择日期范围标准以上，并单击“刷新”以查看结果。');
INSERT INTO `lang_definitions` VALUES (38553, 4794, 11, '请选择正确的格式文件的EDI-271');
INSERT INTO `lang_definitions` VALUES (38554, 4795, 11, '请点击下载按钮下载德查明的数据');
INSERT INTO `lang_definitions` VALUES (38555, 4796, 11, '请点击下载按钮下载数据重新鉴定');
INSERT INTO `lang_definitions` VALUES (38556, 4797, 11, '请关闭此窗口。');
INSERT INTO `lang_definitions` VALUES (38557, 4798, 11, '请比较新的名称');
INSERT INTO `lang_definitions` VALUES (38558, 4802, 11, '请不要接受这个处方除非是通过收到的传真。');
INSERT INTO `lang_definitions` VALUES (38559, 4803, 11, '请不要接受这个处方，除非它是通过传真收到。');
INSERT INTO `lang_definitions` VALUES (38560, 4804, 11, '请不要用你的浏览器的刷新按钮，该页面停止或运行超过10分钟过去了，这不会导致进程停止服务器上，会消耗一些资源。');
INSERT INTO `lang_definitions` VALUES (38561, 4805, 11, '请启用CURL扩展');
INSERT INTO `lang_definitions` VALUES (38562, 4806, 11, '请启用OpenSSL扩展');
INSERT INTO `lang_definitions` VALUES (38563, 4807, 11, '请启用SOAP扩展');
INSERT INTO `lang_definitions` VALUES (38564, 4808, 11, '请启用XML扩展');
INSERT INTO `lang_definitions` VALUES (38565, 4809, 11, '请输入点评日期。');
INSERT INTO `lang_definitions` VALUES (38566, 4810, 11, '请输入一个日期。');
INSERT INTO `lang_definitions` VALUES (38567, 4811, 11, '请输入截止日期');
INSERT INTO `lang_definitions` VALUES (38568, 4812, 11, '请输入信息');
INSERT INTO `lang_definitions` VALUES (38569, 4813, 11, '请输入货币金额只使用数字和小数点。');
INSERT INTO `lang_definitions` VALUES (38570, 4814, 11, '请输入新密码');
INSERT INTO `lang_definitions` VALUES (38571, 4815, 11, '请输入标题！');
INSERT INTO `lang_definitions` VALUES (38572, 4819, 11, '请输入正确的重新识别代码');
INSERT INTO `lang_definitions` VALUES (38573, 4821, 11, '请输入新的搜索字符串');
INSERT INTO `lang_definitions` VALUES (38574, 4822, 11, '请输入正确的重新识别代码');
INSERT INTO `lang_definitions` VALUES (38575, 4823, 11, '请输入密码');
INSERT INTO `lang_definitions` VALUES (38576, 4824, 11, '请填写支票号码');
INSERT INTO `lang_definitions` VALUES (38577, 4826, 11, '请填写日期');
INSERT INTO `lang_definitions` VALUES (38578, 4827, 11, '请填写支付金额');
INSERT INTO `lang_definitions` VALUES (38579, 4828, 11, '请填写付款类别');
INSERT INTO `lang_definitions` VALUES (38580, 4829, 11, '请填写支付');
INSERT INTO `lang_definitions` VALUES (38581, 4830, 11, '请填写邮政日');
INSERT INTO `lang_definitions` VALUES (38582, 4831, 11, '请填写，然后再继续。');
INSERT INTO `lang_definitions` VALUES (38583, 4832, 11, '请注明门诊原因');
INSERT INTO `lang_definitions` VALUES (38584, 4834, 11, '以上请输入搜索条件，然后点击提交查看结果。');
INSERT INTO `lang_definitions` VALUES (38585, 4835, 11, '以上请输入搜索条件，然后点击提交查看结果。 （结果将显示在一个弹出窗口）');
INSERT INTO `lang_definitions` VALUES (38586, 4836, 11, '请重新登录。');
INSERT INTO `lang_definitions` VALUES (38587, 4837, 11, '请注意，这可能需要很长一段时间，长达数分钟，您的网页浏览器可能不会出现在此期间非常活跃，但产生了一项法案，是一个复杂的过程，您的网页浏览器只是等待更多的信息。');
INSERT INTO `lang_definitions` VALUES (38588, 4838, 11, '请注意：常量是区分大小写的，并允许任何字符串。');
INSERT INTO `lang_definitions` VALUES (38589, 4839, 11, '请只使用字母字符');
INSERT INTO `lang_definitions` VALUES (38590, 4840, 11, '请只使用不带空格的字母字符');
INSERT INTO `lang_definitions` VALUES (38591, 4841, 11, '请支付这笔款项');
INSERT INTO `lang_definitions` VALUES (38592, 4843, 11, '请参阅');
INSERT INTO `lang_definitions` VALUES (38593, 4844, 11, '请重设密码。');
INSERT INTO `lang_definitions` VALUES (38594, 4845, 11, '前打去识别，请重新启动Apache服务器');
INSERT INTO `lang_definitions` VALUES (38595, 4849, 11, '请选择一种语言');
INSERT INTO `lang_definitions` VALUES (38596, 4850, 11, '请选择一个客户。');
INSERT INTO `lang_definitions` VALUES (38597, 4851, 11, '请选择一个主要的商业设施税号的“税号”的实体设施。如果你是一个个体医生，用你的税号。这是用来确定你在NewCrop系统。');
INSERT INTO `lang_definitions` VALUES (38598, 4854, 11, '请选择一个收件人');
INSERT INTO `lang_definitions` VALUES (38599, 4855, 11, '请选择一个开始日期和结束日期');
INSERT INTO `lang_definitions` VALUES (38600, 4856, 11, '请选择一个有效的收件人');
INSERT INTO `lang_definitions` VALUES (38601, 4858, 11, '请选择一个代码调整原因 ');
INSERT INTO `lang_definitions` VALUES (38602, 4859, 11, '请选择一个事件');
INSERT INTO `lang_definitions` VALUES (38603, 4860, 11, '请选择任何搜索选项。');
INSERT INTO `lang_definitions` VALUES (38604, 4863, 11, '请选择至少一个处方！');
INSERT INTO `lang_definitions` VALUES (38605, 4865, 11, '请选择所需的网页，复制或转发：');
INSERT INTO `lang_definitions` VALUES (38606, 4866, 11, '请选择付款方式');
INSERT INTO `lang_definitions` VALUES (38607, 4869, 11, '请选择X12的合作伙伴，需要创造的270批次');
INSERT INTO `lang_definitions` VALUES (38608, 4870, 11, '请设置');
INSERT INTO `lang_definitions` VALUES (38609, 4871, 11, '请设置de_identification_config变回零');
INSERT INTO `lang_definitions` VALUES (38610, 4873, 11, '请开始新德鉴定过程');
INSERT INTO `lang_definitions` VALUES (38611, 4874, 11, '请升级LibreEHR数据库，包括德鉴定程序，功能表');
INSERT INTO `lang_definitions` VALUES (38612, 4875, 11, '有关详细信息，请查看德识别错误日志表');
INSERT INTO `lang_definitions` VALUES (38613, 4876, 11, '经过一段时间后，请门诊德识别屏幕');
INSERT INTO `lang_definitions` VALUES (38614, 4877, 11, '请门诊一段时间后，重新标识屏幕');
INSERT INTO `lang_definitions` VALUES (38615, 4878, 11, '一段时间后，请门诊屏幕');
INSERT INTO `lang_definitions` VALUES (38616, 4882, 11, '下午');
INSERT INTO `lang_definitions` VALUES (38617, 4883, 11, '下午计划');
INSERT INTO `lang_definitions` VALUES (38618, 4884, 11, 'PMT方法');
INSERT INTO `lang_definitions` VALUES (38619, 4885, 11, '间隙性夜间呼吸困难');
INSERT INTO `lang_definitions` VALUES (38620, 4886, 11, '肺炎球菌1');
INSERT INTO `lang_definitions` VALUES (38621, 4887, 11, '肺炎球菌2');
INSERT INTO `lang_definitions` VALUES (38622, 4888, 11, '肺炎球菌3');
INSERT INTO `lang_definitions` VALUES (38623, 4889, 11, '肺炎球菌4');
INSERT INTO `lang_definitions` VALUES (38624, 4890, 11, '肺炎球菌疫苗');
INSERT INTO `lang_definitions` VALUES (38625, 4891, 11, '肺炎疫苗');
INSERT INTO `lang_definitions` VALUES (38626, 4892, 11, '针对老年人的肺炎疫苗接种状况');
INSERT INTO `lang_definitions` VALUES (38627, 4893, 11, '针对老年人的肺炎疫苗接种情况（CQM）');
INSERT INTO `lang_definitions` VALUES (38628, 4894, 11, '足部');
INSERT INTO `lang_definitions` VALUES (38629, 4896, 11, '服务点（POS）');
INSERT INTO `lang_definitions` VALUES (38630, 4897, 11, '政策');
INSERT INTO `lang_definitions` VALUES (38631, 4898, 11, '保单号码');
INSERT INTO `lang_definitions` VALUES (38632, 4899, 11, '保单号码');
INSERT INTO `lang_definitions` VALUES (38633, 4900, 11, '波兰语');
INSERT INTO `lang_definitions` VALUES (38634, 4901, 11, '烦渴');
INSERT INTO `lang_definitions` VALUES (38635, 4902, 11, '息肉');
INSERT INTO `lang_definitions` VALUES (38636, 4903, 11, '尿');
INSERT INTO `lang_definitions` VALUES (38637, 4904, 11, '食欲不佳');
INSERT INTO `lang_definitions` VALUES (38638, 4905, 11, '流通不畅');
INSERT INTO `lang_definitions` VALUES (38639, 4906, 11, '听力差');
INSERT INTO `lang_definitions` VALUES (38640, 4907, 11, '看到这些报告，需要启用弹出窗口');
INSERT INTO `lang_definitions` VALUES (38641, 4908, 11, '填充今年视图与事件？');
INSERT INTO `lang_definitions` VALUES (38642, 4909, 11, '弹出窗口');
INSERT INTO `lang_definitions` VALUES (38643, 4911, 11, '门户网站活动');
INSERT INTO `lang_definitions` VALUES (38644, 4917, 11, '葡萄牙');
INSERT INTO `lang_definitions` VALUES (38645, 4918, 11, '葡萄牙语（巴西）');
INSERT INTO `lang_definitions` VALUES (38646, 4919, 11, '葡萄牙（欧洲）');
INSERT INTO `lang_definitions` VALUES (38647, 4920, 11, 'POS机代号');
INSERT INTO `lang_definitions` VALUES (38648, 4922, 11, '积极');
INSERT INTO `lang_definitions` VALUES (38649, 4923, 11, '阳性');
INSERT INTO `lang_definitions` VALUES (38650, 4925, 11, '邮政');
INSERT INTO `lang_definitions` VALUES (38651, 4926, 11, '发表滴鼻');
INSERT INTO `lang_definitions` VALUES (38652, 4927, 11, '发表付款');
INSERT INTO `lang_definitions` VALUES (38653, 4928, 11, '发表手术');
INSERT INTO `lang_definitions` VALUES (38654, 4929, 11, '发布嘴会计和标志');
INSERT INTO `lang_definitions` VALUES (38655, 4930, 11, '发布日期');
INSERT INTO `lang_definitions` VALUES (38656, 4931, 11, '发布日期不能比今天更大的');
INSERT INTO `lang_definitions` VALUES (38657, 4932, 11, '发布日期必须大于财政关闭日期。');
INSERT INTO `lang_definitions` VALUES (38658, 4933, 11, '流产后保健');
INSERT INTO `lang_definitions` VALUES (38659, 4934, 11, '人工流产后避孕');
INSERT INTO `lang_definitions` VALUES (38660, 4935, 11, '堕胎后咨询');
INSERT INTO `lang_definitions` VALUES (38661, 4936, 11, '后流产跟帖');
INSERT INTO `lang_definitions` VALUES (38662, 4937, 11, '邮政');
INSERT INTO `lang_definitions` VALUES (38663, 4938, 11, '邮政编码');
INSERT INTO `lang_definitions` VALUES (38664, 4939, 11, '邮政编码');
INSERT INTO `lang_definitions` VALUES (38665, 4941, 11, '发布日历');
INSERT INTO `lang_definitions` VALUES (38666, 4942, 11, '发布日历管理');
INSERT INTO `lang_definitions` VALUES (38667, 4943, 11, '发布日历类别设置');
INSERT INTO `lang_definitions` VALUES (38668, 4944, 11, '发布日历全局设置');
INSERT INTO `lang_definitions` VALUES (38669, 4945, 11, '发表于');
INSERT INTO `lang_definitions` VALUES (38670, 4946, 11, '发布日期');
INSERT INTO `lang_definitions` VALUES (38671, 4948, 11, '技术支持');
INSERT INTO `lang_definitions` VALUES (38672, 4949, 11, '个人防护装备+预防医学/外科HX');
INSERT INTO `lang_definitions` VALUES (38673, 4950, 11, 'PQRI');
INSERT INTO `lang_definitions` VALUES (38674, 4951, 11, 'PQRI注册编号');
INSERT INTO `lang_definitions` VALUES (38675, 4952, 11, 'PQRI注册名称');
INSERT INTO `lang_definitions` VALUES (38676, 4953, 11, '实践');
INSERT INTO `lang_definitions` VALUES (38677, 4954, 11, '实践默认设置');
INSERT INTO `lang_definitions` VALUES (38678, 4955, 11, '实践设置');
INSERT INTO `lang_definitions` VALUES (38679, 4956, 11, '医生');
INSERT INTO `lang_definitions` VALUES (38680, 4959, 11, '预先付款');
INSERT INTO `lang_definitions` VALUES (38681, 4960, 11, '堕胎前协商');
INSERT INTO `lang_definitions` VALUES (38682, 4961, 11, '堕胎前辅导');
INSERT INTO `lang_definitions` VALUES (38683, 4962, 11, '县猫');
INSERT INTO `lang_definitions` VALUES (38684, 4964, 11, '喜好');
INSERT INTO `lang_definitions` VALUES (38685, 4965, 11, '首选事件类别');
INSERT INTO `lang_definitions` VALUES (38686, 4966, 11, '首选语言');
INSERT INTO `lang_definitions` VALUES (38687, 4967, 11, '首选药剂');
INSERT INTO `lang_definitions` VALUES (38688, 4968, 11, '优先提供者组织（PPO）');
INSERT INTO `lang_definitions` VALUES (38689, 4969, 11, '怀孕测试');
INSERT INTO `lang_definitions` VALUES (38690, 4970, 11, '初步');
INSERT INTO `lang_definitions` VALUES (38691, 4972, 11, '预付');
INSERT INTO `lang_definitions` VALUES (38692, 4973, 11, '处方');
INSERT INTO `lang_definitions` VALUES (38693, 4974, 11, '处方已达到极限');
INSERT INTO `lang_definitions` VALUES (38694, 4975, 11, '处方历史');
INSERT INTO `lang_definitions` VALUES (38695, 4976, 11, '处方历史进口顺利完成');
INSERT INTO `lang_definitions` VALUES (38696, 4977, 11, '处方标签');
INSERT INTO `lang_definitions` VALUES (38697, 4978, 11, '处方报告');
INSERT INTO `lang_definitions` VALUES (38698, 4979, 11, '处方');
INSERT INTO `lang_definitions` VALUES (38699, 4980, 11, '处方和特许');
INSERT INTO `lang_definitions` VALUES (38700, 4981, 11, '处方药和其他转介');
INSERT INTO `lang_definitions` VALUES (38701, 4982, 11, '处方药和/或专科转介');
INSERT INTO `lang_definitions` VALUES (38702, 4983, 11, '处方报告');
INSERT INTO `lang_definitions` VALUES (38703, 4984, 11, '处方/转介');
INSERT INTO `lang_definitions` VALUES (38704, 4985, 11, '目前');
INSERT INTO `lang_definitions` VALUES (38705, 4986, 11, '提出投诉');
INSERT INTO `lang_definitions` VALUES (38706, 4988, 11, '按继续进行');
INSERT INTO `lang_definitions` VALUES (38707, 4989, 11, '推定诊断');
INSERT INTO `lang_definitions` VALUES (38708, 4990, 11, '假定由专家诊断');
INSERT INTO `lang_definitions` VALUES (38709, 4991, 11, '上一页');
INSERT INTO `lang_definitions` VALUES (38710, 4992, 11, '预防医学/外科HX');
INSERT INTO `lang_definitions` VALUES (38711, 4993, 11, '上一页。本月（按住菜单）');
INSERT INTO `lang_definitions` VALUES (38712, 4994, 11, '上一页。一年（按住菜单）');
INSERT INTO `lang_definitions` VALUES (38713, 4995, 11, '预防保健');
INSERT INTO `lang_definitions` VALUES (38714, 4998, 11, '预览事件');
INSERT INTO `lang_definitions` VALUES (38715, 5000, 11, '预览');
INSERT INTO `lang_definitions` VALUES (38716, 5001, 11, '前');
INSERT INTO `lang_definitions` VALUES (38717, 5002, 11, '以往的磋商');
INSERT INTO `lang_definitions` VALUES (38718, 5003, 11, '前一天');
INSERT INTO `lang_definitions` VALUES (38719, 5004, 11, '以前的历史/筛选');
INSERT INTO `lang_definitions` VALUES (38720, 5005, 11, '前一个月');
INSERT INTO `lang_definitions` VALUES (38721, 5006, 11, '上星期');
INSERT INTO `lang_definitions` VALUES (38722, 5007, 11, '价格');
INSERT INTO `lang_definitions` VALUES (38723, 5008, 11, '价格折扣');
INSERT INTO `lang_definitions` VALUES (38724, 5009, 11, '价格水平');
INSERT INTO `lang_definitions` VALUES (38725, 5010, 11, '价格水平：');
INSERT INTO `lang_definitions` VALUES (38726, 5011, 11, '价格');
INSERT INTO `lang_definitions` VALUES (38727, 5012, 11, '主');
INSERT INTO `lang_definitions` VALUES (38728, 5013, 11, '主要业务实体');
INSERT INTO `lang_definitions` VALUES (38729, 5014, 11, '主要业务实体税号用于帐户编号 NewCrop处方。改变该设施将影响的工作NewCrop。');
INSERT INTO `lang_definitions` VALUES (38730, 5022, 11, '主要插件');
INSERT INTO `lang_definitions` VALUES (38731, 5023, 11, '原保险');
INSERT INTO `lang_definitions` VALUES (38732, 5024, 11, '原保险数据');
INSERT INTO `lang_definitions` VALUES (38733, 5025, 11, '主要保险提供商');
INSERT INTO `lang_definitions` VALUES (38734, 5026, 11, '主要服务人员');
INSERT INTO `lang_definitions` VALUES (38735, 5027, 11, '打印');
INSERT INTO `lang_definitions` VALUES (38736, 5028, 11, '打印（HTML）');
INSERT INTO `lang_definitions` VALUES (38737, 5029, 11, '打印（PDF）');
INSERT INTO `lang_definitions` VALUES (38738, 5031, 11, '打印任何相逢');
INSERT INTO `lang_definitions` VALUES (38739, 5032, 11, '打印空白推荐表格');
INSERT INTO `lang_definitions` VALUES (38740, 5033, 11, '打印命令');
INSERT INTO `lang_definitions` VALUES (38741, 5039, 11, '打印格式');
INSERT INTO `lang_definitions` VALUES (38742, 5040, 11, '打印四个小组');
INSERT INTO `lang_definitions` VALUES (38743, 5042, 11, '打印消息');
INSERT INTO `lang_definitions` VALUES (38744, 5043, 11, '打印多');
INSERT INTO `lang_definitions` VALUES (38745, 5044, 11, '打印多个传真');
INSERT INTO `lang_definitions` VALUES (38746, 5045, 11, '打印名称，标志和日期。');
INSERT INTO `lang_definitions` VALUES (38747, 5046, 11, '打印票据');
INSERT INTO `lang_definitions` VALUES (38748, 5047, 11, '打印第1页');
INSERT INTO `lang_definitions` VALUES (38749, 5048, 11, '打印第2页');
INSERT INTO `lang_definitions` VALUES (38750, 5051, 11, '通过提供打印收据');
INSERT INTO `lang_definitions` VALUES (38751, 5052, 11, '打印记录');
INSERT INTO `lang_definitions` VALUES (38752, 5053, 11, '打印选定报表');
INSERT INTO `lang_definitions` VALUES (38753, 5054, 11, '打印铅球纪录');
INSERT INTO `lang_definitions` VALUES (38754, 5056, 11, '打印这场遭遇战');
INSERT INTO `lang_definitions` VALUES (38755, 5057, 11, '打印说明');
INSERT INTO `lang_definitions` VALUES (38756, 5058, 11, '打印本说明');
INSERT INTO `lang_definitions` VALUES (38757, 5060, 11, '打印传真');
INSERT INTO `lang_definitions` VALUES (38758, 5061, 11, '打印查看');
INSERT INTO `lang_definitions` VALUES (38759, 5062, 11, '打印');
INSERT INTO `lang_definitions` VALUES (38760, 5063, 11, '打印版本');
INSERT INTO `lang_definitions` VALUES (38761, 5064, 11, '印');
INSERT INTO `lang_definitions` VALUES (38762, 5066, 11, '打印结果：');
INSERT INTO `lang_definitions` VALUES (38763, 5067, 11, '印刷跳过;看到测试输出');
INSERT INTO `lang_definitions` VALUES (38764, 5068, 11, '印刷跳过;看到测试输出 ');
INSERT INTO `lang_definitions` VALUES (38765, 5069, 11, '在此之前验证');
INSERT INTO `lang_definitions` VALUES (38766, 5070, 11, '以前授权书');
INSERT INTO `lang_definitions` VALUES (38767, 5071, 11, '在此之前门诊');
INSERT INTO `lang_definitions` VALUES (38768, 5072, 11, '优先');
INSERT INTO `lang_definitions` VALUES (38769, 5073, 11, '优先 ');
INSERT INTO `lang_definitions` VALUES (38770, 5074, 11, '私人');
INSERT INTO `lang_definitions` VALUES (38771, 5075, 11, '问题');
INSERT INTO `lang_definitions` VALUES (38772, 5076, 11, '问题的DX');
INSERT INTO `lang_definitions` VALUES (38773, 5077, 11, '问题列表');
INSERT INTO `lang_definitions` VALUES (38774, 5079, 11, '问题/问题');
INSERT INTO `lang_definitions` VALUES (38775, 5080, 11, '丙卡巴井棒');
INSERT INTO `lang_definitions` VALUES (38776, 5081, 11, '丙卡巴井貓');
INSERT INTO `lang_definitions` VALUES (38777, 5083, 11, '程序待定挂起');
INSERT INTO `lang_definitions` VALUES (38778, 5085, 11, '程序');
INSERT INTO `lang_definitions` VALUES (38779, 5086, 11, '程序');
INSERT INTO `lang_definitions` VALUES (38780, 5087, 11, '过程部位');
INSERT INTO `lang_definitions` VALUES (38781, 5088, 11, '程序布尔结果');
INSERT INTO `lang_definitions` VALUES (38782, 5089, 11, '刑事诉讼法');
INSERT INTO `lang_definitions` VALUES (38783, 5091, 11, '议事偏侧性');
INSERT INTO `lang_definitions` VALUES (38784, 5093, 11, '程序订购');
INSERT INTO `lang_definitions` VALUES (38785, 5095, 11, '程序订购');
INSERT INTO `lang_definitions` VALUES (38786, 5102, 11, '程序的报告');
INSERT INTO `lang_definitions` VALUES (38787, 5103, 11, '程序报告状态');
INSERT INTO `lang_definitions` VALUES (38788, 5104, 11, '过程的结果异常');
INSERT INTO `lang_definitions` VALUES (38789, 5105, 11, '过程的结果状态');
INSERT INTO `lang_definitions` VALUES (38790, 5106, 11, '程序的结果');
INSERT INTO `lang_definitions` VALUES (38791, 5107, 11, '议事路线');
INSERT INTO `lang_definitions` VALUES (38792, 5108, 11, '过程标本类型');
INSERT INTO `lang_definitions` VALUES (38793, 5109, 11, '议事统计报告');
INSERT INTO `lang_definitions` VALUES (38794, 5110, 11, '程序类型');
INSERT INTO `lang_definitions` VALUES (38795, 5111, 11, '过程类型');
INSERT INTO `lang_definitions` VALUES (38796, 5112, 11, '议事单位');
INSERT INTO `lang_definitions` VALUES (38797, 5114, 11, '程序');
INSERT INTO `lang_definitions` VALUES (38798, 5115, 11, '过程');
INSERT INTO `lang_definitions` VALUES (38799, 5117, 11, '程世代文件');
INSERT INTO `lang_definitions` VALUES (38800, 5121, 11, '处理');
INSERT INTO `lang_definitions` VALUES (38801, 5122, 11, '处理');
INSERT INTO `lang_definitions` VALUES (38802, 5123, 11, '处理日期');
INSERT INTO `lang_definitions` VALUES (38803, 5125, 11, '处理');
INSERT INTO `lang_definitions` VALUES (38804, 5129, 11, '产品');
INSERT INTO `lang_definitions` VALUES (38805, 5130, 11, '产品的避孕方法');
INSERT INTO `lang_definitions` VALUES (38806, 5132, 11, '产品');
INSERT INTO `lang_definitions` VALUES (38807, 5133, 11, '产品，但没有处方药和无模板');
INSERT INTO `lang_definitions` VALUES (38808, 5134, 11, '教授');
INSERT INTO `lang_definitions` VALUES (38809, 5135, 11, '病程记录');
INSERT INTO `lang_definitions` VALUES (38810, 5136, 11, '前列腺癌');
INSERT INTO `lang_definitions` VALUES (38811, 5137, 11, '前列腺癌筛查');
INSERT INTO `lang_definitions` VALUES (38812, 5138, 11, '前列腺检查');
INSERT INTO `lang_definitions` VALUES (38813, 5139, 11, '前列腺问题');
INSERT INTO `lang_definitions` VALUES (38814, 5140, 11, 'W / O enlrgmt，前列腺结节，招标');
INSERT INTO `lang_definitions` VALUES (38815, 5142, 11, '提供绝对路径');
INSERT INTO `lang_definitions` VALUES (38816, 5143, 11, '提供的文件的绝对路径');
INSERT INTO `lang_definitions` VALUES (38817, 5145, 11, '为每个办公室门诊患者的临床总结。');
INSERT INTO `lang_definitions` VALUES (38818, 5146, 11, '提供电子版本，他们的健康信息（包括诊断测试的结果，问题的清单，用药清单，药物过敏）的患者，要求。');
INSERT INTO `lang_definitions` VALUES (38819, 5147, 11, '提供及时的电子门诊信息的EP在四个工作日对他们的健康信息（包括实验室检测结果，问题的清单，用药清单，药物过敏）的患者。');
INSERT INTO `lang_definitions` VALUES (38820, 5148, 11, '参观患者提供记录');
INSERT INTO `lang_definitions` VALUES (38821, 5149, 11, '提供有效的电子邮件地址');
INSERT INTO `lang_definitions` VALUES (38822, 5150, 11, '提供临床总结？');
INSERT INTO `lang_definitions` VALUES (38823, 5151, 11, '提供教育资源（S）？');
INSERT INTO `lang_definitions` VALUES (38824, 5152, 11, '服务人员');
INSERT INTO `lang_definitions` VALUES (38825, 5154, 11, '服务人员ID');
INSERT INTO `lang_definitions` VALUES (38826, 5155, 11, '指定设施的服务人员ID');
INSERT INTO `lang_definitions` VALUES (38827, 5156, 11, '服务人员匹配错误');
INSERT INTO `lang_definitions` VALUES (38828, 5159, 11, '服务人员数目');
INSERT INTO `lang_definitions` VALUES (38829, 5162, 11, '服务人员：');
INSERT INTO `lang_definitions` VALUES (38830, 5163, 11, '服务人员');
INSERT INTO `lang_definitions` VALUES (38831, 5164, 11, '提供非营利机构');
INSERT INTO `lang_definitions` VALUES (38832, 5165, 11, '服务人员把整个日历');
INSERT INTO `lang_definitions` VALUES (38833, 5166, 11, '上一页');
INSERT INTO `lang_definitions` VALUES (38834, 5167, 11, '变压吸附');
INSERT INTO `lang_definitions` VALUES (38835, 5168, 11, '银屑病');
INSERT INTO `lang_definitions` VALUES (38836, 5169, 11, '精极度紧张的诊断');
INSERT INTO `lang_definitions` VALUES (38837, 5170, 11, '精极度紧张用药');
INSERT INTO `lang_definitions` VALUES (38838, 5171, 11, '精神科');
INSERT INTO `lang_definitions` VALUES (38839, 5172, 11, '精神科摘要字母');
INSERT INTO `lang_definitions` VALUES (38840, 5173, 11, '精神科诊断');
INSERT INTO `lang_definitions` VALUES (38841, 5174, 11, '精神病鉴定');
INSERT INTO `lang_definitions` VALUES (38842, 5175, 11, '有精神病史');
INSERT INTO `lang_definitions` VALUES (38843, 5176, 11, '精神科进');
INSERT INTO `lang_definitions` VALUES (38844, 5177, 11, '精神科药物');
INSERT INTO `lang_definitions` VALUES (38845, 5178, 11, '客户百分比');
INSERT INTO `lang_definitions` VALUES (38846, 5179, 11, '客户注释');
INSERT INTO `lang_definitions` VALUES (38847, 5180, 11, '客户注释/验证');
INSERT INTO `lang_definitions` VALUES (38848, 5181, 11, '客户多缴');
INSERT INTO `lang_definitions` VALUES (38849, 5182, 11, '客户付费');
INSERT INTO `lang_definitions` VALUES (38850, 5183, 11, '客户建议请求');
INSERT INTO `lang_definitions` VALUES (38851, 5184, 11, '客户退款');
INSERT INTO `lang_definitions` VALUES (38852, 5185, 11, '客户痊愈');
INSERT INTO `lang_definitions` VALUES (38853, 5186, 11, '客户报告');
INSERT INTO `lang_definitions` VALUES (38854, 5187, 11, '客户，或留空');
INSERT INTO `lang_definitions` VALUES (38855, 5188, 11, '客户_城市');
INSERT INTO `lang_definitions` VALUES (38856, 5189, 11, '客户_出生日期');
INSERT INTO `lang_definitions` VALUES (38857, 5191, 11, '客户_名字');
INSERT INTO `lang_definitions` VALUES (38858, 5192, 11, '客户_姓氏');
INSERT INTO `lang_definitions` VALUES (38859, 5193, 11, '客户_中间名字');
INSERT INTO `lang_definitions` VALUES (38860, 5196, 11, '客户_邮编');
INSERT INTO `lang_definitions` VALUES (38861, 5198, 11, '客户_省/市');
INSERT INTO `lang_definitions` VALUES (38862, 5199, 11, '客户_街道');
INSERT INTO `lang_definitions` VALUES (38863, 5201, 11, '公众');
INSERT INTO `lang_definitions` VALUES (38864, 5203, 11, '公共卫生服务（PHS）或其他联邦机构');
INSERT INTO `lang_definitions` VALUES (38865, 5204, 11, '波多黎各');
INSERT INTO `lang_definitions` VALUES (38866, 5205, 11, '肺');
INSERT INTO `lang_definitions` VALUES (38867, 5206, 11, '脉冲');
INSERT INTO `lang_definitions` VALUES (38868, 5207, 11, '旁遮普');
INSERT INTO `lang_definitions` VALUES (38869, 5208, 11, '采购');
INSERT INTO `lang_definitions` VALUES (38870, 5209, 11, '购买/返回');
INSERT INTO `lang_definitions` VALUES (38871, 5210, 11, '采购');
INSERT INTO `lang_definitions` VALUES (38872, 5213, 11, '每3小時');
INSERT INTO `lang_definitions` VALUES (38873, 5214, 11, '每4小時');
INSERT INTO `lang_definitions` VALUES (38874, 5215, 11, '每5小時');
INSERT INTO `lang_definitions` VALUES (38875, 5216, 11, '每6小時');
INSERT INTO `lang_definitions` VALUES (38876, 5217, 11, '每8小時');
INSERT INTO `lang_definitions` VALUES (38877, 5218, 11, '每天4次');
INSERT INTO `lang_definitions` VALUES (38878, 5219, 11, '每天4次');
INSERT INTO `lang_definitions` VALUES (38879, 5220, 11, '每隔1小時');
INSERT INTO `lang_definitions` VALUES (38880, 5221, 11, '每隔1小時是少於每月用量');
INSERT INTO `lang_definitions` VALUES (38881, 5222, 11, '数量');
INSERT INTO `lang_definitions` VALUES (38882, 5223, 11, '数量');
INSERT INTO `lang_definitions` VALUES (38883, 5224, 11, '质量');
INSERT INTO `lang_definitions` VALUES (38884, 5225, 11, '质量的措施（CQM）');
INSERT INTO `lang_definitions` VALUES (38885, 5226, 11, '数量');
INSERT INTO `lang_definitions` VALUES (38886, 5227, 11, 'NDC的数量');
INSERT INTO `lang_definitions` VALUES (38887, 5228, 11, '手边的数量');
INSERT INTO `lang_definitions` VALUES (38888, 5229, 11, '数量似乎不可用');
INSERT INTO `lang_definitions` VALUES (38889, 5231, 11, '问号');
INSERT INTO `lang_definitions` VALUES (38890, 5232, 11, '为HCFA批处理队列');
INSERT INTO `lang_definitions` VALUES (38891, 5233, 11, 'HCFA批量处理和印刷队列');
INSERT INTO `lang_definitions` VALUES (38892, 5234, 11, 'UB-92批量处理队列');
INSERT INTO `lang_definitions` VALUES (38893, 5235, 11, 'UB-92的批量处理和打印队列');
INSERT INTO `lang_definitions` VALUES (38894, 5236, 11, '排队');
INSERT INTO `lang_definitions` VALUES (38895, 5237, 11, '排队的事件管理');
INSERT INTO `lang_definitions` VALUES (38896, 5238, 11, '排队');
INSERT INTO `lang_definitions` VALUES (38897, 5240, 11, '排队提交管理');
INSERT INTO `lang_definitions` VALUES (38898, 5241, 11, '退出');
INSERT INTO `lang_definitions` VALUES (38899, 5242, 11, '戒烟酒');
INSERT INTO `lang_definitions` VALUES (38900, 5243, 11, 'ŕ');
INSERT INTO `lang_definitions` VALUES (38901, 5245, 11, '种族');
INSERT INTO `lang_definitions` VALUES (38902, 5246, 11, '种族和民族');
INSERT INTO `lang_definitions` VALUES (38903, 5247, 11, '种族/族裔');
INSERT INTO `lang_definitions` VALUES (38904, 5248, 11, '无线电');
INSERT INTO `lang_definitions` VALUES (38905, 5249, 11, '单选按钮');
INSERT INTO `lang_definitions` VALUES (38906, 5251, 11, '范围');
INSERT INTO `lang_definitions` VALUES (38907, 5252, 11, '皮疹');
INSERT INTO `lang_definitions` VALUES (38908, 5253, 11, '率');
INSERT INTO `lang_definitions` VALUES (38909, 5254, 11, '比');
INSERT INTO `lang_definitions` VALUES (38910, 5255, 11, '原报告');
INSERT INTO `lang_definitions` VALUES (38911, 5256, 11, '重新鉴定');
INSERT INTO `lang_definitions` VALUES (38912, 5257, 11, '重新鉴定过程完成');
INSERT INTO `lang_definitions` VALUES (38913, 5258, 11, '重新鉴定的过程是正在进行');
INSERT INTO `lang_definitions` VALUES (38914, 5259, 11, '重新鉴定的文件将被保存在');
INSERT INTO `lang_definitions` VALUES (38915, 5260, 11, '再度受伤？');
INSERT INTO `lang_definitions` VALUES (38916, 5261, 11, '重新开放');
INSERT INTO `lang_definitions` VALUES (38917, 5262, 11, '重新开放');
INSERT INTO `lang_definitions` VALUES (38918, 5263, 11, '反应');
INSERT INTO `lang_definitions` VALUES (38919, 5264, 11, '反应');
INSERT INTO `lang_definitions` VALUES (38920, 5265, 11, '阅读');
INSERT INTO `lang_definitions` VALUES (38921, 5268, 11, '真实姓名');
INSERT INTO `lang_definitions` VALUES (38922, 5269, 11, '真正删除');
INSERT INTO `lang_definitions` VALUES (38923, 5270, 11, '原因');
INSERT INTO `lang_definitions` VALUES (38924, 5271, 11, '原因死者');
INSERT INTO `lang_definitions` VALUES (38925, 5272, 11, '死亡原因');
INSERT INTO `lang_definitions` VALUES (38926, 5274, 11, '转介原因');
INSERT INTO `lang_definitions` VALUES (38927, 5275, 11, '门诊的原因');
INSERT INTO `lang_definitions` VALUES (38928, 5276, 11, '原因/表格');
INSERT INTO `lang_definitions` VALUES (38929, 5277, 11, '收据');
INSERT INTO `lang_definitions` VALUES (38930, 5278, 11, '付款收据');
INSERT INTO `lang_definitions` VALUES (38931, 5279, 11, '收据生成');
INSERT INTO `lang_definitions` VALUES (38932, 5280, 11, '预收付款方法报告');
INSERT INTO `lang_definitions` VALUES (38933, 5281, 11, '收款汇总');
INSERT INTO `lang_definitions` VALUES (38934, 5282, 11, '收到');
INSERT INTO `lang_definitions` VALUES (38935, 5283, 11, '收到');
INSERT INTO `lang_definitions` VALUES (38936, 5284, 11, '接收的传真');
INSERT INTO `lang_definitions` VALUES (38937, 5287, 11, '接收器');
INSERT INTO `lang_definitions` VALUES (38938, 5288, 11, '接收器的ID');
INSERT INTO `lang_definitions` VALUES (38939, 5289, 11, '接收器的ID（ISA08）');
INSERT INTO `lang_definitions` VALUES (38940, 5290, 11, '接收器的ID预选赛（ISA07）');
INSERT INTO `lang_definitions` VALUES (38941, 5292, 11, '近三个密码是不允许的。');
INSERT INTO `lang_definitions` VALUES (38942, 5293, 11, '接受者');
INSERT INTO `lang_definitions` VALUES (38943, 5294, 11, '收件人列表是空的');
INSERT INTO `lang_definitions` VALUES (38944, 5295, 11, '收件人姓名');
INSERT INTO `lang_definitions` VALUES (38945, 5296, 11, '收件人披露');
INSERT INTO `lang_definitions` VALUES (38946, 5298, 11, '建议');
INSERT INTO `lang_definitions` VALUES (38947, 5300, 11, '建议');
INSERT INTO `lang_definitions` VALUES (38948, 5301, 11, '建议和治疗');
INSERT INTO `lang_definitions` VALUES (38949, 5302, 11, '由专家的建议');
INSERT INTO `lang_definitions` VALUES (38950, 5303, 11, '记录');
INSERT INTO `lang_definitions` VALUES (38951, 5304, 11, '记录已经存在');
INSERT INTO `lang_definitions` VALUES (38952, 5310, 11, '记录和图表，在生命体征的变化。');
INSERT INTO `lang_definitions` VALUES (38953, 5311, 11, '记录人口统计。');
INSERT INTO `lang_definitions` VALUES (38954, 5312, 11, '记录披露');
INSERT INTO `lang_definitions` VALUES (38955, 5313, 11, '记录健身');
INSERT INTO `lang_definitions` VALUES (38956, 5314, 11, '记录付款');
INSERT INTO `lang_definitions` VALUES (38957, 5315, 11, '记录请求日期');
INSERT INTO `lang_definitions` VALUES (38958, 5316, 11, '纪录为13岁或以上的患者吸烟状况。');
INSERT INTO `lang_definitions` VALUES (38959, 5317, 11, '记录');
INSERT INTO `lang_definitions` VALUES (38960, 5318, 11, '找到记录');
INSERT INTO `lang_definitions` VALUES (38961, 5319, 11, '找到记录。');
INSERT INTO `lang_definitions` VALUES (38962, 5320, 11, '娱乐性药物的使用');
INSERT INTO `lang_definitions` VALUES (38963, 5321, 11, '娱乐性药物');
INSERT INTO `lang_definitions` VALUES (38964, 5322, 11, '直肠');
INSERT INTO `lang_definitions` VALUES (38965, 5323, 11, '直肠检查');
INSERT INTO `lang_definitions` VALUES (38966, 5324, 11, '直肠');
INSERT INTO `lang_definitions` VALUES (38967, 5325, 11, '重定向');
INSERT INTO `lang_definitions` VALUES (38968, 5326, 11, '发红');
INSERT INTO `lang_definitions` VALUES (38969, 5327, 11, '降低：');
INSERT INTO `lang_definitions` VALUES (38970, 5328, 11, '参考');
INSERT INTO `lang_definitions` VALUES (38971, 5329, 11, '指由');
INSERT INTO `lang_definitions` VALUES (38972, 5330, 11, '请参阅日期');
INSERT INTO `lang_definitions` VALUES (38973, 5331, 11, '指');
INSERT INTO `lang_definitions` VALUES (38974, 5332, 11, '参考分类（风险水平）');
INSERT INTO `lang_definitions` VALUES (38975, 5333, 11, '结果参考范围');
INSERT INTO `lang_definitions` VALUES (38976, 5334, 11, '参考的原因');
INSERT INTO `lang_definitions` VALUES (38977, 5336, 11, 'Referer的名称和签名');
INSERT INTO `lang_definitions` VALUES (38978, 5337, 11, '转诊');
INSERT INTO `lang_definitions` VALUES (38979, 5338, 11, '转介');
INSERT INTO `lang_definitions` VALUES (38980, 5339, 11, '转诊卡');
INSERT INTO `lang_definitions` VALUES (38981, 5340, 11, '转介日期');
INSERT INTO `lang_definitions` VALUES (38982, 5341, 11, '转介表');
INSERT INTO `lang_definitions` VALUES (38983, 5342, 11, '转学表');
INSERT INTO `lang_definitions` VALUES (38984, 5343, 11, '转诊的ID');
INSERT INTO `lang_definitions` VALUES (38985, 5345, 11, '转介来源');
INSERT INTO `lang_definitions` VALUES (38986, 5346, 11, '转介来源为遭遇');
INSERT INTO `lang_definitions` VALUES (38987, 5347, 11, '转诊到');
INSERT INTO `lang_definitions` VALUES (38988, 5348, 11, '介绍人');
INSERT INTO `lang_definitions` VALUES (38989, 5349, 11, '介绍人报告');
INSERT INTO `lang_definitions` VALUES (38990, 5350, 11, '所提');
INSERT INTO `lang_definitions` VALUES (38991, 5351, 11, '所提');
INSERT INTO `lang_definitions` VALUES (38992, 5352, 11, '简称');
INSERT INTO `lang_definitions` VALUES (38993, 5353, 11, '引荐');
INSERT INTO `lang_definitions` VALUES (38994, 5355, 11, '引荐诊断');
INSERT INTO `lang_definitions` VALUES (38995, 5356, 11, '引荐诊断');
INSERT INTO `lang_definitions` VALUES (38996, 5357, 11, '在谈到医生和实践');
INSERT INTO `lang_definitions` VALUES (38997, 5358, 11, '在谈到服务人员');
INSERT INTO `lang_definitions` VALUES (38998, 5359, 11, '笔芯');
INSERT INTO `lang_definitions` VALUES (38999, 5360, 11, '笔芯');
INSERT INTO `lang_definitions` VALUES (39000, 5361, 11, '笔芯');
INSERT INTO `lang_definitions` VALUES (39001, 5362, 11, '反射正常');
INSERT INTO `lang_definitions` VALUES (39002, 5363, 11, '刷新');
INSERT INTO `lang_definitions` VALUES (39003, 5365, 11, '清爽提醒');
INSERT INTO `lang_definitions` VALUES (39004, 5368, 11, '拒绝说明');
INSERT INTO `lang_definitions` VALUES (39005, 5369, 11, '注册');
INSERT INTO `lang_definitions` VALUES (39006, 5370, 11, '注册');
INSERT INTO `lang_definitions` VALUES (39007, 5372, 11, '注册');
INSERT INTO `lang_definitions` VALUES (39008, 5373, 11, '注册');
INSERT INTO `lang_definitions` VALUES (39009, 5375, 11, '注册日期');
INSERT INTO `lang_definitions` VALUES (39010, 5376, 11, '报名表');
INSERT INTO `lang_definitions` VALUES (39011, 5377, 11, '复原');
INSERT INTO `lang_definitions` VALUES (39012, 5381, 11, '涉及到');
INSERT INTO `lang_definitions` VALUES (39013, 5382, 11, '有关');
INSERT INTO `lang_definitions` VALUES (39014, 5383, 11, '相关问题');
INSERT INTO `lang_definitions` VALUES (39015, 5385, 11, '关系（S）/儿童');
INSERT INTO `lang_definitions` VALUES (39016, 5386, 11, '关系');
INSERT INTO `lang_definitions` VALUES (39017, 5387, 11, '关系');
INSERT INTO `lang_definitions` VALUES (39018, 5388, 11, '这个实体的相对顺序');
INSERT INTO `lang_definitions` VALUES (39019, 5389, 11, '亲属');
INSERT INTO `lang_definitions` VALUES (39020, 5399, 11, '继电器健康凭据丢失该用户帐户。');
INSERT INTO `lang_definitions` VALUES (39021, 5400, 11, '继电器健康ID');
INSERT INTO `lang_definitions` VALUES (39022, 5403, 11, '宗教');
INSERT INTO `lang_definitions` VALUES (39023, 5406, 11, '重新登录');
INSERT INTO `lang_definitions` VALUES (39024, 5407, 11, 'remdr');
INSERT INTO `lang_definitions` VALUES (39025, 5408, 11, '记住选择基金');
INSERT INTO `lang_definitions` VALUES (39026, 5409, 11, '提醒');
INSERT INTO `lang_definitions` VALUES (39027, 5410, 11, '提醒间隔');
INSERT INTO `lang_definitions` VALUES (39028, 5411, 11, '提醒不要发了');
INSERT INTO `lang_definitions` VALUES (39029, 5412, 11, '发送提醒');
INSERT INTO `lang_definitions` VALUES (39030, 5413, 11, '提醒');
INSERT INTO `lang_definitions` VALUES (39031, 5414, 11, '汇至');
INSERT INTO `lang_definitions` VALUES (39032, 5416, 11, '清除');
INSERT INTO `lang_definitions` VALUES (39033, 5419, 11, '删除组');
INSERT INTO `lang_definitions` VALUES (39034, 5420, 11, '删除组的形式');
INSERT INTO `lang_definitions` VALUES (39035, 5421, 11, '删除免疫支持');
INSERT INTO `lang_definitions` VALUES (39036, 5422, 11, '删除phpMyAdmin的支持');
INSERT INTO `lang_definitions` VALUES (39037, 5423, 11, '删除处方');
INSERT INTO `lang_definitions` VALUES (39038, 5425, 11, '删除图表跟踪功能');
INSERT INTO `lang_definitions` VALUES (39039, 5426, 11, '肾结石');
INSERT INTO `lang_definitions` VALUES (39040, 5427, 11, '重命名');
INSERT INTO `lang_definitions` VALUES (39041, 5428, 11, '重命名组');
INSERT INTO `lang_definitions` VALUES (39042, 5429, 11, '渲染');
INSERT INTO `lang_definitions` VALUES (39043, 5430, 11, '渲染提供商');
INSERT INTO `lang_definitions` VALUES (39044, 5431, 11, '渲染提供商的号码');
INSERT INTO `lang_definitions` VALUES (39045, 5432, 11, '重新排序');
INSERT INTO `lang_definitions` VALUES (39046, 5433, 11, '重新排列在');
INSERT INTO `lang_definitions` VALUES (39047, 5434, 11, '订货点已达到');
INSERT INTO `lang_definitions` VALUES (39048, 5435, 11, '重新排序来看，如果不适用');
INSERT INTO `lang_definitions` VALUES (39049, 5436, 11, '声望');
INSERT INTO `lang_definitions` VALUES (39050, 5438, 11, '重复事件');
INSERT INTO `lang_definitions` VALUES (39051, 5439, 11, '重复信息：');
INSERT INTO `lang_definitions` VALUES (39052, 5440, 11, '重复');
INSERT INTO `lang_definitions` VALUES (39053, 5444, 11, '回复日期');
INSERT INTO `lang_definitions` VALUES (39054, 5445, 11, '回复从');
INSERT INTO `lang_definitions` VALUES (39055, 5446, 11, '报告');
INSERT INTO `lang_definitions` VALUES (39056, 5447, 11, '报告 - 临床');
INSERT INTO `lang_definitions` VALUES (39057, 5449, 11, '的报告');
INSERT INTO `lang_definitions` VALUES (39058, 5457, 11, '报告状态');
INSERT INTO `lang_definitions` VALUES (39059, 5458, 11, '报告汇总');
INSERT INTO `lang_definitions` VALUES (39060, 5460, 11, '申报');
INSERT INTO `lang_definitions` VALUES (39061, 5461, 11, '报告');
INSERT INTO `lang_definitions` VALUES (39062, 5462, 11, '报告日期');
INSERT INTO `lang_definitions` VALUES (39063, 5463, 11, '报告');
INSERT INTO `lang_definitions` VALUES (39064, 5467, 11, '请求被忽略 - 索赔处理已经运行！');
INSERT INTO `lang_definitions` VALUES (39065, 5474, 11, '请求的服务');
INSERT INTO `lang_definitions` VALUES (39066, 5475, 11, '需要强有力的密码');
INSERT INTO `lang_definitions` VALUES (39067, 5476, 11, '需要独特的密码');
INSERT INTO `lang_definitions` VALUES (39068, 5477, 11, '需要');
INSERT INTO `lang_definitions` VALUES (39069, 5479, 11, '必填失踪：请选择的EDI-271要上传的文件');
INSERT INTO `lang_definitions` VALUES (39070, 5480, 11, '缺少必需的字段：请输入名字');
INSERT INTO `lang_definitions` VALUES (39071, 5481, 11, '缺少必需的字段：请输入姓氏');
INSERT INTO `lang_definitions` VALUES (39072, 5482, 11, '缺少必需的字段：请输入用户名');
INSERT INTO `lang_definitions` VALUES (39073, 5483, 11, '必填字段');
INSERT INTO `lang_definitions` VALUES (39074, 5484, 11, '要求');
INSERT INTO `lang_definitions` VALUES (39075, 5485, 11, '版权所有');
INSERT INTO `lang_definitions` VALUES (39076, 5486, 11, '版权所有');
INSERT INTO `lang_definitions` VALUES (39077, 5487, 11, '保留使用定义排定的休假时间');
INSERT INTO `lang_definitions` VALUES (39078, 5488, 11, '服务人员可能无法获得任命时，保留的定义。');
INSERT INTO `lang_definitions` VALUES (39079, 5489, 11, '保留定义事件没有发生时指定。');
INSERT INTO `lang_definitions` VALUES (39080, 5490, 11, '保留todefine当一个服务人员可能会haveavailable任命后。');
INSERT INTO `lang_definitions` VALUES (39081, 5491, 11, '重置');
INSERT INTO `lang_definitions` VALUES (39082, 5492, 11, '复位异地门户证书');
INSERT INTO `lang_definitions` VALUES (39083, 5493, 11, '复位上门门户全权证书');
INSERT INTO `lang_definitions` VALUES (39084, 5495, 11, 'resn');
INSERT INTO `lang_definitions` VALUES (39085, 5496, 11, '解决');
INSERT INTO `lang_definitions` VALUES (39086, 5497, 11, '呼吸');
INSERT INTO `lang_definitions` VALUES (39087, 5498, 11, '呼吸器努力unlabored');
INSERT INTO `lang_definitions` VALUES (39088, 5499, 11, '呼吸系统');
INSERT INTO `lang_definitions` VALUES (39089, 5501, 11, '限制非授权用户在用户管理中设置的附表设施。');
INSERT INTO `lang_definitions` VALUES (39090, 5502, 11, '限制用户设施');
INSERT INTO `lang_definitions` VALUES (39091, 5503, 11, '有限的培训');
INSERT INTO `lang_definitions` VALUES (39092, 5504, 11, '导致');
INSERT INTO `lang_definitions` VALUES (39093, 5506, 11, '结果状态');
INSERT INTO `lang_definitions` VALUES (39094, 5507, 11, '结果状态或异常丢失');
INSERT INTO `lang_definitions` VALUES (39095, 5508, 11, '因此，使用一个通配符％');
INSERT INTO `lang_definitions` VALUES (39096, 5510, 11, '结果和');
INSERT INTO `lang_definitions` VALUES (39097, 5511, 11, '结果发现搜索');
INSERT INTO `lang_definitions` VALUES (39098, 5512, 11, '结果A组');
INSERT INTO `lang_definitions` VALUES (39099, 5515, 11, '结果每页');
INSERT INTO `lang_definitions` VALUES (39100, 5516, 11, '结果/详细信息');
INSERT INTO `lang_definitions` VALUES (39101, 5517, 11, '视网膜考试');
INSERT INTO `lang_definitions` VALUES (39102, 5518, 11, '收回权：');
INSERT INTO `lang_definitions` VALUES (39103, 5519, 11, '返回');
INSERT INTO `lang_definitions` VALUES (39104, 5520, 11, '回到上面的一部分，与您的付款');
INSERT INTO `lang_definitions` VALUES (39105, 5521, 11, '返回到日历');
INSERT INTO `lang_definitions` VALUES (39106, 5527, 11, '返回值');
INSERT INTO `lang_definitions` VALUES (39107, 5528, 11, '复诊');
INSERT INTO `lang_definitions` VALUES (39108, 5529, 11, '返回到播放');
INSERT INTO `lang_definitions` VALUES (39109, 5534, 11, '玛嘉烈医院回顾：');
INSERT INTO `lang_definitions` VALUES (39110, 5535, 11, '系统回顾');
INSERT INTO `lang_definitions` VALUES (39111, 5536, 11, '审查系统的检查');
INSERT INTO `lang_definitions` VALUES (39112, 5537, 11, '评论');
INSERT INTO `lang_definitions` VALUES (39113, 5538, 11, '调整');
INSERT INTO `lang_definitions` VALUES (39114, 5541, 11, '权利');
INSERT INTO `lang_definitions` VALUES (39115, 5542, 11, '右耳');
INSERT INTO `lang_definitions` VALUES (39116, 5543, 11, '右耳');
INSERT INTO `lang_definitions` VALUES (39117, 5545, 11, '右：');
INSERT INTO `lang_definitions` VALUES (39118, 5546, 11, '言犹在耳');
INSERT INTO `lang_definitions` VALUES (39119, 5547, 11, '言犹在耳');
INSERT INTO `lang_definitions` VALUES (39120, 5549, 11, '风险因素');
INSERT INTO `lang_definitions` VALUES (39121, 5550, 11, '风险水平');
INSERT INTO `lang_definitions` VALUES (39122, 5551, 11, 'RLL的：');
INSERT INTO `lang_definitions` VALUES (39123, 5552, 11, '光盘');
INSERT INTO `lang_definitions` VALUES (39124, 5553, 11, '罗马尼亚');
INSERT INTO `lang_definitions` VALUES (39125, 5560, 11, '名册');
INSERT INTO `lang_definitions` VALUES (39126, 5561, 11, '路线');
INSERT INTO `lang_definitions` VALUES (39127, 5562, 11, '给药途径，如适用');
INSERT INTO `lang_definitions` VALUES (39128, 5563, 11, '路由');
INSERT INTO `lang_definitions` VALUES (39129, 5564, 11, '行');
INSERT INTO `lang_definitions` VALUES (39130, 5565, 11, '存款准备金率没有铁道部');
INSERT INTO `lang_definitions` VALUES (39131, 5566, 11, '擦：');
INSERT INTO `lang_definitions` VALUES (39132, 5567, 11, '搓：');
INSERT INTO `lang_definitions` VALUES (39133, 5568, 11, '排除');
INSERT INTO `lang_definitions` VALUES (39134, 5569, 11, '规则添加');
INSERT INTO `lang_definitions` VALUES (39135, 5570, 11, '规则详情');
INSERT INTO `lang_definitions` VALUES (39136, 5572, 11, '规则编辑');
INSERT INTO `lang_definitions` VALUES (39137, 5575, 11, '规则集');
INSERT INTO `lang_definitions` VALUES (39138, 5578, 11, '规则');
INSERT INTO `lang_definitions` VALUES (39139, 5580, 11, '规则配置');
INSERT INTO `lang_definitions` VALUES (39140, 5581, 11, '运行命令： ');
INSERT INTO `lang_definitions` VALUES (39141, 5582, 11, '破裂');
INSERT INTO `lang_definitions` VALUES (39142, 5583, 11, '俄');
INSERT INTO `lang_definitions` VALUES (39143, 5584, 11, 'RX');
INSERT INTO `lang_definitions` VALUES (39144, 5585, 11, '接收');
INSERT INTO `lang_definitions` VALUES (39145, 5586, 11, 'RX底部边距（PX）');
INSERT INTO `lang_definitions` VALUES (39146, 5587, 11, 'RX启用DEA的＃');
INSERT INTO `lang_definitions` VALUES (39147, 5588, 11, 'RX启用非营利机构');
INSERT INTO `lang_definitions` VALUES (39148, 5589, 11, 'RX启用国家许可。 ＃');
INSERT INTO `lang_definitions` VALUES (39149, 5590, 11, 'RX左边界（PX）');
INSERT INTO `lang_definitions` VALUES (39150, 5591, 11, '接收纸张尺寸');
INSERT INTO `lang_definitions` VALUES (39151, 5592, 11, 'RX右边缘（PX）');
INSERT INTO `lang_definitions` VALUES (39152, 5593, 11, '接收显示DEA＃');
INSERT INTO `lang_definitions` VALUES (39153, 5594, 11, 'RX显示非营利机构');
INSERT INTO `lang_definitions` VALUES (39154, 5595, 11, '接收显示国家许可。 ＃');
INSERT INTO `lang_definitions` VALUES (39155, 5596, 11, 'RX边距（PX）');
INSERT INTO `lang_definitions` VALUES (39156, 5598, 11, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (39157, 5599, 11, 'RxNorm数据库');
INSERT INTO `lang_definitions` VALUES (39158, 5600, 11, '小号');
INSERT INTO `lang_definitions` VALUES (39159, 5601, 11, 'S.S.');
INSERT INTO `lang_definitions` VALUES (39160, 5602, 11, '中三：');
INSERT INTO `lang_definitions` VALUES (39161, 5603, 11, '四至：');
INSERT INTO `lang_definitions` VALUES (39162, 5604, 11, 'SA**阅读许可请阅读DOCS / LICENSE.TXT或* http://www.gnu.org/copyleft/gpl.html门诊** / //============ ================================================== ===========// ');
INSERT INTO `lang_definitions` VALUES (39163, 5605, 11, '出售');
INSERT INTO `lang_definitions` VALUES (39164, 5606, 11, '销售');
INSERT INTO `lang_definitions` VALUES (39165, 5607, 11, '主要项目的销售');
INSERT INTO `lang_definitions` VALUES (39166, 5608, 11, '销售产品报告');
INSERT INTO `lang_definitions` VALUES (39167, 5609, 11, '唾液');
INSERT INTO `lang_definitions` VALUES (39168, 5610, 11, '同一天');
INSERT INTO `lang_definitions` VALUES (39169, 5611, 11, '萨摩亚');
INSERT INTO `lang_definitions` VALUES (39170, 5612, 11, '样本');
INSERT INTO `lang_definitions` VALUES (39171, 5613, 11, '处罚种类');
INSERT INTO `lang_definitions` VALUES (39172, 5617, 11, '星期六');
INSERT INTO `lang_definitions` VALUES (39173, 5618, 11, '周六和周日');
INSERT INTO `lang_definitions` VALUES (39174, 5619, 11, '星期六');
INSERT INTO `lang_definitions` VALUES (39175, 5620, 11, '保存');
INSERT INTO `lang_definitions` VALUES (39176, 5621, 11, '保存');
INSERT INTO `lang_definitions` VALUES (39177, 5622, 11, '保存并关闭');
INSERT INTO `lang_definitions` VALUES (39178, 5624, 11, '保存和分配');
INSERT INTO `lang_definitions` VALUES (39179, 5626, 11, '另存为新');
INSERT INTO `lang_definitions` VALUES (39180, 5627, 11, '另存为新的笔记');
INSERT INTO `lang_definitions` VALUES (39181, 5628, 11, '保存证书设置');
INSERT INTO `lang_definitions` VALUES (39182, 5629, 11, '保存更改');
INSERT INTO `lang_definitions` VALUES (39183, 5630, 11, '保存表格');
INSERT INTO `lang_definitions` VALUES (39184, 5631, 11, '保存免疫');
INSERT INTO `lang_definitions` VALUES (39185, 5632, 11, '保存新领域');
INSERT INTO `lang_definitions` VALUES (39186, 5633, 11, '保存新组');
INSERT INTO `lang_definitions` VALUES (39187, 5634, 11, '保存新的列表');
INSERT INTO `lang_definitions` VALUES (39188, 5635, 11, '保存新模板');
INSERT INTO `lang_definitions` VALUES (39189, 5637, 11, '保存客户的人口统计资料');
INSERT INTO `lang_definitions` VALUES (39190, 5638, 11, '成功保存图表编号');
INSERT INTO `lang_definitions` VALUES (39191, 5639, 11, '节约交易');
INSERT INTO `lang_definitions` VALUES (39192, 5641, 11, '扫描');
INSERT INTO `lang_definitions` VALUES (39193, 5642, 11, '扫描遭遇注意');
INSERT INTO `lang_definitions` VALUES (39194, 5643, 11, '扫描仪指南');
INSERT INTO `lang_definitions` VALUES (39195, 5644, 11, '扫描器');
INSERT INTO `lang_definitions` VALUES (39196, 5645, 11, '时间表');
INSERT INTO `lang_definitions` VALUES (39197, 5646, 11, '附表设施：');
INSERT INTO `lang_definitions` VALUES (39198, 5647, 11, '校注');
INSERT INTO `lang_definitions` VALUES (39199, 5648, 11, '脊柱侧凸');
INSERT INTO `lang_definitions` VALUES (39200, 5651, 11, 'SEL');
INSERT INTO `lang_definitions` VALUES (39201, 5652, 11, 'SE的地址');
INSERT INTO `lang_definitions` VALUES (39202, 5653, 11, 'SE城');
INSERT INTO `lang_definitions` VALUES (39203, 5654, 11, 'SE地区');
INSERT INTO `lang_definitions` VALUES (39204, 5655, 11, 'SE方位');
INSERT INTO `lang_definitions` VALUES (39205, 5656, 11, 'SE邮政编码');
INSERT INTO `lang_definitions` VALUES (39206, 5657, 11, 'SE国');
INSERT INTO `lang_definitions` VALUES (39207, 5658, 11, 'SE邮编');
INSERT INTO `lang_definitions` VALUES (39208, 5659, 11, '搜索');
INSERT INTO `lang_definitions` VALUES (39209, 5661, 11, '搜索');
INSERT INTO `lang_definitions` VALUES (39210, 5662, 11, '再次搜索');
INSERT INTO `lang_definitions` VALUES (39211, 5664, 11, '搜寻：');
INSERT INTO `lang_definitions` VALUES (39212, 5665, 11, '搜索');
INSERT INTO `lang_definitions` VALUES (39213, 5666, 11, '搜索：');
INSERT INTO `lang_definitions` VALUES (39214, 5668, 11, '搜索');
INSERT INTO `lang_definitions` VALUES (39215, 5669, 11, '搜寻或新增客户');
INSERT INTO `lang_definitions` VALUES (39216, 5670, 11, '搜索付款');
INSERT INTO `lang_definitions` VALUES (39217, 5672, 11, '搜索结果：');
INSERT INTO `lang_definitions` VALUES (39218, 5673, 11, '搜索时选择');
INSERT INTO `lang_definitions` VALUES (39219, 5674, 11, '搜索字符串不匹配数据库中的名单');
INSERT INTO `lang_definitions` VALUES (39220, 5675, 11, '搜索字符串应该至少有三个字符');
INSERT INTO `lang_definitions` VALUES (39221, 5676, 11, '搜索文本');
INSERT INTO `lang_definitions` VALUES (39222, 5677, 11, '搜索事件');
INSERT INTO `lang_definitions` VALUES (39223, 5678, 11, '搜索/添加');
INSERT INTO `lang_definitions` VALUES (39224, 5679, 11, '搜索/加入保险');
INSERT INTO `lang_definitions` VALUES (39225, 5680, 11, '寻找约会');
INSERT INTO `lang_definitions` VALUES (39226, 5681, 11, '搜索...');
INSERT INTO `lang_definitions` VALUES (39227, 5682, 11, '安全带的使用');
INSERT INTO `lang_definitions` VALUES (39228, 5683, 11, '安全带的使用');
INSERT INTO `lang_definitions` VALUES (39229, 5684, 11, '第二');
INSERT INTO `lang_definitions` VALUES (39230, 5687, 11, '次要');
INSERT INTO `lang_definitions` VALUES (39231, 5688, 11, '中学保险');
INSERT INTO `lang_definitions` VALUES (39232, 5689, 11, '二级保险数据');
INSERT INTO `lang_definitions` VALUES (39233, 5690, 11, '二次保险提供商');
INSERT INTO `lang_definitions` VALUES (39234, 5691, 11, '二级医疗保险类型');
INSERT INTO `lang_definitions` VALUES (39235, 5698, 11, '安全');
INSERT INTO `lang_definitions` VALUES (39236, 5699, 11, '查看全部');
INSERT INTO `lang_definitions` VALUES (39237, 5700, 11, '看到授权');
INSERT INTO `lang_definitions` VALUES (39238, 5701, 11, '看到增长的走势');
INSERT INTO `lang_definitions` VALUES (39239, 5702, 11, '看到最后一组消息从生成的索赔');
INSERT INTO `lang_definitions` VALUES (39240, 5704, 11, '看到自');
INSERT INTO `lang_definitions` VALUES (39241, 5707, 11, '癫痫发作');
INSERT INTO `lang_definitions` VALUES (39242, 5708, 11, 'SEL');
INSERT INTO `lang_definitions` VALUES (39243, 5709, 11, '选择');
INSERT INTO `lang_definitions` VALUES (39244, 5710, 11, '选择');
INSERT INTO `lang_definitions` VALUES (39245, 5712, 11, '选择一个关联');
INSERT INTO `lang_definitions` VALUES (39246, 5714, 11, '选择一个时间跨度');
INSERT INTO `lang_definitions` VALUES (39247, 5715, 11, '选择一个用户');
INSERT INTO `lang_definitions` VALUES (39248, 5716, 11, '选择全部');
INSERT INTO `lang_definitions` VALUES (39250, 5720, 11, '选择类别');
INSERT INTO `lang_definitions` VALUES (39251, 5722, 11, '选择相应的复选框删除');
INSERT INTO `lang_definitions` VALUES (39252, 5723, 11, '选择要删除的标准');
INSERT INTO `lang_definitions` VALUES (39253, 5725, 11, '选择德鉴定所需的数据');
INSERT INTO `lang_definitions` VALUES (39254, 5726, 11, '选择在德中包含的数据标识数据');
INSERT INTO `lang_definitions` VALUES (39255, 5727, 11, '选择日期');
INSERT INTO `lang_definitions` VALUES (39256, 5728, 11, '选择所需的小队');
INSERT INTO `lang_definitions` VALUES (39257, 5729, 11, '选择诊断');
INSERT INTO `lang_definitions` VALUES (39258, 5730, 11, '选择诊断为德鉴定请求');
INSERT INTO `lang_definitions` VALUES (39259, 5731, 11, '选择药物');
INSERT INTO `lang_definitions` VALUES (39260, 5732, 11, '选择药物');
INSERT INTO `lang_definitions` VALUES (39261, 5733, 11, '选择药物为德鉴定请求');
INSERT INTO `lang_definitions` VALUES (39262, 5734, 11, '选择的EDI-271文件');
INSERT INTO `lang_definitions` VALUES (39263, 5736, 11, '选择字段');
INSERT INTO `lang_definitions` VALUES (39264, 5737, 11, '选择字段');
INSERT INTO `lang_definitions` VALUES (39265, 5738, 11, '选择打印');
INSERT INTO `lang_definitions` VALUES (39266, 5739, 11, '选择免疫');
INSERT INTO `lang_definitions` VALUES (39267, 5740, 11, '选择德鉴定要求的预防接种');
INSERT INTO `lang_definitions` VALUES (39268, 5741, 11, '选择保险，键入');
INSERT INTO `lang_definitions` VALUES (39269, 5742, 11, '选择发行');
INSERT INTO `lang_definitions` VALUES (39270, 5744, 11, '选择语言');
INSERT INTO `lang_definitions` VALUES (39271, 5746, 11, '选择一个或多个诊断代码来证明服务');
INSERT INTO `lang_definitions` VALUES (39272, 5754, 11, '选择导出的配置项');
INSERT INTO `lang_definitions` VALUES (39273, 5755, 11, '选择错过了这一天的任何事件负有主要责任的问题');
INSERT INTO `lang_definitions` VALUES (39274, 5759, 11, '选择用户');
INSERT INTO `lang_definitions` VALUES (39275, 5760, 11, '从下拉列表中选择用户');
INSERT INTO `lang_definitions` VALUES (39276, 5761, 11, '选择哪种语言，如果有的话，可能会在登录时选择。 （只有关，如果上述所有语言允许被关闭）');
INSERT INTO `lang_definitions` VALUES (39277, 5762, 11, '选择是确认组删除');
INSERT INTO `lang_definitions` VALUES (39278, 5765, 11, '选');
INSERT INTO `lang_definitions` VALUES (39279, 5766, 11, '选择治疗');
INSERT INTO `lang_definitions` VALUES (39280, 5767, 11, '选择这将创建一个消息，需要单独处理每个收件人（这不是一组的任务）。');
INSERT INTO `lang_definitions` VALUES (39281, 5768, 11, '自');
INSERT INTO `lang_definitions` VALUES (39282, 5769, 11, '自付费');
INSERT INTO `lang_definitions` VALUES (39283, 5771, 11, '发送');
INSERT INTO `lang_definitions` VALUES (39284, 5772, 11, '发送日的提醒');
INSERT INTO `lang_definitions` VALUES (39285, 5773, 11, '发送提醒');
INSERT INTO `lang_definitions` VALUES (39286, 5774, 11, '正在进行中发送');
INSERT INTO `lang_definitions` VALUES (39287, 5775, 11, '发送消息');
INSERT INTO `lang_definitions` VALUES (39288, 5776, 11, '发送提醒批次');
INSERT INTO `lang_definitions` VALUES (39289, 5777, 11, '发送提醒患者每预防/跟进护理客户的偏好。');
INSERT INTO `lang_definitions` VALUES (39290, 5778, 11, '发送介绍人摘要');
INSERT INTO `lang_definitions` VALUES (39291, 5779, 11, '发送此文件');
INSERT INTO `lang_definitions` VALUES (39292, 5780, 11, '发送此消息');
INSERT INTO `lang_definitions` VALUES (39293, 5781, 11, '发送到');
INSERT INTO `lang_definitions` VALUES (39294, 5784, 11, '向所有');
INSERT INTO `lang_definitions` VALUES (39295, 5788, 11, '寄件人');
INSERT INTO `lang_definitions` VALUES (39296, 5789, 11, '发件人ID');
INSERT INTO `lang_definitions` VALUES (39297, 5790, 11, '发件人ID（ISA06）');
INSERT INTO `lang_definitions` VALUES (39298, 5791, 11, 'Sender ID的预选赛（ISA05）');
INSERT INTO `lang_definitions` VALUES (39299, 5794, 11, '敏感性');
INSERT INTO `lang_definitions` VALUES (39300, 5795, 11, '灵敏度：');
INSERT INTO `lang_definitions` VALUES (39301, 5796, 11, '感官检查正常');
INSERT INTO `lang_definitions` VALUES (39302, 5799, 11, '发送留下的所有空白');
INSERT INTO `lang_definitions` VALUES (39303, 5801, 11, '发送日期');
INSERT INTO `lang_definitions` VALUES (39304, 5802, 11, '已发送邮件');
INSERT INTO `lang_definitions` VALUES (39305, 5803, 11, '发送病历？');
INSERT INTO `lang_definitions` VALUES (39306, 5804, 11, '发送成功');
INSERT INTO `lang_definitions` VALUES (39307, 5807, 11, '发送到打印机。');
INSERT INTO `lang_definitions` VALUES (39308, 5808, 11, '离开发送到所有空白');
INSERT INTO `lang_definitions` VALUES (39309, 5812, 11, '九月');
INSERT INTO `lang_definitions` VALUES (39310, 5813, 11, '分离');
INSERT INTO `lang_definitions` VALUES (39311, 5814, 11, '九月');
INSERT INTO `lang_definitions` VALUES (39312, 5815, 11, '序号');
INSERT INTO `lang_definitions` VALUES (39313, 5816, 11, '序列');
INSERT INTO `lang_definitions` VALUES (39314, 5821, 11, '服务');
INSERT INTO `lang_definitions` VALUES (39315, 5822, 11, '服务类别');
INSERT INTO `lang_definitions` VALUES (39316, 5823, 11, '服务守则');
INSERT INTO `lang_definitions` VALUES (39317, 5825, 11, '服务代码');
INSERT INTO `lang_definitions` VALUES (39318, 5826, 11, '服务日期');
INSERT INTO `lang_definitions` VALUES (39319, 5827, 11, '服务日期：');
INSERT INTO `lang_definitions` VALUES (39320, 5829, 11, '服务地点');
INSERT INTO `lang_definitions` VALUES (39321, 5831, 11, '由专家提供的服务');
INSERT INTO `lang_definitions` VALUES (39322, 5834, 11, '服务');
INSERT INTO `lang_definitions` VALUES (39323, 5835, 11, '服务类别');
INSERT INTO `lang_definitions` VALUES (39324, 5836, 11, '所提供的服务');
INSERT INTO `lang_definitions` VALUES (39325, 5837, 11, '提供的服务');
INSERT INTO `lang_definitions` VALUES (39326, 5838, 11, '服务/产品');
INSERT INTO `lang_definitions` VALUES (39327, 5839, 11, '会话类型');
INSERT INTO `lang_definitions` VALUES (39328, 5840, 11, '集');
INSERT INTO `lang_definitions` VALUES (39329, 5841, 11, '设施设置Cookie以记住登录之间的选定设施。');
INSERT INTO `lang_definitions` VALUES (39330, 5842, 11, '设置为已完成');
INSERT INTO `lang_definitions` VALUES (39331, 5845, 11, '设置这个完整的绝对路径。为创建HTTPS客户端SSL证书。');
INSERT INTO `lang_definitions` VALUES (39332, 5846, 11, '设置为');
INSERT INTO `lang_definitions` VALUES (39333, 5847, 11, '设置为默认');
INSERT INTO `lang_definitions` VALUES (39334, 5848, 11, '设置在数据库中的版本号...');
INSERT INTO `lang_definitions` VALUES (39335, 5849, 11, '设置');
INSERT INTO `lang_definitions` VALUES (39336, 5851, 11, '严重偏头痛');
INSERT INTO `lang_definitions` VALUES (39337, 5853, 11, '疼痛严重程度');
INSERT INTO `lang_definitions` VALUES (39338, 5854, 11, '疼痛严重程度：');
INSERT INTO `lang_definitions` VALUES (39339, 5855, 11, '性别');
INSERT INTO `lang_definitions` VALUES (39340, 5856, 11, '性病');
INSERT INTO `lang_definitions` VALUES (39341, 5858, 11, 'SHA-1哈希');
INSERT INTO `lang_definitions` VALUES (39342, 5859, 11, '共享');
INSERT INTO `lang_definitions` VALUES (39343, 5860, 11, '从打印服务器的shell命令。');
INSERT INTO `lang_definitions` VALUES (39344, 5864, 11, '气短');
INSERT INTO `lang_definitions` VALUES (39345, 5865, 11, '气短');
INSERT INTO `lang_definitions` VALUES (39346, 5866, 11, '急促的呼吸2');
INSERT INTO `lang_definitions` VALUES (39347, 5867, 11, '铅球纪录');
INSERT INTO `lang_definitions` VALUES (39348, 5868, 11, '作为拍摄记录：');
INSERT INTO `lang_definitions` VALUES (39349, 5870, 11, '应该类似于nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (39350, 5871, 11, '应该是两个字母');
INSERT INTO `lang_definitions` VALUES (39351, 5872, 11, '应包含10个数字');
INSERT INTO `lang_definitions` VALUES (39352, 5873, 11, '应该只包含10个数字');
INSERT INTO `lang_definitions` VALUES (39353, 5874, 11, '肩');
INSERT INTO `lang_definitions` VALUES (39354, 5875, 11, '肩+锁骨');
INSERT INTO `lang_definitions` VALUES (39355, 5876, 11, '肩部有问题');
INSERT INTO `lang_definitions` VALUES (39356, 5877, 11, '显示');
INSERT INTO `lang_definitions` VALUES (39357, 5880, 11, '显示所有');
INSERT INTO `lang_definitions` VALUES (39358, 5883, 11, '显示所有交易');
INSERT INTO `lang_definitions` VALUES (39359, 5884, 11, '显示为忙碌');
INSERT INTO `lang_definitions` VALUES (39360, 5885, 11, '显示唯一授权');
INSERT INTO `lang_definitions` VALUES (39361, 5886, 11, '显示可用的时间');
INSERT INTO `lang_definitions` VALUES (39362, 5887, 11, '显示美国和公制（主要单位是公制）');
INSERT INTO `lang_definitions` VALUES (39363, 5888, 11, '显示美国和公制（主要单位是美国）');
INSERT INTO `lang_definitions` VALUES (39364, 5889, 11, '显示详细信息');
INSERT INTO `lang_definitions` VALUES (39365, 5891, 11, '显示图形');
INSERT INTO `lang_definitions` VALUES (39366, 5892, 11, '徘徊在mouseover事件文本的显示？');
INSERT INTO `lang_definitions` VALUES (39367, 5893, 11, '管理页面上多少事件？');
INSERT INTO `lang_definitions` VALUES (39368, 5896, 11, '显示菜单');
INSERT INTO `lang_definitions` VALUES (39369, 5897, 11, '显示公制只');
INSERT INTO `lang_definitions` VALUES (39370, 5898, 11, '显示注释');
INSERT INTO `lang_definitions` VALUES (39371, 5901, 11, '客户笔记');
INSERT INTO `lang_definitions` VALUES (39372, 5904, 11, '显示初步完成');
INSERT INTO `lang_definitions` VALUES (39373, 5905, 11, '显示提醒');
INSERT INTO `lang_definitions` VALUES (39374, 5906, 11, '展后报告');
INSERT INTO `lang_definitions` VALUES (39375, 5907, 11, '显示搜索/块提交的联系？');
INSERT INTO `lang_definitions` VALUES (39376, 5910, 11, '显示附加列表部件的自定义状态的形式（要求标题和缩写）。');
INSERT INTO `lang_definitions` VALUES (39377, 5913, 11, '显示未入账只有');
INSERT INTO `lang_definitions` VALUES (39378, 5914, 11, '显示，美国只');
INSERT INTO `lang_definitions` VALUES (39379, 5920, 11, '兄弟姐妹');
INSERT INTO `lang_definitions` VALUES (39380, 5921, 11, '镰状细胞');
INSERT INTO `lang_definitions` VALUES (39381, 5922, 11, 'SIG');
INSERT INTO `lang_definitions` VALUES (39382, 5923, 11, '乙状结肠/大肠镜检查');
INSERT INTO `lang_definitions` VALUES (39383, 5925, 11, '注册实验室检测结果（写');
INSERT INTO `lang_definitions` VALUES (39384, 5926, 11, '签结果');
INSERT INTO `lang_definitions` VALUES (39385, 5927, 11, '签名');
INSERT INTO `lang_definitions` VALUES (39386, 5929, 11, '签名：');
INSERT INTO `lang_definitions` VALUES (39387, 5930, 11, '签名接收');
INSERT INTO `lang_definitions` VALUES (39388, 5932, 11, '显著膨胀：');
INSERT INTO `lang_definitions` VALUES (39389, 5934, 11, '简体有限公司支付');
INSERT INTO `lang_definitions` VALUES (39390, 5935, 11, '简化户口资料');
INSERT INTO `lang_definitions` VALUES (39391, 5936, 11, '简化处方');
INSERT INTO `lang_definitions` VALUES (39392, 5937, 11, '自');
INSERT INTO `lang_definitions` VALUES (39393, 5938, 11, '诚挚');
INSERT INTO `lang_definitions` VALUES (39394, 5940, 11, '单');
INSERT INTO `lang_definitions` VALUES (39395, 5941, 11, '单选择列表');
INSERT INTO `lang_definitions` VALUES (39396, 5942, 11, '单选择列表添加到列表的能力');
INSERT INTO `lang_definitions` VALUES (39397, 5946, 11, '窦问题');
INSERT INTO `lang_definitions` VALUES (39398, 5947, 11, '鼻窦手术');
INSERT INTO `lang_definitions` VALUES (39399, 5948, 11, '窦压痛：');
INSERT INTO `lang_definitions` VALUES (39400, 5949, 11, '鼻窦炎');
INSERT INTO `lang_definitions` VALUES (39401, 5951, 11, '站点ID');
INSERT INTO `lang_definitions` VALUES (39402, 5953, 11, '为LibreEHR支持LLC实验室Exchange服务的网站ID。');
INSERT INTO `lang_definitions` VALUES (39403, 5956, 11, '大小');
INSERT INTO `lang_definitions` VALUES (39404, 5957, 11, '尺寸必须介于1和999');
INSERT INTO `lang_definitions` VALUES (39405, 5958, 11, '尺寸/名单');
INSERT INTO `lang_definitions` VALUES (39406, 5959, 11, '皮肤');
INSERT INTO `lang_definitions` VALUES (39407, 5960, 11, '皮肤癌');
INSERT INTO `lang_definitions` VALUES (39408, 5961, 11, '皮肤病');
INSERT INTO `lang_definitions` VALUES (39409, 5962, 11, '皮肤的其他');
INSERT INTO `lang_definitions` VALUES (39410, 5963, 11, '跳过授权客户笔记');
INSERT INTO `lang_definitions` VALUES (39411, 5964, 11, '跳越区间');
INSERT INTO `lang_definitions` VALUES (39412, 5965, 11, '跳转sql-ledger转储-没有实施服务器');
INSERT INTO `lang_definitions` VALUES (39413, 5967, 11, '睡眠模式');
INSERT INTO `lang_definitions` VALUES (39414, 5968, 11, '睡眠模式');
INSERT INTO `lang_definitions` VALUES (39415, 5969, 11, '睡美人');
INSERT INTO `lang_definitions` VALUES (39416, 5970, 11, '斯洛伐克文');
INSERT INTO `lang_definitions` VALUES (39417, 5972, 11, '钐债务W / O型');
INSERT INTO `lang_definitions` VALUES (39418, 5973, 11, 'Smarty缓存已被清除');
INSERT INTO `lang_definitions` VALUES (39419, 5974, 11, '吸烟者的当前状态未知');
INSERT INTO `lang_definitions` VALUES (39420, 5976, 11, '吸烟状况');
INSERT INTO `lang_definitions` VALUES (39421, 5977, 11, '短信管理');
INSERT INTO `lang_definitions` VALUES (39422, 5978, 11, '短信网关');
INSERT INTO `lang_definitions` VALUES (39423, 5979, 11, '短信网关API密钥');
INSERT INTO `lang_definitions` VALUES (39424, 5980, 11, '短信网关API密钥');
INSERT INTO `lang_definitions` VALUES (39425, 5981, 11, '短信网关密码');
INSERT INTO `lang_definitions` VALUES (39426, 5982, 11, '短信网关用户名');
INSERT INTO `lang_definitions` VALUES (39427, 5983, 11, '短信通知');
INSERT INTO `lang_definitions` VALUES (39428, 5984, 11, '短信通知时间');
INSERT INTO `lang_definitions` VALUES (39429, 5985, 11, '发送短信之前');
INSERT INTO `lang_definitions` VALUES (39430, 5986, 11, '发送短信');
INSERT INTO `lang_definitions` VALUES (39431, 5987, 11, '短信文本使用标签：* * * * * * * * * * * * * * * * * * * *服务人员');
INSERT INTO `lang_definitions` VALUES (39432, 5988, 11, '短信/电子邮件警报设置');
INSERT INTO `lang_definitions` VALUES (39433, 5989, 11, '密码认证协议');
INSERT INTO `lang_definitions` VALUES (39434, 5992, 11, 'SMTP主机名');
INSERT INTO `lang_definitions` VALUES (39435, 5993, 11, 'SM TP服务器端口号');
INSERT INTO `lang_definitions` VALUES (39436, 5994, 11, '用户认证协议');
INSERT INTO `lang_definitions` VALUES (39437, 5995, 11, '医学分类命名法');
INSERT INTO `lang_definitions` VALUES (39438, 6001, 11, '术语数据库');
INSERT INTO `lang_definitions` VALUES (39439, 6004, 11, '打呼噜');
INSERT INTO `lang_definitions` VALUES (39440, 6005, 11, '肥皂');
INSERT INTO `lang_definitions` VALUES (39441, 6006, 11, '社会困难');
INSERT INTO `lang_definitions` VALUES (39442, 6009, 11, '社会史：');
INSERT INTO `lang_definitions` VALUES (39443, 6010, 11, '社会安全号码');
INSERT INTO `lang_definitions` VALUES (39444, 6011, 11, '解决方案');
INSERT INTO `lang_definitions` VALUES (39445, 6013, 11, '躯体方面');
INSERT INTO `lang_definitions` VALUES (39446, 6014, 11, '一些授权是不显示的。点击这里查看所有');
INSERT INTO `lang_definitions` VALUES (39447, 6015, 11, '一些代码不显示的。');
INSERT INTO `lang_definitions` VALUES (39448, 6016, 11, '有些遇到没有显示出来。点击这里查看所有。');
INSERT INTO `lang_definitions` VALUES (39449, 6017, 11, '一些时发生错误的识别过程');
INSERT INTO `lang_definitions` VALUES (39450, 6018, 11, '一些笔记不显示。');
INSERT INTO `lang_definitions` VALUES (39451, 6020, 11, '一些话');
INSERT INTO `lang_definitions` VALUES (39452, 6023, 11, '事情出了错。请再试一次。');
INSERT INTO `lang_definitions` VALUES (39453, 6024, 11, '不久由于区间（临床提醒）');
INSERT INTO `lang_definitions` VALUES (39454, 6025, 11, '不久由于区间（客户提醒）');
INSERT INTO `lang_definitions` VALUES (39455, 6026, 11, '喉咙痛');
INSERT INTO `lang_definitions` VALUES (39456, 6028, 11, '对不起，您的文件上传有问题');
INSERT INTO `lang_definitions` VALUES (39457, 6029, 11, '排序方式');
INSERT INTO `lang_definitions` VALUES (39458, 6030, 11, '排序');
INSERT INTO `lang_definitions` VALUES (39459, 6031, 11, '按校检排序');
INSERT INTO `lang_definitions` VALUES (39460, 6032, 11, '按意见排序');
INSERT INTO `lang_definitions` VALUES (39461, 6033, 11, '按CRT用户排序');
INSERT INTO `lang_definitions` VALUES (39462, 6034, 11, '按日期排序');
INSERT INTO `lang_definitions` VALUES (39463, 6035, 11, '按时间排序');
INSERT INTO `lang_definitions` VALUES (39464, 6036, 11, '按事件排序');
INSERT INTO `lang_definitions` VALUES (39465, 6037, 11, '按组排序');
INSERT INTO `lang_definitions` VALUES (39466, 6040, 11, '按客户编号排序');
INSERT INTO `lang_definitions` VALUES (39467, 6041, 11, '按成功排序');
INSERT INTO `lang_definitions` VALUES (39468, 6043, 11, '按用户排序');
INSERT INTO `lang_definitions` VALUES (39469, 6044, 11, '按疫苗排序');
INSERT INTO `lang_definitions` VALUES (39470, 6045, 11, '降序');
INSERT INTO `lang_definitions` VALUES (39471, 6046, 11, '排序结果');
INSERT INTO `lang_definitions` VALUES (39472, 6047, 11, '升序');
INSERT INTO `lang_definitions` VALUES (39473, 6048, 11, '来源');
INSERT INTO `lang_definitions` VALUES (39474, 6049, 11, '源文件');
INSERT INTO `lang_definitions` VALUES (39475, 6050, 11, '源文件路径');
INSERT INTO `lang_definitions` VALUES (39476, 6051, 11, '源代码是失踪 ');
INSERT INTO `lang_definitions` VALUES (39477, 6052, 11, '源地段');
INSERT INTO `lang_definitions` VALUES (39478, 6057, 11, '来源：');
INSERT INTO `lang_definitions` VALUES (39479, 6060, 11, '空间');
INSERT INTO `lang_definitions` VALUES (39480, 6061, 11, '空间');
INSERT INTO `lang_definitions` VALUES (39481, 6062, 11, '西班牙语');
INSERT INTO `lang_definitions` VALUES (39482, 6063, 11, '西班牙语（拉丁美洲）');
INSERT INTO `lang_definitions` VALUES (39483, 6064, 11, '西班牙语（西班牙）');
INSERT INTO `lang_definitions` VALUES (39484, 6068, 11, '专家');
INSERT INTO `lang_definitions` VALUES (39485, 6069, 11, '专家的姓名和签名');
INSERT INTO `lang_definitions` VALUES (39486, 6071, 11, '专业');
INSERT INTO `lang_definitions` VALUES (39487, 6072, 11, '专业系统');
INSERT INTO `lang_definitions` VALUES (39488, 6073, 11, '专业：');
INSERT INTO `lang_definitions` VALUES (39489, 6074, 11, '特定');
INSERT INTO `lang_definitions` VALUES (39490, 6075, 11, '特定应用');
INSERT INTO `lang_definitions` VALUES (39491, 6076, 11, '特定的避孕服务');
INSERT INTO `lang_definitions` VALUES (39492, 6077, 11, '特定结果');
INSERT INTO `lang_definitions` VALUES (39493, 6078, 11, '特定服务');
INSERT INTO `lang_definitions` VALUES (39494, 6079, 11, '特定');
INSERT INTO `lang_definitions` VALUES (39495, 6080, 11, '指定格式代码。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39496, 6081, 11, '指定格式代码。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39497, 6082, 11, '指定格式的发票的参考号码。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39498, 6083, 11, '指定格式的发票的参考号码。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39499, 6084, 11, '指定格式领域产品控制器。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39500, 6085, 11, '指定格式领域产品控制器。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39501, 6086, 11, '指定格式的外部客户的ID。# =数字* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39502, 6087, 11, '指定格式的外部客户的ID。# =数字@ =α* =任何字符。如果不使用空。');
INSERT INTO `lang_definitions` VALUES (39503, 6088, 11, '标本');
INSERT INTO `lang_definitions` VALUES (39504, 6089, 11, '标本号/标识符');
INSERT INTO `lang_definitions` VALUES (39505, 6090, 11, '标本类型');
INSERT INTO `lang_definitions` VALUES (39506, 6092, 11, '语音听写');
INSERT INTO `lang_definitions` VALUES (39507, 6093, 11, '杀精剂');
INSERT INTO `lang_definitions` VALUES (39508, 6094, 11, '脾切除术');
INSERT INTO `lang_definitions` VALUES (39509, 6095, 11, '配偶');
INSERT INTO `lang_definitions` VALUES (39510, 6097, 11, '痰');
INSERT INTO `lang_definitions` VALUES (39511, 6098, 11, '痰：');
INSERT INTO `lang_definitions` VALUES (39512, 6099, 11, '倚强');
INSERT INTO `lang_definitions` VALUES (39513, 6102, 11, '队');
INSERT INTO `lang_definitions` VALUES (39514, 6103, 11, '小组成员');
INSERT INTO `lang_definitions` VALUES (39515, 6104, 11, '队');
INSERT INTO `lang_definitions` VALUES (39516, 6105, 11, '性健康和生殖健康');
INSERT INTO `lang_definitions` VALUES (39517, 6106, 11, '性健康和生殖健康-计划生育');
INSERT INTO `lang_definitions` VALUES (39518, 6107, 11, '非计划生育生殖健康');
INSERT INTO `lang_definitions` VALUES (39519, 6108, 11, '性健康和生殖健康推荐');
INSERT INTO `lang_definitions` VALUES (39520, 6109, 11, '性健康和生殖健康门诊表');
INSERT INTO `lang_definitions` VALUES (39521, 6110, 11, 'SRV日期');
INSERT INTO `lang_definitions` VALUES (39522, 6111, 11, '党卫军');
INSERT INTO `lang_definitions` VALUES (39523, 6112, 11, '证书管理');
INSERT INTO `lang_definitions` VALUES (39524, 6113, 11, '炙');
INSERT INTO `lang_definitions` VALUES (39525, 6114, 11, '稳定');
INSERT INTO `lang_definitions` VALUES (39526, 6116, 11, '标准');
INSERT INTO `lang_definitions` VALUES (39527, 6117, 11, '标准规定');
INSERT INTO `lang_definitions` VALUES (39528, 6118, 11, '标准措施');
INSERT INTO `lang_definitions` VALUES (39529, 6122, 11, '标准名称');
INSERT INTO `lang_definitions` VALUES (39530, 6124, 11, '开始');
INSERT INTO `lang_definitions` VALUES (39531, 6125, 11, '启动（年-月-日）： ');
INSERT INTO `lang_definitions` VALUES (39532, 6128, 11, '开始日期');
INSERT INTO `lang_definitions` VALUES (39533, 6129, 11, '开始日期在这个诊所');
INSERT INTO `lang_definitions` VALUES (39534, 6130, 11, '开始日期不能大于结束日期');
INSERT INTO `lang_definitions` VALUES (39535, 6131, 11, '起始日期：');
INSERT INTO `lang_definitions` VALUES (39536, 6132, 11, '开始日期：');
INSERT INTO `lang_definitions` VALUES (39537, 6133, 11, '开始时间');
INSERT INTO `lang_definitions` VALUES (39538, 6134, 11, '起始日期');
INSERT INTO `lang_definitions` VALUES (39539, 6135, 11, '统计');
INSERT INTO `lang_definitions` VALUES (39540, 6136, 11, '状态');
INSERT INTO `lang_definitions` VALUES (39541, 6137, 11, '数据类型');
INSERT INTO `lang_definitions` VALUES (39542, 6138, 11, '状态编号。#');
INSERT INTO `lang_definitions` VALUES (39543, 6139, 11, '国家执照号码');
INSERT INTO `lang_definitions` VALUES (39544, 6140, 11, '国家名单');
INSERT INTO `lang_definitions` VALUES (39545, 6141, 11, '状态列表（写只添加可选）');
INSERT INTO `lang_definitions` VALUES (39546, 6142, 11, '自定义域状态部件清单');
INSERT INTO `lang_definitions` VALUES (39547, 6143, 11, '州或省');
INSERT INTO `lang_definitions` VALUES (39548, 6144, 11, '国家/地点');
INSERT INTO `lang_definitions` VALUES (39549, 6145, 11, '国家/帕里什');
INSERT INTO `lang_definitions` VALUES (39550, 6146, 11, '声明总结');
INSERT INTO `lang_definitions` VALUES (39551, 6147, 11, '报表和更新的发票。');
INSERT INTO `lang_definitions` VALUES (39552, 6148, 11, '报表发送：');
INSERT INTO `lang_definitions` VALUES (39553, 6149, 11, '报表；发票将不被更新。');
INSERT INTO `lang_definitions` VALUES (39554, 6150, 11, '静态文字');
INSERT INTO `lang_definitions` VALUES (39555, 6151, 11, '统计');
INSERT INTO `lang_definitions` VALUES (39556, 6152, 11, '统计');
INSERT INTO `lang_definitions` VALUES (39557, 6153, 11, '身份');
INSERT INTO `lang_definitions` VALUES (39558, 6156, 11, '现状');
INSERT INTO `lang_definitions` VALUES (39559, 6158, 11, '性病/艾滋病顾问');
INSERT INTO `lang_definitions` VALUES (39560, 6159, 11, '强度和空调');
INSERT INTO `lang_definitions` VALUES (39561, 6169, 11, '关节僵硬');
INSERT INTO `lang_definitions` VALUES (39562, 6170, 11, '僵硬');
INSERT INTO `lang_definitions` VALUES (39563, 6171, 11, '库存月');
INSERT INTO `lang_definitions` VALUES (39564, 6172, 11, '胃痛');
INSERT INTO `lang_definitions` VALUES (39565, 6174, 11, '存储的哈希');
INSERT INTO `lang_definitions` VALUES (39566, 6175, 11, '应变的肌肉');
INSERT INTO `lang_definitions` VALUES (39567, 6176, 11, '河流');
INSERT INTO `lang_definitions` VALUES (39568, 6177, 11, '街');
INSERT INTO `lang_definitions` VALUES (39569, 6178, 11, '街道地址');
INSERT INTO `lang_definitions` VALUES (39570, 6179, 11, '街及编号');
INSERT INTO `lang_definitions` VALUES (39571, 6180, 11, '实力');
INSERT INTO `lang_definitions` VALUES (39572, 6182, 11, '链球菌性喉炎');
INSERT INTO `lang_definitions` VALUES (39573, 6183, 11, '应力性骨折');
INSERT INTO `lang_definitions` VALUES (39574, 6184, 11, '应力测试');
INSERT INTO `lang_definitions` VALUES (39575, 6185, 11, '敲击');
INSERT INTO `lang_definitions` VALUES (39576, 6186, 11, '强大的密码是指至少8个字符和至少有三个：一个小写字母');
INSERT INTO `lang_definitions` VALUES (39577, 6188, 11, '风格的形式用于增加新的客户');
INSERT INTO `lang_definitions` VALUES (39578, 6189, 11, '子范畴');
INSERT INTO `lang_definitions` VALUES (39579, 6190, 11, '小计');
INSERT INTO `lang_definitions` VALUES (39580, 6191, 11, '分类');
INSERT INTO `lang_definitions` VALUES (39581, 6192, 11, '分类');
INSERT INTO `lang_definitions` VALUES (39582, 6193, 11, '皮下');
INSERT INTO `lang_definitions` VALUES (39583, 6194, 11, '科目');
INSERT INTO `lang_definitions` VALUES (39584, 6195, 11, '主观');
INSERT INTO `lang_definitions` VALUES (39585, 6196, 11, '舌下');
INSERT INTO `lang_definitions` VALUES (39586, 6197, 11, '舌下');
INSERT INTO `lang_definitions` VALUES (39587, 6198, 11, '提交');
INSERT INTO `lang_definitions` VALUES (39588, 6199, 11, '听从');
INSERT INTO `lang_definitions` VALUES (39589, 6200, 11, '提交的所有内容');
INSERT INTO `lang_definitions` VALUES (39590, 6202, 11, '提交事件');
INSERT INTO `lang_definitions` VALUES (39591, 6203, 11, '提交表格');
INSERT INTO `lang_definitions` VALUES (39592, 6204, 11, '将选定内容');
INSERT INTO `lang_definitions` VALUES (39593, 6205, 11, '听从');
INSERT INTO `lang_definitions` VALUES (39594, 6206, 11, '提交');
INSERT INTO `lang_definitions` VALUES (39595, 6207, 11, '提交电子数据交换接入号码（per06）');
INSERT INTO `lang_definitions` VALUES (39596, 6208, 11, '用户');
INSERT INTO `lang_definitions` VALUES (39597, 6209, 11, '用户地址');
INSERT INTO `lang_definitions` VALUES (39598, 6213, 11, '用户单位');
INSERT INTO `lang_definitions` VALUES (39599, 6214, 11, '用户单位（SE）');
INSERT INTO `lang_definitions` VALUES (39600, 6215, 11, '用户单位地址');
INSERT INTO `lang_definitions` VALUES (39601, 6216, 11, '用户单位市');
INSERT INTO `lang_definitions` VALUES (39602, 6217, 11, '用户单位国家');
INSERT INTO `lang_definitions` VALUES (39603, 6218, 11, '用户单位国');
INSERT INTO `lang_definitions` VALUES (39604, 6221, 11, '用户单位邮编');
INSERT INTO `lang_definitions` VALUES (39605, 6225, 11, '用户电话');
INSERT INTO `lang_definitions` VALUES (39606, 6226, 11, '客户关系');
INSERT INTO `lang_definitions` VALUES (39607, 6227, 11, '用户关系不是自己姓名相同！这是真的吗？');
INSERT INTO `lang_definitions` VALUES (39608, 6228, 11, '用户关系不是自我但相同数量！');
INSERT INTO `lang_definitions` VALUES (39609, 6229, 11, '用户的关系是自但是名字是不同的！这是真的吗？');
INSERT INTO `lang_definitions` VALUES (39610, 6230, 11, '用户关系自我但数是不同的！');
INSERT INTO `lang_definitions` VALUES (39611, 6231, 11, '用户性别');
INSERT INTO `lang_definitions` VALUES (39612, 6237, 11, '换人');
INSERT INTO `lang_definitions` VALUES (39613, 6238, 11, '替代允许');
INSERT INTO `lang_definitions` VALUES (39614, 6240, 11, '成功');
INSERT INTO `lang_definitions` VALUES (39615, 6241, 11, '成功');
INSERT INTO `lang_definitions` VALUES (39616, 6242, 11, '成功确认收到实验室结果');
INSERT INTO `lang_definitions` VALUES (39617, 6243, 11, '成功的实验结果');
INSERT INTO `lang_definitions` VALUES (39618, 6244, 11, '成功检索结果从实验室交换网络');
INSERT INTO `lang_definitions` VALUES (39619, 6246, 11, '成功添加分类');
INSERT INTO `lang_definitions` VALUES (39620, 6247, 11, '成功添加分类');
INSERT INTO `lang_definitions` VALUES (39621, 6248, 11, '成功删除');
INSERT INTO `lang_definitions` VALUES (39622, 6250, 11, '成功安装数据库');
INSERT INTO `lang_definitions` VALUES (39623, 6252, 11, '成功修改');
INSERT INTO `lang_definitions` VALUES (39624, 6253, 11, '成功保存。你想分配？');
INSERT INTO `lang_definitions` VALUES (39625, 6254, 11, '成功保存。您想发布？');
INSERT INTO `lang_definitions` VALUES (39626, 6256, 11, '成功储存。');
INSERT INTO `lang_definitions` VALUES (39627, 6257, 11, '成功升级数据库。');
INSERT INTO `lang_definitions` VALUES (39628, 6259, 11, '成功');
INSERT INTO `lang_definitions` VALUES (39629, 6260, 11, '自杀');
INSERT INTO `lang_definitions` VALUES (39630, 6261, 11, '摘要');
INSERT INTO `lang_definitions` VALUES (39631, 6262, 11, '摘要信息');
INSERT INTO `lang_definitions` VALUES (39632, 6265, 11, '太阳');
INSERT INTO `lang_definitions` VALUES (39633, 6267, 11, '星期日');
INSERT INTO `lang_definitions` VALUES (39634, 6268, 11, '超级账单');
INSERT INTO `lang_definitions` VALUES (39635, 6269, 11, '超级账单码');
INSERT INTO `lang_definitions` VALUES (39636, 6270, 11, '超级账单代码管理');
INSERT INTO `lang_definitions` VALUES (39637, 6271, 11, '超级账单报告');
INSERT INTO `lang_definitions` VALUES (39638, 6272, 11, '超级账单 /费用表');
INSERT INTO `lang_definitions` VALUES (39639, 6273, 11, '超级账单');
INSERT INTO `lang_definitions` VALUES (39640, 6274, 11, '超级账单有时称为遇到的形式或路由单是不可缺少的一部分，大多数医疗做法。');
INSERT INTO `lang_definitions` VALUES (39641, 6275, 11, '超级用户');
INSERT INTO `lang_definitions` VALUES (39642, 6276, 11, '监督');
INSERT INTO `lang_definitions` VALUES (39643, 6278, 11, '监督医生的数据包络分析');
INSERT INTO `lang_definitions` VALUES (39644, 6279, 11, '监督医生名字');
INSERT INTO `lang_definitions` VALUES (39645, 6280, 11, '监督医生姓氏');
INSERT INTO `lang_definitions` VALUES (39646, 6281, 11, '监督医生助理');
INSERT INTO `lang_definitions` VALUES (39647, 6282, 11, '医生在监督');
INSERT INTO `lang_definitions` VALUES (39648, 6283, 11, '供应商设施的名字');
INSERT INTO `lang_definitions` VALUES (39649, 6284, 11, '支持日历事件，适用于多个服务人员');
INSERT INTO `lang_definitions` VALUES (39650, 6285, 11, '支持出口/进口配置数据通过备份页面。');
INSERT INTO `lang_definitions` VALUES (39651, 6286, 11, '支持多服务人员的事件');
INSERT INTO `lang_definitions` VALUES (39652, 6288, 11, '支持Triple DES加密/解密只。');
INSERT INTO `lang_definitions` VALUES (39653, 6289, 11, '表面类型');
INSERT INTO `lang_definitions` VALUES (39654, 6290, 11, '外科手术');
INSERT INTO `lang_definitions` VALUES (39655, 6291, 11, '外科手术');
INSERT INTO `lang_definitions` VALUES (39656, 6293, 11, '暂停');
INSERT INTO `lang_definitions` VALUES (39657, 6294, 11, '暂停');
INSERT INTO `lang_definitions` VALUES (39658, 6295, 11, '日期的SVC');
INSERT INTO `lang_definitions` VALUES (39659, 6296, 11, '静止无功补偿器日期：');
INSERT INTO `lang_definitions` VALUES (39660, 6299, 11, '出汗：');
INSERT INTO `lang_definitions` VALUES (39661, 6300, 11, '瑞典文');
INSERT INTO `lang_definitions` VALUES (39662, 6301, 11, '肿胀');
INSERT INTO `lang_definitions` VALUES (39663, 6302, 11, '右侧溶胀');
INSERT INTO `lang_definitions` VALUES (39664, 6303, 11, '关节肿胀');
INSERT INTO `lang_definitions` VALUES (39665, 6304, 11, '淋巴结肿大');
INSERT INTO `lang_definitions` VALUES (39666, 6305, 11, '小数点符号用作货币。如果不使用小数位数是0。');
INSERT INTO `lang_definitions` VALUES (39667, 6306, 11, '用于分离数以千计的货币符号。');
INSERT INTO `lang_definitions` VALUES (39668, 6307, 11, '症状');
INSERT INTO `lang_definitions` VALUES (39669, 6308, 11, '同步');
INSERT INTO `lang_definitions` VALUES (39670, 6309, 11, '同步翻译与自定义语言表。');
INSERT INTO `lang_definitions` VALUES (39671, 6310, 11, '同步新的自定义常数：');
INSERT INTO `lang_definitions` VALUES (39672, 6311, 11, '同步新的自定义语言：');
INSERT INTO `lang_definitions` VALUES (39673, 6312, 11, '同步的新定义（语言常量定义）：');
INSERT INTO `lang_definitions` VALUES (39674, 6313, 11, '晕厥');
INSERT INTO `lang_definitions` VALUES (39675, 6314, 11, '症状监测');
INSERT INTO `lang_definitions` VALUES (39676, 6315, 11, '症状监测-非报告的问题');
INSERT INTO `lang_definitions` VALUES (39677, 6317, 11, 'impingement');
INSERT INTO `lang_definitions` VALUES (39678, 6318, 11, '系统');
INSERT INTO `lang_definitions` VALUES (39679, 6322, 11, 'Ť');
INSERT INTO `lang_definitions` VALUES (39680, 6323, 11, '每日三次');
INSERT INTO `lang_definitions` VALUES (39681, 6324, 11, '电视');
INSERT INTO `lang_definitions` VALUES (39682, 6325, 11, '表');
INSERT INTO `lang_definitions` VALUES (39683, 6327, 11, '表创建失败');
INSERT INTO `lang_definitions` VALUES (39684, 6328, 11, '表更新失败');
INSERT INTO `lang_definitions` VALUES (39685, 6330, 11, '片剂');
INSERT INTO `lang_definitions` VALUES (39686, 6332, 11, '菲律宾语');
INSERT INTO `lang_definitions` VALUES (39687, 6335, 11, '拿');
INSERT INTO `lang_definitions` VALUES (39688, 6336, 11, '以保险');
INSERT INTO `lang_definitions` VALUES (39689, 6337, 11, '参加付款');
INSERT INTO `lang_definitions` VALUES (39690, 6338, 11, '收回');
INSERT INTO `lang_definitions` VALUES (39691, 6339, 11, '持续时间较长');
INSERT INTO `lang_definitions` VALUES (39692, 6340, 11, '高导航区');
INSERT INTO `lang_definitions` VALUES (39693, 6347, 11, '预定日期');
INSERT INTO `lang_definitions` VALUES (39694, 6351, 11, '目标/行动组');
INSERT INTO `lang_definitions` VALUES (39695, 6354, 11, '税务编号');
INSERT INTO `lang_definitions` VALUES (39696, 6355, 11, '税率');
INSERT INTO `lang_definitions` VALUES (39697, 6356, 11, '税');
INSERT INTO `lang_definitions` VALUES (39698, 6357, 11, '分类');
INSERT INTO `lang_definitions` VALUES (39699, 6358, 11, '破伤风及白喉类毒素');
INSERT INTO `lang_definitions` VALUES (39700, 6359, 11, '小组损伤概况');
INSERT INTO `lang_definitions` VALUES (39701, 6360, 11, '小组名册');
INSERT INTO `lang_definitions` VALUES (39702, 6361, 11, '小组名册查看');
INSERT INTO `lang_definitions` VALUES (39703, 6362, 11, '团队/小队');
INSERT INTO `lang_definitions` VALUES (39704, 6363, 11, '电话');
INSERT INTO `lang_definitions` VALUES (39705, 6364, 11, '国家电话代码');
INSERT INTO `lang_definitions` VALUES (39706, 6366, 11, '临时');
INSERT INTO `lang_definitions` VALUES (39707, 6367, 11, '临时位置');
INSERT INTO `lang_definitions` VALUES (39708, 6368, 11, '温度的方法');
INSERT INTO `lang_definitions` VALUES (39709, 6369, 11, '温度');
INSERT INTO `lang_definitions` VALUES (39710, 6370, 11, '模板');
INSERT INTO `lang_definitions` VALUES (39711, 6371, 11, '模板名称');
INSERT INTO `lang_definitions` VALUES (39712, 6372, 11, '模板名称不能以数字开始。');
INSERT INTO `lang_definitions` VALUES (39713, 6373, 11, '模板：');
INSERT INTO `lang_definitions` VALUES (39714, 6374, 11, '模板');
INSERT INTO `lang_definitions` VALUES (39715, 6375, 11, '颞浅动脉');
INSERT INTO `lang_definitions` VALUES (39716, 6376, 11, '肌腱损伤');
INSERT INTO `lang_definitions` VALUES (39717, 6377, 11, '肌腱炎/尘埃沉着病/滑囊炎');
INSERT INTO `lang_definitions` VALUES (39718, 6378, 11, '暂定发票编号');
INSERT INTO `lang_definitions` VALUES (39719, 6379, 11, '第三纪');
INSERT INTO `lang_definitions` VALUES (39720, 6380, 11, '第三保险');
INSERT INTO `lang_definitions` VALUES (39721, 6381, 11, '第三保险数据');
INSERT INTO `lang_definitions` VALUES (39722, 6382, 11, '第三保险提供商');
INSERT INTO `lang_definitions` VALUES (39723, 6383, 11, '测试调度');
INSERT INTO `lang_definitions` VALUES (39724, 6384, 11, '测试系统');
INSERT INTO `lang_definitions` VALUES (39725, 6385, 11, '文本');
INSERT INTO `lang_definitions` VALUES (39726, 6386, 11, '文本诊断');
INSERT INTO `lang_definitions` VALUES (39727, 6387, 11, '文本字段');
INSERT INTO `lang_definitions` VALUES (39728, 6393, 11, '文字日期');
INSERT INTO `lang_definitions` VALUES (39729, 6394, 11, '文字日期');
INSERT INTO `lang_definitions` VALUES (39730, 6395, 11, '文本');
INSERT INTO `lang_definitions` VALUES (39731, 6396, 11, '文本');
INSERT INTO `lang_definitions` VALUES (39732, 6397, 11, '文本');
INSERT INTO `lang_definitions` VALUES (39733, 6398, 11, '文本');
INSERT INTO `lang_definitions` VALUES (39734, 6399, 11, '文本清单');
INSERT INTO `lang_definitions` VALUES (39735, 6400, 11, '文本清单');
INSERT INTO `lang_definitions` VALUES (39736, 6401, 11, '泰语');
INSERT INTO `lang_definitions` VALUES (39737, 6402, 11, '谢谢您');
INSERT INTO `lang_definitions` VALUES (39738, 6403, 11, '谢谢你的选择');
INSERT INTO `lang_definitions` VALUES (39739, 6404, 11, '明确\'按钮将移除所有注解。');
INSERT INTO `lang_definitions` VALUES (39740, 6405, 11, '上述声明失败');
INSERT INTO `lang_definitions` VALUES (39741, 6406, 11, 'Apache服务器的证书和公钥');
INSERT INTO `lang_definitions` VALUES (39742, 6407, 11, '权威的证书');
INSERT INTO `lang_definitions` VALUES (39743, 6408, 11, '索赔文件： ');
INSERT INTO `lang_definitions` VALUES (39744, 6410, 11, '相应的私钥');
INSERT INTO `lang_definitions` VALUES (39745, 6413, 11, '拒绝代码');
INSERT INTO `lang_definitions` VALUES (39746, 6414, 11, '否定组代码');
INSERT INTO `lang_definitions` VALUES (39747, 6415, 11, '目的地的形式被关闭');
INSERT INTO `lang_definitions` VALUES (39748, 6416, 11, '目的地形式封闭;我不能采取行动，您的选择。');
INSERT INTO `lang_definitions` VALUES (39749, 6418, 11, '专业资格的医院或肝炎谁收到客户从另一个设置的照顾或提供服务或认为遇到有关执行药物和解。');
INSERT INTO `lang_definitions` VALUES (39750, 6421, 11, '专业资格的医院或肝炎谁过渡到另一个的客户设置的照顾或提供服务或是指他们的客户到另一个服务人员的照顾应提供简要记录每一个过渡照顾或转介。');
INSERT INTO `lang_definitions` VALUES (39751, 6422, 11, '事件（县）已被批准。');
INSERT INTO `lang_definitions` VALUES (39752, 6423, 11, '事件（县）已被隐藏。');
INSERT INTO `lang_definitions` VALUES (39753, 6424, 11, '出口数据显示在文本区。你可以复制并粘贴到电子邮件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (39754, 6426, 11, '出口数据显示在文本区。你可以复制并粘贴到电子邮件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (39755, 6427, 11, '出口数据显示在文本区。你可以复制并粘贴到电子邮件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (39756, 6429, 11, '该文件可能不会被成功更名为这个错误通常是有关权限问题上的存储系统。');
INSERT INTO `lang_definitions` VALUES (39757, 6434, 11, '以下日历事件已新增：');
INSERT INTO `lang_definitions` VALUES (39758, 6435, 11, '以下日历事件已改性：');
INSERT INTO `lang_definitions` VALUES (39759, 6436, 11, '以下类别将被删除从您的列表类');
INSERT INTO `lang_definitions` VALUES (39760, 6437, 11, '下列数据库版本目前安装');
INSERT INTO `lang_definitions` VALUES (39761, 6439, 11, '下列文件已经上传');
INSERT INTO `lang_definitions` VALUES (39762, 6440, 11, '以下紧急登录用户激活：');
INSERT INTO `lang_definitions` VALUES (39763, 6441, 11, '发生了下列错误');
INSERT INTO `lang_definitions` VALUES (39764, 6444, 11, '以下领域的需要');
INSERT INTO `lang_definitions` VALUES (39765, 6446, 11, '以下领域必须填写发送请求。');
INSERT INTO `lang_definitions` VALUES (39766, 6449, 11, '主机的atna审计知识库机。');
INSERT INTO `lang_definitions` VALUES (39767, 6450, 11, '最初的窗口是发票搜索页。在上面你可以输入一个源（如支票号码）和支票的金额支付日期。原因的来源和日期，你不需要输入他们一遍又一遍，每个索赔。你的金额输入将减少每个发票是一部分付款');
INSERT INTO `lang_definitions` VALUES (39768, 6456, 11, '标签显示给用户的形式');
INSERT INTO `lang_definitions` VALUES (39769, 6457, 11, '长度不应超过下列字符数');
INSERT INTO `lang_definitions` VALUES (39770, 6460, 11, '新的分类将是一个分类别 ');
INSERT INTO `lang_definitions` VALUES (39771, 6461, 11, '新密码不能同当前密码。');
INSERT INTO `lang_definitions` VALUES (39772, 6462, 11, '新密码领域是不一样的。');
INSERT INTO `lang_definitions` VALUES (39773, 6465, 11, '本页将被重定向到人口。你可以编辑领域和国家newcrop再次点击。');
INSERT INTO `lang_definitions` VALUES (39774, 6466, 11, '密码必须至少八个字符');
INSERT INTO `lang_definitions` VALUES (39775, 6468, 11, '客户记录的要求已被记录。');
INSERT INTO `lang_definitions` VALUES (39776, 6469, 11, '客户提醒已发送');
INSERT INTO `lang_definitions` VALUES (39777, 6470, 11, '客户提醒已更新');
INSERT INTO `lang_definitions` VALUES (39778, 6472, 11, '付款张贴不能超过这个日期。这将确保在最后报告中没有人后，以前的日期。');
INSERT INTO `lang_definitions` VALUES (39779, 6475, 11, '其余的信息只适用于如果您是张贴手动或如果你正在做手动更正。');
INSERT INTO `lang_definitions` VALUES (39780, 6477, 11, '请求的文件不在预期的位置上的文件或没有足够的门诊权限。');
INSERT INTO `lang_definitions` VALUES (39781, 6480, 11, '来源和日期列复制从第一页，通常你不需要触摸那些。你可以把付款金额的支付列调整量的调整列或两者。你也可以点击“瓦特”的权利，自动计算价值的调整，将其余的费用');
INSERT INTO `lang_definitions` VALUES (39782, 6484, 11, '时间粒度的日历和最小间隔分钟赴约槽。');
INSERT INTO `lang_definitions` VALUES (39783, 6485, 11, '翻译标签，会出现在当前的形式语言');
INSERT INTO `lang_definitions` VALUES (39784, 6486, 11, '翻译标题将出现在当前的语言');
INSERT INTO `lang_definitions` VALUES (39785, 6487, 11, '翻译的语言描述在当前');
INSERT INTO `lang_definitions` VALUES (39786, 6488, 11, '翻译表同步。');
INSERT INTO `lang_definitions` VALUES (39787, 6489, 11, '这个实体的类型');
INSERT INTO `lang_definitions` VALUES (39788, 6490, 11, '供应商特定的代码确定这一过程或结果');
INSERT INTO `lang_definitions` VALUES (39789, 6491, 11, '在X12的文件以及由此产生的HTML输出报告的存档中的“时代”子目录主要LibreEHR安装目录。您将要提及这些档案不时。网址是');
INSERT INTO `lang_definitions` VALUES (39790, 6492, 11, '压缩文件将包含下列项目');
INSERT INTO `lang_definitions` VALUES (39791, 6493, 11, '主题');
INSERT INTO `lang_definitions` VALUES (39792, 6495, 11, '注射治疗');
INSERT INTO `lang_definitions` VALUES (39793, 6496, 11, '有');
INSERT INTO `lang_definitions` VALUES (39794, 6497, 11, '目前还没有处方');
INSERT INTO `lang_definitions` VALUES (39795, 6498, 11, '有错误的意见。这些概述如下。');
INSERT INTO `lang_definitions` VALUES (39796, 6500, 11, '有没有图检查。');
INSERT INTO `lang_definitions` VALUES (39797, 6501, 11, '目前没有披露记录这个客户。');
INSERT INTO `lang_definitions` VALUES (39798, 6502, 11, '没有新的划界案');
INSERT INTO `lang_definitions` VALUES (39799, 6503, 11, '这里没有说明文件的客户。');
INSERT INTO `lang_definitions` VALUES (39800, 6504, 11, '有没有交易文件这个客户。');
INSERT INTO `lang_definitions` VALUES (39801, 6505, 11, '已经有送的邮件错误');
INSERT INTO `lang_definitions` VALUES (39802, 6506, 11, '已经有类别命名');
INSERT INTO `lang_definitions` VALUES (39803, 6507, 11, '已经有一个分类命名');
INSERT INTO `lang_definitions` VALUES (39804, 6508, 11, '已经有一个项目为');
INSERT INTO `lang_definitions` VALUES (39805, 6509, 11, '已经有一个开放的客户记录的要求。');
INSERT INTO `lang_definitions` VALUES (39806, 6510, 11, '有没有真品进入阿肯色州帐户 ');
INSERT INTO `lang_definitions` VALUES (39807, 6511, 11, '有没有真品入境的现金帐户 ');
INSERT INTO `lang_definitions` VALUES (39808, 6512, 11, '有没有真品入境的收入帐户 ');
INSERT INTO `lang_definitions` VALUES (39809, 6513, 11, '目前没有耐心');
INSERT INTO `lang_definitions` VALUES (39810, 6515, 11, '没有匹配的发票编号');
INSERT INTO `lang_definitions` VALUES (39811, 6516, 11, '没有匹配的发票编号= ');
INSERT INTO `lang_definitions` VALUES (39812, 6517, 11, '没有任何部分进入服务编号 ');
INSERT INTO `lang_definitions` VALUES (39813, 6520, 11, '时发生错误处理您的请求。');
INSERT INTO `lang_definitions` VALUES (39814, 6523, 11, '增厚的权利：');
INSERT INTO `lang_definitions` VALUES (39815, 6524, 11, '大腿');
INSERT INTO `lang_definitions` VALUES (39816, 6525, 11, '大腿+腿筋');
INSERT INTO `lang_definitions` VALUES (39817, 6527, 11, '办公室人员可以阅读和输入但不能修改');
INSERT INTO `lang_definitions` VALUES (39818, 6528, 11, '办公室人员可以读取和修改');
INSERT INTO `lang_definitions` VALUES (39819, 6531, 11, '医生可以阅读和输入但不能修改');
INSERT INTO `lang_definitions` VALUES (39820, 6532, 11, '医生可以读取和修改');
INSERT INTO `lang_definitions` VALUES (39821, 6535, 11, '前台可以读取和修改');
INSERT INTO `lang_definitions` VALUES (39822, 6536, 11, '前台可以读取和修改');
INSERT INTO `lang_definitions` VALUES (39823, 6539, 11, '医生可以阅读和输入但不能修改');
INSERT INTO `lang_definitions` VALUES (39824, 6540, 11, '医生可以读取和修改的东西');
INSERT INTO `lang_definitions` VALUES (39825, 6542, 11, '第三');
INSERT INTO `lang_definitions` VALUES (39826, 6544, 11, '此操作无法撤消。');
INSERT INTO `lang_definitions` VALUES (39827, 6545, 11, '此操作无法撤消。');
INSERT INTO `lang_definitions` VALUES (39828, 6547, 11, '这一行动将被记录');
INSERT INTO `lang_definitions` VALUES (39829, 6551, 11, '本历年');
INSERT INTO `lang_definitions` VALUES (39830, 6554, 11, '这个要求被拒绝的原因：—');
INSERT INTO `lang_definitions` VALUES (39831, 6555, 11, '这种说法已被转发到下一个水平。');
INSERT INTO `lang_definitions` VALUES (39832, 6556, 11, '此代码类型不接受关系。');
INSERT INTO `lang_definitions` VALUES (39833, 6557, 11, '这方面包含类别，它将被删除。你还想继续吗？');
INSERT INTO `lang_definitions` VALUES (39834, 6558, 11, '这是显示在日历约会。');
INSERT INTO `lang_definitions` VALUES (39835, 6559, 11, '这一决定哪些颜色模式用于预约');
INSERT INTO `lang_definitions` VALUES (39836, 6561, 11, '此次治疗');
INSERT INTO `lang_definitions` VALUES (39837, 6565, 11, '这个功能是非常实验和测试的不完全。使用你自己的风险！');
INSERT INTO `lang_definitions` VALUES (39838, 6566, 11, '这发票号码已变更为 ');
INSERT INTO `lang_definitions` VALUES (39839, 6575, 11, '该模块在测试模式。该数据库将不会改变。');
INSERT INTO `lang_definitions` VALUES (39840, 6576, 11, '此模块促进有效入境EOB数据。');
INSERT INTO `lang_definitions` VALUES (39841, 6577, 11, '本月迄今');
INSERT INTO `lang_definitions` VALUES (39842, 6581, 11, '本页将内联包括登录页面，这样我们就不必每次点击重新登录。');
INSERT INTO `lang_definitions` VALUES (39843, 6582, 11, '这个客户没有活动。');
INSERT INTO `lang_definitions` VALUES (39844, 6583, 11, '这名患者已在使用中！');
INSERT INTO `lang_definitions` VALUES (39845, 6584, 11, '本产品只允许一个多每个仓库。');
INSERT INTO `lang_definitions` VALUES (39846, 6591, 11, '这一步将生成一个文件，你必须保存以供将来使用。不能将文件重新生成。你想继续吗？');
INSERT INTO `lang_definitions` VALUES (39847, 6592, 11, '这个用户不属于任何团体');
INSERT INTO `lang_definitions` VALUES (39848, 6595, 11, '这次门诊，开始新的避孕药具的使用');
INSERT INTO `lang_definitions` VALUES (39849, 6596, 11, '这将需要一个亚洲电玩研讨会的形式，转诊或服务的程序。');
INSERT INTO `lang_definitions` VALUES (39850, 6597, 11, '这是老年metric-only命脉，现在已不再使用。');
INSERT INTO `lang_definitions` VALUES (39851, 6598, 11, '本周迄今');
INSERT INTO `lang_definitions` VALUES (39852, 6600, 11, '这将启动重整（连续照护纪录）和（连续性的护理文件）报告。');
INSERT INTO `lang_definitions` VALUES (39853, 6602, 11, '这将允许选择调试（\'dummy \'）语言。');
INSERT INTO `lang_definitions` VALUES (39854, 6606, 11, '这将创建一个备份中焦油的格式和发送到您的网页浏览器，这样你可以保存它');
INSERT INTO `lang_definitions` VALUES (39855, 6607, 11, '这将关闭文件的加密和解密功能，并隐藏他们的用户界面。');
INSERT INTO `lang_definitions` VALUES (39856, 6613, 11, '这将迫使计费部件在客户摘要屏幕总是开。');
INSERT INTO `lang_definitions` VALUES (39857, 6617, 11, '这将不会阻止你去网站的电子处方。');
INSERT INTO `lang_definitions` VALUES (39858, 6619, 11, '这将使用自定义免疫表而非标准雪佛龙免疫列表。');
INSERT INTO `lang_definitions` VALUES (39859, 6622, 11, '胸椎');
INSERT INTO `lang_definitions` VALUES (39860, 6623, 11, 'thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (39861, 6625, 11, '咽喉');
INSERT INTO `lang_definitions` VALUES (39862, 6626, 11, '咽喉癌');
INSERT INTO `lang_definitions` VALUES (39863, 6627, 11, '咽喉癌手术');
INSERT INTO `lang_definitions` VALUES (39864, 6628, 11, '血栓/中风');
INSERT INTO `lang_definitions` VALUES (39865, 6629, 11, '星期四');
INSERT INTO `lang_definitions` VALUES (39866, 6630, 11, 'Thurdsay');
INSERT INTO `lang_definitions` VALUES (39867, 6631, 11, '星期四');
INSERT INTO `lang_definitions` VALUES (39868, 6632, 11, '甲状腺正常');
INSERT INTO `lang_definitions` VALUES (39869, 6633, 11, '甲状腺问题');
INSERT INTO `lang_definitions` VALUES (39870, 6634, 11, '短暂性缺血性发作');
INSERT INTO `lang_definitions` VALUES (39871, 6636, 11, '一天三次');
INSERT INTO `lang_definitions` VALUES (39872, 6638, 11, '时间');
INSERT INTO `lang_definitions` VALUES (39873, 6639, 11, '时间显示格式');
INSERT INTO `lang_definitions` VALUES (39874, 6640, 11, '时间增量的添加（分钟1-60 ）');
INSERT INTO `lang_definitions` VALUES (39875, 6641, 11, '选择时间');
INSERT INTO `lang_definitions` VALUES (39876, 6647, 11, '时间事件');
INSERT INTO `lang_definitions` VALUES (39877, 6648, 11, '时报阵列（ ñ /解放军）');
INSERT INTO `lang_definitions` VALUES (39878, 6649, 11, '时间戳和文字');
INSERT INTO `lang_definitions` VALUES (39879, 6650, 11, '锡');
INSERT INTO `lang_definitions` VALUES (39880, 6651, 11, '耳鸣');
INSERT INTO `lang_definitions` VALUES (39881, 6652, 11, '标题');
INSERT INTO `lang_definitions` VALUES (39882, 6653, 11, '第五章');
INSERT INTO `lang_definitions` VALUES (39883, 6654, 11, '标题COLS必须是一个数字1和999之间');
INSERT INTO `lang_definitions` VALUES (39884, 6655, 11, '标题');
INSERT INTO `lang_definitions` VALUES (39885, 6656, 11, '商标的：');
INSERT INTO `lang_definitions` VALUES (39886, 6657, 11, '颅/季风/电子，外鼻');
INSERT INTO `lang_definitions` VALUES (39887, 6658, 11, '至');
INSERT INTO `lang_definitions` VALUES (39888, 6659, 11, '至');
INSERT INTO `lang_definitions` VALUES (39889, 6660, 11, '至');
INSERT INTO `lang_definitions` VALUES (39890, 6661, 11, '绝对路径的文件');
INSERT INTO `lang_definitions` VALUES (39891, 6662, 11, '添加注释，请点击 ');
INSERT INTO `lang_definitions` VALUES (39892, 6663, 11, '添加注释，请点击这里');
INSERT INTO `lang_definitions` VALUES (39893, 6664, 11, '受影响的地区');
INSERT INTO `lang_definitions` VALUES (39894, 6665, 11, '受影响的地区');
INSERT INTO `lang_definitions` VALUES (39895, 6666, 11, '自动打开指定的形式。一些运动队在这里的足球损伤');
INSERT INTO `lang_definitions` VALUES (39896, 6667, 11, '帐单视图');
INSERT INTO `lang_definitions` VALUES (39897, 6668, 11, '类');
INSERT INTO `lang_definitions` VALUES (39898, 6669, 11, '临床视图');
INSERT INTO `lang_definitions` VALUES (39899, 6670, 11, '以共付额');
INSERT INTO `lang_definitions` VALUES (39900, 6672, 11, '涉足');
INSERT INTO `lang_definitions` VALUES (39901, 6673, 11, '到数字高程模型');
INSERT INTO `lang_definitions` VALUES (39902, 6674, 11, '禁用客户端证书，上述评论线配置文件和设置');
INSERT INTO `lang_definitions` VALUES (39903, 6675, 11, '禁用网页，评论上述线路配置文件并重新启动服务器。');
INSERT INTO `lang_definitions` VALUES (39904, 6676, 11, '使客户端证书');
INSERT INTO `lang_definitions` VALUES (39905, 6677, 11, '使客户端证书认证，HTTPS应启用。');
INSERT INTO `lang_definitions` VALUES (39906, 6678, 11, '为了使只有一块，执行上述改动并重新启动服务器。如果你想配置客户端证书，请配置在下一节。');
INSERT INTO `lang_definitions` VALUES (39907, 6679, 11, '为了Enctr');
INSERT INTO `lang_definitions` VALUES (39908, 6680, 11, '按性别过滤');
INSERT INTO `lang_definitions` VALUES (39909, 6681, 11, '历史');
INSERT INTO `lang_definitions` VALUES (39910, 6682, 11, '问题');
INSERT INTO `lang_definitions` VALUES (39911, 6683, 11, '链接这遭遇/咨询到现有的问题，单击 ');
INSERT INTO `lang_definitions` VALUES (39912, 6684, 11, '链接这遭遇/咨询到现有的问题，单击所需的问题突出，然后点击[保留]。按住[控制]按钮来选择多个问题。');
INSERT INTO `lang_definitions` VALUES (39913, 6685, 11, '重新登录');
INSERT INTO `lang_definitions` VALUES (39914, 6686, 11, '记录披露，请点击');
INSERT INTO `lang_definitions` VALUES (39915, 6687, 11, '经营');
INSERT INTO `lang_definitions` VALUES (39916, 6688, 11, '安装网页门诊客户端证书认证，做以下');
INSERT INTO `lang_definitions` VALUES (39917, 6689, 11, '皮肤');
INSERT INTO `lang_definitions` VALUES (39918, 6690, 11, '皮肤');
INSERT INTO `lang_definitions` VALUES (39919, 6691, 11, '这次门诊？');
INSERT INTO `lang_definitions` VALUES (39920, 6693, 11, '到：');
INSERT INTO `lang_definitions` VALUES (39921, 6694, 11, '到： ');
INSERT INTO `lang_definitions` VALUES (39922, 6695, 11, '到-城市');
INSERT INTO `lang_definitions` VALUES (39923, 6696, 11, '到-传真');
INSERT INTO `lang_definitions` VALUES (39924, 6697, 11, '到-名字');
INSERT INTO `lang_definitions` VALUES (39925, 6698, 11, '到-姓氏');
INSERT INTO `lang_definitions` VALUES (39926, 6699, 11, '到-中间名字');
INSERT INTO `lang_definitions` VALUES (39927, 6700, 11, '到-组织');
INSERT INTO `lang_definitions` VALUES (39928, 6703, 11, '到-邮政编码');
INSERT INTO `lang_definitions` VALUES (39929, 6704, 11, '到-省市');
INSERT INTO `lang_definitions` VALUES (39930, 6705, 11, '到-街道');
INSERT INTO `lang_definitions` VALUES (39931, 6706, 11, '到-标题');
INSERT INTO `lang_definitions` VALUES (39932, 6707, 11, '到-告别');
INSERT INTO `lang_definitions` VALUES (39933, 6708, 11, '烟草');
INSERT INTO `lang_definitions` VALUES (39934, 6709, 11, '戒烟干预');
INSERT INTO `lang_definitions` VALUES (39935, 6710, 11, '戒烟干预（CQM）');
INSERT INTO `lang_definitions` VALUES (39936, 6712, 11, '烟草使用');
INSERT INTO `lang_definitions` VALUES (39937, 6713, 11, '烟草的使用评估');
INSERT INTO `lang_definitions` VALUES (39938, 6714, 11, '烟草的使用评估（CQM）');
INSERT INTO `lang_definitions` VALUES (39939, 6715, 11, '今天');
INSERT INTO `lang_definitions` VALUES (39940, 6716, 11, '今天');
INSERT INTO `lang_definitions` VALUES (39941, 6717, 11, '今天');
INSERT INTO `lang_definitions` VALUES (39942, 6718, 11, '今天 平衡');
INSERT INTO `lang_definitions` VALUES (39943, 6719, 11, '今天\'的指控');
INSERT INTO `lang_definitions` VALUES (39944, 6720, 11, '今天的日期');
INSERT INTO `lang_definitions` VALUES (39945, 6721, 11, '今天的活动');
INSERT INTO `lang_definitions` VALUES (39946, 6724, 11, '令牌编号为libreehr支持实验室交流服务有限责任公司。');
INSERT INTO `lang_definitions` VALUES (39947, 6726, 11, '扁桃体');
INSERT INTO `lang_definitions` VALUES (39948, 6728, 11, '顶端');
INSERT INTO `lang_definitions` VALUES (39949, 6730, 11, '专题');
INSERT INTO `lang_definitions` VALUES (39950, 6731, 11, '共计');
INSERT INTO `lang_definitions` VALUES (39951, 6732, 11, '总');
INSERT INTO `lang_definitions` VALUES (39952, 6733, 11, '活跃活动的总数');
INSERT INTO `lang_definitions` VALUES (39953, 6734, 11, '更新后主动提示的总数');
INSERT INTO `lang_definitions` VALUES (39954, 6735, 11, '更新前主动提示的总数');
INSERT INTO `lang_definitions` VALUES (39955, 6737, 11, '总金额');
INSERT INTO `lang_definitions` VALUES (39956, 6738, 11, '所支付的款项总额');
INSERT INTO `lang_definitions` VALUES (39957, 6741, 11, '总费用');
INSERT INTO `lang_definitions` VALUES (39958, 6742, 11, '共计客户');
INSERT INTO `lang_definitions` VALUES (39959, 6743, 11, '总成本');
INSERT INTO `lang_definitions` VALUES (39960, 6744, 11, '支票号分布不完整的总数');
INSERT INTO `lang_definitions` VALUES (39961, 6746, 11, '没有提示发送邮件的总数');
INSERT INTO `lang_definitions` VALUES (39962, 6747, 11, '没有提示发送电话的总数');
INSERT INTO `lang_definitions` VALUES (39963, 6748, 11, '共计');
INSERT INTO `lang_definitions` VALUES (39964, 6749, 11, '共计 ');
INSERT INTO `lang_definitions` VALUES (39965, 6750, 11, '总类');
INSERT INTO `lang_definitions` VALUES (39966, 6751, 11, '不活跃挺行总数');
INSERT INTO `lang_definitions` VALUES (39967, 6752, 11, '新的提示总数');
INSERT INTO `lang_definitions` VALUES (39968, 6755, 11, '免疫接种的总数');
INSERT INTO `lang_definitions` VALUES (39969, 6756, 11, '问题总数');
INSERT INTO `lang_definitions` VALUES (39970, 6758, 11, '患者总数');
INSERT INTO `lang_definitions` VALUES (39971, 6760, 11, '全部客户的平衡');
INSERT INTO `lang_definitions` VALUES (39972, 6761, 11, '客户人数');
INSERT INTO `lang_definitions` VALUES (39973, 6764, 11, '找到记录总数');
INSERT INTO `lang_definitions` VALUES (39974, 6765, 11, '共计生殖健康与计划生育');
INSERT INTO `lang_definitions` VALUES (39975, 6766, 11, '总成功的提示通过电子邮件发送');
INSERT INTO `lang_definitions` VALUES (39976, 6767, 11, '总的成功提醒发送通过电话');
INSERT INTO `lang_definitions` VALUES (39977, 6770, 11, '全不变的提醒');
INSERT INTO `lang_definitions` VALUES (39978, 6771, 11, '总发送提醒后，发送进程');
INSERT INTO `lang_definitions` VALUES (39979, 6772, 11, '总发送提醒后更新');
INSERT INTO `lang_definitions` VALUES (39980, 6773, 11, '总发送前提醒发送过程');
INSERT INTO `lang_definitions` VALUES (39981, 6774, 11, '总发送提醒前更新');
INSERT INTO `lang_definitions` VALUES (39982, 6775, 11, '完全更新提醒');
INSERT INTO `lang_definitions` VALUES (39983, 6776, 11, '总计');
INSERT INTO `lang_definitions` VALUES (39984, 6777, 11, '总计');
INSERT INTO `lang_definitions` VALUES (39985, 6778, 11, '总计 ');
INSERT INTO `lang_definitions` VALUES (39986, 6785, 11, '培训类型');
INSERT INTO `lang_definitions` VALUES (39987, 6786, 11, '交易');
INSERT INTO `lang_definitions` VALUES (39988, 6787, 11, '交易');
INSERT INTO `lang_definitions` VALUES (39989, 6788, 11, '交易');
INSERT INTO `lang_definitions` VALUES (39990, 6789, 11, '交易失败，数量不足，在目的地的地段');
INSERT INTO `lang_definitions` VALUES (39991, 6790, 11, '交易失败，量小于0');
INSERT INTO `lang_definitions` VALUES (39992, 6791, 11, '交易类型');
INSERT INTO `lang_definitions` VALUES (39993, 6792, 11, '交易');
INSERT INTO `lang_definitions` VALUES (39994, 6793, 11, '交易');
INSERT INTO `lang_definitions` VALUES (39995, 6794, 11, '交易（写可选）');
INSERT INTO `lang_definitions` VALUES (39996, 6795, 11, '交易/推介');
INSERT INTO `lang_definitions` VALUES (39997, 6797, 11, '转换');
INSERT INTO `lang_definitions` VALUES (39998, 6799, 11, '传输失败，数量不足源地段');
INSERT INTO `lang_definitions` VALUES (39999, 6804, 11, '转换');
INSERT INTO `lang_definitions` VALUES (40000, 6806, 11, '过渡/转让照顾？');
INSERT INTO `lang_definitions` VALUES (40001, 6807, 11, '翻译的门诊控制组');
INSERT INTO `lang_definitions` VALUES (40002, 6808, 11, '翻译任用类别');
INSERT INTO `lang_definitions` VALUES (40003, 6809, 11, '翻译文件');
INSERT INTO `lang_definitions` VALUES (40004, 6810, 11, '翻译布局');
INSERT INTO `lang_definitions` VALUES (40005, 6811, 11, '翻译表');
INSERT INTO `lang_definitions` VALUES (40006, 6812, 11, '客户注意标题的翻译');
INSERT INTO `lang_definitions` VALUES (40007, 6813, 11, '把这种');
INSERT INTO `lang_definitions` VALUES (40008, 6814, 11, '翻译');
INSERT INTO `lang_definitions` VALUES (40009, 6815, 11, '翻译');
INSERT INTO `lang_definitions` VALUES (40010, 6819, 11, '外伤');
INSERT INTO `lang_definitions` VALUES (40011, 6820, 11, '治疗');
INSERT INTO `lang_definitions` VALUES (40012, 6822, 11, '治疗目标');
INSERT INTO `lang_definitions` VALUES (40013, 6823, 11, '治疗方案');
INSERT INTO `lang_definitions` VALUES (40014, 6826, 11, '治疗：');
INSERT INTO `lang_definitions` VALUES (40015, 6827, 11, '治疗： ');
INSERT INTO `lang_definitions` VALUES (40016, 6828, 11, '趋势');
INSERT INTO `lang_definitions` VALUES (40017, 6829, 11, 'trftime（$ month_format，mktime（0，0，0，1，2000美元，month_value美元）））；');
INSERT INTO `lang_definitions` VALUES (40018, 6830, 11, '触发点/隔综合征/ DOMS /抽筋');
INSERT INTO `lang_definitions` VALUES (40019, 6831, 11, '三踝');
INSERT INTO `lang_definitions` VALUES (40020, 6832, 11, '躯干和腹部');
INSERT INTO `lang_definitions` VALUES (40021, 6837, 11, '小勺');
INSERT INTO `lang_definitions` VALUES (40022, 6839, 11, '语音合成');
INSERT INTO `lang_definitions` VALUES (40023, 6840, 11, '结核病');
INSERT INTO `lang_definitions` VALUES (40024, 6841, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (40025, 6842, 11, '星期二及星期四');
INSERT INTO `lang_definitions` VALUES (40026, 6843, 11, '星期二');
INSERT INTO `lang_definitions` VALUES (40027, 6844, 11, '肿瘤');
INSERT INTO `lang_definitions` VALUES (40028, 6845, 11, '土耳其语');
INSERT INTO `lang_definitions` VALUES (40029, 6848, 11, '每天两次');
INSERT INTO `lang_definitions` VALUES (40030, 6850, 11, '鼓膜');
INSERT INTO `lang_definitions` VALUES (40031, 6851, 11, '类型');
INSERT INTO `lang_definitions` VALUES (40032, 6852, 11, '类型标识或名称。最少3个字符（包括空格）。');
INSERT INTO `lang_definitions` VALUES (40033, 6853, 11, '列类型显示客户的搜索结果');
INSERT INTO `lang_definitions` VALUES (40034, 6854, 11, '披露的类型');
INSERT INTO `lang_definitions` VALUES (40035, 6855, 11, '事件类型');
INSERT INTO `lang_definitions` VALUES (40036, 6856, 11, '类型的屏幕布局');
INSERT INTO `lang_definitions` VALUES (40037, 6857, 11, '输入或扫描客户标识符这里');
INSERT INTO `lang_definitions` VALUES (40038, 6858, 11, '在这里键入您的消息');
INSERT INTO `lang_definitions` VALUES (40039, 6859, 11, '指令的类型和结果');
INSERT INTO `lang_definitions` VALUES (40040, 6864, 11, 'UCSMC代码提供了卡尔加里大学运动医学中心');
INSERT INTO `lang_definitions` VALUES (40041, 6865, 11, '乌克兰语');
INSERT INTO `lang_definitions` VALUES (40042, 6866, 11, '溃疡');
INSERT INTO `lang_definitions` VALUES (40043, 6867, 11, '溃疡性结肠炎');
INSERT INTO `lang_definitions` VALUES (40044, 6868, 11, '溃疡：');
INSERT INTO `lang_definitions` VALUES (40045, 6871, 11, '无法创建');
INSERT INTO `lang_definitions` VALUES (40046, 6876, 11, '未使用');
INSERT INTO `lang_definitions` VALUES (40047, 6877, 11, '未指定');
INSERT INTO `lang_definitions` VALUES (40048, 6879, 11, '未经授权的门诊到e处方');
INSERT INTO `lang_definitions` VALUES (40049, 6880, 11, '未经授权的门诊。');
INSERT INTO `lang_definitions` VALUES (40050, 6882, 11, '未入账只有');
INSERT INTO `lang_definitions` VALUES (40051, 6884, 11, '根据舌');
INSERT INTO `lang_definitions` VALUES (40052, 6885, 11, '重量不足');
INSERT INTO `lang_definitions` VALUES (40053, 6886, 11, '确诊');
INSERT INTO `lang_definitions` VALUES (40054, 6887, 11, '未分配');
INSERT INTO `lang_definitions` VALUES (40055, 6888, 11, '未分配');
INSERT INTO `lang_definitions` VALUES (40056, 6889, 11, '未分配是');
INSERT INTO `lang_definitions` VALUES (40057, 6890, 11, '撤消结帐');
INSERT INTO `lang_definitions` VALUES (40058, 6892, 11, '独特的客户');
INSERT INTO `lang_definitions` VALUES (40059, 6893, 11, '这种独特的人类可读的标识符');
INSERT INTO `lang_definitions` VALUES (40060, 6894, 11, '独特的新客户');
INSERT INTO `lang_definitions` VALUES (40061, 6895, 11, '这种独特的数字标识符');
INSERT INTO `lang_definitions` VALUES (40062, 6896, 11, '独特的看客户');
INSERT INTO `lang_definitions` VALUES (40063, 6897, 11, '独特的看客户的报告');
INSERT INTO `lang_definitions` VALUES (40064, 6898, 11, '独特的警司');
INSERT INTO `lang_definitions` VALUES (40065, 6899, 11, '股');
INSERT INTO `lang_definitions` VALUES (40066, 6900, 11, '单位');
INSERT INTO `lang_definitions` VALUES (40067, 6901, 11, '单位');
INSERT INTO `lang_definitions` VALUES (40068, 6903, 11, '门诊表格单位');
INSERT INTO `lang_definitions` VALUES (40069, 6904, 11, '单位必须是一个数字');
INSERT INTO `lang_definitions` VALUES (40070, 6905, 11, '没有定义单位');
INSERT INTO `lang_definitions` VALUES (40071, 6906, 11, '单位/升');
INSERT INTO `lang_definitions` VALUES (40072, 6907, 11, '未知');
INSERT INTO `lang_definitions` VALUES (40073, 6910, 11, '未知是否吸烟');
INSERT INTO `lang_definitions` VALUES (40074, 6911, 11, '未知或N /阿');
INSERT INTO `lang_definitions` VALUES (40075, 6913, 11, '没有联系的客户');
INSERT INTO `lang_definitions` VALUES (40076, 6914, 11, '无名保险公司');
INSERT INTO `lang_definitions` VALUES (40077, 6915, 11, '未注册');
INSERT INTO `lang_definitions` VALUES (40078, 6918, 11, '取消所有选择');
INSERT INTO `lang_definitions` VALUES (40079, 6919, 11, '反选');
INSERT INTO `lang_definitions` VALUES (40080, 6920, 11, '不确定');
INSERT INTO `lang_definitions` VALUES (40081, 6921, 11, '非结构化');
INSERT INTO `lang_definitions` VALUES (40082, 6924, 11, '直到');
INSERT INTO `lang_definitions` VALUES (40083, 6925, 11, '过早备案');
INSERT INTO `lang_definitions` VALUES (40084, 6926, 11, '未使用');
INSERT INTO `lang_definitions` VALUES (40085, 6927, 11, '非正常事件报告');
INSERT INTO `lang_definitions` VALUES (40086, 6928, 11, '最多');
INSERT INTO `lang_definitions` VALUES (40087, 6929, 11, '即将到来的约会');
INSERT INTO `lang_definitions` VALUES (40088, 6930, 11, '即将举行的活动');
INSERT INTO `lang_definitions` VALUES (40089, 6931, 11, '更新');
INSERT INTO `lang_definitions` VALUES (40090, 6932, 11, '更新');
INSERT INTO `lang_definitions` VALUES (40091, 6933, 11, '主动更新');
INSERT INTO `lang_definitions` VALUES (40092, 6934, 11, '更新文件');
INSERT INTO `lang_definitions` VALUES (40093, 6935, 11, '更新信息');
INSERT INTO `lang_definitions` VALUES (40094, 6936, 11, '更新列表');
INSERT INTO `lang_definitions` VALUES (40095, 6937, 11, '更新服务提供者号码');
INSERT INTO `lang_definitions` VALUES (40096, 6938, 11, '更新选定项目');
INSERT INTO `lang_definitions` VALUES (40097, 6939, 11, '更新下列文件中的变数');
INSERT INTO `lang_definitions` VALUES (40098, 6940, 11, '更新用户资料');
INSERT INTO `lang_definitions` VALUES (40099, 6942, 11, '更新人口统计未授权');
INSERT INTO `lang_definitions` VALUES (40100, 6946, 11, '升级');
INSERT INTO `lang_definitions` VALUES (40101, 6947, 11, '升级数据库');
INSERT INTO `lang_definitions` VALUES (40102, 6948, 11, '升级libreehr数据库包括程序，功能和表所需的识别过程');
INSERT INTO `lang_definitions` VALUES (40103, 6949, 11, '升级将继续');
INSERT INTO `lang_definitions` VALUES (40104, 6950, 11, 'UPIN');
INSERT INTO `lang_definitions` VALUES (40105, 6951, 11, '上传');
INSERT INTO `lang_definitions` VALUES (40106, 6954, 11, '上传配置数据');
INSERT INTO `lang_definitions` VALUES (40107, 6955, 11, '上传文件');
INSERT INTO `lang_definitions` VALUES (40108, 6956, 11, '上传失败！');
INSERT INTO `lang_definitions` VALUES (40109, 6957, 11, '上传图片到');
INSERT INTO `lang_definitions` VALUES (40110, 6958, 11, '上传导入文件：');
INSERT INTO `lang_definitions` VALUES (40111, 6961, 11, '上传报告');
INSERT INTO `lang_definitions` VALUES (40112, 6963, 11, '上传此文件：');
INSERT INTO `lang_definitions` VALUES (40113, 6964, 11, '在点击发票号码“手动发布窗口”。在这里你可以更改日期和说明的发票，选择为你是谁张贴，并选择保险，所有预期的paymants已收到。最重要的是，对于每一个帐单代码的数量被指控，你可以进入巴勒斯坦权力机构');
INSERT INTO `lang_definitions` VALUES (40114, 6965, 11, '在搜索你提出一个清单，发票。你可以点击其中的发票号码，打开另一个窗口，数据输入页手工过帐。你也可以点击一个客户的名字，如果你想进入一个注意，前台的工作人员会看到当客户检查，你可以选择在发票上。');
INSERT INTO `lang_definitions` VALUES (40115, 6966, 11, '上臂');
INSERT INTO `lang_definitions` VALUES (40116, 6968, 11, '紧迫');
INSERT INTO `lang_definitions` VALUES (40117, 6970, 11, '尿液');
INSERT INTO `lang_definitions` VALUES (40118, 6971, 11, '尿不尽');
INSERT INTO `lang_definitions` VALUES (40119, 6972, 11, '频尿');
INSERT INTO `lang_definitions` VALUES (40120, 6973, 11, '尿犹豫不决');
INSERT INTO `lang_definitions` VALUES (40121, 6974, 11, '尿微量白蛋白');
INSERT INTO `lang_definitions` VALUES (40122, 6975, 11, '尿流');
INSERT INTO `lang_definitions` VALUES (40123, 6976, 11, '尿急');
INSERT INTO `lang_definitions` VALUES (40124, 6977, 11, '网址');
INSERT INTO `lang_definitions` VALUES (40125, 6979, 11, 'LibreEHR支持地址');
INSERT INTO `lang_definitions` VALUES (40126, 6981, 11, '电话网关。自动电话服务提供商maviq。门诊http://signup.maviq.com获得更多信息请门诊。');
INSERT INTO `lang_definitions` VALUES (40127, 6986, 11, '使用指标（isa15）');
INSERT INTO `lang_definitions` VALUES (40128, 6987, 11, '使用%单独在一场只是排序的列');
INSERT INTO `lang_definitions` VALUES (40129, 6988, 11, '使用24小时时间格式？');
INSERT INTO `lang_definitions` VALUES (40130, 6990, 11, '使用认证的电子病历技术识别特定的教育资源和提供这些资源的患者如果适当的。');
INSERT INTO `lang_definitions` VALUES (40131, 6991, 11, '使用收费小组');
INSERT INTO `lang_definitions` VALUES (40132, 6992, 11, '使用证据为药物的订单直接进入任何许可的医疗保健专业人士谁可以输入订单纳入医疗记录每个国家，地方和专业准则。');
INSERT INTO `lang_definitions` VALUES (40133, 6997, 11, '使用自定义免疫列表');
INSERT INTO `lang_definitions` VALUES (40134, 6999, 11, '使用日期范围');
INSERT INTO `lang_definitions` VALUES (40135, 7000, 11, '使用默认值');
INSERT INTO `lang_definitions` VALUES (40136, 7001, 11, '使用“删除”选项来删除。');
INSERT INTO `lang_definitions` VALUES (40137, 7002, 11, '利用国际最新的风格？');
INSERT INTO `lang_definitions` VALUES (40138, 7003, 11, '使用源文件名');
INSERT INTO `lang_definitions` VALUES (40139, 7004, 11, '使用域下购买或转让。');
INSERT INTO `lang_definitions` VALUES (40140, 7005, 11, '使用此功能只有新安装的网站， ');
INSERT INTO `lang_definitions` VALUES (40141, 7006, 11, '使用主题？');
INSERT INTO `lang_definitions` VALUES (40142, 7007, 11, '用户');
INSERT INTO `lang_definitions` VALUES (40143, 7009, 11, '用户/组');
INSERT INTO `lang_definitions` VALUES (40144, 7010, 11, '用户管理');
INSERT INTO `lang_definitions` VALUES (40145, 7011, 11, '用户和基金管理');
INSERT INTO `lang_definitions` VALUES (40146, 7012, 11, '用户和组管理');
INSERT INTO `lang_definitions` VALUES (40147, 7014, 11, '用户证书验证被禁用');
INSERT INTO `lang_definitions` VALUES (40148, 7015, 11, '用户定义');
INSERT INTO `lang_definitions` VALUES (40149, 7016, 11, '用户定义的第11区');
INSERT INTO `lang_definitions` VALUES (40150, 7017, 11, '用户定义的第12区');
INSERT INTO `lang_definitions` VALUES (40151, 7018, 11, '用户定义字段');
INSERT INTO `lang_definitions` VALUES (40152, 7019, 11, '用户定义字段1');
INSERT INTO `lang_definitions` VALUES (40153, 7020, 11, '用户定义字段2');
INSERT INTO `lang_definitions` VALUES (40154, 7021, 11, '用户定义字段3');
INSERT INTO `lang_definitions` VALUES (40155, 7022, 11, '用户定义字段4');
INSERT INTO `lang_definitions` VALUES (40156, 7023, 11, '用户定义字段5');
INSERT INTO `lang_definitions` VALUES (40157, 7024, 11, '用户定义字段6');
INSERT INTO `lang_definitions` VALUES (40158, 7025, 11, '用户定义字段7');
INSERT INTO `lang_definitions` VALUES (40159, 7026, 11, '用户定义文本1');
INSERT INTO `lang_definitions` VALUES (40160, 7027, 11, '用户定义文本2');
INSERT INTO `lang_definitions` VALUES (40161, 7028, 11, '用户定义文本3');
INSERT INTO `lang_definitions` VALUES (40162, 7029, 11, '用户定义文本4');
INSERT INTO `lang_definitions` VALUES (40163, 7030, 11, '用户定义文本5');
INSERT INTO `lang_definitions` VALUES (40164, 7031, 11, '用户定义文本6');
INSERT INTO `lang_definitions` VALUES (40165, 7032, 11, '用户定义文本7');
INSERT INTO `lang_definitions` VALUES (40166, 7033, 11, '用户定义文本8');
INSERT INTO `lang_definitions` VALUES (40167, 7034, 11, '用户名字');
INSERT INTO `lang_definitions` VALUES (40168, 7039, 11, '用户手册');
INSERT INTO `lang_definitions` VALUES (40169, 7040, 11, '用户会员资格');
INSERT INTO `lang_definitions` VALUES (40170, 7041, 11, '用户名');
INSERT INTO `lang_definitions` VALUES (40171, 7042, 11, '用户名或主机名不能为空');
INSERT INTO `lang_definitions` VALUES (40172, 7043, 11, '用户和主机名');
INSERT INTO `lang_definitions` VALUES (40173, 7046, 11, '用户设置');
INSERT INTO `lang_definitions` VALUES (40174, 7047, 11, '用户特定设置');
INSERT INTO `lang_definitions` VALUES (40175, 7049, 11, '用户名');
INSERT INTO `lang_definitions` VALUES (40176, 7051, 11, '用户名电话网关。自动电话服务提供maviq。http://signup.maviq.com更多信息请门诊。');
INSERT INTO `lang_definitions` VALUES (40177, 7052, 11, '用户的短信网关');
INSERT INTO `lang_definitions` VALUES (40178, 7053, 11, '用户名的短信网关。');
INSERT INTO `lang_definitions` VALUES (40179, 7055, 11, '用户名：');
INSERT INTO `lang_definitions` VALUES (40180, 7056, 11, '用户');
INSERT INTO `lang_definitions` VALUES (40181, 7057, 11, '用户/组/日志管理');
INSERT INTO `lang_definitions` VALUES (40182, 7058, 11, '使用的PHP的<a href=\"http://php.net/strftime\">它将“ / 1 ”的格式');
INSERT INTO `lang_definitions` VALUES (40183, 7059, 11, 'UTIs');
INSERT INTO `lang_definitions` VALUES (40184, 7062, 11, '假期');
INSERT INTO `lang_definitions` VALUES (40185, 7063, 11, '假期');
INSERT INTO `lang_definitions` VALUES (40186, 7064, 11, '疫苗');
INSERT INTO `lang_definitions` VALUES (40187, 7065, 11, '阴道环');
INSERT INTO `lang_definitions` VALUES (40188, 7066, 11, '告别');
INSERT INTO `lang_definitions` VALUES (40189, 7067, 11, '证实');
INSERT INTO `lang_definitions` VALUES (40190, 7068, 11, '值');
INSERT INTO `lang_definitions` VALUES (40191, 7069, 11, '值1');
INSERT INTO `lang_definitions` VALUES (40192, 7070, 11, '值2');
INSERT INTO `lang_definitions` VALUES (40193, 7072, 11, '值应该是数字');
INSERT INTO `lang_definitions` VALUES (40194, 7073, 11, '变数1');
INSERT INTO `lang_definitions` VALUES (40195, 7074, 11, '变数2');
INSERT INTO `lang_definitions` VALUES (40196, 7075, 11, '变量到一个跑去识别升级脚本');
INSERT INTO `lang_definitions` VALUES (40197, 7076, 11, '水痘1');
INSERT INTO `lang_definitions` VALUES (40198, 7077, 11, '水痘2');
INSERT INTO `lang_definitions` VALUES (40199, 7078, 11, '静脉曲张');
INSERT INTO `lang_definitions` VALUES (40200, 7079, 11, '血管条件');
INSERT INTO `lang_definitions` VALUES (40201, 7080, 11, '血管损伤');
INSERT INTO `lang_definitions` VALUES (40202, 7081, 11, '血管外科手术');
INSERT INTO `lang_definitions` VALUES (40203, 7083, 11, '供应商');
INSERT INTO `lang_definitions` VALUES (40204, 7084, 11, '版本');
INSERT INTO `lang_definitions` VALUES (40205, 7085, 11, '头晕');
INSERT INTO `lang_definitions` VALUES (40206, 7086, 11, '退伍军人管理');
INSERT INTO `lang_definitions` VALUES (40207, 7087, 11, '退伍军人管理局计划');
INSERT INTO `lang_definitions` VALUES (40208, 7088, 11, '心室功能曲线');
INSERT INTO `lang_definitions` VALUES (40209, 7089, 11, '越南人');
INSERT INTO `lang_definitions` VALUES (40210, 7090, 11, '查看');
INSERT INTO `lang_definitions` VALUES (40211, 7091, 11, '查看');
INSERT INTO `lang_definitions` VALUES (40212, 7092, 11, '查看过敏');
INSERT INTO `lang_definitions` VALUES (40213, 7097, 11, '查看综合客户报告');
INSERT INTO `lang_definitions` VALUES (40214, 7100, 11, '查看文档');
INSERT INTO `lang_definitions` VALUES (40215, 7101, 11, '查看治疗');
INSERT INTO `lang_definitions` VALUES (40216, 7103, 11, '鉴于事件的弹出一个窗口？');
INSERT INTO `lang_definitions` VALUES (40217, 7107, 11, '查看日志');
INSERT INTO `lang_definitions` VALUES (40218, 7108, 11, '第1页');
INSERT INTO `lang_definitions` VALUES (40219, 7109, 11, '第2页');
INSERT INTO `lang_definitions` VALUES (40220, 7110, 11, '查看过去和未来提醒');
INSERT INTO `lang_definitions` VALUES (40221, 7111, 11, '查看客户');
INSERT INTO `lang_definitions` VALUES (40222, 7116, 11, '查看相关的遭遇');
INSERT INTO `lang_definitions` VALUES (40223, 7121, 11, '查看/编辑过敏');
INSERT INTO `lang_definitions` VALUES (40224, 7122, 11, '查看/编辑问题');
INSERT INTO `lang_definitions` VALUES (40225, 7123, 11, '查看/打印');
INSERT INTO `lang_definitions` VALUES (40226, 7124, 11, '查看：');
INSERT INTO `lang_definitions` VALUES (40227, 7125, 11, '签证');
INSERT INTO `lang_definitions` VALUES (40228, 7126, 11, 'VISA卡/ MC / AMEX / DIS');
INSERT INTO `lang_definitions` VALUES (40229, 7127, 11, '内脏损害/损伤/外科手术');
INSERT INTO `lang_definitions` VALUES (40230, 7133, 11, '门诊类别：');
INSERT INTO `lang_definitions` VALUES (40231, 7134, 11, '门诊日期');
INSERT INTO `lang_definitions` VALUES (40232, 7135, 11, '门诊日期');
INSERT INTO `lang_definitions` VALUES (40233, 7137, 11, '门诊表格');
INSERT INTO `lang_definitions` VALUES (40234, 7138, 11, '门诊历史');
INSERT INTO `lang_definitions` VALUES (40235, 7140, 11, '门诊');
INSERT INTO `lang_definitions` VALUES (40236, 7141, 11, '门诊');
INSERT INTO `lang_definitions` VALUES (40237, 7142, 11, '健康状况征兆');
INSERT INTO `lang_definitions` VALUES (40238, 7143, 11, '要害');
INSERT INTO `lang_definitions` VALUES (40239, 7144, 11, '生命迹象（公制）');
INSERT INTO `lang_definitions` VALUES (40240, 7146, 11, '语音');
INSERT INTO `lang_definitions` VALUES (40241, 7147, 11, '语音发送');
INSERT INTO `lang_definitions` VALUES (40242, 7149, 11, '吐');
INSERT INTO `lang_definitions` VALUES (40243, 7151, 11, 'W');
INSERT INTO `lang_definitions` VALUES (40244, 7152, 11, '腰围');
INSERT INTO `lang_definitions` VALUES (40245, 7153, 11, '腰围');
INSERT INTO `lang_definitions` VALUES (40246, 7154, 11, '等待');
INSERT INTO `lang_definitions` VALUES (40247, 7155, 11, '门市');
INSERT INTO `lang_definitions` VALUES (40248, 7157, 11, '沃尔特·彭宁顿');
INSERT INTO `lang_definitions` VALUES (40249, 7158, 11, '仓库');
INSERT INTO `lang_definitions` VALUES (40250, 7159, 11, '仓库最大，0不适用');
INSERT INTO `lang_definitions` VALUES (40251, 7160, 11, '仓库最低，0不适用');
INSERT INTO `lang_definitions` VALUES (40252, 7161, 11, '仓库');
INSERT INTO `lang_definitions` VALUES (40253, 7162, 11, '暖和');
INSERT INTO `lang_definitions` VALUES (40254, 7163, 11, '警告');
INSERT INTO `lang_definitions` VALUES (40255, 7164, 11, '警告');
INSERT INTO `lang_definitions` VALUES (40256, 7166, 11, '警告，支票号码已经存在于数据库中');
INSERT INTO `lang_definitions` VALUES (40257, 7168, 11, '警告：门诊已创建的这个客户今天！');
INSERT INTO `lang_definitions` VALUES (40258, 7170, 11, '警告：客户的ID是不是唯一的！');
INSERT INTO `lang_definitions` VALUES (40259, 7171, 11, '警告：这将覆盖配置信息和数据的上传的文件！');
INSERT INTO `lang_definitions` VALUES (40260, 7173, 11, '警告');
INSERT INTO `lang_definitions` VALUES (40261, 7175, 11, '已上传');
INSERT INTO `lang_definitions` VALUES (40262, 7177, 11, '我们感谢及时付款的余额到期');
INSERT INTO `lang_definitions` VALUES (40263, 7178, 11, '我们已经看到你的上述客户的评估和治疗的门诊精神病诊所。感谢你为这个转诊。');
INSERT INTO `lang_definitions` VALUES (40264, 7179, 11, '软弱');
INSERT INTO `lang_definitions` VALUES (40265, 7181, 11, '网页搜索');
INSERT INTO `lang_definitions` VALUES (40266, 7182, 11, '网站');
INSERT INTO `lang_definitions` VALUES (40267, 7183, 11, '上门客户门户网站的链接。');
INSERT INTO `lang_definitions` VALUES (40268, 7184, 11, '星期三');
INSERT INTO `lang_definitions` VALUES (40269, 7185, 11, '星期三');
INSERT INTO `lang_definitions` VALUES (40270, 7186, 11, '周');
INSERT INTO `lang_definitions` VALUES (40271, 7187, 11, '周');
INSERT INTO `lang_definitions` VALUES (40272, 7188, 11, '周视图');
INSERT INTO `lang_definitions` VALUES (40273, 7189, 11, '本周（县）');
INSERT INTO `lang_definitions` VALUES (40274, 7190, 11, '周刊披露');
INSERT INTO `lang_definitions` VALUES (40275, 7192, 11, '周');
INSERT INTO `lang_definitions` VALUES (40276, 7193, 11, '体重');
INSERT INTO `lang_definitions` VALUES (40277, 7194, 11, '体重评估和辅导的儿童和青少年');
INSERT INTO `lang_definitions` VALUES (40278, 7195, 11, '体重评估和辅导的儿童和青少年（CQM）');
INSERT INTO `lang_definitions` VALUES (40279, 7196, 11, '体重变化');
INSERT INTO `lang_definitions` VALUES (40280, 7197, 11, '体重减轻');
INSERT INTO `lang_definitions` VALUES (40281, 7198, 11, '减肥诊所');
INSERT INTO `lang_definitions` VALUES (40282, 7199, 11, '欢迎');
INSERT INTO `lang_definitions` VALUES (40283, 7202, 11, '怎么计算？');
INSERT INTO `lang_definitions` VALUES (40284, 7203, 11, '哮鸣音：');
INSERT INTO `lang_definitions` VALUES (40285, 7204, 11, '哮喘');
INSERT INTO `lang_definitions` VALUES (40286, 7205, 11, '哮喘：');
INSERT INTO `lang_definitions` VALUES (40287, 7208, 11, '凡可能相关的纸质文件扫描或发现？');
INSERT INTO `lang_definitions` VALUES (40288, 7209, 11, '有无保险');
INSERT INTO `lang_definitions` VALUES (40289, 7212, 11, '白色');
INSERT INTO `lang_definitions` VALUES (40290, 7213, 11, '个人资料');
INSERT INTO `lang_definitions` VALUES (40291, 7214, 11, '谁回答？');
INSERT INTO `lang_definitions` VALUES (40292, 7215, 11, '丧偶');
INSERT INTO `lang_definitions` VALUES (40293, 7216, 11, '宽度');
INSERT INTO `lang_definitions` VALUES (40294, 7217, 11, '在像素宽度的左侧导航框架。');
INSERT INTO `lang_definitions` VALUES (40295, 7221, 11, '随着选择');
INSERT INTO `lang_definitions` VALUES (40296, 7222, 11, '与旧名称');
INSERT INTO `lang_definitions` VALUES (40297, 7224, 11, '其中我们可以留个口信吗？');
INSERT INTO `lang_definitions` VALUES (40298, 7225, 11, '隐瞒');
INSERT INTO `lang_definitions` VALUES (40299, 7226, 11, '在几个小时内');
INSERT INTO `lang_definitions` VALUES (40300, 7227, 11, '在几个小时内：');
INSERT INTO `lang_definitions` VALUES (40301, 7228, 11, '几分钟之内');
INSERT INTO `lang_definitions` VALUES (40302, 7229, 11, '几分钟之内：');
INSERT INTO `lang_definitions` VALUES (40303, 7232, 11, '没有更新');
INSERT INTO `lang_definitions` VALUES (40304, 7233, 11, '证人');
INSERT INTO `lang_definitions` VALUES (40305, 7234, 11, '周');
INSERT INTO `lang_definitions` VALUES (40306, 7235, 11, '在正常范围内');
INSERT INTO `lang_definitions` VALUES (40307, 7237, 11, '妇女');
INSERT INTO `lang_definitions` VALUES (40308, 7238, 11, '只有妇女');
INSERT INTO `lang_definitions` VALUES (40309, 7240, 11, '工作');
INSERT INTO `lang_definitions` VALUES (40310, 7241, 11, '工作说明');
INSERT INTO `lang_definitions` VALUES (40311, 7242, 11, '工作电话');
INSERT INTO `lang_definitions` VALUES (40312, 7243, 11, '工作电话');
INSERT INTO `lang_definitions` VALUES (40313, 7244, 11, '有关的工作？');
INSERT INTO `lang_definitions` VALUES (40314, 7245, 11, '工作/教育/爱好');
INSERT INTO `lang_definitions` VALUES (40315, 7246, 11, '工作/学校请注意');
INSERT INTO `lang_definitions` VALUES (40316, 7247, 11, '工作日');
INSERT INTO `lang_definitions` VALUES (40317, 7248, 11, '工人的补偿`');
INSERT INTO `lang_definitions` VALUES (40318, 7249, 11, '工人赔偿健康计划');
INSERT INTO `lang_definitions` VALUES (40319, 7250, 11, '工作年龄的受益人或配偶单位团体健康计划');
INSERT INTO `lang_definitions` VALUES (40320, 7252, 11, '更坏');
INSERT INTO `lang_definitions` VALUES (40321, 7253, 11, '你会喜欢平衡量适用于全局账户？');
INSERT INTO `lang_definitions` VALUES (40322, 7254, 11, '你会喜欢它们被标记为清除。');
INSERT INTO `lang_definitions` VALUES (40323, 7255, 11, '你想分配？');
INSERT INTO `lang_definitions` VALUES (40324, 7256, 11, '你愿意取消分配为客户？');
INSERT INTO `lang_definitions` VALUES (40325, 7257, 11, '你想删除分配？');
INSERT INTO `lang_definitions` VALUES (40326, 7258, 11, '要删除吗？');
INSERT INTO `lang_definitions` VALUES (40327, 7259, 11, '你想修改并完成付款？');
INSERT INTO `lang_definitions` VALUES (40328, 7260, 11, '你想修改付款？');
INSERT INTO `lang_definitions` VALUES (40329, 7261, 11, '你想完成付款？');
INSERT INTO `lang_definitions` VALUES (40330, 7262, 11, '你想付款？');
INSERT INTO `lang_definitions` VALUES (40331, 7263, 11, '你想保存？');
INSERT INTO `lang_definitions` VALUES (40332, 7264, 11, '手腕');
INSERT INTO `lang_definitions` VALUES (40333, 7265, 11, '手腕和手');
INSERT INTO `lang_definitions` VALUES (40334, 7266, 11, '手腕问题');
INSERT INTO `lang_definitions` VALUES (40335, 7267, 11, '写');
INSERT INTO `lang_definitions` VALUES (40336, 7268, 11, '注销');
INSERT INTO `lang_definitions` VALUES (40337, 7270, 11, 'wsome');
INSERT INTO `lang_definitions` VALUES (40338, 7271, 11, '重量');
INSERT INTO `lang_definitions` VALUES (40339, 7273, 11, 'X取消');
INSERT INTO `lang_definitions` VALUES (40340, 7274, 11, 'X取消');
INSERT INTO `lang_definitions` VALUES (40341, 7275, 11, '透视');
INSERT INTO `lang_definitions` VALUES (40342, 7276, 11, 'X射线释义：');
INSERT INTO `lang_definitions` VALUES (40343, 7277, 11, 'X射线释义：');
INSERT INTO `lang_definitions` VALUES (40344, 7278, 11, 'X12只：更换索赔 ');
INSERT INTO `lang_definitions` VALUES (40345, 7279, 11, 'X12合作伙伴');
INSERT INTO `lang_definitions` VALUES (40346, 7280, 11, 'X12合作伙伴');
INSERT INTO `lang_definitions` VALUES (40347, 7284, 11, '年');
INSERT INTO `lang_definitions` VALUES (40348, 7285, 11, '年');
INSERT INTO `lang_definitions` VALUES (40349, 7286, 11, '年');
INSERT INTO `lang_definitions` VALUES (40350, 7287, 11, '今年查看');
INSERT INTO `lang_definitions` VALUES (40351, 7288, 11, '年份');
INSERT INTO `lang_definitions` VALUES (40352, 7289, 11, '岁');
INSERT INTO `lang_definitions` VALUES (40353, 7292, 11, '是');
INSERT INTO `lang_definitions` VALUES (40354, 7293, 11, '是');
INSERT INTO `lang_definitions` VALUES (40355, 7294, 11, '是');
INSERT INTO `lang_definitions` VALUES (40356, 7295, 11, '是！');
INSERT INTO `lang_definitions` VALUES (40357, 7296, 11, '是，删除和注销');
INSERT INTO `lang_definitions` VALUES (40358, 7298, 11, '是/否');
INSERT INTO `lang_definitions` VALUES (40359, 7299, 11, '是：');
INSERT INTO `lang_definitions` VALUES (40360, 7300, 11, '意第绪语');
INSERT INTO `lang_definitions` VALUES (40361, 7303, 11, '你将永久替换现有的模板。你确定你希望继续吗？');
INSERT INTO `lang_definitions` VALUES (40362, 7304, 11, '你在宽限登录时间。更改密码之前');
INSERT INTO `lang_definitions` VALUES (40363, 7305, 11, '您不可以删除此活动');
INSERT INTO `lang_definitions` VALUES (40364, 7306, 11, '不允许您编辑此事件');
INSERT INTO `lang_definitions` VALUES (40365, 7307, 11, '您未获授权的。');
INSERT INTO `lang_definitions` VALUES (40366, 7308, 11, '你没有被授权进入这个小队。');
INSERT INTO `lang_definitions` VALUES (40367, 7309, 11, '你没有被授权添加/编辑问题');
INSERT INTO `lang_definitions` VALUES (40368, 7310, 11, '你没有被授权安排约会。');
INSERT INTO `lang_definitions` VALUES (40369, 7311, 11, '你没有被授权看到这样的治疗。');
INSERT INTO `lang_definitions` VALUES (40370, 7313, 11, '您不能使用此功能直接。');
INSERT INTO `lang_definitions` VALUES (40371, 7314, 11, '您无法直接门诊此页。');
INSERT INTO `lang_definitions` VALUES (40372, 7315, 11, '您无法添加一个空白的价值范畴！');
INSERT INTO `lang_definitions` VALUES (40373, 7316, 11, '您无法添加一个空白的价值分类！');
INSERT INTO `lang_definitions` VALUES (40374, 7317, 11, '您无法添加一个空白的项目！');
INSERT INTO `lang_definitions` VALUES (40375, 7318, 11, '你不能进入一个将来的日期与完成的价值，是的。');
INSERT INTO `lang_definitions` VALUES (40376, 7319, 11, '你没有选择任何行动。');
INSERT INTO `lang_definitions` VALUES (40377, 7320, 11, '您没有权限查看/编辑笔记');
INSERT INTO `lang_definitions` VALUES (40378, 7321, 11, '你试图改变内容是锁定的。如果你想这样做，清解锁。解锁删除线');
INSERT INTO `lang_definitions` VALUES (40379, 7322, 11, '你已经登出。');
INSERT INTO `lang_definitions` VALUES (40380, 7323, 11, '你可能只是文件上传。');
INSERT INTO `lang_definitions` VALUES (40381, 7325, 11, '你可以把这里作为默认的投诉在新客户遇到形式。');
INSERT INTO `lang_definitions` VALUES (40382, 7326, 11, '你必须输入一个密码来加密文件');
INSERT INTO `lang_definitions` VALUES (40383, 7329, 11, '您必须先选择或添加一个客户。');
INSERT INTO `lang_definitions` VALUES (40384, 7330, 11, '您必须先选择或创建一个遇到。');
INSERT INTO `lang_definitions` VALUES (40385, 7331, 11, '你必须选择一个门诊类');
INSERT INTO `lang_definitions` VALUES (40386, 7332, 11, '你必须选择一个门诊类。');
INSERT INTO `lang_definitions` VALUES (40387, 7333, 11, '你必须选择一些领域继续。');
INSERT INTO `lang_definitions` VALUES (40388, 7334, 11, '你应该运行这个测试如果这个说法似乎产生成功但实际索赔文件不包含任何数据或只有一个未完成的部分的数据量，它应该包含。这是明显的医疗卫生融资声称因为他们是人类可读的X 12声称它是一个艰难的过程来确定是否');
INSERT INTO `lang_definitions` VALUES (40389, 7335, 11, '你必须至少选择一个背景');
INSERT INTO `lang_definitions` VALUES (40390, 7336, 11, '你必须至少选择一个服务人员');
INSERT INTO `lang_definitions` VALUES (40391, 7339, 11, '您的结束日期无效');
INSERT INTO `lang_definitions` VALUES (40392, 7340, 11, '您的活动已被删除。');
INSERT INTO `lang_definitions` VALUES (40393, 7341, 11, '您的活动已被修改。');
INSERT INTO `lang_definitions` VALUES (40394, 7342, 11, '您的活动已提交。');
INSERT INTO `lang_definitions` VALUES (40395, 7343, 11, '你的文件太大');
INSERT INTO `lang_definitions` VALUES (40396, 7345, 11, '你的名单上的名字已改为符合命名要求。');
INSERT INTO `lang_definitions` VALUES (40397, 7347, 11, '你的名字为这类程序或结果”');
INSERT INTO `lang_definitions` VALUES (40398, 7349, 11, '您的密码已过期。请更改您的密码。');
INSERT INTO `lang_definitions` VALUES (40399, 7350, 11, '您的密码过期');
INSERT INTO `lang_definitions` VALUES (40400, 7351, 11, '您的密码今天到期。请更改您的密码。');
INSERT INTO `lang_definitions` VALUES (40401, 7353, 11, '您PostCalendar配置已重置为使用默认值。');
INSERT INTO `lang_definitions` VALUES (40402, 7354, 11, '您PostCalendar配置已更新。');
INSERT INTO `lang_definitions` VALUES (40403, 7355, 11, '您的重复频率必须是整数。');
INSERT INTO `lang_definitions` VALUES (40404, 7356, 11, '您的重复频率必须至少为1 。');
INSERT INTO `lang_definitions` VALUES (40405, 7357, 11, '您的开始日期大于结束日期');
INSERT INTO `lang_definitions` VALUES (40406, 7358, 11, '您的开始日期是无效的');
INSERT INTO `lang_definitions` VALUES (40407, 7359, 11, '您提交失败。');
INSERT INTO `lang_definitions` VALUES (40408, 7360, 11, '格式年 - 月 -日');
INSERT INTO `lang_definitions` VALUES (40409, 7361, 11, '年-月-日');
INSERT INTO `lang_definitions` VALUES (40410, 7362, 11, '日期与此相关的文件（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40411, 7363, 11, '销毁日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40412, 7364, 11, '出生日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40413, 7365, 11, '出生日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40414, 7366, 11, '截止日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40415, 7367, 11, '发病日期或住院（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40416, 7368, 11, '发病日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40417, 7369, 11, '购买或者转让日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40418, 7370, 11, '恢复或结尾的药物起始日（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40419, 7371, 11, '返回日期发挥（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40420, 7372, 11, '送达日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40421, 7373, 11, '本函之日起（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40422, 7374, 11, '返回日期发挥（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40423, 7375, 11, '文件日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40424, 7376, 11, '活动日期或开始日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40425, 7381, 11, '年-月-日 时：分：秒');
INSERT INTO `lang_definitions` VALUES (40426, 7383, 11, '事件最后日期（年 - 月 -日）');
INSERT INTO `lang_definitions` VALUES (40427, 7387, 11, '零');
INSERT INTO `lang_definitions` VALUES (40428, 7389, 11, '邮编');
INSERT INTO `lang_definitions` VALUES (40429, 7390, 11, '邮编');
INSERT INTO `lang_definitions` VALUES (40430, 7391, 11, '邮编/国家：');
INSERT INTO `lang_definitions` VALUES (40431, 7392, 11, '祖鲁语');
INSERT INTO `lang_definitions` VALUES (40432, 7393, 11, ' 但却是 ');
INSERT INTO `lang_definitions` VALUES (40433, 7394, 11, ' 不允许门诊');
INSERT INTO `lang_definitions` VALUES (40434, 7395, 11, '你真的想删除吗');
INSERT INTO `lang_definitions` VALUES (40435, 7396, 11, '药品');
INSERT INTO `lang_definitions` VALUES (40436, 7397, 11, '邮件没有送出');
INSERT INTO `lang_definitions` VALUES (40437, 7398, 11, '从');
INSERT INTO `lang_definitions` VALUES (40438, 7399, 11, '已创建 ');
INSERT INTO `lang_definitions` VALUES (40439, 7400, 11, '已重新打开');
INSERT INTO `lang_definitions` VALUES (40440, 7401, 11, '历史');
INSERT INTO `lang_definitions` VALUES (40441, 7402, 11, '不是一个数字');
INSERT INTO `lang_definitions` VALUES (40442, 7403, 11, '可以重新送帐单了');
INSERT INTO `lang_definitions` VALUES (40443, 7404, 11, '左肺下叶');
INSERT INTO `lang_definitions` VALUES (40444, 7405, 11, '很多');
INSERT INTO `lang_definitions` VALUES (40445, 7406, 11, '医疗补助原始参考号码 ');
INSERT INTO `lang_definitions` VALUES (40446, 7407, 11, '最小');
INSERT INTO `lang_definitions` VALUES (40447, 7408, 11, '没有找到');
INSERT INTO `lang_definitions` VALUES (40448, 7409, 11, '特点在许多浏览器可能意味着输出下面进入你的屏幕突然抽搐，有长时间的停顿几秒钟，它似乎事情可能坠毁。不是这样的，你最终会看到输出了一行行。有可能是连续的数字出现如下，这是表明，即使没有其他可显示有活动。这些数字会穿插内容的计费，这是正常的。');
INSERT INTO `lang_definitions` VALUES (40449, 7410, 11, '药方已达到限度');
INSERT INTO `lang_definitions` VALUES (40450, 7411, 11, '直到');
INSERT INTO `lang_definitions` VALUES (40451, 7412, 11, '更新失败，不是在数据库？');
INSERT INTO `lang_definitions` VALUES (40452, 7413, 11, '被标记为只送了帐单');
INSERT INTO `lang_definitions` VALUES (40453, 7414, 11, '被成功加入队列');
INSERT INTO `lang_definitions` VALUES (40454, 7415, 11, '! 没门诊就离开');
INSERT INTO `lang_definitions` VALUES (40455, 7417, 11, '\" 记录在公布日历的配置中');
INSERT INTO `lang_definitions` VALUES (40456, 7418, 11, '# 保险/财务问题');
INSERT INTO `lang_definitions` VALUES (40457, 7419, 11, '片剂：');
INSERT INTO `lang_definitions` VALUES (40458, 7420, 11, '$');
INSERT INTO `lang_definitions` VALUES (40459, 7421, 11, '$ 已编好号');
INSERT INTO `lang_definitions` VALUES (40460, 7422, 11, '$标签（yyyy-mm-dd）： ');
INSERT INTO `lang_definitions` VALUES (40461, 7423, 11, '%');
INSERT INTO `lang_definitions` VALUES (40462, 7424, 11, '% 已取消 < 24小时');
INSERT INTO `lang_definitions` VALUES (40463, 7425, 11, '% 已取消 < 24小时 ');
INSERT INTO `lang_definitions` VALUES (40464, 7426, 11, '应该存在，但是不存在');
INSERT INTO `lang_definitions` VALUES (40465, 7427, 11, '_ matches any character)');
INSERT INTO `lang_definitions` VALUES (40466, 7428, 11, '（[ctrl]+单击选择更多收件人）');
INSERT INTO `lang_definitions` VALUES (40467, 7429, 11, '（返回）');
INSERT INTO `lang_definitions` VALUES (40468, 7430, 11, '（点击编辑）');
INSERT INTO `lang_definitions` VALUES (40469, 7431, 11, '（电子邮件立即送货，而自动电话发送到服务提供商进一步处理。）');
INSERT INTO `lang_definitions` VALUES (40470, 7432, 11, '（更多）');
INSERT INTO `lang_definitions` VALUES (40471, 7433, 11, '(新客户)');
INSERT INTO `lang_definitions` VALUES (40472, 7434, 11, '(备注和授权)');
INSERT INTO `lang_definitions` VALUES (40473, 7435, 11, '(客户备注)');
INSERT INTO `lang_definitions` VALUES (40474, 7436, 11, 'or type your own title)');
INSERT INTO `lang_definitions` VALUES (40475, 7437, 11, '（Shift）单机或拖动改变值');
INSERT INTO `lang_definitions` VALUES (40476, 7438, 11, '* 提醒');
INSERT INTO `lang_definitions` VALUES (40477, 7439, 11, '** 请将手术移到问题！');
INSERT INTO `lang_definitions` VALUES (40478, 7440, 11, '*要求的');
INSERT INTO `lang_definitions` VALUES (40479, 7441, 11, '+图表展开了');
INSERT INTO `lang_definitions` VALUES (40480, 7442, 11, '-空');
INSERT INTO `lang_definitions` VALUES (40481, 7445, 11, '.');
INSERT INTO `lang_definitions` VALUES (40482, 7446, 11, '0');
INSERT INTO `lang_definitions` VALUES (40483, 7447, 11, '0-10');
INSERT INTO `lang_definitions` VALUES (40484, 7448, 11, '0-24');
INSERT INTO `lang_definitions` VALUES (40485, 7451, 11, '1');
INSERT INTO `lang_definitions` VALUES (40486, 7452, 11, '1=北美。查看其它国家或地区请门诊 http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (40487, 7453, 11, '从现在起一天');
INSERT INTO `lang_definitions` VALUES (40488, 7454, 11, '从现在起一个月');
INSERT INTO `lang_definitions` VALUES (40489, 7455, 11, '从现在起一周');
INSERT INTO `lang_definitions` VALUES (40490, 7456, 11, '从现在起一年');
INSERT INTO `lang_definitions` VALUES (40491, 7457, 11, '其余的2 1。冰天3。压缩，离开敷料除非脚发展麻木或苍白色4。提高脚和腿');
INSERT INTO `lang_definitions` VALUES (40492, 7458, 11, '11-14');
INSERT INTO `lang_definitions` VALUES (40493, 7459, 11, '12小時');
INSERT INTO `lang_definitions` VALUES (40494, 7460, 11, '15-19');
INSERT INTO `lang_definitions` VALUES (40495, 7462, 11, '2');
INSERT INTO `lang_definitions` VALUES (40496, 7463, 11, '从现在起两天');
INSERT INTO `lang_definitions` VALUES (40497, 7464, 11, '从现在起两个月');
INSERT INTO `lang_definitions` VALUES (40498, 7465, 11, '从现在起两周');
INSERT INTO `lang_definitions` VALUES (40499, 7466, 11, '从现在起两年');
INSERT INTO `lang_definitions` VALUES (40500, 7468, 11, '20-24');
INSERT INTO `lang_definitions` VALUES (40501, 7477, 11, '2011-13');
INSERT INTO `lang_definitions` VALUES (40502, 7478, 11, '24小时');
INSERT INTO `lang_definitions` VALUES (40503, 7479, 11, '25+');
INSERT INTO `lang_definitions` VALUES (40504, 7480, 11, '25-29');
INSERT INTO `lang_definitions` VALUES (40505, 7481, 11, '第二');
INSERT INTO `lang_definitions` VALUES (40506, 7482, 11, '从现在起三天');
INSERT INTO `lang_definitions` VALUES (40507, 7483, 11, '三个月');
INSERT INTO `lang_definitions` VALUES (40508, 7484, 11, '从现在起三个月');
INSERT INTO `lang_definitions` VALUES (40509, 7485, 11, '每天三次');
INSERT INTO `lang_definitions` VALUES (40510, 7486, 11, '从现在三周');
INSERT INTO `lang_definitions` VALUES (40511, 7487, 11, '30-34');
INSERT INTO `lang_definitions` VALUES (40512, 7488, 11, '35-39');
INSERT INTO `lang_definitions` VALUES (40513, 7489, 11, '第三');
INSERT INTO `lang_definitions` VALUES (40514, 7490, 11, '从现在起四天');
INSERT INTO `lang_definitions` VALUES (40515, 7491, 11, '四个月');
INSERT INTO `lang_definitions` VALUES (40516, 7492, 11, '从现在起四个月');
INSERT INTO `lang_definitions` VALUES (40517, 7493, 11, '每天四次');
INSERT INTO `lang_definitions` VALUES (40518, 7494, 11, '从现在四周');
INSERT INTO `lang_definitions` VALUES (40519, 7495, 11, '40-44');
INSERT INTO `lang_definitions` VALUES (40520, 7496, 11, '45+');
INSERT INTO `lang_definitions` VALUES (40521, 7497, 11, '465.9，上呼吸道感染');
INSERT INTO `lang_definitions` VALUES (40522, 7498, 11, '466.0，支氣管炎，急性一氧化氮合酶');
INSERT INTO `lang_definitions` VALUES (40523, 7499, 11, '486.0，肺炎，急性');
INSERT INTO `lang_definitions` VALUES (40524, 7500, 11, '491.21，慢性阻塞性肺病加重');
INSERT INTO `lang_definitions` VALUES (40525, 7501, 11, '491.8，支氣管炎，慢性');
INSERT INTO `lang_definitions` VALUES (40526, 7502, 11, '493.92，哮喘，急性惡化。');
INSERT INTO `lang_definitions` VALUES (40527, 7503, 11, '496.0，慢性阻塞性肺病');
INSERT INTO `lang_definitions` VALUES (40528, 7504, 11, '第四');
INSERT INTO `lang_definitions` VALUES (40529, 7505, 11, '从现在起五天');
INSERT INTO `lang_definitions` VALUES (40530, 7506, 11, '从现在起五个月');
INSERT INTO `lang_definitions` VALUES (40531, 7507, 11, '从现在起五周');
INSERT INTO `lang_definitions` VALUES (40532, 7508, 11, 'Bronchospasm');
INSERT INTO `lang_definitions` VALUES (40533, 7509, 11, '第五');
INSERT INTO `lang_definitions` VALUES (40534, 7510, 11, '从现在起六天');
INSERT INTO `lang_definitions` VALUES (40535, 7511, 11, '六个月');
INSERT INTO `lang_definitions` VALUES (40536, 7512, 11, '从现在起六个月');
INSERT INTO `lang_definitions` VALUES (40537, 7513, 11, '从现在起六周');
INSERT INTO `lang_definitions` VALUES (40538, 7514, 11, '第六');
INSERT INTO `lang_definitions` VALUES (40539, 7515, 11, '从现在起七个月');
INSERT INTO `lang_definitions` VALUES (40540, 7516, 11, '从现在起八个月');
INSERT INTO `lang_definitions` VALUES (40541, 7517, 11, '824.0骨折，內踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (40542, 7518, 11, '824.2骨折，外踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (40543, 7519, 11, '824.6骨折，三踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (40544, 7520, 11, '825.32骨折，舟（脚踝）');
INSERT INTO `lang_definitions` VALUES (40545, 7521, 11, '825.35骨折，第五跖骨基地（第五）');
INSERT INTO `lang_definitions` VALUES (40546, 7522, 11, '845.00 踝关节扭伤 NOS');
INSERT INTO `lang_definitions` VALUES (40547, 7523, 11, '845.00 踝关节三角韧带扭伤');
INSERT INTO `lang_definitions` VALUES (40548, 7524, 11, '845.02扭伤，跟骨腓骨');
INSERT INTO `lang_definitions` VALUES (40549, 7525, 11, '从现在起九个月');
INSERT INTO `lang_definitions` VALUES (40550, 7526, 11, '99212 已建立 - 简单的');
INSERT INTO `lang_definitions` VALUES (40551, 7527, 11, '99213 已建立 - 低复杂度');
INSERT INTO `lang_definitions` VALUES (40552, 7528, 11, '< 在检查室');
INSERT INTO `lang_definitions` VALUES (40553, 7529, 11, '>已结帐');
INSERT INTO `lang_definitions` VALUES (40554, 7531, 11, '? 没显示');
INSERT INTO `lang_definitions` VALUES (40555, 7532, 11, '@ 已到达');
INSERT INTO `lang_definitions` VALUES (40556, 7533, 11, '[转换显示]');
INSERT INTO `lang_definitions` VALUES (40557, 7534, 11, '[上一次看诊的日期]');
INSERT INTO `lang_definitions` VALUES (40558, 7535, 11, '[离上一次看诊的天数]');
INSERT INTO `lang_definitions` VALUES (40559, 7537, 11, '[导出OFX格式]');
INSERT INTO `lang_definitions` VALUES (40560, 7538, 11, '[不推荐]');
INSERT INTO `lang_definitions` VALUES (40561, 7539, 11, '[看诊的次数]');
INSERT INTO `lang_definitions` VALUES (40562, 7540, 11, '[报告]');
INSERT INTO `lang_definitions` VALUES (40563, 7541, 11, '[选择所有]');
INSERT INTO `lang_definitions` VALUES (40564, 7542, 11, '[数据库总帐]');
INSERT INTO `lang_definitions` VALUES (40565, 7543, 11, '[开始批量处理]');
INSERT INTO `lang_definitions` VALUES (40566, 7544, 11, '[查看记录]');
INSERT INTO `lang_definitions` VALUES (40567, 7545, 11, '[查看可打印的报告]');
INSERT INTO `lang_definitions` VALUES (40568, 1, 12, '一');
INSERT INTO `lang_definitions` VALUES (40569, 2, 12, '一個支票或申索號碼 用來查詢付款');
INSERT INTO `lang_definitions` VALUES (40570, 3, 12, '一個管理員用戶的客戶端證書');
INSERT INTO `lang_definitions` VALUES (40571, 7, 12, '需要一個經銷商');
INSERT INTO `lang_definitions` VALUES (40572, 8, 12, '一個GCAC參訪表格應該增加到這次的參訪');
INSERT INTO `lang_definitions` VALUES (40573, 9, 12, '需要很多的數字');
INSERT INTO `lang_definitions` VALUES (40574, 10, 12, '需要很多的數字﹗');
INSERT INTO `lang_definitions` VALUES (40575, 11, 12, '一個小寫字母');
INSERT INTO `lang_definitions` VALUES (40576, 12, 12, '一個數字');
INSERT INTO `lang_definitions` VALUES (40577, 14, 12, '一位有這個身分證的病人已經存在');
INSERT INTO `lang_definitions` VALUES (40578, 15, 12, '一位有這個名字的病人已經存在');
INSERT INTO `lang_definitions` VALUES (40579, 16, 12, '一位有這種沙門氏-志賀氏桿菌的病人已經存在');
INSERT INTO `lang_definitions` VALUES (40580, 19, 12, '每次訪問，可以指定轉介來源。');
INSERT INTO `lang_definitions` VALUES (40581, 20, 12, '需要一個相關國際計劃生育聯合會的代碼！');
INSERT INTO `lang_definitions` VALUES (40582, 21, 12, '特性');
INSERT INTO `lang_definitions` VALUES (40583, 22, 12, '一個獨特的價值來辨認此領域，使用者不可看見');
INSERT INTO `lang_definitions` VALUES (40584, 24, 12, 'a.c.');
INSERT INTO `lang_definitions` VALUES (40585, 25, 12, '上午');
INSERT INTO `lang_definitions` VALUES (40586, 26, 12, 'A/F Level右側：');
INSERT INTO `lang_definitions` VALUES (40587, 27, 12, '不正常 流產');
INSERT INTO `lang_definitions` VALUES (40588, 28, 12, '縮寫');
INSERT INTO `lang_definitions` VALUES (40589, 29, 12, '膿瘍');
INSERT INTO `lang_definitions` VALUES (40590, 30, 12, '腹部的');
INSERT INTO `lang_definitions` VALUES (40591, 31, 12, '能夠承受重量4個步驟：');
INSERT INTO `lang_definitions` VALUES (40592, 32, 12, '異常的');
INSERT INTO `lang_definitions` VALUES (40593, 33, 12, '不正常1');
INSERT INTO `lang_definitions` VALUES (40594, 34, 12, '不正常');
INSERT INTO `lang_definitions` VALUES (40595, 35, 12, '不正常的血液測試');
INSERT INTO `lang_definitions` VALUES (40596, 36, 12, '不正常的頭髮生長');
INSERT INTO `lang_definitions` VALUES (40597, 37, 12, '不正常的乳房攝影');
INSERT INTO `lang_definitions` VALUES (40598, 39, 12, '流產');
INSERT INTO `lang_definitions` VALUES (40599, 40, 12, '流產議題');
INSERT INTO `lang_definitions` VALUES (40600, 41, 12, '流產方法');
INSERT INTO `lang_definitions` VALUES (40601, 42, 12, '與流產有關的類別');
INSERT INTO `lang_definitions` VALUES (40602, 43, 12, '墮胎');
INSERT INTO `lang_definitions` VALUES (40603, 44, 12, '關於日曆');
INSERT INTO `lang_definitions` VALUES (40604, 46, 12, '診斷為失神');
INSERT INTO `lang_definitions` VALUES (40605, 47, 12, '接受指派');
INSERT INTO `lang_definitions` VALUES (40606, 49, 12, '接受付款為 ');
INSERT INTO `lang_definitions` VALUES (40607, 50, 12, '接受指派 承擔任務');
INSERT INTO `lang_definitions` VALUES (40608, 51, 12, '存取控制');
INSERT INTO `lang_definitions` VALUES (40609, 52, 12, '存取控制表管理');
INSERT INTO `lang_definitions` VALUES (40610, 56, 12, '進入你的病人入口網站');
INSERT INTO `lang_definitions` VALUES (40611, 59, 12, '帳目名稱');
INSERT INTO `lang_definitions` VALUES (40612, 62, 12, '會計');
INSERT INTO `lang_definitions` VALUES (40613, 64, 12, '疼痛');
INSERT INTO `lang_definitions` VALUES (40614, 65, 12, '確認要求（ISA14）');
INSERT INTO `lang_definitions` VALUES (40615, 67, 12, '前十字韌帶');
INSERT INTO `lang_definitions` VALUES (40616, 68, 12, '訪問控制列表管理');
INSERT INTO `lang_definitions` VALUES (40617, 69, 12, '未授權訪問控制列表管理');
INSERT INTO `lang_definitions` VALUES (40618, 71, 12, '粉刺');
INSERT INTO `lang_definitions` VALUES (40619, 72, 12, '行動');
INSERT INTO `lang_definitions` VALUES (40620, 73, 12, '行動日期');
INSERT INTO `lang_definitions` VALUES (40621, 74, 12, '行動');
INSERT INTO `lang_definitions` VALUES (40622, 75, 12, '行動');
INSERT INTO `lang_definitions` VALUES (40623, 77, 12, '啟動CCR/ CCD的報表');
INSERT INTO `lang_definitions` VALUES (40624, 78, 12, '活躍');
INSERT INTO `lang_definitions` VALUES (40625, 79, 12, '活躍戒備');
INSERT INTO `lang_definitions` VALUES (40626, 80, 12, '主動警示規則');
INSERT INTO `lang_definitions` VALUES (40627, 81, 12, '活耀戒備/提示');
INSERT INTO `lang_definitions` VALUES (40628, 82, 12, '積極接觸 活躍遭遇');
INSERT INTO `lang_definitions` VALUES (40629, 84, 12, '活躍名單');
INSERT INTO `lang_definitions` VALUES (40630, 85, 12, '活躍患者');
INSERT INTO `lang_definitions` VALUES (40631, 86, 12, '活躍計畫');
INSERT INTO `lang_definitions` VALUES (40632, 87, 12, '活動');
INSERT INTO `lang_definitions` VALUES (40633, 88, 12, '活動類型');
INSERT INTO `lang_definitions` VALUES (40634, 92, 12, '急性 慢性');
INSERT INTO `lang_definitions` VALUES (40635, 93, 12, '增加');
INSERT INTO `lang_definitions` VALUES (40636, 94, 12, '增加');
INSERT INTO `lang_definitions` VALUES (40637, 95, 12, '腺苷酸去氨碁酵素 注意力缺乏障礙');
INSERT INTO `lang_definitions` VALUES (40638, 96, 12, '增加一家公司');
INSERT INTO `lang_definitions` VALUES (40639, 98, 12, '增加一家藥房');
INSERT INTO `lang_definitions` VALUES (40640, 100, 12, '增加一個事件為了 ');
INSERT INTO `lang_definitions` VALUES (40641, 101, 12, '加入一個新的說明');
INSERT INTO `lang_definitions` VALUES (40642, 102, 12, '增加就像是新的');
INSERT INTO `lang_definitions` VALUES (40643, 104, 12, '增加按鈕');
INSERT INTO `lang_definitions` VALUES (40644, 105, 12, '添加特殊字符的按鈕，文本將顯示在編輯器的頂部，為的是到文本上點擊');
INSERT INTO `lang_definitions` VALUES (40645, 106, 12, '增加類別');
INSERT INTO `lang_definitions` VALUES (40646, 107, 12, '增加常數');
INSERT INTO `lang_definitions` VALUES (40647, 108, 12, '增加上下文');
INSERT INTO `lang_definitions` VALUES (40648, 109, 12, '加入共付額');
INSERT INTO `lang_definitions` VALUES (40649, 110, 12, '新增條件');
INSERT INTO `lang_definitions` VALUES (40650, 111, 12, '增加習慣按鈕');
INSERT INTO `lang_definitions` VALUES (40651, 112, 12, '增加診斷');
INSERT INTO `lang_definitions` VALUES (40652, 113, 12, '增加藥物');
INSERT INTO `lang_definitions` VALUES (40653, 114, 12, '增加遭遇');
INSERT INTO `lang_definitions` VALUES (40654, 115, 12, '增加遭遇/筆記');
INSERT INTO `lang_definitions` VALUES (40655, 116, 12, '增加設施');
INSERT INTO `lang_definitions` VALUES (40656, 117, 12, '增加領域');
INSERT INTO `lang_definitions` VALUES (40657, 118, 12, '增加下列幾行到亞帕契印地安人配置檔案中');
INSERT INTO `lang_definitions` VALUES (40658, 119, 12, '增加小組');
INSERT INTO `lang_definitions` VALUES (40659, 120, 12, '增加國際疾病分類碼');
INSERT INTO `lang_definitions` VALUES (40660, 121, 12, '增加免疫');
INSERT INTO `lang_definitions` VALUES (40661, 123, 12, '增加議題');
INSERT INTO `lang_definitions` VALUES (40662, 125, 12, '增加語言');
INSERT INTO `lang_definitions` VALUES (40663, 126, 12, '增加新');
INSERT INTO `lang_definitions` VALUES (40664, 127, 12, '增加新');
INSERT INTO `lang_definitions` VALUES (40665, 128, 12, '增加新的類別﹕ ');
INSERT INTO `lang_definitions` VALUES (40666, 129, 12, '增加新的證明到亞帕契印地安人配置檔案中');
INSERT INTO `lang_definitions` VALUES (40667, 132, 12, '增加新的小組');
INSERT INTO `lang_definitions` VALUES (40668, 134, 12, '增加很多新的合約');
INSERT INTO `lang_definitions` VALUES (40669, 135, 12, '增加新的註解');
INSERT INTO `lang_definitions` VALUES (40670, 136, 12, '增加新的註解');
INSERT INTO `lang_definitions` VALUES (40671, 137, 12, '增加新的夥伴');
INSERT INTO `lang_definitions` VALUES (40672, 140, 12, '增加註解');
INSERT INTO `lang_definitions` VALUES (40673, 141, 12, '增加病患紀錄');
INSERT INTO `lang_definitions` VALUES (40674, 142, 12, '增加處方');
INSERT INTO `lang_definitions` VALUES (40675, 144, 12, '增加提供者數量');
INSERT INTO `lang_definitions` VALUES (40676, 145, 12, '增加康復');
INSERT INTO `lang_definitions` VALUES (40677, 146, 12, '增加規則');
INSERT INTO `lang_definitions` VALUES (40678, 147, 12, '加到');
INSERT INTO `lang_definitions` VALUES (40679, 148, 12, '加到藥物名單中');
INSERT INTO `lang_definitions` VALUES (40680, 149, 12, '加到最高層級');
INSERT INTO `lang_definitions` VALUES (40681, 150, 12, '增加交易');
INSERT INTO `lang_definitions` VALUES (40682, 151, 12, '增加使用者');
INSERT INTO `lang_definitions` VALUES (40683, 152, 12, '將使用者加入小組中');
INSERT INTO `lang_definitions` VALUES (40684, 153, 12, '添加/編輯eRX');
INSERT INTO `lang_definitions` VALUES (40685, 154, 12, '添加/編輯病人的交易');
INSERT INTO `lang_definitions` VALUES (40686, 155, 12, '增加');
INSERT INTO `lang_definitions` VALUES (40687, 156, 12, '加入人口統計沒有被授權。');
INSERT INTO `lang_definitions` VALUES (40688, 158, 12, '愛迪生症候群');
INSERT INTO `lang_definitions` VALUES (40689, 159, 12, '愛迪生症候群');
INSERT INTO `lang_definitions` VALUES (40690, 160, 12, '附加的屬性');
INSERT INTO `lang_definitions` VALUES (40691, 161, 12, '附加的診斷：');
INSERT INTO `lang_definitions` VALUES (40692, 162, 12, '附加的病史');
INSERT INTO `lang_definitions` VALUES (40693, 163, 12, '附加的病史紀錄');
INSERT INTO `lang_definitions` VALUES (40694, 164, 12, '附加的資訊');
INSERT INTO `lang_definitions` VALUES (40695, 165, 12, '額外的實驗室');
INSERT INTO `lang_definitions` VALUES (40696, 166, 12, '其他注意事項');
INSERT INTO `lang_definitions` VALUES (40697, 168, 12, '其他注意事項︰');
INSERT INTO `lang_definitions` VALUES (40698, 169, 12, '其他注意事項︰ ');
INSERT INTO `lang_definitions` VALUES (40699, 170, 12, '另外的放射線紀錄');
INSERT INTO `lang_definitions` VALUES (40700, 172, 12, '沒有結果');
INSERT INTO `lang_definitions` VALUES (40701, 173, 12, 'Addr Bk');
INSERT INTO `lang_definitions` VALUES (40702, 174, 12, 'Addr Bk');
INSERT INTO `lang_definitions` VALUES (40703, 175, 12, '地址');
INSERT INTO `lang_definitions` VALUES (40704, 178, 12, '通訊簿');
INSERT INTO `lang_definitions` VALUES (40705, 179, 12, '執行此程序的公司的通訊簿條目');
INSERT INTO `lang_definitions` VALUES (40706, 180, 12, '經銷商的通訊簿條目');
INSERT INTO `lang_definitions` VALUES (40707, 181, 12, '對供應商的通訊簿條目');
INSERT INTO `lang_definitions` VALUES (40708, 182, 12, '通訊簿類型');
INSERT INTO `lang_definitions` VALUES (40709, 187, 12, '地址1');
INSERT INTO `lang_definitions` VALUES (40710, 188, 12, '地址2');
INSERT INTO `lang_definitions` VALUES (40711, 189, 12, '收信人');
INSERT INTO `lang_definitions` VALUES (40712, 190, 12, '形容詞');
INSERT INTO `lang_definitions` VALUES (40713, 191, 12, '可調節金額');
INSERT INTO `lang_definitions` VALUES (40714, 192, 12, '調整');
INSERT INTO `lang_definitions` VALUES (40715, 193, 12, '調整');
INSERT INTO `lang_definitions` VALUES (40716, 195, 12, '調整原因');
INSERT INTO `lang_definitions` VALUES (40717, 196, 12, '代碼的調整價值 ');
INSERT INTO `lang_definitions` VALUES (40718, 197, 12, '調整');
INSERT INTO `lang_definitions` VALUES (40719, 198, 12, '行政調節');
INSERT INTO `lang_definitions` VALUES (40720, 199, 12, '用藥 管理');
INSERT INTO `lang_definitions` VALUES (40721, 200, 12, '管理電子郵件地址');
INSERT INTO `lang_definitions` VALUES (40722, 201, 12, '管理經');
INSERT INTO `lang_definitions` VALUES (40723, 202, 12, '管理');
INSERT INTO `lang_definitions` VALUES (40724, 203, 12, '管理工作由');
INSERT INTO `lang_definitions` VALUES (40725, 206, 12, '管理');
INSERT INTO `lang_definitions` VALUES (40726, 208, 12, '管理者');
INSERT INTO `lang_definitions` VALUES (40727, 209, 12, '管理者可以做任何事');
INSERT INTO `lang_definitions` VALUES (40728, 212, 12, '成人體重篩檢與追蹤');
INSERT INTO `lang_definitions` VALUES (40729, 213, 12, '成人體重篩檢與追蹤(CQM)');
INSERT INTO `lang_definitions` VALUES (40730, 214, 12, '事先指示');
INSERT INTO `lang_definitions` VALUES (40731, 215, 12, '事先指示');
INSERT INTO `lang_definitions` VALUES (40732, 216, 12, '事先指示警告');
INSERT INTO `lang_definitions` VALUES (40733, 218, 12, '進階的');
INSERT INTO `lang_definitions` VALUES (40734, 219, 12, '建議');
INSERT INTO `lang_definitions` VALUES (40735, 221, 12, '影響正常');
INSERT INTO `lang_definitions` VALUES (40736, 223, 12, '經過幾個小時通話');
INSERT INTO `lang_definitions` VALUES (40737, 225, 12, '執行上述配置後，管理客戶端證書導入到瀏覽器並重新啟動Apache服務器（密碼為空）。');
INSERT INTO `lang_definitions` VALUES (40738, 226, 12, '儲存PDF文件後，單擊[查看日誌]以檢查錯誤。');
INSERT INTO `lang_definitions` VALUES (40739, 227, 12, '儲存文本文件（S）後，點擊[查看日誌」來檢查錯誤。');
INSERT INTO `lang_definitions` VALUES (40740, 228, 12, '儲存你的批處理後，單擊[查看日誌]以檢查錯誤。');
INSERT INTO `lang_definitions` VALUES (40741, 230, 12, '資料輸入正確後，點擊儲存按鈕。');
INSERT INTO `lang_definitions` VALUES (40742, 233, 12, '再次');
INSERT INTO `lang_definitions` VALUES (40743, 234, 12, '年齡');
INSERT INTO `lang_definitions` VALUES (40744, 235, 12, '年齡由');
INSERT INTO `lang_definitions` VALUES (40745, 236, 12, '年齡分類');
INSERT INTO `lang_definitions` VALUES (40746, 237, 12, '年齡資料超出範圍');
INSERT INTO `lang_definitions` VALUES (40747, 239, 12, '年齡的格式為“年齡從”是無效的');
INSERT INTO `lang_definitions` VALUES (40748, 240, 12, '年齡的格式為“年齡直到”是無效的');
INSERT INTO `lang_definitions` VALUES (40749, 241, 12, '年齡從');
INSERT INTO `lang_definitions` VALUES (40750, 243, 12, '最大年齡');
INSERT INTO `lang_definitions` VALUES (40751, 244, 12, '最小年齡');
INSERT INTO `lang_definitions` VALUES (40752, 245, 12, '年齡範圍');
INSERT INTO `lang_definitions` VALUES (40753, 247, 12, '老化列：');
INSERT INTO `lang_definitions` VALUES (40754, 250, 12, '酒精');
INSERT INTO `lang_definitions` VALUES (40755, 251, 12, '酒類消費');
INSERT INTO `lang_definitions` VALUES (40756, 253, 12, '機警的計數');
INSERT INTO `lang_definitions` VALUES (40757, 255, 12, '警報');
INSERT INTO `lang_definitions` VALUES (40758, 258, 12, '阿留申');
INSERT INTO `lang_definitions` VALUES (40759, 259, 12, '全部');
INSERT INTO `lang_definitions` VALUES (40760, 260, 12, '急性淋巴性白血症');
INSERT INTO `lang_definitions` VALUES (40761, 261, 12, '全部(被校對的格式A)');
INSERT INTO `lang_definitions` VALUES (40762, 262, 12, '全部(被校對的格式B)');
INSERT INTO `lang_definitions` VALUES (40763, 263, 12, '全部(漸增)');
INSERT INTO `lang_definitions` VALUES (40764, 266, 12, '所有的分類');
INSERT INTO `lang_definitions` VALUES (40765, 268, 12, '所有的代碼');
INSERT INTO `lang_definitions` VALUES (40766, 269, 12, '整天');
INSERT INTO `lang_definitions` VALUES (40767, 270, 12, '整天的事件');
INSERT INTO `lang_definitions` VALUES (40768, 271, 12, '所有人口統計學領域，搜索和重複檢查');
INSERT INTO `lang_definitions` VALUES (40769, 272, 12, '所有設施');
INSERT INTO `lang_definitions` VALUES (40770, 273, 12, '所有傷害/問題/議題');
INSERT INTO `lang_definitions` VALUES (40771, 274, 12, '所有允許的語言');
INSERT INTO `lang_definitions` VALUES (40772, 276, 12, '全部或部分名字');
INSERT INTO `lang_definitions` VALUES (40773, 277, 12, '全部或部分姓氏');
INSERT INTO `lang_definitions` VALUES (40774, 280, 12, '所有產品');
INSERT INTO `lang_definitions` VALUES (40775, 281, 12, '所有提供者');
INSERT INTO `lang_definitions` VALUES (40776, 282, 12, '所有審查與拒絕：');
INSERT INTO `lang_definitions` VALUES (40777, 283, 12, '所有主題');
INSERT INTO `lang_definitions` VALUES (40778, 284, 12, '所有使用者');
INSERT INTO `lang_definitions` VALUES (40779, 285, 12, '過敏的');
INSERT INTO `lang_definitions` VALUES (40780, 286, 12, '過敏');
INSERT INTO `lang_definitions` VALUES (40781, 287, 12, '過敏：');
INSERT INTO `lang_definitions` VALUES (40782, 288, 12, '過敏');
INSERT INTO `lang_definitions` VALUES (40783, 289, 12, '過敏導入成功完成');
INSERT INTO `lang_definitions` VALUES (40784, 291, 12, '過敏反應');
INSERT INTO `lang_definitions` VALUES (40785, 294, 12, '分配');
INSERT INTO `lang_definitions` VALUES (40786, 295, 12, '允許');
INSERT INTO `lang_definitions` VALUES (40787, 296, 12, '允許在登錄選單選擇所有可用的語言。');
INSERT INTO `lang_definitions` VALUES (40788, 297, 12, '允許索賠創建包含診斷，但沒有程序或收費。大多數診所不想這樣。');
INSERT INTO `lang_definitions` VALUES (40789, 298, 12, '允許調試語言');
INSERT INTO `lang_definitions` VALUES (40790, 299, 12, '允許電子郵件');
INSERT INTO `lang_definitions` VALUES (40791, 300, 12, '允許電子郵件的訊息嗎?');
INSERT INTO `lang_definitions` VALUES (40792, 301, 12, '允許電子郵件嗎?');
INSERT INTO `lang_definitions` VALUES (40793, 302, 12, '允許遭遇索賠');
INSERT INTO `lang_definitions` VALUES (40794, 303, 12, '允許健康資訊交換');
INSERT INTO `lang_definitions` VALUES (40795, 304, 12, '允許分享免疫資訊');
INSERT INTO `lang_definitions` VALUES (40796, 305, 12, '允許使用免疫登記表');
INSERT INTO `lang_definitions` VALUES (40797, 306, 12, '允許郵件訊息');
INSERT INTO `lang_definitions` VALUES (40798, 308, 12, '允許病患門戶網站');
INSERT INTO `lang_definitions` VALUES (40799, 309, 12, '允許短訊');
INSERT INTO `lang_definitions` VALUES (40800, 310, 12, '允許短訊（文字信息）？');
INSERT INTO `lang_definitions` VALUES (40801, 311, 12, '允許立即主動作出提交事件了嗎？');
INSERT INTO `lang_definitions` VALUES (40802, 312, 12, '允許電話訊息嗎?');
INSERT INTO `lang_definitions` VALUES (40803, 313, 12, '允許用戶出版全球性事件');
INSERT INTO `lang_definitions` VALUES (40804, 314, 12, '允許用戶出版個人日曆');
INSERT INTO `lang_definitions` VALUES (40805, 315, 12, '允許語音訊息');
INSERT INTO `lang_definitions` VALUES (40806, 316, 12, '准許');
INSERT INTO `lang_definitions` VALUES (40807, 317, 12, '准許的語言');
INSERT INTO `lang_definitions` VALUES (40808, 318, 12, '准許©');
INSERT INTO `lang_definitions` VALUES (40809, 323, 12, '已經存在');
INSERT INTO `lang_definitions` VALUES (40810, 324, 12, '已經存在.');
INSERT INTO `lang_definitions` VALUES (40811, 325, 12, '已被使用，選擇另一個識別碼');
INSERT INTO `lang_definitions` VALUES (40812, 326, 12, '已被使用，選擇另一個標題');
INSERT INTO `lang_definitions` VALUES (40813, 327, 12, '替代地址');
INSERT INTO `lang_definitions` VALUES (40814, 328, 12, '改變');
INSERT INTO `lang_definitions` VALUES (40815, 329, 12, '另外，你可以使用搜索頁面上傳文件，您從您的付款人或票據交換所獲得的電子匯款業務（X12的835）。您可以通過點擊“瀏覽”按鈕，選擇要上傳的文件，然後點擊搜索執行上傳，並顯示相應的發票。上面提到的其他參數，在這種情況下不適用，將被忽略。上傳保存的文件，但還沒有處理它的內容 - 這是分別執行如下所述。');
INSERT INTO `lang_definitions` VALUES (40816, 330, 12, '航空醫學 上午');
INSERT INTO `lang_definitions` VALUES (40817, 331, 12, '航空醫學規劃');
INSERT INTO `lang_definitions` VALUES (40818, 332, 12, '先天多發性關節攣縮症');
INSERT INTO `lang_definitions` VALUES (40819, 333, 12, '先天多發性關節攣縮症追蹤');
INSERT INTO `lang_definitions` VALUES (40820, 338, 12, '修正現有的筆記');
INSERT INTO `lang_definitions` VALUES (40821, 343, 12, '美洲印地安人');
INSERT INTO `lang_definitions` VALUES (40822, 344, 12, '美洲印地安人或阿拉斯加原住民');
INSERT INTO `lang_definitions` VALUES (40823, 345, 12, '美國運通');
INSERT INTO `lang_definitions` VALUES (40824, 346, 12, '阿姆哈啦語');
INSERT INTO `lang_definitions` VALUES (40825, 347, 12, '數量');
INSERT INTO `lang_definitions` VALUES (40826, 349, 12, '收費總量');
INSERT INTO `lang_definitions` VALUES (40827, 350, 12, '過去平衡的數量');
INSERT INTO `lang_definitions` VALUES (40828, 351, 12, '這次看診的數量');
INSERT INTO `lang_definitions` VALUES (40829, 352, 12, '已付金額');
INSERT INTO `lang_definitions` VALUES (40830, 353, 12, '數量：');
INSERT INTO `lang_definitions` VALUES (40831, 357, 12, '棄置LibreEHR網頁目錄樹時發生錯誤');
INSERT INTO `lang_definitions` VALUES (40832, 358, 12, '棄置phpGACL網站目錄樹時發生錯誤');
INSERT INTO `lang_definitions` VALUES (40833, 359, 12, '棄置SQL總帳web目錄樹時發生錯誤');
INSERT INTO `lang_definitions` VALUES (40834, 360, 12, '一個不完整的GCAC問題已創建和連接。有人會需要稍後完成它。');
INSERT INTO `lang_definitions` VALUES (40835, 362, 12, '一個非預期的錯誤已經發生了');
INSERT INTO `lang_definitions` VALUES (40836, 363, 12, '一個大寫字母');
INSERT INTO `lang_definitions` VALUES (40837, 365, 12, '以及 和 並且');
INSERT INTO `lang_definitions` VALUES (40838, 366, 12, '以及 和 並且');
INSERT INTO `lang_definitions` VALUES (40839, 367, 12, '以及');
INSERT INTO `lang_definitions` VALUES (40840, 368, 12, '以及 ');
INSERT INTO `lang_definitions` VALUES (40841, 369, 12, '以及所有輔助的資料?這次行動將被登錄');
INSERT INTO `lang_definitions` VALUES (40842, 370, 12, '以及修飾詞');
INSERT INTO `lang_definitions` VALUES (40843, 371, 12, '和處理。');
INSERT INTO `lang_definitions` VALUES (40844, 372, 12, '並且重新啟動阿帕契伺服器。');
INSERT INTO `lang_definitions` VALUES (40845, 373, 12, '並且原因是');
INSERT INTO `lang_definitions` VALUES (40846, 374, 12, '貧血');
INSERT INTO `lang_definitions` VALUES (40847, 375, 12, '腳踝');
INSERT INTO `lang_definitions` VALUES (40848, 376, 12, '腳踝加腳跟');
INSERT INTO `lang_definitions` VALUES (40849, 377, 12, '腳踝評估表');
INSERT INTO `lang_definitions` VALUES (40850, 378, 12, '腳踝問題');
INSERT INTO `lang_definitions` VALUES (40851, 379, 12, '強直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (40852, 380, 12, '強直性脊柱炎');
INSERT INTO `lang_definitions` VALUES (40853, 381, 12, '厭食');
INSERT INTO `lang_definitions` VALUES (40854, 382, 12, '你可以在發布窗口做的另一件事是要求二次計費。如果你在儲存以前選擇此複選框，原索賠將被重新打開，並且在帳單頁排隊，將在未來計費運行期間進行處理。');
INSERT INTO `lang_definitions` VALUES (40855, 383, 12, '前廳 賭注');
INSERT INTO `lang_definitions` VALUES (40856, 384, 12, '肛門NL，沒有直腸壓痛/腫塊');
INSERT INTO `lang_definitions` VALUES (40857, 385, 12, '焦慮');
INSERT INTO `lang_definitions` VALUES (40858, 386, 12, '任何');
INSERT INTO `lang_definitions` VALUES (40859, 387, 12, '任何類別');
INSERT INTO `lang_definitions` VALUES (40860, 388, 12, '所需的代碼或說明的任何部分');
INSERT INTO `lang_definitions` VALUES (40861, 389, 12, '任何所需的專業');
INSERT INTO `lang_definitions` VALUES (40862, 390, 12, '任何藥物識別或藥物名稱的一部分');
INSERT INTO `lang_definitions` VALUES (40863, 391, 12, '免疫標識或免疫名稱的任何部分');
INSERT INTO `lang_definitions` VALUES (40864, 392, 12, '病患姓名的任何部分,或\"最後,最初,或\"X-Y\"');
INSERT INTO `lang_definitions` VALUES (40865, 394, 12, '短信網關的API鍵。');
INSERT INTO `lang_definitions` VALUES (40866, 395, 12, '呼吸暫停');
INSERT INTO `lang_definitions` VALUES (40867, 396, 12, '外觀');
INSERT INTO `lang_definitions` VALUES (40868, 397, 12, '外觀：');
INSERT INTO `lang_definitions` VALUES (40869, 398, 12, '附加本說明');
INSERT INTO `lang_definitions` VALUES (40870, 399, 12, '附加到現有的說明');
INSERT INTO `lang_definitions` VALUES (40871, 400, 12, '附加到本說明');
INSERT INTO `lang_definitions` VALUES (40872, 401, 12, '附加到本說明');
INSERT INTO `lang_definitions` VALUES (40873, 402, 12, '闌尾切除術');
INSERT INTO `lang_definitions` VALUES (40874, 404, 12, '適用患者');
INSERT INTO `lang_definitions` VALUES (40875, 406, 12, '登錄頁面的應用程序的名稱和主窗口的標題。');
INSERT INTO `lang_definitions` VALUES (40876, 408, 12, '應用發件人代碼（GS02）');
INSERT INTO `lang_definitions` VALUES (40877, 409, 12, '應用標題');
INSERT INTO `lang_definitions` VALUES (40878, 410, 12, '使用在生命徵象表格與生長曲線圖');
INSERT INTO `lang_definitions` VALUES (40879, 412, 12, '只適用於目前事件，對這個和所有未來的事件，或所有事件的變化？');
INSERT INTO `lang_definitions` VALUES (40880, 413, 12, '使用在受影響的區域');
INSERT INTO `lang_definitions` VALUES (40881, 414, 12, '使用在皮膚');
INSERT INTO `lang_definitions` VALUES (40882, 415, 12, '提供');
INSERT INTO `lang_definitions` VALUES (40883, 417, 12, '約定 委任');
INSERT INTO `lang_definitions` VALUES (40884, 418, 12, '預約日期');
INSERT INTO `lang_definitions` VALUES (40885, 419, 12, '約會表現風格');
INSERT INTO `lang_definitions` VALUES (40886, 420, 12, '約會提醒規則');
INSERT INTO `lang_definitions` VALUES (40887, 421, 12, '預約狀況');
INSERT INTO `lang_definitions` VALUES (40888, 422, 12, '預約狀況');
INSERT INTO `lang_definitions` VALUES (40889, 423, 12, '預約之內');
INSERT INTO `lang_definitions` VALUES (40890, 424, 12, '預約/事件顏色');
INSERT INTO `lang_definitions` VALUES (40891, 425, 12, '預約');
INSERT INTO `lang_definitions` VALUES (40892, 426, 12, '任命(自選的寫)');
INSERT INTO `lang_definitions` VALUES (40893, 430, 12, '任命與遭遇');
INSERT INTO `lang_definitions` VALUES (40894, 431, 12, '任用報告');
INSERT INTO `lang_definitions` VALUES (40895, 432, 12, '任用–相遇報告');
INSERT INTO `lang_definitions` VALUES (40896, 434, 12, '批准');
INSERT INTO `lang_definitions` VALUES (40897, 436, 12, '批准');
INSERT INTO `lang_definitions` VALUES (40898, 437, 12, '批准的事件管理');
INSERT INTO `lang_definitions` VALUES (40899, 440, 12, '聘任-ENC');
INSERT INTO `lang_definitions` VALUES (40900, 441, 12, '聘任');
INSERT INTO `lang_definitions` VALUES (40901, 442, 12, '四月');
INSERT INTO `lang_definitions` VALUES (40902, 443, 12, '四月');
INSERT INTO `lang_definitions` VALUES (40903, 444, 12, '阿拉伯');
INSERT INTO `lang_definitions` VALUES (40904, 447, 12, '存取控制的組名要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (40905, 448, 12, '任命類別的名字要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (40906, 449, 12, '文件類別的名字要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (40907, 450, 12, '這個類型要收費嗎?');
INSERT INTO `lang_definitions` VALUES (40908, 451, 12, '病患說明標題要翻譯嗎?');
INSERT INTO `lang_definitions` VALUES (40909, 453, 12, '對這次訪問 你準備完成一個新的GCAC議題了嗎?');
INSERT INTO `lang_definitions` VALUES (40910, 455, 12, '你確定想要批准這些事件?');
INSERT INTO `lang_definitions` VALUES (40911, 457, 12, '你確定想要完全移除這個格式?');
INSERT INTO `lang_definitions` VALUES (40912, 459, 12, '你確定想要刪除這個發現嗎?');
INSERT INTO `lang_definitions` VALUES (40913, 460, 12, '你確定想要刪除這個事件?');
INSERT INTO `lang_definitions` VALUES (40914, 461, 12, '你確定想要從資料庫中刪除這個項目嗎?');
INSERT INTO `lang_definitions` VALUES (40915, 462, 12, '你確定要刪除本說明嗎？');
INSERT INTO `lang_definitions` VALUES (40916, 464, 12, '你確定想要編輯這些事件嗎?');
INSERT INTO `lang_definitions` VALUES (40917, 465, 12, '你確定想要隱藏這些事件嗎?');
INSERT INTO `lang_definitions` VALUES (40918, 467, 12, '你確定想要瀏覽這些事件嗎?');
INSERT INTO `lang_definitions` VALUES (40919, 468, 12, '你確定要刪除整個上榜的群體');
INSERT INTO `lang_definitions` VALUES (40920, 469, 12, '你確定要刪除全部表單');
INSERT INTO `lang_definitions` VALUES (40921, 470, 12, '你確定要刪除字段');
INSERT INTO `lang_definitions` VALUES (40922, 471, 12, '你確定要刪除選定的欄位嗎？');
INSERT INTO `lang_definitions` VALUES (40923, 472, 12, '你確定你\'想繼續這些行動？');
INSERT INTO `lang_definitions` VALUES (40924, 473, 12, '區域未指定');
INSERT INTO `lang_definitions` VALUES (40925, 474, 12, '手臂');
INSERT INTO `lang_definitions` VALUES (40926, 475, 12, '亞美尼亞語');
INSERT INTO `lang_definitions` VALUES (40927, 477, 12, '心律不整');
INSERT INTO `lang_definitions` VALUES (40928, 478, 12, '關節炎');
INSERT INTO `lang_definitions` VALUES (40929, 479, 12, '關節炎/退化性關節疾病');
INSERT INTO `lang_definitions` VALUES (40930, 480, 12, '關節炎/退化性關節疾病');
INSERT INTO `lang_definitions` VALUES (40931, 481, 12, '如同');
INSERT INTO `lang_definitions` VALUES (40932, 482, 12, '自');
INSERT INTO `lang_definitions` VALUES (40933, 484, 12, '亞洲');
INSERT INTO `lang_definitions` VALUES (40934, 487, 12, '評估');
INSERT INTO `lang_definitions` VALUES (40935, 488, 12, '分配');
INSERT INTO `lang_definitions` VALUES (40936, 489, 12, '助理');
INSERT INTO `lang_definitions` VALUES (40937, 490, 12, '氣喘');
INSERT INTO `lang_definitions` VALUES (40938, 491, 12, '在');
INSERT INTO `lang_definitions` VALUES (40939, 492, 12, '如果你選擇全部，至少有一個搜索參數是必需的。');
INSERT INTO `lang_definitions` VALUES (40940, 493, 12, '在舟狀骨');
INSERT INTO `lang_definitions` VALUES (40941, 494, 12, '在舟狀骨：');
INSERT INTO `lang_definitions` VALUES (40942, 495, 12, '田徑隊');
INSERT INTO `lang_definitions` VALUES (40943, 497, 12, '運動的/傷害');
INSERT INTO `lang_definitions` VALUES (40944, 498, 12, 'ATNA審核CA證書');
INSERT INTO `lang_definitions` VALUES (40945, 499, 12, 'ATNA審核主持人');
INSERT INTO `lang_definitions` VALUES (40946, 500, 12, 'ATNA審核地區性證書');
INSERT INTO `lang_definitions` VALUES (40947, 501, 12, 'ATNA審核端口');
INSERT INTO `lang_definitions` VALUES (40948, 503, 12, '注意');
INSERT INTO `lang_definitions` VALUES (40949, 504, 12, '經辦人');
INSERT INTO `lang_definitions` VALUES (40950, 509, 12, '審計日誌備份');
INSERT INTO `lang_definitions` VALUES (40951, 510, 12, '審計日誌雜項');
INSERT INTO `lang_definitions` VALUES (40952, 511, 12, '審計日誌順序');
INSERT INTO `lang_definitions` VALUES (40953, 512, 12, '審計日誌病患紀錄');
INSERT INTO `lang_definitions` VALUES (40954, 513, 12, '審計日誌的安排');
INSERT INTO `lang_definitions` VALUES (40955, 514, 12, '審計日誌的安全管理');
INSERT INTO `lang_definitions` VALUES (40956, 515, 12, '稽核記錄SELECT查詢');
INSERT INTO `lang_definitions` VALUES (40957, 516, 12, '八月');
INSERT INTO `lang_definitions` VALUES (40958, 517, 12, '八月');
INSERT INTO `lang_definitions` VALUES (40959, 519, 12, '驗證');
INSERT INTO `lang_definitions` VALUES (40960, 520, 12, '驗證/註釋');
INSERT INTO `lang_definitions` VALUES (40961, 523, 12, '授權小組');
INSERT INTO `lang_definitions` VALUES (40962, 525, 12, '授權');
INSERT INTO `lang_definitions` VALUES (40963, 526, 12, '授權 核准');
INSERT INTO `lang_definitions` VALUES (40964, 527, 12, '批准-任何的交易');
INSERT INTO `lang_definitions` VALUES (40965, 528, 12, '批准-我的交易');
INSERT INTO `lang_definitions` VALUES (40966, 530, 12, '授權 核准');
INSERT INTO `lang_definitions` VALUES (40967, 531, 12, '只批准');
INSERT INTO `lang_definitions` VALUES (40968, 532, 12, '自動傳送');
INSERT INTO `lang_definitions` VALUES (40969, 535, 12, '自動創造新的遭遇');
INSERT INTO `lang_definitions` VALUES (40970, 536, 12, '自動產生');
INSERT INTO `lang_definitions` VALUES (40971, 537, 12, '自動化的測量演算(AMC)');
INSERT INTO `lang_definitions` VALUES (40972, 542, 12, '自動化的測量演算(AMC)追蹤');
INSERT INTO `lang_definitions` VALUES (40973, 543, 12, '自動化的措施(AMC)');
INSERT INTO `lang_definitions` VALUES (40974, 544, 12, '自動的');
INSERT INTO `lang_definitions` VALUES (40975, 546, 12, '自動的創造一個新的遭遇當約定的狀態是設定在\"@\"(到達)');
INSERT INTO `lang_definitions` VALUES (40976, 549, 12, '汽車醫療');
INSERT INTO `lang_definitions` VALUES (40977, 550, 12, '自動儲存');
INSERT INTO `lang_definitions` VALUES (40978, 551, 12, '可用類別');
INSERT INTO `lang_definitions` VALUES (40979, 552, 12, '可用時間');
INSERT INTO `lang_definitions` VALUES (40980, 557, 12, '平均每月');
INSERT INTO `lang_definitions` VALUES (40981, 558, 12, '撕裂/撕裂的骨折');
INSERT INTO `lang_definitions` VALUES (40982, 559, 12, '撕裂傷外踝');
INSERT INTO `lang_definitions` VALUES (40983, 560, 12, '撕裂傷內踝 ');
INSERT INTO `lang_definitions` VALUES (40984, 561, 12, '基於了悟');
INSERT INTO `lang_definitions` VALUES (40985, 562, 12, '腋下');
INSERT INTO `lang_definitions` VALUES (40986, 565, 12, '一天兩次');
INSERT INTO `lang_definitions` VALUES (40987, 566, 12, '後面 背面');
INSERT INTO `lang_definitions` VALUES (40988, 567, 12, '後面 背面');
INSERT INTO `lang_definitions` VALUES (40989, 568, 12, '以前的八次訪問');
INSERT INTO `lang_definitions` VALUES (40990, 569, 12, '以前的拾壹次訪問');
INSERT INTO `lang_definitions` VALUES (40991, 570, 12, '以前的五次訪問');
INSERT INTO `lang_definitions` VALUES (40992, 571, 12, '以前的四次訪問');
INSERT INTO `lang_definitions` VALUES (40993, 572, 12, '以前的九次訪問');
INSERT INTO `lang_definitions` VALUES (40994, 573, 12, '以前的一次訪問');
INSERT INTO `lang_definitions` VALUES (40995, 574, 12, '背痛');
INSERT INTO `lang_definitions` VALUES (40996, 575, 12, '背部問題');
INSERT INTO `lang_definitions` VALUES (40997, 576, 12, '以前的七次訪問');
INSERT INTO `lang_definitions` VALUES (40998, 577, 12, '以前的六次訪問');
INSERT INTO `lang_definitions` VALUES (40999, 578, 12, '背部手術');
INSERT INTO `lang_definitions` VALUES (41000, 579, 12, '以前的十次訪問');
INSERT INTO `lang_definitions` VALUES (41001, 580, 12, '以前的三次訪問');
INSERT INTO `lang_definitions` VALUES (41002, 584, 12, '支持病人');
INSERT INTO `lang_definitions` VALUES (41003, 586, 12, '回到查看');
INSERT INTO `lang_definitions` VALUES (41004, 587, 12, '以前的十二次訪問');
INSERT INTO `lang_definitions` VALUES (41005, 588, 12, '以前的兩次訪問');
INSERT INTO `lang_definitions` VALUES (41006, 590, 12, '備份');
INSERT INTO `lang_definitions` VALUES (41007, 591, 12, '已創建的備份文件。現在將傳送下載。');
INSERT INTO `lang_definitions` VALUES (41008, 593, 12, '順利地使用的備份');
INSERT INTO `lang_definitions` VALUES (41009, 594, 12, '空頭支票');
INSERT INTO `lang_definitions` VALUES (41010, 595, 12, '重債');
INSERT INTO `lang_definitions` VALUES (41011, 596, 12, '印度尼西亞語');
INSERT INTO `lang_definitions` VALUES (41012, 597, 12, '平衡');
INSERT INTO `lang_definitions` VALUES (41013, 598, 12, '平衡');
INSERT INTO `lang_definitions` VALUES (41014, 599, 12, '平衡');
INSERT INTO `lang_definitions` VALUES (41015, 601, 12, '到期餘額');
INSERT INTO `lang_definitions` VALUES (41016, 603, 12, '銀行匯票');
INSERT INTO `lang_definitions` VALUES (41017, 607, 12, '第五(第5) Metarsal基地');
INSERT INTO `lang_definitions` VALUES (41018, 608, 12, '第五(第5) Metarsal基地︰');
INSERT INTO `lang_definitions` VALUES (41019, 612, 12, '一批通訊工具');
INSERT INTO `lang_definitions` VALUES (41020, 613, 12, '一批付款條目');
INSERT INTO `lang_definitions` VALUES (41021, 615, 12, '批次處理啟動，這可能需要一段時間。');
INSERT INTO `lang_definitions` VALUES (41022, 616, 12, '一批結果');
INSERT INTO `lang_definitions` VALUES (41023, 617, 12, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (41024, 619, 12, '因為那個身份證不存在');
INSERT INTO `lang_definitions` VALUES (41025, 620, 12, '開始');
INSERT INTO `lang_definitions` VALUES (41026, 621, 12, '開始日期');
INSERT INTO `lang_definitions` VALUES (41027, 623, 12, '服務開始日期年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (41028, 624, 12, '日曆事件一天開始的時間');
INSERT INTO `lang_definitions` VALUES (41029, 626, 12, '噯氣');
INSERT INTO `lang_definitions` VALUES (41030, 630, 12, '兩者之間');
INSERT INTO `lang_definitions` VALUES (41031, 633, 12, '雙側');
INSERT INTO `lang_definitions` VALUES (41032, 634, 12, '雙側︰');
INSERT INTO `lang_definitions` VALUES (41033, 636, 12, '帳單日期︰');
INSERT INTO `lang_definitions` VALUES (41034, 637, 12, '帳單/收集');
INSERT INTO `lang_definitions` VALUES (41035, 638, 12, '帳單');
INSERT INTO `lang_definitions` VALUES (41036, 640, 12, '帳單');
INSERT INTO `lang_definitions` VALUES (41037, 641, 12, '廣告(自選的寫)');
INSERT INTO `lang_definitions` VALUES (41038, 642, 12, '廣告經辦人');
INSERT INTO `lang_definitions` VALUES (41039, 644, 12, '要求服務的廣告代碼');
INSERT INTO `lang_definitions` VALUES (41040, 645, 12, '帳單代碼');
INSERT INTO `lang_definitions` VALUES (41041, 646, 12, '帳單日期');
INSERT INTO `lang_definitions` VALUES (41042, 647, 12, '廣告部門');
INSERT INTO `lang_definitions` VALUES (41043, 648, 12, '廣告設施');
INSERT INTO `lang_definitions` VALUES (41044, 649, 12, '廣告資訊');
INSERT INTO `lang_definitions` VALUES (41045, 650, 12, '廣告地點');
INSERT INTO `lang_definitions` VALUES (41046, 655, 12, '廣告經理');
INSERT INTO `lang_definitions` VALUES (41047, 656, 12, '計費筆記');
INSERT INTO `lang_definitions` VALUES (41048, 657, 12, '計費筆記為 ');
INSERT INTO `lang_definitions` VALUES (41049, 658, 12, '計費筆記︰');
INSERT INTO `lang_definitions` VALUES (41050, 659, 12, '計費隊列結果：');
INSERT INTO `lang_definitions` VALUES (41051, 660, 12, '計費報告');
INSERT INTO `lang_definitions` VALUES (41052, 662, 12, '計費狀態=未入帳');
INSERT INTO `lang_definitions` VALUES (41053, 663, 12, '入賬到 ');
INSERT INTO `lang_definitions` VALUES (41054, 665, 12, '切片');
INSERT INTO `lang_definitions` VALUES (41055, 666, 12, '出生日期');
INSERT INTO `lang_definitions` VALUES (41056, 669, 12, '黑');
INSERT INTO `lang_definitions` VALUES (41057, 671, 12, '黑人或非裔美國人');
INSERT INTO `lang_definitions` VALUES (41058, 672, 12, '膀胱癌');
INSERT INTO `lang_definitions` VALUES (41059, 673, 12, '膀胱感染');
INSERT INTO `lang_definitions` VALUES (41060, 674, 12, '空白表格');
INSERT INTO `lang_definitions` VALUES (41061, 675, 12, '流血問題');
INSERT INTO `lang_definitions` VALUES (41062, 676, 12, '盲點');
INSERT INTO `lang_definitions` VALUES (41063, 677, 12, '腹脹');
INSERT INTO `lang_definitions` VALUES (41064, 678, 12, '封鎖 阻斷');
INSERT INTO `lang_definitions` VALUES (41065, 679, 12, '血液');
INSERT INTO `lang_definitions` VALUES (41066, 680, 12, '血壓');
INSERT INTO `lang_definitions` VALUES (41067, 681, 12, '血壓');
INSERT INTO `lang_definitions` VALUES (41068, 682, 12, '流鼻血');
INSERT INTO `lang_definitions` VALUES (41069, 683, 12, '藍十字藍盾');
INSERT INTO `lang_definitions` VALUES (41070, 684, 12, '本報告中的藍線都是資訊。黑線顯示原有資訊。綠線顯示已成功應用的變化。紅線顯示錯誤，或不適用的變化;這些必須人工處理。目前拒絕索賠和支付撥回不自動處理，所以會出現紅色。');
INSERT INTO `lang_definitions` VALUES (41071, 685, 12, '視覺模糊');
INSERT INTO `lang_definitions` VALUES (41072, 686, 12, '身體質量指數');
INSERT INTO `lang_definitions` VALUES (41073, 687, 12, '身體質量指數狀態');
INSERT INTO `lang_definitions` VALUES (41074, 689, 12, '身體部位');
INSERT INTO `lang_definitions` VALUES (41075, 690, 12, '身體位置');
INSERT INTO `lang_definitions` VALUES (41076, 691, 12, '身體位置，如果適用');
INSERT INTO `lang_definitions` VALUES (41077, 692, 12, '骨頭壓痛︰');
INSERT INTO `lang_definitions` VALUES (41078, 693, 12, '骨頭壓痛︰內側內踝');
INSERT INTO `lang_definitions` VALUES (41079, 694, 12, '部爾');
INSERT INTO `lang_definitions` VALUES (41080, 696, 12, '博特 機器人');
INSERT INTO `lang_definitions` VALUES (41081, 697, 12, '雙耳');
INSERT INTO `lang_definitions` VALUES (41082, 698, 12, '雙耳');
INSERT INTO `lang_definitions` VALUES (41083, 699, 12, '臀部');
INSERT INTO `lang_definitions` VALUES (41084, 701, 12, '框10A.與就業相關 ');
INSERT INTO `lang_definitions` VALUES (41085, 702, 12, '框10B.車禍 ');
INSERT INTO `lang_definitions` VALUES (41086, 703, 12, '框10C.其他意外 ');
INSERT INTO `lang_definitions` VALUES (41087, 708, 12, '框16.無法工作的日期從(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (41088, 709, 12, '框16.無法工作的日期至(年年年年-月月-日日)');
INSERT INTO `lang_definitions` VALUES (41089, 710, 12, '框18.住院日期從(年年年年-月月-日日) ');
INSERT INTO `lang_definitions` VALUES (41090, 711, 12, '框18.住院日期至(年年年年-月月-日日) ');
INSERT INTO `lang_definitions` VALUES (41091, 712, 12, '框20.使用外面的檢驗室嗎?');
INSERT INTO `lang_definitions` VALUES (41092, 713, 12, '框22.醫療補助重新提交代碼(ICD-9) ');
INSERT INTO `lang_definitions` VALUES (41093, 714, 12, '框23.事先授權號 ');
INSERT INTO `lang_definitions` VALUES (41094, 715, 12, '血壓');
INSERT INTO `lang_definitions` VALUES (41095, 716, 12, '收縮壓');
INSERT INTO `lang_definitions` VALUES (41096, 717, 12, '舒張壓');
INSERT INTO `lang_definitions` VALUES (41097, 719, 12, 'Bpd');
INSERT INTO `lang_definitions` VALUES (41098, 721, 12, 'Bps');
INSERT INTO `lang_definitions` VALUES (41099, 722, 12, '巴西葡萄牙語');
INSERT INTO `lang_definitions` VALUES (41100, 723, 12, '乳房');
INSERT INTO `lang_definitions` VALUES (41101, 724, 12, '乳房切片');
INSERT INTO `lang_definitions` VALUES (41102, 725, 12, '乳房分泌物');
INSERT INTO `lang_definitions` VALUES (41103, 726, 12, '乳房疾病');
INSERT INTO `lang_definitions` VALUES (41104, 727, 12, '乳房檢查');
INSERT INTO `lang_definitions` VALUES (41105, 728, 12, '乳房腫塊');
INSERT INTO `lang_definitions` VALUES (41106, 730, 12, '呼吸音︰');
INSERT INTO `lang_definitions` VALUES (41107, 732, 12, '斷裂的骨頭');
INSERT INTO `lang_definitions` VALUES (41108, 734, 12, '支氣管炎表單');
INSERT INTO `lang_definitions` VALUES (41109, 735, 12, '瀏覽');
INSERT INTO `lang_definitions` VALUES (41110, 736, 12, '瀏覽記錄');
INSERT INTO `lang_definitions` VALUES (41111, 737, 12, '瘀青/血腫');
INSERT INTO `lang_definitions` VALUES (41112, 739, 12, '右側膨出︰');
INSERT INTO `lang_definitions` VALUES (41113, 741, 12, '排尿時燒灼感');
INSERT INTO `lang_definitions` VALUES (41114, 742, 12, '排尿時燒灼感');
INSERT INTO `lang_definitions` VALUES (41115, 744, 12, '忙碌');
INSERT INTO `lang_definitions` VALUES (41116, 745, 12, '但尚未處理');
INSERT INTO `lang_definitions` VALUES (41117, 746, 12, '臀部');
INSERT INTO `lang_definitions` VALUES (41118, 747, 12, '臀部+ S.I.');
INSERT INTO `lang_definitions` VALUES (41119, 748, 12, '通過 由');
INSERT INTO `lang_definitions` VALUES (41120, 749, 12, '通過 由');
INSERT INTO `lang_definitions` VALUES (41121, 750, 12, '由口');
INSERT INTO `lang_definitions` VALUES (41122, 751, 12, '由/來源');
INSERT INTO `lang_definitions` VALUES (41123, 752, 12, '由︰');
INSERT INTO `lang_definitions` VALUES (41124, 754, 12, 'CA證書驗證RFC5425 TLS syslog服務器。');
INSERT INTO `lang_definitions` VALUES (41125, 755, 12, '緩存生存期(秒)');
INSERT INTO `lang_definitions` VALUES (41126, 756, 12, '快取範本輸出？');
INSERT INTO `lang_definitions` VALUES (41127, 757, 12, '咖啡因消耗量');
INSERT INTO `lang_definitions` VALUES (41128, 758, 12, '日曆');
INSERT INTO `lang_definitions` VALUES (41129, 759, 12, '日曆結束時間');
INSERT INTO `lang_definitions` VALUES (41130, 760, 12, '日曆間隔');
INSERT INTO `lang_definitions` VALUES (41131, 761, 12, '日曆畫面');
INSERT INTO `lang_definitions` VALUES (41132, 762, 12, '日曆設置');
INSERT INTO `lang_definitions` VALUES (41133, 763, 12, '日曆開始時間');
INSERT INTO `lang_definitions` VALUES (41134, 764, 12, '日曆的用戶介面');
INSERT INTO `lang_definitions` VALUES (41135, 765, 12, '日曆視圖');
INSERT INTO `lang_definitions` VALUES (41136, 766, 12, '呼叫添加表格去這裡參考。');
INSERT INTO `lang_definitions` VALUES (41137, 767, 12, '卡路里');
INSERT INTO `lang_definitions` VALUES (41138, 768, 12, '柬埔寨');
INSERT INTO `lang_definitions` VALUES (41140, 774, 12, '取消');
INSERT INTO `lang_definitions` VALUES (41141, 775, 12, '取消變更');
INSERT INTO `lang_definitions` VALUES (41142, 776, 12, '取消');
INSERT INTO `lang_definitions` VALUES (41143, 777, 12, '癌症');
INSERT INTO `lang_definitions` VALUES (41144, 778, 12, '癌症篩檢︰直腸癌篩檢');
INSERT INTO `lang_definitions` VALUES (41145, 779, 12, '癌症篩檢︰乳房攝影');
INSERT INTO `lang_definitions` VALUES (41146, 780, 12, '癌症篩檢︰子宮頸抹片');
INSERT INTO `lang_definitions` VALUES (41147, 781, 12, '癌症篩檢︰攝護腺癌篩檢');
INSERT INTO `lang_definitions` VALUES (41148, 782, 12, '不能添加此項因為它已經存在!');
INSERT INTO `lang_definitions` VALUES (41149, 783, 12, '不能添加/更新這個條目，因為重複已經存在！');
INSERT INTO `lang_definitions` VALUES (41150, 785, 12, '不能轉換為 JPEG。也許 ImageMagick是沒有安裝？');
INSERT INTO `lang_definitions` VALUES (41151, 787, 12, '不能顯示內聯，因為它的類型不是由瀏覽器支持。');
INSERT INTO `lang_definitions` VALUES (41152, 788, 12, '不能顯示內聯，因為它的類型是不是由瀏覽器支持。');
INSERT INTO `lang_definitions` VALUES (41153, 789, 12, '不能顯示內聯，因為它的類型是不是由瀏覽器支持。');
INSERT INTO `lang_definitions` VALUES (41154, 790, 12, '無法創造');
INSERT INTO `lang_definitions` VALUES (41155, 795, 12, '找不到 ');
INSERT INTO `lang_definitions` VALUES (41156, 796, 12, '無法找到目標檔案名稱');
INSERT INTO `lang_definitions` VALUES (41157, 799, 12, '從 SQL總客戶名單中無法找到病人');
INSERT INTO `lang_definitions` VALUES (41158, 800, 12, '找不到PostScript文件參考 ');
INSERT INTO `lang_definitions` VALUES (41159, 801, 12, '不能從SQL總帳僱員找到提供者= ');
INSERT INTO `lang_definitions` VALUES (41160, 802, 12, '不能修改付款方式。未分配利潤是負的。');
INSERT INTO `lang_definitions` VALUES (41161, 803, 12, '無法打開 ');
INSERT INTO `lang_definitions` VALUES (41162, 804, 12, '不能為保險張貼。付款實體選擇是病人');
INSERT INTO `lang_definitions` VALUES (41163, 805, 12, '不能為病人張貼。付款實體選擇是保險');
INSERT INTO `lang_definitions` VALUES (41164, 806, 12, '不能張貼付款方式，未分配利潤是負的。');
INSERT INTO `lang_definitions` VALUES (41165, 807, 12, '無法讀取');
INSERT INTO `lang_definitions` VALUES (41166, 808, 12, '不能讀目錄');
INSERT INTO `lang_definitions` VALUES (41167, 809, 12, '無法更新因為你不是編輯現有的條目');
INSERT INTO `lang_definitions` VALUES (41168, 810, 12, '大寫');
INSERT INTO `lang_definitions` VALUES (41169, 812, 12, '膠囊');
INSERT INTO `lang_definitions` VALUES (41170, 813, 12, '卡片');
INSERT INTO `lang_definitions` VALUES (41171, 814, 12, '心導管置入術');
INSERT INTO `lang_definitions` VALUES (41172, 815, 12, '心臟超音波');
INSERT INTO `lang_definitions` VALUES (41173, 816, 12, '心臟血管的');
INSERT INTO `lang_definitions` VALUES (41174, 821, 12, '軟骨組織/軟骨面/椎間盤損傷');
INSERT INTO `lang_definitions` VALUES (41175, 822, 12, '軟骨損傷');
INSERT INTO `lang_definitions` VALUES (41176, 823, 12, '頸動脈搏動nl，足的脈搏 nl');
INSERT INTO `lang_definitions` VALUES (41177, 824, 12, '現金');
INSERT INTO `lang_definitions` VALUES (41178, 825, 12, '現金');
INSERT INTO `lang_definitions` VALUES (41179, 826, 12, '現金紀錄');
INSERT INTO `lang_definitions` VALUES (41180, 827, 12, '供應商提供現金收據');
INSERT INTO `lang_definitions` VALUES (41181, 829, 12, '白內障手術');
INSERT INTO `lang_definitions` VALUES (41182, 830, 12, '白內障');
INSERT INTO `lang_definitions` VALUES (41183, 831, 12, '類別');
INSERT INTO `lang_definitions` VALUES (41184, 832, 12, '類別為');
INSERT INTO `lang_definitions` VALUES (41185, 833, 12, '類別');
INSERT INTO `lang_definitions` VALUES (41186, 834, 12, '類別');
INSERT INTO `lang_definitions` VALUES (41187, 835, 12, '類別 ');
INSERT INTO `lang_definitions` VALUES (41188, 836, 12, '類別細節');
INSERT INTO `lang_definitions` VALUES (41189, 837, 12, '類別限制');
INSERT INTO `lang_definitions` VALUES (41190, 838, 12, '類別名稱');
INSERT INTO `lang_definitions` VALUES (41191, 839, 12, '類別名字是空的');
INSERT INTO `lang_definitions` VALUES (41192, 840, 12, '類別或標題');
INSERT INTO `lang_definitions` VALUES (41193, 841, 12, '高加索 白種人');
INSERT INTO `lang_definitions` VALUES (41194, 842, 12, '造成收入列印至遭遇/主要提供者資訊');
INSERT INTO `lang_definitions` VALUES (41195, 853, 12, '手機');
INSERT INTO `lang_definitions` VALUES (41196, 855, 12, '手機號碼');
INSERT INTO `lang_definitions` VALUES (41197, 856, 12, '中央證明');
INSERT INTO `lang_definitions` VALUES (41198, 857, 12, '中央或南美');
INSERT INTO `lang_definitions` VALUES (41199, 858, 12, '認證授權crt檔案位置不可能是空的');
INSERT INTO `lang_definitions` VALUES (41200, 859, 12, '認證授權關鍵檔案位置不可能是空的');
INSERT INTO `lang_definitions` VALUES (41201, 860, 12, '發送RFC5425 TLS的syslog服務器的證書。');
INSERT INTO `lang_definitions` VALUES (41202, 861, 12, '證明用戶');
INSERT INTO `lang_definitions` VALUES (41203, 862, 12, '證明');
INSERT INTO `lang_definitions` VALUES (41204, 864, 12, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (41205, 865, 12, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (41206, 866, 12, '改變');
INSERT INTO `lang_definitions` VALUES (41207, 867, 12, '改變');
INSERT INTO `lang_definitions` VALUES (41208, 868, 12, '改變活動');
INSERT INTO `lang_definitions` VALUES (41209, 870, 12, '視力改變');
INSERT INTO `lang_definitions` VALUES (41210, 871, 12, '視力改變');
INSERT INTO `lang_definitions` VALUES (41211, 874, 12, '改變');
INSERT INTO `lang_definitions` VALUES (41212, 875, 12, '改變的腸子');
INSERT INTO `lang_definitions` VALUES (41213, 877, 12, '特徵');
INSERT INTO `lang_definitions` VALUES (41214, 879, 12, '負責 收費 充電');
INSERT INTO `lang_definitions` VALUES (41215, 880, 12, '調整收費');
INSERT INTO `lang_definitions` VALUES (41216, 882, 12, '充電');
INSERT INTO `lang_definitions` VALUES (41217, 883, 12, '病歷');
INSERT INTO `lang_definitions` VALUES (41218, 884, 12, '圖表活動');
INSERT INTO `lang_definitions` VALUES (41219, 885, 12, '病力借入/借出活動報告');
INSERT INTO `lang_definitions` VALUES (41220, 886, 12, '病歷編號');
INSERT INTO `lang_definitions` VALUES (41221, 887, 12, '病歷編號：');
INSERT INTO `lang_definitions` VALUES (41222, 889, 12, '圖表位置活動');
INSERT INTO `lang_definitions` VALUES (41223, 890, 12, '病歷附註');
INSERT INTO `lang_definitions` VALUES (41224, 891, 12, '病歷號碼');
INSERT INTO `lang_definitions` VALUES (41225, 892, 12, '病歷存放位置');
INSERT INTO `lang_definitions` VALUES (41226, 893, 12, '病歷追蹤者');
INSERT INTO `lang_definitions` VALUES (41227, 894, 12, 'Chart Trk');
INSERT INTO `lang_definitions` VALUES (41228, 895, 12, '病歷借出');
INSERT INTO `lang_definitions` VALUES (41229, 896, 12, '圖表輸出');
INSERT INTO `lang_definitions` VALUES (41230, 898, 12, '檢查');
INSERT INTO `lang_definitions` VALUES (41231, 899, 12, '檢查');
INSERT INTO `lang_definitions` VALUES (41232, 900, 12, '檢查全部');
INSERT INTO `lang_definitions` VALUES (41233, 902, 12, '檢查量');
INSERT INTO `lang_definitions` VALUES (41234, 903, 12, '檢查日期');
INSERT INTO `lang_definitions` VALUES (41235, 904, 12, '用習慣語言表檢查翻譯的不同處');
INSERT INTO `lang_definitions` VALUES (41236, 906, 12, '簽入到');
INSERT INTO `lang_definitions` VALUES (41237, 907, 12, '檢查輸入資料');
INSERT INTO `lang_definitions` VALUES (41238, 909, 12, '檢查實驗室結果');
INSERT INTO `lang_definitions` VALUES (41239, 912, 12, '支票號碼');
INSERT INTO `lang_definitions` VALUES (41240, 915, 12, '檢查付款');
INSERT INTO `lang_definitions` VALUES (41241, 916, 12, '如果這是一個被加密的文件，檢查箱子');
INSERT INTO `lang_definitions` VALUES (41242, 917, 12, '如果你想在默認情況下，供應商看到所有預約而不只是他們自己的，檢查這個。');
INSERT INTO `lang_definitions` VALUES (41243, 919, 12, '檢查/EOB日期：');
INSERT INTO `lang_definitions` VALUES (41244, 920, 12, '檢查/EOB編號：');
INSERT INTO `lang_definitions` VALUES (41245, 921, 12, '檢查或參考數目');
INSERT INTO `lang_definitions` VALUES (41246, 922, 12, '檢查或參考數目');
INSERT INTO `lang_definitions` VALUES (41247, 923, 12, '複選框名單');
INSERT INTO `lang_definitions` VALUES (41248, 924, 12, '複選框名單');
INSERT INTO `lang_definitions` VALUES (41249, 925, 12, '複選框W /文字');
INSERT INTO `lang_definitions` VALUES (41250, 926, 12, '複選框W /文字');
INSERT INTO `lang_definitions` VALUES (41251, 928, 12, '檢查');
INSERT INTO `lang_definitions` VALUES (41252, 929, 12, '複選框=是，空的=沒有');
INSERT INTO `lang_definitions` VALUES (41253, 932, 12, '結算離開');
INSERT INTO `lang_definitions` VALUES (41254, 933, 12, '校驗');
INSERT INTO `lang_definitions` VALUES (41255, 934, 12, '胸部');
INSERT INTO `lang_definitions` VALUES (41256, 935, 12, '胸部鯨蠟基三甲基銨溴化物');
INSERT INTO `lang_definitions` VALUES (41257, 936, 12, '胸痛');
INSERT INTO `lang_definitions` VALUES (41258, 937, 12, '胸痛：');
INSERT INTO `lang_definitions` VALUES (41259, 938, 12, '胸痛');
INSERT INTO `lang_definitions` VALUES (41260, 940, 12, 'Chg');
INSERT INTO `lang_definitions` VALUES (41261, 942, 12, '主訴');
INSERT INTO `lang_definitions` VALUES (41262, 943, 12, '兒童');
INSERT INTO `lang_definitions` VALUES (41263, 945, 12, '兒童時期預防注射狀況(CQM)');
INSERT INTO `lang_definitions` VALUES (41264, 946, 12, '寒顫');
INSERT INTO `lang_definitions` VALUES (41265, 947, 12, '中文');
INSERT INTO `lang_definitions` VALUES (41266, 948, 12, '中文(簡體字)');
INSERT INTO `lang_definitions` VALUES (41267, 949, 12, '中文(繁體字)');
INSERT INTO `lang_definitions` VALUES (41268, 951, 12, '選擇');
INSERT INTO `lang_definitions` VALUES (41269, 952, 12, '膽囊摘除術');
INSERT INTO `lang_definitions` VALUES (41270, 954, 12, '膽囊摘除術');
INSERT INTO `lang_definitions` VALUES (41271, 955, 12, '選擇');
INSERT INTO `lang_definitions` VALUES (41272, 956, 12, '選擇一節並且點擊此節內的項目，然後在其他節你會看到相關的項目突出，您可以在那節中點擊來添加和刪除的關係。');
INSERT INTO `lang_definitions` VALUES (41273, 957, 12, '選擇標準');
INSERT INTO `lang_definitions` VALUES (41274, 962, 12, '選擇表單');
INSERT INTO `lang_definitions` VALUES (41275, 965, 12, '選擇這個遭遇報告的列印格式。');
INSERT INTO `lang_definitions` VALUES (41276, 967, 12, '慢性支氣管炎');
INSERT INTO `lang_definitions` VALUES (41277, 968, 12, '慢性關節痛');
INSERT INTO `lang_definitions` VALUES (41278, 969, 12, '慢性腎臟病(CKD)');
INSERT INTO `lang_definitions` VALUES (41279, 970, 12, '慢性滑膜炎/滲出液/關節痛/痛風');
INSERT INTO `lang_definitions` VALUES (41280, 971, 12, '慢性的/復發的');
INSERT INTO `lang_definitions` VALUES (41281, 973, 12, '肝硬化');
INSERT INTO `lang_definitions` VALUES (41282, 974, 12, '肝硬化');
INSERT INTO `lang_definitions` VALUES (41283, 975, 12, '城市');
INSERT INTO `lang_definitions` VALUES (41284, 976, 12, '城市名');
INSERT INTO `lang_definitions` VALUES (41285, 977, 12, '城市，州');
INSERT INTO `lang_definitions` VALUES (41286, 978, 12, '城市，州郵編');
INSERT INTO `lang_definitions` VALUES (41287, 979, 12, '城市/州');
INSERT INTO `lang_definitions` VALUES (41288, 980, 12, '要求 索賠 應用');
INSERT INTO `lang_definitions` VALUES (41289, 981, 12, '要求 索賠 應用 ');
INSERT INTO `lang_definitions` VALUES (41290, 983, 12, '索賠測試已完成運行');
INSERT INTO `lang_definitions` VALUES (41291, 986, 12, '索賠產生的文件 ');
INSERT INTO `lang_definitions` VALUES (41292, 988, 12, '分類');
INSERT INTO `lang_definitions` VALUES (41293, 989, 12, '清晰');
INSERT INTO `lang_definitions` VALUES (41294, 991, 12, '清除所有');
INSERT INTO `lang_definitions` VALUES (41295, 992, 12, '清除HL7的資料');
INSERT INTO `lang_definitions` VALUES (41296, 993, 12, '明確的理由');
INSERT INTO `lang_definitions` VALUES (41297, 994, 12, '清除Smarty的快取記憶體');
INSERT INTO `lang_definitions` VALUES (41298, 995, 12, 'EDI的270批次創建需要的交換所資訊。');
INSERT INTO `lang_definitions` VALUES (41299, 996, 12, 'CLIA 號碼');
INSERT INTO `lang_definitions` VALUES (41300, 997, 12, '點擊');
INSERT INTO `lang_definitions` VALUES (41301, 998, 12, '點擊“出口”以出口你的分類，子類別，項目，內容數據到一個文本文件。這個文件與XML文件任何的相似之處，純屬巧合。開始和結束標記必須在同一行上，他們必須是不帶空格的小寫。導入，瀏覽一個文件，並單擊“導入”。如果數據是完全不同的，它會與您現有的數據合併。如果有類似的項目名稱，舊的將被保存和新的一個會以一個添加到末尾的數字儲存。');
INSERT INTO `lang_definitions` VALUES (41302, 999, 12, '點擊圖形上的點，以增加一個新的註釋，再次點擊將其刪除');
INSERT INTO `lang_definitions` VALUES (41303, 1000, 12, '點擊下載證書，以下載在ssl.zip文件的憑證');
INSERT INTO `lang_definitions` VALUES (41304, 1001, 12, '更多的點擊');
INSERT INTO `lang_definitions` VALUES (41305, 1005, 12, '點擊這裡');
INSERT INTO `lang_definitions` VALUES (41306, 1006, 12, '點擊這裡來增加新病人');
INSERT INTO `lang_definitions` VALUES (41307, 1007, 12, '點擊這裡以增加新的傷害變動狀態和編輯每日活動');
INSERT INTO `lang_definitions` VALUES (41308, 1008, 12, '點擊這裡來選擇日期');
INSERT INTO `lang_definitions` VALUES (41309, 1009, 12, '點擊這裡來選擇日期和時間');
INSERT INTO `lang_definitions` VALUES (41310, 1010, 12, '點擊這裡來選擇開始日期');
INSERT INTO `lang_definitions` VALUES (41311, 1020, 12, '點擊這裡來搜尋');
INSERT INTO `lang_definitions` VALUES (41312, 1021, 12, '點擊這裡更新優先權、類別和暱稱設置');
INSERT INTO `lang_definitions` VALUES (41313, 1022, 12, '點擊這裡觀看全部');
INSERT INTO `lang_definitions` VALUES (41314, 1023, 12, '點擊這裡觀看和註標');
INSERT INTO `lang_definitions` VALUES (41315, 1025, 12, '點擊這裡觀看和註標所有命脈');
INSERT INTO `lang_definitions` VALUES (41316, 1026, 12, '點擊這裡觀看病人細節');
INSERT INTO `lang_definitions` VALUES (41317, 1027, 12, '點擊這裡觀看他們全部');
INSERT INTO `lang_definitions` VALUES (41318, 1029, 12, '點擊儲存按鈕以儲存從下列日期釋出的資料庫');
INSERT INTO `lang_definitions` VALUES (41319, 1030, 12, '點擊任何一個時間部份以增加它');
INSERT INTO `lang_definitions` VALUES (41320, 1032, 12, '點擊“刷新”查看所有結果，或請輸入上述的搜索條件來查看具體的成果。');
INSERT INTO `lang_definitions` VALUES (41321, 1034, 12, '點擊以增加新的組分');
INSERT INTO `lang_definitions` VALUES (41322, 1035, 12, '點擊以增加新的諮詢');
INSERT INTO `lang_definitions` VALUES (41323, 1037, 12, '點擊來下載');
INSERT INTO `lang_definitions` VALUES (41324, 1038, 12, '點擊來編輯');
INSERT INTO `lang_definitions` VALUES (41325, 1040, 12, '點擊來編輯這個事件');
INSERT INTO `lang_definitions` VALUES (41326, 1041, 12, '點擊來產生報告');
INSERT INTO `lang_definitions` VALUES (41327, 1043, 12, '點擊來列印');
INSERT INTO `lang_definitions` VALUES (41328, 1044, 12, '點擊以接受(增加)新的全部');
INSERT INTO `lang_definitions` VALUES (41329, 1045, 12, '點擊以選擇');
INSERT INTO `lang_definitions` VALUES (41330, 1046, 12, '點擊以選擇');
INSERT INTO `lang_definitions` VALUES (41331, 1047, 12, '為這個過程點擊以選擇一個工業標準的代碼');
INSERT INTO `lang_definitions` VALUES (41332, 1050, 12, '點擊以選擇或改變CVX代碼');
INSERT INTO `lang_definitions` VALUES (41333, 1051, 12, '點擊以選擇或改變診斷');
INSERT INTO `lang_definitions` VALUES (41334, 1052, 12, '點擊以選擇或改變服務代碼');
INSERT INTO `lang_definitions` VALUES (41335, 1053, 12, '點擊以選擇病人');
INSERT INTO `lang_definitions` VALUES (41336, 1054, 12, '點擊以選擇相關代碼');
INSERT INTO `lang_definitions` VALUES (41337, 1055, 12, '如果這個結果是不正常的，點擊以選擇服務以執行');
INSERT INTO `lang_definitions` VALUES (41338, 1056, 12, '點擊以選擇希望的步驟');
INSERT INTO `lang_definitions` VALUES (41339, 1058, 12, '點擊以流覽');
INSERT INTO `lang_definitions` VALUES (41340, 1059, 12, '點擊以流覽或編輯');
INSERT INTO `lang_definitions` VALUES (41341, 1060, 12, '點擊以流覽/編輯');
INSERT INTO `lang_definitions` VALUES (41342, 1061, 12, '點擊升級按鈕以升級從下列日期釋出的資料庫');
INSERT INTO `lang_definitions` VALUES (41343, 1063, 12, '點擊：');
INSERT INTO `lang_definitions` VALUES (41344, 1064, 12, '客戶證書失效日');
INSERT INTO `lang_definitions` VALUES (41345, 1065, 12, '客戶證書驗證期間');
INSERT INTO `lang_definitions` VALUES (41346, 1066, 12, '客户證書有效性應該是一個合法的數字');
INSERT INTO `lang_definitions` VALUES (41347, 1067, 12, '客戶副本');
INSERT INTO `lang_definitions` VALUES (41348, 1069, 12, '客戶醫療史摘要');
INSERT INTO `lang_definitions` VALUES (41349, 1072, 12, '客戶簡介-新客戶');
INSERT INTO `lang_definitions` VALUES (41350, 1073, 12, '客戶簡介-獨特的客戶');
INSERT INTO `lang_definitions` VALUES (41351, 1074, 12, '客戶');
INSERT INTO `lang_definitions` VALUES (41352, 1075, 12, '臨床學 診所');
INSERT INTO `lang_definitions` VALUES (41353, 1076, 12, '診所副本');
INSERT INTO `lang_definitions` VALUES (41354, 1077, 12, '診所日誌');
INSERT INTO `lang_definitions` VALUES (41355, 1078, 12, '診所證件');
INSERT INTO `lang_definitions` VALUES (41356, 1079, 12, '臨床的');
INSERT INTO `lang_definitions` VALUES (41357, 1080, 12, '臨床决定規則機敏的經理');
INSERT INTO `lang_definitions` VALUES (41358, 1083, 12, '臨床計劃');
INSERT INTO `lang_definitions` VALUES (41359, 1084, 12, '臨床品質測量(CQM)');
INSERT INTO `lang_definitions` VALUES (41360, 1087, 12, '臨床提示');
INSERT INTO `lang_definitions` VALUES (41361, 1088, 12, '臨床報告');
INSERT INTO `lang_definitions` VALUES (41362, 1089, 12, '臨床規則行動類別');
INSERT INTO `lang_definitions` VALUES (41363, 1090, 12, '臨床規則行動項目');
INSERT INTO `lang_definitions` VALUES (41364, 1091, 12, '臨床規則篩選方法');
INSERT INTO `lang_definitions` VALUES (41365, 1092, 12, '臨床規則目標方法');
INSERT INTO `lang_definitions` VALUES (41366, 1093, 12, '臨床規則');
INSERT INTO `lang_definitions` VALUES (41367, 1094, 12, '臨床規則年齡間隔時間');
INSERT INTO `lang_definitions` VALUES (41368, 1095, 12, '臨床規則比較');
INSERT INTO `lang_definitions` VALUES (41369, 1096, 12, '臨床規則遭遇類型');
INSERT INTO `lang_definitions` VALUES (41370, 1097, 12, '臨床規則提示會費選項');
INSERT INTO `lang_definitions` VALUES (41371, 1098, 12, '臨床規則提示鈍化作用選項');
INSERT INTO `lang_definitions` VALUES (41372, 1099, 12, '臨床規則提示間隔時間');
INSERT INTO `lang_definitions` VALUES (41373, 1100, 12, '臨床規則提示方法');
INSERT INTO `lang_definitions` VALUES (41374, 1101, 12, '臨床規則目標間隔時間');
INSERT INTO `lang_definitions` VALUES (41375, 1102, 12, '臨床目標');
INSERT INTO `lang_definitions` VALUES (41376, 1106, 12, '臨床工作者');
INSERT INTO `lang_definitions` VALUES (41377, 1107, 12, '同本生物 無性繁殖');
INSERT INTO `lang_definitions` VALUES (41378, 1108, 12, '複製過去的訪問');
INSERT INTO `lang_definitions` VALUES (41379, 1109, 12, '關閉');
INSERT INTO `lang_definitions` VALUES (41380, 1111, 12, '關窗');
INSERT INTO `lang_definitions` VALUES (41381, 1112, 12, '關閉');
INSERT INTO `lang_definitions` VALUES (41382, 1113, 12, '公分');
INSERT INTO `lang_definitions` VALUES (41383, 1114, 12, 'CMS 1500 Margins');
INSERT INTO `lang_definitions` VALUES (41384, 1118, 12, '可拉德心境評量表憑證');
INSERT INTO `lang_definitions` VALUES (41385, 1127, 12, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (41386, 1130, 12, '共付額');
INSERT INTO `lang_definitions` VALUES (41387, 1131, 12, '代碼');
INSERT INTO `lang_definitions` VALUES (41388, 1132, 12, '代碼');
INSERT INTO `lang_definitions` VALUES (41389, 1133, 12, '編碼發現者');
INSERT INTO `lang_definitions` VALUES (41390, 1134, 12, '代碼必須是兩個字母的小寫');
INSERT INTO `lang_definitions` VALUES (41391, 1135, 12, '表明貨幣的代碼或標誌');
INSERT INTO `lang_definitions` VALUES (41392, 1136, 12, '代碼文本');
INSERT INTO `lang_definitions` VALUES (41393, 1138, 12, '代碼類型');
INSERT INTO `lang_definitions` VALUES (41394, 1141, 12, '代碼類型');
INSERT INTO `lang_definitions` VALUES (41395, 1144, 12, '代碼');
INSERT INTO `lang_definitions` VALUES (41396, 1145, 12, '編碼');
INSERT INTO `lang_definitions` VALUES (41397, 1147, 12, '編碼 - 任何接觸（寫一些可選）');
INSERT INTO `lang_definitions` VALUES (41398, 1148, 12, '編碼 - 我的接觸（寫一些可選）');
INSERT INTO `lang_definitions` VALUES (41399, 1149, 12, '沒授權的編碼');
INSERT INTO `lang_definitions` VALUES (41400, 1150, 12, '咖啡');
INSERT INTO `lang_definitions` VALUES (41401, 1152, 12, '共同擔保');
INSERT INTO `lang_definitions` VALUES (41402, 1153, 12, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (41403, 1154, 12, '虛脫 崩潰');
INSERT INTO `lang_definitions` VALUES (41404, 1155, 12, '虛脫 崩潰');
INSERT INTO `lang_definitions` VALUES (41405, 1156, 12, '全部崩潰');
INSERT INTO `lang_definitions` VALUES (41406, 1157, 12, '全部崩潰');
INSERT INTO `lang_definitions` VALUES (41407, 1158, 12, '全部崩潰');
INSERT INTO `lang_definitions` VALUES (41408, 1161, 12, '收集');
INSERT INTO `lang_definitions` VALUES (41409, 1162, 12, '彙集報告');
INSERT INTO `lang_definitions` VALUES (41410, 1163, 12, '大腸癌');
INSERT INTO `lang_definitions` VALUES (41411, 1164, 12, '大腸癌篩檢');
INSERT INTO `lang_definitions` VALUES (41412, 1165, 12, '大腸癌手術');
INSERT INTO `lang_definitions` VALUES (41413, 1166, 12, '大腸鏡檢');
INSERT INTO `lang_definitions` VALUES (41414, 1167, 12, '大腸鏡檢');
INSERT INTO `lang_definitions` VALUES (41415, 1168, 12, '顏色');
INSERT INTO `lang_definitions` VALUES (41416, 1169, 12, '顏色：縮寫');
INSERT INTO `lang_definitions` VALUES (41417, 1170, 12, '欄 列');
INSERT INTO `lang_definitions` VALUES (41418, 1171, 12, '專欄');
INSERT INTO `lang_definitions` VALUES (41419, 1172, 12, '結合全部');
INSERT INTO `lang_definitions` VALUES (41420, 1173, 12, '逗號');
INSERT INTO `lang_definitions` VALUES (41421, 1174, 12, '評論');
INSERT INTO `lang_definitions` VALUES (41422, 1175, 12, '評論');
INSERT INTO `lang_definitions` VALUES (41423, 1176, 12, '這個結果或建議的評論');
INSERT INTO `lang_definitions` VALUES (41424, 1177, 12, '商業保險有限公司');
INSERT INTO `lang_definitions` VALUES (41425, 1178, 12, '承諾改變');
INSERT INTO `lang_definitions` VALUES (41426, 1180, 12, '溝通');
INSERT INTO `lang_definitions` VALUES (41427, 1182, 12, '公司');
INSERT INTO `lang_definitions` VALUES (41428, 1183, 12, '公司名稱');
INSERT INTO `lang_definitions` VALUES (41429, 1184, 12, '完全 全部');
INSERT INTO `lang_definitions` VALUES (41430, 1186, 12, '完全 全部');
INSERT INTO `lang_definitions` VALUES (41431, 1188, 12, '完全 全部?');
INSERT INTO `lang_definitions` VALUES (41432, 1190, 12, '服務提供商的合併症');
INSERT INTO `lang_definitions` VALUES (41433, 1191, 12, '流產合併症');
INSERT INTO `lang_definitions` VALUES (41434, 1192, 12, '組件');
INSERT INTO `lang_definitions` VALUES (41435, 1193, 12, '電腦輔助醫囑系統');
INSERT INTO `lang_definitions` VALUES (41436, 1194, 12, '結論');
INSERT INTO `lang_definitions` VALUES (41437, 1199, 12, '配置');
INSERT INTO `lang_definitions` VALUES (41438, 1200, 12, '配置出口或進口');
INSERT INTO `lang_definitions` VALUES (41439, 1202, 12, '配置Apache和LibreEHR以使用客戶端的SSL證書。');
INSERT INTO `lang_definitions` VALUES (41440, 1203, 12, '配置Apache以使用客戶端的SSL證書');
INSERT INTO `lang_definitions` VALUES (41441, 1204, 12, '配置Apache以使用HTTPS。');
INSERT INTO `lang_definitions` VALUES (41442, 1205, 12, '配置LIBREEHR以使用客戶端SSL證書');
INSERT INTO `lang_definitions` VALUES (41443, 1208, 12, '證實創造新的患者');
INSERT INTO `lang_definitions` VALUES (41444, 1209, 12, '證實新的密碼');
INSERT INTO `lang_definitions` VALUES (41445, 1210, 12, '證實付款');
INSERT INTO `lang_definitions` VALUES (41446, 1214, 12, '先天性');
INSERT INTO `lang_definitions` VALUES (41447, 1215, 12, '結膜，瞳孔');
INSERT INTO `lang_definitions` VALUES (41448, 1218, 12, '常數 常量');
INSERT INTO `lang_definitions` VALUES (41449, 1219, 12, '恆定的名字');
INSERT INTO `lang_definitions` VALUES (41450, 1220, 12, '恆定的名字是空白的');
INSERT INTO `lang_definitions` VALUES (41451, 1221, 12, '常數 常量');
INSERT INTO `lang_definitions` VALUES (41452, 1222, 12, '便秘');
INSERT INTO `lang_definitions` VALUES (41453, 1223, 12, '構成 合法');
INSERT INTO `lang_definitions` VALUES (41454, 1226, 12, '諮詢簡要說明');
INSERT INTO `lang_definitions` VALUES (41455, 1227, 12, '連絡接觸');
INSERT INTO `lang_definitions` VALUES (41456, 1228, 12, '往來電子郵件');
INSERT INTO `lang_definitions` VALUES (41457, 1229, 12, '聯繫人電子郵件地址');
INSERT INTO `lang_definitions` VALUES (41458, 1231, 12, '聯絡信息');
INSERT INTO `lang_definitions` VALUES (41459, 1232, 12, '隱形眼鏡');
INSERT INTO `lang_definitions` VALUES (41460, 1236, 12, '聯繫人姓名');
INSERT INTO `lang_definitions` VALUES (41461, 1237, 12, '聯繫人');
INSERT INTO `lang_definitions` VALUES (41462, 1239, 12, '聯繫的電話號碼');
INSERT INTO `lang_definitions` VALUES (41463, 1240, 12, '聯繫ZMG，LLC（zmghealth@gmail.com）為簽署ERX的服務');
INSERT INTO `lang_definitions` VALUES (41464, 1241, 12, '下列4項至少要包含3項');
INSERT INTO `lang_definitions` VALUES (41465, 1243, 12, '內容');
INSERT INTO `lang_definitions` VALUES (41466, 1244, 12, '內容');
INSERT INTO `lang_definitions` VALUES (41467, 1245, 12, '上下文 前後關係');
INSERT INTO `lang_definitions` VALUES (41468, 1246, 12, '上下文名稱不能是空的');
INSERT INTO `lang_definitions` VALUES (41469, 1247, 12, '繼續');
INSERT INTO `lang_definitions` VALUES (41470, 1248, 12, '連續性照顧文件(CCD)');
INSERT INTO `lang_definitions` VALUES (41471, 1249, 12, '連續性照顧紀錄(CCR)');
INSERT INTO `lang_definitions` VALUES (41472, 1250, 12, '針對客戶');
INSERT INTO `lang_definitions` VALUES (41473, 1251, 12, '避孕');
INSERT INTO `lang_definitions` VALUES (41474, 1252, 12, '避孕議題');
INSERT INTO `lang_definitions` VALUES (41475, 1253, 12, '避孕合併症(指定)');
INSERT INTO `lang_definitions` VALUES (41476, 1254, 12, '避孕方法');
INSERT INTO `lang_definitions` VALUES (41477, 1255, 12, '避孕的產品');
INSERT INTO `lang_definitions` VALUES (41478, 1256, 12, '避孕服務以前就開始了');
INSERT INTO `lang_definitions` VALUES (41479, 1257, 12, '避孕藥開始');
INSERT INTO `lang_definitions` VALUES (41480, 1258, 12, '控制身分');
INSERT INTO `lang_definitions` VALUES (41481, 1259, 12, '控制序號');
INSERT INTO `lang_definitions` VALUES (41482, 1262, 12, '共付額');
INSERT INTO `lang_definitions` VALUES (41483, 1263, 12, '共付額');
INSERT INTO `lang_definitions` VALUES (41484, 1264, 12, '共付額非主動');
INSERT INTO `lang_definitions` VALUES (41485, 1266, 12, '共付額');
INSERT INTO `lang_definitions` VALUES (41486, 1267, 12, '慢性阻塞性肺部疾病');
INSERT INTO `lang_definitions` VALUES (41487, 1268, 12, '複製網頁到病歷');
INSERT INTO `lang_definitions` VALUES (41488, 1269, 12, '複製價值');
INSERT INTO `lang_definitions` VALUES (41489, 1270, 12, '複製資料庫檔案。這會花些時間');
INSERT INTO `lang_definitions` VALUES (41490, 1271, 12, '版權須知');
INSERT INTO `lang_definitions` VALUES (41491, 1273, 12, '冠狀動脈分流');
INSERT INTO `lang_definitions` VALUES (41492, 1274, 12, '冠狀動脈分流移植');
INSERT INTO `lang_definitions` VALUES (41493, 1275, 12, '矯正');
INSERT INTO `lang_definitions` VALUES (41494, 1289, 12, '咳嗽');
INSERT INTO `lang_definitions` VALUES (41495, 1290, 12, '咳嗽：');
INSERT INTO `lang_definitions` VALUES (41496, 1294, 12, '無法讀取檔案');
INSERT INTO `lang_definitions` VALUES (41497, 1296, 12, '不能傳送電子郵件由於伺服器問題， ');
INSERT INTO `lang_definitions` VALUES (41498, 1298, 12, '不能創造備份子目錄：');
INSERT INTO `lang_definitions` VALUES (41499, 1299, 12, '不能移除子目錄:');
INSERT INTO `lang_definitions` VALUES (41500, 1300, 12, '不能移除舊的備份檔案：');
INSERT INTO `lang_definitions` VALUES (41501, 1301, 12, '不能移除舊的出口檔案：');
INSERT INTO `lang_definitions` VALUES (41502, 1302, 12, '香豆管理- INR監測');
INSERT INTO `lang_definitions` VALUES (41503, 1303, 12, 'Couns by Method');
INSERT INTO `lang_definitions` VALUES (41504, 1304, 12, '諮商');
INSERT INTO `lang_definitions` VALUES (41505, 1305, 12, '諮商活動');
INSERT INTO `lang_definitions` VALUES (41506, 1306, 12, '案子轉介表格');
INSERT INTO `lang_definitions` VALUES (41507, 1307, 12, '案子轉介');
INSERT INTO `lang_definitions` VALUES (41508, 1308, 12, '國家');
INSERT INTO `lang_definitions` VALUES (41509, 1309, 12, '國家資料類型');
INSERT INTO `lang_definitions` VALUES (41510, 1310, 12, '國家名單');
INSERT INTO `lang_definitions` VALUES (41511, 1311, 12, '國家名單(寫， 任意可選)');
INSERT INTO `lang_definitions` VALUES (41512, 1312, 12, '國名應該用2個字母代表(如:美國是US)');
INSERT INTO `lang_definitions` VALUES (41513, 1313, 12, '縣');
INSERT INTO `lang_definitions` VALUES (41514, 1315, 12, '優惠卷');
INSERT INTO `lang_definitions` VALUES (41515, 1318, 12, '胸腔物理治療');
INSERT INTO `lang_definitions` VALUES (41516, 1319, 12, '胸腔物理治療代碼');
INSERT INTO `lang_definitions` VALUES (41517, 1320, 12, '胸腔物理治療代碼');
INSERT INTO `lang_definitions` VALUES (41518, 1323, 12, 'CQM');
INSERT INTO `lang_definitions` VALUES (41519, 1324, 12, '爆裂聲：');
INSERT INTO `lang_definitions` VALUES (41520, 1325, 12, '奶油');
INSERT INTO `lang_definitions` VALUES (41521, 1326, 12, '為每個用戶或客戶機上創建一個客戶端SSL證書。');
INSERT INTO `lang_definitions` VALUES (41522, 1327, 12, '創建一個客戶端SSL證書用戶或客戶端主機名。');
INSERT INTO `lang_definitions` VALUES (41523, 1329, 12, '創造一個事件');
INSERT INTO `lang_definitions` VALUES (41524, 1330, 12, '創造並且下載一個完全備份');
INSERT INTO `lang_definitions` VALUES (41525, 1332, 12, '創造備份');
INSERT INTO `lang_definitions` VALUES (41526, 1333, 12, '創建批量');
INSERT INTO `lang_definitions` VALUES (41527, 1334, 12, '創造客户端憑證');
INSERT INTO `lang_definitions` VALUES (41528, 1335, 12, '創建客戶端SSL證書');
INSERT INTO `lang_definitions` VALUES (41529, 1336, 12, '創造複製品');
INSERT INTO `lang_definitions` VALUES (41530, 1338, 12, '創造事件日誌備份');
INSERT INTO `lang_definitions` VALUES (41531, 1339, 12, '創造新的議題');
INSERT INTO `lang_definitions` VALUES (41532, 1340, 12, '創造新的患者');
INSERT INTO `lang_definitions` VALUES (41533, 1342, 12, '建立異地門戶證書');
INSERT INTO `lang_definitions` VALUES (41534, 1343, 12, '建立就地門戶證書');
INSERT INTO `lang_definitions` VALUES (41535, 1344, 12, '創建患者附註');
INSERT INTO `lang_definitions` VALUES (41536, 1345, 12, '創建SSL憑證授權單位的及伺服器證書。');
INSERT INTO `lang_definitions` VALUES (41537, 1346, 12, '創建訪問');
INSERT INTO `lang_definitions` VALUES (41538, 1347, 12, '創造');
INSERT INTO `lang_definitions` VALUES (41539, 1348, 12, '創造出口文件');
INSERT INTO `lang_definitions` VALUES (41540, 1351, 12, '創作者');
INSERT INTO `lang_definitions` VALUES (41541, 1352, 12, '信用');
INSERT INTO `lang_definitions` VALUES (41542, 1353, 12, '信用卡');
INSERT INTO `lang_definitions` VALUES (41543, 1354, 12, '信用');
INSERT INTO `lang_definitions` VALUES (41544, 1356, 12, '標準');
INSERT INTO `lang_definitions` VALUES (41545, 1358, 12, '克隆氏疾病 局部性迴腸炎');
INSERT INTO `lang_definitions` VALUES (41546, 1359, 12, '克隆氏疾病 局部性迴腸炎');
INSERT INTO `lang_definitions` VALUES (41547, 1360, 12, 'CSV Export');
INSERT INTO `lang_definitions` VALUES (41548, 1361, 12, 'CSV 檔案');
INSERT INTO `lang_definitions` VALUES (41549, 1363, 12, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (41550, 1364, 12, '古巴人');
INSERT INTO `lang_definitions` VALUES (41551, 1365, 12, '貨幣的小數位');
INSERT INTO `lang_definitions` VALUES (41552, 1366, 12, '貨幣的小數點符號');
INSERT INTO `lang_definitions` VALUES (41553, 1367, 12, '貨幣的標誌符');
INSERT INTO `lang_definitions` VALUES (41554, 1368, 12, '貨幣的千位分隔符');
INSERT INTO `lang_definitions` VALUES (41555, 1369, 12, '當前');
INSERT INTO `lang_definitions` VALUES (41556, 1370, 12, '目前酒精');
INSERT INTO `lang_definitions` VALUES (41557, 1371, 12, '目前諮詢');
INSERT INTO `lang_definitions` VALUES (41558, 1372, 12, '當前標準');
INSERT INTO `lang_definitions` VALUES (41559, 1373, 12, '目前每天標明顏色');
INSERT INTO `lang_definitions` VALUES (41560, 1374, 12, '目前每天的吸煙者');
INSERT INTO `lang_definitions` VALUES (41561, 1375, 12, '目前檔案更名為');
INSERT INTO `lang_definitions` VALUES (41562, 1376, 12, '當前哈希');
INSERT INTO `lang_definitions` VALUES (41563, 1377, 12, '當前位置');
INSERT INTO `lang_definitions` VALUES (41564, 1378, 12, '目前的藥物');
INSERT INTO `lang_definitions` VALUES (41565, 1379, 12, '目前的密碼');
INSERT INTO `lang_definitions` VALUES (41566, 1380, 12, '目前患者');
INSERT INTO `lang_definitions` VALUES (41567, 1382, 12, '目前的娛樂性藥物');
INSERT INTO `lang_definitions` VALUES (41568, 1383, 12, '目前某些每天吸煙者');
INSERT INTO `lang_definitions` VALUES (41569, 1386, 12, '當前活動');
INSERT INTO `lang_definitions` VALUES (41570, 1388, 12, '目前沒有任何設施。');
INSERT INTO `lang_definitions` VALUES (41571, 1389, 12, '庫欣症候群');
INSERT INTO `lang_definitions` VALUES (41572, 1390, 12, '庫欣症候群');
INSERT INTO `lang_definitions` VALUES (41573, 1392, 12, '風俗');
INSERT INTO `lang_definitions` VALUES (41574, 1393, 12, '自定義的輸入？');
INSERT INTO `lang_definitions` VALUES (41575, 1394, 12, '自定義表');
INSERT INTO `lang_definitions` VALUES (41576, 1396, 12, 'CVX代碼');
INSERT INTO `lang_definitions` VALUES (41577, 1397, 12, 'CVX代碼繪圖');
INSERT INTO `lang_definitions` VALUES (41578, 1399, 12, '週期');
INSERT INTO `lang_definitions` VALUES (41579, 1400, 12, '色素');
INSERT INTO `lang_definitions` VALUES (41580, 1401, 12, '色素因素');
INSERT INTO `lang_definitions` VALUES (41581, 1402, 12, '色素報告');
INSERT INTO `lang_definitions` VALUES (41582, 1405, 12, '子宮頸擴張與子宮內膜刮除術');
INSERT INTO `lang_definitions` VALUES (41583, 1406, 12, '擴張與排除');
INSERT INTO `lang_definitions` VALUES (41584, 1407, 12, '出生日期');
INSERT INTO `lang_definitions` VALUES (41585, 1408, 12, '每天');
INSERT INTO `lang_definitions` VALUES (41586, 1409, 12, '每日紀錄');
INSERT INTO `lang_definitions` VALUES (41587, 1410, 12, '丹麥語');
INSERT INTO `lang_definitions` VALUES (41588, 1411, 12, '一樣的數據是已經在數據庫中，請更改代碼和/或描述');
INSERT INTO `lang_definitions` VALUES (41589, 1412, 12, '一樣的數據是已經在數據庫中，請更改常數名稱');
INSERT INTO `lang_definitions` VALUES (41590, 1413, 12, '資料列');
INSERT INTO `lang_definitions` VALUES (41591, 1420, 12, '資料形式');
INSERT INTO `lang_definitions` VALUES (41592, 1421, 12, '資料庫');
INSERT INTO `lang_definitions` VALUES (41593, 1422, 12, '資料庫沒有儲存');
INSERT INTO `lang_definitions` VALUES (41594, 1424, 12, '資料庫報告');
INSERT INTO `lang_definitions` VALUES (41595, 1425, 12, '資料庫升級完成了');
INSERT INTO `lang_definitions` VALUES (41596, 1426, 12, '資料列必須是從1到999之間的數字');
INSERT INTO `lang_definitions` VALUES (41597, 1427, 12, '日期');
INSERT INTO `lang_definitions` VALUES (41598, 1428, 12, '日期');
INSERT INTO `lang_definitions` VALUES (41599, 1431, 12, '入院日期');
INSERT INTO `lang_definitions` VALUES (41600, 1432, 12, '樣本收集的日期與時間');
INSERT INTO `lang_definitions` VALUES (41601, 1435, 12, '樣本被收集的日期與時間');
INSERT INTO `lang_definitions` VALUES (41602, 1436, 12, '日期不能大於今天');
INSERT INTO `lang_definitions` VALUES (41603, 1437, 12, '最初提供的避孕服務日期');
INSERT INTO `lang_definitions` VALUES (41604, 1438, 12, '被創造的日期');
INSERT INTO `lang_definitions` VALUES (41605, 1439, 12, '死亡的日期');
INSERT INTO `lang_definitions` VALUES (41606, 1440, 12, '被毀壞的日期');
INSERT INTO `lang_definitions` VALUES (41607, 1441, 12, '日期顯示格式');
INSERT INTO `lang_definitions` VALUES (41608, 1442, 12, '“預約結束”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (41609, 1443, 12, '“預約開始”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (41610, 1444, 12, '“下次預約”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (41611, 1445, 12, '“沒有看到自從”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (41612, 1446, 12, '“看到自從”的日期格式無效');
INSERT INTO `lang_definitions` VALUES (41613, 1447, 12, '日期免疫資訊報表給定');
INSERT INTO `lang_definitions` VALUES (41614, 1448, 12, '提供給代碼的日期遺失了 ');
INSERT INTO `lang_definitions` VALUES (41615, 1449, 12, '日期主要標準');
INSERT INTO `lang_definitions` VALUES (41616, 1450, 12, '銀行存款日期年年年年/月月/日日');
INSERT INTO `lang_definitions` VALUES (41617, 1452, 12, '生日');
INSERT INTO `lang_definitions` VALUES (41618, 1453, 12, '生日');
INSERT INTO `lang_definitions` VALUES (41619, 1454, 12, '生日');
INSERT INTO `lang_definitions` VALUES (41620, 1456, 12, '受傷日期');
INSERT INTO `lang_definitions` VALUES (41621, 1458, 12, '付款日期年年年年/月月/日日');
INSERT INTO `lang_definitions` VALUES (41622, 1459, 12, '推舉日期');
INSERT INTO `lang_definitions` VALUES (41623, 1460, 12, '回復日期');
INSERT INTO `lang_definitions` VALUES (41624, 1463, 12, '服務日期');
INSERT INTO `lang_definitions` VALUES (41625, 1464, 12, '服務日期是今天');
INSERT INTO `lang_definitions` VALUES (41626, 1465, 12, '服務日期月月/日日/年年年年');
INSERT INTO `lang_definitions` VALUES (41627, 1466, 12, '服務日期：');
INSERT INTO `lang_definitions` VALUES (41628, 1467, 12, '簽名日期');
INSERT INTO `lang_definitions` VALUES (41629, 1469, 12, '這個醫囑的日期');
INSERT INTO `lang_definitions` VALUES (41630, 1470, 12, '這個報告的日期');
INSERT INTO `lang_definitions` VALUES (41631, 1471, 12, '可見聲明的日期');
INSERT INTO `lang_definitions` VALUES (41632, 1472, 12, '訂購的日期');
INSERT INTO `lang_definitions` VALUES (41633, 1475, 12, '日期選擇器');
INSERT INTO `lang_definitions` VALUES (41634, 1476, 12, '發送的日期');
INSERT INTO `lang_definitions` VALUES (41635, 1479, 12, '日期價值不可能是空白的。');
INSERT INTO `lang_definitions` VALUES (41636, 1480, 12, '可見聲明日期');
INSERT INTO `lang_definitions` VALUES (41637, 1481, 12, '日期或附註');
INSERT INTO `lang_definitions` VALUES (41638, 1482, 12, '日期或最後的附註');
INSERT INTO `lang_definitions` VALUES (41639, 1483, 12, '日期或時間');
INSERT INTO `lang_definitions` VALUES (41640, 1484, 12, '日期：');
INSERT INTO `lang_definitions` VALUES (41641, 1486, 12, '天');
INSERT INTO `lang_definitions` VALUES (41642, 1487, 12, '天');
INSERT INTO `lang_definitions` VALUES (41643, 1489, 12, '日視圖');
INSERT INTO `lang_definitions` VALUES (41644, 1490, 12, '幾天');
INSERT INTO `lang_definitions` VALUES (41645, 1491, 12, '天（S）M - F');
INSERT INTO `lang_definitions` VALUES (41646, 1492, 12, '幾天');
INSERT INTO `lang_definitions` VALUES (41647, 1493, 12, '幾天');
INSERT INTO `lang_definitions` VALUES (41648, 1494, 12, '幾天以前');
INSERT INTO `lang_definitions` VALUES (41649, 1495, 12, '錯過的幾天和比賽');
INSERT INTO `lang_definitions` VALUES (41650, 1496, 12, '最後遭遇天');
INSERT INTO `lang_definitions` VALUES (41651, 1497, 12, '錯過的幾天');
INSERT INTO `lang_definitions` VALUES (41652, 1498, 12, '幾天每個專欄：');
INSERT INTO `lang_definitions` VALUES (41653, 1500, 12, '幾天或關口：');
INSERT INTO `lang_definitions` VALUES (41654, 1501, 12, '安裝的資料庫');
INSERT INTO `lang_definitions` VALUES (41655, 1502, 12, '日日/月月/年年年年');
INSERT INTO `lang_definitions` VALUES (41656, 1503, 12, '去辨識');
INSERT INTO `lang_definitions` VALUES (41657, 1504, 12, '去識別過程完成');
INSERT INTO `lang_definitions` VALUES (41658, 1505, 12, '去識別過程正在進行');
INSERT INTO `lang_definitions` VALUES (41659, 1506, 12, '去識別過程啟動並在後台運行');
INSERT INTO `lang_definitions` VALUES (41660, 1507, 12, '去識別的數據可能無法完成');
INSERT INTO `lang_definitions` VALUES (41661, 1508, 12, '去識別文件將儲存在');
INSERT INTO `lang_definitions` VALUES (41662, 1511, 12, '聾');
INSERT INTO `lang_definitions` VALUES (41663, 1512, 12, '調試信息');
INSERT INTO `lang_definitions` VALUES (41664, 1515, 12, '十二月');
INSERT INTO `lang_definitions` VALUES (41665, 1516, 12, '死者 已故');
INSERT INTO `lang_definitions` VALUES (41666, 1517, 12, '十二月');
INSERT INTO `lang_definitions` VALUES (41667, 1520, 12, '扣稅');
INSERT INTO `lang_definitions` VALUES (41668, 1521, 12, '可扣除會面');
INSERT INTO `lang_definitions` VALUES (41669, 1522, 12, '預設 默認');
INSERT INTO `lang_definitions` VALUES (41670, 1523, 12, '預設日曆視圖');
INSERT INTO `lang_definitions` VALUES (41671, 1524, 12, '預設遭遇表格');
INSERT INTO `lang_definitions` VALUES (41672, 1526, 12, '預設設備');
INSERT INTO `lang_definitions` VALUES (41673, 1527, 12, '預設語言');
INSERT INTO `lang_definitions` VALUES (41674, 1528, 12, '預設語言，如果沒有其他的允許或選擇。');
INSERT INTO `lang_definitions` VALUES (41675, 1529, 12, '預設列表（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (41676, 1530, 12, '預設方法');
INSERT INTO `lang_definitions` VALUES (41677, 1531, 12, '預設密碼到期日');
INSERT INTO `lang_definitions` VALUES (41678, 1532, 12, '預設密碼在幾天的有效期間。 0表示禁用此功能。');
INSERT INTO `lang_definitions` VALUES (41679, 1536, 12, '預設提供者');
INSERT INTO `lang_definitions` VALUES (41680, 1537, 12, '預設範圍');
INSERT INTO `lang_definitions` VALUES (41681, 1538, 12, '預設訪問的原因');
INSERT INTO `lang_definitions` VALUES (41682, 1540, 12, '預設設定');
INSERT INTO `lang_definitions` VALUES (41683, 1542, 12, '預設範本');
INSERT INTO `lang_definitions` VALUES (41684, 1546, 12, '預設單位');
INSERT INTO `lang_definitions` VALUES (41685, 1547, 12, '預設值');
INSERT INTO `lang_definitions` VALUES (41686, 1548, 12, '預設倉庫');
INSERT INTO `lang_definitions` VALUES (41687, 1549, 12, '默認的值X12的合作夥伴');
INSERT INTO `lang_definitions` VALUES (41688, 1550, 12, '默認/全球');
INSERT INTO `lang_definitions` VALUES (41689, 1551, 12, 'DEL鍵');
INSERT INTO `lang_definitions` VALUES (41690, 1552, 12, 'DEL鍵');
INSERT INTO `lang_definitions` VALUES (41691, 1553, 12, '延遲復發(超過12個月)');
INSERT INTO `lang_definitions` VALUES (41692, 1554, 12, '刪除');
INSERT INTO `lang_definitions` VALUES (41693, 1555, 12, '刪除');
INSERT INTO `lang_definitions` VALUES (41694, 1556, 12, '用身分證刪除類別 ');
INSERT INTO `lang_definitions` VALUES (41695, 1557, 12, '刪除類別');
INSERT INTO `lang_definitions` VALUES (41696, 1560, 12, '刪除群組');
INSERT INTO `lang_definitions` VALUES (41697, 1561, 12, '刪除表單');
INSERT INTO `lang_definitions` VALUES (41698, 1562, 12, '刪除頁數');
INSERT INTO `lang_definitions` VALUES (41699, 1563, 12, '刪除患者、遭遇、形式、問題、文件、付款、布告或者交易');
INSERT INTO `lang_definitions` VALUES (41700, 1565, 12, '刪除行');
INSERT INTO `lang_definitions` VALUES (41701, 1566, 12, '刪除選擇的項目');
INSERT INTO `lang_definitions` VALUES (41702, 1568, 12, '成功的刪除');
INSERT INTO `lang_definitions` VALUES (41703, 1569, 12, '刪除此文件');
INSERT INTO `lang_definitions` VALUES (41704, 1570, 12, '刪除這個形式');
INSERT INTO `lang_definitions` VALUES (41705, 1571, 12, '刪除這個筆記');
INSERT INTO `lang_definitions` VALUES (41706, 1573, 12, '成功的刪除');
INSERT INTO `lang_definitions` VALUES (41707, 1581, 12, '老年癡呆');
INSERT INTO `lang_definitions` VALUES (41708, 1582, 12, '人口統計學');
INSERT INTO `lang_definitions` VALUES (41709, 1583, 12, '人口統計學（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (41710, 1585, 12, '人口統計學篩選標準');
INSERT INTO `lang_definitions` VALUES (41711, 1586, 12, '沒授權的人口統計學');
INSERT INTO `lang_definitions` VALUES (41712, 1587, 12, '沒授權的人口統計學。');
INSERT INTO `lang_definitions` VALUES (41713, 1589, 12, '分母');
INSERT INTO `lang_definitions` VALUES (41714, 1590, 12, '牙齒的');
INSERT INTO `lang_definitions` VALUES (41715, 1592, 12, '牙齒問題');
INSERT INTO `lang_definitions` VALUES (41716, 1595, 12, '根據您正在測試的帳單類型，你將會看到HCFA像在為HCFA帳單空白頁的輸出，你會看到許多行有點亂碼的文字和信息，如果你正在測試一個X12索賠。這亂碼的文字是X12的EDI4010A格式。偶爾你會看到奇怪的字符，看起來像多米諾骨牌或squiglies，這些都是控制字符，如頁面提要，都是正常的。');
INSERT INTO `lang_definitions` VALUES (41717, 1596, 12, '存款日期');
INSERT INTO `lang_definitions` VALUES (41718, 1597, 12, '存款日期不能大於今天');
INSERT INTO `lang_definitions` VALUES (41719, 1598, 12, '存款日期：');
INSERT INTO `lang_definitions` VALUES (41720, 1599, 12, '抑鬱的');
INSERT INTO `lang_definitions` VALUES (41721, 1600, 12, '抑鬱');
INSERT INTO `lang_definitions` VALUES (41722, 1602, 12, '描述');
INSERT INTO `lang_definitions` VALUES (41723, 1603, 12, '描述');
INSERT INTO `lang_definitions` VALUES (41724, 1605, 12, '透露的描述');
INSERT INTO `lang_definitions` VALUES (41725, 1606, 12, '這個過程或結果編碼的描述');
INSERT INTO `lang_definitions` VALUES (41726, 1607, 12, '描述翻譯');
INSERT INTO `lang_definitions` VALUES (41727, 1609, 12, '目的地');
INSERT INTO `lang_definitions` VALUES (41728, 1610, 12, '目的地文件名');
INSERT INTO `lang_definitions` VALUES (41729, 1611, 12, '毀壞全部');
INSERT INTO `lang_definitions` VALUES (41730, 1612, 12, '毀壞…');
INSERT INTO `lang_definitions` VALUES (41731, 1613, 12, '毀壞的');
INSERT INTO `lang_definitions` VALUES (41732, 1614, 12, '被毀壞的藥物');
INSERT INTO `lang_definitions` VALUES (41733, 1615, 12, '被毀壞的藥物報告');
INSERT INTO `lang_definitions` VALUES (41734, 1616, 12, '詳情');
INSERT INTO `lang_definitions` VALUES (41735, 1617, 12, '詳情');
INSERT INTO `lang_definitions` VALUES (41736, 1619, 12, '發展上的異常');
INSERT INTO `lang_definitions` VALUES (41737, 1620, 12, '糖尿病');
INSERT INTO `lang_definitions` VALUES (41738, 1621, 12, '糖尿病');
INSERT INTO `lang_definitions` VALUES (41739, 1622, 12, '糖尿病：血壓處理(CQM)');
INSERT INTO `lang_definitions` VALUES (41740, 1623, 12, '糖尿病：眼睛檢查');
INSERT INTO `lang_definitions` VALUES (41741, 1624, 12, '糖尿病：眼睛檢查(CQM)');
INSERT INTO `lang_definitions` VALUES (41742, 1625, 12, '糖尿病：腳的檢查');
INSERT INTO `lang_definitions` VALUES (41743, 1626, 12, '糖尿病：腳的檢查(CQM)');
INSERT INTO `lang_definitions` VALUES (41744, 1627, 12, '糖尿病：醣化血色素控制不良(CQM)');
INSERT INTO `lang_definitions` VALUES (41745, 1628, 12, '糖尿病：糖化血紅蛋白');
INSERT INTO `lang_definitions` VALUES (41746, 1629, 12, '糖尿病：低密度脂蛋白處理與控制');
INSERT INTO `lang_definitions` VALUES (41747, 1630, 12, '糖尿病：尿中微小白蛋白');
INSERT INTO `lang_definitions` VALUES (41748, 1631, 12, '診斷');
INSERT INTO `lang_definitions` VALUES (41749, 1633, 12, '診斷');
INSERT INTO `lang_definitions` VALUES (41750, 1634, 12, '診斷代碼');
INSERT INTO `lang_definitions` VALUES (41751, 1636, 12, '診斷日期');
INSERT INTO `lang_definitions` VALUES (41752, 1637, 12, '診斷必須編碼置入一個連結的遭遇');
INSERT INTO `lang_definitions` VALUES (41753, 1638, 12, '診斷名稱');
INSERT INTO `lang_definitions` VALUES (41754, 1639, 12, '診斷報告');
INSERT INTO `lang_definitions` VALUES (41755, 1642, 12, '診斷標題');
INSERT INTO `lang_definitions` VALUES (41756, 1643, 12, '診斷：');
INSERT INTO `lang_definitions` VALUES (41757, 1644, 12, '診斷： ');
INSERT INTO `lang_definitions` VALUES (41758, 1645, 12, '診斷試驗：');
INSERT INTO `lang_definitions` VALUES (41759, 1646, 12, '撥號');
INSERT INTO `lang_definitions` VALUES (41760, 1647, 12, '膜片或蓋帽');
INSERT INTO `lang_definitions` VALUES (41761, 1648, 12, '腹瀉');
INSERT INTO `lang_definitions` VALUES (41762, 1650, 12, '口述');
INSERT INTO `lang_definitions` VALUES (41763, 1651, 12, '口述： ');
INSERT INTO `lang_definitions` VALUES (41764, 1652, 12, '您是否接到了HIPAA通知的影本？');
INSERT INTO `lang_definitions` VALUES (41765, 1653, 12, '擴散：');
INSERT INTO `lang_definitions` VALUES (41766, 1654, 12, '數字的簽署');
INSERT INTO `lang_definitions` VALUES (41767, 1657, 12, '直接的郵件');
INSERT INTO `lang_definitions` VALUES (41768, 1663, 12, '主任的名字');
INSERT INTO `lang_definitions` VALUES (41769, 1665, 12, '殘疾');
INSERT INTO `lang_definitions` VALUES (41770, 1667, 12, '功能失效的日曆');
INSERT INTO `lang_definitions` VALUES (41771, 1668, 12, '功能失效的病歷追蹤儀');
INSERT INTO `lang_definitions` VALUES (41772, 1669, 12, '功能失效的免疫作用');
INSERT INTO `lang_definitions` VALUES (41773, 1670, 12, '停用舊的生命徵象格式表');
INSERT INTO `lang_definitions` VALUES (41774, 1672, 12, '禁用的phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (41775, 1673, 12, '禁用處方');
INSERT INTO `lang_definitions` VALUES (41776, 1674, 12, '禁止使用者群組');
INSERT INTO `lang_definitions` VALUES (41777, 1675, 12, '禁止 停用');
INSERT INTO `lang_definitions` VALUES (41778, 1676, 12, '禁止 停用');
INSERT INTO `lang_definitions` VALUES (41779, 1678, 12, '唱片');
INSERT INTO `lang_definitions` VALUES (41780, 1681, 12, '分泌物 出院');
INSERT INTO `lang_definitions` VALUES (41781, 1682, 12, '尿道分泌物');
INSERT INTO `lang_definitions` VALUES (41782, 1684, 12, '右側分泌物');
INSERT INTO `lang_definitions` VALUES (41783, 1685, 12, '右側分泌物：');
INSERT INTO `lang_definitions` VALUES (41784, 1689, 12, '公開信息');
INSERT INTO `lang_definitions` VALUES (41785, 1690, 12, '公開形式');
INSERT INTO `lang_definitions` VALUES (41786, 1691, 12, '公開形式');
INSERT INTO `lang_definitions` VALUES (41787, 1692, 12, '披露');
INSERT INTO `lang_definitions` VALUES (41788, 1694, 12, '折扣');
INSERT INTO `lang_definitions` VALUES (41789, 1695, 12, '折扣量');
INSERT INTO `lang_definitions` VALUES (41790, 1696, 12, '折扣程度');
INSERT INTO `lang_definitions` VALUES (41791, 1697, 12, '折扣百分比');
INSERT INTO `lang_definitions` VALUES (41792, 1698, 12, '貨幣金額的折扣');
INSERT INTO `lang_definitions` VALUES (41793, 1699, 12, '在結賬時輸入折扣作為貨幣金額，而不是百分比。');
INSERT INTO `lang_definitions` VALUES (41794, 1700, 12, '離散的結果');
INSERT INTO `lang_definitions` VALUES (41795, 1701, 12, '疾病');
INSERT INTO `lang_definitions` VALUES (41796, 1702, 12, '脫臼 錯位');
INSERT INTO `lang_definitions` VALUES (41797, 1703, 12, 'DISP＃');
INSERT INTO `lang_definitions` VALUES (41798, 1704, 12, '派遣');
INSERT INTO `lang_definitions` VALUES (41799, 1705, 12, '分派接收到的文件');
INSERT INTO `lang_definitions` VALUES (41800, 1706, 12, '免除');
INSERT INTO `lang_definitions` VALUES (41801, 1707, 12, '在人口統計頁顯示的預先指示');
INSERT INTO `lang_definitions` VALUES (41802, 1709, 12, '在區塊顯示事件的日期嗎？');
INSERT INTO `lang_definitions` VALUES (41803, 1711, 12, '顯示多少事件');
INSERT INTO `lang_definitions` VALUES (41804, 1713, 12, '顯示區塊的位置嗎？');
INSERT INTO `lang_definitions` VALUES (41805, 1714, 12, '顯示姓名');
INSERT INTO `lang_definitions` VALUES (41806, 1715, 12, '顯示日曆嗎？');
INSERT INTO `lang_definitions` VALUES (41807, 1718, 12, '在區塊顯示今天的事件嗎？');
INSERT INTO `lang_definitions` VALUES (41808, 1719, 12, '在區塊顯示主題嗎？');
INSERT INTO `lang_definitions` VALUES (41809, 1720, 12, '在區塊顯示即將到來的活動嗎？');
INSERT INTO `lang_definitions` VALUES (41810, 1721, 12, '顯示的列');
INSERT INTO `lang_definitions` VALUES (41811, 1722, 12, '顯示最近期披露的數目如下：');
INSERT INTO `lang_definitions` VALUES (41812, 1723, 12, '顯示最近期筆記的下列號碼');
INSERT INTO `lang_definitions` VALUES (41813, 1724, 12, '顯示最近期筆記的下列號碼：');
INSERT INTO `lang_definitions` VALUES (41814, 1725, 12, '分布');
INSERT INTO `lang_definitions` VALUES (41815, 1726, 12, '分布');
INSERT INTO `lang_definitions` VALUES (41816, 1727, 12, '經銷商');
INSERT INTO `lang_definitions` VALUES (41817, 1729, 12, '憩室炎');
INSERT INTO `lang_definitions` VALUES (41818, 1730, 12, '憩室炎手術');
INSERT INTO `lang_definitions` VALUES (41819, 1731, 12, '憩室炎');
INSERT INTO `lang_definitions` VALUES (41820, 1732, 12, '憩室炎手術');
INSERT INTO `lang_definitions` VALUES (41821, 1733, 12, '離婚');
INSERT INTO `lang_definitions` VALUES (41822, 1734, 12, '暈眩：');
INSERT INTO `lang_definitions` VALUES (41823, 1735, 12, '不要改變');
INSERT INTO `lang_definitions` VALUES (41824, 1742, 12, '不要顯示日曆。');
INSERT INTO `lang_definitions` VALUES (41825, 1744, 12, '不要庫存和銷售任何產品');
INSERT INTO `lang_definitions` VALUES (41826, 1745, 12, '不需要病人筆記被授權');
INSERT INTO `lang_definitions` VALUES (41827, 1746, 12, '不需要復甦術醫囑');
INSERT INTO `lang_definitions` VALUES (41828, 1747, 12, '不要儲存');
INSERT INTO `lang_definitions` VALUES (41829, 1748, 12, '不能取代');
INSERT INTO `lang_definitions` VALUES (41830, 1749, 12, '什麼都不做');
INSERT INTO `lang_definitions` VALUES (41831, 1751, 12, '你真的要刪除');
INSERT INTO `lang_definitions` VALUES (41832, 1752, 12, '妳真的要刪除所選的嗎？');
INSERT INTO `lang_definitions` VALUES (41833, 1753, 12, '妳真的要刪除此群組');
INSERT INTO `lang_definitions` VALUES (41834, 1755, 12, '妳想要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (41835, 1756, 12, '妳想要刪除這個嗎？');
INSERT INTO `lang_definitions` VALUES (41836, 1757, 12, '妳想要刪除嗎');
INSERT INTO `lang_definitions` VALUES (41837, 1758, 12, '妳想要移除這個紀錄嗎');
INSERT INTO `lang_definitions` VALUES (41838, 1759, 12, '妳希望繼續加這個新病人嗎');
INSERT INTO `lang_definitions` VALUES (41839, 1760, 12, '你想繼續用新的名稱嗎？');
INSERT INTO `lang_definitions` VALUES (41840, 1761, 12, '你想永久刪除這個免疫記錄嗎？');
INSERT INTO `lang_definitions` VALUES (41841, 1762, 12, '出生日期');
INSERT INTO `lang_definitions` VALUES (41842, 1763, 12, '出生日期不見了， 如果可能請輸入');
INSERT INTO `lang_definitions` VALUES (41843, 1764, 12, '文件');
INSERT INTO `lang_definitions` VALUES (41844, 1765, 12, '醫師');
INSERT INTO `lang_definitions` VALUES (41845, 1766, 12, '醫師：');
INSERT INTO `lang_definitions` VALUES (41846, 1767, 12, '醫師的姓名與簽名');
INSERT INTO `lang_definitions` VALUES (41847, 1768, 12, '文件');
INSERT INTO `lang_definitions` VALUES (41848, 1769, 12, '文件');
INSERT INTO `lang_definitions` VALUES (41849, 1770, 12, '文件類別');
INSERT INTO `lang_definitions` VALUES (41850, 1775, 12, '文件無法移到病人的身分證明');
INSERT INTO `lang_definitions` VALUES (41851, 1777, 12, '文件日期');
INSERT INTO `lang_definitions` VALUES (41852, 1778, 12, '成功更新文件的日期和問題');
INSERT INTO `lang_definitions` VALUES (41853, 1779, 12, '文件辨識');
INSERT INTO `lang_definitions` VALUES (41854, 1780, 12, '文件移到新的類別');
INSERT INTO `lang_definitions` VALUES (41855, 1781, 12, '文件移到病人的身份證');
INSERT INTO `lang_definitions` VALUES (41856, 1783, 12, '文件通過完整性檢查');
INSERT INTO `lang_definitions` VALUES (41857, 1785, 12, '文件成功的重新命名');
INSERT INTO `lang_definitions` VALUES (41858, 1790, 12, '文檔/影像店');
INSERT INTO `lang_definitions` VALUES (41859, 1791, 12, '文檔/影像店');
INSERT INTO `lang_definitions` VALUES (41860, 1792, 12, '文件（寫，只添加可選）');
INSERT INTO `lang_definitions` VALUES (41861, 1794, 12, '運動時(用力時)呼吸困難');
INSERT INTO `lang_definitions` VALUES (41862, 1798, 12, '是否允許這種類型的相關代碼？');
INSERT INTO `lang_definitions` VALUES (41863, 1799, 12, '國內合作夥伴');
INSERT INTO `lang_definitions` VALUES (41864, 1800, 12, '不要儲存');
INSERT INTO `lang_definitions` VALUES (41865, 1801, 12, '不要儲存');
INSERT INTO `lang_definitions` VALUES (41866, 1802, 12, '不要儲存更改');
INSERT INTO `lang_definitions` VALUES (41867, 1803, 12, '完成');
INSERT INTO `lang_definitions` VALUES (41868, 1804, 12, '以….完成：');
INSERT INTO `lang_definitions` VALUES (41869, 1805, 12, '完成。現在將傳送下載。');
INSERT INTO `lang_definitions` VALUES (41870, 1806, 12, 'DOS');
INSERT INTO `lang_definitions` VALUES (41871, 1807, 12, '劑量');
INSERT INTO `lang_definitions` VALUES (41872, 1809, 12, '雙擊編輯');
INSERT INTO `lang_definitions` VALUES (41873, 1810, 12, '複視');
INSERT INTO `lang_definitions` VALUES (41874, 1811, 12, '下載');
INSERT INTO `lang_definitions` VALUES (41875, 1814, 12, '下載無論如何');
INSERT INTO `lang_definitions` VALUES (41876, 1815, 12, '下載計費文件，發佈到會計部門並以帳單型式標記');
INSERT INTO `lang_definitions` VALUES (41877, 1817, 12, '下載證書');
INSERT INTO `lang_definitions` VALUES (41878, 1818, 12, '下載配置數據');
INSERT INTO `lang_definitions` VALUES (41879, 1820, 12, '下載加密文件');
INSERT INTO `lang_definitions` VALUES (41880, 1827, 12, '下載選中的語句');
INSERT INTO `lang_definitions` VALUES (41881, 1828, 12, '醫師檢查');
INSERT INTO `lang_definitions` VALUES (41882, 1829, 12, '醫師巡房');
INSERT INTO `lang_definitions` VALUES (41883, 1830, 12, '醫師');
INSERT INTO `lang_definitions` VALUES (41884, 1831, 12, '拖曳以移動');
INSERT INTO `lang_definitions` VALUES (41885, 1832, 12, '運球');
INSERT INTO `lang_definitions` VALUES (41886, 1833, 12, '駕照或州身分證');
INSERT INTO `lang_definitions` VALUES (41887, 1834, 12, '藥物');
INSERT INTO `lang_definitions` VALUES (41888, 1835, 12, '藥品搜索');
INSERT INTO `lang_definitions` VALUES (41889, 1836, 12, '藥品形式');
INSERT INTO `lang_definitions` VALUES (41890, 1837, 12, '藥品證明遺失');
INSERT INTO `lang_definitions` VALUES (41891, 1838, 12, '藥品警告');
INSERT INTO `lang_definitions` VALUES (41892, 1839, 12, '藥品庫存');
INSERT INTO `lang_definitions` VALUES (41893, 1840, 12, '藥品名稱');
INSERT INTO `lang_definitions` VALUES (41894, 1841, 12, '販毒路線');
INSERT INTO `lang_definitions` VALUES (41895, 1845, 12, '藥品單位');
INSERT INTO `lang_definitions` VALUES (41896, 1846, 12, '藥物');
INSERT INTO `lang_definitions` VALUES (41897, 1847, 12, '藥物和產品');
INSERT INTO `lang_definitions` VALUES (41898, 1848, 12, '口乾');
INSERT INTO `lang_definitions` VALUES (41899, 1850, 12, '白喉，破傷風混合疫苗 1');
INSERT INTO `lang_definitions` VALUES (41900, 1851, 12, '白喉，破傷風混合疫苗 2');
INSERT INTO `lang_definitions` VALUES (41901, 1852, 12, '白喉，破傷風混合疫苗3');
INSERT INTO `lang_definitions` VALUES (41902, 1853, 12, '白喉，破傷風混合疫苗 4');
INSERT INTO `lang_definitions` VALUES (41903, 1854, 12, '白喉，破傷風混合疫苗5');
INSERT INTO `lang_definitions` VALUES (41904, 1855, 12, '新型三合一疫苗1');
INSERT INTO `lang_definitions` VALUES (41905, 1856, 12, '新型三合一疫苗2');
INSERT INTO `lang_definitions` VALUES (41906, 1857, 12, '新型三合一疫苗3');
INSERT INTO `lang_definitions` VALUES (41907, 1858, 12, '新型三合一疫苗4');
INSERT INTO `lang_definitions` VALUES (41908, 1859, 12, '新型三合一疫苗5');
INSERT INTO `lang_definitions` VALUES (41909, 1860, 12, '由於 因為');
INSERT INTO `lang_definitions` VALUES (41910, 1861, 12, '截止日期');
INSERT INTO `lang_definitions` VALUES (41911, 1862, 12, '截止日期月月/日日/年年年年或年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (41912, 1863, 12, '截止日期：');
INSERT INTO `lang_definitions` VALUES (41913, 1864, 12, '由於慣性');
INSERT INTO `lang_definitions` VALUES (41914, 1865, 12, '由於病人');
INSERT INTO `lang_definitions` VALUES (41915, 1866, 12, '即將到期');
INSERT INTO `lang_definitions` VALUES (41916, 1867, 12, '應有的地位');
INSERT INTO `lang_definitions` VALUES (41917, 1868, 12, '應有的地位更新');
INSERT INTO `lang_definitions` VALUES (41918, 1869, 12, '傾銷LibreEHR數據庫');
INSERT INTO `lang_definitions` VALUES (41919, 1870, 12, '傾銷LibreEHR web目錄樹');
INSERT INTO `lang_definitions` VALUES (41920, 1871, 12, '傾銷phpGACL數據庫');
INSERT INTO `lang_definitions` VALUES (41921, 1872, 12, '傾銷phpGACL Web目錄樹');
INSERT INTO `lang_definitions` VALUES (41922, 1873, 12, '傾銷SQL的總帳數據庫');
INSERT INTO `lang_definitions` VALUES (41923, 1874, 12, '傾銷SQL總帳web目錄樹');
INSERT INTO `lang_definitions` VALUES (41924, 1875, 12, 'DUP檢查');
INSERT INTO `lang_definitions` VALUES (41925, 1876, 12, '重複的身分證明上線');
INSERT INTO `lang_definitions` VALUES (41926, 1877, 12, '重複的名字上線');
INSERT INTO `lang_definitions` VALUES (41927, 1878, 12, '重複的警告');
INSERT INTO `lang_definitions` VALUES (41928, 1879, 12, '檢察長的持久動力');
INSERT INTO `lang_definitions` VALUES (41929, 1880, 12, '持續時間');
INSERT INTO `lang_definitions` VALUES (41930, 1881, 12, '期間');
INSERT INTO `lang_definitions` VALUES (41931, 1882, 12, '荷蘭人');
INSERT INTO `lang_definitions` VALUES (41932, 1884, 12, '吞嚥困難');
INSERT INTO `lang_definitions` VALUES (41933, 1885, 12, '呼吸困難：');
INSERT INTO `lang_definitions` VALUES (41934, 1886, 12, '排尿困難');
INSERT INTO `lang_definitions` VALUES (41935, 1888, 12, '電子處方？');
INSERT INTO `lang_definitions` VALUES (41936, 1894, 12, '早期復發（<2個月）');
INSERT INTO `lang_definitions` VALUES (41937, 1895, 12, '耳朵');
INSERT INTO `lang_definitions` VALUES (41938, 1896, 12, '心電圖');
INSERT INTO `lang_definitions` VALUES (41939, 1898, 12, '水腫');
INSERT INTO `lang_definitions` VALUES (41940, 1902, 12, 'EDI的271檔案上傳');
INSERT INTO `lang_definitions` VALUES (41941, 1903, 12, 'EDI的271回應檔案上傳');
INSERT INTO `lang_definitions` VALUES (41942, 1904, 12, '編輯');
INSERT INTO `lang_definitions` VALUES (41943, 1905, 12, '編輯');
INSERT INTO `lang_definitions` VALUES (41944, 1906, 12, '編輯過敏');
INSERT INTO `lang_definitions` VALUES (41945, 1907, 12, '編輯類別');
INSERT INTO `lang_definitions` VALUES (41946, 1908, 12, '編輯定義');
INSERT INTO `lang_definitions` VALUES (41947, 1909, 12, '編輯定義');
INSERT INTO `lang_definitions` VALUES (41948, 1910, 12, '編輯診斷為');
INSERT INTO `lang_definitions` VALUES (41949, 1911, 12, '編輯披露');
INSERT INTO `lang_definitions` VALUES (41950, 1912, 12, '編輯設施');
INSERT INTO `lang_definitions` VALUES (41951, 1913, 12, '編輯設備');
INSERT INTO `lang_definitions` VALUES (41952, 1914, 12, '編輯設施資訊');
INSERT INTO `lang_definitions` VALUES (41953, 1916, 12, '編輯檔案在');
INSERT INTO `lang_definitions` VALUES (41954, 1917, 12, '編輯表單');
INSERT INTO `lang_definitions` VALUES (41955, 1918, 12, '編輯全球設置');
INSERT INTO `lang_definitions` VALUES (41956, 1920, 12, '編輯佈局');
INSERT INTO `lang_definitions` VALUES (41957, 1921, 12, '編輯清單');
INSERT INTO `lang_definitions` VALUES (41958, 1922, 12, '編輯付款');
INSERT INTO `lang_definitions` VALUES (41959, 1923, 12, '編輯結構');
INSERT INTO `lang_definitions` VALUES (41960, 1924, 12, '編輯使用者');
INSERT INTO `lang_definitions` VALUES (41961, 1925, 12, '編輯使用者設定');
INSERT INTO `lang_definitions` VALUES (41962, 1928, 12, '教育');
INSERT INTO `lang_definitions` VALUES (41963, 1929, 12, '教育日期');
INSERT INTO `lang_definitions` VALUES (41964, 1931, 12, 'EE* GNU通用公共許可證詳細信息。 **你應該已經收到隨著這一計劃的GNU通用公共許可證的副本;如果沒有，寫信給自由 ');
INSERT INTO `lang_definitions` VALUES (41965, 1932, 12, '生效日期');
INSERT INTO `lang_definitions` VALUES (41966, 1934, 12, '效用');
INSERT INTO `lang_definitions` VALUES (41967, 1935, 12, 'EIN');
INSERT INTO `lang_definitions` VALUES (41968, 1936, 12, '射精');
INSERT INTO `lang_definitions` VALUES (41969, 1937, 12, '手肘');
INSERT INTO `lang_definitions` VALUES (41970, 1938, 12, '手肘問題');
INSERT INTO `lang_definitions` VALUES (41971, 1939, 12, '電子');
INSERT INTO `lang_definitions` VALUES (41972, 1942, 12, '電子匯款');
INSERT INTO `lang_definitions` VALUES (41973, 1944, 12, '合格');
INSERT INTO `lang_definitions` VALUES (41974, 1945, 12, '資格270詢問批次');
INSERT INTO `lang_definitions` VALUES (41975, 1946, 12, '資格回應');
INSERT INTO `lang_definitions` VALUES (41976, 1947, 12, '為兒童提供疫苗的疫苗資格獲得狀況');
INSERT INTO `lang_definitions` VALUES (41977, 1948, 12, '合格');
INSERT INTO `lang_definitions` VALUES (41978, 1949, 12, '電子郵件');
INSERT INTO `lang_definitions` VALUES (41979, 1951, 12, '電郵地址');
INSERT INTO `lang_definitions` VALUES (41980, 1953, 12, '病人提醒發件人的電子郵件地址。病人提醒的回覆將被引導到這個地址。使用您的診所的網域地址是很重要的，從去到垃圾郵件文件夾以避免幫助預防病人提醒。');
INSERT INTO `lang_definitions` VALUES (41981, 1954, 12, '電子郵件地址，如果有的話，收到行政通知。');
INSERT INTO `lang_definitions` VALUES (41982, 1955, 12, '電子郵件地址，如果有的話，接受緊急登錄使用者激活郵件。');
INSERT INTO `lang_definitions` VALUES (41983, 1956, 12, '電子郵件驗證');
INSERT INTO `lang_definitions` VALUES (41984, 1957, 12, '從批次COM的電子郵件');
INSERT INTO `lang_definitions` VALUES (41985, 1958, 12, '電子郵件通知');
INSERT INTO `lang_definitions` VALUES (41986, 1959, 12, '電子郵件通知時間');
INSERT INTO `lang_definitions` VALUES (41987, 1961, 12, '電子郵件發送之前');
INSERT INTO `lang_definitions` VALUES (41988, 1962, 12, '電子郵件發送者');
INSERT INTO `lang_definitions` VALUES (41989, 1963, 12, '發送電子郵件');
INSERT INTO `lang_definitions` VALUES (41990, 1965, 12, '電子郵件主題');
INSERT INTO `lang_definitions` VALUES (41991, 1966, 12, '電子郵件的文本，可用標籤：***姓名***，例如親愛的***姓名***');
INSERT INTO `lang_definitions` VALUES (41992, 1968, 12, '電子郵件傳送方式');
INSERT INTO `lang_definitions` VALUES (41993, 1969, 12, '電子郵件發送到以下地址');
INSERT INTO `lang_definitions` VALUES (41994, 1971, 12, '緊急聯絡');
INSERT INTO `lang_definitions` VALUES (41995, 1972, 12, '緊急聯絡人');
INSERT INTO `lang_definitions` VALUES (41996, 1973, 12, '緊急聯絡電話號碼');
INSERT INTO `lang_definitions` VALUES (41997, 1974, 12, '緊急避孕');
INSERT INTO `lang_definitions` VALUES (41998, 1975, 12, '緊急登錄');
INSERT INTO `lang_definitions` VALUES (41999, 1976, 12, '緊急登錄ACL被選擇。用戶仍處於活躍狀態，請取消激活用戶和在緊急情況下需要時激活相同。訪問管理“ - >”激活或去激活的用戶。');
INSERT INTO `lang_definitions` VALUES (42000, 1977, 12, '緊急登錄激活電子郵件將傳閱如果在接口/ globals.php文件配置符合以下設置：');
INSERT INTO `lang_definitions` VALUES (42001, 1978, 12, '緊急登錄的電郵地址');
INSERT INTO `lang_definitions` VALUES (42002, 1979, 12, '緊急登錄的用戶可以做任何事情');
INSERT INTO `lang_definitions` VALUES (42003, 1980, 12, '緊急電話');
INSERT INTO `lang_definitions` VALUES (42004, 1982, 12, '肺氣腫');
INSERT INTO `lang_definitions` VALUES (42005, 1983, 12, '雇員');
INSERT INTO `lang_definitions` VALUES (42006, 1984, 12, '单位');
INSERT INTO `lang_definitions` VALUES (42007, 1985, 12, '单位地址');
INSERT INTO `lang_definitions` VALUES (42008, 1986, 12, '单位資料');
INSERT INTO `lang_definitions` VALUES (42009, 1987, 12, '单位姓名');
INSERT INTO `lang_definitions` VALUES (42010, 1988, 12, '空的');
INSERT INTO `lang_definitions` VALUES (42011, 1989, 12, '空的');
INSERT INTO `lang_definitions` VALUES (42012, 1991, 12, '在“電子郵件時間”為空值');
INSERT INTO `lang_definitions` VALUES (42013, 1992, 12, '在“電子郵件發件人”為空值');
INSERT INTO `lang_definitions` VALUES (42014, 1993, 12, '在“郵件主題”為空值');
INSERT INTO `lang_definitions` VALUES (42015, 1994, 12, '在“電子郵件文本”為空值');
INSERT INTO `lang_definitions` VALUES (42016, 1995, 12, '在“提供者名稱”為空值');
INSERT INTO `lang_definitions` VALUES (42017, 1996, 12, '在“密碼”為空值');
INSERT INTO `lang_definitions` VALUES (42018, 1997, 12, '在“短訊時間”為空值');
INSERT INTO `lang_definitions` VALUES (42019, 1998, 12, '在“短訊文字”為空值');
INSERT INTO `lang_definitions` VALUES (42020, 1999, 12, '在“用戶名”為空值');
INSERT INTO `lang_definitions` VALUES (42021, 2006, 12, '允許資產管理公司的激勵');
INSERT INTO `lang_definitions` VALUES (42022, 2008, 12, '允許資產管理報告');
INSERT INTO `lang_definitions` VALUES (42023, 2009, 12, '允許資產管理公司追踪');
INSERT INTO `lang_definitions` VALUES (42024, 2011, 12, '允許ATNA審核');
INSERT INTO `lang_definitions` VALUES (42025, 2013, 12, '啟用審核日誌記錄');
INSERT INTO `lang_definitions` VALUES (42026, 2014, 12, '允許審計追踪和節點認證（ATNA）。');
INSERT INTO `lang_definitions` VALUES (42027, 2015, 12, '允許自動測量計算（AMC）的報告');
INSERT INTO `lang_definitions` VALUES (42028, 2016, 12, '允許客戶端SSL');
INSERT INTO `lang_definitions` VALUES (42029, 2017, 12, '允許客戶端SSL證書認證。');
INSERT INTO `lang_definitions` VALUES (42030, 2019, 12, '允許臨床決策規則“（CDR）');
INSERT INTO `lang_definitions` VALUES (42031, 2022, 12, '允許臨床質量測量（CQM）報告');
INSERT INTO `lang_definitions` VALUES (42032, 2023, 12, '允許臨床提醒彈出式視窗');
INSERT INTO `lang_definitions` VALUES (42033, 2024, 12, '允許臨床提醒構件');
INSERT INTO `lang_definitions` VALUES (42034, 2027, 12, '允許CQM報告');
INSERT INTO `lang_definitions` VALUES (42035, 2031, 12, '允許HylaFax等支持');
INSERT INTO `lang_definitions` VALUES (42036, 2037, 12, '允許實驗室交流');
INSERT INTO `lang_definitions` VALUES (42037, 2040, 12, '允許所有的SQL SELECT查詢的記錄。');
INSERT INTO `lang_definitions` VALUES (42038, 2041, 12, '允許日誌記錄備份的相關活動。');
INSERT INTO `lang_definitions` VALUES (42039, 2043, 12, '允許雜項活動的記錄。');
INSERT INTO `lang_definitions` VALUES (42040, 2044, 12, '允許排序活動的記錄。');
INSERT INTO `lang_definitions` VALUES (42041, 2045, 12, '允許病歷修改的記錄。');
INSERT INTO `lang_definitions` VALUES (42042, 2046, 12, '允許調度活動的記錄。');
INSERT INTO `lang_definitions` VALUES (42043, 2047, 12, '允許安全和管理活動的記錄。');
INSERT INTO `lang_definitions` VALUES (42044, 2049, 12, '允許NewCrop ERX服務');
INSERT INTO `lang_definitions` VALUES (42045, 2051, 12, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (42046, 2052, 12, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (42047, 2053, 12, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (42048, 2055, 12, '允許非現場患者門戶');
INSERT INTO `lang_definitions` VALUES (42049, 2056, 12, '允許病人提醒構件');
INSERT INTO `lang_definitions` VALUES (42050, 2058, 12, '允許自動測量計算所需的數據（AMC）的激勵');
INSERT INTO `lang_definitions` VALUES (42051, 2060, 12, '允許自動測量計算日期（AMC）的追踪報告');
INSERT INTO `lang_definitions` VALUES (42052, 2061, 12, '允許掃描儀支持');
INSERT INTO `lang_definitions` VALUES (42053, 2065, 12, '允許LibreEHR支持LLC實驗室交流服務。');
INSERT INTO `lang_definitions` VALUES (42054, 2066, 12, '允許用戶證書驗證');
INSERT INTO `lang_definitions` VALUES (42055, 2067, 12, '允許ZMG，ERX服務有限責任公司');
INSERT INTO `lang_definitions` VALUES (42056, 2068, 12, '使能');
INSERT INTO `lang_definitions` VALUES (42057, 2070, 12, '使老費面板進入計費代碼和支付。不推薦使用收費表代替。');
INSERT INTO `lang_definitions` VALUES (42058, 2072, 12, '電子海圖');
INSERT INTO `lang_definitions` VALUES (42059, 2073, 12, '遭遇');
INSERT INTO `lang_definitions` VALUES (42060, 2074, 12, '遭遇');
INSERT INTO `lang_definitions` VALUES (42061, 2075, 12, '遭遇 ');
INSERT INTO `lang_definitions` VALUES (42062, 2076, 12, '遇到急性住院或急診');
INSERT INTO `lang_definitions` VALUES (42063, 2081, 12, '遇到日期');
INSERT INTO `lang_definitions` VALUES (42064, 2086, 12, '遇到表格');
INSERT INTO `lang_definitions` VALUES (42065, 2087, 12, '遇到健康和行為評估');
INSERT INTO `lang_definitions` VALUES (42066, 2088, 12, '遇到歷史');
INSERT INTO `lang_definitions` VALUES (42067, 2089, 12, '遇到識別碼');
INSERT INTO `lang_definitions` VALUES (42068, 2090, 12, '遇到流感');
INSERT INTO `lang_definitions` VALUES (42069, 2091, 12, '遇到號碼');
INSERT INTO `lang_definitions` VALUES (42070, 2093, 12, '遇到護理出院');
INSERT INTO `lang_definitions` VALUES (42071, 2094, 12, '遇到護理設施');
INSERT INTO `lang_definitions` VALUES (42072, 2095, 12, '遇到職業治療');
INSERT INTO `lang_definitions` VALUES (42073, 2096, 12, '遇到辦公室訪問');
INSERT INTO `lang_definitions` VALUES (42074, 2097, 12, '遇到門診');
INSERT INTO `lang_definitions` VALUES (42075, 2098, 12, '遇到門診W / PCP及婦產科');
INSERT INTO `lang_definitions` VALUES (42076, 2099, 12, '遇到頁面大小');
INSERT INTO `lang_definitions` VALUES (42077, 2101, 12, '遇到懷孕');
INSERT INTO `lang_definitions` VALUES (42078, 2102, 12, '遇到預防醫學 - 個別諮商');
INSERT INTO `lang_definitions` VALUES (42079, 2103, 12, '遇到預防醫學40歲及以上');
INSERT INTO `lang_definitions` VALUES (42080, 2104, 12, '遇到預防醫學團體諮商');
INSERT INTO `lang_definitions` VALUES (42081, 2105, 12, '遇到預防醫學的其他服務');
INSERT INTO `lang_definitions` VALUES (42082, 2106, 12, '遇到預防醫學服務，18歲及以上');
INSERT INTO `lang_definitions` VALUES (42083, 2107, 12, '遇到精神與心理');
INSERT INTO `lang_definitions` VALUES (42084, 2108, 12, '遇到統計');
INSERT INTO `lang_definitions` VALUES (42085, 2109, 12, '遇到摘要');
INSERT INTO `lang_definitions` VALUES (42086, 2110, 12, '遇到編碼');
INSERT INTO `lang_definitions` VALUES (42087, 2111, 12, '遇到：');
INSERT INTO `lang_definitions` VALUES (42088, 2112, 12, '遇到：遇到非急性住院，門診，或眼科');
INSERT INTO `lang_definitions` VALUES (42089, 2113, 12, '遇到');
INSERT INTO `lang_definitions` VALUES (42090, 2114, 12, '遭遇與表格');
INSERT INTO `lang_definitions` VALUES (42091, 2115, 12, '遭遇與amp︰表格');
INSERT INTO `lang_definitions` VALUES (42092, 2116, 12, '遇到不授權');
INSERT INTO `lang_definitions` VALUES (42093, 2117, 12, '遭遇舉報');
INSERT INTO `lang_definitions` VALUES (42094, 2118, 12, '遭遇節');
INSERT INTO `lang_definitions` VALUES (42095, 2120, 12, '加密');
INSERT INTO `lang_definitions` VALUES (42096, 2121, 12, '結束');
INSERT INTO `lang_definitions` VALUES (42097, 2122, 12, '結束(年年年年-月月-日日) ');
INSERT INTO `lang_definitions` VALUES (42098, 2123, 12, '結束日期');
INSERT INTO `lang_definitions` VALUES (42099, 2124, 12, '結束日期');
INSERT INTO `lang_definitions` VALUES (42100, 2126, 12, '結束日期應該大於開始日期');
INSERT INTO `lang_definitions` VALUES (42101, 2127, 12, '結束日期︰');
INSERT INTO `lang_definitions` VALUES (42102, 2131, 12, '結束時間');
INSERT INTO `lang_definitions` VALUES (42103, 2133, 12, '服務結束日期年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (42104, 2134, 12, '如果你想進入一個範圍結束DOS月月/日日/年年年年');
INSERT INTO `lang_definitions` VALUES (42105, 2135, 12, '結束一天的小時日曆事件。');
INSERT INTO `lang_definitions` VALUES (42106, 2136, 12, '內膜不正常出血');
INSERT INTO `lang_definitions` VALUES (42107, 2137, 12, '內分泌');
INSERT INTO `lang_definitions` VALUES (42108, 2138, 12, '內視鏡');
INSERT INTO `lang_definitions` VALUES (42109, 2141, 12, '英文');
INSERT INTO `lang_definitions` VALUES (42110, 2142, 12, '英文 ');
INSERT INTO `lang_definitions` VALUES (42111, 2143, 12, '英語（印度）');
INSERT INTO `lang_definitions` VALUES (42112, 2144, 12, '英語（標準）');
INSERT INTO `lang_definitions` VALUES (42113, 2145, 12, 'enscript命令由HylaFax使用');
INSERT INTO `lang_definitions` VALUES (42114, 2146, 12, '確保LibreEHR有寫權限的目錄');
INSERT INTO `lang_definitions` VALUES (42115, 2147, 12, '耳鼻喉分泌物');
INSERT INTO `lang_definitions` VALUES (42116, 2148, 12, '耳鼻喉疼痛');
INSERT INTO `lang_definitions` VALUES (42117, 2149, 12, '輸入診斷代碼排除所有不包含發票');
INSERT INTO `lang_definitions` VALUES (42118, 2151, 12, '在此處輸入信件的正文');
INSERT INTO `lang_definitions` VALUES (42119, 2152, 12, '輸入數據庫根密碼');
INSERT INTO `lang_definitions` VALUES (42120, 2153, 12, '輸入數據庫根的用戶名');
INSERT INTO `lang_definitions` VALUES (42121, 2154, 12, '輸入診斷');
INSERT INTO `lang_definitions` VALUES (42122, 2155, 12, '輸入藥物');
INSERT INTO `lang_definitions` VALUES (42123, 2158, 12, '輸入預防注射');
INSERT INTO `lang_definitions` VALUES (42124, 2159, 12, '輸入鍵');
INSERT INTO `lang_definitions` VALUES (42125, 2161, 12, '輸入新的國家');
INSERT INTO `lang_definitions` VALUES (42126, 2164, 12, '輸入再識別代碼');
INSERT INTO `lang_definitions` VALUES (42127, 2165, 12, '輸入您的上述搜索標準');
INSERT INTO `lang_definitions` VALUES (42128, 2168, 12, '環境的');
INSERT INTO `lang_definitions` VALUES (42129, 2169, 12, 'EOB資料條目');
INSERT INTO `lang_definitions` VALUES (42130, 2170, 12, '平等機會條例草案發帖 - 電子匯款');
INSERT INTO `lang_definitions` VALUES (42131, 2171, 12, '平等機會條例草案發帖 - 說明');
INSERT INTO `lang_definitions` VALUES (42132, 2172, 12, '平等機會條例草案發帖 - 發票');
INSERT INTO `lang_definitions` VALUES (42133, 2173, 12, '平等機會條例草案發帖 - 患者請注意');
INSERT INTO `lang_definitions` VALUES (42134, 2174, 12, '平等機會條例草案發帖 - 搜索');
INSERT INTO `lang_definitions` VALUES (42135, 2176, 12, '癲癇');
INSERT INTO `lang_definitions` VALUES (42136, 2178, 12, '自責 紀元 年代');
INSERT INTO `lang_definitions` VALUES (42137, 2180, 12, '年代發帖');
INSERT INTO `lang_definitions` VALUES (42138, 2181, 12, '刪除');
INSERT INTO `lang_definitions` VALUES (42139, 2182, 12, '勃起');
INSERT INTO `lang_definitions` VALUES (42140, 2183, 12, '錯誤');
INSERT INTO `lang_definitions` VALUES (42141, 2185, 12, '實驗室結果的錯誤確認收到');
INSERT INTO `lang_definitions` VALUES (42142, 2187, 12, '從實驗室交換網絡得到錯誤的實驗室結果');
INSERT INTO `lang_definitions` VALUES (42143, 2188, 12, '在“性別”選擇錯誤');
INSERT INTO `lang_definitions` VALUES (42144, 2189, 12, '“HIPAA法案”中的錯誤選擇');
INSERT INTO `lang_definitions` VALUES (42145, 2190, 12, '在“過程”選擇錯誤');
INSERT INTO `lang_definitions` VALUES (42146, 2191, 12, '在“短信網關”選擇錯誤');
INSERT INTO `lang_definitions` VALUES (42147, 2192, 12, '在“排序方式”的選擇錯誤');
INSERT INTO `lang_definitions` VALUES (42148, 2193, 12, '在GZIP壓縮文件中的錯誤： ');
INSERT INTO `lang_definitions` VALUES (42149, 2194, 12, '在是或不是選項的錯誤');
INSERT INTO `lang_definitions` VALUES (42150, 2195, 12, '錯誤閱讀啟用上傳檔案');
INSERT INTO `lang_definitions` VALUES (42151, 2199, 12, '從實驗室交換網絡的錯誤檢索結果');
INSERT INTO `lang_definitions` VALUES (42152, 2202, 12, '授予LibreEHR使用者檔案權限時的錯誤。');
INSERT INTO `lang_definitions` VALUES (42153, 2205, 12, '在註冊表格的錯誤！');
INSERT INTO `lang_definitions` VALUES (42154, 2206, 12, '儲存檔案時出錯');
INSERT INTO `lang_definitions` VALUES (42155, 2208, 12, '寫入檔案時出錯');
INSERT INTO `lang_definitions` VALUES (42156, 2210, 12, '錯誤，檔案不存在');
INSERT INTO `lang_definitions` VALUES (42157, 2211, 12, '錯誤，無法從伺服器收集資料');
INSERT INTO `lang_definitions` VALUES (42158, 2212, 12, '錯誤，無法創建客戶端證書。');
INSERT INTO `lang_definitions` VALUES (42159, 2213, 12, '錯誤，無法創建admin.p12證書。');
INSERT INTO `lang_definitions` VALUES (42160, 2214, 12, '錯誤，無法創建的證書頒發機構證書。');
INSERT INTO `lang_definitions` VALUES (42161, 2215, 12, '錯誤，無法創建伺服器憑證。');
INSERT INTO `lang_definitions` VALUES (42162, 2216, 12, '錯誤，無法打開檔案');
INSERT INTO `lang_definitions` VALUES (42163, 2217, 12, '錯誤，用戶證書驗證無法在LibreEHR啟用');
INSERT INTO `lang_definitions` VALUES (42164, 2218, 12, '錯誤，你需要安裝存檔/ Tar.php的PHP模組。');
INSERT INTO `lang_definitions` VALUES (42165, 2219, 12, '錯誤：無法打開table.sql，破碎的形式？');
INSERT INTO `lang_definitions` VALUES (42166, 2220, 12, '錯誤：重複的識別碼上線');
INSERT INTO `lang_definitions` VALUES (42167, 2221, 12, '錯誤：重複的名稱上線');
INSERT INTO `lang_definitions` VALUES (42168, 2222, 12, '錯誤：字段');
INSERT INTO `lang_definitions` VALUES (42169, 2223, 12, '錯誤：缺少ZipArchive PHP模組');
INSERT INTO `lang_definitions` VALUES (42170, 2225, 12, '錯誤：密碼不符合。請檢查您的打字。');
INSERT INTO `lang_definitions` VALUES (42171, 2226, 12, '錯誤：密碼不符合。請檢查您的打字。');
INSERT INTO `lang_definitions` VALUES (42172, 2227, 12, '錯誤：檔案不存在');
INSERT INTO `lang_definitions` VALUES (42173, 2229, 12, '錯誤：無法複製檔案。');
INSERT INTO `lang_definitions` VALUES (42174, 2230, 12, '錯誤：無法創建下載的存檔');
INSERT INTO `lang_definitions` VALUES (42175, 2231, 12, '錯誤：無法創建Zip存檔。');
INSERT INTO `lang_definitions` VALUES (42176, 2232, 12, '錯誤：無法解壓縮檔案。');
INSERT INTO `lang_definitions` VALUES (42177, 2233, 12, '錯誤：無法將檔案載入到數據庫中。');
INSERT INTO `lang_definitions` VALUES (42178, 2234, 12, '錯誤：無法設置版本編號。');
INSERT INTO `lang_definitions` VALUES (42179, 2235, 12, '錯誤');
INSERT INTO `lang_definitions` VALUES (42180, 2236, 12, 'ERX帳戶狀態');
INSERT INTO `lang_definitions` VALUES (42181, 2238, 12, 'ERX的名稱');
INSERT INTO `lang_definitions` VALUES (42182, 2239, 12, 'ERX的密碼');
INSERT INTO `lang_definitions` VALUES (42183, 2240, 12, 'ERX的作用');
INSERT INTO `lang_definitions` VALUES (42184, 2241, 12, 'ERX使用者');
INSERT INTO `lang_definitions` VALUES (42185, 2242, 12, '紅斑：');
INSERT INTO `lang_definitions` VALUES (42186, 2245, 12, '愛斯基摩人');
INSERT INTO `lang_definitions` VALUES (42187, 2247, 12, '建立病人');
INSERT INTO `lang_definitions` VALUES (42188, 2249, 12, '種族');
INSERT INTO `lang_definitions` VALUES (42189, 2250, 12, '民族或種族');
INSERT INTO `lang_definitions` VALUES (42190, 2251, 12, '種族劃分比賽名單（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (42191, 2252, 12, '肉類');
INSERT INTO `lang_definitions` VALUES (42192, 2253, 12, '事件');
INSERT INTO `lang_definitions` VALUES (42193, 2254, 12, '活動開始');
INSERT INTO `lang_definitions` VALUES (42194, 2255, 12, '事件類別');
INSERT INTO `lang_definitions` VALUES (42195, 2256, 12, '事件的日期');
INSERT INTO `lang_definitions` VALUES (42196, 2257, 12, '事件描述');
INSERT INTO `lang_definitions` VALUES (42197, 2258, 12, '事件細節');
INSERT INTO `lang_definitions` VALUES (42198, 2259, 12, '事件無法重複');
INSERT INTO `lang_definitions` VALUES (42199, 2260, 12, '事件的持續時間');
INSERT INTO `lang_definitions` VALUES (42200, 2261, 12, '事件的持續時間在幾分鐘內');
INSERT INTO `lang_definitions` VALUES (42201, 2262, 12, '活動費用');
INSERT INTO `lang_definitions` VALUES (42202, 2263, 12, '活動地點');
INSERT INTO `lang_definitions` VALUES (42203, 2264, 12, '事件重複一次');
INSERT INTO `lang_definitions` VALUES (42204, 2265, 12, '事件重複在');
INSERT INTO `lang_definitions` VALUES (42205, 2266, 12, '事件的開始時間');
INSERT INTO `lang_definitions` VALUES (42206, 2267, 12, '事件標題');
INSERT INTO `lang_definitions` VALUES (42207, 2268, 12, '事件標題');
INSERT INTO `lang_definitions` VALUES (42208, 2269, 12, '活動網站');
INSERT INTO `lang_definitions` VALUES (42209, 2270, 12, '活動');
INSERT INTO `lang_definitions` VALUES (42210, 2271, 12, '對於事件');
INSERT INTO `lang_definitions` VALUES (42211, 2272, 12, '在新視窗開啟事件');
INSERT INTO `lang_definitions` VALUES (42212, 2273, 12, '每一個');
INSERT INTO `lang_definitions` VALUES (42213, 2274, 12, '每一個');
INSERT INTO `lang_definitions` VALUES (42214, 2275, 12, '每3小時');
INSERT INTO `lang_definitions` VALUES (42215, 2276, 12, '每4小時');
INSERT INTO `lang_definitions` VALUES (42216, 2277, 12, '每5小時');
INSERT INTO `lang_definitions` VALUES (42217, 2278, 12, '每6小時');
INSERT INTO `lang_definitions` VALUES (42218, 2279, 12, '每8小時');
INSERT INTO `lang_definitions` VALUES (42219, 2280, 12, '每四次');
INSERT INTO `lang_definitions` VALUES (42220, 2281, 12, '每隔');
INSERT INTO `lang_definitions` VALUES (42221, 2282, 12, '每三次');
INSERT INTO `lang_definitions` VALUES (42222, 2283, 12, '每一個，每次，每3個等');
INSERT INTO `lang_definitions` VALUES (42223, 2285, 12, '檢查和測試結果');
INSERT INTO `lang_definitions` VALUES (42224, 2286, 12, '檢查結果');
INSERT INTO `lang_definitions` VALUES (42225, 2289, 12, '檢查');
INSERT INTO `lang_definitions` VALUES (42226, 2290, 12, '檢查日期');
INSERT INTO `lang_definitions` VALUES (42227, 2291, 12, '舉例');
INSERT INTO `lang_definitions` VALUES (42228, 2292, 12, '舉例');
INSERT INTO `lang_definitions` VALUES (42229, 2293, 12, '檢查/測試');
INSERT INTO `lang_definitions` VALUES (42230, 2295, 12, '過多的流淚');
INSERT INTO `lang_definitions` VALUES (42231, 2296, 12, '排除患者');
INSERT INTO `lang_definitions` VALUES (42232, 2297, 12, '排除');
INSERT INTO `lang_definitions` VALUES (42233, 2298, 12, '獨家供應商組織（紅血球生成素）');
INSERT INTO `lang_definitions` VALUES (42234, 2300, 12, '運動');
INSERT INTO `lang_definitions` VALUES (42235, 2301, 12, '運動型態');
INSERT INTO `lang_definitions` VALUES (42236, 2302, 12, '運動型態');
INSERT INTO `lang_definitions` VALUES (42237, 2303, 12, '存在');
INSERT INTO `lang_definitions` VALUES (42238, 2304, 12, '由(當局)政府退出');
INSERT INTO `lang_definitions` VALUES (42239, 2305, 12, '進出口');
INSERT INTO `lang_definitions` VALUES (42240, 2306, 12, '擴大');
INSERT INTO `lang_definitions` VALUES (42241, 2307, 12, '擴大');
INSERT INTO `lang_definitions` VALUES (42242, 2308, 12, '全部展開');
INSERT INTO `lang_definitions` VALUES (42243, 2311, 12, '擴展視圖');
INSERT INTO `lang_definitions` VALUES (42244, 2312, 12, '預期form_encounter.pid是 ');
INSERT INTO `lang_definitions` VALUES (42245, 2313, 12, '過期 吐氣');
INSERT INTO `lang_definitions` VALUES (42246, 2314, 12, '過期日期');
INSERT INTO `lang_definitions` VALUES (42247, 2315, 12, '過期');
INSERT INTO `lang_definitions` VALUES (42248, 2316, 12, '到期');
INSERT INTO `lang_definitions` VALUES (42249, 2317, 12, '出口 輸出');
INSERT INTO `lang_definitions` VALUES (42250, 2318, 12, '以CSV格式輸出');
INSERT INTO `lang_definitions` VALUES (42251, 2319, 12, '導出配置');
INSERT INTO `lang_definitions` VALUES (42252, 2322, 12, '輸出病人的人口統計資料');
INSERT INTO `lang_definitions` VALUES (42253, 2323, 12, '輸出PQRI報告');
INSERT INTO `lang_definitions` VALUES (42254, 2325, 12, '以CSV格式選擇的輸出');
INSERT INTO `lang_definitions` VALUES (42255, 2326, 12, '導出選定的集合');
INSERT INTO `lang_definitions` VALUES (42256, 2327, 12, '導出到CSV');
INSERT INTO `lang_definitions` VALUES (42257, 2328, 12, '導出到外部計費系統');
INSERT INTO `lang_definitions` VALUES (42258, 2329, 12, '暴露於國外');
INSERT INTO `lang_definitions` VALUES (42259, 2330, 12, '暴露於國外');
INSERT INTO `lang_definitions` VALUES (42260, 2331, 12, '分機時收取');
INSERT INTO `lang_definitions` VALUES (42261, 2332, 12, '外部 表面');
INSERT INTO `lang_definitions` VALUES (42262, 2336, 12, '外用辨認器');
INSERT INTO `lang_definitions` VALUES (42263, 2337, 12, '外用辨認器');
INSERT INTO `lang_definitions` VALUES (42264, 2338, 12, '外用辨認器');
INSERT INTO `lang_definitions` VALUES (42265, 2339, 12, '外部只有');
INSERT INTO `lang_definitions` VALUES (42266, 2342, 12, '外部轉診');
INSERT INTO `lang_definitions` VALUES (42267, 2343, 12, '外部轉診追踪');
INSERT INTO `lang_definitions` VALUES (42268, 2344, 12, '外部轉診');
INSERT INTO `lang_definitions` VALUES (42269, 2345, 12, '外部轉診');
INSERT INTO `lang_definitions` VALUES (42270, 2346, 12, '解壓zip檔案');
INSERT INTO `lang_definitions` VALUES (42271, 2347, 12, '解壓縮檔案。這將花費一些時間...');
INSERT INTO `lang_definitions` VALUES (42272, 2348, 12, '滲出液：');
INSERT INTO `lang_definitions` VALUES (42273, 2349, 12, '眼睛刺痛');
INSERT INTO `lang_definitions` VALUES (42274, 2350, 12, '眼睛疼痛');
INSERT INTO `lang_definitions` VALUES (42275, 2351, 12, '眼睛發红');
INSERT INTO `lang_definitions` VALUES (42276, 2352, 12, '眼睛');
INSERT INTO `lang_definitions` VALUES (42277, 2354, 12, 'F / H級的血液問題');
INSERT INTO `lang_definitions` VALUES (42278, 2355, 12, 'F / H級女性多毛症/皮紋');
INSERT INTO `lang_definitions` VALUES (42279, 2356, 12, '設備');
INSERT INTO `lang_definitions` VALUES (42280, 2357, 12, '設備');
INSERT INTO `lang_definitions` VALUES (42281, 2358, 12, '設備');
INSERT INTO `lang_definitions` VALUES (42282, 2359, 12, '基金管理');
INSERT INTO `lang_definitions` VALUES (42283, 2360, 12, '設施的城市');
INSERT INTO `lang_definitions` VALUES (42284, 2361, 12, '設備代碼');
INSERT INTO `lang_definitions` VALUES (42285, 2362, 12, '設施的的國家代碼');
INSERT INTO `lang_definitions` VALUES (42286, 2363, 12, '設施的傳真');
INSERT INTO `lang_definitions` VALUES (42287, 2364, 12, '設施的名稱');
INSERT INTO `lang_definitions` VALUES (42288, 2365, 12, '設施的非營利機構');
INSERT INTO `lang_definitions` VALUES (42289, 2366, 12, '設施的電話');
INSERT INTO `lang_definitions` VALUES (42290, 2368, 12, '設施的狀態');
INSERT INTO `lang_definitions` VALUES (42291, 2369, 12, '設施的街道');
INSERT INTO `lang_definitions` VALUES (42292, 2370, 12, '設施的郵遞區號');
INSERT INTO `lang_definitions` VALUES (42293, 2372, 12, '設施：');
INSERT INTO `lang_definitions` VALUES (42294, 2373, 12, '失敗');
INSERT INTO `lang_definitions` VALUES (42295, 2374, 12, '失敗的');
INSERT INTO `lang_definitions` VALUES (42296, 2375, 12, '失敗的');
INSERT INTO `lang_definitions` VALUES (42297, 2383, 12, '失敗');
INSERT INTO `lang_definitions` VALUES (42298, 2390, 12, '家族史');
INSERT INTO `lang_definitions` VALUES (42299, 2391, 12, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (42300, 2392, 12, '家族史：');
INSERT INTO `lang_definitions` VALUES (42301, 2394, 12, '家庭補助金');
INSERT INTO `lang_definitions` VALUES (42302, 2395, 12, '家庭規模');
INSERT INTO `lang_definitions` VALUES (42303, 2396, 12, '幻想');
INSERT INTO `lang_definitions` VALUES (42304, 2398, 12, '波斯語');
INSERT INTO `lang_definitions` VALUES (42305, 2400, 12, '父親');
INSERT INTO `lang_definitions` VALUES (42306, 2402, 12, '疲勞');
INSERT INTO `lang_definitions` VALUES (42307, 2403, 12, '疲勞');
INSERT INTO `lang_definitions` VALUES (42308, 2404, 12, '傳真');
INSERT INTO `lang_definitions` VALUES (42309, 2405, 12, '傳真計數');
INSERT INTO `lang_definitions` VALUES (42310, 2406, 12, '傳真號碼');
INSERT INTO `lang_definitions` VALUES (42311, 2408, 12, '傳真/掃描');
INSERT INTO `lang_definitions` VALUES (42312, 2409, 12, '在傳真');
INSERT INTO `lang_definitions` VALUES (42313, 2410, 12, '傳真輸出');
INSERT INTO `lang_definitions` VALUES (42314, 2411, 12, '特點');
INSERT INTO `lang_definitions` VALUES (42315, 2412, 12, '二月');
INSERT INTO `lang_definitions` VALUES (42316, 2413, 12, '二月');
INSERT INTO `lang_definitions` VALUES (42317, 2414, 12, 'FECA');
INSERT INTO `lang_definitions` VALUES (42318, 2415, 12, '聯邦藥物證明');
INSERT INTO `lang_definitions` VALUES (42319, 2416, 12, '聯邦的EIN');
INSERT INTO `lang_definitions` VALUES (42320, 2417, 12, '聯邦稅號');
INSERT INTO `lang_definitions` VALUES (42321, 2418, 12, '費用');
INSERT INTO `lang_definitions` VALUES (42322, 2419, 12, '費用');
INSERT INTO `lang_definitions` VALUES (42323, 2420, 12, '費用是不允許使用');
INSERT INTO `lang_definitions` VALUES (42324, 2421, 12, '收費表');
INSERT INTO `lang_definitions` VALUES (42325, 2422, 12, '費用表選項');
INSERT INTO `lang_definitions` VALUES (42326, 2423, 12, '費用');
INSERT INTO `lang_definitions` VALUES (42327, 2424, 12, '女性');
INSERT INTO `lang_definitions` VALUES (42328, 2425, 12, '女性懷孕');
INSERT INTO `lang_definitions` VALUES (42329, 2426, 12, '女用避孕套');
INSERT INTO `lang_definitions` VALUES (42330, 2427, 12, '女性G');
INSERT INTO `lang_definitions` VALUES (42331, 2428, 12, '女性立法');
INSERT INTO `lang_definitions` VALUES (42332, 2429, 12, '女性P級');
INSERT INTO `lang_definitions` VALUES (42333, 2430, 12, '女性的症狀');
INSERT INTO `lang_definitions` VALUES (42334, 2431, 12, '女性VSC');
INSERT INTO `lang_definitions` VALUES (42335, 2434, 12, '發燒');
INSERT INTO `lang_definitions` VALUES (42336, 2435, 12, '發燒：');
INSERT INTO `lang_definitions` VALUES (42337, 2436, 12, '家族性高膽固醇血症血液問題');
INSERT INTO `lang_definitions` VALUES (42338, 2437, 12, '子宮肌瘤');
INSERT INTO `lang_definitions` VALUES (42339, 2441, 12, '在國家人口統計學中单位或用戶使用的字段類型。');
INSERT INTO `lang_definitions` VALUES (42340, 2442, 12, '在州人口統計學中单位或用戶使用的字段類型。');
INSERT INTO `lang_definitions` VALUES (42341, 2443, 12, '場（S）失踪了！');
INSERT INTO `lang_definitions` VALUES (42342, 2447, 12, '檔案');
INSERT INTO `lang_definitions` VALUES (42343, 2448, 12, '在“文檔”目錄中的檔案，以了解如何創建日誌備份過程自動化');
INSERT INTO `lang_definitions` VALUES (42344, 2449, 12, '檔案的位置');
INSERT INTO `lang_definitions` VALUES (42345, 2450, 12, '檔案處理');
INSERT INTO `lang_definitions` VALUES (42346, 2453, 12, '檔案授予權限給LibreEHR用戶');
INSERT INTO `lang_definitions` VALUES (42347, 2455, 12, '檔案室');
INSERT INTO `lang_definitions` VALUES (42348, 2456, 12, '上傳檔案');
INSERT INTO `lang_definitions` VALUES (42349, 2458, 12, '具有相同名稱的檔案已經存在在位置：');
INSERT INTO `lang_definitions` VALUES (42350, 2459, 12, '檔案名稱');
INSERT INTO `lang_definitions` VALUES (42351, 2461, 12, '檔案');
INSERT INTO `lang_definitions` VALUES (42352, 2462, 12, '菲律賓');
INSERT INTO `lang_definitions` VALUES (42353, 2463, 12, '填寫下行所有');
INSERT INTO `lang_definitions` VALUES (42354, 2464, 12, '只有發送電子郵件通知病人在這裡填寫');
INSERT INTO `lang_definitions` VALUES (42355, 2465, 12, '填寫以下的值');
INSERT INTO `lang_definitions` VALUES (42356, 2467, 12, '填充這一行。');
INSERT INTO `lang_definitions` VALUES (42357, 2468, 12, '過濾');
INSERT INTO `lang_definitions` VALUES (42358, 2469, 12, '過濾常量');
INSERT INTO `lang_definitions` VALUES (42359, 2470, 12, '過濾的定義');
INSERT INTO `lang_definitions` VALUES (42360, 2473, 12, '過濾');
INSERT INTO `lang_definitions` VALUES (42361, 2474, 12, '最後');
INSERT INTO `lang_definitions` VALUES (42362, 2475, 12, '最後診斷');
INSERT INTO `lang_definitions` VALUES (42363, 2476, 12, '專家下的最後診斷');
INSERT INTO `lang_definitions` VALUES (42364, 2478, 12, '金融');
INSERT INTO `lang_definitions` VALUES (42365, 2479, 12, '財務結算日期(年年年年/月月/日日)');
INSERT INTO `lang_definitions` VALUES (42366, 2480, 12, '任何財務報告');
INSERT INTO `lang_definitions` VALUES (42367, 2481, 12, '財務報告 - 我的遭遇');
INSERT INTO `lang_definitions` VALUES (42368, 2482, 12, '財務審查日期');
INSERT INTO `lang_definitions` VALUES (42369, 2484, 12, '發現');
INSERT INTO `lang_definitions` VALUES (42370, 2485, 12, '找到可用的');
INSERT INTO `lang_definitions` VALUES (42371, 2486, 12, '找到可用的預約');
INSERT INTO `lang_definitions` VALUES (42372, 2487, 12, '找到病人');
INSERT INTO `lang_definitions` VALUES (42373, 2488, 12, '病患教育資源');
INSERT INTO `lang_definitions` VALUES (42374, 2489, 12, '發現');
INSERT INTO `lang_definitions` VALUES (42375, 2490, 12, '由專家發現');
INSERT INTO `lang_definitions` VALUES (42376, 2491, 12, '罰款');
INSERT INTO `lang_definitions` VALUES (42377, 2492, 12, '完成付款');
INSERT INTO `lang_definitions` VALUES (42378, 2495, 12, '第一');
INSERT INTO `lang_definitions` VALUES (42379, 2497, 12, '一週的第一天');
INSERT INTO `lang_definitions` VALUES (42380, 2498, 12, '名字');
INSERT INTO `lang_definitions` VALUES (42381, 2499, 12, '名字');
INSERT INTO `lang_definitions` VALUES (42382, 2500, 12, '名字：');
INSERT INTO `lang_definitions` VALUES (42383, 2503, 12, '適用性');
INSERT INTO `lang_definitions` VALUES (42384, 2504, 12, '體能程度');
INSERT INTO `lang_definitions` VALUES (42385, 2505, 12, '這個球員在這一天的體能程度');
INSERT INTO `lang_definitions` VALUES (42386, 2507, 12, '是否適合播放');
INSERT INTO `lang_definitions` VALUES (42387, 2508, 12, '修正遇到的日期 - 任何遭遇');
INSERT INTO `lang_definitions` VALUES (42388, 2509, 12, '解決這個問題');
INSERT INTO `lang_definitions` VALUES (42389, 2510, 12, '佛羅里達州');
INSERT INTO `lang_definitions` VALUES (42390, 2511, 12, '脹氣');
INSERT INTO `lang_definitions` VALUES (42391, 2512, 12, '流量');
INSERT INTO `lang_definitions` VALUES (42392, 2514, 12, '流感季節');
INSERT INTO `lang_definitions` VALUES (42393, 2515, 12, '流感季節');
INSERT INTO `lang_definitions` VALUES (42394, 2516, 12, '流感疫苗注射');
INSERT INTO `lang_definitions` VALUES (42395, 2517, 12, '液體與電解質問題');
INSERT INTO `lang_definitions` VALUES (42396, 2518, 12, '柔性製造系統');
INSERT INTO `lang_definitions` VALUES (42397, 2520, 12, '按照手動方式');
INSERT INTO `lang_definitions` VALUES (42398, 2522, 12, '追蹤');
INSERT INTO `lang_definitions` VALUES (42399, 2524, 12, '追蹤理由');
INSERT INTO `lang_definitions` VALUES (42400, 2525, 12, '下面是一個新的自訂常數：');
INSERT INTO `lang_definitions` VALUES (42401, 2526, 12, '下面是一個新的自訂語言：');
INSERT INTO `lang_definitions` VALUES (42402, 2527, 12, '下面是一個新的定義（語言，常數，定義）：');
INSERT INTO `lang_definitions` VALUES (42403, 2529, 12, '後續服務');
INSERT INTO `lang_definitions` VALUES (42404, 2530, 12, '追踪指示');
INSERT INTO `lang_definitions` VALUES (42405, 2531, 12, '食物不耐症');
INSERT INTO `lang_definitions` VALUES (42406, 2532, 12, '腳');
INSERT INTO `lang_definitions` VALUES (42407, 2533, 12, '足部問題');
INSERT INTO `lang_definitions` VALUES (42408, 2534, 12, '腳：');
INSERT INTO `lang_definitions` VALUES (42409, 2535, 12, '足球傷害');
INSERT INTO `lang_definitions` VALUES (42410, 2537, 12, '足球傷亡報告');
INSERT INTO `lang_definitions` VALUES (42411, 2538, 12, '鞋類類型');
INSERT INTO `lang_definitions` VALUES (42412, 2539, 12, '為 針對');
INSERT INTO `lang_definitions` VALUES (42413, 2540, 12, '為 針對');
INSERT INTO `lang_definitions` VALUES (42414, 2541, 12, '對於代碼');
INSERT INTO `lang_definitions` VALUES (42415, 2543, 12, '對於遭遇索賠');
INSERT INTO `lang_definitions` VALUES (42416, 2544, 12, '例如：');
INSERT INTO `lang_definitions` VALUES (42417, 2547, 12, '發票');
INSERT INTO `lang_definitions` VALUES (42418, 2548, 12, '為了醫療保險，強迫 提供者要和 提供者一樣。');
INSERT INTO `lang_definitions` VALUES (42419, 2552, 12, '所提的組織/實踐者');
INSERT INTO `lang_definitions` VALUES (42420, 2553, 12, '在過去');
INSERT INTO `lang_definitions` VALUES (42421, 2554, 12, '為可變');
INSERT INTO `lang_definitions` VALUES (42422, 2555, 12, '為：');
INSERT INTO `lang_definitions` VALUES (42423, 2556, 12, '部隊帳單控件開啟');
INSERT INTO `lang_definitions` VALUES (42424, 2557, 12, '迫使建立新病人');
INSERT INTO `lang_definitions` VALUES (42425, 2559, 12, '前臂');
INSERT INTO `lang_definitions` VALUES (42426, 2560, 12, '表格');
INSERT INTO `lang_definitions` VALUES (42427, 2561, 12, '表格');
INSERT INTO `lang_definitions` VALUES (42428, 2564, 12, '格式化');
INSERT INTO `lang_definitions` VALUES (42429, 2565, 12, '格式化');
INSERT INTO `lang_definitions` VALUES (42430, 2567, 12, '格式化不正確的國防委員會');
INSERT INTO `lang_definitions` VALUES (42431, 2568, 12, '格式化用於顯示最多的日期');
INSERT INTO `lang_definitions` VALUES (42432, 2569, 12, '格式化用於顯示最多的時間');
INSERT INTO `lang_definitions` VALUES (42433, 2570, 12, '格式化的報告');
INSERT INTO `lang_definitions` VALUES (42434, 2571, 12, '原吸煙者');
INSERT INTO `lang_definitions` VALUES (42435, 2572, 12, '形式 表單');
INSERT INTO `lang_definitions` VALUES (42436, 2573, 12, '表格管理');
INSERT INTO `lang_definitions` VALUES (42437, 2576, 12, '向前頁經由傳真');
INSERT INTO `lang_definitions` VALUES (42438, 2577, 12, '轉發 送交');
INSERT INTO `lang_definitions` VALUES (42439, 2579, 12, '第四個 四次');
INSERT INTO `lang_definitions` VALUES (42440, 2581, 12, '骨折');
INSERT INTO `lang_definitions` VALUES (42441, 2582, 12, '舟狀骨骨折');
INSERT INTO `lang_definitions` VALUES (42442, 2583, 12, '外踝骨折');
INSERT INTO `lang_definitions` VALUES (42443, 2584, 12, '內踝骨折');
INSERT INTO `lang_definitions` VALUES (42444, 2585, 12, '骨折，第五（五）蹠骨底');
INSERT INTO `lang_definitions` VALUES (42445, 2587, 12, '法國人');
INSERT INTO `lang_definitions` VALUES (42446, 2590, 12, '頻率');
INSERT INTO `lang_definitions` VALUES (42447, 2591, 12, '經常感冒');
INSERT INTO `lang_definitions` VALUES (42448, 2592, 12, '經常生病');
INSERT INTO `lang_definitions` VALUES (42449, 2593, 12, '星期五');
INSERT INTO `lang_definitions` VALUES (42450, 2594, 12, '星期五');
INSERT INTO `lang_definitions` VALUES (42451, 2595, 12, '從');
INSERT INTO `lang_definitions` VALUES (42452, 2596, 12, '從');
INSERT INTO `lang_definitions` VALUES (42453, 2597, 12, '從');
INSERT INTO `lang_definitions` VALUES (42454, 2598, 12, '從不能比迄今為止更大的日期。');
INSERT INTO `lang_definitions` VALUES (42455, 2599, 12, '來自：');
INSERT INTO `lang_definitions` VALUES (42456, 2600, 12, '來自： ');
INSERT INTO `lang_definitions` VALUES (42457, 2601, 12, '來自城市');
INSERT INTO `lang_definitions` VALUES (42458, 2613, 12, '前台辦公室');
INSERT INTO `lang_definitions` VALUES (42459, 2614, 12, '前台辦公室收據');
INSERT INTO `lang_definitions` VALUES (42460, 2615, 12, '前台辦公室收益報告');
INSERT INTO `lang_definitions` VALUES (42461, 2616, 12, '接待記錄');
INSERT INTO `lang_definitions` VALUES (42462, 2617, 12, '右額葉：');
INSERT INTO `lang_definitions` VALUES (42463, 2619, 12, '全名');
INSERT INTO `lang_definitions` VALUES (42464, 2620, 12, '包含MySQL可執行程序的目錄得完整路徑。');
INSERT INTO `lang_definitions` VALUES (42465, 2621, 12, '包含Perl可執行程序的目錄的完整路徑。');
INSERT INTO `lang_definitions` VALUES (42466, 2622, 12, '事件日誌備份目錄的完整路徑。');
INSERT INTO `lang_definitions` VALUES (42467, 2623, 12, '用於暫存檔案的目錄的完整路徑。');
INSERT INTO `lang_definitions` VALUES (42468, 2624, 12, '充分發揮');
INSERT INTO `lang_definitions` VALUES (42469, 2625, 12, '完整的訓練');
INSERT INTO `lang_definitions` VALUES (42470, 2626, 12, '全數支付');
INSERT INTO `lang_definitions` VALUES (42471, 2634, 12, 'G/DL');
INSERT INTO `lang_definitions` VALUES (42472, 2636, 12, '膽囊情況');
INSERT INTO `lang_definitions` VALUES (42473, 2637, 12, '膽結石');
INSERT INTO `lang_definitions` VALUES (42474, 2638, 12, '比賽期間');
INSERT INTO `lang_definitions` VALUES (42475, 2639, 12, '遊戲 運動會');
INSERT INTO `lang_definitions` VALUES (42476, 2640, 12, '遊戲錯過');
INSERT INTO `lang_definitions` VALUES (42477, 2641, 12, '遊戲/事件');
INSERT INTO `lang_definitions` VALUES (42478, 2642, 12, '遊戲/事件錯過');
INSERT INTO `lang_definitions` VALUES (42479, 2644, 12, '胃炎');
INSERT INTO `lang_definitions` VALUES (42480, 2645, 12, '胃痛');
INSERT INTO `lang_definitions` VALUES (42481, 2646, 12, '腸胃道的');
INSERT INTO `lang_definitions` VALUES (42482, 2647, 12, 'GCAC統計報告');
INSERT INTO `lang_definitions` VALUES (42483, 2648, 12, 'GCAC統計');
INSERT INTO `lang_definitions` VALUES (42484, 2649, 12, 'GCAC訪問表單失踪');
INSERT INTO `lang_definitions` VALUES (42485, 2650, 12, '性別');
INSERT INTO `lang_definitions` VALUES (42486, 2651, 12, '性別 ');
INSERT INTO `lang_definitions` VALUES (42487, 2652, 12, '性別的');
INSERT INTO `lang_definitions` VALUES (42488, 2655, 12, '一般服務類別');
INSERT INTO `lang_definitions` VALUES (42489, 2657, 12, '創造和下載CMS1500文件索賠');
INSERT INTO `lang_definitions` VALUES (42490, 2658, 12, '創造和下載HCFA1500文件索賠');
INSERT INTO `lang_definitions` VALUES (42491, 2659, 12, '生成並下載X12的批次');
INSERT INTO `lang_definitions` VALUES (42492, 2660, 12, '生成並下載X12的遭遇索賠批次');
INSERT INTO `lang_definitions` VALUES (42493, 2663, 12, '以電子方式生成和傳輸允許的處方。');
INSERT INTO `lang_definitions` VALUES (42494, 2664, 12, '創造CMS1500');
INSERT INTO `lang_definitions` VALUES (42495, 2665, 12, '創造CMS1500PDF');
INSERT INTO `lang_definitions` VALUES (42496, 2666, 12, '創造CMS1500案文');
INSERT INTO `lang_definitions` VALUES (42497, 2667, 12, '創造HCFA');
INSERT INTO `lang_definitions` VALUES (42498, 2669, 12, '創造的信');
INSERT INTO `lang_definitions` VALUES (42499, 2670, 12, '創造的信有關 ');
INSERT INTO `lang_definitions` VALUES (42500, 2671, 12, '創造PQRI報告（A法）');
INSERT INTO `lang_definitions` VALUES (42501, 2673, 12, '創造PQRI報告（E法）');
INSERT INTO `lang_definitions` VALUES (42502, 2677, 12, '創造的報告');
INSERT INTO `lang_definitions` VALUES (42503, 2678, 12, '創造用戶名和密碼');
INSERT INTO `lang_definitions` VALUES (42504, 2679, 12, '創造X12的');
INSERT INTO `lang_definitions` VALUES (42505, 2680, 12, '創造X12的遭遇');
INSERT INTO `lang_definitions` VALUES (42506, 2682, 12, '製作於');
INSERT INTO `lang_definitions` VALUES (42507, 2683, 12, '產生');
INSERT INTO `lang_definitions` VALUES (42508, 2684, 12, '泌尿生殖系統');
INSERT INTO `lang_definitions` VALUES (42509, 2687, 12, '德國人');
INSERT INTO `lang_definitions` VALUES (42510, 2691, 12, '得到的HL7');
INSERT INTO `lang_definitions` VALUES (42511, 2692, 12, '青光眼');
INSERT INTO `lang_definitions` VALUES (42512, 2693, 12, '青光眼家族史');
INSERT INTO `lang_definitions` VALUES (42513, 2694, 12, '全球');
INSERT INTO `lang_definitions` VALUES (42514, 2696, 12, '全球認證');
INSERT INTO `lang_definitions` VALUES (42515, 2697, 12, '全球設置');
INSERT INTO `lang_definitions` VALUES (42516, 2698, 12, '全局數據');
INSERT INTO `lang_definitions` VALUES (42517, 2699, 12, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (42518, 2700, 12, '去');
INSERT INTO `lang_definitions` VALUES (42519, 2701, 12, '去');
INSERT INTO `lang_definitions` VALUES (42520, 2704, 12, '到');
INSERT INTO `lang_definitions` VALUES (42521, 2705, 12, '轉到星期的');
INSERT INTO `lang_definitions` VALUES (42522, 2706, 12, '今天去');
INSERT INTO `lang_definitions` VALUES (42523, 2711, 12, '受傷程度');
INSERT INTO `lang_definitions` VALUES (42524, 2712, 12, '程度：');
INSERT INTO `lang_definitions` VALUES (42525, 2713, 12, '公克');
INSERT INTO `lang_definitions` VALUES (42526, 2714, 12, '累計');
INSERT INTO `lang_definitions` VALUES (42527, 2715, 12, '總計');
INSERT INTO `lang_definitions` VALUES (42528, 2718, 12, 'Graphable');
INSERT INTO `lang_definitions` VALUES (42529, 2720, 12, '大於');
INSERT INTO `lang_definitions` VALUES (42530, 2721, 12, '大於或等於');
INSERT INTO `lang_definitions` VALUES (42531, 2722, 12, '希臘語');
INSERT INTO `lang_definitions` VALUES (42532, 2724, 12, '團體 組');
INSERT INTO `lang_definitions` VALUES (42533, 2725, 12, '組名');
INSERT INTO `lang_definitions` VALUES (42534, 2726, 12, '組名不能空白');
INSERT INTO `lang_definitions` VALUES (42535, 2727, 12, '團體名稱不能用數字開始或空格。');
INSERT INTO `lang_definitions` VALUES (42536, 2728, 12, '團體名稱不能用數字開始。');
INSERT INTO `lang_definitions` VALUES (42537, 2729, 12, '團體號碼');
INSERT INTO `lang_definitions` VALUES (42538, 2730, 12, '團體支付');
INSERT INTO `lang_definitions` VALUES (42539, 2731, 12, '組：');
INSERT INTO `lang_definitions` VALUES (42540, 2732, 12, '組的名稱');
INSERT INTO `lang_definitions` VALUES (42541, 2733, 12, '團體和存取控制');
INSERT INTO `lang_definitions` VALUES (42542, 2734, 12, '生長曲線圖');
INSERT INTO `lang_definitions` VALUES (42543, 2735, 12, '生長曲線圖');
INSERT INTO `lang_definitions` VALUES (42544, 2736, 12, '滴');
INSERT INTO `lang_definitions` VALUES (42545, 2737, 12, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (42546, 2739, 12, '監護人的姓名');
INSERT INTO `lang_definitions` VALUES (42547, 2741, 12, '婦科檢查');
INSERT INTO `lang_definitions` VALUES (42548, 2743, 12, '睡前');
INSERT INTO `lang_definitions` VALUES (42549, 2744, 12, '肝癌病史');
INSERT INTO `lang_definitions` VALUES (42550, 2745, 12, '已經成功刪除。如果存在任何次類別已被移到下面');
INSERT INTO `lang_definitions` VALUES (42551, 2746, 12, '血腫/瘀傷');
INSERT INTO `lang_definitions` VALUES (42552, 2747, 12, '紅血球凝集抑制作用情形');
INSERT INTO `lang_definitions` VALUES (42553, 2750, 12, '手+手指');
INSERT INTO `lang_definitions` VALUES (42554, 2751, 12, '手的問題');
INSERT INTO `lang_definitions` VALUES (42555, 2753, 12, '無困難');
INSERT INTO `lang_definitions` VALUES (42556, 2754, 12, '已經與訪視連結');
INSERT INTO `lang_definitions` VALUES (42557, 2755, 12, '已過期');
INSERT INTO `lang_definitions` VALUES (42558, 2756, 12, '散列');
INSERT INTO `lang_definitions` VALUES (42559, 2757, 12, '哈希不存在於此文件。產生一個新的哈希。');
INSERT INTO `lang_definitions` VALUES (42560, 2758, 12, '哈希不匹配。資料的完整性被破壞。');
INSERT INTO `lang_definitions` VALUES (42561, 2760, 12, '夏威夷');
INSERT INTO `lang_definitions` VALUES (42562, 2761, 12, '危險活動');
INSERT INTO `lang_definitions` VALUES (42563, 2762, 12, '危險活動');
INSERT INTO `lang_definitions` VALUES (42564, 2763, 12, '以點為HCFA左邊距');
INSERT INTO `lang_definitions` VALUES (42565, 2764, 12, 'HCFA保證金');
INSERT INTO `lang_definitions` VALUES (42566, 2765, 12, '以點為HCFA上邊距');
INSERT INTO `lang_definitions` VALUES (42567, 2767, 12, '他張貼日曆 ');
INSERT INTO `lang_definitions` VALUES (42568, 2768, 12, '頭');
INSERT INTO `lang_definitions` VALUES (42569, 2769, 12, '頭圍');
INSERT INTO `lang_definitions` VALUES (42570, 2770, 12, '頭圍');
INSERT INTO `lang_definitions` VALUES (42571, 2771, 12, '頭痛');
INSERT INTO `lang_definitions` VALUES (42572, 2772, 12, '頭痛');
INSERT INTO `lang_definitions` VALUES (42573, 2773, 12, '醫療保健業務');
INSERT INTO `lang_definitions` VALUES (42574, 2774, 12, '醫療保健業務');
INSERT INTO `lang_definitions` VALUES (42575, 2775, 12, '健康中心/診所');
INSERT INTO `lang_definitions` VALUES (42576, 2776, 12, '健康維護組織');
INSERT INTO `lang_definitions` VALUES (42577, 2777, 12, '健康維護組織（HMO）醫療保險風險');
INSERT INTO `lang_definitions` VALUES (42578, 2778, 12, '聽力喪失');
INSERT INTO `lang_definitions` VALUES (42579, 2779, 12, '心臟病發作');
INSERT INTO `lang_definitions` VALUES (42580, 2780, 12, '心臟疾病');
INSERT INTO `lang_definitions` VALUES (42581, 2781, 12, '心衰竭');
INSERT INTO `lang_definitions` VALUES (42582, 2782, 12, '心臟問題');
INSERT INTO `lang_definitions` VALUES (42583, 2783, 12, '心臟問題');
INSERT INTO `lang_definitions` VALUES (42584, 2784, 12, '心臟手術');
INSERT INTO `lang_definitions` VALUES (42585, 2785, 12, '心臟移植');
INSERT INTO `lang_definitions` VALUES (42586, 2786, 12, '心臟：');
INSERT INTO `lang_definitions` VALUES (42587, 2787, 12, '胃灼熱');
INSERT INTO `lang_definitions` VALUES (42588, 2788, 12, '熱或冷');
INSERT INTO `lang_definitions` VALUES (42589, 2789, 12, '熱或冷');
INSERT INTO `lang_definitions` VALUES (42590, 2791, 12, '希伯來文');
INSERT INTO `lang_definitions` VALUES (42591, 2793, 12, '頭眼睛耳朵鼻子喉嚨');
INSERT INTO `lang_definitions` VALUES (42592, 2794, 12, '身高');
INSERT INTO `lang_definitions` VALUES (42593, 2796, 12, '幫助');
INSERT INTO `lang_definitions` VALUES (42594, 2797, 12, '幫助');
INSERT INTO `lang_definitions` VALUES (42595, 2798, 12, '吐血');
INSERT INTO `lang_definitions` VALUES (42596, 2799, 12, '便血');
INSERT INTO `lang_definitions` VALUES (42597, 2800, 12, '血液學');
INSERT INTO `lang_definitions` VALUES (42598, 2801, 12, '血尿');
INSERT INTO `lang_definitions` VALUES (42599, 2802, 12, '血色素');
INSERT INTO `lang_definitions` VALUES (42600, 2803, 12, '糖化血紅蛋白');
INSERT INTO `lang_definitions` VALUES (42601, 2804, 12, '咯血');
INSERT INTO `lang_definitions` VALUES (42602, 2805, 12, '肝炎');
INSERT INTO `lang_definitions` VALUES (42603, 2806, 12, 'A型肝炎1');
INSERT INTO `lang_definitions` VALUES (42604, 2807, 12, 'A型肝炎2');
INSERT INTO `lang_definitions` VALUES (42605, 2808, 12, 'B型肝炎1');
INSERT INTO `lang_definitions` VALUES (42606, 2809, 12, 'B型肝炎2');
INSERT INTO `lang_definitions` VALUES (42607, 2810, 12, 'B型肝炎3');
INSERT INTO `lang_definitions` VALUES (42608, 2811, 12, '這裡');
INSERT INTO `lang_definitions` VALUES (42609, 2813, 12, '疝氣修補');
INSERT INTO `lang_definitions` VALUES (42610, 2814, 12, '椎間盤突出');
INSERT INTO `lang_definitions` VALUES (42611, 2815, 12, '皰疹');
INSERT INTO `lang_definitions` VALUES (42612, 2816, 12, '猶豫');
INSERT INTO `lang_definitions` VALUES (42613, 2817, 12, 'heyyo。你一直在這裡為 ');
INSERT INTO `lang_definitions` VALUES (42614, 2818, 12, 'B型嗜血桿菌疫苗1');
INSERT INTO `lang_definitions` VALUES (42615, 2819, 12, 'B型嗜血桿菌疫苗2');
INSERT INTO `lang_definitions` VALUES (42616, 2820, 12, 'B型嗜血桿菌疫苗3');
INSERT INTO `lang_definitions` VALUES (42617, 2821, 12, 'B型嗜血桿菌疫苗4');
INSERT INTO `lang_definitions` VALUES (42618, 2822, 12, '隱藏');
INSERT INTO `lang_definitions` VALUES (42619, 2823, 12, '政務隱藏事件');
INSERT INTO `lang_definitions` VALUES (42620, 2824, 12, '隱藏');
INSERT INTO `lang_definitions` VALUES (42621, 2825, 12, '隱藏的詳情');
INSERT INTO `lang_definitions` VALUES (42622, 2827, 12, '隱藏在文檔管理的加密/解密選項');
INSERT INTO `lang_definitions` VALUES (42623, 2828, 12, '隱藏菜單');
INSERT INTO `lang_definitions` VALUES (42624, 2831, 12, '隱藏/顯示列');
INSERT INTO `lang_definitions` VALUES (42625, 2833, 12, '高');
INSERT INTO `lang_definitions` VALUES (42626, 2834, 12, '高血壓');
INSERT INTO `lang_definitions` VALUES (42627, 2835, 12, '印地文');
INSERT INTO `lang_definitions` VALUES (42628, 2836, 12, '髖部+腹股溝');
INSERT INTO `lang_definitions` VALUES (42629, 2837, 12, '髖部與腹股溝');
INSERT INTO `lang_definitions` VALUES (42630, 2838, 12, '髖部問題');
INSERT INTO `lang_definitions` VALUES (42631, 2839, 12, '髖關節置換');
INSERT INTO `lang_definitions` VALUES (42632, 2840, 12, 'HIPAA收到的通知');
INSERT INTO `lang_definitions` VALUES (42633, 2842, 12, '多毛/皮紋');
INSERT INTO `lang_definitions` VALUES (42634, 2843, 12, '西班牙裔美國人');
INSERT INTO `lang_definitions` VALUES (42635, 2844, 12, '其他拉美裔（生於美國）');
INSERT INTO `lang_definitions` VALUES (42636, 2845, 12, '西班牙裔美國人 - （美國以外出生）');
INSERT INTO `lang_definitions` VALUES (42637, 2846, 12, '西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (42638, 2847, 12, '歷史');
INSERT INTO `lang_definitions` VALUES (42639, 2848, 12, '歷史數據');
INSERT INTO `lang_definitions` VALUES (42640, 2849, 12, '歷史數據');
INSERT INTO `lang_definitions` VALUES (42641, 2851, 12, '雜音史');
INSERT INTO `lang_definitions` VALUES (42642, 2852, 12, '無授權史');
INSERT INTO `lang_definitions` VALUES (42643, 2853, 12, '心臟雜音史');
INSERT INTO `lang_definitions` VALUES (42644, 2854, 12, '次數');
INSERT INTO `lang_definitions` VALUES (42645, 2855, 12, '人類免疫缺失病毒');
INSERT INTO `lang_definitions` VALUES (42646, 2858, 12, 'HL7的瀏覽器');
INSERT INTO `lang_definitions` VALUES (42647, 2860, 12, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (42648, 2861, 12, '苗族');
INSERT INTO `lang_definitions` VALUES (42649, 2862, 12, '按住[Ctrl]鍵可多重選擇或取消選擇');
INSERT INTO `lang_definitions` VALUES (42650, 2863, 12, '按住Ctrl鍵選取多個項目');
INSERT INTO `lang_definitions` VALUES (42651, 2864, 12, '按住Ctrl鍵選擇多個小隊');
INSERT INTO `lang_definitions` VALUES (42652, 2865, 12, '首頁');
INSERT INTO `lang_definitions` VALUES (42653, 2866, 12, '家裡電話');
INSERT INTO `lang_definitions` VALUES (42654, 2867, 12, '家裡電話號碼');
INSERT INTO `lang_definitions` VALUES (42655, 2868, 12, '無家可歸者或類似的嗎？');
INSERT INTO `lang_definitions` VALUES (42656, 2869, 12, '無家可歸者，等等');
INSERT INTO `lang_definitions` VALUES (42657, 2870, 12, '無家可歸者，等等。');
INSERT INTO `lang_definitions` VALUES (42658, 2872, 12, '主機名稱');
INSERT INTO `lang_definitions` VALUES (42659, 2873, 12, '主機名稱不能是空白');
INSERT INTO `lang_definitions` VALUES (42660, 2875, 12, '小時');
INSERT INTO `lang_definitions` VALUES (42661, 2876, 12, '小時');
INSERT INTO `lang_definitions` VALUES (42662, 2878, 12, '傷害是怎麼發生？');
INSERT INTO `lang_definitions` VALUES (42663, 2879, 12, '傷害是怎麼發生？');
INSERT INTO `lang_definitions` VALUES (42664, 2880, 12, '他們是如何得知我們');
INSERT INTO `lang_definitions` VALUES (42665, 2881, 12, '多少個月提前為即將到來的事件查詢？');
INSERT INTO `lang_definitions` VALUES (42666, 2882, 12, '華能國際：');
INSERT INTO `lang_definitions` VALUES (42667, 2883, 12, '羥色胺 高溫');
INSERT INTO `lang_definitions` VALUES (42668, 2884, 12, 'HTML');
INSERT INTO `lang_definitions` VALUES (42669, 2886, 12, 'HTTPS連結LibreEHR支持LLC實驗室交換服務。');
INSERT INTO `lang_definitions` VALUES (42670, 2888, 12, 'HylaFax目錄');
INSERT INTO `lang_definitions` VALUES (42671, 2889, 12, 'HylaFax等Enscript指令');
INSERT INTO `lang_definitions` VALUES (42672, 2890, 12, 'HylaFAX服務器');
INSERT INTO `lang_definitions` VALUES (42673, 2891, 12, 'HylaFAX服務器的主機名。');
INSERT INTO `lang_definitions` VALUES (42674, 2892, 12, '亢進 過度活躍');
INSERT INTO `lang_definitions` VALUES (42675, 2893, 12, '高血壓');
INSERT INTO `lang_definitions` VALUES (42676, 2894, 12, '高血壓：血壓測量');
INSERT INTO `lang_definitions` VALUES (42677, 2895, 12, '高血壓：血壓測量（CQM）');
INSERT INTO `lang_definitions` VALUES (42678, 2896, 12, '甲狀腺功能亢進症');
INSERT INTO `lang_definitions` VALUES (42679, 2897, 12, '甲狀腺功能過低症');
INSERT INTO `lang_definitions` VALUES (42680, 2898, 12, '子宮切除術');
INSERT INTO `lang_definitions` VALUES (42681, 2900, 12, '我這段時間忙。');
INSERT INTO `lang_definitions` VALUES (42682, 2901, 12, '我沒有權限讀取 ');
INSERT INTO `lang_definitions` VALUES (42683, 2902, 12, '國際疾病分類');
INSERT INTO `lang_definitions` VALUES (42684, 2905, 12, '國際疾病分類9');
INSERT INTO `lang_definitions` VALUES (42685, 2909, 12, '身份證 識別碼');
INSERT INTO `lang_definitions` VALUES (42686, 2910, 12, '身份證 識別碼');
INSERT INTO `lang_definitions` VALUES (42687, 2911, 12, '身份證 不能空白');
INSERT INTO `lang_definitions` VALUES (42688, 2912, 12, '身分證');
INSERT INTO `lang_definitions` VALUES (42689, 2913, 12, 'IDays');
INSERT INTO `lang_definitions` VALUES (42690, 2914, 12, '確定為');
INSERT INTO `lang_definitions` VALUES (42691, 2915, 12, '標識符（一個字）');
INSERT INTO `lang_definitions` VALUES (42692, 2917, 12, '閒置工作階段逾秒');
INSERT INTO `lang_definitions` VALUES (42693, 2919, 12, '如果所有列的所有數據都完成這種形式');
INSERT INTO `lang_definitions` VALUES (42694, 2920, 12, '如果使用計費的理由是輸入診斷代碼類型的名稱。');
INSERT INTO `lang_definitions` VALUES (42695, 2921, 12, '如果進入，只能選擇有此服務的那些');
INSERT INTO `lang_definitions` VALUES (42696, 2922, 12, '如果名稱，任何部分姓氏或姓氏，名字');
INSERT INTO `lang_definitions` VALUES (42697, 2923, 12, '如果支付');
INSERT INTO `lang_definitions` VALUES (42698, 2924, 12, '如果人去世了，那麼輸入死亡日期。');
INSERT INTO `lang_definitions` VALUES (42699, 2925, 12, '如果使用SMTP，服務器的主機名或IP位址。');
INSERT INTO `lang_definitions` VALUES (42700, 2926, 12, '如果使用SMTP，服務器的TCP連接埠號碼（通常為25）。');
INSERT INTO `lang_definitions` VALUES (42701, 2927, 12, '如果無業 輸入學生');
INSERT INTO `lang_definitions` VALUES (42702, 2929, 12, '如果您更改E-RX對ePrescription的角色，它可能會影響ePrescription工作流程。如果您遇到任何困難，請聯繫您ePrescription供應商');
INSERT INTO `lang_definitions` VALUES (42703, 2931, 12, '如果您已選擇上傳電子匯款，然後從X12檔案在搜索窗口重新顯示匹配的發票。你可以點擊任何這些發票號碼（如下所述）如果你想在已經使用匯款信息之前進行任何修改，請單擊頁面底部的過程ERA檔案按鈕，這將產生一份有詳細的報告的新窗口。');
INSERT INTO `lang_definitions` VALUES (42704, 2932, 12, '如果你在搜索頁面輸入付費的日期，這將覆蓋付費的張貼的日期，否則要從X12檔案取得，調整過帳日期。這可能是有用的報告目的，如果你想你的收益報告使用您張貼的日期，而不是保險公司“處理日期。注意，這也將影響到二次索賠事先支付和調整的日期。');
INSERT INTO `lang_definitions` VALUES (42705, 2933, 12, '如果你想改變數據類型，或添加行或列');
INSERT INTO `lang_definitions` VALUES (42706, 2934, 12, '如果你要升級資料庫，然後將資料庫zip檔案放置如果你要升級的資料庫，然後將其放置資料庫zip文件在以下目錄中在以下目錄中');
INSERT INTO `lang_definitions` VALUES (42707, 2936, 12, '忽略');
INSERT INTO `lang_definitions` VALUES (42708, 2937, 12, '疾病');
INSERT INTO `lang_definitions` VALUES (42709, 2938, 12, '肌肉注射');
INSERT INTO `lang_definitions` VALUES (42710, 2941, 12, '影像服務');
INSERT INTO `lang_definitions` VALUES (42711, 2942, 12, '免疫');
INSERT INTO `lang_definitions` VALUES (42712, 2943, 12, '免疫編碼');
INSERT INTO `lang_definitions` VALUES (42713, 2945, 12, '免疫日期');
INSERT INTO `lang_definitions` VALUES (42714, 2947, 12, '免疫批號');
INSERT INTO `lang_definitions` VALUES (42715, 2948, 12, '免疫製造商');
INSERT INTO `lang_definitions` VALUES (42716, 2949, 12, '免疫登記');
INSERT INTO `lang_definitions` VALUES (42717, 2951, 12, '免疫服務');
INSERT INTO `lang_definitions` VALUES (42718, 2952, 12, '免疫標題');
INSERT INTO `lang_definitions` VALUES (42719, 2953, 12, '免疫接種');
INSERT INTO `lang_definitions` VALUES (42720, 2954, 12, '免疫接種');
INSERT INTO `lang_definitions` VALUES (42721, 2955, 12, '免疫');
INSERT INTO `lang_definitions` VALUES (42722, 2956, 12, '植入');
INSERT INTO `lang_definitions` VALUES (42723, 2957, 12, '進口');
INSERT INTO `lang_definitions` VALUES (42724, 2961, 12, '證書導入到瀏覽器。');
INSERT INTO `lang_definitions` VALUES (42725, 2962, 12, '導入配置');
INSERT INTO `lang_definitions` VALUES (42726, 2964, 12, '導入病人');
INSERT INTO `lang_definitions` VALUES (42727, 2965, 12, '導入病人的人口統計資料');
INSERT INTO `lang_definitions` VALUES (42728, 2969, 12, '從會計導入');
INSERT INTO `lang_definitions` VALUES (42729, 2972, 12, '改善');
INSERT INTO `lang_definitions` VALUES (42730, 2973, 12, '在');
INSERT INTO `lang_definitions` VALUES (42731, 2974, 12, '在');
INSERT INTO `lang_definitions` VALUES (42732, 2975, 12, '在每隻眼睛');
INSERT INTO `lang_definitions` VALUES (42733, 2976, 12, '在左眼');
INSERT INTO `lang_definitions` VALUES (42734, 2977, 12, '在鼻孔');
INSERT INTO `lang_definitions` VALUES (42735, 2978, 12, '在辦公室');
INSERT INTO `lang_definitions` VALUES (42736, 2979, 12, '在右眼');
INSERT INTO `lang_definitions` VALUES (42737, 2980, 12, '在內部');
INSERT INTO `lang_definitions` VALUES (42738, 2981, 12, '不活動 無效');
INSERT INTO `lang_definitions` VALUES (42739, 2982, 12, '不活躍的日子');
INSERT INTO `lang_definitions` VALUES (42740, 2983, 12, '收件箱');
INSERT INTO `lang_definitions` VALUES (42741, 2986, 12, '包括校驗');
INSERT INTO `lang_definitions` VALUES (42742, 2987, 12, '包括完成');
INSERT INTO `lang_definitions` VALUES (42743, 2988, 12, '包括不活躍用戶');
INSERT INTO `lang_definitions` VALUES (42744, 2989, 12, '包括未分類');
INSERT INTO `lang_definitions` VALUES (42745, 2990, 12, '包括非結構化資料');
INSERT INTO `lang_definitions` VALUES (42746, 2991, 12, '包括生命徵象');
INSERT INTO `lang_definitions` VALUES (42747, 2992, 12, '包括生命徵象資料？');
INSERT INTO `lang_definitions` VALUES (42748, 2993, 12, '列入');
INSERT INTO `lang_definitions` VALUES (42749, 2994, 12, '收入');
INSERT INTO `lang_definitions` VALUES (42750, 2996, 12, '不完全');
INSERT INTO `lang_definitions` VALUES (42751, 2997, 12, '不完全流產治療');
INSERT INTO `lang_definitions` VALUES (42752, 2998, 12, '失禁');
INSERT INTO `lang_definitions` VALUES (42753, 2999, 12, '將臨床實驗室的測試結果納入認證的電子病歷技術當成結構化資料。');
INSERT INTO `lang_definitions` VALUES (42754, 3001, 12, '增加：');
INSERT INTO `lang_definitions` VALUES (42755, 3002, 12, '賠償保險');
INSERT INTO `lang_definitions` VALUES (42756, 3003, 12, '不確定');
INSERT INTO `lang_definitions` VALUES (42757, 3004, 12, '印度');
INSERT INTO `lang_definitions` VALUES (42758, 3005, 12, '顯示異常');
INSERT INTO `lang_definitions` VALUES (42759, 3006, 12, '顯示，如果這個問題目前是積極的');
INSERT INTO `lang_definitions` VALUES (42760, 3008, 12, '使用專門的指標');
INSERT INTO `lang_definitions` VALUES (42761, 3009, 12, '貧困的病人');
INSERT INTO `lang_definitions` VALUES (42762, 3010, 12, '貧困的病人報告');
INSERT INTO `lang_definitions` VALUES (42763, 3011, 12, '貧民');
INSERT INTO `lang_definitions` VALUES (42764, 3014, 12, '人工流產');
INSERT INTO `lang_definitions` VALUES (42765, 3016, 12, '不合格');
INSERT INTO `lang_definitions` VALUES (42766, 3017, 12, '感染/膿腫');
INSERT INTO `lang_definitions` VALUES (42767, 3018, 12, '感染');
INSERT INTO `lang_definitions` VALUES (42768, 3019, 12, '插入硬幣');
INSERT INTO `lang_definitions` VALUES (42769, 3020, 12, '不孕症');
INSERT INTO `lang_definitions` VALUES (42770, 3021, 12, '流感1');
INSERT INTO `lang_definitions` VALUES (42771, 3022, 12, '流感2');
INSERT INTO `lang_definitions` VALUES (42772, 3023, 12, '流感疫苗接種的病人>= 50歲');
INSERT INTO `lang_definitions` VALUES (42773, 3024, 12, '流感疫苗接種的病人>= 50歲(CQM)');
INSERT INTO `lang_definitions` VALUES (42774, 3025, 12, '流感疫苗');
INSERT INTO `lang_definitions` VALUES (42775, 3026, 12, '信息');
INSERT INTO `lang_definitions` VALUES (42776, 3027, 12, '信息測試1');
INSERT INTO `lang_definitions` VALUES (42777, 3028, 12, '信息測試2');
INSERT INTO `lang_definitions` VALUES (42778, 3029, 12, '信息測試3');
INSERT INTO `lang_definitions` VALUES (42779, 3030, 12, '信息測試4');
INSERT INTO `lang_definitions` VALUES (42780, 3031, 12, '信息測試5');
INSERT INTO `lang_definitions` VALUES (42781, 3032, 12, '信息測試6');
INSERT INTO `lang_definitions` VALUES (42782, 3034, 12, '吸入');
INSERT INTO `lang_definitions` VALUES (42783, 3035, 12, 'inhilations');
INSERT INTO `lang_definitions` VALUES (42784, 3037, 12, '最初的用戶');
INSERT INTO `lang_definitions` VALUES (42785, 3038, 12, '損傷/康復');
INSERT INTO `lang_definitions` VALUES (42786, 3039, 12, '注射劑');
INSERT INTO `lang_definitions` VALUES (42787, 3040, 12, '注射劑');
INSERT INTO `lang_definitions` VALUES (42788, 3041, 12, '受傷的身體部位');
INSERT INTO `lang_definitions` VALUES (42789, 3042, 12, '受傷的');
INSERT INTO `lang_definitions` VALUES (42790, 3043, 12, '傷害');
INSERT INTO `lang_definitions` VALUES (42791, 3044, 12, '損傷機轉');
INSERT INTO `lang_definitions` VALUES (42792, 3045, 12, '損傷的概述報告');
INSERT INTO `lang_definitions` VALUES (42793, 3046, 12, '傷害監測');
INSERT INTO `lang_definitions` VALUES (42794, 3047, 12, '損傷類型');
INSERT INTO `lang_definitions` VALUES (42795, 3048, 12, '傷害/疾病相關');
INSERT INTO `lang_definitions` VALUES (42796, 3051, 12, '輸入字段');
INSERT INTO `lang_definitions` VALUES (42797, 3052, 12, '印度盧比');
INSERT INTO `lang_definitions` VALUES (42798, 3056, 12, '插件調整');
INSERT INTO `lang_definitions` VALUES (42799, 3057, 12, '插件捆綁');
INSERT INTO `lang_definitions` VALUES (42800, 3058, 12, '插件代碼');
INSERT INTO `lang_definitions` VALUES (42801, 3061, 12, '插件多繳');
INSERT INTO `lang_definitions` VALUES (42802, 3063, 12, '移民局退款');
INSERT INTO `lang_definitions` VALUES (42803, 3064, 12, '移民局摘要');
INSERT INTO `lang_definitions` VALUES (42804, 3065, 12, '移民局1');
INSERT INTO `lang_definitions` VALUES (42805, 3066, 12, '移民局2');
INSERT INTO `lang_definitions` VALUES (42806, 3067, 12, '移民局3');
INSERT INTO `lang_definitions` VALUES (42807, 3069, 12, '插入失敗： ');
INSERT INTO `lang_definitions` VALUES (42808, 3070, 12, '插入到表中的舊事件');
INSERT INTO `lang_definitions` VALUES (42809, 3072, 12, '失眠');
INSERT INTO `lang_definitions` VALUES (42810, 3074, 12, '檢查');
INSERT INTO `lang_definitions` VALUES (42811, 3075, 12, '不穩定/半脫位');
INSERT INTO `lang_definitions` VALUES (42812, 3077, 12, '安裝');
INSERT INTO `lang_definitions` VALUES (42813, 3079, 12, '安裝數據庫');
INSERT INTO `lang_definitions` VALUES (42814, 3081, 12, '指示');
INSERT INTO `lang_definitions` VALUES (42815, 3082, 12, '指示');
INSERT INTO `lang_definitions` VALUES (42816, 3084, 12, '說明：');
INSERT INTO `lang_definitions` VALUES (42817, 3086, 12, '胰島素依賴型糖尿病');
INSERT INTO `lang_definitions` VALUES (42818, 3087, 12, '保險');
INSERT INTO `lang_definitions` VALUES (42819, 3088, 12, '保險');
INSERT INTO `lang_definitions` VALUES (42820, 3093, 12, '保險訓練班');
INSERT INTO `lang_definitions` VALUES (42821, 3094, 12, '保險公司');
INSERT INTO `lang_definitions` VALUES (42822, 3095, 12, '保險公司');
INSERT INTO `lang_definitions` VALUES (42823, 3096, 12, '保險公司的搜尋/添加');
INSERT INTO `lang_definitions` VALUES (42824, 3098, 12, '保險數據');
INSERT INTO `lang_definitions` VALUES (42825, 3099, 12, '文件上的保險資料');
INSERT INTO `lang_definitions` VALUES (42826, 3100, 12, '保險號碼');
INSERT INTO `lang_definitions` VALUES (42827, 3101, 12, '給付保險金');
INSERT INTO `lang_definitions` VALUES (42828, 3103, 12, '保險提供者');
INSERT INTO `lang_definitions` VALUES (42829, 3107, 12, '攝入結論');
INSERT INTO `lang_definitions` VALUES (42830, 3108, 12, '攝入日期');
INSERT INTO `lang_definitions` VALUES (42831, 3109, 12, '智力下降');
INSERT INTO `lang_definitions` VALUES (42832, 3113, 12, '內部錯誤 - 沒有頁面選擇！');
INSERT INTO `lang_definitions` VALUES (42833, 3114, 12, '內部錯誤 - 沒有提供病人身份！');
INSERT INTO `lang_definitions` VALUES (42834, 3115, 12, '內部錯誤存取上傳的文件！');
INSERT INTO `lang_definitions` VALUES (42835, 3116, 12, '內部錯誤');
INSERT INTO `lang_definitions` VALUES (42836, 3117, 12, '內部錯誤，沒有指定的藥物編號！');
INSERT INTO `lang_definitions` VALUES (42837, 3119, 12, '內部錯誤：索賠 ');
INSERT INTO `lang_definitions` VALUES (42838, 3120, 12, '內部錯誤：遇到\'');
INSERT INTO `lang_definitions` VALUES (42839, 3121, 12, '內部錯誤：pid或遇到遺漏。');
INSERT INTO `lang_definitions` VALUES (42840, 3123, 12, '內部標識符（PID）');
INSERT INTO `lang_definitions` VALUES (42841, 3126, 12, '內部轉介');
INSERT INTO `lang_definitions` VALUES (42842, 3127, 12, '內部時間收集');
INSERT INTO `lang_definitions` VALUES (42843, 3128, 12, '國際義務');
INSERT INTO `lang_definitions` VALUES (42844, 3129, 12, '口譯員');
INSERT INTO `lang_definitions` VALUES (42845, 3130, 12, '需要口譯員嗎？');
INSERT INTO `lang_definitions` VALUES (42846, 3131, 12, '間質性肺疾病');
INSERT INTO `lang_definitions` VALUES (42847, 3132, 12, '間隔');
INSERT INTO `lang_definitions` VALUES (42848, 3135, 12, '介入');
INSERT INTO `lang_definitions` VALUES (42849, 3137, 12, '無法耐受');
INSERT INTO `lang_definitions` VALUES (42850, 3139, 12, '肌肉注射的');
INSERT INTO `lang_definitions` VALUES (42851, 3140, 12, '靜脈注射的');
INSERT INTO `lang_definitions` VALUES (42852, 3141, 12, '簡介');
INSERT INTO `lang_definitions` VALUES (42853, 3144, 12, '無效的字符在');
INSERT INTO `lang_definitions` VALUES (42854, 3147, 12, '無效的長度');
INSERT INTO `lang_definitions` VALUES (42855, 3148, 12, '無效的非數字字符');
INSERT INTO `lang_definitions` VALUES (42856, 3149, 12, '無效或遺失的付款人在代碼源 ');
INSERT INTO `lang_definitions` VALUES (42857, 3151, 12, '無效的服務代碼');
INSERT INTO `lang_definitions` VALUES (42858, 3152, 12, '指定無效的源“');
INSERT INTO `lang_definitions` VALUES (42859, 3154, 12, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (42860, 3155, 12, '庫存');
INSERT INTO `lang_definitions` VALUES (42861, 3156, 12, '清查活動');
INSERT INTO `lang_definitions` VALUES (42862, 3157, 12, '庫存和銷售兩種藥物和非藥物產品');
INSERT INTO `lang_definitions` VALUES (42863, 3158, 12, '僅清點和推銷藥品');
INSERT INTO `lang_definitions` VALUES (42864, 3159, 12, '庫存是不是按此順序。');
INSERT INTO `lang_definitions` VALUES (42865, 3160, 12, '庫存清單');
INSERT INTO `lang_definitions` VALUES (42866, 3161, 12, '庫存交易');
INSERT INTO `lang_definitions` VALUES (42867, 3162, 12, '發票');
INSERT INTO `lang_definitions` VALUES (42868, 3163, 12, '發票');
INSERT INTO `lang_definitions` VALUES (42869, 3166, 12, '發票日期');
INSERT INTO `lang_definitions` VALUES (42870, 3167, 12, '發票沒有日期');
INSERT INTO `lang_definitions` VALUES (42871, 3168, 12, '發票號碼');
INSERT INTO `lang_definitions` VALUES (42872, 3169, 12, '發票參考編號');
INSERT INTO `lang_definitions` VALUES (42873, 3170, 12, '如果有使用，發票參考號碼池');
INSERT INTO `lang_definitions` VALUES (42874, 3171, 12, '發票參考號碼池');
INSERT INTO `lang_definitions` VALUES (42875, 3172, 12, '只是發票Refno池');
INSERT INTO `lang_definitions` VALUES (42876, 3173, 12, '發票');
INSERT INTO `lang_definitions` VALUES (42877, 3174, 12, '國際計劃生育聯合會');
INSERT INTO `lang_definitions` VALUES (42878, 3177, 12, '國際計劃生育聯合會生殖健康數據');
INSERT INTO `lang_definitions` VALUES (42879, 3178, 12, '國際計劃生育聯合會統計報告');
INSERT INTO `lang_definitions` VALUES (42880, 3179, 12, '國際計劃生育聯合會統計');
INSERT INTO `lang_definitions` VALUES (42881, 3180, 12, '注射式小兒麻痺疫苗(沙克疫苗)1');
INSERT INTO `lang_definitions` VALUES (42882, 3181, 12, '注射式小兒麻痺疫苗(沙克疫苗)2');
INSERT INTO `lang_definitions` VALUES (42883, 3182, 12, '注射式小兒麻痺疫苗(沙克疫苗)3');
INSERT INTO `lang_definitions` VALUES (42884, 3183, 12, '注射式小兒麻痺疫苗(沙克疫苗)4');
INSERT INTO `lang_definitions` VALUES (42885, 3185, 12, '心跳不規則');
INSERT INTO `lang_definitions` VALUES (42886, 3186, 12, '易怒');
INSERT INTO `lang_definitions` VALUES (42887, 3187, 12, '刺激');
INSERT INTO `lang_definitions` VALUES (42888, 3191, 12, '是必填字段。');
INSERT INTO `lang_definitions` VALUES (42889, 3192, 12, '是一個根節點，並不能刪除。');
INSERT INTO `lang_definitions` VALUES (42890, 3197, 12, '是無效的（小數都OK）。');
INSERT INTO `lang_definitions` VALUES (42891, 3198, 12, 'PHP是使用安全模式？');
INSERT INTO `lang_definitions` VALUES (42892, 3200, 12, '是要翻譯的文字形式佈局？');
INSERT INTO `lang_definitions` VALUES (42893, 3201, 12, '是從清單的文字進行翻譯？');
INSERT INTO `lang_definitions` VALUES (42894, 3202, 12, '是文件加密？');
INSERT INTO `lang_definitions` VALUES (42895, 3204, 12, '這是一個診斷類型嗎？');
INSERT INTO `lang_definitions` VALUES (42896, 3212, 12, '這種類型是隱藏在收費表？');
INSERT INTO `lang_definitions` VALUES (42897, 3214, 12, '太長');
INSERT INTO `lang_definitions` VALUES (42898, 3216, 12, '問題');
INSERT INTO `lang_definitions` VALUES (42899, 3217, 12, '問題');
INSERT INTO `lang_definitions` VALUES (42900, 3218, 12, '發行日期');
INSERT INTO `lang_definitions` VALUES (42901, 3219, 12, '問題編號');
INSERT INTO `lang_definitions` VALUES (42902, 3220, 12, '問題標題');
INSERT INTO `lang_definitions` VALUES (42903, 3223, 12, '問題');
INSERT INTO `lang_definitions` VALUES (42904, 3224, 12, '問題（傷害/醫療/過敏）');
INSERT INTO `lang_definitions` VALUES (42905, 3225, 12, '問題（傷害/醫療/過敏）：');
INSERT INTO `lang_definitions` VALUES (42906, 3226, 12, '問題和遭遇');
INSERT INTO `lang_definitions` VALUES (42907, 3227, 12, '問題和遭遇的');
INSERT INTO `lang_definitions` VALUES (42908, 3228, 12, '未經授權的議題');
INSERT INTO `lang_definitions` VALUES (42909, 3229, 12, '問題部分');
INSERT INTO `lang_definitions` VALUES (42910, 3230, 12, '意大利的');
INSERT INTO `lang_definitions` VALUES (42911, 3231, 12, '項目');
INSERT INTO `lang_definitions` VALUES (42912, 3232, 12, '項目');
INSERT INTO `lang_definitions` VALUES (42913, 3234, 12, '項目負荷失敗');
INSERT INTO `lang_definitions` VALUES (42914, 3235, 12, '子宮內的/L');
INSERT INTO `lang_definitions` VALUES (42915, 3236, 12, '子宮內避孕器');
INSERT INTO `lang_definitions` VALUES (42916, 3237, 12, '經靜脈');
INSERT INTO `lang_definitions` VALUES (42917, 3238, 12, '一月');
INSERT INTO `lang_definitions` VALUES (42918, 3239, 12, '一月');
INSERT INTO `lang_definitions` VALUES (42919, 3240, 12, '日本人');
INSERT INTO `lang_definitions` VALUES (42920, 3241, 12, '黃疸');
INSERT INTO `lang_definitions` VALUES (42921, 3243, 12, '職位描述');
INSERT INTO `lang_definitions` VALUES (42922, 3244, 12, '作業識別碼');
INSERT INTO `lang_definitions` VALUES (42923, 3245, 12, '關節脫位');
INSERT INTO `lang_definitions` VALUES (42924, 3246, 12, '關節疼痛');
INSERT INTO `lang_definitions` VALUES (42925, 3247, 12, '關節扭傷');
INSERT INTO `lang_definitions` VALUES (42926, 3248, 12, '七月');
INSERT INTO `lang_definitions` VALUES (42927, 3249, 12, '七月');
INSERT INTO `lang_definitions` VALUES (42928, 3250, 12, '六月');
INSERT INTO `lang_definitions` VALUES (42929, 3251, 12, '六月');
INSERT INTO `lang_definitions` VALUES (42930, 3252, 12, '就在檢查信息的下面，是您把您的搜索參數放在一個藍色的區域。您可以按病人的姓名，病歷號碼，遇到號碼或服務的日期，或這些的任意組合進行搜索。你也可以選擇是否要看到所有的發票，開的發票，或者是由病人的唯一發票。點擊“搜索”按鈕進行搜索。');
INSERT INTO `lang_definitions` VALUES (42931, 3253, 12, '只是我');
INSERT INTO `lang_definitions` VALUES (42932, 3255, 12, '辯解');
INSERT INTO `lang_definitions` VALUES (42933, 3256, 12, '理由/保存');
INSERT INTO `lang_definitions` VALUES (42934, 3258, 12, 'K，這裡是其餘的');
INSERT INTO `lang_definitions` VALUES (42935, 3265, 12, '關鍵字');
INSERT INTO `lang_definitions` VALUES (42936, 3266, 12, '公斤');
INSERT INTO `lang_definitions` VALUES (42937, 3267, 12, '公斤/平方公尺');
INSERT INTO `lang_definitions` VALUES (42938, 3269, 12, '腎臟癌');
INSERT INTO `lang_definitions` VALUES (42939, 3270, 12, '腎臟衰竭');
INSERT INTO `lang_definitions` VALUES (42940, 3271, 12, '腎炎');
INSERT INTO `lang_definitions` VALUES (42941, 3272, 12, '腎結石');
INSERT INTO `lang_definitions` VALUES (42942, 3273, 12, '腎臟移植');
INSERT INTO `lang_definitions` VALUES (42943, 3277, 12, '膝 膝關節');
INSERT INTO `lang_definitions` VALUES (42944, 3278, 12, '膝蓋問題');
INSERT INTO `lang_definitions` VALUES (42945, 3279, 12, '膝關節置換術');
INSERT INTO `lang_definitions` VALUES (42946, 3282, 12, '韓國');
INSERT INTO `lang_definitions` VALUES (42947, 3286, 12, '實驗室');
INSERT INTO `lang_definitions` VALUES (42948, 3288, 12, '實驗室交換網站地址');
INSERT INTO `lang_definitions` VALUES (42949, 3289, 12, '實驗室交換網站編號');
INSERT INTO `lang_definitions` VALUES (42950, 3290, 12, '實驗室交換憑證識別碼');
INSERT INTO `lang_definitions` VALUES (42951, 3294, 12, '實驗室查詢狀態');
INSERT INTO `lang_definitions` VALUES (42952, 3295, 12, '實驗報告');
INSERT INTO `lang_definitions` VALUES (42953, 3296, 12, '實驗結果');
INSERT INTO `lang_definitions` VALUES (42954, 3297, 12, '實驗結果');
INSERT INTO `lang_definitions` VALUES (42955, 3299, 12, '實驗結果報告');
INSERT INTO `lang_definitions` VALUES (42956, 3300, 12, '實驗室服務');
INSERT INTO `lang_definitions` VALUES (42957, 3301, 12, '實驗室測試結果');
INSERT INTO `lang_definitions` VALUES (42958, 3303, 12, '標籤');
INSERT INTO `lang_definitions` VALUES (42959, 3304, 12, '標籤不能空白');
INSERT INTO `lang_definitions` VALUES (42960, 3305, 12, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (42961, 3307, 12, 'LabelCols必須是1和999之間的一個數字');
INSERT INTO `lang_definitions` VALUES (42962, 3308, 12, '標籤');
INSERT INTO `lang_definitions` VALUES (42963, 3311, 12, '實驗室');
INSERT INTO `lang_definitions` VALUES (42964, 3312, 12, '裂傷/皮膚狀況');
INSERT INTO `lang_definitions` VALUES (42965, 3313, 12, '撕裂/磨損');
INSERT INTO `lang_definitions` VALUES (42966, 3316, 12, '語言');
INSERT INTO `lang_definitions` VALUES (42967, 3317, 12, '語言代碼');
INSERT INTO `lang_definitions` VALUES (42968, 3318, 12, '語言定義的補充');
INSERT INTO `lang_definitions` VALUES (42969, 3319, 12, '語言界面工具');
INSERT INTO `lang_definitions` VALUES (42970, 3320, 12, '語言列表（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (42971, 3321, 12, '語言名稱');
INSERT INTO `lang_definitions` VALUES (42972, 3322, 12, '語言：');
INSERT INTO `lang_definitions` VALUES (42973, 3324, 12, '老撾語');
INSERT INTO `lang_definitions` VALUES (42974, 3325, 12, '最後');
INSERT INTO `lang_definitions` VALUES (42975, 3326, 12, '上次活動日期');
INSERT INTO `lang_definitions` VALUES (42976, 3328, 12, '最後法案日期：');
INSERT INTO `lang_definitions` VALUES (42977, 3330, 12, '上一歷年');
INSERT INTO `lang_definitions` VALUES (42978, 3333, 12, '最後相逢');
INSERT INTO `lang_definitions` VALUES (42979, 3343, 12, '上個月');
INSERT INTO `lang_definitions` VALUES (42980, 3344, 12, '姓');
INSERT INTO `lang_definitions` VALUES (42981, 3345, 12, '姓');
INSERT INTO `lang_definitions` VALUES (42982, 3346, 12, '姓：');
INSERT INTO `lang_definitions` VALUES (42983, 3350, 12, '最新評論');
INSERT INTO `lang_definitions` VALUES (42984, 3352, 12, '最後保存');
INSERT INTO `lang_definitions` VALUES (42985, 3356, 12, '最後更新');
INSERT INTO `lang_definitions` VALUES (42986, 3357, 12, '最後驗證');
INSERT INTO `lang_definitions` VALUES (42987, 3358, 12, '最後訪問');
INSERT INTO `lang_definitions` VALUES (42988, 3360, 12, '晚期復發（2-12莫）');
INSERT INTO `lang_definitions` VALUES (42989, 3361, 12, '外踝');
INSERT INTO `lang_definitions` VALUES (42990, 3362, 12, '外踝：');
INSERT INTO `lang_definitions` VALUES (42991, 3363, 12, '偏側');
INSERT INTO `lang_definitions` VALUES (42992, 3364, 12, '此過程中偏側化，如適用');
INSERT INTO `lang_definitions` VALUES (42993, 3365, 12, '側面取代採購經理指數：');
INSERT INTO `lang_definitions` VALUES (42994, 3373, 12, '版式的基礎');
INSERT INTO `lang_definitions` VALUES (42995, 3374, 12, '佈局編輯器');
INSERT INTO `lang_definitions` VALUES (42996, 3375, 12, '版式組');
INSERT INTO `lang_definitions` VALUES (42997, 3376, 12, '佈局樣式');
INSERT INTO `lang_definitions` VALUES (42998, 3378, 12, '基於佈局的訪問表格');
INSERT INTO `lang_definitions` VALUES (42999, 3379, 12, '佈局');
INSERT INTO `lang_definitions` VALUES (43000, 3380, 12, '磅');
INSERT INTO `lang_definitions` VALUES (43001, 3381, 12, '磅');
INSERT INTO `lang_definitions` VALUES (43002, 3382, 12, '低密度脂蛋白');
INSERT INTO `lang_definitions` VALUES (43003, 3383, 12, '留下空白，如果仍然活躍');
INSERT INTO `lang_definitions` VALUES (43004, 3384, 12, '留空以保持原有檔名');
INSERT INTO `lang_definitions` VALUES (43005, 3385, 12, '留空密碼保持不變。');
INSERT INTO `lang_definitions` VALUES (43006, 3386, 12, '留下訊息');
INSERT INTO `lang_definitions` VALUES (43007, 3387, 12, '留下表單');
INSERT INTO `lang_definitions` VALUES (43008, 3388, 12, '留下通行短語留空將不能加密文件');
INSERT INTO `lang_definitions` VALUES (43009, 3390, 12, '左側 離開 留下');
INSERT INTO `lang_definitions` VALUES (43010, 3391, 12, '左耳');
INSERT INTO `lang_definitions` VALUES (43011, 3392, 12, '左耳');
INSERT INTO `lang_definitions` VALUES (43012, 3394, 12, '左側：');
INSERT INTO `lang_definitions` VALUES (43013, 3395, 12, '左側： ');
INSERT INTO `lang_definitions` VALUES (43014, 3396, 12, '腿部疼痛/痙攣');
INSERT INTO `lang_definitions` VALUES (43015, 3397, 12, '法律');
INSERT INTO `lang_definitions` VALUES (43016, 3400, 12, '圖例：');
INSERT INTO `lang_definitions` VALUES (43017, 3401, 12, '長度');
INSERT INTO `lang_definitions` VALUES (43018, 3402, 12, '如果沒有修飾符的長度，0');
INSERT INTO `lang_definitions` VALUES (43019, 3403, 12, '小於');
INSERT INTO `lang_definitions` VALUES (43020, 3404, 12, '小於或等於');
INSERT INTO `lang_definitions` VALUES (43021, 3405, 12, '較少的私人信息（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (43022, 3406, 12, '信件 字母');
INSERT INTO `lang_definitions` VALUES (43023, 3407, 12, '字母產生器');
INSERT INTO `lang_definitions` VALUES (43024, 3409, 12, '醫生簽名的信紙');
INSERT INTO `lang_definitions` VALUES (43025, 3410, 12, '病人簽名的信紙');
INSERT INTO `lang_definitions` VALUES (43026, 3411, 12, '緊急級別');
INSERT INTO `lang_definitions` VALUES (43027, 3412, 12, '責任');
INSERT INTO `lang_definitions` VALUES (43028, 3413, 12, '責任醫療');
INSERT INTO `lang_definitions` VALUES (43029, 3414, 12, '執照/ 識別碼 身分證');
INSERT INTO `lang_definitions` VALUES (43030, 3419, 12, '有執照處方者姓氏');
INSERT INTO `lang_definitions` VALUES (43031, 3420, 12, '有執照處方者新產品引進');
INSERT INTO `lang_definitions` VALUES (43032, 3421, 12, '有執照處方者的UPIN');
INSERT INTO `lang_definitions` VALUES (43033, 3423, 12, '生活方式');
INSERT INTO `lang_definitions` VALUES (43034, 3424, 12, '生活方式的狀態');
INSERT INTO `lang_definitions` VALUES (43035, 3425, 12, '韌帶撕裂或扭傷');
INSERT INTO `lang_definitions` VALUES (43036, 3428, 12, '極限活動');
INSERT INTO `lang_definitions` VALUES (43037, 3431, 12, '連接');
INSERT INTO `lang_definitions` VALUES (43038, 3433, 12, '連接');
INSERT INTO `lang_definitions` VALUES (43039, 3436, 12, '連接文件');
INSERT INTO `lang_definitions` VALUES (43040, 3438, 12, '名單');
INSERT INTO `lang_definitions` VALUES (43041, 3439, 12, '列表框');
INSERT INTO `lang_definitions` VALUES (43042, 3440, 12, '列表框');
INSERT INTO `lang_definitions` VALUES (43043, 3441, 12, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (43044, 3442, 12, '列表框瓦特/附加');
INSERT INTO `lang_definitions` VALUES (43045, 3443, 12, '列表編輯器');
INSERT INTO `lang_definitions` VALUES (43046, 3444, 12, '名單中遇到');
INSERT INTO `lang_definitions` VALUES (43047, 3445, 12, '列表組');
INSERT INTO `lang_definitions` VALUES (43048, 3446, 12, '列表保險公司');
INSERT INTO `lang_definitions` VALUES (43049, 3448, 12, '列表中的項目，不能以數字開頭。');
INSERT INTO `lang_definitions` VALUES (43050, 3449, 12, '列表中的項目包含不合法的字元（S）。');
INSERT INTO `lang_definitions` VALUES (43051, 3451, 12, '列出名單');
INSERT INTO `lang_definitions` VALUES (43052, 3452, 12, '列表名稱');
INSERT INTO `lang_definitions` VALUES (43053, 3453, 12, '列表的名稱不能以數字啟動。');
INSERT INTO `lang_definitions` VALUES (43054, 3454, 12, '列表處方');
INSERT INTO `lang_definitions` VALUES (43055, 3455, 12, '由上述國家的數據類型選項列表。');
INSERT INTO `lang_definitions` VALUES (43056, 3456, 12, '由上述州的數據類型選項列表。');
INSERT INTO `lang_definitions` VALUES (43057, 3457, 12, '聽力的RFC5425 TLS syslog服務器的端口。');
INSERT INTO `lang_definitions` VALUES (43058, 3458, 12, '列表');
INSERT INTO `lang_definitions` VALUES (43059, 3460, 12, '生前遺囑');
INSERT INTO `lang_definitions` VALUES (43060, 3461, 12, '微光：');
INSERT INTO `lang_definitions` VALUES (43061, 3462, 12, '低熔點');
INSERT INTO `lang_definitions` VALUES (43062, 3464, 12, '負載定義');
INSERT INTO `lang_definitions` VALUES (43063, 3470, 12, '加載');
INSERT INTO `lang_definitions` VALUES (43064, 3471, 12, '檔案加載到數據庫中。這將花費一些時間...');
INSERT INTO `lang_definitions` VALUES (43065, 3472, 12, '組委會');
INSERT INTO `lang_definitions` VALUES (43066, 3473, 12, '當地');
INSERT INTO `lang_definitions` VALUES (43067, 3476, 12, '區域設置');
INSERT INTO `lang_definitions` VALUES (43068, 3477, 12, '方位');
INSERT INTO `lang_definitions` VALUES (43069, 3478, 12, '位置');
INSERT INTO `lang_definitions` VALUES (43070, 3479, 12, 'libreehr機的位置，並可能包含敏感數據，因此建議在使用後手動刪除該文件');
INSERT INTO `lang_definitions` VALUES (43071, 3480, 12, '這個地段的位置');
INSERT INTO `lang_definitions` VALUES (43072, 3481, 12, '地點不詳');
INSERT INTO `lang_definitions` VALUES (43073, 3482, 12, '位置HylaFax等商店傳真。');
INSERT INTO `lang_definitions` VALUES (43074, 3483, 12, '掃描存儲的位置。');
INSERT INTO `lang_definitions` VALUES (43075, 3484, 12, '地點：');
INSERT INTO `lang_definitions` VALUES (43076, 3485, 12, '鎖');
INSERT INTO `lang_definitions` VALUES (43077, 3492, 12, '登錄');
INSERT INTO `lang_definitions` VALUES (43078, 3494, 12, '註銷');
INSERT INTO `lang_definitions` VALUES (43079, 3495, 12, '登錄');
INSERT INTO `lang_definitions` VALUES (43080, 3496, 12, '登錄為');
INSERT INTO `lang_definitions` VALUES (43081, 3497, 12, '登錄為： ');
INSERT INTO `lang_definitions` VALUES (43082, 3498, 12, '註銷。');
INSERT INTO `lang_definitions` VALUES (43083, 3500, 12, '登錄');
INSERT INTO `lang_definitions` VALUES (43084, 3501, 12, '登錄');
INSERT INTO `lang_definitions` VALUES (43085, 3505, 12, '註銷');
INSERT INTO `lang_definitions` VALUES (43086, 3506, 12, '註銷');
INSERT INTO `lang_definitions` VALUES (43087, 3507, 12, '日誌');
INSERT INTO `lang_definitions` VALUES (43088, 3508, 12, '日誌查看器');
INSERT INTO `lang_definitions` VALUES (43089, 3510, 12, '查找');
INSERT INTO `lang_definitions` VALUES (43090, 3511, 12, '很多');
INSERT INTO `lang_definitions` VALUES (43091, 3512, 12, '地段識別碼失踪！');
INSERT INTO `lang_definitions` VALUES (43092, 3513, 12, '批號');
INSERT INTO `lang_definitions` VALUES (43093, 3514, 12, '低');
INSERT INTO `lang_definitions` VALUES (43094, 3516, 12, '下肢');
INSERT INTO `lang_definitions` VALUES (43095, 3519, 12, '腰椎');
INSERT INTO `lang_definitions` VALUES (43096, 3520, 12, '午餐');
INSERT INTO `lang_definitions` VALUES (43097, 3521, 12, '午餐');
INSERT INTO `lang_definitions` VALUES (43098, 3522, 12, '肺癌');
INSERT INTO `lang_definitions` VALUES (43099, 3523, 12, '肺癌手術');
INSERT INTO `lang_definitions` VALUES (43100, 3524, 12, '肺的：');
INSERT INTO `lang_definitions` VALUES (43101, 3525, 12, '肺的：');
INSERT INTO `lang_definitions` VALUES (43102, 3526, 12, '狼瘡');
INSERT INTO `lang_definitions` VALUES (43103, 3529, 12, '專員類別');
INSERT INTO `lang_definitions` VALUES (43104, 3530, 12, '專員客戶接受流產');
INSERT INTO `lang_definitions` VALUES (43105, 3531, 12, '專員統計');
INSERT INTO `lang_definitions` VALUES (43106, 3533, 12, '郵件發送');
INSERT INTO `lang_definitions` VALUES (43107, 3534, 12, '主要');
INSERT INTO `lang_definitions` VALUES (43108, 3535, 12, '主要地址');
INSERT INTO `lang_definitions` VALUES (43109, 3536, 12, '熱門面板顯示屏');
INSERT INTO `lang_definitions` VALUES (43110, 3537, 12, '保持積極的藥物過敏名單。');
INSERT INTO `lang_definitions` VALUES (43111, 3538, 12, '保持積極的藥物名單。');
INSERT INTO `lang_definitions` VALUES (43112, 3539, 12, '保持當前和積極的診斷的最新問題清單。');
INSERT INTO `lang_definitions` VALUES (43113, 3540, 12, '當前類別作出修改。');
INSERT INTO `lang_definitions` VALUES (43114, 3541, 12, '作出新的預約');
INSERT INTO `lang_definitions` VALUES (43115, 3542, 12, '確保“');
INSERT INTO `lang_definitions` VALUES (43116, 3543, 12, '上傳結算所批處理文本文件，將標誌著作為帳單');
INSERT INTO `lang_definitions` VALUES (43117, 3545, 12, '身體不適：');
INSERT INTO `lang_definitions` VALUES (43118, 3548, 12, '男性');
INSERT INTO `lang_definitions` VALUES (43119, 3549, 12, '男性保險套');
INSERT INTO `lang_definitions` VALUES (43120, 3550, 12, '男性輸精管結紮術');
INSERT INTO `lang_definitions` VALUES (43121, 3552, 12, '乳房X光檢查');
INSERT INTO `lang_definitions` VALUES (43122, 3553, 12, '處理');
INSERT INTO `lang_definitions` VALUES (43123, 3556, 12, '處理翻譯');
INSERT INTO `lang_definitions` VALUES (43124, 3557, 12, '管理');
INSERT INTO `lang_definitions` VALUES (43125, 3558, 12, '強制性和指定的領域');
INSERT INTO `lang_definitions` VALUES (43126, 3559, 12, '只有強制性或指定字段，DUP檢查，沒有搜尋');
INSERT INTO `lang_definitions` VALUES (43127, 3560, 12, '只有強制或指定領域，搜尋和dup檢查');
INSERT INTO `lang_definitions` VALUES (43128, 3561, 12, '手冊');
INSERT INTO `lang_definitions` VALUES (43129, 3562, 12, '手冊紀錄');
INSERT INTO `lang_definitions` VALUES (43130, 3563, 12, '製造商');
INSERT INTO `lang_definitions` VALUES (43131, 3565, 12, '三月');
INSERT INTO `lang_definitions` VALUES (43132, 3568, 12, '三月');
INSERT INTO `lang_definitions` VALUES (43133, 3569, 12, '婚姻狀態');
INSERT INTO `lang_definitions` VALUES (43134, 3571, 12, '標記為已開帳單，但略過計費');
INSERT INTO `lang_definitions` VALUES (43135, 3572, 12, '標記為已清除');
INSERT INTO `lang_definitions` VALUES (43136, 3573, 12, '標記為未開帳單');
INSERT INTO `lang_definitions` VALUES (43137, 3575, 12, '標記為已清除');
INSERT INTO `lang_definitions` VALUES (43138, 3576, 12, '已婚的');
INSERT INTO `lang_definitions` VALUES (43139, 3578, 12, '面罩');
INSERT INTO `lang_definitions` VALUES (43140, 3579, 12, '發票號碼的掩碼');
INSERT INTO `lang_definitions` VALUES (43141, 3580, 12, '為病人標識掩碼');
INSERT INTO `lang_definitions` VALUES (43142, 3581, 12, '掩碼的產品標識');
INSERT INTO `lang_definitions` VALUES (43143, 3582, 12, '符合');
INSERT INTO `lang_definitions` VALUES (43144, 3591, 12, '最大');
INSERT INTO `lang_definitions` VALUES (43145, 3594, 12, '右上頜：');
INSERT INTO `lang_definitions` VALUES (43146, 3595, 12, '最大年齡');
INSERT INTO `lang_definitions` VALUES (43147, 3597, 12, '在註銷之前幾秒鐘的最大閒置時間。默認值是7200（2小時）。');
INSERT INTO `lang_definitions` VALUES (43148, 3603, 12, '五月');
INSERT INTO `lang_definitions` VALUES (43149, 3604, 12, '管委會');
INSERT INTO `lang_definitions` VALUES (43150, 3605, 12, '微克');
INSERT INTO `lang_definitions` VALUES (43151, 3607, 12, '當更改密碼時，是指最後三個密碼都不允許。');
INSERT INTO `lang_definitions` VALUES (43152, 3609, 12, '測量群組代碼');
INSERT INTO `lang_definitions` VALUES (43153, 3611, 12, '測量');
INSERT INTO `lang_definitions` VALUES (43154, 3612, 12, '內踝：');
INSERT INTO `lang_definitions` VALUES (43155, 3613, 12, '醫療補助');
INSERT INTO `lang_definitions` VALUES (43156, 3614, 12, '醫學');
INSERT INTO `lang_definitions` VALUES (43157, 3615, 12, '藥物流產');
INSERT INTO `lang_definitions` VALUES (43158, 3616, 12, '醫療管理');
INSERT INTO `lang_definitions` VALUES (43159, 3617, 12, '醫學史');
INSERT INTO `lang_definitions` VALUES (43160, 3618, 12, '醫療問題');
INSERT INTO `lang_definitions` VALUES (43161, 3619, 12, '醫療問題');
INSERT INTO `lang_definitions` VALUES (43162, 3620, 12, '醫療問題');
INSERT INTO `lang_definitions` VALUES (43163, 3623, 12, '醫療問題');
INSERT INTO `lang_definitions` VALUES (43164, 3624, 12, '醫療紀錄');
INSERT INTO `lang_definitions` VALUES (43165, 3625, 12, '醫療記錄＃');
INSERT INTO `lang_definitions` VALUES (43166, 3626, 12, '醫療紀錄');
INSERT INTO `lang_definitions` VALUES (43167, 3627, 12, '發送的醫療記錄');
INSERT INTO `lang_definitions` VALUES (43168, 3629, 12, '給出病歷摘要');
INSERT INTO `lang_definitions` VALUES (43169, 3630, 12, '醫療系統');
INSERT INTO `lang_definitions` VALUES (43170, 3631, 12, '醫療型態');
INSERT INTO `lang_definitions` VALUES (43171, 3632, 12, '醫學/歷史（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (43172, 3633, 12, '醫療保險B部分');
INSERT INTO `lang_definitions` VALUES (43173, 3634, 12, '醫療保險轉介者是呈現程序');
INSERT INTO `lang_definitions` VALUES (43174, 3635, 12, '藥物');
INSERT INTO `lang_definitions` VALUES (43175, 3636, 12, '藥物過敏清單');
INSERT INTO `lang_definitions` VALUES (43176, 3638, 12, '藥物清單');
INSERT INTO `lang_definitions` VALUES (43177, 3639, 12, '服藥調節執行嗎？');
INSERT INTO `lang_definitions` VALUES (43178, 3640, 12, '藥物');
INSERT INTO `lang_definitions` VALUES (43179, 3641, 12, '藥物：');
INSERT INTO `lang_definitions` VALUES (43180, 3642, 12, '醫學單位');
INSERT INTO `lang_definitions` VALUES (43181, 3643, 12, '中等 媒介');
INSERT INTO `lang_definitions` VALUES (43182, 3645, 12, '會員協會統計報告');
INSERT INTO `lang_definitions` VALUES (43183, 3646, 12, '記憶體問題');
INSERT INTO `lang_definitions` VALUES (43184, 3647, 12, '男性');
INSERT INTO `lang_definitions` VALUES (43185, 3648, 12, '男性與女性');
INSERT INTO `lang_definitions` VALUES (43186, 3649, 12, '只有男性');
INSERT INTO `lang_definitions` VALUES (43187, 3650, 12, '初潮');
INSERT INTO `lang_definitions` VALUES (43188, 3651, 12, '停經');
INSERT INTO `lang_definitions` VALUES (43189, 3652, 12, '月經量');
INSERT INTO `lang_definitions` VALUES (43190, 3653, 12, '月經頻率');
INSERT INTO `lang_definitions` VALUES (43191, 3654, 12, '精神疾病');
INSERT INTO `lang_definitions` VALUES (43192, 3661, 12, '訊息');
INSERT INTO `lang_definitions` VALUES (43193, 3666, 12, '訊息狀態');
INSERT INTO `lang_definitions` VALUES (43194, 3670, 12, '訊息：');
INSERT INTO `lang_definitions` VALUES (43195, 3671, 12, '訊息');
INSERT INTO `lang_definitions` VALUES (43196, 3673, 12, '方法');
INSERT INTO `lang_definitions` VALUES (43197, 3674, 12, '方法和特定產品');
INSERT INTO `lang_definitions` VALUES (43198, 3675, 12, '傳出的電子郵件發送方法。');
INSERT INTO `lang_definitions` VALUES (43199, 3676, 12, '銷毀方法');
INSERT INTO `lang_definitions` VALUES (43200, 3677, 12, '墨西哥/ MexAmer的/墨裔美國人');
INSERT INTO `lang_definitions` VALUES (43201, 3679, 12, '毫克');
INSERT INTO `lang_definitions` VALUES (43202, 3680, 12, '毫克/1毫升');
INSERT INTO `lang_definitions` VALUES (43203, 3681, 12, '毫克/2毫升');
INSERT INTO `lang_definitions` VALUES (43204, 3682, 12, '毫克/3毫升');
INSERT INTO `lang_definitions` VALUES (43205, 3683, 12, '毫克/4毫升');
INSERT INTO `lang_definitions` VALUES (43206, 3684, 12, '毫克/5毫升');
INSERT INTO `lang_definitions` VALUES (43207, 3685, 12, '毫克/升');
INSERT INTO `lang_definitions` VALUES (43208, 3686, 12, '中間');
INSERT INTO `lang_definitions` VALUES (43209, 3687, 12, '中間名字');
INSERT INTO `lang_definitions` VALUES (43210, 3688, 12, '中間名字');
INSERT INTO `lang_definitions` VALUES (43211, 3690, 12, '中級處方DEA');
INSERT INTO `lang_definitions` VALUES (43212, 3691, 12, '中級處方名');
INSERT INTO `lang_definitions` VALUES (43213, 3692, 12, '中級處方姓氏');
INSERT INTO `lang_definitions` VALUES (43214, 3693, 12, '中級處方首碼');
INSERT INTO `lang_definitions` VALUES (43215, 3694, 12, '中級處方的UPIN');
INSERT INTO `lang_definitions` VALUES (43216, 3695, 12, '風采');
INSERT INTO `lang_definitions` VALUES (43217, 3696, 12, '農民或季節性工人嗎？');
INSERT INTO `lang_definitions` VALUES (43218, 3697, 12, '移民/季節');
INSERT INTO `lang_definitions` VALUES (43219, 3698, 12, 'Mil/立方公釐');
INSERT INTO `lang_definitions` VALUES (43220, 3702, 12, 'Mime類型');
INSERT INTO `lang_definitions` VALUES (43221, 3703, 12, '分');
INSERT INTO `lang_definitions` VALUES (43222, 3704, 12, '分');
INSERT INTO `lang_definitions` VALUES (43223, 3705, 12, '最小年紀');
INSERT INTO `lang_definitions` VALUES (43224, 3706, 12, '輕微的關節扭傷+/ - 滑膜炎');
INSERT INTO `lang_definitions` VALUES (43225, 3708, 12, '分鐘');
INSERT INTO `lang_definitions` VALUES (43226, 3709, 12, '分鐘');
INSERT INTO `lang_definitions` VALUES (43227, 3710, 12, '分鐘');
INSERT INTO `lang_definitions` VALUES (43228, 3712, 12, '其他類別');
INSERT INTO `lang_definitions` VALUES (43229, 3713, 12, '其他類別帳單選項');
INSERT INTO `lang_definitions` VALUES (43230, 3714, 12, '其他類別結算方式HCFA-1500');
INSERT INTO `lang_definitions` VALUES (43231, 3715, 12, '其他類別帳單選項HCFA');
INSERT INTO `lang_definitions` VALUES (43232, 3716, 12, '雜項');
INSERT INTO `lang_definitions` VALUES (43233, 3717, 12, '錯過');
INSERT INTO `lang_definitions` VALUES (43234, 3718, 12, '失踪');
INSERT INTO `lang_definitions` VALUES (43235, 3719, 12, '缺少必要的字段');
INSERT INTO `lang_definitions` VALUES (43236, 3720, 12, '遺失費用');
INSERT INTO `lang_definitions` VALUES (43237, 3721, 12, '只遺失MODS');
INSERT INTO `lang_definitions` VALUES (43238, 3722, 12, '遺失或無效');
INSERT INTO `lang_definitions` VALUES (43239, 3723, 12, '椎間盤脫出缺失。');
INSERT INTO `lang_definitions` VALUES (43240, 3724, 12, '遺失報告的日期');
INSERT INTO `lang_definitions` VALUES (43241, 3725, 12, '代碼源的付款人之後遺失斜線 ');
INSERT INTO `lang_definitions` VALUES (43242, 3726, 12, '混合');
INSERT INTO `lang_definitions` VALUES (43243, 3727, 12, '毫升');
INSERT INTO `lang_definitions` VALUES (43244, 3728, 12, '月月/日日/年年年年');
INSERT INTO `lang_definitions` VALUES (43245, 3729, 12, '毫米/汞柱');
INSERT INTO `lang_definitions` VALUES (43246, 3730, 12, '毫米汞柱');
INSERT INTO `lang_definitions` VALUES (43247, 3731, 12, '麻疹德國麻疹腮腺炎疫苗1');
INSERT INTO `lang_definitions` VALUES (43248, 3732, 12, '麻疹德國麻疹腮腺炎疫苗2');
INSERT INTO `lang_definitions` VALUES (43249, 3733, 12, '移動');
INSERT INTO `lang_definitions` VALUES (43250, 3734, 12, '行動電話');
INSERT INTO `lang_definitions` VALUES (43251, 3735, 12, '按付款當日價格計算 國防部');
INSERT INTO `lang_definitions` VALUES (43252, 3741, 12, '修改器');
INSERT INTO `lang_definitions` VALUES (43253, 3745, 12, '修改付款方式');
INSERT INTO `lang_definitions` VALUES (43254, 3746, 12, '中期長度');
INSERT INTO `lang_definitions` VALUES (43255, 3753, 12, '星期一');
INSERT INTO `lang_definitions` VALUES (43256, 3754, 12, '週一至週五');
INSERT INTO `lang_definitions` VALUES (43257, 3755, 12, '逢星期一，三，五');
INSERT INTO `lang_definitions` VALUES (43258, 3756, 12, '星期一');
INSERT INTO `lang_definitions` VALUES (43259, 3758, 12, '月');
INSERT INTO `lang_definitions` VALUES (43260, 3759, 12, '月');
INSERT INTO `lang_definitions` VALUES (43261, 3760, 12, '按月查看');
INSERT INTO `lang_definitions` VALUES (43262, 3761, 12, '月');
INSERT INTO `lang_definitions` VALUES (43263, 3762, 12, '月收入');
INSERT INTO `lang_definitions` VALUES (43264, 3763, 12, '幾個月');
INSERT INTO `lang_definitions` VALUES (43265, 3765, 12, '超過100筆記錄。請縮小您的搜尋條件。');
INSERT INTO `lang_definitions` VALUES (43266, 3766, 12, '超過50筆的結果，請讓你的搜尋更具體。');
INSERT INTO `lang_definitions` VALUES (43267, 3768, 12, '最近從');
INSERT INTO `lang_definitions` VALUES (43268, 3770, 12, '從最近期的生命徵象：');
INSERT INTO `lang_definitions` VALUES (43269, 3771, 12, '母親');
INSERT INTO `lang_definitions` VALUES (43270, 3772, 12, '母親的姓名');
INSERT INTO `lang_definitions` VALUES (43271, 3774, 12, '嘴');
INSERT INTO `lang_definitions` VALUES (43272, 3775, 12, '移動');
INSERT INTO `lang_definitions` VALUES (43273, 3776, 12, '移動文件類別：');
INSERT INTO `lang_definitions` VALUES (43274, 3777, 12, '向下移動');
INSERT INTO `lang_definitions` VALUES (43275, 3779, 12, '移至病人');
INSERT INTO `lang_definitions` VALUES (43276, 3780, 12, '移動到...');
INSERT INTO `lang_definitions` VALUES (43277, 3781, 12, '向上移動');
INSERT INTO `lang_definitions` VALUES (43278, 3783, 12, '先生');
INSERT INTO `lang_definitions` VALUES (43279, 3785, 12, '女士');
INSERT INTO `lang_definitions` VALUES (43280, 3786, 12, '小姐');
INSERT INTO `lang_definitions` VALUES (43281, 3796, 12, '多語言工具');
INSERT INTO `lang_definitions` VALUES (43282, 3797, 12, '多個領域');
INSERT INTO `lang_definitions` VALUES (43283, 3799, 12, '多個地段');
INSERT INTO `lang_definitions` VALUES (43284, 3802, 12, '多種族');
INSERT INTO `lang_definitions` VALUES (43285, 3803, 12, '雜音：');
INSERT INTO `lang_definitions` VALUES (43286, 3804, 12, '肌肉酸痛');
INSERT INTO `lang_definitions` VALUES (43287, 3805, 12, '肌肉酸痛');
INSERT INTO `lang_definitions` VALUES (43288, 3806, 12, '肌肉發紅');
INSERT INTO `lang_definitions` VALUES (43289, 3807, 12, '肌肉僵硬');
INSERT INTO `lang_definitions` VALUES (43290, 3808, 12, '肌肉腫脹');
INSERT INTO `lang_definitions` VALUES (43291, 3809, 12, '肌肉溫暖');
INSERT INTO `lang_definitions` VALUES (43292, 3810, 12, '肌肉');
INSERT INTO `lang_definitions` VALUES (43293, 3811, 12, '肌肉傷害');
INSERT INTO `lang_definitions` VALUES (43294, 3812, 12, '肌肉骨骼的');
INSERT INTO `lang_definitions` VALUES (43295, 3813, 12, '如果不使用SMTP身份驗證，必須是空的。');
INSERT INTO `lang_definitions` VALUES (43296, 3814, 12, '共同定義');
INSERT INTO `lang_definitions` VALUES (43297, 3815, 12, '製造業增加值');
INSERT INTO `lang_definitions` VALUES (43298, 3821, 12, '不適合的');
INSERT INTO `lang_definitions` VALUES (43299, 3822, 12, '不適合的');
INSERT INTO `lang_definitions` VALUES (43300, 3823, 12, '名字 名稱');
INSERT INTO `lang_definitions` VALUES (43301, 3825, 12, '名稱（點擊查看更多）');
INSERT INTO `lang_definitions` VALUES (43302, 3826, 12, '名稱1');
INSERT INTO `lang_definitions` VALUES (43303, 3827, 12, '名稱2');
INSERT INTO `lang_definitions` VALUES (43304, 3828, 12, '免疫系統管理員的名稱和標題');
INSERT INTO `lang_definitions` VALUES (43305, 3831, 12, '活動名稱');
INSERT INTO `lang_definitions` VALUES (43306, 3832, 12, '保險公司名稱');
INSERT INTO `lang_definitions` VALUES (43307, 3833, 12, '供應商名稱');
INSERT INTO `lang_definitions` VALUES (43308, 3834, 12, '病人提醒發件人的名稱。');
INSERT INTO `lang_definitions` VALUES (43309, 3835, 12, '翻譯名稱');
INSERT INTO `lang_definitions` VALUES (43310, 3836, 12, '名稱/價值');
INSERT INTO `lang_definitions` VALUES (43311, 3837, 12, '名稱：');
INSERT INTO `lang_definitions` VALUES (43312, 3838, 12, '鼻腔： 鼻孔');
INSERT INTO `lang_definitions` VALUES (43313, 3839, 12, '鼻孔：右側正常');
INSERT INTO `lang_definitions` VALUES (43314, 3840, 12, '鼻腔粘膜粉紅色，鼻中隔正中');
INSERT INTO `lang_definitions` VALUES (43315, 3841, 12, '國家債券');
INSERT INTO `lang_definitions` VALUES (43316, 3842, 12, '國家債券配置');
INSERT INTO `lang_definitions` VALUES (43317, 3844, 12, '國籍');
INSERT INTO `lang_definitions` VALUES (43318, 3845, 12, '國家債券');
INSERT INTO `lang_definitions` VALUES (43319, 3847, 12, '夏威夷原住民或其他太平洋島民');
INSERT INTO `lang_definitions` VALUES (43320, 3852, 12, '噁心');
INSERT INTO `lang_definitions` VALUES (43321, 3854, 12, '導航');
INSERT INTO `lang_definitions` VALUES (43322, 3855, 12, '導航區域包括相遇形式');
INSERT INTO `lang_definitions` VALUES (43323, 3856, 12, '導航區域採用全高度的框架');
INSERT INTO `lang_definitions` VALUES (43324, 3857, 12, '導航區參觀形式');
INSERT INTO `lang_definitions` VALUES (43325, 3858, 12, '導航區域寬度');
INSERT INTO `lang_definitions` VALUES (43326, 3859, 12, '導航菜單包括配對單選按鈕');
INSERT INTO `lang_definitions` VALUES (43327, 3860, 12, '導航菜單是一個樹視圖');
INSERT INTO `lang_definitions` VALUES (43328, 3861, 12, '導航採用的是滑動菜單');
INSERT INTO `lang_definitions` VALUES (43329, 3862, 12, '國家數據中心');
INSERT INTO `lang_definitions` VALUES (43330, 3864, 12, '國家數據中心編號');
INSERT INTO `lang_definitions` VALUES (43331, 3866, 12, '頸部');
INSERT INTO `lang_definitions` VALUES (43332, 3867, 12, '頸部問題');
INSERT INTO `lang_definitions` VALUES (43333, 3868, 12, '頸部柔軟');
INSERT INTO `lang_definitions` VALUES (43334, 3869, 12, '需要輸入一個描述');
INSERT INTO `lang_definitions` VALUES (43335, 3870, 12, '需要輸入一個返回值');
INSERT INTO `lang_definitions` VALUES (43336, 3871, 12, '需要輸入標識符');
INSERT INTO `lang_definitions` VALUES (43337, 3872, 12, '需要輸入標題');
INSERT INTO `lang_definitions` VALUES (43338, 3873, 12, '需要驗證');
INSERT INTO `lang_definitions` VALUES (43339, 3874, 12, '需要對齊');
INSERT INTO `lang_definitions` VALUES (43340, 3875, 12, '需要二次計費');
INSERT INTO `lang_definitions` VALUES (43341, 3876, 12, '陰性');
INSERT INTO `lang_definitions` VALUES (43342, 3877, 12, '陰性');
INSERT INTO `lang_definitions` VALUES (43343, 3880, 12, '神經受損');
INSERT INTO `lang_definitions` VALUES (43344, 3881, 12, '神經情況/神經損傷');
INSERT INTO `lang_definitions` VALUES (43345, 3882, 12, '神經麻木');
INSERT INTO `lang_definitions` VALUES (43346, 3883, 12, '神經虛弱');
INSERT INTO `lang_definitions` VALUES (43347, 3884, 12, '神經系統的');
INSERT INTO `lang_definitions` VALUES (43348, 3885, 12, '從不');
INSERT INTO `lang_definitions` VALUES (43349, 3886, 12, '從不喝酒');
INSERT INTO `lang_definitions` VALUES (43350, 3887, 12, '從不抽菸');
INSERT INTO `lang_definitions` VALUES (43351, 3888, 12, '新');
INSERT INTO `lang_definitions` VALUES (43352, 3889, 12, '新 =>');
INSERT INTO `lang_definitions` VALUES (43353, 3890, 12, '新的受體');
INSERT INTO `lang_definitions` VALUES (43354, 3892, 12, '新的過敏');
INSERT INTO `lang_definitions` VALUES (43355, 3894, 12, '新的任命');
INSERT INTO `lang_definitions` VALUES (43356, 3895, 12, '新類別');
INSERT INTO `lang_definitions` VALUES (43357, 3896, 12, '新類別');
INSERT INTO `lang_definitions` VALUES (43358, 3897, 12, '新個案');
INSERT INTO `lang_definitions` VALUES (43359, 3898, 12, '新的諮詢');
INSERT INTO `lang_definitions` VALUES (43360, 3899, 12, '新作物');
INSERT INTO `lang_definitions` VALUES (43361, 3900, 12, '新的定義設置添加');
INSERT INTO `lang_definitions` VALUES (43362, 3901, 12, '新文檔');
INSERT INTO `lang_definitions` VALUES (43363, 3904, 12, '相遇');
INSERT INTO `lang_definitions` VALUES (43364, 3906, 12, '相遇表');
INSERT INTO `lang_definitions` VALUES (43365, 3907, 12, '新的遭遇未授權');
INSERT INTO `lang_definitions` VALUES (43366, 3908, 12, 'New Enctr');
INSERT INTO `lang_definitions` VALUES (43367, 3909, 12, '新設施資訊');
INSERT INTO `lang_definitions` VALUES (43368, 3912, 12, '新群組');
INSERT INTO `lang_definitions` VALUES (43369, 3913, 12, '新群組資訊');
INSERT INTO `lang_definitions` VALUES (43370, 3914, 12, '新的損傷/狀態');
INSERT INTO `lang_definitions` VALUES (43371, 3916, 12, '事件的新限制');
INSERT INTO `lang_definitions` VALUES (43372, 3917, 12, '新表單');
INSERT INTO `lang_definitions` VALUES (43373, 3918, 12, '新醫囑');
INSERT INTO `lang_definitions` VALUES (43374, 3919, 12, '新段落');
INSERT INTO `lang_definitions` VALUES (43375, 3920, 12, '新密碼');
INSERT INTO `lang_definitions` VALUES (43376, 3921, 12, '新病人');
INSERT INTO `lang_definitions` VALUES (43377, 3922, 12, '新病人');
INSERT INTO `lang_definitions` VALUES (43378, 3923, 12, '新病人遭遇');
INSERT INTO `lang_definitions` VALUES (43379, 3924, 12, '新病人表單');
INSERT INTO `lang_definitions` VALUES (43380, 3925, 12, '新病人身分證');
INSERT INTO `lang_definitions` VALUES (43381, 3926, 12, '新的付款方式');
INSERT INTO `lang_definitions` VALUES (43382, 3928, 12, '新病人');
INSERT INTO `lang_definitions` VALUES (43383, 3929, 12, '來自實驗室交易所的新結果');
INSERT INTO `lang_definitions` VALUES (43384, 3930, 12, '新的搜尋');
INSERT INTO `lang_definitions` VALUES (43385, 3931, 12, '新的提名');
INSERT INTO `lang_definitions` VALUES (43386, 3932, 12, '新用戶');
INSERT INTO `lang_definitions` VALUES (43387, 3934, 12, '新的訪問');
INSERT INTO `lang_definitions` VALUES (43388, 3935, 12, '新/搜索');
INSERT INTO `lang_definitions` VALUES (43389, 3936, 12, 'NewCrop帳戶狀態');
INSERT INTO `lang_definitions` VALUES (43390, 3937, 12, 'NewCrop管理');
INSERT INTO `lang_definitions` VALUES (43391, 3938, 12, 'NewCrop呼叫失敗');
INSERT INTO `lang_definitions` VALUES (43392, 3939, 12, 'NewCrop醫生');
INSERT INTO `lang_definitions` VALUES (43393, 3944, 12, 'NewCrop ERX名字');
INSERT INTO `lang_definitions` VALUES (43394, 3945, 12, 'NewCrop ERX合作夥伴名字');
INSERT INTO `lang_definitions` VALUES (43395, 3946, 12, 'NewCrop ERX密碼');
INSERT INTO `lang_definitions` VALUES (43396, 3947, 12, 'NewCrop ERX的的角色');
INSERT INTO `lang_definitions` VALUES (43397, 3948, 12, 'NewCrop ERX的的角色');
INSERT INTO `lang_definitions` VALUES (43398, 3949, 12, 'NewCrop ERX網站地址');
INSERT INTO `lang_definitions` VALUES (43399, 3954, 12, 'NewCrop的ERX網絡服務地址');
INSERT INTO `lang_definitions` VALUES (43400, 3955, 12, 'NewCrop經理');
INSERT INTO `lang_definitions` VALUES (43401, 3956, 12, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (43402, 3957, 12, 'NewCrop中層處方');
INSERT INTO `lang_definitions` VALUES (43403, 3958, 12, 'NewCrop護士');
INSERT INTO `lang_definitions` VALUES (43404, 3959, 12, 'NewCrop監督醫生');
INSERT INTO `lang_definitions` VALUES (43405, 3961, 12, '報紙');
INSERT INTO `lang_definitions` VALUES (43406, 3962, 12, '下一個');
INSERT INTO `lang_definitions` VALUES (43407, 3964, 12, '第二天');
INSERT INTO `lang_definitions` VALUES (43408, 3965, 12, '下個月');
INSERT INTO `lang_definitions` VALUES (43409, 3966, 12, '下個月（持有選單）');
INSERT INTO `lang_definitions` VALUES (43410, 3968, 12, '下週');
INSERT INTO `lang_definitions` VALUES (43411, 3969, 12, '明年（持有選單）');
INSERT INTO `lang_definitions` VALUES (43412, 3971, 12, '暱稱');
INSERT INTO `lang_definitions` VALUES (43413, 3973, 12, '夜間盜汗');
INSERT INTO `lang_definitions` VALUES (43414, 3974, 12, 'nL的外生殖器，陰道粘膜，子宮頸');
INSERT INTO `lang_definitions` VALUES (43415, 3975, 12, '不');
INSERT INTO `lang_definitions` VALUES (43416, 3976, 12, '不');
INSERT INTO `lang_definitions` VALUES (43417, 3977, 12, '禁止存取');
INSERT INTO `lang_definitions` VALUES (43418, 3978, 12, '患者沒有主動提醒。');
INSERT INTO `lang_definitions` VALUES (43419, 3979, 12, '無淋巴結腫大（​​需要2個區域）');
INSERT INTO `lang_definitions` VALUES (43420, 3980, 12, '沒有調整的原因類型發現');
INSERT INTO `lang_definitions` VALUES (43421, 3981, 12, '沒有皮膚附屬器壓痛/腫塊');
INSERT INTO `lang_definitions` VALUES (43422, 3983, 12, '沒有預約');
INSERT INTO `lang_definitions` VALUES (43423, 3985, 12, '目前沒有計費系統是主動的');
INSERT INTO `lang_definitions` VALUES (43424, 3987, 12, '沒有找到文件包括氧氟沙星出口參考');
INSERT INTO `lang_definitions` VALUES (43425, 3989, 12, '沒有指定代碼！');
INSERT INTO `lang_definitions` VALUES (43426, 3992, 12, '沒有診斷');
INSERT INTO `lang_definitions` VALUES (43427, 3993, 12, '沒有找到檔案');
INSERT INTO `lang_definitions` VALUES (43428, 3995, 12, '沒有結束日期');
INSERT INTO `lang_definitions` VALUES (43429, 3996, 12, '沒有內容，使用下面的表格添加一個條目。');
INSERT INTO `lang_definitions` VALUES (43430, 3997, 12, '沒有找到錯誤');
INSERT INTO `lang_definitions` VALUES (43431, 3998, 12, '沒有事件');
INSERT INTO `lang_definitions` VALUES (43432, 4001, 12, '沒有群組被選中');
INSERT INTO `lang_definitions` VALUES (43433, 4002, 12, '沒有疝氣');
INSERT INTO `lang_definitions` VALUES (43434, 4005, 12, '沒有傷害/疾病');
INSERT INTO `lang_definitions` VALUES (43435, 4006, 12, '沒有保險公司發現');
INSERT INTO `lang_definitions` VALUES (43436, 4007, 12, '沒有問題');
INSERT INTO `lang_definitions` VALUES (43437, 4009, 12, '根據所選的類別沒有項目');
INSERT INTO `lang_definitions` VALUES (43438, 4010, 12, '沒有項目被選中！');
INSERT INTO `lang_definitions` VALUES (43439, 4027, 12, '沒有腫塊，壓痛');
INSERT INTO `lang_definitions` VALUES (43440, 4028, 12, '對於所給再識別代碼，沒有發現符合的病人紀錄');
INSERT INTO `lang_definitions` VALUES (43441, 4031, 12, '沒有找到任何相符。創建新的病人嗎？');
INSERT INTO `lang_definitions` VALUES (43442, 4033, 12, '沒有找到新的研究結果');
INSERT INTO `lang_definitions` VALUES (43443, 4034, 12, '沒有注意到');
INSERT INTO `lang_definitions` VALUES (43444, 4035, 12, '沒有器官腫大');
INSERT INTO `lang_definitions` VALUES (43445, 4036, 12, '發現此期間沒有開口。');
INSERT INTO `lang_definitions` VALUES (43446, 4037, 12, '沒有其他的電話號碼');
INSERT INTO `lang_definitions` VALUES (43447, 4039, 12, '沒有找到合作夥伴');
INSERT INTO `lang_definitions` VALUES (43448, 4040, 12, '對於給的選擇標準中，沒有符合的病人記錄');
INSERT INTO `lang_definitions` VALUES (43449, 4041, 12, '對於給的再識別代碼，沒有符合的病人記錄');
INSERT INTO `lang_definitions` VALUES (43450, 4042, 12, '無周邊水腫');
INSERT INTO `lang_definitions` VALUES (43451, 4043, 12, '沒有找到藥房');
INSERT INTO `lang_definitions` VALUES (43452, 4044, 12, '沒有找到處方');
INSERT INTO `lang_definitions` VALUES (43453, 4045, 12, '沒有呈現疾病/損傷');
INSERT INTO `lang_definitions` VALUES (43454, 4046, 12, '沒有以前的條目。');
INSERT INTO `lang_definitions` VALUES (43455, 4051, 12, '沒有找到提供者');
INSERT INTO `lang_definitions` VALUES (43456, 4052, 12, '沒有皮疹或異常病變');
INSERT INTO `lang_definitions` VALUES (43457, 4053, 12, '沒有找到記錄。');
INSERT INTO `lang_definitions` VALUES (43458, 4055, 12, '沒有找到記錄。請擴大您的搜尋條件。');
INSERT INTO `lang_definitions` VALUES (43459, 4057, 12, '對於上述搜索條件，沒有發現結果。');
INSERT INTO `lang_definitions` VALUES (43460, 4058, 12, '沒有結果');
INSERT INTO `lang_definitions` VALUES (43461, 4060, 12, '搜尋沒有發現結果');
INSERT INTO `lang_definitions` VALUES (43462, 4062, 12, '沒有結果，請再試一次。');
INSERT INTO `lang_definitions` VALUES (43463, 4063, 12, '沒有結果，請再試試看');
INSERT INTO `lang_definitions` VALUES (43464, 4065, 12, '無顯示');
INSERT INTO `lang_definitions` VALUES (43465, 4067, 12, '無竇壓痛：');
INSERT INTO `lang_definitions` VALUES (43466, 4068, 12, '沒有皮膚壓痕或乳腺結節');
INSERT INTO `lang_definitions` VALUES (43467, 4069, 12, '沒有這樣的上下文名稱');
INSERT INTO `lang_definitions` VALUES (43468, 4071, 12, '沒有睾丸壓痛，腫塊');
INSERT INTO `lang_definitions` VALUES (43469, 4072, 12, '沒有驚險刺激或拋擲');
INSERT INTO `lang_definitions` VALUES (43470, 4075, 12, '沒有訪問');
INSERT INTO `lang_definitions` VALUES (43471, 4076, 12, '沒有已被記錄的生命徵象。');
INSERT INTO `lang_definitions` VALUES (43472, 4077, 12, '不，取消');
INSERT INTO `lang_definitions` VALUES (43473, 4079, 12, '不：');
INSERT INTO `lang_definitions` VALUES (43474, 4080, 12, '夜尿');
INSERT INTO `lang_definitions` VALUES (43475, 4081, 12, '非付費');
INSERT INTO `lang_definitions` VALUES (43476, 4082, 12, '非已報告的報告');
INSERT INTO `lang_definitions` VALUES (43477, 4083, 12, '非特異性損傷');
INSERT INTO `lang_definitions` VALUES (43478, 4084, 12, '非電子化的');
INSERT INTO `lang_definitions` VALUES (43479, 4085, 12, '非胰島素依賴型糖尿病');
INSERT INTO `lang_definitions` VALUES (43480, 4087, 12, '非生殖健康醫療');
INSERT INTO `lang_definitions` VALUES (43481, 4088, 12, '非生殖健康的非醫療');
INSERT INTO `lang_definitions` VALUES (43482, 4089, 12, '沒有');
INSERT INTO `lang_definitions` VALUES (43483, 4090, 12, '沒有');
INSERT INTO `lang_definitions` VALUES (43484, 4091, 12, '沒有定義');
INSERT INTO `lang_definitions` VALUES (43485, 4092, 12, '沒有被記錄在案');
INSERT INTO `lang_definitions` VALUES (43486, 4093, 12, '以上皆非');
INSERT INTO `lang_definitions` VALUES (43487, 4094, 12, '沒有頂端分布行能夠完全地空白。');
INSERT INTO `lang_definitions` VALUES (43488, 4095, 12, '非胰島素依賴型糖尿病');
INSERT INTO `lang_definitions` VALUES (43489, 4096, 12, '也不');
INSERT INTO `lang_definitions` VALUES (43490, 4097, 12, '正常');
INSERT INTO `lang_definitions` VALUES (43491, 4098, 12, '正常的“基本法”');
INSERT INTO `lang_definitions` VALUES (43492, 4099, 12, '正常心臟檢查：');
INSERT INTO `lang_definitions` VALUES (43493, 4100, 12, '正常心臟檢查： ');
INSERT INTO `lang_definitions` VALUES (43494, 4101, 12, '正常肺臟檢查：');
INSERT INTO `lang_definitions` VALUES (43495, 4102, 12, '正常肺臟檢查： ');
INSERT INTO `lang_definitions` VALUES (43496, 4103, 12, '普通辦公室訪問');
INSERT INTO `lang_definitions` VALUES (43497, 4104, 12, '正常口咽：');
INSERT INTO `lang_definitions` VALUES (43498, 4105, 12, '右側正常');
INSERT INTO `lang_definitions` VALUES (43499, 4106, 12, '右側正常：');
INSERT INTO `lang_definitions` VALUES (43500, 4107, 12, '普通視圖');
INSERT INTO `lang_definitions` VALUES (43501, 4108, 12, '正常：');
INSERT INTO `lang_definitions` VALUES (43502, 4109, 12, '通常，這應該要檢查。與存取控制無關。');
INSERT INTO `lang_definitions` VALUES (43503, 4112, 12, '挪威');
INSERT INTO `lang_definitions` VALUES (43504, 4115, 12, '鼻子');
INSERT INTO `lang_definitions` VALUES (43505, 4116, 12, '流鼻血');
INSERT INTO `lang_definitions` VALUES (43506, 4117, 12, '不是一個字母或數字');
INSERT INTO `lang_definitions` VALUES (43507, 4119, 12, '並不是所有的領域都需要所有代碼或代碼類型。');
INSERT INTO `lang_definitions` VALUES (43508, 4120, 12, '不允許');
INSERT INTO `lang_definitions` VALUES (43509, 4121, 12, '不允許刪除管理員群組');
INSERT INTO `lang_definitions` VALUES (43510, 4122, 12, '不允許編輯');
INSERT INTO `lang_definitions` VALUES (43511, 4123, 12, '不允許鈍化所有保障對象');
INSERT INTO `lang_definitions` VALUES (43512, 4124, 12, '不允許從管理員訪問控制列表鈍化任何事情');
INSERT INTO `lang_definitions` VALUES (43513, 4125, 12, '不允許從管理員群組刪除管理員用戶');
INSERT INTO `lang_definitions` VALUES (43514, 4126, 12, '不允許從管理員群組刪除此用戶');
INSERT INTO `lang_definitions` VALUES (43515, 4128, 12, '未經授權存取郵政日曆模塊');
INSERT INTO `lang_definitions` VALUES (43516, 4129, 12, '未經授權');
INSERT INTO `lang_definitions` VALUES (43517, 4130, 12, '未經授權');
INSERT INTO `lang_definitions` VALUES (43518, 4132, 12, '這支球隊沒有授權。');
INSERT INTO `lang_definitions` VALUES (43519, 4135, 12, '不提供');
INSERT INTO `lang_definitions` VALUES (43520, 4137, 12, '不收費');
INSERT INTO `lang_definitions` VALUES (43521, 4138, 12, '不檢查');
INSERT INTO `lang_definitions` VALUES (43522, 4139, 12, '未簽出');
INSERT INTO `lang_definitions` VALUES (43523, 4141, 12, '不是因為');
INSERT INTO `lang_definitions` VALUES (43524, 4143, 12, '沒有檢查');
INSERT INTO `lang_definitions` VALUES (43525, 4144, 12, '沒有檢查：');
INSERT INTO `lang_definitions` VALUES (43526, 4145, 12, '沒有檢查： ');
INSERT INTO `lang_definitions` VALUES (43527, 4146, 12, '沒有找到');
INSERT INTO `lang_definitions` VALUES (43528, 4148, 12, '沒有找到！');
INSERT INTO `lang_definitions` VALUES (43529, 4149, 12, '非西班牙裔或拉丁裔');
INSERT INTO `lang_definitions` VALUES (43530, 4152, 12, '以來從未見過');
INSERT INTO `lang_definitions` VALUES (43531, 4154, 12, '尚未發送');
INSERT INTO `lang_definitions` VALUES (43532, 4156, 12, '未指定。');
INSERT INTO `lang_definitions` VALUES (43533, 4157, 12, '注意 筆記 註解');
INSERT INTO `lang_definitions` VALUES (43534, 4159, 12, '你點擊安裝後，注意將需要5-10分鐘充分處理');
INSERT INTO `lang_definitions` VALUES (43535, 4160, 12, '你點擊更新後，注意將需要5-10分鐘充分處理');
INSERT INTO `lang_definitions` VALUES (43536, 4161, 12, '請注意，審計記錄需要能啟用上方');
INSERT INTO `lang_definitions` VALUES (43537, 4162, 12, '紀錄形式');
INSERT INTO `lang_definitions` VALUES (43538, 4168, 12, '注意：此代碼沒有被授權的用戶進入。只有經授權的代碼可能會被上傳到公開處理醫療帳單網絡。如果你想上傳這些代碼，請在這裡選擇一個授權用戶。');
INSERT INTO `lang_definitions` VALUES (43539, 4170, 12, '注意：上傳文件名稱重複會導致文件自動改名（例如，file.jpg將成為file.1.jpg）。文件名每名患者被認為是獨特的，不是每個類別。');
INSERT INTO `lang_definitions` VALUES (43540, 4171, 12, '注意：上傳文件名稱重複會導致文件自動改名。例如“<I> file.jpg</ I>\'將成為\'<I> file.jpg.1</ I>”。文件名每名患者被認為是獨特的，不是每個類別。');
INSERT INTO `lang_definitions` VALUES (43541, 4172, 12, '筆記');
INSERT INTO `lang_definitions` VALUES (43542, 4173, 12, '注意 - 任何遭遇（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (43543, 4174, 12, '注意 - 我的遭遇（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (43544, 4175, 12, '未授權的筆記');
INSERT INTO `lang_definitions` VALUES (43545, 4177, 12, '沒有記錄');
INSERT INTO `lang_definitions` VALUES (43546, 4179, 12, '沒有什麼導入過敏');
INSERT INTO `lang_definitions` VALUES (43547, 4180, 12, '沒有什麼導入處方');
INSERT INTO `lang_definitions` VALUES (43548, 4182, 12, '沒有什麼被選中');
INSERT INTO `lang_definitions` VALUES (43549, 4184, 12, '公告::張貼日曆提交/修改');
INSERT INTO `lang_definitions` VALUES (43550, 4185, 12, '通知');
INSERT INTO `lang_definitions` VALUES (43551, 4186, 12, '通知電子郵件地址');
INSERT INTO `lang_definitions` VALUES (43552, 4188, 12, '通知');
INSERT INTO `lang_definitions` VALUES (43553, 4189, 12, '關於事件提交/修改通知管理員了嗎？');
INSERT INTO `lang_definitions` VALUES (43554, 4190, 12, '十一月');
INSERT INTO `lang_definitions` VALUES (43555, 4191, 12, '十一月');
INSERT INTO `lang_definitions` VALUES (43556, 4192, 12, '現在張貼：');
INSERT INTO `lang_definitions` VALUES (43557, 4193, 12, '現在列印');
INSERT INTO `lang_definitions` VALUES (43558, 4194, 12, '現在列印$ stmt的計數報表和更新遭遇。');
INSERT INTO `lang_definitions` VALUES (43559, 4195, 12, '現在列印$ stmt的計數報表和更新發票。');
INSERT INTO `lang_definitions` VALUES (43560, 4196, 12, '現在列印$ stmt的計數報表;遭遇將不會被更新。');
INSERT INTO `lang_definitions` VALUES (43561, 4197, 12, '現在列印$ stmt的計數報表;發票將不會被更新。');
INSERT INTO `lang_definitions` VALUES (43562, 4198, 12, '非營利機構');
INSERT INTO `lang_definitions` VALUES (43563, 4199, 12, 'NQF');
INSERT INTO `lang_definitions` VALUES (43564, 4200, 12, '數目 號碼');
INSERT INTO `lang_definitions` VALUES (43565, 4201, 12, '號碼實驗室');
INSERT INTO `lang_definitions` VALUES (43566, 4204, 12, '年度視圖中的列號碼。');
INSERT INTO `lang_definitions` VALUES (43567, 4211, 12, '客戶端證書的天號碼是有效的。');
INSERT INTO `lang_definitions` VALUES (43568, 4213, 12, '在貨幣的小數點後面，通常是0或2位數的號碼。');
INSERT INTO `lang_definitions` VALUES (43569, 4214, 12, '每頁顯示遇到的數目。');
INSERT INTO `lang_definitions` VALUES (43570, 4215, 12, '如果有遊戲或事件的號碼遺漏');
INSERT INTO `lang_definitions` VALUES (43571, 4216, 12, '提前發送電子郵件通知的時數。');
INSERT INTO `lang_definitions` VALUES (43572, 4217, 12, '提前發送電話通知的時數。');
INSERT INTO `lang_definitions` VALUES (43573, 4218, 12, '提前發送短信通知的時數。');
INSERT INTO `lang_definitions` VALUES (43574, 4221, 12, '過去歷史列的號碼');
INSERT INTO `lang_definitions` VALUES (43575, 4223, 12, '麻木');
INSERT INTO `lang_definitions` VALUES (43576, 4224, 12, '分子 計算者');
INSERT INTO `lang_definitions` VALUES (43577, 4225, 12, '數字顯示順序');
INSERT INTO `lang_definitions` VALUES (43578, 4227, 12, '營養');
INSERT INTO `lang_definitions` VALUES (43579, 4229, 12, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (43580, 4230, 12, '氧氣飽和度');
INSERT INTO `lang_definitions` VALUES (43581, 4231, 12, '第一度肥胖');
INSERT INTO `lang_definitions` VALUES (43582, 4232, 12, '第二度肥胖');
INSERT INTO `lang_definitions` VALUES (43583, 4233, 12, '第三度肥胖');
INSERT INTO `lang_definitions` VALUES (43584, 4234, 12, '目標');
INSERT INTO `lang_definitions` VALUES (43585, 4237, 12, '職業');
INSERT INTO `lang_definitions` VALUES (43586, 4239, 12, '發生');
INSERT INTO `lang_definitions` VALUES (43587, 4240, 12, '十月');
INSERT INTO `lang_definitions` VALUES (43588, 4241, 12, '十月');
INSERT INTO `lang_definitions` VALUES (43589, 4242, 12, '右眼 外徑');
INSERT INTO `lang_definitions` VALUES (43590, 4243, 12, '的');
INSERT INTO `lang_definitions` VALUES (43591, 4244, 12, '的數量');
INSERT INTO `lang_definitions` VALUES (43592, 4245, 12, '片劑');
INSERT INTO `lang_definitions` VALUES (43593, 4246, 12, '每月的');
INSERT INTO `lang_definitions` VALUES (43594, 4247, 12, '光纜筆記');
INSERT INTO `lang_definitions` VALUES (43595, 4248, 12, '關閉');
INSERT INTO `lang_definitions` VALUES (43596, 4249, 12, '辦公室筆記');
INSERT INTO `lang_definitions` VALUES (43597, 4250, 12, '辦公室訪問');
INSERT INTO `lang_definitions` VALUES (43598, 4251, 12, '官方臨床質量測量（CQM）測量組');
INSERT INTO `lang_definitions` VALUES (43599, 4252, 12, '關閉網站的HTTPS連結的患者門戶。');
INSERT INTO `lang_definitions` VALUES (43600, 4254, 12, '非本網站的患者門戶密碼');
INSERT INTO `lang_definitions` VALUES (43601, 4255, 12, '非本網站患者門戶密碼（放空白如果沒有註冊）。');
INSERT INTO `lang_definitions` VALUES (43602, 4258, 12, '非本網站患者門戶網站地址');
INSERT INTO `lang_definitions` VALUES (43603, 4260, 12, '非本網站患者門戶網站用戶名');
INSERT INTO `lang_definitions` VALUES (43604, 4261, 12, '非本網站患者門戶用戶名（放空白如果沒有註冊）。');
INSERT INTO `lang_definitions` VALUES (43605, 4263, 12, '子孫');
INSERT INTO `lang_definitions` VALUES (43606, 4265, 12, '軟膏');
INSERT INTO `lang_definitions` VALUES (43607, 4267, 12, '確定');
INSERT INTO `lang_definitions` VALUES (43608, 4269, 12, '確定連接GCAC發行日期');
INSERT INTO `lang_definitions` VALUES (43609, 4270, 12, '年老');
INSERT INTO `lang_definitions` VALUES (43610, 4272, 12, '年老病人');
INSERT INTO `lang_definitions` VALUES (43611, 4273, 12, '陳舊性骨折非/畸形癒合');
INSERT INTO `lang_definitions` VALUES (43612, 4274, 12, '沒有左側菜單的舊風格版面');
INSERT INTO `lang_definitions` VALUES (43613, 4275, 12, '舊式的靜態形式，沒有搜尋或重複檢查');
INSERT INTO `lang_definitions` VALUES (43614, 4279, 12, '在病人的人口統計資料中省略单位');
INSERT INTO `lang_definitions` VALUES (43615, 4280, 12, '省略单位');
INSERT INTO `lang_definitions` VALUES (43616, 4281, 12, '省略形式，路線和時間間隔，然後成為部分劑量');
INSERT INTO `lang_definitions` VALUES (43617, 4282, 12, '從人口統計表格省略保險和一些其他的事情');
INSERT INTO `lang_definitions` VALUES (43618, 4283, 12, '省略內部用戶？');
INSERT INTO `lang_definitions` VALUES (43619, 4284, 12, '省略共同薪酬面板付款方式');
INSERT INTO `lang_definitions` VALUES (43620, 4285, 12, '省略來自動分配');
INSERT INTO `lang_definitions` VALUES (43621, 4286, 12, '關於 上');
INSERT INTO `lang_definitions` VALUES (43622, 4287, 12, '關於 上');
INSERT INTO `lang_definitions` VALUES (43623, 4288, 12, '在手上');
INSERT INTO `lang_definitions` VALUES (43624, 4289, 12, '關於訂購');
INSERT INTO `lang_definitions` VALUES (43625, 4290, 12, '在現場');
INSERT INTO `lang_definitions` VALUES (43626, 4291, 12, '一旦主要的商業設施已設置，它不應該被改變。改變該設施將影響自在NewCrop ePrescription的工作。');
INSERT INTO `lang_definitions` VALUES (43627, 4292, 12, '一旦你改變你的密碼，你將不得不重新登錄。');
INSERT INTO `lang_definitions` VALUES (43628, 4297, 12, '線上支援');
INSERT INTO `lang_definitions` VALUES (43629, 4298, 12, '線上支援連結');
INSERT INTO `lang_definitions` VALUES (43630, 4299, 12, '只有活動');
INSERT INTO `lang_definitions` VALUES (43631, 4302, 12, '如果帳單位置');
INSERT INTO `lang_definitions` VALUES (43632, 4303, 12, '只有無效');
INSERT INTO `lang_definitions` VALUES (43633, 4304, 12, '只有我的');
INSERT INTO `lang_definitions` VALUES (43634, 4310, 12, '疾病發作：');
INSERT INTO `lang_definitions` VALUES (43635, 4311, 12, '疾病發作： ');
INSERT INTO `lang_definitions` VALUES (43636, 4312, 12, '開始腫脹：');
INSERT INTO `lang_definitions` VALUES (43637, 4313, 12, '發病/ HOSP。日期：');
INSERT INTO `lang_definitions` VALUES (43638, 4314, 12, '上門病患門戶網站地址');
INSERT INTO `lang_definitions` VALUES (43639, 4315, 12, '哎呀！');
INSERT INTO `lang_definitions` VALUES (43640, 4316, 12, '打開');
INSERT INTO `lang_definitions` VALUES (43641, 4321, 12, '今日來訪');
INSERT INTO `lang_definitions` VALUES (43642, 4322, 12, '打開電子病歷已經有一個證書頒發機構配置。');
INSERT INTO `lang_definitions` VALUES (43643, 4324, 12, '打開電子病歷數據庫升級');
INSERT INTO `lang_definitions` VALUES (43644, 4325, 12, '為了去識別，打開電子病歷數據庫升級');
INSERT INTO `lang_definitions` VALUES (43645, 4327, 12, '打開電子病歷必須配置使用證書之前，它可以創建客戶端證書。');
INSERT INTO `lang_definitions` VALUES (43646, 4328, 12, '打開電子病歷需要Javascript執行用戶身份驗證。');
INSERT INTO `lang_definitions` VALUES (43647, 4329, 12, '打開電子病歷使用者');
INSERT INTO `lang_definitions` VALUES (43648, 4330, 12, '開口');
INSERT INTO `lang_definitions` VALUES (43649, 4332, 12, '眼科');
INSERT INTO `lang_definitions` VALUES (43650, 4333, 12, '選項');
INSERT INTO `lang_definitions` VALUES (43651, 4335, 12, '選項，以支持產品的庫存和銷售');
INSERT INTO `lang_definitions` VALUES (43652, 4336, 12, '可選的');
INSERT INTO `lang_definitions` VALUES (43653, 4337, 12, '身份證圖像可選的的類別名稱，可以從病人的摘要頁面瀏覽。');
INSERT INTO `lang_definitions` VALUES (43654, 4338, 12, '照片圖像可選的類別名稱，可以從病人的摘要頁面瀏覽。');
INSERT INTO `lang_definitions` VALUES (43655, 4339, 12, '從病人的摘要頁面鏈接到一個文件可選的的類別名稱。讓你點擊一個病人的名字，看到他們的身份證。');
INSERT INTO `lang_definitions` VALUES (43656, 4340, 12, '手動輸入結果可選的預設範圍');
INSERT INTO `lang_definitions` VALUES (43657, 4341, 12, '手動輸入結果可選的預設單位');
INSERT INTO `lang_definitions` VALUES (43658, 4342, 12, '可選的的目的地名稱');
INSERT INTO `lang_definitions` VALUES (43659, 4343, 12, '可選的藥物名稱，使用％作為萬用字元');
INSERT INTO `lang_definitions` VALUES (43660, 4345, 12, '有關此事件的可選的資訊');
INSERT INTO `lang_definitions` VALUES (43661, 4346, 12, '可選的批號，使用％作為萬用字元');
INSERT INTO `lang_definitions` VALUES (43662, 4347, 12, '可選的數字病人身份');
INSERT INTO `lang_definitions` VALUES (43663, 4348, 12, '可選的的程序代碼');
INSERT INTO `lang_definitions` VALUES (43664, 4350, 12, '選項');
INSERT INTO `lang_definitions` VALUES (43665, 4351, 12, '或');
INSERT INTO `lang_definitions` VALUES (43666, 4352, 12, '手術室');
INSERT INTO `lang_definitions` VALUES (43667, 4353, 12, '或選擇');
INSERT INTO `lang_definitions` VALUES (43668, 4354, 12, '或點擊並拖拽可進行快速選擇。');
INSERT INTO `lang_definitions` VALUES (43669, 4356, 12, '或出去');
INSERT INTO `lang_definitions` VALUES (43670, 4358, 12, '或Shift點擊以減少它');
INSERT INTO `lang_definitions` VALUES (43671, 4359, 12, '或者上傳ERA檔案：');
INSERT INTO `lang_definitions` VALUES (43672, 4360, 12, '口腔');
INSERT INTO `lang_definitions` VALUES (43673, 4361, 12, '粉紅色的口腔粘膜，咽喉清澈');
INSERT INTO `lang_definitions` VALUES (43674, 4362, 12, '醫囑');
INSERT INTO `lang_definitions` VALUES (43675, 4363, 12, '訂單和結果類型');
INSERT INTO `lang_definitions` VALUES (43676, 4364, 12, '訂購目錄');
INSERT INTO `lang_definitions` VALUES (43677, 4365, 12, '訂購日期');
INSERT INTO `lang_definitions` VALUES (43678, 4367, 12, '訂購從');
INSERT INTO `lang_definitions` VALUES (43679, 4369, 12, '順序必須是一個1到999之間的數字');
INSERT INTO `lang_definitions` VALUES (43680, 4370, 12, '訂購名稱');
INSERT INTO `lang_definitions` VALUES (43681, 4371, 12, '訂購優先順序');
INSERT INTO `lang_definitions` VALUES (43682, 4372, 12, '訂單處理');
INSERT INTO `lang_definitions` VALUES (43683, 4375, 12, '訂單狀態');
INSERT INTO `lang_definitions` VALUES (43684, 4378, 12, '訂單型態');
INSERT INTO `lang_definitions` VALUES (43685, 4380, 12, '訂單/結果類型');
INSERT INTO `lang_definitions` VALUES (43686, 4381, 12, '訂購');
INSERT INTO `lang_definitions` VALUES (43687, 4384, 12, '訂購提供商');
INSERT INTO `lang_definitions` VALUES (43688, 4386, 12, '器官損傷');
INSERT INTO `lang_definitions` VALUES (43689, 4387, 12, '組織');
INSERT INTO `lang_definitions` VALUES (43690, 4388, 12, '組織名稱');
INSERT INTO `lang_definitions` VALUES (43691, 4389, 12, '組織單位名稱');
INSERT INTO `lang_definitions` VALUES (43692, 4390, 12, '組織');
INSERT INTO `lang_definitions` VALUES (43693, 4391, 12, '面向×3');
INSERT INTO `lang_definitions` VALUES (43694, 4392, 12, '原本');
INSERT INTO `lang_definitions` VALUES (43695, 4396, 12, '口咽： ');
INSERT INTO `lang_definitions` VALUES (43696, 4397, 12, '端坐呼吸');
INSERT INTO `lang_definitions` VALUES (43697, 4398, 12, '左眼');
INSERT INTO `lang_definitions` VALUES (43698, 4399, 12, '骨性關節炎');
INSERT INTO `lang_definitions` VALUES (43699, 4402, 12, '其他');
INSERT INTO `lang_definitions` VALUES (43700, 4403, 12, '其他');
INSERT INTO `lang_definitions` VALUES (43701, 4404, 12, '其他（請註明）');
INSERT INTO `lang_definitions` VALUES (43702, 4405, 12, '其他-請註明');
INSERT INTO `lang_definitions` VALUES (43703, 4406, 12, '其他聯邦計劃');
INSERT INTO `lang_definitions` VALUES (43704, 4407, 12, '其他HCFA');
INSERT INTO `lang_definitions` VALUES (43705, 4408, 12, '其他未列明的損傷');
INSERT INTO `lang_definitions` VALUES (43706, 4410, 12, '其他月份');
INSERT INTO `lang_definitions` VALUES (43707, 4411, 12, '其他非聯邦計劃');
INSERT INTO `lang_definitions` VALUES (43708, 4412, 12, '其他注意事項');
INSERT INTO `lang_definitions` VALUES (43709, 4413, 12, '其他相關症狀');
INSERT INTO `lang_definitions` VALUES (43710, 4414, 12, '其他相關症狀：');
INSERT INTO `lang_definitions` VALUES (43711, 4415, 12, '其他PT RESP賬戶');
INSERT INTO `lang_definitions` VALUES (43712, 4416, 12, '其他壓力/過度使用傷害');
INSERT INTO `lang_definitions` VALUES (43713, 4417, 12, '其他手術');
INSERT INTO `lang_definitions` VALUES (43714, 4418, 12, '其他/通用人工流產有關');
INSERT INTO `lang_definitions` VALUES (43715, 4420, 12, '他人');
INSERT INTO `lang_definitions` VALUES (43716, 4421, 12, '否則，你將會破壞參考文獻到/從現有的數據。');
INSERT INTO `lang_definitions` VALUES (43717, 4422, 12, '渥太華踝規則');
INSERT INTO `lang_definitions` VALUES (43718, 4423, 12, '雙眼');
INSERT INTO `lang_definitions` VALUES (43719, 4424, 12, '輸出 趕出');
INSERT INTO `lang_definitions` VALUES (43720, 4425, 12, '走出辦公室');
INSERT INTO `lang_definitions` VALUES (43721, 4426, 12, '出境轉介');
INSERT INTO `lang_definitions` VALUES (43722, 4427, 12, '結果');
INSERT INTO `lang_definitions` VALUES (43723, 4428, 12, '展望 意見');
INSERT INTO `lang_definitions` VALUES (43724, 4432, 12, '過度使用');
INSERT INTO `lang_definitions` VALUES (43725, 4434, 12, '過重');
INSERT INTO `lang_definitions` VALUES (43726, 4435, 12, '覆蓋HIPAA的選擇');
INSERT INTO `lang_definitions` VALUES (43727, 4437, 12, '氧氣飽和度');
INSERT INTO `lang_definitions` VALUES (43728, 4440, 12, '飯後');
INSERT INTO `lang_definitions` VALUES (43729, 4441, 12, '下午');
INSERT INTO `lang_definitions` VALUES (43730, 4442, 12, '隨時');
INSERT INTO `lang_definitions` VALUES (43731, 4443, 12, '太平洋島民');
INSERT INTO `lang_definitions` VALUES (43732, 4444, 12, '兒科');
INSERT INTO `lang_definitions` VALUES (43733, 4445, 12, '頁');
INSERT INTO `lang_definitions` VALUES (43734, 4446, 12, '頁數');
INSERT INTO `lang_definitions` VALUES (43735, 4447, 12, '支付');
INSERT INTO `lang_definitions` VALUES (43736, 4448, 12, '你將分配支付的金額');
INSERT INTO `lang_definitions` VALUES (43737, 4450, 12, '支付透過');
INSERT INTO `lang_definitions` VALUES (43738, 4451, 12, '疼痛');
INSERT INTO `lang_definitions` VALUES (43739, 4453, 12, '叩診');
INSERT INTO `lang_definitions` VALUES (43740, 4455, 12, '子宮頸抹片');
INSERT INTO `lang_definitions` VALUES (43741, 4458, 12, '麻痺');
INSERT INTO `lang_definitions` VALUES (43742, 4461, 12, '解析的HL7');
INSERT INTO `lang_definitions` VALUES (43743, 4463, 12, '夥伴');
INSERT INTO `lang_definitions` VALUES (43744, 4464, 12, '夥伴名字');
INSERT INTO `lang_definitions` VALUES (43745, 4467, 12, '通關密語');
INSERT INTO `lang_definitions` VALUES (43746, 4468, 12, '密碼解密文件');
INSERT INTO `lang_definitions` VALUES (43747, 4469, 12, '傳遞患者');
INSERT INTO `lang_definitions` VALUES (43748, 4470, 12, '被動警報');
INSERT INTO `lang_definitions` VALUES (43749, 4471, 12, '被動警報規則');
INSERT INTO `lang_definitions` VALUES (43750, 4472, 12, '密碼');
INSERT INTO `lang_definitions` VALUES (43751, 4473, 12, '密碼改變');
INSERT INTO `lang_definitions` VALUES (43752, 4475, 12, '成功的改變密碼');
INSERT INTO `lang_definitions` VALUES (43753, 4477, 12, '密碼過期的寬限期');
INSERT INTO `lang_definitions` VALUES (43754, 4479, 12, '電話網關的密碼。由Maviq提供自動化VOIP服務。更多信息，請訪問http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (43755, 4480, 12, '短信網關的密碼');
INSERT INTO `lang_definitions` VALUES (43756, 4481, 12, '短信網關的密碼');
INSERT INTO `lang_definitions` VALUES (43757, 4483, 12, '密碼的安全性最近已經升級。');
INSERT INTO `lang_definitions` VALUES (43758, 4486, 12, '密碼：');
INSERT INTO `lang_definitions` VALUES (43759, 4490, 12, '逾期');
INSERT INTO `lang_definitions` VALUES (43760, 4491, 12, '逾期');
INSERT INTO `lang_definitions` VALUES (43761, 4492, 12, '逾期間隔（臨床提醒）');
INSERT INTO `lang_definitions` VALUES (43762, 4493, 12, '逾期間隔（病人提醒）');
INSERT INTO `lang_definitions` VALUES (43763, 4494, 12, '過去遭遇名單');
INSERT INTO `lang_definitions` VALUES (43764, 4495, 12, '過去遭遇');
INSERT INTO `lang_definitions` VALUES (43765, 4496, 12, '過去遭遇與文件');
INSERT INTO `lang_definitions` VALUES (43766, 4497, 12, '對過去遭遇');
INSERT INTO `lang_definitions` VALUES (43767, 4498, 12, '貼上HL7數據');
INSERT INTO `lang_definitions` VALUES (43768, 4499, 12, '貼上數據導入到下列文本區域：');
INSERT INTO `lang_definitions` VALUES (43769, 4500, 12, '輕拍');
INSERT INTO `lang_definitions` VALUES (43770, 4502, 12, '貼片');
INSERT INTO `lang_definitions` VALUES (43771, 4508, 12, '事件日誌備份的路徑');
INSERT INTO `lang_definitions` VALUES (43772, 4509, 12, 'CA憑證檔案的路徑');
INSERT INTO `lang_definitions` VALUES (43773, 4510, 12, 'CA密鑰文件的路徑');
INSERT INTO `lang_definitions` VALUES (43774, 4511, 12, '到MySQL二進制代碼的路徑');
INSERT INTO `lang_definitions` VALUES (43775, 4512, 12, '到Perl二進制代碼的路徑');
INSERT INTO `lang_definitions` VALUES (43776, 4513, 12, '到暫存檔的路徑');
INSERT INTO `lang_definitions` VALUES (43777, 4514, 12, '病人');
INSERT INTO `lang_definitions` VALUES (43778, 4515, 12, '病人');
INSERT INTO `lang_definitions` VALUES (43779, 4516, 12, '病人');
INSERT INTO `lang_definitions` VALUES (43780, 4521, 12, '病人過敏');
INSERT INTO `lang_definitions` VALUES (43781, 4522, 12, '病人過敏');
INSERT INTO `lang_definitions` VALUES (43782, 4523, 12, '病人預約');
INSERT INTO `lang_definitions` VALUES (43783, 4528, 12, '病歷編號');
INSERT INTO `lang_definitions` VALUES (43784, 4529, 12, '病人結帳');
INSERT INTO `lang_definitions` VALUES (43785, 4530, 12, '病人結帳為 ');
INSERT INTO `lang_definitions` VALUES (43786, 4531, 12, '病人城市');
INSERT INTO `lang_definitions` VALUES (43787, 4533, 12, '發送醫患溝通');
INSERT INTO `lang_definitions` VALUES (43788, 4534, 12, '發送醫患溝通');
INSERT INTO `lang_definitions` VALUES (43789, 4535, 12, '病人國家');
INSERT INTO `lang_definitions` VALUES (43790, 4539, 12, '病人資料');
INSERT INTO `lang_definitions` VALUES (43791, 4542, 12, '病人詳情');
INSERT INTO `lang_definitions` VALUES (43792, 4543, 12, '病人出生日期');
INSERT INTO `lang_definitions` VALUES (43793, 4544, 12, '病人資料');
INSERT INTO `lang_definitions` VALUES (43794, 4545, 12, '病人教育');
INSERT INTO `lang_definitions` VALUES (43795, 4546, 12, '病患教育資源');
INSERT INTO `lang_definitions` VALUES (43796, 4547, 12, '病人遭遇');
INSERT INTO `lang_definitions` VALUES (43797, 4548, 12, '病人遭遇表格');
INSERT INTO `lang_definitions` VALUES (43798, 4549, 12, '病人遭遇');
INSERT INTO `lang_definitions` VALUES (43799, 4550, 12, '病人查找程序');
INSERT INTO `lang_definitions` VALUES (43800, 4551, 12, '病人的名字');
INSERT INTO `lang_definitions` VALUES (43801, 4558, 12, '病人性別');
INSERT INTO `lang_definitions` VALUES (43802, 4560, 12, '病人並沒有授權的患者門戶。');
INSERT INTO `lang_definitions` VALUES (43803, 4561, 12, '病歷');
INSERT INTO `lang_definitions` VALUES (43804, 4562, 12, '病人的歷史/生活方式');
INSERT INTO `lang_definitions` VALUES (43805, 4563, 12, '患者家中電話');
INSERT INTO `lang_definitions` VALUES (43806, 4564, 12, '病人身分');
INSERT INTO `lang_definitions` VALUES (43807, 4566, 12, '病人身分証');
INSERT INTO `lang_definitions` VALUES (43808, 4567, 12, '病人身份類別名稱');
INSERT INTO `lang_definitions` VALUES (43809, 4568, 12, '病人免疫');
INSERT INTO `lang_definitions` VALUES (43810, 4569, 12, '病人資訊');
INSERT INTO `lang_definitions` VALUES (43811, 4570, 12, '耐心的指導');
INSERT INTO `lang_definitions` VALUES (43812, 4571, 12, '病人保險銷售');
INSERT INTO `lang_definitions` VALUES (43813, 4572, 12, '病人保險銷售報告');
INSERT INTO `lang_definitions` VALUES (43814, 4573, 12, '病人的問題');
INSERT INTO `lang_definitions` VALUES (43815, 4575, 12, '病人的姓');
INSERT INTO `lang_definitions` VALUES (43816, 4581, 12, '病人表單');
INSERT INTO `lang_definitions` VALUES (43817, 4586, 12, '病人查詢錯誤');
INSERT INTO `lang_definitions` VALUES (43818, 4587, 12, '病人醫療問題');
INSERT INTO `lang_definitions` VALUES (43819, 4588, 12, '病人的藥物');
INSERT INTO `lang_definitions` VALUES (43820, 4589, 12, '病人姓名');
INSERT INTO `lang_definitions` VALUES (43821, 4590, 12, '病人姓名與住址');
INSERT INTO `lang_definitions` VALUES (43822, 4593, 12, '所需的病人姓名');
INSERT INTO `lang_definitions` VALUES (43823, 4595, 12, '病人附註');
INSERT INTO `lang_definitions` VALUES (43824, 4596, 12, '病人附註形式');
INSERT INTO `lang_definitions` VALUES (43825, 4597, 12, '病人附註');
INSERT INTO `lang_definitions` VALUES (43826, 4598, 12, '病人的注意事項（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (43827, 4599, 12, '病人數');
INSERT INTO `lang_definitions` VALUES (43828, 4600, 12, '病人付款');
INSERT INTO `lang_definitions` VALUES (43829, 4602, 12, '病人的照片分類名稱');
INSERT INTO `lang_definitions` VALUES (43830, 4603, 12, '患者門戶');
INSERT INTO `lang_definitions` VALUES (43831, 4605, 12, '病人門戶網站被關閉');
INSERT INTO `lang_definitions` VALUES (43832, 4606, 12, '患者門戶登錄');
INSERT INTO `lang_definitions` VALUES (43833, 4607, 12, '病人門戶網站地址');
INSERT INTO `lang_definitions` VALUES (43834, 4608, 12, '病人印製報告');
INSERT INTO `lang_definitions` VALUES (43835, 4609, 12, '病人印製報告');
INSERT INTO `lang_definitions` VALUES (43836, 4610, 12, '病人記錄請求');
INSERT INTO `lang_definitions` VALUES (43837, 4611, 12, '病人記錄請求');
INSERT INTO `lang_definitions` VALUES (43838, 4613, 12, '病人提醒');
INSERT INTO `lang_definitions` VALUES (43839, 4614, 12, '病人提醒批次工作');
INSERT INTO `lang_definitions` VALUES (43840, 4616, 12, '病人提醒規則');
INSERT INTO `lang_definitions` VALUES (43841, 4617, 12, '病人提醒發件人的電子郵件');
INSERT INTO `lang_definitions` VALUES (43842, 4618, 12, '病人提醒發件人名稱');
INSERT INTO `lang_definitions` VALUES (43843, 4619, 12, '病人提醒');
INSERT INTO `lang_definitions` VALUES (43844, 4620, 12, '病人報告');
INSERT INTO `lang_definitions` VALUES (43845, 4621, 12, '病人請求');
INSERT INTO `lang_definitions` VALUES (43846, 4622, 12, '病人要求醫療記錄');
INSERT INTO `lang_definitions` VALUES (43847, 4623, 12, '病人結果');
INSERT INTO `lang_definitions` VALUES (43848, 4624, 12, '病人搜索結果類型');
INSERT INTO `lang_definitions` VALUES (43849, 4625, 12, '病人搜索/添加螢幕');
INSERT INTO `lang_definitions` VALUES (43850, 4626, 12, '病人設置');
INSERT INTO `lang_definitions` VALUES (43851, 4627, 12, '病人狀態');
INSERT INTO `lang_definitions` VALUES (43852, 4629, 12, '病人摘要');
INSERT INTO `lang_definitions` VALUES (43853, 4630, 12, '病人事務');
INSERT INTO `lang_definitions` VALUES (43854, 4631, 12, '病人郵編');
INSERT INTO `lang_definitions` VALUES (43855, 4632, 12, '在資料庫中的病人，符合你已經進入的人口統計資訊。');
INSERT INTO `lang_definitions` VALUES (43856, 4633, 12, '病人/客戶');
INSERT INTO `lang_definitions` VALUES (43857, 4634, 12, '病人：');
INSERT INTO `lang_definitions` VALUES (43858, 4635, 12, '病人身分');
INSERT INTO `lang_definitions` VALUES (43859, 4636, 12, '病人');
INSERT INTO `lang_definitions` VALUES (43860, 4638, 12, '付');
INSERT INTO `lang_definitions` VALUES (43861, 4639, 12, '要注意複選框“完成”。保險標記為完成後，然後我們將開始要求病人支付餘額;如果你完整標記所有的保險失敗，然後完成剩餘的金額將不會被收集！此外，如果有一個病人應支付的平衡，然後設置適當的截止日期，因為這會影響對病人報表中出現的語言。');
INSERT INTO `lang_definitions` VALUES (43862, 4640, 12, '支付日期：');
INSERT INTO `lang_definitions` VALUES (43863, 4641, 12, '支付狀態');
INSERT INTO `lang_definitions` VALUES (43864, 4642, 12, '收款人名稱');
INSERT INTO `lang_definitions` VALUES (43865, 4643, 12, '付款人');
INSERT INTO `lang_definitions` VALUES (43866, 4644, 12, '付款人類型');
INSERT INTO `lang_definitions` VALUES (43867, 4645, 12, '付款');
INSERT INTO `lang_definitions` VALUES (43868, 4646, 12, '支付實體');
INSERT INTO `lang_definitions` VALUES (43869, 4647, 12, '付款');
INSERT INTO `lang_definitions` VALUES (43870, 4648, 12, '付款');
INSERT INTO `lang_definitions` VALUES (43871, 4649, 12, '付款調整代碼');
INSERT INTO `lang_definitions` VALUES (43872, 4651, 12, '付款金額');
INSERT INTO `lang_definitions` VALUES (43873, 4652, 12, '付款金額必須是數字');
INSERT INTO `lang_definitions` VALUES (43874, 4653, 12, '付款類別');
INSERT INTO `lang_definitions` VALUES (43875, 4654, 12, '付款日期');
INSERT INTO `lang_definitions` VALUES (43876, 4655, 12, '付款輸入在');
INSERT INTO `lang_definitions` VALUES (43877, 4656, 12, '款項');
INSERT INTO `lang_definitions` VALUES (43878, 4658, 12, '付款插件');
INSERT INTO `lang_definitions` VALUES (43879, 4659, 12, '付款清單');
INSERT INTO `lang_definitions` VALUES (43880, 4660, 12, '付款方法');
INSERT INTO `lang_definitions` VALUES (43881, 4661, 12, '付款方式分類');
INSERT INTO `lang_definitions` VALUES (43882, 4662, 12, '付款情況');
INSERT INTO `lang_definitions` VALUES (43883, 4663, 12, '付款型態');
INSERT INTO `lang_definitions` VALUES (43884, 4664, 12, '付款價值為代碼 ');
INSERT INTO `lang_definitions` VALUES (43885, 4665, 12, '付款');
INSERT INTO `lang_definitions` VALUES (43886, 4667, 12, '主治醫生');
INSERT INTO `lang_definitions` VALUES (43887, 4669, 12, 'PDF格式');
INSERT INTO `lang_definitions` VALUES (43888, 4670, 12, 'PDF下載選中的語句');
INSERT INTO `lang_definitions` VALUES (43889, 4672, 12, '骨盆和臀部');
INSERT INTO `lang_definitions` VALUES (43890, 4673, 12, '天皰瘡');
INSERT INTO `lang_definitions` VALUES (43891, 4674, 12, '掛起的');
INSERT INTO `lang_definitions` VALUES (43892, 4676, 12, '有待追蹤');
INSERT INTO `lang_definitions` VALUES (43893, 4677, 12, '有待追蹤');
INSERT INTO `lang_definitions` VALUES (43894, 4678, 12, '從結果有待追蹤');
INSERT INTO `lang_definitions` VALUES (43895, 4679, 12, '等待處理的醫囑');
INSERT INTO `lang_definitions` VALUES (43896, 4680, 12, '掛起分辨率');
INSERT INTO `lang_definitions` VALUES (43897, 4681, 12, '待審查');
INSERT INTO `lang_definitions` VALUES (43898, 4682, 12, '待Rx計數');
INSERT INTO `lang_definitions` VALUES (43899, 4684, 12, '彭寧頓事務所LibreEHR至五');
INSERT INTO `lang_definitions` VALUES (43900, 4685, 12, '胃潰瘍疾病');
INSERT INTO `lang_definitions` VALUES (43901, 4687, 12, '每分鐘');
INSERT INTO `lang_definitions` VALUES (43902, 4688, 12, '每個鼻孔');
INSERT INTO `lang_definitions` VALUES (43903, 4689, 12, '每個鼻孔');
INSERT INTO `lang_definitions` VALUES (43904, 4690, 12, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (43905, 4691, 12, 'per oris');
INSERT INTO `lang_definitions` VALUES (43906, 4692, 12, '由直腸');
INSERT INTO `lang_definitions` VALUES (43907, 4693, 12, '由直腸');
INSERT INTO `lang_definitions` VALUES (43908, 4694, 12, '百分比');
INSERT INTO `lang_definitions` VALUES (43909, 4697, 12, '百分位');
INSERT INTO `lang_definitions` VALUES (43910, 4698, 12, '穿孔的右側：');
INSERT INTO `lang_definitions` VALUES (43911, 4699, 12, '執行搜尋');
INSERT INTO `lang_definitions` VALUES (43912, 4700, 12, '執行這個動作');
INSERT INTO `lang_definitions` VALUES (43913, 4701, 12, '績效百分比');
INSERT INTO `lang_definitions` VALUES (43914, 4703, 12, '執行實驗室設施');
INSERT INTO `lang_definitions` VALUES (43915, 4705, 12, '期間');
INSERT INTO `lang_definitions` VALUES (43916, 4706, 12, '在幾天的期間有一個用戶可能用過期的密碼登錄。');
INSERT INTO `lang_definitions` VALUES (43917, 4707, 12, '手術全期照顧');
INSERT INTO `lang_definitions` VALUES (43918, 4708, 12, '周邊的');
INSERT INTO `lang_definitions` VALUES (43919, 4712, 12, '人');
INSERT INTO `lang_definitions` VALUES (43920, 4713, 12, '個性化');
INSERT INTO `lang_definitions` VALUES (43921, 4714, 12, '編程器');
INSERT INTO `lang_definitions` VALUES (43922, 4715, 12, '藥理學');
INSERT INTO `lang_definitions` VALUES (43923, 4716, 12, '藥理學COM計數');
INSERT INTO `lang_definitions` VALUES (43924, 4717, 12, '藥房');
INSERT INTO `lang_definitions` VALUES (43925, 4718, 12, '藥房');
INSERT INTO `lang_definitions` VALUES (43926, 4719, 12, '藥房配藥');
INSERT INTO `lang_definitions` VALUES (43927, 4720, 12, '氣胸');
INSERT INTO `lang_definitions` VALUES (43928, 4729, 12, '電話');
INSERT INTO `lang_definitions` VALUES (43929, 4730, 12, '手機通話清單');
INSERT INTO `lang_definitions` VALUES (43930, 4733, 12, '電話網關密碼');
INSERT INTO `lang_definitions` VALUES (43931, 4734, 12, '電話網關的網址');
INSERT INTO `lang_definitions` VALUES (43932, 4735, 12, '電話網關的用戶名');
INSERT INTO `lang_definitions` VALUES (43933, 4737, 12, '電話通知一小時');
INSERT INTO `lang_definitions` VALUES (43934, 4738, 12, '電話號碼');
INSERT INTO `lang_definitions` VALUES (43935, 4740, 12, '畏光');
INSERT INTO `lang_definitions` VALUES (43936, 4741, 12, '照片');
INSERT INTO `lang_definitions` VALUES (43937, 4742, 12, 'PHP的壓縮');
INSERT INTO `lang_definitions` VALUES (43938, 4743, 12, 'PHP的CURL模塊應在您的服務器上啟用。');
INSERT INTO `lang_definitions` VALUES (43939, 4744, 12, 'PHP的提取');
INSERT INTO `lang_definitions` VALUES (43940, 4745, 12, 'php-GACL的存取控制是關閉的');
INSERT INTO `lang_definitions` VALUES (43941, 4746, 12, 'PHPgacl沒有安裝');
INSERT INTO `lang_definitions` VALUES (43942, 4747, 12, '身體檢查');
INSERT INTO `lang_definitions` VALUES (43943, 4749, 12, '醫師要求');
INSERT INTO `lang_definitions` VALUES (43944, 4750, 12, '醫師簽名');
INSERT INTO `lang_definitions` VALUES (43945, 4752, 12, '醫師');
INSERT INTO `lang_definitions` VALUES (43946, 4753, 12, '選擇');
INSERT INTO `lang_definitions` VALUES (43947, 4754, 12, '選擇');
INSERT INTO `lang_definitions` VALUES (43948, 4755, 12, '挑一個CSS主題。');
INSERT INTO `lang_definitions` VALUES (43949, 4756, 12, '骨盆腔發炎疾病');
INSERT INTO `lang_definitions` VALUES (43950, 4757, 12, '骨盆腔發炎疾病（PID）');
INSERT INTO `lang_definitions` VALUES (43951, 4758, 12, '藥片大小');
INSERT INTO `lang_definitions` VALUES (43952, 4759, 12, '藥丸');
INSERT INTO `lang_definitions` VALUES (43953, 4760, 12, '如果要安裝此選項，將數據庫zip檔案放在以下目錄');
INSERT INTO `lang_definitions` VALUES (43954, 4765, 12, '佔位');
INSERT INTO `lang_definitions` VALUES (43955, 4766, 12, '佔位（保持空的ACL）');
INSERT INTO `lang_definitions` VALUES (43956, 4767, 12, '純文字');
INSERT INTO `lang_definitions` VALUES (43957, 4768, 12, '計劃');
INSERT INTO `lang_definitions` VALUES (43958, 4771, 12, '計畫名稱');
INSERT INTO `lang_definitions` VALUES (43959, 4775, 12, '計劃設定');
INSERT INTO `lang_definitions` VALUES (43960, 4779, 12, '計劃：');
INSERT INTO `lang_definitions` VALUES (43961, 4782, 12, '計劃');
INSERT INTO `lang_definitions` VALUES (43962, 4784, 12, '播放機');
INSERT INTO `lang_definitions` VALUES (43963, 4785, 12, '演奏位置');
INSERT INTO `lang_definitions` VALUES (43964, 4786, 12, '如果任何上述信息是不正確的請呼叫');
INSERT INTO `lang_definitions` VALUES (43965, 4787, 12, '請更改您的密碼。');
INSERT INTO `lang_definitions` VALUES (43966, 4788, 12, '請選擇一個檔案');
INSERT INTO `lang_definitions` VALUES (43967, 4789, 12, '請選擇一個病人');
INSERT INTO `lang_definitions` VALUES (43968, 4790, 12, '請從列表中選擇一個有效的選擇。');
INSERT INTO `lang_definitions` VALUES (43969, 4791, 12, '請選擇一個有效的選擇。');
INSERT INTO `lang_definitions` VALUES (43970, 4792, 12, '請選擇一個值為');
INSERT INTO `lang_definitions` VALUES (43971, 4793, 12, '請選擇以上日期範圍標準，並單擊“刷新”以查看結果。');
INSERT INTO `lang_definitions` VALUES (43972, 4794, 12, '請選擇適當格式化的EDI-271檔案');
INSERT INTO `lang_definitions` VALUES (43973, 4795, 12, '請點擊下載按鈕下載去識別的數據');
INSERT INTO `lang_definitions` VALUES (43974, 4796, 12, '請點擊下載按鈕下載再識別的數據');
INSERT INTO `lang_definitions` VALUES (43975, 4797, 12, '請關閉此視窗。');
INSERT INTO `lang_definitions` VALUES (43976, 4798, 12, '請比較新的名稱');
INSERT INTO `lang_definitions` VALUES (43977, 4802, 12, '請不要接受這個處方，除非它是通過facimile被接收。');
INSERT INTO `lang_definitions` VALUES (43978, 4803, 12, '請不要接受這個處方，除非它是通過facimile被接收。');
INSERT INTO `lang_definitions` VALUES (43979, 4804, 12, '請不要使用您的瀏覽器停止或重新載入按鈕，當此頁正在運行時，除非已經過去了10多分鐘，這不會導致在服務器上的過程停止，以及將消耗uneccesary資源。');
INSERT INTO `lang_definitions` VALUES (43980, 4809, 12, '請輸入最新評論日期。');
INSERT INTO `lang_definitions` VALUES (43981, 4810, 12, '請輸入一個日期。');
INSERT INTO `lang_definitions` VALUES (43982, 4813, 12, '請輸入貨幣金額只使用數字和小數點。');
INSERT INTO `lang_definitions` VALUES (43983, 4814, 12, '請輸入新密碼');
INSERT INTO `lang_definitions` VALUES (43984, 4815, 12, '請輸入標題！');
INSERT INTO `lang_definitions` VALUES (43985, 4819, 12, '請輸入正確的重新識別代碼');
INSERT INTO `lang_definitions` VALUES (43986, 4821, 12, '請輸入新的搜索字符串');
INSERT INTO `lang_definitions` VALUES (43987, 4822, 12, '請輸入這個正確的重新識別代碼');
INSERT INTO `lang_definitions` VALUES (43988, 4823, 12, '請輸入密碼');
INSERT INTO `lang_definitions` VALUES (43989, 4824, 12, '請填寫支票號碼');
INSERT INTO `lang_definitions` VALUES (43990, 4826, 12, '請填寫日期');
INSERT INTO `lang_definitions` VALUES (43991, 4827, 12, '請填寫支付金額');
INSERT INTO `lang_definitions` VALUES (43992, 4828, 12, '請填寫付款類別');
INSERT INTO `lang_definitions` VALUES (43993, 4829, 12, '請填寫從哪裡支付');
INSERT INTO `lang_definitions` VALUES (43994, 4830, 12, '請填寫發佈日期');
INSERT INTO `lang_definitions` VALUES (43995, 4831, 12, '在繼續之前請填寫他們。');
INSERT INTO `lang_definitions` VALUES (43996, 4832, 12, '請註明訪問原因');
INSERT INTO `lang_definitions` VALUES (43997, 4834, 12, '請輸入以上搜索條件，然後點擊提交查看結果。');
INSERT INTO `lang_definitions` VALUES (43998, 4835, 12, '以上請輸入搜索條件，然後點擊提交查看結果。（結果將顯示在一個彈出窗口）');
INSERT INTO `lang_definitions` VALUES (43999, 4836, 12, '請重新登錄。');
INSERT INTO `lang_definitions` VALUES (44000, 4837, 12, '請注意，這可能需要很長一段時間，長達數分鐘，您的網頁瀏覽器在此期間可能不會出現非常活躍，但產生了一項法案，是一個複雜的過程，您的網頁瀏覽器只是等待更多的信息。');
INSERT INTO `lang_definitions` VALUES (44001, 4838, 12, '請注意：常數是區分大小寫的，並允許任何字符串。');
INSERT INTO `lang_definitions` VALUES (44002, 4839, 12, '只使用字母字符');
INSERT INTO `lang_definitions` VALUES (44003, 4840, 12, '請只使用不帶空格的字母字符');
INSERT INTO `lang_definitions` VALUES (44004, 4841, 12, '請支付這筆款項');
INSERT INTO `lang_definitions` VALUES (44005, 4843, 12, '請參考');
INSERT INTO `lang_definitions` VALUES (44006, 4844, 12, '請重設密碼。');
INSERT INTO `lang_definitions` VALUES (44007, 4845, 12, '在以去識別遊戲之前，請重新啟動Apache服務器');
INSERT INTO `lang_definitions` VALUES (44008, 4849, 12, '請選擇一種語言');
INSERT INTO `lang_definitions` VALUES (44009, 4850, 12, '請選擇一個病人');
INSERT INTO `lang_definitions` VALUES (44010, 4851, 12, '請用“稅號”選擇一個主要的商業實體設施當成你的設施稅號。如果你是一個個體從業員，使用你的稅號。這是在NewCrop系統中用來識別你的。');
INSERT INTO `lang_definitions` VALUES (44011, 4855, 12, '請選擇一個開始日期和結束日期');
INSERT INTO `lang_definitions` VALUES (44012, 4858, 12, '請選擇一個代碼調整原因 ');
INSERT INTO `lang_definitions` VALUES (44013, 4859, 12, '請選擇一個事件');
INSERT INTO `lang_definitions` VALUES (44014, 4860, 12, '請選擇任何搜索選項。');
INSERT INTO `lang_definitions` VALUES (44015, 4863, 12, '請選擇至少一個處方！');
INSERT INTO `lang_definitions` VALUES (44016, 4865, 12, '請選擇所需的網頁，複製或轉發：');
INSERT INTO `lang_definitions` VALUES (44017, 4866, 12, '請選擇付款方式');
INSERT INTO `lang_definitions` VALUES (44018, 4869, 12, '請選擇X12的合作夥伴，需要創造270批次');
INSERT INTO `lang_definitions` VALUES (44019, 4870, 12, '請設置');
INSERT INTO `lang_definitions` VALUES (44020, 4871, 12, '請設置de_identification_config變數回到零');
INSERT INTO `lang_definitions` VALUES (44021, 4873, 12, '請開始新的去識別過程');
INSERT INTO `lang_definitions` VALUES (44022, 4874, 12, '請升級LibreEHR數據庫，包括去識別程序，功能，表');
INSERT INTO `lang_definitions` VALUES (44023, 4875, 12, '有關詳細信息，請查看去識別錯誤日誌表');
INSERT INTO `lang_definitions` VALUES (44024, 4876, 12, '經過一段時間後，請瀏覽去識別螢幕');
INSERT INTO `lang_definitions` VALUES (44025, 4877, 12, '經過一段時間後，請瀏覽再識別螢幕');
INSERT INTO `lang_definitions` VALUES (44026, 4878, 12, '一段時間後，請瀏覽螢幕');
INSERT INTO `lang_definitions` VALUES (44027, 4882, 12, '下午');
INSERT INTO `lang_definitions` VALUES (44028, 4883, 12, '下午計劃');
INSERT INTO `lang_definitions` VALUES (44029, 4884, 12, 'PMT方法');
INSERT INTO `lang_definitions` VALUES (44030, 4885, 12, '陣發性夜間呼吸困難');
INSERT INTO `lang_definitions` VALUES (44031, 4886, 12, '肺炎球菌1');
INSERT INTO `lang_definitions` VALUES (44032, 4887, 12, '肺炎球菌2');
INSERT INTO `lang_definitions` VALUES (44033, 4888, 12, '肺炎球菌3');
INSERT INTO `lang_definitions` VALUES (44034, 4889, 12, '肺炎球菌4');
INSERT INTO `lang_definitions` VALUES (44035, 4890, 12, '肺炎球菌疫苗');
INSERT INTO `lang_definitions` VALUES (44036, 4891, 12, '肺炎球菌疫苗');
INSERT INTO `lang_definitions` VALUES (44037, 4892, 12, '針對老年人的肺炎疫苗接種狀況');
INSERT INTO `lang_definitions` VALUES (44038, 4893, 12, '針對老年人的肺炎疫苗接種情況（CQM）');
INSERT INTO `lang_definitions` VALUES (44039, 4894, 12, '足部');
INSERT INTO `lang_definitions` VALUES (44040, 4896, 12, '服務點（POS）');
INSERT INTO `lang_definitions` VALUES (44041, 4897, 12, '保單號碼');
INSERT INTO `lang_definitions` VALUES (44042, 4898, 12, '保單號碼');
INSERT INTO `lang_definitions` VALUES (44043, 4899, 12, '保單號碼');
INSERT INTO `lang_definitions` VALUES (44044, 4900, 12, '波蘭語 拋光');
INSERT INTO `lang_definitions` VALUES (44045, 4901, 12, '煩渴');
INSERT INTO `lang_definitions` VALUES (44046, 4902, 12, '息肉');
INSERT INTO `lang_definitions` VALUES (44047, 4903, 12, '多尿');
INSERT INTO `lang_definitions` VALUES (44048, 4904, 12, '食慾不振');
INSERT INTO `lang_definitions` VALUES (44049, 4905, 12, '循環不佳');
INSERT INTO `lang_definitions` VALUES (44050, 4906, 12, '聽力差');
INSERT INTO `lang_definitions` VALUES (44051, 4907, 12, '需要啟用彈出式窗口來看這些報告');
INSERT INTO `lang_definitions` VALUES (44052, 4908, 12, '用事件填充今年視圖？');
INSERT INTO `lang_definitions` VALUES (44053, 4909, 12, '彈出式窗口');
INSERT INTO `lang_definitions` VALUES (44054, 4911, 12, '入口網站活動');
INSERT INTO `lang_definitions` VALUES (44055, 4917, 12, '葡萄牙');
INSERT INTO `lang_definitions` VALUES (44056, 4918, 12, '葡萄牙語（巴西）');
INSERT INTO `lang_definitions` VALUES (44057, 4919, 12, '葡萄牙（歐洲）');
INSERT INTO `lang_definitions` VALUES (44058, 4920, 12, 'POS機代碼');
INSERT INTO `lang_definitions` VALUES (44059, 4922, 12, '積極的 正向 陽性');
INSERT INTO `lang_definitions` VALUES (44060, 4923, 12, '積極的 正向 陽性');
INSERT INTO `lang_definitions` VALUES (44061, 4925, 12, '職位以');
INSERT INTO `lang_definitions` VALUES (44062, 4926, 12, '鼻涕倒流');
INSERT INTO `lang_definitions` VALUES (44063, 4927, 12, '上傳付款');
INSERT INTO `lang_definitions` VALUES (44064, 4928, 12, '手術後');
INSERT INTO `lang_definitions` VALUES (44065, 4929, 12, '發布會計和標記為帳單');
INSERT INTO `lang_definitions` VALUES (44066, 4930, 12, '發布日期');
INSERT INTO `lang_definitions` VALUES (44067, 4931, 12, '發布日期不能大於今天');
INSERT INTO `lang_definitions` VALUES (44068, 4932, 12, '發布日期必須大於財務關閉日期。');
INSERT INTO `lang_definitions` VALUES (44069, 4933, 12, '流產後照顧');
INSERT INTO `lang_definitions` VALUES (44070, 4934, 12, '人工流產後避孕');
INSERT INTO `lang_definitions` VALUES (44071, 4935, 12, '墮胎後諮詢');
INSERT INTO `lang_definitions` VALUES (44072, 4936, 12, '人工流產後追蹤');
INSERT INTO `lang_definitions` VALUES (44073, 4937, 12, '郵政');
INSERT INTO `lang_definitions` VALUES (44074, 4938, 12, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (44075, 4939, 12, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (44076, 4941, 12, '張貼日曆');
INSERT INTO `lang_definitions` VALUES (44077, 4942, 12, '張貼日曆管理');
INSERT INTO `lang_definitions` VALUES (44078, 4943, 12, '張貼日曆類別設置');
INSERT INTO `lang_definitions` VALUES (44079, 4944, 12, '張貼全球設置日曆');
INSERT INTO `lang_definitions` VALUES (44080, 4945, 12, '發表於');
INSERT INTO `lang_definitions` VALUES (44081, 4946, 12, '發布日期');
INSERT INTO `lang_definitions` VALUES (44082, 4948, 12, '技術支持');
INSERT INTO `lang_definitions` VALUES (44083, 4949, 12, '個人防護裝備+預防醫學/外科HX');
INSERT INTO `lang_definitions` VALUES (44084, 4950, 12, 'PQRI');
INSERT INTO `lang_definitions` VALUES (44085, 4951, 12, 'PQRI註冊編號');
INSERT INTO `lang_definitions` VALUES (44086, 4952, 12, 'PQRI註冊名稱');
INSERT INTO `lang_definitions` VALUES (44087, 4953, 12, '實務');
INSERT INTO `lang_definitions` VALUES (44088, 4954, 12, '實務預設設定');
INSERT INTO `lang_definitions` VALUES (44089, 4955, 12, '實務設定');
INSERT INTO `lang_definitions` VALUES (44090, 4956, 12, '執業者');
INSERT INTO `lang_definitions` VALUES (44091, 4959, 12, '預先付款');
INSERT INTO `lang_definitions` VALUES (44092, 4960, 12, '墮胎前諮詢');
INSERT INTO `lang_definitions` VALUES (44093, 4961, 12, '墮胎前輔導');
INSERT INTO `lang_definitions` VALUES (44094, 4962, 12, '縣貓');
INSERT INTO `lang_definitions` VALUES (44095, 4964, 12, '喜好');
INSERT INTO `lang_definitions` VALUES (44096, 4965, 12, '首選事件類別');
INSERT INTO `lang_definitions` VALUES (44097, 4966, 12, '首選語言');
INSERT INTO `lang_definitions` VALUES (44098, 4967, 12, '首選藥房');
INSERT INTO `lang_definitions` VALUES (44099, 4968, 12, '優先提供者組織（PPO）');
INSERT INTO `lang_definitions` VALUES (44100, 4969, 12, '懷孕測試');
INSERT INTO `lang_definitions` VALUES (44101, 4970, 12, '初步');
INSERT INTO `lang_definitions` VALUES (44102, 4972, 12, '預付');
INSERT INTO `lang_definitions` VALUES (44103, 4973, 12, '處方');
INSERT INTO `lang_definitions` VALUES (44104, 4974, 12, '處方已達到極限');
INSERT INTO `lang_definitions` VALUES (44105, 4975, 12, '處方史');
INSERT INTO `lang_definitions` VALUES (44106, 4976, 12, '處方史進口順利完成');
INSERT INTO `lang_definitions` VALUES (44107, 4977, 12, '處方標籤');
INSERT INTO `lang_definitions` VALUES (44108, 4978, 12, '處方報告');
INSERT INTO `lang_definitions` VALUES (44109, 4979, 12, '處方');
INSERT INTO `lang_definitions` VALUES (44110, 4980, 12, '處方和特許');
INSERT INTO `lang_definitions` VALUES (44111, 4981, 12, '處方藥和其他轉介');
INSERT INTO `lang_definitions` VALUES (44112, 4982, 12, '處方藥和/或專科轉介');
INSERT INTO `lang_definitions` VALUES (44113, 4983, 12, '處方報告');
INSERT INTO `lang_definitions` VALUES (44114, 4984, 12, '處方/轉介');
INSERT INTO `lang_definitions` VALUES (44115, 4985, 12, '目前');
INSERT INTO `lang_definitions` VALUES (44116, 4986, 12, '表現抱怨');
INSERT INTO `lang_definitions` VALUES (44117, 4988, 12, '按下繼續以進行');
INSERT INTO `lang_definitions` VALUES (44118, 4989, 12, '假設的診斷');
INSERT INTO `lang_definitions` VALUES (44119, 4990, 12, '由專家下的假設診斷');
INSERT INTO `lang_definitions` VALUES (44120, 4991, 12, '前頁');
INSERT INTO `lang_definitions` VALUES (44121, 4992, 12, '預防醫學/外科HX');
INSERT INTO `lang_definitions` VALUES (44122, 4993, 12, '上一頁。每月（持有選單）');
INSERT INTO `lang_definitions` VALUES (44123, 4994, 12, '上一頁。每年（持有選單）');
INSERT INTO `lang_definitions` VALUES (44124, 4995, 12, '預防保健');
INSERT INTO `lang_definitions` VALUES (44125, 4998, 12, '預覽事件');
INSERT INTO `lang_definitions` VALUES (44126, 5000, 12, '預覽');
INSERT INTO `lang_definitions` VALUES (44127, 5001, 12, '以前');
INSERT INTO `lang_definitions` VALUES (44128, 5002, 12, '事前協商');
INSERT INTO `lang_definitions` VALUES (44129, 5003, 12, '前一天');
INSERT INTO `lang_definitions` VALUES (44130, 5004, 12, '過去史/篩選');
INSERT INTO `lang_definitions` VALUES (44131, 5005, 12, '前一個月');
INSERT INTO `lang_definitions` VALUES (44132, 5006, 12, '上星期');
INSERT INTO `lang_definitions` VALUES (44133, 5007, 12, '價格');
INSERT INTO `lang_definitions` VALUES (44134, 5008, 12, '價格折扣');
INSERT INTO `lang_definitions` VALUES (44135, 5009, 12, '價格等級');
INSERT INTO `lang_definitions` VALUES (44136, 5010, 12, '價格等級：');
INSERT INTO `lang_definitions` VALUES (44137, 5011, 12, '價格');
INSERT INTO `lang_definitions` VALUES (44138, 5012, 12, '初級 主要');
INSERT INTO `lang_definitions` VALUES (44139, 5013, 12, '主要商業實體');
INSERT INTO `lang_definitions` VALUES (44140, 5014, 12, '主要業務實體稅號用於 NewCrop ePrescription帳戶編號。改變該設施將影響在NewCrop的工作。');
INSERT INTO `lang_definitions` VALUES (44141, 5022, 12, '原保險');
INSERT INTO `lang_definitions` VALUES (44142, 5023, 12, '原保險');
INSERT INTO `lang_definitions` VALUES (44143, 5024, 12, '原保險日期');
INSERT INTO `lang_definitions` VALUES (44144, 5025, 12, '原保險提供者');
INSERT INTO `lang_definitions` VALUES (44145, 5026, 12, '主要提供者');
INSERT INTO `lang_definitions` VALUES (44146, 5027, 12, '列印');
INSERT INTO `lang_definitions` VALUES (44147, 5028, 12, '列印（HTML）');
INSERT INTO `lang_definitions` VALUES (44148, 5029, 12, '列印(PDF)');
INSERT INTO `lang_definitions` VALUES (44149, 5031, 12, '列印任何遭遇');
INSERT INTO `lang_definitions` VALUES (44150, 5032, 12, '列印空白推薦表格');
INSERT INTO `lang_definitions` VALUES (44151, 5033, 12, '列印命令');
INSERT INTO `lang_definitions` VALUES (44152, 5039, 12, '列印格式');
INSERT INTO `lang_definitions` VALUES (44153, 5040, 12, '列印四個小組');
INSERT INTO `lang_definitions` VALUES (44154, 5042, 12, '列印訊息');
INSERT INTO `lang_definitions` VALUES (44155, 5043, 12, '列印多個');
INSERT INTO `lang_definitions` VALUES (44156, 5044, 12, '列印多個傳真');
INSERT INTO `lang_definitions` VALUES (44157, 5045, 12, '列印名稱，標誌和日期。');
INSERT INTO `lang_definitions` VALUES (44158, 5046, 12, '列印註釋');
INSERT INTO `lang_definitions` VALUES (44159, 5047, 12, '列印第一頁');
INSERT INTO `lang_definitions` VALUES (44160, 5048, 12, '列印第二頁');
INSERT INTO `lang_definitions` VALUES (44161, 5051, 12, '提供者列印收據');
INSERT INTO `lang_definitions` VALUES (44162, 5052, 12, '列印紀錄');
INSERT INTO `lang_definitions` VALUES (44163, 5053, 12, '列印選定的報表');
INSERT INTO `lang_definitions` VALUES (44164, 5054, 12, '列印射擊紀錄');
INSERT INTO `lang_definitions` VALUES (44165, 5056, 12, '列印這次遭遇');
INSERT INTO `lang_definitions` VALUES (44166, 5057, 12, '列印說明');
INSERT INTO `lang_definitions` VALUES (44167, 5058, 12, '列印說明');
INSERT INTO `lang_definitions` VALUES (44168, 5060, 12, '列印傳真');
INSERT INTO `lang_definitions` VALUES (44169, 5061, 12, '列印查看');
INSERT INTO `lang_definitions` VALUES (44170, 5062, 12, '可列印的');
INSERT INTO `lang_definitions` VALUES (44171, 5063, 12, '列印版本');
INSERT INTO `lang_definitions` VALUES (44172, 5064, 12, '印刷的');
INSERT INTO `lang_definitions` VALUES (44173, 5066, 12, '列印結果：');
INSERT INTO `lang_definitions` VALUES (44174, 5067, 12, '列印略過;請參閱測試輸出');
INSERT INTO `lang_definitions` VALUES (44175, 5068, 12, '列印略過;請參閱測試輸出 ');
INSERT INTO `lang_definitions` VALUES (44176, 5069, 12, '在此之前驗證');
INSERT INTO `lang_definitions` VALUES (44177, 5070, 12, '以前授權書');
INSERT INTO `lang_definitions` VALUES (44178, 5072, 12, '優先');
INSERT INTO `lang_definitions` VALUES (44179, 5073, 12, '優先 ');
INSERT INTO `lang_definitions` VALUES (44180, 5074, 12, '私人');
INSERT INTO `lang_definitions` VALUES (44181, 5075, 12, '問題');
INSERT INTO `lang_definitions` VALUES (44182, 5076, 12, '問題診斷');
INSERT INTO `lang_definitions` VALUES (44183, 5077, 12, '問題表單');
INSERT INTO `lang_definitions` VALUES (44184, 5079, 12, '問題/議題');
INSERT INTO `lang_definitions` VALUES (44185, 5080, 12, '丙卡巴井棒');
INSERT INTO `lang_definitions` VALUES (44186, 5081, 12, '丙卡巴井貓');
INSERT INTO `lang_definitions` VALUES (44187, 5083, 12, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (44188, 5085, 12, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (44189, 5086, 12, '程序');
INSERT INTO `lang_definitions` VALUES (44190, 5087, 12, '過程部位');
INSERT INTO `lang_definitions` VALUES (44191, 5088, 12, '程序布林結果');
INSERT INTO `lang_definitions` VALUES (44192, 5089, 12, '程序代碼');
INSERT INTO `lang_definitions` VALUES (44193, 5091, 12, 'Procedure Lateralities');
INSERT INTO `lang_definitions` VALUES (44194, 5093, 12, '程序順序');
INSERT INTO `lang_definitions` VALUES (44195, 5095, 12, '程序順序為了');
INSERT INTO `lang_definitions` VALUES (44196, 5102, 12, '過程報告');
INSERT INTO `lang_definitions` VALUES (44197, 5103, 12, '過程報告狀態');
INSERT INTO `lang_definitions` VALUES (44198, 5104, 12, '過程結果異常');
INSERT INTO `lang_definitions` VALUES (44199, 5105, 12, '過程結果狀態');
INSERT INTO `lang_definitions` VALUES (44200, 5106, 12, '過程結果');
INSERT INTO `lang_definitions` VALUES (44201, 5107, 12, '過程路線');
INSERT INTO `lang_definitions` VALUES (44202, 5108, 12, '過程標本類型');
INSERT INTO `lang_definitions` VALUES (44203, 5109, 12, '過程統計報告');
INSERT INTO `lang_definitions` VALUES (44204, 5110, 12, '過程類型');
INSERT INTO `lang_definitions` VALUES (44205, 5111, 12, '過程類型');
INSERT INTO `lang_definitions` VALUES (44206, 5112, 12, '過程單位');
INSERT INTO `lang_definitions` VALUES (44207, 5114, 12, '過程');
INSERT INTO `lang_definitions` VALUES (44208, 5115, 12, '過程');
INSERT INTO `lang_definitions` VALUES (44209, 5117, 12, '過程年代檔案');
INSERT INTO `lang_definitions` VALUES (44210, 5125, 12, '過程');
INSERT INTO `lang_definitions` VALUES (44211, 5129, 12, '產品');
INSERT INTO `lang_definitions` VALUES (44212, 5130, 12, '產品的避孕方法');
INSERT INTO `lang_definitions` VALUES (44213, 5132, 12, '產品');
INSERT INTO `lang_definitions` VALUES (44214, 5133, 12, '產品，但沒有處方藥和無範本');
INSERT INTO `lang_definitions` VALUES (44215, 5134, 12, '教授');
INSERT INTO `lang_definitions` VALUES (44216, 5135, 12, '病程記錄');
INSERT INTO `lang_definitions` VALUES (44217, 5136, 12, '攝護腺癌');
INSERT INTO `lang_definitions` VALUES (44218, 5137, 12, '攝護腺癌篩檢');
INSERT INTO `lang_definitions` VALUES (44219, 5138, 12, '攝護腺檢查');
INSERT INTO `lang_definitions` VALUES (44220, 5139, 12, '攝護腺問題');
INSERT INTO `lang_definitions` VALUES (44221, 5140, 12, '前列腺W / O變大，結節，柔軟');
INSERT INTO `lang_definitions` VALUES (44222, 5142, 12, '提供絕對路徑');
INSERT INTO `lang_definitions` VALUES (44223, 5143, 12, '提供檔案的絕對路徑');
INSERT INTO `lang_definitions` VALUES (44224, 5145, 12, '為每個辦公室訪問患者提供臨床摘要。');
INSERT INTO `lang_definitions` VALUES (44225, 5146, 12, '依據要求提供患者，他們健康信息的電子影本（包括診斷測試的結果，問題的清單，用藥清單，藥物過敏）要求。');
INSERT INTO `lang_definitions` VALUES (44226, 5147, 12, '在四個工作日內，以電子存取信息提供患者及時的健康信息（包括實驗室檢測結果，問題的清單，用藥清單，藥物過敏）EP對他們的。');
INSERT INTO `lang_definitions` VALUES (44227, 5148, 12, '提供患者參觀記錄');
INSERT INTO `lang_definitions` VALUES (44228, 5149, 12, '提供有效的電子郵件地址');
INSERT INTO `lang_definitions` VALUES (44229, 5150, 12, '提供臨床摘要？');
INSERT INTO `lang_definitions` VALUES (44230, 5151, 12, '提供教育資源？');
INSERT INTO `lang_definitions` VALUES (44231, 5152, 12, '提供者列印收據');
INSERT INTO `lang_definitions` VALUES (44232, 5156, 12, '提供者配對錯誤');
INSERT INTO `lang_definitions` VALUES (44233, 5159, 12, '提供者編號');
INSERT INTO `lang_definitions` VALUES (44234, 5162, 12, '提供者：');
INSERT INTO `lang_definitions` VALUES (44235, 5163, 12, '提供者');
INSERT INTO `lang_definitions` VALUES (44236, 5164, 12, '提供者的新產品引進');
INSERT INTO `lang_definitions` VALUES (44237, 5165, 12, '供應商把整個日曆');
INSERT INTO `lang_definitions` VALUES (44238, 5166, 12, '上一頁');
INSERT INTO `lang_definitions` VALUES (44239, 5167, 12, '變壓吸附');
INSERT INTO `lang_definitions` VALUES (44240, 5168, 12, '牛皮癬');
INSERT INTO `lang_definitions` VALUES (44241, 5169, 12, '精神科診斷');
INSERT INTO `lang_definitions` VALUES (44242, 5170, 12, '精神科藥物');
INSERT INTO `lang_definitions` VALUES (44243, 5171, 12, '精神科的');
INSERT INTO `lang_definitions` VALUES (44244, 5172, 12, '精神科摘要函件');
INSERT INTO `lang_definitions` VALUES (44245, 5173, 12, '精神科診斷');
INSERT INTO `lang_definitions` VALUES (44246, 5174, 12, '精神病鑑定');
INSERT INTO `lang_definitions` VALUES (44247, 5175, 12, '精神病史');
INSERT INTO `lang_definitions` VALUES (44248, 5176, 12, '精神科攝入');
INSERT INTO `lang_definitions` VALUES (44249, 5177, 12, '精神科藥物');
INSERT INTO `lang_definitions` VALUES (44250, 5178, 12, '病人百分比');
INSERT INTO `lang_definitions` VALUES (44251, 5179, 12, '病人註释');
INSERT INTO `lang_definitions` VALUES (44252, 5180, 12, '病人註釋/驗證');
INSERT INTO `lang_definitions` VALUES (44253, 5181, 12, '病人多繳');
INSERT INTO `lang_definitions` VALUES (44254, 5182, 12, '病人付費');
INSERT INTO `lang_definitions` VALUES (44255, 5183, 12, '病人建議請求');
INSERT INTO `lang_definitions` VALUES (44256, 5184, 12, '病人退款');
INSERT INTO `lang_definitions` VALUES (44257, 5185, 12, '病人釋放');
INSERT INTO `lang_definitions` VALUES (44258, 5186, 12, '病人報告');
INSERT INTO `lang_definitions` VALUES (44259, 5187, 12, '太平洋學生，或留空白');
INSERT INTO `lang_definitions` VALUES (44260, 5188, 12, '太平洋-城市');
INSERT INTO `lang_definitions` VALUES (44261, 5189, 12, '太平洋-出生日期');
INSERT INTO `lang_definitions` VALUES (44262, 5191, 12, '太平洋-FNAME');
INSERT INTO `lang_definitions` VALUES (44263, 5192, 12, '太平洋-LNAME');
INSERT INTO `lang_definitions` VALUES (44264, 5193, 12, '太平洋-MNAME');
INSERT INTO `lang_definitions` VALUES (44265, 5196, 12, '太平洋-郵政');
INSERT INTO `lang_definitions` VALUES (44266, 5198, 12, '太平洋-州');
INSERT INTO `lang_definitions` VALUES (44267, 5199, 12, '太平洋-街');
INSERT INTO `lang_definitions` VALUES (44268, 5201, 12, '公眾');
INSERT INTO `lang_definitions` VALUES (44269, 5204, 12, '波多黎各');
INSERT INTO `lang_definitions` VALUES (44270, 5205, 12, '肺的');
INSERT INTO `lang_definitions` VALUES (44271, 5206, 12, '脈搏');
INSERT INTO `lang_definitions` VALUES (44272, 5207, 12, '旁遮普');
INSERT INTO `lang_definitions` VALUES (44273, 5208, 12, 'Purchase');
INSERT INTO `lang_definitions` VALUES (44274, 5209, 12, '購買/返回');
INSERT INTO `lang_definitions` VALUES (44275, 5210, 12, '採購');
INSERT INTO `lang_definitions` VALUES (44276, 5213, 12, '每3小時');
INSERT INTO `lang_definitions` VALUES (44277, 5214, 12, '每4小時');
INSERT INTO `lang_definitions` VALUES (44278, 5215, 12, '每5小時');
INSERT INTO `lang_definitions` VALUES (44279, 5216, 12, '每6小時');
INSERT INTO `lang_definitions` VALUES (44280, 5217, 12, '每8小時');
INSERT INTO `lang_definitions` VALUES (44281, 5218, 12, '每天4次');
INSERT INTO `lang_definitions` VALUES (44282, 5219, 12, '每天4次');
INSERT INTO `lang_definitions` VALUES (44283, 5220, 12, '每隔1小時');
INSERT INTO `lang_definitions` VALUES (44284, 5221, 12, '每隔1小時是少於每月用量');
INSERT INTO `lang_definitions` VALUES (44285, 5222, 12, '品質');
INSERT INTO `lang_definitions` VALUES (44286, 5223, 12, '品質');
INSERT INTO `lang_definitions` VALUES (44287, 5224, 12, '品質');
INSERT INTO `lang_definitions` VALUES (44288, 5225, 12, '質量測量（CQM）');
INSERT INTO `lang_definitions` VALUES (44289, 5226, 12, '數量');
INSERT INTO `lang_definitions` VALUES (44290, 5227, 12, 'NDC的數量');
INSERT INTO `lang_definitions` VALUES (44291, 5228, 12, '手邊的數量');
INSERT INTO `lang_definitions` VALUES (44292, 5229, 12, '數量似乎無法使用');
INSERT INTO `lang_definitions` VALUES (44293, 5231, 12, '問號');
INSERT INTO `lang_definitions` VALUES (44294, 5232, 12, '為HCFA成批處理隊列');
INSERT INTO `lang_definitions` VALUES (44295, 5233, 12, '為HCFA成批處理隊列與印刷');
INSERT INTO `lang_definitions` VALUES (44296, 5234, 12, '為UB-92成批處理隊列');
INSERT INTO `lang_definitions` VALUES (44297, 5235, 12, '為UB-92成批處理隊列與印刷');
INSERT INTO `lang_definitions` VALUES (44298, 5236, 12, '排隊');
INSERT INTO `lang_definitions` VALUES (44299, 5237, 12, '排隊的事件管理');
INSERT INTO `lang_definitions` VALUES (44300, 5238, 12, '排隊等候');
INSERT INTO `lang_definitions` VALUES (44301, 5240, 12, '排隊提交管理');
INSERT INTO `lang_definitions` VALUES (44302, 5241, 12, '退出');
INSERT INTO `lang_definitions` VALUES (44303, 5242, 12, '戒酒');
INSERT INTO `lang_definitions` VALUES (44304, 5245, 12, '種族');
INSERT INTO `lang_definitions` VALUES (44305, 5246, 12, '種族和民族');
INSERT INTO `lang_definitions` VALUES (44306, 5247, 12, '種族/族裔');
INSERT INTO `lang_definitions` VALUES (44307, 5248, 12, '收音機');
INSERT INTO `lang_definitions` VALUES (44308, 5249, 12, '單選按鈕');
INSERT INTO `lang_definitions` VALUES (44309, 5251, 12, '範圍');
INSERT INTO `lang_definitions` VALUES (44310, 5252, 12, '皮疹');
INSERT INTO `lang_definitions` VALUES (44311, 5253, 12, '速率');
INSERT INTO `lang_definitions` VALUES (44312, 5254, 12, '比率');
INSERT INTO `lang_definitions` VALUES (44313, 5255, 12, '原報告');
INSERT INTO `lang_definitions` VALUES (44314, 5256, 12, '重新鑑定');
INSERT INTO `lang_definitions` VALUES (44315, 5257, 12, '重新鑑定過程完成');
INSERT INTO `lang_definitions` VALUES (44316, 5258, 12, '重新鑑定的過程是正在進行');
INSERT INTO `lang_definitions` VALUES (44317, 5259, 12, '重新鑑定的文件將被保存在');
INSERT INTO `lang_definitions` VALUES (44318, 5260, 12, '再度受傷？');
INSERT INTO `lang_definitions` VALUES (44319, 5261, 12, '重新開放');
INSERT INTO `lang_definitions` VALUES (44320, 5262, 12, '重新開放');
INSERT INTO `lang_definitions` VALUES (44321, 5263, 12, '反應');
INSERT INTO `lang_definitions` VALUES (44322, 5264, 12, '反應');
INSERT INTO `lang_definitions` VALUES (44323, 5265, 12, '讀');
INSERT INTO `lang_definitions` VALUES (44324, 5268, 12, '真實姓名');
INSERT INTO `lang_definitions` VALUES (44325, 5269, 12, '真正刪除');
INSERT INTO `lang_definitions` VALUES (44326, 5270, 12, '理由');
INSERT INTO `lang_definitions` VALUES (44327, 5271, 12, '死亡原因');
INSERT INTO `lang_definitions` VALUES (44328, 5272, 12, '死亡原因');
INSERT INTO `lang_definitions` VALUES (44329, 5274, 12, '轉介原因');
INSERT INTO `lang_definitions` VALUES (44330, 5275, 12, '訪問的原因');
INSERT INTO `lang_definitions` VALUES (44331, 5276, 12, '原因/表格');
INSERT INTO `lang_definitions` VALUES (44332, 5277, 12, '收據');
INSERT INTO `lang_definitions` VALUES (44333, 5278, 12, '付款收據');
INSERT INTO `lang_definitions` VALUES (44334, 5279, 12, '收據產生');
INSERT INTO `lang_definitions` VALUES (44335, 5280, 12, '預收付款方法報告');
INSERT INTO `lang_definitions` VALUES (44336, 5281, 12, '收據摘要');
INSERT INTO `lang_definitions` VALUES (44337, 5282, 12, '接受');
INSERT INTO `lang_definitions` VALUES (44338, 5283, 12, '收到的');
INSERT INTO `lang_definitions` VALUES (44339, 5284, 12, '接收的傳真');
INSERT INTO `lang_definitions` VALUES (44340, 5287, 12, '接收器');
INSERT INTO `lang_definitions` VALUES (44341, 5288, 12, '接收器的編號');
INSERT INTO `lang_definitions` VALUES (44342, 5289, 12, '接收器的編號（ISA08）');
INSERT INTO `lang_definitions` VALUES (44343, 5290, 12, '接收器的ID限定符（ISA07）');
INSERT INTO `lang_definitions` VALUES (44344, 5292, 12, '最近三個密碼是不允許的。');
INSERT INTO `lang_definitions` VALUES (44345, 5293, 12, '接受者');
INSERT INTO `lang_definitions` VALUES (44346, 5294, 12, '收件人列表是空的');
INSERT INTO `lang_definitions` VALUES (44347, 5295, 12, '收件人姓名');
INSERT INTO `lang_definitions` VALUES (44348, 5296, 12, '收件人披露');
INSERT INTO `lang_definitions` VALUES (44349, 5298, 12, '建議');
INSERT INTO `lang_definitions` VALUES (44350, 5300, 12, '建議');
INSERT INTO `lang_definitions` VALUES (44351, 5301, 12, '建議與治療');
INSERT INTO `lang_definitions` VALUES (44352, 5302, 12, '專家的建議');
INSERT INTO `lang_definitions` VALUES (44353, 5303, 12, '紀錄');
INSERT INTO `lang_definitions` VALUES (44354, 5310, 12, '生命徵象的紀錄與圖表改變');
INSERT INTO `lang_definitions` VALUES (44355, 5311, 12, '記錄人口統計。');
INSERT INTO `lang_definitions` VALUES (44356, 5312, 12, '記錄披露');
INSERT INTO `lang_definitions` VALUES (44357, 5313, 12, '健身記錄');
INSERT INTO `lang_definitions` VALUES (44358, 5314, 12, '記錄付款');
INSERT INTO `lang_definitions` VALUES (44359, 5315, 12, '記錄請求日期');
INSERT INTO `lang_definitions` VALUES (44360, 5316, 12, '為13歲或以上的患者紀錄吸煙狀況。');
INSERT INTO `lang_definitions` VALUES (44361, 5317, 12, '紀錄');
INSERT INTO `lang_definitions` VALUES (44362, 5318, 12, '找到記錄');
INSERT INTO `lang_definitions` VALUES (44363, 5319, 12, '找到記錄。');
INSERT INTO `lang_definitions` VALUES (44364, 5320, 12, '娛樂性藥物的使用');
INSERT INTO `lang_definitions` VALUES (44365, 5321, 12, '娛樂性藥物');
INSERT INTO `lang_definitions` VALUES (44366, 5322, 12, '直腸的');
INSERT INTO `lang_definitions` VALUES (44367, 5323, 12, '直腸檢查');
INSERT INTO `lang_definitions` VALUES (44368, 5324, 12, '直腸的');
INSERT INTO `lang_definitions` VALUES (44369, 5325, 12, '重新定向');
INSERT INTO `lang_definitions` VALUES (44370, 5326, 12, '發紅');
INSERT INTO `lang_definitions` VALUES (44371, 5327, 12, '降低：');
INSERT INTO `lang_definitions` VALUES (44372, 5328, 12, '參考');
INSERT INTO `lang_definitions` VALUES (44373, 5329, 12, '指由');
INSERT INTO `lang_definitions` VALUES (44374, 5330, 12, '參考日期');
INSERT INTO `lang_definitions` VALUES (44375, 5331, 12, '參考');
INSERT INTO `lang_definitions` VALUES (44376, 5332, 12, '參考分類（風險等級）');
INSERT INTO `lang_definitions` VALUES (44377, 5333, 12, '結果參考範圍');
INSERT INTO `lang_definitions` VALUES (44378, 5334, 12, '參考原因');
INSERT INTO `lang_definitions` VALUES (44379, 5336, 12, '參考姓名與簽名');
INSERT INTO `lang_definitions` VALUES (44380, 5337, 12, '轉診');
INSERT INTO `lang_definitions` VALUES (44381, 5338, 12, '所提及');
INSERT INTO `lang_definitions` VALUES (44382, 5339, 12, '轉診卡');
INSERT INTO `lang_definitions` VALUES (44383, 5340, 12, '轉診日期');
INSERT INTO `lang_definitions` VALUES (44384, 5341, 12, '轉診表格');
INSERT INTO `lang_definitions` VALUES (44385, 5342, 12, '轉診表格');
INSERT INTO `lang_definitions` VALUES (44386, 5343, 12, '轉診編號');
INSERT INTO `lang_definitions` VALUES (44387, 5345, 12, '轉診來源');
INSERT INTO `lang_definitions` VALUES (44388, 5346, 12, '轉介來源為遭遇');
INSERT INTO `lang_definitions` VALUES (44389, 5347, 12, '轉診到');
INSERT INTO `lang_definitions` VALUES (44390, 5348, 12, '轉診');
INSERT INTO `lang_definitions` VALUES (44391, 5349, 12, '轉診報告');
INSERT INTO `lang_definitions` VALUES (44392, 5350, 12, '所提及');
INSERT INTO `lang_definitions` VALUES (44393, 5351, 12, '所提及');
INSERT INTO `lang_definitions` VALUES (44394, 5352, 12, '轉診到');
INSERT INTO `lang_definitions` VALUES (44395, 5353, 12, '轉診');
INSERT INTO `lang_definitions` VALUES (44396, 5355, 12, '轉介診斷');
INSERT INTO `lang_definitions` VALUES (44397, 5356, 12, '轉介診斷');
INSERT INTO `lang_definitions` VALUES (44398, 5357, 12, '在談到醫生和實踐');
INSERT INTO `lang_definitions` VALUES (44399, 5358, 12, '在談到提供者');
INSERT INTO `lang_definitions` VALUES (44400, 5359, 12, '補充');
INSERT INTO `lang_definitions` VALUES (44401, 5360, 12, '補充');
INSERT INTO `lang_definitions` VALUES (44402, 5361, 12, '補充');
INSERT INTO `lang_definitions` VALUES (44403, 5362, 12, '反射正常');
INSERT INTO `lang_definitions` VALUES (44404, 5363, 12, '重新整理');
INSERT INTO `lang_definitions` VALUES (44405, 5368, 12, '拒絕說明');
INSERT INTO `lang_definitions` VALUES (44406, 5369, 12, 'reg_re');
INSERT INTO `lang_definitions` VALUES (44407, 5370, 12, '註冊');
INSERT INTO `lang_definitions` VALUES (44408, 5372, 12, '註冊');
INSERT INTO `lang_definitions` VALUES (44409, 5373, 12, '註冊');
INSERT INTO `lang_definitions` VALUES (44410, 5375, 12, '註冊日期');
INSERT INTO `lang_definitions` VALUES (44411, 5376, 12, '報名表');
INSERT INTO `lang_definitions` VALUES (44412, 5377, 12, '復健');
INSERT INTO `lang_definitions` VALUES (44413, 5381, 12, '有關的');
INSERT INTO `lang_definitions` VALUES (44414, 5382, 12, '有關');
INSERT INTO `lang_definitions` VALUES (44415, 5383, 12, '相關問題');
INSERT INTO `lang_definitions` VALUES (44416, 5385, 12, '關係（S）/兒童');
INSERT INTO `lang_definitions` VALUES (44417, 5386, 12, '關係');
INSERT INTO `lang_definitions` VALUES (44418, 5387, 12, '關係');
INSERT INTO `lang_definitions` VALUES (44419, 5388, 12, '這個實體的相對順序');
INSERT INTO `lang_definitions` VALUES (44420, 5389, 12, '親屬');
INSERT INTO `lang_definitions` VALUES (44421, 5399, 12, '替換健康憑據由該用戶帳戶遺漏。');
INSERT INTO `lang_definitions` VALUES (44422, 5400, 12, '替換健康憑證');
INSERT INTO `lang_definitions` VALUES (44423, 5403, 12, '信仰');
INSERT INTO `lang_definitions` VALUES (44424, 5406, 12, '重新登錄');
INSERT INTO `lang_definitions` VALUES (44425, 5407, 12, 'Remdr');
INSERT INTO `lang_definitions` VALUES (44426, 5408, 12, '記住選定的設備');
INSERT INTO `lang_definitions` VALUES (44427, 5409, 12, '提醒');
INSERT INTO `lang_definitions` VALUES (44428, 5410, 12, '提醒間隔');
INSERT INTO `lang_definitions` VALUES (44429, 5411, 12, '提醒不要發了');
INSERT INTO `lang_definitions` VALUES (44430, 5412, 12, '發送提醒');
INSERT INTO `lang_definitions` VALUES (44431, 5414, 12, '匯至');
INSERT INTO `lang_definitions` VALUES (44432, 5416, 12, '移除');
INSERT INTO `lang_definitions` VALUES (44433, 5419, 12, '移除群組');
INSERT INTO `lang_definitions` VALUES (44434, 5420, 12, '移除群組型式');
INSERT INTO `lang_definitions` VALUES (44435, 5421, 12, '刪除免疫支持');
INSERT INTO `lang_definitions` VALUES (44436, 5422, 12, '刪除phpMyAdmin的支持');
INSERT INTO `lang_definitions` VALUES (44437, 5423, 12, '刪除處方');
INSERT INTO `lang_definitions` VALUES (44438, 5425, 12, '刪除圖表追踪功能');
INSERT INTO `lang_definitions` VALUES (44439, 5426, 12, '腎結石');
INSERT INTO `lang_definitions` VALUES (44440, 5427, 12, '重新命名');
INSERT INTO `lang_definitions` VALUES (44441, 5428, 12, '重新命名群組');
INSERT INTO `lang_definitions` VALUES (44442, 5429, 12, '呈現');
INSERT INTO `lang_definitions` VALUES (44443, 5430, 12, '呈現提供者');
INSERT INTO `lang_definitions` VALUES (44444, 5431, 12, '呈現提供者編號');
INSERT INTO `lang_definitions` VALUES (44445, 5432, 12, '重新排序');
INSERT INTO `lang_definitions` VALUES (44446, 5433, 12, '重新排列在');
INSERT INTO `lang_definitions` VALUES (44447, 5434, 12, '訂貨點已達到');
INSERT INTO `lang_definitions` VALUES (44448, 5436, 12, '重複');
INSERT INTO `lang_definitions` VALUES (44449, 5438, 12, '重複事件');
INSERT INTO `lang_definitions` VALUES (44450, 5439, 12, '重複資訊：');
INSERT INTO `lang_definitions` VALUES (44451, 5440, 12, '重複');
INSERT INTO `lang_definitions` VALUES (44452, 5444, 12, '回復日期');
INSERT INTO `lang_definitions` VALUES (44453, 5445, 12, '回復從');
INSERT INTO `lang_definitions` VALUES (44454, 5446, 12, '報告');
INSERT INTO `lang_definitions` VALUES (44455, 5447, 12, '報告 - 臨床');
INSERT INTO `lang_definitions` VALUES (44456, 5449, 12, '報告由');
INSERT INTO `lang_definitions` VALUES (44457, 5457, 12, '報告情況');
INSERT INTO `lang_definitions` VALUES (44458, 5458, 12, '報告匯總');
INSERT INTO `lang_definitions` VALUES (44459, 5460, 12, '申報的');
INSERT INTO `lang_definitions` VALUES (44460, 5461, 12, '申報的');
INSERT INTO `lang_definitions` VALUES (44461, 5462, 12, '申報日期');
INSERT INTO `lang_definitions` VALUES (44462, 5463, 12, '申報');
INSERT INTO `lang_definitions` VALUES (44463, 5467, 12, '請求被忽略 - 索賠處理已經運行！');
INSERT INTO `lang_definitions` VALUES (44464, 5474, 12, '請求服務');
INSERT INTO `lang_definitions` VALUES (44465, 5475, 12, '需要強有力的密碼');
INSERT INTO `lang_definitions` VALUES (44466, 5476, 12, '需要獨特的密碼');
INSERT INTO `lang_definitions` VALUES (44467, 5477, 12, '需要');
INSERT INTO `lang_definitions` VALUES (44468, 5479, 12, '缺少必填欄位：請選擇的EDI-271要上傳的文件');
INSERT INTO `lang_definitions` VALUES (44469, 5480, 12, '缺少必填欄位：請輸入名字');
INSERT INTO `lang_definitions` VALUES (44470, 5481, 12, '缺少必填欄位：請輸入姓');
INSERT INTO `lang_definitions` VALUES (44471, 5482, 12, '缺少必填欄位：請輸入使用者姓名');
INSERT INTO `lang_definitions` VALUES (44472, 5483, 12, '需要的欄位');
INSERT INTO `lang_definitions` VALUES (44473, 5484, 12, '需要');
INSERT INTO `lang_definitions` VALUES (44474, 5485, 12, '保留');
INSERT INTO `lang_definitions` VALUES (44475, 5486, 12, '保留');
INSERT INTO `lang_definitions` VALUES (44476, 5487, 12, '預留使用確定排定的休假時間');
INSERT INTO `lang_definitions` VALUES (44477, 5488, 12, '當供應商之後可能無法獲得任命時，保留定義。');
INSERT INTO `lang_definitions` VALUES (44478, 5489, 12, '當事件沒有按指定發生時，保留定義。');
INSERT INTO `lang_definitions` VALUES (44479, 5490, 12, '當提供者之後可能獲得任命時，保留定義。');
INSERT INTO `lang_definitions` VALUES (44480, 5491, 12, '重新設置');
INSERT INTO `lang_definitions` VALUES (44481, 5492, 12, '重新設定場外入口網站憑證');
INSERT INTO `lang_definitions` VALUES (44482, 5493, 12, '重新設定場內入口網站憑證');
INSERT INTO `lang_definitions` VALUES (44483, 5495, 12, 'Resn');
INSERT INTO `lang_definitions` VALUES (44484, 5496, 12, '解決這個問題');
INSERT INTO `lang_definitions` VALUES (44485, 5497, 12, '呼吸');
INSERT INTO `lang_definitions` VALUES (44486, 5498, 12, '用力呼吸不費力');
INSERT INTO `lang_definitions` VALUES (44487, 5499, 12, '呼吸的');
INSERT INTO `lang_definitions` VALUES (44488, 5501, 12, '限制非授權用戶在用戶管理中設置的附表設施。');
INSERT INTO `lang_definitions` VALUES (44489, 5502, 12, '限制用戶到設施');
INSERT INTO `lang_definitions` VALUES (44490, 5503, 12, '受限制的訓練');
INSERT INTO `lang_definitions` VALUES (44491, 5504, 12, '結果');
INSERT INTO `lang_definitions` VALUES (44492, 5506, 12, '結果狀態');
INSERT INTO `lang_definitions` VALUES (44493, 5507, 12, '結果狀態或異常遺漏');
INSERT INTO `lang_definitions` VALUES (44494, 5508, 12, '因此，使用萬用字元％');
INSERT INTO `lang_definitions` VALUES (44495, 5510, 12, '結果與');
INSERT INTO `lang_definitions` VALUES (44496, 5511, 12, '找到研究結果');
INSERT INTO `lang_definitions` VALUES (44497, 5512, 12, '結果組');
INSERT INTO `lang_definitions` VALUES (44498, 5515, 12, '每頁結果');
INSERT INTO `lang_definitions` VALUES (44499, 5516, 12, '結果/細節');
INSERT INTO `lang_definitions` VALUES (44500, 5517, 12, '視網膜檢查');
INSERT INTO `lang_definitions` VALUES (44501, 5518, 12, '回縮右惻：');
INSERT INTO `lang_definitions` VALUES (44502, 5519, 12, '返回');
INSERT INTO `lang_definitions` VALUES (44503, 5520, 12, '用您的付款，回到上述的一部分');
INSERT INTO `lang_definitions` VALUES (44504, 5521, 12, '返回到日曆');
INSERT INTO `lang_definitions` VALUES (44505, 5527, 12, '返回值');
INSERT INTO `lang_definitions` VALUES (44506, 5528, 12, '回訪');
INSERT INTO `lang_definitions` VALUES (44507, 5529, 12, '返回到播放');
INSERT INTO `lang_definitions` VALUES (44508, 5534, 12, '瑪嘉烈醫院回顧：');
INSERT INTO `lang_definitions` VALUES (44509, 5535, 12, '系統回顧');
INSERT INTO `lang_definitions` VALUES (44510, 5536, 12, '系統回顧檢查');
INSERT INTO `lang_definitions` VALUES (44511, 5537, 12, '回顧');
INSERT INTO `lang_definitions` VALUES (44512, 5538, 12, '調整');
INSERT INTO `lang_definitions` VALUES (44513, 5539, 12, '類風濕性關節炎');
INSERT INTO `lang_definitions` VALUES (44514, 5540, 12, '類風濕性關節炎');
INSERT INTO `lang_definitions` VALUES (44515, 5541, 12, '右側');
INSERT INTO `lang_definitions` VALUES (44516, 5542, 12, '右耳');
INSERT INTO `lang_definitions` VALUES (44517, 5543, 12, '右耳');
INSERT INTO `lang_definitions` VALUES (44518, 5545, 12, '右側：');
INSERT INTO `lang_definitions` VALUES (44519, 5546, 12, '言猶在耳');
INSERT INTO `lang_definitions` VALUES (44520, 5547, 12, '言猶在耳');
INSERT INTO `lang_definitions` VALUES (44521, 5549, 12, '風險因素');
INSERT INTO `lang_definitions` VALUES (44522, 5550, 12, '風險等級');
INSERT INTO `lang_definitions` VALUES (44523, 5551, 12, '右下葉肺炎：');
INSERT INTO `lang_definitions` VALUES (44524, 5552, 12, '右側中耳炎');
INSERT INTO `lang_definitions` VALUES (44525, 5560, 12, '名冊');
INSERT INTO `lang_definitions` VALUES (44526, 5561, 12, '路徑');
INSERT INTO `lang_definitions` VALUES (44527, 5562, 12, '給藥途徑，如適用');
INSERT INTO `lang_definitions` VALUES (44528, 5563, 12, '佈線');
INSERT INTO `lang_definitions` VALUES (44529, 5564, 12, '行');
INSERT INTO `lang_definitions` VALUES (44530, 5565, 12, '存款準備金沒有靜曲強度');
INSERT INTO `lang_definitions` VALUES (44531, 5566, 12, '擦：');
INSERT INTO `lang_definitions` VALUES (44532, 5567, 12, '擦：');
INSERT INTO `lang_definitions` VALUES (44533, 5568, 12, '規則');
INSERT INTO `lang_definitions` VALUES (44534, 5569, 12, '規則加');
INSERT INTO `lang_definitions` VALUES (44535, 5570, 12, '規則詳情');
INSERT INTO `lang_definitions` VALUES (44536, 5572, 12, '規則編輯');
INSERT INTO `lang_definitions` VALUES (44537, 5575, 12, '規則設置');
INSERT INTO `lang_definitions` VALUES (44538, 5578, 12, '規則');
INSERT INTO `lang_definitions` VALUES (44539, 5580, 12, '規則配置');
INSERT INTO `lang_definitions` VALUES (44540, 5581, 12, '運行命令： ');
INSERT INTO `lang_definitions` VALUES (44541, 5582, 12, '破裂');
INSERT INTO `lang_definitions` VALUES (44542, 5583, 12, '俄國');
INSERT INTO `lang_definitions` VALUES (44543, 5584, 12, '接收');
INSERT INTO `lang_definitions` VALUES (44544, 5585, 12, '接收');
INSERT INTO `lang_definitions` VALUES (44545, 5598, 12, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (44546, 5599, 12, 'RxNorm資料庫');
INSERT INTO `lang_definitions` VALUES (44547, 5601, 12, 'S.S.');
INSERT INTO `lang_definitions` VALUES (44548, 5602, 12, 'S3:');
INSERT INTO `lang_definitions` VALUES (44549, 5603, 12, 'S4:');
INSERT INTO `lang_definitions` VALUES (44550, 5604, 12, 'SA**閱讀許可請閱讀DOCS / LICENSE.TXT或訪問* http://www.gnu.org/copyleft/gpl.html ');
INSERT INTO `lang_definitions` VALUES (44551, 5605, 12, '銷售');
INSERT INTO `lang_definitions` VALUES (44552, 5606, 12, '銷售量');
INSERT INTO `lang_definitions` VALUES (44553, 5607, 12, '主要項目的銷售量');
INSERT INTO `lang_definitions` VALUES (44554, 5608, 12, '銷售量產品報告');
INSERT INTO `lang_definitions` VALUES (44555, 5609, 12, '唾液');
INSERT INTO `lang_definitions` VALUES (44556, 5610, 12, '同一天');
INSERT INTO `lang_definitions` VALUES (44557, 5611, 12, '薩摩亞人');
INSERT INTO `lang_definitions` VALUES (44558, 5612, 12, '樣本 標本');
INSERT INTO `lang_definitions` VALUES (44559, 5613, 12, '處罰種類');
INSERT INTO `lang_definitions` VALUES (44560, 5617, 12, '星期六');
INSERT INTO `lang_definitions` VALUES (44561, 5618, 12, '週六和週日');
INSERT INTO `lang_definitions` VALUES (44562, 5619, 12, '星期六');
INSERT INTO `lang_definitions` VALUES (44563, 5620, 12, '儲存');
INSERT INTO `lang_definitions` VALUES (44564, 5621, 12, '儲存');
INSERT INTO `lang_definitions` VALUES (44565, 5624, 12, '保存和分配');
INSERT INTO `lang_definitions` VALUES (44566, 5626, 12, '另存為新的');
INSERT INTO `lang_definitions` VALUES (44567, 5627, 12, '另存為新的筆記');
INSERT INTO `lang_definitions` VALUES (44568, 5628, 12, '保存證書設置');
INSERT INTO `lang_definitions` VALUES (44569, 5629, 12, '保存更改');
INSERT INTO `lang_definitions` VALUES (44570, 5630, 12, '保存形式');
INSERT INTO `lang_definitions` VALUES (44571, 5631, 12, '保存免疫接種');
INSERT INTO `lang_definitions` VALUES (44572, 5632, 12, '保存新領域');
INSERT INTO `lang_definitions` VALUES (44573, 5633, 12, '保存新群組');
INSERT INTO `lang_definitions` VALUES (44574, 5634, 12, '保存新的列表');
INSERT INTO `lang_definitions` VALUES (44575, 5635, 12, '保存新範本');
INSERT INTO `lang_definitions` VALUES (44576, 5637, 12, '保存病人的人口統計資料');
INSERT INTO `lang_definitions` VALUES (44577, 5638, 12, '成功的保存圖表編號');
INSERT INTO `lang_definitions` VALUES (44578, 5639, 12, '保存事務');
INSERT INTO `lang_definitions` VALUES (44579, 5641, 12, '掃描');
INSERT INTO `lang_definitions` VALUES (44580, 5642, 12, '掃描遭遇筆記');
INSERT INTO `lang_definitions` VALUES (44581, 5643, 12, '掃瞄器目錄');
INSERT INTO `lang_definitions` VALUES (44582, 5644, 12, '掃描程序在');
INSERT INTO `lang_definitions` VALUES (44583, 5645, 12, '日程表');
INSERT INTO `lang_definitions` VALUES (44584, 5646, 12, '進度設施：');
INSERT INTO `lang_definitions` VALUES (44585, 5647, 12, '校注');
INSERT INTO `lang_definitions` VALUES (44586, 5648, 12, '脊柱側彎');
INSERT INTO `lang_definitions` VALUES (44587, 5651, 12, 'SE');
INSERT INTO `lang_definitions` VALUES (44588, 5652, 12, 'SE地址');
INSERT INTO `lang_definitions` VALUES (44589, 5653, 12, 'SE城市');
INSERT INTO `lang_definitions` VALUES (44590, 5654, 12, 'SE國家');
INSERT INTO `lang_definitions` VALUES (44591, 5655, 12, '東南方位');
INSERT INTO `lang_definitions` VALUES (44592, 5656, 12, 'SE郵政編碼');
INSERT INTO `lang_definitions` VALUES (44593, 5657, 12, 'SE州');
INSERT INTO `lang_definitions` VALUES (44594, 5658, 12, 'SE郵編');
INSERT INTO `lang_definitions` VALUES (44595, 5659, 12, '搜尋');
INSERT INTO `lang_definitions` VALUES (44596, 5661, 12, '搜尋');
INSERT INTO `lang_definitions` VALUES (44597, 5662, 12, '再搜尋');
INSERT INTO `lang_definitions` VALUES (44598, 5664, 12, '搜尋被：');
INSERT INTO `lang_definitions` VALUES (44599, 5665, 12, '搜索');
INSERT INTO `lang_definitions` VALUES (44600, 5666, 12, '搜索：');
INSERT INTO `lang_definitions` VALUES (44601, 5668, 12, '相關搜索');
INSERT INTO `lang_definitions` VALUES (44602, 5669, 12, '搜尋或新增病人');
INSERT INTO `lang_definitions` VALUES (44603, 5670, 12, '搜索付款');
INSERT INTO `lang_definitions` VALUES (44604, 5672, 12, '搜索結果：');
INSERT INTO `lang_definitions` VALUES (44605, 5673, 12, '搜索時選擇');
INSERT INTO `lang_definitions` VALUES (44606, 5674, 12, '搜索字符串沒有與數據庫中的名單相符');
INSERT INTO `lang_definitions` VALUES (44607, 5675, 12, '搜索字符串應該至少有三個字元');
INSERT INTO `lang_definitions` VALUES (44608, 5676, 12, '搜索文字');
INSERT INTO `lang_definitions` VALUES (44609, 5677, 12, '搜索事件');
INSERT INTO `lang_definitions` VALUES (44610, 5678, 12, '搜索/添加');
INSERT INTO `lang_definitions` VALUES (44611, 5679, 12, '搜索/加入保險人');
INSERT INTO `lang_definitions` VALUES (44612, 5680, 12, '尋找約會');
INSERT INTO `lang_definitions` VALUES (44613, 5681, 12, '搜索...');
INSERT INTO `lang_definitions` VALUES (44614, 5682, 12, '使用安全帶');
INSERT INTO `lang_definitions` VALUES (44615, 5683, 12, '使用安全帶');
INSERT INTO `lang_definitions` VALUES (44616, 5684, 12, '第二');
INSERT INTO `lang_definitions` VALUES (44617, 5687, 12, '續發的');
INSERT INTO `lang_definitions` VALUES (44618, 5688, 12, '次要保險');
INSERT INTO `lang_definitions` VALUES (44619, 5689, 12, '次要保險日期');
INSERT INTO `lang_definitions` VALUES (44620, 5690, 12, '次要保險提供者');
INSERT INTO `lang_definitions` VALUES (44621, 5698, 12, '安全性');
INSERT INTO `lang_definitions` VALUES (44622, 5699, 12, '查看全部');
INSERT INTO `lang_definitions` VALUES (44623, 5700, 12, '看到授權');
INSERT INTO `lang_definitions` VALUES (44624, 5701, 12, '看生長曲線圖');
INSERT INTO `lang_definitions` VALUES (44625, 5702, 12, '從最後一組產生的索賠看到消息');
INSERT INTO `lang_definitions` VALUES (44626, 5704, 12, '看到自');
INSERT INTO `lang_definitions` VALUES (44627, 5707, 12, '痙攣');
INSERT INTO `lang_definitions` VALUES (44628, 5708, 12, 'SEL');
INSERT INTO `lang_definitions` VALUES (44629, 5709, 12, '選擇');
INSERT INTO `lang_definitions` VALUES (44630, 5710, 12, '選擇');
INSERT INTO `lang_definitions` VALUES (44631, 5712, 12, '選擇一個關聯');
INSERT INTO `lang_definitions` VALUES (44632, 5715, 12, '選擇一個用戶');
INSERT INTO `lang_definitions` VALUES (44633, 5716, 12, '選擇全部');
INSERT INTO `lang_definitions` VALUES (44635, 5720, 12, '選擇類別');
INSERT INTO `lang_definitions` VALUES (44636, 5722, 12, '選擇對應的的複選框以刪除');
INSERT INTO `lang_definitions` VALUES (44637, 5723, 12, '選擇要刪除的標準');
INSERT INTO `lang_definitions` VALUES (44638, 5725, 12, '選擇去識別所需的資料');
INSERT INTO `lang_definitions` VALUES (44639, 5726, 12, '選擇的數據將在包含在去識別的資料中');
INSERT INTO `lang_definitions` VALUES (44640, 5727, 12, '選擇的日期');
INSERT INTO `lang_definitions` VALUES (44641, 5728, 12, '選擇所需的陣容');
INSERT INTO `lang_definitions` VALUES (44642, 5729, 12, '選擇診斷');
INSERT INTO `lang_definitions` VALUES (44643, 5730, 12, '為去識別請求選擇診斷');
INSERT INTO `lang_definitions` VALUES (44644, 5731, 12, '選擇藥物');
INSERT INTO `lang_definitions` VALUES (44645, 5732, 12, '選擇藥物');
INSERT INTO `lang_definitions` VALUES (44646, 5733, 12, '為去識別請求選擇藥物');
INSERT INTO `lang_definitions` VALUES (44647, 5734, 12, '選擇EDI-271文件');
INSERT INTO `lang_definitions` VALUES (44648, 5736, 12, '選擇字段');
INSERT INTO `lang_definitions` VALUES (44649, 5737, 12, '選擇字段');
INSERT INTO `lang_definitions` VALUES (44650, 5738, 12, '選擇列印');
INSERT INTO `lang_definitions` VALUES (44651, 5739, 12, '選擇免疫');
INSERT INTO `lang_definitions` VALUES (44652, 5740, 12, '為去識別請求選擇免疫');
INSERT INTO `lang_definitions` VALUES (44653, 5741, 12, '藉由輸入選擇保險');
INSERT INTO `lang_definitions` VALUES (44654, 5742, 12, '選擇目錄');
INSERT INTO `lang_definitions` VALUES (44655, 5744, 12, '選擇語言');
INSERT INTO `lang_definitions` VALUES (44656, 5754, 12, '選擇導出的配置項');
INSERT INTO `lang_definitions` VALUES (44657, 5755, 12, '選擇在這一天任何錯過了的事件負有主要責任的問題');
INSERT INTO `lang_definitions` VALUES (44658, 5759, 12, '選擇用戶');
INSERT INTO `lang_definitions` VALUES (44659, 5760, 12, '從下載表單中選擇客戶');
INSERT INTO `lang_definitions` VALUES (44660, 5761, 12, '選擇哪種語言，如果有的話，可能會在登錄時選擇。 （只有相關，如果上述所有語言允許被關閉）');
INSERT INTO `lang_definitions` VALUES (44661, 5762, 12, '選擇“是”以確認群組刪除');
INSERT INTO `lang_definitions` VALUES (44662, 5765, 12, '選擇的');
INSERT INTO `lang_definitions` VALUES (44663, 5766, 12, '選擇遭遇');
INSERT INTO `lang_definitions` VALUES (44664, 5768, 12, '自己');
INSERT INTO `lang_definitions` VALUES (44665, 5769, 12, '自付費');
INSERT INTO `lang_definitions` VALUES (44666, 5771, 12, '發送');
INSERT INTO `lang_definitions` VALUES (44667, 5774, 12, '發送正在進行中');
INSERT INTO `lang_definitions` VALUES (44668, 5775, 12, '發送消息');
INSERT INTO `lang_definitions` VALUES (44669, 5776, 12, '發送提醒批次');
INSERT INTO `lang_definitions` VALUES (44670, 5777, 12, '發送提醒患者每個病人對預防/追蹤照顧的偏好。');
INSERT INTO `lang_definitions` VALUES (44671, 5778, 12, '發送轉介摘要');
INSERT INTO `lang_definitions` VALUES (44672, 5779, 12, '發送此文件');
INSERT INTO `lang_definitions` VALUES (44673, 5788, 12, '寄件人');
INSERT INTO `lang_definitions` VALUES (44674, 5789, 12, '寄件者識別碼');
INSERT INTO `lang_definitions` VALUES (44675, 5790, 12, '寄件者識別碼（ISA06）');
INSERT INTO `lang_definitions` VALUES (44676, 5791, 12, '寄件者識別碼限定符（ISA05）');
INSERT INTO `lang_definitions` VALUES (44677, 5794, 12, '敏感性');
INSERT INTO `lang_definitions` VALUES (44678, 5795, 12, '敏感性：');
INSERT INTO `lang_definitions` VALUES (44679, 5796, 12, '感官檢查正常');
INSERT INTO `lang_definitions` VALUES (44680, 5802, 12, '已發送郵件');
INSERT INTO `lang_definitions` VALUES (44681, 5803, 12, '發送病歷？');
INSERT INTO `lang_definitions` VALUES (44682, 5804, 12, '成功的發送');
INSERT INTO `lang_definitions` VALUES (44683, 5807, 12, '發送到印表機。');
INSERT INTO `lang_definitions` VALUES (44684, 5812, 12, '九月');
INSERT INTO `lang_definitions` VALUES (44685, 5813, 12, '分離');
INSERT INTO `lang_definitions` VALUES (44686, 5814, 12, '九月');
INSERT INTO `lang_definitions` VALUES (44687, 5815, 12, '順序');
INSERT INTO `lang_definitions` VALUES (44688, 5816, 12, '順序');
INSERT INTO `lang_definitions` VALUES (44689, 5821, 12, '服務');
INSERT INTO `lang_definitions` VALUES (44690, 5822, 12, '服務類別');
INSERT INTO `lang_definitions` VALUES (44691, 5823, 12, '服務代碼');
INSERT INTO `lang_definitions` VALUES (44692, 5825, 12, '服務代碼');
INSERT INTO `lang_definitions` VALUES (44693, 5826, 12, '服務日期');
INSERT INTO `lang_definitions` VALUES (44694, 5827, 12, '服務日期：');
INSERT INTO `lang_definitions` VALUES (44695, 5829, 12, '服務地點');
INSERT INTO `lang_definitions` VALUES (44696, 5831, 12, '專家提供的服務');
INSERT INTO `lang_definitions` VALUES (44697, 5834, 12, '服務');
INSERT INTO `lang_definitions` VALUES (44698, 5835, 12, '服務類別');
INSERT INTO `lang_definitions` VALUES (44699, 5836, 12, '提供的服務');
INSERT INTO `lang_definitions` VALUES (44700, 5837, 12, '提供的服務');
INSERT INTO `lang_definitions` VALUES (44701, 5838, 12, '服務/產品');
INSERT INTO `lang_definitions` VALUES (44702, 5839, 12, '工作階段類型');
INSERT INTO `lang_definitions` VALUES (44703, 5840, 12, '設置');
INSERT INTO `lang_definitions` VALUES (44704, 5841, 12, '設施設置Cookie以記住登錄之間的選定設施。');
INSERT INTO `lang_definitions` VALUES (44705, 5845, 12, '設置這個完整的絕對路徑。為創建HTTPS客戶端SSL證書。');
INSERT INTO `lang_definitions` VALUES (44706, 5846, 12, '設置到');
INSERT INTO `lang_definitions` VALUES (44707, 5847, 12, '設為默認值');
INSERT INTO `lang_definitions` VALUES (44708, 5848, 12, '設置在數據庫中的版本編號...');
INSERT INTO `lang_definitions` VALUES (44709, 5849, 12, '設置');
INSERT INTO `lang_definitions` VALUES (44710, 5851, 12, '嚴重偏頭痛');
INSERT INTO `lang_definitions` VALUES (44711, 5853, 12, '疼痛嚴重程度');
INSERT INTO `lang_definitions` VALUES (44712, 5854, 12, '疼痛嚴重程度：');
INSERT INTO `lang_definitions` VALUES (44713, 5855, 12, '性別');
INSERT INTO `lang_definitions` VALUES (44714, 5856, 12, '性病');
INSERT INTO `lang_definitions` VALUES (44715, 5858, 12, 'SHA-1哈希');
INSERT INTO `lang_definitions` VALUES (44716, 5859, 12, '分享');
INSERT INTO `lang_definitions` VALUES (44717, 5860, 12, '從伺服器發出的列印shell命令');
INSERT INTO `lang_definitions` VALUES (44718, 5864, 12, '呼吸短促');
INSERT INTO `lang_definitions` VALUES (44719, 5865, 12, '呼吸短促');
INSERT INTO `lang_definitions` VALUES (44720, 5866, 12, '呼吸短促2');
INSERT INTO `lang_definitions` VALUES (44721, 5867, 12, '拍攝紀錄');
INSERT INTO `lang_definitions` VALUES (44722, 5868, 12, '作為拍攝記錄：');
INSERT INTO `lang_definitions` VALUES (44723, 5870, 12, '應該像NNNNN-NNNN-NN');
INSERT INTO `lang_definitions` VALUES (44724, 5871, 12, '應該是兩個字母');
INSERT INTO `lang_definitions` VALUES (44725, 5872, 12, '應包含10個數字');
INSERT INTO `lang_definitions` VALUES (44726, 5873, 12, '應包含只有10個數字');
INSERT INTO `lang_definitions` VALUES (44727, 5874, 12, '肩膀');
INSERT INTO `lang_definitions` VALUES (44728, 5875, 12, '肩膀+鎖骨');
INSERT INTO `lang_definitions` VALUES (44729, 5876, 12, '肩膀問題');
INSERT INTO `lang_definitions` VALUES (44730, 5877, 12, '顯示');
INSERT INTO `lang_definitions` VALUES (44731, 5880, 12, '顯示全部');
INSERT INTO `lang_definitions` VALUES (44732, 5883, 12, '顯示所有事務');
INSERT INTO `lang_definitions` VALUES (44733, 5884, 12, '顯示為忙碌');
INSERT INTO `lang_definitions` VALUES (44734, 5885, 12, '只顯示授權');
INSERT INTO `lang_definitions` VALUES (44735, 5886, 12, '顯示可用的時間');
INSERT INTO `lang_definitions` VALUES (44736, 5887, 12, '顯示美元和公制（主要單位是公制）');
INSERT INTO `lang_definitions` VALUES (44737, 5888, 12, '顯示美元和公制（主要單位是公制）');
INSERT INTO `lang_definitions` VALUES (44738, 5889, 12, '顯示詳細信息');
INSERT INTO `lang_definitions` VALUES (44739, 5891, 12, '顯示圖形');
INSERT INTO `lang_definitions` VALUES (44740, 5893, 12, '顯示管理頁面上有多少事件？');
INSERT INTO `lang_definitions` VALUES (44741, 5896, 12, '顯示菜單');
INSERT INTO `lang_definitions` VALUES (44742, 5897, 12, '只顯示公制');
INSERT INTO `lang_definitions` VALUES (44743, 5898, 12, '顯示註釋');
INSERT INTO `lang_definitions` VALUES (44744, 5901, 12, '顯示病人筆記');
INSERT INTO `lang_definitions` VALUES (44745, 5904, 12, '顯示初步完成');
INSERT INTO `lang_definitions` VALUES (44746, 5906, 12, '顯示報告');
INSERT INTO `lang_definitions` VALUES (44747, 5907, 12, '在區塊中顯示搜索/提交的連結？');
INSERT INTO `lang_definitions` VALUES (44748, 5910, 12, '顯示附加列表部件的自訂定義狀態的形式（要求標題和縮寫）。');
INSERT INTO `lang_definitions` VALUES (44749, 5913, 12, '只顯示未入賬');
INSERT INTO `lang_definitions` VALUES (44750, 5914, 12, '只顯示美國');
INSERT INTO `lang_definitions` VALUES (44751, 5920, 12, '手足');
INSERT INTO `lang_definitions` VALUES (44752, 5921, 12, '鎌狀細胞');
INSERT INTO `lang_definitions` VALUES (44753, 5922, 12, '加標記');
INSERT INTO `lang_definitions` VALUES (44754, 5923, 12, '乙狀結腸/大腸鏡檢查');
INSERT INTO `lang_definitions` VALUES (44755, 5925, 12, '簽署實驗室檢測結果（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (44756, 5926, 12, '簽署結果');
INSERT INTO `lang_definitions` VALUES (44757, 5927, 12, '簽名');
INSERT INTO `lang_definitions` VALUES (44758, 5929, 12, '簽名：');
INSERT INTO `lang_definitions` VALUES (44759, 5930, 12, '簽名接收');
INSERT INTO `lang_definitions` VALUES (44760, 5932, 12, '顯著腫脹：');
INSERT INTO `lang_definitions` VALUES (44761, 5934, 12, '簡化的共同付款');
INSERT INTO `lang_definitions` VALUES (44762, 5935, 12, '簡化的人口統計學');
INSERT INTO `lang_definitions` VALUES (44763, 5936, 12, '簡化的處方');
INSERT INTO `lang_definitions` VALUES (44764, 5937, 12, '自從');
INSERT INTO `lang_definitions` VALUES (44765, 5938, 12, '真誠的，');
INSERT INTO `lang_definitions` VALUES (44766, 5940, 12, '單一');
INSERT INTO `lang_definitions` VALUES (44767, 5941, 12, '單選擇列表');
INSERT INTO `lang_definitions` VALUES (44768, 5942, 12, '單選擇列表與能力添加到列表');
INSERT INTO `lang_definitions` VALUES (44769, 5946, 12, '竇問題');
INSERT INTO `lang_definitions` VALUES (44770, 5947, 12, '竇手術');
INSERT INTO `lang_definitions` VALUES (44771, 5948, 12, '竇壓痛：');
INSERT INTO `lang_definitions` VALUES (44772, 5949, 12, '鼻竇炎');
INSERT INTO `lang_definitions` VALUES (44773, 5951, 12, '網站憑證');
INSERT INTO `lang_definitions` VALUES (44774, 5953, 12, '為LibreEHR支持LLC實驗室交換服務的網站憑證。');
INSERT INTO `lang_definitions` VALUES (44775, 5956, 12, '大小');
INSERT INTO `lang_definitions` VALUES (44776, 5957, 12, '大小必須是一個介於1和999之間的數字');
INSERT INTO `lang_definitions` VALUES (44777, 5958, 12, '尺寸/名單');
INSERT INTO `lang_definitions` VALUES (44778, 5959, 12, '皮膚');
INSERT INTO `lang_definitions` VALUES (44779, 5960, 12, '皮膚癌');
INSERT INTO `lang_definitions` VALUES (44780, 5961, 12, '皮膚疾病');
INSERT INTO `lang_definitions` VALUES (44781, 5962, 12, '皮膚其他');
INSERT INTO `lang_definitions` VALUES (44782, 5963, 12, '跳過病人註釋的授權');
INSERT INTO `lang_definitions` VALUES (44783, 5964, 12, '略過一節');
INSERT INTO `lang_definitions` VALUES (44784, 5965, 12, '略過SQL總帳轉儲 - 沒有為Windows服務器實施');
INSERT INTO `lang_definitions` VALUES (44785, 5967, 12, '睡眠形態');
INSERT INTO `lang_definitions` VALUES (44786, 5968, 12, '睡眠形態');
INSERT INTO `lang_definitions` VALUES (44787, 5969, 12, '睡眠形態');
INSERT INTO `lang_definitions` VALUES (44788, 5970, 12, '斯洛伐克');
INSERT INTO `lang_definitions` VALUES (44789, 5972, 12, '釤債務W / O');
INSERT INTO `lang_definitions` VALUES (44790, 5973, 12, '醒目的快取記憶體已被清除');
INSERT INTO `lang_definitions` VALUES (44791, 5974, 12, '吸煙者，目前狀態未知');
INSERT INTO `lang_definitions` VALUES (44792, 5976, 12, '吸煙情形');
INSERT INTO `lang_definitions` VALUES (44793, 5977, 12, '短訊驗證');
INSERT INTO `lang_definitions` VALUES (44794, 5978, 12, '短訊網關');
INSERT INTO `lang_definitions` VALUES (44795, 5979, 12, '短訊網關API鍵');
INSERT INTO `lang_definitions` VALUES (44796, 5980, 12, '短信網關API鍵');
INSERT INTO `lang_definitions` VALUES (44797, 5981, 12, '短訊網關密碼');
INSERT INTO `lang_definitions` VALUES (44798, 5982, 12, '短訊網關用戶名稱');
INSERT INTO `lang_definitions` VALUES (44799, 5983, 12, '短訊通知');
INSERT INTO `lang_definitions` VALUES (44800, 5984, 12, '短訊通知時間');
INSERT INTO `lang_definitions` VALUES (44801, 5985, 12, '短訊發送前');
INSERT INTO `lang_definitions` VALUES (44802, 5986, 12, '短訊發送');
INSERT INTO `lang_definitions` VALUES (44803, 5987, 12, '短訊，可用標籤：***姓名***，***提供商***，***日期***，*** STARTTIME***，*** ENDTIME***參考，即親愛的***姓名***');
INSERT INTO `lang_definitions` VALUES (44804, 5988, 12, '短訊/電子郵件警報設置');
INSERT INTO `lang_definitions` VALUES (44805, 5989, 12, 'SMTP密碼身份驗證');
INSERT INTO `lang_definitions` VALUES (44806, 5992, 12, 'SMTP服務器的主機名');
INSERT INTO `lang_definitions` VALUES (44807, 5993, 12, 'SMTP服務器端口號碼');
INSERT INTO `lang_definitions` VALUES (44808, 5994, 12, 'SMTP用戶身份驗證');
INSERT INTO `lang_definitions` VALUES (44809, 6001, 12, 'SNOMED的資料庫');
INSERT INTO `lang_definitions` VALUES (44810, 6004, 12, '打鼾');
INSERT INTO `lang_definitions` VALUES (44811, 6005, 12, '主觀資料客觀資料評估計畫');
INSERT INTO `lang_definitions` VALUES (44812, 6006, 12, '社交困難');
INSERT INTO `lang_definitions` VALUES (44813, 6009, 12, '社會史：');
INSERT INTO `lang_definitions` VALUES (44814, 6010, 12, '社會安全號碼');
INSERT INTO `lang_definitions` VALUES (44815, 6011, 12, '解決');
INSERT INTO `lang_definitions` VALUES (44816, 6013, 12, '語義上下文');
INSERT INTO `lang_definitions` VALUES (44817, 6014, 12, '一些授權不顯示。點擊此處查看全部');
INSERT INTO `lang_definitions` VALUES (44818, 6015, 12, '有些代碼不顯示。');
INSERT INTO `lang_definitions` VALUES (44819, 6016, 12, '一些遭遇不顯示。點擊此處查看全部。');
INSERT INTO `lang_definitions` VALUES (44820, 6017, 12, '去識別過程中出現一些錯誤');
INSERT INTO `lang_definitions` VALUES (44821, 6018, 12, '不顯示一些注意事項。');
INSERT INTO `lang_definitions` VALUES (44822, 6020, 12, '有些話');
INSERT INTO `lang_definitions` VALUES (44823, 6023, 12, '出了錯。請再試一次。');
INSERT INTO `lang_definitions` VALUES (44824, 6024, 12, '不久，由於時間間隔（臨床提醒）');
INSERT INTO `lang_definitions` VALUES (44825, 6025, 12, '不久，由於時間間隔（病人提醒）');
INSERT INTO `lang_definitions` VALUES (44826, 6026, 12, '喉嚨痛');
INSERT INTO `lang_definitions` VALUES (44827, 6028, 12, '很抱歉，上傳您的檔案有問題');
INSERT INTO `lang_definitions` VALUES (44828, 6029, 12, '排序');
INSERT INTO `lang_definitions` VALUES (44829, 6030, 12, '排序');
INSERT INTO `lang_definitions` VALUES (44830, 6031, 12, '通過校驗和排序');
INSERT INTO `lang_definitions` VALUES (44831, 6032, 12, '排序意見');
INSERT INTO `lang_definitions` VALUES (44832, 6033, 12, '按CRT用戶排序');
INSERT INTO `lang_definitions` VALUES (44833, 6034, 12, '按日期排序');
INSERT INTO `lang_definitions` VALUES (44834, 6035, 12, '按日期/時間排序');
INSERT INTO `lang_definitions` VALUES (44835, 6036, 12, '按事件排序');
INSERT INTO `lang_definitions` VALUES (44836, 6037, 12, '按群組排序');
INSERT INTO `lang_definitions` VALUES (44837, 6040, 12, '按病人身分排序');
INSERT INTO `lang_definitions` VALUES (44838, 6041, 12, '按成功排序');
INSERT INTO `lang_definitions` VALUES (44839, 6043, 12, '按用戶排序');
INSERT INTO `lang_definitions` VALUES (44840, 6044, 12, '按疫苗排序');
INSERT INTO `lang_definitions` VALUES (44841, 6045, 12, '降序');
INSERT INTO `lang_definitions` VALUES (44842, 6046, 12, '排序結果');
INSERT INTO `lang_definitions` VALUES (44843, 6047, 12, '升序');
INSERT INTO `lang_definitions` VALUES (44844, 6048, 12, '來源');
INSERT INTO `lang_definitions` VALUES (44845, 6049, 12, '來源檔案');
INSERT INTO `lang_definitions` VALUES (44846, 6050, 12, '來源檔案路徑');
INSERT INTO `lang_definitions` VALUES (44847, 6051, 12, '來源遺漏的代碼 ');
INSERT INTO `lang_definitions` VALUES (44848, 6052, 12, '來源批次');
INSERT INTO `lang_definitions` VALUES (44849, 6057, 12, '來源：');
INSERT INTO `lang_definitions` VALUES (44850, 6060, 12, '空間');
INSERT INTO `lang_definitions` VALUES (44851, 6061, 12, '空間');
INSERT INTO `lang_definitions` VALUES (44852, 6062, 12, '西班牙');
INSERT INTO `lang_definitions` VALUES (44853, 6068, 12, '專家');
INSERT INTO `lang_definitions` VALUES (44854, 6069, 12, '專家姓名和簽名');
INSERT INTO `lang_definitions` VALUES (44855, 6071, 12, '專業');
INSERT INTO `lang_definitions` VALUES (44856, 6072, 12, '專業系統');
INSERT INTO `lang_definitions` VALUES (44857, 6073, 12, '專業：');
INSERT INTO `lang_definitions` VALUES (44858, 6074, 12, '具體');
INSERT INTO `lang_definitions` VALUES (44859, 6075, 12, '具體應用');
INSERT INTO `lang_definitions` VALUES (44860, 6076, 12, '具體避孕服務');
INSERT INTO `lang_definitions` VALUES (44861, 6077, 12, '具體結果');
INSERT INTO `lang_definitions` VALUES (44862, 6078, 12, '具體服務');
INSERT INTO `lang_definitions` VALUES (44863, 6079, 12, '具體的');
INSERT INTO `lang_definitions` VALUES (44864, 6080, 12, '指定的編碼格式。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44865, 6081, 12, '指定的編碼格式。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44866, 6082, 12, '指定格式化發票參考號碼。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44867, 6083, 12, '指定格式化發票參考號碼。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44868, 6084, 12, '指定格式化產品NDC的領域。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44869, 6085, 12, '指定格式化產品NDC的領域。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44870, 6086, 12, '指定格式為外部的病人ID。 ＃=數字，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44871, 6087, 12, '指定格式為外部的病人ID。＃=數字，@=阿爾法，* =任意字符。空如果不使用。');
INSERT INTO `lang_definitions` VALUES (44872, 6088, 12, '標本');
INSERT INTO `lang_definitions` VALUES (44873, 6089, 12, '標本數/標識符');
INSERT INTO `lang_definitions` VALUES (44874, 6090, 12, '標本類型');
INSERT INTO `lang_definitions` VALUES (44875, 6092, 12, '語音聽寫');
INSERT INTO `lang_definitions` VALUES (44876, 6093, 12, '殺精劑');
INSERT INTO `lang_definitions` VALUES (44877, 6094, 12, '脾臟切除術');
INSERT INTO `lang_definitions` VALUES (44878, 6095, 12, '配偶');
INSERT INTO `lang_definitions` VALUES (44879, 6097, 12, '痰');
INSERT INTO `lang_definitions` VALUES (44880, 6098, 12, '痰：');
INSERT INTO `lang_definitions` VALUES (44881, 6099, 12, '倚');
INSERT INTO `lang_definitions` VALUES (44882, 6102, 12, '陣容');
INSERT INTO `lang_definitions` VALUES (44883, 6103, 12, '陣容成員');
INSERT INTO `lang_definitions` VALUES (44884, 6104, 12, '小隊');
INSERT INTO `lang_definitions` VALUES (44885, 6105, 12, '生殖健康');
INSERT INTO `lang_definitions` VALUES (44886, 6106, 12, '生殖健康 - 計劃生育');
INSERT INTO `lang_definitions` VALUES (44887, 6107, 12, '生殖健康非計劃生育');
INSERT INTO `lang_definitions` VALUES (44888, 6108, 12, '生殖健康轉介');
INSERT INTO `lang_definitions` VALUES (44889, 6109, 12, '生殖健康訪問表');
INSERT INTO `lang_definitions` VALUES (44890, 6110, 12, 'SRV日期');
INSERT INTO `lang_definitions` VALUES (44891, 6111, 12, '不銹鋼');
INSERT INTO `lang_definitions` VALUES (44892, 6112, 12, 'SSL證書管理');
INSERT INTO `lang_definitions` VALUES (44893, 6113, 12, '社會安全號碼');
INSERT INTO `lang_definitions` VALUES (44894, 6114, 12, '穩定度');
INSERT INTO `lang_definitions` VALUES (44895, 6116, 12, '標準');
INSERT INTO `lang_definitions` VALUES (44896, 6117, 12, '標準代碼');
INSERT INTO `lang_definitions` VALUES (44897, 6118, 12, '標準測量');
INSERT INTO `lang_definitions` VALUES (44898, 6122, 12, '標準名稱');
INSERT INTO `lang_definitions` VALUES (44899, 6124, 12, '開始');
INSERT INTO `lang_definitions` VALUES (44900, 6125, 12, '開始(年年年年/月月/日日) ');
INSERT INTO `lang_definitions` VALUES (44901, 6128, 12, '開始日期');
INSERT INTO `lang_definitions` VALUES (44902, 6129, 12, '在這診所的開始日期');
INSERT INTO `lang_definitions` VALUES (44903, 6130, 12, '開始日期不應該大於結束日期');
INSERT INTO `lang_definitions` VALUES (44904, 6131, 12, '開始日期︰');
INSERT INTO `lang_definitions` VALUES (44905, 6132, 12, '開始日期︰');
INSERT INTO `lang_definitions` VALUES (44906, 6133, 12, '開始時間');
INSERT INTO `lang_definitions` VALUES (44907, 6134, 12, '開始日期');
INSERT INTO `lang_definitions` VALUES (44908, 6135, 12, '統計');
INSERT INTO `lang_definitions` VALUES (44909, 6136, 12, '國家');
INSERT INTO `lang_definitions` VALUES (44910, 6137, 12, '國家數據類型');
INSERT INTO `lang_definitions` VALUES (44911, 6139, 12, '國家許可證編號');
INSERT INTO `lang_definitions` VALUES (44912, 6140, 12, '狀態列表');
INSERT INTO `lang_definitions` VALUES (44913, 6141, 12, '國家名單（寫，addonly可選）');
INSERT INTO `lang_definitions` VALUES (44914, 6142, 12, '國家列表部件的自定義字段');
INSERT INTO `lang_definitions` VALUES (44915, 6143, 12, '州或省');
INSERT INTO `lang_definitions` VALUES (44916, 6144, 12, '國家/產地');
INSERT INTO `lang_definitions` VALUES (44917, 6145, 12, '國家/教區');
INSERT INTO `lang_definitions` VALUES (44918, 6146, 12, '發言摘要');
INSERT INTO `lang_definitions` VALUES (44919, 6147, 12, '報表和更新發票。');
INSERT INTO `lang_definitions` VALUES (44920, 6148, 12, '報表發送：');
INSERT INTO `lang_definitions` VALUES (44921, 6149, 12, '報表;發票將不會被更新。');
INSERT INTO `lang_definitions` VALUES (44922, 6150, 12, '靜態文字');
INSERT INTO `lang_definitions` VALUES (44923, 6151, 12, '統計');
INSERT INTO `lang_definitions` VALUES (44924, 6152, 12, '統計');
INSERT INTO `lang_definitions` VALUES (44925, 6153, 12, '狀態');
INSERT INTO `lang_definitions` VALUES (44926, 6156, 12, '現狀');
INSERT INTO `lang_definitions` VALUES (44927, 6158, 12, '性病/愛滋病Couns');
INSERT INTO `lang_definitions` VALUES (44928, 6159, 12, '實力和調節');
INSERT INTO `lang_definitions` VALUES (44929, 6169, 12, '關節僵硬');
INSERT INTO `lang_definitions` VALUES (44930, 6170, 12, '僵硬');
INSERT INTO `lang_definitions` VALUES (44931, 6171, 12, '庫存月份');
INSERT INTO `lang_definitions` VALUES (44932, 6172, 12, '胃痛');
INSERT INTO `lang_definitions` VALUES (44933, 6174, 12, '儲存的散列');
INSERT INTO `lang_definitions` VALUES (44934, 6175, 12, '肌肉緊張');
INSERT INTO `lang_definitions` VALUES (44935, 6176, 12, '流');
INSERT INTO `lang_definitions` VALUES (44936, 6177, 12, '街道');
INSERT INTO `lang_definitions` VALUES (44937, 6178, 12, '街道地址');
INSERT INTO `lang_definitions` VALUES (44938, 6179, 12, '街道與號碼');
INSERT INTO `lang_definitions` VALUES (44939, 6180, 12, '強度');
INSERT INTO `lang_definitions` VALUES (44940, 6182, 12, '咽喉炎');
INSERT INTO `lang_definitions` VALUES (44941, 6183, 12, '壓迫性骨折');
INSERT INTO `lang_definitions` VALUES (44942, 6184, 12, '壓力試驗');
INSERT INTO `lang_definitions` VALUES (44943, 6185, 12, '中風');
INSERT INTO `lang_definitions` VALUES (44944, 6186, 12, '強密碼是指至少8個字符，並至少有三個：一個數字，小寫字母，大寫字母，特殊字符。');
INSERT INTO `lang_definitions` VALUES (44945, 6188, 12, '添加新患者使用的形式風格');
INSERT INTO `lang_definitions` VALUES (44946, 6189, 12, '子類');
INSERT INTO `lang_definitions` VALUES (44947, 6190, 12, '小計');
INSERT INTO `lang_definitions` VALUES (44948, 6191, 12, '子類');
INSERT INTO `lang_definitions` VALUES (44949, 6192, 12, '子類');
INSERT INTO `lang_definitions` VALUES (44950, 6193, 12, '皮下');
INSERT INTO `lang_definitions` VALUES (44951, 6194, 12, '主題');
INSERT INTO `lang_definitions` VALUES (44952, 6195, 12, '主題的');
INSERT INTO `lang_definitions` VALUES (44953, 6196, 12, '舌下');
INSERT INTO `lang_definitions` VALUES (44954, 6197, 12, '舌下');
INSERT INTO `lang_definitions` VALUES (44955, 6198, 12, '提交');
INSERT INTO `lang_definitions` VALUES (44956, 6199, 12, '提交');
INSERT INTO `lang_definitions` VALUES (44957, 6200, 12, '提交全部內容');
INSERT INTO `lang_definitions` VALUES (44958, 6202, 12, '提交事件');
INSERT INTO `lang_definitions` VALUES (44959, 6203, 12, '提交表單');
INSERT INTO `lang_definitions` VALUES (44960, 6204, 12, '提交選擇的內容');
INSERT INTO `lang_definitions` VALUES (44961, 6205, 12, '提交');
INSERT INTO `lang_definitions` VALUES (44962, 6206, 12, '提交被');
INSERT INTO `lang_definitions` VALUES (44963, 6207, 12, '發表者EDI存取號碼（PER06）');
INSERT INTO `lang_definitions` VALUES (44964, 6208, 12, '訂閱者');
INSERT INTO `lang_definitions` VALUES (44965, 6209, 12, '訂閱者住址');
INSERT INTO `lang_definitions` VALUES (44966, 6213, 12, '訂閱者单位');
INSERT INTO `lang_definitions` VALUES (44967, 6214, 12, '訂閱者单位(SE)');
INSERT INTO `lang_definitions` VALUES (44968, 6215, 12, '訂閱者单位地址');
INSERT INTO `lang_definitions` VALUES (44969, 6216, 12, '訂閱者单位城市');
INSERT INTO `lang_definitions` VALUES (44970, 6217, 12, '訂閱者单位國家');
INSERT INTO `lang_definitions` VALUES (44971, 6218, 12, '訂閱者单位州');
INSERT INTO `lang_definitions` VALUES (44972, 6221, 12, '訂閱者单位郵編');
INSERT INTO `lang_definitions` VALUES (44973, 6225, 12, '訂閱者電話');
INSERT INTO `lang_definitions` VALUES (44974, 6226, 12, '訂閱者關係');
INSERT INTO `lang_definitions` VALUES (44975, 6227, 12, '訂閱者的關係不是自封，但名稱是相同的！這是真的確定嗎？');
INSERT INTO `lang_definitions` VALUES (44976, 6228, 12, '訂閱者的關係不是自封，但SS名稱是相同的！');
INSERT INTO `lang_definitions` VALUES (44977, 6229, 12, '訂閱者的關係是自封，但名稱不一樣！這是真的確定嗎？');
INSERT INTO `lang_definitions` VALUES (44978, 6230, 12, '訂閱者的關係是自封，但SS名稱不一樣！');
INSERT INTO `lang_definitions` VALUES (44979, 6231, 12, '訂閱者性別');
INSERT INTO `lang_definitions` VALUES (44980, 6237, 12, '替換');
INSERT INTO `lang_definitions` VALUES (44981, 6238, 12, '允許替換');
INSERT INTO `lang_definitions` VALUES (44982, 6240, 12, '成功');
INSERT INTO `lang_definitions` VALUES (44983, 6241, 12, '成功');
INSERT INTO `lang_definitions` VALUES (44984, 6242, 12, '成功確認收到實驗室的結果');
INSERT INTO `lang_definitions` VALUES (44985, 6243, 12, '成功收到實驗室的結果');
INSERT INTO `lang_definitions` VALUES (44986, 6244, 12, '從實驗室交換網絡的成功檢索結果');
INSERT INTO `lang_definitions` VALUES (44987, 6246, 12, '成功添加類別');
INSERT INTO `lang_definitions` VALUES (44988, 6247, 12, '成功添加到類別');
INSERT INTO `lang_definitions` VALUES (44989, 6248, 12, '成功刪除');
INSERT INTO `lang_definitions` VALUES (44990, 6250, 12, '成功安裝了資料庫。');
INSERT INTO `lang_definitions` VALUES (44991, 6252, 12, '修改成功');
INSERT INTO `lang_definitions` VALUES (44992, 6253, 12, '成功儲存，你想分配嗎？');
INSERT INTO `lang_definitions` VALUES (44993, 6254, 12, '成功儲存，你想分發嗎？');
INSERT INTO `lang_definitions` VALUES (44994, 6256, 12, '成功儲存。');
INSERT INTO `lang_definitions` VALUES (44995, 6257, 12, '成功升級資料庫。');
INSERT INTO `lang_definitions` VALUES (44996, 6259, 12, '成功地');
INSERT INTO `lang_definitions` VALUES (44997, 6260, 12, '自殺');
INSERT INTO `lang_definitions` VALUES (44998, 6261, 12, '總結');
INSERT INTO `lang_definitions` VALUES (44999, 6262, 12, '總結');
INSERT INTO `lang_definitions` VALUES (45000, 6265, 12, '太陽');
INSERT INTO `lang_definitions` VALUES (45001, 6267, 12, '星期日');
INSERT INTO `lang_definitions` VALUES (45002, 6268, 12, 'Superbill');
INSERT INTO `lang_definitions` VALUES (45003, 6269, 12, 'superbill代碼');
INSERT INTO `lang_definitions` VALUES (45004, 6270, 12, 'superbill代碼管理');
INSERT INTO `lang_definitions` VALUES (45005, 6271, 12, 'Superbill報告');
INSERT INTO `lang_definitions` VALUES (45006, 6274, 12, 'superbills，有時也被稱為遇到表格或路線簡，是大多數醫療實踐的重要組成部分。');
INSERT INTO `lang_definitions` VALUES (45007, 6275, 12, '超級用戶');
INSERT INTO `lang_definitions` VALUES (45008, 6276, 12, '監督');
INSERT INTO `lang_definitions` VALUES (45009, 6278, 12, '監督醫生DEA方法');
INSERT INTO `lang_definitions` VALUES (45010, 6279, 12, '監督醫生姓名');
INSERT INTO `lang_definitions` VALUES (45011, 6280, 12, '監督醫生的姓氏');
INSERT INTO `lang_definitions` VALUES (45012, 6281, 12, '監督醫生新產品引進');
INSERT INTO `lang_definitions` VALUES (45013, 6282, 12, '監督醫生的UPIN');
INSERT INTO `lang_definitions` VALUES (45014, 6283, 12, '供應商設施的名稱');
INSERT INTO `lang_definitions` VALUES (45015, 6284, 12, '適用於多個供應商的支持日曆事件');
INSERT INTO `lang_definitions` VALUES (45016, 6285, 12, '經由備份頁面支持出口/進口配置數據。');
INSERT INTO `lang_definitions` VALUES (45017, 6286, 12, '支持多種供應商的活動');
INSERT INTO `lang_definitions` VALUES (45018, 6288, 12, '支持三重DES加密/解密。');
INSERT INTO `lang_definitions` VALUES (45019, 6289, 12, '表面類型');
INSERT INTO `lang_definitions` VALUES (45020, 6290, 12, '手術');
INSERT INTO `lang_definitions` VALUES (45021, 6291, 12, '手術');
INSERT INTO `lang_definitions` VALUES (45022, 6293, 12, '懸浮');
INSERT INTO `lang_definitions` VALUES (45023, 6294, 12, '懸掛');
INSERT INTO `lang_definitions` VALUES (45024, 6295, 12, 'SVC的日期');
INSERT INTO `lang_definitions` VALUES (45025, 6296, 12, 'SVC的日期：');
INSERT INTO `lang_definitions` VALUES (45026, 6299, 12, '流汗：');
INSERT INTO `lang_definitions` VALUES (45027, 6300, 12, '瑞典');
INSERT INTO `lang_definitions` VALUES (45028, 6301, 12, '腫脹');
INSERT INTO `lang_definitions` VALUES (45029, 6302, 12, '右側腫脹');
INSERT INTO `lang_definitions` VALUES (45030, 6303, 12, '關節腫脹');
INSERT INTO `lang_definitions` VALUES (45031, 6304, 12, '淋巴節腫脹');
INSERT INTO `lang_definitions` VALUES (45032, 6305, 12, '作為貨幣的小數點符號使用。如果小數位數為0則不使用。');
INSERT INTO `lang_definitions` VALUES (45033, 6306, 12, '用符號分開成千上萬貨幣。');
INSERT INTO `lang_definitions` VALUES (45034, 6307, 12, '症狀');
INSERT INTO `lang_definitions` VALUES (45035, 6308, 12, '同步');
INSERT INTO `lang_definitions` VALUES (45036, 6309, 12, '自定義語言表的同步翻譯。');
INSERT INTO `lang_definitions` VALUES (45037, 6310, 12, '同步新的自定義常數：');
INSERT INTO `lang_definitions` VALUES (45038, 6311, 12, '同步新的自定義的語言：');
INSERT INTO `lang_definitions` VALUES (45039, 6312, 12, '同步的新定義（語言，常數，定義）：');
INSERT INTO `lang_definitions` VALUES (45040, 6313, 12, '昏厥');
INSERT INTO `lang_definitions` VALUES (45041, 6314, 12, '症狀監測');
INSERT INTO `lang_definitions` VALUES (45042, 6315, 12, '症狀監測 - 非報告的問題');
INSERT INTO `lang_definitions` VALUES (45043, 6317, 12, '滑膜炎，撞擊，滑囊炎');
INSERT INTO `lang_definitions` VALUES (45044, 6318, 12, '系統');
INSERT INTO `lang_definitions` VALUES (45045, 6323, 12, '一天三次');
INSERT INTO `lang_definitions` VALUES (45046, 6324, 12, 'T.V.');
INSERT INTO `lang_definitions` VALUES (45047, 6325, 12, '表');
INSERT INTO `lang_definitions` VALUES (45048, 6327, 12, '創建表失敗');
INSERT INTO `lang_definitions` VALUES (45049, 6328, 12, '表更新失敗');
INSERT INTO `lang_definitions` VALUES (45050, 6330, 12, '錠劑');
INSERT INTO `lang_definitions` VALUES (45051, 6332, 12, '菲律賓語');
INSERT INTO `lang_definitions` VALUES (45052, 6335, 12, '拿');
INSERT INTO `lang_definitions` VALUES (45053, 6336, 12, '參加保險，從下拉');
INSERT INTO `lang_definitions` VALUES (45054, 6337, 12, '採取付款從，從下拉');
INSERT INTO `lang_definitions` VALUES (45055, 6338, 12, '收回');
INSERT INTO `lang_definitions` VALUES (45056, 6339, 12, '需要長時間');
INSERT INTO `lang_definitions` VALUES (45057, 6340, 12, '高大導航區');
INSERT INTO `lang_definitions` VALUES (45058, 6347, 12, '預定日期');
INSERT INTO `lang_definitions` VALUES (45059, 6351, 12, '目標/行動組');
INSERT INTO `lang_definitions` VALUES (45060, 6354, 12, '稅籍編號');
INSERT INTO `lang_definitions` VALUES (45061, 6355, 12, '稅率');
INSERT INTO `lang_definitions` VALUES (45062, 6356, 12, '稅');
INSERT INTO `lang_definitions` VALUES (45063, 6357, 12, '分類');
INSERT INTO `lang_definitions` VALUES (45064, 6358, 12, '運輸署');
INSERT INTO `lang_definitions` VALUES (45065, 6359, 12, '團隊損傷概述');
INSERT INTO `lang_definitions` VALUES (45066, 6360, 12, '隊員名單');
INSERT INTO `lang_definitions` VALUES (45067, 6361, 12, '隊員名單查看');
INSERT INTO `lang_definitions` VALUES (45068, 6362, 12, '團隊/隊');
INSERT INTO `lang_definitions` VALUES (45069, 6363, 12, '電話');
INSERT INTO `lang_definitions` VALUES (45070, 6364, 12, '電話國家代碼');
INSERT INTO `lang_definitions` VALUES (45071, 6366, 12, '溫度');
INSERT INTO `lang_definitions` VALUES (45072, 6367, 12, '臨時位置');
INSERT INTO `lang_definitions` VALUES (45073, 6368, 12, '溫度方法');
INSERT INTO `lang_definitions` VALUES (45074, 6369, 12, '溫度');
INSERT INTO `lang_definitions` VALUES (45075, 6370, 12, '範本');
INSERT INTO `lang_definitions` VALUES (45076, 6371, 12, '範本名稱');
INSERT INTO `lang_definitions` VALUES (45077, 6372, 12, '範本名稱不能以數字開始');
INSERT INTO `lang_definitions` VALUES (45078, 6373, 12, '範本：');
INSERT INTO `lang_definitions` VALUES (45079, 6374, 12, '範本');
INSERT INTO `lang_definitions` VALUES (45080, 6375, 12, '顳動脈');
INSERT INTO `lang_definitions` VALUES (45081, 6376, 12, '肌腱損傷');
INSERT INTO `lang_definitions` VALUES (45082, 6377, 12, '肌腱/塵埃沉著病/滑囊炎');
INSERT INTO `lang_definitions` VALUES (45083, 6378, 12, '暫行發票編號無');
INSERT INTO `lang_definitions` VALUES (45084, 6379, 12, '第三');
INSERT INTO `lang_definitions` VALUES (45085, 6380, 12, '第三保險');
INSERT INTO `lang_definitions` VALUES (45086, 6381, 12, '第三保險資料');
INSERT INTO `lang_definitions` VALUES (45087, 6382, 12, '第三保險提供者');
INSERT INTO `lang_definitions` VALUES (45088, 6383, 12, '測試排程');
INSERT INTO `lang_definitions` VALUES (45089, 6384, 12, '測試系統');
INSERT INTO `lang_definitions` VALUES (45090, 6385, 12, '文字');
INSERT INTO `lang_definitions` VALUES (45091, 6386, 12, '文字診斷');
INSERT INTO `lang_definitions` VALUES (45092, 6387, 12, '文字欄位');
INSERT INTO `lang_definitions` VALUES (45093, 6393, 12, '文字-日期');
INSERT INTO `lang_definitions` VALUES (45094, 6394, 12, '文字-日期');
INSERT INTO `lang_definitions` VALUES (45095, 6395, 12, '文本區域');
INSERT INTO `lang_definitions` VALUES (45096, 6396, 12, '文本區域');
INSERT INTO `lang_definitions` VALUES (45097, 6397, 12, '文字方塊');
INSERT INTO `lang_definitions` VALUES (45098, 6398, 12, '文字方塊');
INSERT INTO `lang_definitions` VALUES (45099, 6399, 12, '文字方塊名單');
INSERT INTO `lang_definitions` VALUES (45100, 6400, 12, '文字方塊名單');
INSERT INTO `lang_definitions` VALUES (45101, 6401, 12, '泰國');
INSERT INTO `lang_definitions` VALUES (45102, 6402, 12, '謝謝你');
INSERT INTO `lang_definitions` VALUES (45103, 6403, 12, '感謝您選擇');
INSERT INTO `lang_definitions` VALUES (45104, 6404, 12, '“清除”按鈕，將刪除所有註釋。');
INSERT INTO `lang_definitions` VALUES (45105, 6405, 12, '上述聲明失敗');
INSERT INTO `lang_definitions` VALUES (45106, 6406, 12, 'Apache的SSL服務器證書和公鑰');
INSERT INTO `lang_definitions` VALUES (45107, 6407, 12, '證書頒發機構的證書');
INSERT INTO `lang_definitions` VALUES (45108, 6408, 12, '索賠文件： ');
INSERT INTO `lang_definitions` VALUES (45109, 6410, 12, '相應的私鑰');
INSERT INTO `lang_definitions` VALUES (45110, 6413, 12, '拒絕代碼是');
INSERT INTO `lang_definitions` VALUES (45111, 6414, 12, '拒絕群組代碼是');
INSERT INTO `lang_definitions` VALUES (45112, 6415, 12, '目標的形式被關閉');
INSERT INTO `lang_definitions` VALUES (45113, 6416, 12, '目標的形式被關閉，對你的選擇我不能採取行動。');
INSERT INTO `lang_definitions` VALUES (45114, 6418, 12, 'EP，合資格的醫院或CAH從其他照顧機構或護理服務提供者接受病人，或者認為遭遇是應執行有關藥物核對。');
INSERT INTO `lang_definitions` VALUES (45115, 6421, 12, 'EP，合資格的醫院或CAH轉送他們的病人到其他照顧機構或護理服務提供者或轉送他們的病人到其他照顧機構，應該提供每個過渡期照顧或轉介的照顧紀錄的摘要。');
INSERT INTO `lang_definitions` VALUES (45116, 6422, 12, '事件（S）已獲得批准。');
INSERT INTO `lang_definitions` VALUES (45117, 6423, 12, '事件（S）已被隱藏。');
INSERT INTO `lang_definitions` VALUES (45118, 6424, 12, '導出的數據將出現在下面的文本區域。您可以複製並粘貼到電子郵件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (45119, 6426, 12, '導出的數據將出現在下面的文本區域。您可以複製並粘貼到電子郵件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (45120, 6427, 12, '導出的數據將出現在下面的文本區域。您可以複製並粘貼到電子郵件或任何其他所需的目的地。');
INSERT INTO `lang_definitions` VALUES (45121, 6429, 12, '檔案無法成功更名，此錯誤通常與存儲系統上的權限問題有關。');
INSERT INTO `lang_definitions` VALUES (45122, 6434, 12, '已加入以下的日曆事件：');
INSERT INTO `lang_definitions` VALUES (45123, 6435, 12, '以下的日曆事件已被修改：');
INSERT INTO `lang_definitions` VALUES (45124, 6436, 12, '以下類別將從您的類別列表刪除');
INSERT INTO `lang_definitions` VALUES (45125, 6437, 12, '下列發布的資料庫是最近安裝的');
INSERT INTO `lang_definitions` VALUES (45126, 6439, 12, '下列EDI檔案已上載');
INSERT INTO `lang_definitions` VALUES (45127, 6440, 12, '下列緊急登錄用戶被激活：');
INSERT INTO `lang_definitions` VALUES (45128, 6441, 12, '發生以下錯誤');
INSERT INTO `lang_definitions` VALUES (45129, 6444, 12, '需要以下領域');
INSERT INTO `lang_definitions` VALUES (45130, 6446, 12, '以下字段必須填寫發送請求。');
INSERT INTO `lang_definitions` VALUES (45131, 6449, 12, 'ATNA審計倉庫機器的主機名稱。');
INSERT INTO `lang_definitions` VALUES (45132, 6450, 12, '初始窗口是發票的搜索頁面。在頂部，你可以輸入源碼（如支票號碼），支付日期，支票金額。來源及收費日期的原因是使你不必為每一項索賠一次又一次的鍵入他們。給的每個發票是付款的一部分，你輸入的金額將減少，並希望當你做的時候能以零結束。');
INSERT INTO `lang_definitions` VALUES (45133, 6456, 12, '出現在表單上的用戶的標籤');
INSERT INTO `lang_definitions` VALUES (45134, 6457, 12, '長度不應超過以下數量的字符');
INSERT INTO `lang_definitions` VALUES (45135, 6460, 12, '新的類別，將是一個子類 ');
INSERT INTO `lang_definitions` VALUES (45136, 6461, 12, '新密碼不能和目前的密碼相同。');
INSERT INTO `lang_definitions` VALUES (45137, 6462, 12, '新密碼字段是不一樣的。');
INSERT INTO `lang_definitions` VALUES (45138, 6466, 12, '密碼必須至少為八個字符，並應');
INSERT INTO `lang_definitions` VALUES (45139, 6468, 12, '已記錄病人的記錄請求。');
INSERT INTO `lang_definitions` VALUES (45140, 6469, 12, '病人提醒已發送');
INSERT INTO `lang_definitions` VALUES (45141, 6470, 12, '病人提醒已更新');
INSERT INTO `lang_definitions` VALUES (45142, 6472, 12, '支付發布不能低於這個日期.這確保拿了最終報告以後，沒有人發布以前的資料。');
INSERT INTO `lang_definitions` VALUES (45143, 6475, 12, '其餘以下的信息僅適用於您手工張貼，或者如果你正在做手工更正。');
INSERT INTO `lang_definitions` VALUES (45144, 6477, 12, '要求的文件是不存在文件系統上預期的位置，或者有沒有足夠的權限進入它。');
INSERT INTO `lang_definitions` VALUES (45145, 6480, 12, '從第一頁被複製的來源和日期列，所以通常你不需要接觸這些。你可以把薪酬支付的金額放在支付列，調整金額放在調整列，或兩者兼而有之。您也可以點擊右側的“W”自動計算調整值，為該行的項目寫入了收費的其餘部分。');
INSERT INTO `lang_definitions` VALUES (45146, 6484, 12, '日曆的時間粒度和預約時隙的間隔以分鐘為最小。');
INSERT INTO `lang_definitions` VALUES (45147, 6485, 12, '翻譯的標籤將出現用當前的語言形式');
INSERT INTO `lang_definitions` VALUES (45148, 6486, 12, '翻譯的標題將以當前的語言出現');
INSERT INTO `lang_definitions` VALUES (45149, 6487, 12, '用當前的語言描述的翻譯');
INSERT INTO `lang_definitions` VALUES (45150, 6488, 12, '翻譯表是同步的。');
INSERT INTO `lang_definitions` VALUES (45151, 6489, 12, '這個實體的類型');
INSERT INTO `lang_definitions` VALUES (45152, 6490, 12, '供應商特定的代碼，識別此過程或結果');
INSERT INTO `lang_definitions` VALUES (45153, 6491, 12, '這個X12的文件，就像由此產生的HTML輸出報告，存檔在“時代”的主要LibreEHR安裝目錄的子目錄。你將要不時對這些檔案存檔。 URL是');
INSERT INTO `lang_definitions` VALUES (45154, 6492, 12, 'zip文件將包含以下項目');
INSERT INTO `lang_definitions` VALUES (45155, 6493, 12, '主題');
INSERT INTO `lang_definitions` VALUES (45156, 6495, 12, '治療性注射');
INSERT INTO `lang_definitions` VALUES (45157, 6496, 12, '有');
INSERT INTO `lang_definitions` VALUES (45158, 6497, 12, '目前沒有處方');
INSERT INTO `lang_definitions` VALUES (45159, 6498, 12, '您提交有錯誤。這些概述如下。');
INSERT INTO `lang_definitions` VALUES (45160, 6500, 12, '沒有病歷簽出');
INSERT INTO `lang_definitions` VALUES (45161, 6501, 12, '這個病人的記錄沒有披露。');
INSERT INTO `lang_definitions` VALUES (45162, 6502, 12, '沒有新的提交的文件');
INSERT INTO `lang_definitions` VALUES (45163, 6503, 12, '這個病人檔案中沒有註釋。');
INSERT INTO `lang_definitions` VALUES (45164, 6504, 12, '這個病人檔案中沒有任何交易。');
INSERT INTO `lang_definitions` VALUES (45165, 6505, 12, '已經有一個郵件錯誤發送到');
INSERT INTO `lang_definitions` VALUES (45166, 6506, 12, '已經有一個類別命名為');
INSERT INTO `lang_definitions` VALUES (45167, 6507, 12, '已經有一個次類別命名為');
INSERT INTO `lang_definitions` VALUES (45168, 6508, 12, '已經有一個項目命名為');
INSERT INTO `lang_definitions` VALUES (45169, 6509, 12, '已經有一個開放的病歷請求。');
INSERT INTO `lang_definitions` VALUES (45170, 6510, 12, '沒有農委會條目的AR帳戶 ');
INSERT INTO `lang_definitions` VALUES (45171, 6511, 12, '沒有COA條目的現金帳戶 ');
INSERT INTO `lang_definitions` VALUES (45172, 6512, 12, '沒有COA條目的收入帳戶 ');
INSERT INTO `lang_definitions` VALUES (45173, 6513, 12, '沒有當前的病人');
INSERT INTO `lang_definitions` VALUES (45174, 6515, 12, '沒有符合的發票編號');
INSERT INTO `lang_definitions` VALUES (45175, 6516, 12, '沒有符合的發票編號＝ ');
INSERT INTO `lang_definitions` VALUES (45176, 6517, 12, '服務編號沒有零件條目 ');
INSERT INTO `lang_definitions` VALUES (45177, 6520, 12, '正當處理您的請求時，有一個錯誤。');
INSERT INTO `lang_definitions` VALUES (45178, 6523, 12, '增厚，右：');
INSERT INTO `lang_definitions` VALUES (45179, 6524, 12, '大腿');
INSERT INTO `lang_definitions` VALUES (45180, 6525, 12, '大腿+腿筋');
INSERT INTO `lang_definitions` VALUES (45181, 6527, 12, '就是後台辦公室可以閱讀和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (45182, 6528, 12, '就是後台辦公室可以閱讀和修改');
INSERT INTO `lang_definitions` VALUES (45183, 6531, 12, '就是臨床醫師可以讀取和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (45184, 6532, 12, '就是臨床醫師可以讀取和修改');
INSERT INTO `lang_definitions` VALUES (45185, 6535, 12, '就是前台辦公室可以閱讀和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (45186, 6536, 12, '就是前台辦公室可以閱讀和修改');
INSERT INTO `lang_definitions` VALUES (45187, 6539, 12, '就是醫師可以讀取和進入，但不能修改');
INSERT INTO `lang_definitions` VALUES (45188, 6540, 12, '就是醫師可以讀取和修改');
INSERT INTO `lang_definitions` VALUES (45189, 6542, 12, '第三');
INSERT INTO `lang_definitions` VALUES (45190, 6544, 12, '這一行動不可撤消');
INSERT INTO `lang_definitions` VALUES (45191, 6545, 12, '這一行動不可撤消');
INSERT INTO `lang_definitions` VALUES (45192, 6547, 12, '這個行動將被記錄');
INSERT INTO `lang_definitions` VALUES (45193, 6551, 12, '本日曆年度');
INSERT INTO `lang_definitions` VALUES (45194, 6554, 12, '這種說法一直否認.原因： -');
INSERT INTO `lang_definitions` VALUES (45195, 6555, 12, '這項索賠已被轉發到下一級別。');
INSERT INTO `lang_definitions` VALUES (45196, 6556, 12, '此代碼類型不接受關係。');
INSERT INTO `lang_definitions` VALUES (45197, 6557, 12, '這個上下文包含的類別，將被刪除。你仍然要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (45198, 6558, 12, '這就決定任命如何在日曆上顯示。');
INSERT INTO `lang_definitions` VALUES (45199, 6559, 12, '這就決定任命配色方案');
INSERT INTO `lang_definitions` VALUES (45200, 6561, 12, '這場遭遇戰');
INSERT INTO `lang_definitions` VALUES (45201, 6565, 12, '此功能是非常實驗性，並沒有完全測試。使用需要您自擔風險！');
INSERT INTO `lang_definitions` VALUES (45202, 6566, 12, '該發票號碼已變更為 ');
INSERT INTO `lang_definitions` VALUES (45203, 6575, 12, '這個模塊是處於測試模式。該數據庫將不能更改。');
INSERT INTO `lang_definitions` VALUES (45204, 6576, 12, '此模塊，促進有效的進入EOB資料。');
INSERT INTO `lang_definitions` VALUES (45205, 6577, 12, '這個日期的月份');
INSERT INTO `lang_definitions` VALUES (45206, 6581, 12, '這頁的內聯將包括登錄頁面，使我們不必每次點擊重新登錄。');
INSERT INTO `lang_definitions` VALUES (45207, 6582, 12, '這個病人沒有活動。');
INSERT INTO `lang_definitions` VALUES (45208, 6583, 12, '這名病人身份證已在使用！');
INSERT INTO `lang_definitions` VALUES (45209, 6584, 12, '此產品只允許每個倉庫的一個地段。');
INSERT INTO `lang_definitions` VALUES (45210, 6591, 12, '這一步將生成一個文件，你必須儲存以供將來使用。該文件不能再次產生。你要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (45211, 6592, 12, '該用戶是不屬於任何團體的成員');
INSERT INTO `lang_definitions` VALUES (45212, 6595, 12, '這次訪問開始新的使用避孕方法');
INSERT INTO `lang_definitions` VALUES (45213, 6596, 12, '這次訪問將需要一個GCAC形式，轉介或程序服務。');
INSERT INTO `lang_definitions` VALUES (45214, 6597, 12, '這是舊的指標只有生命徵象表單，現在已經過時。');
INSERT INTO `lang_definitions` VALUES (45215, 6598, 12, '本週迄今');
INSERT INTO `lang_definitions` VALUES (45216, 6600, 12, '這將激活CCR（照顧記錄連續性）和CCD（護理文件的連續性）的報告。');
INSERT INTO `lang_definitions` VALUES (45217, 6602, 12, '這將允許選擇調試（“虛擬”）的語言。');
INSERT INTO `lang_definitions` VALUES (45218, 6606, 12, '這將創建一個tar格式備份，然後將它發送到您的網頁瀏覽器，所以你可以把它保存');
INSERT INTO `lang_definitions` VALUES (45219, 6607, 12, '這將禁用文件加密和解密功能，並隱藏在UI。');
INSERT INTO `lang_definitions` VALUES (45220, 6613, 12, '這將迫使病人摘要“屏幕中的帳單部件始終是開放的。');
INSERT INTO `lang_definitions` VALUES (45221, 6619, 12, '這將使用自定義免疫名單，而不是標準的CVX免疫名單。');
INSERT INTO `lang_definitions` VALUES (45222, 6622, 12, '胸椎');
INSERT INTO `lang_definitions` VALUES (45223, 6623, 12, 'Thous/立方釐米');
INSERT INTO `lang_definitions` VALUES (45224, 6625, 12, '喉嚨');
INSERT INTO `lang_definitions` VALUES (45225, 6626, 12, '喉癌');
INSERT INTO `lang_definitions` VALUES (45226, 6627, 12, '喉癌手術');
INSERT INTO `lang_definitions` VALUES (45227, 6628, 12, '血栓形成/中風');
INSERT INTO `lang_definitions` VALUES (45228, 6629, 12, '星期二');
INSERT INTO `lang_definitions` VALUES (45229, 6630, 12, '星期二');
INSERT INTO `lang_definitions` VALUES (45230, 6631, 12, '星期二');
INSERT INTO `lang_definitions` VALUES (45231, 6632, 12, '甲狀腺正常');
INSERT INTO `lang_definitions` VALUES (45232, 6633, 12, '甲狀腺問題');
INSERT INTO `lang_definitions` VALUES (45233, 6634, 12, '短暫性缺血性發作');
INSERT INTO `lang_definitions` VALUES (45234, 6636, 12, '一天三次');
INSERT INTO `lang_definitions` VALUES (45235, 6638, 12, '時間');
INSERT INTO `lang_definitions` VALUES (45236, 6639, 12, '時間顯示格式');
INSERT INTO `lang_definitions` VALUES (45237, 6640, 12, '時間增量為新增（分鐘1-60）');
INSERT INTO `lang_definitions` VALUES (45238, 6641, 12, '時間選擇');
INSERT INTO `lang_definitions` VALUES (45239, 6647, 12, '時間事件');
INSERT INTO `lang_definitions` VALUES (45240, 6648, 12, '時代陣列（N / A）');
INSERT INTO `lang_definitions` VALUES (45241, 6649, 12, '時間戳和文字');
INSERT INTO `lang_definitions` VALUES (45242, 6650, 12, '錫');
INSERT INTO `lang_definitions` VALUES (45243, 6651, 12, '耳鳴');
INSERT INTO `lang_definitions` VALUES (45244, 6652, 12, '標題');
INSERT INTO `lang_definitions` VALUES (45245, 6653, 12, '標題五');
INSERT INTO `lang_definitions` VALUES (45246, 6654, 12, '標題COLS必須是一個介於1和999之間的數字');
INSERT INTO `lang_definitions` VALUES (45247, 6655, 12, '標題');
INSERT INTO `lang_definitions` VALUES (45248, 6656, 12, '商標“S：');
INSERT INTO `lang_definitions` VALUES (45249, 6657, 12, 'TMS/ EAMS/ EE，外鼻子');
INSERT INTO `lang_definitions` VALUES (45250, 6658, 12, '至');
INSERT INTO `lang_definitions` VALUES (45251, 6659, 12, '至');
INSERT INTO `lang_definitions` VALUES (45252, 6660, 12, '至');
INSERT INTO `lang_definitions` VALUES (45253, 6661, 12, '到文件的絕對路徑');
INSERT INTO `lang_definitions` VALUES (45254, 6662, 12, '添加註釋，請點擊 ');
INSERT INTO `lang_definitions` VALUES (45255, 6663, 12, '添加註釋，請點擊這裡');
INSERT INTO `lang_definitions` VALUES (45256, 6664, 12, '患處');
INSERT INTO `lang_definitions` VALUES (45257, 6665, 12, '患處');
INSERT INTO `lang_definitions` VALUES (45258, 6666, 12, '到自動打開指定的表單。一些運動隊在這裡使用football_injury_audit。');
INSERT INTO `lang_definitions` VALUES (45259, 6667, 12, '到帳單查看');
INSERT INTO `lang_definitions` VALUES (45260, 6668, 12, '到類別');
INSERT INTO `lang_definitions` VALUES (45261, 6669, 12, '到臨床查看');
INSERT INTO `lang_definitions` VALUES (45262, 6670, 12, '以共付額');
INSERT INTO `lang_definitions` VALUES (45263, 6672, 12, '涉足');
INSERT INTO `lang_definitions` VALUES (45264, 6673, 12, '到數字高程模型');
INSERT INTO `lang_definitions` VALUES (45265, 6674, 12, '禁用客戶端的SSL證書，在Apache配置文件發表評論上述行，並設置');
INSERT INTO `lang_definitions` VALUES (45266, 6675, 12, '禁用HTTPS，在Apache配置文件發表評論上述行，並重新啟動Apache服務器。');
INSERT INTO `lang_definitions` VALUES (45267, 6676, 12, '為了使客戶端SSL證書');
INSERT INTO `lang_definitions` VALUES (45268, 6677, 12, '啟用客戶端SSL證書驗證，HTTPS應該被啟用。');
INSERT INTO `lang_definitions` VALUES (45269, 6678, 12, '啟用只有HTTPS的，執行上述更改並重新啟動Apache服務器。如果你要配置客戶端證書，請他們在下一節配置。');
INSERT INTO `lang_definitions` VALUES (45270, 6679, 12, '為了Enctr');
INSERT INTO `lang_definitions` VALUES (45271, 6680, 12, '按性別篩選');
INSERT INTO `lang_definitions` VALUES (45272, 6681, 12, '到歷史');
INSERT INTO `lang_definitions` VALUES (45273, 6682, 12, '問題');
INSERT INTO `lang_definitions` VALUES (45274, 6683, 12, '連結此相遇/以現有的問題進行磋商，請按一下 ');
INSERT INTO `lang_definitions` VALUES (45275, 6684, 12, '連結此相遇/以現有的問題進行磋商，單擊以上所需的問題，選中它，然後單擊[保存]。按住[Ctrl]鍵按鈕來選擇多個問題。');
INSERT INTO `lang_definitions` VALUES (45276, 6685, 12, '再次登錄');
INSERT INTO `lang_definitions` VALUES (45277, 6686, 12, '要記錄的信息披露，請點擊');
INSERT INTO `lang_definitions` VALUES (45278, 6687, 12, '運行');
INSERT INTO `lang_definitions` VALUES (45279, 6688, 12, '設置客戶端證書身份驗證的HTTPS訪問，請執行以下');
INSERT INTO `lang_definitions` VALUES (45280, 6689, 12, '對皮膚');
INSERT INTO `lang_definitions` VALUES (45281, 6690, 12, '對皮膚');
INSERT INTO `lang_definitions` VALUES (45282, 6691, 12, '對這次參訪？');
INSERT INTO `lang_definitions` VALUES (45283, 6693, 12, '到：');
INSERT INTO `lang_definitions` VALUES (45284, 6694, 12, '到： ');
INSERT INTO `lang_definitions` VALUES (45285, 6695, 12, '到-城市');
INSERT INTO `lang_definitions` VALUES (45286, 6696, 12, '到-傳真');
INSERT INTO `lang_definitions` VALUES (45287, 6697, 12, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (45288, 6698, 12, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (45289, 6699, 12, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (45290, 6700, 12, '到-組織');
INSERT INTO `lang_definitions` VALUES (45291, 6703, 12, '到-郵政');
INSERT INTO `lang_definitions` VALUES (45292, 6704, 12, '到-國家');
INSERT INTO `lang_definitions` VALUES (45293, 6705, 12, '到-街道');
INSERT INTO `lang_definitions` VALUES (45294, 6706, 12, '到-標題');
INSERT INTO `lang_definitions` VALUES (45295, 6707, 12, '到-告別');
INSERT INTO `lang_definitions` VALUES (45296, 6708, 12, '煙草');
INSERT INTO `lang_definitions` VALUES (45297, 6709, 12, '戒菸措施');
INSERT INTO `lang_definitions` VALUES (45298, 6710, 12, '戒菸措施(CQM)');
INSERT INTO `lang_definitions` VALUES (45299, 6712, 12, '煙草使用');
INSERT INTO `lang_definitions` VALUES (45300, 6713, 12, '煙草使用評估');
INSERT INTO `lang_definitions` VALUES (45301, 6714, 12, '煙草使用評估(CQM)');
INSERT INTO `lang_definitions` VALUES (45302, 6715, 12, '今天');
INSERT INTO `lang_definitions` VALUES (45303, 6717, 12, '今天');
INSERT INTO `lang_definitions` VALUES (45304, 6720, 12, '今天的日期');
INSERT INTO `lang_definitions` VALUES (45305, 6721, 12, '今天的活動');
INSERT INTO `lang_definitions` VALUES (45306, 6724, 12, '標記ID的LibreEHR支持LLC實驗室交流中心。');
INSERT INTO `lang_definitions` VALUES (45307, 6726, 12, '扁桃腺切除術');
INSERT INTO `lang_definitions` VALUES (45308, 6728, 12, '頂部');
INSERT INTO `lang_definitions` VALUES (45309, 6730, 12, '主題');
INSERT INTO `lang_definitions` VALUES (45310, 6731, 12, '全部');
INSERT INTO `lang_definitions` VALUES (45311, 6732, 12, '全部');
INSERT INTO `lang_definitions` VALUES (45312, 6733, 12, '總活性行動');
INSERT INTO `lang_definitions` VALUES (45313, 6734, 12, '更新後的總主動提醒');
INSERT INTO `lang_definitions` VALUES (45314, 6735, 12, '更新前的總主動提醒');
INSERT INTO `lang_definitions` VALUES (45315, 6737, 12, '總金額');
INSERT INTO `lang_definitions` VALUES (45316, 6738, 12, '支付的款項總額');
INSERT INTO `lang_definitions` VALUES (45317, 6741, 12, '總費用');
INSERT INTO `lang_definitions` VALUES (45318, 6742, 12, '總客戶');
INSERT INTO `lang_definitions` VALUES (45319, 6743, 12, '總成本');
INSERT INTO `lang_definitions` VALUES (45320, 6744, 12, '下列支票號碼總的分佈是不完全的');
INSERT INTO `lang_definitions` VALUES (45321, 6746, 12, '透過電子郵件發送所有失敗的提醒');
INSERT INTO `lang_definitions` VALUES (45322, 6747, 12, '透過電話發送所有失敗的提醒');
INSERT INTO `lang_definitions` VALUES (45323, 6748, 12, '總計');
INSERT INTO `lang_definitions` VALUES (45324, 6749, 12, '總計 ');
INSERT INTO `lang_definitions` VALUES (45325, 6750, 12, '總計類別');
INSERT INTO `lang_definitions` VALUES (45326, 6751, 12, '總計不活化的提醒');
INSERT INTO `lang_definitions` VALUES (45327, 6752, 12, '新提醒總計');
INSERT INTO `lang_definitions` VALUES (45328, 6755, 12, '免疫接種的總數');
INSERT INTO `lang_definitions` VALUES (45329, 6756, 12, '問題總數');
INSERT INTO `lang_definitions` VALUES (45330, 6758, 12, '病人總數');
INSERT INTO `lang_definitions` VALUES (45331, 6760, 12, '總病人平衡');
INSERT INTO `lang_definitions` VALUES (45332, 6761, 12, '總病人');
INSERT INTO `lang_definitions` VALUES (45333, 6764, 12, '找到記錄總計');
INSERT INTO `lang_definitions` VALUES (45334, 6765, 12, '總計生殖健康與計劃生育');
INSERT INTO `lang_definitions` VALUES (45335, 6766, 12, '通過電子郵件發送的總成功提醒');
INSERT INTO `lang_definitions` VALUES (45336, 6767, 12, '通過電話發送的總成功提醒');
INSERT INTO `lang_definitions` VALUES (45337, 6770, 12, '整體不變的提醒');
INSERT INTO `lang_definitions` VALUES (45338, 6771, 12, '發送過程以後全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (45339, 6772, 12, '更新以後全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (45340, 6773, 12, '發送過程以前全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (45341, 6774, 12, '更新以前全部未發送提醒');
INSERT INTO `lang_definitions` VALUES (45342, 6775, 12, '全部更新的提醒');
INSERT INTO `lang_definitions` VALUES (45343, 6776, 12, '總計');
INSERT INTO `lang_definitions` VALUES (45344, 6777, 12, '為匯總');
INSERT INTO `lang_definitions` VALUES (45345, 6778, 12, '為匯總 ');
INSERT INTO `lang_definitions` VALUES (45346, 6785, 12, '培訓種類');
INSERT INTO `lang_definitions` VALUES (45347, 6786, 12, '進行交易');
INSERT INTO `lang_definitions` VALUES (45348, 6787, 12, '進行交易');
INSERT INTO `lang_definitions` VALUES (45349, 6788, 12, '進行交易');
INSERT INTO `lang_definitions` VALUES (45350, 6789, 12, '交易失敗，在許多目的地數量不足');
INSERT INTO `lang_definitions` VALUES (45351, 6790, 12, '交易失敗，數量小於零');
INSERT INTO `lang_definitions` VALUES (45352, 6791, 12, '交易類型');
INSERT INTO `lang_definitions` VALUES (45353, 6792, 12, '進行交易');
INSERT INTO `lang_definitions` VALUES (45354, 6793, 12, '進行交易');
INSERT INTO `lang_definitions` VALUES (45355, 6794, 12, '交易（寫可選）');
INSERT INTO `lang_definitions` VALUES (45356, 6795, 12, '交易/轉介');
INSERT INTO `lang_definitions` VALUES (45357, 6797, 12, '轉讓');
INSERT INTO `lang_definitions` VALUES (45358, 6799, 12, '傳輸失敗，在源代碼數量不足');
INSERT INTO `lang_definitions` VALUES (45359, 6804, 12, '轉讓');
INSERT INTO `lang_definitions` VALUES (45360, 6806, 12, '轉型/轉移護理？');
INSERT INTO `lang_definitions` VALUES (45361, 6807, 12, '翻譯訪問控制組');
INSERT INTO `lang_definitions` VALUES (45362, 6808, 12, '翻譯委任分類');
INSERT INTO `lang_definitions` VALUES (45363, 6809, 12, '翻譯文件分類');
INSERT INTO `lang_definitions` VALUES (45364, 6810, 12, '翻譯版面');
INSERT INTO `lang_definitions` VALUES (45365, 6811, 12, '翻譯名單');
INSERT INTO `lang_definitions` VALUES (45366, 6812, 12, '翻譯病人附註標題');
INSERT INTO `lang_definitions` VALUES (45367, 6813, 12, '翻譯這個');
INSERT INTO `lang_definitions` VALUES (45368, 6814, 12, '翻譯');
INSERT INTO `lang_definitions` VALUES (45369, 6815, 12, '翻譯');
INSERT INTO `lang_definitions` VALUES (45370, 6819, 12, '創傷');
INSERT INTO `lang_definitions` VALUES (45371, 6820, 12, '治療');
INSERT INTO `lang_definitions` VALUES (45372, 6822, 12, '治療目標');
INSERT INTO `lang_definitions` VALUES (45373, 6823, 12, '治療計畫');
INSERT INTO `lang_definitions` VALUES (45374, 6826, 12, '治療：');
INSERT INTO `lang_definitions` VALUES (45375, 6827, 12, '治療： ');
INSERT INTO `lang_definitions` VALUES (45376, 6828, 12, '趨勢');
INSERT INTO `lang_definitions` VALUES (45377, 6829, 12, 'strftime（個月美元的格式，mktime（0，0，0，$ I，1，2000）））;元一個月的價值');
INSERT INTO `lang_definitions` VALUES (45378, 6830, 12, '觸發點/腔室症候群/延遲性肌肉酸痛/抽筋');
INSERT INTO `lang_definitions` VALUES (45379, 6831, 12, '三踝');
INSERT INTO `lang_definitions` VALUES (45380, 6832, 12, '軀幹與腹部');
INSERT INTO `lang_definitions` VALUES (45381, 6837, 12, '茶匙');
INSERT INTO `lang_definitions` VALUES (45382, 6839, 12, '語音合成');
INSERT INTO `lang_definitions` VALUES (45383, 6840, 12, '肺結核');
INSERT INTO `lang_definitions` VALUES (45384, 6841, 12, '星期二');
INSERT INTO `lang_definitions` VALUES (45385, 6842, 12, '星期二及四');
INSERT INTO `lang_definitions` VALUES (45386, 6843, 12, '星期二');
INSERT INTO `lang_definitions` VALUES (45387, 6844, 12, '腫瘤');
INSERT INTO `lang_definitions` VALUES (45388, 6845, 12, '土耳其');
INSERT INTO `lang_definitions` VALUES (45389, 6848, 12, '每天兩次');
INSERT INTO `lang_definitions` VALUES (45390, 6850, 12, '鼓膜');
INSERT INTO `lang_definitions` VALUES (45391, 6851, 12, '類型');
INSERT INTO `lang_definitions` VALUES (45392, 6852, 12, '類型標識或Name.3最小字符（包括空格）。');
INSERT INTO `lang_definitions` VALUES (45393, 6853, 12, '列類型顯示病人的搜索結果');
INSERT INTO `lang_definitions` VALUES (45394, 6854, 12, '披露的類型');
INSERT INTO `lang_definitions` VALUES (45395, 6855, 12, '事件類型');
INSERT INTO `lang_definitions` VALUES (45396, 6856, 12, '屏幕佈局類型');
INSERT INTO `lang_definitions` VALUES (45397, 6857, 12, '在這裡鍵入或掃描病人標識');
INSERT INTO `lang_definitions` VALUES (45398, 6859, 12, '醫囑類型與結果');
INSERT INTO `lang_definitions` VALUES (45399, 6864, 12, '卡爾加里大學體育醫學中心所提供的UCSMC代碼');
INSERT INTO `lang_definitions` VALUES (45400, 6866, 12, '潰瘍');
INSERT INTO `lang_definitions` VALUES (45401, 6867, 12, '潰瘍性結腸炎');
INSERT INTO `lang_definitions` VALUES (45402, 6868, 12, '潰瘍：');
INSERT INTO `lang_definitions` VALUES (45403, 6871, 12, '無法創建');
INSERT INTO `lang_definitions` VALUES (45404, 6876, 12, '未應用');
INSERT INTO `lang_definitions` VALUES (45405, 6877, 12, '未分配');
INSERT INTO `lang_definitions` VALUES (45406, 6878, 12, '未授权');
INSERT INTO `lang_definitions` VALUES (45407, 6879, 12, '未獲授權下取用e處方');
INSERT INTO `lang_definitions` VALUES (45408, 6880, 12, '未獲授權下取用');
INSERT INTO `lang_definitions` VALUES (45409, 6882, 12, '未入賬只有');
INSERT INTO `lang_definitions` VALUES (45410, 6884, 12, '舌下');
INSERT INTO `lang_definitions` VALUES (45411, 6885, 12, '體重過輕');
INSERT INTO `lang_definitions` VALUES (45412, 6886, 12, '未診斷出的');
INSERT INTO `lang_definitions` VALUES (45413, 6887, 12, '未經分派');
INSERT INTO `lang_definitions` VALUES (45414, 6888, 12, '未經分派');
INSERT INTO `lang_definitions` VALUES (45415, 6889, 12, '未經分派的是');
INSERT INTO `lang_definitions` VALUES (45416, 6890, 12, '撤消簽出');
INSERT INTO `lang_definitions` VALUES (45417, 6892, 12, '獨特的客戶');
INSERT INTO `lang_definitions` VALUES (45418, 6893, 12, '獨特的人類可讀的這種類型的標識符');
INSERT INTO `lang_definitions` VALUES (45419, 6894, 12, '獨特的新客戶');
INSERT INTO `lang_definitions` VALUES (45420, 6895, 12, '這種類型的唯一的數字標識符');
INSERT INTO `lang_definitions` VALUES (45421, 6896, 12, '獨特的病人');
INSERT INTO `lang_definitions` VALUES (45422, 6897, 12, '獨特的所見的患者報告');
INSERT INTO `lang_definitions` VALUES (45423, 6898, 12, '獨特的收縮壓');
INSERT INTO `lang_definitions` VALUES (45424, 6899, 12, '單位');
INSERT INTO `lang_definitions` VALUES (45425, 6900, 12, '單位');
INSERT INTO `lang_definitions` VALUES (45426, 6901, 12, '單位');
INSERT INTO `lang_definitions` VALUES (45427, 6903, 12, '訪問表格的單位');
INSERT INTO `lang_definitions` VALUES (45428, 6904, 12, '單位必須是一個數字');
INSERT INTO `lang_definitions` VALUES (45429, 6905, 12, '單位沒有定義');
INSERT INTO `lang_definitions` VALUES (45430, 6906, 12, '單位/ L');
INSERT INTO `lang_definitions` VALUES (45431, 6907, 12, '未知的');
INSERT INTO `lang_definitions` VALUES (45432, 6910, 12, '不知過去曾否吸煙');
INSERT INTO `lang_definitions` VALUES (45433, 6911, 12, '未知的或N / A');
INSERT INTO `lang_definitions` VALUES (45434, 6914, 12, '未命名的保險公司');
INSERT INTO `lang_definitions` VALUES (45435, 6915, 12, '未註冊');
INSERT INTO `lang_definitions` VALUES (45436, 6918, 12, '取消選擇所有');
INSERT INTO `lang_definitions` VALUES (45437, 6919, 12, '未選定');
INSERT INTO `lang_definitions` VALUES (45438, 6920, 12, '不確定');
INSERT INTO `lang_definitions` VALUES (45439, 6921, 12, '非結構化');
INSERT INTO `lang_definitions` VALUES (45440, 6924, 12, '直到');
INSERT INTO `lang_definitions` VALUES (45441, 6925, 12, '不合時宜的申請');
INSERT INTO `lang_definitions` VALUES (45442, 6926, 12, '未使用');
INSERT INTO `lang_definitions` VALUES (45443, 6927, 12, 'UOR');
INSERT INTO `lang_definitions` VALUES (45444, 6928, 12, '最多');
INSERT INTO `lang_definitions` VALUES (45445, 6929, 12, '即將到來的約會');
INSERT INTO `lang_definitions` VALUES (45446, 6930, 12, '即將舉行的活動');
INSERT INTO `lang_definitions` VALUES (45447, 6931, 12, '更新');
INSERT INTO `lang_definitions` VALUES (45448, 6932, 12, '更新');
INSERT INTO `lang_definitions` VALUES (45449, 6933, 12, '主動更新');
INSERT INTO `lang_definitions` VALUES (45450, 6934, 12, '更新文件');
INSERT INTO `lang_definitions` VALUES (45451, 6935, 12, '更新資料');
INSERT INTO `lang_definitions` VALUES (45452, 6936, 12, '更新列表');
INSERT INTO `lang_definitions` VALUES (45453, 6937, 12, '更新服務提供者號碼');
INSERT INTO `lang_definitions` VALUES (45454, 6938, 12, '更新選定的項目');
INSERT INTO `lang_definitions` VALUES (45455, 6939, 12, '更新下列文件中的變數');
INSERT INTO `lang_definitions` VALUES (45456, 6940, 12, '更新用戶資料');
INSERT INTO `lang_definitions` VALUES (45457, 6942, 12, '更新人口統計未被授權。');
INSERT INTO `lang_definitions` VALUES (45458, 6946, 12, '升級');
INSERT INTO `lang_definitions` VALUES (45459, 6947, 12, '升級資料庫');
INSERT INTO `lang_definitions` VALUES (45460, 6948, 12, '升級LibreEHR資料庫，包括過程，函數和去識別過程中所需的表格');
INSERT INTO `lang_definitions` VALUES (45461, 6949, 12, '升級將繼續');
INSERT INTO `lang_definitions` VALUES (45462, 6950, 12, 'UPIN');
INSERT INTO `lang_definitions` VALUES (45463, 6951, 12, '上載');
INSERT INTO `lang_definitions` VALUES (45464, 6954, 12, '上傳配置數據');
INSERT INTO `lang_definitions` VALUES (45465, 6955, 12, '上傳文件');
INSERT INTO `lang_definitions` VALUES (45466, 6956, 12, '上傳失敗！');
INSERT INTO `lang_definitions` VALUES (45467, 6957, 12, '上傳圖片到');
INSERT INTO `lang_definitions` VALUES (45468, 6958, 12, '上傳導入文件：');
INSERT INTO `lang_definitions` VALUES (45469, 6961, 12, '上傳報告');
INSERT INTO `lang_definitions` VALUES (45470, 6963, 12, '上傳這個文件：');
INSERT INTO `lang_definitions` VALUES (45471, 6964, 12, '當點擊發票號碼“手冊的發布窗口”出現。在這裡，你可以改變發票的截止日期和票據，選擇你張貼的黨，並選擇保險，所有預期的付款已經收到。最重要的是，收費金額為每個計費代碼，您可以輸入支付和調整資訊。');
INSERT INTO `lang_definitions` VALUES (45472, 6965, 12, '根據搜索，你與發票清單一起出現。你可以點擊一個發票號碼打開第二個窗口，這是手冊發布的數據條目頁面上的發票號碼之一。您也可以點擊上病人的名字，如果你想輸入一個音符，前台人員會看到病人檢查時，您可以選擇的發票出現在病人的報表和打印這些報表。');
INSERT INTO `lang_definitions` VALUES (45473, 6966, 12, '上臂');
INSERT INTO `lang_definitions` VALUES (45474, 6968, 12, '迫切性');
INSERT INTO `lang_definitions` VALUES (45475, 6970, 12, '尿液');
INSERT INTO `lang_definitions` VALUES (45476, 6971, 12, '尿液滴落');
INSERT INTO `lang_definitions` VALUES (45477, 6972, 12, '頻尿');
INSERT INTO `lang_definitions` VALUES (45478, 6973, 12, '尿猶豫不決');
INSERT INTO `lang_definitions` VALUES (45479, 6974, 12, '尿微量白蛋白');
INSERT INTO `lang_definitions` VALUES (45480, 6975, 12, '尿流');
INSERT INTO `lang_definitions` VALUES (45481, 6976, 12, '尿急');
INSERT INTO `lang_definitions` VALUES (45482, 6977, 12, '網址');
INSERT INTO `lang_definitions` VALUES (45483, 6979, 12, '網址為LibreEHR支持。');
INSERT INTO `lang_definitions` VALUES (45484, 6981, 12, '電話網關的URL。由Maviq提供自動化的VOIP服務。更多信息，請訪問http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (45485, 6986, 12, '使用指標（ISA15）');
INSERT INTO `lang_definitions` VALUES (45486, 6988, 12, '使用24小時時間格式？');
INSERT INTO `lang_definitions` VALUES (45487, 6990, 12, '使用認證的電子病歷技術，以確定病人具體的教育資源，並提供這些資源給病人，如果適當。');
INSERT INTO `lang_definitions` VALUES (45488, 6991, 12, '使用收費小組');
INSERT INTO `lang_definitions` VALUES (45489, 6992, 12, '使用CPOE系統直接輸入醫囑任何有執照的的醫療專業人士，可以將醫囑輸入進入醫療記錄，每個國家，地方和專業指引。');
INSERT INTO `lang_definitions` VALUES (45490, 6997, 12, '使用自訂的免疫名單');
INSERT INTO `lang_definitions` VALUES (45491, 6999, 12, '使用日期範圍');
INSERT INTO `lang_definitions` VALUES (45492, 7000, 12, '使用預設值');
INSERT INTO `lang_definitions` VALUES (45493, 7001, 12, '使用刪除選項去刪除。');
INSERT INTO `lang_definitions` VALUES (45494, 7002, 12, '使用國際日期的樣式？');
INSERT INTO `lang_definitions` VALUES (45495, 7003, 12, '使用來源檔名');
INSERT INTO `lang_definitions` VALUES (45496, 7004, 12, '使用下面的字段購買或轉讓。');
INSERT INTO `lang_definitions` VALUES (45497, 7005, 12, '此功能只能使用新安裝的站點， ');
INSERT INTO `lang_definitions` VALUES (45498, 7006, 12, '使用主題？');
INSERT INTO `lang_definitions` VALUES (45499, 7007, 12, '使用者');
INSERT INTO `lang_definitions` VALUES (45500, 7009, 12, '用戶/組');
INSERT INTO `lang_definitions` VALUES (45501, 7010, 12, '用戶管理');
INSERT INTO `lang_definitions` VALUES (45502, 7011, 12, '使用者和設備管理');
INSERT INTO `lang_definitions` VALUES (45503, 7012, 12, '用戶和群組管理');
INSERT INTO `lang_definitions` VALUES (45504, 7014, 12, '已停用使用者證書驗證');
INSERT INTO `lang_definitions` VALUES (45505, 7015, 12, '用戶定義');
INSERT INTO `lang_definitions` VALUES (45506, 7016, 12, '用戶定義的第11區');
INSERT INTO `lang_definitions` VALUES (45507, 7017, 12, '用戶定義的第12區');
INSERT INTO `lang_definitions` VALUES (45508, 7018, 12, '使用者定義的字段');
INSERT INTO `lang_definitions` VALUES (45509, 7019, 12, '用戶定義的列表1');
INSERT INTO `lang_definitions` VALUES (45510, 7020, 12, '用戶定義的列表2');
INSERT INTO `lang_definitions` VALUES (45511, 7021, 12, '用戶定義的列表3');
INSERT INTO `lang_definitions` VALUES (45512, 7022, 12, '用戶定義的列表4');
INSERT INTO `lang_definitions` VALUES (45513, 7023, 12, '用戶定義的列表5');
INSERT INTO `lang_definitions` VALUES (45514, 7024, 12, '用戶定義的列表6');
INSERT INTO `lang_definitions` VALUES (45515, 7025, 12, '用戶定義的列表7');
INSERT INTO `lang_definitions` VALUES (45516, 7026, 12, '使用者定義的文字1');
INSERT INTO `lang_definitions` VALUES (45517, 7027, 12, '使用者定義的文字2');
INSERT INTO `lang_definitions` VALUES (45518, 7028, 12, '使用者定義的文字3');
INSERT INTO `lang_definitions` VALUES (45519, 7029, 12, '使用者定義的文字4');
INSERT INTO `lang_definitions` VALUES (45520, 7030, 12, '使用者定義的文字5');
INSERT INTO `lang_definitions` VALUES (45521, 7031, 12, '使用者定義的文字6');
INSERT INTO `lang_definitions` VALUES (45522, 7032, 12, '使用者定義的文字7');
INSERT INTO `lang_definitions` VALUES (45523, 7033, 12, '使用者定義的文字8');
INSERT INTO `lang_definitions` VALUES (45524, 7034, 12, '使用者名字');
INSERT INTO `lang_definitions` VALUES (45525, 7039, 12, '用戶手冊');
INSERT INTO `lang_definitions` VALUES (45526, 7040, 12, '用戶成員');
INSERT INTO `lang_definitions` VALUES (45527, 7041, 12, '用戶名稱');
INSERT INTO `lang_definitions` VALUES (45528, 7042, 12, '用戶名或主機名不能是空白');
INSERT INTO `lang_definitions` VALUES (45529, 7043, 12, '使用者或主機名');
INSERT INTO `lang_definitions` VALUES (45530, 7046, 12, '用戶設置');
INSERT INTO `lang_definitions` VALUES (45531, 7047, 12, '用戶特定設置');
INSERT INTO `lang_definitions` VALUES (45532, 7049, 12, '用戶名稱');
INSERT INTO `lang_definitions` VALUES (45533, 7051, 12, '電話網關的用戶名。由Maviq提供自動化的VOIP服務。更多信息，請訪問http://signup.maviq.com。');
INSERT INTO `lang_definitions` VALUES (45534, 7052, 12, '短訊網關的用戶名');
INSERT INTO `lang_definitions` VALUES (45535, 7053, 12, '短信網關的用戶名');
INSERT INTO `lang_definitions` VALUES (45536, 7055, 12, '用戶名稱：');
INSERT INTO `lang_definitions` VALUES (45537, 7056, 12, '用戶');
INSERT INTO `lang_definitions` VALUES (45538, 7057, 12, '用戶/組/日誌管理');
INSERT INTO `lang_definitions` VALUES (45539, 7058, 12, '使用PHP<a href=\"http://php.net/strftime\">strftime</ a>的格式');
INSERT INTO `lang_definitions` VALUES (45540, 7059, 12, '尿路感染');
INSERT INTO `lang_definitions` VALUES (45541, 7062, 12, '度假');
INSERT INTO `lang_definitions` VALUES (45542, 7063, 12, '度假');
INSERT INTO `lang_definitions` VALUES (45543, 7064, 12, '疫苗');
INSERT INTO `lang_definitions` VALUES (45544, 7065, 12, '陰道環');
INSERT INTO `lang_definitions` VALUES (45545, 7066, 12, '告別');
INSERT INTO `lang_definitions` VALUES (45546, 7067, 12, '驗證');
INSERT INTO `lang_definitions` VALUES (45547, 7068, 12, '價值');
INSERT INTO `lang_definitions` VALUES (45548, 7069, 12, '價值1');
INSERT INTO `lang_definitions` VALUES (45549, 7070, 12, '價值2');
INSERT INTO `lang_definitions` VALUES (45550, 7072, 12, '值應該是數字');
INSERT INTO `lang_definitions` VALUES (45551, 7073, 12, '變數1');
INSERT INTO `lang_definitions` VALUES (45552, 7074, 12, '變數2');
INSERT INTO `lang_definitions` VALUES (45553, 7075, 12, '一個變數去運行識別升級指令碼');
INSERT INTO `lang_definitions` VALUES (45554, 7076, 12, '水痘1');
INSERT INTO `lang_definitions` VALUES (45555, 7077, 12, '水痘2');
INSERT INTO `lang_definitions` VALUES (45556, 7078, 12, '靜脈曲張');
INSERT INTO `lang_definitions` VALUES (45557, 7079, 12, '血管情況');
INSERT INTO `lang_definitions` VALUES (45558, 7080, 12, '血管損傷');
INSERT INTO `lang_definitions` VALUES (45559, 7081, 12, '血管手術');
INSERT INTO `lang_definitions` VALUES (45560, 7083, 12, '供應商');
INSERT INTO `lang_definitions` VALUES (45561, 7084, 12, '版本');
INSERT INTO `lang_definitions` VALUES (45562, 7085, 12, '眩暈');
INSERT INTO `lang_definitions` VALUES (45563, 7087, 12, '退伍軍人管理局計劃');
INSERT INTO `lang_definitions` VALUES (45564, 7088, 12, 'VFC');
INSERT INTO `lang_definitions` VALUES (45565, 7089, 12, '越南人');
INSERT INTO `lang_definitions` VALUES (45566, 7090, 12, '查看');
INSERT INTO `lang_definitions` VALUES (45567, 7091, 12, '查看');
INSERT INTO `lang_definitions` VALUES (45568, 7092, 12, '查看過敏');
INSERT INTO `lang_definitions` VALUES (45569, 7097, 12, '查看全面的病人報告');
INSERT INTO `lang_definitions` VALUES (45570, 7100, 12, '查看文件');
INSERT INTO `lang_definitions` VALUES (45571, 7101, 12, '查看遭遇');
INSERT INTO `lang_definitions` VALUES (45572, 7103, 12, '查看在彈出窗口中的事件嗎？');
INSERT INTO `lang_definitions` VALUES (45573, 7108, 12, '看第1頁');
INSERT INTO `lang_definitions` VALUES (45574, 7109, 12, '看第2頁');
INSERT INTO `lang_definitions` VALUES (45575, 7111, 12, '查看病人');
INSERT INTO `lang_definitions` VALUES (45576, 7116, 12, '查看相關的遭遇');
INSERT INTO `lang_definitions` VALUES (45577, 7121, 12, '查看/編輯過敏');
INSERT INTO `lang_definitions` VALUES (45578, 7122, 12, '查看/編輯問題');
INSERT INTO `lang_definitions` VALUES (45579, 7123, 12, '查看/列印');
INSERT INTO `lang_definitions` VALUES (45580, 7124, 12, '查看：');
INSERT INTO `lang_definitions` VALUES (45581, 7125, 12, '簽證');
INSERT INTO `lang_definitions` VALUES (45582, 7126, 12, 'VISA卡/ MC/ AMEX/ DIS');
INSERT INTO `lang_definitions` VALUES (45583, 7127, 12, '內臟損害/外傷/手術');
INSERT INTO `lang_definitions` VALUES (45584, 7133, 12, '訪問類別：');
INSERT INTO `lang_definitions` VALUES (45585, 7134, 12, '訪問日期');
INSERT INTO `lang_definitions` VALUES (45586, 7137, 12, '訪問表格');
INSERT INTO `lang_definitions` VALUES (45587, 7138, 12, '訪問歷史');
INSERT INTO `lang_definitions` VALUES (45588, 7140, 12, '訪問');
INSERT INTO `lang_definitions` VALUES (45589, 7141, 12, '從訪問');
INSERT INTO `lang_definitions` VALUES (45590, 7142, 12, '生命徵象的紀錄與圖表改變');
INSERT INTO `lang_definitions` VALUES (45591, 7143, 12, '命脈');
INSERT INTO `lang_definitions` VALUES (45592, 7144, 12, '生命徵象（公制）');
INSERT INTO `lang_definitions` VALUES (45593, 7146, 12, '聲音');
INSERT INTO `lang_definitions` VALUES (45594, 7147, 12, '聲音傳送');
INSERT INTO `lang_definitions` VALUES (45595, 7149, 12, '嘔吐');
INSERT INTO `lang_definitions` VALUES (45596, 7152, 12, '腰圍');
INSERT INTO `lang_definitions` VALUES (45597, 7153, 12, '腰圍');
INSERT INTO `lang_definitions` VALUES (45598, 7154, 12, '等候');
INSERT INTO `lang_definitions` VALUES (45599, 7155, 12, '步入式');
INSERT INTO `lang_definitions` VALUES (45600, 7157, 12, '沃爾特·彭寧頓');
INSERT INTO `lang_definitions` VALUES (45601, 7158, 12, '倉庫');
INSERT INTO `lang_definitions` VALUES (45602, 7161, 12, '倉庫');
INSERT INTO `lang_definitions` VALUES (45603, 7162, 12, '溫暖');
INSERT INTO `lang_definitions` VALUES (45604, 7163, 12, '警告');
INSERT INTO `lang_definitions` VALUES (45605, 7164, 12, '警告');
INSERT INTO `lang_definitions` VALUES (45606, 7166, 12, '警告，支票號碼已經存在於數據庫中');
INSERT INTO `lang_definitions` VALUES (45607, 7168, 12, '警告：這個病人今天已經有一次訪問了！');
INSERT INTO `lang_definitions` VALUES (45608, 7170, 12, '警告：病人識別不是唯一的！');
INSERT INTO `lang_definitions` VALUES (45609, 7171, 12, '警告：這將覆蓋從上傳的文件資料的配置信息！');
INSERT INTO `lang_definitions` VALUES (45610, 7173, 12, '警告');
INSERT INTO `lang_definitions` VALUES (45611, 7175, 12, '已經上傳');
INSERT INTO `lang_definitions` VALUES (45612, 7177, 12, '我們感謝及時支付到期的結餘');
INSERT INTO `lang_definitions` VALUES (45613, 7178, 12, '我們已經看到在我們的門診精神病診所的評估和治療你的上述病人。謝謝你這個轉介。');
INSERT INTO `lang_definitions` VALUES (45614, 7179, 12, '軟弱');
INSERT INTO `lang_definitions` VALUES (45615, 7181, 12, '網頁搜索');
INSERT INTO `lang_definitions` VALUES (45616, 7182, 12, '網站');
INSERT INTO `lang_definitions` VALUES (45617, 7183, 12, '上門患者門戶網站連結。');
INSERT INTO `lang_definitions` VALUES (45618, 7184, 12, '星期三');
INSERT INTO `lang_definitions` VALUES (45619, 7185, 12, '星期三');
INSERT INTO `lang_definitions` VALUES (45620, 7186, 12, '週');
INSERT INTO `lang_definitions` VALUES (45621, 7187, 12, '週');
INSERT INTO `lang_definitions` VALUES (45622, 7188, 12, '週視圖');
INSERT INTO `lang_definitions` VALUES (45623, 7189, 12, '週');
INSERT INTO `lang_definitions` VALUES (45624, 7190, 12, '周刊披露');
INSERT INTO `lang_definitions` VALUES (45625, 7192, 12, '週');
INSERT INTO `lang_definitions` VALUES (45626, 7193, 12, '體重');
INSERT INTO `lang_definitions` VALUES (45627, 7194, 12, '兒童和青少年體重的評估和諮詢');
INSERT INTO `lang_definitions` VALUES (45628, 7195, 12, '兒童和青少年體重的評估和諮詢CQM)');
INSERT INTO `lang_definitions` VALUES (45629, 7196, 12, '體重改變');
INSERT INTO `lang_definitions` VALUES (45630, 7197, 12, '減重');
INSERT INTO `lang_definitions` VALUES (45631, 7198, 12, '減肥診所');
INSERT INTO `lang_definitions` VALUES (45632, 7199, 12, '歡迎');
INSERT INTO `lang_definitions` VALUES (45633, 7202, 12, '要計算什麼？');
INSERT INTO `lang_definitions` VALUES (45634, 7203, 12, '哮鳴音：');
INSERT INTO `lang_definitions` VALUES (45635, 7204, 12, '哮鳴音');
INSERT INTO `lang_definitions` VALUES (45636, 7205, 12, '哮鳴音：');
INSERT INTO `lang_definitions` VALUES (45637, 7208, 12, '哪裡可能找到有關掃描或紙張文件？');
INSERT INTO `lang_definitions` VALUES (45638, 7211, 12, '頸椎過度屈伸');
INSERT INTO `lang_definitions` VALUES (45639, 7212, 12, '白色');
INSERT INTO `lang_definitions` VALUES (45640, 7213, 12, '誰');
INSERT INTO `lang_definitions` VALUES (45641, 7214, 12, '誰回答？');
INSERT INTO `lang_definitions` VALUES (45642, 7215, 12, '喪偶');
INSERT INTO `lang_definitions` VALUES (45643, 7217, 12, '在左側導航框架的像素寬度。');
INSERT INTO `lang_definitions` VALUES (45644, 7221, 12, '隨著選擇：');
INSERT INTO `lang_definitions` VALUES (45645, 7222, 12, '與舊名稱');
INSERT INTO `lang_definitions` VALUES (45646, 7224, 12, '我們留個口信給誰？');
INSERT INTO `lang_definitions` VALUES (45647, 7225, 12, '隱瞞');
INSERT INTO `lang_definitions` VALUES (45648, 7226, 12, '在幾個小時內');
INSERT INTO `lang_definitions` VALUES (45649, 7227, 12, '在幾個小時內：');
INSERT INTO `lang_definitions` VALUES (45650, 7228, 12, '在幾分鐘之內');
INSERT INTO `lang_definitions` VALUES (45651, 7229, 12, '在幾分鐘之內：');
INSERT INTO `lang_definitions` VALUES (45652, 7232, 12, '沒有更新');
INSERT INTO `lang_definitions` VALUES (45653, 7233, 12, '見證');
INSERT INTO `lang_definitions` VALUES (45654, 7234, 12, '週');
INSERT INTO `lang_definitions` VALUES (45655, 7235, 12, '在正常範圍內');
INSERT INTO `lang_definitions` VALUES (45656, 7237, 12, '婦女');
INSERT INTO `lang_definitions` VALUES (45657, 7238, 12, '只有婦女');
INSERT INTO `lang_definitions` VALUES (45658, 7240, 12, '工作');
INSERT INTO `lang_definitions` VALUES (45659, 7241, 12, '工作的說明');
INSERT INTO `lang_definitions` VALUES (45660, 7242, 12, '工作電話');
INSERT INTO `lang_definitions` VALUES (45661, 7243, 12, '工作電話號碼');
INSERT INTO `lang_definitions` VALUES (45662, 7244, 12, '相關的工作嗎？');
INSERT INTO `lang_definitions` VALUES (45663, 7245, 12, '工作/教育/愛好');
INSERT INTO `lang_definitions` VALUES (45664, 7246, 12, '工作/學校筆記');
INSERT INTO `lang_definitions` VALUES (45665, 7247, 12, '工作日');
INSERT INTO `lang_definitions` VALUES (45666, 7249, 12, '工人補償健康計劃');
INSERT INTO `lang_definitions` VALUES (45667, 7252, 12, '更壞');
INSERT INTO `lang_definitions` VALUES (45668, 7253, 12, '你想將餘額應用到全局帳戶？');
INSERT INTO `lang_definitions` VALUES (45669, 7254, 12, '你想把他們標記為清除。');
INSERT INTO `lang_definitions` VALUES (45670, 7255, 12, '你想分配？');
INSERT INTO `lang_definitions` VALUES (45671, 7256, 12, '你想取消這名病人的分發？');
INSERT INTO `lang_definitions` VALUES (45672, 7257, 12, '你想刪除收入分配？');
INSERT INTO `lang_definitions` VALUES (45673, 7258, 12, '你想刪除收入？');
INSERT INTO `lang_definitions` VALUES (45674, 7259, 12, '你想修改並完成付款？');
INSERT INTO `lang_definitions` VALUES (45675, 7260, 12, '你想修改付款？');
INSERT INTO `lang_definitions` VALUES (45676, 7261, 12, '你想發表和完成付款？');
INSERT INTO `lang_definitions` VALUES (45677, 7262, 12, '你想發表付款？');
INSERT INTO `lang_definitions` VALUES (45678, 7263, 12, '你想保存？');
INSERT INTO `lang_definitions` VALUES (45679, 7264, 12, '手腕');
INSERT INTO `lang_definitions` VALUES (45680, 7265, 12, '手腕與手');
INSERT INTO `lang_definitions` VALUES (45681, 7266, 12, '手腕問題');
INSERT INTO `lang_definitions` VALUES (45682, 7267, 12, '寫');
INSERT INTO `lang_definitions` VALUES (45683, 7268, 12, '註銷');
INSERT INTO `lang_definitions` VALUES (45684, 7270, 12, 'wsome');
INSERT INTO `lang_definitions` VALUES (45685, 7271, 12, '寬廣的型態');
INSERT INTO `lang_definitions` VALUES (45686, 7273, 12, 'x取消');
INSERT INTO `lang_definitions` VALUES (45687, 7274, 12, 'x取消');
INSERT INTO `lang_definitions` VALUES (45688, 7275, 12, 'X-射線');
INSERT INTO `lang_definitions` VALUES (45689, 7276, 12, 'X射線解讀：');
INSERT INTO `lang_definitions` VALUES (45690, 7277, 12, 'X射線解讀：');
INSERT INTO `lang_definitions` VALUES (45691, 7278, 12, 'X12的只有：更換索賠 ');
INSERT INTO `lang_definitions` VALUES (45692, 7279, 12, 'X12的合作夥伴');
INSERT INTO `lang_definitions` VALUES (45693, 7280, 12, 'X12的合作夥伴們');
INSERT INTO `lang_definitions` VALUES (45694, 7285, 12, '年');
INSERT INTO `lang_definitions` VALUES (45695, 7286, 12, '年');
INSERT INTO `lang_definitions` VALUES (45696, 7287, 12, '年視圖');
INSERT INTO `lang_definitions` VALUES (45697, 7288, 12, '年');
INSERT INTO `lang_definitions` VALUES (45698, 7289, 12, '年');
INSERT INTO `lang_definitions` VALUES (45699, 7292, 12, '年');
INSERT INTO `lang_definitions` VALUES (45700, 7293, 12, '是');
INSERT INTO `lang_definitions` VALUES (45701, 7294, 12, '是');
INSERT INTO `lang_definitions` VALUES (45702, 7295, 12, '是的﹗');
INSERT INTO `lang_definitions` VALUES (45703, 7296, 12, '是的，刪除和註銷');
INSERT INTO `lang_definitions` VALUES (45704, 7298, 12, '是/否');
INSERT INTO `lang_definitions` VALUES (45705, 7299, 12, '是：');
INSERT INTO `lang_definitions` VALUES (45706, 7300, 12, '意第緒語');
INSERT INTO `lang_definitions` VALUES (45707, 7303, 12, '你是要永久取代現有的範本。你確定要繼續嗎？');
INSERT INTO `lang_definitions` VALUES (45708, 7304, 12, '你是在格雷斯登錄期間。改變你以前的密碼');
INSERT INTO `lang_definitions` VALUES (45709, 7305, 12, '不允許您刪除此事件');
INSERT INTO `lang_definitions` VALUES (45710, 7306, 12, '不允許您編輯此事件');
INSERT INTO `lang_definitions` VALUES (45711, 7307, 12, '這個你沒有被授權。');
INSERT INTO `lang_definitions` VALUES (45712, 7308, 12, '您未被授權訪問此小隊。');
INSERT INTO `lang_definitions` VALUES (45713, 7309, 12, '您沒有被授權去添加/編輯問題');
INSERT INTO `lang_definitions` VALUES (45714, 7310, 12, '您沒有被授權來安排約會。');
INSERT INTO `lang_definitions` VALUES (45715, 7311, 12, '您沒有被授權去看這個遭遇。');
INSERT INTO `lang_definitions` VALUES (45716, 7313, 12, '你不能直接進入這個功能。');
INSERT INTO `lang_definitions` VALUES (45717, 7314, 12, '你不能直接進入這頁。');
INSERT INTO `lang_definitions` VALUES (45718, 7315, 12, '你不可以添加空白值對一個類別！');
INSERT INTO `lang_definitions` VALUES (45719, 7316, 12, '你不可以添加空白值對一個次類別！');
INSERT INTO `lang_definitions` VALUES (45720, 7317, 12, '你不可以添加空白值對一個項目！');
INSERT INTO `lang_definitions` VALUES (45721, 7318, 12, '你不能用一個完成值YES輸入一個未來的日期。');
INSERT INTO `lang_definitions` VALUES (45722, 7319, 12, '你不能選擇的任何行動。');
INSERT INTO `lang_definitions` VALUES (45723, 7320, 12, '你不必進入去查看/編輯本說明');
INSERT INTO `lang_definitions` VALUES (45724, 7321, 12, '您試圖改變的內容已被鎖定。如果你想解除鎖定，要解鎖。刪除行“，/*鎖::* /\'');
INSERT INTO `lang_definitions` VALUES (45725, 7322, 12, '您已經成功註銷。');
INSERT INTO `lang_definitions` VALUES (45726, 7323, 12, '你只可以上傳。文本文件');
INSERT INTO `lang_definitions` VALUES (45727, 7325, 12, '你可以把文本放在這裡作為在新的病人遭遇形式的默認投訴。');
INSERT INTO `lang_definitions` VALUES (45728, 7326, 12, '您必須輸入一個密碼短語來加密文件');
INSERT INTO `lang_definitions` VALUES (45729, 7329, 12, '你必須先選擇或添加一個病人。');
INSERT INTO `lang_definitions` VALUES (45730, 7330, 12, '你必須先選擇或創建一個遭遇。');
INSERT INTO `lang_definitions` VALUES (45731, 7331, 12, '你必須選擇一個訪問類別');
INSERT INTO `lang_definitions` VALUES (45732, 7332, 12, '你必須選擇一個訪問類別。');
INSERT INTO `lang_definitions` VALUES (45733, 7333, 12, '你必須選擇一些領域以繼續。');
INSERT INTO `lang_definitions` VALUES (45734, 7334, 12, '你應該運行這個測試，如果這種說法似乎成功地生成，但實際的索賠文件不包含任何數據或僅僅只有一個它應該包含的未完成部分的數據量。與HCFA索賠是很明顯的，因為它們是人類可讀的X12的索賠，這是一個比較多的艱難過程，以確定是否正確完整的索賠。');
INSERT INTO `lang_definitions` VALUES (45735, 7335, 12, '你應該至少選擇一個上下文');
INSERT INTO `lang_definitions` VALUES (45736, 7336, 12, '你應該至少選擇一個提供者');
INSERT INTO `lang_definitions` VALUES (45737, 7339, 12, '您的結束日期是無效的');
INSERT INTO `lang_definitions` VALUES (45738, 7340, 12, '您的事件已被刪除。');
INSERT INTO `lang_definitions` VALUES (45739, 7341, 12, '您的事件已被修改。');
INSERT INTO `lang_definitions` VALUES (45740, 7342, 12, '已提交您的事件。');
INSERT INTO `lang_definitions` VALUES (45741, 7343, 12, '你的檔案太大');
INSERT INTO `lang_definitions` VALUES (45742, 7345, 12, '列表的名稱已被更改，以滿足命名要求。');
INSERT INTO `lang_definitions` VALUES (45743, 7347, 12, '你的姓名對這一類別，過程或結果');
INSERT INTO `lang_definitions` VALUES (45744, 7349, 12, '你的密碼已過期。請更改您的密碼。');
INSERT INTO `lang_definitions` VALUES (45745, 7350, 12, '你的密碼過期');
INSERT INTO `lang_definitions` VALUES (45746, 7351, 12, '今天您的密碼過期。請更改您的密碼。');
INSERT INTO `lang_definitions` VALUES (45747, 7353, 12, '你PostCalendar配置已經重置為使用默認值。');
INSERT INTO `lang_definitions` VALUES (45748, 7354, 12, '你PostCalendar配置已更新。');
INSERT INTO `lang_definitions` VALUES (45749, 7355, 12, '你的重複頻率必須是一個整數。');
INSERT INTO `lang_definitions` VALUES (45750, 7356, 12, '你的重複頻率必須至少有1。');
INSERT INTO `lang_definitions` VALUES (45751, 7357, 12, '你的開始日期大於你的結束日期');
INSERT INTO `lang_definitions` VALUES (45752, 7358, 12, '你的起始日期是無效的');
INSERT INTO `lang_definitions` VALUES (45753, 7359, 12, '你的提交失敗。');
INSERT INTO `lang_definitions` VALUES (45754, 7360, 12, '年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (45755, 7361, 12, '年年年年-月月-日日');
INSERT INTO `lang_definitions` VALUES (45756, 7362, 12, '年年年年-月月-日日日期與此檔案相關');
INSERT INTO `lang_definitions` VALUES (45757, 7363, 12, '年年年年-月月-日日日期破壞');
INSERT INTO `lang_definitions` VALUES (45758, 7364, 12, '年年年年-月月-日日出生日期');
INSERT INTO `lang_definitions` VALUES (45759, 7365, 12, '年年年年-月月-日日出生日期');
INSERT INTO `lang_definitions` VALUES (45760, 7366, 12, '年年年年-月月-日日死亡日期');
INSERT INTO `lang_definitions` VALUES (45761, 7367, 12, '年年年年-月月-日日發病或住院日期');
INSERT INTO `lang_definitions` VALUES (45762, 7368, 12, '年年年年-月月-日日發病，手術或藥物開始日期');
INSERT INTO `lang_definitions` VALUES (45763, 7369, 12, '年年年年-月月-日日購買或轉讓日期');
INSERT INTO `lang_definitions` VALUES (45764, 7370, 12, '年年年年-月月-日日恢復或藥物停止日期');
INSERT INTO `lang_definitions` VALUES (45765, 7371, 12, '年年年年-月月-日日回播日期');
INSERT INTO `lang_definitions` VALUES (45766, 7372, 12, '年年年年-月月-日日服務日期');
INSERT INTO `lang_definitions` VALUES (45767, 7373, 12, '年年年年-月月-日日這封信的日期');
INSERT INTO `lang_definitions` VALUES (45768, 7374, 12, '年年年年-月月-日日回播日期');
INSERT INTO `lang_definitions` VALUES (45769, 7375, 12, '年年年年-月月-日日文件日期');
INSERT INTO `lang_definitions` VALUES (45770, 7376, 12, '年年年年-月月-日日事件日期或開始日期');
INSERT INTO `lang_definitions` VALUES (45771, 7381, 12, '年年年年-月月-日日時時︰分分︰秒秒');
INSERT INTO `lang_definitions` VALUES (45772, 7383, 12, '年年年年-月月-日日這事件的最後日期');
INSERT INTO `lang_definitions` VALUES (45773, 7387, 12, '零');
INSERT INTO `lang_definitions` VALUES (45774, 7389, 12, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (45775, 7390, 12, '郵政編碼');
INSERT INTO `lang_definitions` VALUES (45776, 7391, 12, '郵編/國家：');
INSERT INTO `lang_definitions` VALUES (45777, 7392, 12, '祖魯');
INSERT INTO `lang_definitions` VALUES (45778, 7393, 12, ' 但被 ');
INSERT INTO `lang_definitions` VALUES (45779, 7394, 12, ' 無法存取。');
INSERT INTO `lang_definitions` VALUES (45780, 7395, 12, '你真的要刪除');
INSERT INTO `lang_definitions` VALUES (45781, 7396, 12, '藥');
INSERT INTO `lang_definitions` VALUES (45782, 7397, 12, '沒有發送的電子郵件');
INSERT INTO `lang_definitions` VALUES (45783, 7398, 12, '從');
INSERT INTO `lang_definitions` VALUES (45784, 7399, 12, '已創建。 ');
INSERT INTO `lang_definitions` VALUES (45785, 7400, 12, '已經重新開放');
INSERT INTO `lang_definitions` VALUES (45786, 7401, 12, '歷史');
INSERT INTO `lang_definitions` VALUES (45787, 7402, 12, '不是一個數字');
INSERT INTO `lang_definitions` VALUES (45788, 7403, 12, '準備好重新計費。');
INSERT INTO `lang_definitions` VALUES (45789, 7404, 12, '左肺下葉：');
INSERT INTO `lang_definitions` VALUES (45790, 7405, 12, '很多');
INSERT INTO `lang_definitions` VALUES (45791, 7406, 12, '醫療原始參考號碼 ');
INSERT INTO `lang_definitions` VALUES (45792, 7407, 12, '分');
INSERT INTO `lang_definitions` VALUES (45793, 7408, 12, '沒有找到！');
INSERT INTO `lang_definitions` VALUES (45794, 7409, 12, '許多瀏覽器中的pecularities可能表示，以突然急跳的方式鍵入你的屏幕下面的輸出，並且有好幾秒鐘的長時間停頓，這看起來好像事情可能已墜毀。情況並非如此，你最終會看到輸出一行一行的出來。有可能出現下面的序列號，這是表事，即使沒有別的可顯示，但是活動仍進行。這些號碼將與計費內容夾雜在一起，這是正常的。');
INSERT INTO `lang_definitions` VALUES (45795, 7410, 12, '處方已達到極限');
INSERT INTO `lang_definitions` VALUES (45796, 7411, 12, '直到');
INSERT INTO `lang_definitions` VALUES (45797, 7412, 12, '更新失敗，不是在數據庫中？');
INSERT INTO `lang_definitions` VALUES (45798, 7413, 12, '被標記為只收費。');
INSERT INTO `lang_definitions` VALUES (45799, 7414, 12, '成功地排隊。');
INSERT INTO `lang_definitions` VALUES (45800, 7415, 12, '！左W / O訪問');
INSERT INTO `lang_definitions` VALUES (45801, 7416, 12, '“為代碼');
INSERT INTO `lang_definitions` VALUES (45802, 7418, 12, '＃INS /魚翅問題');
INSERT INTO `lang_definitions` VALUES (45803, 7419, 12, '＃片劑：');
INSERT INTO `lang_definitions` VALUES (45804, 7420, 12, '$');
INSERT INTO `lang_definitions` VALUES (45805, 7421, 12, '$編碼完成');
INSERT INTO `lang_definitions` VALUES (45806, 7422, 12, '﹩標籤（年年年年 -月 月 -日日）： ');
INSERT INTO `lang_definitions` VALUES (45807, 7423, 12, '%');
INSERT INTO `lang_definitions` VALUES (45808, 7424, 12, '％取消<24小時');
INSERT INTO `lang_definitions` VALUES (45809, 7425, 12, '％取消<24小時 ');
INSERT INTO `lang_definitions` VALUES (45810, 7426, 12, '應該存在，但是沒有。');
INSERT INTO `lang_definitions` VALUES (45811, 7427, 12, '（％匹配任何字符串，_匹配任何字符）');
INSERT INTO `lang_definitions` VALUES (45812, 7429, 12, '（返回）');
INSERT INTO `lang_definitions` VALUES (45813, 7430, 12, '（點擊來編輯）');
INSERT INTO `lang_definitions` VALUES (45814, 7431, 12, '（電子郵件傳遞是立即的，而自動化的VOIP被發送到服務供應商進行進一步的處理。）');
INSERT INTO `lang_definitions` VALUES (45815, 7432, 12, '（更多）');
INSERT INTO `lang_definitions` VALUES (45816, 7433, 12, '（新病人）');
INSERT INTO `lang_definitions` VALUES (45817, 7434, 12, '（附註和授權）');
INSERT INTO `lang_definitions` VALUES (45818, 7435, 12, '（病人註釋）');
INSERT INTO `lang_definitions` VALUES (45819, 7436, 12, '（選擇其中之一，或鍵入自己的標題）');
INSERT INTO `lang_definitions` VALUES (45820, 7437, 12, '（移位）點擊或拖動來改變值');
INSERT INTO `lang_definitions` VALUES (45821, 7438, 12, '*提示完成');
INSERT INTO `lang_definitions` VALUES (45822, 7439, 12, '**請移動手術的事項！');
INSERT INTO `lang_definitions` VALUES (45823, 7440, 12, '*必填');
INSERT INTO `lang_definitions` VALUES (45824, 7441, 12, '+圖表拉出');
INSERT INTO `lang_definitions` VALUES (45825, 7442, 12, '- 沒有');
INSERT INTO `lang_definitions` VALUES (45826, 7447, 12, '0-10');
INSERT INTO `lang_definitions` VALUES (45827, 7448, 12, '0-24');
INSERT INTO `lang_definitions` VALUES (45828, 7452, 12, '1=北美。看到http://www.wtng.info/~~V其他國家或地區代碼列表。');
INSERT INTO `lang_definitions` VALUES (45829, 7457, 12, '1.休息2冰敷兩天3。壓迫，敷料留在原處，除非腳發展麻木或蒼白色4抬高腿和腳');
INSERT INTO `lang_definitions` VALUES (45830, 7458, 12, '11-14');
INSERT INTO `lang_definitions` VALUES (45831, 7459, 12, '12小時');
INSERT INTO `lang_definitions` VALUES (45832, 7460, 12, '15-19');
INSERT INTO `lang_definitions` VALUES (45833, 7468, 12, '20-24');
INSERT INTO `lang_definitions` VALUES (45834, 7477, 12, '2111-13');
INSERT INTO `lang_definitions` VALUES (45835, 7478, 12, '24小時');
INSERT INTO `lang_definitions` VALUES (45836, 7479, 12, '25+');
INSERT INTO `lang_definitions` VALUES (45837, 7480, 12, '25-29');
INSERT INTO `lang_definitions` VALUES (45838, 7481, 12, '第二');
INSERT INTO `lang_definitions` VALUES (45839, 7483, 12, '三個月');
INSERT INTO `lang_definitions` VALUES (45840, 7485, 12, '每天三次');
INSERT INTO `lang_definitions` VALUES (45841, 7487, 12, '30-34');
INSERT INTO `lang_definitions` VALUES (45842, 7488, 12, '35-39');
INSERT INTO `lang_definitions` VALUES (45843, 7489, 12, '第三');
INSERT INTO `lang_definitions` VALUES (45844, 7491, 12, '4個月');
INSERT INTO `lang_definitions` VALUES (45845, 7493, 12, '每天四次');
INSERT INTO `lang_definitions` VALUES (45846, 7495, 12, '40-44');
INSERT INTO `lang_definitions` VALUES (45847, 7496, 12, '45+');
INSERT INTO `lang_definitions` VALUES (45848, 7497, 12, '465.9，上呼吸道感染');
INSERT INTO `lang_definitions` VALUES (45849, 7498, 12, '466.0，支氣管炎，急性一氧化氮合酶');
INSERT INTO `lang_definitions` VALUES (45850, 7499, 12, '486.0，肺炎，急性');
INSERT INTO `lang_definitions` VALUES (45851, 7500, 12, '491.21，慢性阻塞性肺病加重');
INSERT INTO `lang_definitions` VALUES (45852, 7501, 12, '491.8，支氣管炎，慢性');
INSERT INTO `lang_definitions` VALUES (45853, 7502, 12, '493.92，哮喘，急性惡化。');
INSERT INTO `lang_definitions` VALUES (45854, 7503, 12, '496.0，慢性阻塞性肺病');
INSERT INTO `lang_definitions` VALUES (45855, 7504, 12, '第四');
INSERT INTO `lang_definitions` VALUES (45856, 7508, 12, '519.7支氣管痙攣');
INSERT INTO `lang_definitions` VALUES (45857, 7509, 12, '第五');
INSERT INTO `lang_definitions` VALUES (45858, 7511, 12, '6個月');
INSERT INTO `lang_definitions` VALUES (45859, 7514, 12, '第六');
INSERT INTO `lang_definitions` VALUES (45860, 7517, 12, '824.0骨折，內踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (45861, 7518, 12, '824.2骨折，外踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (45862, 7519, 12, '824.6骨折，三踝，閉鎖性');
INSERT INTO `lang_definitions` VALUES (45863, 7520, 12, '825.32的舟狀骨骨折，（腳踝）');
INSERT INTO `lang_definitions` VALUES (45864, 7521, 12, '825.35骨折，第五（5）蹠骨基部');
INSERT INTO `lang_definitions` VALUES (45865, 7522, 12, '845.00踝關節扭傷的一氧化氮合酶');
INSERT INTO `lang_definitions` VALUES (45866, 7523, 12, '845.01扭傷內側（三角肌）韌帶。');
INSERT INTO `lang_definitions` VALUES (45867, 7524, 12, '845.02扭傷，跟骨腓骨');
INSERT INTO `lang_definitions` VALUES (45868, 7526, 12, '99212成立 - 單純性');
INSERT INTO `lang_definitions` VALUES (45869, 7527, 12, '99213成立 - 低複雜度');
INSERT INTO `lang_definitions` VALUES (45870, 7528, 12, '<在診療室');
INSERT INTO `lang_definitions` VALUES (45871, 7529, 12, '>檢查');
INSERT INTO `lang_definitions` VALUES (45872, 7531, 12, '？無顯示');
INSERT INTO `lang_definitions` VALUES (45873, 7532, 12, '@抵達');
INSERT INTO `lang_definitions` VALUES (45874, 7533, 12, '[更改視圖]');
INSERT INTO `lang_definitions` VALUES (45875, 7534, 12, '[最後相遇的日期]');
INSERT INTO `lang_definitions` VALUES (45876, 7535, 12, '[自從最後相遇的天數]');
INSERT INTO `lang_definitions` VALUES (45877, 7536, 12, '平等機會條例草案]');
INSERT INTO `lang_definitions` VALUES (45878, 7537, 12, '[出口氧氟沙星]');
INSERT INTO `lang_definitions` VALUES (45879, 7538, 12, '[不推薦]');
INSERT INTO `lang_definitions` VALUES (45880, 7539, 12, '[邂逅的號碼]');
INSERT INTO `lang_definitions` VALUES (45881, 7540, 12, '[報告]');
INSERT INTO `lang_definitions` VALUES (45882, 7541, 12, '[全選]');
INSERT INTO `lang_definitions` VALUES (45883, 7542, 12, '[SQL總帳]');
INSERT INTO `lang_definitions` VALUES (45884, 7543, 12, '[開始批次處理]');
INSERT INTO `lang_definitions` VALUES (45885, 7544, 12, '[查看日誌]');
INSERT INTO `lang_definitions` VALUES (45886, 7545, 12, '[查看列印報告]');
INSERT INTO `lang_definitions` VALUES (45887, 7546, 12, '_PC_DUR_小時');
INSERT INTO `lang_definitions` VALUES (45888, 7547, 12, '_PC_DUR_分鐘');
INSERT INTO `lang_definitions` VALUES (45889, 7548, 12, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (45890, 7549, 12, '〜遲到');
INSERT INTO `lang_definitions` VALUES (45891, 1, 13, 'A');
INSERT INTO `lang_definitions` VALUES (45892, 2, 13, 'Регистрация номера или требования для идентификации оплаты');
INSERT INTO `lang_definitions` VALUES (45893, 3, 13, 'Сертификат клиента для пользователя admin');
INSERT INTO `lang_definitions` VALUES (45894, 7, 13, 'Специалист является обязательным');
INSERT INTO `lang_definitions` VALUES (45895, 8, 13, 'Для этого посещения необходимо добавить форму GCAC.');
INSERT INTO `lang_definitions` VALUES (45896, 9, 13, 'Номер партии является обязательным');
INSERT INTO `lang_definitions` VALUES (45897, 10, 13, 'Номер партии обязателен!');
INSERT INTO `lang_definitions` VALUES (45898, 11, 13, 'Прописная буква');
INSERT INTO `lang_definitions` VALUES (45899, 12, 13, 'Номер');
INSERT INTO `lang_definitions` VALUES (45900, 14, 13, 'Пациент с этим ID уже существует.');
INSERT INTO `lang_definitions` VALUES (45901, 15, 13, 'Пациент под этим именем уже существует');
INSERT INTO `lang_definitions` VALUES (45902, 16, 13, 'Пациент с этим SS уже существует.');
INSERT INTO `lang_definitions` VALUES (45903, 19, 13, 'Источник направления может быть указан для каждого посещения.');
INSERT INTO `lang_definitions` VALUES (45904, 20, 13, 'Требуется cвязанный код IPPF!');
INSERT INTO `lang_definitions` VALUES (45905, 21, 13, 'специальный символ');
INSERT INTO `lang_definitions` VALUES (45906, 22, 13, 'Для пользователя уникальное значение идентификации этого поля не видно');
INSERT INTO `lang_definitions` VALUES (45907, 24, 13, 'до еды');
INSERT INTO `lang_definitions` VALUES (45908, 25, 13, 'до полудня');
INSERT INTO `lang_definitions` VALUES (45909, 26, 13, 'Равное право при пожаре или несчастном случае:');
INSERT INTO `lang_definitions` VALUES (45910, 27, 13, 'Астматический бронхит');
INSERT INTO `lang_definitions` VALUES (45911, 28, 13, 'Сокращение');
INSERT INTO `lang_definitions` VALUES (45912, 29, 13, 'Абсцесс:');
INSERT INTO `lang_definitions` VALUES (45913, 30, 13, 'Абдоминальный');
INSERT INTO `lang_definitions` VALUES (45914, 31, 13, 'Способен переносить вес на четыре (4) шага');
INSERT INTO `lang_definitions` VALUES (45915, 32, 13, 'Откл.');
INSERT INTO `lang_definitions` VALUES (45916, 33, 13, 'Откл.1');
INSERT INTO `lang_definitions` VALUES (45917, 34, 13, 'Отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (45918, 35, 13, 'Анализ крови с отклонением от нормы');
INSERT INTO `lang_definitions` VALUES (45919, 36, 13, 'Патология роста волос');
INSERT INTO `lang_definitions` VALUES (45920, 37, 13, 'Маммограмма с отклонением от нормы');
INSERT INTO `lang_definitions` VALUES (45921, 39, 13, 'Аборт');
INSERT INTO `lang_definitions` VALUES (45922, 40, 13, 'Проблемы аборта');
INSERT INTO `lang_definitions` VALUES (45923, 41, 13, 'Метод прерывания беременности');
INSERT INTO `lang_definitions` VALUES (45924, 42, 13, 'Категории, связанные с абортом');
INSERT INTO `lang_definitions` VALUES (45925, 43, 13, 'Аборты');
INSERT INTO `lang_definitions` VALUES (45926, 44, 13, 'Согласно регистрации');
INSERT INTO `lang_definitions` VALUES (45927, 46, 13, 'Отсутствие диагноза');
INSERT INTO `lang_definitions` VALUES (45928, 47, 13, 'Принять назначение');
INSERT INTO `lang_definitions` VALUES (45929, 48, 13, 'Принять оплату за');
INSERT INTO `lang_definitions` VALUES (45930, 49, 13, 'Принять оплату за ');
INSERT INTO `lang_definitions` VALUES (45931, 50, 13, 'Принимать назначение');
INSERT INTO `lang_definitions` VALUES (45932, 51, 13, 'Управление конролем');
INSERT INTO `lang_definitions` VALUES (45933, 52, 13, 'Администрирование через список управления доступом (ACL)');
INSERT INTO `lang_definitions` VALUES (45934, 54, 13, 'Доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (45935, 55, 13, 'Доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (45936, 56, 13, 'Портал для доступа вашего пациента');
INSERT INTO `lang_definitions` VALUES (45937, 59, 13, 'Имя учетной записи');
INSERT INTO `lang_definitions` VALUES (45938, 62, 13, 'Учёт');
INSERT INTO `lang_definitions` VALUES (45939, 64, 13, 'Боли');
INSERT INTO `lang_definitions` VALUES (45940, 65, 13, 'Запрошено подтверждение');
INSERT INTO `lang_definitions` VALUES (45941, 66, 13, 'Подтверждение получения, лицензирование и сертификация');
INSERT INTO `lang_definitions` VALUES (45942, 67, 13, 'ACL');
INSERT INTO `lang_definitions` VALUES (45943, 68, 13, 'Администрирование ACL');
INSERT INTO `lang_definitions` VALUES (45944, 69, 13, 'Администрирование ACL не разрешено.');
INSERT INTO `lang_definitions` VALUES (45945, 71, 13, 'Боль');
INSERT INTO `lang_definitions` VALUES (45946, 72, 13, 'Контракт');
INSERT INTO `lang_definitions` VALUES (45947, 73, 13, 'Дата подписания контракта');
INSERT INTO `lang_definitions` VALUES (45948, 74, 13, 'Действие');
INSERT INTO `lang_definitions` VALUES (45949, 75, 13, 'Действия');
INSERT INTO `lang_definitions` VALUES (45950, 77, 13, 'Активировать сообщения CCR/CCD');
INSERT INTO `lang_definitions` VALUES (45951, 78, 13, 'Активный');
INSERT INTO `lang_definitions` VALUES (45952, 79, 13, 'Активное извещение');
INSERT INTO `lang_definitions` VALUES (45953, 80, 13, 'Правила активных извещений');
INSERT INTO `lang_definitions` VALUES (45954, 81, 13, 'Активные извещения/ напоминания');
INSERT INTO `lang_definitions` VALUES (45955, 82, 13, 'Активированное обращение');
INSERT INTO `lang_definitions` VALUES (45956, 84, 13, 'Активные списки');
INSERT INTO `lang_definitions` VALUES (45957, 85, 13, 'Активированный пациент');
INSERT INTO `lang_definitions` VALUES (45958, 86, 13, 'Активные программы');
INSERT INTO `lang_definitions` VALUES (45959, 87, 13, 'Активность');
INSERT INTO `lang_definitions` VALUES (45960, 88, 13, 'Тип активности');
INSERT INTO `lang_definitions` VALUES (45961, 92, 13, 'Острый или хронический');
INSERT INTO `lang_definitions` VALUES (45962, 93, 13, 'добавить');
INSERT INTO `lang_definitions` VALUES (45963, 94, 13, 'Добавить');
INSERT INTO `lang_definitions` VALUES (45964, 95, 13, 'ДОБАВИТЬ');
INSERT INTO `lang_definitions` VALUES (45965, 96, 13, 'Добавить компанию');
INSERT INTO `lang_definitions` VALUES (45966, 98, 13, 'Добавить аптеку');
INSERT INTO `lang_definitions` VALUES (45967, 100, 13, 'добавить событие для ');
INSERT INTO `lang_definitions` VALUES (45968, 101, 13, 'Добавить как новую запись');
INSERT INTO `lang_definitions` VALUES (45969, 102, 13, 'Добавить как новая');
INSERT INTO `lang_definitions` VALUES (45970, 104, 13, 'Добавить кнопки');
INSERT INTO `lang_definitions` VALUES (45971, 105, 13, 'Добавьте кнопки для специальных литеров, текстов, чтобы отображать вверху редактора для включения в текст при щелчке');
INSERT INTO `lang_definitions` VALUES (45972, 106, 13, 'Добавить категорию');
INSERT INTO `lang_definitions` VALUES (45973, 107, 13, 'Добавить константу');
INSERT INTO `lang_definitions` VALUES (45974, 108, 13, 'Добавить контекст');
INSERT INTO `lang_definitions` VALUES (45975, 109, 13, 'Добавить оплату пациента');
INSERT INTO `lang_definitions` VALUES (45976, 110, 13, 'Добавить критерий');
INSERT INTO `lang_definitions` VALUES (45977, 111, 13, 'Добавить собственную кнопку');
INSERT INTO `lang_definitions` VALUES (45978, 112, 13, 'Добавить диагноз');
INSERT INTO `lang_definitions` VALUES (45979, 113, 13, 'Добавить лекарство');
INSERT INTO `lang_definitions` VALUES (45980, 114, 13, 'Добавить обращение');
INSERT INTO `lang_definitions` VALUES (45981, 115, 13, 'Добавить обращение/запись');
INSERT INTO `lang_definitions` VALUES (45982, 116, 13, 'Добавить услугу');
INSERT INTO `lang_definitions` VALUES (45983, 117, 13, 'Добавить поле');
INSERT INTO `lang_definitions` VALUES (45984, 118, 13, 'Добавьте следующие строки в конфигурационный файл Apache');
INSERT INTO `lang_definitions` VALUES (45985, 119, 13, 'Добавить группу');
INSERT INTO `lang_definitions` VALUES (45986, 120, 13, 'Добавляет код ICD');
INSERT INTO `lang_definitions` VALUES (45987, 121, 13, 'Добавить вакцинацию');
INSERT INTO `lang_definitions` VALUES (45988, 122, 13, 'Добавление не разрешено!');
INSERT INTO `lang_definitions` VALUES (45989, 123, 13, 'Добавить аспекты');
INSERT INTO `lang_definitions` VALUES (45990, 125, 13, 'Добавить язык');
INSERT INTO `lang_definitions` VALUES (45991, 126, 13, 'Добавить новое');
INSERT INTO `lang_definitions` VALUES (45992, 127, 13, 'Добавить новое');
INSERT INTO `lang_definitions` VALUES (45993, 128, 13, 'Добавить новую категорию ');
INSERT INTO `lang_definitions` VALUES (45994, 129, 13, 'Добавьте новые сертификаты в конфигурационный файл Apache');
INSERT INTO `lang_definitions` VALUES (45995, 130, 13, 'Добавить новый компонент');
INSERT INTO `lang_definitions` VALUES (45996, 131, 13, 'Добавить новые компоненты');
INSERT INTO `lang_definitions` VALUES (45997, 132, 13, 'Добавить новую группу');
INSERT INTO `lang_definitions` VALUES (45998, 134, 13, 'Добавить новую партию или товарооборот');
INSERT INTO `lang_definitions` VALUES (45999, 135, 13, 'Добавить новую запись');
INSERT INTO `lang_definitions` VALUES (46000, 136, 13, 'Добавить новую запись');
INSERT INTO `lang_definitions` VALUES (46001, 137, 13, 'Добавить нового партнера');
INSERT INTO `lang_definitions` VALUES (46002, 140, 13, 'Добавить запись');
INSERT INTO `lang_definitions` VALUES (46003, 141, 13, 'Добавить запись для пациента');
INSERT INTO `lang_definitions` VALUES (46004, 142, 13, 'Добавить назначение');
INSERT INTO `lang_definitions` VALUES (46005, 143, 13, 'Добавить анализ');
INSERT INTO `lang_definitions` VALUES (46006, 144, 13, 'Добавить номер поставщика');
INSERT INTO `lang_definitions` VALUES (46007, 145, 13, 'Добавить реабилитацию');
INSERT INTO `lang_definitions` VALUES (46008, 146, 13, 'Добавить правило');
INSERT INTO `lang_definitions` VALUES (46009, 147, 13, 'Добавить к');
INSERT INTO `lang_definitions` VALUES (46010, 148, 13, 'Добавить к списку препаратов');
INSERT INTO `lang_definitions` VALUES (46011, 149, 13, 'Добавить основной уровень');
INSERT INTO `lang_definitions` VALUES (46012, 150, 13, 'Добавить транзакцию');
INSERT INTO `lang_definitions` VALUES (46013, 151, 13, 'Добавить пользователя');
INSERT INTO `lang_definitions` VALUES (46014, 152, 13, 'Добавить пользователя в группу');
INSERT INTO `lang_definitions` VALUES (46015, 153, 13, 'Добавить/изменить eRx');
INSERT INTO `lang_definitions` VALUES (46016, 154, 13, 'Добавить/изменить транзакцию по пациенту');
INSERT INTO `lang_definitions` VALUES (46017, 155, 13, 'дополнено');
INSERT INTO `lang_definitions` VALUES (46018, 156, 13, 'Добавление персональных данных не разрешено.');
INSERT INTO `lang_definitions` VALUES (46019, 158, 13, 'Синдром Эддисона');
INSERT INTO `lang_definitions` VALUES (46020, 159, 13, 'Синдром Эддисона');
INSERT INTO `lang_definitions` VALUES (46021, 160, 13, 'Дополнительные атрибуты');
INSERT INTO `lang_definitions` VALUES (46022, 161, 13, 'Дополнительный диагноз:');
INSERT INTO `lang_definitions` VALUES (46023, 162, 13, 'Дополнительный анамнез');
INSERT INTO `lang_definitions` VALUES (46024, 163, 13, 'Дополнительные записи в историю');
INSERT INTO `lang_definitions` VALUES (46025, 164, 13, 'Дополнительная информация');
INSERT INTO `lang_definitions` VALUES (46026, 165, 13, 'Дополнительные лабораторные исследования');
INSERT INTO `lang_definitions` VALUES (46027, 166, 13, 'Дополнительные записи');
INSERT INTO `lang_definitions` VALUES (46028, 167, 13, 'Дополнительные записи для этого результата или рекомендации');
INSERT INTO `lang_definitions` VALUES (46029, 168, 13, 'Дополнительные записи:');
INSERT INTO `lang_definitions` VALUES (46030, 169, 13, 'Дополнительные записи: ');
INSERT INTO `lang_definitions` VALUES (46031, 170, 13, 'Дополнительные записи к рентген-исследованию:');
INSERT INTO `lang_definitions` VALUES (46032, 172, 13, 'только добавление');
INSERT INTO `lang_definitions` VALUES (46033, 173, 13, 'Адр. кн.');
INSERT INTO `lang_definitions` VALUES (46034, 174, 13, 'Адр. книга');
INSERT INTO `lang_definitions` VALUES (46035, 175, 13, 'Адрес');
INSERT INTO `lang_definitions` VALUES (46036, 178, 13, 'Адресная книга');
INSERT INTO `lang_definitions` VALUES (46037, 179, 13, 'Запись в адресную книгу для компании, выполняющей эту методику');
INSERT INTO `lang_definitions` VALUES (46038, 180, 13, 'Запись в адресную книгу для специалиста');
INSERT INTO `lang_definitions` VALUES (46039, 181, 13, 'Запись в адресную книгу для производителя');
INSERT INTO `lang_definitions` VALUES (46040, 182, 13, 'Типы адресной книги');
INSERT INTO `lang_definitions` VALUES (46041, 187, 13, 'Адрес1');
INSERT INTO `lang_definitions` VALUES (46042, 188, 13, 'Адрес2');
INSERT INTO `lang_definitions` VALUES (46043, 189, 13, 'АДРЕС');
INSERT INTO `lang_definitions` VALUES (46044, 190, 13, 'Корр.');
INSERT INTO `lang_definitions` VALUES (46045, 191, 13, 'Количество корр.');
INSERT INTO `lang_definitions` VALUES (46046, 192, 13, 'Корректировать');
INSERT INTO `lang_definitions` VALUES (46047, 193, 13, 'Корректировка');
INSERT INTO `lang_definitions` VALUES (46048, 194, 13, 'Итоговая корректировка');
INSERT INTO `lang_definitions` VALUES (46049, 195, 13, 'Причины корректировки');
INSERT INTO `lang_definitions` VALUES (46050, 196, 13, 'Значение корректировки для кода ');
INSERT INTO `lang_definitions` VALUES (46051, 197, 13, 'Исправления');
INSERT INTO `lang_definitions` VALUES (46052, 198, 13, 'Настройка адм.');
INSERT INTO `lang_definitions` VALUES (46053, 199, 13, 'Админ.');
INSERT INTO `lang_definitions` VALUES (46054, 200, 13, 'Электронный адрес admin');
INSERT INTO `lang_definitions` VALUES (46055, 201, 13, 'Выполнять через');
INSERT INTO `lang_definitions` VALUES (46056, 202, 13, 'Настроен');
INSERT INTO `lang_definitions` VALUES (46057, 203, 13, 'Настроен через');
INSERT INTO `lang_definitions` VALUES (46058, 206, 13, 'Администрирование');
INSERT INTO `lang_definitions` VALUES (46059, 208, 13, 'Администраторы');
INSERT INTO `lang_definitions` VALUES (46060, 209, 13, 'Администраторы могут делать всё');
INSERT INTO `lang_definitions` VALUES (46061, 212, 13, 'Всплывающее отображение веса взрослого');
INSERT INTO `lang_definitions` VALUES (46062, 213, 13, 'Всплывающее отображение веса взрослого (CQM)');
INSERT INTO `lang_definitions` VALUES (46063, 214, 13, 'Предварительная инструкция');
INSERT INTO `lang_definitions` VALUES (46064, 215, 13, 'Предварительные инструкции');
INSERT INTO `lang_definitions` VALUES (46065, 216, 13, 'Предупреждение о предварительной инструкции');
INSERT INTO `lang_definitions` VALUES (46066, 218, 13, 'Усовершенствованный');
INSERT INTO `lang_definitions` VALUES (46067, 219, 13, 'Совет');
INSERT INTO `lang_definitions` VALUES (46068, 221, 13, 'Повлиять на норму');
INSERT INTO `lang_definitions` VALUES (46069, 223, 13, 'После час. вызовов');
INSERT INTO `lang_definitions` VALUES (46070, 225, 13, 'После завершения указанных настроек импортируйте сертификат клиента admin в браузер и перезапустите сервер Apache (пустой пароль).');
INSERT INTO `lang_definitions` VALUES (46071, 226, 13, 'После сохранения PDF нажмите [Просмотр журнала] для проверки ошибок.');
INSERT INTO `lang_definitions` VALUES (46072, 227, 13, 'Просле сохранения файла(в) TEXT нажмите [Просмотр журнала] для проверки ошибок.');
INSERT INTO `lang_definitions` VALUES (46073, 228, 13, 'После сохранения пакета кликните [Просмотр журнала] для проверки ошибок.');
INSERT INTO `lang_definitions` VALUES (46074, 230, 13, 'После правильного ввода информации нажмите кнопку Сохранить.');
INSERT INTO `lang_definitions` VALUES (46075, 231, 13, 'После загрузки нажмите кнопку \"Импорт\"');
INSERT INTO `lang_definitions` VALUES (46076, 233, 13, 'Повторно');
INSERT INTO `lang_definitions` VALUES (46077, 234, 13, 'Возраст');
INSERT INTO `lang_definitions` VALUES (46078, 235, 13, 'Возраст по');
INSERT INTO `lang_definitions` VALUES (46079, 236, 13, 'Возрастная категория');
INSERT INTO `lang_definitions` VALUES (46080, 237, 13, 'Данные возраста вне диапазона.');
INSERT INTO `lang_definitions` VALUES (46081, 238, 13, 'Формат отображения возраста');
INSERT INTO `lang_definitions` VALUES (46082, 239, 13, 'Формат возраста \" возраст от\" не действителен');
INSERT INTO `lang_definitions` VALUES (46083, 240, 13, 'Формат возраста \" возраст до\" не действителен');
INSERT INTO `lang_definitions` VALUES (46084, 241, 13, 'Возраст от');
INSERT INTO `lang_definitions` VALUES (46085, 243, 13, 'Возраст макс');
INSERT INTO `lang_definitions` VALUES (46086, 244, 13, 'Возраст мин');
INSERT INTO `lang_definitions` VALUES (46087, 245, 13, 'Возрастной диапазон');
INSERT INTO `lang_definitions` VALUES (46088, 247, 13, 'Столбцы возрастов:');
INSERT INTO `lang_definitions` VALUES (46089, 249, 13, 'Албанский');
INSERT INTO `lang_definitions` VALUES (46090, 250, 13, 'Алкоголь');
INSERT INTO `lang_definitions` VALUES (46091, 251, 13, 'Употребление алкоголя');
INSERT INTO `lang_definitions` VALUES (46092, 253, 13, 'Количество извещений');
INSERT INTO `lang_definitions` VALUES (46093, 255, 13, 'Оповещения');
INSERT INTO `lang_definitions` VALUES (46094, 258, 13, 'АЛЕУТ');
INSERT INTO `lang_definitions` VALUES (46095, 259, 13, 'Все');
INSERT INTO `lang_definitions` VALUES (46096, 260, 13, 'Все');
INSERT INTO `lang_definitions` VALUES (46097, 261, 13, 'Все (формат сопоставления A)');
INSERT INTO `lang_definitions` VALUES (46098, 262, 13, 'Все (формат сопоставления B)');
INSERT INTO `lang_definitions` VALUES (46099, 263, 13, 'Все (совокупный)');
INSERT INTO `lang_definitions` VALUES (46100, 266, 13, 'Все категории');
INSERT INTO `lang_definitions` VALUES (46101, 268, 13, 'Все коды');
INSERT INTO `lang_definitions` VALUES (46102, 269, 13, 'Весь день');
INSERT INTO `lang_definitions` VALUES (46103, 270, 13, 'Событие на весь день');
INSERT INTO `lang_definitions` VALUES (46104, 271, 13, 'Все поля по персональным данным с поиском и двойной проверкой');
INSERT INTO `lang_definitions` VALUES (46105, 272, 13, 'Все услуги');
INSERT INTO `lang_definitions` VALUES (46106, 273, 13, 'Все травмы/проблемы/аспекты');
INSERT INTO `lang_definitions` VALUES (46107, 274, 13, 'Разрешены все языки');
INSERT INTO `lang_definitions` VALUES (46108, 276, 13, 'Имя или его часть');
INSERT INTO `lang_definitions` VALUES (46109, 277, 13, 'Фамилия или её часть');
INSERT INTO `lang_definitions` VALUES (46110, 278, 13, 'Вся или часть организации');
INSERT INTO `lang_definitions` VALUES (46111, 280, 13, 'Вся продукция');
INSERT INTO `lang_definitions` VALUES (46112, 281, 13, 'Все специалисты');
INSERT INTO `lang_definitions` VALUES (46113, 282, 13, 'Все были рассмотрены и отрицательные');
INSERT INTO `lang_definitions` VALUES (46114, 283, 13, 'Все разделы');
INSERT INTO `lang_definitions` VALUES (46115, 284, 13, 'Все пользователи');
INSERT INTO `lang_definitions` VALUES (46116, 285, 13, 'Аллергология');
INSERT INTO `lang_definitions` VALUES (46117, 286, 13, 'Аллергия');
INSERT INTO `lang_definitions` VALUES (46118, 287, 13, 'Аллергия:');
INSERT INTO `lang_definitions` VALUES (46119, 288, 13, 'Аллергия');
INSERT INTO `lang_definitions` VALUES (46120, 289, 13, 'Импорт аллергии успешно завершен');
INSERT INTO `lang_definitions` VALUES (46121, 291, 13, 'Аллергическая реакция');
INSERT INTO `lang_definitions` VALUES (46122, 294, 13, 'Внести');
INSERT INTO `lang_definitions` VALUES (46123, 295, 13, 'Разрешить');
INSERT INTO `lang_definitions` VALUES (46124, 296, 13, 'Разрешить выбирать все доступные языки в меню входа в систему.');
INSERT INTO `lang_definitions` VALUES (46125, 297, 13, 'Разрешает создание требований, содержащих диагнозы, но не процедуры или оплату. Большинству клиник это не требуется.');
INSERT INTO `lang_definitions` VALUES (46126, 298, 13, 'Разрешить язык отладки');
INSERT INTO `lang_definitions` VALUES (46127, 299, 13, 'Разрешить e-mail');
INSERT INTO `lang_definitions` VALUES (46128, 300, 13, 'Разрешить сообщения по e-mail?');
INSERT INTO `lang_definitions` VALUES (46129, 301, 13, 'Разрешить e-mail?');
INSERT INTO `lang_definitions` VALUES (46130, 302, 13, 'Разрешить запрос обращения');
INSERT INTO `lang_definitions` VALUES (46131, 303, 13, 'Разрешить обмен информации о здоровье');
INSERT INTO `lang_definitions` VALUES (46132, 304, 13, 'Разрешить обмен информации о вакцинации');
INSERT INTO `lang_definitions` VALUES (46133, 305, 13, 'Разрешить использование реестра вакцинации');
INSERT INTO `lang_definitions` VALUES (46134, 306, 13, 'Разрешить передачу сообщений почтой');
INSERT INTO `lang_definitions` VALUES (46135, 308, 13, 'Разрешить портал пациентов');
INSERT INTO `lang_definitions` VALUES (46136, 309, 13, 'Разрешить СМС');
INSERT INTO `lang_definitions` VALUES (46137, 310, 13, 'Разрешить СМС (текстовое сообщение)');
INSERT INTO `lang_definitions` VALUES (46138, 311, 13, 'Разрешить немедленную активацию подчиненных событий?');
INSERT INTO `lang_definitions` VALUES (46139, 312, 13, 'Разрешить телефонные сообщения?');
INSERT INTO `lang_definitions` VALUES (46140, 313, 13, 'Разрешает пользователям публиковывать общие мероприятия');
INSERT INTO `lang_definitions` VALUES (46141, 314, 13, 'Разрешает пользователям опубликовывать персональный календарь');
INSERT INTO `lang_definitions` VALUES (46142, 315, 13, 'Разрешить голосовые сообщения');
INSERT INTO `lang_definitions` VALUES (46143, 316, 13, 'Разрешено');
INSERT INTO `lang_definitions` VALUES (46144, 317, 13, 'Разрешённые языки');
INSERT INTO `lang_definitions` VALUES (46145, 318, 13, 'Разрешено (c)');
INSERT INTO `lang_definitions` VALUES (46146, 323, 13, 'уже существует');
INSERT INTO `lang_definitions` VALUES (46147, 324, 13, 'уже существует.');
INSERT INTO `lang_definitions` VALUES (46148, 325, 13, 'Уже используется, выберите другой идентификатор');
INSERT INTO `lang_definitions` VALUES (46149, 326, 13, 'Уже используется, выберите другой заголовок');
INSERT INTO `lang_definitions` VALUES (46150, 327, 13, 'Альтернативный адрес');
INSERT INTO `lang_definitions` VALUES (46151, 328, 13, 'другой');
INSERT INTO `lang_definitions` VALUES (46152, 329, 13, 'Также можно использовать страницу поиска для загрузки файла электронного денежного перевода (X12 835), который вы получили от плательщика или расчетного центра. Это можно сделать, нажав кнопку \"Обзор\" и выбрав файл для загрузки, а затем нажав Поиск, чтобы выполнить загрузку и отображение соответствующих счетов-фактур. В этом случае другие параметры, указанные выше, не применяются, и будут игнорированы. Загрузка сохраняет файл, но еще не обрабатывает его содержимое - это будет сделано отдельно, как описано ниже.');
INSERT INTO `lang_definitions` VALUES (46153, 330, 13, 'до полудня');
INSERT INTO `lang_definitions` VALUES (46154, 331, 13, 'Утренняя программа');
INSERT INTO `lang_definitions` VALUES (46155, 332, 13, 'AMC');
INSERT INTO `lang_definitions` VALUES (46156, 333, 13, 'Отслеживание AMC');
INSERT INTO `lang_definitions` VALUES (46157, 338, 13, 'Исправить существующую запись');
INSERT INTO `lang_definitions` VALUES (46158, 343, 13, 'Американский индеец');
INSERT INTO `lang_definitions` VALUES (46159, 344, 13, 'Американский индеец или уроженец Аляски');
INSERT INTO `lang_definitions` VALUES (46160, 345, 13, 'Американская фондовая биржа');
INSERT INTO `lang_definitions` VALUES (46161, 346, 13, 'Амхарский');
INSERT INTO `lang_definitions` VALUES (46162, 347, 13, 'Итог');
INSERT INTO `lang_definitions` VALUES (46163, 349, 13, 'Итоговый платеж');
INSERT INTO `lang_definitions` VALUES (46164, 350, 13, 'Итог прошлого баланса');
INSERT INTO `lang_definitions` VALUES (46165, 351, 13, 'Итог для этого посещения');
INSERT INTO `lang_definitions` VALUES (46166, 352, 13, 'Итоговая оплата');
INSERT INTO `lang_definitions` VALUES (46167, 353, 13, 'Итог:');
INSERT INTO `lang_definitions` VALUES (46168, 354, 13, 'Оплаченный итог');
INSERT INTO `lang_definitions` VALUES (46169, 355, 13, 'Для повторных событий требуется, чтобы дата окончания была позднее, чем дата начала');
INSERT INTO `lang_definitions` VALUES (46170, 357, 13, 'При формировании дампа дерева веб-каталога LibreEHR произошла ошибка');
INSERT INTO `lang_definitions` VALUES (46171, 358, 13, 'Во время формирования дампа дерева веб-каталога phpGACL произошла ошибка');
INSERT INTO `lang_definitions` VALUES (46172, 359, 13, 'Во время форирования дампа по дереву веб-каталога для регистра SQL произошла ошибка');
INSERT INTO `lang_definitions` VALUES (46173, 360, 13, 'Создана и связана неполная проблема GCAC. Позже потребуется ее заполение.');
INSERT INTO `lang_definitions` VALUES (46174, 362, 13, 'Непредвиденная ошибка.');
INSERT INTO `lang_definitions` VALUES (46175, 363, 13, 'Заглавная буква');
INSERT INTO `lang_definitions` VALUES (46176, 365, 13, 'и');
INSERT INTO `lang_definitions` VALUES (46177, 366, 13, 'И');
INSERT INTO `lang_definitions` VALUES (46178, 367, 13, 'и');
INSERT INTO `lang_definitions` VALUES (46179, 368, 13, 'и ');
INSERT INTO `lang_definitions` VALUES (46180, 369, 13, 'и все нижестоящие данные? Эти действия будут записываться');
INSERT INTO `lang_definitions` VALUES (46181, 370, 13, 'и модификатор');
INSERT INTO `lang_definitions` VALUES (46182, 371, 13, 'и обработан.');
INSERT INTO `lang_definitions` VALUES (46183, 372, 13, 'и перезагрузите сервер Apache.');
INSERT INTO `lang_definitions` VALUES (46184, 373, 13, 'и причина');
INSERT INTO `lang_definitions` VALUES (46185, 374, 13, 'Анемия');
INSERT INTO `lang_definitions` VALUES (46186, 375, 13, 'Лодыжка');
INSERT INTO `lang_definitions` VALUES (46187, 376, 13, 'Лодыжка + пятка');
INSERT INTO `lang_definitions` VALUES (46188, 377, 13, 'Форма оценки голеностопа');
INSERT INTO `lang_definitions` VALUES (46189, 378, 13, 'Проблемы голеностопного сустава');
INSERT INTO `lang_definitions` VALUES (46190, 379, 13, 'Анкилозирующий спондилит');
INSERT INTO `lang_definitions` VALUES (46191, 380, 13, 'Анкилозирующий спондилит');
INSERT INTO `lang_definitions` VALUES (46192, 381, 13, 'Анорексия');
INSERT INTO `lang_definitions` VALUES (46193, 382, 13, 'В окне отправки также можно сделать повторный запрос счета. Если выберите этот переключатель перед сохранением, то на странице счетов будет вновь открыто первоначальное требование и поставлено в очередь, и при следующем запуске биллинга оно будет обработано.');
INSERT INTO `lang_definitions` VALUES (46194, 383, 13, 'ставка');
INSERT INTO `lang_definitions` VALUES (46195, 384, 13, 'Тонус анального сфинктера обычный, безболезненный, опухолевых образований нет');
INSERT INTO `lang_definitions` VALUES (46196, 385, 13, 'Тревожность');
INSERT INTO `lang_definitions` VALUES (46197, 386, 13, 'Любой');
INSERT INTO `lang_definitions` VALUES (46198, 387, 13, 'Любая категория');
INSERT INTO `lang_definitions` VALUES (46199, 388, 13, 'Любая часть искомого кода или его описания');
INSERT INTO `lang_definitions` VALUES (46200, 389, 13, 'Любая часть искомой специальности');
INSERT INTO `lang_definitions` VALUES (46201, 390, 13, 'Любая часть медикамента или его наименование');
INSERT INTO `lang_definitions` VALUES (46202, 391, 13, 'Любая часть id или имени вакцинации');
INSERT INTO `lang_definitions` VALUES (46203, 392, 13, 'Любая часть именования пациента, или \"фамилия,имя\", или \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (46204, 394, 13, 'Ключ API для шлюза СМС');
INSERT INTO `lang_definitions` VALUES (46205, 395, 13, 'Апноэ');
INSERT INTO `lang_definitions` VALUES (46206, 396, 13, 'Внешний вид');
INSERT INTO `lang_definitions` VALUES (46207, 397, 13, 'Внешний вид:');
INSERT INTO `lang_definitions` VALUES (46208, 398, 13, 'Приложить эту запись');
INSERT INTO `lang_definitions` VALUES (46209, 399, 13, 'Приложить к существующей записи');
INSERT INTO `lang_definitions` VALUES (46210, 400, 13, 'Приложить к этой записи');
INSERT INTO `lang_definitions` VALUES (46211, 401, 13, 'Приложить к этой записи');
INSERT INTO `lang_definitions` VALUES (46212, 402, 13, 'Аппендэктомия');
INSERT INTO `lang_definitions` VALUES (46213, 404, 13, 'Подходящие пациенты');
INSERT INTO `lang_definitions` VALUES (46214, 406, 13, 'Применение имени для страницы логина основного заголовка окна.');
INSERT INTO `lang_definitions` VALUES (46215, 407, 13, 'Принимающий код приложения (GS03 - при пустом будет использоваться ISA08)');
INSERT INTO `lang_definitions` VALUES (46216, 408, 13, 'Код отправителя заявки (GS02)');
INSERT INTO `lang_definitions` VALUES (46217, 409, 13, 'Название приложения');
INSERT INTO `lang_definitions` VALUES (46218, 410, 13, 'Применяется в форме жизненно важных показателей и карте физического развития');
INSERT INTO `lang_definitions` VALUES (46219, 412, 13, 'Применить изменения только к текущему событию, к текущему и всем будущим или ко всем?');
INSERT INTO `lang_definitions` VALUES (46220, 413, 13, 'нанести на пораженные участки');
INSERT INTO `lang_definitions` VALUES (46221, 414, 13, 'нанести на кожу');
INSERT INTO `lang_definitions` VALUES (46222, 415, 13, 'Нанесение');
INSERT INTO `lang_definitions` VALUES (46223, 417, 13, 'Запись на прием');
INSERT INTO `lang_definitions` VALUES (46224, 418, 13, 'Дата приема');
INSERT INTO `lang_definitions` VALUES (46225, 419, 13, 'Стиль отображения записи на прием');
INSERT INTO `lang_definitions` VALUES (46226, 420, 13, 'Правило напоминания о приеме');
INSERT INTO `lang_definitions` VALUES (46227, 421, 13, 'Статус приема');
INSERT INTO `lang_definitions` VALUES (46228, 422, 13, 'Статусы для приема');
INSERT INTO `lang_definitions` VALUES (46229, 423, 13, 'запись на прием за период между');
INSERT INTO `lang_definitions` VALUES (46230, 424, 13, 'Цвет записи/мероприятия');
INSERT INTO `lang_definitions` VALUES (46231, 425, 13, 'Записи на прием');
INSERT INTO `lang_definitions` VALUES (46232, 426, 13, 'Записи на прием (write необязательно)');
INSERT INTO `lang_definitions` VALUES (46233, 427, 13, 'Записи на прием (write, wsome необязательно)');
INSERT INTO `lang_definitions` VALUES (46234, 430, 13, 'Записи на прием и обращения');
INSERT INTO `lang_definitions` VALUES (46235, 431, 13, 'Отчет по приему');
INSERT INTO `lang_definitions` VALUES (46236, 432, 13, 'Отчет по приему-обращениям');
INSERT INTO `lang_definitions` VALUES (46237, 434, 13, 'Подтвердить');
INSERT INTO `lang_definitions` VALUES (46238, 436, 13, 'Подтверждено');
INSERT INTO `lang_definitions` VALUES (46239, 437, 13, 'Управление утверждёнными событиями');
INSERT INTO `lang_definitions` VALUES (46240, 440, 13, 'Назн-обр.');
INSERT INTO `lang_definitions` VALUES (46241, 441, 13, 'Назн.');
INSERT INTO `lang_definitions` VALUES (46242, 442, 13, 'Апр');
INSERT INTO `lang_definitions` VALUES (46243, 443, 13, 'Апрель');
INSERT INTO `lang_definitions` VALUES (46244, 444, 13, 'Арабский');
INSERT INTO `lang_definitions` VALUES (46245, 447, 13, 'Переводить имена для групп управления доступом?');
INSERT INTO `lang_definitions` VALUES (46246, 448, 13, 'Переводить имена для категорий приема?');
INSERT INTO `lang_definitions` VALUES (46247, 449, 13, 'Переводить имена для категорий документов?');
INSERT INTO `lang_definitions` VALUES (46248, 450, 13, 'Для этого типа оплата предусмотрена?');
INSERT INTO `lang_definitions` VALUES (46249, 451, 13, 'Переводить заголовки для записи по пациенту?');
INSERT INTO `lang_definitions` VALUES (46250, 452, 13, 'Эти кодировки сохранены во внешних таблицах sql (0-нет, 1-МКБ-10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (46251, 453, 13, 'Готовы завершить новую проблему GCAC для этого посещения?');
INSERT INTO `lang_definitions` VALUES (46252, 454, 13, 'Действительно назначить на сегодня?');
INSERT INTO `lang_definitions` VALUES (46253, 455, 13, 'Действительно, нужно утвердить эти события?');
INSERT INTO `lang_definitions` VALUES (46254, 457, 13, 'Действительно нужно полностью удалить эту форму?');
INSERT INTO `lang_definitions` VALUES (46255, 459, 13, 'Действительно, нужно удалить эту публикацию?');
INSERT INTO `lang_definitions` VALUES (46256, 460, 13, 'Действительно, нужно удалить это событие?');
INSERT INTO `lang_definitions` VALUES (46257, 461, 13, 'Действительно нужно удалить этот пункт из базы данных?');
INSERT INTO `lang_definitions` VALUES (46258, 462, 13, 'Действительно нужно удалить эту запись?');
INSERT INTO `lang_definitions` VALUES (46259, 464, 13, 'Действительно, нужно изменить эти события?');
INSERT INTO `lang_definitions` VALUES (46260, 465, 13, 'Действительно, нужно скрыть эти события?');
INSERT INTO `lang_definitions` VALUES (46261, 467, 13, 'Действительно, нужно открыть эти события?');
INSERT INTO `lang_definitions` VALUES (46262, 468, 13, 'Действительно, нужно удалить всю группу');
INSERT INTO `lang_definitions` VALUES (46263, 469, 13, 'Действительно, нужно удалить список целиком');
INSERT INTO `lang_definitions` VALUES (46264, 470, 13, 'Действительно, нужно удалить поля в');
INSERT INTO `lang_definitions` VALUES (46265, 471, 13, 'Действительно, нужно удалить выбранные поля?');
INSERT INTO `lang_definitions` VALUES (46266, 472, 13, 'Действительно хотите продолжить эти действия?');
INSERT INTO `lang_definitions` VALUES (46267, 473, 13, 'Не указана область');
INSERT INTO `lang_definitions` VALUES (46268, 474, 13, 'Рука');
INSERT INTO `lang_definitions` VALUES (46269, 475, 13, 'Армянский');
INSERT INTO `lang_definitions` VALUES (46270, 477, 13, 'Аритмия');
INSERT INTO `lang_definitions` VALUES (46271, 478, 13, 'Артрит');
INSERT INTO `lang_definitions` VALUES (46272, 479, 13, 'Артрит / деструктивное заболевание суставов');
INSERT INTO `lang_definitions` VALUES (46273, 480, 13, 'Артрит / деструктивное заболевание суставов');
INSERT INTO `lang_definitions` VALUES (46274, 481, 13, 'как');
INSERT INTO `lang_definitions` VALUES (46275, 482, 13, 'Как из');
INSERT INTO `lang_definitions` VALUES (46276, 484, 13, 'Азиатский');
INSERT INTO `lang_definitions` VALUES (46277, 487, 13, 'Оценка');
INSERT INTO `lang_definitions` VALUES (46278, 488, 13, 'Назначено');
INSERT INTO `lang_definitions` VALUES (46279, 489, 13, 'Ассистент');
INSERT INTO `lang_definitions` VALUES (46280, 490, 13, 'Астма');
INSERT INTO `lang_definitions` VALUES (46281, 491, 13, 'в');
INSERT INTO `lang_definitions` VALUES (46282, 492, 13, 'При выборе всех требуется хотя бы один параметр поиска.');
INSERT INTO `lang_definitions` VALUES (46283, 493, 13, 'В ладьевидной');
INSERT INTO `lang_definitions` VALUES (46284, 494, 13, 'В ладьевидной:');
INSERT INTO `lang_definitions` VALUES (46285, 495, 13, 'Спортивная команда');
INSERT INTO `lang_definitions` VALUES (46286, 497, 13, 'Спортивная/травма');
INSERT INTO `lang_definitions` VALUES (46287, 498, 13, 'Сертификат CA аудита ATNA');
INSERT INTO `lang_definitions` VALUES (46288, 499, 13, 'Хост аудита ATNA');
INSERT INTO `lang_definitions` VALUES (46289, 500, 13, 'Местный сертификат для аудита ATNA');
INSERT INTO `lang_definitions` VALUES (46290, 501, 13, 'Порт аудита ATNA');
INSERT INTO `lang_definitions` VALUES (46291, 503, 13, 'Внимание');
INSERT INTO `lang_definitions` VALUES (46292, 504, 13, 'Вним.');
INSERT INTO `lang_definitions` VALUES (46293, 509, 13, 'Аудит журналирования резервного копирования');
INSERT INTO `lang_definitions` VALUES (46294, 510, 13, 'Аудит смешанного журналирования');
INSERT INTO `lang_definitions` VALUES (46295, 511, 13, 'Аудит журналирования назначения');
INSERT INTO `lang_definitions` VALUES (46296, 512, 13, 'Аудит журналирования записи по пациенту');
INSERT INTO `lang_definitions` VALUES (46297, 513, 13, 'Аудит журналирования планирования');
INSERT INTO `lang_definitions` VALUES (46298, 514, 13, 'Аудит журналирования управления безопасностью');
INSERT INTO `lang_definitions` VALUES (46299, 515, 13, 'Аудит журналирования запроса SELECT');
INSERT INTO `lang_definitions` VALUES (46300, 516, 13, 'Авг');
INSERT INTO `lang_definitions` VALUES (46301, 517, 13, 'Август');
INSERT INTO `lang_definitions` VALUES (46302, 519, 13, 'Разр.');
INSERT INTO `lang_definitions` VALUES (46303, 520, 13, 'Разр./записи');
INSERT INTO `lang_definitions` VALUES (46304, 523, 13, 'Группа полномочий');
INSERT INTO `lang_definitions` VALUES (46305, 524, 13, 'Статус полномочий');
INSERT INTO `lang_definitions` VALUES (46306, 525, 13, 'Полномочия');
INSERT INTO `lang_definitions` VALUES (46307, 526, 13, 'Разрешить');
INSERT INTO `lang_definitions` VALUES (46308, 527, 13, 'Разрешить - любые обращения');
INSERT INTO `lang_definitions` VALUES (46309, 528, 13, 'Разрешить - мои обращения');
INSERT INTO `lang_definitions` VALUES (46310, 530, 13, 'Уполномоченный');
INSERT INTO `lang_definitions` VALUES (46311, 531, 13, 'Только уполномоченный');
INSERT INTO `lang_definitions` VALUES (46312, 532, 13, 'Автоматическая отправка');
INSERT INTO `lang_definitions` VALUES (46313, 535, 13, 'Создать новое обращение автоматически');
INSERT INTO `lang_definitions` VALUES (46314, 536, 13, 'Авто-созданные');
INSERT INTO `lang_definitions` VALUES (46315, 537, 13, 'Автоматическое вычисление единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (46316, 542, 13, 'Отслеживание автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (46317, 543, 13, 'Автоматическая единица измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (46318, 544, 13, 'Автоматически');
INSERT INTO `lang_definitions` VALUES (46319, 546, 13, 'Создает новое обращение автоматически, когда статус приема устанавливается на \"@\" (проведенный).');
INSERT INTO `lang_definitions` VALUES (46320, 549, 13, 'Медицина автокатастроф');
INSERT INTO `lang_definitions` VALUES (46321, 550, 13, 'автосохранен');
INSERT INTO `lang_definitions` VALUES (46322, 551, 13, 'Доступные категории');
INSERT INTO `lang_definitions` VALUES (46323, 552, 13, 'Доступное время');
INSERT INTO `lang_definitions` VALUES (46324, 557, 13, 'Каждый август');
INSERT INTO `lang_definitions` VALUES (46325, 558, 13, 'Разрыв / перелом с отрывом');
INSERT INTO `lang_definitions` VALUES (46326, 559, 13, 'Отрыв латеральной лодыжки');
INSERT INTO `lang_definitions` VALUES (46327, 560, 13, 'Отрыв медиальной лодыжки ');
INSERT INTO `lang_definitions` VALUES (46328, 561, 13, 'На основе информированности');
INSERT INTO `lang_definitions` VALUES (46329, 562, 13, 'Подмышечно');
INSERT INTO `lang_definitions` VALUES (46330, 565, 13, 'дважды в день');
INSERT INTO `lang_definitions` VALUES (46331, 566, 13, 'Назад');
INSERT INTO `lang_definitions` VALUES (46332, 567, 13, 'назад');
INSERT INTO `lang_definitions` VALUES (46333, 568, 13, 'Восемь посещений назад');
INSERT INTO `lang_definitions` VALUES (46334, 569, 13, 'Одиннадцать посещений назад');
INSERT INTO `lang_definitions` VALUES (46335, 570, 13, 'Пять посещений назад');
INSERT INTO `lang_definitions` VALUES (46336, 571, 13, 'Четыре посещения назад');
INSERT INTO `lang_definitions` VALUES (46337, 572, 13, 'Девять посещений назад');
INSERT INTO `lang_definitions` VALUES (46338, 573, 13, 'Одно посещение назад');
INSERT INTO `lang_definitions` VALUES (46339, 574, 13, 'Боли в спине');
INSERT INTO `lang_definitions` VALUES (46340, 575, 13, 'Спинальные проблемы');
INSERT INTO `lang_definitions` VALUES (46341, 576, 13, 'Семь посещений назад');
INSERT INTO `lang_definitions` VALUES (46342, 577, 13, 'Шесть посещений назад');
INSERT INTO `lang_definitions` VALUES (46343, 578, 13, 'Хирургия позвоночника');
INSERT INTO `lang_definitions` VALUES (46344, 579, 13, 'Десять посещений назад');
INSERT INTO `lang_definitions` VALUES (46345, 580, 13, 'Три посещения назад');
INSERT INTO `lang_definitions` VALUES (46346, 581, 13, 'Назад на страницу Администрирования');
INSERT INTO `lang_definitions` VALUES (46347, 584, 13, 'Назад к пациенту');
INSERT INTO `lang_definitions` VALUES (46348, 585, 13, 'Назад к пользователям');
INSERT INTO `lang_definitions` VALUES (46349, 586, 13, 'Назад к просмотру');
INSERT INTO `lang_definitions` VALUES (46350, 587, 13, 'Двенадцать посещений назад');
INSERT INTO `lang_definitions` VALUES (46351, 588, 13, 'Два посещения назад');
INSERT INTO `lang_definitions` VALUES (46352, 590, 13, 'Резервная копия');
INSERT INTO `lang_definitions` VALUES (46353, 591, 13, 'Файл резервного копированя создан.Теперь будет  отправлена загрузка.');
INSERT INTO `lang_definitions` VALUES (46354, 593, 13, 'Резервная копия принята');
INSERT INTO `lang_definitions` VALUES (46355, 594, 13, 'Неправильная регистрация');
INSERT INTO `lang_definitions` VALUES (46356, 595, 13, 'Наибольший долг');
INSERT INTO `lang_definitions` VALUES (46357, 596, 13, 'Бахаса Индонезия');
INSERT INTO `lang_definitions` VALUES (46358, 597, 13, 'Бал.');
INSERT INTO `lang_definitions` VALUES (46359, 598, 13, 'Баланс');
INSERT INTO `lang_definitions` VALUES (46360, 599, 13, 'баланс');
INSERT INTO `lang_definitions` VALUES (46361, 600, 13, 'Итог баланса');
INSERT INTO `lang_definitions` VALUES (46362, 601, 13, 'Остаток причитающихся средств');
INSERT INTO `lang_definitions` VALUES (46363, 603, 13, 'Банковский расчет');
INSERT INTO `lang_definitions` VALUES (46364, 607, 13, 'Основание пятого (5-го) метатарсального');
INSERT INTO `lang_definitions` VALUES (46365, 608, 13, 'Основание пятого (5-го) метатарсального:');
INSERT INTO `lang_definitions` VALUES (46366, 612, 13, 'Средство пакетной передачи данных');
INSERT INTO `lang_definitions` VALUES (46367, 613, 13, 'Ввод групповой оплаты');
INSERT INTO `lang_definitions` VALUES (46368, 614, 13, 'Групповая оплата');
INSERT INTO `lang_definitions` VALUES (46369, 615, 13, 'Инициирована пакетная обработка; она может занят время.');
INSERT INTO `lang_definitions` VALUES (46370, 616, 13, 'Пакетные результаты');
INSERT INTO `lang_definitions` VALUES (46371, 617, 13, 'Пакетная передача');
INSERT INTO `lang_definitions` VALUES (46372, 619, 13, 'из-за того, что id не существует.');
INSERT INTO `lang_definitions` VALUES (46373, 620, 13, 'Начало');
INSERT INTO `lang_definitions` VALUES (46374, 621, 13, 'Начальная дата');
INSERT INTO `lang_definitions` VALUES (46375, 623, 13, 'Начальная дата обслуживания yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (46376, 624, 13, 'Начальный час дня для календарных событий.');
INSERT INTO `lang_definitions` VALUES (46377, 626, 13, 'Отрыжка');
INSERT INTO `lang_definitions` VALUES (46378, 628, 13, 'Бенгальский');
INSERT INTO `lang_definitions` VALUES (46379, 630, 13, 'между');
INSERT INTO `lang_definitions` VALUES (46380, 633, 13, 'Билатерально');
INSERT INTO `lang_definitions` VALUES (46381, 634, 13, 'Билатерально:');
INSERT INTO `lang_definitions` VALUES (46382, 636, 13, 'Дата подсчета:');
INSERT INTO `lang_definitions` VALUES (46383, 637, 13, 'Счета/подсчет');
INSERT INTO `lang_definitions` VALUES (46384, 638, 13, 'Оплаченный');
INSERT INTO `lang_definitions` VALUES (46385, 640, 13, 'Счета');
INSERT INTO `lang_definitions` VALUES (46386, 641, 13, 'Счета (write необязательно)');
INSERT INTO `lang_definitions` VALUES (46387, 642, 13, 'Предупреждение по платежу');
INSERT INTO `lang_definitions` VALUES (46388, 644, 13, 'Биллинговый код для запрашиваемой услуги');
INSERT INTO `lang_definitions` VALUES (46389, 645, 13, 'Биллинговые коды');
INSERT INTO `lang_definitions` VALUES (46390, 646, 13, 'Дата платежа');
INSERT INTO `lang_definitions` VALUES (46391, 647, 13, 'Экономический отдел');
INSERT INTO `lang_definitions` VALUES (46392, 648, 13, 'Биллинговая услуга');
INSERT INTO `lang_definitions` VALUES (46393, 649, 13, 'Биллинговая информация');
INSERT INTO `lang_definitions` VALUES (46394, 650, 13, 'Размещение бухгалтерии');
INSERT INTO `lang_definitions` VALUES (46395, 655, 13, 'Менеджер по платежам');
INSERT INTO `lang_definitions` VALUES (46396, 656, 13, 'Биллинговая запись');
INSERT INTO `lang_definitions` VALUES (46397, 657, 13, 'Биллинговая запись для ');
INSERT INTO `lang_definitions` VALUES (46398, 658, 13, 'Биллинговая запись:');
INSERT INTO `lang_definitions` VALUES (46399, 659, 13, 'Результаты биллингового запроса');
INSERT INTO `lang_definitions` VALUES (46400, 660, 13, 'Биллинговый отчет');
INSERT INTO `lang_definitions` VALUES (46401, 661, 13, 'Биллинговый статус');
INSERT INTO `lang_definitions` VALUES (46402, 662, 13, 'Статус счета = не оплачен');
INSERT INTO `lang_definitions` VALUES (46403, 663, 13, 'счет в ');
INSERT INTO `lang_definitions` VALUES (46404, 665, 13, 'Биопсия');
INSERT INTO `lang_definitions` VALUES (46405, 666, 13, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (46406, 669, 13, 'Черный');
INSERT INTO `lang_definitions` VALUES (46407, 670, 13, 'Затемненное легкое');
INSERT INTO `lang_definitions` VALUES (46408, 671, 13, 'Черный или афро-американец');
INSERT INTO `lang_definitions` VALUES (46409, 672, 13, 'Рак мочевого пузыря');
INSERT INTO `lang_definitions` VALUES (46410, 673, 13, 'Инфекция мочевого пузыря');
INSERT INTO `lang_definitions` VALUES (46411, 674, 13, 'Пустые формы');
INSERT INTO `lang_definitions` VALUES (46412, 675, 13, 'Жалобы на кровотечение');
INSERT INTO `lang_definitions` VALUES (46413, 676, 13, 'Выпадение зрения');
INSERT INTO `lang_definitions` VALUES (46414, 677, 13, 'Вздутие живота');
INSERT INTO `lang_definitions` VALUES (46415, 678, 13, 'Блокированный');
INSERT INTO `lang_definitions` VALUES (46416, 679, 13, 'Кровь');
INSERT INTO `lang_definitions` VALUES (46417, 680, 13, 'Артериальное давление');
INSERT INTO `lang_definitions` VALUES (46418, 681, 13, 'Артериальное давление');
INSERT INTO `lang_definitions` VALUES (46419, 682, 13, 'Носовое кровотечение');
INSERT INTO `lang_definitions` VALUES (46420, 683, 13, 'Медицинское страховое общество Синий Щит');
INSERT INTO `lang_definitions` VALUES (46421, 684, 13, 'Синии строки в этом отчете являются информационными.  Черные строки показывают ранее существовавшую  информацию. Зеленые строки показывают изменения,  которые были успешно применены. Красные строки  обозначают ошибки или изменения, которые не были  применены; они должны быть обработаны вручную.  В настоящее время отклоненные требования и откат  оплаты автоматически не обрабатываются, и поэтому  будут отображаться красным.');
INSERT INTO `lang_definitions` VALUES (46422, 685, 13, 'Нечеткое зрение');
INSERT INTO `lang_definitions` VALUES (46423, 686, 13, 'ИМТ');
INSERT INTO `lang_definitions` VALUES (46424, 687, 13, 'Статус ИМТ');
INSERT INTO `lang_definitions` VALUES (46425, 689, 13, 'Область тела');
INSERT INTO `lang_definitions` VALUES (46426, 690, 13, 'Участок тела');
INSERT INTO `lang_definitions` VALUES (46427, 691, 13, 'Участок тела, если применимо');
INSERT INTO `lang_definitions` VALUES (46428, 692, 13, 'Болезненность в костях:');
INSERT INTO `lang_definitions` VALUES (46429, 693, 13, 'Болезненность в костях: медиальная лодыжка');
INSERT INTO `lang_definitions` VALUES (46430, 694, 13, 'Булевый');
INSERT INTO `lang_definitions` VALUES (46431, 696, 13, 'Нижняя часть');
INSERT INTO `lang_definitions` VALUES (46432, 697, 13, 'Оба уха');
INSERT INTO `lang_definitions` VALUES (46433, 698, 13, 'оба глаза');
INSERT INTO `lang_definitions` VALUES (46434, 699, 13, 'Нижний');
INSERT INTO `lang_definitions` VALUES (46435, 701, 13, 'BOX 10 A. Производственная ');
INSERT INTO `lang_definitions` VALUES (46436, 702, 13, 'BOX 10 B. Автомобильная травма ');
INSERT INTO `lang_definitions` VALUES (46437, 703, 13, 'BOX 10 C. Другие повреждения ');
INSERT INTO `lang_definitions` VALUES (46438, 706, 13, 'ПОЛЕ 18. Дата того же или похожего заболевания (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (46439, 708, 13, 'ПОЛЕ 16. Нетрудоспособен с даты (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (46440, 709, 13, 'ПОЛЕ 16. Нетрудоспособен до даты (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (46441, 710, 13, 'ПОЛЕ 18. Дата госпитализации с (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (46442, 711, 13, 'ПОЛЕ 18. Госпитализация до даты (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (46443, 712, 13, 'BOX 20. Внешняя лаборатория используется?');
INSERT INTO `lang_definitions` VALUES (46444, 713, 13, 'BOX 22. Код повторно оказанной медпомощи (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (46445, 714, 13, 'BOX 23. Прежних полномочий нет. ');
INSERT INTO `lang_definitions` VALUES (46446, 715, 13, 'АД');
INSERT INTO `lang_definitions` VALUES (46447, 716, 13, 'Диастолическое АД');
INSERT INTO `lang_definitions` VALUES (46448, 717, 13, 'Систолическое АД');
INSERT INTO `lang_definitions` VALUES (46449, 719, 13, 'АДд');
INSERT INTO `lang_definitions` VALUES (46450, 721, 13, 'АДс');
INSERT INTO `lang_definitions` VALUES (46451, 722, 13, 'Португалец бразильского происхождения');
INSERT INTO `lang_definitions` VALUES (46452, 723, 13, 'Молочная железа');
INSERT INTO `lang_definitions` VALUES (46453, 724, 13, 'Бипсия молочной железы');
INSERT INTO `lang_definitions` VALUES (46454, 725, 13, 'Отделяемое из соска');
INSERT INTO `lang_definitions` VALUES (46455, 726, 13, 'Заболевание молочной железы');
INSERT INTO `lang_definitions` VALUES (46456, 727, 13, 'Обследование молочной железы');
INSERT INTO `lang_definitions` VALUES (46457, 728, 13, 'Новообразование молочной железы');
INSERT INTO `lang_definitions` VALUES (46458, 730, 13, 'Шумы при дыхании:');
INSERT INTO `lang_definitions` VALUES (46459, 732, 13, 'Повреждение скелета');
INSERT INTO `lang_definitions` VALUES (46460, 734, 13, 'Форма для бронхита');
INSERT INTO `lang_definitions` VALUES (46461, 735, 13, 'Просмотреть');
INSERT INTO `lang_definitions` VALUES (46462, 736, 13, 'Просмотреть для записи');
INSERT INTO `lang_definitions` VALUES (46463, 737, 13, 'Ушиб/гематома');
INSERT INTO `lang_definitions` VALUES (46464, 739, 13, 'Выбухание справа:');
INSERT INTO `lang_definitions` VALUES (46465, 741, 13, 'Жжение при мочеиспускании');
INSERT INTO `lang_definitions` VALUES (46466, 742, 13, 'Жжение при мочеиспускании');
INSERT INTO `lang_definitions` VALUES (46467, 744, 13, 'Занят');
INSERT INTO `lang_definitions` VALUES (46468, 745, 13, 'но еще не обработано.');
INSERT INTO `lang_definitions` VALUES (46469, 746, 13, 'Ягодицы');
INSERT INTO `lang_definitions` VALUES (46470, 747, 13, 'Ягодицы + S.I.');
INSERT INTO `lang_definitions` VALUES (46471, 748, 13, 'через');
INSERT INTO `lang_definitions` VALUES (46472, 749, 13, 'Через');
INSERT INTO `lang_definitions` VALUES (46473, 750, 13, 'перорально');
INSERT INTO `lang_definitions` VALUES (46474, 751, 13, 'Через/поиск');
INSERT INTO `lang_definitions` VALUES (46475, 752, 13, 'Через:');
INSERT INTO `lang_definitions` VALUES (46476, 753, 13, 'C');
INSERT INTO `lang_definitions` VALUES (46477, 754, 13, 'Сертификат CA для подтверждения сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (46478, 755, 13, 'Время жизни кэша (в секундах)');
INSERT INTO `lang_definitions` VALUES (46479, 756, 13, 'Шаблон кэша выполнен?');
INSERT INTO `lang_definitions` VALUES (46480, 757, 13, 'Употребление кофеина');
INSERT INTO `lang_definitions` VALUES (46481, 758, 13, 'Календарь');
INSERT INTO `lang_definitions` VALUES (46482, 759, 13, 'Календарный час окончания');
INSERT INTO `lang_definitions` VALUES (46483, 760, 13, 'Календарный период');
INSERT INTO `lang_definitions` VALUES (46484, 761, 13, 'Отображение календаря');
INSERT INTO `lang_definitions` VALUES (46485, 762, 13, 'Настройки календаря');
INSERT INTO `lang_definitions` VALUES (46486, 763, 13, 'Час начала регистрации');
INSERT INTO `lang_definitions` VALUES (46487, 764, 13, 'Пользовательский вид календаря');
INSERT INTO `lang_definitions` VALUES (46488, 765, 13, 'Просмотр календаря');
INSERT INTO `lang_definitions` VALUES (46489, 766, 13, 'Вызов addForm() делается здесь.<br>');
INSERT INTO `lang_definitions` VALUES (46490, 767, 13, 'Калории');
INSERT INTO `lang_definitions` VALUES (46491, 768, 13, 'Кампучиец');
INSERT INTO `lang_definitions` VALUES (46493, 774, 13, 'Отменить');
INSERT INTO `lang_definitions` VALUES (46494, 775, 13, 'Отменить изменения');
INSERT INTO `lang_definitions` VALUES (46495, 776, 13, 'Отменено');
INSERT INTO `lang_definitions` VALUES (46496, 777, 13, 'Рак');
INSERT INTO `lang_definitions` VALUES (46497, 778, 13, 'Скрининг рака: скрининг рака толстого кишечника');
INSERT INTO `lang_definitions` VALUES (46498, 779, 13, 'Скрининг рака: маммография');
INSERT INTO `lang_definitions` VALUES (46499, 780, 13, 'Скрининг рака: мазок Папаникалау');
INSERT INTO `lang_definitions` VALUES (46500, 781, 13, 'Скрининг рака: скрининг рака предстательной железы');
INSERT INTO `lang_definitions` VALUES (46501, 782, 13, 'Не удалось добавить эту запись, потому что она уже имеется!');
INSERT INTO `lang_definitions` VALUES (46502, 783, 13, 'Не удалось добавить/обновить эту запись, потому что уже имеется дубликат!');
INSERT INTO `lang_definitions` VALUES (46503, 785, 13, 'не удалось преобразовать в JPEG. Возможно не установлен ImageMagick?');
INSERT INTO `lang_definitions` VALUES (46504, 787, 13, 'не может быть отображен в сети потому, что его тип не поддерживается браузером.');
INSERT INTO `lang_definitions` VALUES (46505, 788, 13, 'не может быть отображен в сети потому, что его тип не поддерживается браузером.');
INSERT INTO `lang_definitions` VALUES (46506, 789, 13, 'не может быть отображен в сети потому, что его тип не поддерживается браузером.');
INSERT INTO `lang_definitions` VALUES (46507, 790, 13, 'Не удалось создать');
INSERT INTO `lang_definitions` VALUES (46508, 795, 13, 'Не удалось найти ');
INSERT INTO `lang_definitions` VALUES (46509, 796, 13, 'Не удается найти предназначенное имя файла');
INSERT INTO `lang_definitions` VALUES (46510, 799, 13, 'Не удалось найти пациента в пользовательском id реестре SQL');
INSERT INTO `lang_definitions` VALUES (46511, 800, 13, 'Не удалось найти ссылку на документ postscript в ');
INSERT INTO `lang_definitions` VALUES (46512, 801, 13, 'Не удалось найти специалиста из реестра SQL служащий = ');
INSERT INTO `lang_definitions` VALUES (46513, 802, 13, 'Не удается изменить платежи. Остаток отрицательный.');
INSERT INTO `lang_definitions` VALUES (46514, 803, 13, 'Невозможно отрыть ');
INSERT INTO `lang_definitions` VALUES (46515, 804, 13, 'Не удалось отправить для страховки. Выбранным лицом для платежа является пациент.');
INSERT INTO `lang_definitions` VALUES (46516, 805, 13, 'Не удалось отправить для пациента. Выбранным лицом для платежа является страховка.');
INSERT INTO `lang_definitions` VALUES (46517, 806, 13, 'Не удается отправить платежи. Остаток отрицательный.');
INSERT INTO `lang_definitions` VALUES (46518, 807, 13, 'Невозможно прочесть');
INSERT INTO `lang_definitions` VALUES (46519, 808, 13, 'Невозможно прочесть директорию');
INSERT INTO `lang_definitions` VALUES (46520, 809, 13, 'Не удалось обновить, потому что вы не редактировали существующую запись!');
INSERT INTO `lang_definitions` VALUES (46521, 810, 13, 'Заглавная');
INSERT INTO `lang_definitions` VALUES (46522, 812, 13, 'капсула');
INSERT INTO `lang_definitions` VALUES (46523, 813, 13, 'Карта');
INSERT INTO `lang_definitions` VALUES (46524, 814, 13, 'Коронарное зондирование');
INSERT INTO `lang_definitions` VALUES (46525, 815, 13, 'ЭхоКГ');
INSERT INTO `lang_definitions` VALUES (46526, 816, 13, 'Сердечно-сосудистая');
INSERT INTO `lang_definitions` VALUES (46527, 821, 13, 'Повреждение хряща / сустава / диска');
INSERT INTO `lang_definitions` VALUES (46528, 822, 13, 'Травма хряща');
INSERT INTO `lang_definitions` VALUES (46529, 823, 13, 'Каротидная пульсация nl, пульс на стопах nl');
INSERT INTO `lang_definitions` VALUES (46530, 824, 13, 'наличные');
INSERT INTO `lang_definitions` VALUES (46531, 825, 13, 'Наличные');
INSERT INTO `lang_definitions` VALUES (46532, 826, 13, 'Пол. нал.');
INSERT INTO `lang_definitions` VALUES (46533, 827, 13, 'Наличные, полученные по специалисту');
INSERT INTO `lang_definitions` VALUES (46534, 829, 13, 'Хирургия катаракты');
INSERT INTO `lang_definitions` VALUES (46535, 830, 13, 'Катаракта');
INSERT INTO `lang_definitions` VALUES (46536, 831, 13, 'Категории');
INSERT INTO `lang_definitions` VALUES (46537, 832, 13, 'Категории для');
INSERT INTO `lang_definitions` VALUES (46538, 833, 13, 'Категория');
INSERT INTO `lang_definitions` VALUES (46539, 834, 13, 'категория');
INSERT INTO `lang_definitions` VALUES (46540, 835, 13, 'категория ');
INSERT INTO `lang_definitions` VALUES (46541, 836, 13, 'Сведения о категории');
INSERT INTO `lang_definitions` VALUES (46542, 837, 13, 'Ограничения по категории');
INSERT INTO `lang_definitions` VALUES (46543, 838, 13, 'Наименование категории');
INSERT INTO `lang_definitions` VALUES (46544, 839, 13, 'Наименование категории пустое');
INSERT INTO `lang_definitions` VALUES (46545, 840, 13, 'Категория/заголовок');
INSERT INTO `lang_definitions` VALUES (46546, 841, 13, 'Кавказец');
INSERT INTO `lang_definitions` VALUES (46547, 842, 13, 'Подтвержденные причины для вывода информации по обращению или основному специалисту');
INSERT INTO `lang_definitions` VALUES (46548, 850, 13, 'CDR');
INSERT INTO `lang_definitions` VALUES (46549, 852, 13, 'Cell');
INSERT INTO `lang_definitions` VALUES (46550, 853, 13, 'Сотовый телефон');
INSERT INTO `lang_definitions` VALUES (46551, 855, 13, 'Номер сотового телефона');
INSERT INTO `lang_definitions` VALUES (46552, 856, 13, 'Основной сертификат');
INSERT INTO `lang_definitions` VALUES (46553, 857, 13, 'Уроженец центральной или южной Америки');
INSERT INTO `lang_definitions` VALUES (46554, 858, 13, 'Файл crt доверенного сертификата не может быть пустым');
INSERT INTO `lang_definitions` VALUES (46555, 859, 13, 'Файл ключа доверенного сертификата не может быть пустым');
INSERT INTO `lang_definitions` VALUES (46556, 860, 13, 'Сертификат для отправки на сервер syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (46557, 861, 13, 'Сертификат пользователя');
INSERT INTO `lang_definitions` VALUES (46558, 862, 13, 'Сертификаты');
INSERT INTO `lang_definitions` VALUES (46559, 864, 13, 'Программа медицинского обслуживания членов семей военнослужащих');
INSERT INTO `lang_definitions` VALUES (46560, 865, 13, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (46561, 866, 13, 'изменение');
INSERT INTO `lang_definitions` VALUES (46562, 867, 13, 'Изменение');
INSERT INTO `lang_definitions` VALUES (46563, 868, 13, 'Изменить активность');
INSERT INTO `lang_definitions` VALUES (46564, 870, 13, 'Ухудшение зрения');
INSERT INTO `lang_definitions` VALUES (46565, 871, 13, 'Ухудшение зрения');
INSERT INTO `lang_definitions` VALUES (46566, 874, 13, 'Измененный');
INSERT INTO `lang_definitions` VALUES (46567, 875, 13, 'Измененный кишечник');
INSERT INTO `lang_definitions` VALUES (46568, 877, 13, 'Особенности');
INSERT INTO `lang_definitions` VALUES (46569, 878, 13, 'Оставшиеся символы');
INSERT INTO `lang_definitions` VALUES (46570, 879, 13, 'Оплата');
INSERT INTO `lang_definitions` VALUES (46571, 880, 13, 'Корректировка оплаты');
INSERT INTO `lang_definitions` VALUES (46572, 881, 13, 'Кодированная оплата');
INSERT INTO `lang_definitions` VALUES (46573, 882, 13, 'Оплата');
INSERT INTO `lang_definitions` VALUES (46574, 883, 13, 'Карта');
INSERT INTO `lang_definitions` VALUES (46575, 884, 13, 'Активность карты');
INSERT INTO `lang_definitions` VALUES (46576, 885, 13, 'Отчет об интенсивности зарегистрированных/неактивных карт');
INSERT INTO `lang_definitions` VALUES (46577, 886, 13, 'ID карты');
INSERT INTO `lang_definitions` VALUES (46578, 887, 13, 'ID карты:');
INSERT INTO `lang_definitions` VALUES (46579, 889, 13, 'Активность размещения карты');
INSERT INTO `lang_definitions` VALUES (46580, 890, 13, 'Запись в карту');
INSERT INTO `lang_definitions` VALUES (46581, 891, 13, 'Номер карты');
INSERT INTO `lang_definitions` VALUES (46582, 892, 13, 'Место хранения карты');
INSERT INTO `lang_definitions` VALUES (46583, 893, 13, 'Отслеживание карты');
INSERT INTO `lang_definitions` VALUES (46584, 894, 13, 'Отслеж. карты');
INSERT INTO `lang_definitions` VALUES (46585, 895, 13, 'Закрытые карты');
INSERT INTO `lang_definitions` VALUES (46586, 896, 13, 'Закрытые карты');
INSERT INTO `lang_definitions` VALUES (46587, 898, 13, 'Проверить');
INSERT INTO `lang_definitions` VALUES (46588, 899, 13, 'чек');
INSERT INTO `lang_definitions` VALUES (46589, 900, 13, 'Отметить всё');
INSERT INTO `lang_definitions` VALUES (46590, 902, 13, 'Итог регистрации');
INSERT INTO `lang_definitions` VALUES (46591, 903, 13, 'Внести дату');
INSERT INTO `lang_definitions` VALUES (46592, 904, 13, 'Зарегистрировать различия переводов с пользовательской языковой таблицей.');
INSERT INTO `lang_definitions` VALUES (46593, 906, 13, 'Отметьте по');
INSERT INTO `lang_definitions` VALUES (46594, 907, 13, 'Отметьте данные ввода');
INSERT INTO `lang_definitions` VALUES (46595, 909, 13, 'Лабораторные результаты');
INSERT INTO `lang_definitions` VALUES (46596, 912, 13, 'Отметьте номер');
INSERT INTO `lang_definitions` VALUES (46597, 915, 13, 'Отметьте оплату');
INSERT INTO `lang_definitions` VALUES (46598, 916, 13, 'Если файл является шифрованным, отметьте это поле');
INSERT INTO `lang_definitions` VALUES (46599, 917, 13, 'Отметьте здесь, если нужно, чтобы специалисты видели все записи на прием по умолчанию, а не только свои собственные.');
INSERT INTO `lang_definitions` VALUES (46600, 919, 13, 'Дата регистрации или EOB:');
INSERT INTO `lang_definitions` VALUES (46601, 920, 13, 'Номер регистрации или EOB:');
INSERT INTO `lang_definitions` VALUES (46602, 921, 13, 'Номер рег./напр.');
INSERT INTO `lang_definitions` VALUES (46603, 922, 13, 'Номер регистрации или направления');
INSERT INTO `lang_definitions` VALUES (46604, 923, 13, 'Список переключателей');
INSERT INTO `lang_definitions` VALUES (46605, 924, 13, 'список переключателей');
INSERT INTO `lang_definitions` VALUES (46606, 925, 13, 'переключатель с текстом');
INSERT INTO `lang_definitions` VALUES (46607, 926, 13, 'Переключатель с текстом');
INSERT INTO `lang_definitions` VALUES (46608, 928, 13, 'Отмеченный');
INSERT INTO `lang_definitions` VALUES (46609, 929, 13, 'Отмеченное поле = да, пустое = нет');
INSERT INTO `lang_definitions` VALUES (46610, 932, 13, 'Расчет');
INSERT INTO `lang_definitions` VALUES (46611, 933, 13, 'Контрольная сумма');
INSERT INTO `lang_definitions` VALUES (46612, 934, 13, 'Грудь');
INSERT INTO `lang_definitions` VALUES (46613, 935, 13, 'CTAB груди');
INSERT INTO `lang_definitions` VALUES (46614, 936, 13, 'Боль в груди');
INSERT INTO `lang_definitions` VALUES (46615, 937, 13, 'Боль в груди:');
INSERT INTO `lang_definitions` VALUES (46616, 938, 13, 'Боли в груди');
INSERT INTO `lang_definitions` VALUES (46617, 940, 13, 'Изм.');
INSERT INTO `lang_definitions` VALUES (46618, 942, 13, 'Основная жалоба');
INSERT INTO `lang_definitions` VALUES (46619, 943, 13, 'Ребенок');
INSERT INTO `lang_definitions` VALUES (46620, 945, 13, 'Статус детской вакцинации (CQM)');
INSERT INTO `lang_definitions` VALUES (46621, 946, 13, 'Ознобы');
INSERT INTO `lang_definitions` VALUES (46622, 947, 13, 'Китайский');
INSERT INTO `lang_definitions` VALUES (46623, 948, 13, 'Китайский (упрощенный)');
INSERT INTO `lang_definitions` VALUES (46624, 949, 13, 'Китайский (традиционный)');
INSERT INTO `lang_definitions` VALUES (46625, 951, 13, 'Выборочно');
INSERT INTO `lang_definitions` VALUES (46626, 952, 13, 'Холецистэктомия');
INSERT INTO `lang_definitions` VALUES (46627, 954, 13, 'Холецистэктомия');
INSERT INTO `lang_definitions` VALUES (46628, 955, 13, 'Выберите');
INSERT INTO `lang_definitions` VALUES (46629, 956, 13, 'Выберите раздел и кликните в нем на пункте; затем в другом разделе увидете связанные выделенные пункты, и сможете кликнуть в этом разделе для добавления или удаления отношений.');
INSERT INTO `lang_definitions` VALUES (46630, 957, 13, 'Выберите критерий');
INSERT INTO `lang_definitions` VALUES (46631, 962, 13, 'Выберите список');
INSERT INTO `lang_definitions` VALUES (46632, 965, 13, 'Изменяет формат печати для отчета по этому обращению.');
INSERT INTO `lang_definitions` VALUES (46633, 967, 13, 'Хронический бронхит');
INSERT INTO `lang_definitions` VALUES (46634, 968, 13, 'Хронические суставные боли');
INSERT INTO `lang_definitions` VALUES (46635, 969, 13, 'Хроническая почечная недостаточность (ХПН)');
INSERT INTO `lang_definitions` VALUES (46636, 970, 13, 'Хронический синовиит / выпот / суставная боль / подагра');
INSERT INTO `lang_definitions` VALUES (46637, 971, 13, 'Хронический/текущий');
INSERT INTO `lang_definitions` VALUES (46638, 973, 13, 'Цирроз печени');
INSERT INTO `lang_definitions` VALUES (46639, 974, 13, 'Цирроз печени');
INSERT INTO `lang_definitions` VALUES (46640, 975, 13, 'Город');
INSERT INTO `lang_definitions` VALUES (46641, 976, 13, 'Название города');
INSERT INTO `lang_definitions` VALUES (46642, 977, 13, 'Город, область');
INSERT INTO `lang_definitions` VALUES (46643, 978, 13, 'Город, почтовый индекс');
INSERT INTO `lang_definitions` VALUES (46644, 979, 13, 'Город/область');
INSERT INTO `lang_definitions` VALUES (46645, 980, 13, 'Заявка');
INSERT INTO `lang_definitions` VALUES (46646, 981, 13, 'Заявка ');
INSERT INTO `lang_definitions` VALUES (46647, 983, 13, 'Затребованный анализ выполнен');
INSERT INTO `lang_definitions` VALUES (46648, 984, 13, 'Тип требования');
INSERT INTO `lang_definitions` VALUES (46649, 985, 13, 'Требование сгенерировано в файл');
INSERT INTO `lang_definitions` VALUES (46650, 986, 13, 'Требование было генерировано в файл ');
INSERT INTO `lang_definitions` VALUES (46651, 987, 13, 'Требования');
INSERT INTO `lang_definitions` VALUES (46652, 988, 13, 'Классификация');
INSERT INTO `lang_definitions` VALUES (46653, 989, 13, 'Очистить');
INSERT INTO `lang_definitions` VALUES (46654, 991, 13, 'Очистить всё');
INSERT INTO `lang_definitions` VALUES (46655, 992, 13, 'Очистить HL7 данные');
INSERT INTO `lang_definitions` VALUES (46656, 993, 13, 'Полная реабилитация');
INSERT INTO `lang_definitions` VALUES (46657, 994, 13, 'Очистить кэш Smarty');
INSERT INTO `lang_definitions` VALUES (46658, 995, 13, 'Для создания пакета EDI 270 требуется точная домашняя информация');
INSERT INTO `lang_definitions` VALUES (46659, 996, 13, 'Номер CLIA');
INSERT INTO `lang_definitions` VALUES (46660, 997, 13, 'Нажмите');
INSERT INTO `lang_definitions` VALUES (46661, 998, 13, 'Нажмите \"Экспорт\", чтобы экспортировать категорию, подкатегорию, пункт, данные содержания в текстовый файл. Любое сходство этого файла с файлом XML является чисто случайным. Открывающий и закрывающий теги должны быть в одной строке, в нижнем регистре без пробелов. Для импорта найдите файл и нажмите \"Импорт\". Если данные совершенно другие, он объединится с существующими данными. Если есть похожие наименования пунктов, старый будет оставлен, а новый сохранен с добавлением в конце номера.');
INSERT INTO `lang_definitions` VALUES (46662, 999, 13, 'Кликните место в графике для добавления новой аннотации, кликните его еще раз для удаления');
INSERT INTO `lang_definitions` VALUES (46663, 1000, 13, 'Нажмите Загрузить сертификат для загрузки сертификатов в файл ssl.zip');
INSERT INTO `lang_definitions` VALUES (46664, 1001, 13, 'кликните для подробностей');
INSERT INTO `lang_definitions` VALUES (46665, 1005, 13, 'Нажмите здесь');
INSERT INTO `lang_definitions` VALUES (46666, 1006, 13, 'Нажмите здесь для добавления нового пациента.');
INSERT INTO `lang_definitions` VALUES (46667, 1007, 13, 'Кликните здесь для добавления измененного статуса новой травмы и измените ежедневную активность');
INSERT INTO `lang_definitions` VALUES (46668, 1008, 13, 'Нажмите здесь для выбора даты');
INSERT INTO `lang_definitions` VALUES (46669, 1009, 13, 'Нажмите здесь для выбора даты и времени');
INSERT INTO `lang_definitions` VALUES (46670, 1010, 13, 'Нажмите здесь для выбора начальной даты');
INSERT INTO `lang_definitions` VALUES (46671, 1020, 13, 'нажмите здесь для поиска');
INSERT INTO `lang_definitions` VALUES (46672, 1021, 13, 'кликните здесь, чтобы обновить приоритет, категорию и параметры настройки никнейма');
INSERT INTO `lang_definitions` VALUES (46673, 1022, 13, 'Нажмите здесь, чтобы просмотреть всё');
INSERT INTO `lang_definitions` VALUES (46674, 1023, 13, 'Нажмите здесь для просмотра и графики');
INSERT INTO `lang_definitions` VALUES (46675, 1025, 13, 'Нажмите здесь для просмотра и графики всех жизненно важных показателей.');
INSERT INTO `lang_definitions` VALUES (46676, 1026, 13, 'Кликните здесь для просмотра сведений о пациенте');
INSERT INTO `lang_definitions` VALUES (46677, 1027, 13, 'Нажмите здесь для просмотра их всех.');
INSERT INTO `lang_definitions` VALUES (46678, 1029, 13, 'Нажмите кнопку Установить для установки версии базы данных с указанной даты');
INSERT INTO `lang_definitions` VALUES (46679, 1030, 13, 'Кликните по любой части времени для ее увеличения');
INSERT INTO `lang_definitions` VALUES (46680, 1031, 13, 'Кликните фамилию пациента для открытия его файла');
INSERT INTO `lang_definitions` VALUES (46681, 1032, 13, 'Нажмите Обновить для обзора всех результатов, или введите выше критерий поиска для просмотра отдельных результатов.');
INSERT INTO `lang_definitions` VALUES (46682, 1034, 13, 'Нажмите для добавления новых компонентов');
INSERT INTO `lang_definitions` VALUES (46683, 1035, 13, 'Кликните для добавления новой консультации');
INSERT INTO `lang_definitions` VALUES (46684, 1037, 13, 'Нажмите для загрузки');
INSERT INTO `lang_definitions` VALUES (46685, 1038, 13, 'Нажмите для редактирования');
INSERT INTO `lang_definitions` VALUES (46686, 1040, 13, 'Кликните для изменения этого события');
INSERT INTO `lang_definitions` VALUES (46687, 1041, 13, 'Нажмите чтоб генерировать отчет');
INSERT INTO `lang_definitions` VALUES (46688, 1043, 13, 'Нажмите для печати');
INSERT INTO `lang_definitions` VALUES (46689, 1044, 13, 'Кликните для получения (добавления) новой партии');
INSERT INTO `lang_definitions` VALUES (46690, 1045, 13, 'Нажмите для выбора');
INSERT INTO `lang_definitions` VALUES (46691, 1046, 13, 'Нажмите для выбора');
INSERT INTO `lang_definitions` VALUES (46692, 1047, 13, 'Кликните для выбора кода отраслевого стандарта для этой методики');
INSERT INTO `lang_definitions` VALUES (46693, 1048, 13, 'Кликните для выбора необязательного процедурного кода');
INSERT INTO `lang_definitions` VALUES (46694, 1050, 13, 'Кликните для выбора или изменения кода CVX');
INSERT INTO `lang_definitions` VALUES (46695, 1051, 13, 'Кликните для выбора или изменения диагноза');
INSERT INTO `lang_definitions` VALUES (46696, 1052, 13, 'Кликните для выбора или изменения кодов услуг');
INSERT INTO `lang_definitions` VALUES (46697, 1053, 13, 'Нажмите для выбора пациента');
INSERT INTO `lang_definitions` VALUES (46698, 1054, 13, 'Кликните для выбора связанного кода');
INSERT INTO `lang_definitions` VALUES (46699, 1055, 13, 'Если этот результат дает отклонение от нормы, кликните для выбора оказания помощи');
INSERT INTO `lang_definitions` VALUES (46700, 1056, 13, 'Кликните для выбора необходимой методики');
INSERT INTO `lang_definitions` VALUES (46701, 1058, 13, 'Нажмите для просмотра');
INSERT INTO `lang_definitions` VALUES (46702, 1059, 13, 'Нажмите для просмотра или изменения');
INSERT INTO `lang_definitions` VALUES (46703, 1060, 13, 'Нажмите для просмотра/изменения');
INSERT INTO `lang_definitions` VALUES (46704, 1061, 13, 'Нажмите кнопку Модернизировать для модернизации версии базы данных с указанной даты');
INSERT INTO `lang_definitions` VALUES (46705, 1063, 13, 'Нажмите:');
INSERT INTO `lang_definitions` VALUES (46706, 1064, 13, 'Срок действия сертификата клиента в днях');
INSERT INTO `lang_definitions` VALUES (46707, 1065, 13, 'Допустимый период срока действия сертификата клиента');
INSERT INTO `lang_definitions` VALUES (46708, 1066, 13, 'Действительный сертификат клиента должен быть допустимым номером.');
INSERT INTO `lang_definitions` VALUES (46709, 1067, 13, 'Копия для пациента');
INSERT INTO `lang_definitions` VALUES (46710, 1069, 13, 'Выписка из истории болезни пациента');
INSERT INTO `lang_definitions` VALUES (46711, 1072, 13, 'Клиентский профиль - новые клиенты');
INSERT INTO `lang_definitions` VALUES (46712, 1073, 13, 'Клиентский профиль - уникальные клиенты');
INSERT INTO `lang_definitions` VALUES (46713, 1074, 13, 'Клиенты');
INSERT INTO `lang_definitions` VALUES (46714, 1075, 13, 'Клиника');
INSERT INTO `lang_definitions` VALUES (46715, 1076, 13, 'Копия для клиники');
INSERT INTO `lang_definitions` VALUES (46716, 1077, 13, 'Ежедневная регистрация по клинике');
INSERT INTO `lang_definitions` VALUES (46717, 1078, 13, 'ID клиники');
INSERT INTO `lang_definitions` VALUES (46718, 1079, 13, 'Клинический');
INSERT INTO `lang_definitions` VALUES (46719, 1080, 13, 'Менеджер извещений для клинических правил заключений');
INSERT INTO `lang_definitions` VALUES (46720, 1081, 13, 'Клиника');
INSERT INTO `lang_definitions` VALUES (46721, 1083, 13, 'Клинические программы');
INSERT INTO `lang_definitions` VALUES (46722, 1084, 13, 'Клиническая единица измерения качества (CQM)');
INSERT INTO `lang_definitions` VALUES (46723, 1087, 13, 'Клинические напоминания');
INSERT INTO `lang_definitions` VALUES (46724, 1088, 13, 'Клинические отчеты');
INSERT INTO `lang_definitions` VALUES (46725, 1089, 13, 'Категория деятельности для клинических правил');
INSERT INTO `lang_definitions` VALUES (46726, 1090, 13, 'Объект воздействия для клинических правил');
INSERT INTO `lang_definitions` VALUES (46727, 1091, 13, 'Методы фильтрации для клинических правил');
INSERT INTO `lang_definitions` VALUES (46728, 1092, 13, 'Планируемые методы для клинических правил');
INSERT INTO `lang_definitions` VALUES (46729, 1093, 13, 'Клинические правила');
INSERT INTO `lang_definitions` VALUES (46730, 1094, 13, 'Возрастные интервалы для клинических правил');
INSERT INTO `lang_definitions` VALUES (46731, 1095, 13, 'Сравнения для клинических правил');
INSERT INTO `lang_definitions` VALUES (46732, 1096, 13, 'Типы обращений для клинических правил');
INSERT INTO `lang_definitions` VALUES (46733, 1097, 13, 'Варианты выполнения напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (46734, 1098, 13, 'Варианты снятия напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (46735, 1099, 13, 'Интервалы напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (46736, 1100, 13, 'Методы напоминаний для клинических правил');
INSERT INTO `lang_definitions` VALUES (46737, 1101, 13, 'Планируемые интервалы для клинических правил');
INSERT INTO `lang_definitions` VALUES (46738, 1102, 13, 'Клинические задачи');
INSERT INTO `lang_definitions` VALUES (46739, 1106, 13, 'Клиницисты');
INSERT INTO `lang_definitions` VALUES (46740, 1107, 13, 'Клонировать');
INSERT INTO `lang_definitions` VALUES (46741, 1108, 13, 'Клонировать прошлое посещение');
INSERT INTO `lang_definitions` VALUES (46742, 1109, 13, 'Закрыть');
INSERT INTO `lang_definitions` VALUES (46743, 1111, 13, 'закрыть окно');
INSERT INTO `lang_definitions` VALUES (46744, 1112, 13, 'Закрытый');
INSERT INTO `lang_definitions` VALUES (46745, 1113, 13, 'см');
INSERT INTO `lang_definitions` VALUES (46746, 1114, 13, 'Поля CMS 1500');
INSERT INTO `lang_definitions` VALUES (46747, 1118, 13, 'ID для CMS');
INSERT INTO `lang_definitions` VALUES (46748, 1127, 13, 'Невридимый CN2-12');
INSERT INTO `lang_definitions` VALUES (46749, 1128, 13, 'Доплата');
INSERT INTO `lang_definitions` VALUES (46750, 1129, 13, 'Выполнена доплата');
INSERT INTO `lang_definitions` VALUES (46751, 1130, 13, 'ДОПЛАТА');
INSERT INTO `lang_definitions` VALUES (46752, 1131, 13, 'Код');
INSERT INTO `lang_definitions` VALUES (46753, 1132, 13, 'код');
INSERT INTO `lang_definitions` VALUES (46754, 1133, 13, 'Поиск кода');
INSERT INTO `lang_definitions` VALUES (46755, 1134, 13, 'Код должен иметь две буквы в нижнем регистре');
INSERT INTO `lang_definitions` VALUES (46756, 1135, 13, 'Код или символ для денежного обозначения');
INSERT INTO `lang_definitions` VALUES (46757, 1136, 13, 'Текст кода');
INSERT INTO `lang_definitions` VALUES (46758, 1138, 13, 'тип кода');
INSERT INTO `lang_definitions` VALUES (46759, 1141, 13, 'Типы кодов');
INSERT INTO `lang_definitions` VALUES (46760, 1143, 13, 'Кодировано');
INSERT INTO `lang_definitions` VALUES (46761, 1144, 13, 'Коды');
INSERT INTO `lang_definitions` VALUES (46762, 1145, 13, 'Индексация');
INSERT INTO `lang_definitions` VALUES (46763, 1147, 13, 'Индексация - любые обращения (write,wsome необязательно)');
INSERT INTO `lang_definitions` VALUES (46764, 1148, 13, 'Индексация - мои обращения (write,wsome необязательно)');
INSERT INTO `lang_definitions` VALUES (46765, 1149, 13, 'Доступ к шифрованию не разрешен');
INSERT INTO `lang_definitions` VALUES (46766, 1150, 13, 'Кофе');
INSERT INTO `lang_definitions` VALUES (46767, 1152, 13, 'Совместное страхование');
INSERT INTO `lang_definitions` VALUES (46768, 1153, 13, 'Бесплатно');
INSERT INTO `lang_definitions` VALUES (46769, 1154, 13, 'Свернуть');
INSERT INTO `lang_definitions` VALUES (46770, 1155, 13, 'скрыть');
INSERT INTO `lang_definitions` VALUES (46771, 1156, 13, 'Свернуть всё');
INSERT INTO `lang_definitions` VALUES (46772, 1157, 13, 'Свернуть всё');
INSERT INTO `lang_definitions` VALUES (46773, 1158, 13, 'свернуть всё');
INSERT INTO `lang_definitions` VALUES (46774, 1161, 13, 'Сборы');
INSERT INTO `lang_definitions` VALUES (46775, 1162, 13, 'Отчет по сборам');
INSERT INTO `lang_definitions` VALUES (46776, 1163, 13, 'Рак толстого кишечника');
INSERT INTO `lang_definitions` VALUES (46777, 1164, 13, 'Скрининг рака толстого кишечника');
INSERT INTO `lang_definitions` VALUES (46778, 1165, 13, 'Хирургия рака толстого кишечника');
INSERT INTO `lang_definitions` VALUES (46779, 1166, 13, 'Колоноскопия');
INSERT INTO `lang_definitions` VALUES (46780, 1167, 13, 'колоноскопия');
INSERT INTO `lang_definitions` VALUES (46781, 1168, 13, 'Цвет');
INSERT INTO `lang_definitions` VALUES (46782, 1169, 13, 'Цвет:сокр.');
INSERT INTO `lang_definitions` VALUES (46783, 1170, 13, 'Столбец');
INSERT INTO `lang_definitions` VALUES (46784, 1171, 13, 'Столбцы');
INSERT INTO `lang_definitions` VALUES (46785, 1172, 13, 'Объединенные партии');
INSERT INTO `lang_definitions` VALUES (46786, 1173, 13, 'Запятая');
INSERT INTO `lang_definitions` VALUES (46787, 1174, 13, 'Коментарий');
INSERT INTO `lang_definitions` VALUES (46788, 1175, 13, 'Коментарии');
INSERT INTO `lang_definitions` VALUES (46789, 1176, 13, 'Комментарии для этого результата или рекомендации');
INSERT INTO `lang_definitions` VALUES (46790, 1177, 13, 'Компания коммерческого страхования.');
INSERT INTO `lang_definitions` VALUES (46791, 1178, 13, 'Завершенные изменения');
INSERT INTO `lang_definitions` VALUES (46792, 1180, 13, 'Связь');
INSERT INTO `lang_definitions` VALUES (46793, 1182, 13, 'Компания');
INSERT INTO `lang_definitions` VALUES (46794, 1183, 13, 'Наименование компании');
INSERT INTO `lang_definitions` VALUES (46795, 1184, 13, 'Завершить');
INSERT INTO `lang_definitions` VALUES (46796, 1186, 13, 'Завершенное');
INSERT INTO `lang_definitions` VALUES (46797, 1188, 13, 'Завершенное?');
INSERT INTO `lang_definitions` VALUES (46798, 1190, 13, 'Осложнения по специалистам, предоставляющим помощь');
INSERT INTO `lang_definitions` VALUES (46799, 1191, 13, 'Осложнения аборта');
INSERT INTO `lang_definitions` VALUES (46800, 1192, 13, 'Компоненты');
INSERT INTO `lang_definitions` VALUES (46801, 1193, 13, 'Автоматизированная система медицинских назначений');
INSERT INTO `lang_definitions` VALUES (46802, 1194, 13, 'Заключения');
INSERT INTO `lang_definitions` VALUES (46803, 1199, 13, 'Настройки');
INSERT INTO `lang_definitions` VALUES (46804, 1200, 13, 'Экспорт/импорт настроек');
INSERT INTO `lang_definitions` VALUES (46805, 1202, 13, 'Настройте Apache и LibreEHR для использования сертификатов SSL на стороне клиента.');
INSERT INTO `lang_definitions` VALUES (46806, 1203, 13, 'Настройка Apache для использования сертификатов SSL на стороне клиента');
INSERT INTO `lang_definitions` VALUES (46807, 1204, 13, 'Настраивает Apache для использования HTTPS.');
INSERT INTO `lang_definitions` VALUES (46808, 1205, 13, 'Настройка LibreEHR для использования сертификатов SSL на стороне клиента.');
INSERT INTO `lang_definitions` VALUES (46809, 1208, 13, 'Подтвердите регистрацию нового пациента');
INSERT INTO `lang_definitions` VALUES (46810, 1209, 13, 'Подтвердите новый пароль');
INSERT INTO `lang_definitions` VALUES (46811, 1210, 13, 'Подтвердите оплату');
INSERT INTO `lang_definitions` VALUES (46812, 1214, 13, 'Врожденный');
INSERT INTO `lang_definitions` VALUES (46813, 1215, 13, 'Коньюктива, зрачки');
INSERT INTO `lang_definitions` VALUES (46814, 1218, 13, 'Константа');
INSERT INTO `lang_definitions` VALUES (46815, 1219, 13, 'наименование константы');
INSERT INTO `lang_definitions` VALUES (46816, 1220, 13, 'Наименование константы пустое');
INSERT INTO `lang_definitions` VALUES (46817, 1221, 13, 'константы');
INSERT INTO `lang_definitions` VALUES (46818, 1222, 13, 'Запоры');
INSERT INTO `lang_definitions` VALUES (46819, 1223, 13, 'Общесистемное');
INSERT INTO `lang_definitions` VALUES (46820, 1226, 13, 'Короткое описание консультации');
INSERT INTO `lang_definitions` VALUES (46821, 1227, 13, 'Контакт');
INSERT INTO `lang_definitions` VALUES (46822, 1228, 13, 'Контактный e-mail');
INSERT INTO `lang_definitions` VALUES (46823, 1229, 13, 'Контактный адрес e-mail');
INSERT INTO `lang_definitions` VALUES (46824, 1231, 13, 'контактная иформация');
INSERT INTO `lang_definitions` VALUES (46825, 1232, 13, 'Контактные линзы');
INSERT INTO `lang_definitions` VALUES (46826, 1236, 13, 'Фамилия для связи');
INSERT INTO `lang_definitions` VALUES (46827, 1237, 13, 'Человек для связи');
INSERT INTO `lang_definitions` VALUES (46828, 1239, 13, 'Номер телефона для связи');
INSERT INTO `lang_definitions` VALUES (46829, 1240, 13, 'Обратитесь на ZMG, LLC (zmghealth@gmail.com) для подписки на услугу eRx');
INSERT INTO `lang_definitions` VALUES (46830, 1241, 13, 'содержит, по крайней мере, три из четырех следующих пункта:');
INSERT INTO `lang_definitions` VALUES (46831, 1243, 13, 'Содержание');
INSERT INTO `lang_definitions` VALUES (46832, 1244, 13, 'содержание');
INSERT INTO `lang_definitions` VALUES (46833, 1245, 13, 'Контекст');
INSERT INTO `lang_definitions` VALUES (46834, 1246, 13, 'Наименование контекста не может быть пустым');
INSERT INTO `lang_definitions` VALUES (46835, 1247, 13, 'Продолжить');
INSERT INTO `lang_definitions` VALUES (46836, 1248, 13, 'Продолжение медицинского документа (CCD)');
INSERT INTO `lang_definitions` VALUES (46837, 1249, 13, 'Продолжение медицинской записи (CCD)');
INSERT INTO `lang_definitions` VALUES (46838, 1250, 13, 'Взаимные клиенты');
INSERT INTO `lang_definitions` VALUES (46839, 1251, 13, 'Контрацепция');
INSERT INTO `lang_definitions` VALUES (46840, 1252, 13, 'Аспекты контрацепции');
INSERT INTO `lang_definitions` VALUES (46841, 1253, 13, 'Осложнение контрацепции (указать)');
INSERT INTO `lang_definitions` VALUES (46842, 1254, 13, 'Способ контрацепции');
INSERT INTO `lang_definitions` VALUES (46843, 1255, 13, 'Контрацептивные изделия');
INSERT INTO `lang_definitions` VALUES (46844, 1256, 13, 'Предварительно включенные услуги по контрацепции');
INSERT INTO `lang_definitions` VALUES (46845, 1257, 13, 'Начало контрацепции');
INSERT INTO `lang_definitions` VALUES (46846, 1258, 13, 'ID настройки');
INSERT INTO `lang_definitions` VALUES (46847, 1259, 13, 'Номер настройки');
INSERT INTO `lang_definitions` VALUES (46848, 1261, 13, 'Доплата');
INSERT INTO `lang_definitions` VALUES (46849, 1262, 13, 'Доплата');
INSERT INTO `lang_definitions` VALUES (46850, 1263, 13, 'Доплата');
INSERT INTO `lang_definitions` VALUES (46851, 1264, 13, 'Доплата не предполагается');
INSERT INTO `lang_definitions` VALUES (46852, 1266, 13, 'Доплаты');
INSERT INTO `lang_definitions` VALUES (46853, 1267, 13, 'ХОБЛ');
INSERT INTO `lang_definitions` VALUES (46854, 1268, 13, 'Копировать страницы в карту пациента');
INSERT INTO `lang_definitions` VALUES (46855, 1269, 13, 'Копировать значения');
INSERT INTO `lang_definitions` VALUES (46856, 1270, 13, 'Копирование файла базы данных. Это займёт некоторое время...');
INSERT INTO `lang_definitions` VALUES (46857, 1271, 13, 'Уведомление об авторских правах');
INSERT INTO `lang_definitions` VALUES (46858, 1273, 13, 'Коронарное шунтирование');
INSERT INTO `lang_definitions` VALUES (46859, 1274, 13, 'Коронарное шунтирование трансплантантом (CABG)');
INSERT INTO `lang_definitions` VALUES (46860, 1275, 13, 'Исправленное');
INSERT INTO `lang_definitions` VALUES (46861, 1277, 13, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (46862, 1278, 13, 'Подключение CouchDB дало сбой.');
INSERT INTO `lang_definitions` VALUES (46863, 1279, 13, 'База данных CouchDB');
INSERT INTO `lang_definitions` VALUES (46864, 1280, 13, 'Имя базы данных CouchDB');
INSERT INTO `lang_definitions` VALUES (46865, 1281, 13, 'Хост CouchDB');
INSERT INTO `lang_definitions` VALUES (46866, 1282, 13, 'Имя хоста CouchDB');
INSERT INTO `lang_definitions` VALUES (46867, 1283, 13, 'Включить журналирование CouchDB');
INSERT INTO `lang_definitions` VALUES (46868, 1284, 13, 'Пароль CouchDB');
INSERT INTO `lang_definitions` VALUES (46869, 1285, 13, 'Порт CouchDB');
INSERT INTO `lang_definitions` VALUES (46870, 1286, 13, 'Порт CouchDB');
INSERT INTO `lang_definitions` VALUES (46871, 1288, 13, 'Имя пользователя CouchDB');
INSERT INTO `lang_definitions` VALUES (46872, 1289, 13, 'Кашель');
INSERT INTO `lang_definitions` VALUES (46873, 1290, 13, 'Кашель:');
INSERT INTO `lang_definitions` VALUES (46874, 1294, 13, 'Не удалось прочитать файл');
INSERT INTO `lang_definitions` VALUES (46875, 1296, 13, 'Не удалось отправить email из-за проблемы сервера, ');
INSERT INTO `lang_definitions` VALUES (46876, 1297, 13, 'Не удалось отправить email из-за проблемы сервера. ');
INSERT INTO `lang_definitions` VALUES (46877, 1298, 13, 'Не удалось создать директорию резервного копирования:');
INSERT INTO `lang_definitions` VALUES (46878, 1299, 13, 'Не удалось удалить директорию:');
INSERT INTO `lang_definitions` VALUES (46879, 1300, 13, 'Не удалось удалить старый файл резервного копирования:');
INSERT INTO `lang_definitions` VALUES (46880, 1301, 13, 'Не удалось удалить старый файл экспорта:');
INSERT INTO `lang_definitions` VALUES (46881, 1302, 13, 'Управление Coumadin - контроль международного нормализационного индекса');
INSERT INTO `lang_definitions` VALUES (46882, 1303, 13, 'Реком. по способу');
INSERT INTO `lang_definitions` VALUES (46883, 1304, 13, 'Рекомендация');
INSERT INTO `lang_definitions` VALUES (46884, 1305, 13, 'Консультативная работа');
INSERT INTO `lang_definitions` VALUES (46885, 1306, 13, 'УЧЕТНАЯ ФОРМА НАПРАВЛЕНИЯ');
INSERT INTO `lang_definitions` VALUES (46886, 1307, 13, 'Учетное направления');
INSERT INTO `lang_definitions` VALUES (46887, 1308, 13, 'Страна');
INSERT INTO `lang_definitions` VALUES (46888, 1309, 13, 'Тип данных для страны');
INSERT INTO `lang_definitions` VALUES (46889, 1310, 13, 'Список стран');
INSERT INTO `lang_definitions` VALUES (46890, 1311, 13, 'Список стран (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (46891, 1312, 13, 'Наименование страны должно быть представлено двумя буквами. (Например: Соединенные штаты обозначено US)');
INSERT INTO `lang_definitions` VALUES (46892, 1313, 13, 'республика');
INSERT INTO `lang_definitions` VALUES (46893, 1315, 13, 'Купон');
INSERT INTO `lang_definitions` VALUES (46894, 1318, 13, 'Клиническое обследование больного (CPT)');
INSERT INTO `lang_definitions` VALUES (46895, 1319, 13, 'Код CPT');
INSERT INTO `lang_definitions` VALUES (46896, 1320, 13, 'Коды CPT');
INSERT INTO `lang_definitions` VALUES (46897, 1321, 13, 'Процедура/служба CPT4');
INSERT INTO `lang_definitions` VALUES (46898, 1322, 13, 'Измерение эффективности CPTII');
INSERT INTO `lang_definitions` VALUES (46899, 1323, 13, 'CQM');
INSERT INTO `lang_definitions` VALUES (46900, 1324, 13, 'Влажные хрипы:');
INSERT INTO `lang_definitions` VALUES (46901, 1325, 13, 'крем');
INSERT INTO `lang_definitions` VALUES (46902, 1326, 13, 'Создает сертификат SSL на стороне клиента для каждого пользователя или клиентской машины.');
INSERT INTO `lang_definitions` VALUES (46903, 1327, 13, 'Создает сертификат SSL на стороне клиента либо для пользователя, либо для имени узла клиента.');
INSERT INTO `lang_definitions` VALUES (46904, 1329, 13, 'Создать событие');
INSERT INTO `lang_definitions` VALUES (46905, 1330, 13, 'Создает и загружает полную резервную копию');
INSERT INTO `lang_definitions` VALUES (46906, 1332, 13, 'Создать резервную копию');
INSERT INTO `lang_definitions` VALUES (46907, 1333, 13, 'Создать партию');
INSERT INTO `lang_definitions` VALUES (46908, 1334, 13, 'Создать клиентский сертификат');
INSERT INTO `lang_definitions` VALUES (46909, 1335, 13, 'Создает сертификаты SSL на стороне клиента.');
INSERT INTO `lang_definitions` VALUES (46910, 1336, 13, 'Создать дубликат');
INSERT INTO `lang_definitions` VALUES (46911, 1338, 13, 'Создает журнал событий резервного копирования');
INSERT INTO `lang_definitions` VALUES (46912, 1339, 13, 'Создать новую проблему');
INSERT INTO `lang_definitions` VALUES (46913, 1340, 13, 'Оформить нового пациента');
INSERT INTO `lang_definitions` VALUES (46914, 1342, 13, 'Создать мандаты для внешнего портала');
INSERT INTO `lang_definitions` VALUES (46915, 1343, 13, 'Создать мандаты для внутреннего портала');
INSERT INTO `lang_definitions` VALUES (46916, 1344, 13, 'Создать запись по пациенту');
INSERT INTO `lang_definitions` VALUES (46917, 1345, 13, 'Создает доверенный сертификат SSL и сертификаты сервера.');
INSERT INTO `lang_definitions` VALUES (46918, 1346, 13, 'Создать посещение');
INSERT INTO `lang_definitions` VALUES (46919, 1347, 13, 'Создано');
INSERT INTO `lang_definitions` VALUES (46920, 1348, 13, 'Создание файла экспорта');
INSERT INTO `lang_definitions` VALUES (46921, 1351, 13, 'Создатель');
INSERT INTO `lang_definitions` VALUES (46922, 1352, 13, 'кредит');
INSERT INTO `lang_definitions` VALUES (46923, 1353, 13, 'Кредитная карта');
INSERT INTO `lang_definitions` VALUES (46924, 1354, 13, 'Кредитовать');
INSERT INTO `lang_definitions` VALUES (46925, 1356, 13, 'Критерий');
INSERT INTO `lang_definitions` VALUES (46926, 1358, 13, 'Болезнь Крона');
INSERT INTO `lang_definitions` VALUES (46927, 1359, 13, 'Болезнь Крона');
INSERT INTO `lang_definitions` VALUES (46928, 1360, 13, 'Экспорт CSV');
INSERT INTO `lang_definitions` VALUES (46929, 1361, 13, 'Файл CSV');
INSERT INTO `lang_definitions` VALUES (46930, 1363, 13, 'куб.мм');
INSERT INTO `lang_definitions` VALUES (46931, 1364, 13, 'Кубинец');
INSERT INTO `lang_definitions` VALUES (46932, 1365, 13, 'Размещение десятичных для денег');
INSERT INTO `lang_definitions` VALUES (46933, 1366, 13, 'Символ десятичной запятой для денег');
INSERT INTO `lang_definitions` VALUES (46934, 1367, 13, 'Денежный указатель');
INSERT INTO `lang_definitions` VALUES (46935, 1368, 13, 'Разделитель тысяч для денег');
INSERT INTO `lang_definitions` VALUES (46936, 1369, 13, 'Текущее');
INSERT INTO `lang_definitions` VALUES (46937, 1370, 13, 'Текущее употребление алкоголя');
INSERT INTO `lang_definitions` VALUES (46938, 1371, 13, 'Текущая констультация');
INSERT INTO `lang_definitions` VALUES (46939, 1372, 13, 'Текущий критерий');
INSERT INTO `lang_definitions` VALUES (46940, 1373, 13, 'Цвет выделения для текущего дня');
INSERT INTO `lang_definitions` VALUES (46941, 1374, 13, 'В настоящее время курит каждый день');
INSERT INTO `lang_definitions` VALUES (46942, 1375, 13, 'Текущее имя файла было изменено на');
INSERT INTO `lang_definitions` VALUES (46943, 1376, 13, 'Текущий хэш');
INSERT INTO `lang_definitions` VALUES (46944, 1377, 13, 'Текущее нахождение');
INSERT INTO `lang_definitions` VALUES (46945, 1378, 13, 'Принимаемые препараты');
INSERT INTO `lang_definitions` VALUES (46946, 1379, 13, 'Текущий пароль');
INSERT INTO `lang_definitions` VALUES (46947, 1380, 13, 'Текущий пациент');
INSERT INTO `lang_definitions` VALUES (46948, 1382, 13, 'Принимаемые рекреационные наркотики');
INSERT INTO `lang_definitions` VALUES (46949, 1383, 13, 'В настоящее время курит не каждый день');
INSERT INTO `lang_definitions` VALUES (46950, 1386, 13, 'Текущая деятельность');
INSERT INTO `lang_definitions` VALUES (46951, 1388, 13, 'В настоящее время помощь не оказывается');
INSERT INTO `lang_definitions` VALUES (46952, 1389, 13, 'Синдром Кушинга');
INSERT INTO `lang_definitions` VALUES (46953, 1390, 13, 'болезнь Иценко-Кушинга');
INSERT INTO `lang_definitions` VALUES (46954, 1392, 13, 'Пользовательский');
INSERT INTO `lang_definitions` VALUES (46955, 1393, 13, 'Пользовательский ввод?');
INSERT INTO `lang_definitions` VALUES (46956, 1394, 13, 'Пользовательская таблица');
INSERT INTO `lang_definitions` VALUES (46957, 1396, 13, 'Код CVX');
INSERT INTO `lang_definitions` VALUES (46958, 1397, 13, 'Отображение кода CVX');
INSERT INTO `lang_definitions` VALUES (46959, 1398, 13, 'Вакцинация CVX');
INSERT INTO `lang_definitions` VALUES (46960, 1399, 13, 'Цикл');
INSERT INTO `lang_definitions` VALUES (46961, 1400, 13, 'Цитохром P450');
INSERT INTO `lang_definitions` VALUES (46962, 1401, 13, 'Фактор цитохрома P450');
INSERT INTO `lang_definitions` VALUES (46963, 1402, 13, 'Сообщение о цитохроме P450');
INSERT INTO `lang_definitions` VALUES (46964, 1403, 13, 'Чешский');
INSERT INTO `lang_definitions` VALUES (46965, 1404, 13, 'D');
INSERT INTO `lang_definitions` VALUES (46966, 1405, 13, 'Расширение и кюретаж');
INSERT INTO `lang_definitions` VALUES (46967, 1406, 13, 'D&E');
INSERT INTO `lang_definitions` VALUES (46968, 1407, 13, 'Дата рожд.');
INSERT INTO `lang_definitions` VALUES (46969, 1408, 13, 'ежедневно');
INSERT INTO `lang_definitions` VALUES (46970, 1409, 13, 'Ежедневная запись');
INSERT INTO `lang_definitions` VALUES (46971, 1410, 13, 'Датский');
INSERT INTO `lang_definitions` VALUES (46972, 1411, 13, 'Подобные данные уже имеются в базе данных, измените код и/или описание');
INSERT INTO `lang_definitions` VALUES (46973, 1412, 13, 'Подобные данные уже имеются в базе данных, измените имя константы');
INSERT INTO `lang_definitions` VALUES (46974, 1413, 13, 'Столб. данных');
INSERT INTO `lang_definitions` VALUES (46975, 1416, 13, 'Ошибка даты');
INSERT INTO `lang_definitions` VALUES (46976, 1420, 13, 'Тип данных');
INSERT INTO `lang_definitions` VALUES (46977, 1421, 13, 'База данных');
INSERT INTO `lang_definitions` VALUES (46978, 1422, 13, 'База данных не установлена.');
INSERT INTO `lang_definitions` VALUES (46979, 1423, 13, 'Группа баз данных');
INSERT INTO `lang_definitions` VALUES (46980, 1424, 13, 'Сообщение базы данных');
INSERT INTO `lang_definitions` VALUES (46981, 1425, 13, 'Обновление базы данных завершено.');
INSERT INTO `lang_definitions` VALUES (46982, 1426, 13, 'Столбцы данных должны быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (46983, 1427, 13, 'Дата');
INSERT INTO `lang_definitions` VALUES (46984, 1428, 13, 'ДАТА');
INSERT INTO `lang_definitions` VALUES (46985, 1431, 13, 'Управление датой');
INSERT INTO `lang_definitions` VALUES (46986, 1432, 13, 'Дата и время взятия образца');
INSERT INTO `lang_definitions` VALUES (46987, 1433, 13, 'Дата и время этого исследования');
INSERT INTO `lang_definitions` VALUES (46988, 1435, 13, 'Дата и время, когда биообразец был собран');
INSERT INTO `lang_definitions` VALUES (46989, 1436, 13, 'Дата не может быть больше сегодняшней');
INSERT INTO `lang_definitions` VALUES (46990, 1437, 13, 'Дата первоначально предоставленной услуги по контрацепции');
INSERT INTO `lang_definitions` VALUES (46991, 1438, 13, 'Дата создания');
INSERT INTO `lang_definitions` VALUES (46992, 1439, 13, 'Дата смерти');
INSERT INTO `lang_definitions` VALUES (46993, 1440, 13, 'Дата уничтожения');
INSERT INTO `lang_definitions` VALUES (46994, 1441, 13, 'Отображаемый формат даты');
INSERT INTO `lang_definitions` VALUES (46995, 1442, 13, 'Формат даты для \"Окончание приема\" не допустим');
INSERT INTO `lang_definitions` VALUES (46996, 1443, 13, 'Формат даты для \"Начало приема\" не допустим');
INSERT INTO `lang_definitions` VALUES (46997, 1444, 13, 'Формат даты для \"Следующий прием\" не допустим');
INSERT INTO `lang_definitions` VALUES (46998, 1445, 13, 'Формат даты для \"не видел с\" не допустим');
INSERT INTO `lang_definitions` VALUES (46999, 1446, 13, 'Формат даты для \"с тех пор видел\" не допустим');
INSERT INTO `lang_definitions` VALUES (47000, 1447, 13, 'Предоставленные информационные заявки о дате проведения вакцинации');
INSERT INTO `lang_definitions` VALUES (47001, 1448, 13, 'Дата для кода пропущена ');
INSERT INTO `lang_definitions` VALUES (47002, 1449, 13, 'Основной критерий даты');
INSERT INTO `lang_definitions` VALUES (47003, 1450, 13, 'Дата банковского взноса yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (47004, 1451, 13, 'Дата платежа');
INSERT INTO `lang_definitions` VALUES (47005, 1452, 13, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (47006, 1453, 13, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (47007, 1454, 13, 'Дата рождения');
INSERT INTO `lang_definitions` VALUES (47008, 1455, 13, 'Дата ввода');
INSERT INTO `lang_definitions` VALUES (47009, 1456, 13, 'Дата травмы');
INSERT INTO `lang_definitions` VALUES (47010, 1458, 13, 'Дата оплаты yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (47011, 1459, 13, 'Дата направления');
INSERT INTO `lang_definitions` VALUES (47012, 1460, 13, 'Дата ответа');
INSERT INTO `lang_definitions` VALUES (47013, 1462, 13, 'Дата оказания помощи');
INSERT INTO `lang_definitions` VALUES (47014, 1463, 13, 'Дата услуги');
INSERT INTO `lang_definitions` VALUES (47015, 1464, 13, 'Дата услуги = сегодня');
INSERT INTO `lang_definitions` VALUES (47016, 1465, 13, 'Дата услуги мм/дд/гггг');
INSERT INTO `lang_definitions` VALUES (47017, 1466, 13, 'Дата услуги:');
INSERT INTO `lang_definitions` VALUES (47018, 1467, 13, 'Дата подписания');
INSERT INTO `lang_definitions` VALUES (47019, 1469, 13, 'Дата этого назначения');
INSERT INTO `lang_definitions` VALUES (47020, 1470, 13, 'Дата этого отчета');
INSERT INTO `lang_definitions` VALUES (47021, 1471, 13, 'Дата заявки по видимому набору информации');
INSERT INTO `lang_definitions` VALUES (47022, 1472, 13, 'Назначение даты');
INSERT INTO `lang_definitions` VALUES (47023, 1475, 13, 'Селектор даты');
INSERT INTO `lang_definitions` VALUES (47024, 1476, 13, 'Дата отправки');
INSERT INTO `lang_definitions` VALUES (47025, 1477, 13, 'Дата сообщения была отправлена');
INSERT INTO `lang_definitions` VALUES (47026, 1479, 13, 'Значение даты не может быть пустым.');
INSERT INTO `lang_definitions` VALUES (47027, 1480, 13, 'Дата/назн.');
INSERT INTO `lang_definitions` VALUES (47028, 1481, 13, 'Дата/записи');
INSERT INTO `lang_definitions` VALUES (47029, 1482, 13, 'Последняя дата или записи');
INSERT INTO `lang_definitions` VALUES (47030, 1483, 13, 'Дата/время');
INSERT INTO `lang_definitions` VALUES (47031, 1484, 13, 'Дата:');
INSERT INTO `lang_definitions` VALUES (47032, 1485, 13, 'Устаревший журнал сообщений');
INSERT INTO `lang_definitions` VALUES (47033, 1486, 13, 'День');
INSERT INTO `lang_definitions` VALUES (47034, 1487, 13, 'день');
INSERT INTO `lang_definitions` VALUES (47035, 1489, 13, 'Обзор за день');
INSERT INTO `lang_definitions` VALUES (47036, 1490, 13, 'дней');
INSERT INTO `lang_definitions` VALUES (47037, 1491, 13, 'Дни Пн-Пт');
INSERT INTO `lang_definitions` VALUES (47038, 1492, 13, 'дни');
INSERT INTO `lang_definitions` VALUES (47039, 1493, 13, 'Дни');
INSERT INTO `lang_definitions` VALUES (47040, 1494, 13, 'дней назад');
INSERT INTO `lang_definitions` VALUES (47041, 1495, 13, 'Дни и проекты пропущены');
INSERT INTO `lang_definitions` VALUES (47042, 1496, 13, 'Дней от последнего обращения');
INSERT INTO `lang_definitions` VALUES (47043, 1497, 13, 'Пропущенные дни');
INSERT INTO `lang_definitions` VALUES (47044, 1498, 13, 'Дней в столбце:');
INSERT INTO `lang_definitions` VALUES (47045, 1500, 13, 'Дни/столб.:');
INSERT INTO `lang_definitions` VALUES (47046, 1501, 13, 'БД установлена');
INSERT INTO `lang_definitions` VALUES (47047, 1502, 13, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (47048, 1503, 13, 'Предотвращение дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (47049, 1504, 13, 'Обработка деидентификации завершена');
INSERT INTO `lang_definitions` VALUES (47050, 1505, 13, 'Продолжается обработка деидентификации');
INSERT INTO `lang_definitions` VALUES (47051, 1506, 13, 'Обработка деидентификации запущена и идет в фоновом режиме');
INSERT INTO `lang_definitions` VALUES (47052, 1507, 13, 'Данные деидентификации не могут быть выполнены');
INSERT INTO `lang_definitions` VALUES (47053, 1508, 13, 'Файлы деидентификации будут сохранены в');
INSERT INTO `lang_definitions` VALUES (47054, 1509, 13, 'Управление по борьбе с наркотиками');
INSERT INTO `lang_definitions` VALUES (47055, 1511, 13, 'Глухой');
INSERT INTO `lang_definitions` VALUES (47056, 1512, 13, 'Отладочная информация');
INSERT INTO `lang_definitions` VALUES (47057, 1515, 13, 'Дек');
INSERT INTO `lang_definitions` VALUES (47058, 1516, 13, 'УМЕРШИЙ');
INSERT INTO `lang_definitions` VALUES (47059, 1517, 13, 'Декабрь');
INSERT INTO `lang_definitions` VALUES (47060, 1520, 13, 'Отчисление');
INSERT INTO `lang_definitions` VALUES (47061, 1521, 13, 'Выполнение отчислений');
INSERT INTO `lang_definitions` VALUES (47062, 1522, 13, 'По умолчанию');
INSERT INTO `lang_definitions` VALUES (47063, 1523, 13, 'Вид календаря по умолчанию');
INSERT INTO `lang_definitions` VALUES (47064, 1524, 13, 'ID формы обращения по умолчанию');
INSERT INTO `lang_definitions` VALUES (47065, 1526, 13, 'Услуга по умолчанию');
INSERT INTO `lang_definitions` VALUES (47066, 1527, 13, 'Язык по умолчанию');
INSERT INTO `lang_definitions` VALUES (47067, 1528, 13, 'Язык по умолчанию если другой не разрешен или не выбран.');
INSERT INTO `lang_definitions` VALUES (47068, 1529, 13, 'Список по умолчанию (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (47069, 1530, 13, 'Метод по умолчанию');
INSERT INTO `lang_definitions` VALUES (47070, 1531, 13, 'Истечение срока пароля по умолчанию.');
INSERT INTO `lang_definitions` VALUES (47071, 1532, 13, 'Истечение срока пароля в днях по умолчанию. 0 означает, что эта функция отключена.');
INSERT INTO `lang_definitions` VALUES (47072, 1533, 13, 'Страна пациента по умолчанию');
INSERT INTO `lang_definitions` VALUES (47073, 1536, 13, 'Специалист по умолчанию');
INSERT INTO `lang_definitions` VALUES (47074, 1537, 13, 'Диапазон по умолчанию');
INSERT INTO `lang_definitions` VALUES (47075, 1538, 13, 'Причина посещения по умолчанию');
INSERT INTO `lang_definitions` VALUES (47076, 1540, 13, 'Настройка по умолчанию');
INSERT INTO `lang_definitions` VALUES (47077, 1541, 13, 'Статус по умолчанию нового окна поля-флажка в списке пациентов.');
INSERT INTO `lang_definitions` VALUES (47078, 1542, 13, 'Шаблон по умолчанию');
INSERT INTO `lang_definitions` VALUES (47079, 1546, 13, 'Единицы измерения по умолчанию');
INSERT INTO `lang_definitions` VALUES (47080, 1547, 13, 'Значение по умолчанию');
INSERT INTO `lang_definitions` VALUES (47081, 1548, 13, 'Склад по умолчанию');
INSERT INTO `lang_definitions` VALUES (47082, 1549, 13, 'Партнер X12 по умолчанию');
INSERT INTO `lang_definitions` VALUES (47083, 1550, 13, 'По умолчанию/глобально');
INSERT INTO `lang_definitions` VALUES (47084, 1551, 13, 'Удалить');
INSERT INTO `lang_definitions` VALUES (47085, 1552, 13, 'удалить');
INSERT INTO `lang_definitions` VALUES (47086, 1553, 13, 'Прибегнуть к удалению (> 12 мес.)');
INSERT INTO `lang_definitions` VALUES (47087, 1554, 13, 'Удалить');
INSERT INTO `lang_definitions` VALUES (47088, 1555, 13, 'удалить');
INSERT INTO `lang_definitions` VALUES (47089, 1556, 13, 'Удалить категории с ID: ');
INSERT INTO `lang_definitions` VALUES (47090, 1557, 13, 'Удалить категорию');
INSERT INTO `lang_definitions` VALUES (47091, 1560, 13, 'Удалить группу');
INSERT INTO `lang_definitions` VALUES (47092, 1561, 13, 'Удалить список');
INSERT INTO `lang_definitions` VALUES (47093, 1562, 13, 'Удалить страницы');
INSERT INTO `lang_definitions` VALUES (47094, 1563, 13, 'Удаляет пациента, обращение, форму, проблему, документ, оплату, счет или транзакцию');
INSERT INTO `lang_definitions` VALUES (47095, 1565, 13, 'Удалить строку');
INSERT INTO `lang_definitions` VALUES (47096, 1566, 13, 'Удалить выбранные пункты');
INSERT INTO `lang_definitions` VALUES (47097, 1568, 13, 'Удаление завершено.');
INSERT INTO `lang_definitions` VALUES (47098, 1569, 13, 'Удалить этот документ');
INSERT INTO `lang_definitions` VALUES (47099, 1570, 13, 'Удалить эту форму');
INSERT INTO `lang_definitions` VALUES (47100, 1571, 13, 'Удалить эту запись');
INSERT INTO `lang_definitions` VALUES (47101, 1573, 13, 'Удаление успешно выполнено.');
INSERT INTO `lang_definitions` VALUES (47102, 1575, 13, 'Удаление этого события не может быть выполнено. Его невозможно изменить, так как оно продолжается. Действительно, нужно удалить это событие?');
INSERT INTO `lang_definitions` VALUES (47103, 1581, 13, 'Деменция');
INSERT INTO `lang_definitions` VALUES (47104, 1582, 13, 'Персональные данные');
INSERT INTO `lang_definitions` VALUES (47105, 1583, 13, 'Персональные данные (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (47106, 1585, 13, 'Критерий отбора персональных данных');
INSERT INTO `lang_definitions` VALUES (47107, 1586, 13, 'Нет разрешения на доступ к персональным данным');
INSERT INTO `lang_definitions` VALUES (47108, 1587, 13, 'Нет разрешения на доступ к персональным данным.');
INSERT INTO `lang_definitions` VALUES (47109, 1588, 13, 'Отказано');
INSERT INTO `lang_definitions` VALUES (47110, 1589, 13, 'Знаменатель');
INSERT INTO `lang_definitions` VALUES (47111, 1590, 13, 'Стоматология');
INSERT INTO `lang_definitions` VALUES (47112, 1592, 13, 'Стоматологические проблемы');
INSERT INTO `lang_definitions` VALUES (47113, 1595, 13, 'При проверке требования X 12, в зависимости от типа, счета HCFA будут выглядеть как вывод пустой страницы, увидите многие строки с несколько искаженным текстом и информацией. Этот искаженный текст является форматом X 12 EDI 4010A. Иногда будете видеть странные символы, которые выглядят как домино или волнисто, это управляющие символы, такие как подача страницы и являются обычными.');
INSERT INTO `lang_definitions` VALUES (47114, 1596, 13, 'Дата внесения');
INSERT INTO `lang_definitions` VALUES (47115, 1597, 13, 'Дата внесения не может быть позднее сегодняшней');
INSERT INTO `lang_definitions` VALUES (47116, 1598, 13, 'Дата внесения:');
INSERT INTO `lang_definitions` VALUES (47117, 1599, 13, 'Снижено');
INSERT INTO `lang_definitions` VALUES (47118, 1600, 13, 'Депрессия');
INSERT INTO `lang_definitions` VALUES (47119, 1602, 13, 'Описание');
INSERT INTO `lang_definitions` VALUES (47120, 1603, 13, 'описание');
INSERT INTO `lang_definitions` VALUES (47121, 1605, 13, 'Описание публикации');
INSERT INTO `lang_definitions` VALUES (47122, 1606, 13, 'Описание этой методики или код результата');
INSERT INTO `lang_definitions` VALUES (47123, 1607, 13, 'Перевод описания');
INSERT INTO `lang_definitions` VALUES (47124, 1609, 13, 'Место назначения');
INSERT INTO `lang_definitions` VALUES (47125, 1610, 13, 'Предназначенное имя файла');
INSERT INTO `lang_definitions` VALUES (47126, 1611, 13, 'Уничтожить партию');
INSERT INTO `lang_definitions` VALUES (47127, 1612, 13, 'Уничтожить...');
INSERT INTO `lang_definitions` VALUES (47128, 1613, 13, 'Уничтоженно');
INSERT INTO `lang_definitions` VALUES (47129, 1614, 13, 'Уничтоженные препараты');
INSERT INTO `lang_definitions` VALUES (47130, 1615, 13, 'Отчет по уничтожению препаратов');
INSERT INTO `lang_definitions` VALUES (47131, 1616, 13, 'Подробнее');
INSERT INTO `lang_definitions` VALUES (47132, 1617, 13, 'Подробности');
INSERT INTO `lang_definitions` VALUES (47133, 1619, 13, 'Прогрессирующее отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (47134, 1620, 13, 'Диабет');
INSERT INTO `lang_definitions` VALUES (47135, 1621, 13, 'Сахарный диабет');
INSERT INTO `lang_definitions` VALUES (47136, 1622, 13, 'Диабет: контроль артериального давления (CQM)');
INSERT INTO `lang_definitions` VALUES (47137, 1623, 13, 'Диабет: офтальм. иссл.');
INSERT INTO `lang_definitions` VALUES (47138, 1624, 13, 'Диабет: офтальм. иссл. (CQM)');
INSERT INTO `lang_definitions` VALUES (47139, 1625, 13, 'Диабет: иссл. стоп');
INSERT INTO `lang_definitions` VALUES (47140, 1626, 13, 'Диабет: иссл. стоп (CQM)');
INSERT INTO `lang_definitions` VALUES (47141, 1627, 13, 'Диабет: надзор за бедными HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (47142, 1628, 13, 'Диабет: гемоглобин A1C');
INSERT INTO `lang_definitions` VALUES (47143, 1629, 13, 'Диабет: контроль липопротеина низкой плотности (CQM)');
INSERT INTO `lang_definitions` VALUES (47144, 1630, 13, 'Диабет: микроальбумин мочи');
INSERT INTO `lang_definitions` VALUES (47145, 1631, 13, 'Д-з');
INSERT INTO `lang_definitions` VALUES (47146, 1633, 13, 'Диагноз');
INSERT INTO `lang_definitions` VALUES (47147, 1634, 13, 'Код диагноза');
INSERT INTO `lang_definitions` VALUES (47148, 1636, 13, 'Дата диагноза');
INSERT INTO `lang_definitions` VALUES (47149, 1637, 13, 'Для связи с обращением диагноз должен быть кодирован');
INSERT INTO `lang_definitions` VALUES (47150, 1638, 13, 'Наименование диагноза');
INSERT INTO `lang_definitions` VALUES (47151, 1639, 13, 'Отчет о диагнозе');
INSERT INTO `lang_definitions` VALUES (47152, 1640, 13, 'Отчетность о диагнозе');
INSERT INTO `lang_definitions` VALUES (47153, 1641, 13, 'Только отчетность о диагнозе');
INSERT INTO `lang_definitions` VALUES (47154, 1642, 13, 'Название диагноза');
INSERT INTO `lang_definitions` VALUES (47155, 1643, 13, 'Диагноз:');
INSERT INTO `lang_definitions` VALUES (47156, 1644, 13, 'Диагноз: ');
INSERT INTO `lang_definitions` VALUES (47157, 1645, 13, 'Диагностические тесты:');
INSERT INTO `lang_definitions` VALUES (47158, 1646, 13, 'Диализ');
INSERT INTO `lang_definitions` VALUES (47159, 1647, 13, 'Колпачки/капсулы');
INSERT INTO `lang_definitions` VALUES (47160, 1648, 13, 'Диарея');
INSERT INTO `lang_definitions` VALUES (47161, 1650, 13, 'Диктовка');
INSERT INTO `lang_definitions` VALUES (47162, 1651, 13, 'Диктовка: ');
INSERT INTO `lang_definitions` VALUES (47163, 1652, 13, 'Вы получили копию уведомления HIPAA?');
INSERT INTO `lang_definitions` VALUES (47164, 1653, 13, 'Распространить:');
INSERT INTO `lang_definitions` VALUES (47165, 1654, 13, 'Цифровые знаки');
INSERT INTO `lang_definitions` VALUES (47166, 1657, 13, 'Отправить письмо');
INSERT INTO `lang_definitions` VALUES (47167, 1663, 13, 'Фамилия руководителя');
INSERT INTO `lang_definitions` VALUES (47168, 1665, 13, 'Нетрудоспособность');
INSERT INTO `lang_definitions` VALUES (47169, 1667, 13, 'Отключить календарь');
INSERT INTO `lang_definitions` VALUES (47170, 1668, 13, 'Отключить отслеживание карты');
INSERT INTO `lang_definitions` VALUES (47171, 1669, 13, 'Отключить вакцинацию');
INSERT INTO `lang_definitions` VALUES (47172, 1670, 13, 'Отключить старую метрическую форму для ЖВП');
INSERT INTO `lang_definitions` VALUES (47173, 1672, 13, 'Отключить phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (47174, 1673, 13, 'Отключить назначения');
INSERT INTO `lang_definitions` VALUES (47175, 1674, 13, 'Отключить пользовательские группы');
INSERT INTO `lang_definitions` VALUES (47176, 1675, 13, 'отключено');
INSERT INTO `lang_definitions` VALUES (47177, 1676, 13, 'Отключено');
INSERT INTO `lang_definitions` VALUES (47178, 1677, 13, 'Инвалиды в возрасте до 65 лет с большим планом групповой охраны здоровья (LGHP)');
INSERT INTO `lang_definitions` VALUES (47179, 1678, 13, 'Сигнальный комплекс, индуцирующий смерть');
INSERT INTO `lang_definitions` VALUES (47180, 1681, 13, 'Отделяемое');
INSERT INTO `lang_definitions` VALUES (47181, 1682, 13, 'Выделения из уретры');
INSERT INTO `lang_definitions` VALUES (47182, 1684, 13, 'Выписан с выздоровлением');
INSERT INTO `lang_definitions` VALUES (47183, 1685, 13, 'Выписан с выздоровлением:');
INSERT INTO `lang_definitions` VALUES (47184, 1689, 13, 'Опубликованная информация');
INSERT INTO `lang_definitions` VALUES (47185, 1690, 13, 'Тип публикования');
INSERT INTO `lang_definitions` VALUES (47186, 1691, 13, 'Типы публикования');
INSERT INTO `lang_definitions` VALUES (47187, 1692, 13, 'Публикации');
INSERT INTO `lang_definitions` VALUES (47188, 1694, 13, 'Скидка');
INSERT INTO `lang_definitions` VALUES (47189, 1695, 13, 'Размер скидки');
INSERT INTO `lang_definitions` VALUES (47190, 1696, 13, 'Уровень скидки');
INSERT INTO `lang_definitions` VALUES (47191, 1697, 13, 'Процент скидки');
INSERT INTO `lang_definitions` VALUES (47192, 1698, 13, 'Скидка как денежная величина');
INSERT INTO `lang_definitions` VALUES (47193, 1699, 13, 'Скидка на расчетный час вводится как денежная сумма, а не проценты.');
INSERT INTO `lang_definitions` VALUES (47194, 1700, 13, 'Отдельный результат');
INSERT INTO `lang_definitions` VALUES (47195, 1701, 13, 'Болезнь');
INSERT INTO `lang_definitions` VALUES (47196, 1702, 13, 'Вывих');
INSERT INTO `lang_definitions` VALUES (47197, 1703, 13, 'Отпр. #');
INSERT INTO `lang_definitions` VALUES (47198, 1704, 13, 'Отправка');
INSERT INTO `lang_definitions` VALUES (47199, 1705, 13, 'Отправка полученного документа');
INSERT INTO `lang_definitions` VALUES (47200, 1706, 13, 'Предоставлено');
INSERT INTO `lang_definitions` VALUES (47201, 1707, 13, 'Отображение инструкций по заполнению на странице персональных данных.');
INSERT INTO `lang_definitions` VALUES (47202, 1709, 13, 'Отображать даты событий в блоке?');
INSERT INTO `lang_definitions` VALUES (47203, 1711, 13, 'Сколько событий отображать?');
INSERT INTO `lang_definitions` VALUES (47204, 1713, 13, 'Отображать размещение в блоке?');
INSERT INTO `lang_definitions` VALUES (47205, 1714, 13, 'Отображаемое наименование');
INSERT INTO `lang_definitions` VALUES (47206, 1715, 13, 'Отображать календарь?');
INSERT INTO `lang_definitions` VALUES (47207, 1718, 13, 'Отображать сегодняшние события в блоке?');
INSERT INTO `lang_definitions` VALUES (47208, 1719, 13, 'Отображать раздел в блоке?');
INSERT INTO `lang_definitions` VALUES (47209, 1720, 13, 'Отображать предстоящие события в блоке?');
INSERT INTO `lang_definitions` VALUES (47210, 1721, 13, 'Показать колонки');
INSERT INTO `lang_definitions` VALUES (47211, 1722, 13, 'Отображать это количество самых последних публикаций:');
INSERT INTO `lang_definitions` VALUES (47212, 1723, 13, 'Отображение указанного количества самых последних записей');
INSERT INTO `lang_definitions` VALUES (47213, 1724, 13, 'Отображать это количество самых последних записей:');
INSERT INTO `lang_definitions` VALUES (47214, 1725, 13, 'Распределение');
INSERT INTO `lang_definitions` VALUES (47215, 1726, 13, 'Распределения');
INSERT INTO `lang_definitions` VALUES (47216, 1727, 13, 'Поставщик');
INSERT INTO `lang_definitions` VALUES (47217, 1729, 13, 'Дивертикулит');
INSERT INTO `lang_definitions` VALUES (47218, 1730, 13, 'Хирургия дивертикулита');
INSERT INTO `lang_definitions` VALUES (47219, 1731, 13, 'Дивертикулит');
INSERT INTO `lang_definitions` VALUES (47220, 1732, 13, 'Хирургия дивертикулита');
INSERT INTO `lang_definitions` VALUES (47221, 1733, 13, 'Разведен');
INSERT INTO `lang_definitions` VALUES (47222, 1734, 13, 'Головокружения:');
INSERT INTO `lang_definitions` VALUES (47223, 1735, 13, 'Не менять');
INSERT INTO `lang_definitions` VALUES (47224, 1737, 13, 'Не отображать загрузку аллергии в NewCrop');
INSERT INTO `lang_definitions` VALUES (47225, 1739, 13, 'Не отображать загрузку медикаментов в NewCrop');
INSERT INTO `lang_definitions` VALUES (47226, 1742, 13, 'Не показывать календарь.');
INSERT INTO `lang_definitions` VALUES (47227, 1744, 13, 'Не инвентаризировать и не реализовывать никакую продукцию');
INSERT INTO `lang_definitions` VALUES (47228, 1745, 13, 'Не требует полномочий для записей по пациенту');
INSERT INTO `lang_definitions` VALUES (47229, 1746, 13, 'Указано не реанимировать');
INSERT INTO `lang_definitions` VALUES (47230, 1747, 13, 'не сохранять');
INSERT INTO `lang_definitions` VALUES (47231, 1748, 13, 'не заменять');
INSERT INTO `lang_definitions` VALUES (47232, 1749, 13, 'ничего не делать');
INSERT INTO `lang_definitions` VALUES (47233, 1751, 13, 'Действительно нужно удалить');
INSERT INTO `lang_definitions` VALUES (47234, 1752, 13, 'Действительно нужно удалить выбранное?');
INSERT INTO `lang_definitions` VALUES (47235, 1753, 13, 'Действительно нужно удалить эту группу');
INSERT INTO `lang_definitions` VALUES (47236, 1755, 13, 'Продолжить?');
INSERT INTO `lang_definitions` VALUES (47237, 1756, 13, 'Это нужно далить?');
INSERT INTO `lang_definitions` VALUES (47238, 1757, 13, 'Удалить?');
INSERT INTO `lang_definitions` VALUES (47239, 1758, 13, 'Удалить эту запись?');
INSERT INTO `lang_definitions` VALUES (47240, 1759, 13, 'Продолжить добавление нового пациента?');
INSERT INTO `lang_definitions` VALUES (47241, 1760, 13, 'Продолжить с новым наименованием?');
INSERT INTO `lang_definitions` VALUES (47242, 1761, 13, 'Эту запись по вакциинации нужно удалить НАВСЕГДА?');
INSERT INTO `lang_definitions` VALUES (47243, 1762, 13, 'Дата/рожд.');
INSERT INTO `lang_definitions` VALUES (47244, 1763, 13, 'Дата рождения пропущена, при возможности укажите');
INSERT INTO `lang_definitions` VALUES (47245, 1764, 13, 'Вр.');
INSERT INTO `lang_definitions` VALUES (47246, 1765, 13, 'Врач');
INSERT INTO `lang_definitions` VALUES (47247, 1766, 13, 'Врач:');
INSERT INTO `lang_definitions` VALUES (47248, 1767, 13, 'Фамилия и подпись врача');
INSERT INTO `lang_definitions` VALUES (47249, 1768, 13, 'Документ');
INSERT INTO `lang_definitions` VALUES (47250, 1769, 13, 'документ');
INSERT INTO `lang_definitions` VALUES (47251, 1770, 13, 'Категории документа');
INSERT INTO `lang_definitions` VALUES (47252, 1775, 13, 'Документ не может быть перемещен для пациента с id');
INSERT INTO `lang_definitions` VALUES (47253, 1777, 13, 'Дата регистрации');
INSERT INTO `lang_definitions` VALUES (47254, 1778, 13, 'Данные по регистрации и проблема обновлены успешно');
INSERT INTO `lang_definitions` VALUES (47255, 1779, 13, 'ID регистрации');
INSERT INTO `lang_definitions` VALUES (47256, 1780, 13, 'Документ перемещен в новую категорию');
INSERT INTO `lang_definitions` VALUES (47257, 1781, 13, 'Документ перемещен для пациента с id');
INSERT INTO `lang_definitions` VALUES (47258, 1783, 13, 'Документ проходит проверку целостности.');
INSERT INTO `lang_definitions` VALUES (47259, 1785, 13, 'Документ успешно переименован.');
INSERT INTO `lang_definitions` VALUES (47260, 1790, 13, 'Сохранение документа/изображения');
INSERT INTO `lang_definitions` VALUES (47261, 1791, 13, 'Документы');
INSERT INTO `lang_definitions` VALUES (47262, 1792, 13, 'Документы (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (47263, 1794, 13, 'Одышка при физической нагрузке');
INSERT INTO `lang_definitions` VALUES (47264, 1798, 13, 'Этот тип допускает связанные коды?');
INSERT INTO `lang_definitions` VALUES (47265, 1799, 13, 'Отечественный партнер');
INSERT INTO `lang_definitions` VALUES (47266, 1800, 13, 'Не сохранять');
INSERT INTO `lang_definitions` VALUES (47267, 1801, 13, 'Не сохранять');
INSERT INTO `lang_definitions` VALUES (47268, 1802, 13, 'Не сохранять изменения');
INSERT INTO `lang_definitions` VALUES (47269, 1803, 13, 'Готово');
INSERT INTO `lang_definitions` VALUES (47270, 1804, 13, 'Выполнено с:');
INSERT INTO `lang_definitions` VALUES (47271, 1805, 13, 'Готово. Теперь будет отправлена загрузка.');
INSERT INTO `lang_definitions` VALUES (47272, 1806, 13, 'DOS');
INSERT INTO `lang_definitions` VALUES (47273, 1807, 13, 'Дозировка');
INSERT INTO `lang_definitions` VALUES (47274, 1809, 13, 'двойной щелчок для редактирования');
INSERT INTO `lang_definitions` VALUES (47275, 1810, 13, 'Двоение в глазах');
INSERT INTO `lang_definitions` VALUES (47276, 1811, 13, 'Загрузить');
INSERT INTO `lang_definitions` VALUES (47277, 1814, 13, 'Загрузить в любом случае');
INSERT INTO `lang_definitions` VALUES (47278, 1815, 13, 'Загружает файл счета, вносит для учетной записи и маркирует как оплату');
INSERT INTO `lang_definitions` VALUES (47279, 1817, 13, 'Загрузить сертификаты');
INSERT INTO `lang_definitions` VALUES (47280, 1818, 13, 'Загрузить данные настроек');
INSERT INTO `lang_definitions` VALUES (47281, 1820, 13, 'загружает шифрованный файл');
INSERT INTO `lang_definitions` VALUES (47282, 1827, 13, 'Загрузить выбранные заявки');
INSERT INTO `lang_definitions` VALUES (47283, 1828, 13, 'Регистрация д-ра');
INSERT INTO `lang_definitions` VALUES (47284, 1829, 13, 'Посещение д-ра');
INSERT INTO `lang_definitions` VALUES (47285, 1830, 13, 'Д-р');
INSERT INTO `lang_definitions` VALUES (47286, 1831, 13, 'Препарат для перемещения');
INSERT INTO `lang_definitions` VALUES (47287, 1832, 13, 'Подтекание мочи');
INSERT INTO `lang_definitions` VALUES (47288, 1833, 13, 'Водительские права или государственный ID');
INSERT INTO `lang_definitions` VALUES (47289, 1834, 13, 'Препарат');
INSERT INTO `lang_definitions` VALUES (47290, 1835, 13, 'Поисковик препаратов');
INSERT INTO `lang_definitions` VALUES (47291, 1836, 13, 'Формы препаратов');
INSERT INTO `lang_definitions` VALUES (47292, 1837, 13, 'ID препарата пропущен!');
INSERT INTO `lang_definitions` VALUES (47293, 1838, 13, 'Частота приема препарата');
INSERT INTO `lang_definitions` VALUES (47294, 1839, 13, 'Учет препарата');
INSERT INTO `lang_definitions` VALUES (47295, 1840, 13, 'Наименование препарата');
INSERT INTO `lang_definitions` VALUES (47296, 1841, 13, 'Способ введения препарата');
INSERT INTO `lang_definitions` VALUES (47297, 1845, 13, 'Единицы измерения препарата');
INSERT INTO `lang_definitions` VALUES (47298, 1846, 13, 'Препараты');
INSERT INTO `lang_definitions` VALUES (47299, 1847, 13, 'Препараты и изделия');
INSERT INTO `lang_definitions` VALUES (47300, 1848, 13, 'Сухость во рту');
INSERT INTO `lang_definitions` VALUES (47301, 1849, 13, 'Диагноз DSMIV');
INSERT INTO `lang_definitions` VALUES (47302, 1850, 13, 'Дифтеритический тетанус 1');
INSERT INTO `lang_definitions` VALUES (47303, 1851, 13, 'Дифтеритический тетанус 2');
INSERT INTO `lang_definitions` VALUES (47304, 1852, 13, 'Дифтеритический тетанус 3');
INSERT INTO `lang_definitions` VALUES (47305, 1853, 13, 'Дифтеритический тетанус 4');
INSERT INTO `lang_definitions` VALUES (47306, 1854, 13, 'Дифтеритический тетанус 5');
INSERT INTO `lang_definitions` VALUES (47307, 1855, 13, 'АКДС 1');
INSERT INTO `lang_definitions` VALUES (47308, 1856, 13, 'АКДС 2');
INSERT INTO `lang_definitions` VALUES (47309, 1857, 13, 'АКДС 3');
INSERT INTO `lang_definitions` VALUES (47310, 1858, 13, 'АКДС 4');
INSERT INTO `lang_definitions` VALUES (47311, 1859, 13, 'АКДС 5');
INSERT INTO `lang_definitions` VALUES (47312, 1860, 13, 'Подлежит выплате');
INSERT INTO `lang_definitions` VALUES (47313, 1861, 13, 'Дата оплаты');
INSERT INTO `lang_definitions` VALUES (47314, 1862, 13, 'Дата оплаты mm/dd/yyyy или yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (47315, 1863, 13, 'Дата оплаты:');
INSERT INTO `lang_definitions` VALUES (47316, 1864, 13, 'Подлежит страх.');
INSERT INTO `lang_definitions` VALUES (47317, 1865, 13, 'Подлежит оплате');
INSERT INTO `lang_definitions` VALUES (47318, 1866, 13, 'Подлежит вскоре');
INSERT INTO `lang_definitions` VALUES (47319, 1867, 13, 'Назначенный статус');
INSERT INTO `lang_definitions` VALUES (47320, 1868, 13, 'Обновление статуса оплаты');
INSERT INTO `lang_definitions` VALUES (47321, 1869, 13, 'Формирование дампа базы данных LibreEHR');
INSERT INTO `lang_definitions` VALUES (47322, 1870, 13, 'Формирование дампа дерева веб-каталога LibreEHR');
INSERT INTO `lang_definitions` VALUES (47323, 1871, 13, 'Формирование дампа базы данных phpGACL');
INSERT INTO `lang_definitions` VALUES (47324, 1872, 13, 'Формирование дампа дерева веб-каталога phpGACL');
INSERT INTO `lang_definitions` VALUES (47325, 1873, 13, 'Формирование дампа базы данных регистра SQL');
INSERT INTO `lang_definitions` VALUES (47326, 1874, 13, 'Формирование дампа дерева веб-каталога регистра SQL');
INSERT INTO `lang_definitions` VALUES (47327, 1875, 13, 'Проверка на дублирование');
INSERT INTO `lang_definitions` VALUES (47328, 1876, 13, 'Он-лайн дублирование ID');
INSERT INTO `lang_definitions` VALUES (47329, 1877, 13, 'Двойное имя в строке');
INSERT INTO `lang_definitions` VALUES (47330, 1878, 13, 'ПРЕДУПРЕЖДЕНИЕ О ДУБЛИРОВАНИИ');
INSERT INTO `lang_definitions` VALUES (47331, 1879, 13, 'Постоянный поверенный');
INSERT INTO `lang_definitions` VALUES (47332, 1880, 13, 'продолжительность');
INSERT INTO `lang_definitions` VALUES (47333, 1881, 13, 'Продолжительность');
INSERT INTO `lang_definitions` VALUES (47334, 1882, 13, 'Голландский');
INSERT INTO `lang_definitions` VALUES (47335, 1883, 13, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (47336, 1884, 13, 'Дисфагия');
INSERT INTO `lang_definitions` VALUES (47337, 1885, 13, 'Одышка:');
INSERT INTO `lang_definitions` VALUES (47338, 1886, 13, 'Дизурия');
INSERT INTO `lang_definitions` VALUES (47339, 1888, 13, 'Е-назначение?');
INSERT INTO `lang_definitions` VALUES (47340, 1890, 13, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (47341, 1892, 13, 'Возобновление e-лечения');
INSERT INTO `lang_definitions` VALUES (47342, 1893, 13, 'Каждый получатель должен устанавливать свои собственные сообщения как выполненные.');
INSERT INTO `lang_definitions` VALUES (47343, 1894, 13, 'Ранний возврат (< 2 мес.)');
INSERT INTO `lang_definitions` VALUES (47344, 1895, 13, 'Уши');
INSERT INTO `lang_definitions` VALUES (47345, 1896, 13, 'ЭКГ');
INSERT INTO `lang_definitions` VALUES (47346, 1897, 13, 'e-требования');
INSERT INTO `lang_definitions` VALUES (47347, 1898, 13, 'Отек');
INSERT INTO `lang_definitions` VALUES (47348, 1902, 13, 'Файл EDI-271 обновлен');
INSERT INTO `lang_definitions` VALUES (47349, 1903, 13, 'Соответствующий файл EDI-271 обновлен');
INSERT INTO `lang_definitions` VALUES (47350, 1904, 13, 'Редактировать');
INSERT INTO `lang_definitions` VALUES (47351, 1905, 13, 'редактировать');
INSERT INTO `lang_definitions` VALUES (47352, 1906, 13, 'Редактировать аллергию');
INSERT INTO `lang_definitions` VALUES (47353, 1907, 13, 'Редактировать категории');
INSERT INTO `lang_definitions` VALUES (47354, 1908, 13, 'Редактировать определения');
INSERT INTO `lang_definitions` VALUES (47355, 1909, 13, 'Редактировать определения');
INSERT INTO `lang_definitions` VALUES (47356, 1910, 13, 'Редактировать диагнозы для');
INSERT INTO `lang_definitions` VALUES (47357, 1911, 13, 'Редактировать опубликование');
INSERT INTO `lang_definitions` VALUES (47358, 1912, 13, 'Редактировать услуги');
INSERT INTO `lang_definitions` VALUES (47359, 1913, 13, 'Редактировать услугу');
INSERT INTO `lang_definitions` VALUES (47360, 1914, 13, 'Редактировать информацию об услугах');
INSERT INTO `lang_definitions` VALUES (47361, 1915, 13, 'Редактировать информацию об услугах для отдельного пользователя');
INSERT INTO `lang_definitions` VALUES (47362, 1916, 13, 'Редактировать файл в');
INSERT INTO `lang_definitions` VALUES (47363, 1917, 13, 'Редактировать форму');
INSERT INTO `lang_definitions` VALUES (47364, 1918, 13, 'Редактировать глобальные настройки');
INSERT INTO `lang_definitions` VALUES (47365, 1919, 13, 'Редактирование не разрешено!');
INSERT INTO `lang_definitions` VALUES (47366, 1920, 13, 'Редактировать макет');
INSERT INTO `lang_definitions` VALUES (47367, 1921, 13, 'Редактировать список');
INSERT INTO `lang_definitions` VALUES (47368, 1922, 13, 'Редактировать платеж');
INSERT INTO `lang_definitions` VALUES (47369, 1923, 13, 'Редактировать структуру');
INSERT INTO `lang_definitions` VALUES (47370, 1924, 13, 'Редактировать пользователя');
INSERT INTO `lang_definitions` VALUES (47371, 1925, 13, 'Изменение параметров настройки пользователя');
INSERT INTO `lang_definitions` VALUES (47372, 1928, 13, 'Образование');
INSERT INTO `lang_definitions` VALUES (47373, 1929, 13, 'Дата получения образования');
INSERT INTO `lang_definitions` VALUES (47374, 1931, 13, 'эл. ред. * Подробнее см. Лицензию на свободное программное  обеспечение GNU. ** Вместе с этой программой вы должны  были получить экземпляр GPL GNU *; Если нет,  то пишите в свободном ');
INSERT INTO `lang_definitions` VALUES (47375, 1932, 13, 'Фактическая дата');
INSERT INTO `lang_definitions` VALUES (47376, 1934, 13, 'Эффективность');
INSERT INTO `lang_definitions` VALUES (47377, 1935, 13, 'Идентификационный номер работодателя');
INSERT INTO `lang_definitions` VALUES (47378, 1936, 13, 'Эякуляции');
INSERT INTO `lang_definitions` VALUES (47379, 1937, 13, 'Локоть');
INSERT INTO `lang_definitions` VALUES (47380, 1938, 13, 'Проблемы локтя');
INSERT INTO `lang_definitions` VALUES (47381, 1939, 13, 'Электронный');
INSERT INTO `lang_definitions` VALUES (47382, 1942, 13, 'Электронные переводы');
INSERT INTO `lang_definitions` VALUES (47383, 1944, 13, 'Срок годности');
INSERT INTO `lang_definitions` VALUES (47384, 1945, 13, 'Срок годности запрошенной партии 270');
INSERT INTO `lang_definitions` VALUES (47385, 1946, 13, 'Преемственный ответ');
INSERT INTO `lang_definitions` VALUES (47386, 1947, 13, 'Статус пригодности для детской вакцины, имеющей срок годности');
INSERT INTO `lang_definitions` VALUES (47387, 1948, 13, 'Годная');
INSERT INTO `lang_definitions` VALUES (47388, 1949, 13, 'e-mail');
INSERT INTO `lang_definitions` VALUES (47389, 1951, 13, 'Адрес e-mail');
INSERT INTO `lang_definitions` VALUES (47390, 1953, 13, 'Адрес электронной почты отправителя для напоминаний о пациенте. Внесите, чтобы напоминания о пациенте направлялись на этот адрес. Важно использовать адрес домена вашей клиники во избежание предотвращения сбора напоминаний пациенту в папке нежелательной почты.');
INSERT INTO `lang_definitions` VALUES (47391, 1954, 13, 'Адрес e-mail, если имеется, для получения административных уведомлений.');
INSERT INTO `lang_definitions` VALUES (47392, 1955, 13, 'Адрес e-mail, если имеется, для получения экстренных сообщений об активации логин пользователя.');
INSERT INTO `lang_definitions` VALUES (47393, 1956, 13, 'Разр. email');
INSERT INTO `lang_definitions` VALUES (47394, 1957, 13, 'E-mail от пакетной обработки');
INSERT INTO `lang_definitions` VALUES (47395, 1958, 13, 'Уведомление об e-mail');
INSERT INTO `lang_definitions` VALUES (47396, 1959, 13, 'Часы уведомление об e-mail');
INSERT INTO `lang_definitions` VALUES (47397, 1960, 13, 'Отчет уведомлений об e-mail');
INSERT INTO `lang_definitions` VALUES (47398, 1961, 13, 'Отправить e-mail до');
INSERT INTO `lang_definitions` VALUES (47399, 1962, 13, 'Отправитель e-mail');
INSERT INTO `lang_definitions` VALUES (47400, 1963, 13, 'Отправка e-mail');
INSERT INTO `lang_definitions` VALUES (47401, 1964, 13, 'E-mail отправлено к');
INSERT INTO `lang_definitions` VALUES (47402, 1965, 13, 'Тема e-mail');
INSERT INTO `lang_definitions` VALUES (47403, 1966, 13, 'текст e-mail, употребляемый тэг: ***НАИМЕНОВАНИЕ*** , т.е. Уважаемый ***ИМЯ***');
INSERT INTO `lang_definitions` VALUES (47404, 1967, 13, 'Текст e-mail, употребляемый тэг: ***NAME*** , т.е. Уважаемый ***NAME***{{Не переводите элементы ***NAME*** этой константы.}}');
INSERT INTO `lang_definitions` VALUES (47405, 1968, 13, 'Метод передачи e-mail');
INSERT INTO `lang_definitions` VALUES (47406, 1969, 13, 'E-mail отправлен по следующим адресам');
INSERT INTO `lang_definitions` VALUES (47407, 1971, 13, 'Дополнительный контакт');
INSERT INTO `lang_definitions` VALUES (47408, 1972, 13, 'Дополнительный контакт');
INSERT INTO `lang_definitions` VALUES (47409, 1973, 13, 'Номер телефона для экстренной связи');
INSERT INTO `lang_definitions` VALUES (47410, 1974, 13, 'Вспомогательная контрацепция');
INSERT INTO `lang_definitions` VALUES (47411, 1975, 13, 'Вход в систему в чрезвычайной ситуации');
INSERT INTO `lang_definitions` VALUES (47412, 1976, 13, 'Выбран чрезвычайный вход в систему ACL. Пользователь все еще в активном состоянии, просьба деактивировать этого пользователя и также активировать, когда потребуется при чрезвычайной ситуации. Для активации или деактивации см. Администрирование-> Пользователи.');
INSERT INTO `lang_definitions` VALUES (47413, 1977, 13, 'Чрезвычайный e-mail активации входа в систему будет задействован, только если в файле interface/globals.php заданы следующие параметры:');
INSERT INTO `lang_definitions` VALUES (47414, 1978, 13, 'Адрес e-mail чрезвычайного входа в систему');
INSERT INTO `lang_definitions` VALUES (47415, 1979, 13, 'Пользователь чрезвычайного входа в систему может делать все');
INSERT INTO `lang_definitions` VALUES (47416, 1980, 13, 'Дополнительный телефон');
INSERT INTO `lang_definitions` VALUES (47417, 1982, 13, 'Эмфизема');
INSERT INTO `lang_definitions` VALUES (47418, 1983, 13, 'Служащий');
INSERT INTO `lang_definitions` VALUES (47419, 1984, 13, 'Место работы');
INSERT INTO `lang_definitions` VALUES (47420, 1985, 13, 'Адрес места работы');
INSERT INTO `lang_definitions` VALUES (47421, 1986, 13, 'Дата приема на работу');
INSERT INTO `lang_definitions` VALUES (47422, 1987, 13, 'Наименование места работы');
INSERT INTO `lang_definitions` VALUES (47423, 1988, 13, 'ПУСТОЕ');
INSERT INTO `lang_definitions` VALUES (47424, 1989, 13, 'Пустое');
INSERT INTO `lang_definitions` VALUES (47425, 1991, 13, 'Пустое значение в \"Час e-mail\"');
INSERT INTO `lang_definitions` VALUES (47426, 1992, 13, 'Пустое значение в \"Отправитель e-mail\"');
INSERT INTO `lang_definitions` VALUES (47427, 1993, 13, 'Пустое значение в \"Субъект e-mail\"');
INSERT INTO `lang_definitions` VALUES (47428, 1994, 13, 'Пустое значение в \"Текст e-mail\"');
INSERT INTO `lang_definitions` VALUES (47429, 1995, 13, 'Пустое значение для \"Фамилия специалиста\"');
INSERT INTO `lang_definitions` VALUES (47430, 1996, 13, 'Пустое значение в \"Пароль\"');
INSERT INTO `lang_definitions` VALUES (47431, 1997, 13, 'Пустое значение в \"Час SMS\"');
INSERT INTO `lang_definitions` VALUES (47432, 1998, 13, 'Пустое значение в \"Текст SMS\"');
INSERT INTO `lang_definitions` VALUES (47433, 1999, 13, 'Пустое значение для \"Имя пользователя\"');
INSERT INTO `lang_definitions` VALUES (47434, 2006, 13, 'Включить вызов AMC');
INSERT INTO `lang_definitions` VALUES (47435, 2008, 13, 'Включить отчет AMC');
INSERT INTO `lang_definitions` VALUES (47436, 2009, 13, 'Включить отслеживание AMC');
INSERT INTO `lang_definitions` VALUES (47437, 2011, 13, 'Включить аудит ATNA');
INSERT INTO `lang_definitions` VALUES (47438, 2013, 13, 'Включить аудит журналирования');
INSERT INTO `lang_definitions` VALUES (47439, 2014, 13, 'Включает отслеживание аудита и аутентификацию узла (ATNA).');
INSERT INTO `lang_definitions` VALUES (47440, 2015, 13, 'Включить отчетность автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (47441, 2016, 13, 'Включить клиентский SSL');
INSERT INTO `lang_definitions` VALUES (47442, 2017, 13, 'Включает аутентификацию сертификата SSL для клиента.');
INSERT INTO `lang_definitions` VALUES (47443, 2019, 13, 'Включить клинические правила заключений (CDR)');
INSERT INTO `lang_definitions` VALUES (47444, 2022, 13, 'Включить отчетность о клинической оценке качества (CQM)');
INSERT INTO `lang_definitions` VALUES (47445, 2023, 13, 'Включить всплывающие клинические напоминания');
INSERT INTO `lang_definitions` VALUES (47446, 2024, 13, 'Включить виджет для клинических напоминаний');
INSERT INTO `lang_definitions` VALUES (47447, 2027, 13, 'Включить отчетность CQM');
INSERT INTO `lang_definitions` VALUES (47448, 2031, 13, 'Включить поддержку Hylafax');
INSERT INTO `lang_definitions` VALUES (47449, 2033, 13, 'Включить сообщение статуса импорта для erx NewCrop');
INSERT INTO `lang_definitions` VALUES (47450, 2037, 13, 'Включить лабораторный обмен');
INSERT INTO `lang_definitions` VALUES (47451, 2040, 13, 'Включить журналирование всех запросов SELECT для SQL.');
INSERT INTO `lang_definitions` VALUES (47452, 2041, 13, 'Включить журналирование активности, связанной с резервным копированием.');
INSERT INTO `lang_definitions` VALUES (47453, 2043, 13, 'Включить журналирование смешанной активности.');
INSERT INTO `lang_definitions` VALUES (47454, 2044, 13, 'Включить журналирование активности назначений.');
INSERT INTO `lang_definitions` VALUES (47455, 2045, 13, 'Включить журналирование модификаций записей по пациентам.');
INSERT INTO `lang_definitions` VALUES (47456, 2046, 13, 'Включить журналирование активности планирования.');
INSERT INTO `lang_definitions` VALUES (47457, 2047, 13, 'Включить журналирование активности безопасности и администрирования.');
INSERT INTO `lang_definitions` VALUES (47458, 2049, 13, 'Включить службу eRx для NewCrop');
INSERT INTO `lang_definitions` VALUES (47459, 2051, 13, 'Включить портал для внешних пациентов');
INSERT INTO `lang_definitions` VALUES (47460, 2052, 13, 'Включает портал для внешних пациентов.');
INSERT INTO `lang_definitions` VALUES (47461, 2053, 13, 'Включить портал для внутренних пациентов');
INSERT INTO `lang_definitions` VALUES (47462, 2055, 13, 'Включает портал для внутренних пациентов.');
INSERT INTO `lang_definitions` VALUES (47463, 2056, 13, 'Включить виджет напоминаний для пациентов');
INSERT INTO `lang_definitions` VALUES (47464, 2058, 13, 'Включить приглашение ввода даты для автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (47465, 2060, 13, 'Включить отчетность об отслеживании даты для автоматического вычисления единицы измерения (AMC)');
INSERT INTO `lang_definitions` VALUES (47466, 2061, 13, 'Включить поддержку сканера');
INSERT INTO `lang_definitions` VALUES (47467, 2065, 13, 'Включает поддержку LibreEHR службой лабораторного обмена LLC.');
INSERT INTO `lang_definitions` VALUES (47468, 2066, 13, 'Включить аутентификацию пользовательского сертификата');
INSERT INTO `lang_definitions` VALUES (47469, 2067, 13, 'Включить службу eRx для ZMG, LLC');
INSERT INTO `lang_definitions` VALUES (47470, 2068, 13, 'включено');
INSERT INTO `lang_definitions` VALUES (47471, 2070, 13, 'Включает старую панель с оплатой для ввода кодов оплаты и платежей. Не рекомендуется, лучше используйте список оплаты.');
INSERT INTO `lang_definitions` VALUES (47472, 2071, 13, 'Обр.');
INSERT INTO `lang_definitions` VALUES (47473, 2072, 13, 'Обращ.');
INSERT INTO `lang_definitions` VALUES (47474, 2073, 13, 'Обращение');
INSERT INTO `lang_definitions` VALUES (47475, 2074, 13, 'обращение');
INSERT INTO `lang_definitions` VALUES (47476, 2075, 13, 'Обращение ');
INSERT INTO `lang_definitions` VALUES (47477, 2076, 13, 'экстренное поступление пациента в стационар или ED');
INSERT INTO `lang_definitions` VALUES (47478, 2081, 13, 'Дата обращения');
INSERT INTO `lang_definitions` VALUES (47479, 2086, 13, 'Формы обращения');
INSERT INTO `lang_definitions` VALUES (47480, 2087, 13, 'Обращение по поводу здоровья и состояния');
INSERT INTO `lang_definitions` VALUES (47481, 2088, 13, 'Хронология обращений');
INSERT INTO `lang_definitions` VALUES (47482, 2089, 13, 'ID обращения');
INSERT INTO `lang_definitions` VALUES (47483, 2090, 13, 'обращение по поводу гриппа');
INSERT INTO `lang_definitions` VALUES (47484, 2091, 13, 'Количество обращений');
INSERT INTO `lang_definitions` VALUES (47485, 2093, 13, 'обращение к медсестре по поводу выписки');
INSERT INTO `lang_definitions` VALUES (47486, 2094, 13, 'обращение по поводу медсестринских услуг');
INSERT INTO `lang_definitions` VALUES (47487, 2095, 13, 'обращение по поводу трудотерапии');
INSERT INTO `lang_definitions` VALUES (47488, 2096, 13, 'обращение для посещения кабинете');
INSERT INTO `lang_definitions` VALUES (47489, 2097, 13, 'амбулаторное обращение');
INSERT INTO `lang_definitions` VALUES (47490, 2098, 13, 'амбулаторное обращение w/PCP & obgyn');
INSERT INTO `lang_definitions` VALUES (47491, 2099, 13, 'Размер страницы обращения');
INSERT INTO `lang_definitions` VALUES (47492, 2101, 13, 'Обращение по поводу беременности');
INSERT INTO `lang_definitions` VALUES (47493, 2102, 13, 'обращение по поводу профосмотра - индивидуальное собеседование');
INSERT INTO `lang_definitions` VALUES (47494, 2103, 13, 'обращение по поводу профсмотра в 40 лет и старше');
INSERT INTO `lang_definitions` VALUES (47495, 2104, 13, 'обращение по поводу профосмотра для группового собеседования');
INSERT INTO `lang_definitions` VALUES (47496, 2105, 13, 'обращение по поводу профосмотра для других услуг');
INSERT INTO `lang_definitions` VALUES (47497, 2106, 13, 'обращение по поводу профосмотра в 18 лет и старше');
INSERT INTO `lang_definitions` VALUES (47498, 2107, 13, 'обращение к психиатру и психологу');
INSERT INTO `lang_definitions` VALUES (47499, 2108, 13, 'Статистика по обращению');
INSERT INTO `lang_definitions` VALUES (47500, 2109, 13, 'Итог по обращению');
INSERT INTO `lang_definitions` VALUES (47501, 2110, 13, 'Обращение было шифровано');
INSERT INTO `lang_definitions` VALUES (47502, 2111, 13, 'Обращение:');
INSERT INTO `lang_definitions` VALUES (47503, 2112, 13, 'Обращение: при плановом поступлении пациента в стационар, амбулаторное или к окулисту');
INSERT INTO `lang_definitions` VALUES (47504, 2113, 13, 'Обращения');
INSERT INTO `lang_definitions` VALUES (47505, 2114, 13, 'Обращения и формы');
INSERT INTO `lang_definitions` VALUES (47506, 2115, 13, 'Обращения &amp; Формы');
INSERT INTO `lang_definitions` VALUES (47507, 2116, 13, 'Доступ к обращениям не разрешен');
INSERT INTO `lang_definitions` VALUES (47508, 2117, 13, 'Отчет по обращениям');
INSERT INTO `lang_definitions` VALUES (47509, 2118, 13, 'Раздел обращений');
INSERT INTO `lang_definitions` VALUES (47510, 2120, 13, 'Шифрование');
INSERT INTO `lang_definitions` VALUES (47511, 2121, 13, 'Конец');
INSERT INTO `lang_definitions` VALUES (47512, 2122, 13, 'Окончание (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (47513, 2123, 13, 'Конечная дата');
INSERT INTO `lang_definitions` VALUES (47514, 2124, 13, 'Конечная дата');
INSERT INTO `lang_definitions` VALUES (47515, 2126, 13, 'Конечная дата должна быть позднее начальной');
INSERT INTO `lang_definitions` VALUES (47516, 2127, 13, 'Конечная дата:');
INSERT INTO `lang_definitions` VALUES (47517, 2131, 13, 'Конечное время');
INSERT INTO `lang_definitions` VALUES (47518, 2132, 13, 'Лицо с терминальной стадией ХПН в MCP с групповым планом работодателя');
INSERT INTO `lang_definitions` VALUES (47519, 2133, 13, 'Конечная дата оказания услуги yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (47520, 2134, 13, 'Если нужно ввести диапазон, завершите mm/dd/yyyy DOS');
INSERT INTO `lang_definitions` VALUES (47521, 2135, 13, 'Завершающий час дня для календарных событий.');
INSERT INTO `lang_definitions` VALUES (47522, 2136, 13, 'Глубокое отклонение от нормы крови');
INSERT INTO `lang_definitions` VALUES (47523, 2137, 13, 'Эндокринная');
INSERT INTO `lang_definitions` VALUES (47524, 2138, 13, 'Эндоскопия');
INSERT INTO `lang_definitions` VALUES (47525, 2141, 13, 'Английский');
INSERT INTO `lang_definitions` VALUES (47526, 2142, 13, 'Английский ');
INSERT INTO `lang_definitions` VALUES (47527, 2143, 13, 'Английский (индийский)');
INSERT INTO `lang_definitions` VALUES (47528, 2144, 13, 'Английский (стандартный)');
INSERT INTO `lang_definitions` VALUES (47529, 2145, 13, 'Шифровать команду, используя Hylafax.');
INSERT INTO `lang_definitions` VALUES (47530, 2146, 13, 'Убедитесь, что LibreEHR имеет права записи в каталог');
INSERT INTO `lang_definitions` VALUES (47531, 2147, 13, 'Отделяемое ЛОР');
INSERT INTO `lang_definitions` VALUES (47532, 2148, 13, 'Отоларингологические боли');
INSERT INTO `lang_definitions` VALUES (47533, 2149, 13, 'Введите код диагноза для исключения всех счетов, не содержащих его');
INSERT INTO `lang_definitions` VALUES (47534, 2151, 13, 'Введите здесь тело письма');
INSERT INTO `lang_definitions` VALUES (47535, 2152, 13, 'Введите пароль для root базы данных');
INSERT INTO `lang_definitions` VALUES (47536, 2153, 13, 'Введите имя пользователя root базы данных');
INSERT INTO `lang_definitions` VALUES (47537, 2154, 13, 'Введите диагноз');
INSERT INTO `lang_definitions` VALUES (47538, 2155, 13, 'Введите препараты');
INSERT INTO `lang_definitions` VALUES (47539, 2158, 13, 'Введите вакцинацию');
INSERT INTO `lang_definitions` VALUES (47540, 2159, 13, 'Введите ключ');
INSERT INTO `lang_definitions` VALUES (47541, 2161, 13, 'Введите новую область (край)');
INSERT INTO `lang_definitions` VALUES (47542, 2164, 13, 'Введите этот код повторной идентификации');
INSERT INTO `lang_definitions` VALUES (47543, 2165, 13, 'Выше введите критерий поиска');
INSERT INTO `lang_definitions` VALUES (47544, 2168, 13, 'Окружение');
INSERT INTO `lang_definitions` VALUES (47545, 2169, 13, 'Ввод данных EOB');
INSERT INTO `lang_definitions` VALUES (47546, 2170, 13, 'Отправка EOB - электронные переводы');
INSERT INTO `lang_definitions` VALUES (47547, 2171, 13, 'Отправка EOB - инструкции');
INSERT INTO `lang_definitions` VALUES (47548, 2172, 13, 'Отправка EOB - счет');
INSERT INTO `lang_definitions` VALUES (47549, 2173, 13, 'Отправка EOB - запись по пациенту');
INSERT INTO `lang_definitions` VALUES (47550, 2174, 13, 'Отправка EOB - поиск');
INSERT INTO `lang_definitions` VALUES (47551, 2176, 13, 'Эпилепсия');
INSERT INTO `lang_definitions` VALUES (47552, 2178, 13, 'Европейская ассоциация специалистов в области заболеваний почек');
INSERT INTO `lang_definitions` VALUES (47553, 2180, 13, 'Отправка в ERA');
INSERT INTO `lang_definitions` VALUES (47554, 2181, 13, 'Аннулировать');
INSERT INTO `lang_definitions` VALUES (47555, 2182, 13, 'Эрекции');
INSERT INTO `lang_definitions` VALUES (47556, 2183, 13, 'Ошибка');
INSERT INTO `lang_definitions` VALUES (47557, 2185, 13, 'Подтверждение ошибки при получении лабораторных результатов');
INSERT INTO `lang_definitions` VALUES (47558, 2187, 13, 'Ошибка получения лабораторных результатов из Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (47559, 2188, 13, 'Ошибка в выборе \"Пол\"');
INSERT INTO `lang_definitions` VALUES (47560, 2189, 13, 'Ошибка в выборе \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (47561, 2190, 13, 'Ошибка в выборе \"Обработка\"');
INSERT INTO `lang_definitions` VALUES (47562, 2191, 13, 'Ошибка в выборе \"Шлюз SMS\"');
INSERT INTO `lang_definitions` VALUES (47563, 2192, 13, 'Ошибка в выборе \"Сортировать по\"');
INSERT INTO `lang_definitions` VALUES (47564, 2193, 13, 'Ошибка gzip-сжатия файла: ');
INSERT INTO `lang_definitions` VALUES (47565, 2194, 13, 'Ошибка для опции ДА или НЕТ');
INSERT INTO `lang_definitions` VALUES (47566, 2195, 13, 'Ошибка открытия на чтение загруженного файла');
INSERT INTO `lang_definitions` VALUES (47567, 2198, 13, 'Удаленное сообщение об ошибке');
INSERT INTO `lang_definitions` VALUES (47568, 2199, 13, 'Ошибка исправления результатов из Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (47569, 2202, 13, 'Ошибка при предоставлении прав доступа к файлу для пользователя LibreEHR.');
INSERT INTO `lang_definitions` VALUES (47570, 2205, 13, 'ошибка при регистрации формы!');
INSERT INTO `lang_definitions` VALUES (47571, 2206, 13, 'Ошибка сохранения в файл');
INSERT INTO `lang_definitions` VALUES (47572, 2208, 13, 'Ошибка записи в файл');
INSERT INTO `lang_definitions` VALUES (47573, 2210, 13, 'Ошибка, файл не существует');
INSERT INTO `lang_definitions` VALUES (47574, 2211, 13, 'ОШИБКА, невозможно собрать данные с сервера');
INSERT INTO `lang_definitions` VALUES (47575, 2212, 13, 'Ошибка, невозможно создать клиентский сертификат');
INSERT INTO `lang_definitions` VALUES (47576, 2213, 13, 'Ошибка, невозможно создать сертификат admin.p12.');
INSERT INTO `lang_definitions` VALUES (47577, 2214, 13, 'Ошибка, невозможно создать доверенный сертификат Certificate.');
INSERT INTO `lang_definitions` VALUES (47578, 2215, 13, 'Ошибка, невозможно создать сертификат сервера.');
INSERT INTO `lang_definitions` VALUES (47579, 2216, 13, 'Ошибка, невозможно открыть файл');
INSERT INTO `lang_definitions` VALUES (47580, 2217, 13, 'Ошибка, в LibreEHR не включена аутентификация сертификата пользователя');
INSERT INTO `lang_definitions` VALUES (47581, 2218, 13, 'Ошибка, необходимо установить модуль php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (47582, 2219, 13, 'ОШИБКА: не удалось открыть table.sql, поврежденная форма?');
INSERT INTO `lang_definitions` VALUES (47583, 2220, 13, 'Ошибка: в строке дублированный ID');
INSERT INTO `lang_definitions` VALUES (47584, 2221, 13, 'Ошибка: в строке дублированное имя');
INSERT INTO `lang_definitions` VALUES (47585, 2222, 13, 'ОШИБКА: поле');
INSERT INTO `lang_definitions` VALUES (47586, 2223, 13, 'ОШИБКА: пропущенный модуль PHP для ZipArchive');
INSERT INTO `lang_definitions` VALUES (47587, 2225, 13, 'Ошибка: пароль не соответствует. Проверьте свой ввод.');
INSERT INTO `lang_definitions` VALUES (47588, 2226, 13, 'Ошибка: пароль не соответствует. Проверьте свой ввод.');
INSERT INTO `lang_definitions` VALUES (47589, 2227, 13, 'Ошибка: файл не существует');
INSERT INTO `lang_definitions` VALUES (47590, 2229, 13, 'ОШИБКА: невозможно копировать этот файл.');
INSERT INTO `lang_definitions` VALUES (47591, 2230, 13, 'Ошибка: создание архива загрузки не доступно');
INSERT INTO `lang_definitions` VALUES (47592, 2231, 13, 'Ошибка: создание архива Zip не доступно.');
INSERT INTO `lang_definitions` VALUES (47593, 2232, 13, 'ОШИБКА: извлечение этого файла не доступно.');
INSERT INTO `lang_definitions` VALUES (47594, 2233, 13, 'ОШИБКА: загрузка этого файла в базу данных не доступна.');
INSERT INTO `lang_definitions` VALUES (47595, 2234, 13, 'ОШИБКА: установка номера версии не доступна.');
INSERT INTO `lang_definitions` VALUES (47596, 2235, 13, 'Ошибки');
INSERT INTO `lang_definitions` VALUES (47597, 2236, 13, 'Статус аккаунта eRx');
INSERT INTO `lang_definitions` VALUES (47598, 2237, 13, 'Журналы eRx');
INSERT INTO `lang_definitions` VALUES (47599, 2238, 13, 'Имя ERX');
INSERT INTO `lang_definitions` VALUES (47600, 2239, 13, 'Пароль ERX');
INSERT INTO `lang_definitions` VALUES (47601, 2240, 13, 'Уровень доступа ERX');
INSERT INTO `lang_definitions` VALUES (47602, 2241, 13, 'Пользователь ERX');
INSERT INTO `lang_definitions` VALUES (47603, 2242, 13, 'Эритема:');
INSERT INTO `lang_definitions` VALUES (47604, 2245, 13, 'Эскимосский');
INSERT INTO `lang_definitions` VALUES (47605, 2247, 13, 'Зарегистрированный пациент');
INSERT INTO `lang_definitions` VALUES (47606, 2249, 13, 'Этническая принадлежность');
INSERT INTO `lang_definitions` VALUES (47607, 2250, 13, 'Этническая принадлежность или раса');
INSERT INTO `lang_definitions` VALUES (47608, 2251, 13, 'Список этносов-рас (write,addonly не обязателен)');
INSERT INTO `lang_definitions` VALUES (47609, 2252, 13, 'ETIN');
INSERT INTO `lang_definitions` VALUES (47610, 2253, 13, 'Событие');
INSERT INTO `lang_definitions` VALUES (47611, 2254, 13, 'Начало события');
INSERT INTO `lang_definitions` VALUES (47612, 2255, 13, 'Категория события');
INSERT INTO `lang_definitions` VALUES (47613, 2256, 13, 'Дата события');
INSERT INTO `lang_definitions` VALUES (47614, 2257, 13, 'Описание события');
INSERT INTO `lang_definitions` VALUES (47615, 2258, 13, 'Сведения о событии');
INSERT INTO `lang_definitions` VALUES (47616, 2259, 13, 'Событие не повторяется');
INSERT INTO `lang_definitions` VALUES (47617, 2260, 13, 'Продолжительность события');
INSERT INTO `lang_definitions` VALUES (47618, 2261, 13, 'Продолжительность события в минутах');
INSERT INTO `lang_definitions` VALUES (47619, 2262, 13, 'Оплата по факту');
INSERT INTO `lang_definitions` VALUES (47620, 2263, 13, 'Место проведения');
INSERT INTO `lang_definitions` VALUES (47621, 2264, 13, 'Событие повторяется каждые');
INSERT INTO `lang_definitions` VALUES (47622, 2265, 13, 'Событие повторяется в');
INSERT INTO `lang_definitions` VALUES (47623, 2266, 13, 'Начальное время события');
INSERT INTO `lang_definitions` VALUES (47624, 2267, 13, 'Обозначение события');
INSERT INTO `lang_definitions` VALUES (47625, 2268, 13, 'Обозначение события');
INSERT INTO `lang_definitions` VALUES (47626, 2269, 13, 'Фактический веб-сайт');
INSERT INTO `lang_definitions` VALUES (47627, 2270, 13, 'События');
INSERT INTO `lang_definitions` VALUES (47628, 2271, 13, 'События для');
INSERT INTO `lang_definitions` VALUES (47629, 2272, 13, 'Открывать события в новом окне');
INSERT INTO `lang_definitions` VALUES (47630, 2273, 13, 'каждый');
INSERT INTO `lang_definitions` VALUES (47631, 2274, 13, 'Каждые');
INSERT INTO `lang_definitions` VALUES (47632, 2275, 13, 'каждые 3 часа');
INSERT INTO `lang_definitions` VALUES (47633, 2276, 13, 'каждые 4 часа');
INSERT INTO `lang_definitions` VALUES (47634, 2277, 13, 'каждые 5 часа');
INSERT INTO `lang_definitions` VALUES (47635, 2278, 13, 'каждые 6 часа');
INSERT INTO `lang_definitions` VALUES (47636, 2279, 13, 'каждые 8 часа');
INSERT INTO `lang_definitions` VALUES (47637, 2280, 13, 'Каждый четвертый');
INSERT INTO `lang_definitions` VALUES (47638, 2281, 13, 'Каждый второй');
INSERT INTO `lang_definitions` VALUES (47639, 2282, 13, 'Каждый третий');
INSERT INTO `lang_definitions` VALUES (47640, 2283, 13, 'Каждый, каждый второй, каждый третий и т.д.');
INSERT INTO `lang_definitions` VALUES (47641, 2285, 13, 'Результаты исследований и анализов');
INSERT INTO `lang_definitions` VALUES (47642, 2286, 13, 'Результаты обследования');
INSERT INTO `lang_definitions` VALUES (47643, 2289, 13, 'Обследование');
INSERT INTO `lang_definitions` VALUES (47644, 2290, 13, 'Дата обследования');
INSERT INTO `lang_definitions` VALUES (47645, 2291, 13, 'Пример');
INSERT INTO `lang_definitions` VALUES (47646, 2292, 13, 'Примеры');
INSERT INTO `lang_definitions` VALUES (47647, 2293, 13, 'Исследования/анализы');
INSERT INTO `lang_definitions` VALUES (47648, 2294, 13, 'кроме');
INSERT INTO `lang_definitions` VALUES (47649, 2295, 13, 'Слезоточивость');
INSERT INTO `lang_definitions` VALUES (47650, 2296, 13, 'Исключенный пациент');
INSERT INTO `lang_definitions` VALUES (47651, 2297, 13, 'Исключение');
INSERT INTO `lang_definitions` VALUES (47652, 2298, 13, 'Лицензированное специализированное учреждение (EPO)');
INSERT INTO `lang_definitions` VALUES (47653, 2299, 13, 'Рабочий размер бумаги');
INSERT INTO `lang_definitions` VALUES (47654, 2300, 13, 'Упражнение');
INSERT INTO `lang_definitions` VALUES (47655, 2301, 13, 'Примеры упражнений');
INSERT INTO `lang_definitions` VALUES (47656, 2302, 13, 'Примеры упражнений');
INSERT INTO `lang_definitions` VALUES (47657, 2303, 13, 'Сущестествующее');
INSERT INTO `lang_definitions` VALUES (47658, 2304, 13, 'Выйти из администрирования');
INSERT INTO `lang_definitions` VALUES (47659, 2305, 13, 'Расш.');
INSERT INTO `lang_definitions` VALUES (47660, 2306, 13, 'Развернуть');
INSERT INTO `lang_definitions` VALUES (47661, 2307, 13, 'развернуть');
INSERT INTO `lang_definitions` VALUES (47662, 2308, 13, 'Развернуть всё');
INSERT INTO `lang_definitions` VALUES (47663, 2311, 13, 'Развёрнутый вид');
INSERT INTO `lang_definitions` VALUES (47664, 2312, 13, 'Отметьте form_encounter.pid для ');
INSERT INTO `lang_definitions` VALUES (47665, 2313, 13, 'Срок действия');
INSERT INTO `lang_definitions` VALUES (47666, 2314, 13, 'Дата годности');
INSERT INTO `lang_definitions` VALUES (47667, 2315, 13, 'Просрочено');
INSERT INTO `lang_definitions` VALUES (47668, 2316, 13, 'просрочено на');
INSERT INTO `lang_definitions` VALUES (47669, 2317, 13, 'Экспорт');
INSERT INTO `lang_definitions` VALUES (47670, 2318, 13, 'Экспортировать как CSV');
INSERT INTO `lang_definitions` VALUES (47671, 2319, 13, 'Экспорт конфигурации');
INSERT INTO `lang_definitions` VALUES (47672, 2322, 13, 'Экспорт персональных данных пациента');
INSERT INTO `lang_definitions` VALUES (47673, 2323, 13, 'Экспорт отчета PQRI');
INSERT INTO `lang_definitions` VALUES (47674, 2325, 13, 'Экспортировать выбранное, как CSV');
INSERT INTO `lang_definitions` VALUES (47675, 2326, 13, 'Экспортировать выбранное для сбора');
INSERT INTO `lang_definitions` VALUES (47676, 2327, 13, 'Экспорт в CSV');
INSERT INTO `lang_definitions` VALUES (47677, 2328, 13, 'Экспорт во внешнюю биллинговую систему');
INSERT INTO `lang_definitions` VALUES (47678, 2329, 13, 'Поездки за рубеж');
INSERT INTO `lang_definitions` VALUES (47679, 2330, 13, 'Поездки за рубеж');
INSERT INTO `lang_definitions` VALUES (47680, 2331, 13, 'Внеш. время сбора');
INSERT INTO `lang_definitions` VALUES (47681, 2332, 13, 'Внешний');
INSERT INTO `lang_definitions` VALUES (47682, 2336, 13, 'Внешний ID');
INSERT INTO `lang_definitions` VALUES (47683, 2337, 13, 'Внешний id');
INSERT INTO `lang_definitions` VALUES (47684, 2338, 13, 'Внешний идентификатор');
INSERT INTO `lang_definitions` VALUES (47685, 2339, 13, 'Только внешний');
INSERT INTO `lang_definitions` VALUES (47686, 2342, 13, 'Внешнее направление');
INSERT INTO `lang_definitions` VALUES (47687, 2343, 13, 'Контроль внешнего направления');
INSERT INTO `lang_definitions` VALUES (47688, 2344, 13, 'Направление внешнее?');
INSERT INTO `lang_definitions` VALUES (47689, 2345, 13, 'Внешние направления');
INSERT INTO `lang_definitions` VALUES (47690, 2346, 13, 'Извлечение файла zip');
INSERT INTO `lang_definitions` VALUES (47691, 2347, 13, 'Извлечение этого файла. Займет некоторое время...');
INSERT INTO `lang_definitions` VALUES (47692, 2348, 13, 'Отделяемое:');
INSERT INTO `lang_definitions` VALUES (47693, 2349, 13, 'Раздражение глаз');
INSERT INTO `lang_definitions` VALUES (47694, 2350, 13, 'Боль в глазах');
INSERT INTO `lang_definitions` VALUES (47695, 2351, 13, 'Гиперемия глаз');
INSERT INTO `lang_definitions` VALUES (47696, 2352, 13, 'Зрение');
INSERT INTO `lang_definitions` VALUES (47697, 2353, 13, 'F');
INSERT INTO `lang_definitions` VALUES (47698, 2354, 13, 'Гематологические проблемы F/H');
INSERT INTO `lang_definitions` VALUES (47699, 2355, 13, 'Женский F/H гирсутизм или стрии');
INSERT INTO `lang_definitions` VALUES (47700, 2356, 13, 'Учреждения');
INSERT INTO `lang_definitions` VALUES (47701, 2357, 13, 'Учреждение');
INSERT INTO `lang_definitions` VALUES (47702, 2358, 13, 'учреждение');
INSERT INTO `lang_definitions` VALUES (47703, 2359, 13, 'Управление услугами');
INSERT INTO `lang_definitions` VALUES (47704, 2360, 13, 'Город оказания услуги');
INSERT INTO `lang_definitions` VALUES (47705, 2361, 13, 'Код услуги');
INSERT INTO `lang_definitions` VALUES (47706, 2362, 13, 'Код страны оказания помощи');
INSERT INTO `lang_definitions` VALUES (47707, 2363, 13, 'Возможность факса');
INSERT INTO `lang_definitions` VALUES (47708, 2364, 13, 'Наименование услуги');
INSERT INTO `lang_definitions` VALUES (47709, 2365, 13, 'Общегосударственный номер-идентификатор агента, предоставляющего медицинские услуги');
INSERT INTO `lang_definitions` VALUES (47710, 2366, 13, 'Телефон службы');
INSERT INTO `lang_definitions` VALUES (47711, 2368, 13, 'Область (край) для службы');
INSERT INTO `lang_definitions` VALUES (47712, 2369, 13, 'Улица для службы');
INSERT INTO `lang_definitions` VALUES (47713, 2370, 13, 'Почтовый индекс для службы');
INSERT INTO `lang_definitions` VALUES (47714, 2372, 13, 'Учреждение:');
INSERT INTO `lang_definitions` VALUES (47715, 2373, 13, 'ДАЕТ СБОЙ');
INSERT INTO `lang_definitions` VALUES (47716, 2374, 13, 'давшее сбой');
INSERT INTO `lang_definitions` VALUES (47717, 2375, 13, 'Давшее сбой');
INSERT INTO `lang_definitions` VALUES (47718, 2383, 13, 'сбой');
INSERT INTO `lang_definitions` VALUES (47719, 2390, 13, 'Семейный анамнез');
INSERT INTO `lang_definitions` VALUES (47720, 2391, 13, 'Семейный анамнез по глаукоме');
INSERT INTO `lang_definitions` VALUES (47721, 2392, 13, 'Семейный анамнез:');
INSERT INTO `lang_definitions` VALUES (47722, 2394, 13, 'Семейная оплата');
INSERT INTO `lang_definitions` VALUES (47723, 2395, 13, 'Размер семьи');
INSERT INTO `lang_definitions` VALUES (47724, 2396, 13, 'Представить');
INSERT INTO `lang_definitions` VALUES (47725, 2398, 13, 'Фарси');
INSERT INTO `lang_definitions` VALUES (47726, 2400, 13, 'Отец');
INSERT INTO `lang_definitions` VALUES (47727, 2402, 13, 'Утомляемость');
INSERT INTO `lang_definitions` VALUES (47728, 2403, 13, 'Утомленный');
INSERT INTO `lang_definitions` VALUES (47729, 2404, 13, 'Факс');
INSERT INTO `lang_definitions` VALUES (47730, 2405, 13, 'Количество факсов');
INSERT INTO `lang_definitions` VALUES (47731, 2406, 13, 'Номер факса');
INSERT INTO `lang_definitions` VALUES (47732, 2408, 13, 'Факс/сканер');
INSERT INTO `lang_definitions` VALUES (47733, 2409, 13, 'Принять через факс');
INSERT INTO `lang_definitions` VALUES (47734, 2410, 13, 'Отправить через факс');
INSERT INTO `lang_definitions` VALUES (47735, 2411, 13, 'Возможности');
INSERT INTO `lang_definitions` VALUES (47736, 2412, 13, 'Фев');
INSERT INTO `lang_definitions` VALUES (47737, 2413, 13, 'Февраль');
INSERT INTO `lang_definitions` VALUES (47738, 2414, 13, 'FECA');
INSERT INTO `lang_definitions` VALUES (47739, 2415, 13, 'Государственный ID препарата');
INSERT INTO `lang_definitions` VALUES (47740, 2416, 13, 'Государственный EIN');
INSERT INTO `lang_definitions` VALUES (47741, 2417, 13, 'Государственный налоговый идентификатор');
INSERT INTO `lang_definitions` VALUES (47742, 2418, 13, 'Плата');
INSERT INTO `lang_definitions` VALUES (47743, 2419, 13, 'плата');
INSERT INTO `lang_definitions` VALUES (47744, 2420, 13, 'Плата не разрешена');
INSERT INTO `lang_definitions` VALUES (47745, 2421, 13, 'Платежный лист');
INSERT INTO `lang_definitions` VALUES (47746, 2422, 13, 'Варианты платежных ведомостей');
INSERT INTO `lang_definitions` VALUES (47747, 2423, 13, 'Платежи');
INSERT INTO `lang_definitions` VALUES (47748, 2424, 13, 'женский');
INSERT INTO `lang_definitions` VALUES (47749, 2425, 13, 'Женская стенокардия');
INSERT INTO `lang_definitions` VALUES (47750, 2426, 13, 'Женские кондомы');
INSERT INTO `lang_definitions` VALUES (47751, 2427, 13, 'Женский G');
INSERT INTO `lang_definitions` VALUES (47752, 2428, 13, 'Женский LC');
INSERT INTO `lang_definitions` VALUES (47753, 2429, 13, 'Женский P');
INSERT INTO `lang_definitions` VALUES (47754, 2430, 13, 'Женские симптомы');
INSERT INTO `lang_definitions` VALUES (47755, 2431, 13, 'Женский VSC');
INSERT INTO `lang_definitions` VALUES (47756, 2434, 13, 'Лихорадка');
INSERT INTO `lang_definitions` VALUES (47757, 2435, 13, 'Лихорадка:');
INSERT INTO `lang_definitions` VALUES (47758, 2436, 13, 'Проблемы крови FH');
INSERT INTO `lang_definitions` VALUES (47759, 2437, 13, 'Фибромы');
INSERT INTO `lang_definitions` VALUES (47760, 2441, 13, 'Тип поля для использования страны работодателя или потребителя в персональных данных.');
INSERT INTO `lang_definitions` VALUES (47761, 2442, 13, 'Тип поля для использования области (края) места работы или потребителя в персональных данных.');
INSERT INTO `lang_definitions` VALUES (47762, 2443, 13, 'Пропущено поле(я)!');
INSERT INTO `lang_definitions` VALUES (47763, 2447, 13, 'Файл');
INSERT INTO `lang_definitions` VALUES (47764, 2448, 13, 'файл в директории Documentation для изучения, как автоматизировать процесс создания журнала резервного копирования');
INSERT INTO `lang_definitions` VALUES (47765, 2449, 13, 'расположение файла');
INSERT INTO `lang_definitions` VALUES (47766, 2450, 13, 'Управление файлом');
INSERT INTO `lang_definitions` VALUES (47767, 2453, 13, 'Право на файл, предоставленное пользователю LibreEHR.');
INSERT INTO `lang_definitions` VALUES (47768, 2455, 13, 'Регистратура');
INSERT INTO `lang_definitions` VALUES (47769, 2456, 13, 'Файл для загрузки');
INSERT INTO `lang_definitions` VALUES (47770, 2458, 13, 'В этом месте уже имеется файл с таким именем:');
INSERT INTO `lang_definitions` VALUES (47771, 2459, 13, 'Имя файла');
INSERT INTO `lang_definitions` VALUES (47772, 2461, 13, 'Файлы');
INSERT INTO `lang_definitions` VALUES (47773, 2462, 13, 'Филиппинский');
INSERT INTO `lang_definitions` VALUES (47774, 2463, 13, 'Заполните ниже любую из строк');
INSERT INTO `lang_definitions` VALUES (47775, 2464, 13, 'Заполните здесь, только если отправляете пациенту сообщение через e-mail');
INSERT INTO `lang_definitions` VALUES (47776, 2465, 13, 'Заполните ниже значения');
INSERT INTO `lang_definitions` VALUES (47777, 2467, 13, 'Заполните эту строку.');
INSERT INTO `lang_definitions` VALUES (47778, 2468, 13, 'Фильтр');
INSERT INTO `lang_definitions` VALUES (47779, 2469, 13, 'Фильтр для констант');
INSERT INTO `lang_definitions` VALUES (47780, 2470, 13, 'Фильтр для определений');
INSERT INTO `lang_definitions` VALUES (47781, 2472, 13, 'фильтры');
INSERT INTO `lang_definitions` VALUES (47782, 2473, 13, 'Фильтры');
INSERT INTO `lang_definitions` VALUES (47783, 2474, 13, 'Конечный');
INSERT INTO `lang_definitions` VALUES (47784, 2475, 13, 'Окончательный диагноз');
INSERT INTO `lang_definitions` VALUES (47785, 2476, 13, 'Окончательный диагноз специалиста');
INSERT INTO `lang_definitions` VALUES (47786, 2478, 13, 'Финансовый');
INSERT INTO `lang_definitions` VALUES (47787, 2479, 13, 'Дата финансового закрытия (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (47788, 2480, 13, 'Финансовое сообщение - любое');
INSERT INTO `lang_definitions` VALUES (47789, 2481, 13, 'Финансовое сообщение - мои обращения');
INSERT INTO `lang_definitions` VALUES (47790, 2482, 13, 'Дата финансового рассмотрения');
INSERT INTO `lang_definitions` VALUES (47791, 2484, 13, 'Найти');
INSERT INTO `lang_definitions` VALUES (47792, 2485, 13, 'Найти доступные');
INSERT INTO `lang_definitions` VALUES (47793, 2486, 13, 'Найти доступные записи на прием');
INSERT INTO `lang_definitions` VALUES (47794, 2487, 13, 'Найти пациента');
INSERT INTO `lang_definitions` VALUES (47795, 2488, 13, 'Найти рекомендательные материалы для пациента');
INSERT INTO `lang_definitions` VALUES (47796, 2489, 13, 'Найденное');
INSERT INTO `lang_definitions` VALUES (47797, 2490, 13, 'Найденное по специалисту');
INSERT INTO `lang_definitions` VALUES (47798, 2491, 13, 'Штраф');
INSERT INTO `lang_definitions` VALUES (47799, 2492, 13, 'Окончательные платежи');
INSERT INTO `lang_definitions` VALUES (47800, 2495, 13, 'Впервые');
INSERT INTO `lang_definitions` VALUES (47801, 2497, 13, 'Первый день недели');
INSERT INTO `lang_definitions` VALUES (47802, 2498, 13, 'Имя');
INSERT INTO `lang_definitions` VALUES (47803, 2499, 13, 'Имя');
INSERT INTO `lang_definitions` VALUES (47804, 2500, 13, 'Имя:');
INSERT INTO `lang_definitions` VALUES (47805, 2503, 13, 'Физическая подготовка');
INSERT INTO `lang_definitions` VALUES (47806, 2504, 13, 'Уровень физической подготовки');
INSERT INTO `lang_definitions` VALUES (47807, 2505, 13, 'Уровень физической подготовки для этого игрока в этот день');
INSERT INTO `lang_definitions` VALUES (47808, 2507, 13, 'Физическая подготовка к игре');
INSERT INTO `lang_definitions` VALUES (47809, 2508, 13, 'Установленные даты обращения - любые обращения');
INSERT INTO `lang_definitions` VALUES (47810, 2509, 13, 'Установите это');
INSERT INTO `lang_definitions` VALUES (47811, 2510, 13, 'Длина бедер');
INSERT INTO `lang_definitions` VALUES (47812, 2511, 13, 'Метеоризм');
INSERT INTO `lang_definitions` VALUES (47813, 2512, 13, 'Менструация');
INSERT INTO `lang_definitions` VALUES (47814, 2514, 13, 'Эпидемический сезон');
INSERT INTO `lang_definitions` VALUES (47815, 2515, 13, 'эпидемический сезон');
INSERT INTO `lang_definitions` VALUES (47816, 2516, 13, 'Прививка от гриппа');
INSERT INTO `lang_definitions` VALUES (47817, 2517, 13, 'Проблема водно-электролитного баланса');
INSERT INTO `lang_definitions` VALUES (47818, 2518, 13, 'Синдром фибромиалгии');
INSERT INTO `lang_definitions` VALUES (47819, 2519, 13, 'Книжный размер бумаги');
INSERT INTO `lang_definitions` VALUES (47820, 2520, 13, 'Выполнить вручную');
INSERT INTO `lang_definitions` VALUES (47821, 2522, 13, 'Последующее');
INSERT INTO `lang_definitions` VALUES (47822, 2524, 13, 'Выявленная причина');
INSERT INTO `lang_definitions` VALUES (47823, 2525, 13, 'Вот новая пользовательская константа:');
INSERT INTO `lang_definitions` VALUES (47824, 2526, 13, 'Вот новый пользовательский язык:');
INSERT INTO `lang_definitions` VALUES (47825, 2527, 13, 'Вот новое определение (язык, константа, определение):');
INSERT INTO `lang_definitions` VALUES (47826, 2529, 13, 'Оказываемые виды помощи');
INSERT INTO `lang_definitions` VALUES (47827, 2530, 13, 'Указываемые в последующем');
INSERT INTO `lang_definitions` VALUES (47828, 2531, 13, 'Отвращение к пище');
INSERT INTO `lang_definitions` VALUES (47829, 2532, 13, 'Нога');
INSERT INTO `lang_definitions` VALUES (47830, 2533, 13, 'Проблемы ног');
INSERT INTO `lang_definitions` VALUES (47831, 2534, 13, 'Нога:');
INSERT INTO `lang_definitions` VALUES (47832, 2535, 13, 'Футбольные травмы');
INSERT INTO `lang_definitions` VALUES (47833, 2537, 13, 'Сообщение о футбольной травме');
INSERT INTO `lang_definitions` VALUES (47834, 2538, 13, 'Тип обуви');
INSERT INTO `lang_definitions` VALUES (47835, 2539, 13, 'для');
INSERT INTO `lang_definitions` VALUES (47836, 2540, 13, 'Для');
INSERT INTO `lang_definitions` VALUES (47837, 2541, 13, 'Для кода');
INSERT INTO `lang_definitions` VALUES (47838, 2543, 13, 'Для требований по обращению');
INSERT INTO `lang_definitions` VALUES (47839, 2544, 13, 'Например:');
INSERT INTO `lang_definitions` VALUES (47840, 2547, 13, 'для счета');
INSERT INTO `lang_definitions` VALUES (47841, 2548, 13, 'Только для бесплатной медицинской помощи, вызывает консультанта как назначенного врача.');
INSERT INTO `lang_definitions` VALUES (47842, 2552, 13, 'Для направляющих учреждений/практикующих врачей');
INSERT INTO `lang_definitions` VALUES (47843, 2553, 13, 'для прошлых');
INSERT INTO `lang_definitions` VALUES (47844, 2554, 13, 'для переменных');
INSERT INTO `lang_definitions` VALUES (47845, 2555, 13, 'для:');
INSERT INTO `lang_definitions` VALUES (47846, 2556, 13, 'Вызывает открытие биллингового виджета');
INSERT INTO `lang_definitions` VALUES (47847, 2557, 13, 'Вызывает оформление нового пациента');
INSERT INTO `lang_definitions` VALUES (47848, 2559, 13, 'Предплечье');
INSERT INTO `lang_definitions` VALUES (47849, 2560, 13, 'Форма');
INSERT INTO `lang_definitions` VALUES (47850, 2561, 13, 'форма');
INSERT INTO `lang_definitions` VALUES (47851, 2564, 13, 'Формат');
INSERT INTO `lang_definitions` VALUES (47852, 2565, 13, 'формат');
INSERT INTO `lang_definitions` VALUES (47853, 2567, 13, 'Неправильный формат для NDC');
INSERT INTO `lang_definitions` VALUES (47854, 2568, 13, 'Формат, используемый для отображения большинства дат.');
INSERT INTO `lang_definitions` VALUES (47855, 2569, 13, 'Формат, используемый для отображения большей части временного интервала суток.');
INSERT INTO `lang_definitions` VALUES (47856, 2570, 13, 'Отформатированное сообщение');
INSERT INTO `lang_definitions` VALUES (47857, 2571, 13, 'Бывший курильщик');
INSERT INTO `lang_definitions` VALUES (47858, 2572, 13, 'Формы');
INSERT INTO `lang_definitions` VALUES (47859, 2573, 13, 'Управление формами');
INSERT INTO `lang_definitions` VALUES (47860, 2575, 13, 'Далее');
INSERT INTO `lang_definitions` VALUES (47861, 2576, 13, 'Направить страницы через факс');
INSERT INTO `lang_definitions` VALUES (47862, 2577, 13, 'Отправленный');
INSERT INTO `lang_definitions` VALUES (47863, 2579, 13, 'Четвертый');
INSERT INTO `lang_definitions` VALUES (47864, 2581, 13, 'Перелом');
INSERT INTO `lang_definitions` VALUES (47865, 2582, 13, 'Перелом ладьевидной кости');
INSERT INTO `lang_definitions` VALUES (47866, 2583, 13, 'Перелом латеральной лодыжки');
INSERT INTO `lang_definitions` VALUES (47867, 2584, 13, 'Перелом медиальной лодыжки');
INSERT INTO `lang_definitions` VALUES (47868, 2585, 13, 'Перелом основания пятой (5-й) метатарсальной кости');
INSERT INTO `lang_definitions` VALUES (47869, 2587, 13, 'Французский');
INSERT INTO `lang_definitions` VALUES (47870, 2588, 13, 'Французский (Канадский)');
INSERT INTO `lang_definitions` VALUES (47871, 2589, 13, 'Французский (стандартный)');
INSERT INTO `lang_definitions` VALUES (47872, 2590, 13, 'Учащенное мочеиспускание');
INSERT INTO `lang_definitions` VALUES (47873, 2591, 13, 'Частые простуды');
INSERT INTO `lang_definitions` VALUES (47874, 2592, 13, 'Частые заболевания');
INSERT INTO `lang_definitions` VALUES (47875, 2593, 13, 'Пт');
INSERT INTO `lang_definitions` VALUES (47876, 2594, 13, 'Пятница');
INSERT INTO `lang_definitions` VALUES (47877, 2595, 13, 'с');
INSERT INTO `lang_definitions` VALUES (47878, 2596, 13, 'с');
INSERT INTO `lang_definitions` VALUES (47879, 2597, 13, 'от');
INSERT INTO `lang_definitions` VALUES (47880, 2598, 13, 'Дата \"с\" не может быть позднее даты \"по\".');
INSERT INTO `lang_definitions` VALUES (47881, 2599, 13, 'с:');
INSERT INTO `lang_definitions` VALUES (47882, 2600, 13, 'с: ');
INSERT INTO `lang_definitions` VALUES (47883, 2601, 13, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (47884, 2603, 13, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (47885, 2604, 13, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (47886, 2605, 13, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (47887, 2607, 13, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (47888, 2608, 13, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (47889, 2609, 13, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (47890, 2610, 13, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (47891, 2611, 13, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (47892, 2612, 13, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (47893, 2613, 13, 'Регистратура');
INSERT INTO `lang_definitions` VALUES (47894, 2614, 13, 'Прием в регистратуре');
INSERT INTO `lang_definitions` VALUES (47895, 2615, 13, 'Отчет о приеме в регистратуре');
INSERT INTO `lang_definitions` VALUES (47896, 2616, 13, 'Прием рег.');
INSERT INTO `lang_definitions` VALUES (47897, 2617, 13, 'Прямое право:');
INSERT INTO `lang_definitions` VALUES (47898, 2619, 13, 'Полное имя');
INSERT INTO `lang_definitions` VALUES (47899, 2620, 13, 'Полный путь в директорию, содержащую исполняемые MySQL.');
INSERT INTO `lang_definitions` VALUES (47900, 2621, 13, 'Полный путь в директорию, содержащую исполняемые Perl.');
INSERT INTO `lang_definitions` VALUES (47901, 2622, 13, 'Полный путь в директорию для журнала резервного копирования события.');
INSERT INTO `lang_definitions` VALUES (47902, 2623, 13, 'Для временных файлов использован полный путь в директорию.');
INSERT INTO `lang_definitions` VALUES (47903, 2624, 13, 'Полное воспроизведение');
INSERT INTO `lang_definitions` VALUES (47904, 2625, 13, 'Полное обучение');
INSERT INTO `lang_definitions` VALUES (47905, 2626, 13, 'Полная оплата');
INSERT INTO `lang_definitions` VALUES (47906, 2633, 13, 'G');
INSERT INTO `lang_definitions` VALUES (47907, 2634, 13, 'г/дл');
INSERT INTO `lang_definitions` VALUES (47908, 2636, 13, 'Состояние желчного пузыря');
INSERT INTO `lang_definitions` VALUES (47909, 2637, 13, 'ЖКБ');
INSERT INTO `lang_definitions` VALUES (47910, 2638, 13, 'Длительность воспроизведения');
INSERT INTO `lang_definitions` VALUES (47911, 2639, 13, 'Игры');
INSERT INTO `lang_definitions` VALUES (47912, 2640, 13, 'Воспроизведение пропущено');
INSERT INTO `lang_definitions` VALUES (47913, 2641, 13, 'воспроизведение/события');
INSERT INTO `lang_definitions` VALUES (47914, 2642, 13, 'Воспроизведение/события пропущено');
INSERT INTO `lang_definitions` VALUES (47915, 2644, 13, 'Гастрит');
INSERT INTO `lang_definitions` VALUES (47916, 2645, 13, 'Гастритическая боль');
INSERT INTO `lang_definitions` VALUES (47917, 2646, 13, 'Органы ЖКТ');
INSERT INTO `lang_definitions` VALUES (47918, 2647, 13, 'Статистический отчет GCAC');
INSERT INTO `lang_definitions` VALUES (47919, 2648, 13, 'Статистика GCAC');
INSERT INTO `lang_definitions` VALUES (47920, 2649, 13, 'Форма посещения GCAC пропущена');
INSERT INTO `lang_definitions` VALUES (47921, 2650, 13, 'Пол');
INSERT INTO `lang_definitions` VALUES (47922, 2651, 13, 'Пол ');
INSERT INTO `lang_definitions` VALUES (47923, 2652, 13, 'общее');
INSERT INTO `lang_definitions` VALUES (47924, 2655, 13, 'Категория основной услуги');
INSERT INTO `lang_definitions` VALUES (47925, 2657, 13, 'Создать и загрузить бумажное требование CMS 1500');
INSERT INTO `lang_definitions` VALUES (47926, 2658, 13, 'Создать и загрузить бумажное требование HCFA 1500');
INSERT INTO `lang_definitions` VALUES (47927, 2659, 13, 'Создать и загрузить пакет X12');
INSERT INTO `lang_definitions` VALUES (47928, 2660, 13, 'Создать и загрузить затребованный пакет X12 для обращения');
INSERT INTO `lang_definitions` VALUES (47929, 2663, 13, 'Создает и передает в электронном виде разрешенные назначения.');
INSERT INTO `lang_definitions` VALUES (47930, 2664, 13, 'Создать CMS 1500');
INSERT INTO `lang_definitions` VALUES (47931, 2665, 13, 'Создать CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (47932, 2666, 13, 'Создать CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (47933, 2667, 13, 'Создать HCFA');
INSERT INTO `lang_definitions` VALUES (47934, 2669, 13, 'Создать письмо');
INSERT INTO `lang_definitions` VALUES (47935, 2670, 13, 'Создать письмо по вопросу ');
INSERT INTO `lang_definitions` VALUES (47936, 2671, 13, 'Создать отчет PQRI (Метод A)');
INSERT INTO `lang_definitions` VALUES (47937, 2673, 13, 'Создать отчет PQRI (Метод E)');
INSERT INTO `lang_definitions` VALUES (47938, 2677, 13, 'Генерировать отчет');
INSERT INTO `lang_definitions` VALUES (47939, 2678, 13, 'Создает имя пользователя и пароль для');
INSERT INTO `lang_definitions` VALUES (47940, 2679, 13, 'Генерировать X12');
INSERT INTO `lang_definitions` VALUES (47941, 2680, 13, 'Генерировать обращение X12');
INSERT INTO `lang_definitions` VALUES (47942, 2682, 13, 'Создать в');
INSERT INTO `lang_definitions` VALUES (47943, 2683, 13, 'Создано');
INSERT INTO `lang_definitions` VALUES (47944, 2684, 13, 'Мочеполовая');
INSERT INTO `lang_definitions` VALUES (47945, 2687, 13, 'Немецкий');
INSERT INTO `lang_definitions` VALUES (47946, 2691, 13, 'Получить HL7');
INSERT INTO `lang_definitions` VALUES (47947, 2692, 13, 'Глаукома');
INSERT INTO `lang_definitions` VALUES (47948, 2693, 13, 'Семейный анамнез по глаукоме');
INSERT INTO `lang_definitions` VALUES (47949, 2694, 13, 'Глобальное');
INSERT INTO `lang_definitions` VALUES (47950, 2696, 13, 'Глобальный ID');
INSERT INTO `lang_definitions` VALUES (47951, 2697, 13, 'Глобальные настройки');
INSERT INTO `lang_definitions` VALUES (47952, 2698, 13, 'Глобальные переменные');
INSERT INTO `lang_definitions` VALUES (47953, 2699, 13, 'гр/дл');
INSERT INTO `lang_definitions` VALUES (47954, 2700, 13, 'далее');
INSERT INTO `lang_definitions` VALUES (47955, 2701, 13, 'Далее');
INSERT INTO `lang_definitions` VALUES (47956, 2704, 13, 'Перейти в');
INSERT INTO `lang_definitions` VALUES (47957, 2705, 13, 'Перейти к неделе');
INSERT INTO `lang_definitions` VALUES (47958, 2706, 13, 'Перейти к сегодня');
INSERT INTO `lang_definitions` VALUES (47959, 2711, 13, 'Тяжесть травмы');
INSERT INTO `lang_definitions` VALUES (47960, 2712, 13, 'Степень');
INSERT INTO `lang_definitions` VALUES (47961, 2713, 13, 'граммы');
INSERT INTO `lang_definitions` VALUES (47962, 2714, 13, 'Общее количество');
INSERT INTO `lang_definitions` VALUES (47963, 2715, 13, 'Общее количество');
INSERT INTO `lang_definitions` VALUES (47964, 2718, 13, 'Отображаемое графически');
INSERT INTO `lang_definitions` VALUES (47965, 2720, 13, 'Больше, чем');
INSERT INTO `lang_definitions` VALUES (47966, 2721, 13, 'Больше, чем или равно');
INSERT INTO `lang_definitions` VALUES (47967, 2722, 13, 'Греческий');
INSERT INTO `lang_definitions` VALUES (47968, 2724, 13, 'Группа');
INSERT INTO `lang_definitions` VALUES (47969, 2725, 13, 'Имя группы');
INSERT INTO `lang_definitions` VALUES (47970, 2726, 13, 'Имена групп не могут быть пустым');
INSERT INTO `lang_definitions` VALUES (47971, 2727, 13, 'Имена группы не могут начинаться с числа или пробела.');
INSERT INTO `lang_definitions` VALUES (47972, 2728, 13, 'Имена группы не могут начинаться с чисел.');
INSERT INTO `lang_definitions` VALUES (47973, 2729, 13, 'Номер группы');
INSERT INTO `lang_definitions` VALUES (47974, 2730, 13, 'Групповая оплата');
INSERT INTO `lang_definitions` VALUES (47975, 2731, 13, 'Группа:');
INSERT INTO `lang_definitions` VALUES (47976, 2732, 13, 'Имя группы');
INSERT INTO `lang_definitions` VALUES (47977, 2733, 13, 'Группы и управление доступом');
INSERT INTO `lang_definitions` VALUES (47978, 2734, 13, 'Кривая роста');
INSERT INTO `lang_definitions` VALUES (47979, 2735, 13, 'Диаграмма роста');
INSERT INTO `lang_definitions` VALUES (47980, 2736, 13, 'gtts (капли)');
INSERT INTO `lang_definitions` VALUES (47981, 2737, 13, 'Гуамский');
INSERT INTO `lang_definitions` VALUES (47982, 2739, 13, 'Фамилия опекуна');
INSERT INTO `lang_definitions` VALUES (47983, 2741, 13, 'Гинекологическое обследование');
INSERT INTO `lang_definitions` VALUES (47984, 2742, 13, 'ч');
INSERT INTO `lang_definitions` VALUES (47985, 2743, 13, 'время сна');
INSERT INTO `lang_definitions` VALUES (47986, 2744, 13, 'Гепатиты H/O');
INSERT INTO `lang_definitions` VALUES (47987, 2745, 13, 'был успешно удален. Любые подкатегории, если представлены, были перемещены ниже');
INSERT INTO `lang_definitions` VALUES (47988, 2746, 13, 'Гематома / ушиб');
INSERT INTO `lang_definitions` VALUES (47989, 2747, 13, 'Состояние ингибирования гемагглютинации');
INSERT INTO `lang_definitions` VALUES (47990, 2750, 13, 'Рука + пальцы');
INSERT INTO `lang_definitions` VALUES (47991, 2751, 13, 'Проблемы рук');
INSERT INTO `lang_definitions` VALUES (47992, 2753, 13, 'Без затруднений');
INSERT INTO `lang_definitions` VALUES (47993, 2754, 13, 'было связано с посещением');
INSERT INTO `lang_definitions` VALUES (47994, 2755, 13, 'с истекшим сроком');
INSERT INTO `lang_definitions` VALUES (47995, 2756, 13, 'Хэш');
INSERT INTO `lang_definitions` VALUES (47996, 2757, 13, 'Для этого файла хеш не существует. Будет создан новый хеш.');
INSERT INTO `lang_definitions` VALUES (47997, 2758, 13, 'Хэш не соответствует. Целостность данных скомпроментирована.');
INSERT INTO `lang_definitions` VALUES (47998, 2760, 13, 'Гавайский');
INSERT INTO `lang_definitions` VALUES (47999, 2761, 13, 'Опасная деятельность');
INSERT INTO `lang_definitions` VALUES (48000, 2762, 13, 'Опасная деятельность');
INSERT INTO `lang_definitions` VALUES (48001, 2763, 13, 'Левое поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (48002, 2764, 13, 'Поля HCFA');
INSERT INTO `lang_definitions` VALUES (48003, 2765, 13, 'Верхнее поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (48004, 2767, 13, 'he PostCalendar ');
INSERT INTO `lang_definitions` VALUES (48005, 2768, 13, 'Голова');
INSERT INTO `lang_definitions` VALUES (48006, 2769, 13, 'Окр. головы');
INSERT INTO `lang_definitions` VALUES (48007, 2770, 13, 'Окружность головы');
INSERT INTO `lang_definitions` VALUES (48008, 2771, 13, 'Головная боль');
INSERT INTO `lang_definitions` VALUES (48009, 2772, 13, 'Головные боли');
INSERT INTO `lang_definitions` VALUES (48010, 2773, 13, 'Медицинские операции');
INSERT INTO `lang_definitions` VALUES (48011, 2774, 13, 'Мероприятия по охране здоровья');
INSERT INTO `lang_definitions` VALUES (48012, 2775, 13, 'Медицинский центр/клиника');
INSERT INTO `lang_definitions` VALUES (48013, 2776, 13, 'Учреждение по оказанию медицинской помощи');
INSERT INTO `lang_definitions` VALUES (48014, 2777, 13, 'Страховой риск для учреждений по оказанию медицинской помощи (HMO)');
INSERT INTO `lang_definitions` VALUES (48015, 2778, 13, 'Потеря слуха');
INSERT INTO `lang_definitions` VALUES (48016, 2779, 13, 'Инфаркт миокарда');
INSERT INTO `lang_definitions` VALUES (48017, 2780, 13, 'Порок сердца');
INSERT INTO `lang_definitions` VALUES (48018, 2781, 13, 'Сердечная недостаточность');
INSERT INTO `lang_definitions` VALUES (48019, 2782, 13, 'Кардиальная проблема');
INSERT INTO `lang_definitions` VALUES (48020, 2783, 13, 'Кардиальные проблемы');
INSERT INTO `lang_definitions` VALUES (48021, 2784, 13, 'Кардиохирургия');
INSERT INTO `lang_definitions` VALUES (48022, 2785, 13, 'Пересадка сердца');
INSERT INTO `lang_definitions` VALUES (48023, 2786, 13, 'СЕРДЦЕ:');
INSERT INTO `lang_definitions` VALUES (48024, 2787, 13, 'Изжога');
INSERT INTO `lang_definitions` VALUES (48025, 2788, 13, 'Жар или озноб');
INSERT INTO `lang_definitions` VALUES (48026, 2789, 13, 'Жар или озноб');
INSERT INTO `lang_definitions` VALUES (48027, 2791, 13, 'Иврит');
INSERT INTO `lang_definitions` VALUES (48028, 2793, 13, 'ЛОР');
INSERT INTO `lang_definitions` VALUES (48029, 2794, 13, 'Рост');
INSERT INTO `lang_definitions` VALUES (48030, 2796, 13, 'Справка');
INSERT INTO `lang_definitions` VALUES (48031, 2797, 13, 'справка');
INSERT INTO `lang_definitions` VALUES (48032, 2798, 13, 'Рвота кровью');
INSERT INTO `lang_definitions` VALUES (48033, 2799, 13, 'Кровавый стул');
INSERT INTO `lang_definitions` VALUES (48034, 2800, 13, 'Гематология');
INSERT INTO `lang_definitions` VALUES (48035, 2801, 13, 'Гематурия');
INSERT INTO `lang_definitions` VALUES (48036, 2802, 13, 'Гемоглобин');
INSERT INTO `lang_definitions` VALUES (48037, 2803, 13, 'Гемоглобин A1C');
INSERT INTO `lang_definitions` VALUES (48038, 2804, 13, 'Кровохарканье');
INSERT INTO `lang_definitions` VALUES (48039, 2805, 13, 'Гепатит');
INSERT INTO `lang_definitions` VALUES (48040, 2806, 13, 'Гепатит A 1');
INSERT INTO `lang_definitions` VALUES (48041, 2807, 13, 'Гепатит A 2');
INSERT INTO `lang_definitions` VALUES (48042, 2808, 13, 'Гепатит B 1');
INSERT INTO `lang_definitions` VALUES (48043, 2809, 13, 'Гепатит B 2');
INSERT INTO `lang_definitions` VALUES (48044, 2810, 13, 'Гепатит B 3');
INSERT INTO `lang_definitions` VALUES (48045, 2811, 13, 'здесь');
INSERT INTO `lang_definitions` VALUES (48046, 2813, 13, 'Герниопластика');
INSERT INTO `lang_definitions` VALUES (48047, 2814, 13, 'Грыжа диска');
INSERT INTO `lang_definitions` VALUES (48048, 2815, 13, 'Герпес');
INSERT INTO `lang_definitions` VALUES (48049, 2816, 13, 'Затрудненное начало мочеиспускания');
INSERT INTO `lang_definitions` VALUES (48050, 2817, 13, 'эй. вы здесь для ');
INSERT INTO `lang_definitions` VALUES (48051, 2818, 13, 'Hib-вакцина 1');
INSERT INTO `lang_definitions` VALUES (48052, 2819, 13, 'Hib-вакцина 2');
INSERT INTO `lang_definitions` VALUES (48053, 2820, 13, 'Hib-вакцина 3');
INSERT INTO `lang_definitions` VALUES (48054, 2821, 13, 'Hib-вакцина 4');
INSERT INTO `lang_definitions` VALUES (48055, 2822, 13, 'Скрытый');
INSERT INTO `lang_definitions` VALUES (48056, 2823, 13, 'Управление скрытыми событиями');
INSERT INTO `lang_definitions` VALUES (48057, 2824, 13, 'Скрыть');
INSERT INTO `lang_definitions` VALUES (48058, 2825, 13, 'Скрыть сведения');
INSERT INTO `lang_definitions` VALUES (48059, 2827, 13, 'Скрыть опции шифрования/дешифрования в управлении документом');
INSERT INTO `lang_definitions` VALUES (48060, 2828, 13, 'Скрыть меню');
INSERT INTO `lang_definitions` VALUES (48061, 2830, 13, 'Скрыть напоминания');
INSERT INTO `lang_definitions` VALUES (48062, 2831, 13, 'Скрыть/показать столбцы');
INSERT INTO `lang_definitions` VALUES (48063, 2833, 13, 'высокая');
INSERT INTO `lang_definitions` VALUES (48064, 2834, 13, 'Повышенное артериальное давление');
INSERT INTO `lang_definitions` VALUES (48065, 2835, 13, 'Хинди');
INSERT INTO `lang_definitions` VALUES (48066, 2836, 13, 'Бедро + пах');
INSERT INTO `lang_definitions` VALUES (48067, 2837, 13, 'Бедро и пах');
INSERT INTO `lang_definitions` VALUES (48068, 2838, 13, 'Проблемы бедра');
INSERT INTO `lang_definitions` VALUES (48069, 2839, 13, 'Замещение тазобедренного сустава');
INSERT INTO `lang_definitions` VALUES (48070, 2840, 13, 'Полученное уведомление об отчетности и безопасности медицинского страхования');
INSERT INTO `lang_definitions` VALUES (48071, 2842, 13, 'Гирсутизм/стрии');
INSERT INTO `lang_definitions` VALUES (48072, 2843, 13, 'Латиноамериканец');
INSERT INTO `lang_definitions` VALUES (48073, 2844, 13, 'Латиноамериканец - прочее (уроженец США)');
INSERT INTO `lang_definitions` VALUES (48074, 2845, 13, 'Латиноамериканец - прочее (уроженец не США)');
INSERT INTO `lang_definitions` VALUES (48075, 2846, 13, 'Латиноамериканец или латино');
INSERT INTO `lang_definitions` VALUES (48076, 2847, 13, 'Хронология');
INSERT INTO `lang_definitions` VALUES (48077, 2848, 13, 'Дата сбора анамнеза');
INSERT INTO `lang_definitions` VALUES (48078, 2849, 13, 'Дата анамнеза');
INSERT INTO `lang_definitions` VALUES (48079, 2851, 13, 'Шумы в анамнезе');
INSERT INTO `lang_definitions` VALUES (48080, 2852, 13, 'Хронология не разрешена');
INSERT INTO `lang_definitions` VALUES (48081, 2853, 13, 'Анамнез сердечных шумов');
INSERT INTO `lang_definitions` VALUES (48082, 2854, 13, 'Ответные справки');
INSERT INTO `lang_definitions` VALUES (48083, 2855, 13, 'ВИЧ');
INSERT INTO `lang_definitions` VALUES (48084, 2858, 13, 'Обозреватель HL7');
INSERT INTO `lang_definitions` VALUES (48085, 2860, 13, 'нмоль/л');
INSERT INTO `lang_definitions` VALUES (48086, 2861, 13, 'Хмонг');
INSERT INTO `lang_definitions` VALUES (48087, 2862, 13, 'Удерживайте Ctrl для выбора нескольких элементов');
INSERT INTO `lang_definitions` VALUES (48088, 2863, 13, 'Удерживайте Ctrl для выбора нескольких групп');
INSERT INTO `lang_definitions` VALUES (48089, 2864, 13, 'Удерживайте [Ctrl] для множественного выбора или для снятия выбора');
INSERT INTO `lang_definitions` VALUES (48090, 2865, 13, 'Домой');
INSERT INTO `lang_definitions` VALUES (48091, 2866, 13, 'Домашний телефон');
INSERT INTO `lang_definitions` VALUES (48092, 2867, 13, 'Номер домашнего телефона');
INSERT INTO `lang_definitions` VALUES (48093, 2868, 13, 'Бездомный или подобное?');
INSERT INTO `lang_definitions` VALUES (48094, 2869, 13, 'Бездомный и т.д.');
INSERT INTO `lang_definitions` VALUES (48095, 2870, 13, 'Бездомный и т.д.');
INSERT INTO `lang_definitions` VALUES (48096, 2872, 13, 'Имя узла');
INSERT INTO `lang_definitions` VALUES (48097, 2873, 13, 'Имя узла не может быть пустым');
INSERT INTO `lang_definitions` VALUES (48098, 2875, 13, 'Час');
INSERT INTO `lang_definitions` VALUES (48099, 2876, 13, 'Часы');
INSERT INTO `lang_definitions` VALUES (48100, 2878, 13, 'Как произошла травма?');
INSERT INTO `lang_definitions` VALUES (48101, 2879, 13, 'Как произошла травма?:');
INSERT INTO `lang_definitions` VALUES (48102, 2880, 13, 'Как они узнали о нас');
INSERT INTO `lang_definitions` VALUES (48103, 2881, 13, 'На сколько месяцев вперед для предстоящих мероприятий?');
INSERT INTO `lang_definitions` VALUES (48104, 2882, 13, 'Анамнез сопутствующих заболеваний:');
INSERT INTO `lang_definitions` VALUES (48105, 2883, 13, 'Пересадка сердца');
INSERT INTO `lang_definitions` VALUES (48106, 2884, 13, 'HTML');
INSERT INTO `lang_definitions` VALUES (48107, 2886, 13, 'Ссылка https для поддержки LibreEHR службой лабораторного обмена LLC.');
INSERT INTO `lang_definitions` VALUES (48108, 2888, 13, 'Направление в Hylafax');
INSERT INTO `lang_definitions` VALUES (48109, 2889, 13, 'Команда шифрования Hylafax');
INSERT INTO `lang_definitions` VALUES (48110, 2890, 13, 'Сервер Hylafax');
INSERT INTO `lang_definitions` VALUES (48111, 2891, 13, 'Имя узла сервера Hylafax');
INSERT INTO `lang_definitions` VALUES (48112, 2892, 13, 'Гиперактивный');
INSERT INTO `lang_definitions` VALUES (48113, 2893, 13, 'Гипертензия');
INSERT INTO `lang_definitions` VALUES (48114, 2894, 13, 'Артериальная гипертензия: единица измерения артериального давления');
INSERT INTO `lang_definitions` VALUES (48115, 2895, 13, 'Артериальная гипертензия: единица измерения артериального давления (CQM)');
INSERT INTO `lang_definitions` VALUES (48116, 2896, 13, 'Гипертиреоз');
INSERT INTO `lang_definitions` VALUES (48117, 2897, 13, 'Гипотиреоз');
INSERT INTO `lang_definitions` VALUES (48118, 2898, 13, 'Гистерэктомия');
INSERT INTO `lang_definitions` VALUES (48119, 2899, 13, 'Я');
INSERT INTO `lang_definitions` VALUES (48120, 2900, 13, 'Я занят в этот период времени');
INSERT INTO `lang_definitions` VALUES (48121, 2901, 13, 'У меня нет доступа на чтение ');
INSERT INTO `lang_definitions` VALUES (48122, 2902, 13, 'МКБ');
INSERT INTO `lang_definitions` VALUES (48123, 2905, 13, 'МКБ 9');
INSERT INTO `lang_definitions` VALUES (48124, 2909, 13, 'ID');
INSERT INTO `lang_definitions` VALUES (48125, 2910, 13, 'id');
INSERT INTO `lang_definitions` VALUES (48126, 2911, 13, 'ID не может быть пустым');
INSERT INTO `lang_definitions` VALUES (48127, 2912, 13, 'ID карты');
INSERT INTO `lang_definitions` VALUES (48128, 2913, 13, 'IDays');
INSERT INTO `lang_definitions` VALUES (48129, 2914, 13, 'идентифицировать как');
INSERT INTO `lang_definitions` VALUES (48130, 2915, 13, 'идентификатор (одно слово)');
INSERT INTO `lang_definitions` VALUES (48131, 2917, 13, 'Секунд сессионного простоя');
INSERT INTO `lang_definitions` VALUES (48132, 2919, 13, 'Если для этой формы все данные для всех столбцов заполнены');
INSERT INTO `lang_definitions` VALUES (48133, 2920, 13, 'При использовании биллинговой реабилитации введите наименование типа кода для диагноза.');
INSERT INTO `lang_definitions` VALUES (48134, 2921, 13, 'если вводите, то выбирайте только те, которые имеют эту службу');
INSERT INTO `lang_definitions` VALUES (48135, 2922, 13, 'Если именование, то любая часть фамилии или фамилия, имя');
INSERT INTO `lang_definitions` VALUES (48136, 2923, 13, 'если оплачено через');
INSERT INTO `lang_definitions` VALUES (48137, 2924, 13, 'Если человек умер, то введите дату смерти.');
INSERT INTO `lang_definitions` VALUES (48138, 2925, 13, 'При использовании SMTP имя узла сервера или адрес IP');
INSERT INTO `lang_definitions` VALUES (48139, 2926, 13, 'При использовании SMTP номер порта TCP сервера (обычно 25).');
INSERT INTO `lang_definitions` VALUES (48140, 2927, 13, 'если не работает, то введите студент');
INSERT INTO `lang_definitions` VALUES (48141, 2929, 13, 'При изменении правила e-RX для е-назначения может вызываться технология ePrescription. При затруднениях обратитесь к своему поставщику ePrescription.');
INSERT INTO `lang_definitions` VALUES (48142, 2931, 13, 'Если выбираете загрузку электронных денежных переводов, то окно поиска повторно отображает себя с соответствующими счетами из файла X 12. Можете кликнуть любой номер этого счета (как описано ниже), если нужно сделать какую-либо корректировку перед ...');
INSERT INTO `lang_definitions` VALUES (48143, 2932, 13, 'Если вводите дату оплаты на странице поиска, это переопределит дату учета платежей и корректировки, которые иначе взяты из файла X12. Может оказаться удобным для отчетности, если нужно, чтобы ваша отчетность использовала ваше сообщение');
INSERT INTO `lang_definitions` VALUES (48144, 2933, 13, 'Если требуется изменить типы данных или добавить строки или столбцы');
INSERT INTO `lang_definitions` VALUES (48145, 2934, 13, 'Если нужно модернизировать базу данных, то переместите файл zip базы данных в следующую директорию');
INSERT INTO `lang_definitions` VALUES (48146, 2936, 13, 'Игнорировать');
INSERT INTO `lang_definitions` VALUES (48147, 2937, 13, 'Заболевание');
INSERT INTO `lang_definitions` VALUES (48148, 2938, 13, 'Терапевт');
INSERT INTO `lang_definitions` VALUES (48149, 2941, 13, 'Средство отображения');
INSERT INTO `lang_definitions` VALUES (48150, 2942, 13, 'Вакцинация');
INSERT INTO `lang_definitions` VALUES (48151, 2943, 13, 'Код вакцинации');
INSERT INTO `lang_definitions` VALUES (48152, 2945, 13, 'Дата вакцинации');
INSERT INTO `lang_definitions` VALUES (48153, 2947, 13, 'Номер партии вакцины');
INSERT INTO `lang_definitions` VALUES (48154, 2948, 13, 'Изготовитель вакцины');
INSERT INTO `lang_definitions` VALUES (48155, 2949, 13, 'Регистрация вакцинации');
INSERT INTO `lang_definitions` VALUES (48156, 2951, 13, 'Услуга вакцинации');
INSERT INTO `lang_definitions` VALUES (48157, 2952, 13, 'Название вакцинации');
INSERT INTO `lang_definitions` VALUES (48158, 2953, 13, 'Вакцинации');
INSERT INTO `lang_definitions` VALUES (48159, 2954, 13, 'Вакцинировать');
INSERT INTO `lang_definitions` VALUES (48160, 2955, 13, 'Иммунология');
INSERT INTO `lang_definitions` VALUES (48161, 2956, 13, 'Имплантанты');
INSERT INTO `lang_definitions` VALUES (48162, 2957, 13, 'Импорт');
INSERT INTO `lang_definitions` VALUES (48163, 2961, 13, 'Импортировать сертификат в браузер.');
INSERT INTO `lang_definitions` VALUES (48164, 2962, 13, 'Настройка импорта');
INSERT INTO `lang_definitions` VALUES (48165, 2964, 13, 'Импортировать пациента');
INSERT INTO `lang_definitions` VALUES (48166, 2965, 13, 'Импорт персональных данных пациента');
INSERT INTO `lang_definitions` VALUES (48167, 2969, 13, 'Импортирован с аккаунта');
INSERT INTO `lang_definitions` VALUES (48168, 2972, 13, 'Нормализованный');
INSERT INTO `lang_definitions` VALUES (48169, 2973, 13, 'в');
INSERT INTO `lang_definitions` VALUES (48170, 2974, 13, 'в');
INSERT INTO `lang_definitions` VALUES (48171, 2975, 13, 'в каждый глаз');
INSERT INTO `lang_definitions` VALUES (48172, 2976, 13, 'в левый глаз');
INSERT INTO `lang_definitions` VALUES (48173, 2977, 13, 'назально');
INSERT INTO `lang_definitions` VALUES (48174, 2978, 13, 'В кабинете');
INSERT INTO `lang_definitions` VALUES (48175, 2979, 13, 'в правый глаз');
INSERT INTO `lang_definitions` VALUES (48176, 2980, 13, 'на дому');
INSERT INTO `lang_definitions` VALUES (48177, 2981, 13, 'бездействующий');
INSERT INTO `lang_definitions` VALUES (48178, 2982, 13, 'Нерабочие дни');
INSERT INTO `lang_definitions` VALUES (48179, 2983, 13, 'Входящий почтовый ящик');
INSERT INTO `lang_definitions` VALUES (48180, 2986, 13, 'Включить защиту контрольной суммой');
INSERT INTO `lang_definitions` VALUES (48181, 2987, 13, 'Включить полностью');
INSERT INTO `lang_definitions` VALUES (48182, 2988, 13, 'Включить неактивных пользователей');
INSERT INTO `lang_definitions` VALUES (48183, 2989, 13, 'Включить некатегоризированных');
INSERT INTO `lang_definitions` VALUES (48184, 2990, 13, 'Включить неструктуированные данные');
INSERT INTO `lang_definitions` VALUES (48185, 2991, 13, 'Включить жизненно важные показатели');
INSERT INTO `lang_definitions` VALUES (48186, 2992, 13, 'Включить данные жизненно важных параметров?');
INSERT INTO `lang_definitions` VALUES (48187, 2993, 13, 'Включение');
INSERT INTO `lang_definitions` VALUES (48188, 2994, 13, 'Доход');
INSERT INTO `lang_definitions` VALUES (48189, 2996, 13, 'Неполный');
INSERT INTO `lang_definitions` VALUES (48190, 2997, 13, 'Незавершенное прерванное лечение');
INSERT INTO `lang_definitions` VALUES (48191, 2998, 13, 'Неудержание');
INSERT INTO `lang_definitions` VALUES (48192, 2999, 13, 'Включить результаты клинических лабораторных анализов в сертифицированную технологию EHR, как структурированные данные.');
INSERT INTO `lang_definitions` VALUES (48193, 3001, 13, 'увеличено:');
INSERT INTO `lang_definitions` VALUES (48194, 3002, 13, 'Компенсационное страхование');
INSERT INTO `lang_definitions` VALUES (48195, 3003, 13, 'Неопределенный');
INSERT INTO `lang_definitions` VALUES (48196, 3004, 13, 'Индийский');
INSERT INTO `lang_definitions` VALUES (48197, 3005, 13, 'Указывает отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (48198, 3006, 13, 'Отметьте, если эта проблема в настоящее время активна');
INSERT INTO `lang_definitions` VALUES (48199, 3008, 13, 'Указатель для специализированного использования');
INSERT INTO `lang_definitions` VALUES (48200, 3009, 13, 'Недействительные пациенты');
INSERT INTO `lang_definitions` VALUES (48201, 3010, 13, 'Отчет о недействительных пациентах');
INSERT INTO `lang_definitions` VALUES (48202, 3011, 13, 'Неимущие');
INSERT INTO `lang_definitions` VALUES (48203, 3014, 13, 'Вызывающие аборт');
INSERT INTO `lang_definitions` VALUES (48204, 3016, 13, 'Неподходящий');
INSERT INTO `lang_definitions` VALUES (48205, 3017, 13, 'Инфекция/абсцесс');
INSERT INTO `lang_definitions` VALUES (48206, 3018, 13, 'Инфекция');
INSERT INTO `lang_definitions` VALUES (48207, 3019, 13, 'Конс. по беспл.');
INSERT INTO `lang_definitions` VALUES (48208, 3020, 13, 'Бесплодие');
INSERT INTO `lang_definitions` VALUES (48209, 3021, 13, 'Грипп 1');
INSERT INTO `lang_definitions` VALUES (48210, 3022, 13, 'Грипп 2');
INSERT INTO `lang_definitions` VALUES (48211, 3023, 13, 'Противогриппозная вакцинация для пациентов возраста >= 50 лет');
INSERT INTO `lang_definitions` VALUES (48212, 3024, 13, 'Противогриппозная вакцинация для пациентов возраста >= 50 лет (CQM)');
INSERT INTO `lang_definitions` VALUES (48213, 3025, 13, 'Противогриппозная вакцинация');
INSERT INTO `lang_definitions` VALUES (48214, 3026, 13, 'Инф.');
INSERT INTO `lang_definitions` VALUES (48215, 3027, 13, 'Инф. тест. 1');
INSERT INTO `lang_definitions` VALUES (48216, 3028, 13, 'Инф. тест. 2');
INSERT INTO `lang_definitions` VALUES (48217, 3029, 13, 'Инф. тест. 3');
INSERT INTO `lang_definitions` VALUES (48218, 3030, 13, 'Инф. тест. 4');
INSERT INTO `lang_definitions` VALUES (48219, 3031, 13, 'Инф. тест. 5');
INSERT INTO `lang_definitions` VALUES (48220, 3032, 13, 'Инф. тест. 6');
INSERT INTO `lang_definitions` VALUES (48221, 3034, 13, 'ингаляции');
INSERT INTO `lang_definitions` VALUES (48222, 3035, 13, 'вдыхания');
INSERT INTO `lang_definitions` VALUES (48223, 3037, 13, 'Начальный пользователь');
INSERT INTO `lang_definitions` VALUES (48224, 3038, 13, 'Травм./реаб.');
INSERT INTO `lang_definitions` VALUES (48225, 3039, 13, 'Вводимый');
INSERT INTO `lang_definitions` VALUES (48226, 3040, 13, 'Инъекция');
INSERT INTO `lang_definitions` VALUES (48227, 3041, 13, 'Поврежденная часть тела');
INSERT INTO `lang_definitions` VALUES (48228, 3042, 13, 'Последствие повреждения');
INSERT INTO `lang_definitions` VALUES (48229, 3043, 13, 'Травма');
INSERT INTO `lang_definitions` VALUES (48230, 3044, 13, 'Механизм травмы');
INSERT INTO `lang_definitions` VALUES (48231, 3045, 13, 'Обзорный отчет о травме');
INSERT INTO `lang_definitions` VALUES (48232, 3046, 13, 'Травматологическое исследование');
INSERT INTO `lang_definitions` VALUES (48233, 3047, 13, 'Тип травмы');
INSERT INTO `lang_definitions` VALUES (48234, 3048, 13, 'Травма или связанное заболевание');
INSERT INTO `lang_definitions` VALUES (48235, 3051, 13, 'Поля ввода');
INSERT INTO `lang_definitions` VALUES (48236, 3052, 13, 'Международный нормализационный индекс (МНИ)');
INSERT INTO `lang_definitions` VALUES (48237, 3056, 13, 'Вст. корр.');
INSERT INTO `lang_definitions` VALUES (48238, 3057, 13, 'Вст. связывание');
INSERT INTO `lang_definitions` VALUES (48239, 3058, 13, 'Вст. код');
INSERT INTO `lang_definitions` VALUES (48240, 3061, 13, 'Вст. переплату');
INSERT INTO `lang_definitions` VALUES (48241, 3063, 13, 'Вст. возмещение');
INSERT INTO `lang_definitions` VALUES (48242, 3064, 13, 'Вст. итоговый');
INSERT INTO `lang_definitions` VALUES (48243, 3065, 13, 'Вст.1');
INSERT INTO `lang_definitions` VALUES (48244, 3066, 13, 'Вст.2');
INSERT INTO `lang_definitions` VALUES (48245, 3067, 13, 'Вст.3');
INSERT INTO `lang_definitions` VALUES (48246, 3069, 13, 'Вставка дала сбой ');
INSERT INTO `lang_definitions` VALUES (48247, 3070, 13, 'Вставка старых событий в таблицы');
INSERT INTO `lang_definitions` VALUES (48248, 3072, 13, 'Бессоница');
INSERT INTO `lang_definitions` VALUES (48249, 3074, 13, 'Экспертиза');
INSERT INTO `lang_definitions` VALUES (48250, 3075, 13, 'Неустойчивый / подвывих');
INSERT INTO `lang_definitions` VALUES (48251, 3077, 13, 'Установить');
INSERT INTO `lang_definitions` VALUES (48252, 3079, 13, 'Установить БД');
INSERT INTO `lang_definitions` VALUES (48253, 3081, 13, 'Инструктирован');
INSERT INTO `lang_definitions` VALUES (48254, 3082, 13, 'Инструкция');
INSERT INTO `lang_definitions` VALUES (48255, 3084, 13, 'Инструкции:');
INSERT INTO `lang_definitions` VALUES (48256, 3086, 13, 'Инсулинозависимый диабет');
INSERT INTO `lang_definitions` VALUES (48257, 3087, 13, 'Страховка');
INSERT INTO `lang_definitions` VALUES (48258, 3088, 13, 'страхование');
INSERT INTO `lang_definitions` VALUES (48259, 3093, 13, 'Страховая компания');
INSERT INTO `lang_definitions` VALUES (48260, 3094, 13, 'Страховые компании');
INSERT INTO `lang_definitions` VALUES (48261, 3095, 13, 'Страховая компания');
INSERT INTO `lang_definitions` VALUES (48262, 3096, 13, 'Поиск/добавление страховой компании');
INSERT INTO `lang_definitions` VALUES (48263, 3098, 13, 'Дата страхования');
INSERT INTO `lang_definitions` VALUES (48264, 3099, 13, 'Информация по страхованию в файле');
INSERT INTO `lang_definitions` VALUES (48265, 3100, 13, 'Страховые номера');
INSERT INTO `lang_definitions` VALUES (48266, 3101, 13, 'Страховая оплата');
INSERT INTO `lang_definitions` VALUES (48267, 3103, 13, 'Страхователь');
INSERT INTO `lang_definitions` VALUES (48268, 3107, 13, 'Результат приема');
INSERT INTO `lang_definitions` VALUES (48269, 3108, 13, 'Дата приема');
INSERT INTO `lang_definitions` VALUES (48270, 3109, 13, 'Снижение интеллекта');
INSERT INTO `lang_definitions` VALUES (48271, 3113, 13, 'Внутренняя ошибка - не выбраны страницы!');
INSERT INTO `lang_definitions` VALUES (48272, 3114, 13, 'Внутренняя ошибка - не предоставлен ID пациента!');
INSERT INTO `lang_definitions` VALUES (48273, 3115, 13, 'Внутренняя ошибка обновленного файла прав доступа!');
INSERT INTO `lang_definitions` VALUES (48274, 3116, 13, 'Внутренняя ошибка!');
INSERT INTO `lang_definitions` VALUES (48275, 3117, 13, 'Внутренняя ошибка, не указан ID препарата!');
INSERT INTO `lang_definitions` VALUES (48276, 3119, 13, 'Внутренняя ошибка: требование ');
INSERT INTO `lang_definitions` VALUES (48277, 3120, 13, 'Внутренняя ошибка: обращение \'');
INSERT INTO `lang_definitions` VALUES (48278, 3121, 13, 'Внутренняя ошибка: пропущен pid или обращение.');
INSERT INTO `lang_definitions` VALUES (48279, 3122, 13, 'Внутренняя ошибка: мы, кажется, вне обращения');
INSERT INTO `lang_definitions` VALUES (48280, 3123, 13, 'Внутренний идентификатор (pid)');
INSERT INTO `lang_definitions` VALUES (48281, 3126, 13, 'Внутренние направления');
INSERT INTO `lang_definitions` VALUES (48282, 3127, 13, 'Потраченное внутреннее время');
INSERT INTO `lang_definitions` VALUES (48283, 3128, 13, 'Международное обязательство');
INSERT INTO `lang_definitions` VALUES (48284, 3129, 13, 'Переводчик');
INSERT INTO `lang_definitions` VALUES (48285, 3130, 13, 'Переводчик нужен?');
INSERT INTO `lang_definitions` VALUES (48286, 3131, 13, 'Интерстициальный пневмокониоз');
INSERT INTO `lang_definitions` VALUES (48287, 3132, 13, 'Интервал');
INSERT INTO `lang_definitions` VALUES (48288, 3135, 13, 'Вмешательство');
INSERT INTO `lang_definitions` VALUES (48289, 3137, 13, 'Непереносимость');
INSERT INTO `lang_definitions` VALUES (48290, 3139, 13, 'внутримышечно');
INSERT INTO `lang_definitions` VALUES (48291, 3140, 13, 'внутривенно');
INSERT INTO `lang_definitions` VALUES (48292, 3141, 13, 'введение');
INSERT INTO `lang_definitions` VALUES (48293, 3144, 13, 'Недопустимый символ в');
INSERT INTO `lang_definitions` VALUES (48294, 3147, 13, 'Недопустимый символ для');
INSERT INTO `lang_definitions` VALUES (48295, 3148, 13, 'Недопустимый нецифровой символ в');
INSERT INTO `lang_definitions` VALUES (48296, 3149, 13, 'Недопустимый или пропущенный плательщик в источнике для кода ');
INSERT INTO `lang_definitions` VALUES (48297, 3151, 13, 'Недействительные коды услуг');
INSERT INTO `lang_definitions` VALUES (48298, 3152, 13, 'Недопустимый обозначение источника \"');
INSERT INTO `lang_definitions` VALUES (48299, 3154, 13, 'Инвент.кол.');
INSERT INTO `lang_definitions` VALUES (48300, 3155, 13, 'Товарно-материальные ценности');
INSERT INTO `lang_definitions` VALUES (48301, 3156, 13, 'Задействованные товарно-материальные ценности');
INSERT INTO `lang_definitions` VALUES (48302, 3157, 13, 'Учитывается и реализуется как лекарственная, так и нелекарственная продукция');
INSERT INTO `lang_definitions` VALUES (48303, 3158, 13, 'Только товарно-материальные ценности и препараты для выдачи');
INSERT INTO `lang_definitions` VALUES (48304, 3159, 13, 'Для этого назначения склад недоступен.');
INSERT INTO `lang_definitions` VALUES (48305, 3160, 13, 'Список товарно-материальных ценностей');
INSERT INTO `lang_definitions` VALUES (48306, 3161, 13, 'Транзакции по инвентаризации');
INSERT INTO `lang_definitions` VALUES (48307, 3162, 13, 'Счет');
INSERT INTO `lang_definitions` VALUES (48308, 3163, 13, 'счет');
INSERT INTO `lang_definitions` VALUES (48309, 3166, 13, 'Дата выставления счета');
INSERT INTO `lang_definitions` VALUES (48310, 3167, 13, 'Счет не имеет даты!');
INSERT INTO `lang_definitions` VALUES (48311, 3168, 13, 'Номер счета');
INSERT INTO `lang_definitions` VALUES (48312, 3169, 13, 'Ссылочный номер счета');
INSERT INTO `lang_definitions` VALUES (48313, 3170, 13, 'Объединение ссылочного номера счета, если используется');
INSERT INTO `lang_definitions` VALUES (48314, 3171, 13, 'Объединение ссылочного номера счета');
INSERT INTO `lang_definitions` VALUES (48315, 3172, 13, 'Объединение исх. номера счета');
INSERT INTO `lang_definitions` VALUES (48316, 3173, 13, 'Счет:');
INSERT INTO `lang_definitions` VALUES (48317, 3174, 13, 'МФПС');
INSERT INTO `lang_definitions` VALUES (48318, 3177, 13, 'Данные сексуального и репродуктивного здоровья МФПС для');
INSERT INTO `lang_definitions` VALUES (48319, 3178, 13, 'Статистический отчет МФПС');
INSERT INTO `lang_definitions` VALUES (48320, 3179, 13, 'Статистика МФПС');
INSERT INTO `lang_definitions` VALUES (48321, 3180, 13, 'ИПВ 1');
INSERT INTO `lang_definitions` VALUES (48322, 3181, 13, 'ИПВ 2');
INSERT INTO `lang_definitions` VALUES (48323, 3182, 13, 'ИПВ 3');
INSERT INTO `lang_definitions` VALUES (48324, 3183, 13, 'ИПВ 4');
INSERT INTO `lang_definitions` VALUES (48325, 3185, 13, 'Аритмия');
INSERT INTO `lang_definitions` VALUES (48326, 3186, 13, 'Раздражительность');
INSERT INTO `lang_definitions` VALUES (48327, 3187, 13, 'Болезненная чувствительность');
INSERT INTO `lang_definitions` VALUES (48328, 3191, 13, 'является обязательным полем.');
INSERT INTO `lang_definitions` VALUES (48329, 3192, 13, 'является узлом root и не может быть удален.');
INSERT INTO `lang_definitions` VALUES (48330, 3197, 13, 'не действителен (десятичная часть OK).');
INSERT INTO `lang_definitions` VALUES (48331, 3198, 13, 'PHP использует безопасный режим?');
INSERT INTO `lang_definitions` VALUES (48332, 3200, 13, 'Является текстом из макетов форм для перевода?');
INSERT INTO `lang_definitions` VALUES (48333, 3201, 13, 'Является текстом из списков для перевода?');
INSERT INTO `lang_definitions` VALUES (48334, 3202, 13, 'Этот файл шифрован?');
INSERT INTO `lang_definitions` VALUES (48335, 3204, 13, 'Это тип диагноза?');
INSERT INTO `lang_definitions` VALUES (48336, 3209, 13, 'Этот тип кода активен?');
INSERT INTO `lang_definitions` VALUES (48337, 3212, 13, 'Этот тип в листе оплаты невидим?');
INSERT INTO `lang_definitions` VALUES (48338, 3214, 13, 'слишком длинный');
INSERT INTO `lang_definitions` VALUES (48339, 3216, 13, 'Проблема');
INSERT INTO `lang_definitions` VALUES (48340, 3217, 13, 'проблема');
INSERT INTO `lang_definitions` VALUES (48341, 3218, 13, 'Дата появления');
INSERT INTO `lang_definitions` VALUES (48342, 3219, 13, 'ID проблемы');
INSERT INTO `lang_definitions` VALUES (48343, 3220, 13, 'Обозначение проблемы');
INSERT INTO `lang_definitions` VALUES (48344, 3223, 13, 'Проблемы');
INSERT INTO `lang_definitions` VALUES (48345, 3224, 13, 'Аспекты (травмы/терапия/аллергия)');
INSERT INTO `lang_definitions` VALUES (48346, 3225, 13, 'Аспекты (травмы/терапия/аллергия):');
INSERT INTO `lang_definitions` VALUES (48347, 3226, 13, 'Аспекты и обращения');
INSERT INTO `lang_definitions` VALUES (48348, 3227, 13, 'Аспекты и обращения для');
INSERT INTO `lang_definitions` VALUES (48349, 3228, 13, 'Доступ к проблемам не разрешен');
INSERT INTO `lang_definitions` VALUES (48350, 3229, 13, 'Раздел проблем');
INSERT INTO `lang_definitions` VALUES (48351, 3230, 13, 'Итальянский');
INSERT INTO `lang_definitions` VALUES (48352, 3231, 13, 'Пункт');
INSERT INTO `lang_definitions` VALUES (48353, 3232, 13, 'пункт');
INSERT INTO `lang_definitions` VALUES (48354, 3234, 13, 'Загрузка пунктов дала сбой');
INSERT INTO `lang_definitions` VALUES (48355, 3235, 13, 'МЕ/л');
INSERT INTO `lang_definitions` VALUES (48356, 3236, 13, 'ВМС');
INSERT INTO `lang_definitions` VALUES (48357, 3237, 13, 'В/в');
INSERT INTO `lang_definitions` VALUES (48358, 3238, 13, 'Янв');
INSERT INTO `lang_definitions` VALUES (48359, 3239, 13, 'Январь');
INSERT INTO `lang_definitions` VALUES (48360, 3240, 13, 'Японский');
INSERT INTO `lang_definitions` VALUES (48361, 3241, 13, 'Желтуха');
INSERT INTO `lang_definitions` VALUES (48362, 3243, 13, 'Описание работы');
INSERT INTO `lang_definitions` VALUES (48363, 3244, 13, 'ID работы');
INSERT INTO `lang_definitions` VALUES (48364, 3245, 13, 'Вывих сустава');
INSERT INTO `lang_definitions` VALUES (48365, 3246, 13, 'Суставная боль');
INSERT INTO `lang_definitions` VALUES (48366, 3247, 13, 'Растяжение сустава');
INSERT INTO `lang_definitions` VALUES (48367, 3248, 13, 'Июл');
INSERT INTO `lang_definitions` VALUES (48368, 3249, 13, 'Июль');
INSERT INTO `lang_definitions` VALUES (48369, 3250, 13, 'Июн');
INSERT INTO `lang_definitions` VALUES (48370, 3251, 13, 'Июнь');
INSERT INTO `lang_definitions` VALUES (48371, 3252, 13, 'Чуть ниже регистрационная информация находится в синей области, куда вы поместили параметры поиска. Можете искать по имени пациента, номеру карты, номеру обращения или дате оказания помощи, или любой их комбинации. Также можете выбрать, хотите ли видеть все счета, открытые или только выставленные (по пациенту). Кликните кнопку поиска для его выполнения.');
INSERT INTO `lang_definitions` VALUES (48372, 3253, 13, 'Только для меня');
INSERT INTO `lang_definitions` VALUES (48373, 3255, 13, 'Подтвердить');
INSERT INTO `lang_definitions` VALUES (48374, 3256, 13, 'Подтвердить/сохранить');
INSERT INTO `lang_definitions` VALUES (48375, 3258, 13, 'k, вот остальные');
INSERT INTO `lang_definitions` VALUES (48376, 3264, 13, 'Ключ');
INSERT INTO `lang_definitions` VALUES (48377, 3265, 13, 'Ключевые слова');
INSERT INTO `lang_definitions` VALUES (48378, 3266, 13, 'кг');
INSERT INTO `lang_definitions` VALUES (48379, 3267, 13, 'кг/м^2');
INSERT INTO `lang_definitions` VALUES (48380, 3269, 13, 'Рак почки');
INSERT INTO `lang_definitions` VALUES (48381, 3270, 13, 'Почечная недостаточность');
INSERT INTO `lang_definitions` VALUES (48382, 3271, 13, 'Почечная инфекция');
INSERT INTO `lang_definitions` VALUES (48383, 3272, 13, 'ПКБ');
INSERT INTO `lang_definitions` VALUES (48384, 3273, 13, 'Пересадка почки');
INSERT INTO `lang_definitions` VALUES (48385, 3277, 13, 'Колено');
INSERT INTO `lang_definitions` VALUES (48386, 3278, 13, 'Проблемы колена');
INSERT INTO `lang_definitions` VALUES (48387, 3279, 13, 'Замещение коленного сустава');
INSERT INTO `lang_definitions` VALUES (48388, 3282, 13, 'Корейский');
INSERT INTO `lang_definitions` VALUES (48389, 3286, 13, 'Лаборатория');
INSERT INTO `lang_definitions` VALUES (48390, 3288, 13, 'Адрес сайта лабораторного обмена');
INSERT INTO `lang_definitions` VALUES (48391, 3289, 13, 'Id сайта лабораторного обмена');
INSERT INTO `lang_definitions` VALUES (48392, 3290, 13, 'Символьный id лабораторного обмена');
INSERT INTO `lang_definitions` VALUES (48393, 3294, 13, 'Статус лабораторного запроса');
INSERT INTO `lang_definitions` VALUES (48394, 3295, 13, 'Лабораторный отчет');
INSERT INTO `lang_definitions` VALUES (48395, 3296, 13, 'Результат лаборатории');
INSERT INTO `lang_definitions` VALUES (48396, 3297, 13, 'Результаты лаборатории');
INSERT INTO `lang_definitions` VALUES (48397, 3299, 13, 'Отчет о лабораторных результатах');
INSERT INTO `lang_definitions` VALUES (48398, 3300, 13, 'Лабораторная услуга');
INSERT INTO `lang_definitions` VALUES (48399, 3301, 13, 'Результаты лабораторных анализов');
INSERT INTO `lang_definitions` VALUES (48400, 3303, 13, 'Метка');
INSERT INTO `lang_definitions` VALUES (48401, 3304, 13, 'Метка не должна быть пустой');
INSERT INTO `lang_definitions` VALUES (48402, 3305, 13, 'Столбцы метки');
INSERT INTO `lang_definitions` VALUES (48403, 3306, 13, 'Метка для этого типа');
INSERT INTO `lang_definitions` VALUES (48404, 3307, 13, 'Столбцы метки должно быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (48405, 3308, 13, 'Метки');
INSERT INTO `lang_definitions` VALUES (48406, 3311, 13, 'Лаборатории');
INSERT INTO `lang_definitions` VALUES (48407, 3312, 13, 'Рваная рана / состояние кожи');
INSERT INTO `lang_definitions` VALUES (48408, 3313, 13, 'Разрыв/ссадина');
INSERT INTO `lang_definitions` VALUES (48409, 3316, 13, 'Язык');
INSERT INTO `lang_definitions` VALUES (48410, 3317, 13, 'Код языка');
INSERT INTO `lang_definitions` VALUES (48411, 3318, 13, 'Добавлено определение языка');
INSERT INTO `lang_definitions` VALUES (48412, 3319, 13, 'Интерфейсный инструмент языка');
INSERT INTO `lang_definitions` VALUES (48413, 3320, 13, 'Список языков (write,addonly необязателен)');
INSERT INTO `lang_definitions` VALUES (48414, 3321, 13, 'Название языка');
INSERT INTO `lang_definitions` VALUES (48415, 3322, 13, 'Язык:');
INSERT INTO `lang_definitions` VALUES (48416, 3324, 13, 'Лаосский');
INSERT INTO `lang_definitions` VALUES (48417, 3325, 13, 'Последний');
INSERT INTO `lang_definitions` VALUES (48418, 3326, 13, 'Дата последней активности');
INSERT INTO `lang_definitions` VALUES (48419, 3328, 13, 'Дата последнего счета:');
INSERT INTO `lang_definitions` VALUES (48420, 3330, 13, 'Предыдущий календарный год');
INSERT INTO `lang_definitions` VALUES (48421, 3333, 13, 'Последнее обращение');
INSERT INTO `lang_definitions` VALUES (48422, 3343, 13, 'Предыдущий месяц');
INSERT INTO `lang_definitions` VALUES (48423, 3344, 13, 'Фамилия');
INSERT INTO `lang_definitions` VALUES (48424, 3345, 13, 'Фамилия');
INSERT INTO `lang_definitions` VALUES (48425, 3346, 13, 'Фамилия:');
INSERT INTO `lang_definitions` VALUES (48426, 3350, 13, 'Последнее рассмотрение');
INSERT INTO `lang_definitions` VALUES (48427, 3352, 13, 'Последнее сохранение');
INSERT INTO `lang_definitions` VALUES (48428, 3356, 13, 'Последнее обновление через');
INSERT INTO `lang_definitions` VALUES (48429, 3357, 13, 'Последняя проверка в');
INSERT INTO `lang_definitions` VALUES (48430, 3358, 13, 'Предыдущее посещение');
INSERT INTO `lang_definitions` VALUES (48431, 3360, 13, 'Поздний возврат (2-12 мес.)');
INSERT INTO `lang_definitions` VALUES (48432, 3361, 13, 'Латеральная лодыжка');
INSERT INTO `lang_definitions` VALUES (48433, 3362, 13, 'Латеральная лодыжка:');
INSERT INTO `lang_definitions` VALUES (48434, 3363, 13, 'Латеральность');
INSERT INTO `lang_definitions` VALUES (48435, 3364, 13, 'Сторона этой методики, если применимо');
INSERT INTO `lang_definitions` VALUES (48436, 3365, 13, 'Латеральная дисплазия после ОИМ:');
INSERT INTO `lang_definitions` VALUES (48437, 3373, 13, 'На основе макета');
INSERT INTO `lang_definitions` VALUES (48438, 3374, 13, 'Редактор макета');
INSERT INTO `lang_definitions` VALUES (48439, 3375, 13, 'Группы макета');
INSERT INTO `lang_definitions` VALUES (48440, 3376, 13, 'Стиль макета');
INSERT INTO `lang_definitions` VALUES (48441, 3378, 13, 'Формы посещений на основе макета');
INSERT INTO `lang_definitions` VALUES (48442, 3379, 13, 'Макеты');
INSERT INTO `lang_definitions` VALUES (48443, 3380, 13, 'фунт');
INSERT INTO `lang_definitions` VALUES (48444, 3381, 13, 'фунты');
INSERT INTO `lang_definitions` VALUES (48445, 3382, 13, 'ЛПНП');
INSERT INTO `lang_definitions` VALUES (48446, 3383, 13, 'если продолжается, то оставьте пустым');
INSERT INTO `lang_definitions` VALUES (48447, 3384, 13, 'Для сохранения исходного имени файла оставьте поле пустым');
INSERT INTO `lang_definitions` VALUES (48448, 3385, 13, 'Для сохранения прежнего пароля оставьте поле пустым.');
INSERT INTO `lang_definitions` VALUES (48449, 3386, 13, 'Оставьте сообщение с');
INSERT INTO `lang_definitions` VALUES (48450, 3387, 13, 'Выйдите из этой формы');
INSERT INTO `lang_definitions` VALUES (48451, 3388, 13, 'Пустая контрольная фраза не шифрует этот документ');
INSERT INTO `lang_definitions` VALUES (48452, 3390, 13, 'Слева');
INSERT INTO `lang_definitions` VALUES (48453, 3391, 13, 'Левое ухо');
INSERT INTO `lang_definitions` VALUES (48454, 3392, 13, 'левое ухо');
INSERT INTO `lang_definitions` VALUES (48455, 3394, 13, 'Слева:');
INSERT INTO `lang_definitions` VALUES (48456, 3395, 13, 'Слева: ');
INSERT INTO `lang_definitions` VALUES (48457, 3396, 13, 'Боль/судорога в ногах');
INSERT INTO `lang_definitions` VALUES (48458, 3397, 13, 'Законный');
INSERT INTO `lang_definitions` VALUES (48459, 3399, 13, 'Утвержденный размер страницы');
INSERT INTO `lang_definitions` VALUES (48460, 3400, 13, 'Легенда:');
INSERT INTO `lang_definitions` VALUES (48461, 3401, 13, 'Длина');
INSERT INTO `lang_definitions` VALUES (48462, 3402, 13, 'Длина модификатора, если не задана, то 0');
INSERT INTO `lang_definitions` VALUES (48463, 3403, 13, 'Меньше чем');
INSERT INTO `lang_definitions` VALUES (48464, 3404, 13, 'Меньше чем или равно');
INSERT INTO `lang_definitions` VALUES (48465, 3405, 13, 'Менее закрытая информация (write,addonly необязателен)');
INSERT INTO `lang_definitions` VALUES (48466, 3406, 13, 'Письмо');
INSERT INTO `lang_definitions` VALUES (48467, 3407, 13, 'Генератор письма');
INSERT INTO `lang_definitions` VALUES (48468, 3408, 13, 'Размер бумаги Письмо');
INSERT INTO `lang_definitions` VALUES (48469, 3409, 13, 'Фирменный бланк, подписываемый врачом');
INSERT INTO `lang_definitions` VALUES (48470, 3410, 13, 'Фирменный бланк, подписываемый пациентом');
INSERT INTO `lang_definitions` VALUES (48471, 3411, 13, 'Степень срочности');
INSERT INTO `lang_definitions` VALUES (48472, 3412, 13, 'Ответственность');
INSERT INTO `lang_definitions` VALUES (48473, 3413, 13, 'Медицина генетической предрасположенности');
INSERT INTO `lang_definitions` VALUES (48474, 3414, 13, 'Лицензия или ID');
INSERT INTO `lang_definitions` VALUES (48475, 3419, 13, 'Фамилия лицензированного ответственного');
INSERT INTO `lang_definitions` VALUES (48476, 3420, 13, 'NPI лицензированного ответственного');
INSERT INTO `lang_definitions` VALUES (48477, 3421, 13, 'UPIN лицензированного ответственного');
INSERT INTO `lang_definitions` VALUES (48478, 3423, 13, 'Образ жизни');
INSERT INTO `lang_definitions` VALUES (48479, 3424, 13, 'Статус образа жизни');
INSERT INTO `lang_definitions` VALUES (48480, 3425, 13, 'Разрыв или растяжение связки');
INSERT INTO `lang_definitions` VALUES (48481, 3428, 13, 'Ограничение событий');
INSERT INTO `lang_definitions` VALUES (48482, 3429, 13, 'Ограничения');
INSERT INTO `lang_definitions` VALUES (48483, 3431, 13, 'Ссылка');
INSERT INTO `lang_definitions` VALUES (48484, 3432, 13, 'Ссылка на пациента');
INSERT INTO `lang_definitions` VALUES (48485, 3433, 13, 'Связанный');
INSERT INTO `lang_definitions` VALUES (48486, 3436, 13, 'связанный с документом');
INSERT INTO `lang_definitions` VALUES (48487, 3438, 13, 'Список');
INSERT INTO `lang_definitions` VALUES (48488, 3439, 13, 'Поле со списком');
INSERT INTO `lang_definitions` VALUES (48489, 3440, 13, 'поле со списком');
INSERT INTO `lang_definitions` VALUES (48490, 3441, 13, 'поле со списком с доб.');
INSERT INTO `lang_definitions` VALUES (48491, 3442, 13, 'Поле со списком с доб.');
INSERT INTO `lang_definitions` VALUES (48492, 3443, 13, 'Редактор списка');
INSERT INTO `lang_definitions` VALUES (48493, 3444, 13, 'Вывести обращения');
INSERT INTO `lang_definitions` VALUES (48494, 3445, 13, 'Вывести группы');
INSERT INTO `lang_definitions` VALUES (48495, 3446, 13, 'Вывести страховые компании');
INSERT INTO `lang_definitions` VALUES (48496, 3448, 13, 'Элементы списка не могут начинаться с числа.');
INSERT INTO `lang_definitions` VALUES (48497, 3449, 13, 'Элементы списка содержат запрещенный символ(ы).');
INSERT INTO `lang_definitions` VALUES (48498, 3451, 13, 'Вывести списки');
INSERT INTO `lang_definitions` VALUES (48499, 3452, 13, 'Наименование списка');
INSERT INTO `lang_definitions` VALUES (48500, 3453, 13, 'Наименование списка не может начинаться с чисел.');
INSERT INTO `lang_definitions` VALUES (48501, 3454, 13, 'Вывести назначения');
INSERT INTO `lang_definitions` VALUES (48502, 3455, 13, 'Список используется через вышеуказанный вариант типа данных для страны.');
INSERT INTO `lang_definitions` VALUES (48503, 3456, 13, 'Список используется через вышеуказанный вариант типа данных для области.');
INSERT INTO `lang_definitions` VALUES (48504, 3457, 13, 'Прослушиваемый порт сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (48505, 3458, 13, 'Списки');
INSERT INTO `lang_definitions` VALUES (48506, 3460, 13, 'Прижизненное завещание');
INSERT INTO `lang_definitions` VALUES (48507, 3461, 13, 'Левая нижняя конечность:');
INSERT INTO `lang_definitions` VALUES (48508, 3462, 13, 'Последняя менструация');
INSERT INTO `lang_definitions` VALUES (48509, 3464, 13, 'Загрузить определения');
INSERT INTO `lang_definitions` VALUES (48510, 3470, 13, 'ЗАГРУЗКА');
INSERT INTO `lang_definitions` VALUES (48511, 3471, 13, 'Загрузка файлов в базу данных. Займет некоторое врем...');
INSERT INTO `lang_definitions` VALUES (48512, 3472, 13, 'Сниженное понимание');
INSERT INTO `lang_definitions` VALUES (48513, 3473, 13, 'Локально');
INSERT INTO `lang_definitions` VALUES (48514, 3476, 13, 'Локальный');
INSERT INTO `lang_definitions` VALUES (48515, 3477, 13, 'Местоположение');
INSERT INTO `lang_definitions` VALUES (48516, 3478, 13, 'Размещение');
INSERT INTO `lang_definitions` VALUES (48517, 3479, 13, 'расположение машины libreehr и может содержать секретные данные, поэтому рекомендуется вручную удалить их после использования');
INSERT INTO `lang_definitions` VALUES (48518, 3480, 13, 'Размещение этой партии');
INSERT INTO `lang_definitions` VALUES (48519, 3481, 13, 'Неопределенное размещение');
INSERT INTO `lang_definitions` VALUES (48520, 3482, 13, 'Место, где Hylafax сохраняет факсы.');
INSERT INTO `lang_definitions` VALUES (48521, 3483, 13, 'Место сохранения сканнограмм');
INSERT INTO `lang_definitions` VALUES (48522, 3484, 13, 'Размещение:');
INSERT INTO `lang_definitions` VALUES (48523, 3485, 13, 'Заблокировать');
INSERT INTO `lang_definitions` VALUES (48524, 3492, 13, 'Войти');
INSERT INTO `lang_definitions` VALUES (48525, 3494, 13, 'Выйти');
INSERT INTO `lang_definitions` VALUES (48526, 3495, 13, 'Зарегистрирован');
INSERT INTO `lang_definitions` VALUES (48527, 3496, 13, 'Зарегистрирован как');
INSERT INTO `lang_definitions` VALUES (48528, 3497, 13, 'Зарегистрирован как: ');
INSERT INTO `lang_definitions` VALUES (48529, 3498, 13, 'Регистрация снята.');
INSERT INTO `lang_definitions` VALUES (48530, 3500, 13, 'Войти');
INSERT INTO `lang_definitions` VALUES (48531, 3501, 13, 'логин');
INSERT INTO `lang_definitions` VALUES (48532, 3505, 13, 'Выйти');
INSERT INTO `lang_definitions` VALUES (48533, 3506, 13, 'выйти');
INSERT INTO `lang_definitions` VALUES (48534, 3507, 13, 'Журналы');
INSERT INTO `lang_definitions` VALUES (48535, 3508, 13, 'Обозреватель журналов');
INSERT INTO `lang_definitions` VALUES (48536, 3510, 13, 'Найти');
INSERT INTO `lang_definitions` VALUES (48537, 3511, 13, 'Партия');
INSERT INTO `lang_definitions` VALUES (48538, 3512, 13, 'Пропущен ID партии');
INSERT INTO `lang_definitions` VALUES (48539, 3513, 13, 'Номер партии');
INSERT INTO `lang_definitions` VALUES (48540, 3514, 13, 'Низкий');
INSERT INTO `lang_definitions` VALUES (48541, 3516, 13, 'Укороченная нога');
INSERT INTO `lang_definitions` VALUES (48542, 3519, 13, 'Поясничный отдел позвоночника');
INSERT INTO `lang_definitions` VALUES (48543, 3520, 13, 'Обед');
INSERT INTO `lang_definitions` VALUES (48544, 3521, 13, 'обед');
INSERT INTO `lang_definitions` VALUES (48545, 3522, 13, 'Рак легкого');
INSERT INTO `lang_definitions` VALUES (48546, 3523, 13, 'Хирургия рака легкого');
INSERT INTO `lang_definitions` VALUES (48547, 3524, 13, 'ЛЕГКИЕ:');
INSERT INTO `lang_definitions` VALUES (48548, 3525, 13, 'Легкие:');
INSERT INTO `lang_definitions` VALUES (48549, 3526, 13, 'Волчанка');
INSERT INTO `lang_definitions` VALUES (48550, 3528, 13, 'M');
INSERT INTO `lang_definitions` VALUES (48551, 3529, 13, 'Категория MA');
INSERT INTO `lang_definitions` VALUES (48552, 3530, 13, 'Отказ приема клиента MA');
INSERT INTO `lang_definitions` VALUES (48553, 3531, 13, 'Статистика MA');
INSERT INTO `lang_definitions` VALUES (48554, 3533, 13, 'Отправка почты');
INSERT INTO `lang_definitions` VALUES (48555, 3534, 13, 'Основной');
INSERT INTO `lang_definitions` VALUES (48556, 3535, 13, 'Основной адрес');
INSERT INTO `lang_definitions` VALUES (48557, 3536, 13, 'Основная область экрана');
INSERT INTO `lang_definitions` VALUES (48558, 3537, 13, 'Список основной активной медикаментозной аллергии.');
INSERT INTO `lang_definitions` VALUES (48559, 3538, 13, 'Список основного активного медикаментозного лечения.');
INSERT INTO `lang_definitions` VALUES (48560, 3539, 13, 'Поддерживает обновленный список проблем для текущих и активных диагнозов.');
INSERT INTO `lang_definitions` VALUES (48561, 3540, 13, 'Создает изменения в текущих категориях.');
INSERT INTO `lang_definitions` VALUES (48562, 3541, 13, 'Создать новую запись на прием для');
INSERT INTO `lang_definitions` VALUES (48563, 3542, 13, 'Убедитесь, что \"');
INSERT INTO `lang_definitions` VALUES (48564, 3543, 13, 'Создание пакетных текстовых файлов для загрузки в информационный центр, и пометит как счет');
INSERT INTO `lang_definitions` VALUES (48565, 3545, 13, 'Дискомфорт:');
INSERT INTO `lang_definitions` VALUES (48566, 3548, 13, 'мужской');
INSERT INTO `lang_definitions` VALUES (48567, 3549, 13, 'Мужские кондомы');
INSERT INTO `lang_definitions` VALUES (48568, 3550, 13, 'Мужской VSC');
INSERT INTO `lang_definitions` VALUES (48569, 3552, 13, 'Маммография');
INSERT INTO `lang_definitions` VALUES (48570, 3553, 13, 'Управление');
INSERT INTO `lang_definitions` VALUES (48571, 3556, 13, 'Управление переводами');
INSERT INTO `lang_definitions` VALUES (48572, 3557, 13, 'Управление');
INSERT INTO `lang_definitions` VALUES (48573, 3558, 13, 'Обязательные и устанавливаемые поля');
INSERT INTO `lang_definitions` VALUES (48574, 3559, 13, 'Только обязательные и устанавливаемые поля, отметьте дважды, не просматривайте');
INSERT INTO `lang_definitions` VALUES (48575, 3560, 13, 'Только обязательные и устанавливаемые поля, найдите и отметьте дважды');
INSERT INTO `lang_definitions` VALUES (48576, 3561, 13, 'Руководство');
INSERT INTO `lang_definitions` VALUES (48577, 3562, 13, 'Отправка вручную');
INSERT INTO `lang_definitions` VALUES (48578, 3563, 13, 'Производитель');
INSERT INTO `lang_definitions` VALUES (48579, 3565, 13, 'Мар');
INSERT INTO `lang_definitions` VALUES (48580, 3568, 13, 'Март');
INSERT INTO `lang_definitions` VALUES (48581, 3569, 13, 'Семейное положение');
INSERT INTO `lang_definitions` VALUES (48582, 3571, 13, 'Отметьте как оплаченное, но пропустите выставленный счет');
INSERT INTO `lang_definitions` VALUES (48583, 3572, 13, 'Маркировать как очищенное');
INSERT INTO `lang_definitions` VALUES (48584, 3573, 13, 'Маркировать как неоплаченное');
INSERT INTO `lang_definitions` VALUES (48585, 3575, 13, 'Маркировано, как очищенное');
INSERT INTO `lang_definitions` VALUES (48586, 3576, 13, 'Женат');
INSERT INTO `lang_definitions` VALUES (48587, 3578, 13, 'Маска');
INSERT INTO `lang_definitions` VALUES (48588, 3579, 13, 'Маска для номеров счетов');
INSERT INTO `lang_definitions` VALUES (48589, 3580, 13, 'Маска для ID пациента');
INSERT INTO `lang_definitions` VALUES (48590, 3581, 13, 'Маска для ID продукции');
INSERT INTO `lang_definitions` VALUES (48591, 3582, 13, 'Соответствие');
INSERT INTO `lang_definitions` VALUES (48592, 3591, 13, 'Максимум');
INSERT INTO `lang_definitions` VALUES (48593, 3594, 13, 'Подмышечная область справа:');
INSERT INTO `lang_definitions` VALUES (48594, 3595, 13, 'Максимальный возраст');
INSERT INTO `lang_definitions` VALUES (48595, 3596, 13, 'Символы максимума');
INSERT INTO `lang_definitions` VALUES (48596, 3597, 13, 'Максимальный простой в секундах до входа в систему.');
INSERT INTO `lang_definitions` VALUES (48597, 3600, 13, 'Максимальный разумный запас, если не применяется - 0');
INSERT INTO `lang_definitions` VALUES (48598, 3603, 13, 'Май');
INSERT INTO `lang_definitions` VALUES (48599, 3604, 13, 'Микроскопия и выделение культуры');
INSERT INTO `lang_definitions` VALUES (48600, 3605, 13, 'мкг');
INSERT INTO `lang_definitions` VALUES (48601, 3607, 13, 'Означает, что ни один из трех последних паролей не разрешен для изменения пароля.');
INSERT INTO `lang_definitions` VALUES (48602, 3609, 13, 'Код группы единиц измерения');
INSERT INTO `lang_definitions` VALUES (48603, 3611, 13, 'Система мер');
INSERT INTO `lang_definitions` VALUES (48604, 3612, 13, 'Внутренняя область лодыжки');
INSERT INTO `lang_definitions` VALUES (48605, 3613, 13, 'Медпомощь');
INSERT INTO `lang_definitions` VALUES (48606, 3614, 13, 'Медицинский');
INSERT INTO `lang_definitions` VALUES (48607, 3615, 13, 'Медицинский аборт');
INSERT INTO `lang_definitions` VALUES (48608, 3616, 13, 'Врачебное администрирование');
INSERT INTO `lang_definitions` VALUES (48609, 3617, 13, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (48610, 3618, 13, 'Медицинский результат');
INSERT INTO `lang_definitions` VALUES (48611, 3619, 13, 'Медицинский результат');
INSERT INTO `lang_definitions` VALUES (48612, 3620, 13, 'Медицинская проблема');
INSERT INTO `lang_definitions` VALUES (48613, 3623, 13, 'Медицинские проблемы');
INSERT INTO `lang_definitions` VALUES (48614, 3624, 13, 'Медицинская запись');
INSERT INTO `lang_definitions` VALUES (48615, 3625, 13, 'История болезни #');
INSERT INTO `lang_definitions` VALUES (48616, 3626, 13, 'Медицинские записи');
INSERT INTO `lang_definitions` VALUES (48617, 3627, 13, 'Медицинские записи отправлены');
INSERT INTO `lang_definitions` VALUES (48618, 3629, 13, 'Предоставленное медицинское резюме');
INSERT INTO `lang_definitions` VALUES (48619, 3630, 13, 'Медицинская система');
INSERT INTO `lang_definitions` VALUES (48620, 3631, 13, 'Тип лечения');
INSERT INTO `lang_definitions` VALUES (48621, 3632, 13, 'Заболевание/анамнез (write, addonly необязателен)');
INSERT INTO `lang_definitions` VALUES (48622, 3633, 13, 'Часть B бесплатной медицинской помощи');
INSERT INTO `lang_definitions` VALUES (48623, 3634, 13, 'Реферрер Medicare является средством визуализации');
INSERT INTO `lang_definitions` VALUES (48624, 3635, 13, 'Препарат');
INSERT INTO `lang_definitions` VALUES (48625, 3636, 13, 'Список медикаментозной аллергии');
INSERT INTO `lang_definitions` VALUES (48626, 3638, 13, 'Список лекарств');
INSERT INTO `lang_definitions` VALUES (48627, 3639, 13, 'Согласование лечения выполнено?');
INSERT INTO `lang_definitions` VALUES (48628, 3640, 13, 'Медикаменты');
INSERT INTO `lang_definitions` VALUES (48629, 3641, 13, 'Медикаменты:');
INSERT INTO `lang_definitions` VALUES (48630, 3642, 13, 'Единицы выпуска медикамента');
INSERT INTO `lang_definitions` VALUES (48631, 3643, 13, 'Средний');
INSERT INTO `lang_definitions` VALUES (48632, 3645, 13, 'Статистический отчет члена Ассоциации');
INSERT INTO `lang_definitions` VALUES (48633, 3646, 13, 'Проблемы памяти');
INSERT INTO `lang_definitions` VALUES (48634, 3647, 13, 'Мужчина');
INSERT INTO `lang_definitions` VALUES (48635, 3648, 13, 'Мужчина и женщина');
INSERT INTO `lang_definitions` VALUES (48636, 3649, 13, 'Только мужчины');
INSERT INTO `lang_definitions` VALUES (48637, 3650, 13, 'Менархе');
INSERT INTO `lang_definitions` VALUES (48638, 3651, 13, 'Менопауза');
INSERT INTO `lang_definitions` VALUES (48639, 3652, 13, 'Обильная менструация');
INSERT INTO `lang_definitions` VALUES (48640, 3653, 13, 'Менструальный цикл');
INSERT INTO `lang_definitions` VALUES (48641, 3654, 13, 'Психическое заболевание');
INSERT INTO `lang_definitions` VALUES (48642, 3661, 13, 'Сообщение');
INSERT INTO `lang_definitions` VALUES (48643, 3662, 13, 'Центр сообщений и напоминаний');
INSERT INTO `lang_definitions` VALUES (48644, 3665, 13, 'Сообщение отправлено');
INSERT INTO `lang_definitions` VALUES (48645, 3666, 13, 'Состояние сообщения');
INSERT INTO `lang_definitions` VALUES (48646, 3670, 13, 'СООБЩЕНИЕ:');
INSERT INTO `lang_definitions` VALUES (48647, 3671, 13, 'Сообщения');
INSERT INTO `lang_definitions` VALUES (48648, 3672, 13, 'Сообщения для сегодняшней отправки');
INSERT INTO `lang_definitions` VALUES (48649, 3673, 13, 'Метод');
INSERT INTO `lang_definitions` VALUES (48650, 3674, 13, 'Метод и определенный результат');
INSERT INTO `lang_definitions` VALUES (48651, 3675, 13, 'Метод отправки исходящих e-mail.');
INSERT INTO `lang_definitions` VALUES (48652, 3676, 13, 'Метод уничтожения');
INSERT INTO `lang_definitions` VALUES (48653, 3677, 13, 'Мексиканец/американец мексиканского происхождения/чикано');
INSERT INTO `lang_definitions` VALUES (48654, 3679, 13, 'мг');
INSERT INTO `lang_definitions` VALUES (48655, 3680, 13, 'мг/1куб.см.');
INSERT INTO `lang_definitions` VALUES (48656, 3681, 13, 'мг/2куб.см.');
INSERT INTO `lang_definitions` VALUES (48657, 3682, 13, 'мг/3куб.см.');
INSERT INTO `lang_definitions` VALUES (48658, 3683, 13, 'мг/4куб.см.');
INSERT INTO `lang_definitions` VALUES (48659, 3684, 13, 'мг/5куб.см.');
INSERT INTO `lang_definitions` VALUES (48660, 3685, 13, 'мг/дл');
INSERT INTO `lang_definitions` VALUES (48661, 3686, 13, 'Средний');
INSERT INTO `lang_definitions` VALUES (48662, 3687, 13, 'Отчество');
INSERT INTO `lang_definitions` VALUES (48663, 3688, 13, 'Отчество');
INSERT INTO `lang_definitions` VALUES (48664, 3690, 13, 'Специалист DEA среднего уровня');
INSERT INTO `lang_definitions` VALUES (48665, 3691, 13, 'Имя ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (48666, 3692, 13, 'Фамилия ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (48667, 3693, 13, 'Инициалы ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (48668, 3694, 13, 'UPIN ответственного среднего уровня');
INSERT INTO `lang_definitions` VALUES (48669, 3695, 13, 'Выражение лица');
INSERT INTO `lang_definitions` VALUES (48670, 3696, 13, 'Мигрант или сезонный рабочий?');
INSERT INTO `lang_definitions` VALUES (48671, 3697, 13, 'Мигрант/сезонный рабочий');
INSERT INTO `lang_definitions` VALUES (48672, 3698, 13, 'млн/куб.мм');
INSERT INTO `lang_definitions` VALUES (48673, 3702, 13, 'MimeType');
INSERT INTO `lang_definitions` VALUES (48674, 3703, 13, 'мин');
INSERT INTO `lang_definitions` VALUES (48675, 3704, 13, 'мин');
INSERT INTO `lang_definitions` VALUES (48676, 3705, 13, 'Минимальный возраст');
INSERT INTO `lang_definitions` VALUES (48677, 3706, 13, 'Легкое растяжение сустава +/- синовиит');
INSERT INTO `lang_definitions` VALUES (48678, 3708, 13, 'Минута');
INSERT INTO `lang_definitions` VALUES (48679, 3709, 13, 'минуты');
INSERT INTO `lang_definitions` VALUES (48680, 3710, 13, 'Минуты');
INSERT INTO `lang_definitions` VALUES (48681, 3712, 13, 'Прочее');
INSERT INTO `lang_definitions` VALUES (48682, 3713, 13, 'Варианты прочих счетов');
INSERT INTO `lang_definitions` VALUES (48683, 3714, 13, 'Варианты прочих счетов для HCFA-1500');
INSERT INTO `lang_definitions` VALUES (48684, 3715, 13, 'Варианты прочих счетов для HCFA');
INSERT INTO `lang_definitions` VALUES (48685, 3716, 13, 'Разное');
INSERT INTO `lang_definitions` VALUES (48686, 3717, 13, 'Пропущенный');
INSERT INTO `lang_definitions` VALUES (48687, 3718, 13, 'пропущенный');
INSERT INTO `lang_definitions` VALUES (48688, 3719, 13, 'Пропущено обязательное поле');
INSERT INTO `lang_definitions` VALUES (48689, 3720, 13, 'Пропущена оплата');
INSERT INTO `lang_definitions` VALUES (48690, 3721, 13, 'Пропущен только модификатор');
INSERT INTO `lang_definitions` VALUES (48691, 3722, 13, 'Пропущен или не действителен');
INSERT INTO `lang_definitions` VALUES (48692, 3723, 13, 'Пропущен PID.');
INSERT INTO `lang_definitions` VALUES (48693, 3724, 13, 'Пропущена дата отчета');
INSERT INTO `lang_definitions` VALUES (48694, 3725, 13, 'Пропущен слеш после плательщика в исходнике для кода ');
INSERT INTO `lang_definitions` VALUES (48695, 3726, 13, 'Смешанное');
INSERT INTO `lang_definitions` VALUES (48696, 3727, 13, 'мл');
INSERT INTO `lang_definitions` VALUES (48697, 3728, 13, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (48698, 3729, 13, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (48699, 3730, 13, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (48700, 3731, 13, 'Частота материнской смертности 1');
INSERT INTO `lang_definitions` VALUES (48701, 3732, 13, 'Частота материнской смертности 2');
INSERT INTO `lang_definitions` VALUES (48702, 3733, 13, 'Мобильный');
INSERT INTO `lang_definitions` VALUES (48703, 3734, 13, 'Мобильный телефон');
INSERT INTO `lang_definitions` VALUES (48704, 3735, 13, 'Модиф.');
INSERT INTO `lang_definitions` VALUES (48705, 3741, 13, 'Модификатор');
INSERT INTO `lang_definitions` VALUES (48706, 3742, 13, 'Модификаторы');
INSERT INTO `lang_definitions` VALUES (48707, 3745, 13, 'Измененный платеж');
INSERT INTO `lang_definitions` VALUES (48708, 3746, 13, 'Дл.модиф.');
INSERT INTO `lang_definitions` VALUES (48709, 3753, 13, 'Пн.');
INSERT INTO `lang_definitions` VALUES (48710, 3754, 13, 'с Пн по Пт');
INSERT INTO `lang_definitions` VALUES (48711, 3755, 13, 'Пн, Ср &amp; Пт');
INSERT INTO `lang_definitions` VALUES (48712, 3756, 13, 'Понедельник');
INSERT INTO `lang_definitions` VALUES (48713, 3758, 13, 'Месяц');
INSERT INTO `lang_definitions` VALUES (48714, 3759, 13, 'месяц');
INSERT INTO `lang_definitions` VALUES (48715, 3760, 13, 'Обзор за месяц');
INSERT INTO `lang_definitions` VALUES (48716, 3761, 13, 'Месяц(ы)');
INSERT INTO `lang_definitions` VALUES (48717, 3762, 13, 'Ежемесячный доход');
INSERT INTO `lang_definitions` VALUES (48718, 3763, 13, 'Месяцы');
INSERT INTO `lang_definitions` VALUES (48719, 3765, 13, 'Найдено более 100 записей. Уточните критерий поиска.');
INSERT INTO `lang_definitions` VALUES (48720, 3766, 13, 'Более 50 результатов, конкретизируйте поиск.');
INSERT INTO `lang_definitions` VALUES (48721, 3767, 13, 'Большинство заголовков столбцов можно кликнуть для изменения порядка сортировки');
INSERT INTO `lang_definitions` VALUES (48722, 3768, 13, 'Самый последний из');
INSERT INTO `lang_definitions` VALUES (48723, 3770, 13, 'Самые последние жизненно важные показатели от:');
INSERT INTO `lang_definitions` VALUES (48724, 3771, 13, 'Мать');
INSERT INTO `lang_definitions` VALUES (48725, 3772, 13, 'Фамилия матери');
INSERT INTO `lang_definitions` VALUES (48726, 3774, 13, 'Рот');
INSERT INTO `lang_definitions` VALUES (48727, 3775, 13, 'Переместить');
INSERT INTO `lang_definitions` VALUES (48728, 3776, 13, 'Переместить документ в категорию:');
INSERT INTO `lang_definitions` VALUES (48729, 3777, 13, 'Переместить ниже');
INSERT INTO `lang_definitions` VALUES (48730, 3779, 13, 'Переместить в пациента');
INSERT INTO `lang_definitions` VALUES (48731, 3780, 13, 'Переместить в...');
INSERT INTO `lang_definitions` VALUES (48732, 3781, 13, 'Переместить выше');
INSERT INTO `lang_definitions` VALUES (48733, 3783, 13, 'Mr.');
INSERT INTO `lang_definitions` VALUES (48734, 3785, 13, 'Mrs.');
INSERT INTO `lang_definitions` VALUES (48735, 3786, 13, 'Ms.');
INSERT INTO `lang_definitions` VALUES (48736, 3794, 13, 'Код MSP');
INSERT INTO `lang_definitions` VALUES (48737, 3796, 13, 'Инструментарий перевода');
INSERT INTO `lang_definitions` VALUES (48738, 3797, 13, 'Несколько областей');
INSERT INTO `lang_definitions` VALUES (48739, 3799, 13, 'Несколько партий');
INSERT INTO `lang_definitions` VALUES (48740, 3800, 13, 'Несколько модификаторов можно разделить двоеточиями или пробелами, максимум 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (48741, 3802, 13, 'Многонациональный');
INSERT INTO `lang_definitions` VALUES (48742, 3803, 13, 'Шум:');
INSERT INTO `lang_definitions` VALUES (48743, 3804, 13, 'Мыш. боль');
INSERT INTO `lang_definitions` VALUES (48744, 3805, 13, 'Мыш. боли');
INSERT INTO `lang_definitions` VALUES (48745, 3806, 13, 'Кожная гиперемия над мышцей');
INSERT INTO `lang_definitions` VALUES (48746, 3807, 13, 'Мыш. ригидность');
INSERT INTO `lang_definitions` VALUES (48747, 3808, 13, 'Припухлость мышцы');
INSERT INTO `lang_definitions` VALUES (48748, 3809, 13, 'Гипертермия в области мышцы');
INSERT INTO `lang_definitions` VALUES (48749, 3810, 13, 'Мышечные');
INSERT INTO `lang_definitions` VALUES (48750, 3811, 13, 'Повреждение мышцы');
INSERT INTO `lang_definitions` VALUES (48751, 3812, 13, 'Костно-мышечная');
INSERT INTO `lang_definitions` VALUES (48752, 3813, 13, 'Если аутентификация SMTP не используется, то должен быть пустым');
INSERT INTO `lang_definitions` VALUES (48753, 3814, 13, 'Определяемые совместно');
INSERT INTO `lang_definitions` VALUES (48754, 3815, 13, 'ДТП');
INSERT INTO `lang_definitions` VALUES (48755, 3818, 13, 'Самостоятельно');
INSERT INTO `lang_definitions` VALUES (48756, 3821, 13, 'NA');
INSERT INTO `lang_definitions` VALUES (48757, 3822, 13, 'na');
INSERT INTO `lang_definitions` VALUES (48758, 3823, 13, 'Именование');
INSERT INTO `lang_definitions` VALUES (48759, 3825, 13, 'Наименование (кликните для уточнения)');
INSERT INTO `lang_definitions` VALUES (48760, 3826, 13, 'Наименование 1');
INSERT INTO `lang_definitions` VALUES (48761, 3827, 13, 'Наименование 2');
INSERT INTO `lang_definitions` VALUES (48762, 3828, 13, 'Наименование и заголовок для управления вакцинацией');
INSERT INTO `lang_definitions` VALUES (48763, 3831, 13, 'Наименование события');
INSERT INTO `lang_definitions` VALUES (48764, 3832, 13, 'Наименование страховой компании');
INSERT INTO `lang_definitions` VALUES (48765, 3833, 13, 'Фамилия специалиста');
INSERT INTO `lang_definitions` VALUES (48766, 3834, 13, 'Фамилия отправителя напоминаний для пациента.');
INSERT INTO `lang_definitions` VALUES (48767, 3835, 13, 'Перевод наименования');
INSERT INTO `lang_definitions` VALUES (48768, 3836, 13, 'Наименование/значение');
INSERT INTO `lang_definitions` VALUES (48769, 3837, 13, 'Наименование:');
INSERT INTO `lang_definitions` VALUES (48770, 3838, 13, 'НОЗДРИ:');
INSERT INTO `lang_definitions` VALUES (48771, 3839, 13, 'НОЗДРИ: справа обычная');
INSERT INTO `lang_definitions` VALUES (48772, 3840, 13, 'Слизистая носа розовая, перегородка по средней линии');
INSERT INTO `lang_definitions` VALUES (48773, 3841, 13, 'Записи по национальности');
INSERT INTO `lang_definitions` VALUES (48774, 3842, 13, 'Настройка записей по национальности');
INSERT INTO `lang_definitions` VALUES (48775, 3844, 13, 'Национальность');
INSERT INTO `lang_definitions` VALUES (48776, 3845, 13, 'Зап. по нац.');
INSERT INTO `lang_definitions` VALUES (48777, 3847, 13, 'Гавайский или другой островной');
INSERT INTO `lang_definitions` VALUES (48778, 3852, 13, 'Тошнота');
INSERT INTO `lang_definitions` VALUES (48779, 3854, 13, 'Навигация');
INSERT INTO `lang_definitions` VALUES (48780, 3855, 13, 'Область навигации содержит формы обращения');
INSERT INTO `lang_definitions` VALUES (48781, 3856, 13, 'Область навигации использует всю высоту окна');
INSERT INTO `lang_definitions` VALUES (48782, 3857, 13, 'Формы посещения для области навигации');
INSERT INTO `lang_definitions` VALUES (48783, 3858, 13, 'Ширина области навигации');
INSERT INTO `lang_definitions` VALUES (48784, 3859, 13, 'Навигационное меню состоит из пар переключателей');
INSERT INTO `lang_definitions` VALUES (48785, 3860, 13, 'Навигационное меню в виде дерева');
INSERT INTO `lang_definitions` VALUES (48786, 3861, 13, 'Навигация использует скользящее меню');
INSERT INTO `lang_definitions` VALUES (48787, 3862, 13, 'NDC');
INSERT INTO `lang_definitions` VALUES (48788, 3864, 13, 'Номер NDC');
INSERT INTO `lang_definitions` VALUES (48789, 3866, 13, 'Шея');
INSERT INTO `lang_definitions` VALUES (48790, 3867, 13, 'Проблемы шеи');
INSERT INTO `lang_definitions` VALUES (48791, 3868, 13, 'Подвижность шеи');
INSERT INTO `lang_definitions` VALUES (48792, 3869, 13, 'Необходимо ввести описание');
INSERT INTO `lang_definitions` VALUES (48793, 3870, 13, 'Необходимо ввести возвращаемое значение');
INSERT INTO `lang_definitions` VALUES (48794, 3871, 13, 'Необходимо ввести идентификатор');
INSERT INTO `lang_definitions` VALUES (48795, 3872, 13, 'Необходимо ввести название');
INSERT INTO `lang_definitions` VALUES (48796, 3873, 13, 'Требуется разр.');
INSERT INTO `lang_definitions` VALUES (48797, 3874, 13, 'Требуется подтверждение');
INSERT INTO `lang_definitions` VALUES (48798, 3875, 13, 'Требуется повторное выставление счета');
INSERT INTO `lang_definitions` VALUES (48799, 3876, 13, 'Отрицательное');
INSERT INTO `lang_definitions` VALUES (48800, 3877, 13, 'Отрицание');
INSERT INTO `lang_definitions` VALUES (48801, 3880, 13, 'Повреждение нерва');
INSERT INTO `lang_definitions` VALUES (48802, 3881, 13, 'Неврологический статус / повреждение нерва');
INSERT INTO `lang_definitions` VALUES (48803, 3882, 13, 'Онемение');
INSERT INTO `lang_definitions` VALUES (48804, 3883, 13, 'Слабость');
INSERT INTO `lang_definitions` VALUES (48805, 3884, 13, 'Неврологическая');
INSERT INTO `lang_definitions` VALUES (48806, 3885, 13, 'Никогда');
INSERT INTO `lang_definitions` VALUES (48807, 3886, 13, 'Не употреблял алкоголь');
INSERT INTO `lang_definitions` VALUES (48808, 3887, 13, 'Никогда не курил');
INSERT INTO `lang_definitions` VALUES (48809, 3888, 13, 'Новое');
INSERT INTO `lang_definitions` VALUES (48810, 3889, 13, 'Новое =>');
INSERT INTO `lang_definitions` VALUES (48811, 3890, 13, 'Новые получатели');
INSERT INTO `lang_definitions` VALUES (48812, 3892, 13, 'Новая аллергия');
INSERT INTO `lang_definitions` VALUES (48813, 3894, 13, 'Новая запись на прием');
INSERT INTO `lang_definitions` VALUES (48814, 3895, 13, 'Новые категории');
INSERT INTO `lang_definitions` VALUES (48815, 3896, 13, 'Новая категория');
INSERT INTO `lang_definitions` VALUES (48816, 3897, 13, 'Новые клиенты');
INSERT INTO `lang_definitions` VALUES (48817, 3898, 13, 'Новая консультация');
INSERT INTO `lang_definitions` VALUES (48818, 3899, 13, 'Новая группа');
INSERT INTO `lang_definitions` VALUES (48819, 3900, 13, 'Добавлен новый набор определений');
INSERT INTO `lang_definitions` VALUES (48820, 3901, 13, 'Новый документ');
INSERT INTO `lang_definitions` VALUES (48821, 3904, 13, 'Новое обращение');
INSERT INTO `lang_definitions` VALUES (48822, 3905, 13, 'Новое обращение, созданное с id');
INSERT INTO `lang_definitions` VALUES (48823, 3906, 13, 'Форма нового обращения');
INSERT INTO `lang_definitions` VALUES (48824, 3907, 13, 'Доступ к новым обращениям не разрешен');
INSERT INTO `lang_definitions` VALUES (48825, 3908, 13, 'Новое обращ.');
INSERT INTO `lang_definitions` VALUES (48826, 3909, 13, 'Информация по новой услуге');
INSERT INTO `lang_definitions` VALUES (48827, 3912, 13, 'Новая группа');
INSERT INTO `lang_definitions` VALUES (48828, 3913, 13, 'Информация по новой группе');
INSERT INTO `lang_definitions` VALUES (48829, 3914, 13, 'Новый ввод/статус');
INSERT INTO `lang_definitions` VALUES (48830, 3916, 13, 'Новое ограничение событий');
INSERT INTO `lang_definitions` VALUES (48831, 3917, 13, 'Новый список');
INSERT INTO `lang_definitions` VALUES (48832, 3918, 13, 'Новые назначения');
INSERT INTO `lang_definitions` VALUES (48833, 3919, 13, 'Новый подраздел');
INSERT INTO `lang_definitions` VALUES (48834, 3920, 13, 'Новый пароль');
INSERT INTO `lang_definitions` VALUES (48835, 3921, 13, 'Новый пациент');
INSERT INTO `lang_definitions` VALUES (48836, 3922, 13, 'НОВЫЙ ПАЦИЕНТ');
INSERT INTO `lang_definitions` VALUES (48837, 3923, 13, 'Обращение нового пациента');
INSERT INTO `lang_definitions` VALUES (48838, 3924, 13, 'Форма для нового пациента');
INSERT INTO `lang_definitions` VALUES (48839, 3925, 13, 'ID нового пациента');
INSERT INTO `lang_definitions` VALUES (48840, 3926, 13, 'Новая оплата');
INSERT INTO `lang_definitions` VALUES (48841, 3928, 13, 'Новый пункт');
INSERT INTO `lang_definitions` VALUES (48842, 3929, 13, 'Новые результаты из Lab Exchange');
INSERT INTO `lang_definitions` VALUES (48843, 3930, 13, 'Новый поиск');
INSERT INTO `lang_definitions` VALUES (48844, 3931, 13, 'Новое рассмотрение');
INSERT INTO `lang_definitions` VALUES (48845, 3932, 13, 'Новый пользователь');
INSERT INTO `lang_definitions` VALUES (48846, 3934, 13, 'Новое посещение');
INSERT INTO `lang_definitions` VALUES (48847, 3935, 13, 'Новый или поиск');
INSERT INTO `lang_definitions` VALUES (48848, 3936, 13, 'Состояние аккаунта NewCrop');
INSERT INTO `lang_definitions` VALUES (48849, 3937, 13, 'Администрирование NewCrop');
INSERT INTO `lang_definitions` VALUES (48850, 3938, 13, 'Вызов NewCrop дал сбой');
INSERT INTO `lang_definitions` VALUES (48851, 3939, 13, 'Врач NewCrop');
INSERT INTO `lang_definitions` VALUES (48852, 3944, 13, 'Наименование eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48853, 3945, 13, 'Наименование партнера eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48854, 3946, 13, 'Пароль eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48855, 3947, 13, 'Уровень доступа eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48856, 3948, 13, 'Уровень доступа eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48857, 3949, 13, 'Адрес узла eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48858, 3954, 13, 'Адрес веб-службы eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (48859, 3955, 13, 'Менеджер NewCrop');
INSERT INTO `lang_definitions` VALUES (48860, 3956, 13, 'Мед. запись для NewCrop');
INSERT INTO `lang_definitions` VALUES (48861, 3957, 13, 'Врач с правом назначения рецептурных препаратов среднего уровня для NewCrop');
INSERT INTO `lang_definitions` VALUES (48862, 3958, 13, 'Медсестра NewCrop');
INSERT INTO `lang_definitions` VALUES (48863, 3959, 13, 'Контролирующий врач для NewCrop');
INSERT INTO `lang_definitions` VALUES (48864, 3961, 13, 'Газета');
INSERT INTO `lang_definitions` VALUES (48865, 3962, 13, 'Следующий');
INSERT INTO `lang_definitions` VALUES (48866, 3964, 13, 'Следующий день');
INSERT INTO `lang_definitions` VALUES (48867, 3965, 13, 'Следующий месяц');
INSERT INTO `lang_definitions` VALUES (48868, 3966, 13, 'Следующий месяц (фиксация для меню)');
INSERT INTO `lang_definitions` VALUES (48869, 3968, 13, 'Следующая неделя');
INSERT INTO `lang_definitions` VALUES (48870, 3969, 13, 'Следующий год (фиксация для меню)');
INSERT INTO `lang_definitions` VALUES (48871, 3971, 13, 'Псевдоним');
INSERT INTO `lang_definitions` VALUES (48872, 3973, 13, 'Ночная потливость');
INSERT INTO `lang_definitions` VALUES (48873, 3974, 13, 'Nl наружных половых органов, слизистой влагалища, шейки матки');
INSERT INTO `lang_definitions` VALUES (48874, 3975, 13, 'Нет');
INSERT INTO `lang_definitions` VALUES (48875, 3976, 13, 'НЕТ');
INSERT INTO `lang_definitions` VALUES (48876, 3977, 13, 'Нет доступа');
INSERT INTO `lang_definitions` VALUES (48877, 3978, 13, 'Активных напоминаний для пациента нет.');
INSERT INTO `lang_definitions` VALUES (48878, 3979, 13, 'Аденопатии нет (обязательно 2 области)');
INSERT INTO `lang_definitions` VALUES (48879, 3980, 13, 'Не найден тип причины корректировки для');
INSERT INTO `lang_definitions` VALUES (48880, 3981, 13, 'Болезненность/новообразование придатков');
INSERT INTO `lang_definitions` VALUES (48881, 3983, 13, 'Записи на прием нет');
INSERT INTO `lang_definitions` VALUES (48882, 3985, 13, 'В настоящее время биллинговая система неактивна');
INSERT INTO `lang_definitions` VALUES (48883, 3987, 13, 'Для включения в экспорт OFX счетов не выявлено<br>');
INSERT INTO `lang_definitions` VALUES (48884, 3989, 13, 'Не указан код!');
INSERT INTO `lang_definitions` VALUES (48885, 3992, 13, 'Нет диагноза');
INSERT INTO `lang_definitions` VALUES (48886, 3993, 13, 'Никаких документов не найдено');
INSERT INTO `lang_definitions` VALUES (48887, 3995, 13, 'Нет даты окончания');
INSERT INTO `lang_definitions` VALUES (48888, 3996, 13, 'Ни одной записи не выявлено, для добавления записи используйте форму ниже.');
INSERT INTO `lang_definitions` VALUES (48889, 3997, 13, 'Ошибок не найдено');
INSERT INTO `lang_definitions` VALUES (48890, 3998, 13, 'Событий нет');
INSERT INTO `lang_definitions` VALUES (48891, 4001, 13, 'Никакая группа не выбрана');
INSERT INTO `lang_definitions` VALUES (48892, 4002, 13, 'Грыжевых выпячиваний нет');
INSERT INTO `lang_definitions` VALUES (48893, 4005, 13, 'Без травмы/заболевания');
INSERT INTO `lang_definitions` VALUES (48894, 4006, 13, 'Не найдено страховых компаний');
INSERT INTO `lang_definitions` VALUES (48895, 4007, 13, 'Результатов нет');
INSERT INTO `lang_definitions` VALUES (48896, 4009, 13, 'В выбранной категории нет пунктов');
INSERT INTO `lang_definitions` VALUES (48897, 4010, 13, 'Не выбран ни один пункт!');
INSERT INTO `lang_definitions` VALUES (48898, 4025, 13, 'Для выбранной даты лог-файла нет');
INSERT INTO `lang_definitions` VALUES (48899, 4027, 13, 'Безболезненно, новообразований нет');
INSERT INTO `lang_definitions` VALUES (48900, 4028, 13, 'Для предоставленного кода повторной идентификации соответствующей записи по пациенту нет.');
INSERT INTO `lang_definitions` VALUES (48901, 4030, 13, 'Соответствий не найдено.');
INSERT INTO `lang_definitions` VALUES (48902, 4031, 13, 'Совпадений не найдено. Оформить нового пациента?');
INSERT INTO `lang_definitions` VALUES (48903, 4033, 13, 'Новых результатов не найдено');
INSERT INTO `lang_definitions` VALUES (48904, 4034, 13, 'Нет записей');
INSERT INTO `lang_definitions` VALUES (48905, 4035, 13, 'No ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (48906, 4036, 13, 'За этот период открытых не найдено.');
INSERT INTO `lang_definitions` VALUES (48907, 4037, 13, 'Никаких других телефонных номеров нет.');
INSERT INTO `lang_definitions` VALUES (48908, 4039, 13, 'Партнеры не найдены');
INSERT INTO `lang_definitions` VALUES (48909, 4040, 13, 'Для предоставленного критерия выбора записи по пациенту не нейдено.');
INSERT INTO `lang_definitions` VALUES (48910, 4041, 13, 'Для предоставленного кода повторной идентификации записи по пациенту не нейдено.');
INSERT INTO `lang_definitions` VALUES (48911, 4042, 13, 'Периферических отеков нет');
INSERT INTO `lang_definitions` VALUES (48912, 4043, 13, 'Ни одной аптеки не найдено');
INSERT INTO `lang_definitions` VALUES (48913, 4044, 13, 'Назначений не найдено');
INSERT INTO `lang_definitions` VALUES (48914, 4045, 13, 'Заболевание/травма не представлено');
INSERT INTO `lang_definitions` VALUES (48915, 4046, 13, 'Предыдущих вводов не было');
INSERT INTO `lang_definitions` VALUES (48916, 4047, 13, 'В списке услуг нет выбранного основного юридического лица');
INSERT INTO `lang_definitions` VALUES (48917, 4051, 13, 'Специалисты не найдены');
INSERT INTO `lang_definitions` VALUES (48918, 4052, 13, 'Сыпи или необычных телесных изменения нет');
INSERT INTO `lang_definitions` VALUES (48919, 4053, 13, 'Записей не найдено');
INSERT INTO `lang_definitions` VALUES (48920, 4055, 13, 'Ни одной записи не найдено. Расширьте критерий поиска.');
INSERT INTO `lang_definitions` VALUES (48921, 4056, 13, 'Напоминаний нет');
INSERT INTO `lang_definitions` VALUES (48922, 4057, 13, 'Для указанного критерия поиска результатов не найдено.');
INSERT INTO `lang_definitions` VALUES (48923, 4058, 13, 'Результатов нет');
INSERT INTO `lang_definitions` VALUES (48924, 4060, 13, 'При поиске результатов не найдено.');
INSERT INTO `lang_definitions` VALUES (48925, 4062, 13, 'Результатов нет, попытайтесь еще раз.');
INSERT INTO `lang_definitions` VALUES (48926, 4063, 13, 'Результатов нет, попробуйте снова.');
INSERT INTO `lang_definitions` VALUES (48927, 4065, 13, 'Не показывать');
INSERT INTO `lang_definitions` VALUES (48928, 4067, 13, 'Пазухи безболезненны:');
INSERT INTO `lang_definitions` VALUES (48929, 4068, 13, 'Без кожной лимонной корочки или узлов молочной железы');
INSERT INTO `lang_definitions` VALUES (48930, 4069, 13, 'ТАКОГО КОНТЕКСТНОГО ИМЕНИ НЕТ');
INSERT INTO `lang_definitions` VALUES (48931, 4071, 13, 'Яички безболезненны, новообразований нет');
INSERT INTO `lang_definitions` VALUES (48932, 4072, 13, 'Без дрожания грудной стенки или выбухания');
INSERT INTO `lang_definitions` VALUES (48933, 4075, 13, 'Нет посещений');
INSERT INTO `lang_definitions` VALUES (48934, 4076, 13, 'Жизненно важные показатели не были зарегистрированы.');
INSERT INTO `lang_definitions` VALUES (48935, 4077, 13, 'Нет, отменить');
INSERT INTO `lang_definitions` VALUES (48936, 4078, 13, 'Безошибочное страхование, включая автоматическое, будет основным');
INSERT INTO `lang_definitions` VALUES (48937, 4079, 13, 'Нет:');
INSERT INTO `lang_definitions` VALUES (48938, 4080, 13, 'Ноктурия');
INSERT INTO `lang_definitions` VALUES (48939, 4081, 13, 'Не оплачено');
INSERT INTO `lang_definitions` VALUES (48940, 4082, 13, 'Несообщенный отчет');
INSERT INTO `lang_definitions` VALUES (48941, 4083, 13, 'Нет конкретного повреждения');
INSERT INTO `lang_definitions` VALUES (48942, 4084, 13, 'Неэлектронный');
INSERT INTO `lang_definitions` VALUES (48943, 4085, 13, 'Инсулинонезависимый диабет');
INSERT INTO `lang_definitions` VALUES (48944, 4087, 13, 'Медицинское сексуальное и репродуктивное здоровье');
INSERT INTO `lang_definitions` VALUES (48945, 4088, 13, 'Немедицинское сексуальное и репродуктивное здоровье');
INSERT INTO `lang_definitions` VALUES (48946, 4089, 13, 'Нет');
INSERT INTO `lang_definitions` VALUES (48947, 4090, 13, 'нет');
INSERT INTO `lang_definitions` VALUES (48948, 4091, 13, 'Не определено');
INSERT INTO `lang_definitions` VALUES (48949, 4092, 13, 'Не зарегистрировано');
INSERT INTO `lang_definitions` VALUES (48950, 4093, 13, 'Нет из вышеуказанного');
INSERT INTO `lang_definitions` VALUES (48951, 4094, 13, 'Ни одна основная строка предоставления не может быть полностью пустой.');
INSERT INTO `lang_definitions` VALUES (48952, 4095, 13, 'Инсулинонезависимый диабет');
INSERT INTO `lang_definitions` VALUES (48953, 4096, 13, 'Также не');
INSERT INTO `lang_definitions` VALUES (48954, 4097, 13, 'Обычная');
INSERT INTO `lang_definitions` VALUES (48955, 4098, 13, 'Обычный BL');
INSERT INTO `lang_definitions` VALUES (48956, 4099, 13, 'Обычное кардиологическое обследование:');
INSERT INTO `lang_definitions` VALUES (48957, 4100, 13, 'Обычное кардиологическое обследование: ');
INSERT INTO `lang_definitions` VALUES (48958, 4101, 13, 'Обычное пульмонологическое обследование:');
INSERT INTO `lang_definitions` VALUES (48959, 4102, 13, 'Обычное пульмонологическое обследование: ');
INSERT INTO `lang_definitions` VALUES (48960, 4103, 13, 'Обычное посещение в кабинете');
INSERT INTO `lang_definitions` VALUES (48961, 4104, 13, 'Обычный Oropharynx:');
INSERT INTO `lang_definitions` VALUES (48962, 4105, 13, 'Обычный справа');
INSERT INTO `lang_definitions` VALUES (48963, 4106, 13, 'Обычный справа:');
INSERT INTO `lang_definitions` VALUES (48964, 4107, 13, 'Обычный вид');
INSERT INTO `lang_definitions` VALUES (48965, 4108, 13, 'обычный:');
INSERT INTO `lang_definitions` VALUES (48966, 4109, 13, 'Обычно, должно быть проверено. Не связано с управлением доступом.');
INSERT INTO `lang_definitions` VALUES (48967, 4112, 13, 'Норвежский');
INSERT INTO `lang_definitions` VALUES (48968, 4115, 13, 'Нос');
INSERT INTO `lang_definitions` VALUES (48969, 4116, 13, 'Носовое кровотечение');
INSERT INTO `lang_definitions` VALUES (48970, 4117, 13, 'нет буквы или цифры');
INSERT INTO `lang_definitions` VALUES (48971, 4119, 13, 'Не все поля требуются для всех кодов или типов кодов.');
INSERT INTO `lang_definitions` VALUES (48972, 4120, 13, 'Не разрешено');
INSERT INTO `lang_definitions` VALUES (48973, 4121, 13, 'Группу администраторов удалять не разрешено');
INSERT INTO `lang_definitions` VALUES (48974, 4122, 13, 'Редактирование не разрешено');
INSERT INTO `lang_definitions` VALUES (48975, 4123, 13, 'Инактивация всех объектов безопасности не разрешена');
INSERT INTO `lang_definitions` VALUES (48976, 4124, 13, 'Ничего из ACL администраторов инактивировать не разрешено');
INSERT INTO `lang_definitions` VALUES (48977, 4125, 13, 'Удалять пользователя из группы администраторов не разрешено');
INSERT INTO `lang_definitions` VALUES (48978, 4126, 13, 'Удалять этого пользователя из группы администраторов не разрешено');
INSERT INTO `lang_definitions` VALUES (48979, 4128, 13, 'Доступ к модулю PostCalendar не разрешен');
INSERT INTO `lang_definitions` VALUES (48980, 4129, 13, 'Нет доступа');
INSERT INTO `lang_definitions` VALUES (48981, 4130, 13, 'Доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (48982, 4131, 13, 'Для этой команды нет доступа!');
INSERT INTO `lang_definitions` VALUES (48983, 4132, 13, 'Для этой группы доступ не разрешен');
INSERT INTO `lang_definitions` VALUES (48984, 4135, 13, 'Не доступно');
INSERT INTO `lang_definitions` VALUES (48985, 4137, 13, 'Счет не выставлен');
INSERT INTO `lang_definitions` VALUES (48986, 4138, 13, 'Не зарегистрировано');
INSERT INTO `lang_definitions` VALUES (48987, 4139, 13, 'Не проверено');
INSERT INTO `lang_definitions` VALUES (48988, 4141, 13, 'Не подлежит');
INSERT INTO `lang_definitions` VALUES (48989, 4143, 13, 'Не обследован');
INSERT INTO `lang_definitions` VALUES (48990, 4144, 13, 'Не обследован:');
INSERT INTO `lang_definitions` VALUES (48991, 4145, 13, 'Не обследован: ');
INSERT INTO `lang_definitions` VALUES (48992, 4146, 13, 'не найден');
INSERT INTO `lang_definitions` VALUES (48993, 4148, 13, 'не найден!');
INSERT INTO `lang_definitions` VALUES (48994, 4149, 13, 'Не выходец из Латинской Америки или латино');
INSERT INTO `lang_definitions` VALUES (48995, 4152, 13, 'Не отправлен');
INSERT INTO `lang_definitions` VALUES (48996, 4153, 13, 'Не отправлен');
INSERT INTO `lang_definitions` VALUES (48997, 4154, 13, 'Еще не отправлено');
INSERT INTO `lang_definitions` VALUES (48998, 4156, 13, 'Без указания.');
INSERT INTO `lang_definitions` VALUES (48999, 4157, 13, 'Примечание');
INSERT INTO `lang_definitions` VALUES (49000, 4158, 13, 'Кодировка записи');
INSERT INTO `lang_definitions` VALUES (49001, 4159, 13, 'Учтите, что это займет 5-10 минут для полной обработки после того, как вы нажмете Установить');
INSERT INTO `lang_definitions` VALUES (49002, 4160, 13, 'Учтите, что это займет 5-10 минут для полной обработки после того, как вы нажмете Модернизировать');
INSERT INTO `lang_definitions` VALUES (49003, 4161, 13, 'Учтите, что аудит журналирования должен быть включен выше');
INSERT INTO `lang_definitions` VALUES (49004, 4162, 13, 'Тип записи');
INSERT INTO `lang_definitions` VALUES (49005, 4168, 13, 'Примечание: этот код был введен пользователем без разрешенного доступа. Только разрешенные коды могут быть загружены для обработки в Открытую Биллинговую Медицинскую Сеть. Если хотите загрузить эти коды, выберите здесь авторизованого пользователя.');
INSERT INTO `lang_definitions` VALUES (49006, 4170, 13, 'Примечание: загрузка файлов с одинаковыми именами приведет к автоматическому измененению файлов (к примеру, file.jpg станет file.1.jpg). Имена файлов считаются уникальными для одного пациента, а не для каждой категории.');
INSERT INTO `lang_definitions` VALUES (49007, 4171, 13, 'Примечание: загрузка файлов с одинаковыми именами приведет к автоматическому переименованию файлов. К примеру \' file.jpg\' станет \' file.jpg.1\'. Имена файлов считаются уникальными для одного пациента, а не для каждой категории.');
INSERT INTO `lang_definitions` VALUES (49008, 4172, 13, 'Записи');
INSERT INTO `lang_definitions` VALUES (49009, 4173, 13, 'Записи - любые обращения (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (49010, 4174, 13, 'Записи - мои обращения (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (49011, 4175, 13, 'Доступ к записям не разрешен');
INSERT INTO `lang_definitions` VALUES (49012, 4177, 13, 'Ничего не записано');
INSERT INTO `lang_definitions` VALUES (49013, 4179, 13, 'Ничего не импортировано для аллергии');
INSERT INTO `lang_definitions` VALUES (49014, 4180, 13, 'Ничего не импортировано для назначения');
INSERT INTO `lang_definitions` VALUES (49015, 4182, 13, 'Ничего не выбрано');
INSERT INTO `lang_definitions` VALUES (49016, 4184, 13, 'УВЕДОМЛЕНИЕ:: предоставление или изменение PostCalendar');
INSERT INTO `lang_definitions` VALUES (49017, 4185, 13, 'Уведомление');
INSERT INTO `lang_definitions` VALUES (49018, 4186, 13, 'Адрес e-mail для уведомления');
INSERT INTO `lang_definitions` VALUES (49019, 4188, 13, 'Уведомления');
INSERT INTO `lang_definitions` VALUES (49020, 4189, 13, 'Уведомлять администратора об оказанных или измененных событиях?');
INSERT INTO `lang_definitions` VALUES (49021, 4190, 13, 'Нояб');
INSERT INTO `lang_definitions` VALUES (49022, 4191, 13, 'Ноябрь');
INSERT INTO `lang_definitions` VALUES (49023, 4192, 13, 'Новая отправка для:');
INSERT INTO `lang_definitions` VALUES (49024, 4193, 13, 'Идет печать');
INSERT INTO `lang_definitions` VALUES (49025, 4194, 13, 'Теперь печать заявки $stmt_count и обновленные обращения.');
INSERT INTO `lang_definitions` VALUES (49026, 4195, 13, 'Теперь печать заявки $stmt_count и обновленные счета.');
INSERT INTO `lang_definitions` VALUES (49027, 4196, 13, 'Теперь печать заявки $stmt_count; обращения не будут обновлены.');
INSERT INTO `lang_definitions` VALUES (49028, 4197, 13, 'Теперь печать заявки $stmt_count; счета не будут обновлены.');
INSERT INTO `lang_definitions` VALUES (49029, 4198, 13, 'NPI');
INSERT INTO `lang_definitions` VALUES (49030, 4199, 13, 'NQF');
INSERT INTO `lang_definitions` VALUES (49031, 4200, 13, 'Номер');
INSERT INTO `lang_definitions` VALUES (49032, 4201, 13, 'Номер лаб.');
INSERT INTO `lang_definitions` VALUES (49033, 4204, 13, 'Количество столбцов в обзоре за год.');
INSERT INTO `lang_definitions` VALUES (49034, 4211, 13, 'Количество дней, на протяжении которых сертификат клиента действителен.');
INSERT INTO `lang_definitions` VALUES (49035, 4213, 13, 'Количество цифр после десятичной запятой для денег, обычно 0 или 2.');
INSERT INTO `lang_definitions` VALUES (49036, 4214, 13, 'Количество отображаемых обращений на странице.');
INSERT INTO `lang_definitions` VALUES (49037, 4215, 13, 'Количество воспроизведений или событий пропущено, если применимо');
INSERT INTO `lang_definitions` VALUES (49038, 4216, 13, 'Количество часов на выполнение отправки уведомления e-mail.');
INSERT INTO `lang_definitions` VALUES (49039, 4217, 13, 'Количество часов на выполнение телефонограммы.');
INSERT INTO `lang_definitions` VALUES (49040, 4218, 13, 'Количество часов на выполнение отправки SMS-уведомления.');
INSERT INTO `lang_definitions` VALUES (49041, 4221, 13, 'Количество столбцов для анамнеза');
INSERT INTO `lang_definitions` VALUES (49042, 4223, 13, 'Нечувствительность');
INSERT INTO `lang_definitions` VALUES (49043, 4224, 13, 'Нумератор');
INSERT INTO `lang_definitions` VALUES (49044, 4225, 13, 'Порядок цифрового отображения');
INSERT INTO `lang_definitions` VALUES (49045, 4227, 13, 'Питание');
INSERT INTO `lang_definitions` VALUES (49046, 4229, 13, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (49047, 4230, 13, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (49048, 4231, 13, 'Ожирение I ст.');
INSERT INTO `lang_definitions` VALUES (49049, 4232, 13, 'Ожирение II ст.');
INSERT INTO `lang_definitions` VALUES (49050, 4233, 13, 'Ожирение III ст.');
INSERT INTO `lang_definitions` VALUES (49051, 4234, 13, 'Объективно');
INSERT INTO `lang_definitions` VALUES (49052, 4237, 13, 'Профессия');
INSERT INTO `lang_definitions` VALUES (49053, 4239, 13, 'Проявление');
INSERT INTO `lang_definitions` VALUES (49054, 4240, 13, 'Окт');
INSERT INTO `lang_definitions` VALUES (49055, 4241, 13, 'Октябрь');
INSERT INTO `lang_definitions` VALUES (49056, 4242, 13, 'OD');
INSERT INTO `lang_definitions` VALUES (49057, 4243, 13, 'из');
INSERT INTO `lang_definitions` VALUES (49058, 4244, 13, 'из количества');
INSERT INTO `lang_definitions` VALUES (49059, 4245, 13, 'таблеток');
INSERT INTO `lang_definitions` VALUES (49060, 4246, 13, 'месяца каждый');
INSERT INTO `lang_definitions` VALUES (49061, 4247, 13, 'Служ. записи');
INSERT INTO `lang_definitions` VALUES (49062, 4248, 13, 'вне');
INSERT INTO `lang_definitions` VALUES (49063, 4249, 13, 'Служебные записи');
INSERT INTO `lang_definitions` VALUES (49064, 4250, 13, 'Посещение кабинета');
INSERT INTO `lang_definitions` VALUES (49065, 4251, 13, 'Группы сравнения для официальной клинической единицы измерения качества (CQM)');
INSERT INTO `lang_definitions` VALUES (49066, 4252, 13, 'Внешняя связь Https для этого портала пациента.');
INSERT INTO `lang_definitions` VALUES (49067, 4253, 13, 'Внешняя связь Https для портала пациента. (Ссылка пациента)');
INSERT INTO `lang_definitions` VALUES (49068, 4254, 13, 'Пароль портала для сторонних пациентов');
INSERT INTO `lang_definitions` VALUES (49069, 4255, 13, 'Пароль портала для сторонних пациентов (если не зарегестрированы, то введите пустой),');
INSERT INTO `lang_definitions` VALUES (49070, 4258, 13, 'Адрес сайта для портала сторонних пациентов');
INSERT INTO `lang_definitions` VALUES (49071, 4259, 13, 'Внешний адрес портала пациента. (Ссылка пациента)');
INSERT INTO `lang_definitions` VALUES (49072, 4260, 13, 'Имя пользователя порталом для сторонних пациентов');
INSERT INTO `lang_definitions` VALUES (49073, 4261, 13, 'Имя пользователя порталом для сторонних пациентов (оставьте пустым, если незарегистрирован)');
INSERT INTO `lang_definitions` VALUES (49074, 4263, 13, 'Потомство');
INSERT INTO `lang_definitions` VALUES (49075, 4265, 13, 'мазь');
INSERT INTO `lang_definitions` VALUES (49076, 4267, 13, 'OK');
INSERT INTO `lang_definitions` VALUES (49077, 4269, 13, 'OK для связи этой датированной проблемы GCAC');
INSERT INTO `lang_definitions` VALUES (49078, 4270, 13, 'Старый');
INSERT INTO `lang_definitions` VALUES (49079, 4272, 13, 'Бывшие клиенты');
INSERT INTO `lang_definitions` VALUES (49080, 4273, 13, 'Нестарый перелом / неправильно сросшийся');
INSERT INTO `lang_definitions` VALUES (49081, 4274, 13, 'Макет старого стиля без меню слева');
INSERT INTO `lang_definitions` VALUES (49082, 4275, 13, 'Статичная форма старого стиля без поиска или двойной проверки');
INSERT INTO `lang_definitions` VALUES (49083, 4279, 13, 'Пропускает информацию о месте работы в персональных данных пациента');
INSERT INTO `lang_definitions` VALUES (49084, 4280, 13, 'Пропустить место работы');
INSERT INTO `lang_definitions` VALUES (49085, 4281, 13, 'Форма, способ и частота введения,которые затем станут частью дозировки, пропущены');
INSERT INTO `lang_definitions` VALUES (49086, 4282, 13, 'Страховка и некоторые другие пункты формы персональных данных пропущены');
INSERT INTO `lang_definitions` VALUES (49087, 4283, 13, 'Исключить внутренних пользователей?');
INSERT INTO `lang_definitions` VALUES (49088, 4284, 13, 'Исключение способа оплаты из панели доплаты');
INSERT INTO `lang_definitions` VALUES (49089, 4285, 13, 'пропустить для автоматического назначения');
INSERT INTO `lang_definitions` VALUES (49090, 4286, 13, 'в');
INSERT INTO `lang_definitions` VALUES (49091, 4287, 13, 'в');
INSERT INTO `lang_definitions` VALUES (49092, 4288, 13, 'на руках');
INSERT INTO `lang_definitions` VALUES (49093, 4289, 13, 'В назначении');
INSERT INTO `lang_definitions` VALUES (49094, 4290, 13, 'на месте');
INSERT INTO `lang_definitions` VALUES (49095, 4291, 13, 'После установки компонента основного бизнеса ее нельзя изменять. Изменение компонента повлияет на работающих в ePrescription NewCrop.');
INSERT INTO `lang_definitions` VALUES (49096, 4292, 13, 'После изменения своего пароля вы должны повторно войти в систему.');
INSERT INTO `lang_definitions` VALUES (49097, 4297, 13, 'Поддержка он-лайн');
INSERT INTO `lang_definitions` VALUES (49098, 4298, 13, 'Ссылка поддержки он-лайн');
INSERT INTO `lang_definitions` VALUES (49099, 4299, 13, 'Только активные');
INSERT INTO `lang_definitions` VALUES (49100, 4302, 13, 'только для размещения счетов');
INSERT INTO `lang_definitions` VALUES (49101, 4303, 13, 'Только неактивные');
INSERT INTO `lang_definitions` VALUES (49102, 4304, 13, 'Только мои');
INSERT INTO `lang_definitions` VALUES (49103, 4307, 13, 'Только загруженные активные предписания');
INSERT INTO `lang_definitions` VALUES (49104, 4310, 13, 'Начало заболевания:');
INSERT INTO `lang_definitions` VALUES (49105, 4311, 13, 'Начало заболевания: ');
INSERT INTO `lang_definitions` VALUES (49106, 4312, 13, 'Появление новообразования:');
INSERT INTO `lang_definitions` VALUES (49107, 4313, 13, 'Дата нач./госп.');
INSERT INTO `lang_definitions` VALUES (49108, 4314, 13, 'Адрес сайта для портала внутренних пациентов');
INSERT INTO `lang_definitions` VALUES (49109, 4315, 13, 'Оплошность!');
INSERT INTO `lang_definitions` VALUES (49110, 4316, 13, 'Открыть');
INSERT INTO `lang_definitions` VALUES (49111, 4321, 13, 'Открыть посещение за сегодня');
INSERT INTO `lang_definitions` VALUES (49112, 4322, 13, 'LibreEHR уже имеет настроенный доверенный сертификат.');
INSERT INTO `lang_definitions` VALUES (49113, 4324, 13, 'Модернизация базы данных LibreEHR');
INSERT INTO `lang_definitions` VALUES (49114, 4325, 13, 'Модернизация базы данных LibreEHR для исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (49115, 4327, 13, 'До того, как LibreEHR сможет создавать клиентские сертификаты, он должен быть настроен для использования сертификатов.');
INSERT INTO `lang_definitions` VALUES (49116, 4328, 13, 'Для выполнения аутентификации пользователя LibreEHR необходим Javascript.');
INSERT INTO `lang_definitions` VALUES (49117, 4329, 13, 'Пользователи LibreEHR');
INSERT INTO `lang_definitions` VALUES (49118, 4330, 13, 'Вступление');
INSERT INTO `lang_definitions` VALUES (49119, 4332, 13, 'Глазной');
INSERT INTO `lang_definitions` VALUES (49120, 4333, 13, 'Опция');
INSERT INTO `lang_definitions` VALUES (49121, 4335, 13, 'Опция для поддержки инвентаризации и реализации материальных ценностей');
INSERT INTO `lang_definitions` VALUES (49122, 4336, 13, 'Необязательное');
INSERT INTO `lang_definitions` VALUES (49123, 4337, 13, 'Необязательное имя категории для ID-карты изображения, которое можно просмотреть на странице сводки по пациенту.');
INSERT INTO `lang_definitions` VALUES (49124, 4338, 13, 'Необязательное имя категории для фото-изображений, которое можно просмотреть на странице сводки по пациенту.');
INSERT INTO `lang_definitions` VALUES (49125, 4339, 13, 'Необязательное имя категории документа для связывания со страницы сводки по пациенту. Кликните на имени пациента, чтобы увидеть ее ID-карту.');
INSERT INTO `lang_definitions` VALUES (49126, 4340, 13, 'Необязательный диапазан по умолчанию для ввода результатов вручную');
INSERT INTO `lang_definitions` VALUES (49127, 4341, 13, 'Необязательные единицы измерения для ввода результатов вручную');
INSERT INTO `lang_definitions` VALUES (49128, 4342, 13, 'Необязательное наименование места назначения');
INSERT INTO `lang_definitions` VALUES (49129, 4343, 13, 'Необязательное наименование препарата, используйте % как знак подстановки');
INSERT INTO `lang_definitions` VALUES (49130, 4345, 13, 'Необязательная информация об этом событии');
INSERT INTO `lang_definitions` VALUES (49131, 4346, 13, 'Необязательное количество партии, используйте % как знак подстановки');
INSERT INTO `lang_definitions` VALUES (49132, 4347, 13, 'Необязательный номер ID пациента');
INSERT INTO `lang_definitions` VALUES (49133, 4348, 13, 'Необязательный код методики');
INSERT INTO `lang_definitions` VALUES (49134, 4350, 13, 'Опции');
INSERT INTO `lang_definitions` VALUES (49135, 4351, 13, 'или');
INSERT INTO `lang_definitions` VALUES (49136, 4352, 13, 'ИЛИ');
INSERT INTO `lang_definitions` VALUES (49137, 4353, 13, 'или измените');
INSERT INTO `lang_definitions` VALUES (49138, 4354, 13, 'или нажмите и проведите для быстрого выделения.');
INSERT INTO `lang_definitions` VALUES (49139, 4356, 13, 'или для');
INSERT INTO `lang_definitions` VALUES (49140, 4358, 13, 'или кликните с Shift для его выделения');
INSERT INTO `lang_definitions` VALUES (49141, 4359, 13, 'или обновите файл ERA:');
INSERT INTO `lang_definitions` VALUES (49142, 4360, 13, 'Перорально');
INSERT INTO `lang_definitions` VALUES (49143, 4361, 13, 'Слизистая полости рта розовая, глотка чистая');
INSERT INTO `lang_definitions` VALUES (49144, 4362, 13, 'Порядок');
INSERT INTO `lang_definitions` VALUES (49145, 4363, 13, 'Типы назначения и выполнения');
INSERT INTO `lang_definitions` VALUES (49146, 4364, 13, 'Каталог назначений');
INSERT INTO `lang_definitions` VALUES (49147, 4365, 13, 'Дата назначения');
INSERT INTO `lang_definitions` VALUES (49148, 4367, 13, 'Назначение от');
INSERT INTO `lang_definitions` VALUES (49149, 4369, 13, 'Порядок должен быть номером от 1 до 999');
INSERT INTO `lang_definitions` VALUES (49150, 4370, 13, 'Наименование назначения');
INSERT INTO `lang_definitions` VALUES (49151, 4371, 13, 'Приоритет назначения');
INSERT INTO `lang_definitions` VALUES (49152, 4372, 13, 'Обработчик предписаний');
INSERT INTO `lang_definitions` VALUES (49153, 4375, 13, 'Статус порядка следования');
INSERT INTO `lang_definitions` VALUES (49154, 4378, 13, 'Тип назначения');
INSERT INTO `lang_definitions` VALUES (49155, 4380, 13, 'Тип назначения/выполнения');
INSERT INTO `lang_definitions` VALUES (49156, 4381, 13, 'Назначено');
INSERT INTO `lang_definitions` VALUES (49157, 4384, 13, 'Назначающий специалист');
INSERT INTO `lang_definitions` VALUES (49158, 4386, 13, 'Повреждение органа');
INSERT INTO `lang_definitions` VALUES (49159, 4387, 13, 'Организация');
INSERT INTO `lang_definitions` VALUES (49160, 4388, 13, 'Наименование организации');
INSERT INTO `lang_definitions` VALUES (49161, 4389, 13, 'Наименование подразделения организации');
INSERT INTO `lang_definitions` VALUES (49162, 4390, 13, 'Организации');
INSERT INTO `lang_definitions` VALUES (49163, 4391, 13, 'Ориентированный x 3');
INSERT INTO `lang_definitions` VALUES (49164, 4392, 13, 'Оригинал');
INSERT INTO `lang_definitions` VALUES (49165, 4396, 13, 'РОТОГЛОТКА: ');
INSERT INTO `lang_definitions` VALUES (49166, 4397, 13, 'Ортопное');
INSERT INTO `lang_definitions` VALUES (49167, 4398, 13, 'OS');
INSERT INTO `lang_definitions` VALUES (49168, 4399, 13, 'Остеоартриты');
INSERT INTO `lang_definitions` VALUES (49169, 4402, 13, 'Другое');
INSERT INTO `lang_definitions` VALUES (49170, 4403, 13, 'другое');
INSERT INTO `lang_definitions` VALUES (49171, 4404, 13, 'Другое (указать)');
INSERT INTO `lang_definitions` VALUES (49172, 4405, 13, 'Другое - указанное');
INSERT INTO `lang_definitions` VALUES (49173, 4406, 13, 'Другая государственная программа');
INSERT INTO `lang_definitions` VALUES (49174, 4407, 13, 'Другая Финансовая Администрация здравоохранения');
INSERT INTO `lang_definitions` VALUES (49175, 4408, 13, 'Другие неуказанные повреждения');
INSERT INTO `lang_definitions` VALUES (49176, 4409, 13, 'Основной является другая ответственная страховка');
INSERT INTO `lang_definitions` VALUES (49177, 4410, 13, 'другой месяц');
INSERT INTO `lang_definitions` VALUES (49178, 4411, 13, 'Другая негосударственная программа');
INSERT INTO `lang_definitions` VALUES (49179, 4412, 13, 'Прочие записи');
INSERT INTO `lang_definitions` VALUES (49180, 4413, 13, 'Другие уместные симптомы');
INSERT INTO `lang_definitions` VALUES (49181, 4414, 13, 'Другие уместные симптомы:');
INSERT INTO `lang_definitions` VALUES (49182, 4415, 13, 'Др. соотв. пун.');
INSERT INTO `lang_definitions` VALUES (49183, 4416, 13, 'Другие воздействия или общее повреждение');
INSERT INTO `lang_definitions` VALUES (49184, 4417, 13, 'Другие оперативные вмешательства');
INSERT INTO `lang_definitions` VALUES (49185, 4418, 13, 'Другие/связанные с прерыванием беременности');
INSERT INTO `lang_definitions` VALUES (49186, 4420, 13, 'Другие');
INSERT INTO `lang_definitions` VALUES (49187, 4421, 13, 'в противном случае вы нарушите ссылки в/из существующей даты.');
INSERT INTO `lang_definitions` VALUES (49188, 4422, 13, 'Правила Ottawa Ankle');
INSERT INTO `lang_definitions` VALUES (49189, 4423, 13, 'В оба глаза');
INSERT INTO `lang_definitions` VALUES (49190, 4424, 13, 'НЕ РАБОТАЕТ');
INSERT INTO `lang_definitions` VALUES (49191, 4425, 13, 'НЕ НА МЕСТЕ');
INSERT INTO `lang_definitions` VALUES (49192, 4426, 13, 'Направление за рубеж');
INSERT INTO `lang_definitions` VALUES (49193, 4427, 13, 'Исход');
INSERT INTO `lang_definitions` VALUES (49194, 4428, 13, 'Наблюдение');
INSERT INTO `lang_definitions` VALUES (49195, 4431, 13, 'OVERDUE');
INSERT INTO `lang_definitions` VALUES (49196, 4432, 13, 'Злоупотребление');
INSERT INTO `lang_definitions` VALUES (49197, 4434, 13, 'Избыточный вес');
INSERT INTO `lang_definitions` VALUES (49198, 4435, 13, 'Переписать выбор HIPAA (Закон об отчетности и безопасности медицинского страхования)');
INSERT INTO `lang_definitions` VALUES (49199, 4437, 13, 'Сатурация кислорода');
INSERT INTO `lang_definitions` VALUES (49200, 4439, 13, 'P');
INSERT INTO `lang_definitions` VALUES (49201, 4440, 13, 'проц.');
INSERT INTO `lang_definitions` VALUES (49202, 4441, 13, 'после полудня');
INSERT INTO `lang_definitions` VALUES (49203, 4442, 13, 'по необх.');
INSERT INTO `lang_definitions` VALUES (49204, 4443, 13, 'Тихоокеанский островитянин');
INSERT INTO `lang_definitions` VALUES (49205, 4444, 13, 'Педиатрический');
INSERT INTO `lang_definitions` VALUES (49206, 4445, 13, 'Страница');
INSERT INTO `lang_definitions` VALUES (49207, 4446, 13, 'Страницы');
INSERT INTO `lang_definitions` VALUES (49208, 4447, 13, 'Оплатить');
INSERT INTO `lang_definitions` VALUES (49209, 4448, 13, 'Сумма оплаты, которую вы внесете');
INSERT INTO `lang_definitions` VALUES (49210, 4450, 13, 'Оплатить через');
INSERT INTO `lang_definitions` VALUES (49211, 4451, 13, 'Боль');
INSERT INTO `lang_definitions` VALUES (49212, 4453, 13, 'Сердцебиения');
INSERT INTO `lang_definitions` VALUES (49213, 4455, 13, 'Мазок Папаниколау');
INSERT INTO `lang_definitions` VALUES (49214, 4457, 13, 'Размер бумаги');
INSERT INTO `lang_definitions` VALUES (49215, 4458, 13, 'Паралич');
INSERT INTO `lang_definitions` VALUES (49216, 4461, 13, 'Обработать HL7');
INSERT INTO `lang_definitions` VALUES (49217, 4463, 13, 'Партнерское');
INSERT INTO `lang_definitions` VALUES (49218, 4464, 13, 'Наименование партнера');
INSERT INTO `lang_definitions` VALUES (49219, 4467, 13, 'Пароль');
INSERT INTO `lang_definitions` VALUES (49220, 4468, 13, 'Пароль для шифрования документа');
INSERT INTO `lang_definitions` VALUES (49221, 4469, 13, 'Переданные пациенты');
INSERT INTO `lang_definitions` VALUES (49222, 4470, 13, 'Пассивное извещение');
INSERT INTO `lang_definitions` VALUES (49223, 4471, 13, 'Правила пассивных извещений');
INSERT INTO `lang_definitions` VALUES (49224, 4472, 13, 'Пароль');
INSERT INTO `lang_definitions` VALUES (49225, 4473, 13, 'Изменение пароля');
INSERT INTO `lang_definitions` VALUES (49226, 4475, 13, 'Изменение пароля выполнено успешно.');
INSERT INTO `lang_definitions` VALUES (49227, 4477, 13, 'Период действия пароля');
INSERT INTO `lang_definitions` VALUES (49228, 4479, 13, 'Пароль для телефонного шлюза. Автоматизированная служба VOIP предоставлена через Maviq. Посетите http://signup.maviq.com для получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (49229, 4480, 13, 'Пароль для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (49230, 4481, 13, 'Пароль для шлюза SMS.');
INSERT INTO `lang_definitions` VALUES (49231, 4483, 13, 'Надежность пароля недавно была улучшена.');
INSERT INTO `lang_definitions` VALUES (49232, 4486, 13, 'Пароль:');
INSERT INTO `lang_definitions` VALUES (49233, 4490, 13, 'Просроченный');
INSERT INTO `lang_definitions` VALUES (49234, 4491, 13, 'Просроченный');
INSERT INTO `lang_definitions` VALUES (49235, 4492, 13, 'Наивысший интервал ожидания (клинические напоминания)');
INSERT INTO `lang_definitions` VALUES (49236, 4493, 13, 'Наивысший интервал ожидания (напоминания для пациента)');
INSERT INTO `lang_definitions` VALUES (49237, 4494, 13, 'Список прошлых обращений');
INSERT INTO `lang_definitions` VALUES (49238, 4495, 13, 'Прошлые обращения');
INSERT INTO `lang_definitions` VALUES (49239, 4496, 13, 'Прошлые обращения и документы');
INSERT INTO `lang_definitions` VALUES (49240, 4497, 13, 'Прошлые обращения для');
INSERT INTO `lang_definitions` VALUES (49241, 4498, 13, 'Вставить данные HL7');
INSERT INTO `lang_definitions` VALUES (49242, 4499, 13, 'Вставьте в текстовую область ниже данные для импорта:');
INSERT INTO `lang_definitions` VALUES (49243, 4500, 13, 'Подходящий');
INSERT INTO `lang_definitions` VALUES (49244, 4502, 13, 'Исправление');
INSERT INTO `lang_definitions` VALUES (49245, 4508, 13, 'Путь для журнала резервного копирования событий');
INSERT INTO `lang_definitions` VALUES (49246, 4509, 13, 'Путь к файлу сертификата CA');
INSERT INTO `lang_definitions` VALUES (49247, 4510, 13, 'Путь к файлу ключа CA');
INSERT INTO `lang_definitions` VALUES (49248, 4511, 13, 'Путь к бинарникам MySQL');
INSERT INTO `lang_definitions` VALUES (49249, 4512, 13, 'Путь к бинарникам Perl');
INSERT INTO `lang_definitions` VALUES (49250, 4513, 13, 'Путь к временным файлам');
INSERT INTO `lang_definitions` VALUES (49251, 4514, 13, 'Пациент');
INSERT INTO `lang_definitions` VALUES (49252, 4515, 13, 'пациент');
INSERT INTO `lang_definitions` VALUES (49253, 4516, 13, 'ПАЦИЕНТ');
INSERT INTO `lang_definitions` VALUES (49254, 4517, 13, 'Адрес пациента');
INSERT INTO `lang_definitions` VALUES (49255, 4518, 13, 'Пропущен адрес пациента');
INSERT INTO `lang_definitions` VALUES (49256, 4521, 13, 'Аллергия у пациента');
INSERT INTO `lang_definitions` VALUES (49257, 4522, 13, 'Аллергия у пациента');
INSERT INTO `lang_definitions` VALUES (49258, 4523, 13, 'Запись на прием для пациента');
INSERT INTO `lang_definitions` VALUES (49259, 4528, 13, 'ID карты пациента');
INSERT INTO `lang_definitions` VALUES (49260, 4529, 13, 'Исполнительный расчет');
INSERT INTO `lang_definitions` VALUES (49261, 4530, 13, 'Исполнительный расчет для _ ');
INSERT INTO `lang_definitions` VALUES (49262, 4531, 13, 'Город пациента');
INSERT INTO `lang_definitions` VALUES (49263, 4532, 13, 'Пропущен город пациента');
INSERT INTO `lang_definitions` VALUES (49264, 4533, 13, 'Установка связи с пациентом');
INSERT INTO `lang_definitions` VALUES (49265, 4534, 13, 'Установка связи с пациентом');
INSERT INTO `lang_definitions` VALUES (49266, 4535, 13, 'Страна пациента');
INSERT INTO `lang_definitions` VALUES (49267, 4536, 13, 'Пропущена страна пациента. И в глобальных настройках она не установлена по умолчанию');
INSERT INTO `lang_definitions` VALUES (49268, 4539, 13, 'Данные по пациенту');
INSERT INTO `lang_definitions` VALUES (49269, 4541, 13, 'Пропущена дата рождения пациента');
INSERT INTO `lang_definitions` VALUES (49270, 4542, 13, 'Сведения о пациенте');
INSERT INTO `lang_definitions` VALUES (49271, 4543, 13, 'Дата рожд. пациента');
INSERT INTO `lang_definitions` VALUES (49272, 4544, 13, 'Документ пациента');
INSERT INTO `lang_definitions` VALUES (49273, 4545, 13, 'Образование пациента');
INSERT INTO `lang_definitions` VALUES (49274, 4546, 13, 'Сведения об образовании пациента');
INSERT INTO `lang_definitions` VALUES (49275, 4547, 13, 'Обращение пациента');
INSERT INTO `lang_definitions` VALUES (49276, 4548, 13, 'Форма обращения пациента');
INSERT INTO `lang_definitions` VALUES (49277, 4549, 13, 'Обращения пациента');
INSERT INTO `lang_definitions` VALUES (49278, 4550, 13, 'Указатель для поиска пациента');
INSERT INTO `lang_definitions` VALUES (49279, 4551, 13, 'Имя пациента');
INSERT INTO `lang_definitions` VALUES (49280, 4553, 13, 'Пропущено имя пациента');
INSERT INTO `lang_definitions` VALUES (49281, 4558, 13, 'Пол пациента');
INSERT INTO `lang_definitions` VALUES (49282, 4559, 13, 'Пропущен пол пациента');
INSERT INTO `lang_definitions` VALUES (49283, 4560, 13, 'Пациенту доступ к порталу не разрешен.');
INSERT INTO `lang_definitions` VALUES (49284, 4561, 13, 'Анамнез пациента');
INSERT INTO `lang_definitions` VALUES (49285, 4562, 13, 'Анамнез/образ жизни пациента');
INSERT INTO `lang_definitions` VALUES (49286, 4563, 13, 'Домашний телефон пациента');
INSERT INTO `lang_definitions` VALUES (49287, 4564, 13, 'ID пациента');
INSERT INTO `lang_definitions` VALUES (49288, 4566, 13, 'ID карты пациента');
INSERT INTO `lang_definitions` VALUES (49289, 4567, 13, 'Наименование категории для ID пациента');
INSERT INTO `lang_definitions` VALUES (49290, 4568, 13, 'Вакцинация пациента');
INSERT INTO `lang_definitions` VALUES (49291, 4569, 13, 'Информация о пациенте');
INSERT INTO `lang_definitions` VALUES (49292, 4570, 13, 'Инструкции для пациента');
INSERT INTO `lang_definitions` VALUES (49293, 4571, 13, 'Реализация страхования пациента');
INSERT INTO `lang_definitions` VALUES (49294, 4572, 13, 'Отчет о предоставленной страховке пациента');
INSERT INTO `lang_definitions` VALUES (49295, 4573, 13, 'Проблемы пациента');
INSERT INTO `lang_definitions` VALUES (49296, 4575, 13, 'Фамилия пациента');
INSERT INTO `lang_definitions` VALUES (49297, 4577, 13, 'Пропущена фамилия пациента');
INSERT INTO `lang_definitions` VALUES (49298, 4581, 13, 'Список пациента');
INSERT INTO `lang_definitions` VALUES (49299, 4586, 13, 'Ошибки поиска пациента');
INSERT INTO `lang_definitions` VALUES (49300, 4587, 13, 'Медицинские проблемы пациента');
INSERT INTO `lang_definitions` VALUES (49301, 4588, 13, 'Медикаменты для пациента');
INSERT INTO `lang_definitions` VALUES (49302, 4589, 13, 'Наименование пациента');
INSERT INTO `lang_definitions` VALUES (49303, 4590, 13, 'Фамилия и адрес пациента');
INSERT INTO `lang_definitions` VALUES (49304, 4593, 13, 'Наименование пациента обязательно');
INSERT INTO `lang_definitions` VALUES (49305, 4595, 13, 'Запись по пациенту');
INSERT INTO `lang_definitions` VALUES (49306, 4596, 13, 'Типы записей по пациенту');
INSERT INTO `lang_definitions` VALUES (49307, 4597, 13, 'Записи по пациенту');
INSERT INTO `lang_definitions` VALUES (49308, 4598, 13, 'Записи по пациенту (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (49309, 4599, 13, 'Номер пациента');
INSERT INTO `lang_definitions` VALUES (49310, 4600, 13, 'Исполнительная оплата по пациенту');
INSERT INTO `lang_definitions` VALUES (49311, 4602, 13, 'Наименование категории для фотографии пациента');
INSERT INTO `lang_definitions` VALUES (49312, 4603, 13, 'Портал пациента');
INSERT INTO `lang_definitions` VALUES (49313, 4605, 13, 'Портал пациента отключен');
INSERT INTO `lang_definitions` VALUES (49314, 4606, 13, 'Вход в портал пациента');
INSERT INTO `lang_definitions` VALUES (49315, 4607, 13, 'Веб-адрес портала пациента');
INSERT INTO `lang_definitions` VALUES (49316, 4608, 13, 'Печатный отчет о пациенте');
INSERT INTO `lang_definitions` VALUES (49317, 4609, 13, 'Регистрационный отчет о пациенте');
INSERT INTO `lang_definitions` VALUES (49318, 4610, 13, 'Регистрационный запрос о пациенте');
INSERT INTO `lang_definitions` VALUES (49319, 4611, 13, 'Регистрационные запросы о пациенте');
INSERT INTO `lang_definitions` VALUES (49320, 4613, 13, 'Напоминание о пациенте');
INSERT INTO `lang_definitions` VALUES (49321, 4614, 13, 'Групповое использование напоминания о пациенте');
INSERT INTO `lang_definitions` VALUES (49322, 4616, 13, 'Правила напоминания о пациенте');
INSERT INTO `lang_definitions` VALUES (49323, 4617, 13, 'E-mail отправителя напоминаний о пациенте');
INSERT INTO `lang_definitions` VALUES (49324, 4618, 13, 'Фамилия отправителя напоминаний о пациенте');
INSERT INTO `lang_definitions` VALUES (49325, 4619, 13, 'Напоминания о пациенте');
INSERT INTO `lang_definitions` VALUES (49326, 4620, 13, 'Отчет о пациенте');
INSERT INTO `lang_definitions` VALUES (49327, 4621, 13, 'Запрос о пациенте');
INSERT INTO `lang_definitions` VALUES (49328, 4622, 13, 'Запрошенные истории болезни пациента');
INSERT INTO `lang_definitions` VALUES (49329, 4623, 13, 'Результаты по пациенту');
INSERT INTO `lang_definitions` VALUES (49330, 4624, 13, 'Стиль выполнения поиска пациента');
INSERT INTO `lang_definitions` VALUES (49331, 4625, 13, 'Отображение поиска/добавления пациента');
INSERT INTO `lang_definitions` VALUES (49332, 4626, 13, 'Настройка по пациенту');
INSERT INTO `lang_definitions` VALUES (49333, 4627, 13, 'Состояние пациента');
INSERT INTO `lang_definitions` VALUES (49334, 4629, 13, 'Итог по пациенту');
INSERT INTO `lang_definitions` VALUES (49335, 4630, 13, 'Транзакции по пациенту');
INSERT INTO `lang_definitions` VALUES (49336, 4631, 13, 'Почтовый индекс пациента');
INSERT INTO `lang_definitions` VALUES (49337, 4632, 13, 'пациент(ы) в базе данных, которому соответствует информация по введенным персональным данным.');
INSERT INTO `lang_definitions` VALUES (49338, 4633, 13, 'Пациент/посетитель');
INSERT INTO `lang_definitions` VALUES (49339, 4634, 13, 'Пациент:');
INSERT INTO `lang_definitions` VALUES (49340, 4635, 13, 'ID пац.');
INSERT INTO `lang_definitions` VALUES (49341, 4636, 13, 'Пациенты');
INSERT INTO `lang_definitions` VALUES (49342, 4638, 13, 'Оплата');
INSERT INTO `lang_definitions` VALUES (49343, 4639, 13, 'Обратите внимание на флажки \"Готово с\". После завершения заполнения страхования мы будем просить пациента оплатить остаток; если не заполните всю страховку, то оставшаяся сумма не будет собрана! Также, если имеется оставшаяся сумма, которую пациент должен оплатить, установите положенный срок надлежащим образом, так как это скажется на формулировке, которая предоставляется по калькуляции пациента.');
INSERT INTO `lang_definitions` VALUES (49344, 4640, 13, 'Дата оплаты:');
INSERT INTO `lang_definitions` VALUES (49345, 4641, 13, 'Статус платы');
INSERT INTO `lang_definitions` VALUES (49346, 4642, 13, 'Наименование получателя платежа');
INSERT INTO `lang_definitions` VALUES (49347, 4643, 13, 'Плательщик');
INSERT INTO `lang_definitions` VALUES (49348, 4644, 13, 'Тип плательщика');
INSERT INTO `lang_definitions` VALUES (49349, 4645, 13, 'Платеж');
INSERT INTO `lang_definitions` VALUES (49350, 4646, 13, 'Оплачивающее лицо');
INSERT INTO `lang_definitions` VALUES (49351, 4647, 13, 'Оплата');
INSERT INTO `lang_definitions` VALUES (49352, 4648, 13, 'оплата');
INSERT INTO `lang_definitions` VALUES (49353, 4649, 13, 'Код корректировки оплаты');
INSERT INTO `lang_definitions` VALUES (49354, 4651, 13, 'Сумма к оплате');
INSERT INTO `lang_definitions` VALUES (49355, 4652, 13, 'Сумма к оплате должна быть цифровой');
INSERT INTO `lang_definitions` VALUES (49356, 4653, 13, 'Категория оплаты');
INSERT INTO `lang_definitions` VALUES (49357, 4654, 13, 'Дата платежа');
INSERT INTO `lang_definitions` VALUES (49358, 4655, 13, 'оплата, внесенная на');
INSERT INTO `lang_definitions` VALUES (49359, 4656, 13, 'Оплата от');
INSERT INTO `lang_definitions` VALUES (49360, 4658, 13, 'Вст. оплаты');
INSERT INTO `lang_definitions` VALUES (49361, 4659, 13, 'Список оплаты');
INSERT INTO `lang_definitions` VALUES (49362, 4660, 13, 'Метод оплаты');
INSERT INTO `lang_definitions` VALUES (49363, 4661, 13, 'Сортировка оплаты по');
INSERT INTO `lang_definitions` VALUES (49364, 4662, 13, 'Статус оплаты');
INSERT INTO `lang_definitions` VALUES (49365, 4663, 13, 'Тип оплаты');
INSERT INTO `lang_definitions` VALUES (49366, 4664, 13, 'Значение оплаты для кода ');
INSERT INTO `lang_definitions` VALUES (49367, 4665, 13, 'Платежи');
INSERT INTO `lang_definitions` VALUES (49368, 4667, 13, 'PCP');
INSERT INTO `lang_definitions` VALUES (49369, 4669, 13, 'PDF');
INSERT INTO `lang_definitions` VALUES (49370, 4670, 13, 'Загруженные в PDF выбранные заявки');
INSERT INTO `lang_definitions` VALUES (49371, 4672, 13, 'Область таза и ягодиц');
INSERT INTO `lang_definitions` VALUES (49372, 4673, 13, 'Пузырчатка');
INSERT INTO `lang_definitions` VALUES (49373, 4674, 13, 'Ожидающий');
INSERT INTO `lang_definitions` VALUES (49374, 4676, 13, 'Ожидающий прод.');
INSERT INTO `lang_definitions` VALUES (49375, 4677, 13, 'Ожидающий продолжения');
INSERT INTO `lang_definitions` VALUES (49376, 4678, 13, 'Ожидание ответа результатов');
INSERT INTO `lang_definitions` VALUES (49377, 4679, 13, 'Ожидающие назначения');
INSERT INTO `lang_definitions` VALUES (49378, 4680, 13, 'Ожидающие иссл.');
INSERT INTO `lang_definitions` VALUES (49379, 4681, 13, 'Ожидающий просмотра');
INSERT INTO `lang_definitions` VALUES (49380, 4682, 13, 'Ожидающий подсчета Rx');
INSERT INTO `lang_definitions` VALUES (49381, 4684, 13, 'LibreEHR для фирмы Pennington v');
INSERT INTO `lang_definitions` VALUES (49382, 4687, 13, 'Язвенная болезнь');
INSERT INTO `lang_definitions` VALUES (49383, 4688, 13, 'в мин.');
INSERT INTO `lang_definitions` VALUES (49384, 4689, 13, 'В ноздрю');
INSERT INTO `lang_definitions` VALUES (49385, 4690, 13, 'Перорально');
INSERT INTO `lang_definitions` VALUES (49386, 4691, 13, 'перорально');
INSERT INTO `lang_definitions` VALUES (49387, 4692, 13, 'Ректально');
INSERT INTO `lang_definitions` VALUES (49388, 4693, 13, 'ректально');
INSERT INTO `lang_definitions` VALUES (49389, 4694, 13, 'Процент');
INSERT INTO `lang_definitions` VALUES (49390, 4697, 13, 'Процентиль');
INSERT INTO `lang_definitions` VALUES (49391, 4698, 13, 'Перфорированный справа:');
INSERT INTO `lang_definitions` VALUES (49392, 4699, 13, 'Выполнить поиск');
INSERT INTO `lang_definitions` VALUES (49393, 4700, 13, 'Выполняет это действие');
INSERT INTO `lang_definitions` VALUES (49394, 4701, 13, 'Предоставить в процентах');
INSERT INTO `lang_definitions` VALUES (49395, 4703, 13, 'Выполнение лабораторной услуги');
INSERT INTO `lang_definitions` VALUES (49396, 4705, 13, 'Период');
INSERT INTO `lang_definitions` VALUES (49397, 4706, 13, 'Период в днях, когда пользователь может войти в систему с истекшим паролем.');
INSERT INTO `lang_definitions` VALUES (49398, 4707, 13, 'Периоперационное лечение');
INSERT INTO `lang_definitions` VALUES (49399, 4708, 13, 'Периферический');
INSERT INTO `lang_definitions` VALUES (49400, 4712, 13, 'Человек');
INSERT INTO `lang_definitions` VALUES (49401, 4713, 13, 'Персонализация');
INSERT INTO `lang_definitions` VALUES (49402, 4714, 13, 'PG');
INSERT INTO `lang_definitions` VALUES (49403, 4715, 13, 'Апт.');
INSERT INTO `lang_definitions` VALUES (49404, 4716, 13, 'Общ. апт. счет');
INSERT INTO `lang_definitions` VALUES (49405, 4717, 13, 'Аптеки');
INSERT INTO `lang_definitions` VALUES (49406, 4718, 13, 'Аптека');
INSERT INTO `lang_definitions` VALUES (49407, 4719, 13, 'Аптечное отделение');
INSERT INTO `lang_definitions` VALUES (49408, 4720, 13, 'Пневмоторакс');
INSERT INTO `lang_definitions` VALUES (49409, 4729, 13, 'Телефон');
INSERT INTO `lang_definitions` VALUES (49410, 4730, 13, 'Список телефонных звонков');
INSERT INTO `lang_definitions` VALUES (49411, 4733, 13, 'Пароль для телефонного шлюза');
INSERT INTO `lang_definitions` VALUES (49412, 4734, 13, 'URL для телефонного шлюза');
INSERT INTO `lang_definitions` VALUES (49413, 4735, 13, 'Имя пользователя для шлюза телефона');
INSERT INTO `lang_definitions` VALUES (49414, 4737, 13, 'Время телефонограммы');
INSERT INTO `lang_definitions` VALUES (49415, 4738, 13, 'Номер телефона');
INSERT INTO `lang_definitions` VALUES (49416, 4740, 13, 'Светобоязнь');
INSERT INTO `lang_definitions` VALUES (49417, 4741, 13, 'Фото');
INSERT INTO `lang_definitions` VALUES (49418, 4742, 13, 'PHP сжат');
INSERT INTO `lang_definitions` VALUES (49419, 4743, 13, 'Модуль CURL для PHP на вашем сервере должен быть включен.');
INSERT INTO `lang_definitions` VALUES (49420, 4744, 13, 'PHP извлечен');
INSERT INTO `lang_definitions` VALUES (49421, 4745, 13, 'управление доступом php-GACL отключено');
INSERT INTO `lang_definitions` VALUES (49422, 4746, 13, 'PHP-gacl не установлен');
INSERT INTO `lang_definitions` VALUES (49423, 4747, 13, 'Физикальное обследование');
INSERT INTO `lang_definitions` VALUES (49424, 4749, 13, 'Врачебный запрос');
INSERT INTO `lang_definitions` VALUES (49425, 4750, 13, 'Подпись врача');
INSERT INTO `lang_definitions` VALUES (49426, 4752, 13, 'Терапевты');
INSERT INTO `lang_definitions` VALUES (49427, 4753, 13, 'выбрать');
INSERT INTO `lang_definitions` VALUES (49428, 4754, 13, 'Выбрать');
INSERT INTO `lang_definitions` VALUES (49429, 4755, 13, 'Выберите тему CSS.');
INSERT INTO `lang_definitions` VALUES (49430, 4756, 13, 'ВЗМТ');
INSERT INTO `lang_definitions` VALUES (49431, 4757, 13, 'ВЗМТ (Воспалительные заболевания малого таза)');
INSERT INTO `lang_definitions` VALUES (49432, 4758, 13, 'Размер пилюли');
INSERT INTO `lang_definitions` VALUES (49433, 4759, 13, 'Пилюли');
INSERT INTO `lang_definitions` VALUES (49434, 4760, 13, 'Если нужна эта опция для установки, то разместите файл zip базы данных в следующую директорию');
INSERT INTO `lang_definitions` VALUES (49435, 4765, 13, 'Метка-заполнитель');
INSERT INTO `lang_definitions` VALUES (49436, 4766, 13, 'Метка-заполнитель (поддерживает пустой ACLs)');
INSERT INTO `lang_definitions` VALUES (49437, 4767, 13, 'Простой текст');
INSERT INTO `lang_definitions` VALUES (49438, 4768, 13, 'План');
INSERT INTO `lang_definitions` VALUES (49439, 4771, 13, 'Название программы');
INSERT INTO `lang_definitions` VALUES (49440, 4775, 13, 'Установка программы');
INSERT INTO `lang_definitions` VALUES (49441, 4779, 13, 'План:');
INSERT INTO `lang_definitions` VALUES (49442, 4782, 13, 'Программы');
INSERT INTO `lang_definitions` VALUES (49443, 4784, 13, 'Участник');
INSERT INTO `lang_definitions` VALUES (49444, 4785, 13, 'Размещение участника');
INSERT INTO `lang_definitions` VALUES (49445, 4786, 13, 'Позвоните, если любое из указанной информации неверно');
INSERT INTO `lang_definitions` VALUES (49446, 4787, 13, 'Измените свой пароль.');
INSERT INTO `lang_definitions` VALUES (49447, 4788, 13, 'Выберите файл');
INSERT INTO `lang_definitions` VALUES (49448, 4789, 13, 'Выберите пациента');
INSERT INTO `lang_definitions` VALUES (49449, 4790, 13, 'Отметьте нужное из списка.');
INSERT INTO `lang_definitions` VALUES (49450, 4791, 13, 'Отметьте нужное.');
INSERT INTO `lang_definitions` VALUES (49451, 4792, 13, 'Назначьте значение для');
INSERT INTO `lang_definitions` VALUES (49452, 4793, 13, 'Отметьте выше критерий диапазона для даты и нажмите Обновить для просмотра результатов.');
INSERT INTO `lang_definitions` VALUES (49453, 4794, 13, 'Выберите файл EDI-271 с нужным форматированием');
INSERT INTO `lang_definitions` VALUES (49454, 4795, 13, 'Нажмите кнопку загрузки для загрузки данных де-идентификации');
INSERT INTO `lang_definitions` VALUES (49455, 4796, 13, 'Нажмите кнопку загрузки для загрузки данных повторной иденификации');
INSERT INTO `lang_definitions` VALUES (49456, 4797, 13, 'Закройте это окно.');
INSERT INTO `lang_definitions` VALUES (49457, 4798, 13, 'Сравните на соответствие новое наименование');
INSERT INTO `lang_definitions` VALUES (49458, 4802, 13, 'Не признавайте это назначение, пока не получите его через факсимиле.');
INSERT INTO `lang_definitions` VALUES (49459, 4803, 13, 'Не признавайте это назначение, пока не получите его через факсимиле.');
INSERT INTO `lang_definitions` VALUES (49460, 4804, 13, 'НЕ используйте кнопку остановки или перезагрузки браузера, пока выполняется эта страница, если не прошло более 10 минут, это не вызовет остановку этого процесса на сервере и будет расходовать ненужные ресурсы.');
INSERT INTO `lang_definitions` VALUES (49461, 4805, 13, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ CURL');
INSERT INTO `lang_definitions` VALUES (49462, 4806, 13, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ OPENSSL');
INSERT INTO `lang_definitions` VALUES (49463, 4807, 13, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ SOAP');
INSERT INTO `lang_definitions` VALUES (49464, 4808, 13, 'ВКЛЮЧИТЕ РАСШИРЕНИЕ XML');
INSERT INTO `lang_definitions` VALUES (49465, 4809, 13, 'Введите дату для последнего рассмотрения.');
INSERT INTO `lang_definitions` VALUES (49466, 4810, 13, 'Введите дату.');
INSERT INTO `lang_definitions` VALUES (49467, 4811, 13, 'Введите надлежащую дату');
INSERT INTO `lang_definitions` VALUES (49468, 4812, 13, 'Введите сообщение');
INSERT INTO `lang_definitions` VALUES (49469, 4813, 13, 'Введите денежную сумму, используя только числа и десятичную точку.');
INSERT INTO `lang_definitions` VALUES (49470, 4814, 13, 'Введите новый пароль');
INSERT INTO `lang_definitions` VALUES (49471, 4815, 13, 'Введите название!');
INSERT INTO `lang_definitions` VALUES (49472, 4819, 13, 'Введите правильный код повторной идентификации');
INSERT INTO `lang_definitions` VALUES (49473, 4821, 13, 'Введите новую строку поиска');
INSERT INTO `lang_definitions` VALUES (49474, 4822, 13, 'Введите этот правильный код повторной идентификации');
INSERT INTO `lang_definitions` VALUES (49475, 4823, 13, 'Введите новый пароль.');
INSERT INTO `lang_definitions` VALUES (49476, 4824, 13, 'Введите номер чека');
INSERT INTO `lang_definitions` VALUES (49477, 4826, 13, 'Введите дату');
INSERT INTO `lang_definitions` VALUES (49478, 4827, 13, 'Введите сумму оплаты');
INSERT INTO `lang_definitions` VALUES (49479, 4828, 13, 'Введите категорию оплаты');
INSERT INTO `lang_definitions` VALUES (49480, 4829, 13, 'Введите оплату от');
INSERT INTO `lang_definitions` VALUES (49481, 4830, 13, 'Введите отправку до даты');
INSERT INTO `lang_definitions` VALUES (49482, 4831, 13, 'Заполните их перед продолжением.');
INSERT INTO `lang_definitions` VALUES (49483, 4832, 13, 'Укажите причину посещения');
INSERT INTO `lang_definitions` VALUES (49484, 4834, 13, 'Введите выше критерий поиска и кликните Предоставить для обзора результатов.');
INSERT INTO `lang_definitions` VALUES (49485, 4835, 13, 'Введите выше критерий поиска и кликните Предоставить для обзора результатов. (Результаты будут отображены во всплывающем окне)');
INSERT INTO `lang_definitions` VALUES (49486, 4836, 13, 'Войдите в систему повторно.');
INSERT INTO `lang_definitions` VALUES (49487, 4837, 13, 'Обратите внимание, что это может занять очень долгое время, вплоть до нескольких минут, браузер может казаться зависшим в течение этого времени, но создание счета является сложным процессом и веб-браузер просто ждет получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (49488, 4838, 13, 'Обратите внимание: константы являются регистрочувствительными и допускаются любые строки.');
INSERT INTO `lang_definitions` VALUES (49489, 4839, 13, 'Используйте только алфавитные символы');
INSERT INTO `lang_definitions` VALUES (49490, 4840, 13, 'Используйте только алфавитные символы без пробелов');
INSERT INTO `lang_definitions` VALUES (49491, 4841, 13, 'Оплатите эту сумму');
INSERT INTO `lang_definitions` VALUES (49492, 4843, 13, 'Обратитесь к');
INSERT INTO `lang_definitions` VALUES (49493, 4844, 13, 'Сбросьте пароль.');
INSERT INTO `lang_definitions` VALUES (49494, 4845, 13, 'Перезапустите сервер apache до исполнения исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (49495, 4849, 13, 'Выберите язык');
INSERT INTO `lang_definitions` VALUES (49496, 4850, 13, 'Выберите пациента.');
INSERT INTO `lang_definitions` VALUES (49497, 4851, 13, 'Выберите услугу основного коммерческого юридического лица с «ИНН» в качестве налогового кода. Если вы являетесь частным врачом, используйте свой ИНН. Он используется для идентификации вас в системе NewCrop.');
INSERT INTO `lang_definitions` VALUES (49498, 4854, 13, 'Выберите получателя');
INSERT INTO `lang_definitions` VALUES (49499, 4855, 13, 'Выберите начальную и конечную даты');
INSERT INTO `lang_definitions` VALUES (49500, 4856, 13, 'Выберите допустимого получателя');
INSERT INTO `lang_definitions` VALUES (49501, 4858, 13, 'Выберите причину корректировки для кода ');
INSERT INTO `lang_definitions` VALUES (49502, 4859, 13, 'Выберите событие');
INSERT INTO `lang_definitions` VALUES (49503, 4860, 13, 'Выберите любой вариант поиска.');
INSERT INTO `lang_definitions` VALUES (49504, 4863, 13, 'Выберите, по крайней мере, одно назначение!');
INSERT INTO `lang_definitions` VALUES (49505, 4865, 13, 'Выберите нужные страницы для копирования или далее:');
INSERT INTO `lang_definitions` VALUES (49506, 4866, 13, 'Выберите метод оплаты');
INSERT INTO `lang_definitions` VALUES (49507, 4869, 13, 'Выберите партнера X12, требуемого для создания пакета 270');
INSERT INTO `lang_definitions` VALUES (49508, 4870, 13, 'Установите');
INSERT INTO `lang_definitions` VALUES (49509, 4871, 13, 'Установите переменную de_identification_config обратно на ноль');
INSERT INTO `lang_definitions` VALUES (49510, 4873, 13, 'Запустите новую обработку исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (49511, 4874, 13, 'Модернизируйте базу данных LibreEHR для включения методик де-идентификации, функции, таблиц');
INSERT INTO `lang_definitions` VALUES (49512, 4875, 13, 'За дополнительными сведениями обратитесь к лог-таблице по ошибкам де-идентификации');
INSERT INTO `lang_definitions` VALUES (49513, 4876, 13, 'Через некоторое время перейдите на экран снятия идентификации');
INSERT INTO `lang_definitions` VALUES (49514, 4877, 13, 'Через некоторое время перейдите на экран повторной идентификации');
INSERT INTO `lang_definitions` VALUES (49515, 4878, 13, 'Через некоторое время перейдите на экран');
INSERT INTO `lang_definitions` VALUES (49516, 4882, 13, 'после полудня');
INSERT INTO `lang_definitions` VALUES (49517, 4883, 13, 'Послеполуденная программа');
INSERT INTO `lang_definitions` VALUES (49518, 4884, 13, 'Способ Pmt');
INSERT INTO `lang_definitions` VALUES (49519, 4885, 13, 'Синдром ночного апноэ');
INSERT INTO `lang_definitions` VALUES (49520, 4886, 13, 'Коньюгированный с пневмококком 1');
INSERT INTO `lang_definitions` VALUES (49521, 4887, 13, 'Коньюгированный с пневмококком 2');
INSERT INTO `lang_definitions` VALUES (49522, 4888, 13, 'Коньюгированный с пневмококком 3');
INSERT INTO `lang_definitions` VALUES (49523, 4889, 13, 'Коньюгированный с пневмококком 4');
INSERT INTO `lang_definitions` VALUES (49524, 4890, 13, 'Пневмококковая вакцина');
INSERT INTO `lang_definitions` VALUES (49525, 4891, 13, 'Противопневмококковая прививка');
INSERT INTO `lang_definitions` VALUES (49526, 4892, 13, 'Статус прививки от пневмонии для пожилых взрослых');
INSERT INTO `lang_definitions` VALUES (49527, 4893, 13, 'Статус прививки от пневмонии для пожилых взрослых (CQM)');
INSERT INTO `lang_definitions` VALUES (49528, 4894, 13, 'Ортопедический');
INSERT INTO `lang_definitions` VALUES (49529, 4896, 13, 'Место оказания помощи (POS)');
INSERT INTO `lang_definitions` VALUES (49530, 4897, 13, 'Полис');
INSERT INTO `lang_definitions` VALUES (49531, 4898, 13, '№ полиса');
INSERT INTO `lang_definitions` VALUES (49532, 4899, 13, 'Номер полиса');
INSERT INTO `lang_definitions` VALUES (49533, 4900, 13, 'Польский');
INSERT INTO `lang_definitions` VALUES (49534, 4901, 13, 'Полидипсия');
INSERT INTO `lang_definitions` VALUES (49535, 4902, 13, 'Полипы');
INSERT INTO `lang_definitions` VALUES (49536, 4903, 13, 'Полиурия');
INSERT INTO `lang_definitions` VALUES (49537, 4904, 13, 'Плохой аппетит');
INSERT INTO `lang_definitions` VALUES (49538, 4905, 13, 'Нарушение кровообращения');
INSERT INTO `lang_definitions` VALUES (49539, 4906, 13, 'Снижение слуха');
INSERT INTO `lang_definitions` VALUES (49540, 4907, 13, 'Всплывающие заметки должны быть включены, чтобы отобразиться в этих отчетах');
INSERT INTO `lang_definitions` VALUES (49541, 4908, 13, 'Заполнить обзор года событиями?');
INSERT INTO `lang_definitions` VALUES (49542, 4909, 13, 'Всплывающее меню');
INSERT INTO `lang_definitions` VALUES (49543, 4911, 13, 'Активность портала');
INSERT INTO `lang_definitions` VALUES (49544, 4917, 13, 'Португальский');
INSERT INTO `lang_definitions` VALUES (49545, 4918, 13, 'Португальский (бразильский)');
INSERT INTO `lang_definitions` VALUES (49546, 4919, 13, 'Португальский (европейский)');
INSERT INTO `lang_definitions` VALUES (49547, 4920, 13, 'Код POS');
INSERT INTO `lang_definitions` VALUES (49548, 4922, 13, 'Положительное');
INSERT INTO `lang_definitions` VALUES (49549, 4923, 13, 'Точно');
INSERT INTO `lang_definitions` VALUES (49550, 4925, 13, 'Отправить для');
INSERT INTO `lang_definitions` VALUES (49551, 4926, 13, 'Капли в нос');
INSERT INTO `lang_definitions` VALUES (49552, 4927, 13, 'Отправить платеж');
INSERT INTO `lang_definitions` VALUES (49553, 4928, 13, 'Послеоперационный');
INSERT INTO `lang_definitions` VALUES (49554, 4929, 13, 'Отправить для аккаунта и пометить как оплаченное');
INSERT INTO `lang_definitions` VALUES (49555, 4930, 13, 'Оплачено на дату');
INSERT INTO `lang_definitions` VALUES (49556, 4931, 13, 'Оплачено на дату не может быть позже сегодняшнего дня');
INSERT INTO `lang_definitions` VALUES (49557, 4932, 13, 'Оплатить на дату должно быть позже даты финансового закрытия.');
INSERT INTO `lang_definitions` VALUES (49558, 4933, 13, 'Послеабортное лечение');
INSERT INTO `lang_definitions` VALUES (49559, 4934, 13, 'Контрацепция после аборта');
INSERT INTO `lang_definitions` VALUES (49560, 4935, 13, 'Консультация после аборта');
INSERT INTO `lang_definitions` VALUES (49561, 4936, 13, 'Последствия аборта');
INSERT INTO `lang_definitions` VALUES (49562, 4937, 13, 'Почтовый');
INSERT INTO `lang_definitions` VALUES (49563, 4938, 13, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (49564, 4939, 13, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (49565, 4941, 13, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (49566, 4942, 13, 'Администрирование PostCalendar');
INSERT INTO `lang_definitions` VALUES (49567, 4943, 13, 'Настройка категории PostCalendar');
INSERT INTO `lang_definitions` VALUES (49568, 4944, 13, 'Глобальные параметры настройки PostCalendar');
INSERT INTO `lang_definitions` VALUES (49569, 4945, 13, 'Опубликовано в');
INSERT INTO `lang_definitions` VALUES (49570, 4946, 13, 'Дата отправки');
INSERT INTO `lang_definitions` VALUES (49571, 4948, 13, 'Задействовано через');
INSERT INTO `lang_definitions` VALUES (49572, 4949, 13, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (49573, 4950, 13, 'PQRI');
INSERT INTO `lang_definitions` VALUES (49574, 4951, 13, 'Регистрационный ID для PQRI');
INSERT INTO `lang_definitions` VALUES (49575, 4952, 13, 'Регистрационный имя для PQRI');
INSERT INTO `lang_definitions` VALUES (49576, 4953, 13, 'Лечебная практика');
INSERT INTO `lang_definitions` VALUES (49577, 4954, 13, 'Настройка врачебной деятельности по умолчанию');
INSERT INTO `lang_definitions` VALUES (49578, 4955, 13, 'Окружение врачебной деятельности');
INSERT INTO `lang_definitions` VALUES (49579, 4956, 13, 'Исполнитель');
INSERT INTO `lang_definitions` VALUES (49580, 4959, 13, 'Предоплата');
INSERT INTO `lang_definitions` VALUES (49581, 4960, 13, 'Консультация перед прерыванием беременности');
INSERT INTO `lang_definitions` VALUES (49582, 4961, 13, 'Консилиум перед прерыванием беременности');
INSERT INTO `lang_definitions` VALUES (49583, 4962, 13, 'Предп. кат.');
INSERT INTO `lang_definitions` VALUES (49584, 4964, 13, 'Предпочтения');
INSERT INTO `lang_definitions` VALUES (49585, 4965, 13, 'Предпочитаемая категория события');
INSERT INTO `lang_definitions` VALUES (49586, 4966, 13, 'Предпочитаемый язык');
INSERT INTO `lang_definitions` VALUES (49587, 4967, 13, 'Предпочитаемая аптека');
INSERT INTO `lang_definitions` VALUES (49588, 4968, 13, 'Предпочитаемое медицинское учреждение (PPO)');
INSERT INTO `lang_definitions` VALUES (49589, 4969, 13, 'Тест на беременность');
INSERT INTO `lang_definitions` VALUES (49590, 4970, 13, 'Предварительное');
INSERT INTO `lang_definitions` VALUES (49591, 4972, 13, 'Предоплата');
INSERT INTO `lang_definitions` VALUES (49592, 4973, 13, 'Назначение');
INSERT INTO `lang_definitions` VALUES (49593, 4974, 13, 'назначение достигло своего предела');
INSERT INTO `lang_definitions` VALUES (49594, 4975, 13, 'Хронология назначений');
INSERT INTO `lang_definitions` VALUES (49595, 4976, 13, 'Импорт хронологии назначений завершен успешно');
INSERT INTO `lang_definitions` VALUES (49596, 4977, 13, 'Метка назначения');
INSERT INTO `lang_definitions` VALUES (49597, 4978, 13, 'Отчет о назначениях');
INSERT INTO `lang_definitions` VALUES (49598, 4979, 13, 'Назначения');
INSERT INTO `lang_definitions` VALUES (49599, 4980, 13, 'Назначения и выполнение');
INSERT INTO `lang_definitions` VALUES (49600, 4981, 13, 'Назначения и другие направления');
INSERT INTO `lang_definitions` VALUES (49601, 4982, 13, 'Назначения и/или направление по специалистам');
INSERT INTO `lang_definitions` VALUES (49602, 4983, 13, 'Отчет о назначениях');
INSERT INTO `lang_definitions` VALUES (49603, 4984, 13, 'Назначения/направления');
INSERT INTO `lang_definitions` VALUES (49604, 4985, 13, 'Имеется');
INSERT INTO `lang_definitions` VALUES (49605, 4986, 13, 'Имеющаяся жалоба');
INSERT INTO `lang_definitions` VALUES (49606, 4988, 13, 'Нажмите Продолжить для перехода');
INSERT INTO `lang_definitions` VALUES (49607, 4989, 13, 'Предполагаемый диагноз');
INSERT INTO `lang_definitions` VALUES (49608, 4990, 13, 'Предполагаемый диагноз по специалисту');
INSERT INTO `lang_definitions` VALUES (49609, 4991, 13, 'Пред.');
INSERT INTO `lang_definitions` VALUES (49610, 4992, 13, 'Пред. тер./хир. Hx');
INSERT INTO `lang_definitions` VALUES (49611, 4993, 13, 'Пред. месяц (фиксация в меню)');
INSERT INTO `lang_definitions` VALUES (49612, 4994, 13, 'Пред. год (фиксация в меню)');
INSERT INTO `lang_definitions` VALUES (49613, 4995, 13, 'Профилактическое лечение');
INSERT INTO `lang_definitions` VALUES (49614, 4998, 13, 'Предпросмотр события');
INSERT INTO `lang_definitions` VALUES (49615, 5000, 13, 'Предпросмотр для');
INSERT INTO `lang_definitions` VALUES (49616, 5001, 13, 'Предыдущий');
INSERT INTO `lang_definitions` VALUES (49617, 5002, 13, 'Предыдущие консультации');
INSERT INTO `lang_definitions` VALUES (49618, 5003, 13, 'Предыдущий день');
INSERT INTO `lang_definitions` VALUES (49619, 5004, 13, 'Предыдущие хронология/отображение');
INSERT INTO `lang_definitions` VALUES (49620, 5005, 13, 'Предыдущий месяц');
INSERT INTO `lang_definitions` VALUES (49621, 5006, 13, 'Предыдущая неделя');
INSERT INTO `lang_definitions` VALUES (49622, 5007, 13, 'Цена');
INSERT INTO `lang_definitions` VALUES (49623, 5008, 13, 'Скидка на цену');
INSERT INTO `lang_definitions` VALUES (49624, 5009, 13, 'Уровень цены');
INSERT INTO `lang_definitions` VALUES (49625, 5010, 13, 'Уровень цены:');
INSERT INTO `lang_definitions` VALUES (49626, 5011, 13, 'Цены');
INSERT INTO `lang_definitions` VALUES (49627, 5012, 13, 'Основное');
INSERT INTO `lang_definitions` VALUES (49628, 5013, 13, 'Основное юридическое лицо');
INSERT INTO `lang_definitions` VALUES (49629, 5014, 13, 'ИНН основного юридического лица используется как id учетной записи для NewCrop ePrescription. Изменение услуги вызовет обработку в NewCrop.');
INSERT INTO `lang_definitions` VALUES (49630, 5022, 13, 'Основное страх.');
INSERT INTO `lang_definitions` VALUES (49631, 5023, 13, 'Основное страхование');
INSERT INTO `lang_definitions` VALUES (49632, 5024, 13, 'Дата основного страхования');
INSERT INTO `lang_definitions` VALUES (49633, 5025, 13, 'Основной страховщик');
INSERT INTO `lang_definitions` VALUES (49634, 5026, 13, 'Основной специалист');
INSERT INTO `lang_definitions` VALUES (49635, 5027, 13, 'Печать');
INSERT INTO `lang_definitions` VALUES (49636, 5028, 13, 'Печать (HTML)');
INSERT INTO `lang_definitions` VALUES (49637, 5029, 13, 'Печать (PDF)');
INSERT INTO `lang_definitions` VALUES (49638, 5031, 13, 'Печатать любое обращение');
INSERT INTO `lang_definitions` VALUES (49639, 5032, 13, 'Вывести пустую форму направления');
INSERT INTO `lang_definitions` VALUES (49640, 5033, 13, 'Команда печати');
INSERT INTO `lang_definitions` VALUES (49641, 5039, 13, 'Формат печати');
INSERT INTO `lang_definitions` VALUES (49642, 5040, 13, 'Вывод панели четверки');
INSERT INTO `lang_definitions` VALUES (49643, 5042, 13, 'Печать сообщения');
INSERT INTO `lang_definitions` VALUES (49644, 5043, 13, 'Многократная печать');
INSERT INTO `lang_definitions` VALUES (49645, 5044, 13, 'Многократный вывод на факс');
INSERT INTO `lang_definitions` VALUES (49646, 5045, 13, 'Выводит фамилию, подпись и дату.');
INSERT INTO `lang_definitions` VALUES (49647, 5046, 13, 'Печать записей');
INSERT INTO `lang_definitions` VALUES (49648, 5047, 13, 'Печать страницы 1');
INSERT INTO `lang_definitions` VALUES (49649, 5048, 13, 'Печать страницы 2');
INSERT INTO `lang_definitions` VALUES (49650, 5051, 13, 'Вывести рецепты по специалисту');
INSERT INTO `lang_definitions` VALUES (49651, 5052, 13, 'Печать записи');
INSERT INTO `lang_definitions` VALUES (49652, 5053, 13, 'Печать выбранных заявок');
INSERT INTO `lang_definitions` VALUES (49653, 5054, 13, 'Печать части записи');
INSERT INTO `lang_definitions` VALUES (49654, 5056, 13, 'Печатать это обращение');
INSERT INTO `lang_definitions` VALUES (49655, 5057, 13, 'Печатать эту запись');
INSERT INTO `lang_definitions` VALUES (49656, 5058, 13, 'Печатать эту запись');
INSERT INTO `lang_definitions` VALUES (49657, 5060, 13, 'Вывод на факс');
INSERT INTO `lang_definitions` VALUES (49658, 5061, 13, 'Вид печати');
INSERT INTO `lang_definitions` VALUES (49659, 5062, 13, 'для печати');
INSERT INTO `lang_definitions` VALUES (49660, 5063, 13, 'Версия для печати');
INSERT INTO `lang_definitions` VALUES (49661, 5064, 13, 'Печатный');
INSERT INTO `lang_definitions` VALUES (49662, 5066, 13, 'Результаты для печати:');
INSERT INTO `lang_definitions` VALUES (49663, 5067, 13, 'Печать пропущена; см. тестовый вывод в');
INSERT INTO `lang_definitions` VALUES (49664, 5068, 13, 'Печать пропущена; см. тестовый вывод в ');
INSERT INTO `lang_definitions` VALUES (49665, 5069, 13, 'Осн. разр.');
INSERT INTO `lang_definitions` VALUES (49666, 5070, 13, 'Форма основных разрешений');
INSERT INTO `lang_definitions` VALUES (49667, 5071, 13, 'Предварительное посещение');
INSERT INTO `lang_definitions` VALUES (49668, 5072, 13, 'Приоритет');
INSERT INTO `lang_definitions` VALUES (49669, 5073, 13, 'Приоритет ');
INSERT INTO `lang_definitions` VALUES (49670, 5074, 13, 'Конфиденциально');
INSERT INTO `lang_definitions` VALUES (49671, 5075, 13, 'Проблема');
INSERT INTO `lang_definitions` VALUES (49672, 5076, 13, 'Проблема DX');
INSERT INTO `lang_definitions` VALUES (49673, 5077, 13, 'Список проблем');
INSERT INTO `lang_definitions` VALUES (49674, 5079, 13, 'Проблемы/жалобы');
INSERT INTO `lang_definitions` VALUES (49675, 5080, 13, 'Мет. груп.');
INSERT INTO `lang_definitions` VALUES (49676, 5081, 13, 'Мет. кат.');
INSERT INTO `lang_definitions` VALUES (49677, 5083, 13, 'Мет. ожид. Rev');
INSERT INTO `lang_definitions` VALUES (49678, 5085, 13, 'Мет. Res');
INSERT INTO `lang_definitions` VALUES (49679, 5086, 13, 'Методика');
INSERT INTO `lang_definitions` VALUES (49680, 5087, 13, 'Участок тела для процедуры');
INSERT INTO `lang_definitions` VALUES (49681, 5088, 13, 'Булевые результаты для методики');
INSERT INTO `lang_definitions` VALUES (49682, 5089, 13, 'Код методики');
INSERT INTO `lang_definitions` VALUES (49683, 5091, 13, 'Сторона применения методики');
INSERT INTO `lang_definitions` VALUES (49684, 5093, 13, 'Предписание процедур');
INSERT INTO `lang_definitions` VALUES (49685, 5095, 13, 'Предписание процедур для');
INSERT INTO `lang_definitions` VALUES (49686, 5102, 13, 'Отчет о методике');
INSERT INTO `lang_definitions` VALUES (49687, 5103, 13, 'Статус отчета по методике');
INSERT INTO `lang_definitions` VALUES (49688, 5104, 13, 'Отклонение результата методики от нормы');
INSERT INTO `lang_definitions` VALUES (49689, 5105, 13, 'Статус результата для методики');
INSERT INTO `lang_definitions` VALUES (49690, 5106, 13, 'Результаты методики');
INSERT INTO `lang_definitions` VALUES (49691, 5107, 13, 'Способ введения для методики');
INSERT INTO `lang_definitions` VALUES (49692, 5108, 13, 'Типы биопроб для методик');
INSERT INTO `lang_definitions` VALUES (49693, 5109, 13, 'Статистический отчет для методики');
INSERT INTO `lang_definitions` VALUES (49694, 5110, 13, 'Тип методики');
INSERT INTO `lang_definitions` VALUES (49695, 5111, 13, 'Типы методик');
INSERT INTO `lang_definitions` VALUES (49696, 5112, 13, 'Единицы измерения для процедуры');
INSERT INTO `lang_definitions` VALUES (49697, 5114, 13, 'Процедуры');
INSERT INTO `lang_definitions` VALUES (49698, 5115, 13, 'Обработать');
INSERT INTO `lang_definitions` VALUES (49699, 5117, 13, 'Файл обработки ERA');
INSERT INTO `lang_definitions` VALUES (49700, 5121, 13, 'Обработано');
INSERT INTO `lang_definitions` VALUES (49701, 5122, 13, 'Обработано через');
INSERT INTO `lang_definitions` VALUES (49702, 5123, 13, 'Обработанная дата');
INSERT INTO `lang_definitions` VALUES (49703, 5125, 13, 'обрабатываемый');
INSERT INTO `lang_definitions` VALUES (49704, 5129, 13, 'Продукт');
INSERT INTO `lang_definitions` VALUES (49705, 5130, 13, 'Способ для контрацептивных изделий');
INSERT INTO `lang_definitions` VALUES (49706, 5132, 13, 'Продукция');
INSERT INTO `lang_definitions` VALUES (49707, 5133, 13, 'Продукция, но не назначенные препараты и не шаблоны');
INSERT INTO `lang_definitions` VALUES (49708, 5134, 13, 'Проф.');
INSERT INTO `lang_definitions` VALUES (49709, 5135, 13, 'Обработка записей');
INSERT INTO `lang_definitions` VALUES (49710, 5136, 13, 'Рак предстательной железы');
INSERT INTO `lang_definitions` VALUES (49711, 5137, 13, 'Скрининг рака предстательной железы');
INSERT INTO `lang_definitions` VALUES (49712, 5138, 13, 'Обследование предстательной железы');
INSERT INTO `lang_definitions` VALUES (49713, 5139, 13, 'Проблемы предстательной железы');
INSERT INTO `lang_definitions` VALUES (49714, 5140, 13, 'Предстательная железа без enlrgmt, лимфоузлов, безболезненная');
INSERT INTO `lang_definitions` VALUES (49715, 5142, 13, 'Предоставьте абсолютный путь');
INSERT INTO `lang_definitions` VALUES (49716, 5143, 13, 'Предоставьте абсолютный путь к файлу');
INSERT INTO `lang_definitions` VALUES (49717, 5145, 13, 'Предоставляет клинические итоги по пациентам для каждого посещения кабинета.');
INSERT INTO `lang_definitions` VALUES (49718, 5146, 13, 'Предоставляет пациентам по запросу электронную копию их медицинской информации (включая результаты диагностических исследований, список проблем, списки лекарств, лекарственную аллергию).');
INSERT INTO `lang_definitions` VALUES (49719, 5147, 13, 'В течение четырех рабочих дней, когда информация доступна для EP, обеспечивает пациентов своевременным электронным доступом к их медицинской информации (включая лабораторные результаты, список проблем, списки лекарств, лекарственную аллергию).');
INSERT INTO `lang_definitions` VALUES (49720, 5148, 13, 'Предоставляет записи у пациента для посещения');
INSERT INTO `lang_definitions` VALUES (49721, 5149, 13, 'Предоставьте допустимый электронный адрес');
INSERT INTO `lang_definitions` VALUES (49722, 5150, 13, 'Предоставить клинические итоги?');
INSERT INTO `lang_definitions` VALUES (49723, 5151, 13, 'Предоставить образовательный ресурс(ы)?');
INSERT INTO `lang_definitions` VALUES (49724, 5152, 13, 'Специалист');
INSERT INTO `lang_definitions` VALUES (49725, 5156, 13, 'Ошибки соответствия специалиста');
INSERT INTO `lang_definitions` VALUES (49726, 5159, 13, 'Номер специалиста');
INSERT INTO `lang_definitions` VALUES (49727, 5162, 13, 'Специалист:');
INSERT INTO `lang_definitions` VALUES (49728, 5163, 13, 'ներ');
INSERT INTO `lang_definitions` VALUES (49729, 5164, 13, 'NPI специалиста');
INSERT INTO `lang_definitions` VALUES (49730, 5165, 13, 'Специалисты видят всю регистрацию');
INSERT INTO `lang_definitions` VALUES (49731, 5166, 13, 'Истинная полицитемия');
INSERT INTO `lang_definitions` VALUES (49732, 5167, 13, 'PSA');
INSERT INTO `lang_definitions` VALUES (49733, 5168, 13, 'Псориаз');
INSERT INTO `lang_definitions` VALUES (49734, 5169, 13, 'Псих. диагноз');
INSERT INTO `lang_definitions` VALUES (49735, 5170, 13, 'Псих. лечение');
INSERT INTO `lang_definitions` VALUES (49736, 5171, 13, 'Психиатрия');
INSERT INTO `lang_definitions` VALUES (49737, 5172, 13, 'Психиатрическое короткое письмо');
INSERT INTO `lang_definitions` VALUES (49738, 5173, 13, 'Психиатрический диагноз');
INSERT INTO `lang_definitions` VALUES (49739, 5174, 13, 'Психиатрическое обследование');
INSERT INTO `lang_definitions` VALUES (49740, 5175, 13, 'Психиатрический анамнез');
INSERT INTO `lang_definitions` VALUES (49741, 5176, 13, 'Прием психотропных');
INSERT INTO `lang_definitions` VALUES (49742, 5177, 13, 'Психиатрическое лечение');
INSERT INTO `lang_definitions` VALUES (49743, 5178, 13, 'Выв. %');
INSERT INTO `lang_definitions` VALUES (49744, 5179, 13, 'Выв. записей');
INSERT INTO `lang_definitions` VALUES (49745, 5180, 13, 'Выв. записей/разр.');
INSERT INTO `lang_definitions` VALUES (49746, 5181, 13, 'Выв. переплаты');
INSERT INTO `lang_definitions` VALUES (49747, 5182, 13, 'Выв. оплаты');
INSERT INTO `lang_definitions` VALUES (49748, 5183, 13, 'Выв. запроса рег.');
INSERT INTO `lang_definitions` VALUES (49749, 5184, 13, 'Выв. возмещения');
INSERT INTO `lang_definitions` VALUES (49750, 5185, 13, 'Выв. релиза');
INSERT INTO `lang_definitions` VALUES (49751, 5186, 13, 'Выв. сообщения');
INSERT INTO `lang_definitions` VALUES (49752, 5187, 13, 'Выв. студент или оставьте пустым');
INSERT INTO `lang_definitions` VALUES (49753, 5188, 13, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (49754, 5189, 13, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (49755, 5191, 13, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (49756, 5192, 13, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (49757, 5193, 13, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (49758, 5196, 13, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (49759, 5198, 13, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (49760, 5199, 13, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (49761, 5201, 13, 'Общедоступное');
INSERT INTO `lang_definitions` VALUES (49762, 5203, 13, 'Министерство здравоохранения (МЗ) или другое федеральное агенство');
INSERT INTO `lang_definitions` VALUES (49763, 5204, 13, 'Пуэрто-риканский');
INSERT INTO `lang_definitions` VALUES (49764, 5205, 13, 'Легочная');
INSERT INTO `lang_definitions` VALUES (49765, 5206, 13, 'Пульс');
INSERT INTO `lang_definitions` VALUES (49766, 5207, 13, 'Панджабский');
INSERT INTO `lang_definitions` VALUES (49767, 5208, 13, 'Приобретение');
INSERT INTO `lang_definitions` VALUES (49768, 5209, 13, 'Приобретение/возврат');
INSERT INTO `lang_definitions` VALUES (49769, 5210, 13, 'Закупки');
INSERT INTO `lang_definitions` VALUES (49770, 5213, 13, 'каждые 3 часа');
INSERT INTO `lang_definitions` VALUES (49771, 5214, 13, 'каждые 4 часа');
INSERT INTO `lang_definitions` VALUES (49772, 5215, 13, 'каждые 5 часов');
INSERT INTO `lang_definitions` VALUES (49773, 5216, 13, 'каждые 6 часов');
INSERT INTO `lang_definitions` VALUES (49774, 5217, 13, 'каждые 8 часов');
INSERT INTO `lang_definitions` VALUES (49775, 5218, 13, 'один раз в день');
INSERT INTO `lang_definitions` VALUES (49776, 5219, 13, 'через день');
INSERT INTO `lang_definitions` VALUES (49777, 5220, 13, 'QOH');
INSERT INTO `lang_definitions` VALUES (49778, 5221, 13, 'QOH меньше ежемесячного использования');
INSERT INTO `lang_definitions` VALUES (49779, 5222, 13, 'Кол.');
INSERT INTO `lang_definitions` VALUES (49780, 5223, 13, 'КОЛ.');
INSERT INTO `lang_definitions` VALUES (49781, 5224, 13, 'Качество');
INSERT INTO `lang_definitions` VALUES (49782, 5225, 13, 'Оценка качества (CQM)');
INSERT INTO `lang_definitions` VALUES (49783, 5226, 13, 'Количество');
INSERT INTO `lang_definitions` VALUES (49784, 5227, 13, 'Количество для NDC');
INSERT INTO `lang_definitions` VALUES (49785, 5228, 13, 'Количество на руках');
INSERT INTO `lang_definitions` VALUES (49786, 5229, 13, 'количество, представленное непригодным');
INSERT INTO `lang_definitions` VALUES (49787, 5231, 13, 'Пометить сомнительным');
INSERT INTO `lang_definitions` VALUES (49788, 5232, 13, 'Очередь для пакетной обработки HCFA');
INSERT INTO `lang_definitions` VALUES (49789, 5233, 13, 'Очередь для пакетной обработки HCFA и печати');
INSERT INTO `lang_definitions` VALUES (49790, 5234, 13, 'Очередь для пакетной обработки UB-92');
INSERT INTO `lang_definitions` VALUES (49791, 5235, 13, 'Очередь для пакетной обработки UB-92 и печати');
INSERT INTO `lang_definitions` VALUES (49792, 5236, 13, 'Состоящее в очереди');
INSERT INTO `lang_definitions` VALUES (49793, 5237, 13, 'Управление событиями в очереди');
INSERT INTO `lang_definitions` VALUES (49794, 5238, 13, 'Состоящее в очереди для');
INSERT INTO `lang_definitions` VALUES (49795, 5240, 13, 'Управление предоставлением в очереди');
INSERT INTO `lang_definitions` VALUES (49796, 5241, 13, 'Выход');
INSERT INTO `lang_definitions` VALUES (49797, 5242, 13, 'Бывший алкоголик');
INSERT INTO `lang_definitions` VALUES (49798, 5243, 13, 'R');
INSERT INTO `lang_definitions` VALUES (49799, 5245, 13, 'Раса');
INSERT INTO `lang_definitions` VALUES (49800, 5246, 13, 'Раса и этническая принадлежность');
INSERT INTO `lang_definitions` VALUES (49801, 5247, 13, 'Раса/этнос');
INSERT INTO `lang_definitions` VALUES (49802, 5248, 13, 'Радио');
INSERT INTO `lang_definitions` VALUES (49803, 5249, 13, 'Кнопки переключения');
INSERT INTO `lang_definitions` VALUES (49804, 5251, 13, 'Диапазон');
INSERT INTO `lang_definitions` VALUES (49805, 5252, 13, 'Сыпь');
INSERT INTO `lang_definitions` VALUES (49806, 5253, 13, 'Величина');
INSERT INTO `lang_definitions` VALUES (49807, 5254, 13, 'Пропорция');
INSERT INTO `lang_definitions` VALUES (49808, 5255, 13, 'Необработанный отчет');
INSERT INTO `lang_definitions` VALUES (49809, 5256, 13, 'Повторная идентификация');
INSERT INTO `lang_definitions` VALUES (49810, 5257, 13, 'Процесс повторной идентификации завершен');
INSERT INTO `lang_definitions` VALUES (49811, 5258, 13, 'Идет процесс повторной идентификации');
INSERT INTO `lang_definitions` VALUES (49812, 5259, 13, 'Файлы повторной идентификации будут сохранены в');
INSERT INTO `lang_definitions` VALUES (49813, 5260, 13, 'Повреждение повторное?');
INSERT INTO `lang_definitions` VALUES (49814, 5261, 13, 'Повторное открытие');
INSERT INTO `lang_definitions` VALUES (49815, 5262, 13, 'Открытый повторно');
INSERT INTO `lang_definitions` VALUES (49816, 5263, 13, 'Реакция');
INSERT INTO `lang_definitions` VALUES (49817, 5264, 13, 'Реакции');
INSERT INTO `lang_definitions` VALUES (49818, 5265, 13, 'Читать');
INSERT INTO `lang_definitions` VALUES (49819, 5268, 13, 'Реальное имя');
INSERT INTO `lang_definitions` VALUES (49820, 5269, 13, 'Действительно удалить');
INSERT INTO `lang_definitions` VALUES (49821, 5270, 13, 'Причина');
INSERT INTO `lang_definitions` VALUES (49822, 5271, 13, 'Умерший по причине');
INSERT INTO `lang_definitions` VALUES (49823, 5272, 13, 'Причина смерти');
INSERT INTO `lang_definitions` VALUES (49824, 5274, 13, 'Цель направления');
INSERT INTO `lang_definitions` VALUES (49825, 5275, 13, 'Причина посещения');
INSERT INTO `lang_definitions` VALUES (49826, 5276, 13, 'Причина/форма');
INSERT INTO `lang_definitions` VALUES (49827, 5277, 13, 'Квитанция');
INSERT INTO `lang_definitions` VALUES (49828, 5278, 13, 'Квитанция по оплате');
INSERT INTO `lang_definitions` VALUES (49829, 5279, 13, 'Созданная квитанция');
INSERT INTO `lang_definitions` VALUES (49830, 5280, 13, 'Квитанции по указанию метода оплаты');
INSERT INTO `lang_definitions` VALUES (49831, 5281, 13, 'Итоговые поступления');
INSERT INTO `lang_definitions` VALUES (49832, 5282, 13, 'Получено');
INSERT INTO `lang_definitions` VALUES (49833, 5283, 13, 'Получено посредством');
INSERT INTO `lang_definitions` VALUES (49834, 5284, 13, 'Получено по факсу');
INSERT INTO `lang_definitions` VALUES (49835, 5285, 13, 'Получен, не проверен');
INSERT INTO `lang_definitions` VALUES (49836, 5287, 13, 'Получатель');
INSERT INTO `lang_definitions` VALUES (49837, 5288, 13, 'ID получателя');
INSERT INTO `lang_definitions` VALUES (49838, 5289, 13, 'ID получателя (ISA08)');
INSERT INTO `lang_definitions` VALUES (49839, 5290, 13, 'Определить ID получателя (ISA07)');
INSERT INTO `lang_definitions` VALUES (49840, 5292, 13, 'Последние три пароля не допускаются.');
INSERT INTO `lang_definitions` VALUES (49841, 5293, 13, 'Адресат');
INSERT INTO `lang_definitions` VALUES (49842, 5294, 13, 'Список адресатов пустой');
INSERT INTO `lang_definitions` VALUES (49843, 5295, 13, 'Фамилия адресата');
INSERT INTO `lang_definitions` VALUES (49844, 5296, 13, 'Получатель информации');
INSERT INTO `lang_definitions` VALUES (49845, 5298, 13, 'Рекомендация');
INSERT INTO `lang_definitions` VALUES (49846, 5300, 13, 'Рекомендации');
INSERT INTO `lang_definitions` VALUES (49847, 5301, 13, 'Рекомендации и лечение');
INSERT INTO `lang_definitions` VALUES (49848, 5302, 13, 'Рекомендации по специалисту');
INSERT INTO `lang_definitions` VALUES (49849, 5303, 13, 'Записать');
INSERT INTO `lang_definitions` VALUES (49850, 5304, 13, 'Запись уже существует');
INSERT INTO `lang_definitions` VALUES (49851, 5310, 13, 'Изменения записи и карты по жизненно важным показателям.');
INSERT INTO `lang_definitions` VALUES (49852, 5311, 13, 'Записывает персональные данные.');
INSERT INTO `lang_definitions` VALUES (49853, 5312, 13, 'Публикация записи');
INSERT INTO `lang_definitions` VALUES (49854, 5313, 13, 'Запись натренированности');
INSERT INTO `lang_definitions` VALUES (49855, 5314, 13, 'Записать оплату');
INSERT INTO `lang_definitions` VALUES (49856, 5315, 13, 'Дата запроса записи');
INSERT INTO `lang_definitions` VALUES (49857, 5316, 13, 'Запись по употреблению табака для пациентов 13 лет и старше.');
INSERT INTO `lang_definitions` VALUES (49858, 5317, 13, 'Записи');
INSERT INTO `lang_definitions` VALUES (49859, 5318, 13, 'записи не найдены');
INSERT INTO `lang_definitions` VALUES (49860, 5319, 13, 'записи не найдены.');
INSERT INTO `lang_definitions` VALUES (49861, 5320, 13, 'Употребление региональных наркотиков');
INSERT INTO `lang_definitions` VALUES (49862, 5321, 13, 'Региональные наркотики');
INSERT INTO `lang_definitions` VALUES (49863, 5322, 13, 'Ректально');
INSERT INTO `lang_definitions` VALUES (49864, 5323, 13, 'Ректальное исследование');
INSERT INTO `lang_definitions` VALUES (49865, 5324, 13, 'ректально');
INSERT INTO `lang_definitions` VALUES (49866, 5325, 13, 'Переназначение');
INSERT INTO `lang_definitions` VALUES (49867, 5326, 13, 'Покраснение');
INSERT INTO `lang_definitions` VALUES (49868, 5327, 13, 'уменьшено:');
INSERT INTO `lang_definitions` VALUES (49869, 5328, 13, 'Ссылаться');
INSERT INTO `lang_definitions` VALUES (49870, 5329, 13, 'Ссылаться через');
INSERT INTO `lang_definitions` VALUES (49871, 5330, 13, 'Дата ссылки');
INSERT INTO `lang_definitions` VALUES (49872, 5331, 13, 'Ссылаться на');
INSERT INTO `lang_definitions` VALUES (49873, 5332, 13, 'Референсная классификация (степень риска)');
INSERT INTO `lang_definitions` VALUES (49874, 5333, 13, 'Стандартный диапазон результатов');
INSERT INTO `lang_definitions` VALUES (49875, 5334, 13, 'Цель направления');
INSERT INTO `lang_definitions` VALUES (49876, 5336, 13, 'Фамилия и подпись направляющего');
INSERT INTO `lang_definitions` VALUES (49877, 5337, 13, 'Направление');
INSERT INTO `lang_definitions` VALUES (49878, 5338, 13, 'Направление через');
INSERT INTO `lang_definitions` VALUES (49879, 5339, 13, 'Талон направления');
INSERT INTO `lang_definitions` VALUES (49880, 5340, 13, 'Дата направления');
INSERT INTO `lang_definitions` VALUES (49881, 5341, 13, 'Форма направления');
INSERT INTO `lang_definitions` VALUES (49882, 5342, 13, 'ФОРМА НАПРАВЛЕНИЯ');
INSERT INTO `lang_definitions` VALUES (49883, 5343, 13, 'ID направления');
INSERT INTO `lang_definitions` VALUES (49884, 5345, 13, 'Источник направления');
INSERT INTO `lang_definitions` VALUES (49885, 5346, 13, 'Источник направления для обращений');
INSERT INTO `lang_definitions` VALUES (49886, 5347, 13, 'Направление к');
INSERT INTO `lang_definitions` VALUES (49887, 5348, 13, 'Направления');
INSERT INTO `lang_definitions` VALUES (49888, 5349, 13, 'Отчет о направлениях');
INSERT INTO `lang_definitions` VALUES (49889, 5350, 13, 'ссылка на');
INSERT INTO `lang_definitions` VALUES (49890, 5351, 13, 'ссылка на');
INSERT INTO `lang_definitions` VALUES (49891, 5352, 13, 'Направлен в');
INSERT INTO `lang_definitions` VALUES (49892, 5353, 13, 'Кто направил');
INSERT INTO `lang_definitions` VALUES (49893, 5355, 13, 'Диагноз при направлении');
INSERT INTO `lang_definitions` VALUES (49894, 5356, 13, 'Диагноз при направлении');
INSERT INTO `lang_definitions` VALUES (49895, 5357, 13, 'Направляющий врач и врачебная практика');
INSERT INTO `lang_definitions` VALUES (49896, 5358, 13, 'Направляющий специалист');
INSERT INTO `lang_definitions` VALUES (49897, 5359, 13, 'Заполните повторно');
INSERT INTO `lang_definitions` VALUES (49898, 5360, 13, 'Добавление');
INSERT INTO `lang_definitions` VALUES (49899, 5361, 13, 'повторное заполнение');
INSERT INTO `lang_definitions` VALUES (49900, 5362, 13, 'Обычные рефлексы');
INSERT INTO `lang_definitions` VALUES (49901, 5363, 13, 'Обновить');
INSERT INTO `lang_definitions` VALUES (49902, 5365, 13, 'Обновить напоминания');
INSERT INTO `lang_definitions` VALUES (49903, 5368, 13, 'Обновить');
INSERT INTO `lang_definitions` VALUES (49904, 5369, 13, 'reg_re');
INSERT INTO `lang_definitions` VALUES (49905, 5370, 13, 'регистрировать');
INSERT INTO `lang_definitions` VALUES (49906, 5372, 13, 'Зарегистрированное');
INSERT INTO `lang_definitions` VALUES (49907, 5373, 13, 'зарегистрирован');
INSERT INTO `lang_definitions` VALUES (49908, 5375, 13, 'Дата регистрации');
INSERT INTO `lang_definitions` VALUES (49909, 5376, 13, 'Регистрационная форма');
INSERT INTO `lang_definitions` VALUES (49910, 5377, 13, 'Восстановление');
INSERT INTO `lang_definitions` VALUES (49911, 5381, 13, 'Связать с');
INSERT INTO `lang_definitions` VALUES (49912, 5382, 13, 'Связан');
INSERT INTO `lang_definitions` VALUES (49913, 5383, 13, 'Связанная проблема');
INSERT INTO `lang_definitions` VALUES (49914, 5385, 13, 'Родственник(и) / дети');
INSERT INTO `lang_definitions` VALUES (49915, 5386, 13, 'Родственники');
INSERT INTO `lang_definitions` VALUES (49916, 5387, 13, 'Родство');
INSERT INTO `lang_definitions` VALUES (49917, 5388, 13, 'Порядок следования этого объекта');
INSERT INTO `lang_definitions` VALUES (49918, 5389, 13, 'Родственники');
INSERT INTO `lang_definitions` VALUES (49919, 5399, 13, 'Права доступа для медицинской смены пропущены в учетной записи этого пользователя.');
INSERT INTO `lang_definitions` VALUES (49920, 5400, 13, 'ID медицинской смены');
INSERT INTO `lang_definitions` VALUES (49921, 5403, 13, 'Религия');
INSERT INTO `lang_definitions` VALUES (49922, 5406, 13, 'Повторно войти в систему');
INSERT INTO `lang_definitions` VALUES (49923, 5407, 13, 'Напом.');
INSERT INTO `lang_definitions` VALUES (49924, 5408, 13, 'Запомнить выбранный компонент');
INSERT INTO `lang_definitions` VALUES (49925, 5409, 13, 'Напоминание');
INSERT INTO `lang_definitions` VALUES (49926, 5410, 13, 'Интервалы для напоминаний');
INSERT INTO `lang_definitions` VALUES (49927, 5411, 13, 'Напоминание еще не отправлено');
INSERT INTO `lang_definitions` VALUES (49928, 5412, 13, 'Напоминание отправлено о');
INSERT INTO `lang_definitions` VALUES (49929, 5413, 13, 'Напоминания');
INSERT INTO `lang_definitions` VALUES (49930, 5414, 13, 'ПЕРЕВЕСТИ В');
INSERT INTO `lang_definitions` VALUES (49931, 5416, 13, 'Удалить');
INSERT INTO `lang_definitions` VALUES (49932, 5419, 13, 'Удалить группу');
INSERT INTO `lang_definitions` VALUES (49933, 5420, 13, 'Удалить форму группы');
INSERT INTO `lang_definitions` VALUES (49934, 5421, 13, 'Снимает поддержку для вакцинации');
INSERT INTO `lang_definitions` VALUES (49935, 5422, 13, 'Отключает поддержку для phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (49936, 5423, 13, 'Отключает поддержку для назначений');
INSERT INTO `lang_definitions` VALUES (49937, 5425, 13, 'Снимает функцию отслеживания карты');
INSERT INTO `lang_definitions` VALUES (49938, 5426, 13, 'Почечно-каменная болезнь');
INSERT INTO `lang_definitions` VALUES (49939, 5427, 13, 'Переименовать');
INSERT INTO `lang_definitions` VALUES (49940, 5428, 13, 'Переименовать группу');
INSERT INTO `lang_definitions` VALUES (49941, 5429, 13, 'Отображение');
INSERT INTO `lang_definitions` VALUES (49942, 5430, 13, 'Назначенный специалист');
INSERT INTO `lang_definitions` VALUES (49943, 5431, 13, 'Номер назначенного специалиста');
INSERT INTO `lang_definitions` VALUES (49944, 5432, 13, 'Переназначить');
INSERT INTO `lang_definitions` VALUES (49945, 5433, 13, 'Переназначить на');
INSERT INTO `lang_definitions` VALUES (49946, 5434, 13, 'Указание по переназначению выполнено');
INSERT INTO `lang_definitions` VALUES (49947, 5435, 13, 'Указание по переназначению, 0 если не применимо');
INSERT INTO `lang_definitions` VALUES (49948, 5436, 13, 'Повт.');
INSERT INTO `lang_definitions` VALUES (49949, 5438, 13, 'Повторное событие');
INSERT INTO `lang_definitions` VALUES (49950, 5439, 13, 'Повторная инф.:');
INSERT INTO `lang_definitions` VALUES (49951, 5440, 13, 'Повторяется');
INSERT INTO `lang_definitions` VALUES (49952, 5444, 13, 'Дата ответа');
INSERT INTO `lang_definitions` VALUES (49953, 5445, 13, 'Ответ от');
INSERT INTO `lang_definitions` VALUES (49954, 5446, 13, 'Отчет');
INSERT INTO `lang_definitions` VALUES (49955, 5447, 13, 'Отчет - клинический');
INSERT INTO `lang_definitions` VALUES (49956, 5449, 13, 'Отчет по');
INSERT INTO `lang_definitions` VALUES (49957, 5457, 13, 'Статус отчета');
INSERT INTO `lang_definitions` VALUES (49958, 5458, 13, 'Всего отчетов');
INSERT INTO `lang_definitions` VALUES (49959, 5460, 13, 'Регистрируемое');
INSERT INTO `lang_definitions` VALUES (49960, 5461, 13, 'Сообщено');
INSERT INTO `lang_definitions` VALUES (49961, 5462, 13, 'Дата отчета');
INSERT INTO `lang_definitions` VALUES (49962, 5463, 13, 'Отчеты');
INSERT INTO `lang_definitions` VALUES (49963, 5467, 13, 'Запрос игнорирован - обработка требования уже выполняется!');
INSERT INTO `lang_definitions` VALUES (49964, 5474, 13, 'Запрошенная услуга');
INSERT INTO `lang_definitions` VALUES (49965, 5475, 13, 'Требует строгих паролей');
INSERT INTO `lang_definitions` VALUES (49966, 5476, 13, 'Требует уникальных паролей');
INSERT INTO `lang_definitions` VALUES (49967, 5477, 13, 'Обязательно');
INSERT INTO `lang_definitions` VALUES (49968, 5479, 13, 'Пропуск обязательного поля: выберите файл EDI-271 для загрузки');
INSERT INTO `lang_definitions` VALUES (49969, 5480, 13, 'Пропущено обязательное поле: введите имя');
INSERT INTO `lang_definitions` VALUES (49970, 5481, 13, 'Пропущено обязательное поле: введите фамилию');
INSERT INTO `lang_definitions` VALUES (49971, 5482, 13, 'Пропущено обязательное поле: введите наименование пользователя');
INSERT INTO `lang_definitions` VALUES (49972, 5483, 13, 'Обязательные поля');
INSERT INTO `lang_definitions` VALUES (49973, 5484, 13, 'Требования');
INSERT INTO `lang_definitions` VALUES (49974, 5485, 13, 'ЗАНЯТ');
INSERT INTO `lang_definitions` VALUES (49975, 5486, 13, 'Занят');
INSERT INTO `lang_definitions` VALUES (49976, 5487, 13, 'Занято для использования в предоставлении запланированного периода отпуска');
INSERT INTO `lang_definitions` VALUES (49977, 5488, 13, 'Занято для ограничения, с какого времени к специалисту не доступна запись на прием.');
INSERT INTO `lang_definitions` VALUES (49978, 5489, 13, 'Занято для определения, когда событие не случается как указано.');
INSERT INTO `lang_definitions` VALUES (49979, 5490, 13, 'Занято для установки, с какого времени к специалисту доступна запись на прием.');
INSERT INTO `lang_definitions` VALUES (49980, 5491, 13, 'Сброс');
INSERT INTO `lang_definitions` VALUES (49981, 5492, 13, 'Сбросить общие параметры доступа к порталу');
INSERT INTO `lang_definitions` VALUES (49982, 5493, 13, 'Сбросить местные параметры доступа к порталу');
INSERT INTO `lang_definitions` VALUES (49983, 5495, 13, 'Resn');
INSERT INTO `lang_definitions` VALUES (49984, 5496, 13, 'Решено');
INSERT INTO `lang_definitions` VALUES (49985, 5497, 13, 'Дыхание');
INSERT INTO `lang_definitions` VALUES (49986, 5498, 13, 'Незначительная одышка');
INSERT INTO `lang_definitions` VALUES (49987, 5499, 13, 'Органы дыхания');
INSERT INTO `lang_definitions` VALUES (49988, 5501, 13, 'Ограничивает незарегистрированных пользователей набором предусмотренных услуг через пользователя admin.');
INSERT INTO `lang_definitions` VALUES (49989, 5502, 13, 'Ограничивает пользователей по услугам');
INSERT INTO `lang_definitions` VALUES (49990, 5503, 13, 'Незаконченное обучение');
INSERT INTO `lang_definitions` VALUES (49991, 5504, 13, 'Результат');
INSERT INTO `lang_definitions` VALUES (49992, 5506, 13, 'Статус результата');
INSERT INTO `lang_definitions` VALUES (49993, 5507, 13, 'Пропущено состояние результата или отклонение от нормы');
INSERT INTO `lang_definitions` VALUES (49994, 5508, 13, 'Результат, используйте % как знак подстановки');
INSERT INTO `lang_definitions` VALUES (49995, 5510, 13, 'Результаты и');
INSERT INTO `lang_definitions` VALUES (49996, 5511, 13, 'В ходе поиска найден результат');
INSERT INTO `lang_definitions` VALUES (49997, 5512, 13, 'Группа результатов');
INSERT INTO `lang_definitions` VALUES (49998, 5515, 13, 'Постраничные результаты');
INSERT INTO `lang_definitions` VALUES (49999, 5516, 13, 'Результаты/сведения');
INSERT INTO `lang_definitions` VALUES (50000, 5517, 13, 'Обследование сетчатки глаза');
INSERT INTO `lang_definitions` VALUES (50001, 5518, 13, 'Право на отказ:');
INSERT INTO `lang_definitions` VALUES (50002, 5519, 13, 'Возврат');
INSERT INTO `lang_definitions` VALUES (50003, 5520, 13, 'Возвратить указанную выше часть с вашей оплатой');
INSERT INTO `lang_definitions` VALUES (50004, 5521, 13, 'Вернуться в календарь');
INSERT INTO `lang_definitions` VALUES (50005, 5527, 13, 'Возвратить значение');
INSERT INTO `lang_definitions` VALUES (50006, 5528, 13, 'Возвратить посещение');
INSERT INTO `lang_definitions` VALUES (50007, 5529, 13, 'Вновь исполнять');
INSERT INTO `lang_definitions` VALUES (50008, 5534, 13, 'Обзор анамнеза перенесенных заболеваний:');
INSERT INTO `lang_definitions` VALUES (50009, 5535, 13, 'Обзор по системам');
INSERT INTO `lang_definitions` VALUES (50010, 5536, 13, 'Обзор выбора систем');
INSERT INTO `lang_definitions` VALUES (50011, 5537, 13, 'Просмотрен');
INSERT INTO `lang_definitions` VALUES (50012, 5538, 13, 'Пересмотр');
INSERT INTO `lang_definitions` VALUES (50013, 5539, 13, 'Ревматоидный артрит');
INSERT INTO `lang_definitions` VALUES (50014, 5540, 13, 'Ревматоидный артрит');
INSERT INTO `lang_definitions` VALUES (50015, 5541, 13, 'Справа');
INSERT INTO `lang_definitions` VALUES (50016, 5542, 13, 'Правое ухо');
INSERT INTO `lang_definitions` VALUES (50017, 5543, 13, 'правое ухо');
INSERT INTO `lang_definitions` VALUES (50018, 5545, 13, 'Справа:');
INSERT INTO `lang_definitions` VALUES (50019, 5546, 13, 'Звон в ушах');
INSERT INTO `lang_definitions` VALUES (50020, 5547, 13, 'Звон в ушах');
INSERT INTO `lang_definitions` VALUES (50021, 5549, 13, 'Факторы риска');
INSERT INTO `lang_definitions` VALUES (50022, 5550, 13, 'Степень риска');
INSERT INTO `lang_definitions` VALUES (50023, 5551, 13, 'Правая нижняя конечность:');
INSERT INTO `lang_definitions` VALUES (50024, 5552, 13, 'ROM');
INSERT INTO `lang_definitions` VALUES (50025, 5553, 13, 'Румынский');
INSERT INTO `lang_definitions` VALUES (50026, 5560, 13, 'Расписание');
INSERT INTO `lang_definitions` VALUES (50027, 5561, 13, 'Способ введения');
INSERT INTO `lang_definitions` VALUES (50028, 5562, 13, 'Путь введения, если применимо');
INSERT INTO `lang_definitions` VALUES (50029, 5563, 13, 'Введенное');
INSERT INTO `lang_definitions` VALUES (50030, 5564, 13, 'Строки');
INSERT INTO `lang_definitions` VALUES (50031, 5565, 13, 'Доказательная медицина без е/м рабочего обзора');
INSERT INTO `lang_definitions` VALUES (50032, 5566, 13, 'Шум трения:');
INSERT INTO `lang_definitions` VALUES (50033, 5567, 13, 'Шумы трения:');
INSERT INTO `lang_definitions` VALUES (50034, 5568, 13, 'Правило');
INSERT INTO `lang_definitions` VALUES (50035, 5569, 13, 'Добавить правило');
INSERT INTO `lang_definitions` VALUES (50036, 5570, 13, 'Сведения о правиле');
INSERT INTO `lang_definitions` VALUES (50037, 5572, 13, 'Изменить правило');
INSERT INTO `lang_definitions` VALUES (50038, 5575, 13, 'Набор правил');
INSERT INTO `lang_definitions` VALUES (50039, 5578, 13, 'Правила');
INSERT INTO `lang_definitions` VALUES (50040, 5580, 13, 'Настройка правил');
INSERT INTO `lang_definitions` VALUES (50041, 5581, 13, 'Выполняемая команда: ');
INSERT INTO `lang_definitions` VALUES (50042, 5582, 13, 'Разрыв');
INSERT INTO `lang_definitions` VALUES (50043, 5583, 13, 'Русский');
INSERT INTO `lang_definitions` VALUES (50044, 5584, 13, 'Терапия');
INSERT INTO `lang_definitions` VALUES (50045, 5585, 13, 'Терапия');
INSERT INTO `lang_definitions` VALUES (50046, 5586, 13, 'Нижнее поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (50047, 5587, 13, 'Rx разрешает DEA #');
INSERT INTO `lang_definitions` VALUES (50048, 5588, 13, 'Rx разрешает NPI');
INSERT INTO `lang_definitions` VALUES (50049, 5589, 13, 'Rx разрешает гос. лиц. #');
INSERT INTO `lang_definitions` VALUES (50050, 5590, 13, 'Левое поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (50051, 5591, 13, 'Размер бумаги Rx');
INSERT INTO `lang_definitions` VALUES (50052, 5592, 13, 'Правое поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (50053, 5593, 13, 'Rx показывает DEA #');
INSERT INTO `lang_definitions` VALUES (50054, 5594, 13, 'Rx показывает NPI');
INSERT INTO `lang_definitions` VALUES (50055, 5595, 13, 'Rx показывает гос. лиц. #');
INSERT INTO `lang_definitions` VALUES (50056, 5596, 13, 'Верхнее поле (px) Rx');
INSERT INTO `lang_definitions` VALUES (50057, 5598, 13, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (50058, 5599, 13, 'База данных RxNorm');
INSERT INTO `lang_definitions` VALUES (50059, 5600, 13, 'S');
INSERT INTO `lang_definitions` VALUES (50060, 5601, 13, 'S.S.');
INSERT INTO `lang_definitions` VALUES (50061, 5602, 13, 'S3:');
INSERT INTO `lang_definitions` VALUES (50062, 5603, 13, 'S4:');
INSERT INTO `lang_definitions` VALUES (50063, 5604, 13, 'Гарантия ПО * * Для ознакомления с лицензией прочитайте docs/license.txt или посетите * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (50064, 5605, 13, 'Товарооборот');
INSERT INTO `lang_definitions` VALUES (50065, 5606, 13, 'Товарооборот');
INSERT INTO `lang_definitions` VALUES (50066, 5607, 13, 'Товарооборот по пунктам');
INSERT INTO `lang_definitions` VALUES (50067, 5608, 13, 'Отчет реализации по продукту');
INSERT INTO `lang_definitions` VALUES (50068, 5609, 13, 'Слюна');
INSERT INTO `lang_definitions` VALUES (50069, 5610, 13, 'Тот же день');
INSERT INTO `lang_definitions` VALUES (50070, 5611, 13, 'Полинезийский');
INSERT INTO `lang_definitions` VALUES (50071, 5612, 13, 'Образец');
INSERT INTO `lang_definitions` VALUES (50072, 5613, 13, 'Тип разрешения');
INSERT INTO `lang_definitions` VALUES (50073, 5617, 13, 'Сб');
INSERT INTO `lang_definitions` VALUES (50074, 5618, 13, 'Сб &amp; Вс');
INSERT INTO `lang_definitions` VALUES (50075, 5619, 13, 'Суббота');
INSERT INTO `lang_definitions` VALUES (50076, 5620, 13, 'Сохранить');
INSERT INTO `lang_definitions` VALUES (50077, 5621, 13, 'Сохранить');
INSERT INTO `lang_definitions` VALUES (50078, 5622, 13, 'Сохранить и закрыть');
INSERT INTO `lang_definitions` VALUES (50079, 5624, 13, 'Сохранить и выдать');
INSERT INTO `lang_definitions` VALUES (50080, 5626, 13, 'Сохранить как новое');
INSERT INTO `lang_definitions` VALUES (50081, 5627, 13, 'Сохранить как новую запись');
INSERT INTO `lang_definitions` VALUES (50082, 5628, 13, 'Сохранить параметры настройки сертификата');
INSERT INTO `lang_definitions` VALUES (50083, 5629, 13, 'Сохранить изменения');
INSERT INTO `lang_definitions` VALUES (50084, 5630, 13, 'Сохранить форму');
INSERT INTO `lang_definitions` VALUES (50085, 5631, 13, 'Сохранить вакцинацию');
INSERT INTO `lang_definitions` VALUES (50086, 5632, 13, 'Сохранить новое поле');
INSERT INTO `lang_definitions` VALUES (50087, 5633, 13, 'Сохранить новую группу');
INSERT INTO `lang_definitions` VALUES (50088, 5634, 13, 'Сохранить новый список');
INSERT INTO `lang_definitions` VALUES (50089, 5635, 13, 'Сохранить новый шаблон');
INSERT INTO `lang_definitions` VALUES (50090, 5637, 13, 'Сохранить персональные данные пациента');
INSERT INTO `lang_definitions` VALUES (50091, 5638, 13, 'Сохранение выполнено успешно для ID карты');
INSERT INTO `lang_definitions` VALUES (50092, 5639, 13, 'Сохранить транзакцию');
INSERT INTO `lang_definitions` VALUES (50093, 5641, 13, 'Сканировано');
INSERT INTO `lang_definitions` VALUES (50094, 5642, 13, 'Просмотренная запись по обращению');
INSERT INTO `lang_definitions` VALUES (50095, 5643, 13, 'Просмотренная директория');
INSERT INTO `lang_definitions` VALUES (50096, 5644, 13, 'Просмотренно в');
INSERT INTO `lang_definitions` VALUES (50097, 5645, 13, 'План');
INSERT INTO `lang_definitions` VALUES (50098, 5646, 13, 'Запланированная медпомощь');
INSERT INTO `lang_definitions` VALUES (50099, 5647, 13, 'ШКОЛЬНАЯ ЗАПИСЬ');
INSERT INTO `lang_definitions` VALUES (50100, 5648, 13, 'Сколиоз');
INSERT INTO `lang_definitions` VALUES (50101, 5651, 13, 'SE');
INSERT INTO `lang_definitions` VALUES (50102, 5652, 13, 'Адрес SE');
INSERT INTO `lang_definitions` VALUES (50103, 5653, 13, 'Город SE');
INSERT INTO `lang_definitions` VALUES (50104, 5654, 13, 'Страна SE');
INSERT INTO `lang_definitions` VALUES (50105, 5655, 13, 'Местоположение SE');
INSERT INTO `lang_definitions` VALUES (50106, 5656, 13, 'Почтовый индекс SE');
INSERT INTO `lang_definitions` VALUES (50107, 5657, 13, 'Штат SE');
INSERT INTO `lang_definitions` VALUES (50108, 5658, 13, 'Почтовый индекс SE');
INSERT INTO `lang_definitions` VALUES (50109, 5659, 13, 'Поиск');
INSERT INTO `lang_definitions` VALUES (50110, 5661, 13, 'поиск');
INSERT INTO `lang_definitions` VALUES (50111, 5662, 13, 'повторный поиск');
INSERT INTO `lang_definitions` VALUES (50112, 5664, 13, 'Поиск по:');
INSERT INTO `lang_definitions` VALUES (50113, 5665, 13, 'Поиск для');
INSERT INTO `lang_definitions` VALUES (50114, 5666, 13, 'Поиск для:');
INSERT INTO `lang_definitions` VALUES (50115, 5668, 13, 'Поиск в');
INSERT INTO `lang_definitions` VALUES (50116, 5669, 13, 'Поиск или добавление пациента');
INSERT INTO `lang_definitions` VALUES (50117, 5670, 13, 'Поиск оплаты');
INSERT INTO `lang_definitions` VALUES (50118, 5672, 13, 'Результаты поиска:');
INSERT INTO `lang_definitions` VALUES (50119, 5673, 13, 'Отдельный поиск');
INSERT INTO `lang_definitions` VALUES (50120, 5674, 13, 'Строка поиска не совпадает со списком в базе данных');
INSERT INTO `lang_definitions` VALUES (50121, 5675, 13, 'Строка поиска должна иметь, по крайней, мере три символа');
INSERT INTO `lang_definitions` VALUES (50122, 5676, 13, 'Текстовой поиск');
INSERT INTO `lang_definitions` VALUES (50123, 5677, 13, 'Поиск события');
INSERT INTO `lang_definitions` VALUES (50124, 5678, 13, 'Найти/добавить');
INSERT INTO `lang_definitions` VALUES (50125, 5679, 13, 'Найти/добавить страховщика');
INSERT INTO `lang_definitions` VALUES (50126, 5680, 13, 'Поиск для записей на прием');
INSERT INTO `lang_definitions` VALUES (50127, 5681, 13, 'Идет поиск...');
INSERT INTO `lang_definitions` VALUES (50128, 5682, 13, 'Использование ремня безопасности');
INSERT INTO `lang_definitions` VALUES (50129, 5683, 13, 'Использование ремня безопасности');
INSERT INTO `lang_definitions` VALUES (50130, 5684, 13, 'Второй');
INSERT INTO `lang_definitions` VALUES (50131, 5687, 13, 'Повторный');
INSERT INTO `lang_definitions` VALUES (50132, 5688, 13, 'Повторная страховка');
INSERT INTO `lang_definitions` VALUES (50133, 5689, 13, 'Дата повторной страховки');
INSERT INTO `lang_definitions` VALUES (50134, 5690, 13, 'Поставщик повторной страховки');
INSERT INTO `lang_definitions` VALUES (50135, 5691, 13, 'Тип повторной медпомощи');
INSERT INTO `lang_definitions` VALUES (50136, 5698, 13, 'Безопасность');
INSERT INTO `lang_definitions` VALUES (50137, 5699, 13, 'Показать все');
INSERT INTO `lang_definitions` VALUES (50138, 5700, 13, 'Показать разрешения');
INSERT INTO `lang_definitions` VALUES (50139, 5701, 13, 'Показать карту физического развития');
INSERT INTO `lang_definitions` VALUES (50140, 5702, 13, 'Показать сообщения из последней группы созданных требований');
INSERT INTO `lang_definitions` VALUES (50141, 5704, 13, 'Показать, начиная с');
INSERT INTO `lang_definitions` VALUES (50142, 5707, 13, 'Пароксизм');
INSERT INTO `lang_definitions` VALUES (50143, 5708, 13, 'Выбр.');
INSERT INTO `lang_definitions` VALUES (50144, 5709, 13, 'Выбрать');
INSERT INTO `lang_definitions` VALUES (50145, 5710, 13, 'выбрать');
INSERT INTO `lang_definitions` VALUES (50146, 5712, 13, 'Выбрать контекст');
INSERT INTO `lang_definitions` VALUES (50147, 5714, 13, 'Выберите временной промежуток');
INSERT INTO `lang_definitions` VALUES (50148, 5715, 13, 'Выберите пользователя');
INSERT INTO `lang_definitions` VALUES (50149, 5716, 13, 'Выбрать все');
INSERT INTO `lang_definitions` VALUES (50151, 5720, 13, 'Выбрать категорию');
INSERT INTO `lang_definitions` VALUES (50152, 5722, 13, 'Выберите соответствующий переключатель для удаления');
INSERT INTO `lang_definitions` VALUES (50153, 5723, 13, 'Выберите критерий для удаления');
INSERT INTO `lang_definitions` VALUES (50154, 5725, 13, 'Выберите нужную дату для снятия идентификации');
INSERT INTO `lang_definitions` VALUES (50155, 5726, 13, 'Выберите дату для включения в данные по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (50156, 5727, 13, 'Выберите дату');
INSERT INTO `lang_definitions` VALUES (50157, 5728, 13, 'Выберите необходимую группу');
INSERT INTO `lang_definitions` VALUES (50158, 5729, 13, 'Выберите диагноз');
INSERT INTO `lang_definitions` VALUES (50159, 5730, 13, 'Выберите диагноз для запроса по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (50160, 5731, 13, 'Выберите препарат');
INSERT INTO `lang_definitions` VALUES (50161, 5732, 13, 'Выберите препараты');
INSERT INTO `lang_definitions` VALUES (50162, 5733, 13, 'Выберите препараты для запроса по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (50163, 5734, 13, 'Выберите файл EDI-271');
INSERT INTO `lang_definitions` VALUES (50164, 5736, 13, 'Выберите поле');
INSERT INTO `lang_definitions` VALUES (50165, 5737, 13, 'Выберите поля');
INSERT INTO `lang_definitions` VALUES (50166, 5738, 13, 'Выбор для печати');
INSERT INTO `lang_definitions` VALUES (50167, 5739, 13, 'Выберите вакцинацию');
INSERT INTO `lang_definitions` VALUES (50168, 5740, 13, 'Выберите вакцинацию для запроса по снятию идентификации');
INSERT INTO `lang_definitions` VALUES (50169, 5741, 13, 'Выберите страховку, по типу');
INSERT INTO `lang_definitions` VALUES (50170, 5742, 13, 'Выбрать аспект');
INSERT INTO `lang_definitions` VALUES (50171, 5744, 13, 'Выберите язык');
INSERT INTO `lang_definitions` VALUES (50172, 5746, 13, 'Выберите один или более кодов диагнозов для подтверждения оказания помощи');
INSERT INTO `lang_definitions` VALUES (50173, 5754, 13, 'Выберите элементы конфигурации для экспорта');
INSERT INTO `lang_definitions` VALUES (50174, 5755, 13, 'Выберите проблему, прежде всего, ответственную за любое пропущенное событие в этот день');
INSERT INTO `lang_definitions` VALUES (50175, 5759, 13, 'Выберите пользователя');
INSERT INTO `lang_definitions` VALUES (50176, 5760, 13, 'Выберите пользователей из выпадающего списка');
INSERT INTO `lang_definitions` VALUES (50177, 5761, 13, 'Выберите, какой язык, если доступно, может быть изменен при входе в ситстему. (применимо, только если выше отключено разрешение всех языков)');
INSERT INTO `lang_definitions` VALUES (50178, 5762, 13, 'Выберите Да для подтверждения удаления группы');
INSERT INTO `lang_definitions` VALUES (50179, 5765, 13, 'Выбранный');
INSERT INTO `lang_definitions` VALUES (50180, 5766, 13, 'Выбранное обращение');
INSERT INTO `lang_definitions` VALUES (50181, 5767, 13, 'При этом выборе будет создано сообщение, которое нуждается в обработке по каждому получателю отдельно (это не групповая задача)');
INSERT INTO `lang_definitions` VALUES (50182, 5768, 13, 'Сам');
INSERT INTO `lang_definitions` VALUES (50183, 5769, 13, 'Оплатить самостоятельно');
INSERT INTO `lang_definitions` VALUES (50184, 5771, 13, 'Отправить');
INSERT INTO `lang_definitions` VALUES (50185, 5772, 13, 'Отправить старое напоминание A');
INSERT INTO `lang_definitions` VALUES (50186, 5773, 13, 'Отправить напоминание');
INSERT INTO `lang_definitions` VALUES (50187, 5774, 13, 'Отправить на обработку');
INSERT INTO `lang_definitions` VALUES (50188, 5775, 13, 'Отправить сообщение');
INSERT INTO `lang_definitions` VALUES (50189, 5776, 13, 'Отправить пакет напоминаний');
INSERT INTO `lang_definitions` VALUES (50190, 5777, 13, 'Отправляет напоминания пациентам по профилактике или последующему лечению через выбор пациента.');
INSERT INTO `lang_definitions` VALUES (50191, 5778, 13, 'Отправить сводки по направлениям');
INSERT INTO `lang_definitions` VALUES (50192, 5779, 13, 'Отправить этот файл');
INSERT INTO `lang_definitions` VALUES (50193, 5780, 13, 'Отправить это сообщение');
INSERT INTO `lang_definitions` VALUES (50194, 5781, 13, 'Отправить к');
INSERT INTO `lang_definitions` VALUES (50195, 5784, 13, 'Отправить всем');
INSERT INTO `lang_definitions` VALUES (50196, 5788, 13, 'Отправитель');
INSERT INTO `lang_definitions` VALUES (50197, 5789, 13, 'ID отправителя');
INSERT INTO `lang_definitions` VALUES (50198, 5790, 13, 'ID отправителя (ISA06)');
INSERT INTO `lang_definitions` VALUES (50199, 5791, 13, 'Определитель ID отправителя (ISA05)');
INSERT INTO `lang_definitions` VALUES (50200, 5793, 13, 'Направить в');
INSERT INTO `lang_definitions` VALUES (50201, 5794, 13, 'Конфиденциальность');
INSERT INTO `lang_definitions` VALUES (50202, 5795, 13, 'Конфиденциальность:');
INSERT INTO `lang_definitions` VALUES (50203, 5796, 13, 'Исследование чувствительности в норме');
INSERT INTO `lang_definitions` VALUES (50204, 5799, 13, 'Отправить через, оставить пустым для всех');
INSERT INTO `lang_definitions` VALUES (50205, 5801, 13, 'Отправить дату');
INSERT INTO `lang_definitions` VALUES (50206, 5802, 13, 'Отправить элементы');
INSERT INTO `lang_definitions` VALUES (50207, 5803, 13, 'Отправить медицинские записи?');
INSERT INTO `lang_definitions` VALUES (50208, 5804, 13, 'Отправка проведена успешно');
INSERT INTO `lang_definitions` VALUES (50209, 5807, 13, 'отправлено на печать.');
INSERT INTO `lang_definitions` VALUES (50210, 5808, 13, 'Отправить для, оставить пустым для всех');
INSERT INTO `lang_definitions` VALUES (50211, 5811, 13, 'Отправлен, но не получен');
INSERT INTO `lang_definitions` VALUES (50212, 5812, 13, 'Сен');
INSERT INTO `lang_definitions` VALUES (50213, 5813, 13, 'Отдельный');
INSERT INTO `lang_definitions` VALUES (50214, 5814, 13, 'Сентябрь');
INSERT INTO `lang_definitions` VALUES (50215, 5815, 13, 'Посл.');
INSERT INTO `lang_definitions` VALUES (50216, 5816, 13, 'Последовательность');
INSERT INTO `lang_definitions` VALUES (50217, 5821, 13, 'Услуга');
INSERT INTO `lang_definitions` VALUES (50218, 5822, 13, 'Категория услуги');
INSERT INTO `lang_definitions` VALUES (50219, 5823, 13, 'Код услуги');
INSERT INTO `lang_definitions` VALUES (50220, 5825, 13, 'Коды услуги');
INSERT INTO `lang_definitions` VALUES (50221, 5826, 13, 'Дата услуги');
INSERT INTO `lang_definitions` VALUES (50222, 5827, 13, 'Дата услуги:');
INSERT INTO `lang_definitions` VALUES (50223, 5829, 13, 'Место предоставления услуги');
INSERT INTO `lang_definitions` VALUES (50224, 5831, 13, 'Услуги, предоставляемые специалистом');
INSERT INTO `lang_definitions` VALUES (50225, 5834, 13, 'Услуги');
INSERT INTO `lang_definitions` VALUES (50226, 5835, 13, 'Услуги по категориям');
INSERT INTO `lang_definitions` VALUES (50227, 5836, 13, 'Оказана помощь');
INSERT INTO `lang_definitions` VALUES (50228, 5837, 13, 'Оказана помощь');
INSERT INTO `lang_definitions` VALUES (50229, 5838, 13, 'Услуги/продукция');
INSERT INTO `lang_definitions` VALUES (50230, 5839, 13, 'Тип сессии');
INSERT INTO `lang_definitions` VALUES (50231, 5840, 13, 'Установить');
INSERT INTO `lang_definitions` VALUES (50232, 5841, 13, 'Задает объект cookie для запоминания выбранного объекта между входами в систему.');
INSERT INTO `lang_definitions` VALUES (50233, 5842, 13, 'Установить как выполненное');
INSERT INTO `lang_definitions` VALUES (50234, 5845, 13, 'Задает полный путь. Чтобы создать клиентский сертификат SSL для HTTPS.');
INSERT INTO `lang_definitions` VALUES (50235, 5846, 13, 'Установить в');
INSERT INTO `lang_definitions` VALUES (50236, 5847, 13, 'Установить по умолчанию');
INSERT INTO `lang_definitions` VALUES (50237, 5848, 13, 'Настройка номера версии в базе данных...');
INSERT INTO `lang_definitions` VALUES (50238, 5849, 13, 'Параметры настройки');
INSERT INTO `lang_definitions` VALUES (50239, 5851, 13, 'Сильная мигрень');
INSERT INTO `lang_definitions` VALUES (50240, 5853, 13, 'Степень боли');
INSERT INTO `lang_definitions` VALUES (50241, 5854, 13, 'Степень боли:');
INSERT INTO `lang_definitions` VALUES (50242, 5855, 13, 'Пол');
INSERT INTO `lang_definitions` VALUES (50243, 5856, 13, 'Заболевание, передающееся половым путем');
INSERT INTO `lang_definitions` VALUES (50244, 5858, 13, 'Хэш Sha-1');
INSERT INTO `lang_definitions` VALUES (50245, 5859, 13, 'Совместное использование');
INSERT INTO `lang_definitions` VALUES (50246, 5860, 13, 'Команда shell для печати с сервера.');
INSERT INTO `lang_definitions` VALUES (50247, 5863, 13, 'Короткое описание');
INSERT INTO `lang_definitions` VALUES (50248, 5864, 13, 'Затрудненное дыхание');
INSERT INTO `lang_definitions` VALUES (50249, 5865, 13, 'Затрудненное дыхание');
INSERT INTO `lang_definitions` VALUES (50250, 5866, 13, 'Затрудненное дыхание 2');
INSERT INTO `lang_definitions` VALUES (50251, 5867, 13, 'Короткая запись');
INSERT INTO `lang_definitions` VALUES (50252, 5868, 13, 'Короткая запись как:');
INSERT INTO `lang_definitions` VALUES (50253, 5870, 13, 'должно быть подобно nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (50254, 5871, 13, 'Должно быть две буквы');
INSERT INTO `lang_definitions` VALUES (50255, 5872, 13, 'Должно содержать 10 цифр');
INSERT INTO `lang_definitions` VALUES (50256, 5873, 13, 'должно содержать только 10 цифр');
INSERT INTO `lang_definitions` VALUES (50257, 5874, 13, 'Плечо');
INSERT INTO `lang_definitions` VALUES (50258, 5875, 13, 'Плечо + ключица');
INSERT INTO `lang_definitions` VALUES (50259, 5876, 13, 'Проблемы плеча');
INSERT INTO `lang_definitions` VALUES (50260, 5877, 13, 'Показать');
INSERT INTO `lang_definitions` VALUES (50261, 5878, 13, 'Показать активные');
INSERT INTO `lang_definitions` VALUES (50262, 5880, 13, 'Показать всё');
INSERT INTO `lang_definitions` VALUES (50263, 5881, 13, 'Показать все процедуры');
INSERT INTO `lang_definitions` VALUES (50264, 5883, 13, 'Показать все транзакции');
INSERT INTO `lang_definitions` VALUES (50265, 5884, 13, 'Показывать, что занят');
INSERT INTO `lang_definitions` VALUES (50266, 5885, 13, 'Показать только разрешенное');
INSERT INTO `lang_definitions` VALUES (50267, 5886, 13, 'Показать доступные элементы');
INSERT INTO `lang_definitions` VALUES (50268, 5887, 13, 'Показать и US и метрические (основными являются метрические)');
INSERT INTO `lang_definitions` VALUES (50269, 5888, 13, 'Показать и US и метрические (основными являются US)');
INSERT INTO `lang_definitions` VALUES (50270, 5889, 13, 'Показать сведения');
INSERT INTO `lang_definitions` VALUES (50271, 5890, 13, 'Показать только ошибки?');
INSERT INTO `lang_definitions` VALUES (50272, 5891, 13, 'Показать графику');
INSERT INTO `lang_definitions` VALUES (50273, 5892, 13, 'При наведении мышки показывать всплывающий текст по событию?');
INSERT INTO `lang_definitions` VALUES (50274, 5893, 13, 'На страницах admin показывать, сколько событий?');
INSERT INTO `lang_definitions` VALUES (50275, 5894, 13, 'Показать неактивные');
INSERT INTO `lang_definitions` VALUES (50276, 5896, 13, 'Показать меню');
INSERT INTO `lang_definitions` VALUES (50277, 5897, 13, 'Показать только метрические');
INSERT INTO `lang_definitions` VALUES (50278, 5898, 13, 'Показать записи');
INSERT INTO `lang_definitions` VALUES (50279, 5901, 13, 'Показать записи по пациенту');
INSERT INTO `lang_definitions` VALUES (50280, 5904, 13, 'Показать основное завершение');
INSERT INTO `lang_definitions` VALUES (50281, 5905, 13, 'Показать напоминания');
INSERT INTO `lang_definitions` VALUES (50282, 5906, 13, 'Показать отчёт');
INSERT INTO `lang_definitions` VALUES (50283, 5907, 13, 'Показывать в блоке ссылки искать/предоставить?');
INSERT INTO `lang_definitions` VALUES (50284, 5910, 13, 'Показывает индивидуальную форму состояния для виджета о списке добавлений (запросит заголовок и сокращение).');
INSERT INTO `lang_definitions` VALUES (50285, 5913, 13, 'Показать только оплаченные');
INSERT INTO `lang_definitions` VALUES (50286, 5914, 13, 'Показать только US');
INSERT INTO `lang_definitions` VALUES (50287, 5920, 13, 'Родные брат/сестра');
INSERT INTO `lang_definitions` VALUES (50288, 5921, 13, 'серповидная клетка');
INSERT INTO `lang_definitions` VALUES (50289, 5922, 13, 'Sig');
INSERT INTO `lang_definitions` VALUES (50290, 5923, 13, 'Сигмо/колоноскопия');
INSERT INTO `lang_definitions` VALUES (50291, 5925, 13, 'Результаты лабораторных сигнатур (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (50292, 5926, 13, 'Результаты сигнатур');
INSERT INTO `lang_definitions` VALUES (50293, 5927, 13, 'Подпись');
INSERT INTO `lang_definitions` VALUES (50294, 5929, 13, 'Подпись:');
INSERT INTO `lang_definitions` VALUES (50295, 5930, 13, 'Подписано Rx');
INSERT INTO `lang_definitions` VALUES (50296, 5932, 13, 'Значительная опухоль');
INSERT INTO `lang_definitions` VALUES (50297, 5934, 13, 'Простая доплата');
INSERT INTO `lang_definitions` VALUES (50298, 5935, 13, 'Сокращенные персональные данные');
INSERT INTO `lang_definitions` VALUES (50299, 5936, 13, 'Сокращенные назначения');
INSERT INTO `lang_definitions` VALUES (50300, 5937, 13, 'с');
INSERT INTO `lang_definitions` VALUES (50301, 5938, 13, 'С уважением,');
INSERT INTO `lang_definitions` VALUES (50302, 5940, 13, 'Отдельный');
INSERT INTO `lang_definitions` VALUES (50303, 5941, 13, 'Список выбора');
INSERT INTO `lang_definitions` VALUES (50304, 5942, 13, 'Список выбора с возможностью добавления');
INSERT INTO `lang_definitions` VALUES (50305, 5946, 13, 'Проблемы пазух');
INSERT INTO `lang_definitions` VALUES (50306, 5947, 13, 'Хирургия пазух');
INSERT INTO `lang_definitions` VALUES (50307, 5948, 13, 'БОЛЕЗНЕННАЯ ПАЗУХА:');
INSERT INTO `lang_definitions` VALUES (50308, 5949, 13, 'Синуситы');
INSERT INTO `lang_definitions` VALUES (50309, 5951, 13, 'ID сайта');
INSERT INTO `lang_definitions` VALUES (50310, 5953, 13, 'ID сайта для поддержки LibreEHR службой лабораторного обмена LLC.');
INSERT INTO `lang_definitions` VALUES (50311, 5956, 13, 'Размер');
INSERT INTO `lang_definitions` VALUES (50312, 5957, 13, 'Размер должен быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (50313, 5958, 13, 'Размер/список');
INSERT INTO `lang_definitions` VALUES (50314, 5959, 13, 'Дерматология');
INSERT INTO `lang_definitions` VALUES (50315, 5960, 13, 'Рак кожи');
INSERT INTO `lang_definitions` VALUES (50316, 5961, 13, 'Кожное заболевание');
INSERT INTO `lang_definitions` VALUES (50317, 5962, 13, 'Прочие кожные проявления');
INSERT INTO `lang_definitions` VALUES (50318, 5963, 13, 'Пропустить разрешение для записей по пациенту');
INSERT INTO `lang_definitions` VALUES (50319, 5964, 13, 'Пропущенный раздел');
INSERT INTO `lang_definitions` VALUES (50320, 5965, 13, 'Пропущенный дамп регистра SQL - не применяется для сервера Windows');
INSERT INTO `lang_definitions` VALUES (50321, 5967, 13, 'Паттерн сна');
INSERT INTO `lang_definitions` VALUES (50322, 5968, 13, 'Паттерн сна');
INSERT INTO `lang_definitions` VALUES (50323, 5969, 13, 'Сон');
INSERT INTO `lang_definitions` VALUES (50324, 5970, 13, 'Словацкий');
INSERT INTO `lang_definitions` VALUES (50325, 5972, 13, 'Забытый долг без');
INSERT INTO `lang_definitions` VALUES (50326, 5973, 13, 'Кэш Smarty очищен');
INSERT INTO `lang_definitions` VALUES (50327, 5974, 13, 'Курильщик, в настоящее время статус неизвестен');
INSERT INTO `lang_definitions` VALUES (50328, 5976, 13, 'Статус курильщика');
INSERT INTO `lang_definitions` VALUES (50329, 5977, 13, 'Разр. SMS');
INSERT INTO `lang_definitions` VALUES (50330, 5978, 13, 'Шлюз SMS');
INSERT INTO `lang_definitions` VALUES (50331, 5979, 13, 'Ключ API для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (50332, 5980, 13, 'Ключ API для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (50333, 5981, 13, 'Пароль для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (50334, 5982, 13, 'Имя пользователя для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (50335, 5983, 13, 'Уведомление об SMS');
INSERT INTO `lang_definitions` VALUES (50336, 5984, 13, 'Часы уведомления об SMS');
INSERT INTO `lang_definitions` VALUES (50337, 5985, 13, 'Отправлять SMS перед');
INSERT INTO `lang_definitions` VALUES (50338, 5986, 13, 'Отправка SMS');
INSERT INTO `lang_definitions` VALUES (50339, 5987, 13, 'Текст SMS, употребляемый тэг: ***НАИМЕНОВАНИЕ***, ***СПЕЦИАЛИСТ***, ***ДАТА***, ***ВРЕМЯ НАЧАЛА***, ***ВРЕМЯ ОКОНЧАНИЯ***<br> т.е. Уважаемый ***ИМЯ***');
INSERT INTO `lang_definitions` VALUES (50340, 5988, 13, 'Параметры настройки извещения SMS/e-mail');
INSERT INTO `lang_definitions` VALUES (50341, 5989, 13, 'Пароль SMTP для аутентификации');
INSERT INTO `lang_definitions` VALUES (50342, 5992, 13, 'Имя узла сервера SMTP');
INSERT INTO `lang_definitions` VALUES (50343, 5993, 13, 'Номер порта для сервера SMTP');
INSERT INTO `lang_definitions` VALUES (50344, 5994, 13, 'Пользователь SMTP для аутентификации');
INSERT INTO `lang_definitions` VALUES (50345, 5995, 13, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (50346, 6001, 13, 'База данных SNOMED');
INSERT INTO `lang_definitions` VALUES (50347, 6004, 13, 'Храп');
INSERT INTO `lang_definitions` VALUES (50348, 6005, 13, 'SOAP');
INSERT INTO `lang_definitions` VALUES (50349, 6006, 13, 'Трудности общения');
INSERT INTO `lang_definitions` VALUES (50350, 6009, 13, 'Социальный анамнез:');
INSERT INTO `lang_definitions` VALUES (50351, 6010, 13, 'Идентификационный номер налогоплательщика');
INSERT INTO `lang_definitions` VALUES (50352, 6011, 13, 'раствор');
INSERT INTO `lang_definitions` VALUES (50353, 6013, 13, 'Физический смысл');
INSERT INTO `lang_definitions` VALUES (50354, 6014, 13, 'Некоторые разрешения не отображены. Нажмите здесь для просмотра всех.');
INSERT INTO `lang_definitions` VALUES (50355, 6015, 13, 'Некоторые коды не отображаются.');
INSERT INTO `lang_definitions` VALUES (50356, 6016, 13, 'Некоторые обращения не были отображены. Нажмите здесь для просмотра всех.');
INSERT INTO `lang_definitions` VALUES (50357, 6017, 13, 'Во время процесса деидентификации случилась какая-то ошибка');
INSERT INTO `lang_definitions` VALUES (50358, 6018, 13, 'Некоторые записи не отображаются.');
INSERT INTO `lang_definitions` VALUES (50359, 6020, 13, 'некоторые слова');
INSERT INTO `lang_definitions` VALUES (50360, 6023, 13, 'Что-то не получилось. Попытайтесь снова.');
INSERT INTO `lang_definitions` VALUES (50361, 6024, 13, 'Кратчайший интервал ожидания (клинические напоминания)');
INSERT INTO `lang_definitions` VALUES (50362, 6025, 13, 'Кратчайший интервал ожидания (напоминания о пациенте)');
INSERT INTO `lang_definitions` VALUES (50363, 6026, 13, 'Болезненность в горле');
INSERT INTO `lang_definitions` VALUES (50364, 6028, 13, 'К сожалению, имелась проблема обновления вашего файла');
INSERT INTO `lang_definitions` VALUES (50365, 6029, 13, 'Сортировать по');
INSERT INTO `lang_definitions` VALUES (50366, 6030, 13, 'Сортировать по');
INSERT INTO `lang_definitions` VALUES (50367, 6031, 13, 'Сортировать по контрольной сумме');
INSERT INTO `lang_definitions` VALUES (50368, 6032, 13, 'Сортировать по комментариям');
INSERT INTO `lang_definitions` VALUES (50369, 6033, 13, 'Сортировать по пользователю Crt');
INSERT INTO `lang_definitions` VALUES (50370, 6034, 13, 'Сортировать по дате');
INSERT INTO `lang_definitions` VALUES (50371, 6035, 13, 'Сортировать по дате/времени');
INSERT INTO `lang_definitions` VALUES (50372, 6036, 13, 'Сортировать по событию');
INSERT INTO `lang_definitions` VALUES (50373, 6037, 13, 'Сортировать по группе');
INSERT INTO `lang_definitions` VALUES (50374, 6038, 13, 'Сортировать по новой контролькой сумме');
INSERT INTO `lang_definitions` VALUES (50375, 6039, 13, 'Сортировать по старой контролькой сумме');
INSERT INTO `lang_definitions` VALUES (50376, 6040, 13, 'Сортировать по PatientID');
INSERT INTO `lang_definitions` VALUES (50377, 6041, 13, 'Сортировать по выполнению');
INSERT INTO `lang_definitions` VALUES (50378, 6043, 13, 'Сортировать по пользователю');
INSERT INTO `lang_definitions` VALUES (50379, 6044, 13, 'Сортировать по вакцине');
INSERT INTO `lang_definitions` VALUES (50380, 6045, 13, 'Сортировать в нисходящем порядке');
INSERT INTO `lang_definitions` VALUES (50381, 6046, 13, 'Сортировать результат по');
INSERT INTO `lang_definitions` VALUES (50382, 6047, 13, 'Сортировать в восходящем порядке');
INSERT INTO `lang_definitions` VALUES (50383, 6048, 13, 'Источник');
INSERT INTO `lang_definitions` VALUES (50384, 6049, 13, 'Исходный файл');
INSERT INTO `lang_definitions` VALUES (50385, 6050, 13, 'Путь исходного файла');
INSERT INTO `lang_definitions` VALUES (50386, 6051, 13, 'Для кода пропущен источник ');
INSERT INTO `lang_definitions` VALUES (50387, 6052, 13, 'Источник партии');
INSERT INTO `lang_definitions` VALUES (50388, 6057, 13, 'Источник:');
INSERT INTO `lang_definitions` VALUES (50389, 6060, 13, 'Space');
INSERT INTO `lang_definitions` VALUES (50390, 6061, 13, 'SPACE');
INSERT INTO `lang_definitions` VALUES (50391, 6062, 13, 'Испанский');
INSERT INTO `lang_definitions` VALUES (50392, 6063, 13, 'Испанский (Латино-американский)');
INSERT INTO `lang_definitions` VALUES (50393, 6064, 13, 'Испанский (Испанский)');
INSERT INTO `lang_definitions` VALUES (50394, 6068, 13, 'Специалист');
INSERT INTO `lang_definitions` VALUES (50395, 6069, 13, 'Фамилия и подпись специалиста');
INSERT INTO `lang_definitions` VALUES (50396, 6071, 13, 'Специальность');
INSERT INTO `lang_definitions` VALUES (50397, 6072, 13, 'Специальные системы');
INSERT INTO `lang_definitions` VALUES (50398, 6073, 13, 'Специальность:');
INSERT INTO `lang_definitions` VALUES (50399, 6074, 13, 'Определенный');
INSERT INTO `lang_definitions` VALUES (50400, 6075, 13, 'Специальное приложение');
INSERT INTO `lang_definitions` VALUES (50401, 6076, 13, 'Специальная услуга по контрацепции');
INSERT INTO `lang_definitions` VALUES (50402, 6077, 13, 'Особый результат');
INSERT INTO `lang_definitions` VALUES (50403, 6078, 13, 'Указанная услуга');
INSERT INTO `lang_definitions` VALUES (50404, 6079, 13, 'Указанный');
INSERT INTO `lang_definitions` VALUES (50405, 6080, 13, 'Специальное форматирование для кодов. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50406, 6081, 13, 'Специальное форматирование для кодов. # = digit, @ = alpha, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50407, 6082, 13, 'Специальное форматирование для ссылочных номеров счетов. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50408, 6083, 13, 'Специальное форматирование для ссылочных номеров счетов. # = digit, @ = alpha, * = любой символ, Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50409, 6084, 13, 'Специальное форматирование для полей средства NDC. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50410, 6085, 13, 'Специальное форматирование для полей средства NDC. # = digit, @ = alpha, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50411, 6086, 13, 'Специальное форматирование для внешнего ID пациента. # = digit, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50412, 6087, 13, 'Специальное форматирование для внешнего ID пациента. # = digit, @ = alpha, * = любой символ. Если не используется, то пусто.');
INSERT INTO `lang_definitions` VALUES (50413, 6088, 13, 'Экземпляр');
INSERT INTO `lang_definitions` VALUES (50414, 6089, 13, 'Номер/идентификатор экземпляра');
INSERT INTO `lang_definitions` VALUES (50415, 6090, 13, 'Тип образца');
INSERT INTO `lang_definitions` VALUES (50416, 6092, 13, 'Устная диктовка');
INSERT INTO `lang_definitions` VALUES (50417, 6093, 13, 'Экземпляры');
INSERT INTO `lang_definitions` VALUES (50418, 6094, 13, 'Спленэктомия');
INSERT INTO `lang_definitions` VALUES (50419, 6095, 13, 'Супруг(а)');
INSERT INTO `lang_definitions` VALUES (50420, 6097, 13, 'Мокрота');
INSERT INTO `lang_definitions` VALUES (50421, 6098, 13, 'Мокрота:');
INSERT INTO `lang_definitions` VALUES (50422, 6099, 13, 'Отд.');
INSERT INTO `lang_definitions` VALUES (50423, 6102, 13, 'Отделение');
INSERT INTO `lang_definitions` VALUES (50424, 6103, 13, 'Состав отделения');
INSERT INTO `lang_definitions` VALUES (50425, 6104, 13, 'Отделения');
INSERT INTO `lang_definitions` VALUES (50426, 6105, 13, 'SRH');
INSERT INTO `lang_definitions` VALUES (50427, 6106, 13, 'SRH - планирование семьи');
INSERT INTO `lang_definitions` VALUES (50428, 6107, 13, 'SRH без планирования семьи');
INSERT INTO `lang_definitions` VALUES (50429, 6108, 13, 'Направления для SRH');
INSERT INTO `lang_definitions` VALUES (50430, 6109, 13, 'Форма посещения SRH');
INSERT INTO `lang_definitions` VALUES (50431, 6110, 13, 'Дата усл.');
INSERT INTO `lang_definitions` VALUES (50432, 6111, 13, 'SS');
INSERT INTO `lang_definitions` VALUES (50433, 6112, 13, 'Управление сертификатом SSL');
INSERT INTO `lang_definitions` VALUES (50434, 6113, 13, '№ страх.');
INSERT INTO `lang_definitions` VALUES (50435, 6114, 13, 'Устойчивость');
INSERT INTO `lang_definitions` VALUES (50436, 6116, 13, 'Стандартный');
INSERT INTO `lang_definitions` VALUES (50437, 6117, 13, 'Стандартный код');
INSERT INTO `lang_definitions` VALUES (50438, 6118, 13, 'Стандартные единицы измерения');
INSERT INTO `lang_definitions` VALUES (50439, 6122, 13, 'Стандартное наименование');
INSERT INTO `lang_definitions` VALUES (50440, 6124, 13, 'Начало');
INSERT INTO `lang_definitions` VALUES (50441, 6125, 13, 'Начало (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (50442, 6128, 13, 'Начальная дата');
INSERT INTO `lang_definitions` VALUES (50443, 6129, 13, 'Дата первоначального обращения в эту клинику');
INSERT INTO `lang_definitions` VALUES (50444, 6130, 13, 'Дата начала не должна быть позже даты окончания');
INSERT INTO `lang_definitions` VALUES (50445, 6131, 13, 'Начальная дата:');
INSERT INTO `lang_definitions` VALUES (50446, 6132, 13, 'Начальная дата:');
INSERT INTO `lang_definitions` VALUES (50447, 6133, 13, 'Начальное время');
INSERT INTO `lang_definitions` VALUES (50448, 6134, 13, 'Начальная дата');
INSERT INTO `lang_definitions` VALUES (50449, 6135, 13, 'стат.');
INSERT INTO `lang_definitions` VALUES (50450, 6136, 13, 'Область (край)');
INSERT INTO `lang_definitions` VALUES (50451, 6137, 13, 'Тип данных для области');
INSERT INTO `lang_definitions` VALUES (50452, 6138, 13, '№ гос. лиц.');
INSERT INTO `lang_definitions` VALUES (50453, 6139, 13, 'Государственный номер лицензии');
INSERT INTO `lang_definitions` VALUES (50454, 6140, 13, 'Список областей (краев)');
INSERT INTO `lang_definitions` VALUES (50455, 6141, 13, 'Список областей/краев (write,addonly необязательно)');
INSERT INTO `lang_definitions` VALUES (50456, 6142, 13, 'Пользовательские поля виджета для списка областей');
INSERT INTO `lang_definitions` VALUES (50457, 6143, 13, 'Область или край');
INSERT INTO `lang_definitions` VALUES (50458, 6144, 13, 'Область/местоположение');
INSERT INTO `lang_definitions` VALUES (50459, 6145, 13, 'Область/район');
INSERT INTO `lang_definitions` VALUES (50460, 6146, 13, 'ИТОГОВАЯ ЗАЯВКА');
INSERT INTO `lang_definitions` VALUES (50461, 6147, 13, 'Заявки и обновленные счета.');
INSERT INTO `lang_definitions` VALUES (50462, 6148, 13, 'Отправка заявок:');
INSERT INTO `lang_definitions` VALUES (50463, 6149, 13, 'заявки; счета не будут обновлены.');
INSERT INTO `lang_definitions` VALUES (50464, 6150, 13, 'Статичный текст');
INSERT INTO `lang_definitions` VALUES (50465, 6151, 13, 'Статистические данные');
INSERT INTO `lang_definitions` VALUES (50466, 6152, 13, 'Стат.');
INSERT INTO `lang_definitions` VALUES (50467, 6153, 13, 'Статус');
INSERT INTO `lang_definitions` VALUES (50468, 6156, 13, 'Status quo');
INSERT INTO `lang_definitions` VALUES (50469, 6158, 13, 'Конс. ЗППП/СПИД');
INSERT INTO `lang_definitions` VALUES (50470, 6159, 13, 'Stength and Conditioning');
INSERT INTO `lang_definitions` VALUES (50471, 6169, 13, 'Тугоподвижность суставов');
INSERT INTO `lang_definitions` VALUES (50472, 6170, 13, 'Тугоподвижность');
INSERT INTO `lang_definitions` VALUES (50473, 6171, 13, 'Стандартные месяцы');
INSERT INTO `lang_definitions` VALUES (50474, 6172, 13, 'Боли в желудке');
INSERT INTO `lang_definitions` VALUES (50475, 6174, 13, 'Сохраненный хэш');
INSERT INTO `lang_definitions` VALUES (50476, 6175, 13, 'Растяжение мышцы');
INSERT INTO `lang_definitions` VALUES (50477, 6176, 13, 'Разбрызгивание');
INSERT INTO `lang_definitions` VALUES (50478, 6177, 13, 'Улица');
INSERT INTO `lang_definitions` VALUES (50479, 6178, 13, 'Уличный адрес');
INSERT INTO `lang_definitions` VALUES (50480, 6179, 13, 'Улица и номер');
INSERT INTO `lang_definitions` VALUES (50481, 6180, 13, 'Сила');
INSERT INTO `lang_definitions` VALUES (50482, 6182, 13, 'Острый фарингит');
INSERT INTO `lang_definitions` VALUES (50483, 6183, 13, 'Стрессовый перелом');
INSERT INTO `lang_definitions` VALUES (50484, 6184, 13, 'Нагрузочная проба');
INSERT INTO `lang_definitions` VALUES (50485, 6185, 13, 'Инсульт');
INSERT INTO `lang_definitions` VALUES (50486, 6186, 13, 'Строгий пароль подразумевает, по крайней мере, 8 символов и, по крайней мере, три условия: число, буква в нижнем регистре, буква в верхнем регистре, специальный символ.');
INSERT INTO `lang_definitions` VALUES (50487, 6188, 13, 'Для добавления нового пациента используется стиль формы');
INSERT INTO `lang_definitions` VALUES (50488, 6189, 13, 'Подкатегория');
INSERT INTO `lang_definitions` VALUES (50489, 6190, 13, 'Промежуточный итог');
INSERT INTO `lang_definitions` VALUES (50490, 6191, 13, 'Подкатегория');
INSERT INTO `lang_definitions` VALUES (50491, 6192, 13, 'подкатегория');
INSERT INTO `lang_definitions` VALUES (50492, 6193, 13, 'подкожно');
INSERT INTO `lang_definitions` VALUES (50493, 6194, 13, 'Субъект');
INSERT INTO `lang_definitions` VALUES (50494, 6195, 13, 'Субъективно');
INSERT INTO `lang_definitions` VALUES (50495, 6196, 13, 'Под язык');
INSERT INTO `lang_definitions` VALUES (50496, 6197, 13, 'под язык');
INSERT INTO `lang_definitions` VALUES (50497, 6198, 13, 'Запросить');
INSERT INTO `lang_definitions` VALUES (50498, 6199, 13, 'запросить');
INSERT INTO `lang_definitions` VALUES (50499, 6200, 13, 'Предоставить все содержание');
INSERT INTO `lang_definitions` VALUES (50500, 6202, 13, 'Подчинить событие');
INSERT INTO `lang_definitions` VALUES (50501, 6203, 13, 'предоставить форму');
INSERT INTO `lang_definitions` VALUES (50502, 6204, 13, 'Предоставить выбранное содержание');
INSERT INTO `lang_definitions` VALUES (50503, 6205, 13, 'предоставленное');
INSERT INTO `lang_definitions` VALUES (50504, 6206, 13, 'Предоставленное по');
INSERT INTO `lang_definitions` VALUES (50505, 6207, 13, 'Предоставить номер доступа EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (50506, 6208, 13, 'Подписант');
INSERT INTO `lang_definitions` VALUES (50507, 6209, 13, 'Адрес подписанта');
INSERT INTO `lang_definitions` VALUES (50508, 6213, 13, 'Место работы подписанта');
INSERT INTO `lang_definitions` VALUES (50509, 6214, 13, 'Работодатель подписанта (SE)');
INSERT INTO `lang_definitions` VALUES (50510, 6215, 13, 'Адрес места работы подписанта');
INSERT INTO `lang_definitions` VALUES (50511, 6216, 13, 'Город работодателя подписанта');
INSERT INTO `lang_definitions` VALUES (50512, 6217, 13, 'Страна работодателя подписанта');
INSERT INTO `lang_definitions` VALUES (50513, 6218, 13, 'Область (край) места работы подписанта');
INSERT INTO `lang_definitions` VALUES (50514, 6221, 13, 'Почтовый индекс работодателя подписанта');
INSERT INTO `lang_definitions` VALUES (50515, 6225, 13, 'Телефон подписанта');
INSERT INTO `lang_definitions` VALUES (50516, 6226, 13, 'Родство подписанта');
INSERT INTO `lang_definitions` VALUES (50517, 6227, 13, 'Родство подписанта другое, но фамилия та же! Это верно?');
INSERT INTO `lang_definitions` VALUES (50518, 6228, 13, 'Родство подписанта другое, но номер SS тот же!');
INSERT INTO `lang_definitions` VALUES (50519, 6229, 13, 'Родство подписанта одно, но фамилия другая! Это верно?');
INSERT INTO `lang_definitions` VALUES (50520, 6230, 13, 'Родство подписанта одно, но номер SS другой! Это верно?');
INSERT INTO `lang_definitions` VALUES (50521, 6231, 13, 'Пол подписанта');
INSERT INTO `lang_definitions` VALUES (50522, 6237, 13, 'Замена');
INSERT INTO `lang_definitions` VALUES (50523, 6238, 13, 'замена разрешена');
INSERT INTO `lang_definitions` VALUES (50524, 6240, 13, 'Успех');
INSERT INTO `lang_definitions` VALUES (50525, 6241, 13, 'успех');
INSERT INTO `lang_definitions` VALUES (50526, 6242, 13, 'Подтверждение успешного получения лабораторного результата');
INSERT INTO `lang_definitions` VALUES (50527, 6243, 13, 'Успешное получение лабораторных результатов');
INSERT INTO `lang_definitions` VALUES (50528, 6244, 13, 'Успешное исправление лабораторных результатов из Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (50529, 6246, 13, 'Добавление категории успешно');
INSERT INTO `lang_definitions` VALUES (50530, 6247, 13, 'добавление категории успешно,');
INSERT INTO `lang_definitions` VALUES (50531, 6248, 13, 'Удалено успешно');
INSERT INTO `lang_definitions` VALUES (50532, 6250, 13, 'База данных успешно установлена.');
INSERT INTO `lang_definitions` VALUES (50533, 6252, 13, 'Изменено успешно');
INSERT INTO `lang_definitions` VALUES (50534, 6253, 13, 'Сохранено успешно. Хотите внести?');
INSERT INTO `lang_definitions` VALUES (50535, 6254, 13, 'Сохранено успешно. Хотите предоставить?');
INSERT INTO `lang_definitions` VALUES (50536, 6256, 13, 'сохранено успешно.');
INSERT INTO `lang_definitions` VALUES (50537, 6257, 13, 'База данных успешно модернизирована.');
INSERT INTO `lang_definitions` VALUES (50538, 6259, 13, 'удачно.');
INSERT INTO `lang_definitions` VALUES (50539, 6260, 13, 'Суицид');
INSERT INTO `lang_definitions` VALUES (50540, 6261, 13, 'Сводка');
INSERT INTO `lang_definitions` VALUES (50541, 6262, 13, 'Сводка по');
INSERT INTO `lang_definitions` VALUES (50542, 6265, 13, 'Вс');
INSERT INTO `lang_definitions` VALUES (50543, 6267, 13, 'Воскресенье');
INSERT INTO `lang_definitions` VALUES (50544, 6268, 13, 'Superbill');
INSERT INTO `lang_definitions` VALUES (50545, 6269, 13, 'Коды Superbill');
INSERT INTO `lang_definitions` VALUES (50546, 6270, 13, 'Управление кодами Superbill');
INSERT INTO `lang_definitions` VALUES (50547, 6271, 13, 'Отчет Superbill');
INSERT INTO `lang_definitions` VALUES (50548, 6272, 13, 'Лист оплаты/Superbill');
INSERT INTO `lang_definitions` VALUES (50549, 6273, 13, 'Superbills');
INSERT INTO `lang_definitions` VALUES (50550, 6274, 13, 'Superbills, иногда называемые как формы обращений или бланки направлений, являются неотъемлемой частью в большинстве случаев врачебной практики.');
INSERT INTO `lang_definitions` VALUES (50551, 6275, 13, 'Суперпользователь');
INSERT INTO `lang_definitions` VALUES (50552, 6276, 13, 'Руководитель');
INSERT INTO `lang_definitions` VALUES (50553, 6278, 13, 'Ответственный врач DEA');
INSERT INTO `lang_definitions` VALUES (50554, 6279, 13, 'Имя ответственного врача');
INSERT INTO `lang_definitions` VALUES (50555, 6280, 13, 'Фамилия ответственного врача');
INSERT INTO `lang_definitions` VALUES (50556, 6281, 13, 'NPI ответственного врача');
INSERT INTO `lang_definitions` VALUES (50557, 6282, 13, 'UPIN ответственного врача');
INSERT INTO `lang_definitions` VALUES (50558, 6283, 13, 'Наименование поставщика услуги');
INSERT INTO `lang_definitions` VALUES (50559, 6284, 13, 'Поддерживает календарные события, которые использовали многие специалисты');
INSERT INTO `lang_definitions` VALUES (50560, 6285, 13, 'Поддерживает экспорт/импорт конфигурационных данных через страницу резервного копирования.');
INSERT INTO `lang_definitions` VALUES (50561, 6286, 13, 'Поддерживает события многих специалистов');
INSERT INTO `lang_definitions` VALUES (50562, 6288, 13, 'Поддерживает шифрование/дешифрование только TripleDES');
INSERT INTO `lang_definitions` VALUES (50563, 6289, 13, 'Тип поверхности');
INSERT INTO `lang_definitions` VALUES (50564, 6290, 13, 'Операции');
INSERT INTO `lang_definitions` VALUES (50565, 6291, 13, 'Операция');
INSERT INTO `lang_definitions` VALUES (50566, 6293, 13, 'Поддерживаемые');
INSERT INTO `lang_definitions` VALUES (50567, 6294, 13, 'суспензия');
INSERT INTO `lang_definitions` VALUES (50568, 6295, 13, 'Дата Svc');
INSERT INTO `lang_definitions` VALUES (50569, 6296, 13, 'Дата Svc:');
INSERT INTO `lang_definitions` VALUES (50570, 6299, 13, 'Потливость:');
INSERT INTO `lang_definitions` VALUES (50571, 6300, 13, 'Шведский');
INSERT INTO `lang_definitions` VALUES (50572, 6301, 13, 'Отек');
INSERT INTO `lang_definitions` VALUES (50573, 6302, 13, 'Отек справа');
INSERT INTO `lang_definitions` VALUES (50574, 6303, 13, 'Отеки на суставах');
INSERT INTO `lang_definitions` VALUES (50575, 6304, 13, 'Увеличенные лимфоузлы');
INSERT INTO `lang_definitions` VALUES (50576, 6305, 13, 'Символ, используемый для денег в качестве десятичной запятой. Не используйте, если десятичных знаков 0).');
INSERT INTO `lang_definitions` VALUES (50577, 6306, 13, 'Символ, используемый для отделения тысяч для денег.');
INSERT INTO `lang_definitions` VALUES (50578, 6307, 13, 'Внешние признаки');
INSERT INTO `lang_definitions` VALUES (50579, 6308, 13, 'Синхронизировать');
INSERT INTO `lang_definitions` VALUES (50580, 6309, 13, 'Синхронизировать переводы с индивидуальной языковой таблицей.');
INSERT INTO `lang_definitions` VALUES (50581, 6310, 13, 'Новая индивидуальная синхронизированная константа:');
INSERT INTO `lang_definitions` VALUES (50582, 6311, 13, 'Новый пользовательский синхронизированный язык:');
INSERT INTO `lang_definitions` VALUES (50583, 6312, 13, 'Новое индивидуальное синхронизированное определение (язык, константа, определение):');
INSERT INTO `lang_definitions` VALUES (50584, 6313, 13, 'Обморок');
INSERT INTO `lang_definitions` VALUES (50585, 6314, 13, 'Посиндромное исследование');
INSERT INTO `lang_definitions` VALUES (50586, 6315, 13, 'Посиндромное исследование - несообщаемые результаты');
INSERT INTO `lang_definitions` VALUES (50587, 6317, 13, 'Синовиит, тендовагинит, бурсит');
INSERT INTO `lang_definitions` VALUES (50588, 6318, 13, 'Система');
INSERT INTO `lang_definitions` VALUES (50589, 6322, 13, 'T');
INSERT INTO `lang_definitions` VALUES (50590, 6323, 13, 'три раза в день');
INSERT INTO `lang_definitions` VALUES (50591, 6324, 13, 'Трансвеститы');
INSERT INTO `lang_definitions` VALUES (50592, 6325, 13, 'Таблица');
INSERT INTO `lang_definitions` VALUES (50593, 6327, 13, 'Создание таблицы дало сбой');
INSERT INTO `lang_definitions` VALUES (50594, 6328, 13, 'Обновление таблицы дало сбой');
INSERT INTO `lang_definitions` VALUES (50595, 6330, 13, 'Таблетка');
INSERT INTO `lang_definitions` VALUES (50596, 6332, 13, 'Тагальский');
INSERT INTO `lang_definitions` VALUES (50597, 6335, 13, 'Прием');
INSERT INTO `lang_definitions` VALUES (50598, 6336, 13, 'Выберите страховку из ниспадающего списка');
INSERT INTO `lang_definitions` VALUES (50599, 6337, 13, 'Выберите оплату из ниспадающего списка');
INSERT INTO `lang_definitions` VALUES (50600, 6338, 13, 'Возврат');
INSERT INTO `lang_definitions` VALUES (50601, 6339, 13, 'Занимает время');
INSERT INTO `lang_definitions` VALUES (50602, 6340, 13, 'Максимальная область навигации');
INSERT INTO `lang_definitions` VALUES (50603, 6347, 13, 'Намеченная дата');
INSERT INTO `lang_definitions` VALUES (50604, 6351, 13, 'Группы Планируемое/действие');
INSERT INTO `lang_definitions` VALUES (50605, 6354, 13, 'ИНН');
INSERT INTO `lang_definitions` VALUES (50606, 6355, 13, 'Ставка налогообложения');
INSERT INTO `lang_definitions` VALUES (50607, 6356, 13, 'Налоги');
INSERT INTO `lang_definitions` VALUES (50608, 6357, 13, 'Систематизация');
INSERT INTO `lang_definitions` VALUES (50609, 6358, 13, 'АДС');
INSERT INTO `lang_definitions` VALUES (50610, 6359, 13, 'Обзор травматологической бригады');
INSERT INTO `lang_definitions` VALUES (50611, 6360, 13, 'Состав бригады');
INSERT INTO `lang_definitions` VALUES (50612, 6361, 13, 'Просмотр состава бригады');
INSERT INTO `lang_definitions` VALUES (50613, 6362, 13, 'Бригада/отделение');
INSERT INTO `lang_definitions` VALUES (50614, 6363, 13, 'Тел.');
INSERT INTO `lang_definitions` VALUES (50615, 6364, 13, 'Международный код страны');
INSERT INTO `lang_definitions` VALUES (50616, 6366, 13, 'Темп.');
INSERT INTO `lang_definitions` VALUES (50617, 6367, 13, 'Место измерения температуры');
INSERT INTO `lang_definitions` VALUES (50618, 6368, 13, 'Метод измерения температуры');
INSERT INTO `lang_definitions` VALUES (50619, 6369, 13, 'Температура');
INSERT INTO `lang_definitions` VALUES (50620, 6370, 13, 'Шаблон');
INSERT INTO `lang_definitions` VALUES (50621, 6371, 13, 'Имя шаблона');
INSERT INTO `lang_definitions` VALUES (50622, 6372, 13, 'Имена шаблона не должны начинаться с цифр.');
INSERT INTO `lang_definitions` VALUES (50623, 6373, 13, 'Шаблон:');
INSERT INTO `lang_definitions` VALUES (50624, 6374, 13, 'Шаблоны');
INSERT INTO `lang_definitions` VALUES (50625, 6375, 13, 'Височная артерия');
INSERT INTO `lang_definitions` VALUES (50626, 6376, 13, 'Травма сухожилия');
INSERT INTO `lang_definitions` VALUES (50627, 6377, 13, 'Тенденит / остеомиелит / бурсит');
INSERT INTO `lang_definitions` VALUES (50628, 6378, 13, 'Предварительный счет для номера');
INSERT INTO `lang_definitions` VALUES (50629, 6379, 13, 'Третья');
INSERT INTO `lang_definitions` VALUES (50630, 6380, 13, 'Специализированная страховка');
INSERT INTO `lang_definitions` VALUES (50631, 6381, 13, 'Дата специального страхования');
INSERT INTO `lang_definitions` VALUES (50632, 6382, 13, 'Поставщик специального страхования');
INSERT INTO `lang_definitions` VALUES (50633, 6383, 13, 'План обследования');
INSERT INTO `lang_definitions` VALUES (50634, 6384, 13, 'Принципы обследования');
INSERT INTO `lang_definitions` VALUES (50635, 6385, 13, 'Текст');
INSERT INTO `lang_definitions` VALUES (50636, 6386, 13, 'Описательный диагноз');
INSERT INTO `lang_definitions` VALUES (50637, 6387, 13, 'Поле с текстом');
INSERT INTO `lang_definitions` VALUES (50638, 6393, 13, 'Текст-дата');
INSERT INTO `lang_definitions` VALUES (50639, 6394, 13, 'текст-дата');
INSERT INTO `lang_definitions` VALUES (50640, 6395, 13, 'Текстовая область');
INSERT INTO `lang_definitions` VALUES (50641, 6396, 13, 'текстовая область');
INSERT INTO `lang_definitions` VALUES (50642, 6397, 13, 'Текстовое поле');
INSERT INTO `lang_definitions` VALUES (50643, 6398, 13, 'текстовое поле');
INSERT INTO `lang_definitions` VALUES (50644, 6399, 13, 'Список текстовых полей');
INSERT INTO `lang_definitions` VALUES (50645, 6400, 13, 'список текстовых полей');
INSERT INTO `lang_definitions` VALUES (50646, 6401, 13, 'Тайский');
INSERT INTO `lang_definitions` VALUES (50647, 6402, 13, 'Спасибо');
INSERT INTO `lang_definitions` VALUES (50648, 6403, 13, 'Спасибо за Ваш выбор');
INSERT INTO `lang_definitions` VALUES (50649, 6404, 13, 'Кнопка \'Очистить\' удалит все аннотации.');
INSERT INTO `lang_definitions` VALUES (50650, 6405, 13, 'Вышеуказанная заявка дала сбой');
INSERT INTO `lang_definitions` VALUES (50651, 6406, 13, 'Сертификат сервера SSL Apache и общедоступный ключ');
INSERT INTO `lang_definitions` VALUES (50652, 6407, 13, 'Доверенный сертификат Certificate');
INSERT INTO `lang_definitions` VALUES (50653, 6408, 13, 'Требуемый файл: ');
INSERT INTO `lang_definitions` VALUES (50654, 6410, 13, 'Соответствующий личный ключ');
INSERT INTO `lang_definitions` VALUES (50655, 6413, 13, 'вот код отказа');
INSERT INTO `lang_definitions` VALUES (50656, 6414, 13, 'вот код группы отказа');
INSERT INTO `lang_definitions` VALUES (50657, 6415, 13, 'Форма места назначения была закрыта');
INSERT INTO `lang_definitions` VALUES (50658, 6416, 13, 'Форма места назначения была закрыта; не удалось активировать ваш выбор.');
INSERT INTO `lang_definitions` VALUES (50659, 6418, 13, 'Обращение в EP, правомочную больницу или CAH, которые получают пациента из других стандартов лечения или от специалистов, соответствует, должно выполнять преемственность лечения.');
INSERT INTO `lang_definitions` VALUES (50660, 6421, 13, 'Полномочные профессионалы, больницы или центры здороья, которые переводят своих пациентов для медицинской помощи с другим управлением или специалистами, или направляют своих пациентов к другому медицинскому специалисту, должны предоставить медицинскую выписку для каждого перевода или направления.');
INSERT INTO `lang_definitions` VALUES (50661, 6422, 13, 'Это событие(я) было принято.');
INSERT INTO `lang_definitions` VALUES (50662, 6423, 13, 'Событие(я) скрыты.');
INSERT INTO `lang_definitions` VALUES (50663, 6424, 13, 'Данные экспорта предоставлены в текстовой области ниже. Можете скопировать и вставить их в email или любое другое необходимое место назначения.');
INSERT INTO `lang_definitions` VALUES (50664, 6426, 13, 'Данные экспорта предоставлены в текстовой области ниже. Можете скопировать и вставить в email или любое другое необходимое место назначения.');
INSERT INTO `lang_definitions` VALUES (50665, 6427, 13, 'Данные экспорта предоставлены в текстовой области ниже. Можете скопировать и вставить их в email или любое другое необходимое место назначения.');
INSERT INTO `lang_definitions` VALUES (50666, 6429, 13, 'Этот файл не удалось переименовать, эта ошибка, обычно связана с проблемами прав доступа в системе хранения.');
INSERT INTO `lang_definitions` VALUES (50667, 6434, 13, 'Были добавлены следующие календарные события:');
INSERT INTO `lang_definitions` VALUES (50668, 6435, 13, 'Следующие календарные события были изменены:');
INSERT INTO `lang_definitions` VALUES (50669, 6436, 13, 'Следующие категории будут удалены из вашего списка категорий');
INSERT INTO `lang_definitions` VALUES (50670, 6437, 13, 'В настоящее время установлена следующая версия базы данных.');
INSERT INTO `lang_definitions` VALUES (50671, 6439, 13, 'Следующий файл EDI был обновлен');
INSERT INTO `lang_definitions` VALUES (50672, 6440, 13, 'Активирован следующий пользователь чрезвычайного входа в систему:');
INSERT INTO `lang_definitions` VALUES (50673, 6441, 13, 'Произошла следующая ошибка');
INSERT INTO `lang_definitions` VALUES (50674, 6444, 13, 'Следующие поля являются обязательными');
INSERT INTO `lang_definitions` VALUES (50675, 6446, 13, 'Для отправки запроса должны быть заполнены следующие поля.');
INSERT INTO `lang_definitions` VALUES (50676, 6449, 13, 'Имя узла на архивном компьютере для аудита ATNA');
INSERT INTO `lang_definitions` VALUES (50677, 6450, 13, 'Начальное окно является страницей поиска счета. Вверху можете ввести источник (например, номер чека), дату оплаты и сумму чека. Причина для источника и даты оплаты одна, так что вам не придется вводить их много раз для каждого требования. ...');
INSERT INTO `lang_definitions` VALUES (50678, 6456, 13, 'Метка, которая появляется для этого пользователя в форме');
INSERT INTO `lang_definitions` VALUES (50679, 6457, 13, 'Длина не должна превышать этого количества символов');
INSERT INTO `lang_definitions` VALUES (50680, 6460, 13, 'Новая категория будет подкатегорией для ');
INSERT INTO `lang_definitions` VALUES (50681, 6461, 13, 'Новый пароль не может быть таким же, как текущий.');
INSERT INTO `lang_definitions` VALUES (50682, 6462, 13, 'Поля нового пароля отличаются.');
INSERT INTO `lang_definitions` VALUES (50683, 6465, 13, 'Страница будет перенаправлена в персональные данные. Можно изменить поле страны и снова кликнуть в NewCrop.');
INSERT INTO `lang_definitions` VALUES (50684, 6466, 13, 'Пароль должен быть менее восьми символов и должен...');
INSERT INTO `lang_definitions` VALUES (50685, 6468, 13, 'Запрос на запись для пациента был выполнен.');
INSERT INTO `lang_definitions` VALUES (50686, 6469, 13, 'Напоминания пациенту отправлены');
INSERT INTO `lang_definitions` VALUES (50687, 6470, 13, 'Напоминания пациенту обновлены');
INSERT INTO `lang_definitions` VALUES (50688, 6472, 13, 'Введенные платежи не могут быть позже этой даты. Это означает, что после совершения завершающего отчета никто не введет на более ранние даты.');
INSERT INTO `lang_definitions` VALUES (50689, 6475, 13, 'Сведения, приведенные ниже, применяются, только если вручную публикуете или исправляете.');
INSERT INTO `lang_definitions` VALUES (50690, 6477, 13, 'Запрошенный документ в ожидаемом месте файловой системы отсутствует или нет достаточных прав доступа к нему.');
INSERT INTO `lang_definitions` VALUES (50691, 6480, 13, 'Столбцы источника и даты копируются с первой страницы, так что, обычно, не нужно трогать их. Можете поместить сумму платежа в столбце оплаты, скорректированную сумму в столбце Изменить, или обоих. Можно также нажать «W» справа для авто...');
INSERT INTO `lang_definitions` VALUES (50692, 6484, 13, 'Временная детализация календаря и наименьший интервал в минутах для вставки записи на прием.');
INSERT INTO `lang_definitions` VALUES (50693, 6485, 13, 'Переведенная метка, которая выводится на текущем языке в форме');
INSERT INTO `lang_definitions` VALUES (50694, 6486, 13, 'Переведенный заголовок, который будет выводится на текущем языке');
INSERT INTO `lang_definitions` VALUES (50695, 6487, 13, 'Перевод описания на текущем языке');
INSERT INTO `lang_definitions` VALUES (50696, 6488, 13, 'Таблицы переводов синхронизированы.');
INSERT INTO `lang_definitions` VALUES (50697, 6489, 13, 'Тип этого объекта');
INSERT INTO `lang_definitions` VALUES (50698, 6490, 13, 'Код производителя, идентифицирующий эту методику или результат');
INSERT INTO `lang_definitions` VALUES (50699, 6491, 13, 'Файлы X12 также, как полученные отчеты вывода HTML, архивируются в подкаталоге \"era\" основной инсталляционной директории LibreEHR. Следует обращаться время от времени к этим архивам. URL-адрес');
INSERT INTO `lang_definitions` VALUES (50700, 6492, 13, 'Файл zip будет содержать следующие пункты');
INSERT INTO `lang_definitions` VALUES (50701, 6493, 13, 'Тема');
INSERT INTO `lang_definitions` VALUES (50702, 6495, 13, 'Терапевтические инъекции');
INSERT INTO `lang_definitions` VALUES (50703, 6496, 13, 'Вот');
INSERT INTO `lang_definitions` VALUES (50704, 6497, 13, 'В настоящее время нет назначений');
INSERT INTO `lang_definitions` VALUES (50705, 6498, 13, 'Имеются ошибки с вашим предоставлением. Они обрисованы ниже.');
INSERT INTO `lang_definitions` VALUES (50706, 6500, 13, 'Выписанных карт нет.');
INSERT INTO `lang_definitions` VALUES (50707, 6501, 13, 'Для этого пациента публикаций не зарегистрировано.');
INSERT INTO `lang_definitions` VALUES (50708, 6502, 13, 'Новых предоставлений нет');
INSERT INTO `lang_definitions` VALUES (50709, 6503, 13, 'Для этого пациента нет записей в файл.');
INSERT INTO `lang_definitions` VALUES (50710, 6504, 13, 'Для этого пациента нет транзакций в файл.');
INSERT INTO `lang_definitions` VALUES (50711, 6505, 13, 'Вот ошибка отправки почты');
INSERT INTO `lang_definitions` VALUES (50712, 6506, 13, 'Категория уже именована');
INSERT INTO `lang_definitions` VALUES (50713, 6507, 13, 'Подкатегория уже именована');
INSERT INTO `lang_definitions` VALUES (50714, 6508, 13, 'Элемент уже именован');
INSERT INTO `lang_definitions` VALUES (50715, 6509, 13, 'Запрос на запись для пациента уже открыт.');
INSERT INTO `lang_definitions` VALUES (50716, 6510, 13, 'Это не ввод COA для аккаунта AR ');
INSERT INTO `lang_definitions` VALUES (50717, 6511, 13, 'Это не ввод COA для аккаунта кэша ');
INSERT INTO `lang_definitions` VALUES (50718, 6512, 13, 'Это не ввод COA для входящего аккаунта ');
INSERT INTO `lang_definitions` VALUES (50719, 6513, 13, 'Нет ни одного текущего пациента');
INSERT INTO `lang_definitions` VALUES (50720, 6515, 13, 'Для id счета нет соответствия');
INSERT INTO `lang_definitions` VALUES (50721, 6516, 13, 'Нет соответствия для счета с id= ');
INSERT INTO `lang_definitions` VALUES (50722, 6517, 13, 'Это не ввод части для ID услуг ');
INSERT INTO `lang_definitions` VALUES (50723, 6520, 13, 'При обработке вашего запроса была ошибка.');
INSERT INTO `lang_definitions` VALUES (50724, 6523, 13, 'Уплотненное справа');
INSERT INTO `lang_definitions` VALUES (50725, 6524, 13, 'Бедро');
INSERT INTO `lang_definitions` VALUES (50726, 6525, 13, 'Бедро и подколенная ямка');
INSERT INTO `lang_definitions` VALUES (50727, 6527, 13, 'Объекты, которые оперчасть может читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (50728, 6528, 13, 'Объекты, которые оперчасть может читать и изменять');
INSERT INTO `lang_definitions` VALUES (50729, 6531, 13, 'Объекты, которые клиницисты могут читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (50730, 6532, 13, 'Объекты, которые клиницисты могут читать и изменять');
INSERT INTO `lang_definitions` VALUES (50731, 6535, 13, 'Объекты, которые регистратура может читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (50732, 6536, 13, 'Объекты, которые регистратура может читать и изменять');
INSERT INTO `lang_definitions` VALUES (50733, 6539, 13, 'Объекты, которые врачи могут читать и вводить, но не изменять');
INSERT INTO `lang_definitions` VALUES (50734, 6540, 13, 'Объекты, которые врачи могут читать и изменять');
INSERT INTO `lang_definitions` VALUES (50735, 6542, 13, 'Третий');
INSERT INTO `lang_definitions` VALUES (50736, 6544, 13, 'Это действие НЕ МОЖЕТ БЫТЬ отменено.');
INSERT INTO `lang_definitions` VALUES (50737, 6545, 13, 'Это действие не может быть отменено.');
INSERT INTO `lang_definitions` VALUES (50738, 6547, 13, 'Это действие будет зарегистрировано');
INSERT INTO `lang_definitions` VALUES (50739, 6551, 13, 'Этот календарный год');
INSERT INTO `lang_definitions` VALUES (50740, 6554, 13, 'Это требование было отвергнуто. Причина: -');
INSERT INTO `lang_definitions` VALUES (50741, 6555, 13, 'Это требование отправлено на следующий уровень.');
INSERT INTO `lang_definitions` VALUES (50742, 6556, 13, 'Этот тип кода не принимает зависимости.');
INSERT INTO `lang_definitions` VALUES (50743, 6557, 13, 'Вот категории контекстного содержания, которые будут удалены. Все еще нужно продолжить?');
INSERT INTO `lang_definitions` VALUES (50744, 6558, 13, 'Они определяют, как записи на прием отображаются в календаре.');
INSERT INTO `lang_definitions` VALUES (50745, 6559, 13, 'Определяет, какая цветовая схема используется для записи на прием');
INSERT INTO `lang_definitions` VALUES (50746, 6561, 13, 'Это обращение');
INSERT INTO `lang_definitions` VALUES (50747, 6565, 13, 'Этот компонент является экспериментальным и тестирован не полностью. Используйте его на свой собственный риск!');
INSERT INTO `lang_definitions` VALUES (50748, 6566, 13, 'Этот номер счета был изменен на ');
INSERT INTO `lang_definitions` VALUES (50749, 6575, 13, 'Этот модуль работает в тестовом режиме. База данных не будет изменена.');
INSERT INTO `lang_definitions` VALUES (50750, 6576, 13, 'Этот модуль поддерживает эффективный ввод данных EOB.');
INSERT INTO `lang_definitions` VALUES (50751, 6577, 13, 'Этот месяц до даты');
INSERT INTO `lang_definitions` VALUES (50752, 6581, 13, 'Эта страница будет включать встроенный вход в систему, чтобы не делать это каждый раз.');
INSERT INTO `lang_definitions` VALUES (50753, 6582, 13, 'Этот пациент не активирован.');
INSERT INTO `lang_definitions` VALUES (50754, 6583, 13, 'Этот ID пациента уже в использовании!');
INSERT INTO `lang_definitions` VALUES (50755, 6584, 13, 'Этот продукт допускает только одну партию на складе');
INSERT INTO `lang_definitions` VALUES (50756, 6591, 13, 'На этом шаге будет создан файл, который нужно сохранить для последующего использования. Этот файл не может быть создан повторно.Необходимо выполнить?');
INSERT INTO `lang_definitions` VALUES (50757, 6592, 13, 'Этот пользователь не является членом ни одной группы');
INSERT INTO `lang_definitions` VALUES (50758, 6595, 13, 'Это посещение начинает использование новой контрацепции');
INSERT INTO `lang_definitions` VALUES (50759, 6596, 13, 'Для этого посещения необходима форма GCAC, предоставление направления или процедуры.');
INSERT INTO `lang_definitions` VALUES (50760, 6597, 13, 'Это была старая только метрическая форма жизненно важных показателей, в настоящее время устарела.');
INSERT INTO `lang_definitions` VALUES (50761, 6598, 13, 'Эта неделя до даты');
INSERT INTO `lang_definitions` VALUES (50762, 6600, 13, 'Активирует сообщения CCR (непрерывность медицинской записи) и CCD (непрерывность медицинского документа).');
INSERT INTO `lang_definitions` VALUES (50763, 6602, 13, 'Разрешает выбор отладочного языка (\'подставного\').');
INSERT INTO `lang_definitions` VALUES (50764, 6606, 13, 'Будет создана резервная копия в формате tar и затем отправлена на ваш веб-браузер, так что вы сможете ее сохранить');
INSERT INTO `lang_definitions` VALUES (50765, 6607, 13, 'Функция шифрования и дешифрования документа будет дезактивирована и спрятана в UI.');
INSERT INTO `lang_definitions` VALUES (50766, 6613, 13, 'Это вызовет в итоговом отображении пациента всегда открытый виджет счетов.');
INSERT INTO `lang_definitions` VALUES (50767, 6617, 13, 'Это не предотвратит от перехода в место e-назначения.');
INSERT INTO `lang_definitions` VALUES (50768, 6619, 13, 'Будет использован пользовательский список вакцинации, а не стандартный список вакцинации CVX');
INSERT INTO `lang_definitions` VALUES (50769, 6622, 13, 'Грудной отдел позвоночника');
INSERT INTO `lang_definitions` VALUES (50770, 6623, 13, 'Тыс./куб.мм');
INSERT INTO `lang_definitions` VALUES (50771, 6625, 13, 'Гортань');
INSERT INTO `lang_definitions` VALUES (50772, 6626, 13, 'Рак гортани');
INSERT INTO `lang_definitions` VALUES (50773, 6627, 13, 'Хирургия рака гортани');
INSERT INTO `lang_definitions` VALUES (50774, 6628, 13, 'Тромбоз/инсульт');
INSERT INTO `lang_definitions` VALUES (50775, 6629, 13, 'Чт');
INSERT INTO `lang_definitions` VALUES (50776, 6630, 13, 'Четверг');
INSERT INTO `lang_definitions` VALUES (50777, 6631, 13, 'Четверг');
INSERT INTO `lang_definitions` VALUES (50778, 6632, 13, 'Обычная щитовидная железа');
INSERT INTO `lang_definitions` VALUES (50779, 6633, 13, 'Проблемы щитовидной железы');
INSERT INTO `lang_definitions` VALUES (50780, 6634, 13, 'Преходящее ОНМК');
INSERT INTO `lang_definitions` VALUES (50781, 6636, 13, 'TID');
INSERT INTO `lang_definitions` VALUES (50782, 6638, 13, 'время');
INSERT INTO `lang_definitions` VALUES (50783, 6639, 13, 'Формат отображения времени');
INSERT INTO `lang_definitions` VALUES (50784, 6640, 13, 'Сдвиг времени для добавления (1-60 минут)');
INSERT INTO `lang_definitions` VALUES (50785, 6641, 13, 'Выбор времени');
INSERT INTO `lang_definitions` VALUES (50786, 6647, 13, 'Разовое событие');
INSERT INTO `lang_definitions` VALUES (50787, 6648, 13, 'Набор времени (NA)');
INSERT INTO `lang_definitions` VALUES (50788, 6649, 13, 'Временная метка и текст');
INSERT INTO `lang_definitions` VALUES (50789, 6650, 13, 'TIN');
INSERT INTO `lang_definitions` VALUES (50790, 6651, 13, 'Звон в ушах');
INSERT INTO `lang_definitions` VALUES (50791, 6652, 13, 'Название');
INSERT INTO `lang_definitions` VALUES (50792, 6653, 13, 'Название V');
INSERT INTO `lang_definitions` VALUES (50793, 6654, 13, 'Столбцы данных должно быть числом между 1 и 999');
INSERT INTO `lang_definitions` VALUES (50794, 6655, 13, 'Обращения');
INSERT INTO `lang_definitions` VALUES (50795, 6656, 13, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (50796, 6657, 13, 'Наружный нос, TMs/EAMs/EE');
INSERT INTO `lang_definitions` VALUES (50797, 6658, 13, 'по');
INSERT INTO `lang_definitions` VALUES (50798, 6659, 13, 'ДО');
INSERT INTO `lang_definitions` VALUES (50799, 6660, 13, 'до');
INSERT INTO `lang_definitions` VALUES (50800, 6661, 13, 'в абсолютном пути файла');
INSERT INTO `lang_definitions` VALUES (50801, 6662, 13, 'Кликните для добавления записей ');
INSERT INTO `lang_definitions` VALUES (50802, 6663, 13, 'Кликните здесь для добавления записей');
INSERT INTO `lang_definitions` VALUES (50803, 6664, 13, 'На пораженную область');
INSERT INTO `lang_definitions` VALUES (50804, 6665, 13, 'на пораженную область');
INSERT INTO `lang_definitions` VALUES (50805, 6666, 13, 'Для автоматического открытия этой указанной формы. Некоторые спортивные команды здесь используют football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (50806, 6667, 13, 'Для просмотра счета');
INSERT INTO `lang_definitions` VALUES (50807, 6668, 13, 'в категории');
INSERT INTO `lang_definitions` VALUES (50808, 6669, 13, 'Для больничного просмотра');
INSERT INTO `lang_definitions` VALUES (50809, 6670, 13, 'В доплату');
INSERT INTO `lang_definitions` VALUES (50810, 6672, 13, 'В ded\'ble');
INSERT INTO `lang_definitions` VALUES (50811, 6673, 13, 'В электронную службу передачи цифровых сообщений');
INSERT INTO `lang_definitions` VALUES (50812, 6674, 13, 'Для отключения сертификатов SSL на стороне клиента закомментируйте вышеуказанные строки в конфигурационном файле Apache и установите');
INSERT INTO `lang_definitions` VALUES (50813, 6675, 13, 'Для отключения HTTPS закомментируйте вышеуказанные строки в конфигурационном файле Apache и перезагрузите сервер Apache.');
INSERT INTO `lang_definitions` VALUES (50814, 6676, 13, 'Для включения сертификатов ssl на стороне клиента');
INSERT INTO `lang_definitions` VALUES (50815, 6677, 13, 'Для включения проверки сертификатов ssl на стороне клиента должен быть включен HTTPS');
INSERT INTO `lang_definitions` VALUES (50816, 6678, 13, 'Для включения только HTTPS, сделайте указанные выше изменения и перезапустите сервер Apache. Если хотите также настроить сертификаты на стороне клиента, сконфигурируйте их в следующем разделе.');
INSERT INTO `lang_definitions` VALUES (50817, 6679, 13, 'Для обращ.');
INSERT INTO `lang_definitions` VALUES (50818, 6680, 13, 'Фильтровать по полу');
INSERT INTO `lang_definitions` VALUES (50819, 6681, 13, 'В анамнез');
INSERT INTO `lang_definitions` VALUES (50820, 6682, 13, 'В проблемы');
INSERT INTO `lang_definitions` VALUES (50821, 6683, 13, 'Для связывания этого обращения или консультации с имеющейся проблемой, нажмите здесь ');
INSERT INTO `lang_definitions` VALUES (50822, 6684, 13, 'Для связи этого обращения/консультации с существующей проблемой кликните выше нужную для выделения и нажмите [Сохранить]. Для выбора нескольких проблем удерживайте клавишу [Ctrl].');
INSERT INTO `lang_definitions` VALUES (50823, 6685, 13, 'для повторного входа в систему');
INSERT INTO `lang_definitions` VALUES (50824, 6686, 13, 'Кликните для опубликования записи');
INSERT INTO `lang_definitions` VALUES (50825, 6687, 13, 'для запуска');
INSERT INTO `lang_definitions` VALUES (50826, 6688, 13, 'Для организации доступа https с проверкой сертификата клиента сделайте следующее');
INSERT INTO `lang_definitions` VALUES (50827, 6689, 13, 'Накожно');
INSERT INTO `lang_definitions` VALUES (50828, 6690, 13, 'накожно');
INSERT INTO `lang_definitions` VALUES (50829, 6691, 13, 'в это посещение?');
INSERT INTO `lang_definitions` VALUES (50830, 6693, 13, 'до:');
INSERT INTO `lang_definitions` VALUES (50831, 6694, 13, 'до: ');
INSERT INTO `lang_definitions` VALUES (50832, 6695, 13, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (50833, 6696, 13, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (50834, 6697, 13, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (50835, 6698, 13, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (50836, 6699, 13, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (50837, 6700, 13, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (50838, 6703, 13, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (50839, 6704, 13, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (50840, 6705, 13, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (50841, 6706, 13, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (50842, 6707, 13, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (50843, 6708, 13, 'Табак');
INSERT INTO `lang_definitions` VALUES (50844, 6709, 13, 'Вмешательство по прекращению табакокурения');
INSERT INTO `lang_definitions` VALUES (50845, 6710, 13, 'Вмешательство по прекращению табакокурения (CQM)');
INSERT INTO `lang_definitions` VALUES (50846, 6712, 13, 'Использование табака');
INSERT INTO `lang_definitions` VALUES (50847, 6713, 13, 'Оценка использования табака');
INSERT INTO `lang_definitions` VALUES (50848, 6714, 13, 'Оценка использования табака (CQM)');
INSERT INTO `lang_definitions` VALUES (50849, 6715, 13, 'Сегодня');
INSERT INTO `lang_definitions` VALUES (50850, 6716, 13, 'СЕГОДНЯ');
INSERT INTO `lang_definitions` VALUES (50851, 6717, 13, 'сегодня');
INSERT INTO `lang_definitions` VALUES (50852, 6718, 13, 'Сегодняшний баланс');
INSERT INTO `lang_definitions` VALUES (50853, 6719, 13, 'Сегодняшние оплаты');
INSERT INTO `lang_definitions` VALUES (50854, 6720, 13, 'Сегодняшняя дата');
INSERT INTO `lang_definitions` VALUES (50855, 6721, 13, 'Сегодняшние события');
INSERT INTO `lang_definitions` VALUES (50856, 6724, 13, 'ID знака для поддержки LibreEHR лабораторных услуг обмена LLC');
INSERT INTO `lang_definitions` VALUES (50857, 6726, 13, 'Тонзилэктомия');
INSERT INTO `lang_definitions` VALUES (50858, 6728, 13, 'Верх');
INSERT INTO `lang_definitions` VALUES (50859, 6730, 13, 'Раздел');
INSERT INTO `lang_definitions` VALUES (50860, 6731, 13, 'Всего');
INSERT INTO `lang_definitions` VALUES (50861, 6732, 13, 'всего');
INSERT INTO `lang_definitions` VALUES (50862, 6733, 13, 'Всего активных действий');
INSERT INTO `lang_definitions` VALUES (50863, 6734, 13, 'Всего активных напоминаний после обновления');
INSERT INTO `lang_definitions` VALUES (50864, 6735, 13, 'Всего активных напоминаний до обновления');
INSERT INTO `lang_definitions` VALUES (50865, 6737, 13, 'Подлежит всего');
INSERT INTO `lang_definitions` VALUES (50866, 6738, 13, 'Всего подлежит оплатить');
INSERT INTO `lang_definitions` VALUES (50867, 6741, 13, 'Общий платеж');
INSERT INTO `lang_definitions` VALUES (50868, 6742, 13, 'Всего клиентов');
INSERT INTO `lang_definitions` VALUES (50869, 6743, 13, 'Общая стоимость');
INSERT INTO `lang_definitions` VALUES (50870, 6744, 13, 'Итоговое количество для последующей проверки предоставлено не полностью');
INSERT INTO `lang_definitions` VALUES (50871, 6746, 13, 'Через e-mail отправка напоминаний была неудачной');
INSERT INTO `lang_definitions` VALUES (50872, 6747, 13, 'Через телефон отправка напоминаний была неудачной');
INSERT INTO `lang_definitions` VALUES (50873, 6748, 13, 'Всего для');
INSERT INTO `lang_definitions` VALUES (50874, 6749, 13, 'Всего для ');
INSERT INTO `lang_definitions` VALUES (50875, 6750, 13, 'Всего для категории');
INSERT INTO `lang_definitions` VALUES (50876, 6751, 13, 'Всего инактивированных напоминаний');
INSERT INTO `lang_definitions` VALUES (50877, 6752, 13, 'Всего новых напоминаний');
INSERT INTO `lang_definitions` VALUES (50878, 6755, 13, 'Общее количество вакцинаций');
INSERT INTO `lang_definitions` VALUES (50879, 6756, 13, 'Общее количество результатов');
INSERT INTO `lang_definitions` VALUES (50880, 6758, 13, 'Общее количество пациентов');
INSERT INTO `lang_definitions` VALUES (50881, 6760, 13, 'Итоговый баланс по пациентам');
INSERT INTO `lang_definitions` VALUES (50882, 6761, 13, 'Всего пациентов');
INSERT INTO `lang_definitions` VALUES (50883, 6764, 13, 'Всего найденных записей');
INSERT INTO `lang_definitions` VALUES (50884, 6765, 13, 'Общее планирование SRH и семьи');
INSERT INTO `lang_definitions` VALUES (50885, 6766, 13, 'Всего успешных напоминаний, отправленных через email,');
INSERT INTO `lang_definitions` VALUES (50886, 6767, 13, 'Всего успешных напоминаний, отправленных через телефон,');
INSERT INTO `lang_definitions` VALUES (50887, 6770, 13, 'Всего неизменных напоминаний');
INSERT INTO `lang_definitions` VALUES (50888, 6771, 13, 'Всего неотправленных напоминаний после запуска процесса');
INSERT INTO `lang_definitions` VALUES (50889, 6772, 13, 'Всего неотправленных напоминаний после обновления');
INSERT INTO `lang_definitions` VALUES (50890, 6773, 13, 'Всего неотправленных напоминаний до запуска процесса');
INSERT INTO `lang_definitions` VALUES (50891, 6774, 13, 'Всего неотправленных напоминаний до обновления');
INSERT INTO `lang_definitions` VALUES (50892, 6775, 13, 'Всего обновленных напоминаний');
INSERT INTO `lang_definitions` VALUES (50893, 6776, 13, 'Итоги');
INSERT INTO `lang_definitions` VALUES (50894, 6777, 13, 'Всего для');
INSERT INTO `lang_definitions` VALUES (50895, 6778, 13, 'Всего для ');
INSERT INTO `lang_definitions` VALUES (50896, 6785, 13, 'Тип обучения');
INSERT INTO `lang_definitions` VALUES (50897, 6786, 13, 'Провести');
INSERT INTO `lang_definitions` VALUES (50898, 6787, 13, 'Транзакция');
INSERT INTO `lang_definitions` VALUES (50899, 6788, 13, 'транзакция');
INSERT INTO `lang_definitions` VALUES (50900, 6789, 13, 'Транзакция дала сбой, недостаточное количество в назначаемой партии');
INSERT INTO `lang_definitions` VALUES (50901, 6790, 13, 'Транзакция дала сбой, количество меньше ноля');
INSERT INTO `lang_definitions` VALUES (50902, 6791, 13, 'Тип транзакции');
INSERT INTO `lang_definitions` VALUES (50903, 6792, 13, 'транзакции');
INSERT INTO `lang_definitions` VALUES (50904, 6793, 13, 'Транзакции');
INSERT INTO `lang_definitions` VALUES (50905, 6794, 13, 'Транзакции (write необязательно)');
INSERT INTO `lang_definitions` VALUES (50906, 6795, 13, 'Транзакции/направления');
INSERT INTO `lang_definitions` VALUES (50907, 6797, 13, 'Передать');
INSERT INTO `lang_definitions` VALUES (50908, 6799, 13, 'Передача дала сбой, недостаточное количество в исходной партии');
INSERT INTO `lang_definitions` VALUES (50909, 6804, 13, 'Передачи');
INSERT INTO `lang_definitions` VALUES (50910, 6806, 13, 'Смена/перемещение медицинской помощи?');
INSERT INTO `lang_definitions` VALUES (50911, 6807, 13, 'Группы управления доступом к переводу');
INSERT INTO `lang_definitions` VALUES (50912, 6808, 13, 'Переводить категории приема');
INSERT INTO `lang_definitions` VALUES (50913, 6809, 13, 'Переводить категории документа');
INSERT INTO `lang_definitions` VALUES (50914, 6810, 13, 'Переводить макеты');
INSERT INTO `lang_definitions` VALUES (50915, 6811, 13, 'Переводить списки');
INSERT INTO `lang_definitions` VALUES (50916, 6812, 13, 'Переводить заголовки записей по пациентам');
INSERT INTO `lang_definitions` VALUES (50917, 6813, 13, 'перевести это');
INSERT INTO `lang_definitions` VALUES (50918, 6814, 13, 'Перевод');
INSERT INTO `lang_definitions` VALUES (50919, 6815, 13, 'Переводы');
INSERT INTO `lang_definitions` VALUES (50920, 6819, 13, 'Травма');
INSERT INTO `lang_definitions` VALUES (50921, 6820, 13, 'Лечение');
INSERT INTO `lang_definitions` VALUES (50922, 6822, 13, 'Цель лечения');
INSERT INTO `lang_definitions` VALUES (50923, 6823, 13, 'План лечения');
INSERT INTO `lang_definitions` VALUES (50924, 6826, 13, 'Лечение:');
INSERT INTO `lang_definitions` VALUES (50925, 6827, 13, 'Лечение: ');
INSERT INTO `lang_definitions` VALUES (50926, 6828, 13, 'Динамика');
INSERT INTO `lang_definitions` VALUES (50927, 6829, 13, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (50928, 6830, 13, 'Пусковая точка / синдром сдавления / DOMS / судорога');
INSERT INTO `lang_definitions` VALUES (50929, 6831, 13, 'Трималяр');
INSERT INTO `lang_definitions` VALUES (50930, 6832, 13, 'Торс и живот');
INSERT INTO `lang_definitions` VALUES (50931, 6837, 13, 'ч.л.');
INSERT INTO `lang_definitions` VALUES (50932, 6839, 13, 'Трансдермальная терапевтическая система');
INSERT INTO `lang_definitions` VALUES (50933, 6840, 13, 'Туберкулез');
INSERT INTO `lang_definitions` VALUES (50934, 6841, 13, 'Вт');
INSERT INTO `lang_definitions` VALUES (50935, 6842, 13, 'Вт &amp; Чт');
INSERT INTO `lang_definitions` VALUES (50936, 6843, 13, 'Вторник');
INSERT INTO `lang_definitions` VALUES (50937, 6844, 13, 'Новообразование');
INSERT INTO `lang_definitions` VALUES (50938, 6845, 13, 'Турецкий');
INSERT INTO `lang_definitions` VALUES (50939, 6846, 13, 'Туркменский');
INSERT INTO `lang_definitions` VALUES (50940, 6848, 13, 'дважды в день');
INSERT INTO `lang_definitions` VALUES (50941, 6850, 13, 'Барабанная перепонка');
INSERT INTO `lang_definitions` VALUES (50942, 6851, 13, 'Ввести');
INSERT INTO `lang_definitions` VALUES (50943, 6852, 13, 'Введите id или имя. Минимум 3 символа (включая пробелы).');
INSERT INTO `lang_definitions` VALUES (50944, 6853, 13, 'Тип столбцов, отображаемых для результатов поиска пациента');
INSERT INTO `lang_definitions` VALUES (50945, 6854, 13, 'Тип публикации');
INSERT INTO `lang_definitions` VALUES (50946, 6855, 13, 'Тип событий');
INSERT INTO `lang_definitions` VALUES (50947, 6856, 13, 'Тип макета экрана');
INSERT INTO `lang_definitions` VALUES (50948, 6857, 13, 'Введите или просматривайте идентификатор пациента здесь');
INSERT INTO `lang_definitions` VALUES (50949, 6858, 13, 'Введите здесь свое сообщение');
INSERT INTO `lang_definitions` VALUES (50950, 6859, 13, 'Типы назначений и выполнений');
INSERT INTO `lang_definitions` VALUES (50951, 6864, 13, 'Коды UCSMC предоставлены через Университет Спортивного Медицинского Центра Калгари');
INSERT INTO `lang_definitions` VALUES (50952, 6865, 13, 'Украинский');
INSERT INTO `lang_definitions` VALUES (50953, 6866, 13, 'Изъязвления');
INSERT INTO `lang_definitions` VALUES (50954, 6867, 13, 'Язвенный колит');
INSERT INTO `lang_definitions` VALUES (50955, 6868, 13, 'Язвы');
INSERT INTO `lang_definitions` VALUES (50956, 6869, 13, 'Невозможно открыть директорию');
INSERT INTO `lang_definitions` VALUES (50957, 6870, 13, 'Невозможно открыть URL');
INSERT INTO `lang_definitions` VALUES (50958, 6871, 13, 'Невозможно создать');
INSERT INTO `lang_definitions` VALUES (50959, 6876, 13, 'Неприменимо');
INSERT INTO `lang_definitions` VALUES (50960, 6877, 13, 'Без указания');
INSERT INTO `lang_definitions` VALUES (50961, 6879, 13, 'Несанкционированный доступ к ePrescription');
INSERT INTO `lang_definitions` VALUES (50962, 6880, 13, 'Несанкционированный доступ.');
INSERT INTO `lang_definitions` VALUES (50963, 6882, 13, 'Только не для счетов');
INSERT INTO `lang_definitions` VALUES (50964, 6884, 13, 'под язык');
INSERT INTO `lang_definitions` VALUES (50965, 6885, 13, 'Похудание');
INSERT INTO `lang_definitions` VALUES (50966, 6886, 13, 'Недиагностированный');
INSERT INTO `lang_definitions` VALUES (50967, 6887, 13, 'НЕВЫПЛАЧЕННОЕ');
INSERT INTO `lang_definitions` VALUES (50968, 6888, 13, 'Невыплаченное');
INSERT INTO `lang_definitions` VALUES (50969, 6889, 13, 'Невыплаченным является');
INSERT INTO `lang_definitions` VALUES (50970, 6890, 13, 'Отменить расчет');
INSERT INTO `lang_definitions` VALUES (50971, 6892, 13, 'Уникальные клиенты');
INSERT INTO `lang_definitions` VALUES (50972, 6893, 13, 'Уникальный идентификатор для этого типа, читаемый человеком');
INSERT INTO `lang_definitions` VALUES (50973, 6894, 13, 'Уникальные новые клиенты');
INSERT INTO `lang_definitions` VALUES (50974, 6895, 13, 'Уникальный числовой идентификатор для этого типа');
INSERT INTO `lang_definitions` VALUES (50975, 6896, 13, 'Индивидуальный осмотр пациента');
INSERT INTO `lang_definitions` VALUES (50976, 6897, 13, 'Отчет об индивидуальным осмотре пациента');
INSERT INTO `lang_definitions` VALUES (50977, 6898, 13, 'Индивидуальная периферическая сатурация');
INSERT INTO `lang_definitions` VALUES (50978, 6899, 13, 'Единица измерения');
INSERT INTO `lang_definitions` VALUES (50979, 6900, 13, 'Единицы измерения');
INSERT INTO `lang_definitions` VALUES (50980, 6901, 13, 'ед. изм.');
INSERT INTO `lang_definitions` VALUES (50981, 6903, 13, 'Единицы измерения для форм посещения');
INSERT INTO `lang_definitions` VALUES (50982, 6904, 13, 'Единицы измерения должны быть числом');
INSERT INTO `lang_definitions` VALUES (50983, 6905, 13, 'Единицы измерения не определены');
INSERT INTO `lang_definitions` VALUES (50984, 6906, 13, 'Единица измерения/л');
INSERT INTO `lang_definitions` VALUES (50985, 6907, 13, 'Неизвестный');
INSERT INTO `lang_definitions` VALUES (50986, 6910, 13, 'Неизвестно, даже если курит');
INSERT INTO `lang_definitions` VALUES (50987, 6911, 13, 'Неизвестно или NA');
INSERT INTO `lang_definitions` VALUES (50988, 6913, 13, 'несвязанный пациент');
INSERT INTO `lang_definitions` VALUES (50989, 6914, 13, 'Неназванная страховая компания');
INSERT INTO `lang_definitions` VALUES (50990, 6915, 13, 'Незарегистрированные');
INSERT INTO `lang_definitions` VALUES (50991, 6918, 13, 'Снять все выделения');
INSERT INTO `lang_definitions` VALUES (50992, 6919, 13, 'Не выбранный');
INSERT INTO `lang_definitions` VALUES (50993, 6920, 13, 'Неуказанное');
INSERT INTO `lang_definitions` VALUES (50994, 6921, 13, 'неструктурированное');
INSERT INTO `lang_definitions` VALUES (50995, 6924, 13, 'до');
INSERT INTO `lang_definitions` VALUES (50996, 6925, 13, 'Неподходящая регистрация');
INSERT INTO `lang_definitions` VALUES (50997, 6926, 13, 'Неиспользуемое');
INSERT INTO `lang_definitions` VALUES (50998, 6927, 13, 'Требование экстренного вмешательства');
INSERT INTO `lang_definitions` VALUES (50999, 6928, 13, 'включая до');
INSERT INTO `lang_definitions` VALUES (51000, 6929, 13, 'Ближайшие записи на прием');
INSERT INTO `lang_definitions` VALUES (51001, 6930, 13, 'Предстоящие события');
INSERT INTO `lang_definitions` VALUES (51002, 6931, 13, 'Обновить');
INSERT INTO `lang_definitions` VALUES (51003, 6932, 13, 'обновить');
INSERT INTO `lang_definitions` VALUES (51004, 6933, 13, 'Обновить активность');
INSERT INTO `lang_definitions` VALUES (51005, 6934, 13, 'Обновить файлы');
INSERT INTO `lang_definitions` VALUES (51006, 6935, 13, 'Обновить инф.');
INSERT INTO `lang_definitions` VALUES (51007, 6936, 13, 'Обновить список');
INSERT INTO `lang_definitions` VALUES (51008, 6937, 13, 'Обновить номер специалиста');
INSERT INTO `lang_definitions` VALUES (51009, 6938, 13, 'Обновить выбранные объекты');
INSERT INTO `lang_definitions` VALUES (51010, 6939, 13, 'Обновляет следующие переменные в файле');
INSERT INTO `lang_definitions` VALUES (51011, 6940, 13, 'Обновляет информацию о пользователе');
INSERT INTO `lang_definitions` VALUES (51012, 6942, 13, 'Обновление персональных данных не разрешено.');
INSERT INTO `lang_definitions` VALUES (51013, 6946, 13, 'Модернизация');
INSERT INTO `lang_definitions` VALUES (51014, 6947, 13, 'Модернизация базы данных');
INSERT INTO `lang_definitions` VALUES (51015, 6948, 13, 'Модернизирует базу данных LibreEHR для включения методик, функций и таблиц, необходимых для процесса исключения дублирования идентификации');
INSERT INTO `lang_definitions` VALUES (51016, 6949, 13, 'Модернизация будет продолжена');
INSERT INTO `lang_definitions` VALUES (51017, 6950, 13, 'Уникальный врачебный идентификационный номер');
INSERT INTO `lang_definitions` VALUES (51018, 6951, 13, 'Загрузить');
INSERT INTO `lang_definitions` VALUES (51019, 6952, 13, 'Загрузить шаблон');
INSERT INTO `lang_definitions` VALUES (51020, 6953, 13, 'Загрузить и установить');
INSERT INTO `lang_definitions` VALUES (51021, 6954, 13, 'Загрузить конфигурационные данные');
INSERT INTO `lang_definitions` VALUES (51022, 6955, 13, 'Загрузить документ');
INSERT INTO `lang_definitions` VALUES (51023, 6956, 13, 'Загрузка не удалась!');
INSERT INTO `lang_definitions` VALUES (51024, 6957, 13, 'Загрузить изображение в');
INSERT INTO `lang_definitions` VALUES (51025, 6958, 13, 'Загрузите файл импорта:');
INSERT INTO `lang_definitions` VALUES (51026, 6961, 13, 'Загрузить отчет');
INSERT INTO `lang_definitions` VALUES (51027, 6963, 13, 'Загрузите этот файл:');
INSERT INTO `lang_definitions` VALUES (51028, 6964, 13, 'При клике на номере счета появляется \"окно ручной регистрации\". Здесь можно изменить дату оплаты и заметки для счета, выбрать участника, для которого регистрируете и страховку, для которой должны быть получены все предположительные платежи. Особенно важно то, что для каждого биллингового кода, для которого была изменена сумма, можно ввести платеж и информацию по корректировке.');
INSERT INTO `lang_definitions` VALUES (51029, 6965, 13, 'При поиске вы увидите список счетов. Можете кликнуть на один из номеров счета для открытия второго окна, которое является страницей ввода данных для ручной регистрации. Также можете кликнуть по имени пациента, если нужно ввести запись, которую при регистрации пациента увидят сотрудники регистратуры, и вы сможете выбрать появление счетов для заявок по пациенту и их печать.');
INSERT INTO `lang_definitions` VALUES (51030, 6966, 13, 'Верхняя конечность');
INSERT INTO `lang_definitions` VALUES (51031, 6968, 13, 'Императивные позывы');
INSERT INTO `lang_definitions` VALUES (51032, 6970, 13, 'Моча');
INSERT INTO `lang_definitions` VALUES (51033, 6971, 13, 'Подтекание мочи');
INSERT INTO `lang_definitions` VALUES (51034, 6972, 13, 'Учащенное мочеиспускание');
INSERT INTO `lang_definitions` VALUES (51035, 6973, 13, 'Ослабленный напор струи мочи');
INSERT INTO `lang_definitions` VALUES (51036, 6974, 13, 'Микроальбумин мочи');
INSERT INTO `lang_definitions` VALUES (51037, 6975, 13, 'Поток мочи');
INSERT INTO `lang_definitions` VALUES (51038, 6976, 13, 'Безотлагательность позыва на мочеиспускание');
INSERT INTO `lang_definitions` VALUES (51039, 6977, 13, 'URL');
INSERT INTO `lang_definitions` VALUES (51040, 6979, 13, 'URL для поддержки LibreEHR.');
INSERT INTO `lang_definitions` VALUES (51041, 6981, 13, 'URL для телефонного шлюза. Автоматизированная служба VOIP предоставлена через Maviq. Посетите http://signup.maviq.com для получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (51042, 6986, 13, 'Индикатор использования (ISA15)');
INSERT INTO `lang_definitions` VALUES (51043, 6987, 13, 'Для сортировки напрямую в этом столбце просто используйте %');
INSERT INTO `lang_definitions` VALUES (51044, 6988, 13, 'Использовать 24-часовой формат времени?');
INSERT INTO `lang_definitions` VALUES (51045, 6990, 13, 'Используйте сертифицированные технологии EHR для выявления образовательных ресурсов конкретному пациенту и, если это необходимо, предоставьте их пациенту.');
INSERT INTO `lang_definitions` VALUES (51046, 6991, 13, 'Использование панели платежа');
INSERT INTO `lang_definitions` VALUES (51047, 6992, 13, 'Используйте CPOE для лечебных назначений, сделанных непосредственно любым дипломированным специалистом, который может делать назначения в медицинской карте согласно государственных, местных и профессиональных руководящих принципов.');
INSERT INTO `lang_definitions` VALUES (51048, 6997, 13, 'Использовать пользовательский список вакцинации');
INSERT INTO `lang_definitions` VALUES (51049, 6999, 13, 'Использовать диапазон дат');
INSERT INTO `lang_definitions` VALUES (51050, 7000, 13, 'Использовать по умолчанию');
INSERT INTO `lang_definitions` VALUES (51051, 7001, 13, 'Используйте опцию Удалить для удаления.');
INSERT INTO `lang_definitions` VALUES (51052, 7002, 13, 'Использовать международный стиль дат?');
INSERT INTO `lang_definitions` VALUES (51053, 7003, 13, 'Используйте имя файла исходника');
INSERT INTO `lang_definitions` VALUES (51054, 7004, 13, 'Используйте поля ниже для получения или передачи.');
INSERT INTO `lang_definitions` VALUES (51055, 7005, 13, 'Используйте эту возможность только для вновь установленных сайтов, ');
INSERT INTO `lang_definitions` VALUES (51056, 7006, 13, 'Использовать разделы?');
INSERT INTO `lang_definitions` VALUES (51057, 7007, 13, 'Пользователь');
INSERT INTO `lang_definitions` VALUES (51058, 7009, 13, 'Пользователь / группы');
INSERT INTO `lang_definitions` VALUES (51059, 7010, 13, 'Управление пользователем');
INSERT INTO `lang_definitions` VALUES (51060, 7011, 13, 'Управление пользователем и услугами');
INSERT INTO `lang_definitions` VALUES (51061, 7012, 13, 'Управление пользователем и группой');
INSERT INTO `lang_definitions` VALUES (51062, 7013, 13, 'Пользователь не может быть удален');
INSERT INTO `lang_definitions` VALUES (51063, 7014, 13, 'Проверка сертификата пользователя отключена');
INSERT INTO `lang_definitions` VALUES (51064, 7015, 13, 'Определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51065, 7016, 13, 'Область 11, определенная пользователем');
INSERT INTO `lang_definitions` VALUES (51066, 7017, 13, 'Область 12, определенная пользователем');
INSERT INTO `lang_definitions` VALUES (51067, 7018, 13, 'Поле, определяемое пользователем');
INSERT INTO `lang_definitions` VALUES (51068, 7019, 13, 'Список 1, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51069, 7020, 13, 'Список 2, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51070, 7021, 13, 'Список 3, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51071, 7022, 13, 'Список 4, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51072, 7023, 13, 'Список 5, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51073, 7024, 13, 'Список 6, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51074, 7025, 13, 'Список 7, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51075, 7026, 13, 'Текст 1, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51076, 7027, 13, 'Текст 2, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51077, 7028, 13, 'Текст 3, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51078, 7029, 13, 'Текст 4, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51079, 7030, 13, 'Текст 5, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51080, 7031, 13, 'Текст 6, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51081, 7032, 13, 'Текст 7, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51082, 7033, 13, 'Текст 8, определенный пользователем');
INSERT INTO `lang_definitions` VALUES (51083, 7034, 13, 'Имя пользователя');
INSERT INTO `lang_definitions` VALUES (51084, 7039, 13, 'Руководство пользователя');
INSERT INTO `lang_definitions` VALUES (51085, 7040, 13, 'Членство пользователя');
INSERT INTO `lang_definitions` VALUES (51086, 7041, 13, 'Имя пользователя');
INSERT INTO `lang_definitions` VALUES (51087, 7042, 13, 'Имя пользователя или хоста не может быть пустым');
INSERT INTO `lang_definitions` VALUES (51088, 7043, 13, 'Имя пользователя или хоста');
INSERT INTO `lang_definitions` VALUES (51089, 7046, 13, 'Параметры настройки пользователя');
INSERT INTO `lang_definitions` VALUES (51090, 7047, 13, 'Собственная настройка пользователя');
INSERT INTO `lang_definitions` VALUES (51091, 7049, 13, 'Имя пользователя');
INSERT INTO `lang_definitions` VALUES (51092, 7051, 13, 'Имя пользователя для телефонного шлюза. Автоматизированная служба VOIP предоставлена через Maviq. Посетите http://signup.maviq.com для получения дополнительной информации.');
INSERT INTO `lang_definitions` VALUES (51093, 7052, 13, 'Имя пользователя для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (51094, 7053, 13, 'Имя пользователя для шлюза SMS.');
INSERT INTO `lang_definitions` VALUES (51095, 7055, 13, 'Имя пользователя:');
INSERT INTO `lang_definitions` VALUES (51096, 7056, 13, 'Пользователи');
INSERT INTO `lang_definitions` VALUES (51097, 7057, 13, 'Управление пользователями/группами/регистрацией');
INSERT INTO `lang_definitions` VALUES (51098, 7058, 13, 'используйте формат php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (51099, 7059, 13, 'ИМП');
INSERT INTO `lang_definitions` VALUES (51100, 7062, 13, 'ОТПУСК');
INSERT INTO `lang_definitions` VALUES (51101, 7063, 13, 'Отпуск');
INSERT INTO `lang_definitions` VALUES (51102, 7064, 13, 'Вакцина');
INSERT INTO `lang_definitions` VALUES (51103, 7065, 13, 'Контрацептивное влагалищное кольцо');
INSERT INTO `lang_definitions` VALUES (51104, 7066, 13, 'Напутствие');
INSERT INTO `lang_definitions` VALUES (51105, 7067, 13, 'допустимый');
INSERT INTO `lang_definitions` VALUES (51106, 7068, 13, 'Значение');
INSERT INTO `lang_definitions` VALUES (51107, 7069, 13, 'Значение 1');
INSERT INTO `lang_definitions` VALUES (51108, 7070, 13, 'Значение 2');
INSERT INTO `lang_definitions` VALUES (51109, 7072, 13, 'Значение должно быть цифровым');
INSERT INTO `lang_definitions` VALUES (51110, 7073, 13, 'Перем 1');
INSERT INTO `lang_definitions` VALUES (51111, 7074, 13, 'Перем 2');
INSERT INTO `lang_definitions` VALUES (51112, 7075, 13, 'единственная переменная для запуска скрипта модернизации деидентификации');
INSERT INTO `lang_definitions` VALUES (51113, 7076, 13, 'Ветряная оспа 1');
INSERT INTO `lang_definitions` VALUES (51114, 7077, 13, 'Ветряная оспа 2');
INSERT INTO `lang_definitions` VALUES (51115, 7078, 13, 'Варикозно расширенные вены');
INSERT INTO `lang_definitions` VALUES (51116, 7079, 13, 'Состояние сосудов');
INSERT INTO `lang_definitions` VALUES (51117, 7080, 13, 'Повреждение сосудов');
INSERT INTO `lang_definitions` VALUES (51118, 7081, 13, 'Ангиохирургия');
INSERT INTO `lang_definitions` VALUES (51119, 7083, 13, 'Производитель');
INSERT INTO `lang_definitions` VALUES (51120, 7084, 13, 'Версия');
INSERT INTO `lang_definitions` VALUES (51121, 7085, 13, 'Головокружение');
INSERT INTO `lang_definitions` VALUES (51122, 7086, 13, 'Старая программа');
INSERT INTO `lang_definitions` VALUES (51123, 7087, 13, 'Старая правительственная программа');
INSERT INTO `lang_definitions` VALUES (51124, 7088, 13, 'Детская вакцина');
INSERT INTO `lang_definitions` VALUES (51125, 7089, 13, 'Вьетнамский');
INSERT INTO `lang_definitions` VALUES (51126, 7090, 13, 'вид');
INSERT INTO `lang_definitions` VALUES (51127, 7091, 13, 'Вид');
INSERT INTO `lang_definitions` VALUES (51128, 7092, 13, 'Просмотр аллергии');
INSERT INTO `lang_definitions` VALUES (51129, 7097, 13, 'Просмотр сжатого отчета по пациенту');
INSERT INTO `lang_definitions` VALUES (51130, 7100, 13, 'Просмотр документа');
INSERT INTO `lang_definitions` VALUES (51131, 7101, 13, 'Просмотр обращения');
INSERT INTO `lang_definitions` VALUES (51132, 7103, 13, 'Просмотреть события во всплывающем окне?');
INSERT INTO `lang_definitions` VALUES (51133, 7107, 13, 'Просмотреть журнал');
INSERT INTO `lang_definitions` VALUES (51134, 7108, 13, 'Просмотреть страницу 1');
INSERT INTO `lang_definitions` VALUES (51135, 7109, 13, 'Просмотреть страницу 2');
INSERT INTO `lang_definitions` VALUES (51136, 7110, 13, 'Просмотреть прошлые и будущие напоминания');
INSERT INTO `lang_definitions` VALUES (51137, 7111, 13, 'Обзор по пациенту');
INSERT INTO `lang_definitions` VALUES (51138, 7116, 13, 'Обзор связанных обращений');
INSERT INTO `lang_definitions` VALUES (51139, 7121, 13, 'Обзор/изменение аллергии');
INSERT INTO `lang_definitions` VALUES (51140, 7122, 13, 'Обзор/изменение проблемы');
INSERT INTO `lang_definitions` VALUES (51141, 7123, 13, 'Вид/печать');
INSERT INTO `lang_definitions` VALUES (51142, 7124, 13, 'Просмотреть:');
INSERT INTO `lang_definitions` VALUES (51143, 7125, 13, 'VISA');
INSERT INTO `lang_definitions` VALUES (51144, 7126, 13, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (51145, 7127, 13, 'Повреждение внутренних органов/травма/оперативное вмешательство');
INSERT INTO `lang_definitions` VALUES (51146, 7133, 13, 'Категория посещения:');
INSERT INTO `lang_definitions` VALUES (51147, 7134, 13, 'Дата посещения');
INSERT INTO `lang_definitions` VALUES (51148, 7135, 13, 'Дата посещения');
INSERT INTO `lang_definitions` VALUES (51149, 7137, 13, 'Форма посещения');
INSERT INTO `lang_definitions` VALUES (51150, 7138, 13, 'Хронология посещений');
INSERT INTO `lang_definitions` VALUES (51151, 7140, 13, 'Посещения');
INSERT INTO `lang_definitions` VALUES (51152, 7141, 13, 'Форма посещения');
INSERT INTO `lang_definitions` VALUES (51153, 7142, 13, 'Обозначение жизненно важных показателей');
INSERT INTO `lang_definitions` VALUES (51154, 7143, 13, 'Жизненно важные показатели');
INSERT INTO `lang_definitions` VALUES (51155, 7144, 13, 'Жизненно важные показатели (метрические)');
INSERT INTO `lang_definitions` VALUES (51156, 7146, 13, 'Голосовое');
INSERT INTO `lang_definitions` VALUES (51157, 7147, 13, 'Телефонограмма');
INSERT INTO `lang_definitions` VALUES (51158, 7149, 13, 'Рвота');
INSERT INTO `lang_definitions` VALUES (51159, 7151, 13, 'W');
INSERT INTO `lang_definitions` VALUES (51160, 7152, 13, 'Окр. талии');
INSERT INTO `lang_definitions` VALUES (51161, 7153, 13, 'Окружность талии');
INSERT INTO `lang_definitions` VALUES (51162, 7154, 13, 'Ожидание');
INSERT INTO `lang_definitions` VALUES (51163, 7155, 13, 'Без предварительной записи');
INSERT INTO `lang_definitions` VALUES (51164, 7157, 13, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (51165, 7158, 13, 'Склад');
INSERT INTO `lang_definitions` VALUES (51166, 7159, 13, 'Максимум хранения, 0 если не применимо');
INSERT INTO `lang_definitions` VALUES (51167, 7160, 13, 'Минимум хранения, 0 если не применимо');
INSERT INTO `lang_definitions` VALUES (51168, 7161, 13, 'Склады');
INSERT INTO `lang_definitions` VALUES (51169, 7162, 13, 'Жар');
INSERT INTO `lang_definitions` VALUES (51170, 7163, 13, 'Предупреждение');
INSERT INTO `lang_definitions` VALUES (51171, 7164, 13, 'ПРЕДУПРЕЖДЕНИЕ');
INSERT INTO `lang_definitions` VALUES (51172, 7166, 13, 'Предупреждение, регистрационный номер уже имеется в базе данных');
INSERT INTO `lang_definitions` VALUES (51173, 7168, 13, 'Предупреждение: посещение для этого пациента уже создано!');
INSERT INTO `lang_definitions` VALUES (51174, 7170, 13, 'Предупреждение: ID пациента не уникален!');
INSERT INTO `lang_definitions` VALUES (51175, 7171, 13, 'ПРЕДУПРЕЖДЕНИЕ: конфигурационная информация будет перезаписана с даты этого загруженного файла!');
INSERT INTO `lang_definitions` VALUES (51176, 7173, 13, 'Предупреждения');
INSERT INTO `lang_definitions` VALUES (51177, 7175, 13, 'уже загружен');
INSERT INTO `lang_definitions` VALUES (51178, 7177, 13, 'Мы высоко ценим своевременную выплату задолженностей');
INSERT INTO `lang_definitions` VALUES (51179, 7178, 13, 'мы позаботились об указанном пациенте, проведя амбулаторно обследование и лечение в нашей клинике психиатрии. Благодарим за это направление.');
INSERT INTO `lang_definitions` VALUES (51180, 7179, 13, 'Слабость');
INSERT INTO `lang_definitions` VALUES (51181, 7181, 13, 'Поиск в интернете');
INSERT INTO `lang_definitions` VALUES (51182, 7182, 13, 'Веб-сайт');
INSERT INTO `lang_definitions` VALUES (51183, 7183, 13, 'Ссылка на веб-сайт для местного портала пациентов.');
INSERT INTO `lang_definitions` VALUES (51184, 7184, 13, 'Ср');
INSERT INTO `lang_definitions` VALUES (51185, 7185, 13, 'Среда');
INSERT INTO `lang_definitions` VALUES (51186, 7186, 13, 'Неделя');
INSERT INTO `lang_definitions` VALUES (51187, 7187, 13, 'неделя');
INSERT INTO `lang_definitions` VALUES (51188, 7188, 13, 'Обзор за неделю');
INSERT INTO `lang_definitions` VALUES (51189, 7189, 13, 'Неделя(и)');
INSERT INTO `lang_definitions` VALUES (51190, 7190, 13, 'Еженедельное представление');
INSERT INTO `lang_definitions` VALUES (51191, 7192, 13, 'Недели');
INSERT INTO `lang_definitions` VALUES (51192, 7193, 13, 'Вес');
INSERT INTO `lang_definitions` VALUES (51193, 7194, 13, 'Оценка веса и рекомендации для детей и подростков');
INSERT INTO `lang_definitions` VALUES (51194, 7195, 13, 'Оценка веса и рекомендации для детей и подростков (CQM)');
INSERT INTO `lang_definitions` VALUES (51195, 7196, 13, 'Изменение веса');
INSERT INTO `lang_definitions` VALUES (51196, 7197, 13, 'Потеря веса');
INSERT INTO `lang_definitions` VALUES (51197, 7198, 13, 'Клиника похудения');
INSERT INTO `lang_definitions` VALUES (51198, 7199, 13, 'Добро пожаловать');
INSERT INTO `lang_definitions` VALUES (51199, 7202, 13, 'Что должно быть подсчитано?');
INSERT INTO `lang_definitions` VALUES (51200, 7203, 13, 'Стридорозное дыхание:');
INSERT INTO `lang_definitions` VALUES (51201, 7204, 13, 'Хрипы');
INSERT INTO `lang_definitions` VALUES (51202, 7205, 13, 'Хрипы:');
INSERT INTO `lang_definitions` VALUES (51203, 7208, 13, 'Где можно найти связанные сканированные или бумажные документы?');
INSERT INTO `lang_definitions` VALUES (51204, 7211, 13, 'Хлыстовая травма');
INSERT INTO `lang_definitions` VALUES (51205, 7212, 13, 'Белый');
INSERT INTO `lang_definitions` VALUES (51206, 7213, 13, 'Кто');
INSERT INTO `lang_definitions` VALUES (51207, 7214, 13, 'Кто отвечает?');
INSERT INTO `lang_definitions` VALUES (51208, 7215, 13, 'Овдовевшая(й)');
INSERT INTO `lang_definitions` VALUES (51209, 7217, 13, 'Ширина в пикселях для навигационного меню слева.');
INSERT INTO `lang_definitions` VALUES (51210, 7221, 13, 'С выбранным:');
INSERT INTO `lang_definitions` VALUES (51211, 7222, 13, 'с помощью старого наименования');
INSERT INTO `lang_definitions` VALUES (51212, 7224, 13, 'С кем можно оставить сообщение?');
INSERT INTO `lang_definitions` VALUES (51213, 7225, 13, 'Отложить');
INSERT INTO `lang_definitions` VALUES (51214, 7226, 13, 'на протяжении часов');
INSERT INTO `lang_definitions` VALUES (51215, 7227, 13, 'на протяжении часов:');
INSERT INTO `lang_definitions` VALUES (51216, 7228, 13, 'на протяжении минут');
INSERT INTO `lang_definitions` VALUES (51217, 7229, 13, 'на протяжении минут:');
INSERT INTO `lang_definitions` VALUES (51218, 7232, 13, 'Без обновления');
INSERT INTO `lang_definitions` VALUES (51219, 7233, 13, 'Инспектор');
INSERT INTO `lang_definitions` VALUES (51220, 7234, 13, 'нед.');
INSERT INTO `lang_definitions` VALUES (51221, 7235, 13, 'В пределах нормы');
INSERT INTO `lang_definitions` VALUES (51222, 7237, 13, 'Женщины');
INSERT INTO `lang_definitions` VALUES (51223, 7238, 13, 'Только женщины');
INSERT INTO `lang_definitions` VALUES (51224, 7240, 13, 'Работа');
INSERT INTO `lang_definitions` VALUES (51225, 7241, 13, 'РАБОЧАЯ ЗАПИСЬ');
INSERT INTO `lang_definitions` VALUES (51226, 7242, 13, 'Рабочий телефон');
INSERT INTO `lang_definitions` VALUES (51227, 7243, 13, 'Номер рабочего телефона');
INSERT INTO `lang_definitions` VALUES (51228, 7244, 13, 'Связано с работой?');
INSERT INTO `lang_definitions` VALUES (51229, 7245, 13, 'Работа/образование/хобби');
INSERT INTO `lang_definitions` VALUES (51230, 7246, 13, 'Рабочая/школьная запись');
INSERT INTO `lang_definitions` VALUES (51231, 7247, 13, 'рабочий день');
INSERT INTO `lang_definitions` VALUES (51232, 7248, 13, 'Компенсация для работающего');
INSERT INTO `lang_definitions` VALUES (51233, 7249, 13, 'Программа охраны здоровья рабочих');
INSERT INTO `lang_definitions` VALUES (51234, 7250, 13, 'Работающий пенсионер по возрасту или супруга с планом группового оздоровления предпринимателя');
INSERT INTO `lang_definitions` VALUES (51235, 7252, 13, 'Наихудший');
INSERT INTO `lang_definitions` VALUES (51236, 7253, 13, 'Хотите использовать оставшуюся сумму в общем счете?');
INSERT INTO `lang_definitions` VALUES (51237, 7254, 13, 'Хотите маркировать их как очищенные?');
INSERT INTO `lang_definitions` VALUES (51238, 7255, 13, 'Хотите внести?');
INSERT INTO `lang_definitions` VALUES (51239, 7256, 13, 'Хотите отменить предоставление для этого пациента?');
INSERT INTO `lang_definitions` VALUES (51240, 7257, 13, 'Хотите удалить предоставление оплаты?');
INSERT INTO `lang_definitions` VALUES (51241, 7258, 13, 'Хотите удалить платеж?');
INSERT INTO `lang_definitions` VALUES (51242, 7259, 13, 'Хотите изменить или завершить платеж?');
INSERT INTO `lang_definitions` VALUES (51243, 7260, 13, 'Хотите изменить платеж?');
INSERT INTO `lang_definitions` VALUES (51244, 7261, 13, 'Хотите отправить и завершить платеж?');
INSERT INTO `lang_definitions` VALUES (51245, 7262, 13, 'Хотите отправить платеж?');
INSERT INTO `lang_definitions` VALUES (51246, 7263, 13, 'Хотите сохранить?');
INSERT INTO `lang_definitions` VALUES (51247, 7264, 13, 'Запястье');
INSERT INTO `lang_definitions` VALUES (51248, 7265, 13, 'Запястье и рука');
INSERT INTO `lang_definitions` VALUES (51249, 7266, 13, 'Проблемы запястья');
INSERT INTO `lang_definitions` VALUES (51250, 7267, 13, 'записывать');
INSERT INTO `lang_definitions` VALUES (51251, 7268, 13, 'без записи');
INSERT INTO `lang_definitions` VALUES (51252, 7270, 13, 'wsome');
INSERT INTO `lang_definitions` VALUES (51253, 7271, 13, 'WT');
INSERT INTO `lang_definitions` VALUES (51254, 7273, 13, 'x Отменено');
INSERT INTO `lang_definitions` VALUES (51255, 7274, 13, 'x Отменено');
INSERT INTO `lang_definitions` VALUES (51256, 7275, 13, 'Рентг. исследование');
INSERT INTO `lang_definitions` VALUES (51257, 7276, 13, 'Интерпретация ренг. исследования:');
INSERT INTO `lang_definitions` VALUES (51258, 7277, 13, 'Интерпретация ренг. исследования:');
INSERT INTO `lang_definitions` VALUES (51259, 7278, 13, 'только X12: требование замены ');
INSERT INTO `lang_definitions` VALUES (51260, 7279, 13, 'Партнер X12');
INSERT INTO `lang_definitions` VALUES (51261, 7280, 13, 'Партнер X12');
INSERT INTO `lang_definitions` VALUES (51262, 7284, 13, 'г.');
INSERT INTO `lang_definitions` VALUES (51263, 7285, 13, 'Год');
INSERT INTO `lang_definitions` VALUES (51264, 7286, 13, 'год');
INSERT INTO `lang_definitions` VALUES (51265, 7287, 13, 'Обзор за год');
INSERT INTO `lang_definitions` VALUES (51266, 7288, 13, 'Год(ы)');
INSERT INTO `lang_definitions` VALUES (51267, 7289, 13, 'Годы');
INSERT INTO `lang_definitions` VALUES (51268, 7292, 13, 'ДА');
INSERT INTO `lang_definitions` VALUES (51269, 7293, 13, 'Да');
INSERT INTO `lang_definitions` VALUES (51270, 7294, 13, 'да');
INSERT INTO `lang_definitions` VALUES (51271, 7295, 13, 'ДА!');
INSERT INTO `lang_definitions` VALUES (51272, 7296, 13, 'Да, удалить и зарегистрировать');
INSERT INTO `lang_definitions` VALUES (51273, 7298, 13, 'да/нет');
INSERT INTO `lang_definitions` VALUES (51274, 7299, 13, 'Да:');
INSERT INTO `lang_definitions` VALUES (51275, 7300, 13, 'Идиш');
INSERT INTO `lang_definitions` VALUES (51276, 7303, 13, 'Предпринимается попытка навсегда заменить существующий шаблон. Уверены, что нужно продолжить?');
INSERT INTO `lang_definitions` VALUES (51277, 7304, 13, 'Действие пароля для входа в систему сохраняется. Измените пароль до');
INSERT INTO `lang_definitions` VALUES (51278, 7305, 13, 'У вас нет права на удаление этого события');
INSERT INTO `lang_definitions` VALUES (51279, 7306, 13, 'У вас нет права на изменение этого события');
INSERT INTO `lang_definitions` VALUES (51280, 7307, 13, 'Это вам не разрешено.');
INSERT INTO `lang_definitions` VALUES (51281, 7308, 13, 'Доступ к этой группе вам не разрешен.');
INSERT INTO `lang_definitions` VALUES (51282, 7309, 13, 'Вам не разрешено добавление/изменение проблем');
INSERT INTO `lang_definitions` VALUES (51283, 7310, 13, 'Вам не разрешен доступ для планирования записи на прием.');
INSERT INTO `lang_definitions` VALUES (51284, 7311, 13, 'Для просмотра этого обращения вы не авторизированы.');
INSERT INTO `lang_definitions` VALUES (51285, 7313, 13, 'У вас нет прямого доступа к этой функции.');
INSERT INTO `lang_definitions` VALUES (51286, 7314, 13, 'У вас нет прямого доступа к этой странице.');
INSERT INTO `lang_definitions` VALUES (51287, 7315, 13, 'Вы не можете добавить пустое значение для категории!');
INSERT INTO `lang_definitions` VALUES (51288, 7316, 13, 'Вы не можете добавить пустое значение для подкатегории!');
INSERT INTO `lang_definitions` VALUES (51289, 7317, 13, 'Для этого элемента добавление пустого значения невозможно!');
INSERT INTO `lang_definitions` VALUES (51290, 7318, 13, 'Нельзя ввести будущую дату со значением завершения Да.');
INSERT INTO `lang_definitions` VALUES (51291, 7319, 13, 'Вы не выбрали ни одно действие.');
INSERT INTO `lang_definitions` VALUES (51292, 7320, 13, 'Вы не имеете доступа для просмотра/изменения этой записи');
INSERT INTO `lang_definitions` VALUES (51293, 7321, 13, 'Вы пытались изменить блокированное содержание. Если это необходимо сделать, то удалите блокировку. Для разблокирования удалите строку \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (51294, 7322, 13, 'Вы благополучно вышли из регистрации.');
INSERT INTO `lang_definitions` VALUES (51295, 7323, 13, 'Вы можете только обнолять файлы .txt');
INSERT INTO `lang_definitions` VALUES (51296, 7325, 13, 'Можете вставить здесь текст, как жалоба по умолчанию для формы обращения пациента.');
INSERT INTO `lang_definitions` VALUES (51297, 7326, 13, 'Вы должны ввести пароль для шифрования этого документа');
INSERT INTO `lang_definitions` VALUES (51298, 7329, 13, 'Сначала нужно выбрать или добавить пациента.');
INSERT INTO `lang_definitions` VALUES (51299, 7331, 13, 'Нужно выбрать категорию посещения');
INSERT INTO `lang_definitions` VALUES (51300, 7332, 13, 'Нужно выбрать категорию посещения.');
INSERT INTO `lang_definitions` VALUES (51301, 7333, 13, 'Для продолжения вы должны выбрать некоторые поля.');
INSERT INTO `lang_definitions` VALUES (51302, 7334, 13, 'Если появилось это требование, то для успешного создания нужно запустить этот тест, но сам требуемый файл не содержит никаких данных или только незавершенные части суммы данных, предполагаемых для включения. Очевидно, с требованиями HCFA, потому что они удобочитаемы для человека, с требованиями X12, которые являются более сложным процессом для определения, подготовлено ли требование надлежащим образом.');
INSERT INTO `lang_definitions` VALUES (51303, 7335, 13, 'Нужно выбрать, по крайней мере, один контекст');
INSERT INTO `lang_definitions` VALUES (51304, 7336, 13, 'Необходимо выбрать хотя бы одного специалиста');
INSERT INTO `lang_definitions` VALUES (51305, 7339, 13, 'Неправильная дата окончания');
INSERT INTO `lang_definitions` VALUES (51306, 7340, 13, 'Ваше событие удалено.');
INSERT INTO `lang_definitions` VALUES (51307, 7341, 13, 'Ваше событие изменено.');
INSERT INTO `lang_definitions` VALUES (51308, 7342, 13, 'Событие было подчинено.');
INSERT INTO `lang_definitions` VALUES (51309, 7343, 13, 'Ваш файл слишком большой');
INSERT INTO `lang_definitions` VALUES (51310, 7345, 13, 'Списочное наименование было изменено для удовлетворения перечисленных требований');
INSERT INTO `lang_definitions` VALUES (51311, 7347, 13, 'Ваше название для этой категории, методики или результата');
INSERT INTO `lang_definitions` VALUES (51312, 7349, 13, 'Действие пароля истекло. Измените свой пароль.');
INSERT INTO `lang_definitions` VALUES (51313, 7350, 13, 'Действие пароля истекло на');
INSERT INTO `lang_definitions` VALUES (51314, 7351, 13, 'Действие пароля истекло сегодня. Измените свой пароль.');
INSERT INTO `lang_definitions` VALUES (51315, 7353, 13, 'Ваши настройки PostCalendar сброшены на использование по умолчанию.');
INSERT INTO `lang_definitions` VALUES (51316, 7354, 13, 'Настройка PostCalendar обновлена.');
INSERT INTO `lang_definitions` VALUES (51317, 7355, 13, 'Частота повторения должна быть целым числом.');
INSERT INTO `lang_definitions` VALUES (51318, 7356, 13, 'Частота повторения должна быть, по крайней мере, 1.');
INSERT INTO `lang_definitions` VALUES (51319, 7357, 13, 'Ваша начальная дата позднее конечной');
INSERT INTO `lang_definitions` VALUES (51320, 7358, 13, 'Ваша начальная дата недопустима');
INSERT INTO `lang_definitions` VALUES (51321, 7359, 13, 'Ваше предоставление дало сбой.');
INSERT INTO `lang_definitions` VALUES (51322, 7360, 13, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51323, 7361, 13, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (51324, 7362, 13, 'дата yyyy-mm-dd привязана к этому документу');
INSERT INTO `lang_definitions` VALUES (51325, 7363, 13, 'дата yyyy-mm-dd уничтожена');
INSERT INTO `lang_definitions` VALUES (51326, 7364, 13, 'дата рождения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51327, 7365, 13, 'Дата рождения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51328, 7366, 13, 'дата окончания срока действия yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51329, 7367, 13, 'Дата появления или госпитализации yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51330, 7368, 13, 'Дата появления, оперативного вмешательства или начала лечения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51331, 7369, 13, 'Дата получения или передачи yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51332, 7370, 13, 'Дата выздоровления или окончания лечения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51333, 7371, 13, 'Дата повторного воспроизведения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51334, 7372, 13, 'Дата оказания помощи yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51335, 7373, 13, 'дата этого письма yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51336, 7374, 13, 'дата повторного воспроизведения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51337, 7375, 13, 'дата регистрации yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51338, 7376, 13, 'дата события или включения yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51339, 7381, 13, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (51340, 7383, 13, 'последняя дата этого события yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (51341, 7387, 13, 'Нулевой');
INSERT INTO `lang_definitions` VALUES (51342, 7389, 13, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (51343, 7390, 13, 'Почтовый индекс');
INSERT INTO `lang_definitions` VALUES (51344, 7391, 13, 'Почтовый индекс/страна');
INSERT INTO `lang_definitions` VALUES (51345, 7392, 13, 'Зулусский');
INSERT INTO `lang_definitions` VALUES (51346, 7393, 13, ' но было ');
INSERT INTO `lang_definitions` VALUES (51347, 7394, 13, ' получить доступ не удалось.');
INSERT INTO `lang_definitions` VALUES (51348, 7395, 13, 'Действительно нужно удалить');
INSERT INTO `lang_definitions` VALUES (51349, 7396, 13, 'Препарат');
INSERT INTO `lang_definitions` VALUES (51350, 7397, 13, 'электронная почта не отправлена');
INSERT INTO `lang_definitions` VALUES (51351, 7398, 13, 'от');
INSERT INTO `lang_definitions` VALUES (51352, 7399, 13, 'должна быть создана. ');
INSERT INTO `lang_definitions` VALUES (51353, 7400, 13, 'должна быть повторно открыта.');
INSERT INTO `lang_definitions` VALUES (51354, 7401, 13, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (51355, 7402, 13, 'это не число');
INSERT INTO `lang_definitions` VALUES (51356, 7403, 13, 'готово для повторного счета.');
INSERT INTO `lang_definitions` VALUES (51357, 7404, 13, 'Левая нижняя конечность:');
INSERT INTO `lang_definitions` VALUES (51358, 7405, 13, 'Партия');
INSERT INTO `lang_definitions` VALUES (51359, 7406, 13, 'Номер официальной медицинской ссылки. ');
INSERT INTO `lang_definitions` VALUES (51360, 7407, 13, 'минимум');
INSERT INTO `lang_definitions` VALUES (51361, 7408, 13, 'не найдено!');
INSERT INTO `lang_definitions` VALUES (51362, 7409, 13, 'Особенности многих обозревателей могут предполагать вывод ниже экрана с внезапными рывками и длинные паузы по несколько секунд, когда кажется, что работа завершилась сбоем. Это не так, через некоторое время вы увидите вывод результата строка за строкой. Он может быть последовательностью номеров, появляющихся ниже, это указывает, что даже если ничего отображается, деятельность продолжается. Эти числа будут перемежаться с содержанием биллинга и это нормально.');
INSERT INTO `lang_definitions` VALUES (51363, 7410, 13, 'срок действия назначения истек');
INSERT INTO `lang_definitions` VALUES (51364, 7411, 13, 'до');
INSERT INTO `lang_definitions` VALUES (51365, 7412, 13, 'обновление дало сбой, вне базы данных?');
INSERT INTO `lang_definitions` VALUES (51366, 7413, 13, 'маркирован только как счет.');
INSERT INTO `lang_definitions` VALUES (51367, 7414, 13, 'было включено в очередь.');
INSERT INTO `lang_definitions` VALUES (51368, 7415, 13, '! Ушел без посещения');
INSERT INTO `lang_definitions` VALUES (51369, 7416, 13, '\" для кода');
INSERT INTO `lang_definitions` VALUES (51370, 7417, 13, 'В параметрах настройки PostCalendar \" означает ОТМЕЧЕНО!');
INSERT INTO `lang_definitions` VALUES (51371, 7418, 13, '# Проблемы с оплатой/страховкой');
INSERT INTO `lang_definitions` VALUES (51372, 7419, 13, '# из таблеток:');
INSERT INTO `lang_definitions` VALUES (51373, 7420, 13, '$');
INSERT INTO `lang_definitions` VALUES (51374, 7421, 13, '$ Индексированное');
INSERT INTO `lang_definitions` VALUES (51375, 7422, 13, '$метка (yyyy-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (51376, 7423, 13, '%');
INSERT INTO `lang_definitions` VALUES (51377, 7424, 13, '% Отменено < 24 часа');
INSERT INTO `lang_definitions` VALUES (51378, 7425, 13, '% Отменено < 24 часа ');
INSERT INTO `lang_definitions` VALUES (51379, 7426, 13, 'нет \', а должно присутствовать.');
INSERT INTO `lang_definitions` VALUES (51380, 7427, 13, '(% соответствует любой строке, _ соответствует любому символу)');
INSERT INTO `lang_definitions` VALUES (51381, 7428, 13, '([ctrl] + клик для выбора нескольких получателей)');
INSERT INTO `lang_definitions` VALUES (51382, 7429, 13, '(Назад)');
INSERT INTO `lang_definitions` VALUES (51383, 7430, 13, '(Кликните для изменения)');
INSERT INTO `lang_definitions` VALUES (51384, 7431, 13, '(Доставка электронной почты выполняется немедленно, в то время как автоматизированный VOIP отправляется поставщику услуг для дальнейшей обработки.)');
INSERT INTO `lang_definitions` VALUES (51385, 7432, 13, '(подробнее)');
INSERT INTO `lang_definitions` VALUES (51386, 7433, 13, '(Новый пациент)');
INSERT INTO `lang_definitions` VALUES (51387, 7434, 13, '(записи и полномочия)');
INSERT INTO `lang_definitions` VALUES (51388, 7435, 13, '(Записи о пациенте)');
INSERT INTO `lang_definitions` VALUES (51389, 7436, 13, '(Выберите или введите свой)');
INSERT INTO `lang_definitions` VALUES (51390, 7437, 13, 'Для изменения значения кликните с нажатым Shift или выделите мышкой');
INSERT INTO `lang_definitions` VALUES (51391, 7438, 13, '* С напоминанием');
INSERT INTO `lang_definitions` VALUES (51392, 7439, 13, '** Переместите хирургию в проблемы!');
INSERT INTO `lang_definitions` VALUES (51393, 7440, 13, '*Обязательное');
INSERT INTO `lang_definitions` VALUES (51394, 7441, 13, '#ERROR!:parse');
INSERT INTO `lang_definitions` VALUES (51395, 7442, 13, '- Нет');
INSERT INTO `lang_definitions` VALUES (51396, 7445, 13, '.');
INSERT INTO `lang_definitions` VALUES (51397, 7446, 13, '0');
INSERT INTO `lang_definitions` VALUES (51398, 7447, 13, '0-10');
INSERT INTO `lang_definitions` VALUES (51399, 7448, 13, '0-24');
INSERT INTO `lang_definitions` VALUES (51400, 7451, 13, '1');
INSERT INTO `lang_definitions` VALUES (51401, 7452, 13, '1 = Северная Америка. Перечисление кодов других стран см. на http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (51402, 7453, 13, '1 день от сегодня');
INSERT INTO `lang_definitions` VALUES (51403, 7454, 13, '1 месяц от сегодня');
INSERT INTO `lang_definitions` VALUES (51404, 7455, 13, '1 неделя от сегодня');
INSERT INTO `lang_definitions` VALUES (51405, 7456, 13, '1 год от сегодня');
INSERT INTO `lang_definitions` VALUES (51406, 7457, 13, '1. Покой 2. Холод в течение двух дней 3. Компрессия, сохраняйте повязку на месте, если не развивается онемение или бледность ноги 4. Поднятое положение ноги и фиксация');
INSERT INTO `lang_definitions` VALUES (51407, 7458, 13, '11-14');
INSERT INTO `lang_definitions` VALUES (51408, 7459, 13, '12 ч');
INSERT INTO `lang_definitions` VALUES (51409, 7460, 13, '15-19');
INSERT INTO `lang_definitions` VALUES (51410, 7462, 13, '2');
INSERT INTO `lang_definitions` VALUES (51411, 7463, 13, '2 дня от сегодня');
INSERT INTO `lang_definitions` VALUES (51412, 7464, 13, '2 месяца от сегодня');
INSERT INTO `lang_definitions` VALUES (51413, 7465, 13, '2 недели от сегодня');
INSERT INTO `lang_definitions` VALUES (51414, 7466, 13, '2 года от сегодня');
INSERT INTO `lang_definitions` VALUES (51415, 7468, 13, '20-24');
INSERT INTO `lang_definitions` VALUES (51416, 7477, 13, '2111-13');
INSERT INTO `lang_definitions` VALUES (51417, 7478, 13, '24 ч');
INSERT INTO `lang_definitions` VALUES (51418, 7479, 13, '25+');
INSERT INTO `lang_definitions` VALUES (51419, 7480, 13, '25-29');
INSERT INTO `lang_definitions` VALUES (51420, 7481, 13, '2-й');
INSERT INTO `lang_definitions` VALUES (51421, 7482, 13, '3 дня от сегодня');
INSERT INTO `lang_definitions` VALUES (51422, 7483, 13, '3 месяца');
INSERT INTO `lang_definitions` VALUES (51423, 7484, 13, '3 месяца от сегодня');
INSERT INTO `lang_definitions` VALUES (51424, 7485, 13, '3 раза ежедневно');
INSERT INTO `lang_definitions` VALUES (51425, 7486, 13, '3 недели от сегодня');
INSERT INTO `lang_definitions` VALUES (51426, 7487, 13, '30-34');
INSERT INTO `lang_definitions` VALUES (51427, 7488, 13, '35-39');
INSERT INTO `lang_definitions` VALUES (51428, 7489, 13, '3-й');
INSERT INTO `lang_definitions` VALUES (51429, 7490, 13, '4 дня от сегодня');
INSERT INTO `lang_definitions` VALUES (51430, 7491, 13, '4 месяца');
INSERT INTO `lang_definitions` VALUES (51431, 7492, 13, '4 месяца от сегодня');
INSERT INTO `lang_definitions` VALUES (51432, 7493, 13, '4 раза в день');
INSERT INTO `lang_definitions` VALUES (51433, 7494, 13, '4 недели от сегодня');
INSERT INTO `lang_definitions` VALUES (51434, 7495, 13, '40-44');
INSERT INTO `lang_definitions` VALUES (51435, 7496, 13, '40-44');
INSERT INTO `lang_definitions` VALUES (51436, 7497, 13, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (51437, 7498, 13, '466.0, бронхит, органонеспецифичный, острый');
INSERT INTO `lang_definitions` VALUES (51438, 7499, 13, '486.0, пневмония, острая');
INSERT INTO `lang_definitions` VALUES (51439, 7500, 13, '491.21, ХОБЛ, обострение');
INSERT INTO `lang_definitions` VALUES (51440, 7501, 13, '491.8, бронхит, хронический');
INSERT INTO `lang_definitions` VALUES (51441, 7502, 13, '493.92, астма, острый Exac.');
INSERT INTO `lang_definitions` VALUES (51442, 7503, 13, '496.0, ХОБЛ');
INSERT INTO `lang_definitions` VALUES (51443, 7504, 13, '4-й');
INSERT INTO `lang_definitions` VALUES (51444, 7505, 13, '5 дней от сегодня');
INSERT INTO `lang_definitions` VALUES (51445, 7506, 13, '5 месяцев от сегодня');
INSERT INTO `lang_definitions` VALUES (51446, 7507, 13, '5 недель от сегодня');
INSERT INTO `lang_definitions` VALUES (51447, 7508, 13, '519.7, бронхоспазм');
INSERT INTO `lang_definitions` VALUES (51448, 7509, 13, '5-й');
INSERT INTO `lang_definitions` VALUES (51449, 7510, 13, '6 дней от сегодня');
INSERT INTO `lang_definitions` VALUES (51450, 7511, 13, '6 месяцев');
INSERT INTO `lang_definitions` VALUES (51451, 7512, 13, '6 месяцев от сегодня');
INSERT INTO `lang_definitions` VALUES (51452, 7513, 13, '6 недель от сегодня');
INSERT INTO `lang_definitions` VALUES (51453, 7514, 13, '6-й');
INSERT INTO `lang_definitions` VALUES (51454, 7515, 13, '7 месяцев от сегодня');
INSERT INTO `lang_definitions` VALUES (51455, 7516, 13, '8 месяцев от сегодня');
INSERT INTO `lang_definitions` VALUES (51456, 7517, 13, '824.0 Перелом медиальной лодыжки, закрытый');
INSERT INTO `lang_definitions` VALUES (51457, 7518, 13, '824.2 Перелом латеральной лодыжки, закрытый');
INSERT INTO `lang_definitions` VALUES (51458, 7519, 13, '824.6 Трёхлодыжечный перелом, закрытый');
INSERT INTO `lang_definitions` VALUES (51459, 7520, 13, '825.32 Перелом ладьевидной кости (лодыжка)');
INSERT INTO `lang_definitions` VALUES (51460, 7521, 13, '825.35 Перелом основания пятой (5-й) метатарзальной кости');
INSERT INTO `lang_definitions` VALUES (51461, 7522, 13, '845.00 Растяжение лодыжки NOS');
INSERT INTO `lang_definitions` VALUES (51462, 7523, 13, '845.01 Растяжение средней (дельтовидной) связки');
INSERT INTO `lang_definitions` VALUES (51463, 7524, 13, '845.02 Растяжение малоберцовой пяточной');
INSERT INTO `lang_definitions` VALUES (51464, 7525, 13, '9 месяцев от сегодня');
INSERT INTO `lang_definitions` VALUES (51465, 7526, 13, '99212 установленный - несложный');
INSERT INTO `lang_definitions` VALUES (51466, 7527, 13, '99213 установленный - низкой сложности');
INSERT INTO `lang_definitions` VALUES (51467, 7528, 13, '< На осмотре');
INSERT INTO `lang_definitions` VALUES (51468, 7529, 13, '> Приём завершён');
INSERT INTO `lang_definitions` VALUES (51469, 7531, 13, '? Неявка');
INSERT INTO `lang_definitions` VALUES (51470, 7532, 13, '@ Прибыл');
INSERT INTO `lang_definitions` VALUES (51471, 7533, 13, '[Изменить вид]');
INSERT INTO `lang_definitions` VALUES (51472, 7534, 13, '[Дата последнего обращения]');
INSERT INTO `lang_definitions` VALUES (51473, 7535, 13, '[Дни от последнего обращения]');
INSERT INTO `lang_definitions` VALUES (51474, 7536, 13, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (51475, 7537, 13, '[Экспорт OFX]');
INSERT INTO `lang_definitions` VALUES (51476, 7538, 13, '[не рекомендовано]');
INSERT INTO `lang_definitions` VALUES (51477, 7539, 13, '[Количество обращений]');
INSERT INTO `lang_definitions` VALUES (51478, 7540, 13, '[Отчеты]');
INSERT INTO `lang_definitions` VALUES (51479, 7541, 13, '[Выбрать все]');
INSERT INTO `lang_definitions` VALUES (51480, 7542, 13, '[Регистр-SQL]');
INSERT INTO `lang_definitions` VALUES (51481, 7543, 13, '[Запуск пакетной обработки]');
INSERT INTO `lang_definitions` VALUES (51482, 7544, 13, '[Просмотреть журнал]');
INSERT INTO `lang_definitions` VALUES (51483, 7545, 13, '[Вид печати для отчета]');
INSERT INTO `lang_definitions` VALUES (51484, 7546, 13, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (51485, 7547, 13, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (51486, 7548, 13, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (51487, 7549, 13, '~ Опоздал');
INSERT INTO `lang_definitions` VALUES (51488, 2, 14, 'Գրանցման  կամ պահանջագրի համարը՝ վճարումը նույնականացնելու համար');
INSERT INTO `lang_definitions` VALUES (51489, 3, 14, 'Հաճախորդի հավաստագիր՝ որպես ԱԴՄԻՆ օգտվողի համար');
INSERT INTO `lang_definitions` VALUES (51490, 4, 14, 'Կցված է բժշկական/կլինիկական փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (51491, 5, 14, 'Բժշկական/կլինիկական փաստաթուղթ է կցված');
INSERT INTO `lang_definitions` VALUES (51492, 7, 14, 'Պահանջվում է / անհրաժեշտ է ներկայացուցիչ');
INSERT INTO `lang_definitions` VALUES (51493, 8, 14, 'Այս այցի շրջանակներում պետք է ավելացնել GCAC մուտքի ձև');
INSERT INTO `lang_definitions` VALUES (51494, 9, 14, 'Խմբաքանակի թիվը պարտադիր է');
INSERT INTO `lang_definitions` VALUES (51495, 10, 14, 'Խմբաքանակի թիվը պարտադիր է');
INSERT INTO `lang_definitions` VALUES (51496, 11, 14, 'փոքրատառ');
INSERT INTO `lang_definitions` VALUES (51497, 12, 14, 'համար');
INSERT INTO `lang_definitions` VALUES (51498, 14, 14, 'Սույն ինքնությամբ հիվանդ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (51499, 15, 14, 'Սույն  անունով հիվանդ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (51500, 16, 14, 'Սույն սոցծառայության համարով հիվանդ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (51501, 17, 14, 'Վիդջեթի/սարքի  վրա՝ Հիվանդի Ամփոփ տեղեկագրի էկրանին,  դրական թվով ցույց կտա նախկին նշանակումները  (բացասական թվով ցույց կտա նախկին նշանակումները՝ նվազման կարգով)');
INSERT INTO `lang_definitions` VALUES (51502, 18, 14, 'Վիդջեթի վրա՝ Հիվանդի Ամփոփ տեղեկագրի էկրանին,  դրական թվով ցույց կտա նախկին նշանակումները');
INSERT INTO `lang_definitions` VALUES (51503, 19, 14, 'Յուրաքանչյուր այցի համար տեղեկատվության աղբյուրը կարող է մատնանշվել');
INSERT INTO `lang_definitions` VALUES (51504, 20, 14, 'Պահանջվում է առնչվող/կից IPPF կոդ');
INSERT INTO `lang_definitions` VALUES (51505, 21, 14, 'Հատուկ նշան');
INSERT INTO `lang_definitions` VALUES (51506, 22, 14, 'Այս դաշտի նույնականացման՝ օգտվողի համար  անտեսանելի եզակի նշանակություն/արժեք');
INSERT INTO `lang_definitions` VALUES (51507, 23, 14, 'Այս հիվանդի անվամբ այսօրվա համար արդեն գոյություն  ունի նշանակված այց։ Սեղմեք \"Չեղարկել\"/Cancel՝ բացելու  համար, կամ \"Լավ\"/OK շարունակելու և նորն ստեղծելու համար');
INSERT INTO `lang_definitions` VALUES (51508, 25, 14, 'մինչև կեսօր');
INSERT INTO `lang_definitions` VALUES (51509, 27, 14, 'abdominal bloating - որովայնային  ձգում aspiration biopsy  ֊');
INSERT INTO `lang_definitions` VALUES (51510, 28, 14, 'կրճատում');
INSERT INTO `lang_definitions` VALUES (51511, 29, 14, 'թարախակույտ');
INSERT INTO `lang_definitions` VALUES (51512, 30, 14, 'որովայնային');
INSERT INTO `lang_definitions` VALUES (51513, 31, 14, 'կարողանում է կրել ծանրություն 4 /չորս/ քայլ');
INSERT INTO `lang_definitions` VALUES (51514, 34, 14, 'Նորմայից շեղված');
INSERT INTO `lang_definitions` VALUES (51515, 35, 14, 'Ոչ նորմալ արյան հետազոտություն');
INSERT INTO `lang_definitions` VALUES (51516, 36, 14, 'Ոչ նորմալ մազերի աճ');
INSERT INTO `lang_definitions` VALUES (51517, 37, 14, 'Ոչ նորմալ մամոգրաֆիա');
INSERT INTO `lang_definitions` VALUES (51518, 39, 14, 'Աբորտ /հղիության վաղաժամ ընդհատում/');
INSERT INTO `lang_definitions` VALUES (51519, 40, 14, 'Աբորտի հետ կապված խնդիրներ');
INSERT INTO `lang_definitions` VALUES (51520, 41, 14, 'Հղիության ընդհատման մեթոդներ');
INSERT INTO `lang_definitions` VALUES (51521, 42, 14, 'Աբորտին/Հղիության ընդհատմանն առնչվող բաժիններ');
INSERT INTO `lang_definitions` VALUES (51522, 43, 14, 'Աբորտներ /Հղիության ընդհատումներ');
INSERT INTO `lang_definitions` VALUES (51523, 44, 14, 'Օգտվողի օրացույցը');
INSERT INTO `lang_definitions` VALUES (51524, 46, 14, 'Ախտորոշման բացակայություն');
INSERT INTO `lang_definitions` VALUES (51525, 47, 14, '1. Ընդունել նշանակումը/հանձնարարությունը   2. /հանձնարարության ընդունում');
INSERT INTO `lang_definitions` VALUES (51526, 48, 14, 'Ընդունել ․․․֊ն վճարումը');
INSERT INTO `lang_definitions` VALUES (51527, 49, 14, 'Ընդունել ․․․֊ն վճարումը ');
INSERT INTO `lang_definitions` VALUES (51528, 50, 14, 'Հանձնարարությունն/ նշանակումն ընդունում է');
INSERT INTO `lang_definitions` VALUES (51529, 51, 14, 'Մուտքի/Հասանելիության վերահսկում');
INSERT INTO `lang_definitions` VALUES (51530, 52, 14, 'Մուտքի վերահսկողության ցանկի ադմինիստրացիա');
INSERT INTO `lang_definitions` VALUES (51531, 53, 14, 'Մուտքի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (51532, 54, 14, 'Մուտքն արգելված է');
INSERT INTO `lang_definitions` VALUES (51533, 55, 14, 'Մուտքը լիազորված չէ');
INSERT INTO `lang_definitions` VALUES (51534, 56, 14, 'Մուտք գործեք Ձեր հիվանդի պորտալ');
INSERT INTO `lang_definitions` VALUES (51535, 57, 14, 'Պատահար');
INSERT INTO `lang_definitions` VALUES (51536, 59, 14, 'Հաշվի անունը');
INSERT INTO `lang_definitions` VALUES (51537, 62, 14, 'Հաշվառում /Հաշվապահություն');
INSERT INTO `lang_definitions` VALUES (51538, 64, 14, 'Ցավեր');
INSERT INTO `lang_definitions` VALUES (51539, 65, 14, 'Անհրաժեշտ է հաստատում/ճանաչում (ISA14)');
INSERT INTO `lang_definitions` VALUES (51540, 66, 14, 'Հաստատում, Լիցենզավորում և Սերտիֆիկացում');
INSERT INTO `lang_definitions` VALUES (51541, 68, 14, 'ACL կառավարում');
INSERT INTO `lang_definitions` VALUES (51542, 69, 14, 'ACL կառավարումը թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (51543, 70, 14, 'ACL֊ն հաջողությամբ թարմացվել է');
INSERT INTO `lang_definitions` VALUES (51544, 71, 14, 'Բշտիկ /ակնե');
INSERT INTO `lang_definitions` VALUES (51545, 72, 14, 'Ակտ/գործ');
INSERT INTO `lang_definitions` VALUES (51546, 73, 14, 'Ակտի/գործողության  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (51547, 74, 14, 'Ակտ/գործողություն');
INSERT INTO `lang_definitions` VALUES (51548, 75, 14, 'Գործողություններ');
INSERT INTO `lang_definitions` VALUES (51549, 77, 14, 'Ակտիվացնել  CCR/CCD հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (51550, 78, 14, 'Ակտիվ');
INSERT INTO `lang_definitions` VALUES (51551, 79, 14, 'Ակտիվ ծանուցում');
INSERT INTO `lang_definitions` VALUES (51552, 80, 14, 'Ակտիվ ծանուցման կանոններ');
INSERT INTO `lang_definitions` VALUES (51553, 81, 14, 'Ակտիվ ծանուցումներ/հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (51554, 82, 14, 'Ակտիվ բախում');
INSERT INTO `lang_definitions` VALUES (51555, 84, 14, 'Ակտիվ ցանկեր');
INSERT INTO `lang_definitions` VALUES (51556, 85, 14, 'Ակտիվ հիվանդ');
INSERT INTO `lang_definitions` VALUES (51557, 86, 14, 'Ակտիվ պլաններ');
INSERT INTO `lang_definitions` VALUES (51558, 87, 14, 'Ակտիվություն');
INSERT INTO `lang_definitions` VALUES (51559, 88, 14, 'Ակտիվության տեսակը');
INSERT INTO `lang_definitions` VALUES (51560, 90, 14, 'Սուր թունավորում / դուրսբերում');
INSERT INTO `lang_definitions` VALUES (51561, 91, 14, 'Խրոնիկ հիվանդության սուր դրսևորումներ');
INSERT INTO `lang_definitions` VALUES (51562, 92, 14, 'սուր կամ խրոնիկ');
INSERT INTO `lang_definitions` VALUES (51563, 93, 14, 'ավելացնել');
INSERT INTO `lang_definitions` VALUES (51564, 94, 14, 'ավելացնել');
INSERT INTO `lang_definitions` VALUES (51565, 95, 14, 'attention deficit disorder - ուշադրության դեֆիցիտի սինդրոմ/ուշադրության խանգարում');
INSERT INTO `lang_definitions` VALUES (51566, 96, 14, 'Ավելացնել Ընկերություն/Կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (51567, 98, 14, 'Ավելացնել Դեղատուն');
INSERT INTO `lang_definitions` VALUES (51568, 100, 14, 'Ավելացնել իրադարձություն ');
INSERT INTO `lang_definitions` VALUES (51569, 101, 14, 'Ավելացնել որպես նոր նշում/գրառում');
INSERT INTO `lang_definitions` VALUES (51570, 102, 14, 'Ավելացնել որպես ՆՈՐ');
INSERT INTO `lang_definitions` VALUES (51571, 104, 14, 'Ավելացնել կոճակ');
INSERT INTO `lang_definitions` VALUES (51572, 105, 14, 'ավելացնել կոճակներ խմբագրման պատուհանի վերին  մասում  տեքստի վրա Click֊ով հատոկ սիմվոլներ, տեքստեր  տեղադրելու համար');
INSERT INTO `lang_definitions` VALUES (51573, 106, 14, 'Ավելացնել կատեգորիա');
INSERT INTO `lang_definitions` VALUES (51574, 107, 14, 'Ավելացնել մշտական');
INSERT INTO `lang_definitions` VALUES (51575, 108, 14, 'Ավելացնել համատեքստ');
INSERT INTO `lang_definitions` VALUES (51576, 109, 14, 'Ավելացնել հավելավճար');
INSERT INTO `lang_definitions` VALUES (51577, 110, 14, 'Ավելացնել չափորոշիչ');
INSERT INTO `lang_definitions` VALUES (51578, 111, 14, 'Ավելացնել գործարկողի կոճակ');
INSERT INTO `lang_definitions` VALUES (51579, 112, 14, 'Ավելացնել ախտորոշում');
INSERT INTO `lang_definitions` VALUES (51580, 113, 14, 'Ավելացնել դեղորայք');
INSERT INTO `lang_definitions` VALUES (51581, 114, 14, 'Ավելացնել /անհետաձգելի, անհապաղ/  հանդիպում');
INSERT INTO `lang_definitions` VALUES (51582, 115, 14, 'Ավելացնել   հանդիպման հետ կապված նշումներ');
INSERT INTO `lang_definitions` VALUES (51583, 116, 14, 'Ավելացնել հնարավաորություն / սարք');
INSERT INTO `lang_definitions` VALUES (51584, 117, 14, 'Ավելացնել  դաշտ');
INSERT INTO `lang_definitions` VALUES (51585, 118, 14, 'Ավելացնել հետևյալ տողերը Apache  կազմաձևով/կազմությամբ  ֆայլին');
INSERT INTO `lang_definitions` VALUES (51586, 119, 14, 'Ավելացնել խումբ');
INSERT INTO `lang_definitions` VALUES (51587, 120, 14, 'Ավելացնել ՀՄԴ /Հիվանդությունների Միջազգային  Դասակարգում/ Կոդ');
INSERT INTO `lang_definitions` VALUES (51588, 121, 14, 'Ավելացնել պատվաստում');
INSERT INTO `lang_definitions` VALUES (51589, 122, 14, 'Հավելում /Ավելացում/  չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (51590, 123, 14, 'Ավելացնել հարց/խնդիր');
INSERT INTO `lang_definitions` VALUES (51591, 124, 14, 'Շարքին կետ/պարագրաֆ/ ավելացնել');
INSERT INTO `lang_definitions` VALUES (51592, 125, 14, 'Ավելացնել լեզու');
INSERT INTO `lang_definitions` VALUES (51593, 126, 14, 'Ավելացնել Նոր');
INSERT INTO `lang_definitions` VALUES (51594, 127, 14, 'Ավելացնել նորը');
INSERT INTO `lang_definitions` VALUES (51595, 128, 14, 'Ավելացնել նոր կատեգորիա ');
INSERT INTO `lang_definitions` VALUES (51596, 129, 14, 'Ավելացնել նոր հավաստագրեր Apache կարգավորման/ ձևաչափի ֆայլին');
INSERT INTO `lang_definitions` VALUES (51597, 130, 14, 'Ավելացնել  նոր բաղադրիչ');
INSERT INTO `lang_definitions` VALUES (51598, 131, 14, 'Ավելացնել  նոր բաղադրիչներ');
INSERT INTO `lang_definitions` VALUES (51599, 132, 14, 'Ավելացնել նոր խումբ');
INSERT INTO `lang_definitions` VALUES (51600, 133, 14, 'Ավելացնել նոր հարց/խնդիր');
INSERT INTO `lang_definitions` VALUES (51601, 134, 14, 'Ավելացներ գերծարքի նոր շարք');
INSERT INTO `lang_definitions` VALUES (51602, 135, 14, 'Ավելացնել Նոր Գրառում');
INSERT INTO `lang_definitions` VALUES (51603, 136, 14, 'Ավելացնել նոր գրառում');
INSERT INTO `lang_definitions` VALUES (51604, 137, 14, 'Ավելացնել նոր գործընկեր');
INSERT INTO `lang_definitions` VALUES (51605, 138, 14, 'Ավելացնել նոր Հիվանդի');
INSERT INTO `lang_definitions` VALUES (51606, 140, 14, 'Ավելացնել գրառում');
INSERT INTO `lang_definitions` VALUES (51607, 141, 14, 'Ավելացնել Հիվանդի Գրանցում');
INSERT INTO `lang_definitions` VALUES (51608, 142, 14, 'Ավելացնել դեղատոմս');
INSERT INTO `lang_definitions` VALUES (51609, 143, 14, 'Ավելացնել ընթացակարգ');
INSERT INTO `lang_definitions` VALUES (51610, 144, 14, 'Ավելացնել Մատակարարի համարը');
INSERT INTO `lang_definitions` VALUES (51611, 145, 14, 'Ավելացնել Վերականգնում /կոճակ/');
INSERT INTO `lang_definitions` VALUES (51612, 146, 14, 'Ավելացնել Կանոն');
INSERT INTO `lang_definitions` VALUES (51613, 147, 14, 'Ավելացնել ․․․֊ին /Ավելացնել հետևյալին');
INSERT INTO `lang_definitions` VALUES (51614, 148, 14, 'Ավելացնել Դեղորայքի Ցանկին');
INSERT INTO `lang_definitions` VALUES (51615, 149, 14, 'Ավելացնել Վերին Մակարդակ');
INSERT INTO `lang_definitions` VALUES (51616, 150, 14, 'ԱՎելացնել Գործարք');
INSERT INTO `lang_definitions` VALUES (51617, 151, 14, 'Ավելացնել Օգտվող');
INSERT INTO `lang_definitions` VALUES (51618, 152, 14, 'Ավելացնել Օգտվողին հետևյալ Խմբում');
INSERT INTO `lang_definitions` VALUES (51619, 153, 14, 'Ավելացնել/Խմբագրել eRx/ ԷԴԽԾ /Էլեկտրոնային  Դեղատոմսի Խթանիչ/Խրախուսման Ծրագիր/');
INSERT INTO `lang_definitions` VALUES (51620, 154, 14, 'Ավելացնել/Խմբագրել  Հիվանդի Գործարք');
INSERT INTO `lang_definitions` VALUES (51621, 155, 14, 'Ավելացված է');
INSERT INTO `lang_definitions` VALUES (51622, 156, 14, 'Անձնական տվյալների ավելացումն արգելվում է');
INSERT INTO `lang_definitions` VALUES (51623, 157, 14, 'Կետի/պարագրաֆի ավելացումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (51624, 158, 14, 'Էդիսոնի Համախտանիշ');
INSERT INTO `lang_definitions` VALUES (51625, 159, 14, 'Էդիսոնի Համախտանիշ');
INSERT INTO `lang_definitions` VALUES (51626, 160, 14, 'Լրացուցիչ հատկանիշներ / ատրիբուտներ');
INSERT INTO `lang_definitions` VALUES (51627, 161, 14, 'Լրացուցիչ / հավելյալ  ախտորոշում');
INSERT INTO `lang_definitions` VALUES (51628, 162, 14, 'Լրացուցիչ / հավելյալ  Պատմություն');
INSERT INTO `lang_definitions` VALUES (51629, 163, 14, 'Լրացուցիչ / հավելյալ  Պատմության գրառումներ');
INSERT INTO `lang_definitions` VALUES (51630, 164, 14, 'Լրացուցիչ / հավելյալ  Ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (51631, 165, 14, 'Լրացուցիչ / հավելյալ  Լաբորատոր հետազոտություններ');
INSERT INTO `lang_definitions` VALUES (51632, 166, 14, 'Լրացուցիչ / հավելյալ  նշումներ / գրառումներ');
INSERT INTO `lang_definitions` VALUES (51633, 167, 14, 'Այս արդյունքին ուղղված/արնչվող լրացուցիչ գրառումներ  կամ հանձնարարական');
INSERT INTO `lang_definitions` VALUES (51634, 168, 14, 'Լրացուցիչ / հավելյալ  նշումներ / գրառումներ');
INSERT INTO `lang_definitions` VALUES (51635, 169, 14, 'Լրացուցիչ / հավելյալ  նշումներ / գրառումներ ');
INSERT INTO `lang_definitions` VALUES (51636, 170, 14, 'Ռենտգեն հետազոտության լրացուցիչ գրառումներ');
INSERT INTO `lang_definitions` VALUES (51637, 171, 14, 'Բացի այդ,  Միջազգային Snomed Release֊ի /Անգլերեն  տարբերակը/  տեղդրելուց հետո  ԱՄՆ֊ի համապատասխան  Snomed Extension Package կարող է առանձին  ներառվել/տեղադրվել');
INSERT INTO `lang_definitions` VALUES (51638, 172, 14, 'Միայն ավելացնել');
INSERT INTO `lang_definitions` VALUES (51639, 173, 14, 'Հասցեագիրք');
INSERT INTO `lang_definitions` VALUES (51640, 174, 14, 'Հասցեագիրք');
INSERT INTO `lang_definitions` VALUES (51641, 175, 14, 'Հասցե');
INSERT INTO `lang_definitions` VALUES (51642, 178, 14, 'Հասցեագիրք');
INSERT INTO `lang_definitions` VALUES (51643, 179, 14, 'Սույն miջամտությունը կատարող Ընկերության   հասցեագիրք / հասցեների գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (51644, 180, 14, 'Մատակարարների /Դիստրիբյուտորների  հասցեագիրք/ գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (51645, 181, 14, 'Վաճառողի հասցեագիրք / գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (51646, 182, 14, 'Գրանցամատյանների տեսակներ');
INSERT INTO `lang_definitions` VALUES (51647, 183, 14, 'Հասցեապիտակ');
INSERT INTO `lang_definitions` VALUES (51648, 187, 14, 'Հասցե 1');
INSERT INTO `lang_definitions` VALUES (51649, 188, 14, 'Հասցե 2');
INSERT INTO `lang_definitions` VALUES (51650, 189, 14, 'ՀԱՍՑԵ');
INSERT INTO `lang_definitions` VALUES (51651, 190, 14, 'Ճշգրտ․');
INSERT INTO `lang_definitions` VALUES (51652, 191, 14, 'Ճշգրտ․  Քանակ');
INSERT INTO `lang_definitions` VALUES (51653, 192, 14, 'Ճշգրտել');
INSERT INTO `lang_definitions` VALUES (51654, 193, 14, 'Ճշգրտում');
INSERT INTO `lang_definitions` VALUES (51655, 194, 14, 'Ճշգրտումների քնկ․');
INSERT INTO `lang_definitions` VALUES (51656, 195, 14, 'Ճշգրտումների պատճառը');
INSERT INTO `lang_definitions` VALUES (51657, 196, 14, 'Ճշգրտման կոդի արժեքը ');
INSERT INTO `lang_definitions` VALUES (51658, 197, 14, 'Ճշգրտումներ');
INSERT INTO `lang_definitions` VALUES (51659, 198, 14, 'Ադմինի ճշգրտումները');
INSERT INTO `lang_definitions` VALUES (51660, 199, 14, 'Ադմին');
INSERT INTO `lang_definitions` VALUES (51661, 200, 14, 'Ադմինի էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (51662, 201, 14, 'Ղեկավարել ․․֊ի միջոցով / որպես');
INSERT INTO `lang_definitions` VALUES (51663, 202, 14, 'Սպասարկվում է / ղեկավարվում է');
INSERT INTO `lang_definitions` VALUES (51664, 203, 14, 'Սպասարկվում է / ղեկավարվում է ․․֊ի կողմից/միջոցով');
INSERT INTO `lang_definitions` VALUES (51665, 204, 14, 'Սպասարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (51666, 205, 14, 'Սպասարկվող կայք');
INSERT INTO `lang_definitions` VALUES (51667, 206, 14, 'Սպասարկում');
INSERT INTO `lang_definitions` VALUES (51668, 207, 14, 'Սպասարկող կայք');
INSERT INTO `lang_definitions` VALUES (51669, 208, 14, 'Ադմինիստրատորներ');
INSERT INTO `lang_definitions` VALUES (51670, 209, 14, 'Ադմինիստրատորներին թույլատրվում է ամեն ինչ');
INSERT INTO `lang_definitions` VALUES (51671, 210, 14, 'Ընդունման Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (51672, 212, 14, 'Չափահասի քաշի զննում֊հսկողություն');
INSERT INTO `lang_definitions` VALUES (51673, 213, 14, 'Չափահասի քաշի զննում֊հսկողություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (51674, 214, 14, 'Նախնական հրահանգ');
INSERT INTO `lang_definitions` VALUES (51675, 215, 14, 'Նախնական հրահանգներ');
INSERT INTO `lang_definitions` VALUES (51676, 216, 14, 'Նախնական հրահանգների զգուշացում');
INSERT INTO `lang_definitions` VALUES (51677, 218, 14, 'Ընդլայնված');
INSERT INTO `lang_definitions` VALUES (51678, 219, 14, 'Խորհուրդ');
INSERT INTO `lang_definitions` VALUES (51679, 220, 14, 'Աֆար /ցեղ/  Հեռու/հեռվից');
INSERT INTO `lang_definitions` VALUES (51680, 221, 14, 'Նորմալ ազդեցություն ունենալ');
INSERT INTO `lang_definitions` VALUES (51681, 222, 14, 'Հրվ․ Աֆրիկայի լեզու');
INSERT INTO `lang_definitions` VALUES (51682, 226, 14, 'PDF ֆորմատով պահպանելուց հետո սխալներն ստուգելու  համար սեղմել  [Դիտել Մուտքը]');
INSERT INTO `lang_definitions` VALUES (51683, 227, 14, 'TEXT ֆայլ(եր)ը պահպանելուց հետո սխալներն ստուգելու  համար սեղմել  [Դիտել Մուտքը]');
INSERT INTO `lang_definitions` VALUES (51684, 228, 14, 'Փաթեթը պահպանելուց հետո սեղմել  [Դիտել Մուտքը]');
INSERT INTO `lang_definitions` VALUES (51685, 229, 14, 'Դրանից հետո Համապատասխանության սյունը կցուցադրի  ընտրված Հիվանդի նույնականացման տվյալները կամ  \"0\" նորն ստեղծելու համար');
INSERT INTO `lang_definitions` VALUES (51686, 230, 14, 'Ինֆորմացիան ճիշտ մուտք անելուց հետո սեղմել  \"Պահպանել\" կոճակը');
INSERT INTO `lang_definitions` VALUES (51687, 231, 14, 'Վերբերնումից հետո սեղմել \"Ներկրել\" կոճակը');
INSERT INTO `lang_definitions` VALUES (51688, 232, 14, 'Վերականգնողական աշխատանքների պլանավորում');
INSERT INTO `lang_definitions` VALUES (51689, 233, 14, 'Կրկին');
INSERT INTO `lang_definitions` VALUES (51690, 234, 14, 'Տարիք');
INSERT INTO `lang_definitions` VALUES (51691, 235, 14, 'Տարիքը ըստ');
INSERT INTO `lang_definitions` VALUES (51692, 236, 14, 'Տարիքային կատեգորիա');
INSERT INTO `lang_definitions` VALUES (51693, 237, 14, 'Տարիքային տվյալները միջակայքից դուրս են');
INSERT INTO `lang_definitions` VALUES (51694, 238, 14, 'Տարիքի ցուցադրման ֆորմատ / ձև');
INSERT INTO `lang_definitions` VALUES (51695, 239, 14, 'Ձևաչափը՝ \"Տարիքը սկսած․․․\"  վավեր չէ');
INSERT INTO `lang_definitions` VALUES (51696, 240, 14, 'Ձևաչափը՝ \"Տարիքը մինչև․․․\"  վավեր չէ');
INSERT INTO `lang_definitions` VALUES (51697, 241, 14, 'Տարիքը սկսած');
INSERT INTO `lang_definitions` VALUES (51698, 243, 14, 'Մաքսիմալ տարիք');
INSERT INTO `lang_definitions` VALUES (51699, 244, 14, 'Մինիմալ տարիք');
INSERT INTO `lang_definitions` VALUES (51700, 245, 14, 'Տարիքային միջակայք/սանդղակ');
INSERT INTO `lang_definitions` VALUES (51701, 247, 14, 'Տարիքային սյուներ');
INSERT INTO `lang_definitions` VALUES (51702, 248, 14, 'Ական /Հրվ․ Գանայի բնակիչ/');
INSERT INTO `lang_definitions` VALUES (51703, 249, 14, 'Ալբանացի /Ալբաներեն');
INSERT INTO `lang_definitions` VALUES (51704, 250, 14, 'Ալկոհոլ');
INSERT INTO `lang_definitions` VALUES (51705, 252, 14, 'Ալկոհոլի ընդունում');
INSERT INTO `lang_definitions` VALUES (51706, 253, 14, 'Տագնապի հաշիվ');
INSERT INTO `lang_definitions` VALUES (51707, 255, 14, 'Տագնապներ/Ծանուցումներ');
INSERT INTO `lang_definitions` VALUES (51708, 258, 14, 'Ալեուտ /Ալեուտյան Կղզի/');
INSERT INTO `lang_definitions` VALUES (51709, 259, 14, 'Բոլորը');
INSERT INTO `lang_definitions` VALUES (51710, 260, 14, 'ԲՈԼՈՐԸ');
INSERT INTO `lang_definitions` VALUES (51711, 261, 14, 'Բոլորը (Ա Ֆորմատով ընտրված)');
INSERT INTO `lang_definitions` VALUES (51712, 262, 14, 'Բոլորը (Բ Ֆորմատով ընտրված)');
INSERT INTO `lang_definitions` VALUES (51713, 263, 14, 'Բոլորը (Աժողական/ Ընդհանուր)');
INSERT INTO `lang_definitions` VALUES (51714, 265, 14, 'Բոլոր Ավտոմատացված Չափման Հաշվարկները /ԱՉՀ/');
INSERT INTO `lang_definitions` VALUES (51715, 266, 14, 'Բոլոր Կատեգորիաները');
INSERT INTO `lang_definitions` VALUES (51716, 267, 14, 'Կլինիկական Որակի Ցուցանիշներ /ԿՈՑ/');
INSERT INTO `lang_definitions` VALUES (51717, 268, 14, 'Բոլոր Կոդերը');
INSERT INTO `lang_definitions` VALUES (51718, 269, 14, 'Ամբողջ օրը');
INSERT INTO `lang_definitions` VALUES (51719, 270, 14, 'Շուրջօրյա իրադարձություն');
INSERT INTO `lang_definitions` VALUES (51720, 271, 14, 'Անձնական տվյալներով բոլոր դաշտերը՝ որոնման և  կրկնօրինակման ստուգումով');
INSERT INTO `lang_definitions` VALUES (51721, 272, 14, 'Բոլոր ծառայությունները');
INSERT INTO `lang_definitions` VALUES (51722, 273, 14, 'Բոլոր վնասվածքները/խնդիրնեը/ հարցերը');
INSERT INTO `lang_definitions` VALUES (51723, 274, 14, 'Բոլոր լեզուները թույլատրված են');
INSERT INTO `lang_definitions` VALUES (51724, 275, 14, 'Բոլոր Կլինիկական Որակի Ցուցանիշներ /ԿՈՑ/ Ցուցանիշների Խմբեր');
INSERT INTO `lang_definitions` VALUES (51725, 276, 14, 'Անունը կամ մի մասը');
INSERT INTO `lang_definitions` VALUES (51726, 277, 14, 'Ազգանունը կամ մի մասը');
INSERT INTO `lang_definitions` VALUES (51727, 278, 14, 'Ընկերության անունը կամ մի մասը');
INSERT INTO `lang_definitions` VALUES (51728, 279, 14, 'Բոլոր հիվանդները');
INSERT INTO `lang_definitions` VALUES (51729, 280, 14, 'Բոլոր ապրանքները');
INSERT INTO `lang_definitions` VALUES (51730, 281, 14, 'Բոլոր մատակարարները');
INSERT INTO `lang_definitions` VALUES (51731, 282, 14, 'Բոլոր վերանայվածներն ու բացասականները');
INSERT INTO `lang_definitions` VALUES (51732, 283, 14, 'Բոլոր թեմաները');
INSERT INTO `lang_definitions` VALUES (51733, 284, 14, 'Բոլոր օգտվողները');
INSERT INTO `lang_definitions` VALUES (51734, 285, 14, 'Ալերգիկ');
INSERT INTO `lang_definitions` VALUES (51735, 286, 14, 'Ալերգիա');
INSERT INTO `lang_definitions` VALUES (51736, 287, 14, 'Ալերգիա');
INSERT INTO `lang_definitions` VALUES (51737, 288, 14, 'Ալերգիա');
INSERT INTO `lang_definitions` VALUES (51738, 289, 14, 'Ալերգիայի ներկրումն հաջողությամբ կատարված է');
INSERT INTO `lang_definitions` VALUES (51739, 290, 14, 'Ալերգիկ խնդիրների ցանկ /');
INSERT INTO `lang_definitions` VALUES (51740, 291, 14, 'Ալերգիկ ռեակցիա');
INSERT INTO `lang_definitions` VALUES (51741, 294, 14, 'Հատկացնել');
INSERT INTO `lang_definitions` VALUES (51742, 295, 14, 'Թույլատրել');
INSERT INTO `lang_definitions` VALUES (51743, 296, 14, 'Մուտքի մենյուում թույլատրել բոլոր հասանելի լեզուների  ընտրությունը');
INSERT INTO `lang_definitions` VALUES (51744, 297, 14, 'Թույլատրել ախտորոշում, բայց ոչ միջամտություն կամ  վճարում պարունակող պահանջի/բողոքի ստեղծում։  Կլինիկաների մեծ մասը չի ցանկանում դա։');
INSERT INTO `lang_definitions` VALUES (51745, 298, 14, 'Թույլատրել լեզվի կարգաբերումը');
INSERT INTO `lang_definitions` VALUES (51746, 299, 14, 'Թույլատրել էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (51747, 300, 14, 'Թույլատրե՞լ էլ․ նամակներ');
INSERT INTO `lang_definitions` VALUES (51748, 301, 14, 'Թույլատրե՞լ էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (51749, 302, 14, 'Թույլատրել անհապաղ հանդիպման պահանջ');
INSERT INTO `lang_definitions` VALUES (51750, 303, 14, 'Թույլատրել առողջական ինֆորմացիայի փոխանակում');
INSERT INTO `lang_definitions` VALUES (51751, 304, 14, 'Թույլատրել պատվաստման մասին ինֆորմացիայի  տարածում');
INSERT INTO `lang_definitions` VALUES (51752, 305, 14, 'Թույլատրել պատվաստման ռեեստրի օգտագործում');
INSERT INTO `lang_definitions` VALUES (51753, 306, 14, 'Թույլատրել Էլ․փոստով նամակների ուղարկումը');
INSERT INTO `lang_definitions` VALUES (51754, 308, 14, 'Թույլատրել /Հասանելի դարձնել Հիվանդի պորտալը');
INSERT INTO `lang_definitions` VALUES (51755, 309, 14, 'Թույլատրել SMS հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (51756, 310, 14, 'Թույլատրել SMS /տեքստային/ հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (51757, 311, 14, 'Թույլատրե՞լ նշանակված միջոցարումների անհապաղ  ակտիվացում');
INSERT INTO `lang_definitions` VALUES (51758, 312, 14, 'Թույլատրե՞լ հեռախոսային հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (51759, 313, 14, 'Թույլատրել օգտվողներին հրապարակել Ընդհանուր/գլոբալ  իրադարձություններ');
INSERT INTO `lang_definitions` VALUES (51760, 314, 14, 'Թույլատրել օգտվողներին հրապարակել իրենց անձնական  օրացույցները');
INSERT INTO `lang_definitions` VALUES (51761, 315, 14, 'Թույլատրել ձայնային հաղորդակցություններ');
INSERT INTO `lang_definitions` VALUES (51762, 316, 14, 'Թույլատրված է');
INSERT INTO `lang_definitions` VALUES (51763, 317, 14, 'Թույլատրված լեզուներ');
INSERT INTO `lang_definitions` VALUES (51764, 318, 14, 'Թույլատրված է');
INSERT INTO `lang_definitions` VALUES (51765, 319, 14, 'Թույլատրվում է  էլ․ ստորագրություն ողջ հանդիպման վրա');
INSERT INTO `lang_definitions` VALUES (51766, 320, 14, 'Թույլատրվում է  էլ․ ստորագրություն անձնական բլանկների վրա');
INSERT INTO `lang_definitions` VALUES (51767, 321, 14, 'Թույլատրվում է էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (51768, 322, 14, 'Թույլատրվում է ձայնային հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (51769, 323, 14, 'արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (51770, 324, 14, 'արդեն գոյություն ունի․');
INSERT INTO `lang_definitions` VALUES (51771, 325, 14, 'Արդեն օգտագործվում է․ ընտրեք այլ նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (51772, 326, 14, 'Արդեն օգտագործվում է․ ընտրեք այլ վերնագիր');
INSERT INTO `lang_definitions` VALUES (51773, 327, 14, 'Այլընտրանքային հասցե');
INSERT INTO `lang_definitions` VALUES (51774, 328, 14, 'փոխել/այլ');
INSERT INTO `lang_definitions` VALUES (51775, 329, 14, 'Ինչպես նաև կարող եք օգտագործել որոնման էջը՝  վերբեռնելու համար վճարողից կամ հաշվարկային կենտրոնից  ստացված էլեկտրոնային վճարման ֆայլը (X12 835)։  Դա կարող եք անել՝ սեղմելով \"Browse\" կոճակը և ընտրելով  վերբեռնվող ֆայլը։ Այնուհետև վերբեռնումն իրականացնելու համապատասխան հաշիվ֊ապրանքագիրը ցուցադրելու  համար սեղմել Search․ Այս պարագայում վերը նշված այլ  պարամետրեր չեն ընդունվի և կոչնչացվեն։  Վերբեռնումը պահպանում է ֆայլը');
INSERT INTO `lang_definitions` VALUES (51776, 330, 14, 'մինչև կեսօր');
INSERT INTO `lang_definitions` VALUES (51777, 331, 14, 'առավոտյան ծրագիր');
INSERT INTO `lang_definitions` VALUES (51778, 338, 14, 'Ուղղել/փոփոխել առկա նշումները');
INSERT INTO `lang_definitions` VALUES (51779, 339, 14, 'Փոփոխություն՝ սկսած');
INSERT INTO `lang_definitions` VALUES (51780, 340, 14, 'Փոփոխության կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (51781, 341, 14, 'Փոփոխություններ');
INSERT INTO `lang_definitions` VALUES (51782, 342, 14, 'Փոփոխություններ ֊ի համար');
INSERT INTO `lang_definitions` VALUES (51783, 343, 14, 'Ամերիկյան հնդիկ');
INSERT INTO `lang_definitions` VALUES (51784, 344, 14, 'Ամերիկյան հնդիկ կամ Ալյասկայի բնիկ');
INSERT INTO `lang_definitions` VALUES (51785, 345, 14, 'Ամերիկյան Էքսպրես քարտ');
INSERT INTO `lang_definitions` VALUES (51786, 346, 14, 'Ամհարերեն');
INSERT INTO `lang_definitions` VALUES (51787, 347, 14, 'Գումար');
INSERT INTO `lang_definitions` VALUES (51788, 349, 14, 'Վերջնական գանձումներ');
INSERT INTO `lang_definitions` VALUES (51789, 350, 14, 'Անցած հաշվետվության գումարը');
INSERT INTO `lang_definitions` VALUES (51790, 351, 14, 'Սույն այցի գումարը');
INSERT INTO `lang_definitions` VALUES (51791, 352, 14, 'Վճարված գումար');
INSERT INTO `lang_definitions` VALUES (51792, 353, 14, 'Ընդհանուր գումար։');
INSERT INTO `lang_definitions` VALUES (51793, 354, 14, 'Ընդհանուր վճար։');
INSERT INTO `lang_definitions` VALUES (51794, 355, 14, 'Կրկնակի իրադարձության համար անհրաժեշտ է, որ ավարտման օրը մեկնարկի օրից ավելի ուշ լինի։');
INSERT INTO `lang_definitions` VALUES (51795, 356, 14, 'Ձևաթուղթն ստորագրելու պահին սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (51796, 357, 14, 'LibreEHR֊ի վեբ֊կատալոգը բեռնաթափելիս սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (51797, 358, 14, 'phpGACL֊ի վեբ֊կատալոգը բեռնաթափելիս սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (51798, 359, 14, 'SQL-Ledger֊ի վեբ֊կատալոգը բեռնաթափելիս սխալ է տեղի  ունեցել');
INSERT INTO `lang_definitions` VALUES (51799, 360, 14, 'ստեղծվել ու  հղում է տրվել  անլիարժեք GCAC խնդիր');
INSERT INTO `lang_definitions` VALUES (51800, 362, 14, 'Անսպասելի  սխալ');
INSERT INTO `lang_definitions` VALUES (51801, 363, 14, 'Մեծատառ');
INSERT INTO `lang_definitions` VALUES (51802, 365, 14, 'և');
INSERT INTO `lang_definitions` VALUES (51803, 366, 14, 'ԵՎ');
INSERT INTO `lang_definitions` VALUES (51804, 367, 14, 'և');
INSERT INTO `lang_definitions` VALUES (51805, 368, 14, 'և ');
INSERT INTO `lang_definitions` VALUES (51806, 369, 14, 'և բոլո՞ր ստորադաս տվյալները։ Այս գործողությունը  կմուտքագրվի/մուտք կգործի');
INSERT INTO `lang_definitions` VALUES (51807, 370, 14, 'եվ մոդիֆիկատոր');
INSERT INTO `lang_definitions` VALUES (51808, 371, 14, 'եվ մշակված է');
INSERT INTO `lang_definitions` VALUES (51809, 372, 14, 'եվ վերաբեռնեք Apache սերվերը');
INSERT INTO `lang_definitions` VALUES (51810, 373, 14, 'եվ պատճառն է');
INSERT INTO `lang_definitions` VALUES (51811, 374, 14, 'անեմիա');
INSERT INTO `lang_definitions` VALUES (51812, 375, 14, 'կոճ');
INSERT INTO `lang_definitions` VALUES (51813, 376, 14, 'գարշապար + կոճ');
INSERT INTO `lang_definitions` VALUES (51814, 377, 14, 'կոճի գնահատման ձեվ');
INSERT INTO `lang_definitions` VALUES (51815, 378, 14, 'կոճի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (51816, 381, 14, 'անորեքսիա');
INSERT INTO `lang_definitions` VALUES (51817, 383, 14, 'դրույք');
INSERT INTO `lang_definitions` VALUES (51818, 384, 14, 'անալ սֆինքթերի տոնուսը նորմալ է,անցավ, ուռուցքային գոյաթություններ չկան');
INSERT INTO `lang_definitions` VALUES (51819, 385, 14, 'անհանգստություն');
INSERT INTO `lang_definitions` VALUES (51820, 386, 14, 'այլ');
INSERT INTO `lang_definitions` VALUES (51821, 387, 14, 'այլ աստիճան');
INSERT INTO `lang_definitions` VALUES (51822, 388, 14, 'փնտրվող կոդի որեւէ մաս կամ նրա նկարագրությունը');
INSERT INTO `lang_definitions` VALUES (51823, 389, 14, 'փնտրվող մասնագիտության որեւէ մաս');
INSERT INTO `lang_definitions` VALUES (51824, 390, 14, 'դեղամիջոցի նույնականացման սերիայի մի մասը կամ դրա անվանումը');
INSERT INTO `lang_definitions` VALUES (51825, 391, 14, 'պատվաստման նույնականացման սերիայի մի մասը կամ պատվաստման անվանումը');
INSERT INTO `lang_definitions` VALUES (51826, 392, 14, 'Հիվանդի անվան մի մասը, կամ  \"ազգանուն, անուն\", կամ \"Ի-Ա\"');
INSERT INTO `lang_definitions` VALUES (51827, 393, 14, 'Այլ համապատասխան ինֆորմցիա');
INSERT INTO `lang_definitions` VALUES (51828, 394, 14, 'API բանալի կոդ կարճ հաղորդագրության մուտքի համար');
INSERT INTO `lang_definitions` VALUES (51829, 395, 14, 'ԱՊՆԵԱ /շնչառության կանգ/');
INSERT INTO `lang_definitions` VALUES (51830, 396, 14, 'Արտաքին տեսք');
INSERT INTO `lang_definitions` VALUES (51831, 397, 14, 'Արտաքին տեսք։');
INSERT INTO `lang_definitions` VALUES (51832, 398, 14, 'Կցել սույն գրառումը');
INSERT INTO `lang_definitions` VALUES (51833, 399, 14, 'Կցել առկա գրառմանը');
INSERT INTO `lang_definitions` VALUES (51834, 400, 14, 'Կցել սույն գրառմանը');
INSERT INTO `lang_definitions` VALUES (51835, 401, 14, 'Կցել Սույն Գրառմանը');
INSERT INTO `lang_definitions` VALUES (51836, 402, 14, 'Ապպենդեկտոմիա /կույր աղիքի հեռացում/');
INSERT INTO `lang_definitions` VALUES (51837, 403, 14, 'ապպենդեկտոմիա /կույր աղիքի հեռացում/');
INSERT INTO `lang_definitions` VALUES (51838, 404, 14, 'Համապատասխան Հիվանդ');
INSERT INTO `lang_definitions` VALUES (51839, 406, 14, 'Հայտի անվանում՝ մուտքի էջի գլխավոր պատուհանի վերնգրի համար');
INSERT INTO `lang_definitions` VALUES (51840, 407, 14, 'Հայտ ընդունողի կոդը (GS03 - եթե դատարկ ISA08 օգտագործվի)');
INSERT INTO `lang_definitions` VALUES (51841, 408, 14, 'Հայտ  Ուղարկողի կոդը (GS02)');
INSERT INTO `lang_definitions` VALUES (51842, 409, 14, 'Հայտի վերնագիրը');
INSERT INTO `lang_definitions` VALUES (51843, 410, 14, 'Վերաբերվում է կենսական օրգանների ցուցանիշներին կամ Աճի գրաֆիկին');
INSERT INTO `lang_definitions` VALUES (51844, 411, 14, 'Վերաբերվում է կենսական օրգանների ցուցանիշներին');
INSERT INTO `lang_definitions` VALUES (51845, 412, 14, 'Ավելացնել փոփոխությունները միայն ընթացիկ իրադարձությանը, այս և առաջիկա բոլոր իրադարձություններին');
INSERT INTO `lang_definitions` VALUES (51846, 413, 14, 'տարածել տուժած հատվածների վրա');
INSERT INTO `lang_definitions` VALUES (51847, 414, 14, 'տարածել մաշկին');
INSERT INTO `lang_definitions` VALUES (51848, 415, 14, 'Կիրառում/Տարածում/Դիմում');
INSERT INTO `lang_definitions` VALUES (51849, 417, 14, 'Այցելություն');
INSERT INTO `lang_definitions` VALUES (51850, 418, 14, 'Այցելության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (51851, 419, 14, 'Այցելության էկրանավորման ձև');
INSERT INTO `lang_definitions` VALUES (51852, 420, 14, 'Այցելության հիշեցման կարգ');
INSERT INTO `lang_definitions` VALUES (51853, 421, 14, 'Այցելության կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (51854, 422, 14, 'Այցելության կարգավիճակներ');
INSERT INTO `lang_definitions` VALUES (51855, 423, 14, 'Այցելություններ ֊ի ընթացքում/շրջանակներում');
INSERT INTO `lang_definitions` VALUES (51856, 424, 14, 'Այցելության/Իրադարձության Գույն');
INSERT INTO `lang_definitions` VALUES (51857, 425, 14, 'Այցելություններ');
INSERT INTO `lang_definitions` VALUES (51858, 426, 14, 'Այցելություններ (նշել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (51859, 427, 14, 'Այցելություններ (նշել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (51860, 430, 14, 'Այցելություններ և հանդիպումներ');
INSERT INTO `lang_definitions` VALUES (51861, 431, 14, 'Այցելությունների Հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (51862, 432, 14, 'Այցելություններ և հանդիպումների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (51863, 434, 14, 'Հաստատել');
INSERT INTO `lang_definitions` VALUES (51864, 436, 14, 'Հաստատված է');
INSERT INTO `lang_definitions` VALUES (51865, 437, 14, 'Հաստատված միջոցառումների կառավարում');
INSERT INTO `lang_definitions` VALUES (51866, 438, 14, 'Հաջողությամբ հաստատված է');
INSERT INTO `lang_definitions` VALUES (51867, 440, 14, 'Այց֊հանդ․');
INSERT INTO `lang_definitions` VALUES (51868, 441, 14, 'Այցեր');
INSERT INTO `lang_definitions` VALUES (51869, 442, 14, 'Ապր');
INSERT INTO `lang_definitions` VALUES (51870, 443, 14, 'Ապրիլ');
INSERT INTO `lang_definitions` VALUES (51871, 444, 14, 'Արաբերեն');
INSERT INTO `lang_definitions` VALUES (51872, 445, 14, 'Արագոներեն');
INSERT INTO `lang_definitions` VALUES (51873, 446, 14, 'Արխիվ');
INSERT INTO `lang_definitions` VALUES (51874, 447, 14, 'Թարգմանե՞լ մուտքի վերահսկման խմբերի անունները');
INSERT INTO `lang_definitions` VALUES (51875, 448, 14, 'Թարգմանե՞լ այցելությունների կատեգորիաների անունները');
INSERT INTO `lang_definitions` VALUES (51876, 449, 14, 'Թարգմանե՞լ փաստաթղթերի կատեգորիաների անունները');
INSERT INTO `lang_definitions` VALUES (51877, 450, 14, 'Այս տիպի համար գանձումներ կատարվե՞լ են');
INSERT INTO `lang_definitions` VALUES (51878, 451, 14, 'Թարգմանե՞լ Հիվանդի գրառումների վերնագրերը');
INSERT INTO `lang_definitions` VALUES (51879, 452, 14, 'Այս կոդավորումները պահպանվա՞ծ են sql (0-нет, 1-МКБ-10, 2-SNOMED(RF1), 3-SNOMED(RF2)) արտաքին աղյուսակներում։');
INSERT INTO `lang_definitions` VALUES (51880, 453, 14, 'Պատրա՞ստ եք այս այցին լուծել նոր GCAC խնդիր');
INSERT INTO `lang_definitions` VALUES (51881, 454, 14, 'Վստա՞հ եք, որ/իսկապե՞ս/ ցանկանում եք նշանակել այսօրվա համար');
INSERT INTO `lang_definitions` VALUES (51882, 455, 14, 'Վստա՞հ եք, որ ցանկանում եք հաստատել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (51883, 457, 14, 'Վստա՞հ եք, որ/իսկապե՞ս/  ցանկանում եք ամբողջովին հեռացնել այս ձևը');
INSERT INTO `lang_definitions` VALUES (51884, 458, 14, 'Վստա՞հ եք, որ/իսկապե՞ս/  ցանկանում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (51885, 459, 14, 'Վստա՞հ եք, որ/իսկապե՞ս/  ցանկանում եք ջնջել այս բացահայտումը');
INSERT INTO `lang_definitions` VALUES (51886, 460, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (51887, 461, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս կետը տվյալների բազայից');
INSERT INTO `lang_definitions` VALUES (51888, 462, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք ջնջել այս գրառումը');
INSERT INTO `lang_definitions` VALUES (51889, 464, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք խմբագրել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (51890, 465, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք քողարկել/թաքցնել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (51891, 466, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք կրկին փոխանցել այն');
INSERT INTO `lang_definitions` VALUES (51892, 467, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/  ցանկանում եք տեսնել այս իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (51893, 468, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք ջնջել ողջ խումբը');
INSERT INTO `lang_definitions` VALUES (51894, 469, 14, 'Վստա՞հ եք, որ /իսկապե՞ս/ ցանկանում եք ջնջել ողջ ցանկը');
INSERT INTO `lang_definitions` VALUES (51895, 470, 14, 'Վստա՞հ եք, որ  /իսկապե՞ս/ ցանկանում եք ջնջել դաշտը');
INSERT INTO `lang_definitions` VALUES (51896, 471, 14, 'Վստա՞հ եք, որ  /իսկապե՞ս/ ցանկանում եք ջնջել նշված դաշտերը');
INSERT INTO `lang_definitions` VALUES (51897, 472, 14, 'Դուք իսկապե՞ս ցանկանում եք շարունակել այս գործողությունները');
INSERT INTO `lang_definitions` VALUES (51898, 473, 14, 'Տարածքը նշված չէ');
INSERT INTO `lang_definitions` VALUES (51899, 474, 14, 'Բազուկ');
INSERT INTO `lang_definitions` VALUES (51900, 475, 14, 'Հայերեն');
INSERT INTO `lang_definitions` VALUES (51901, 477, 14, 'Առիթմիա');
INSERT INTO `lang_definitions` VALUES (51902, 478, 14, 'Արտրիտ');
INSERT INTO `lang_definitions` VALUES (51903, 479, 14, 'Արտրիտ / հոդերի դեստրուկտիվ հիվանդություն');
INSERT INTO `lang_definitions` VALUES (51904, 480, 14, 'Արտրիտ / հոդերի դեստրուկտիվ հիվանդություն');
INSERT INTO `lang_definitions` VALUES (51905, 481, 14, 'ինչպես');
INSERT INTO `lang_definitions` VALUES (51906, 482, 14, 'ինչպես ֊ի/ց/');
INSERT INTO `lang_definitions` VALUES (51907, 484, 14, 'Ասիական');
INSERT INTO `lang_definitions` VALUES (51908, 485, 14, 'Ասամերեն');
INSERT INTO `lang_definitions` VALUES (51909, 487, 14, 'Գնահատում');
INSERT INTO `lang_definitions` VALUES (51910, 488, 14, 'Նշանակված է');
INSERT INTO `lang_definitions` VALUES (51911, 489, 14, 'Ասիստենտ');
INSERT INTO `lang_definitions` VALUES (51912, 490, 14, 'Ասթմա');
INSERT INTO `lang_definitions` VALUES (51913, 491, 14, '֊ում/կողքը/֊ին');
INSERT INTO `lang_definitions` VALUES (51914, 492, 14, '\"Բոլորը\" ընտրելու դեպքում անհրաժեշտ է որոնման  առնավազն մեկ պարամետր');
INSERT INTO `lang_definitions` VALUES (51915, 495, 14, 'Սպորտային թիմ');
INSERT INTO `lang_definitions` VALUES (51916, 496, 14, 'Սպորտային Թիմ');
INSERT INTO `lang_definitions` VALUES (51917, 497, 14, 'Սպորտային/վնասվածք');
INSERT INTO `lang_definitions` VALUES (51918, 498, 14, 'ATNA աուդիտի CA վկայական');
INSERT INTO `lang_definitions` VALUES (51919, 499, 14, 'ATNA աուդիտի սերվեր');
INSERT INTO `lang_definitions` VALUES (51920, 500, 14, 'ATNA աուդիտի տեղական/տարածքային վկայական');
INSERT INTO `lang_definitions` VALUES (51921, 501, 14, 'ATNA աուդիտի պորտ');
INSERT INTO `lang_definitions` VALUES (51922, 503, 14, 'Ուշադրություն');
INSERT INTO `lang_definitions` VALUES (51923, 504, 14, 'Ուշադր․');
INSERT INTO `lang_definitions` VALUES (51924, 509, 14, 'Պահեստային կրկնօրինակումների գրանցման աուդիտ');
INSERT INTO `lang_definitions` VALUES (51925, 510, 14, 'Խառը գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (51926, 511, 14, 'Նշանակման վայրի գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (51927, 512, 14, 'Հիվանդի գրանցման աուդիտ');
INSERT INTO `lang_definitions` VALUES (51928, 513, 14, 'Պլանավորման գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (51929, 514, 14, 'Անվտանգության կառավարման գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (51930, 515, 14, 'SELECT/Ընտրել հարցման գրանցումների աուդիտ');
INSERT INTO `lang_definitions` VALUES (51931, 516, 14, 'Օգս․');
INSERT INTO `lang_definitions` VALUES (51932, 517, 14, 'Օգոստոս');
INSERT INTO `lang_definitions` VALUES (51933, 519, 14, 'թույլ․');
INSERT INTO `lang_definitions` VALUES (51934, 520, 14, 'թույլ․/գրառումներ');
INSERT INTO `lang_definitions` VALUES (51935, 523, 14, 'Լիազորող խումբ');
INSERT INTO `lang_definitions` VALUES (51936, 524, 14, 'Լիազորման/թույլտվության կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (51937, 525, 14, 'Լիազորագրեր');
INSERT INTO `lang_definitions` VALUES (51938, 526, 14, 'Լիազորել/թույլատրել');
INSERT INTO `lang_definitions` VALUES (51939, 527, 14, 'Թույլատրել ցանկացած հանդիպում');
INSERT INTO `lang_definitions` VALUES (51940, 528, 14, 'Թույլատրել իմ հանդիպումները');
INSERT INTO `lang_definitions` VALUES (51941, 530, 14, 'Լիազորված');
INSERT INTO `lang_definitions` VALUES (51942, 531, 14, 'Միայն լիազորված');
INSERT INTO `lang_definitions` VALUES (51943, 532, 14, 'Ավտոմատ  ուղարկում');
INSERT INTO `lang_definitions` VALUES (51944, 535, 14, 'Ավտոմատ կերպով ստեղծել նոր հանդիպում');
INSERT INTO `lang_definitions` VALUES (51945, 536, 14, 'Ավտոմատ ստեղծում');
INSERT INTO `lang_definitions` VALUES (51946, 537, 14, 'Չափման միավորի ավտոմատ հաշվարկում');
INSERT INTO `lang_definitions` VALUES (51947, 538, 14, 'Չափման միավորի ավտոմատ հաշվարկում   - 2011');
INSERT INTO `lang_definitions` VALUES (51948, 539, 14, 'Չափման միավորի ավտոմատ հաշվարկում - 2014');
INSERT INTO `lang_definitions` VALUES (51949, 542, 14, 'Չափման միավորի ավտոմատ հաշվարկման հետևում');
INSERT INTO `lang_definitions` VALUES (51950, 543, 14, 'Ավտոմատ չափման միավոր');
INSERT INTO `lang_definitions` VALUES (51951, 544, 14, 'Ավտոմատ');
INSERT INTO `lang_definitions` VALUES (51952, 546, 14, 'Ավտոմատ ստեղծում է նոր հանդիպում, երբ այցելության կարգավիճակը դրված է \"@\" (անցկացված է)');
INSERT INTO `lang_definitions` VALUES (51953, 550, 14, 'ավտոմատ պահպանված');
INSERT INTO `lang_definitions` VALUES (51954, 551, 14, 'Հասանելի կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (51955, 552, 14, 'Հասանելի ժամ');
INSERT INTO `lang_definitions` VALUES (51956, 553, 14, 'Հասանելի ճանապարհ');
INSERT INTO `lang_definitions` VALUES (51957, 554, 14, 'Ավարական');
INSERT INTO `lang_definitions` VALUES (51958, 557, 14, 'Միջին  ամսական');
INSERT INTO `lang_definitions` VALUES (51959, 558, 14, 'Անջատում / կոտրվածքով անջատում');
INSERT INTO `lang_definitions` VALUES (51960, 559, 14, 'Ոտնաթաթի կողային կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (51961, 560, 14, 'Ոտնաթաթի միջնային կոճի կոտրվածք ');
INSERT INTO `lang_definitions` VALUES (51962, 561, 14, 'Տեղեկացվածության հիման վրա');
INSERT INTO `lang_definitions` VALUES (51963, 562, 14, 'թևատակի');
INSERT INTO `lang_definitions` VALUES (51964, 565, 14, 'օրը երկու անգամ');
INSERT INTO `lang_definitions` VALUES (51965, 566, 14, 'Հետ');
INSERT INTO `lang_definitions` VALUES (51966, 567, 14, 'հետ');
INSERT INTO `lang_definitions` VALUES (51967, 568, 14, 'Հետ գնալ ութ այցելություն');
INSERT INTO `lang_definitions` VALUES (51968, 569, 14, 'Հետ գնալ տասնմեկ այցելություն');
INSERT INTO `lang_definitions` VALUES (51969, 570, 14, 'Հետ գնալ հինգ այցելություն');
INSERT INTO `lang_definitions` VALUES (51970, 571, 14, 'Հետ գնալ չորս այցելություն');
INSERT INTO `lang_definitions` VALUES (51971, 572, 14, 'Հետ գնալ ինը այցելություն');
INSERT INTO `lang_definitions` VALUES (51972, 573, 14, 'Հետ գնալ մեկ այցելություն');
INSERT INTO `lang_definitions` VALUES (51973, 574, 14, 'Մեջքի ցավ / Ցավ մեջքի շրջանում');
INSERT INTO `lang_definitions` VALUES (51974, 575, 14, 'Ողնաշարային խնդիրներ');
INSERT INTO `lang_definitions` VALUES (51975, 576, 14, 'Հետ գնալ յոթ այցելություն');
INSERT INTO `lang_definitions` VALUES (51976, 577, 14, 'Հետ գնալ վեց այցելություն');
INSERT INTO `lang_definitions` VALUES (51977, 578, 14, 'Ողնաշարի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (51978, 579, 14, 'Հետ գնալ տասը այցելություն');
INSERT INTO `lang_definitions` VALUES (51979, 580, 14, 'Հետ գնալ երեք այցելություն');
INSERT INTO `lang_definitions` VALUES (51980, 581, 14, 'Վերադառնալ Ադմինիստրատորի էջ');
INSERT INTO `lang_definitions` VALUES (51981, 582, 14, 'Վերադառնալ Հանդիպում էջ');
INSERT INTO `lang_definitions` VALUES (51982, 583, 14, 'Վերադառնալ Հիվանդ էջ');
INSERT INTO `lang_definitions` VALUES (51983, 584, 14, 'Վերադառնալ Հիվանդ էջ');
INSERT INTO `lang_definitions` VALUES (51984, 585, 14, 'Վերադառնալ Օգտվողներ էջ');
INSERT INTO `lang_definitions` VALUES (51985, 586, 14, 'Վերադառնալ Դիտարկում էջ');
INSERT INTO `lang_definitions` VALUES (51986, 587, 14, 'Հետ գնալ տասներկու այցելություն');
INSERT INTO `lang_definitions` VALUES (51987, 588, 14, 'Հետ գնալ երկու այցելություն');
INSERT INTO `lang_definitions` VALUES (51988, 590, 14, 'Պահեստային կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (51989, 591, 14, 'Պահեստային կրկնօրինակի ֆայլը պատրաստ է։ Հիմա կուղարկվի ներբեռնումը։');
INSERT INTO `lang_definitions` VALUES (51990, 592, 14, 'Պահեստային կրկնօրինակների ցանկ');
INSERT INTO `lang_definitions` VALUES (51991, 593, 14, 'Պահեստային կրկնօրինակն ընդունված է');
INSERT INTO `lang_definitions` VALUES (51992, 594, 14, 'Սխալ գրանցում');
INSERT INTO `lang_definitions` VALUES (51993, 595, 14, 'Անհուսալի պարտք');
INSERT INTO `lang_definitions` VALUES (51994, 596, 14, 'Բահասա Ինդոնեզիա');
INSERT INTO `lang_definitions` VALUES (51995, 597, 14, 'Բալ․');
INSERT INTO `lang_definitions` VALUES (51996, 598, 14, 'Մնացորդ');
INSERT INTO `lang_definitions` VALUES (51997, 599, 14, 'մնացորդ');
INSERT INTO `lang_definitions` VALUES (51998, 600, 14, 'Վերջնական մնացորդ');
INSERT INTO `lang_definitions` VALUES (51999, 601, 14, 'Պարտքի մնացորդ');
INSERT INTO `lang_definitions` VALUES (52000, 603, 14, 'Բանկային գործարք');
INSERT INTO `lang_definitions` VALUES (52001, 604, 14, 'Շտրիխ֊կոդի պիտակ');
INSERT INTO `lang_definitions` VALUES (52002, 605, 14, 'Շտրիխ֊կոդի պիտակի ձև');
INSERT INTO `lang_definitions` VALUES (52003, 607, 14, 'Հինգերորդ (5֊րդ) Metarsal֊ի բազա');
INSERT INTO `lang_definitions` VALUES (52004, 608, 14, 'Հինգերորդ (5֊րդ) Metarsal֊ի բազա');
INSERT INTO `lang_definitions` VALUES (52005, 609, 14, 'Բաշկիրերեն');
INSERT INTO `lang_definitions` VALUES (52006, 610, 14, 'Բասկերեն');
INSERT INTO `lang_definitions` VALUES (52007, 612, 14, 'Տվյալների խմբային/փաթեթային փոխանցման միջոց');
INSERT INTO `lang_definitions` VALUES (52008, 613, 14, 'Խմբային վճարման մուտքագրում');
INSERT INTO `lang_definitions` VALUES (52009, 614, 14, 'Խմբային վճարում');
INSERT INTO `lang_definitions` VALUES (52010, 615, 14, 'Փաթեթի մշակումն սկսված է․ այն ի փոքր ժամանակ կխլի');
INSERT INTO `lang_definitions` VALUES (52011, 616, 14, 'Խմբային արդյունքներ');
INSERT INTO `lang_definitions` VALUES (52012, 617, 14, 'Խմբային փոխանցում');
INSERT INTO `lang_definitions` VALUES (52013, 618, 14, 'Ուշադրություն․ որոշ ֆայլերի գործարկումը կարող է մի քանի րոպե տևել');
INSERT INTO `lang_definitions` VALUES (52014, 619, 14, 'որովհետև այս ID֊ն գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (52015, 620, 14, 'Սկիզբ');
INSERT INTO `lang_definitions` VALUES (52016, 621, 14, 'Սկզբնական ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52017, 623, 14, 'Ծառայության մատուցման սկզբնական ամսաթիվ yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (52018, 624, 14, 'Օրացույցային գործողությունների սկզբնական ժամ');
INSERT INTO `lang_definitions` VALUES (52019, 625, 14, 'Բելառուսերեն');
INSERT INTO `lang_definitions` VALUES (52020, 628, 14, 'Բենգալյան');
INSERT INTO `lang_definitions` VALUES (52021, 630, 14, 'միջև');
INSERT INTO `lang_definitions` VALUES (52022, 631, 14, 'Երկկողմանի');
INSERT INTO `lang_definitions` VALUES (52023, 632, 14, 'Բիհարերեն');
INSERT INTO `lang_definitions` VALUES (52024, 633, 14, 'Երկկողմանի');
INSERT INTO `lang_definitions` VALUES (52025, 634, 14, 'Երկկողմանի։');
INSERT INTO `lang_definitions` VALUES (52026, 636, 14, 'Հաշվի/Հաշվարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52027, 637, 14, 'Հաշիվ / Հավաքագրում');
INSERT INTO `lang_definitions` VALUES (52028, 638, 14, 'Վճարված');
INSERT INTO `lang_definitions` VALUES (52029, 640, 14, 'Հաշիվներ');
INSERT INTO `lang_definitions` VALUES (52030, 641, 14, 'Հաշիվներ  (write պարտադիր չէ)');
INSERT INTO `lang_definitions` VALUES (52031, 642, 14, 'Վճարման նախազգուշացում');
INSERT INTO `lang_definitions` VALUES (52032, 644, 14, 'Պահանջվող ծառայության վճարման կոդ');
INSERT INTO `lang_definitions` VALUES (52033, 645, 14, 'Վճարման կոդեր');
INSERT INTO `lang_definitions` VALUES (52034, 646, 14, 'Վճարման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52035, 647, 14, 'Վճարման բաժին');
INSERT INTO `lang_definitions` VALUES (52036, 648, 14, 'Վճարման ծառայություններ');
INSERT INTO `lang_definitions` VALUES (52037, 649, 14, 'Տեղեկություններ հաշիվների մասին /Վճաման ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (52038, 650, 14, 'Վճարման վայրը');
INSERT INTO `lang_definitions` VALUES (52039, 655, 14, 'Վճարումների կառավարիչ');
INSERT INTO `lang_definitions` VALUES (52040, 656, 14, 'Վճարման ծանուցում');
INSERT INTO `lang_definitions` VALUES (52041, 657, 14, 'Վճարման ծանուցում ֊ի համար ');
INSERT INTO `lang_definitions` VALUES (52042, 658, 14, 'Վճարման ծանուցում');
INSERT INTO `lang_definitions` VALUES (52043, 659, 14, 'Վճարումների/հաշիվների հարցման արդյունքներ։');
INSERT INTO `lang_definitions` VALUES (52044, 660, 14, 'Վճարումների/հաշիվների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (52045, 661, 14, 'Հաշվի  կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (52046, 662, 14, 'Հաշվի  կարգավիճակ՝ վճարված  չէ');
INSERT INTO `lang_definitions` VALUES (52047, 663, 14, 'Հաշիվ ');
INSERT INTO `lang_definitions` VALUES (52048, 665, 14, 'Բիոպսիա');
INSERT INTO `lang_definitions` VALUES (52049, 666, 14, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52050, 669, 14, 'Սև');
INSERT INTO `lang_definitions` VALUES (52051, 670, 14, 'Սևացած թոք');
INSERT INTO `lang_definitions` VALUES (52052, 671, 14, 'Սևամորթ կամ Աֆրոամերիկացի');
INSERT INTO `lang_definitions` VALUES (52053, 672, 14, 'Միզապարկի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (52054, 673, 14, 'ՄԻզապարկի բորբոքում');
INSERT INTO `lang_definitions` VALUES (52055, 674, 14, 'Դատարկ ձևեր');
INSERT INTO `lang_definitions` VALUES (52056, 675, 14, 'Արյունահոսության խնդիրներ/գանգատներ');
INSERT INTO `lang_definitions` VALUES (52057, 676, 14, 'Տեսողության անկում');
INSERT INTO `lang_definitions` VALUES (52058, 677, 14, 'Որովայնի փքվածություն');
INSERT INTO `lang_definitions` VALUES (52059, 678, 14, 'Արգելափակված');
INSERT INTO `lang_definitions` VALUES (52060, 679, 14, 'Արյուն');
INSERT INTO `lang_definitions` VALUES (52061, 680, 14, 'Արյան Ճնշում');
INSERT INTO `lang_definitions` VALUES (52062, 681, 14, 'Արյան ճնշում');
INSERT INTO `lang_definitions` VALUES (52063, 682, 14, 'Քթային արյունահոսություն');
INSERT INTO `lang_definitions` VALUES (52064, 683, 14, '\"Կապույտ Խեցի\" Բժշկական Ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (52065, 684, 14, 'Այս հաշվետվության մեջ կապույտով նշված են  տեղեկատվական տողերը, սև տողերը ցույց են տալիս  նախկինում եղած ինֆորմցիան։ Կանաչով երևում են  հաջողությամբ ավելացված փոփոխությունները։ Կարմիրով  ցուցադրված են սխալները կամ չընդունված  փոփոխությունները․ դրանք պետք է գործարկել ձեռքով։  Ընթացիք մերժված պահանջներն ու վճարման հետկանչը  ավտոմատ չեն գործարկվում, ուստի կցուցադրվեն կարմիրով։');
INSERT INTO `lang_definitions` VALUES (52066, 685, 14, 'Խավար տեսողություն');
INSERT INTO `lang_definitions` VALUES (52067, 686, 14, 'Մարմնի քաշի ինդեքս');
INSERT INTO `lang_definitions` VALUES (52068, 687, 14, 'Քաշի ինդեքսի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (52069, 689, 14, 'Մարմնի մակերեսը');
INSERT INTO `lang_definitions` VALUES (52070, 690, 14, 'Մարմնի հատվածը');
INSERT INTO `lang_definitions` VALUES (52071, 691, 14, 'Մարմնի կիրառելի մասը');
INSERT INTO `lang_definitions` VALUES (52072, 692, 14, 'Ոսկրային հիվանդություն / Ոսկրային փխրունություն');
INSERT INTO `lang_definitions` VALUES (52073, 693, 14, 'Ոսկրային հիվանդություն․ միջնային կոճ');
INSERT INTO `lang_definitions` VALUES (52074, 694, 14, 'Բուլյան');
INSERT INTO `lang_definitions` VALUES (52075, 696, 14, 'Ներքնամաս');
INSERT INTO `lang_definitions` VALUES (52076, 697, 14, 'Զույգ ականջները');
INSERT INTO `lang_definitions` VALUES (52077, 698, 14, 'Զույգ աչքերը');
INSERT INTO `lang_definitions` VALUES (52078, 699, 14, 'Ներքին /ներքևի');
INSERT INTO `lang_definitions` VALUES (52079, 700, 14, 'Ներքևի լուսանցք  (px)');
INSERT INTO `lang_definitions` VALUES (52080, 701, 14, 'ԴԱՇՏ 10 A։ Արտադրական ');
INSERT INTO `lang_definitions` VALUES (52081, 702, 14, 'ԴԱՇՏ 10 B։ Ավտոմոբիլային պատահար ');
INSERT INTO `lang_definitions` VALUES (52082, 703, 14, 'ԴԱՇՏ 10 C։ Այլ պատահարներ ');
INSERT INTO `lang_definitions` VALUES (52083, 704, 14, 'ԴԱՇՏ 14։ Ամսաթվի դասակարգիչ');
INSERT INTO `lang_definitions` VALUES (52084, 705, 14, 'ԴԱՇՏ 15։ Այլ ամսաթվի դասակարգիչ');
INSERT INTO `lang_definitions` VALUES (52085, 706, 14, 'ԴԱՇՏ 15։  Նույն կամ նմանատիպ հիվանդություն /տտ֊աա֊օօ/');
INSERT INTO `lang_definitions` VALUES (52086, 707, 14, 'ԴԱՇՏ 15։  Նույն կամ նմանատիպ հիվանդություն/Այլ ամսաթիվ  /տտ֊աա֊օօ/');
INSERT INTO `lang_definitions` VALUES (52087, 708, 14, 'ԴԱՇՏ 16։ Չի աշխատում (yyyy-mm-dd)  ամսաթվից');
INSERT INTO `lang_definitions` VALUES (52088, 709, 14, 'ԴԱՇՏ 16։ Չի աշխատում մինչ (yyyy-mm-dd)  ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (52089, 710, 14, 'ԴԱՇՏ 18։ Հոսպիտալացման ամսաթիվը սկսած  (yyyy-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (52090, 711, 14, 'ԴԱՇՏ 18։ Հոսպիտալացման ամսաթիվը մինչև  (yyyy-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (52091, 712, 14, 'ԴԱՇՏ 20։ Դրսի լաբորատորիան աշխատո՞ւմ  է');
INSERT INTO `lang_definitions` VALUES (52092, 713, 14, 'ԴԱՇՏ 22։ Կրկնակից ուցաբերված բուժօգնության կոդ  (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (52093, 714, 14, 'ԴԱՇՏ 23։  Նախնական թույլատրության համար ');
INSERT INTO `lang_definitions` VALUES (52094, 715, 14, 'ԱՃ /արյան ճնշում/');
INSERT INTO `lang_definitions` VALUES (52095, 716, 14, 'ԱՃ դիաստոլիկ');
INSERT INTO `lang_definitions` VALUES (52096, 717, 14, 'ԱՃ սիստոլիկ');
INSERT INTO `lang_definitions` VALUES (52097, 719, 14, 'ԱԴՃ');
INSERT INTO `lang_definitions` VALUES (52098, 721, 14, 'ԱՍՃ');
INSERT INTO `lang_definitions` VALUES (52099, 722, 14, 'Բրազիլիական ծագման պորտուգալացի');
INSERT INTO `lang_definitions` VALUES (52100, 723, 14, 'Կրծքագեղձ');
INSERT INTO `lang_definitions` VALUES (52101, 724, 14, 'Կրծքագեղձի բիոպսիա');
INSERT INTO `lang_definitions` VALUES (52102, 725, 14, 'Կռծքագեղձի հեռացում');
INSERT INTO `lang_definitions` VALUES (52103, 726, 14, 'Կրծքագեղձի հիվանդություն');
INSERT INTO `lang_definitions` VALUES (52104, 727, 14, 'Կրծքագեղձի հետազուտություն');
INSERT INTO `lang_definitions` VALUES (52105, 728, 14, 'Կրծքագեղձի նորագոյացություն');
INSERT INTO `lang_definitions` VALUES (52106, 730, 14, 'Շնչառական աղմուկ');
INSERT INTO `lang_definitions` VALUES (52107, 731, 14, 'Բրետոնական /բրետոներեն');
INSERT INTO `lang_definitions` VALUES (52108, 732, 14, 'Ոսկրի վնասվածք');
INSERT INTO `lang_definitions` VALUES (52109, 733, 14, 'Վնասվածքի ձև');
INSERT INTO `lang_definitions` VALUES (52110, 734, 14, 'Բրոնխիտի ձև');
INSERT INTO `lang_definitions` VALUES (52111, 735, 14, 'Փնտրել/Դիտել');
INSERT INTO `lang_definitions` VALUES (52112, 736, 14, 'Փնտրել /Դիտել գրանցման համար');
INSERT INTO `lang_definitions` VALUES (52113, 737, 14, 'Կապտուկ /Հեմատոմա');
INSERT INTO `lang_definitions` VALUES (52114, 738, 14, 'Բուլղարերեն');
INSERT INTO `lang_definitions` VALUES (52115, 739, 14, 'Աջակողմյան ուռածություն');
INSERT INTO `lang_definitions` VALUES (52116, 740, 14, 'Բիրմացի/Բիրմայերեն');
INSERT INTO `lang_definitions` VALUES (52117, 741, 14, 'Այրոց միզարձակման ժամանակ');
INSERT INTO `lang_definitions` VALUES (52118, 742, 14, 'Այրոց միզարձակման ժամանակ');
INSERT INTO `lang_definitions` VALUES (52119, 743, 14, 'Գործնական հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (52120, 744, 14, 'Զբաղված');
INSERT INTO `lang_definitions` VALUES (52121, 745, 14, 'բայց դեռևս գործարկված չէ');
INSERT INTO `lang_definitions` VALUES (52122, 746, 14, 'Նստատեղ');
INSERT INTO `lang_definitions` VALUES (52123, 747, 14, 'Նստատեղ  + S.I.');
INSERT INTO `lang_definitions` VALUES (52124, 748, 14, 'միջոցով');
INSERT INTO `lang_definitions` VALUES (52125, 749, 14, 'Միջոցով');
INSERT INTO `lang_definitions` VALUES (52126, 750, 14, 'բանավոր');
INSERT INTO `lang_definitions` VALUES (52127, 751, 14, 'Միջոցով/ Աղբյուր');
INSERT INTO `lang_definitions` VALUES (52128, 752, 14, 'Միջոցով։');
INSERT INTO `lang_definitions` VALUES (52129, 753, 14, 'C');
INSERT INTO `lang_definitions` VALUES (52130, 754, 14, 'CA վկայական՝  RFC 5425 TLS syslog սերվերի հաստատման համար');
INSERT INTO `lang_definitions` VALUES (52131, 755, 14, 'Քեշի կենսական տևողությունը  (վայրկյաններով)');
INSERT INTO `lang_definitions` VALUES (52132, 756, 14, 'Քեշի ձևաչափը լրացվա՞ծ է');
INSERT INTO `lang_definitions` VALUES (52133, 757, 14, 'Կոֆեինի կիրառում');
INSERT INTO `lang_definitions` VALUES (52134, 758, 14, 'Օրացույց');
INSERT INTO `lang_definitions` VALUES (52135, 759, 14, 'Օրացույցային ժամի ավարտ');
INSERT INTO `lang_definitions` VALUES (52136, 760, 14, 'Օրացուցային ընդմիջում');
INSERT INTO `lang_definitions` VALUES (52137, 761, 14, 'Օրացույցի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (52138, 762, 14, 'Օրացույցի կարգավորում');
INSERT INTO `lang_definitions` VALUES (52139, 763, 14, 'Օրացույցի մեկնարկային ժամ');
INSERT INTO `lang_definitions` VALUES (52140, 764, 14, 'Օգտվողի օրացույց');
INSERT INTO `lang_definitions` VALUES (52141, 765, 14, 'Օրացույցի դիտում');
INSERT INTO `lang_definitions` VALUES (52142, 766, 14, 'addForm() զանգը կատարվում է այստեղ։ <br>');
INSERT INTO `lang_definitions` VALUES (52143, 767, 14, 'Կալորիաներ');
INSERT INTO `lang_definitions` VALUES (52144, 768, 14, 'Կամբոջայի/կամբոջերեն');
INSERT INTO `lang_definitions` VALUES (52146, 774, 14, 'Չեղարկել');
INSERT INTO `lang_definitions` VALUES (52147, 775, 14, 'Չեղարկել փոփոխությունը');
INSERT INTO `lang_definitions` VALUES (52148, 776, 14, 'Չեղարկված է');
INSERT INTO `lang_definitions` VALUES (52149, 777, 14, 'Քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (52150, 778, 14, 'Քաղցկեղի սկրինինգ/հետազոտություն։ Հաստ աղիքի քաղցկեղի սկրինինգ');
INSERT INTO `lang_definitions` VALUES (52151, 779, 14, 'Քաղցկեղի սկրինինգ/հետազոտություն։ Մամոգրաֆիա');
INSERT INTO `lang_definitions` VALUES (52152, 780, 14, 'Քաղցկեղի սկրինինգ/հետազոտություն։ ՓԱՓ հետազոտություն');
INSERT INTO `lang_definitions` VALUES (52153, 781, 14, 'Քաղցկեղի սկրինինգ/հետազոտություն։ Շագանակագեղձի քաղցկեղի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (52154, 782, 14, 'Հնարավոր չէ ավելացնել սույն գրառումը, քանզի այն արդեն առկա է');
INSERT INTO `lang_definitions` VALUES (52155, 783, 14, 'Հնարավոր չէ ավելացնել/թարմացնել սույն գրառումը, քանզի  առկա է կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (52156, 784, 14, 'Հնարավոր չէ արխիվացնել․ մարժված է');
INSERT INTO `lang_definitions` VALUES (52157, 785, 14, 'Հնարավոր չէ փոխարկել JPEG ֆորմատի․ համոզվեք, որ տեղադրված է ImageMagick ծրագիրը');
INSERT INTO `lang_definitions` VALUES (52158, 786, 14, 'Հնարավոր չէ ջնջել․ մարժված է');
INSERT INTO `lang_definitions` VALUES (52159, 787, 14, 'Հնարավոր չէ արտածել/ցուցադրել ցանցում, քանի որ բրաուզերը չի ապահովում վերջինիս տեսակը');
INSERT INTO `lang_definitions` VALUES (52160, 788, 14, 'Հնարավոր չէ արտածել/ցուցադրել ցանցում, քանի որ բրաուզերը չի ապահովում վերջինիս տեսակը');
INSERT INTO `lang_definitions` VALUES (52161, 789, 14, 'Հնարավոր չէ արտածել/ցուցադրել ցանցում, քանի որ բրաուզերը չի ապահովում վերջինիս տեսակը');
INSERT INTO `lang_definitions` VALUES (52162, 790, 14, 'Հնարավոր չէ ստեղծաել');
INSERT INTO `lang_definitions` VALUES (52163, 791, 14, 'Հնարավոր չէ ստեղծաել ֆայլ');
INSERT INTO `lang_definitions` VALUES (52164, 792, 14, 'Հնարավոր չէ ջնջել ֆայլ (SFTP սերվերից)');
INSERT INTO `lang_definitions` VALUES (52165, 793, 14, 'Հնարավոր չէ ջնջել ֆայլ');
INSERT INTO `lang_definitions` VALUES (52166, 794, 14, 'Հնարավոր չէ որոշել նշանակված/նախատեսված ֆայլի անունը');
INSERT INTO `lang_definitions` VALUES (52167, 795, 14, 'Հնարավոր չէ գտնել ');
INSERT INTO `lang_definitions` VALUES (52168, 796, 14, 'Հնարավոր չէ որոշել գտնել նախատեսված ֆայլի անունը');
INSERT INTO `lang_definitions` VALUES (52169, 799, 14, 'Հնարավոր չէ գտնել Պացիենտին SQL-Ledger֊ի հաճախորդների նույնականացման բաժնում');
INSERT INTO `lang_definitions` VALUES (52170, 800, 14, 'Հնարավոր չէ գտնել postscript/ետգրության փաստաթղթի հղումը ֊ի մեջ ');
INSERT INTO `lang_definitions` VALUES (52171, 801, 14, 'Հնարավոր չէ գտնել մասնագետին SQL-Ledger/մատյանի աշխատակից բաժնում ');
INSERT INTO `lang_definitions` VALUES (52172, 802, 14, 'Հնարավոր չէ փոփոխել վճարումը․ մնացորդը բացասական է');
INSERT INTO `lang_definitions` VALUES (52173, 803, 14, 'Հնարավոր չէ բացել ');
INSERT INTO `lang_definitions` VALUES (52174, 804, 14, 'Հնարավոր չէ կցել Ապահովագրություն բաժնին։ Վճարում կատարողը Պացիենտն է');
INSERT INTO `lang_definitions` VALUES (52175, 805, 14, 'Հնարավոր չէ կցել Պացիենտ բաժնին։ Վճարում կատարողը Ապահովագրությունն է');
INSERT INTO `lang_definitions` VALUES (52176, 806, 14, 'Հնարավոր չէ փոփոխել վճարումը․ մնացորդը բացասական է');
INSERT INTO `lang_definitions` VALUES (52177, 807, 14, 'Հնարավոր չէ կարդալ');
INSERT INTO `lang_definitions` VALUES (52178, 808, 14, 'Հնարավոր չէ կարդալ տեղեկատվություն');
INSERT INTO `lang_definitions` VALUES (52179, 809, 14, 'Հնարավոր չէ թարմացրել, քանի որ չէք խմբագրել գոյություն ունեցող գրառումը');
INSERT INTO `lang_definitions` VALUES (52180, 810, 14, 'Դարձնել մեծատառ');
INSERT INTO `lang_definitions` VALUES (52181, 811, 14, 'Բոլորը դարձնել մեծատառ');
INSERT INTO `lang_definitions` VALUES (52182, 812, 14, 'Դեղապատիճ');
INSERT INTO `lang_definitions` VALUES (52183, 813, 14, 'Քարտ');
INSERT INTO `lang_definitions` VALUES (52184, 814, 14, 'Սրտի խոռոչների կաթետերավորում /Վալվուլոպլաստիկա /');
INSERT INTO `lang_definitions` VALUES (52185, 815, 14, 'Էխոսրտագրություն');
INSERT INTO `lang_definitions` VALUES (52186, 816, 14, 'Սրտանոթային');
INSERT INTO `lang_definitions` VALUES (52187, 821, 14, 'Աճառների/Հոդերի/Դիսկերի վնասվածք');
INSERT INTO `lang_definitions` VALUES (52188, 822, 14, 'Աճառի վնասվածք');
INSERT INTO `lang_definitions` VALUES (52189, 823, 14, 'Քներակի պուլսացիա  nl, ոտնաթաթի զարկերակի պուլսացիա nl');
INSERT INTO `lang_definitions` VALUES (52190, 824, 14, 'կանխիկ');
INSERT INTO `lang_definitions` VALUES (52191, 825, 14, 'Կանխիկ');
INSERT INTO `lang_definitions` VALUES (52192, 826, 14, 'Կանխիկ մուտք');
INSERT INTO `lang_definitions` VALUES (52193, 827, 14, 'Կանխիկ մուտքեր մատակարարից');
INSERT INTO `lang_definitions` VALUES (52194, 829, 14, 'Կատարակտայի վիրաբուժություն');
INSERT INTO `lang_definitions` VALUES (52195, 830, 14, 'Կատարակտա');
INSERT INTO `lang_definitions` VALUES (52196, 831, 14, 'Կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (52197, 832, 14, 'Կատեգորիաներ ֊ի համար');
INSERT INTO `lang_definitions` VALUES (52198, 833, 14, 'Կատեգորիա');
INSERT INTO `lang_definitions` VALUES (52199, 834, 14, 'կատեգորիա');
INSERT INTO `lang_definitions` VALUES (52200, 835, 14, 'Կատեգորիա ');
INSERT INTO `lang_definitions` VALUES (52201, 836, 14, 'Կատեգորիայի մանրամասներ');
INSERT INTO `lang_definitions` VALUES (52202, 837, 14, 'Սահմանափակումեր ըստ կատեգորիայի');
INSERT INTO `lang_definitions` VALUES (52203, 838, 14, 'Կատեգորիայի անվանում');
INSERT INTO `lang_definitions` VALUES (52204, 839, 14, 'Կատեգորիայի անվանումը դատարկ է');
INSERT INTO `lang_definitions` VALUES (52205, 840, 14, 'Կատեգորիա/Վերնագիր');
INSERT INTO `lang_definitions` VALUES (52206, 841, 14, 'Կովկասցի');
INSERT INTO `lang_definitions` VALUES (52207, 842, 14, 'Այցելության/Առաջնային օգնության ցուցաբերողի ինֆորմացիան ցուցադրելու հաստատված պատճառներ՝');
INSERT INTO `lang_definitions` VALUES (52208, 846, 14, 'CCR Հաստատում');
INSERT INTO `lang_definitions` VALUES (52209, 847, 14, 'CCR Պացիենտի զննում');
INSERT INTO `lang_definitions` VALUES (52210, 848, 14, 'CCR Պացիենտի զննում և հաստատում');
INSERT INTO `lang_definitions` VALUES (52211, 850, 14, 'CDR');
INSERT INTO `lang_definitions` VALUES (52212, 851, 14, 'CDR հաշվետվությունների/զեկույցների  գործարկաման/մշակման առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (52213, 852, 14, 'Բջիջ');
INSERT INTO `lang_definitions` VALUES (52214, 853, 14, 'Բջջային հեռախոս');
INSERT INTO `lang_definitions` VALUES (52215, 854, 14, 'Բջջային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (52216, 855, 14, 'Բջջային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (52217, 856, 14, 'ՀԻմնական/բազային վկայական');
INSERT INTO `lang_definitions` VALUES (52218, 857, 14, 'Կենտրոնական/Հարավային Ամերիկացի');
INSERT INTO `lang_definitions` VALUES (52219, 858, 14, 'Լիազորող մարմնի crt ֆայլի գտնվելու վայրը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (52220, 859, 14, 'Լիազորող մարմնի բանալի ֆայլի գտնվելու վայրը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (52221, 860, 14, 'RFC 5425 TLS syslog սերվերին ուղարկելու վկայական');
INSERT INTO `lang_definitions` VALUES (52222, 861, 14, 'Օգտվողի վկայական');
INSERT INTO `lang_definitions` VALUES (52223, 862, 14, 'Վկայականներ');
INSERT INTO `lang_definitions` VALUES (52224, 866, 14, 'Փոփոխություն');
INSERT INTO `lang_definitions` VALUES (52225, 867, 14, 'Փոփոխություն');
INSERT INTO `lang_definitions` VALUES (52226, 868, 14, 'Փոխել գործողությունը');
INSERT INTO `lang_definitions` VALUES (52227, 870, 14, 'Տեսողության վատթարացում');
INSERT INTO `lang_definitions` VALUES (52228, 871, 14, 'Տեսողության վատթարացում');
INSERT INTO `lang_definitions` VALUES (52229, 872, 14, 'Փոխել գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (52230, 874, 14, 'Փոփոխված է');
INSERT INTO `lang_definitions` VALUES (52231, 875, 14, 'Փոփոխված աղիք');
INSERT INTO `lang_definitions` VALUES (52232, 876, 14, 'փաստաթղթի համար փոխել Պացիենտի նուհնականացումը');
INSERT INTO `lang_definitions` VALUES (52233, 877, 14, 'առանձնահատկություններ');
INSERT INTO `lang_definitions` VALUES (52234, 878, 14, 'մնացած սիմվոլները');
INSERT INTO `lang_definitions` VALUES (52235, 879, 14, 'վճարում');
INSERT INTO `lang_definitions` VALUES (52236, 880, 14, 'վճարի ճշգրտումներ');
INSERT INTO `lang_definitions` VALUES (52237, 881, 14, 'Վճարի կոդավորում');
INSERT INTO `lang_definitions` VALUES (52238, 882, 14, 'Վճարումներ');
INSERT INTO `lang_definitions` VALUES (52239, 883, 14, 'Աղյուսակ/Քարտ');
INSERT INTO `lang_definitions` VALUES (52240, 884, 14, 'Աղյուսակի /Քարտ ակտիվությունը/տեղաշարժը');
INSERT INTO `lang_definitions` VALUES (52241, 885, 14, 'Գրանցման/Դուրսգրման աղյուսակի/Քարտ ակտիվության զեկույց');
INSERT INTO `lang_definitions` VALUES (52242, 886, 14, 'Նույնականացման Քարտ');
INSERT INTO `lang_definitions` VALUES (52243, 887, 14, 'Նույնականացման Քարտ։');
INSERT INTO `lang_definitions` VALUES (52244, 889, 14, 'Քարտ տեղակայման գործողություն');
INSERT INTO `lang_definitions` VALUES (52245, 890, 14, 'Գրառում Քարտում/աղյուսակում');
INSERT INTO `lang_definitions` VALUES (52246, 891, 14, 'Քարտի/Աղյուսակի համարը');
INSERT INTO `lang_definitions` VALUES (52247, 892, 14, 'Քարտի/Աղյուսակի պահպանման վայրը');
INSERT INTO `lang_definitions` VALUES (52248, 893, 14, 'Քարտի/Աղյուսակի հետևում');
INSERT INTO `lang_definitions` VALUES (52249, 894, 14, 'ՔարտիԱղյուսակի հետև․');
INSERT INTO `lang_definitions` VALUES (52250, 895, 14, 'Փակված Քարտեր');
INSERT INTO `lang_definitions` VALUES (52251, 896, 14, 'Փակված Քարտեր');
INSERT INTO `lang_definitions` VALUES (52252, 898, 14, 'Ստուգել');
INSERT INTO `lang_definitions` VALUES (52253, 899, 14, 'Կտրոն/անդորրագիր');
INSERT INTO `lang_definitions` VALUES (52254, 900, 14, 'Նշել բոլորը');
INSERT INTO `lang_definitions` VALUES (52255, 902, 14, 'Նշել/ Գրանցել Ընդհանուր գումարը');
INSERT INTO `lang_definitions` VALUES (52256, 903, 14, 'Նշել/Գրանցել ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52257, 904, 14, 'Գրանցել օգտվողի լեզուների աղյուսակի թարգմանության տարբերությունները');
INSERT INTO `lang_definitions` VALUES (52258, 906, 14, 'Նշել/Գրանցել ըստ');
INSERT INTO `lang_definitions` VALUES (52259, 907, 14, 'Նշել մուտքի տվյալները');
INSERT INTO `lang_definitions` VALUES (52260, 909, 14, 'Նշել/Գրանցել լաբորատոր հետազոտությունների արդյունքները');
INSERT INTO `lang_definitions` VALUES (52261, 912, 14, 'Նշել համարը');
INSERT INTO `lang_definitions` VALUES (52262, 915, 14, 'Նշել  վճարումը');
INSERT INTO `lang_definitions` VALUES (52263, 916, 14, 'Նշեք այս վադակը, եթե ֆայլը կոդավորված է');
INSERT INTO `lang_definitions` VALUES (52264, 917, 14, 'Նշեք սա, եթե ցանկանում եք, որ մասնագետները տեսնեն բոլոր նախնական հանդիպումները, այլ ո միայն իրենցը');
INSERT INTO `lang_definitions` VALUES (52265, 919, 14, 'Գրանցման/EOB ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52266, 920, 14, 'Գրանցման/EOB համար');
INSERT INTO `lang_definitions` VALUES (52267, 921, 14, 'Գրանցման/Տեղեկ․ համար');
INSERT INTO `lang_definitions` VALUES (52268, 922, 14, 'Գրանցման/Տեղեկանքի համար');
INSERT INTO `lang_definitions` VALUES (52269, 923, 14, 'Նշավանդակի ցանկ');
INSERT INTO `lang_definitions` VALUES (52270, 924, 14, 'Նշավանդակի ցանկ');
INSERT INTO `lang_definitions` VALUES (52271, 925, 14, 'նշավանդակ տեքստով');
INSERT INTO `lang_definitions` VALUES (52272, 926, 14, 'նշավանդակ տեքստով');
INSERT INTO `lang_definitions` VALUES (52273, 928, 14, 'նշված');
INSERT INTO `lang_definitions` VALUES (52274, 929, 14, 'նշված վանդակ = ԱՅՈ ,  empty = ՈՉ');
INSERT INTO `lang_definitions` VALUES (52275, 932, 14, 'Վճարում');
INSERT INTO `lang_definitions` VALUES (52276, 933, 14, 'ստուգիչ գումար');
INSERT INTO `lang_definitions` VALUES (52277, 934, 14, 'Կրծքավանդակ');
INSERT INTO `lang_definitions` VALUES (52278, 935, 14, 'Կրծքավանդակի CTAB');
INSERT INTO `lang_definitions` VALUES (52279, 936, 14, 'Ցավ կրծքավանդակի շրջանում');
INSERT INTO `lang_definitions` VALUES (52280, 937, 14, 'Ցավ կրծքավանդակի շրջանում։');
INSERT INTO `lang_definitions` VALUES (52281, 938, 14, 'Ցավ կրծքավանդակի շրջանում');
INSERT INTO `lang_definitions` VALUES (52282, 940, 14, 'Փոխ․');
INSERT INTO `lang_definitions` VALUES (52283, 942, 14, 'Հիմնական/գլխավոր  գանգատ/բողոք');
INSERT INTO `lang_definitions` VALUES (52284, 943, 14, 'Երեխա');
INSERT INTO `lang_definitions` VALUES (52285, 945, 14, 'Մանկական պատվաստումների կարգավիճակ (CQM)');
INSERT INTO `lang_definitions` VALUES (52286, 946, 14, 'Դող');
INSERT INTO `lang_definitions` VALUES (52287, 947, 14, 'Չինարեն');
INSERT INTO `lang_definitions` VALUES (52288, 948, 14, 'Չինարեն (պարզեցված)');
INSERT INTO `lang_definitions` VALUES (52289, 949, 14, 'Չինարեն (ավանդական)');
INSERT INTO `lang_definitions` VALUES (52290, 951, 14, 'Ըստ ցանկության/Ընտրովի');
INSERT INTO `lang_definitions` VALUES (52291, 952, 14, 'Խոլեցիստեկտոմիա /լեղապարկի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (52292, 953, 14, 'Խոլեցիստեկտոմիա /լեղապարկի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (52293, 954, 14, 'Խոլեցիստեկտոմիա /լեղապարկի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (52294, 955, 14, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (52295, 956, 14, 'Ընտրեք որևէ բաժին և սեղմեք դրանում առկա մի կետի․ մյուս հատվածում այդ կետը տեսանելի ընդգծված կերևա և կկարողանաք այդտեղ սեղմումով ավելացնել կամ ջնջել հարաբերություններ');
INSERT INTO `lang_definitions` VALUES (52296, 957, 14, 'Ընտրել չափորոշիչներ');
INSERT INTO `lang_definitions` VALUES (52297, 958, 14, 'Ընտրել ՆԵՐԲԵՌՆԵԼ կամ Ցուցադրել Ցանցում');
INSERT INTO `lang_definitions` VALUES (52298, 959, 14, 'Ընտրել ֆայլը');
INSERT INTO `lang_definitions` VALUES (52299, 960, 14, 'Ընտրել ցանկից');
INSERT INTO `lang_definitions` VALUES (52300, 961, 14, 'Ընտրել դասավորության ուղղությունը');
INSERT INTO `lang_definitions` VALUES (52301, 962, 14, 'Ընտրել ցանկը');
INSERT INTO `lang_definitions` VALUES (52302, 963, 14, 'Ընտրել թղթի չափը');
INSERT INTO `lang_definitions` VALUES (52303, 965, 14, 'Ընտրել սույն հանդիպման զեկույցի/հաշվետվության տպագրության ֆորմատը');
INSERT INTO `lang_definitions` VALUES (52304, 967, 14, 'Քրոնիկ բրոնխիտ');
INSERT INTO `lang_definitions` VALUES (52305, 968, 14, 'Քրոնիկ հոդացավ');
INSERT INTO `lang_definitions` VALUES (52306, 969, 14, 'Քրոնիկ երիկամային անբավարարություն /ՔԵԱ/');
INSERT INTO `lang_definitions` VALUES (52307, 970, 14, 'Քրոնիկ սինովիտ / զեղում /հոդացավ/ հոդատապ');
INSERT INTO `lang_definitions` VALUES (52308, 971, 14, 'Քրոնիկ/Ընթացիկ');
INSERT INTO `lang_definitions` VALUES (52309, 973, 14, 'Լյարդի ցիրոզ');
INSERT INTO `lang_definitions` VALUES (52310, 974, 14, 'Լյարդի ցիրոզ');
INSERT INTO `lang_definitions` VALUES (52311, 975, 14, 'Քաղաք');
INSERT INTO `lang_definitions` VALUES (52312, 976, 14, 'Քաղաքի անվանումը');
INSERT INTO `lang_definitions` VALUES (52313, 977, 14, 'Քաղաք, Շրջան');
INSERT INTO `lang_definitions` VALUES (52314, 978, 14, 'Քաղաք, շրջանի փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (52315, 979, 14, 'Քաղաք/Շրջան');
INSERT INTO `lang_definitions` VALUES (52316, 980, 14, 'Դիմում');
INSERT INTO `lang_definitions` VALUES (52317, 981, 14, 'Դիմում ');
INSERT INTO `lang_definitions` VALUES (52318, 983, 14, 'Պահանջված հետազոտությունն կատարված է');
INSERT INTO `lang_definitions` VALUES (52319, 984, 14, 'Ներկայացված պահանջի տեսակը');
INSERT INTO `lang_definitions` VALUES (52320, 985, 14, 'Պահանջը կցվել է ֆայլին');
INSERT INTO `lang_definitions` VALUES (52321, 986, 14, 'Պահանջը կցվել է ֆայլին ');
INSERT INTO `lang_definitions` VALUES (52322, 987, 14, 'Պահանջներ');
INSERT INTO `lang_definitions` VALUES (52323, 988, 14, 'Դասակարգում');
INSERT INTO `lang_definitions` VALUES (52324, 989, 14, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (52325, 990, 14, 'ՋՆՋԵԼ ԱԿՏԻՎ ՊԱՑԻԵՆՏԻՆ');
INSERT INTO `lang_definitions` VALUES (52326, 991, 14, 'Ջնջել ամենը');
INSERT INTO `lang_definitions` VALUES (52327, 992, 14, 'Ջնջել HL7 տվյալները');
INSERT INTO `lang_definitions` VALUES (52328, 993, 14, 'Ամբողջական վերականգնում');
INSERT INTO `lang_definitions` VALUES (52329, 994, 14, 'Մաքրել  Smarty Քեշը');
INSERT INTO `lang_definitions` VALUES (52330, 995, 14, 'EDI 270 փաթեթի ստեղծման համար անհրաժեշտ է ստույգ ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (52331, 996, 14, 'CLIA համար');
INSERT INTO `lang_definitions` VALUES (52332, 997, 14, 'Սեղմել');
INSERT INTO `lang_definitions` VALUES (52333, 998, 14, 'Սեղմել \"արտահանել\"՝  Կատեգորիա, Ենթակատեգորիա, Կետ, Բովանդակության ցանկ դեպի տեքստային ֆայլ արտահանելու համար');
INSERT INTO `lang_definitions` VALUES (52334, 999, 14, 'Սեղմեք գրաֆայի վրա որևէ կետի՝ նոր ծանոթագրություն ավելացնելու համար։ կրկնակի սեղմումով հեռցրեք այն');
INSERT INTO `lang_definitions` VALUES (52335, 1000, 14, 'ssl.zip ֆայլում վկայական ավելացնելու համար սեղմել \"Ներբեռնել Վկայական\"');
INSERT INTO `lang_definitions` VALUES (52336, 1001, 14, 'սեղմել մանրամասների համար');
INSERT INTO `lang_definitions` VALUES (52337, 1002, 14, 'սեղմել մանրամասների համար');
INSERT INTO `lang_definitions` VALUES (52338, 1003, 14, 'պատվերի ամփոփ նկարագրի համար Սեղմել');
INSERT INTO `lang_definitions` VALUES (52339, 1004, 14, 'արդյունքների համար սեղմել');
INSERT INTO `lang_definitions` VALUES (52340, 1005, 14, 'սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (52341, 1006, 14, 'Նոր պացիենտ ավելացնելու համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (52342, 1007, 14, 'Սեղմեք այստեղ՝ վնսավածքի կարգավիճակի փոփոխության թարմացման և առօրյա գործողությունները խմբագրելու համար');
INSERT INTO `lang_definitions` VALUES (52343, 1008, 14, 'Սեղմեք ամսաթիվ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52344, 1009, 14, 'Սեղմեք ամսաթիվ  և ժամ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52345, 1010, 14, 'Սեղմեք սկզբնական ամսաթիվ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52346, 1020, 14, 'որոնման համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (52347, 1021, 14, 'Կատեգորիայի, առաջնայնության և մականվան պարամետրերի  թարմացման համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (52348, 1022, 14, 'Ամբողջը դիտելու համար սեղմեք ասյտեղ');
INSERT INTO `lang_definitions` VALUES (52349, 1023, 14, 'Գրաֆիկայի և դիտարկման համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (52350, 1025, 14, 'Սեղմեք այստեղ՝ բոլոր կենսական նշանակության օրգանների և դրանց գծապատկերի դիտարկման համար');
INSERT INTO `lang_definitions` VALUES (52351, 1026, 14, 'Սեղմեք այստեղ՝ Պացիենտի մանրամասն տվյալների համար');
INSERT INTO `lang_definitions` VALUES (52352, 1027, 14, 'Այդ ամենի դիտարկման համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (52353, 1028, 14, 'Այլ մանրամասների դիտարկման/խմբագրման համար սեղմեք այստեղ');
INSERT INTO `lang_definitions` VALUES (52354, 1029, 14, 'Սեղմել \"տեղադրել\" կոճակը՝  նշված ամսաթվով տվյալների բազայի տարբերակը տեղադրելու համար');
INSERT INTO `lang_definitions` VALUES (52355, 1030, 14, 'Սեղմեք ժամի ցանկացած գոտու վրա՝ վերջինիս մեծացման համար');
INSERT INTO `lang_definitions` VALUES (52356, 1031, 14, 'Սեղմել Պացիենտի Անվանը՝  նրա ֆայլը բացելու համար');
INSERT INTO `lang_definitions` VALUES (52357, 1032, 14, 'Սեղմել Թարմացնել կոճակը՝ տեսնելու համար բոլոր արդյունքները, կամ վերևում  տեղադրեք որոնման չափորոշիչ՝ կոնկրետ/առանձին արդյունքի դիտարկման համար');
INSERT INTO `lang_definitions` VALUES (52358, 1033, 14, 'Սեղմել՝ ախտորոշում ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (52359, 1034, 14, 'Սեղմել՝ նոր բաղադրիչ ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (52360, 1035, 14, 'Սեղմել՝ նոր բաղադրիչ ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (52361, 1036, 14, 'Սեղմել՝ հիմնավորված ախտորոշում ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52362, 1037, 14, 'Սեղմել ներբեռման համար');
INSERT INTO `lang_definitions` VALUES (52363, 1038, 14, 'Սեղմել խմբագրման համար');
INSERT INTO `lang_definitions` VALUES (52364, 1039, 14, 'Սեղմել նկարագրության խմբագրման համար');
INSERT INTO `lang_definitions` VALUES (52365, 1040, 14, 'Սեղմել սույն իրադարձությունը խմբագրելու համար');
INSERT INTO `lang_definitions` VALUES (52366, 1041, 14, 'Սեղմել հաշվետվությունը գեներացնելու համար');
INSERT INTO `lang_definitions` VALUES (52367, 1042, 14, 'Սեղմել Պացիենտի համապատասխանության/համընկնման համար');
INSERT INTO `lang_definitions` VALUES (52368, 1043, 14, 'Սեղմել տպելու համար');
INSERT INTO `lang_definitions` VALUES (52369, 1044, 14, 'Սեղմել նոր շարք ստանալու/ավելացնելու համար');
INSERT INTO `lang_definitions` VALUES (52370, 1045, 14, 'Սեղմել ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52371, 1046, 14, 'Սեղմել ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52372, 1047, 14, 'Սեղմել այս մեթոդի արդյունաբերական ստանդարտի կոդի ընտրության համար');
INSERT INTO `lang_definitions` VALUES (52373, 1048, 14, 'Սեղմել այլընտրանքային պրոցեդուրայի կոդի համար');
INSERT INTO `lang_definitions` VALUES (52374, 1049, 14, 'Սեղմել կոդավորման ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (52375, 1050, 14, 'Սեղմել  CVX կոդի ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (52376, 1051, 14, 'Սեղմել ախտորոշման ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (52377, 1052, 14, 'Սեղմել ծառայությունների կոդերի ընտրության կամ փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (52378, 1053, 14, 'Սեղմել Պացիենտի ընտրության համար');
INSERT INTO `lang_definitions` VALUES (52379, 1054, 14, 'Սեղմել համապատասխան կոդի համար');
INSERT INTO `lang_definitions` VALUES (52380, 1055, 14, 'Եթե այս արդյունքը բերում է շեղում նորմայից, ապա սեղմեք  օգնություն ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (52381, 1056, 14, 'Սեղմել անհրաժեշտ պրոցեդուրայի ընտրության համար');
INSERT INTO `lang_definitions` VALUES (52382, 1057, 14, 'Սեղմել տեսակավորման համար');
INSERT INTO `lang_definitions` VALUES (52383, 1058, 14, 'Սեղմել դիտարկման համար');
INSERT INTO `lang_definitions` VALUES (52384, 1059, 14, 'Սեղմել դիտարկման կամ խմբագրման  համար');
INSERT INTO `lang_definitions` VALUES (52385, 1060, 14, 'Սեղմել դիտարկման/խմբագրման  համար');
INSERT INTO `lang_definitions` VALUES (52386, 1061, 14, 'Սեղմել Թարմացնել կոճակը՝ տվյալների բազան  նշված ամսաթվից թարմացնելու համար');
INSERT INTO `lang_definitions` VALUES (52387, 1063, 14, 'Սեղմել։');
INSERT INTO `lang_definitions` VALUES (52388, 1064, 14, 'Հաճախորդի վկայականի վավերականության ժամկետի լրանալու  օրը');
INSERT INTO `lang_definitions` VALUES (52389, 1065, 14, 'Հաճախորդի վկայականի վավերականության ժամկետը');
INSERT INTO `lang_definitions` VALUES (52390, 1066, 14, 'Հաճախորդի  վկայականի վավերականությունը հաստատում է վավեր համարակալում');
INSERT INTO `lang_definitions` VALUES (52391, 1067, 14, 'Հաճախորդի կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (52392, 1069, 14, 'Քաղվածք Հիվանդի պատմագրից');
INSERT INTO `lang_definitions` VALUES (52393, 1070, 14, 'Հիվանդի Անունը');
INSERT INTO `lang_definitions` VALUES (52394, 1071, 14, 'Հիվանդի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (52395, 1072, 14, 'Հաճախորդի/Հիվանդի  պրոֆիլ ֊ Նոր Հաճախորդ/Հիվանդ');
INSERT INTO `lang_definitions` VALUES (52396, 1073, 14, 'Հաճախորդի/Հիվանդի  պրոֆիլ ֊ Եզակի Հաճախորդ/Հիվանդ');
INSERT INTO `lang_definitions` VALUES (52397, 1074, 14, 'Հաճախորդներ/Հիվանդներ');
INSERT INTO `lang_definitions` VALUES (52398, 1075, 14, 'Կլինիկա');
INSERT INTO `lang_definitions` VALUES (52399, 1076, 14, 'Կլինիկայի կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (52400, 1077, 14, 'Կլինիկայի ամենօրյա գրանցում');
INSERT INTO `lang_definitions` VALUES (52401, 1078, 14, 'Կլինիկայի նույնականացման տվյալներ');
INSERT INTO `lang_definitions` VALUES (52402, 1079, 14, 'Կլինիկական');
INSERT INTO `lang_definitions` VALUES (52403, 1080, 14, 'Կլինիկական  որոշումների ընդունման/կայացման կանոնների ծանուցման պատասխանատում');
INSERT INTO `lang_definitions` VALUES (52404, 1081, 14, 'Կլինիկական Պատմություն');
INSERT INTO `lang_definitions` VALUES (52405, 1083, 14, 'Կլինիկական ծրագրեր');
INSERT INTO `lang_definitions` VALUES (52406, 1084, 14, 'Կլինիկական Որակի Ցուցանիշներ (CQM)');
INSERT INTO `lang_definitions` VALUES (52407, 1087, 14, 'Կլինիկական հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (52408, 1088, 14, 'Կլինիկական հաշվետվություններ/զեկույցներ');
INSERT INTO `lang_definitions` VALUES (52409, 1089, 14, 'Կլինիկական կանոնների գործունեության/գործողության կատեգորիա');
INSERT INTO `lang_definitions` VALUES (52410, 1090, 14, 'Կլինիկական կանոնների գործունեության/գործողության առարկա');
INSERT INTO `lang_definitions` VALUES (52411, 1091, 14, 'Կլինիկական կանոնների ֆիլտրման մեթոդներ');
INSERT INTO `lang_definitions` VALUES (52412, 1092, 14, 'Կլինիկական կանոնների նպատակայի/թիրախային մեթոդներ');
INSERT INTO `lang_definitions` VALUES (52413, 1093, 14, 'Կլինիկական կանոններ');
INSERT INTO `lang_definitions` VALUES (52414, 1094, 14, 'Տրիքային միջակայքեր կլինիկական կանոնների համար');
INSERT INTO `lang_definitions` VALUES (52415, 1095, 14, 'Կլինիկական Կանոնների համեմատություն');
INSERT INTO `lang_definitions` VALUES (52416, 1096, 14, 'Կլինիկական կանոնների ազդեցության/տարածման տիպերը/տեսակները');
INSERT INTO `lang_definitions` VALUES (52417, 1097, 14, 'Կլինիկական կաննոերի հիշեցման/ծանուցման տեսակները');
INSERT INTO `lang_definitions` VALUES (52418, 1098, 14, 'Կլինիկական կաննոերի հիշեցում/ծանուցում հեռացնելու տեսակները');
INSERT INTO `lang_definitions` VALUES (52419, 1099, 14, 'Կլինիկական կաննոերի հիշեցման/ծանուցման պարբերականություն');
INSERT INTO `lang_definitions` VALUES (52420, 1100, 14, 'Կլինիկական կաննոերի հիշեցման/ծանուցման մեթոդներ');
INSERT INTO `lang_definitions` VALUES (52421, 1101, 14, 'Կլինիկական կաննոերի պլանային պարբերականություն');
INSERT INTO `lang_definitions` VALUES (52422, 1102, 14, 'Կլինիկական խնդիրներ/նպատկ');
INSERT INTO `lang_definitions` VALUES (52423, 1106, 14, 'Բուժաշխատողներ');
INSERT INTO `lang_definitions` VALUES (52424, 1107, 14, 'Կրկնօրինակել');
INSERT INTO `lang_definitions` VALUES (52425, 1108, 14, 'Կրկնօրինակել նախորդ այցը');
INSERT INTO `lang_definitions` VALUES (52426, 1109, 14, 'Փակել');
INSERT INTO `lang_definitions` VALUES (52427, 1110, 14, 'Փակել պատուհանը');
INSERT INTO `lang_definitions` VALUES (52428, 1111, 14, 'Փակել պատուհանը');
INSERT INTO `lang_definitions` VALUES (52429, 1112, 14, 'փակ');
INSERT INTO `lang_definitions` VALUES (52430, 1113, 14, 'սմ');
INSERT INTO `lang_definitions` VALUES (52431, 1114, 14, 'CMS 1500 միջակայք/լուսանցք');
INSERT INTO `lang_definitions` VALUES (52432, 1118, 14, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (52433, 1127, 14, 'անվտանգ CN2-12');
INSERT INTO `lang_definitions` VALUES (52434, 1128, 14, 'հավելավճար');
INSERT INTO `lang_definitions` VALUES (52435, 1129, 14, 'կատարված հավելավճար');
INSERT INTO `lang_definitions` VALUES (52436, 1130, 14, 'ՀԱՎԵԼԱՎՃԱՐ');
INSERT INTO `lang_definitions` VALUES (52437, 1131, 14, 'կոդ');
INSERT INTO `lang_definitions` VALUES (52438, 1132, 14, 'կոդ');
INSERT INTO `lang_definitions` VALUES (52439, 1133, 14, 'կոդի որոնում');
INSERT INTO `lang_definitions` VALUES (52440, 1134, 14, 'Կոդը պետք է լինի երկնիշ և փոքրատառ');
INSERT INTO `lang_definitions` VALUES (52441, 1135, 14, 'Փոխարժեքի կոդ կամ նշան');
INSERT INTO `lang_definitions` VALUES (52442, 1136, 14, 'Տեքստային կոդ');
INSERT INTO `lang_definitions` VALUES (52443, 1137, 14, 'Կոդի տեսակ');
INSERT INTO `lang_definitions` VALUES (52444, 1138, 14, 'Կոդի տեսակ');
INSERT INTO `lang_definitions` VALUES (52445, 1139, 14, 'Կոդի տեսակը ճանաչված/ընդունված չէ');
INSERT INTO `lang_definitions` VALUES (52446, 1140, 14, 'Կոդի տեսակը դեռևս սահմանված չէ');
INSERT INTO `lang_definitions` VALUES (52447, 1141, 14, 'Կոդի տեսակներ');
INSERT INTO `lang_definitions` VALUES (52448, 1142, 14, 'Կոդ(եր)');
INSERT INTO `lang_definitions` VALUES (52449, 1143, 14, 'Կոդավորված է');
INSERT INTO `lang_definitions` VALUES (52450, 1144, 14, 'Կոդեր');
INSERT INTO `lang_definitions` VALUES (52451, 1145, 14, 'Կոդավորում/ինդեքսավորում');
INSERT INTO `lang_definitions` VALUES (52452, 1146, 14, 'Կոդավորում/ինդեքսավորում');
INSERT INTO `lang_definitions` VALUES (52453, 1147, 14, 'Ինդեքսավորում ֊ ցանկացած բուժում (գրել, մի մասն ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (52454, 1148, 14, 'Ինդեքսավորում ֊ իմ բուժումները (գրել, մի մասն ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (52455, 1149, 14, 'Կոդավորման մուտքն արգելված է');
INSERT INTO `lang_definitions` VALUES (52456, 1150, 14, 'Սուրճ');
INSERT INTO `lang_definitions` VALUES (52457, 1151, 14, 'Սուրճի կիրառում');
INSERT INTO `lang_definitions` VALUES (52458, 1152, 14, 'Համատեղ ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (52459, 1153, 14, 'Անվճար');
INSERT INTO `lang_definitions` VALUES (52460, 1154, 14, 'Շրջել/փլուզել/փակել');
INSERT INTO `lang_definitions` VALUES (52461, 1155, 14, 'թաքցնել');
INSERT INTO `lang_definitions` VALUES (52462, 1156, 14, 'փակել ամենը');
INSERT INTO `lang_definitions` VALUES (52463, 1160, 14, 'Հավաքագրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52464, 1161, 14, 'Հավաքագրումներ/դրամահավաքներ/ժողովներ');
INSERT INTO `lang_definitions` VALUES (52465, 1162, 14, 'Հավաքագրումներ/դրամահավաքներ/ժողովներ֊ի զեկույց');
INSERT INTO `lang_definitions` VALUES (52466, 1163, 14, 'Հաստ աղիքի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (52467, 1164, 14, 'Հաստ աղիքի քաղցկեղի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (52468, 1165, 14, 'Հաստ աղիքի քաղցկեղի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (52469, 1166, 14, 'Կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (52470, 1167, 14, 'կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (52471, 1168, 14, 'Գույն');
INSERT INTO `lang_definitions` VALUES (52472, 1169, 14, 'Գույն։ հպվ․');
INSERT INTO `lang_definitions` VALUES (52473, 1170, 14, 'Սյունակ');
INSERT INTO `lang_definitions` VALUES (52474, 1171, 14, 'Սյունակներ');
INSERT INTO `lang_definitions` VALUES (52475, 1172, 14, 'Համատեղ/միացյալ մասնաբաժիններ');
INSERT INTO `lang_definitions` VALUES (52476, 1173, 14, 'Ստորակետ');
INSERT INTO `lang_definitions` VALUES (52477, 1174, 14, 'Մեկնաբանություն');
INSERT INTO `lang_definitions` VALUES (52478, 1175, 14, 'Մեկնաբանություններ');
INSERT INTO `lang_definitions` VALUES (52479, 1176, 14, 'Սույն արդյունքին կամ խորհրդատվությանն ուղղված մեկնաբանություններ');
INSERT INTO `lang_definitions` VALUES (52480, 1177, 14, 'Առևտրային Ապահովագրական Ընկերություն');
INSERT INTO `lang_definitions` VALUES (52481, 1178, 14, 'Կատարված փոփոխություններ');
INSERT INTO `lang_definitions` VALUES (52482, 1179, 14, 'Կապ');
INSERT INTO `lang_definitions` VALUES (52483, 1180, 14, 'Կապ');
INSERT INTO `lang_definitions` VALUES (52484, 1182, 14, 'Ընկերություն');
INSERT INTO `lang_definitions` VALUES (52485, 1183, 14, 'Ընկերության Անվանում');
INSERT INTO `lang_definitions` VALUES (52486, 1184, 14, 'Ավարտել');
INSERT INTO `lang_definitions` VALUES (52487, 1186, 14, 'Ավարտված');
INSERT INTO `lang_definitions` VALUES (52488, 1188, 14, 'Ավարտվա՞ծ է');
INSERT INTO `lang_definitions` VALUES (52489, 1190, 14, 'Բարդություններ ծառայություն մատուցողի կողմից');
INSERT INTO `lang_definitions` VALUES (52490, 1191, 14, 'Հղիության արհեստական ընդհատման բարդություններ');
INSERT INTO `lang_definitions` VALUES (52491, 1192, 14, 'Բաղադրիչներ');
INSERT INTO `lang_definitions` VALUES (52492, 1193, 14, 'Բժշկական նշանակումների ավտոմատացված համակարգ');
INSERT INTO `lang_definitions` VALUES (52493, 1194, 14, 'Եզրակացություններ');
INSERT INTO `lang_definitions` VALUES (52494, 1199, 14, 'Կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (52495, 1200, 14, 'Կարգավորումների Արտահանում/ներմուծում');
INSERT INTO `lang_definitions` VALUES (52496, 1202, 14, 'Կարգավորել Apache և LibreEHR Հաճախորդի/Հիվանդի կողմից  SSL հավաստագրերի օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (52497, 1203, 14, 'Կարգավորել Apache  Հաճախորդի/Հիվանդի կողմից  SSL հավաստագրերի օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (52498, 1204, 14, 'Կարգավորել Apache   HTTPS օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (52499, 1205, 14, 'Կարգավորել LibreEHR Հաճախորդի/Հիվանդի կողմից  SSL հավաստագրերի օգտագործման համար');
INSERT INTO `lang_definitions` VALUES (52500, 1208, 14, 'Հաստատել նոր պացիենտի գրանցումը');
INSERT INTO `lang_definitions` VALUES (52501, 1209, 14, 'Հաստատել նոր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (52502, 1210, 14, 'Հաստատել վճարումը');
INSERT INTO `lang_definitions` VALUES (52503, 1214, 14, 'Բնածին');
INSERT INTO `lang_definitions` VALUES (52504, 1215, 14, 'Կոնյուկտիվ, բիբեր');
INSERT INTO `lang_definitions` VALUES (52505, 1216, 14, 'Կապի խզում');
INSERT INTO `lang_definitions` VALUES (52506, 1217, 14, 'Միակցիչներ/կցորդներ');
INSERT INTO `lang_definitions` VALUES (52507, 1218, 14, 'Հաստատուն');
INSERT INTO `lang_definitions` VALUES (52508, 1219, 14, 'Հաստատուն անվանում');
INSERT INTO `lang_definitions` VALUES (52509, 1220, 14, 'Հաստատուն անվանուը դատարկ է');
INSERT INTO `lang_definitions` VALUES (52510, 1221, 14, 'Հաստատուններ');
INSERT INTO `lang_definitions` VALUES (52511, 1222, 14, 'Փորկապություն');
INSERT INTO `lang_definitions` VALUES (52512, 1223, 14, 'Սահմանադրական/ Կառուցվածքային/Համակարգային/');
INSERT INTO `lang_definitions` VALUES (52513, 1226, 14, 'Խորհրդակցության ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (52514, 1227, 14, 'Հետադարձ կապ');
INSERT INTO `lang_definitions` VALUES (52515, 1228, 14, 'Էլ․փոստ');
INSERT INTO `lang_definitions` VALUES (52516, 1229, 14, 'Էլ․փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (52517, 1231, 14, 'Կոնտակտային տվյալներ');
INSERT INTO `lang_definitions` VALUES (52518, 1232, 14, 'Կոնտակտային լինզաներ');
INSERT INTO `lang_definitions` VALUES (52519, 1236, 14, 'Անուն');
INSERT INTO `lang_definitions` VALUES (52520, 1237, 14, 'Կոնտակտային անձ');
INSERT INTO `lang_definitions` VALUES (52521, 1238, 14, 'Կոնտակտային հեռախոս');
INSERT INTO `lang_definitions` VALUES (52522, 1239, 14, 'Կոնտակտային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (52523, 1240, 14, 'Դիմել  ZMG LLC (zmghealth@gmail.com) eRx ծառայությանը բաժանորդագրվելու համար');
INSERT INTO `lang_definitions` VALUES (52524, 1241, 14, 'Պարունակում է հետևյալ կետերից առնվազն երեքը կամ չորսը');
INSERT INTO `lang_definitions` VALUES (52525, 1243, 14, 'Պարունակություն/Բովանդակություն');
INSERT INTO `lang_definitions` VALUES (52526, 1244, 14, 'պարունակություն/պովանդակություն');
INSERT INTO `lang_definitions` VALUES (52527, 1245, 14, 'Կոնտեքստ/ համատեքստ');
INSERT INTO `lang_definitions` VALUES (52528, 1246, 14, 'Կոնտեքստի անվանումը չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (52529, 1247, 14, 'Շարունակել');
INSERT INTO `lang_definitions` VALUES (52530, 1251, 14, 'Հակաբեղմնավորում');
INSERT INTO `lang_definitions` VALUES (52531, 1252, 14, 'Հակաբեղմնավորման ասպեկտները');
INSERT INTO `lang_definitions` VALUES (52532, 1253, 14, 'Հակաբեղմնավորման բարդությունները  (նշել)');
INSERT INTO `lang_definitions` VALUES (52533, 1254, 14, 'Հակաբեղմնավորման մեթոդը');
INSERT INTO `lang_definitions` VALUES (52534, 1255, 14, 'Հակաբեղմնավորիչ ապրանքներ');
INSERT INTO `lang_definitions` VALUES (52535, 1256, 14, 'Հակաբեղմնավորման նախնական ծառայություններ');
INSERT INTO `lang_definitions` VALUES (52536, 1257, 14, 'Հակաբեղմնավորման սկիզբ');
INSERT INTO `lang_definitions` VALUES (52537, 1258, 14, 'ID կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (52538, 1259, 14, 'Կարգավորման համարը');
INSERT INTO `lang_definitions` VALUES (52539, 1261, 14, 'ՀԱՎԵԼԱՎՃԱՐ');
INSERT INTO `lang_definitions` VALUES (52540, 1262, 14, 'Հավելավճար');
INSERT INTO `lang_definitions` VALUES (52541, 1263, 14, 'Հավելավճար');
INSERT INTO `lang_definitions` VALUES (52542, 1264, 14, 'Հավելավճար չի նախատեսվում');
INSERT INTO `lang_definitions` VALUES (52543, 1265, 14, 'Հավելավճարը վճարված է');
INSERT INTO `lang_definitions` VALUES (52544, 1266, 14, 'Հավելավճարներ');
INSERT INTO `lang_definitions` VALUES (52545, 1268, 14, 'Կրկնօրինակել էջերը պացիենտի քարտի մեջ');
INSERT INTO `lang_definitions` VALUES (52546, 1269, 14, 'Կրկնօրինակել արժեքները');
INSERT INTO `lang_definitions` VALUES (52547, 1270, 14, 'Կրկնօրինակել տվյալների բազայի ֆայլը․ այն կխլի որոշակի ժամանակ');
INSERT INTO `lang_definitions` VALUES (52548, 1271, 14, 'Հեղինակային իրավունքների ծանուցում');
INSERT INTO `lang_definitions` VALUES (52549, 1275, 14, 'Ուղղված');
INSERT INTO `lang_definitions` VALUES (52550, 1277, 14, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (52551, 1278, 14, 'CouchDB միացումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (52552, 1279, 14, 'CouchDB տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (52553, 1280, 14, 'CouchDB տվյալների բազայի անվանում');
INSERT INTO `lang_definitions` VALUES (52554, 1281, 14, 'CouchDB հոսթինգ/սերվեր');
INSERT INTO `lang_definitions` VALUES (52555, 1282, 14, 'CouchDB հոսթի/սերվերի անվանում');
INSERT INTO `lang_definitions` VALUES (52556, 1283, 14, 'Միացնել CouchDB մուտքագրում/գրանցում');
INSERT INTO `lang_definitions` VALUES (52557, 1284, 14, 'CouchDB գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (52558, 1285, 14, 'CouchDB պորտալ');
INSERT INTO `lang_definitions` VALUES (52559, 1286, 14, 'CouchDB պորտալ');
INSERT INTO `lang_definitions` VALUES (52560, 1287, 14, 'CouchDB պահպանում ձախողվեց');
INSERT INTO `lang_definitions` VALUES (52561, 1288, 14, 'CouchDB օգտվողի անունուն/օգտատեր');
INSERT INTO `lang_definitions` VALUES (52562, 1289, 14, 'Հազ');
INSERT INTO `lang_definitions` VALUES (52563, 1290, 14, 'Հազ։');
INSERT INTO `lang_definitions` VALUES (52564, 1291, 14, 'հնարավոր չէ կապ հաստատել սերվերի հետ');
INSERT INTO `lang_definitions` VALUES (52565, 1293, 14, 'հնարավոր չէ բացել աղյուսակը');
INSERT INTO `lang_definitions` VALUES (52566, 1294, 14, 'հնարավոր չէ կարդալ ֆայլը');
INSERT INTO `lang_definitions` VALUES (52567, 1296, 14, 'Հնարավոր չէ ուղարկել էլ․ նամակ․ առկա է սերվերի խնդիր ');
INSERT INTO `lang_definitions` VALUES (52568, 1297, 14, 'Հնարավոր չէ ուղարկել էլ․ նամակ․ առկա է սերվերի խնդիր ');
INSERT INTO `lang_definitions` VALUES (52569, 1298, 14, 'Հնարավոր չէ ստեղծել պահեստային կրկնօրինակների ուղեցույց/տեղեկատու');
INSERT INTO `lang_definitions` VALUES (52570, 1299, 14, 'Հնարավոր չէ ջնջել տեղեկատուն');
INSERT INTO `lang_definitions` VALUES (52571, 1300, 14, 'Հնարավոր չէ ջնջել հին պահեստային կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (52572, 1301, 14, 'Հնարավոր չէ ջնջել հին արտահանվող ֆայլը');
INSERT INTO `lang_definitions` VALUES (52573, 1302, 14, 'Coumadin Կառավարում ֊ միջազգային կարգավորման ցուցանիշի հսկողություն');
INSERT INTO `lang_definitions` VALUES (52574, 1303, 14, 'Մեթոդին համապատասխան խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (52575, 1304, 14, 'Խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (52576, 1305, 14, 'Խորհրդատվական աշխատանքներ');
INSERT INTO `lang_definitions` VALUES (52577, 1308, 14, 'Երկիր');
INSERT INTO `lang_definitions` VALUES (52578, 1309, 14, 'Երկրի տվյալների տիպ');
INSERT INTO `lang_definitions` VALUES (52579, 1310, 14, 'Երկրների ցանկ');
INSERT INTO `lang_definitions` VALUES (52580, 1311, 14, 'Երկրների ցանկ  (գրել, ավելացնել ըստ ցանկությանl)');
INSERT INTO `lang_definitions` VALUES (52581, 1312, 14, 'Երկրի անունը ներկայացվում է երկնիշ հապավումով /օր․՝  Միացյալ Նահանգներ ՄՆ/');
INSERT INTO `lang_definitions` VALUES (52582, 1313, 14, 'հանրապետություն');
INSERT INTO `lang_definitions` VALUES (52583, 1315, 14, 'Կուպոն');
INSERT INTO `lang_definitions` VALUES (52584, 1318, 14, 'Հիվանդի կլինիկական հետազոտություն (CPT)');
INSERT INTO `lang_definitions` VALUES (52585, 1319, 14, '(CPT) կոդ');
INSERT INTO `lang_definitions` VALUES (52586, 1320, 14, '(CPT) կոդեր');
INSERT INTO `lang_definitions` VALUES (52587, 1321, 14, 'CPT4  Միջամտություն/Ծառայություն');
INSERT INTO `lang_definitions` VALUES (52588, 1322, 14, 'CPTII էֆֆեկտիվության չափորոշիչ');
INSERT INTO `lang_definitions` VALUES (52589, 1323, 14, 'CQM');
INSERT INTO `lang_definitions` VALUES (52590, 1325, 14, 'քսուք');
INSERT INTO `lang_definitions` VALUES (52591, 1326, 14, 'Ստեղծում էլ հաճախորդի կողմից SSL հավաստագիր յուրաքանչյուր օգտվողի կամ հաճախորդի մեքենայի համար');
INSERT INTO `lang_definitions` VALUES (52592, 1327, 14, 'Ստեղծում էլ հաճախորդի կողմից SSL հավաստագիր օգտվողի կամ հաճախորդի hostname֊ի/սերվերի անվան համար');
INSERT INTO `lang_definitions` VALUES (52593, 1329, 14, 'Ստեղծել իրադարձություն');
INSERT INTO `lang_definitions` VALUES (52594, 1330, 14, 'Ստեղծում և ներբեռնում է ամբողջական կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (52595, 1332, 14, 'Ստեղծում է պահեստային կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (52596, 1333, 14, 'Ստեղծել նոր խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (52597, 1334, 14, 'Ստեղծել հաճախորդի վկայագիր/հավաստագիր');
INSERT INTO `lang_definitions` VALUES (52598, 1335, 14, 'Ստեղծել հաճախորդի կողմից SSL վկայագրեր/հավաստագրեր');
INSERT INTO `lang_definitions` VALUES (52599, 1336, 14, 'Ստեղծել կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (52600, 1338, 14, 'Ստեղծում է պահեստային կրկնօրինակների գրանցամատյան');
INSERT INTO `lang_definitions` VALUES (52601, 1339, 14, 'Ստեղծել նոր խնդիր/հարց');
INSERT INTO `lang_definitions` VALUES (52602, 1340, 14, 'Գրանցել նոր Պացիենտ/ՀԻվանդ');
INSERT INTO `lang_definitions` VALUES (52603, 1342, 14, 'Ստեղծել արտաքին պորտալի նոր լիազորություններ/մանդատներ');
INSERT INTO `lang_definitions` VALUES (52604, 1343, 14, 'Ստեղծել ներքին պորտալի նոր լիազորություններ/մանդատներ');
INSERT INTO `lang_definitions` VALUES (52605, 1344, 14, 'Ստեղծել ՀԻվանդի/Պացիենտի գրառում');
INSERT INTO `lang_definitions` VALUES (52606, 1345, 14, 'Ստեղծում է SSL Լիազորագրեր և Սերվերի հավաստագրեր');
INSERT INTO `lang_definitions` VALUES (52607, 1346, 14, 'Ստեղծել այց');
INSERT INTO `lang_definitions` VALUES (52608, 1347, 14, 'Ստեղծված է');
INSERT INTO `lang_definitions` VALUES (52609, 1348, 14, 'Էքսպորտ/արտահանման  ֆայլի ստեղծում');
INSERT INTO `lang_definitions` VALUES (52610, 1351, 14, 'Ստեղծող');
INSERT INTO `lang_definitions` VALUES (52611, 1352, 14, 'կրեդիտ/վարկ');
INSERT INTO `lang_definitions` VALUES (52612, 1353, 14, 'վարկային քարտ');
INSERT INTO `lang_definitions` VALUES (52613, 1354, 14, 'Վարկեր/վարկավորել');
INSERT INTO `lang_definitions` VALUES (52614, 1356, 14, 'Չափանիշներ');
INSERT INTO `lang_definitions` VALUES (52615, 1357, 14, 'Խորվաթերեն');
INSERT INTO `lang_definitions` VALUES (52616, 1358, 14, 'Քրոնիկ հիվանդություն /աղիների քրոնիկ բորբոքային հիվանդություն/');
INSERT INTO `lang_definitions` VALUES (52617, 1359, 14, 'Քրոնիկ հիվանդություն /աղիների քրոնիկ բորբոքային հիվանդություն/');
INSERT INTO `lang_definitions` VALUES (52618, 1360, 14, 'CSV֊ի արտահանում');
INSERT INTO `lang_definitions` VALUES (52619, 1361, 14, 'CSV ֆայլ');
INSERT INTO `lang_definitions` VALUES (52620, 1363, 14, 'խոր/մմ');
INSERT INTO `lang_definitions` VALUES (52621, 1364, 14, 'Կուբանցի');
INSERT INTO `lang_definitions` VALUES (52622, 1365, 14, 'Գումարը տասնորդական միավորներով');
INSERT INTO `lang_definitions` VALUES (52623, 1366, 14, 'Տասնորդական ստորակետի սիմվոլ');
INSERT INTO `lang_definitions` VALUES (52624, 1367, 14, 'Արժույթի ցուցիչ');
INSERT INTO `lang_definitions` VALUES (52625, 1368, 14, 'Գումարի հազարյակի բաժանիչ');
INSERT INTO `lang_definitions` VALUES (52626, 1369, 14, 'Ներկայիս/ Ընթացիկ /սույն');
INSERT INTO `lang_definitions` VALUES (52627, 1370, 14, 'Ալկոհոլի օգտագործման հակումը ներկայում');
INSERT INTO `lang_definitions` VALUES (52628, 1371, 14, 'Ընթացիկ/սույն խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (52629, 1372, 14, 'Սույն ափանիշը');
INSERT INTO `lang_definitions` VALUES (52630, 1373, 14, 'Ընթացիկ օրն ընդգծելու գույն');
INSERT INTO `lang_definitions` VALUES (52631, 1374, 14, 'Այս պահի դրությամբ/ներկայումս ծխում է ամեն օր');
INSERT INTO `lang_definitions` VALUES (52632, 1375, 14, 'Ֆայլի ներկայիս անունը փոխարինվել է ֊ով');
INSERT INTO `lang_definitions` VALUES (52633, 1376, 14, 'Սույն վանդականիշը');
INSERT INTO `lang_definitions` VALUES (52634, 1377, 14, 'Ներկայիս գտնվելու վայրը');
INSERT INTO `lang_definitions` VALUES (52635, 1378, 14, 'Ներկայիս/ներկա պահին ընդունվող դեղորայքը');
INSERT INTO `lang_definitions` VALUES (52636, 1379, 14, 'Սույն գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (52637, 1380, 14, 'Սույն պացիենտը');
INSERT INTO `lang_definitions` VALUES (52638, 1382, 14, 'Ընդունված հանգստացնող դեղամիջոցները');
INSERT INTO `lang_definitions` VALUES (52639, 1383, 14, 'Ներկայումս չի ծխում ամեն օր');
INSERT INTO `lang_definitions` VALUES (52640, 1386, 14, 'Ընթացիկ գործունեությունը/Սույն գործողությունը');
INSERT INTO `lang_definitions` VALUES (52641, 1388, 14, 'Ներկա պահին օգնություն չի ցուցաբերվում');
INSERT INTO `lang_definitions` VALUES (52642, 1389, 14, 'Քուշինգի սինդրում');
INSERT INTO `lang_definitions` VALUES (52643, 1393, 14, 'Օգտվողի  մուտք');
INSERT INTO `lang_definitions` VALUES (52644, 1394, 14, 'Օգտվողի  աղյուսակ');
INSERT INTO `lang_definitions` VALUES (52645, 1396, 14, 'CVX կոդ');
INSERT INTO `lang_definitions` VALUES (52646, 1397, 14, 'CVX կոդի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (52647, 1398, 14, 'CVX պատվաստում');
INSERT INTO `lang_definitions` VALUES (52648, 1399, 14, 'Շրջան / ցիկլ');
INSERT INTO `lang_definitions` VALUES (52649, 1400, 14, 'Ցիտոխրոմ P450');
INSERT INTO `lang_definitions` VALUES (52650, 1401, 14, 'Ցիտոխրոմ P451 գործոն');
INSERT INTO `lang_definitions` VALUES (52651, 1402, 14, 'Ցիտոխրոմ P451 զեկույց');
INSERT INTO `lang_definitions` VALUES (52652, 1403, 14, 'Չեխերեն');
INSERT INTO `lang_definitions` VALUES (52653, 1404, 14, 'D');
INSERT INTO `lang_definitions` VALUES (52654, 1407, 14, 'Ծննդյան  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52655, 1408, 14, 'առօրյա / ամեն օր');
INSERT INTO `lang_definitions` VALUES (52656, 1409, 14, 'օրական/ամենօրյա  գրանցում');
INSERT INTO `lang_definitions` VALUES (52657, 1410, 14, 'Դանիական');
INSERT INTO `lang_definitions` VALUES (52658, 1411, 14, 'Նմանատիպ տվյալ արդեն առկա է  տվյալների բազայում․ փոխեք կոդը և/կամ նկարագրությունը');
INSERT INTO `lang_definitions` VALUES (52659, 1412, 14, 'Նմանատիպ տվյալ արդեն առկա է  տվյալների բազայում․ փոխեք հաստատուն անվանումը');
INSERT INTO `lang_definitions` VALUES (52660, 1413, 14, 'Տվյալների սյունակ');
INSERT INTO `lang_definitions` VALUES (52661, 1416, 14, 'Ամսաթվի սխալ');
INSERT INTO `lang_definitions` VALUES (52662, 1420, 14, 'Տվյալների տիպ');
INSERT INTO `lang_definitions` VALUES (52663, 1421, 14, 'Տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (52664, 1422, 14, 'Տվյալների բազան տեղադրված չէ');
INSERT INTO `lang_definitions` VALUES (52665, 1423, 14, 'Տվյալների բազայի սխալ/ ուղղում');
INSERT INTO `lang_definitions` VALUES (52666, 1424, 14, 'Տվյալների բազայի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (52667, 1425, 14, 'Տվյալների բազայի թարմացումն ավարտված է');
INSERT INTO `lang_definitions` VALUES (52668, 1426, 14, 'Տվյալների սյուները պետք է համարակալված լինեն 1-999 թվերի միջակայքում');
INSERT INTO `lang_definitions` VALUES (52669, 1427, 14, 'Տվյալ / Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52670, 1428, 14, 'ԱՄՍԱԹԻՎ');
INSERT INTO `lang_definitions` VALUES (52671, 1431, 14, 'Ամսաթվի կառավարում');
INSERT INTO `lang_definitions` VALUES (52672, 1432, 14, 'Նմուշի վերցման ամսաթիվ և ժամ');
INSERT INTO `lang_definitions` VALUES (52673, 1433, 14, 'Սույն հետազոտության ամսաթիվն ու ժամը');
INSERT INTO `lang_definitions` VALUES (52674, 1435, 14, 'Բիոնյութի վերցման ամսաթիվն ու ժամը');
INSERT INTO `lang_definitions` VALUES (52675, 1436, 14, 'Ամսաթիվը չի կարող այսօրվանից բարձր լինել');
INSERT INTO `lang_definitions` VALUES (52676, 1437, 14, 'Նախնապես տրամադրված հակաբեղմնավորիչ ծառայության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52677, 1438, 14, 'Ստեղծման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52678, 1439, 14, 'Մահվան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52679, 1440, 14, 'Ոչնչացման / ջնջման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52680, 1441, 14, 'Ամսաթվի ցուցադրման ֆորմատ');
INSERT INTO `lang_definitions` VALUES (52681, 1442, 14, '\"Այցի ավարտի\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (52682, 1443, 14, '\"Այցի սկիզբ\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (52683, 1444, 14, '\"Հաջորդ այցի\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (52684, 1445, 14, '\"Չի տեսնվել սկսած տտ-աա-օօ֊ից \" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (52685, 1446, 14, '\"տտ-աա-օօ֊ից ի վեր տեսնվել է\" ասմաթվի ֆորմատը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (52686, 1447, 14, 'Պատվաստման վերաբերյալ տրամադրված տեղեկանքի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52687, 1448, 14, 'Կոդի ամսաթիվը բացակայում է ');
INSERT INTO `lang_definitions` VALUES (52688, 1449, 14, 'Ասմաթվի հիմնական չափանիշներ');
INSERT INTO `lang_definitions` VALUES (52689, 1450, 14, 'Բանկային դեպոզիտի/ավանդի ամսաթիվ /տտ-աա-օօ/');
INSERT INTO `lang_definitions` VALUES (52690, 1451, 14, 'Վճարաման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52691, 1452, 14, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52692, 1453, 14, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52693, 1454, 14, 'Ծննդյան ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52694, 1455, 14, 'Մուտքի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52695, 1456, 14, 'Վնասվածքն ստանալու ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52696, 1458, 14, 'Վճարաման ամսաթիվ /տտ-աա-օօ/');
INSERT INTO `lang_definitions` VALUES (52697, 1459, 14, 'Ուղեգրի տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52698, 1460, 14, 'Պատասխանի տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52699, 1462, 14, 'Բուժօգնության տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52700, 1463, 14, 'Ծառայության տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52701, 1464, 14, 'Ծառայության տրամադրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52702, 1465, 14, 'Ծառայության տրամադրման ամսաթիվ /տտ-աա-օօ/');
INSERT INTO `lang_definitions` VALUES (52703, 1466, 14, 'Ծառայության տրամադրման ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (52704, 1467, 14, 'Ստորագրման  մասաթիվ');
INSERT INTO `lang_definitions` VALUES (52705, 1469, 14, 'Սույն նշանակման  ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (52706, 1470, 14, 'Սույն հաշվետվության  ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (52707, 1471, 14, 'Պատվաստումների Տեղեկատվական Հայտարարության/Հաշվետվության  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52708, 1472, 14, 'Նշանակման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52709, 1475, 14, 'ամսաթվի սելեկտոր/ընտրություն');
INSERT INTO `lang_definitions` VALUES (52710, 1476, 14, 'Ուղարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52711, 1477, 14, 'Հաղորդագրության ուղարկման ամսաթիվ / ուղարկված հաղորդագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52712, 1479, 14, 'Ամսաթվի արժեքը չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (52713, 1480, 14, 'Ամսաթիվ / այց․');
INSERT INTO `lang_definitions` VALUES (52714, 1481, 14, 'Ամսաթիվ / Գրառում');
INSERT INTO `lang_definitions` VALUES (52715, 1482, 14, 'Վերջին ամսաթիվ / գրառում');
INSERT INTO `lang_definitions` VALUES (52716, 1483, 14, 'Ամսաթիվ / ժամ');
INSERT INTO `lang_definitions` VALUES (52717, 1484, 14, 'Ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (52718, 1485, 14, 'Հին հաղորդագրությունների մատյան');
INSERT INTO `lang_definitions` VALUES (52719, 1486, 14, 'Օր');
INSERT INTO `lang_definitions` VALUES (52720, 1487, 14, 'օր');
INSERT INTO `lang_definitions` VALUES (52721, 1489, 14, 'Օրվա դիտարկում');
INSERT INTO `lang_definitions` VALUES (52722, 1490, 14, 'Օր(եր)');
INSERT INTO `lang_definitions` VALUES (52723, 1491, 14, 'Օր(եր) Երկ֊Ուրբ');
INSERT INTO `lang_definitions` VALUES (52724, 1492, 14, 'օրեր');
INSERT INTO `lang_definitions` VALUES (52725, 1493, 14, 'Օրեր');
INSERT INTO `lang_definitions` VALUES (52726, 1494, 14, 'օրեր առաջ');
INSERT INTO `lang_definitions` VALUES (52727, 1495, 14, 'Բաց թողնված  օրեր ու ծրագրեր');
INSERT INTO `lang_definitions` VALUES (52728, 1496, 14, 'Նախորդ հանդիպումից անցած օրեր');
INSERT INTO `lang_definitions` VALUES (52729, 1497, 14, 'Բաց թողնված  օրեր');
INSERT INTO `lang_definitions` VALUES (52730, 1498, 14, 'Սյունակումեղած օրերի քանակը։');
INSERT INTO `lang_definitions` VALUES (52731, 1500, 14, 'Օրեր/Սյուն․');
INSERT INTO `lang_definitions` VALUES (52732, 1501, 14, 'ՏԲ֊ն տեղադրված է');
INSERT INTO `lang_definitions` VALUES (52733, 1502, 14, 'ՏՏ/ԱԱ/ՕՕ');
INSERT INTO `lang_definitions` VALUES (52734, 1503, 14, 'Նույնականացման կրկնության կանխում');
INSERT INTO `lang_definitions` VALUES (52735, 1504, 14, 'Ապանույնականացման պրոցեսն ավարտված է');
INSERT INTO `lang_definitions` VALUES (52736, 1505, 14, 'Ապանույնականացման պրոցեսն ընթացքի մեջ է');
INSERT INTO `lang_definitions` VALUES (52737, 1506, 14, 'Ապանույնականացման պրոցեսն սկսված է և շարունակվում է հետին պլանում');
INSERT INTO `lang_definitions` VALUES (52738, 1507, 14, 'Հնարավոր չէ լրացնել ապանույնականացման տվյալները');
INSERT INTO `lang_definitions` VALUES (52739, 1508, 14, 'Ապանույնականացման տվյալները կպահպանվեն ֊ում');
INSERT INTO `lang_definitions` VALUES (52740, 1509, 14, 'Թմրանյութերի Դեմ Պայքարի ԿառավարումՎարչություն');
INSERT INTO `lang_definitions` VALUES (52741, 1511, 14, 'Խուլ');
INSERT INTO `lang_definitions` VALUES (52742, 1512, 14, 'Ճշգրտված ինֆորմացիա');
INSERT INTO `lang_definitions` VALUES (52743, 1515, 14, 'Դեկ․');
INSERT INTO `lang_definitions` VALUES (52744, 1516, 14, 'ՎԱԽՃԱՆՎԱԾ / ՄԱՀԱՑԱԾ');
INSERT INTO `lang_definitions` VALUES (52745, 1517, 14, 'Դեկտեմբեր');
INSERT INTO `lang_definitions` VALUES (52746, 1520, 14, 'Նվազեցում / Նվազելի');
INSERT INTO `lang_definitions` VALUES (52747, 1521, 14, 'Նվազեցման կատարում');
INSERT INTO `lang_definitions` VALUES (52748, 1522, 14, 'Սկզբնական տարբերակ');
INSERT INTO `lang_definitions` VALUES (52749, 1523, 14, 'Սկզբնական տարբերակի օրացույցի տեսք');
INSERT INTO `lang_definitions` VALUES (52750, 1524, 14, 'Այցի սկզբնական տարբերակի ֆորմայի ID');
INSERT INTO `lang_definitions` VALUES (52751, 1526, 14, 'Ծառայության սկզբնական տարբերակ');
INSERT INTO `lang_definitions` VALUES (52752, 1527, 14, 'Սկզբնական լեզու');
INSERT INTO `lang_definitions` VALUES (52753, 1528, 14, 'Հիմնական լեզու․ եթե այլ լեզու թույլատրված կամ ընտրված չէ');
INSERT INTO `lang_definitions` VALUES (52754, 1529, 14, 'Հիմնական ցանկ /գրել, ավելացնել ըստ ցանկության/');
INSERT INTO `lang_definitions` VALUES (52755, 1530, 14, 'Հիմնական մեթոդ');
INSERT INTO `lang_definitions` VALUES (52756, 1531, 14, 'Գաղտնաբառի վավերականության օրը  ըստ նախնականի');
INSERT INTO `lang_definitions` VALUES (52757, 1532, 14, 'Գաղտնաբառի վավերականության ժամկետն օրերով ըստ նախնականի');
INSERT INTO `lang_definitions` VALUES (52758, 1533, 14, 'Պացիենտի երկիրը');
INSERT INTO `lang_definitions` VALUES (52759, 1536, 14, 'Մասնագետ');
INSERT INTO `lang_definitions` VALUES (52760, 1537, 14, 'Միջակայք');
INSERT INTO `lang_definitions` VALUES (52761, 1538, 14, 'Այցի պատճառը');
INSERT INTO `lang_definitions` VALUES (52762, 1540, 14, 'Կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (52763, 1541, 14, 'Պացիենտի ցանկում \"Նոր պատուհան\"֊ի մակնշման վանդակի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (52764, 1542, 14, 'Նմուշ');
INSERT INTO `lang_definitions` VALUES (52765, 1546, 14, 'Չափման միավորը');
INSERT INTO `lang_definitions` VALUES (52766, 1547, 14, 'Նշանակությունը');
INSERT INTO `lang_definitions` VALUES (52767, 1548, 14, 'Պահեստ');
INSERT INTO `lang_definitions` VALUES (52768, 1549, 14, 'Գործընկեր X12');
INSERT INTO `lang_definitions` VALUES (52769, 1550, 14, 'Նախնական / Գլոբալ');
INSERT INTO `lang_definitions` VALUES (52770, 1551, 14, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (52771, 1552, 14, 'ջնջել');
INSERT INTO `lang_definitions` VALUES (52772, 1554, 14, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (52773, 1555, 14, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (52774, 1556, 14, 'Ջնջել կատեգորիաները ID-ներով ');
INSERT INTO `lang_definitions` VALUES (52775, 1557, 14, 'Ջնջել կատեգորիան');
INSERT INTO `lang_definitions` VALUES (52776, 1560, 14, 'Ջնջել խումբը');
INSERT INTO `lang_definitions` VALUES (52777, 1561, 14, 'Ջնջել ցանկը');
INSERT INTO `lang_definitions` VALUES (52778, 1562, 14, 'Ջնջել էջերը');
INSERT INTO `lang_definitions` VALUES (52779, 1563, 14, 'Ջնջել Պացիենտին, Հանդիպումը, Ձևը, Խնդիրը, Փաստաթուղթը, Վճարումը, հաշիվը կամ գործարքը');
INSERT INTO `lang_definitions` VALUES (52780, 1565, 14, 'Ջնջել տողը');
INSERT INTO `lang_definitions` VALUES (52781, 1566, 14, 'Ջնջել ընտրված կետերը');
INSERT INTO `lang_definitions` VALUES (52782, 1568, 14, 'Ջնջված է');
INSERT INTO `lang_definitions` VALUES (52783, 1569, 14, 'Ջնջել սույն փաստաթուղթը');
INSERT INTO `lang_definitions` VALUES (52784, 1570, 14, 'Ջնջել սույն ձևաչափը');
INSERT INTO `lang_definitions` VALUES (52785, 1571, 14, 'Ջնջել սույն գրառումը');
INSERT INTO `lang_definitions` VALUES (52786, 1572, 14, 'Ջնջված է');
INSERT INTO `lang_definitions` VALUES (52787, 1573, 14, 'Ջնջված է');
INSERT INTO `lang_definitions` VALUES (52788, 1575, 14, 'Հնարավոր չէ չեղարկել այս իրադարձության հեռացումը․ ջնջելուց հետո հնարավոր չէ այն վերականգնել։  Վստա՞հ եք, որ ուզում եք ջնջել սույն իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (52789, 1582, 14, 'Անձնական տվյալներ');
INSERT INTO `lang_definitions` VALUES (52790, 1583, 14, 'Անձնական տվյալներ (նշել, ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (52791, 1585, 14, 'Անձնական տվյալների ֆիլտրման չափանիշներ');
INSERT INTO `lang_definitions` VALUES (52792, 1586, 14, 'Անձնական տվյալների հասանելությունն առկա չէ');
INSERT INTO `lang_definitions` VALUES (52793, 1587, 14, 'Անձնական տվյալների հասանելությունն առկա չէ');
INSERT INTO `lang_definitions` VALUES (52794, 1589, 14, 'Մերժված է');
INSERT INTO `lang_definitions` VALUES (52795, 1590, 14, 'Ատամնաբուժություն / ստոմատոլոգիա');
INSERT INTO `lang_definitions` VALUES (52796, 1591, 14, 'Ատամնաբուժական / Ստոմատոլոգիական խնդիրների ցանկ');
INSERT INTO `lang_definitions` VALUES (52797, 1592, 14, 'Ատամնաբուժական / Ստոմատոլոգիական խնդիրներ');
INSERT INTO `lang_definitions` VALUES (52798, 1593, 14, 'Կախվածության մոդուլներ');
INSERT INTO `lang_definitions` VALUES (52799, 1594, 14, 'Կախվածության  խնդիրներ');
INSERT INTO `lang_definitions` VALUES (52800, 1596, 14, 'Դեպոզիտի / ավանդի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52801, 1597, 14, 'Դեպոզիտի / ավանդի ամսաթիվը չի կարօղ այսօրվանից բարձր լինել');
INSERT INTO `lang_definitions` VALUES (52802, 1598, 14, 'Դեպոզիտի ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (52803, 1599, 14, 'Ճնշված / իջեցված');
INSERT INTO `lang_definitions` VALUES (52804, 1600, 14, 'Դեպրեսիա /ընկճվածություն');
INSERT INTO `lang_definitions` VALUES (52805, 1602, 14, 'Նկարագրություն');
INSERT INTO `lang_definitions` VALUES (52806, 1603, 14, 'նկարագրություն');
INSERT INTO `lang_definitions` VALUES (52807, 1605, 14, 'Հրապարակման նկարագրություն');
INSERT INTO `lang_definitions` VALUES (52808, 1606, 14, 'Այս միջամտության նարագիրը կամ արդյունքի կոդը');
INSERT INTO `lang_definitions` VALUES (52809, 1607, 14, 'Նկարագրության թարգմանություն');
INSERT INTO `lang_definitions` VALUES (52810, 1608, 14, 'Ֆայլի նախընտրելի անվանումը');
INSERT INTO `lang_definitions` VALUES (52811, 1609, 14, 'Նշանակման վայր');
INSERT INTO `lang_definitions` VALUES (52812, 1611, 14, 'Ոչնչացնել փաթեթը');
INSERT INTO `lang_definitions` VALUES (52813, 1612, 14, 'Ոչնչացնել');
INSERT INTO `lang_definitions` VALUES (52814, 1613, 14, 'Ոչնչացված է');
INSERT INTO `lang_definitions` VALUES (52815, 1614, 14, 'Ոչնչացված դեղամիջոցներ');
INSERT INTO `lang_definitions` VALUES (52816, 1615, 14, 'Դեղերի ոչնչացման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (52817, 1616, 14, 'Մանրամասն');
INSERT INTO `lang_definitions` VALUES (52818, 1617, 14, 'Մանրամասներ');
INSERT INTO `lang_definitions` VALUES (52819, 1619, 14, 'Նորմայի շարունակական շեղում / Զարգացող խանգարում');
INSERT INTO `lang_definitions` VALUES (52820, 1620, 14, 'Դիաբետ / Շաքարախտ');
INSERT INTO `lang_definitions` VALUES (52821, 1621, 14, 'Շաքարային դիաբետ');
INSERT INTO `lang_definitions` VALUES (52822, 1622, 14, 'Դաիբետ։ Արյան ճնշման հսկողություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (52823, 1623, 14, 'Դիաբետ։ Աչքերի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (52824, 1624, 14, 'Դիաբետ։ Աչքերի հետազոտություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (52825, 1625, 14, 'Դիաբետ։ Ոտնաթաթի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (52826, 1626, 14, 'Դիաբետ։ Ոտնաթաթի հետազոտություն (CQM)');
INSERT INTO `lang_definitions` VALUES (52827, 1627, 14, 'Դիաբետ: HbA1c Poor Control (CQM)');
INSERT INTO `lang_definitions` VALUES (52828, 1628, 14, 'Դիաբետ: Հեմոգլոբին A1C');
INSERT INTO `lang_definitions` VALUES (52829, 1629, 14, 'Դիաբետ: Ցածր խտության լիպոպրոտեինի հսկողություն  (CQM)');
INSERT INTO `lang_definitions` VALUES (52830, 1630, 14, 'Դիաբետ: Մեզի միկրոալբումին');
INSERT INTO `lang_definitions` VALUES (52831, 1631, 14, 'Ախտ֊ում');
INSERT INTO `lang_definitions` VALUES (52832, 1633, 14, 'Ախտորոշում');
INSERT INTO `lang_definitions` VALUES (52833, 1634, 14, 'Ախտորոշման կոդ');
INSERT INTO `lang_definitions` VALUES (52834, 1635, 14, 'Ախտորոշման կոդեր');
INSERT INTO `lang_definitions` VALUES (52835, 1636, 14, 'Ախտորոշման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52836, 1637, 14, 'Ախտորոշումը  պետք է կոդավորվի՝ այցելության  հետ կապելու համար');
INSERT INTO `lang_definitions` VALUES (52837, 1638, 14, 'Ախտորոշման անվանում');
INSERT INTO `lang_definitions` VALUES (52838, 1639, 14, 'Ախտորոշման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (52839, 1642, 14, 'Ախտորոշման անունը');
INSERT INTO `lang_definitions` VALUES (52840, 1643, 14, 'Ախտորոշում։');
INSERT INTO `lang_definitions` VALUES (52841, 1644, 14, 'Ախտորոշում։ ');
INSERT INTO `lang_definitions` VALUES (52842, 1645, 14, 'Ախտորոշիչ հետազոտություններ');
INSERT INTO `lang_definitions` VALUES (52843, 1646, 14, 'Դիալիզ');
INSERT INTO `lang_definitions` VALUES (52844, 1647, 14, 'Պարկուճներ / կափարիչներ');
INSERT INTO `lang_definitions` VALUES (52845, 1648, 14, 'Փորլուծություն');
INSERT INTO `lang_definitions` VALUES (52846, 1650, 14, 'Թելադրանք');
INSERT INTO `lang_definitions` VALUES (52847, 1651, 14, 'Թելադրանք։ ');
INSERT INTO `lang_definitions` VALUES (52848, 1652, 14, 'Դուք ստացե՞լ եք HIPAA ծանուցման կրկնօրինակը');
INSERT INTO `lang_definitions` VALUES (52849, 1653, 14, 'Տարածվել');
INSERT INTO `lang_definitions` VALUES (52850, 1654, 14, 'Թվային ստորագրությամբ');
INSERT INTO `lang_definitions` VALUES (52851, 1657, 14, 'Ուղարկել նամակ');
INSERT INTO `lang_definitions` VALUES (52852, 1663, 14, 'Ղեկավարի ազգանունը');
INSERT INTO `lang_definitions` VALUES (52853, 1665, 14, 'Անաշխատունակություն / հաշմանդամություն');
INSERT INTO `lang_definitions` VALUES (52854, 1666, 14, 'Կասեցնել / անջատել');
INSERT INTO `lang_definitions` VALUES (52855, 1667, 14, 'Անջատել օրացույցը');
INSERT INTO `lang_definitions` VALUES (52856, 1668, 14, 'Անջատել/կասեցնել քարտի հետևողականության ֆունկցիան');
INSERT INTO `lang_definitions` VALUES (52857, 1669, 14, 'Անջատել պատվաստումների ֆունկցիան');
INSERT INTO `lang_definitions` VALUES (52858, 1670, 14, 'Անջատել կենսական նշանակության օրգանների հին չափման ձևը');
INSERT INTO `lang_definitions` VALUES (52859, 1672, 14, 'Անջատել phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (52860, 1673, 14, 'Անջատել դեղատոմսերի ֆունկցիան');
INSERT INTO `lang_definitions` VALUES (52861, 1674, 14, 'Անջատել (Օգտվողի) Խմբերը');
INSERT INTO `lang_definitions` VALUES (52862, 1675, 14, 'անջատված/կասեցված է');
INSERT INTO `lang_definitions` VALUES (52863, 1676, 14, 'Անջատված/կասեցված է');
INSERT INTO `lang_definitions` VALUES (52864, 1677, 14, 'Առողջապահական Պլանավորման Մեծ Խմբի մինչև 65 տարեկան հաշմանդամ շահառուներ');
INSERT INTO `lang_definitions` VALUES (52865, 1679, 14, 'Հեռացնել');
INSERT INTO `lang_definitions` VALUES (52866, 1680, 14, 'Հեռացված ՝');
INSERT INTO `lang_definitions` VALUES (52867, 1681, 14, 'Արտահոսք');
INSERT INTO `lang_definitions` VALUES (52868, 1682, 14, 'Արտահոսք միզուկից / Միզուկի արտազատուկ');
INSERT INTO `lang_definitions` VALUES (52869, 1684, 14, 'Դուրս է գրվել առողջացումով');
INSERT INTO `lang_definitions` VALUES (52870, 1685, 14, 'Դուրս է գրվել առողջացումով։');
INSERT INTO `lang_definitions` VALUES (52871, 1688, 14, 'Դուրս է գրվել');
INSERT INTO `lang_definitions` VALUES (52872, 1689, 14, 'Հրապարակված/Բացահայտված տեղեկատվություն');
INSERT INTO `lang_definitions` VALUES (52873, 1690, 14, 'Հրապարակման տեսակը');
INSERT INTO `lang_definitions` VALUES (52874, 1691, 14, 'Հրապարակման տեսակները');
INSERT INTO `lang_definitions` VALUES (52875, 1692, 14, 'Հրապարակումներ');
INSERT INTO `lang_definitions` VALUES (52876, 1694, 14, 'Զեղչ');
INSERT INTO `lang_definitions` VALUES (52877, 1695, 14, 'Զեղչի գումարը');
INSERT INTO `lang_definitions` VALUES (52878, 1696, 14, 'Զեղչի մակարդակը');
INSERT INTO `lang_definitions` VALUES (52879, 1697, 14, 'Զաղչի տոկոսային հարաբերությունը');
INSERT INTO `lang_definitions` VALUES (52880, 1698, 14, 'Զեղչը որպես դրամական առժեք');
INSERT INTO `lang_definitions` VALUES (52881, 1699, 14, 'Զեղչերը դրամարկղային ձևակերպումներում հաշվարկվում են ոչ թե տոկոսային, այլ  գումարային արժեքով');
INSERT INTO `lang_definitions` VALUES (52882, 1700, 14, 'Առանձին արդյունք');
INSERT INTO `lang_definitions` VALUES (52883, 1701, 14, 'Հիվանդություն');
INSERT INTO `lang_definitions` VALUES (52884, 1702, 14, 'Հոդախախտ');
INSERT INTO `lang_definitions` VALUES (52885, 1703, 14, 'Ուղրկ․ #');
INSERT INTO `lang_definitions` VALUES (52886, 1704, 14, 'Առաքում / ուղարկում');
INSERT INTO `lang_definitions` VALUES (52887, 1705, 14, 'Ստացած փաստաթղթի առաքում/ուղարկում');
INSERT INTO `lang_definitions` VALUES (52888, 1706, 14, 'Տրամադրված է/Բաշխված է/ ելքագրված է');
INSERT INTO `lang_definitions` VALUES (52889, 1707, 14, 'Ժողովրդագրական/անձնական տվյալների էջում ցուցադրել լրացման հրահանգներ');
INSERT INTO `lang_definitions` VALUES (52890, 1708, 14, 'Ցուցադրել փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (52891, 1709, 14, 'Իրադարձության ամսաթիվը ցուցադրե՞լ վանդակում');
INSERT INTO `lang_definitions` VALUES (52892, 1711, 14, 'Քանի՞ իրադարձություն ցուցադրել');
INSERT INTO `lang_definitions` VALUES (52893, 1713, 14, 'Ցուցադրե՞լ  գտնվելու վայրը բլոկում');
INSERT INTO `lang_definitions` VALUES (52894, 1714, 14, 'Ցուցադրել անունը');
INSERT INTO `lang_definitions` VALUES (52895, 1715, 14, 'Ցուցադրե՞լ  օրացույցը');
INSERT INTO `lang_definitions` VALUES (52896, 1718, 14, 'Ցուցադրե՞լ  այսօրվա իրադարձությունները բլոկում');
INSERT INTO `lang_definitions` VALUES (52897, 1719, 14, 'Ցուցադրե՞լ  թեման / բաժինը բլոկում');
INSERT INTO `lang_definitions` VALUES (52898, 1720, 14, 'Ցուցադրե՞լ  գալիք/առաջիկա իրադարձությունները բլոկում');
INSERT INTO `lang_definitions` VALUES (52899, 1721, 14, 'Ցուցադրված սյունակներ');
INSERT INTO `lang_definitions` VALUES (52900, 1722, 14, 'Ցուցադրված է ամենավերջին հետևյալ  հրապարակումները');
INSERT INTO `lang_definitions` VALUES (52901, 1723, 14, 'Ցուցադրված է ամենավերջին հետևյալ  գրառումները');
INSERT INTO `lang_definitions` VALUES (52902, 1724, 14, 'Ցուցադրված է ամենավերջին հետևյալ  գրառումները։');
INSERT INTO `lang_definitions` VALUES (52903, 1725, 14, 'Տրամադրում /Բաշխում');
INSERT INTO `lang_definitions` VALUES (52904, 1726, 14, 'Տրամադրում /Բաշխում');
INSERT INTO `lang_definitions` VALUES (52905, 1727, 14, 'Դիստրիբյուտոր');
INSERT INTO `lang_definitions` VALUES (52906, 1729, 14, 'Դիվերտիկուլիտ');
INSERT INTO `lang_definitions` VALUES (52907, 1730, 14, 'Դիվերտիկուլիտի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (52908, 1731, 14, 'Դիվերտիկուլիտ');
INSERT INTO `lang_definitions` VALUES (52909, 1732, 14, 'Դիվերտիկուլիտի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (52910, 1733, 14, 'Բաժանված/Ամուսնալուծված');
INSERT INTO `lang_definitions` VALUES (52911, 1734, 14, 'Գլխապտույտ։');
INSERT INTO `lang_definitions` VALUES (52912, 1735, 14, 'Չփոխե՛լ');
INSERT INTO `lang_definitions` VALUES (52913, 1737, 14, 'Չցուցադրել NewCrop վերբեռնած  Ալլերգիան');
INSERT INTO `lang_definitions` VALUES (52914, 1739, 14, 'Չցուցադրել NewCrop վերբեռնած  Դեղորայքը');
INSERT INTO `lang_definitions` VALUES (52915, 1742, 14, 'Չցուցադրել օրացույցը');
INSERT INTO `lang_definitions` VALUES (52916, 1744, 14, 'Չգույքագրել և չվաճառել որևէ ապրանք');
INSERT INTO `lang_definitions` VALUES (52917, 1745, 14, 'Պացիենտի գրառումների համար լիազորություն չի պահանջվում');
INSERT INTO `lang_definitions` VALUES (52918, 1746, 14, '\"Չվերակենդանացնել\" հրաման');
INSERT INTO `lang_definitions` VALUES (52919, 1747, 14, 'չպահպանել');
INSERT INTO `lang_definitions` VALUES (52920, 1748, 14, 'չփոխարինե՛լ');
INSERT INTO `lang_definitions` VALUES (52921, 1749, 14, 'ոչինչ չանել');
INSERT INTO `lang_definitions` VALUES (52922, 1751, 14, 'Իսկապե՞ս ուզում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (52923, 1752, 14, 'Իսկապե՞ս ուզում եք ջնջել ըտրվածը');
INSERT INTO `lang_definitions` VALUES (52924, 1753, 14, 'Իսկապե՞ս ուզում եք ջնջել խումբը');
INSERT INTO `lang_definitions` VALUES (52925, 1754, 14, 'Իսկապե՞ս ուզում եք ջնջել');
INSERT INTO `lang_definitions` VALUES (52926, 1755, 14, 'Շարունակե՞լ');
INSERT INTO `lang_definitions` VALUES (52927, 1756, 14, 'Ջնջե՞լ սա');
INSERT INTO `lang_definitions` VALUES (52928, 1757, 14, 'Ջնջե՞լ');
INSERT INTO `lang_definitions` VALUES (52929, 1758, 14, 'Ջնջե՞լ այս գրառումը');
INSERT INTO `lang_definitions` VALUES (52930, 1759, 14, 'Շարունակե՞լ  նոր պացիենտի ավելացումը');
INSERT INTO `lang_definitions` VALUES (52931, 1760, 14, 'Շարունակե՞լ  նոր անվանումով');
INSERT INTO `lang_definitions` VALUES (52932, 1761, 14, 'Ցանկանո՞ւմ եք ընդմիշտ հեռացնել այս պատվաստման գրառումը');
INSERT INTO `lang_definitions` VALUES (52933, 1762, 14, 'Ծննդյան Օ/Ա/Տ');
INSERT INTO `lang_definitions` VALUES (52934, 1763, 14, 'Ծննդյան ամսաթիվը բացակայում է․ եթե հնարավոր է, նշեք այն');
INSERT INTO `lang_definitions` VALUES (52935, 1764, 14, 'Բժ․');
INSERT INTO `lang_definitions` VALUES (52936, 1765, 14, 'Բժիշկ');
INSERT INTO `lang_definitions` VALUES (52937, 1766, 14, 'Բժիշկ։');
INSERT INTO `lang_definitions` VALUES (52938, 1767, 14, 'Բժշկի ազգանունը և ստորագրությունը');
INSERT INTO `lang_definitions` VALUES (52939, 1768, 14, 'Փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (52940, 1769, 14, 'փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (52941, 1770, 14, 'Փաստաթղթի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (52942, 1771, 14, 'Լաբորատոր հետազոտությունների արդյունքների փաստաթղթերի կատեգորիա առկա չէ');
INSERT INTO `lang_definitions` VALUES (52943, 1772, 14, 'Փաստաթղթերի կատեգորիայի անվանում լաբորատոր հետազոտությունների  էլեկտրոնային արդյունքների պահեստի համար');
INSERT INTO `lang_definitions` VALUES (52944, 1775, 14, 'Հնարավոր չէ փաստաթուղթը տեղափոխել Պացիենտի ID  բաժին');
INSERT INTO `lang_definitions` VALUES (52945, 1777, 14, 'Գրանցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (52946, 1778, 14, 'Փաստաթղթի ամսաթիվն ու խնդիրները հաջողությամբ թարմացվել են');
INSERT INTO `lang_definitions` VALUES (52947, 1779, 14, 'Փաստաթղթի ID');
INSERT INTO `lang_definitions` VALUES (52948, 1780, 14, 'Փաստաթուղթը տեղափոխվել է նոր կատեգորիա');
INSERT INTO `lang_definitions` VALUES (52949, 1781, 14, 'Փաստաթուղթը տեղափոխվել է Պացիենտի ID  բաժին');
INSERT INTO `lang_definitions` VALUES (52950, 1783, 14, 'Փաստաթուղթն անցել է ամբողջականության/լիարժեքության ստուգում');
INSERT INTO `lang_definitions` VALUES (52951, 1784, 14, 'Փաստաթղթի պահեստավորման մեթոդ');
INSERT INTO `lang_definitions` VALUES (52952, 1785, 14, 'Փաստաթուղթն հաջողությամբ անվանափոխվել է');
INSERT INTO `lang_definitions` VALUES (52953, 1786, 14, 'Փաստաթուղթն հաջողությամբ կցվել է հանդիպմանը');
INSERT INTO `lang_definitions` VALUES (52954, 1788, 14, 'Փաստաթղթի նմուշներ');
INSERT INTO `lang_definitions` VALUES (52955, 1789, 14, 'Փաստաթուղթ(եր)');
INSERT INTO `lang_definitions` VALUES (52956, 1790, 14, 'Փաստաթղթի/նկարի պահուստ');
INSERT INTO `lang_definitions` VALUES (52957, 1791, 14, 'Փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (52958, 1792, 14, 'Փաստաթղթեր (նշել, ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (52959, 1796, 14, 'Չի համապատասխանում PV1 այցի համարին');
INSERT INTO `lang_definitions` VALUES (52960, 1797, 14, 'վավեր չէ');
INSERT INTO `lang_definitions` VALUES (52961, 1798, 14, 'Այստ տիպը/տեսակը թույլատրո՞ւմ է նմանատիպ/իրեն առնչվող կոդեր');
INSERT INTO `lang_definitions` VALUES (52962, 1799, 14, 'Համերկրացի գործընկեր');
INSERT INTO `lang_definitions` VALUES (52963, 1800, 14, 'Չպահպանե՛լ');
INSERT INTO `lang_definitions` VALUES (52964, 1801, 14, 'Չպահպանե՛լ');
INSERT INTO `lang_definitions` VALUES (52965, 1802, 14, 'Չպահպանել փոփոխությունները');
INSERT INTO `lang_definitions` VALUES (52966, 1803, 14, 'Կատարված է');
INSERT INTO `lang_definitions` VALUES (52967, 1804, 14, 'Կատարված է ֊ով');
INSERT INTO `lang_definitions` VALUES (52968, 1805, 14, 'Կատարված է․ հիմա կներբեռնվի');
INSERT INTO `lang_definitions` VALUES (52969, 1806, 14, 'DOS');
INSERT INTO `lang_definitions` VALUES (52970, 1807, 14, 'Դեղաքանակ/դոզավորում');
INSERT INTO `lang_definitions` VALUES (52971, 1809, 14, 'խմբագրման համար կրկնակի սեղմեք');
INSERT INTO `lang_definitions` VALUES (52972, 1810, 14, 'Պատկերի կրկնարտածում /դիպլոպիա/');
INSERT INTO `lang_definitions` VALUES (52973, 1811, 14, 'Ներբեռնել');
INSERT INTO `lang_definitions` VALUES (52974, 1814, 14, 'Ամեն դեպքում/միևնույնն է՝  ներբեռնել');
INSERT INTO `lang_definitions` VALUES (52975, 1815, 14, 'Ներբեռնելով վճարման ֆայլը՝ տեղադրեք այն հաշվապահական հաշվառման մեջ և նշեք որպես վճարված');
INSERT INTO `lang_definitions` VALUES (52976, 1817, 14, 'Ներբեռնել վկայագրերը');
INSERT INTO `lang_definitions` VALUES (52977, 1818, 14, 'Ներբեռնել կոնֆիգուրացիոն/կազմաձևման տվյալները');
INSERT INTO `lang_definitions` VALUES (52978, 1819, 14, 'Ներբեռնել փաստաթուղթ այս Պացիենտի և այցի համար');
INSERT INTO `lang_definitions` VALUES (52979, 1820, 14, 'Ներբեռնել կոդավորված ֆայլ');
INSERT INTO `lang_definitions` VALUES (52980, 1824, 14, 'Ներբեռնել կամ ջնջել Նմուշը');
INSERT INTO `lang_definitions` VALUES (52981, 1825, 14, 'Ներբեռնել կամ PDF ֆորմատով');
INSERT INTO `lang_definitions` VALUES (52982, 1827, 14, 'Ներբեռնել նշված հաշվետվությունները');
INSERT INTO `lang_definitions` VALUES (52983, 1828, 14, 'Գրանցում Բժշկի մոտ');
INSERT INTO `lang_definitions` VALUES (52984, 1829, 14, 'Այցելություն Բժշկին');
INSERT INTO `lang_definitions` VALUES (52985, 1830, 14, 'Բժիշկ');
INSERT INTO `lang_definitions` VALUES (52986, 1831, 14, 'Քաշել՝ տեղափոխելու համար');
INSERT INTO `lang_definitions` VALUES (52987, 1832, 14, 'Միազարձակում');
INSERT INTO `lang_definitions` VALUES (52988, 1833, 14, 'Վարորդական վկայական կամ պետական ID  քարտ');
INSERT INTO `lang_definitions` VALUES (52989, 1834, 14, 'Դեղամիջոց');
INSERT INTO `lang_definitions` VALUES (52990, 1835, 14, 'Դեղորայքի որոնիչ');
INSERT INTO `lang_definitions` VALUES (52991, 1836, 14, 'Դեղամիջոցների ձևերը');
INSERT INTO `lang_definitions` VALUES (52992, 1837, 14, 'Դեղամիջոցի ID֊ն բացակայում է');
INSERT INTO `lang_definitions` VALUES (52993, 1838, 14, 'Դեղամիջոցի ընդունման հաճախականություն');
INSERT INTO `lang_definitions` VALUES (52994, 1839, 14, 'Դեղորայքի հաշվառում');
INSERT INTO `lang_definitions` VALUES (52995, 1840, 14, 'Դեղամիջոցի անվանումը');
INSERT INTO `lang_definitions` VALUES (52996, 1841, 14, 'Դեղամիջոցի կիրառման մեթոդը');
INSERT INTO `lang_definitions` VALUES (52997, 1845, 14, 'Դեղամիջոցի չափման միավորը');
INSERT INTO `lang_definitions` VALUES (52998, 1846, 14, 'Դեղորայք');
INSERT INTO `lang_definitions` VALUES (52999, 1847, 14, 'Դեղորայք և ապրանքներ');
INSERT INTO `lang_definitions` VALUES (53000, 1848, 14, 'Բերանի չորություն');
INSERT INTO `lang_definitions` VALUES (53001, 1849, 14, 'DSMIV ախտորոշում');
INSERT INTO `lang_definitions` VALUES (53002, 1850, 14, 'Դիֆթերիա, փայտացում 1');
INSERT INTO `lang_definitions` VALUES (53003, 1851, 14, 'Դիֆթերիա, փայտացում 2');
INSERT INTO `lang_definitions` VALUES (53004, 1852, 14, 'Դիֆթերիա, փայտացում 3');
INSERT INTO `lang_definitions` VALUES (53005, 1853, 14, 'Դիֆթերիա, փայտացում 4');
INSERT INTO `lang_definitions` VALUES (53006, 1854, 14, 'Դիֆթերիա, փայտացում 5');
INSERT INTO `lang_definitions` VALUES (53007, 1855, 14, 'Դիֆթերիա, փայտացում, կապույտ հազ 1');
INSERT INTO `lang_definitions` VALUES (53008, 1856, 14, 'Դիֆթերիա, փայտացում, կապույտ հազ 2');
INSERT INTO `lang_definitions` VALUES (53009, 1857, 14, 'Դիֆթերիա, փայտացում, կապույտ հազ 3');
INSERT INTO `lang_definitions` VALUES (53010, 1858, 14, 'Դիֆթերիա, փայտացում, կապույտ հազ 4');
INSERT INTO `lang_definitions` VALUES (53011, 1859, 14, 'Դիֆթերիա, փայտացում, կապույտ հազ 5');
INSERT INTO `lang_definitions` VALUES (53012, 1860, 14, 'Պարտքը');
INSERT INTO `lang_definitions` VALUES (53013, 1861, 14, 'Պարտքի վճարման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53014, 1862, 14, 'Պարտքի վճարման ամսաթիվ աա/օօ/տտ  կամ տտ/աա/օօ');
INSERT INTO `lang_definitions` VALUES (53015, 1863, 14, 'Պարտքի վճարման ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (53016, 1868, 14, 'Պարտքի կարգավիճակի թարմացում');
INSERT INTO `lang_definitions` VALUES (53017, 1869, 14, 'LibreEHR տվյալների բազայի դատարկում');
INSERT INTO `lang_definitions` VALUES (53018, 1870, 14, 'LibreEHR  վեբ֊ուղեցույցի կաղապարի դատարկում');
INSERT INTO `lang_definitions` VALUES (53019, 1871, 14, 'phpGACL տվյալների բազայի դատարկում');
INSERT INTO `lang_definitions` VALUES (53020, 1872, 14, 'phpGACL  վեբ֊ուղեցույցի կաղապարի դատարկում');
INSERT INTO `lang_definitions` VALUES (53021, 1873, 14, 'SQL-Ledger տվյալների բազայի դատարկում');
INSERT INTO `lang_definitions` VALUES (53022, 1874, 14, 'SQL-Ledger վեբ֊ուղեցույցի կաղապարի դատարկում');
INSERT INTO `lang_definitions` VALUES (53023, 1875, 14, 'Կրկնօրինակման ստուգում');
INSERT INTO `lang_definitions` VALUES (53024, 1876, 14, 'Նույնականացման/ID առցանց/օնլայն կրկնօրինակում');
INSERT INTO `lang_definitions` VALUES (53025, 1877, 14, 'Կրկնակի անուն տողում');
INSERT INTO `lang_definitions` VALUES (53026, 1878, 14, 'ԿՐԿՆՕՐԻՆԱԿՄԱՆ ՆԱԽԱԶԳՈՒՇԱՑՈՒՄ');
INSERT INTO `lang_definitions` VALUES (53027, 1879, 14, 'Մշտական լիազորագիր');
INSERT INTO `lang_definitions` VALUES (53028, 1880, 14, 'տևողություն');
INSERT INTO `lang_definitions` VALUES (53029, 1881, 14, 'Տևողություն');
INSERT INTO `lang_definitions` VALUES (53030, 1882, 14, 'Հոլանդական/Հոլանդերեն');
INSERT INTO `lang_definitions` VALUES (53031, 1883, 14, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (53032, 1884, 14, 'Դիսֆագիա /կլման խանգարում, դժվարություն/');
INSERT INTO `lang_definitions` VALUES (53033, 1885, 14, 'Հևոց։');
INSERT INTO `lang_definitions` VALUES (53034, 1886, 14, 'Անմիզություն /դժվարին, ցվոտ միզարձակում/');
INSERT INTO `lang_definitions` VALUES (53035, 1888, 14, 'Էլեկտրոնային դեղատոմս');
INSERT INTO `lang_definitions` VALUES (53036, 1889, 14, 'Էլեկտրոնային հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53037, 1890, 14, 'Էլեկտրոնային դեղատոմս');
INSERT INTO `lang_definitions` VALUES (53038, 1892, 14, 'Էլ․ դեղատոմսի վերահաստատում');
INSERT INTO `lang_definitions` VALUES (53039, 1893, 14, 'Յուրաքանչյուր ստացող իր հաղորդագրությունը պետք է սահմանի որպես կատարված');
INSERT INTO `lang_definitions` VALUES (53040, 1894, 14, 'Վաղ կրկնություն (< 2 ամս.)');
INSERT INTO `lang_definitions` VALUES (53041, 1895, 14, 'Ականջներ');
INSERT INTO `lang_definitions` VALUES (53042, 1896, 14, 'ԷՍԳ Էլեկտրաստրտագրություն');
INSERT INTO `lang_definitions` VALUES (53043, 1897, 14, 'Էլ․ պահանջներ');
INSERT INTO `lang_definitions` VALUES (53044, 1898, 14, 'Այտուց');
INSERT INTO `lang_definitions` VALUES (53045, 1900, 14, 'ԷՏՓ /Էլ․ տվյալների փոխանակման/ պատմություն');
INSERT INTO `lang_definitions` VALUES (53046, 1902, 14, 'ԷՏՓ-271 ֆայլի բեռնում');
INSERT INTO `lang_definitions` VALUES (53047, 1903, 14, 'ԷՏՓ-271 պատասխան ֆայլի բեռնում');
INSERT INTO `lang_definitions` VALUES (53048, 1904, 14, 'Խմբագրել');
INSERT INTO `lang_definitions` VALUES (53049, 1905, 14, 'խմբագրել');
INSERT INTO `lang_definitions` VALUES (53050, 1906, 14, 'Խմբագրել ալերգիան');
INSERT INTO `lang_definitions` VALUES (53051, 1907, 14, 'Խմբագրել կատեգորիան');
INSERT INTO `lang_definitions` VALUES (53052, 1908, 14, 'Խմբագրել սահմանումները');
INSERT INTO `lang_definitions` VALUES (53053, 1909, 14, 'Խմբագրել սահմանումները');
INSERT INTO `lang_definitions` VALUES (53054, 1910, 14, 'Խմբագրել ֊ի ախտորոշումը');
INSERT INTO `lang_definitions` VALUES (53055, 1911, 14, 'Խմբագրել հրապարակումը');
INSERT INTO `lang_definitions` VALUES (53056, 1912, 14, 'Խմբագրել ծառայությունները');
INSERT INTO `lang_definitions` VALUES (53057, 1913, 14, 'Խմբագրել ծառայությունը');
INSERT INTO `lang_definitions` VALUES (53058, 1914, 14, 'Խմբագրել ծառայության մասին տեղեկատվությունը');
INSERT INTO `lang_definitions` VALUES (53059, 1915, 14, 'Խմբագրել Հատուկ Օգտվողի ծառայությունների տեղեկատվությունը');
INSERT INTO `lang_definitions` VALUES (53060, 1916, 14, 'Խմբագրել ֊ի ֆայլը');
INSERT INTO `lang_definitions` VALUES (53061, 1917, 14, 'Խմբագրել խարուցվածքը/ձևաչափը');
INSERT INTO `lang_definitions` VALUES (53062, 1918, 14, 'Խմբագրել գլոբալ պարամետրերը');
INSERT INTO `lang_definitions` VALUES (53063, 1919, 14, 'Խմբագրում չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (53064, 1920, 14, 'Խմբագրել դասավորությունը');
INSERT INTO `lang_definitions` VALUES (53065, 1921, 14, 'Խմբագրել ցանկը');
INSERT INTO `lang_definitions` VALUES (53066, 1922, 14, 'Խմբագրել վճարումը');
INSERT INTO `lang_definitions` VALUES (53067, 1923, 14, 'Խմբագրել կառուցվածքը');
INSERT INTO `lang_definitions` VALUES (53068, 1924, 14, 'Խմբագրել օգտվողի/օգտատիրոջ տվյալները');
INSERT INTO `lang_definitions` VALUES (53069, 1925, 14, 'Խմբագրել օգտվողի/օգտատիրոջ պարամետրերը');
INSERT INTO `lang_definitions` VALUES (53070, 1926, 14, 'Խմբագրեք ձեր մուտքագրած տվյալները');
INSERT INTO `lang_definitions` VALUES (53071, 1927, 14, 'Խմբագրման ձախողում');
INSERT INTO `lang_definitions` VALUES (53072, 1928, 14, 'Կրթություն');
INSERT INTO `lang_definitions` VALUES (53073, 1929, 14, 'Կրթության տարեթիվ');
INSERT INTO `lang_definitions` VALUES (53074, 1930, 14, 'Կրթական նյութեր');
INSERT INTO `lang_definitions` VALUES (53075, 1932, 14, 'Փաստացի /ուժի մեջ մտնելու/ ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (53076, 1934, 14, 'Արդյունավետություն');
INSERT INTO `lang_definitions` VALUES (53077, 1935, 14, 'Գործատուի նույնականացման համարը');
INSERT INTO `lang_definitions` VALUES (53078, 1936, 14, 'Սերմնաժայթքում');
INSERT INTO `lang_definitions` VALUES (53079, 1937, 14, 'Արմունկ');
INSERT INTO `lang_definitions` VALUES (53080, 1938, 14, 'Արմունկի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (53081, 1939, 14, 'Էլեկտրոնային');
INSERT INTO `lang_definitions` VALUES (53082, 1942, 14, 'Էլեկտրոնային փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (53083, 1943, 14, 'Էլեկտրոնային հաշվետվություններ');
INSERT INTO `lang_definitions` VALUES (53084, 1944, 14, 'Իրավասություն / Պիտանիության ժամկետ');
INSERT INTO `lang_definitions` VALUES (53085, 1945, 14, '270');
INSERT INTO `lang_definitions` VALUES (53086, 1946, 14, 'Ընդունելի պատասխան');
INSERT INTO `lang_definitions` VALUES (53087, 1947, 14, 'Երեխեներին մատակարարվող պատվաստանյութի պիտանիության կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (53088, 1948, 14, 'Պիտանի /ընդունելի');
INSERT INTO `lang_definitions` VALUES (53089, 1949, 14, 'Էլ֊փոստ');
INSERT INTO `lang_definitions` VALUES (53090, 1950, 14, 'Էլ֊փոստ');
INSERT INTO `lang_definitions` VALUES (53091, 1951, 14, 'Էլ֊փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (53092, 1952, 14, 'Էլ֊փոստի հասցեն բացակայում է');
INSERT INTO `lang_definitions` VALUES (53093, 1953, 14, 'Պացիենտին հիշեցումներ ուղարկողի էլ․փոստի հասցեն։ Պացիենտի հիշեցումներին կատարված պատասխանները ուղղվում են այդ հասցեին։ Կարևոր է, որ այդ հասցեն լինի Կլինիկայի դոմենից՝ խուսափելու համար այդ հիշեցում֊նամակների՝ պացիենտի էլ֊փոստի \"աղբամանում\" հայտնվելուց');
INSERT INTO `lang_definitions` VALUES (53094, 1954, 14, 'Առկա որևէ էլ֊հասցե՝ ադմինիստրատիվ ծանուցումներ ստանալու համար');
INSERT INTO `lang_definitions` VALUES (53095, 1955, 14, 'Առկա որևէ էլ֊հասցե՝ օգտվողի արտակարգ մուտքի ակտիվացման հաղորդագրություն ստանալու համար');
INSERT INTO `lang_definitions` VALUES (53096, 1956, 14, 'Էլ֊փոստի թույլատրություն');
INSERT INTO `lang_definitions` VALUES (53097, 1957, 14, 'Փաթեթի մշակման Էլ․նամակ');
INSERT INTO `lang_definitions` VALUES (53098, 1958, 14, 'Էլ․նամակի ծանուցում');
INSERT INTO `lang_definitions` VALUES (53099, 1959, 14, 'Էլ․նամակի ծանուցման ժամեր');
INSERT INTO `lang_definitions` VALUES (53100, 1960, 14, 'Էլ․նամակի ծանուցման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53101, 1961, 14, 'Ուղարկել էլ․նամակ մինչև');
INSERT INTO `lang_definitions` VALUES (53102, 1962, 14, 'Էլ․ նամակ ուղարկողը');
INSERT INTO `lang_definitions` VALUES (53103, 1963, 14, 'Էլ․ նամակն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (53104, 1964, 14, 'Էլ․ նամակն ուղարկված է ֊ին');
INSERT INTO `lang_definitions` VALUES (53105, 1965, 14, 'Էլ․ նամակի թեման');
INSERT INTO `lang_definitions` VALUES (53106, 1966, 14, 'Էլ․նամակի տեքստ․ կիրառվող թեգ։ ***ԱՆՎԱՆՈՒՄ***, այսինքն՝ Հարգելի ***ԱՆՈՒՆ***');
INSERT INTO `lang_definitions` VALUES (53107, 1967, 14, 'Էլ․նամակի տեքստ․ կիրառվող թեգ։ ***ԱՆՎԱՆՈՒՄ***, այսինքն՝ Հարգելի ***ԱՆՈՒՆ***{{Չթարգմանել ***NAME*** այս հիմնանվան տարրերը.}}');
INSERT INTO `lang_definitions` VALUES (53108, 1968, 14, 'Էլ․փոստի փոխանցման մեթոդ');
INSERT INTO `lang_definitions` VALUES (53109, 1969, 14, 'Էլ․փոստն ուղարկված է հետևյալ հասցեներին');
INSERT INTO `lang_definitions` VALUES (53110, 1971, 14, 'Լրացուցիչ կապի միջոց');
INSERT INTO `lang_definitions` VALUES (53111, 1972, 14, 'Լրացուցիչ կապի միջոց');
INSERT INTO `lang_definitions` VALUES (53112, 1973, 14, 'Արտակարգ իրավիճակների հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (53113, 1974, 14, 'Հարկադրված հակաբեղմնավորում');
INSERT INTO `lang_definitions` VALUES (53114, 1975, 14, 'Արտակարգ իրավիճակների Մուտք');
INSERT INTO `lang_definitions` VALUES (53115, 1976, 14, 'Ընտրված է ACL ԱԻ Մուտքը։ Օգտվողի կարգավիճակը դեռ ակտիվ է։ Ապաակտիվացրեք այն, և կրկին ակտիվացրեք դրա անհրաժեշտության դեպքում։ Այցելեք Ադմինիստրացիա->Օգտատերեր ակտիվացնելու և/կամ ապաակտիվացման համար');
INSERT INTO `lang_definitions` VALUES (53116, 1978, 14, 'ԱԻ Մուտքի էլ․փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (53117, 1979, 14, 'ԱԻ Մուտք ունեցող Օգտատերը համակարգում կարող է անել ամեն ինչ');
INSERT INTO `lang_definitions` VALUES (53118, 1980, 14, 'ԱԻ Հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (53119, 1981, 14, 'Հուզական/Վարքագծային իրավիճակներ և բարդություններ');
INSERT INTO `lang_definitions` VALUES (53120, 1983, 14, 'Աշխատակից');
INSERT INTO `lang_definitions` VALUES (53121, 1984, 14, 'Աշխատանքի վայրը');
INSERT INTO `lang_definitions` VALUES (53122, 1985, 14, 'Աշխատավայրի հասցեն');
INSERT INTO `lang_definitions` VALUES (53123, 1986, 14, 'Աշխատանքի ընդունման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53124, 1987, 14, 'Աշխատավայրի անվանումը');
INSERT INTO `lang_definitions` VALUES (53125, 1988, 14, 'ԴԱՏԱՐԿ');
INSERT INTO `lang_definitions` VALUES (53126, 1989, 14, 'դատարկ');
INSERT INTO `lang_definitions` VALUES (53127, 1990, 14, 'Դատարկ գաղտնաբառ չի թույլատրվում');
INSERT INTO `lang_definitions` VALUES (53128, 1991, 14, '\"էլ․փոստի ժամ\" ֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53129, 1992, 14, '\"էլ․փոստ ուղարկող\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53130, 1993, 14, '\"էլ․փոստի թեմա\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53131, 1994, 14, '\"էլ․փոստի տեքստ\" ֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53132, 1995, 14, '\"Մասնագետի ազգանուն\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53133, 1996, 14, '\"Գաղտնաբառ\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53134, 1997, 14, '\"SMS հաղորդագրության ժամ\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53135, 1998, 14, '\"SMS հաղորդագրության տեքստ\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53136, 1999, 14, '\"Օգտվողի անուն\"֊ի դատարկ արժեք');
INSERT INTO `lang_definitions` VALUES (53137, 2006, 14, 'Միացնել AMC զանգը');
INSERT INTO `lang_definitions` VALUES (53138, 2008, 14, 'Միացնել AMC հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (53139, 2009, 14, 'Միացնել AMC վերահսկողությունը');
INSERT INTO `lang_definitions` VALUES (53140, 2010, 14, 'Միացնել լրացումների հնարավորությունը');
INSERT INTO `lang_definitions` VALUES (53141, 2011, 14, 'Միացնել ATNA աուդիտը');
INSERT INTO `lang_definitions` VALUES (53142, 2012, 14, 'Միացնել աուդիտի մուտքի կոդավորումը');
INSERT INTO `lang_definitions` VALUES (53143, 2015, 14, 'Միացնել Ավտոմատ Չափման Հաշվարկների (AMC/ԱՉՀ) հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (53144, 2016, 14, 'Թույլատրել հաճախորդի SSL');
INSERT INTO `lang_definitions` VALUES (53145, 2017, 14, 'Թույլատրել հաճախորդի SSL վկայագրի վավերացումը/սկության ստուգումը');
INSERT INTO `lang_definitions` VALUES (53146, 2019, 14, 'Միացնել Կլինիկական Որոշումների Ընդունման Կանոնները (ԿՈԿ)');
INSERT INTO `lang_definitions` VALUES (53147, 2022, 14, 'Միացնել Կլինիկական Որակի Չափման (ԿՈՉ) Հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53148, 2023, 14, 'Միացնել pop-up/թռուցիկ կլինիկական հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (53149, 2024, 14, 'Միացնել  կլինիկական հիշեցումների վիդջեթ/Widget');
INSERT INTO `lang_definitions` VALUES (53150, 2025, 14, 'Միացնել CMS Portal /Պորտալը');
INSERT INTO `lang_definitions` VALUES (53151, 2026, 14, 'Միացնել CQM հաշվետվության իկոնավորումը');
INSERT INTO `lang_definitions` VALUES (53152, 2027, 14, 'Միացնել CQM հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (53153, 2028, 14, 'Ձախ մենյուում, միացնել ԷՏՓ /Էլ․ տվյալների փոխանակման/ պատմությունը');
INSERT INTO `lang_definitions` VALUES (53154, 2030, 14, 'Միացնել/ավելացնել \"Վճարումներ\" Ձախ մենյուում');
INSERT INTO `lang_definitions` VALUES (53155, 2031, 14, 'Միացնել Hylafax աջակցություն');
INSERT INTO `lang_definitions` VALUES (53156, 2033, 14, 'Միացնել NewCrop erx ներմուծման կարգավիճակի մասին հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (53157, 2037, 14, 'Միացնել/թույլատրել Լաբորատոր փոխանակում');
INSERT INTO `lang_definitions` VALUES (53158, 2040, 14, 'Միացնել/թույլատրել  SQL SELECT հարցումների գրանցում');
INSERT INTO `lang_definitions` VALUES (53159, 2041, 14, 'Միացնել/թույլատրել  պահեստային կրկնօրինակին առնչվող գործողությունների/ գրանցում');
INSERT INTO `lang_definitions` VALUES (53160, 2043, 14, 'Միացնել/թույլատրել  խառը գործողությունների/ակտիվության գրանցում');
INSERT INTO `lang_definitions` VALUES (53161, 2044, 14, 'Միացնել/թույլատրել  պահանջների գործողությունների/ակտիվության գրանցում');
INSERT INTO `lang_definitions` VALUES (53162, 2045, 14, 'Միացնել/թույլատրել  պացիենտի գրանցման փոփոխությունների գրանցում');
INSERT INTO `lang_definitions` VALUES (53163, 2046, 14, 'Միացնել/թույլատրել ծրագրերի/պլանների  գործունեության/ակտիվության գրանցում');
INSERT INTO `lang_definitions` VALUES (53164, 2047, 14, 'Միացնել/թույլատրել անվտանգության և կառավարման գործունեության գրանցում');
INSERT INTO `lang_definitions` VALUES (53165, 2049, 14, 'Միացնել/թույլատրել NewCrop eRx/էլ․ դեղատոմս/ ծառայություն');
INSERT INTO `lang_definitions` VALUES (53166, 2051, 14, 'Միացնել/ստեղծել  օտարերկրյա հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (53167, 2052, 14, 'Միացնել/ստեղծել  օտարերկրյա հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (53168, 2053, 14, 'Միացնել/ստեղծել ներքին/համերկրացի հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (53169, 2055, 14, 'Միացնել/ստեղծել ներքին/համերկրացի հիվանդների պորտալ');
INSERT INTO `lang_definitions` VALUES (53170, 2056, 14, 'Միացնել  պացիենտի հիշեցումների վիդջեթ/Widget');
INSERT INTO `lang_definitions` VALUES (53171, 2058, 14, 'Միացնել Ավտոմատ Չափման Հաշվարկների (ԱՉՀ) պահանջվող տվյալների հիշեցում');
INSERT INTO `lang_definitions` VALUES (53172, 2061, 14, 'Միացնել սկաները');
INSERT INTO `lang_definitions` VALUES (53173, 2065, 14, 'Միացնել LibreEHR օգնության  LLC Լաբորատոր փոխանակման ծառայությունը');
INSERT INTO `lang_definitions` VALUES (53174, 2066, 14, 'Միացնել Օգտվողի Հավաստագրի իսկության ստուգում');
INSERT INTO `lang_definitions` VALUES (53175, 2067, 14, 'Միացնել ZMG, LLC eRx ծառայություն');
INSERT INTO `lang_definitions` VALUES (53176, 2068, 14, 'Միացված/թույլատրված է');
INSERT INTO `lang_definitions` VALUES (53177, 2070, 14, 'Թույլատրում է հին Վճարումների վահանակում մուտքագրել հաշվի/բիլլինգ կոդեր վճարումներ։ Խորհուրդ չի տրվում․ փոխարենն օգտագործեք Վճարման Թերթիկը');
INSERT INTO `lang_definitions` VALUES (53178, 2071, 14, 'Այց․');
INSERT INTO `lang_definitions` VALUES (53179, 2072, 14, 'Այց/հնդ․');
INSERT INTO `lang_definitions` VALUES (53180, 2073, 14, 'Այցելություն/հանդիպում');
INSERT INTO `lang_definitions` VALUES (53181, 2074, 14, 'Այցելություն/հանդիպում');
INSERT INTO `lang_definitions` VALUES (53182, 2075, 14, 'Այցելություն/հանդիպում ');
INSERT INTO `lang_definitions` VALUES (53183, 2076, 14, 'Պացիենտի անհետաձգելի տեղափոխում ստացիոնար կամ ԱԻ բաժին');
INSERT INTO `lang_definitions` VALUES (53184, 2081, 14, 'Այցելության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53185, 2086, 14, 'Այցելության ձևեր');
INSERT INTO `lang_definitions` VALUES (53186, 2087, 14, 'Այցելություն առողջության ու վարքագծի գնահատման համար');
INSERT INTO `lang_definitions` VALUES (53187, 2088, 14, 'Այցելությունների ժամանակագրություն');
INSERT INTO `lang_definitions` VALUES (53188, 2089, 14, 'Այցելության  ID');
INSERT INTO `lang_definitions` VALUES (53189, 2090, 14, 'Այցելություն գրիպի խնդրով');
INSERT INTO `lang_definitions` VALUES (53190, 2091, 14, 'Այցելությունների քանակ');
INSERT INTO `lang_definitions` VALUES (53191, 2093, 14, 'Այցելություն բուժքրոջ մոտ՝ դուրսգրման համար');
INSERT INTO `lang_definitions` VALUES (53192, 2094, 14, 'Այցելություն բուժույրական ծառայության համար');
INSERT INTO `lang_definitions` VALUES (53193, 2095, 14, 'Այցելություն էրոթերապիայի համար');
INSERT INTO `lang_definitions` VALUES (53194, 2096, 14, 'Գրասենյակային այցելություն');
INSERT INTO `lang_definitions` VALUES (53195, 2097, 14, 'Ամբուլատոր այց');
INSERT INTO `lang_definitions` VALUES (53196, 2098, 14, 'w/PCP & obgyn ամբուլատոր այց');
INSERT INTO `lang_definitions` VALUES (53197, 2099, 14, 'Այցելության էջի չափեր');
INSERT INTO `lang_definitions` VALUES (53198, 2100, 14, 'Այցելության վճար');
INSERT INTO `lang_definitions` VALUES (53199, 2101, 14, 'Հղիության խորհրդատվության այց');
INSERT INTO `lang_definitions` VALUES (53200, 2102, 14, 'Անհատական պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (53201, 2103, 14, '40 և բարձր տարիքային պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (53202, 2104, 14, 'Խմբային պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (53203, 2105, 14, 'Այլ ծառայությունների պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (53204, 2106, 14, '18 և բարձր տարիքային պրոֆիլակտիկ բուժզննման այց');
INSERT INTO `lang_definitions` VALUES (53205, 2107, 14, 'Հոգեբանի և հոգեբույժի այցելություն');
INSERT INTO `lang_definitions` VALUES (53206, 2108, 14, 'Այցելությունների վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (53207, 2109, 14, 'Այցելության ամփոփում');
INSERT INTO `lang_definitions` VALUES (53208, 2110, 14, 'Այցը կոդավորված է');
INSERT INTO `lang_definitions` VALUES (53209, 2111, 14, 'Այց/Այցելություն');
INSERT INTO `lang_definitions` VALUES (53210, 2112, 14, 'Այցելություն։ Հիվանդի պլանավորված այց ստացիոնար, ամբուլատոր կամ ակնաբուժական բաժանմունք');
INSERT INTO `lang_definitions` VALUES (53211, 2113, 14, 'Այցեր/Այցելություններ');
INSERT INTO `lang_definitions` VALUES (53212, 2114, 14, 'Այցելություններ և դրանց կարգը');
INSERT INTO `lang_definitions` VALUES (53213, 2115, 14, 'Այցելություններ &amp։ կարգեր/ձևեր');
INSERT INTO `lang_definitions` VALUES (53214, 2116, 14, 'Այցերի/Այցելությունների  հասանելիություն թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (53215, 2117, 14, 'Այցերի/Այցելությունների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53216, 2118, 14, 'Այցերի/Այցելությունների բաժին');
INSERT INTO `lang_definitions` VALUES (53217, 2120, 14, 'Կոդավորում');
INSERT INTO `lang_definitions` VALUES (53218, 2121, 14, 'Վերջ/Ավարտ');
INSERT INTO `lang_definitions` VALUES (53219, 2122, 14, 'Վերջ/Ավարտ  (yyyy-mm-dd)/ (տտ-աա-օօ)։ ');
INSERT INTO `lang_definitions` VALUES (53220, 2123, 14, 'Ավարտ (ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (53221, 2124, 14, 'Ավարտ (ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (53222, 2126, 14, 'Ավարտման ամսաթիվը պետք է  ուշ լինի Սկզբի ամսաթվից');
INSERT INTO `lang_definitions` VALUES (53223, 2127, 14, 'Ավարտ (ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (53224, 2130, 14, 'Հաշվետվության ավարտ');
INSERT INTO `lang_definitions` VALUES (53225, 2131, 14, 'Ավարտման ժամ');
INSERT INTO `lang_definitions` VALUES (53226, 2133, 14, 'Ծառայության ավարտի ամսաթիվ yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (53227, 2135, 14, 'Օրացույցային իրադարձությունների ավարտման ժամ');
INSERT INTO `lang_definitions` VALUES (53228, 2136, 14, 'Արյան՝ նորմայից խիստ շեղում');
INSERT INTO `lang_definitions` VALUES (53229, 2137, 14, 'Էնդոկրին');
INSERT INTO `lang_definitions` VALUES (53230, 2138, 14, 'Էնդոսկոպ');
INSERT INTO `lang_definitions` VALUES (53231, 2141, 14, 'Անգլերեն');
INSERT INTO `lang_definitions` VALUES (53232, 2142, 14, 'Անգլերեն ');
INSERT INTO `lang_definitions` VALUES (53233, 2143, 14, 'Անգլերեն (հնդկական)');
INSERT INTO `lang_definitions` VALUES (53234, 2144, 14, 'Անգլերեն (սատնդարտ)');
INSERT INTO `lang_definitions` VALUES (53235, 2145, 14, 'Կոդավորել Hylafax֊ով օգտագործված/կիրառված հրամանը');
INSERT INTO `lang_definitions` VALUES (53236, 2146, 14, 'Համոզվեք, որ LibreEHR֊ը տեղեկատուի մուտքի արտոնություն ունի');
INSERT INTO `lang_definitions` VALUES (53237, 2147, 14, 'Քիթ֊Կոկորդ֊Ականջ/ՔԿԱ դուրսգրում');
INSERT INTO `lang_definitions` VALUES (53238, 2148, 14, 'ՔԿԱ/Քիթ֊Կոկորդ֊Ականջ/ ցավեր');
INSERT INTO `lang_definitions` VALUES (53239, 2149, 14, 'Մուտքագրեք ախտորոշման կոդը՝ բացառելու համար այդ կոդը չպարունակող մնացած հաշիվ֊ապրանքագրերը');
INSERT INTO `lang_definitions` VALUES (53240, 2150, 14, 'Մուտքագրեք/ կատարեք փոփոխություններ և լրացումներ');
INSERT INTO `lang_definitions` VALUES (53241, 2151, 14, 'Նամակի բովանդակությունը/տեքստը մուտքագրեք այստեղ');
INSERT INTO `lang_definitions` VALUES (53242, 2152, 14, 'Մուտքագրեք տվյալների բազայի արմատական/root գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (53243, 2153, 14, 'Մուտքագրեք տվյալների բազայի արմատական/root օգտանունը/օգտվողի անունը');
INSERT INTO `lang_definitions` VALUES (53244, 2154, 14, 'Մուտքագրեք ախտորոշումը');
INSERT INTO `lang_definitions` VALUES (53245, 2155, 14, 'Մուտքագրեք դեղամիջոցները/դեղորայքը');
INSERT INTO `lang_definitions` VALUES (53246, 2156, 14, 'Մուտքագրեք այցելությունը');
INSERT INTO `lang_definitions` VALUES (53247, 2157, 14, 'Մուտքագրեք այցելության համարը');
INSERT INTO `lang_definitions` VALUES (53248, 2158, 14, 'Մուտքագրեք պատվաստումը');
INSERT INTO `lang_definitions` VALUES (53249, 2159, 14, 'Մուտքագրեք բանալի բառը/կոդը');
INSERT INTO `lang_definitions` VALUES (53250, 2160, 14, 'Մուտքագրեք նոր տվյալ');
INSERT INTO `lang_definitions` VALUES (53251, 2161, 14, 'Մուտքագրեք նոր բաժին');
INSERT INTO `lang_definitions` VALUES (53252, 2162, 14, 'Մուտքագրեք ստացողի հասցեն');
INSERT INTO `lang_definitions` VALUES (53253, 2163, 14, 'Այս միջամտության համար մուտքագրեք LOINC կոդ');
INSERT INTO `lang_definitions` VALUES (53254, 2164, 14, 'Մուտքագրեք վերանույնականացման  կոդը');
INSERT INTO `lang_definitions` VALUES (53255, 2165, 14, 'Որոնման չափանիշները նշեք վերևում');
INSERT INTO `lang_definitions` VALUES (53256, 2166, 14, 'Սխալ մուտքագրում');
INSERT INTO `lang_definitions` VALUES (53257, 2167, 14, 'Մուտքեր');
INSERT INTO `lang_definitions` VALUES (53258, 2168, 14, 'Բնապահպանական');
INSERT INTO `lang_definitions` VALUES (53259, 2169, 14, 'EOB  (գործատուի, պետության կամ ապահովագրական ընկերության  կատարվող վճարի ծանուցում/բացատրագիր) տվյալների մուտք');
INSERT INTO `lang_definitions` VALUES (53260, 2170, 14, 'EOB մուտքագրում ֊ էլէկտրոնային փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (53261, 2171, 14, 'EOB մուտքագրում ֊ հրահանգ');
INSERT INTO `lang_definitions` VALUES (53262, 2172, 14, 'EOB մուտքագրում ֊ հաշիվ ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (53263, 2173, 14, 'EOB մուտքագրում ֊ Պացիենտի գրառում');
INSERT INTO `lang_definitions` VALUES (53264, 2174, 14, 'EOB մուտքագրում ֊ Որոնում');
INSERT INTO `lang_definitions` VALUES (53265, 2176, 14, 'Էպիլեպսիա');
INSERT INTO `lang_definitions` VALUES (53266, 2178, 14, 'Երիկամային հիվանդություններով զբաղվող մասնագետների Եվրոպական Ասոցացիա /ԵՀԶՄԵԱ/');
INSERT INTO `lang_definitions` VALUES (53267, 2179, 14, 'ԵՀԶՄԵԱ ֆայլեր');
INSERT INTO `lang_definitions` VALUES (53268, 2180, 14, 'ԵՀԶՄԵԱ հայտարարությունների տեղադրում');
INSERT INTO `lang_definitions` VALUES (53269, 2181, 14, 'Վերացնել/ջնջել');
INSERT INTO `lang_definitions` VALUES (53270, 2182, 14, 'էրեկցիա');
INSERT INTO `lang_definitions` VALUES (53271, 2183, 14, 'Սխալ');
INSERT INTO `lang_definitions` VALUES (53272, 2184, 14, 'ՍԽԱԼ');
INSERT INTO `lang_definitions` VALUES (53273, 2185, 14, 'Լաբորատոր հետազոտության արդյունքների անդորրագրի հաստատման սխալ');
INSERT INTO `lang_definitions` VALUES (53274, 2187, 14, 'Lab Exchange Network ֊ից լաբորատոր հետազոտության արդյունքների ստացման սխալ');
INSERT INTO `lang_definitions` VALUES (53275, 2188, 14, '\"Սեռ\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (53276, 2189, 14, '\"HIPAA\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (53277, 2190, 14, '\"Գործընթաց\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (53278, 2191, 14, '\"SMS շլյուզի\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (53279, 2192, 14, '\"Դասավորել ըստ\" ընտրության սխալ');
INSERT INTO `lang_definitions` VALUES (53280, 2193, 14, 'Ֆայլի gzip սեղմման սխալ: ');
INSERT INTO `lang_definitions` VALUES (53281, 2194, 14, 'ԱՅՈ կամ ՈՉ տարբերակի սխալ');
INSERT INTO `lang_definitions` VALUES (53282, 2195, 14, 'Բեռնված ֆայլի բացման ընթացքում գրանցված սխալ');
INSERT INTO `lang_definitions` VALUES (53283, 2196, 14, 'Ֆայլի գործարկման սխալ');
INSERT INTO `lang_definitions` VALUES (53284, 2197, 14, 'Ֆայլի բեռնման սխալ');
INSERT INTO `lang_definitions` VALUES (53285, 2198, 14, 'Հաղորդագրության հեռացման սխալ');
INSERT INTO `lang_definitions` VALUES (53286, 2199, 14, 'Lab Exchange Network ֊ից  արդյունքների վերստացման/վերականգնման սխալ');
INSERT INTO `lang_definitions` VALUES (53287, 2200, 14, 'Նշանակության/արժեքի վերստացման/վերականգնման սխալ');
INSERT INTO `lang_definitions` VALUES (53288, 2201, 14, 'Փաստաթղթի պահպանման սխալ');
INSERT INTO `lang_definitions` VALUES (53289, 2202, 14, 'LibreEHR Օգտվողին ֆայլի հասանելիության տրամադրման սխալ');
INSERT INTO `lang_definitions` VALUES (53290, 2205, 14, 'Ձևաչափի գրանցման սխալ');
INSERT INTO `lang_definitions` VALUES (53291, 2206, 14, 'Ֆայլի պահպանման սխալ');
INSERT INTO `lang_definitions` VALUES (53292, 2209, 14, 'նոր արդյունքնրից ստացված սխալ');
INSERT INTO `lang_definitions` VALUES (53293, 2210, 14, 'ՍԽԱԼ։ ֆայլը գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (53294, 2211, 14, 'ՍԽԱԼ։ հնարավոր չէ սերվերից տվյալներ հավաքել');
INSERT INTO `lang_definitions` VALUES (53295, 2212, 14, 'Սխալ։ հնարավոր չէ ստեղծել հաճախորդի վկայական/հավաստագիր');
INSERT INTO `lang_definitions` VALUES (53296, 2213, 14, 'Սխալ։ հնարավոր չէ ստեղծել admin.p12 վկայական/հավաստագիր');
INSERT INTO `lang_definitions` VALUES (53297, 2214, 14, 'Սխալ։ հնարավոր չէ ստեղծել Հավաստագրող Մարմնի վկայական');
INSERT INTO `lang_definitions` VALUES (53298, 2215, 14, 'Սխալ։ հնարավոր չէ ստեղծել Սերվերի վկայական');
INSERT INTO `lang_definitions` VALUES (53299, 2216, 14, 'Սխալ։ հնարավոր չէ բացել ֆայլը');
INSERT INTO `lang_definitions` VALUES (53300, 2217, 14, 'Սխալ։  LibreEHR֊ում Սերտիֆիկացման Լիազորություն միացված/ակտիվացված չէ');
INSERT INTO `lang_definitions` VALUES (53301, 2218, 14, 'Սխալ։ անհրաժեշտ է տեղադրել Archive/Tar.php php մոդուլ');
INSERT INTO `lang_definitions` VALUES (53302, 2219, 14, 'ՍԽԱԼ։ հնարավո՞ր չէ բացել table.sql վնասված ձևը');
INSERT INTO `lang_definitions` VALUES (53303, 2220, 14, 'Սխալ։ տողում առկա է ID կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (53304, 2221, 14, 'Սխալ։ տողում առկա է անվան կրկնօրինակ');
INSERT INTO `lang_definitions` VALUES (53305, 2222, 14, 'ՍԽԱԼ։ Դաշտ');
INSERT INTO `lang_definitions` VALUES (53306, 2223, 14, 'ՍԽԱԼ։ Բացակայող ZipArchive PHP մոդուլ');
INSERT INTO `lang_definitions` VALUES (53307, 2225, 14, 'Սխալ։ Գաղտնաբառերը չեն համապատասխանում։ Ստուգեք կատարած մուտքագրումը');
INSERT INTO `lang_definitions` VALUES (53308, 2226, 14, 'Սխալ։ Գաղտնաբառերը չեն համապատասխանում։ Ստուգեք կատարած մուտքագրումը');
INSERT INTO `lang_definitions` VALUES (53309, 2227, 14, 'Սխալ։ Ֆայլ գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (53310, 2229, 14, 'ՍԽԱԼ։ հնարավոր չէ կրկնօրինակել ֆայլը');
INSERT INTO `lang_definitions` VALUES (53311, 2230, 14, 'Սխալ։ հնարավոր չէ ստեղծել արխիվի ներբեռնման տարբերակ');
INSERT INTO `lang_definitions` VALUES (53312, 2231, 14, 'ՍԽԱԼ։ հնարավոր չէ ստեղծել Zip արխիվ');
INSERT INTO `lang_definitions` VALUES (53313, 2232, 14, 'ՍԽԱԼ։ հնարավոր չէ ապաարխիվացնել');
INSERT INTO `lang_definitions` VALUES (53314, 2233, 14, 'ՍԽԱԼ։ հնարավոր չէ ֆայլը բեռնել տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (53315, 2234, 14, 'ՍԽԱԼ։ հնարավոր չէ սահմանել տարբերակի համարը');
INSERT INTO `lang_definitions` VALUES (53316, 2235, 14, 'Սխալներ');
INSERT INTO `lang_definitions` VALUES (53317, 2236, 14, 'eRx հաշվի/օգտվողի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (53318, 2237, 14, 'eRx օգտվողներ/մուտքեր');
INSERT INTO `lang_definitions` VALUES (53319, 2238, 14, 'ERX Անուն');
INSERT INTO `lang_definitions` VALUES (53320, 2239, 14, 'ERX Գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (53321, 2240, 14, 'ERX Դեր/Նշանակություն');
INSERT INTO `lang_definitions` VALUES (53322, 2241, 14, 'ERX Օգտվող/օգտատեր');
INSERT INTO `lang_definitions` VALUES (53323, 2243, 14, 'Էլ․ ստորագրություն');
INSERT INTO `lang_definitions` VALUES (53324, 2244, 14, 'Էլ․ ստորագրության մուտք');
INSERT INTO `lang_definitions` VALUES (53325, 2245, 14, 'Էսկիմոս');
INSERT INTO `lang_definitions` VALUES (53326, 2247, 14, 'Գրանցված պացիենտ');
INSERT INTO `lang_definitions` VALUES (53327, 2248, 14, 'Էստոնացի /էստոներեն');
INSERT INTO `lang_definitions` VALUES (53328, 2249, 14, 'Էթնիկ պատկանելիություն/Ծագում/Ազգություն');
INSERT INTO `lang_definitions` VALUES (53329, 2250, 14, 'Էթնիկ պատկանելիություն/Ազգություն կամ ռասսա');
INSERT INTO `lang_definitions` VALUES (53330, 2251, 14, 'Ծագում֊Ռասսայի ցանկ (նշել, ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (53331, 2252, 14, 'ETIN');
INSERT INTO `lang_definitions` VALUES (53332, 2253, 14, 'Իրադարձություն');
INSERT INTO `lang_definitions` VALUES (53333, 2254, 14, 'Իրադարձության սկիզբ');
INSERT INTO `lang_definitions` VALUES (53334, 2255, 14, 'Իրադարձության կատեգորիա');
INSERT INTO `lang_definitions` VALUES (53335, 2256, 14, 'Իրադարձության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53336, 2257, 14, 'Իրադարձության նկարագիրություն');
INSERT INTO `lang_definitions` VALUES (53337, 2258, 14, 'Իրադարձության մանրամասներ');
INSERT INTO `lang_definitions` VALUES (53338, 2259, 14, 'Իրադարձությունը չի կրկնվում');
INSERT INTO `lang_definitions` VALUES (53339, 2260, 14, 'Իրադարձության տևողություն');
INSERT INTO `lang_definitions` VALUES (53340, 2261, 14, 'Իրադարձության տևողությունը րոպեներով');
INSERT INTO `lang_definitions` VALUES (53341, 2262, 14, 'Իրադարձության վճար');
INSERT INTO `lang_definitions` VALUES (53342, 2263, 14, 'Իրադարձության վայր');
INSERT INTO `lang_definitions` VALUES (53343, 2264, 14, 'Իրադարձությունը կրկնվում է յուրաքանչյուր․․․');
INSERT INTO `lang_definitions` VALUES (53344, 2265, 14, 'Իրադարձությունը կրկնվում է ․․․ին');
INSERT INTO `lang_definitions` VALUES (53345, 2266, 14, 'Իրադարձության մեկնարկի ժամ');
INSERT INTO `lang_definitions` VALUES (53346, 2267, 14, 'Իրադարձության վերնագիր');
INSERT INTO `lang_definitions` VALUES (53347, 2268, 14, 'Իրադարձության վերնագիր');
INSERT INTO `lang_definitions` VALUES (53348, 2269, 14, 'Իրադարձության վեբ֊կայք');
INSERT INTO `lang_definitions` VALUES (53349, 2270, 14, 'Իրադարձություններ');
INSERT INTO `lang_definitions` VALUES (53350, 2271, 14, 'Իրադարձություններ ․․․ի համար');
INSERT INTO `lang_definitions` VALUES (53351, 2272, 14, 'Իրադարձությունները բացվում են նոր պատուհանում');
INSERT INTO `lang_definitions` VALUES (53352, 2273, 14, 'յուրաքանչյուր');
INSERT INTO `lang_definitions` VALUES (53353, 2274, 14, 'Յուրաքանչյուր');
INSERT INTO `lang_definitions` VALUES (53354, 2275, 14, 'ամեն 3֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (53355, 2276, 14, 'ամեն 4֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (53356, 2277, 14, 'ամեն 5֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (53357, 2278, 14, 'ամեն 6֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (53358, 2279, 14, 'ամեն 8֊րդ ժամին');
INSERT INTO `lang_definitions` VALUES (53359, 2280, 14, 'Ամեն չորրորդ');
INSERT INTO `lang_definitions` VALUES (53360, 2281, 14, 'Ամեն երկրորդ');
INSERT INTO `lang_definitions` VALUES (53361, 2282, 14, 'Ամեն երրորդ');
INSERT INTO `lang_definitions` VALUES (53362, 2283, 14, 'Յուրաքանչյուր․ ամեն երկրորդ, ամեն երրորդ ը այլն․');
INSERT INTO `lang_definitions` VALUES (53363, 2285, 14, 'Հետազոտության և լաբորատոր փորձաքննության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (53364, 2286, 14, 'Հետազոտության  արդյունքներ');
INSERT INTO `lang_definitions` VALUES (53365, 2289, 14, 'Հետազոտություն');
INSERT INTO `lang_definitions` VALUES (53366, 2290, 14, 'Հետազոտության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53367, 2291, 14, 'Օրինակ');
INSERT INTO `lang_definitions` VALUES (53368, 2292, 14, 'Օրինակներ');
INSERT INTO `lang_definitions` VALUES (53369, 2293, 14, 'Հետազոտություններ');
INSERT INTO `lang_definitions` VALUES (53370, 2294, 14, 'Բացի/բացառությամն');
INSERT INTO `lang_definitions` VALUES (53371, 2295, 14, 'Աառատ/չափից շատ  արցունքաբերություն');
INSERT INTO `lang_definitions` VALUES (53372, 2296, 14, 'Չընդգրկված հիվանդներ');
INSERT INTO `lang_definitions` VALUES (53373, 2297, 14, 'Բացառությամն');
INSERT INTO `lang_definitions` VALUES (53374, 2298, 14, 'Բացառիկ մատակարար/պրովայդեր կազմակերպություն (EPO)');
INSERT INTO `lang_definitions` VALUES (53375, 2299, 14, 'Թղթի գործնալկան չափեր');
INSERT INTO `lang_definitions` VALUES (53376, 2300, 14, 'Վարժություն');
INSERT INTO `lang_definitions` VALUES (53377, 2301, 14, 'Վարժության օրինակներ');
INSERT INTO `lang_definitions` VALUES (53378, 2302, 14, 'Վարժության օրինակներ');
INSERT INTO `lang_definitions` VALUES (53379, 2303, 14, 'Գոյություն ունեցող/առկա');
INSERT INTO `lang_definitions` VALUES (53380, 2304, 14, 'Elq aդմինիստրատեր բաժնից');
INSERT INTO `lang_definitions` VALUES (53381, 2305, 14, 'Ընդարձ․');
INSERT INTO `lang_definitions` VALUES (53382, 2306, 14, 'Ընդարձակել');
INSERT INTO `lang_definitions` VALUES (53383, 2307, 14, 'Ընդարձակել');
INSERT INTO `lang_definitions` VALUES (53384, 2308, 14, 'Ընդարձակել ամբողջը');
INSERT INTO `lang_definitions` VALUES (53385, 2311, 14, 'Ընդլայնված դիտում');
INSERT INTO `lang_definitions` VALUES (53386, 2312, 14, 'Ընդունված ձև―encounter.pid to be ');
INSERT INTO `lang_definitions` VALUES (53387, 2313, 14, 'Պիտանիության ժամկետ');
INSERT INTO `lang_definitions` VALUES (53388, 2314, 14, 'Պիտանիության ժամկետի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53389, 2315, 14, 'Ժամկետը լրանում է');
INSERT INTO `lang_definitions` VALUES (53390, 2316, 14, 'Ժամկետը լրանում է ֊ ֊ ֊ին');
INSERT INTO `lang_definitions` VALUES (53391, 2317, 14, 'Արտահանում');
INSERT INTO `lang_definitions` VALUES (53392, 2318, 14, 'Արտահանել որպես CSV');
INSERT INTO `lang_definitions` VALUES (53393, 2319, 14, 'Կոնֆիգուրացիայի արտահանում');
INSERT INTO `lang_definitions` VALUES (53394, 2322, 14, 'Պացիենտի Անձնական/ազգագրական տվյալների արտահանում');
INSERT INTO `lang_definitions` VALUES (53395, 2323, 14, 'CSV֊ի արտահանում');
INSERT INTO `lang_definitions` VALUES (53396, 2327, 14, 'Արտահանել դեպի CSV');
INSERT INTO `lang_definitions` VALUES (53397, 2328, 14, 'Արտահանում դեպի արտաքին բիլլինգային համակարգ');
INSERT INTO `lang_definitions` VALUES (53398, 2329, 14, 'Ծանոթացումը օտար երկրներին');
INSERT INTO `lang_definitions` VALUES (53399, 2330, 14, 'Ծանոթացումը օտար երկրներին');
INSERT INTO `lang_definitions` VALUES (53400, 2334, 14, 'Արտաքին');
INSERT INTO `lang_definitions` VALUES (53401, 2336, 14, 'Արտաքին ID');
INSERT INTO `lang_definitions` VALUES (53402, 2337, 14, 'Արտաքին id');
INSERT INTO `lang_definitions` VALUES (53403, 2338, 14, 'Արտաքին նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (53404, 2339, 14, 'Միայն արտաքին');
INSERT INTO `lang_definitions` VALUES (53405, 2342, 14, 'Արտաքին ուղղորդիչ');
INSERT INTO `lang_definitions` VALUES (53406, 2343, 14, 'Արտաքին ուղղորդման հսկողություն');
INSERT INTO `lang_definitions` VALUES (53407, 2344, 14, 'Ուղղությունը դեպի դո՞ւրս');
INSERT INTO `lang_definitions` VALUES (53408, 2345, 14, 'Արտաքին ուղղություններ');
INSERT INTO `lang_definitions` VALUES (53409, 2346, 14, 'zip ֆայլի բացում');
INSERT INTO `lang_definitions` VALUES (53410, 2347, 14, 'Այս ֆայլը բացվում է․ այն մի քանի րոպե կտևի');
INSERT INTO `lang_definitions` VALUES (53411, 2349, 14, 'Աչքի գրգռվածություն');
INSERT INTO `lang_definitions` VALUES (53412, 2350, 14, 'Աչքի ցավ');
INSERT INTO `lang_definitions` VALUES (53413, 2351, 14, 'Աչքի կարմրություն');
INSERT INTO `lang_definitions` VALUES (53414, 2352, 14, 'Տեսողություն');
INSERT INTO `lang_definitions` VALUES (53415, 2353, 14, 'F');
INSERT INTO `lang_definitions` VALUES (53416, 2354, 14, 'F/H  Արյան հետ կապված/Հեմատոլոգիկ խնդիրներ');
INSERT INTO `lang_definitions` VALUES (53417, 2356, 14, 'Ծառայություններ/Հաստատություններ');
INSERT INTO `lang_definitions` VALUES (53418, 2357, 14, 'Ծառայություն//Հաստատություն');
INSERT INTO `lang_definitions` VALUES (53419, 2358, 14, 'ծառայություն/հաստատություն');
INSERT INTO `lang_definitions` VALUES (53420, 2359, 14, 'Ծառայությունների/Հաստատությունների կառավարում');
INSERT INTO `lang_definitions` VALUES (53421, 2360, 14, 'Ծառայությունների մատուցման քաղաք');
INSERT INTO `lang_definitions` VALUES (53422, 2361, 14, 'Ծառայության/Հաստատության կոդ');
INSERT INTO `lang_definitions` VALUES (53423, 2362, 14, 'Ծառայություն մատուցող//Հաստատության երկրի կոդը');
INSERT INTO `lang_definitions` VALUES (53424, 2363, 14, '/Հաստատության ՖԱՔՍ');
INSERT INTO `lang_definitions` VALUES (53425, 2364, 14, 'Ծառայության//Հաստատության անվանում');
INSERT INTO `lang_definitions` VALUES (53426, 2365, 14, 'Ծառայություն մատուցող բժշկական գործակալի նույնականացման  պետական կոդը/համարը');
INSERT INTO `lang_definitions` VALUES (53427, 2366, 14, 'Ծառայությունների մատուցման/Հաստատության հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (53428, 2368, 14, 'Հաստատության շրջանը/մարզը');
INSERT INTO `lang_definitions` VALUES (53429, 2369, 14, 'Հաստատության փողոցը');
INSERT INTO `lang_definitions` VALUES (53430, 2370, 14, 'Հաստատության փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (53431, 2372, 14, 'Հաստատություն։');
INSERT INTO `lang_definitions` VALUES (53432, 2373, 14, 'ՁԱԽՈՂՈՒՄ');
INSERT INTO `lang_definitions` VALUES (53433, 2374, 14, 'ձախողված է');
INSERT INTO `lang_definitions` VALUES (53434, 2375, 14, 'ձախողված է');
INSERT INTO `lang_definitions` VALUES (53435, 2376, 14, 'Գրանցումը ձախողված պացիենտներ');
INSERT INTO `lang_definitions` VALUES (53436, 2377, 14, 'Հիվանդի ավելացումը պորտալին ձախողված է');
INSERT INTO `lang_definitions` VALUES (53437, 2378, 14, 'Բացառիկ անվան հաշվարկը ձախողված է');
INSERT INTO `lang_definitions` VALUES (53438, 2379, 14, 'Չի հաջողվել ստաեղծել');
INSERT INTO `lang_definitions` VALUES (53439, 2380, 14, 'Ժամանակավոր թղթապանակի ստեղծումը ձախողված է։ CouchDB չի աշխատի');
INSERT INTO `lang_definitions` VALUES (53440, 2382, 14, 'Ձախողված է');
INSERT INTO `lang_definitions` VALUES (53441, 2383, 14, 'ձախողում');
INSERT INTO `lang_definitions` VALUES (53442, 2384, 14, 'Ձախողում');
INSERT INTO `lang_definitions` VALUES (53443, 2390, 14, 'Ընտանեկան անամնեզ');
INSERT INTO `lang_definitions` VALUES (53444, 2391, 14, 'Գլաուկոմայի մասին ընտանեկան անամնեզ');
INSERT INTO `lang_definitions` VALUES (53445, 2392, 14, 'Ընտանեկան անամնեզ։');
INSERT INTO `lang_definitions` VALUES (53446, 2394, 14, 'Ընտանեկան վճարում');
INSERT INTO `lang_definitions` VALUES (53447, 2395, 14, 'Ընտանիքի կազմը');
INSERT INTO `lang_definitions` VALUES (53448, 2396, 14, 'Պատկերացում/ենթադրություն');
INSERT INTO `lang_definitions` VALUES (53449, 2398, 14, 'Պարսիկ/պարսկերեն');
INSERT INTO `lang_definitions` VALUES (53450, 2400, 14, 'Հայր');
INSERT INTO `lang_definitions` VALUES (53451, 2402, 14, 'Հոգնածություն');
INSERT INTO `lang_definitions` VALUES (53452, 2403, 14, 'Հոգնած');
INSERT INTO `lang_definitions` VALUES (53453, 2404, 14, 'Ֆաքս');
INSERT INTO `lang_definitions` VALUES (53454, 2405, 14, 'Ֆաքսերի քանակ');
INSERT INTO `lang_definitions` VALUES (53455, 2406, 14, 'Ֆաքսի համար');
INSERT INTO `lang_definitions` VALUES (53456, 2408, 14, 'Ֆաքս/Սկան');
INSERT INTO `lang_definitions` VALUES (53457, 2409, 14, 'ընդունել ֆաքսով');
INSERT INTO `lang_definitions` VALUES (53458, 2410, 14, 'ուղարկել ֆաքսով');
INSERT INTO `lang_definitions` VALUES (53459, 2411, 14, 'Հնարավորություններ');
INSERT INTO `lang_definitions` VALUES (53460, 2412, 14, 'Փետրվ․');
INSERT INTO `lang_definitions` VALUES (53461, 2413, 14, 'Փետրվար');
INSERT INTO `lang_definitions` VALUES (53462, 2414, 14, 'FECA');
INSERT INTO `lang_definitions` VALUES (53463, 2415, 14, 'Դեղամիջոցի պետական ID');
INSERT INTO `lang_definitions` VALUES (53464, 2416, 14, 'Պետական EIN');
INSERT INTO `lang_definitions` VALUES (53465, 2417, 14, 'Հարկ վճարողի հաշվառման պետական համար');
INSERT INTO `lang_definitions` VALUES (53466, 2418, 14, 'Վճար');
INSERT INTO `lang_definitions` VALUES (53467, 2419, 14, 'վճար');
INSERT INTO `lang_definitions` VALUES (53468, 2420, 14, 'Վճարում թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (53469, 2421, 14, 'Վճարման թերթիկ');
INSERT INTO `lang_definitions` VALUES (53470, 2422, 14, 'Վճարման թերթիկի տարբերակներ');
INSERT INTO `lang_definitions` VALUES (53471, 2423, 14, 'Վճարներ');
INSERT INTO `lang_definitions` VALUES (53472, 2424, 14, 'Իգական');
INSERT INTO `lang_definitions` VALUES (53473, 2425, 14, 'Կանացի 1. զարկերակային ճնշում 2. անգինա');
INSERT INTO `lang_definitions` VALUES (53474, 2426, 14, 'Կանացի պահպանակ');
INSERT INTO `lang_definitions` VALUES (53475, 2427, 14, 'Կանացի G');
INSERT INTO `lang_definitions` VALUES (53476, 2428, 14, 'Կանացի LC');
INSERT INTO `lang_definitions` VALUES (53477, 2429, 14, 'Կանացի P');
INSERT INTO `lang_definitions` VALUES (53478, 2430, 14, 'Կանացի ախտանիշներ');
INSERT INTO `lang_definitions` VALUES (53479, 2431, 14, 'Կանացի VSC');
INSERT INTO `lang_definitions` VALUES (53480, 2432, 14, 'Բերել');
INSERT INTO `lang_definitions` VALUES (53481, 2433, 14, 'Պորտալից բերում է հետևյալ ֆայլը');
INSERT INTO `lang_definitions` VALUES (53482, 2434, 14, 'Տենդ');
INSERT INTO `lang_definitions` VALUES (53483, 2435, 14, 'Տենդ։');
INSERT INTO `lang_definitions` VALUES (53484, 2436, 14, 'FH արյան խնդիրներ');
INSERT INTO `lang_definitions` VALUES (53485, 2437, 14, 'Ֆիբրոիդներ /բարորակ ուռուցք/');
INSERT INTO `lang_definitions` VALUES (53486, 2438, 14, 'Դաշտ');
INSERT INTO `lang_definitions` VALUES (53487, 2439, 14, 'Դաշտի \"անվանումը\" չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (53488, 2443, 14, 'Բաց թողնված դաշտ(եր)');
INSERT INTO `lang_definitions` VALUES (53489, 2447, 14, 'Ֆայլ');
INSERT INTO `lang_definitions` VALUES (53490, 2449, 14, 'ֆայլի տեղակայում');
INSERT INTO `lang_definitions` VALUES (53491, 2450, 14, 'Ֆայլի կառավարում');
INSERT INTO `lang_definitions` VALUES (53492, 2453, 14, 'Ֆայլի հանդեպ LibreEHR օգտվողի իրավունք/արտոնություն');
INSERT INTO `lang_definitions` VALUES (53493, 2455, 14, 'Գրանցման բաժին');
INSERT INTO `lang_definitions` VALUES (53494, 2456, 14, 'բեռնվող ֆայլ');
INSERT INTO `lang_definitions` VALUES (53495, 2457, 14, 'Բեռնվող ֆայլ');
INSERT INTO `lang_definitions` VALUES (53496, 2458, 14, 'Այս տիրույթում նման անունով ֆայլ արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (53497, 2459, 14, 'Ֆայլի անվանում');
INSERT INTO `lang_definitions` VALUES (53498, 2460, 14, 'Ֆայլի անունը պետք է վերջանա \".pdf\"֊ով');
INSERT INTO `lang_definitions` VALUES (53499, 2461, 14, 'Ֆայլեր');
INSERT INTO `lang_definitions` VALUES (53500, 2462, 14, 'Ֆիլիպինյան');
INSERT INTO `lang_definitions` VALUES (53501, 2463, 14, 'Լրացրեք ներքևի ցանկացած տողը');
INSERT INTO `lang_definitions` VALUES (53502, 2465, 14, 'Բացատրությունը գրեք ներքևում');
INSERT INTO `lang_definitions` VALUES (53503, 2467, 14, 'Լրացրեք տողը');
INSERT INTO `lang_definitions` VALUES (53504, 2468, 14, 'Ֆիլտր');
INSERT INTO `lang_definitions` VALUES (53505, 2469, 14, 'Կոնստանտի ֆիլտր');
INSERT INTO `lang_definitions` VALUES (53506, 2470, 14, 'Սահմանումների ֆիլտր');
INSERT INTO `lang_definitions` VALUES (53507, 2472, 14, 'ֆիլտրեր');
INSERT INTO `lang_definitions` VALUES (53508, 2473, 14, 'ֆիլտրեր');
INSERT INTO `lang_definitions` VALUES (53509, 2474, 14, 'Վերջնական');
INSERT INTO `lang_definitions` VALUES (53510, 2475, 14, 'Վերջնական ախտորոշում');
INSERT INTO `lang_definitions` VALUES (53511, 2476, 14, 'Մասնագետի վերջնական ախտորոշում');
INSERT INTO `lang_definitions` VALUES (53512, 2478, 14, 'Ֆինանսական');
INSERT INTO `lang_definitions` VALUES (53513, 2480, 14, 'Ֆինանսական հաշվետվություն ֊ ցանկացած');
INSERT INTO `lang_definitions` VALUES (53514, 2481, 14, 'Ֆինանսական հաշվետվություն ֊ իմ այցելությունները');
INSERT INTO `lang_definitions` VALUES (53515, 2482, 14, 'Ֆինանսական ամփոփման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53516, 2483, 14, 'Ֆինանսական ամփոփ տեղեկագիր ծառայության կոդով');
INSERT INTO `lang_definitions` VALUES (53517, 2484, 14, 'Գտնել');
INSERT INTO `lang_definitions` VALUES (53518, 2485, 14, 'Գտնել հասանելիները');
INSERT INTO `lang_definitions` VALUES (53519, 2486, 14, 'Գտնել այցերի հասանելի  գրանցումներ');
INSERT INTO `lang_definitions` VALUES (53520, 2487, 14, 'Գտնել Պացիենտին');
INSERT INTO `lang_definitions` VALUES (53521, 2488, 14, 'Գտնել պացիենտի տեղեկատվական նյութեր');
INSERT INTO `lang_definitions` VALUES (53522, 2489, 14, 'Արդյունքներ');
INSERT INTO `lang_definitions` VALUES (53523, 2490, 14, 'Արդյունքներ ըստ մասնագետի');
INSERT INTO `lang_definitions` VALUES (53524, 2491, 14, 'Տուգանք');
INSERT INTO `lang_definitions` VALUES (53525, 2492, 14, 'Վերջնական վճարումներ');
INSERT INTO `lang_definitions` VALUES (53526, 2493, 14, 'ավարտված է');
INSERT INTO `lang_definitions` VALUES (53527, 2494, 14, 'Ֆիննական/ֆիններեն');
INSERT INTO `lang_definitions` VALUES (53528, 2495, 14, 'Առաջին');
INSERT INTO `lang_definitions` VALUES (53529, 2497, 14, 'Շաբաթվա առաջին օրը');
INSERT INTO `lang_definitions` VALUES (53530, 2498, 14, 'Անուն');
INSERT INTO `lang_definitions` VALUES (53531, 2499, 14, 'Անուն');
INSERT INTO `lang_definitions` VALUES (53532, 2500, 14, 'Անուն։');
INSERT INTO `lang_definitions` VALUES (53533, 2501, 14, 'Առաջին այց կամ խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (53534, 2502, 14, 'Անուն  Ազգանուն');
INSERT INTO `lang_definitions` VALUES (53535, 2503, 14, 'Ֆիզիկական պատրաստվածություն');
INSERT INTO `lang_definitions` VALUES (53536, 2504, 14, 'Ֆիզիկական պատրաստվածության մակարդակը');
INSERT INTO `lang_definitions` VALUES (53537, 2505, 14, 'Սույն խաղացողի այսօրվա ֆիզիկական պատրաստվածության մակարդակը');
INSERT INTO `lang_definitions` VALUES (53538, 2506, 14, 'Ֆիզիկական պատրաստվածության քննություն');
INSERT INTO `lang_definitions` VALUES (53539, 2507, 14, 'Ֆիզիկական նախապատրաստում խաղին');
INSERT INTO `lang_definitions` VALUES (53540, 2508, 14, 'Գրանցել այցելությունների ամսաթվերը ֊ ցանկացած այցելություններ');
INSERT INTO `lang_definitions` VALUES (53541, 2509, 14, 'Գրանցել սա');
INSERT INTO `lang_definitions` VALUES (53542, 2510, 14, 'Ազդրերի երկարությունը');
INSERT INTO `lang_definitions` VALUES (53543, 2511, 14, 'Մետեորիզմ');
INSERT INTO `lang_definitions` VALUES (53544, 2512, 14, 'Դաշտանային ցիկլ');
INSERT INTO `lang_definitions` VALUES (53545, 2514, 14, 'Գրիպի համաճարակային շրջան/փուլ');
INSERT INTO `lang_definitions` VALUES (53546, 2515, 14, 'Գրիպի համաճարակային շրջան/փուլ');
INSERT INTO `lang_definitions` VALUES (53547, 2516, 14, 'Գրիպի դեմ պատվաստում');
INSERT INTO `lang_definitions` VALUES (53548, 2517, 14, 'Հիդրոէլեկտրալույծի բալանսի խնդիր');
INSERT INTO `lang_definitions` VALUES (53549, 2519, 14, 'Թղթի գրքային չափը');
INSERT INTO `lang_definitions` VALUES (53550, 2520, 14, 'Լրացնել ձեռքով');
INSERT INTO `lang_definitions` VALUES (53551, 2521, 14, 'Հետևյալ տվյալների բազան տեղադրելու կամ թարմացնելու համար հետևեք այս հրահանգներին');
INSERT INTO `lang_definitions` VALUES (53552, 2522, 14, 'Հետևող');
INSERT INTO `lang_definitions` VALUES (53553, 2524, 14, 'Առաջացող պատճառներ');
INSERT INTO `lang_definitions` VALUES (53554, 2525, 14, 'Հաջորդիվ');
INSERT INTO `lang_definitions` VALUES (53555, 2526, 14, 'Ահա նոր հիմնական լեզուն');
INSERT INTO `lang_definitions` VALUES (53556, 2529, 14, 'Հետագա ծառայություններ');
INSERT INTO `lang_definitions` VALUES (53557, 2530, 14, 'Հետագա նշվածները');
INSERT INTO `lang_definitions` VALUES (53558, 2531, 14, 'Սննդային անհամատեղելիություն / սննդի հանդեպ հակակրանք');
INSERT INTO `lang_definitions` VALUES (53559, 2532, 14, 'Ոտք');
INSERT INTO `lang_definitions` VALUES (53560, 2533, 14, 'Ոտքերի խնդիր');
INSERT INTO `lang_definitions` VALUES (53561, 2534, 14, 'Ոտք։');
INSERT INTO `lang_definitions` VALUES (53562, 2535, 14, 'Ֆուտբոլային վնասվածքներ');
INSERT INTO `lang_definitions` VALUES (53563, 2536, 14, 'Ֆուտբոլային վնասվածք');
INSERT INTO `lang_definitions` VALUES (53564, 2537, 14, 'Տեղեկություն ֆուտբոլային վնասվածքի մասին');
INSERT INTO `lang_definitions` VALUES (53565, 2538, 14, 'Կոշիկի տեսակ');
INSERT INTO `lang_definitions` VALUES (53566, 2539, 14, 'համար');
INSERT INTO `lang_definitions` VALUES (53567, 2540, 14, 'Համար');
INSERT INTO `lang_definitions` VALUES (53568, 2541, 14, 'Կոդի համար');
INSERT INTO `lang_definitions` VALUES (53569, 2543, 14, 'Այցելության պահանջների համար');
INSERT INTO `lang_definitions` VALUES (53570, 2544, 14, 'Օրինակ։');
INSERT INTO `lang_definitions` VALUES (53571, 2547, 14, 'հաշվի համար');
INSERT INTO `lang_definitions` VALUES (53572, 2548, 14, 'Միայն անվճար բուժօգնության համար/դեպքում խորհրդատուին վկայակոչում են որպես բժիշկ');
INSERT INTO `lang_definitions` VALUES (53573, 2550, 14, 'Պացիենտի համար');
INSERT INTO `lang_definitions` VALUES (53574, 2552, 14, 'Ուղղորդող հաստատությունների / Պրակտիկանտների համար');
INSERT INTO `lang_definitions` VALUES (53575, 2553, 14, 'Նախկինների համար');
INSERT INTO `lang_definitions` VALUES (53576, 2554, 14, 'Փոփոխականների համար');
INSERT INTO `lang_definitions` VALUES (53577, 2555, 14, 'համար։');
INSERT INTO `lang_definitions` VALUES (53578, 2556, 14, 'Պահանջում է բիլլինգային վիդջեթի բացում');
INSERT INTO `lang_definitions` VALUES (53579, 2557, 14, 'Պահանջում է նոր պացիենտի ստեղծում');
INSERT INTO `lang_definitions` VALUES (53580, 2559, 14, 'Նախաբազուկ');
INSERT INTO `lang_definitions` VALUES (53581, 2560, 14, 'Ձև');
INSERT INTO `lang_definitions` VALUES (53582, 2561, 14, 'ձև');
INSERT INTO `lang_definitions` VALUES (53583, 2564, 14, 'Ձևաչափ');
INSERT INTO `lang_definitions` VALUES (53584, 2565, 14, 'Ձևաչափ');
INSERT INTO `lang_definitions` VALUES (53585, 2566, 14, 'Տարիքի ցուցադրման ձևաչափ');
INSERT INTO `lang_definitions` VALUES (53586, 2567, 14, 'NDC֊ի սխալ ձևաչափ');
INSERT INTO `lang_definitions` VALUES (53587, 2568, 14, 'Ամսաթվերի մեծ քանակ  ցուցադրելու ֆորմատ');
INSERT INTO `lang_definitions` VALUES (53588, 2569, 14, 'Մեծ ժամացուցակ ցուցադրելու ֆորմատ');
INSERT INTO `lang_definitions` VALUES (53589, 2570, 14, 'Ֆորմատավորման/կազմավորման զեկույց');
INSERT INTO `lang_definitions` VALUES (53590, 2571, 14, 'Նախկին ծխող');
INSERT INTO `lang_definitions` VALUES (53591, 2572, 14, 'Ձևեր/բլանկներ');
INSERT INTO `lang_definitions` VALUES (53592, 2573, 14, 'Բլանկների կառավարում');
INSERT INTO `lang_definitions` VALUES (53593, 2575, 14, 'Փոխանցել / առաջ /');
INSERT INTO `lang_definitions` VALUES (53594, 2576, 14, 'Փոխանցել էջերը ֆաքսով');
INSERT INTO `lang_definitions` VALUES (53595, 2577, 14, 'Փոխանցված');
INSERT INTO `lang_definitions` VALUES (53596, 2579, 14, 'Չորրորդ');
INSERT INTO `lang_definitions` VALUES (53597, 2581, 14, 'Կոտրվածք');
INSERT INTO `lang_definitions` VALUES (53598, 2582, 14, '֊ի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (53599, 2583, 14, 'կողային  կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (53600, 2584, 14, 'մեջտեղի  կոճի կոտրվածք');
INSERT INTO `lang_definitions` VALUES (53601, 2587, 14, 'Ֆրանսերեն');
INSERT INTO `lang_definitions` VALUES (53602, 2588, 14, 'Ֆրանսերեն (կանադական)');
INSERT INTO `lang_definitions` VALUES (53603, 2589, 14, 'Ֆրանսերեն (ստանդարտ)');
INSERT INTO `lang_definitions` VALUES (53604, 2590, 14, 'Հաճախություն');
INSERT INTO `lang_definitions` VALUES (53605, 2591, 14, 'Հաճախ կրկնվող հարբուխներ');
INSERT INTO `lang_definitions` VALUES (53606, 2592, 14, 'Հաճախ կրկնվող հիվանդություններ');
INSERT INTO `lang_definitions` VALUES (53607, 2593, 14, 'Ուրբ․');
INSERT INTO `lang_definitions` VALUES (53608, 2594, 14, 'Ուրբաթ');
INSERT INTO `lang_definitions` VALUES (53609, 2595, 14, '֊ից');
INSERT INTO `lang_definitions` VALUES (53610, 2596, 14, '֊ից');
INSERT INTO `lang_definitions` VALUES (53611, 2597, 14, '֊ից');
INSERT INTO `lang_definitions` VALUES (53612, 2598, 14, '\"֊ից\" ասմաթիվը չի կարող մոծ լինել \"մինչ\" ամսաթվից');
INSERT INTO `lang_definitions` VALUES (53613, 2599, 14, '֊ից։');
INSERT INTO `lang_definitions` VALUES (53614, 2600, 14, '֊ից։ ');
INSERT INTO `lang_definitions` VALUES (53615, 2603, 14, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (53616, 2604, 14, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (53617, 2605, 14, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (53618, 2606, 14, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (53619, 2607, 14, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (53620, 2608, 14, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (53621, 2609, 14, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (53622, 2610, 14, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (53623, 2611, 14, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (53624, 2612, 14, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (53625, 2613, 14, 'Գրասենյակ /Ռեգիստր/');
INSERT INTO `lang_definitions` VALUES (53626, 2614, 14, 'Գրասենյակի /Ռեգիստրի մուտքեր');
INSERT INTO `lang_definitions` VALUES (53627, 2615, 14, 'Գրասենյակի /Ռեգիստրի մուտքերի զեկույց');
INSERT INTO `lang_definitions` VALUES (53628, 2616, 14, 'Գրանցում');
INSERT INTO `lang_definitions` VALUES (53629, 2617, 14, 'Առաջին աջ');
INSERT INTO `lang_definitions` VALUES (53630, 2619, 14, 'Անուն, ազգանուն');
INSERT INTO `lang_definitions` VALUES (53631, 2624, 14, 'Ամբողջական վերարտադրում/գործարկում');
INSERT INTO `lang_definitions` VALUES (53632, 2625, 14, 'Ամբողջական ուսուցում');
INSERT INTO `lang_definitions` VALUES (53633, 2626, 14, 'Ամբողջությամբ վճարված');
INSERT INTO `lang_definitions` VALUES (53634, 2631, 14, 'Ապագա');
INSERT INTO `lang_definitions` VALUES (53635, 2633, 14, 'G');
INSERT INTO `lang_definitions` VALUES (53636, 2636, 14, 'Լեղապարկի վիճակ');
INSERT INTO `lang_definitions` VALUES (53637, 2637, 14, 'Լեղապարկի քարեր');
INSERT INTO `lang_definitions` VALUES (53638, 2638, 14, 'Խաղի տևողություն');
INSERT INTO `lang_definitions` VALUES (53639, 2639, 14, 'Խաղեր');
INSERT INTO `lang_definitions` VALUES (53640, 2640, 14, 'Խաղը բացակայում է');
INSERT INTO `lang_definitions` VALUES (53641, 2641, 14, 'Խաղեր/միջոցառումներ');
INSERT INTO `lang_definitions` VALUES (53642, 2642, 14, 'Խաղերը/միջոցառումները բացակայում են');
INSERT INTO `lang_definitions` VALUES (53643, 2644, 14, 'Գաստրիտ');
INSERT INTO `lang_definitions` VALUES (53644, 2645, 14, 'Գաստրիտային ցավեր');
INSERT INTO `lang_definitions` VALUES (53645, 2646, 14, 'Աղեստամոքսային/մարսողական օրգաններ');
INSERT INTO `lang_definitions` VALUES (53646, 2647, 14, 'GCAC վիճակագրական հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53647, 2648, 14, 'GCAC վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (53648, 2649, 14, 'GCAC այցի բլանկը դատարկ է');
INSERT INTO `lang_definitions` VALUES (53649, 2650, 14, 'Սեռ');
INSERT INTO `lang_definitions` VALUES (53650, 2651, 14, 'Սեռ ');
INSERT INTO `lang_definitions` VALUES (53651, 2652, 14, 'Ընդհանուր/գլխավոր');
INSERT INTO `lang_definitions` VALUES (53652, 2653, 14, 'Ընդհանուր/գլխավոր հարցերի ցանկ');
INSERT INTO `lang_definitions` VALUES (53653, 2655, 14, 'Հիմնական ծառայությունների կատեգորիա');
INSERT INTO `lang_definitions` VALUES (53654, 2656, 14, 'Ստեղծել');
INSERT INTO `lang_definitions` VALUES (53655, 2657, 14, 'Ստեղծել և ներբեռնել CMS 1500 թղթային պահանջները');
INSERT INTO `lang_definitions` VALUES (53656, 2658, 14, 'Ստեղծել և ներբեռնել HCFA 15 թղթային պահանջները');
INSERT INTO `lang_definitions` VALUES (53657, 2659, 14, 'Ստեղծել և ներբեռնել X12 փաթեթը');
INSERT INTO `lang_definitions` VALUES (53658, 2660, 14, 'Ստեղծել և ներբեռնել այցելության  X12 պահանջված փաթեթը');
INSERT INTO `lang_definitions` VALUES (53659, 2663, 14, 'Թույլատրելի դեղատոմսի ստեղծում և էլեկտրոնային փոխանցում');
INSERT INTO `lang_definitions` VALUES (53660, 2664, 14, 'Ստեղծել CMS 1500');
INSERT INTO `lang_definitions` VALUES (53661, 2665, 14, 'Ստեղծել 1500 PDF');
INSERT INTO `lang_definitions` VALUES (53662, 2666, 14, 'Ստեղծել 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (53663, 2667, 14, 'Ստեղծել HCFA');
INSERT INTO `lang_definitions` VALUES (53664, 2668, 14, 'Ստեղծել հաշիվ ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (53665, 2669, 14, 'Ստեղծել նամակ');
INSERT INTO `lang_definitions` VALUES (53666, 2670, 14, 'Ստեղծել նամակ ֊ի վերաբերյալ ');
INSERT INTO `lang_definitions` VALUES (53667, 2671, 14, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ա)');
INSERT INTO `lang_definitions` VALUES (53668, 2672, 14, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ա) ֊ 2011');
INSERT INTO `lang_definitions` VALUES (53669, 2673, 14, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ե)');
INSERT INTO `lang_definitions` VALUES (53670, 2674, 14, 'Ստեղծել PQRI հաշվետվություն (Մեթոդ Ե) - 2011');
INSERT INTO `lang_definitions` VALUES (53671, 2677, 14, 'Ստեղծել հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53672, 2678, 14, 'Ստեղծել Օգտվողի անուն և գաղտնաբառ ֊ի համար');
INSERT INTO `lang_definitions` VALUES (53673, 2679, 14, 'Ստեղծել X12');
INSERT INTO `lang_definitions` VALUES (53674, 2680, 14, 'Ստեղծել X12 այց');
INSERT INTO `lang_definitions` VALUES (53675, 2682, 14, 'Ստեղծված ֊ին');
INSERT INTO `lang_definitions` VALUES (53676, 2683, 14, 'Ստեղծում է');
INSERT INTO `lang_definitions` VALUES (53677, 2684, 14, 'Միազասեռական');
INSERT INTO `lang_definitions` VALUES (53678, 2686, 14, 'վրացերեն');
INSERT INTO `lang_definitions` VALUES (53679, 2687, 14, 'Գերմաներեն');
INSERT INTO `lang_definitions` VALUES (53680, 2691, 14, 'Ստանալ HL7');
INSERT INTO `lang_definitions` VALUES (53681, 2692, 14, 'Գլաուկոմա');
INSERT INTO `lang_definitions` VALUES (53682, 2693, 14, 'Գլաուկոմայի ընտանեկան անամնեզ');
INSERT INTO `lang_definitions` VALUES (53683, 2694, 14, 'Գլոբալ/համընդհանուր');
INSERT INTO `lang_definitions` VALUES (53684, 2696, 14, 'Գլոբալ ID');
INSERT INTO `lang_definitions` VALUES (53685, 2697, 14, 'Գլոբալ կարգավորումներ/պարամետրեր');
INSERT INTO `lang_definitions` VALUES (53686, 2698, 14, 'Գլոբալ փոփոխություններ');
INSERT INTO `lang_definitions` VALUES (53687, 2699, 14, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (53688, 2700, 14, 'Առաջ');
INSERT INTO `lang_definitions` VALUES (53689, 2701, 14, 'Առաջ');
INSERT INTO `lang_definitions` VALUES (53690, 2704, 14, 'Գնալ/վերադառնալ դեպի');
INSERT INTO `lang_definitions` VALUES (53691, 2705, 14, 'Գնալ/վերադառնալ ֊ի շաբաթ');
INSERT INTO `lang_definitions` VALUES (53692, 2706, 14, 'Գնալ/վերադառնալ');
INSERT INTO `lang_definitions` VALUES (53693, 2707, 14, 'Նպատակ Ա');
INSERT INTO `lang_definitions` VALUES (53694, 2708, 14, 'Նպատակ և Մեթոդներ');
INSERT INTO `lang_definitions` VALUES (53695, 2709, 14, 'Նպատակ Բ');
INSERT INTO `lang_definitions` VALUES (53696, 2710, 14, 'Նպատակ Գ');
INSERT INTO `lang_definitions` VALUES (53697, 2711, 14, 'Վնասվածքի ծանրության աստիճանը');
INSERT INTO `lang_definitions` VALUES (53698, 2712, 14, 'Աստիճան։');
INSERT INTO `lang_definitions` VALUES (53699, 2713, 14, 'գրամ');
INSERT INTO `lang_definitions` VALUES (53700, 2714, 14, 'Ընդհանուր քանակ');
INSERT INTO `lang_definitions` VALUES (53701, 2715, 14, 'Ընդհանուր քանակ');
INSERT INTO `lang_definitions` VALUES (53702, 2718, 14, 'Գրաֆիկորեն արտածվող');
INSERT INTO `lang_definitions` VALUES (53703, 2720, 14, 'Ավելի մեծ, քան');
INSERT INTO `lang_definitions` VALUES (53704, 2721, 14, 'Ավելի քան կամ հավասար');
INSERT INTO `lang_definitions` VALUES (53705, 2722, 14, 'Հունարեն');
INSERT INTO `lang_definitions` VALUES (53706, 2723, 14, 'Հունարեն․ Ժամանակակից');
INSERT INTO `lang_definitions` VALUES (53707, 2724, 14, 'Խումբ');
INSERT INTO `lang_definitions` VALUES (53708, 2725, 14, 'Խմբի անվանում');
INSERT INTO `lang_definitions` VALUES (53709, 2726, 14, 'Խմբի անվանումը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (53710, 2727, 14, 'Խմբի անվանումը չի կարող սկսվել թվերով կամ բացատով');
INSERT INTO `lang_definitions` VALUES (53711, 2728, 14, 'Խմբի անվանումը չի կարող սկսվել թվերով');
INSERT INTO `lang_definitions` VALUES (53712, 2729, 14, 'Խմբի համարը');
INSERT INTO `lang_definitions` VALUES (53713, 2730, 14, 'Խմբային վճարում');
INSERT INTO `lang_definitions` VALUES (53714, 2731, 14, 'Խումբ։');
INSERT INTO `lang_definitions` VALUES (53715, 2732, 14, 'Խմբի անվանում');
INSERT INTO `lang_definitions` VALUES (53716, 2733, 14, 'Խմբեր և հասանելիության հսկողություն');
INSERT INTO `lang_definitions` VALUES (53717, 2734, 14, 'Աճի սանդղակ');
INSERT INTO `lang_definitions` VALUES (53718, 2735, 14, 'Աճի աղյուսակ');
INSERT INTO `lang_definitions` VALUES (53719, 2736, 14, 'gtts (կաթիլներ)');
INSERT INTO `lang_definitions` VALUES (53720, 2737, 14, 'Գուամերերն');
INSERT INTO `lang_definitions` VALUES (53721, 2739, 14, 'Խնամակալի ազգանունը');
INSERT INTO `lang_definitions` VALUES (53722, 2741, 14, 'Գինեկոլոգիական հետազոտություն');
INSERT INTO `lang_definitions` VALUES (53723, 2742, 14, 'ժ');
INSERT INTO `lang_definitions` VALUES (53724, 2743, 14, 'քնի ժամ');
INSERT INTO `lang_definitions` VALUES (53725, 2744, 14, 'Հեպատիտներ H/O');
INSERT INTO `lang_definitions` VALUES (53726, 2745, 14, 'Հաջողությամբ ջնջված է։ Հնարավոր առկա ենթակատեգորիաներն տեղափոխվել են ներքև');
INSERT INTO `lang_definitions` VALUES (53727, 2746, 14, 'Հեմատոմա / կապտուկ');
INSERT INTO `lang_definitions` VALUES (53728, 2750, 14, 'Ձեռքեր + մատներ');
INSERT INTO `lang_definitions` VALUES (53729, 2751, 14, 'Ձեռքերի խնդիր');
INSERT INTO `lang_definitions` VALUES (53730, 2752, 14, 'Կոշտ սկավառակ');
INSERT INTO `lang_definitions` VALUES (53731, 2753, 14, 'Առանց դժվարությունների');
INSERT INTO `lang_definitions` VALUES (53732, 2754, 14, 'կապված է այցի հետ');
INSERT INTO `lang_definitions` VALUES (53733, 2755, 14, 'ժամկետանց');
INSERT INTO `lang_definitions` VALUES (53734, 2757, 14, 'Այս ֆայլի համար ֊ գոյություն չունի։ Նոր ֊ է ստեղծվել');
INSERT INTO `lang_definitions` VALUES (53735, 2758, 14, '֊ը չի համապատասխանում։ Տվյալների ամբողջականությունը խախտված է');
INSERT INTO `lang_definitions` VALUES (53736, 2760, 14, 'Հավայան');
INSERT INTO `lang_definitions` VALUES (53737, 2761, 14, 'Վտանգավոր գործունեություն/գործողություն');
INSERT INTO `lang_definitions` VALUES (53738, 2762, 14, 'Վտանգավոր գործունեություն/գործողություն');
INSERT INTO `lang_definitions` VALUES (53739, 2763, 14, 'HCFA-ի ձախ հատվածը/միջակայք կետերով');
INSERT INTO `lang_definitions` VALUES (53740, 2764, 14, 'HCFA-ի միջակայք');
INSERT INTO `lang_definitions` VALUES (53741, 2765, 14, 'HCFA-ի վերին հատվածը/միջակայք կետերով');
INSERT INTO `lang_definitions` VALUES (53742, 2766, 14, 'HCPCS միջամտություն / ծառայություն');
INSERT INTO `lang_definitions` VALUES (53743, 2767, 14, 'he PostCalendar ');
INSERT INTO `lang_definitions` VALUES (53744, 2768, 14, 'Գլուխ');
INSERT INTO `lang_definitions` VALUES (53745, 2769, 14, 'Գլխի շրջագիծ');
INSERT INTO `lang_definitions` VALUES (53746, 2770, 14, 'Գլխի շրջագիծ');
INSERT INTO `lang_definitions` VALUES (53747, 2771, 14, 'Գլխացավ');
INSERT INTO `lang_definitions` VALUES (53748, 2772, 14, 'Գլխացավեր');
INSERT INTO `lang_definitions` VALUES (53749, 2773, 14, 'Բժշկական վիրահատություններ');
INSERT INTO `lang_definitions` VALUES (53750, 2774, 14, 'Առողջապահական միջոցառումներ');
INSERT INTO `lang_definitions` VALUES (53751, 2775, 14, 'Բժշկական կենտրոն/կլինիկա');
INSERT INTO `lang_definitions` VALUES (53752, 2776, 14, 'Առողջապահական  կազմակերպություն/հաստատություն');
INSERT INTO `lang_definitions` VALUES (53753, 2777, 14, 'Առողջապահական  կազմակերպության/հաստատության (ԱԿ / ԱՀ) Ապահովագրական ռիսկ');
INSERT INTO `lang_definitions` VALUES (53754, 2778, 14, 'Լսողության կորուստ');
INSERT INTO `lang_definitions` VALUES (53755, 2779, 14, 'Սրտամկանի ինֆարկտ');
INSERT INTO `lang_definitions` VALUES (53756, 2780, 14, 'Սրտային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (53757, 2781, 14, 'Սրտի անբավարարություն');
INSERT INTO `lang_definitions` VALUES (53758, 2782, 14, 'Սրտանոթային խնդիր');
INSERT INTO `lang_definitions` VALUES (53759, 2783, 14, 'Սրտանոթային խնդիրներ');
INSERT INTO `lang_definitions` VALUES (53760, 2784, 14, 'Սրտային վիրաբուժություն');
INSERT INTO `lang_definitions` VALUES (53761, 2785, 14, 'Սրտի փոխպատվաստում');
INSERT INTO `lang_definitions` VALUES (53762, 2786, 14, 'ՍԻՐՏ։');
INSERT INTO `lang_definitions` VALUES (53763, 2787, 14, 'Այրոց');
INSERT INTO `lang_definitions` VALUES (53764, 2788, 14, 'Տենդ կամ Սարսուռ');
INSERT INTO `lang_definitions` VALUES (53765, 2789, 14, 'Տենդ կամ Սարսուռ');
INSERT INTO `lang_definitions` VALUES (53766, 2790, 14, 'Ծխախոտամոլ');
INSERT INTO `lang_definitions` VALUES (53767, 2791, 14, 'Եբրայերեն');
INSERT INTO `lang_definitions` VALUES (53768, 2793, 14, 'Քիթ֊Կոկորդ֊Ականջ');
INSERT INTO `lang_definitions` VALUES (53769, 2794, 14, 'Հասակ');
INSERT INTO `lang_definitions` VALUES (53770, 2795, 14, 'Բարձրություն/երկարություն');
INSERT INTO `lang_definitions` VALUES (53771, 2796, 14, 'Օգնություն');
INSERT INTO `lang_definitions` VALUES (53772, 2797, 14, 'օգնություն');
INSERT INTO `lang_definitions` VALUES (53773, 2798, 14, 'արյան փսխում');
INSERT INTO `lang_definitions` VALUES (53774, 2800, 14, 'Արյունաբանություն');
INSERT INTO `lang_definitions` VALUES (53775, 2801, 14, 'Հեմատուրիա /մեզի մեջ արյան առկայություն/');
INSERT INTO `lang_definitions` VALUES (53776, 2802, 14, 'Հեմոգլոբին');
INSERT INTO `lang_definitions` VALUES (53777, 2803, 14, 'Հեմոգլոբին A1C');
INSERT INTO `lang_definitions` VALUES (53778, 2804, 14, '/արյունազատում հազի ժամանակ/');
INSERT INTO `lang_definitions` VALUES (53779, 2805, 14, 'Հեպատիտ');
INSERT INTO `lang_definitions` VALUES (53780, 2806, 14, 'Հեպատիտ A 1');
INSERT INTO `lang_definitions` VALUES (53781, 2807, 14, 'Հեպատիտ A 2');
INSERT INTO `lang_definitions` VALUES (53782, 2808, 14, 'Հեպատիտ B 1');
INSERT INTO `lang_definitions` VALUES (53783, 2809, 14, 'Հեպատիտ B 2');
INSERT INTO `lang_definitions` VALUES (53784, 2810, 14, 'Հեպատիտ B 3');
INSERT INTO `lang_definitions` VALUES (53785, 2811, 14, 'այստեղ');
INSERT INTO `lang_definitions` VALUES (53786, 2813, 14, 'Ճողվածքի բուժում');
INSERT INTO `lang_definitions` VALUES (53787, 2814, 14, 'Դիսկի ճողվածք');
INSERT INTO `lang_definitions` VALUES (53788, 2815, 14, 'Հերպես');
INSERT INTO `lang_definitions` VALUES (53789, 2816, 14, 'Միզարձակության դժվարություն');
INSERT INTO `lang_definitions` VALUES (53790, 2817, 14, 'Ահա․ դուք այստեղ էիք ֊ի համար ');
INSERT INTO `lang_definitions` VALUES (53791, 2818, 14, 'Hib 1 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (53792, 2819, 14, 'Hib 2 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (53793, 2820, 14, 'Hib 3 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (53794, 2821, 14, 'Hib 4 պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (53795, 2822, 14, 'Թաքնված /գաղտնի');
INSERT INTO `lang_definitions` VALUES (53796, 2823, 14, 'Գաղտնի միջոցառումների կառավարում');
INSERT INTO `lang_definitions` VALUES (53797, 2824, 14, 'Թաքցնել');
INSERT INTO `lang_definitions` VALUES (53798, 2825, 14, 'Թաքցնել մանրամասները');
INSERT INTO `lang_definitions` VALUES (53799, 2827, 14, 'Փաստաթղթային կառավարման մեջ թաքցնել կոդավորում/ապակոդավորում տարբերակները');
INSERT INTO `lang_definitions` VALUES (53800, 2828, 14, 'Թաքցնել մենյուն');
INSERT INTO `lang_definitions` VALUES (53801, 2830, 14, 'Թաքցնել հիշեցումները');
INSERT INTO `lang_definitions` VALUES (53802, 2831, 14, 'Թաքցնել/ցուցադրել սյուները');
INSERT INTO `lang_definitions` VALUES (53803, 2833, 14, 'Բարձր');
INSERT INTO `lang_definitions` VALUES (53804, 2834, 14, 'Արյան բարձր նշում');
INSERT INTO `lang_definitions` VALUES (53805, 2835, 14, 'Հինդի / հնդկերեն');
INSERT INTO `lang_definitions` VALUES (53806, 2836, 14, 'Ազդր + աճուկ');
INSERT INTO `lang_definitions` VALUES (53807, 2837, 14, 'Ազդր և աճուկ');
INSERT INTO `lang_definitions` VALUES (53808, 2838, 14, 'Ազդրի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (53809, 2839, 14, 'Կոնքազդրային հոդի փոխարինում');
INSERT INTO `lang_definitions` VALUES (53810, 2840, 14, 'Առողջության ապահովագրության հաշվետվության ծանուցումն ստացված է');
INSERT INTO `lang_definitions` VALUES (53811, 2843, 14, 'Լատինամերիկացի');
INSERT INTO `lang_definitions` VALUES (53812, 2844, 14, 'Լատինամերիկացի - այլկերպ (ծնված ԱՄՆ֊ում)');
INSERT INTO `lang_definitions` VALUES (53813, 2845, 14, 'Լատինամերիկացի - այլկերպ (ծնված ոչ ԱՄՆ֊ում)');
INSERT INTO `lang_definitions` VALUES (53814, 2846, 14, 'Լատինամերիկյան կամ լատինական');
INSERT INTO `lang_definitions` VALUES (53815, 2847, 14, 'Տարեգրություն/ժամանակագրություն');
INSERT INTO `lang_definitions` VALUES (53816, 2848, 14, 'Անամնեզի հավաքագրման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53817, 2849, 14, 'Անամնեզի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53818, 2851, 14, 'Աղմուկի նշում/առկայություն անամնեզում');
INSERT INTO `lang_definitions` VALUES (53819, 2852, 14, 'Տարեգրություն/ժամանակագրություն ռույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (53820, 2853, 14, 'Սրտի աղմուկի անամնեզ');
INSERT INTO `lang_definitions` VALUES (53821, 2855, 14, 'ՄԻԱՎ');
INSERT INTO `lang_definitions` VALUES (53822, 2858, 14, 'HL7 բրաուզեր');
INSERT INTO `lang_definitions` VALUES (53823, 2860, 14, 'մմոլ/լ');
INSERT INTO `lang_definitions` VALUES (53824, 2861, 14, 'Հմոնգերեն');
INSERT INTO `lang_definitions` VALUES (53825, 2862, 14, 'Սեղմեք  Ctrl կոճակը՝ մի քանի տարրեր ընտրելու և/կամ չեղարկելու համար');
INSERT INTO `lang_definitions` VALUES (53826, 2863, 14, 'Սեղմեք  Ctrl կոճակը՝ մի քանի խումբ ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (53827, 2864, 14, 'Սեղմեք  Ctrl կոճակը՝ մի քանի բաժանմունք ընտրելու համար');
INSERT INTO `lang_definitions` VALUES (53828, 2865, 14, 'Տուն');
INSERT INTO `lang_definitions` VALUES (53829, 2866, 14, 'Տան/քաղաքային հեռախոս');
INSERT INTO `lang_definitions` VALUES (53830, 2867, 14, 'Տան/քաղաքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (53831, 2868, 14, 'Անօթևան կամ նման կարգավիճա՞կ է');
INSERT INTO `lang_definitions` VALUES (53832, 2869, 14, 'Անօթևան և այլն');
INSERT INTO `lang_definitions` VALUES (53833, 2870, 14, 'Անօթևան և այլն');
INSERT INTO `lang_definitions` VALUES (53834, 2871, 14, 'Խոյակներ/կեռիկներ');
INSERT INTO `lang_definitions` VALUES (53835, 2872, 14, 'Հոսթի անվանումը');
INSERT INTO `lang_definitions` VALUES (53836, 2873, 14, 'Հոսթի անվանումը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (53837, 2875, 14, 'Ժամ');
INSERT INTO `lang_definitions` VALUES (53838, 2876, 14, 'Ժամեր');
INSERT INTO `lang_definitions` VALUES (53839, 2878, 14, 'Ինչպե՞ս է ստացվել տրավման');
INSERT INTO `lang_definitions` VALUES (53840, 2879, 14, 'Ինչպե՞ս է ստացվել տրավման');
INSERT INTO `lang_definitions` VALUES (53841, 2880, 14, 'Ինչպե՞ս են իմացել մեր մասին');
INSERT INTO `lang_definitions` VALUES (53842, 2882, 14, 'Ուղեկցվող հիվանդությունների անամնեզ');
INSERT INTO `lang_definitions` VALUES (53843, 2883, 14, 'Սրտի փոխպատվաստում');
INSERT INTO `lang_definitions` VALUES (53844, 2884, 14, 'HTML');
INSERT INTO `lang_definitions` VALUES (53845, 2886, 14, 'LibreEHR Support LLC֊ի Լաբորատոր փոխանակման ծառայության Https լինք');
INSERT INTO `lang_definitions` VALUES (53846, 2887, 14, 'Հունգարերեն');
INSERT INTO `lang_definitions` VALUES (53847, 2888, 14, 'Hylafax ուղեցույց');
INSERT INTO `lang_definitions` VALUES (53848, 2889, 14, 'Hylafax կոդավորման հրաման');
INSERT INTO `lang_definitions` VALUES (53849, 2890, 14, 'Hylafax սերվեր');
INSERT INTO `lang_definitions` VALUES (53850, 2891, 14, 'Hylafax սերվերի հոսթանավանումը');
INSERT INTO `lang_definitions` VALUES (53851, 2892, 14, 'Հիպերակտիվ/գերակտիվ');
INSERT INTO `lang_definitions` VALUES (53852, 2893, 14, 'Հիպերտոնիա /գերճնշում/');
INSERT INTO `lang_definitions` VALUES (53853, 2894, 14, 'Հիպերտոնիա /գերճնշում/։ արյան ճնշման չափում');
INSERT INTO `lang_definitions` VALUES (53854, 2895, 14, 'Հիպերտոնիա /գերճնշում/։ արյան ճնշման չափում (CQM)');
INSERT INTO `lang_definitions` VALUES (53855, 2896, 14, 'Հիպերթիրեոզ');
INSERT INTO `lang_definitions` VALUES (53856, 2897, 14, 'Հիպոթիրեոզ');
INSERT INTO `lang_definitions` VALUES (53857, 2898, 14, 'իստերէկտոմիա');
INSERT INTO `lang_definitions` VALUES (53858, 2899, 14, 'Ես');
INSERT INTO `lang_definitions` VALUES (53859, 2900, 14, 'Ես զբաղված եմ այս ժամանակահատվածում');
INSERT INTO `lang_definitions` VALUES (53860, 2901, 14, 'Ընթերցման թույլտվություն չունեմ ');
INSERT INTO `lang_definitions` VALUES (53861, 2902, 14, '1. Հիվանդությունների միջազգային դասակարգում /ՀՄԴ/ 2. Միզաքարային հիվանդություն  /ՄՔՀ/');
INSERT INTO `lang_definitions` VALUES (53862, 2903, 14, 'ՄՔՀ 10 ախտորոշում');
INSERT INTO `lang_definitions` VALUES (53863, 2904, 14, 'ՄՔՀ 10 միջամտություն/ծառայություն');
INSERT INTO `lang_definitions` VALUES (53864, 2905, 14, 'ՄՔՀ 9');
INSERT INTO `lang_definitions` VALUES (53865, 2906, 14, 'ՄՔՀ 9 ախտորոշում');
INSERT INTO `lang_definitions` VALUES (53866, 2907, 14, 'ՄՔՀ 9 միջամտություն/ծառայություն');
INSERT INTO `lang_definitions` VALUES (53867, 2908, 14, 'Իսլանդերեն');
INSERT INTO `lang_definitions` VALUES (53868, 2909, 14, 'ID');
INSERT INTO `lang_definitions` VALUES (53869, 2910, 14, 'id');
INSERT INTO `lang_definitions` VALUES (53870, 2911, 14, 'ID չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (53871, 2912, 14, 'ID քարտ');
INSERT INTO `lang_definitions` VALUES (53872, 2913, 14, 'IDays');
INSERT INTO `lang_definitions` VALUES (53873, 2914, 14, 'նույնականացնել որպես');
INSERT INTO `lang_definitions` VALUES (53874, 2915, 14, 'նույնացուցիչ (մեկ բառ)');
INSERT INTO `lang_definitions` VALUES (53875, 2916, 14, 'Նույնականացաման կոդ');
INSERT INTO `lang_definitions` VALUES (53876, 2919, 14, 'Եթե այս ձևի համար բոլոր սյունակների բոլոր տվյալները լրացված են');
INSERT INTO `lang_definitions` VALUES (53877, 2920, 14, 'Բիլլինգային վերականգնման համար մուտքագրեք ախտորոշման կոդի անվանումը');
INSERT INTO `lang_definitions` VALUES (53878, 2921, 14, 'եթե մուտքագրել եք, ընտրեք միայն նրանք, որոնք ունեեն են այդ ծառայությունը');
INSERT INTO `lang_definitions` VALUES (53879, 2922, 14, 'եթե անվանումով, ապա ազգանվան մի մասը կամ ազգանունը, անունը');
INSERT INTO `lang_definitions` VALUES (53880, 2923, 14, 'եթե վճարված է ֊ով');
INSERT INTO `lang_definitions` VALUES (53881, 2924, 14, 'եթե անձը վախճանվել է, ապա մուտքագրեք մահվան ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (53882, 2925, 14, 'SMTP կիրառման դեպքում սերվերի հոսթանունը կամ IP հասցեն');
INSERT INTO `lang_definitions` VALUES (53883, 2926, 14, 'SMTP կիրառման դեպքում սերվերի TCPպորտի համարը (սովորաբար 25)');
INSERT INTO `lang_definitions` VALUES (53884, 2927, 14, 'եթե չի աշխատում, ապա նշեք ՈՒՍԱՆՈՂ');
INSERT INTO `lang_definitions` VALUES (53885, 2928, 14, 'Եթե տարիքի ցուցադրման համար ընտրված է YMD, ապա անցնել միայն տարեթվերին, երբ պացիենտի տարիքը  մեծ է սույն արժեքից');
INSERT INTO `lang_definitions` VALUES (53886, 2929, 14, 'e-RX֊ը դերը  ePrescription /էլ․ դեղատոմս/֊ի  փոխարինելու դեպքում կարող է ազդել էլ դեղատոմսի աշխատանքի արդյունքի վրա։ Խնդիրների դեպքում կապվեք էլ; դեղատոմս տրամադրողի/մատակարարողի հետ։');
INSERT INTO `lang_definitions` VALUES (53887, 2930, 14, 'եթե չեք նշում \"համընկնում\", \"պացիենտ\" կստեղծվի/կհաստատվի');
INSERT INTO `lang_definitions` VALUES (53888, 2933, 14, 'եթե ցանկանում եք փոխել տվյալների տեսակը, կամ ավելացնել տողեր և/կամ սյուներ');
INSERT INTO `lang_definitions` VALUES (53889, 2934, 14, 'եթե ցանկանում եք թարմացնել վյալների բազան, տեղադրեք տվյալների բազայի zip ֆայլը հետևյալ քարտացուցակի մեջ');
INSERT INTO `lang_definitions` VALUES (53890, 2936, 14, 'մերժել');
INSERT INTO `lang_definitions` VALUES (53891, 2937, 14, 'հիվանդություն');
INSERT INTO `lang_definitions` VALUES (53892, 2938, 14, 'թերապեվտ');
INSERT INTO `lang_definitions` VALUES (53893, 2941, 14, 'ցուցադրման միջոց');
INSERT INTO `lang_definitions` VALUES (53894, 2942, 14, 'Պատվաստում');
INSERT INTO `lang_definitions` VALUES (53895, 2943, 14, 'Պատվաստման կոդ');
INSERT INTO `lang_definitions` VALUES (53896, 2945, 14, 'Պատվաստման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (53897, 2946, 14, 'Պատվաստանյութի պիտանիության ժամկետը');
INSERT INTO `lang_definitions` VALUES (53898, 2947, 14, 'Պատվաստանյութի խմբաքանակի համարը');
INSERT INTO `lang_definitions` VALUES (53899, 2948, 14, 'Պատվաստանյութն արտադրողը');
INSERT INTO `lang_definitions` VALUES (53900, 2949, 14, 'Պատվաստանյութի գրանցումը');
INSERT INTO `lang_definitions` VALUES (53901, 2950, 14, 'Պատվաստման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53902, 2951, 14, 'Պատվաստման ծառայություն');
INSERT INTO `lang_definitions` VALUES (53903, 2952, 14, 'Պատվաստման անվանում');
INSERT INTO `lang_definitions` VALUES (53904, 2953, 14, 'Պատվաստումներ');
INSERT INTO `lang_definitions` VALUES (53905, 2954, 14, 'Պատվաստել');
INSERT INTO `lang_definitions` VALUES (53906, 2955, 14, 'Իմունոլոգիական');
INSERT INTO `lang_definitions` VALUES (53907, 2956, 14, 'Իմպլանտներ');
INSERT INTO `lang_definitions` VALUES (53908, 2957, 14, 'Ներմուծել/ներմուծում');
INSERT INTO `lang_definitions` VALUES (53909, 2961, 14, 'Վկայականը ներմուծել բրաուզեր');
INSERT INTO `lang_definitions` VALUES (53910, 2962, 14, 'Ներմուծման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (53911, 2964, 14, 'Ներմուծել պացիենտի տվյալները / Պացիենտի տվյալների ներմուծում');
INSERT INTO `lang_definitions` VALUES (53912, 2965, 14, 'Պացիենտի անձնական տվյալների ներմուծում');
INSERT INTO `lang_definitions` VALUES (53913, 2966, 14, 'Կարևոր կոդեր։');
INSERT INTO `lang_definitions` VALUES (53914, 2969, 14, 'Ներմուծված է հաշվապահությունից');
INSERT INTO `lang_definitions` VALUES (53915, 2972, 14, 'Բարելավվել է');
INSERT INTO `lang_definitions` VALUES (53916, 2973, 14, '֊ում');
INSERT INTO `lang_definitions` VALUES (53917, 2974, 14, '֊ում');
INSERT INTO `lang_definitions` VALUES (53918, 2975, 14, 'Յուրաանչչյուր աչքում');
INSERT INTO `lang_definitions` VALUES (53919, 2976, 14, 'ձախ աչքում');
INSERT INTO `lang_definitions` VALUES (53920, 2977, 14, 'քթանցքում');
INSERT INTO `lang_definitions` VALUES (53921, 2978, 14, 'Աշխատասենյակում');
INSERT INTO `lang_definitions` VALUES (53922, 2979, 14, 'Աջ աչքում');
INSERT INTO `lang_definitions` VALUES (53923, 2980, 14, 'տանը / տնային');
INSERT INTO `lang_definitions` VALUES (53924, 2981, 14, 'պասիվ / անգործ');
INSERT INTO `lang_definitions` VALUES (53925, 2982, 14, 'հանգստյան/ոչ աշխատանքային օրեր');
INSERT INTO `lang_definitions` VALUES (53926, 2983, 14, 'Մուտքային փոստարկղ');
INSERT INTO `lang_definitions` VALUES (53927, 2986, 14, 'Միացնել checksum');
INSERT INTO `lang_definitions` VALUES (53928, 2988, 14, 'Միացնել ոչ ակտիվ օգտվողներին');
INSERT INTO `lang_definitions` VALUES (53929, 2989, 14, 'Միացնել/ներառել չդասակարգվածները');
INSERT INTO `lang_definitions` VALUES (53930, 2990, 14, 'Միացնել/ներառել չհամակարգված տվյալները');
INSERT INTO `lang_definitions` VALUES (53931, 2991, 14, 'Միացնել/ներառել կենսական նշանակության օրգանները');
INSERT INTO `lang_definitions` VALUES (53932, 2992, 14, 'Միացնե՞լ/ներառե՞լ կենսական նշանակության օրգանների տվյալները');
INSERT INTO `lang_definitions` VALUES (53933, 2993, 14, 'Միացում/ներառում');
INSERT INTO `lang_definitions` VALUES (53934, 2994, 14, 'Եկամուտ');
INSERT INTO `lang_definitions` VALUES (53935, 2995, 14, 'Ուշադրություն պահանջող մուտքային տվյալներ');
INSERT INTO `lang_definitions` VALUES (53936, 2996, 14, 'թերի/անավարտ');
INSERT INTO `lang_definitions` VALUES (53937, 2997, 14, 'Հղիության արհեստական ընդհատման անավարտ բուժում');
INSERT INTO `lang_definitions` VALUES (53938, 2998, 14, 'անզսպություն');
INSERT INTO `lang_definitions` VALUES (53939, 2999, 14, 'Լաբորատոր հետազոտությունների արդյունքների ներառում հավաստագրված EHR տեխնոլոգիա՝ որպես համակարգված տվյալ');
INSERT INTO `lang_definitions` VALUES (53940, 3000, 14, 'Սխալ գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (53941, 3001, 14, 'աճած/ավելացած։');
INSERT INTO `lang_definitions` VALUES (53942, 3002, 14, 'Ապահովագրական փոխհատուցում');
INSERT INTO `lang_definitions` VALUES (53943, 3003, 14, 'Անորոշ');
INSERT INTO `lang_definitions` VALUES (53944, 3004, 14, 'Հնդկերեն');
INSERT INTO `lang_definitions` VALUES (53945, 3005, 14, 'Ցույց է տալիս շեղում/խանգարում');
INSERT INTO `lang_definitions` VALUES (53946, 3006, 14, 'Ցույց է տալիս ներկայում խնդրի առկայությունը');
INSERT INTO `lang_definitions` VALUES (53947, 3008, 14, 'Մասնագիտական օգտագործման ցուցանիշ');
INSERT INTO `lang_definitions` VALUES (53948, 3009, 14, 'Կարիքավոր/անապահով հիվանդ');
INSERT INTO `lang_definitions` VALUES (53949, 3010, 14, 'Կարիքավոր/անապահով հիվանդների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (53950, 3011, 14, 'Աղքատ/չքավոր');
INSERT INTO `lang_definitions` VALUES (53951, 3013, 14, 'Ինդոնեզիական');
INSERT INTO `lang_definitions` VALUES (53952, 3014, 14, 'Հղիության արհեստական ընդհատում');
INSERT INTO `lang_definitions` VALUES (53953, 3016, 14, 'Անհամապատասխան');
INSERT INTO `lang_definitions` VALUES (53954, 3017, 14, 'Վարակ / թարախակույտ');
INSERT INTO `lang_definitions` VALUES (53955, 3018, 14, 'Վարակ');
INSERT INTO `lang_definitions` VALUES (53956, 3019, 14, 'Անպտղության խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (53957, 3020, 14, 'Անպտղություն');
INSERT INTO `lang_definitions` VALUES (53958, 3021, 14, 'Գրիպ 1');
INSERT INTO `lang_definitions` VALUES (53959, 3022, 14, 'Գրիպ 2');
INSERT INTO `lang_definitions` VALUES (53960, 3023, 14, 'Հակագրիպային պատվաստում >= 50 տարեկան Պացիենտների համար');
INSERT INTO `lang_definitions` VALUES (53961, 3024, 14, 'Հակագրիպային պատվաստում >= 50 տարեկան Պացիենտների համար (CQM)');
INSERT INTO `lang_definitions` VALUES (53962, 3025, 14, 'Հակագրիպային պատվաստում');
INSERT INTO `lang_definitions` VALUES (53963, 3026, 14, 'Ինֆորմ․');
INSERT INTO `lang_definitions` VALUES (53964, 3027, 14, 'Ինֆորմ․ թեստ 1');
INSERT INTO `lang_definitions` VALUES (53965, 3028, 14, 'Ինֆորմ․ թեստ 2');
INSERT INTO `lang_definitions` VALUES (53966, 3029, 14, 'Ինֆորմ․ թեստ 3');
INSERT INTO `lang_definitions` VALUES (53967, 3030, 14, 'Ինֆորմ․ թեստ 4');
INSERT INTO `lang_definitions` VALUES (53968, 3031, 14, 'Ինֆորմ․ թեստ 5');
INSERT INTO `lang_definitions` VALUES (53969, 3032, 14, 'Ինֆորմ․ թեստ 6');
INSERT INTO `lang_definitions` VALUES (53970, 3034, 14, 'Ինհալացիաներ');
INSERT INTO `lang_definitions` VALUES (53971, 3036, 14, 'Նախնական բուժում');
INSERT INTO `lang_definitions` VALUES (53972, 3037, 14, 'Նախնական/սկզբնական օգտվող');
INSERT INTO `lang_definitions` VALUES (53973, 3038, 14, 'Վնասվ․/ Վերականգն․');
INSERT INTO `lang_definitions` VALUES (53974, 3039, 14, 'Ներարկելի');
INSERT INTO `lang_definitions` VALUES (53975, 3040, 14, 'Ներարկում');
INSERT INTO `lang_definitions` VALUES (53976, 3041, 14, 'Մարմնի վնասված մաս/հատվածը');
INSERT INTO `lang_definitions` VALUES (53977, 3042, 14, 'Վնասվածքի հետևանք');
INSERT INTO `lang_definitions` VALUES (53978, 3043, 14, 'Վնասվածք');
INSERT INTO `lang_definitions` VALUES (53979, 3044, 14, 'Վնասվածքի մեխանիզմ');
INSERT INTO `lang_definitions` VALUES (53980, 3045, 14, 'Վնասվածքի ընդհանուր/ամբողջական զեկույց');
INSERT INTO `lang_definitions` VALUES (53981, 3046, 14, 'Վնասվածքաբանական հետազոտություն');
INSERT INTO `lang_definitions` VALUES (53982, 3047, 14, 'Վնասվածքի տեսակը');
INSERT INTO `lang_definitions` VALUES (53983, 3048, 14, 'Վնասվածքի/հիվանդության հետ կապված');
INSERT INTO `lang_definitions` VALUES (53984, 3049, 14, 'հերթում');
INSERT INTO `lang_definitions` VALUES (53985, 3050, 14, 'Մուտքագրումը չի սկսվում MSH սեգմենտից');
INSERT INTO `lang_definitions` VALUES (53986, 3051, 14, 'Մուտքագրման դաշտ');
INSERT INTO `lang_definitions` VALUES (53987, 3052, 14, 'Միջազգային կարգավորման ինդեքս /ՄԿԻ/');
INSERT INTO `lang_definitions` VALUES (53988, 3053, 14, 'Տեղ․ 1');
INSERT INTO `lang_definitions` VALUES (53989, 3054, 14, 'Տեղ․ 2 կամ Տեղ․ 3');
INSERT INTO `lang_definitions` VALUES (53990, 3055, 14, 'Տեղ․ հասցեն');
INSERT INTO `lang_definitions` VALUES (53991, 3056, 14, 'Տեղ․ շտկումներ');
INSERT INTO `lang_definitions` VALUES (53992, 3057, 14, 'Տեղ․ վիրակապ');
INSERT INTO `lang_definitions` VALUES (53993, 3058, 14, 'Տեղ․ կոդ');
INSERT INTO `lang_definitions` VALUES (53994, 3059, 14, 'Տեղ․ խումբ');
INSERT INTO `lang_definitions` VALUES (53995, 3060, 14, 'Տեղ․ Անունը');
INSERT INTO `lang_definitions` VALUES (53996, 3061, 14, 'Տեղ․ գերավճարը');
INSERT INTO `lang_definitions` VALUES (53997, 3062, 14, 'Տեղ․ ապահովագրական վկայականը');
INSERT INTO `lang_definitions` VALUES (53998, 3063, 14, 'Տեղ․ հատուցումը');
INSERT INTO `lang_definitions` VALUES (53999, 3064, 14, 'Տեղ․ ամփոփագիրը');
INSERT INTO `lang_definitions` VALUES (54000, 3065, 14, 'Տեղ․ 1');
INSERT INTO `lang_definitions` VALUES (54001, 3066, 14, 'Տեղ․ 2');
INSERT INTO `lang_definitions` VALUES (54002, 3067, 14, 'Տեղ․ 3');
INSERT INTO `lang_definitions` VALUES (54003, 3068, 14, 'Տեղադրել');
INSERT INTO `lang_definitions` VALUES (54004, 3069, 14, 'Տեղադրումը ձախողվեց ');
INSERT INTO `lang_definitions` VALUES (54005, 3070, 14, 'Տեղադրել հին/նախկին իրադարձությունները աղյուսակում');
INSERT INTO `lang_definitions` VALUES (54006, 3072, 14, 'Անքնություն');
INSERT INTO `lang_definitions` VALUES (54007, 3073, 14, 'Ստուգել/զննել մուտքը');
INSERT INTO `lang_definitions` VALUES (54008, 3074, 14, 'Քննություն/ստուգում/զննում');
INSERT INTO `lang_definitions` VALUES (54009, 3075, 14, 'Անկայունություն / մասնակի հոդախախտում');
INSERT INTO `lang_definitions` VALUES (54010, 3076, 14, 'ՏԵՂԱԴՐԵԼ');
INSERT INTO `lang_definitions` VALUES (54011, 3077, 14, 'Տեղադրել');
INSERT INTO `lang_definitions` VALUES (54012, 3078, 14, 'Տեղադրել կոդը');
INSERT INTO `lang_definitions` VALUES (54013, 3079, 14, 'Տեղադրել տվյալների բազան');
INSERT INTO `lang_definitions` VALUES (54014, 3080, 14, 'Տեղադրված տարբերակ');
INSERT INTO `lang_definitions` VALUES (54015, 3081, 14, 'Հրահանգավորված');
INSERT INTO `lang_definitions` VALUES (54016, 3082, 14, 'Հրահանգ/ցուցում');
INSERT INTO `lang_definitions` VALUES (54017, 3084, 14, 'Հրահանգներ/ցուցումներ');
INSERT INTO `lang_definitions` VALUES (54018, 3085, 14, 'Արտադրանքի նույնականացման անբավարար գույքագրում');
INSERT INTO `lang_definitions` VALUES (54019, 3086, 14, 'Ինսուլինից կախյալ շաքարախտ/շաքարային դիաբետ');
INSERT INTO `lang_definitions` VALUES (54020, 3087, 14, 'Ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (54021, 3088, 14, 'Ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (54022, 3091, 14, 'Ապահովագրական հաշվեկշիռ/մնացորդ');
INSERT INTO `lang_definitions` VALUES (54023, 3092, 14, 'Ապահովագրական հաշվեկշիռ/մնացորդ՝  առ');
INSERT INTO `lang_definitions` VALUES (54024, 3093, 14, 'Ապահովագրական ընկերություն');
INSERT INTO `lang_definitions` VALUES (54025, 3094, 14, 'Ապահովագրական ընկերություններ');
INSERT INTO `lang_definitions` VALUES (54026, 3095, 14, 'Ապահովագրական ընկերություն');
INSERT INTO `lang_definitions` VALUES (54027, 3096, 14, 'Ապահովագրական ընկերության Որոնում/Ավելացում');
INSERT INTO `lang_definitions` VALUES (54028, 3098, 14, 'Ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54029, 3099, 14, 'Ապահովագրական տեղեկատվություն ֆայլում');
INSERT INTO `lang_definitions` VALUES (54030, 3100, 14, 'Ապահովագրության համարը');
INSERT INTO `lang_definitions` VALUES (54031, 3101, 14, 'Ապահովագրական վճարում');
INSERT INTO `lang_definitions` VALUES (54032, 3103, 14, 'Ապահովագրող');
INSERT INTO `lang_definitions` VALUES (54033, 3104, 14, 'Ապահովագրության տեսակներ');
INSERT INTO `lang_definitions` VALUES (54034, 3105, 14, 'Ապահովագրություններ');
INSERT INTO `lang_definitions` VALUES (54035, 3106, 14, 'Ապահովագրված');
INSERT INTO `lang_definitions` VALUES (54036, 3107, 14, 'Ընդունման/օգտագործման եզրակացություն');
INSERT INTO `lang_definitions` VALUES (54037, 3108, 14, 'Ընդունման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54038, 3109, 14, 'Մտավոր անկում');
INSERT INTO `lang_definitions` VALUES (54039, 3110, 14, 'Ինտերլինգվա (ավտոմատ թարգմանության միջանկյալ/արհեստական լեզու)');
INSERT INTO `lang_definitions` VALUES (54040, 3113, 14, 'Ներքին սխալ ֊ չկա ընտրված էջ');
INSERT INTO `lang_definitions` VALUES (54041, 3114, 14, 'Ներքին սխալ ֊ պացիենտի ID ներկայացված չէ');
INSERT INTO `lang_definitions` VALUES (54042, 3115, 14, 'Բեռնված ֆայլի հասանելիության ներքին սխալ');
INSERT INTO `lang_definitions` VALUES (54043, 3116, 14, 'Ներքին սխալ');
INSERT INTO `lang_definitions` VALUES (54044, 3117, 14, 'Ներքին սխալ․ դեղամիջոցի ID նշված չէ');
INSERT INTO `lang_definitions` VALUES (54045, 3118, 14, 'Ներքին սխալ․ հնարավոր չէ գտնել MSH-10');
INSERT INTO `lang_definitions` VALUES (54046, 3119, 14, 'Ներքին սխալ․ պահանջ ');
INSERT INTO `lang_definitions` VALUES (54047, 3120, 14, 'Ներքին սխալ․ այց \'');
INSERT INTO `lang_definitions` VALUES (54048, 3121, 14, 'Ներքին սխալ․ pid/ կանացի սեռ․ օրգանների բորբոքային հիվ․/ կամ այցելության բացակայություն');
INSERT INTO `lang_definitions` VALUES (54049, 3122, 14, 'Ներքին սխալ․ այցի շրջանակներից դուրս ենք');
INSERT INTO `lang_definitions` VALUES (54050, 3123, 14, 'Ներքին նույնացուցիչ (pid)');
INSERT INTO `lang_definitions` VALUES (54051, 3126, 14, 'Ներքին ուղղորդումներ');
INSERT INTO `lang_definitions` VALUES (54052, 3127, 14, 'Ներքին  ժամանակի հավաքագրում/ծախս');
INSERT INTO `lang_definitions` VALUES (54053, 3128, 14, 'Միջազգային պարտավորություն/պարտականություն');
INSERT INTO `lang_definitions` VALUES (54054, 3129, 14, 'Թարգմանիչ');
INSERT INTO `lang_definitions` VALUES (54055, 3130, 14, 'Թարգմանչի կարիք կա՞');
INSERT INTO `lang_definitions` VALUES (54056, 3131, 14, 'Ինտերստիցիալ թոքային բորբոքում');
INSERT INTO `lang_definitions` VALUES (54057, 3132, 14, 'Դադար/ընդմիջում');
INSERT INTO `lang_definitions` VALUES (54058, 3133, 14, 'Դադար/ընդմիջում (րոպե)');
INSERT INTO `lang_definitions` VALUES (54059, 3134, 14, 'Հաղորդագրությունների ստուգման ինտերվալը (զրոյացնել միայն մեխ․/ձեռքով ստուգման դեպքում)');
INSERT INTO `lang_definitions` VALUES (54060, 3135, 14, 'Միջամտություն');
INSERT INTO `lang_definitions` VALUES (54061, 3136, 14, 'Ցուցաբերված/կատարված միաջմտություն');
INSERT INTO `lang_definitions` VALUES (54062, 3137, 14, 'Անհանդուրժողականություն');
INSERT INTO `lang_definitions` VALUES (54063, 3139, 14, 'միջմկանային');
INSERT INTO `lang_definitions` VALUES (54064, 3140, 14, 'ներերակային');
INSERT INTO `lang_definitions` VALUES (54065, 3141, 14, 'Ներածություն/ծանուցում');
INSERT INTO `lang_definitions` VALUES (54066, 3144, 14, 'Սխալ/անվավեր  սիմվոլ ֊ում');
INSERT INTO `lang_definitions` VALUES (54067, 3147, 14, 'Սխալ երկարություն ֊ի համար');
INSERT INTO `lang_definitions` VALUES (54068, 3148, 14, 'Ոչ թվային սխալ  սիմվոլ');
INSERT INTO `lang_definitions` VALUES (54069, 3149, 14, 'Ըստ կոդի սկզբնաղբյուրի սխալ կամ գոյություն չունեցող վճարող ');
INSERT INTO `lang_definitions` VALUES (54070, 3150, 14, 'Սխալ հասցեատեր․ կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (54071, 3151, 14, 'Ծառայության սխալ կոդեր');
INSERT INTO `lang_definitions` VALUES (54072, 3152, 14, 'Սկզբնաղբյուրի սխալ անվանում/նշանակություն');
INSERT INTO `lang_definitions` VALUES (54073, 3153, 14, 'Սխալ օգտատեր կամ գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (54074, 3154, 14, 'Նյութական ակտիվների արժեք');
INSERT INTO `lang_definitions` VALUES (54075, 3155, 14, 'Նյութական ակտիվներ');
INSERT INTO `lang_definitions` VALUES (54076, 3157, 14, 'Դեղամիջոցների և ոչ դեղորայքային ակտիվների գույքագրում և վաճառք');
INSERT INTO `lang_definitions` VALUES (54077, 3158, 14, 'Գույքագրել և վաճառել միայն դեղորայք');
INSERT INTO `lang_definitions` VALUES (54078, 3159, 14, 'Այս պատվերի համար գույքագրում հասնաելի չէ');
INSERT INTO `lang_definitions` VALUES (54079, 3160, 14, 'Նյութական ակտիվների ցանկ');
INSERT INTO `lang_definitions` VALUES (54080, 3161, 14, 'Գույքագրման / Նյութական ակտիվների գործարքներ');
INSERT INTO `lang_definitions` VALUES (54081, 3162, 14, 'Հաշիվ֊ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (54082, 3163, 14, 'հաշիվ֊ապրանքագիր');
INSERT INTO `lang_definitions` VALUES (54083, 3164, 14, 'Հաշիվ֊ապրանքագրի մնացորդ');
INSERT INTO `lang_definitions` VALUES (54084, 3165, 14, 'Հնարավոր չէ հրապարակել/տեղադրել հաշիվ֊ապրանքագրի մնացորդ․ ստեղծված այց չկա');
INSERT INTO `lang_definitions` VALUES (54085, 3166, 14, 'Հաշիվ֊ապրանքագրի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54086, 3167, 14, 'Հաշիվ֊ապրանքագրում ամսաթիվ չկա');
INSERT INTO `lang_definitions` VALUES (54087, 3168, 14, 'Հաշիվ֊ապրանքագրի համարը');
INSERT INTO `lang_definitions` VALUES (54088, 3173, 14, 'Հաշիվ֊ապրանքագիր։');
INSERT INTO `lang_definitions` VALUES (54089, 3174, 14, '1. Թոքերի իդիոպաթիկ ֆիբրոս  2. Ընտանիքի պլանավորման միջազգային Ֆեդերացիա /ԸՊՄՖ/');
INSERT INTO `lang_definitions` VALUES (54090, 3175, 14, 'ԸՊՄՖ Հղիության արհեստական ընդհատում');
INSERT INTO `lang_definitions` VALUES (54091, 3176, 14, 'ԸՊՄՖ Հակաբեղմնավորիչ միջոցներ');
INSERT INTO `lang_definitions` VALUES (54092, 3177, 14, 'ԸՊՄՖ Սեռական և վերարտադրողական առողջության տվյլաներ');
INSERT INTO `lang_definitions` VALUES (54093, 3178, 14, 'ԸՊՄՖ Վիճակագրական զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (54094, 3179, 14, 'ԸՊՄՖ Վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (54095, 3180, 14, 'Պոլիոմելիտի կանխարգելման պատվաստում 1');
INSERT INTO `lang_definitions` VALUES (54096, 3181, 14, 'Պոլիոմելիտի կանխարգելման պատվաստում 2');
INSERT INTO `lang_definitions` VALUES (54097, 3182, 14, 'Պոլիոմելիտի կանխարգելման պատվաստում 3');
INSERT INTO `lang_definitions` VALUES (54098, 3183, 14, 'Պոլիոմելիտի կանխարգելման պատվաստում 4');
INSERT INTO `lang_definitions` VALUES (54099, 3184, 14, 'Իռլանդերեն');
INSERT INTO `lang_definitions` VALUES (54100, 3185, 14, 'Առիթմիա');
INSERT INTO `lang_definitions` VALUES (54101, 3186, 14, 'Գրգռվածություն / դյուրագրգռություն');
INSERT INTO `lang_definitions` VALUES (54102, 3187, 14, 'Գրգիռ');
INSERT INTO `lang_definitions` VALUES (54103, 3188, 14, 'սույն/այս տվյալների բազայի այլալեզու տարբերակն է');
INSERT INTO `lang_definitions` VALUES (54104, 3189, 14, 'սույն/այս տվյալների բազայի այլ տարբերակն է');
INSERT INTO `lang_definitions` VALUES (54105, 3190, 14, 'սույն/այս տվյալների բազայի ամենավերջին տարբերակն է');
INSERT INTO `lang_definitions` VALUES (54106, 3191, 14, 'պահանջված դաշտ է');
INSERT INTO `lang_definitions` VALUES (54107, 3192, 14, 'արմատական/հիմնական հանգույց է և չի կարող հեռացվել/ջնջվել');
INSERT INTO `lang_definitions` VALUES (54108, 3193, 14, 'սույն տվյալների բազայի շարունակությունն է');
INSERT INTO `lang_definitions` VALUES (54109, 3194, 14, 'ճի՞շտ/ընդունելի՞ է արդյոք  CVX կոդերի արտապատկերումը գոյություն ունեցող պատվաստումների վրա');
INSERT INTO `lang_definitions` VALUES (54110, 3195, 14, 'սխալ է տեղակայված կամ գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (54111, 3197, 14, 'վավեր չէ/անվավեր է (տասնորդական կոտորակները ընդունելի են)');
INSERT INTO `lang_definitions` VALUES (54112, 3198, 14, 'PHP-ն կիրառո՞ւմ է անվտանգության ռեժիմ');
INSERT INTO `lang_definitions` VALUES (54113, 3201, 14, 'Արդյո՞ք ցուցակների տեքստը պետք է թարգմանել');
INSERT INTO `lang_definitions` VALUES (54114, 3202, 14, 'Այս ֆայլը կոդավորվա՞ծ է');
INSERT INTO `lang_definitions` VALUES (54115, 3203, 14, 'Սա կլինիկական կոդի տեսա՞կ է');
INSERT INTO `lang_definitions` VALUES (54116, 3204, 14, 'Սա ախտորոշմա՞ն տեսակ է');
INSERT INTO `lang_definitions` VALUES (54117, 3205, 14, 'Արդյո՞ք սա բժշկական խնդրի կոդի տեսակ է');
INSERT INTO `lang_definitions` VALUES (54118, 3206, 14, 'Արդյո՞ք սա դեղորայքի տեսակ է');
INSERT INTO `lang_definitions` VALUES (54119, 3207, 14, 'Արդյո՞ք սա միջամտության / ծառայության տեսակ է');
INSERT INTO `lang_definitions` VALUES (54120, 3208, 14, 'Ակտի՞վ է');
INSERT INTO `lang_definitions` VALUES (54121, 3209, 14, 'Կոդի այս տեսակն ակտի՞վ է');
INSERT INTO `lang_definitions` VALUES (54122, 3210, 14, 'Այս կոդն օգտագործվո՞ւմ է գանգատների մեջ');
INSERT INTO `lang_definitions` VALUES (54123, 3211, 14, 'Արդյո՞ք ամեն ինչ նորմալ է');
INSERT INTO `lang_definitions` VALUES (54124, 3212, 14, 'Արդյո՞ք այս տեսակը թաքցված է վճարման թերթիկից/էջից');
INSERT INTO `lang_definitions` VALUES (54125, 3214, 14, 'չափազանց երկար է');
INSERT INTO `lang_definitions` VALUES (54126, 3215, 14, 'ISO 639-2 Կոդ');
INSERT INTO `lang_definitions` VALUES (54127, 3216, 14, 'Խնդիր');
INSERT INTO `lang_definitions` VALUES (54128, 3217, 14, 'խնդիր');
INSERT INTO `lang_definitions` VALUES (54129, 3218, 14, 'Խնդրի առաջացման/ծագման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54130, 3219, 14, 'խնդրի ID');
INSERT INTO `lang_definitions` VALUES (54131, 3220, 14, 'Խնդրի անվանում');
INSERT INTO `lang_definitions` VALUES (54132, 3221, 14, 'Խնդրի տեսակ');
INSERT INTO `lang_definitions` VALUES (54133, 3222, 14, 'Խնդրի տեսակներ');
INSERT INTO `lang_definitions` VALUES (54134, 3223, 14, 'Խնդիրներ');
INSERT INTO `lang_definitions` VALUES (54135, 3224, 14, 'Խնդրի ասպեկտներ (տրավմաներ / թերապիա / ալերգիա)');
INSERT INTO `lang_definitions` VALUES (54136, 3225, 14, 'Խնդրի ասպեկտներ (տրավմաներ / թերապիա / ալերգիա)։');
INSERT INTO `lang_definitions` VALUES (54137, 3226, 14, 'Խնդրի ասպեկտներ և այցեր');
INSERT INTO `lang_definitions` VALUES (54138, 3227, 14, 'Խնդրի ասպեկտներ և այցեր ֊ի համար');
INSERT INTO `lang_definitions` VALUES (54139, 3228, 14, 'Խնդիրների հասանելիություն չկա');
INSERT INTO `lang_definitions` VALUES (54140, 3229, 14, 'Խնդիրների բաժիններ');
INSERT INTO `lang_definitions` VALUES (54141, 3230, 14, 'Իտալերեն');
INSERT INTO `lang_definitions` VALUES (54142, 3231, 14, 'Կետ');
INSERT INTO `lang_definitions` VALUES (54143, 3232, 14, 'Կետ');
INSERT INTO `lang_definitions` VALUES (54144, 3233, 14, 'Կետեր/պարագրաֆներ');
INSERT INTO `lang_definitions` VALUES (54145, 3234, 14, 'Կետերի/նյութերի բեռնումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (54146, 3238, 14, 'Հնվ․');
INSERT INTO `lang_definitions` VALUES (54147, 3239, 14, 'Հունվար');
INSERT INTO `lang_definitions` VALUES (54148, 3240, 14, 'Ճապոներեն');
INSERT INTO `lang_definitions` VALUES (54149, 3241, 14, 'Դեղնախտ');
INSERT INTO `lang_definitions` VALUES (54150, 3243, 14, 'Աշխատանքի նկարագիր');
INSERT INTO `lang_definitions` VALUES (54151, 3244, 14, 'Աշխատանքի ID');
INSERT INTO `lang_definitions` VALUES (54152, 3245, 14, 'Հոդախախտություն / հոդերի անկայունություն');
INSERT INTO `lang_definitions` VALUES (54153, 3246, 14, 'Հոդացավ');
INSERT INTO `lang_definitions` VALUES (54154, 3247, 14, 'Հոդերի գերձգում/');
INSERT INTO `lang_definitions` VALUES (54155, 3248, 14, 'Հուլ․');
INSERT INTO `lang_definitions` VALUES (54156, 3249, 14, 'Հուլիս');
INSERT INTO `lang_definitions` VALUES (54157, 3250, 14, 'Հուն․');
INSERT INTO `lang_definitions` VALUES (54158, 3251, 14, 'Հունիս');
INSERT INTO `lang_definitions` VALUES (54159, 3252, 14, 'Քիչ ներքև՝ կապույտ հատվածում է ստուգիչ ինֆորմացիան, որտեղ լրացնում եք որոնման պարամետրերը։ Կարող եք որոնել պացիենտի անունով, քարտի համարով, այցի համարով, ծառայության մատուցման ամսաթվով կամ սրանց որևէ համակցումով։ Կարող եք նաև ընտրել, թե որտեղ ցուցադրվեն բոլոր հաշիվ֊ապրանքագրերը, բացված հ֊աերը, կամ միայն պարտքի մնացորդ ունեցողները․ Սեղմեք ՈՐՈՆԵԼ կոճակին՝ որոնումն իրականացնելու համար։');
INSERT INTO `lang_definitions` VALUES (54160, 3253, 14, 'Միայն իմը / ինձ պատկանողները');
INSERT INTO `lang_definitions` VALUES (54161, 3254, 14, 'Հիմնավորման գրառումներ');
INSERT INTO `lang_definitions` VALUES (54162, 3255, 14, 'Հաստատել');
INSERT INTO `lang_definitions` VALUES (54163, 3256, 14, 'Հաստատել/պահպանել');
INSERT INTO `lang_definitions` VALUES (54164, 3258, 14, 'k, ահա մնացածը');
INSERT INTO `lang_definitions` VALUES (54165, 3264, 14, 'Բանալի');
INSERT INTO `lang_definitions` VALUES (54166, 3265, 14, 'Բանալի բառ');
INSERT INTO `lang_definitions` VALUES (54167, 3266, 14, 'կգ');
INSERT INTO `lang_definitions` VALUES (54168, 3267, 14, 'կգ/մ^2');
INSERT INTO `lang_definitions` VALUES (54169, 3269, 14, 'Երիկամային քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (54170, 3270, 14, 'Երիկամային անբավարարություն');
INSERT INTO `lang_definitions` VALUES (54171, 3271, 14, 'Երիկամային վարակ/ինֆեկցիա');
INSERT INTO `lang_definitions` VALUES (54172, 3272, 14, 'Երիկամային քարեր');
INSERT INTO `lang_definitions` VALUES (54173, 3273, 14, 'Երիկամների փոխպատվաստում');
INSERT INTO `lang_definitions` VALUES (54174, 3277, 14, 'Ծունկ');
INSERT INTO `lang_definitions` VALUES (54175, 3278, 14, 'Ծնկների խնդիր');
INSERT INTO `lang_definitions` VALUES (54176, 3279, 14, 'Ծնկահոդի փոխարինում');
INSERT INTO `lang_definitions` VALUES (54177, 3282, 14, 'Կորեերեն');
INSERT INTO `lang_definitions` VALUES (54178, 3283, 14, 'Քրդերեն');
INSERT INTO `lang_definitions` VALUES (54179, 3286, 14, 'Լաբորատորիա');
INSERT INTO `lang_definitions` VALUES (54180, 3287, 14, 'Լաբորատոր փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (54181, 3288, 14, 'Լաբորատոր փոխանակման կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (54182, 3289, 14, 'Լաբորատոր փոխանակման կայքի Id');
INSERT INTO `lang_definitions` VALUES (54183, 3290, 14, 'Լաբորատոր փոխանակման սիմվոլիկ Id');
INSERT INTO `lang_definitions` VALUES (54184, 3291, 14, 'Լաբ․ հետազոտության հրաման');
INSERT INTO `lang_definitions` VALUES (54185, 3292, 14, 'Լաբ․ հետազոտության ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (54186, 3293, 14, 'Լաբ․ հետազոտության ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (54187, 3294, 14, 'Լաբ․ հարցման կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (54188, 3295, 14, 'Լաբ․ հետազոտությունների զեկույց');
INSERT INTO `lang_definitions` VALUES (54189, 3296, 14, 'Լաբ․ հետազոտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (54190, 3297, 14, 'Լաբ․ հետազոտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (54191, 3298, 14, 'Լաբ․ հետազոտության արդյունքների կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (54192, 3299, 14, 'Լաբ․ հետազոտության արդյունքների զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (54193, 3300, 14, 'Լաբորատոր ծառայություններ');
INSERT INTO `lang_definitions` VALUES (54194, 3301, 14, 'Լաբորատոր հետազոտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (54195, 3302, 14, 'Լաբորատոր/ֆայլ');
INSERT INTO `lang_definitions` VALUES (54196, 3303, 14, 'Պիտակ / նշաթուղթ');
INSERT INTO `lang_definitions` VALUES (54197, 3304, 14, 'Պիտակը / նշաթուղթը չի կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (54198, 3305, 14, 'Պիտակ / նշաթուղթ֊ի սյուներ');
INSERT INTO `lang_definitions` VALUES (54199, 3306, 14, 'Այս տիպի/ձևի/տեսակի նշաթուղթ/պիտակ');
INSERT INTO `lang_definitions` VALUES (54200, 3307, 14, 'Piտակի սյուները պետք է լինեն 1֊999 թվերի միջակայքում');
INSERT INTO `lang_definitions` VALUES (54201, 3308, 14, 'Պիտակներ / նշաթղթեր');
INSERT INTO `lang_definitions` VALUES (54202, 3311, 14, 'Լաբորատորիաներ');
INSERT INTO `lang_definitions` VALUES (54203, 3312, 14, 'Պատռվածք / մաշկի վիճակ');
INSERT INTO `lang_definitions` VALUES (54204, 3313, 14, 'Պատռվածք / քայքայում/ճանկռվածք');
INSERT INTO `lang_definitions` VALUES (54205, 3315, 14, 'Հորիզոնական');
INSERT INTO `lang_definitions` VALUES (54206, 3316, 14, 'Լեզու');
INSERT INTO `lang_definitions` VALUES (54207, 3317, 14, 'Լեզվի կոդ');
INSERT INTO `lang_definitions` VALUES (54208, 3318, 14, 'Լեզվի սահմանաումն ավելացված է');
INSERT INTO `lang_definitions` VALUES (54209, 3319, 14, 'Լեզվի ինտերֆեյս գործիք');
INSERT INTO `lang_definitions` VALUES (54210, 3320, 14, 'Լեզուների ցանկ (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (54211, 3321, 14, 'Լեզվի անվանում');
INSERT INTO `lang_definitions` VALUES (54212, 3322, 14, 'Լեզու։');
INSERT INTO `lang_definitions` VALUES (54213, 3324, 14, 'Լաոսերեն');
INSERT INTO `lang_definitions` VALUES (54214, 3325, 14, 'Վերջին');
INSERT INTO `lang_definitions` VALUES (54215, 3326, 14, 'Վերջին ակտիվության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54216, 3327, 14, 'Վերջին ապենդեկտոմիայի /կույր աղիքի հեռացման/ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54217, 3328, 14, 'Վերջին հաշվի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (54218, 3329, 14, 'Շնչառական վերջին հետազոտություն');
INSERT INTO `lang_definitions` VALUES (54219, 3330, 14, 'Անցած օրացուցային');
INSERT INTO `lang_definitions` VALUES (54220, 3331, 14, 'Կատարակտայի վերջին վիրահատությունը');
INSERT INTO `lang_definitions` VALUES (54221, 3332, 14, 'Վերջին խոլեցիստէկտոմիա /լեղապարկի հեռացում/');
INSERT INTO `lang_definitions` VALUES (54222, 3333, 14, 'Վերջին այց');
INSERT INTO `lang_definitions` VALUES (54223, 3334, 14, 'Գինեկոլոգիական վերջին հետազոտությունը');
INSERT INTO `lang_definitions` VALUES (54224, 3335, 14, 'Սրտի վերջին վիրահատությունը');
INSERT INTO `lang_definitions` VALUES (54225, 3336, 14, 'Ճողվածքի վերջին բուժում / շտկում');
INSERT INTO `lang_definitions` VALUES (54226, 3337, 14, 'Կոնքազդրային հոդի փոխարինում');
INSERT INTO `lang_definitions` VALUES (54227, 3338, 14, 'Վերջին հիստերէկտոմիա /արգանդի մասնակի կամ ամբողջական հեռացում/');
INSERT INTO `lang_definitions` VALUES (54228, 3339, 14, 'Ծնկի վերջին փոխարինում');
INSERT INTO `lang_definitions` VALUES (54229, 3341, 14, 'Վերջին մամոգրաֆիան');
INSERT INTO `lang_definitions` VALUES (54230, 3342, 14, 'Վերջին դաշտանի ցիկլը');
INSERT INTO `lang_definitions` VALUES (54231, 3343, 14, 'Անցած ամիս');
INSERT INTO `lang_definitions` VALUES (54232, 3344, 14, 'Ազգանուն');
INSERT INTO `lang_definitions` VALUES (54233, 3345, 14, 'ազգանուն');
INSERT INTO `lang_definitions` VALUES (54234, 3346, 14, 'Ազգանուն։');
INSERT INTO `lang_definitions` VALUES (54235, 3347, 14, 'Վերջին ֆիզզննում');
INSERT INTO `lang_definitions` VALUES (54236, 3348, 14, 'Շագանակագեղձի վերջին զննում');
INSERT INTO `lang_definitions` VALUES (54237, 3349, 14, 'Ուղիղ աղու/Rectal վերջին հետազոտում');
INSERT INTO `lang_definitions` VALUES (54238, 3350, 14, 'Վերջին անգամ վերանայվել է');
INSERT INTO `lang_definitions` VALUES (54239, 3351, 14, 'Վերջին մեկնարկը տրվել է ֊ին');
INSERT INTO `lang_definitions` VALUES (54240, 3352, 14, 'Վերջին անգամ պահպանվել է');
INSERT INTO `lang_definitions` VALUES (54241, 3353, 14, 'Վերջին սիգմայաձև (S֊աձև; կիսալուսնաձև)/ կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (54242, 3355, 14, 'Վերջին տոնսիլեկտոմիան /նշագեղձերի հեռացում/');
INSERT INTO `lang_definitions` VALUES (54243, 3356, 14, 'Վերջին թարմացումը ֊ի միջոցով');
INSERT INTO `lang_definitions` VALUES (54244, 3357, 14, 'Վերջին ստուգումը/հաստատումը ֊ին');
INSERT INTO `lang_definitions` VALUES (54245, 3358, 14, 'Վերջին այցը');
INSERT INTO `lang_definitions` VALUES (54246, 3359, 14, 'Վերջին ռենտգենը');
INSERT INTO `lang_definitions` VALUES (54247, 3360, 14, 'Ուշ/ուշացած/ կրկնություն (2-12 ամ.)');
INSERT INTO `lang_definitions` VALUES (54248, 3361, 14, 'Լատերալ/կողային Կոճ։');
INSERT INTO `lang_definitions` VALUES (54249, 3362, 14, 'Լատերալ/կողային կոճ։');
INSERT INTO `lang_definitions` VALUES (54250, 3363, 14, 'Աջլիկություն / Ձախլիկություն');
INSERT INTO `lang_definitions` VALUES (54251, 3367, 14, 'Ամենավերջին այցը կամ խորհրդատվությունը');
INSERT INTO `lang_definitions` VALUES (54252, 3368, 14, 'Լատիներեն');
INSERT INTO `lang_definitions` VALUES (54253, 3369, 14, 'Լատվիերեն');
INSERT INTO `lang_definitions` VALUES (54254, 3372, 14, 'Դասավորություն /մակետ');
INSERT INTO `lang_definitions` VALUES (54255, 3373, 14, 'Դասավորությունինց/նախագծից ելնելով');
INSERT INTO `lang_definitions` VALUES (54256, 3374, 14, 'Դասավորության/մակետի խմբագիր');
INSERT INTO `lang_definitions` VALUES (54257, 3375, 14, 'Մակետների խմբեր');
INSERT INTO `lang_definitions` VALUES (54258, 3376, 14, 'Մակետի ձև');
INSERT INTO `lang_definitions` VALUES (54259, 3378, 14, 'Դասավորությամբ պայմանավորվ այցերի ձևեր');
INSERT INTO `lang_definitions` VALUES (54260, 3379, 14, 'Մակետներ');
INSERT INTO `lang_definitions` VALUES (54261, 3380, 14, 'ֆունտ');
INSERT INTO `lang_definitions` VALUES (54262, 3381, 14, 'ֆունտեր');
INSERT INTO `lang_definitions` VALUES (54263, 3382, 14, 'Լիպոպրոտեինների ցածր խտություն');
INSERT INTO `lang_definitions` VALUES (54264, 3383, 14, 'Եթե դեռ ակտիվ է, թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (54265, 3384, 14, 'Ֆայլի նախնական անվանումը պահպանելու համար դաշտը թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (54266, 3385, 14, 'Նախկին գաղտնաբարը պահպանելու համար դաշտը թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (54267, 3386, 14, 'Թողնել հաղորդագրություն ֊ով');
INSERT INTO `lang_definitions` VALUES (54268, 3387, 14, 'Դուրս եկեք այս ձևից');
INSERT INTO `lang_definitions` VALUES (54269, 3388, 14, 'Գաղտնաբառի դաշտը դատարկ թողնելով փաստաթուղթը չի կոդավորվի');
INSERT INTO `lang_definitions` VALUES (54270, 3390, 14, 'Ձախ / ձախ կողմում');
INSERT INTO `lang_definitions` VALUES (54271, 3391, 14, 'Ձախ ականջ');
INSERT INTO `lang_definitions` VALUES (54272, 3392, 14, 'Ձախ ականջ');
INSERT INTO `lang_definitions` VALUES (54273, 3393, 14, 'Ձախ լուսանցք (մմ)');
INSERT INTO `lang_definitions` VALUES (54274, 3394, 14, 'Ձախ / ձախ կողմում։');
INSERT INTO `lang_definitions` VALUES (54275, 3395, 14, 'Ձախ / ձախ կողմում։ ');
INSERT INTO `lang_definitions` VALUES (54276, 3396, 14, 'Ոտքի ցավ / կծկումներ');
INSERT INTO `lang_definitions` VALUES (54277, 3397, 14, 'Օրինական / իրավական');
INSERT INTO `lang_definitions` VALUES (54278, 3399, 14, 'Էջի հաստատված/օրինական չափ');
INSERT INTO `lang_definitions` VALUES (54279, 3400, 14, 'Լեգենդ։');
INSERT INTO `lang_definitions` VALUES (54280, 3401, 14, 'Երկարություն');
INSERT INTO `lang_definitions` VALUES (54281, 3402, 14, 'Ձևափոխիչի երկարությունը․ եթե դրված չէ, ապա 0');
INSERT INTO `lang_definitions` VALUES (54282, 3403, 14, 'Քիչ, քան');
INSERT INTO `lang_definitions` VALUES (54283, 3404, 14, 'Քիչ կամ հավասար');
INSERT INTO `lang_definitions` VALUES (54284, 3405, 14, 'Քիչ/ո խիստ անձնական տեղեկություններ (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (54285, 3406, 14, 'Նամակ / տառ');
INSERT INTO `lang_definitions` VALUES (54286, 3407, 14, 'Նամակի գեներատոր');
INSERT INTO `lang_definitions` VALUES (54287, 3408, 14, 'Թղթի՝ նամակային չափ');
INSERT INTO `lang_definitions` VALUES (54288, 3409, 14, 'Բժշկի նշումներով/ստորագրությամբ բլանկ');
INSERT INTO `lang_definitions` VALUES (54289, 3410, 14, 'Պացիենտի ստորագրությամբ բլանկ');
INSERT INTO `lang_definitions` VALUES (54290, 3411, 14, 'Հրատապության/կարևորության  աստիճան');
INSERT INTO `lang_definitions` VALUES (54291, 3412, 14, 'Պատասխանատվություն');
INSERT INTO `lang_definitions` VALUES (54292, 3413, 14, 'Բժշկական պատասխանատվություն');
INSERT INTO `lang_definitions` VALUES (54293, 3414, 14, 'Լիցենզիա / ID');
INSERT INTO `lang_definitions` VALUES (54294, 3419, 14, 'Լիցենզավորված նշանակողի/պատասխանատուի ազգանունը');
INSERT INTO `lang_definitions` VALUES (54295, 3420, 14, 'Լիցենզավորված նշանակողի/պատասխանատուի NPI');
INSERT INTO `lang_definitions` VALUES (54296, 3421, 14, 'Լիցենզավորված նշանակողի/պատասխանատուի UPIN');
INSERT INTO `lang_definitions` VALUES (54297, 3423, 14, 'Կենսակերպ / ապրելակերպ');
INSERT INTO `lang_definitions` VALUES (54298, 3424, 14, 'Կենսակերպի վիճակը/մակարդակը');
INSERT INTO `lang_definitions` VALUES (54299, 3425, 14, 'Ջլերի գերձգում կամ պատռվածք');
INSERT INTO `lang_definitions` VALUES (54300, 3426, 14, 'Թեթև/քիչ ծխող');
INSERT INTO `lang_definitions` VALUES (54301, 3428, 14, 'Միջոցարումների/իրադարձությունների սահմանափակում');
INSERT INTO `lang_definitions` VALUES (54302, 3429, 14, 'Սահմանափակումներ');
INSERT INTO `lang_definitions` VALUES (54303, 3431, 14, 'Հղում');
INSERT INTO `lang_definitions` VALUES (54304, 3432, 14, 'Հղում պացիենտին');
INSERT INTO `lang_definitions` VALUES (54305, 3433, 14, 'Կապված');
INSERT INTO `lang_definitions` VALUES (54306, 3434, 14, 'Կապված/միացված փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (54307, 3435, 14, 'Փոխկապակցված միջամտության պահանջ/հրաման');
INSERT INTO `lang_definitions` VALUES (54308, 3436, 14, 'Փաստաթղթի հետ կապված');
INSERT INTO `lang_definitions` VALUES (54309, 3437, 14, 'Միջամտության պահանջի հետ կապված');
INSERT INTO `lang_definitions` VALUES (54310, 3438, 14, 'Ցանկ/ցուցակ');
INSERT INTO `lang_definitions` VALUES (54311, 3439, 14, 'Ցանկավանդակ');
INSERT INTO `lang_definitions` VALUES (54312, 3440, 14, 'Ցանկավանդակ');
INSERT INTO `lang_definitions` VALUES (54313, 3441, 14, 'Ցանկավանդակ գրել/ավելացնել');
INSERT INTO `lang_definitions` VALUES (54314, 3442, 14, 'Ցանկավանդակ գրել/ավելացնել');
INSERT INTO `lang_definitions` VALUES (54315, 3443, 14, 'Ցանկի խմբագրիչ');
INSERT INTO `lang_definitions` VALUES (54316, 3444, 14, 'Ցուցակագրել/ցուցադրել այցերը');
INSERT INTO `lang_definitions` VALUES (54317, 3445, 14, 'Ցուցակագրել/ցուցադրել խմբերը');
INSERT INTO `lang_definitions` VALUES (54318, 3446, 14, 'Ցուցակագրել/ցուցադրել ապահովագրական Ընկերությունները');
INSERT INTO `lang_definitions` VALUES (54319, 3448, 14, 'Ցուցակի /ցանկի տարրերը չեն կարող սկսվել թվերով');
INSERT INTO `lang_definitions` VALUES (54320, 3449, 14, 'Ցուցակի /ցանկի տարրերը պարունակում են չթույլատրված սիմվոլ(ner)');
INSERT INTO `lang_definitions` VALUES (54321, 3451, 14, 'Տպել ցուցակները');
INSERT INTO `lang_definitions` VALUES (54322, 3452, 14, 'Ցանկի անվանում');
INSERT INTO `lang_definitions` VALUES (54323, 3453, 14, 'Ցանկի անվանումները չեն կարող սկսվել թվերով');
INSERT INTO `lang_definitions` VALUES (54324, 3454, 14, 'Ցուցակագրել/ցուցադրել նշանակումները');
INSERT INTO `lang_definitions` VALUES (54325, 3455, 14, 'Ցանկը կիրառվում է վերոնշյալ երկրի տվյալների տարբերակով');
INSERT INTO `lang_definitions` VALUES (54326, 3456, 14, 'Ցանկը կիրառվում է վերոնշյալ նահանգի/մարզի տվյալների տարբերակով');
INSERT INTO `lang_definitions` VALUES (54327, 3457, 14, 'RFC 5425 TLS syslog սերվերի լսողական պորտ');
INSERT INTO `lang_definitions` VALUES (54328, 3458, 14, 'Ցանկեր/ցուցակներ');
INSERT INTO `lang_definitions` VALUES (54329, 3459, 14, 'Լիտվերեն');
INSERT INTO `lang_definitions` VALUES (54330, 3460, 14, 'Կտակ');
INSERT INTO `lang_definitions` VALUES (54331, 3461, 14, 'Ստորին ձախ վերջույթ');
INSERT INTO `lang_definitions` VALUES (54332, 3462, 14, 'Վերջին դաշտան');
INSERT INTO `lang_definitions` VALUES (54333, 3463, 14, 'Բեռնել ամփոփագիրը');
INSERT INTO `lang_definitions` VALUES (54334, 3464, 14, 'Բեռնել բացատրությունները/սահմանումները');
INSERT INTO `lang_definitions` VALUES (54335, 3465, 14, 'Բեռնել լաբորատոր կարգավորումները');
INSERT INTO `lang_definitions` VALUES (54336, 3469, 14, 'ՀԱՋՈՂՈՒԹՅԱՄԲ ԲԵՌՆՎԱԾ Է։ Կոդերը ներմուծված են');
INSERT INTO `lang_definitions` VALUES (54337, 3470, 14, 'ԲԵՌՆՎՈւՄ Է');
INSERT INTO `lang_definitions` VALUES (54338, 3471, 14, 'Ֆայլերը բեռնվում են տվյալների բազա։ ՄԻ քանի րոպե կտևի');
INSERT INTO `lang_definitions` VALUES (54339, 3472, 14, 'Ընկալման կրճատում');
INSERT INTO `lang_definitions` VALUES (54340, 3473, 14, 'Տեղային');
INSERT INTO `lang_definitions` VALUES (54341, 3476, 14, 'Տեղային');
INSERT INTO `lang_definitions` VALUES (54342, 3477, 14, 'Բնակավայր / տեղ');
INSERT INTO `lang_definitions` VALUES (54343, 3478, 14, 'Տեղակայում / տեղադրում/ տեղավորություն');
INSERT INTO `lang_definitions` VALUES (54344, 3479, 14, 'libreehr  մեքենայի տեղակայումը կարող է պարունակել գաղտնի տվյալներ․ ուստի խորհուրդ է տրվում օգտվելուց հետո ձեռքով ջնջել դրանք');
INSERT INTO `lang_definitions` VALUES (54345, 3480, 14, 'Այս /սույն  խմբաքանակի տեղակայումը');
INSERT INTO `lang_definitions` VALUES (54346, 3481, 14, 'Չմասնավորեցված / անորոշ տեղակայում');
INSERT INTO `lang_definitions` VALUES (54347, 3482, 14, 'Վայր, ուր Hylafax֊ը պահեստավորում է  ֆաքսերը');
INSERT INTO `lang_definitions` VALUES (54348, 3483, 14, 'Սկանավորված ֆայլերի պահեստավորման վայր');
INSERT INTO `lang_definitions` VALUES (54349, 3484, 14, 'Վայր/տեղ/ տաղակայում։');
INSERT INTO `lang_definitions` VALUES (54350, 3485, 14, 'Արգելափակել');
INSERT INTO `lang_definitions` VALUES (54351, 3486, 14, 'Արգելափակել էլ․ ստորագրության  ձևն անհատապես');
INSERT INTO `lang_definitions` VALUES (54352, 3487, 14, 'Արգելափակել էլ․ ստորագրությամբ այցերն ու դրանց ձևերը');
INSERT INTO `lang_definitions` VALUES (54353, 3488, 14, 'Արգելափակե՞լ');
INSERT INTO `lang_definitions` VALUES (54354, 3489, 14, 'Արգելափակված է');
INSERT INTO `lang_definitions` VALUES (54355, 3492, 14, 'Մուտք / Մուտք գործել');
INSERT INTO `lang_definitions` VALUES (54356, 3493, 14, 'Մուտք / Մուտք գործել');
INSERT INTO `lang_definitions` VALUES (54357, 3494, 14, 'Ելք / Դուրս գալ');
INSERT INTO `lang_definitions` VALUES (54358, 3495, 14, 'Մուտք է գործել');
INSERT INTO `lang_definitions` VALUES (54359, 3496, 14, 'Մուտք է գործել որպես։');
INSERT INTO `lang_definitions` VALUES (54360, 3497, 14, 'Մուտք է գործել որպես ');
INSERT INTO `lang_definitions` VALUES (54361, 3498, 14, 'Դուրս է եկել');
INSERT INTO `lang_definitions` VALUES (54362, 3499, 14, 'Գրանցում');
INSERT INTO `lang_definitions` VALUES (54363, 3500, 14, 'Մուտք / Մուտք գործել');
INSERT INTO `lang_definitions` VALUES (54364, 3501, 14, 'Մուտք / Մուտքaնուն');
INSERT INTO `lang_definitions` VALUES (54365, 3502, 14, 'WordPress օգտատիրոջ՝ պորտալ մուտքի մուտքանուն');
INSERT INTO `lang_definitions` VALUES (54366, 3505, 14, 'Ելք / Դուրս գալ');
INSERT INTO `lang_definitions` VALUES (54367, 3506, 14, 'ելք / դուրս գալ');
INSERT INTO `lang_definitions` VALUES (54368, 3507, 14, 'Տեղեկամատյաններ /գրանցամատյաններ');
INSERT INTO `lang_definitions` VALUES (54369, 3510, 14, 'Փնտրել');
INSERT INTO `lang_definitions` VALUES (54370, 3511, 14, 'Խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (54371, 3512, 14, 'Խմբաքանակի  ID֊ն բացթողնված է');
INSERT INTO `lang_definitions` VALUES (54372, 3513, 14, 'Խմբաքանակի համար');
INSERT INTO `lang_definitions` VALUES (54373, 3514, 14, 'Ցածր / թույլ/ ստորին');
INSERT INTO `lang_definitions` VALUES (54374, 3515, 14, 'Ցածր առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (54375, 3516, 14, 'Կարճեցված ոտք');
INSERT INTO `lang_definitions` VALUES (54376, 3517, 14, 'Նվազագույն/ամենացածր առաջնայնություն');
INSERT INTO `lang_definitions` VALUES (54377, 3519, 14, 'Ողնաշարի գոտկային հատված');
INSERT INTO `lang_definitions` VALUES (54378, 3520, 14, 'ԼԱՆՉ /Կեսօրյա նախաճաշ/');
INSERT INTO `lang_definitions` VALUES (54379, 3521, 14, 'լանչ /Կեսօրյա նախաճաշ/');
INSERT INTO `lang_definitions` VALUES (54380, 3522, 14, 'Թոքերի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (54381, 3523, 14, 'Թոքերի քաղցկեղի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (54382, 3524, 14, 'ԹՈՔԵՐ։');
INSERT INTO `lang_definitions` VALUES (54383, 3525, 14, 'Թոքեր։');
INSERT INTO `lang_definitions` VALUES (54384, 3526, 14, 'Գայլախտ');
INSERT INTO `lang_definitions` VALUES (54385, 3528, 14, 'M');
INSERT INTO `lang_definitions` VALUES (54386, 3529, 14, 'MA Կատեգորիա');
INSERT INTO `lang_definitions` VALUES (54387, 3530, 14, 'MA Բաժանորդի/հաճախորդի ընդունման մերժում');
INSERT INTO `lang_definitions` VALUES (54388, 3531, 14, 'MA վիճակագրություն');
INSERT INTO `lang_definitions` VALUES (54389, 3532, 14, 'Մակեդոներեն');
INSERT INTO `lang_definitions` VALUES (54390, 3533, 14, 'Փոստն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (54391, 3534, 14, 'Հիմնական/գլխավոր');
INSERT INTO `lang_definitions` VALUES (54392, 3535, 14, 'Հիմնական հասցե');
INSERT INTO `lang_definitions` VALUES (54393, 3536, 14, 'Էկրանի հիմնական/գլխավոր շրջանակը/մակերեսը');
INSERT INTO `lang_definitions` VALUES (54394, 3537, 14, 'Պահպանել ակտիվ դեղորայքային ալերգիայի ցանկը');
INSERT INTO `lang_definitions` VALUES (54395, 3538, 14, 'Պահպանել ակտիվ դեղորայքային ցանկը');
INSERT INTO `lang_definitions` VALUES (54396, 3539, 14, 'Պահպանել ընթացիք և ակտիվ ախտորոշումների թարմացված խնդրացանկը');
INSERT INTO `lang_definitions` VALUES (54397, 3540, 14, 'Կատարել փոփոխություններ ընթացիկ կատեգորիաներում');
INSERT INTO `lang_definitions` VALUES (54398, 3541, 14, 'Ստեղծել նոր այց ֊ի համար');
INSERT INTO `lang_definitions` VALUES (54399, 3542, 14, 'Համոզվեք, որ  \"');
INSERT INTO `lang_definitions` VALUES (54400, 3545, 14, 'Դիսկոմֆորտ։');
INSERT INTO `lang_definitions` VALUES (54401, 3548, 14, 'Արական');
INSERT INTO `lang_definitions` VALUES (54402, 3549, 14, 'Արական սեռի պահպանակներ');
INSERT INTO `lang_definitions` VALUES (54403, 3550, 14, 'Արական VSC');
INSERT INTO `lang_definitions` VALUES (54404, 3552, 14, 'Մամոգրաֆիա');
INSERT INTO `lang_definitions` VALUES (54405, 3553, 14, 'Կառավարում');
INSERT INTO `lang_definitions` VALUES (54406, 3555, 14, 'Մոդուլների կառավարում');
INSERT INTO `lang_definitions` VALUES (54407, 3556, 14, 'Թարգմանությունների կառավարում');
INSERT INTO `lang_definitions` VALUES (54408, 3557, 14, 'Կառավարում');
INSERT INTO `lang_definitions` VALUES (54409, 3558, 14, 'Պարտադիր և սահմանված դաշտեր');
INSERT INTO `lang_definitions` VALUES (54410, 3559, 14, 'Միայն պարտադիր կամ սահմանված դաշտերը․ կրկնակի ստուգում, ոչ մի որոնում');
INSERT INTO `lang_definitions` VALUES (54411, 3560, 14, 'Միայն պարտադիր կամ սահմանված դաշտերը․ որոնում և կրկնակի ստուգում,');
INSERT INTO `lang_definitions` VALUES (54412, 3561, 14, 'Ձեռնարկ / տեղեկագիրք');
INSERT INTO `lang_definitions` VALUES (54413, 3562, 14, 'Մեխանիկական ուղերձ');
INSERT INTO `lang_definitions` VALUES (54414, 3563, 14, 'Արտադրող');
INSERT INTO `lang_definitions` VALUES (54415, 3568, 14, 'Մարտ');
INSERT INTO `lang_definitions` VALUES (54416, 3569, 14, 'Ընտանեկան դրություն');
INSERT INTO `lang_definitions` VALUES (54417, 3570, 14, 'Նշել որպես հաշվեգրված/հաշվարկված/վճարված');
INSERT INTO `lang_definitions` VALUES (54418, 3571, 14, 'Նշել որպես վճարված, սակայն բաց թողնել ներկայացված հաշիվը');
INSERT INTO `lang_definitions` VALUES (54419, 3572, 14, 'Նշել որպես մաքրված');
INSERT INTO `lang_definitions` VALUES (54420, 3573, 14, 'Նշել որպես չվճարված');
INSERT INTO `lang_definitions` VALUES (54421, 3574, 14, 'Նշել սույն հաշվետվությունները որպես վերանայված');
INSERT INTO `lang_definitions` VALUES (54422, 3575, 14, 'Նշված է որպես մաքուր/մաքրված');
INSERT INTO `lang_definitions` VALUES (54423, 3576, 14, 'Ամուսնացած');
INSERT INTO `lang_definitions` VALUES (54424, 3578, 14, 'Դիմակ / քողարկում');
INSERT INTO `lang_definitions` VALUES (54425, 3579, 14, 'Հաշիվներ համարների քողարկում');
INSERT INTO `lang_definitions` VALUES (54426, 3580, 14, 'Պացիենտի ID֊ի/ անձնական տվյալների քողարկում');
INSERT INTO `lang_definitions` VALUES (54427, 3581, 14, 'Ապրանքի ID֊ի/ անձնական տվյալների քողարկում');
INSERT INTO `lang_definitions` VALUES (54428, 3582, 14, 'Համապատասխանություն');
INSERT INTO `lang_definitions` VALUES (54429, 3583, 14, 'Փաստերի/դեպքերի համընկնում/համապատասխանություն');
INSERT INTO `lang_definitions` VALUES (54430, 3584, 14, 'Գտնվել է համապատասխանություն/համընկնում');
INSERT INTO `lang_definitions` VALUES (54431, 3590, 14, 'Մատրիցա');
INSERT INTO `lang_definitions` VALUES (54432, 3591, 14, 'Մաքսիմում');
INSERT INTO `lang_definitions` VALUES (54433, 3592, 14, 'Հասել է ֆայլերի առավելագույն քանակին/հաշվին ֊ անունները բեռնել ներքև');
INSERT INTO `lang_definitions` VALUES (54434, 3595, 14, 'Առավելագույն տարիք');
INSERT INTO `lang_definitions` VALUES (54435, 3596, 14, 'Առավելագույ սիմվոլներ/ սիմվոլների առավելագույն քանակ');
INSERT INTO `lang_definitions` VALUES (54436, 3597, 14, 'Ելքից առաջ առավելագույն պարապ ժամանակը վայրկյաններով․ նախնականը 7200վրկ  (2 ժամ).');
INSERT INTO `lang_definitions` VALUES (54437, 3600, 14, 'Առավելագույն խելամիտ պահուստը․ եթե չի օգտագործվում, ապա - 0');
INSERT INTO `lang_definitions` VALUES (54438, 3601, 14, 'Առավելագույն չափը');
INSERT INTO `lang_definitions` VALUES (54439, 3602, 14, 'Առավելագույն չափը  0֊ի մուտքագրումը կթույլատրի ցանկացած չափ)');
INSERT INTO `lang_definitions` VALUES (54440, 3603, 14, 'Մայիս');
INSERT INTO `lang_definitions` VALUES (54441, 3605, 14, 'մկգ');
INSERT INTO `lang_definitions` VALUES (54442, 3607, 14, 'Նշանակում է, որ վերջին երեք գաղտնաբառերից և ոչ մեկը թույլատրված չէ գաղտնաբառի փոփոխման համար');
INSERT INTO `lang_definitions` VALUES (54443, 3609, 14, 'Չափման միավորների խմբի կոդը');
INSERT INTO `lang_definitions` VALUES (54444, 3611, 14, 'Չափում');
INSERT INTO `lang_definitions` VALUES (54445, 3612, 14, 'Ներքին կոճ');
INSERT INTO `lang_definitions` VALUES (54446, 3613, 14, 'Անվճար բուժօգնություն /անապահովների բժշկական ապահովագրության համակարգ/');
INSERT INTO `lang_definitions` VALUES (54447, 3614, 14, 'Բժշկական');
INSERT INTO `lang_definitions` VALUES (54448, 3615, 14, 'Բժշկական աբորտ');
INSERT INTO `lang_definitions` VALUES (54449, 3616, 14, 'Բժշկական վարչակազմ');
INSERT INTO `lang_definitions` VALUES (54450, 3617, 14, 'Անամնեզ /Հիվանդության պատմություն/');
INSERT INTO `lang_definitions` VALUES (54451, 3618, 14, 'Բժշկական հարց');
INSERT INTO `lang_definitions` VALUES (54452, 3619, 14, 'Բժշկական հարց');
INSERT INTO `lang_definitions` VALUES (54453, 3620, 14, 'Բժշկական խնդիր');
INSERT INTO `lang_definitions` VALUES (54454, 3621, 14, 'Բժշկական խնդիր');
INSERT INTO `lang_definitions` VALUES (54455, 3622, 14, 'Բժշկական խնդիրների հարցաշար');
INSERT INTO `lang_definitions` VALUES (54456, 3623, 14, 'Բժշկական խնդիրներ');
INSERT INTO `lang_definitions` VALUES (54457, 3624, 14, 'Բժշկական գրանցում / Բժշկական քարտ');
INSERT INTO `lang_definitions` VALUES (54458, 3625, 14, 'Բժշկական գրանցում/ Հիվանդության պատմություն #');
INSERT INTO `lang_definitions` VALUES (54459, 3626, 14, 'Բժշկական գրանցումներ/ Հիվանդության պատմություններ');
INSERT INTO `lang_definitions` VALUES (54460, 3627, 14, 'Բժշկական գրանցումներն ուղարկված են');
INSERT INTO `lang_definitions` VALUES (54461, 3629, 14, 'Բժշկական ամփոփագիրը տրված է');
INSERT INTO `lang_definitions` VALUES (54462, 3630, 14, 'Բժշկական համակարգ');
INSERT INTO `lang_definitions` VALUES (54463, 3631, 14, 'Բուժման մեթոդը / տեսակը');
INSERT INTO `lang_definitions` VALUES (54464, 3632, 14, 'Հիվանդության պատմություն  (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (54465, 3633, 14, 'Անվճար բուժօգնություն Մաս Բ');
INSERT INTO `lang_definitions` VALUES (54466, 3634, 14, 'Անվճար բուժօգնության հանձնարարողը/ուղղորդողը հանեց բուժօգնություն ցուցաբերողն է');
INSERT INTO `lang_definitions` VALUES (54467, 3635, 14, 'Դեղամիջոց');
INSERT INTO `lang_definitions` VALUES (54468, 3636, 14, 'Դեղորայքային ալերգիայի ցանկ');
INSERT INTO `lang_definitions` VALUES (54469, 3637, 14, 'Դեղորայքային հարցերի ցանկ');
INSERT INTO `lang_definitions` VALUES (54470, 3638, 14, 'Դեղամիջոցներ/դեղորայքի ցանկ');
INSERT INTO `lang_definitions` VALUES (54471, 3639, 14, 'Դեղորայքի համաձայնեցումն իրականացվա՞ծ է /');
INSERT INTO `lang_definitions` VALUES (54472, 3640, 14, 'Դեղամիջոցներ');
INSERT INTO `lang_definitions` VALUES (54473, 3641, 14, 'Դեղամիջոցներ։');
INSERT INTO `lang_definitions` VALUES (54474, 3642, 14, 'Դեղամիջոցի բացթողման միավորը');
INSERT INTO `lang_definitions` VALUES (54475, 3643, 14, 'Միջին');
INSERT INTO `lang_definitions` VALUES (54476, 3645, 14, 'Ասոցիացիայի անդամներ վիճակագրական զեկույց/հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (54477, 3646, 14, 'Հիշողության խնդիր');
INSERT INTO `lang_definitions` VALUES (54478, 3647, 14, 'Տղամարդիկ');
INSERT INTO `lang_definitions` VALUES (54479, 3648, 14, 'Տղամարդիկ և կանայք');
INSERT INTO `lang_definitions` VALUES (54480, 3649, 14, 'Միայն տղամարդիկ');
INSERT INTO `lang_definitions` VALUES (54481, 3650, 14, 'Դաշտանի առաջին երևույթը');
INSERT INTO `lang_definitions` VALUES (54482, 3651, 14, 'Դաշտանադադար');
INSERT INTO `lang_definitions` VALUES (54483, 3652, 14, 'Դաշտանային արյունահոսություն / Առատ դաշտան');
INSERT INTO `lang_definitions` VALUES (54484, 3653, 14, 'Դաշտանային ցիկլ');
INSERT INTO `lang_definitions` VALUES (54485, 3654, 14, 'Հոգեկան հիվանդություն');
INSERT INTO `lang_definitions` VALUES (54486, 3655, 14, 'Մենյուի տեքստ');
INSERT INTO `lang_definitions` VALUES (54487, 3656, 14, 'Մենյուներ');
INSERT INTO `lang_definitions` VALUES (54488, 3657, 14, 'Միացնել/զետեղել');
INSERT INTO `lang_definitions` VALUES (54489, 3658, 14, 'Միացումն/ զետեղումն կատարված է');
INSERT INTO `lang_definitions` VALUES (54490, 3659, 14, 'Միացնել/զետեղել պացիենտներին');
INSERT INTO `lang_definitions` VALUES (54491, 3661, 14, 'Հաղորդագրություն / Նամակ');
INSERT INTO `lang_definitions` VALUES (54492, 3662, 14, 'Հաղորդագրությունների և հիշեցումների կենտրոն');
INSERT INTO `lang_definitions` VALUES (54493, 3663, 14, 'Հաղորդագրության/Նամակի  բովանդակությունը/պարունակությունը տեքստային չէ, ուստի այն պահպանվել է որպես փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (54494, 3664, 14, 'Հաղորդագրություն / Նամակ պացիենտից');
INSERT INTO `lang_definitions` VALUES (54495, 3665, 14, 'Հաղորդագրությունն ուղարկված է');
INSERT INTO `lang_definitions` VALUES (54496, 3666, 14, 'Հաղորդագրության կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (54497, 3667, 14, 'Հաղորդագրության /նամակի Վերնագիր');
INSERT INTO `lang_definitions` VALUES (54498, 3668, 14, 'Պացիենտին ուղղված հաղորդագրություն /նամակ');
INSERT INTO `lang_definitions` VALUES (54499, 3669, 14, 'Հաղորդագրության / Նամակի  տեսակը');
INSERT INTO `lang_definitions` VALUES (54500, 3670, 14, 'ՀԱՂՈՐԴԱԳՐՈւԹՅՈւՆ։');
INSERT INTO `lang_definitions` VALUES (54501, 3671, 14, 'Հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (54502, 3672, 14, 'Այսօրվա ուղարկած հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (54503, 3673, 14, 'Մեթոդ');
INSERT INTO `lang_definitions` VALUES (54504, 3674, 14, 'Մեթոդ և առանձնահատուկ արդյունք');
INSERT INTO `lang_definitions` VALUES (54505, 3675, 14, 'Էլ․փոստի ուղարկման մեթոդ');
INSERT INTO `lang_definitions` VALUES (54506, 3676, 14, 'Ոչնչացման մեթոդ');
INSERT INTO `lang_definitions` VALUES (54507, 3677, 14, 'Մեկսիկացի/մեկսիկական ծագման ամերիկացի/ չիկանո');
INSERT INTO `lang_definitions` VALUES (54508, 3679, 14, 'մգ');
INSERT INTO `lang_definitions` VALUES (54509, 3680, 14, 'մգ/1խոր․սմ');
INSERT INTO `lang_definitions` VALUES (54510, 3681, 14, 'մգ/2խոր․սմ');
INSERT INTO `lang_definitions` VALUES (54511, 3682, 14, 'մգ/3խոր․սմ');
INSERT INTO `lang_definitions` VALUES (54512, 3683, 14, 'մգ/4խոր․սմ');
INSERT INTO `lang_definitions` VALUES (54513, 3684, 14, 'մգ/5խոր․սմ');
INSERT INTO `lang_definitions` VALUES (54514, 3685, 14, 'մգ/դլ');
INSERT INTO `lang_definitions` VALUES (54515, 3686, 14, 'Միջին');
INSERT INTO `lang_definitions` VALUES (54516, 3687, 14, 'Հայրանուն');
INSERT INTO `lang_definitions` VALUES (54517, 3688, 14, 'Հայրանուն');
INSERT INTO `lang_definitions` VALUES (54518, 3690, 14, 'Միջին մակարդակի  DEA մասնագետ/պատասխանատու');
INSERT INTO `lang_definitions` VALUES (54519, 3691, 14, 'Միջին մակարդակի  պատասխանատուի  անունը');
INSERT INTO `lang_definitions` VALUES (54520, 3692, 14, 'Միջին մակարդակի  պատասխանատուի  ազգնունը');
INSERT INTO `lang_definitions` VALUES (54521, 3693, 14, 'Միջին մակարդակի  պատասխանատուի  բնորոշիչ');
INSERT INTO `lang_definitions` VALUES (54522, 3694, 14, 'Միջին մակարդակի  պատասխանատուի  UPIN');
INSERT INTO `lang_definitions` VALUES (54523, 3695, 14, 'Դեմքի արտահայտություն');
INSERT INTO `lang_definitions` VALUES (54524, 3696, 14, 'Վերբնակի՞չ  է, թե՞ սեզոնային աշխատող');
INSERT INTO `lang_definitions` VALUES (54525, 3697, 14, 'Վերբնակիչ/ սեզոնային աշխատող');
INSERT INTO `lang_definitions` VALUES (54526, 3698, 14, 'մլն/խոր․մմ');
INSERT INTO `lang_definitions` VALUES (54527, 3703, 14, 'նվազագույն');
INSERT INTO `lang_definitions` VALUES (54528, 3704, 14, 'նվազագույն');
INSERT INTO `lang_definitions` VALUES (54529, 3705, 14, 'Նվազագույն տարիք');
INSERT INTO `lang_definitions` VALUES (54530, 3708, 14, 'րոպե');
INSERT INTO `lang_definitions` VALUES (54531, 3709, 14, 'րոպեներ');
INSERT INTO `lang_definitions` VALUES (54532, 3710, 14, 'Րոպեներ');
INSERT INTO `lang_definitions` VALUES (54533, 3712, 14, 'Այլ/խառը');
INSERT INTO `lang_definitions` VALUES (54534, 3713, 14, 'Այլ/խառը հաշիվների տարբերակներ');
INSERT INTO `lang_definitions` VALUES (54535, 3714, 14, 'HCFA-1500 այլ/խառը հաշիվների տարբերակներ');
INSERT INTO `lang_definitions` VALUES (54536, 3715, 14, 'HCFA այլ/խառը հաշիվների տարբերակներ');
INSERT INTO `lang_definitions` VALUES (54537, 3716, 14, 'Տրբեր');
INSERT INTO `lang_definitions` VALUES (54538, 3717, 14, 'Բաց թողնված');
INSERT INTO `lang_definitions` VALUES (54539, 3718, 14, 'բաց թողնված');
INSERT INTO `lang_definitions` VALUES (54540, 3719, 14, 'Պարտադիր դաշտ է բաց թողնված');
INSERT INTO `lang_definitions` VALUES (54541, 3720, 14, 'Վճարումը բացթողնված է');
INSERT INTO `lang_definitions` VALUES (54542, 3721, 14, 'Բացակայում է միայն ձևափոխիչը');
INSERT INTO `lang_definitions` VALUES (54543, 3722, 14, 'Բաց թողնված կամ անվավեր է');
INSERT INTO `lang_definitions` VALUES (54544, 3723, 14, 'PID բացակայում է');
INSERT INTO `lang_definitions` VALUES (54545, 3724, 14, 'Հաշվետվության ամսաթիվը բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (54546, 3725, 14, 'Կոդի մեջ վճարողից հետո բացակայում է սլեշը ');
INSERT INTO `lang_definitions` VALUES (54547, 3726, 14, 'Խառնված');
INSERT INTO `lang_definitions` VALUES (54548, 3727, 14, 'մլ');
INSERT INTO `lang_definitions` VALUES (54549, 3728, 14, 'MM/DD/YYYY ԱԱ/ՕՕ/ՏՏ');
INSERT INTO `lang_definitions` VALUES (54550, 3731, 14, 'Մայրական մահացության մակարդակ 1');
INSERT INTO `lang_definitions` VALUES (54551, 3732, 14, 'Մայրական մահացության մակարդակ 2');
INSERT INTO `lang_definitions` VALUES (54552, 3733, 14, 'Շարժական');
INSERT INTO `lang_definitions` VALUES (54553, 3734, 14, 'Բջջային հեռախոս');
INSERT INTO `lang_definitions` VALUES (54554, 3735, 14, 'Մոդիֆիկատոր');
INSERT INTO `lang_definitions` VALUES (54555, 3738, 14, 'Միջին/ չափավոր առաջնահերթություն');
INSERT INTO `lang_definitions` VALUES (54556, 3740, 14, 'Միջին/ Ցածր առաջնահերթություն');
INSERT INTO `lang_definitions` VALUES (54557, 3741, 14, 'Մոդիֆիկատոր/ձևաթոխիչ');
INSERT INTO `lang_definitions` VALUES (54558, 3742, 14, 'Մոդիֆիկատորներ/ձևաթոխիչներ');
INSERT INTO `lang_definitions` VALUES (54559, 3743, 14, 'Փոփոխել');
INSERT INTO `lang_definitions` VALUES (54560, 3745, 14, 'Փոփոխել վճարումները');
INSERT INTO `lang_definitions` VALUES (54561, 3746, 14, 'Մոդ․ երկ․');
INSERT INTO `lang_definitions` VALUES (54562, 3747, 14, 'Մոդուլ');
INSERT INTO `lang_definitions` VALUES (54563, 3748, 14, 'Մոդուլի ուղեցույց չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54564, 3749, 14, 'Մոդուլի տեղադրիչ');
INSERT INTO `lang_definitions` VALUES (54565, 3750, 14, 'Մոդուլի անվանում');
INSERT INTO `lang_definitions` VALUES (54566, 3751, 14, 'Մոդուլի անվանում արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (54567, 3752, 14, 'Մոդուլներ');
INSERT INTO `lang_definitions` VALUES (54568, 3753, 14, 'Երկ․');
INSERT INTO `lang_definitions` VALUES (54569, 3754, 14, 'Երկ ֊ Ուրբ');
INSERT INTO `lang_definitions` VALUES (54570, 3755, 14, 'Երկ․ Չրք․ &amp; Ուրբ․');
INSERT INTO `lang_definitions` VALUES (54571, 3756, 14, 'Երկուշաբթի');
INSERT INTO `lang_definitions` VALUES (54572, 3757, 14, 'Մոնղոլերեն');
INSERT INTO `lang_definitions` VALUES (54573, 3758, 14, 'Ամիս');
INSERT INTO `lang_definitions` VALUES (54574, 3759, 14, 'ամիս');
INSERT INTO `lang_definitions` VALUES (54575, 3760, 14, 'Ամսվա դիտում');
INSERT INTO `lang_definitions` VALUES (54576, 3761, 14, 'Ամիս(ներ)');
INSERT INTO `lang_definitions` VALUES (54577, 3762, 14, 'Ամսական եկամուտ');
INSERT INTO `lang_definitions` VALUES (54578, 3763, 14, 'Ամիսներ');
INSERT INTO `lang_definitions` VALUES (54579, 3765, 14, 'Գտնվել է ավելի, քան 100 գրանցում։ Խնդրում ենք սահմանափակել/սեղմել որոնման չափորոշիչները');
INSERT INTO `lang_definitions` VALUES (54580, 3766, 14, 'Ավելի, քան 50 արդյունք։ Խնդրում ենք  որոնումն ավելի կոնկրետացնել');
INSERT INTO `lang_definitions` VALUES (54581, 3767, 14, 'Սյուների անվանումների/վերնագրերի մեծ մասի դասավորությունը հնարավոր է կտտոցով/սեղմելով փոփոխել');
INSERT INTO `lang_definitions` VALUES (54582, 3768, 14, '֊ից ամենավերջինը');
INSERT INTO `lang_definitions` VALUES (54583, 3769, 14, 'Ամենավերջին լաբորատոր տվյալը');
INSERT INTO `lang_definitions` VALUES (54584, 3770, 14, 'Ամենավերջին կենսական տվյալները ֊ից');
INSERT INTO `lang_definitions` VALUES (54585, 3771, 14, 'Մայրը');
INSERT INTO `lang_definitions` VALUES (54586, 3772, 14, 'Մայրիկի անունիը');
INSERT INTO `lang_definitions` VALUES (54587, 3773, 14, 'Մայրիկի անամնեզը/պատմությունը');
INSERT INTO `lang_definitions` VALUES (54588, 3774, 14, 'Բերան');
INSERT INTO `lang_definitions` VALUES (54589, 3775, 14, 'Շարժել/ տեղափոխել');
INSERT INTO `lang_definitions` VALUES (54590, 3776, 14, 'Փաստաթուղթը տեղափոխել ֊֊ կատեգորիա');
INSERT INTO `lang_definitions` VALUES (54591, 3777, 14, 'Տեղափոխել ներքև');
INSERT INTO `lang_definitions` VALUES (54592, 3778, 14, 'Տեղափուխումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (54593, 3779, 14, 'Տեղափոխել Պացիենտ բաժին');
INSERT INTO `lang_definitions` VALUES (54594, 3780, 14, 'Տեղափոխել ․․․');
INSERT INTO `lang_definitions` VALUES (54595, 3781, 14, 'Տեղափոխել վերև');
INSERT INTO `lang_definitions` VALUES (54596, 3782, 14, 'Տեղափոխում');
INSERT INTO `lang_definitions` VALUES (54597, 3783, 14, 'Պրն․');
INSERT INTO `lang_definitions` VALUES (54598, 3784, 14, 'Գրանցման համար /պացիենտի նույնացուցիչ/');
INSERT INTO `lang_definitions` VALUES (54599, 3785, 14, 'Տիկին');
INSERT INTO `lang_definitions` VALUES (54600, 3786, 14, 'Տիկին');
INSERT INTO `lang_definitions` VALUES (54601, 3787, 14, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (54602, 3788, 14, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (54603, 3789, 14, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (54604, 3790, 14, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (54605, 3791, 14, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (54606, 3793, 14, 'MSH.8 հաղորդագրության տեսակը վավեր չէ');
INSERT INTO `lang_definitions` VALUES (54607, 3794, 14, 'MSP կոդ');
INSERT INTO `lang_definitions` VALUES (54608, 3795, 14, 'MSP առաքման կոդեր');
INSERT INTO `lang_definitions` VALUES (54609, 3796, 14, 'Բազմալեզու/թարգմանչական գործիք');
INSERT INTO `lang_definitions` VALUES (54610, 3797, 14, 'Մի քանի/բազմաթիվ տարածքներ');
INSERT INTO `lang_definitions` VALUES (54611, 3798, 14, 'Միանգամից  կարող եք ընտրել և  բեռնել մի քանի ֆայլ՝ օգտագործելովսեղմելով CTRL+Click կամ SHIFT+Click');
INSERT INTO `lang_definitions` VALUES (54612, 3799, 14, 'Մի քանի խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (54613, 3800, 14, 'Մի քանի բաղադրիչներ կարող են առանձնացվել/բաժանվել կրկնակետով կամ բացատով․ առավելագույնը 4 բաղադրիչ (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (54614, 3801, 14, 'Բազմակի ընտրության ցանկ');
INSERT INTO `lang_definitions` VALUES (54615, 3802, 14, 'Բազմազգ');
INSERT INTO `lang_definitions` VALUES (54616, 3803, 14, 'Աղմուկ։');
INSERT INTO `lang_definitions` VALUES (54617, 3804, 14, 'Մկանային ցավ');
INSERT INTO `lang_definitions` VALUES (54618, 3805, 14, 'Մկանային ցավեր');
INSERT INTO `lang_definitions` VALUES (54619, 3806, 14, 'Մկանային կարմրություն');
INSERT INTO `lang_definitions` VALUES (54620, 3807, 14, 'Մկանային կոշտություն');
INSERT INTO `lang_definitions` VALUES (54621, 3808, 14, 'Մկանային/Մկանների այտուց');
INSERT INTO `lang_definitions` VALUES (54622, 3809, 14, 'Մկանների գերտաքացում');
INSERT INTO `lang_definitions` VALUES (54623, 3810, 14, 'Մկան');
INSERT INTO `lang_definitions` VALUES (54624, 3811, 14, 'Մկանի վնասվածք');
INSERT INTO `lang_definitions` VALUES (54625, 3812, 14, 'Հենաշարժիչ համակարգ');
INSERT INTO `lang_definitions` VALUES (54626, 3813, 14, 'Եթե SMTP վավերացում/նույնականացում չի կիրառվում, ապա պետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (54627, 3814, 14, 'Երկուստեք սահմանված');
INSERT INTO `lang_definitions` VALUES (54628, 3815, 14, 'Ճանապարհատրանսպորտային պատահար/ավտովթար');
INSERT INTO `lang_definitions` VALUES (54629, 3818, 14, 'Ինքնուրույն');
INSERT INTO `lang_definitions` VALUES (54630, 3821, 14, 'N/A / ոչ կիրառելի');
INSERT INTO `lang_definitions` VALUES (54631, 3822, 14, 'n/a');
INSERT INTO `lang_definitions` VALUES (54632, 3823, 14, 'անուն');
INSERT INTO `lang_definitions` VALUES (54633, 3825, 14, 'Անուն (սեղմել ավելին տեսնելու համար)');
INSERT INTO `lang_definitions` VALUES (54634, 3826, 14, 'Անուն 1');
INSERT INTO `lang_definitions` VALUES (54635, 3827, 14, 'Անուն 2');
INSERT INTO `lang_definitions` VALUES (54636, 3828, 14, 'Պատվաստաման ղեկավարի անունն ու պաշտոնը');
INSERT INTO `lang_definitions` VALUES (54637, 3829, 14, 'Անունն EMR֊ում');
INSERT INTO `lang_definitions` VALUES (54638, 3830, 14, 'Անունը պետք է լինի  codetype_code_language.pdf, օրինակ՝ icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (54639, 3831, 14, 'Իրադարձության անվանումը');
INSERT INTO `lang_definitions` VALUES (54640, 3832, 14, 'Ապահովագրող Ընկերության անունը');
INSERT INTO `lang_definitions` VALUES (54641, 3833, 14, 'Մասնագետի անունը/ազգանունը');
INSERT INTO `lang_definitions` VALUES (54642, 3834, 14, 'Պացիենտին հիշեցումներ ուղարկողի անունը');
INSERT INTO `lang_definitions` VALUES (54643, 3835, 14, 'Անվան թարգմանություն');
INSERT INTO `lang_definitions` VALUES (54644, 3836, 14, 'Անուն/Նշանակություն');
INSERT INTO `lang_definitions` VALUES (54645, 3837, 14, 'Անուն։');
INSERT INTO `lang_definitions` VALUES (54646, 3838, 14, 'ՌՈՒՆԳԵՐ։ /ՔԹԱՆՑՔԵՐ։');
INSERT INTO `lang_definitions` VALUES (54647, 3839, 14, 'ՌՈՒՆԳԵՐ։ /ՔԹԱՆՑՔԵՐ։ Նորմալ աջ');
INSERT INTO `lang_definitions` VALUES (54648, 3841, 14, 'Գրառումներ ազգության մասին');
INSERT INTO `lang_definitions` VALUES (54649, 3844, 14, 'Ազգություն');
INSERT INTO `lang_definitions` VALUES (54650, 3845, 14, 'Գրառ․ ազգ․ մասին');
INSERT INTO `lang_definitions` VALUES (54651, 3846, 14, 'Ազգաբանական տվյալը բեռմվում է');
INSERT INTO `lang_definitions` VALUES (54652, 3847, 14, 'Բնիկ հավայական կամ  խաղաղ օվկիանոսյան այլ կղզու բնակիչ');
INSERT INTO `lang_definitions` VALUES (54653, 3852, 14, 'սրտխառնոց');
INSERT INTO `lang_definitions` VALUES (54654, 3854, 14, 'Նավիգացիա / ճանապարհային ուղեցույց');
INSERT INTO `lang_definitions` VALUES (54655, 3855, 14, 'Նավիգացիոն տարածքը ներառում է այցելության բլանկ');
INSERT INTO `lang_definitions` VALUES (54656, 3856, 14, 'Նավիգացիոն տարածքը օգտագործում է պատուհանի ողջ բարձրությունը');
INSERT INTO `lang_definitions` VALUES (54657, 3857, 14, 'Նավիգացիոն տարածքի այցելության բլանկներ/ձևեր');
INSERT INTO `lang_definitions` VALUES (54658, 3858, 14, 'Նավիգացիոն տարածքի լայնություն');
INSERT INTO `lang_definitions` VALUES (54659, 3859, 14, 'Նավիգացիոն մենյուն բաղկացած է զույգ անջատիչներից');
INSERT INTO `lang_definitions` VALUES (54660, 3860, 14, 'Ծառի տեսքով /treeview նավիգացիոն մենյու');
INSERT INTO `lang_definitions` VALUES (54661, 3861, 14, 'Նավիգացիան կիրառում է/ունի սահող մենյու');
INSERT INTO `lang_definitions` VALUES (54662, 3862, 14, 'NDC  Դեղամիջոցի ազգային կոդ');
INSERT INTO `lang_definitions` VALUES (54663, 3863, 14, 'NDC /Դեղամիջոցի ազգային կոդ/');
INSERT INTO `lang_definitions` VALUES (54664, 3864, 14, 'NDC /Դեղամիջոցի ազգային կոդ/ տվյալ');
INSERT INTO `lang_definitions` VALUES (54665, 3865, 14, 'NDC /Դեղամիջոցի ազգային կոդ/ համար');
INSERT INTO `lang_definitions` VALUES (54666, 3866, 14, 'Վիզ/պարանոց');
INSERT INTO `lang_definitions` VALUES (54667, 3867, 14, 'Պարանոցի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (54668, 3868, 14, 'Պարանոցի ձգում');
INSERT INTO `lang_definitions` VALUES (54669, 3869, 14, 'Անհրաժեշտ է մուտքագրել նկարագրություն');
INSERT INTO `lang_definitions` VALUES (54670, 3870, 14, 'Անհրաժեշտ է մուտքագրել հետադարձ նկարագրություն');
INSERT INTO `lang_definitions` VALUES (54671, 3871, 14, 'Անհրաժեշտ է մուտքագրել նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (54672, 3872, 14, 'Անհրաժեշտ է մուտքագրել անուն/անվանում');
INSERT INTO `lang_definitions` VALUES (54673, 3873, 14, 'Պահանջվում/անհրաժեշտ է թույլտվություն');
INSERT INTO `lang_definitions` VALUES (54674, 3874, 14, 'Պահանջվում/անհրաժեշտ է թհաստատում');
INSERT INTO `lang_definitions` VALUES (54675, 3875, 14, 'Պահանջվում/անհրաժեշտ է կրկնակի բիլլինգ/հաշվեգրում');
INSERT INTO `lang_definitions` VALUES (54676, 3876, 14, 'Բացասական');
INSERT INTO `lang_definitions` VALUES (54677, 3877, 14, 'Ժխտում/բացասում');
INSERT INTO `lang_definitions` VALUES (54678, 3880, 14, 'Նյարդերի վնասվածք');
INSERT INTO `lang_definitions` VALUES (54679, 3881, 14, 'Նյարդային/նյարդաբանական վիճակ / նյարդի/ներվի վնասվածք');
INSERT INTO `lang_definitions` VALUES (54680, 3882, 14, 'Նյարդերի թմրություն');
INSERT INTO `lang_definitions` VALUES (54681, 3883, 14, 'Նյարդային թուլություն');
INSERT INTO `lang_definitions` VALUES (54682, 3884, 14, 'Նյարդաբանական');
INSERT INTO `lang_definitions` VALUES (54683, 3885, 14, 'Երբեք');
INSERT INTO `lang_definitions` VALUES (54684, 3886, 14, 'Երբևէ չի օգտագործել ալկոհոլ');
INSERT INTO `lang_definitions` VALUES (54685, 3887, 14, 'Երբևէ չի ծխել');
INSERT INTO `lang_definitions` VALUES (54686, 3888, 14, 'Նոր');
INSERT INTO `lang_definitions` VALUES (54687, 3889, 14, 'Նոր =>');
INSERT INTO `lang_definitions` VALUES (54688, 3890, 14, 'Նոր ընդունողներ/ստացողներ');
INSERT INTO `lang_definitions` VALUES (54689, 3892, 14, 'Նոր ալերգիա');
INSERT INTO `lang_definitions` VALUES (54690, 3893, 14, 'Նոր փոփոխության պահանջ');
INSERT INTO `lang_definitions` VALUES (54691, 3894, 14, 'Նոր այցելություն');
INSERT INTO `lang_definitions` VALUES (54692, 3895, 14, 'Նոր կատեգորիաներ');
INSERT INTO `lang_definitions` VALUES (54693, 3896, 14, 'Նոր կատեգորիա');
INSERT INTO `lang_definitions` VALUES (54694, 3897, 14, 'Նոր հաճախորդներ');
INSERT INTO `lang_definitions` VALUES (54695, 3898, 14, 'Նոր խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (54696, 3900, 14, 'Ավելացվել է սահմանումների նոր շարք');
INSERT INTO `lang_definitions` VALUES (54697, 3901, 14, 'Նոր փաստաթուղթ');
INSERT INTO `lang_definitions` VALUES (54698, 3902, 14, 'Նոր փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (54699, 3904, 14, 'Նոր այց');
INSERT INTO `lang_definitions` VALUES (54700, 3905, 14, 'Նոր այց՝ ստեղծված ֊֊֊ id֊ով');
INSERT INTO `lang_definitions` VALUES (54701, 3906, 14, 'Նոր այցելության ձև/բլանկ');
INSERT INTO `lang_definitions` VALUES (54702, 3907, 14, 'Նոր այցերին հասանելություն թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (54703, 3908, 14, 'Նոր այց');
INSERT INTO `lang_definitions` VALUES (54704, 3909, 14, 'Տեղեկություն նոր ծառայության մասին');
INSERT INTO `lang_definitions` VALUES (54705, 3910, 14, 'Նոր ֆայլ');
INSERT INTO `lang_definitions` VALUES (54706, 3911, 14, 'Նոր ֆայլեր');
INSERT INTO `lang_definitions` VALUES (54707, 3912, 14, 'Նոր խումբ');
INSERT INTO `lang_definitions` VALUES (54708, 3913, 14, 'Տեղեկություն նոր խմբի մասին');
INSERT INTO `lang_definitions` VALUES (54709, 3914, 14, 'Նոր մուտք/կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (54710, 3916, 14, 'Իրադարձությունների նոր սահմանաչափ');
INSERT INTO `lang_definitions` VALUES (54711, 3917, 14, 'Նոր ցուցակ/ցանկ');
INSERT INTO `lang_definitions` VALUES (54712, 3918, 14, 'Նոր նշանակումներ/հրահանգներ');
INSERT INTO `lang_definitions` VALUES (54713, 3919, 14, 'Նոր պարագրաֆ');
INSERT INTO `lang_definitions` VALUES (54714, 3920, 14, 'Նոր գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (54715, 3921, 14, 'Նոր պացիենտ');
INSERT INTO `lang_definitions` VALUES (54716, 3922, 14, 'ՆՈՐ ՊԱՑԻԵՆՏ');
INSERT INTO `lang_definitions` VALUES (54717, 3923, 14, 'Նոր պացիենտի այց');
INSERT INTO `lang_definitions` VALUES (54718, 3924, 14, 'Նոր պացիենտի բլանկ');
INSERT INTO `lang_definitions` VALUES (54719, 3925, 14, 'Նոր պացիենտի ID');
INSERT INTO `lang_definitions` VALUES (54720, 3926, 14, 'Նոր վճարում');
INSERT INTO `lang_definitions` VALUES (54721, 3927, 14, 'Մուտք նոր պորտալ');
INSERT INTO `lang_definitions` VALUES (54722, 3928, 14, 'Նոր կետ');
INSERT INTO `lang_definitions` VALUES (54723, 3929, 14, 'Լաբորատոր փոխանակման նոր արդյունքներ');
INSERT INTO `lang_definitions` VALUES (54724, 3930, 14, 'Նոր որոնում');
INSERT INTO `lang_definitions` VALUES (54725, 3931, 14, 'Նոր սահմանումներ/պնդումներ');
INSERT INTO `lang_definitions` VALUES (54726, 3932, 14, 'Նոր օգտատեր');
INSERT INTO `lang_definitions` VALUES (54727, 3933, 14, 'Նոր սահմանում/արժեք');
INSERT INTO `lang_definitions` VALUES (54728, 3934, 14, 'Նոր այց');
INSERT INTO `lang_definitions` VALUES (54729, 3935, 14, 'Նոր/Որոնում');
INSERT INTO `lang_definitions` VALUES (54730, 3936, 14, 'NewCrop հաշվի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (54731, 3937, 14, 'NewCrop ադմին');
INSERT INTO `lang_definitions` VALUES (54732, 3938, 14, 'NewCrop կանչը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (54733, 3939, 14, 'NewCrop բժիշկ');
INSERT INTO `lang_definitions` VALUES (54734, 3940, 14, 'NewCrop eRx հաշվի Id');
INSERT INTO `lang_definitions` VALUES (54735, 3944, 14, 'NewCrop eRx անվանում');
INSERT INTO `lang_definitions` VALUES (54736, 3945, 14, 'NewCrop eRx գործընկերոջ անվանում');
INSERT INTO `lang_definitions` VALUES (54737, 3946, 14, 'NewCrop eRx գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (54738, 3947, 14, 'NewCrop eRx դերը/մակարդակը');
INSERT INTO `lang_definitions` VALUES (54739, 3948, 14, 'NewCrop eRx դերը/մակարդակը');
INSERT INTO `lang_definitions` VALUES (54740, 3949, 14, 'NewCrop eRx կայքի հասցե');
INSERT INTO `lang_definitions` VALUES (54741, 3954, 14, 'NewCrop eRx վեբսպասարկման հասցե');
INSERT INTO `lang_definitions` VALUES (54742, 3955, 14, 'NewCrop eRx մենեջեր/ղեկավար');
INSERT INTO `lang_definitions` VALUES (54743, 3956, 14, 'NewCrop բժշ․ գրանցում');
INSERT INTO `lang_definitions` VALUES (54744, 3957, 14, 'NewCrop միջին մակարդակի Բժիշկ՝ դեղատոմս դուրսգրելու իրավասությամբ');
INSERT INTO `lang_definitions` VALUES (54745, 3958, 14, 'NewCrop բուժքույր');
INSERT INTO `lang_definitions` VALUES (54746, 3959, 14, 'NewCrop Ղեկավար բժիշկ');
INSERT INTO `lang_definitions` VALUES (54747, 3960, 14, 'Ավելի նոր');
INSERT INTO `lang_definitions` VALUES (54748, 3961, 14, 'Թերթ /օրաթերթ');
INSERT INTO `lang_definitions` VALUES (54749, 3962, 14, 'Հաջորդ');
INSERT INTO `lang_definitions` VALUES (54750, 3964, 14, 'Հաջորդ օրը');
INSERT INTO `lang_definitions` VALUES (54751, 3965, 14, 'Հաջորդ ամիս');
INSERT INTO `lang_definitions` VALUES (54752, 3966, 14, 'Հաջորդ ամիս  (մենյուն ֆիքսելու համար)');
INSERT INTO `lang_definitions` VALUES (54753, 3967, 14, 'Պլանավորված հաջորդ մեկնարկը');
INSERT INTO `lang_definitions` VALUES (54754, 3968, 14, 'Հաջորդ շաբաթ');
INSERT INTO `lang_definitions` VALUES (54755, 3969, 14, 'Հաջորդ տարի  (մենյուն ֆիքսելու համար)');
INSERT INTO `lang_definitions` VALUES (54756, 3970, 14, 'Մականուն');
INSERT INTO `lang_definitions` VALUES (54757, 3971, 14, 'Մականուն');
INSERT INTO `lang_definitions` VALUES (54758, 3973, 14, 'Գիշերային քրտնարտադրություն');
INSERT INTO `lang_definitions` VALUES (54759, 3975, 14, 'Ոչ');
INSERT INTO `lang_definitions` VALUES (54760, 3976, 14, 'ՈՉ');
INSERT INTO `lang_definitions` VALUES (54761, 3977, 14, 'Հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (54762, 3978, 14, 'Հիվանդի ակտիվ հիշեցումներ չկան');
INSERT INTO `lang_definitions` VALUES (54763, 3979, 14, 'Ադենոպատիա չկա (անհրաժեշտ/պահանջվում է 2 ոլորտ/տարածք)');
INSERT INTO `lang_definitions` VALUES (54764, 3980, 14, 'Ճշգրտման պատճառ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54765, 3982, 14, '1. Փոփոխության հարցումները հասանելի չեն 2. Չկան փոփոխության հասանելի հարցումներ');
INSERT INTO `lang_definitions` VALUES (54766, 3983, 14, 'Նշանակված այցեր չկան');
INSERT INTO `lang_definitions` VALUES (54767, 3985, 14, 'Այս պահին չկա ակտիվ բիլլինգային համակարգ Այս պահին բիլլինգային համակարգն ակտիվ չէ');
INSERT INTO `lang_definitions` VALUES (54768, 3986, 14, 'OFX Export֊ի ներմուծման հաշիվ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54769, 3987, 14, 'OFX Export<br>֊ի ներմուծման հաշիվ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54770, 3989, 14, 'Կոդ նշված չէ');
INSERT INTO `lang_definitions` VALUES (54771, 3990, 14, 'Այս մոդուլի համար կարգավորման սահմանում չկա');
INSERT INTO `lang_definitions` VALUES (54772, 3992, 14, 'Ախտորոշում չկա');
INSERT INTO `lang_definitions` VALUES (54773, 3993, 14, '(Ոչ մի) Փաստաթուղթ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54774, 3994, 14, 'Հնրավաոր չէ ստեղծել նոր այց');
INSERT INTO `lang_definitions` VALUES (54775, 3995, 14, 'ավարտման ամսաթիվ չկա');
INSERT INTO `lang_definitions` VALUES (54776, 3996, 14, '(Ոչ մի) գրառում չկա․ օգտվեք ստորև ներկայացված ձևը՝ գրառում կատարելու համար');
INSERT INTO `lang_definitions` VALUES (54777, 3997, 14, 'Սխալներ չեն հայտնաբերվել/չկան');
INSERT INTO `lang_definitions` VALUES (54778, 3998, 14, 'Իրադարձություններ չկան');
INSERT INTO `lang_definitions` VALUES (54779, 4000, 14, 'Տեղադրման ենթակա ներկայացված ֆայլեր չկան');
INSERT INTO `lang_definitions` VALUES (54780, 4001, 14, 'Խումբ ընտրված չէ');
INSERT INTO `lang_definitions` VALUES (54781, 4002, 14, 'Ճողվածք չկա');
INSERT INTO `lang_definitions` VALUES (54782, 4005, 14, 'Առանց տրավմաների/վնասվածքների/հիվանդության');
INSERT INTO `lang_definitions` VALUES (54783, 4006, 14, 'Ապահովագրող կազմակերպություն չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54784, 4007, 14, 'Խնդիրներ չկան');
INSERT INTO `lang_definitions` VALUES (54785, 4008, 14, 'Այս այցի տակ չկան գրանցված խնդիրներ');
INSERT INTO `lang_definitions` VALUES (54786, 4009, 14, 'Ընտրված կատեգորիայում կետեր/պարագրաֆներ չկան');
INSERT INTO `lang_definitions` VALUES (54787, 4010, 14, 'Չկա ընտրված կետ/պարագրաֆ');
INSERT INTO `lang_definitions` VALUES (54788, 4024, 14, 'Լաբորատոր տվյալ տեղադրված չէ');
INSERT INTO `lang_definitions` VALUES (54789, 4025, 14, 'Նշված օրով  մուտքի ֆայլ գոյություն չունի');
INSERT INTO `lang_definitions` VALUES (54790, 4028, 14, 'Տրված կրկնակի նույնականացման կոդով համապատասխան Պացիենտի գրառում չի  գտնվել');
INSERT INTO `lang_definitions` VALUES (54791, 4029, 14, 'Համապատասխան արդյունք չի գտնվել․ կրկին կատարեք որոնում');
INSERT INTO `lang_definitions` VALUES (54792, 4030, 14, 'Համապատասխան արդյունք չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54793, 4031, 14, 'Համապատասխան արդյունք չի գտնվել․ Ստեղծե՞լ/գրանցե՞լ  նոր Պացիենտ');
INSERT INTO `lang_definitions` VALUES (54794, 4032, 14, 'Չի գտնվել համապատասխան գրառում');
INSERT INTO `lang_definitions` VALUES (54795, 4033, 14, 'Նոր արդյունք չեն գտնվել');
INSERT INTO `lang_definitions` VALUES (54796, 4034, 14, 'Գրառումներ չկան');
INSERT INTO `lang_definitions` VALUES (54797, 4035, 14, 'Որովայնային խոռոչի ներքին օրգանների մեծացում չկա');
INSERT INTO `lang_definitions` VALUES (54798, 4036, 14, 'Այս ժամանակահտվածում նոր գրանցումներ չեն գտնվել');
INSERT INTO `lang_definitions` VALUES (54799, 4037, 14, 'Այլ հեռախոսահամարներ չկան');
INSERT INTO `lang_definitions` VALUES (54800, 4038, 14, 'Պարամետրեր ընտրված չեն');
INSERT INTO `lang_definitions` VALUES (54801, 4039, 14, 'Գործընկերներ չկան');
INSERT INTO `lang_definitions` VALUES (54802, 4040, 14, 'Ընտրված չափորոշիչներով գրանցված Պացիենտ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54803, 4041, 14, 'Տրված կրկնակի նույնականացման կոդով գրանցված Պացիենտ չի  գտնվել');
INSERT INTO `lang_definitions` VALUES (54804, 4042, 14, 'Վերջույթային այտուցներ չկան');
INSERT INTO `lang_definitions` VALUES (54805, 4043, 14, 'Դեղատուն չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54806, 4044, 14, 'Դեղատոմս/նշանակում չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54807, 4045, 14, 'Հիվանդություն/տրավմա ներկայացված չէ');
INSERT INTO `lang_definitions` VALUES (54808, 4046, 14, 'Անցած գրառումներ չկան');
INSERT INTO `lang_definitions` VALUES (54809, 4048, 14, 'Նախնական հանդիպում/այց չկա');
INSERT INTO `lang_definitions` VALUES (54810, 4049, 14, 'Այս հանդիպման/այցի տակ չկան գրանցված միաջմտություններ');
INSERT INTO `lang_definitions` VALUES (54811, 4051, 14, 'Մատակարար/մասնագետ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54812, 4052, 14, 'Ոչ մի ցան կամ ախտահարված մաս');
INSERT INTO `lang_definitions` VALUES (54813, 4053, 14, 'Գրառումներ չեն գտնվել');
INSERT INTO `lang_definitions` VALUES (54814, 4055, 14, 'Գրառումներ չեն գտնվել․ խնդրում ենք ընդլայնել որոնման չափորոշիչները');
INSERT INTO `lang_definitions` VALUES (54815, 4056, 14, 'Հիշեցումներ չկան');
INSERT INTO `lang_definitions` VALUES (54816, 4057, 14, 'Վերոնշյալ որոնման արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (54817, 4058, 14, 'Արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (54818, 4059, 14, 'Արդյունքներ չեն հայտնաբերվել');
INSERT INTO `lang_definitions` VALUES (54819, 4060, 14, 'Որոնման արդյունքներ չկան');
INSERT INTO `lang_definitions` VALUES (54820, 4061, 14, 'Արդյունքներ չեն հայտնաբերվել․ նորից/կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (54821, 4062, 14, 'Արդյունքներ չկան․ նորից/կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (54822, 4063, 14, 'Արդյունքներ չկան․ նորից/կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (54823, 4064, 14, 'Այս մոդուլում հասանելի պարամետրեր/կարգավորումներ չկան');
INSERT INTO `lang_definitions` VALUES (54824, 4065, 14, 'Չցուցադրել / չի ցուցադրում');
INSERT INTO `lang_definitions` VALUES (54825, 4066, 14, 'Ֆայլի վրա ստորագրություն առկա չէ');
INSERT INTO `lang_definitions` VALUES (54826, 4072, 14, '1. Առանց հուզմունքի կամ շնչարգելության  2.  հուզմունք կամ շնչարգելություն չկա');
INSERT INTO `lang_definitions` VALUES (54827, 4075, 14, 'Այցեր չկան');
INSERT INTO `lang_definitions` VALUES (54828, 4076, 14, 'Կենսական նշաններ գրանցված չեն');
INSERT INTO `lang_definitions` VALUES (54829, 4077, 14, 'Ոչ, չեղարկել');
INSERT INTO `lang_definitions` VALUES (54830, 4079, 14, 'Ոչ։');
INSERT INTO `lang_definitions` VALUES (54831, 4080, 14, 'Nocturia /չափից շատ գիշերամիզություն/');
INSERT INTO `lang_definitions` VALUES (54832, 4081, 14, 'Չվճարված');
INSERT INTO `lang_definitions` VALUES (54833, 4082, 14, 'Չներկայացված հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (54834, 4083, 14, 'ոչ սպեցիֆիկ վնասվածք');
INSERT INTO `lang_definitions` VALUES (54835, 4084, 14, 'Ոչ էլեկտրոնային');
INSERT INTO `lang_definitions` VALUES (54836, 4085, 14, 'Ինսուլինանկախ շաքարային դիաբեթ');
INSERT INTO `lang_definitions` VALUES (54837, 4086, 14, 'Չապահովագրված');
INSERT INTO `lang_definitions` VALUES (54838, 4089, 14, 'Ոչ մեկը');
INSERT INTO `lang_definitions` VALUES (54839, 4090, 14, 'ոչ մեկը');
INSERT INTO `lang_definitions` VALUES (54840, 4091, 14, '1. Չսահմանված 2. Ոչ մեկը սահմանված չէ');
INSERT INTO `lang_definitions` VALUES (54841, 4092, 14, 'Ոչ մեկը գրանցված չէ');
INSERT INTO `lang_definitions` VALUES (54842, 4093, 14, 'Վերոնշյալից և ոչ մեկը');
INSERT INTO `lang_definitions` VALUES (54843, 4094, 14, 'Վերին բաշխիչ տողերից ոչ մեկը չի կարող/չպետք է դատարկ լինի');
INSERT INTO `lang_definitions` VALUES (54844, 4095, 14, 'Ինսուլինանկախ շաքարային դիաբեթ');
INSERT INTO `lang_definitions` VALUES (54845, 4096, 14, 'ոչ էլ');
INSERT INTO `lang_definitions` VALUES (54846, 4097, 14, 'Սովորական/նորմալ');
INSERT INTO `lang_definitions` VALUES (54847, 4098, 14, 'Նորմալ/սովորական / BL արյուն');
INSERT INTO `lang_definitions` VALUES (54848, 4099, 14, 'Սրտանոթային նորմալ/սովորական /  հետազոտություն');
INSERT INTO `lang_definitions` VALUES (54849, 4100, 14, 'Սրտանոթային նորմալ/սովորական /  հետազոտություն ');
INSERT INTO `lang_definitions` VALUES (54850, 4101, 14, 'Թոքերի սովորական  հետազոտություն');
INSERT INTO `lang_definitions` VALUES (54851, 4102, 14, 'Թոքերի սովորական  հետազոտություն ');
INSERT INTO `lang_definitions` VALUES (54852, 4103, 14, 'Սովորական գրասենյակային/խորհրդատվական այց');
INSERT INTO `lang_definitions` VALUES (54853, 4105, 14, 'Սովորական աջ');
INSERT INTO `lang_definitions` VALUES (54854, 4106, 14, 'Սովորական աջ։');
INSERT INTO `lang_definitions` VALUES (54855, 4107, 14, 'Սովորական տեսքը');
INSERT INTO `lang_definitions` VALUES (54856, 4108, 14, 'սովորկան։');
INSERT INTO `lang_definitions` VALUES (54857, 4109, 14, 'Սովորաբար սա պետք է ստուգվի։ Կապված չէ մուտքի վերահսկողության հետ');
INSERT INTO `lang_definitions` VALUES (54858, 4112, 14, 'Նորվեգացի Նորվեգերեն');
INSERT INTO `lang_definitions` VALUES (54859, 4115, 14, 'Քիթ');
INSERT INTO `lang_definitions` VALUES (54860, 4116, 14, 'Քթային արյունահոսություն');
INSERT INTO `lang_definitions` VALUES (54861, 4117, 14, 'ոչ տառ կամ թիվ');
INSERT INTO `lang_definitions` VALUES (54862, 4119, 14, 'Ոչ բոլոր դաշտերն են պարտադիր բոլոր կոդերի կամ դրանց տեակների համար');
INSERT INTO `lang_definitions` VALUES (54863, 4120, 14, 'Թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (54864, 4121, 14, 'Չի թույլատրվում ջնջել Ադմինիստրատորների խումբը');
INSERT INTO `lang_definitions` VALUES (54865, 4122, 14, 'Խմբագրում թույլատրված չէ  Չի թույլատրվում խմբագրել');
INSERT INTO `lang_definitions` VALUES (54866, 4123, 14, 'Չի թույլատրվում ապաակտիվացնել անվտանգության բոլոր օբյեկտները');
INSERT INTO `lang_definitions` VALUES (54867, 4124, 14, 'Administrators ACL֊ից ոչինչ չի թուլատրվում ապաակտիվացնել');
INSERT INTO `lang_definitions` VALUES (54868, 4125, 14, 'Չի թույլատրվում հեռացնել  admin օգտատիրօջը Ադմինիստրատորներ խմբից');
INSERT INTO `lang_definitions` VALUES (54869, 4126, 14, 'Չի թույլատրվում հեռացնել  այս օգտատիրօջը Ադմինիստրատորներ խմբից');
INSERT INTO `lang_definitions` VALUES (54870, 4127, 14, 'Կիրառելի չէ');
INSERT INTO `lang_definitions` VALUES (54871, 4128, 14, 'PostCalendar մոդուլին հասանելություն թույլատրված չէ');
INSERT INTO `lang_definitions` VALUES (54872, 4129, 14, 'Թույլատրված չէ  հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (54873, 4130, 14, 'Թույլատրված չէ  հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (54874, 4131, 14, 'Այս խմբի համար թույտվություն/հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (54875, 4132, 14, 'Այս խմբի համար թույտվություն/հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (54876, 4133, 14, 'Օգտատերերի կառավարման հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (54877, 4134, 14, 'Արդյունքների ստորագրման/գրանցման հասանելիություն/լիազորություն չկա');
INSERT INTO `lang_definitions` VALUES (54878, 4135, 14, 'Հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (54879, 4137, 14, 'Հաշիվ ներկայացված չէ /հաշվեգրված չէ');
INSERT INTO `lang_definitions` VALUES (54880, 4138, 14, 'Գրանցված չէ');
INSERT INTO `lang_definitions` VALUES (54881, 4139, 14, 'Ստուգված չէ Դուրսգրված չէ');
INSERT INTO `lang_definitions` VALUES (54882, 4140, 14, 'Կոդավորված չէ');
INSERT INTO `lang_definitions` VALUES (54883, 4141, 14, 'Չպայմանավորված');
INSERT INTO `lang_definitions` VALUES (54884, 4143, 14, 'Չհետազոտված');
INSERT INTO `lang_definitions` VALUES (54885, 4144, 14, 'Չհետազոտված։');
INSERT INTO `lang_definitions` VALUES (54886, 4145, 14, 'Չհետազոտված։ ');
INSERT INTO `lang_definitions` VALUES (54887, 4146, 14, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54888, 4148, 14, 'չի գտնվել');
INSERT INTO `lang_definitions` VALUES (54889, 4149, 14, 'Ոչ իսպանական կամ լատինամերիկյան');
INSERT INTO `lang_definitions` VALUES (54890, 4150, 14, 'Տեղադրված չէ/ չի տեղադրվել');
INSERT INTO `lang_definitions` VALUES (54891, 4151, 14, 'Տեղադրված չէ/ չի տեղադրվել');
INSERT INTO `lang_definitions` VALUES (54892, 4152, 14, 'Առայժմ չի բացվել/նայվել');
INSERT INTO `lang_definitions` VALUES (54893, 4153, 14, 'Չի ուղարկվել / ուղարկված չէ');
INSERT INTO `lang_definitions` VALUES (54894, 4154, 14, 'Դեռևս չի ուղարկվել / ուղարկված չէ');
INSERT INTO `lang_definitions` VALUES (54895, 4155, 14, 'Նշված չէ');
INSERT INTO `lang_definitions` VALUES (54896, 4156, 14, 'Նշված չէ');
INSERT INTO `lang_definitions` VALUES (54897, 4157, 14, 'Նշում Գրառում');
INSERT INTO `lang_definitions` VALUES (54898, 4158, 14, 'Նշումների/գրառումների կոդեր/կոդավորում');
INSERT INTO `lang_definitions` VALUES (54899, 4159, 14, 'Ի նկատի ունեցեք, որ ՏԵՂԱԴՐԵԼ կոճակը սեղմելուց հետո 5-10րոպե կտևի ողջ պրոցեսն ավարտին հասցնելու համար');
INSERT INTO `lang_definitions` VALUES (54900, 4160, 14, 'Ի նկատի ունեցեք, որ Թարմացնել կոճակը սեղմելուց հետո 5-10րոպե կտևի ողջ պրոցեսն ավարտին հասցնելու համար');
INSERT INTO `lang_definitions` VALUES (54901, 4161, 14, 'Ի նկատի ունեցեք, որ  վերևում Audit Logging֊ը պետք է միացված լինի');
INSERT INTO `lang_definitions` VALUES (54902, 4162, 14, 'Գրառման տեսակը');
INSERT INTO `lang_definitions` VALUES (54903, 4163, 14, 'Հիշեցում։ 12։00 PM է, այլ ոչ AM');
INSERT INTO `lang_definitions` VALUES (54904, 4172, 14, 'Գրառումներ / Նշումներ');
INSERT INTO `lang_definitions` VALUES (54905, 4173, 14, 'Գրառումներ / Նշումներ - ցանկացած այց/բուժում (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (54906, 4174, 14, 'Գրառումներ / Նշումներ - իմ այցերը/բուժումները (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (54907, 4175, 14, 'Գրառումներ / Նշումներ֊ի մուտքը հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (54908, 4176, 14, 'Հաստատման սպասող ոչինչ չկա');
INSERT INTO `lang_definitions` VALUES (54909, 4177, 14, 'Ոչինչ չի գրանցվել');
INSERT INTO `lang_definitions` VALUES (54910, 4179, 14, 'Ալերգիայի համար/մասին ոչինչ բեռնված չէ');
INSERT INTO `lang_definitions` VALUES (54911, 4180, 14, 'Նշանակումների համար/մասին ոչինչ բեռնված չէ');
INSERT INTO `lang_definitions` VALUES (54912, 4181, 14, 'Ցուցադրելու ոչինչ չկա');
INSERT INTO `lang_definitions` VALUES (54913, 4182, 14, 'Ոչինչ ընտրված չէ');
INSERT INTO `lang_definitions` VALUES (54914, 4183, 14, 'Ստացվել է ծանուցում');
INSERT INTO `lang_definitions` VALUES (54915, 4184, 14, 'ԾԱՆՈՒՑՈՒՄ :: Post Calendar֊ի ներկայացում / ձեևափոխում');
INSERT INTO `lang_definitions` VALUES (54916, 4185, 14, 'Ծանուցում');
INSERT INTO `lang_definitions` VALUES (54917, 4186, 14, 'Ծանուցման էլ․ հասցե');
INSERT INTO `lang_definitions` VALUES (54918, 4188, 14, 'Ծանուցումներ');
INSERT INTO `lang_definitions` VALUES (54919, 4189, 14, 'Ադմինին տեղեկացնե՞լ իրադարձությունների ներկայցման/փոփոխման մասին');
INSERT INTO `lang_definitions` VALUES (54920, 4190, 14, 'Նոյ․');
INSERT INTO `lang_definitions` VALUES (54921, 4191, 14, 'Նոյեմբեր');
INSERT INTO `lang_definitions` VALUES (54922, 4192, 14, 'Այժմ  հրապարակվում/տեղադրվում է');
INSERT INTO `lang_definitions` VALUES (54923, 4193, 14, 'Տպվում է');
INSERT INTO `lang_definitions` VALUES (54924, 4194, 14, 'Տպվում է $stmt_count այցերի/բուժումների թարմացումն ու հայտարարությունները');
INSERT INTO `lang_definitions` VALUES (54925, 4195, 14, 'Տպվում է $stmt_count հաշիվների թարմացումն ու հայտարարությունները');
INSERT INTO `lang_definitions` VALUES (54926, 4196, 14, 'Տպվում է $stmt_count հայտարարությունները։ այցերը/բուժումները չեն թարմացվի');
INSERT INTO `lang_definitions` VALUES (54927, 4197, 14, 'Տպվում է $stmt_count հայտարարությունները։ հաշիվները չեն թարմացվի');
INSERT INTO `lang_definitions` VALUES (54928, 4198, 14, 'NPI');
INSERT INTO `lang_definitions` VALUES (54929, 4199, 14, 'NQF');
INSERT INTO `lang_definitions` VALUES (54930, 4200, 14, 'Թիվ / համար');
INSERT INTO `lang_definitions` VALUES (54931, 4201, 14, 'Լաբոր․ համարը');
INSERT INTO `lang_definitions` VALUES (54932, 4204, 14, 'Սյուների քանակը տարվա կտրվածքով');
INSERT INTO `lang_definitions` VALUES (54933, 4211, 14, 'Հիվանդի հավաստագրի վավերության օրերի քանակը');
INSERT INTO `lang_definitions` VALUES (54934, 4213, 14, 'Արժույթը ներկայացնելիս ստորակետից հետո թվերի քանակը');
INSERT INTO `lang_definitions` VALUES (54935, 4214, 14, 'Էջում ցուցադրվող այցերի քանակը');
INSERT INTO `lang_definitions` VALUES (54936, 4215, 14, 'Բաց թողնված իրադարձությունների կամ game֊երի քանակը՝ եթե այդպիսիք կան');
INSERT INTO `lang_definitions` VALUES (54937, 4216, 14, 'Էլ․ փոստով ծանուցումներ ուղարկելու նախնական ժամանակը /ժամերի քանակը/');
INSERT INTO `lang_definitions` VALUES (54938, 4217, 14, 'Հեռախոսային ծանուցումներ ուղարկելու նախնական ժամանակը /ժամերի քանակը/');
INSERT INTO `lang_definitions` VALUES (54939, 4218, 14, 'SMS հաղորդագրությամբ ծանուցումներ ուղարկելու նախնական ժամանակը /ժամերի քանակը/');
INSERT INTO `lang_definitions` VALUES (54940, 4221, 14, 'Նախկին անամնեզի/հիվ․ պատմության սյուների քանակը');
INSERT INTO `lang_definitions` VALUES (54941, 4222, 14, 'Հիվանդների ցանկից մեկ էջում ցուցադրվով հիվանդների քանակը');
INSERT INTO `lang_definitions` VALUES (54942, 4223, 14, 'Թմրություն/անզգայացում');
INSERT INTO `lang_definitions` VALUES (54943, 4224, 14, 'Համարացույց');
INSERT INTO `lang_definitions` VALUES (54944, 4225, 14, 'Թվային ցուցադրության կարգը');
INSERT INTO `lang_definitions` VALUES (54945, 4227, 14, 'Սնուցում / կերակրում');
INSERT INTO `lang_definitions` VALUES (54946, 4228, 14, 'Սննդային');
INSERT INTO `lang_definitions` VALUES (54947, 4229, 14, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (54948, 4230, 14, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (54949, 4231, 14, '1֊ին աստիճանի Գիրություն/ճարպակալում');
INSERT INTO `lang_definitions` VALUES (54950, 4232, 14, '2֊րդ աստիճանի Գիրություն/ճարպակալում');
INSERT INTO `lang_definitions` VALUES (54951, 4233, 14, '3֊րդ աստիճանի Գիրություն/ճարպակալում');
INSERT INTO `lang_definitions` VALUES (54952, 4234, 14, 'Նպատակ/խնդիր օբյեկտիվորեն/անաչառ');
INSERT INTO `lang_definitions` VALUES (54953, 4237, 14, 'զբաղեցրած պաշտոնը');
INSERT INTO `lang_definitions` VALUES (54954, 4239, 14, 'առաջացում; դեպք; երևույթ,');
INSERT INTO `lang_definitions` VALUES (54955, 4240, 14, 'Հոկտ․');
INSERT INTO `lang_definitions` VALUES (54956, 4241, 14, 'Հոկտեմբեր');
INSERT INTO `lang_definitions` VALUES (54957, 4242, 14, 'OD');
INSERT INTO `lang_definitions` VALUES (54958, 4243, 14, '֊ի; ֊ից');
INSERT INTO `lang_definitions` VALUES (54959, 4244, 14, 'քանակի');
INSERT INTO `lang_definitions` VALUES (54960, 4245, 14, 'հաբ');
INSERT INTO `lang_definitions` VALUES (54961, 4246, 14, 'յուրաքանչյուր ամիս');
INSERT INTO `lang_definitions` VALUES (54962, 4247, 14, 'Գործն․/ծառ․ գրառումներ');
INSERT INTO `lang_definitions` VALUES (54963, 4248, 14, 'Դուրս');
INSERT INTO `lang_definitions` VALUES (54964, 4249, 14, 'Գործն․/ծառ․ գրառումներ');
INSERT INTO `lang_definitions` VALUES (54965, 4250, 14, 'Կբինետային այց');
INSERT INTO `lang_definitions` VALUES (54966, 4251, 14, 'Կլինիկական որակի չափման համեմատության խումբ');
INSERT INTO `lang_definitions` VALUES (54967, 4252, 14, 'Պացիենտի պորտալի արտաքին Https կապ/լինք');
INSERT INTO `lang_definitions` VALUES (54968, 4253, 14, 'Պացիենտի պորտալի արտաքին Https կապ/լինք (Պացիենտի հղում)');
INSERT INTO `lang_definitions` VALUES (54969, 4256, 14, 'Offsite Patient Portal Provider ID');
INSERT INTO `lang_definitions` VALUES (54970, 4257, 14, 'Offsite Patient Portal Provider ID (եթե գրանցված  չէ, թողնել դատարկ).');
INSERT INTO `lang_definitions` VALUES (54971, 4258, 14, 'Offsite Պացիենտի պորտալ կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (54972, 4259, 14, 'Offsite Պացիենտի պորտալ կայքի հասցեն (Պացիենտի հղում)');
INSERT INTO `lang_definitions` VALUES (54973, 4260, 14, 'Offsite Պացիենտի պորտալ օգտանունը');
INSERT INTO `lang_definitions` VALUES (54974, 4261, 14, 'Offsite Պացիենտի պորտալ օգտանունը (եթե գրանցված  չէ, թողնել դատարկ).');
INSERT INTO `lang_definitions` VALUES (54975, 4263, 14, 'Ժառանգ');
INSERT INTO `lang_definitions` VALUES (54976, 4264, 14, 'Ժառանգական պատմություն');
INSERT INTO `lang_definitions` VALUES (54977, 4265, 14, 'քսուք');
INSERT INTO `lang_definitions` VALUES (54978, 4267, 14, 'OK');
INSERT INTO `lang_definitions` VALUES (54979, 4268, 14, 'Փակե՞լ այս թառթող պատուհանը');
INSERT INTO `lang_definitions` VALUES (54980, 4272, 14, 'Նախկին հաճախորդներ/հիվանդներ');
INSERT INTO `lang_definitions` VALUES (54981, 4273, 14, 'Հին կոտրվածք անլիարժեք վերականգնում / ոչ ճիշտ կպում');
INSERT INTO `lang_definitions` VALUES (54982, 4274, 14, 'Նախկին տեղակայման ձևը/տեսքը առանց ձախակողմյան մենյուի');
INSERT INTO `lang_definitions` VALUES (54983, 4275, 14, 'Նախկին ստատիկ ձևը առան որոնման կամ կրկնօրինակի ստուգման');
INSERT INTO `lang_definitions` VALUES (54984, 4276, 14, 'հին, նախկին, ավելի հին');
INSERT INTO `lang_definitions` VALUES (54985, 4277, 14, 'բաց թողնել; չնկատել');
INSERT INTO `lang_definitions` VALUES (54986, 4278, 14, 'բաց թողնել/անտեսել շրջանակը');
INSERT INTO `lang_definitions` VALUES (54987, 4279, 14, 'Բաց թողնել գործատուի տվյալները Պացիենտի անձնական տվյաներում');
INSERT INTO `lang_definitions` VALUES (54988, 4280, 14, 'Բաց թողնել աշխատավայրը');
INSERT INTO `lang_definitions` VALUES (54989, 4281, 14, 'Բաց թողնված ձև․ դեղերի ընդունումը ևընդմիջումները, որոնք հետո դառնում են չափաբաժնի մի մասը');
INSERT INTO `lang_definitions` VALUES (54990, 4282, 14, 'Անձնական տվյալներում բաց թողնել ապահովագրությունը և այլ տվյալներ');
INSERT INTO `lang_definitions` VALUES (54991, 4283, 14, 'Բացառե՞լ ներքին օգտատերերին');
INSERT INTO `lang_definitions` VALUES (54992, 4284, 14, 'Գերավճարի վահանակից հանել վճարման մեթոդը');
INSERT INTO `lang_definitions` VALUES (54993, 4285, 14, 'բաց թողնել/բացառել ավտոմատ նշանակումը');
INSERT INTO `lang_definitions` VALUES (54994, 4286, 14, '֊ին');
INSERT INTO `lang_definitions` VALUES (54995, 4287, 14, '֊ին');
INSERT INTO `lang_definitions` VALUES (54996, 4288, 14, 'առձեռն');
INSERT INTO `lang_definitions` VALUES (54997, 4289, 14, 'Նշանակմամբ');
INSERT INTO `lang_definitions` VALUES (54998, 4290, 14, 'Տեղում');
INSERT INTO `lang_definitions` VALUES (54999, 4291, 14, 'Գործունեության հիմնական տեսակը գրանցելուց հետ այն չպետք է փոխվի։ Դրա փոփոխումը կազդի NewCrop ePrescription֊ի աշխատանքի վրա');
INSERT INTO `lang_definitions` VALUES (55000, 4292, 14, 'Գաղտնաբառը փոխելուց հետո պետք նորից մուտք գործել');
INSERT INTO `lang_definitions` VALUES (55001, 4297, 14, 'Առցանց օգնություն');
INSERT INTO `lang_definitions` VALUES (55002, 4298, 14, 'Առցանց օգնության հղում');
INSERT INTO `lang_definitions` VALUES (55003, 4299, 14, 'Միայն ակտիվները');
INSERT INTO `lang_definitions` VALUES (55004, 4300, 14, 'Կիրառելի/ընդունելի է միայն երբ վերոնշյալ մասնագետը/ծառայություն մատուցողը կամ ցանկն ընտրված է');
INSERT INTO `lang_definitions` VALUES (55005, 4302, 14, 'միայն հաշիվների տեղակայման համար');
INSERT INTO `lang_definitions` VALUES (55006, 4303, 14, 'միայն ապաակտիվ/ապաակտիվացնել');
INSERT INTO `lang_definitions` VALUES (55007, 4304, 14, 'Միայն իմը');
INSERT INTO `lang_definitions` VALUES (55008, 4305, 14, 'Ցուցադրել միայն ախտորոշման հաշվետվության կոդերը');
INSERT INTO `lang_definitions` VALUES (55009, 4306, 14, 'Ցուցադրել միայն ծառայությունների ֆինանսական հաշվետվության կոդերը');
INSERT INTO `lang_definitions` VALUES (55010, 4307, 14, 'Բեռնել միայն ակտիվ դեղատոմսերը/նշանակումները');
INSERT INTO `lang_definitions` VALUES (55011, 4309, 14, 'Սույն ախտանիշների կամ հիվանդության սկիզբը/հայտվնելը/բռնկումը');
INSERT INTO `lang_definitions` VALUES (55012, 4310, 14, 'Հիվանդության ի հայտ գալը');
INSERT INTO `lang_definitions` VALUES (55013, 4311, 14, 'Հիվանդության ի հայտ գալը ');
INSERT INTO `lang_definitions` VALUES (55014, 4312, 14, 'Ուռուցքի/նորագոյացության  ի հայտ գալը');
INSERT INTO `lang_definitions` VALUES (55015, 4313, 14, 'Ստացիոնար դիմելու ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55016, 4315, 14, 'Oops!');
INSERT INTO `lang_definitions` VALUES (55017, 4316, 14, 'բացել');
INSERT INTO `lang_definitions` VALUES (55018, 4318, 14, 'Բացել նոր պատուհանում');
INSERT INTO `lang_definitions` VALUES (55019, 4319, 14, 'Բացել Պացիենտի էջը');
INSERT INTO `lang_definitions` VALUES (55020, 4321, 14, 'Բացել այսօրվա այցը');
INSERT INTO `lang_definitions` VALUES (55021, 4322, 14, 'LibreEHR֊ն արդեն ունի/կազմել է հավաստագիր');
INSERT INTO `lang_definitions` VALUES (55022, 4323, 14, 'LibreEHR  դիմումների կատեգորիա');
INSERT INTO `lang_definitions` VALUES (55023, 4324, 14, 'LibreEHR տվյալների բազայի թարմացում');
INSERT INTO `lang_definitions` VALUES (55024, 4327, 14, 'Մինչև հաճախորդների հավաստագիր ստեղծելը LibreEHR֊ին պետք են հավաստագրերի կիրառման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (55025, 4328, 14, 'օգտվողի իսկությունը ստուգելու համար LibreEHR-ը պահանջում է Javascript');
INSERT INTO `lang_definitions` VALUES (55026, 4329, 14, 'LibreEHR օգտատերեր');
INSERT INTO `lang_definitions` VALUES (55027, 4330, 14, 'Մուտքեր');
INSERT INTO `lang_definitions` VALUES (55028, 4332, 14, 'Աչքի / ակնաբուժական');
INSERT INTO `lang_definitions` VALUES (55029, 4333, 14, 'Տարբերակ');
INSERT INTO `lang_definitions` VALUES (55030, 4334, 14, 'Փաստաթղթի պահեստավորման մեթոդի պահպանության տարբերակ');
INSERT INTO `lang_definitions` VALUES (55031, 4335, 14, 'Նյութական ակտիվների գույքագրման և վաճառքի տարբերակ');
INSERT INTO `lang_definitions` VALUES (55032, 4336, 14, 'Ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (55033, 4337, 14, 'ID Card֊ի նկարի կատեգորիայի   ընտրովի անուն, որը երևալու է Պացիենտի ամփոփ էջում');
INSERT INTO `lang_definitions` VALUES (55034, 4338, 14, 'Լուսանկարի կատեգորիայի   ընտրովի անուն, որը երևալու է Պացիենտի ամփոփ էջում');
INSERT INTO `lang_definitions` VALUES (55035, 4339, 14, 'Փաստաթղթի կատեգորիայի   ընտրովի անուն՝ Պացիենտի ամփոփ էջի հղման համար։ Հնարավորություն է տալիս սեղմել Պացիենտ անվան վրա՝ նրա ID քարտը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (55036, 4343, 14, 'Դեղամիջոցի անունն ըստ ցանկության․ օգտագործել %՝ որպես խմբանիշ');
INSERT INTO `lang_definitions` VALUES (55037, 4344, 14, 'Պատվաստման անուն կամ կոդն ըստ ցանկության․ օգտագործել %՝ որպես խմբանիշ');
INSERT INTO `lang_definitions` VALUES (55038, 4345, 14, 'Իրադարձության մասին ինֆորմացիա ըստ ցանկության');
INSERT INTO `lang_definitions` VALUES (55039, 4346, 14, 'Խմբաքանակի անուն  ըստ ցանկության․ օգտագործել %՝ որպես խմբանիշ');
INSERT INTO `lang_definitions` VALUES (55040, 4350, 14, 'Տարբերակներ');
INSERT INTO `lang_definitions` VALUES (55041, 4351, 14, 'կամ');
INSERT INTO `lang_definitions` VALUES (55042, 4352, 14, 'ԿԱՄ');
INSERT INTO `lang_definitions` VALUES (55043, 4353, 14, 'կամ ընտրել');
INSERT INTO `lang_definitions` VALUES (55044, 4354, 14, 'կամ սեղմել և քաշել արագ ընտրության համար');
INSERT INTO `lang_definitions` VALUES (55045, 4356, 14, 'կամ դուրս՝ դեպի');
INSERT INTO `lang_definitions` VALUES (55046, 4357, 14, 'կամ ընտրել պահոցից');
INSERT INTO `lang_definitions` VALUES (55047, 4358, 14, 'կամ սեղմել  Shift-click փոքրացնելու/նվազեցնելու համար');
INSERT INTO `lang_definitions` VALUES (55048, 4359, 14, 'կամ բեռնել ERA ֆայլը։');
INSERT INTO `lang_definitions` VALUES (55049, 4360, 14, 'Բերանային /բերանի խոռաչ');
INSERT INTO `lang_definitions` VALUES (55050, 4361, 14, 'Բերանի լորձաթաղանթը վարդագույն է, կոկորդը՝ մաքուր');
INSERT INTO `lang_definitions` VALUES (55051, 4362, 14, '1. Կարգ 2. Ցուցում/նշանակում');
INSERT INTO `lang_definitions` VALUES (55052, 4363, 14, 'Ցուցումների/նշանակումների և արդյունքների տեսակներ');
INSERT INTO `lang_definitions` VALUES (55053, 4364, 14, 'Ցուցումների/նշանակումների ցանկ');
INSERT INTO `lang_definitions` VALUES (55054, 4365, 14, 'Նշանակումների ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55055, 4366, 14, 'Նշանակման նկարագրություն');
INSERT INTO `lang_definitions` VALUES (55056, 4367, 14, 'Նշանակում ֊ից');
INSERT INTO `lang_definitions` VALUES (55057, 4368, 14, 'Նշանակման ID');
INSERT INTO `lang_definitions` VALUES (55058, 4369, 14, 'Նշանակաումը պետք է լինի 1-999 թվերով');
INSERT INTO `lang_definitions` VALUES (55059, 4370, 14, 'Նշանակման անվանում');
INSERT INTO `lang_definitions` VALUES (55060, 4371, 14, 'Նշանակման առաջնահերթություն');
INSERT INTO `lang_definitions` VALUES (55061, 4373, 14, 'Նշանակման արդյունքները');
INSERT INTO `lang_definitions` VALUES (55062, 4374, 14, 'Նշանակման կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (55063, 4375, 14, 'Նշանակման կարգավիճակներ');
INSERT INTO `lang_definitions` VALUES (55064, 4376, 14, 'Նշանակման ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (55065, 4378, 14, 'Նշանակման տեսակը');
INSERT INTO `lang_definitions` VALUES (55066, 4380, 14, 'Նշանակման/Արդյունքի տեսակը');
INSERT INTO `lang_definitions` VALUES (55067, 4381, 14, 'Նշանակված է');
INSERT INTO `lang_definitions` VALUES (55068, 4382, 14, 'Նշանակված է ֊ի կողմից');
INSERT INTO `lang_definitions` VALUES (55069, 4383, 14, 'Նշանակված միջամտություն');
INSERT INTO `lang_definitions` VALUES (55070, 4384, 14, 'Նշանակող մասնագետ');
INSERT INTO `lang_definitions` VALUES (55071, 4385, 14, 'Նշանակումների պատմություն');
INSERT INTO `lang_definitions` VALUES (55072, 4386, 14, 'Օրգանի վնասվածք');
INSERT INTO `lang_definitions` VALUES (55073, 4387, 14, 'Կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (55074, 4388, 14, 'Կազմակերպության անունը');
INSERT INTO `lang_definitions` VALUES (55075, 4389, 14, 'Կազմակերպության բաժնի անունը');
INSERT INTO `lang_definitions` VALUES (55076, 4390, 14, 'Կազմակերպություններ');
INSERT INTO `lang_definitions` VALUES (55077, 4391, 14, 'Ուղված x 3');
INSERT INTO `lang_definitions` VALUES (55078, 4392, 14, 'Օրիգինալ  բնօրինակ');
INSERT INTO `lang_definitions` VALUES (55079, 4396, 14, 'ԲԵՐԱՆԸՄՊԱՆ։ ');
INSERT INTO `lang_definitions` VALUES (55080, 4398, 14, 'OS');
INSERT INTO `lang_definitions` VALUES (55081, 4399, 14, 'Օստեոարտրիտ');
INSERT INTO `lang_definitions` VALUES (55082, 4401, 14, 'Օստեոպատիա');
INSERT INTO `lang_definitions` VALUES (55083, 4402, 14, 'Այլ');
INSERT INTO `lang_definitions` VALUES (55084, 4403, 14, 'այլ');
INSERT INTO `lang_definitions` VALUES (55085, 4404, 14, 'Այլ (նշել)');
INSERT INTO `lang_definitions` VALUES (55086, 4405, 14, 'Այլ ֊ նշված');
INSERT INTO `lang_definitions` VALUES (55087, 4406, 14, 'Այլ պետական ծրագիր');
INSERT INTO `lang_definitions` VALUES (55088, 4407, 14, 'Այլ Առողջապահության ֆինանսական վարչակազմ');
INSERT INTO `lang_definitions` VALUES (55089, 4408, 14, 'Այլ՝ չնշված վնասվածքներ');
INSERT INTO `lang_definitions` VALUES (55090, 4409, 14, 'Հիմնական պատասխանատու է այլ ապահովագրող ընկերություն');
INSERT INTO `lang_definitions` VALUES (55091, 4410, 14, 'այլ ամիս');
INSERT INTO `lang_definitions` VALUES (55092, 4411, 14, 'Այլ՝ ոչ պետական ծրագրեր');
INSERT INTO `lang_definitions` VALUES (55093, 4412, 14, 'Այլ նշումներ/գրառումներ');
INSERT INTO `lang_definitions` VALUES (55094, 4413, 14, 'Այլ համապատասխան ախտանիշներ');
INSERT INTO `lang_definitions` VALUES (55095, 4414, 14, 'Այլ համապատասխան ախտանիշներ։');
INSERT INTO `lang_definitions` VALUES (55096, 4416, 14, 'Այլ լարում;սթերս; ճնշում / Չափից մեծ վնասվածք');
INSERT INTO `lang_definitions` VALUES (55097, 4417, 14, 'Այլ վիրաբուժական միջամտություն');
INSERT INTO `lang_definitions` VALUES (55098, 4418, 14, 'Այլ/ընդհանուր աբորտով;ընդհատումով պայմանավորված');
INSERT INTO `lang_definitions` VALUES (55099, 4420, 14, 'Այլ');
INSERT INTO `lang_definitions` VALUES (55100, 4421, 14, 'այլապես/հակառակ դեպքում կոչնչացնեք  առկա տվյալներին կապող կամ դրանից եկող հղումը');
INSERT INTO `lang_definitions` VALUES (55101, 4422, 14, 'Ottawa Ankle կանոններ');
INSERT INTO `lang_definitions` VALUES (55102, 4424, 14, 'Տեղում չէ Չի աշխատում');
INSERT INTO `lang_definitions` VALUES (55103, 4425, 14, 'Աշխատավայռում չէ');
INSERT INTO `lang_definitions` VALUES (55104, 4426, 14, 'Ուղղությունը դեպի արտերկիր');
INSERT INTO `lang_definitions` VALUES (55105, 4427, 14, 'Արդյունք');
INSERT INTO `lang_definitions` VALUES (55106, 4428, 14, 'Մտահորիզոն / հայացք');
INSERT INTO `lang_definitions` VALUES (55107, 4430, 14, 'Ընդհանուր վիճակը դուրսգրվելիս');
INSERT INTO `lang_definitions` VALUES (55108, 4431, 14, 'ԱՄԿԵՏԱՆՑ/ՈՒՇԱՑԱԾ');
INSERT INTO `lang_definitions` VALUES (55109, 4432, 14, 'Չարաշահում');
INSERT INTO `lang_definitions` VALUES (55110, 4433, 14, 'Ամփոփում');
INSERT INTO `lang_definitions` VALUES (55111, 4434, 14, 'Հավելյալ քաշ');
INSERT INTO `lang_definitions` VALUES (55112, 4435, 14, 'Վերագրանցել HIPAA (Բժշկական ապահովագրության  պահպանման և հաշվետվության մասին օրենք) ընտրությունը');
INSERT INTO `lang_definitions` VALUES (55113, 4437, 14, 'Թթվածնային հագեցվածություն');
INSERT INTO `lang_definitions` VALUES (55114, 4439, 14, 'P');
INSERT INTO `lang_definitions` VALUES (55115, 4440, 14, 'տոկոս');
INSERT INTO `lang_definitions` VALUES (55116, 4441, 14, 'կեսօրից հետո');
INSERT INTO `lang_definitions` VALUES (55117, 4442, 14, 'անհրաժեշտության դեպքում');
INSERT INTO `lang_definitions` VALUES (55118, 4443, 14, 'Խաղաղ օվկիանոսի կղզիաբնակ');
INSERT INTO `lang_definitions` VALUES (55119, 4444, 14, 'Մանկական');
INSERT INTO `lang_definitions` VALUES (55120, 4445, 14, 'Էջ');
INSERT INTO `lang_definitions` VALUES (55121, 4446, 14, 'էջեր');
INSERT INTO `lang_definitions` VALUES (55122, 4447, 14, 'Վճարված');
INSERT INTO `lang_definitions` VALUES (55123, 4448, 14, 'Հատկացման ենթակա վճարված գումարը');
INSERT INTO `lang_definitions` VALUES (55124, 4449, 14, 'Վճարված գումար');
INSERT INTO `lang_definitions` VALUES (55125, 4450, 14, 'Վճարվել է ֊ով');
INSERT INTO `lang_definitions` VALUES (55126, 4451, 14, 'Ցավ');
INSERT INTO `lang_definitions` VALUES (55127, 4453, 14, 'Ստրխփոց/ Սրտի բաբախ');
INSERT INTO `lang_definitions` VALUES (55128, 4456, 14, 'Թուղթ');
INSERT INTO `lang_definitions` VALUES (55129, 4457, 14, 'Թղթի չափ');
INSERT INTO `lang_definitions` VALUES (55130, 4458, 14, 'Կաթված');
INSERT INTO `lang_definitions` VALUES (55131, 4459, 14, 'Ծնող');
INSERT INTO `lang_definitions` VALUES (55132, 4461, 14, 'Խմբագրել HL7');
INSERT INTO `lang_definitions` VALUES (55133, 4463, 14, 'Մասնակից/գործընկեր/ընկեր/ամուսին');
INSERT INTO `lang_definitions` VALUES (55134, 4464, 14, 'Գործընկերոջ անվանում');
INSERT INTO `lang_definitions` VALUES (55135, 4467, 14, 'Գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55136, 4468, 14, 'փաստաթուղթի ապակոդավորման գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55137, 4469, 14, 'Փոխադրված հիվանդներ');
INSERT INTO `lang_definitions` VALUES (55138, 4470, 14, 'Պասիվ ծանուցում');
INSERT INTO `lang_definitions` VALUES (55139, 4471, 14, 'Պասիվ ծանուցման կանոններ');
INSERT INTO `lang_definitions` VALUES (55140, 4472, 14, 'Գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55141, 4473, 14, 'Գաղտնաբառի փոփոխում');
INSERT INTO `lang_definitions` VALUES (55142, 4474, 14, 'Գաղտնաբառը հաջողությամբ փոփոխվեց');
INSERT INTO `lang_definitions` VALUES (55143, 4475, 14, 'Գաղտնաբառը հաջողությամբ փոփոխվեց։');
INSERT INTO `lang_definitions` VALUES (55144, 4476, 14, 'Գաղտնաբառը չի համապատասխանում նվազագույն  պահանջներին․ այն պետք է պարունակի հետևյալ 3-4 տարրերը․ թիվ, փոքրատառ, մեծատառ և նշան (ոչ թիվ կամ տառ)');
INSERT INTO `lang_definitions` VALUES (55145, 4477, 14, 'Գաղտնաբառի վավերականության ժամկետը');
INSERT INTO `lang_definitions` VALUES (55146, 4482, 14, 'Վերոնշյալ օգտվողի գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55147, 4483, 14, 'Գաղտնաբառի անվտանգություն/հուսալիությունը թարմացվել է վերջերս');
INSERT INTO `lang_definitions` VALUES (55148, 4484, 14, 'CouchDB֊ի միացման գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55149, 4485, 14, 'Գաղտնաբառը չափազանց կարճ է․ պահանջվում է նվազագույնը 8 նիշ');
INSERT INTO `lang_definitions` VALUES (55150, 4486, 14, 'Գաղտնաբառ։');
INSERT INTO `lang_definitions` VALUES (55151, 4487, 14, 'Գաղտնաբառերը չեն համապատասխանում');
INSERT INTO `lang_definitions` VALUES (55152, 4488, 14, 'Նախկին այցեր');
INSERT INTO `lang_definitions` VALUES (55153, 4489, 14, 'Նախկին այցերի ցուցադրման վիդջեթ');
INSERT INTO `lang_definitions` VALUES (55154, 4490, 14, 'Ժամկետանց');
INSERT INTO `lang_definitions` VALUES (55155, 4491, 14, 'Ժամկետանց');
INSERT INTO `lang_definitions` VALUES (55156, 4492, 14, 'Ուշացած ընդմիջում (կլինիկական հիշեցում)');
INSERT INTO `lang_definitions` VALUES (55157, 4493, 14, 'Ուշացած ընդմիջում (պացիենտի հիշեցում)');
INSERT INTO `lang_definitions` VALUES (55158, 4494, 14, 'Նախկին այցերի/բուժումների ցանկ');
INSERT INTO `lang_definitions` VALUES (55159, 4495, 14, 'Նախկին այցեր/բուժումներ');
INSERT INTO `lang_definitions` VALUES (55160, 4496, 14, 'Նախկին այցեր/բուժումներ և փաստաթղթեր');
INSERT INTO `lang_definitions` VALUES (55161, 4497, 14, '֊ի նախկին այցեր');
INSERT INTO `lang_definitions` VALUES (55162, 4498, 14, 'Տեղադրել HL7 տվյալներ');
INSERT INTO `lang_definitions` VALUES (55163, 4499, 14, 'Տեղադրեք ինֆորմացիան՝ ներքոհիշյալ տեքստային տարածք ներմուծելու համար');
INSERT INTO `lang_definitions` VALUES (55164, 4502, 14, 'Վիրակապ 2. ուղղում');
INSERT INTO `lang_definitions` VALUES (55165, 4508, 14, 'Իրադարձությունների/միջոցառումների գրանցամատյանի պահեստային կրկնօրինակի ուղին');
INSERT INTO `lang_definitions` VALUES (55166, 4509, 14, 'CA վկայականի ֆայլի ուղին');
INSERT INTO `lang_definitions` VALUES (55167, 4510, 14, 'CA բանալի ֆայլի ուղին');
INSERT INTO `lang_definitions` VALUES (55168, 4513, 14, 'Ժամանակավոր ֆայլերի ուղի');
INSERT INTO `lang_definitions` VALUES (55169, 4514, 14, 'Պացիենտ');
INSERT INTO `lang_definitions` VALUES (55170, 4515, 14, 'պացիենտ');
INSERT INTO `lang_definitions` VALUES (55171, 4516, 14, 'ՊԱՑԻԵՆՏ');
INSERT INTO `lang_definitions` VALUES (55172, 4517, 14, 'Պացիենտի հասցե');
INSERT INTO `lang_definitions` VALUES (55173, 4518, 14, 'Պացիենտի հասցեն դատարկ է');
INSERT INTO `lang_definitions` VALUES (55174, 4521, 14, 'Պացիենտի մոտ առկա ալերգիա');
INSERT INTO `lang_definitions` VALUES (55175, 4522, 14, 'Պացիենտի մոտ առկա ալերգիա');
INSERT INTO `lang_definitions` VALUES (55176, 4523, 14, 'Պացիենտի այցի նշանակում');
INSERT INTO `lang_definitions` VALUES (55177, 4524, 14, 'Պացիենտի պարտքի մնացորդ');
INSERT INTO `lang_definitions` VALUES (55178, 4525, 14, 'Պացիենտի պարտքի մնացորդն առ');
INSERT INTO `lang_definitions` VALUES (55179, 4528, 14, 'Պացիենտի  ID քարտ');
INSERT INTO `lang_definitions` VALUES (55180, 4529, 14, 'Պացիենտի վճարում');
INSERT INTO `lang_definitions` VALUES (55181, 4530, 14, 'Պացիենտի վճարում ֊ի համար ');
INSERT INTO `lang_definitions` VALUES (55182, 4531, 14, 'Պացիենտի քաղաքը');
INSERT INTO `lang_definitions` VALUES (55183, 4532, 14, 'Պացիենտի քաղաքը բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (55184, 4533, 14, 'Պացիենտի հետ կապը հաստատված է');
INSERT INTO `lang_definitions` VALUES (55185, 4534, 14, 'Պացիենտի հետ կապը հաստատված է');
INSERT INTO `lang_definitions` VALUES (55186, 4535, 14, 'Պացիենտի երկիրը');
INSERT INTO `lang_definitions` VALUES (55187, 4536, 14, 'Պացիենտի երկիրը բացակայում է։ Նաև գլոբալ կարգավորումների բաժնում տեղադրված չէ Պացիենտի երկիրն ըստ նախնականի');
INSERT INTO `lang_definitions` VALUES (55188, 4537, 14, 'Պացիենտի լուսաբանում');
INSERT INTO `lang_definitions` VALUES (55189, 4539, 14, 'Պացիենտի տվյալներ');
INSERT INTO `lang_definitions` VALUES (55190, 4541, 14, 'Պացիենտի ծննդյան ամսաթիվը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (55191, 4542, 14, 'Տեղեկություններ Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (55192, 4543, 14, 'Պացիենտի ծննդյան ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (55193, 4544, 14, 'Պացիենտի փաստաթուղթը');
INSERT INTO `lang_definitions` VALUES (55194, 4545, 14, 'Պացիենտի կրթությունը');
INSERT INTO `lang_definitions` VALUES (55195, 4546, 14, 'Տեղեկություններ Պացիենտի կրթության մասին');
INSERT INTO `lang_definitions` VALUES (55196, 4547, 14, 'Պացիենտի այցը/բուժումը');
INSERT INTO `lang_definitions` VALUES (55197, 4548, 14, 'Պացիենտի այցի/բուժման թերթիկը');
INSERT INTO `lang_definitions` VALUES (55198, 4549, 14, 'Պացիենտի այցերը/բուժումները');
INSERT INTO `lang_definitions` VALUES (55199, 4550, 14, 'Պացիենտի որոնման ինդեքս');
INSERT INTO `lang_definitions` VALUES (55200, 4551, 14, 'Պացիենտի անունը');
INSERT INTO `lang_definitions` VALUES (55201, 4553, 14, 'Պացիենտի անունը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (55202, 4558, 14, 'Պացիենտի սեռը');
INSERT INTO `lang_definitions` VALUES (55203, 4559, 14, 'Պացիենտի սեռը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (55204, 4560, 14, 'Պացիենտի չունի պորտալի հասանելիություն');
INSERT INTO `lang_definitions` VALUES (55205, 4561, 14, 'Պացիենտի անամնեզ/հիվ․ պատմություն');
INSERT INTO `lang_definitions` VALUES (55206, 4562, 14, 'Պացիենտի անամնեզ / Ապրելակերպը');
INSERT INTO `lang_definitions` VALUES (55207, 4563, 14, 'Պացիենտի քաղաքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (55208, 4564, 14, 'Պացիենտի ID');
INSERT INTO `lang_definitions` VALUES (55209, 4565, 14, 'Պացիենտի ID');
INSERT INTO `lang_definitions` VALUES (55210, 4566, 14, 'Պացիենտի ID քարտը');
INSERT INTO `lang_definitions` VALUES (55211, 4567, 14, 'Պացիենտի ID կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (55212, 4568, 14, 'Պացիենտի պատվաստում');
INSERT INTO `lang_definitions` VALUES (55213, 4569, 14, 'Տեղեկություն Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (55214, 4570, 14, 'Պացիենտի ցուցումներ');
INSERT INTO `lang_definitions` VALUES (55215, 4571, 14, 'Պացիենտի ապահովագրության իրականացում');
INSERT INTO `lang_definitions` VALUES (55216, 4572, 14, 'Պացիենտին տրամադրված ապահովագրության հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55217, 4573, 14, 'Պացիենտի խնդիրները');
INSERT INTO `lang_definitions` VALUES (55218, 4575, 14, 'Պացիենտի ազգանունը');
INSERT INTO `lang_definitions` VALUES (55219, 4577, 14, 'Պացիենտի ազգանունը բացակայում է/բաց թողնված է');
INSERT INTO `lang_definitions` VALUES (55220, 4581, 14, 'Պացիենտների ցանկ');
INSERT INTO `lang_definitions` VALUES (55221, 4582, 14, 'Պացիենտների ցանկի սյուները');
INSERT INTO `lang_definitions` VALUES (55222, 4584, 14, 'Պացիենտների ցանկի նոր պատուհան');
INSERT INTO `lang_definitions` VALUES (55223, 4585, 14, 'Պացիենտների ցանկի էջի չափը');
INSERT INTO `lang_definitions` VALUES (55224, 4586, 14, 'Պացիենտի որոնման սխալ');
INSERT INTO `lang_definitions` VALUES (55225, 4587, 14, 'Պացիենտի բժշկական խնդիրները');
INSERT INTO `lang_definitions` VALUES (55226, 4588, 14, 'Պացիենտին նշանակված դեղորայք');
INSERT INTO `lang_definitions` VALUES (55227, 4589, 14, 'Պացիենտի անուն');
INSERT INTO `lang_definitions` VALUES (55228, 4590, 14, 'Պացիենտի անուն և հասցե');
INSERT INTO `lang_definitions` VALUES (55229, 4593, 14, 'Պացիենտի անունը պարտադիր է');
INSERT INTO `lang_definitions` VALUES (55230, 4595, 14, 'Գրառում Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (55231, 4596, 14, 'Պացիենտի գրառման տիպեր');
INSERT INTO `lang_definitions` VALUES (55232, 4597, 14, 'Գրառումներ  Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (55233, 4598, 14, 'Գրառումներ  Պացիենտի մասին (գրել, միայն ավելացնել՝ ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (55234, 4599, 14, 'Պացիենտի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (55235, 4600, 14, 'Պացիենտի կատարած վճարումը');
INSERT INTO `lang_definitions` VALUES (55236, 4602, 14, 'Պացիենտի լուսանկրաի կատեգորիայի անվանումը');
INSERT INTO `lang_definitions` VALUES (55237, 4603, 14, 'Պացիենտի պորտալ');
INSERT INTO `lang_definitions` VALUES (55238, 4604, 14, 'Պացիենտի պորտալի կապի խնդիր');
INSERT INTO `lang_definitions` VALUES (55239, 4605, 14, 'Պացիենտի պորտալն անջատված է');
INSERT INTO `lang_definitions` VALUES (55240, 4606, 14, 'Մուտք Պացիենտի պորտալ');
INSERT INTO `lang_definitions` VALUES (55241, 4607, 14, 'Պացիենտի պորտալի կայքի հասցեն');
INSERT INTO `lang_definitions` VALUES (55242, 4608, 14, 'Պացիենտի տպագիր հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (55243, 4609, 14, 'Պացիենտների գրանցման հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55244, 4610, 14, 'Պացիենտների գրանցման հարցում');
INSERT INTO `lang_definitions` VALUES (55245, 4611, 14, 'Պացիենտների գրանցումների հարցումներ');
INSERT INTO `lang_definitions` VALUES (55246, 4613, 14, 'Պացիենտի հիշեցում  Հիշեցում Պացիենտին');
INSERT INTO `lang_definitions` VALUES (55247, 4614, 14, 'Պացիենտի հիշեցման խմբային կիրառում');
INSERT INTO `lang_definitions` VALUES (55248, 4615, 14, 'Պացիենտին ուղղված հիշեցումների ստեղծման առաջնահերթությունը');
INSERT INTO `lang_definitions` VALUES (55249, 4616, 14, 'Պացիենտին ուղղված հիշեցումների կանոններ');
INSERT INTO `lang_definitions` VALUES (55250, 4617, 14, 'Պացիենտին հիշեցում ուղարկողի էլ․ հասցեն');
INSERT INTO `lang_definitions` VALUES (55251, 4618, 14, 'Պացիենտին հիշեցում ուղարկողի ազգանունը');
INSERT INTO `lang_definitions` VALUES (55252, 4619, 14, 'Պացիենտի հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (55253, 4620, 14, 'Հաշվետվություն/զեկույց Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (55254, 4621, 14, 'Պացիենտի հարցում');
INSERT INTO `lang_definitions` VALUES (55255, 4622, 14, 'Պահանջվող Հիվանդության պատմություն');
INSERT INTO `lang_definitions` VALUES (55256, 4623, 14, 'Արդյունքներ Պացիենտի մասին');
INSERT INTO `lang_definitions` VALUES (55257, 4624, 14, 'Պացիենտի որոնման արդյունքներ');
INSERT INTO `lang_definitions` VALUES (55258, 4625, 14, 'Պացիենտի որոնման/ավելացման պատուհան');
INSERT INTO `lang_definitions` VALUES (55259, 4626, 14, 'Պացիենտի գրանցման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (55260, 4627, 14, 'Պացիենտի վիճակը');
INSERT INTO `lang_definitions` VALUES (55261, 4629, 14, 'Պացիենտի ամփոփ նկարագիր');
INSERT INTO `lang_definitions` VALUES (55262, 4630, 14, 'Պացիենտների տեղափոխում');
INSERT INTO `lang_definitions` VALUES (55263, 4631, 14, 'Պացիենտի փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (55264, 4632, 14, 'Տվյալների բազայում մուտքագրված անձնական/ազգագրական տվյալներով Պացիենտ(ներ)ի համապատասխանություն/համընկնում');
INSERT INTO `lang_definitions` VALUES (55265, 4633, 14, 'Պացիենտ/Հաախորդ');
INSERT INTO `lang_definitions` VALUES (55266, 4634, 14, 'Պացիենտ։');
INSERT INTO `lang_definitions` VALUES (55267, 4635, 14, 'Պաց․ ID');
INSERT INTO `lang_definitions` VALUES (55268, 4636, 14, 'Պացիենտներ');
INSERT INTO `lang_definitions` VALUES (55269, 4637, 14, 'Պացիենտների տվյալների մշակում');
INSERT INTO `lang_definitions` VALUES (55270, 4638, 14, 'Վճարել');
INSERT INTO `lang_definitions` VALUES (55271, 4639, 14, 'Ուշադրություն դարձրեք \"Պատրաստ է\" ցուցավանդակին․ Ապահովագրական տվյալների  լրացումից հետո խնդրում ենք Պացիենտին վճարել մնացորդը․ եթե չնշեք ապահովագրության ամբողջական կատարում, ապա  հնարավոր չի լինի գանձել գումարի մնացորդը։ Եթե կա պացիենտի կողմից վճարվելիք մնացորդ, ապա տեղադրել վճարման համապատասխան ամսաթիվ/ժամկետ, քանի որ այն կազդի ․․․․');
INSERT INTO `lang_definitions` VALUES (55272, 4640, 14, 'Վճարման ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (55273, 4641, 14, 'Վճարման կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (55274, 4642, 14, 'Վճարը ստացողի անունը');
INSERT INTO `lang_definitions` VALUES (55275, 4643, 14, 'Վճարող');
INSERT INTO `lang_definitions` VALUES (55276, 4644, 14, 'Վճարման տեսակը');
INSERT INTO `lang_definitions` VALUES (55277, 4645, 14, 'Վճարում');
INSERT INTO `lang_definitions` VALUES (55278, 4646, 14, 'Վճարող/ Վճարում կատարող');
INSERT INTO `lang_definitions` VALUES (55279, 4647, 14, 'Վճար/Վճարում');
INSERT INTO `lang_definitions` VALUES (55280, 4648, 14, 'Վճար/Վճարում');
INSERT INTO `lang_definitions` VALUES (55281, 4649, 14, 'Վճարման ճշգրտման կոդ');
INSERT INTO `lang_definitions` VALUES (55282, 4651, 14, 'Վճարման գումար');
INSERT INTO `lang_definitions` VALUES (55283, 4652, 14, 'Վճարման գումարը թվերով');
INSERT INTO `lang_definitions` VALUES (55284, 4653, 14, 'Վճարման կատեգորիա');
INSERT INTO `lang_definitions` VALUES (55285, 4654, 14, 'Վճարման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55286, 4655, 14, 'Վճարում՝ մուտքագրված ֊ին');
INSERT INTO `lang_definitions` VALUES (55287, 4656, 14, 'Վճարում ֊ից');
INSERT INTO `lang_definitions` VALUES (55288, 4659, 14, 'Վճարման ցուցակ');
INSERT INTO `lang_definitions` VALUES (55289, 4660, 14, 'Վճարման մեթոդ');
INSERT INTO `lang_definitions` VALUES (55290, 4661, 14, 'Դասավորել վճարումներն ըստ');
INSERT INTO `lang_definitions` VALUES (55291, 4662, 14, 'Վճարման կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (55292, 4663, 14, 'Վճարման ձև');
INSERT INTO `lang_definitions` VALUES (55293, 4664, 14, 'Վճարման կոդ ');
INSERT INTO `lang_definitions` VALUES (55294, 4665, 14, 'Վճարումներ');
INSERT INTO `lang_definitions` VALUES (55295, 4667, 14, 'PCP');
INSERT INTO `lang_definitions` VALUES (55296, 4668, 14, 'Տողերի տակաոսը (%)');
INSERT INTO `lang_definitions` VALUES (55297, 4669, 14, 'PDF');
INSERT INTO `lang_definitions` VALUES (55298, 4670, 14, 'PDF ֆորմատով բեռնված ընտրված հաշվետվություններ');
INSERT INTO `lang_definitions` VALUES (55299, 4671, 14, 'PDF լեզու');
INSERT INTO `lang_definitions` VALUES (55300, 4672, 14, 'կոնքի և հետույքի շրջան');
INSERT INTO `lang_definitions` VALUES (55301, 4673, 14, 'բշտիկ');
INSERT INTO `lang_definitions` VALUES (55302, 4674, 14, 'ընթացում/ընթացքի մեջ գտնվող');
INSERT INTO `lang_definitions` VALUES (55303, 4675, 14, 'Հաստատման մեջ / հաստատման սպասող');
INSERT INTO `lang_definitions` VALUES (55304, 4676, 14, 'Հաջորդիվ սպասվող');
INSERT INTO `lang_definitions` VALUES (55305, 4677, 14, 'Հաջորդիվ սպասվող');
INSERT INTO `lang_definitions` VALUES (55306, 4678, 14, 'Արդյունքից սպասվողշարունակությունը');
INSERT INTO `lang_definitions` VALUES (55307, 4679, 14, 'Ընթացում/ընթացքի մեջ գտնվող նշանակումներ/ցուցումներ');
INSERT INTO `lang_definitions` VALUES (55308, 4681, 14, 'Սպասվող գնահատականը');
INSERT INTO `lang_definitions` VALUES (55309, 4685, 14, 'մարսողական համակարգի խոցային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (55310, 4686, 14, 'Յուրաքանչյուր այց/հանդիպում');
INSERT INTO `lang_definitions` VALUES (55311, 4687, 14, 'յուր․ րոպե');
INSERT INTO `lang_definitions` VALUES (55312, 4688, 14, 'Յուր․ քթանցքին');
INSERT INTO `lang_definitions` VALUES (55313, 4689, 14, 'Յուր․ քթանցքին');
INSERT INTO `lang_definitions` VALUES (55314, 4692, 14, 'Ուղիղ աղու միջով');
INSERT INTO `lang_definitions` VALUES (55315, 4693, 14, 'Ուղիղ աղու միջով');
INSERT INTO `lang_definitions` VALUES (55316, 4694, 14, 'Տոկոս');
INSERT INTO `lang_definitions` VALUES (55317, 4697, 14, 'Տոկոսային');
INSERT INTO `lang_definitions` VALUES (55318, 4699, 14, 'Կատարել որոնում');
INSERT INTO `lang_definitions` VALUES (55319, 4700, 14, 'Կատարել սույն գործողությունը');
INSERT INTO `lang_definitions` VALUES (55320, 4701, 14, 'Իրագործման տոկոսը');
INSERT INTO `lang_definitions` VALUES (55321, 4703, 14, 'Իրականացնել լաբորատոր ծառայություններ');
INSERT INTO `lang_definitions` VALUES (55322, 4705, 14, 'Շրջան/ժամանակաշրջան');
INSERT INTO `lang_definitions` VALUES (55323, 4708, 14, 'Ծայրամասային/պերիֆերիկ');
INSERT INTO `lang_definitions` VALUES (55324, 4710, 14, 'Պարսկերեն');
INSERT INTO `lang_definitions` VALUES (55325, 4711, 14, 'Պարսկերեն');
INSERT INTO `lang_definitions` VALUES (55326, 4712, 14, 'Անձ');
INSERT INTO `lang_definitions` VALUES (55327, 4713, 14, 'Անհատականացաում/անհատականացնել');
INSERT INTO `lang_definitions` VALUES (55328, 4714, 14, 'PG');
INSERT INTO `lang_definitions` VALUES (55329, 4715, 14, 'Դեղատուն');
INSERT INTO `lang_definitions` VALUES (55330, 4716, 14, 'Ընդհ․ դեղ․ հաշիվ');
INSERT INTO `lang_definitions` VALUES (55331, 4717, 14, 'Դեղատներ');
INSERT INTO `lang_definitions` VALUES (55332, 4718, 14, 'Դեղատուն');
INSERT INTO `lang_definitions` VALUES (55333, 4719, 14, 'Դեղատնային/դեղագործական բաժանմունք');
INSERT INTO `lang_definitions` VALUES (55334, 4720, 14, 'Պնեվմոտորաքս');
INSERT INTO `lang_definitions` VALUES (55335, 4721, 14, 'phiMail Allow CCD ուղարկում');
INSERT INTO `lang_definitions` VALUES (55336, 4722, 14, 'phiMail Allow CCR ուղարկում');
INSERT INTO `lang_definitions` VALUES (55337, 4723, 14, 'phiMail հաղորդագրության ուղարկում');
INSERT INTO `lang_definitions` VALUES (55338, 4724, 14, 'phiMail ծանուցումների օգտատեր');
INSERT INTO `lang_definitions` VALUES (55339, 4725, 14, 'phiMail գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55340, 4726, 14, 'phiMail սերվերի հասցե');
INSERT INTO `lang_definitions` VALUES (55341, 4727, 14, 'phiMail օգտվողի անուն');
INSERT INTO `lang_definitions` VALUES (55342, 4729, 14, 'Հեռախոս');
INSERT INTO `lang_definitions` VALUES (55343, 4730, 14, 'Հեռախոսազանգերի ցանկ');
INSERT INTO `lang_definitions` VALUES (55344, 4731, 14, 'Հեռախոսազանգերի հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55345, 4732, 14, 'Հեռախոսահամարի վանդակ');
INSERT INTO `lang_definitions` VALUES (55346, 4733, 14, 'Հեռախոսի կապուղու/gateway գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55347, 4734, 14, 'Հեռախոսի կապուղու/gateway URL/հասցե');
INSERT INTO `lang_definitions` VALUES (55348, 4735, 14, 'Հեռախոսի կապուղու/gateway օգտվողի անուն');
INSERT INTO `lang_definitions` VALUES (55349, 4736, 14, 'Քաղաքային հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (55350, 4737, 14, 'Հեռախոսային ծանուցման ժամ');
INSERT INTO `lang_definitions` VALUES (55351, 4738, 14, 'Հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (55352, 4739, 14, 'հեռախոսահամար');
INSERT INTO `lang_definitions` VALUES (55353, 4740, 14, 'Ֆոտոֆոբիա /աչքի չափազանց զգայունությունը լույսի հանդեպ/');
INSERT INTO `lang_definitions` VALUES (55354, 4741, 14, 'Ֆոտոներ/նկարներ');
INSERT INTO `lang_definitions` VALUES (55355, 4742, 14, 'սեղմված PHP');
INSERT INTO `lang_definitions` VALUES (55356, 4743, 14, 'PHP CURL մոդուլը պետք է միացված լինի ձեր սերվերին');
INSERT INTO `lang_definitions` VALUES (55357, 4744, 14, 'PHP-ն բացված է');
INSERT INTO `lang_definitions` VALUES (55358, 4745, 14, 'php-GACL հասանելիությունն անջատված է');
INSERT INTO `lang_definitions` VALUES (55359, 4746, 14, 'PHP-gacl տեղադրված չէ');
INSERT INTO `lang_definitions` VALUES (55360, 4747, 14, 'Բժշկական զննություն');
INSERT INTO `lang_definitions` VALUES (55361, 4749, 14, 'Բժշկական հարցում');
INSERT INTO `lang_definitions` VALUES (55362, 4750, 14, 'Բժշկի ստորագրություն');
INSERT INTO `lang_definitions` VALUES (55363, 4752, 14, 'Թերապեվտ');
INSERT INTO `lang_definitions` VALUES (55364, 4753, 14, 'ընտրել');
INSERT INTO `lang_definitions` VALUES (55365, 4754, 14, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (55366, 4755, 14, 'Ընտրել CSS թեման');
INSERT INTO `lang_definitions` VALUES (55367, 4756, 14, 'ՓԿԲՀ');
INSERT INTO `lang_definitions` VALUES (55368, 4757, 14, 'ՓԿԲՀ (Փոքր կոնքի բորբոքային հիվանդություն)');
INSERT INTO `lang_definitions` VALUES (55369, 4758, 14, 'Դեղահաբի չափը');
INSERT INTO `lang_definitions` VALUES (55370, 4759, 14, 'Դեղահաբեր');
INSERT INTO `lang_definitions` VALUES (55371, 4760, 14, 'Այս տարբերակի տեղադրման համար տվյալների բազայի  zip ֆայլն հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (55372, 4761, 14, 'Տեղադրեք ներբեռնված  ICD 10 տվյալների բազայի  zip ֆայլերը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (55373, 4762, 14, 'Տեղադրեք ներբեռնված  ICD 9 տվյալների բազայի  zip ֆայլը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (55374, 4763, 14, 'Տեղադրեք ներբեռնված RxNorm տվյալների բազայի  zip ֆայլը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (55375, 4764, 14, 'Տեղադրեք ներբեռնված Snomed տվյալների բազայի  zip ֆայլը հետևյալ տեղեկատուի մեջ');
INSERT INTO `lang_definitions` VALUES (55376, 4765, 14, 'Տեղապահ կոճակ');
INSERT INTO `lang_definitions` VALUES (55377, 4766, 14, 'Տեղապահ կոճակ  (աջակցում է դատարկ ACLs)');
INSERT INTO `lang_definitions` VALUES (55378, 4767, 14, 'Հասարակ տեքստ');
INSERT INTO `lang_definitions` VALUES (55379, 4768, 14, 'Պլան/Ծրագիր');
INSERT INTO `lang_definitions` VALUES (55380, 4771, 14, 'Ծրագրի անուն');
INSERT INTO `lang_definitions` VALUES (55381, 4775, 14, 'Ծրագրի տեղադրում');
INSERT INTO `lang_definitions` VALUES (55382, 4779, 14, 'Պլան/Ծրագիր։');
INSERT INTO `lang_definitions` VALUES (55383, 4782, 14, 'Պլաններ։ / Ծրագրեր։');
INSERT INTO `lang_definitions` VALUES (55384, 4784, 14, 'Մասնակից');
INSERT INTO `lang_definitions` VALUES (55385, 4785, 14, 'Մասնակցի պաշտոնը');
INSERT INTO `lang_definitions` VALUES (55386, 4786, 14, 'Եթե վերոնշյալ ինֆորմացիան սխալ է, խնդրում ենք արձագանքել');
INSERT INTO `lang_definitions` VALUES (55387, 4787, 14, 'Փոխեք Ձեր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (55388, 4788, 14, 'Ընտրեք ֆայլը');
INSERT INTO `lang_definitions` VALUES (55389, 4789, 14, 'Ընտրեք Պացիենտին');
INSERT INTO `lang_definitions` VALUES (55390, 4790, 14, 'Նշեք ճիշտ ընտրվածը');
INSERT INTO `lang_definitions` VALUES (55391, 4791, 14, 'Նշեք ճիշտը');
INSERT INTO `lang_definitions` VALUES (55392, 4792, 14, 'Ընտրեք արժեք');
INSERT INTO `lang_definitions` VALUES (55393, 4793, 14, 'Վերևում ընտրեք ամսաթվերի տիրույթի կրիտերիաները և սեղմեք Թարմացնել կոճակը՝ արդյունքը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (55394, 4794, 14, 'Ընտրեք համապատասխամ ֆորմատով EDI-271 ֆայլը');
INSERT INTO `lang_definitions` VALUES (55395, 4797, 14, 'Փակեք պատուհանը');
INSERT INTO `lang_definitions` VALUES (55396, 4798, 14, 'Համեմատեք նոր անվանումը');
INSERT INTO `lang_definitions` VALUES (55397, 4800, 14, 'Ուղղեք արժեքները մինչ գործարկումը');
INSERT INTO `lang_definitions` VALUES (55398, 4801, 14, 'Մինչ գործարկումն ստեղծել հետևյալ տեղեկատուն');
INSERT INTO `lang_definitions` VALUES (55399, 4809, 14, 'Մուտքագրել վերջին վերանայման ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (55400, 4810, 14, 'Մուտքագրել  ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55401, 4811, 14, 'Մուտքագրել ճիշտ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55402, 4812, 14, 'Մուտքագրել հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (55403, 4813, 14, 'Մուտքագրել գումար՝ օգտագործելով միայն թվեր ու տասնորդական կետեր');
INSERT INTO `lang_definitions` VALUES (55404, 4814, 14, 'Մուտքագրել նոր գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55405, 4815, 14, 'Մուտքագրել վերնագիր');
INSERT INTO `lang_definitions` VALUES (55406, 4817, 14, 'Մուտքագրել առնվազն տարրի անվանումը');
INSERT INTO `lang_definitions` VALUES (55407, 4818, 14, 'Մուտքագրել առնվազն ուղու անվանումը');
INSERT INTO `lang_definitions` VALUES (55408, 4819, 14, 'Մուտքագրել կրկնակի նույնականացման ճշգրիտ կոդ');
INSERT INTO `lang_definitions` VALUES (55409, 4820, 14, 'Ավարտի ամսաթվին ավելի մեծ պետք է լինի, քան սկսզբի ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (55410, 4821, 14, 'Ավելացրեք որոնման նոր տող');
INSERT INTO `lang_definitions` VALUES (55411, 4822, 14, 'Մուտքագրել կրկնակի նույնականացման ճշգրիտ կոդը');
INSERT INTO `lang_definitions` VALUES (55412, 4823, 14, 'Մուտքագրել  գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (55413, 4824, 14, 'Լրացրեք գրանցման համարը');
INSERT INTO `lang_definitions` VALUES (55414, 4825, 14, 'Լրացրեք գրանցման/Ref համարը');
INSERT INTO `lang_definitions` VALUES (55415, 4826, 14, 'Լրացրեք ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (55416, 4827, 14, 'Լրացրեք վճարման գումարը');
INSERT INTO `lang_definitions` VALUES (55417, 4828, 14, 'Լրացրեք վճարման կատեգորիան');
INSERT INTO `lang_definitions` VALUES (55418, 4829, 14, 'Լրացրեք \"Ում կողմից է վճարվել\"');
INSERT INTO `lang_definitions` VALUES (55419, 4830, 14, 'Լրացրեք գրառումն այսօրվա ամսաթվով');
INSERT INTO `lang_definitions` VALUES (55420, 4831, 14, 'Նախքան շարունակելը լրացրեք դրանք/այդ');
INSERT INTO `lang_definitions` VALUES (55421, 4832, 14, 'Խնդրում ենք նշել այցի պատճառը');
INSERT INTO `lang_definitions` VALUES (55422, 4833, 14, 'Վերևում նշանակեք որոնման չափորոշիչներ և գործարկման համար սեղմեք Հաստատել');
INSERT INTO `lang_definitions` VALUES (55423, 4834, 14, 'Վերևում նշանակեք որոնման չափորոշիչներ և արդյունքը տեսնելու համար սեղմեք Հաստատել');
INSERT INTO `lang_definitions` VALUES (55424, 4835, 14, 'Վերևում նշանակեք որոնման չափորոշիչներ և արդյունքը տեսնելու համար սեղմեք Հաստատել (Արդյունքը կցուցադրվի թարթող պատուհանով)');
INSERT INTO `lang_definitions` VALUES (55425, 4836, 14, 'Խնդրում ենք՝ կրկին մուտք գործեք');
INSERT INTO `lang_definitions` VALUES (55426, 4837, 14, 'Ի նկատի ունեցեք, որ դա կարող է երկար տևել, ընդհուպ մի քանի րոպե․ այս ընթացքում բրոուզերն ակտիվ չի լինի․ հաշվի գեներացումը բարդ պրոցես է, և բրոուզերն ուղղակի սպասում է ինֆորմացիայի առավել մեծ պաշարի');
INSERT INTO `lang_definitions` VALUES (55427, 4838, 14, 'Ուշադրություն․');
INSERT INTO `lang_definitions` VALUES (55428, 4839, 14, 'Օգտագործեք միայն այբենական նիշեր/սիմվոլներ');
INSERT INTO `lang_definitions` VALUES (55429, 4840, 14, 'Օգտագործեք միայն այբենական նիշեր/սիմվոլներ՝ առանց բացատների');
INSERT INTO `lang_definitions` VALUES (55430, 4841, 14, 'Խնդրում ենք վճարել սույն գումարը');
INSERT INTO `lang_definitions` VALUES (55431, 4842, 14, 'Տեղադրեք թողարկվող ֆայլերն այս տեղեկատու մեջ');
INSERT INTO `lang_definitions` VALUES (55432, 4843, 14, 'Խնդրում ենք դիմել  -ին');
INSERT INTO `lang_definitions` VALUES (55433, 4844, 14, 'Վերագրանցեք գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (55434, 4845, 14, 'Խնդրում ենք վերագործարկել Apache սերվերը մինչև');
INSERT INTO `lang_definitions` VALUES (55435, 4846, 14, 'Խնդրում ենք նայեք կից PDF ֆայլը');
INSERT INTO `lang_definitions` VALUES (55436, 4847, 14, 'Խնդրում ենք ընտրել');
INSERT INTO `lang_definitions` VALUES (55437, 4849, 14, 'Խնդրում ենք ընտրել լեզուն');
INSERT INTO `lang_definitions` VALUES (55438, 4850, 14, 'Խնդրում ենք ընտրել Պացիենտ');
INSERT INTO `lang_definitions` VALUES (55439, 4854, 14, 'Ընտրեք ստացողին');
INSERT INTO `lang_definitions` VALUES (55440, 4855, 14, 'Ընտրեք սկզբի և ավարտի ամսաթվերը');
INSERT INTO `lang_definitions` VALUES (55441, 4856, 14, 'Ընտրեք վավեր ստացողի');
INSERT INTO `lang_definitions` VALUES (55442, 4857, 14, 'Ընտրեք ակտիվ խումբ');
INSERT INTO `lang_definitions` VALUES (55443, 4858, 14, 'Ընտրեք կոդի ճշգրտման պատճառը ');
INSERT INTO `lang_definitions` VALUES (55444, 4859, 14, 'Ընտրեք իրադարձություն');
INSERT INTO `lang_definitions` VALUES (55445, 4860, 14, 'Ընտրեք որոնման տարբերակ');
INSERT INTO `lang_definitions` VALUES (55446, 4863, 14, 'Ընտրեք առնվազն մեկ դեղատոմս');
INSERT INTO `lang_definitions` VALUES (55447, 4864, 14, 'Ընտրեք այցելություն');
INSERT INTO `lang_definitions` VALUES (55448, 4865, 14, 'Ընտրեք կրկնօրինակման կամ փոխանցման համար նախընտրելի էջերը');
INSERT INTO `lang_definitions` VALUES (55449, 4866, 14, 'Ընտրեք վճարման տարբերակը');
INSERT INTO `lang_definitions` VALUES (55450, 4867, 14, 'Ընտրեք վճարման տեսակը');
INSERT INTO `lang_definitions` VALUES (55451, 4868, 14, 'Ընտրեք այցելության կատեգորիան');
INSERT INTO `lang_definitions` VALUES (55452, 4869, 14, 'Ընտրեք 270 խմբաքանակի ստեղծման համար պահանջվող X12 գործընկերոջը');
INSERT INTO `lang_definitions` VALUES (55453, 4870, 14, 'Տեղադրեք');
INSERT INTO `lang_definitions` VALUES (55454, 4873, 14, 'Սկսեք նոր դեիդենտիֆիկացիոն գործընթացը');
INSERT INTO `lang_definitions` VALUES (55455, 4874, 14, 'Թարմացրեք LibreEHR տվյալների բազան՝ դեիդենտիֆիկացիոն միջամտությունների, ֆունկցիայի և աղյուսակների  ներառման համար');
INSERT INTO `lang_definitions` VALUES (55456, 4875, 14, 'Մանրամասն տեղեկությունների համար նայեք դեիդենտիֆիկացիոն սխալների աղյուսակը');
INSERT INTO `lang_definitions` VALUES (55457, 4876, 14, 'Որոշ ժամանակ անց այցելեք դեիդենտիֆիկացիայի էկրան');
INSERT INTO `lang_definitions` VALUES (55458, 4877, 14, 'Որոշ ժամանակ անց այցելեք վերանույնականացման էկրան');
INSERT INTO `lang_definitions` VALUES (55459, 4878, 14, 'Որոշ ժամանակ անց այցելեք  էկրան');
INSERT INTO `lang_definitions` VALUES (55460, 4881, 14, 'Հոգնակի/բազմակի');
INSERT INTO `lang_definitions` VALUES (55461, 4882, 14, '1․ Կեսօրից հետո 2, Անձնական նամակ');
INSERT INTO `lang_definitions` VALUES (55462, 4883, 14, 'երեկոյան ծրագիր');
INSERT INTO `lang_definitions` VALUES (55463, 4884, 14, 'Pmt մեթոդ');
INSERT INTO `lang_definitions` VALUES (55464, 4885, 14, '1․ Պարոքսիզմալ գիշերային շնչահեղձություն/հևոց 2, Գիշերային շնչահեղձության համախտանիշ');
INSERT INTO `lang_definitions` VALUES (55465, 4890, 14, 'Թոքատապային պատվաստանյութ');
INSERT INTO `lang_definitions` VALUES (55466, 4891, 14, 'Թոքատապային պատվաստում');
INSERT INTO `lang_definitions` VALUES (55467, 4892, 14, 'Թոքաբորբի պատվաստանյութի կարգավիճակը տարեցների/մեծահասակների համար');
INSERT INTO `lang_definitions` VALUES (55468, 4893, 14, 'Թոքաբորբի պատվաստանյութի կարգավիճակը տարեցների/մեծահասակների համար (CQM)');
INSERT INTO `lang_definitions` VALUES (55469, 4896, 14, 'Ծառայության մատուցման վայրը');
INSERT INTO `lang_definitions` VALUES (55470, 4897, 14, 'Ապահովագրություն/Ապահովագրաթերթիկ');
INSERT INTO `lang_definitions` VALUES (55471, 4898, 14, 'Ապահովագրություն/Ապահովագրաթերթիկ  №');
INSERT INTO `lang_definitions` VALUES (55472, 4899, 14, 'Ապահովագրության/Ապահովագրաթերթիկի համարը');
INSERT INTO `lang_definitions` VALUES (55473, 4900, 14, 'Լեհերեն');
INSERT INTO `lang_definitions` VALUES (55474, 4901, 14, 'Պոլիդիպսիա');
INSERT INTO `lang_definitions` VALUES (55475, 4902, 14, 'Պոլիպ');
INSERT INTO `lang_definitions` VALUES (55476, 4903, 14, 'Պոլիուրիա');
INSERT INTO `lang_definitions` VALUES (55477, 4904, 14, 'Վատ ախորժակ');
INSERT INTO `lang_definitions` VALUES (55478, 4905, 14, 'Վատ շրջանառություն');
INSERT INTO `lang_definitions` VALUES (55479, 4906, 14, 'Վատ լսողություն');
INSERT INTO `lang_definitions` VALUES (55480, 4907, 14, 'Այս հաշվետվությունները ցուցադրելու համար անհրաժեշտ է ակտիվացնել Pop ups');
INSERT INTO `lang_definitions` VALUES (55481, 4908, 14, 'Տեղակայե՞լ իրադարձությունները տարեցույցի հետ');
INSERT INTO `lang_definitions` VALUES (55482, 4909, 14, 'Թարթող պատուհան');
INSERT INTO `lang_definitions` VALUES (55483, 4910, 14, 'Պորտալ');
INSERT INTO `lang_definitions` VALUES (55484, 4911, 14, 'Պորտալի ակտիվությունը');
INSERT INTO `lang_definitions` VALUES (55485, 4912, 14, 'Պորտալի ID');
INSERT INTO `lang_definitions` VALUES (55486, 4913, 14, 'Պորտալի ID-ն չի համապատասխանում');
INSERT INTO `lang_definitions` VALUES (55487, 4914, 14, 'Պորտալի գաղտնաբառը բացակայում է');
INSERT INTO `lang_definitions` VALUES (55488, 4915, 14, 'Պորտալի պահանջները');
INSERT INTO `lang_definitions` VALUES (55489, 4916, 14, 'Գրքային');
INSERT INTO `lang_definitions` VALUES (55490, 4917, 14, 'Պորտուգալերեն');
INSERT INTO `lang_definitions` VALUES (55491, 4918, 14, 'Պորտուգալերեն (բրազիլական)');
INSERT INTO `lang_definitions` VALUES (55492, 4919, 14, 'Պորտուգալերեն (եվրոպական)');
INSERT INTO `lang_definitions` VALUES (55493, 4920, 14, 'POS /Ծառայության Մատուցման Վայր/ կոդ');
INSERT INTO `lang_definitions` VALUES (55494, 4921, 14, 'Դիրք Պաշտոն');
INSERT INTO `lang_definitions` VALUES (55495, 4922, 14, 'Դրական');
INSERT INTO `lang_definitions` VALUES (55496, 4923, 14, 'Դրական արդյունքներ');
INSERT INTO `lang_definitions` VALUES (55497, 4925, 14, 'Ուղարկել դեպի/համար');
INSERT INTO `lang_definitions` VALUES (55498, 4926, 14, 'Քթային կաթիլներ');
INSERT INTO `lang_definitions` VALUES (55499, 4927, 14, 'Հետվճարներ');
INSERT INTO `lang_definitions` VALUES (55500, 4928, 14, 'Հետվիրահատական');
INSERT INTO `lang_definitions` VALUES (55501, 4929, 14, 'Ուղարկել հաշվառման և գրանցել որպես վճարված');
INSERT INTO `lang_definitions` VALUES (55502, 4930, 14, 'Վճարված է առ այսօր');
INSERT INTO `lang_definitions` VALUES (55503, 4931, 14, 'Վճարված է \"առ այսօր\" չի կարող այսօրվանից ավելի մեծ լինել');
INSERT INTO `lang_definitions` VALUES (55504, 4932, 14, 'Վճարել  \"առ այսօր\" պետք է ավելի մեծ լինի ֆինանսական ձևակերպման փակման օրվանից');
INSERT INTO `lang_definitions` VALUES (55505, 4933, 14, 'Հետաբորտային խնամք');
INSERT INTO `lang_definitions` VALUES (55506, 4934, 14, 'Հետաբորտային հակաբեղմնավորիչ');
INSERT INTO `lang_definitions` VALUES (55507, 4935, 14, 'Հետաբորտային խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (55508, 4936, 14, 'Հետաբորտային այցեր');
INSERT INTO `lang_definitions` VALUES (55509, 4937, 14, 'Փոստային');
INSERT INTO `lang_definitions` VALUES (55510, 4938, 14, 'Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (55511, 4939, 14, 'Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (55512, 4941, 14, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (55513, 4942, 14, 'PostCalendar-ի համակարգում');
INSERT INTO `lang_definitions` VALUES (55514, 4943, 14, 'PostCalendar-ի կատեգորիաների կարգավորում');
INSERT INTO `lang_definitions` VALUES (55515, 4944, 14, 'PostCalendar-ի գլոբալ կարգավորում');
INSERT INTO `lang_definitions` VALUES (55516, 4945, 14, 'Հրապարակված է');
INSERT INTO `lang_definitions` VALUES (55517, 4946, 14, 'Ուղարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55518, 4947, 14, 'Pos{{Պաշտոնի հապավումը}}');
INSERT INTO `lang_definitions` VALUES (55519, 4948, 14, 'Աշխատում է -ի միջոցով');
INSERT INTO `lang_definitions` VALUES (55520, 4949, 14, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (55521, 4950, 14, 'PQRI');
INSERT INTO `lang_definitions` VALUES (55522, 4951, 14, 'PQRI գրանցման ID');
INSERT INTO `lang_definitions` VALUES (55523, 4952, 14, 'PQRI գրանցման Անուն');
INSERT INTO `lang_definitions` VALUES (55524, 4953, 14, 'Պրակտիկա');
INSERT INTO `lang_definitions` VALUES (55525, 4954, 14, 'Բժշկական պրակտիկայի Default/կանխադրված կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (55526, 4955, 14, 'Բժշկական պրակտիկայի կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (55527, 4956, 14, 'Մասնակից/Կատարող');
INSERT INTO `lang_definitions` VALUES (55528, 4957, 14, 'Մասնակցության նախընտրական գնահատում');
INSERT INTO `lang_definitions` VALUES (55529, 4958, 14, 'Նախօրոք վճարել');
INSERT INTO `lang_definitions` VALUES (55530, 4959, 14, 'Կանխավճար');
INSERT INTO `lang_definitions` VALUES (55531, 4960, 14, 'Նախաաբորտային կոնսուլտացիա');
INSERT INTO `lang_definitions` VALUES (55532, 4961, 14, 'Նախաաբորտային խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (55533, 4962, 14, 'Նախընտրելի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (55534, 4963, 14, 'Նախապատվություն/Գերադասություն');
INSERT INTO `lang_definitions` VALUES (55535, 4964, 14, 'Նախապատվություններ');
INSERT INTO `lang_definitions` VALUES (55536, 4965, 14, 'Միջոցառման/իրադարձության նախընտրելի կատեգորիան');
INSERT INTO `lang_definitions` VALUES (55537, 4966, 14, 'Նախընտրելի լեզուն');
INSERT INTO `lang_definitions` VALUES (55538, 4967, 14, 'Նախընտրելի դեղատունը');
INSERT INTO `lang_definitions` VALUES (55539, 4968, 14, 'Նախընտրելի բժշկական հաստատությունը');
INSERT INTO `lang_definitions` VALUES (55540, 4969, 14, 'Հղիության թեստ');
INSERT INTO `lang_definitions` VALUES (55541, 4970, 14, 'Նախնական/սկզբնական');
INSERT INTO `lang_definitions` VALUES (55542, 4971, 14, 'Զեկույցի մեկնարկի նախապատրաստում');
INSERT INTO `lang_definitions` VALUES (55543, 4972, 14, 'Կանխավճար');
INSERT INTO `lang_definitions` VALUES (55544, 4973, 14, 'Նշանակում');
INSERT INTO `lang_definitions` VALUES (55545, 4974, 14, 'Նշանակումը հասել է իր սահմանին');
INSERT INTO `lang_definitions` VALUES (55546, 4975, 14, 'Նշանակումների թերթիկ/պատմություն');
INSERT INTO `lang_definitions` VALUES (55547, 4976, 14, 'Նշանակումների թերթիկի/պատմության ներբեռնումն հաջողվեց');
INSERT INTO `lang_definitions` VALUES (55548, 4977, 14, 'Նշանակումների պիտակ');
INSERT INTO `lang_definitions` VALUES (55549, 4978, 14, 'Նշանակումների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55550, 4979, 14, 'Նշանակումներ/դեղատոմսեր');
INSERT INTO `lang_definitions` VALUES (55551, 4980, 14, 'Նշանակում և բաշխում');
INSERT INTO `lang_definitions` VALUES (55552, 4981, 14, 'Նշանակումներ և այլ ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (55553, 4982, 14, 'Մասնագետի կողմից արված նշանակումներ և/կամ ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (55554, 4983, 14, 'Նշանակումների հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55555, 4984, 14, 'Նշանակումներ/Ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (55556, 4985, 14, 'Առկա է');
INSERT INTO `lang_definitions` VALUES (55557, 4986, 14, 'Առկա գանգատներ');
INSERT INTO `lang_definitions` VALUES (55558, 4987, 14, 'Առկա խնդիր(ներ)');
INSERT INTO `lang_definitions` VALUES (55559, 4988, 14, 'Գործարկման համար սեղմել \"Շարունակել\"');
INSERT INTO `lang_definitions` VALUES (55560, 4989, 14, 'Ենթադրյալ ախտորոշում');
INSERT INTO `lang_definitions` VALUES (55561, 4990, 14, 'Մասնագետի ենթադրյալ ախտորոշում');
INSERT INTO `lang_definitions` VALUES (55562, 4991, 14, 'Նխրդ․');
INSERT INTO `lang_definitions` VALUES (55563, 4992, 14, 'Նխրդ Բժշ/Վրբժ․ Hx');
INSERT INTO `lang_definitions` VALUES (55564, 4993, 14, 'Նախորդ ամիս (ցանկում պահպանված)');
INSERT INTO `lang_definitions` VALUES (55565, 4994, 14, 'Նախորդ տարի (ցանկում պահպանված)');
INSERT INTO `lang_definitions` VALUES (55566, 4995, 14, 'Կանխարգելիչ բուժում');
INSERT INTO `lang_definitions` VALUES (55567, 4996, 14, 'Կանխարգելիչ վերականգնում');
INSERT INTO `lang_definitions` VALUES (55568, 4998, 14, 'Միջոցառման/իրադարձության նախադիտում');
INSERT INTO `lang_definitions` VALUES (55569, 5000, 14, '-ի նախադիտում');
INSERT INTO `lang_definitions` VALUES (55570, 5001, 14, 'Նախորդ/անցած/նախկին');
INSERT INTO `lang_definitions` VALUES (55571, 5002, 14, 'Նախկին կոնսուլտացիաներ');
INSERT INTO `lang_definitions` VALUES (55572, 5003, 14, 'Նախորդ օրը');
INSERT INTO `lang_definitions` VALUES (55573, 5004, 14, 'Անցածի պատմություն/Էկրանավորում/ցուցադրում');
INSERT INTO `lang_definitions` VALUES (55574, 5005, 14, 'Նախորդ ամիս');
INSERT INTO `lang_definitions` VALUES (55575, 5006, 14, 'Նախորդ շաբաթ');
INSERT INTO `lang_definitions` VALUES (55576, 5007, 14, 'Գին');
INSERT INTO `lang_definitions` VALUES (55577, 5008, 14, 'Զեղչ');
INSERT INTO `lang_definitions` VALUES (55578, 5009, 14, 'Գնային սանդղակ');
INSERT INTO `lang_definitions` VALUES (55579, 5010, 14, 'Գնային սանդղակ։');
INSERT INTO `lang_definitions` VALUES (55580, 5011, 14, 'Գներ');
INSERT INTO `lang_definitions` VALUES (55581, 5012, 14, 'Հիմնական');
INSERT INTO `lang_definitions` VALUES (55582, 5013, 14, 'Գործունեության հիմնական տեսակը');
INSERT INTO `lang_definitions` VALUES (55583, 5014, 14, 'Իրավաբանական անձի հարկային կոդը NewCrop ePrescription-ում օգտագործվում է որպես  id։ Հաստատությունը փոփոխելը կարող է ազդել NewCropի աշխատանքին');
INSERT INTO `lang_definitions` VALUES (55584, 5022, 14, 'Հիմնական/տարրական ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (55585, 5023, 14, 'Հիմնական/տարրական ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (55586, 5024, 14, 'Հիմնական/տարրական ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55587, 5025, 14, 'Հիմնական ապահովագրող');
INSERT INTO `lang_definitions` VALUES (55588, 5027, 14, 'Տպել');
INSERT INTO `lang_definitions` VALUES (55589, 5028, 14, 'Տպել (HTML)');
INSERT INTO `lang_definitions` VALUES (55590, 5029, 14, 'Տպել  (PDF)');
INSERT INTO `lang_definitions` VALUES (55591, 5030, 14, 'Տպագրական ուղղումներ');
INSERT INTO `lang_definitions` VALUES (55592, 5031, 14, 'Տպել ցանկացած այց');
INSERT INTO `lang_definitions` VALUES (55593, 5032, 14, 'Տպել ուղեգրի նմուշ/դատարկ ձև');
INSERT INTO `lang_definitions` VALUES (55594, 5033, 14, 'Տպագրության հրաման');
INSERT INTO `lang_definitions` VALUES (55595, 5034, 14, 'Տպագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55596, 5038, 14, 'Տպել ամբողջ ցանկը');
INSERT INTO `lang_definitions` VALUES (55597, 5039, 14, 'Տպագրության ֆորմատ');
INSERT INTO `lang_definitions` VALUES (55598, 5042, 14, 'Տպել հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (55599, 5043, 14, 'Բազմակի տպագրություն');
INSERT INTO `lang_definitions` VALUES (55600, 5045, 14, 'Տպել անունը, ստորագրությունն ու ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (55601, 5046, 14, 'Տպել նշումները');
INSERT INTO `lang_definitions` VALUES (55602, 5047, 14, 'Տպել էջ 1');
INSERT INTO `lang_definitions` VALUES (55603, 5048, 14, 'Տպել էջ 2');
INSERT INTO `lang_definitions` VALUES (55604, 5049, 14, 'Տպել պացիենտի հասցեի տողը');
INSERT INTO `lang_definitions` VALUES (55605, 5051, 14, 'Տպել դեղատոմսերն ըստ նշանակողի');
INSERT INTO `lang_definitions` VALUES (55606, 5053, 14, 'Տպել ընտրված հաշվետվությունները');
INSERT INTO `lang_definitions` VALUES (55607, 5056, 14, 'Տպել սույն այցը');
INSERT INTO `lang_definitions` VALUES (55608, 5057, 14, 'Տպել սույն նշումը');
INSERT INTO `lang_definitions` VALUES (55609, 5058, 14, 'Տպել Սույն Նշումը');
INSERT INTO `lang_definitions` VALUES (55610, 5060, 14, 'ՖԱՔՍի արտածում');
INSERT INTO `lang_definitions` VALUES (55611, 5061, 14, 'Տպագրության նախնական տեսքը');
INSERT INTO `lang_definitions` VALUES (55612, 5062, 14, 'տպագրության ենթակա');
INSERT INTO `lang_definitions` VALUES (55613, 5063, 14, 'Տպագրության տարբերակ');
INSERT INTO `lang_definitions` VALUES (55614, 5064, 14, 'Տպագիր/տպագրված');
INSERT INTO `lang_definitions` VALUES (55615, 5066, 14, 'Տպագրության արդյունքներ։');
INSERT INTO `lang_definitions` VALUES (55616, 5067, 14, 'Տպագրությունը բաց թողնված է․ տես թեստային եզրակացությունը');
INSERT INTO `lang_definitions` VALUES (55617, 5068, 14, 'Տպագրությունը բաց թողնված է․ տես թեստային եզրակացությունը ');
INSERT INTO `lang_definitions` VALUES (55618, 5069, 14, 'Նախն․ լիազորություն/թույլատրություն');
INSERT INTO `lang_definitions` VALUES (55619, 5070, 14, 'Նախնական լիազորության ձև');
INSERT INTO `lang_definitions` VALUES (55620, 5071, 14, 'Նախնական այց');
INSERT INTO `lang_definitions` VALUES (55621, 5072, 14, 'Առաջնայնություն/կարևորություն');
INSERT INTO `lang_definitions` VALUES (55622, 5073, 14, 'Առաջնայնություն/կարևորություն ');
INSERT INTO `lang_definitions` VALUES (55623, 5074, 14, 'Գաղտնի');
INSERT INTO `lang_definitions` VALUES (55624, 5075, 14, 'Խնդիր');
INSERT INTO `lang_definitions` VALUES (55625, 5076, 14, 'DX խնդիր');
INSERT INTO `lang_definitions` VALUES (55626, 5077, 14, 'Խնդրացուցակ');
INSERT INTO `lang_definitions` VALUES (55627, 5078, 14, 'Խնդիրներ');
INSERT INTO `lang_definitions` VALUES (55628, 5079, 14, 'Խնդիրներ/գանգատներ');
INSERT INTO `lang_definitions` VALUES (55629, 5087, 14, 'Մարմնի հատվածային/մասնակի միջամտություն');
INSERT INTO `lang_definitions` VALUES (55630, 5088, 14, 'Միջամտության Բուլյան արդյունքներ');
INSERT INTO `lang_definitions` VALUES (55631, 5089, 14, 'Միջամտության կոդ');
INSERT INTO `lang_definitions` VALUES (55632, 5090, 14, 'Միջամտության կոդեր');
INSERT INTO `lang_definitions` VALUES (55633, 5091, 14, 'Աջլիկության/Ձախլիկության միջամտություն');
INSERT INTO `lang_definitions` VALUES (55634, 5092, 14, 'Միջամտության անվանում');
INSERT INTO `lang_definitions` VALUES (55635, 5093, 14, 'Միջամտության պատվեր/պահանջ');
INSERT INTO `lang_definitions` VALUES (55636, 5094, 14, 'Միջամտության պատվեր/պահանջ');
INSERT INTO `lang_definitions` VALUES (55637, 5095, 14, '-ի միջամտության պահանջ');
INSERT INTO `lang_definitions` VALUES (55638, 5096, 14, 'Միջամտության պատվեր/պահանջ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (55639, 5097, 14, 'Միջամտության պահանջներ և  հաշվետվություններ');
INSERT INTO `lang_definitions` VALUES (55640, 5098, 14, 'Միջամտության նշիչ/ընտրիչ');
INSERT INTO `lang_definitions` VALUES (55641, 5099, 14, 'Միջամտություն իրականացնող');
INSERT INTO `lang_definitions` VALUES (55642, 5100, 14, 'Միջամտություն Իրականացնող');
INSERT INTO `lang_definitions` VALUES (55643, 5101, 14, 'Միջամտություն Իրականացնողներ');
INSERT INTO `lang_definitions` VALUES (55644, 5102, 14, 'Միջամտության  հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (55645, 5103, 14, 'Միջամտության  հաշվետվության/զեկույցի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (55646, 5104, 14, 'Միջամտության արդյունքը նորմայից շեղված է');
INSERT INTO `lang_definitions` VALUES (55647, 5105, 14, 'Միջամտության արդյունքների կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (55648, 5106, 14, 'Միջամտության արդյունքներ');
INSERT INTO `lang_definitions` VALUES (55649, 5107, 14, 'Միջամտության ընթացքը');
INSERT INTO `lang_definitions` VALUES (55650, 5108, 14, 'Միջամտության բիոփորձարկման տեսակներ');
INSERT INTO `lang_definitions` VALUES (55651, 5109, 14, 'Միջամտության վիակագրական զեկույց');
INSERT INTO `lang_definitions` VALUES (55652, 5110, 14, 'Միջամտության տեսակ');
INSERT INTO `lang_definitions` VALUES (55653, 5111, 14, 'Միջամտության տեսակներ');
INSERT INTO `lang_definitions` VALUES (55654, 5112, 14, 'Միջամտությունների չափման միավորներ');
INSERT INTO `lang_definitions` VALUES (55655, 5113, 14, 'Միջամտություն/Ծառայություն');
INSERT INTO `lang_definitions` VALUES (55656, 5114, 14, 'Միջամտություններ');
INSERT INTO `lang_definitions` VALUES (55657, 5115, 14, 'Մշակել/Գործարկել');
INSERT INTO `lang_definitions` VALUES (55658, 5116, 14, 'Մշակել և Ուղարկել Հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (55659, 5117, 14, 'Մշակել ERA ֆայլը');
INSERT INTO `lang_definitions` VALUES (55660, 5118, 14, 'CSV գրանցումների համար մշակեք նոր ֆայլեր');
INSERT INTO `lang_definitions` VALUES (55661, 5119, 14, 'Գործընթացի հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (55662, 5120, 14, 'Գործընթացը որոշ ժամանակ կտևի');
INSERT INTO `lang_definitions` VALUES (55663, 5121, 14, 'Գործարկված/մշակված է');
INSERT INTO `lang_definitions` VALUES (55664, 5122, 14, 'Գործարկված/մշակված է -ի միջոցով');
INSERT INTO `lang_definitions` VALUES (55665, 5123, 14, 'Գործարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55666, 5124, 14, 'հաջողությամբ Գործարկված/մշակված է');
INSERT INTO `lang_definitions` VALUES (55667, 5125, 14, 'մշակվող մշակվում է');
INSERT INTO `lang_definitions` VALUES (55668, 5126, 14, 'Պացիենտի հիշեցումների մշակում և ուղարկում');
INSERT INTO `lang_definitions` VALUES (55669, 5127, 14, 'Պացիենտի հիշեցումների մշակում');
INSERT INTO `lang_definitions` VALUES (55670, 5128, 14, 'Մշակման ժամանակ');
INSERT INTO `lang_definitions` VALUES (55671, 5129, 14, 'Ապրանք/արտադրանք');
INSERT INTO `lang_definitions` VALUES (55672, 5131, 14, 'Արտադրություն');
INSERT INTO `lang_definitions` VALUES (55673, 5132, 14, 'Արտադրանք');
INSERT INTO `lang_definitions` VALUES (55674, 5133, 14, 'Ապրանքներ, բայց ոչ նշանակված դեղորայք կամ շաբլոններ');
INSERT INTO `lang_definitions` VALUES (55675, 5134, 14, 'Պրոֆ․');
INSERT INTO `lang_definitions` VALUES (55676, 5135, 14, 'Նշումներ առաջընթացի վերաբերյալ');
INSERT INTO `lang_definitions` VALUES (55677, 5136, 14, 'Շագանակագեղձի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (55678, 5137, 14, 'Շագանակագեղձի քաղցկեղի սկրինինգ/կանխարգելում');
INSERT INTO `lang_definitions` VALUES (55679, 5138, 14, 'Շագանակագեղձի քաղցկեղի հետազոտություն');
INSERT INTO `lang_definitions` VALUES (55680, 5139, 14, 'Շագանակագեղձի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (55681, 5140, 14, 'Շագանակագեղձի մեծացման, հանգուցավորման, անզգայունության բացակայություն');
INSERT INTO `lang_definitions` VALUES (55682, 5141, 14, 'Արձանագրություն');
INSERT INTO `lang_definitions` VALUES (55683, 5142, 14, 'Ապահովել/տրամադրել բացարձակ ուղի');
INSERT INTO `lang_definitions` VALUES (55684, 5143, 14, 'Ապահովել/տրամադրել բացարձակ ուղի դեպի ֆայլը');
INSERT INTO `lang_definitions` VALUES (55685, 5145, 14, 'Յուրաքանչյուր կաբինետային այցի համար տրամադրել պացիենտի լինիկական ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (55686, 5146, 14, 'Ըստ պահանջի պացիենտին տրմադրել իր առողջության մասին տեղեկագրի էլէկտրոնային կրկնօրինակը (ներառյալ ախտորոշիչ հետազոտություների արդյունքները, խնդրացանկը, դեղորայքի ցանկը, դեղերի հանդեպ գրանցված ալերգիաները)։');
INSERT INTO `lang_definitions` VALUES (55687, 5147, 14, 'EP-ում ինֆորմացիային հասանաելի լինելուց 4 աշխատանքային օրվա ընթացքում պացիենտին ժամանակին տրամադրել իր առողջական տեղեկատվության (ներառյալ լաբորատոր հետազոտության արդյունքները, խնդրացանկը, դեղորայքի ցանկը, դեղերի հանդեպ գրանցված ալերգիաները ) էլեկտրոնային հասանելիություն։');
INSERT INTO `lang_definitions` VALUES (55688, 5148, 14, 'Տրամադրել հիվանդի այցի վերաբերյալ  գրառումներ');
INSERT INTO `lang_definitions` VALUES (55689, 5149, 14, 'Տրամադրեք վավեր էլ․փոստի հասցե');
INSERT INTO `lang_definitions` VALUES (55690, 5150, 14, 'Տրամադրե՞լ բժշկական ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (55691, 5151, 14, 'Տրամադրե՞լ կրթական ռեսուրսներ');
INSERT INTO `lang_definitions` VALUES (55692, 5152, 14, 'Մասնագետ');
INSERT INTO `lang_definitions` VALUES (55693, 5153, 14, 'Մասնագետի id');
INSERT INTO `lang_definitions` VALUES (55694, 5154, 14, 'Մասնագետի ID');
INSERT INTO `lang_definitions` VALUES (55695, 5155, 14, 'Նշված Հաստատությունում Մասնագետի ID');
INSERT INTO `lang_definitions` VALUES (55696, 5156, 14, 'Մասնագետի համապատասխանության սխալ');
INSERT INTO `lang_definitions` VALUES (55697, 5159, 14, 'Մասնագետի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (55698, 5162, 14, 'Մասնագետ։');
INSERT INTO `lang_definitions` VALUES (55699, 5163, 14, 'Մասնագետներ։');
INSERT INTO `lang_definitions` VALUES (55700, 5164, 14, 'Մասնագետի  NPI');
INSERT INTO `lang_definitions` VALUES (55701, 5165, 14, 'Մասնագետները տեսնում են ողջ օրացույցը');
INSERT INTO `lang_definitions` VALUES (55702, 5167, 14, 'PSA');
INSERT INTO `lang_definitions` VALUES (55703, 5168, 14, 'Փսորիազ');
INSERT INTO `lang_definitions` VALUES (55704, 5169, 14, 'Հոգեկան ախտորոշում');
INSERT INTO `lang_definitions` VALUES (55705, 5170, 14, 'հոգեմետ դեղորայք');
INSERT INTO `lang_definitions` VALUES (55706, 5171, 14, 'Հոգեբուժական');
INSERT INTO `lang_definitions` VALUES (55707, 5172, 14, 'Հոգեբուժական հակիրճ նամակ');
INSERT INTO `lang_definitions` VALUES (55708, 5173, 14, 'Հոգեկան/հոգեբուժական ախտորոշում');
INSERT INTO `lang_definitions` VALUES (55709, 5174, 14, 'Հոգեկան/հոգեբուժական հետազոտություն');
INSERT INTO `lang_definitions` VALUES (55710, 5175, 14, 'Հոգեբուժական անամնեզ');
INSERT INTO `lang_definitions` VALUES (55711, 5176, 14, 'հոգեմետ դեղորայքի ընդունում');
INSERT INTO `lang_definitions` VALUES (55712, 5177, 14, 'Հոգեմետ Դեղորայք');
INSERT INTO `lang_definitions` VALUES (55713, 5178, 14, 'Պացիենտ /Pt %');
INSERT INTO `lang_definitions` VALUES (55714, 5179, 14, 'Պացիենտի գրառումներ');
INSERT INTO `lang_definitions` VALUES (55715, 5180, 14, 'Պացիենտի գրառումներ/Լիազոր․');
INSERT INTO `lang_definitions` VALUES (55716, 5181, 14, 'Պացիենտի գերավճար');
INSERT INTO `lang_definitions` VALUES (55717, 5182, 14, 'Պացիենտի վճարում Պացիենտը վճարել է');
INSERT INTO `lang_definitions` VALUES (55718, 5183, 14, 'Պացիենտի գրանցման պահանջ');
INSERT INTO `lang_definitions` VALUES (55719, 5184, 14, 'Պացիենտի փոխհատուցում');
INSERT INTO `lang_definitions` VALUES (55720, 5185, 14, 'Պացիենտի դուրսգրում');
INSERT INTO `lang_definitions` VALUES (55721, 5186, 14, 'Պացիենտի զեկույց');
INSERT INTO `lang_definitions` VALUES (55722, 5187, 14, 'Պացիենտն ուսանող է կամ թողնել դատարկ');
INSERT INTO `lang_definitions` VALUES (55723, 5188, 14, 'Պցտ—ՔԱՂԱՔ');
INSERT INTO `lang_definitions` VALUES (55724, 5189, 14, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (55725, 5190, 14, 'ՊԱՑ․—ԷԼ ՓՈՍՏ');
INSERT INTO `lang_definitions` VALUES (55726, 5191, 14, 'ՊԱՑ․—ԱԶԳԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (55727, 5192, 14, 'ՊԱՑ․—ՀԱՅՐԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (55728, 5193, 14, 'ՊԱՑ․—ՄԱՅՐԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (55729, 5194, 14, 'ՊԱՑ․—ՀԵՌԱԽՈՍ—ԲՋՋԱՅԻՆ');
INSERT INTO `lang_definitions` VALUES (55730, 5195, 14, 'ՊԱՑ․—ՀԵՌԱԽՈՍ—ՔԱՂԱՔԱՅԻՆ');
INSERT INTO `lang_definitions` VALUES (55731, 5196, 14, 'ՊԱՑ․— ՓՈՍՏԱՅԻՆ ԿՈԴ');
INSERT INTO `lang_definitions` VALUES (55732, 5198, 14, 'ՊԱՑ․— ՓՈՍՏԱՅԻՆ ԿՈԴ');
INSERT INTO `lang_definitions` VALUES (55733, 5199, 14, 'ՊԱՑ․— ՓՈՂՈՑ');
INSERT INTO `lang_definitions` VALUES (55734, 5201, 14, 'Հանրային/հրապաակային');
INSERT INTO `lang_definitions` VALUES (55735, 5203, 14, 'Առողջապահության նախարարություն (ԱՆ) կամ այլ պետական կառույց/կազմակերպություն');
INSERT INTO `lang_definitions` VALUES (55736, 5204, 14, 'Պուերտոռիկացի');
INSERT INTO `lang_definitions` VALUES (55737, 5205, 14, 'Թոքային');
INSERT INTO `lang_definitions` VALUES (55738, 5206, 14, 'Զարկերակ');
INSERT INTO `lang_definitions` VALUES (55739, 5207, 14, 'Փենջաբերեն');
INSERT INTO `lang_definitions` VALUES (55740, 5208, 14, 'Գնել/գնում');
INSERT INTO `lang_definitions` VALUES (55741, 5209, 14, 'Գնում/վերադարձ');
INSERT INTO `lang_definitions` VALUES (55742, 5210, 14, 'Գնումներ');
INSERT INTO `lang_definitions` VALUES (55743, 5211, 14, 'P{{Նշել վերնագիրը}}');
INSERT INTO `lang_definitions` VALUES (55744, 5212, 14, 'Pāli');
INSERT INTO `lang_definitions` VALUES (55745, 5213, 14, 'յուր․ 3 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (55746, 5214, 14, 'յուր․ 4 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (55747, 5215, 14, 'յուր․ 5 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (55748, 5216, 14, 'յուր․ 6 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (55749, 5217, 14, 'յուր․ 8 ժամը մեկ');
INSERT INTO `lang_definitions` VALUES (55750, 5218, 14, 'օրը մեկ անգամ');
INSERT INTO `lang_definitions` VALUES (55751, 5219, 14, 'օրումեջ');
INSERT INTO `lang_definitions` VALUES (55752, 5220, 14, 'QOH');
INSERT INTO `lang_definitions` VALUES (55753, 5221, 14, 'QOH-ն ամսական օգտագործումից քիչ է');
INSERT INTO `lang_definitions` VALUES (55754, 5222, 14, 'Քանակ');
INSERT INTO `lang_definitions` VALUES (55755, 5223, 14, 'ՔՆԿ․');
INSERT INTO `lang_definitions` VALUES (55756, 5224, 14, 'Որակ');
INSERT INTO `lang_definitions` VALUES (55757, 5225, 14, 'Որակի չափանիշ (CQM)');
INSERT INTO `lang_definitions` VALUES (55758, 5226, 14, 'Քանակ');
INSERT INTO `lang_definitions` VALUES (55759, 5227, 14, 'NDC Քանակ');
INSERT INTO `lang_definitions` VALUES (55760, 5228, 14, 'Առկա քանակ');
INSERT INTO `lang_definitions` VALUES (55761, 5229, 14, 'ոչ պիտանի համարվողների քանակը');
INSERT INTO `lang_definitions` VALUES (55762, 5231, 14, 'հարցական նշան');
INSERT INTO `lang_definitions` VALUES (55763, 5232, 14, 'HCFA խմբաքանակի մշակման հերթագրում');
INSERT INTO `lang_definitions` VALUES (55764, 5233, 14, 'HCFA խմբաքանակի մշակման և տպագրման հերթագրում');
INSERT INTO `lang_definitions` VALUES (55765, 5234, 14, 'UB-92 խմբաքանակի մշակման հերթագրում');
INSERT INTO `lang_definitions` VALUES (55766, 5235, 14, 'UB-92 խմբաքանակի մշակման և տպագրման հերթագրում');
INSERT INTO `lang_definitions` VALUES (55767, 5236, 14, 'հերթագրված է');
INSERT INTO `lang_definitions` VALUES (55768, 5237, 14, 'Հերթագրված միջոցառումների կառավարում');
INSERT INTO `lang_definitions` VALUES (55769, 5238, 14, 'Հերթագրված է -ի համար');
INSERT INTO `lang_definitions` VALUES (55770, 5240, 14, 'Հերթագրված պնդումների/ներկայացումների կառավարում');
INSERT INTO `lang_definitions` VALUES (55771, 5241, 14, 'Ելք');
INSERT INTO `lang_definitions` VALUES (55772, 5242, 14, 'Թողնել ալկոհոլը Նախկին ալկոհոլամոլ');
INSERT INTO `lang_definitions` VALUES (55773, 5243, 14, 'R');
INSERT INTO `lang_definitions` VALUES (55774, 5245, 14, 'Ռասսա');
INSERT INTO `lang_definitions` VALUES (55775, 5246, 14, 'Ռասսան կամ էթնիկ պատկանելիությունը');
INSERT INTO `lang_definitions` VALUES (55776, 5247, 14, 'Ռասսա/Էթնոս');
INSERT INTO `lang_definitions` VALUES (55777, 5248, 14, 'Ռադիո');
INSERT INTO `lang_definitions` VALUES (55778, 5249, 14, 'Ռադիոկոճակներ');
INSERT INTO `lang_definitions` VALUES (55779, 5251, 14, 'Միջակայք');
INSERT INTO `lang_definitions` VALUES (55780, 5252, 14, 'Ցան');
INSERT INTO `lang_definitions` VALUES (55781, 5253, 14, 'Արժեք');
INSERT INTO `lang_definitions` VALUES (55782, 5254, 14, 'Չափաբաժին');
INSERT INTO `lang_definitions` VALUES (55783, 5255, 14, 'Անավարտ հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55784, 5256, 14, 'Կրկնակի իդենտիֆիկացիա/նույնականացում');
INSERT INTO `lang_definitions` VALUES (55785, 5257, 14, 'Կրկնակի իդենտիֆիկացիայի/նույնականացման մշակումն ավարտված է');
INSERT INTO `lang_definitions` VALUES (55786, 5258, 14, 'Կրկնակի իդենտիֆիկացիայի/նույնականացման մշակումն իրականացվում  է');
INSERT INTO `lang_definitions` VALUES (55787, 5259, 14, 'Կրկնակի իդենտիֆիկացիայի/նույնականացման ֆայլերը կպահպանվեն');
INSERT INTO `lang_definitions` VALUES (55788, 5260, 14, 'Կրկնակի վնասվա՞ծք է');
INSERT INTO `lang_definitions` VALUES (55789, 5261, 14, 'Վերաբացել');
INSERT INTO `lang_definitions` VALUES (55790, 5262, 14, 'Վերաբացված');
INSERT INTO `lang_definitions` VALUES (55791, 5263, 14, 'Ռեակցիա/փոխազդեցություն/հակազդեցություն');
INSERT INTO `lang_definitions` VALUES (55792, 5264, 14, 'Ռեակցիաներ/փոխազդեցություններ/հակազդեցություններ');
INSERT INTO `lang_definitions` VALUES (55793, 5265, 14, 'Կարդալ');
INSERT INTO `lang_definitions` VALUES (55794, 5267, 14, 'Միայն կարդալ Հիվ․ Պատմությունից');
INSERT INTO `lang_definitions` VALUES (55795, 5268, 14, 'Իրական անվանումը');
INSERT INTO `lang_definitions` VALUES (55796, 5269, 14, 'Իսկապես ջնջել');
INSERT INTO `lang_definitions` VALUES (55797, 5270, 14, 'Պատճառ');
INSERT INTO `lang_definitions` VALUES (55798, 5271, 14, 'Մահվան պատճառը');
INSERT INTO `lang_definitions` VALUES (55799, 5272, 14, 'Մահվան պատճառը');
INSERT INTO `lang_definitions` VALUES (55800, 5274, 14, 'Ուղեգրի պատճառը');
INSERT INTO `lang_definitions` VALUES (55801, 5275, 14, 'Այցի պատճառը');
INSERT INTO `lang_definitions` VALUES (55802, 5276, 14, 'Պատճառ/Ձև');
INSERT INTO `lang_definitions` VALUES (55803, 5277, 14, 'Կտրոն');
INSERT INTO `lang_definitions` VALUES (55804, 5278, 14, 'Վճարման կտրոն/անդորրագիր');
INSERT INTO `lang_definitions` VALUES (55805, 5279, 14, 'Կտրոնը/անդորրագիրը պատրաստ է');
INSERT INTO `lang_definitions` VALUES (55806, 5280, 14, 'Կտրոններ/անդորրագրեր ըստ վճարման տեսակի զեկույցի');
INSERT INTO `lang_definitions` VALUES (55807, 5281, 14, 'Մուտքերի ամփոփագիր');
INSERT INTO `lang_definitions` VALUES (55808, 5282, 14, 'Ստացված է');
INSERT INTO `lang_definitions` VALUES (55809, 5283, 14, 'Ստացված է -ով');
INSERT INTO `lang_definitions` VALUES (55810, 5284, 14, 'Ստացված է ՖԱՔՍ-ով');
INSERT INTO `lang_definitions` VALUES (55811, 5285, 14, 'Ստացված է, վերանայված չէ');
INSERT INTO `lang_definitions` VALUES (55812, 5286, 14, 'Ստացված, չվերանայված');
INSERT INTO `lang_definitions` VALUES (55813, 5287, 14, 'Ստացող');
INSERT INTO `lang_definitions` VALUES (55814, 5288, 14, 'Ստացողի ID');
INSERT INTO `lang_definitions` VALUES (55815, 5289, 14, 'Ստացողի ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (55816, 5290, 14, 'Ստացողի ID որոշիչ (ISA07)');
INSERT INTO `lang_definitions` VALUES (55817, 5291, 14, 'Ստացողի ID-ներ');
INSERT INTO `lang_definitions` VALUES (55818, 5292, 14, 'Վերջին երեք գաղտնաբառերը թույլատրելի չեն');
INSERT INTO `lang_definitions` VALUES (55819, 5293, 14, 'Ստացող');
INSERT INTO `lang_definitions` VALUES (55820, 5294, 14, 'Ստացողների ցանկը դատարկ է');
INSERT INTO `lang_definitions` VALUES (55821, 5295, 14, 'Ստացողի անունը');
INSERT INTO `lang_definitions` VALUES (55822, 5296, 14, 'Տեղեկատվություն ստացողը');
INSERT INTO `lang_definitions` VALUES (55823, 5297, 14, 'Մինչև կարգավիակը ավարտուն լինելը պահանջվում է ստացողի տվյալներ');
INSERT INTO `lang_definitions` VALUES (55824, 5298, 14, 'Երաշխավորություն/Խորհրդատվություն');
INSERT INTO `lang_definitions` VALUES (55825, 5299, 14, 'Խորհրդատվություն հետագա այցերի մասին');
INSERT INTO `lang_definitions` VALUES (55826, 5300, 14, 'Խորհրդատվություն և բուժում');
INSERT INTO `lang_definitions` VALUES (55827, 5301, 14, 'Խորհրդներ և բուժում');
INSERT INTO `lang_definitions` VALUES (55828, 5302, 14, 'Մասնագետի կողմից տրված խորհուրդներ');
INSERT INTO `lang_definitions` VALUES (55829, 5303, 14, 'Գրանցել');
INSERT INTO `lang_definitions` VALUES (55830, 5304, 14, 'Գրանցում արդեն գոյություն ունի');
INSERT INTO `lang_definitions` VALUES (55831, 5310, 14, 'Կատարել գրանցումներ կամ փոփոխություններ կենսական նշանակություն ունեցող ցուցանիշներում');
INSERT INTO `lang_definitions` VALUES (55832, 5311, 14, 'Անձնական/ազգագրական տվյալների գրանցում');
INSERT INTO `lang_definitions` VALUES (55833, 5312, 14, 'Տեղեկության բացահայտում/հրապարակում');
INSERT INTO `lang_definitions` VALUES (55834, 5313, 14, 'Համապատասխանության/պիտանիության մասին գրանցում');
INSERT INTO `lang_definitions` VALUES (55835, 5314, 14, 'Վճարման գրանցում');
INSERT INTO `lang_definitions` VALUES (55836, 5315, 14, 'Գրանցման պահանջի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55837, 5316, 14, 'Գրանցել 13 և բարձր տարիքի պացիենտների՝ ծխողի կարգավիակը');
INSERT INTO `lang_definitions` VALUES (55838, 5317, 14, 'Գրանցումներ');
INSERT INTO `lang_definitions` VALUES (55839, 5318, 14, 'գտնվել են գրանցումներ');
INSERT INTO `lang_definitions` VALUES (55840, 5319, 14, 'գտնվել են գրանցումներ');
INSERT INTO `lang_definitions` VALUES (55841, 5320, 14, 'Հանգստացնող դեղորայքի/հակադեպրեսանտների կիրառում');
INSERT INTO `lang_definitions` VALUES (55842, 5321, 14, 'Հանգստացնող դեղորայքի/հակադեպրեսանտներ');
INSERT INTO `lang_definitions` VALUES (55843, 5322, 14, 'Հետանցքային/ուղիղ աղու');
INSERT INTO `lang_definitions` VALUES (55844, 5323, 14, 'Հետանցքային/ուղիղ աղու հետազոտում');
INSERT INTO `lang_definitions` VALUES (55845, 5324, 14, 'Հետանցքային/ուղիղ աղու');
INSERT INTO `lang_definitions` VALUES (55846, 5325, 14, 'Վերաուղղորդում');
INSERT INTO `lang_definitions` VALUES (55847, 5326, 14, 'Կարմրություն');
INSERT INTO `lang_definitions` VALUES (55848, 5327, 14, 'կրճատված է');
INSERT INTO `lang_definitions` VALUES (55849, 5328, 14, 'Հղել');
INSERT INTO `lang_definitions` VALUES (55850, 5329, 14, 'Հղել -ով');
INSERT INTO `lang_definitions` VALUES (55851, 5330, 14, 'Հղման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55852, 5331, 14, 'Հղել -ին');
INSERT INTO `lang_definitions` VALUES (55853, 5332, 14, 'Քաղվածքի/տեղեկանքի դասակարգում (ռիսկային մակարդակը)');
INSERT INTO `lang_definitions` VALUES (55854, 5334, 14, 'Տեղեկանքի նպատակը');
INSERT INTO `lang_definitions` VALUES (55855, 5335, 14, 'Տեղեկանք տրամադրող');
INSERT INTO `lang_definitions` VALUES (55856, 5336, 14, 'Տեղեկանք տրամադրողի ազգանուն և ստորագություն');
INSERT INTO `lang_definitions` VALUES (55857, 5337, 14, 'Ուղեգիր');
INSERT INTO `lang_definitions` VALUES (55858, 5338, 14, 'Ուղեգիր -ով');
INSERT INTO `lang_definitions` VALUES (55859, 5339, 14, 'Ուղեգրի կտրոն');
INSERT INTO `lang_definitions` VALUES (55860, 5340, 14, 'Ուղեգրի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55861, 5341, 14, 'Ուղեգրի ձև');
INSERT INTO `lang_definitions` VALUES (55862, 5342, 14, 'ՈՒՂԵԳՐԻ  ՁԵՎ');
INSERT INTO `lang_definitions` VALUES (55863, 5343, 14, 'Ուղեգրի ID');
INSERT INTO `lang_definitions` VALUES (55864, 5345, 14, 'Ուղեգրի հիմքը/աղբյուրը');
INSERT INTO `lang_definitions` VALUES (55865, 5346, 14, 'Ուղեգրի հիմքը/աղբյուրը այցի համար');
INSERT INTO `lang_definitions` VALUES (55866, 5347, 14, 'Ուղեգիր -ին');
INSERT INTO `lang_definitions` VALUES (55867, 5348, 14, 'Ուղեգրեր');
INSERT INTO `lang_definitions` VALUES (55868, 5349, 14, 'Ուղեգրերի վերաբերյալ հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (55869, 5350, 14, 'Ուղեգրված է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (55870, 5351, 14, 'Ուղեգրված է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (55871, 5352, 14, 'Ուղեգրված է -ին');
INSERT INTO `lang_definitions` VALUES (55872, 5353, 14, 'Ուղեգրող կողմ');
INSERT INTO `lang_definitions` VALUES (55873, 5354, 14, 'Ուղեգրող կողմի հասցե');
INSERT INTO `lang_definitions` VALUES (55874, 5355, 14, 'Ուղեգրողի ախտորոշումը Ախտորոշումն ուղեգրելիս');
INSERT INTO `lang_definitions` VALUES (55875, 5356, 14, 'Ուղեգրողի ախտորոշումը Ախտորոշումն ուղեգրելիս');
INSERT INTO `lang_definitions` VALUES (55876, 5357, 14, 'Ուղեգրող բժիշկն ու ոլորտը');
INSERT INTO `lang_definitions` VALUES (55877, 5358, 14, 'Ուղեգրող բժիշկ');
INSERT INTO `lang_definitions` VALUES (55878, 5359, 14, 'Վերալրացնել Կրկին լրացրեք');
INSERT INTO `lang_definitions` VALUES (55879, 5360, 14, 'Լրացվում է');
INSERT INTO `lang_definitions` VALUES (55880, 5361, 14, 'Լրացվում է');
INSERT INTO `lang_definitions` VALUES (55881, 5362, 14, 'Նորմալ/բնական ռեֆլեքս');
INSERT INTO `lang_definitions` VALUES (55882, 5363, 14, 'Թարմացնել');
INSERT INTO `lang_definitions` VALUES (55883, 5365, 14, 'Թարմացնել հիշեցումները');
INSERT INTO `lang_definitions` VALUES (55884, 5368, 14, 'Հրապարակման մերժում');
INSERT INTO `lang_definitions` VALUES (55885, 5369, 14, 'reg_re');
INSERT INTO `lang_definitions` VALUES (55886, 5370, 14, 'գրանցել');
INSERT INTO `lang_definitions` VALUES (55887, 5371, 14, 'գրանցել');
INSERT INTO `lang_definitions` VALUES (55888, 5372, 14, 'Գրանցված');
INSERT INTO `lang_definitions` VALUES (55889, 5373, 14, 'Գրանցված');
INSERT INTO `lang_definitions` VALUES (55890, 5374, 14, 'Գրանցված մոդուլներ');
INSERT INTO `lang_definitions` VALUES (55891, 5375, 14, 'Գրանցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55892, 5376, 14, 'Գրանցման ձև');
INSERT INTO `lang_definitions` VALUES (55893, 5377, 14, 'Վերականգնում');
INSERT INTO `lang_definitions` VALUES (55894, 5379, 14, 'Մերժված');
INSERT INTO `lang_definitions` VALUES (55895, 5380, 14, 'ռեցիդիվ ներուժը');
INSERT INTO `lang_definitions` VALUES (55896, 5381, 14, 'կապված -ի հետ -ով պայմանավորված');
INSERT INTO `lang_definitions` VALUES (55897, 5382, 14, 'կապված/պայմանավորված/առնչվող');
INSERT INTO `lang_definitions` VALUES (55898, 5383, 14, 'Առնչվող հարց');
INSERT INTO `lang_definitions` VALUES (55899, 5384, 14, 'Առնչվող Պացիենտի գրառումներ');
INSERT INTO `lang_definitions` VALUES (55900, 5385, 14, 'Հարազատ(ներ) / երեխաներ');
INSERT INTO `lang_definitions` VALUES (55901, 5386, 14, 'Հարազատներ');
INSERT INTO `lang_definitions` VALUES (55902, 5387, 14, 'Բարեկամական կապ');
INSERT INTO `lang_definitions` VALUES (55903, 5388, 14, 'Սույն հաստատության կազմակերպական կառուցվածքը');
INSERT INTO `lang_definitions` VALUES (55904, 5389, 14, 'Հարազատներ');
INSERT INTO `lang_definitions` VALUES (55905, 5391, 14, 'Ուղեկցվող/գենետիկ քաղցկեղային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (55906, 5392, 14, 'Ուղեկցվող/գենետիկ շաքարային դիաբետ');
INSERT INTO `lang_definitions` VALUES (55907, 5393, 14, 'Ուղեկցվող/գենետիկ էպիլեպսիա');
INSERT INTO `lang_definitions` VALUES (55908, 5394, 14, 'Ուղեկցվող/գենետիկ սրտային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (55909, 5395, 14, 'Ուղեկցվող/գենետիկ մտավոր խնդիրներ');
INSERT INTO `lang_definitions` VALUES (55910, 5396, 14, 'Ուղեկցվող/գենետիկ կաթված/ինսուլտ');
INSERT INTO `lang_definitions` VALUES (55911, 5397, 14, 'ինքնասպանություն');
INSERT INTO `lang_definitions` VALUES (55912, 5398, 14, 'Ուղեկցվող/գենետիկ պալարախտ/տուբերկուլյոզ');
INSERT INTO `lang_definitions` VALUES (55913, 5399, 14, 'Relay Health լիազորությունը/հասանելիությունը բացակայում է սույն օգտվողի հաշվից');
INSERT INTO `lang_definitions` VALUES (55914, 5400, 14, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (55915, 5402, 14, 'Թողարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55916, 5403, 14, 'Կրոն');
INSERT INTO `lang_definitions` VALUES (55917, 5406, 14, 'Կրկին մուտք գոծեք');
INSERT INTO `lang_definitions` VALUES (55918, 5407, 14, 'Հիշեցում');
INSERT INTO `lang_definitions` VALUES (55919, 5408, 14, 'Հիշել ընտրված հաստատությունը/բաղադրիչը');
INSERT INTO `lang_definitions` VALUES (55920, 5409, 14, 'Հիշեցում');
INSERT INTO `lang_definitions` VALUES (55921, 5410, 14, 'Հիշեցումների միջակայք');
INSERT INTO `lang_definitions` VALUES (55922, 5411, 14, 'Հիշեցումը դեռևս ուղարկված չէ');
INSERT INTO `lang_definitions` VALUES (55923, 5412, 14, 'Հիշեցումն  ուղարկված է');
INSERT INTO `lang_definitions` VALUES (55924, 5413, 14, 'Հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (55925, 5414, 14, 'Տեղափոխել դեպի');
INSERT INTO `lang_definitions` VALUES (55926, 5416, 14, 'Ջնջել');
INSERT INTO `lang_definitions` VALUES (55927, 5419, 14, 'Ջնջել խումբը');
INSERT INTO `lang_definitions` VALUES (55928, 5420, 14, 'Ջնջել խմբի ձևը');
INSERT INTO `lang_definitions` VALUES (55929, 5421, 14, 'Հեռացնում է պատվաստումների աջակցությունը');
INSERT INTO `lang_definitions` VALUES (55930, 5422, 14, 'Հեռացնում է  phpMyAdmin աջակցությունը');
INSERT INTO `lang_definitions` VALUES (55931, 5423, 14, 'Հեռացնում է դեղատոմսերի աջակցությունը');
INSERT INTO `lang_definitions` VALUES (55932, 5426, 14, 'Երիկամային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (55933, 5427, 14, 'Վերանվանել');
INSERT INTO `lang_definitions` VALUES (55934, 5428, 14, 'Վերանվանել խումբը');
INSERT INTO `lang_definitions` VALUES (55935, 5429, 14, 'Արտածում/մեկնաբանում');
INSERT INTO `lang_definitions` VALUES (55936, 5430, 14, 'Մեկնաբանող բժիշկ');
INSERT INTO `lang_definitions` VALUES (55937, 5431, 14, 'Մեկնաբանող բժշկի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (55938, 5432, 14, 'Վերանշանակել/վերադասավորել');
INSERT INTO `lang_definitions` VALUES (55939, 5433, 14, 'Վերանշանակել -ում');
INSERT INTO `lang_definitions` VALUES (55940, 5436, 14, 'Կրկ․');
INSERT INTO `lang_definitions` VALUES (55941, 5437, 14, 'Կրկնել նոր գաղտնաբառը');
INSERT INTO `lang_definitions` VALUES (55942, 5438, 14, 'Կրկնվող իրադարձություն');
INSERT INTO `lang_definitions` VALUES (55943, 5439, 14, 'Կրկնվող ինֆորմ։');
INSERT INTO `lang_definitions` VALUES (55944, 5440, 14, 'Կրկնվում է');
INSERT INTO `lang_definitions` VALUES (55945, 5441, 14, 'ՓՈԽԱՐԻՆԵԼ');
INSERT INTO `lang_definitions` VALUES (55946, 5442, 14, 'Փոխարինել ողջ կոդերը');
INSERT INTO `lang_definitions` VALUES (55947, 5443, 14, 'Փոխարինված է');
INSERT INTO `lang_definitions` VALUES (55948, 5444, 14, 'Պատասխանի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55949, 5445, 14, '-ից պատասխան');
INSERT INTO `lang_definitions` VALUES (55950, 5446, 14, 'Հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (55951, 5447, 14, 'Զեկույց - կլինիկական');
INSERT INTO `lang_definitions` VALUES (55952, 5449, 14, '-ի զեկույց');
INSERT INTO `lang_definitions` VALUES (55953, 5451, 14, 'Զեկույցի ավարտը   (Բուժումից հրաժարման ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (55954, 5452, 14, 'Զեկույցն ուղարկվել է պացիենտին');
INSERT INTO `lang_definitions` VALUES (55955, 5453, 14, 'Զեկուցել անամնեզը/արդյունքները');
INSERT INTO `lang_definitions` VALUES (55956, 5454, 14, 'Զեկուցել  արդյունքները');
INSERT INTO `lang_definitions` VALUES (55957, 5455, 14, 'Զեկուցել  արդյունքները/անամնեզը');
INSERT INTO `lang_definitions` VALUES (55958, 5456, 14, 'Զեկույցի սկիզբ/մեկնարկ (բուժման ենթադրյալ  ամսաթիվ)');
INSERT INTO `lang_definitions` VALUES (55959, 5457, 14, 'Զեկույցի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (55960, 5458, 14, 'Ընդամենը զեկույցներ');
INSERT INTO `lang_definitions` VALUES (55961, 5459, 14, 'Զեկույց/ձև');
INSERT INTO `lang_definitions` VALUES (55962, 5461, 14, 'Զեկուցված');
INSERT INTO `lang_definitions` VALUES (55963, 5462, 14, 'Զեկուցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55964, 5463, 14, 'Զեկույցներ');
INSERT INTO `lang_definitions` VALUES (55965, 5465, 14, 'Պահանջի նկարագրություն');
INSERT INTO `lang_definitions` VALUES (55966, 5466, 14, 'Պահանջի ID բացակայում է');
INSERT INTO `lang_definitions` VALUES (55967, 5467, 14, 'Հարցումը մերժվել է․ պահանջի մշակումն ընթացքի մեջ է');
INSERT INTO `lang_definitions` VALUES (55968, 5469, 14, 'Պահանջի/հարցման կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (55969, 5470, 14, 'Պահանջի/հարցման տեսակը');
INSERT INTO `lang_definitions` VALUES (55970, 5471, 14, 'Պահանջի/հարցման տեսակը չի իրականացվել');
INSERT INTO `lang_definitions` VALUES (55971, 5472, 14, 'Պահնջված է-ի կողմից');
INSERT INTO `lang_definitions` VALUES (55972, 5473, 14, 'Պահնաջի /հարցման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (55973, 5474, 14, 'Պահանջված ծառայություն');
INSERT INTO `lang_definitions` VALUES (55974, 5475, 14, 'Պահանջվում է ուժեղ/ապահով գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55975, 5476, 14, 'Պահանջվում է եզակի գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (55976, 5477, 14, 'Պարտադիր է');
INSERT INTO `lang_definitions` VALUES (55977, 5478, 14, 'Պարտադիր հավելավճար');
INSERT INTO `lang_definitions` VALUES (55978, 5479, 14, 'Պարտադիր դաշտ է դատարկ․ բեռնման համար ընտրել EDI-271');
INSERT INTO `lang_definitions` VALUES (55979, 5480, 14, 'Պարտադիր դաշտ է դատարկ․ մուտքագրել անունը');
INSERT INTO `lang_definitions` VALUES (55980, 5481, 14, 'Պարտադիր դաշտ է դատարկ․ մուտքագրել ազգանունը');
INSERT INTO `lang_definitions` VALUES (55981, 5482, 14, 'Պարտադիր դաշտ է դատարկ․ մուտքագրել օգտվողի անունը');
INSERT INTO `lang_definitions` VALUES (55982, 5483, 14, 'Պարտադիր դաշտեր');
INSERT INTO `lang_definitions` VALUES (55983, 5484, 14, 'Պահանջներ');
INSERT INTO `lang_definitions` VALUES (55984, 5485, 14, 'ԶԲԱՂՎԱԾ Է');
INSERT INTO `lang_definitions` VALUES (55985, 5486, 14, 'Զբաղված է');
INSERT INTO `lang_definitions` VALUES (55986, 5487, 14, 'Զբաղեցրած է  օգտագործման նպատակով՝  նախատեսվող արձակուրդ սահմանելու համար');
INSERT INTO `lang_definitions` VALUES (55987, 5488, 14, 'Զբաղեցրած է՝  մասնագետի մոտ այցերի գրանցումների անհասանելություն սահմանելու/որոշելու  համար');
INSERT INTO `lang_definitions` VALUES (55988, 5489, 14, 'Զբաղված է՝ որոշելու, թե երբ  միջոցառումը չի կատարվում ըստ նախատեսվածի');
INSERT INTO `lang_definitions` VALUES (55989, 5490, 14, 'Զբաղեցրած է՝  այդուհետ մասնագետի մոտ այցերի գրանցումների հասանելություն սահմանելու/որոշելու  համար');
INSERT INTO `lang_definitions` VALUES (55990, 5491, 14, 'Վերակայել/հետադարձել');
INSERT INTO `lang_definitions` VALUES (55991, 5492, 14, 'Զրոյացնել/Վերակայել/հետադարձել Offsite պորտալի հասանելիության պարամետրերը');
INSERT INTO `lang_definitions` VALUES (55992, 5493, 14, 'Զրոյացնել/Վերակայել/հետադարձել Onsite պորտալի հասանելիության պարամետրերը');
INSERT INTO `lang_definitions` VALUES (55993, 5495, 14, 'Resn');
INSERT INTO `lang_definitions` VALUES (55994, 5496, 14, 'Լուծված է');
INSERT INTO `lang_definitions` VALUES (55995, 5497, 14, 'Շնչառություն');
INSERT INTO `lang_definitions` VALUES (55996, 5499, 14, 'Շնչական/շնչառական համակարգ');
INSERT INTO `lang_definitions` VALUES (55997, 5504, 14, 'Արդյունք');
INSERT INTO `lang_definitions` VALUES (55998, 5505, 14, 'Արդյունքի անվանում');
INSERT INTO `lang_definitions` VALUES (55999, 5506, 14, 'Արդյունքի կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (56000, 5507, 14, 'Արդյունքի կարգավիճակը կամ նորմայից շեղումը բացակայում է');
INSERT INTO `lang_definitions` VALUES (56001, 5509, 14, 'Արդյունքներ');
INSERT INTO `lang_definitions` VALUES (56002, 5510, 14, 'Արդյունքներ և');
INSERT INTO `lang_definitions` VALUES (56003, 5511, 14, 'Գտնվել են հետևյալ արդյունքները');
INSERT INTO `lang_definitions` VALUES (56004, 5512, 14, 'Արդյունքների խումբ');
INSERT INTO `lang_definitions` VALUES (56005, 5513, 14, 'Միայն արդյունքները');
INSERT INTO `lang_definitions` VALUES (56006, 5515, 14, 'Արդյունքների էջադրում');
INSERT INTO `lang_definitions` VALUES (56007, 5516, 14, 'Արդյունքներ/մանրամասներ');
INSERT INTO `lang_definitions` VALUES (56008, 5517, 14, 'Աչքի ցանցաթաղանթի զննություն');
INSERT INTO `lang_definitions` VALUES (56009, 5518, 14, 'Իրավունքի չեղարկում');
INSERT INTO `lang_definitions` VALUES (56010, 5519, 14, 'Հետ վերադարձ');
INSERT INTO `lang_definitions` VALUES (56011, 5520, 14, 'Ձեր կատարած վճարման վերոնշյալ մասի վերադարձ');
INSERT INTO `lang_definitions` VALUES (56012, 5521, 14, 'Վերադառնալ օրացույցին');
INSERT INTO `lang_definitions` VALUES (56013, 5522, 14, 'Վերադառնալ զեկույցի արդյունքներին');
INSERT INTO `lang_definitions` VALUES (56014, 5527, 14, 'Վերադարձնել արժեք/նշանակություն');
INSERT INTO `lang_definitions` VALUES (56015, 5528, 14, 'Վերադարձնել այցը');
INSERT INTO `lang_definitions` VALUES (56016, 5529, 14, 'Նորից գործարկել/կատարել');
INSERT INTO `lang_definitions` VALUES (56017, 5530, 14, 'Նախկին երեք գաղտնաբառերի կիրառումն արգելվում է');
INSERT INTO `lang_definitions` VALUES (56018, 5531, 14, 'Ստուգում/Վերանայում');
INSERT INTO `lang_definitions` VALUES (56019, 5532, 14, 'Ստուգել/Վերանայել և հաստատել');
INSERT INTO `lang_definitions` VALUES (56020, 5534, 14, 'PMH ստուգում/վերանայում։');
INSERT INTO `lang_definitions` VALUES (56021, 5535, 14, 'Համակարգերի ստուգում/վերանայում։');
INSERT INTO `lang_definitions` VALUES (56022, 5536, 14, 'Համակարգերի ստուգման վերանայում');
INSERT INTO `lang_definitions` VALUES (56023, 5537, 14, 'Ստուգված/Վերնայված է');
INSERT INTO `lang_definitions` VALUES (56024, 5538, 14, 'Վերանայում');
INSERT INTO `lang_definitions` VALUES (56025, 5539, 14, 'Ռևմատոիդ արթրիտ');
INSERT INTO `lang_definitions` VALUES (56026, 5540, 14, 'Ռևմատոիդ արթրիտ');
INSERT INTO `lang_definitions` VALUES (56027, 5541, 14, 'Աջ');
INSERT INTO `lang_definitions` VALUES (56028, 5542, 14, 'Աջ ականջ');
INSERT INTO `lang_definitions` VALUES (56029, 5543, 14, 'Աջ ականջ');
INSERT INTO `lang_definitions` VALUES (56030, 5544, 14, 'Աջ լուսանցք (մմ)');
INSERT INTO `lang_definitions` VALUES (56031, 5545, 14, 'Աջ։');
INSERT INTO `lang_definitions` VALUES (56032, 5546, 14, 'Աղմուկ ականջներում');
INSERT INTO `lang_definitions` VALUES (56033, 5547, 14, 'Աղմուկ ականջներում');
INSERT INTO `lang_definitions` VALUES (56034, 5549, 14, 'Ռիսկի գործոն');
INSERT INTO `lang_definitions` VALUES (56035, 5550, 14, 'Ռիսկային մակարդակ');
INSERT INTO `lang_definitions` VALUES (56036, 5551, 14, 'Աջ ստորին վերջույթ։');
INSERT INTO `lang_definitions` VALUES (56037, 5552, 14, 'ROM');
INSERT INTO `lang_definitions` VALUES (56038, 5553, 14, 'Ռումիներեն');
INSERT INTO `lang_definitions` VALUES (56039, 5554, 14, 'Ռումինացի');
INSERT INTO `lang_definitions` VALUES (56040, 5560, 14, 'Հերթապահության ցուցակ');
INSERT INTO `lang_definitions` VALUES (56041, 5561, 14, 'Ուղեգիծ ընթացք');
INSERT INTO `lang_definitions` VALUES (56042, 5562, 14, 'Ադմինիստրացիայի ուղեգիծը, եթե այդպիսին կա');
INSERT INTO `lang_definitions` VALUES (56043, 5563, 14, 'Ներկայացված է');
INSERT INTO `lang_definitions` VALUES (56044, 5564, 14, 'Տողեր');
INSERT INTO `lang_definitions` VALUES (56045, 5568, 14, 'Կանոն');
INSERT INTO `lang_definitions` VALUES (56046, 5569, 14, 'Ավելացնել կանոն');
INSERT INTO `lang_definitions` VALUES (56047, 5570, 14, 'Կանոնի մանրամասներ');
INSERT INTO `lang_definitions` VALUES (56048, 5572, 14, 'Խմբագրել կանոնը');
INSERT INTO `lang_definitions` VALUES (56049, 5575, 14, 'Սահմանված կանոններ');
INSERT INTO `lang_definitions` VALUES (56050, 5578, 14, 'Կանոններ');
INSERT INTO `lang_definitions` VALUES (56051, 5580, 14, 'Կանոնների կոնֆիգուրացիա');
INSERT INTO `lang_definitions` VALUES (56052, 5581, 14, 'Կատարվող/իրականացվող հրաման ');
INSERT INTO `lang_definitions` VALUES (56053, 5582, 14, 'Պատռվածք');
INSERT INTO `lang_definitions` VALUES (56054, 5583, 14, 'Ռուսերեն');
INSERT INTO `lang_definitions` VALUES (56055, 5586, 14, 'Rx ստորին լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (56056, 5587, 14, 'Rx թույլատրում է DEA #');
INSERT INTO `lang_definitions` VALUES (56057, 5588, 14, 'Rx թույլատրում է NPI');
INSERT INTO `lang_definitions` VALUES (56058, 5589, 14, 'Rx թույլատրում է պետ․ լից. #');
INSERT INTO `lang_definitions` VALUES (56059, 5590, 14, 'Rx ձախ լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (56060, 5591, 14, 'Rx թղթի չափ');
INSERT INTO `lang_definitions` VALUES (56061, 5592, 14, 'Rx աջ լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (56062, 5593, 14, 'Rx ցուցադրում է DEA #');
INSERT INTO `lang_definitions` VALUES (56063, 5594, 14, 'Rx ցուցադրում է NPI');
INSERT INTO `lang_definitions` VALUES (56064, 5595, 14, 'Rx ցուցադրում է պետ․ լից. #');
INSERT INTO `lang_definitions` VALUES (56065, 5596, 14, 'Rx վերին լուսանցք (px)');
INSERT INTO `lang_definitions` VALUES (56066, 5597, 14, 'RXCUI Դեղորայք');
INSERT INTO `lang_definitions` VALUES (56067, 5598, 14, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (56068, 5599, 14, 'RxNorm տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (56069, 5600, 14, 'S');
INSERT INTO `lang_definitions` VALUES (56070, 5601, 14, 'S.S.');
INSERT INTO `lang_definitions` VALUES (56071, 5602, 14, 'S3:');
INSERT INTO `lang_definitions` VALUES (56072, 5603, 14, 'S4:');
INSERT INTO `lang_definitions` VALUES (56073, 5604, 14, 'SA  *  * Լիցենզիան կարդալու համար կարդալ փաստաթղթերը/license.txt կամ այցելել  * http://www.gnu.org/copyleft/gpl.html  *  */  //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (56074, 5605, 14, 'ապրանքաշրջանառություն');
INSERT INTO `lang_definitions` VALUES (56075, 5606, 14, 'ապրանքաշրջանառություն');
INSERT INTO `lang_definitions` VALUES (56076, 5607, 14, 'ապրանքաշրջանառություն ըստ կետերի');
INSERT INTO `lang_definitions` VALUES (56077, 5608, 14, 'Վաառք/ապրանքաշրջանառություն ըստ ապրանքների հաշվետվության');
INSERT INTO `lang_definitions` VALUES (56078, 5609, 14, 'Թուք');
INSERT INTO `lang_definitions` VALUES (56079, 5610, 14, 'Նույն օրը');
INSERT INTO `lang_definitions` VALUES (56080, 5611, 14, 'Սամոերեն');
INSERT INTO `lang_definitions` VALUES (56081, 5612, 14, 'Օրինակ');
INSERT INTO `lang_definitions` VALUES (56082, 5613, 14, 'Տույժի տեսակը');
INSERT INTO `lang_definitions` VALUES (56083, 5614, 14, 'Սանգո');
INSERT INTO `lang_definitions` VALUES (56084, 5615, 14, 'Սանսկրիտ (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (56085, 5617, 14, 'Շբթ․');
INSERT INTO `lang_definitions` VALUES (56086, 5618, 14, 'Շբթ &amp; Կիր');
INSERT INTO `lang_definitions` VALUES (56087, 5619, 14, 'Շաբաթ');
INSERT INTO `lang_definitions` VALUES (56088, 5620, 14, 'Պահպանել');
INSERT INTO `lang_definitions` VALUES (56089, 5621, 14, 'ՊԱՀՊԱՆԵԼ');
INSERT INTO `lang_definitions` VALUES (56090, 5622, 14, 'Պահպանել և փակել');
INSERT INTO `lang_definitions` VALUES (56091, 5623, 14, 'Պահպանել և հեռացնել պահանջը/հարցումը');
INSERT INTO `lang_definitions` VALUES (56092, 5624, 14, 'Պահպանել և բաշխել');
INSERT INTO `lang_definitions` VALUES (56093, 5625, 14, 'Պահպանել եւ փոխանցել');
INSERT INTO `lang_definitions` VALUES (56094, 5626, 14, 'Պահպանել որպես նոր');
INSERT INTO `lang_definitions` VALUES (56095, 5627, 14, 'Պահպանել որպես նոր գրանցում');
INSERT INTO `lang_definitions` VALUES (56096, 5628, 14, 'Պահպանել վկայականի կարգավորումները');
INSERT INTO `lang_definitions` VALUES (56097, 5629, 14, 'Պահպանել փոփոխությունները');
INSERT INTO `lang_definitions` VALUES (56098, 5630, 14, 'Պահպանել ձևը');
INSERT INTO `lang_definitions` VALUES (56099, 5631, 14, 'Պահպանել պատվաստումը');
INSERT INTO `lang_definitions` VALUES (56100, 5632, 14, 'Պահպանել նոր դաշտը');
INSERT INTO `lang_definitions` VALUES (56101, 5633, 14, 'Պահպանել խումբը');
INSERT INTO `lang_definitions` VALUES (56102, 5634, 14, 'Պահպանել ցանկը');
INSERT INTO `lang_definitions` VALUES (56103, 5635, 14, 'Պահպանել նոր բլանկը');
INSERT INTO `lang_definitions` VALUES (56104, 5637, 14, 'Պահպանել պացիենտի անձնական/ազգագրական տվյալները');
INSERT INTO `lang_definitions` VALUES (56105, 5638, 14, 'ID քարտը  հաջողությամբ պհպանվեց');
INSERT INTO `lang_definitions` VALUES (56106, 5639, 14, 'Պահպանել գործարքը');
INSERT INTO `lang_definitions` VALUES (56107, 5640, 14, 'Հաջողությամբ պահպանվեց');
INSERT INTO `lang_definitions` VALUES (56108, 5641, 14, 'Սքանավորված է');
INSERT INTO `lang_definitions` VALUES (56109, 5642, 14, 'Այցելության գրառումների սքան');
INSERT INTO `lang_definitions` VALUES (56110, 5643, 14, 'Սքաների ուղեցույց');
INSERT INTO `lang_definitions` VALUES (56111, 5644, 14, 'Սքաներ');
INSERT INTO `lang_definitions` VALUES (56112, 5645, 14, 'Գրաֆիկ');
INSERT INTO `lang_definitions` VALUES (56113, 5646, 14, 'Պլանավորված բուժծառայություններ');
INSERT INTO `lang_definitions` VALUES (56114, 5647, 14, 'ԳՐԱՌՈՒՄ ԴՊՐՈՑԻ ՄԱՍԻՆ');
INSERT INTO `lang_definitions` VALUES (56115, 5648, 14, 'Սկոլիոզ');
INSERT INTO `lang_definitions` VALUES (56116, 5649, 14, 'Շոտլանդական-Կելտական-կելտերեն');
INSERT INTO `lang_definitions` VALUES (56117, 5650, 14, 'Էկրանավորում / թեստավորում');
INSERT INTO `lang_definitions` VALUES (56118, 5651, 14, 'SE');
INSERT INTO `lang_definitions` VALUES (56119, 5652, 14, 'SE Հասցե');
INSERT INTO `lang_definitions` VALUES (56120, 5653, 14, 'SE Քաղաք');
INSERT INTO `lang_definitions` VALUES (56121, 5654, 14, 'SE Երկիր');
INSERT INTO `lang_definitions` VALUES (56122, 5655, 14, 'SE Բնակավայր');
INSERT INTO `lang_definitions` VALUES (56123, 5656, 14, 'SE Փոստային ինդեքս');
INSERT INTO `lang_definitions` VALUES (56124, 5657, 14, 'SE Նահանգ/մարզ');
INSERT INTO `lang_definitions` VALUES (56125, 5658, 14, 'SE Zip Code');
INSERT INTO `lang_definitions` VALUES (56126, 5659, 14, 'Որոնում/որոնել');
INSERT INTO `lang_definitions` VALUES (56127, 5661, 14, 'որոնել');
INSERT INTO `lang_definitions` VALUES (56128, 5662, 14, 'կրկին որոնել');
INSERT INTO `lang_definitions` VALUES (56129, 5663, 14, 'Փնտրել բոլոր սյուները');
INSERT INTO `lang_definitions` VALUES (56130, 5664, 14, 'Որոնում ըստ։');
INSERT INTO `lang_definitions` VALUES (56131, 5665, 14, '-ի որոնում');
INSERT INTO `lang_definitions` VALUES (56132, 5666, 14, '-ի որոնում։');
INSERT INTO `lang_definitions` VALUES (56133, 5667, 14, 'Փնտրել -ում');
INSERT INTO `lang_definitions` VALUES (56134, 5668, 14, 'Փնտրել -ում');
INSERT INTO `lang_definitions` VALUES (56135, 5669, 14, 'Պացիենտի որոնում կամ ավելացում');
INSERT INTO `lang_definitions` VALUES (56136, 5670, 14, 'Վչարման որոնում Փնտրել վճարումը');
INSERT INTO `lang_definitions` VALUES (56137, 5671, 14, 'Որոնման արդյունքներ');
INSERT INTO `lang_definitions` VALUES (56138, 5672, 14, 'Որոնման արդյունքներ։');
INSERT INTO `lang_definitions` VALUES (56139, 5673, 14, 'Որոնել ընտրվածները որոնումն ընտրված է');
INSERT INTO `lang_definitions` VALUES (56140, 5674, 14, 'Որոնման տողը չի համապատասխանում տվյալների բազայի ցանկին');
INSERT INTO `lang_definitions` VALUES (56141, 5675, 14, 'Որոնման տողը պետք է ունենա առնվազն 3 նիշ');
INSERT INTO `lang_definitions` VALUES (56142, 5676, 14, 'Տեքստային որոնում');
INSERT INTO `lang_definitions` VALUES (56143, 5677, 14, 'Իադարջության որոնում');
INSERT INTO `lang_definitions` VALUES (56144, 5678, 14, 'Փնտրել/ավելացնել');
INSERT INTO `lang_definitions` VALUES (56145, 5679, 14, 'Փնտրել/ավելացնել ապահովագրող');
INSERT INTO `lang_definitions` VALUES (56146, 5680, 14, 'Այցերի որոնում');
INSERT INTO `lang_definitions` VALUES (56147, 5681, 14, 'Փնտրվում է․․․');
INSERT INTO `lang_definitions` VALUES (56148, 5682, 14, 'Ամարագոտու/անվտանգության գոտու կիրառում');
INSERT INTO `lang_definitions` VALUES (56149, 5683, 14, 'Ամարագոտու/անվտանգության գոտու կիրառում');
INSERT INTO `lang_definitions` VALUES (56150, 5684, 14, 'Երկրորդ');
INSERT INTO `lang_definitions` VALUES (56151, 5687, 14, 'Կրկնակի/երկրորդային');
INSERT INTO `lang_definitions` VALUES (56152, 5688, 14, 'Կրկնակի/երկրորդային ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (56153, 5689, 14, 'Կրկնակի/երկրորդային ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56154, 5690, 14, 'Կրկնակի/երկրորդային ապահովագրող');
INSERT INTO `lang_definitions` VALUES (56155, 5691, 14, 'Կրկնակի/երկրորդային բուժօգնության տեսակը');
INSERT INTO `lang_definitions` VALUES (56156, 5693, 14, 'Բաժնի  ID');
INSERT INTO `lang_definitions` VALUES (56157, 5694, 14, 'Բաժնի  ID-ն և անվանումը չեն կարող դատարկ լինել');
INSERT INTO `lang_definitions` VALUES (56158, 5695, 14, 'Բաժնի անվանում');
INSERT INTO `lang_definitions` VALUES (56159, 5696, 14, 'Բաժինը հաջողությամբ պահպանվել է');
INSERT INTO `lang_definitions` VALUES (56160, 5698, 14, 'Անվատնգություն');
INSERT INTO `lang_definitions` VALUES (56161, 5699, 14, 'Տեսնել ամբողջը');
INSERT INTO `lang_definitions` VALUES (56162, 5700, 14, 'Տեսնել լիազորագրերը');
INSERT INTO `lang_definitions` VALUES (56163, 5701, 14, 'Տեսնել աճի սանդղակը');
INSERT INTO `lang_definitions` VALUES (56164, 5702, 14, 'Տեսնել վերջին պահանջներից ստացված հաղորդագրությունները');
INSERT INTO `lang_definitions` VALUES (56165, 5704, 14, 'Տեսնել սկսած');
INSERT INTO `lang_definitions` VALUES (56166, 5705, 14, 'Սեգմենտի անվանում');
INSERT INTO `lang_definitions` VALUES (56167, 5707, 14, 'Հանկարծակի նոպա');
INSERT INTO `lang_definitions` VALUES (56168, 5708, 14, 'Ընտր․');
INSERT INTO `lang_definitions` VALUES (56169, 5709, 14, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (56170, 5710, 14, 'Ընտրել');
INSERT INTO `lang_definitions` VALUES (56171, 5711, 14, 'Ընտրել բաղադրիչ/կոմպոնենտ');
INSERT INTO `lang_definitions` VALUES (56172, 5712, 14, 'Ընտրել համատքեստը');
INSERT INTO `lang_definitions` VALUES (56173, 5713, 14, 'Ընտրել տողերի տոկոսը կամ ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56174, 5714, 14, 'Ընտրել ժամանակահատված');
INSERT INTO `lang_definitions` VALUES (56175, 5715, 14, 'Ընտրել օգտվողին');
INSERT INTO `lang_definitions` VALUES (56176, 5716, 14, 'Ընտրել ամբողջը');
INSERT INTO `lang_definitions` VALUES (56177, 5717, 14, 'Ընտրել փոփոխությունների ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56178, 5718, 14, 'Ընտրել տպագրության ենթակա փոփոխությունները');
INSERT INTO `lang_definitions` VALUES (56180, 5720, 14, 'Ընտրել կատեգորիան');
INSERT INTO `lang_definitions` VALUES (56181, 5721, 14, 'Ընտրել հաղորդակցության նախընտրելի տարբերակները');
INSERT INTO `lang_definitions` VALUES (56182, 5722, 14, 'Ջնջելու համար ընտրեք համապատասխան նշավանդակները');
INSERT INTO `lang_definitions` VALUES (56183, 5723, 14, 'Ընտրել ջնջելու/հեռացնելու չափորոիչները');
INSERT INTO `lang_definitions` VALUES (56184, 5724, 14, 'Ընտրել CSV աղյուսակը');
INSERT INTO `lang_definitions` VALUES (56185, 5725, 14, 'Ընտրել դեինդենտիֆիկացիայի համար պահանջվող ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56186, 5726, 14, 'Ընտրել դեինդենտիֆիկացիայի բազայում ներառվող ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56187, 5727, 14, 'Ընտրել ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56188, 5728, 14, 'Ընտրել անհրաժեշտ խումբը');
INSERT INTO `lang_definitions` VALUES (56189, 5729, 14, 'Ընտրել ախտորոշումը');
INSERT INTO `lang_definitions` VALUES (56190, 5730, 14, 'Ընտրել ախտորոշումն ըստ դեինդենտիֆիկացիայի պահանջի');
INSERT INTO `lang_definitions` VALUES (56191, 5731, 14, 'Ընտրել դեղամիջոցը');
INSERT INTO `lang_definitions` VALUES (56192, 5732, 14, 'Ընտրել դեղորայքը');
INSERT INTO `lang_definitions` VALUES (56193, 5733, 14, 'Ընտրել դեղորայքն ըստ դեինդենտիֆիկացիայի պահանջի');
INSERT INTO `lang_definitions` VALUES (56194, 5734, 14, 'Ընտրել  EDI-271 ֆայլը');
INSERT INTO `lang_definitions` VALUES (56195, 5735, 14, 'Ընտրել այցը');
INSERT INTO `lang_definitions` VALUES (56196, 5736, 14, 'Ընտրել դաշտը');
INSERT INTO `lang_definitions` VALUES (56197, 5737, 14, 'Ընտրել դաշտերը');
INSERT INTO `lang_definitions` VALUES (56198, 5738, 14, 'Ընտրել տպագրության համար');
INSERT INTO `lang_definitions` VALUES (56199, 5739, 14, 'Ընտրել պատվաստումները');
INSERT INTO `lang_definitions` VALUES (56200, 5740, 14, 'Ընտրել պատվաստումներն ըստ դեինդենտիֆիկացիայի պահանջի');
INSERT INTO `lang_definitions` VALUES (56201, 5741, 14, 'Ընտրել ապահովագրությունն ըստ տպագրության/տեսակավորման');
INSERT INTO `lang_definitions` VALUES (56202, 5742, 14, 'Ընտրել խնդիրը');
INSERT INTO `lang_definitions` VALUES (56203, 5743, 14, 'Ընտրել կետերը');
INSERT INTO `lang_definitions` VALUES (56204, 5744, 14, 'Ընտրել լեզուն');
INSERT INTO `lang_definitions` VALUES (56205, 5745, 14, 'Ընտրել մեկը');
INSERT INTO `lang_definitions` VALUES (56206, 5746, 14, 'Ընտրել մեկ և ավել ախտորոշման կոդեր՝ բուժծառայությունը հաստատելու համար');
INSERT INTO `lang_definitions` VALUES (56207, 5747, 14, 'Ընտրել մեկ և ավել դաշտեր բեռնման համար');
INSERT INTO `lang_definitions` VALUES (56208, 5748, 14, 'Ընտրել արտադրանքը/ելքերը');
INSERT INTO `lang_definitions` VALUES (56209, 5750, 14, 'Ընտրել ըստ պահանջի');
INSERT INTO `lang_definitions` VALUES (56210, 5752, 14, 'Ընտրել սկզբնաղբյուրը');
INSERT INTO `lang_definitions` VALUES (56211, 5753, 14, 'Ընտրել նմուշը');
INSERT INTO `lang_definitions` VALUES (56212, 5754, 14, 'Ընտրել արտածման համար անհրաժեշտ կոնֆիգուրացիոն տարրերը');
INSERT INTO `lang_definitions` VALUES (56213, 5755, 14, 'Ընտրեք խնդիրը, որը հիմնականում պատասխանատու է այս օրվա ցանկացած բաց թողնված իրադարձության համար');
INSERT INTO `lang_definitions` VALUES (56214, 5757, 14, 'Ընտրել ուղին');
INSERT INTO `lang_definitions` VALUES (56215, 5759, 14, 'Ընտրել օգտվողին');
INSERT INTO `lang_definitions` VALUES (56216, 5760, 14, 'Բացվող ցանկից ընտրել օգտվողներին');
INSERT INTO `lang_definitions` VALUES (56217, 5761, 14, 'Ընտրել լեզուն, եթե մուտքի համար թույլատրվում է այլ լեզու (սա վերաբերում է միայն այն դեպքին, երբ ԲՈԼՈՐ ԼԵԶՈւՆԵՐԸ ԹՈւՅԼԱՏՐՎԱԾ ԵՆ ֆունկցիան/կաճակն անջատված է)');
INSERT INTO `lang_definitions` VALUES (56218, 5762, 14, 'Սեղմել ԱՅՈ խումբը ջնջելու/հեռացնելու համար');
INSERT INTO `lang_definitions` VALUES (56219, 5765, 14, 'Ընտրված/Ընտրված է');
INSERT INTO `lang_definitions` VALUES (56220, 5766, 14, 'Ընտրված այց');
INSERT INTO `lang_definitions` VALUES (56221, 5767, 14, 'Սա ընտրելու դեպքում կստեղծվիհաղորդագրություն, որը յուրաքանչյուր պացիենտի համար կպահանջի անհատական մշակում (սա աշխատանքային խումբ չէ)');
INSERT INTO `lang_definitions` VALUES (56222, 5768, 14, 'Ինքնուրույն');
INSERT INTO `lang_definitions` VALUES (56223, 5769, 14, 'Ինքնուրույն վճարել');
INSERT INTO `lang_definitions` VALUES (56224, 5771, 14, 'Ուղարկել');
INSERT INTO `lang_definitions` VALUES (56225, 5772, 14, 'Ուղարկել օրացուցային հիշեցում');
INSERT INTO `lang_definitions` VALUES (56226, 5773, 14, 'Ուղարկել հիշեցում');
INSERT INTO `lang_definitions` VALUES (56227, 5774, 14, 'Ուղարկվում է');
INSERT INTO `lang_definitions` VALUES (56228, 5775, 14, 'Ուղարկել հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (56229, 5776, 14, 'Ուղարկել հիշեցումների խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (56230, 5777, 14, 'Ըստ յուրաքանչյուր պացիենտի նախապատվության ուղարկել  կանխարգելիչ/հետագա խնամքի հիշեցումները');
INSERT INTO `lang_definitions` VALUES (56231, 5778, 14, 'Ուղարկել ամփոփագրերն ուղեգրերի հետ');
INSERT INTO `lang_definitions` VALUES (56232, 5779, 14, 'Ուղարկել այս ֆայլը');
INSERT INTO `lang_definitions` VALUES (56233, 5780, 14, 'Ուղարկել սույն հաղորդագրությունը');
INSERT INTO `lang_definitions` VALUES (56234, 5781, 14, 'Ուղարկել -ին');
INSERT INTO `lang_definitions` VALUES (56235, 5784, 14, 'Ուղարկել բոլորին');
INSERT INTO `lang_definitions` VALUES (56236, 5786, 14, 'Ուղարկել պորտալ');
INSERT INTO `lang_definitions` VALUES (56237, 5787, 14, 'Ուղարկել պորտալ');
INSERT INTO `lang_definitions` VALUES (56238, 5788, 14, 'Ուղարկող');
INSERT INTO `lang_definitions` VALUES (56239, 5789, 14, 'Ուղարկողի ID');
INSERT INTO `lang_definitions` VALUES (56240, 5790, 14, 'Ուղարկողի ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (56241, 5791, 14, 'Ուղարկողի ID որոշիչ (ISA05)');
INSERT INTO `lang_definitions` VALUES (56242, 5792, 14, 'Ուղարկողի ID-ներ');
INSERT INTO `lang_definitions` VALUES (56243, 5793, 14, 'Ուղարկել -ին');
INSERT INTO `lang_definitions` VALUES (56244, 5794, 14, 'Զագայունություն');
INSERT INTO `lang_definitions` VALUES (56245, 5795, 14, 'Զագայունություն');
INSERT INTO `lang_definitions` VALUES (56246, 5796, 14, 'Զգայունության թեստը նորմալ է');
INSERT INTO `lang_definitions` VALUES (56247, 5797, 14, 'Ուղարկված է');
INSERT INTO `lang_definitions` VALUES (56248, 5798, 14, 'Ուղարկված - Հաստատված');
INSERT INTO `lang_definitions` VALUES (56249, 5799, 14, 'Ուղարկված է  -ով/կողմից, Բոլորի համար դատարկ թողնել');
INSERT INTO `lang_definitions` VALUES (56250, 5800, 14, 'Ուղարկված է  -ով/կողմից։');
INSERT INTO `lang_definitions` VALUES (56251, 5801, 14, 'Ուղարկման ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56252, 5802, 14, 'Ուղարկվածներ');
INSERT INTO `lang_definitions` VALUES (56253, 5803, 14, 'Ուղարկե՞լ բժշկական գրանցումները');
INSERT INTO `lang_definitions` VALUES (56254, 5804, 14, 'Հաջողությամբ ուղարկվել է');
INSERT INTO `lang_definitions` VALUES (56255, 5807, 14, 'Ուղարկված է տպագրության');
INSERT INTO `lang_definitions` VALUES (56256, 5808, 14, 'Ուղարկված է  -ին, Բոլորի համար դատարկ թողնել');
INSERT INTO `lang_definitions` VALUES (56257, 5809, 14, 'Ուղարկված է  -ին');
INSERT INTO `lang_definitions` VALUES (56258, 5810, 14, 'Ուղարկվել է, սակայն ստացումը դեռ չի հաստատվել');
INSERT INTO `lang_definitions` VALUES (56259, 5811, 14, 'Ուղարկված, բայց ստացված չէ');
INSERT INTO `lang_definitions` VALUES (56260, 5812, 14, 'Սեպտ․ Առնձ․');
INSERT INTO `lang_definitions` VALUES (56261, 5813, 14, 'Առանձին');
INSERT INTO `lang_definitions` VALUES (56262, 5814, 14, 'Սեպտեմբեր');
INSERT INTO `lang_definitions` VALUES (56263, 5815, 14, 'Հերթ․');
INSERT INTO `lang_definitions` VALUES (56264, 5816, 14, 'Հերթականություն');
INSERT INTO `lang_definitions` VALUES (56265, 5817, 14, 'Սերբերեն');
INSERT INTO `lang_definitions` VALUES (56266, 5819, 14, 'Հնարավոր է սերվերն անջատված է');
INSERT INTO `lang_definitions` VALUES (56267, 5820, 14, 'Սերվերի հաղորդագրություն');
INSERT INTO `lang_definitions` VALUES (56268, 5821, 14, 'Ծառայություն');
INSERT INTO `lang_definitions` VALUES (56269, 5822, 14, 'Ծառայության կատեգորիա');
INSERT INTO `lang_definitions` VALUES (56270, 5823, 14, 'Ծառայության կոդ');
INSERT INTO `lang_definitions` VALUES (56271, 5825, 14, 'Ծառայությունների կոդեր');
INSERT INTO `lang_definitions` VALUES (56272, 5826, 14, 'Ծառայության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56273, 5827, 14, 'Ծառայության ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (56274, 5829, 14, 'Ծառայության մատուցման վայրը');
INSERT INTO `lang_definitions` VALUES (56275, 5830, 14, 'Ծառայության անվանումը');
INSERT INTO `lang_definitions` VALUES (56276, 5831, 14, 'Մասնագետի կողմից մատուցված ծառայությունը');
INSERT INTO `lang_definitions` VALUES (56277, 5832, 14, 'Ծառայությունների զեկույց');
INSERT INTO `lang_definitions` VALUES (56278, 5834, 14, 'Ծառայություններ');
INSERT INTO `lang_definitions` VALUES (56279, 5835, 14, 'Ծառայություններ ըստ կատեգորիաների');
INSERT INTO `lang_definitions` VALUES (56280, 5836, 14, 'Մատուցված ծառայություններ');
INSERT INTO `lang_definitions` VALUES (56281, 5837, 14, 'Մատուցված ծառայություններ');
INSERT INTO `lang_definitions` VALUES (56282, 5838, 14, 'Ծառայություններ / Ապրանքներ');
INSERT INTO `lang_definitions` VALUES (56283, 5839, 14, 'Սեսսիայի տեսակը');
INSERT INTO `lang_definitions` VALUES (56284, 5840, 14, 'Սահմանել/Տեղադրել');
INSERT INTO `lang_definitions` VALUES (56285, 5842, 14, 'Սահմանել որպես ավարտված');
INSERT INTO `lang_definitions` VALUES (56286, 5844, 14, 'Սահմանել Պացիենտի հիշեցումների մշակման առաջնայնություն  (լիարժեք կլինիկական ռեժիմով)');
INSERT INTO `lang_definitions` VALUES (56287, 5846, 14, 'Սահմանել -ում');
INSERT INTO `lang_definitions` VALUES (56288, 5847, 14, 'Սահմանել որպես կանխադրված');
INSERT INTO `lang_definitions` VALUES (56289, 5848, 14, 'Տվյալների բազայում տեղադրել տարբերակի հերթական համարը');
INSERT INTO `lang_definitions` VALUES (56290, 5849, 14, 'Կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (56291, 5851, 14, 'Ծանր միգրեն');
INSERT INTO `lang_definitions` VALUES (56292, 5853, 14, 'Ցավի ուժգնության աստիճան');
INSERT INTO `lang_definitions` VALUES (56293, 5854, 14, 'Ցավի ուժգնության աստիճան։');
INSERT INTO `lang_definitions` VALUES (56294, 5855, 14, 'Սեռ');
INSERT INTO `lang_definitions` VALUES (56295, 5856, 14, 'Սեռական ճանապարհով փոխանցվող հիվանդություն');
INSERT INTO `lang_definitions` VALUES (56296, 5857, 14, 'SFTP');
INSERT INTO `lang_definitions` VALUES (56297, 5858, 14, 'Sha-1 Հեշ');
INSERT INTO `lang_definitions` VALUES (56298, 5859, 14, 'Համատեղ կիրառում Բաժնեկցել');
INSERT INTO `lang_definitions` VALUES (56299, 5860, 14, 'Shell հրաման՝ սերվերից տպելու համար');
INSERT INTO `lang_definitions` VALUES (56300, 5863, 14, 'Հակիրճ նկարագրություն');
INSERT INTO `lang_definitions` VALUES (56301, 5864, 14, 'Հևոց Շնչարգելություն');
INSERT INTO `lang_definitions` VALUES (56302, 5865, 14, 'Հևոց Շնչարգելություն');
INSERT INTO `lang_definitions` VALUES (56303, 5866, 14, 'Հևոց 2 Շնչարգելություն 2');
INSERT INTO `lang_definitions` VALUES (56304, 5867, 14, 'Կրճատ գրանցում');
INSERT INTO `lang_definitions` VALUES (56305, 5868, 14, 'Կրճատ գրանցում որպես');
INSERT INTO `lang_definitions` VALUES (56306, 5869, 14, 'Պետք է ակտիվացնել');
INSERT INTO `lang_definitions` VALUES (56307, 5870, 14, 'Պետք է նման լինի nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (56308, 5871, 14, 'Պետք է լինի 2 տառ');
INSERT INTO `lang_definitions` VALUES (56309, 5872, 14, 'Պետք է պարունակի 10 թիվ');
INSERT INTO `lang_definitions` VALUES (56310, 5873, 14, 'Պետք է պարունակի միայն 10 թիվ');
INSERT INTO `lang_definitions` VALUES (56311, 5874, 14, 'Ուս');
INSERT INTO `lang_definitions` VALUES (56312, 5875, 14, 'Ուս+անրակ');
INSERT INTO `lang_definitions` VALUES (56313, 5876, 14, 'Ուսերի խնդիր');
INSERT INTO `lang_definitions` VALUES (56314, 5877, 14, 'Ցույց տալ');
INSERT INTO `lang_definitions` VALUES (56315, 5878, 14, 'Ցույց տալ /Ցուցադրել ակտիվներին');
INSERT INTO `lang_definitions` VALUES (56316, 5880, 14, 'Ցույց տալ/Ցուցադրել ամբողջը');
INSERT INTO `lang_definitions` VALUES (56317, 5881, 14, 'Ցույց տալ /Ցուցադրել բոլոր միջամտությունները');
INSERT INTO `lang_definitions` VALUES (56318, 5883, 14, 'Ցույց տալ/ Ցուցադրել բոլոր գործարքները');
INSERT INTO `lang_definitions` VALUES (56319, 5884, 14, 'Ցույց տալ զբաղված լինելը');
INSERT INTO `lang_definitions` VALUES (56320, 5885, 14, 'Ցույց տալ միայն թույլատրվածները');
INSERT INTO `lang_definitions` VALUES (56321, 5886, 14, 'Ցույց տալ հասանելի տարրերը');
INSERT INTO `lang_definitions` VALUES (56322, 5889, 14, 'Ցույց տալ մանրամասները');
INSERT INTO `lang_definitions` VALUES (56323, 5890, 14, 'Ցույց տալ միայն սխալնե՞րը');
INSERT INTO `lang_definitions` VALUES (56324, 5891, 14, 'Ցույց տալ  գրաֆիկը');
INSERT INTO `lang_definitions` VALUES (56325, 5893, 14, 'Քանի՞ իրադարձություն ցուցադրել ադմինի էջում');
INSERT INTO `lang_definitions` VALUES (56326, 5894, 14, 'Ցույց տալ ոչ ակտիվները/պասսիվները');
INSERT INTO `lang_definitions` VALUES (56327, 5896, 14, 'Ցույց տալ ցանկը');
INSERT INTO `lang_definitions` VALUES (56328, 5897, 14, 'Ցույց տալ միայն չափումայինները');
INSERT INTO `lang_definitions` VALUES (56329, 5898, 14, 'Ցույց տալ գրառումները');
INSERT INTO `lang_definitions` VALUES (56330, 5900, 14, 'Ցույց տալ միայն չբացակայող միջամտությունները');
INSERT INTO `lang_definitions` VALUES (56331, 5901, 14, 'Ցույց տալ պացիենտի մասին գրառումները');
INSERT INTO `lang_definitions` VALUES (56332, 5905, 14, 'Ցույց տալ հիշեցումները');
INSERT INTO `lang_definitions` VALUES (56333, 5906, 14, 'Ցույց տալ զեկույցը/հաշվետվությունը');
INSERT INTO `lang_definitions` VALUES (56334, 5907, 14, 'Ցուցադրե՞լ որոնման/հաստատման հղումները վանդակում');
INSERT INTO `lang_definitions` VALUES (56335, 5913, 14, 'Ցույց տալ միայն չվճարվածները');
INSERT INTO `lang_definitions` VALUES (56336, 5914, 14, 'Ցույց տալ միայն US');
INSERT INTO `lang_definitions` VALUES (56337, 5915, 14, 'Ցույց է տալիս / Ցուցադրում է');
INSERT INTO `lang_definitions` VALUES (56338, 5916, 14, 'Ցույց է տալիս / Ցուցադրում է արդյունքները');
INSERT INTO `lang_definitions` VALUES (56339, 5918, 14, 'Հարազատների պատմություն');
INSERT INTO `lang_definitions` VALUES (56340, 5920, 14, 'Հարազատներ քույր/եղբայր');
INSERT INTO `lang_definitions` VALUES (56341, 5921, 14, 'Մանգաղանման բջիջներ');
INSERT INTO `lang_definitions` VALUES (56342, 5922, 14, 'Sig');
INSERT INTO `lang_definitions` VALUES (56343, 5923, 14, 'Սիգմոիդ/Սիգմայաձև / Կոլոնոսկոպիա');
INSERT INTO `lang_definitions` VALUES (56344, 5924, 14, 'Ստորագրել/հաստատել');
INSERT INTO `lang_definitions` VALUES (56345, 5925, 14, 'Գրանցել/Ստորագրել/հաստատել  լաբորատոր հետազոտությունների արդյունքները (գրել, միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (56346, 5926, 14, 'Գրանցել/Ստորագրել/հաստատել  արդյունքները');
INSERT INTO `lang_definitions` VALUES (56347, 5927, 14, 'Ստորագրություն');
INSERT INTO `lang_definitions` VALUES (56348, 5928, 14, 'Ստորագրություն ֆայլի վրա');
INSERT INTO `lang_definitions` VALUES (56349, 5929, 14, 'Ստորագրություն։');
INSERT INTO `lang_definitions` VALUES (56350, 5930, 14, 'Ստորագրված Rx');
INSERT INTO `lang_definitions` VALUES (56351, 5932, 14, 'Զգալի չափերի ուռուցք');
INSERT INTO `lang_definitions` VALUES (56352, 5933, 14, 'Պարզեցված');
INSERT INTO `lang_definitions` VALUES (56353, 5934, 14, 'Պարզեցված հավելավճար');
INSERT INTO `lang_definitions` VALUES (56354, 5935, 14, 'Պարզեցված/կրճատ անձնական տվյալներ');
INSERT INTO `lang_definitions` VALUES (56355, 5936, 14, 'Պարզեցված/կրճատ դեղատոմսեր');
INSERT INTO `lang_definitions` VALUES (56356, 5937, 14, 'ի վեր/ սկսած');
INSERT INTO `lang_definitions` VALUES (56357, 5938, 14, 'Հարգանքներով');
INSERT INTO `lang_definitions` VALUES (56358, 5940, 14, 'Ամուրի/չամուսնացած Մեկ');
INSERT INTO `lang_definitions` VALUES (56359, 5941, 14, 'Մեկական  ընտրության ցանկ');
INSERT INTO `lang_definitions` VALUES (56360, 5942, 14, 'Մեկական  ընտրության ցանկ՝ ավելացման հնարավորությամբ');
INSERT INTO `lang_definitions` VALUES (56361, 5943, 14, 'Եզակի');
INSERT INTO `lang_definitions` VALUES (56362, 5950, 14, 'Կայք');
INSERT INTO `lang_definitions` VALUES (56363, 5951, 14, 'Կայքի ID');
INSERT INTO `lang_definitions` VALUES (56364, 5952, 14, 'LLC Lab Exchange Service-ում բժշկական ինֆորմացիայի տեղադրման համար պահանջվող կայքի ID');
INSERT INTO `lang_definitions` VALUES (56365, 5953, 14, 'LLC Lab Exchange Service-ում LibreEHR գործարկելու համար պահանջվող կայքի ID');
INSERT INTO `lang_definitions` VALUES (56366, 5956, 14, 'Չափ');
INSERT INTO `lang_definitions` VALUES (56367, 5957, 14, 'Չափը պետք է լինի 1-999 միջակայքի թիվ');
INSERT INTO `lang_definitions` VALUES (56368, 5958, 14, 'Չափ / Ցանկ');
INSERT INTO `lang_definitions` VALUES (56369, 5959, 14, 'Մաշկ');
INSERT INTO `lang_definitions` VALUES (56370, 5960, 14, 'Մաշկային քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (56371, 5961, 14, 'Մաշկային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (56372, 5962, 14, 'Այլ մաշկային հիվանդություն');
INSERT INTO `lang_definitions` VALUES (56373, 5963, 14, 'Բաց թողնել Պացիենտի գրառումների թույլտվությունը');
INSERT INTO `lang_definitions` VALUES (56374, 5964, 14, 'Բաց թողնված բաժին');
INSERT INTO `lang_definitions` VALUES (56375, 5967, 14, 'Քնի մոդել/նկարագիր');
INSERT INTO `lang_definitions` VALUES (56376, 5968, 14, 'Քնի մոդել/նկարագիր');
INSERT INTO `lang_definitions` VALUES (56377, 5969, 14, 'Քուն');
INSERT INTO `lang_definitions` VALUES (56378, 5970, 14, 'սլովակերեն');
INSERT INTO `lang_definitions` VALUES (56379, 5971, 14, 'սլովենացի');
INSERT INTO `lang_definitions` VALUES (56380, 5973, 14, 'Smarty Cache մաքրվել է');
INSERT INTO `lang_definitions` VALUES (56381, 5974, 14, 'Ծխող․ ներկա պահին կարգավիճակն անորոշ է');
INSERT INTO `lang_definitions` VALUES (56382, 5976, 14, 'Ծխողի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (56383, 5983, 14, 'SMS/Կարճ խաղորդակգրության ծանուցում');
INSERT INTO `lang_definitions` VALUES (56384, 5984, 14, 'SMS/Կարճ խաղորդակգրության ծանուցման ժամեր');
INSERT INTO `lang_definitions` VALUES (56385, 5985, 14, 'Ուղարկել SMS/Կարճ խաղորդակգրություն մինչև/առաջ');
INSERT INTO `lang_definitions` VALUES (56386, 5986, 14, 'SMS/Կարճ խաղորդակգրությունն ուղարկվել է');
INSERT INTO `lang_definitions` VALUES (56387, 5987, 14, 'SMS տեքստ, Usable Tag: ***ԱՆՈւՆ***, ***ՄԱՏԱԿԱՐԱՐ***, ***ԱՄՍԱԹԻՎ***, ***ՍԿԻԶԲ***, ***ԱՎԱՐՏ***<br> i.e. Հարգելի ***ԱՆՈւՆ***');
INSERT INTO `lang_definitions` VALUES (56388, 5988, 14, 'SMS/Կարճ խաղորդակգրության /Էլ․ փոստի ծանուցման կարգավորումներ');
INSERT INTO `lang_definitions` VALUES (56389, 5989, 14, 'SMTP նույնականացման գաղտնաբառ');
INSERT INTO `lang_definitions` VALUES (56390, 5992, 14, 'SMTP սերվերի հոսթանունը');
INSERT INTO `lang_definitions` VALUES (56391, 5993, 14, 'SMTP սերվերի պորտ համարը');
INSERT INTO `lang_definitions` VALUES (56392, 5994, 14, 'SMTP   նույնականացման  օգտվող');
INSERT INTO `lang_definitions` VALUES (56393, 5995, 14, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (56394, 6001, 14, 'SNOMED տվյալների բազա');
INSERT INTO `lang_definitions` VALUES (56395, 6002, 14, 'SNOMED ախտորոշում');
INSERT INTO `lang_definitions` VALUES (56396, 6003, 14, 'SNOMED միջամտություն');
INSERT INTO `lang_definitions` VALUES (56397, 6004, 14, 'Խռմփոց/խռմփացնել');
INSERT INTO `lang_definitions` VALUES (56398, 6005, 14, 'SOAP');
INSERT INTO `lang_definitions` VALUES (56399, 6006, 14, 'Սոցիալական խնդիրներ');
INSERT INTO `lang_definitions` VALUES (56400, 6009, 14, 'Սոցիալական կարգավիակի պատմություն');
INSERT INTO `lang_definitions` VALUES (56401, 6010, 14, 'Սոցիալական ապահովության համարը/Սոցիալական քարտի համարը');
INSERT INTO `lang_definitions` VALUES (56402, 6011, 14, 'լուծույթ լուծում');
INSERT INTO `lang_definitions` VALUES (56403, 6013, 14, 'Սոմատիկ/ֆիզիկական ենթատքեստ/իմաստ');
INSERT INTO `lang_definitions` VALUES (56404, 6014, 14, 'Որոշ տույտվություններ/լիազորություններ չեն ցուցադրվել․ սեղմեք այստեղ՝ ամբողջը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (56405, 6015, 14, 'Որոշ կոդեր չեն ցուցադրվել');
INSERT INTO `lang_definitions` VALUES (56406, 6016, 14, 'Որոշ այցեր չեն ցուցադրվել․ սեղմեք այստեղ՝ ամբողջը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (56407, 6017, 14, 'Դեիդենտիֆիկացիայի մշակման ժամանակ որոշ սխալներ են հայտնվել');
INSERT INTO `lang_definitions` VALUES (56408, 6018, 14, 'Որոշ  գրառումներ  չեն ցուցադրվել');
INSERT INTO `lang_definitions` VALUES (56409, 6019, 14, 'Որոշ գրասենյակային գրառումներ  չեն ցուցադրվել․ սեղմեք այստեղ՝ ամբողջը տեսնելու համար');
INSERT INTO `lang_definitions` VALUES (56410, 6020, 14, 'որոշ բառեր');
INSERT INTO `lang_definitions` VALUES (56411, 6021, 14, 'Ինչ-որ մեկը փոփոխել է այս այցը․ չեղարկեք այս էջը և կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (56412, 6023, 14, 'Ինչոր բան սխալ է․ Կրկին փորձեք');
INSERT INTO `lang_definitions` VALUES (56413, 6026, 14, 'Կոկորդի ցավ');
INSERT INTO `lang_definitions` VALUES (56414, 6027, 14, 'Ցավոք ոչ մի այց չի ֆիքսվել/հաստատվել');
INSERT INTO `lang_definitions` VALUES (56415, 6028, 14, 'Ցավոք ֆայլի բեռնման ընթացքում խնդիր է ծագել');
INSERT INTO `lang_definitions` VALUES (56416, 6029, 14, 'Դասավորել ըստ');
INSERT INTO `lang_definitions` VALUES (56417, 6030, 14, 'Դասավորել ըստ');
INSERT INTO `lang_definitions` VALUES (56418, 6032, 14, 'Դասավորել ըստ մեկնաբանությունների');
INSERT INTO `lang_definitions` VALUES (56419, 6033, 14, 'Դասավորել ըստ Crt օգտվողի');
INSERT INTO `lang_definitions` VALUES (56420, 6034, 14, 'Դասավորել ըստ ամսաթվերի');
INSERT INTO `lang_definitions` VALUES (56421, 6035, 14, 'Դասավորել ըստ ամսաթվերի/ժամերի');
INSERT INTO `lang_definitions` VALUES (56422, 6036, 14, 'Դասավորել ըստ միջոցառումների');
INSERT INTO `lang_definitions` VALUES (56423, 6037, 14, 'Դասավորել ըստ խմբերի');
INSERT INTO `lang_definitions` VALUES (56424, 6040, 14, 'Դասավորել ըստ պացիենտի ID-ների');
INSERT INTO `lang_definitions` VALUES (56425, 6041, 14, 'Դասավորել ըստ կատարվածի/արդյունքների հաջողության');
INSERT INTO `lang_definitions` VALUES (56426, 6043, 14, 'Դասավորել ըստ օգտվողների');
INSERT INTO `lang_definitions` VALUES (56427, 6044, 14, 'Դասավորել ըստ պատվաստանյութի');
INSERT INTO `lang_definitions` VALUES (56428, 6045, 14, 'Դասավորել նվազման կարգով');
INSERT INTO `lang_definitions` VALUES (56429, 6046, 14, 'Դասավորել արդյունքն ըստ');
INSERT INTO `lang_definitions` VALUES (56430, 6047, 14, 'Դասավորել աճման կարգով');
INSERT INTO `lang_definitions` VALUES (56431, 6048, 14, 'Հիմք/սկզբնաղբյուր');
INSERT INTO `lang_definitions` VALUES (56432, 6049, 14, 'Հիմնային/բազային ֆայլ');
INSERT INTO `lang_definitions` VALUES (56433, 6050, 14, 'Հիմնային/բազային ֆայլի  ուղին');
INSERT INTO `lang_definitions` VALUES (56434, 6051, 14, 'Կոդի համար բացակայամու է հիմքը/աղբյուրը ');
INSERT INTO `lang_definitions` VALUES (56435, 6052, 14, 'Էջի աղբյուրի/բազայի խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (56436, 6057, 14, 'Աղբյուր/Էջի աղբյուր');
INSERT INTO `lang_definitions` VALUES (56437, 6060, 14, 'Տարածություն/հեռավորություն');
INSERT INTO `lang_definitions` VALUES (56438, 6061, 14, 'Տարածություն/հեռավորություն');
INSERT INTO `lang_definitions` VALUES (56439, 6062, 14, 'Իսպաներեն');
INSERT INTO `lang_definitions` VALUES (56440, 6063, 14, 'Իսպաներեն  (լատինամերիկյան)');
INSERT INTO `lang_definitions` VALUES (56441, 6064, 14, 'Իսպաներեն  (իսպանական)');
INSERT INTO `lang_definitions` VALUES (56442, 6066, 14, 'Հատուկ նշաններ չեն թույլատրվում');
INSERT INTO `lang_definitions` VALUES (56443, 6067, 14, 'Կենսական ննակության օրգանների հատուկ բուժում');
INSERT INTO `lang_definitions` VALUES (56444, 6068, 14, 'Մասնագետ');
INSERT INTO `lang_definitions` VALUES (56445, 6069, 14, 'Մասնագետի ազգանունը և ստորագրությունը');
INSERT INTO `lang_definitions` VALUES (56446, 6071, 14, 'Մասնագիտություն');
INSERT INTO `lang_definitions` VALUES (56447, 6072, 14, 'Հատուկ համակարգեր');
INSERT INTO `lang_definitions` VALUES (56448, 6073, 14, 'Մասնագիտություն։');
INSERT INTO `lang_definitions` VALUES (56449, 6074, 14, 'Հատուկ');
INSERT INTO `lang_definitions` VALUES (56450, 6075, 14, 'Հատուկ հայտ/դիմում/կիրառում');
INSERT INTO `lang_definitions` VALUES (56451, 6076, 14, 'Հակաբեղմնավորիչ հատուկ ծառայություն');
INSERT INTO `lang_definitions` VALUES (56452, 6077, 14, 'Հատուկ արդյունք');
INSERT INTO `lang_definitions` VALUES (56453, 6078, 14, 'Հատուկ ծառայություն');
INSERT INTO `lang_definitions` VALUES (56454, 6079, 14, 'Նշված');
INSERT INTO `lang_definitions` VALUES (56455, 6080, 14, 'Կոդերի հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56456, 6081, 14, 'Կոդերի հատուկ ֆորմատավորում. # = digit, @ = alpha, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56457, 6082, 14, 'Հաշիվների ստուգիչ համարների հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56458, 6083, 14, 'Հաշիվների ստուգիչ համարների հատուկ ֆորմատավորում. # = digit,@ = alpha, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56459, 6084, 14, 'Հաշիվների NDC ապրանքների դաշտերի հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56460, 6085, 14, 'Հաշիվների NDC ապրանքների դաշտերի հատուկ ֆորմատավորում. # = digit, @ = alpha,* = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56461, 6086, 14, 'Օտարերկրյա պացիենտի ID-ի հատուկ ֆորմատավորում. # = digit, * = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56462, 6087, 14, 'Օտարերկրյա պացիենտի ID-ի հատուկ ֆորմատավորում. # = digit, @ = alpha,* = ցանկ․ սիմվոլ. Եթե չի կիրառվում, ապա դատարկ է');
INSERT INTO `lang_definitions` VALUES (56463, 6088, 14, 'Նմուշ/օրինակ');
INSERT INTO `lang_definitions` VALUES (56464, 6089, 14, 'Նմուշի/օրինակի համար/նույնացուցիչ');
INSERT INTO `lang_definitions` VALUES (56465, 6090, 14, 'Նմուշի/օրինակի տեսակը');
INSERT INTO `lang_definitions` VALUES (56466, 6092, 14, 'Բանավոր թելադրանք');
INSERT INTO `lang_definitions` VALUES (56467, 6093, 14, 'Նմուշներ/օրինակներ');
INSERT INTO `lang_definitions` VALUES (56468, 6094, 14, 'Սպլենէկտոմիա /Փայծախի վիրահատական հեռացում/');
INSERT INTO `lang_definitions` VALUES (56469, 6095, 14, 'Կին/ամուսին');
INSERT INTO `lang_definitions` VALUES (56470, 6096, 14, 'Կնոջ/ամուսնու անամնեզը');
INSERT INTO `lang_definitions` VALUES (56471, 6097, 14, 'Խորխ');
INSERT INTO `lang_definitions` VALUES (56472, 6098, 14, 'Խորխ։');
INSERT INTO `lang_definitions` VALUES (56473, 6099, 14, 'ԲԺ');
INSERT INTO `lang_definitions` VALUES (56474, 6100, 14, 'sql');
INSERT INTO `lang_definitions` VALUES (56475, 6102, 14, 'Բաժանմունք');
INSERT INTO `lang_definitions` VALUES (56476, 6103, 14, 'Բաժանմունքի անձնակազմ');
INSERT INTO `lang_definitions` VALUES (56477, 6104, 14, 'Բաժանմունքներ');
INSERT INTO `lang_definitions` VALUES (56478, 6105, 14, 'SRH');
INSERT INTO `lang_definitions` VALUES (56479, 6106, 14, 'SRH - ընտանիքի պլանավորում');
INSERT INTO `lang_definitions` VALUES (56480, 6107, 14, 'SRH - ոչ ընտանեկան պլանավորում');
INSERT INTO `lang_definitions` VALUES (56481, 6108, 14, 'SRH ուղեգիր');
INSERT INTO `lang_definitions` VALUES (56482, 6109, 14, 'SRH այցի ձև');
INSERT INTO `lang_definitions` VALUES (56483, 6110, 14, 'Ծառայության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56484, 6111, 14, 'SS');
INSERT INTO `lang_definitions` VALUES (56485, 6112, 14, 'SSL հավաստագրի կառավարում/կարգավորում');
INSERT INTO `lang_definitions` VALUES (56486, 6113, 14, 'SSN');
INSERT INTO `lang_definitions` VALUES (56487, 6114, 14, 'Կայունություն');
INSERT INTO `lang_definitions` VALUES (56488, 6115, 14, 'Պլանային դուրսգրում');
INSERT INTO `lang_definitions` VALUES (56489, 6116, 14, 'Ստանդարտ');
INSERT INTO `lang_definitions` VALUES (56490, 6117, 14, 'Ստանդարտ կոդ');
INSERT INTO `lang_definitions` VALUES (56491, 6118, 14, 'Ստանդարտ միջոցներ/միջոցառումներ');
INSERT INTO `lang_definitions` VALUES (56492, 6119, 14, 'Ստանդարտ միջոցներ/միջոցառումներ (Ակտիվ ազդանշաններ)');
INSERT INTO `lang_definitions` VALUES (56493, 6120, 14, 'Ստանդարտ միջոցներ/միջոցառումներ (Պասիվ ազդանշաններ)');
INSERT INTO `lang_definitions` VALUES (56494, 6121, 14, 'Ստանդարտ միջոցներ/միջոցառումներ (Պացիենտի հիշեցումներ)');
INSERT INTO `lang_definitions` VALUES (56495, 6122, 14, 'Ստանդարտ անվանում');
INSERT INTO `lang_definitions` VALUES (56496, 6123, 14, 'Ստանդարտ։ Պարզեցված։ միայն վերնագիր, մեկնարկի ամսաթիվ, մեկնաբանություններ և ակտիվ նշավանդակ; ոչ մի ախտորոշում, բացահայտում/կրկնություն, ավարտման ամսաթիվ,, անդրադարձ, սպորտային դաշտ; ֆուտբոլային վնասվածք');
INSERT INTO `lang_definitions` VALUES (56497, 6124, 14, 'Սկիզբ/մեկնարկ');
INSERT INTO `lang_definitions` VALUES (56498, 6125, 14, 'Սկիզբ/մեկնարկ (տտ-աա-օօ): ');
INSERT INTO `lang_definitions` VALUES (56499, 6126, 14, 'Սկսել մեկ ուրիշ հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (56500, 6128, 14, 'Մեկնարկի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56501, 6129, 14, 'Սույն կլինիկայում սկսված ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56502, 6130, 14, 'Սկզբի ամսաթիվը չի կարող մեծ լինել ավարտի ամսաթվից');
INSERT INTO `lang_definitions` VALUES (56503, 6131, 14, 'Մեկնարկի ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (56504, 6132, 14, 'Մեկնարկի ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (56505, 6134, 14, 'Սկիզբ (ժամ)');
INSERT INTO `lang_definitions` VALUES (56506, 6135, 14, 'Սկզբնական ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56507, 6136, 14, 'Շրջան');
INSERT INTO `lang_definitions` VALUES (56508, 6137, 14, 'Պետական տվյալների ձև');
INSERT INTO `lang_definitions` VALUES (56509, 6138, 14, 'Պետական լիցենզիա #');
INSERT INTO `lang_definitions` VALUES (56510, 6139, 14, 'Պետական լիցենզիայի համար');
INSERT INTO `lang_definitions` VALUES (56511, 6140, 14, 'Պետական ցանկ');
INSERT INTO `lang_definitions` VALUES (56512, 6141, 14, 'Պետական ցանկ (գրել,  միայն ավելացնել ըստ ցանկության)');
INSERT INTO `lang_definitions` VALUES (56513, 6143, 14, 'Նահանգ կամ շրջան');
INSERT INTO `lang_definitions` VALUES (56514, 6144, 14, 'Նահանգ/շրջան/տեղամաս/բնակության վայր');
INSERT INTO `lang_definitions` VALUES (56515, 6145, 14, 'Նահանգ/շրջան');
INSERT INTO `lang_definitions` VALUES (56516, 6146, 14, 'ԵԶՐԱՓԱԿՈՒՄ/ ԵԶՐԱՓԱԿԻՉ ՀԱՅՏԱՐԱՐՈՒԹՅՈՒՆ');
INSERT INTO `lang_definitions` VALUES (56517, 6147, 14, 'Հայտարարություններ և թարմացվող հաշիվներ');
INSERT INTO `lang_definitions` VALUES (56518, 6148, 14, 'Հայտարարություններն ուղարկվել են');
INSERT INTO `lang_definitions` VALUES (56519, 6149, 14, 'հայտարարություններ։ հաշիվները չեն թարմացվի');
INSERT INTO `lang_definitions` VALUES (56520, 6150, 14, 'Ստատիկ տեքստ');
INSERT INTO `lang_definitions` VALUES (56521, 6151, 14, 'Վիճակագրական տվյալներ');
INSERT INTO `lang_definitions` VALUES (56522, 6152, 14, 'Վիճ․');
INSERT INTO `lang_definitions` VALUES (56523, 6153, 14, 'Կարգավիճակ');
INSERT INTO `lang_definitions` VALUES (56524, 6154, 14, 'Վիճակն ընդունվելիս');
INSERT INTO `lang_definitions` VALUES (56525, 6155, 14, 'Գանգատի կարգավիճակը');
INSERT INTO `lang_definitions` VALUES (56526, 6156, 14, 'Ստատուս քվո');
INSERT INTO `lang_definitions` VALUES (56527, 6159, 14, 'Ուժ և ազդեցություն');
INSERT INTO `lang_definitions` VALUES (56528, 6163, 14, 'CCR XML բեռնման քայլեր');
INSERT INTO `lang_definitions` VALUES (56529, 6164, 14, 'DSM IV տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (56530, 6165, 14, 'ICD 10 տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (56531, 6166, 14, 'ICD 9 տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (56532, 6167, 14, 'RxNorm տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (56533, 6168, 14, 'Snomed տվյալների բազայի տեղադրման քայլեր');
INSERT INTO `lang_definitions` VALUES (56534, 6169, 14, 'Կոշտ/ոչ ճկուն հոդեր');
INSERT INTO `lang_definitions` VALUES (56535, 6170, 14, 'Կոշտություն');
INSERT INTO `lang_definitions` VALUES (56536, 6171, 14, 'Ֆոնդային ամիսներ');
INSERT INTO `lang_definitions` VALUES (56537, 6172, 14, 'Ստամոքսի ցավեր');
INSERT INTO `lang_definitions` VALUES (56538, 6173, 14, 'Դադար/դադարեցնել');
INSERT INTO `lang_definitions` VALUES (56539, 6175, 14, 'Մկանների լարում');
INSERT INTO `lang_definitions` VALUES (56540, 6176, 14, 'Հոսք/տարածում');
INSERT INTO `lang_definitions` VALUES (56541, 6177, 14, 'Փողոց');
INSERT INTO `lang_definitions` VALUES (56542, 6178, 14, 'Փողոցի հասցեն');
INSERT INTO `lang_definitions` VALUES (56543, 6179, 14, 'Փողոց և համար');
INSERT INTO `lang_definitions` VALUES (56544, 6180, 14, 'Ուժ');
INSERT INTO `lang_definitions` VALUES (56545, 6181, 14, 'Ուժ և ազդեցություն');
INSERT INTO `lang_definitions` VALUES (56546, 6182, 14, 'Կոկորդի սուր հիվանդություն');
INSERT INTO `lang_definitions` VALUES (56547, 6183, 14, 'Ճնշմամբ պայմանավորված կոտրվածք');
INSERT INTO `lang_definitions` VALUES (56548, 6184, 14, 'Ծանրաբեռնվածության թեստ');
INSERT INTO `lang_definitions` VALUES (56549, 6185, 14, 'Կաթված');
INSERT INTO `lang_definitions` VALUES (56550, 6186, 14, 'Ապահով գաղտնաբառը պարունակում է 8 նիշ, որից ամենաքիչը 3 թիվ, մեծատառ, փոքրատառ, սիմվոլ');
INSERT INTO `lang_definitions` VALUES (56551, 6187, 14, 'Տեսք');
INSERT INTO `lang_definitions` VALUES (56552, 6188, 14, 'Նոր պացիենտ ավելացնելու ձևաթղթի տեսքը');
INSERT INTO `lang_definitions` VALUES (56553, 6189, 14, 'Ենթաբաժին');
INSERT INTO `lang_definitions` VALUES (56554, 6190, 14, 'Միջանկյալ հանրագումար');
INSERT INTO `lang_definitions` VALUES (56555, 6191, 14, 'Ենթաբաժին');
INSERT INTO `lang_definitions` VALUES (56556, 6192, 14, 'ենթաբաժին');
INSERT INTO `lang_definitions` VALUES (56557, 6193, 14, 'ենթամաշկային');
INSERT INTO `lang_definitions` VALUES (56558, 6194, 14, 'Թեմա/առարկա');
INSERT INTO `lang_definitions` VALUES (56559, 6195, 14, 'Սուբյեկտիվ');
INSERT INTO `lang_definitions` VALUES (56560, 6196, 14, 'Ենթալեզվային');
INSERT INTO `lang_definitions` VALUES (56561, 6197, 14, 'ենթալեզվային');
INSERT INTO `lang_definitions` VALUES (56562, 6198, 14, 'Ներկայացնել/հաստատել');
INSERT INTO `lang_definitions` VALUES (56563, 6199, 14, 'Ներկայացնել/հաստատել');
INSERT INTO `lang_definitions` VALUES (56564, 6200, 14, 'Ներկայացնել/հաստատել ողջ բովանդակությունը');
INSERT INTO `lang_definitions` VALUES (56565, 6201, 14, 'Հաստատել և ջնջել պահանջը');
INSERT INTO `lang_definitions` VALUES (56566, 6202, 14, 'Հաստատել իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (56567, 6203, 14, 'հաստատել ձևը');
INSERT INTO `lang_definitions` VALUES (56568, 6204, 14, 'Հաստատել ընտրված ենթատեքստը');
INSERT INTO `lang_definitions` VALUES (56569, 6205, 14, 'հաստատված է');
INSERT INTO `lang_definitions` VALUES (56570, 6206, 14, 'հաստատված է -ի կողմից');
INSERT INTO `lang_definitions` VALUES (56571, 6208, 14, 'Բաժանորդ');
INSERT INTO `lang_definitions` VALUES (56572, 6209, 14, 'Բաժանորդի հասցեն');
INSERT INTO `lang_definitions` VALUES (56573, 6210, 14, 'Բաժանորդի քաղաք');
INSERT INTO `lang_definitions` VALUES (56574, 6211, 14, 'Բաժանորդի երկիր');
INSERT INTO `lang_definitions` VALUES (56575, 6212, 14, 'Բաժանորդի ծննդյան տարեթիվ');
INSERT INTO `lang_definitions` VALUES (56576, 6213, 14, 'Բաժանորդի աշխատավայր');
INSERT INTO `lang_definitions` VALUES (56577, 6214, 14, 'Բաժանորդի աշխատավայր  (SE)');
INSERT INTO `lang_definitions` VALUES (56578, 6215, 14, 'Բաժանորդի աշխատավայրի/գործատուիհասցե');
INSERT INTO `lang_definitions` VALUES (56579, 6216, 14, 'Բաժանորդի աշխատավայրի/գործատուիքաղաք');
INSERT INTO `lang_definitions` VALUES (56580, 6217, 14, 'Բաժանորդի աշխատավայրի/գործատուիերկիր');
INSERT INTO `lang_definitions` VALUES (56581, 6218, 14, 'Բաժանորդի աշխատավայրի/գործատուիմարզ');
INSERT INTO `lang_definitions` VALUES (56582, 6219, 14, 'Բաժանորդի աշխատավայրի/գործատուի փողոց');
INSERT INTO `lang_definitions` VALUES (56583, 6220, 14, 'Բաժանորդի աշխատավայրի/գործատուի փոստայի ինդեքս');
INSERT INTO `lang_definitions` VALUES (56584, 6221, 14, 'Բաժանորդի աշխատավայրի/գործատուի փոստայի ինդեքս');
INSERT INTO `lang_definitions` VALUES (56585, 6222, 14, 'Բաժանորդի անուն');
INSERT INTO `lang_definitions` VALUES (56586, 6223, 14, 'Բաժանորդի ազգանուն');
INSERT INTO `lang_definitions` VALUES (56587, 6224, 14, 'Բաժանորդի հայրանուն');
INSERT INTO `lang_definitions` VALUES (56588, 6225, 14, 'Բաժանորդի հեռախոս');
INSERT INTO `lang_definitions` VALUES (56589, 6226, 14, 'Բաժանորդի կապը/առնչությունը/հարաբերությունը');
INSERT INTO `lang_definitions` VALUES (56590, 6227, 14, 'Ազգագրական տվյալներն այլ են, սակայն ազգանունը նույնն է․ Արդյո՞ք սա ճիշտ է');
INSERT INTO `lang_definitions` VALUES (56591, 6228, 14, 'Ազգագրական տվյալներն այլ են, սակայն SS համարը  նույնն է․');
INSERT INTO `lang_definitions` VALUES (56592, 6229, 14, 'Ազգագրական տվյալներն նույնն են, սակայն անունը այլ է․ Արդյո՞ք սա ճիշտ է');
INSERT INTO `lang_definitions` VALUES (56593, 6230, 14, 'Ազգագրական տվյալներն  նույնն  են, սակայն SS համարը այլ է․');
INSERT INTO `lang_definitions` VALUES (56594, 6231, 14, 'Բաժանորդի սեռը');
INSERT INTO `lang_definitions` VALUES (56595, 6232, 14, 'Բաժանորդի SS');
INSERT INTO `lang_definitions` VALUES (56596, 6233, 14, 'Բաժանորդի Մարզը/շրջանը');
INSERT INTO `lang_definitions` VALUES (56597, 6234, 14, 'Բաժանորդի փոստային կոդը');
INSERT INTO `lang_definitions` VALUES (56598, 6235, 14, 'Բաժանորդի հեռախոս');
INSERT INTO `lang_definitions` VALUES (56599, 6237, 14, 'Փոխարինում /');
INSERT INTO `lang_definitions` VALUES (56600, 6238, 14, 'Փոխարինում թույլատրված է');
INSERT INTO `lang_definitions` VALUES (56601, 6240, 14, 'Հաջողություն');
INSERT INTO `lang_definitions` VALUES (56602, 6241, 14, 'հաջողություն');
INSERT INTO `lang_definitions` VALUES (56603, 6242, 14, 'Լաբորատոր հետազոտությունների դրական/հաջող պատասխան');
INSERT INTO `lang_definitions` VALUES (56604, 6243, 14, 'Լաբորատոր հետազոտությունների պատասխանը հաջողությամբ ստացվեց');
INSERT INTO `lang_definitions` VALUES (56605, 6244, 14, 'Lab Exchange Network-ից արդյունքների հաջող արտածում');
INSERT INTO `lang_definitions` VALUES (56606, 6246, 14, 'Կատեգորիան հաջողությամբ ավելացվեց');
INSERT INTO `lang_definitions` VALUES (56607, 6247, 14, 'Հաջողությամբ ավելացվեց կատեգորիային');
INSERT INTO `lang_definitions` VALUES (56608, 6248, 14, 'Հաջողությամբ ջնջվեց');
INSERT INTO `lang_definitions` VALUES (56609, 6249, 14, 'Մանրամասները հաջողությամբ ներբեռնվեցին։ Խնդրում ենք հաստատել հաստատմանն սպասող Պացիենտին');
INSERT INTO `lang_definitions` VALUES (56610, 6250, 14, 'Տվյալների բազան հաջողությամբ տեղադրվել է');
INSERT INTO `lang_definitions` VALUES (56611, 6251, 14, 'Սույն տվյալների բազան հաջողությամբ տեղադրվել է');
INSERT INTO `lang_definitions` VALUES (56612, 6252, 14, 'Հաջողությամբ փոփոխվեց');
INSERT INTO `lang_definitions` VALUES (56613, 6253, 14, 'Հաջողությամբ պահպանվեց․ Սահամանե՞լ այն');
INSERT INTO `lang_definitions` VALUES (56614, 6254, 14, 'Հաջողությամբ պահպանվեց․ Սահամանե՞լ այն');
INSERT INTO `lang_definitions` VALUES (56615, 6256, 14, 'Հաջողությամբ պահպանվեց/պահեստավորվեց');
INSERT INTO `lang_definitions` VALUES (56616, 6257, 14, 'Տվյալների բազան հաջողությամբ թարմացվեց');
INSERT INTO `lang_definitions` VALUES (56617, 6258, 14, 'Սույն տվյալների բազան հաջողությամբ թարմացվեց');
INSERT INTO `lang_definitions` VALUES (56618, 6259, 14, 'հաջողությամբ');
INSERT INTO `lang_definitions` VALUES (56619, 6260, 14, 'Ինքնասպանություն');
INSERT INTO `lang_definitions` VALUES (56620, 6261, 14, 'Ամփոփում');
INSERT INTO `lang_definitions` VALUES (56621, 6262, 14, '-ի ամփոփում');
INSERT INTO `lang_definitions` VALUES (56622, 6265, 14, 'Կիր․');
INSERT INTO `lang_definitions` VALUES (56623, 6266, 14, 'Սունդաաներեն/սունդանացի');
INSERT INTO `lang_definitions` VALUES (56624, 6267, 14, 'Կիրակի');
INSERT INTO `lang_definitions` VALUES (56625, 6268, 14, 'Superbill');
INSERT INTO `lang_definitions` VALUES (56626, 6269, 14, 'Superbill կոդեր');
INSERT INTO `lang_definitions` VALUES (56627, 6270, 14, 'Superbill կոդերի կառավարում');
INSERT INTO `lang_definitions` VALUES (56628, 6271, 14, 'Superbill հաշվետվություն');
INSERT INTO `lang_definitions` VALUES (56629, 6272, 14, 'Superbill/Վճարման թերթիկ');
INSERT INTO `lang_definitions` VALUES (56630, 6273, 14, 'Superbills');
INSERT INTO `lang_definitions` VALUES (56631, 6275, 14, 'Գերօգտվող');
INSERT INTO `lang_definitions` VALUES (56632, 6276, 14, 'Վերահսկող/Ղեկավարող/Կառավարող');
INSERT INTO `lang_definitions` VALUES (56633, 6278, 14, 'DEA ղեկավարող բժիշկ');
INSERT INTO `lang_definitions` VALUES (56634, 6279, 14, 'Ղեկավարող Բժշկի անունը');
INSERT INTO `lang_definitions` VALUES (56635, 6280, 14, 'Ղեկավարող Բժշկի ազգանունը');
INSERT INTO `lang_definitions` VALUES (56636, 6281, 14, 'Ղեկավարող Բժշկի NPI');
INSERT INTO `lang_definitions` VALUES (56637, 6282, 14, 'Ղեկավարող Բժշկի UPIN');
INSERT INTO `lang_definitions` VALUES (56638, 6283, 14, 'Արտադրող մատակարարի իրավապանական անվանումը');
INSERT INTO `lang_definitions` VALUES (56639, 6284, 14, 'Աջակցում/գործարկում է մի շարք մասնագետների կողմից օգտագործվող օրացուցային իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (56640, 6286, 14, 'Աջակցում/գործարկում է մի շարք մասնագետների մասնակցությամբ իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (56641, 6289, 14, 'Մակերեսի/մակերևույթի տեսակը');
INSERT INTO `lang_definitions` VALUES (56642, 6290, 14, 'Վիրահատություններ');
INSERT INTO `lang_definitions` VALUES (56643, 6291, 14, 'Վիրահատություն');
INSERT INTO `lang_definitions` VALUES (56644, 6292, 14, 'Վիրահատությունների ցանկ');
INSERT INTO `lang_definitions` VALUES (56645, 6293, 14, 'Հետաձգված');
INSERT INTO `lang_definitions` VALUES (56646, 6294, 14, 'Ընդհատում, դադարեցում');
INSERT INTO `lang_definitions` VALUES (56647, 6295, 14, 'Svc Ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56648, 6296, 14, 'Svc Ամսաթիվ։');
INSERT INTO `lang_definitions` VALUES (56649, 6299, 14, 'Քրտնարտադրություն։');
INSERT INTO `lang_definitions` VALUES (56650, 6300, 14, 'Շվեդական');
INSERT INTO `lang_definitions` VALUES (56651, 6301, 14, 'Այտուց/ուռուցք');
INSERT INTO `lang_definitions` VALUES (56652, 6302, 14, 'Աջակողմյա ուռուցք/այտուց');
INSERT INTO `lang_definitions` VALUES (56653, 6303, 14, 'Այտուցված հոդեր');
INSERT INTO `lang_definitions` VALUES (56654, 6304, 14, 'Այտուցված ավշային հանգույցներ');
INSERT INTO `lang_definitions` VALUES (56655, 6305, 14, 'Սիմվոլն օգտագործվում է արժույթի տասնորդական կետի համար․ չի կիրառվում, եթե տասնորդական նիշը 0 է');
INSERT INTO `lang_definitions` VALUES (56656, 6306, 14, 'Սիմվոլն օգտագործվում է արժույթի հազարական կետերի բաժանման  համար');
INSERT INTO `lang_definitions` VALUES (56657, 6307, 14, 'Սիմպտոմ/ախտանիշ');
INSERT INTO `lang_definitions` VALUES (56658, 6308, 14, 'Համաժամանակեցնել');
INSERT INTO `lang_definitions` VALUES (56659, 6309, 14, 'Համաժամանակեցնել թարգմանությունը անհատական լեզվախմբի հետ');
INSERT INTO `lang_definitions` VALUES (56660, 6310, 14, 'Նոր  անհատական կոնստանտի համաժամանակեցում');
INSERT INTO `lang_definitions` VALUES (56661, 6311, 14, 'Նոր  անհատական լեզվի համաժամանակեցում');
INSERT INTO `lang_definitions` VALUES (56662, 6312, 14, 'Նոր  բացատրության/նշանակության համաժամանակեցում (Լեզու, Կոնստանտ, Նշանակություն)');
INSERT INTO `lang_definitions` VALUES (56663, 6313, 14, 'Սինկոպա/հնչակորուստ');
INSERT INTO `lang_definitions` VALUES (56664, 6314, 14, 'Համախտանիշի վերահսկողություն');
INSERT INTO `lang_definitions` VALUES (56665, 6315, 14, 'Համախտանիշի վերահսկողություն -Չհրապարակված հարցեր/արդյունքներ');
INSERT INTO `lang_definitions` VALUES (56666, 6316, 14, 'Համախտանիշի վերահսկողության հաշվետվություն/զեկույց');
INSERT INTO `lang_definitions` VALUES (56667, 6318, 14, 'Համակարգ');
INSERT INTO `lang_definitions` VALUES (56668, 6322, 14, 'T');
INSERT INTO `lang_definitions` VALUES (56669, 6323, 14, 'Օրը երեք անգամ');
INSERT INTO `lang_definitions` VALUES (56670, 6325, 14, 'Աղյուսակ');
INSERT INTO `lang_definitions` VALUES (56671, 6327, 14, 'Աղյուսակի ստեղծումը ձախողեց');
INSERT INTO `lang_definitions` VALUES (56672, 6328, 14, 'Աղյուսակի թարմացումը ձախողեց');
INSERT INTO `lang_definitions` VALUES (56673, 6329, 14, 'Աղյուսակներ');
INSERT INTO `lang_definitions` VALUES (56674, 6330, 14, 'Հաբ/կոճակ');
INSERT INTO `lang_definitions` VALUES (56675, 6335, 14, 'Ընդունել/վերցնել');
INSERT INTO `lang_definitions` VALUES (56676, 6336, 14, 'Ընտրել Ապահովագրին դեպի ցած բացվող ցանկից');
INSERT INTO `lang_definitions` VALUES (56677, 6337, 14, 'Ընտրել Վճարման ձևը ցած բացվող ցանկից');
INSERT INTO `lang_definitions` VALUES (56678, 6338, 14, 'Հետ վերցնել');
INSERT INTO `lang_definitions` VALUES (56679, 6339, 14, 'Երկար ժամանակ կպահանջի/կտևի');
INSERT INTO `lang_definitions` VALUES (56680, 6340, 14, 'Բարձրադիր նավիգացիոն տարածք');
INSERT INTO `lang_definitions` VALUES (56681, 6342, 14, 'Կեղծ ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56682, 6343, 14, 'Կեղծ գումար');
INSERT INTO `lang_definitions` VALUES (56683, 6347, 14, 'Թիրախային ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56684, 6348, 14, 'Թիրախային պացիենտ');
INSERT INTO `lang_definitions` VALUES (56685, 6349, 14, 'Թիրախային պացիենտը ծննդյան ամսաթիվ չունի');
INSERT INTO `lang_definitions` VALUES (56686, 6350, 14, 'Թիրախային պացիենտ չի գտնվել');
INSERT INTO `lang_definitions` VALUES (56687, 6351, 14, 'Թիրախ/գործողությունների խմբեր');
INSERT INTO `lang_definitions` VALUES (56688, 6352, 14, 'Թաթար');
INSERT INTO `lang_definitions` VALUES (56689, 6354, 14, 'ՀՎՀՀ');
INSERT INTO `lang_definitions` VALUES (56690, 6355, 14, 'Հարկային դրույք');
INSERT INTO `lang_definitions` VALUES (56691, 6356, 14, 'Հարկեր');
INSERT INTO `lang_definitions` VALUES (56692, 6359, 14, 'Վնասվածքի թիմային ախտորոշում');
INSERT INTO `lang_definitions` VALUES (56693, 6360, 14, 'Թիմի անվանացանկ');
INSERT INTO `lang_definitions` VALUES (56694, 6361, 14, 'Թիմի անվանացանկի դիտում');
INSERT INTO `lang_definitions` VALUES (56695, 6362, 14, 'Թիմ/բաժանմունք');
INSERT INTO `lang_definitions` VALUES (56696, 6363, 14, 'Հեռ․');
INSERT INTO `lang_definitions` VALUES (56697, 6364, 14, 'Երկրի միջազգային հեռախոսային կոդը');
INSERT INTO `lang_definitions` VALUES (56698, 6366, 14, 'Ջերմ․');
INSERT INTO `lang_definitions` VALUES (56699, 6367, 14, 'Ջերմաչափման վայրը');
INSERT INTO `lang_definitions` VALUES (56700, 6368, 14, 'Ջերմաչափման մեթոդը');
INSERT INTO `lang_definitions` VALUES (56701, 6369, 14, 'Ջերմություն');
INSERT INTO `lang_definitions` VALUES (56702, 6370, 14, 'Ձև/Նմուշ');
INSERT INTO `lang_definitions` VALUES (56703, 6371, 14, 'Նմուշի անվանում');
INSERT INTO `lang_definitions` VALUES (56704, 6372, 14, 'Նմուշի անվանումը չի կարող սկսվել թվով');
INSERT INTO `lang_definitions` VALUES (56705, 6373, 14, 'Ձև/Նմուշ։');
INSERT INTO `lang_definitions` VALUES (56706, 6374, 14, 'Ձևեր/Նմուշներ։');
INSERT INTO `lang_definitions` VALUES (56707, 6376, 14, 'Ջլի վնասվածք');
INSERT INTO `lang_definitions` VALUES (56708, 6378, 14, 'Փորձնական հաշիվ-ապրանքագրի համար');
INSERT INTO `lang_definitions` VALUES (56709, 6379, 14, 'Երրորդային/ երրորդ կարգի');
INSERT INTO `lang_definitions` VALUES (56710, 6380, 14, 'Երրորդային/ երրորդ կարգի ապահովագրություն');
INSERT INTO `lang_definitions` VALUES (56711, 6381, 14, 'Երրորդային/ երրորդ կարգի ապահովագրության ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56712, 6382, 14, 'Երրորդային/ երրորդ կարգի ապահովագրող');
INSERT INTO `lang_definitions` VALUES (56713, 6383, 14, 'Թեստավորման/հետազոտման պլանավորում');
INSERT INTO `lang_definitions` VALUES (56714, 6384, 14, 'Թեստային համակարգ');
INSERT INTO `lang_definitions` VALUES (56715, 6385, 14, 'Տեքստ');
INSERT INTO `lang_definitions` VALUES (56716, 6386, 14, 'Ախտորոշման նկարագիր');
INSERT INTO `lang_definitions` VALUES (56717, 6387, 14, 'Տեքստային դաշտ');
INSERT INTO `lang_definitions` VALUES (56718, 6393, 14, 'Տեքստի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56719, 6394, 14, 'տեքստի ամսաթիվ');
INSERT INTO `lang_definitions` VALUES (56720, 6395, 14, 'Տեքստային տարածք');
INSERT INTO `lang_definitions` VALUES (56721, 6396, 14, 'տեքստային տարածք');
INSERT INTO `lang_definitions` VALUES (56722, 6397, 14, 'Տեքստային դաշտ');
INSERT INTO `lang_definitions` VALUES (56723, 6398, 14, 'տեքստային դաշտ');
INSERT INTO `lang_definitions` VALUES (56724, 6399, 14, 'Տեքստային դաշտի ցանկ');
INSERT INTO `lang_definitions` VALUES (56725, 6400, 14, 'տեքստային դաշտի ցանկ');
INSERT INTO `lang_definitions` VALUES (56726, 6401, 14, 'թայերեն');
INSERT INTO `lang_definitions` VALUES (56727, 6402, 14, 'Շնորհակալություն');
INSERT INTO `lang_definitions` VALUES (56728, 6403, 14, 'Շնորհակալություն ընտրության համար');
INSERT INTO `lang_definitions` VALUES (56729, 6404, 14, '\"Մաքրել\" կոճակը կջնջի/կհեռացնի բոլոր ծանոթագրությունների');
INSERT INTO `lang_definitions` VALUES (56730, 6405, 14, 'Վերոնշյալ հայտը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (56731, 6406, 14, 'SSL Apache սերվերի հավաստագիր և ընդհանուր բանալի');
INSERT INTO `lang_definitions` VALUES (56732, 6407, 14, 'Լիազորման Սերիտիֆիկատի հավաստագիր');
INSERT INTO `lang_definitions` VALUES (56733, 6408, 14, 'Պահանջի ֆայլ։ ');
INSERT INTO `lang_definitions` VALUES (56734, 6410, 14, 'Համապատասխան անձնական բանալի');
INSERT INTO `lang_definitions` VALUES (56735, 6411, 14, 'Այս ձևի տվյալների ամբողջականության փորձարկումը ձախողվեց');
INSERT INTO `lang_definitions` VALUES (56736, 6413, 14, 'Մերժման կոդը հետևյալն է։');
INSERT INTO `lang_definitions` VALUES (56737, 6414, 14, 'Խմբի մերժման կոդը հետևյալն է։');
INSERT INTO `lang_definitions` VALUES (56738, 6415, 14, 'Նշանակման ձևը փակ է');
INSERT INTO `lang_definitions` VALUES (56739, 6416, 14, 'Նշանակման ձևը փակ է․ այն չի կարող ազդել ընտրության վրա');
INSERT INTO `lang_definitions` VALUES (56740, 6422, 14, 'Իրադարձություն(ներ)ը հաստատված է(են)');
INSERT INTO `lang_definitions` VALUES (56741, 6423, 14, 'Իրադարձություն(ներ)ը թաքցված է(են)');
INSERT INTO `lang_definitions` VALUES (56742, 6424, 14, 'Ներմուծված տվյալը հայտնվում է ներքոհիշյալ տեքստային տարածքում։ Կարող եք կրկնօրինակել այն տեղադրել էլ․փոստում կամ այլ նշանակված վայրում։');
INSERT INTO `lang_definitions` VALUES (56743, 6426, 14, 'Ներմուծված տվյալը հայտնվում է ներքոհիշյալ տեքստային տարածքում։ Կարող եք կրկնօրինակել այն տեղադրել էլ․փոստում կամ այլ նշանակված վայրում։');
INSERT INTO `lang_definitions` VALUES (56744, 6427, 14, 'Ներմուծված տվյալը հայտնվում է ներքոհիշյալ տեքստային տարածքում։ Կարող եք կրկնօրինակել այն տեղադրել էլ․փոստում կամ այլ նշանակված վայրում։ {{ՀԱՋՈՐԴ ԹԱՐԳՄԱՆՈՒԹՅԱՆ ԻՐԱԳՈՐԾՄԱՆ ԺԱՄԱՆԱԿ ՆՇԵՔ ԱՅՆ ՋՆՋՄԱՆ ՆՊԱՏԱԿՈՎ}}');
INSERT INTO `lang_definitions` VALUES (56745, 6428, 14, 'Ֆայլը չի պահպանվել CouchDB-ում');
INSERT INTO `lang_definitions` VALUES (56746, 6429, 14, 'Ֆայլի անվանափոխումը չհաջողվեց։ Նման խնդիրները սովորաբար կապված են պահեստային համակարգի թույլտվության հետ։');
INSERT INTO `lang_definitions` VALUES (56747, 6430, 14, 'Ֆայլի պահեստավորումը չհաջողվեց։ Նման խնդիրները սովորաբար կապված են պահեստային համակարգի թույլտվության հետ։');
INSERT INTO `lang_definitions` VALUES (56748, 6431, 14, 'Առաջին (\"թիրախ\") աղյուսակը միաիկն է, որ համարվում է առավել ամբողջականն ու շգրիտը։ Ազգագրական, հիվանդության պատմության  և ապահովագրական տվյալները կպահպանվեն այստեղ');
INSERT INTO `lang_definitions` VALUES (56749, 6433, 14, 'Առաջին քայլը  Միասնական Բժշկական Լեզվի համակարգի /Unified Medical Language System/ վեբ կայքում օգտվողի հաշիվ բացելն է');
INSERT INTO `lang_definitions` VALUES (56750, 6434, 14, 'Ավելացվել է հետևյալ օրացույցային իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (56751, 6435, 14, 'Փոփոխվել է հետևյալ օրացույցային իրադարձությունը');
INSERT INTO `lang_definitions` VALUES (56752, 6436, 14, 'Կատեգորիաների ցանկից կջնջվեն հետևյալները։');
INSERT INTO `lang_definitions` VALUES (56753, 6437, 14, 'Տեղադրվել էտվյալների բազայի  հետևյալ տարբերակը');
INSERT INTO `lang_definitions` VALUES (56754, 6438, 14, 'Անձնական նամակին կցվել են հետևյալ փաստաթղթերը');
INSERT INTO `lang_definitions` VALUES (56755, 6439, 14, 'Թարմացվել է հետևյալ  EDI ֆայլը');
INSERT INTO `lang_definitions` VALUES (56756, 6440, 14, 'Ակտիվացվել է հետևյալ արտակարգ մուտքի օգտվողը');
INSERT INTO `lang_definitions` VALUES (56757, 6441, 14, 'Տեղի են ունեցել հետևյալ սխալները');
INSERT INTO `lang_definitions` VALUES (56758, 6442, 14, 'Այս դաշտը պարունակում է անվավեր արժեք');
INSERT INTO `lang_definitions` VALUES (56759, 6444, 14, 'Հետևյալ դաշտերը պարտադիր են');
INSERT INTO `lang_definitions` VALUES (56760, 6446, 14, 'Պահանջն ուղարկելու համար անհրաժեշտ է լրացնել հետևյալ դաշտերը');
INSERT INTO `lang_definitions` VALUES (56761, 6448, 14, 'Հետևյալ խնդիրներն ունեն միևնույն ախտորոշման կոդերը։ Այցի ընթացքում գրանցված խնդիրները չեն թարմացվի։ Խնդրում ենք օգտագործել  այցելության ինտերֆեյսը միայն');
INSERT INTO `lang_definitions` VALUES (56762, 6450, 14, 'Սկզբնական պատուհանը համարվում է հաշիվ-ապրանքագրի որոնման էջ։ Վերևում կարող եք մուտքագրել սկզբնաղբյուրը (օր․՝ հերթական համարը), վճարման ամսաթիվը և գումարը։ Աղբյուրի և վճարման ամսաթվի անհրաժեշտությունը նրանում է, որ այսուհետ կարիք չի լինի յուրաքանչյուր անգամ մուտքագրել դրանք։ Յուրաքանչյուր մասնակի վճարման դեպքում գումարը կնվազի և վերջում կզրոյանա։');
INSERT INTO `lang_definitions` VALUES (56763, 6454, 14, 'Տեղադրված տարբերակն ու ֆայլերը նույնն են');
INSERT INTO `lang_definitions` VALUES (56764, 6455, 14, 'Տեղադրված տարբերակն ավելի թարմ է, քան  ֆայլերը');
INSERT INTO `lang_definitions` VALUES (56765, 6456, 14, 'Ձևանմուշի վրա օգտվողի մոտ հայտնվող պիտակը');
INSERT INTO `lang_definitions` VALUES (56766, 6457, 14, 'Երկարությունը չպետք է գերզանցի նիշերի հետևյալ քանակը');
INSERT INTO `lang_definitions` VALUES (56767, 6459, 14, 'Այս պահին հնարավոր չէ հաղորդագրություն ուղարկել');
INSERT INTO `lang_definitions` VALUES (56768, 6460, 14, 'Նոր կատեգորիան կլինի -ի ենթակատեգորիան ');
INSERT INTO `lang_definitions` VALUES (56769, 6461, 14, 'Նոր և ընթացիկ գաղտնաբառը չեն կարող նույնը լինել');
INSERT INTO `lang_definitions` VALUES (56770, 6462, 14, 'Նոր գաղտնաբառի դաշտերը տարբեր են');
INSERT INTO `lang_definitions` VALUES (56771, 6463, 14, 'Տեղադրված ֆայլերի համարը սխալ է․ Տեղադրեք միայն այն ֆայլը, որն ուզում եք հաստատել/թարմացնել');
INSERT INTO `lang_definitions` VALUES (56772, 6464, 14, 'Տեղադրված ֆայլերի համարը սխալ է․ Տեղադրեք միայն այն ֆայլը, որն ուզում եք հաստատել/թարմացնել');
INSERT INTO `lang_definitions` VALUES (56773, 6465, 14, 'Էջը վերահղում կանի դեպի ազգագրական տվյալներ․ Դուք կկարողանաք խմբագրել երկիր դաշտը, ապա քլիքի օգնությամբ կրկին վերադառնալ NewCrop');
INSERT INTO `lang_definitions` VALUES (56774, 6466, 14, 'Գաղտնաբառը պետք է լինի առնվազն ութ նիշ և պիտի․․․');
INSERT INTO `lang_definitions` VALUES (56775, 6467, 14, 'Մուտքագրված գաղտնաբառը սխալ է');
INSERT INTO `lang_definitions` VALUES (56776, 6468, 14, 'Պացիենտի գրանցման հայտն ընդունված է');
INSERT INTO `lang_definitions` VALUES (56777, 6469, 14, 'Պացիենտի հիշեցումներն ուղարկված են');
INSERT INTO `lang_definitions` VALUES (56778, 6470, 14, 'Պացիենտի հիշեցումները թարմացված են');
INSERT INTO `lang_definitions` VALUES (56779, 6471, 14, 'Այս ձևը հաստատելիս պացիենտը մուտք չի գործել համակարգ');
INSERT INTO `lang_definitions` VALUES (56780, 6472, 14, 'Հրապարակված վճարումները չեն կարող լինել այս ամսաթվից ներքև․ սա նշանակում է, որ վերջնական հաշվետվություն ստանալուց հետո ոչ ոք չի հրապարակում նախկին ամսաթվերը');
INSERT INTO `lang_definitions` VALUES (56781, 6473, 14, 'Այս պացիենտի և ձևի համար պորտալում առկա են տվյալներ։  Բեռնե՞լ դրանք');
INSERT INTO `lang_definitions` VALUES (56782, 6475, 14, 'Մնացած ներքոհիշյալ ինֆորմացիան  ավելացվում է միայն երբ ձեռքով կատարում եք  գրառում կամ շտկումներ։');
INSERT INTO `lang_definitions` VALUES (56783, 6476, 14, 'Պահանջվող փաստաթուղթն առկա չէ ֆայլերի համակարգի տվյալ տարածքում, կամ չկա դրանց հասանելիության  համապատասխան թույլտվություն։');
INSERT INTO `lang_definitions` VALUES (56784, 6477, 14, 'Պահանջվող փաստաթուղթն առկա չէ ֆայլերի համակարգի տվյալ տարածքում, կամ չկա դրանց հասանելիության  համապատասխան թույլտվություն։');
INSERT INTO `lang_definitions` VALUES (56785, 6480, 14, 'Աղբյուրի և ամսաթվի սյուները կրկնօրինակվում են առաջին էջից, ուստի կարիք չկա դրանց ձեռք տալ։ Վճարման գումարը տեղադրում եք վճարում սյան մեջ, ճշգրտման ենթական ումարը՝ Ճշգրտում սյան մեջ, կամ երկուսում էլ։ Կարող եք աջ կողմում սեղմել  \"W\" to automatically compute an adjustment value that writes off the remainder of the charge for that line item.');
INSERT INTO `lang_definitions` VALUES (56786, 6484, 14, 'Օրացույցի ժամանակային և այցերի միջակայքի րոպեական  ճշգրտում');
INSERT INTO `lang_definitions` VALUES (56787, 6485, 14, 'Թարգմանված պիտակ, որն արտածվում է տվյալ լեզվով նմուշի/ձևի վրա');
INSERT INTO `lang_definitions` VALUES (56788, 6486, 14, 'Թարգմանված Վերնագիր, որ հայտնվում է ընթացիկ լեզվով');
INSERT INTO `lang_definitions` VALUES (56789, 6487, 14, 'Ընթացիկ լեզվով նկարագրության թարգմանություն');
INSERT INTO `lang_definitions` VALUES (56790, 6488, 14, 'Թարգմանված աղյուսակները համաժամանակեցված են');
INSERT INTO `lang_definitions` VALUES (56791, 6489, 14, 'Իրավաբանական անձի տեսակը');
INSERT INTO `lang_definitions` VALUES (56792, 6490, 14, 'Միջամտությունը կամ արդյունքը նույնականացնող հատուկ կոդ');
INSERT INTO `lang_definitions` VALUES (56793, 6492, 14, 'zip/սեղմված ֆայլը կարող է պարունակել հետևյալ կետերը');
INSERT INTO `lang_definitions` VALUES (56794, 6493, 14, 'Թեմա');
INSERT INTO `lang_definitions` VALUES (56795, 6495, 14, 'Թերապեվտիկ ներարկումներ');
INSERT INTO `lang_definitions` VALUES (56796, 6496, 14, 'Կան');
INSERT INTO `lang_definitions` VALUES (56797, 6497, 14, 'Ներկա պահին դեղատոմսեր/նշանակումներ չկան');
INSERT INTO `lang_definitions` VALUES (56798, 6498, 14, 'Հայտի ներկայացման սխալ կա։ Դրանք ներկայացված են ստորև');
INSERT INTO `lang_definitions` VALUES (56799, 6499, 14, 'Պաորտալ լոգինով առկա են տարբեր պացիենտներ');
INSERT INTO `lang_definitions` VALUES (56800, 6500, 14, 'Դուրսգրված քարտեր չկան');
INSERT INTO `lang_definitions` VALUES (56801, 6501, 14, 'Այս հիվանդի համար գրանցված բացահայտումներ չկան');
INSERT INTO `lang_definitions` VALUES (56802, 6502, 14, 'Նոր պնդումներ/հաստատումներ չկան');
INSERT INTO `lang_definitions` VALUES (56803, 6503, 14, 'Ֆայլում առկա չեն սույն պացիենտի մասին գրառումներ');
INSERT INTO `lang_definitions` VALUES (56804, 6504, 14, 'Ֆայլում առկա չեն սույն պացիենտի վերաբերյալ փոխանցումներ');
INSERT INTO `lang_definitions` VALUES (56805, 6505, 14, 'Տեղի է ունեցել փստի ուղարկման սխալ');
INSERT INTO `lang_definitions` VALUES (56806, 6506, 14, 'Կատեգորիան արդեն անվանակոչվել է');
INSERT INTO `lang_definitions` VALUES (56807, 6507, 14, 'Ենթակատեգորիան արդեն անվանակոչվել է');
INSERT INTO `lang_definitions` VALUES (56808, 6508, 14, 'Առկա է անվանակոչված կետ');
INSERT INTO `lang_definitions` VALUES (56809, 6509, 14, 'Հիվանդի գրառման հարցումն արդեն բացված է');
INSERT INTO `lang_definitions` VALUES (56810, 6510, 14, 'AR հաշվի համար չկա COA մուտք ');
INSERT INTO `lang_definitions` VALUES (56811, 6511, 14, 'Կանխիկ/Դրամական հաշվի համար չկա COA մուտք ');
INSERT INTO `lang_definitions` VALUES (56812, 6512, 14, 'Եկամտային հաշվի համար չկա COA մուտք ');
INSERT INTO `lang_definitions` VALUES (56813, 6513, 14, 'Չկա ընթացիկ պացիենտ');
INSERT INTO `lang_definitions` VALUES (56814, 6514, 14, 'Այս թեմայի շուրջ չկա  local content');
INSERT INTO `lang_definitions` VALUES (56815, 6515, 14, 'Հաշիվ-ապրանքագրի նույնականացման համապատասխանություն չկա');
INSERT INTO `lang_definitions` VALUES (56816, 6516, 14, 'Հաշիվ-ապրանքագրի նույնականացման համապատասխանություն չկա ');
INSERT INTO `lang_definitions` VALUES (56817, 6518, 14, 'Պորտալ լոգինով պացիենտ չկա');
INSERT INTO `lang_definitions` VALUES (56818, 6519, 14, 'Տեղի է ունեցել նամակի ուղարկման սխալ');
INSERT INTO `lang_definitions` VALUES (56819, 6520, 14, 'Հարցումն իրականացնելիս սխալ է տեղի ունեցել');
INSERT INTO `lang_definitions` VALUES (56820, 6522, 14, 'Ահա 2012 հղումները');
INSERT INTO `lang_definitions` VALUES (56821, 6523, 14, 'Աջակողմյա հաստացում');
INSERT INTO `lang_definitions` VALUES (56822, 6524, 14, 'Ազդր');
INSERT INTO `lang_definitions` VALUES (56823, 6525, 14, 'Ազդր + ծնկատակի ջիլ');
INSERT INTO `lang_definitions` VALUES (56824, 6526, 14, 'Տվյալներ, որ back office-ում  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (56825, 6527, 14, 'Տվյալներ, որ back office-ում կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (56826, 6528, 14, 'Տվյալներ, որ back office-ում կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (56827, 6529, 14, 'Տվյալներ, որ back office-ում կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (56828, 6530, 14, 'Տվյալներ, որ բժիշկները/բուժաշխատողները  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (56829, 6531, 14, 'Տվյալներ, որ բժիշկները/բուժաշխատողները կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (56830, 6532, 14, 'Տվյալներ, որ բժիշկները/բուժաշխատողները կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (56831, 6533, 14, 'Տվյալներ, որ բժիշկները/բուժաշխատողները կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (56832, 6534, 14, 'Տվյալներ, որ գլխավոր գրասենյակում  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (56833, 6535, 14, 'Տվյալներ, որ գլխավոր գրասենյակում կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (56834, 6536, 14, 'Տվյալներ, որ գլխավոր գրասենյակում կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (56835, 6537, 14, 'Տվյալներ, որ գլխավոր գրասենյակում կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (56836, 6538, 14, 'Տվյալներ, որ բժիշկները  կարող են միայն կարդալ');
INSERT INTO `lang_definitions` VALUES (56837, 6539, 14, 'Տվյալներ, որ բժիշկները կարող են  կարդալ, մուտքագրել, բայց չփոփոխել');
INSERT INTO `lang_definitions` VALUES (56838, 6540, 14, 'Տվյալներ, որ բժիշկները կարող են  կարդալ և փոփոխել');
INSERT INTO `lang_definitions` VALUES (56839, 6541, 14, 'Տվյալներ, որ բժիշկները կարող են  կարդալ և փոփոխել մասնակի');
INSERT INTO `lang_definitions` VALUES (56840, 6542, 14, 'Երրորդ');
INSERT INTO `lang_definitions` VALUES (56841, 6544, 14, 'Տվյալ գործողությունը ՀՆԱՐԱՎՈՐ ՉԷ չեղարկել/հետադարձել');
INSERT INTO `lang_definitions` VALUES (56842, 6545, 14, 'Տվյալ գործողությունը հնարավոր չէ չեղարկել/հետադարձել');
INSERT INTO `lang_definitions` VALUES (56843, 6547, 14, 'Տվյալ գործողությունը կգրանցվի համակարգում');
INSERT INTO `lang_definitions` VALUES (56844, 6549, 14, 'Այցելությունների ավտոմատացումը կիրառված է։ Կրկի՞ն կիրառել');
INSERT INTO `lang_definitions` VALUES (56845, 6550, 14, 'Այցելությունների ավտոմատացումն անհասանելի է․ փորձեք մեկ ուրիշը');
INSERT INTO `lang_definitions` VALUES (56846, 6551, 14, 'Այս օրացույցային տարին');
INSERT INTO `lang_definitions` VALUES (56847, 6552, 14, 'Այս պահանջը հանված/չեղարկված է');
INSERT INTO `lang_definitions` VALUES (56848, 6553, 14, 'Այս պահանջը փակված է');
INSERT INTO `lang_definitions` VALUES (56849, 6554, 14, 'Պահանջը մերժված է․ պատճառը։ -');
INSERT INTO `lang_definitions` VALUES (56850, 6555, 14, 'Պահանջն ուղարկված է հաջորդ մակարդակ');
INSERT INTO `lang_definitions` VALUES (56851, 6557, 14, 'Այս կոնտեքստում առկա են կատեգորիաներ, որոնք կարող են ջնջվել։ Ցանկանո՞ւմ եք շարունակել');
INSERT INTO `lang_definitions` VALUES (56852, 6558, 14, 'Սրանով վորոշվում է այցերի էկրանավորման ձևը');
INSERT INTO `lang_definitions` VALUES (56853, 6559, 14, 'Սրանով վորոշվում է այցերի գունային սխեմայի կիրառումը');
INSERT INTO `lang_definitions` VALUES (56854, 6561, 14, 'Սույն այցը');
INSERT INTO `lang_definitions` VALUES (56855, 6562, 14, 'Այս այցը հաշվեգրված է․ եթե ցանկանում եք փոփոխել, ապա պետք է նորից բացեք այն');
INSERT INTO `lang_definitions` VALUES (56856, 6563, 14, 'Այս այցը արգելափակված է։ Ոչ մի նոր ձև հնարավոր չէ ավելացնել');
INSERT INTO `lang_definitions` VALUES (56857, 6564, 14, 'Այս առանձնահատկությունը/բաղադրիչը դեռևս հասանելի չէ');
INSERT INTO `lang_definitions` VALUES (56858, 6565, 14, 'Այս առանձնահատկությունը/բաղադրիչը փորձարարական է և չի ամբողջությամբ չի փորձարկվել։ Կիրառեք այն ռիսկի համաձայն');
INSERT INTO `lang_definitions` VALUES (56859, 6566, 14, 'Այս հաշիվ-ապրանքագրի համարը փոխարինվել է -ով ');
INSERT INTO `lang_definitions` VALUES (56860, 6573, 14, 'Այս տեքստային հաղորդագրությունն ավտոմատ չի պահպանվել։ Կրկնօրինակեք այն և պահպանեք որպես կոնտեքստի/ենթատեքստի/համատեքստի համապատասխան մաս');
INSERT INTO `lang_definitions` VALUES (56861, 6574, 14, 'Այս մոդուլն այժմ կիրառվում է -ի կողմից ');
INSERT INTO `lang_definitions` VALUES (56862, 6575, 14, 'Այս մոդուլն այժմ փորձարկվում է։ Տվյալների բազան չի կարող փոփոխվել');
INSERT INTO `lang_definitions` VALUES (56863, 6576, 14, 'Այս մոդուլը նպաստում է EOB տվյալների արդյունավետ մուտքագրմանը');
INSERT INTO `lang_definitions` VALUES (56864, 6577, 14, 'Այս ամիս մինչ օրս');
INSERT INTO `lang_definitions` VALUES (56865, 6578, 14, 'Հրամանն արդեն ուղարկվել/փոխանցվել/հաղորդվել է դեպի');
INSERT INTO `lang_definitions` VALUES (56866, 6579, 14, 'Այս էջը հնարավորություն է ընձեռում վերանայել աջակցվող   յուրաքանչյուր արտաքին տվյալի բեռնումը, որը հնարավոր է տեղադրել կամ թարմացնել։ Each section below can be expanded by clicking on the section header to review the status of the particular database of interest.');
INSERT INTO `lang_definitions` VALUES (56867, 6580, 14, 'Անվտանգության նկատառումներից ելնելով էջն ապաակտիվացվել է');
INSERT INTO `lang_definitions` VALUES (56868, 6581, 14, 'Այս էջը կներառի նաև մինջակյալ մուտքի էջ, որպեսզի ամեն անգամ չսեղմեք \"կրկին մուտք գործել\"');
INSERT INTO `lang_definitions` VALUES (56869, 6582, 14, 'Այս պացիենտի էջում գործողություններ չկան');
INSERT INTO `lang_definitions` VALUES (56870, 6583, 14, 'Պացիենտի ID-ն արդեն գործածվում է/գործածության մեջ է');
INSERT INTO `lang_definitions` VALUES (56871, 6584, 14, 'Այս ապրանքը յուրաքանչյուր պահեստում թույլատրում է միայն մեկ խմբաքանակ');
INSERT INTO `lang_definitions` VALUES (56872, 6585, 14, 'Այս արձանագրությունը չի իրականացվել/կյանքի չի կոչվել');
INSERT INTO `lang_definitions` VALUES (56873, 6586, 14, 'Այս զեկույցը/հաշվետվությունն աշխատում է միայն ICD9  կոդերի համար');
INSERT INTO `lang_definitions` VALUES (56874, 6589, 14, 'Սրանով սահմանվում/ճշտում է, թե արդյոք պետք է ամսաթիվ ներառվի 31 վանդակում');
INSERT INTO `lang_definitions` VALUES (56875, 6591, 14, 'Այս քայլով կստեղծվի նոր ֆայլ, որն անհրաժեշտ է պահպանել հետագա կիրառման համար։ Այն հետագայում չի վերստեղծվելու։ Գործարկե՞լ այն։');
INSERT INTO `lang_definitions` VALUES (56876, 6592, 14, 'Այս օգտատերը չի հանդիսանում ոչ մի խմբի անդամ');
INSERT INTO `lang_definitions` VALUES (56877, 6593, 14, 'Այս օգտատերը անձնական նամակների վերաբերյալ ծանուցումներ կստանա');
INSERT INTO `lang_definitions` VALUES (56878, 6594, 14, 'Սա փորձնական սպասարկող ծրագիր է․ Կրկնօրինակեք ձեր տվյալներն ու փաստաթղթերը նախքան վերջինիս կիրառումը։');
INSERT INTO `lang_definitions` VALUES (56879, 6595, 14, 'Այս այցով սկսվում է նոր հակաբեղմնավորիչների կիրառմամբ');
INSERT INTO `lang_definitions` VALUES (56880, 6596, 14, 'Այս այցի համար անհրաժեշտ է GCAC ձև, ուղեգիր կամ միջամտություն');
INSERT INTO `lang_definitions` VALUES (56881, 6597, 14, 'Դա ընդամենը հին մետրիկ կենսաչափական որոշիչների ձև էր, որն այժմ համարվում է անընդունելի');
INSERT INTO `lang_definitions` VALUES (56882, 6598, 14, 'Այս շաբաթ մինչ օրս');
INSERT INTO `lang_definitions` VALUES (56883, 6600, 14, 'Այն կակտիվացնի ԽՇԳ (Խնամքի Շարունակական Գրառման) և ՇԽՓ (Շարունակական  Խնամքի Փաստաթղթերի) զեկուցումը');
INSERT INTO `lang_definitions` VALUES (56884, 6602, 14, 'Թույլ կտա կատարել կարգաբերող ( \'կեղծ \') լեզվի  ընտրություն');
INSERT INTO `lang_definitions` VALUES (56885, 6606, 14, 'Սա կստեղծի tar ֆորմատի կրկնօրինակ և կուղարկի ձեր բրոուզեր, որպեսզի կարողանա պահպանել այն։');
INSERT INTO `lang_definitions` VALUES (56886, 6607, 14, 'Փաստաթղթի կոդավորման և ապակոդավորման հնարավորությունները կարգելափակվեն և կթաքցվեն օգտվողի ինտերֆեյսում');
INSERT INTO `lang_definitions` VALUES (56887, 6608, 14, 'Սա կանջատի բոլոր այն ձևերի \"Խմբագրել\" կոճակը, որոնցում առաջին/գլխավոր այցելության վրա առկա է էլ․ ստորագրություն');
INSERT INTO `lang_definitions` VALUES (56888, 6609, 14, 'Սա կանջատի  էլ․ ստորագրությամբ ստորագրված ցանկացած  ձևի \"Խմբագրել\" կոճակը');
INSERT INTO `lang_definitions` VALUES (56889, 6611, 14, 'Ի տարբերություն անհատական/առանձին ձևերի՝ սա թույլ կտա ստորագրել ողջ այցելությունը');
INSERT INTO `lang_definitions` VALUES (56890, 6612, 14, 'Սա թույլ կտա առանձին ստորագրել  անհատական/տարբեր ձևերը');
INSERT INTO `lang_definitions` VALUES (56891, 6614, 14, 'Սա օգտվողին կտրամադրի արգելափակման տարբերակներ (առանձին արգելափակում  և ստորագրում)');
INSERT INTO `lang_definitions` VALUES (56892, 6615, 14, 'Սա հիվանդի զեկույցում կթաքցնի դատարկ էլ․ ստորագրության մուտքերը');
INSERT INTO `lang_definitions` VALUES (56893, 6616, 14, 'Իրար է միացնում  երկու պացիենտի քարտերը։ Սա օգտակար է հատկապես երբ սխալմամբ կրկնօրինակվել է պացիենտի տվյալները։ Եթե դա հաճախ է պատահում, ապա կարգավորեք գրասենյակային միջամտությունները՝ այդ ֆունկցիան հաճախ կիրառելու փոխարեն');
INSERT INTO `lang_definitions` VALUES (56894, 6617, 14, 'Սա չի խոնգարում էլ-դեղատոմսերի կայք անցնելուն');
INSERT INTO `lang_definitions` VALUES (56895, 6619, 14, 'Սա կկիրառի  ոչ թե ստանդարտ CVX, այլ   օգտվողի կողմից խմբագրվող պատվաստումների ցանկը,');
INSERT INTO `lang_definitions` VALUES (56896, 6622, 14, 'Ողնաշարի կրծքային հատված');
INSERT INTO `lang_definitions` VALUES (56897, 6623, 14, 'Հազ/Խոր․մմ');
INSERT INTO `lang_definitions` VALUES (56898, 6625, 14, 'Կոկորդ');
INSERT INTO `lang_definitions` VALUES (56899, 6626, 14, 'Կոկորդի քաղցկեղ');
INSERT INTO `lang_definitions` VALUES (56900, 6627, 14, 'Կոկորդի քաղցկեղի վիրահատություն');
INSERT INTO `lang_definitions` VALUES (56901, 6628, 14, 'Թրոմբոզ / ինսուլտ');
INSERT INTO `lang_definitions` VALUES (56902, 6629, 14, 'Չրք․');
INSERT INTO `lang_definitions` VALUES (56903, 6630, 14, 'Չորեքշաբթի');
INSERT INTO `lang_definitions` VALUES (56904, 6631, 14, 'Չորեքշաբթի');
INSERT INTO `lang_definitions` VALUES (56905, 6632, 14, 'Նորմալ վահանաձև գեղձ');
INSERT INTO `lang_definitions` VALUES (56906, 6633, 14, 'Վահանագեղձի խնդիրներ');
INSERT INTO `lang_definitions` VALUES (56907, 6634, 14, 'TIA');
INSERT INTO `lang_definitions` VALUES (56908, 6635, 14, 'Tibetan Standard, Tibetan, Central');
INSERT INTO `lang_definitions` VALUES (56909, 6636, 14, 'TID');
INSERT INTO `lang_definitions` VALUES (56910, 6637, 14, 'Tigrinya');
INSERT INTO `lang_definitions` VALUES (56911, 6638, 14, 'Ժամանակ');
INSERT INTO `lang_definitions` VALUES (56912, 6639, 14, 'Ժամի էկրանավորման ֆորմատ');
INSERT INTO `lang_definitions` VALUES (56913, 6640, 14, 'Ժամանակի  ավելացում (1-60 րոպե)');
INSERT INTO `lang_definitions` VALUES (56914, 6641, 14, 'Ժամանակի ընտրություն');
INSERT INTO `lang_definitions` VALUES (56915, 6647, 14, 'Ժամանակավորված միջոցառում');
INSERT INTO `lang_definitions` VALUES (56916, 6651, 14, 'Ականջներում զնգոց');
INSERT INTO `lang_definitions` VALUES (56917, 6652, 14, 'Անվանում');
INSERT INTO `lang_definitions` VALUES (56918, 6653, 14, 'Անվանում V');
INSERT INTO `lang_definitions` VALUES (56919, 6654, 14, 'Անվանման սյուները պետք է լինեն 1-999 թվերի միջակայքում');
INSERT INTO `lang_definitions` VALUES (56920, 6655, 14, 'Վերնագրեր/Անվանումներ');
INSERT INTO `lang_definitions` VALUES (56921, 6656, 14, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (56922, 6657, 14, 'Արտաքին քիթ TMs/EAMs/EE');
INSERT INTO `lang_definitions` VALUES (56923, 6658, 14, 'մինչ/դեպի');
INSERT INTO `lang_definitions` VALUES (56924, 6659, 14, 'ՄԻՆՉ/ԴԵՊԻ');
INSERT INTO `lang_definitions` VALUES (56925, 6660, 14, 'մինչ/դեպի');
INSERT INTO `lang_definitions` VALUES (56926, 6661, 14, 'ֆայլի բացարձակ ուղի');
INSERT INTO `lang_definitions` VALUES (56927, 6662, 14, 'սեղմել նշումներ ավելացնելու համար ');
INSERT INTO `lang_definitions` VALUES (56928, 6663, 14, 'նշումներ ավելացնելու համար սեղմել այստեղ');
INSERT INTO `lang_definitions` VALUES (56929, 6664, 14, 'վնասված/ախտահարված մասում');
INSERT INTO `lang_definitions` VALUES (56930, 6665, 14, 'վնասված/ախտահարված մասում');
INSERT INTO `lang_definitions` VALUES (56931, 6668, 14, 'կատեգորիային կատեգորիայում');
INSERT INTO `lang_definitions` VALUES (56932, 6669, 14, 'Կլինիկական հետազոտման');
INSERT INTO `lang_definitions` VALUES (56933, 6670, 14, 'Հավելավճարին');
INSERT INTO `lang_definitions` VALUES (56934, 6671, 14, 'ավարտի ամսաթիվը պետք է ավելի մեծ լինի, քա մեկնարկի ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56935, 6672, 14, 'В ded\'ble');
INSERT INTO `lang_definitions` VALUES (56936, 6679, 14, 'Այցին');
INSERT INTO `lang_definitions` VALUES (56937, 6680, 14, 'ֆիլտրել ըստ սեռի');
INSERT INTO `lang_definitions` VALUES (56938, 6681, 14, 'Անամնեզին');
INSERT INTO `lang_definitions` VALUES (56939, 6682, 14, 'Խնդիրներին');
INSERT INTO `lang_definitions` VALUES (56940, 6683, 14, 'Այս այցը/խորհրդատվությունը առկա խնդրին կապելու/հղելու համար սեղմել ');
INSERT INTO `lang_definitions` VALUES (56941, 6684, 14, 'Այս այցը/խորհրդատվությունը առկա խնդրին կապելու/հղելու համար սեղմել վերոնշյալ ցանկացած խնդրի վրա, որպեսզի այն ընդգծվի, ապա սեղմել [պահպանել]: Տարբեր խնդիրներ ընտրելու համար սեղմած պահել [Ctrl] կոճակը');
INSERT INTO `lang_definitions` VALUES (56942, 6685, 14, 'կրկին/նորից մուտք գործել');
INSERT INTO `lang_definitions` VALUES (56943, 6686, 14, 'Նոր բացահայտումների գրանցման համար սեղմել');
INSERT INTO `lang_definitions` VALUES (56944, 6687, 14, 'գործարկել/գործարկման համար');
INSERT INTO `lang_definitions` VALUES (56945, 6689, 14, 'Մաշկին');
INSERT INTO `lang_definitions` VALUES (56946, 6690, 14, 'մաշկին');
INSERT INTO `lang_definitions` VALUES (56947, 6691, 14, 'ա՞յս այցին');
INSERT INTO `lang_definitions` VALUES (56948, 6692, 14, 'Առկա պացիենտին CCR փաստաթուղթ կցելու համար կիրառեք Պացիենտի Ամփոփ Տեղեկագիրը');
INSERT INTO `lang_definitions` VALUES (56949, 6693, 14, 'մինչ։');
INSERT INTO `lang_definitions` VALUES (56950, 6694, 14, 'մինչ։ ');
INSERT INTO `lang_definitions` VALUES (56951, 6695, 14, 'ՔԱՂԱՔ');
INSERT INTO `lang_definitions` VALUES (56952, 6696, 14, 'ՖԱՔՍ');
INSERT INTO `lang_definitions` VALUES (56953, 6697, 14, 'ԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (56954, 6698, 14, 'ԱԶԳԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (56955, 6699, 14, 'ՀԱՅՐԱՆՈՒՆ');
INSERT INTO `lang_definitions` VALUES (56956, 6700, 14, 'ԿԱԶՄԱԿԵՐՊՈՒԹՅՈՒՆ');
INSERT INTO `lang_definitions` VALUES (56957, 6701, 14, 'ՀԵՌԱԽՈՍ');
INSERT INTO `lang_definitions` VALUES (56958, 6702, 14, 'ԲՋՋԱՅԻՆ ՀԵՌԱԽՈՍ');
INSERT INTO `lang_definitions` VALUES (56959, 6703, 14, 'ՓՈՍՏԱՅԻՆ ԻՆԴԵՔՍ');
INSERT INTO `lang_definitions` VALUES (56960, 6704, 14, 'ՆԱՀԱՆԳ/ՄԱՐԶ');
INSERT INTO `lang_definitions` VALUES (56961, 6705, 14, 'ՓՈՂՈՑ');
INSERT INTO `lang_definitions` VALUES (56962, 6706, 14, 'ԱՆՎԱՆՈՒՄ');
INSERT INTO `lang_definitions` VALUES (56963, 6707, 14, 'ՎԵՐՋՆԱԳԻՐ/ՓԱԿՄԱՆ ԽՈՍՔ');
INSERT INTO `lang_definitions` VALUES (56964, 6708, 14, 'Ծխախոտ');
INSERT INTO `lang_definitions` VALUES (56965, 6709, 14, 'Ծխելու դադարեցման միջամտություն');
INSERT INTO `lang_definitions` VALUES (56966, 6710, 14, 'Ծխելու դադարեցման միջամտություն (CQM)');
INSERT INTO `lang_definitions` VALUES (56967, 6711, 14, 'Ծխախոտի կիրառում');
INSERT INTO `lang_definitions` VALUES (56968, 6712, 14, 'Ծխախոտի կիրառում');
INSERT INTO `lang_definitions` VALUES (56969, 6713, 14, 'Ծխախոտի կիրառման գնահատական');
INSERT INTO `lang_definitions` VALUES (56970, 6714, 14, 'Ծխախոտի կիրառման գնահատական  (CQM)');
INSERT INTO `lang_definitions` VALUES (56971, 6715, 14, 'Այսօր');
INSERT INTO `lang_definitions` VALUES (56972, 6716, 14, 'ԱՅՍՕՐ');
INSERT INTO `lang_definitions` VALUES (56973, 6717, 14, 'այսօր');
INSERT INTO `lang_definitions` VALUES (56974, 6718, 14, 'Այսօրվա մնացորդը');
INSERT INTO `lang_definitions` VALUES (56975, 6719, 14, 'Այսօրվա վճարումները');
INSERT INTO `lang_definitions` VALUES (56976, 6720, 14, 'Այսօրվա ամսաթիվը');
INSERT INTO `lang_definitions` VALUES (56977, 6721, 14, 'Այսօրվա իրադարձությունները');
INSERT INTO `lang_definitions` VALUES (56978, 6726, 14, 'Տոնզիլեկտոմիա /նշագեղձերի վիրահատական հեռացում');
INSERT INTO `lang_definitions` VALUES (56979, 6727, 14, 'տոնզիլեկտոմիա /նշագեղձերի վիրահատական հեռացում');
INSERT INTO `lang_definitions` VALUES (56980, 6728, 14, 'Վերև');
INSERT INTO `lang_definitions` VALUES (56981, 6729, 14, 'Վերին լուսանցք');
INSERT INTO `lang_definitions` VALUES (56982, 6730, 14, 'Թեմա');
INSERT INTO `lang_definitions` VALUES (56983, 6731, 14, 'Ընդհանուր/Ընդամենը');
INSERT INTO `lang_definitions` VALUES (56984, 6732, 14, 'ընդհանուր/ընդամենը');
INSERT INTO `lang_definitions` VALUES (56985, 6733, 14, 'Ընդամենը ակտիվ գործողություններ');
INSERT INTO `lang_definitions` VALUES (56986, 6734, 14, 'Ընդհանուր ակտիվ հիշեցումներ թԹարմացումից հետո');
INSERT INTO `lang_definitions` VALUES (56987, 6735, 14, 'Ընդհանուր ակտիվ հիշեցումներ թարմացումից առաջ');
INSERT INTO `lang_definitions` VALUES (56988, 6737, 14, 'Վճարման ենթակա ընդհանուր գումարը');
INSERT INTO `lang_definitions` VALUES (56989, 6738, 14, 'Ընդամենը վճարված է');
INSERT INTO `lang_definitions` VALUES (56990, 6739, 14, 'Ընդհանուր մնացորդը');
INSERT INTO `lang_definitions` VALUES (56991, 6740, 14, 'Ընդհանուր գանձում');
INSERT INTO `lang_definitions` VALUES (56992, 6741, 14, 'Ընդհանուր վճարներ');
INSERT INTO `lang_definitions` VALUES (56993, 6742, 14, 'Հաճախորդների ընդհանուր քանակ');
INSERT INTO `lang_definitions` VALUES (56994, 6743, 14, 'Ընդհանուր արժեքը');
INSERT INTO `lang_definitions` VALUES (56995, 6744, 14, 'Հերթական համարի ընդհանուր բաշխումը լիարժեք չէ');
INSERT INTO `lang_definitions` VALUES (56996, 6745, 14, 'Ընդհանուր մուտքեր');
INSERT INTO `lang_definitions` VALUES (56997, 6746, 14, 'էլ․փոստով ուղարկվող ձախողված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (56998, 6747, 14, 'Հեռախոսով ուղարկվող ձախողված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (56999, 6748, 14, 'Ընդամենը -ի համար');
INSERT INTO `lang_definitions` VALUES (57000, 6749, 14, 'Ընդամենը -ի համար ');
INSERT INTO `lang_definitions` VALUES (57001, 6750, 14, 'Ընդամենը կատեգորիայի համար');
INSERT INTO `lang_definitions` VALUES (57002, 6751, 14, 'Ընդամենը ապակտիվացարած հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (57003, 6752, 14, 'Ընդամենը նոր հիշեցումներ');
INSERT INTO `lang_definitions` VALUES (57004, 6753, 14, 'Հանդիպումների/նշանակված այցերի ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57005, 6755, 14, 'Պատվաստումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57006, 6756, 14, 'Արդյունքների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57007, 6758, 14, 'Պացիենտների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57008, 6760, 14, 'Պացիենտների ընդհանուր հաշվեկշիռը');
INSERT INTO `lang_definitions` VALUES (57009, 6761, 14, 'Ընդամենը պացիենտ');
INSERT INTO `lang_definitions` VALUES (57010, 6764, 14, 'Գտնված գրանցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57011, 6766, 14, 'Էլ․փոստով հաջողությամբ ուղակված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57012, 6767, 14, 'Հեռախոսով  հաջողությամբ ուղակված հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57013, 6770, 14, 'Չփոփոխված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57014, 6771, 14, 'Ուղարկում հրամանից հետո չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57015, 6772, 14, 'Թարմացումից հետո չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57016, 6773, 14, 'Ուղարկում հրամանից առաջ չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57017, 6774, 14, 'Թարմացումից առաջ չուղարկված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57018, 6775, 14, 'Թարմացված  հիշեցումների ընդհանուր քանակը');
INSERT INTO `lang_definitions` VALUES (57019, 6776, 14, 'Ընդհանուր քանակներ');
INSERT INTO `lang_definitions` VALUES (57020, 6777, 14, '-ի ընդհանուր քանակներ');
INSERT INTO `lang_definitions` VALUES (57021, 6778, 14, '-ի ընդհանուր քանակներ ');
INSERT INTO `lang_definitions` VALUES (57022, 6785, 14, 'Ուսուցման ձևը');
INSERT INTO `lang_definitions` VALUES (57023, 1, 16, 'A');
INSERT INTO `lang_definitions` VALUES (57024, 2, 16, 'Nomor cek atau nomor klaim untuk identifikasi pembayaran');
INSERT INTO `lang_definitions` VALUES (57025, 3, 16, 'Surat keterangan pelanggan untuk pengguna admin');
INSERT INTO `lang_definitions` VALUES (57026, 4, 16, 'Dokumen klinik sudah dilampirkan');
INSERT INTO `lang_definitions` VALUES (57027, 5, 16, 'Dokumen klinik sudah dilampirkan');
INSERT INTO `lang_definitions` VALUES (57028, 7, 16, 'Penyalur dibutuhkan');
INSERT INTO `lang_definitions` VALUES (57029, 8, 16, 'Formulir kunjungan CGAC harus ditambahkan pada kunjungan ini');
INSERT INTO `lang_definitions` VALUES (57030, 9, 16, 'Angka perlu lebih banyak lagi');
INSERT INTO `lang_definitions` VALUES (57031, 10, 16, 'Angka perlu lebih banyak lagi!');
INSERT INTO `lang_definitions` VALUES (57032, 11, 16, 'Huruf kecil');
INSERT INTO `lang_definitions` VALUES (57033, 12, 16, 'Angka');
INSERT INTO `lang_definitions` VALUES (57034, 14, 16, 'Pasien dengan ID tersebut telah terdaftar');
INSERT INTO `lang_definitions` VALUES (57035, 15, 16, 'Pasien dengan Nama tersebut telah terdaftar');
INSERT INTO `lang_definitions` VALUES (57036, 16, 16, 'Pasien dengan SS tersebut telah terdaftar');
INSERT INTO `lang_definitions` VALUES (57037, 19, 16, 'Sumber rujukan harus ditentukan pada tiap kunjungan');
INSERT INTO `lang_definitions` VALUES (57038, 20, 16, 'Diperlukan kode yang berhubungan dengan IPPF!');
INSERT INTO `lang_definitions` VALUES (57039, 21, 16, 'Karakter khusus');
INSERT INTO `lang_definitions` VALUES (57040, 22, 16, 'Nilai yang unik untuk mengidentifikasi bagian ini, tidak terlihat ke pengguna');
INSERT INTO `lang_definitions` VALUES (57041, 23, 16, 'Jadwal kunjungan sudah tersedia untuk pasien ini hari ini. Klik Cancel untuk membuka jadwal tersebut, atau OK untuk memproses pembuatan jadwal baru');
INSERT INTO `lang_definitions` VALUES (57042, 24, 16, 'Sebelum makan');
INSERT INTO `lang_definitions` VALUES (57043, 25, 16, 'Pagi Hari');
INSERT INTO `lang_definitions` VALUES (57044, 26, 16, 'A/F Level Kanan');
INSERT INTO `lang_definitions` VALUES (57045, 27, 16, 'AB');
INSERT INTO `lang_definitions` VALUES (57046, 28, 16, 'Kependekan');
INSERT INTO `lang_definitions` VALUES (57047, 29, 16, 'Abses');
INSERT INTO `lang_definitions` VALUES (57048, 30, 16, 'Perut');
INSERT INTO `lang_definitions` VALUES (57049, 31, 16, 'Mampu Berjalan empat (4) langkah:');
INSERT INTO `lang_definitions` VALUES (57050, 32, 16, 'Abn');
INSERT INTO `lang_definitions` VALUES (57051, 33, 16, 'ABN1');
INSERT INTO `lang_definitions` VALUES (57052, 34, 16, 'Abnormal');
INSERT INTO `lang_definitions` VALUES (57053, 35, 16, 'Tes Darah Abnormal');
INSERT INTO `lang_definitions` VALUES (57054, 36, 16, 'Pertumbuhan Rambut Abnormal');
INSERT INTO `lang_definitions` VALUES (57055, 37, 16, 'Mammogram Abnormal');
INSERT INTO `lang_definitions` VALUES (57056, 39, 16, 'Aborsi');
INSERT INTO `lang_definitions` VALUES (57057, 40, 16, 'Isu Aborsi');
INSERT INTO `lang_definitions` VALUES (57058, 41, 16, 'Metode Aborsi');
INSERT INTO `lang_definitions` VALUES (57059, 42, 16, 'Kategori-Berhubungan dengan Aborsi');
INSERT INTO `lang_definitions` VALUES (57060, 43, 16, 'Aborsi');
INSERT INTO `lang_definitions` VALUES (57061, 44, 16, 'Mengenai kalendar');
INSERT INTO `lang_definitions` VALUES (57062, 46, 16, 'Absen oleh Diagnosis');
INSERT INTO `lang_definitions` VALUES (57063, 47, 16, 'Terima Penugasan');
INSERT INTO `lang_definitions` VALUES (57064, 48, 16, 'Terima Pembayaran untuk');
INSERT INTO `lang_definitions` VALUES (57065, 49, 16, 'Terima Pembayaran untuk ');
INSERT INTO `lang_definitions` VALUES (57066, 50, 16, 'Terima Penugasan');
INSERT INTO `lang_definitions` VALUES (57067, 51, 16, 'Kontrol Akses');
INSERT INTO `lang_definitions` VALUES (57068, 52, 16, 'Daftar Administrasi Kontrol Akses');
INSERT INTO `lang_definitions` VALUES (57069, 53, 16, 'Tanggal mengakses');
INSERT INTO `lang_definitions` VALUES (57070, 54, 16, 'Akses tidak diperkenankan');
INSERT INTO `lang_definitions` VALUES (57071, 55, 16, 'Akses tidak sah');
INSERT INTO `lang_definitions` VALUES (57072, 56, 16, 'Silahkan akses portal pasien anda');
INSERT INTO `lang_definitions` VALUES (57073, 57, 16, 'Kecelakaan');
INSERT INTO `lang_definitions` VALUES (57074, 59, 16, 'Nama Akun');
INSERT INTO `lang_definitions` VALUES (57075, 62, 16, 'Akuntansi');
INSERT INTO `lang_definitions` VALUES (57076, 64, 16, 'Sakit');
INSERT INTO `lang_definitions` VALUES (57077, 65, 16, 'Permintaan Pernyataan (ISA14)');
INSERT INTO `lang_definitions` VALUES (57078, 66, 16, 'Pernyataan, Lisensi dan Sertifikasi');
INSERT INTO `lang_definitions` VALUES (57079, 67, 16, 'ACL');
INSERT INTO `lang_definitions` VALUES (57080, 68, 16, 'Administrasi ACL');
INSERT INTO `lang_definitions` VALUES (57081, 69, 16, 'Administrasi ACL Tidak Diizinkan');
INSERT INTO `lang_definitions` VALUES (57082, 70, 16, 'ACL sudah sukses di update');
INSERT INTO `lang_definitions` VALUES (57083, 71, 16, 'Jerawat');
INSERT INTO `lang_definitions` VALUES (57084, 72, 16, 'Tindakan');
INSERT INTO `lang_definitions` VALUES (57085, 73, 16, 'Tanggal tindakan');
INSERT INTO `lang_definitions` VALUES (57086, 74, 16, 'Tindakan');
INSERT INTO `lang_definitions` VALUES (57087, 75, 16, 'Tindakan');
INSERT INTO `lang_definitions` VALUES (57088, 77, 16, 'Aktifkan Pelaporan CCR/CCD');
INSERT INTO `lang_definitions` VALUES (57089, 78, 16, 'Aktif');
INSERT INTO `lang_definitions` VALUES (57090, 79, 16, 'Pemberitahuan Aktif');
INSERT INTO `lang_definitions` VALUES (57091, 80, 16, 'Peraturan Pemberitahuan Aktif');
INSERT INTO `lang_definitions` VALUES (57092, 81, 16, 'Pemberitahuan/Pengingat Aktif');
INSERT INTO `lang_definitions` VALUES (57093, 82, 16, 'Konsultasi Hari Ini');
INSERT INTO `lang_definitions` VALUES (57094, 84, 16, 'Daftar Aktif');
INSERT INTO `lang_definitions` VALUES (57095, 85, 16, 'Pasien Aktif');
INSERT INTO `lang_definitions` VALUES (57096, 86, 16, 'Rencana Aktif');
INSERT INTO `lang_definitions` VALUES (57097, 87, 16, 'Kegiatan');
INSERT INTO `lang_definitions` VALUES (57098, 88, 16, 'Tipe Kegiatan');
INSERT INTO `lang_definitions` VALUES (57099, 92, 16, 'Akut Kronis');
INSERT INTO `lang_definitions` VALUES (57100, 93, 16, 'tambah');
INSERT INTO `lang_definitions` VALUES (57101, 94, 16, 'Tambah');
INSERT INTO `lang_definitions` VALUES (57102, 95, 16, 'TAMBAH');
INSERT INTO `lang_definitions` VALUES (57103, 96, 16, 'Tambah Perusahaan');
INSERT INTO `lang_definitions` VALUES (57104, 98, 16, 'Tambah Apotek');
INSERT INTO `lang_definitions` VALUES (57105, 100, 16, 'tambah kegiatan untuk ');
INSERT INTO `lang_definitions` VALUES (57106, 101, 16, 'Tambah sebagai catatan baru');
INSERT INTO `lang_definitions` VALUES (57107, 102, 16, 'Tambah Baru');
INSERT INTO `lang_definitions` VALUES (57108, 104, 16, 'Tambah Tombol');
INSERT INTO `lang_definitions` VALUES (57109, 105, 16, 'Tambah Tombol untuk Karakter Spesial, Teks untuk ditampilkan pada bagian editor paling atas untuk pencantuman pada teks gunakan Klik');
INSERT INTO `lang_definitions` VALUES (57110, 106, 16, 'Tambah Kategori');
INSERT INTO `lang_definitions` VALUES (57111, 107, 16, 'Tambah Konstanta');
INSERT INTO `lang_definitions` VALUES (57112, 108, 16, 'Tambah Konteks');
INSERT INTO `lang_definitions` VALUES (57113, 109, 16, 'Tambah Asuransi');
INSERT INTO `lang_definitions` VALUES (57114, 110, 16, 'Tambah kriteria');
INSERT INTO `lang_definitions` VALUES (57115, 111, 16, 'Tambah Tombol Custom');
INSERT INTO `lang_definitions` VALUES (57116, 112, 16, 'Tambah Diagnosa');
INSERT INTO `lang_definitions` VALUES (57117, 113, 16, 'Tambah Obat');
INSERT INTO `lang_definitions` VALUES (57118, 114, 16, 'Tambah Konsultasi');
INSERT INTO `lang_definitions` VALUES (57119, 115, 16, 'Tambah konsultasi/catatan');
INSERT INTO `lang_definitions` VALUES (57120, 116, 16, 'Tambah Fasilitas');
INSERT INTO `lang_definitions` VALUES (57121, 117, 16, 'Tambah Kotak');
INSERT INTO `lang_definitions` VALUES (57122, 118, 16, 'Tambahkan baris berikut ini pada file konfigurasi Apache');
INSERT INTO `lang_definitions` VALUES (57123, 119, 16, 'Tambah Grup');
INSERT INTO `lang_definitions` VALUES (57124, 120, 16, 'Tambah Kode ICD');
INSERT INTO `lang_definitions` VALUES (57125, 121, 16, 'Tambah Imunisasi');
INSERT INTO `lang_definitions` VALUES (57126, 122, 16, 'Penambahan tidak diizinkan!');
INSERT INTO `lang_definitions` VALUES (57127, 123, 16, 'Tambah Isu');
INSERT INTO `lang_definitions` VALUES (57128, 124, 16, 'Tambahkan item ke jalur');
INSERT INTO `lang_definitions` VALUES (57129, 125, 16, 'Tambah Bahasa');
INSERT INTO `lang_definitions` VALUES (57130, 126, 16, 'Tambah Baru');
INSERT INTO `lang_definitions` VALUES (57131, 127, 16, 'Tambah baru');
INSERT INTO `lang_definitions` VALUES (57132, 128, 16, 'Tambah kategori baru : ');
INSERT INTO `lang_definitions` VALUES (57133, 129, 16, 'Tambah sertifikat baru pada file konfigurasi Apache');
INSERT INTO `lang_definitions` VALUES (57134, 130, 16, 'Tambah komponen baru');
INSERT INTO `lang_definitions` VALUES (57135, 131, 16, 'Tambah beberapa komponen baru');
INSERT INTO `lang_definitions` VALUES (57136, 132, 16, 'Tambah Grup Baru');
INSERT INTO `lang_definitions` VALUES (57137, 133, 16, 'Tambah hal baru');
INSERT INTO `lang_definitions` VALUES (57138, 134, 16, 'Tambah kumpulan baru dan transaksi');
INSERT INTO `lang_definitions` VALUES (57139, 135, 16, 'Tambah Catatan Baru');
INSERT INTO `lang_definitions` VALUES (57140, 136, 16, 'Tambah catatan baru');
INSERT INTO `lang_definitions` VALUES (57141, 137, 16, 'Tambah Mitra Baru');
INSERT INTO `lang_definitions` VALUES (57142, 138, 16, 'Tambah Pasien Baru');
INSERT INTO `lang_definitions` VALUES (57143, 140, 16, 'Tambah Catatan');
INSERT INTO `lang_definitions` VALUES (57144, 141, 16, 'Tambah Catatan Medis Pasien');
INSERT INTO `lang_definitions` VALUES (57145, 142, 16, 'Tambah Resep');
INSERT INTO `lang_definitions` VALUES (57146, 143, 16, 'Tambah Prosedur');
INSERT INTO `lang_definitions` VALUES (57147, 144, 16, 'Tambah Nomor Penyedia');
INSERT INTO `lang_definitions` VALUES (57148, 145, 16, 'Tambah Rehabilitasi');
INSERT INTO `lang_definitions` VALUES (57149, 146, 16, 'Tambah Aturan');
INSERT INTO `lang_definitions` VALUES (57150, 147, 16, 'Tambahkan ke');
INSERT INTO `lang_definitions` VALUES (57151, 148, 16, 'Tambahkan ke Daftar Obat');
INSERT INTO `lang_definitions` VALUES (57152, 149, 16, 'Tambah Level Teratas');
INSERT INTO `lang_definitions` VALUES (57153, 150, 16, 'Tambah Transaksi');
INSERT INTO `lang_definitions` VALUES (57154, 151, 16, 'Tambah Pengguna');
INSERT INTO `lang_definitions` VALUES (57155, 152, 16, 'Tambah Pengguna Pada Grup');
INSERT INTO `lang_definitions` VALUES (57156, 153, 16, 'Tambah/Edit eRx');
INSERT INTO `lang_definitions` VALUES (57157, 154, 16, 'Tambah/Edit Transaksi Pasien');
INSERT INTO `lang_definitions` VALUES (57158, 155, 16, 'menambahkan');
INSERT INTO `lang_definitions` VALUES (57159, 156, 16, 'Penambahan demografis tidak diizinkan.');
INSERT INTO `lang_definitions` VALUES (57160, 158, 16, 'Sindroma Addison');
INSERT INTO `lang_definitions` VALUES (57161, 159, 16, 'Sindroma Addison');
INSERT INTO `lang_definitions` VALUES (57162, 160, 16, 'Atribut Tambahan');
INSERT INTO `lang_definitions` VALUES (57163, 161, 16, 'Diagnosis Tambahan:');
INSERT INTO `lang_definitions` VALUES (57164, 162, 16, 'Riwayat Sakit Tambahan');
INSERT INTO `lang_definitions` VALUES (57165, 163, 16, 'Catatan riwayat sakit tambahan');
INSERT INTO `lang_definitions` VALUES (57166, 164, 16, 'Info Tambahan');
INSERT INTO `lang_definitions` VALUES (57167, 165, 16, 'Laboratorium Tambahan');
INSERT INTO `lang_definitions` VALUES (57168, 166, 16, 'Catatan Tambahan');
INSERT INTO `lang_definitions` VALUES (57169, 168, 16, 'Catatan Tambahan:');
INSERT INTO `lang_definitions` VALUES (57170, 169, 16, 'Catatan Tambahan: ');
INSERT INTO `lang_definitions` VALUES (57171, 170, 16, 'Tambahan Catatan X-RAY:');
INSERT INTO `lang_definitions` VALUES (57172, 172, 16, 'hanya menambahkan');
INSERT INTO `lang_definitions` VALUES (57173, 173, 16, 'Buku Alamat');
INSERT INTO `lang_definitions` VALUES (57174, 174, 16, 'Buku Alamat');
INSERT INTO `lang_definitions` VALUES (57175, 175, 16, 'Alamat');
INSERT INTO `lang_definitions` VALUES (57176, 178, 16, 'Buku Alamat');
INSERT INTO `lang_definitions` VALUES (57177, 179, 16, 'Entri buku alamat untuk perusahaan yang melaksanakan prosedur ini');
INSERT INTO `lang_definitions` VALUES (57178, 180, 16, 'Entri buku alamat untuk distributor');
INSERT INTO `lang_definitions` VALUES (57179, 181, 16, 'Entri buku alamat untuk vendor');
INSERT INTO `lang_definitions` VALUES (57180, 182, 16, 'Tipe Buku Alamat');
INSERT INTO `lang_definitions` VALUES (57181, 183, 16, 'Label Alamat');
INSERT INTO `lang_definitions` VALUES (57182, 187, 16, 'Alamat 1');
INSERT INTO `lang_definitions` VALUES (57183, 188, 16, 'Alamat 2');
INSERT INTO `lang_definitions` VALUES (57184, 189, 16, 'ALAMAT');
INSERT INTO `lang_definitions` VALUES (57185, 190, 16, 'Menyesuaikan');
INSERT INTO `lang_definitions` VALUES (57186, 191, 16, 'Jumlah Penyesuaian');
INSERT INTO `lang_definitions` VALUES (57187, 192, 16, 'Menyesuaikan');
INSERT INTO `lang_definitions` VALUES (57188, 193, 16, 'Penyesuaian');
INSERT INTO `lang_definitions` VALUES (57189, 194, 16, 'Penyesuaian Nilai');
INSERT INTO `lang_definitions` VALUES (57190, 195, 16, 'Alasan Penyesuaian');
INSERT INTO `lang_definitions` VALUES (57191, 196, 16, 'Nilai Penyesuaian untuk kode ');
INSERT INTO `lang_definitions` VALUES (57192, 197, 16, 'Penyesuaian');
INSERT INTO `lang_definitions` VALUES (57193, 198, 16, 'Adm menyesuaikan');
INSERT INTO `lang_definitions` VALUES (57194, 199, 16, 'Admin');
INSERT INTO `lang_definitions` VALUES (57195, 200, 16, 'Alamat Email Admin');
INSERT INTO `lang_definitions` VALUES (57196, 201, 16, 'Administrasi Melalui');
INSERT INTO `lang_definitions` VALUES (57197, 202, 16, 'Diberikan');
INSERT INTO `lang_definitions` VALUES (57198, 203, 16, 'Dimasukan Oleh');
INSERT INTO `lang_definitions` VALUES (57199, 206, 16, 'Administrasi');
INSERT INTO `lang_definitions` VALUES (57200, 208, 16, 'Administrator');
INSERT INTO `lang_definitions` VALUES (57201, 209, 16, 'Administrator dapat melakukan apa saja');
INSERT INTO `lang_definitions` VALUES (57202, 212, 16, 'Penyaringan Berat Sampai Umur dan Tindak Lanjut');
INSERT INTO `lang_definitions` VALUES (57203, 213, 16, 'Penyaringan Berat Sampai Umur dan Tindak Lanjut (CQM)');
INSERT INTO `lang_definitions` VALUES (57204, 214, 16, 'Petunjuk Lanjutan');
INSERT INTO `lang_definitions` VALUES (57205, 215, 16, 'Petunjuk-petunjuk lanjutan');
INSERT INTO `lang_definitions` VALUES (57206, 216, 16, 'Tanda Pemberitahuan Petunjuk Lanjutan');
INSERT INTO `lang_definitions` VALUES (57207, 218, 16, 'Lebih Lanjut');
INSERT INTO `lang_definitions` VALUES (57208, 219, 16, 'Saran');
INSERT INTO `lang_definitions` VALUES (57209, 221, 16, 'Mempengaruhi normal');
INSERT INTO `lang_definitions` VALUES (57210, 223, 16, 'Panggilan Diluar jam kerja');
INSERT INTO `lang_definitions` VALUES (57211, 225, 16, 'Setelah melakukan pengaturan diatas, impor sertifikat/surat keterangan klien admin ke browser kemudian restart server Apache (password kosong)');
INSERT INTO `lang_definitions` VALUES (57212, 226, 16, 'Setelah menyimpan file PDF, klik [Lihat Log] untuk memeriksa kesalahan.');
INSERT INTO `lang_definitions` VALUES (57213, 227, 16, 'Setelah menyimpan file TEXT, klik [Lihat Log] untuk memeriksa kesalahan.');
INSERT INTO `lang_definitions` VALUES (57214, 228, 16, 'Setelah menyimpan batch, klik [Lihat Log] untuk memeriksa kesalahan.');
INSERT INTO `lang_definitions` VALUES (57215, 230, 16, 'Setelah memasukkan informasi dengan benar, tekan tombol Simpan.');
INSERT INTO `lang_definitions` VALUES (57216, 233, 16, 'Lagi');
INSERT INTO `lang_definitions` VALUES (57217, 234, 16, 'Usia');
INSERT INTO `lang_definitions` VALUES (57218, 235, 16, 'Usia Berdasarkan');
INSERT INTO `lang_definitions` VALUES (57219, 236, 16, 'Kategori usia');
INSERT INTO `lang_definitions` VALUES (57220, 237, 16, 'Data di luar jangkauan.');
INSERT INTO `lang_definitions` VALUES (57221, 239, 16, 'Format Umur Untuk \"dari umur\" tidak berlaku');
INSERT INTO `lang_definitions` VALUES (57222, 240, 16, 'Format umur untuk \"sampai umur\" tidak berlaku');
INSERT INTO `lang_definitions` VALUES (57223, 241, 16, 'Dari Umur');
INSERT INTO `lang_definitions` VALUES (57224, 243, 16, 'Umur maksimal');
INSERT INTO `lang_definitions` VALUES (57225, 244, 16, 'Umur minimal');
INSERT INTO `lang_definitions` VALUES (57226, 245, 16, 'Rentang Umur');
INSERT INTO `lang_definitions` VALUES (57227, 247, 16, 'Kolom Usia:');
INSERT INTO `lang_definitions` VALUES (57228, 249, 16, 'Albania');
INSERT INTO `lang_definitions` VALUES (57229, 250, 16, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (57230, 251, 16, 'Konsumsi alkohol');
INSERT INTO `lang_definitions` VALUES (57231, 253, 16, 'Jumlah Tanda Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (57232, 255, 16, 'Tanda Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (57233, 258, 16, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (57234, 259, 16, 'Semua');
INSERT INTO `lang_definitions` VALUES (57235, 260, 16, 'SEMUA');
INSERT INTO `lang_definitions` VALUES (57236, 261, 16, 'Semua (Disusun Format A)');
INSERT INTO `lang_definitions` VALUES (57237, 262, 16, 'Semua (Disusun Format B)');
INSERT INTO `lang_definitions` VALUES (57238, 263, 16, 'Semua (Kumulatif)');
INSERT INTO `lang_definitions` VALUES (57239, 266, 16, 'Semua Kategori');
INSERT INTO `lang_definitions` VALUES (57240, 268, 16, 'Semua Kode');
INSERT INTO `lang_definitions` VALUES (57241, 269, 16, 'Semua Hari');
INSERT INTO `lang_definitions` VALUES (57242, 270, 16, 'Semua acara hari');
INSERT INTO `lang_definitions` VALUES (57243, 271, 16, 'Semua bidang demografis, dengan pencarian dan duplikasi pemeriksaaan');
INSERT INTO `lang_definitions` VALUES (57244, 272, 16, 'Semua Fasilitas');
INSERT INTO `lang_definitions` VALUES (57245, 273, 16, 'Semua Luka/Masalah');
INSERT INTO `lang_definitions` VALUES (57246, 274, 16, 'Semua Bahasa Diijinkan');
INSERT INTO `lang_definitions` VALUES (57247, 276, 16, 'Semua atau bagian dari nama depan');
INSERT INTO `lang_definitions` VALUES (57248, 277, 16, 'Semua atau bagian dari nama belakang');
INSERT INTO `lang_definitions` VALUES (57249, 278, 16, 'Semua atau bagian dari organisasi');
INSERT INTO `lang_definitions` VALUES (57250, 280, 16, 'Semua Produk');
INSERT INTO `lang_definitions` VALUES (57251, 281, 16, 'Semua Penyedia');
INSERT INTO `lang_definitions` VALUES (57252, 282, 16, 'Semua Diulas dan Negatif:');
INSERT INTO `lang_definitions` VALUES (57253, 283, 16, 'Semua Topik');
INSERT INTO `lang_definitions` VALUES (57254, 284, 16, 'Semua Pengguna');
INSERT INTO `lang_definitions` VALUES (57255, 285, 16, 'Alergi');
INSERT INTO `lang_definitions` VALUES (57256, 286, 16, 'Alergi');
INSERT INTO `lang_definitions` VALUES (57257, 287, 16, 'Alergi:');
INSERT INTO `lang_definitions` VALUES (57258, 288, 16, 'Alergi');
INSERT INTO `lang_definitions` VALUES (57259, 289, 16, 'Impor Alergi selesai dengan sukses');
INSERT INTO `lang_definitions` VALUES (57260, 291, 16, 'Reaksi akibat Alergi');
INSERT INTO `lang_definitions` VALUES (57261, 294, 16, 'Mengalokasikan');
INSERT INTO `lang_definitions` VALUES (57262, 295, 16, 'Mengizinkan');
INSERT INTO `lang_definitions` VALUES (57263, 296, 16, 'Semua bahasa yang tersedia bisa digunakan sebagai pilihan pada menu di bagian Login');
INSERT INTO `lang_definitions` VALUES (57264, 297, 16, 'Mengizinkan pembuatan klaim yang berisi diagnosa namun bukan prosedur atau biaya. Sebagian besar klinik tidak menginginkannya.');
INSERT INTO `lang_definitions` VALUES (57265, 298, 16, 'Izinkan Debugging Bahasa');
INSERT INTO `lang_definitions` VALUES (57266, 299, 16, 'Izinkan Email');
INSERT INTO `lang_definitions` VALUES (57267, 300, 16, 'Izinkan pesan melalui email?');
INSERT INTO `lang_definitions` VALUES (57268, 301, 16, 'Izinkan Email?');
INSERT INTO `lang_definitions` VALUES (57269, 302, 16, 'Izinkan Klaim Konsultasi');
INSERT INTO `lang_definitions` VALUES (57270, 303, 16, 'Izinkan Pertukaran Informasi Kesehatan');
INSERT INTO `lang_definitions` VALUES (57271, 304, 16, 'Izinkan Pertukaran Informasi Imunisasi');
INSERT INTO `lang_definitions` VALUES (57272, 305, 16, 'Izinkan Penggunaan Informasi Imunisasi');
INSERT INTO `lang_definitions` VALUES (57273, 306, 16, 'Izinkan Pesan Email');
INSERT INTO `lang_definitions` VALUES (57274, 308, 16, 'Izinkan Portal Pasien');
INSERT INTO `lang_definitions` VALUES (57275, 309, 16, 'Izinkan SMS');
INSERT INTO `lang_definitions` VALUES (57276, 310, 16, 'Izinkan Pesan Singkat (SMS)?');
INSERT INTO `lang_definitions` VALUES (57277, 311, 16, 'Izinkan pembuatan peristiwa yang akan dibuat aktif segera?');
INSERT INTO `lang_definitions` VALUES (57278, 312, 16, 'Izinkan pesan di telepon?');
INSERT INTO `lang_definitions` VALUES (57279, 313, 16, 'Izinkan pengguna untuk mempublikasikan Kegiatan Global');
INSERT INTO `lang_definitions` VALUES (57280, 314, 16, 'Izinkan pengguna untuk mempublikasikan Kalender Pribadi');
INSERT INTO `lang_definitions` VALUES (57281, 315, 16, 'Izinkan Pesan suara');
INSERT INTO `lang_definitions` VALUES (57282, 316, 16, 'Diizinkan');
INSERT INTO `lang_definitions` VALUES (57283, 317, 16, 'Bahasa yang diizinkan');
INSERT INTO `lang_definitions` VALUES (57284, 318, 16, 'Diizinkan(c)');
INSERT INTO `lang_definitions` VALUES (57285, 323, 16, 'sudah ada.');
INSERT INTO `lang_definitions` VALUES (57286, 324, 16, 'sudah ada.');
INSERT INTO `lang_definitions` VALUES (57287, 325, 16, 'Telah digunakan, pilih identitas lain');
INSERT INTO `lang_definitions` VALUES (57288, 326, 16, 'Telah digunakan, pilih gelar lain');
INSERT INTO `lang_definitions` VALUES (57289, 327, 16, 'Alamat Lain');
INSERT INTO `lang_definitions` VALUES (57290, 328, 16, 'sisipkan');
INSERT INTO `lang_definitions` VALUES (57291, 329, 16, 'Sebagai alternatif, Anda dapat menggunakan halaman pencarian untuk mengupload sebuah uang elektronik (X12 835) file yang telah diperoleh dari pembayar atau clearinghouse. Anda dapat melakukannya dengan mengklik tombol Browse dan memilih file untuk di-upload, kemudian klik Cari untuk melakukan upload dan menampilkan tagihan yang sesuai. Dalam hal ini parameter yang lain yang disebutkan di atas tidak berlaku dan akan diabaikan. Mengupload menyimpan file tetapi belum memproses isinya - yang dilakukan secara terpisah seperti yang dijelaskan di bawah ini.');
INSERT INTO `lang_definitions` VALUES (57292, 330, 16, 'AM');
INSERT INTO `lang_definitions` VALUES (57293, 331, 16, 'Program AM');
INSERT INTO `lang_definitions` VALUES (57294, 332, 16, 'AMC');
INSERT INTO `lang_definitions` VALUES (57295, 333, 16, 'Pelacakan AMC');
INSERT INTO `lang_definitions` VALUES (57296, 338, 16, 'Mengubah Catatan yang Ada');
INSERT INTO `lang_definitions` VALUES (57297, 343, 16, 'Indian Amerika');
INSERT INTO `lang_definitions` VALUES (57298, 344, 16, 'Indian Amerika atau Alaska Asli');
INSERT INTO `lang_definitions` VALUES (57299, 345, 16, 'AMEX');
INSERT INTO `lang_definitions` VALUES (57300, 346, 16, 'Amharik');
INSERT INTO `lang_definitions` VALUES (57301, 347, 16, 'Jumlah');
INSERT INTO `lang_definitions` VALUES (57302, 349, 16, 'Jumlah Biaya');
INSERT INTO `lang_definitions` VALUES (57303, 350, 16, 'Jumlah Saldo Akhir');
INSERT INTO `lang_definitions` VALUES (57304, 351, 16, 'Jumlah Kunjungan Ini');
INSERT INTO `lang_definitions` VALUES (57305, 352, 16, 'Jumlah Dibayar');
INSERT INTO `lang_definitions` VALUES (57306, 353, 16, 'Jumlah:');
INSERT INTO `lang_definitions` VALUES (57307, 354, 16, 'Jml Tagihan');
INSERT INTO `lang_definitions` VALUES (57308, 355, 16, 'Batas waktu akhir diperlukan untuk kegiatan berulang!');
INSERT INTO `lang_definitions` VALUES (57309, 357, 16, 'Terjadi masalah saat membuka susunan direktori web LibreEHR');
INSERT INTO `lang_definitions` VALUES (57310, 358, 16, 'Terjadi masalah saat membuka susunan direktori phpGACL');
INSERT INTO `lang_definitions` VALUES (57311, 359, 16, 'Terjadi masalah saat membuka susunan direktori SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (57312, 360, 16, 'Isu GCAC yang tidak lengkap telah dibuat dan terhubung. Perlu seseorang untuk menyempurnakannya kemudian.');
INSERT INTO `lang_definitions` VALUES (57313, 362, 16, 'Masalah tak terduga telah terjadi');
INSERT INTO `lang_definitions` VALUES (57314, 363, 16, 'Huruf besar');
INSERT INTO `lang_definitions` VALUES (57315, 365, 16, 'Dan');
INSERT INTO `lang_definitions` VALUES (57316, 366, 16, 'DAN');
INSERT INTO `lang_definitions` VALUES (57317, 367, 16, 'dan');
INSERT INTO `lang_definitions` VALUES (57318, 368, 16, 'dan ');
INSERT INTO `lang_definitions` VALUES (57319, 369, 16, 'Dan semua data subordinat? Tindakan ini akan dicatat');
INSERT INTO `lang_definitions` VALUES (57320, 370, 16, 'dan pengubah');
INSERT INTO `lang_definitions` VALUES (57321, 371, 16, 'dan diproses.');
INSERT INTO `lang_definitions` VALUES (57322, 372, 16, 'dan restart Apache Server');
INSERT INTO `lang_definitions` VALUES (57323, 373, 16, 'dan Alasannya adalah');
INSERT INTO `lang_definitions` VALUES (57324, 374, 16, 'Anemia');
INSERT INTO `lang_definitions` VALUES (57325, 375, 16, 'Pergelangan Kaki');
INSERT INTO `lang_definitions` VALUES (57326, 376, 16, 'Pergelangan Kaki + Tumit');
INSERT INTO `lang_definitions` VALUES (57327, 377, 16, 'Formulir Evaluasi Pergelangan Kaki');
INSERT INTO `lang_definitions` VALUES (57328, 378, 16, 'Masalah Pergelangan Kaki');
INSERT INTO `lang_definitions` VALUES (57329, 379, 16, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (57330, 380, 16, 'Ankylosing Spondlilitis');
INSERT INTO `lang_definitions` VALUES (57331, 381, 16, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (57332, 382, 16, 'Satu hal yang dapat Anda lakukan di jendela posting adalah permintaan tagihan kedua. Jika Anda memilih kotak centang sebelum menyimpannya, maka klaim asli akan dibuka kembali dan antri di halaman Penagihan, dan akan diproses selama menjalankan penagihan berikutnya.');
INSERT INTO `lang_definitions` VALUES (57333, 383, 16, 'Sebelum');
INSERT INTO `lang_definitions` VALUES (57334, 384, 16, 'Anus nl, tidak ada nyeri dubur / massa');
INSERT INTO `lang_definitions` VALUES (57335, 385, 16, 'Kegelisahan/Keluhan');
INSERT INTO `lang_definitions` VALUES (57336, 386, 16, 'Apapun');
INSERT INTO `lang_definitions` VALUES (57337, 387, 16, 'Semua Kategori');
INSERT INTO `lang_definitions` VALUES (57338, 388, 16, 'Bagian dari kode yang dikehendaki atau deskripsinya');
INSERT INTO `lang_definitions` VALUES (57339, 389, 16, 'Bagian dari yang dikehendaki khusus');
INSERT INTO `lang_definitions` VALUES (57340, 390, 16, 'Bagian dari ID atau nama obat-obatan');
INSERT INTO `lang_definitions` VALUES (57341, 391, 16, 'Bagian dari ID atau nama imunisasi');
INSERT INTO `lang_definitions` VALUES (57342, 392, 16, 'Bagian dari nama pasien, atau \"belakang,depan\", atau \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (57343, 394, 16, 'API key untuk SMS Gateway');
INSERT INTO `lang_definitions` VALUES (57344, 395, 16, 'Apnea');
INSERT INTO `lang_definitions` VALUES (57345, 396, 16, 'Tampilan');
INSERT INTO `lang_definitions` VALUES (57346, 397, 16, 'Penampilan:');
INSERT INTO `lang_definitions` VALUES (57347, 398, 16, 'Menambahkan catatan ini');
INSERT INTO `lang_definitions` VALUES (57348, 399, 16, 'Menambahkan ke catatan yang sudah ada');
INSERT INTO `lang_definitions` VALUES (57349, 400, 16, 'Menambahkan ke catatan ini');
INSERT INTO `lang_definitions` VALUES (57350, 401, 16, 'Menambahkan ke Catatan Ini');
INSERT INTO `lang_definitions` VALUES (57351, 402, 16, 'Appendectomy (Pembedahan Usus Buntu)');
INSERT INTO `lang_definitions` VALUES (57352, 404, 16, 'Pasien Berlaku');
INSERT INTO `lang_definitions` VALUES (57353, 406, 16, 'Nama Aplikasi untuk halaman login dan judul halaman utama.');
INSERT INTO `lang_definitions` VALUES (57354, 407, 16, 'Kode Aplikasi Penerima (GS03 - jika kosong ISA08 akan digunakan)');
INSERT INTO `lang_definitions` VALUES (57355, 408, 16, 'Kode Aplikasi Pengirim (GS02)');
INSERT INTO `lang_definitions` VALUES (57356, 409, 16, 'Judul Aplikasi');
INSERT INTO `lang_definitions` VALUES (57357, 410, 16, 'Berlaku untuk formulir Vital dan Grafik Pertumbuhan');
INSERT INTO `lang_definitions` VALUES (57358, 412, 16, 'Terapkan perubahan pada peristiwa yang masih berlaku saja, pada hal ini dan semua kejadian di masa yang akan datang, atau pada semua kejadian?');
INSERT INTO `lang_definitions` VALUES (57359, 413, 16, 'diterapkan pada daerah yang sakit');
INSERT INTO `lang_definitions` VALUES (57360, 414, 16, 'diterapkan pada kulit');
INSERT INTO `lang_definitions` VALUES (57361, 415, 16, 'Diterapkan');
INSERT INTO `lang_definitions` VALUES (57362, 416, 16, 'Terapkan Patch pada situs');
INSERT INTO `lang_definitions` VALUES (57363, 417, 16, 'Janji');
INSERT INTO `lang_definitions` VALUES (57364, 418, 16, 'Tanggal Janji Temu');
INSERT INTO `lang_definitions` VALUES (57365, 419, 16, 'Ragam Tampilan Janji Temu');
INSERT INTO `lang_definitions` VALUES (57366, 420, 16, 'Aturan Pengingat Tanggal Janji Temu');
INSERT INTO `lang_definitions` VALUES (57367, 421, 16, 'Status janji temu');
INSERT INTO `lang_definitions` VALUES (57368, 422, 16, 'Status Janji Temu');
INSERT INTO `lang_definitions` VALUES (57369, 423, 16, 'Janji temu dalam');
INSERT INTO `lang_definitions` VALUES (57370, 424, 16, 'Warna Janji Temu/Peristiwa');
INSERT INTO `lang_definitions` VALUES (57371, 425, 16, 'Janji Temu');
INSERT INTO `lang_definitions` VALUES (57372, 426, 16, 'Janji Temu (tulis opsional)');
INSERT INTO `lang_definitions` VALUES (57373, 427, 16, 'Janji Temu (tulis,wsome opsional)');
INSERT INTO `lang_definitions` VALUES (57374, 430, 16, 'Janji Temu dan Konsultasi');
INSERT INTO `lang_definitions` VALUES (57375, 431, 16, 'Laporan Janji Temu');
INSERT INTO `lang_definitions` VALUES (57376, 432, 16, 'Laporan Janji Temu-Konsultasi');
INSERT INTO `lang_definitions` VALUES (57377, 434, 16, 'Menyetujui');
INSERT INTO `lang_definitions` VALUES (57378, 436, 16, 'Disetujui');
INSERT INTO `lang_definitions` VALUES (57379, 437, 16, 'Administrasi Kegiatan Disetujui');
INSERT INTO `lang_definitions` VALUES (57380, 440, 16, 'Appt-Enc (Janji Temu-Konsultasi)');
INSERT INTO `lang_definitions` VALUES (57381, 441, 16, 'Janji Temu');
INSERT INTO `lang_definitions` VALUES (57382, 442, 16, 'Apr');
INSERT INTO `lang_definitions` VALUES (57383, 443, 16, 'April');
INSERT INTO `lang_definitions` VALUES (57384, 444, 16, 'Bahasa Arab');
INSERT INTO `lang_definitions` VALUES (57385, 447, 16, 'Apakah nama grup kontrol akses akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (57386, 448, 16, 'Apakah nama kategori janji temu akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (57387, 449, 16, 'Apakah nama kategori dokumen akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (57388, 450, 16, 'Apakah biaya akan dibebankan pada tipe ini?');
INSERT INTO `lang_definitions` VALUES (57389, 451, 16, 'Apakah judul catatan pasien akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (57390, 452, 16, 'Apakah kode disimpan pada tabel eksternal sql (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (57391, 453, 16, 'Anda siap untuk menyelesaikan isu baru GCAC untuk kunjungan ini?');
INSERT INTO `lang_definitions` VALUES (57392, 454, 16, 'Anda yakin menerbitkannya hari ini?');
INSERT INTO `lang_definitions` VALUES (57393, 455, 16, 'Anda yakin menyetujui kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (57394, 457, 16, 'Anda yakin menyingkirkan formulir ini?');
INSERT INTO `lang_definitions` VALUES (57395, 459, 16, 'Anda yakin menghapus penyingkapan ini?');
INSERT INTO `lang_definitions` VALUES (57396, 460, 16, 'Anda yakin menghapus kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (57397, 461, 16, 'Anda yakin menghapus item ini dari database?');
INSERT INTO `lang_definitions` VALUES (57398, 462, 16, 'Anda yakin menghapus catatan ini?');
INSERT INTO `lang_definitions` VALUES (57399, 464, 16, 'Anda yakin mengedit kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (57400, 465, 16, 'Anda yakin menyembunyikan kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (57401, 467, 16, 'Anda yakin ingin melihat kegiatan ini?');
INSERT INTO `lang_definitions` VALUES (57402, 468, 16, 'Apakah anda yakin menghapus seluruh grup dengan nama');
INSERT INTO `lang_definitions` VALUES (57403, 469, 16, 'Apakah anda yakin ingin menghapus seluruh daftar');
INSERT INTO `lang_definitions` VALUES (57404, 470, 16, 'Apakah anda yakin ingin menghapus bidang');
INSERT INTO `lang_definitions` VALUES (57405, 471, 16, 'Anda yakin menghapus kolom yang dipilih?');
INSERT INTO `lang_definitions` VALUES (57406, 472, 16, 'Anda yakin melanjutkan dengan tindakan ini?');
INSERT INTO `lang_definitions` VALUES (57407, 473, 16, 'Wilayah tidak dispesifikasikan');
INSERT INTO `lang_definitions` VALUES (57408, 474, 16, 'Lengan');
INSERT INTO `lang_definitions` VALUES (57409, 475, 16, 'Armenia');
INSERT INTO `lang_definitions` VALUES (57410, 477, 16, 'Arrythmia');
INSERT INTO `lang_definitions` VALUES (57411, 478, 16, 'Radang Sendi');
INSERT INTO `lang_definitions` VALUES (57412, 479, 16, 'Radang Sendi / penyakit sendi degen');
INSERT INTO `lang_definitions` VALUES (57413, 480, 16, 'Radang Sendi / penyakit sendi degen');
INSERT INTO `lang_definitions` VALUES (57414, 481, 16, 'sebagai');
INSERT INTO `lang_definitions` VALUES (57415, 482, 16, 'Pada');
INSERT INTO `lang_definitions` VALUES (57416, 484, 16, 'Asia');
INSERT INTO `lang_definitions` VALUES (57417, 487, 16, 'Penilaian');
INSERT INTO `lang_definitions` VALUES (57418, 488, 16, 'Ditugaskan Kepada');
INSERT INTO `lang_definitions` VALUES (57419, 489, 16, 'Asisten');
INSERT INTO `lang_definitions` VALUES (57420, 490, 16, 'Asma');
INSERT INTO `lang_definitions` VALUES (57421, 491, 16, 'pada');
INSERT INTO `lang_definitions` VALUES (57422, 492, 16, 'Diperlukan paling tidak satu parameter pencarian jika memilih Semua');
INSERT INTO `lang_definitions` VALUES (57423, 493, 16, 'Pada Navicular');
INSERT INTO `lang_definitions` VALUES (57424, 494, 16, 'Pada Navicular:');
INSERT INTO `lang_definitions` VALUES (57425, 495, 16, 'Regu Atletis/Keolahragaan');
INSERT INTO `lang_definitions` VALUES (57426, 497, 16, 'Atletis/Cedera');
INSERT INTO `lang_definitions` VALUES (57427, 498, 16, 'Sertifikat CA audit ATNA');
INSERT INTO `lang_definitions` VALUES (57428, 499, 16, 'Host audit ATNA');
INSERT INTO `lang_definitions` VALUES (57429, 500, 16, 'Sertifikat lokal audit ATNA');
INSERT INTO `lang_definitions` VALUES (57430, 501, 16, 'Port audit ATNA');
INSERT INTO `lang_definitions` VALUES (57431, 503, 16, 'Perhatian');
INSERT INTO `lang_definitions` VALUES (57432, 504, 16, 'Perhatian');
INSERT INTO `lang_definitions` VALUES (57433, 509, 16, 'Cadangan Audit Logging');
INSERT INTO `lang_definitions` VALUES (57434, 510, 16, 'Ragam Audit Logging');
INSERT INTO `lang_definitions` VALUES (57435, 511, 16, 'Urutan Audit Logging');
INSERT INTO `lang_definitions` VALUES (57436, 512, 16, 'Catatan Pasien Audit Logging');
INSERT INTO `lang_definitions` VALUES (57437, 513, 16, 'Penjadwalan Audit Logging');
INSERT INTO `lang_definitions` VALUES (57438, 514, 16, 'Keamanan Administrasi Audit Logging');
INSERT INTO `lang_definitions` VALUES (57439, 515, 16, 'Pemilihan Pertanyaan Audit Logging');
INSERT INTO `lang_definitions` VALUES (57440, 516, 16, 'Ags');
INSERT INTO `lang_definitions` VALUES (57441, 517, 16, 'Agustus');
INSERT INTO `lang_definitions` VALUES (57442, 519, 16, 'Auth');
INSERT INTO `lang_definitions` VALUES (57443, 520, 16, 'Auth / catatan');
INSERT INTO `lang_definitions` VALUES (57444, 523, 16, 'Grup yang berwenang');
INSERT INTO `lang_definitions` VALUES (57445, 524, 16, 'Status Kewenangan');
INSERT INTO `lang_definitions` VALUES (57446, 525, 16, 'Kewenangan');
INSERT INTO `lang_definitions` VALUES (57447, 526, 16, 'Mengizinkan');
INSERT INTO `lang_definitions` VALUES (57448, 527, 16, 'Izinkan - setiap pertemuan');
INSERT INTO `lang_definitions` VALUES (57449, 528, 16, 'Izinkan - pertemuan saya');
INSERT INTO `lang_definitions` VALUES (57450, 530, 16, 'Berwenang');
INSERT INTO `lang_definitions` VALUES (57451, 531, 16, 'Berwenang Saja');
INSERT INTO `lang_definitions` VALUES (57452, 532, 16, 'Kirim Otomatis');
INSERT INTO `lang_definitions` VALUES (57453, 535, 16, 'Pembuatan Otomatis Pertemuan Baru');
INSERT INTO `lang_definitions` VALUES (57454, 536, 16, 'Dihasilkan Otomatis');
INSERT INTO `lang_definitions` VALUES (57455, 537, 16, 'Perhitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (57456, 542, 16, 'Pelacakan Perhitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (57457, 543, 16, 'Pengukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (57458, 544, 16, 'Automatis');
INSERT INTO `lang_definitions` VALUES (57459, 546, 16, 'Secara otomatis membuat pertemuan baru ketika status janji-temu diatur menjadi \"@\" (tiba).');
INSERT INTO `lang_definitions` VALUES (57460, 549, 16, 'Kendaraan Medis');
INSERT INTO `lang_definitions` VALUES (57461, 550, 16, 'Menyimpan Otomatis');
INSERT INTO `lang_definitions` VALUES (57462, 551, 16, 'Kategori yang Tersedia');
INSERT INTO `lang_definitions` VALUES (57463, 552, 16, 'Waktu yang Tersedia');
INSERT INTO `lang_definitions` VALUES (57464, 557, 16, 'Rata-rata Bulanan');
INSERT INTO `lang_definitions` VALUES (57465, 558, 16, 'Avulsi/patah avulsi');
INSERT INTO `lang_definitions` VALUES (57466, 559, 16, 'Maleolus rusuk/sisi Avulsi');
INSERT INTO `lang_definitions` VALUES (57467, 560, 16, 'Maleolus ditengah-tengah Avulsi ');
INSERT INTO `lang_definitions` VALUES (57468, 561, 16, 'Kesadaran Berbasis');
INSERT INTO `lang_definitions` VALUES (57469, 562, 16, 'Aksila');
INSERT INTO `lang_definitions` VALUES (57470, 565, 16, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (57471, 566, 16, 'Kembali');
INSERT INTO `lang_definitions` VALUES (57472, 567, 16, 'kembali');
INSERT INTO `lang_definitions` VALUES (57473, 568, 16, 'Kembali delapan kunjungan');
INSERT INTO `lang_definitions` VALUES (57474, 569, 16, 'Kembali sebelas kunjungan');
INSERT INTO `lang_definitions` VALUES (57475, 570, 16, 'Kembali lima kunjungan');
INSERT INTO `lang_definitions` VALUES (57476, 571, 16, 'Kembali empat kunjungan');
INSERT INTO `lang_definitions` VALUES (57477, 572, 16, 'Kembali sembilan kunjungan');
INSERT INTO `lang_definitions` VALUES (57478, 573, 16, 'Kembali satu kunjungan');
INSERT INTO `lang_definitions` VALUES (57479, 574, 16, 'Sakit Punggung');
INSERT INTO `lang_definitions` VALUES (57480, 575, 16, 'Masalah Punggung');
INSERT INTO `lang_definitions` VALUES (57481, 576, 16, 'Kembali tujuh kunjungan');
INSERT INTO `lang_definitions` VALUES (57482, 577, 16, 'Kembali enam kunjungan');
INSERT INTO `lang_definitions` VALUES (57483, 578, 16, 'Bedah Punggung');
INSERT INTO `lang_definitions` VALUES (57484, 579, 16, 'Kembali sepuluh kunjungan');
INSERT INTO `lang_definitions` VALUES (57485, 580, 16, 'Kembali tiga kunjungan');
INSERT INTO `lang_definitions` VALUES (57486, 584, 16, 'Kembali Ke Pasien');
INSERT INTO `lang_definitions` VALUES (57487, 586, 16, 'Kembali Ke Tampilan');
INSERT INTO `lang_definitions` VALUES (57488, 587, 16, 'Kembali dua belas kunjungan');
INSERT INTO `lang_definitions` VALUES (57489, 588, 16, 'Kembali dua kunjungan');
INSERT INTO `lang_definitions` VALUES (57490, 590, 16, 'Cadangan');
INSERT INTO `lang_definitions` VALUES (57491, 591, 16, 'File backup elah dibuat. Sekarang akan dikirimkan untuk didownload.');
INSERT INTO `lang_definitions` VALUES (57492, 593, 16, 'Backup/Cadangan telah berhasi diambil');
INSERT INTO `lang_definitions` VALUES (57493, 594, 16, 'Pemeriksaan buruk');
INSERT INTO `lang_definitions` VALUES (57494, 595, 16, 'Hutang buruk');
INSERT INTO `lang_definitions` VALUES (57495, 596, 16, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (57496, 597, 16, 'Saldo');
INSERT INTO `lang_definitions` VALUES (57497, 598, 16, 'Saldo');
INSERT INTO `lang_definitions` VALUES (57498, 599, 16, 'saldo');
INSERT INTO `lang_definitions` VALUES (57499, 601, 16, 'Utang Saldo');
INSERT INTO `lang_definitions` VALUES (57500, 603, 16, 'Draf Bank');
INSERT INTO `lang_definitions` VALUES (57501, 607, 16, 'Dasar kelima (5.) Metarsal');
INSERT INTO `lang_definitions` VALUES (57502, 608, 16, 'Dasar kelima (5.) Metarsal:');
INSERT INTO `lang_definitions` VALUES (57503, 612, 16, 'Alat Komunikasi Batch');
INSERT INTO `lang_definitions` VALUES (57504, 613, 16, 'Entry Pembayaran Batch');
INSERT INTO `lang_definitions` VALUES (57505, 614, 16, 'Batch Pembayaran');
INSERT INTO `lang_definitions` VALUES (57506, 615, 16, 'Proses Batch dimulai; hal ini dapat memakan waktu cukup lama.');
INSERT INTO `lang_definitions` VALUES (57507, 616, 16, 'Hasil Batch');
INSERT INTO `lang_definitions` VALUES (57508, 617, 16, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (57509, 619, 16, 'karena id yang dimaksud belum ada.');
INSERT INTO `lang_definitions` VALUES (57510, 620, 16, 'Mulai');
INSERT INTO `lang_definitions` VALUES (57511, 621, 16, 'Tanggal Mulai');
INSERT INTO `lang_definitions` VALUES (57512, 623, 16, 'Mulai tanggal layanan yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (57513, 624, 16, 'Waktu mulai pada hari dalam event kalender.');
INSERT INTO `lang_definitions` VALUES (57514, 626, 16, 'Bersendawa');
INSERT INTO `lang_definitions` VALUES (57515, 628, 16, 'Bengali');
INSERT INTO `lang_definitions` VALUES (57516, 630, 16, 'antara');
INSERT INTO `lang_definitions` VALUES (57517, 633, 16, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (57518, 634, 16, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (57519, 636, 16, 'Tanggal tagihan:');
INSERT INTO `lang_definitions` VALUES (57520, 637, 16, 'Tagihan');
INSERT INTO `lang_definitions` VALUES (57521, 638, 16, 'Ditagih');
INSERT INTO `lang_definitions` VALUES (57522, 640, 16, 'Penagihan');
INSERT INTO `lang_definitions` VALUES (57523, 641, 16, 'Penagihan (tulis opsional)');
INSERT INTO `lang_definitions` VALUES (57524, 642, 16, 'Atensi Penagihan');
INSERT INTO `lang_definitions` VALUES (57525, 644, 16, 'Kode penagihan untuk Layanan yang Diminta');
INSERT INTO `lang_definitions` VALUES (57526, 645, 16, 'Kode Penagihan');
INSERT INTO `lang_definitions` VALUES (57527, 646, 16, 'Data Tagihan');
INSERT INTO `lang_definitions` VALUES (57528, 647, 16, 'Departemen/Bagian Penagihan');
INSERT INTO `lang_definitions` VALUES (57529, 648, 16, 'Fasilitas Tagihan');
INSERT INTO `lang_definitions` VALUES (57530, 649, 16, 'Informasi Tagihan');
INSERT INTO `lang_definitions` VALUES (57531, 650, 16, 'Lokasi Penagihan');
INSERT INTO `lang_definitions` VALUES (57532, 655, 16, 'Pengelola Tagihan');
INSERT INTO `lang_definitions` VALUES (57533, 656, 16, 'Catatan Tagihan');
INSERT INTO `lang_definitions` VALUES (57534, 657, 16, 'Catatan Tagihan untuk ');
INSERT INTO `lang_definitions` VALUES (57535, 658, 16, 'Catatan Tagihan:');
INSERT INTO `lang_definitions` VALUES (57536, 659, 16, 'Hasil antrian Tagihan:');
INSERT INTO `lang_definitions` VALUES (57537, 660, 16, 'Laporan Tagihan');
INSERT INTO `lang_definitions` VALUES (57538, 662, 16, 'Status Tagihan = Belum ditagih');
INSERT INTO `lang_definitions` VALUES (57539, 663, 16, 'penagihan ke ');
INSERT INTO `lang_definitions` VALUES (57540, 665, 16, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (57541, 666, 16, 'Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (57542, 669, 16, 'Hitam');
INSERT INTO `lang_definitions` VALUES (57543, 670, 16, 'Paru-paru hitam');
INSERT INTO `lang_definitions` VALUES (57544, 671, 16, 'Kulit Hitam atau Afrika Amerika');
INSERT INTO `lang_definitions` VALUES (57545, 672, 16, 'Kanker kandung kemih');
INSERT INTO `lang_definitions` VALUES (57546, 673, 16, 'Infeksi kandung kemih');
INSERT INTO `lang_definitions` VALUES (57547, 674, 16, 'Formulir Kosong');
INSERT INTO `lang_definitions` VALUES (57548, 675, 16, 'Masalah Pendarahan');
INSERT INTO `lang_definitions` VALUES (57549, 676, 16, 'Titik Buta');
INSERT INTO `lang_definitions` VALUES (57550, 677, 16, 'Kembung');
INSERT INTO `lang_definitions` VALUES (57551, 678, 16, 'Diblokir');
INSERT INTO `lang_definitions` VALUES (57552, 679, 16, 'Darah');
INSERT INTO `lang_definitions` VALUES (57553, 680, 16, 'Tekanan Darah');
INSERT INTO `lang_definitions` VALUES (57554, 681, 16, 'Tekanan darah');
INSERT INTO `lang_definitions` VALUES (57555, 682, 16, 'Hidung Berdarah');
INSERT INTO `lang_definitions` VALUES (57556, 683, 16, 'Blue Cross Blue Shield (Garis dan Perisai Biru)');
INSERT INTO `lang_definitions` VALUES (57557, 684, 16, 'Garis biru dalam laporan ini adalah informasi. Garis hitam menunjukkan informasi yang sebelumnya ada. Garis hijau menunjukkan perubahan yang telah berhasil. Garis merah menunjukkan kesalahan atau perubahan yang tidak diterapkan, ini harus diproses secara manual. Pembantahan klaim sekarang dan pengembalian pembayaran tidak ditangani secara otomatis dan akan muncul dalam warna merah.');
INSERT INTO `lang_definitions` VALUES (57558, 685, 16, 'Penglihatan Kabur');
INSERT INTO `lang_definitions` VALUES (57559, 686, 16, 'BMI');
INSERT INTO `lang_definitions` VALUES (57560, 687, 16, 'Status BMI');
INSERT INTO `lang_definitions` VALUES (57561, 689, 16, 'Wilayah Badan/Lembaga');
INSERT INTO `lang_definitions` VALUES (57562, 690, 16, 'Situs Badan/Lembaga');
INSERT INTO `lang_definitions` VALUES (57563, 691, 16, 'Situs Badan/Lembaga, jika berlaku');
INSERT INTO `lang_definitions` VALUES (57564, 692, 16, 'Kesakitan tulang:');
INSERT INTO `lang_definitions` VALUES (57565, 693, 16, 'Kesakitan tulang: Malleolus di tengah-tengah');
INSERT INTO `lang_definitions` VALUES (57566, 694, 16, 'Boolean');
INSERT INTO `lang_definitions` VALUES (57567, 696, 16, 'Dasar');
INSERT INTO `lang_definitions` VALUES (57568, 697, 16, 'Kedua Telinga');
INSERT INTO `lang_definitions` VALUES (57569, 698, 16, 'kedua telinga');
INSERT INTO `lang_definitions` VALUES (57570, 699, 16, 'Dasar');
INSERT INTO `lang_definitions` VALUES (57571, 701, 16, 'BOX 10 A. Pekerjaan yang berhubungan ');
INSERT INTO `lang_definitions` VALUES (57572, 702, 16, 'BOX 10 B. Kecelakaan secara otomatis ');
INSERT INTO `lang_definitions` VALUES (57573, 703, 16, 'BOX 10 C. Kecelakaan Lainnya ');
INSERT INTO `lang_definitions` VALUES (57574, 706, 16, 'BOX 15. Tanggal dari penyakit yang sama atau mirip (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57575, 708, 16, 'BOX 16. Tanggal tidak dapat bekerja dari (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57576, 709, 16, 'BOX 16. Tanggal tidak dapat bekerja untuk (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (57577, 710, 16, 'BOX 18. Rawat inap dari tanggal (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (57578, 711, 16, 'BOX 18. Rawat inap ke tanggal (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (57579, 712, 16, 'BOX 20. Apakah lab luar digunakan?');
INSERT INTO `lang_definitions` VALUES (57580, 713, 16, 'BOX 22. Medicaid Resubmission Kode (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (57581, 714, 16, 'BOX 23. Nomor Otorisasi Sebelumnya ');
INSERT INTO `lang_definitions` VALUES (57582, 715, 16, 'BP');
INSERT INTO `lang_definitions` VALUES (57583, 716, 16, 'Diastolik BP');
INSERT INTO `lang_definitions` VALUES (57584, 717, 16, 'Systolik BP');
INSERT INTO `lang_definitions` VALUES (57585, 719, 16, 'Bpd');
INSERT INTO `lang_definitions` VALUES (57586, 721, 16, 'Bps');
INSERT INTO `lang_definitions` VALUES (57587, 722, 16, 'Portugis Brasil');
INSERT INTO `lang_definitions` VALUES (57588, 723, 16, 'Dada');
INSERT INTO `lang_definitions` VALUES (57589, 724, 16, 'Biopsi Payudara');
INSERT INTO `lang_definitions` VALUES (57590, 725, 16, 'Pelepasan Payudara');
INSERT INTO `lang_definitions` VALUES (57591, 726, 16, 'Penyakit payudara');
INSERT INTO `lang_definitions` VALUES (57592, 727, 16, 'Pemeriksaan Payudara');
INSERT INTO `lang_definitions` VALUES (57593, 728, 16, 'Gumpalan Payudara');
INSERT INTO `lang_definitions` VALUES (57594, 730, 16, 'Suara Nafas:');
INSERT INTO `lang_definitions` VALUES (57595, 732, 16, 'Patah Tulang');
INSERT INTO `lang_definitions` VALUES (57596, 734, 16, 'Bentuk Bronkitis');
INSERT INTO `lang_definitions` VALUES (57597, 735, 16, 'Telusuri');
INSERT INTO `lang_definitions` VALUES (57598, 736, 16, 'Telusuri Catatan');
INSERT INTO `lang_definitions` VALUES (57599, 737, 16, 'Memar/lebam');
INSERT INTO `lang_definitions` VALUES (57600, 739, 16, 'Menonjol Kanan:');
INSERT INTO `lang_definitions` VALUES (57601, 741, 16, 'Rasa Panas saat Buang Air Kecil');
INSERT INTO `lang_definitions` VALUES (57602, 742, 16, 'Rasa Panas Saat Buang Air Kecil');
INSERT INTO `lang_definitions` VALUES (57603, 744, 16, 'Sibuk');
INSERT INTO `lang_definitions` VALUES (57604, 745, 16, 'namun belum diproses.');
INSERT INTO `lang_definitions` VALUES (57605, 746, 16, 'Pantat');
INSERT INTO `lang_definitions` VALUES (57606, 747, 16, 'Pantat + S.I.');
INSERT INTO `lang_definitions` VALUES (57607, 748, 16, 'oleh');
INSERT INTO `lang_definitions` VALUES (57608, 749, 16, 'Oleh');
INSERT INTO `lang_definitions` VALUES (57609, 750, 16, 'oleh mulut');
INSERT INTO `lang_definitions` VALUES (57610, 751, 16, 'Oleh/Sumber');
INSERT INTO `lang_definitions` VALUES (57611, 752, 16, 'Oleh:');
INSERT INTO `lang_definitions` VALUES (57612, 753, 16, 'C');
INSERT INTO `lang_definitions` VALUES (57613, 754, 16, 'Sertifikat CA untuk memverifikasi RFC 5425 syslog server TLS.');
INSERT INTO `lang_definitions` VALUES (57614, 755, 16, 'Lifetime Cache (dalam detik)');
INSERT INTO `lang_definitions` VALUES (57615, 756, 16, 'Template output cache?');
INSERT INTO `lang_definitions` VALUES (57616, 757, 16, 'Konsumsi kafein');
INSERT INTO `lang_definitions` VALUES (57617, 758, 16, 'Kalender');
INSERT INTO `lang_definitions` VALUES (57618, 759, 16, 'Waktu Akhir Kalender');
INSERT INTO `lang_definitions` VALUES (57619, 760, 16, 'Selang/Interval Kalender');
INSERT INTO `lang_definitions` VALUES (57620, 761, 16, 'Layar/Monitor Kalender');
INSERT INTO `lang_definitions` VALUES (57621, 762, 16, 'Pengaturan Kalender');
INSERT INTO `lang_definitions` VALUES (57622, 763, 16, 'Waktu Mulai Kalender');
INSERT INTO `lang_definitions` VALUES (57623, 764, 16, 'UI (Interface Pengguna) Kalender');
INSERT INTO `lang_definitions` VALUES (57624, 765, 16, 'Lihat kalender');
INSERT INTO `lang_definitions` VALUES (57625, 766, 16, 'Panggilan ke addForm () di sini. <br>');
INSERT INTO `lang_definitions` VALUES (57626, 767, 16, 'Kalori');
INSERT INTO `lang_definitions` VALUES (57627, 768, 16, 'Kamboja');
INSERT INTO `lang_definitions` VALUES (57629, 774, 16, 'Membatalkan');
INSERT INTO `lang_definitions` VALUES (57630, 775, 16, 'Batalkan Perubahan');
INSERT INTO `lang_definitions` VALUES (57631, 776, 16, 'Dibatalkan');
INSERT INTO `lang_definitions` VALUES (57632, 777, 16, 'Kanker');
INSERT INTO `lang_definitions` VALUES (57633, 778, 16, 'Penyaringan Kanker: Penyaringan Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (57634, 779, 16, 'Penyaringan Kanker: Mammogram');
INSERT INTO `lang_definitions` VALUES (57635, 780, 16, 'Penyaringan Kanker: Pap Smear');
INSERT INTO `lang_definitions` VALUES (57636, 781, 16, 'Penyaringan Kanker: Penyaringan Kanker Prostat');
INSERT INTO `lang_definitions` VALUES (57637, 782, 16, 'Tidak dapat menambahkan karena data ini sudah ada!');
INSERT INTO `lang_definitions` VALUES (57638, 783, 16, 'Tidak dapat menambahkan atau memperbarui karena duplikat data sudah ada!');
INSERT INTO `lang_definitions` VALUES (57639, 785, 16, 'tidak dapat dikonversi ke JPEG. ImageMagick mungkin tidak diinstal?');
INSERT INTO `lang_definitions` VALUES (57640, 787, 16, 'tidak dapat ditampilkan inline karena jenis ini tidak didukung oleh browser.');
INSERT INTO `lang_definitions` VALUES (57641, 788, 16, 'tidak dapat ditampilkan inline karena jenis ini tidak didukung oleh browser');
INSERT INTO `lang_definitions` VALUES (57642, 789, 16, 'tidak dapat ditampilkan inline karena jenis ini tidak didukung oleh browser.');
INSERT INTO `lang_definitions` VALUES (57643, 790, 16, 'Tidak dapat membuat');
INSERT INTO `lang_definitions` VALUES (57644, 795, 16, 'Tidak dapat menemukan ');
INSERT INTO `lang_definitions` VALUES (57645, 796, 16, 'Tidak dapat menemukan tempat tujuan dari nama file');
INSERT INTO `lang_definitions` VALUES (57646, 799, 16, 'Tidak bisa menemukan pasien dari SQL-Ledger id pelanggan');
INSERT INTO `lang_definitions` VALUES (57647, 800, 16, 'Tidak dapat menemukan kata-kata dalam dokumen acuan ');
INSERT INTO `lang_definitions` VALUES (57648, 801, 16, 'Tidak dapat menemukan selular dari SQL-Ledger karyawan = ');
INSERT INTO `lang_definitions` VALUES (57649, 802, 16, 'Tidak dapat Mengubah Pembayaran. Undistributed ditolak.');
INSERT INTO `lang_definitions` VALUES (57650, 803, 16, 'Tidak bisa membuka ');
INSERT INTO `lang_definitions` VALUES (57651, 804, 16, 'Tidak bisa Mencatat untuk Asuransi. Entitas Pembayaran yang dipilih adalah Pasien.');
INSERT INTO `lang_definitions` VALUES (57652, 805, 16, 'Tidak bisa Mencatat untuk Pasien. Entitas Pembayaran yang dipilih adalah Asuransi.');
INSERT INTO `lang_definitions` VALUES (57653, 806, 16, 'Tidak bisa Mencatat Pembayaran. Undistributed ditolak.');
INSERT INTO `lang_definitions` VALUES (57654, 807, 16, 'Tidak bisa membaca');
INSERT INTO `lang_definitions` VALUES (57655, 808, 16, 'Tidak bisa membaca direktori');
INSERT INTO `lang_definitions` VALUES (57656, 809, 16, 'Tidak dapat diperbarui karena Anda tidak mengedit catatan yang ada!');
INSERT INTO `lang_definitions` VALUES (57657, 810, 16, 'Huruf Besar');
INSERT INTO `lang_definitions` VALUES (57658, 812, 16, 'kapsul');
INSERT INTO `lang_definitions` VALUES (57659, 813, 16, 'Kartu');
INSERT INTO `lang_definitions` VALUES (57660, 814, 16, 'Kateterisasi Jantung');
INSERT INTO `lang_definitions` VALUES (57661, 815, 16, 'Jantung Nemo');
INSERT INTO `lang_definitions` VALUES (57662, 816, 16, 'Kardiovaskular');
INSERT INTO `lang_definitions` VALUES (57663, 821, 16, 'Tulang rawan / chondral / kerusakan sendi');
INSERT INTO `lang_definitions` VALUES (57664, 822, 16, 'Cedera tulang rawan');
INSERT INTO `lang_definitions` VALUES (57665, 823, 16, 'Denyut Carotid(Pembuluh nadi kepala), denyut nadi');
INSERT INTO `lang_definitions` VALUES (57666, 824, 16, 'uang tunai');
INSERT INTO `lang_definitions` VALUES (57667, 825, 16, 'Uang Tunai');
INSERT INTO `lang_definitions` VALUES (57668, 826, 16, 'Rec Tunai');
INSERT INTO `lang_definitions` VALUES (57669, 827, 16, 'Penerimaan uang oleh Provider');
INSERT INTO `lang_definitions` VALUES (57670, 829, 16, 'Bedah katarak');
INSERT INTO `lang_definitions` VALUES (57671, 830, 16, 'Katarak');
INSERT INTO `lang_definitions` VALUES (57672, 831, 16, 'Kategori');
INSERT INTO `lang_definitions` VALUES (57673, 832, 16, 'Kategori untuk');
INSERT INTO `lang_definitions` VALUES (57674, 833, 16, 'Kategori');
INSERT INTO `lang_definitions` VALUES (57675, 834, 16, 'kategori');
INSERT INTO `lang_definitions` VALUES (57676, 835, 16, 'Kategori ');
INSERT INTO `lang_definitions` VALUES (57677, 836, 16, 'Detail Kategori');
INSERT INTO `lang_definitions` VALUES (57678, 837, 16, 'Batas Kategori');
INSERT INTO `lang_definitions` VALUES (57679, 838, 16, 'Nama Kategori');
INSERT INTO `lang_definitions` VALUES (57680, 839, 16, 'Nama kategori kosong');
INSERT INTO `lang_definitions` VALUES (57681, 840, 16, 'Kategori/Judul');
INSERT INTO `lang_definitions` VALUES (57682, 841, 16, 'Kaukasia/Kaukasus');
INSERT INTO `lang_definitions` VALUES (57683, 842, 16, 'Alasan Penerimaan untuk Cetak Encounter/Info Provider Utama');
INSERT INTO `lang_definitions` VALUES (57684, 852, 16, 'Seluler');
INSERT INTO `lang_definitions` VALUES (57685, 853, 16, 'Telepon Seluler');
INSERT INTO `lang_definitions` VALUES (57686, 855, 16, 'Nomor Telepon seluler');
INSERT INTO `lang_definitions` VALUES (57687, 856, 16, 'Balai Sertifikasi');
INSERT INTO `lang_definitions` VALUES (57688, 857, 16, 'Amerika Selatan/Tengah');
INSERT INTO `lang_definitions` VALUES (57689, 858, 16, 'Lokasi file crt Pengijinan Sertifikat tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (57690, 859, 16, 'Lokasi file kunci Pengijinan Sertifikat tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (57691, 860, 16, 'Sertifikat untuk dikirimkan ke RFC 5425 TLS Syslog Server');
INSERT INTO `lang_definitions` VALUES (57692, 861, 16, 'Sertifikat Pengguna');
INSERT INTO `lang_definitions` VALUES (57693, 862, 16, 'Sertifikat');
INSERT INTO `lang_definitions` VALUES (57694, 864, 16, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (57695, 865, 16, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (57696, 866, 16, 'mengubah');
INSERT INTO `lang_definitions` VALUES (57697, 867, 16, 'Ubah');
INSERT INTO `lang_definitions` VALUES (57698, 868, 16, 'Ubah Kegiatan');
INSERT INTO `lang_definitions` VALUES (57699, 870, 16, 'Perubahan Penglihatan');
INSERT INTO `lang_definitions` VALUES (57700, 871, 16, 'Perubahan Penglihatan');
INSERT INTO `lang_definitions` VALUES (57701, 874, 16, 'Berubah');
INSERT INTO `lang_definitions` VALUES (57702, 875, 16, 'Perubahan Usus');
INSERT INTO `lang_definitions` VALUES (57703, 877, 16, 'Karakteristik');
INSERT INTO `lang_definitions` VALUES (57704, 878, 16, 'Karakter yang Tersisa');
INSERT INTO `lang_definitions` VALUES (57705, 879, 16, 'Biaya');
INSERT INTO `lang_definitions` VALUES (57706, 880, 16, 'Pengaturan Biaya');
INSERT INTO `lang_definitions` VALUES (57707, 882, 16, 'Biaya');
INSERT INTO `lang_definitions` VALUES (57708, 883, 16, 'Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (57709, 884, 16, 'Grafik Kegiatan');
INSERT INTO `lang_definitions` VALUES (57710, 885, 16, 'Grafik Laporan Kegiatan Check-in/out');
INSERT INTO `lang_definitions` VALUES (57711, 886, 16, 'ID Bagan:');
INSERT INTO `lang_definitions` VALUES (57712, 887, 16, 'ID Bagan:');
INSERT INTO `lang_definitions` VALUES (57713, 889, 16, 'Bagan Lokasi Kegiatan');
INSERT INTO `lang_definitions` VALUES (57714, 890, 16, 'Catatan Bagan');
INSERT INTO `lang_definitions` VALUES (57715, 891, 16, 'Nomor Bagan');
INSERT INTO `lang_definitions` VALUES (57716, 892, 16, 'Lokasi Penyimpanan Bagan');
INSERT INTO `lang_definitions` VALUES (57717, 893, 16, 'Bagan Tracker');
INSERT INTO `lang_definitions` VALUES (57718, 894, 16, 'Bagan Trk');
INSERT INTO `lang_definitions` VALUES (57719, 895, 16, 'Grafik Checked Out');
INSERT INTO `lang_definitions` VALUES (57720, 896, 16, 'Grafik Keluar');
INSERT INTO `lang_definitions` VALUES (57721, 898, 16, 'Periksa');
INSERT INTO `lang_definitions` VALUES (57722, 899, 16, 'periksa');
INSERT INTO `lang_definitions` VALUES (57723, 900, 16, 'Periksa Semua');
INSERT INTO `lang_definitions` VALUES (57724, 902, 16, 'Periksa Jumlah');
INSERT INTO `lang_definitions` VALUES (57725, 903, 16, 'Periksa Tanggal');
INSERT INTO `lang_definitions` VALUES (57726, 904, 16, 'Periksa perbedaan terjemahan dengan tabel bahasa custom');
INSERT INTO `lang_definitions` VALUES (57727, 906, 16, 'Check in ke');
INSERT INTO `lang_definitions` VALUES (57728, 907, 16, 'Periksa Input Data');
INSERT INTO `lang_definitions` VALUES (57729, 909, 16, 'Periksa Hasil Lab');
INSERT INTO `lang_definitions` VALUES (57730, 912, 16, 'Periksa Nomor');
INSERT INTO `lang_definitions` VALUES (57731, 915, 16, 'Periksa Pembayaran');
INSERT INTO `lang_definitions` VALUES (57732, 916, 16, 'Centang jika ini adalah file yang terenkripsi');
INSERT INTO `lang_definitions` VALUES (57733, 917, 16, 'Centang jika anda ingin provider/penyedia layanan untuk melihat semua janji-temu secara default.');
INSERT INTO `lang_definitions` VALUES (57734, 919, 16, 'Centang/Tanggal EOB:');
INSERT INTO `lang_definitions` VALUES (57735, 920, 16, 'Centang/No EOB:');
INSERT INTO `lang_definitions` VALUES (57736, 921, 16, 'Centang/Nomor Ref');
INSERT INTO `lang_definitions` VALUES (57737, 922, 16, 'Centang/Nomor Referensi');
INSERT INTO `lang_definitions` VALUES (57738, 923, 16, 'Daftar checkbox');
INSERT INTO `lang_definitions` VALUES (57739, 924, 16, 'daftar chcekbox');
INSERT INTO `lang_definitions` VALUES (57740, 925, 16, 'checkbox w/(tulis) teks');
INSERT INTO `lang_definitions` VALUES (57741, 926, 16, 'Checkbox w/(tulis) teks');
INSERT INTO `lang_definitions` VALUES (57742, 928, 16, 'Dicentang');
INSERT INTO `lang_definitions` VALUES (57743, 929, 16, 'Kotak dicentang = yes, kosong = tidak');
INSERT INTO `lang_definitions` VALUES (57744, 932, 16, 'Pemeriksaan');
INSERT INTO `lang_definitions` VALUES (57745, 933, 16, 'Checksum');
INSERT INTO `lang_definitions` VALUES (57746, 934, 16, 'Dada');
INSERT INTO `lang_definitions` VALUES (57747, 935, 16, 'Dada CTAB');
INSERT INTO `lang_definitions` VALUES (57748, 936, 16, 'Sakit pada Dada');
INSERT INTO `lang_definitions` VALUES (57749, 937, 16, 'Sakit pada Dada:');
INSERT INTO `lang_definitions` VALUES (57750, 938, 16, 'Sakit pada Dada');
INSERT INTO `lang_definitions` VALUES (57751, 940, 16, 'Chg');
INSERT INTO `lang_definitions` VALUES (57752, 942, 16, 'Keluhan pada Kepala');
INSERT INTO `lang_definitions` VALUES (57753, 943, 16, 'Anak');
INSERT INTO `lang_definitions` VALUES (57754, 945, 16, 'Status Imunisasi Anak (CQM)');
INSERT INTO `lang_definitions` VALUES (57755, 946, 16, 'Panas Dingin');
INSERT INTO `lang_definitions` VALUES (57756, 947, 16, 'Cina');
INSERT INTO `lang_definitions` VALUES (57757, 948, 16, 'Cina (Sederhana)');
INSERT INTO `lang_definitions` VALUES (57758, 949, 16, 'Cina (Tradisional)');
INSERT INTO `lang_definitions` VALUES (57759, 951, 16, 'Pilihan');
INSERT INTO `lang_definitions` VALUES (57760, 952, 16, 'Kolesistektomi');
INSERT INTO `lang_definitions` VALUES (57761, 954, 16, 'Kolesistektomi');
INSERT INTO `lang_definitions` VALUES (57762, 955, 16, 'Pilih');
INSERT INTO `lang_definitions` VALUES (57763, 956, 16, 'Pilih bagian dan klik item yang ada, kemudian di bagian lain, Anda akan melihat item terkait disorot, dan Anda dapat klik di bagian tersebut untuk menambahkan dan menghapus hubungan.');
INSERT INTO `lang_definitions` VALUES (57764, 957, 16, 'Pilih Kriteria');
INSERT INTO `lang_definitions` VALUES (57765, 962, 16, 'Pilih daftar');
INSERT INTO `lang_definitions` VALUES (57766, 965, 16, 'Pilih format print untu laporan ini.');
INSERT INTO `lang_definitions` VALUES (57767, 967, 16, 'Bronkitis Kronis');
INSERT INTO `lang_definitions` VALUES (57768, 968, 16, 'Nyeri Sendi Kronis');
INSERT INTO `lang_definitions` VALUES (57769, 969, 16, 'Penyakit Ginjal Kronis (CKD)');
INSERT INTO `lang_definitions` VALUES (57770, 970, 16, 'Sinovitis kronis/efusi/nyeri sendi/encok');
INSERT INTO `lang_definitions` VALUES (57771, 971, 16, 'Kronis/Berulang');
INSERT INTO `lang_definitions` VALUES (57772, 973, 16, 'Sirosis Hati');
INSERT INTO `lang_definitions` VALUES (57773, 974, 16, 'Sirosis Hati');
INSERT INTO `lang_definitions` VALUES (57774, 975, 16, 'Kota');
INSERT INTO `lang_definitions` VALUES (57775, 976, 16, 'Nama Kota');
INSERT INTO `lang_definitions` VALUES (57776, 977, 16, 'Kota, Negara');
INSERT INTO `lang_definitions` VALUES (57777, 978, 16, 'City, Zip Negara');
INSERT INTO `lang_definitions` VALUES (57778, 979, 16, 'Kota/Negara');
INSERT INTO `lang_definitions` VALUES (57779, 980, 16, 'Klaim');
INSERT INTO `lang_definitions` VALUES (57780, 981, 16, 'Klaim ');
INSERT INTO `lang_definitions` VALUES (57781, 983, 16, 'Klaim tes telah berjalan');
INSERT INTO `lang_definitions` VALUES (57782, 984, 16, 'Tipe Klaim');
INSERT INTO `lang_definitions` VALUES (57783, 985, 16, 'Klaim telah dibuatkan pada berkas');
INSERT INTO `lang_definitions` VALUES (57784, 986, 16, 'Klaim telah dibuatkan pada berkas ');
INSERT INTO `lang_definitions` VALUES (57785, 987, 16, 'Klaim');
INSERT INTO `lang_definitions` VALUES (57786, 988, 16, 'Klasifikasi');
INSERT INTO `lang_definitions` VALUES (57787, 989, 16, 'Bersih');
INSERT INTO `lang_definitions` VALUES (57788, 991, 16, 'Hapus Semua');
INSERT INTO `lang_definitions` VALUES (57789, 992, 16, 'Hapus Data HL7');
INSERT INTO `lang_definitions` VALUES (57790, 993, 16, 'Hapus Pembenaran');
INSERT INTO `lang_definitions` VALUES (57791, 994, 16, 'Hapus Smarty Cache');
INSERT INTO `lang_definitions` VALUES (57792, 995, 16, 'Pembersihan info Kantor penerimaan cek antara bank yang diperlukan untuk pembuatan batch EDI 270.');
INSERT INTO `lang_definitions` VALUES (57793, 996, 16, 'Nomor CLIA');
INSERT INTO `lang_definitions` VALUES (57794, 997, 16, 'Klik');
INSERT INTO `lang_definitions` VALUES (57795, 998, 16, 'Klik \'ekspor\' untuk mengekspor Kategori anda, Subkategori, data Konten ke file teks. Setiap kemiripan file ini terhadap file XML adalah murni tidak disengaja. Tag pembuka dan penutup harus berada pada baris yang sama, harus huruf kecil dan tanpa spasi. Untuk mengimpor, telusuri file dan klik \'impor\'. Jika datanya berbeda, akan bergabung denga data yang ada. Jika ada nama item yang sama, yang lama akan tetap ada dan yang baru akan disimpan dengan nomor yang ditambahkan terakhir.');
INSERT INTO `lang_definitions` VALUES (57796, 999, 16, 'Klik sebuah tempat pada grafis untuk menambahkan penjelasan baru, klik lagi untuk menghapusnya');
INSERT INTO `lang_definitions` VALUES (57797, 1000, 16, 'Klik Download Sertifikat untuk mendownload sertifikat dalam berkas ssl.zip');
INSERT INTO `lang_definitions` VALUES (57798, 1001, 16, 'klik untuk lebih');
INSERT INTO `lang_definitions` VALUES (57799, 1005, 16, 'Klik disini');
INSERT INTO `lang_definitions` VALUES (57800, 1006, 16, 'Klik disini untuk menambahkan pasien baru');
INSERT INTO `lang_definitions` VALUES (57801, 1007, 16, 'Klik disini untuk menambahkan perubahan status cedera dan mengedit kegiatan harian');
INSERT INTO `lang_definitions` VALUES (57802, 1008, 16, 'Klik disini untuk memilih tanggal');
INSERT INTO `lang_definitions` VALUES (57803, 1009, 16, 'Klik disini untuk memilih tanggal dan waktu');
INSERT INTO `lang_definitions` VALUES (57804, 1010, 16, 'Klik disini untuk memilih tanggal mulai');
INSERT INTO `lang_definitions` VALUES (57805, 1020, 16, 'klik disini untuk mencari');
INSERT INTO `lang_definitions` VALUES (57806, 1021, 16, 'klik disini untuk memperbarui prioritas, kategori dan pengaturan panggilan');
INSERT INTO `lang_definitions` VALUES (57807, 1022, 16, 'Klik disini untuk melihat semua.');
INSERT INTO `lang_definitions` VALUES (57808, 1023, 16, 'Klik disini untuk melihat dan grafik');
INSERT INTO `lang_definitions` VALUES (57809, 1025, 16, 'Klik disini untuk melihat grafik tanda-tanda vital.');
INSERT INTO `lang_definitions` VALUES (57810, 1026, 16, 'Klik disini untuk melihat rincian pasien');
INSERT INTO `lang_definitions` VALUES (57811, 1027, 16, 'Klik disini untuk melihat semuanya.');
INSERT INTO `lang_definitions` VALUES (57812, 1029, 16, 'Klik tombol Instal untuk menginstal rilis database dari tanggal berikut');
INSERT INTO `lang_definitions` VALUES (57813, 1030, 16, 'Klik pada salah satu bagian waktu untuk meningkatkannya');
INSERT INTO `lang_definitions` VALUES (57814, 1031, 16, 'Klik Nama Pasien untuk Membuka File/Berkas Pasien');
INSERT INTO `lang_definitions` VALUES (57815, 1032, 16, 'Klik Refresh untuk melihat semua hasil, atau masukkan kriteria pencarian diatas untuk melihat hasil yang spesifik/tertentu.');
INSERT INTO `lang_definitions` VALUES (57816, 1034, 16, 'Klik untuk menambahkan komponen baru');
INSERT INTO `lang_definitions` VALUES (57817, 1035, 16, 'Klik untuk menambahkan konsultasi baru');
INSERT INTO `lang_definitions` VALUES (57818, 1037, 16, 'Klik untuk mendownload');
INSERT INTO `lang_definitions` VALUES (57819, 1038, 16, 'Klik untuk mengedit');
INSERT INTO `lang_definitions` VALUES (57820, 1040, 16, 'Klik untuk mengedit kegiatan ini');
INSERT INTO `lang_definitions` VALUES (57821, 1041, 16, 'Klik untuk menghasilkan laporan');
INSERT INTO `lang_definitions` VALUES (57822, 1043, 16, 'Klik untuk mencetak');
INSERT INTO `lang_definitions` VALUES (57823, 1044, 16, 'Klik untuk mendapatkan (tambah) banyak lot');
INSERT INTO `lang_definitions` VALUES (57824, 1045, 16, 'Klik untuk memilih');
INSERT INTO `lang_definitions` VALUES (57825, 1046, 16, 'Klik Untuk Memilih');
INSERT INTO `lang_definitions` VALUES (57826, 1047, 16, 'Klik untuk memilih kode standar industri untuk prosedur ini');
INSERT INTO `lang_definitions` VALUES (57827, 1048, 16, 'Klik untuk memilih kode prosedur opsional');
INSERT INTO `lang_definitions` VALUES (57828, 1050, 16, 'Klik untuk memilih atau mengubah kode CVX');
INSERT INTO `lang_definitions` VALUES (57829, 1051, 16, 'Klik untuk memilih atau mengubah diagnosa');
INSERT INTO `lang_definitions` VALUES (57830, 1052, 16, 'Klik untuk memilih atau mengubah kode layanan');
INSERT INTO `lang_definitions` VALUES (57831, 1053, 16, 'Klik untuk memilih pasien');
INSERT INTO `lang_definitions` VALUES (57832, 1054, 16, 'Klik untuk memilih kode yang terkait');
INSERT INTO `lang_definitions` VALUES (57833, 1055, 16, 'Klik untuk memilih layanan untuk melakukan jika hasil ini tidak normal');
INSERT INTO `lang_definitions` VALUES (57834, 1056, 16, 'Klik untuk memilih prosedur yang diinginkan');
INSERT INTO `lang_definitions` VALUES (57835, 1058, 16, 'Klik untuk melihat');
INSERT INTO `lang_definitions` VALUES (57836, 1059, 16, 'Klik untuk melihat atau mengedit');
INSERT INTO `lang_definitions` VALUES (57837, 1060, 16, 'Klik untuk melihat/mengedit');
INSERT INTO `lang_definitions` VALUES (57838, 1061, 16, 'Klik tombol Upgrade untuk mengupgrade rilis database dari tangal berikut');
INSERT INTO `lang_definitions` VALUES (57839, 1063, 16, 'Klik:');
INSERT INTO `lang_definitions` VALUES (57840, 1064, 16, 'Hari Masa Berlaku Sertifikat Klien');
INSERT INTO `lang_definitions` VALUES (57841, 1065, 16, 'Periode validasi sertifikat klien');
INSERT INTO `lang_definitions` VALUES (57842, 1066, 16, 'Keabsahan sertifikat klien harus angka yang valid/benar.');
INSERT INTO `lang_definitions` VALUES (57843, 1067, 16, 'Salinan Klien');
INSERT INTO `lang_definitions` VALUES (57844, 1069, 16, 'Ringkasan riwayat medis klien');
INSERT INTO `lang_definitions` VALUES (57845, 1072, 16, 'Profil Klien - Klien Baru');
INSERT INTO `lang_definitions` VALUES (57846, 1073, 16, 'Profil klien - Klien Unik');
INSERT INTO `lang_definitions` VALUES (57847, 1074, 16, 'Klien');
INSERT INTO `lang_definitions` VALUES (57848, 1075, 16, 'Klinik');
INSERT INTO `lang_definitions` VALUES (57849, 1076, 16, 'Salinan Klinik');
INSERT INTO `lang_definitions` VALUES (57850, 1077, 16, 'Catatan Harian Klinik');
INSERT INTO `lang_definitions` VALUES (57851, 1078, 16, 'ID Klinik');
INSERT INTO `lang_definitions` VALUES (57852, 1079, 16, 'Klinik');
INSERT INTO `lang_definitions` VALUES (57853, 1080, 16, 'Pengelola Pemberitahuan Aturan Keputusan Klinis');
INSERT INTO `lang_definitions` VALUES (57854, 1083, 16, 'Rencana Klinis');
INSERT INTO `lang_definitions` VALUES (57855, 1084, 16, 'Ukuran Kualitas Klinis (CQM)');
INSERT INTO `lang_definitions` VALUES (57856, 1087, 16, 'Pengingat Klinis');
INSERT INTO `lang_definitions` VALUES (57857, 1088, 16, 'Laporan Klinis');
INSERT INTO `lang_definitions` VALUES (57858, 1089, 16, 'Aturan Klinis Kategori Aksi');
INSERT INTO `lang_definitions` VALUES (57859, 1090, 16, 'Aturan Klinis Item Aksi');
INSERT INTO `lang_definitions` VALUES (57860, 1091, 16, 'Aturan Klinis Metode Filter');
INSERT INTO `lang_definitions` VALUES (57861, 1092, 16, 'Aturan Klinis Metode Sasaran');
INSERT INTO `lang_definitions` VALUES (57862, 1093, 16, 'Aturan Klinis');
INSERT INTO `lang_definitions` VALUES (57863, 1094, 16, 'Aturan Klinis Interval Usia');
INSERT INTO `lang_definitions` VALUES (57864, 1095, 16, 'Aturan Klinis Perbandingan');
INSERT INTO `lang_definitions` VALUES (57865, 1096, 16, 'Aturan Klinis Jenis Encounter');
INSERT INTO `lang_definitions` VALUES (57866, 1097, 16, 'Aturan Klinis Pengingat karena Pilihan');
INSERT INTO `lang_definitions` VALUES (57867, 1098, 16, 'Aturan Klinis Pengingat Inaktivasi Pilihan');
INSERT INTO `lang_definitions` VALUES (57868, 1099, 16, 'Aturan Klinis Interval Pengingat');
INSERT INTO `lang_definitions` VALUES (57869, 1100, 16, 'Aturan Klinis Metode Pengingat');
INSERT INTO `lang_definitions` VALUES (57870, 1101, 16, 'Aturan Klinis Interval Sasaran');
INSERT INTO `lang_definitions` VALUES (57871, 1102, 16, 'Sasaran klinis');
INSERT INTO `lang_definitions` VALUES (57872, 1106, 16, 'Dokter');
INSERT INTO `lang_definitions` VALUES (57873, 1107, 16, 'Duplikasi');
INSERT INTO `lang_definitions` VALUES (57874, 1108, 16, 'Duplikasi Kunjungan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (57875, 1109, 16, 'Tutup');
INSERT INTO `lang_definitions` VALUES (57876, 1111, 16, 'tutup jendela');
INSERT INTO `lang_definitions` VALUES (57877, 1112, 16, 'Ditutup');
INSERT INTO `lang_definitions` VALUES (57878, 1113, 16, 'cm');
INSERT INTO `lang_definitions` VALUES (57879, 1114, 16, 'CMS 1500 Margin');
INSERT INTO `lang_definitions` VALUES (57880, 1118, 16, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (57881, 1127, 16, 'CN2-12 intact');
INSERT INTO `lang_definitions` VALUES (57882, 1128, 16, 'Co Pay');
INSERT INTO `lang_definitions` VALUES (57883, 1129, 16, 'Co Pay dibayar');
INSERT INTO `lang_definitions` VALUES (57884, 1130, 16, 'CO-PAY');
INSERT INTO `lang_definitions` VALUES (57885, 1131, 16, 'Kode');
INSERT INTO `lang_definitions` VALUES (57886, 1132, 16, 'kode');
INSERT INTO `lang_definitions` VALUES (57887, 1133, 16, 'Kode Penemu');
INSERT INTO `lang_definitions` VALUES (57888, 1134, 16, 'Kode harus dua huruf kecil');
INSERT INTO `lang_definitions` VALUES (57889, 1135, 16, 'Kode atau simbol untuk mengindikasikan mata uang');
INSERT INTO `lang_definitions` VALUES (57890, 1136, 16, 'Teks Kode');
INSERT INTO `lang_definitions` VALUES (57891, 1138, 16, 'jenis kode');
INSERT INTO `lang_definitions` VALUES (57892, 1141, 16, 'Jenis Kode');
INSERT INTO `lang_definitions` VALUES (57893, 1143, 16, 'Dikode');
INSERT INTO `lang_definitions` VALUES (57894, 1144, 16, 'Kode');
INSERT INTO `lang_definitions` VALUES (57895, 1145, 16, 'Pengkodean');
INSERT INTO `lang_definitions` VALUES (57896, 1147, 16, 'Pengkodean - semua pertemuan (tulis,wsome opsional)');
INSERT INTO `lang_definitions` VALUES (57897, 1148, 16, 'Pengkodean - semua pertemuan (tulis,wsome opsional)');
INSERT INTO `lang_definitions` VALUES (57898, 1149, 16, 'Pengkodean tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (57899, 1150, 16, 'Kopi');
INSERT INTO `lang_definitions` VALUES (57900, 1152, 16, 'Coinsurance');
INSERT INTO `lang_definitions` VALUES (57901, 1153, 16, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (57902, 1154, 16, 'Kempiskan');
INSERT INTO `lang_definitions` VALUES (57903, 1155, 16, 'kempiskan');
INSERT INTO `lang_definitions` VALUES (57904, 1156, 16, 'Kempiskan Semua');
INSERT INTO `lang_definitions` VALUES (57905, 1157, 16, 'Kempiskan semua');
INSERT INTO `lang_definitions` VALUES (57906, 1158, 16, 'kempiskan semua');
INSERT INTO `lang_definitions` VALUES (57907, 1161, 16, 'Koleksi');
INSERT INTO `lang_definitions` VALUES (57908, 1162, 16, 'Laporan Koleksi');
INSERT INTO `lang_definitions` VALUES (57909, 1163, 16, 'Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (57910, 1164, 16, 'Penyaringan Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (57911, 1165, 16, 'Pembedahan Kanker Usus Besar');
INSERT INTO `lang_definitions` VALUES (57912, 1166, 16, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (57913, 1167, 16, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (57914, 1168, 16, 'Warna');
INSERT INTO `lang_definitions` VALUES (57915, 1169, 16, 'Warna:Abbr');
INSERT INTO `lang_definitions` VALUES (57916, 1170, 16, 'Kolom');
INSERT INTO `lang_definitions` VALUES (57917, 1171, 16, 'Kolom');
INSERT INTO `lang_definitions` VALUES (57918, 1172, 16, 'Menggabungkan Lot');
INSERT INTO `lang_definitions` VALUES (57919, 1173, 16, 'Koma');
INSERT INTO `lang_definitions` VALUES (57920, 1174, 16, 'Komentar');
INSERT INTO `lang_definitions` VALUES (57921, 1175, 16, 'Komentar');
INSERT INTO `lang_definitions` VALUES (57922, 1176, 16, 'Komentar untuk hasil dari rekomendasi ini');
INSERT INTO `lang_definitions` VALUES (57923, 1177, 16, 'Perusahaan Asuransi Komersial');
INSERT INTO `lang_definitions` VALUES (57924, 1178, 16, 'Lakukan Perubahan');
INSERT INTO `lang_definitions` VALUES (57925, 1180, 16, 'Komunikasi');
INSERT INTO `lang_definitions` VALUES (57926, 1182, 16, 'Perusahaan');
INSERT INTO `lang_definitions` VALUES (57927, 1183, 16, 'Nama Perusahaan');
INSERT INTO `lang_definitions` VALUES (57928, 1184, 16, 'Selesai');
INSERT INTO `lang_definitions` VALUES (57929, 1186, 16, 'Selesai');
INSERT INTO `lang_definitions` VALUES (57930, 1188, 16, 'Selesai?');
INSERT INTO `lang_definitions` VALUES (57931, 1190, 16, 'Komplikasi oleh Service Provider');
INSERT INTO `lang_definitions` VALUES (57932, 1191, 16, 'Komplikasi Aborsi');
INSERT INTO `lang_definitions` VALUES (57933, 1192, 16, 'Komponen');
INSERT INTO `lang_definitions` VALUES (57934, 1193, 16, 'Sistem Pengurutan Medis Dibantu Komputer');
INSERT INTO `lang_definitions` VALUES (57935, 1194, 16, 'Kesimpulan');
INSERT INTO `lang_definitions` VALUES (57936, 1199, 16, 'Konfigurasi');
INSERT INTO `lang_definitions` VALUES (57937, 1200, 16, 'Konfigurasi Ekspor/Impor');
INSERT INTO `lang_definitions` VALUES (57938, 1202, 16, 'Konfigurasi Apache dan LibreEHR untuk menggunakan sertifikat SSL dari sisi Klien.');
INSERT INTO `lang_definitions` VALUES (57939, 1203, 16, 'Konfigurasi Apache untuk menggunakan sertifikat SSL dari sisi Klien');
INSERT INTO `lang_definitions` VALUES (57940, 1204, 16, 'Konfigurasi Apache untuk menggunakan HTTPS.');
INSERT INTO `lang_definitions` VALUES (57941, 1205, 16, 'Konfigurasi LIBREEHR untuk menggunakan sertifikat SSL dari sisi klien');
INSERT INTO `lang_definitions` VALUES (57942, 1208, 16, 'Konfirmasi Buat Pasien Baru');
INSERT INTO `lang_definitions` VALUES (57943, 1209, 16, 'Konfirmasi Sandi Baru');
INSERT INTO `lang_definitions` VALUES (57944, 1210, 16, 'Konfirmasi Pembayaran');
INSERT INTO `lang_definitions` VALUES (57945, 1214, 16, 'Bawaan');
INSERT INTO `lang_definitions` VALUES (57946, 1215, 16, 'Konjungtiva, pupil');
INSERT INTO `lang_definitions` VALUES (57947, 1217, 16, 'Penghubung');
INSERT INTO `lang_definitions` VALUES (57948, 1218, 16, 'Konstan');
INSERT INTO `lang_definitions` VALUES (57949, 1219, 16, 'nama tetap');
INSERT INTO `lang_definitions` VALUES (57950, 1220, 16, 'Nama tetap kosong');
INSERT INTO `lang_definitions` VALUES (57951, 1221, 16, 'konstan');
INSERT INTO `lang_definitions` VALUES (57952, 1222, 16, 'Konstipasi/Sembelit');
INSERT INTO `lang_definitions` VALUES (57953, 1223, 16, 'Kontstitusional');
INSERT INTO `lang_definitions` VALUES (57954, 1226, 16, 'Penjelasan Singkat Konsultasi');
INSERT INTO `lang_definitions` VALUES (57955, 1227, 16, 'Kontak');
INSERT INTO `lang_definitions` VALUES (57956, 1228, 16, 'Kontak Email');
INSERT INTO `lang_definitions` VALUES (57957, 1229, 16, 'Kontak Alamat Email');
INSERT INTO `lang_definitions` VALUES (57958, 1231, 16, 'info kontak');
INSERT INTO `lang_definitions` VALUES (57959, 1232, 16, 'Lensa Kontak');
INSERT INTO `lang_definitions` VALUES (57960, 1236, 16, 'Nama kontak');
INSERT INTO `lang_definitions` VALUES (57961, 1237, 16, 'Contact Person');
INSERT INTO `lang_definitions` VALUES (57962, 1239, 16, 'Kontak/Hubungi Nomor Telepon');
INSERT INTO `lang_definitions` VALUES (57963, 1240, 16, 'Contact ZMG, LLC (zmghealth@gmail.com) untuk berlangganan layanan eRx');
INSERT INTO `lang_definitions` VALUES (57964, 1241, 16, 'mengandung setidaknya tiga dari empat item berikut:');
INSERT INTO `lang_definitions` VALUES (57965, 1243, 16, 'Isi');
INSERT INTO `lang_definitions` VALUES (57966, 1244, 16, 'isi');
INSERT INTO `lang_definitions` VALUES (57967, 1245, 16, 'Konteks');
INSERT INTO `lang_definitions` VALUES (57968, 1246, 16, 'Nama konteks tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (57969, 1247, 16, 'Lanjut');
INSERT INTO `lang_definitions` VALUES (57970, 1248, 16, 'Kontinuitas Perawatan Dokumen (CCD)');
INSERT INTO `lang_definitions` VALUES (57971, 1249, 16, 'Kontinuitas Perawatan Catatan (CCR)');
INSERT INTO `lang_definitions` VALUES (57972, 1250, 16, 'Kontra Klien');
INSERT INTO `lang_definitions` VALUES (57973, 1251, 16, 'Kontrasepsi');
INSERT INTO `lang_definitions` VALUES (57974, 1252, 16, 'Masalah kontrasepsi');
INSERT INTO `lang_definitions` VALUES (57975, 1253, 16, 'Komplikasi Kontrasepsi (sebutkan)');
INSERT INTO `lang_definitions` VALUES (57976, 1254, 16, 'Metode kontrasepsi');
INSERT INTO `lang_definitions` VALUES (57977, 1255, 16, 'Produk Kontrasepsi');
INSERT INTO `lang_definitions` VALUES (57978, 1256, 16, 'Layanan kontrasepsi sebelumnya dimulai');
INSERT INTO `lang_definitions` VALUES (57979, 1257, 16, 'Mulai kontrasepsi');
INSERT INTO `lang_definitions` VALUES (57980, 1258, 16, 'ID Kontrol');
INSERT INTO `lang_definitions` VALUES (57981, 1259, 16, 'Nomor Kontrol');
INSERT INTO `lang_definitions` VALUES (57982, 1262, 16, 'Copay');
INSERT INTO `lang_definitions` VALUES (57983, 1263, 16, 'CoPay');
INSERT INTO `lang_definitions` VALUES (57984, 1264, 16, 'Copay tidak positif');
INSERT INTO `lang_definitions` VALUES (57985, 1266, 16, 'Copays');
INSERT INTO `lang_definitions` VALUES (57986, 1267, 16, 'COPD');
INSERT INTO `lang_definitions` VALUES (57987, 1268, 16, 'Salin ke Halaman Bagan/Grafik Pasien');
INSERT INTO `lang_definitions` VALUES (57988, 1269, 16, 'Salin Nilai');
INSERT INTO `lang_definitions` VALUES (57989, 1270, 16, 'Mengkopi file databse. Ini akan sedikit memakan waktu...');
INSERT INTO `lang_definitions` VALUES (57990, 1271, 16, 'Hak Cipta');
INSERT INTO `lang_definitions` VALUES (57991, 1273, 16, 'Arteri koroner Bypass');
INSERT INTO `lang_definitions` VALUES (57992, 1274, 16, 'Transplatasi Arteri Koroner (CABG)');
INSERT INTO `lang_definitions` VALUES (57993, 1275, 16, 'Dikoreksi');
INSERT INTO `lang_definitions` VALUES (57994, 1277, 16, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (57995, 1278, 16, 'Koneksi CouchDB Gagal.');
INSERT INTO `lang_definitions` VALUES (57996, 1279, 16, 'Database CouchDB');
INSERT INTO `lang_definitions` VALUES (57997, 1280, 16, 'Nama database CouchDB');
INSERT INTO `lang_definitions` VALUES (57998, 1281, 16, 'Host CouchDB');
INSERT INTO `lang_definitions` VALUES (57999, 1282, 16, 'HostName CouchDB');
INSERT INTO `lang_definitions` VALUES (58000, 1283, 16, 'Log CouchDB Aktif');
INSERT INTO `lang_definitions` VALUES (58001, 1284, 16, 'Sandi CouchDB');
INSERT INTO `lang_definitions` VALUES (58002, 1285, 16, 'Port CouchDB');
INSERT INTO `lang_definitions` VALUES (58003, 1286, 16, 'port CouchDB');
INSERT INTO `lang_definitions` VALUES (58004, 1288, 16, 'Username CouchDB');
INSERT INTO `lang_definitions` VALUES (58005, 1289, 16, 'Batuk');
INSERT INTO `lang_definitions` VALUES (58006, 1290, 16, 'Batuk:');
INSERT INTO `lang_definitions` VALUES (58007, 1294, 16, 'Tidak dapat membaca file');
INSERT INTO `lang_definitions` VALUES (58008, 1296, 16, 'Tidak dapat mengirim email karena masalah server, ');
INSERT INTO `lang_definitions` VALUES (58009, 1298, 16, 'Tidak dapat membuat direktori backup');
INSERT INTO `lang_definitions` VALUES (58010, 1299, 16, 'Tidak dapat menghapus direktori:');
INSERT INTO `lang_definitions` VALUES (58011, 1300, 16, 'Tidak dapat menghapus file backup yang lama:');
INSERT INTO `lang_definitions` VALUES (58012, 1301, 16, 'Tidak dapat menghapus file ekspor yang lama:');
INSERT INTO `lang_definitions` VALUES (58013, 1302, 16, 'Pengelolaan Coumadin - Pemantauan USD');
INSERT INTO `lang_definitions` VALUES (58014, 1303, 16, 'Konseling dengan Metode');
INSERT INTO `lang_definitions` VALUES (58015, 1304, 16, 'Konseling');
INSERT INTO `lang_definitions` VALUES (58016, 1305, 16, 'Kegiatan konseling');
INSERT INTO `lang_definitions` VALUES (58017, 1306, 16, 'FORMULIR RUJUKAN KONTER/KASIR');
INSERT INTO `lang_definitions` VALUES (58018, 1307, 16, 'Rujukan Konter/Kasir');
INSERT INTO `lang_definitions` VALUES (58019, 1308, 16, 'Negara');
INSERT INTO `lang_definitions` VALUES (58020, 1309, 16, 'Jenis Data Negara');
INSERT INTO `lang_definitions` VALUES (58021, 1310, 16, 'Daftar Negara');
INSERT INTO `lang_definitions` VALUES (58022, 1311, 16, 'Daftar Negara (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (58023, 1312, 16, 'Nama Negara harus dinyatakan dalam dua kata. (Contoh: United States adalah US)');
INSERT INTO `lang_definitions` VALUES (58024, 1313, 16, 'negara');
INSERT INTO `lang_definitions` VALUES (58025, 1315, 16, 'Kupon');
INSERT INTO `lang_definitions` VALUES (58026, 1318, 16, 'CPT');
INSERT INTO `lang_definitions` VALUES (58027, 1319, 16, 'Kode CPT');
INSERT INTO `lang_definitions` VALUES (58028, 1320, 16, 'Kode CPT');
INSERT INTO `lang_definitions` VALUES (58029, 1323, 16, 'CQM');
INSERT INTO `lang_definitions` VALUES (58030, 1324, 16, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (58031, 1325, 16, 'krim');
INSERT INTO `lang_definitions` VALUES (58032, 1326, 16, 'Buat sertifikat SSL sisi klien untuk setiap mesin klien atau pengguna.');
INSERT INTO `lang_definitions` VALUES (58033, 1327, 16, 'Buat sertifikat SSL sisi klien baik untuk nama host klien atau pengguna.');
INSERT INTO `lang_definitions` VALUES (58034, 1329, 16, 'Buat Event');
INSERT INTO `lang_definitions` VALUES (58035, 1330, 16, 'Buat atau download backup/salinan lengkap');
INSERT INTO `lang_definitions` VALUES (58036, 1332, 16, 'Buat Backup');
INSERT INTO `lang_definitions` VALUES (58037, 1333, 16, 'Buat batch');
INSERT INTO `lang_definitions` VALUES (58038, 1334, 16, 'Buat Sertifikat Klien');
INSERT INTO `lang_definitions` VALUES (58039, 1335, 16, 'Buat sertifikat SSL dari sisi Klien');
INSERT INTO `lang_definitions` VALUES (58040, 1336, 16, 'Buat Duplikat');
INSERT INTO `lang_definitions` VALUES (58041, 1338, 16, 'Buat Backup Log Event');
INSERT INTO `lang_definitions` VALUES (58042, 1339, 16, 'Buat Isu/Masalah Baru');
INSERT INTO `lang_definitions` VALUES (58043, 1340, 16, 'Buat Pasien Baru');
INSERT INTO `lang_definitions` VALUES (58044, 1342, 16, 'Buat Surat Pengenal Portal Offsite');
INSERT INTO `lang_definitions` VALUES (58045, 1343, 16, 'Buat Surat Pengenal Portal Onsite');
INSERT INTO `lang_definitions` VALUES (58046, 1344, 16, 'Buat Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (58047, 1345, 16, 'Buat Pengijinan Sertifikat SSL dan sertifikat Server');
INSERT INTO `lang_definitions` VALUES (58048, 1346, 16, 'Buat Kunjungan');
INSERT INTO `lang_definitions` VALUES (58049, 1347, 16, 'Dibuat');
INSERT INTO `lang_definitions` VALUES (58050, 1348, 16, 'Membuat file ekspor');
INSERT INTO `lang_definitions` VALUES (58051, 1351, 16, 'Pembuat/Pencipta');
INSERT INTO `lang_definitions` VALUES (58052, 1352, 16, 'kredit');
INSERT INTO `lang_definitions` VALUES (58053, 1353, 16, 'Kartu Kredit');
INSERT INTO `lang_definitions` VALUES (58054, 1354, 16, 'Kredit');
INSERT INTO `lang_definitions` VALUES (58055, 1356, 16, 'Kriteria');
INSERT INTO `lang_definitions` VALUES (58056, 1358, 16, 'Crohn Penyakit');
INSERT INTO `lang_definitions` VALUES (58057, 1359, 16, 'Crohn Penyakit');
INSERT INTO `lang_definitions` VALUES (58058, 1360, 16, 'Ekspor CSV');
INSERT INTO `lang_definitions` VALUES (58059, 1361, 16, 'File CSV');
INSERT INTO `lang_definitions` VALUES (58060, 1363, 16, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (58061, 1364, 16, 'Kuba');
INSERT INTO `lang_definitions` VALUES (58062, 1365, 16, 'Bagian Desimal Mata Uang');
INSERT INTO `lang_definitions` VALUES (58063, 1366, 16, 'Simbol Angka Mata Uang');
INSERT INTO `lang_definitions` VALUES (58064, 1367, 16, 'Penanda Mata Uang');
INSERT INTO `lang_definitions` VALUES (58065, 1368, 16, 'Pemisah Ribuan Mata Uang');
INSERT INTO `lang_definitions` VALUES (58066, 1369, 16, 'Saat ini');
INSERT INTO `lang_definitions` VALUES (58067, 1370, 16, 'Alkohol Saat Ini');
INSERT INTO `lang_definitions` VALUES (58068, 1371, 16, 'Konsultasi Saat Ini');
INSERT INTO `lang_definitions` VALUES (58069, 1372, 16, 'Kriteria Saat Ini');
INSERT INTO `lang_definitions` VALUES (58070, 1373, 16, 'Warna sorot hari saat ini');
INSERT INTO `lang_definitions` VALUES (58071, 1374, 16, 'Perokok tiap hari saat ini');
INSERT INTO `lang_definitions` VALUES (58072, 1375, 16, 'Nama file saat ini diubah menjadi');
INSERT INTO `lang_definitions` VALUES (58073, 1376, 16, 'Kekalutan/Keluhan Saat Ini');
INSERT INTO `lang_definitions` VALUES (58074, 1377, 16, 'Lokasi Saat Ini');
INSERT INTO `lang_definitions` VALUES (58075, 1378, 16, 'Obat Saat Ini');
INSERT INTO `lang_definitions` VALUES (58076, 1379, 16, 'Pasword Saat Ini');
INSERT INTO `lang_definitions` VALUES (58077, 1380, 16, 'Pasien Saat Ini');
INSERT INTO `lang_definitions` VALUES (58078, 1382, 16, 'Obat Rekreasi Saat Ini');
INSERT INTO `lang_definitions` VALUES (58079, 1383, 16, 'Perokok beberapa hari saat ini');
INSERT INTO `lang_definitions` VALUES (58080, 1386, 16, 'Sedang aktif');
INSERT INTO `lang_definitions` VALUES (58081, 1388, 16, 'Saat ini tidak ada fasilitas.');
INSERT INTO `lang_definitions` VALUES (58082, 1389, 16, 'Sindrom Cushing');
INSERT INTO `lang_definitions` VALUES (58083, 1390, 16, 'Sindrom Cushing');
INSERT INTO `lang_definitions` VALUES (58084, 1392, 16, 'Custom/Kebiasaan');
INSERT INTO `lang_definitions` VALUES (58085, 1393, 16, 'Masukan custom?');
INSERT INTO `lang_definitions` VALUES (58086, 1394, 16, 'Tabel Custom');
INSERT INTO `lang_definitions` VALUES (58087, 1396, 16, 'Kode CVX');
INSERT INTO `lang_definitions` VALUES (58088, 1397, 16, 'Kode Pemetaan CVX');
INSERT INTO `lang_definitions` VALUES (58089, 1399, 16, 'Siklus');
INSERT INTO `lang_definitions` VALUES (58090, 1400, 16, 'CYP');
INSERT INTO `lang_definitions` VALUES (58091, 1401, 16, 'Faktor CYP');
INSERT INTO `lang_definitions` VALUES (58092, 1402, 16, 'Laporan CYP');
INSERT INTO `lang_definitions` VALUES (58093, 1403, 16, 'Ceko');
INSERT INTO `lang_definitions` VALUES (58094, 1404, 16, 'D');
INSERT INTO `lang_definitions` VALUES (58095, 1405, 16, 'D&C');
INSERT INTO `lang_definitions` VALUES (58096, 1406, 16, 'D&E');
INSERT INTO `lang_definitions` VALUES (58097, 1407, 16, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (58098, 1408, 16, 'harian');
INSERT INTO `lang_definitions` VALUES (58099, 1409, 16, 'Catatan Harian');
INSERT INTO `lang_definitions` VALUES (58100, 1410, 16, 'Denmark');
INSERT INTO `lang_definitions` VALUES (58101, 1411, 16, 'Data serupa telah ada dalam database, silahkan ganti kode dan/atau deskripsi');
INSERT INTO `lang_definitions` VALUES (58102, 1412, 16, 'Data serupa telah ada dalam database, silahkan ganti nama tetap');
INSERT INTO `lang_definitions` VALUES (58103, 1413, 16, 'Kolom Data');
INSERT INTO `lang_definitions` VALUES (58104, 1416, 16, 'Kesalahan Data');
INSERT INTO `lang_definitions` VALUES (58105, 1420, 16, 'Jenis data');
INSERT INTO `lang_definitions` VALUES (58106, 1421, 16, 'Database');
INSERT INTO `lang_definitions` VALUES (58107, 1422, 16, 'Database tidak terinstal.');
INSERT INTO `lang_definitions` VALUES (58108, 1424, 16, 'Pelaporan Database');
INSERT INTO `lang_definitions` VALUES (58109, 1425, 16, 'Upgrade database selesai.');
INSERT INTO `lang_definitions` VALUES (58110, 1426, 16, 'Kolom Data harus berupa nomor antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (58111, 1427, 16, 'Tanggal');
INSERT INTO `lang_definitions` VALUES (58112, 1428, 16, 'TANGGAL');
INSERT INTO `lang_definitions` VALUES (58113, 1431, 16, 'Tanggal Diperintah');
INSERT INTO `lang_definitions` VALUES (58114, 1432, 16, 'Tanggal dan waktu pengumpulan sampel');
INSERT INTO `lang_definitions` VALUES (58115, 1433, 16, 'Tanggal dan waktu pengamatan ini');
INSERT INTO `lang_definitions` VALUES (58116, 1435, 16, 'Tanggal dan waktu sampel diambil');
INSERT INTO `lang_definitions` VALUES (58117, 1436, 16, 'Tanggal tidak boleh lebih dari hari ini');
INSERT INTO `lang_definitions` VALUES (58118, 1437, 16, 'Tanggal layanan kontrasepsi yang diberikan pada awalnya');
INSERT INTO `lang_definitions` VALUES (58119, 1438, 16, 'Tanggal Dibuat');
INSERT INTO `lang_definitions` VALUES (58120, 1439, 16, 'Tanggal Meninggal');
INSERT INTO `lang_definitions` VALUES (58121, 1440, 16, 'Tanggal Hancur');
INSERT INTO `lang_definitions` VALUES (58122, 1441, 16, 'Format Tampilan Tanggal');
INSERT INTO `lang_definitions` VALUES (58123, 1442, 16, 'Format tanggal untuk \"akhir janji-temu\" tidak valid');
INSERT INTO `lang_definitions` VALUES (58124, 1443, 16, 'Format tanggal untuk \"mulai janji-temu\" tidak valid');
INSERT INTO `lang_definitions` VALUES (58125, 1444, 16, 'Format tanggal untuk \"Janji-Temu Berikutnya\" tidak valid');
INSERT INTO `lang_definitions` VALUES (58126, 1445, 16, 'Format tanggal untuk \"tidak terlihat sejak\" tidak valid');
INSERT INTO `lang_definitions` VALUES (58127, 1446, 16, 'Format tanggal untuk \"terlihat sejak\" tidak valid');
INSERT INTO `lang_definitions` VALUES (58128, 1447, 16, 'Statemen Informasi Tanggal Imunisasi yang Diberikan');
INSERT INTO `lang_definitions` VALUES (58129, 1448, 16, 'Tanggal tersebut tidak ada untuk kode ');
INSERT INTO `lang_definitions` VALUES (58130, 1449, 16, 'Kriteria Tanggal');
INSERT INTO `lang_definitions` VALUES (58131, 1450, 16, 'Tanggal deposito bank yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (58132, 1452, 16, 'Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (58133, 1453, 16, 'Tanggal lahir');
INSERT INTO `lang_definitions` VALUES (58134, 1454, 16, 'Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (58135, 1456, 16, 'Tanggal Cedera');
INSERT INTO `lang_definitions` VALUES (58136, 1458, 16, 'Tanggal pembayaran yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (58137, 1459, 16, 'Tanggal rujukan');
INSERT INTO `lang_definitions` VALUES (58138, 1460, 16, 'Tanggal balasan');
INSERT INTO `lang_definitions` VALUES (58139, 1463, 16, 'Tanggal Pelayanan');
INSERT INTO `lang_definitions` VALUES (58140, 1464, 16, 'Tanggal Pelayanan = Hari Ini');
INSERT INTO `lang_definitions` VALUES (58141, 1465, 16, 'Tanggal layanan mm / dd / yyyy');
INSERT INTO `lang_definitions` VALUES (58142, 1466, 16, 'Tanggal Pelayanan:');
INSERT INTO `lang_definitions` VALUES (58143, 1467, 16, 'Tanggal Penandatanganan');
INSERT INTO `lang_definitions` VALUES (58144, 1469, 16, 'Tanggal pemesanan ini');
INSERT INTO `lang_definitions` VALUES (58145, 1470, 16, 'Tanggal laporan ini');
INSERT INTO `lang_definitions` VALUES (58146, 1471, 16, 'Tanggal Pernyataan VIS');
INSERT INTO `lang_definitions` VALUES (58147, 1472, 16, 'Tanggal Diperintah');
INSERT INTO `lang_definitions` VALUES (58148, 1475, 16, 'Pemilih tanggal');
INSERT INTO `lang_definitions` VALUES (58149, 1476, 16, 'Tanggal Terkirim');
INSERT INTO `lang_definitions` VALUES (58150, 1477, 16, 'Tanggal Terkirimnya Pesan');
INSERT INTO `lang_definitions` VALUES (58151, 1479, 16, 'Nilai tanggal Tidak boleh Kosong');
INSERT INTO `lang_definitions` VALUES (58152, 1480, 16, 'Tanggal/Janji-Temu');
INSERT INTO `lang_definitions` VALUES (58153, 1481, 16, 'Tanggal/Catatan');
INSERT INTO `lang_definitions` VALUES (58154, 1482, 16, 'Tanggal / Catatan dari Terakhir');
INSERT INTO `lang_definitions` VALUES (58155, 1483, 16, 'Tanggal/Waktu');
INSERT INTO `lang_definitions` VALUES (58156, 1484, 16, 'Tanggal:');
INSERT INTO `lang_definitions` VALUES (58157, 1485, 16, 'Tanggal Log Pesan');
INSERT INTO `lang_definitions` VALUES (58158, 1486, 16, 'Hari');
INSERT INTO `lang_definitions` VALUES (58159, 1487, 16, 'hari');
INSERT INTO `lang_definitions` VALUES (58160, 1489, 16, 'Lihat Hari');
INSERT INTO `lang_definitions` VALUES (58161, 1490, 16, 'Hari');
INSERT INTO `lang_definitions` VALUES (58162, 1491, 16, 'Hari S-J');
INSERT INTO `lang_definitions` VALUES (58163, 1492, 16, 'bulan');
INSERT INTO `lang_definitions` VALUES (58164, 1493, 16, 'Bulan');
INSERT INTO `lang_definitions` VALUES (58165, 1494, 16, 'beberapa hari yang lalu');
INSERT INTO `lang_definitions` VALUES (58166, 1495, 16, 'Bulan dan Permainan yang Terlewat');
INSERT INTO `lang_definitions` VALUES (58167, 1496, 16, 'Hari Dari Encounter Terakhir');
INSERT INTO `lang_definitions` VALUES (58168, 1497, 16, 'Hari yang Terlewat');
INSERT INTO `lang_definitions` VALUES (58169, 1498, 16, 'Hari per Kolom:');
INSERT INTO `lang_definitions` VALUES (58170, 1500, 16, 'Hari/Kolom:');
INSERT INTO `lang_definitions` VALUES (58171, 1501, 16, 'DB diinstal');
INSERT INTO `lang_definitions` VALUES (58172, 1502, 16, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (58173, 1503, 16, 'Identifikasi');
INSERT INTO `lang_definitions` VALUES (58174, 1504, 16, 'Proses Identifikasi selesai');
INSERT INTO `lang_definitions` VALUES (58175, 1505, 16, 'Proses Identifikasi sedang berlangsung');
INSERT INTO `lang_definitions` VALUES (58176, 1506, 16, 'Proses Identifikasi dimulai dan berjalan pada latar belakang');
INSERT INTO `lang_definitions` VALUES (58177, 1507, 16, 'Data yang diidentifikasi mungkin tidak lengkap');
INSERT INTO `lang_definitions` VALUES (58178, 1508, 16, 'File Identifikasi akan disimpan dalam');
INSERT INTO `lang_definitions` VALUES (58179, 1509, 16, 'DEA');
INSERT INTO `lang_definitions` VALUES (58180, 1511, 16, 'Tuli/Tuna Rungu');
INSERT INTO `lang_definitions` VALUES (58181, 1512, 16, 'Informasi Debug');
INSERT INTO `lang_definitions` VALUES (58182, 1515, 16, 'Desember');
INSERT INTO `lang_definitions` VALUES (58183, 1516, 16, 'MENINGGAL');
INSERT INTO `lang_definitions` VALUES (58184, 1517, 16, 'Desember');
INSERT INTO `lang_definitions` VALUES (58185, 1520, 16, 'Dapat Dikurangi');
INSERT INTO `lang_definitions` VALUES (58186, 1521, 16, 'Met yang Dapat Dikurangi');
INSERT INTO `lang_definitions` VALUES (58187, 1522, 16, 'Default/Standar');
INSERT INTO `lang_definitions` VALUES (58188, 1523, 16, 'Tampilan Standar Kalender');
INSERT INTO `lang_definitions` VALUES (58189, 1524, 16, 'Encounter Format ID Standar');
INSERT INTO `lang_definitions` VALUES (58190, 1526, 16, 'Fasilitas Standar');
INSERT INTO `lang_definitions` VALUES (58191, 1527, 16, 'Bahasa Standar');
INSERT INTO `lang_definitions` VALUES (58192, 1528, 16, 'Bahasa standar jika tidak ada bahasa lain yang diizinkan atau dipilih.');
INSERT INTO `lang_definitions` VALUES (58193, 1529, 16, 'Daftar Standar (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (58194, 1530, 16, 'Metode default');
INSERT INTO `lang_definitions` VALUES (58195, 1531, 16, 'Standar Hari Kadaluarsa Pasword');
INSERT INTO `lang_definitions` VALUES (58196, 1532, 16, 'Standar Periode Kadaluarsa Pasword dalam hari. 0 berarti fitur ini tidak difungsikan.');
INSERT INTO `lang_definitions` VALUES (58197, 1533, 16, 'Negara Pasien Standar');
INSERT INTO `lang_definitions` VALUES (58198, 1536, 16, 'Provider/Penyedia Layanan Standar');
INSERT INTO `lang_definitions` VALUES (58199, 1537, 16, 'Rentang Standar');
INSERT INTO `lang_definitions` VALUES (58200, 1538, 16, 'Rentang Standar untuk Kunjungan');
INSERT INTO `lang_definitions` VALUES (58201, 1540, 16, 'Pengaturan Standar');
INSERT INTO `lang_definitions` VALUES (58202, 1542, 16, 'Template Standar');
INSERT INTO `lang_definitions` VALUES (58203, 1546, 16, 'Unit/Satuan Standar');
INSERT INTO `lang_definitions` VALUES (58204, 1547, 16, 'Nilai Standar');
INSERT INTO `lang_definitions` VALUES (58205, 1548, 16, 'Warehouse/Gudang Standar');
INSERT INTO `lang_definitions` VALUES (58206, 1549, 16, 'Mitra X12 Standar');
INSERT INTO `lang_definitions` VALUES (58207, 1550, 16, 'Standar/Global');
INSERT INTO `lang_definitions` VALUES (58208, 1551, 16, 'Hapus');
INSERT INTO `lang_definitions` VALUES (58209, 1552, 16, 'hapus');
INSERT INTO `lang_definitions` VALUES (58210, 1553, 16, 'Kambuh Tertunda (> 12 Bulan)');
INSERT INTO `lang_definitions` VALUES (58211, 1554, 16, 'Menghapus');
INSERT INTO `lang_definitions` VALUES (58212, 1555, 16, 'menghapus');
INSERT INTO `lang_definitions` VALUES (58213, 1556, 16, 'Hapus Kategori dengan ID: ');
INSERT INTO `lang_definitions` VALUES (58214, 1557, 16, 'Hapus Kategori');
INSERT INTO `lang_definitions` VALUES (58215, 1560, 16, 'Hapus Grup');
INSERT INTO `lang_definitions` VALUES (58216, 1561, 16, 'Hapus Daftar');
INSERT INTO `lang_definitions` VALUES (58217, 1562, 16, 'Hapus Halaman');
INSERT INTO `lang_definitions` VALUES (58218, 1563, 16, 'Hapus Pasien, Encounter, Formulir, Isu/Masalah, Dokumen, Pembayaran, Tagihan atau Transaksi');
INSERT INTO `lang_definitions` VALUES (58219, 1565, 16, 'Hapus Baris');
INSERT INTO `lang_definitions` VALUES (58220, 1566, 16, 'Hapus Item yang Dipilih');
INSERT INTO `lang_definitions` VALUES (58221, 1568, 16, 'Penghapusan berhasil.');
INSERT INTO `lang_definitions` VALUES (58222, 1569, 16, 'Hapus dokumen ini');
INSERT INTO `lang_definitions` VALUES (58223, 1570, 16, 'Hapus formulir ini');
INSERT INTO `lang_definitions` VALUES (58224, 1571, 16, 'Hapus catatan ini');
INSERT INTO `lang_definitions` VALUES (58225, 1573, 16, 'Berhasil Dihapus.');
INSERT INTO `lang_definitions` VALUES (58226, 1581, 16, 'Demensia');
INSERT INTO `lang_definitions` VALUES (58227, 1582, 16, 'Demografi');
INSERT INTO `lang_definitions` VALUES (58228, 1583, 16, 'Demografi (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (58229, 1585, 16, 'Kriteria penyaringan demografi');
INSERT INTO `lang_definitions` VALUES (58230, 1586, 16, 'Demografi tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (58231, 1587, 16, 'Demografi tidak diizinkan.');
INSERT INTO `lang_definitions` VALUES (58232, 1589, 16, 'Penyebut');
INSERT INTO `lang_definitions` VALUES (58233, 1590, 16, 'Dental');
INSERT INTO `lang_definitions` VALUES (58234, 1592, 16, 'Masalah Dental');
INSERT INTO `lang_definitions` VALUES (58235, 1595, 16, 'Tergantung pada jenis tagihan yang anda uji anda akan melihat HCFA seperti output pada halaman kosong untuk tagihan HCFA, anda akan melihat banyak baris teks yang rusak dan informasi jika anda menguji klaim X12. Teks yang rusak tersebut merupakan format X12 EDI 4010A. Kadang anda akan melihat karakter aneh yang terlihat seperti domino atau squigiles, ini merupakan karakter kontrol seperti pada \'page feeds\' dan bersifat normal.');
INSERT INTO `lang_definitions` VALUES (58236, 1596, 16, 'Tanggal Deposito');
INSERT INTO `lang_definitions` VALUES (58237, 1597, 16, 'Tanggal Deposito Tidak boleh lebih dari Hari Ini');
INSERT INTO `lang_definitions` VALUES (58238, 1598, 16, 'Tanggal deposito:');
INSERT INTO `lang_definitions` VALUES (58239, 1599, 16, 'Sedih');
INSERT INTO `lang_definitions` VALUES (58240, 1600, 16, 'Depresi');
INSERT INTO `lang_definitions` VALUES (58241, 1602, 16, 'Deskripsi/Keterangan');
INSERT INTO `lang_definitions` VALUES (58242, 1603, 16, 'deskripsi');
INSERT INTO `lang_definitions` VALUES (58243, 1605, 16, 'Deskripsi dari Pengungkapan');
INSERT INTO `lang_definitions` VALUES (58244, 1606, 16, 'Deskripsi dari pengungkapan ini atau kode hasil');
INSERT INTO `lang_definitions` VALUES (58245, 1607, 16, 'Deskripsi Terjemahan');
INSERT INTO `lang_definitions` VALUES (58246, 1609, 16, 'Tujuan');
INSERT INTO `lang_definitions` VALUES (58247, 1610, 16, 'Tujuan Nama file');
INSERT INTO `lang_definitions` VALUES (58248, 1611, 16, 'Hancurkan Lot');
INSERT INTO `lang_definitions` VALUES (58249, 1612, 16, 'Hancurkan...');
INSERT INTO `lang_definitions` VALUES (58250, 1613, 16, 'Hancur');
INSERT INTO `lang_definitions` VALUES (58251, 1614, 16, 'Obat Hancur');
INSERT INTO `lang_definitions` VALUES (58252, 1615, 16, 'Laporan Obat Hancur');
INSERT INTO `lang_definitions` VALUES (58253, 1616, 16, 'Rincian');
INSERT INTO `lang_definitions` VALUES (58254, 1617, 16, 'Rincian');
INSERT INTO `lang_definitions` VALUES (58255, 1619, 16, 'Kelainan Pengembangan');
INSERT INTO `lang_definitions` VALUES (58256, 1620, 16, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (58257, 1621, 16, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (58258, 1622, 16, 'Diabetes: Pengelolaan Tekanan Darah (CQM)');
INSERT INTO `lang_definitions` VALUES (58259, 1623, 16, 'Diabetes: Pengujian Mata');
INSERT INTO `lang_definitions` VALUES (58260, 1624, 16, 'Diabetes: Pengujian Mata (CQM)');
INSERT INTO `lang_definitions` VALUES (58261, 1625, 16, 'Diabetes: Pengujian Kaki');
INSERT INTO `lang_definitions` VALUES (58262, 1626, 16, 'Diabetes: Pengujian Kaki (CQM)');
INSERT INTO `lang_definitions` VALUES (58263, 1627, 16, 'Diabetes: Kontrol Lemahnya HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (58264, 1628, 16, 'Diabetes: Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (58265, 1629, 16, 'Diabetes: Pengelolaan LDL & Kontrol (CQM)');
INSERT INTO `lang_definitions` VALUES (58266, 1630, 16, 'Diabetes: Microalbumin Air Seni');
INSERT INTO `lang_definitions` VALUES (58267, 1631, 16, 'Diagnosa');
INSERT INTO `lang_definitions` VALUES (58268, 1633, 16, 'Diagnosa');
INSERT INTO `lang_definitions` VALUES (58269, 1634, 16, 'Kode Diagnosa');
INSERT INTO `lang_definitions` VALUES (58270, 1636, 16, 'Tanggal Diagnosa');
INSERT INTO `lang_definitions` VALUES (58271, 1637, 16, 'Diagnosa harus dikodekan menjadi encounter yang terhubung');
INSERT INTO `lang_definitions` VALUES (58272, 1638, 16, 'Nama Diagnosa');
INSERT INTO `lang_definitions` VALUES (58273, 1639, 16, 'Laporan Diagnosa');
INSERT INTO `lang_definitions` VALUES (58274, 1642, 16, 'Judul Diagnosa');
INSERT INTO `lang_definitions` VALUES (58275, 1643, 16, 'Diagnosa:');
INSERT INTO `lang_definitions` VALUES (58276, 1644, 16, 'Diagnosa: ');
INSERT INTO `lang_definitions` VALUES (58277, 1645, 16, 'Pengujian diagnostik:');
INSERT INTO `lang_definitions` VALUES (58278, 1646, 16, 'Setel');
INSERT INTO `lang_definitions` VALUES (58279, 1647, 16, 'Diafragma/Caps');
INSERT INTO `lang_definitions` VALUES (58280, 1648, 16, 'Diare');
INSERT INTO `lang_definitions` VALUES (58281, 1650, 16, 'Perintah');
INSERT INTO `lang_definitions` VALUES (58282, 1651, 16, 'Perintah: ');
INSERT INTO `lang_definitions` VALUES (58283, 1652, 16, 'Apakah anda menerima salinan Pemberitahuan HIPAA?');
INSERT INTO `lang_definitions` VALUES (58284, 1653, 16, 'Diffuse/Tersebar:');
INSERT INTO `lang_definitions` VALUES (58285, 1654, 16, 'Ditandatangani secara Digital');
INSERT INTO `lang_definitions` VALUES (58286, 1657, 16, 'Surat langsung');
INSERT INTO `lang_definitions` VALUES (58287, 1663, 16, 'Nama Direktu/Pemimpin');
INSERT INTO `lang_definitions` VALUES (58288, 1665, 16, 'Cacat');
INSERT INTO `lang_definitions` VALUES (58289, 1667, 16, 'Nonaktifkan Kalender');
INSERT INTO `lang_definitions` VALUES (58290, 1668, 16, 'Nonaktifkan Pelacak Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (58291, 1669, 16, 'Nonaktifkan Imunisasi');
INSERT INTO `lang_definitions` VALUES (58292, 1670, 16, 'Nonaktifkan Formulir Tanda Vital Metrik Lama');
INSERT INTO `lang_definitions` VALUES (58293, 1672, 16, 'Nonaktifkan phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (58294, 1673, 16, 'Nonaktifkan Resep');
INSERT INTO `lang_definitions` VALUES (58295, 1674, 16, 'Nonaktifkan Grup Pengguna');
INSERT INTO `lang_definitions` VALUES (58296, 1675, 16, 'dinonaktifkan');
INSERT INTO `lang_definitions` VALUES (58297, 1676, 16, 'Dinonaktifkan');
INSERT INTO `lang_definitions` VALUES (58298, 1677, 16, 'Dinonaktifkan Penerima Dibawah Umur 65 Tahun dengan Large Group Health Plan (LGHP)');
INSERT INTO `lang_definitions` VALUES (58299, 1678, 16, 'DISC');
INSERT INTO `lang_definitions` VALUES (58300, 1681, 16, 'Pengeluaran');
INSERT INTO `lang_definitions` VALUES (58301, 1682, 16, 'Pengeluaran dari Uretra/Saluran Kencing');
INSERT INTO `lang_definitions` VALUES (58302, 1684, 16, 'Pengeluaran Sehat');
INSERT INTO `lang_definitions` VALUES (58303, 1685, 16, 'Pengeluaran Sehat:');
INSERT INTO `lang_definitions` VALUES (58304, 1689, 16, 'Pengungkapan Informasi');
INSERT INTO `lang_definitions` VALUES (58305, 1690, 16, 'Jenis Pengungkapan');
INSERT INTO `lang_definitions` VALUES (58306, 1691, 16, 'Jenis Pengungkapan');
INSERT INTO `lang_definitions` VALUES (58307, 1692, 16, 'Pengungkapan Informasi');
INSERT INTO `lang_definitions` VALUES (58308, 1694, 16, 'Diskon');
INSERT INTO `lang_definitions` VALUES (58309, 1695, 16, 'Jumah Diskon');
INSERT INTO `lang_definitions` VALUES (58310, 1696, 16, 'Level/Tingkat Diskon');
INSERT INTO `lang_definitions` VALUES (58311, 1697, 16, 'Persentase Diskon');
INSERT INTO `lang_definitions` VALUES (58312, 1698, 16, 'Diskon sebagai Jumlah Moneter');
INSERT INTO `lang_definitions` VALUES (58313, 1699, 16, 'Diskon pada waktu checkout/pemeriksaan dimasukkan sebagai jumlah uang, berlawanan dengan persentase.');
INSERT INTO `lang_definitions` VALUES (58314, 1700, 16, 'Hasil Diskrit');
INSERT INTO `lang_definitions` VALUES (58315, 1701, 16, 'Penyakit');
INSERT INTO `lang_definitions` VALUES (58316, 1702, 16, 'Dislokasi');
INSERT INTO `lang_definitions` VALUES (58317, 1703, 16, 'Disp #');
INSERT INTO `lang_definitions` VALUES (58318, 1704, 16, 'Pengiriman');
INSERT INTO `lang_definitions` VALUES (58319, 1705, 16, 'Pengiriman Dokumen yang Diterima');
INSERT INTO `lang_definitions` VALUES (58320, 1706, 16, 'Ditiadakan');
INSERT INTO `lang_definitions` VALUES (58321, 1707, 16, 'Tampilkan petunjuk terlebih dahulu pada halaman demografik.');
INSERT INTO `lang_definitions` VALUES (58322, 1709, 16, 'Tampilkan tanggal event pada blok/berkas?');
INSERT INTO `lang_definitions` VALUES (58323, 1711, 16, 'Tampilkan berapa banyak event/peristiwa?');
INSERT INTO `lang_definitions` VALUES (58324, 1713, 16, 'Tampilkan lokasi pada blok/berkas?');
INSERT INTO `lang_definitions` VALUES (58325, 1714, 16, 'Nama yang Ditampilkan');
INSERT INTO `lang_definitions` VALUES (58326, 1715, 16, 'Tampilkan kalender?');
INSERT INTO `lang_definitions` VALUES (58327, 1718, 16, 'Tampilkan event hari ini pada blok/berkas?');
INSERT INTO `lang_definitions` VALUES (58328, 1719, 16, 'Tampilkan topik di blok/berkas?');
INSERT INTO `lang_definitions` VALUES (58329, 1720, 16, 'Tampilkan acara mendatang di blok/berkas?');
INSERT INTO `lang_definitions` VALUES (58330, 1721, 16, 'Kolom yang Ditampilkan');
INSERT INTO `lang_definitions` VALUES (58331, 1722, 16, 'Menampilkan nomor berikut dari pengungkapan yang terbaru:');
INSERT INTO `lang_definitions` VALUES (58332, 1723, 16, 'Menampilkan nomor berikut dari catatan yang terbaru');
INSERT INTO `lang_definitions` VALUES (58333, 1724, 16, 'Menampilka nomor berikut dari catatan yang terbaru:');
INSERT INTO `lang_definitions` VALUES (58334, 1725, 16, 'Distribusi/Penyaluran');
INSERT INTO `lang_definitions` VALUES (58335, 1726, 16, 'Distribusi');
INSERT INTO `lang_definitions` VALUES (58336, 1727, 16, 'Distributor/Penyalur');
INSERT INTO `lang_definitions` VALUES (58337, 1729, 16, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (58338, 1730, 16, 'Bedah Diverticulitis');
INSERT INTO `lang_definitions` VALUES (58339, 1731, 16, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (58340, 1732, 16, 'Bedah Divirticulitis');
INSERT INTO `lang_definitions` VALUES (58341, 1733, 16, 'Bercerai');
INSERT INTO `lang_definitions` VALUES (58342, 1734, 16, 'Pusing:');
INSERT INTO `lang_definitions` VALUES (58343, 1735, 16, 'Jangan ubah');
INSERT INTO `lang_definitions` VALUES (58344, 1737, 16, 'Jangan tampilkan Alergi yang diupload ke NewCrop');
INSERT INTO `lang_definitions` VALUES (58345, 1739, 16, 'Jangan tampilkan Obat yang diupload ke NewCrop');
INSERT INTO `lang_definitions` VALUES (58346, 1742, 16, 'jangan tampilkan kalender.');
INSERT INTO `lang_definitions` VALUES (58347, 1744, 16, 'Jangan menginventarisasi dan menjual produk apapun');
INSERT INTO `lang_definitions` VALUES (58348, 1745, 16, 'Tidak memerlukan catatan pasien untuk diotorisasi/diizinkan');
INSERT INTO `lang_definitions` VALUES (58349, 1746, 16, 'Jangan Resusitasi Pesanan/Perintah');
INSERT INTO `lang_definitions` VALUES (58350, 1747, 16, 'tidak menyimpan');
INSERT INTO `lang_definitions` VALUES (58351, 1748, 16, 'tidak menggantikan');
INSERT INTO `lang_definitions` VALUES (58352, 1749, 16, 'tidak melakukan apa-apa');
INSERT INTO `lang_definitions` VALUES (58353, 1751, 16, 'Apakah anda benar-benar ingin menghapus');
INSERT INTO `lang_definitions` VALUES (58354, 1752, 16, 'Apakah anda benar-benar ingin menghapus pilihan ini?');
INSERT INTO `lang_definitions` VALUES (58355, 1753, 16, 'Apakah Anda benar-benar ingin menghapus grup ini');
INSERT INTO `lang_definitions` VALUES (58356, 1755, 16, 'Apakah anda ingin melanjut?');
INSERT INTO `lang_definitions` VALUES (58357, 1756, 16, 'Apakah anda ingin menghapus ini?');
INSERT INTO `lang_definitions` VALUES (58358, 1757, 16, 'Apakah anda ingin menghapus?');
INSERT INTO `lang_definitions` VALUES (58359, 1758, 16, 'Apakah anda ingin menyingkirkan record/catatan ini?');
INSERT INTO `lang_definitions` VALUES (58360, 1759, 16, 'Apakah anda ingin lanjut menambahkan pasien baru ini?');
INSERT INTO `lang_definitions` VALUES (58361, 1760, 16, 'Apakah anda ingin lanjut dengan nama baru tersebut?');
INSERT INTO `lang_definitions` VALUES (58362, 1761, 16, 'Apakah anda ingin menghapus record/catatan imunisasi ini SECARA PERMANEN?');
INSERT INTO `lang_definitions` VALUES (58363, 1762, 16, 'DOB');
INSERT INTO `lang_definitions` VALUES (58364, 1763, 16, 'DOB tidak ada, silahkan masukkan jika bisa');
INSERT INTO `lang_definitions` VALUES (58365, 1764, 16, 'Docs/Dokumen');
INSERT INTO `lang_definitions` VALUES (58366, 1765, 16, 'Dokter');
INSERT INTO `lang_definitions` VALUES (58367, 1766, 16, 'Dokter:');
INSERT INTO `lang_definitions` VALUES (58368, 1767, 16, 'Nama Dokter dan tanda tangan');
INSERT INTO `lang_definitions` VALUES (58369, 1768, 16, 'Dokumen');
INSERT INTO `lang_definitions` VALUES (58370, 1769, 16, 'dokumen');
INSERT INTO `lang_definitions` VALUES (58371, 1770, 16, 'Kategori Dokumen');
INSERT INTO `lang_definitions` VALUES (58372, 1775, 16, 'Dokumen tidak dapat dipindahkan ke id pasien');
INSERT INTO `lang_definitions` VALUES (58373, 1777, 16, 'Tanggal Dokumen');
INSERT INTO `lang_definitions` VALUES (58374, 1778, 16, 'Tanggal dan Isu/Pokok(Persoalan) dokumen berhasil diupdate');
INSERT INTO `lang_definitions` VALUES (58375, 1779, 16, 'ID Dokumen');
INSERT INTO `lang_definitions` VALUES (58376, 1780, 16, 'Dokumen dipindahkan ke kategori yang baru');
INSERT INTO `lang_definitions` VALUES (58377, 1781, 16, 'Dokumen dipindahkan ke id pasien');
INSERT INTO `lang_definitions` VALUES (58378, 1783, 16, 'Dokumen lulus cek/uji integritas.');
INSERT INTO `lang_definitions` VALUES (58379, 1785, 16, 'Dokumen berhasil berganti nama.');
INSERT INTO `lang_definitions` VALUES (58380, 1790, 16, 'Persediaan Dokumen/Pencitraan(Image)');
INSERT INTO `lang_definitions` VALUES (58381, 1791, 16, 'Dokumen');
INSERT INTO `lang_definitions` VALUES (58382, 1792, 16, 'Dokumen (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (58383, 1794, 16, 'DOE');
INSERT INTO `lang_definitions` VALUES (58384, 1798, 16, 'Apakah jenis ini mengizinkan kode yang terkait?');
INSERT INTO `lang_definitions` VALUES (58385, 1799, 16, 'Mitra Domestik');
INSERT INTO `lang_definitions` VALUES (58386, 1800, 16, 'Jangan Simpan');
INSERT INTO `lang_definitions` VALUES (58387, 1801, 16, 'Jangan Simpan');
INSERT INTO `lang_definitions` VALUES (58388, 1802, 16, 'Jangan Simpan Perubahan');
INSERT INTO `lang_definitions` VALUES (58389, 1803, 16, 'Selesai');
INSERT INTO `lang_definitions` VALUES (58390, 1804, 16, 'Dilakukan/Selesai dengan:');
INSERT INTO `lang_definitions` VALUES (58391, 1805, 16, 'Selesai. Sekarang akan mengirim download.');
INSERT INTO `lang_definitions` VALUES (58392, 1806, 16, 'DOS');
INSERT INTO `lang_definitions` VALUES (58393, 1807, 16, 'Dosis');
INSERT INTO `lang_definitions` VALUES (58394, 1809, 16, 'klik dua kali untuk mengedit');
INSERT INTO `lang_definitions` VALUES (58395, 1810, 16, 'Penglihatan Ganda');
INSERT INTO `lang_definitions` VALUES (58396, 1811, 16, 'Download/Unduh');
INSERT INTO `lang_definitions` VALUES (58397, 1814, 16, 'Tetap Mendownload');
INSERT INTO `lang_definitions` VALUES (58398, 1815, 16, 'Download file tagihan, posting ke akuntansi dan tandai sebagai ditagih');
INSERT INTO `lang_definitions` VALUES (58399, 1817, 16, 'Download Sertifikat');
INSERT INTO `lang_definitions` VALUES (58400, 1818, 16, 'Download pengaturan data');
INSERT INTO `lang_definitions` VALUES (58401, 1820, 16, 'Download file yang terenkripsi');
INSERT INTO `lang_definitions` VALUES (58402, 1827, 16, 'Download Statemen yang Dipilj');
INSERT INTO `lang_definitions` VALUES (58403, 1828, 16, 'Dr Periksa');
INSERT INTO `lang_definitions` VALUES (58404, 1829, 16, 'Dr Kunjungi');
INSERT INTO `lang_definitions` VALUES (58405, 1830, 16, 'Dr.');
INSERT INTO `lang_definitions` VALUES (58406, 1831, 16, 'Drag/Tarik untuk memindahkan');
INSERT INTO `lang_definitions` VALUES (58407, 1832, 16, 'Menggiring');
INSERT INTO `lang_definitions` VALUES (58408, 1833, 16, 'Lisensi Pengemudi atau ID Negara');
INSERT INTO `lang_definitions` VALUES (58409, 1834, 16, 'Obat');
INSERT INTO `lang_definitions` VALUES (58410, 1835, 16, 'Pencari Obat');
INSERT INTO `lang_definitions` VALUES (58411, 1836, 16, 'Formulir Obat');
INSERT INTO `lang_definitions` VALUES (58412, 1837, 16, 'ID Obat hilang!');
INSERT INTO `lang_definitions` VALUES (58413, 1838, 16, 'Interval Obat');
INSERT INTO `lang_definitions` VALUES (58414, 1839, 16, 'Persediaan obat');
INSERT INTO `lang_definitions` VALUES (58415, 1840, 16, 'Nama obat');
INSERT INTO `lang_definitions` VALUES (58416, 1841, 16, 'Rute Obat');
INSERT INTO `lang_definitions` VALUES (58417, 1845, 16, 'Unit/Satuan Obat');
INSERT INTO `lang_definitions` VALUES (58418, 1846, 16, 'Obat');
INSERT INTO `lang_definitions` VALUES (58419, 1847, 16, 'Obat dan Produk');
INSERT INTO `lang_definitions` VALUES (58420, 1848, 16, 'Mulut Kering');
INSERT INTO `lang_definitions` VALUES (58421, 1850, 16, 'DT 1');
INSERT INTO `lang_definitions` VALUES (58422, 1851, 16, 'DT 2');
INSERT INTO `lang_definitions` VALUES (58423, 1852, 16, 'DT 3');
INSERT INTO `lang_definitions` VALUES (58424, 1853, 16, 'DT 4');
INSERT INTO `lang_definitions` VALUES (58425, 1854, 16, 'DT 5');
INSERT INTO `lang_definitions` VALUES (58426, 1855, 16, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (58427, 1856, 16, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (58428, 1857, 16, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (58429, 1858, 16, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (58430, 1859, 16, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (58431, 1860, 16, 'Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (58432, 1861, 16, 'Tanggal Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (58433, 1862, 16, 'Tanggal jatuh tempomm / dd / yyyy atau yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (58434, 1863, 16, 'Tanggal Jatuh Tempo:');
INSERT INTO `lang_definitions` VALUES (58435, 1864, 16, 'Ins Jatuh Tempo(batas)');
INSERT INTO `lang_definitions` VALUES (58436, 1865, 16, 'Pt Jatuh Tempi(batas)');
INSERT INTO `lang_definitions` VALUES (58437, 1866, 16, 'Segera Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (58438, 1867, 16, 'Status Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (58439, 1868, 16, 'Update Status Jatuh Tempo');
INSERT INTO `lang_definitions` VALUES (58440, 1869, 16, 'Dumping database LibreEHR');
INSERT INTO `lang_definitions` VALUES (58441, 1870, 16, 'Dumping pohon direktori web LibreEHR');
INSERT INTO `lang_definitions` VALUES (58442, 1871, 16, 'Dumping database phpGACL');
INSERT INTO `lang_definitions` VALUES (58443, 1872, 16, 'Dumping pohon direktori web phpGACL');
INSERT INTO `lang_definitions` VALUES (58444, 1873, 16, 'Dumping database SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (58445, 1874, 16, 'Dumping pohon direktori web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (58446, 1875, 16, 'Pemeriksaan Duplikasi');
INSERT INTO `lang_definitions` VALUES (58447, 1876, 16, 'ID rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (58448, 1877, 16, 'Nama rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (58449, 1878, 16, 'PERINGATAN DUPLIKASI');
INSERT INTO `lang_definitions` VALUES (58450, 1879, 16, 'Ketahanan Surat Kuasa');
INSERT INTO `lang_definitions` VALUES (58451, 1880, 16, 'durasi');
INSERT INTO `lang_definitions` VALUES (58452, 1881, 16, 'Durasi');
INSERT INTO `lang_definitions` VALUES (58453, 1882, 16, 'Belanda');
INSERT INTO `lang_definitions` VALUES (58454, 1884, 16, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (58455, 1885, 16, 'Dispnea/Nafas yg sulit:');
INSERT INTO `lang_definitions` VALUES (58456, 1886, 16, 'Disuria');
INSERT INTO `lang_definitions` VALUES (58457, 1888, 16, 'Resep Elektronik?');
INSERT INTO `lang_definitions` VALUES (58458, 1890, 16, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (58459, 1892, 16, 'Pembaruan e-Rx');
INSERT INTO `lang_definitions` VALUES (58460, 1893, 16, 'Setiap penerima harus mengatur pesan mereka sendiri sebagai lengkap.');
INSERT INTO `lang_definitions` VALUES (58461, 1894, 16, 'Awal Kambuh (<2 Bulan)');
INSERT INTO `lang_definitions` VALUES (58462, 1895, 16, 'Kuping');
INSERT INTO `lang_definitions` VALUES (58463, 1896, 16, 'ECG');
INSERT INTO `lang_definitions` VALUES (58464, 1898, 16, 'Busung');
INSERT INTO `lang_definitions` VALUES (58465, 1902, 16, 'EDI-271 Upload File');
INSERT INTO `lang_definitions` VALUES (58466, 1903, 16, 'EDI-271 Respon Upload File');
INSERT INTO `lang_definitions` VALUES (58467, 1904, 16, 'Edit');
INSERT INTO `lang_definitions` VALUES (58468, 1905, 16, 'edit');
INSERT INTO `lang_definitions` VALUES (58469, 1906, 16, 'Edit Alergi');
INSERT INTO `lang_definitions` VALUES (58470, 1907, 16, 'Edit Kategori');
INSERT INTO `lang_definitions` VALUES (58471, 1908, 16, 'Edit Definisi');
INSERT INTO `lang_definitions` VALUES (58472, 1909, 16, 'Edit definisi');
INSERT INTO `lang_definitions` VALUES (58473, 1910, 16, 'Edit Diagnosa untuk');
INSERT INTO `lang_definitions` VALUES (58474, 1911, 16, 'Edit Pengungkapan');
INSERT INTO `lang_definitions` VALUES (58475, 1912, 16, 'Edit Fasilitas');
INSERT INTO `lang_definitions` VALUES (58476, 1913, 16, 'Edit Fasilitas');
INSERT INTO `lang_definitions` VALUES (58477, 1914, 16, 'Edit Informasi Fasilitas');
INSERT INTO `lang_definitions` VALUES (58478, 1916, 16, 'Edit File pada');
INSERT INTO `lang_definitions` VALUES (58479, 1917, 16, 'Edit formulir');
INSERT INTO `lang_definitions` VALUES (58480, 1918, 16, 'Edit Pengaturan Global');
INSERT INTO `lang_definitions` VALUES (58481, 1919, 16, 'Pengeditan tidak diizinkan!');
INSERT INTO `lang_definitions` VALUES (58482, 1920, 16, 'Edit Layout/Tata Letak');
INSERT INTO `lang_definitions` VALUES (58483, 1921, 16, 'Edit daftar');
INSERT INTO `lang_definitions` VALUES (58484, 1922, 16, 'Edit Pembayaran');
INSERT INTO `lang_definitions` VALUES (58485, 1923, 16, 'Edit Struktur');
INSERT INTO `lang_definitions` VALUES (58486, 1924, 16, 'Edit Pengguna');
INSERT INTO `lang_definitions` VALUES (58487, 1925, 16, 'Edit Pengaturan Pengguna');
INSERT INTO `lang_definitions` VALUES (58488, 1928, 16, 'Pendidikan');
INSERT INTO `lang_definitions` VALUES (58489, 1929, 16, 'Tanggal Pendidikan');
INSERT INTO `lang_definitions` VALUES (58490, 1931, 16, 'ee * the GNU General Public License untuk rincian lebih lanjut. * * Anda harus menerima salinan GNU General Public License * bersama-sama dengan program ini, jika tidak, tulis ke Free ');
INSERT INTO `lang_definitions` VALUES (58491, 1932, 16, 'Tanggal efektif');
INSERT INTO `lang_definitions` VALUES (58492, 1934, 16, 'Efektivitas');
INSERT INTO `lang_definitions` VALUES (58493, 1935, 16, 'EIN');
INSERT INTO `lang_definitions` VALUES (58494, 1936, 16, 'Ejakulasi');
INSERT INTO `lang_definitions` VALUES (58495, 1937, 16, 'Siku');
INSERT INTO `lang_definitions` VALUES (58496, 1938, 16, 'Masalah Siku');
INSERT INTO `lang_definitions` VALUES (58497, 1939, 16, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (58498, 1942, 16, 'Pengiriman Elektronik');
INSERT INTO `lang_definitions` VALUES (58499, 1944, 16, 'Persyaratan');
INSERT INTO `lang_definitions` VALUES (58500, 1945, 16, 'Kelayakan Pemeriksaan Batch 270');
INSERT INTO `lang_definitions` VALUES (58501, 1946, 16, 'Tanggapan Persyaratan');
INSERT INTO `lang_definitions` VALUES (58502, 1947, 16, 'Status Kelayakan untuk vaksin yang disediakan untuk Anak-anak');
INSERT INTO `lang_definitions` VALUES (58503, 1948, 16, 'Memenuhi Syarat');
INSERT INTO `lang_definitions` VALUES (58504, 1949, 16, 'Email');
INSERT INTO `lang_definitions` VALUES (58505, 1951, 16, 'Alamat Email');
INSERT INTO `lang_definitions` VALUES (58506, 1953, 16, 'Alamat email dari pengirim untuk pengingat pasien. Balasan kepada pengingat pasien akan diarahkan ke alamat ini. Penting untuk menggunakan alamat dari domain klinik anda untuk menghindari membantu mencegah pengingat pasien menuju ke folder junk/sampah pada mail.');
INSERT INTO `lang_definitions` VALUES (58507, 1954, 16, 'Alamat email, jika ada, untuk menerima pemberitahuan administratif.');
INSERT INTO `lang_definitions` VALUES (58508, 1955, 16, 'Alamat email, jika ada, untuk menerima pesan aktivasi login pengguna darurat.');
INSERT INTO `lang_definitions` VALUES (58509, 1956, 16, 'Auth Email');
INSERT INTO `lang_definitions` VALUES (58510, 1957, 16, 'Email dari Batchcom');
INSERT INTO `lang_definitions` VALUES (58511, 1958, 16, 'Notifikasi/Pemberitahuan Email');
INSERT INTO `lang_definitions` VALUES (58512, 1959, 16, 'Waktu Notifikasi Email');
INSERT INTO `lang_definitions` VALUES (58513, 1961, 16, 'Email dikirim sebelum');
INSERT INTO `lang_definitions` VALUES (58514, 1962, 16, 'Email Pengirim');
INSERT INTO `lang_definitions` VALUES (58515, 1963, 16, 'Email Terkirim');
INSERT INTO `lang_definitions` VALUES (58516, 1965, 16, 'Subjek email');
INSERT INTO `lang_definitions` VALUES (58517, 1966, 16, 'Teks email, Tag yang dapat digunakan: ***NAMA***, contoh Kepada*** NAMA***');
INSERT INTO `lang_definitions` VALUES (58518, 1968, 16, 'Metode Pengiriman Email');
INSERT INTO `lang_definitions` VALUES (58519, 1969, 16, 'Email dikirimkan ke alamat berikut');
INSERT INTO `lang_definitions` VALUES (58520, 1971, 16, 'Kontak Darurat');
INSERT INTO `lang_definitions` VALUES (58521, 1972, 16, 'Kontak Pribadi Darurat');
INSERT INTO `lang_definitions` VALUES (58522, 1974, 16, 'Darurat Contraception');
INSERT INTO `lang_definitions` VALUES (58523, 1975, 16, 'Login Darurat');
INSERT INTO `lang_definitions` VALUES (58524, 1976, 16, 'Login Darurat ACL telah dipilih. Pengguna masih dalam keadaan aktif, silahkan nonaktifkan pengguna dan aktifkan kembali ketika diperlukan selama situasi darurat. Kunjungi Administrasi->Pengguna untuk aktivasi dan nonaktivasi.');
INSERT INTO `lang_definitions` VALUES (58525, 1977, 16, 'Email aktivasi Login darurat akan beredar hanya jika pengaturan berikut dalam file interface/globals.php dikonfigurasi.');
INSERT INTO `lang_definitions` VALUES (58526, 1978, 16, 'Alamat Email Login Darurat');
INSERT INTO `lang_definitions` VALUES (58527, 1979, 16, 'Pengguna Login Darurat dapat melakukan apapun');
INSERT INTO `lang_definitions` VALUES (58528, 1980, 16, 'Telepon Darurat');
INSERT INTO `lang_definitions` VALUES (58529, 1982, 16, 'Empisema');
INSERT INTO `lang_definitions` VALUES (58530, 1983, 16, 'Karyawan');
INSERT INTO `lang_definitions` VALUES (58531, 1984, 16, 'Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (58532, 1985, 16, 'Alamat Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (58533, 1986, 16, 'Data Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (58534, 1987, 16, 'Nama Perusahaan Pemberi Kerja');
INSERT INTO `lang_definitions` VALUES (58535, 1988, 16, 'KOSONG');
INSERT INTO `lang_definitions` VALUES (58536, 1989, 16, 'Kosong');
INSERT INTO `lang_definitions` VALUES (58537, 1990, 16, 'Tidak Diijinkan Menggunakan Password Kosong');
INSERT INTO `lang_definitions` VALUES (58538, 1991, 16, 'Nilai kosong pada \"Waktu Email\"');
INSERT INTO `lang_definitions` VALUES (58539, 1992, 16, 'Nilai kosong pada \"Pengirim Email\"');
INSERT INTO `lang_definitions` VALUES (58540, 1993, 16, 'Nilai kosong pada \"Subjek Email\"');
INSERT INTO `lang_definitions` VALUES (58541, 1994, 16, 'Nilai kosong pada \"Teks Email\"');
INSERT INTO `lang_definitions` VALUES (58542, 1995, 16, 'Nilai kosong pada \"Nama Provider\"');
INSERT INTO `lang_definitions` VALUES (58543, 1996, 16, 'Nilai kosong pada \"Pasword\"');
INSERT INTO `lang_definitions` VALUES (58544, 1997, 16, 'Nilai kosong pada \"Waktu SMS\"');
INSERT INTO `lang_definitions` VALUES (58545, 1998, 16, 'Nilai kosong pada \"Teks SMS\"');
INSERT INTO `lang_definitions` VALUES (58546, 1999, 16, 'Nilai kosong pada \"Nama pengguna\"');
INSERT INTO `lang_definitions` VALUES (58547, 2001, 16, 'Aktifkan');
INSERT INTO `lang_definitions` VALUES (58548, 2006, 16, 'Aktifkan Percepatan AMC');
INSERT INTO `lang_definitions` VALUES (58549, 2008, 16, 'Aktifkan Laporan AMC');
INSERT INTO `lang_definitions` VALUES (58550, 2009, 16, 'Aktifkan Pelacakan AMC');
INSERT INTO `lang_definitions` VALUES (58551, 2011, 16, 'Aktifkan Audit ATNA');
INSERT INTO `lang_definitions` VALUES (58552, 2013, 16, 'Aktifkan Logging Audit');
INSERT INTO `lang_definitions` VALUES (58553, 2014, 16, 'Aktifkan Trail Audit dan Otentikasi Node (ATNA)');
INSERT INTO `lang_definitions` VALUES (58554, 2015, 16, 'Aktifkan Laporan Penghitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (58555, 2016, 16, 'Aktifkan SSL Klien');
INSERT INTO `lang_definitions` VALUES (58556, 2017, 16, 'Aktifkan otentikasi sertifikat klien SSL');
INSERT INTO `lang_definitions` VALUES (58557, 2019, 16, 'Aktifkan Aturan Keputusan Klinis (CDR)');
INSERT INTO `lang_definitions` VALUES (58558, 2022, 16, 'Aktifkan Laporan Ukuran Kualitas Klinis (CQM)');
INSERT INTO `lang_definitions` VALUES (58559, 2023, 16, 'Aktifkan Popup Pengingat Klinis');
INSERT INTO `lang_definitions` VALUES (58560, 2024, 16, 'Aktifkan Widget Pengingat Klinis');
INSERT INTO `lang_definitions` VALUES (58561, 2027, 16, 'Aktifkan Laporan CQM');
INSERT INTO `lang_definitions` VALUES (58562, 2031, 16, 'Aktifkan Dukungan Hylafax');
INSERT INTO `lang_definitions` VALUES (58563, 2033, 16, 'Aktifkan pesan status impor untuk NewCrop erx');
INSERT INTO `lang_definitions` VALUES (58564, 2037, 16, 'Aktifkan Pertukaran Lab');
INSERT INTO `lang_definitions` VALUES (58565, 2040, 16, 'Aktifkan logging dari semua query SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (58566, 2041, 16, 'Aktifkan logging dari backup kegiatan yang terkait.');
INSERT INTO `lang_definitions` VALUES (58567, 2043, 16, 'Aktifkan logging dari kegiatan lain-lain.');
INSERT INTO `lang_definitions` VALUES (58568, 2044, 16, 'Aktifkan logging dari susunan kegiatan.');
INSERT INTO `lang_definitions` VALUES (58569, 2045, 16, 'Aktifkan logging dari modifikasi record/catatan pasien.');
INSERT INTO `lang_definitions` VALUES (58570, 2046, 16, 'Aktifkan logging dari penjadwalan kegiatan.');
INSERT INTO `lang_definitions` VALUES (58571, 2047, 16, 'Aktifkan logging dari keamanan dan kegiatan administrasi.');
INSERT INTO `lang_definitions` VALUES (58572, 2049, 16, 'Aktifkan Layanan NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (58573, 2051, 16, 'Aktifkan Portal Offsite Pasien');
INSERT INTO `lang_definitions` VALUES (58574, 2052, 16, 'Aktifkan Portal Offsite Pasien.');
INSERT INTO `lang_definitions` VALUES (58575, 2053, 16, 'Aktifkan Portal Onsite Pasien');
INSERT INTO `lang_definitions` VALUES (58576, 2055, 16, 'Aktifkan Portal Onsite Pasien.');
INSERT INTO `lang_definitions` VALUES (58577, 2056, 16, 'Aktifkan Widget Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (58578, 2058, 16, 'Aktifkan Percepatan Untuk Penghitungan Ukuran Otomatis (AMC) Data yang Dibutuhkan');
INSERT INTO `lang_definitions` VALUES (58579, 2060, 16, 'Aktifkan Laporan dari Pelacakan Tanggal Dari Penghitungan Ukuran Otomatis (AMC)');
INSERT INTO `lang_definitions` VALUES (58580, 2061, 16, 'Aktifkan Dukungan Scanner');
INSERT INTO `lang_definitions` VALUES (58581, 2065, 16, 'Aktifkan Dukungan LibreEHR LLC Layanan Pertukaran Lab.');
INSERT INTO `lang_definitions` VALUES (58582, 2066, 16, 'Aktifkan Otentikasi Sertifikat Pengguna');
INSERT INTO `lang_definitions` VALUES (58583, 2067, 16, 'Aktifkan layanan ZMG, LLC, eRx');
INSERT INTO `lang_definitions` VALUES (58584, 2068, 16, 'diaktifkan');
INSERT INTO `lang_definitions` VALUES (58585, 2070, 16, 'Memungkinkan panel Buaya yang lama untuk memasukkan kode tagihan dan pembayaran. Tidak direkomendasikan, sebaga gantinya gunakan Lembar Biaya.');
INSERT INTO `lang_definitions` VALUES (58586, 2071, 16, 'Enc(Encounter)');
INSERT INTO `lang_definitions` VALUES (58587, 2072, 16, 'Encounter');
INSERT INTO `lang_definitions` VALUES (58588, 2073, 16, 'Encounter');
INSERT INTO `lang_definitions` VALUES (58589, 2074, 16, 'encounter');
INSERT INTO `lang_definitions` VALUES (58590, 2075, 16, 'Encounter ');
INSERT INTO `lang_definitions` VALUES (58591, 2076, 16, 'mengalami rawat inap akut atau ED');
INSERT INTO `lang_definitions` VALUES (58592, 2081, 16, 'Tanggal Encounter');
INSERT INTO `lang_definitions` VALUES (58593, 2086, 16, 'Formulir Encounter');
INSERT INTO `lang_definitions` VALUES (58594, 2087, 16, 'mengalami penilaian kesehatan dan perilaku');
INSERT INTO `lang_definitions` VALUES (58595, 2088, 16, 'Riwayat Encounter');
INSERT INTO `lang_definitions` VALUES (58596, 2089, 16, 'ID Encounter');
INSERT INTO `lang_definitions` VALUES (58597, 2090, 16, 'mengalamai influenza');
INSERT INTO `lang_definitions` VALUES (58598, 2091, 16, 'Nomor encounter');
INSERT INTO `lang_definitions` VALUES (58599, 2093, 16, 'menghadapi pemberhentian keperawatan');
INSERT INTO `lang_definitions` VALUES (58600, 2094, 16, 'menjumpai fasilitas keperawatan');
INSERT INTO `lang_definitions` VALUES (58601, 2095, 16, 'menghadapi terapi kerja');
INSERT INTO `lang_definitions` VALUES (58602, 2096, 16, 'menghadapi kunjungan kerja');
INSERT INTO `lang_definitions` VALUES (58603, 2097, 16, 'mengalami rawat jalan');
INSERT INTO `lang_definitions` VALUES (58604, 2098, 16, 'mengalami rawat jalan PCP dan obgyn');
INSERT INTO `lang_definitions` VALUES (58605, 2099, 16, 'Ukuran Halaman Encounter');
INSERT INTO `lang_definitions` VALUES (58606, 2101, 16, 'mengalami kehamilan');
INSERT INTO `lang_definitions` VALUES (58607, 2102, 16, 'mengalami obat pencegahan - konseling individu');
INSERT INTO `lang_definitions` VALUES (58608, 2103, 16, 'mengalami obat pencegahan 40 dan lebih tua');
INSERT INTO `lang_definitions` VALUES (58609, 2104, 16, 'mengalami konseling kelompok obat pencegahan');
INSERT INTO `lang_definitions` VALUES (58610, 2105, 16, 'mengalami layanan pengobatan pencegahan lainnya');
INSERT INTO `lang_definitions` VALUES (58611, 2106, 16, 'mengalami layanan pengobatan pencegahan 18 dan lebih tua');
INSERT INTO `lang_definitions` VALUES (58612, 2107, 16, 'mengalami layan psikiatri dan psikologi');
INSERT INTO `lang_definitions` VALUES (58613, 2108, 16, 'Statistik encounter');
INSERT INTO `lang_definitions` VALUES (58614, 2109, 16, 'Ringkasan Encounter');
INSERT INTO `lang_definitions` VALUES (58615, 2110, 16, 'Encounter dikodekan');
INSERT INTO `lang_definitions` VALUES (58616, 2111, 16, 'Encounter:');
INSERT INTO `lang_definitions` VALUES (58617, 2112, 16, 'Encounter: mengalami rawat inap non-akut, rawat jalan, dan oftamologi');
INSERT INTO `lang_definitions` VALUES (58618, 2113, 16, 'Encounter');
INSERT INTO `lang_definitions` VALUES (58619, 2114, 16, 'Encounter & Formulir');
INSERT INTO `lang_definitions` VALUES (58620, 2115, 16, 'Encounter & Formulir');
INSERT INTO `lang_definitions` VALUES (58621, 2116, 16, 'Encounter tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (58622, 2117, 16, 'Laporan Encounter');
INSERT INTO `lang_definitions` VALUES (58623, 2118, 16, 'Bagian Encounter');
INSERT INTO `lang_definitions` VALUES (58624, 2120, 16, 'Enkripsi');
INSERT INTO `lang_definitions` VALUES (58625, 2121, 16, 'Akhir');
INSERT INTO `lang_definitions` VALUES (58626, 2122, 16, 'Akhir (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (58627, 2123, 16, 'Tanggal Akhir');
INSERT INTO `lang_definitions` VALUES (58628, 2124, 16, 'Tanggal akhir');
INSERT INTO `lang_definitions` VALUES (58629, 2126, 16, 'Tanggal akhir harus lebih dari Tanggal mulai');
INSERT INTO `lang_definitions` VALUES (58630, 2127, 16, 'Tanggal Berakhir:');
INSERT INTO `lang_definitions` VALUES (58631, 2131, 16, 'Waktu Akhir');
INSERT INTO `lang_definitions` VALUES (58632, 2132, 16, 'Tahap Akhir Penerima Penyakit Ginjal pada MCP dengan Employer\'s Group Plan (Rencana)');
INSERT INTO `lang_definitions` VALUES (58633, 2133, 16, 'Tanggal berakhirnya layanan yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (58634, 2134, 16, 'Berakhirnya DOS mm/dd/yyyy jika anda ingin memasukkan range');
INSERT INTO `lang_definitions` VALUES (58635, 2135, 16, 'Berakhirnya waktu pada hari untuk event kalender');
INSERT INTO `lang_definitions` VALUES (58636, 2136, 16, 'Endo Darah Abnormal');
INSERT INTO `lang_definitions` VALUES (58637, 2137, 16, 'Kelenjar endokrin');
INSERT INTO `lang_definitions` VALUES (58638, 2138, 16, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (58639, 2141, 16, 'Inggris');
INSERT INTO `lang_definitions` VALUES (58640, 2142, 16, 'Inggris ');
INSERT INTO `lang_definitions` VALUES (58641, 2143, 16, 'Inggris (Indian)');
INSERT INTO `lang_definitions` VALUES (58642, 2144, 16, 'Inggris (Standar)');
INSERT INTO `lang_definitions` VALUES (58643, 2145, 16, 'Perintah Enscript digunakan oleh Hylafax');
INSERT INTO `lang_definitions` VALUES (58644, 2146, 16, 'Patikan LibreEHR telah menulis hak akses ke direktori');
INSERT INTO `lang_definitions` VALUES (58645, 2147, 16, 'Pelepasan THT');
INSERT INTO `lang_definitions` VALUES (58646, 2149, 16, 'Masukkan kode diagnosa untuk mengecualikan semua faktur/tagihan yang tidak mengandung hal tersebut');
INSERT INTO `lang_definitions` VALUES (58647, 2151, 16, 'Masukkan badan surat disini');
INSERT INTO `lang_definitions` VALUES (58648, 2152, 16, 'Masukkan Pasword root Database');
INSERT INTO `lang_definitions` VALUES (58649, 2153, 16, 'Masukkan Nama pengguna root Database');
INSERT INTO `lang_definitions` VALUES (58650, 2154, 16, 'Masukkan Diagnosa');
INSERT INTO `lang_definitions` VALUES (58651, 2155, 16, 'Masukkan Obat');
INSERT INTO `lang_definitions` VALUES (58652, 2158, 16, 'Masukkan Imunisasi');
INSERT INTO `lang_definitions` VALUES (58653, 2159, 16, 'Masukan Kunci');
INSERT INTO `lang_definitions` VALUES (58654, 2161, 16, 'Masukkan Negara baru');
INSERT INTO `lang_definitions` VALUES (58655, 2164, 16, 'Masukkan kode Identifikasi');
INSERT INTO `lang_definitions` VALUES (58656, 2165, 16, 'Masukkan kriteria pencarian anda diatas');
INSERT INTO `lang_definitions` VALUES (58657, 2168, 16, 'Lingkungan');
INSERT INTO `lang_definitions` VALUES (58658, 2169, 16, 'Entry Data EOB');
INSERT INTO `lang_definitions` VALUES (58659, 2170, 16, 'Posting EOB - Layanan Pengiriman Uang');
INSERT INTO `lang_definitions` VALUES (58660, 2171, 16, 'Posting EOB - Instruksi');
INSERT INTO `lang_definitions` VALUES (58661, 2172, 16, 'Posting EOB - Faktur');
INSERT INTO `lang_definitions` VALUES (58662, 2173, 16, 'Posting EOB - Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (58663, 2174, 16, 'Posting EOB - Cari');
INSERT INTO `lang_definitions` VALUES (58664, 2176, 16, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (58665, 2178, 16, 'ERA');
INSERT INTO `lang_definitions` VALUES (58666, 2180, 16, 'Posting ERA');
INSERT INTO `lang_definitions` VALUES (58667, 2181, 16, 'Menghapus');
INSERT INTO `lang_definitions` VALUES (58668, 2182, 16, 'Ereksi');
INSERT INTO `lang_definitions` VALUES (58669, 2183, 16, 'Kesalahan');
INSERT INTO `lang_definitions` VALUES (58670, 2185, 16, 'Kesalahan mengkonfirmasikan hasil lab');
INSERT INTO `lang_definitions` VALUES (58671, 2187, 16, 'Kesalahan mendapatkan hasil lab dari Lab Exchange Network (Jaringan Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (58672, 2188, 16, 'Kesalahan dalam pemilihan \"Jenis Kelamin\"');
INSERT INTO `lang_definitions` VALUES (58673, 2189, 16, 'Kesalahan dalam pemilihan \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (58674, 2190, 16, 'Kesalahan dalam pemilihan \"Proses\"');
INSERT INTO `lang_definitions` VALUES (58675, 2191, 16, 'Kesalahan dalam pemilihan \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (58676, 2192, 16, 'Kesalahan dalam pemilihan \"Urut Berdasarkan\"');
INSERT INTO `lang_definitions` VALUES (58677, 2193, 16, 'Kesalahan dalam pengkompresian file gzip: ');
INSERT INTO `lang_definitions` VALUES (58678, 2194, 16, 'Kesalahan dalam pilihan YA atau TIDAK');
INSERT INTO `lang_definitions` VALUES (58679, 2195, 16, 'Kesalahan pembukaan file yang telah diupload untuk dibaca');
INSERT INTO `lang_definitions` VALUES (58680, 2198, 16, 'Kesalahan Menghapus Pesan');
INSERT INTO `lang_definitions` VALUES (58681, 2199, 16, 'Kesalahan mengambil hasil dari Lab Exchange Network (Jaringan Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (58682, 2202, 16, 'Kesalahan saat memberikan hak akses file kepada pengguna LibreEHR.');
INSERT INTO `lang_definitions` VALUES (58683, 2205, 16, 'kesalahan saat mendaftarkan formulir');
INSERT INTO `lang_definitions` VALUES (58684, 2206, 16, 'Kesalahan saat menyimpan kedalam file');
INSERT INTO `lang_definitions` VALUES (58685, 2208, 16, 'Kesalahan saat menulis kedalam file');
INSERT INTO `lang_definitions` VALUES (58686, 2210, 16, 'Kesalahan, file tersebut tidak ada');
INSERT INTO `lang_definitions` VALUES (58687, 2211, 16, 'KESALAHAN, tidak dapat mengambil data dari server');
INSERT INTO `lang_definitions` VALUES (58688, 2212, 16, 'Kesalahan, tidak dapat membuat sertifikat klien.');
INSERT INTO `lang_definitions` VALUES (58689, 2213, 16, 'Kesalahan, tidak dapat membuat sertifikat admin.p12.');
INSERT INTO `lang_definitions` VALUES (58690, 2214, 16, 'Kesalahan, tidak dapat membuat sertifikat Pengizinan Sertifikat.');
INSERT INTO `lang_definitions` VALUES (58691, 2215, 16, 'Kesalaham, tidak dapat membuat sertifikat Server.');
INSERT INTO `lang_definitions` VALUES (58692, 2216, 16, 'Kesalahan, tidak dapat membuka file');
INSERT INTO `lang_definitions` VALUES (58693, 2217, 16, 'Kesalahan, Otentikasi Sertifikat Pengguna tidak diaktifkan pada LibreEHR');
INSERT INTO `lang_definitions` VALUES (58694, 2218, 16, 'Kesalahan. Anda harus menginstal modul php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (58695, 2219, 16, 'KESALAHAN: tidak dapat membuka table.sql, formulir rusak?');
INSERT INTO `lang_definitions` VALUES (58696, 2220, 16, 'Kesalahan: ID rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (58697, 2221, 16, 'Kesalahan: nama rangkap pada baris');
INSERT INTO `lang_definitions` VALUES (58698, 2222, 16, 'KESALAHAN: Field/Bagian');
INSERT INTO `lang_definitions` VALUES (58699, 2223, 16, 'KESALAHAN: Module PHP ZipArchive tidak ditemukan');
INSERT INTO `lang_definitions` VALUES (58700, 2225, 16, 'Kesalahan: pasword tidak cocok. Silahkan periksa pengetikan anda.');
INSERT INTO `lang_definitions` VALUES (58701, 2226, 16, 'Kesalahan: pasword tidak cocok. Silahkan periksa pengetikan anda.');
INSERT INTO `lang_definitions` VALUES (58702, 2227, 16, 'Kesalahan: file tersebut tidak ada');
INSERT INTO `lang_definitions` VALUES (58703, 2228, 16, 'KESALAHAN: Variabel tersebut berisi karakter yang tidak valid');
INSERT INTO `lang_definitions` VALUES (58704, 2229, 16, 'KESALAHAN: Tidak dapat menyalin file.');
INSERT INTO `lang_definitions` VALUES (58705, 2230, 16, 'Keslahan: Tidak dapat membuat arsip yang dapat didownload');
INSERT INTO `lang_definitions` VALUES (58706, 2231, 16, 'KESALAHAN: Tidak dapat Membuat Arsip Zip.');
INSERT INTO `lang_definitions` VALUES (58707, 2232, 16, 'KESALAHAN: Tidak dapat mengekstrak file.');
INSERT INTO `lang_definitions` VALUES (58708, 2233, 16, 'KESALAHAN: Tidak dapat memuat file kedalama database.');
INSERT INTO `lang_definitions` VALUES (58709, 2234, 16, 'KESALAHAN: Tidak dapat mengatur nomor versi.');
INSERT INTO `lang_definitions` VALUES (58710, 2235, 16, 'Kesalahan');
INSERT INTO `lang_definitions` VALUES (58711, 2236, 16, 'Status Akun/Rekening eRx');
INSERT INTO `lang_definitions` VALUES (58712, 2237, 16, 'Log eRx');
INSERT INTO `lang_definitions` VALUES (58713, 2238, 16, 'Nama ERX');
INSERT INTO `lang_definitions` VALUES (58714, 2239, 16, 'Pasword ERX');
INSERT INTO `lang_definitions` VALUES (58715, 2240, 16, 'Tugas ERX');
INSERT INTO `lang_definitions` VALUES (58716, 2241, 16, 'Pengguna ERX');
INSERT INTO `lang_definitions` VALUES (58717, 2242, 16, 'Eritema:');
INSERT INTO `lang_definitions` VALUES (58718, 2245, 16, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (58719, 2247, 16, 'Pasien yang Ditetapkan');
INSERT INTO `lang_definitions` VALUES (58720, 2249, 16, 'Etnis');
INSERT INTO `lang_definitions` VALUES (58721, 2250, 16, 'Etnis atau Ras');
INSERT INTO `lang_definitions` VALUES (58722, 2251, 16, 'Etnis-Daftar Ras (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (58723, 2252, 16, 'ETIN');
INSERT INTO `lang_definitions` VALUES (58724, 2253, 16, 'Event');
INSERT INTO `lang_definitions` VALUES (58725, 2254, 16, 'Event Dimulai');
INSERT INTO `lang_definitions` VALUES (58726, 2255, 16, 'Kategori Event');
INSERT INTO `lang_definitions` VALUES (58727, 2256, 16, 'Tanggal Event');
INSERT INTO `lang_definitions` VALUES (58728, 2257, 16, 'Deskripsi Event');
INSERT INTO `lang_definitions` VALUES (58729, 2258, 16, 'Rincian Event');
INSERT INTO `lang_definitions` VALUES (58730, 2259, 16, 'Event tidak diulangi');
INSERT INTO `lang_definitions` VALUES (58731, 2260, 16, 'Durasi Event');
INSERT INTO `lang_definitions` VALUES (58732, 2261, 16, 'Durasi event dalam menit');
INSERT INTO `lang_definitions` VALUES (58733, 2262, 16, 'Biaya Event');
INSERT INTO `lang_definitions` VALUES (58734, 2263, 16, 'Lokasi Event');
INSERT INTO `lang_definitions` VALUES (58735, 2264, 16, 'Event diulang setiap');
INSERT INTO `lang_definitions` VALUES (58736, 2265, 16, 'Event diulang pada');
INSERT INTO `lang_definitions` VALUES (58737, 2266, 16, 'Waktu mulai Event');
INSERT INTO `lang_definitions` VALUES (58738, 2267, 16, 'Judul Event');
INSERT INTO `lang_definitions` VALUES (58739, 2268, 16, 'Judul Event');
INSERT INTO `lang_definitions` VALUES (58740, 2269, 16, 'Situs Web Event');
INSERT INTO `lang_definitions` VALUES (58741, 2270, 16, 'Event');
INSERT INTO `lang_definitions` VALUES (58742, 2271, 16, 'Event untuk');
INSERT INTO `lang_definitions` VALUES (58743, 2272, 16, 'Event dibuka pada jendela baru');
INSERT INTO `lang_definitions` VALUES (58744, 2273, 16, 'setiap');
INSERT INTO `lang_definitions` VALUES (58745, 2274, 16, 'Setiap');
INSERT INTO `lang_definitions` VALUES (58746, 2275, 16, 'setiap 3 jam');
INSERT INTO `lang_definitions` VALUES (58747, 2276, 16, 'setiap 4 jam');
INSERT INTO `lang_definitions` VALUES (58748, 2277, 16, 'setiap 5 jam');
INSERT INTO `lang_definitions` VALUES (58749, 2278, 16, 'setiap 6 jam');
INSERT INTO `lang_definitions` VALUES (58750, 2279, 16, 'setiap 8 jam');
INSERT INTO `lang_definitions` VALUES (58751, 2280, 16, 'Setiap yang Keempat');
INSERT INTO `lang_definitions` VALUES (58752, 2281, 16, 'Setiap Lainya');
INSERT INTO `lang_definitions` VALUES (58753, 2282, 16, 'Setiap yang Ketiga');
INSERT INTO `lang_definitions` VALUES (58754, 2283, 16, 'Setiap, setiap lainnya, setiap ketiga, dll.');
INSERT INTO `lang_definitions` VALUES (58755, 2285, 16, 'Pemeriksaan dan hasil pengujian');
INSERT INTO `lang_definitions` VALUES (58756, 2286, 16, 'Hasil pemeriksaan');
INSERT INTO `lang_definitions` VALUES (58757, 2289, 16, 'Pemeriksaan');
INSERT INTO `lang_definitions` VALUES (58758, 2290, 16, 'Tanggal Pemeriksaan');
INSERT INTO `lang_definitions` VALUES (58759, 2291, 16, 'Contoh');
INSERT INTO `lang_definitions` VALUES (58760, 2292, 16, 'Contoh');
INSERT INTO `lang_definitions` VALUES (58761, 2293, 16, 'Pemeriksaan/Pengujian');
INSERT INTO `lang_definitions` VALUES (58762, 2294, 16, 'Kecuali');
INSERT INTO `lang_definitions` VALUES (58763, 2295, 16, 'Tearing Berlebihan');
INSERT INTO `lang_definitions` VALUES (58764, 2296, 16, 'Pasien yang Dikecualikan');
INSERT INTO `lang_definitions` VALUES (58765, 2297, 16, 'Pengecualian');
INSERT INTO `lang_definitions` VALUES (58766, 2298, 16, 'Organisasi eksklusif Provider (EPO)');
INSERT INTO `lang_definitions` VALUES (58767, 2299, 16, 'Ukuran Kertas Eksekutif');
INSERT INTO `lang_definitions` VALUES (58768, 2300, 16, 'Latihan');
INSERT INTO `lang_definitions` VALUES (58769, 2301, 16, 'Pola Latihan');
INSERT INTO `lang_definitions` VALUES (58770, 2302, 16, 'Pola latihan');
INSERT INTO `lang_definitions` VALUES (58771, 2303, 16, 'Ada');
INSERT INTO `lang_definitions` VALUES (58772, 2304, 16, 'Keluar dari Administrasi');
INSERT INTO `lang_definitions` VALUES (58773, 2305, 16, 'Exp');
INSERT INTO `lang_definitions` VALUES (58774, 2306, 16, 'Memperluas');
INSERT INTO `lang_definitions` VALUES (58775, 2307, 16, 'memperluas');
INSERT INTO `lang_definitions` VALUES (58776, 2308, 16, 'Perluas Semua');
INSERT INTO `lang_definitions` VALUES (58777, 2311, 16, 'Penglihatan Diperluas');
INSERT INTO `lang_definitions` VALUES (58778, 2312, 16, 'Form_encounter.pid diharapkan akan menjadi ');
INSERT INTO `lang_definitions` VALUES (58779, 2313, 16, 'Kadaluarsa');
INSERT INTO `lang_definitions` VALUES (58780, 2314, 16, 'Tanggal Kadaluarsa');
INSERT INTO `lang_definitions` VALUES (58781, 2315, 16, 'Berakhir');
INSERT INTO `lang_definitions` VALUES (58782, 2316, 16, 'berakhir pada');
INSERT INTO `lang_definitions` VALUES (58783, 2317, 16, 'Ekspor');
INSERT INTO `lang_definitions` VALUES (58784, 2318, 16, 'Ekspor sebagai CSV');
INSERT INTO `lang_definitions` VALUES (58785, 2319, 16, 'Ekspor Konfigurasi');
INSERT INTO `lang_definitions` VALUES (58786, 2322, 16, 'Ekspor Demografic Pasien');
INSERT INTO `lang_definitions` VALUES (58787, 2323, 16, 'Ekspor Laporan PQRI');
INSERT INTO `lang_definitions` VALUES (58788, 2325, 16, 'Ekspor yang Dipilih sebagai CSV');
INSERT INTO `lang_definitions` VALUES (58789, 2326, 16, 'Ekspor yang Dipilih ke Koleksi');
INSERT INTO `lang_definitions` VALUES (58790, 2327, 16, 'Ekspor ke CSV');
INSERT INTO `lang_definitions` VALUES (58791, 2328, 16, 'Ekspor ke sistem tagihan eksternal');
INSERT INTO `lang_definitions` VALUES (58792, 2329, 16, 'Eksposur ke Negara Asing');
INSERT INTO `lang_definitions` VALUES (58793, 2330, 16, 'Eksposur Ke Negara Asing');
INSERT INTO `lang_definitions` VALUES (58794, 2331, 16, 'Waktu Ext(Eksternal) Terkumpul');
INSERT INTO `lang_definitions` VALUES (58795, 2332, 16, 'Eksternal');
INSERT INTO `lang_definitions` VALUES (58796, 2336, 16, 'ID Eksternal');
INSERT INTO `lang_definitions` VALUES (58797, 2337, 16, 'Id Eksternal');
INSERT INTO `lang_definitions` VALUES (58798, 2338, 16, 'Identifier eksternal');
INSERT INTO `lang_definitions` VALUES (58799, 2339, 16, 'Hanya Eksternal');
INSERT INTO `lang_definitions` VALUES (58800, 2342, 16, 'Rujukan Eksternal');
INSERT INTO `lang_definitions` VALUES (58801, 2343, 16, 'Tindak Lanjut Rujukan Eksternal');
INSERT INTO `lang_definitions` VALUES (58802, 2344, 16, 'Rujukan eksternal?');
INSERT INTO `lang_definitions` VALUES (58803, 2345, 16, 'Rujukan Eksternal');
INSERT INTO `lang_definitions` VALUES (58804, 2346, 16, 'Ekstrak file zip');
INSERT INTO `lang_definitions` VALUES (58805, 2347, 16, 'Sedang mengekstrak file. Ini akan sedikit memakan waktu...');
INSERT INTO `lang_definitions` VALUES (58806, 2348, 16, 'Eksudat:');
INSERT INTO `lang_definitions` VALUES (58807, 2349, 16, 'Iritasi Mata');
INSERT INTO `lang_definitions` VALUES (58808, 2350, 16, 'Sakit Mata');
INSERT INTO `lang_definitions` VALUES (58809, 2351, 16, 'Mata Kemerahan');
INSERT INTO `lang_definitions` VALUES (58810, 2352, 16, 'Mata');
INSERT INTO `lang_definitions` VALUES (58811, 2353, 16, 'F');
INSERT INTO `lang_definitions` VALUES (58812, 2354, 16, 'F/H Masalah Darah');
INSERT INTO `lang_definitions` VALUES (58813, 2355, 16, 'F/H Hirsutisme Wanita/Striae');
INSERT INTO `lang_definitions` VALUES (58814, 2356, 16, 'Fasilitas');
INSERT INTO `lang_definitions` VALUES (58815, 2357, 16, 'Fasilitas');
INSERT INTO `lang_definitions` VALUES (58816, 2358, 16, 'fasilitas');
INSERT INTO `lang_definitions` VALUES (58817, 2359, 16, 'Fasilitas Administrasi');
INSERT INTO `lang_definitions` VALUES (58818, 2360, 16, 'Fasilitas Kota');
INSERT INTO `lang_definitions` VALUES (58819, 2361, 16, 'Fasilitas Kode');
INSERT INTO `lang_definitions` VALUES (58820, 2362, 16, 'Fasilitas kode Negara');
INSERT INTO `lang_definitions` VALUES (58821, 2363, 16, 'Fasilitas Fax');
INSERT INTO `lang_definitions` VALUES (58822, 2364, 16, 'Nama Fasilitas');
INSERT INTO `lang_definitions` VALUES (58823, 2365, 16, 'Fasilitas NPI');
INSERT INTO `lang_definitions` VALUES (58824, 2366, 16, 'Fasilitas Telepon');
INSERT INTO `lang_definitions` VALUES (58825, 2368, 16, 'Fasilitas Negara');
INSERT INTO `lang_definitions` VALUES (58826, 2369, 16, 'Fasilitas Jalan');
INSERT INTO `lang_definitions` VALUES (58827, 2370, 16, 'Fasilitas Zip');
INSERT INTO `lang_definitions` VALUES (58828, 2372, 16, 'Fasilitas:');
INSERT INTO `lang_definitions` VALUES (58829, 2373, 16, 'GAGAL');
INSERT INTO `lang_definitions` VALUES (58830, 2374, 16, 'gagal');
INSERT INTO `lang_definitions` VALUES (58831, 2375, 16, 'Gagal');
INSERT INTO `lang_definitions` VALUES (58832, 2383, 16, 'kegagaln');
INSERT INTO `lang_definitions` VALUES (58833, 2390, 16, 'Riwayat Keluarga');
INSERT INTO `lang_definitions` VALUES (58834, 2391, 16, 'Riwayat Keluarga dari Glaukoma');
INSERT INTO `lang_definitions` VALUES (58835, 2392, 16, 'Riwayat Keluarga:');
INSERT INTO `lang_definitions` VALUES (58836, 2394, 16, 'Pembayaran Keluarga');
INSERT INTO `lang_definitions` VALUES (58837, 2395, 16, 'Ukuran Keluarga');
INSERT INTO `lang_definitions` VALUES (58838, 2396, 16, 'Indah');
INSERT INTO `lang_definitions` VALUES (58839, 2398, 16, 'Persia');
INSERT INTO `lang_definitions` VALUES (58840, 2400, 16, 'Ayah');
INSERT INTO `lang_definitions` VALUES (58841, 2402, 16, 'Kelelahan');
INSERT INTO `lang_definitions` VALUES (58842, 2403, 16, 'Kelelahan');
INSERT INTO `lang_definitions` VALUES (58843, 2404, 16, 'Fax');
INSERT INTO `lang_definitions` VALUES (58844, 2405, 16, 'Jumlah Fax');
INSERT INTO `lang_definitions` VALUES (58845, 2406, 16, 'Nomor fax');
INSERT INTO `lang_definitions` VALUES (58846, 2408, 16, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (58847, 2409, 16, 'Faks Masuk');
INSERT INTO `lang_definitions` VALUES (58848, 2410, 16, 'Faks Keluar');
INSERT INTO `lang_definitions` VALUES (58849, 2411, 16, 'Fitur');
INSERT INTO `lang_definitions` VALUES (58850, 2412, 16, 'Februari');
INSERT INTO `lang_definitions` VALUES (58851, 2413, 16, 'Februari');
INSERT INTO `lang_definitions` VALUES (58852, 2414, 16, 'FECA');
INSERT INTO `lang_definitions` VALUES (58853, 2415, 16, 'ID Obat Federal');
INSERT INTO `lang_definitions` VALUES (58854, 2416, 16, 'EIN Federal');
INSERT INTO `lang_definitions` VALUES (58855, 2417, 16, 'ID Pajak Federal');
INSERT INTO `lang_definitions` VALUES (58856, 2418, 16, 'Biaya');
INSERT INTO `lang_definitions` VALUES (58857, 2419, 16, 'biaya');
INSERT INTO `lang_definitions` VALUES (58858, 2420, 16, 'Biaya tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (58859, 2421, 16, 'Lembar Biaya');
INSERT INTO `lang_definitions` VALUES (58860, 2422, 16, 'Opsi Lembar Biaya');
INSERT INTO `lang_definitions` VALUES (58861, 2423, 16, 'Biaya');
INSERT INTO `lang_definitions` VALUES (58862, 2424, 16, 'Wanita');
INSERT INTO `lang_definitions` VALUES (58863, 2425, 16, 'AP Wanita');
INSERT INTO `lang_definitions` VALUES (58864, 2426, 16, 'Kondom Wanita');
INSERT INTO `lang_definitions` VALUES (58865, 2427, 16, 'Wanita G');
INSERT INTO `lang_definitions` VALUES (58866, 2428, 16, 'Wanita LC');
INSERT INTO `lang_definitions` VALUES (58867, 2429, 16, 'Wanita P');
INSERT INTO `lang_definitions` VALUES (58868, 2430, 16, 'Gejala Kewanitaan');
INSERT INTO `lang_definitions` VALUES (58869, 2431, 16, 'Perempuan VSC');
INSERT INTO `lang_definitions` VALUES (58870, 2434, 16, 'Demam');
INSERT INTO `lang_definitions` VALUES (58871, 2435, 16, 'Demam:');
INSERT INTO `lang_definitions` VALUES (58872, 2436, 16, 'FH Masalah Darah');
INSERT INTO `lang_definitions` VALUES (58873, 2437, 16, 'Fibroids');
INSERT INTO `lang_definitions` VALUES (58874, 2441, 16, 'Jenis bagian yang akan digunakan untuk negara majikan atau pelanggan dalam demografi.');
INSERT INTO `lang_definitions` VALUES (58875, 2442, 16, 'Jenis bagian yang akan digunakan untuk negara majikan atau pelanggan dalam demografi.');
INSERT INTO `lang_definitions` VALUES (58876, 2443, 16, 'Field(Bagian) tidak ada!');
INSERT INTO `lang_definitions` VALUES (58877, 2447, 16, 'File');
INSERT INTO `lang_definitions` VALUES (58878, 2448, 16, 'file dalam direktori dokumentasi untuk mempelajari bagaimana cara untuk mengotomatisasi proses menciptakan backup log');
INSERT INTO `lang_definitions` VALUES (58879, 2449, 16, 'lokasi file');
INSERT INTO `lang_definitions` VALUES (58880, 2450, 16, 'Pengelolaan file');
INSERT INTO `lang_definitions` VALUES (58881, 2453, 16, 'Hak akses file diberikan kepada pengguna LibreEHR');
INSERT INTO `lang_definitions` VALUES (58882, 2455, 16, 'File Kamar');
INSERT INTO `lang_definitions` VALUES (58883, 2456, 16, 'File untuk diupload');
INSERT INTO `lang_definitions` VALUES (58884, 2458, 16, 'FIle dengan nama yang sama telah ada pada lokasi:');
INSERT INTO `lang_definitions` VALUES (58885, 2459, 16, 'Nama file');
INSERT INTO `lang_definitions` VALUES (58886, 2461, 16, 'File');
INSERT INTO `lang_definitions` VALUES (58887, 2462, 16, 'Filipina');
INSERT INTO `lang_definitions` VALUES (58888, 2463, 16, 'Isi salah satu dibawah baris.');
INSERT INTO `lang_definitions` VALUES (58889, 2464, 16, 'Isi di sini hanya jika mengirim email pemberitahuan kepada pasien');
INSERT INTO `lang_definitions` VALUES (58890, 2465, 16, 'Isikan nilai-nilai dibawah');
INSERT INTO `lang_definitions` VALUES (58891, 2467, 16, 'Isi Baris.');
INSERT INTO `lang_definitions` VALUES (58892, 2468, 16, 'Filter(Penyaringan)');
INSERT INTO `lang_definitions` VALUES (58893, 2469, 16, 'Penyaringan untuk Konstan');
INSERT INTO `lang_definitions` VALUES (58894, 2470, 16, 'Penyaringan untuk Definisi');
INSERT INTO `lang_definitions` VALUES (58895, 2472, 16, 'penyaringan');
INSERT INTO `lang_definitions` VALUES (58896, 2473, 16, 'Penyaring');
INSERT INTO `lang_definitions` VALUES (58897, 2474, 16, 'Akhir');
INSERT INTO `lang_definitions` VALUES (58898, 2475, 16, 'Diagnosa Akhir');
INSERT INTO `lang_definitions` VALUES (58899, 2476, 16, 'Diagnosa akhir oleh pakar');
INSERT INTO `lang_definitions` VALUES (58900, 2478, 16, 'Finansial/Keuangan');
INSERT INTO `lang_definitions` VALUES (58901, 2479, 16, 'Tanggal Penutupan Keuangan (yyyy-mm-dd)');
INSERT INTO `lang_definitions` VALUES (58902, 2480, 16, 'Laporan Keuangan - apapun');
INSERT INTO `lang_definitions` VALUES (58903, 2481, 16, 'Laporan Keuangan - encounter saya');
INSERT INTO `lang_definitions` VALUES (58904, 2482, 16, 'Tanggal Tinjauan Keuangan');
INSERT INTO `lang_definitions` VALUES (58905, 2484, 16, 'Temukan');
INSERT INTO `lang_definitions` VALUES (58906, 2485, 16, 'Temukan yang Tersedia');
INSERT INTO `lang_definitions` VALUES (58907, 2486, 16, 'Temukan Janji Temu yang Tersedia');
INSERT INTO `lang_definitions` VALUES (58908, 2487, 16, 'Cari Pasien');
INSERT INTO `lang_definitions` VALUES (58909, 2488, 16, 'Cari Bahan Edukasi Pasien');
INSERT INTO `lang_definitions` VALUES (58910, 2489, 16, 'Temuan');
INSERT INTO `lang_definitions` VALUES (58911, 2490, 16, 'Temuan oleh pakar');
INSERT INTO `lang_definitions` VALUES (58912, 2491, 16, 'Baik');
INSERT INTO `lang_definitions` VALUES (58913, 2492, 16, 'Selesai Pembayaran');
INSERT INTO `lang_definitions` VALUES (58914, 2495, 16, 'Pertama');
INSERT INTO `lang_definitions` VALUES (58915, 2497, 16, 'Hari pertama dalam minggu');
INSERT INTO `lang_definitions` VALUES (58916, 2498, 16, 'Nama Depan');
INSERT INTO `lang_definitions` VALUES (58917, 2499, 16, 'Nama depan');
INSERT INTO `lang_definitions` VALUES (58918, 2500, 16, 'Nama Depan:');
INSERT INTO `lang_definitions` VALUES (58919, 2503, 16, 'Kebugaran');
INSERT INTO `lang_definitions` VALUES (58920, 2504, 16, 'Tingkat Kebugaran');
INSERT INTO `lang_definitions` VALUES (58921, 2505, 16, 'Tingkat Kebugaran untuk pemain ini pada hari ini');
INSERT INTO `lang_definitions` VALUES (58922, 2507, 16, 'Kebugaran untuk Bermain');
INSERT INTO `lang_definitions` VALUES (58923, 2508, 16, 'Tanggal Encounter yang Ditetapkan - encounter apapun');
INSERT INTO `lang_definitions` VALUES (58924, 2509, 16, 'Perbaiki ini');
INSERT INTO `lang_definitions` VALUES (58925, 2510, 16, 'FL');
INSERT INTO `lang_definitions` VALUES (58926, 2511, 16, 'Perut Kembung');
INSERT INTO `lang_definitions` VALUES (58927, 2512, 16, 'Aliran');
INSERT INTO `lang_definitions` VALUES (58928, 2514, 16, 'Musim flu');
INSERT INTO `lang_definitions` VALUES (58929, 2515, 16, 'Musim Flu');
INSERT INTO `lang_definitions` VALUES (58930, 2516, 16, 'Vaksinasi flu');
INSERT INTO `lang_definitions` VALUES (58931, 2517, 16, 'Masalah elektrolit dan cairan');
INSERT INTO `lang_definitions` VALUES (58932, 2518, 16, 'FMS');
INSERT INTO `lang_definitions` VALUES (58933, 2519, 16, 'Ukuran Kertas Folio');
INSERT INTO `lang_definitions` VALUES (58934, 2520, 16, 'Mengikuti secara manual');
INSERT INTO `lang_definitions` VALUES (58935, 2522, 16, 'Menindaklanjuti');
INSERT INTO `lang_definitions` VALUES (58936, 2524, 16, 'Alasan Menindaklanjuti');
INSERT INTO `lang_definitions` VALUES (58937, 2525, 16, 'Berikut adalah konstanta custom baru:');
INSERT INTO `lang_definitions` VALUES (58938, 2526, 16, 'Berikut adalah bahasa custom baru:');
INSERT INTO `lang_definitions` VALUES (58939, 2527, 16, 'Berikut adalah definisi baru (Bahasa, Konstanta, Definisi)');
INSERT INTO `lang_definitions` VALUES (58940, 2529, 16, 'Layanan Penindaklanjut');
INSERT INTO `lang_definitions` VALUES (58941, 2530, 16, 'Tindak Lanjut Dinyatakan');
INSERT INTO `lang_definitions` VALUES (58942, 2531, 16, 'Makanan yang Tidak dapat Ditoleransi');
INSERT INTO `lang_definitions` VALUES (58943, 2532, 16, 'Kaki');
INSERT INTO `lang_definitions` VALUES (58944, 2533, 16, 'Masalah kaki');
INSERT INTO `lang_definitions` VALUES (58945, 2534, 16, 'Kaki:');
INSERT INTO `lang_definitions` VALUES (58946, 2535, 16, 'Cedera Sepakbola');
INSERT INTO `lang_definitions` VALUES (58947, 2537, 16, 'Laporan Cedera Sepakbola');
INSERT INTO `lang_definitions` VALUES (58948, 2538, 16, 'Jenis Alas Kaki/Sepatu');
INSERT INTO `lang_definitions` VALUES (58949, 2539, 16, 'untuk');
INSERT INTO `lang_definitions` VALUES (58950, 2540, 16, 'Untuk');
INSERT INTO `lang_definitions` VALUES (58951, 2541, 16, 'Untuk kode');
INSERT INTO `lang_definitions` VALUES (58952, 2543, 16, 'Untuk Klaim Pertemuan');
INSERT INTO `lang_definitions` VALUES (58953, 2544, 16, 'Sebagai contoh:');
INSERT INTO `lang_definitions` VALUES (58954, 2547, 16, 'untuk Faktur/Tagihan');
INSERT INTO `lang_definitions` VALUES (58955, 2548, 16, 'Hanya untuk Medicare, memaksa provider yang mengacu/dimaksud sama dengan provider render.');
INSERT INTO `lang_definitions` VALUES (58956, 2552, 16, 'Untuk Praktisi/Organisasi yang Dimaksud');
INSERT INTO `lang_definitions` VALUES (58957, 2553, 16, 'Untuk masa lalu');
INSERT INTO `lang_definitions` VALUES (58958, 2554, 16, 'untuk variabel');
INSERT INTO `lang_definitions` VALUES (58959, 2555, 16, 'untuk:');
INSERT INTO `lang_definitions` VALUES (58960, 2556, 16, 'Memaksa Tagihan Widget Terbuka');
INSERT INTO `lang_definitions` VALUES (58961, 2557, 16, 'Memaksa Membuat Pasien Baru');
INSERT INTO `lang_definitions` VALUES (58962, 2559, 16, 'Lengan Bawah/Tangan');
INSERT INTO `lang_definitions` VALUES (58963, 2560, 16, 'Formulir');
INSERT INTO `lang_definitions` VALUES (58964, 2561, 16, 'formulir');
INSERT INTO `lang_definitions` VALUES (58965, 2564, 16, 'Format');
INSERT INTO `lang_definitions` VALUES (58966, 2565, 16, 'format');
INSERT INTO `lang_definitions` VALUES (58967, 2567, 16, 'Format salah untuk NDC');
INSERT INTO `lang_definitions` VALUES (58968, 2568, 16, 'Format digunakan untuk menampilkan tanggal terbanyak.');
INSERT INTO `lang_definitions` VALUES (58969, 2569, 16, 'Format digunakan untuk menampilkan waktu terbanyak.');
INSERT INTO `lang_definitions` VALUES (58970, 2570, 16, 'Laporat Terformat');
INSERT INTO `lang_definitions` VALUES (58971, 2571, 16, 'Bekas Perokok');
INSERT INTO `lang_definitions` VALUES (58972, 2572, 16, 'Formulir');
INSERT INTO `lang_definitions` VALUES (58973, 2573, 16, 'Formulir Administrasi');
INSERT INTO `lang_definitions` VALUES (58974, 2575, 16, 'Teruskan');
INSERT INTO `lang_definitions` VALUES (58975, 2576, 16, 'Teruskan Halaman melalui Fax');
INSERT INTO `lang_definitions` VALUES (58976, 2577, 16, 'Diteruskan');
INSERT INTO `lang_definitions` VALUES (58977, 2579, 16, 'Keempat');
INSERT INTO `lang_definitions` VALUES (58978, 2581, 16, 'Patah');
INSERT INTO `lang_definitions` VALUES (58979, 2582, 16, 'Patah di Navicula');
INSERT INTO `lang_definitions` VALUES (58980, 2583, 16, 'Patah tulang rusuk malleolus');
INSERT INTO `lang_definitions` VALUES (58981, 2584, 16, 'Patah di tengah-tengah malleolus');
INSERT INTO `lang_definitions` VALUES (58982, 2585, 16, 'Pematahan, Berdasarkan dari Metatarsal kelima (5)');
INSERT INTO `lang_definitions` VALUES (58983, 2587, 16, 'Perancis');
INSERT INTO `lang_definitions` VALUES (58984, 2588, 16, 'Peracis (Kanada)');
INSERT INTO `lang_definitions` VALUES (58985, 2589, 16, 'Perancis (Standar)');
INSERT INTO `lang_definitions` VALUES (58986, 2590, 16, 'Frekuensi');
INSERT INTO `lang_definitions` VALUES (58987, 2591, 16, 'Sering Pilek');
INSERT INTO `lang_definitions` VALUES (58988, 2592, 16, 'Sering Sakit');
INSERT INTO `lang_definitions` VALUES (58989, 2593, 16, 'Jumat');
INSERT INTO `lang_definitions` VALUES (58990, 2594, 16, 'Jumat');
INSERT INTO `lang_definitions` VALUES (58991, 2595, 16, 'Dari');
INSERT INTO `lang_definitions` VALUES (58992, 2596, 16, 'DARI');
INSERT INTO `lang_definitions` VALUES (58993, 2597, 16, 'dari');
INSERT INTO `lang_definitions` VALUES (58994, 2598, 16, 'Tanggal Dari Tidak Boleh Lebih Dari Tanggal Sampai');
INSERT INTO `lang_definitions` VALUES (58995, 2599, 16, 'Dari:');
INSERT INTO `lang_definitions` VALUES (58996, 2600, 16, 'Dari: ');
INSERT INTO `lang_definitions` VALUES (58997, 2601, 16, 'DARI_KOTA');
INSERT INTO `lang_definitions` VALUES (58998, 2603, 16, 'DARI_NAMADEPAN');
INSERT INTO `lang_definitions` VALUES (58999, 2604, 16, 'DARI_NAMAAKHIR');
INSERT INTO `lang_definitions` VALUES (59000, 2605, 16, 'DARI_NAMATENGAH');
INSERT INTO `lang_definitions` VALUES (59001, 2607, 16, 'DARI_TELEPONSELULER');
INSERT INTO `lang_definitions` VALUES (59002, 2608, 16, 'DARI_POS');
INSERT INTO `lang_definitions` VALUES (59003, 2609, 16, 'DARI_NEGARA');
INSERT INTO `lang_definitions` VALUES (59004, 2610, 16, 'DARI_JALAN');
INSERT INTO `lang_definitions` VALUES (59005, 2611, 16, 'DARI_JUDUL');
INSERT INTO `lang_definitions` VALUES (59006, 2612, 16, 'DARI_PIDATOPERPISAHAN');
INSERT INTO `lang_definitions` VALUES (59007, 2613, 16, 'Kantor Depan');
INSERT INTO `lang_definitions` VALUES (59008, 2614, 16, 'Penerimaan Kantor Depan');
INSERT INTO `lang_definitions` VALUES (59009, 2615, 16, 'Laporan Penerimaan Kantor Depan');
INSERT INTO `lang_definitions` VALUES (59010, 2616, 16, 'Record/Catatan Depan');
INSERT INTO `lang_definitions` VALUES (59011, 2617, 16, 'Frontal Kanan:');
INSERT INTO `lang_definitions` VALUES (59012, 2619, 16, 'Nama Lengkap');
INSERT INTO `lang_definitions` VALUES (59013, 2620, 16, 'Path kendali ke direktori yang berisi executable MySQL.');
INSERT INTO `lang_definitions` VALUES (59014, 2621, 16, 'Path kendali ke direktori yang berisi executable Perl.');
INSERT INTO `lang_definitions` VALUES (59015, 2622, 16, 'Path kendali ke direktori untuk backup log event.');
INSERT INTO `lang_definitions` VALUES (59016, 2623, 16, 'Path kendarli ke direktori yang digunakan untuk file sementara.');
INSERT INTO `lang_definitions` VALUES (59017, 2624, 16, 'Putar Penuh');
INSERT INTO `lang_definitions` VALUES (59018, 2625, 16, 'Pelatihan Penuh');
INSERT INTO `lang_definitions` VALUES (59019, 2626, 16, 'Dibayar Penuh');
INSERT INTO `lang_definitions` VALUES (59020, 2633, 16, 'G');
INSERT INTO `lang_definitions` VALUES (59021, 2634, 16, 'G/DL');
INSERT INTO `lang_definitions` VALUES (59022, 2636, 16, 'Kondisi Kandung Empedu');
INSERT INTO `lang_definitions` VALUES (59023, 2637, 16, 'Batu Empedu');
INSERT INTO `lang_definitions` VALUES (59024, 2638, 16, 'Periode permainan');
INSERT INTO `lang_definitions` VALUES (59025, 2639, 16, 'Permainan');
INSERT INTO `lang_definitions` VALUES (59026, 2640, 16, 'Permainan Terlewat');
INSERT INTO `lang_definitions` VALUES (59027, 2641, 16, 'permainan/event');
INSERT INTO `lang_definitions` VALUES (59028, 2642, 16, 'Permainan/Event Terlewat');
INSERT INTO `lang_definitions` VALUES (59029, 2644, 16, 'Radang Perut');
INSERT INTO `lang_definitions` VALUES (59030, 2645, 16, 'Nyeri Lambung');
INSERT INTO `lang_definitions` VALUES (59031, 2646, 16, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (59032, 2647, 16, 'Laporan Statistik GCAC');
INSERT INTO `lang_definitions` VALUES (59033, 2648, 16, 'Status GCAC');
INSERT INTO `lang_definitions` VALUES (59034, 2649, 16, 'Formulir kunjungan GCAC tidak ada');
INSERT INTO `lang_definitions` VALUES (59035, 2650, 16, 'Jenis Kelamin');
INSERT INTO `lang_definitions` VALUES (59036, 2651, 16, 'Jenis Kelamin ');
INSERT INTO `lang_definitions` VALUES (59037, 2652, 16, 'Umum');
INSERT INTO `lang_definitions` VALUES (59038, 2655, 16, 'Kategori Layanan Umum');
INSERT INTO `lang_definitions` VALUES (59039, 2657, 16, 'Hasilkan dan download klaim kertas CMS 1500');
INSERT INTO `lang_definitions` VALUES (59040, 2658, 16, 'Hasilkan dan download klaim kertas HCFA 1500');
INSERT INTO `lang_definitions` VALUES (59041, 2659, 16, 'Hasilkan dan download batch X12');
INSERT INTO `lang_definitions` VALUES (59042, 2660, 16, 'Hasilkan dan download batch klaim encounter X12');
INSERT INTO `lang_definitions` VALUES (59043, 2663, 16, 'Hasilkan dan kirim resep yang diperbolehkan secara elektronik.');
INSERT INTO `lang_definitions` VALUES (59044, 2664, 16, 'Hasilkan CMS 1500');
INSERT INTO `lang_definitions` VALUES (59045, 2665, 16, 'Hasilkan PDF CMS 1500');
INSERT INTO `lang_definitions` VALUES (59046, 2666, 16, 'Hasilkan TEKS CMS 1500');
INSERT INTO `lang_definitions` VALUES (59047, 2667, 16, 'Hasilkan HCFA');
INSERT INTO `lang_definitions` VALUES (59048, 2669, 16, 'Hasilkan Surat');
INSERT INTO `lang_definitions` VALUES (59049, 2670, 16, 'Hasilkan Surat tentang ');
INSERT INTO `lang_definitions` VALUES (59050, 2671, 16, 'Hasilkan laporan PQRI (Metode A)');
INSERT INTO `lang_definitions` VALUES (59051, 2673, 16, 'Hasilkan laporan PQRI (Metode B)');
INSERT INTO `lang_definitions` VALUES (59052, 2677, 16, 'Hasilkan Laporan');
INSERT INTO `lang_definitions` VALUES (59053, 2678, 16, 'Hasilkan Nama User Dan Pasword Untuk');
INSERT INTO `lang_definitions` VALUES (59054, 2679, 16, 'Hasilkan X12');
INSERT INTO `lang_definitions` VALUES (59055, 2680, 16, 'Hasilkan Encounter X12');
INSERT INTO `lang_definitions` VALUES (59056, 2682, 16, 'Hasilkan pada');
INSERT INTO `lang_definitions` VALUES (59057, 2683, 16, 'Menghasilkan');
INSERT INTO `lang_definitions` VALUES (59058, 2684, 16, 'Kemih');
INSERT INTO `lang_definitions` VALUES (59059, 2687, 16, 'Jerman');
INSERT INTO `lang_definitions` VALUES (59060, 2691, 16, 'Dapatkan HL7');
INSERT INTO `lang_definitions` VALUES (59061, 2692, 16, 'Glaukoma');
INSERT INTO `lang_definitions` VALUES (59062, 2693, 16, 'Riwayat Keluarga Glaukoma');
INSERT INTO `lang_definitions` VALUES (59063, 2694, 16, 'Global');
INSERT INTO `lang_definitions` VALUES (59064, 2696, 16, 'ID Global');
INSERT INTO `lang_definitions` VALUES (59065, 2697, 16, 'Pengaturan Global');
INSERT INTO `lang_definitions` VALUES (59066, 2698, 16, 'Global');
INSERT INTO `lang_definitions` VALUES (59067, 2699, 16, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (59068, 2700, 16, 'pergi');
INSERT INTO `lang_definitions` VALUES (59069, 2701, 16, 'Pergi');
INSERT INTO `lang_definitions` VALUES (59070, 2704, 16, 'Pergi ke');
INSERT INTO `lang_definitions` VALUES (59071, 2705, 16, 'Pergi ke minggu dari');
INSERT INTO `lang_definitions` VALUES (59072, 2706, 16, 'Pergi ke Hari Ini');
INSERT INTO `lang_definitions` VALUES (59073, 2711, 16, 'Tinkgat Cedera');
INSERT INTO `lang_definitions` VALUES (59074, 2712, 16, 'Tingkat:');
INSERT INTO `lang_definitions` VALUES (59075, 2713, 16, 'gram');
INSERT INTO `lang_definitions` VALUES (59076, 2714, 16, 'Jumlah Seluruhnya');
INSERT INTO `lang_definitions` VALUES (59077, 2715, 16, 'Jumlah Seluruhnya');
INSERT INTO `lang_definitions` VALUES (59078, 2718, 16, 'Graphable');
INSERT INTO `lang_definitions` VALUES (59079, 2720, 16, 'Lebih Dari');
INSERT INTO `lang_definitions` VALUES (59080, 2721, 16, 'Lebih Dari atau Sama Dengan');
INSERT INTO `lang_definitions` VALUES (59081, 2722, 16, 'Yunani');
INSERT INTO `lang_definitions` VALUES (59082, 2724, 16, 'Grup');
INSERT INTO `lang_definitions` VALUES (59083, 2725, 16, 'Nama Grup');
INSERT INTO `lang_definitions` VALUES (59084, 2726, 16, 'Nama grup tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (59085, 2727, 16, 'Nama grup tidak boleh dimulai dengan angka atau spasi.');
INSERT INTO `lang_definitions` VALUES (59086, 2728, 16, 'Nama grup tidak boleh dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (59087, 2729, 16, 'Nomor Grup');
INSERT INTO `lang_definitions` VALUES (59088, 2730, 16, 'Payment Grup');
INSERT INTO `lang_definitions` VALUES (59089, 2731, 16, 'Grup:');
INSERT INTO `lang_definitions` VALUES (59090, 2732, 16, 'Nama grup');
INSERT INTO `lang_definitions` VALUES (59091, 2733, 16, 'Kontrol Akses dan Grup');
INSERT INTO `lang_definitions` VALUES (59092, 2734, 16, 'Grafik Pertumbuhan');
INSERT INTO `lang_definitions` VALUES (59093, 2735, 16, 'Grafik Perumbuhan');
INSERT INTO `lang_definitions` VALUES (59094, 2736, 16, 'gtts(tetes)');
INSERT INTO `lang_definitions` VALUES (59095, 2737, 16, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (59096, 2739, 16, 'Nama Wali');
INSERT INTO `lang_definitions` VALUES (59097, 2741, 16, 'Pemeriksaan Ginekologi');
INSERT INTO `lang_definitions` VALUES (59098, 2742, 16, 'h');
INSERT INTO `lang_definitions` VALUES (59099, 2743, 16, 'h.s.');
INSERT INTO `lang_definitions` VALUES (59100, 2744, 16, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (59101, 2745, 16, 'telah berhasi dihapus. Setiap sub kategori jika ada dipindahkan dibawah ini');
INSERT INTO `lang_definitions` VALUES (59102, 2746, 16, 'Haematoma / memar');
INSERT INTO `lang_definitions` VALUES (59103, 2747, 16, 'Status HAI');
INSERT INTO `lang_definitions` VALUES (59104, 2750, 16, 'Tangan + jari');
INSERT INTO `lang_definitions` VALUES (59105, 2751, 16, 'Masalah Tangan');
INSERT INTO `lang_definitions` VALUES (59106, 2753, 16, 'Kesulitan w / o');
INSERT INTO `lang_definitions` VALUES (59107, 2754, 16, 'telah dikaitkan dengan kunjungan');
INSERT INTO `lang_definitions` VALUES (59108, 2755, 16, 'telah berakhir');
INSERT INTO `lang_definitions` VALUES (59109, 2756, 16, 'Hash');
INSERT INTO `lang_definitions` VALUES (59110, 2757, 16, 'Hash tidak ada pada file ini. Hash yang baru telah dihasilkan.');
INSERT INTO `lang_definitions` VALUES (59111, 2758, 16, 'Hash tidak cocok. Integritas data telah diganggu.');
INSERT INTO `lang_definitions` VALUES (59112, 2760, 16, 'Hawaii');
INSERT INTO `lang_definitions` VALUES (59113, 2761, 16, 'Kegiatan Berbahaya');
INSERT INTO `lang_definitions` VALUES (59114, 2762, 16, 'Kegiatan berbahaya');
INSERT INTO `lang_definitions` VALUES (59115, 2763, 16, 'Batas kiri HCFA dalam angka');
INSERT INTO `lang_definitions` VALUES (59116, 2764, 16, 'Batas HCFA');
INSERT INTO `lang_definitions` VALUES (59117, 2765, 16, 'Batas atas HCFA dalam angka');
INSERT INTO `lang_definitions` VALUES (59118, 2767, 16, 'he PostCalendar ');
INSERT INTO `lang_definitions` VALUES (59119, 2768, 16, 'Kepala');
INSERT INTO `lang_definitions` VALUES (59120, 2769, 16, 'Lingkar Kepala');
INSERT INTO `lang_definitions` VALUES (59121, 2770, 16, 'Lingkar Kepala');
INSERT INTO `lang_definitions` VALUES (59122, 2771, 16, 'Sakit Kepala');
INSERT INTO `lang_definitions` VALUES (59123, 2772, 16, 'Sakit Kepala');
INSERT INTO `lang_definitions` VALUES (59124, 2773, 16, 'Operasi perawatan kesehatan');
INSERT INTO `lang_definitions` VALUES (59125, 2774, 16, 'Operasi Perawatan Kesehatan');
INSERT INTO `lang_definitions` VALUES (59126, 2775, 16, 'Pusat/klinik kesehatan');
INSERT INTO `lang_definitions` VALUES (59127, 2776, 16, 'Organisasi Pemeliharaan Kesehatan');
INSERT INTO `lang_definitions` VALUES (59128, 2777, 16, 'Organisasi Pemeliharaan Kesehatan (HMO) Resiko Medicare');
INSERT INTO `lang_definitions` VALUES (59129, 2778, 16, 'Gangguan Pendengaran');
INSERT INTO `lang_definitions` VALUES (59130, 2779, 16, 'Serangan Jantung');
INSERT INTO `lang_definitions` VALUES (59131, 2780, 16, 'Penyakit Jantung');
INSERT INTO `lang_definitions` VALUES (59132, 2781, 16, 'Gagal jantung');
INSERT INTO `lang_definitions` VALUES (59133, 2782, 16, 'Masalah Jantung');
INSERT INTO `lang_definitions` VALUES (59134, 2783, 16, 'Masalah Jantung');
INSERT INTO `lang_definitions` VALUES (59135, 2784, 16, 'Bedah jantung');
INSERT INTO `lang_definitions` VALUES (59136, 2785, 16, 'Transplantasi jantung');
INSERT INTO `lang_definitions` VALUES (59137, 2786, 16, 'JANTUNG:');
INSERT INTO `lang_definitions` VALUES (59138, 2787, 16, 'Mulas');
INSERT INTO `lang_definitions` VALUES (59139, 2788, 16, 'Panas atau Dingin');
INSERT INTO `lang_definitions` VALUES (59140, 2789, 16, 'Panas Atau Dingin');
INSERT INTO `lang_definitions` VALUES (59141, 2791, 16, 'Ibrani');
INSERT INTO `lang_definitions` VALUES (59142, 2793, 16, 'HEENT');
INSERT INTO `lang_definitions` VALUES (59143, 2794, 16, 'Tinggi');
INSERT INTO `lang_definitions` VALUES (59144, 2796, 16, 'Membantu');
INSERT INTO `lang_definitions` VALUES (59145, 2797, 16, 'membantu');
INSERT INTO `lang_definitions` VALUES (59146, 2798, 16, 'Hematemesis');
INSERT INTO `lang_definitions` VALUES (59147, 2799, 16, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (59148, 2800, 16, 'Hematologi');
INSERT INTO `lang_definitions` VALUES (59149, 2801, 16, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (59150, 2802, 16, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (59151, 2803, 16, 'Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (59152, 2804, 16, 'Hemoptisis');
INSERT INTO `lang_definitions` VALUES (59153, 2805, 16, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (59154, 2806, 16, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (59155, 2807, 16, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (59156, 2808, 16, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (59157, 2809, 16, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (59158, 2810, 16, 'Hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (59159, 2811, 16, 'disini');
INSERT INTO `lang_definitions` VALUES (59160, 2813, 16, 'Perbaikan Hernia');
INSERT INTO `lang_definitions` VALUES (59161, 2814, 16, 'Piringan Hernia');
INSERT INTO `lang_definitions` VALUES (59162, 2815, 16, 'Herpes');
INSERT INTO `lang_definitions` VALUES (59163, 2816, 16, 'Keraguan');
INSERT INTO `lang_definitions` VALUES (59164, 2817, 16, 'heyyo. anda telah di sini untuk ');
INSERT INTO `lang_definitions` VALUES (59165, 2818, 16, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (59166, 2819, 16, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (59167, 2820, 16, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (59168, 2821, 16, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (59169, 2822, 16, 'Tersembunyi');
INSERT INTO `lang_definitions` VALUES (59170, 2823, 16, 'Kegiatan Administrasi yang Tersembunyi');
INSERT INTO `lang_definitions` VALUES (59171, 2824, 16, 'Sembunyikan');
INSERT INTO `lang_definitions` VALUES (59172, 2825, 16, 'Sembunyikan Detail');
INSERT INTO `lang_definitions` VALUES (59173, 2827, 16, 'Sembunyikan Pilihan Enkripsi/Dekripsi Dalam Pengelolaan Dokumen');
INSERT INTO `lang_definitions` VALUES (59174, 2828, 16, 'Sembunyikan Menu');
INSERT INTO `lang_definitions` VALUES (59175, 2830, 16, 'Sembunyikan Pengingat');
INSERT INTO `lang_definitions` VALUES (59176, 2831, 16, 'Sembunyi/Tampilkan Kolom');
INSERT INTO `lang_definitions` VALUES (59177, 2833, 16, 'Tinggi');
INSERT INTO `lang_definitions` VALUES (59178, 2834, 16, 'Tekanan Darah Tinggi');
INSERT INTO `lang_definitions` VALUES (59179, 2835, 16, 'Hindi');
INSERT INTO `lang_definitions` VALUES (59180, 2836, 16, 'Panggul + selangkangan');
INSERT INTO `lang_definitions` VALUES (59181, 2837, 16, 'Panggul dan selangkangan');
INSERT INTO `lang_definitions` VALUES (59182, 2838, 16, 'Masalah Panggul');
INSERT INTO `lang_definitions` VALUES (59183, 2839, 16, 'Penggantian Panggul');
INSERT INTO `lang_definitions` VALUES (59184, 2840, 16, 'Pemberitahuan HIPAA Diterima');
INSERT INTO `lang_definitions` VALUES (59185, 2842, 16, 'Hirsutisme/Striae');
INSERT INTO `lang_definitions` VALUES (59186, 2843, 16, 'Hispanic');
INSERT INTO `lang_definitions` VALUES (59187, 2844, 16, 'Hispanic - Lainnya (Lahir di US)');
INSERT INTO `lang_definitions` VALUES (59188, 2845, 16, 'Hispanic - Lainnya (Lahir diluar US)');
INSERT INTO `lang_definitions` VALUES (59189, 2846, 16, 'Hispanic atau Latino');
INSERT INTO `lang_definitions` VALUES (59190, 2847, 16, 'Riwayat');
INSERT INTO `lang_definitions` VALUES (59191, 2848, 16, 'Riwayat Data');
INSERT INTO `lang_definitions` VALUES (59192, 2849, 16, 'Riwayat Tanggal');
INSERT INTO `lang_definitions` VALUES (59193, 2851, 16, 'Bunyi Riwayat');
INSERT INTO `lang_definitions` VALUES (59194, 2852, 16, 'Riwayat tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (59195, 2853, 16, 'Riwayat dari Desiran yang Abnormal');
INSERT INTO `lang_definitions` VALUES (59196, 2854, 16, 'Pukulan');
INSERT INTO `lang_definitions` VALUES (59197, 2855, 16, 'HIV');
INSERT INTO `lang_definitions` VALUES (59198, 2858, 16, 'Pelihat HL7');
INSERT INTO `lang_definitions` VALUES (59199, 2860, 16, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (59200, 2861, 16, 'Hmong');
INSERT INTO `lang_definitions` VALUES (59201, 2862, 16, 'Tahan [Ctrl] untuk beberapa pilihan atau untuk tidak memilih');
INSERT INTO `lang_definitions` VALUES (59202, 2863, 16, 'Tahan Ctrl untuk memilih beberapa item');
INSERT INTO `lang_definitions` VALUES (59203, 2864, 16, 'Tahan Ctrl untuk memilih beberapa regu');
INSERT INTO `lang_definitions` VALUES (59204, 2865, 16, 'Home');
INSERT INTO `lang_definitions` VALUES (59205, 2866, 16, 'Telepon Rumah');
INSERT INTO `lang_definitions` VALUES (59206, 2867, 16, 'Nomor Telepon Rumah');
INSERT INTO `lang_definitions` VALUES (59207, 2868, 16, 'Tunawisma atau serupa?');
INSERT INTO `lang_definitions` VALUES (59208, 2869, 16, 'Tunawisma, dll');
INSERT INTO `lang_definitions` VALUES (59209, 2870, 16, 'Tunawisma, dll');
INSERT INTO `lang_definitions` VALUES (59210, 2872, 16, 'Nama Host');
INSERT INTO `lang_definitions` VALUES (59211, 2873, 16, 'Nama Host tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (59212, 2875, 16, 'Jam/Waktu');
INSERT INTO `lang_definitions` VALUES (59213, 2876, 16, 'Jam/Waktu');
INSERT INTO `lang_definitions` VALUES (59214, 2878, 16, 'Bagaimana Cedera Terjadi?');
INSERT INTO `lang_definitions` VALUES (59215, 2879, 16, 'Bagaimana Cedera terjadi?:');
INSERT INTO `lang_definitions` VALUES (59216, 2880, 16, 'Bagaimana mereka mendengar tentang kami');
INSERT INTO `lang_definitions` VALUES (59217, 2881, 16, 'Berapa bulan kedepan untuk query untuk event mendatang?');
INSERT INTO `lang_definitions` VALUES (59218, 2882, 16, 'HPI:');
INSERT INTO `lang_definitions` VALUES (59219, 2883, 16, 'HT');
INSERT INTO `lang_definitions` VALUES (59220, 2884, 16, 'HTML');
INSERT INTO `lang_definitions` VALUES (59221, 2886, 16, 'Link Https untuk dukungan LibreEHR LLC Lab Exchange Service (Layanan Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (59222, 2887, 16, 'Hongaria');
INSERT INTO `lang_definitions` VALUES (59223, 2888, 16, 'Direktori Hylafax');
INSERT INTO `lang_definitions` VALUES (59224, 2889, 16, 'Perintah Enscript Hylafax');
INSERT INTO `lang_definitions` VALUES (59225, 2890, 16, 'Server Hylafax');
INSERT INTO `lang_definitions` VALUES (59226, 2891, 16, 'Nama host server Hylafax.');
INSERT INTO `lang_definitions` VALUES (59227, 2892, 16, 'Hiperaktif');
INSERT INTO `lang_definitions` VALUES (59228, 2893, 16, 'Hipertensi');
INSERT INTO `lang_definitions` VALUES (59229, 2894, 16, 'Hipertensi: Pengukuran Tekandan Darah');
INSERT INTO `lang_definitions` VALUES (59230, 2895, 16, 'Hipertensi: Pengukuran Tekandan Darah (CQM)');
INSERT INTO `lang_definitions` VALUES (59231, 2896, 16, 'Hipertiroid');
INSERT INTO `lang_definitions` VALUES (59232, 2897, 16, 'Hypothyroidism');
INSERT INTO `lang_definitions` VALUES (59233, 2898, 16, 'Histerektomi');
INSERT INTO `lang_definitions` VALUES (59234, 2899, 16, 'Saya');
INSERT INTO `lang_definitions` VALUES (59235, 2900, 16, 'Saya sibuk selama waktu ini.');
INSERT INTO `lang_definitions` VALUES (59236, 2901, 16, 'Saya tidak memiliki izin untuk membaca ');
INSERT INTO `lang_definitions` VALUES (59237, 2902, 16, 'ICD');
INSERT INTO `lang_definitions` VALUES (59238, 2905, 16, 'ICD9');
INSERT INTO `lang_definitions` VALUES (59239, 2909, 16, 'ID');
INSERT INTO `lang_definitions` VALUES (59240, 2910, 16, 'Id');
INSERT INTO `lang_definitions` VALUES (59241, 2911, 16, 'ID tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (59242, 2912, 16, 'Kartu ID');
INSERT INTO `lang_definitions` VALUES (59243, 2913, 16, 'Hari');
INSERT INTO `lang_definitions` VALUES (59244, 2914, 16, 'diidentifikasi sebagai');
INSERT INTO `lang_definitions` VALUES (59245, 2915, 16, 'Identifier(satu kata)');
INSERT INTO `lang_definitions` VALUES (59246, 2917, 16, 'Detik Waktu Sesi Siaga');
INSERT INTO `lang_definitions` VALUES (59247, 2919, 16, 'Jika semua data untuk semua kolom ini adalah untuk melengkapi formulir');
INSERT INTO `lang_definitions` VALUES (59248, 2920, 16, 'Jika pembenaran tagihan digunakan masukkan nama dari tipe kode diagnosa.');
INSERT INTO `lang_definitions` VALUES (59249, 2921, 16, 'jika dimasukkan, pilih hanya mereka yang memiliki layanan ini');
INSERT INTO `lang_definitions` VALUES (59250, 2922, 16, 'Jika nama, salah satu bagian dari nama belakang atau nama belakang, nama depan');
INSERT INTO `lang_definitions` VALUES (59251, 2923, 16, 'Jika membayar dengan');
INSERT INTO `lang_definitions` VALUES (59252, 2924, 16, 'Jika seseorang telah meninggal, maka masukkan tangal wafat.');
INSERT INTO `lang_definitions` VALUES (59253, 2925, 16, 'Jika SMTP digunakan, nama host server atau alamat IP.');
INSERT INTO `lang_definitions` VALUES (59254, 2926, 16, 'Jika SMTP digunakan, nomor port TCP Server (biasanya 25)');
INSERT INTO `lang_definitions` VALUES (59255, 2927, 16, 'jika menganggur masukkan Mahasiswa');
INSERT INTO `lang_definitions` VALUES (59256, 2929, 16, 'Jika anda mengubah tugas e-RX untuk ePrescription(Resep Elektronik), mungkin akan mempengaruhi alur kerja ePrescription. Jika anda menghadapi kesulitan, hubungi vendor ePrescription anda.');
INSERT INTO `lang_definitions` VALUES (59257, 2931, 16, 'Jika Anda telah memilih untuk mengupload pengiriman uang elektronik, maka jendela pencarian menampilkan kembali dengan sendirinya dengan faktu/tagihan yang sesuai dari X12 file. Anda bisa mengklik pada salah satu nomor faktur (seperti yang dijelaskan di bawah) jika anda ingin melakukan koreksi sebelum informasi pengiriman uang diterapkan. Untuk menerapkan perubahan, klik tombol Proses ERA File di bagian bawah halaman. Ini akan menghasilkan sebuah jendela baru dengan laporan rinci.');
INSERT INTO `lang_definitions` VALUES (59258, 2932, 16, 'Jika Anda telah memasuki Tanggal Bayar di halaman pencarian, ini akan menimpa postingan tanggal pembayaran dan penyesuaian yang sebaliknya diambil dari file X12. Ini mungkin berguna untuk keperluan laporan, jika Anda ingin laporan penerimaan anda menggunakan tanggal posting Anda daripada tanggal pengolahan asuransi perusahaan. Catatan bahwa ini juga akan mempengaruhi tanggal pembayaran sebelumnya dan penyesuaian yang dimasukkan ke dalam klaim sekunder.');
INSERT INTO `lang_definitions` VALUES (59259, 2933, 16, 'Jika Anda ingin mengubah jenis data, atau tambahkan baris atau kolom');
INSERT INTO `lang_definitions` VALUES (59260, 2934, 16, 'Jika anda ingin mengupgrade database, maka tempatkan file zip database pada direktori berikut');
INSERT INTO `lang_definitions` VALUES (59261, 2936, 16, 'Abaikan');
INSERT INTO `lang_definitions` VALUES (59262, 2937, 16, 'Penyakit');
INSERT INTO `lang_definitions` VALUES (59263, 2938, 16, 'IM');
INSERT INTO `lang_definitions` VALUES (59264, 2941, 16, 'Layanan Pencitraan(Image)');
INSERT INTO `lang_definitions` VALUES (59265, 2942, 16, 'Imunisasi');
INSERT INTO `lang_definitions` VALUES (59266, 2943, 16, 'Kode Imunisasi');
INSERT INTO `lang_definitions` VALUES (59267, 2945, 16, 'Tanggal Imunisasi');
INSERT INTO `lang_definitions` VALUES (59268, 2947, 16, 'Nomor Lot Imunisasi');
INSERT INTO `lang_definitions` VALUES (59269, 2948, 16, 'Produsen imunisasi');
INSERT INTO `lang_definitions` VALUES (59270, 2949, 16, 'Registri/Pendaftaran Imunisasi');
INSERT INTO `lang_definitions` VALUES (59271, 2951, 16, 'Layanan Imunisasi');
INSERT INTO `lang_definitions` VALUES (59272, 2952, 16, 'Judul Imunisasi');
INSERT INTO `lang_definitions` VALUES (59273, 2953, 16, 'Imunisasi');
INSERT INTO `lang_definitions` VALUES (59274, 2954, 16, 'Mengebalkan');
INSERT INTO `lang_definitions` VALUES (59275, 2955, 16, 'Imunologi');
INSERT INTO `lang_definitions` VALUES (59276, 2956, 16, 'Penanaman/Memasukkan');
INSERT INTO `lang_definitions` VALUES (59277, 2957, 16, 'Impor');
INSERT INTO `lang_definitions` VALUES (59278, 2961, 16, 'Impor sertifikat ke browser');
INSERT INTO `lang_definitions` VALUES (59279, 2962, 16, 'Impor Konfigurasi');
INSERT INTO `lang_definitions` VALUES (59280, 2964, 16, 'Impor Pasien');
INSERT INTO `lang_definitions` VALUES (59281, 2965, 16, 'Impor Demografi Pasien');
INSERT INTO `lang_definitions` VALUES (59282, 2969, 16, 'Diimpor dari Akuntansi');
INSERT INTO `lang_definitions` VALUES (59283, 2972, 16, 'Peningkatan');
INSERT INTO `lang_definitions` VALUES (59284, 2973, 16, 'di');
INSERT INTO `lang_definitions` VALUES (59285, 2974, 16, 'DI');
INSERT INTO `lang_definitions` VALUES (59286, 2975, 16, 'di setiap mata');
INSERT INTO `lang_definitions` VALUES (59287, 2976, 16, 'di mata kiri');
INSERT INTO `lang_definitions` VALUES (59288, 2977, 16, 'dalam lubang hidung');
INSERT INTO `lang_definitions` VALUES (59289, 2978, 16, 'Di Kantor');
INSERT INTO `lang_definitions` VALUES (59290, 2979, 16, 'di mata kanan');
INSERT INTO `lang_definitions` VALUES (59291, 2980, 16, 'dalam rumah');
INSERT INTO `lang_definitions` VALUES (59292, 2981, 16, 'Tidak Aktif');
INSERT INTO `lang_definitions` VALUES (59293, 2982, 16, 'Hari Tidak Aktif');
INSERT INTO `lang_definitions` VALUES (59294, 2983, 16, 'Kotak Masuk');
INSERT INTO `lang_definitions` VALUES (59295, 2986, 16, 'Sertakan Checksum');
INSERT INTO `lang_definitions` VALUES (59296, 2987, 16, 'Memasukkan Selesai');
INSERT INTO `lang_definitions` VALUES (59297, 2988, 16, 'Sertakan pengguna tidak aktif');
INSERT INTO `lang_definitions` VALUES (59298, 2989, 16, 'Sertakan Yang tidak dikategorikan');
INSERT INTO `lang_definitions` VALUES (59299, 2990, 16, 'Sertakan Data tidak terstruktur');
INSERT INTO `lang_definitions` VALUES (59300, 2991, 16, 'Setakan Vital(Bagian Vital)');
INSERT INTO `lang_definitions` VALUES (59301, 2992, 16, 'Sertakan data vital(bagian vital)?');
INSERT INTO `lang_definitions` VALUES (59302, 2993, 16, 'Pencantuman/Penyertaan');
INSERT INTO `lang_definitions` VALUES (59303, 2994, 16, 'Pendapatan');
INSERT INTO `lang_definitions` VALUES (59304, 2996, 16, 'Tidak Selesai');
INSERT INTO `lang_definitions` VALUES (59305, 2997, 16, 'Pengobatan/Perawatan Aborsi Tidak Selesai');
INSERT INTO `lang_definitions` VALUES (59306, 2998, 16, 'Inkontinensia');
INSERT INTO `lang_definitions` VALUES (59307, 2999, 16, 'Memasukkan hasil tes lab klinis kedalam teknologi EHR bersertifikat sebagai data terstruktur.');
INSERT INTO `lang_definitions` VALUES (59308, 3001, 16, 'meningkat:');
INSERT INTO `lang_definitions` VALUES (59309, 3002, 16, 'Ganti Rugi Asuransi');
INSERT INTO `lang_definitions` VALUES (59310, 3003, 16, 'Tidak Tetap');
INSERT INTO `lang_definitions` VALUES (59311, 3004, 16, 'India');
INSERT INTO `lang_definitions` VALUES (59312, 3005, 16, 'Menunujukkan abnormalitas');
INSERT INTO `lang_definitions` VALUES (59313, 3006, 16, 'Menunjukkan jika masalah ini masih aktif saat ini');
INSERT INTO `lang_definitions` VALUES (59314, 3008, 16, 'Indikator untuk penggunaan khusus');
INSERT INTO `lang_definitions` VALUES (59315, 3009, 16, 'Pasien Miskin');
INSERT INTO `lang_definitions` VALUES (59316, 3010, 16, 'Laporan Pasien Miskin');
INSERT INTO `lang_definitions` VALUES (59317, 3011, 16, 'Miskin');
INSERT INTO `lang_definitions` VALUES (59318, 3014, 16, 'Terimbas Aborsi');
INSERT INTO `lang_definitions` VALUES (59319, 3016, 16, 'Tidak memenuhi syarat');
INSERT INTO `lang_definitions` VALUES (59320, 3017, 16, 'Infeksi/Abses');
INSERT INTO `lang_definitions` VALUES (59321, 3018, 16, 'Infeksi');
INSERT INTO `lang_definitions` VALUES (59322, 3019, 16, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (59323, 3020, 16, 'Kemandulan');
INSERT INTO `lang_definitions` VALUES (59324, 3021, 16, 'Influensa 1');
INSERT INTO `lang_definitions` VALUES (59325, 3022, 16, 'Influensa 2');
INSERT INTO `lang_definitions` VALUES (59326, 3023, 16, 'Imunisasi Influensa untuk Pasien >= 50 Tahun');
INSERT INTO `lang_definitions` VALUES (59327, 3024, 16, 'Imunisasi Influensa untuk Pasien >= 50 Tahun (CQM)');
INSERT INTO `lang_definitions` VALUES (59328, 3025, 16, 'Vaksin Influensa');
INSERT INTO `lang_definitions` VALUES (59329, 3026, 16, 'Info');
INSERT INTO `lang_definitions` VALUES (59330, 3027, 16, 'Info tes 1');
INSERT INTO `lang_definitions` VALUES (59331, 3028, 16, 'Info tes 2');
INSERT INTO `lang_definitions` VALUES (59332, 3029, 16, 'Info tes 3');
INSERT INTO `lang_definitions` VALUES (59333, 3030, 16, 'Info tes 4');
INSERT INTO `lang_definitions` VALUES (59334, 3031, 16, 'Info tes 5');
INSERT INTO `lang_definitions` VALUES (59335, 3032, 16, 'Info tes 6');
INSERT INTO `lang_definitions` VALUES (59336, 3034, 16, 'penarikan');
INSERT INTO `lang_definitions` VALUES (59337, 3035, 16, 'inhilations');
INSERT INTO `lang_definitions` VALUES (59338, 3037, 16, 'Pengguna Awal');
INSERT INTO `lang_definitions` VALUES (59339, 3038, 16, 'Inj/Rehab');
INSERT INTO `lang_definitions` VALUES (59340, 3039, 16, 'Suntikan');
INSERT INTO `lang_definitions` VALUES (59341, 3040, 16, 'Injeksi');
INSERT INTO `lang_definitions` VALUES (59342, 3041, 16, 'Bagian Tubuh yang Cedera');
INSERT INTO `lang_definitions` VALUES (59343, 3042, 16, 'Cedera/Luka Keluar');
INSERT INTO `lang_definitions` VALUES (59344, 3043, 16, 'Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (59345, 3044, 16, 'Mekanisme Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (59346, 3045, 16, 'Laporan Gambaran Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (59347, 3046, 16, 'Pengawasan Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (59348, 3047, 16, 'Jenis Cedera/Luka');
INSERT INTO `lang_definitions` VALUES (59349, 3048, 16, 'Cedera/Penyakit terkait');
INSERT INTO `lang_definitions` VALUES (59350, 3051, 16, 'Masukkan Field(Bagian)');
INSERT INTO `lang_definitions` VALUES (59351, 3052, 16, 'USD');
INSERT INTO `lang_definitions` VALUES (59352, 3056, 16, 'Ins menyesuaikan');
INSERT INTO `lang_definitions` VALUES (59353, 3057, 16, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (59354, 3058, 16, 'Ins Kode');
INSERT INTO `lang_definitions` VALUES (59355, 3061, 16, 'Ins kelebihan pembayaran');
INSERT INTO `lang_definitions` VALUES (59356, 3063, 16, 'Ins pengembalian uang');
INSERT INTO `lang_definitions` VALUES (59357, 3064, 16, 'Ins Ringkasan');
INSERT INTO `lang_definitions` VALUES (59358, 3065, 16, 'Ins1');
INSERT INTO `lang_definitions` VALUES (59359, 3066, 16, 'Ins2');
INSERT INTO `lang_definitions` VALUES (59360, 3067, 16, 'Ins3');
INSERT INTO `lang_definitions` VALUES (59361, 3069, 16, 'Masukkan gagal: ');
INSERT INTO `lang_definitions` VALUES (59362, 3070, 16, 'Masukkan kegiatan lama kedalam tabel');
INSERT INTO `lang_definitions` VALUES (59363, 3072, 16, 'Insomnia');
INSERT INTO `lang_definitions` VALUES (59364, 3074, 16, 'Inspeksi');
INSERT INTO `lang_definitions` VALUES (59365, 3075, 16, 'Ketidakstabilan / subluksasi');
INSERT INTO `lang_definitions` VALUES (59366, 3077, 16, 'Instal');
INSERT INTO `lang_definitions` VALUES (59367, 3079, 16, 'instal DB');
INSERT INTO `lang_definitions` VALUES (59368, 3081, 16, 'Menginstruksikan');
INSERT INTO `lang_definitions` VALUES (59369, 3082, 16, 'Instruksi/Perintah');
INSERT INTO `lang_definitions` VALUES (59370, 3084, 16, 'Instruksi:');
INSERT INTO `lang_definitions` VALUES (59371, 3086, 16, 'Insulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (59372, 3087, 16, 'Asuransi');
INSERT INTO `lang_definitions` VALUES (59373, 3088, 16, 'asuransi');
INSERT INTO `lang_definitions` VALUES (59374, 3093, 16, 'Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (59375, 3094, 16, 'Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (59376, 3095, 16, 'Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (59377, 3096, 16, 'Perusahaan Asuransi Cari/Tambah');
INSERT INTO `lang_definitions` VALUES (59378, 3098, 16, 'Data Asuransi');
INSERT INTO `lang_definitions` VALUES (59379, 3099, 16, 'Informasi asuransi pada file');
INSERT INTO `lang_definitions` VALUES (59380, 3100, 16, 'Nomor Asuransi');
INSERT INTO `lang_definitions` VALUES (59381, 3101, 16, 'Pembayaran Asuransi');
INSERT INTO `lang_definitions` VALUES (59382, 3103, 16, 'Provider Asuransi');
INSERT INTO `lang_definitions` VALUES (59383, 3107, 16, 'Pengambilan Kesimpulan');
INSERT INTO `lang_definitions` VALUES (59384, 3108, 16, 'Pengambilan Tanggal');
INSERT INTO `lang_definitions` VALUES (59385, 3109, 16, 'Penurunan Intelektual');
INSERT INTO `lang_definitions` VALUES (59386, 3113, 16, 'Kesalahan internal - tidak ada halaman yang terpilih!');
INSERT INTO `lang_definitions` VALUES (59387, 3114, 16, 'Kesalahan internal - ID pasien tidak disediakan!');
INSERT INTO `lang_definitions` VALUES (59388, 3115, 16, 'Kesalahan internal mengakses file yang diupload!');
INSERT INTO `lang_definitions` VALUES (59389, 3116, 16, 'Kesalahan internal!');
INSERT INTO `lang_definitions` VALUES (59390, 3117, 16, 'Kesalahan internal, tidak ada ID obat yang ditentukan!');
INSERT INTO `lang_definitions` VALUES (59391, 3119, 16, 'Kesalahan internal: klaim ');
INSERT INTO `lang_definitions` VALUES (59392, 3120, 16, 'Kesalahan internal: encounter(pertemuan) \'');
INSERT INTO `lang_definitions` VALUES (59393, 3121, 16, 'Kesalahan internal: encounter(pertemuan) tidak ada.');
INSERT INTO `lang_definitions` VALUES (59394, 3122, 16, 'Kesalahan internal: kami tidak terlihat berada pada encounter(pertemuan)!');
INSERT INTO `lang_definitions` VALUES (59395, 3123, 16, 'Identifier Internal(pid)');
INSERT INTO `lang_definitions` VALUES (59396, 3126, 16, 'Rujukan Internal');
INSERT INTO `lang_definitions` VALUES (59397, 3127, 16, 'Waktu Internal Diambil');
INSERT INTO `lang_definitions` VALUES (59398, 3128, 16, 'Tugas internasional');
INSERT INTO `lang_definitions` VALUES (59399, 3129, 16, 'Penerjemah');
INSERT INTO `lang_definitions` VALUES (59400, 3130, 16, 'Penerjemah dibutuhkan?');
INSERT INTO `lang_definitions` VALUES (59401, 3131, 16, 'Penyakit Paru Interstitial');
INSERT INTO `lang_definitions` VALUES (59402, 3132, 16, 'Interval/Selang');
INSERT INTO `lang_definitions` VALUES (59403, 3135, 16, 'Intervensi');
INSERT INTO `lang_definitions` VALUES (59404, 3137, 16, 'Ketidaktoleranan');
INSERT INTO `lang_definitions` VALUES (59405, 3139, 16, 'intramuskuler');
INSERT INTO `lang_definitions` VALUES (59406, 3140, 16, 'urat nadi');
INSERT INTO `lang_definitions` VALUES (59407, 3141, 16, 'Pengenalan');
INSERT INTO `lang_definitions` VALUES (59408, 3144, 16, 'Karakter tidak valid pada');
INSERT INTO `lang_definitions` VALUES (59409, 3147, 16, 'Panjang tidak valid untuk');
INSERT INTO `lang_definitions` VALUES (59410, 3148, 16, 'Karakter non numerik tidak valid pada');
INSERT INTO `lang_definitions` VALUES (59411, 3149, 16, 'Pembayar tidak valid atau tidak ada dalam sumber untuk kode ');
INSERT INTO `lang_definitions` VALUES (59412, 3151, 16, 'Kode Layanan Tidak Valid');
INSERT INTO `lang_definitions` VALUES (59413, 3152, 16, 'Penunjukkan sumber tidak valid \"');
INSERT INTO `lang_definitions` VALUES (59414, 3154, 16, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (59415, 3155, 16, 'Inventaris');
INSERT INTO `lang_definitions` VALUES (59416, 3156, 16, 'Kegiatan Inventaris');
INSERT INTO `lang_definitions` VALUES (59417, 3157, 16, 'Inventaris dan jual produk obat dan non obat');
INSERT INTO `lang_definitions` VALUES (59418, 3158, 16, 'Inventaris dan jual obat saja');
INSERT INTO `lang_definitions` VALUES (59419, 3159, 16, 'Inventaris tidak tersedia untuk pesanan/perintah ini');
INSERT INTO `lang_definitions` VALUES (59420, 3160, 16, 'Daftar Inventaris');
INSERT INTO `lang_definitions` VALUES (59421, 3161, 16, 'Transaksi Inventaris');
INSERT INTO `lang_definitions` VALUES (59422, 3162, 16, 'Faktur/Tagihan');
INSERT INTO `lang_definitions` VALUES (59423, 3163, 16, 'faktur');
INSERT INTO `lang_definitions` VALUES (59424, 3166, 16, 'Tanggal Faktur');
INSERT INTO `lang_definitions` VALUES (59425, 3167, 16, 'Faktur tidak memiliki tanggal!');
INSERT INTO `lang_definitions` VALUES (59426, 3168, 16, 'Nomor Faktur');
INSERT INTO `lang_definitions` VALUES (59427, 3169, 16, 'Nomor Referensi Faktur');
INSERT INTO `lang_definitions` VALUES (59428, 3170, 16, 'Kelompok nomor referensi faktur, jika digunakan');
INSERT INTO `lang_definitions` VALUES (59429, 3171, 16, 'Kelompok Nomor Referensi Faktur');
INSERT INTO `lang_definitions` VALUES (59430, 3172, 16, 'Kelompok Nomor Referensi Faktur');
INSERT INTO `lang_definitions` VALUES (59431, 3173, 16, 'Faktur:');
INSERT INTO `lang_definitions` VALUES (59432, 3174, 16, 'IPPF');
INSERT INTO `lang_definitions` VALUES (59433, 3177, 16, 'Data IPPF SRH untuk');
INSERT INTO `lang_definitions` VALUES (59434, 3178, 16, 'Laporan Statistik IPPF');
INSERT INTO `lang_definitions` VALUES (59435, 3179, 16, 'Status IPPF');
INSERT INTO `lang_definitions` VALUES (59436, 3180, 16, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (59437, 3181, 16, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (59438, 3182, 16, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (59439, 3183, 16, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (59440, 3185, 16, 'Denyut Jantung Tidak Teratur');
INSERT INTO `lang_definitions` VALUES (59441, 3186, 16, 'Sifat Lekas Marah');
INSERT INTO `lang_definitions` VALUES (59442, 3187, 16, 'Iritasi');
INSERT INTO `lang_definitions` VALUES (59443, 3191, 16, 'adalah field/bagian yang dibutuhkan.');
INSERT INTO `lang_definitions` VALUES (59444, 3192, 16, 'adalah root node (simpul akar) dan tidak bisa dihapus');
INSERT INTO `lang_definitions` VALUES (59445, 3197, 16, 'tidak valid (pecahan desimal OK).');
INSERT INTO `lang_definitions` VALUES (59446, 3198, 16, 'Apakah PHP menggunakan Safe Mode?');
INSERT INTO `lang_definitions` VALUES (59447, 3200, 16, 'Apakah teks dari formulir layout akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (59448, 3201, 16, 'Apakah teks dari daftar akan diterjemahkan?');
INSERT INTO `lang_definitions` VALUES (59449, 3202, 16, 'Apakah File Terenkripsi?');
INSERT INTO `lang_definitions` VALUES (59450, 3204, 16, 'Apakah ini jenis diagnosa?');
INSERT INTO `lang_definitions` VALUES (59451, 3209, 16, 'Apakah jenis/tipe kode ini aktif?');
INSERT INTO `lang_definitions` VALUES (59452, 3212, 16, 'Apakah jenis ini tersembunyi dalam lembar biaya?');
INSERT INTO `lang_definitions` VALUES (59453, 3214, 16, 'terlalu panjang');
INSERT INTO `lang_definitions` VALUES (59454, 3216, 16, 'Isu(Masalah/Persoalan)');
INSERT INTO `lang_definitions` VALUES (59455, 3217, 16, 'isu/masalah');
INSERT INTO `lang_definitions` VALUES (59456, 3218, 16, 'Tanggal Isu');
INSERT INTO `lang_definitions` VALUES (59457, 3219, 16, 'ID Isu');
INSERT INTO `lang_definitions` VALUES (59458, 3220, 16, 'Judul Isu');
INSERT INTO `lang_definitions` VALUES (59459, 3223, 16, 'Isu(Masalah/Persoalan)');
INSERT INTO `lang_definitions` VALUES (59460, 3224, 16, 'Masalah (Cedera(Luka)/Medis/Alergi)');
INSERT INTO `lang_definitions` VALUES (59461, 3225, 16, 'Masalah (Cedera(Luka)/Medis/Alergi):');
INSERT INTO `lang_definitions` VALUES (59462, 3226, 16, 'Isu(Masalah) dan Encounter(Pertemuan)');
INSERT INTO `lang_definitions` VALUES (59463, 3227, 16, 'Isu(Masalah) dan Encounter(Pertemuan)untuk');
INSERT INTO `lang_definitions` VALUES (59464, 3228, 16, 'Isu(Masalah) tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (59465, 3229, 16, 'Bagian Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (59466, 3230, 16, 'Italia');
INSERT INTO `lang_definitions` VALUES (59467, 3231, 16, 'Item');
INSERT INTO `lang_definitions` VALUES (59468, 3232, 16, 'item');
INSERT INTO `lang_definitions` VALUES (59469, 3234, 16, 'Item gagal dimuat');
INSERT INTO `lang_definitions` VALUES (59470, 3235, 16, 'IU/L');
INSERT INTO `lang_definitions` VALUES (59471, 3236, 16, 'IUD');
INSERT INTO `lang_definitions` VALUES (59472, 3237, 16, 'IV');
INSERT INTO `lang_definitions` VALUES (59473, 3238, 16, 'Januari');
INSERT INTO `lang_definitions` VALUES (59474, 3239, 16, 'Januari');
INSERT INTO `lang_definitions` VALUES (59475, 3240, 16, 'Jepang');
INSERT INTO `lang_definitions` VALUES (59476, 3241, 16, 'Penyakit Kuning');
INSERT INTO `lang_definitions` VALUES (59477, 3243, 16, 'Deskripsi Pekerjaan');
INSERT INTO `lang_definitions` VALUES (59478, 3244, 16, 'ID Pekerjaan');
INSERT INTO `lang_definitions` VALUES (59479, 3245, 16, 'Dislokasi Persendian');
INSERT INTO `lang_definitions` VALUES (59480, 3246, 16, 'Sakit Persendian');
INSERT INTO `lang_definitions` VALUES (59481, 3247, 16, 'Persendian keseleo');
INSERT INTO `lang_definitions` VALUES (59482, 3248, 16, 'Juli');
INSERT INTO `lang_definitions` VALUES (59483, 3249, 16, 'Juli');
INSERT INTO `lang_definitions` VALUES (59484, 3250, 16, 'Juni');
INSERT INTO `lang_definitions` VALUES (59485, 3251, 16, 'Juni');
INSERT INTO `lang_definitions` VALUES (59486, 3252, 16, 'Tepat di bawah cek informasi adalah daerah biru di mana Anda memasukkan parameter pencarian anda. Anda dapat mencari berdasarkan nama pasien, nomor tabel/grafik, nomor encounter(pertemuan) atau tanggal pelayanan, atau kombinasi dari semuanya. Anda juga dapat memilih apakah Anda ingin melihat semua faktur/tagihan, buka faktur, atau faktur yang jatuh tempo (oleh pasien). Klik tombol Cari untuk melakukan pencarian.');
INSERT INTO `lang_definitions` VALUES (59487, 3253, 16, 'Milik Saya');
INSERT INTO `lang_definitions` VALUES (59488, 3255, 16, 'Membenarkan');
INSERT INTO `lang_definitions` VALUES (59489, 3256, 16, 'Membenarkan/Simpan');
INSERT INTO `lang_definitions` VALUES (59490, 3258, 16, 'inilah sisanya');
INSERT INTO `lang_definitions` VALUES (59491, 3264, 16, 'Kunci');
INSERT INTO `lang_definitions` VALUES (59492, 3265, 16, 'Kata kunci');
INSERT INTO `lang_definitions` VALUES (59493, 3266, 16, 'kg');
INSERT INTO `lang_definitions` VALUES (59494, 3267, 16, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (59495, 3269, 16, 'Kanker ginjal');
INSERT INTO `lang_definitions` VALUES (59496, 3270, 16, 'Gagal ginjal');
INSERT INTO `lang_definitions` VALUES (59497, 3271, 16, 'Infeksi ginjal');
INSERT INTO `lang_definitions` VALUES (59498, 3272, 16, 'Batu ginjal');
INSERT INTO `lang_definitions` VALUES (59499, 3273, 16, 'Transplantasi ginjal');
INSERT INTO `lang_definitions` VALUES (59500, 3277, 16, 'Lutut');
INSERT INTO `lang_definitions` VALUES (59501, 3278, 16, 'Masalah Lutut');
INSERT INTO `lang_definitions` VALUES (59502, 3279, 16, 'Penggantian Lutut');
INSERT INTO `lang_definitions` VALUES (59503, 3282, 16, 'Korea');
INSERT INTO `lang_definitions` VALUES (59504, 3286, 16, 'Lab');
INSERT INTO `lang_definitions` VALUES (59505, 3288, 16, 'Alamat Situs Lab Exchange (Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (59506, 3289, 16, 'ID Situs Lab Exchange (Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (59507, 3290, 16, 'ID Token Lab Exchange (Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (59508, 3294, 16, 'Status Query Lab');
INSERT INTO `lang_definitions` VALUES (59509, 3295, 16, 'Laporan Lab');
INSERT INTO `lang_definitions` VALUES (59510, 3296, 16, 'Hasil Lab');
INSERT INTO `lang_definitions` VALUES (59511, 3297, 16, 'Hasil Lab');
INSERT INTO `lang_definitions` VALUES (59512, 3299, 16, 'Laporan Hasil Lab');
INSERT INTO `lang_definitions` VALUES (59513, 3300, 16, 'Layanan Lab');
INSERT INTO `lang_definitions` VALUES (59514, 3301, 16, 'Hasil Pemeriksaan/Pengujian Lab');
INSERT INTO `lang_definitions` VALUES (59515, 3303, 16, 'Label');
INSERT INTO `lang_definitions` VALUES (59516, 3304, 16, 'Label tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (59517, 3305, 16, 'Kolom Label');
INSERT INTO `lang_definitions` VALUES (59518, 3306, 16, 'Label untuk tipe/jenis ini');
INSERT INTO `lang_definitions` VALUES (59519, 3307, 16, 'Kolom Label harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (59520, 3308, 16, 'Label');
INSERT INTO `lang_definitions` VALUES (59521, 3311, 16, 'Lab');
INSERT INTO `lang_definitions` VALUES (59522, 3312, 16, 'Pengoyakan(goresan)/kondisi kulit');
INSERT INTO `lang_definitions` VALUES (59523, 3313, 16, 'Pengoyakan(goresan)/abrasi');
INSERT INTO `lang_definitions` VALUES (59524, 3316, 16, 'Bahasa');
INSERT INTO `lang_definitions` VALUES (59525, 3317, 16, 'Kode Bahasa');
INSERT INTO `lang_definitions` VALUES (59526, 3318, 16, 'Definisi bahasa ditambahkan');
INSERT INTO `lang_definitions` VALUES (59527, 3319, 16, 'Perangkat Antarmuka Bahasa');
INSERT INTO `lang_definitions` VALUES (59528, 3320, 16, 'Daftar Bahasa (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (59529, 3321, 16, 'Nama Bahasa');
INSERT INTO `lang_definitions` VALUES (59530, 3322, 16, 'Bahasa:');
INSERT INTO `lang_definitions` VALUES (59531, 3324, 16, 'Laos');
INSERT INTO `lang_definitions` VALUES (59532, 3325, 16, 'Terakhir');
INSERT INTO `lang_definitions` VALUES (59533, 3326, 16, 'Tanggal Kegiatan Terakhir');
INSERT INTO `lang_definitions` VALUES (59534, 3328, 16, 'Tanggal Tagihan Terakhir');
INSERT INTO `lang_definitions` VALUES (59535, 3330, 16, 'Kalender Tahun Terakhir');
INSERT INTO `lang_definitions` VALUES (59536, 3333, 16, 'Encounter(Pertemuan) Terakhir');
INSERT INTO `lang_definitions` VALUES (59537, 3343, 16, 'Bulan Lalu');
INSERT INTO `lang_definitions` VALUES (59538, 3344, 16, 'Nama Belakang');
INSERT INTO `lang_definitions` VALUES (59539, 3345, 16, 'Nama belakang');
INSERT INTO `lang_definitions` VALUES (59540, 3346, 16, 'Nama Belakang:');
INSERT INTO `lang_definitions` VALUES (59541, 3350, 16, 'Terakhir Diulas');
INSERT INTO `lang_definitions` VALUES (59542, 3352, 16, 'Terakhir Disimpan');
INSERT INTO `lang_definitions` VALUES (59543, 3356, 16, 'Terakhir diupdate oleh');
INSERT INTO `lang_definitions` VALUES (59544, 3357, 16, 'Terakhir Diverifikasi pada');
INSERT INTO `lang_definitions` VALUES (59545, 3358, 16, 'Kunjungan Terakhir');
INSERT INTO `lang_definitions` VALUES (59546, 3360, 16, 'Akhir Kambuh (2-12 Bulan)');
INSERT INTO `lang_definitions` VALUES (59547, 3361, 16, 'Rusuk Malleolus');
INSERT INTO `lang_definitions` VALUES (59548, 3362, 16, 'Rusuk malleolus:');
INSERT INTO `lang_definitions` VALUES (59549, 3363, 16, 'Lateralitas');
INSERT INTO `lang_definitions` VALUES (59550, 3364, 16, 'Lateralitas dari prosedur ini, jika dapat berlaku');
INSERT INTO `lang_definitions` VALUES (59551, 3365, 16, 'lateral mengungsi PMI:');
INSERT INTO `lang_definitions` VALUES (59552, 3373, 16, 'Tata Letak Dasar');
INSERT INTO `lang_definitions` VALUES (59553, 3374, 16, 'Tata Letak Editor');
INSERT INTO `lang_definitions` VALUES (59554, 3375, 16, 'Tata Letak grup');
INSERT INTO `lang_definitions` VALUES (59555, 3376, 16, 'Gaya Tata Letak');
INSERT INTO `lang_definitions` VALUES (59556, 3378, 16, 'Tata Letak Dasar Formulir Kunjungan');
INSERT INTO `lang_definitions` VALUES (59557, 3379, 16, 'Layout(Tata Letak)');
INSERT INTO `lang_definitions` VALUES (59558, 3380, 16, 'lb');
INSERT INTO `lang_definitions` VALUES (59559, 3381, 16, 'lbs');
INSERT INTO `lang_definitions` VALUES (59560, 3382, 16, 'LDL');
INSERT INTO `lang_definitions` VALUES (59561, 3383, 16, 'biarkan kosong jika masih aktif');
INSERT INTO `lang_definitions` VALUES (59562, 3384, 16, 'Biarkan Kosong Untuk Memelihara Keaslian Nama File');
INSERT INTO `lang_definitions` VALUES (59563, 3385, 16, 'Biarkan kosong untuk password tetap tidak berubah.');
INSERT INTO `lang_definitions` VALUES (59564, 3386, 16, 'Tinggalkan Pesan Dengan');
INSERT INTO `lang_definitions` VALUES (59565, 3387, 16, 'Tinggalkan Formulir');
INSERT INTO `lang_definitions` VALUES (59566, 3388, 16, 'Membiarkan frasa pasword kosong tidak akan mengenkripsi dokumen');
INSERT INTO `lang_definitions` VALUES (59567, 3390, 16, 'Kiri');
INSERT INTO `lang_definitions` VALUES (59568, 3391, 16, 'Telinga Kiri');
INSERT INTO `lang_definitions` VALUES (59569, 3392, 16, 'telinga kiri');
INSERT INTO `lang_definitions` VALUES (59570, 3394, 16, 'Kiri:');
INSERT INTO `lang_definitions` VALUES (59571, 3395, 16, 'Kiri: ');
INSERT INTO `lang_definitions` VALUES (59572, 3396, 16, 'Nyeri Kaki/Kram');
INSERT INTO `lang_definitions` VALUES (59573, 3397, 16, 'Legal');
INSERT INTO `lang_definitions` VALUES (59574, 3399, 16, 'Ukuran Kertas Legal');
INSERT INTO `lang_definitions` VALUES (59575, 3400, 16, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (59576, 3401, 16, 'Panjang');
INSERT INTO `lang_definitions` VALUES (59577, 3402, 16, 'Panjang modifier, 0 jika tidak ada');
INSERT INTO `lang_definitions` VALUES (59578, 3403, 16, 'Kurang Dari');
INSERT INTO `lang_definitions` VALUES (59579, 3404, 16, 'Kurang Dari atau Sama Dengan');
INSERT INTO `lang_definitions` VALUES (59580, 3405, 16, 'Informasi pribadi(sedikit) (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (59581, 3406, 16, 'Surat');
INSERT INTO `lang_definitions` VALUES (59582, 3407, 16, 'Generator Surat');
INSERT INTO `lang_definitions` VALUES (59583, 3408, 16, 'Ukuran Kertas Surat');
INSERT INTO `lang_definitions` VALUES (59584, 3409, 16, 'Kepala surat yang ditandatangani dokter');
INSERT INTO `lang_definitions` VALUES (59585, 3410, 16, 'Kepala surat yang ditandatangani pasien');
INSERT INTO `lang_definitions` VALUES (59586, 3411, 16, 'Tingkat urgensi');
INSERT INTO `lang_definitions` VALUES (59587, 3412, 16, 'Kewajiban');
INSERT INTO `lang_definitions` VALUES (59588, 3413, 16, 'Kewajiban Medis');
INSERT INTO `lang_definitions` VALUES (59589, 3414, 16, 'Lisensi/ID');
INSERT INTO `lang_definitions` VALUES (59590, 3419, 16, 'Nama belakang Resep yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (59591, 3420, 16, 'NPI Resep yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (59592, 3421, 16, 'UPIN Resep yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (59593, 3423, 16, 'Gaya Hidup');
INSERT INTO `lang_definitions` VALUES (59594, 3424, 16, 'Status Gaya Hidup');
INSERT INTO `lang_definitions` VALUES (59595, 3425, 16, 'Sobekan Ligamen atau keseleo');
INSERT INTO `lang_definitions` VALUES (59596, 3428, 16, 'Batas Event');
INSERT INTO `lang_definitions` VALUES (59597, 3429, 16, 'Batas');
INSERT INTO `lang_definitions` VALUES (59598, 3431, 16, 'Link/Tautan');
INSERT INTO `lang_definitions` VALUES (59599, 3432, 16, 'Link ke Pasien');
INSERT INTO `lang_definitions` VALUES (59600, 3433, 16, 'Dilink/Terkait');
INSERT INTO `lang_definitions` VALUES (59601, 3436, 16, 'Dilink ke dokumen');
INSERT INTO `lang_definitions` VALUES (59602, 3438, 16, 'Daftar');
INSERT INTO `lang_definitions` VALUES (59603, 3439, 16, 'Kotak daftar');
INSERT INTO `lang_definitions` VALUES (59604, 3440, 16, 'kotak daftar');
INSERT INTO `lang_definitions` VALUES (59605, 3441, 16, 'kotak daftar tulis/tambah');
INSERT INTO `lang_definitions` VALUES (59606, 3442, 16, 'Kotak daftar tulis/tambah');
INSERT INTO `lang_definitions` VALUES (59607, 3443, 16, 'Daftar Editor');
INSERT INTO `lang_definitions` VALUES (59608, 3444, 16, 'Daftar encounter(pertemuan)');
INSERT INTO `lang_definitions` VALUES (59609, 3445, 16, 'Daftar grup');
INSERT INTO `lang_definitions` VALUES (59610, 3446, 16, 'Daftar Perusahaan Asuransi');
INSERT INTO `lang_definitions` VALUES (59611, 3448, 16, 'Daftar item tidak boleh dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (59612, 3449, 16, 'Daftar item mengandung karakter yang tidak diizinkan.');
INSERT INTO `lang_definitions` VALUES (59613, 3451, 16, 'Daftar daftar');
INSERT INTO `lang_definitions` VALUES (59614, 3452, 16, 'Daftar Nama');
INSERT INTO `lang_definitions` VALUES (59615, 3453, 16, 'Daftar nama tidak boleh dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (59616, 3454, 16, 'Daftar Resep');
INSERT INTO `lang_definitions` VALUES (59617, 3455, 16, 'Daftar diatas digunakan oleh pilihan Tipe/Jenis Data Negara.');
INSERT INTO `lang_definitions` VALUES (59618, 3456, 16, 'Daftar diatas digunakan oleh pilihan Tipe/Jenis Data Negara.');
INSERT INTO `lang_definitions` VALUES (59619, 3457, 16, 'Mendengarkan port dari server syslog RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (59620, 3458, 16, 'Daftar');
INSERT INTO `lang_definitions` VALUES (59621, 3460, 16, 'Keinginan Hidup');
INSERT INTO `lang_definitions` VALUES (59622, 3461, 16, 'LLL/BMPK:');
INSERT INTO `lang_definitions` VALUES (59623, 3462, 16, 'LMP');
INSERT INTO `lang_definitions` VALUES (59624, 3464, 16, 'Memuat Definisi');
INSERT INTO `lang_definitions` VALUES (59625, 3470, 16, 'SEDANG MEMUAT');
INSERT INTO `lang_definitions` VALUES (59626, 3471, 16, 'Sedang memuat file kedalam database. Ini akan sedikit memakan waktu...');
INSERT INTO `lang_definitions` VALUES (59627, 3472, 16, 'LOC');
INSERT INTO `lang_definitions` VALUES (59628, 3473, 16, 'Lokal');
INSERT INTO `lang_definitions` VALUES (59629, 3476, 16, 'Lokal');
INSERT INTO `lang_definitions` VALUES (59630, 3477, 16, 'Lokalitas');
INSERT INTO `lang_definitions` VALUES (59631, 3478, 16, 'Lokasi');
INSERT INTO `lang_definitions` VALUES (59632, 3479, 16, 'lokasi dari mesin libreehr dan mungkin berisi data sensitif, sehingga dianjurkan untuk secara manual menghapus file setelah penggunaannya');
INSERT INTO `lang_definitions` VALUES (59633, 3480, 16, 'Lokasi dari lot ini');
INSERT INTO `lang_definitions` VALUES (59634, 3481, 16, 'Lokasi tidakk ditentukan');
INSERT INTO `lang_definitions` VALUES (59635, 3482, 16, 'Lokasi dimana Hylafax menyimpan faks.');
INSERT INTO `lang_definitions` VALUES (59636, 3483, 16, 'Lokasi dimana scan disimpan.');
INSERT INTO `lang_definitions` VALUES (59637, 3484, 16, 'Lokasi:');
INSERT INTO `lang_definitions` VALUES (59638, 3485, 16, 'Mengunci');
INSERT INTO `lang_definitions` VALUES (59639, 3492, 16, 'Login(Masuk)');
INSERT INTO `lang_definitions` VALUES (59640, 3494, 16, 'Logout(Keluar)');
INSERT INTO `lang_definitions` VALUES (59641, 3495, 16, 'Login');
INSERT INTO `lang_definitions` VALUES (59642, 3496, 16, 'Login sebagai');
INSERT INTO `lang_definitions` VALUES (59643, 3497, 16, 'Login sebagai: ');
INSERT INTO `lang_definitions` VALUES (59644, 3498, 16, 'Keluar.');
INSERT INTO `lang_definitions` VALUES (59645, 3500, 16, 'Login(Masuk)');
INSERT INTO `lang_definitions` VALUES (59646, 3501, 16, 'login(masuk)');
INSERT INTO `lang_definitions` VALUES (59647, 3505, 16, 'Logout(Keluar)');
INSERT INTO `lang_definitions` VALUES (59648, 3506, 16, 'logout(keluar)');
INSERT INTO `lang_definitions` VALUES (59649, 3507, 16, 'Log');
INSERT INTO `lang_definitions` VALUES (59650, 3508, 16, 'Pelihat Log');
INSERT INTO `lang_definitions` VALUES (59651, 3510, 16, 'Mengunjungi');
INSERT INTO `lang_definitions` VALUES (59652, 3511, 16, 'Lot');
INSERT INTO `lang_definitions` VALUES (59653, 3512, 16, 'ID Lot tidak ada!');
INSERT INTO `lang_definitions` VALUES (59654, 3513, 16, 'Nomor Lot');
INSERT INTO `lang_definitions` VALUES (59655, 3514, 16, 'Rendah');
INSERT INTO `lang_definitions` VALUES (59656, 3516, 16, 'Kaki bagian bawah');
INSERT INTO `lang_definitions` VALUES (59657, 3519, 16, 'Tulang belakang pinggang');
INSERT INTO `lang_definitions` VALUES (59658, 3520, 16, 'MAKAN SIANG');
INSERT INTO `lang_definitions` VALUES (59659, 3521, 16, 'Makan Siang');
INSERT INTO `lang_definitions` VALUES (59660, 3522, 16, 'Kanker Paru-Paru');
INSERT INTO `lang_definitions` VALUES (59661, 3523, 16, 'Bedah Kanker Paru');
INSERT INTO `lang_definitions` VALUES (59662, 3524, 16, 'PARU-PARU:');
INSERT INTO `lang_definitions` VALUES (59663, 3525, 16, 'Paru-paru:');
INSERT INTO `lang_definitions` VALUES (59664, 3526, 16, 'Lupus');
INSERT INTO `lang_definitions` VALUES (59665, 3528, 16, 'M');
INSERT INTO `lang_definitions` VALUES (59666, 3529, 16, 'Kategori MA');
INSERT INTO `lang_definitions` VALUES (59667, 3530, 16, 'Klien MA yang Menerima Aborsi');
INSERT INTO `lang_definitions` VALUES (59668, 3531, 16, 'Status MA');
INSERT INTO `lang_definitions` VALUES (59669, 3533, 16, 'Surat Terkirim');
INSERT INTO `lang_definitions` VALUES (59670, 3534, 16, 'Utama');
INSERT INTO `lang_definitions` VALUES (59671, 3535, 16, 'Alamat Utama');
INSERT INTO `lang_definitions` VALUES (59672, 3536, 16, 'Panel Layar Utama bagian Atas');
INSERT INTO `lang_definitions` VALUES (59673, 3537, 16, 'Memelihara daftar obat alergi aktif.');
INSERT INTO `lang_definitions` VALUES (59674, 3538, 16, 'Memelihara daftar obat aktif.');
INSERT INTO `lang_definitions` VALUES (59675, 3539, 16, 'Memelihara daftar masalah terbaru dari diagnosa aktif dan berlaku.');
INSERT INTO `lang_definitions` VALUES (59676, 3540, 16, 'Buat modifikasi pada kategori yang berlaku.');
INSERT INTO `lang_definitions` VALUES (59677, 3541, 16, 'Buat janji temu baru untuk');
INSERT INTO `lang_definitions` VALUES (59678, 3542, 16, 'Pastikan \"');
INSERT INTO `lang_definitions` VALUES (59679, 3543, 16, 'Membuat file teks batch untuk mengupload ke Kantor Penerimaan Cek Antara Bank dan akan ditandai sebagai ditagih');
INSERT INTO `lang_definitions` VALUES (59680, 3545, 16, 'Rasa Tidak Enak:');
INSERT INTO `lang_definitions` VALUES (59681, 3548, 16, 'Laki-laki');
INSERT INTO `lang_definitions` VALUES (59682, 3549, 16, 'Kondom Laki-Laki');
INSERT INTO `lang_definitions` VALUES (59683, 3550, 16, 'VSC Laki-Laki');
INSERT INTO `lang_definitions` VALUES (59684, 3552, 16, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (59685, 3553, 16, 'Mengelola');
INSERT INTO `lang_definitions` VALUES (59686, 3556, 16, 'Mengelola Terjemahan');
INSERT INTO `lang_definitions` VALUES (59687, 3557, 16, 'Pengelolaan');
INSERT INTO `lang_definitions` VALUES (59688, 3558, 16, 'Field(Bagian) tertentu dan wajib');
INSERT INTO `lang_definitions` VALUES (59689, 3559, 16, 'Field(Bagian) tertentu dan wajib saja, cek dup(gkg), tidak ada pencarian');
INSERT INTO `lang_definitions` VALUES (59690, 3560, 16, 'Field(Bagian) tertentu dan wajib saja, cari dan cek dup(gkg)');
INSERT INTO `lang_definitions` VALUES (59691, 3561, 16, 'Manual');
INSERT INTO `lang_definitions` VALUES (59692, 3562, 16, 'Posting Manual');
INSERT INTO `lang_definitions` VALUES (59693, 3563, 16, 'Pabrikan');
INSERT INTO `lang_definitions` VALUES (59694, 3565, 16, 'Maret');
INSERT INTO `lang_definitions` VALUES (59695, 3568, 16, 'Maret');
INSERT INTO `lang_definitions` VALUES (59696, 3569, 16, 'Status Pernikahan');
INSERT INTO `lang_definitions` VALUES (59697, 3571, 16, 'Tandai sebagai ditagih namun lewati penagihan');
INSERT INTO `lang_definitions` VALUES (59698, 3572, 16, 'Tandai sebagai Diselesaikan');
INSERT INTO `lang_definitions` VALUES (59699, 3573, 16, 'Tandai sebagai belum ditagih');
INSERT INTO `lang_definitions` VALUES (59700, 3575, 16, 'Tandai sebagai diselesaikan');
INSERT INTO `lang_definitions` VALUES (59701, 3576, 16, 'Menikah');
INSERT INTO `lang_definitions` VALUES (59702, 3578, 16, 'Masker/Penutup');
INSERT INTO `lang_definitions` VALUES (59703, 3579, 16, 'Penutup untuk Nomor Faktur/Tagihan');
INSERT INTO `lang_definitions` VALUES (59704, 3580, 16, 'Penutup untuk ID Pasien');
INSERT INTO `lang_definitions` VALUES (59705, 3581, 16, 'Penutup untuk ID Pasien');
INSERT INTO `lang_definitions` VALUES (59706, 3582, 16, 'Cocok');
INSERT INTO `lang_definitions` VALUES (59707, 3591, 16, 'Max');
INSERT INTO `lang_definitions` VALUES (59708, 3594, 16, 'Rahang Atas Kanan:');
INSERT INTO `lang_definitions` VALUES (59709, 3595, 16, 'Usia Maksimum');
INSERT INTO `lang_definitions` VALUES (59710, 3596, 16, 'Karakter maksimum');
INSERT INTO `lang_definitions` VALUES (59711, 3597, 16, 'Waktu diam maksimum sebelum logout. Default(standar) adalah 7200 (2 jam)');
INSERT INTO `lang_definitions` VALUES (59712, 3600, 16, 'Persediaan wajar maksimum, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (59713, 3603, 16, 'Mei');
INSERT INTO `lang_definitions` VALUES (59714, 3604, 16, 'MC');
INSERT INTO `lang_definitions` VALUES (59715, 3605, 16, 'mcg');
INSERT INTO `lang_definitions` VALUES (59716, 3607, 16, 'Berarti tidak ada tiga pasword terakhir yang diizinkan ketika mengubah pasword');
INSERT INTO `lang_definitions` VALUES (59717, 3609, 16, 'Kode Ukuran Grup');
INSERT INTO `lang_definitions` VALUES (59718, 3611, 16, 'Pengukuran');
INSERT INTO `lang_definitions` VALUES (59719, 3612, 16, 'Di tengah-tengah malleolus:');
INSERT INTO `lang_definitions` VALUES (59720, 3613, 16, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (59721, 3614, 16, 'Medis(Pengobatan)');
INSERT INTO `lang_definitions` VALUES (59722, 3615, 16, 'Aborsi Medis');
INSERT INTO `lang_definitions` VALUES (59723, 3616, 16, 'Administrasi Medis');
INSERT INTO `lang_definitions` VALUES (59724, 3617, 16, 'Riwayat Medis');
INSERT INTO `lang_definitions` VALUES (59725, 3618, 16, 'Isu(Masalah) Medis');
INSERT INTO `lang_definitions` VALUES (59726, 3619, 16, 'Isu(Masalah) medis');
INSERT INTO `lang_definitions` VALUES (59727, 3620, 16, 'Masalah medis');
INSERT INTO `lang_definitions` VALUES (59728, 3623, 16, 'Masalah Medis');
INSERT INTO `lang_definitions` VALUES (59729, 3624, 16, 'Catatan Medis');
INSERT INTO `lang_definitions` VALUES (59730, 3625, 16, 'Catatan Medis #');
INSERT INTO `lang_definitions` VALUES (59731, 3626, 16, 'Catatan Medis');
INSERT INTO `lang_definitions` VALUES (59732, 3627, 16, 'Catatan Medis Terkirim');
INSERT INTO `lang_definitions` VALUES (59733, 3629, 16, 'Ringkasan Medis Diberikan');
INSERT INTO `lang_definitions` VALUES (59734, 3630, 16, 'Sistem Medis');
INSERT INTO `lang_definitions` VALUES (59735, 3631, 16, 'Tipe/Jenis Medis(Pengobatan)');
INSERT INTO `lang_definitions` VALUES (59736, 3632, 16, 'Medis/Riwayat (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (59737, 3633, 16, 'Medicare Bagian B');
INSERT INTO `lang_definitions` VALUES (59738, 3634, 16, 'Pengarah Medicare adalah Pemberi');
INSERT INTO `lang_definitions` VALUES (59739, 3635, 16, 'Obat/Pengobatan');
INSERT INTO `lang_definitions` VALUES (59740, 3636, 16, 'Daftar Pengobatan Alergi');
INSERT INTO `lang_definitions` VALUES (59741, 3638, 16, 'Daftar Pengobatan');
INSERT INTO `lang_definitions` VALUES (59742, 3639, 16, 'Rekonsiliasi Pengobatan Dilakukan?');
INSERT INTO `lang_definitions` VALUES (59743, 3640, 16, 'Obat/Pengobatan');
INSERT INTO `lang_definitions` VALUES (59744, 3641, 16, 'Obat/Pengobatan:');
INSERT INTO `lang_definitions` VALUES (59745, 3642, 16, 'Unit(satuan) Obat');
INSERT INTO `lang_definitions` VALUES (59746, 3643, 16, 'Medium');
INSERT INTO `lang_definitions` VALUES (59747, 3645, 16, 'Laporan Statistik Anggota Asosiasi');
INSERT INTO `lang_definitions` VALUES (59748, 3646, 16, 'Masalah Ingatan');
INSERT INTO `lang_definitions` VALUES (59749, 3647, 16, 'Laki-laki');
INSERT INTO `lang_definitions` VALUES (59750, 3648, 16, 'Laki-laki dan Wanita');
INSERT INTO `lang_definitions` VALUES (59751, 3649, 16, 'Hanya Laki-laki');
INSERT INTO `lang_definitions` VALUES (59752, 3650, 16, 'Menarche');
INSERT INTO `lang_definitions` VALUES (59753, 3651, 16, 'Menopause (Mati Haid)');
INSERT INTO `lang_definitions` VALUES (59754, 3652, 16, 'Arus Menstruasi');
INSERT INTO `lang_definitions` VALUES (59755, 3653, 16, 'Frekuensi Menstruasi');
INSERT INTO `lang_definitions` VALUES (59756, 3654, 16, 'Penyakit Mental');
INSERT INTO `lang_definitions` VALUES (59757, 3661, 16, 'Pesan');
INSERT INTO `lang_definitions` VALUES (59758, 3662, 16, 'Pusat Pengingat dan Pesan');
INSERT INTO `lang_definitions` VALUES (59759, 3665, 16, 'Pesan Tekirim');
INSERT INTO `lang_definitions` VALUES (59760, 3666, 16, 'Status Pesan');
INSERT INTO `lang_definitions` VALUES (59761, 3670, 16, 'PESAN:');
INSERT INTO `lang_definitions` VALUES (59762, 3671, 16, 'Pesan');
INSERT INTO `lang_definitions` VALUES (59763, 3672, 16, 'Pesan yang telah Anda kirim Hari Ini');
INSERT INTO `lang_definitions` VALUES (59764, 3673, 16, 'Metode');
INSERT INTO `lang_definitions` VALUES (59765, 3674, 16, 'Metode dan Produk Spesifik');
INSERT INTO `lang_definitions` VALUES (59766, 3675, 16, 'Metode untuk mengirimkan email keluar.');
INSERT INTO `lang_definitions` VALUES (59767, 3676, 16, 'Metode Perusakan');
INSERT INTO `lang_definitions` VALUES (59768, 3677, 16, 'Meksiko/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (59769, 3679, 16, 'mg');
INSERT INTO `lang_definitions` VALUES (59770, 3680, 16, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (59771, 3681, 16, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (59772, 3682, 16, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (59773, 3683, 16, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (59774, 3684, 16, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (59775, 3685, 16, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (59776, 3686, 16, 'Tengah');
INSERT INTO `lang_definitions` VALUES (59777, 3687, 16, 'Nama Tengah');
INSERT INTO `lang_definitions` VALUES (59778, 3688, 16, 'Nama tengah');
INSERT INTO `lang_definitions` VALUES (59779, 3690, 16, 'Midlevel(Tingkat Pertengahan) DEA Resep');
INSERT INTO `lang_definitions` VALUES (59780, 3691, 16, 'Midlevel(Tingkat Pertengahan) Nama awal Resep');
INSERT INTO `lang_definitions` VALUES (59781, 3692, 16, 'Midlevel(Tingkat Pertengahan) Nama akhir Resep');
INSERT INTO `lang_definitions` VALUES (59782, 3693, 16, 'Midlevel(Tingkat Pertengahan) Awalan Resep');
INSERT INTO `lang_definitions` VALUES (59783, 3694, 16, 'Midlevel(Tingkat Pertengahan) UPIN Resep');
INSERT INTO `lang_definitions` VALUES (59784, 3695, 16, 'Wajah');
INSERT INTO `lang_definitions` VALUES (59785, 3696, 16, 'Migran atau pekerja musiman?');
INSERT INTO `lang_definitions` VALUES (59786, 3697, 16, 'Migran/Musiman');
INSERT INTO `lang_definitions` VALUES (59787, 3698, 16, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (59788, 3702, 16, 'Tipe/Jenis Mime(Pantomim/Meniru-niru)');
INSERT INTO `lang_definitions` VALUES (59789, 3703, 16, 'Min');
INSERT INTO `lang_definitions` VALUES (59790, 3704, 16, 'min');
INSERT INTO `lang_definitions` VALUES (59791, 3705, 16, 'Usia Minimum');
INSERT INTO `lang_definitions` VALUES (59792, 3706, 16, 'Ketengan persendian minor +/- sinovitis');
INSERT INTO `lang_definitions` VALUES (59793, 3708, 16, 'Menit');
INSERT INTO `lang_definitions` VALUES (59794, 3709, 16, 'menit');
INSERT INTO `lang_definitions` VALUES (59795, 3710, 16, 'Menit');
INSERT INTO `lang_definitions` VALUES (59796, 3712, 16, 'Macam-macam');
INSERT INTO `lang_definitions` VALUES (59797, 3713, 16, 'Macam-macam Pilihan Tagihan');
INSERT INTO `lang_definitions` VALUES (59798, 3714, 16, 'Macam-macam Pilihan Tagihan untuk HCFA-1500');
INSERT INTO `lang_definitions` VALUES (59799, 3715, 16, 'Macam-macam Pilihan Tagihan HCFA');
INSERT INTO `lang_definitions` VALUES (59800, 3716, 16, 'Macam-macam');
INSERT INTO `lang_definitions` VALUES (59801, 3717, 16, 'Terlewat/Terjawab');
INSERT INTO `lang_definitions` VALUES (59802, 3718, 16, 'hilang/tidak ada');
INSERT INTO `lang_definitions` VALUES (59803, 3719, 16, 'Kurang field(bagian) yang dibutuhkan');
INSERT INTO `lang_definitions` VALUES (59804, 3720, 16, 'Biaya Hilang');
INSERT INTO `lang_definitions` VALUES (59805, 3721, 16, 'Hanya Mods yang Hilang');
INSERT INTO `lang_definitions` VALUES (59806, 3722, 16, 'Hilang atau Tidak Valid');
INSERT INTO `lang_definitions` VALUES (59807, 3723, 16, 'PID yang Hilang');
INSERT INTO `lang_definitions` VALUES (59808, 3724, 16, 'Tanggal laporan yang hilang');
INSERT INTO `lang_definitions` VALUES (59809, 3725, 16, 'Garis miring hilang setelah pembayar dalam sumber untuk kode ');
INSERT INTO `lang_definitions` VALUES (59810, 3726, 16, 'Campur');
INSERT INTO `lang_definitions` VALUES (59811, 3727, 16, 'ml');
INSERT INTO `lang_definitions` VALUES (59812, 3728, 16, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (59813, 3729, 16, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (59814, 3730, 16, 'mmHg');
INSERT INTO `lang_definitions` VALUES (59815, 3731, 16, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (59816, 3732, 16, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (59817, 3733, 16, 'Handphone');
INSERT INTO `lang_definitions` VALUES (59818, 3734, 16, 'Ponsel');
INSERT INTO `lang_definitions` VALUES (59819, 3735, 16, 'Mod');
INSERT INTO `lang_definitions` VALUES (59820, 3741, 16, 'Modifier');
INSERT INTO `lang_definitions` VALUES (59821, 3742, 16, 'Modifier');
INSERT INTO `lang_definitions` VALUES (59822, 3745, 16, 'Modifikasi Pembayaran');
INSERT INTO `lang_definitions` VALUES (59823, 3746, 16, 'Modifikasi Panjang');
INSERT INTO `lang_definitions` VALUES (59824, 3753, 16, 'Senin');
INSERT INTO `lang_definitions` VALUES (59825, 3754, 16, 'Senin sampai Jumat');
INSERT INTO `lang_definitions` VALUES (59826, 3755, 16, 'Senin, Rabu & Jumat');
INSERT INTO `lang_definitions` VALUES (59827, 3756, 16, 'Senin');
INSERT INTO `lang_definitions` VALUES (59828, 3758, 16, 'Bulan');
INSERT INTO `lang_definitions` VALUES (59829, 3759, 16, 'bulan');
INSERT INTO `lang_definitions` VALUES (59830, 3760, 16, 'Lihat Bulan');
INSERT INTO `lang_definitions` VALUES (59831, 3761, 16, 'Bulan');
INSERT INTO `lang_definitions` VALUES (59832, 3762, 16, 'Pendapatan Bulanan');
INSERT INTO `lang_definitions` VALUES (59833, 3763, 16, 'Bulan');
INSERT INTO `lang_definitions` VALUES (59834, 3765, 16, 'Lebih dari 100 record(catatan) ditemukan. Silahkan persempit kriteria pencarian anda.');
INSERT INTO `lang_definitions` VALUES (59835, 3766, 16, 'Lebih dari 50 hasil, silahkan buat pencarian anda lebih spesifik.');
INSERT INTO `lang_definitions` VALUES (59836, 3767, 16, 'Kebanyakan kolom header dapat diklik untuk mengubah tata urutan');
INSERT INTO `lang_definitions` VALUES (59837, 3768, 16, 'Terbaru dari');
INSERT INTO `lang_definitions` VALUES (59838, 3770, 16, 'Vital terbaru dari:');
INSERT INTO `lang_definitions` VALUES (59839, 3771, 16, 'Ibu');
INSERT INTO `lang_definitions` VALUES (59840, 3772, 16, 'Nama Ibu');
INSERT INTO `lang_definitions` VALUES (59841, 3774, 16, 'Mulut');
INSERT INTO `lang_definitions` VALUES (59842, 3775, 16, 'Pindah');
INSERT INTO `lang_definitions` VALUES (59843, 3776, 16, 'Pindahkan Dokumen ke Kategori:');
INSERT INTO `lang_definitions` VALUES (59844, 3777, 16, 'Pindah ke Bawah');
INSERT INTO `lang_definitions` VALUES (59845, 3779, 16, 'Pindah ke Pasien');
INSERT INTO `lang_definitions` VALUES (59846, 3780, 16, 'Pindah ke...');
INSERT INTO `lang_definitions` VALUES (59847, 3781, 16, 'Pindah ke Atas');
INSERT INTO `lang_definitions` VALUES (59848, 3783, 16, 'Mr.(Bapak)');
INSERT INTO `lang_definitions` VALUES (59849, 3785, 16, 'Mrs.(Ibu)');
INSERT INTO `lang_definitions` VALUES (59850, 3786, 16, 'Ms.(Nona)');
INSERT INTO `lang_definitions` VALUES (59851, 3794, 16, 'Kode MSP');
INSERT INTO `lang_definitions` VALUES (59852, 3796, 16, 'Perangkat Multi Bahasa');
INSERT INTO `lang_definitions` VALUES (59853, 3797, 16, 'Beberapa daerah');
INSERT INTO `lang_definitions` VALUES (59854, 3799, 16, 'Beberapa lot');
INSERT INTO `lang_definitions` VALUES (59855, 3800, 16, 'Beberapa modifier dapat dipisahkan oleh titik dua atau spasi, maksimum 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (59856, 3802, 16, 'Bersuku Banyak');
INSERT INTO `lang_definitions` VALUES (59857, 3803, 16, 'Dengut:');
INSERT INTO `lang_definitions` VALUES (59858, 3805, 16, 'Nyeri Otot');
INSERT INTO `lang_definitions` VALUES (59859, 3806, 16, 'Otot Kemerahan');
INSERT INTO `lang_definitions` VALUES (59860, 3807, 16, 'Kekejuran Otot');
INSERT INTO `lang_definitions` VALUES (59861, 3808, 16, 'Pembengkakan Otot');
INSERT INTO `lang_definitions` VALUES (59862, 3809, 16, 'Pemanasan Otot');
INSERT INTO `lang_definitions` VALUES (59863, 3810, 16, 'Otot');
INSERT INTO `lang_definitions` VALUES (59864, 3811, 16, 'Cedera otot');
INSERT INTO `lang_definitions` VALUES (59865, 3812, 16, 'Musculoskeletal');
INSERT INTO `lang_definitions` VALUES (59866, 3813, 16, 'Harus kosong jika otentifikasi SMPT tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (59867, 3814, 16, 'Saling Ditetapkan');
INSERT INTO `lang_definitions` VALUES (59868, 3815, 16, 'MVA');
INSERT INTO `lang_definitions` VALUES (59869, 3818, 16, 'Diri Sendiri');
INSERT INTO `lang_definitions` VALUES (59870, 3821, 16, 'N/A');
INSERT INTO `lang_definitions` VALUES (59871, 3822, 16, 'n/a');
INSERT INTO `lang_definitions` VALUES (59872, 3823, 16, 'Nama');
INSERT INTO `lang_definitions` VALUES (59873, 3825, 16, 'Nama (klik untuk lebih lanjut)');
INSERT INTO `lang_definitions` VALUES (59874, 3826, 16, 'Nama 1');
INSERT INTO `lang_definitions` VALUES (59875, 3827, 16, 'Nama 2');
INSERT INTO `lang_definitions` VALUES (59876, 3828, 16, 'Nama dan Judul imunisasi dari Administrator');
INSERT INTO `lang_definitions` VALUES (59877, 3831, 16, 'Nama dari Event');
INSERT INTO `lang_definitions` VALUES (59878, 3832, 16, 'Nama dari perusahaaan asuransi');
INSERT INTO `lang_definitions` VALUES (59879, 3833, 16, 'Nama Provider');
INSERT INTO `lang_definitions` VALUES (59880, 3834, 16, 'Nama dari pengirim untuk pengingat pasien');
INSERT INTO `lang_definitions` VALUES (59881, 3835, 16, 'Nama Terjemahan');
INSERT INTO `lang_definitions` VALUES (59882, 3836, 16, 'Nama/Nilai');
INSERT INTO `lang_definitions` VALUES (59883, 3837, 16, 'Nama:');
INSERT INTO `lang_definitions` VALUES (59884, 3838, 16, 'NARES:');
INSERT INTO `lang_definitions` VALUES (59885, 3839, 16, 'NARES: Normal Kanan');
INSERT INTO `lang_definitions` VALUES (59886, 3840, 16, 'Nasal mucosa pink(Sengau mukosa merah muda), septum midline(garis tengah sekat)');
INSERT INTO `lang_definitions` VALUES (59887, 3841, 16, 'Catatan Negara');
INSERT INTO `lang_definitions` VALUES (59888, 3842, 16, 'Konfigurasi Catatan Negara');
INSERT INTO `lang_definitions` VALUES (59889, 3844, 16, 'Kebangsaan');
INSERT INTO `lang_definitions` VALUES (59890, 3845, 16, 'Catatan Negara');
INSERT INTO `lang_definitions` VALUES (59891, 3847, 16, 'Hawai Asli atau Kepulauan Pasifik Lainnya');
INSERT INTO `lang_definitions` VALUES (59892, 3852, 16, 'Mual');
INSERT INTO `lang_definitions` VALUES (59893, 3854, 16, 'Navigasi');
INSERT INTO `lang_definitions` VALUES (59894, 3855, 16, 'Area navigasi meliputi formulir encounter(pertemuan)');
INSERT INTO `lang_definitions` VALUES (59895, 3856, 16, 'Area navigasi menggunakan tinggi yang penuh dari frameset');
INSERT INTO `lang_definitions` VALUES (59896, 3857, 16, 'Area Navigasi Formulir Kunjungan');
INSERT INTO `lang_definitions` VALUES (59897, 3858, 16, 'Lebar Area Navigasi');
INSERT INTO `lang_definitions` VALUES (59898, 3859, 16, 'Menu navigasi terdiri dari sepasang tombol radio (radio buttons)');
INSERT INTO `lang_definitions` VALUES (59899, 3860, 16, 'Menu navigasi berupa tampilan pohon (tree view)');
INSERT INTO `lang_definitions` VALUES (59900, 3861, 16, 'Navigasi menggunakan menu geser (sliding menu)');
INSERT INTO `lang_definitions` VALUES (59901, 3862, 16, 'NDC');
INSERT INTO `lang_definitions` VALUES (59902, 3864, 16, 'Nomor NDC');
INSERT INTO `lang_definitions` VALUES (59903, 3866, 16, 'Leher');
INSERT INTO `lang_definitions` VALUES (59904, 3867, 16, 'Masalah leher');
INSERT INTO `lang_definitions` VALUES (59905, 3868, 16, 'Lemas leher');
INSERT INTO `lang_definitions` VALUES (59906, 3869, 16, 'Harus memasukkan keterangan');
INSERT INTO `lang_definitions` VALUES (59907, 3870, 16, 'Harus memasukkan Nilai Kembali');
INSERT INTO `lang_definitions` VALUES (59908, 3871, 16, 'Harus memasukkan identifier');
INSERT INTO `lang_definitions` VALUES (59909, 3872, 16, 'Harus memasukkan judul');
INSERT INTO `lang_definitions` VALUES (59910, 3873, 16, 'Membutuhkan Otentifikasi');
INSERT INTO `lang_definitions` VALUES (59911, 3874, 16, 'Membuthkan Pembenaran');
INSERT INTO `lang_definitions` VALUES (59912, 3875, 16, 'Membutuhkan tagihan sekunder');
INSERT INTO `lang_definitions` VALUES (59913, 3876, 16, 'Negatif');
INSERT INTO `lang_definitions` VALUES (59914, 3877, 16, 'Negatif');
INSERT INTO `lang_definitions` VALUES (59915, 3880, 16, 'Cedera saraf');
INSERT INTO `lang_definitions` VALUES (59916, 3881, 16, 'Kondisi saraf / kerusakan saraf');
INSERT INTO `lang_definitions` VALUES (59917, 3882, 16, 'Saraf Mati Rasa');
INSERT INTO `lang_definitions` VALUES (59918, 3883, 16, 'Lemah Saraf');
INSERT INTO `lang_definitions` VALUES (59919, 3884, 16, 'Neurologis');
INSERT INTO `lang_definitions` VALUES (59920, 3885, 16, 'Tidak Pernah');
INSERT INTO `lang_definitions` VALUES (59921, 3886, 16, 'Tidak Pernah Alkohol');
INSERT INTO `lang_definitions` VALUES (59922, 3887, 16, 'Tidak Pernah perokok');
INSERT INTO `lang_definitions` VALUES (59923, 3888, 16, 'Baru');
INSERT INTO `lang_definitions` VALUES (59924, 3889, 16, 'Baru =>');
INSERT INTO `lang_definitions` VALUES (59925, 3890, 16, 'Akseptor Baru');
INSERT INTO `lang_definitions` VALUES (59926, 3892, 16, 'Alergi Baru');
INSERT INTO `lang_definitions` VALUES (59927, 3894, 16, 'Janji Temu Baru');
INSERT INTO `lang_definitions` VALUES (59928, 3895, 16, 'Kategori Baru');
INSERT INTO `lang_definitions` VALUES (59929, 3896, 16, 'Kategori Baru');
INSERT INTO `lang_definitions` VALUES (59930, 3897, 16, 'Klien Baru');
INSERT INTO `lang_definitions` VALUES (59931, 3898, 16, 'Konsultasi baru');
INSERT INTO `lang_definitions` VALUES (59932, 3899, 16, 'Hasil Baru');
INSERT INTO `lang_definitions` VALUES (59933, 3900, 16, 'Set definisi baru ditambahkan');
INSERT INTO `lang_definitions` VALUES (59934, 3901, 16, 'Dokumen Baru');
INSERT INTO `lang_definitions` VALUES (59935, 3904, 16, 'Encounter(Pertemuan) Baru');
INSERT INTO `lang_definitions` VALUES (59936, 3905, 16, 'Encounter(pertemuan) baru diciptakan dengan id');
INSERT INTO `lang_definitions` VALUES (59937, 3906, 16, 'Formulir Encounter(Pertemuan) Baru');
INSERT INTO `lang_definitions` VALUES (59938, 3907, 16, 'Encounter(pertemuan) tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (59939, 3908, 16, 'Encounter(Pertemuan) Baru');
INSERT INTO `lang_definitions` VALUES (59940, 3909, 16, 'Fasilitas Informasi Baru');
INSERT INTO `lang_definitions` VALUES (59941, 3912, 16, 'Grup Baru');
INSERT INTO `lang_definitions` VALUES (59942, 3913, 16, 'Grup Informasi Baru');
INSERT INTO `lang_definitions` VALUES (59943, 3914, 16, 'Status/Cedera Baru');
INSERT INTO `lang_definitions` VALUES (59944, 3916, 16, 'Batas Baru dari Event');
INSERT INTO `lang_definitions` VALUES (59945, 3917, 16, 'Daftar Baru');
INSERT INTO `lang_definitions` VALUES (59946, 3918, 16, 'Order(Perintah/Pesanan) Baru');
INSERT INTO `lang_definitions` VALUES (59947, 3919, 16, 'Paragraf Baru');
INSERT INTO `lang_definitions` VALUES (59948, 3920, 16, 'Pasword Baru');
INSERT INTO `lang_definitions` VALUES (59949, 3921, 16, 'Pasien Baru');
INSERT INTO `lang_definitions` VALUES (59950, 3922, 16, 'PASIEN BARU');
INSERT INTO `lang_definitions` VALUES (59951, 3923, 16, 'Encounter(Pertemuan) Pasien Baru');
INSERT INTO `lang_definitions` VALUES (59952, 3924, 16, 'Formulir Pasien Baru');
INSERT INTO `lang_definitions` VALUES (59953, 3925, 16, 'ID Pasien Baru');
INSERT INTO `lang_definitions` VALUES (59954, 3926, 16, 'Pembayaran Baru');
INSERT INTO `lang_definitions` VALUES (59955, 3928, 16, 'Pt Baru');
INSERT INTO `lang_definitions` VALUES (59956, 3929, 16, 'Hasil baru dari Lab Exchange(Pertukaran Lab)');
INSERT INTO `lang_definitions` VALUES (59957, 3930, 16, 'Pencarian Baru');
INSERT INTO `lang_definitions` VALUES (59958, 3931, 16, 'Pengiriman Baru');
INSERT INTO `lang_definitions` VALUES (59959, 3932, 16, 'Pengguna Baru');
INSERT INTO `lang_definitions` VALUES (59960, 3934, 16, 'Kunjungan Baru');
INSERT INTO `lang_definitions` VALUES (59961, 3935, 16, 'Baru/Cari');
INSERT INTO `lang_definitions` VALUES (59962, 3936, 16, 'Status Akun NewCrop');
INSERT INTO `lang_definitions` VALUES (59963, 3937, 16, 'Admin NewCrop');
INSERT INTO `lang_definitions` VALUES (59964, 3938, 16, 'Pemanggilan NewCrop gagal');
INSERT INTO `lang_definitions` VALUES (59965, 3939, 16, 'Dokter NewCrop');
INSERT INTO `lang_definitions` VALUES (59966, 3944, 16, 'Nama eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59967, 3945, 16, 'Nama Rekan eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59968, 3946, 16, 'Pasword eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59969, 3947, 16, 'Tugas eRX NewCrop');
INSERT INTO `lang_definitions` VALUES (59970, 3948, 16, 'Tugas eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59971, 3949, 16, 'Alamat Situs eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59972, 3954, 16, 'Alamat Layanan Web eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (59973, 3955, 16, 'Pengelola NewCrop');
INSERT INTO `lang_definitions` VALUES (59974, 3956, 16, 'MedEntry NewCrop');
INSERT INTO `lang_definitions` VALUES (59975, 3957, 16, 'Resep Midlevel(tingkat menengah) NewCrop');
INSERT INTO `lang_definitions` VALUES (59976, 3958, 16, 'Perawat NewCrop');
INSERT INTO `lang_definitions` VALUES (59977, 3959, 16, 'Dokter Pengawasan NewCrop');
INSERT INTO `lang_definitions` VALUES (59978, 3961, 16, 'Koran');
INSERT INTO `lang_definitions` VALUES (59979, 3962, 16, 'Berikutnya');
INSERT INTO `lang_definitions` VALUES (59980, 3964, 16, 'Hari Berikutnya');
INSERT INTO `lang_definitions` VALUES (59981, 3965, 16, 'Bulan Berikutnya');
INSERT INTO `lang_definitions` VALUES (59982, 3966, 16, 'Bulan berikutnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (59983, 3968, 16, 'Minggu Berikutnya');
INSERT INTO `lang_definitions` VALUES (59984, 3969, 16, 'Minggu Berikutnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (59985, 3971, 16, 'Nama Panggilan');
INSERT INTO `lang_definitions` VALUES (59986, 3973, 16, 'Kegelisahan saat Malam Hari');
INSERT INTO `lang_definitions` VALUES (59987, 3974, 16, 'Nl ext kemaluan, vag mucosa, tengkuk(leher rahim');
INSERT INTO `lang_definitions` VALUES (59988, 3975, 16, 'Tidak');
INSERT INTO `lang_definitions` VALUES (59989, 3976, 16, 'TIDAK');
INSERT INTO `lang_definitions` VALUES (59990, 3977, 16, 'Tidak ada akses');
INSERT INTO `lang_definitions` VALUES (59991, 3978, 16, 'Tidak ada pengingat pasien yang aktif');
INSERT INTO `lang_definitions` VALUES (59992, 3979, 16, 'Tidak ada adenopathy (2 daerah diperlukan)');
INSERT INTO `lang_definitions` VALUES (59993, 3980, 16, 'Tidak ada jenis alasan pengaturan yang ditemukan');
INSERT INTO `lang_definitions` VALUES (59994, 3981, 16, 'Tidak ada kesakitan adnexal/massa');
INSERT INTO `lang_definitions` VALUES (59995, 3983, 16, 'Tidak ada Janji Temu');
INSERT INTO `lang_definitions` VALUES (59996, 3985, 16, 'Tidak ada sistem penagihan yang sedang aktif');
INSERT INTO `lang_definitions` VALUES (59997, 3987, 16, 'Tidak ada Tagihan yang Ditemukan Termasuk di dalam Ekspor OFX<br>');
INSERT INTO `lang_definitions` VALUES (59998, 3989, 16, 'Tidak ada kode yang ditentukan!');
INSERT INTO `lang_definitions` VALUES (59999, 3992, 16, 'Tidak ada Diagnosa');
INSERT INTO `lang_definitions` VALUES (60000, 3993, 16, 'Tidak ada Dokumen yang Ditemukan');
INSERT INTO `lang_definitions` VALUES (60001, 3995, 16, 'Tidak ada tanggal akhir');
INSERT INTO `lang_definitions` VALUES (60002, 3996, 16, 'Tidak ada masukan ditemukan, gunakan formulir di bawah ini untuk memberikan masukan.');
INSERT INTO `lang_definitions` VALUES (60003, 3997, 16, 'Tidak ada kesalahan yang ditemukan');
INSERT INTO `lang_definitions` VALUES (60004, 3998, 16, 'Tidak ada Event');
INSERT INTO `lang_definitions` VALUES (60005, 4001, 16, 'Tidak ada grup yang dipilih');
INSERT INTO `lang_definitions` VALUES (60006, 4002, 16, 'Tidak hernia(burut)');
INSERT INTO `lang_definitions` VALUES (60007, 4005, 16, 'Tidak ada cedera/penyakit');
INSERT INTO `lang_definitions` VALUES (60008, 4006, 16, 'Perusahaan Asuransi Tidak Ditemukan');
INSERT INTO `lang_definitions` VALUES (60009, 4007, 16, 'Tidak ada Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (60010, 4009, 16, 'Tidak ada item dibawah kategori yang dipilih');
INSERT INTO `lang_definitions` VALUES (60011, 4010, 16, 'Tidak ada item yang dipilih!');
INSERT INTO `lang_definitions` VALUES (60012, 4025, 16, 'Tidak ada log file untuk tanggal yang dipilih');
INSERT INTO `lang_definitions` VALUES (60013, 4027, 16, 'Tidak ada massa, kelembutan');
INSERT INTO `lang_definitions` VALUES (60014, 4028, 16, 'Tidak ada catatan Pasien yang cocok yang ditemukan untuk kode Identifikasi');
INSERT INTO `lang_definitions` VALUES (60015, 4030, 16, 'Tidak ada yang ditemukan.');
INSERT INTO `lang_definitions` VALUES (60016, 4031, 16, 'Tidak ada yang ditemukan. Buat pasien baru sekarang?');
INSERT INTO `lang_definitions` VALUES (60017, 4033, 16, 'Tidak ada hasil baru yang ditemukan');
INSERT INTO `lang_definitions` VALUES (60018, 4034, 16, 'Tidak ada catatan');
INSERT INTO `lang_definitions` VALUES (60019, 4035, 16, 'Tidak ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (60020, 4036, 16, 'Tidak ada bukaan ditemukan untuk periode ini.');
INSERT INTO `lang_definitions` VALUES (60021, 4037, 16, 'Tidak ada nomor telepon lain yang tercantum');
INSERT INTO `lang_definitions` VALUES (60022, 4039, 16, 'Tidak Ditemukan Mitra/Rekan');
INSERT INTO `lang_definitions` VALUES (60023, 4040, 16, 'Tidak ada catatan Pasien yang ditemukan untuk kriteria Pemilihan yang diberikan');
INSERT INTO `lang_definitions` VALUES (60024, 4041, 16, 'Tidak ada catatan Pasien yang ditemukan untuk kode Identifikasi yang diberikan');
INSERT INTO `lang_definitions` VALUES (60025, 4042, 16, 'Tidak ada perifer(sekeliling) busung');
INSERT INTO `lang_definitions` VALUES (60026, 4043, 16, 'Apotek tidak Ditemukan');
INSERT INTO `lang_definitions` VALUES (60027, 4044, 16, 'Tidak ada resep Ditemukan');
INSERT INTO `lang_definitions` VALUES (60028, 4045, 16, 'Tidak ada presentasi penyakit/cedera');
INSERT INTO `lang_definitions` VALUES (60029, 4046, 16, 'Tidak ada entri/masukan sebelumnya.');
INSERT INTO `lang_definitions` VALUES (60030, 4047, 16, 'Tidak ada Entitas Bisnis Utam yang dipilih dalam daftar fasilitas');
INSERT INTO `lang_definitions` VALUES (60031, 4051, 16, 'Tidak Ditemukan Provider');
INSERT INTO `lang_definitions` VALUES (60032, 4052, 16, 'Tidak ada luka ruam atau abnormal');
INSERT INTO `lang_definitions` VALUES (60033, 4053, 16, 'Tidak ada record(catatan) yang ditemukan');
INSERT INTO `lang_definitions` VALUES (60034, 4055, 16, 'Tidak ada record(catatan) yang ditemukan. Silahkan perluas kriteria pencarian anda.');
INSERT INTO `lang_definitions` VALUES (60035, 4056, 16, 'Tidak ada Pengingat');
INSERT INTO `lang_definitions` VALUES (60036, 4057, 16, 'Hasil Tidak Ditemukan, untuk kriteria pencarian diatas');
INSERT INTO `lang_definitions` VALUES (60037, 4058, 16, 'Hasil Tidak Ada');
INSERT INTO `lang_definitions` VALUES (60038, 4060, 16, 'Tidak Ditemukan Hasil Pencarian Untuk');
INSERT INTO `lang_definitions` VALUES (60039, 4062, 16, 'Tidak ada hasil, silahkan baki lagi.');
INSERT INTO `lang_definitions` VALUES (60040, 4063, 16, 'Tidak ada hasil, silahkan cari lagi.');
INSERT INTO `lang_definitions` VALUES (60041, 4065, 16, 'Tampilan Tidak Ada');
INSERT INTO `lang_definitions` VALUES (60042, 4067, 16, 'Tidak ada Kesakitan Sinus:');
INSERT INTO `lang_definitions` VALUES (60043, 4068, 16, 'Tidak ada dimpling atau bengkak kulit payudara');
INSERT INTO `lang_definitions` VALUES (60044, 4069, 16, 'KONTEKS NAMA TERSEBUT TIDAK ADA');
INSERT INTO `lang_definitions` VALUES (60045, 4071, 16, 'Tidak ada kesakitan testis, massa');
INSERT INTO `lang_definitions` VALUES (60046, 4072, 16, 'Tidak ada kecemasan atau nafas');
INSERT INTO `lang_definitions` VALUES (60047, 4075, 16, 'Tidak ada kunjungan');
INSERT INTO `lang_definitions` VALUES (60048, 4076, 16, 'Tidak ada vital yang didokumentasikan');
INSERT INTO `lang_definitions` VALUES (60049, 4077, 16, 'Tidak, Batalkan');
INSERT INTO `lang_definitions` VALUES (60050, 4078, 16, 'Tidak ada kesalahan Asuransi termasuk Otomatis adalah Primer');
INSERT INTO `lang_definitions` VALUES (60051, 4079, 16, 'Tidak:');
INSERT INTO `lang_definitions` VALUES (60052, 4080, 16, 'Nokturia');
INSERT INTO `lang_definitions` VALUES (60053, 4081, 16, 'Tidak Dibayar');
INSERT INTO `lang_definitions` VALUES (60054, 4082, 16, 'Laporan yang Tidak Dilaporkan');
INSERT INTO `lang_definitions` VALUES (60055, 4083, 16, 'Cedera yang tidak spesifik');
INSERT INTO `lang_definitions` VALUES (60056, 4084, 16, 'Non-elektronik');
INSERT INTO `lang_definitions` VALUES (60057, 4085, 16, 'Diabetes yang tidak Tergantung Insulin');
INSERT INTO `lang_definitions` VALUES (60058, 4087, 16, 'Kedokteran/Pengobatan Non-SRH');
INSERT INTO `lang_definitions` VALUES (60059, 4088, 16, 'Non-Medis Non-SRH');
INSERT INTO `lang_definitions` VALUES (60060, 4089, 16, 'Tak satupun');
INSERT INTO `lang_definitions` VALUES (60061, 4090, 16, 'tak satupun');
INSERT INTO `lang_definitions` VALUES (60062, 4091, 16, 'Tidak didefinisikan');
INSERT INTO `lang_definitions` VALUES (60063, 4092, 16, 'Tidak ada yang telah didokumentasikan');
INSERT INTO `lang_definitions` VALUES (60064, 4093, 16, 'Tidak ada diatas');
INSERT INTO `lang_definitions` VALUES (60065, 4094, 16, 'Tidak ada satupun dari Baris Distribusi Bagian Atas bisa Benar-benar Kosong.');
INSERT INTO `lang_definitions` VALUES (60066, 4095, 16, 'Diabetes tidak Tergantung Insulin');
INSERT INTO `lang_definitions` VALUES (60067, 4096, 16, 'Maupun');
INSERT INTO `lang_definitions` VALUES (60068, 4097, 16, 'Normal');
INSERT INTO `lang_definitions` VALUES (60069, 4098, 16, 'BL Normal');
INSERT INTO `lang_definitions` VALUES (60070, 4099, 16, 'Pemeriksaan Jantung Normal:');
INSERT INTO `lang_definitions` VALUES (60071, 4100, 16, 'Pemeriksaan Jantung Normal: ');
INSERT INTO `lang_definitions` VALUES (60072, 4101, 16, 'Pemeriksaan Paru-paru Normal:');
INSERT INTO `lang_definitions` VALUES (60073, 4102, 16, 'Pemeriksaan Paru-paru Normal: ');
INSERT INTO `lang_definitions` VALUES (60074, 4103, 16, 'Pemeriksaan Kunjungan Kantor/Kerja');
INSERT INTO `lang_definitions` VALUES (60075, 4104, 16, 'Orofaring Normal:');
INSERT INTO `lang_definitions` VALUES (60076, 4105, 16, 'Normal Kanan');
INSERT INTO `lang_definitions` VALUES (60077, 4106, 16, 'Normal Kanan:');
INSERT INTO `lang_definitions` VALUES (60078, 4107, 16, 'Tampilan Normal');
INSERT INTO `lang_definitions` VALUES (60079, 4108, 16, 'normal:');
INSERT INTO `lang_definitions` VALUES (60080, 4109, 16, 'Biasanya ini harus diperiksa. Tidak terkait dengan akses kontrol.');
INSERT INTO `lang_definitions` VALUES (60081, 4112, 16, 'Norwegia');
INSERT INTO `lang_definitions` VALUES (60082, 4115, 16, 'Hidung');
INSERT INTO `lang_definitions` VALUES (60083, 4116, 16, 'Mimisan');
INSERT INTO `lang_definitions` VALUES (60084, 4117, 16, 'bukan huruf atau angka');
INSERT INTO `lang_definitions` VALUES (60085, 4119, 16, 'Tidak semua field(bidang) diperlukan untuk semua jenis kode atau kode.');
INSERT INTO `lang_definitions` VALUES (60086, 4120, 16, 'Tidak Diizinkan');
INSERT INTO `lang_definitions` VALUES (60087, 4121, 16, 'Tidak diperbolehkan untuk menghapus grup Administrator');
INSERT INTO `lang_definitions` VALUES (60088, 4122, 16, 'Tidak diperbolehkan untuk Mengedit');
INSERT INTO `lang_definitions` VALUES (60089, 4123, 16, 'Tidak diperbolehkan untuk menonaktifkan semua objek keamanan');
INSERT INTO `lang_definitions` VALUES (60090, 4124, 16, 'Tidak diperbolehkan untuk menonaktifkan apapun dari Administrator ACL');
INSERT INTO `lang_definitions` VALUES (60091, 4125, 16, 'Tidak diperbolehkan untuk menghapus pengguna admin dari grup Administrator');
INSERT INTO `lang_definitions` VALUES (60092, 4126, 16, 'Tidak diperbolehkan untuk menghapus pengguna ini dari grup Administrator');
INSERT INTO `lang_definitions` VALUES (60093, 4128, 16, 'Tidak diizinkan untuk mengakses modul PostCalendar');
INSERT INTO `lang_definitions` VALUES (60094, 4129, 16, 'Tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (60095, 4130, 16, 'Tidak Diizinkan');
INSERT INTO `lang_definitions` VALUES (60096, 4131, 16, 'Tidak diizinkan untuk regu ini!');
INSERT INTO `lang_definitions` VALUES (60097, 4132, 16, 'Tidak diizinkan untuk regu ini.');
INSERT INTO `lang_definitions` VALUES (60098, 4135, 16, 'Tidak Tersedia');
INSERT INTO `lang_definitions` VALUES (60099, 4137, 16, 'Tidak ditagih');
INSERT INTO `lang_definitions` VALUES (60100, 4138, 16, 'Tidak Diperiksa');
INSERT INTO `lang_definitions` VALUES (60101, 4139, 16, 'Tidak Diperiksa');
INSERT INTO `lang_definitions` VALUES (60102, 4141, 16, 'Tidak Sesuai');
INSERT INTO `lang_definitions` VALUES (60103, 4143, 16, 'Tidak Diperiksa');
INSERT INTO `lang_definitions` VALUES (60104, 4144, 16, 'Tidak Diperiksa:');
INSERT INTO `lang_definitions` VALUES (60105, 4145, 16, 'Tidak Diperiksa: ');
INSERT INTO `lang_definitions` VALUES (60106, 4146, 16, 'tidak ditemukan');
INSERT INTO `lang_definitions` VALUES (60107, 4148, 16, 'tidak ditemukan!');
INSERT INTO `lang_definitions` VALUES (60108, 4149, 16, 'Tidak Hispanic atau Latino');
INSERT INTO `lang_definitions` VALUES (60109, 4152, 16, 'Tidak terlihat sejak');
INSERT INTO `lang_definitions` VALUES (60110, 4154, 16, 'Belum Terkirim');
INSERT INTO `lang_definitions` VALUES (60111, 4156, 16, 'Tidak Ditentukan.');
INSERT INTO `lang_definitions` VALUES (60112, 4157, 16, 'Catatan');
INSERT INTO `lang_definitions` VALUES (60113, 4158, 16, 'Kode Catatan');
INSERT INTO `lang_definitions` VALUES (60114, 4159, 16, 'Sebagai catatan, ini akan menghabiskan waktu 5-10 menit untuk sepenuhnya memproses setelah anda klik Instal');
INSERT INTO `lang_definitions` VALUES (60115, 4160, 16, 'Sebagai catatan, ini akan menghabiskan waktu 5-10 menit untuk sepenuhnya memproses setelah anda klik Upgrade');
INSERT INTO `lang_definitions` VALUES (60116, 4161, 16, 'Sebagai catatan, Logging Audit perlu diaktifkan diatas');
INSERT INTO `lang_definitions` VALUES (60117, 4162, 16, 'Jenis Catatan');
INSERT INTO `lang_definitions` VALUES (60118, 4168, 16, 'Catatan: Kode ini tidak dimasukkan oleh pengguna yang berwenang. Hanya kode yang diizinkan yang mungkin diupload ke Open Medical Billing Network (Jaringan Penagihan Medis Terbuka) untuk diproses. Jika Anda ingin mengupload kode ini, silahkan pilih salah satu pengguna berwenang di sini.');
INSERT INTO `lang_definitions` VALUES (60119, 4170, 16, 'CATATAN: Mengupload file dengan nama sama akan menyebabkan file yang diganti nama secara otomatis. (misalnya, file.jpg akan menjadi file.jpg.1). Nama file dianggap unik per pasien, bukan per kategori.');
INSERT INTO `lang_definitions` VALUES (60120, 4171, 16, 'CATATAN: Mengupload file dengan nama sama akan menyebabkan file yang akan diganti nama secara otomatis. Misalnya \'<i>file.jpg</ i>\' akan menjadi \'<i>file.jpg.1</ i>\'. Nama file dianggap unik per pasien, bukan per kategori.');
INSERT INTO `lang_definitions` VALUES (60121, 4172, 16, 'Catatan');
INSERT INTO `lang_definitions` VALUES (60122, 4173, 16, 'Catatan - encounter(pertemuan) apapun (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (60123, 4174, 16, 'Catatan - encounter(pertemuan) saya (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (60124, 4175, 16, 'Catatan tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (60125, 4177, 16, 'Tidak ada yang Disimpan');
INSERT INTO `lang_definitions` VALUES (60126, 4179, 16, 'Tidak ada yang diimpor untuk Alergi');
INSERT INTO `lang_definitions` VALUES (60127, 4180, 16, 'Tidak ada yang diimpor untuk Resep');
INSERT INTO `lang_definitions` VALUES (60128, 4182, 16, 'Tidak ada yang dipilih');
INSERT INTO `lang_definitions` VALUES (60129, 4184, 16, 'PEMBERITAHUAN:: Pengiriman/Modifikasi PostCalendar');
INSERT INTO `lang_definitions` VALUES (60130, 4185, 16, 'Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (60131, 4186, 16, 'Pemberitahuan Alamat Email');
INSERT INTO `lang_definitions` VALUES (60132, 4188, 16, 'Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (60133, 4189, 16, 'Beritahu Admin Tentang Pengiriman/Modifikasi Event?');
INSERT INTO `lang_definitions` VALUES (60134, 4190, 16, 'Novembar');
INSERT INTO `lang_definitions` VALUES (60135, 4191, 16, 'November');
INSERT INTO `lang_definitions` VALUES (60136, 4192, 16, 'Sekarang posting untuk:');
INSERT INTO `lang_definitions` VALUES (60137, 4193, 16, 'Sedang mencetak');
INSERT INTO `lang_definitions` VALUES (60138, 4194, 16, 'Sedang mencetak pernyataan $stmt_count dan mengupdate encounter(pertemuan).');
INSERT INTO `lang_definitions` VALUES (60139, 4195, 16, 'Sedang mencetak pernyataan $stmt_count dan mengupdate faktur/tagihan.');
INSERT INTO `lang_definitions` VALUES (60140, 4196, 16, 'Sedang mencetak pernyataan $stmt_count; encounter(pertemuan) tidak akan diupdate.');
INSERT INTO `lang_definitions` VALUES (60141, 4197, 16, 'Sedang mencetak pernyataan $stmt_count; faktur/tagihan tidak akan diupdate.');
INSERT INTO `lang_definitions` VALUES (60142, 4198, 16, 'NPI');
INSERT INTO `lang_definitions` VALUES (60143, 4199, 16, 'NQF');
INSERT INTO `lang_definitions` VALUES (60144, 4200, 16, 'Nomor');
INSERT INTO `lang_definitions` VALUES (60145, 4201, 16, 'Nomor lab');
INSERT INTO `lang_definitions` VALUES (60146, 4204, 16, 'Jumlah kolom pada tampilan tahun.');
INSERT INTO `lang_definitions` VALUES (60147, 4211, 16, 'Jumlah hari bahwa sertifikat klien valid');
INSERT INTO `lang_definitions` VALUES (60148, 4213, 16, 'Jumlah digit setelah titik desimal untuk mata uang, biasanya 0 atau 2.');
INSERT INTO `lang_definitions` VALUES (60149, 4214, 16, 'Jumlah encounter(pertemuan) untuk ditampilkan per halaman.');
INSERT INTO `lang_definitions` VALUES (60150, 4215, 16, 'Jumlah permainan atau event terlewat/terjawab, jika ada');
INSERT INTO `lang_definitions` VALUES (60151, 4216, 16, 'Jumlah jam/waktu sebelumnya untuk mengirim notifikasi email.');
INSERT INTO `lang_definitions` VALUES (60152, 4217, 16, 'Jumlah jam/waktu sebelumnya untuk mengirim notifikasi Telepon.');
INSERT INTO `lang_definitions` VALUES (60153, 4218, 16, 'Jumlah jam/waktu sebelumnya untuk mengirim notifikasi SMS.');
INSERT INTO `lang_definitions` VALUES (60154, 4221, 16, 'Jumlah kolom riwayat yang lalu');
INSERT INTO `lang_definitions` VALUES (60155, 4223, 16, 'Mati Rasa');
INSERT INTO `lang_definitions` VALUES (60156, 4224, 16, 'Pembilang/Penghitung');
INSERT INTO `lang_definitions` VALUES (60157, 4225, 16, 'Tampilan order numerik');
INSERT INTO `lang_definitions` VALUES (60158, 4227, 16, 'Nutrisi');
INSERT INTO `lang_definitions` VALUES (60159, 4229, 16, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (60160, 4230, 16, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (60161, 4231, 16, 'Obesitas I');
INSERT INTO `lang_definitions` VALUES (60162, 4232, 16, 'Obesitas II');
INSERT INTO `lang_definitions` VALUES (60163, 4233, 16, 'Obesitas III');
INSERT INTO `lang_definitions` VALUES (60164, 4234, 16, 'Tujuan');
INSERT INTO `lang_definitions` VALUES (60165, 4237, 16, 'Pekerjaan');
INSERT INTO `lang_definitions` VALUES (60166, 4239, 16, 'Kejadian');
INSERT INTO `lang_definitions` VALUES (60167, 4240, 16, 'Oktober');
INSERT INTO `lang_definitions` VALUES (60168, 4241, 16, 'Oktober');
INSERT INTO `lang_definitions` VALUES (60169, 4242, 16, 'OD');
INSERT INTO `lang_definitions` VALUES (60170, 4243, 16, 'dari');
INSERT INTO `lang_definitions` VALUES (60171, 4244, 16, 'dari kuantitas');
INSERT INTO `lang_definitions` VALUES (60172, 4245, 16, 'dari tablet');
INSERT INTO `lang_definitions` VALUES (60173, 4246, 16, 'dari bulan setiap');
INSERT INTO `lang_definitions` VALUES (60174, 4247, 16, 'Catatan Ofc');
INSERT INTO `lang_definitions` VALUES (60175, 4248, 16, 'Mati');
INSERT INTO `lang_definitions` VALUES (60176, 4249, 16, 'Catatan Kantor');
INSERT INTO `lang_definitions` VALUES (60177, 4250, 16, 'Kunjungan Kantor/Kerja');
INSERT INTO `lang_definitions` VALUES (60178, 4251, 16, 'Ukuran Kualitas Klinis (CQM) Resmi');
INSERT INTO `lang_definitions` VALUES (60179, 4252, 16, 'Link Https Offsite untuk Portal Pasien.');
INSERT INTO `lang_definitions` VALUES (60180, 4253, 16, 'Link Https Offsite untuk Portal Pasien. (Link/Tautan Pasien)');
INSERT INTO `lang_definitions` VALUES (60181, 4254, 16, 'Pasword Portal Pasien Offsite');
INSERT INTO `lang_definitions` VALUES (60182, 4255, 16, 'Pasword Portal Pasien Offsite (Kosongkan Jika tidak Terdaftar).');
INSERT INTO `lang_definitions` VALUES (60183, 4258, 16, 'Alamat Situs Portal Pasien Offsite');
INSERT INTO `lang_definitions` VALUES (60184, 4259, 16, 'Alamat Situs Portal Pasien Offsite (Link/Tautan Pasien)');
INSERT INTO `lang_definitions` VALUES (60185, 4260, 16, 'Nama Pengguna Portal Pasien Offsite');
INSERT INTO `lang_definitions` VALUES (60186, 4261, 16, 'Nama Pengguna Portal Pasien Offsite (Kosongkan Jika tidak Terdaftar).');
INSERT INTO `lang_definitions` VALUES (60187, 4263, 16, 'Keturunan');
INSERT INTO `lang_definitions` VALUES (60188, 4265, 16, 'Obat Salep');
INSERT INTO `lang_definitions` VALUES (60189, 4267, 16, 'OK');
INSERT INTO `lang_definitions` VALUES (60190, 4269, 16, 'OK untuk menghubungkan tangal isu(masalah) GCAC');
INSERT INTO `lang_definitions` VALUES (60191, 4270, 16, 'Tua');
INSERT INTO `lang_definitions` VALUES (60192, 4272, 16, 'Klien Lama');
INSERT INTO `lang_definitions` VALUES (60193, 4273, 16, 'Tidak patah / malunion lama');
INSERT INTO `lang_definitions` VALUES (60194, 4274, 16, 'Tata letak lama tanpa menu kiri');
INSERT INTO `lang_definitions` VALUES (60195, 4275, 16, 'Formulir gaya lama statis tanpa pencarian atau cek duplikasi');
INSERT INTO `lang_definitions` VALUES (60196, 4279, 16, 'Hilangkan informasi majikan dalam demografi pasien');
INSERT INTO `lang_definitions` VALUES (60197, 4280, 16, 'Hilangkan Majikan');
INSERT INTO `lang_definitions` VALUES (60198, 4281, 16, 'Hilangkan formulir, rute dan interval yang kemudian menjadi bagian dari dosis');
INSERT INTO `lang_definitions` VALUES (60199, 4282, 16, 'Hilangkan asuransi dan beberapa hal lain dari formulir demografi');
INSERT INTO `lang_definitions` VALUES (60200, 4283, 16, 'HIlangkan pengguna internal?');
INSERT INTO `lang_definitions` VALUES (60201, 4284, 16, 'Hilangkan metode pembayaran dari panel co-pay');
INSERT INTO `lang_definitions` VALUES (60202, 4285, 16, 'hilangkan untuk autoassign');
INSERT INTO `lang_definitions` VALUES (60203, 4286, 16, 'pada');
INSERT INTO `lang_definitions` VALUES (60204, 4287, 16, 'Pada');
INSERT INTO `lang_definitions` VALUES (60205, 4288, 16, 'Pada Tangan');
INSERT INTO `lang_definitions` VALUES (60206, 4289, 16, 'Pada Urutan');
INSERT INTO `lang_definitions` VALUES (60207, 4290, 16, 'Pada Situs');
INSERT INTO `lang_definitions` VALUES (60208, 4291, 16, 'Setelah Fasilitas Bisnis Primer diatur, seharusnya tidak diubah. Mengubah fasilitas tersebut akan mempengaruhi kerja di NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (60209, 4292, 16, 'Setelah Anda mengubah pasword, Anda harus login kembali.');
INSERT INTO `lang_definitions` VALUES (60210, 4297, 16, 'Dukungan Online');
INSERT INTO `lang_definitions` VALUES (60211, 4298, 16, 'Link Dukungan Online');
INSERT INTO `lang_definitions` VALUES (60212, 4299, 16, 'Hanya Aktif');
INSERT INTO `lang_definitions` VALUES (60213, 4302, 16, 'hanya jika lokasi tagihan');
INSERT INTO `lang_definitions` VALUES (60214, 4303, 16, 'Hanya Nonaktif');
INSERT INTO `lang_definitions` VALUES (60215, 4304, 16, 'Hanya Milik Saya');
INSERT INTO `lang_definitions` VALUES (60216, 4307, 16, 'Hanya mengupload resep aktif');
INSERT INTO `lang_definitions` VALUES (60217, 4310, 16, 'Serangan Penyakit:');
INSERT INTO `lang_definitions` VALUES (60218, 4311, 16, 'Serangan Penyakit: ');
INSERT INTO `lang_definitions` VALUES (60219, 4312, 16, 'Timbulnya Pembengkakan:');
INSERT INTO `lang_definitions` VALUES (60220, 4313, 16, 'Tanggal Mulai:');
INSERT INTO `lang_definitions` VALUES (60221, 4314, 16, 'Alamat Situs Portal Onsite(Ruang) Pasien');
INSERT INTO `lang_definitions` VALUES (60222, 4315, 16, 'Ups!');
INSERT INTO `lang_definitions` VALUES (60223, 4316, 16, 'Buka');
INSERT INTO `lang_definitions` VALUES (60224, 4321, 16, 'Buka Kunjungan Hari Ini');
INSERT INTO `lang_definitions` VALUES (60225, 4322, 16, 'LibreEHR telah memiliki Otoritas Sertifikat dikonfigurasi.');
INSERT INTO `lang_definitions` VALUES (60226, 4324, 16, 'Upgrade Database LibreEHR');
INSERT INTO `lang_definitions` VALUES (60227, 4325, 16, 'Upgrade Database LibreEHR untuk de-identifikasi');
INSERT INTO `lang_definitions` VALUES (60228, 4327, 16, 'LibreEHR harus dikonfigurasi untuk menggunakan sertifikat sebelum dapat membuat sertifikat klien.');
INSERT INTO `lang_definitions` VALUES (60229, 4328, 16, 'LibreEHR membutuhkan Javascript untuk melakukan otentikasi pengguna.');
INSERT INTO `lang_definitions` VALUES (60230, 4329, 16, 'Pengguna LibreEHR');
INSERT INTO `lang_definitions` VALUES (60231, 4330, 16, 'Membuka');
INSERT INTO `lang_definitions` VALUES (60232, 4332, 16, 'Kedokteran Mata');
INSERT INTO `lang_definitions` VALUES (60233, 4333, 16, 'Pilihan');
INSERT INTO `lang_definitions` VALUES (60234, 4335, 16, 'Pilihan untuk mendukung persediaan dan penjualan produk');
INSERT INTO `lang_definitions` VALUES (60235, 4336, 16, 'Opsional');
INSERT INTO `lang_definitions` VALUES (60236, 4337, 16, 'Nama kategori opsional untuk gambar Kartu ID(KTP) yang dapat dilihat dari halaman rangkuman pasien.');
INSERT INTO `lang_definitions` VALUES (60237, 4338, 16, 'Nama kategori opsional untuk gambar foto yang dapat dilihat dari halaman rangkuman pasien.');
INSERT INTO `lang_definitions` VALUES (60238, 4339, 16, 'Nama kategori opsional dari dokumen untuk melakukan link dari halaman rangkuman pasien. Memungkinkan anda klik pada nama pasien untuk melihat Kartu ID(KTP) mereka.');
INSERT INTO `lang_definitions` VALUES (60239, 4340, 16, 'Range(jangkauan) standar opsional untuk entri(masukan) manual dari hasil');
INSERT INTO `lang_definitions` VALUES (60240, 4341, 16, 'Unit(satuan) standar opsional untuk entri(masukan) manual dari hasil');
INSERT INTO `lang_definitions` VALUES (60241, 4342, 16, 'Nama Tujuan Opsional');
INSERT INTO `lang_definitions` VALUES (60242, 4343, 16, 'Nama obat opsional, gunakan % sebagai wildcard');
INSERT INTO `lang_definitions` VALUES (60243, 4345, 16, 'Informasi opsional tentang event ini');
INSERT INTO `lang_definitions` VALUES (60244, 4346, 16, 'Nomor lot opsional, gunakan % sebagai wildcard');
INSERT INTO `lang_definitions` VALUES (60245, 4347, 16, 'ID pasien numerik opsional');
INSERT INTO `lang_definitions` VALUES (60246, 4348, 16, 'Kode prosedur opsional');
INSERT INTO `lang_definitions` VALUES (60247, 4350, 16, 'Pilihan');
INSERT INTO `lang_definitions` VALUES (60248, 4351, 16, 'Atau');
INSERT INTO `lang_definitions` VALUES (60249, 4352, 16, 'ATAU');
INSERT INTO `lang_definitions` VALUES (60250, 4353, 16, 'atau pilih');
INSERT INTO `lang_definitions` VALUES (60251, 4354, 16, 'atau klik dan drag(tarik) untuk pemilihan lebih cepat');
INSERT INTO `lang_definitions` VALUES (60252, 4356, 16, 'Atau Keluar');
INSERT INTO `lang_definitions` VALUES (60253, 4358, 16, 'atau Shift-kli untuk menguranginya');
INSERT INTO `lang_definitions` VALUES (60254, 4359, 16, 'Atau upload file ERA:');
INSERT INTO `lang_definitions` VALUES (60255, 4360, 16, 'Lisan');
INSERT INTO `lang_definitions` VALUES (60256, 4361, 16, 'Mulut mukosa merah muda, tenggorokan jernih');
INSERT INTO `lang_definitions` VALUES (60257, 4362, 16, 'Pesanan');
INSERT INTO `lang_definitions` VALUES (60258, 4363, 16, 'Jenis Hasil dan Pesanan');
INSERT INTO `lang_definitions` VALUES (60259, 4364, 16, 'Katalog Pesanan');
INSERT INTO `lang_definitions` VALUES (60260, 4365, 16, 'Tanggal Pesanan');
INSERT INTO `lang_definitions` VALUES (60261, 4367, 16, 'Pesanan Dari');
INSERT INTO `lang_definitions` VALUES (60262, 4369, 16, 'Pesanan harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (60263, 4370, 16, 'Nama Pesanan');
INSERT INTO `lang_definitions` VALUES (60264, 4371, 16, 'Prioritas Pesanan');
INSERT INTO `lang_definitions` VALUES (60265, 4372, 16, 'Prosesor Pesanan');
INSERT INTO `lang_definitions` VALUES (60266, 4375, 16, 'Status Pesanan');
INSERT INTO `lang_definitions` VALUES (60267, 4378, 16, 'Tipe Pesanan');
INSERT INTO `lang_definitions` VALUES (60268, 4380, 16, 'Jenis Pesanan/Hasil');
INSERT INTO `lang_definitions` VALUES (60269, 4381, 16, 'Dipesan');
INSERT INTO `lang_definitions` VALUES (60270, 4384, 16, 'Provider Pemesanan');
INSERT INTO `lang_definitions` VALUES (60271, 4386, 16, 'Cedera organ');
INSERT INTO `lang_definitions` VALUES (60272, 4387, 16, 'Organisasi');
INSERT INTO `lang_definitions` VALUES (60273, 4388, 16, 'Nama Organisasi');
INSERT INTO `lang_definitions` VALUES (60274, 4389, 16, 'Nama Unit Organisasi');
INSERT INTO `lang_definitions` VALUES (60275, 4390, 16, 'Organisasi');
INSERT INTO `lang_definitions` VALUES (60276, 4391, 16, 'Berorientasi x 3');
INSERT INTO `lang_definitions` VALUES (60277, 4392, 16, 'Orisinil/Asli');
INSERT INTO `lang_definitions` VALUES (60278, 4396, 16, 'OROFARING: ');
INSERT INTO `lang_definitions` VALUES (60279, 4397, 16, 'Ortopnea');
INSERT INTO `lang_definitions` VALUES (60280, 4398, 16, 'OS');
INSERT INTO `lang_definitions` VALUES (60281, 4399, 16, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (60282, 4402, 16, 'Lainnya');
INSERT INTO `lang_definitions` VALUES (60283, 4403, 16, 'lainnya');
INSERT INTO `lang_definitions` VALUES (60284, 4404, 16, 'Lainnya (sebutkan)');
INSERT INTO `lang_definitions` VALUES (60285, 4405, 16, 'Lainnya - Tertentu');
INSERT INTO `lang_definitions` VALUES (60286, 4406, 16, 'Program Federal Lainnya');
INSERT INTO `lang_definitions` VALUES (60287, 4407, 16, 'HCFA Lainnya');
INSERT INTO `lang_definitions` VALUES (60288, 4408, 16, 'Cedera laiinya tidak dirinci');
INSERT INTO `lang_definitions` VALUES (60289, 4409, 16, 'Kewajiban Asuransi Lainnya adalah Primer');
INSERT INTO `lang_definitions` VALUES (60290, 4410, 16, 'bulan lainnya');
INSERT INTO `lang_definitions` VALUES (60291, 4411, 16, 'Program Non-Federal Lainnya');
INSERT INTO `lang_definitions` VALUES (60292, 4412, 16, 'Catatan Lainnya');
INSERT INTO `lang_definitions` VALUES (60293, 4413, 16, 'Gejala Relevan Lainnya');
INSERT INTO `lang_definitions` VALUES (60294, 4414, 16, 'Gejala Relevan Lainnya:');
INSERT INTO `lang_definitions` VALUES (60295, 4415, 16, 'Pt resp lainnya');
INSERT INTO `lang_definitions` VALUES (60296, 4416, 16, 'Stres lainnya/cedera berlebihan');
INSERT INTO `lang_definitions` VALUES (60297, 4417, 16, 'Bedah Lainnya');
INSERT INTO `lang_definitions` VALUES (60298, 4418, 16, 'Lain-lain/Aborsi-Terkait Generik');
INSERT INTO `lang_definitions` VALUES (60299, 4420, 16, 'Lainnya');
INSERT INTO `lang_definitions` VALUES (60300, 4421, 16, 'jika tidak anda akan menghancurkan referensi ke/dari data yang ada');
INSERT INTO `lang_definitions` VALUES (60301, 4422, 16, 'Aturan Pergelangan Kaki Ottawa');
INSERT INTO `lang_definitions` VALUES (60302, 4423, 16, 'OU');
INSERT INTO `lang_definitions` VALUES (60303, 4424, 16, 'KELUAR');
INSERT INTO `lang_definitions` VALUES (60304, 4425, 16, 'Diluar Kantor');
INSERT INTO `lang_definitions` VALUES (60305, 4426, 16, 'Rujukan Outbound');
INSERT INTO `lang_definitions` VALUES (60306, 4427, 16, 'Hasil');
INSERT INTO `lang_definitions` VALUES (60307, 4428, 16, 'Pandangan');
INSERT INTO `lang_definitions` VALUES (60308, 4431, 16, 'TERLAMBAT');
INSERT INTO `lang_definitions` VALUES (60309, 4432, 16, 'Berlebihan');
INSERT INTO `lang_definitions` VALUES (60310, 4434, 16, 'Kegemukan');
INSERT INTO `lang_definitions` VALUES (60311, 4435, 16, 'Timpa pilihan HIPAA');
INSERT INTO `lang_definitions` VALUES (60312, 4437, 16, 'Saturasi Oksigen');
INSERT INTO `lang_definitions` VALUES (60313, 4439, 16, 'P');
INSERT INTO `lang_definitions` VALUES (60314, 4440, 16, 'p.c.');
INSERT INTO `lang_definitions` VALUES (60315, 4441, 16, 'p.m.');
INSERT INTO `lang_definitions` VALUES (60316, 4442, 16, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (60317, 4443, 16, 'Kepulauan Pasifik');
INSERT INTO `lang_definitions` VALUES (60318, 4444, 16, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (60319, 4445, 16, 'Halaman');
INSERT INTO `lang_definitions` VALUES (60320, 4446, 16, 'Halaman');
INSERT INTO `lang_definitions` VALUES (60321, 4447, 16, 'Dibayar');
INSERT INTO `lang_definitions` VALUES (60322, 4448, 16, 'Jumlah dibayar yang akan anda alokasikan');
INSERT INTO `lang_definitions` VALUES (60323, 4450, 16, 'Dibayar Via');
INSERT INTO `lang_definitions` VALUES (60324, 4451, 16, 'Sakit');
INSERT INTO `lang_definitions` VALUES (60325, 4453, 16, 'Debaran Jantung');
INSERT INTO `lang_definitions` VALUES (60326, 4455, 16, 'Pap Smear');
INSERT INTO `lang_definitions` VALUES (60327, 4457, 16, 'Ukuran Kertas');
INSERT INTO `lang_definitions` VALUES (60328, 4458, 16, 'Kelumpuhan');
INSERT INTO `lang_definitions` VALUES (60329, 4461, 16, 'Parse HL7');
INSERT INTO `lang_definitions` VALUES (60330, 4463, 16, 'Mitra/Rekan');
INSERT INTO `lang_definitions` VALUES (60331, 4464, 16, 'Nama Mitra');
INSERT INTO `lang_definitions` VALUES (60332, 4467, 16, 'Frase Pasword');
INSERT INTO `lang_definitions` VALUES (60333, 4468, 16, 'Frase Pasword untuk mendekripsi dokumen');
INSERT INTO `lang_definitions` VALUES (60334, 4469, 16, 'Pasien Lulus');
INSERT INTO `lang_definitions` VALUES (60335, 4470, 16, 'Pemberitahuan Pasif');
INSERT INTO `lang_definitions` VALUES (60336, 4471, 16, 'Aturan Pemberitahuan Pasif');
INSERT INTO `lang_definitions` VALUES (60337, 4472, 16, 'Pasword');
INSERT INTO `lang_definitions` VALUES (60338, 4473, 16, 'Ubah Pasword');
INSERT INTO `lang_definitions` VALUES (60339, 4475, 16, 'Perubahan pasword berhasil');
INSERT INTO `lang_definitions` VALUES (60340, 4477, 16, 'Periode Kadaluarsa Pasword');
INSERT INTO `lang_definitions` VALUES (60341, 4479, 16, 'Pasword untuk Gateway Telepon. Layanan VOIP otomatis disediakan oleh Maviq. Silahkan kunjungi http://signup.maviq.com untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (60342, 4480, 16, 'Pasword untuk SMS Gateway');
INSERT INTO `lang_definitions` VALUES (60343, 4481, 16, 'Pasword untuk SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (60344, 4483, 16, 'Keamanan pasword telah baru saja diupgrade/ditingkatkan.');
INSERT INTO `lang_definitions` VALUES (60345, 4486, 16, 'Pasword:');
INSERT INTO `lang_definitions` VALUES (60346, 4490, 16, 'Batas yang lalu');
INSERT INTO `lang_definitions` VALUES (60347, 4491, 16, 'Batas yang Lalu');
INSERT INTO `lang_definitions` VALUES (60348, 4492, 16, 'Interval Batas yang Lalu (Pengingat Klinis)');
INSERT INTO `lang_definitions` VALUES (60349, 4493, 16, 'Interval Batas yang Lalu (Pengingat Pasien)');
INSERT INTO `lang_definitions` VALUES (60350, 4494, 16, 'Daftar Encounter(Pertemuan) Pasien');
INSERT INTO `lang_definitions` VALUES (60351, 4495, 16, 'Encounter(Pertemuan) yang Lalu');
INSERT INTO `lang_definitions` VALUES (60352, 4496, 16, 'Encounter(Pertemuan) dan Dokumen yang Lalu');
INSERT INTO `lang_definitions` VALUES (60353, 4497, 16, 'Encounter(Pertemuan) untuk');
INSERT INTO `lang_definitions` VALUES (60354, 4498, 16, 'Sisipkan Data HL7');
INSERT INTO `lang_definitions` VALUES (60355, 4499, 16, 'Sisipkan data untuk diimpor kedalam area teks dibawah ini:');
INSERT INTO `lang_definitions` VALUES (60356, 4500, 16, 'Pat');
INSERT INTO `lang_definitions` VALUES (60357, 4502, 16, 'Patch');
INSERT INTO `lang_definitions` VALUES (60358, 4508, 16, 'Jalan untuk Backup Log Event');
INSERT INTO `lang_definitions` VALUES (60359, 4509, 16, 'Jalan ke File Sertifikat CA');
INSERT INTO `lang_definitions` VALUES (60360, 4510, 16, 'Jalan ke File Kunci CA');
INSERT INTO `lang_definitions` VALUES (60361, 4511, 16, 'Jalan ke Binari MySQL');
INSERT INTO `lang_definitions` VALUES (60362, 4512, 16, 'Jalan ke Binari Perl');
INSERT INTO `lang_definitions` VALUES (60363, 4513, 16, 'Jalan ke File Sementara');
INSERT INTO `lang_definitions` VALUES (60364, 4514, 16, 'Pasien');
INSERT INTO `lang_definitions` VALUES (60365, 4515, 16, 'pasien');
INSERT INTO `lang_definitions` VALUES (60366, 4516, 16, 'PASIEN');
INSERT INTO `lang_definitions` VALUES (60367, 4517, 16, 'Alamat Pasien');
INSERT INTO `lang_definitions` VALUES (60368, 4518, 16, 'Alamat Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (60369, 4521, 16, 'Alergi pasien');
INSERT INTO `lang_definitions` VALUES (60370, 4522, 16, 'Alergi Pasien');
INSERT INTO `lang_definitions` VALUES (60371, 4523, 16, 'Janji Temu Pasien');
INSERT INTO `lang_definitions` VALUES (60372, 4528, 16, 'ID Grafik pasien');
INSERT INTO `lang_definitions` VALUES (60373, 4529, 16, 'Pemeriksaan Pasien');
INSERT INTO `lang_definitions` VALUES (60374, 4530, 16, 'Pemeriksaan Pasien untuk ');
INSERT INTO `lang_definitions` VALUES (60375, 4531, 16, 'Kota Pasien');
INSERT INTO `lang_definitions` VALUES (60376, 4532, 16, 'Kota Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (60377, 4533, 16, 'Komunikasi pasien terkirim');
INSERT INTO `lang_definitions` VALUES (60378, 4534, 16, 'Komunikasi Pasien Terkirim');
INSERT INTO `lang_definitions` VALUES (60379, 4535, 16, 'Negara Pasien');
INSERT INTO `lang_definitions` VALUES (60380, 4536, 16, 'Negara Pasien tidak ada. Juga anda belum menetapkan standar Negara Pasien dalam Pengaturan Global');
INSERT INTO `lang_definitions` VALUES (60381, 4539, 16, 'Data pasien');
INSERT INTO `lang_definitions` VALUES (60382, 4541, 16, 'Tanggal Lahir Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (60383, 4542, 16, 'Rincian Pasien');
INSERT INTO `lang_definitions` VALUES (60384, 4543, 16, 'Tanggal Lahir Pasien');
INSERT INTO `lang_definitions` VALUES (60385, 4544, 16, 'Dokumen Pasien');
INSERT INTO `lang_definitions` VALUES (60386, 4545, 16, 'Pendidikan Pasien');
INSERT INTO `lang_definitions` VALUES (60387, 4546, 16, 'Materi Edukasi Pasien');
INSERT INTO `lang_definitions` VALUES (60388, 4547, 16, 'Pasien Encounter');
INSERT INTO `lang_definitions` VALUES (60389, 4548, 16, 'Pasien Encounter Formulir');
INSERT INTO `lang_definitions` VALUES (60390, 4549, 16, 'Pasien Encounters');
INSERT INTO `lang_definitions` VALUES (60391, 4550, 16, 'Pencari Pasien');
INSERT INTO `lang_definitions` VALUES (60392, 4551, 16, 'Nama awal Pasien');
INSERT INTO `lang_definitions` VALUES (60393, 4553, 16, 'Nama awal Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (60394, 4558, 16, 'Jenis Kelamin Pasien');
INSERT INTO `lang_definitions` VALUES (60395, 4559, 16, 'Jenis Kelamin Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (60396, 4560, 16, 'Pasien tidak diizinkan Portal Pasien');
INSERT INTO `lang_definitions` VALUES (60397, 4561, 16, 'Riwayat Pasien');
INSERT INTO `lang_definitions` VALUES (60398, 4562, 16, 'Riwayat/Gaya Hidup Pasien');
INSERT INTO `lang_definitions` VALUES (60399, 4563, 16, 'Telepon rumah Pasien');
INSERT INTO `lang_definitions` VALUES (60400, 4564, 16, 'ID Pasien');
INSERT INTO `lang_definitions` VALUES (60401, 4566, 16, 'Katu ID(KTP) Pasien');
INSERT INTO `lang_definitions` VALUES (60402, 4567, 16, 'Nama Kategori Kartu ID(KTP) Pasien');
INSERT INTO `lang_definitions` VALUES (60403, 4568, 16, 'Imunisasi Pasien');
INSERT INTO `lang_definitions` VALUES (60404, 4569, 16, 'Informasi Pasien');
INSERT INTO `lang_definitions` VALUES (60405, 4570, 16, 'Instruksi Pasien');
INSERT INTO `lang_definitions` VALUES (60406, 4571, 16, 'Distribusi Asuransi Pasien');
INSERT INTO `lang_definitions` VALUES (60407, 4572, 16, 'Laporan Distribusi Asuransi Pasien');
INSERT INTO `lang_definitions` VALUES (60408, 4573, 16, 'Isu(Masalah) Pasien');
INSERT INTO `lang_definitions` VALUES (60409, 4575, 16, 'Nama akhir Pasien');
INSERT INTO `lang_definitions` VALUES (60410, 4577, 16, 'Nama akhir Pasien tidak ada');
INSERT INTO `lang_definitions` VALUES (60411, 4581, 16, 'Daftar Pasien');
INSERT INTO `lang_definitions` VALUES (60412, 4586, 16, 'Kesalahan Lookup Pasien');
INSERT INTO `lang_definitions` VALUES (60413, 4587, 16, 'Masalah Medis Pasien');
INSERT INTO `lang_definitions` VALUES (60414, 4588, 16, 'Pengobatan Pasien');
INSERT INTO `lang_definitions` VALUES (60415, 4589, 16, 'Nama Pasien');
INSERT INTO `lang_definitions` VALUES (60416, 4590, 16, 'Nama & Alamat Pasien');
INSERT INTO `lang_definitions` VALUES (60417, 4593, 16, 'Nama Pasien Diperlukan');
INSERT INTO `lang_definitions` VALUES (60418, 4595, 16, 'Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (60419, 4596, 16, 'Jenis Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (60420, 4597, 16, 'Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (60421, 4598, 16, 'Catatan Pasien (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (60422, 4599, 16, 'Nomor Pasien');
INSERT INTO `lang_definitions` VALUES (60423, 4600, 16, 'Pembayaran Pasien');
INSERT INTO `lang_definitions` VALUES (60424, 4602, 16, 'Nama Kategori Foto Pasien');
INSERT INTO `lang_definitions` VALUES (60425, 4603, 16, 'Portal Pasien');
INSERT INTO `lang_definitions` VALUES (60426, 4605, 16, 'Portal Pasien dimatikan');
INSERT INTO `lang_definitions` VALUES (60427, 4606, 16, 'Login Portal Pasien');
INSERT INTO `lang_definitions` VALUES (60428, 4607, 16, 'Alamat Web Portal Pasien');
INSERT INTO `lang_definitions` VALUES (60429, 4608, 16, 'Laporan Tercetak Pasien');
INSERT INTO `lang_definitions` VALUES (60430, 4609, 16, 'Laporan Record(Catatan) Pasien');
INSERT INTO `lang_definitions` VALUES (60431, 4610, 16, 'Permintaan Record(Catatan) Pasien');
INSERT INTO `lang_definitions` VALUES (60432, 4611, 16, 'Permintaan Record(Catatan) Pasien');
INSERT INTO `lang_definitions` VALUES (60433, 4613, 16, 'Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (60434, 4614, 16, 'Pengingat Batch Job Pasien');
INSERT INTO `lang_definitions` VALUES (60435, 4616, 16, 'Aturan Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (60436, 4617, 16, 'Email Pengirim Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (60437, 4618, 16, 'Nama Pengirim Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (60438, 4619, 16, 'Pengingat Pasien');
INSERT INTO `lang_definitions` VALUES (60439, 4620, 16, 'Laporan Pasien');
INSERT INTO `lang_definitions` VALUES (60440, 4621, 16, 'Permintaan Pasien');
INSERT INTO `lang_definitions` VALUES (60441, 4622, 16, 'Catatan Medis yang Diminta Pasien');
INSERT INTO `lang_definitions` VALUES (60442, 4623, 16, 'Hasil Pasien');
INSERT INTO `lang_definitions` VALUES (60443, 4624, 16, 'Gaya Hasil Pencarian Pasien');
INSERT INTO `lang_definitions` VALUES (60444, 4625, 16, 'Layar Pencarian/Tambah Pasien');
INSERT INTO `lang_definitions` VALUES (60445, 4626, 16, 'Pengaturan Pasien');
INSERT INTO `lang_definitions` VALUES (60446, 4627, 16, 'Negara Pasien');
INSERT INTO `lang_definitions` VALUES (60447, 4629, 16, 'Rangkuman Pasien');
INSERT INTO `lang_definitions` VALUES (60448, 4630, 16, 'Transaksi Pasien');
INSERT INTO `lang_definitions` VALUES (60449, 4631, 16, 'Zip Pasien');
INSERT INTO `lang_definitions` VALUES (60450, 4632, 16, 'pasien dalam database yang cocok dengan informasi demografis yang anda masukkan');
INSERT INTO `lang_definitions` VALUES (60451, 4633, 16, 'Pasien/Klien');
INSERT INTO `lang_definitions` VALUES (60452, 4634, 16, 'Pasien:');
INSERT INTO `lang_definitions` VALUES (60453, 4635, 16, 'ID Pasien');
INSERT INTO `lang_definitions` VALUES (60454, 4636, 16, 'Pasien');
INSERT INTO `lang_definitions` VALUES (60455, 4638, 16, 'Membayar');
INSERT INTO `lang_definitions` VALUES (60456, 4639, 16, 'Perhatikan bagian \"Selesai dengan\" checkbox. Setelah asuransi ditandai selesai maka kita akan mulai menanyakan pasien untuk membayar sisa saldo, jika anda gagal untuk menandai semua asuransi yang lengkap, maka jumlah yang tersisa tidak akan dikumpulkan! Juga jika ada keseimbangan bahwa pasien harus bayar, kemudian menetapkan tanggal jatuh tempo dengan tepat, karena hal ini akan mempengaruhi bahasa yang muncul pada pasien pernyataan.');
INSERT INTO `lang_definitions` VALUES (60457, 4640, 16, 'Tanggal Bayar:');
INSERT INTO `lang_definitions` VALUES (60458, 4643, 16, 'Pembayar');
INSERT INTO `lang_definitions` VALUES (60459, 4644, 16, 'Jenis pembayar');
INSERT INTO `lang_definitions` VALUES (60460, 4645, 16, 'Membayar');
INSERT INTO `lang_definitions` VALUES (60461, 4646, 16, 'Entitas Pembayaran');
INSERT INTO `lang_definitions` VALUES (60462, 4647, 16, 'Pembayaran');
INSERT INTO `lang_definitions` VALUES (60463, 4648, 16, 'pembayaran');
INSERT INTO `lang_definitions` VALUES (60464, 4649, 16, 'Kode Pengaturan Pembayaran');
INSERT INTO `lang_definitions` VALUES (60465, 4651, 16, 'Jumlah Pembayaran');
INSERT INTO `lang_definitions` VALUES (60466, 4652, 16, 'Jumlah Pembayaran harus berupa numerik(angka)');
INSERT INTO `lang_definitions` VALUES (60467, 4653, 16, 'Kategori Pembayaran');
INSERT INTO `lang_definitions` VALUES (60468, 4654, 16, 'Tanggal Pembayaran');
INSERT INTO `lang_definitions` VALUES (60469, 4655, 16, 'pembayaran dimasukkan pada');
INSERT INTO `lang_definitions` VALUES (60470, 4656, 16, 'Pembayaran Dari');
INSERT INTO `lang_definitions` VALUES (60471, 4658, 16, 'Asuransi Pembayaran');
INSERT INTO `lang_definitions` VALUES (60472, 4659, 16, 'Daftar Pembayaran');
INSERT INTO `lang_definitions` VALUES (60473, 4660, 16, 'Metode Pembayaran');
INSERT INTO `lang_definitions` VALUES (60474, 4661, 16, 'Pembayaran Urut Berdasarkan');
INSERT INTO `lang_definitions` VALUES (60475, 4662, 16, 'Status Pembayaran');
INSERT INTO `lang_definitions` VALUES (60476, 4663, 16, 'Tipe/Jenis Pembayaran');
INSERT INTO `lang_definitions` VALUES (60477, 4664, 16, 'Nilai pembayaran untuk kode ');
INSERT INTO `lang_definitions` VALUES (60478, 4665, 16, 'Pembayaran');
INSERT INTO `lang_definitions` VALUES (60479, 4667, 16, 'PCP');
INSERT INTO `lang_definitions` VALUES (60480, 4669, 16, 'PDF');
INSERT INTO `lang_definitions` VALUES (60481, 4670, 16, 'Download PDF Pernyataan yang Dipilih');
INSERT INTO `lang_definitions` VALUES (60482, 4672, 16, 'Panggul dan pantat');
INSERT INTO `lang_definitions` VALUES (60483, 4673, 16, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (60484, 4674, 16, 'Pending/Tertunda');
INSERT INTO `lang_definitions` VALUES (60485, 4676, 16, 'Tertunda F/U');
INSERT INTO `lang_definitions` VALUES (60486, 4677, 16, 'Menunggu tindak lanjut');
INSERT INTO `lang_definitions` VALUES (60487, 4678, 16, 'Menunggu Tindak Lanjut dari Hasil');
INSERT INTO `lang_definitions` VALUES (60488, 4679, 16, 'Menunggu Pesanan/Pesanan Tertunda');
INSERT INTO `lang_definitions` VALUES (60489, 4680, 16, 'Menunggu Res/Res Tertunda');
INSERT INTO `lang_definitions` VALUES (60490, 4681, 16, 'Menunggu Tinjauan/Tinjauan Tertunda');
INSERT INTO `lang_definitions` VALUES (60491, 4682, 16, 'Menunggu Jumlah Rx/Jumlah Rx Tertunda');
INSERT INTO `lang_definitions` VALUES (60492, 4684, 16, 'Kantor Pennington LibreEHR v');
INSERT INTO `lang_definitions` VALUES (60493, 4685, 16, 'Penyakit Maag');
INSERT INTO `lang_definitions` VALUES (60494, 4687, 16, 'per min');
INSERT INTO `lang_definitions` VALUES (60495, 4688, 16, 'Per Lubang Hidung');
INSERT INTO `lang_definitions` VALUES (60496, 4689, 16, 'per lubang hidung');
INSERT INTO `lang_definitions` VALUES (60497, 4690, 16, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (60498, 4691, 16, 'per oris');
INSERT INTO `lang_definitions` VALUES (60499, 4692, 16, 'Per Dubur');
INSERT INTO `lang_definitions` VALUES (60500, 4693, 16, 'per dubur');
INSERT INTO `lang_definitions` VALUES (60501, 4694, 16, 'Persen');
INSERT INTO `lang_definitions` VALUES (60502, 4697, 16, 'Persentil');
INSERT INTO `lang_definitions` VALUES (60503, 4698, 16, 'Berlubang Kanan:');
INSERT INTO `lang_definitions` VALUES (60504, 4699, 16, 'Melakukan Pencarian');
INSERT INTO `lang_definitions` VALUES (60505, 4700, 16, 'Lakukan tindakan ini');
INSERT INTO `lang_definitions` VALUES (60506, 4701, 16, 'Persentase Kinerja');
INSERT INTO `lang_definitions` VALUES (60507, 4703, 16, 'Melakukan Fasilitas Laboratorium');
INSERT INTO `lang_definitions` VALUES (60508, 4705, 16, 'Periode');
INSERT INTO `lang_definitions` VALUES (60509, 4706, 16, 'Periode dalam hari dimana pengguna dapat login dengan pasword yang sudah kadaluarsa.');
INSERT INTO `lang_definitions` VALUES (60510, 4707, 16, 'Perawatan Perioperatif');
INSERT INTO `lang_definitions` VALUES (60511, 4708, 16, 'Peripheral(Sekeliling)');
INSERT INTO `lang_definitions` VALUES (60512, 4712, 16, 'Orang');
INSERT INTO `lang_definitions` VALUES (60513, 4713, 16, 'Personalisasi');
INSERT INTO `lang_definitions` VALUES (60514, 4714, 16, 'PG');
INSERT INTO `lang_definitions` VALUES (60515, 4715, 16, 'Apotek');
INSERT INTO `lang_definitions` VALUES (60516, 4716, 16, 'Jumpah Perusahaan Apotek');
INSERT INTO `lang_definitions` VALUES (60517, 4717, 16, 'Apotek');
INSERT INTO `lang_definitions` VALUES (60518, 4718, 16, 'Farmasi/Apotek');
INSERT INTO `lang_definitions` VALUES (60519, 4719, 16, 'Farmasi Apotek');
INSERT INTO `lang_definitions` VALUES (60520, 4720, 16, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (60521, 4729, 16, 'Telepon');
INSERT INTO `lang_definitions` VALUES (60522, 4730, 16, 'Daftar panggilan telepon');
INSERT INTO `lang_definitions` VALUES (60523, 4733, 16, 'Pasword Gateway Telepon');
INSERT INTO `lang_definitions` VALUES (60524, 4734, 16, 'URL Gateway Telepon');
INSERT INTO `lang_definitions` VALUES (60525, 4735, 16, 'Nama Pengguna Gateway Telepon');
INSERT INTO `lang_definitions` VALUES (60526, 4737, 16, 'Waktu Notifikasi/Pemberitahuan Telepon');
INSERT INTO `lang_definitions` VALUES (60527, 4738, 16, 'Nomor Telepon');
INSERT INTO `lang_definitions` VALUES (60528, 4740, 16, 'Photophobia');
INSERT INTO `lang_definitions` VALUES (60529, 4741, 16, 'Foto');
INSERT INTO `lang_definitions` VALUES (60530, 4742, 16, 'PHP dikompresi');
INSERT INTO `lang_definitions` VALUES (60531, 4743, 16, 'Modul PHP CURL harus diaktfkan pada server anda.');
INSERT INTO `lang_definitions` VALUES (60532, 4744, 16, 'PHP diekstrak');
INSERT INTO `lang_definitions` VALUES (60533, 4745, 16, 'Akses kontrol php-GACL dimatikan');
INSERT INTO `lang_definitions` VALUES (60534, 4746, 16, 'PHP-gacl tidak diinstal');
INSERT INTO `lang_definitions` VALUES (60535, 4747, 16, 'Pemeriksaan Fisik');
INSERT INTO `lang_definitions` VALUES (60536, 4749, 16, 'Permintaan Dokter');
INSERT INTO `lang_definitions` VALUES (60537, 4750, 16, 'Tanda Tangan Dokter');
INSERT INTO `lang_definitions` VALUES (60538, 4752, 16, 'Dokter');
INSERT INTO `lang_definitions` VALUES (60539, 4753, 16, 'pilih');
INSERT INTO `lang_definitions` VALUES (60540, 4754, 16, 'Pilih');
INSERT INTO `lang_definitions` VALUES (60541, 4755, 16, 'Pilih tema CSS.');
INSERT INTO `lang_definitions` VALUES (60542, 4756, 16, 'PID');
INSERT INTO `lang_definitions` VALUES (60543, 4757, 16, 'PID (Penyakit Inflamasi Panggul)');
INSERT INTO `lang_definitions` VALUES (60544, 4758, 16, 'Ukuran Pil');
INSERT INTO `lang_definitions` VALUES (60545, 4759, 16, 'Pil');
INSERT INTO `lang_definitions` VALUES (60546, 4760, 16, 'Tempatkan file zip database dalam direktori berikut jika ingin pilihan untuk menginstal');
INSERT INTO `lang_definitions` VALUES (60547, 4765, 16, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (60548, 4766, 16, 'Placeholder (Menjaga ACL kosong)');
INSERT INTO `lang_definitions` VALUES (60549, 4767, 16, 'Teks Biasa');
INSERT INTO `lang_definitions` VALUES (60550, 4768, 16, 'Rencana');
INSERT INTO `lang_definitions` VALUES (60551, 4771, 16, 'Nama Rencana');
INSERT INTO `lang_definitions` VALUES (60552, 4775, 16, 'Set Rencana');
INSERT INTO `lang_definitions` VALUES (60553, 4779, 16, 'Rencana:');
INSERT INTO `lang_definitions` VALUES (60554, 4782, 16, 'Rencana');
INSERT INTO `lang_definitions` VALUES (60555, 4784, 16, 'Pemain');
INSERT INTO `lang_definitions` VALUES (60556, 4785, 16, 'Posisi Bermain');
INSERT INTO `lang_definitions` VALUES (60557, 4786, 16, 'Silahkan hubungi jika ada informasi diatas yang tidak benar');
INSERT INTO `lang_definitions` VALUES (60558, 4787, 16, 'Silahkan ubah pasword anda.');
INSERT INTO `lang_definitions` VALUES (60559, 4788, 16, 'Silahkan Pilih file');
INSERT INTO `lang_definitions` VALUES (60560, 4789, 16, 'Silahkan pilih pasien');
INSERT INTO `lang_definitions` VALUES (60561, 4790, 16, 'Silahkan pilih pemilihan yang valid dari daftar.');
INSERT INTO `lang_definitions` VALUES (60562, 4791, 16, 'Silahkan pilih pemilihan yang valid.');
INSERT INTO `lang_definitions` VALUES (60563, 4792, 16, 'Silahkan pilih nilai untuk');
INSERT INTO `lang_definitions` VALUES (60564, 4793, 16, 'Silahkan pilih kriteria range(jarak) tanggal diatas, dan klik Refresh untuk melihat hasil.');
INSERT INTO `lang_definitions` VALUES (60565, 4794, 16, 'Silahkan pilih file EDI-271 format yang tepat');
INSERT INTO `lang_definitions` VALUES (60566, 4795, 16, 'Silahkan Klik tombol download untuk mendownload data De Identifikasi');
INSERT INTO `lang_definitions` VALUES (60567, 4796, 16, 'Silahkan Klik tombol download untuk mendownload data Re Identifikasi');
INSERT INTO `lang_definitions` VALUES (60568, 4797, 16, 'Silahkan tutup jendela ini.');
INSERT INTO `lang_definitions` VALUES (60569, 4798, 16, 'Silahkan bandingkan nama baru');
INSERT INTO `lang_definitions` VALUES (60570, 4802, 16, 'Jangan terima resep ini kecuali diterima melalui faksimil.');
INSERT INTO `lang_definitions` VALUES (60571, 4803, 16, 'Jangan terima resep ini kecuali diterima melalui faksimil.');
INSERT INTO `lang_definitions` VALUES (60572, 4804, 16, 'Mohon TIDAK menggunakan tombol berhenti atau reload browser sementara halaman ini sedang berjalan kecuali lebih dari 10 menit telah berlalu, ini tidak akan menyebabkan proses berhenti pada server dan akan mengkonsumsi sumber daya yang tidak perlu.');
INSERT INTO `lang_definitions` VALUES (60573, 4805, 16, 'SILAHKAN AKTIFKAN EKSTENSI CURL');
INSERT INTO `lang_definitions` VALUES (60574, 4806, 16, 'SILAHKAN AKTIFKAN EKSTENSI OPENSSL');
INSERT INTO `lang_definitions` VALUES (60575, 4807, 16, 'SILAHKAN AKTIFKAN EKSTENSI SOAP');
INSERT INTO `lang_definitions` VALUES (60576, 4808, 16, 'SILAHKAN AKTIFKAN EKSTENSI XML');
INSERT INTO `lang_definitions` VALUES (60577, 4809, 16, 'Silahkan masukkan tanggal untuk Tinjauan Terakhir');
INSERT INTO `lang_definitions` VALUES (60578, 4810, 16, 'Silahkan masukkan tanggal.');
INSERT INTO `lang_definitions` VALUES (60579, 4811, 16, 'Silahkan masukkan batas tanggal');
INSERT INTO `lang_definitions` VALUES (60580, 4812, 16, 'Silahkan masukkan pesan');
INSERT INTO `lang_definitions` VALUES (60581, 4813, 16, 'Silahkan masukkan jumlah uang menggunakan hanya angka dan titik desimal.');
INSERT INTO `lang_definitions` VALUES (60582, 4814, 16, 'Silahkan Masukkan Pasword Baru');
INSERT INTO `lang_definitions` VALUES (60583, 4815, 16, 'Silahkan masukkan judul!');
INSERT INTO `lang_definitions` VALUES (60584, 4819, 16, 'Silahkan masukkan kode Re Identifikasi yang benar');
INSERT INTO `lang_definitions` VALUES (60585, 4821, 16, 'Silahkan masukkan string pencarian baru');
INSERT INTO `lang_definitions` VALUES (60586, 4822, 16, 'Silahkan masukkan kode Re Identifikasi yang benar');
INSERT INTO `lang_definitions` VALUES (60587, 4823, 16, 'Silahkan masukkan pasword');
INSERT INTO `lang_definitions` VALUES (60588, 4824, 16, 'Silahkan Isi Nomor Cek');
INSERT INTO `lang_definitions` VALUES (60589, 4826, 16, 'SIlahkan Isi Tanggal');
INSERT INTO `lang_definitions` VALUES (60590, 4827, 16, 'Silahkan Isi Jumlah Pembayaran');
INSERT INTO `lang_definitions` VALUES (60591, 4828, 16, 'Silahkan Isi Kategori Pembayaran');
INSERT INTO `lang_definitions` VALUES (60592, 4829, 16, 'Silahkan Isi Pembayaran Dari');
INSERT INTO `lang_definitions` VALUES (60593, 4830, 16, 'Silahkan Isi Post Ke Tanggal');
INSERT INTO `lang_definitions` VALUES (60594, 4831, 16, 'Silahkan isi mereka sebelum melanjutkan.');
INSERT INTO `lang_definitions` VALUES (60595, 4832, 16, 'Silahkan sebutkan alasan kunjungan');
INSERT INTO `lang_definitions` VALUES (60596, 4834, 16, 'Silahkan masukkan kriteria pencarian diatas, dan klik Serahkan untuk melihat hasil.');
INSERT INTO `lang_definitions` VALUES (60597, 4835, 16, 'Silahkan masukkan kriteria pencarian diatas, dan klik Serahkan untuk melihat hasil. (Hasil akan ditampilkan pada jendela pop up)');
INSERT INTO `lang_definitions` VALUES (60598, 4836, 16, 'Silahkan login kembali.');
INSERT INTO `lang_definitions` VALUES (60599, 4837, 16, 'Perlu diketahui bahwa hal ini bisa memakan waktu yang cukup lama, hingga beberapa menit, browser Anda mungkin tidak terlihat sangat aktif saat ini, tetapi menghasilkan tagihan adalah proses yang rumit dan browser web Anda hanya menunggu untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (60600, 4838, 16, 'Harap Dicatat: konstan adalah case sensitive, dan setiap string diperbolehkan.');
INSERT INTO `lang_definitions` VALUES (60601, 4839, 16, 'Harap hanya menggunakan karakter abjad');
INSERT INTO `lang_definitions` VALUES (60602, 4840, 16, 'Harap hanya menggunakan karakter abjad tanpa spasi');
INSERT INTO `lang_definitions` VALUES (60603, 4841, 16, 'Harap membayar jumlah ini');
INSERT INTO `lang_definitions` VALUES (60604, 4843, 16, 'Silahkan lihat');
INSERT INTO `lang_definitions` VALUES (60605, 4844, 16, 'Silahkan reset pasword.');
INSERT INTO `lang_definitions` VALUES (60606, 4845, 16, 'Silahkan restart server apache sebelum memulai dengan de-identifikasi');
INSERT INTO `lang_definitions` VALUES (60607, 4849, 16, 'Silahkan pilh bahasa');
INSERT INTO `lang_definitions` VALUES (60608, 4850, 16, 'Silahkan Pilih Pasien.');
INSERT INTO `lang_definitions` VALUES (60609, 4851, 16, 'Silahkan pilih fasilitas Entitat/Badan Bisnis Primer dengan \'ID Pajak\' sebagai fasilitas ID Pajak anda. Jika anda adalah seorang praktisi individu, gunakan id pajak anda. Ini digunakan untuk mengidentifikasi anda dalam sistem NewCrop.');
INSERT INTO `lang_definitions` VALUES (60610, 4854, 16, 'Silahkan Pilih Penerima');
INSERT INTO `lang_definitions` VALUES (60611, 4855, 16, 'Silahkan pilih tanggal awal dan tanggal akhir');
INSERT INTO `lang_definitions` VALUES (60612, 4856, 16, 'Silahkan pilih penerima yang valid');
INSERT INTO `lang_definitions` VALUES (60613, 4858, 16, 'Silahkan pilih alasan pengaturan/penyesuaian untuk kode ');
INSERT INTO `lang_definitions` VALUES (60614, 4859, 16, 'Silakan pilih sebuah event');
INSERT INTO `lang_definitions` VALUES (60615, 4860, 16, 'Silahkan pilih Pilihan Pencarian.');
INSERT INTO `lang_definitions` VALUES (60616, 4863, 16, 'Silahkan pilih setidaknya satu resep!');
INSERT INTO `lang_definitions` VALUES (60617, 4865, 16, 'Silakan pilih halaman yang dikehendaki untuk menyalin atau meneruskan:');
INSERT INTO `lang_definitions` VALUES (60618, 4866, 16, 'Silahkan Pilih Metode Pembayaran');
INSERT INTO `lang_definitions` VALUES (60619, 4869, 16, 'Silahkan pilih mitra X12, dibutuhkan untuk membuat batch 270');
INSERT INTO `lang_definitions` VALUES (60620, 4870, 16, 'Silahkan set');
INSERT INTO `lang_definitions` VALUES (60621, 4871, 16, 'Silahkan set variabel de_identification_config kembali ke nol');
INSERT INTO `lang_definitions` VALUES (60622, 4873, 16, 'Silahkan mulai proses De Identifikasi baru');
INSERT INTO `lang_definitions` VALUES (60623, 4874, 16, 'Silahkan upgrade Database LibreEHR untuk memasukkan prosedur, fungsi, tabel De Identifikasi');
INSERT INTO `lang_definitions` VALUES (60624, 4875, 16, 'Silahkan lihat tabel log kesalahan De Identifikasi untuk lebih jelasnya');
INSERT INTO `lang_definitions` VALUES (60625, 4876, 16, 'Silahkan kunjungi layar De Identifikasi setelah beberapa waktu');
INSERT INTO `lang_definitions` VALUES (60626, 4877, 16, 'Silahkan kunjungi layar Re Identifikasi setelah beberapa waktu');
INSERT INTO `lang_definitions` VALUES (60627, 4878, 16, 'Silahkan kunjungi layar setelah beberapa waktu');
INSERT INTO `lang_definitions` VALUES (60628, 4882, 16, 'PM');
INSERT INTO `lang_definitions` VALUES (60629, 4883, 16, 'Program PM');
INSERT INTO `lang_definitions` VALUES (60630, 4884, 16, 'Metode Pmt');
INSERT INTO `lang_definitions` VALUES (60631, 4885, 16, 'PND');
INSERT INTO `lang_definitions` VALUES (60632, 4886, 16, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 1');
INSERT INTO `lang_definitions` VALUES (60633, 4887, 16, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 2');
INSERT INTO `lang_definitions` VALUES (60634, 4888, 16, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 3');
INSERT INTO `lang_definitions` VALUES (60635, 4889, 16, 'Pneumococcal Conjugate (Konjugasi Radang Paru) 4');
INSERT INTO `lang_definitions` VALUES (60636, 4890, 16, 'Vaksin Radang Paru');
INSERT INTO `lang_definitions` VALUES (60637, 4891, 16, 'Vaksinasi Radang Paru-paru');
INSERT INTO `lang_definitions` VALUES (60638, 4892, 16, 'Status Vaksinasi Radang Paru untuk Dewasa Lebih Tua');
INSERT INTO `lang_definitions` VALUES (60639, 4893, 16, 'Status Vaksinasi Radang Paru untuk Dewasa Lebih Tua (CQM)');
INSERT INTO `lang_definitions` VALUES (60640, 4894, 16, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (60641, 4896, 16, 'Point of Service (POS) (Titik Layanan)');
INSERT INTO `lang_definitions` VALUES (60642, 4897, 16, 'Kebijakan');
INSERT INTO `lang_definitions` VALUES (60643, 4898, 16, 'Nomor Kebijakan');
INSERT INTO `lang_definitions` VALUES (60644, 4899, 16, 'Nomor Kebijakan');
INSERT INTO `lang_definitions` VALUES (60645, 4900, 16, 'Polandia');
INSERT INTO `lang_definitions` VALUES (60646, 4901, 16, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (60647, 4902, 16, 'Polyps');
INSERT INTO `lang_definitions` VALUES (60648, 4903, 16, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (60649, 4904, 16, 'Nafsu Makan Rendah');
INSERT INTO `lang_definitions` VALUES (60650, 4905, 16, 'Sirkulasi Rendah');
INSERT INTO `lang_definitions` VALUES (60651, 4906, 16, 'Kurang Pendengaran');
INSERT INTO `lang_definitions` VALUES (60652, 4907, 16, 'Pop up harus diaktifkan untuk melihat laporan ini');
INSERT INTO `lang_definitions` VALUES (60653, 4908, 16, 'Isi tampilan tahun dengan event?');
INSERT INTO `lang_definitions` VALUES (60654, 4909, 16, 'Popup');
INSERT INTO `lang_definitions` VALUES (60655, 4911, 16, 'Portal Aktifitas/Kegiatan');
INSERT INTO `lang_definitions` VALUES (60656, 4917, 16, 'Portugis');
INSERT INTO `lang_definitions` VALUES (60657, 4918, 16, 'Portugis (Brasil)');
INSERT INTO `lang_definitions` VALUES (60658, 4919, 16, 'Portugis (Eropa)');
INSERT INTO `lang_definitions` VALUES (60659, 4920, 16, 'Kode POS');
INSERT INTO `lang_definitions` VALUES (60660, 4922, 16, 'Positif');
INSERT INTO `lang_definitions` VALUES (60661, 4923, 16, 'Positif');
INSERT INTO `lang_definitions` VALUES (60662, 4925, 16, 'Post Untuk');
INSERT INTO `lang_definitions` VALUES (60663, 4926, 16, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (60664, 4927, 16, 'Post Pembayaran');
INSERT INTO `lang_definitions` VALUES (60665, 4928, 16, 'Post Pembedahan');
INSERT INTO `lang_definitions` VALUES (60666, 4929, 16, 'Posting ke akuntansi dan tandai sebagai tagihan');
INSERT INTO `lang_definitions` VALUES (60667, 4930, 16, 'Post ke Tanggal');
INSERT INTO `lang_definitions` VALUES (60668, 4931, 16, 'Post ke Tanggal Tidak bisa lebih besar dari Hari Ini');
INSERT INTO `lang_definitions` VALUES (60669, 4932, 16, 'Post ke Tanggal Harus lebih besar dari Tanggal Penutupan Keuangan.');
INSERT INTO `lang_definitions` VALUES (60670, 4933, 16, 'Perawatan Post-Abortion');
INSERT INTO `lang_definitions` VALUES (60671, 4934, 16, 'Kontrasepsi Post-Abortion');
INSERT INTO `lang_definitions` VALUES (60672, 4935, 16, 'Konseling Post-Abortion');
INSERT INTO `lang_definitions` VALUES (60673, 4936, 16, 'Menindaklanjuti Post-Abortion');
INSERT INTO `lang_definitions` VALUES (60674, 4937, 16, 'Pos');
INSERT INTO `lang_definitions` VALUES (60675, 4938, 16, 'Kode Pos');
INSERT INTO `lang_definitions` VALUES (60676, 4939, 16, 'Kode pos');
INSERT INTO `lang_definitions` VALUES (60677, 4941, 16, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (60678, 4942, 16, 'Administrasi PostCalendar');
INSERT INTO `lang_definitions` VALUES (60679, 4943, 16, 'Pengaturan Kategori PostCalendar');
INSERT INTO `lang_definitions` VALUES (60680, 4944, 16, 'Pengaturan Global PostCalendar');
INSERT INTO `lang_definitions` VALUES (60681, 4945, 16, 'Diposkan pada');
INSERT INTO `lang_definitions` VALUES (60682, 4946, 16, 'Tanggal Posting');
INSERT INTO `lang_definitions` VALUES (60683, 4948, 16, 'Didukung oleh');
INSERT INTO `lang_definitions` VALUES (60684, 4949, 16, 'PPE + Pengobatan/Pembedahan Sebelumnya Hx');
INSERT INTO `lang_definitions` VALUES (60685, 4950, 16, 'PQRI');
INSERT INTO `lang_definitions` VALUES (60686, 4951, 16, 'ID Pendaftaran PQRI');
INSERT INTO `lang_definitions` VALUES (60687, 4952, 16, 'Nama Pendaftaran PQRI');
INSERT INTO `lang_definitions` VALUES (60688, 4953, 16, 'Praktek');
INSERT INTO `lang_definitions` VALUES (60689, 4954, 16, 'Pengaturan Standar Praktek');
INSERT INTO `lang_definitions` VALUES (60690, 4955, 16, 'Pengaturan Praktek');
INSERT INTO `lang_definitions` VALUES (60691, 4956, 16, 'Praktisi');
INSERT INTO `lang_definitions` VALUES (60692, 4959, 16, 'Pembayaran Dimuka');
INSERT INTO `lang_definitions` VALUES (60693, 4960, 16, 'Konsultasi Pre-Abortion');
INSERT INTO `lang_definitions` VALUES (60694, 4961, 16, 'Konseling Pre-Abortion');
INSERT INTO `lang_definitions` VALUES (60695, 4962, 16, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (60696, 4964, 16, 'Preferensi');
INSERT INTO `lang_definitions` VALUES (60697, 4965, 16, 'Kategori Event Pilihan');
INSERT INTO `lang_definitions` VALUES (60698, 4966, 16, 'Bahasa Pilihan');
INSERT INTO `lang_definitions` VALUES (60699, 4967, 16, 'Farmasi Pilihan');
INSERT INTO `lang_definitions` VALUES (60700, 4968, 16, 'Organisasi Provider Pilihan (PPO)');
INSERT INTO `lang_definitions` VALUES (60701, 4969, 16, 'Tes Preg');
INSERT INTO `lang_definitions` VALUES (60702, 4970, 16, 'Pendahuluan');
INSERT INTO `lang_definitions` VALUES (60703, 4972, 16, 'Pembayaran Langsung');
INSERT INTO `lang_definitions` VALUES (60704, 4973, 16, 'Resep');
INSERT INTO `lang_definitions` VALUES (60705, 4974, 16, 'resep telah mencapai batasnya dari');
INSERT INTO `lang_definitions` VALUES (60706, 4975, 16, 'Riwayat Resep');
INSERT INTO `lang_definitions` VALUES (60707, 4976, 16, 'Impor Riwayat Resep telah berhasil');
INSERT INTO `lang_definitions` VALUES (60708, 4977, 16, 'Label Resep');
INSERT INTO `lang_definitions` VALUES (60709, 4978, 16, 'Laporan Resep');
INSERT INTO `lang_definitions` VALUES (60710, 4979, 16, 'Resep');
INSERT INTO `lang_definitions` VALUES (60711, 4980, 16, 'Resep dan Dispensasi');
INSERT INTO `lang_definitions` VALUES (60712, 4981, 16, 'Resep dan rujukan lainnya');
INSERT INTO `lang_definitions` VALUES (60713, 4982, 16, 'Resep dan/atau rujukan oleh ahli');
INSERT INTO `lang_definitions` VALUES (60714, 4983, 16, 'Laporan Resep');
INSERT INTO `lang_definitions` VALUES (60715, 4984, 16, 'Resep/Rujukan');
INSERT INTO `lang_definitions` VALUES (60716, 4985, 16, 'Mengajukan');
INSERT INTO `lang_definitions` VALUES (60717, 4986, 16, 'Mengajukan Keluhan');
INSERT INTO `lang_definitions` VALUES (60718, 4988, 16, 'Tekan Lanjut untuk meneruskan');
INSERT INTO `lang_definitions` VALUES (60719, 4989, 16, 'Diagnosa yang Diduga');
INSERT INTO `lang_definitions` VALUES (60720, 4990, 16, 'Diagnosa yang DIduga oleh pakar');
INSERT INTO `lang_definitions` VALUES (60721, 4991, 16, 'Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60722, 4992, 16, 'Pengobatan/Pembedahan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60723, 4993, 16, 'Bulan sebelumnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (60724, 4994, 16, 'Tahun sebelumnya (tahan untuk menu)');
INSERT INTO `lang_definitions` VALUES (60725, 4995, 16, 'Perawatan Pencegahan');
INSERT INTO `lang_definitions` VALUES (60726, 4998, 16, 'Pratinjau Event');
INSERT INTO `lang_definitions` VALUES (60727, 5000, 16, 'Pratinjau dari');
INSERT INTO `lang_definitions` VALUES (60728, 5001, 16, 'Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60729, 5002, 16, 'Konsultasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60730, 5003, 16, 'Hari Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60731, 5004, 16, 'Riwayat Sebelumnya/Penyaringan');
INSERT INTO `lang_definitions` VALUES (60732, 5005, 16, 'Bulan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60733, 5006, 16, 'Minggu Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60734, 5007, 16, 'Harga');
INSERT INTO `lang_definitions` VALUES (60735, 5008, 16, 'Diskon Harga');
INSERT INTO `lang_definitions` VALUES (60736, 5009, 16, 'Tingkat Harga');
INSERT INTO `lang_definitions` VALUES (60737, 5010, 16, 'Tingkat Harga:');
INSERT INTO `lang_definitions` VALUES (60738, 5011, 16, 'Harga');
INSERT INTO `lang_definitions` VALUES (60739, 5012, 16, 'Utama/Primer');
INSERT INTO `lang_definitions` VALUES (60740, 5013, 16, 'Entitas/Badan Bisnis Primer');
INSERT INTO `lang_definitions` VALUES (60741, 5014, 16, 'ID pajak Entitas/Badan Bisnis Primer digunakan sebagai id rekening untuk NewCrop ePrescription. Mengubah fasilitas tersebut akan mempengaruh i kerja pada NewCrop.');
INSERT INTO `lang_definitions` VALUES (60742, 5022, 16, 'Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (60743, 5023, 16, 'Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (60744, 5024, 16, 'Data Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (60745, 5025, 16, 'Provider Asuransi Primer');
INSERT INTO `lang_definitions` VALUES (60746, 5026, 16, 'Provider Primer');
INSERT INTO `lang_definitions` VALUES (60747, 5027, 16, 'Cetak');
INSERT INTO `lang_definitions` VALUES (60748, 5028, 16, 'Cetak (HTML)');
INSERT INTO `lang_definitions` VALUES (60749, 5029, 16, 'Cetak (PDF)');
INSERT INTO `lang_definitions` VALUES (60750, 5031, 16, 'Cetak Encounter(Pertemuan) Apapun');
INSERT INTO `lang_definitions` VALUES (60751, 5032, 16, 'Cetak Formulir Rujukan Kosong');
INSERT INTO `lang_definitions` VALUES (60752, 5033, 16, 'Perintah Cetak');
INSERT INTO `lang_definitions` VALUES (60753, 5039, 16, 'Format Cetakan');
INSERT INTO `lang_definitions` VALUES (60754, 5040, 16, 'Panel Empat Cetakan');
INSERT INTO `lang_definitions` VALUES (60755, 5042, 16, 'Pesan cetakan');
INSERT INTO `lang_definitions` VALUES (60756, 5043, 16, 'Cetak Beberapa');
INSERT INTO `lang_definitions` VALUES (60757, 5044, 16, 'Cetak Beberapa Ke Fax');
INSERT INTO `lang_definitions` VALUES (60758, 5045, 16, 'Nama cetakan, tanda dan tanggal.');
INSERT INTO `lang_definitions` VALUES (60759, 5046, 16, 'Cetak Catatan');
INSERT INTO `lang_definitions` VALUES (60760, 5047, 16, 'Cetak Halaman 1');
INSERT INTO `lang_definitions` VALUES (60761, 5048, 16, 'Cetak Halaman 2');
INSERT INTO `lang_definitions` VALUES (60762, 5051, 16, 'Penerima Cetakan oleh Provider');
INSERT INTO `lang_definitions` VALUES (60763, 5052, 16, 'Cetak Record(Catatan)');
INSERT INTO `lang_definitions` VALUES (60764, 5053, 16, 'Cetak Pernyataan yang Dipilih');
INSERT INTO `lang_definitions` VALUES (60765, 5054, 16, 'Cetak Shot Record');
INSERT INTO `lang_definitions` VALUES (60766, 5056, 16, 'Cetak Encounter(Pertemuan) Ini');
INSERT INTO `lang_definitions` VALUES (60767, 5057, 16, 'Cetak catatan ini');
INSERT INTO `lang_definitions` VALUES (60768, 5058, 16, 'Cetak Catatan Ini');
INSERT INTO `lang_definitions` VALUES (60769, 5060, 16, 'Cetak Ke Fax');
INSERT INTO `lang_definitions` VALUES (60770, 5061, 16, 'Tampilan Cetakan');
INSERT INTO `lang_definitions` VALUES (60771, 5062, 16, 'dapat dicetak');
INSERT INTO `lang_definitions` VALUES (60772, 5063, 16, 'Versi Cetakan');
INSERT INTO `lang_definitions` VALUES (60773, 5064, 16, 'Dicetak');
INSERT INTO `lang_definitions` VALUES (60774, 5066, 16, 'Mencetak hasil:');
INSERT INTO `lang_definitions` VALUES (60775, 5067, 16, 'Pencetakan dilewati; lihat output tes di');
INSERT INTO `lang_definitions` VALUES (60776, 5068, 16, 'Pencetakan dilewati; lihat output tes di ');
INSERT INTO `lang_definitions` VALUES (60777, 5069, 16, 'Otorisasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60778, 5070, 16, 'Formulir Otorisasi Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60779, 5071, 16, 'Kunjungan Sebelumnya');
INSERT INTO `lang_definitions` VALUES (60780, 5072, 16, 'Prioritas');
INSERT INTO `lang_definitions` VALUES (60781, 5073, 16, 'Prioritas ');
INSERT INTO `lang_definitions` VALUES (60782, 5074, 16, 'Swasta');
INSERT INTO `lang_definitions` VALUES (60783, 5075, 16, 'Masalah');
INSERT INTO `lang_definitions` VALUES (60784, 5076, 16, 'Masalah DX');
INSERT INTO `lang_definitions` VALUES (60785, 5077, 16, 'Daftar Masalah');
INSERT INTO `lang_definitions` VALUES (60786, 5079, 16, 'Masalah/Isu');
INSERT INTO `lang_definitions` VALUES (60787, 5080, 16, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (60788, 5081, 16, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (60789, 5083, 16, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (60790, 5085, 16, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (60791, 5086, 16, 'Prosedur');
INSERT INTO `lang_definitions` VALUES (60792, 5087, 16, 'Situs Badan Prosedur');
INSERT INTO `lang_definitions` VALUES (60793, 5088, 16, 'Hasil Boolean Prosedur');
INSERT INTO `lang_definitions` VALUES (60794, 5089, 16, 'Kode Prosedur');
INSERT INTO `lang_definitions` VALUES (60795, 5091, 16, 'Lateralitas Prosedur');
INSERT INTO `lang_definitions` VALUES (60796, 5093, 16, 'Prosedur Pesanan');
INSERT INTO `lang_definitions` VALUES (60797, 5095, 16, 'Prosedur Pesanan Untuk');
INSERT INTO `lang_definitions` VALUES (60798, 5102, 16, 'Laporan Prosedur');
INSERT INTO `lang_definitions` VALUES (60799, 5103, 16, 'Status Laporan Prosedur');
INSERT INTO `lang_definitions` VALUES (60800, 5104, 16, 'Hasil Prosedur Abnormal');
INSERT INTO `lang_definitions` VALUES (60801, 5105, 16, 'Status Hasil Prosedur');
INSERT INTO `lang_definitions` VALUES (60802, 5106, 16, 'Hasil Prosedur Abnormal');
INSERT INTO `lang_definitions` VALUES (60803, 5107, 16, 'Rute Prosedur');
INSERT INTO `lang_definitions` VALUES (60804, 5108, 16, 'Jenis Spesimen Prosedur');
INSERT INTO `lang_definitions` VALUES (60805, 5109, 16, 'Laporan Statistik Prosedur');
INSERT INTO `lang_definitions` VALUES (60806, 5110, 16, 'Jenis Prosedur');
INSERT INTO `lang_definitions` VALUES (60807, 5111, 16, 'Jenis Prosedur');
INSERT INTO `lang_definitions` VALUES (60808, 5112, 16, 'Unit(Satuan) Prosedur');
INSERT INTO `lang_definitions` VALUES (60809, 5114, 16, 'Prosedur');
INSERT INTO `lang_definitions` VALUES (60810, 5115, 16, 'Proses');
INSERT INTO `lang_definitions` VALUES (60811, 5117, 16, 'Proses File ERA');
INSERT INTO `lang_definitions` VALUES (60812, 5121, 16, 'Diproses');
INSERT INTO `lang_definitions` VALUES (60813, 5122, 16, 'Diproses oleh');
INSERT INTO `lang_definitions` VALUES (60814, 5123, 16, 'Tanggal Diproses');
INSERT INTO `lang_definitions` VALUES (60815, 5125, 16, 'Pengolahan');
INSERT INTO `lang_definitions` VALUES (60816, 5129, 16, 'Produk');
INSERT INTO `lang_definitions` VALUES (60817, 5130, 16, 'Produk Metode Kontrasepsi');
INSERT INTO `lang_definitions` VALUES (60818, 5132, 16, 'Produk');
INSERT INTO `lang_definitions` VALUES (60819, 5133, 16, 'Produk namun tanpa resep obat dan tanpa template');
INSERT INTO `lang_definitions` VALUES (60820, 5134, 16, 'Prof.');
INSERT INTO `lang_definitions` VALUES (60821, 5135, 16, 'Catatan Perkembangan');
INSERT INTO `lang_definitions` VALUES (60822, 5136, 16, 'Kanker Prostat');
INSERT INTO `lang_definitions` VALUES (60823, 5137, 16, 'Penyaringan Kanker Prostat');
INSERT INTO `lang_definitions` VALUES (60824, 5138, 16, 'Pemeriksaan Prostat');
INSERT INTO `lang_definitions` VALUES (60825, 5139, 16, 'Masalah Prostat');
INSERT INTO `lang_definitions` VALUES (60826, 5140, 16, 'Prostat w/o pembesaran, bengkak, perih');
INSERT INTO `lang_definitions` VALUES (60827, 5142, 16, 'Sediakan path absolut');
INSERT INTO `lang_definitions` VALUES (60828, 5143, 16, 'Sediakan path dari file yang absolut');
INSERT INTO `lang_definitions` VALUES (60829, 5145, 16, 'Sediakan rangkuman klinis untuk pasien untuk setiap kunjungan kantor.');
INSERT INTO `lang_definitions` VALUES (60830, 5146, 16, 'Menyediakan pasien dengan salinan elektronik dari informasi kesehatan mereka (termasuk hasil tes diagnostik, daftar masalah, daftar obat/pengobatan, alergi obat/pengobatan), atas permintaan.');
INSERT INTO `lang_definitions` VALUES (60831, 5147, 16, 'Menyediakan pasien dengan akses elektronik yang tepat terhadap informasi kesehatan mereka (termasuk hasil lab, dafta masalah, daftar obat/pengobatan, alergi obat/pengobatan) dalam waktu empat hari kerja dari informasi yang tersedia untuk EP.');
INSERT INTO `lang_definitions` VALUES (60832, 5148, 16, 'Sediakan Record(Catatan) untuk Pasien untuk Kunjungan');
INSERT INTO `lang_definitions` VALUES (60833, 5149, 16, 'Sediakan Alamat Email yang valid');
INSERT INTO `lang_definitions` VALUES (60834, 5150, 16, 'Sediakan Rangkuman Klinis?');
INSERT INTO `lang_definitions` VALUES (60835, 5151, 16, 'Sediakan Sumber Daya Pendidikan?');
INSERT INTO `lang_definitions` VALUES (60836, 5152, 16, 'Provider/Penyedia');
INSERT INTO `lang_definitions` VALUES (60837, 5156, 16, 'Kesalahan Kecocokan Provider');
INSERT INTO `lang_definitions` VALUES (60838, 5159, 16, 'Nomor Provider');
INSERT INTO `lang_definitions` VALUES (60839, 5162, 16, 'Provider:');
INSERT INTO `lang_definitions` VALUES (60840, 5163, 16, 'Provider');
INSERT INTO `lang_definitions` VALUES (60841, 5164, 16, 'Provider NPI');
INSERT INTO `lang_definitions` VALUES (60842, 5165, 16, 'Provider Melihat Keseluruhan Kalender');
INSERT INTO `lang_definitions` VALUES (60843, 5166, 16, 'Prv');
INSERT INTO `lang_definitions` VALUES (60844, 5167, 16, 'PSA');
INSERT INTO `lang_definitions` VALUES (60845, 5168, 16, 'Psorias');
INSERT INTO `lang_definitions` VALUES (60846, 5169, 16, 'Diagnosa Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60847, 5170, 16, 'Pengobatan Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60848, 5171, 16, 'Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60849, 5172, 16, 'Surat Singkat Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60850, 5173, 16, 'Diagnosa Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60851, 5174, 16, 'Pemeriksaan Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60852, 5175, 16, 'Riwayat Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60853, 5176, 16, 'Intake Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60854, 5177, 16, 'Pengobatan Psikiatrik');
INSERT INTO `lang_definitions` VALUES (60855, 5178, 16, 'Pt %');
INSERT INTO `lang_definitions` VALUES (60856, 5179, 16, 'Catatan Pt');
INSERT INTO `lang_definitions` VALUES (60857, 5180, 16, 'Catatan/Otentikasi Pt');
INSERT INTO `lang_definitions` VALUES (60858, 5181, 16, 'Pt kelebihan pembayaran');
INSERT INTO `lang_definitions` VALUES (60859, 5182, 16, 'Pt Dibayar');
INSERT INTO `lang_definitions` VALUES (60860, 5183, 16, 'Pt Rec Request');
INSERT INTO `lang_definitions` VALUES (60861, 5184, 16, 'Pt pengembalian dana');
INSERT INTO `lang_definitions` VALUES (60862, 5185, 16, 'Pt dirilis');
INSERT INTO `lang_definitions` VALUES (60863, 5186, 16, 'Pt Lapor');
INSERT INTO `lang_definitions` VALUES (60864, 5187, 16, 'PT Siswa, atau biarkan kosong');
INSERT INTO `lang_definitions` VALUES (60865, 5188, 16, 'PT_KOTA');
INSERT INTO `lang_definitions` VALUES (60866, 5189, 16, 'PT_TGLLHR');
INSERT INTO `lang_definitions` VALUES (60867, 5191, 16, 'PT_NAMAAWL');
INSERT INTO `lang_definitions` VALUES (60868, 5192, 16, 'PT_NAMATGH');
INSERT INTO `lang_definitions` VALUES (60869, 5193, 16, 'PT_NAMAAKHR');
INSERT INTO `lang_definitions` VALUES (60870, 5196, 16, 'PT_POS');
INSERT INTO `lang_definitions` VALUES (60871, 5198, 16, 'PT_NEGARA');
INSERT INTO `lang_definitions` VALUES (60872, 5199, 16, 'PT_JALAN');
INSERT INTO `lang_definitions` VALUES (60873, 5201, 16, 'Publik');
INSERT INTO `lang_definitions` VALUES (60874, 5203, 16, 'Layanan Kesehatan Publik (PHS) atau Badan Federal Lainnya');
INSERT INTO `lang_definitions` VALUES (60875, 5204, 16, 'Puerto Rico');
INSERT INTO `lang_definitions` VALUES (60876, 5205, 16, 'Paru-paru');
INSERT INTO `lang_definitions` VALUES (60877, 5206, 16, 'Nadi');
INSERT INTO `lang_definitions` VALUES (60878, 5207, 16, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (60879, 5208, 16, 'Pembelian');
INSERT INTO `lang_definitions` VALUES (60880, 5209, 16, 'Pembelian/Kembali');
INSERT INTO `lang_definitions` VALUES (60881, 5210, 16, 'Pembelian');
INSERT INTO `lang_definitions` VALUES (60882, 5213, 16, 'q.3h');
INSERT INTO `lang_definitions` VALUES (60883, 5214, 16, 'q.4h');
INSERT INTO `lang_definitions` VALUES (60884, 5215, 16, 'q.5h');
INSERT INTO `lang_definitions` VALUES (60885, 5216, 16, 'q.6h');
INSERT INTO `lang_definitions` VALUES (60886, 5217, 16, 'q.8h');
INSERT INTO `lang_definitions` VALUES (60887, 5218, 16, 'q.d.');
INSERT INTO `lang_definitions` VALUES (60888, 5219, 16, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (60889, 5220, 16, 'QOH');
INSERT INTO `lang_definitions` VALUES (60890, 5221, 16, 'QOH kurang dari pemakaian bulanan');
INSERT INTO `lang_definitions` VALUES (60891, 5222, 16, 'Qty');
INSERT INTO `lang_definitions` VALUES (60892, 5223, 16, 'QTY');
INSERT INTO `lang_definitions` VALUES (60893, 5224, 16, 'Kualitas');
INSERT INTO `lang_definitions` VALUES (60894, 5225, 16, 'Ukuran Kualitas (CQM)');
INSERT INTO `lang_definitions` VALUES (60895, 5226, 16, 'Kuantitas');
INSERT INTO `lang_definitions` VALUES (60896, 5227, 16, 'Kuantitas untuk NDC');
INSERT INTO `lang_definitions` VALUES (60897, 5228, 16, 'Kuantitas Pada Tangan');
INSERT INTO `lang_definitions` VALUES (60898, 5229, 16, 'kuantitas tampaknya tidak dapat digunakan');
INSERT INTO `lang_definitions` VALUES (60899, 5231, 16, 'Tanda Tanya');
INSERT INTO `lang_definitions` VALUES (60900, 5232, 16, 'Antrian untuk batch pengolahan HCFA');
INSERT INTO `lang_definitions` VALUES (60901, 5233, 16, 'Antrian untuk batch pengolahan dan pencetakan HCFA');
INSERT INTO `lang_definitions` VALUES (60902, 5234, 16, 'Antrian untuk batch pengolahan UB-92');
INSERT INTO `lang_definitions` VALUES (60903, 5235, 16, 'Antrian untuk batch pengolahan dan pencetakan UB-92');
INSERT INTO `lang_definitions` VALUES (60904, 5236, 16, 'Antri');
INSERT INTO `lang_definitions` VALUES (60905, 5237, 16, 'Antri Kegiatan Administrasi');
INSERT INTO `lang_definitions` VALUES (60906, 5238, 16, 'Antri untuk');
INSERT INTO `lang_definitions` VALUES (60907, 5240, 16, 'Antri Administrasi Pengiriman');
INSERT INTO `lang_definitions` VALUES (60908, 5241, 16, 'Keluar');
INSERT INTO `lang_definitions` VALUES (60909, 5242, 16, 'Berhenti Alkohol');
INSERT INTO `lang_definitions` VALUES (60910, 5243, 16, 'Ras');
INSERT INTO `lang_definitions` VALUES (60911, 5245, 16, 'Ras');
INSERT INTO `lang_definitions` VALUES (60912, 5246, 16, 'Ras dan Etnis');
INSERT INTO `lang_definitions` VALUES (60913, 5247, 16, 'Ras/Etnis');
INSERT INTO `lang_definitions` VALUES (60914, 5248, 16, 'Radio');
INSERT INTO `lang_definitions` VALUES (60915, 5249, 16, 'Tombol radio');
INSERT INTO `lang_definitions` VALUES (60916, 5251, 16, 'Range(Jarak)');
INSERT INTO `lang_definitions` VALUES (60917, 5252, 16, 'Ruam');
INSERT INTO `lang_definitions` VALUES (60918, 5253, 16, 'Laju');
INSERT INTO `lang_definitions` VALUES (60919, 5254, 16, 'Rasio');
INSERT INTO `lang_definitions` VALUES (60920, 5255, 16, 'Laporan Baku');
INSERT INTO `lang_definitions` VALUES (60921, 5256, 16, 'Identifikasi Kembali');
INSERT INTO `lang_definitions` VALUES (60922, 5257, 16, 'Proses Identifikasi Kembali selesai');
INSERT INTO `lang_definitions` VALUES (60923, 5258, 16, 'Proses identifikasi Kembali sedang berlangsung');
INSERT INTO `lang_definitions` VALUES (60924, 5259, 16, 'File Identifikasi kembali akan disimpan dalam');
INSERT INTO `lang_definitions` VALUES (60925, 5260, 16, 'Kembali cedera?');
INSERT INTO `lang_definitions` VALUES (60926, 5261, 16, 'Kembali Membuka');
INSERT INTO `lang_definitions` VALUES (60927, 5262, 16, 'Kembali dibuka');
INSERT INTO `lang_definitions` VALUES (60928, 5263, 16, 'Reaksi');
INSERT INTO `lang_definitions` VALUES (60929, 5264, 16, 'Reaksi');
INSERT INTO `lang_definitions` VALUES (60930, 5265, 16, 'Baca');
INSERT INTO `lang_definitions` VALUES (60931, 5268, 16, 'Nama Asli');
INSERT INTO `lang_definitions` VALUES (60932, 5269, 16, 'Benar-benar menghapus');
INSERT INTO `lang_definitions` VALUES (60933, 5270, 16, 'Alasan');
INSERT INTO `lang_definitions` VALUES (60934, 5271, 16, 'Alasan Meninggal');
INSERT INTO `lang_definitions` VALUES (60935, 5272, 16, 'Alasan Kematian');
INSERT INTO `lang_definitions` VALUES (60936, 5274, 16, 'Alasan rujukan');
INSERT INTO `lang_definitions` VALUES (60937, 5275, 16, 'Alasan Kunjungan');
INSERT INTO `lang_definitions` VALUES (60938, 5276, 16, 'Alasan/Formulir');
INSERT INTO `lang_definitions` VALUES (60939, 5277, 16, 'Penerimaan');
INSERT INTO `lang_definitions` VALUES (60940, 5278, 16, 'Terima untuk Pembayaran');
INSERT INTO `lang_definitions` VALUES (60941, 5279, 16, 'Terima yang Dihasilkan');
INSERT INTO `lang_definitions` VALUES (60942, 5280, 16, 'Penerimaan oleh Laporan Metode Pembayaran');
INSERT INTO `lang_definitions` VALUES (60943, 5281, 16, 'Rangkuman Penerimaan');
INSERT INTO `lang_definitions` VALUES (60944, 5282, 16, 'Diterima');
INSERT INTO `lang_definitions` VALUES (60945, 5283, 16, 'Diterima Oleh');
INSERT INTO `lang_definitions` VALUES (60946, 5284, 16, 'Faks yang Diterima');
INSERT INTO `lang_definitions` VALUES (60947, 5287, 16, 'Penerima');
INSERT INTO `lang_definitions` VALUES (60948, 5288, 16, 'ID Penerima');
INSERT INTO `lang_definitions` VALUES (60949, 5289, 16, 'ID Penerima (ISA08)');
INSERT INTO `lang_definitions` VALUES (60950, 5290, 16, 'Kualifikasi ID Penerima (ISA07)');
INSERT INTO `lang_definitions` VALUES (60951, 5292, 16, 'Tiga pasword terakhir tidak diperbolehkan.');
INSERT INTO `lang_definitions` VALUES (60952, 5293, 16, 'Penerima');
INSERT INTO `lang_definitions` VALUES (60953, 5294, 16, 'Daftar Penerima Kosong');
INSERT INTO `lang_definitions` VALUES (60954, 5295, 16, 'Nama Penerima');
INSERT INTO `lang_definitions` VALUES (60955, 5296, 16, 'Penerima dari Pembukaan');
INSERT INTO `lang_definitions` VALUES (60956, 5298, 16, 'Rekomendasi');
INSERT INTO `lang_definitions` VALUES (60957, 5300, 16, 'Rekomendasi');
INSERT INTO `lang_definitions` VALUES (60958, 5301, 16, 'Rekomendasi dan perawatan');
INSERT INTO `lang_definitions` VALUES (60959, 5302, 16, 'Rekomendasi oleh pakar');
INSERT INTO `lang_definitions` VALUES (60960, 5303, 16, 'Record(Catatan)');
INSERT INTO `lang_definitions` VALUES (60961, 5304, 16, 'Catatan telah ada');
INSERT INTO `lang_definitions` VALUES (60962, 5310, 16, 'Penggantian grafik dan catatan pada tanda vital.');
INSERT INTO `lang_definitions` VALUES (60963, 5311, 16, 'Rekam demografis.');
INSERT INTO `lang_definitions` VALUES (60964, 5312, 16, 'Rekam Pengungkapan');
INSERT INTO `lang_definitions` VALUES (60965, 5313, 16, 'Catatan Kebugaran');
INSERT INTO `lang_definitions` VALUES (60966, 5314, 16, 'Rekam Pembayaran');
INSERT INTO `lang_definitions` VALUES (60967, 5315, 16, 'Rekam Tanggal Permintaan');
INSERT INTO `lang_definitions` VALUES (60968, 5316, 16, 'Rekam status merokok untuk pasien 13 tahun atau lebih.');
INSERT INTO `lang_definitions` VALUES (60969, 5317, 16, 'Record(Catatan)');
INSERT INTO `lang_definitions` VALUES (60970, 5318, 16, 'catatan ditemukan');
INSERT INTO `lang_definitions` VALUES (60971, 5319, 16, 'catatan ditemukan.');
INSERT INTO `lang_definitions` VALUES (60972, 5320, 16, 'Penggunaan obat rekreasi');
INSERT INTO `lang_definitions` VALUES (60973, 5321, 16, 'Obat Rekreasi');
INSERT INTO `lang_definitions` VALUES (60974, 5322, 16, 'Rektal');
INSERT INTO `lang_definitions` VALUES (60975, 5323, 16, 'Pemeriksaan Rektal(Dubur)');
INSERT INTO `lang_definitions` VALUES (60976, 5324, 16, 'rektal');
INSERT INTO `lang_definitions` VALUES (60977, 5325, 16, 'Redirection');
INSERT INTO `lang_definitions` VALUES (60978, 5326, 16, 'Kemerahan');
INSERT INTO `lang_definitions` VALUES (60979, 5327, 16, 'dikurangi:');
INSERT INTO `lang_definitions` VALUES (60980, 5328, 16, 'Mengaci');
INSERT INTO `lang_definitions` VALUES (60981, 5329, 16, 'Mengacu oleh/dengan');
INSERT INTO `lang_definitions` VALUES (60982, 5330, 16, 'Mengacu Tanggal');
INSERT INTO `lang_definitions` VALUES (60983, 5331, 16, 'Mengacu Ke');
INSERT INTO `lang_definitions` VALUES (60984, 5332, 16, 'Referensi klasifikasi (tingkat resiko)');
INSERT INTO `lang_definitions` VALUES (60985, 5333, 16, 'Referensi berbagai hasil');
INSERT INTO `lang_definitions` VALUES (60986, 5334, 16, 'Alasan Referensi');
INSERT INTO `lang_definitions` VALUES (60987, 5336, 16, 'Nama dan tanda tangan perujuk');
INSERT INTO `lang_definitions` VALUES (60988, 5337, 16, 'Rujukan');
INSERT INTO `lang_definitions` VALUES (60989, 5338, 16, 'Rujukan Oleh');
INSERT INTO `lang_definitions` VALUES (60990, 5339, 16, 'Kartu Rujukan');
INSERT INTO `lang_definitions` VALUES (60991, 5340, 16, 'Tanggal Rujukan');
INSERT INTO `lang_definitions` VALUES (60992, 5341, 16, 'Formulir Rujukan');
INSERT INTO `lang_definitions` VALUES (60993, 5342, 16, 'FORMULIR RUJUKAN');
INSERT INTO `lang_definitions` VALUES (60994, 5343, 16, 'ID Rujukan');
INSERT INTO `lang_definitions` VALUES (60995, 5345, 16, 'Sumber Rujukan');
INSERT INTO `lang_definitions` VALUES (60996, 5346, 16, 'Sumber Rujukan untuk Encounter(Pertemuan)');
INSERT INTO `lang_definitions` VALUES (60997, 5347, 16, 'Rujukan Ke');
INSERT INTO `lang_definitions` VALUES (60998, 5348, 16, 'Rujukan');
INSERT INTO `lang_definitions` VALUES (60999, 5349, 16, 'Laporan Rujukan');
INSERT INTO `lang_definitions` VALUES (61000, 5350, 16, 'Dirujuk oleh');
INSERT INTO `lang_definitions` VALUES (61001, 5351, 16, 'Dirujuk Oleh');
INSERT INTO `lang_definitions` VALUES (61002, 5352, 16, 'Dirujuk ke');
INSERT INTO `lang_definitions` VALUES (61003, 5353, 16, 'Perujuk');
INSERT INTO `lang_definitions` VALUES (61004, 5355, 16, 'Diagnosa Perujuk');
INSERT INTO `lang_definitions` VALUES (61005, 5356, 16, 'Diagnosa perujuk');
INSERT INTO `lang_definitions` VALUES (61006, 5357, 16, 'Merujuk dokter dan praktek');
INSERT INTO `lang_definitions` VALUES (61007, 5358, 16, 'Merujuk Provider');
INSERT INTO `lang_definitions` VALUES (61008, 5359, 16, 'Isi Ulang');
INSERT INTO `lang_definitions` VALUES (61009, 5360, 16, 'Isi Ulang');
INSERT INTO `lang_definitions` VALUES (61010, 5361, 16, 'isi ulang');
INSERT INTO `lang_definitions` VALUES (61011, 5362, 16, 'Refleks Normal');
INSERT INTO `lang_definitions` VALUES (61012, 5363, 16, 'Refresh');
INSERT INTO `lang_definitions` VALUES (61013, 5365, 16, 'Merefresh Pengingat');
INSERT INTO `lang_definitions` VALUES (61014, 5368, 16, 'Menolak Menyatakan');
INSERT INTO `lang_definitions` VALUES (61015, 5369, 16, 'reg_re');
INSERT INTO `lang_definitions` VALUES (61016, 5370, 16, 'mendaftar');
INSERT INTO `lang_definitions` VALUES (61017, 5372, 16, 'Terdaftar');
INSERT INTO `lang_definitions` VALUES (61018, 5373, 16, 'terdaftar');
INSERT INTO `lang_definitions` VALUES (61019, 5375, 16, 'Tanggal Registrasi');
INSERT INTO `lang_definitions` VALUES (61020, 5376, 16, 'Formulir Registrasi');
INSERT INTO `lang_definitions` VALUES (61021, 5377, 16, 'Rehabilitasi');
INSERT INTO `lang_definitions` VALUES (61022, 5381, 16, 'Berhubungan Ke');
INSERT INTO `lang_definitions` VALUES (61023, 5382, 16, 'Terkait');
INSERT INTO `lang_definitions` VALUES (61024, 5383, 16, 'Isu(Masalah) Terkait');
INSERT INTO `lang_definitions` VALUES (61025, 5385, 16, 'Hubungan/Anak-anak');
INSERT INTO `lang_definitions` VALUES (61026, 5386, 16, 'Hubungan');
INSERT INTO `lang_definitions` VALUES (61027, 5387, 16, 'Hubungan');
INSERT INTO `lang_definitions` VALUES (61028, 5388, 16, 'Urutan relatif entitas ini');
INSERT INTO `lang_definitions` VALUES (61029, 5389, 16, 'Saudara');
INSERT INTO `lang_definitions` VALUES (61030, 5399, 16, 'Mandat Relay(Penyampaian) Kesehatan tidak ada dari akun pengguna.');
INSERT INTO `lang_definitions` VALUES (61031, 5400, 16, 'ID Relay Kesehatan');
INSERT INTO `lang_definitions` VALUES (61032, 5403, 16, 'Agama');
INSERT INTO `lang_definitions` VALUES (61033, 5406, 16, 'Login kembali');
INSERT INTO `lang_definitions` VALUES (61034, 5407, 16, 'Remdr');
INSERT INTO `lang_definitions` VALUES (61035, 5408, 16, 'Ingat Fasilitas yand Dipilih');
INSERT INTO `lang_definitions` VALUES (61036, 5409, 16, 'Pengingat');
INSERT INTO `lang_definitions` VALUES (61037, 5410, 16, 'Interval pengingat');
INSERT INTO `lang_definitions` VALUES (61038, 5411, 16, 'Pengingat Belum Terkirim');
INSERT INTO `lang_definitions` VALUES (61039, 5412, 16, 'Pengingat Dikirim Pada');
INSERT INTO `lang_definitions` VALUES (61040, 5413, 16, 'Pengingat');
INSERT INTO `lang_definitions` VALUES (61041, 5414, 16, 'MENGIRIMKAN KE');
INSERT INTO `lang_definitions` VALUES (61042, 5416, 16, 'Hapus');
INSERT INTO `lang_definitions` VALUES (61043, 5419, 16, 'Hapus Grup');
INSERT INTO `lang_definitions` VALUES (61044, 5420, 16, 'Hapus Formulir Grup');
INSERT INTO `lang_definitions` VALUES (61045, 5421, 16, 'Hapus dukungan untuk imunisasi');
INSERT INTO `lang_definitions` VALUES (61046, 5422, 16, 'Hapus dukungan untuk phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (61047, 5423, 16, 'Hapus dukungan untuk resep');
INSERT INTO `lang_definitions` VALUES (61048, 5425, 16, 'Hapus fitur Pelacak Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (61049, 5426, 16, 'Batu Ginjal');
INSERT INTO `lang_definitions` VALUES (61050, 5427, 16, 'Ubah Nama');
INSERT INTO `lang_definitions` VALUES (61051, 5428, 16, 'Ubah Nama Grup');
INSERT INTO `lang_definitions` VALUES (61052, 5429, 16, 'Merender');
INSERT INTO `lang_definitions` VALUES (61053, 5430, 16, 'Merender Provider');
INSERT INTO `lang_definitions` VALUES (61054, 5431, 16, 'Merender Nomor Provider');
INSERT INTO `lang_definitions` VALUES (61055, 5432, 16, 'Susun Ulang');
INSERT INTO `lang_definitions` VALUES (61056, 5433, 16, 'Susun Ulang Pada');
INSERT INTO `lang_definitions` VALUES (61057, 5434, 16, 'Angka pemesanan kembali telah tercapai');
INSERT INTO `lang_definitions` VALUES (61058, 5435, 16, 'Angka pemesanan kembali, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (61059, 5436, 16, 'Rep');
INSERT INTO `lang_definitions` VALUES (61060, 5438, 16, 'Mengulang event');
INSERT INTO `lang_definitions` VALUES (61061, 5439, 16, 'Mengulangi Info:');
INSERT INTO `lang_definitions` VALUES (61062, 5440, 16, 'Mengulang');
INSERT INTO `lang_definitions` VALUES (61063, 5444, 16, 'Tanggal Balasan');
INSERT INTO `lang_definitions` VALUES (61064, 5445, 16, 'Balasan Dari');
INSERT INTO `lang_definitions` VALUES (61065, 5446, 16, 'Laporan');
INSERT INTO `lang_definitions` VALUES (61066, 5447, 16, 'Laporan - Klinis');
INSERT INTO `lang_definitions` VALUES (61067, 5449, 16, 'Laporan oleh');
INSERT INTO `lang_definitions` VALUES (61068, 5457, 16, 'Status Laporan');
INSERT INTO `lang_definitions` VALUES (61069, 5458, 16, 'Total Laporan');
INSERT INTO `lang_definitions` VALUES (61070, 5460, 16, 'Dilaporkan');
INSERT INTO `lang_definitions` VALUES (61071, 5461, 16, 'Dilaporkan');
INSERT INTO `lang_definitions` VALUES (61072, 5462, 16, 'Tanggal Dilaporkan');
INSERT INTO `lang_definitions` VALUES (61073, 5463, 16, 'Laporan');
INSERT INTO `lang_definitions` VALUES (61074, 5467, 16, 'Permintaan diabaikan - mengklaim telah menjalankan proses!');
INSERT INTO `lang_definitions` VALUES (61075, 5474, 16, 'Layanan yang Diminta');
INSERT INTO `lang_definitions` VALUES (61076, 5475, 16, 'Membutuhkan Pasword Kuat');
INSERT INTO `lang_definitions` VALUES (61077, 5476, 16, 'Membutuhkan Pasword Unik');
INSERT INTO `lang_definitions` VALUES (61078, 5477, 16, 'Diperlukan');
INSERT INTO `lang_definitions` VALUES (61079, 5479, 16, 'Field(Bagian) yang diperlukan tidak ada: Silahkan pilih file EDI-271 untuk mengupload');
INSERT INTO `lang_definitions` VALUES (61080, 5480, 16, 'Field(Bagian) yang diperlukan tidak ada: Silahkan masukkan Nama awal');
INSERT INTO `lang_definitions` VALUES (61081, 5481, 16, 'Field(Bagian) yang diperlukan tidak ada: Silahkan masukkan Nama akhir');
INSERT INTO `lang_definitions` VALUES (61082, 5482, 16, 'Field(Bagian) yang diperlukan tidak ada: SIlahkan masukkan Nama Pengguna');
INSERT INTO `lang_definitions` VALUES (61083, 5483, 16, 'Bagian yang dibutuhkan');
INSERT INTO `lang_definitions` VALUES (61084, 5484, 16, 'Persyaratan');
INSERT INTO `lang_definitions` VALUES (61085, 5485, 16, 'DIPESAN');
INSERT INTO `lang_definitions` VALUES (61086, 5486, 16, 'Dipesan');
INSERT INTO `lang_definitions` VALUES (61087, 5487, 16, 'Dicadangkan untuk digunakan mendefinisikan Waktu Liburan Terjadwal');
INSERT INTO `lang_definitions` VALUES (61088, 5488, 16, 'Dicadangkan untuk mendefinisikan ketika provider mungkin tidak memiliki janji temu yang tersedia.');
INSERT INTO `lang_definitions` VALUES (61089, 5489, 16, 'Dicadangkan untuk mendefinisikan ketika sebuah event tidak terjadi seperti yang telah ditentukan.');
INSERT INTO `lang_definitions` VALUES (61090, 5490, 16, 'Dicadangkan untuk mendefinisikan ketika provider mungkin tidak memilik janji temu yang tersedia.');
INSERT INTO `lang_definitions` VALUES (61091, 5491, 16, 'Reset');
INSERT INTO `lang_definitions` VALUES (61092, 5492, 16, 'Reset Mandat Portal Offsite');
INSERT INTO `lang_definitions` VALUES (61093, 5493, 16, 'Reset Mandat Portal Onsite');
INSERT INTO `lang_definitions` VALUES (61094, 5495, 16, 'Resn');
INSERT INTO `lang_definitions` VALUES (61095, 5496, 16, 'Terselesaikan');
INSERT INTO `lang_definitions` VALUES (61096, 5497, 16, 'Pernapasan');
INSERT INTO `lang_definitions` VALUES (61097, 5498, 16, 'Upaya alat pernapasan tidak bekerja');
INSERT INTO `lang_definitions` VALUES (61098, 5499, 16, 'Pernapasan');
INSERT INTO `lang_definitions` VALUES (61099, 5501, 16, 'Membatasi pengguna non-resmi ke Fasilitas Jadwal diatur dalam admin Pengguna.');
INSERT INTO `lang_definitions` VALUES (61100, 5502, 16, 'Membatasi Pengguna ke Fasilitas');
INSERT INTO `lang_definitions` VALUES (61101, 5503, 16, 'Pelatihan Dibatasi');
INSERT INTO `lang_definitions` VALUES (61102, 5504, 16, 'Hasil');
INSERT INTO `lang_definitions` VALUES (61103, 5506, 16, 'Status Hasil');
INSERT INTO `lang_definitions` VALUES (61104, 5507, 16, 'Status hasil atau abmormalitas tidak ada');
INSERT INTO `lang_definitions` VALUES (61105, 5508, 16, 'Hasil, gunakan % sebagai wildcard');
INSERT INTO `lang_definitions` VALUES (61106, 5510, 16, 'Hasil dan');
INSERT INTO `lang_definitions` VALUES (61107, 5511, 16, 'Hasil Ditemukan Untuk Pencarian');
INSERT INTO `lang_definitions` VALUES (61108, 5512, 16, 'Grup Hasil');
INSERT INTO `lang_definitions` VALUES (61109, 5515, 16, 'Hasil per halaman');
INSERT INTO `lang_definitions` VALUES (61110, 5516, 16, 'Hasil/Rincian');
INSERT INTO `lang_definitions` VALUES (61111, 5517, 16, 'Pemeriksaan Retina');
INSERT INTO `lang_definitions` VALUES (61112, 5518, 16, 'Retracted Kanan:');
INSERT INTO `lang_definitions` VALUES (61113, 5519, 16, 'Kembali');
INSERT INTO `lang_definitions` VALUES (61114, 5520, 16, 'Kembali bagian atas dengan pembayaran anda');
INSERT INTO `lang_definitions` VALUES (61115, 5521, 16, 'Kembali ke kalender');
INSERT INTO `lang_definitions` VALUES (61116, 5527, 16, 'Nilai Kembali');
INSERT INTO `lang_definitions` VALUES (61117, 5528, 16, 'Kembali Kunjungi');
INSERT INTO `lang_definitions` VALUES (61118, 5529, 16, 'Kembali ke Bermain');
INSERT INTO `lang_definitions` VALUES (61119, 5534, 16, 'Tinjauan PMH:');
INSERT INTO `lang_definitions` VALUES (61120, 5535, 16, 'Tinjauan Sistem');
INSERT INTO `lang_definitions` VALUES (61121, 5536, 16, 'Tinjauan Cek/Pengujian Sistem');
INSERT INTO `lang_definitions` VALUES (61122, 5537, 16, 'Diulas');
INSERT INTO `lang_definitions` VALUES (61123, 5538, 16, 'Revisi');
INSERT INTO `lang_definitions` VALUES (61124, 5539, 16, 'Arthritis Radang Sendi');
INSERT INTO `lang_definitions` VALUES (61125, 5540, 16, 'Rheumotoid Radang Sendi');
INSERT INTO `lang_definitions` VALUES (61126, 5541, 16, 'Kanan');
INSERT INTO `lang_definitions` VALUES (61127, 5542, 16, 'Telinga Kanan');
INSERT INTO `lang_definitions` VALUES (61128, 5543, 16, 'telinga kanan');
INSERT INTO `lang_definitions` VALUES (61129, 5545, 16, 'Right:');
INSERT INTO `lang_definitions` VALUES (61130, 5546, 16, 'Dering di Telinga');
INSERT INTO `lang_definitions` VALUES (61131, 5547, 16, 'Dering Di Telinga');
INSERT INTO `lang_definitions` VALUES (61132, 5549, 16, 'Faktor-faktor Risiko');
INSERT INTO `lang_definitions` VALUES (61133, 5550, 16, 'Tingkat Risiko');
INSERT INTO `lang_definitions` VALUES (61134, 5551, 16, 'RLL:');
INSERT INTO `lang_definitions` VALUES (61135, 5552, 16, 'ROM');
INSERT INTO `lang_definitions` VALUES (61136, 5553, 16, 'Rumania');
INSERT INTO `lang_definitions` VALUES (61137, 5560, 16, 'Roster');
INSERT INTO `lang_definitions` VALUES (61138, 5561, 16, 'Rute');
INSERT INTO `lang_definitions` VALUES (61139, 5562, 16, 'Rute administrasi, jika berlaku/ada');
INSERT INTO `lang_definitions` VALUES (61140, 5563, 16, 'Rute');
INSERT INTO `lang_definitions` VALUES (61141, 5564, 16, 'Baris');
INSERT INTO `lang_definitions` VALUES (61142, 5565, 16, 'RRR tanpa MOR');
INSERT INTO `lang_definitions` VALUES (61143, 5566, 16, 'Kesulitan:');
INSERT INTO `lang_definitions` VALUES (61144, 5567, 16, 'Kesulitan:');
INSERT INTO `lang_definitions` VALUES (61145, 5568, 16, 'Aturan');
INSERT INTO `lang_definitions` VALUES (61146, 5569, 16, 'Tambah Aturan');
INSERT INTO `lang_definitions` VALUES (61147, 5570, 16, 'Rincian Aturan');
INSERT INTO `lang_definitions` VALUES (61148, 5572, 16, 'Edit Aturan');
INSERT INTO `lang_definitions` VALUES (61149, 5575, 16, 'Set Aturan');
INSERT INTO `lang_definitions` VALUES (61150, 5578, 16, 'Aturan');
INSERT INTO `lang_definitions` VALUES (61151, 5580, 16, 'Konfigurasi Aturan');
INSERT INTO `lang_definitions` VALUES (61152, 5581, 16, 'Perintah yang Berjalan: ');
INSERT INTO `lang_definitions` VALUES (61153, 5582, 16, 'Perpecahan/Putus');
INSERT INTO `lang_definitions` VALUES (61154, 5583, 16, 'Rusia');
INSERT INTO `lang_definitions` VALUES (61155, 5584, 16, 'Rx');
INSERT INTO `lang_definitions` VALUES (61156, 5585, 16, 'RX');
INSERT INTO `lang_definitions` VALUES (61157, 5586, 16, 'Rx Batas Bawah (px)');
INSERT INTO `lang_definitions` VALUES (61158, 5587, 16, 'Rx Aktifkan DEA #');
INSERT INTO `lang_definitions` VALUES (61159, 5588, 16, 'Rx Aktifkan NPI');
INSERT INTO `lang_definitions` VALUES (61160, 5589, 16, 'Rx Aktifkan Lisensi Negara #');
INSERT INTO `lang_definitions` VALUES (61161, 5590, 16, 'Rx Batas Kiri (px)');
INSERT INTO `lang_definitions` VALUES (61162, 5591, 16, 'Rx Ukuran Kertas');
INSERT INTO `lang_definitions` VALUES (61163, 5592, 16, 'Rx Batas Kanan (px)');
INSERT INTO `lang_definitions` VALUES (61164, 5593, 16, 'Rx Tampilkan DEA #');
INSERT INTO `lang_definitions` VALUES (61165, 5594, 16, 'Rx Tampilkan NPI');
INSERT INTO `lang_definitions` VALUES (61166, 5595, 16, 'Rx Tampilkan Lisensi Negara');
INSERT INTO `lang_definitions` VALUES (61167, 5596, 16, 'Rx Batas Atas (px)');
INSERT INTO `lang_definitions` VALUES (61168, 5598, 16, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (61169, 5599, 16, 'Database RxNorm');
INSERT INTO `lang_definitions` VALUES (61170, 5600, 16, 'S');
INSERT INTO `lang_definitions` VALUES (61171, 5601, 16, 'S.S.');
INSERT INTO `lang_definitions` VALUES (61172, 5602, 16, 'S3:');
INSERT INTO `lang_definitions` VALUES (61173, 5603, 16, 'S4:');
INSERT INTO `lang_definitions` VALUES (61174, 5604, 16, 'SA * * Untuk membaca lisensi silahkan baca docs/license.txt atau kunjungi http://www.gnu.org/copyleft/gpl.html * * * / //============ ================================================== =========== / / ');
INSERT INTO `lang_definitions` VALUES (61175, 5605, 16, 'Penjualan');
INSERT INTO `lang_definitions` VALUES (61176, 5606, 16, 'Penjualan');
INSERT INTO `lang_definitions` VALUES (61177, 5607, 16, 'Penjualan Item');
INSERT INTO `lang_definitions` VALUES (61178, 5608, 16, 'Penjualan Laporan Produk');
INSERT INTO `lang_definitions` VALUES (61179, 5609, 16, 'Air Liur');
INSERT INTO `lang_definitions` VALUES (61180, 5610, 16, 'Hari yang Sama');
INSERT INTO `lang_definitions` VALUES (61181, 5611, 16, 'Samoa');
INSERT INTO `lang_definitions` VALUES (61182, 5612, 16, 'Contoh');
INSERT INTO `lang_definitions` VALUES (61183, 5613, 16, 'Jenis Sanksi');
INSERT INTO `lang_definitions` VALUES (61184, 5617, 16, 'Sabtu');
INSERT INTO `lang_definitions` VALUES (61185, 5618, 16, 'Sabtu & Minggu');
INSERT INTO `lang_definitions` VALUES (61186, 5619, 16, 'Sabtu');
INSERT INTO `lang_definitions` VALUES (61187, 5620, 16, 'Simpan');
INSERT INTO `lang_definitions` VALUES (61188, 5621, 16, 'SIMPAN');
INSERT INTO `lang_definitions` VALUES (61189, 5622, 16, 'Simpan dan Tutup');
INSERT INTO `lang_definitions` VALUES (61190, 5624, 16, 'Simpan dan Keluarkan');
INSERT INTO `lang_definitions` VALUES (61191, 5626, 16, 'Simpan sebagai Baru');
INSERT INTO `lang_definitions` VALUES (61192, 5627, 16, 'Simpan sebagai catatan baru');
INSERT INTO `lang_definitions` VALUES (61193, 5628, 16, 'Simpan Pengaturan Sertifikat');
INSERT INTO `lang_definitions` VALUES (61194, 5629, 16, 'Simpan Perubahan');
INSERT INTO `lang_definitions` VALUES (61195, 5630, 16, 'Simpan Formulir');
INSERT INTO `lang_definitions` VALUES (61196, 5631, 16, 'Simpan Imunisasi');
INSERT INTO `lang_definitions` VALUES (61197, 5632, 16, 'Simpan Field(Bagian) baru');
INSERT INTO `lang_definitions` VALUES (61198, 5633, 16, 'Simpan Grup Baru');
INSERT INTO `lang_definitions` VALUES (61199, 5634, 16, 'Simpan Daftar Baru');
INSERT INTO `lang_definitions` VALUES (61200, 5635, 16, 'Simpan template baru');
INSERT INTO `lang_definitions` VALUES (61201, 5637, 16, 'Simpan Demografi Pasien');
INSERT INTO `lang_definitions` VALUES (61202, 5638, 16, 'Penyimpanan Berhasil untuk ID Bagan/Grafik');
INSERT INTO `lang_definitions` VALUES (61203, 5639, 16, 'Simpan Transaksi');
INSERT INTO `lang_definitions` VALUES (61204, 5641, 16, 'Discan');
INSERT INTO `lang_definitions` VALUES (61205, 5642, 16, 'Discan Catatan Encounter (Pertemuan)');
INSERT INTO `lang_definitions` VALUES (61206, 5643, 16, 'Direktori Scanner');
INSERT INTO `lang_definitions` VALUES (61207, 5644, 16, 'Scanner Didalam');
INSERT INTO `lang_definitions` VALUES (61208, 5645, 16, 'Jadwal');
INSERT INTO `lang_definitions` VALUES (61209, 5646, 16, 'Fasilitas Jadwal:');
INSERT INTO `lang_definitions` VALUES (61210, 5647, 16, 'CATATAN SEKOLAH');
INSERT INTO `lang_definitions` VALUES (61211, 5648, 16, 'Scoliosis');
INSERT INTO `lang_definitions` VALUES (61212, 5651, 16, 'SE');
INSERT INTO `lang_definitions` VALUES (61213, 5652, 16, 'SE Alamat');
INSERT INTO `lang_definitions` VALUES (61214, 5653, 16, 'SE Kota');
INSERT INTO `lang_definitions` VALUES (61215, 5654, 16, 'SE Negara');
INSERT INTO `lang_definitions` VALUES (61216, 5655, 16, 'SE Lokalitas');
INSERT INTO `lang_definitions` VALUES (61217, 5656, 16, 'SE Kode Pos');
INSERT INTO `lang_definitions` VALUES (61218, 5657, 16, 'SE Negara');
INSERT INTO `lang_definitions` VALUES (61219, 5658, 16, 'SE Kode Zip');
INSERT INTO `lang_definitions` VALUES (61220, 5659, 16, 'Cari');
INSERT INTO `lang_definitions` VALUES (61221, 5661, 16, 'cari');
INSERT INTO `lang_definitions` VALUES (61222, 5662, 16, 'cari lagi');
INSERT INTO `lang_definitions` VALUES (61223, 5664, 16, 'Cari dengan:');
INSERT INTO `lang_definitions` VALUES (61224, 5665, 16, 'Cari untuk');
INSERT INTO `lang_definitions` VALUES (61225, 5666, 16, 'Cari untuk:');
INSERT INTO `lang_definitions` VALUES (61226, 5668, 16, 'Cari di');
INSERT INTO `lang_definitions` VALUES (61227, 5669, 16, 'Cari atau Tambah Pasien');
INSERT INTO `lang_definitions` VALUES (61228, 5670, 16, 'Cari Pembayaran');
INSERT INTO `lang_definitions` VALUES (61229, 5672, 16, 'Hasil Pencarian:');
INSERT INTO `lang_definitions` VALUES (61230, 5673, 16, 'Cari yang Dipilih');
INSERT INTO `lang_definitions` VALUES (61231, 5674, 16, 'Pencarian string tidak cocok dengan daftar yang ada dalam database');
INSERT INTO `lang_definitions` VALUES (61232, 5675, 16, 'Pencarian string harus setidaknya memiliknya tiga karakter');
INSERT INTO `lang_definitions` VALUES (61233, 5676, 16, 'Cari Teks');
INSERT INTO `lang_definitions` VALUES (61234, 5677, 16, 'Cari Event');
INSERT INTO `lang_definitions` VALUES (61235, 5678, 16, 'Cari/Tambah');
INSERT INTO `lang_definitions` VALUES (61236, 5679, 16, 'Cari/Tambah Penanggung');
INSERT INTO `lang_definitions` VALUES (61237, 5680, 16, 'Mencari janji temu');
INSERT INTO `lang_definitions` VALUES (61238, 5681, 16, 'Mencari...');
INSERT INTO `lang_definitions` VALUES (61239, 5682, 16, 'Pengunaan Sabuk Pengaman');
INSERT INTO `lang_definitions` VALUES (61240, 5683, 16, 'Penggunaan sabuk pengaman');
INSERT INTO `lang_definitions` VALUES (61241, 5684, 16, 'Kedua');
INSERT INTO `lang_definitions` VALUES (61242, 5687, 16, 'Sekunder');
INSERT INTO `lang_definitions` VALUES (61243, 5688, 16, 'Asuransi Sekunder');
INSERT INTO `lang_definitions` VALUES (61244, 5689, 16, 'Data Asuransi Sekunder');
INSERT INTO `lang_definitions` VALUES (61245, 5690, 16, 'Provider Asuransi Sekunder');
INSERT INTO `lang_definitions` VALUES (61246, 5691, 16, 'Jenis Medicare Sekunder');
INSERT INTO `lang_definitions` VALUES (61247, 5698, 16, 'Keamanan');
INSERT INTO `lang_definitions` VALUES (61248, 5699, 16, 'Lihat Semua');
INSERT INTO `lang_definitions` VALUES (61249, 5700, 16, 'Lihat Kewenangan/Otorisasi');
INSERT INTO `lang_definitions` VALUES (61250, 5701, 16, 'Lihat Grafik-Pertumbuhan');
INSERT INTO `lang_definitions` VALUES (61251, 5702, 16, 'Lihat pesan dari set terakhir dari klaim yang dihasilkan');
INSERT INTO `lang_definitions` VALUES (61252, 5704, 16, 'Terlihat sejak');
INSERT INTO `lang_definitions` VALUES (61253, 5707, 16, 'Kejang');
INSERT INTO `lang_definitions` VALUES (61254, 5708, 16, 'Sel');
INSERT INTO `lang_definitions` VALUES (61255, 5709, 16, 'Pilih');
INSERT INTO `lang_definitions` VALUES (61256, 5710, 16, 'pilih');
INSERT INTO `lang_definitions` VALUES (61257, 5712, 16, 'Pilih Konteks');
INSERT INTO `lang_definitions` VALUES (61258, 5714, 16, 'Pilih Jangka Waktu');
INSERT INTO `lang_definitions` VALUES (61259, 5715, 16, 'Pilih Pengguna');
INSERT INTO `lang_definitions` VALUES (61260, 5716, 16, 'Pilih Semua');
INSERT INTO `lang_definitions` VALUES (61262, 5720, 16, 'Pilih kategori');
INSERT INTO `lang_definitions` VALUES (61263, 5722, 16, 'Pilih kotak centang yang sesuai untuk menghapus');
INSERT INTO `lang_definitions` VALUES (61264, 5723, 16, 'Pilih Kriteria untuk');
INSERT INTO `lang_definitions` VALUES (61265, 5725, 16, 'Pilih Data yang Dibutuhkan untuk De Identifikasi');
INSERT INTO `lang_definitions` VALUES (61266, 5726, 16, 'Pilih data yang akan dimasukkan kedalam De Identifikasi data');
INSERT INTO `lang_definitions` VALUES (61267, 5727, 16, 'Pilih tanggal');
INSERT INTO `lang_definitions` VALUES (61268, 5728, 16, 'Pilih regu yang diinginkan');
INSERT INTO `lang_definitions` VALUES (61269, 5729, 16, 'Pilih Diagnosa');
INSERT INTO `lang_definitions` VALUES (61270, 5730, 16, 'Pilih Diagnosa untuk permintaan De Identifikasi');
INSERT INTO `lang_definitions` VALUES (61271, 5731, 16, 'Pilih Obat');
INSERT INTO `lang_definitions` VALUES (61272, 5732, 16, 'Pilih Obat');
INSERT INTO `lang_definitions` VALUES (61273, 5733, 16, 'Pilih Obat untuk permintaan De Identifikasi');
INSERT INTO `lang_definitions` VALUES (61274, 5734, 16, 'Pilih file EDI-271');
INSERT INTO `lang_definitions` VALUES (61275, 5736, 16, 'Pilih field(bagian)');
INSERT INTO `lang_definitions` VALUES (61276, 5737, 16, 'Pilih Field(Bagian)');
INSERT INTO `lang_definitions` VALUES (61277, 5738, 16, 'Pilih untuk pencetakan');
INSERT INTO `lang_definitions` VALUES (61278, 5739, 16, 'Pilih Imunisasi');
INSERT INTO `lang_definitions` VALUES (61279, 5740, 16, 'Pilih Imunisasi untuk permintaan De Identifikasi');
INSERT INTO `lang_definitions` VALUES (61280, 5741, 16, 'Pilih Asuransi, dengan mengetik');
INSERT INTO `lang_definitions` VALUES (61281, 5742, 16, 'Pilih Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (61282, 5744, 16, 'Pilih Bahasa');
INSERT INTO `lang_definitions` VALUES (61283, 5746, 16, 'Pilih satu atau lebih kode diagnosa untuk membenarkan layanan');
INSERT INTO `lang_definitions` VALUES (61284, 5754, 16, 'Pilih item konfigurasi untuk ekspor');
INSERT INTO `lang_definitions` VALUES (61285, 5755, 16, 'Pilih isu(masalah) terutama yang bertanggung jawab atas event yang terlewat hari ini');
INSERT INTO `lang_definitions` VALUES (61286, 5759, 16, 'Pilih Pengguna');
INSERT INTO `lang_definitions` VALUES (61287, 5760, 16, 'Pilih Pengguna Dari Daftar Dropdown');
INSERT INTO `lang_definitions` VALUES (61288, 5761, 16, 'Pilih bahasa, jika ada, dapat dipilih saat login. (hanya relevan jika Semua Bahasa yang Diizinkan diatas dimatikan)');
INSERT INTO `lang_definitions` VALUES (61289, 5762, 16, 'Pilih Ya untuk mengkonfirmasi penghapusan grup');
INSERT INTO `lang_definitions` VALUES (61290, 5765, 16, 'Dipilih');
INSERT INTO `lang_definitions` VALUES (61291, 5766, 16, 'Encounter(Pertemuan) yang Dipilih');
INSERT INTO `lang_definitions` VALUES (61292, 5767, 16, 'Memilih ini akan membuat pesan yang perlu diproses oleh setiap penerima secara individu (ini bukan tugas kelompok)');
INSERT INTO `lang_definitions` VALUES (61293, 5768, 16, 'Diri(Sendiri)');
INSERT INTO `lang_definitions` VALUES (61294, 5769, 16, 'Cukup Bayar/Bayar Sendiri');
INSERT INTO `lang_definitions` VALUES (61295, 5771, 16, 'Kirim');
INSERT INTO `lang_definitions` VALUES (61296, 5772, 16, 'Kirim Pengingat Bertanggal');
INSERT INTO `lang_definitions` VALUES (61297, 5773, 16, 'Kirim Pengingat');
INSERT INTO `lang_definitions` VALUES (61298, 5774, 16, 'Kirim dalam proses');
INSERT INTO `lang_definitions` VALUES (61299, 5775, 16, 'Kirim pesan');
INSERT INTO `lang_definitions` VALUES (61300, 5776, 16, 'Kirim Batch Pengingat');
INSERT INTO `lang_definitions` VALUES (61301, 5777, 16, 'Kirim pengingat kepada pasien tiap keinginan pasien untuk perawatan tindak lanjut/pencegahan');
INSERT INTO `lang_definitions` VALUES (61302, 5778, 16, 'Kirim Rangkuman dengan Rujukan');
INSERT INTO `lang_definitions` VALUES (61303, 5779, 16, 'Kirim file ini');
INSERT INTO `lang_definitions` VALUES (61304, 5780, 16, 'Kirim Pesan Ini');
INSERT INTO `lang_definitions` VALUES (61305, 5781, 16, 'Kirim ke');
INSERT INTO `lang_definitions` VALUES (61306, 5784, 16, 'Kirim ke semua');
INSERT INTO `lang_definitions` VALUES (61307, 5788, 16, 'Pengirim');
INSERT INTO `lang_definitions` VALUES (61308, 5789, 16, 'ID Pengirim');
INSERT INTO `lang_definitions` VALUES (61309, 5790, 16, 'ID Pengirim (ISA06)');
INSERT INTO `lang_definitions` VALUES (61310, 5791, 16, 'Kualifikasi ID Pengirim (ISA05)');
INSERT INTO `lang_definitions` VALUES (61311, 5794, 16, 'Sensitivitas');
INSERT INTO `lang_definitions` VALUES (61312, 5795, 16, 'Sensitivitas:');
INSERT INTO `lang_definitions` VALUES (61313, 5796, 16, 'Pemeriksaan sensorik normal');
INSERT INTO `lang_definitions` VALUES (61314, 5799, 16, 'Dikirim Oleh, Biarkan Kosong Untuk Semua');
INSERT INTO `lang_definitions` VALUES (61315, 5801, 16, 'Tanggal Dikirim');
INSERT INTO `lang_definitions` VALUES (61316, 5802, 16, 'Item Terkirim');
INSERT INTO `lang_definitions` VALUES (61317, 5803, 16, 'Record(Catatan) Medis Terkirim?');
INSERT INTO `lang_definitions` VALUES (61318, 5804, 16, 'Berhasil dikirim');
INSERT INTO `lang_definitions` VALUES (61319, 5807, 16, 'dikirim ke printer.');
INSERT INTO `lang_definitions` VALUES (61320, 5808, 16, 'Dikirim Ke, Biarkan Kosong Untuk Semua');
INSERT INTO `lang_definitions` VALUES (61321, 5812, 16, 'September');
INSERT INTO `lang_definitions` VALUES (61322, 5813, 16, 'Dipisahkan');
INSERT INTO `lang_definitions` VALUES (61323, 5814, 16, 'September');
INSERT INTO `lang_definitions` VALUES (61324, 5815, 16, 'Rangkaian/Urutan');
INSERT INTO `lang_definitions` VALUES (61325, 5816, 16, 'Rangkaian/Urutan');
INSERT INTO `lang_definitions` VALUES (61326, 5821, 16, 'Layanan');
INSERT INTO `lang_definitions` VALUES (61327, 5822, 16, 'Kategori Layanan');
INSERT INTO `lang_definitions` VALUES (61328, 5823, 16, 'Kode Layanan');
INSERT INTO `lang_definitions` VALUES (61329, 5825, 16, 'Kode Layanan');
INSERT INTO `lang_definitions` VALUES (61330, 5826, 16, 'Tanggal Layanan');
INSERT INTO `lang_definitions` VALUES (61331, 5827, 16, 'Tanggal Layanan:');
INSERT INTO `lang_definitions` VALUES (61332, 5829, 16, 'Lokasi Layanan');
INSERT INTO `lang_definitions` VALUES (61333, 5831, 16, 'Layanan disediakan oleh pakar/ahli');
INSERT INTO `lang_definitions` VALUES (61334, 5834, 16, 'Layanan');
INSERT INTO `lang_definitions` VALUES (61335, 5835, 16, 'Layanan dengan Kategori');
INSERT INTO `lang_definitions` VALUES (61336, 5836, 16, 'Layanan disediakan');
INSERT INTO `lang_definitions` VALUES (61337, 5837, 16, 'Layanan Disediakan');
INSERT INTO `lang_definitions` VALUES (61338, 5838, 16, 'Layanan/Produk');
INSERT INTO `lang_definitions` VALUES (61339, 5839, 16, 'Jenis/Tipe Sesi');
INSERT INTO `lang_definitions` VALUES (61340, 5840, 16, 'Set');
INSERT INTO `lang_definitions` VALUES (61341, 5841, 16, 'Set cookie fasilitas untuk mengingat fasilitas yang dipilih antara login.');
INSERT INTO `lang_definitions` VALUES (61342, 5842, 16, 'Set Sebagai Selesai');
INSERT INTO `lang_definitions` VALUES (61343, 5845, 16, 'Set ini ke path absolut penuh. Untuk membuat sertifikat klien SSL untuk HTTPS.');
INSERT INTO `lang_definitions` VALUES (61344, 5846, 16, 'Set Ke/Mulai');
INSERT INTO `lang_definitions` VALUES (61345, 5847, 16, 'Set Default/Standar');
INSERT INTO `lang_definitions` VALUES (61346, 5848, 16, 'Mengatur nomor versi dalam database...');
INSERT INTO `lang_definitions` VALUES (61347, 5849, 16, 'Pengaturan');
INSERT INTO `lang_definitions` VALUES (61348, 5851, 16, 'Migrain Parah');
INSERT INTO `lang_definitions` VALUES (61349, 5853, 16, 'Sakit Parah');
INSERT INTO `lang_definitions` VALUES (61350, 5854, 16, 'Sakit Parah:');
INSERT INTO `lang_definitions` VALUES (61351, 5855, 16, 'Seks(Jenis Kelamin)');
INSERT INTO `lang_definitions` VALUES (61352, 5856, 16, 'Penyakit Seksual Menular');
INSERT INTO `lang_definitions` VALUES (61353, 5858, 16, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (61354, 5859, 16, 'Berbagi');
INSERT INTO `lang_definitions` VALUES (61355, 5860, 16, 'Perintah Shell untuk mencetak dari server.');
INSERT INTO `lang_definitions` VALUES (61356, 5864, 16, 'Sesak Napas');
INSERT INTO `lang_definitions` VALUES (61357, 5865, 16, 'Sesak Napas');
INSERT INTO `lang_definitions` VALUES (61358, 5866, 16, 'Sesak Napas 2');
INSERT INTO `lang_definitions` VALUES (61359, 5867, 16, 'Rekam Foto');
INSERT INTO `lang_definitions` VALUES (61360, 5868, 16, 'Rekam Foto sebagai:');
INSERT INTO `lang_definitions` VALUES (61361, 5870, 16, 'harus seperti nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (61362, 5871, 16, 'Harus dua huruf');
INSERT INTO `lang_definitions` VALUES (61363, 5872, 16, 'harus berisi 10 digit');
INSERT INTO `lang_definitions` VALUES (61364, 5873, 16, 'harus berisi hanya 10 digit');
INSERT INTO `lang_definitions` VALUES (61365, 5874, 16, 'Bahu');
INSERT INTO `lang_definitions` VALUES (61366, 5875, 16, 'Bahu + tulang selangka');
INSERT INTO `lang_definitions` VALUES (61367, 5876, 16, 'Masalah Bahu');
INSERT INTO `lang_definitions` VALUES (61368, 5877, 16, 'Tampilkan');
INSERT INTO `lang_definitions` VALUES (61369, 5880, 16, 'Tampilkan Semua');
INSERT INTO `lang_definitions` VALUES (61370, 5883, 16, 'Tampilkan Semua Transaksi');
INSERT INTO `lang_definitions` VALUES (61371, 5884, 16, 'Tampilkan sebagai Sibuk');
INSERT INTO `lang_definitions` VALUES (61372, 5885, 16, 'Tampilkan Hanya yang Diizinkan');
INSERT INTO `lang_definitions` VALUES (61373, 5886, 16, 'Tampilkan Waktu yang Tersedia');
INSERT INTO `lang_definitions` VALUES (61374, 5887, 16, 'Tampilkan US dan metrik (unit utama adalah metrik)');
INSERT INTO `lang_definitions` VALUES (61375, 5888, 16, 'Tampilkan US dan metrik (unit utama adalah US)');
INSERT INTO `lang_definitions` VALUES (61376, 5889, 16, 'Tampilkan Rincian');
INSERT INTO `lang_definitions` VALUES (61377, 5891, 16, 'Tampilkan Grafik');
INSERT INTO `lang_definitions` VALUES (61378, 5892, 16, 'Tampilkan teks event melayang pada mouse?');
INSERT INTO `lang_definitions` VALUES (61379, 5893, 16, 'Tampilkan berapa banyak event pada halaman admin?');
INSERT INTO `lang_definitions` VALUES (61380, 5896, 16, 'Tampilkan Menu');
INSERT INTO `lang_definitions` VALUES (61381, 5897, 16, 'Tampilkan metrik saja');
INSERT INTO `lang_definitions` VALUES (61382, 5898, 16, 'Tampilkan Catatan');
INSERT INTO `lang_definitions` VALUES (61383, 5901, 16, 'Tampilkan Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (61384, 5904, 16, 'Tampilkan Primer Lengkap');
INSERT INTO `lang_definitions` VALUES (61385, 5905, 16, 'Tampilkan Pengingat');
INSERT INTO `lang_definitions` VALUES (61386, 5906, 16, 'Tampilkan Laporan');
INSERT INTO `lang_definitions` VALUES (61387, 5907, 16, 'Tampilkan link pencarian/penyeraham pad blok?');
INSERT INTO `lang_definitions` VALUES (61388, 5910, 16, 'Tampilkan formulir negara custom untuk menambah daftar widget (akan meminta untuk judul dan singkatan).');
INSERT INTO `lang_definitions` VALUES (61389, 5913, 16, 'Tampilkan Hanya yang Belum Ditagih');
INSERT INTO `lang_definitions` VALUES (61390, 5914, 16, 'Tampilkan US saja');
INSERT INTO `lang_definitions` VALUES (61391, 5920, 16, 'Saudara Kandung');
INSERT INTO `lang_definitions` VALUES (61392, 5921, 16, 'Sel Sabit/Arit');
INSERT INTO `lang_definitions` VALUES (61393, 5922, 16, 'Sig');
INSERT INTO `lang_definitions` VALUES (61394, 5923, 16, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (61395, 5925, 16, 'Tanda Tangan Hasil Lab (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (61396, 5926, 16, 'Tanda Tangan Hasil');
INSERT INTO `lang_definitions` VALUES (61397, 5927, 16, 'Tanda Tangan');
INSERT INTO `lang_definitions` VALUES (61398, 5929, 16, 'Tanda Tangan:');
INSERT INTO `lang_definitions` VALUES (61399, 5930, 16, 'Rx yang Ditandatangani');
INSERT INTO `lang_definitions` VALUES (61400, 5932, 16, 'Pembengkakan yang Signifikan:');
INSERT INTO `lang_definitions` VALUES (61401, 5934, 16, 'Co-Pay Sederhana');
INSERT INTO `lang_definitions` VALUES (61402, 5935, 16, 'Demografis Sederhana');
INSERT INTO `lang_definitions` VALUES (61403, 5936, 16, 'Resep Sederhana');
INSERT INTO `lang_definitions` VALUES (61404, 5937, 16, 'Sejak');
INSERT INTO `lang_definitions` VALUES (61405, 5938, 16, 'Sungguh-sungguh,');
INSERT INTO `lang_definitions` VALUES (61406, 5940, 16, 'Tunggal');
INSERT INTO `lang_definitions` VALUES (61407, 5941, 16, 'Daftar pemilihan-tunggal');
INSERT INTO `lang_definitions` VALUES (61408, 5942, 16, 'Daftar pemilihan-tunggal dengan kemampuan untuk menambah ke daftar');
INSERT INTO `lang_definitions` VALUES (61409, 5946, 16, 'Masalah Sinus');
INSERT INTO `lang_definitions` VALUES (61410, 5947, 16, 'Bedah Sinus');
INSERT INTO `lang_definitions` VALUES (61411, 5948, 16, 'KELEMBUTAN SINUS');
INSERT INTO `lang_definitions` VALUES (61412, 5949, 16, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (61413, 5951, 16, 'ID Situs');
INSERT INTO `lang_definitions` VALUES (61414, 5953, 16, 'ID Situs untuk Dukungan LibreEHR Lab Exchange Service (Layanan Pertukaran Lab).');
INSERT INTO `lang_definitions` VALUES (61415, 5956, 16, 'Ukuran');
INSERT INTO `lang_definitions` VALUES (61416, 5957, 16, 'Ukuran harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (61417, 5958, 16, 'Ukuran/Daftar');
INSERT INTO `lang_definitions` VALUES (61418, 5959, 16, 'Kulit');
INSERT INTO `lang_definitions` VALUES (61419, 5960, 16, 'Kanker Kulit');
INSERT INTO `lang_definitions` VALUES (61420, 5961, 16, 'Penyakit Kulit');
INSERT INTO `lang_definitions` VALUES (61421, 5962, 16, 'Kulit Lainnya');
INSERT INTO `lang_definitions` VALUES (61422, 5963, 16, 'Lewat Otorisasi Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (61423, 5964, 16, 'Melewatkan bagian');
INSERT INTO `lang_definitions` VALUES (61424, 5965, 16, 'Melewatkan SQL-Ledger dump - tidak diimplementasikan untuk Windows server');
INSERT INTO `lang_definitions` VALUES (61425, 5967, 16, 'Pola Tidur');
INSERT INTO `lang_definitions` VALUES (61426, 5968, 16, 'Pola tidur');
INSERT INTO `lang_definitions` VALUES (61427, 5969, 16, 'Tidur');
INSERT INTO `lang_definitions` VALUES (61428, 5970, 16, 'Slovakia');
INSERT INTO `lang_definitions` VALUES (61429, 5972, 16, 'Sm hutang w/o');
INSERT INTO `lang_definitions` VALUES (61430, 5973, 16, 'Smarty Cache telah dikosongkan');
INSERT INTO `lang_definitions` VALUES (61431, 5974, 16, 'Perokok, status sekarang tidak diketahui');
INSERT INTO `lang_definitions` VALUES (61432, 5976, 16, 'Status Merokok');
INSERT INTO `lang_definitions` VALUES (61433, 5977, 16, 'SMS Otentikasi');
INSERT INTO `lang_definitions` VALUES (61434, 5978, 16, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (61435, 5979, 16, 'Kunci API SMS Gateway');
INSERT INTO `lang_definitions` VALUES (61436, 5980, 16, 'Kunci API SMS Gateway');
INSERT INTO `lang_definitions` VALUES (61437, 5981, 16, 'Pasword SMS Gateway');
INSERT INTO `lang_definitions` VALUES (61438, 5982, 16, 'Nama Pengguna SMS Gateway');
INSERT INTO `lang_definitions` VALUES (61439, 5983, 16, 'SMS Notifikasi/Pemberitahuan');
INSERT INTO `lang_definitions` VALUES (61440, 5984, 16, 'Waktu Notifikasi/Pemberitahuan SMS');
INSERT INTO `lang_definitions` VALUES (61441, 5985, 16, 'Mengirim SMS sebelum');
INSERT INTO `lang_definitions` VALUES (61442, 5986, 16, 'SMS dikirim');
INSERT INTO `lang_definitions` VALUES (61443, 5987, 16, 'Teks SMS, Tag yang Dapat Digunakan: ***NAMA***, ***PROVIDER***, ***TANGGAL***, ***WAKTUMULAI***, ***WAKTUAKHIR***<br> yakni Yang terhormat ***NAMA***');
INSERT INTO `lang_definitions` VALUES (61444, 5988, 16, 'Pengaturan Tanda/Sinyal SMS/Email');
INSERT INTO `lang_definitions` VALUES (61445, 5989, 16, 'Pasword SMTP untuk Otentikasi');
INSERT INTO `lang_definitions` VALUES (61446, 5992, 16, 'Nama Host Server SMTP');
INSERT INTO `lang_definitions` VALUES (61447, 5993, 16, 'Nomor Port Server SMTP');
INSERT INTO `lang_definitions` VALUES (61448, 5994, 16, 'Pengguna SMTP untuk Otentikasi');
INSERT INTO `lang_definitions` VALUES (61449, 5995, 16, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (61450, 6001, 16, 'Database SNOMED');
INSERT INTO `lang_definitions` VALUES (61451, 6004, 16, 'Dengkur');
INSERT INTO `lang_definitions` VALUES (61452, 6005, 16, 'SOAP');
INSERT INTO `lang_definitions` VALUES (61453, 6006, 16, 'Kesulitan Sosial');
INSERT INTO `lang_definitions` VALUES (61454, 6009, 16, 'Riwayat Sosial:');
INSERT INTO `lang_definitions` VALUES (61455, 6010, 16, 'Nomor Keamanan Sosial');
INSERT INTO `lang_definitions` VALUES (61456, 6011, 16, 'solusi');
INSERT INTO `lang_definitions` VALUES (61457, 6013, 16, 'Konteks Somatic');
INSERT INTO `lang_definitions` VALUES (61458, 6014, 16, 'Beberapa otorisasi tidak ditampilkan. Klik disini untuk melihat semua');
INSERT INTO `lang_definitions` VALUES (61459, 6015, 16, 'Beberapa kode tidak ditampilkan.');
INSERT INTO `lang_definitions` VALUES (61460, 6016, 16, 'Beberapa encounter(pertemuan) tidak ditampilkan. Klik di sini untuk melihat semua.');
INSERT INTO `lang_definitions` VALUES (61461, 6017, 16, 'Beberapa kesalahan telah terjadi selama Proses De Identifikasi');
INSERT INTO `lang_definitions` VALUES (61462, 6018, 16, 'Beberapa catatan tidak ditampilkan.');
INSERT INTO `lang_definitions` VALUES (61463, 6020, 16, 'beberapa kata');
INSERT INTO `lang_definitions` VALUES (61464, 6023, 16, 'Sesuatu yang salah terjadi. Silahkan coba lagi.');
INSERT INTO `lang_definitions` VALUES (61465, 6024, 16, 'Interval Batas Segera (Pengingat Klinis)');
INSERT INTO `lang_definitions` VALUES (61466, 6025, 16, 'Interval Batas Segera (Pengingat Pasien)');
INSERT INTO `lang_definitions` VALUES (61467, 6026, 16, 'Sakit Tenggorokan');
INSERT INTO `lang_definitions` VALUES (61468, 6028, 16, 'Maaf, ada masalah mengupload file anda');
INSERT INTO `lang_definitions` VALUES (61469, 6029, 16, 'Urut berdasarkan');
INSERT INTO `lang_definitions` VALUES (61470, 6030, 16, 'Urut Berdasarkan');
INSERT INTO `lang_definitions` VALUES (61471, 6031, 16, 'Urut berdasarkan Checksum');
INSERT INTO `lang_definitions` VALUES (61472, 6032, 16, 'Urut berdasarkan Komentar');
INSERT INTO `lang_definitions` VALUES (61473, 6033, 16, 'Urut berdasarkan Pengguna Crt');
INSERT INTO `lang_definitions` VALUES (61474, 6034, 16, 'Urut berdasarkan tanggal');
INSERT INTO `lang_definitions` VALUES (61475, 6035, 16, 'Urut berdasarkan tanggal/waktu');
INSERT INTO `lang_definitions` VALUES (61476, 6036, 16, 'Urut berdasarkan Event');
INSERT INTO `lang_definitions` VALUES (61477, 6037, 16, 'Urut berdasarkan Grup');
INSERT INTO `lang_definitions` VALUES (61478, 6040, 16, 'Urut berdasarkan ID Pasien');
INSERT INTO `lang_definitions` VALUES (61479, 6041, 16, 'Urut berdasarkan Sukses');
INSERT INTO `lang_definitions` VALUES (61480, 6043, 16, 'Urut berdasarkan Pengguna');
INSERT INTO `lang_definitions` VALUES (61481, 6044, 16, 'Urut berdasarkan vaksin');
INSERT INTO `lang_definitions` VALUES (61482, 6045, 16, 'Urut Kebawah');
INSERT INTO `lang_definitions` VALUES (61483, 6046, 16, 'Urut Hasil berdasarkan');
INSERT INTO `lang_definitions` VALUES (61484, 6047, 16, 'Urut Keatas');
INSERT INTO `lang_definitions` VALUES (61485, 6048, 16, 'Sumber');
INSERT INTO `lang_definitions` VALUES (61486, 6049, 16, 'Fiel Sumber');
INSERT INTO `lang_definitions` VALUES (61487, 6050, 16, 'Path File Sumber');
INSERT INTO `lang_definitions` VALUES (61488, 6051, 16, 'Sumber tersebut tidak ada untuk kode ');
INSERT INTO `lang_definitions` VALUES (61489, 6052, 16, 'Sumber Lot');
INSERT INTO `lang_definitions` VALUES (61490, 6057, 16, 'Sumber:');
INSERT INTO `lang_definitions` VALUES (61491, 6060, 16, 'Spasi');
INSERT INTO `lang_definitions` VALUES (61492, 6061, 16, 'SPASI');
INSERT INTO `lang_definitions` VALUES (61493, 6062, 16, 'Spanyol');
INSERT INTO `lang_definitions` VALUES (61494, 6063, 16, 'Sapnyol (Amerika Latin)');
INSERT INTO `lang_definitions` VALUES (61495, 6064, 16, 'Spanyol (Spanyol)');
INSERT INTO `lang_definitions` VALUES (61496, 6068, 16, 'Spesialis');
INSERT INTO `lang_definitions` VALUES (61497, 6069, 16, 'Nama dan tanda tangan spesialis');
INSERT INTO `lang_definitions` VALUES (61498, 6071, 16, 'Khusus');
INSERT INTO `lang_definitions` VALUES (61499, 6072, 16, 'Sistem Khusus');
INSERT INTO `lang_definitions` VALUES (61500, 6073, 16, 'Khusus(Keahlian/Bidang):');
INSERT INTO `lang_definitions` VALUES (61501, 6074, 16, 'Spesifik');
INSERT INTO `lang_definitions` VALUES (61502, 6075, 16, 'Aplikasi Spesifik');
INSERT INTO `lang_definitions` VALUES (61503, 6076, 16, 'Layanan Kontrasepsi Spesifik');
INSERT INTO `lang_definitions` VALUES (61504, 6077, 16, 'Hasil Spesifik');
INSERT INTO `lang_definitions` VALUES (61505, 6078, 16, 'Layanan Spesifik');
INSERT INTO `lang_definitions` VALUES (61506, 6079, 16, 'Ditentukan');
INSERT INTO `lang_definitions` VALUES (61507, 6080, 16, 'Tentukan pengaturan untuk kode. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61508, 6081, 16, 'Tentukan pengaturan untuk kode. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61509, 6082, 16, 'Tentukan pengaturan untuk nomor referensi faktur/tagihan. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61510, 6083, 16, 'Tentukan pengaturan untuk nomor referensi faktur/tagihan. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61511, 6084, 16, 'Tentukan pengaturan untuk field(bagian) produk NDC. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61512, 6085, 16, 'Tentukan pengaturan untuk field(bagian) produk NDC. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61513, 6086, 16, 'Tentukan pengaturan untuk ID pasien eksternal. # = digit, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61514, 6087, 16, 'Tentukan pengaturan untuk ID pasien eksternal. # = digit, @ = alfa, * = karakter apapun. Kosongkan jika tidak digunakan.');
INSERT INTO `lang_definitions` VALUES (61515, 6088, 16, 'Contoh/Sampel');
INSERT INTO `lang_definitions` VALUES (61516, 6089, 16, 'Nomor/Identifier Contoh');
INSERT INTO `lang_definitions` VALUES (61517, 6090, 16, 'Jenis Contoh');
INSERT INTO `lang_definitions` VALUES (61518, 6092, 16, 'Ucapan/Bahasa Dikte');
INSERT INTO `lang_definitions` VALUES (61519, 6093, 16, 'Spermisida');
INSERT INTO `lang_definitions` VALUES (61520, 6094, 16, 'Splenektomi');
INSERT INTO `lang_definitions` VALUES (61521, 6095, 16, 'Pasangan');
INSERT INTO `lang_definitions` VALUES (61522, 6097, 16, 'Dahak');
INSERT INTO `lang_definitions` VALUES (61523, 6098, 16, 'Dahak:');
INSERT INTO `lang_definitions` VALUES (61524, 6099, 16, 'SQ');
INSERT INTO `lang_definitions` VALUES (61525, 6102, 16, 'Regu');
INSERT INTO `lang_definitions` VALUES (61526, 6103, 16, 'Keanggotaan Regu');
INSERT INTO `lang_definitions` VALUES (61527, 6104, 16, 'Regu');
INSERT INTO `lang_definitions` VALUES (61528, 6105, 16, 'SRH');
INSERT INTO `lang_definitions` VALUES (61529, 6106, 16, 'SRH - Keluarga Berencana');
INSERT INTO `lang_definitions` VALUES (61530, 6107, 16, 'SRH Non Keluarga Berencana');
INSERT INTO `lang_definitions` VALUES (61531, 6108, 16, 'SRH Rujukan');
INSERT INTO `lang_definitions` VALUES (61532, 6109, 16, 'SRH Formulir Kunjungan');
INSERT INTO `lang_definitions` VALUES (61533, 6110, 16, 'Tanggal Srv');
INSERT INTO `lang_definitions` VALUES (61534, 6111, 16, 'SS');
INSERT INTO `lang_definitions` VALUES (61535, 6112, 16, 'Administrasi Sertifikat SSL');
INSERT INTO `lang_definitions` VALUES (61536, 6113, 16, 'SSN');
INSERT INTO `lang_definitions` VALUES (61537, 6114, 16, 'Stabilitas');
INSERT INTO `lang_definitions` VALUES (61538, 6116, 16, 'Standar');
INSERT INTO `lang_definitions` VALUES (61539, 6117, 16, 'Kode Standar');
INSERT INTO `lang_definitions` VALUES (61540, 6118, 16, 'Ukuran Standar');
INSERT INTO `lang_definitions` VALUES (61541, 6122, 16, 'Nama Standar');
INSERT INTO `lang_definitions` VALUES (61542, 6124, 16, 'Mulai');
INSERT INTO `lang_definitions` VALUES (61543, 6125, 16, 'Mulai (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (61544, 6128, 16, 'Tanggal Mulai');
INSERT INTO `lang_definitions` VALUES (61545, 6129, 16, 'Tanggal Mulai pada Klinik Ini');
INSERT INTO `lang_definitions` VALUES (61546, 6130, 16, 'Tanggal Mulai tidak boleh lebih besar dari Tanggal Akhir');
INSERT INTO `lang_definitions` VALUES (61547, 6131, 16, 'Tanggal mulai:');
INSERT INTO `lang_definitions` VALUES (61548, 6132, 16, 'Tanggal Mulai:');
INSERT INTO `lang_definitions` VALUES (61549, 6133, 16, 'Waktu Mulai');
INSERT INTO `lang_definitions` VALUES (61550, 6134, 16, 'Tanggal Mulai');
INSERT INTO `lang_definitions` VALUES (61551, 6135, 16, 'status');
INSERT INTO `lang_definitions` VALUES (61552, 6136, 16, 'Negara(Bagian)');
INSERT INTO `lang_definitions` VALUES (61553, 6137, 16, 'Jenis Data Negara');
INSERT INTO `lang_definitions` VALUES (61554, 6138, 16, 'Lisensi Negara #');
INSERT INTO `lang_definitions` VALUES (61555, 6139, 16, 'Nomor Lisensi Negara');
INSERT INTO `lang_definitions` VALUES (61556, 6140, 16, 'Daftar negara');
INSERT INTO `lang_definitions` VALUES (61557, 6141, 16, 'Daftar Negara (tulis, hanya tambah opsional)');
INSERT INTO `lang_definitions` VALUES (61558, 6142, 16, 'Field(Bagian) Custom Widget Daftar Negara');
INSERT INTO `lang_definitions` VALUES (61559, 6143, 16, 'Negara Atau Propinsi');
INSERT INTO `lang_definitions` VALUES (61560, 6144, 16, 'Negara/Daerah');
INSERT INTO `lang_definitions` VALUES (61561, 6145, 16, 'Negara/Paroki');
INSERT INTO `lang_definitions` VALUES (61562, 6146, 16, 'RANGKUMAN PERNYATAAN');
INSERT INTO `lang_definitions` VALUES (61563, 6147, 16, 'pernyataan dan updatean faktur/tagihan.');
INSERT INTO `lang_definitions` VALUES (61564, 6148, 16, 'Pernyataan Dikirim:');
INSERT INTO `lang_definitions` VALUES (61565, 6149, 16, 'pernyataan; faktur/tagihan tidak akan diupdate');
INSERT INTO `lang_definitions` VALUES (61566, 6150, 16, 'Teks Statis');
INSERT INTO `lang_definitions` VALUES (61567, 6151, 16, 'Statistik');
INSERT INTO `lang_definitions` VALUES (61568, 6152, 16, 'Status');
INSERT INTO `lang_definitions` VALUES (61569, 6153, 16, 'Status');
INSERT INTO `lang_definitions` VALUES (61570, 6156, 16, 'Status quo');
INSERT INTO `lang_definitions` VALUES (61571, 6158, 16, 'Konseling STD/AIDS');
INSERT INTO `lang_definitions` VALUES (61572, 6159, 16, 'Stength dan Pengkondisian');
INSERT INTO `lang_definitions` VALUES (61573, 6169, 16, 'Kaku Sendi');
INSERT INTO `lang_definitions` VALUES (61574, 6170, 16, 'Kekakuan');
INSERT INTO `lang_definitions` VALUES (61575, 6171, 16, 'Persediaan Bulanan');
INSERT INTO `lang_definitions` VALUES (61576, 6172, 16, 'Sakit Perut');
INSERT INTO `lang_definitions` VALUES (61577, 6174, 16, 'Hash Tersimpan');
INSERT INTO `lang_definitions` VALUES (61578, 6175, 16, 'Ketegangan otot');
INSERT INTO `lang_definitions` VALUES (61579, 6176, 16, 'Aliran');
INSERT INTO `lang_definitions` VALUES (61580, 6177, 16, 'Jalan');
INSERT INTO `lang_definitions` VALUES (61581, 6178, 16, 'Alaman Jalan');
INSERT INTO `lang_definitions` VALUES (61582, 6179, 16, 'Jalan dan Nomor');
INSERT INTO `lang_definitions` VALUES (61583, 6180, 16, 'Kekuatan');
INSERT INTO `lang_definitions` VALUES (61584, 6182, 16, 'Radang Tenggorokan');
INSERT INTO `lang_definitions` VALUES (61585, 6183, 16, 'Tekanan patah tulang');
INSERT INTO `lang_definitions` VALUES (61586, 6184, 16, 'Pemeriksaan Tekanan');
INSERT INTO `lang_definitions` VALUES (61587, 6185, 16, 'Serangan Otak');
INSERT INTO `lang_definitions` VALUES (61588, 6186, 16, 'Pasword yang kuat berarti minimal 8 karakter, dan setidaknya tiga dari: angka, huruf kecil, huruf besar, karakter khusus.');
INSERT INTO `lang_definitions` VALUES (61589, 6188, 16, 'Gaya formulir yang digunakan untuk menambah pasien baru');
INSERT INTO `lang_definitions` VALUES (61590, 6189, 16, 'Sub-kategori');
INSERT INTO `lang_definitions` VALUES (61591, 6190, 16, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (61592, 6191, 16, 'Subkategori');
INSERT INTO `lang_definitions` VALUES (61593, 6192, 16, 'subkategori');
INSERT INTO `lang_definitions` VALUES (61594, 6193, 16, 'subkutan');
INSERT INTO `lang_definitions` VALUES (61595, 6194, 16, 'Subyek');
INSERT INTO `lang_definitions` VALUES (61596, 6195, 16, 'Subyektif');
INSERT INTO `lang_definitions` VALUES (61597, 6196, 16, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (61598, 6197, 16, 'sublingual');
INSERT INTO `lang_definitions` VALUES (61599, 6198, 16, 'Menyerahkan');
INSERT INTO `lang_definitions` VALUES (61600, 6199, 16, 'menyerahkan');
INSERT INTO `lang_definitions` VALUES (61601, 6200, 16, 'Serahkan Semua Konten');
INSERT INTO `lang_definitions` VALUES (61602, 6202, 16, 'Serahkan Event');
INSERT INTO `lang_definitions` VALUES (61603, 6203, 16, 'serahkan formulir');
INSERT INTO `lang_definitions` VALUES (61604, 6204, 16, 'Serahkan Konten yang Dipilih');
INSERT INTO `lang_definitions` VALUES (61605, 6205, 16, 'diserahkan');
INSERT INTO `lang_definitions` VALUES (61606, 6206, 16, 'Diserahkan oleh');
INSERT INTO `lang_definitions` VALUES (61607, 6207, 16, 'Nomor Akses EDI Pengirim (PER06)');
INSERT INTO `lang_definitions` VALUES (61608, 6208, 16, 'Pelanggan');
INSERT INTO `lang_definitions` VALUES (61609, 6209, 16, 'Alamat Langganan');
INSERT INTO `lang_definitions` VALUES (61610, 6213, 16, 'Perusahaan/Majikan Pelanggan');
INSERT INTO `lang_definitions` VALUES (61611, 6214, 16, 'Perusahaan/Majikan Pelanggan(SE)');
INSERT INTO `lang_definitions` VALUES (61612, 6215, 16, 'Alamat Perusahaan/Majikan Pelanggan');
INSERT INTO `lang_definitions` VALUES (61613, 6216, 16, 'Kota Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (61614, 6217, 16, 'Negara Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (61615, 6218, 16, 'Negara Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (61616, 6221, 16, 'Kode Pos Pelanggan Perusahaan/Majikan');
INSERT INTO `lang_definitions` VALUES (61617, 6225, 16, 'Telepon Pelanggan');
INSERT INTO `lang_definitions` VALUES (61618, 6226, 16, 'Hubungan Pelanggan');
INSERT INTO `lang_definitions` VALUES (61619, 6227, 16, 'Hubungan pelanggan bukanlah diri tapi namanya sama! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (61620, 6228, 16, 'Hubungan pelanggan bukanlah diri tapi nomor SS sama! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (61621, 6229, 16, 'Hubungan pelanggan bukanlah diri tapi namanya berbeda! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (61622, 6230, 16, 'Hubungan pelanggan bukanlah diri tapi nomor SS berbeda! Apakah ini benar-benar OK?');
INSERT INTO `lang_definitions` VALUES (61623, 6231, 16, 'Seks(Jenis Kelamin) Pelanggan');
INSERT INTO `lang_definitions` VALUES (61624, 6237, 16, 'Penggantian');
INSERT INTO `lang_definitions` VALUES (61625, 6238, 16, 'penggantian diizinkan');
INSERT INTO `lang_definitions` VALUES (61626, 6240, 16, 'Sukses');
INSERT INTO `lang_definitions` VALUES (61627, 6241, 16, 'sukses');
INSERT INTO `lang_definitions` VALUES (61628, 6242, 16, 'Berhasil mengkonfirmasikan penerimaan hasil laboratorium');
INSERT INTO `lang_definitions` VALUES (61629, 6243, 16, 'Berhasil mendapatkan hasil laboratorium');
INSERT INTO `lang_definitions` VALUES (61630, 6244, 16, 'Berhasil mengambil hasil dari Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (61631, 6246, 16, 'Berhasil ditambahkan kategori');
INSERT INTO `lang_definitions` VALUES (61632, 6247, 16, 'berhasil ditambahkan kategori,');
INSERT INTO `lang_definitions` VALUES (61633, 6248, 16, 'Berhasil Dihapus');
INSERT INTO `lang_definitions` VALUES (61634, 6250, 16, 'Berhasil menginstal database');
INSERT INTO `lang_definitions` VALUES (61635, 6252, 16, 'Berhasil Diubah');
INSERT INTO `lang_definitions` VALUES (61636, 6253, 16, 'Berhasil Disimpan. Apakah anda ingin alokasikan?');
INSERT INTO `lang_definitions` VALUES (61637, 6254, 16, 'Berhasil Disimpan. Apakah anda ingin bagikan?');
INSERT INTO `lang_definitions` VALUES (61638, 6256, 16, 'berhasil disimpan.');
INSERT INTO `lang_definitions` VALUES (61639, 6257, 16, 'Berhasil mengupgrade database.');
INSERT INTO `lang_definitions` VALUES (61640, 6259, 16, 'berhasil.');
INSERT INTO `lang_definitions` VALUES (61641, 6260, 16, 'Bunuh Diri');
INSERT INTO `lang_definitions` VALUES (61642, 6261, 16, 'Rangkuman');
INSERT INTO `lang_definitions` VALUES (61643, 6262, 16, 'Rangkuman dari');
INSERT INTO `lang_definitions` VALUES (61644, 6265, 16, 'Minggu');
INSERT INTO `lang_definitions` VALUES (61645, 6267, 16, 'Minggu');
INSERT INTO `lang_definitions` VALUES (61646, 6268, 16, 'Superbill');
INSERT INTO `lang_definitions` VALUES (61647, 6269, 16, 'Kode Superbill');
INSERT INTO `lang_definitions` VALUES (61648, 6270, 16, 'Administrasi Kode Superbill');
INSERT INTO `lang_definitions` VALUES (61649, 6271, 16, 'Laporan Superbill');
INSERT INTO `lang_definitions` VALUES (61650, 6272, 16, 'Superbill/Lembar Biaya');
INSERT INTO `lang_definitions` VALUES (61651, 6273, 16, 'Superbill');
INSERT INTO `lang_definitions` VALUES (61652, 6274, 16, 'Superbill, kadang-kadang disebut sebagai Encounter Forms atau Routing Slips, adalah bagian penting sebagian besat praktek-praktek medis.');
INSERT INTO `lang_definitions` VALUES (61653, 6275, 16, 'Superuser');
INSERT INTO `lang_definitions` VALUES (61654, 6276, 16, 'Pengawasan');
INSERT INTO `lang_definitions` VALUES (61655, 6278, 16, 'Dokter Pengawasan DEA');
INSERT INTO `lang_definitions` VALUES (61656, 6279, 16, 'Nama awal Dokter Pengawasan');
INSERT INTO `lang_definitions` VALUES (61657, 6280, 16, 'Nama akhir Dokter Pengawasan');
INSERT INTO `lang_definitions` VALUES (61658, 6281, 16, 'Dokter Pengawasan NPI');
INSERT INTO `lang_definitions` VALUES (61659, 6282, 16, 'Dokter Pengawasan UPIN');
INSERT INTO `lang_definitions` VALUES (61660, 6283, 16, 'Nama fasilitas pemasok');
INSERT INTO `lang_definitions` VALUES (61661, 6284, 16, 'Dukungan kalender event yang berlaku untuk beberapa provider');
INSERT INTO `lang_definitions` VALUES (61662, 6285, 16, 'Dukungan ekspor/impor dari konfigurasi data melalui halaman Backup.');
INSERT INTO `lang_definitions` VALUES (61663, 6286, 16, 'Dukungan Multi-Provider Event');
INSERT INTO `lang_definitions` VALUES (61664, 6288, 16, 'Dukungan enkripsi/dekripsi TripleDES saja.');
INSERT INTO `lang_definitions` VALUES (61665, 6289, 16, 'Jenis Permukaan/Latar');
INSERT INTO `lang_definitions` VALUES (61666, 6290, 16, 'Operasi');
INSERT INTO `lang_definitions` VALUES (61667, 6291, 16, 'Operasi');
INSERT INTO `lang_definitions` VALUES (61668, 6293, 16, 'Ditunda');
INSERT INTO `lang_definitions` VALUES (61669, 6294, 16, 'penangguhan');
INSERT INTO `lang_definitions` VALUES (61670, 6295, 16, 'Tanggal Svc');
INSERT INTO `lang_definitions` VALUES (61671, 6296, 16, 'Tanggal Svc:');
INSERT INTO `lang_definitions` VALUES (61672, 6299, 16, 'Berkeringat:');
INSERT INTO `lang_definitions` VALUES (61673, 6300, 16, 'Swedia');
INSERT INTO `lang_definitions` VALUES (61674, 6301, 16, 'Pembengkakan');
INSERT INTO `lang_definitions` VALUES (61675, 6302, 16, 'Pembengkakan Tepat');
INSERT INTO `lang_definitions` VALUES (61676, 6303, 16, 'Pembengkakan Sendi');
INSERT INTO `lang_definitions` VALUES (61677, 6304, 16, 'Pembengkakan Kelenjar Getah Bening');
INSERT INTO `lang_definitions` VALUES (61678, 6305, 16, 'Simbol digunakan sebagai titik desimal untuk mata uang. Tidak digunakan jika Tempat Desimal adalah 0.');
INSERT INTO `lang_definitions` VALUES (61679, 6306, 16, 'Simbol digunakan untuk memisahkan bilangan ribuan untuk mata uang.');
INSERT INTO `lang_definitions` VALUES (61680, 6307, 16, 'Gejala');
INSERT INTO `lang_definitions` VALUES (61681, 6308, 16, 'Sinkronisasi');
INSERT INTO `lang_definitions` VALUES (61682, 6309, 16, 'Sinkronisasi terjemahan dengan tabel bahasa custom.');
INSERT INTO `lang_definitions` VALUES (61683, 6310, 16, 'Sinkronisasi konstan custom baru:');
INSERT INTO `lang_definitions` VALUES (61684, 6311, 16, 'Sinkronisasi bahasa custom baru:');
INSERT INTO `lang_definitions` VALUES (61685, 6312, 16, 'Sinkronisasi definisi baru (Bahasa, Konstan, Definisi):');
INSERT INTO `lang_definitions` VALUES (61686, 6313, 16, 'Sinkop');
INSERT INTO `lang_definitions` VALUES (61687, 6314, 16, 'Pengawasan Sindromik');
INSERT INTO `lang_definitions` VALUES (61688, 6315, 16, 'Pengawasan Sindromik - Non Masalah yang Dilaporkan');
INSERT INTO `lang_definitions` VALUES (61689, 6317, 16, 'Sinovitis, Tubrukan, Radang kandung lendir');
INSERT INTO `lang_definitions` VALUES (61690, 6318, 16, 'Sistem');
INSERT INTO `lang_definitions` VALUES (61691, 6322, 16, 'T');
INSERT INTO `lang_definitions` VALUES (61692, 6323, 16, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (61693, 6324, 16, 'T.V.');
INSERT INTO `lang_definitions` VALUES (61694, 6325, 16, 'Tabel');
INSERT INTO `lang_definitions` VALUES (61695, 6327, 16, 'Pembuatan tabel gagal');
INSERT INTO `lang_definitions` VALUES (61696, 6328, 16, 'Update tabel gagal');
INSERT INTO `lang_definitions` VALUES (61697, 6330, 16, 'tablet');
INSERT INTO `lang_definitions` VALUES (61698, 6332, 16, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (61699, 6335, 16, 'Ambil');
INSERT INTO `lang_definitions` VALUES (61700, 6336, 16, 'Ambil Asuransi, dari Drop Down');
INSERT INTO `lang_definitions` VALUES (61701, 6337, 16, 'Ambil Pembayaran Dari, dari Drop Down');
INSERT INTO `lang_definitions` VALUES (61702, 6338, 16, 'Takeback');
INSERT INTO `lang_definitions` VALUES (61703, 6339, 16, 'Memakan waktu lama');
INSERT INTO `lang_definitions` VALUES (61704, 6340, 16, 'Area Navigasi Tinggi');
INSERT INTO `lang_definitions` VALUES (61705, 6347, 16, 'Tanggal Target');
INSERT INTO `lang_definitions` VALUES (61706, 6351, 16, 'Target/Tindakan Grup');
INSERT INTO `lang_definitions` VALUES (61707, 6354, 16, 'ID Pajak');
INSERT INTO `lang_definitions` VALUES (61708, 6355, 16, 'Persentase Pajak');
INSERT INTO `lang_definitions` VALUES (61709, 6356, 16, 'Pajak');
INSERT INTO `lang_definitions` VALUES (61710, 6357, 16, 'Taksonomi');
INSERT INTO `lang_definitions` VALUES (61711, 6358, 16, 'Td');
INSERT INTO `lang_definitions` VALUES (61712, 6359, 16, 'Tinjauan Cedera Tim');
INSERT INTO `lang_definitions` VALUES (61713, 6360, 16, 'Daftar(Pemain) Tim');
INSERT INTO `lang_definitions` VALUES (61714, 6361, 16, 'Lihat Daftar(Pemain) Tim');
INSERT INTO `lang_definitions` VALUES (61715, 6362, 16, 'Tim/Regu');
INSERT INTO `lang_definitions` VALUES (61716, 6363, 16, 'Telepon');
INSERT INTO `lang_definitions` VALUES (61717, 6364, 16, 'Kode Telepon Negara');
INSERT INTO `lang_definitions` VALUES (61718, 6366, 16, 'Template');
INSERT INTO `lang_definitions` VALUES (61719, 6367, 16, 'Lokasi Template');
INSERT INTO `lang_definitions` VALUES (61720, 6368, 16, 'Metode Template');
INSERT INTO `lang_definitions` VALUES (61721, 6369, 16, 'Temperatur');
INSERT INTO `lang_definitions` VALUES (61722, 6370, 16, 'Template');
INSERT INTO `lang_definitions` VALUES (61723, 6371, 16, 'Nama Template');
INSERT INTO `lang_definitions` VALUES (61724, 6372, 16, 'Nama template tidak bisa dimulai dengan angka.');
INSERT INTO `lang_definitions` VALUES (61725, 6373, 16, 'Template:');
INSERT INTO `lang_definitions` VALUES (61726, 6374, 16, 'Template');
INSERT INTO `lang_definitions` VALUES (61727, 6375, 16, 'Arteri Sementara');
INSERT INTO `lang_definitions` VALUES (61728, 6376, 16, 'Cedera tendon(urat daging)');
INSERT INTO `lang_definitions` VALUES (61729, 6377, 16, 'Tendonitis / osis / radang kandung lendir');
INSERT INTO `lang_definitions` VALUES (61730, 6378, 16, 'Nomor Referensi Faktur Sementara');
INSERT INTO `lang_definitions` VALUES (61731, 6379, 16, 'Tersier');
INSERT INTO `lang_definitions` VALUES (61732, 6380, 16, 'Asuransi Tersier');
INSERT INTO `lang_definitions` VALUES (61733, 6381, 16, 'Data Asuransi Tersier');
INSERT INTO `lang_definitions` VALUES (61734, 6382, 16, 'Provider Asuransi Tersier');
INSERT INTO `lang_definitions` VALUES (61735, 6383, 16, 'Tes Penjadwalan');
INSERT INTO `lang_definitions` VALUES (61736, 6384, 16, 'Tes Sistem');
INSERT INTO `lang_definitions` VALUES (61737, 6385, 16, 'Teks');
INSERT INTO `lang_definitions` VALUES (61738, 6386, 16, 'Teks Diagnosa');
INSERT INTO `lang_definitions` VALUES (61739, 6387, 16, 'Field(Bagian) teks');
INSERT INTO `lang_definitions` VALUES (61740, 6393, 16, 'Tanggal-teks');
INSERT INTO `lang_definitions` VALUES (61741, 6394, 16, 'tanggal-teks');
INSERT INTO `lang_definitions` VALUES (61742, 6395, 16, 'Areateks');
INSERT INTO `lang_definitions` VALUES (61743, 6396, 16, 'areateks');
INSERT INTO `lang_definitions` VALUES (61744, 6397, 16, 'Textbox');
INSERT INTO `lang_definitions` VALUES (61745, 6398, 16, 'textbox');
INSERT INTO `lang_definitions` VALUES (61746, 6399, 16, 'Daftar textbox');
INSERT INTO `lang_definitions` VALUES (61747, 6400, 16, 'textbox daftar');
INSERT INTO `lang_definitions` VALUES (61748, 6401, 16, 'Thai');
INSERT INTO `lang_definitions` VALUES (61749, 6402, 16, 'Terima Kasih');
INSERT INTO `lang_definitions` VALUES (61750, 6403, 16, 'Terima kasih telah memilih');
INSERT INTO `lang_definitions` VALUES (61751, 6404, 16, 'Tombol \'Bersih\' akan menghapus semua pernyataan.');
INSERT INTO `lang_definitions` VALUES (61752, 6405, 16, 'Pernyataan diatas gagal');
INSERT INTO `lang_definitions` VALUES (61753, 6406, 16, 'Sertifikat server SSL Apache dan kunci publik');
INSERT INTO `lang_definitions` VALUES (61754, 6407, 16, 'Sertifikat Otoritas Sertifikat');
INSERT INTO `lang_definitions` VALUES (61755, 6408, 16, 'File klaim: ');
INSERT INTO `lang_definitions` VALUES (61756, 6410, 16, 'Kunci privat yang sesuai');
INSERT INTO `lang_definitions` VALUES (61757, 6413, 16, 'Kunci Penolakan adalah');
INSERT INTO `lang_definitions` VALUES (61758, 6414, 16, 'Kunci Grup Penolakan adalah');
INSERT INTO `lang_definitions` VALUES (61759, 6415, 16, 'Tujuan formulir ditutup');
INSERT INTO `lang_definitions` VALUES (61760, 6416, 16, 'Tujuan formulir ditutup, saya tidak bisa bertindak atas pilihan Anda.');
INSERT INTO `lang_definitions` VALUES (61761, 6418, 16, 'EP, rumah sakit yang memenuhi syarat atau CAH yang menerima pasien dari pengaturan lain atau provider perawatan atau percaya encounter(pertemuan) adalah relevan harus melakukan rekonsiliasi pengobatan.');
INSERT INTO `lang_definitions` VALUES (61762, 6421, 16, 'EP, rumah sakit yang memenuhi syarat atau CAH yang mentransisi pasien mereka ke pengaturan lain dari perawatan atau provider perawatan atau merujuk pasien mereka ke provider perawatan lainnya harus menyediakan rangkuman dari record(catatan) perawatan untuk setiap transisi perawatan atau rujukan.');
INSERT INTO `lang_definitions` VALUES (61763, 6422, 16, 'Event telah disetujui.');
INSERT INTO `lang_definitions` VALUES (61764, 6423, 16, 'Event telah tersembunyi.');
INSERT INTO `lang_definitions` VALUES (61765, 6424, 16, 'Data yang diekspor muncul di area teks dibawah ini. Anda dapat salin dan sisipkan ini ke email atau tujuan lain yang diinginkan.');
INSERT INTO `lang_definitions` VALUES (61766, 6426, 16, 'Data yang diekspor muncul di area teks dibawah ini. Anda dapat salin dan sisipkan ini ke email atau tujuan lain yang diinginkan.');
INSERT INTO `lang_definitions` VALUES (61767, 6427, 16, 'Data yang diekspor muncul di area teks dibawah ini. Anda dapat salin dan sisipkan ini ke email atau tujuan lain yang diinginkan.');
INSERT INTO `lang_definitions` VALUES (61768, 6429, 16, 'File tidak berhasil diganti nama, kesalahan ini biasanya berkaitan dengan masalah hak akses pada sistem penyimpanan.');
INSERT INTO `lang_definitions` VALUES (61769, 6434, 16, 'Event kalender berikut telah ditambahkan:');
INSERT INTO `lang_definitions` VALUES (61770, 6435, 16, 'Event kalender berikut telah dimodifikasi:');
INSERT INTO `lang_definitions` VALUES (61771, 6436, 16, 'Kategori-kategori berikut akan dihapus dari daftar Kategori anda');
INSERT INTO `lang_definitions` VALUES (61772, 6437, 16, 'Rilis database berikut saat ini diinstal');
INSERT INTO `lang_definitions` VALUES (61773, 6439, 16, 'File EDI berikut telah diupload');
INSERT INTO `lang_definitions` VALUES (61774, 6440, 16, 'Login Pengguna Berikut telah diaktifkan:');
INSERT INTO `lang_definitions` VALUES (61775, 6441, 16, 'Kesalahan berikut terjadi');
INSERT INTO `lang_definitions` VALUES (61776, 6444, 16, 'Field(Bagian) berikut dibutuhkan');
INSERT INTO `lang_definitions` VALUES (61777, 6446, 16, 'Field-field berikut harus diisi untuk mengirim permintaan.');
INSERT INTO `lang_definitions` VALUES (61778, 6449, 16, 'Nama host dari mesin repositori audit ATNA.');
INSERT INTO `lang_definitions` VALUES (61779, 6450, 16, 'Jendela awal adalah halaman pencarian faktur. Di bagian atas anda dapat memasukkan sumber (misalnya nomor cek), tanggal bayar dan cek jumlah. Alasan untuk sumber dan tanggal bayar adalah agar anda tidak perlu memasukkannya lagi dan lagi untuk setiap klaim. Jumlah yang anda masukkan akan menurun setiap faktur yang merupakan bagian yang diberikan dari pembayaran, dan mudah-mudahan akan berakhir pada nol ketika anda selesai.');
INSERT INTO `lang_definitions` VALUES (61780, 6456, 16, 'Label yang muncul untuk pengguna pada formulir');
INSERT INTO `lang_definitions` VALUES (61781, 6457, 16, 'Panjang tidak boleh melebihi jumlah karakter berikut');
INSERT INTO `lang_definitions` VALUES (61782, 6460, 16, 'Kategori baru akan menjadi sub-kategori dari ');
INSERT INTO `lang_definitions` VALUES (61783, 6461, 16, 'Pasword yang baru tidak bisa sama dengan pasword saat ini.');
INSERT INTO `lang_definitions` VALUES (61784, 6462, 16, 'Field pasword yang baru tidak sama.');
INSERT INTO `lang_definitions` VALUES (61785, 6465, 16, 'Halaman akan diarahkan ke Demografi. Anda dapat mengedit field negara dan mengklik ke NewCrop lagi.');
INSERT INTO `lang_definitions` VALUES (61786, 6466, 16, 'Pasword harus minimal 8 karakter, dan harus');
INSERT INTO `lang_definitions` VALUES (61787, 6468, 16, 'Permintaan record(catatan) pasien telah direkam.');
INSERT INTO `lang_definitions` VALUES (61788, 6469, 16, 'Pengingat pasien telah dikirim');
INSERT INTO `lang_definitions` VALUES (61789, 6470, 16, 'Pengingat pasien telah diupdate');
INSERT INTO `lang_definitions` VALUES (61790, 6472, 16, 'Posting pembayaran tidak bisa menuju dibawah tanggal ini. Ini memastikan bahwa setelah mengambil laporan akhir tidak ada lagi yang mempos untuk tanggal sebelumnya.');
INSERT INTO `lang_definitions` VALUES (61791, 6475, 16, 'Informasi yang tersisa di bawah ini hanya berlaku jika anda posting secara manual, atau jika anda melakukan koreksi manual.');
INSERT INTO `lang_definitions` VALUES (61792, 6477, 16, 'Dokumen yang diminta tidak ada pada lokasi yang diharapkan pada filesystem atau tidak ada cukup izin untuk mengaksesnya.');
INSERT INTO `lang_definitions` VALUES (61793, 6480, 16, 'Sumber dan kolom Tanggal disalin dari halaman pertama, jadi secara normal anda tidak akan perlu untuk menyentuh mereka. Anda dapat menempatkan jumlah pembayaran pada kolom Bayar, jumlah penyesuaian pada kolom Penyesuaian, atau keduanya. Anda juga dapat mengklik \"W\" di sebelah kanan untuk secara otomatis menghitung nilai penyesuaian yang menulis sisa biaya untuk baris item tersebut');
INSERT INTO `lang_definitions` VALUES (61794, 6484, 16, 'Granularity waktu kalender dan interval terkecil dalam menit untuk slot janji temu.');
INSERT INTO `lang_definitions` VALUES (61795, 6485, 16, 'Label yang diterjemahkan yang akan muncul pada form dalam bahasa saat ini');
INSERT INTO `lang_definitions` VALUES (61796, 6486, 16, 'Judul yang diterjemahkan yang akan muncul dalam bahasa saat ini');
INSERT INTO `lang_definitions` VALUES (61797, 6487, 16, 'Terjemahan dari deskripsi dalam bahasa saat ini');
INSERT INTO `lang_definitions` VALUES (61798, 6488, 16, 'Tabel terjemahan disinkronisasi.');
INSERT INTO `lang_definitions` VALUES (61799, 6489, 16, 'Jenis entitas ini');
INSERT INTO `lang_definitions` VALUES (61800, 6490, 16, 'Kode vendor-khusus mengidentifikasi proses atau hasil ini');
INSERT INTO `lang_definitions` VALUES (61801, 6491, 16, 'File X12 serta laporan output yang dihasilkan HTML diarsipkan dalam subdirektori \"era\" dari direktori instalasi utama LibreEHR. Anda akan ingin melihat arsip ini dari waktu ke waktu. URL tersebut adalah');
INSERT INTO `lang_definitions` VALUES (61802, 6492, 16, 'File zip akan berisi item berikut');
INSERT INTO `lang_definitions` VALUES (61803, 6493, 16, 'Tema');
INSERT INTO `lang_definitions` VALUES (61804, 6495, 16, 'Terapi Suntikan');
INSERT INTO `lang_definitions` VALUES (61805, 6496, 16, 'Ada');
INSERT INTO `lang_definitions` VALUES (61806, 6497, 16, 'Saat ini tidak ada resep');
INSERT INTO `lang_definitions` VALUES (61807, 6498, 16, 'Ada beberapa kesalahan dengan penyerahan. Hal ini dijelaskan di bawah ini.');
INSERT INTO `lang_definitions` VALUES (61808, 6500, 16, 'Tidak ada grafik diperiksa.');
INSERT INTO `lang_definitions` VALUES (61809, 6501, 16, 'Tidak ada pengungkapan direkam untuk pasien ini.');
INSERT INTO `lang_definitions` VALUES (61810, 6502, 16, 'Tidak ada Kiriman Baru');
INSERT INTO `lang_definitions` VALUES (61811, 6503, 16, 'Tidak ada catatan pada file untuk pasien ini.');
INSERT INTO `lang_definitions` VALUES (61812, 6504, 16, 'Tidak ada transaksi pada file untuk pasien ini.');
INSERT INTO `lang_definitions` VALUES (61813, 6505, 16, 'Telah ada kesalahan mengirim surat ke');
INSERT INTO `lang_definitions` VALUES (61814, 6506, 16, 'Sudah ada kategori bernama');
INSERT INTO `lang_definitions` VALUES (61815, 6507, 16, 'Sudah ada subkategori bernama');
INSERT INTO `lang_definitions` VALUES (61816, 6508, 16, 'Sudah ada item bernama');
INSERT INTO `lang_definitions` VALUES (61817, 6509, 16, 'Sudah ada permintaan record(catatan) pasien terbuka.');
INSERT INTO `lang_definitions` VALUES (61818, 6510, 16, 'Tidak ada entri COA untuk akun AR ');
INSERT INTO `lang_definitions` VALUES (61819, 6511, 16, 'Tidak ada entri COA untuk rekening kas ');
INSERT INTO `lang_definitions` VALUES (61820, 6512, 16, 'Tidak ada entri COA untuk akun pendapatan ');
INSERT INTO `lang_definitions` VALUES (61821, 6513, 16, 'Tidak ada pasien saat ini');
INSERT INTO `lang_definitions` VALUES (61822, 6515, 16, 'Tidak ada kecocokan untuk id faktur');
INSERT INTO `lang_definitions` VALUES (61823, 6516, 16, 'Tidak ada kecocokan untuk id faktur = ');
INSERT INTO `lang_definitions` VALUES (61824, 6517, 16, 'Tidak ada entri bagian untuk layanan ID ');
INSERT INTO `lang_definitions` VALUES (61825, 6520, 16, 'Ada kesalahan saat memproses permintaan Anda.');
INSERT INTO `lang_definitions` VALUES (61826, 6523, 16, 'Menebal Kanan:');
INSERT INTO `lang_definitions` VALUES (61827, 6524, 16, 'Paha');
INSERT INTO `lang_definitions` VALUES (61828, 6525, 16, 'Paha + hamstring(urat lutut)');
INSERT INTO `lang_definitions` VALUES (61829, 6527, 16, 'Hal-hal yang back office dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (61830, 6528, 16, 'Hal-hal yang back office dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (61831, 6531, 16, 'Hal-hal yang dokter dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (61832, 6532, 16, 'Hal-hal yang dokter dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (61833, 6535, 16, 'Hal-hal yang front office dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (61834, 6536, 16, 'Hal-hal yang front office dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (61835, 6539, 16, 'Hal-hal yang dokter dapat baca dan ubah');
INSERT INTO `lang_definitions` VALUES (61836, 6540, 16, 'Hal-hal yang dokter dapat baca dan masuki namun tidak mengubah');
INSERT INTO `lang_definitions` VALUES (61837, 6542, 16, 'Ketiga');
INSERT INTO `lang_definitions` VALUES (61838, 6544, 16, 'Tindakan ini TIDAK DAPAT dibatalkan.');
INSERT INTO `lang_definitions` VALUES (61839, 6545, 16, 'Tindakan ini tidak dapat dibatalkan.');
INSERT INTO `lang_definitions` VALUES (61840, 6547, 16, 'Tindakan ini akan dicatat,');
INSERT INTO `lang_definitions` VALUES (61841, 6551, 16, 'Kalender Tahun Ini');
INSERT INTO `lang_definitions` VALUES (61842, 6554, 16, 'Klaim ini telah ditolak. Alasan:-');
INSERT INTO `lang_definitions` VALUES (61843, 6555, 16, 'Klaim ini telah diteruskan ke tingkat berikutnya.');
INSERT INTO `lang_definitions` VALUES (61844, 6556, 16, 'Jenis kode ini tidak menerima hubungan.');
INSERT INTO `lang_definitions` VALUES (61845, 6557, 16, 'Konteks ini berisi kategori, yang akan dihapus. Apakah anda masih ingin melanjutkan?');
INSERT INTO `lang_definitions` VALUES (61846, 6558, 16, 'Ini menentukan bagaimana janji temu ditampilkan pada kalender.');
INSERT INTO `lang_definitions` VALUES (61847, 6559, 16, 'Ini menentukan bagaimana skema warna yang digunakan untuk janji temu');
INSERT INTO `lang_definitions` VALUES (61848, 6561, 16, 'Encounter(Pertemuan) Ini');
INSERT INTO `lang_definitions` VALUES (61849, 6565, 16, 'Fitur ini sangat eksperimental dan tidak sepenuhnya diuji. Gunakan dengan resiko anda sendiri!');
INSERT INTO `lang_definitions` VALUES (61850, 6566, 16, 'Nomor faktur ini telah diubah menjadi ');
INSERT INTO `lang_definitions` VALUES (61851, 6575, 16, 'Modul ini dalam mode tes. Database tidak akan diubah.');
INSERT INTO `lang_definitions` VALUES (61852, 6576, 16, 'Modul ini mempromosikan entri yang efisien dari data EOB.');
INSERT INTO `lang_definitions` VALUES (61853, 6577, 16, 'Bulan Ini untuk Tanggal');
INSERT INTO `lang_definitions` VALUES (61854, 6581, 16, 'Halaman ini akan menyertakan inline temasuk halaman login, sehingga kita tidak perlu klik login kembali setiap waktu.');
INSERT INTO `lang_definitions` VALUES (61855, 6582, 16, 'Pasien ini tidak memiliki kegiatan.');
INSERT INTO `lang_definitions` VALUES (61856, 6583, 16, 'ID pasien ini sudah digunakan!');
INSERT INTO `lang_definitions` VALUES (61857, 6584, 16, 'Produk ini memungkinkan hanya satu lot per gudang.');
INSERT INTO `lang_definitions` VALUES (61858, 6591, 16, 'Langkah ini akan menghasilkanm file yang anda harus simpan untuk penggunaan masa depan. File ini tidak dapat dihasilkan kembali. Apakah anda ingin meneruskan?');
INSERT INTO `lang_definitions` VALUES (61859, 6592, 16, 'Pengguna ini bukan anggota dari grup manapun');
INSERT INTO `lang_definitions` VALUES (61860, 6595, 16, 'Kunjungan ini memulai menggunakan kontrasepsi baru');
INSERT INTO `lang_definitions` VALUES (61861, 6596, 16, 'Kunjungan ini akan membutuhkan form GCAC, rujukan atau layanan prosedur.');
INSERT INTO `lang_definitions` VALUES (61862, 6597, 16, 'Ini merupakan form Vital hanya-metrik yang lama, sekarang ditinggalkan.');
INSERT INTO `lang_definitions` VALUES (61863, 6598, 16, 'Minggu Ini untuk Tanggal');
INSERT INTO `lang_definitions` VALUES (61864, 6600, 16, 'Ini akan mengaktifkan pelaporan CCR(Continuity of Care Record) dan CCD(Continuity of Care Document).');
INSERT INTO `lang_definitions` VALUES (61865, 6602, 16, 'Ini akan memungkinkan pemilihan debugging bahasa (\'dummy\').');
INSERT INTO `lang_definitions` VALUES (61866, 6606, 16, 'Ini akan membuat backup dalam format tar dan kemudian mengirimkannya ke browser web anda sehingga anda dapat menyimpannya');
INSERT INTO `lang_definitions` VALUES (61867, 6607, 16, 'Ini akan menonaktifkan pendokumentasian fitur enkripsi dan dekripsi, dan menyembunyikannya pada UI.');
INSERT INTO `lang_definitions` VALUES (61868, 6613, 16, 'Hal ini akan memaksa Widget Tagihan dalam layar Rangkuman Pasien untuk selalu terbuka.');
INSERT INTO `lang_definitions` VALUES (61869, 6617, 16, 'Ini tidak akan mencegah anda ke situs e-Resep.');
INSERT INTO `lang_definitions` VALUES (61870, 6619, 16, 'Ini akan menggunakan daftar imunisasi custom daripada daftar imunisasi CVX standar.');
INSERT INTO `lang_definitions` VALUES (61871, 6622, 16, 'Dada tulang belakang');
INSERT INTO `lang_definitions` VALUES (61872, 6623, 16, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (61873, 6625, 16, 'Tenggorokan');
INSERT INTO `lang_definitions` VALUES (61874, 6626, 16, 'Kanker Tenggorokan');
INSERT INTO `lang_definitions` VALUES (61875, 6627, 16, 'Bedah Kanker Tenggorokan');
INSERT INTO `lang_definitions` VALUES (61876, 6628, 16, 'Trombosa/Struk(Serangan Otak)');
INSERT INTO `lang_definitions` VALUES (61877, 6629, 16, 'Kam');
INSERT INTO `lang_definitions` VALUES (61878, 6630, 16, 'Kamis');
INSERT INTO `lang_definitions` VALUES (61879, 6631, 16, 'Kamis');
INSERT INTO `lang_definitions` VALUES (61880, 6632, 16, 'Tiroid norlam');
INSERT INTO `lang_definitions` VALUES (61881, 6633, 16, 'Masalah Tiroid');
INSERT INTO `lang_definitions` VALUES (61882, 6634, 16, 'TIA');
INSERT INTO `lang_definitions` VALUES (61883, 6636, 16, 'TID');
INSERT INTO `lang_definitions` VALUES (61884, 6638, 16, 'Waktu');
INSERT INTO `lang_definitions` VALUES (61885, 6639, 16, 'Format Tampilan Waktu');
INSERT INTO `lang_definitions` VALUES (61886, 6640, 16, 'Selisih Waktu untuk Tambah (menit 1-60)');
INSERT INTO `lang_definitions` VALUES (61887, 6641, 16, 'Pemilihan waktu');
INSERT INTO `lang_definitions` VALUES (61888, 6647, 16, 'Jangka waktu event');
INSERT INTO `lang_definitions` VALUES (61889, 6648, 16, 'Kali array (N/A)');
INSERT INTO `lang_definitions` VALUES (61890, 6649, 16, 'Timestamp dan Teks');
INSERT INTO `lang_definitions` VALUES (61891, 6650, 16, 'TIN');
INSERT INTO `lang_definitions` VALUES (61892, 6651, 16, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (61893, 6652, 16, 'Judul');
INSERT INTO `lang_definitions` VALUES (61894, 6653, 16, 'Judul V');
INSERT INTO `lang_definitions` VALUES (61895, 6654, 16, 'KolomJudul harus berupa angka antara 1 dan 999');
INSERT INTO `lang_definitions` VALUES (61896, 6655, 16, 'Judul');
INSERT INTO `lang_definitions` VALUES (61897, 6656, 16, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (61898, 6657, 16, 'TMs/EAMs/EE, ext nose');
INSERT INTO `lang_definitions` VALUES (61899, 6658, 16, 'Ke');
INSERT INTO `lang_definitions` VALUES (61900, 6659, 16, 'KE');
INSERT INTO `lang_definitions` VALUES (61901, 6660, 16, 'ke');
INSERT INTO `lang_definitions` VALUES (61902, 6661, 16, 'ke path absolut dari file');
INSERT INTO `lang_definitions` VALUES (61903, 6662, 16, 'Untuk menambah catatan, silahkan klik ');
INSERT INTO `lang_definitions` VALUES (61904, 6663, 16, 'Untuk menambah catatan, silahkan klik disini');
INSERT INTO `lang_definitions` VALUES (61905, 6664, 16, 'Untuk Area yang Terkena');
INSERT INTO `lang_definitions` VALUES (61906, 6665, 16, 'untuk area yang terkena');
INSERT INTO `lang_definitions` VALUES (61907, 6666, 16, 'Untuk secara otomatis membuka form tertentu. Beberapa tim olahraga menggunakan football_injury_audit disini.');
INSERT INTO `lang_definitions` VALUES (61908, 6667, 16, 'Ke Tampilan Tagihan');
INSERT INTO `lang_definitions` VALUES (61909, 6668, 16, 'ke kategori');
INSERT INTO `lang_definitions` VALUES (61910, 6669, 16, 'ke Tampilan Klinis');
INSERT INTO `lang_definitions` VALUES (61911, 6670, 16, 'ke copay');
INSERT INTO `lang_definitions` VALUES (61912, 6672, 16, 'Ke ded\'ble');
INSERT INTO `lang_definitions` VALUES (61913, 6673, 16, 'Ke Dems');
INSERT INTO `lang_definitions` VALUES (61914, 6674, 16, 'Untuk Nonaktifkan sertifikat SSL sisi klien, komentar diatas baris dalam file konfigurasi Apache dan set');
INSERT INTO `lang_definitions` VALUES (61915, 6675, 16, 'Untuk Nonaktifkan HTTPS, komentar diatas baris dalam file konfigurasi Apache dan restart server Apache.');
INSERT INTO `lang_definitions` VALUES (61916, 6676, 16, 'Untuk mengaktifkan sertifikat ssl sisi Klien');
INSERT INTO `lang_definitions` VALUES (61917, 6677, 16, 'Untuk Aktifkan otentikasi sertifikat SSL sisi Klien, HTTPS harus diaktifkan.');
INSERT INTO `lang_definitions` VALUES (61918, 6678, 16, 'Untuk Aktifkan hanya HTTPS, lakukan perubahan diatas dan restart server Apache. Jika anda ingin mengkonfigurasikan sertifikat sisi klien juga, silahkan konfigurasikan pada bagian berikutnya.');
INSERT INTO `lang_definitions` VALUES (61919, 6679, 16, 'Ke Enctr(Pertemuan)');
INSERT INTO `lang_definitions` VALUES (61920, 6680, 16, 'Untuk menyaring berdasarkan jenis kelamin');
INSERT INTO `lang_definitions` VALUES (61921, 6681, 16, 'Ke Riwayat');
INSERT INTO `lang_definitions` VALUES (61922, 6682, 16, 'Ke Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (61923, 6683, 16, 'Untuk menghubungkan encounter(pertemuan)/konsultasi ini ke isu(masalah) yang ada, klik ');
INSERT INTO `lang_definitions` VALUES (61924, 6684, 16, 'Untuk menghubungkan encounter(pertemuan)/konsultasi ini ke isu(masalah) yang ada, klik isu(masalah) yang diinginkan diatas untuk menyorotnya, lalu klik [Simpan].Tahan tombol [Ctrl] untuk memilih beberapa isu(masalah).');
INSERT INTO `lang_definitions` VALUES (61925, 6685, 16, 'untuk login kembali');
INSERT INTO `lang_definitions` VALUES (61926, 6686, 16, 'Untuk merekam pengungkapan, silahkan klik');
INSERT INTO `lang_definitions` VALUES (61927, 6687, 16, 'untuk menjalankan');
INSERT INTO `lang_definitions` VALUES (61928, 6688, 16, 'Untuk mengatur akses https dengan otentikasi sertifikat klien, lakukan hal berikut');
INSERT INTO `lang_definitions` VALUES (61929, 6689, 16, 'Untuk Kulit');
INSERT INTO `lang_definitions` VALUES (61930, 6690, 16, 'untuk kulit');
INSERT INTO `lang_definitions` VALUES (61931, 6691, 16, 'untuk kunjungan ini?');
INSERT INTO `lang_definitions` VALUES (61932, 6693, 16, 'Kepada:');
INSERT INTO `lang_definitions` VALUES (61933, 6694, 16, 'Kepada: ');
INSERT INTO `lang_definitions` VALUES (61934, 6695, 16, 'KE_KOTA');
INSERT INTO `lang_definitions` VALUES (61935, 6696, 16, 'KE_FAKS');
INSERT INTO `lang_definitions` VALUES (61936, 6697, 16, 'KE_NAMAAWL');
INSERT INTO `lang_definitions` VALUES (61937, 6698, 16, 'KE_NAMAAKHR');
INSERT INTO `lang_definitions` VALUES (61938, 6699, 16, 'KE_NAMATGH');
INSERT INTO `lang_definitions` VALUES (61939, 6700, 16, 'KE_ORGANISASI');
INSERT INTO `lang_definitions` VALUES (61940, 6703, 16, 'KE_POS');
INSERT INTO `lang_definitions` VALUES (61941, 6704, 16, 'KE_NEGARA');
INSERT INTO `lang_definitions` VALUES (61942, 6705, 16, 'KE_JALAN');
INSERT INTO `lang_definitions` VALUES (61943, 6706, 16, 'KE_JUDUL');
INSERT INTO `lang_definitions` VALUES (61944, 6707, 16, 'KE_PDTPRPISAHAN');
INSERT INTO `lang_definitions` VALUES (61945, 6708, 16, 'Tembakau');
INSERT INTO `lang_definitions` VALUES (61946, 6709, 16, 'Intervensi Penghentian Tembakau');
INSERT INTO `lang_definitions` VALUES (61947, 6710, 16, 'Intervensi Penghentian Tembakau (CQM)');
INSERT INTO `lang_definitions` VALUES (61948, 6712, 16, 'Penggunaan tembakau');
INSERT INTO `lang_definitions` VALUES (61949, 6713, 16, 'Penilaian Penggunaan Tembakau');
INSERT INTO `lang_definitions` VALUES (61950, 6714, 16, 'Penilaian Penggunaan Tembakau (CQM)');
INSERT INTO `lang_definitions` VALUES (61951, 6715, 16, 'Hari ini');
INSERT INTO `lang_definitions` VALUES (61952, 6716, 16, 'HARI INI');
INSERT INTO `lang_definitions` VALUES (61953, 6717, 16, 'hari ini');
INSERT INTO `lang_definitions` VALUES (61954, 6718, 16, 'Saldo Hari Ini');
INSERT INTO `lang_definitions` VALUES (61955, 6719, 16, 'Biaya Hari Ini');
INSERT INTO `lang_definitions` VALUES (61956, 6720, 16, 'Tanggal Hari Ini');
INSERT INTO `lang_definitions` VALUES (61957, 6721, 16, 'Event Hari Ini');
INSERT INTO `lang_definitions` VALUES (61958, 6724, 16, 'ID Token untuk dukungan LibreEHR LLC Lab Exchange Service');
INSERT INTO `lang_definitions` VALUES (61959, 6726, 16, 'Operasi Amandel');
INSERT INTO `lang_definitions` VALUES (61960, 6728, 16, 'Atas');
INSERT INTO `lang_definitions` VALUES (61961, 6730, 16, 'Topik');
INSERT INTO `lang_definitions` VALUES (61962, 6731, 16, 'Total');
INSERT INTO `lang_definitions` VALUES (61963, 6732, 16, 'total');
INSERT INTO `lang_definitions` VALUES (61964, 6733, 16, 'Jumlah tindakan aktif');
INSERT INTO `lang_definitions` VALUES (61965, 6734, 16, 'Jumlah pengingat aktif setelah update');
INSERT INTO `lang_definitions` VALUES (61966, 6735, 16, 'Jumlah pengingat aktif sebelum update');
INSERT INTO `lang_definitions` VALUES (61967, 6737, 16, 'Total batas jumlah');
INSERT INTO `lang_definitions` VALUES (61968, 6738, 16, 'Total Jumlah Dibayar');
INSERT INTO `lang_definitions` VALUES (61969, 6741, 16, 'Biaya Total');
INSERT INTO `lang_definitions` VALUES (61970, 6742, 16, 'Total Klien');
INSERT INTO `lang_definitions` VALUES (61971, 6743, 16, 'Total Harga');
INSERT INTO `lang_definitions` VALUES (61972, 6744, 16, 'Distribusi Total untuk nomor cek berikut tidak penuh');
INSERT INTO `lang_definitions` VALUES (61973, 6746, 16, 'Jumlah pengingat gagal dikirim melalui email');
INSERT INTO `lang_definitions` VALUES (61974, 6747, 16, 'Jumlah pengingat gagal dikirim melalui telepon');
INSERT INTO `lang_definitions` VALUES (61975, 6748, 16, 'Total untuk');
INSERT INTO `lang_definitions` VALUES (61976, 6749, 16, 'Total untuk ');
INSERT INTO `lang_definitions` VALUES (61977, 6750, 16, 'Total untuk kategori');
INSERT INTO `lang_definitions` VALUES (61978, 6751, 16, 'Total pengingat tidak aktif');
INSERT INTO `lang_definitions` VALUES (61979, 6752, 16, 'Total pengingat baru');
INSERT INTO `lang_definitions` VALUES (61980, 6755, 16, 'Angka Total dari Imunisasi');
INSERT INTO `lang_definitions` VALUES (61981, 6756, 16, 'Angka Total dari Isu(Masalah)');
INSERT INTO `lang_definitions` VALUES (61982, 6758, 16, 'Angka Totatl dari Pasien');
INSERT INTO `lang_definitions` VALUES (61983, 6760, 16, 'Jumlah Saldo Pasien');
INSERT INTO `lang_definitions` VALUES (61984, 6761, 16, 'Jumlah Pasien');
INSERT INTO `lang_definitions` VALUES (61985, 6764, 16, 'Jumlah Record(Catatan) Ditemukan');
INSERT INTO `lang_definitions` VALUES (61986, 6765, 16, 'Total SRH & Keluarga Berencana');
INSERT INTO `lang_definitions` VALUES (61987, 6766, 16, 'Jumlah pengingat berhasil dikirim melalui email');
INSERT INTO `lang_definitions` VALUES (61988, 6767, 16, 'Jumlah pengingat berhasil dikirim melalui telepon');
INSERT INTO `lang_definitions` VALUES (61989, 6770, 16, 'Jumlah pengingat belum diubah');
INSERT INTO `lang_definitions` VALUES (61990, 6771, 16, 'Jumlah pengingat tidak terkirim setelah proses pengiriman');
INSERT INTO `lang_definitions` VALUES (61991, 6772, 16, 'Jumlah pengingat tidak terkirim setelah update');
INSERT INTO `lang_definitions` VALUES (61992, 6773, 16, 'Jumlah pengingat tidak terkirim sebelum proses pengiriman');
INSERT INTO `lang_definitions` VALUES (61993, 6774, 16, 'Jumlah pengingat tidak terkirim sebelum update');
INSERT INTO `lang_definitions` VALUES (61994, 6775, 16, 'Jumlah pengingat yang diupdate');
INSERT INTO `lang_definitions` VALUES (61995, 6776, 16, 'Total');
INSERT INTO `lang_definitions` VALUES (61996, 6777, 16, 'Total untuk');
INSERT INTO `lang_definitions` VALUES (61997, 6778, 16, 'Total untuk ');
INSERT INTO `lang_definitions` VALUES (61998, 6785, 16, 'Jenis Pelatihan');
INSERT INTO `lang_definitions` VALUES (61999, 6786, 16, 'Transaksi');
INSERT INTO `lang_definitions` VALUES (62000, 6787, 16, 'Transaksi');
INSERT INTO `lang_definitions` VALUES (62001, 6788, 16, 'transaksi');
INSERT INTO `lang_definitions` VALUES (62002, 6789, 16, 'Transaksi gagal, jumlah yang tidak cukup pada lot tujuan');
INSERT INTO `lang_definitions` VALUES (62003, 6790, 16, 'Transaksi gagal, jumlah kurang dari nol');
INSERT INTO `lang_definitions` VALUES (62004, 6791, 16, 'Jenis Transaksi');
INSERT INTO `lang_definitions` VALUES (62005, 6792, 16, 'transaksi');
INSERT INTO `lang_definitions` VALUES (62006, 6793, 16, 'Transaksi');
INSERT INTO `lang_definitions` VALUES (62007, 6794, 16, 'Transaksi (tulis opsional)');
INSERT INTO `lang_definitions` VALUES (62008, 6795, 16, 'Transaksi/Rujukan');
INSERT INTO `lang_definitions` VALUES (62009, 6797, 16, 'Transfer');
INSERT INTO `lang_definitions` VALUES (62010, 6799, 16, 'Transfer gagal, jumlah yang tidak cukup pada lot sumber');
INSERT INTO `lang_definitions` VALUES (62011, 6804, 16, 'Transfer');
INSERT INTO `lang_definitions` VALUES (62012, 6806, 16, 'Transisi/Transfer dari Perawatan?');
INSERT INTO `lang_definitions` VALUES (62013, 6807, 16, 'Terjemahkan Grup Kontrol Akses');
INSERT INTO `lang_definitions` VALUES (62014, 6808, 16, 'Terjemahkan Kategori Janji Temu');
INSERT INTO `lang_definitions` VALUES (62015, 6809, 16, 'Terjemahkan Kategori Dokumen');
INSERT INTO `lang_definitions` VALUES (62016, 6810, 16, 'Terjemahkan Tata Letak');
INSERT INTO `lang_definitions` VALUES (62017, 6811, 16, 'Terjemahkan Daftar');
INSERT INTO `lang_definitions` VALUES (62018, 6812, 16, 'Terjemahkan Judul Catatan Pasien');
INSERT INTO `lang_definitions` VALUES (62019, 6813, 16, 'terjemahkan ini');
INSERT INTO `lang_definitions` VALUES (62020, 6814, 16, 'Terjemahan');
INSERT INTO `lang_definitions` VALUES (62021, 6815, 16, 'Terjemahan');
INSERT INTO `lang_definitions` VALUES (62022, 6819, 16, 'Trauma');
INSERT INTO `lang_definitions` VALUES (62023, 6820, 16, 'Perawatan');
INSERT INTO `lang_definitions` VALUES (62024, 6822, 16, 'Tujuan Perawatan');
INSERT INTO `lang_definitions` VALUES (62025, 6823, 16, 'Rencana Perawatan');
INSERT INTO `lang_definitions` VALUES (62026, 6826, 16, 'Perawatan:');
INSERT INTO `lang_definitions` VALUES (62027, 6827, 16, 'Perawatan: ');
INSERT INTO `lang_definitions` VALUES (62028, 6828, 16, 'Trend');
INSERT INTO `lang_definitions` VALUES (62029, 6829, 16, 'trftime ($month_format, mktime (0, 0, 0, $ i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (62030, 6830, 16, 'Pemicu titik / sindrom kompartemen / DOMS / kram');
INSERT INTO `lang_definitions` VALUES (62031, 6831, 16, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (62032, 6832, 16, 'Batang dan perut');
INSERT INTO `lang_definitions` VALUES (62033, 6837, 16, 'tsp');
INSERT INTO `lang_definitions` VALUES (62034, 6839, 16, 'TTS');
INSERT INTO `lang_definitions` VALUES (62035, 6840, 16, 'Tuberkulosis');
INSERT INTO `lang_definitions` VALUES (62036, 6841, 16, 'Sel');
INSERT INTO `lang_definitions` VALUES (62037, 6842, 16, 'Sel & Kam');
INSERT INTO `lang_definitions` VALUES (62038, 6843, 16, 'Selasa');
INSERT INTO `lang_definitions` VALUES (62039, 6844, 16, 'Tumor');
INSERT INTO `lang_definitions` VALUES (62040, 6845, 16, 'Turki');
INSERT INTO `lang_definitions` VALUES (62041, 6848, 16, 'dua kali sehari');
INSERT INTO `lang_definitions` VALUES (62042, 6850, 16, 'Selaput Membran');
INSERT INTO `lang_definitions` VALUES (62043, 6851, 16, 'Tipe/Jenis');
INSERT INTO `lang_definitions` VALUES (62044, 6852, 16, 'Ketik ID atau Nama. 3 karakter minimal (termasuk spasi).');
INSERT INTO `lang_definitions` VALUES (62045, 6853, 16, 'Jenis kolom yang ditampilkan untuk hasil pencarian pasien');
INSERT INTO `lang_definitions` VALUES (62046, 6854, 16, 'Jenis Pengungkapan');
INSERT INTO `lang_definitions` VALUES (62047, 6855, 16, 'Jenis Event');
INSERT INTO `lang_definitions` VALUES (62048, 6856, 16, 'Jenis tata letak layar');
INSERT INTO `lang_definitions` VALUES (62049, 6857, 16, 'Ketik atau scan identifier pasien disini');
INSERT INTO `lang_definitions` VALUES (62050, 6858, 16, 'Ketik pesan Anda disini');
INSERT INTO `lang_definitions` VALUES (62051, 6859, 16, 'Jenis Order dan Hasil');
INSERT INTO `lang_definitions` VALUES (62052, 6864, 16, 'Kode UCSMC yang diberikan oleh University of Calgary Sports Medicine Centre');
INSERT INTO `lang_definitions` VALUES (62053, 6865, 16, 'Ukraina');
INSERT INTO `lang_definitions` VALUES (62054, 6866, 16, 'Pemborokan');
INSERT INTO `lang_definitions` VALUES (62055, 6867, 16, 'Radang Usus Besar Ulceratif');
INSERT INTO `lang_definitions` VALUES (62056, 6868, 16, 'Ulkus:');
INSERT INTO `lang_definitions` VALUES (62057, 6871, 16, 'Tidak bisa membuat');
INSERT INTO `lang_definitions` VALUES (62058, 6876, 16, 'Tidak diterapkan');
INSERT INTO `lang_definitions` VALUES (62059, 6877, 16, 'Tidak ditugaskan');
INSERT INTO `lang_definitions` VALUES (62060, 6879, 16, 'Akses yang tidak sah ke eResep');
INSERT INTO `lang_definitions` VALUES (62061, 6880, 16, 'Akses yang tidak sah.');
INSERT INTO `lang_definitions` VALUES (62062, 6882, 16, 'Hanya yang Tidak Ditagih');
INSERT INTO `lang_definitions` VALUES (62063, 6884, 16, 'di bawah lidah');
INSERT INTO `lang_definitions` VALUES (62064, 6885, 16, 'Underweight');
INSERT INTO `lang_definitions` VALUES (62065, 6886, 16, 'Tidak Didiagnosa');
INSERT INTO `lang_definitions` VALUES (62066, 6887, 16, 'TIDAK DIBAGIKAN');
INSERT INTO `lang_definitions` VALUES (62067, 6888, 16, 'Tidak Dibagikan');
INSERT INTO `lang_definitions` VALUES (62068, 6889, 16, 'Tidak Dibagikan adalah');
INSERT INTO `lang_definitions` VALUES (62069, 6890, 16, 'Batalkan Checkout');
INSERT INTO `lang_definitions` VALUES (62070, 6892, 16, 'Klien Unik');
INSERT INTO `lang_definitions` VALUES (62071, 6893, 16, 'Identifier manusia-terbaca yang unik untuk jenis ini');
INSERT INTO `lang_definitions` VALUES (62072, 6894, 16, 'Klien Baru unik');
INSERT INTO `lang_definitions` VALUES (62073, 6895, 16, 'Identifier numerik unik untuk jenis ini');
INSERT INTO `lang_definitions` VALUES (62074, 6896, 16, 'Pasien Dilihat Unik');
INSERT INTO `lang_definitions` VALUES (62075, 6897, 16, 'Laporan Pasien Terlihat Unik');
INSERT INTO `lang_definitions` VALUES (62076, 6898, 16, 'SP Unik');
INSERT INTO `lang_definitions` VALUES (62077, 6899, 16, 'Unit');
INSERT INTO `lang_definitions` VALUES (62078, 6900, 16, 'Unit');
INSERT INTO `lang_definitions` VALUES (62079, 6901, 16, 'unit');
INSERT INTO `lang_definitions` VALUES (62080, 6903, 16, 'Unit untuk Form Kunjungan');
INSERT INTO `lang_definitions` VALUES (62081, 6904, 16, 'Unit harus berupa angka');
INSERT INTO `lang_definitions` VALUES (62082, 6905, 16, 'Unit tidak didefinisikan');
INSERT INTO `lang_definitions` VALUES (62083, 6906, 16, 'Unit/L');
INSERT INTO `lang_definitions` VALUES (62084, 6907, 16, 'Tidak diketahui');
INSERT INTO `lang_definitions` VALUES (62085, 6910, 16, 'Tidak diketahui jika pernah merokok');
INSERT INTO `lang_definitions` VALUES (62086, 6911, 16, 'Tidak diketahui atau N/A');
INSERT INTO `lang_definitions` VALUES (62087, 6913, 16, 'unlink pasien');
INSERT INTO `lang_definitions` VALUES (62088, 6914, 16, 'Perusahaan asuransi tanpa nama');
INSERT INTO `lang_definitions` VALUES (62089, 6915, 16, 'Tidak Terdaftar');
INSERT INTO `lang_definitions` VALUES (62090, 6918, 16, 'Batalkan Semua');
INSERT INTO `lang_definitions` VALUES (62091, 6919, 16, 'Tidak Dipilih');
INSERT INTO `lang_definitions` VALUES (62092, 6920, 16, 'Tidak Ditentukan');
INSERT INTO `lang_definitions` VALUES (62093, 6921, 16, 'Tidak Terstruktur');
INSERT INTO `lang_definitions` VALUES (62094, 6924, 16, 'sampai');
INSERT INTO `lang_definitions` VALUES (62095, 6925, 16, 'Pengajuan sebelum waktunya');
INSERT INTO `lang_definitions` VALUES (62096, 6926, 16, 'Tidak Digunakan');
INSERT INTO `lang_definitions` VALUES (62097, 6927, 16, 'UOR');
INSERT INTO `lang_definitions` VALUES (62098, 6928, 16, 'Hingga');
INSERT INTO `lang_definitions` VALUES (62099, 6929, 16, 'Janji Temu Mendatang');
INSERT INTO `lang_definitions` VALUES (62100, 6930, 16, 'Event Mendatang');
INSERT INTO `lang_definitions` VALUES (62101, 6931, 16, 'Update');
INSERT INTO `lang_definitions` VALUES (62102, 6932, 16, 'update');
INSERT INTO `lang_definitions` VALUES (62103, 6933, 16, 'Update aktif');
INSERT INTO `lang_definitions` VALUES (62104, 6934, 16, 'Update file');
INSERT INTO `lang_definitions` VALUES (62105, 6935, 16, 'Update Info');
INSERT INTO `lang_definitions` VALUES (62106, 6936, 16, 'Update Daftar');
INSERT INTO `lang_definitions` VALUES (62107, 6937, 16, 'Update Nomor Provider');
INSERT INTO `lang_definitions` VALUES (62108, 6938, 16, 'Update Item yang Dipilih');
INSERT INTO `lang_definitions` VALUES (62109, 6939, 16, 'Update variabel berikut dalam file');
INSERT INTO `lang_definitions` VALUES (62110, 6940, 16, 'Update Informasi Pengguna');
INSERT INTO `lang_definitions` VALUES (62111, 6942, 16, 'Update demografi tidak diizinkan');
INSERT INTO `lang_definitions` VALUES (62112, 6946, 16, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (62113, 6947, 16, 'Upgrade Database');
INSERT INTO `lang_definitions` VALUES (62114, 6948, 16, 'Upgrade database LibreEHR untuk memasukkan Prosedur, Fungsi, dan tabel yang diperlukan untuk proses De-identifikasi');
INSERT INTO `lang_definitions` VALUES (62115, 6949, 16, 'Pengupgradean akan berlanjut');
INSERT INTO `lang_definitions` VALUES (62116, 6950, 16, 'UPIN');
INSERT INTO `lang_definitions` VALUES (62117, 6951, 16, 'Upload');
INSERT INTO `lang_definitions` VALUES (62118, 6954, 16, 'Upload data konfigurasi');
INSERT INTO `lang_definitions` VALUES (62119, 6955, 16, 'Upload Dokumen');
INSERT INTO `lang_definitions` VALUES (62120, 6956, 16, 'Upload gagal!');
INSERT INTO `lang_definitions` VALUES (62121, 6957, 16, 'Upload Gambar ke');
INSERT INTO `lang_definitions` VALUES (62122, 6958, 16, 'Upload file impor:');
INSERT INTO `lang_definitions` VALUES (62123, 6961, 16, 'Upload Laporan');
INSERT INTO `lang_definitions` VALUES (62124, 6963, 16, 'Upload file ini:');
INSERT INTO `lang_definitions` VALUES (62125, 6964, 16, 'Setelah mengklik nomor faktur \"jendela postingan manual\" muncul. Di sini Anda dapat mengubah tanggal jatuh tempo dan catatan untuk faktur, pilih pihak untuk siapa yang Anda posting, dan pilih asuransi yang semua pembayaran yang diharapkan telah diterima. Yang paling penting, untuk setiap kode tagihan yang besarnya telah dibebankan, Anda dapat memasukkan informasi pembayaran dan penyesuaian.');
INSERT INTO `lang_definitions` VALUES (62126, 6965, 16, 'Setelah pencarian Anda disajikan dengan daftar faktur/tagihan. Anda bisa mengklik pada salah satu nomor faktur untuk membuka jendela kedua, yang merupakan halaman entri data untuk posting manual. Anda juga dapat mengklik nama pasien jika ingin memasukkan catatan bahwa staf front office akan melihat ketika pasien melakukan check in, dan Anda dapat memilih faktur untuk tampil di laporan pasien dan mencetak laporan itu.');
INSERT INTO `lang_definitions` VALUES (62127, 6966, 16, 'Lengan atas');
INSERT INTO `lang_definitions` VALUES (62128, 6968, 16, 'Urgensi');
INSERT INTO `lang_definitions` VALUES (62129, 6970, 16, 'Air Seni');
INSERT INTO `lang_definitions` VALUES (62130, 6971, 16, 'Menggiring Urin');
INSERT INTO `lang_definitions` VALUES (62131, 6972, 16, 'Frekuensi Urin');
INSERT INTO `lang_definitions` VALUES (62132, 6973, 16, 'Keraguan Urin');
INSERT INTO `lang_definitions` VALUES (62133, 6974, 16, 'Urin Microalbumin');
INSERT INTO `lang_definitions` VALUES (62134, 6975, 16, 'Aliran Urin');
INSERT INTO `lang_definitions` VALUES (62135, 6976, 16, 'Urgensi Urin');
INSERT INTO `lang_definitions` VALUES (62136, 6977, 16, 'URL');
INSERT INTO `lang_definitions` VALUES (62137, 6979, 16, 'URL untuk dukungan LibreEHR');
INSERT INTO `lang_definitions` VALUES (62138, 6981, 16, 'URL untuk Gateway Telepon. Layanan VOIP otomatis disediakan oleh Maviq. Silahkan kunjungi http://signup.maviq.com untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (62139, 6986, 16, 'Indikator Penggunaan (ISA15)');
INSERT INTO `lang_definitions` VALUES (62140, 6987, 16, 'Gunakan % saja pada field untuk hanya mengurutkan pada kolom tersebut');
INSERT INTO `lang_definitions` VALUES (62141, 6988, 16, 'Gunakan format waktu 24 jam?');
INSERT INTO `lang_definitions` VALUES (62142, 6990, 16, 'Gunakan teknologi EHR bersertifikat untuk mengidentifikasikan sumber daya pasien-spesifik dan menyediakan sumber daya tersebut jika sesuai.');
INSERT INTO `lang_definitions` VALUES (62143, 6991, 16, 'Gunakan Panel Biaya');
INSERT INTO `lang_definitions` VALUES (62144, 6992, 16, 'Gunakan CPOE untuk order pengobatan secara langsung dimasukkan oleh setiap profesional kesehatan berlisensi yang bisa memasukkan perintah ke record(catatan) medis per pedoman negara, lokal dan profesional.');
INSERT INTO `lang_definitions` VALUES (62145, 6997, 16, 'Gunakan Daftar Imunisasi Custom');
INSERT INTO `lang_definitions` VALUES (62146, 6999, 16, 'Gunakan Rentang Tanggal');
INSERT INTO `lang_definitions` VALUES (62147, 7000, 16, 'Gunakan Default/Standar');
INSERT INTO `lang_definitions` VALUES (62148, 7001, 16, 'Gunakan Pilihan Hapus untuk Menghapus');
INSERT INTO `lang_definitions` VALUES (62149, 7002, 16, 'Gunakan gaya tanggal internasional?');
INSERT INTO `lang_definitions` VALUES (62150, 7003, 16, 'Gunakan nama file sumber');
INSERT INTO `lang_definitions` VALUES (62151, 7004, 16, 'Gunakan field dibawah ini untuk pembelian atau transfer.');
INSERT INTO `lang_definitions` VALUES (62152, 7005, 16, 'Gunakan fitur ini hanya dengan situs yang baru diinstal, ');
INSERT INTO `lang_definitions` VALUES (62153, 7006, 16, 'Gunakan topik?');
INSERT INTO `lang_definitions` VALUES (62154, 7007, 16, 'Pengguna');
INSERT INTO `lang_definitions` VALUES (62155, 7009, 16, 'Pengguna / Grup');
INSERT INTO `lang_definitions` VALUES (62156, 7010, 16, 'Administrasi User');
INSERT INTO `lang_definitions` VALUES (62157, 7011, 16, 'Administrasi Fasilitas dan Pengguna');
INSERT INTO `lang_definitions` VALUES (62158, 7012, 16, 'Administrasi Grup dan Pengguna');
INSERT INTO `lang_definitions` VALUES (62159, 7014, 16, 'Otentikasi Sertifikat Pengguna dinonaktifkan');
INSERT INTO `lang_definitions` VALUES (62160, 7015, 16, 'Pengguna yang Ditetapkan');
INSERT INTO `lang_definitions` VALUES (62161, 7016, 16, 'Area Pengguna yang Ditetapkan 11');
INSERT INTO `lang_definitions` VALUES (62162, 7017, 16, 'Area Pengguna yang Ditetapkan 12');
INSERT INTO `lang_definitions` VALUES (62163, 7018, 16, 'Field Pengguna yang Ditetapkan');
INSERT INTO `lang_definitions` VALUES (62164, 7019, 16, 'Daftar Pengguna yang Ditetapkan 1');
INSERT INTO `lang_definitions` VALUES (62165, 7020, 16, 'Daftar Pengguna yang Ditetapkan 2');
INSERT INTO `lang_definitions` VALUES (62166, 7021, 16, 'Daftar Pengguna yang Ditetapkan 3');
INSERT INTO `lang_definitions` VALUES (62167, 7022, 16, 'Daftar Pengguna yang Ditetapkan 4');
INSERT INTO `lang_definitions` VALUES (62168, 7023, 16, 'Daftar Pengguna yang Ditetapkan 5');
INSERT INTO `lang_definitions` VALUES (62169, 7024, 16, 'Daftar Pengguna yang Ditetapkan 6');
INSERT INTO `lang_definitions` VALUES (62170, 7025, 16, 'Daftar Pengguna yang Ditetapkan 7');
INSERT INTO `lang_definitions` VALUES (62171, 7026, 16, 'Teks Pengguna yang Ditetapkan 1');
INSERT INTO `lang_definitions` VALUES (62172, 7027, 16, 'Teks Pengguna yang Ditetapkan 2');
INSERT INTO `lang_definitions` VALUES (62173, 7028, 16, 'Teks Pengguna yang Ditetapkan 3');
INSERT INTO `lang_definitions` VALUES (62174, 7029, 16, 'Teks Pengguna yang Ditetapkan 4');
INSERT INTO `lang_definitions` VALUES (62175, 7030, 16, 'Teks Pengguna yang Ditetapkan 5');
INSERT INTO `lang_definitions` VALUES (62176, 7031, 16, 'Teks Pengguna yang Ditetapkan 6');
INSERT INTO `lang_definitions` VALUES (62177, 7032, 16, 'Teks Pengguna yang Ditetapkan 7');
INSERT INTO `lang_definitions` VALUES (62178, 7033, 16, 'Teks Pengguna yang Ditetapkan 8');
INSERT INTO `lang_definitions` VALUES (62179, 7034, 16, 'Nama Awal Pengguna');
INSERT INTO `lang_definitions` VALUES (62180, 7039, 16, 'Manual Pengguna');
INSERT INTO `lang_definitions` VALUES (62181, 7040, 16, 'Keanggotaan Pengguna');
INSERT INTO `lang_definitions` VALUES (62182, 7041, 16, 'Nama Pengguna');
INSERT INTO `lang_definitions` VALUES (62183, 7042, 16, 'Nama Pengguna atau nama Host tidak boleh kosong');
INSERT INTO `lang_definitions` VALUES (62184, 7043, 16, 'Nama Host atau Pengguna');
INSERT INTO `lang_definitions` VALUES (62185, 7046, 16, 'Pengaturan Pengguna');
INSERT INTO `lang_definitions` VALUES (62186, 7047, 16, 'Pengaturan Pengguna Spesifik/Khusus');
INSERT INTO `lang_definitions` VALUES (62187, 7049, 16, 'Nama pengguna');
INSERT INTO `lang_definitions` VALUES (62188, 7051, 16, 'Nama pengguna untuk Gateway Telepon. Layanan VOIP otomatis disediakan oleh Maviq. Silahkan kunjungi http://signup.maviq.com untuk informasi lebih lanjut.');
INSERT INTO `lang_definitions` VALUES (62189, 7052, 16, 'Nama pengguna untuk SMS Gateway');
INSERT INTO `lang_definitions` VALUES (62190, 7053, 16, 'Nama pengguna untuk SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (62191, 7055, 16, 'Nama pengguna:');
INSERT INTO `lang_definitions` VALUES (62192, 7056, 16, 'Pengguna');
INSERT INTO `lang_definitions` VALUES (62193, 7057, 16, 'Pengguna/Grup/Log Administrasi');
INSERT INTO `lang_definitions` VALUES (62194, 7058, 16, 'gunakan format php<a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (62195, 7059, 16, 'UTI');
INSERT INTO `lang_definitions` VALUES (62196, 7062, 16, 'LIBURAN');
INSERT INTO `lang_definitions` VALUES (62197, 7063, 16, 'Liburan');
INSERT INTO `lang_definitions` VALUES (62198, 7064, 16, 'Vaksin');
INSERT INTO `lang_definitions` VALUES (62199, 7065, 16, 'Cincin Vagina');
INSERT INTO `lang_definitions` VALUES (62200, 7066, 16, 'Pidato Perpisahan');
INSERT INTO `lang_definitions` VALUES (62201, 7067, 16, 'mengesahkan');
INSERT INTO `lang_definitions` VALUES (62202, 7068, 16, 'Nilai');
INSERT INTO `lang_definitions` VALUES (62203, 7069, 16, 'Nilai 1');
INSERT INTO `lang_definitions` VALUES (62204, 7070, 16, 'Nilai 2');
INSERT INTO `lang_definitions` VALUES (62205, 7072, 16, 'Nilai harus berupa angka');
INSERT INTO `lang_definitions` VALUES (62206, 7073, 16, 'Var1');
INSERT INTO `lang_definitions` VALUES (62207, 7074, 16, 'Var2');
INSERT INTO `lang_definitions` VALUES (62208, 7075, 16, 'variabel ke satu untuk menjalankan script upgrade de-identifikasi');
INSERT INTO `lang_definitions` VALUES (62209, 7076, 16, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (62210, 7077, 16, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (62211, 7078, 16, 'Pembuluh darah(vena) Varises');
INSERT INTO `lang_definitions` VALUES (62212, 7079, 16, 'Kondisi vaskular');
INSERT INTO `lang_definitions` VALUES (62213, 7080, 16, 'Cedera Vaskular');
INSERT INTO `lang_definitions` VALUES (62214, 7081, 16, 'Bedah Vaskular');
INSERT INTO `lang_definitions` VALUES (62215, 7083, 16, 'Vendor');
INSERT INTO `lang_definitions` VALUES (62216, 7084, 16, 'Versi');
INSERT INTO `lang_definitions` VALUES (62217, 7085, 16, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (62218, 7086, 16, 'Administrasi Veteran');
INSERT INTO `lang_definitions` VALUES (62219, 7087, 16, 'Rencana Administrasi Veteran');
INSERT INTO `lang_definitions` VALUES (62220, 7088, 16, 'VFC');
INSERT INTO `lang_definitions` VALUES (62221, 7089, 16, 'Vietnam');
INSERT INTO `lang_definitions` VALUES (62222, 7090, 16, 'lihat');
INSERT INTO `lang_definitions` VALUES (62223, 7091, 16, 'Lihat');
INSERT INTO `lang_definitions` VALUES (62224, 7092, 16, 'Lihat Alergi');
INSERT INTO `lang_definitions` VALUES (62225, 7097, 16, 'Lihat Komprehensif Pasien Lapor');
INSERT INTO `lang_definitions` VALUES (62226, 7100, 16, 'Lihat dokumen');
INSERT INTO `lang_definitions` VALUES (62227, 7101, 16, 'Lihat encounter(pertemuan)');
INSERT INTO `lang_definitions` VALUES (62228, 7103, 16, 'Lihat event di jendela popup?');
INSERT INTO `lang_definitions` VALUES (62229, 7107, 16, 'Lihat Log');
INSERT INTO `lang_definitions` VALUES (62230, 7108, 16, 'Lihat Halaman 1');
INSERT INTO `lang_definitions` VALUES (62231, 7109, 16, 'Lihat Halaman 2');
INSERT INTO `lang_definitions` VALUES (62232, 7110, 16, 'Lihat Pengingat yang Lalu dan yang Akan Datang');
INSERT INTO `lang_definitions` VALUES (62233, 7111, 16, 'Lihat Pasien');
INSERT INTO `lang_definitions` VALUES (62234, 7116, 16, 'Lihat encounter(pertemuan) terkait');
INSERT INTO `lang_definitions` VALUES (62235, 7121, 16, 'Lihat/Edit Alergi');
INSERT INTO `lang_definitions` VALUES (62236, 7122, 16, 'Lihat/edit isu(masalah)');
INSERT INTO `lang_definitions` VALUES (62237, 7123, 16, 'Lihat/Print');
INSERT INTO `lang_definitions` VALUES (62238, 7124, 16, 'Lihat:');
INSERT INTO `lang_definitions` VALUES (62239, 7125, 16, 'VISA');
INSERT INTO `lang_definitions` VALUES (62240, 7126, 16, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (62241, 7127, 16, 'Kerusakan mendalam/trauma/operasi');
INSERT INTO `lang_definitions` VALUES (62242, 7133, 16, 'Kategori Kunjungan');
INSERT INTO `lang_definitions` VALUES (62243, 7134, 16, 'Tanggal Kunjungan');
INSERT INTO `lang_definitions` VALUES (62244, 7135, 16, 'Lihat tanggal');
INSERT INTO `lang_definitions` VALUES (62245, 7137, 16, 'Form Kunjungan');
INSERT INTO `lang_definitions` VALUES (62246, 7138, 16, 'Riwayat Kunjungan');
INSERT INTO `lang_definitions` VALUES (62247, 7140, 16, 'Kunjungan');
INSERT INTO `lang_definitions` VALUES (62248, 7141, 16, 'Form Kunjungan');
INSERT INTO `lang_definitions` VALUES (62249, 7142, 16, 'Tanda Vital');
INSERT INTO `lang_definitions` VALUES (62250, 7143, 16, 'Vital');
INSERT INTO `lang_definitions` VALUES (62251, 7144, 16, 'Vital (Metrik)');
INSERT INTO `lang_definitions` VALUES (62252, 7146, 16, 'Suara');
INSERT INTO `lang_definitions` VALUES (62253, 7147, 16, 'Suara Dikirim');
INSERT INTO `lang_definitions` VALUES (62254, 7149, 16, 'Muntah');
INSERT INTO `lang_definitions` VALUES (62255, 7151, 16, 'W');
INSERT INTO `lang_definitions` VALUES (62256, 7152, 16, 'Lingkar Pinggang');
INSERT INTO `lang_definitions` VALUES (62257, 7153, 16, 'Lingkar Pinggang');
INSERT INTO `lang_definitions` VALUES (62258, 7154, 16, 'Menunggu');
INSERT INTO `lang_definitions` VALUES (62259, 7155, 16, 'Masuk');
INSERT INTO `lang_definitions` VALUES (62260, 7157, 16, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (62261, 7158, 16, 'Gudang');
INSERT INTO `lang_definitions` VALUES (62262, 7159, 16, 'Gudang maksimum, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (62263, 7160, 16, 'Gudang minimum, 0 jika tidak berlaku');
INSERT INTO `lang_definitions` VALUES (62264, 7161, 16, 'Gudang');
INSERT INTO `lang_definitions` VALUES (62265, 7162, 16, 'Hangat');
INSERT INTO `lang_definitions` VALUES (62266, 7163, 16, 'Peringatan');
INSERT INTO `lang_definitions` VALUES (62267, 7164, 16, 'PERINGATAN');
INSERT INTO `lang_definitions` VALUES (62268, 7166, 16, 'Peringatan, Nomor Cek telah ada dalam database');
INSERT INTO `lang_definitions` VALUES (62269, 7168, 16, 'Peringatan: Kunjungan telah dibuat untuk pasien hari ini!');
INSERT INTO `lang_definitions` VALUES (62270, 7170, 16, 'Peringatan: ID Pasien tidak unik!');
INSERT INTO `lang_definitions` VALUES (62271, 7171, 16, 'PERINGATAN: ini akan menimpa informasi konfigurasi dengan data dari file yang diupload!');
INSERT INTO `lang_definitions` VALUES (62272, 7173, 16, 'Peringatan');
INSERT INTO `lang_definitions` VALUES (62273, 7175, 16, 'telah diupload');
INSERT INTO `lang_definitions` VALUES (62274, 7177, 16, 'Kami menghargai pembayaran cepat dari batas saldo');
INSERT INTO `lang_definitions` VALUES (62275, 7178, 16, 'kami telah melihat pasien atas anda untuk evaluasi dan perawatan pada klinik psikiatri rawat jalan kami. Terima kasih atas rujukan ini.');
INSERT INTO `lang_definitions` VALUES (62276, 7179, 16, 'Kelemahan');
INSERT INTO `lang_definitions` VALUES (62277, 7181, 16, 'Pencarian Web');
INSERT INTO `lang_definitions` VALUES (62278, 7182, 16, 'Situs Web');
INSERT INTO `lang_definitions` VALUES (62279, 7183, 16, 'Link Situs Web untuk Portal Pasien Onsite');
INSERT INTO `lang_definitions` VALUES (62280, 7184, 16, 'Rab');
INSERT INTO `lang_definitions` VALUES (62281, 7185, 16, 'Rabu');
INSERT INTO `lang_definitions` VALUES (62282, 7186, 16, 'Minggu');
INSERT INTO `lang_definitions` VALUES (62283, 7187, 16, 'minggu');
INSERT INTO `lang_definitions` VALUES (62284, 7188, 16, 'Tampilan Minggu');
INSERT INTO `lang_definitions` VALUES (62285, 7189, 16, 'Minggu');
INSERT INTO `lang_definitions` VALUES (62286, 7190, 16, 'Eksposur Mingguan');
INSERT INTO `lang_definitions` VALUES (62287, 7192, 16, 'Minggu');
INSERT INTO `lang_definitions` VALUES (62288, 7193, 16, 'Berat');
INSERT INTO `lang_definitions` VALUES (62289, 7194, 16, 'Penilaian Berat dan Konseling untuk Anak dan Remaja');
INSERT INTO `lang_definitions` VALUES (62290, 7195, 16, 'Penilaian Berat dan Konseling untuk Anak dan Remaja (CQM)');
INSERT INTO `lang_definitions` VALUES (62291, 7196, 16, 'Perubahan Berat');
INSERT INTO `lang_definitions` VALUES (62292, 7197, 16, 'Berat Badan');
INSERT INTO `lang_definitions` VALUES (62293, 7198, 16, 'Klinik berat bedan');
INSERT INTO `lang_definitions` VALUES (62294, 7199, 16, 'Selamat Datang');
INSERT INTO `lang_definitions` VALUES (62295, 7202, 16, 'Apa yang akan dihitung?');
INSERT INTO `lang_definitions` VALUES (62296, 7203, 16, 'Desah:');
INSERT INTO `lang_definitions` VALUES (62297, 7204, 16, 'Desah:');
INSERT INTO `lang_definitions` VALUES (62298, 7205, 16, 'Desah:');
INSERT INTO `lang_definitions` VALUES (62299, 7208, 16, 'Dimana mungkin kertas dokumen atau yang discan terkait ditemukan?');
INSERT INTO `lang_definitions` VALUES (62300, 7211, 16, 'Salah urat(kepala)');
INSERT INTO `lang_definitions` VALUES (62301, 7212, 16, 'Putih');
INSERT INTO `lang_definitions` VALUES (62302, 7213, 16, 'Siapa');
INSERT INTO `lang_definitions` VALUES (62303, 7214, 16, 'Siapa yang menjawab?');
INSERT INTO `lang_definitions` VALUES (62304, 7215, 16, 'Janda');
INSERT INTO `lang_definitions` VALUES (62305, 7217, 16, 'Lebar dalam piksel dari bingkai navigasi kiri');
INSERT INTO `lang_definitions` VALUES (62306, 7221, 16, 'Dengan dipilih:');
INSERT INTO `lang_definitions` VALUES (62307, 7222, 16, 'dengan nama lama');
INSERT INTO `lang_definitions` VALUES (62308, 7224, 16, 'Dengan siapa kita dapat meninggalkan pesan?');
INSERT INTO `lang_definitions` VALUES (62309, 7225, 16, 'Dirahasiakan');
INSERT INTO `lang_definitions` VALUES (62310, 7226, 16, 'dalam hitungan jam');
INSERT INTO `lang_definitions` VALUES (62311, 7227, 16, 'dalam hitungan jam:');
INSERT INTO `lang_definitions` VALUES (62312, 7228, 16, 'dalam hitungan menit');
INSERT INTO `lang_definitions` VALUES (62313, 7229, 16, 'dalam beberapa menit:');
INSERT INTO `lang_definitions` VALUES (62314, 7232, 16, 'Tanpa Update');
INSERT INTO `lang_definitions` VALUES (62315, 7233, 16, 'Saksi');
INSERT INTO `lang_definitions` VALUES (62316, 7234, 16, 'mggu');
INSERT INTO `lang_definitions` VALUES (62317, 7235, 16, 'WNL(DBN)');
INSERT INTO `lang_definitions` VALUES (62318, 7237, 16, 'Perempuan');
INSERT INTO `lang_definitions` VALUES (62319, 7238, 16, 'Hanya perempuan');
INSERT INTO `lang_definitions` VALUES (62320, 7240, 16, 'Bekerja');
INSERT INTO `lang_definitions` VALUES (62321, 7241, 16, 'CATATAN KERJA');
INSERT INTO `lang_definitions` VALUES (62322, 7242, 16, 'Telepon Kerja');
INSERT INTO `lang_definitions` VALUES (62323, 7243, 16, 'Nomor Telepon Kerja');
INSERT INTO `lang_definitions` VALUES (62324, 7244, 16, 'Pekerjaan yang berkaitan?');
INSERT INTO `lang_definitions` VALUES (62325, 7245, 16, 'Pekerjaan/ Pendidikan/ Hobi');
INSERT INTO `lang_definitions` VALUES (62326, 7246, 16, 'Catatan Kerja/ Sekolah');
INSERT INTO `lang_definitions` VALUES (62327, 7247, 16, 'hari kerja');
INSERT INTO `lang_definitions` VALUES (62328, 7248, 16, 'Kompensasi Pekerja');
INSERT INTO `lang_definitions` VALUES (62329, 7249, 16, 'Kompensasi Rencana Kesehatan Pekerja');
INSERT INTO `lang_definitions` VALUES (62330, 7250, 16, 'Penerima Berumur Pekerjaan atau Pasangan dengan Kelompok Kerja Rencana Kesehatan');
INSERT INTO `lang_definitions` VALUES (62331, 7252, 16, 'Bertambah Buruk');
INSERT INTO `lang_definitions` VALUES (62332, 7253, 16, 'Apakah anda ingin jumlah saldo berlaku untuk Akun Global?');
INSERT INTO `lang_definitions` VALUES (62333, 7254, 16, 'Apakah Anda Ingin mereka Ditandai sebagai Diselesaikan.');
INSERT INTO `lang_definitions` VALUES (62334, 7255, 16, 'Apakah anda ingin Alokasikan?');
INSERT INTO `lang_definitions` VALUES (62335, 7256, 16, 'Apakah anda ingin Batalkan Distribusi untuk Pasien ini?');
INSERT INTO `lang_definitions` VALUES (62336, 7257, 16, 'Apakah anda ingin Menghapus Distribusi Pembayaran?');
INSERT INTO `lang_definitions` VALUES (62337, 7258, 16, 'Apakah anda ingin Menghapus Pembayaran?');
INSERT INTO `lang_definitions` VALUES (62338, 7259, 16, 'Apakah anda ingin Memodifikasi dan Menyelesaikan Pembayaran?');
INSERT INTO `lang_definitions` VALUES (62339, 7260, 16, 'Apakah anda ingin Memodifikasi Pembayaran?');
INSERT INTO `lang_definitions` VALUES (62340, 7261, 16, 'Apakah anda ingin Memasang dan Menyelesaikan Pembayaran?');
INSERT INTO `lang_definitions` VALUES (62341, 7262, 16, 'Apakah anda ingin Memasang Pembayaran?');
INSERT INTO `lang_definitions` VALUES (62342, 7263, 16, 'Apakah anda ingin menyimpan?');
INSERT INTO `lang_definitions` VALUES (62343, 7264, 16, 'Pergelangan tangan');
INSERT INTO `lang_definitions` VALUES (62344, 7265, 16, 'Pergelangan tangan dan tangan');
INSERT INTO `lang_definitions` VALUES (62345, 7266, 16, 'Masalah Pergelangan Tangan');
INSERT INTO `lang_definitions` VALUES (62346, 7267, 16, 'tulis');
INSERT INTO `lang_definitions` VALUES (62347, 7268, 16, 'mencoret/hapus');
INSERT INTO `lang_definitions` VALUES (62348, 7270, 16, 'tulis');
INSERT INTO `lang_definitions` VALUES (62349, 7271, 16, 'WT');
INSERT INTO `lang_definitions` VALUES (62350, 7273, 16, 'x Dibatalkan');
INSERT INTO `lang_definitions` VALUES (62351, 7274, 16, 'x Dibatalkan');
INSERT INTO `lang_definitions` VALUES (62352, 7275, 16, 'Sinar X');
INSERT INTO `lang_definitions` VALUES (62353, 7276, 16, 'Interpretasi SINAR X:');
INSERT INTO `lang_definitions` VALUES (62354, 7277, 16, 'Interpretasi Sinar X:');
INSERT INTO `lang_definitions` VALUES (62355, 7278, 16, 'Hanya X12: Klaim Penggantian ');
INSERT INTO `lang_definitions` VALUES (62356, 7279, 16, 'Mitra X12');
INSERT INTO `lang_definitions` VALUES (62357, 7280, 16, 'Mitra X12');
INSERT INTO `lang_definitions` VALUES (62358, 7284, 16, 'Y');
INSERT INTO `lang_definitions` VALUES (62359, 7285, 16, 'Tahun');
INSERT INTO `lang_definitions` VALUES (62360, 7286, 16, 'tahun');
INSERT INTO `lang_definitions` VALUES (62361, 7287, 16, 'Lihat Tahun');
INSERT INTO `lang_definitions` VALUES (62362, 7288, 16, 'Tahun');
INSERT INTO `lang_definitions` VALUES (62363, 7289, 16, 'Tahun');
INSERT INTO `lang_definitions` VALUES (62364, 7292, 16, 'YA');
INSERT INTO `lang_definitions` VALUES (62365, 7293, 16, 'Ya');
INSERT INTO `lang_definitions` VALUES (62366, 7294, 16, 'ya');
INSERT INTO `lang_definitions` VALUES (62367, 7295, 16, 'YA!');
INSERT INTO `lang_definitions` VALUES (62368, 7296, 16, 'Ya, Hapus dan Log');
INSERT INTO `lang_definitions` VALUES (62369, 7298, 16, 'Ya/Tidak');
INSERT INTO `lang_definitions` VALUES (62370, 7299, 16, 'Ya:');
INSERT INTO `lang_definitions` VALUES (62371, 7300, 16, 'Yiddi');
INSERT INTO `lang_definitions` VALUES (62372, 7303, 16, 'Anda akan secara permanen menggantikan template anda. Anda yakin ingin melanjutkan?');
INSERT INTO `lang_definitions` VALUES (62373, 7304, 16, 'Anda berada pada periode Login Tenggang. Ubah pasword anda sebelum');
INSERT INTO `lang_definitions` VALUES (62374, 7305, 16, 'Anda tidak diperbolehkan untuk menghapus event ini');
INSERT INTO `lang_definitions` VALUES (62375, 7306, 16, 'Anda tidak diperbolehkan untuk mengedit event ini');
INSERT INTO `lang_definitions` VALUES (62376, 7307, 16, 'Anda tidak diizinkan untuk ini.');
INSERT INTO `lang_definitions` VALUES (62377, 7308, 16, 'Anda tidak diizinkan untuk mengakses satuan ini.');
INSERT INTO `lang_definitions` VALUES (62378, 7309, 16, 'Anda tidak diizinkan untuk menambah/edit isu(masalah)');
INSERT INTO `lang_definitions` VALUES (62379, 7310, 16, 'Anda tidak diizinkan untuk menjadwalkan janji-temu.');
INSERT INTO `lang_definitions` VALUES (62380, 7311, 16, 'Anda tidak diizinkan untuk melihat encounter(pertemuan) ini.');
INSERT INTO `lang_definitions` VALUES (62381, 7313, 16, 'Anda tidak dapat mengakses fungsi ini secara langsung.');
INSERT INTO `lang_definitions` VALUES (62382, 7314, 16, 'Anda tidak dapat mengakses halaman ini secara langsung.');
INSERT INTO `lang_definitions` VALUES (62383, 7315, 16, 'Anda tidak dapat menambahkan nilai kosong untuk kategori!');
INSERT INTO `lang_definitions` VALUES (62384, 7316, 16, 'Anda tidak dapat menambahkan nilai kosong untuk subkategori!');
INSERT INTO `lang_definitions` VALUES (62385, 7317, 16, 'Anda tidak dapat menambahkan nilai kosong untuk item!');
INSERT INTO `lang_definitions` VALUES (62386, 7318, 16, 'Anda tidak dapat memasukkan tanggal yang akan datang dengan nilai dari YA.');
INSERT INTO `lang_definitions` VALUES (62387, 7319, 16, 'Anda tidak memilih tindakan.');
INSERT INTO `lang_definitions` VALUES (62388, 7320, 16, 'Anda tidak memiliki akses untuk melihat/mengedit catatan ini');
INSERT INTO `lang_definitions` VALUES (62389, 7321, 16, 'Anda telah mencoba mengubah konten yang terkunci. Singkirkan kunci jika anda ingin melakukan ini. Untuk membuka kunci, hapus baris, \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (62390, 7322, 16, 'Anda telah berhasi keluar.');
INSERT INTO `lang_definitions` VALUES (62391, 7323, 16, 'Anda hanya dapat mengupload file .txt');
INSERT INTO `lang_definitions` VALUES (62392, 7325, 16, 'Anda dapat menempatkan teks disini sebagai keluhan standar dalam form Encounter(Pertemuan) Pasien Baru');
INSERT INTO `lang_definitions` VALUES (62393, 7326, 16, 'Anda harus memasukkan kombinasi pasword untuk mengenkripsi dokumen ini');
INSERT INTO `lang_definitions` VALUES (62394, 7329, 16, 'Anda harus terlebih dahulu memilih atau menambahkan pasien.');
INSERT INTO `lang_definitions` VALUES (62395, 7330, 16, 'Anda harus terlebih dahulu memilih atau membuat encounter(pertemuan).');
INSERT INTO `lang_definitions` VALUES (62396, 7331, 16, 'Anda harus memilih kategori kunjungan');
INSERT INTO `lang_definitions` VALUES (62397, 7332, 16, 'Anda harus memilih kategori kunjungan.');
INSERT INTO `lang_definitions` VALUES (62398, 7333, 16, 'Anda harus mengisi beberapa bagian untuk melanjutkan.');
INSERT INTO `lang_definitions` VALUES (62399, 7334, 16, 'Anda harus menjalankan tes ini jika klaim ini muncul untuk menghasilkan dengan sukses tetapi file klaim sebenarnya tidak berisi data atau hanya bagian yang belum selesai dari jumlah data yang seharusnya berisi. Hal ini jelas dengan klaim HCFA karena mereka dapat dibaca manusia, dengan klaim X12 prosesnya lebih sulit untuk menentukan apakah klaim tersebut benar-benar lengkap.');
INSERT INTO `lang_definitions` VALUES (62400, 7335, 16, 'Anda harus memilih setidaknya satu konteks');
INSERT INTO `lang_definitions` VALUES (62401, 7336, 16, 'Anda harus memilih setidaknya satu Provider');
INSERT INTO `lang_definitions` VALUES (62402, 7339, 16, 'Tanggal berakhir tidak valid');
INSERT INTO `lang_definitions` VALUES (62403, 7340, 16, 'Event Anda telah dihapus.');
INSERT INTO `lang_definitions` VALUES (62404, 7341, 16, 'Event Anda telah dimodifikasi.');
INSERT INTO `lang_definitions` VALUES (62405, 7342, 16, 'Event Anda telah dikirimkan.');
INSERT INTO `lang_definitions` VALUES (62406, 7343, 16, 'File anda terlalu besar');
INSERT INTO `lang_definitions` VALUES (62407, 7345, 16, 'Daftar nama anda telah diubah untuk memenuhi persyaratan penamaan.');
INSERT INTO `lang_definitions` VALUES (62408, 7347, 16, 'Nama anda untuk kategori ini, prosedur atau hasil');
INSERT INTO `lang_definitions` VALUES (62409, 7349, 16, 'Pasword Anda Kadaluarsa. Silahkan ubah pasword anda.');
INSERT INTO `lang_definitions` VALUES (62410, 7350, 16, 'Pasword Anda Berakhir pada');
INSERT INTO `lang_definitions` VALUES (62411, 7351, 16, 'Pasword Anda Berakhir hari ini. Silahkan ubah pasword anda.');
INSERT INTO `lang_definitions` VALUES (62412, 7353, 16, 'Konfigurasi PostCalendar anda telah direset untuk menggunakan yang default/standar.');
INSERT INTO `lang_definitions` VALUES (62413, 7354, 16, 'Konfigurasi PostCalendar anda telah diupdate.');
INSERT INTO `lang_definitions` VALUES (62414, 7355, 16, 'Frekuensi pengulangan anda harus berupa angka.');
INSERT INTO `lang_definitions` VALUES (62415, 7356, 16, 'Frekuensi pengulangan anda harus minimal 1.');
INSERT INTO `lang_definitions` VALUES (62416, 7357, 16, 'Tanggal mulai anda lebih besar dari tanggal akhir anda');
INSERT INTO `lang_definitions` VALUES (62417, 7358, 16, 'Tanggal mulai anda tidak valid');
INSERT INTO `lang_definitions` VALUES (62418, 7359, 16, 'Kiriman anda gagal.');
INSERT INTO `lang_definitions` VALUES (62419, 7360, 16, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (62420, 7361, 16, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (62421, 7362, 16, 'yyyy-mm-dd tanggal yang terkait dengan dokumen ini');
INSERT INTO `lang_definitions` VALUES (62422, 7363, 16, 'yyyy-mm-dd tanggal dihancurkan');
INSERT INTO `lang_definitions` VALUES (62423, 7364, 16, 'yyyy-mm-dd tanggal lahir');
INSERT INTO `lang_definitions` VALUES (62424, 7365, 16, 'yyyy-mm-dd Tanggal Lahir');
INSERT INTO `lang_definitions` VALUES (62425, 7366, 16, 'yyyy-mm-dd berakhirnya tanggal');
INSERT INTO `lang_definitions` VALUES (62426, 7367, 16, 'yyyy-mm-dd Tanggal mulai atau rumah sakit');
INSERT INTO `lang_definitions` VALUES (62427, 7368, 16, 'yyyy-mm-dd tanggal mulai, operasi atau mulai pengobatan');
INSERT INTO `lang_definitions` VALUES (62428, 7369, 16, 'yyyy-mm-dd tanggal pembelian atau transfer');
INSERT INTO `lang_definitions` VALUES (62429, 7370, 16, 'yyyy-mm-dd tanggal pemulihan atau akhir pengobatan');
INSERT INTO `lang_definitions` VALUES (62430, 7371, 16, 'yyyy-mm-dd Tanggal kembali bermain');
INSERT INTO `lang_definitions` VALUES (62431, 7372, 16, 'yyyy-mm-dd Tanggal layanan');
INSERT INTO `lang_definitions` VALUES (62432, 7373, 16, 'yyyy-mm-dd tanggal surat ini');
INSERT INTO `lang_definitions` VALUES (62433, 7374, 16, 'yyyy-mm-dd tanggal untuk memutar kembali');
INSERT INTO `lang_definitions` VALUES (62434, 7375, 16, 'yyyy-mm-dd tanggal dokumen');
INSERT INTO `lang_definitions` VALUES (62435, 7376, 16, 'yyyy-mm-dd tanggal event atau tanggal mulai');
INSERT INTO `lang_definitions` VALUES (62436, 7381, 16, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (62437, 7383, 16, 'yyyy-mm-dd tanggal terakhir dari event ini');
INSERT INTO `lang_definitions` VALUES (62438, 7387, 16, 'Kosong');
INSERT INTO `lang_definitions` VALUES (62439, 7389, 16, 'Zip');
INSERT INTO `lang_definitions` VALUES (62440, 7390, 16, 'Kode Pos');
INSERT INTO `lang_definitions` VALUES (62441, 7391, 16, 'Zip/Negara:');
INSERT INTO `lang_definitions` VALUES (62442, 7392, 16, 'Zulu');
INSERT INTO `lang_definitions` VALUES (62443, 7393, 16, ' Tapi ');
INSERT INTO `lang_definitions` VALUES (62444, 7394, 16, ' tidak dapat diakses.');
INSERT INTO `lang_definitions` VALUES (62445, 7395, 16, 'Apakah Anda benar-benar ingin menghapus');
INSERT INTO `lang_definitions` VALUES (62446, 7396, 16, 'Obat');
INSERT INTO `lang_definitions` VALUES (62447, 7397, 16, 'email tidak terkirim');
INSERT INTO `lang_definitions` VALUES (62448, 7398, 16, 'dari');
INSERT INTO `lang_definitions` VALUES (62449, 7399, 16, 'telah dibuat. ');
INSERT INTO `lang_definitions` VALUES (62450, 7400, 16, 'telah dibuka kembali.');
INSERT INTO `lang_definitions` VALUES (62451, 7401, 16, 'Riwayat');
INSERT INTO `lang_definitions` VALUES (62452, 7402, 16, 'bukan angka');
INSERT INTO `lang_definitions` VALUES (62453, 7403, 16, 'siap kembali ditagih.');
INSERT INTO `lang_definitions` VALUES (62454, 7404, 16, 'LLL:');
INSERT INTO `lang_definitions` VALUES (62455, 7405, 16, 'Lot');
INSERT INTO `lang_definitions` VALUES (62456, 7406, 16, 'No. Referensi Asli Kesehatan ');
INSERT INTO `lang_definitions` VALUES (62457, 7407, 16, 'min');
INSERT INTO `lang_definitions` VALUES (62458, 7408, 16, 'tidak ditemukan!');
INSERT INTO `lang_definitions` VALUES (62459, 7409, 16, 'Keanehan di banyak browser bisa berarti bahwa output dibawah ini memasuk layar anda dengan tersentak tiba-tiba dan bahwa ada jeda panjang selama beberapa detik dimana ia muncul seolah-olah hal tersebut mungkin mengalami crash(hancur). Hal tersebut tidak terjadi, anda akhirnya akan melihat output yang keluar baris demi baris. Mungkin ada nomor berurutan muncul dibawah, ini adalah untuk menunjukkan bahwa meskipun tidak ada yang lain yang ditampilkan namun ada aktivitas yang terjadi. Angka ini akan diselingi dengan isi dari tagihan dan hal tersebut bersifat normal.');
INSERT INTO `lang_definitions` VALUES (62460, 7410, 16, 'resep telah mencapai batas');
INSERT INTO `lang_definitions` VALUES (62461, 7411, 16, 'sampai');
INSERT INTO `lang_definitions` VALUES (62462, 7412, 16, 'update gagal, bukan di database?');
INSERT INTO `lang_definitions` VALUES (62463, 7413, 16, 'telah ditandai sebagai tagihan saja.');
INSERT INTO `lang_definitions` VALUES (62464, 7414, 16, 'antrian telah berhasil.');
INSERT INTO `lang_definitions` VALUES (62465, 7415, 16, '! Kiri w/o kunjungan');
INSERT INTO `lang_definitions` VALUES (62466, 7416, 16, '\" untuk kode');
INSERT INTO `lang_definitions` VALUES (62467, 7417, 16, '\" yang DIPERIKSA dalam Pengaturan PostCalendar!');
INSERT INTO `lang_definitions` VALUES (62468, 7418, 16, '# Ins/fin issue');
INSERT INTO `lang_definitions` VALUES (62469, 7419, 16, 'Jumlah tablet:');
INSERT INTO `lang_definitions` VALUES (62470, 7420, 16, '$');
INSERT INTO `lang_definitions` VALUES (62471, 7421, 16, '$ Coding dilakukan');
INSERT INTO `lang_definitions` VALUES (62472, 7422, 16, '$ label (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (62473, 7423, 16, '%');
INSERT INTO `lang_definitions` VALUES (62474, 7424, 16, '% Dibatalkan <24h');
INSERT INTO `lang_definitions` VALUES (62475, 7425, 16, '% Dibatalkan <24h ');
INSERT INTO `lang_definitions` VALUES (62476, 7426, 16, 'harus ada tapi tidak.');
INSERT INTO `lang_definitions` VALUES (62477, 7427, 16, '(% cocok dengan string apapun, _ cocok dengan karakter apapun)');
INSERT INTO `lang_definitions` VALUES (62478, 7428, 16, '([ctrl] + klik untuk memilih beberapa penerima)');
INSERT INTO `lang_definitions` VALUES (62479, 7429, 16, '(Kembali)');
INSERT INTO `lang_definitions` VALUES (62480, 7430, 16, '(Klik untuk mengedit)');
INSERT INTO `lang_definitions` VALUES (62481, 7431, 16, '(Pengiriman email adalah langsung, sedangkan VOIP otomatis dikirim ke penyedia layanan untuk diproses lebih lanjut.)');
INSERT INTO `lang_definitions` VALUES (62482, 7432, 16, '(Lagi)');
INSERT INTO `lang_definitions` VALUES (62483, 7433, 16, '(Pasien Baru)');
INSERT INTO `lang_definitions` VALUES (62484, 7434, 16, '(Catatan dan Kewenangan)');
INSERT INTO `lang_definitions` VALUES (62485, 7435, 16, '(Catatan Pasien)');
INSERT INTO `lang_definitions` VALUES (62486, 7436, 16, '(Pilih salah satu, atau ketik judul anda sendiri)');
INSERT INTO `lang_definitions` VALUES (62487, 7437, 16, '(Shift-)Klik atau tarik untuk mengubah nilai');
INSERT INTO `lang_definitions` VALUES (62488, 7438, 16, '* Pengingat selesai');
INSERT INTO `lang_definitions` VALUES (62489, 7439, 16, '** Harap pindahkan operasi ke Isu(masalah)!');
INSERT INTO `lang_definitions` VALUES (62490, 7440, 16, '*Diperlukan');
INSERT INTO `lang_definitions` VALUES (62491, 7441, 16, '+ Chart diambil');
INSERT INTO `lang_definitions` VALUES (62492, 7442, 16, '- Tidak Ada');
INSERT INTO `lang_definitions` VALUES (62493, 7445, 16, '.');
INSERT INTO `lang_definitions` VALUES (62494, 7446, 16, '0');
INSERT INTO `lang_definitions` VALUES (62495, 7447, 16, '0-10');
INSERT INTO `lang_definitions` VALUES (62496, 7448, 16, '0-24');
INSERT INTO `lang_definitions` VALUES (62497, 7451, 16, '1');
INSERT INTO `lang_definitions` VALUES (62498, 7452, 16, '1 = Amerika Utara. Lihat http://www.wtng.info/ untuk daftar kode dari negara lainnya.');
INSERT INTO `lang_definitions` VALUES (62499, 7453, 16, '1 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62500, 7454, 16, '1 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62501, 7455, 16, '1 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62502, 7456, 16, '1 Tahun Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62503, 7457, 16, '1.Rest 2. Es selama dua hari 3. Kompresi, meninggalkan dressing kecuali di tempat kaki mengembangkan rasa atau warna pucat 4. Meninggikan kaki dan kaki');
INSERT INTO `lang_definitions` VALUES (62504, 7458, 16, '11 - 14');
INSERT INTO `lang_definitions` VALUES (62505, 7459, 16, '12 jam');
INSERT INTO `lang_definitions` VALUES (62506, 7460, 16, '15-19');
INSERT INTO `lang_definitions` VALUES (62507, 7462, 16, '2');
INSERT INTO `lang_definitions` VALUES (62508, 7463, 16, '2 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62509, 7464, 16, '2 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62510, 7465, 16, '2 Minggu Dari Sekaran');
INSERT INTO `lang_definitions` VALUES (62511, 7466, 16, '2 Tahun Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62512, 7468, 16, '20-24');
INSERT INTO `lang_definitions` VALUES (62513, 7477, 16, '2111-13');
INSERT INTO `lang_definitions` VALUES (62514, 7478, 16, '24 jam');
INSERT INTO `lang_definitions` VALUES (62515, 7479, 16, '25+');
INSERT INTO `lang_definitions` VALUES (62516, 7480, 16, '25-29');
INSERT INTO `lang_definitions` VALUES (62517, 7481, 16, '2');
INSERT INTO `lang_definitions` VALUES (62518, 7482, 16, '3 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62519, 7483, 16, '3 bulan');
INSERT INTO `lang_definitions` VALUES (62520, 7484, 16, '3 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62521, 7485, 16, '3 kali sehari-hari');
INSERT INTO `lang_definitions` VALUES (62522, 7486, 16, '3 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62523, 7487, 16, '30-34');
INSERT INTO `lang_definitions` VALUES (62524, 7488, 16, '35-39');
INSERT INTO `lang_definitions` VALUES (62525, 7489, 16, '3');
INSERT INTO `lang_definitions` VALUES (62526, 7490, 16, '4 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62527, 7491, 16, '4 bulan');
INSERT INTO `lang_definitions` VALUES (62528, 7492, 16, '4 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62529, 7493, 16, '4 kali sehari-hari');
INSERT INTO `lang_definitions` VALUES (62530, 7494, 16, '4 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62531, 7495, 16, '40-44');
INSERT INTO `lang_definitions` VALUES (62532, 7496, 16, '45+');
INSERT INTO `lang_definitions` VALUES (62533, 7497, 16, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (62534, 7498, 16, '466,0, Bronkitis, Akut NOS');
INSERT INTO `lang_definitions` VALUES (62535, 7499, 16, '486,0, Radang Paru-paru, Akut');
INSERT INTO `lang_definitions` VALUES (62536, 7500, 16, '491,21, COPD Exacerbation');
INSERT INTO `lang_definitions` VALUES (62537, 7501, 16, '491,8, Bronkitis, Kronis');
INSERT INTO `lang_definitions` VALUES (62538, 7502, 16, '493,92, Asma, Exac akut.');
INSERT INTO `lang_definitions` VALUES (62539, 7503, 16, '496,0, COPD');
INSERT INTO `lang_definitions` VALUES (62540, 7504, 16, '4');
INSERT INTO `lang_definitions` VALUES (62541, 7505, 16, '5 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62542, 7506, 16, '5 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62543, 7507, 16, '5 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62544, 7508, 16, '519,7, Bronchospasm');
INSERT INTO `lang_definitions` VALUES (62545, 7509, 16, '5');
INSERT INTO `lang_definitions` VALUES (62546, 7510, 16, '6 Hari Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62547, 7511, 16, '6 bulan');
INSERT INTO `lang_definitions` VALUES (62548, 7512, 16, '6 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62549, 7513, 16, '6 Minggu Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62550, 7514, 16, '6');
INSERT INTO `lang_definitions` VALUES (62551, 7515, 16, '7 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62552, 7516, 16, '8 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62553, 7517, 16, '824,0 patah, di tengah-tengah malleolus, ditutup');
INSERT INTO `lang_definitions` VALUES (62554, 7518, 16, '824,2 patah, rusuk malleolus, ditutup');
INSERT INTO `lang_definitions` VALUES (62555, 7519, 16, '824,6 retak, Trimalleolar, ditutup');
INSERT INTO `lang_definitions` VALUES (62556, 7520, 16, '825,32 patah, dari Navicular (pergelangan kaki)');
INSERT INTO `lang_definitions` VALUES (62557, 7521, 16, '825,35 retak, Berdasarkan dari kelima (5.) Metatarsal');
INSERT INTO `lang_definitions` VALUES (62558, 7522, 16, '845,00 pergelangan kaki keselo NOS');
INSERT INTO `lang_definitions` VALUES (62559, 7523, 16, '845,01 keseleo di tengah-tengah (Delta) Lig.');
INSERT INTO `lang_definitions` VALUES (62560, 7524, 16, '845,02 keseleo, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (62561, 7525, 16, '9 Bulan Dari Sekarang');
INSERT INTO `lang_definitions` VALUES (62562, 7526, 16, 'Didirikan 99212 - Tanpa Komplikasi');
INSERT INTO `lang_definitions` VALUES (62563, 7527, 16, 'Didirikan 99213 - Kompleksitas Rendah');
INSERT INTO `lang_definitions` VALUES (62564, 7528, 16, '<Dalam ruang pemeriksaan');
INSERT INTO `lang_definitions` VALUES (62565, 7529, 16, '> Dicentang out');
INSERT INTO `lang_definitions` VALUES (62566, 7531, 16, '? Tidak menunjukkan');
INSERT INTO `lang_definitions` VALUES (62567, 7532, 16, '@ Tiba');
INSERT INTO `lang_definitions` VALUES (62568, 7533, 16, '[Ubah Tampilan]');
INSERT INTO `lang_definitions` VALUES (62569, 7534, 16, '[Tanggal Terakhir Encounter(Pertemuan)]');
INSERT INTO `lang_definitions` VALUES (62570, 7535, 16, '[Hari Sejak Terakhir Encounter(Pertemuan)]');
INSERT INTO `lang_definitions` VALUES (62571, 7536, 16, '[EOB]');
INSERT INTO `lang_definitions` VALUES (62572, 7537, 16, '[Ekspor OFX]');
INSERT INTO `lang_definitions` VALUES (62573, 7538, 16, '[tidak disarankan]');
INSERT INTO `lang_definitions` VALUES (62574, 7539, 16, '[Jumlah Encounters]');
INSERT INTO `lang_definitions` VALUES (62575, 7540, 16, '[Laporan]');
INSERT INTO `lang_definitions` VALUES (62576, 7541, 16, '[Select All]');
INSERT INTO `lang_definitions` VALUES (62577, 7542, 16, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (62578, 7543, 16, '[Mulai Memproses Batch]');
INSERT INTO `lang_definitions` VALUES (62579, 7544, 16, '[Lihat Log]');
INSERT INTO `lang_definitions` VALUES (62580, 7545, 16, '[Lihat Laporan Tercetak]');
INSERT INTO `lang_definitions` VALUES (62581, 7546, 16, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (62582, 7547, 16, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (62583, 7548, 16, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (62584, 7549, 16, '~ Tiba terlambat');
INSERT INTO `lang_definitions` VALUES (62585, 1, 17, 'Ένα');
INSERT INTO `lang_definitions` VALUES (62586, 2, 17, 'Αριθ. Επιταγής ή Αιτήματος αποζημίωσης, προς ταυτοποίηση πληρωμής');
INSERT INTO `lang_definitions` VALUES (62587, 3, 17, 'Ένα πιστοποιητικό πελάτη για τον Διαχειριστή');
INSERT INTO `lang_definitions` VALUES (62588, 5, 17, 'Προσετέθη ένα κλινικό έγγραφο.');
INSERT INTO `lang_definitions` VALUES (62589, 7, 17, 'Απαιτείται ένας αντιπρόσωπος');
INSERT INTO `lang_definitions` VALUES (62590, 8, 17, 'Μια επίσκεψη GCAC πρέπει να προστεθεί σε αυτήν την επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (62591, 9, 17, 'Απαιτείται αριθμός παρτίδας');
INSERT INTO `lang_definitions` VALUES (62592, 10, 17, 'Απαιτείται αριθμός παρτίδας!');
INSERT INTO `lang_definitions` VALUES (62593, 11, 17, 'Ένα μικρό γράμμα');
INSERT INTO `lang_definitions` VALUES (62594, 12, 17, 'Ένας αριθμός');
INSERT INTO `lang_definitions` VALUES (62595, 14, 17, 'Υπάρχει ήδη ασθενής με αυτόν τον Κωδικό.');
INSERT INTO `lang_definitions` VALUES (62596, 15, 17, 'Υπάρχει ήδη ασθενής με αυτό το όνομα.');
INSERT INTO `lang_definitions` VALUES (62597, 16, 17, 'Υπάρχει ήδη ασθενής με αυτόν τον ΑΜΚΑ.');
INSERT INTO `lang_definitions` VALUES (62598, 18, 17, 'Ένας θετικός αριθμός θα εμφανίσει πολλά περασμένα ραντεβού σε ένα Widget στην οθόνη με την Πρίληψη Πελάτη.');
INSERT INTO `lang_definitions` VALUES (62599, 19, 17, 'Μπορεί να οριστεί μια πηγή παραπομπής για κάθε επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (62600, 20, 17, 'Απαιτείται ένας σχετικός κωδικός IPPF');
INSERT INTO `lang_definitions` VALUES (62601, 21, 17, 'Ένας ειδικός χαρακτήρας');
INSERT INTO `lang_definitions` VALUES (62602, 22, 17, 'Μία μοναδική τιμή για την αναγνώριση αυτού του πεδίου, μη ορατή στο χρήστη');
INSERT INTO `lang_definitions` VALUES (62603, 24, 17, 'προ φαγητού');
INSERT INTO `lang_definitions` VALUES (62604, 25, 17, 'π.μ.');
INSERT INTO `lang_definitions` VALUES (62605, 26, 17, 'Υδραερικό επίπεδο Δεξιά:');
INSERT INTO `lang_definitions` VALUES (62606, 28, 17, 'Συντόμευση');
INSERT INTO `lang_definitions` VALUES (62607, 29, 17, 'Απόστημα:');
INSERT INTO `lang_definitions` VALUES (62608, 30, 17, 'Κοιλιακό');
INSERT INTO `lang_definitions` VALUES (62609, 31, 17, 'Εις θέση να σηκώσει βάρος για τέσσερα (4) βήματα:');
INSERT INTO `lang_definitions` VALUES (62610, 32, 17, 'Παθολ.');
INSERT INTO `lang_definitions` VALUES (62611, 34, 17, 'Παθολογικό');
INSERT INTO `lang_definitions` VALUES (62612, 35, 17, 'Παθολογική εξέταση αίματος');
INSERT INTO `lang_definitions` VALUES (62613, 36, 17, 'Παθολογική τριχοφυΐα');
INSERT INTO `lang_definitions` VALUES (62614, 37, 17, 'Παθολογική μαστογραφία');
INSERT INTO `lang_definitions` VALUES (62615, 39, 17, 'Άμβλωση');
INSERT INTO `lang_definitions` VALUES (62616, 40, 17, 'Θέματα άμβλωσης');
INSERT INTO `lang_definitions` VALUES (62617, 41, 17, 'Μέθοδος άμβλωσης');
INSERT INTO `lang_definitions` VALUES (62618, 42, 17, 'Κατηγορίες σχετικές με την άμβλωση');
INSERT INTO `lang_definitions` VALUES (62619, 43, 17, 'Αμβλώσεις');
INSERT INTO `lang_definitions` VALUES (62620, 44, 17, 'Σχετικά με το ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (62621, 46, 17, 'Απουσίες ανά διάγνωση');
INSERT INTO `lang_definitions` VALUES (62622, 47, 17, 'Αποδοχή ανάθεσης');
INSERT INTO `lang_definitions` VALUES (62623, 48, 17, 'Αποδοχή πληρωμής για');
INSERT INTO `lang_definitions` VALUES (62624, 49, 17, 'Αποδοχή πληρωμής για ');
INSERT INTO `lang_definitions` VALUES (62625, 50, 17, 'Αποδέχεται την ανάθεση');
INSERT INTO `lang_definitions` VALUES (62626, 51, 17, 'Έλεγχος Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (62627, 52, 17, 'Έλεγχος Διαχείρισης δικαιωμάτων πρόσβασης');
INSERT INTO `lang_definitions` VALUES (62628, 54, 17, 'Δεν επιτρέπεται η πρόσβαση');
INSERT INTO `lang_definitions` VALUES (62629, 55, 17, 'Δεν επιτρέπεται η πρόσβαση');
INSERT INTO `lang_definitions` VALUES (62630, 56, 17, 'Πρόσβαση στο Portal Ασθενούς σας');
INSERT INTO `lang_definitions` VALUES (62631, 59, 17, 'Όνομα Λογαριασμού');
INSERT INTO `lang_definitions` VALUES (62632, 62, 17, 'Λογιστικά');
INSERT INTO `lang_definitions` VALUES (62633, 64, 17, 'Άλγη');
INSERT INTO `lang_definitions` VALUES (62634, 65, 17, 'Υπεβλήθη αίτημα επιβεβαίωσης (ISA14)');
INSERT INTO `lang_definitions` VALUES (62635, 66, 17, 'Ευχαριστίες, Αδειοδότηση και Πιστοποίηση');
INSERT INTO `lang_definitions` VALUES (62636, 67, 17, 'Δικαιώμ. Πρόσβ. ACL');
INSERT INTO `lang_definitions` VALUES (62637, 68, 17, 'Διαχείριση ΔΠ ACL');
INSERT INTO `lang_definitions` VALUES (62638, 69, 17, 'Δεν έχετε δικαίωμα να αλλάξετε τα δικαιώματα πρόσβασης ACL');
INSERT INTO `lang_definitions` VALUES (62639, 71, 17, 'Ακμή');
INSERT INTO `lang_definitions` VALUES (62640, 72, 17, 'Ενέργεια');
INSERT INTO `lang_definitions` VALUES (62641, 73, 17, 'Ημερομ. ενεργοποίησης');
INSERT INTO `lang_definitions` VALUES (62642, 74, 17, 'Ενέργεια');
INSERT INTO `lang_definitions` VALUES (62643, 75, 17, 'Ενέργειες');
INSERT INTO `lang_definitions` VALUES (62644, 77, 17, 'Ενεργοποίηση Αναφοράς CCR/CCD');
INSERT INTO `lang_definitions` VALUES (62645, 78, 17, 'Ενεργό');
INSERT INTO `lang_definitions` VALUES (62646, 79, 17, 'Ενεργός Ειδοποίηση');
INSERT INTO `lang_definitions` VALUES (62647, 80, 17, 'Κανόνες ενεργούς ειδοποίησης');
INSERT INTO `lang_definitions` VALUES (62648, 81, 17, 'Ενεργές Ειδοποιήσεις/Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (62649, 82, 17, 'Ενεργός Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (62650, 84, 17, 'Ενεργοί κατάλογοι');
INSERT INTO `lang_definitions` VALUES (62651, 85, 17, 'Ενεργός Ασθενής');
INSERT INTO `lang_definitions` VALUES (62652, 86, 17, 'Ενεργό πλάνο');
INSERT INTO `lang_definitions` VALUES (62653, 87, 17, 'Δραστηριότητα');
INSERT INTO `lang_definitions` VALUES (62654, 88, 17, 'Τύπος δραστηριότητας');
INSERT INTO `lang_definitions` VALUES (62655, 90, 17, 'Οξεία Δηλητηρίαση/Στέρηση');
INSERT INTO `lang_definitions` VALUES (62656, 92, 17, 'Οξύ επί χρονίου');
INSERT INTO `lang_definitions` VALUES (62657, 93, 17, 'προσθήκη');
INSERT INTO `lang_definitions` VALUES (62658, 94, 17, 'Προσθήκη');
INSERT INTO `lang_definitions` VALUES (62659, 95, 17, 'ΠΡΟΣΘΗΚΗ');
INSERT INTO `lang_definitions` VALUES (62660, 96, 17, 'Προσθήκη Εταιρείας');
INSERT INTO `lang_definitions` VALUES (62661, 98, 17, 'Προσθήκη Φαρμακείου');
INSERT INTO `lang_definitions` VALUES (62662, 100, 17, 'προσθήκη συμβάντος για ');
INSERT INTO `lang_definitions` VALUES (62663, 101, 17, 'Προσθήκη ως νέα σημείωση');
INSERT INTO `lang_definitions` VALUES (62664, 102, 17, 'Προσθήκη ως Νέο');
INSERT INTO `lang_definitions` VALUES (62665, 104, 17, 'Προσθήκη Κουμπιών');
INSERT INTO `lang_definitions` VALUES (62666, 105, 17, 'Προσθήκη Κουμπιών για Ειδικούς Χαρακτήρες, Κείμενα που θα εμφανίζονται πάνω από τον Editor, για ενσωμάτωση στο κείμενο με ένα Κλικ.');
INSERT INTO `lang_definitions` VALUES (62667, 106, 17, 'Προσθ. Κατηγορίας');
INSERT INTO `lang_definitions` VALUES (62668, 107, 17, 'Προσθ. Σταθεράς');
INSERT INTO `lang_definitions` VALUES (62669, 108, 17, 'Προσθήκη Πλαισίου');
INSERT INTO `lang_definitions` VALUES (62670, 109, 17, 'Προσθ. Συμμετοχής');
INSERT INTO `lang_definitions` VALUES (62671, 110, 17, 'Προσθ. Κριτηρίου');
INSERT INTO `lang_definitions` VALUES (62672, 111, 17, 'Προσθ. Ειδικού Κουμπιού');
INSERT INTO `lang_definitions` VALUES (62673, 112, 17, 'Προσθ. Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (62674, 113, 17, 'Προσθ. Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (62675, 114, 17, 'Προσθ. Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (62676, 115, 17, 'Προσθ. Επίσκεψης/Σημείωσης');
INSERT INTO `lang_definitions` VALUES (62677, 116, 17, 'Προσθ. Έδρας');
INSERT INTO `lang_definitions` VALUES (62678, 117, 17, 'Προσθ. Πεδίου');
INSERT INTO `lang_definitions` VALUES (62679, 118, 17, 'Προσθήκη των ακόλουθων γραμμών στο αρχείο ρυθμίσεων του Apache');
INSERT INTO `lang_definitions` VALUES (62680, 119, 17, 'Προσθήκη Ομάδος');
INSERT INTO `lang_definitions` VALUES (62681, 120, 17, 'Προσθ. Κωδ. ICD');
INSERT INTO `lang_definitions` VALUES (62682, 121, 17, 'Προσθ. Εμβολίου');
INSERT INTO `lang_definitions` VALUES (62683, 122, 17, 'Μη εξουσιοδοτημένη προσθήκη!');
INSERT INTO `lang_definitions` VALUES (62684, 123, 17, 'Προσθ. Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (62685, 125, 17, 'Προσθ. Γλώσσας');
INSERT INTO `lang_definitions` VALUES (62686, 126, 17, 'Προσθήκη Νέο/α');
INSERT INTO `lang_definitions` VALUES (62687, 127, 17, 'Προσθήκη νέο/α');
INSERT INTO `lang_definitions` VALUES (62688, 128, 17, 'Προσθ. νέας κατηγορίας ');
INSERT INTO `lang_definitions` VALUES (62689, 129, 17, 'Προσθ. νέων πιστοποιητικών στο αρχείο ρυθμίσεων του Apache');
INSERT INTO `lang_definitions` VALUES (62690, 132, 17, 'Προσθ. Νέας Ομάδας');
INSERT INTO `lang_definitions` VALUES (62691, 134, 17, 'Προσθ. νέας παρτίδας και συναλλαγής');
INSERT INTO `lang_definitions` VALUES (62692, 135, 17, 'Προσθ. Νέας Σημείωσης');
INSERT INTO `lang_definitions` VALUES (62693, 136, 17, 'Προσθ. νέας σημείωσης');
INSERT INTO `lang_definitions` VALUES (62694, 137, 17, 'Προσθ. Νέου Συνεργάτη');
INSERT INTO `lang_definitions` VALUES (62695, 140, 17, 'Προσθ. Σημείωσης');
INSERT INTO `lang_definitions` VALUES (62696, 141, 17, 'Προσθ. Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (62697, 142, 17, 'Προσθ. Συνταγής');
INSERT INTO `lang_definitions` VALUES (62698, 143, 17, 'Προσθ. διαδικασίας');
INSERT INTO `lang_definitions` VALUES (62699, 144, 17, 'Προσθ. Αριθμ. Παρόχου');
INSERT INTO `lang_definitions` VALUES (62700, 145, 17, 'Προσθ. Αποκατάστασης');
INSERT INTO `lang_definitions` VALUES (62701, 146, 17, 'Προσθήκη κανόνα');
INSERT INTO `lang_definitions` VALUES (62702, 147, 17, 'Προσθήκη σε');
INSERT INTO `lang_definitions` VALUES (62703, 148, 17, 'Προσθ. στον Κατάλ. Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (62704, 149, 17, 'Προσθήκη Ανωτ. Επιπέδου');
INSERT INTO `lang_definitions` VALUES (62705, 150, 17, 'Προσθ. Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (62706, 151, 17, 'Προσθήκη Χρήστη');
INSERT INTO `lang_definitions` VALUES (62707, 152, 17, 'Καταχώρηση Χρήστη σε Ομάδα');
INSERT INTO `lang_definitions` VALUES (62708, 153, 17, 'Προσθ./Επεξεργ. ηλεκτρ. συνταγογράφησης');
INSERT INTO `lang_definitions` VALUES (62709, 154, 17, 'Προσθ./ Επεξεργ. Συναλλαγής με ασθενή');
INSERT INTO `lang_definitions` VALUES (62710, 155, 17, 'προστέθηκε');
INSERT INTO `lang_definitions` VALUES (62711, 156, 17, 'Δεν επιτρέπεται προσθήκη δημογραφ. στοιχείων.');
INSERT INTO `lang_definitions` VALUES (62712, 158, 17, 'Σύνδρ. Addison');
INSERT INTO `lang_definitions` VALUES (62713, 159, 17, 'Σύνδρ. Addison');
INSERT INTO `lang_definitions` VALUES (62714, 160, 17, 'Πρόσθετα χαρακτηριστικά');
INSERT INTO `lang_definitions` VALUES (62715, 161, 17, 'Πρόσθετη Διάγνωση:');
INSERT INTO `lang_definitions` VALUES (62716, 162, 17, 'Πρόσθετο Ιστορικό');
INSERT INTO `lang_definitions` VALUES (62717, 163, 17, 'Πρόσθετες σημειώσεις ιστορικού');
INSERT INTO `lang_definitions` VALUES (62718, 164, 17, 'Πρόσθετες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (62719, 165, 17, 'Πρόσθετα Εργαστηριακά');
INSERT INTO `lang_definitions` VALUES (62720, 166, 17, 'Πρόσθετες Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (62721, 167, 17, 'Πρόσθετες Σημειώσεις για το αποτέλεσμα αυτό ή για τη σύσταση αυτή');
INSERT INTO `lang_definitions` VALUES (62722, 168, 17, 'Πρόσθετες Σημειώσεις:');
INSERT INTO `lang_definitions` VALUES (62723, 169, 17, 'Πρόσθετες Σημειώσεις: ');
INSERT INTO `lang_definitions` VALUES (62724, 170, 17, 'Πρόσθετες σημειώσεις Ακτινογραφιών:');
INSERT INTO `lang_definitions` VALUES (62725, 171, 17, 'Επιπλέον, το αντίστοιχο πακέτο επέκτασης US SnoMed μπορεί να εισαχθεί χωριστά, μετά την εγκατάσταση της Διεθνούς Έκδοσης (Αγγλική έκδοση) του Snomed');
INSERT INTO `lang_definitions` VALUES (62726, 172, 17, 'μόνο προσθήκη');
INSERT INTO `lang_definitions` VALUES (62727, 173, 17, 'Βιβλίο Διευθ.');
INSERT INTO `lang_definitions` VALUES (62728, 174, 17, 'Βιβλίο Διευθ.');
INSERT INTO `lang_definitions` VALUES (62729, 175, 17, 'Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (62730, 178, 17, 'Βιβλίο Διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (62731, 179, 17, 'Καταχώρηση εταιρείας που εκτελεί αυτή τη διαδικασία, στον βιβλίο διευθύνσεων');
INSERT INTO `lang_definitions` VALUES (62732, 180, 17, 'Καταχώρηση διανομέως στο βιβλίο διθευθύνσεων');
INSERT INTO `lang_definitions` VALUES (62733, 181, 17, 'Καταχώρηση πωλητού στο βιβλίο διθευθύνσεων');
INSERT INTO `lang_definitions` VALUES (62734, 182, 17, 'Τύποι βιβλίων διθευθύνσεων');
INSERT INTO `lang_definitions` VALUES (62735, 187, 17, 'Διεύθυνση 1');
INSERT INTO `lang_definitions` VALUES (62736, 188, 17, 'Διεύθυνση 2');
INSERT INTO `lang_definitions` VALUES (62737, 189, 17, 'Παραλήπτης');
INSERT INTO `lang_definitions` VALUES (62738, 190, 17, 'Ρυθμ');
INSERT INTO `lang_definitions` VALUES (62739, 191, 17, 'Ρυθμ Ποσού');
INSERT INTO `lang_definitions` VALUES (62740, 192, 17, 'Ρύθμιση');
INSERT INTO `lang_definitions` VALUES (62741, 193, 17, 'Αναπροσαρμογή');
INSERT INTO `lang_definitions` VALUES (62742, 194, 17, 'Ποσό αναπροσαρμογής');
INSERT INTO `lang_definitions` VALUES (62743, 195, 17, 'Λόγοι αναπροσαρμογής');
INSERT INTO `lang_definitions` VALUES (62744, 196, 17, 'Αναπροσαρμογή τιμής για κωδικό ');
INSERT INTO `lang_definitions` VALUES (62745, 197, 17, 'Αναπροσαρμογές');
INSERT INTO `lang_definitions` VALUES (62746, 198, 17, 'Αναπροσαρμογή διαχ.');
INSERT INTO `lang_definitions` VALUES (62747, 199, 17, 'Διαχειριστής');
INSERT INTO `lang_definitions` VALUES (62748, 200, 17, 'E-mail Διαχειριστή');
INSERT INTO `lang_definitions` VALUES (62749, 201, 17, 'Διαχειρίση μέσω');
INSERT INTO `lang_definitions` VALUES (62750, 202, 17, 'Υπό διαχείριση');
INSERT INTO `lang_definitions` VALUES (62751, 203, 17, 'Υπό διαχείριση από');
INSERT INTO `lang_definitions` VALUES (62752, 205, 17, 'Ιστότοπος υπό διαχείριση');
INSERT INTO `lang_definitions` VALUES (62753, 206, 17, 'Διαχείριση');
INSERT INTO `lang_definitions` VALUES (62754, 207, 17, 'Ιστότοπος Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (62755, 208, 17, 'Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (62756, 209, 17, 'Οι διαχειριστές μπορούν να κάνουν τα πάντα');
INSERT INTO `lang_definitions` VALUES (62757, 210, 17, 'Ημερομ. εισαγωγής');
INSERT INTO `lang_definitions` VALUES (62758, 212, 17, 'Ελεγχος Βάρους ενήλικα και επανεκτίμηση');
INSERT INTO `lang_definitions` VALUES (62759, 213, 17, 'Επιτήρηση Βάρους ενήλικα και επανεκτίμηση (CQM)');
INSERT INTO `lang_definitions` VALUES (62760, 214, 17, 'Οδηγία προώθησης');
INSERT INTO `lang_definitions` VALUES (62761, 215, 17, 'Οδηγίες προώθησης');
INSERT INTO `lang_definitions` VALUES (62762, 216, 17, 'Προειδοποίηση οδηγιών προώθησης');
INSERT INTO `lang_definitions` VALUES (62763, 218, 17, 'Για προχωρημένους');
INSERT INTO `lang_definitions` VALUES (62764, 219, 17, 'Συμβουλή');
INSERT INTO `lang_definitions` VALUES (62765, 221, 17, 'Επίδραση στο φυσιολογικό');
INSERT INTO `lang_definitions` VALUES (62766, 223, 17, 'Κλήσεις εκτός ωραρίου εργασίας');
INSERT INTO `lang_definitions` VALUES (62767, 224, 17, 'Όταν ολοκληρωθεί η μετάβαση από τους παλιούς μηχανισμούς κωδικού πρόσβασης, όπου οι κωδικοί αποθηκεύονται στον πίνακα χρηστών χωρίς αλάτι, αυτό το flag πρέπει να ορισθεί στη τιμή false έτσι ώστε να είναι δυνατή μόνον η διαπίστευση μέσω της νέας μεθόδου');
INSERT INTO `lang_definitions` VALUES (62768, 225, 17, 'Μετά την πραγματοποίηση των ανωτέρω ρυθμίσεων, εισάγετε το πιστοποιητικό του πελάτη admin στον φυλλομετρητή και επανεκινήστε τον Apache server (κενό password).');
INSERT INTO `lang_definitions` VALUES (62769, 226, 17, 'Μετά την αποθήκευση του PDF, κάντε click στο [Προβολή Log] για έλεγχο λαθών.');
INSERT INTO `lang_definitions` VALUES (62770, 227, 17, 'Μετά την αποθήκευση του/των ΤΕΧΤ αρχείου/ων, κάντε click στο [Προβολή Log] για έλεγχο λαθών.');
INSERT INTO `lang_definitions` VALUES (62771, 228, 17, 'Μετά την αποθήκευση της δέσμης ενεργειών σας, κάντε click στο [Προβολή Log] για έλεγχο λαθών');
INSERT INTO `lang_definitions` VALUES (62772, 230, 17, 'Αν οι πληροφορίες που εισάγατε είναι σωστές, πατήστε το κουμπί Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (62773, 232, 17, 'Σχεδιασμός συνέχισης φροντίδας');
INSERT INTO `lang_definitions` VALUES (62774, 233, 17, 'Ξανά');
INSERT INTO `lang_definitions` VALUES (62775, 234, 17, 'Ηλικία');
INSERT INTO `lang_definitions` VALUES (62776, 235, 17, 'Ηλικία ανά');
INSERT INTO `lang_definitions` VALUES (62777, 236, 17, 'Κατηγορία ηλικίας');
INSERT INTO `lang_definitions` VALUES (62778, 237, 17, 'Τα στοιχεία ηλικίας είναι έκτος ορίων');
INSERT INTO `lang_definitions` VALUES (62779, 238, 17, 'Μορφή εμφάνισης ηλικίας');
INSERT INTO `lang_definitions` VALUES (62780, 239, 17, 'Η μορφή της ηλικίας για \"ηλικία από\" δεν είναι έγκυρη');
INSERT INTO `lang_definitions` VALUES (62781, 240, 17, 'Η μορφή της ηλικίας για \"ηλικία μέχρι\" δεν είναι έγκυρη');
INSERT INTO `lang_definitions` VALUES (62782, 241, 17, 'Ηλικία από');
INSERT INTO `lang_definitions` VALUES (62783, 242, 17, 'Ηλικία σε έτη για την αλλαγή του τύπου εμφάνισης');
INSERT INTO `lang_definitions` VALUES (62784, 243, 17, 'Μέγιστη ηλικία');
INSERT INTO `lang_definitions` VALUES (62785, 244, 17, 'Ελάχ. ηλικία');
INSERT INTO `lang_definitions` VALUES (62786, 245, 17, 'Όριο ηλικίας');
INSERT INTO `lang_definitions` VALUES (62787, 247, 17, 'Στήλες Ηλικίας:');
INSERT INTO `lang_definitions` VALUES (62788, 249, 17, 'Αλβανικά');
INSERT INTO `lang_definitions` VALUES (62789, 250, 17, 'Αλκοόλ');
INSERT INTO `lang_definitions` VALUES (62790, 251, 17, 'Κατανάλωση αλκοόλ');
INSERT INTO `lang_definitions` VALUES (62791, 253, 17, 'Αριθμός Ειδοποιήσεων');
INSERT INTO `lang_definitions` VALUES (62792, 255, 17, 'Ειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (62793, 259, 17, 'Όλα');
INSERT INTO `lang_definitions` VALUES (62794, 260, 17, 'ΟΛΑ');
INSERT INTO `lang_definitions` VALUES (62795, 261, 17, 'Όλα (σελιδοποιημένη μορφή Α)');
INSERT INTO `lang_definitions` VALUES (62796, 262, 17, 'Όλα (σελιδοποιημένη μορφή Β)');
INSERT INTO `lang_definitions` VALUES (62797, 263, 17, 'Όλα (σωρευτικά)');
INSERT INTO `lang_definitions` VALUES (62798, 266, 17, 'Όλες οι κατηγορίες');
INSERT INTO `lang_definitions` VALUES (62799, 268, 17, 'Όλοι οι κωδικοί');
INSERT INTO `lang_definitions` VALUES (62800, 269, 17, 'Ολοήμερο');
INSERT INTO `lang_definitions` VALUES (62801, 270, 17, 'Ολοήμερο συμβάν');
INSERT INTO `lang_definitions` VALUES (62802, 271, 17, 'Όλα τα πεδία Δημογραφικών. με αναζήτηση και έλεγχο διπλοκαταχωρήσεων');
INSERT INTO `lang_definitions` VALUES (62803, 272, 17, 'Όλες οι εγκαταστάσεις');
INSERT INTO `lang_definitions` VALUES (62804, 273, 17, 'Όλες οι Βλάβες/Προβλήματα/Θέματα');
INSERT INTO `lang_definitions` VALUES (62805, 274, 17, 'Επιτρέπονται όλες οι γλώσσες');
INSERT INTO `lang_definitions` VALUES (62806, 276, 17, 'Μικρό Όνομα ή τμήμα του');
INSERT INTO `lang_definitions` VALUES (62807, 277, 17, 'Επώνυμο ή τμήμα του');
INSERT INTO `lang_definitions` VALUES (62808, 278, 17, 'Οργανισμός ή τμήμα του');
INSERT INTO `lang_definitions` VALUES (62809, 280, 17, 'Όλα τα Προϊόντα');
INSERT INTO `lang_definitions` VALUES (62810, 281, 17, 'Όλοι οι Πάροχοι');
INSERT INTO `lang_definitions` VALUES (62811, 282, 17, 'Όλα ελέγχθηκαν και ήταν αρνητικά:');
INSERT INTO `lang_definitions` VALUES (62812, 283, 17, 'Όλα τα θέματα:');
INSERT INTO `lang_definitions` VALUES (62813, 284, 17, 'Όλοι οι Χρήστες');
INSERT INTO `lang_definitions` VALUES (62814, 285, 17, 'Αλλεργικός/ή');
INSERT INTO `lang_definitions` VALUES (62815, 286, 17, 'Αλλεργίες');
INSERT INTO `lang_definitions` VALUES (62816, 287, 17, 'Αλλεργίες:');
INSERT INTO `lang_definitions` VALUES (62817, 288, 17, 'Αλλεργία');
INSERT INTO `lang_definitions` VALUES (62818, 289, 17, 'Η εισαγωγή αλλεργιών ήταν επιτυχής');
INSERT INTO `lang_definitions` VALUES (62819, 290, 17, 'Λίστα προβλημάτων αλλεργίας');
INSERT INTO `lang_definitions` VALUES (62820, 291, 17, 'Αλλεργική αντίδραση');
INSERT INTO `lang_definitions` VALUES (62821, 294, 17, 'Κατανομή');
INSERT INTO `lang_definitions` VALUES (62822, 295, 17, 'Να επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (62823, 296, 17, 'Όταν κάνετε login, επιτρέψτε όλες τις διαθέσιμες γλώσσες ως επιλογές του μενού');
INSERT INTO `lang_definitions` VALUES (62824, 297, 17, 'Επιτρέψτε δημιουργία Αιτημάτων Αποζημίωσης που περιέχουν Διαγνώσεις, αλλά όχι Διαδικασίες ή Χρεώσεις. Τα περισσότερα Ιατρεία δεν το θέλουν αυτό.');
INSERT INTO `lang_definitions` VALUES (62825, 298, 17, 'Να επιτρέπεται η γλώσα αποσφαλμάτωσης');
INSERT INTO `lang_definitions` VALUES (62826, 299, 17, 'Να επιτρέπεται αποστολή e-mail');
INSERT INTO `lang_definitions` VALUES (62827, 300, 17, 'Να επιτρέπεται αποστολή μηνυμάτων e-mail;');
INSERT INTO `lang_definitions` VALUES (62828, 301, 17, 'Να επιτρέπεται αποστολή e-mail;');
INSERT INTO `lang_definitions` VALUES (62829, 302, 17, 'Να επιτρέπονται Αιτήματα Αποζημίωσης Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (62830, 303, 17, 'Να επιτρέπεται η Ανταλλαγή Πληροφοριών Υγείας');
INSERT INTO `lang_definitions` VALUES (62831, 304, 17, 'Να επιτρέπεται ο Διαμοιρασμός Πληροφοριών Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (62832, 305, 17, 'Να επιτρέπεται η Χρήση Αρχείου Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (62833, 306, 17, 'Να επιτρέπεται Μήνυμα Ταχυδρομείου');
INSERT INTO `lang_definitions` VALUES (62834, 308, 17, 'Να επιτρέπεται το Portal Ασθενούς');
INSERT INTO `lang_definitions` VALUES (62835, 309, 17, 'Να επιτρέπονται τα SMS');
INSERT INTO `lang_definitions` VALUES (62836, 310, 17, 'Να επιτρέπονται τα SMS (μήνυμ. κειμένου);');
INSERT INTO `lang_definitions` VALUES (62837, 311, 17, 'Τα συμβάντα που υπεβλήθησαν να γίνονται αμέσως ενεργά;');
INSERT INTO `lang_definitions` VALUES (62838, 312, 17, 'Να επιτρέπονται τηλεφωνικά μηνύματα;');
INSERT INTO `lang_definitions` VALUES (62839, 313, 17, 'Οι χρήστες μπορούν να δημοσιεύουν Ολικά Συμβάντα');
INSERT INTO `lang_definitions` VALUES (62840, 314, 17, 'Οι χρήστες μπορούν να δημοσιεύουν Προσωπικά Ημερολόγια');
INSERT INTO `lang_definitions` VALUES (62841, 315, 17, 'Να επιτρέπονται φωνητικά μηνύματα');
INSERT INTO `lang_definitions` VALUES (62842, 316, 17, 'Επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (62843, 317, 17, 'Επιτρεπτές γλώσσες');
INSERT INTO `lang_definitions` VALUES (62844, 318, 17, 'Επιτρέπεται(c)');
INSERT INTO `lang_definitions` VALUES (62845, 323, 17, 'υπάρχει ήδη');
INSERT INTO `lang_definitions` VALUES (62846, 324, 17, 'υπάρχει ήδη.');
INSERT INTO `lang_definitions` VALUES (62847, 325, 17, 'Χρησιμοποιείται ήδη, επιλέξτε άλλο αναγνωριστικό');
INSERT INTO `lang_definitions` VALUES (62848, 326, 17, 'Χρησιμοποιείται ήδη, επιλέξτε άλλο τίτλο');
INSERT INTO `lang_definitions` VALUES (62849, 327, 17, 'Εναλλ. Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (62850, 328, 17, 'αλλαγή');
INSERT INTO `lang_definitions` VALUES (62851, 329, 17, 'Εναλλακτικά, μπορείτε να χρησιμοποιήσετε τη σελίδα αναζήτησης για να φορτώσετε ένα αρχείο ηλεκτρον. εμβάσματος (X12 835) που έχετε λάβει από τον πληρωτή ή το γραφείο clearinghouse, κάνοντας κλικ στο κουμπί \"Περιήγηση\" και επιλέγοντας το αρχείο για να φορτώσετε, και στη συνέχεια, επιλέξτε Αναζήτηση για να εκτελεστεί η μεταφόρτωση και η απεικόνιση των αντίστοιχων τιμολογίων. Στην περίπτωση αυτή, οι λοιπές παράμετροι που αναφέρονται παραπάνω δεν ισχύουν και θα πρέπει να αγνοηθούν. Η μεταφόρτωση αποθηκεύει το αρχείο, αλλά δεν επεξεργάζεται ακόμη το περιεχόμενό του - αυτό γίνεται ξεχωριστά, όπως περιγράφεται κατωτέρω.');
INSERT INTO `lang_definitions` VALUES (62852, 330, 17, 'ΠΜ');
INSERT INTO `lang_definitions` VALUES (62853, 331, 17, 'Πρόγραμμα π.μ.');
INSERT INTO `lang_definitions` VALUES (62854, 332, 17, 'AMC');
INSERT INTO `lang_definitions` VALUES (62855, 333, 17, 'Εντοπισμός AMC');
INSERT INTO `lang_definitions` VALUES (62856, 338, 17, 'Τροποποίηση υφιστάμενης σημείωσης');
INSERT INTO `lang_definitions` VALUES (62857, 343, 17, 'Αμερικανός Ινδιάνος');
INSERT INTO `lang_definitions` VALUES (62858, 344, 17, 'Αμερικανός Ινδιάνος ή Γηγενής εξ\' Αλάσκας');
INSERT INTO `lang_definitions` VALUES (62859, 345, 17, 'American Express');
INSERT INTO `lang_definitions` VALUES (62860, 346, 17, 'Αμαρικά');
INSERT INTO `lang_definitions` VALUES (62861, 347, 17, 'Ποσό');
INSERT INTO `lang_definitions` VALUES (62862, 348, 17, 'Ποσό που χορηγήθηκε');
INSERT INTO `lang_definitions` VALUES (62863, 349, 17, 'Ποσά χρέωσης');
INSERT INTO `lang_definitions` VALUES (62864, 350, 17, 'Ποσό για προηγούμ, λογαριασμούς');
INSERT INTO `lang_definitions` VALUES (62865, 351, 17, 'Ποσό για αυτή την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (62866, 352, 17, 'Καταβληθέν Ποσό');
INSERT INTO `lang_definitions` VALUES (62867, 353, 17, 'Ποσό:');
INSERT INTO `lang_definitions` VALUES (62868, 354, 17, 'Ποσό που χρεώθηκε:');
INSERT INTO `lang_definitions` VALUES (62869, 355, 17, 'Για τα εαναλαμβανόμενα γεγονότα, χρειάζεται μια ημερομηνία τέλους μετά την ημερομ. έναρξης.');
INSERT INTO `lang_definitions` VALUES (62870, 357, 17, 'Προέκυψε σφάλμα κατά το dumping του web directory του LibreEHR');
INSERT INTO `lang_definitions` VALUES (62871, 358, 17, 'Προέκυψε σφάλμα κατά το dumping του web directory του phpGACL');
INSERT INTO `lang_definitions` VALUES (62872, 359, 17, 'Προέκυψε σφάλμα κατά το dumping του web directory του SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (62873, 360, 17, 'Ένα ατελές θέμα GCAC δημιουργήθηκε και συνδέθηκε. Κάποιος θα πρέπει να το ολοκληρώσει αργότερα.');
INSERT INTO `lang_definitions` VALUES (62874, 362, 17, 'Προέκυψε μη αναμενόμενο σφάλμα');
INSERT INTO `lang_definitions` VALUES (62875, 363, 17, 'Ενα κεφαλαίο γράμμα');
INSERT INTO `lang_definitions` VALUES (62876, 365, 17, 'Και');
INSERT INTO `lang_definitions` VALUES (62877, 366, 17, 'ΚΑΙ');
INSERT INTO `lang_definitions` VALUES (62878, 367, 17, 'και');
INSERT INTO `lang_definitions` VALUES (62879, 368, 17, 'και ');
INSERT INTO `lang_definitions` VALUES (62880, 369, 17, 'και όλα τα συμπληρωματικά στοιχεία; Η ενέργεια αυτή θα καταγραφεί');
INSERT INTO `lang_definitions` VALUES (62881, 370, 17, 'και τροποποιητής');
INSERT INTO `lang_definitions` VALUES (62882, 371, 17, 'και επεξεργασμένο.');
INSERT INTO `lang_definitions` VALUES (62883, 372, 17, 'και επανεκκινήστε τον Apache server.');
INSERT INTO `lang_definitions` VALUES (62884, 373, 17, 'και ο λόγος είναι');
INSERT INTO `lang_definitions` VALUES (62885, 374, 17, 'Αναιμία');
INSERT INTO `lang_definitions` VALUES (62886, 375, 17, 'Αστράγαλος');
INSERT INTO `lang_definitions` VALUES (62887, 376, 17, 'Αστράγαλος + πτέρνα');
INSERT INTO `lang_definitions` VALUES (62888, 377, 17, 'Έντυπο εκτίμησης του αστραγάλου');
INSERT INTO `lang_definitions` VALUES (62889, 378, 17, 'Προβλήμ. αστραγάλου');
INSERT INTO `lang_definitions` VALUES (62890, 379, 17, 'Αγκυλοποιητική Σπονδυλίτιδα');
INSERT INTO `lang_definitions` VALUES (62891, 380, 17, 'Αγκυλοποιητική Σπονδυλίτιδα');
INSERT INTO `lang_definitions` VALUES (62892, 381, 17, 'Ανορεξία');
INSERT INTO `lang_definitions` VALUES (62893, 382, 17, 'Στο παράθυρο αποστολής μπορείτε επίσης να ζητήσετε δευτερεύουσα χρέωση. Αν επιλέξετε αυτό το πλαίσιο πριν την αποθήκευση, τότε η αρχική αγωγή θα ανοιχθεί ξανά και θα μπει στην ουρά στη σελίδα Χρεώσεων, και θα διεκπεραιωθεί κατά την επόμενη διαδικασία χρέωσης.');
INSERT INTO `lang_definitions` VALUES (62894, 383, 17, 'προ');
INSERT INTO `lang_definitions` VALUES (62895, 384, 17, 'Πρωκτικός Δακτύλιος κ.φ., χωρίς ορθική ευαισθησία/μάζα');
INSERT INTO `lang_definitions` VALUES (62896, 385, 17, 'Άγχος');
INSERT INTO `lang_definitions` VALUES (62897, 386, 17, 'Όλοι');
INSERT INTO `lang_definitions` VALUES (62898, 387, 17, 'Οποιαδήποτε Κατηγορία');
INSERT INTO `lang_definitions` VALUES (62899, 388, 17, 'Οποιοδήποτε τμήμα του επιθυμητού κωδικού ή της περιγραφής του');
INSERT INTO `lang_definitions` VALUES (62900, 389, 17, 'Οποιοδήποτε τμήμα της επιθυμητής ειδικότητας');
INSERT INTO `lang_definitions` VALUES (62901, 390, 17, 'Οποιοδήποτε τμήμα κωδικού του φαρμάκου ή του ονόματος του φαρμάκου');
INSERT INTO `lang_definitions` VALUES (62902, 391, 17, 'Οποιοδήποτε τμήμα κωδικού του εμβολίου ή του ονόματος του εμβολίου');
INSERT INTO `lang_definitions` VALUES (62903, 392, 17, 'Οποιοδήποτε τμήμα του ονόματος του ασθενούς η “επώνυμο,όνομα” η “Χ-Υ”');
INSERT INTO `lang_definitions` VALUES (62904, 393, 17, 'Οποιαδήποτε άλλη σημαντική πληροφορία');
INSERT INTO `lang_definitions` VALUES (62905, 394, 17, 'Κλειδί API για την πύλη SMS');
INSERT INTO `lang_definitions` VALUES (62906, 395, 17, 'Άπνοια');
INSERT INTO `lang_definitions` VALUES (62907, 396, 17, 'Εμφάνιση');
INSERT INTO `lang_definitions` VALUES (62908, 397, 17, 'Εμφάνιση:');
INSERT INTO `lang_definitions` VALUES (62909, 398, 17, 'Προσαρτήστε αυτή τη σημείωση');
INSERT INTO `lang_definitions` VALUES (62910, 399, 17, 'Προσαρτήστε στην υπάρχουσα σημείωση');
INSERT INTO `lang_definitions` VALUES (62911, 400, 17, 'Προσαρτήστε σε αυτή τη σημείωση');
INSERT INTO `lang_definitions` VALUES (62912, 401, 17, 'Προσαρτήστε σε αυτή τη σημείωση');
INSERT INTO `lang_definitions` VALUES (62913, 402, 17, 'Σκωληκοειδεκτομή');
INSERT INTO `lang_definitions` VALUES (62914, 404, 17, 'Εφαρμόζονται σε Ασθενείς');
INSERT INTO `lang_definitions` VALUES (62915, 405, 17, 'Εφαρμογή');
INSERT INTO `lang_definitions` VALUES (62916, 406, 17, 'Όνομα εφαρμογής για τη σελίδα login και τίτλος βασικού παραθύρου');
INSERT INTO `lang_definitions` VALUES (62917, 407, 17, 'Κωδικός Αίτησης Παραλήπτη (GS03 - Αν το πεδίο είναι κενό θα χρησιμοποιηθεί ο ISA08)');
INSERT INTO `lang_definitions` VALUES (62918, 408, 17, 'Κωδικός Aίτησης Aποστολέα (GS02)');
INSERT INTO `lang_definitions` VALUES (62919, 409, 17, 'Όνομα εφαρμογής');
INSERT INTO `lang_definitions` VALUES (62920, 410, 17, 'Ισχύει για την φόρμα των Ζωτικών και την Καμπύλη Ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (62921, 411, 17, 'Ισχύει για την φόρμα των Ζωτικών');
INSERT INTO `lang_definitions` VALUES (62922, 412, 17, 'Εφαρμόστε τις αλλαγές μόνο στο Τρέχον γεγονός, σε αυτή και σε όλες τις Μελλοντικές εμφανίσεις ή σε Ολες τις εμφανίσεις.');
INSERT INTO `lang_definitions` VALUES (62923, 413, 17, 'Εφαρμογή στην προσβεβλημένη περιοχή');
INSERT INTO `lang_definitions` VALUES (62924, 414, 17, 'Εφαρμογή στο δέρμα');
INSERT INTO `lang_definitions` VALUES (62925, 415, 17, 'Εφαρμογή');
INSERT INTO `lang_definitions` VALUES (62926, 416, 17, 'Εφαρμογή patch στην περιοχή');
INSERT INTO `lang_definitions` VALUES (62927, 417, 17, 'Ραντεβού');
INSERT INTO `lang_definitions` VALUES (62928, 418, 17, 'Ημερομ. Ραντεβού');
INSERT INTO `lang_definitions` VALUES (62929, 419, 17, 'Στυλ εμφάνισης των Ραντεβού');
INSERT INTO `lang_definitions` VALUES (62930, 420, 17, 'Κανόνας υπενθύμισης ραντεβού');
INSERT INTO `lang_definitions` VALUES (62931, 421, 17, 'Κατάσταση ραντεβού');
INSERT INTO `lang_definitions` VALUES (62932, 422, 17, 'Κατάσταση ραντεβού');
INSERT INTO `lang_definitions` VALUES (62933, 423, 17, 'Ραντεβού εντός');
INSERT INTO `lang_definitions` VALUES (62934, 424, 17, 'Χρώμα Ραντεβού/Γεγονότος');
INSERT INTO `lang_definitions` VALUES (62935, 425, 17, 'Ραντεβού');
INSERT INTO `lang_definitions` VALUES (62936, 426, 17, 'Ραντεβού (εγγραφή προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (62937, 427, 17, 'Ραντεβού (εγγραφή, με ορισμένες προαιρετικές επιλογές)');
INSERT INTO `lang_definitions` VALUES (62938, 430, 17, 'Ραντεβού και Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (62939, 431, 17, 'Αναφορά Ραντεβού');
INSERT INTO `lang_definitions` VALUES (62940, 432, 17, 'Αναφορά Ραντεβού-Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (62941, 434, 17, 'Έγκριση');
INSERT INTO `lang_definitions` VALUES (62942, 436, 17, 'Εγκρίθηκε');
INSERT INTO `lang_definitions` VALUES (62943, 437, 17, 'Διαχείριση Εγκεκριμ. Συμβάντων');
INSERT INTO `lang_definitions` VALUES (62944, 440, 17, 'Ραντ-Επισκ');
INSERT INTO `lang_definitions` VALUES (62945, 441, 17, 'Ραντ');
INSERT INTO `lang_definitions` VALUES (62946, 442, 17, 'Απρ');
INSERT INTO `lang_definitions` VALUES (62947, 443, 17, 'Απρίλιος');
INSERT INTO `lang_definitions` VALUES (62948, 444, 17, 'Αραβικά');
INSERT INTO `lang_definitions` VALUES (62949, 446, 17, 'Αρχείο');
INSERT INTO `lang_definitions` VALUES (62950, 447, 17, 'Τα ονόματα ομάδων για τον έλεγχο πρόσβασης πρέπει να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (62951, 448, 17, 'Τα ονόματα κατηγοριών επίσκεψης πρέπει να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (62952, 449, 17, 'Τα ονόματα για τις διάφορες κατηγορίες εγγράφων πρέπει να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (62953, 450, 17, 'Γίνεται κάποια χρέωση για αυτό τον τύπο;');
INSERT INTO `lang_definitions` VALUES (62954, 451, 17, 'Οι τίτλοι από τον φάκελο ασθενούς χρειάζεται να μεταφρασθούν;');
INSERT INTO `lang_definitions` VALUES (62955, 452, 17, 'Είναι αποθηκευμένοι οι κωδικοί σε εξωτερικούς πίνακες SQL [0-Όχι, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)];');
INSERT INTO `lang_definitions` VALUES (62956, 453, 17, 'Είστε έτοιμος να συμπληρώσετε ένα νέο θέμα GCAC για αυτή την επίσκεψη;');
INSERT INTO `lang_definitions` VALUES (62957, 454, 17, 'Είστε βέβαιος ότι θέλετε να το ταχυδρομήσετε σήμερα;');
INSERT INTO `lang_definitions` VALUES (62958, 455, 17, 'Είστε σίγουρος ότι θέλετε να επικυρώσετε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (62959, 457, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε πλήρως αυτό το Έντυπο;');
INSERT INTO `lang_definitions` VALUES (62960, 459, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτή τη γνωστοποίηση;');
INSERT INTO `lang_definitions` VALUES (62961, 460, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτό το συμβάν;');
INSERT INTO `lang_definitions` VALUES (62962, 461, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτό το αντικείμενο από τη βάση δεδομένων;');
INSERT INTO `lang_definitions` VALUES (62963, 462, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε αυτή τη σημείωση;');
INSERT INTO `lang_definitions` VALUES (62964, 464, 17, 'Είστε σίγουρος ότι θέλετε να τροποποιήσετε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (62965, 465, 17, 'Είστε σίγουρος ότι θέλετε να αποκρύψετε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (62966, 467, 17, 'Είστε σίγουρος ότι θέλετε να δείτε αυτά τα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (62967, 468, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε ολόκληρη την ονομασθείσα ομάδα');
INSERT INTO `lang_definitions` VALUES (62968, 469, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε ολόκληρη τη λίστα');
INSERT INTO `lang_definitions` VALUES (62969, 470, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε τα περιεχόμενα του πεδίου');
INSERT INTO `lang_definitions` VALUES (62970, 471, 17, 'Είστε σίγουρος ότι θέλετε να διαγράψετε τα επιλεγμένα πεδία;');
INSERT INTO `lang_definitions` VALUES (62971, 472, 17, 'Είστε σίγουρος ότι θέλετε να προχωρήσετε με αυτές τις ενέργειες;');
INSERT INTO `lang_definitions` VALUES (62972, 473, 17, 'Μη καθορισθείσα περιοχή');
INSERT INTO `lang_definitions` VALUES (62973, 474, 17, 'Βραχίονας');
INSERT INTO `lang_definitions` VALUES (62974, 475, 17, 'Αρμενικά');
INSERT INTO `lang_definitions` VALUES (62975, 477, 17, 'Αρρυθμία');
INSERT INTO `lang_definitions` VALUES (62976, 478, 17, 'Αρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (62977, 479, 17, 'Αρθρίτιδα / Εκφυλ. νόσος αρθρώσεων');
INSERT INTO `lang_definitions` VALUES (62978, 480, 17, 'Αρθρίτιδα / Εκφυλ. νόσος αρθρώσεων');
INSERT INTO `lang_definitions` VALUES (62979, 481, 17, 'όπως');
INSERT INTO `lang_definitions` VALUES (62980, 482, 17, 'Με έναρξη από');
INSERT INTO `lang_definitions` VALUES (62981, 484, 17, 'Ασιάτης');
INSERT INTO `lang_definitions` VALUES (62982, 487, 17, 'Εκτίμηση');
INSERT INTO `lang_definitions` VALUES (62983, 488, 17, 'Ανετέθη στον');
INSERT INTO `lang_definitions` VALUES (62984, 489, 17, 'Επικουρικός');
INSERT INTO `lang_definitions` VALUES (62985, 490, 17, 'Άσθμα');
INSERT INTO `lang_definitions` VALUES (62986, 491, 17, 'στο');
INSERT INTO `lang_definitions` VALUES (62987, 492, 17, 'Απαιτείται τουλάχιστον μια παράμετρος αναζήτησης αν επιλέξετε Ολα.');
INSERT INTO `lang_definitions` VALUES (62988, 493, 17, 'Στη σκαφοειδική');
INSERT INTO `lang_definitions` VALUES (62989, 494, 17, 'Στη σκαφοειδική:');
INSERT INTO `lang_definitions` VALUES (62990, 495, 17, 'Αθλητική ομάδα');
INSERT INTO `lang_definitions` VALUES (62991, 496, 17, 'Αθλητική Ομάδα');
INSERT INTO `lang_definitions` VALUES (62992, 497, 17, 'Αθλητική/Κάκωση');
INSERT INTO `lang_definitions` VALUES (62993, 503, 17, 'Προσοχή');
INSERT INTO `lang_definitions` VALUES (62994, 504, 17, 'Προσοχή');
INSERT INTO `lang_definitions` VALUES (62995, 506, 17, 'Ερωτήματα μηχανής για το Audit CDR');
INSERT INTO `lang_definitions` VALUES (62996, 509, 17, 'Αντίγραφα ασφαλείας για την καταγραφή του audit');
INSERT INTO `lang_definitions` VALUES (62997, 510, 17, 'Διάφορα για την καταγραφή του audit');
INSERT INTO `lang_definitions` VALUES (62998, 511, 17, 'Εντολή καταγραφής audit');
INSERT INTO `lang_definitions` VALUES (62999, 512, 17, 'Αρχείο καταγραφής audit στον φάκελλο ασθενούς');
INSERT INTO `lang_definitions` VALUES (63000, 513, 17, 'Προγραμματισμός καταγραφής audit');
INSERT INTO `lang_definitions` VALUES (63001, 514, 17, 'Διαχείριση Ασφαλείας καταγραφής audit');
INSERT INTO `lang_definitions` VALUES (63002, 515, 17, 'Ερώτημα SELECT Λογιστικού Ελέγχου');
INSERT INTO `lang_definitions` VALUES (63003, 516, 17, 'Αυγ');
INSERT INTO `lang_definitions` VALUES (63004, 517, 17, 'Αύγουστος');
INSERT INTO `lang_definitions` VALUES (63005, 519, 17, 'Εξουσ');
INSERT INTO `lang_definitions` VALUES (63006, 520, 17, 'Εξουσ/Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (63007, 523, 17, 'Ομάδα εξουσιοδότησης');
INSERT INTO `lang_definitions` VALUES (63008, 524, 17, 'Κατάσταση εξουσιοδότησης');
INSERT INTO `lang_definitions` VALUES (63009, 525, 17, 'Εξουσιοδοτήσεις');
INSERT INTO `lang_definitions` VALUES (63010, 526, 17, 'Εξουσιοδοτήστε');
INSERT INTO `lang_definitions` VALUES (63011, 527, 17, 'Εξουσιοδότησε – οποιεσδήποτε επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63012, 528, 17, 'Εξουσιοδότησε – οι επισκέψεις μου');
INSERT INTO `lang_definitions` VALUES (63013, 529, 17, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (63014, 530, 17, 'Εξουσιοδοτημένος/η');
INSERT INTO `lang_definitions` VALUES (63015, 531, 17, 'Μόνον εξουσιοδοτημένα άτομα');
INSERT INTO `lang_definitions` VALUES (63016, 532, 17, 'Αυτόματη Αποστολή');
INSERT INTO `lang_definitions` VALUES (63017, 535, 17, 'Αυτόματη δημιουργία νέων Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (63018, 536, 17, 'Αυτόματη δημιουργία');
INSERT INTO `lang_definitions` VALUES (63019, 537, 17, 'Υπολογισμοί Αυτόματων Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (63020, 542, 17, 'Παρακολούθηση Υπολογισμών Αυτόματων Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (63021, 543, 17, 'Αυτόματες Μετρήσεις');
INSERT INTO `lang_definitions` VALUES (63022, 544, 17, 'Αυτόματο');
INSERT INTO `lang_definitions` VALUES (63023, 546, 17, 'Αυτόματη δημιουργία Νέας Επίσκεψης, όταν η κατάσταση επισκέψεως δείχνει \"@\" (έφτασε\")');
INSERT INTO `lang_definitions` VALUES (63024, 549, 17, 'Ιατρικό αυτοκίνητο');
INSERT INTO `lang_definitions` VALUES (63025, 550, 17, 'αυτόματα αποθηκευμένο');
INSERT INTO `lang_definitions` VALUES (63026, 551, 17, 'Διαθέσιμες κατηγορίες');
INSERT INTO `lang_definitions` VALUES (63027, 552, 17, 'Διαθέσιμα ωράρια');
INSERT INTO `lang_definitions` VALUES (63028, 557, 17, 'Μηνιαίος ΜΟ');
INSERT INTO `lang_definitions` VALUES (63029, 558, 17, 'Αποκόλληση / Αποκολληθέν κάταγμα');
INSERT INTO `lang_definitions` VALUES (63030, 559, 17, 'Αποκόλληση έξω σφυρού');
INSERT INTO `lang_definitions` VALUES (63031, 560, 17, 'Αποκόλληση έσω σφυρού ');
INSERT INTO `lang_definitions` VALUES (63032, 561, 17, 'Με βάση την επίγνωση');
INSERT INTO `lang_definitions` VALUES (63033, 562, 17, 'Μασχάλη');
INSERT INTO `lang_definitions` VALUES (63034, 565, 17, '2 φορές την ημέρα');
INSERT INTO `lang_definitions` VALUES (63035, 566, 17, 'Επιστροφή');
INSERT INTO `lang_definitions` VALUES (63036, 567, 17, 'επιστροφή');
INSERT INTO `lang_definitions` VALUES (63037, 568, 17, 'Πίσω κατά 8 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63038, 569, 17, 'Πίσω κατά 11 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63039, 570, 17, 'Πίσω κατά 5 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63040, 571, 17, 'Πίσω κατά 4 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63041, 572, 17, 'Πίσω κατά 9 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63042, 573, 17, 'Πίσω κατά 1 επίσκεψη');
INSERT INTO `lang_definitions` VALUES (63043, 574, 17, 'Πόνος στη μέση');
INSERT INTO `lang_definitions` VALUES (63044, 575, 17, 'Προβλήματα οσφύος');
INSERT INTO `lang_definitions` VALUES (63045, 576, 17, 'Πίσω κατά 7 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63046, 577, 17, 'Πίσω κατά 6 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63047, 578, 17, 'Εγχείριση στην οσφύ');
INSERT INTO `lang_definitions` VALUES (63048, 579, 17, 'Πίσω κατά 10 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63049, 580, 17, 'Πίσω κατά 3 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63050, 581, 17, 'Επιστροφή στη σελίδα Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (63051, 584, 17, 'Επιστροφή στον Ασθενή');
INSERT INTO `lang_definitions` VALUES (63052, 585, 17, 'Επιστροφή στους χρήστες');
INSERT INTO `lang_definitions` VALUES (63053, 586, 17, 'Πίσω στην Προβολή');
INSERT INTO `lang_definitions` VALUES (63054, 587, 17, 'Πίσω κατά 12 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63055, 588, 17, 'Πίσω κατά 2 επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63056, 589, 17, 'Υπηρεσίες στο υπόβαθρο');
INSERT INTO `lang_definitions` VALUES (63057, 590, 17, 'Αντίγραφα ασφαλείας');
INSERT INTO `lang_definitions` VALUES (63058, 591, 17, 'Δημιουργήθηκε αρχείο για backup . Τώρα θα σταλεί για download');
INSERT INTO `lang_definitions` VALUES (63059, 593, 17, 'Το Backup ελήφθη επιτυχώς στο');
INSERT INTO `lang_definitions` VALUES (63060, 594, 17, 'Κακός έλεγχος');
INSERT INTO `lang_definitions` VALUES (63061, 595, 17, 'Κακό χρέος');
INSERT INTO `lang_definitions` VALUES (63062, 596, 17, 'Ινδονησιακά Bahasa');
INSERT INTO `lang_definitions` VALUES (63063, 597, 17, 'Υπόλ.');
INSERT INTO `lang_definitions` VALUES (63064, 598, 17, 'Υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (63065, 599, 17, 'υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (63066, 600, 17, 'Υπόλοιπο ποσό');
INSERT INTO `lang_definitions` VALUES (63067, 601, 17, 'Οφειλόμενο υπόλοιπο');
INSERT INTO `lang_definitions` VALUES (63068, 603, 17, 'Τραπεζική επιταγή');
INSERT INTO `lang_definitions` VALUES (63069, 607, 17, 'Βάση του 5ου μεταταρσίου');
INSERT INTO `lang_definitions` VALUES (63070, 608, 17, 'Βάση του 5ου μεταταρσίου:');
INSERT INTO `lang_definitions` VALUES (63071, 611, 17, 'Μαζική Αξίωση');
INSERT INTO `lang_definitions` VALUES (63072, 612, 17, 'Εργαλείο για μαζική επικοινωνία');
INSERT INTO `lang_definitions` VALUES (63073, 613, 17, 'Καταχώρηση Ομαδικών πληρωμών');
INSERT INTO `lang_definitions` VALUES (63074, 614, 17, 'Ομαδικές πληρωμές');
INSERT INTO `lang_definitions` VALUES (63075, 615, 17, 'Ξεκίνησε η επεξεργασία δέσμης. Μπορεί να διαρκέσει κάποιο χρόνο.');
INSERT INTO `lang_definitions` VALUES (63076, 616, 17, 'Αποτελέσματα δέσμης');
INSERT INTO `lang_definitions` VALUES (63077, 617, 17, 'Δέσμη ενεργειών');
INSERT INTO `lang_definitions` VALUES (63078, 619, 17, 'επειδή εκείνο το αναγνωριστικό δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (63079, 620, 17, 'Έναρξη');
INSERT INTO `lang_definitions` VALUES (63080, 621, 17, 'Ημερομ. Έναρξης');
INSERT INTO `lang_definitions` VALUES (63081, 623, 17, 'Αρχική ημερομ. επίσκεψης εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (63082, 624, 17, 'Ώρα έναρξης της ημέρας για τα συμβάντα του ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63083, 626, 17, 'Ερυγές');
INSERT INTO `lang_definitions` VALUES (63084, 628, 17, 'Μπενγκάλι');
INSERT INTO `lang_definitions` VALUES (63085, 630, 17, 'μεταξύ');
INSERT INTO `lang_definitions` VALUES (63086, 633, 17, 'Αμφοτερόπλευρο');
INSERT INTO `lang_definitions` VALUES (63087, 634, 17, 'Αμφοτερόπλευρο:');
INSERT INTO `lang_definitions` VALUES (63088, 636, 17, 'Ημερομ. χρέωσης:');
INSERT INTO `lang_definitions` VALUES (63089, 637, 17, 'Χρέωση/Πληρωμή');
INSERT INTO `lang_definitions` VALUES (63090, 638, 17, 'Χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (63091, 640, 17, 'Χρέωση');
INSERT INTO `lang_definitions` VALUES (63092, 641, 17, 'Χρέωση (εγγραφή προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (63093, 642, 17, 'Προσοχή Χρέωσης');
INSERT INTO `lang_definitions` VALUES (63094, 644, 17, 'Κωδικός χρεώσεων για αιτούμενες υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (63095, 645, 17, 'Κωδικοί χρεώσης');
INSERT INTO `lang_definitions` VALUES (63096, 646, 17, 'Δεδομένα χρέωσης');
INSERT INTO `lang_definitions` VALUES (63097, 647, 17, 'Τμήμα Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (63098, 648, 17, 'Εγκατάσταση χρέωσης');
INSERT INTO `lang_definitions` VALUES (63099, 649, 17, 'Πληροφορίες χρέωσης');
INSERT INTO `lang_definitions` VALUES (63100, 650, 17, 'Τοποθεσίες χρέωσης');
INSERT INTO `lang_definitions` VALUES (63101, 655, 17, 'Διαχείριση Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (63102, 656, 17, 'Σημείωμα χρεώσης');
INSERT INTO `lang_definitions` VALUES (63103, 657, 17, 'Ενημερωτικό χρέωσης για ');
INSERT INTO `lang_definitions` VALUES (63104, 658, 17, 'Ενημερωτικό χρέωσης:');
INSERT INTO `lang_definitions` VALUES (63105, 659, 17, 'Αποτελέσματα ουράς χρέωσης:');
INSERT INTO `lang_definitions` VALUES (63106, 660, 17, 'Αναφορά χρέωσης:');
INSERT INTO `lang_definitions` VALUES (63107, 661, 17, 'Κατάσταση Χρέωσης = Αχρέωτο');
INSERT INTO `lang_definitions` VALUES (63108, 662, 17, 'Κατάσταση Χρέωσης = Δεν χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (63109, 663, 17, 'χρέωση στον/στην ');
INSERT INTO `lang_definitions` VALUES (63110, 665, 17, 'Βιοψία');
INSERT INTO `lang_definitions` VALUES (63111, 666, 17, 'Ημερομ. Γεννήσεως');
INSERT INTO `lang_definitions` VALUES (63112, 667, 17, 'Γέννηση-24 μηνών');
INSERT INTO `lang_definitions` VALUES (63113, 669, 17, 'Μαύρος /η');
INSERT INTO `lang_definitions` VALUES (63114, 670, 17, 'Μελανός πνεύμων');
INSERT INTO `lang_definitions` VALUES (63115, 671, 17, 'Μαύρος ή Αφροαμερικανός');
INSERT INTO `lang_definitions` VALUES (63116, 672, 17, 'Καρκίνος ουροδόχου κύστεως');
INSERT INTO `lang_definitions` VALUES (63117, 673, 17, 'Λοιμώξεις ουροδόχου κύστεως');
INSERT INTO `lang_definitions` VALUES (63118, 674, 17, 'Λευκά Έντυπα');
INSERT INTO `lang_definitions` VALUES (63119, 675, 17, 'Πρόβλημα αιμορραγίας');
INSERT INTO `lang_definitions` VALUES (63120, 676, 17, 'Τυφλά σημεία');
INSERT INTO `lang_definitions` VALUES (63121, 677, 17, 'Αίσθημα τυμπανισμού');
INSERT INTO `lang_definitions` VALUES (63122, 678, 17, 'Αποκλεισμένο');
INSERT INTO `lang_definitions` VALUES (63123, 679, 17, 'Αίμα');
INSERT INTO `lang_definitions` VALUES (63124, 680, 17, 'Αρτηρ. Πίεση');
INSERT INTO `lang_definitions` VALUES (63125, 681, 17, 'Αρτηρ. Πίεση');
INSERT INTO `lang_definitions` VALUES (63126, 682, 17, 'Ρινορραγία');
INSERT INTO `lang_definitions` VALUES (63127, 683, 17, 'Μπλε λογότυπο Κυανού Σταυρού');
INSERT INTO `lang_definitions` VALUES (63128, 684, 17, 'Οι μπλε γραμμές σε αυτήν την αναφορά είναι για πληροφόρηση. Οι μαύρες αναφέρονται σε προϋπάρχοντα στοιχεία. Οι πράσινες δείχνουν τις επιτυχημένες αλλαγές. Οι κόκκινες δείχνουν λάθη, ή αλλαγές που δεν υλοποιήθηκαν και θα πρέπει να γίνει επεξεργασία χειρονακτικά Προς το παρόν οι αρνήσεις και επιστροφές πληρωμών δεν γίνονται αυτόματα και γι\'αυτό εμφανίζονται με κόκκινο.');
INSERT INTO `lang_definitions` VALUES (63129, 685, 17, 'Θολή όραση');
INSERT INTO `lang_definitions` VALUES (63130, 686, 17, 'ΔΜΣ');
INSERT INTO `lang_definitions` VALUES (63131, 687, 17, 'Κατάσταση του Δ.Μ.Σ.');
INSERT INTO `lang_definitions` VALUES (63132, 689, 17, 'Περιοχή σώματος');
INSERT INTO `lang_definitions` VALUES (63133, 690, 17, 'Σημείο του σώματος');
INSERT INTO `lang_definitions` VALUES (63134, 691, 17, 'Περιοχή σώματος, αν ισχύει');
INSERT INTO `lang_definitions` VALUES (63135, 692, 17, 'Οστικό άλγος/ευαισθησία:');
INSERT INTO `lang_definitions` VALUES (63136, 693, 17, 'Οστικό άλγος/ευαισθησία: Έσω σφυρός');
INSERT INTO `lang_definitions` VALUES (63137, 694, 17, 'Λογική μεταβλητή/ Boolean');
INSERT INTO `lang_definitions` VALUES (63138, 696, 17, 'Κάτω');
INSERT INTO `lang_definitions` VALUES (63139, 697, 17, 'Αμφότερα Ώτα');
INSERT INTO `lang_definitions` VALUES (63140, 698, 17, 'αμφότερα ώτα');
INSERT INTO `lang_definitions` VALUES (63141, 699, 17, 'Κάτω');
INSERT INTO `lang_definitions` VALUES (63142, 701, 17, 'Πεδίο 10 Α. Σχετ. με την απασχόληση ');
INSERT INTO `lang_definitions` VALUES (63143, 702, 17, 'Πεδίο 10 Β. Αυτοκιν/κό Ατύχημα ');
INSERT INTO `lang_definitions` VALUES (63144, 703, 17, 'Πεδίο 10 C. Άλλο Ατύχημα ');
INSERT INTO `lang_definitions` VALUES (63145, 706, 17, 'Πεδίο 15. Ημερομ. ίδιας ή παρόμοιας ασθένειας (εεεε-μμ-ηη):');
INSERT INTO `lang_definitions` VALUES (63146, 708, 17, 'Πεδίο 16. Ανικανότητα για εργασία από (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (63147, 709, 17, 'Πεδίο 16. Ανικανότητα για εργασία έως (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (63148, 710, 17, 'Πεδίο 18. Νοσηλεύθηκε από (εεεε-μμ-ηη) ');
INSERT INTO `lang_definitions` VALUES (63149, 711, 17, 'Πεδίο 18. Νοσηλεύθηκε έως (εεεε-μμ-ηη) ');
INSERT INTO `lang_definitions` VALUES (63150, 712, 17, 'Πεδίο 20. Χρησιμοποιήθηκε εξωτερ. εργαστήριο;');
INSERT INTO `lang_definitions` VALUES (63151, 713, 17, 'Πεδίο 22. Κωδικός επαναποστολής στο Medicaid (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (63152, 714, 17, 'Πεδίο 23. Αριθμός προηγούμενης εξουσιοδότησης. ');
INSERT INTO `lang_definitions` VALUES (63153, 715, 17, 'ΑΠ');
INSERT INTO `lang_definitions` VALUES (63154, 716, 17, 'Διαστολική ΑΠ');
INSERT INTO `lang_definitions` VALUES (63155, 717, 17, 'Συστολική ΑΠ');
INSERT INTO `lang_definitions` VALUES (63156, 719, 17, 'ΔΑΠ');
INSERT INTO `lang_definitions` VALUES (63157, 721, 17, 'ΣΑΠ');
INSERT INTO `lang_definitions` VALUES (63158, 722, 17, 'Βραζιλιανά Πορτογαλικά');
INSERT INTO `lang_definitions` VALUES (63159, 723, 17, 'Μαστός');
INSERT INTO `lang_definitions` VALUES (63160, 724, 17, 'Βιοψία μαστού');
INSERT INTO `lang_definitions` VALUES (63161, 725, 17, 'Έκκριμα μαστού');
INSERT INTO `lang_definitions` VALUES (63162, 726, 17, 'Νόσος μαστών');
INSERT INTO `lang_definitions` VALUES (63163, 727, 17, 'Εξέταση μαστών');
INSERT INTO `lang_definitions` VALUES (63164, 728, 17, 'Μάζα μαστού');
INSERT INTO `lang_definitions` VALUES (63165, 730, 17, 'Αναπνευστικοί ήχοι:');
INSERT INTO `lang_definitions` VALUES (63166, 732, 17, 'Κατάγματα');
INSERT INTO `lang_definitions` VALUES (63167, 734, 17, 'Έντυπο βρογχίτιδας');
INSERT INTO `lang_definitions` VALUES (63168, 735, 17, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (63169, 736, 17, 'Αναζήτηση Φακέλου');
INSERT INTO `lang_definitions` VALUES (63170, 737, 17, 'Μώλωπας/Αιμάτωμα');
INSERT INTO `lang_definitions` VALUES (63171, 739, 17, 'Πρόπτωση Δεξιά:');
INSERT INTO `lang_definitions` VALUES (63172, 741, 17, 'Καύσος κατά την ούρηση');
INSERT INTO `lang_definitions` VALUES (63173, 742, 17, 'Καύσος Κατά Την Ούρηση');
INSERT INTO `lang_definitions` VALUES (63174, 744, 17, 'Απασχολημένος/η');
INSERT INTO `lang_definitions` VALUES (63175, 745, 17, 'αλλά δεν έγινε ακόμα επεξεργασία.');
INSERT INTO `lang_definitions` VALUES (63176, 746, 17, 'Γλουτός');
INSERT INTO `lang_definitions` VALUES (63177, 747, 17, 'Γλουτός και Ιερολαγόνια');
INSERT INTO `lang_definitions` VALUES (63178, 748, 17, 'με το');
INSERT INTO `lang_definitions` VALUES (63179, 749, 17, 'Με το');
INSERT INTO `lang_definitions` VALUES (63180, 750, 17, 'από το στόμα');
INSERT INTO `lang_definitions` VALUES (63181, 751, 17, 'Με/Πηγή');
INSERT INTO `lang_definitions` VALUES (63182, 752, 17, 'Έως:');
INSERT INTO `lang_definitions` VALUES (63183, 753, 17, 'C');
INSERT INTO `lang_definitions` VALUES (63184, 755, 17, 'Διάρκεια αποθήκευσης πρωσωρ. δεδομένων (σε δευτερόλ.)');
INSERT INTO `lang_definitions` VALUES (63185, 756, 17, 'Έξοδος προτύπου της cache ;');
INSERT INTO `lang_definitions` VALUES (63186, 757, 17, 'Κατανάλωση Καφεΐνης');
INSERT INTO `lang_definitions` VALUES (63187, 758, 17, 'Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (63188, 759, 17, 'Ώρα τέλους στο Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (63189, 760, 17, 'Διάστημα στο Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (63190, 761, 17, 'Οθόνη Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63191, 762, 17, 'Ρυθμίσεις Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63192, 763, 17, 'Ώρα έναρξης στο Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (63193, 764, 17, 'Εμφάνιση Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63194, 765, 17, 'Προβολή Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63195, 766, 17, 'Η κλήση στην addForm() πηγαίνει εδώ.<br>');
INSERT INTO `lang_definitions` VALUES (63196, 767, 17, 'Θερμίδες');
INSERT INTO `lang_definitions` VALUES (63197, 768, 17, 'Καμπότζης');
INSERT INTO `lang_definitions` VALUES (63199, 774, 17, 'Ακύρωση');
INSERT INTO `lang_definitions` VALUES (63200, 775, 17, 'Ακύρωση αλλαγών');
INSERT INTO `lang_definitions` VALUES (63201, 776, 17, 'Ακυρώθηκε');
INSERT INTO `lang_definitions` VALUES (63202, 777, 17, 'Καρκίνος');
INSERT INTO `lang_definitions` VALUES (63203, 778, 17, 'Προληπτικός έλεγχος καρκίνου: Προληπτικός έλεγχος καρκίνος του παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (63204, 779, 17, 'Προληπτικός έλεγχος καρκίνου: Μαστογραφία');
INSERT INTO `lang_definitions` VALUES (63205, 780, 17, 'Προληπτικός έλεγχος καρκίνου: Τεστ Παπανικολάου');
INSERT INTO `lang_definitions` VALUES (63206, 781, 17, 'Προληπτικός έλεγχος καρκίνου: Προληπτικός έλεγχος καρκίνου του προστάτη');
INSERT INTO `lang_definitions` VALUES (63207, 782, 17, 'Αδύνατη η προσθήκη αυτής της καταχώρησης, διότι υπάρχει ήδη!');
INSERT INTO `lang_definitions` VALUES (63208, 783, 17, 'Αδύνατη η προσθήκη/αλλαγή, διότι υπάρχει ήδη μία ίδια διπλή εγγραφή στη βάση!');
INSERT INTO `lang_definitions` VALUES (63209, 784, 17, 'δεν μπορεί να αρχειοθετηθεί, αγνοείται');
INSERT INTO `lang_definitions` VALUES (63210, 785, 17, 'αδύνατη η μετατροπή σε JPEG. Ίσως να μην είναι εγκατεστημένο το ImageMagick;');
INSERT INTO `lang_definitions` VALUES (63211, 786, 17, 'δεν μπορεί να διαγραφεί, αγνοείται');
INSERT INTO `lang_definitions` VALUES (63212, 787, 17, 'αδύνατη η εμφάνιση inline, διότι ο browser δεν υποστηρίζει αυτον τον τύπο');
INSERT INTO `lang_definitions` VALUES (63213, 788, 17, 'αδύνατη η εμφάνιση inline, διότι ο browser δεν υποστηρίζει αυτον τον τύπο');
INSERT INTO `lang_definitions` VALUES (63214, 789, 17, 'αδύνατη η εμφάνιση inline, διότι ο browser δεν υποστηρίζει αυτον τον τύπο');
INSERT INTO `lang_definitions` VALUES (63215, 790, 17, 'Δεν είναι δυνατή η δημιουργία');
INSERT INTO `lang_definitions` VALUES (63216, 795, 17, 'Δεν είναι δυνατή η εύρεση ');
INSERT INTO `lang_definitions` VALUES (63217, 796, 17, 'Δεν είναι δυνατή η εύρεση αρχείου ονόματος προορισμού');
INSERT INTO `lang_definitions` VALUES (63218, 799, 17, 'Αδύνατη η εύρεση του ασθενούς από το SQL-Ledger με βάση το customer id');
INSERT INTO `lang_definitions` VALUES (63219, 800, 17, 'Αδύνατη η εύρεση αναφοράς για το postscript έγγραφο στο ');
INSERT INTO `lang_definitions` VALUES (63220, 801, 17, 'Αδύνατη η εύρεση παρόχου από το SQL-Ledger employee= ');
INSERT INTO `lang_definitions` VALUES (63221, 802, 17, 'Αδύνατη η τροποποίηση Πληρωμών. Τα αδιανέμητα είναι αρνητικά.');
INSERT INTO `lang_definitions` VALUES (63222, 803, 17, 'Δεν είναι δυνατό το άνοιγμα ');
INSERT INTO `lang_definitions` VALUES (63223, 804, 17, 'Αδύνατη η αποστολή για την Ασφάλ. εταιρεία. Αυτός που επιλέχθηκε ως καταβάλλων την πληρωμή, είναι ασθενής.');
INSERT INTO `lang_definitions` VALUES (63224, 805, 17, 'Αδύνατη η αποστολή για για Ασθενή. Αυτός που επιλέχθηκε ως καταβάλλων την πληρωμή, είναι μια Ασφαλ. εταιρεία.');
INSERT INTO `lang_definitions` VALUES (63225, 806, 17, 'Αδύνατη η αποστολή Πληρωμών. Τα αδιανέμητα είναι αρνητικά.');
INSERT INTO `lang_definitions` VALUES (63226, 807, 17, 'Δεν είναι δυνατή η ανάγνωση');
INSERT INTO `lang_definitions` VALUES (63227, 808, 17, 'Δεν είναι δυνατή η ανάγνωση καταλόγου');
INSERT INTO `lang_definitions` VALUES (63228, 809, 17, 'Αδύνατη η ενημέρωση, διότι δεν επεξεργάζεσθε μία υπάρχουσα καταχώρηση!');
INSERT INTO `lang_definitions` VALUES (63229, 810, 17, 'Κεφαλαιοποίηση');
INSERT INTO `lang_definitions` VALUES (63230, 812, 17, 'καψάκιο (caps)');
INSERT INTO `lang_definitions` VALUES (63231, 813, 17, 'Κάρτα');
INSERT INTO `lang_definitions` VALUES (63232, 814, 17, 'Καρδιακός καθετηριασμός');
INSERT INTO `lang_definitions` VALUES (63233, 815, 17, 'Καρδιακό υπερηχογράφημα');
INSERT INTO `lang_definitions` VALUES (63234, 816, 17, 'Καρδιαγγειακό');
INSERT INTO `lang_definitions` VALUES (63235, 821, 17, 'Βλάβη χόνδρου / δίσκου');
INSERT INTO `lang_definitions` VALUES (63236, 822, 17, 'Κάκωση χόνδρου');
INSERT INTO `lang_definitions` VALUES (63237, 823, 17, 'Σφύξεις καρωτίδας κ.φ., Ραχιαίων Αρτηρ. του ποδός κ.φ.');
INSERT INTO `lang_definitions` VALUES (63238, 824, 17, 'μετρητά');
INSERT INTO `lang_definitions` VALUES (63239, 825, 17, 'Μετρητά');
INSERT INTO `lang_definitions` VALUES (63240, 826, 17, 'Απόδειξη για Μετρητά');
INSERT INTO `lang_definitions` VALUES (63241, 827, 17, 'Αποδείξεις Μετρητών ανά Πάροχο');
INSERT INTO `lang_definitions` VALUES (63242, 829, 17, 'Εγχείριση καταρράκτη');
INSERT INTO `lang_definitions` VALUES (63243, 830, 17, 'Καταρράκτης');
INSERT INTO `lang_definitions` VALUES (63244, 831, 17, 'Κατηγορίες');
INSERT INTO `lang_definitions` VALUES (63245, 832, 17, 'Κατηγορίες για');
INSERT INTO `lang_definitions` VALUES (63246, 833, 17, 'Κατηγορία');
INSERT INTO `lang_definitions` VALUES (63247, 834, 17, 'κατηγορία');
INSERT INTO `lang_definitions` VALUES (63248, 835, 17, 'Κατηγορία ');
INSERT INTO `lang_definitions` VALUES (63249, 836, 17, 'Λεπτομέρειες κατηγορίας');
INSERT INTO `lang_definitions` VALUES (63250, 837, 17, 'Όρια κατηγορίας');
INSERT INTO `lang_definitions` VALUES (63251, 838, 17, 'Όνομα κατηγορίας');
INSERT INTO `lang_definitions` VALUES (63252, 839, 17, 'Το όνομα της κατηγορίας είναι κενό');
INSERT INTO `lang_definitions` VALUES (63253, 840, 17, 'Κατηγορία/Τίτλος');
INSERT INTO `lang_definitions` VALUES (63254, 841, 17, 'Λευκής φυλής');
INSERT INTO `lang_definitions` VALUES (63255, 842, 17, 'οδηγεί στην Εκτύπωση αποδέιξεων/ Πληροφ. για Πάροχο Πρωτοβ. φροντίδας ή για τις Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (63256, 850, 17, 'CDR');
INSERT INTO `lang_definitions` VALUES (63257, 851, 17, 'Προτεραιότητα Επεξεργασίας των Εκθέσεων CDR');
INSERT INTO `lang_definitions` VALUES (63258, 852, 17, 'Κύτταρο');
INSERT INTO `lang_definitions` VALUES (63259, 853, 17, 'Κινητό τηλέφωνο');
INSERT INTO `lang_definitions` VALUES (63260, 855, 17, 'Αριθ. κινητού τηλεφ.');
INSERT INTO `lang_definitions` VALUES (63261, 856, 17, 'Κεντρική Πιστοποίηση');
INSERT INTO `lang_definitions` VALUES (63262, 857, 17, 'Κεντρο/Νοτιο-Αμερικανός');
INSERT INTO `lang_definitions` VALUES (63263, 858, 17, 'Τα αρχείο crt για την Εξουσιοδ. Πιστοποίησης δεν μπορεί να είναι άδειο');
INSERT INTO `lang_definitions` VALUES (63264, 859, 17, 'Τα αρχείο με το κλειδί για την Εξουσιοδ. Πιστοποίησης δεν μπορεί να είναι κενό');
INSERT INTO `lang_definitions` VALUES (63265, 860, 17, 'Πιστοποίηση που θα σταλεί στον διακομιστή RFC 5425 TLS syslog.');
INSERT INTO `lang_definitions` VALUES (63266, 861, 17, 'Χρήστης Πιστοποίησης');
INSERT INTO `lang_definitions` VALUES (63267, 862, 17, 'Πιστοποιητικά');
INSERT INTO `lang_definitions` VALUES (63268, 864, 17, 'Πολιτικό Πρόγραμμα Υγείας και Ιατρικής για τους Ένστολους');
INSERT INTO `lang_definitions` VALUES (63269, 865, 17, 'Πολιτικό Πρόγραμμα Υγείας και Ιατρικής για τους Ένστολους Βετεράνους');
INSERT INTO `lang_definitions` VALUES (63270, 866, 17, 'αλλαγή');
INSERT INTO `lang_definitions` VALUES (63271, 867, 17, 'Αλλαγή');
INSERT INTO `lang_definitions` VALUES (63272, 868, 17, 'Ενεργή/Ανενεργή');
INSERT INTO `lang_definitions` VALUES (63273, 869, 17, 'Η αλλαγή απέτυχε! Σφάλμα σύνδεσης με το CouchDB;');
INSERT INTO `lang_definitions` VALUES (63274, 870, 17, 'Αλλαγή στην όραση');
INSERT INTO `lang_definitions` VALUES (63275, 871, 17, 'Αλλαγή στην όραση');
INSERT INTO `lang_definitions` VALUES (63276, 872, 17, 'Αλλαγή κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (63277, 874, 17, 'Τροποποιήθηκε');
INSERT INTO `lang_definitions` VALUES (63278, 875, 17, 'Αλλαγή συνηθειών εντέρου');
INSERT INTO `lang_definitions` VALUES (63279, 876, 17, 'Αλλαγή του ID ασθενούς για το έγγραφο');
INSERT INTO `lang_definitions` VALUES (63280, 877, 17, 'Χαρακτηριστικά');
INSERT INTO `lang_definitions` VALUES (63281, 878, 17, 'Χαρακτήρες που απομένουν');
INSERT INTO `lang_definitions` VALUES (63282, 879, 17, 'Χρέωση');
INSERT INTO `lang_definitions` VALUES (63283, 880, 17, 'Προσαρμογή Χρέωσης');
INSERT INTO `lang_definitions` VALUES (63284, 881, 17, 'Η χρέωση πήρε έναν κωδικό');
INSERT INTO `lang_definitions` VALUES (63285, 882, 17, 'Χρεώσεις');
INSERT INTO `lang_definitions` VALUES (63286, 883, 17, 'Φάκελος');
INSERT INTO `lang_definitions` VALUES (63287, 884, 17, 'Καταγραφή Δραστηριότητας');
INSERT INTO `lang_definitions` VALUES (63288, 885, 17, 'Καταγραφή αναφορών Εισερχομένων/Εξερχομένων');
INSERT INTO `lang_definitions` VALUES (63289, 886, 17, 'Κωδικός φακέλου');
INSERT INTO `lang_definitions` VALUES (63290, 887, 17, 'Κωδικός φακέλου:');
INSERT INTO `lang_definitions` VALUES (63291, 889, 17, 'Καταγραφή Τοποθεσίας Φακέλου');
INSERT INTO `lang_definitions` VALUES (63292, 890, 17, 'Σημείωση Φακέλου');
INSERT INTO `lang_definitions` VALUES (63293, 891, 17, 'Αριθμός Φακέλου');
INSERT INTO `lang_definitions` VALUES (63294, 892, 17, 'Τοποθεσίες Αποθήκευσης Φακέλων');
INSERT INTO `lang_definitions` VALUES (63295, 893, 17, 'Ευρετήριο Φακέλων');
INSERT INTO `lang_definitions` VALUES (63296, 894, 17, 'Ευρετ. Φακελ.');
INSERT INTO `lang_definitions` VALUES (63297, 895, 17, 'Ελεγμένοι Φάκελοι');
INSERT INTO `lang_definitions` VALUES (63298, 896, 17, 'Έλεγχος φακέλων');
INSERT INTO `lang_definitions` VALUES (63299, 898, 17, 'Έλεγχος');
INSERT INTO `lang_definitions` VALUES (63300, 899, 17, 'έλεγχος');
INSERT INTO `lang_definitions` VALUES (63301, 900, 17, 'Επιλογή όλων');
INSERT INTO `lang_definitions` VALUES (63302, 902, 17, 'Ποσό Ελέγχου');
INSERT INTO `lang_definitions` VALUES (63303, 903, 17, 'Ημερομηνία Ελέγχου');
INSERT INTO `lang_definitions` VALUES (63304, 904, 17, 'Ελέγξτε για διαφορές μετάφρασης με τον custom πίνακα γλώσσας.');
INSERT INTO `lang_definitions` VALUES (63305, 906, 17, 'Έλεγχος μέσα στο');
INSERT INTO `lang_definitions` VALUES (63306, 907, 17, 'Έλεγχος δεδομένων εισόδου');
INSERT INTO `lang_definitions` VALUES (63307, 909, 17, 'Έλεγχος εργαστηριακών αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (63308, 911, 17, 'Αρ. ελέγχου');
INSERT INTO `lang_definitions` VALUES (63309, 912, 17, 'Αριθμός ελέγχου');
INSERT INTO `lang_definitions` VALUES (63310, 915, 17, 'Έλεγχος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (63311, 916, 17, 'Τσεκάρετε το κουτάκι επιλογής, αν πρόκειται για κρυπτογραφ. αρχείο');
INSERT INTO `lang_definitions` VALUES (63312, 917, 17, 'Επιλέξτε αυτό, αν θέλετε οι Πάροχοι να βλέπουν εξ ορισμού όλα τα ραντεβού και όχι μόνο τα δικά τους');
INSERT INTO `lang_definitions` VALUES (63313, 918, 17, 'Επιλέξτε για δημιουργία προβλήματος από αυτή τη διάγνωση');
INSERT INTO `lang_definitions` VALUES (63314, 919, 17, 'Έλεγχος/ Ημερομ. Εμβασμ. Πληρωμής (EOB):');
INSERT INTO `lang_definitions` VALUES (63315, 920, 17, 'Έλεγχος/ Αριθμός Εμβασμ. Πληρωμής (ΕΟΒ):');
INSERT INTO `lang_definitions` VALUES (63316, 921, 17, 'Έλεγχος/ Αριθμός Αναφ.');
INSERT INTO `lang_definitions` VALUES (63317, 922, 17, 'Έλεγχος/ Αριθμός αναφοράς');
INSERT INTO `lang_definitions` VALUES (63318, 923, 17, 'Λίστα με κουτάκια επιλογών');
INSERT INTO `lang_definitions` VALUES (63319, 924, 17, 'λίστα με κουτάκια επιλογών');
INSERT INTO `lang_definitions` VALUES (63320, 925, 17, 'Λίστα με κουτάκια επιλογών με κείμενο');
INSERT INTO `lang_definitions` VALUES (63321, 926, 17, 'Λίστα με κουτάκια επιλογών με κείμενο');
INSERT INTO `lang_definitions` VALUES (63322, 928, 17, 'Επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (63323, 929, 17, 'Επιλεγμένο κουτάκι = Ναι, Άδειο = Όχι');
INSERT INTO `lang_definitions` VALUES (63324, 932, 17, 'Έλεγχος εξόδου');
INSERT INTO `lang_definitions` VALUES (63325, 933, 17, 'Checksum');
INSERT INTO `lang_definitions` VALUES (63326, 934, 17, 'Θώρακας');
INSERT INTO `lang_definitions` VALUES (63327, 935, 17, 'Ακρόαση πνευμόνων καθαρή άμφω');
INSERT INTO `lang_definitions` VALUES (63328, 936, 17, 'Θωρακικό άλγος');
INSERT INTO `lang_definitions` VALUES (63329, 937, 17, 'Θωρακικό άλγος:');
INSERT INTO `lang_definitions` VALUES (63330, 938, 17, 'Θωρακικά Άλγη');
INSERT INTO `lang_definitions` VALUES (63331, 940, 17, 'Αλλαγές');
INSERT INTO `lang_definitions` VALUES (63332, 942, 17, 'Κύριο Ενόχλημα');
INSERT INTO `lang_definitions` VALUES (63333, 943, 17, 'Παιδί');
INSERT INTO `lang_definitions` VALUES (63334, 945, 17, 'Κατάσταση εμβολ. παιδιού');
INSERT INTO `lang_definitions` VALUES (63335, 946, 17, 'Φρίκια');
INSERT INTO `lang_definitions` VALUES (63336, 947, 17, 'Κινεζικά');
INSERT INTO `lang_definitions` VALUES (63337, 948, 17, 'Κινεζικά (Απλοπ.)');
INSERT INTO `lang_definitions` VALUES (63338, 949, 17, 'Κινεζικά (Παραδοσιακά)');
INSERT INTO `lang_definitions` VALUES (63339, 951, 17, 'Επιλογές');
INSERT INTO `lang_definitions` VALUES (63340, 952, 17, 'Χολοκυστεκτομή');
INSERT INTO `lang_definitions` VALUES (63341, 954, 17, 'Χολοκυστοστομία');
INSERT INTO `lang_definitions` VALUES (63342, 955, 17, 'Επιλέξτε');
INSERT INTO `lang_definitions` VALUES (63343, 956, 17, 'Επιλέξτε μια ενότητα και κάντε κλικ σε ένα αντικείμενο μέσα σε αυτή. Τότε, στο άλλο τμήμα, θα δείτε τονισμένα τα σχετικά αντικείμενα και μπορείτε να κάνετε κλικ εκεί, για να προσθέσετε και να διαγράψετε σχέσεις.');
INSERT INTO `lang_definitions` VALUES (63344, 957, 17, 'Επιλέξτε κριτήρια');
INSERT INTO `lang_definitions` VALUES (63345, 959, 17, 'Επιλέξτε Αρχείο');
INSERT INTO `lang_definitions` VALUES (63346, 960, 17, 'Επιλέξτε λίστα');
INSERT INTO `lang_definitions` VALUES (63347, 962, 17, 'Επιλέξτε λίστα');
INSERT INTO `lang_definitions` VALUES (63348, 965, 17, 'Επιλέξτε τρόπο εκτύπωσης για αυτήν την αναφορά επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (63349, 967, 17, 'Χρόνια βρογχίτιδα');
INSERT INTO `lang_definitions` VALUES (63350, 968, 17, 'Χρόνια αρθραλγία');
INSERT INTO `lang_definitions` VALUES (63351, 969, 17, 'Χρόνια νεφρική νόσος');
INSERT INTO `lang_definitions` VALUES (63352, 970, 17, 'Χρόνια υμενίτιδα / συλλογή υγρού / αρθραλγία / ποδάγρα');
INSERT INTO `lang_definitions` VALUES (63353, 971, 17, 'Χρόνιο/ Υποτροπιάζον');
INSERT INTO `lang_definitions` VALUES (63354, 973, 17, 'Κίρρωση του ήπατος');
INSERT INTO `lang_definitions` VALUES (63355, 974, 17, 'Κίρρωση του ήπατος');
INSERT INTO `lang_definitions` VALUES (63356, 975, 17, 'Πόλη');
INSERT INTO `lang_definitions` VALUES (63357, 976, 17, 'Όνομα πόλης');
INSERT INTO `lang_definitions` VALUES (63358, 977, 17, 'Πόλη, Νομός');
INSERT INTO `lang_definitions` VALUES (63359, 978, 17, 'Πόλη, Νομός ΤΚ');
INSERT INTO `lang_definitions` VALUES (63360, 979, 17, 'Πόλη/ Νομός');
INSERT INTO `lang_definitions` VALUES (63361, 980, 17, 'Απαίτηση');
INSERT INTO `lang_definitions` VALUES (63362, 981, 17, 'Απαίτηση ');
INSERT INTO `lang_definitions` VALUES (63363, 982, 17, 'Κατάσταση απαιτήσεων');
INSERT INTO `lang_definitions` VALUES (63364, 983, 17, 'Ο έλεγχος των απαιτήσεων ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (63365, 984, 17, 'Τύπος απαίτησης');
INSERT INTO `lang_definitions` VALUES (63366, 985, 17, 'Η απαίτηση οδήγησε στη δημιουργία αρχείου');
INSERT INTO `lang_definitions` VALUES (63367, 986, 17, 'Η απαίτηση οδήγησε στη δημιουργία αρχείου ');
INSERT INTO `lang_definitions` VALUES (63368, 987, 17, 'Απαιτήσεις');
INSERT INTO `lang_definitions` VALUES (63369, 988, 17, 'Ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (63370, 989, 17, 'Καθαρισμός');
INSERT INTO `lang_definitions` VALUES (63371, 990, 17, 'ΚΑΘΑΡΙΣΜΟΣ ΕΝΕΡΓΟΥ ΑΣΘΕΝΟΥΣ');
INSERT INTO `lang_definitions` VALUES (63372, 991, 17, 'Καθαρισμός όλων');
INSERT INTO `lang_definitions` VALUES (63373, 992, 17, 'Καθαρισμός δεδομένων HL7');
INSERT INTO `lang_definitions` VALUES (63374, 993, 17, 'Καθαρισμός Αιτιολόγησης');
INSERT INTO `lang_definitions` VALUES (63375, 994, 17, 'Καθαρισμός Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63376, 996, 17, 'Αριθμός CLIA');
INSERT INTO `lang_definitions` VALUES (63377, 997, 17, 'Κλικ');
INSERT INTO `lang_definitions` VALUES (63378, 998, 17, 'Πατήστε “Εξαγωγή” για να εξάγετε τα δεδομένα Κατηγορίας, Υποκατηγορίας και Αντικειμένου, σε ένα αρχείο. Οποιαδήποτε ομοιότητα αυτού του αρχείου με αρχείο XML είναι καθαρά συμπτωματική. Το άνοιγμα και το κλείσιμο ετικετών πρέπει να είναι στην ίδια γραμμή με πεζά γράμματα, χωρίς κενά. Για εισαγωγή, αναζητήστε ένα αρχείο και κάντε κλικ στο κουμπί “Εισαγωγή”. Εάν τα δεδομένα είναι εντελώς διαφορετικά, θα συγχωνευτούν με τα υπάρχοντα. Αν υπάρχουν ίδια ονόματα αντικειμένων, το παλιό όνομα θα διατηρηθεί και το νέο θα αποθηκευθεί με την προσθήκη ενός αριθμού στο τέλος του.');
INSERT INTO `lang_definitions` VALUES (63379, 999, 17, 'Κάντε κλικ σε ένα σημείο στην εικόνα για να προσθέσετε νέα επισήμανση. Κάντε κλικ ξανά στο ίδιο σημείο για να την αφαιρέσετε.');
INSERT INTO `lang_definitions` VALUES (63380, 1000, 17, 'Πατήστε Κατέβασμα Πιστοποιητικών για να κατεβάσετε τα πιστοποιητικά στο αρχείο ssl.zip');
INSERT INTO `lang_definitions` VALUES (63381, 1001, 17, 'κάντε κλικ για περισσότερες');
INSERT INTO `lang_definitions` VALUES (63382, 1002, 17, 'Κάντε κλικ για περισσότερες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (63383, 1003, 17, 'Κάντε κλικ για σύνοψη παραγγελίας');
INSERT INTO `lang_definitions` VALUES (63384, 1004, 17, 'Κάντε κλικ για αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (63385, 1005, 17, 'Κλικ εδώ');
INSERT INTO `lang_definitions` VALUES (63386, 1006, 17, 'Κλικ εδώ για την προσθήκη Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (63387, 1007, 17, 'Κλικ εδώ για την προσθήκη νέας κατάστασης αλλαγής τραύματος και την επεξεργασία της καθμερινής δραστηριότητας');
INSERT INTO `lang_definitions` VALUES (63388, 1008, 17, 'Κλικ εδώ για επιλογή ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (63389, 1009, 17, 'Κλικ εδώ για επιλογή ημερομ. και ώρας');
INSERT INTO `lang_definitions` VALUES (63390, 1010, 17, 'Κλικ εδώ για επιλογή ημερομ. έναρξης');
INSERT INTO `lang_definitions` VALUES (63391, 1020, 17, 'Κλικ εδώ για αναζήτηση');
INSERT INTO `lang_definitions` VALUES (63392, 1021, 17, 'Κλικ εδώ για ενημέρωση των ρυθμίσεων προτεραιότητας, κατηγορίας και ψευδωνύμου');
INSERT INTO `lang_definitions` VALUES (63393, 1022, 17, 'Κλικ εδώ για προβολή όλων');
INSERT INTO `lang_definitions` VALUES (63394, 1023, 17, 'Κλικ εδώ για προβολή και γράφημα');
INSERT INTO `lang_definitions` VALUES (63395, 1025, 17, 'Κάντε κλικ εδώ για προβολή και γράφημα όλων των ζωτικών.');
INSERT INTO `lang_definitions` VALUES (63396, 1026, 17, 'Κάντε κλικ εδώ για να δείτε τα στοιχεία των ασθενών');
INSERT INTO `lang_definitions` VALUES (63397, 1027, 17, 'Κάντε κλικ εδώ για να τα δείτε όλα.');
INSERT INTO `lang_definitions` VALUES (63398, 1028, 17, 'Κάντε κλικ εδώ για να δείτε/επεξεργαστείτε περισσότερες πληροφορίες');
INSERT INTO `lang_definitions` VALUES (63399, 1029, 17, 'Κάντε κλικ στο \"Εγκατάσταση\" για να εγκαταστήσετε την έκδοση βάσης δεδομένων από τις ακόλουθες ημερομηνίες');
INSERT INTO `lang_definitions` VALUES (63400, 1030, 17, 'Κάντε κλικ σε οποιοδήποτε τμήμα χρόνου για να το αυξήσετε');
INSERT INTO `lang_definitions` VALUES (63401, 1031, 17, 'Κάντε κλικ στο Όνομα του Ασθενούς για να ανοίξετε το Αρχείο Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (63402, 1032, 17, 'Κλικ στο Ανανέωση για να δείτε όλα τα αποτελέσματα, ή ορίστε κριτήρια αναζήτησης πιο πάνω, για να δείτε συγκεκριμμένα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (63403, 1033, 17, 'Κάντε κλικ για προσθήκη μιας διάγνωσης');
INSERT INTO `lang_definitions` VALUES (63404, 1034, 17, 'Κάντε κλικ για προσθήκη νέων συστατικών');
INSERT INTO `lang_definitions` VALUES (63405, 1035, 17, 'Κάντε κλικ για προσθήκη νέας εκτίμησης');
INSERT INTO `lang_definitions` VALUES (63406, 1037, 17, 'Κάντε κλικ για να κατεβάσετε');
INSERT INTO `lang_definitions` VALUES (63407, 1038, 17, 'Κάντε κλικ για επεξεργασία');
INSERT INTO `lang_definitions` VALUES (63408, 1039, 17, 'Κάντε κλικ για την επεξεργασία της περιγραφής');
INSERT INTO `lang_definitions` VALUES (63409, 1040, 17, 'Κάντε κλικ για επεξεργασία αυτού του συμβάντος');
INSERT INTO `lang_definitions` VALUES (63410, 1041, 17, 'Κάντε κλικ για δημιουργία της αναφοράς');
INSERT INTO `lang_definitions` VALUES (63411, 1043, 17, 'Κάντε κλικ για εκτύπωση');
INSERT INTO `lang_definitions` VALUES (63412, 1044, 17, 'Κάντε κλικ για λήψη (προσθήκη) νέας παρτίδας');
INSERT INTO `lang_definitions` VALUES (63413, 1045, 17, 'Κάντε κλικ για να επιλέξετε');
INSERT INTO `lang_definitions` VALUES (63414, 1046, 17, 'Κάντε κλικ για Επιλογή');
INSERT INTO `lang_definitions` VALUES (63415, 1047, 17, 'Κάντε κλικ για επιλογή ενός προτυποποιημένου κωδικού για αυτή τη διαδικασία');
INSERT INTO `lang_definitions` VALUES (63416, 1048, 17, 'Κάντε κλικ για να επιλέξετε έναν προαιρετκό κωδικό για αυτή τη διαδικασία');
INSERT INTO `lang_definitions` VALUES (63417, 1050, 17, 'Κάντε κλικ για επιλογή ή αλλαγή κωδικού CVX');
INSERT INTO `lang_definitions` VALUES (63418, 1051, 17, 'Κάντε κλικ για επιλογή ή αλλαγή διαγνώσεων');
INSERT INTO `lang_definitions` VALUES (63419, 1052, 17, 'Κάντε κλικ για επιλογή ή αλλαγή των κωδικών των υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (63420, 1053, 17, 'Κάντε κλικ για επιλογή ασθενούς');
INSERT INTO `lang_definitions` VALUES (63421, 1054, 17, 'Κάντε κλικ για επιλογή σχετικού κώδικα');
INSERT INTO `lang_definitions` VALUES (63422, 1055, 17, 'Κάντε κλικ για επιλογή υπηρεσιών προς εκτέλεση αν αυτό το αποτέλεσμα είναι παθολογικό');
INSERT INTO `lang_definitions` VALUES (63423, 1056, 17, 'Κάντε κλικ για επιλογή της επιθυμητής διαδικασίας');
INSERT INTO `lang_definitions` VALUES (63424, 1057, 17, 'Κάντε κλικ για να κάνετε κατάταξη');
INSERT INTO `lang_definitions` VALUES (63425, 1058, 17, 'Kάντε κλικ για προβολή');
INSERT INTO `lang_definitions` VALUES (63426, 1059, 17, 'Kάντε κλικ για προβολή ή επεξεργασία');
INSERT INTO `lang_definitions` VALUES (63427, 1060, 17, 'Kάντε κλικ για προβολή/επεξεργασία');
INSERT INTO `lang_definitions` VALUES (63428, 1061, 17, 'Κάντε κλικ στο κουμπί \"Αναβάθμιση\" για να αναβαθμίσετε την έκδοση βάσης δεδομένων από την ακόλουθη ημερομηνία');
INSERT INTO `lang_definitions` VALUES (63429, 1063, 17, 'Κάντε κλικ:');
INSERT INTO `lang_definitions` VALUES (63430, 1064, 17, 'Ημέρες μέχρι τη Λήξη Πιστοποιητικού Πελάτη');
INSERT INTO `lang_definitions` VALUES (63431, 1065, 17, 'Περίοδος επικύρωσης πιστοποιητικού πελάτη');
INSERT INTO `lang_definitions` VALUES (63432, 1066, 17, 'Η κύρωση πιστοποιητικού πελάτη πρέπει να είναι έγκυρος αριθμός.');
INSERT INTO `lang_definitions` VALUES (63433, 1067, 17, 'Αντίγραφο για τον Ασθενή');
INSERT INTO `lang_definitions` VALUES (63434, 1069, 17, 'Περίληψη ιατρικού ιστορικού ασθενούς');
INSERT INTO `lang_definitions` VALUES (63435, 1070, 17, 'Όνομα Πελάτη');
INSERT INTO `lang_definitions` VALUES (63436, 1071, 17, 'Αριθμός Πελάτη');
INSERT INTO `lang_definitions` VALUES (63437, 1072, 17, 'Προφίλ Ασθενούς - Νέοι Ασθενείς');
INSERT INTO `lang_definitions` VALUES (63438, 1073, 17, 'Προφίλ Ασθενούς - Μοναδικοί Ασθενείς');
INSERT INTO `lang_definitions` VALUES (63439, 1074, 17, 'Ασθενείς');
INSERT INTO `lang_definitions` VALUES (63440, 1075, 17, 'Κλινική');
INSERT INTO `lang_definitions` VALUES (63441, 1076, 17, 'Αντίγραφο για την Κλινική');
INSERT INTO `lang_definitions` VALUES (63442, 1077, 17, 'Ημερήσια αναφορά κλινικής/ ιατρείου');
INSERT INTO `lang_definitions` VALUES (63443, 1078, 17, 'Αναγνωριστικό κλινικής');
INSERT INTO `lang_definitions` VALUES (63444, 1079, 17, 'Κλινικό');
INSERT INTO `lang_definitions` VALUES (63445, 1080, 17, 'Διαχειριστής Ειδοποιήσεων για Πρωτόκολλα λήψης Κλινικών Αποφάσεων');
INSERT INTO `lang_definitions` VALUES (63446, 1081, 17, 'Κλινικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (63447, 1083, 17, 'Κλινικά Πλάνα');
INSERT INTO `lang_definitions` VALUES (63448, 1084, 17, 'Μετρήσεις δεικτών κλινικής ποιότητας (CQM)');
INSERT INTO `lang_definitions` VALUES (63449, 1087, 17, 'Κλινικές Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (63450, 1088, 17, 'Κλινικές Εκθέσεις/Αναφορές');
INSERT INTO `lang_definitions` VALUES (63451, 1089, 17, 'Κατηγορία Δράσης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63452, 1090, 17, 'Αντικείμενο Δράσης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63453, 1091, 17, 'Μέθοδοι Φίλτραρίσματος Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63454, 1092, 17, 'Μέθοδοι-Στόχοι Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63455, 1093, 17, 'Κλινικοί Κανόνες');
INSERT INTO `lang_definitions` VALUES (63456, 1094, 17, 'Ηλικιακά Ορια Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63457, 1095, 17, 'Συγκρίσεις Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63458, 1096, 17, 'Τύποι Επισκέψεων Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63459, 1097, 17, 'Επιλογές Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63460, 1098, 17, 'Επιλογές Απενεργοποίησης της Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63461, 1099, 17, 'Διαστήματα Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63462, 1100, 17, 'Μέθοδοι Υπενθύμισης Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63463, 1101, 17, 'Διαστήματα-Στόχοι Κλινικών Κανόνων');
INSERT INTO `lang_definitions` VALUES (63464, 1102, 17, 'Κλινικοί στόχοι');
INSERT INTO `lang_definitions` VALUES (63465, 1103, 17, 'Κλινικός Όρος');
INSERT INTO `lang_definitions` VALUES (63466, 1104, 17, 'Κωδικός Κλινικού Όρου');
INSERT INTO `lang_definitions` VALUES (63467, 1106, 17, 'Κλινικοί ιατροί');
INSERT INTO `lang_definitions` VALUES (63468, 1107, 17, 'Κλωνοποίηση');
INSERT INTO `lang_definitions` VALUES (63469, 1108, 17, 'Κλωνοποίηση παρελθούσας επίσκεψης');
INSERT INTO `lang_definitions` VALUES (63470, 1109, 17, 'Κλείσιμο');
INSERT INTO `lang_definitions` VALUES (63471, 1111, 17, 'Κλείσιμο παραθύρου');
INSERT INTO `lang_definitions` VALUES (63472, 1112, 17, 'Κλεισμένο');
INSERT INTO `lang_definitions` VALUES (63473, 1113, 17, 'εκατ.');
INSERT INTO `lang_definitions` VALUES (63474, 1114, 17, 'Περιθώρια του CSM 1500');
INSERT INTO `lang_definitions` VALUES (63475, 1118, 17, 'Κωδικός ταυτοπ. για το CSM 1500');
INSERT INTO `lang_definitions` VALUES (63476, 1127, 17, 'Κρανιακά νεύρα 2-12 ακέραια');
INSERT INTO `lang_definitions` VALUES (63477, 1128, 17, 'Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (63478, 1129, 17, 'Η συμμετοχή πληρώθηκε');
INSERT INTO `lang_definitions` VALUES (63479, 1130, 17, 'ΣΥΜΜΕΤΟΧΗ');
INSERT INTO `lang_definitions` VALUES (63480, 1131, 17, 'Κωδικός');
INSERT INTO `lang_definitions` VALUES (63481, 1132, 17, 'κωδικός');
INSERT INTO `lang_definitions` VALUES (63482, 1133, 17, 'Εύρεση κωδικού');
INSERT INTO `lang_definitions` VALUES (63483, 1134, 17, 'Ο κωδικός πρέπει να είναι δύο μικρά γράμματα');
INSERT INTO `lang_definitions` VALUES (63484, 1135, 17, 'Κωδικός ή σύμβολο για να υποδείξετε το είδος νομίσματος');
INSERT INTO `lang_definitions` VALUES (63485, 1136, 17, 'Κείμενο κωδικού');
INSERT INTO `lang_definitions` VALUES (63486, 1138, 17, 'τύπος κωδικού');
INSERT INTO `lang_definitions` VALUES (63487, 1141, 17, 'Τύποι κωδικού');
INSERT INTO `lang_definitions` VALUES (63488, 1142, 17, 'Κωδικός');
INSERT INTO `lang_definitions` VALUES (63489, 1143, 17, 'Κωδικοποιημένο');
INSERT INTO `lang_definitions` VALUES (63490, 1144, 17, 'Κωδικοί');
INSERT INTO `lang_definitions` VALUES (63491, 1145, 17, 'Κωδικοποίηση');
INSERT INTO `lang_definitions` VALUES (63492, 1147, 17, 'Κωδικοποίηση – οποιαδήποτε επίσκεψη (εγγραφή, μερικά προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (63493, 1148, 17, 'Κωδικοποίηση – οι επισκέψεις μου (εγγραφή, μερικα προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (63494, 1149, 17, 'Η κωδικοποίηση δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (63495, 1150, 17, 'Καφές');
INSERT INTO `lang_definitions` VALUES (63496, 1152, 17, 'Συν-ασφάλιση');
INSERT INTO `lang_definitions` VALUES (63497, 1153, 17, 'Συνεργ με');
INSERT INTO `lang_definitions` VALUES (63498, 1154, 17, 'Σύμπτυξη');
INSERT INTO `lang_definitions` VALUES (63499, 1155, 17, 'σύμπτυξη');
INSERT INTO `lang_definitions` VALUES (63500, 1156, 17, 'Σύμπτυξη Όλων');
INSERT INTO `lang_definitions` VALUES (63501, 1157, 17, 'Σύμπτυξη όλων');
INSERT INTO `lang_definitions` VALUES (63502, 1158, 17, 'σύμπτυξη όλων');
INSERT INTO `lang_definitions` VALUES (63503, 1160, 17, 'Ημερομ. συλλογής');
INSERT INTO `lang_definitions` VALUES (63504, 1161, 17, 'Συλλογές');
INSERT INTO `lang_definitions` VALUES (63505, 1162, 17, 'Αναφορά συλλογών');
INSERT INTO `lang_definitions` VALUES (63506, 1163, 17, 'Καρκίνος παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (63507, 1164, 17, 'Έλεγχος για Καρκίνο παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (63508, 1165, 17, 'Εγχείριση καρκίνου παχέος εντέρου');
INSERT INTO `lang_definitions` VALUES (63509, 1166, 17, 'Κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (63510, 1167, 17, 'κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (63511, 1168, 17, 'Χρώμα');
INSERT INTO `lang_definitions` VALUES (63512, 1169, 17, 'Χρώμα:Συντμ');
INSERT INTO `lang_definitions` VALUES (63513, 1170, 17, 'Στήλη');
INSERT INTO `lang_definitions` VALUES (63514, 1171, 17, 'Στήλες');
INSERT INTO `lang_definitions` VALUES (63515, 1172, 17, 'Συνδυασμός παρτίδων');
INSERT INTO `lang_definitions` VALUES (63516, 1173, 17, 'Κόμμα');
INSERT INTO `lang_definitions` VALUES (63517, 1174, 17, 'Σχόλιο');
INSERT INTO `lang_definitions` VALUES (63518, 1175, 17, 'Σχόλια');
INSERT INTO `lang_definitions` VALUES (63519, 1176, 17, 'Σχόλια για αυτό το αποτέλεσμα ή τη σύσταση');
INSERT INTO `lang_definitions` VALUES (63520, 1177, 17, 'Εταιρεία εμπορικών ασφαλίσεων');
INSERT INTO `lang_definitions` VALUES (63521, 1178, 17, 'Απόπειρα αλλαγών');
INSERT INTO `lang_definitions` VALUES (63522, 1180, 17, 'Επικοινωνίες');
INSERT INTO `lang_definitions` VALUES (63523, 1182, 17, 'Εταιρεία');
INSERT INTO `lang_definitions` VALUES (63524, 1183, 17, 'Όνομα Εταιρείας');
INSERT INTO `lang_definitions` VALUES (63525, 1184, 17, 'Ολοκληρωμένο');
INSERT INTO `lang_definitions` VALUES (63526, 1186, 17, 'Ολοκληρώθηκε');
INSERT INTO `lang_definitions` VALUES (63527, 1188, 17, 'Ολοκληρώθηκε;');
INSERT INTO `lang_definitions` VALUES (63528, 1190, 17, 'Επιπλοκές ανά Πάροχο Υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (63529, 1191, 17, 'Επιπλοκές Άμβλωσης');
INSERT INTO `lang_definitions` VALUES (63530, 1192, 17, 'Συστατικά');
INSERT INTO `lang_definitions` VALUES (63532, 1194, 17, 'Συμπεράσματα');
INSERT INTO `lang_definitions` VALUES (63533, 1199, 17, 'Ρύθμιση');
INSERT INTO `lang_definitions` VALUES (63534, 1200, 17, 'Εξαγωγή/ Εισαγωγή Ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (63535, 1202, 17, 'Ρύθμιση του Apache και του LibreEHR για χρήση πιστοποιητικών SSL από τη μεριά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (63536, 1203, 17, 'Ρύθμιση του Apache για χρήση πιστοποιητικών SSL από τη μεριά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (63537, 1204, 17, 'Ρύθμιση του Apache για χρήση HTTPS.');
INSERT INTO `lang_definitions` VALUES (63538, 1205, 17, 'Ρύθμιση του LibreEHR για χρήση πιστοποιητικών SSL από τη μεριά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (63539, 1208, 17, 'Επιβεβαίωση δημιουργίας Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (63540, 1209, 17, 'Επιβεβαίωση Νέου Κωδικού');
INSERT INTO `lang_definitions` VALUES (63541, 1210, 17, 'Επιβεβαίωση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (63542, 1214, 17, 'Συγγενής');
INSERT INTO `lang_definitions` VALUES (63543, 1215, 17, 'Επιπεφυκότες, κόρες');
INSERT INTO `lang_definitions` VALUES (63544, 1217, 17, 'Συνδέσεις');
INSERT INTO `lang_definitions` VALUES (63545, 1218, 17, 'Σταθερά');
INSERT INTO `lang_definitions` VALUES (63546, 1219, 17, 'όνομα σταθεράς');
INSERT INTO `lang_definitions` VALUES (63547, 1220, 17, 'Το όνομα της σταθεράς είναι κενό');
INSERT INTO `lang_definitions` VALUES (63548, 1221, 17, 'σταθερές');
INSERT INTO `lang_definitions` VALUES (63549, 1222, 17, 'Δυσκοιλιότητα');
INSERT INTO `lang_definitions` VALUES (63550, 1223, 17, 'Γενική κατάσταση');
INSERT INTO `lang_definitions` VALUES (63551, 1226, 17, 'Παρούσα Νόσος (Σύντομη αναφορά εκτίμησης)');
INSERT INTO `lang_definitions` VALUES (63552, 1227, 17, 'Επαφή');
INSERT INTO `lang_definitions` VALUES (63553, 1228, 17, 'Email της Επαφής');
INSERT INTO `lang_definitions` VALUES (63554, 1229, 17, 'Διεύθ. E-mail');
INSERT INTO `lang_definitions` VALUES (63555, 1231, 17, 'Πληροφ. Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (63556, 1232, 17, 'Φακοί επαφής');
INSERT INTO `lang_definitions` VALUES (63557, 1236, 17, 'Όνομα Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (63558, 1237, 17, 'Άτομο Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (63559, 1239, 17, 'Τηλέφωνο Επικοινωνίας');
INSERT INTO `lang_definitions` VALUES (63560, 1240, 17, 'Επικοινωνήστε με την ZMG LLC (zmghealth@gmail.com) για να εγγραφείτε στην υπηρεσία eRx');
INSERT INTO `lang_definitions` VALUES (63561, 1241, 17, 'συμπεριλάβετε τουλάχιστον 3 από τα ακόλουθα 4 αντικείμενα:');
INSERT INTO `lang_definitions` VALUES (63562, 1243, 17, 'Περιεχόμενο');
INSERT INTO `lang_definitions` VALUES (63563, 1244, 17, 'περιεχόμενο');
INSERT INTO `lang_definitions` VALUES (63564, 1245, 17, 'Πλαίσιο');
INSERT INTO `lang_definitions` VALUES (63565, 1246, 17, 'Το όνομα πλαισίου δεν μπορεί να είναι κενό');
INSERT INTO `lang_definitions` VALUES (63566, 1247, 17, 'Συνεχίστε');
INSERT INTO `lang_definitions` VALUES (63567, 1248, 17, 'Έγγραφο Συνέχισης Φροντίδας');
INSERT INTO `lang_definitions` VALUES (63568, 1249, 17, 'Εγγραφή Συνέχισης Φροντίδας');
INSERT INTO `lang_definitions` VALUES (63569, 1251, 17, 'Αντισύλληψη');
INSERT INTO `lang_definitions` VALUES (63570, 1252, 17, 'Θέματα αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (63571, 1253, 17, 'Επιπλοκές αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (63572, 1254, 17, 'Μέθοδος αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (63573, 1255, 17, 'Προϊόντα αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (63574, 1256, 17, 'Προηγούμενη έναρξη υπηρεσιών αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (63575, 1257, 17, 'Έναρξη αντισυλληπτικών');
INSERT INTO `lang_definitions` VALUES (63576, 1258, 17, 'ID Ελέγχου');
INSERT INTO `lang_definitions` VALUES (63577, 1259, 17, 'Αριθμ. Ελέγχου');
INSERT INTO `lang_definitions` VALUES (63578, 1261, 17, 'ΣΥΜΜΕΤΟΧΗ');
INSERT INTO `lang_definitions` VALUES (63579, 1262, 17, 'Συμμετοχή στην πληρωμή');
INSERT INTO `lang_definitions` VALUES (63580, 1263, 17, 'Συμμετοχή στην πληρωμή');
INSERT INTO `lang_definitions` VALUES (63581, 1264, 17, 'Συμμετοχή μη θετικό');
INSERT INTO `lang_definitions` VALUES (63582, 1266, 17, 'Συμμετοχές');
INSERT INTO `lang_definitions` VALUES (63583, 1267, 17, 'ΧΑΠ');
INSERT INTO `lang_definitions` VALUES (63584, 1268, 17, 'Αντιγραφή Σελίδων στο Φάκελο ασθενούς');
INSERT INTO `lang_definitions` VALUES (63585, 1269, 17, 'Αντιγραφή Τιμών');
INSERT INTO `lang_definitions` VALUES (63586, 1270, 17, 'Αντιγραφή του αρχείου της βάσης Αυτό θα πάρει λίγο χρόνο...');
INSERT INTO `lang_definitions` VALUES (63587, 1271, 17, 'Σημείωμα περί Πνευματ. Δικαιωμάτων');
INSERT INTO `lang_definitions` VALUES (63588, 1273, 17, 'Αορτοστεφανιαία παράκαμψη');
INSERT INTO `lang_definitions` VALUES (63589, 1274, 17, 'Μόσχευμα Αορτοστεφανιαίας παράκαμψης');
INSERT INTO `lang_definitions` VALUES (63590, 1275, 17, 'Διορθώθηκε');
INSERT INTO `lang_definitions` VALUES (63591, 1277, 17, 'Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63592, 1278, 17, 'Απέτυχε η σύνδεση με τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63593, 1279, 17, 'Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63594, 1280, 17, 'Όνομα της Βάσης δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63595, 1281, 17, 'Ο host της Βάσης δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63596, 1282, 17, 'Το όνομα του host της Βάσης δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63597, 1283, 17, 'Ενεργοποίηση σύνδεσης με τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63598, 1284, 17, 'Κωδικός πρόσβασης στη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63599, 1285, 17, 'Θύρα για τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63600, 1286, 17, 'Θύρα για τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63601, 1288, 17, 'Όνομα χρήστη στη Θύρα για τη Βάση δεδομένων CouchDB');
INSERT INTO `lang_definitions` VALUES (63602, 1289, 17, 'Βήχας');
INSERT INTO `lang_definitions` VALUES (63603, 1290, 17, 'Βήχας:');
INSERT INTO `lang_definitions` VALUES (63604, 1294, 17, 'Το αρχείο δεν μπορεί να διαβαστεί');
INSERT INTO `lang_definitions` VALUES (63605, 1296, 17, 'Το e-mail δεν μπορεί να σταλεί, λόγω προβλήματος του εξυπηρετητή, ');
INSERT INTO `lang_definitions` VALUES (63606, 1297, 17, 'Το e-mail δεν μπορεί να σταλεί, λόγω προβλήματος του εξυπηρετητή, ');
INSERT INTO `lang_definitions` VALUES (63607, 1298, 17, 'Δεν ήταν δυνατή δημιουργία καταλόγου με αντίγραφα ασφαλείας:');
INSERT INTO `lang_definitions` VALUES (63608, 1299, 17, 'Δεν ήταν δυνατή η διαγραφή καταλόγου dir:');
INSERT INTO `lang_definitions` VALUES (63609, 1300, 17, 'Αδύνατη η διαγραφή παλαιού φακέλου με αντίγραφα ασφαλείας:');
INSERT INTO `lang_definitions` VALUES (63610, 1301, 17, 'Δεν ήταν δυνατή η διαγραφή παλαιού αρχείου εξαγωγής:');
INSERT INTO `lang_definitions` VALUES (63611, 1302, 17, 'Χειρισμός αντιπηκτικής αγωγής - Παρακολούθηση INR');
INSERT INTO `lang_definitions` VALUES (63612, 1303, 17, 'Συμβουλευτική ανά μέθοδο');
INSERT INTO `lang_definitions` VALUES (63613, 1304, 17, 'Συμβουλευτική');
INSERT INTO `lang_definitions` VALUES (63614, 1305, 17, 'Συμβουλευτικές δραστηριότητες');
INSERT INTO `lang_definitions` VALUES (63615, 1306, 17, 'Έντυπο επιστρεφόμενων παραπομπών');
INSERT INTO `lang_definitions` VALUES (63616, 1307, 17, 'Επιστροφή παραπομπής');
INSERT INTO `lang_definitions` VALUES (63617, 1308, 17, 'Χώρα');
INSERT INTO `lang_definitions` VALUES (63618, 1309, 17, 'Τύπος δεδομένων Χώρας');
INSERT INTO `lang_definitions` VALUES (63619, 1310, 17, 'Λίστα χωρών');
INSERT INTO `lang_definitions` VALUES (63620, 1311, 17, 'Λίστα Χωρών (εγγραφή)');
INSERT INTO `lang_definitions` VALUES (63621, 1312, 17, 'Τό όνομα της χώρας πρέπει να συμβολίζεται με δύο γράμματα (πχ. η Ελλάδα είναι GR)');
INSERT INTO `lang_definitions` VALUES (63622, 1313, 17, 'Επαρχία');
INSERT INTO `lang_definitions` VALUES (63623, 1315, 17, 'Κουπόνι');
INSERT INTO `lang_definitions` VALUES (63624, 1318, 17, 'CPT');
INSERT INTO `lang_definitions` VALUES (63625, 1319, 17, 'Κωδικός CPT');
INSERT INTO `lang_definitions` VALUES (63626, 1320, 17, 'Κωδικοί CPT');
INSERT INTO `lang_definitions` VALUES (63627, 1321, 17, 'Διαδικασία/Υπηρεσία CPT4');
INSERT INTO `lang_definitions` VALUES (63628, 1322, 17, 'Μετρήσεις Επιδόσεων CPTΙΙ');
INSERT INTO `lang_definitions` VALUES (63629, 1323, 17, 'CQM');
INSERT INTO `lang_definitions` VALUES (63630, 1324, 17, 'Ρόγχοι:');
INSERT INTO `lang_definitions` VALUES (63631, 1325, 17, 'κρέμα (cream)');
INSERT INTO `lang_definitions` VALUES (63632, 1326, 17, 'Δημιουργία ενός πιστοποιητικού SSL για τον πελάτη για κάθε χρήστη ή μηχανή πελάτη.');
INSERT INTO `lang_definitions` VALUES (63633, 1327, 17, 'Δημιουργία ενός πιστοποιητικού SSL από τη πλευρά του πελάτη, για κάθε χρήστη ή για κάθε όνομα μηχανής πελάτη.');
INSERT INTO `lang_definitions` VALUES (63634, 1329, 17, 'Δημιουργία Συμβάντος');
INSERT INTO `lang_definitions` VALUES (63635, 1330, 17, 'Δημιουργία και κατέβασμα πλήρους αντιγράφου ασφαλείας');
INSERT INTO `lang_definitions` VALUES (63636, 1332, 17, 'Δημιουργία αντιγράφου ασφαλείας');
INSERT INTO `lang_definitions` VALUES (63637, 1333, 17, 'Δημιουργία δέσμης');
INSERT INTO `lang_definitions` VALUES (63638, 1334, 17, 'Δημιουργία Πιστοποιητικού Πελάτη');
INSERT INTO `lang_definitions` VALUES (63639, 1335, 17, 'Δημιουργία Πιστοποιητικών από την πλευρά του Πελάτη');
INSERT INTO `lang_definitions` VALUES (63640, 1336, 17, 'Δημιουργία αντιγράφου');
INSERT INTO `lang_definitions` VALUES (63641, 1338, 17, 'Δημιουργία αρχείου καταγραφής αντιγράφων ασφαλείας');
INSERT INTO `lang_definitions` VALUES (63642, 1339, 17, 'Δημιουργία νέου θέματος');
INSERT INTO `lang_definitions` VALUES (63643, 1340, 17, 'Δημιουργία Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (63644, 1342, 17, 'Δημιουργία Διαπιστευτηρίων Offsite Πύλης');
INSERT INTO `lang_definitions` VALUES (63645, 1343, 17, 'Δημιουργία Διαπιστευτηρίων Onsite Πύλης');
INSERT INTO `lang_definitions` VALUES (63646, 1344, 17, 'Δημιουργία Σημείωσης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (63647, 1345, 17, 'Δημιουργία Εξουσιοδότησης Πιστοποιητικού SSL και πιστοποιητικών Εξυπηρετητή.');
INSERT INTO `lang_definitions` VALUES (63648, 1346, 17, 'Δημιουργία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (63649, 1347, 17, 'Δημιουργήθηκε');
INSERT INTO `lang_definitions` VALUES (63650, 1348, 17, 'Δημιουργία αρχείου εξαγωγής');
INSERT INTO `lang_definitions` VALUES (63651, 1350, 17, 'Η δημιουργία αυτού του αρχείου στον απομεμακρυσμένο host απέτυχε');
INSERT INTO `lang_definitions` VALUES (63652, 1351, 17, 'Δημιουργός');
INSERT INTO `lang_definitions` VALUES (63653, 1352, 17, 'πίστωση');
INSERT INTO `lang_definitions` VALUES (63654, 1353, 17, 'Πιστωτική Κάρτα');
INSERT INTO `lang_definitions` VALUES (63655, 1354, 17, 'Πιστώσεις');
INSERT INTO `lang_definitions` VALUES (63656, 1356, 17, 'Κριτήρια');
INSERT INTO `lang_definitions` VALUES (63657, 1358, 17, 'Νόσος του Crohn');
INSERT INTO `lang_definitions` VALUES (63658, 1359, 17, 'Νόσος του Crohn');
INSERT INTO `lang_definitions` VALUES (63659, 1360, 17, 'Εξαγωγή σε CSV');
INSERT INTO `lang_definitions` VALUES (63660, 1361, 17, 'Αρχείο CSV');
INSERT INTO `lang_definitions` VALUES (63661, 1362, 17, 'Πίνακες CSV');
INSERT INTO `lang_definitions` VALUES (63662, 1363, 17, 'κυβ. χιλιοστό');
INSERT INTO `lang_definitions` VALUES (63663, 1364, 17, 'Κουβανέζικα');
INSERT INTO `lang_definitions` VALUES (63664, 1365, 17, 'Δεκαδικά ψηφία νομίσματος');
INSERT INTO `lang_definitions` VALUES (63665, 1366, 17, 'Σύμβολο δεκαδικών ψηφίων νομίσματος');
INSERT INTO `lang_definitions` VALUES (63666, 1367, 17, 'Προσδιοριστής νομίσματος');
INSERT INTO `lang_definitions` VALUES (63667, 1368, 17, 'Διαχωριστικό χιλιάδων νομίσματος');
INSERT INTO `lang_definitions` VALUES (63668, 1369, 17, 'Τρέχουσα');
INSERT INTO `lang_definitions` VALUES (63669, 1370, 17, 'Τρέχουσα χρήση Αλκοόλ');
INSERT INTO `lang_definitions` VALUES (63670, 1371, 17, 'Τρέχουσα Εκτίμηση');
INSERT INTO `lang_definitions` VALUES (63671, 1372, 17, 'Τρέχοντα Κριτήρια');
INSERT INTO `lang_definitions` VALUES (63672, 1373, 17, 'Χρώμα τονισμού της τρέχουσας ημέρας');
INSERT INTO `lang_definitions` VALUES (63673, 1374, 17, 'Καθημερινός καπνιστής');
INSERT INTO `lang_definitions` VALUES (63674, 1375, 17, 'Το τρέχον άνομα αρχείου άλλαξε σε');
INSERT INTO `lang_definitions` VALUES (63675, 1376, 17, 'Τρέχον Hash');
INSERT INTO `lang_definitions` VALUES (63676, 1377, 17, 'Τρέχουσα Θέση');
INSERT INTO `lang_definitions` VALUES (63677, 1378, 17, 'Τρέχουσα Αγωγή');
INSERT INTO `lang_definitions` VALUES (63678, 1379, 17, 'Τρέχων Κωδικός');
INSERT INTO `lang_definitions` VALUES (63679, 1380, 17, 'Τρέχων Ασθενής');
INSERT INTO `lang_definitions` VALUES (63680, 1382, 17, 'Τρέχουσα χρήση εθιστικών ουσιών');
INSERT INTO `lang_definitions` VALUES (63681, 1383, 17, 'Περιστασιακός καπνιστής');
INSERT INTO `lang_definitions` VALUES (63682, 1386, 17, 'Τρεχόντως Ενεργός');
INSERT INTO `lang_definitions` VALUES (63683, 1387, 17, 'Εκτελείται τρεχόντως');
INSERT INTO `lang_definitions` VALUES (63684, 1388, 17, 'Τρεχόντως δεν υπάρχουν έδρες.');
INSERT INTO `lang_definitions` VALUES (63685, 1389, 17, 'Σύνδρομο Cushing');
INSERT INTO `lang_definitions` VALUES (63686, 1390, 17, 'Σύνδρομο Cushing');
INSERT INTO `lang_definitions` VALUES (63687, 1392, 17, 'Προσαρμοσμένος/η/ο');
INSERT INTO `lang_definitions` VALUES (63688, 1393, 17, 'Προσαρμοσμένη είσοδος;');
INSERT INTO `lang_definitions` VALUES (63689, 1394, 17, 'Προσαρμοσμένος Πίνακας');
INSERT INTO `lang_definitions` VALUES (63690, 1396, 17, 'Κωδικός CVX');
INSERT INTO `lang_definitions` VALUES (63691, 1397, 17, 'Χαρτογράφηση Κωδικού CVX');
INSERT INTO `lang_definitions` VALUES (63692, 1398, 17, 'Εμβολιασμός CVX');
INSERT INTO `lang_definitions` VALUES (63693, 1399, 17, 'Κύκλος');
INSERT INTO `lang_definitions` VALUES (63694, 1400, 17, 'Έτη προστασίας ζευγαριού (ΕΠΖ)');
INSERT INTO `lang_definitions` VALUES (63695, 1401, 17, 'Παράγοντας ΕΠΖ');
INSERT INTO `lang_definitions` VALUES (63696, 1402, 17, 'Αναφορά ΕΠΖ');
INSERT INTO `lang_definitions` VALUES (63697, 1403, 17, 'Τσεχικά');
INSERT INTO `lang_definitions` VALUES (63698, 1405, 17, 'Φάρμακα και Καλλυντικά');
INSERT INTO `lang_definitions` VALUES (63699, 1406, 17, 'Παρουσίαση και Αξιολόγηση');
INSERT INTO `lang_definitions` VALUES (63700, 1407, 17, 'Ημ. Γενν.');
INSERT INTO `lang_definitions` VALUES (63701, 1408, 17, 'ημερησίως');
INSERT INTO `lang_definitions` VALUES (63702, 1409, 17, 'Ημερήσια καταγραφή');
INSERT INTO `lang_definitions` VALUES (63703, 1410, 17, 'Δανέζικος');
INSERT INTO `lang_definitions` VALUES (63704, 1411, 17, 'Tα δεδομένα είναι ήδη στη βάση δεδομένων. Παρακαλώ αλλάξτε τον κωδικό και/ή την περιγραφή');
INSERT INTO `lang_definitions` VALUES (63705, 1412, 17, 'Tα δεδομένα είναι ήδη στη βάση δεδομένων. Παρακαλώ αλλάξτε το όνομα της σταθεράς');
INSERT INTO `lang_definitions` VALUES (63706, 1413, 17, 'Στήλες δεδομένων');
INSERT INTO `lang_definitions` VALUES (63707, 1416, 17, 'Σφάλμα δεδομένων');
INSERT INTO `lang_definitions` VALUES (63708, 1420, 17, 'Τύπος δεδομένων');
INSERT INTO `lang_definitions` VALUES (63709, 1421, 17, 'Βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (63710, 1422, 17, 'Η βάση δεδομένων δεν είναι εγκατεστημένη.');
INSERT INTO `lang_definitions` VALUES (63711, 1423, 17, 'Διορθωτικό patch της Βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (63712, 1424, 17, 'Αναφορά βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (63713, 1425, 17, 'Η αναβάθμιση της βάσης δεδομένων ολοκληρώθηκε.');
INSERT INTO `lang_definitions` VALUES (63714, 1426, 17, 'Τα Δεδομένα Στηλών πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (63715, 1427, 17, 'Ημερομηνία');
INSERT INTO `lang_definitions` VALUES (63716, 1428, 17, 'ΗΜΕΡΟΜΗΝΙΑ');
INSERT INTO `lang_definitions` VALUES (63717, 1429, 17, 'Ημερομ. και χρόνος χορήγησης');
INSERT INTO `lang_definitions` VALUES (63718, 1431, 17, 'Ημερομ. χορήγησης');
INSERT INTO `lang_definitions` VALUES (63719, 1432, 17, 'Ημερομ. και ώρα συλλογής δείγματος');
INSERT INTO `lang_definitions` VALUES (63720, 1433, 17, 'Ημερομ. και ώρα αυτής της παρατήρησης');
INSERT INTO `lang_definitions` VALUES (63721, 1435, 17, 'Ημερομ. και ώρα που συνελέγη το δείγμα');
INSERT INTO `lang_definitions` VALUES (63722, 1436, 17, 'Η ημερομ. δεν μπορεί να είναι μεγαλύτερη από Σήμερα');
INSERT INTO `lang_definitions` VALUES (63723, 1437, 17, 'Αρχική Ημερομ. παροχής αντισυλληπτ. υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (63724, 1438, 17, 'Ημερομ. δημιουγίας');
INSERT INTO `lang_definitions` VALUES (63725, 1439, 17, 'Ημερομ. θανάτου');
INSERT INTO `lang_definitions` VALUES (63726, 1440, 17, 'Ημερομ. καταστροφής');
INSERT INTO `lang_definitions` VALUES (63727, 1441, 17, 'Τρόπος εμφάνισης ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (63728, 1442, 17, 'Ο τύπος ημερομ. για “τέλος ραντεβού” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (63729, 1443, 17, 'Ο τύπος ημερομ. για “έναρξη ραντεβού” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (63730, 1444, 17, 'Ο τύπος ημερομ. για “επόμενο ραντεβού” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (63731, 1445, 17, 'Ο τύπος ημερομ. για “μη εκτιμηθείς από” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (63732, 1446, 17, 'Ο τύπος ημερομ. για “εκτιμηθείς από” δεν είναι έγκυρος');
INSERT INTO `lang_definitions` VALUES (63733, 1447, 17, 'Δόθηκαν Πληροφορίες για Ημερομ. Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (63734, 1448, 17, 'Η ημερομ. για τον κωδικό λείπει ');
INSERT INTO `lang_definitions` VALUES (63735, 1450, 17, 'Ημερομ. τραπεζικής κατάθεσης εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (63736, 1451, 17, 'Ημερομ. χρέωσης');
INSERT INTO `lang_definitions` VALUES (63737, 1452, 17, 'Ημερομ. Γέννησης');
INSERT INTO `lang_definitions` VALUES (63738, 1453, 17, 'Ημερομ. γέννησης');
INSERT INTO `lang_definitions` VALUES (63739, 1454, 17, 'Ημερομ. Γέννησης');
INSERT INTO `lang_definitions` VALUES (63740, 1455, 17, 'Ημερομ. καταχώρησης');
INSERT INTO `lang_definitions` VALUES (63741, 1456, 17, 'Ημερομ. Κάκωσης');
INSERT INTO `lang_definitions` VALUES (63742, 1458, 17, 'Ημερομ. πληρωμής εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (63743, 1459, 17, 'Ημερομ. παραπομπής');
INSERT INTO `lang_definitions` VALUES (63744, 1460, 17, 'Ημερομ. απάντησης');
INSERT INTO `lang_definitions` VALUES (63745, 1461, 17, 'Ημερομ. αναφοράς');
INSERT INTO `lang_definitions` VALUES (63746, 1462, 17, 'Ημερομ. παροχής της υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (63747, 1463, 17, 'Ημερομ. παροχής της υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (63748, 1464, 17, 'Ημερομ. παροχής της υπηρεσίας = Σήμερα');
INSERT INTO `lang_definitions` VALUES (63749, 1465, 17, 'Ημερομ. παροχής της υπηρεσίας μμ-ηη-εεεε');
INSERT INTO `lang_definitions` VALUES (63750, 1466, 17, 'Ημερομ. παροχής της υπηρεσίας:');
INSERT INTO `lang_definitions` VALUES (63751, 1467, 17, 'Ημερομ. Υπογραφής');
INSERT INTO `lang_definitions` VALUES (63752, 1468, 17, 'Ημερομ. αλλαγής κατάστασης');
INSERT INTO `lang_definitions` VALUES (63753, 1469, 17, 'Ημερομ, αυτής της εντολής');
INSERT INTO `lang_definitions` VALUES (63754, 1470, 17, 'Ημερομ. αυτής της αναφοράς');
INSERT INTO `lang_definitions` VALUES (63755, 1471, 17, 'Ημερομ. Έκδοσης Πληροφοριών Εμβολίων');
INSERT INTO `lang_definitions` VALUES (63756, 1472, 17, 'Ημερομ. Εντολής');
INSERT INTO `lang_definitions` VALUES (63757, 1475, 17, 'Σύστημα Επιλογής ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (63758, 1476, 17, 'Ημερομ. αποστολής');
INSERT INTO `lang_definitions` VALUES (63759, 1477, 17, 'Ημερομ. Αποστολής Μηνύματος');
INSERT INTO `lang_definitions` VALUES (63760, 1479, 17, 'Οι τιμές Ημερομηνίας δεν μπορεί να είναι κενές.');
INSERT INTO `lang_definitions` VALUES (63761, 1480, 17, 'Ημερομ./Ραντεβού');
INSERT INTO `lang_definitions` VALUES (63762, 1481, 17, 'Ημερομ./Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (63763, 1482, 17, 'Ημερομ./Πρόσφατες Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (63764, 1483, 17, 'Ημερομ./Ώρα');
INSERT INTO `lang_definitions` VALUES (63765, 1484, 17, 'Ημερομηνία:');
INSERT INTO `lang_definitions` VALUES (63766, 1485, 17, 'Αρχείο καταγραφής ημερομ. των μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (63767, 1486, 17, 'Ημέρα');
INSERT INTO `lang_definitions` VALUES (63768, 1487, 17, 'Ημέρα');
INSERT INTO `lang_definitions` VALUES (63769, 1489, 17, 'Προβολή Ημέρας');
INSERT INTO `lang_definitions` VALUES (63770, 1490, 17, 'Ημέρα(ες)');
INSERT INTO `lang_definitions` VALUES (63771, 1491, 17, 'Ημέρα(ες) Α-Θ');
INSERT INTO `lang_definitions` VALUES (63772, 1492, 17, 'Ημέρες');
INSERT INTO `lang_definitions` VALUES (63773, 1493, 17, 'Ημέρες');
INSERT INTO `lang_definitions` VALUES (63774, 1494, 17, 'ημέρες πριν');
INSERT INTO `lang_definitions` VALUES (63775, 1495, 17, 'Χαμένες ημέρες και παιχνίδια');
INSERT INTO `lang_definitions` VALUES (63776, 1496, 17, 'Ημέρες από την τελευταία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (63777, 1497, 17, 'Ημέρες που απωλέσθηκαν');
INSERT INTO `lang_definitions` VALUES (63778, 1498, 17, 'Ημέρες ανά Στήλη:');
INSERT INTO `lang_definitions` VALUES (63779, 1500, 17, 'Ημέρες/Στήλη:');
INSERT INTO `lang_definitions` VALUES (63780, 1501, 17, 'Η βάση δεδομένων έχει εγκατασταθεί');
INSERT INTO `lang_definitions` VALUES (63781, 1502, 17, 'ΗΗ/ΜΜ/ΕΕΕΕ');
INSERT INTO `lang_definitions` VALUES (63782, 1503, 17, 'Αποταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (63783, 1504, 17, 'Η διαδικασία αποταυτοποίησης τελείωσε');
INSERT INTO `lang_definitions` VALUES (63784, 1505, 17, 'Η διαδικασία αποταυτοποίησης ξεκίνησε');
INSERT INTO `lang_definitions` VALUES (63785, 1506, 17, 'Η διαδικασία αποταυτοποίησης άρχισε και τρέχει στο υπόβαθρο');
INSERT INTO `lang_definitions` VALUES (63786, 1507, 17, 'Τα δεδομένα αποταυτοποίησης δεν μπορούν να είναι πλήρη');
INSERT INTO `lang_definitions` VALUES (63787, 1508, 17, 'Τα αρχεία αποταυτοποίησης θα αποθηκευθούν');
INSERT INTO `lang_definitions` VALUES (63788, 1509, 17, 'Έλεγχος Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (63789, 1511, 17, 'Κωφάλαλος');
INSERT INTO `lang_definitions` VALUES (63790, 1512, 17, 'Πληροφορίες αποσφαλμάτωσης');
INSERT INTO `lang_definitions` VALUES (63791, 1514, 17, 'Αποσφαλμάτωση');
INSERT INTO `lang_definitions` VALUES (63792, 1515, 17, 'Δεκ');
INSERT INTO `lang_definitions` VALUES (63793, 1516, 17, 'ΑΠΕΒΙΩΣΕ');
INSERT INTO `lang_definitions` VALUES (63794, 1517, 17, 'Δεκέμβριος');
INSERT INTO `lang_definitions` VALUES (63795, 1520, 17, 'Εκπιπτόμενο');
INSERT INTO `lang_definitions` VALUES (63796, 1522, 17, 'Προεπιλογή');
INSERT INTO `lang_definitions` VALUES (63797, 1523, 17, 'Προεπιλεγμ. Εμφάνιση Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63798, 1524, 17, 'Προεπιλεγμ. ID Εντύπου Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (63799, 1526, 17, 'Προεπιλεγμένη Έδρα');
INSERT INTO `lang_definitions` VALUES (63800, 1527, 17, 'Προεπιλεγμένη Γλώσσα');
INSERT INTO `lang_definitions` VALUES (63801, 1528, 17, 'Προεπιλεγμ. Γλώσσα αν καμιά άλλη δεν επιτρέπεται ή δεν έχει επιλεχθεί');
INSERT INTO `lang_definitions` VALUES (63802, 1529, 17, 'Προεπιλεγμ. Λίστα (εγγραφή, προαιρετικά προσθήκη)');
INSERT INTO `lang_definitions` VALUES (63803, 1530, 17, 'Προεπιλεγμ. Μέθοδος');
INSERT INTO `lang_definitions` VALUES (63804, 1531, 17, 'Προεπιλεγμ. Ημέρες Λήξης Κωδικού');
INSERT INTO `lang_definitions` VALUES (63805, 1532, 17, 'Προεπιλεγμ. Περίοδος λήξης Κωδικού σε μέρες. Το 0 σημαίνει ότι αυτή η λειτουργία έχει απενεργοποιηθεί.');
INSERT INTO `lang_definitions` VALUES (63806, 1533, 17, 'Προεπιλεγμένη Χώρα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (63807, 1535, 17, 'Προεπιεγμένη προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (63808, 1536, 17, 'Προεπιλεγμένος Πάροχος');
INSERT INTO `lang_definitions` VALUES (63809, 1537, 17, 'Προεπιλεγμένο Εύρος');
INSERT INTO `lang_definitions` VALUES (63810, 1538, 17, 'Προεπιλεγμένη Αιτία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (63811, 1540, 17, 'Προεπιλεγμένη ρύθμιση');
INSERT INTO `lang_definitions` VALUES (63812, 1541, 17, 'Προεπιλεγμένη κατάσταση του κουτιού επλογής του Νέου Παραθύρου στη λίστα ασθενών.');
INSERT INTO `lang_definitions` VALUES (63813, 1542, 17, 'Προεπιλεγμένη διάταξη');
INSERT INTO `lang_definitions` VALUES (63814, 1546, 17, 'Προεπιλεγμένες Μονάδες');
INSERT INTO `lang_definitions` VALUES (63815, 1547, 17, 'Προεπιλεγμένη Τιμή');
INSERT INTO `lang_definitions` VALUES (63816, 1548, 17, 'Προεπιλεγμένη Αποθήκη');
INSERT INTO `lang_definitions` VALUES (63817, 1549, 17, 'Προεπιλεγμ. Χ12 συνεργάτης');
INSERT INTO `lang_definitions` VALUES (63818, 1550, 17, 'Προεπιλεγμ./ Γενικός');
INSERT INTO `lang_definitions` VALUES (63819, 1551, 17, 'Διαγρ');
INSERT INTO `lang_definitions` VALUES (63820, 1552, 17, 'διαγρ');
INSERT INTO `lang_definitions` VALUES (63821, 1553, 17, 'Καθυστερημένη υποτροπή (>12 μήνες)');
INSERT INTO `lang_definitions` VALUES (63822, 1554, 17, 'Διαγραφή');
INSERT INTO `lang_definitions` VALUES (63823, 1555, 17, 'διαγραφή');
INSERT INTO `lang_definitions` VALUES (63824, 1556, 17, 'Διαγραφή κατηγοριών με αναγνωριστικά: ');
INSERT INTO `lang_definitions` VALUES (63825, 1557, 17, 'Διαγραφή Κατηγορίας');
INSERT INTO `lang_definitions` VALUES (63826, 1559, 17, 'Η διαγραφή απέτυχε!');
INSERT INTO `lang_definitions` VALUES (63827, 1560, 17, 'Διαγραφή Ομάδας');
INSERT INTO `lang_definitions` VALUES (63828, 1561, 17, 'Διαγραφή Λίστας');
INSERT INTO `lang_definitions` VALUES (63829, 1562, 17, 'Διαγραφή Σελίδων');
INSERT INTO `lang_definitions` VALUES (63830, 1563, 17, 'Διαγραφή Ασθενούς, Επίσκεψης, Εντύπου, Προβλήματος, Εγγράφου, Πληρωμής, Χρέωσης ή Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (63831, 1565, 17, 'Διαγραφή γραμμής');
INSERT INTO `lang_definitions` VALUES (63832, 1566, 17, 'Διαγραφή επιλεγμένων αντικειμένων');
INSERT INTO `lang_definitions` VALUES (63833, 1568, 17, 'Διαγραφή επιτυχής');
INSERT INTO `lang_definitions` VALUES (63834, 1569, 17, 'Διαγραφή αυτού του εγγράφου');
INSERT INTO `lang_definitions` VALUES (63835, 1570, 17, 'Διαγραφή αυτής του εντύπου');
INSERT INTO `lang_definitions` VALUES (63836, 1571, 17, 'Διαγραφή αυτής της σημείωσης');
INSERT INTO `lang_definitions` VALUES (63837, 1573, 17, 'Διαγραφή επιτυχής.');
INSERT INTO `lang_definitions` VALUES (63838, 1574, 17, 'Γίνεται διαγραφή');
INSERT INTO `lang_definitions` VALUES (63839, 1575, 17, 'Η διαγραφή αυτού του συμβάντος δεν μπορεί να αντιστραφεί. Άπαξ και σβησθεί, δεν μπορεί να ανακτηθεί. Είστε σίγουροι ότι θέλετε να διαγράψετε αυτό το συμβάν;');
INSERT INTO `lang_definitions` VALUES (63840, 1576, 17, 'Η παράδοση επιβεβαιώθηκε');
INSERT INTO `lang_definitions` VALUES (63841, 1578, 17, 'Η παράδοση επί του παρόντος δεν επιτρέπεται στην καθορισμένη Άμεση Διεύθυνση.');
INSERT INTO `lang_definitions` VALUES (63842, 1580, 17, 'Η παράδοση του συνημμένου κλινικού εγγράφου ζητήθηκε από τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (63843, 1581, 17, 'Άνοια');
INSERT INTO `lang_definitions` VALUES (63844, 1582, 17, 'Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (63845, 1583, 17, 'Δημογραφικά (εγγραφή)');
INSERT INTO `lang_definitions` VALUES (63846, 1585, 17, 'Κριτήρια φίλτρου Δημογραφικών');
INSERT INTO `lang_definitions` VALUES (63847, 1586, 17, 'Δεν επιτρέπονται Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (63848, 1587, 17, 'Δεν επιτρέπονται Δημογραφικά.');
INSERT INTO `lang_definitions` VALUES (63849, 1588, 17, 'Απερρίφθη');
INSERT INTO `lang_definitions` VALUES (63850, 1589, 17, 'Παρονομαστής');
INSERT INTO `lang_definitions` VALUES (63851, 1590, 17, 'Οδοντιατρικός');
INSERT INTO `lang_definitions` VALUES (63852, 1591, 17, 'Λίστα οδοντιατρικών θεμάτων');
INSERT INTO `lang_definitions` VALUES (63853, 1592, 17, 'Οδοντιατρ. προβλήματα');
INSERT INTO `lang_definitions` VALUES (63854, 1595, 17, 'Ανάλογα με τον τύπο λογαριασμού που δοκιμάζετε, θα δείτε ένα αποτέλεσμα τύπου HCFA σε μια κενή σελίδα για λογαριασμούς HCFA. Θα δείτε πολλές γραμμές μη κατανοητών χαρακτήρων και πληροφοριών αν δοκιμάσετε μια αίτηση X12. Αυτή είναι η μορφή X12 EDI 4010A. Περιστασιακά θα δείτε περίεργους χαρακτήρες που μοιάζουν με ντόμινο. Αυτοί είναι χαρακτήρες ελέγχου (π.χ. τροφοδοσίες σελίδας) και είναι φυσιολογικοί.');
INSERT INTO `lang_definitions` VALUES (63855, 1596, 17, 'Ημερομηνία Κατάθεσης');
INSERT INTO `lang_definitions` VALUES (63856, 1597, 17, 'Η ημερομηνία Κατάθεσης δεν μπορεί να είναι μεγαλύτερη από Σήμερα');
INSERT INTO `lang_definitions` VALUES (63857, 1598, 17, 'Ημερομηνία κατάθεσης:');
INSERT INTO `lang_definitions` VALUES (63858, 1599, 17, 'Καταθλιπτικό');
INSERT INTO `lang_definitions` VALUES (63859, 1600, 17, 'Κατάθλιψη');
INSERT INTO `lang_definitions` VALUES (63860, 1602, 17, 'Περιγραφή');
INSERT INTO `lang_definitions` VALUES (63861, 1603, 17, 'περιγραφή');
INSERT INTO `lang_definitions` VALUES (63862, 1605, 17, 'Περιγραφή της γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (63863, 1606, 17, 'Περιγραφή αυτής της διαδικασίας ή του κωδικού αποτελέσματος');
INSERT INTO `lang_definitions` VALUES (63864, 1607, 17, 'Μετάφραση περιγραφής');
INSERT INTO `lang_definitions` VALUES (63865, 1609, 17, 'Προορισμός');
INSERT INTO `lang_definitions` VALUES (63866, 1610, 17, 'Όνομα αρχείου προορισμού');
INSERT INTO `lang_definitions` VALUES (63867, 1611, 17, 'Απόσυρση παρτίδας');
INSERT INTO `lang_definitions` VALUES (63868, 1612, 17, 'Καταστροφή...');
INSERT INTO `lang_definitions` VALUES (63869, 1613, 17, 'Απεσύρθη');
INSERT INTO `lang_definitions` VALUES (63870, 1614, 17, 'Απόσυρση φαρμάκων');
INSERT INTO `lang_definitions` VALUES (63871, 1615, 17, 'Αναφορά απόσυρσης φαρμάκων');
INSERT INTO `lang_definitions` VALUES (63872, 1616, 17, 'Λεπτομέρεια');
INSERT INTO `lang_definitions` VALUES (63873, 1617, 17, 'Λεπτομέρειες');
INSERT INTO `lang_definitions` VALUES (63874, 1619, 17, 'Αναπτυξιακή ανωμαλία');
INSERT INTO `lang_definitions` VALUES (63875, 1620, 17, 'Διαβήτης');
INSERT INTO `lang_definitions` VALUES (63876, 1621, 17, 'Σακχαρώδης Διαβήτης');
INSERT INTO `lang_definitions` VALUES (63877, 1622, 17, 'Διαβήτης: Ρύθμιση Αρτηριακής Πίεσης (CQM)');
INSERT INTO `lang_definitions` VALUES (63878, 1623, 17, 'Διαβήτης: Οφθαλμολογικός Έλεγχος');
INSERT INTO `lang_definitions` VALUES (63879, 1624, 17, 'Διαβήτης: Οφθαλμολογικός Έλεγχος (CQM)');
INSERT INTO `lang_definitions` VALUES (63880, 1625, 17, 'Διαβήτης: Εξέταση Ποδιών');
INSERT INTO `lang_definitions` VALUES (63881, 1626, 17, 'Διαβήτης: Εξέταση Ποδιών (CQM)');
INSERT INTO `lang_definitions` VALUES (63882, 1627, 17, 'Διαβήτης: Ελλιπής Έλεγχος HbA1c (CQM)');
INSERT INTO `lang_definitions` VALUES (63883, 1628, 17, 'Διαβήτης: Αιμοσφαιρίνη A1C');
INSERT INTO `lang_definitions` VALUES (63884, 1629, 17, 'Διαβήτης: Ρύθμιση και Έλεγχος LDL');
INSERT INTO `lang_definitions` VALUES (63885, 1630, 17, 'Διαβήτης: Μικροαλβουμινουρία');
INSERT INTO `lang_definitions` VALUES (63886, 1631, 17, 'Διαγν');
INSERT INTO `lang_definitions` VALUES (63887, 1632, 17, 'Διαγνώσεις');
INSERT INTO `lang_definitions` VALUES (63888, 1633, 17, 'Διάγνωση');
INSERT INTO `lang_definitions` VALUES (63889, 1634, 17, 'Κωδικός Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (63890, 1636, 17, 'Ημερομ. Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (63891, 1637, 17, 'Η διάγνωση πρέπει να κωδικοποιηθεί στα πλαίσια μιας συνδεδεμένης επίσκεψης');
INSERT INTO `lang_definitions` VALUES (63892, 1638, 17, 'Όνομα Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (63893, 1639, 17, 'Αναφορά Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (63894, 1640, 17, 'Έκθεση για την διάγνωση');
INSERT INTO `lang_definitions` VALUES (63895, 1641, 17, 'Μόνο δημιουργία έκθεσης για τη διάγνωση');
INSERT INTO `lang_definitions` VALUES (63896, 1642, 17, 'Τίτλος Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (63897, 1643, 17, 'Διάγνωση:');
INSERT INTO `lang_definitions` VALUES (63898, 1644, 17, 'Διάγνωση: ');
INSERT INTO `lang_definitions` VALUES (63899, 1645, 17, 'Διαγνωστικοί έλεγχοι:');
INSERT INTO `lang_definitions` VALUES (63900, 1646, 17, 'Καλεί');
INSERT INTO `lang_definitions` VALUES (63901, 1647, 17, 'Διαφράγματα / Τραχηλικά Caps');
INSERT INTO `lang_definitions` VALUES (63902, 1648, 17, 'Διάρροια');
INSERT INTO `lang_definitions` VALUES (63903, 1650, 17, 'Υπαγόρευση');
INSERT INTO `lang_definitions` VALUES (63904, 1651, 17, 'Υπαγόρευση: ');
INSERT INTO `lang_definitions` VALUES (63905, 1652, 17, 'Λάβατε το αντίγραφο της αίτησης χορήγησης ιατρικών δεδομένων;');
INSERT INTO `lang_definitions` VALUES (63906, 1653, 17, 'Διάχυτο:');
INSERT INTO `lang_definitions` VALUES (63907, 1654, 17, 'Ψηφιακά υπογεγραμμένο');
INSERT INTO `lang_definitions` VALUES (63908, 1657, 17, 'Άμεσο Ταχυδρομείο');
INSERT INTO `lang_definitions` VALUES (63909, 1658, 17, 'Log Άμεσου Ταχυδρομείου');
INSERT INTO `lang_definitions` VALUES (63910, 1659, 17, 'Ελήφθη άμεσο μήνυμα.');
INSERT INTO `lang_definitions` VALUES (63911, 1660, 17, 'Το σύστημα άμεσων μηνυμάτων δεν είναι τρεχόντως διαθέσιμο');
INSERT INTO `lang_definitions` VALUES (63912, 1661, 17, 'Όνομα Διευθυντού');
INSERT INTO `lang_definitions` VALUES (63913, 1663, 17, 'Όνομα Διευθυντού');
INSERT INTO `lang_definitions` VALUES (63914, 1664, 17, 'Απέτυχε η διαγραφή καταλόγου. Συνεχίζεται...');
INSERT INTO `lang_definitions` VALUES (63915, 1665, 17, 'Αναπηρία');
INSERT INTO `lang_definitions` VALUES (63916, 1667, 17, 'Απενεργοπ. Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (63917, 1668, 17, 'Απενεργοπ. ευρετηρίου φακέλων');
INSERT INTO `lang_definitions` VALUES (63918, 1669, 17, 'Απενεργοπ. Εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (63919, 1670, 17, 'Απενεργοπ. Εντύπου παλαιών μετρικών τιμών Ζωτικών');
INSERT INTO `lang_definitions` VALUES (63920, 1672, 17, 'Απενεργοπ. phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (63921, 1673, 17, 'Απενεργοπ. Συνταγών');
INSERT INTO `lang_definitions` VALUES (63922, 1674, 17, 'Απενεργοπ. Ομάδων Χρηστών');
INSERT INTO `lang_definitions` VALUES (63923, 1675, 17, 'απενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (63924, 1676, 17, 'Aπενεργοποιημένο');
INSERT INTO `lang_definitions` VALUES (63925, 1678, 17, 'Εκπτωτική Κάρτα');
INSERT INTO `lang_definitions` VALUES (63926, 1681, 17, 'Έκκριμα');
INSERT INTO `lang_definitions` VALUES (63927, 1682, 17, 'Έκκριμα από την ουρήθρα');
INSERT INTO `lang_definitions` VALUES (63928, 1684, 17, 'Απαλλαγή από δικαιώματα');
INSERT INTO `lang_definitions` VALUES (63929, 1685, 17, 'Απαλλαγή από δικαιώματα:');
INSERT INTO `lang_definitions` VALUES (63930, 1689, 17, 'Πληροφορίες Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (63931, 1690, 17, 'Τύπος Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (63932, 1691, 17, 'Τύποι Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (63933, 1692, 17, 'Γνωστοποιήσεις');
INSERT INTO `lang_definitions` VALUES (63934, 1694, 17, 'Έκπτωση');
INSERT INTO `lang_definitions` VALUES (63935, 1695, 17, 'Ποσό έκπτωσης');
INSERT INTO `lang_definitions` VALUES (63936, 1696, 17, 'Επίπεδο έκπτωσης');
INSERT INTO `lang_definitions` VALUES (63937, 1697, 17, 'Ποσοστό Εκπτωσης');
INSERT INTO `lang_definitions` VALUES (63938, 1698, 17, 'Εκπτώσεις σε ποσότητα νομίσματος');
INSERT INTO `lang_definitions` VALUES (63939, 1699, 17, 'Οι εκπτώσεις την ώρα της αποχώρησης εισάγονται σε ποσά χρήματος, σε αντίθεση με το ποσοστό.');
INSERT INTO `lang_definitions` VALUES (63940, 1700, 17, 'Διακριτό Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (63941, 1701, 17, 'Νόσος');
INSERT INTO `lang_definitions` VALUES (63942, 1702, 17, 'Εξάρθρωμα');
INSERT INTO `lang_definitions` VALUES (63943, 1703, 17, 'Αριθ.αποστ');
INSERT INTO `lang_definitions` VALUES (63944, 1704, 17, 'Αποστολή');
INSERT INTO `lang_definitions` VALUES (63945, 1705, 17, 'Έγγραφό λήψης αποστολής');
INSERT INTO `lang_definitions` VALUES (63946, 1706, 17, 'Χορηγείται');
INSERT INTO `lang_definitions` VALUES (63947, 1707, 17, 'Εμφάνιση προκαταβολικών οδηγιών στη σελίδα δημογραφικών.');
INSERT INTO `lang_definitions` VALUES (63948, 1709, 17, 'Εμφάνιση ημερομ. συμβάντων στο block;');
INSERT INTO `lang_definitions` VALUES (63949, 1710, 17, 'Μορφή εμφάνισης για Βάρη US');
INSERT INTO `lang_definitions` VALUES (63950, 1711, 17, 'Πόσα συμβάντα να εμφανιστούν;');
INSERT INTO `lang_definitions` VALUES (63951, 1713, 17, 'Εμφάνιση θέσης στο block;');
INSERT INTO `lang_definitions` VALUES (63952, 1714, 17, 'Εμφάνιση Ονόματος');
INSERT INTO `lang_definitions` VALUES (63953, 1715, 17, 'Εμφάνιση ημερολογίου;');
INSERT INTO `lang_definitions` VALUES (63954, 1718, 17, 'Εμφάνιση σημερινών συμβάντων στο block;');
INSERT INTO `lang_definitions` VALUES (63955, 1719, 17, 'Εμφάνιση συμβάντος σε block;');
INSERT INTO `lang_definitions` VALUES (63956, 1720, 17, 'Εμφάνιση επερχόμενων συμβάντων στο block;');
INSERT INTO `lang_definitions` VALUES (63957, 1721, 17, 'Εμφανιζόμενες Στήλες');
INSERT INTO `lang_definitions` VALUES (63958, 1722, 17, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων γνωστοποιήσεων:');
INSERT INTO `lang_definitions` VALUES (63959, 1723, 17, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων σημειώσεων');
INSERT INTO `lang_definitions` VALUES (63960, 1724, 17, 'Εμφάνιση του ακόλουθου αριθμού των πιο πρόσφατων σημειώσεων:');
INSERT INTO `lang_definitions` VALUES (63961, 1725, 17, 'Κατανομή');
INSERT INTO `lang_definitions` VALUES (63962, 1726, 17, 'Κατανομές');
INSERT INTO `lang_definitions` VALUES (63963, 1727, 17, 'Διανομέας');
INSERT INTO `lang_definitions` VALUES (63964, 1729, 17, 'Εκκολπωματίτιδα');
INSERT INTO `lang_definitions` VALUES (63965, 1730, 17, 'Εγχείριση εκκολπωματίτιδας');
INSERT INTO `lang_definitions` VALUES (63966, 1731, 17, 'Εκκολπωματίτιδα');
INSERT INTO `lang_definitions` VALUES (63967, 1732, 17, 'Εγχείριση εκκολπωματίτιδας');
INSERT INTO `lang_definitions` VALUES (63968, 1733, 17, 'Διεζευγμένος/η');
INSERT INTO `lang_definitions` VALUES (63969, 1734, 17, 'Ζάλη:');
INSERT INTO `lang_definitions` VALUES (63970, 1735, 17, 'Μη το τροποποιήσετε');
INSERT INTO `lang_definitions` VALUES (63971, 1742, 17, 'Να μην εμφανίζεται το ημερολόγιο.');
INSERT INTO `lang_definitions` VALUES (63972, 1744, 17, 'Μην κάνετε απογραφή ούτε πώληση οποιωνδήποτε προϊόντων');
INSERT INTO `lang_definitions` VALUES (63973, 1745, 17, 'Μην απαιτείτε εξουσιοδότηση για τις σημειώσεις ασθενούς');
INSERT INTO `lang_definitions` VALUES (63974, 1746, 17, 'Εντολή για Μη Ανάνηψη');
INSERT INTO `lang_definitions` VALUES (63975, 1747, 17, 'να μην αποθηκευθεί');
INSERT INTO `lang_definitions` VALUES (63976, 1748, 17, 'να μην υποκατασταθεί');
INSERT INTO `lang_definitions` VALUES (63977, 1749, 17, 'καμία ενέργεια');
INSERT INTO `lang_definitions` VALUES (63978, 1751, 17, 'Θέλετε πραγματικά να διαγραφεί η επιλογή');
INSERT INTO `lang_definitions` VALUES (63979, 1752, 17, 'Θέλετε πραγματικά να διαγραφεί η επιλογή;');
INSERT INTO `lang_definitions` VALUES (63980, 1753, 17, 'Θέλετε πραγματικά να διαγραφεί αυτή η ομάδα');
INSERT INTO `lang_definitions` VALUES (63981, 1755, 17, 'Επιθυμείτε να συνεχίσετε;');
INSERT INTO `lang_definitions` VALUES (63982, 1756, 17, 'Επιθυμείτε να το διαγράψετε;');
INSERT INTO `lang_definitions` VALUES (63983, 1757, 17, 'Επιθυμείτε να διαγράψετε;');
INSERT INTO `lang_definitions` VALUES (63984, 1758, 17, 'Επιθυμείτε να αφαιρέσετε αυτήν την εγγραφή;');
INSERT INTO `lang_definitions` VALUES (63985, 1759, 17, 'Επιθυμείτε να συνεχίσετε την προσθήκη του νέου ασθενούς;');
INSERT INTO `lang_definitions` VALUES (63986, 1760, 17, 'Επιθυμείτε να συνεχίσετε με το νέο όνομα;');
INSERT INTO `lang_definitions` VALUES (63987, 1761, 17, 'Είστε σίγουροι ότι θέλετε να διαγραφεί ΜΟΝΙΜΑ αυτή η καταχώρηση εμβολιασμού;');
INSERT INTO `lang_definitions` VALUES (63988, 1762, 17, 'Ημερ. Γενν.');
INSERT INTO `lang_definitions` VALUES (63989, 1763, 17, 'Λείπει η Ημερ. Γενν. Αν μπορείτε εισάγετέ την');
INSERT INTO `lang_definitions` VALUES (63990, 1764, 17, 'Έγγραφα');
INSERT INTO `lang_definitions` VALUES (63991, 1765, 17, 'Ιατρός');
INSERT INTO `lang_definitions` VALUES (63992, 1766, 17, 'Ιατρός:');
INSERT INTO `lang_definitions` VALUES (63993, 1767, 17, 'Όνομα και Υπογραφή Ιατρού');
INSERT INTO `lang_definitions` VALUES (63994, 1768, 17, 'Έγγραφο');
INSERT INTO `lang_definitions` VALUES (63995, 1769, 17, 'εγγραφο');
INSERT INTO `lang_definitions` VALUES (63996, 1770, 17, 'Κατηγορίες Εγγράφων');
INSERT INTO `lang_definitions` VALUES (63997, 1775, 17, 'Το εγγραφο δεν μπορει να μεταφερθει στον κωδικό ασθενούς');
INSERT INTO `lang_definitions` VALUES (63998, 1777, 17, 'Ημερομ. εγγράφου');
INSERT INTO `lang_definitions` VALUES (63999, 1778, 17, 'Η ημερομηνία και το θέμα του εγγράφου ενημερώθηκαν επιτυχώς');
INSERT INTO `lang_definitions` VALUES (64000, 1779, 17, 'ID Εγγράφου');
INSERT INTO `lang_definitions` VALUES (64001, 1780, 17, 'Το έγγραφο μεταφέρθηκε σε νέα κατηγορία');
INSERT INTO `lang_definitions` VALUES (64002, 1781, 17, 'Το έγγραφο μεταφέρθηκε στον κωδικό ασθενούς');
INSERT INTO `lang_definitions` VALUES (64003, 1783, 17, 'Το αρχείο πέρασε το τεστ ακεραιότητας.');
INSERT INTO `lang_definitions` VALUES (64004, 1784, 17, 'Μέθοδος αποθήκευσης εγγράφων');
INSERT INTO `lang_definitions` VALUES (64005, 1785, 17, 'Το αρχείο μετονομάσθηκε επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (64006, 1790, 17, 'Αποθήκ. Εγγράφου/ Εικόνας');
INSERT INTO `lang_definitions` VALUES (64007, 1791, 17, 'Έγγραφα');
INSERT INTO `lang_definitions` VALUES (64008, 1792, 17, 'Έγγραφα (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (64009, 1794, 17, 'Ημερομ. Εισαγ.');
INSERT INTO `lang_definitions` VALUES (64010, 1797, 17, 'δεν μοιάζει να είνα έγκυρο');
INSERT INTO `lang_definitions` VALUES (64011, 1798, 17, 'Αυτός ο τύπος επιτρέπει σχετικούς κωδικούς;');
INSERT INTO `lang_definitions` VALUES (64012, 1799, 17, 'Συζεί');
INSERT INTO `lang_definitions` VALUES (64013, 1800, 17, 'Να μην αποθηκευθεί');
INSERT INTO `lang_definitions` VALUES (64014, 1801, 17, 'Να μην αποθηκευθεί');
INSERT INTO `lang_definitions` VALUES (64015, 1802, 17, 'Να μην αποθηκευθούν οι αλλαγές');
INSERT INTO `lang_definitions` VALUES (64016, 1803, 17, 'Έγινε');
INSERT INTO `lang_definitions` VALUES (64017, 1804, 17, 'Έγινε με:');
INSERT INTO `lang_definitions` VALUES (64018, 1805, 17, 'Έγινε. Θα σταλεί τώρα το download.');
INSERT INTO `lang_definitions` VALUES (64019, 1806, 17, 'Ημερομ. Εξέτασης');
INSERT INTO `lang_definitions` VALUES (64020, 1807, 17, 'Δοσολογία');
INSERT INTO `lang_definitions` VALUES (64021, 1809, 17, 'Κάντε διπλό κλικ για επεξεργασία');
INSERT INTO `lang_definitions` VALUES (64022, 1810, 17, 'Διπλωπία');
INSERT INTO `lang_definitions` VALUES (64023, 1811, 17, 'Κατέβασμα');
INSERT INTO `lang_definitions` VALUES (64024, 1814, 17, 'Κατέβασμα οπωσδήποτε');
INSERT INTO `lang_definitions` VALUES (64025, 1815, 17, 'Κατεβάστε το αρχείο χρέωσης, στείλτε το στο λογιστήριο και σημειώστε το ως χρεωθέν');
INSERT INTO `lang_definitions` VALUES (64026, 1817, 17, 'Κατέβασμα Πιστοποιητικών');
INSERT INTO `lang_definitions` VALUES (64027, 1818, 17, 'Κατέβασμα δεδομένων ρύθμισης');
INSERT INTO `lang_definitions` VALUES (64028, 1820, 17, 'κατέβασμα κρυπτογρφημένου αρχείου');
INSERT INTO `lang_definitions` VALUES (64029, 1825, 17, 'Μεταφόρτωση PDF');
INSERT INTO `lang_definitions` VALUES (64030, 1827, 17, 'Κατέβασμα επιλεγμένων καταστάσεων');
INSERT INTO `lang_definitions` VALUES (64031, 1828, 17, 'Ιατρ. Έλεγχος');
INSERT INTO `lang_definitions` VALUES (64032, 1829, 17, 'Ιατρ. Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (64033, 1830, 17, 'Δρ.');
INSERT INTO `lang_definitions` VALUES (64034, 1831, 17, 'Σύρετε για να μετακινήσετε');
INSERT INTO `lang_definitions` VALUES (64035, 1832, 17, 'Ακούσια σιελόρροια');
INSERT INTO `lang_definitions` VALUES (64036, 1833, 17, 'Άδεια Οδήγησης ή Α.Δ. Ταυτότητος');
INSERT INTO `lang_definitions` VALUES (64037, 1834, 17, 'Φάρμακο');
INSERT INTO `lang_definitions` VALUES (64038, 1835, 17, 'Ευρετήριο φαρμάκων');
INSERT INTO `lang_definitions` VALUES (64039, 1836, 17, 'Τύποι φαρμάκου');
INSERT INTO `lang_definitions` VALUES (64040, 1837, 17, 'Λείπει ο κωδικός αναγνώρισης φαρμάκου!');
INSERT INTO `lang_definitions` VALUES (64041, 1838, 17, 'Διαστήματα δόσεων');
INSERT INTO `lang_definitions` VALUES (64042, 1839, 17, 'Απογραφή φαρμάκων');
INSERT INTO `lang_definitions` VALUES (64043, 1840, 17, 'Όνομα φαρμάκου');
INSERT INTO `lang_definitions` VALUES (64044, 1841, 17, 'Οδοί χορήγησης');
INSERT INTO `lang_definitions` VALUES (64045, 1845, 17, 'Μονάδες φαρμάκου');
INSERT INTO `lang_definitions` VALUES (64046, 1846, 17, 'Φάρμακα');
INSERT INTO `lang_definitions` VALUES (64047, 1847, 17, 'Φάρμακα και Προϊόντα');
INSERT INTO `lang_definitions` VALUES (64048, 1848, 17, 'Ξηροστομία');
INSERT INTO `lang_definitions` VALUES (64049, 1849, 17, 'Διάγνωση DSMIV');
INSERT INTO `lang_definitions` VALUES (64050, 1850, 17, 'DT 1');
INSERT INTO `lang_definitions` VALUES (64051, 1851, 17, 'DT 2');
INSERT INTO `lang_definitions` VALUES (64052, 1852, 17, 'DT 3');
INSERT INTO `lang_definitions` VALUES (64053, 1853, 17, 'DT 4');
INSERT INTO `lang_definitions` VALUES (64054, 1854, 17, 'DT 5');
INSERT INTO `lang_definitions` VALUES (64055, 1855, 17, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (64056, 1856, 17, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (64057, 1857, 17, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (64058, 1858, 17, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (64059, 1859, 17, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (64060, 1860, 17, 'Προβλέπεται να γίνει');
INSERT INTO `lang_definitions` VALUES (64061, 1861, 17, 'Ημερομ. κατά την οποία αναμένεται');
INSERT INTO `lang_definitions` VALUES (64062, 1862, 17, 'Ημερομ. κατά την οποία προβλέπεται μμ/ηη/εεε ή εεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (64063, 1863, 17, 'Ημερομ. κατά την οποία προβλέπεται:');
INSERT INTO `lang_definitions` VALUES (64064, 1864, 17, 'Ημερομ. για την Ασφάλεια');
INSERT INTO `lang_definitions` VALUES (64065, 1865, 17, 'Αναμενόμ. ασθενής');
INSERT INTO `lang_definitions` VALUES (64066, 1866, 17, 'Αναμένεται σύντομα');
INSERT INTO `lang_definitions` VALUES (64067, 1867, 17, 'Αναμενόμενη κατάσταση');
INSERT INTO `lang_definitions` VALUES (64068, 1868, 17, 'Ενημέρωση της αναμενόμενης κατάστασης');
INSERT INTO `lang_definitions` VALUES (64069, 1869, 17, 'Καταγραφή της βάσης δεδομένων LibreEHR');
INSERT INTO `lang_definitions` VALUES (64070, 1870, 17, 'Καταγραφή του φακέλου LibreEHR web με μορφή δένδρου');
INSERT INTO `lang_definitions` VALUES (64071, 1871, 17, 'Καταγραφή της βάσης δεδομένων phpGACL');
INSERT INTO `lang_definitions` VALUES (64072, 1872, 17, 'Καταγραφή του φακέλου web με μορφή δένδρου phpGACL');
INSERT INTO `lang_definitions` VALUES (64073, 1873, 17, 'Καταγραφή της βάσης δεδομένων SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (64074, 1874, 17, 'Καταγραφή του φακέλου web με μορφή δένδρου SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (64075, 1875, 17, 'Ελεγχος διπλών καταγραφών');
INSERT INTO `lang_definitions` VALUES (64076, 1876, 17, 'Διπλοκαταχώρηση Κωδικού Ταυτοποίησης on line');
INSERT INTO `lang_definitions` VALUES (64077, 1877, 17, 'Διπλοκαταχωρημένο Όνομα on line');
INSERT INTO `lang_definitions` VALUES (64078, 1878, 17, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ ΔΙΠΛΗΣ ΚΑΤΑΧΩΡΗΣΗΣ');
INSERT INTO `lang_definitions` VALUES (64079, 1879, 17, 'Πληρεξούσιο δικηγόρου');
INSERT INTO `lang_definitions` VALUES (64080, 1880, 17, 'διάρκεια');
INSERT INTO `lang_definitions` VALUES (64081, 1881, 17, 'Διάρκεια');
INSERT INTO `lang_definitions` VALUES (64082, 1882, 17, 'Ολλανδικά');
INSERT INTO `lang_definitions` VALUES (64083, 1884, 17, 'Δυσφαγία');
INSERT INTO `lang_definitions` VALUES (64084, 1885, 17, 'Δύσπνοια:');
INSERT INTO `lang_definitions` VALUES (64085, 1886, 17, 'Δυσουρία');
INSERT INTO `lang_definitions` VALUES (64086, 1888, 17, 'Ηλ. Συνταγογράφηση;');
INSERT INTO `lang_definitions` VALUES (64087, 1889, 17, 'e-Αναφορές');
INSERT INTO `lang_definitions` VALUES (64088, 1890, 17, 'Ηλεκτρ. Συνταγή');
INSERT INTO `lang_definitions` VALUES (64089, 1892, 17, 'Ανανέωση Ηλεκτρ. Συνταγής');
INSERT INTO `lang_definitions` VALUES (64090, 1893, 17, 'Ο κάθε αποδέκτης πρέπει να βλέπει τα δικά του μηνύματα όταν ολοκληρώσει.');
INSERT INTO `lang_definitions` VALUES (64091, 1894, 17, 'Πρώιμη υποτροπή (<2 μήνες)');
INSERT INTO `lang_definitions` VALUES (64092, 1895, 17, 'Ώτα');
INSERT INTO `lang_definitions` VALUES (64093, 1896, 17, 'ΗΚΓ');
INSERT INTO `lang_definitions` VALUES (64094, 1897, 17, 'eΑιτήματα');
INSERT INTO `lang_definitions` VALUES (64095, 1898, 17, 'Οίδημα');
INSERT INTO `lang_definitions` VALUES (64096, 1904, 17, 'Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (64097, 1905, 17, 'επεξεργασία');
INSERT INTO `lang_definitions` VALUES (64098, 1906, 17, 'Επεξεργ. Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (64099, 1907, 17, 'Επεξεργ. Κατηγοριών');
INSERT INTO `lang_definitions` VALUES (64100, 1908, 17, 'Επεξεργ. Ορισμών');
INSERT INTO `lang_definitions` VALUES (64101, 1909, 17, 'Επεξεργ. ορισμών');
INSERT INTO `lang_definitions` VALUES (64102, 1910, 17, 'Επεξεργ. Διαγνώσεων για');
INSERT INTO `lang_definitions` VALUES (64103, 1911, 17, 'Επεξεργ. γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (64104, 1912, 17, 'Επεξεργ. Εδρών');
INSERT INTO `lang_definitions` VALUES (64105, 1913, 17, 'Επεξεργ. Έδρας');
INSERT INTO `lang_definitions` VALUES (64106, 1914, 17, 'Επεξεργ. Πληροφοριών Έδρας');
INSERT INTO `lang_definitions` VALUES (64107, 1915, 17, 'Επεξεργασία πληροφοριών χρήστη ειδικά για κάποια από τις Έδρες');
INSERT INTO `lang_definitions` VALUES (64108, 1916, 17, 'Επεξεργ. αρχείου στο');
INSERT INTO `lang_definitions` VALUES (64109, 1917, 17, 'Επεξεργ. εντύπου');
INSERT INTO `lang_definitions` VALUES (64110, 1918, 17, 'Επεξεργ. Γενικών Ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (64111, 1919, 17, 'Μη εξουσιοδοτημένη επεξεργασία!');
INSERT INTO `lang_definitions` VALUES (64112, 1920, 17, 'Επεξεργ. εμφάνισης');
INSERT INTO `lang_definitions` VALUES (64113, 1921, 17, 'Επεξεργ. λίστας');
INSERT INTO `lang_definitions` VALUES (64114, 1922, 17, 'Επεξεργ. Πληρωμής');
INSERT INTO `lang_definitions` VALUES (64115, 1923, 17, 'Επεξεργ. Δομής');
INSERT INTO `lang_definitions` VALUES (64116, 1924, 17, 'Επεξεργ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (64117, 1925, 17, 'Επεξ. Ρυθμ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (64118, 1928, 17, 'Εκπαίδευση');
INSERT INTO `lang_definitions` VALUES (64119, 1929, 17, 'Ημερομ. εκπαίδευσης');
INSERT INTO `lang_definitions` VALUES (64120, 1931, 17, 'Αυτό το πρόγραμμα είναι ελεύθερο λογισμικό: Μπορείτε να το αναδιανείμετε και/ή να το τροποποιήσετε σύμφωνα με τους όρους της Γενικής Δημόσιας Άδειας Χρήσης GNU (GNU General Public License), όπως αυτοί δημοσιεύονται από το Ίδρυμα Ελεύθερου Λογισμικού (Free Software Foundation), είτε της έκδοσης 3 της Άδειας ή (κατά την επιλογή σας) οποιαδήποτε μεταγενέστερης έκδοσης. Αυτό το πρόγραμμα διανέμεται με την ελπίδα ότι θα είναι χρήσιμο, αλλά ΧΩΡΙΣ ΟΠΟΙΑΔΗΠΟΤΕ ΕΓΓΥΗΣΗ, ακόμα και χωρίς την υπονοούμενη εγγύηση της ΕΜΠΟΡΕΥΣΙΜΟΤΗΤΑΣ ή ΚΑΤΑΛΛΗΛΟΤΗΤΑΣ ΓΙΑ ΣΥΓΚΕΚΡΙΜΕΝΟ ΣΚΟΠΟ. Δείτε την Γενική Δημόσια Άδεια Χρήσης GNU για περισσότερες λεπτομέρειες. Πρέπει να έχετε λάβει ένα αντίγραφο της Γενικής Δημόσιας Άδειας Χρήσης GNU μαζί με αυτό το πρόγραμμα. Αν δεν έχετε λάβει ένα αντίγραφο, τότε δείτε στο <http://www.gnu.org/licenses/>. ');
INSERT INTO `lang_definitions` VALUES (64121, 1932, 17, 'Ενεργός ημερομηνία');
INSERT INTO `lang_definitions` VALUES (64122, 1934, 17, 'Αποτελεσματικότητα');
INSERT INTO `lang_definitions` VALUES (64123, 1935, 17, 'Κωδικός Αριθμός Εργαζόμενου/Εργοδότη');
INSERT INTO `lang_definitions` VALUES (64124, 1936, 17, 'Εκσπερματώσεις');
INSERT INTO `lang_definitions` VALUES (64125, 1937, 17, 'Αγκώνας');
INSERT INTO `lang_definitions` VALUES (64126, 1938, 17, 'Προβλήμ. αγκώνος');
INSERT INTO `lang_definitions` VALUES (64127, 1939, 17, 'Ηλεκτρονικός');
INSERT INTO `lang_definitions` VALUES (64128, 1942, 17, 'Ηλεκτρον. εμβάσματα');
INSERT INTO `lang_definitions` VALUES (64129, 1943, 17, 'Ηλεκτρον. αναφορές');
INSERT INTO `lang_definitions` VALUES (64130, 1944, 17, 'Αρμοδιότητα');
INSERT INTO `lang_definitions` VALUES (64131, 1946, 17, 'Απάντηση αρμοδιότητας');
INSERT INTO `lang_definitions` VALUES (64132, 1948, 17, 'Επιλέξιμος');
INSERT INTO `lang_definitions` VALUES (64133, 1949, 17, 'E-mail');
INSERT INTO `lang_definitions` VALUES (64134, 1951, 17, 'Διεύθυνση E-mail');
INSERT INTO `lang_definitions` VALUES (64135, 1953, 17, 'Διεύθυνση e-mail του αποστολέα, για υπενθυμίσεις προς τους ασθενείς. Απαντήσεις στις υπενθυμίσεις προς τους ασθενείς θα απευθύνονται σε αυτήν τη διεύθυνση. Είναι σημαντικό να χρησιμοποιείται μια διεύθυνση από το domain της κλινικής σας, για να μην καταλήγουν οι υπενθυμίσεις προς τους ασθενείς στο φάκελο ανεπιθύμητων μηνυμάτων.');
INSERT INTO `lang_definitions` VALUES (64136, 1954, 17, 'Διεύθυνση e-mail (αν υπάρχει) για λήψη διοικητικών ειδοποιήσεων.');
INSERT INTO `lang_definitions` VALUES (64137, 1955, 17, 'Διεύθυνση e-mail (αν υπάρχει) για λήψη μυνημάτων επείγουσας ενεργοποίησης σύνδεσης χρήστη');
INSERT INTO `lang_definitions` VALUES (64138, 1956, 17, 'Εξουσιοδ E-mail');
INSERT INTO `lang_definitions` VALUES (64139, 1957, 17, 'E-mail από δέσμη ενεργειών');
INSERT INTO `lang_definitions` VALUES (64140, 1958, 17, 'Ειδοποίηση e-mail');
INSERT INTO `lang_definitions` VALUES (64141, 1959, 17, 'Ωρες ειδοποίησης με e-mail');
INSERT INTO `lang_definitions` VALUES (64142, 1960, 17, 'Αναφορά ειδοποιήσεων με e-mail');
INSERT INTO `lang_definitions` VALUES (64143, 1961, 17, 'Το e-mail να σταλεί πριν από');
INSERT INTO `lang_definitions` VALUES (64144, 1962, 17, 'Αποστολέας e-mail');
INSERT INTO `lang_definitions` VALUES (64145, 1963, 17, 'Το e-mail εστάλη');
INSERT INTO `lang_definitions` VALUES (64146, 1964, 17, 'Το e-mail εστάλη στον/στην');
INSERT INTO `lang_definitions` VALUES (64147, 1965, 17, 'Θέμα e-mail');
INSERT INTO `lang_definitions` VALUES (64148, 1966, 17, 'Κείμενο e-mail, χρησιμοποιήσιμη Ετικέτα: ***ΟΝΟΜΑ*** , π.χ. Αγαπητέ/ή ***ΟΝΟΜΑ***');
INSERT INTO `lang_definitions` VALUES (64149, 1967, 17, 'Κείμενο e-mail, χρησιμοποιήσιμη Ετικέτα: ***ΟΝΟΜΑ*** , π.χ. Αγαπητέ/ή ***ΟΝΟΜΑ***{{Μη μεταφράζετε τα στοιχεία στο ***ΟΝΟΜΑ*** αυτής της σταθεράς.}}');
INSERT INTO `lang_definitions` VALUES (64150, 1968, 17, 'Μέθοδος μεταφοράς e-mail');
INSERT INTO `lang_definitions` VALUES (64151, 1969, 17, 'Το e-mail εστάλη στην ακόλουθη διεύθυνση');
INSERT INTO `lang_definitions` VALUES (64152, 1971, 17, 'Επαφή έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (64153, 1972, 17, 'Άτομο επικοινωνίας έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (64154, 1973, 17, 'Τηλέφωνο επικοινωνίας έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (64155, 1974, 17, 'Επείγουσα αντισύλληψη');
INSERT INTO `lang_definitions` VALUES (64156, 1975, 17, 'Επείγουσα σύνδεση');
INSERT INTO `lang_definitions` VALUES (64157, 1976, 17, 'Επιλέχθηκε η Επείγουσα σύνδεση ACL. Ο χρήστης είναι ακόμα σε ενεργό κατάσταση. Παρακαλώ απενεργοποιήστε το χρήστη και ενεργοποιήστε τον πάλι, εφόσον απαιτείται, σε επείγουσες καταστάσεις. Επισκεφθείτε το Διαχείριση->Χρήστες για ενεργοποίηση, ή απενεργοποίηση.');
INSERT INTO `lang_definitions` VALUES (64158, 1977, 17, 'Το e-mail ενεργοποίησης Επείγουσας Σύνδεσης θα διανεμηθεί μόνο εάν έχουν γίνει οι παρακάτω ρυθμίσεις στο αρχείο interface/globals.php:');
INSERT INTO `lang_definitions` VALUES (64159, 1978, 17, 'Διεύθυνση e-mail επείγουσας σύνδεσης');
INSERT INTO `lang_definitions` VALUES (64160, 1979, 17, 'Ο χρήστης Επείγουσας Σύνδεσης μπορεί να κάνει ο,τιδήποτε');
INSERT INTO `lang_definitions` VALUES (64161, 1980, 17, 'Τηλέφωνο έκτακτης ανάγκης');
INSERT INTO `lang_definitions` VALUES (64162, 1981, 17, 'Συγκινησιακές/ Συμπεριφορικές Καταστάσεις & Επιπλοκές');
INSERT INTO `lang_definitions` VALUES (64163, 1982, 17, 'Εμφύσημα');
INSERT INTO `lang_definitions` VALUES (64164, 1983, 17, 'Εργαζόμενος');
INSERT INTO `lang_definitions` VALUES (64165, 1984, 17, 'Εργοδότης');
INSERT INTO `lang_definitions` VALUES (64166, 1985, 17, 'Διεύθυνση εργοδότη');
INSERT INTO `lang_definitions` VALUES (64167, 1986, 17, 'Δεδομένα εργοδότη');
INSERT INTO `lang_definitions` VALUES (64168, 1987, 17, 'Όνομα εργοδότη');
INSERT INTO `lang_definitions` VALUES (64169, 1988, 17, 'ΚΕΝΟ');
INSERT INTO `lang_definitions` VALUES (64170, 1989, 17, 'Κενό');
INSERT INTO `lang_definitions` VALUES (64171, 1990, 17, 'Δεν επιτρέπεται κενός κωδικός');
INSERT INTO `lang_definitions` VALUES (64172, 1991, 17, 'Κενή τιμή στο \"Ώρες Email\"');
INSERT INTO `lang_definitions` VALUES (64173, 1992, 17, 'Κενή τιμή στο \"Αποστολέα Email\"');
INSERT INTO `lang_definitions` VALUES (64174, 1993, 17, 'Κενή τιμή στο \"Θέμα Email\"');
INSERT INTO `lang_definitions` VALUES (64175, 1994, 17, 'Κενή τιμή στο \"Κείμενο Email\"');
INSERT INTO `lang_definitions` VALUES (64176, 1995, 17, 'Κενή τιμή στο \"Όνομα του Παρόχου\"');
INSERT INTO `lang_definitions` VALUES (64177, 1996, 17, 'Κενή τιμή στον \"Κωδικό πρόσβασης\"');
INSERT INTO `lang_definitions` VALUES (64178, 1997, 17, 'Κενή τιμή στο \"Ώρες SMS\"');
INSERT INTO `lang_definitions` VALUES (64179, 1998, 17, 'Κενή τιμή στο \"Κείμενο SMS\"');
INSERT INTO `lang_definitions` VALUES (64180, 1999, 17, 'Κενή τιμή στο \"Όνομα Χρήστη\"');
INSERT INTO `lang_definitions` VALUES (64181, 2006, 17, 'Ενεργοποίηση Προτροπής Αυτόματων Υπολογισμών Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (64182, 2008, 17, 'Ενεργοποίηση Αναφοράς Αυτόματων Υπολογισμών Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (64183, 2009, 17, 'Ενεργοποίηση Παρακολούθησης Αυτόματων Υπολογισμών Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (64184, 2015, 17, 'Ενεργοποίηση Αναφοράς Αυτόματων Υπολογισμών Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (64185, 2016, 17, 'Ενεργοποίηση SSL Πελάτη');
INSERT INTO `lang_definitions` VALUES (64186, 2017, 17, 'Ενεργοποίηση Επιβεβαίωσης του πιστοποιητικού SSL Πελάτη');
INSERT INTO `lang_definitions` VALUES (64187, 2019, 17, 'Ενεργοποίηση Κανόνων Κλινικών Αποφάσεων');
INSERT INTO `lang_definitions` VALUES (64188, 2022, 17, 'Ενεργοποίηση Αναφοράς Κλινικών Ποιοτικών Μετρήσεων (CQM)');
INSERT INTO `lang_definitions` VALUES (64189, 2023, 17, 'Ενεργοποίηση Popup Κλινικής Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (64190, 2024, 17, 'Ενεργοποίηση Widget Κλινικής Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (64191, 2027, 17, 'Ενεργοποίηση Αναφοράς Κλινικών Ποιοτικών Μετρήσεων (CQM)');
INSERT INTO `lang_definitions` VALUES (64192, 2030, 17, 'Ενεργοποίηση χρέωσης αμοιβής στο αριστερό μενού');
INSERT INTO `lang_definitions` VALUES (64193, 2031, 17, 'Ενεργοποίηση Υποστήριξης Hylafax');
INSERT INTO `lang_definitions` VALUES (64194, 2037, 17, 'Ενεργοποίηση Ανταλλαγής Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (64195, 2039, 17, 'Ενεργοποίηση αρχείου καταγραφής για μεταφορτώσεις (uploads-downloads) στην CouchDB');
INSERT INTO `lang_definitions` VALUES (64196, 2040, 17, 'Ενεργοποίηση καταγραφής όλων των SQL SELECT ερωτημάτων.');
INSERT INTO `lang_definitions` VALUES (64197, 2041, 17, 'Ενεργοποίηση καταγραφής των δραστηριοτήτων που σχετίζονται με λήψη αντγράφων ασφαλείας');
INSERT INTO `lang_definitions` VALUES (64198, 2043, 17, 'Ενεργοποίηση καταγραφής διαφόρων δραστηριοτήτων.');
INSERT INTO `lang_definitions` VALUES (64199, 2044, 17, 'Ενεργοποίηση καταγραφής του backup δραστηριοτήτων παραγγελιών.');
INSERT INTO `lang_definitions` VALUES (64200, 2045, 17, 'Ενεργοποίηση καταγραφής των τροποποίσεων εγγραφών ασθενών.');
INSERT INTO `lang_definitions` VALUES (64201, 2046, 17, 'Ενεργοποίηση καταγραφής των δραστηριοτήτων προγραμματισμού.');
INSERT INTO `lang_definitions` VALUES (64202, 2047, 17, 'Ενεργοποίηση καταγραφής δραστηριοτήτων ασφαλείας και διεύθυνσης.');
INSERT INTO `lang_definitions` VALUES (64203, 2051, 17, 'Ενεργοποίηση Οffsite Πύλης Ασθενή');
INSERT INTO `lang_definitions` VALUES (64204, 2052, 17, 'Ενεργοποίηση Οffsite Πύλης Ασθενή.');
INSERT INTO `lang_definitions` VALUES (64205, 2053, 17, 'Ενεργοποίηση Οnsite Πύλης Ασθενή');
INSERT INTO `lang_definitions` VALUES (64206, 2055, 17, 'Ενεργοποίηση Οnsite Πύλης Ασθενή.');
INSERT INTO `lang_definitions` VALUES (64207, 2056, 17, 'Ενεργοποίηση Widget Υπενθύμισης Ασθενή');
INSERT INTO `lang_definitions` VALUES (64208, 2058, 17, 'Ενεργοποίηση Προτροπής Δεδομένων Αυτόματων Υπολογισμών Μετρήσεων');
INSERT INTO `lang_definitions` VALUES (64209, 2060, 17, 'Ενεργοποίηση Αναφοράς Αυτοματοποιημένης Υπολογισμών');
INSERT INTO `lang_definitions` VALUES (64210, 2061, 17, 'Ενεργοποίηση Παρακολούθησης Αυτοματοποιημένης Υπολογισμών');
INSERT INTO `lang_definitions` VALUES (64211, 2065, 17, 'Ενεργοποίηση της υπηρεσίας υποστήριξης του LibreEHR LLC Ανταλλαγής Εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (64212, 2066, 17, 'Ενεργοποίηση Επιβεβαίωσης του Πιστοπ. Χρήστη');
INSERT INTO `lang_definitions` VALUES (64213, 2067, 17, 'Ενεργοποίηση της υπηρεσίας ZMG, LLC eRx');
INSERT INTO `lang_definitions` VALUES (64214, 2068, 17, 'ενεργοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (64215, 2070, 17, 'Ενεργοποιεί το παλιό πάνελ Χρεώσεων, για εισαγωγή κωδικών χρέωσης και πληρωμών. Δεν συνιστάται, χρησιμοποιήστε αντ\' αυτού το Έντυπο Αμοιβής.');
INSERT INTO `lang_definitions` VALUES (64216, 2071, 17, 'Επισκ.');
INSERT INTO `lang_definitions` VALUES (64217, 2072, 17, 'Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (64218, 2073, 17, 'Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (64219, 2074, 17, 'επίσκεψη');
INSERT INTO `lang_definitions` VALUES (64220, 2075, 17, 'Επίσκεψη ');
INSERT INTO `lang_definitions` VALUES (64221, 2076, 17, 'Επίσκεψη σε θερμό περιστατικό νοσηλευόμενου ασθενούς');
INSERT INTO `lang_definitions` VALUES (64222, 2081, 17, 'Ημερομ. Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64223, 2086, 17, 'Έντυπα επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64224, 2087, 17, 'Επίσκεψη με εκτίμηση υγείας και συμπεριφοράς');
INSERT INTO `lang_definitions` VALUES (64225, 2088, 17, 'Ιστορικό επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64226, 2089, 17, 'Κωδικός επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64227, 2090, 17, 'Επίσκεψη Γρίππη');
INSERT INTO `lang_definitions` VALUES (64228, 2091, 17, 'Αριθμός επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64229, 2093, 17, 'επίσκεψη για ετοιμασία εξιτηρίου από τη νοσηλευτική πλευρά');
INSERT INTO `lang_definitions` VALUES (64230, 2094, 17, 'επίσκεψη νοσηλευτικής έδρας');
INSERT INTO `lang_definitions` VALUES (64231, 2095, 17, 'επίσκεψη εργοθεραπείας');
INSERT INTO `lang_definitions` VALUES (64232, 2096, 17, 'επίσκεψη γραφείου');
INSERT INTO `lang_definitions` VALUES (64233, 2097, 17, 'επίσκεψη εξωτερ. ιατρείου');
INSERT INTO `lang_definitions` VALUES (64234, 2099, 17, 'Μέγεθος Σελίδας Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64235, 2100, 17, 'Πληρωμή επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64236, 2101, 17, 'επίσκεψη εγκυμοσύνης');
INSERT INTO `lang_definitions` VALUES (64237, 2102, 17, 'επίσκεψη προληπτικής ιατρικής - ατομικής συμβουλευτικής');
INSERT INTO `lang_definitions` VALUES (64238, 2103, 17, 'επίσκεψη προληπτικής ιατρικής 40 και άνω');
INSERT INTO `lang_definitions` VALUES (64239, 2104, 17, 'επίσκεψη προληπτικής ιατρικής και ομαδικής συμβουλευτικής');
INSERT INTO `lang_definitions` VALUES (64240, 2105, 17, 'επίσκεψη προληπτικής ιατρικής λοιπές υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (64241, 2106, 17, 'επίσκεψη προληπτικής ιατρικής 18 και άνω');
INSERT INTO `lang_definitions` VALUES (64242, 2107, 17, 'επίσκεψη ψυχολογική και ψυχιατρική');
INSERT INTO `lang_definitions` VALUES (64243, 2108, 17, 'Στατιστικά επισκέψεων');
INSERT INTO `lang_definitions` VALUES (64244, 2109, 17, 'Σύνοψη επισκέψεων');
INSERT INTO `lang_definitions` VALUES (64245, 2110, 17, 'Η επίσκεψη κωδικοποιήθηκε');
INSERT INTO `lang_definitions` VALUES (64246, 2111, 17, 'Επίσκεψη:');
INSERT INTO `lang_definitions` VALUES (64247, 2112, 17, 'Επίσκεψη: μη-οξεία νοσηλεία, εξωτερ. ιατρείων, ή οφθαλμιατρική');
INSERT INTO `lang_definitions` VALUES (64248, 2113, 17, 'Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (64249, 2114, 17, 'Επισκέψεις και Έντυπα');
INSERT INTO `lang_definitions` VALUES (64250, 2115, 17, 'Επισκέψεις και Έντυπα');
INSERT INTO `lang_definitions` VALUES (64251, 2116, 17, 'Μη εγκεκριμμένες επισκέψεις');
INSERT INTO `lang_definitions` VALUES (64252, 2117, 17, 'Αναφορά επισκέψεων');
INSERT INTO `lang_definitions` VALUES (64253, 2118, 17, 'Τμήμα επισκέψεων');
INSERT INTO `lang_definitions` VALUES (64254, 2120, 17, 'Κρυπτογράφηση');
INSERT INTO `lang_definitions` VALUES (64255, 2121, 17, 'Τέλος');
INSERT INTO `lang_definitions` VALUES (64256, 2122, 17, 'Τέλος (εεεε-μμ-ηη) ');
INSERT INTO `lang_definitions` VALUES (64257, 2123, 17, 'Ημερομ. Λήξης');
INSERT INTO `lang_definitions` VALUES (64258, 2124, 17, 'Ημερομ. λήξης');
INSERT INTO `lang_definitions` VALUES (64259, 2126, 17, 'Η ημερομ. λήξης πρέπει να έπεται της ημερομ. έναρξης');
INSERT INTO `lang_definitions` VALUES (64260, 2127, 17, 'Ημερομ. λήξης:');
INSERT INTO `lang_definitions` VALUES (64261, 2131, 17, 'Ώρα λήξης');
INSERT INTO `lang_definitions` VALUES (64262, 2132, 17, 'Νεφρική Ανεπάρκεια Τελικού Σταδίου, Δικαιούχος MCP με ένα Ομαδικό Πλάνο του Εργοδότη');
INSERT INTO `lang_definitions` VALUES (64263, 2133, 17, 'Ημερομ. λήξης της υπηρεσίας εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (64264, 2134, 17, 'Τελική Ημερ.Υπηρεσίας μμ/ηη/εεε εάν επιθυμείτε να εισάγετε ένα εύρος.');
INSERT INTO `lang_definitions` VALUES (64265, 2135, 17, 'Ώρα λήξης για γεγονότα ημερολογίου.');
INSERT INTO `lang_definitions` VALUES (64266, 2136, 17, 'Ενδοκοιλιακό αίμα');
INSERT INTO `lang_definitions` VALUES (64267, 2137, 17, 'Ενδοκρινικό');
INSERT INTO `lang_definitions` VALUES (64268, 2138, 17, 'Ενδοσκόπηση');
INSERT INTO `lang_definitions` VALUES (64269, 2141, 17, 'Αγγλικά');
INSERT INTO `lang_definitions` VALUES (64270, 2142, 17, 'Αγγλικά ');
INSERT INTO `lang_definitions` VALUES (64271, 2143, 17, 'Αγγλικά (Ινδικά)');
INSERT INTO `lang_definitions` VALUES (64272, 2144, 17, 'Αγγλικά (Standard)');
INSERT INTO `lang_definitions` VALUES (64273, 2146, 17, 'Βεβαιωθείτε ότι το LibreEHR έχει δικαιώματα εγγραφής σε αυτόν τον κατάλογο');
INSERT INTO `lang_definitions` VALUES (64274, 2147, 17, 'Έκκριμα ΩΡΛ');
INSERT INTO `lang_definitions` VALUES (64275, 2148, 17, 'Πόνος ΩΡΛ');
INSERT INTO `lang_definitions` VALUES (64276, 2149, 17, 'Εισάγετε έναν κωδικό διάγνωσης για την εξαίρεση όλων των τιμολογίων που δεν τον περιέχουν');
INSERT INTO `lang_definitions` VALUES (64277, 2151, 17, 'Εισάγετε το κείμενο της επιστολής εδώ');
INSERT INTO `lang_definitions` VALUES (64278, 2152, 17, 'Εισάγετε τον κωδικό διαχειριστή (root) της βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (64279, 2153, 17, 'Εισάγετε το όνομα χρήστη του διαχειριστή (root) της βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (64280, 2154, 17, 'Εισαγωγή Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (64281, 2155, 17, 'Εισαγωγή Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (64282, 2156, 17, 'Εισαγωγή επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64283, 2157, 17, 'Εισαγωγή Αριθμού επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64284, 2158, 17, 'Εισαγωγή Εμβολίιων');
INSERT INTO `lang_definitions` VALUES (64285, 2159, 17, 'Πλήκτρο Enter');
INSERT INTO `lang_definitions` VALUES (64286, 2161, 17, 'Εισαγωγή νέας Πολιτείας');
INSERT INTO `lang_definitions` VALUES (64287, 2162, 17, 'Εισαγωγή άμεσης διεύθυνσης παραλήπτη');
INSERT INTO `lang_definitions` VALUES (64288, 2164, 17, 'Εισάγετε τον Κωδικό Αναγνώρισης');
INSERT INTO `lang_definitions` VALUES (64289, 2165, 17, 'Εισάγετε τα κριτήρια αναζήτησής σας παραπάνω');
INSERT INTO `lang_definitions` VALUES (64290, 2166, 17, 'Εισήχθη κατά λάθος');
INSERT INTO `lang_definitions` VALUES (64291, 2167, 17, 'καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (64292, 2168, 17, 'Περιβαλλοντικό');
INSERT INTO `lang_definitions` VALUES (64293, 2169, 17, 'Εισαγ. δεδομένων για Εμβάσματα Πληρωμών (ΕΟΒ)');
INSERT INTO `lang_definitions` VALUES (64294, 2170, 17, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Ηλεκτρον. Αποστολή');
INSERT INTO `lang_definitions` VALUES (64295, 2171, 17, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Οδηγίες');
INSERT INTO `lang_definitions` VALUES (64296, 2172, 17, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Απόδειξη');
INSERT INTO `lang_definitions` VALUES (64297, 2173, 17, 'Αποστολή δεδομένων για Εμβάσμ. Πληρωμής (ΕΟΒ) – Σημείωση ασθενούς');
INSERT INTO `lang_definitions` VALUES (64298, 2174, 17, 'Αποστολή δεδομένων για Εμβάσμ, Πληρωμής (ΕΟΒ) – Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (64299, 2176, 17, 'Επιληψία');
INSERT INTO `lang_definitions` VALUES (64300, 2178, 17, 'ERA');
INSERT INTO `lang_definitions` VALUES (64301, 2179, 17, 'Αρχεία ERA');
INSERT INTO `lang_definitions` VALUES (64302, 2181, 17, 'Διαγραφή');
INSERT INTO `lang_definitions` VALUES (64303, 2182, 17, 'Στύσεις');
INSERT INTO `lang_definitions` VALUES (64304, 2183, 17, 'Σφάλμα');
INSERT INTO `lang_definitions` VALUES (64305, 2185, 17, 'Σφάλμα στην επιβεβαίωση λήψης εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (64306, 2187, 17, 'Σφάλμα στην λήψη εργαστηρ. αποτελεσμ. από το Δίκτυο Ανταλλαγής του Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (64307, 2188, 17, 'Σφάλμα στην επιλογή \"Ισότητα”');
INSERT INTO `lang_definitions` VALUES (64308, 2189, 17, 'Σφάλμα στην επιλογή \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (64309, 2190, 17, 'Σφάλμα στην επιλογή \"Διαδικασία\"');
INSERT INTO `lang_definitions` VALUES (64310, 2191, 17, 'Σφάλμα στην επιλογή \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (64311, 2192, 17, 'Σφάλμα στην επιλογή \"Ταξινόμησε κατά”');
INSERT INTO `lang_definitions` VALUES (64312, 2193, 17, 'Σφάλμα συμπίεσης gzip του αρχείου: ');
INSERT INTO `lang_definitions` VALUES (64313, 2194, 17, 'Σφάλμα στην επιλογή ΝΑΙ ή ΟΧΙ');
INSERT INTO `lang_definitions` VALUES (64314, 2195, 17, 'Σφάλμα κατά το άνοιγμα του ανεβασμένου αρχείου ανάγνωσης');
INSERT INTO `lang_definitions` VALUES (64315, 2196, 17, 'Σφάλμα κατά την επεξεργασία αρχείου');
INSERT INTO `lang_definitions` VALUES (64316, 2197, 17, 'Σφάλμα κατά την επεξεργασία του upload');
INSERT INTO `lang_definitions` VALUES (64317, 2198, 17, 'Σφάλμα κατά τη Διαγραφή του Μηνύματος');
INSERT INTO `lang_definitions` VALUES (64318, 2199, 17, 'Σφάλμα κατά την ανάκτηση αποτελεσμάτων από το Δίκτυο Ανταλλαγής Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (64319, 2200, 17, 'Σφάλμα κατά την ανάκτηση τιμών');
INSERT INTO `lang_definitions` VALUES (64320, 2202, 17, 'Σφάλμα κατά την απόδοση δικαιωμάτων αρχείου στον χρήστη LibreEHR');
INSERT INTO `lang_definitions` VALUES (64321, 2205, 17, 'Σφάλμα κατά την καταχώρηση του εντύπου!');
INSERT INTO `lang_definitions` VALUES (64322, 2206, 17, 'Σφάλμα κατά την αποθήκευση στο αρχείο');
INSERT INTO `lang_definitions` VALUES (64323, 2208, 17, 'Σφάλμα κατά την εγγραφή σε αρχείο');
INSERT INTO `lang_definitions` VALUES (64324, 2209, 17, 'εντοπίσθηκε σφάλμα(τα) από τα νέα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (64325, 2210, 17, 'Σφάλμα, το αρχείο δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (64326, 2211, 17, 'ΣΦΑΛΜΑ, αδύνατη η συλλογή δεδομένων από τον εξυπηρετητή');
INSERT INTO `lang_definitions` VALUES (64327, 2212, 17, 'Σφάλμα, αδύνατη η δημιουργία πιστοπ. χρήστη.');
INSERT INTO `lang_definitions` VALUES (64328, 2213, 17, 'Σφάλμα, αδύνατη η δημιουργία του πιστοπ. admin.p12.');
INSERT INTO `lang_definitions` VALUES (64329, 2214, 17, 'Σφάλμα, αδύνατη η δημιουργία του πιστοπ. Εξουσιοδ. Πιστοποιητικού.');
INSERT INTO `lang_definitions` VALUES (64330, 2215, 17, 'Σφάλμα, αδύνατη η δημιουργία πιστοποιητικού Εξυπηρετητή.');
INSERT INTO `lang_definitions` VALUES (64331, 2216, 17, 'Σφάλμα, αδύνατο το άνοιγμα αρχείου');
INSERT INTO `lang_definitions` VALUES (64332, 2217, 17, 'Σφάλμα, αδύνατη η δημιουργία πιστοπ. γνησιότητος χρήστη.');
INSERT INTO `lang_definitions` VALUES (64333, 2218, 17, 'Σφάλμα. Χρειάζεται να εγκατασταθεί το Archive/Tar.php php module.');
INSERT INTO `lang_definitions` VALUES (64334, 2219, 17, 'ΣΦΑΛΜΑ: αδύνατο το άνοιγμα του table.sql, εσφαλμένο έντυπο?');
INSERT INTO `lang_definitions` VALUES (64335, 2220, 17, 'Σφάλμα: διπλός κωδικός στη γραμμή');
INSERT INTO `lang_definitions` VALUES (64336, 2221, 17, 'Σφάλμα: διπλό όνομα στη γραμμή');
INSERT INTO `lang_definitions` VALUES (64337, 2222, 17, 'ΣΦΑΛΜΑ: Πεδίο');
INSERT INTO `lang_definitions` VALUES (64338, 2223, 17, 'ΣΦΑΛΜΑ: Απουσιάζει το ZipArchive PHP Module');
INSERT INTO `lang_definitions` VALUES (64339, 2224, 17, 'ΣΦΑΛΜΑ: Δεν υπάρχει κατάλογος εισαγωγής ICD');
INSERT INTO `lang_definitions` VALUES (64340, 2225, 17, 'Σφάλμα: οι κωδικοί δεν συμφωνούν. Παρακαλώ ελέγξτε την πληκτρολόγηση σας.');
INSERT INTO `lang_definitions` VALUES (64341, 2226, 17, 'Σφάλμα: οι κωδικοί δεν συμφωνούν. Παρακαλώ ελέγξτε την πληκτρολόγηση σας.');
INSERT INTO `lang_definitions` VALUES (64342, 2227, 17, 'Σφάλμα: το αρχείο δεν υπάρχει');
INSERT INTO `lang_definitions` VALUES (64343, 2228, 17, 'ΣΦΑΛΜΑ: Η ακόλουθη μεταβλητή περιέχει μη αποδεκτούς χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (64344, 2229, 17, 'ΣΦΑΛΜΑ: Αδύνατον να αντιγραφεί το αρχείο');
INSERT INTO `lang_definitions` VALUES (64345, 2230, 17, 'Σφάλμα: Αδύνατη η δημιουργία αρχείου προς κατέβασμα');
INSERT INTO `lang_definitions` VALUES (64346, 2231, 17, 'ΣΦΑΛΜΑ: Αδύνατο να δημιουργηθεί το ZIP αρχείο.');
INSERT INTO `lang_definitions` VALUES (64347, 2232, 17, 'ΣΦΑΛΜΑ: Αδύνατον να αποσυμπιεστεί το αρχείο.');
INSERT INTO `lang_definitions` VALUES (64348, 2233, 17, 'ΣΦΑΛΜΑ: Αδύνατον να φορτωθεί το αρχείο στη βάση δεδομένων.');
INSERT INTO `lang_definitions` VALUES (64349, 2234, 17, 'ΣΦΑΛΜΑ: Αδύνατον να τεθεί ο αριθμός έκδοσης.');
INSERT INTO `lang_definitions` VALUES (64350, 2235, 17, 'Σφάλματα');
INSERT INTO `lang_definitions` VALUES (64351, 2236, 17, 'Κατάσταση του λογαριασμού eRx');
INSERT INTO `lang_definitions` VALUES (64352, 2237, 17, 'Αρχείο καταγραφής eRx');
INSERT INTO `lang_definitions` VALUES (64353, 2238, 17, 'Όνομα eRx');
INSERT INTO `lang_definitions` VALUES (64354, 2239, 17, 'Κωδικός πρόσβασης στο eRx');
INSERT INTO `lang_definitions` VALUES (64355, 2240, 17, 'Ρόλος του eRx');
INSERT INTO `lang_definitions` VALUES (64356, 2241, 17, 'Χρήστης του eRx');
INSERT INTO `lang_definitions` VALUES (64357, 2242, 17, 'Ερύθημα:');
INSERT INTO `lang_definitions` VALUES (64358, 2245, 17, 'Εσκιμώος');
INSERT INTO `lang_definitions` VALUES (64359, 2247, 17, 'Καταχωρημένος ασθενής');
INSERT INTO `lang_definitions` VALUES (64360, 2249, 17, 'Εθνότητα');
INSERT INTO `lang_definitions` VALUES (64361, 2250, 17, 'Εθνότητα ή Φυλή');
INSERT INTO `lang_definitions` VALUES (64362, 2251, 17, 'Λίστα Εθνότητας- Φυλής (εγγραφή, προαιρ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (64363, 2252, 17, 'Αναγνωριστικός αριθμός ηλεκτρονικής αποστολής');
INSERT INTO `lang_definitions` VALUES (64364, 2253, 17, 'Συμβάν');
INSERT INTO `lang_definitions` VALUES (64365, 2254, 17, 'Έναρξη συμβάντος');
INSERT INTO `lang_definitions` VALUES (64366, 2255, 17, 'Κατηγορία συμβάντος');
INSERT INTO `lang_definitions` VALUES (64367, 2256, 17, 'Ημερομ. συμβάντος');
INSERT INTO `lang_definitions` VALUES (64368, 2257, 17, 'Περιγραφή συμβάντος');
INSERT INTO `lang_definitions` VALUES (64369, 2258, 17, 'Λεπτομέρειες συμβάντος');
INSERT INTO `lang_definitions` VALUES (64370, 2259, 17, 'Το συμβάν δεν επαναλαμβάνεται');
INSERT INTO `lang_definitions` VALUES (64371, 2260, 17, 'Διάρκεια συμβάντος');
INSERT INTO `lang_definitions` VALUES (64372, 2261, 17, 'Διάρκεια συμβάντος σε λεπτά');
INSERT INTO `lang_definitions` VALUES (64373, 2262, 17, 'Αμοιβή σχετική με το συμβάν');
INSERT INTO `lang_definitions` VALUES (64374, 2263, 17, 'Τόπος συμβάντος');
INSERT INTO `lang_definitions` VALUES (64375, 2264, 17, 'Το συμβάν επαναλαμβάνεται κάθε');
INSERT INTO `lang_definitions` VALUES (64376, 2265, 17, 'Το συμβάν επαναλαμβάνεται επί');
INSERT INTO `lang_definitions` VALUES (64377, 2266, 17, 'Ώρα έναρξης γεγονότος');
INSERT INTO `lang_definitions` VALUES (64378, 2267, 17, 'Τίτλος συμβάντος');
INSERT INTO `lang_definitions` VALUES (64379, 2268, 17, 'Τίτλος συμβάντος');
INSERT INTO `lang_definitions` VALUES (64380, 2269, 17, 'Ιστοσελίδα συμβάντος');
INSERT INTO `lang_definitions` VALUES (64381, 2270, 17, 'Συμβάντα');
INSERT INTO `lang_definitions` VALUES (64382, 2271, 17, 'Συμβάντα για');
INSERT INTO `lang_definitions` VALUES (64383, 2272, 17, 'Άνοιγμα συμβάντων σε νέο παράθυρο');
INSERT INTO `lang_definitions` VALUES (64384, 2273, 17, 'κάθε');
INSERT INTO `lang_definitions` VALUES (64385, 2274, 17, 'Κάθε');
INSERT INTO `lang_definitions` VALUES (64386, 2275, 17, 'κάθε 3 ώρες');
INSERT INTO `lang_definitions` VALUES (64387, 2276, 17, 'κάθε 4 ώρες');
INSERT INTO `lang_definitions` VALUES (64388, 2277, 17, 'κάθε 5 ώρες');
INSERT INTO `lang_definitions` VALUES (64389, 2278, 17, 'κάθε 6 ώρες');
INSERT INTO `lang_definitions` VALUES (64390, 2279, 17, 'κάθε 8 ώρες');
INSERT INTO `lang_definitions` VALUES (64391, 2280, 17, 'Κάθε τέταρτο');
INSERT INTO `lang_definitions` VALUES (64392, 2281, 17, 'Κάθε άλλο');
INSERT INTO `lang_definitions` VALUES (64393, 2282, 17, 'Κάθε τρίτο');
INSERT INTO `lang_definitions` VALUES (64394, 2283, 17, 'Κάθε, κάθε δύο, κάθε τρεις, κτλ.');
INSERT INTO `lang_definitions` VALUES (64395, 2285, 17, 'Αποτελέσματα εξετάσεων και δοκιμών');
INSERT INTO `lang_definitions` VALUES (64396, 2286, 17, 'Αποτελέσματα εξετάσεων');
INSERT INTO `lang_definitions` VALUES (64397, 2289, 17, 'Εξέταση');
INSERT INTO `lang_definitions` VALUES (64398, 2290, 17, 'Ημερομ. εξέτασης');
INSERT INTO `lang_definitions` VALUES (64399, 2291, 17, 'Παράδειγμα');
INSERT INTO `lang_definitions` VALUES (64400, 2292, 17, 'Παραδείγματα');
INSERT INTO `lang_definitions` VALUES (64401, 2293, 17, 'Εξετάσεις/ Δοκιμασίες');
INSERT INTO `lang_definitions` VALUES (64402, 2294, 17, 'Εκτός από');
INSERT INTO `lang_definitions` VALUES (64403, 2295, 17, 'Υπερβολική χρήση/φθορά');
INSERT INTO `lang_definitions` VALUES (64404, 2296, 17, 'Αποκλειόμενοι Ασθενείς');
INSERT INTO `lang_definitions` VALUES (64405, 2297, 17, 'Αποκλεισμός');
INSERT INTO `lang_definitions` VALUES (64406, 2298, 17, 'Οργαν. Αποκλειστ. Παρόχου (ΕΡΟ)');
INSERT INTO `lang_definitions` VALUES (64407, 2299, 17, 'Μέγεθος Χαρτιού Executive');
INSERT INTO `lang_definitions` VALUES (64408, 2300, 17, 'Εξάσκηση');
INSERT INTO `lang_definitions` VALUES (64409, 2301, 17, 'Μορφές άσκησης');
INSERT INTO `lang_definitions` VALUES (64410, 2302, 17, 'Προφίλ ασκήσεων');
INSERT INTO `lang_definitions` VALUES (64411, 2303, 17, 'Ύπαρξη');
INSERT INTO `lang_definitions` VALUES (64412, 2304, 17, 'Έξοδος από τη Διαχείριση');
INSERT INTO `lang_definitions` VALUES (64413, 2305, 17, 'Επέκτ.');
INSERT INTO `lang_definitions` VALUES (64414, 2306, 17, 'Eπέκταση');
INSERT INTO `lang_definitions` VALUES (64415, 2307, 17, 'επέκταση');
INSERT INTO `lang_definitions` VALUES (64416, 2308, 17, 'Ανάπτυξη όλων');
INSERT INTO `lang_definitions` VALUES (64417, 2311, 17, 'Λεπτομερής Προβολή');
INSERT INTO `lang_definitions` VALUES (64418, 2312, 17, 'O κωδικός για το έντυπο_επίσκεψης.pid αναμένεται να είναι ');
INSERT INTO `lang_definitions` VALUES (64419, 2313, 17, 'Λήξη');
INSERT INTO `lang_definitions` VALUES (64420, 2314, 17, 'Ημερομ. λήξης');
INSERT INTO `lang_definitions` VALUES (64421, 2315, 17, 'Λήγει');
INSERT INTO `lang_definitions` VALUES (64422, 2316, 17, 'λήγει στις');
INSERT INTO `lang_definitions` VALUES (64423, 2317, 17, 'Εξαγωγή');
INSERT INTO `lang_definitions` VALUES (64424, 2318, 17, 'Εξαγωγή ως CSV');
INSERT INTO `lang_definitions` VALUES (64425, 2319, 17, 'Εξαγωγή ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (64426, 2322, 17, 'Εξαγωγή δημογραφικών ασθενούς');
INSERT INTO `lang_definitions` VALUES (64427, 2323, 17, 'Εξαγωγή Αναφοράς PQRI');
INSERT INTO `lang_definitions` VALUES (64428, 2325, 17, 'Εξαγωγή Επιλεγμένων ως CSV');
INSERT INTO `lang_definitions` VALUES (64429, 2326, 17, 'Εξαγωγή Επιλεγμένων σε Συλλογές');
INSERT INTO `lang_definitions` VALUES (64430, 2327, 17, 'Εξαγωγή σε CSV');
INSERT INTO `lang_definitions` VALUES (64431, 2328, 17, 'Εξαγωγή σε εξωτ. σύστημα χρέωσης');
INSERT INTO `lang_definitions` VALUES (64432, 2329, 17, 'Έκθεση σε Ξένες Χώρες');
INSERT INTO `lang_definitions` VALUES (64433, 2330, 17, 'Έκθεση Σε Ξένες Χώρες');
INSERT INTO `lang_definitions` VALUES (64434, 2331, 17, 'Εξωτερ. Χρόνος Συλλογής');
INSERT INTO `lang_definitions` VALUES (64435, 2332, 17, 'Εξωτερικός');
INSERT INTO `lang_definitions` VALUES (64436, 2334, 17, 'Φόρτωση εξωτερικών δεδομένων');
INSERT INTO `lang_definitions` VALUES (64437, 2335, 17, 'Βοηθητικό πρόγραμμα εισαγωγής εξωτερ. βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (64438, 2336, 17, 'Εξωτερ. Κωδικός');
INSERT INTO `lang_definitions` VALUES (64439, 2337, 17, 'Εξωτερ. Κωδικός');
INSERT INTO `lang_definitions` VALUES (64440, 2338, 17, 'Εξωτερ. ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (64441, 2339, 17, 'Μόνο εξωτερικό');
INSERT INTO `lang_definitions` VALUES (64442, 2342, 17, 'Εξωτερ. παραπομπή');
INSERT INTO `lang_definitions` VALUES (64443, 2343, 17, 'Παραλούθηση (followup) εξωτερ. Παραπομπών');
INSERT INTO `lang_definitions` VALUES (64444, 2344, 17, 'Εξωτερ. παραπομπή;');
INSERT INTO `lang_definitions` VALUES (64445, 2345, 17, 'Εξωτερ. παραπομπές');
INSERT INTO `lang_definitions` VALUES (64446, 2346, 17, 'Αποσυμπίεση του αρχείου zip');
INSERT INTO `lang_definitions` VALUES (64447, 2347, 17, 'Αποσυμπίεση του αρχείου. Αυτό θα διαρκέσει λίγη ώρα...');
INSERT INTO `lang_definitions` VALUES (64448, 2348, 17, 'Εξίδρωμα:');
INSERT INTO `lang_definitions` VALUES (64449, 2349, 17, 'Ερεθισμός οφθαλμού');
INSERT INTO `lang_definitions` VALUES (64450, 2350, 17, 'Πόνος οφθαλμού');
INSERT INTO `lang_definitions` VALUES (64451, 2351, 17, 'Ερυθρότητα οφθαλμού');
INSERT INTO `lang_definitions` VALUES (64452, 2352, 17, 'Οφθαλμοί');
INSERT INTO `lang_definitions` VALUES (64453, 2353, 17, 'F');
INSERT INTO `lang_definitions` VALUES (64454, 2354, 17, 'F/H Αιματολογικά προβλήματα');
INSERT INTO `lang_definitions` VALUES (64455, 2356, 17, 'Έδρες');
INSERT INTO `lang_definitions` VALUES (64456, 2357, 17, 'Έδρα');
INSERT INTO `lang_definitions` VALUES (64457, 2358, 17, 'έδρα');
INSERT INTO `lang_definitions` VALUES (64458, 2359, 17, 'Διαχείριση Έδρας');
INSERT INTO `lang_definitions` VALUES (64459, 2360, 17, 'Πόλη Εδρας');
INSERT INTO `lang_definitions` VALUES (64460, 2361, 17, 'Κωδικός Έδρας');
INSERT INTO `lang_definitions` VALUES (64461, 2362, 17, 'Κωδικός Χώρας Εδρας');
INSERT INTO `lang_definitions` VALUES (64462, 2363, 17, 'Fax Έδρας');
INSERT INTO `lang_definitions` VALUES (64463, 2364, 17, 'Ονομασία Έδρας');
INSERT INTO `lang_definitions` VALUES (64464, 2365, 17, 'Εθνικό Αναγνωριστικό Εδρας');
INSERT INTO `lang_definitions` VALUES (64465, 2366, 17, 'Τηλέφ. Έδρας');
INSERT INTO `lang_definitions` VALUES (64466, 2368, 17, 'Νομός Έδρας');
INSERT INTO `lang_definitions` VALUES (64467, 2369, 17, 'Οδός Έδρας');
INSERT INTO `lang_definitions` VALUES (64468, 2370, 17, 'ΤΚ Έδρας');
INSERT INTO `lang_definitions` VALUES (64469, 2372, 17, 'Έδρα:');
INSERT INTO `lang_definitions` VALUES (64470, 2373, 17, 'ΑΠΟΤΥΧΙΑ');
INSERT INTO `lang_definitions` VALUES (64471, 2374, 17, 'αποτυχημένο');
INSERT INTO `lang_definitions` VALUES (64472, 2375, 17, 'Απέτυχε');
INSERT INTO `lang_definitions` VALUES (64473, 2380, 17, 'Αποτυχία δημιουργία προσωρινού φακέλου. Η βάση CouchDB δε θα λειτορυγήσει.');
INSERT INTO `lang_definitions` VALUES (64474, 2382, 17, 'Απέτυχε.');
INSERT INTO `lang_definitions` VALUES (64475, 2383, 17, 'αποτυχία');
INSERT INTO `lang_definitions` VALUES (64476, 2390, 17, 'Οικογεν. ιστορικό');
INSERT INTO `lang_definitions` VALUES (64477, 2391, 17, 'Ιστορικό γλαυκώματος');
INSERT INTO `lang_definitions` VALUES (64478, 2392, 17, 'Οικογενειακό ιστορικό:');
INSERT INTO `lang_definitions` VALUES (64479, 2394, 17, 'Οικογενειακή Πληρωμή');
INSERT INTO `lang_definitions` VALUES (64480, 2395, 17, 'Μέγεθος οικογένειας');
INSERT INTO `lang_definitions` VALUES (64481, 2396, 17, 'Παράξενο');
INSERT INTO `lang_definitions` VALUES (64482, 2398, 17, 'Περσικά');
INSERT INTO `lang_definitions` VALUES (64483, 2400, 17, 'Πατέρας');
INSERT INTO `lang_definitions` VALUES (64484, 2402, 17, 'Κόπωση');
INSERT INTO `lang_definitions` VALUES (64485, 2403, 17, 'Καταβεβλημένος');
INSERT INTO `lang_definitions` VALUES (64486, 2404, 17, 'Φαξ');
INSERT INTO `lang_definitions` VALUES (64487, 2405, 17, 'Καταμέτρηση Φαξ');
INSERT INTO `lang_definitions` VALUES (64488, 2406, 17, 'Αριθμ. Φαξ');
INSERT INTO `lang_definitions` VALUES (64489, 2408, 17, 'Fax/Σαρωτής');
INSERT INTO `lang_definitions` VALUES (64490, 2409, 17, 'Είσοδος Fax');
INSERT INTO `lang_definitions` VALUES (64491, 2410, 17, 'Έξοδος Fax');
INSERT INTO `lang_definitions` VALUES (64492, 2411, 17, 'Χαρακτηριστικά');
INSERT INTO `lang_definitions` VALUES (64493, 2412, 17, 'Φεβ');
INSERT INTO `lang_definitions` VALUES (64494, 2413, 17, 'Φεβρουάριος');
INSERT INTO `lang_definitions` VALUES (64495, 2414, 17, 'Εθνική πράξη αποκατάστασης υπαλλήλων');
INSERT INTO `lang_definitions` VALUES (64496, 2415, 17, 'Εθν. Κωδικός φαρμάκου');
INSERT INTO `lang_definitions` VALUES (64497, 2416, 17, 'Κωδικός εργαζομένου/ εργοδότη');
INSERT INTO `lang_definitions` VALUES (64498, 2417, 17, 'ΑΦΜ');
INSERT INTO `lang_definitions` VALUES (64499, 2418, 17, 'Αμοιβή');
INSERT INTO `lang_definitions` VALUES (64500, 2419, 17, 'αμοιβή');
INSERT INTO `lang_definitions` VALUES (64501, 2420, 17, 'Η αμοιβή δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (64502, 2421, 17, 'Έντυπο αμοιβής');
INSERT INTO `lang_definitions` VALUES (64503, 2422, 17, 'Παράμετροι εντύπου αμοιβής');
INSERT INTO `lang_definitions` VALUES (64504, 2423, 17, 'Αμοιβές');
INSERT INTO `lang_definitions` VALUES (64505, 2424, 17, 'Θήλυ');
INSERT INTO `lang_definitions` VALUES (64506, 2426, 17, 'Γυναικεία προφυλακτικά');
INSERT INTO `lang_definitions` VALUES (64507, 2430, 17, 'Συμπτώματα θήλεως');
INSERT INTO `lang_definitions` VALUES (64508, 2431, 17, 'Οικειοθελής χειρουργ. αντισύλ. γυναίκας');
INSERT INTO `lang_definitions` VALUES (64509, 2434, 17, 'Πυρετός');
INSERT INTO `lang_definitions` VALUES (64510, 2435, 17, 'Πυρετός:');
INSERT INTO `lang_definitions` VALUES (64511, 2436, 17, 'Πρόβλημα οικογ. υπερχοληστερολαιμίας');
INSERT INTO `lang_definitions` VALUES (64512, 2437, 17, 'Ινομυώματα');
INSERT INTO `lang_definitions` VALUES (64513, 2441, 17, 'Τύπος πεδίου προς χρήση από τον εργοδότη, ή για τη χώρα του συνδρομητή, στα δημογραφικά.');
INSERT INTO `lang_definitions` VALUES (64514, 2442, 17, 'Τύπος πεδίου για χρήση στο νομό του εργοδότη ή του Νομού του συνδρομητή, στα δημογραφικά.');
INSERT INTO `lang_definitions` VALUES (64515, 2443, 17, 'Λείπουν πεδία!');
INSERT INTO `lang_definitions` VALUES (64516, 2447, 17, 'Αρχείο');
INSERT INTO `lang_definitions` VALUES (64517, 2448, 17, 'το αρχείο στο φάκελο Τεκμηρίωση για να μάθετε πως να αυτοματοποιήσετε τη διαδικασία δημιουργίας αρχείου καταγραφής αντιγράφων ασφαλείας');
INSERT INTO `lang_definitions` VALUES (64518, 2449, 17, 'θέση αρχείου');
INSERT INTO `lang_definitions` VALUES (64519, 2450, 17, 'Διαχείριση Αρχείου');
INSERT INTO `lang_definitions` VALUES (64520, 2453, 17, 'Το δικαίωμα αρχείου δόθηκε στον χρήστη LibreEHR.');
INSERT INTO `lang_definitions` VALUES (64521, 2454, 17, 'Απέτυχε η ανάκτηση αρχείων από την CouchDB');
INSERT INTO `lang_definitions` VALUES (64522, 2455, 17, 'Χώρος Αρχείων');
INSERT INTO `lang_definitions` VALUES (64523, 2456, 17, 'Αρχείο για ανέβασμα');
INSERT INTO `lang_definitions` VALUES (64524, 2457, 17, 'Αρχείο για ανέβασμα');
INSERT INTO `lang_definitions` VALUES (64525, 2458, 17, 'Αρχείο με το ίδιο όνομα υπάρχει ήδη στη θέση:');
INSERT INTO `lang_definitions` VALUES (64526, 2459, 17, 'Όνομα αρχείου');
INSERT INTO `lang_definitions` VALUES (64527, 2461, 17, 'Αρχεία');
INSERT INTO `lang_definitions` VALUES (64528, 2462, 17, 'Φιλιπινέζικα');
INSERT INTO `lang_definitions` VALUES (64529, 2463, 17, 'Συμπληρώστε οποιαδήποτε από τις κάτωθι γραμμές');
INSERT INTO `lang_definitions` VALUES (64530, 2464, 17, 'Συμπληρώστε εδώ μόνο αν στέλνετε ειδοποίηση με email στους ασθενείς');
INSERT INTO `lang_definitions` VALUES (64531, 2465, 17, 'Συμπληρώστε τις παρακάτω τιμές');
INSERT INTO `lang_definitions` VALUES (64532, 2467, 17, 'Συμπληρώστε τη γραμμή.');
INSERT INTO `lang_definitions` VALUES (64533, 2468, 17, 'Φίλτρο');
INSERT INTO `lang_definitions` VALUES (64534, 2469, 17, 'Φίλτρο για Σταθερές');
INSERT INTO `lang_definitions` VALUES (64535, 2470, 17, 'Φίλτρο για Ορισμούς');
INSERT INTO `lang_definitions` VALUES (64536, 2471, 17, 'έχει φιλτραριστεί από');
INSERT INTO `lang_definitions` VALUES (64537, 2472, 17, 'φίλτρα');
INSERT INTO `lang_definitions` VALUES (64538, 2473, 17, 'Φίλτρα');
INSERT INTO `lang_definitions` VALUES (64539, 2474, 17, 'Τελικό');
INSERT INTO `lang_definitions` VALUES (64540, 2475, 17, 'Τελική Διάγνωση');
INSERT INTO `lang_definitions` VALUES (64541, 2476, 17, 'Τελική διάγνωση ανά ειδικό');
INSERT INTO `lang_definitions` VALUES (64542, 2478, 17, 'Οικονομικά');
INSERT INTO `lang_definitions` VALUES (64543, 2479, 17, 'Ημερομ. Οικονομικού Κλεισίματος (εεεε-μμ-ηη)');
INSERT INTO `lang_definitions` VALUES (64544, 2480, 17, 'Οικονομ. αναφορά – ο,τιδήποτε');
INSERT INTO `lang_definitions` VALUES (64545, 2481, 17, 'Οικονομ. αναφορά – οι επισκέψεις μου');
INSERT INTO `lang_definitions` VALUES (64546, 2482, 17, 'Ημερομ. οικονομ. ανασκόπησης');
INSERT INTO `lang_definitions` VALUES (64547, 2483, 17, 'Οικονομική Σύνοψη ανά Κωδικό υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (64548, 2484, 17, 'Εύρεση');
INSERT INTO `lang_definitions` VALUES (64549, 2485, 17, 'Εύρεση διαθεσίμου');
INSERT INTO `lang_definitions` VALUES (64550, 2486, 17, 'Εύρεση διαθέσιμων ραντεβού');
INSERT INTO `lang_definitions` VALUES (64551, 2487, 17, 'Εύρεση ασθενούς');
INSERT INTO `lang_definitions` VALUES (64552, 2488, 17, 'Εύρεση Υλικών εκπαίδευσης ασθενούς');
INSERT INTO `lang_definitions` VALUES (64553, 2489, 17, 'Ευρήματα');
INSERT INTO `lang_definitions` VALUES (64554, 2490, 17, 'Ευρήματα ανά ειδικό');
INSERT INTO `lang_definitions` VALUES (64555, 2491, 17, 'Πρόστιμο');
INSERT INTO `lang_definitions` VALUES (64556, 2492, 17, 'Τέλος Πληρωμών');
INSERT INTO `lang_definitions` VALUES (64557, 2493, 17, 'τελείωσε');
INSERT INTO `lang_definitions` VALUES (64558, 2495, 17, 'Πρώτο');
INSERT INTO `lang_definitions` VALUES (64559, 2497, 17, '1η μέρα της εβδομάδας');
INSERT INTO `lang_definitions` VALUES (64560, 2498, 17, 'Μικρό όνομα');
INSERT INTO `lang_definitions` VALUES (64561, 2499, 17, 'Μικρό όνομα');
INSERT INTO `lang_definitions` VALUES (64562, 2500, 17, 'Μικρό όνομα:');
INSERT INTO `lang_definitions` VALUES (64563, 2503, 17, 'Φυσική κατάσταη');
INSERT INTO `lang_definitions` VALUES (64564, 2504, 17, 'Επίπ. φυσικής κατάστασης');
INSERT INTO `lang_definitions` VALUES (64565, 2505, 17, 'Επίπ. φυσικής κατάστασης γι\' αυτό τον παίκτη, αυτή την ημέρα');
INSERT INTO `lang_definitions` VALUES (64566, 2507, 17, 'Καταλληλότητα για συμμετοχή στο παιγνίδι');
INSERT INTO `lang_definitions` VALUES (64567, 2508, 17, 'Διόρθωση ημερομ. επισκέψεων- όλων των επισκέψεων');
INSERT INTO `lang_definitions` VALUES (64568, 2509, 17, 'Διορθώστε αυτό');
INSERT INTO `lang_definitions` VALUES (64569, 2510, 17, 'Διόρθωση αυτού');
INSERT INTO `lang_definitions` VALUES (64570, 2511, 17, 'Μετεωρισμός');
INSERT INTO `lang_definitions` VALUES (64571, 2512, 17, 'Ροή');
INSERT INTO `lang_definitions` VALUES (64572, 2514, 17, 'Εποχή γρίππης');
INSERT INTO `lang_definitions` VALUES (64573, 2515, 17, 'Εποχή γρίππης');
INSERT INTO `lang_definitions` VALUES (64574, 2516, 17, 'Εμβολ. γρίππης');
INSERT INTO `lang_definitions` VALUES (64575, 2517, 17, 'Πρόβλημα υγρών και ηλεκτρολυτών');
INSERT INTO `lang_definitions` VALUES (64576, 2518, 17, 'Ινομυαλγία');
INSERT INTO `lang_definitions` VALUES (64577, 2519, 17, 'Μέγεθος Χαρτιού Folio');
INSERT INTO `lang_definitions` VALUES (64578, 2520, 17, 'Ακολουθήστε χειροκίνητα');
INSERT INTO `lang_definitions` VALUES (64579, 2521, 17, 'Ακολουθήστε αυτές τις οδηγίες για να εγκαταστήσετε, ή να αναβαθμίσετε, την εξής βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (64580, 2522, 17, 'Επανεκτίμηση');
INSERT INTO `lang_definitions` VALUES (64581, 2524, 17, 'Αιτία Επανεκτίμησης');
INSERT INTO `lang_definitions` VALUES (64582, 2525, 17, 'Ακολουθεί μια νέα παραμετροποιημένη (custom) Σταθερά:');
INSERT INTO `lang_definitions` VALUES (64583, 2526, 17, 'Ακολουθεί μια νέα παραμετροποιημένη (custom) Γλώσσα:');
INSERT INTO `lang_definitions` VALUES (64584, 2527, 17, 'Ακολουθεί ένας νέος ορισμός (Γλώσσας, Σταθεράς, Ορισμός):');
INSERT INTO `lang_definitions` VALUES (64585, 2529, 17, 'Υπηρεσίες επανεκτίμησης');
INSERT INTO `lang_definitions` VALUES (64586, 2530, 17, 'Ενδείκνυνται επανεκτιμήσεις');
INSERT INTO `lang_definitions` VALUES (64587, 2531, 17, 'Δυσανεξία σε τροφή');
INSERT INTO `lang_definitions` VALUES (64588, 2532, 17, 'Πόδι');
INSERT INTO `lang_definitions` VALUES (64589, 2533, 17, 'Προβλήμ. ποδός');
INSERT INTO `lang_definitions` VALUES (64590, 2534, 17, 'Πόδι:');
INSERT INTO `lang_definitions` VALUES (64591, 2535, 17, 'Κακώσεις ποδοσφαίρου');
INSERT INTO `lang_definitions` VALUES (64592, 2536, 17, 'Κάκωση ποδοσφαίρου');
INSERT INTO `lang_definitions` VALUES (64593, 2537, 17, 'Αναφορά ποδοσφαιρικής κάκωσης');
INSERT INTO `lang_definitions` VALUES (64594, 2538, 17, 'Τύπος υποδημάτων');
INSERT INTO `lang_definitions` VALUES (64595, 2539, 17, 'για');
INSERT INTO `lang_definitions` VALUES (64596, 2540, 17, 'Για');
INSERT INTO `lang_definitions` VALUES (64597, 2541, 17, 'Για κωδικό');
INSERT INTO `lang_definitions` VALUES (64598, 2543, 17, 'Για Αιτήματα πληρωμής επίσκεψης');
INSERT INTO `lang_definitions` VALUES (64599, 2544, 17, 'Για παράδειγμα:');
INSERT INTO `lang_definitions` VALUES (64600, 2547, 17, 'για Τιμολόγιο');
INSERT INTO `lang_definitions` VALUES (64601, 2548, 17, 'Μόνο στην περίπτωση του Medicare, απαιτείται ο παραπέμπων πάροχος να είναι ο ίδιος με τον πάροχο που έκανε την εκτίμηση.');
INSERT INTO `lang_definitions` VALUES (64602, 2552, 17, 'Για τον αναφερόμενο Οργανισμό/ Ιατρό');
INSERT INTO `lang_definitions` VALUES (64603, 2553, 17, 'Για το παρελθόν');
INSERT INTO `lang_definitions` VALUES (64604, 2554, 17, 'για μεταβλητή');
INSERT INTO `lang_definitions` VALUES (64605, 2555, 17, 'για:');
INSERT INTO `lang_definitions` VALUES (64606, 2556, 17, 'Το widget χρέωσης να διατηρείται υποχρεωτικά ανοικτό');
INSERT INTO `lang_definitions` VALUES (64607, 2557, 17, 'Υποχρεωτ. δημιουργία Νέου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (64608, 2558, 17, 'Υποχρεωτ. εμφάνιση');
INSERT INTO `lang_definitions` VALUES (64609, 2559, 17, 'Πήχυς');
INSERT INTO `lang_definitions` VALUES (64610, 2560, 17, 'Έντυπο');
INSERT INTO `lang_definitions` VALUES (64611, 2561, 17, 'έντυπο');
INSERT INTO `lang_definitions` VALUES (64612, 2564, 17, 'Μορφοποίηση');
INSERT INTO `lang_definitions` VALUES (64613, 2565, 17, 'μορφοποίηση');
INSERT INTO `lang_definitions` VALUES (64614, 2566, 17, 'Μορφή για την εμφάνιση ηλικίας');
INSERT INTO `lang_definitions` VALUES (64615, 2567, 17, 'Άκυρη μορφή κωδικού φαρμάκου');
INSERT INTO `lang_definitions` VALUES (64616, 2568, 17, 'Μορφή εμφάνισης των περισσότερων ημερομηνιών.');
INSERT INTO `lang_definitions` VALUES (64617, 2569, 17, 'Μορφή εμφάνισης των περισσότερων ωρών.');
INSERT INTO `lang_definitions` VALUES (64618, 2570, 17, 'Μορφοποιημένη έκθεση/αναφορά');
INSERT INTO `lang_definitions` VALUES (64619, 2571, 17, 'Πρώην καπνιστής');
INSERT INTO `lang_definitions` VALUES (64620, 2572, 17, 'Έντυπα');
INSERT INTO `lang_definitions` VALUES (64621, 2573, 17, 'Έντυπα Διαχείρισης');
INSERT INTO `lang_definitions` VALUES (64622, 2575, 17, 'Προώθηση');
INSERT INTO `lang_definitions` VALUES (64623, 2576, 17, 'Προώθηση σελίδων μέσω Fax');
INSERT INTO `lang_definitions` VALUES (64624, 2577, 17, 'Προωθήθηκε');
INSERT INTO `lang_definitions` VALUES (64625, 2579, 17, 'Τέταρτο');
INSERT INTO `lang_definitions` VALUES (64626, 2581, 17, 'Κάταγμα');
INSERT INTO `lang_definitions` VALUES (64627, 2582, 17, 'Κάταγμα σκαφοειδούς');
INSERT INTO `lang_definitions` VALUES (64628, 2583, 17, 'Κάταγμα έξω σφυρού');
INSERT INTO `lang_definitions` VALUES (64629, 2584, 17, 'Κάταγμα έσω σφυρού');
INSERT INTO `lang_definitions` VALUES (64630, 2585, 17, 'Κάταγμα βάσης 5ου μεταταρσίου');
INSERT INTO `lang_definitions` VALUES (64631, 2587, 17, 'Γαλλικά');
INSERT INTO `lang_definitions` VALUES (64632, 2588, 17, 'Γαλλικά (Καναδικά)');
INSERT INTO `lang_definitions` VALUES (64633, 2589, 17, 'Γαλλικά (Τυπικά)');
INSERT INTO `lang_definitions` VALUES (64634, 2590, 17, 'Συχνότητα');
INSERT INTO `lang_definitions` VALUES (64635, 2591, 17, 'Συχνά κρυολογήματα');
INSERT INTO `lang_definitions` VALUES (64636, 2592, 17, 'Συχνή νόσηση');
INSERT INTO `lang_definitions` VALUES (64637, 2593, 17, 'Παρ');
INSERT INTO `lang_definitions` VALUES (64638, 2594, 17, 'Παρασκευή');
INSERT INTO `lang_definitions` VALUES (64639, 2595, 17, 'Από');
INSERT INTO `lang_definitions` VALUES (64640, 2596, 17, 'ΑΠΟ');
INSERT INTO `lang_definitions` VALUES (64641, 2597, 17, 'από');
INSERT INTO `lang_definitions` VALUES (64642, 2598, 17, 'Η Ημερομ. του Εντύπου δεν μπορεί να είναι μεγαλύτερη από σήμερα.');
INSERT INTO `lang_definitions` VALUES (64643, 2599, 17, 'Από:');
INSERT INTO `lang_definitions` VALUES (64644, 2600, 17, 'Από: ');
INSERT INTO `lang_definitions` VALUES (64645, 2613, 17, 'Γραφείο υποδοχής/Reception');
INSERT INTO `lang_definitions` VALUES (64646, 2614, 17, 'Αποδείξεις γραφείου υποδοχής');
INSERT INTO `lang_definitions` VALUES (64647, 2615, 17, 'Αναφορά αποδείξεων γραφείου υποδοχής');
INSERT INTO `lang_definitions` VALUES (64648, 2616, 17, 'Γραφείο υποδοχής');
INSERT INTO `lang_definitions` VALUES (64649, 2617, 17, 'Μετωπιαία δεξιά:');
INSERT INTO `lang_definitions` VALUES (64650, 2619, 17, 'Πλήρες όνομα');
INSERT INTO `lang_definitions` VALUES (64651, 2620, 17, 'Πλήρης διαδρομή για τον κατάλογο που περιέχει τα εκτελέσιμα αρχεία της MySQL.');
INSERT INTO `lang_definitions` VALUES (64652, 2621, 17, 'Πλήρης διαδρομή για τον κατάλογο που περιέχει τα εκτελέσιμα αρχεία της Perl.');
INSERT INTO `lang_definitions` VALUES (64653, 2622, 17, 'Πλήρες path στον κατάλογο backup της καταγραφής logs.');
INSERT INTO `lang_definitions` VALUES (64654, 2623, 17, 'Πλήρες path στον κατάλογο των προσωρινών αρχείων:');
INSERT INTO `lang_definitions` VALUES (64655, 2625, 17, 'Πλήρης εκπαίδευση');
INSERT INTO `lang_definitions` VALUES (64656, 2626, 17, 'Πλήρως εξοφλημένο');
INSERT INTO `lang_definitions` VALUES (64657, 2636, 17, 'Πάθηση χοληδόχου κύστης');
INSERT INTO `lang_definitions` VALUES (64658, 2637, 17, 'Χολόλιθοι');
INSERT INTO `lang_definitions` VALUES (64659, 2638, 17, 'Περίοδος παιχνιδιού');
INSERT INTO `lang_definitions` VALUES (64660, 2639, 17, 'Παιχνίδια');
INSERT INTO `lang_definitions` VALUES (64661, 2640, 17, 'Απωλεσθέντα παιγνίδια');
INSERT INTO `lang_definitions` VALUES (64662, 2641, 17, 'παιχνίδια/ συμβάντα');
INSERT INTO `lang_definitions` VALUES (64663, 2642, 17, 'Απωλεσθέντα παιχνίδια/ συμβάντα');
INSERT INTO `lang_definitions` VALUES (64664, 2644, 17, 'Γαστρίτιδα');
INSERT INTO `lang_definitions` VALUES (64665, 2645, 17, 'Επιγάστριον άλγος');
INSERT INTO `lang_definitions` VALUES (64666, 2646, 17, 'Πεπτικό');
INSERT INTO `lang_definitions` VALUES (64667, 2647, 17, 'Αναφορά στατιστικών GCAC');
INSERT INTO `lang_definitions` VALUES (64668, 2648, 17, 'Στατιστ. GCAC');
INSERT INTO `lang_definitions` VALUES (64669, 2649, 17, 'Το έντυπο επίσκεψης GCAC λείπει');
INSERT INTO `lang_definitions` VALUES (64670, 2650, 17, 'Φύλο');
INSERT INTO `lang_definitions` VALUES (64671, 2651, 17, 'Φύλο ');
INSERT INTO `lang_definitions` VALUES (64672, 2652, 17, 'Γενικά');
INSERT INTO `lang_definitions` VALUES (64673, 2653, 17, 'Λίστα γενικών θεμάτων');
INSERT INTO `lang_definitions` VALUES (64674, 2655, 17, 'Γεν. κατηγορία υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (64675, 2657, 17, 'Δημιουργία και κατέβασμα εγγράφου αιτήσεων CMS 1500');
INSERT INTO `lang_definitions` VALUES (64676, 2658, 17, 'Δημιουργία και κατέβασμα εγγράφου αιτήσεων HCFA 1500');
INSERT INTO `lang_definitions` VALUES (64677, 2659, 17, 'Δημιουργία και κατέβασμα ενεργειών Χ12');
INSERT INTO `lang_definitions` VALUES (64678, 2660, 17, 'Δημιουργία και κατέβασμα δέσμης ενεργειών με αιτήσεις πληρωμής Χ12');
INSERT INTO `lang_definitions` VALUES (64679, 2663, 17, 'Δημιουργία και μετάδοση επιτρεπόμενων συνταγών ηλεκτρονικά.');
INSERT INTO `lang_definitions` VALUES (64680, 2664, 17, 'Δημιουργία CMS 1500');
INSERT INTO `lang_definitions` VALUES (64681, 2665, 17, 'Δημιουργ. PDF CMS 1500');
INSERT INTO `lang_definitions` VALUES (64682, 2666, 17, 'Δημιουργ. TEXT CMS 1500');
INSERT INTO `lang_definitions` VALUES (64683, 2667, 17, 'Δημιουργία HCFA');
INSERT INTO `lang_definitions` VALUES (64684, 2668, 17, 'Δημιουργία Τιμιολογίου');
INSERT INTO `lang_definitions` VALUES (64685, 2669, 17, 'Δημιουργία επιστολής');
INSERT INTO `lang_definitions` VALUES (64686, 2670, 17, 'Δημιουργία επιστολής σχετικά με ');
INSERT INTO `lang_definitions` VALUES (64687, 2671, 17, 'Δημιουργία αναφοράς PQRI (Μέθοδος Α)');
INSERT INTO `lang_definitions` VALUES (64688, 2673, 17, 'Δημιουργία αναφοράς PQRI (Μέθοδος Ε)');
INSERT INTO `lang_definitions` VALUES (64689, 2677, 17, 'Δημιουργ. Αναφοράς');
INSERT INTO `lang_definitions` VALUES (64690, 2678, 17, 'Δημιουργία Ονόματος χρήστη και Κωδικού για');
INSERT INTO `lang_definitions` VALUES (64691, 2679, 17, 'Δημιουργ. Χ12');
INSERT INTO `lang_definitions` VALUES (64692, 2680, 17, 'Δημιουργ. Επίσκεψης Χ12');
INSERT INTO `lang_definitions` VALUES (64693, 2682, 17, 'Δημιουργήθηκε στις');
INSERT INTO `lang_definitions` VALUES (64694, 2683, 17, 'Δημιουργεί');
INSERT INTO `lang_definitions` VALUES (64695, 2684, 17, 'Ουρογεννητικό');
INSERT INTO `lang_definitions` VALUES (64696, 2687, 17, 'Γερμανικά');
INSERT INTO `lang_definitions` VALUES (64697, 2691, 17, 'Λάβετε το HL7');
INSERT INTO `lang_definitions` VALUES (64698, 2692, 17, 'Γλαύκωμα');
INSERT INTO `lang_definitions` VALUES (64699, 2693, 17, 'Οικογεν. ιστορικό γλαυκώματος');
INSERT INTO `lang_definitions` VALUES (64700, 2694, 17, 'Γενικό');
INSERT INTO `lang_definitions` VALUES (64701, 2696, 17, 'Γεν. Κωδικός αναγνώρισης');
INSERT INTO `lang_definitions` VALUES (64702, 2697, 17, 'Γεν. Ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (64703, 2698, 17, 'Γενικές');
INSERT INTO `lang_definitions` VALUES (64704, 2700, 17, 'Ξεκινήστε');
INSERT INTO `lang_definitions` VALUES (64705, 2701, 17, 'Ξεκινήστε');
INSERT INTO `lang_definitions` VALUES (64706, 2704, 17, 'Μετάβαση στο');
INSERT INTO `lang_definitions` VALUES (64707, 2705, 17, 'Μετάβαση στην εβδομάδα');
INSERT INTO `lang_definitions` VALUES (64708, 2706, 17, 'Μετάβαση στο σήμερα');
INSERT INTO `lang_definitions` VALUES (64709, 2707, 17, 'Στόχος Α');
INSERT INTO `lang_definitions` VALUES (64710, 2708, 17, 'Στόχος και Μέθοδοι');
INSERT INTO `lang_definitions` VALUES (64711, 2709, 17, 'Στόχος Β');
INSERT INTO `lang_definitions` VALUES (64712, 2710, 17, 'Στόχος Γ');
INSERT INTO `lang_definitions` VALUES (64713, 2711, 17, 'Βαθμός κάκωσης');
INSERT INTO `lang_definitions` VALUES (64714, 2712, 17, 'Βαθμός:');
INSERT INTO `lang_definitions` VALUES (64715, 2713, 17, 'γραμμ.');
INSERT INTO `lang_definitions` VALUES (64716, 2714, 17, 'Γενικό Σύνολο');
INSERT INTO `lang_definitions` VALUES (64717, 2715, 17, 'Γενικά Σύνολα');
INSERT INTO `lang_definitions` VALUES (64718, 2718, 17, 'Γραφικό');
INSERT INTO `lang_definitions` VALUES (64719, 2720, 17, 'Μεγαλύτερο από');
INSERT INTO `lang_definitions` VALUES (64720, 2721, 17, 'Μεγαλύτερο ή ίσο από');
INSERT INTO `lang_definitions` VALUES (64721, 2722, 17, 'Ελληνικά');
INSERT INTO `lang_definitions` VALUES (64722, 2724, 17, 'Ομάδα');
INSERT INTO `lang_definitions` VALUES (64723, 2725, 17, 'Όνομα ομάδας');
INSERT INTO `lang_definitions` VALUES (64724, 2726, 17, 'Τα ονόματα ομάδας δεν μπορούν να είναι κενά');
INSERT INTO `lang_definitions` VALUES (64725, 2727, 17, 'Τα ονόματα ομάδας δεν μπορούν να αρχίζουν με αριθμούς ή κενά');
INSERT INTO `lang_definitions` VALUES (64726, 2728, 17, 'Τα ονόματα ομάδας δεν μπορούν να αρχίζουν με αριθμούς');
INSERT INTO `lang_definitions` VALUES (64727, 2729, 17, 'Αριθμός ομάδας');
INSERT INTO `lang_definitions` VALUES (64728, 2730, 17, 'Πληρωμή ομάδας');
INSERT INTO `lang_definitions` VALUES (64729, 2731, 17, 'Ομάδα:');
INSERT INTO `lang_definitions` VALUES (64730, 2732, 17, 'Όνομα ομάδας');
INSERT INTO `lang_definitions` VALUES (64731, 2733, 17, 'Ομάδες και έλεγχος πρόσβασης');
INSERT INTO `lang_definitions` VALUES (64732, 2734, 17, 'Καμπύλη Ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (64733, 2735, 17, 'Καμπύλη Ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (64734, 2736, 17, 'σταγόνες (drops)');
INSERT INTO `lang_definitions` VALUES (64735, 2737, 17, 'Μικρονησιακή γλώσσα Γουάμ');
INSERT INTO `lang_definitions` VALUES (64736, 2739, 17, 'Όνομα Κηδεμόνος');
INSERT INTO `lang_definitions` VALUES (64737, 2741, 17, 'Γυναικολογική εξέταση');
INSERT INTO `lang_definitions` VALUES (64738, 2742, 17, 'ώρες');
INSERT INTO `lang_definitions` VALUES (64739, 2743, 17, 'με την κατάκλιση');
INSERT INTO `lang_definitions` VALUES (64740, 2744, 17, 'Ιστορικό Ηπατίτιδος');
INSERT INTO `lang_definitions` VALUES (64741, 2745, 17, 'είχαν διαγραφεί επιτυχώς. Όλες οι υποκατηγορίες, αν υπάρχουν, μεταφέρθηκαν παρακάτω');
INSERT INTO `lang_definitions` VALUES (64742, 2746, 17, 'Αιμάτωμα / μώλωπες');
INSERT INTO `lang_definitions` VALUES (64743, 2750, 17, 'Χέρι + δάκτυλα');
INSERT INTO `lang_definitions` VALUES (64744, 2751, 17, 'Προβλήμ. χειρός');
INSERT INTO `lang_definitions` VALUES (64745, 2752, 17, 'Σκληρός Δίσκος');
INSERT INTO `lang_definitions` VALUES (64746, 2753, 17, 'Δυσκολίες με');
INSERT INTO `lang_definitions` VALUES (64747, 2754, 17, 'συνδέθηκε με επίσκεψη');
INSERT INTO `lang_definitions` VALUES (64748, 2755, 17, 'έληξε');
INSERT INTO `lang_definitions` VALUES (64749, 2756, 17, 'Hash');
INSERT INTO `lang_definitions` VALUES (64750, 2757, 17, 'Δεν υπάρχει hash για αυτό το αρχείο. Ένα νέο hash δημιουργήθηκε.');
INSERT INTO `lang_definitions` VALUES (64751, 2758, 17, 'Το hash δεν ταιριάζει. Η ακεραιότητα των δεδομένων έχει παραβιαστεί.');
INSERT INTO `lang_definitions` VALUES (64752, 2760, 17, 'Χαβανέζικα');
INSERT INTO `lang_definitions` VALUES (64753, 2761, 17, 'Επικίνδυνες δραστηριότητες');
INSERT INTO `lang_definitions` VALUES (64754, 2762, 17, 'Επικίνδυνες δραστηριότητες');
INSERT INTO `lang_definitions` VALUES (64755, 2763, 17, 'Αριστερό όριο HCFA σε σημεία');
INSERT INTO `lang_definitions` VALUES (64756, 2764, 17, 'Όρια HCFA');
INSERT INTO `lang_definitions` VALUES (64757, 2765, 17, 'Άνω όριο HCFA σε σημεία');
INSERT INTO `lang_definitions` VALUES (64758, 2766, 17, 'Διαδικασία/Υπηρεσία HCPCS');
INSERT INTO `lang_definitions` VALUES (64759, 2768, 17, 'Κεφαλή');
INSERT INTO `lang_definitions` VALUES (64760, 2769, 17, 'Περίμ. Κεφ.');
INSERT INTO `lang_definitions` VALUES (64761, 2770, 17, 'Περίμετρος Κεφαλής');
INSERT INTO `lang_definitions` VALUES (64762, 2771, 17, 'Κεφαλαλγία');
INSERT INTO `lang_definitions` VALUES (64763, 2772, 17, 'Κεφαλαλγίες');
INSERT INTO `lang_definitions` VALUES (64764, 2773, 17, 'λειτουργίες φροντίδας υγείας');
INSERT INTO `lang_definitions` VALUES (64765, 2774, 17, 'Λειτουργίες Φροντίδας Υγείας');
INSERT INTO `lang_definitions` VALUES (64766, 2775, 17, 'Κέντρο Υγείας/Κλινική/Ιατρείο');
INSERT INTO `lang_definitions` VALUES (64767, 2776, 17, 'Οργανισμός Διατήρησης Υγείας');
INSERT INTO `lang_definitions` VALUES (64768, 2777, 17, 'Οργανισμός Φροντίδας Υγείας Medicare Risk');
INSERT INTO `lang_definitions` VALUES (64769, 2778, 17, 'Απώλεια ακοής');
INSERT INTO `lang_definitions` VALUES (64770, 2779, 17, 'Έμφραγμα μυοκαρδίου');
INSERT INTO `lang_definitions` VALUES (64771, 2780, 17, 'Καρδιοπάθεια');
INSERT INTO `lang_definitions` VALUES (64772, 2781, 17, 'Καρδιακή ανεπάρκεια');
INSERT INTO `lang_definitions` VALUES (64773, 2782, 17, 'Πρόβλημα καρδιάς');
INSERT INTO `lang_definitions` VALUES (64774, 2783, 17, 'Καρδιαγγειακό');
INSERT INTO `lang_definitions` VALUES (64775, 2784, 17, 'Καρδιοχειρουργική επέμβαση');
INSERT INTO `lang_definitions` VALUES (64776, 2785, 17, 'Μεταμόσχευση καρδιάς');
INSERT INTO `lang_definitions` VALUES (64777, 2786, 17, 'ΚΑΡΔΙΑ:');
INSERT INTO `lang_definitions` VALUES (64778, 2787, 17, 'Αίσθηση οπισθοστερνικού καύσους');
INSERT INTO `lang_definitions` VALUES (64779, 2788, 17, 'Ζέστη ή κρύο');
INSERT INTO `lang_definitions` VALUES (64780, 2789, 17, 'Ζέστη ή κρύο');
INSERT INTO `lang_definitions` VALUES (64781, 2790, 17, 'Εντατικός καπνιστής');
INSERT INTO `lang_definitions` VALUES (64782, 2791, 17, 'Εβραϊκά');
INSERT INTO `lang_definitions` VALUES (64783, 2793, 17, 'Κεφαλή, οφθαλμοί, ώτα, μύτη και φάρυγξ');
INSERT INTO `lang_definitions` VALUES (64784, 2794, 17, 'Ύψος');
INSERT INTO `lang_definitions` VALUES (64785, 2796, 17, 'Βοήθεια');
INSERT INTO `lang_definitions` VALUES (64786, 2797, 17, 'βοήθεια');
INSERT INTO `lang_definitions` VALUES (64787, 2798, 17, 'Αιματέμεση');
INSERT INTO `lang_definitions` VALUES (64788, 2799, 17, 'Αιματοχεσία');
INSERT INTO `lang_definitions` VALUES (64789, 2800, 17, 'Αιματολογικό');
INSERT INTO `lang_definitions` VALUES (64790, 2801, 17, 'Αιματουρία');
INSERT INTO `lang_definitions` VALUES (64791, 2802, 17, 'Αιμοσφαιρίνη');
INSERT INTO `lang_definitions` VALUES (64792, 2803, 17, 'Αιμοσφαιρίνη A1C');
INSERT INTO `lang_definitions` VALUES (64793, 2804, 17, 'Αιμόπτυση');
INSERT INTO `lang_definitions` VALUES (64794, 2805, 17, 'Ηπατίτιδα');
INSERT INTO `lang_definitions` VALUES (64795, 2806, 17, 'Ηπατ. Α 1');
INSERT INTO `lang_definitions` VALUES (64796, 2807, 17, 'Ηπατ. Α 2');
INSERT INTO `lang_definitions` VALUES (64797, 2808, 17, 'Ηπατ. Β 1');
INSERT INTO `lang_definitions` VALUES (64798, 2809, 17, 'Ηπατ. Β 2');
INSERT INTO `lang_definitions` VALUES (64799, 2810, 17, 'Ηπατ. Β 3');
INSERT INTO `lang_definitions` VALUES (64800, 2811, 17, 'εδώ');
INSERT INTO `lang_definitions` VALUES (64801, 2813, 17, 'Διόρθωση Κήλης');
INSERT INTO `lang_definitions` VALUES (64802, 2814, 17, 'Κήλη δίσκου');
INSERT INTO `lang_definitions` VALUES (64803, 2815, 17, 'Έρπης');
INSERT INTO `lang_definitions` VALUES (64804, 2816, 17, 'Δισταγμός');
INSERT INTO `lang_definitions` VALUES (64805, 2817, 17, 'Ήσασταν εδώ για ');
INSERT INTO `lang_definitions` VALUES (64806, 2818, 17, 'Αιμόφιλος 1');
INSERT INTO `lang_definitions` VALUES (64807, 2819, 17, 'Αιμόφιλος 2');
INSERT INTO `lang_definitions` VALUES (64808, 2820, 17, 'Αιμόφιλος 3');
INSERT INTO `lang_definitions` VALUES (64809, 2821, 17, 'Αιμόφιλος 4');
INSERT INTO `lang_definitions` VALUES (64810, 2822, 17, 'Κρυφό');
INSERT INTO `lang_definitions` VALUES (64811, 2823, 17, 'Διαχείριση κρυφών Συμβάντων');
INSERT INTO `lang_definitions` VALUES (64812, 2824, 17, 'Απόκρυψη');
INSERT INTO `lang_definitions` VALUES (64813, 2825, 17, 'Απόκρυψη λεπτομερειών');
INSERT INTO `lang_definitions` VALUES (64814, 2827, 17, 'Απόκρυψη Επιλογών Κρυπτογράφησης/Αποκρυπτογράφησης στο Διαχειριστή Εγγράφων');
INSERT INTO `lang_definitions` VALUES (64815, 2828, 17, 'Απόκρυψη μενού');
INSERT INTO `lang_definitions` VALUES (64816, 2830, 17, 'Απόκρυψη Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (64817, 2831, 17, 'Απόκρ./ Εμφάνιση Στηλών');
INSERT INTO `lang_definitions` VALUES (64818, 2833, 17, 'Υψηλό');
INSERT INTO `lang_definitions` VALUES (64819, 2834, 17, 'Αρτηρ. Υπέρταση');
INSERT INTO `lang_definitions` VALUES (64820, 2835, 17, 'Ινδικά');
INSERT INTO `lang_definitions` VALUES (64821, 2836, 17, 'Ισχίο + βουβωνική χώρα');
INSERT INTO `lang_definitions` VALUES (64822, 2837, 17, 'Ισχίο και βουβωνική χώρα');
INSERT INTO `lang_definitions` VALUES (64823, 2838, 17, 'Προβλήμ. ισχίου');
INSERT INTO `lang_definitions` VALUES (64824, 2839, 17, 'Αντικατάσταση ισχίου');
INSERT INTO `lang_definitions` VALUES (64825, 2840, 17, 'Ελήφθη Αίτημα Χορήγησης Ιατρικών Δεδομένων στον Ασθενή');
INSERT INTO `lang_definitions` VALUES (64826, 2842, 17, 'Υπερτρίχωση');
INSERT INTO `lang_definitions` VALUES (64827, 2843, 17, 'Ισπανόφωνος');
INSERT INTO `lang_definitions` VALUES (64828, 2844, 17, 'Ισπανόφωνος - Αλλο (Γενν. στις ΗΠΑ)');
INSERT INTO `lang_definitions` VALUES (64829, 2845, 17, 'Ισπανόφωνος - Αλλο (Γενν. εκτός ΗΠΑ)');
INSERT INTO `lang_definitions` VALUES (64830, 2846, 17, 'Ισπανόφωνος ή Λατίνος');
INSERT INTO `lang_definitions` VALUES (64831, 2847, 17, 'Ιστορικό');
INSERT INTO `lang_definitions` VALUES (64832, 2848, 17, 'Δεδομένα Ιστορικού');
INSERT INTO `lang_definitions` VALUES (64833, 2849, 17, 'Ημερομ. Ιστορικού');
INSERT INTO `lang_definitions` VALUES (64834, 2851, 17, 'Ιστορικό φυσημάτων');
INSERT INTO `lang_definitions` VALUES (64835, 2852, 17, 'Μη εξουσιοδοτημένο ιστορικό');
INSERT INTO `lang_definitions` VALUES (64836, 2853, 17, 'Ιστορικό καρδιακών φυσημάτων');
INSERT INTO `lang_definitions` VALUES (64837, 2854, 17, 'Επιτυχίες');
INSERT INTO `lang_definitions` VALUES (64838, 2855, 17, 'HIV');
INSERT INTO `lang_definitions` VALUES (64839, 2858, 17, 'Σύστημα εμφάνισης του HL7');
INSERT INTO `lang_definitions` VALUES (64840, 2862, 17, 'Κρατήστε το [Ctrl] πατημένο για πολλαπλή επιλογή ή αποεπιλογή');
INSERT INTO `lang_definitions` VALUES (64841, 2863, 17, 'Κρατήστε το [Ctrl] πατημένο για επιλογή πολλών αντικειμένων');
INSERT INTO `lang_definitions` VALUES (64842, 2864, 17, 'Κρατήστε το [Ctrl] πατημένο για επιλογή πολλών ομάδων');
INSERT INTO `lang_definitions` VALUES (64843, 2865, 17, 'ΑΡΧΗ');
INSERT INTO `lang_definitions` VALUES (64844, 2866, 17, 'Τηλέφ. οικίας');
INSERT INTO `lang_definitions` VALUES (64845, 2867, 17, 'Αριθμ. τηλεφ. Οικίας');
INSERT INTO `lang_definitions` VALUES (64846, 2868, 17, 'Άστεγος ή παρόμοιο;');
INSERT INTO `lang_definitions` VALUES (64847, 2869, 17, 'Άστεγος, κτλ');
INSERT INTO `lang_definitions` VALUES (64848, 2870, 17, 'Άστεγος, κτλ');
INSERT INTO `lang_definitions` VALUES (64849, 2872, 17, 'Όνομα Host');
INSERT INTO `lang_definitions` VALUES (64850, 2873, 17, 'Το όνομα Host δεν μπορεί να είναι κενό.');
INSERT INTO `lang_definitions` VALUES (64851, 2875, 17, 'Ώρα');
INSERT INTO `lang_definitions` VALUES (64852, 2876, 17, 'Ώρες');
INSERT INTO `lang_definitions` VALUES (64853, 2878, 17, 'Πως συνέβη η κάκωση;');
INSERT INTO `lang_definitions` VALUES (64854, 2879, 17, 'Πως συνέβη η κάκωση;');
INSERT INTO `lang_definitions` VALUES (64855, 2880, 17, 'Πως ακούσανε για εμάς');
INSERT INTO `lang_definitions` VALUES (64856, 2881, 17, 'Σε βάθος πόσων μηνών στο μέλλον, να ρωτήσω για επερχόμενα συμβάντα;');
INSERT INTO `lang_definitions` VALUES (64857, 2882, 17, 'Επιτροπή Προαγωγής Υγείας:');
INSERT INTO `lang_definitions` VALUES (64858, 2884, 17, 'HTML');
INSERT INTO `lang_definitions` VALUES (64859, 2886, 17, 'Ασφαλής σύνδεση https για την υπηρεσία υποστήριξης LibreEHR LLC LAB exchange');
INSERT INTO `lang_definitions` VALUES (64860, 2887, 17, 'Ουγγρικά');
INSERT INTO `lang_definitions` VALUES (64861, 2888, 17, 'Κατάλογος Hylafax');
INSERT INTO `lang_definitions` VALUES (64862, 2890, 17, 'Διακομιστής Hylafax');
INSERT INTO `lang_definitions` VALUES (64863, 2891, 17, 'Διακομιστής Hylafax');
INSERT INTO `lang_definitions` VALUES (64864, 2892, 17, 'Υπερκινητικό');
INSERT INTO `lang_definitions` VALUES (64865, 2893, 17, 'Υπέρταση');
INSERT INTO `lang_definitions` VALUES (64866, 2894, 17, 'Υπέρταση: Μέτρηση Αρτηριακής Πίεσης');
INSERT INTO `lang_definitions` VALUES (64867, 2895, 17, 'Υπέρταση: Μέτρηση Αρτηριακής Πίεσης');
INSERT INTO `lang_definitions` VALUES (64868, 2896, 17, 'Υπερθυρεοειδισμός');
INSERT INTO `lang_definitions` VALUES (64869, 2897, 17, 'Υποθυρεοειδισμός');
INSERT INTO `lang_definitions` VALUES (64870, 2898, 17, 'Υστερεκτομή');
INSERT INTO `lang_definitions` VALUES (64871, 2899, 17, 'Εγώ');
INSERT INTO `lang_definitions` VALUES (64872, 2900, 17, 'Είμαι απασχολημένος/η αυτό τον καιρό');
INSERT INTO `lang_definitions` VALUES (64873, 2901, 17, 'Δεν έχω την άδεια να διαβάσω ');
INSERT INTO `lang_definitions` VALUES (64874, 2902, 17, 'ICD');
INSERT INTO `lang_definitions` VALUES (64875, 2903, 17, 'Διάγνωση ICD10');
INSERT INTO `lang_definitions` VALUES (64876, 2904, 17, 'Διαδικασία/Υπηρεσία ICD10');
INSERT INTO `lang_definitions` VALUES (64877, 2905, 17, 'ICD9');
INSERT INTO `lang_definitions` VALUES (64878, 2906, 17, 'Διάγνωση ICD9');
INSERT INTO `lang_definitions` VALUES (64879, 2907, 17, 'Διαδικασία/Υπηρεσία ICD9');
INSERT INTO `lang_definitions` VALUES (64880, 2909, 17, 'Κωδικός');
INSERT INTO `lang_definitions` VALUES (64881, 2910, 17, 'Κωδικός');
INSERT INTO `lang_definitions` VALUES (64882, 2911, 17, 'Ο κωδικός δεν μπορεί να είναι κενός');
INSERT INTO `lang_definitions` VALUES (64883, 2912, 17, 'Κάρτα Κωδικού');
INSERT INTO `lang_definitions` VALUES (64884, 2914, 17, 'αναγνωρίστηκε ως');
INSERT INTO `lang_definitions` VALUES (64885, 2915, 17, 'κωδικός αναγνώρισης (μια λέξη)');
INSERT INTO `lang_definitions` VALUES (64886, 2916, 17, 'Κωδικός ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (64887, 2917, 17, 'Δευτερόλ. μέχρι τη λήξη μίας Αδρανούς Συνεδρίας');
INSERT INTO `lang_definitions` VALUES (64888, 2919, 17, 'Αν όλα τα δεδομένα για όλες τις στήλες είναι πλήρη για αυτό το έντυπο');
INSERT INTO `lang_definitions` VALUES (64889, 2920, 17, 'Αν χρησιμοποιήσετε αιτιολόγηση χρέωσης, βάλτε το όνομα του κωδικού διάγνωσης');
INSERT INTO `lang_definitions` VALUES (64890, 2921, 17, 'αν εισάγετε, επιλέξτε μόνο αυτούς που είχαν αυτήν την υπηρεσία');
INSERT INTO `lang_definitions` VALUES (64891, 2922, 17, 'αν όνομα, οποιοδήποτε τμήμα του επωνύμου ή επώνυμο,όνομα');
INSERT INTO `lang_definitions` VALUES (64892, 2923, 17, 'Εάν πληρώνει με');
INSERT INTO `lang_definitions` VALUES (64893, 2924, 17, 'Εάν ο ασθενής έχει πεθάνει, τότε εισάγετε την ημερομ. θανάτου.');
INSERT INTO `lang_definitions` VALUES (64894, 2925, 17, 'Εάν χρησιμοποιείται SMTP, εισάγετε το όνομα του host ή τη διεύθυνση IP.');
INSERT INTO `lang_definitions` VALUES (64895, 2926, 17, 'Εάν χρησιμοποιείται SMTP, ο αριθμός θύρας TCP του server (συνήθως 25).');
INSERT INTO `lang_definitions` VALUES (64896, 2927, 17, 'αν άνεργος εισάγετε Φοιτητής');
INSERT INTO `lang_definitions` VALUES (64897, 2929, 17, 'Εάν αλλάξετε τον ρόλο του e-RX για την ηλεκτρονική συνταγογράφηση, μπορεί να επηρεάσει τη ροή εργασίας της ηλεκτρονικής συνταγογράφησης. Αν αντιμετωπίζετε οποιαδήποτε δυσκολία, επικοινωνήστε με τον προμηθευτή της ηλεκτρονικής συνταγογράφησης.');
INSERT INTO `lang_definitions` VALUES (64898, 2931, 17, 'Εάν επιλέξατε να ανεβάσετε ηλεκτρον. εμβάσματα, τότε το παράθυρο αναζήτησης θα επανεμφανισθεί, με τα τιμολόγια που ταιριάζουν από το αρχείο X12. Μπορείτε να κάνετε κλικ σε οποιονδήποτε αριθμό τιμολογίου (όπως περιγράφεται παρακάτω), εάν θέλετε να κάνετε διορθώσεις πριν να οριστικοποιηθούν οι πληροφορίες εμβάσματος. Για να εφαρμόσετε τις αλλαγές, κάντε κλικ στο κουμπί \"Επεξεργασία ERA\" στο κάτω μέρος της σελίδας. Θα εμφανισθεί ένα νέο παράθυρο με μια λεπτομερή αναφορά.');
INSERT INTO `lang_definitions` VALUES (64899, 2932, 17, 'Εάν έχετε εισάγει μια Ημερομηνία Πληρωμής στη σελίδα αναζήτησης, αυτή θα υπερισχύσει της ημερομηνίας αποστολής των πληρωμών και των προσαρμογών, που λαμβάνονται ούτως ή άλλως από το αρχείο X12. Αυτό μπορεί να είναι χρήσιμο για λόγους αναφοράς, αν θέλετε οι αναφορές των αποδείξεών σας να κάνουν χρήση της ημερομηνίας αποστολής σας αντί της ημερομηνίας επεξεργασίας από την ασφαλιστική εταιρείας. Σημειώστε ότι αυτό θα επηρεάσει επίσης τις ημερομηνίες των προηγούμενων πληρωμών και τις προσαρμογές που έχουν τεθεί σε δευτερεύουσες απαιτήσεις.');
INSERT INTO `lang_definitions` VALUES (64900, 2933, 17, 'Αν θέλετε να αλλάξετε τους τύπους δεδομένων, ή να προσθέσετε γραμμές ή στήλες');
INSERT INTO `lang_definitions` VALUES (64901, 2934, 17, 'Αν θέλετε να αναβαθμίσετε τη βάση δεδομένων, τοποθετήστε το αρχείο zip της βάσης δεδομένων στον ακόλουθο κατάλογο.');
INSERT INTO `lang_definitions` VALUES (64902, 2936, 17, 'Αγνόησε');
INSERT INTO `lang_definitions` VALUES (64903, 2937, 17, 'Νόσος');
INSERT INTO `lang_definitions` VALUES (64904, 2938, 17, 'Ενδομυϊκά');
INSERT INTO `lang_definitions` VALUES (64905, 2941, 17, 'Υπηρεσία απεικόνισης');
INSERT INTO `lang_definitions` VALUES (64906, 2942, 17, 'Εμβολιασμός');
INSERT INTO `lang_definitions` VALUES (64907, 2943, 17, 'Κωδικός εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (64908, 2945, 17, 'Ημερομ. εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (64909, 2946, 17, 'Ημερομ. λήξης Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (64910, 2947, 17, 'Αριθμός παρτίδας εμβολίου');
INSERT INTO `lang_definitions` VALUES (64911, 2948, 17, 'Κατασκευαστής εμβολίου');
INSERT INTO `lang_definitions` VALUES (64912, 2949, 17, 'Μητρώο εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (64913, 2951, 17, 'Υπηρεσία εμβολιασμών');
INSERT INTO `lang_definitions` VALUES (64914, 2952, 17, 'Τίτλος εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (64915, 2953, 17, 'Εμβολιασμοί');
INSERT INTO `lang_definitions` VALUES (64916, 2954, 17, 'Ανοσοποίηση');
INSERT INTO `lang_definitions` VALUES (64917, 2955, 17, 'Ανοσολογικό');
INSERT INTO `lang_definitions` VALUES (64918, 2956, 17, 'Εμφυτεύματα');
INSERT INTO `lang_definitions` VALUES (64919, 2957, 17, 'Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (64920, 2961, 17, 'Εισαγ. του πιστοποιητικού στον browser');
INSERT INTO `lang_definitions` VALUES (64921, 2962, 17, 'Εισαγ. Ρυθμίσεων');
INSERT INTO `lang_definitions` VALUES (64922, 2964, 17, 'Εισαγ. Ασθενούς');
INSERT INTO `lang_definitions` VALUES (64923, 2965, 17, 'Εισαγ. δημογραφ. ασθενούς');
INSERT INTO `lang_definitions` VALUES (64924, 2966, 17, 'Σημαντικοί Κωδικοί');
INSERT INTO `lang_definitions` VALUES (64925, 2967, 17, 'ΣΗΜΑΝΤΙΚΟ: Αυτό το εργαλείο upload είναι μόνο για να ανεβάζετε έγγραφα για ασθενείς που δεν εισήχθησαν ακόμη στο σύστημα. Για να ανεβάσετε αρχεία για ασθενείς που έχουν ήδη εισαχθεί στο σύστημα, παρακαλώ χρησιμοποιήστε το εργαλείο για upload που είναι συνδεδεμένο μέσα στηνοθόνη για την Περίληψη Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (64926, 2969, 17, 'Εισήχθη από το Λογιστήριο');
INSERT INTO `lang_definitions` VALUES (64927, 2972, 17, 'Βελτιωμένο');
INSERT INTO `lang_definitions` VALUES (64928, 2973, 17, 'ίντσες');
INSERT INTO `lang_definitions` VALUES (64929, 2974, 17, 'Σε');
INSERT INTO `lang_definitions` VALUES (64930, 2975, 17, 'σε κάθε οφθαλμό');
INSERT INTO `lang_definitions` VALUES (64931, 2976, 17, 'στον Αριστ. οφθαλμό');
INSERT INTO `lang_definitions` VALUES (64932, 2977, 17, 'στον Ρώθωνα');
INSERT INTO `lang_definitions` VALUES (64933, 2978, 17, 'Στο γραφείο');
INSERT INTO `lang_definitions` VALUES (64934, 2979, 17, 'Στο Δεξιό οφθαλμό');
INSERT INTO `lang_definitions` VALUES (64935, 2980, 17, 'Κατ\' οίκον');
INSERT INTO `lang_definitions` VALUES (64936, 2981, 17, 'Ανενεργό');
INSERT INTO `lang_definitions` VALUES (64937, 2982, 17, 'Ανενεργές ημέρες');
INSERT INTO `lang_definitions` VALUES (64938, 2983, 17, 'Εισερχόμενα');
INSERT INTO `lang_definitions` VALUES (64939, 2986, 17, 'Να συμπεριληφθεί το Checksum');
INSERT INTO `lang_definitions` VALUES (64940, 2987, 17, 'Να συμπεριληφθούν τα συμπληρωμένα');
INSERT INTO `lang_definitions` VALUES (64941, 2988, 17, 'Να συμπεριληφθούν τους ανενεργούς χρήστες');
INSERT INTO `lang_definitions` VALUES (64942, 2989, 17, 'Να συμπεριληφθούν τα μη κατηγοριοποιημενα');
INSERT INTO `lang_definitions` VALUES (64943, 2990, 17, 'Να συμπεριληφθούν τα μη δομημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (64944, 2991, 17, 'Να συμπεριληφθούν τα ζωτικά');
INSERT INTO `lang_definitions` VALUES (64945, 2992, 17, 'Να συμπεριληφθούν τα ζωτικά;');
INSERT INTO `lang_definitions` VALUES (64946, 2993, 17, 'Συμπερίληψη');
INSERT INTO `lang_definitions` VALUES (64947, 2994, 17, 'Εισόδημα');
INSERT INTO `lang_definitions` VALUES (64948, 2996, 17, 'Ατελής');
INSERT INTO `lang_definitions` VALUES (64949, 2997, 17, 'Ατελής θεραπεία άμβλωσης');
INSERT INTO `lang_definitions` VALUES (64950, 2998, 17, 'Ακράτεια');
INSERT INTO `lang_definitions` VALUES (64951, 2999, 17, 'Ενσωμάτωση αποτελεσμάτων κλινικών εργαστηριακών εξετάσεων σε πιστοποιημένη τεχνολογία EHR ως δομημένα δεδομένα.');
INSERT INTO `lang_definitions` VALUES (64952, 3000, 17, 'Λάθος κωδικός πρόσβασης!');
INSERT INTO `lang_definitions` VALUES (64953, 3001, 17, 'αυξημένο:');
INSERT INTO `lang_definitions` VALUES (64954, 3002, 17, 'Αποζημίωση από Ασφαλ.εταιρεία');
INSERT INTO `lang_definitions` VALUES (64955, 3003, 17, 'Απροσδιόριστο');
INSERT INTO `lang_definitions` VALUES (64956, 3004, 17, 'Ινδικά');
INSERT INTO `lang_definitions` VALUES (64957, 3005, 17, 'Υποδεικνύει ανωμαλία');
INSERT INTO `lang_definitions` VALUES (64958, 3006, 17, 'Δείχνει αν αυτό το θέμα είναι ενεργό');
INSERT INTO `lang_definitions` VALUES (64959, 3008, 17, 'Δείκτης για ειδική χρήση');
INSERT INTO `lang_definitions` VALUES (64960, 3009, 17, 'Άποροι ασθενείς');
INSERT INTO `lang_definitions` VALUES (64961, 3010, 17, 'Αναφορά απόρου ασθενούς');
INSERT INTO `lang_definitions` VALUES (64962, 3011, 17, 'Άποροι');
INSERT INTO `lang_definitions` VALUES (64963, 3014, 17, 'Προκλητή άμβλωση');
INSERT INTO `lang_definitions` VALUES (64964, 3016, 17, 'Αναρμόδιος');
INSERT INTO `lang_definitions` VALUES (64965, 3017, 17, 'Λοίμωξη / Απόστημα');
INSERT INTO `lang_definitions` VALUES (64966, 3018, 17, 'Λοιμώξεις');
INSERT INTO `lang_definitions` VALUES (64967, 3019, 17, 'Συμβουλ. Στειρότητος');
INSERT INTO `lang_definitions` VALUES (64968, 3020, 17, 'Υπογονιμότητα');
INSERT INTO `lang_definitions` VALUES (64969, 3021, 17, 'Γρίπη 1');
INSERT INTO `lang_definitions` VALUES (64970, 3022, 17, 'Γρίπη 2');
INSERT INTO `lang_definitions` VALUES (64971, 3023, 17, 'Εμβολιασμός γρίππης για ασθενείς >= 50 ετών');
INSERT INTO `lang_definitions` VALUES (64972, 3024, 17, 'Εμβολιασμός γρίππης για ασθενείς >= 50 ετών');
INSERT INTO `lang_definitions` VALUES (64973, 3025, 17, 'Εμβόλιο γρίππης');
INSERT INTO `lang_definitions` VALUES (64974, 3026, 17, 'Πληροφορίες');
INSERT INTO `lang_definitions` VALUES (64975, 3027, 17, 'Δοκιμή πληροφορίας 1');
INSERT INTO `lang_definitions` VALUES (64976, 3028, 17, 'Δοκιμή πληροφορίας 2');
INSERT INTO `lang_definitions` VALUES (64977, 3029, 17, 'Δοκιμή πληροφορίας 3');
INSERT INTO `lang_definitions` VALUES (64978, 3030, 17, 'Δοκιμή πληροφορίας 4');
INSERT INTO `lang_definitions` VALUES (64979, 3031, 17, 'Δοκιμή πληροφορίας 5');
INSERT INTO `lang_definitions` VALUES (64980, 3032, 17, 'Δοκιμή πληροφορίας 6');
INSERT INTO `lang_definitions` VALUES (64981, 3034, 17, 'εισπνοές (inh)');
INSERT INTO `lang_definitions` VALUES (64982, 3035, 17, 'εισπνοές');
INSERT INTO `lang_definitions` VALUES (64983, 3037, 17, 'Αρχικός Χρήστης');
INSERT INTO `lang_definitions` VALUES (64984, 3038, 17, 'Ενέσ./Αποκατάστ.');
INSERT INTO `lang_definitions` VALUES (64985, 3039, 17, 'ενέσιμα');
INSERT INTO `lang_definitions` VALUES (64986, 3040, 17, 'Ένεση');
INSERT INTO `lang_definitions` VALUES (64987, 3041, 17, 'Τραυματισμένο τμήμα σώματος');
INSERT INTO `lang_definitions` VALUES (64988, 3043, 17, 'Κάκωση');
INSERT INTO `lang_definitions` VALUES (64989, 3044, 17, 'Μηχανισμός κάκωσης');
INSERT INTO `lang_definitions` VALUES (64990, 3045, 17, 'Περιληπτική Αναφορά κάκωσης');
INSERT INTO `lang_definitions` VALUES (64991, 3046, 17, 'Παρακολούθηση κάκωσης');
INSERT INTO `lang_definitions` VALUES (64992, 3047, 17, 'Τύπος κάκωσης');
INSERT INTO `lang_definitions` VALUES (64993, 3048, 17, 'Σχετιζόμενο με κάκωση/νόσο');
INSERT INTO `lang_definitions` VALUES (64994, 3051, 17, 'Πεδίου Εισόδου');
INSERT INTO `lang_definitions` VALUES (64995, 3052, 17, 'INR');
INSERT INTO `lang_definitions` VALUES (64996, 3053, 17, 'Ασφαλ 1');
INSERT INTO `lang_definitions` VALUES (64997, 3054, 17, 'Ασφαλ 2 ή Ασφαλ 3');
INSERT INTO `lang_definitions` VALUES (64998, 3055, 17, 'Διεύθ. Ασφαλ');
INSERT INTO `lang_definitions` VALUES (64999, 3056, 17, 'Προσαρμογή Ασφαλ');
INSERT INTO `lang_definitions` VALUES (65000, 3057, 17, 'Ομαδοποίηση Ασφαλ');
INSERT INTO `lang_definitions` VALUES (65001, 3058, 17, 'Κωδικός Ασφαλ');
INSERT INTO `lang_definitions` VALUES (65002, 3059, 17, 'Ομάδα Ασφαλ');
INSERT INTO `lang_definitions` VALUES (65003, 3060, 17, 'Όνομα Ασφαλ');
INSERT INTO `lang_definitions` VALUES (65004, 3061, 17, 'Η Ασφ πλήρωσε παραπάνω');
INSERT INTO `lang_definitions` VALUES (65005, 3062, 17, 'Ασφαλ Συμβόλαιο');
INSERT INTO `lang_definitions` VALUES (65006, 3063, 17, 'Επιστρ. χρημάτων στην Ασφ');
INSERT INTO `lang_definitions` VALUES (65007, 3064, 17, 'Περίληψη Ασφ');
INSERT INTO `lang_definitions` VALUES (65008, 3065, 17, 'Ασφ1');
INSERT INTO `lang_definitions` VALUES (65009, 3066, 17, 'Ασφ2');
INSERT INTO `lang_definitions` VALUES (65010, 3067, 17, 'Ασφ3');
INSERT INTO `lang_definitions` VALUES (65011, 3069, 17, 'Εισαγωγή απέτυχε: ');
INSERT INTO `lang_definitions` VALUES (65012, 3070, 17, 'Τοποθέτηση παλαιών συμβάντων σε πίνακες');
INSERT INTO `lang_definitions` VALUES (65013, 3072, 17, 'Αϋπνία');
INSERT INTO `lang_definitions` VALUES (65014, 3073, 17, 'Ελέγξτε το αρχείο καταγραφής');
INSERT INTO `lang_definitions` VALUES (65015, 3074, 17, 'Επισκόπηση');
INSERT INTO `lang_definitions` VALUES (65016, 3075, 17, 'Αστάθεια / εξάρθρημα');
INSERT INTO `lang_definitions` VALUES (65017, 3076, 17, 'ΕΓΚΑΤΑΣΤΑΣΗ');
INSERT INTO `lang_definitions` VALUES (65018, 3077, 17, 'Εγκατάσταση');
INSERT INTO `lang_definitions` VALUES (65019, 3079, 17, 'Εγκατάσταση ΒΔ');
INSERT INTO `lang_definitions` VALUES (65020, 3080, 17, 'Εγκαταστάθηκε η έκδοση');
INSERT INTO `lang_definitions` VALUES (65021, 3081, 17, 'Ενημερωμένο');
INSERT INTO `lang_definitions` VALUES (65022, 3082, 17, 'Ενημέρωση');
INSERT INTO `lang_definitions` VALUES (65023, 3084, 17, 'Οδηγίες:');
INSERT INTO `lang_definitions` VALUES (65024, 3085, 17, 'Ανεπαρκής απογραφή αποθεμάτων για τον Κωδικό του προϊόντος');
INSERT INTO `lang_definitions` VALUES (65025, 3086, 17, 'Ινσουλινοεξαρτώμενος διαβήτης');
INSERT INTO `lang_definitions` VALUES (65026, 3087, 17, 'Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (65027, 3088, 17, 'ασφάλιση');
INSERT INTO `lang_definitions` VALUES (65028, 3091, 17, 'Υπόλοιπο Ασφαλ. εταιρείας');
INSERT INTO `lang_definitions` VALUES (65029, 3093, 17, 'Ασφαλιστ. Εταιρ.');
INSERT INTO `lang_definitions` VALUES (65030, 3094, 17, 'Ασφαλιστ. Εταιρείες');
INSERT INTO `lang_definitions` VALUES (65031, 3095, 17, 'Ασφαλιστ. Εταιρεία');
INSERT INTO `lang_definitions` VALUES (65032, 3096, 17, 'Ασφαλ. Εταιρία Αναζήτ./ Προσθήκη');
INSERT INTO `lang_definitions` VALUES (65033, 3098, 17, 'Στοιχεία Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (65034, 3099, 17, 'Πληροφ. ασφάλισης στο αρχείο');
INSERT INTO `lang_definitions` VALUES (65035, 3100, 17, 'Αριθμοί Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (65036, 3101, 17, 'Πληρωμή Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (65037, 3103, 17, 'Πάροχος Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (65038, 3106, 17, 'Ασφαλισμένος/η');
INSERT INTO `lang_definitions` VALUES (65039, 3107, 17, 'Συμπέρασμα λήψης');
INSERT INTO `lang_definitions` VALUES (65040, 3108, 17, 'Ημερομηνία λήψης');
INSERT INTO `lang_definitions` VALUES (65041, 3109, 17, 'Έκπτωση νοητικών λειτουργιών');
INSERT INTO `lang_definitions` VALUES (65042, 3113, 17, 'Εσωτ. σφάλμα – δεν επελέγησαν σελίδες!');
INSERT INTO `lang_definitions` VALUES (65043, 3114, 17, 'Εσωτ. σφάλμα – το ID ασθενούς δεν δόθηκε!');
INSERT INTO `lang_definitions` VALUES (65044, 3115, 17, 'Εσωτ. σφάλμα προσπελάζοντας το αρχείο που ανέβηκε!');
INSERT INTO `lang_definitions` VALUES (65045, 3116, 17, 'Εσωτ. σφάλμα!');
INSERT INTO `lang_definitions` VALUES (65046, 3117, 17, 'Εσωτ. σφάλμα, δεν δόθηκε κωδικός φαρμάκου!');
INSERT INTO `lang_definitions` VALUES (65047, 3118, 17, 'Εσωτ. σφάλμα: Αδύνατη η εντόπιση MSH-10');
INSERT INTO `lang_definitions` VALUES (65048, 3119, 17, 'Εσωτ. σφάλμα: αξίωση ');
INSERT INTO `lang_definitions` VALUES (65049, 3120, 17, 'Εσωτ. σφάλμα: επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65050, 3121, 17, 'Εσωτ. σφάλμα: λείπει κωδικός ασθενούς ή επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (65051, 3122, 17, 'Εσωτ. σφάλμα: δε φαίνεται να είμαστε σε επίσκεψη!');
INSERT INTO `lang_definitions` VALUES (65052, 3123, 17, 'Εσωτ. κωδικός (pid)');
INSERT INTO `lang_definitions` VALUES (65053, 3126, 17, 'Εσωτ. παραπομπές');
INSERT INTO `lang_definitions` VALUES (65054, 3127, 17, 'Εσωτερική ώρα συλλογής');
INSERT INTO `lang_definitions` VALUES (65055, 3128, 17, 'Διεθνές Καθήκον');
INSERT INTO `lang_definitions` VALUES (65056, 3129, 17, 'Διερμηνέας');
INSERT INTO `lang_definitions` VALUES (65057, 3130, 17, 'Απαιτείται διερμηνέας;');
INSERT INTO `lang_definitions` VALUES (65058, 3131, 17, 'Διάμεση πνευμονική νόσος');
INSERT INTO `lang_definitions` VALUES (65059, 3132, 17, 'Μεσοδιάστημα');
INSERT INTO `lang_definitions` VALUES (65060, 3133, 17, 'Μεσοδιάστημα (λεπτά)');
INSERT INTO `lang_definitions` VALUES (65061, 3135, 17, 'Παρέμβαση');
INSERT INTO `lang_definitions` VALUES (65062, 3136, 17, 'Προσεφέρθη Παρέμβαση');
INSERT INTO `lang_definitions` VALUES (65063, 3137, 17, 'Ανοχή');
INSERT INTO `lang_definitions` VALUES (65064, 3139, 17, 'ενδομυϊκά');
INSERT INTO `lang_definitions` VALUES (65065, 3140, 17, 'ενδοφλέβια');
INSERT INTO `lang_definitions` VALUES (65066, 3141, 17, 'Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (65067, 3144, 17, 'Άκυρος χαρακτήρας στο');
INSERT INTO `lang_definitions` VALUES (65068, 3147, 17, 'Άκυρο μήκος για');
INSERT INTO `lang_definitions` VALUES (65069, 3148, 17, 'Άκυρος μη-αριθμητικός χαρακτήρας στο');
INSERT INTO `lang_definitions` VALUES (65070, 3149, 17, 'Άκυρος ή ελλιπής πληρωτής στην πηγή για τον κωδικό ');
INSERT INTO `lang_definitions` VALUES (65071, 3150, 17, 'Άκυρη διεύθυνση παραλήπτη. Παρακαλώ προσπαθήστε ξανά.');
INSERT INTO `lang_definitions` VALUES (65072, 3151, 17, 'Άκυροι Κωδικοί Υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (65073, 3152, 17, 'Άκυρος προσδιορισμός πηγής');
INSERT INTO `lang_definitions` VALUES (65074, 3153, 17, 'Άκυρο όνομα χρήστη ή κωδικός πρόσβασης');
INSERT INTO `lang_definitions` VALUES (65075, 3154, 17, 'Ποσό απογραφής');
INSERT INTO `lang_definitions` VALUES (65076, 3155, 17, 'Απογραφή');
INSERT INTO `lang_definitions` VALUES (65077, 3156, 17, 'Δραστηριότητα απογραφής');
INSERT INTO `lang_definitions` VALUES (65078, 3157, 17, 'Απογραφή και πώληση φαρμάκων και μη φαρμακευτ. προϊόντων');
INSERT INTO `lang_definitions` VALUES (65079, 3158, 17, 'Απογραφή και πώληση μόνο φαρμάκων');
INSERT INTO `lang_definitions` VALUES (65080, 3159, 17, 'Η απογραφή δεν είναι διαθέσιμη για αυτήν την παραγγελία');
INSERT INTO `lang_definitions` VALUES (65081, 3160, 17, 'Λίστα απογραφής');
INSERT INTO `lang_definitions` VALUES (65082, 3161, 17, 'Συναλλαγές αποθήκης');
INSERT INTO `lang_definitions` VALUES (65083, 3162, 17, 'Τιμολόγιο');
INSERT INTO `lang_definitions` VALUES (65084, 3163, 17, 'τιμολόγιο');
INSERT INTO `lang_definitions` VALUES (65085, 3164, 17, 'Λογαριασμός Τιμολογίου');
INSERT INTO `lang_definitions` VALUES (65086, 3165, 17, 'Αδύνατη η αποστολή Τιμολογίου. Δεν δημιουργήθηκε καμία επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (65087, 3166, 17, 'Ημερομ. τιμολογίου');
INSERT INTO `lang_definitions` VALUES (65088, 3167, 17, 'Το τιμολόγιο δεν έχει ημερομηνία!');
INSERT INTO `lang_definitions` VALUES (65089, 3168, 17, 'Αριθμός τιμολογίου');
INSERT INTO `lang_definitions` VALUES (65090, 3169, 17, 'Αριθμός αναφοράς τιμολογίου.');
INSERT INTO `lang_definitions` VALUES (65091, 3170, 17, 'Σύνολο αριθμών αναφοράς τιμολογίων, αν χρησιμοποιείται');
INSERT INTO `lang_definitions` VALUES (65092, 3171, 17, 'Σύνολα αριθμών αναφοράς τιμολογίων');
INSERT INTO `lang_definitions` VALUES (65093, 3172, 17, 'Σύνολο αριθ αναφ τιμολογίων');
INSERT INTO `lang_definitions` VALUES (65094, 3173, 17, 'Τιμολόγιο:');
INSERT INTO `lang_definitions` VALUES (65095, 3177, 17, 'Δεδομένα IPPF SRH για');
INSERT INTO `lang_definitions` VALUES (65096, 3178, 17, 'Στατιστική αναφορά IPPF');
INSERT INTO `lang_definitions` VALUES (65097, 3179, 17, 'Στατιστικά IPPF');
INSERT INTO `lang_definitions` VALUES (65098, 3180, 17, 'Εμβόλ. πολυομυελ. IPV 1');
INSERT INTO `lang_definitions` VALUES (65099, 3181, 17, 'Εμβόλ. πολυομυελ. IPV 2');
INSERT INTO `lang_definitions` VALUES (65100, 3182, 17, 'Εμβόλ. πολυομυελ. IPV 3');
INSERT INTO `lang_definitions` VALUES (65101, 3183, 17, 'Εμβόλ. πολυομυελ. IPV 4');
INSERT INTO `lang_definitions` VALUES (65102, 3185, 17, 'Άρρυθμος καρδιακός παλμός');
INSERT INTO `lang_definitions` VALUES (65103, 3186, 17, 'Ευερεθιστότητα');
INSERT INTO `lang_definitions` VALUES (65104, 3187, 17, 'Ερεθισμός');
INSERT INTO `lang_definitions` VALUES (65105, 3188, 17, 'είναι μια διαφορετική έκδοση γλώσσας της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (65106, 3189, 17, 'είναι μια διαφορετική έκδοση της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (65107, 3190, 17, 'είναι μια πιο νέα έκδοση της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (65108, 3191, 17, 'είναι υποχρεωτικό πεδίο.');
INSERT INTO `lang_definitions` VALUES (65109, 3192, 17, 'είναι βασικός κόμβος και δεν μπορεί να σβηστεί');
INSERT INTO `lang_definitions` VALUES (65110, 3193, 17, 'είναι μια επέκταση της ακόλουθης βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (65111, 3195, 17, 'είναι άστοχο ή άγνωστο');
INSERT INTO `lang_definitions` VALUES (65112, 3197, 17, 'δεν είναι έγκυρο (τα δεκαδικά κλάσματα είναι εντάξει).');
INSERT INTO `lang_definitions` VALUES (65113, 3198, 17, 'Η PHP χρησιμοποιεί Safe Mode;');
INSERT INTO `lang_definitions` VALUES (65114, 3200, 17, 'Να μεταφραστεί το κείμενο από τη διάταξη των εντύπων;');
INSERT INTO `lang_definitions` VALUES (65115, 3201, 17, 'Να μεταφραστεί το κείμενο από τις λίστες;');
INSERT INTO `lang_definitions` VALUES (65116, 3202, 17, 'Είναι το αρχείο κρυπτογραφημένο;');
INSERT INTO `lang_definitions` VALUES (65117, 3203, 17, 'Πρόκειται για έναν τύπο κωδικού Κλινικού Όρου;');
INSERT INTO `lang_definitions` VALUES (65118, 3204, 17, 'Πρόκειται για έναν τύπο διάγνωσης;');
INSERT INTO `lang_definitions` VALUES (65119, 3205, 17, 'Πρόκειται για έναν τύπο κωδικού Ιατρικού Προβλήματος;');
INSERT INTO `lang_definitions` VALUES (65120, 3207, 17, 'Αυτό είναι ένα είδος διαδικασίας/υπηρεσίας;');
INSERT INTO `lang_definitions` VALUES (65121, 3208, 17, 'Είναι ενεργό;');
INSERT INTO `lang_definitions` VALUES (65122, 3209, 17, 'Είναι ενεργός αυτός ο τύπος κώδικα;');
INSERT INTO `lang_definitions` VALUES (65123, 3210, 17, 'Χρησιμοποιείται αυτός ο κωδικός στα αιτήματα αποζημίωσης;');
INSERT INTO `lang_definitions` VALUES (65124, 3212, 17, 'Αυτός ο τύπος είναι κρυμένος στο Φύλλο Αμοιβής;');
INSERT INTO `lang_definitions` VALUES (65125, 3213, 17, 'Αυτό χρησιμοποιεί εξωτερ. πίνακες SQL; Αν ναι, τότε επιλέξτε τη μορφή');
INSERT INTO `lang_definitions` VALUES (65126, 3214, 17, 'είναι πολύ μακρύ');
INSERT INTO `lang_definitions` VALUES (65127, 3216, 17, 'Ιατρικό Θέμα');
INSERT INTO `lang_definitions` VALUES (65128, 3217, 17, 'ιατρικό θέμα');
INSERT INTO `lang_definitions` VALUES (65129, 3218, 17, 'Ημερομ. Ιατρ. θέματος');
INSERT INTO `lang_definitions` VALUES (65130, 3219, 17, 'Κωδικός Ιατρ. θέματος');
INSERT INTO `lang_definitions` VALUES (65131, 3220, 17, 'Τίτλος ιατρ. θέματος');
INSERT INTO `lang_definitions` VALUES (65132, 3221, 17, 'Είδος θέματος');
INSERT INTO `lang_definitions` VALUES (65133, 3222, 17, 'Είδη θεμάτων');
INSERT INTO `lang_definitions` VALUES (65134, 3223, 17, 'Ιατρικά θέματα');
INSERT INTO `lang_definitions` VALUES (65135, 3224, 17, 'Ιατρικά θέματα (Κακώσεις/Ιατρικά/Αλλεργία):');
INSERT INTO `lang_definitions` VALUES (65136, 3225, 17, 'Ιατρικά θέματα (Κακώσεις/Ιατρικά/Αλλεργία):');
INSERT INTO `lang_definitions` VALUES (65137, 3226, 17, 'Ιατρικά θέματα και Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (65138, 3227, 17, 'Συνοδές Νόσοι/Παθήσεις και Επισκέψεις για');
INSERT INTO `lang_definitions` VALUES (65139, 3228, 17, 'Μη εξουσιοδοτημένα Ιατρικά θέματα');
INSERT INTO `lang_definitions` VALUES (65140, 3229, 17, 'Τμήμα ιατρ. θεμάτων');
INSERT INTO `lang_definitions` VALUES (65141, 3230, 17, 'Ιταλικά');
INSERT INTO `lang_definitions` VALUES (65142, 3231, 17, 'Αντικείμενο');
INSERT INTO `lang_definitions` VALUES (65143, 3232, 17, 'αντικείμενο');
INSERT INTO `lang_definitions` VALUES (65144, 3233, 17, 'αντικείμενα');
INSERT INTO `lang_definitions` VALUES (65145, 3234, 17, 'Η φόρτωση των αντικειμένων απέτυχε');
INSERT INTO `lang_definitions` VALUES (65146, 3236, 17, 'Ενδομήτρια αντισύλληψη');
INSERT INTO `lang_definitions` VALUES (65147, 3237, 17, 'Ενδοφλέβια');
INSERT INTO `lang_definitions` VALUES (65148, 3238, 17, 'Ιαν');
INSERT INTO `lang_definitions` VALUES (65149, 3239, 17, 'Ιανουάριος');
INSERT INTO `lang_definitions` VALUES (65150, 3240, 17, 'Ιαπωνικά');
INSERT INTO `lang_definitions` VALUES (65151, 3241, 17, 'Ίκτερος');
INSERT INTO `lang_definitions` VALUES (65152, 3243, 17, 'Περιγραφή Εργασίας');
INSERT INTO `lang_definitions` VALUES (65153, 3244, 17, 'Κωδικός εργασίας');
INSERT INTO `lang_definitions` VALUES (65154, 3245, 17, 'Εξαρθρήματα');
INSERT INTO `lang_definitions` VALUES (65155, 3246, 17, 'Αρθραλγίες');
INSERT INTO `lang_definitions` VALUES (65156, 3247, 17, 'Διαστρέμματα');
INSERT INTO `lang_definitions` VALUES (65157, 3248, 17, 'Ιουλ');
INSERT INTO `lang_definitions` VALUES (65158, 3249, 17, 'Ιούλιος');
INSERT INTO `lang_definitions` VALUES (65159, 3250, 17, 'Ιουν');
INSERT INTO `lang_definitions` VALUES (65160, 3251, 17, 'Ιούνιος');
INSERT INTO `lang_definitions` VALUES (65161, 3252, 17, 'Ακριβώς κάτω από τις πληροφορίες ελέγχου είναι μια μπλε περιοχή όπου τοποθετείτε τις παραμέτρους της αναζήτησής σας. Μπορείτε να αναζητήσετε με βάση το όνομα του ασθενούς, τον αριθμό γραφήματος, τον αριθμό επίσκεψης ή την ημερομηνία της υπηρεσίας, ή οποιοδήποτε συνδυασμό αυτών. Μπορείτε επίσης να επιλέξετε αν θέλετε να δείτε όλα τα τιμολόγια, τα ανοικτά τιμολόγια, ή μόνο τα τιμολόγια που οφείλονται (από τον ασθενή). Κάντε κλικ στο κουμπί Αναζήτηση για να εκτελέσετε την αναζήτηση.');
INSERT INTO `lang_definitions` VALUES (65162, 3253, 17, 'Προβολή μόνο των δικών μου');
INSERT INTO `lang_definitions` VALUES (65163, 3254, 17, 'Καταχωρήσεις αιτιολόγησης');
INSERT INTO `lang_definitions` VALUES (65164, 3255, 17, 'Αιτιολόγηση');
INSERT INTO `lang_definitions` VALUES (65165, 3256, 17, 'Αιτιολόγηση/ Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (65166, 3258, 17, 'Εντάξει, ορίστε και τα υπόλοιπα');
INSERT INTO `lang_definitions` VALUES (65167, 3264, 17, 'Κλειδί');
INSERT INTO `lang_definitions` VALUES (65168, 3265, 17, 'Λέξεις κλειδιά');
INSERT INTO `lang_definitions` VALUES (65169, 3266, 17, 'κιλά');
INSERT INTO `lang_definitions` VALUES (65170, 3267, 17, 'kgr/m^2');
INSERT INTO `lang_definitions` VALUES (65171, 3269, 17, 'Καρκίνος νεφρού');
INSERT INTO `lang_definitions` VALUES (65172, 3270, 17, 'Νεφρική ανεπάρκεια');
INSERT INTO `lang_definitions` VALUES (65173, 3271, 17, 'Λοιμώξεις νεφρού');
INSERT INTO `lang_definitions` VALUES (65174, 3272, 17, 'Νεφρολιθίαση');
INSERT INTO `lang_definitions` VALUES (65175, 3273, 17, 'Μεταμοσχεύση νεφρού');
INSERT INTO `lang_definitions` VALUES (65176, 3277, 17, 'Γόνατο');
INSERT INTO `lang_definitions` VALUES (65177, 3278, 17, 'Προβλήματα γόνατος');
INSERT INTO `lang_definitions` VALUES (65178, 3279, 17, 'Αντικατάσταση γόνατος');
INSERT INTO `lang_definitions` VALUES (65179, 3282, 17, 'Κορεατικά');
INSERT INTO `lang_definitions` VALUES (65180, 3286, 17, 'Εργαστήριο');
INSERT INTO `lang_definitions` VALUES (65181, 3288, 17, 'Διεύθ. Ιστοσελίδας ανταλλαγής εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65182, 3289, 17, 'ID Ιστοσελίδας ανταλλαγής εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65183, 3290, 17, 'Κωδικός κουπονιού για την Ανταλλαγή εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65184, 3294, 17, 'Κατάσταση ερωτήματος εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65185, 3295, 17, 'Αναφορά εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65186, 3296, 17, 'Αποτελέσμα εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65187, 3297, 17, 'Αποτελέσματα εργαστηρ.');
INSERT INTO `lang_definitions` VALUES (65188, 3299, 17, 'Αναφορά Αποτελεσμάτων εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65189, 3300, 17, 'Υπηρεσίες εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65190, 3301, 17, 'Αποτελέσματα εργαστηριακών τεστ');
INSERT INTO `lang_definitions` VALUES (65191, 3303, 17, 'Ετικέτα');
INSERT INTO `lang_definitions` VALUES (65192, 3304, 17, 'Η ετικέτα δεν μπορεί να είναι κενή');
INSERT INTO `lang_definitions` VALUES (65193, 3305, 17, 'Στήλες ετικέτας');
INSERT INTO `lang_definitions` VALUES (65194, 3306, 17, 'Ετικέτες γι\'αυτόν τον τύπο');
INSERT INTO `lang_definitions` VALUES (65195, 3307, 17, 'Οι Στήλες Ετικέτας πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (65196, 3308, 17, 'Ετικέτες');
INSERT INTO `lang_definitions` VALUES (65197, 3311, 17, 'Εργαστήρια');
INSERT INTO `lang_definitions` VALUES (65198, 3312, 17, 'Θλαστικό/ κατάσταση δέρματος');
INSERT INTO `lang_definitions` VALUES (65199, 3313, 17, 'Θλαστικό / Εκδορά');
INSERT INTO `lang_definitions` VALUES (65200, 3316, 17, 'Γλώσσα');
INSERT INTO `lang_definitions` VALUES (65201, 3317, 17, 'Κωδικός γλώσσας');
INSERT INTO `lang_definitions` VALUES (65202, 3318, 17, 'Ο ορισμός της γλώσσας προστέθηκε');
INSERT INTO `lang_definitions` VALUES (65203, 3319, 17, 'Εργαλείο Διεπαφής Γλώσσας');
INSERT INTO `lang_definitions` VALUES (65204, 3320, 17, 'Λίστα γλωσσών (εγγραφή, προαιρ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (65205, 3321, 17, 'Όνομα γλώσσας');
INSERT INTO `lang_definitions` VALUES (65206, 3322, 17, 'Γλώσσα:');
INSERT INTO `lang_definitions` VALUES (65207, 3324, 17, 'Κατάγεται από το Λάος');
INSERT INTO `lang_definitions` VALUES (65208, 3325, 17, 'Επίθετο');
INSERT INTO `lang_definitions` VALUES (65209, 3326, 17, 'Ημερομ. τελευτ. δραστηριότητας');
INSERT INTO `lang_definitions` VALUES (65210, 3328, 17, 'Ημερομ. τελευτ. χρέωσης:');
INSERT INTO `lang_definitions` VALUES (65211, 3330, 17, 'Ετος τελευταίου ημερολογίου');
INSERT INTO `lang_definitions` VALUES (65212, 3333, 17, 'Τελευταία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65213, 3340, 17, 'Τελευταίο επίπεδο που χρεώθηκε');
INSERT INTO `lang_definitions` VALUES (65214, 3343, 17, 'Τελευταίος μήνας');
INSERT INTO `lang_definitions` VALUES (65215, 3344, 17, 'Επώνυμο');
INSERT INTO `lang_definitions` VALUES (65216, 3345, 17, 'Επώνυμο');
INSERT INTO `lang_definitions` VALUES (65217, 3346, 17, 'Επώνυμο:');
INSERT INTO `lang_definitions` VALUES (65218, 3350, 17, 'Τελευταία ανασκόπηση');
INSERT INTO `lang_definitions` VALUES (65219, 3351, 17, 'Η τελευταί εκτέλεση άρχισε στις');
INSERT INTO `lang_definitions` VALUES (65220, 3352, 17, 'Τελευταία αποθήκευση');
INSERT INTO `lang_definitions` VALUES (65221, 3356, 17, 'Τελευταία ενημέρωση από');
INSERT INTO `lang_definitions` VALUES (65222, 3357, 17, 'Τελευταία επαλήθευση στις');
INSERT INTO `lang_definitions` VALUES (65223, 3358, 17, 'Τελευταία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65224, 3360, 17, 'Όψιμη υποτροπή (2-12 μήνες)');
INSERT INTO `lang_definitions` VALUES (65225, 3361, 17, 'Έξω σφυρό');
INSERT INTO `lang_definitions` VALUES (65226, 3362, 17, 'Έξω σφυρό:');
INSERT INTO `lang_definitions` VALUES (65227, 3363, 17, 'Πλαγίωση');
INSERT INTO `lang_definitions` VALUES (65228, 3364, 17, 'Πλαγίωση αυτής της διαδικασίας (αν ταιριάζει)');
INSERT INTO `lang_definitions` VALUES (65229, 3365, 17, 'πλαγίως παρεκτοπισμένο σημείο μέγιστης ακρόασης:');
INSERT INTO `lang_definitions` VALUES (65230, 3373, 17, 'Βασίζεται στη Διάταξη');
INSERT INTO `lang_definitions` VALUES (65231, 3374, 17, 'Επεξεργ. της Διάταξης');
INSERT INTO `lang_definitions` VALUES (65232, 3375, 17, 'Ομάδες Διάταξης');
INSERT INTO `lang_definitions` VALUES (65233, 3376, 17, 'Στυλ Διάταξης');
INSERT INTO `lang_definitions` VALUES (65234, 3378, 17, 'Έντυπα επίσκεψης βασισμένα στη Διάταξη');
INSERT INTO `lang_definitions` VALUES (65235, 3379, 17, 'Διάταξη εντύπων');
INSERT INTO `lang_definitions` VALUES (65236, 3380, 17, 'λίβρες');
INSERT INTO `lang_definitions` VALUES (65237, 3381, 17, 'λίβρες');
INSERT INTO `lang_definitions` VALUES (65238, 3382, 17, 'LDL');
INSERT INTO `lang_definitions` VALUES (65239, 3383, 17, 'αφήστε κενό αν είναι ακόμα ενεργό');
INSERT INTO `lang_definitions` VALUES (65240, 3384, 17, 'Αφήστε κενό για να κρατήσετε το πρωτότυπο όνομα αρχείου');
INSERT INTO `lang_definitions` VALUES (65241, 3385, 17, 'Αφήστε κενό για να διατηρηθεί αμετάβλητος ο κωδικός πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (65242, 3386, 17, 'Να σταλεί μήνυμα με');
INSERT INTO `lang_definitions` VALUES (65243, 3387, 17, 'Αφήστε το έντυπο');
INSERT INTO `lang_definitions` VALUES (65244, 3388, 17, 'Αφήνοντας την φράση πρόσβασης κενή δεν θα κρυπτογραφηθεί το έγγραφο');
INSERT INTO `lang_definitions` VALUES (65245, 3390, 17, 'Αριστερά');
INSERT INTO `lang_definitions` VALUES (65246, 3391, 17, 'Αριστ. αυτί');
INSERT INTO `lang_definitions` VALUES (65247, 3392, 17, 'αριστ. αυτί');
INSERT INTO `lang_definitions` VALUES (65248, 3394, 17, 'Αριστερά:');
INSERT INTO `lang_definitions` VALUES (65249, 3395, 17, 'Αριστερά: ');
INSERT INTO `lang_definitions` VALUES (65250, 3396, 17, 'Άλγος κάτω άκρου/ Μυϊκή σύσπαση');
INSERT INTO `lang_definitions` VALUES (65251, 3397, 17, 'Νομικό');
INSERT INTO `lang_definitions` VALUES (65252, 3399, 17, 'Μέγεθος Χαρτιού Legal');
INSERT INTO `lang_definitions` VALUES (65253, 3400, 17, 'Υπόμνημα:');
INSERT INTO `lang_definitions` VALUES (65254, 3401, 17, 'Μήκος');
INSERT INTO `lang_definitions` VALUES (65255, 3402, 17, 'Μήκος τροποποιητή, 0 αν κανένας');
INSERT INTO `lang_definitions` VALUES (65256, 3403, 17, 'Μικρότερο από');
INSERT INTO `lang_definitions` VALUES (65257, 3404, 17, 'Μικρότερο ή ίσο από');
INSERT INTO `lang_definitions` VALUES (65258, 3405, 17, 'Λιγότερο Ευαίσθητα προσωπ. δεδομένα (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (65259, 3406, 17, 'Επιστολή');
INSERT INTO `lang_definitions` VALUES (65260, 3407, 17, 'Δημιουργ. Επιστολής');
INSERT INTO `lang_definitions` VALUES (65261, 3408, 17, 'Μέγεθος Χαρτιού Letter');
INSERT INTO `lang_definitions` VALUES (65262, 3409, 17, 'Επιστολή που υπογράφει ο ιατρός');
INSERT INTO `lang_definitions` VALUES (65263, 3410, 17, 'Επιστολή που υπογράφει ο ασθενής');
INSERT INTO `lang_definitions` VALUES (65264, 3411, 17, 'Βαθμός επείγοντος');
INSERT INTO `lang_definitions` VALUES (65265, 3412, 17, 'Ευθύνη');
INSERT INTO `lang_definitions` VALUES (65266, 3413, 17, 'Ιατρική ευθύνη');
INSERT INTO `lang_definitions` VALUES (65267, 3414, 17, 'Αρ. άδειας οδήγησης / Α.Δ.Τ.');
INSERT INTO `lang_definitions` VALUES (65268, 3419, 17, 'Επώνυμο Αδειοδοτημένου Συνταγογράφου');
INSERT INTO `lang_definitions` VALUES (65269, 3420, 17, 'Εθνικός Κωδικός Αδειοδοτημένου Συνταγογράφου');
INSERT INTO `lang_definitions` VALUES (65270, 3421, 17, 'UPIN Αδειοδοτημένου Συνταγογράφου');
INSERT INTO `lang_definitions` VALUES (65271, 3423, 17, 'Τρόπος ζωής');
INSERT INTO `lang_definitions` VALUES (65272, 3424, 17, 'Κατάσταση τρόπου ζωής');
INSERT INTO `lang_definitions` VALUES (65273, 3425, 17, 'Ρήξη συνδέσμου ή Διάστρεμμα');
INSERT INTO `lang_definitions` VALUES (65274, 3426, 17, 'Ελαφρός καπνιστής');
INSERT INTO `lang_definitions` VALUES (65275, 3428, 17, 'Όριο συμβάντων');
INSERT INTO `lang_definitions` VALUES (65276, 3429, 17, 'Όρια');
INSERT INTO `lang_definitions` VALUES (65277, 3431, 17, 'Σύνδεσμος');
INSERT INTO `lang_definitions` VALUES (65278, 3432, 17, 'Σύνδεσμος με τον Ασθενή');
INSERT INTO `lang_definitions` VALUES (65279, 3433, 17, 'Συνδεδεμένο');
INSERT INTO `lang_definitions` VALUES (65280, 3434, 17, 'Συνδεδεμένο έγγραφο');
INSERT INTO `lang_definitions` VALUES (65281, 3436, 17, 'συνδεδεμένο με έγγραφο');
INSERT INTO `lang_definitions` VALUES (65282, 3438, 17, 'Κατάλογος');
INSERT INTO `lang_definitions` VALUES (65283, 3439, 17, 'πλαίσιο λίστας');
INSERT INTO `lang_definitions` VALUES (65284, 3440, 17, 'πλαίσιο λίστας');
INSERT INTO `lang_definitions` VALUES (65285, 3441, 17, 'πλαίσιο λίστας με προσθήκη');
INSERT INTO `lang_definitions` VALUES (65286, 3442, 17, 'πλαίσιο λίστας με προσθήκη');
INSERT INTO `lang_definitions` VALUES (65287, 3443, 17, 'Επεξεργ. Καταλόγου');
INSERT INTO `lang_definitions` VALUES (65288, 3444, 17, 'Κατάλογος επισκέψεων');
INSERT INTO `lang_definitions` VALUES (65289, 3445, 17, 'Κατάλογος ομάδων');
INSERT INTO `lang_definitions` VALUES (65290, 3446, 17, 'Κατάλογος Ασφαλ. Εταιρειών');
INSERT INTO `lang_definitions` VALUES (65291, 3448, 17, 'Ο κατάλογος αντικειμ. δεν μπορεί να αρχίζει με αριθμό.');
INSERT INTO `lang_definitions` VALUES (65292, 3449, 17, 'Ο κατάλογος αντικειμ. περιέχει ανεπίτρεπτους χαρακτήρες.');
INSERT INTO `lang_definitions` VALUES (65293, 3451, 17, 'Κατάλογος καταλόγων');
INSERT INTO `lang_definitions` VALUES (65294, 3452, 17, 'Κατάλογος ονόματος');
INSERT INTO `lang_definitions` VALUES (65295, 3453, 17, 'Τα ονόματα καταλόγου δεν μπορεί να ξεκινούν με αριθμούς.');
INSERT INTO `lang_definitions` VALUES (65296, 3454, 17, 'Κατάλογος Συνταγών');
INSERT INTO `lang_definitions` VALUES (65297, 3455, 17, 'Λίστα που χρησιμοποιείται από την παραπάνω επιλογή Τύπου Δεδομένου Χώρας.');
INSERT INTO `lang_definitions` VALUES (65298, 3456, 17, 'Λίστα που χρησιμοποιείται από την παραπάνω επιλογή Τύπου Δεδομένου Νομού.');
INSERT INTO `lang_definitions` VALUES (65299, 3457, 17, 'Η θύρα στην οποία ακούει ο διακομιστής syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (65300, 3458, 17, 'Κατάλογοι');
INSERT INTO `lang_definitions` VALUES (65301, 3459, 17, 'Λιθουανικά');
INSERT INTO `lang_definitions` VALUES (65302, 3460, 17, 'Διαθήκη συνταχθείσα εν ζωή');
INSERT INTO `lang_definitions` VALUES (65303, 3461, 17, 'Αριστερός κάτω λοβός:');
INSERT INTO `lang_definitions` VALUES (65304, 3462, 17, 'Τελευταία έμμηνος ρύση');
INSERT INTO `lang_definitions` VALUES (65305, 3464, 17, 'Φόρτωση Ορισμών');
INSERT INTO `lang_definitions` VALUES (65306, 3465, 17, 'Φόρτωση Ρυθμίσεων Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (65307, 3466, 17, 'Φόρτωση Ρυθμίσεων Ερωτήσεων QE');
INSERT INTO `lang_definitions` VALUES (65308, 3467, 17, 'Φόρτωση Ορισμών Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65309, 3470, 17, 'ΦΟΡΤΩΝΕΤΑΙ');
INSERT INTO `lang_definitions` VALUES (65310, 3471, 17, 'Φόρτωση των αρχείων στη βάση δεδομένων. Αυτό θα πάρει λίγο χρόνο...');
INSERT INTO `lang_definitions` VALUES (65311, 3472, 17, 'Επίπεδο συνείδησης');
INSERT INTO `lang_definitions` VALUES (65312, 3473, 17, 'Τοπικό');
INSERT INTO `lang_definitions` VALUES (65313, 3476, 17, 'Γλώσσα');
INSERT INTO `lang_definitions` VALUES (65314, 3477, 17, 'Τοπικότητα');
INSERT INTO `lang_definitions` VALUES (65315, 3478, 17, 'Τοποθεσία');
INSERT INTO `lang_definitions` VALUES (65316, 3479, 17, 'εντοπισμός της μηχανής LibreEHR. Μπορεί να περιέχει ευαίσθητα δεδομένα. Συνιστάται να διαγράψετε χειροκίνητα τα αρχεία μετά τη χρήση του');
INSERT INTO `lang_definitions` VALUES (65317, 3480, 17, 'Τοποθεσία αυτής της παρτίδας');
INSERT INTO `lang_definitions` VALUES (65318, 3481, 17, 'Άγνωστη Τοποθεσία');
INSERT INTO `lang_definitions` VALUES (65319, 3482, 17, 'Τοποθεσία αποθήκευσης των Fax από το Hylafax.');
INSERT INTO `lang_definitions` VALUES (65320, 3483, 17, 'Τοποθεσία όπου αποθηκεύονται οι σαρώσεις.');
INSERT INTO `lang_definitions` VALUES (65321, 3484, 17, 'Τοποθεσία:');
INSERT INTO `lang_definitions` VALUES (65322, 3485, 17, 'Κλείδωμα');
INSERT INTO `lang_definitions` VALUES (65323, 3492, 17, 'Είσοδος');
INSERT INTO `lang_definitions` VALUES (65324, 3493, 17, 'Είσοδος');
INSERT INTO `lang_definitions` VALUES (65325, 3494, 17, 'Έξοδος');
INSERT INTO `lang_definitions` VALUES (65326, 3495, 17, 'Συνδέθηκε σε');
INSERT INTO `lang_definitions` VALUES (65327, 3496, 17, 'Συνδέθηκε ως');
INSERT INTO `lang_definitions` VALUES (65328, 3497, 17, 'Συνδέθηκε ως: ');
INSERT INTO `lang_definitions` VALUES (65329, 3498, 17, 'Αποσυνδέθηκε.');
INSERT INTO `lang_definitions` VALUES (65330, 3499, 17, 'Γίνεται σύνδεση');
INSERT INTO `lang_definitions` VALUES (65331, 3500, 17, 'Σύνδεση');
INSERT INTO `lang_definitions` VALUES (65332, 3501, 17, 'σύνδεση');
INSERT INTO `lang_definitions` VALUES (65333, 3503, 17, 'Σύνδεση με απομεμακρυσμένο host');
INSERT INTO `lang_definitions` VALUES (65334, 3504, 17, 'Η σύνδεση με αυτόν τον απομεμακρυσμένο host απέτυχε');
INSERT INTO `lang_definitions` VALUES (65335, 3505, 17, 'Αποσύνδεση');
INSERT INTO `lang_definitions` VALUES (65336, 3506, 17, 'αποσύνδεση');
INSERT INTO `lang_definitions` VALUES (65337, 3507, 17, 'Αρχεία Καταγραφής');
INSERT INTO `lang_definitions` VALUES (65338, 3508, 17, 'Προβολή Καταγραφών');
INSERT INTO `lang_definitions` VALUES (65339, 3510, 17, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (65340, 3511, 17, 'Παρτίδα');
INSERT INTO `lang_definitions` VALUES (65341, 3512, 17, 'Λείπει ο Κωδικός παρτίδας!');
INSERT INTO `lang_definitions` VALUES (65342, 3513, 17, 'Αριθμός παρτίδας');
INSERT INTO `lang_definitions` VALUES (65343, 3514, 17, 'Χαμηλό');
INSERT INTO `lang_definitions` VALUES (65344, 3515, 17, 'Χαμηλή προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (65345, 3516, 17, 'Κάτω άκρο');
INSERT INTO `lang_definitions` VALUES (65346, 3517, 17, 'Η χαμηλώτερη προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (65347, 3519, 17, 'Οσφ.Μ.Σ.Σ.');
INSERT INTO `lang_definitions` VALUES (65348, 3520, 17, 'ΓΕΥΜΑ');
INSERT INTO `lang_definitions` VALUES (65349, 3521, 17, 'Γεύμα');
INSERT INTO `lang_definitions` VALUES (65350, 3522, 17, 'Καρκίνος του πνεύμονα');
INSERT INTO `lang_definitions` VALUES (65351, 3523, 17, 'Εγχείρηση καρκίνου του πνεύμονα');
INSERT INTO `lang_definitions` VALUES (65352, 3524, 17, 'ΠΝΕΥΜΟΝΕΣ:');
INSERT INTO `lang_definitions` VALUES (65353, 3525, 17, 'Πνεύμονες:');
INSERT INTO `lang_definitions` VALUES (65354, 3526, 17, 'Λύκος');
INSERT INTO `lang_definitions` VALUES (65355, 3528, 17, 'Μ');
INSERT INTO `lang_definitions` VALUES (65356, 3529, 17, 'Κύρια Κατηγορία');
INSERT INTO `lang_definitions` VALUES (65357, 3533, 17, 'Μηνύματα ταχυδρομείου απεστάλησαν');
INSERT INTO `lang_definitions` VALUES (65358, 3534, 17, 'Βασικό');
INSERT INTO `lang_definitions` VALUES (65359, 3535, 17, 'Κύρια Διεύθυνση');
INSERT INTO `lang_definitions` VALUES (65360, 3536, 17, 'Βασικό πάνω παράθυρο στην οθόνη');
INSERT INTO `lang_definitions` VALUES (65361, 3537, 17, 'Διατήρηση ενεργούς λίστας φαρμακευτικών αλλεργιών.');
INSERT INTO `lang_definitions` VALUES (65362, 3538, 17, 'Διατήρηση ενεργούς λίστας φαρμάκων.');
INSERT INTO `lang_definitions` VALUES (65363, 3539, 17, 'Διατήρηση ενημερωμένης λίστας προβλημάτων τρεχουσών και ενεργών διαγνώσεων.');
INSERT INTO `lang_definitions` VALUES (65364, 3540, 17, 'Κάντε αλλαγές στις τρέχουσες κατηγορίες.');
INSERT INTO `lang_definitions` VALUES (65365, 3541, 17, 'Νέο ραντεβού για');
INSERT INTO `lang_definitions` VALUES (65366, 3542, 17, 'Βεβαιωθείτε ότι \"');
INSERT INTO `lang_definitions` VALUES (65367, 3545, 17, 'Αδιαθεσία:');
INSERT INTO `lang_definitions` VALUES (65368, 3548, 17, 'Άρρεν');
INSERT INTO `lang_definitions` VALUES (65369, 3549, 17, 'Ανδρικά προφυλακτικά');
INSERT INTO `lang_definitions` VALUES (65370, 3550, 17, 'Εκούσια χειρουργ. στείρωση του άνδρα');
INSERT INTO `lang_definitions` VALUES (65371, 3552, 17, 'Μαστογραφία');
INSERT INTO `lang_definitions` VALUES (65372, 3553, 17, 'διαχείριση');
INSERT INTO `lang_definitions` VALUES (65373, 3556, 17, 'Διαχείριση Μεταφράσεων');
INSERT INTO `lang_definitions` VALUES (65374, 3557, 17, 'Διαχείριση');
INSERT INTO `lang_definitions` VALUES (65375, 3558, 17, 'Υποχρεωτ. και συγκεκριμένα πεδία');
INSERT INTO `lang_definitions` VALUES (65376, 3559, 17, 'Μόνον υποχρεωτ. ή συγκεκριμένα πεδία, έλεγχος διπλής απάντησης (dup check), χωρίς αναζήτηση');
INSERT INTO `lang_definitions` VALUES (65377, 3560, 17, 'Μόνον υποχρεωτ. ή συγκεκριμένα πεδία, αναζήτηση και έλεγχος διπλής απάντησης (dup check)');
INSERT INTO `lang_definitions` VALUES (65378, 3561, 17, 'Εγχειρίδιο');
INSERT INTO `lang_definitions` VALUES (65379, 3562, 17, 'Χειροκίνητη αποστολή');
INSERT INTO `lang_definitions` VALUES (65380, 3563, 17, 'Κατασκευαστής');
INSERT INTO `lang_definitions` VALUES (65381, 3565, 17, 'Μάρτ.');
INSERT INTO `lang_definitions` VALUES (65382, 3568, 17, 'Μάρτιος');
INSERT INTO `lang_definitions` VALUES (65383, 3569, 17, 'Οικογεν. κατάσταση');
INSERT INTO `lang_definitions` VALUES (65384, 3571, 17, 'Επισημάντε ως Χρεωθέν αλλά παραλείψτε την χρέωση');
INSERT INTO `lang_definitions` VALUES (65385, 3572, 17, 'Επισημάντε ως Εκκαθαρισθέν');
INSERT INTO `lang_definitions` VALUES (65386, 3573, 17, 'Επισημάντε ως Μη Χρεωθέν');
INSERT INTO `lang_definitions` VALUES (65387, 3574, 17, 'Επισήμανση αυτών των αναφορών ως Αναθεωρημένες');
INSERT INTO `lang_definitions` VALUES (65388, 3575, 17, 'Επισημάνθηκε ως Εκκαθαρισθέν');
INSERT INTO `lang_definitions` VALUES (65389, 3576, 17, 'Έγγαμος/η');
INSERT INTO `lang_definitions` VALUES (65390, 3578, 17, 'Μάσκα');
INSERT INTO `lang_definitions` VALUES (65391, 3579, 17, 'Μάσκα για Αριθμ. Τιμολογίου');
INSERT INTO `lang_definitions` VALUES (65392, 3580, 17, 'Μάσκα για Κωδ. Ασθενών');
INSERT INTO `lang_definitions` VALUES (65393, 3581, 17, 'Μάσκα για Κωδ. Προϊόντων');
INSERT INTO `lang_definitions` VALUES (65394, 3582, 17, 'Ταίριασμα');
INSERT INTO `lang_definitions` VALUES (65395, 3583, 17, 'Ταίριασμα πεζών-κεφαλαίων');
INSERT INTO `lang_definitions` VALUES (65396, 3591, 17, 'Μεγ.');
INSERT INTO `lang_definitions` VALUES (65397, 3592, 17, 'μέγιστος αριθμών αρχείων - φορτώστε ξανά τα ονόματα παρακάτω');
INSERT INTO `lang_definitions` VALUES (65398, 3594, 17, 'Δεξιά άνω γνάθος:');
INSERT INTO `lang_definitions` VALUES (65399, 3595, 17, 'Μέγιστη Ηλικία');
INSERT INTO `lang_definitions` VALUES (65400, 3596, 17, 'Μέγιστοι χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (65401, 3597, 17, 'Max χρόνος αδρανείας σε secs, πριν την αποσύνδεση. Ο προκαθορισμένος είναι 7200 (2 ώρες)');
INSERT INTO `lang_definitions` VALUES (65402, 3600, 17, 'Μέγιστο μέγεθος εύλογης απογραφής αποθεμάτων και, εάν δεν ισχύει, θα μπει το 0');
INSERT INTO `lang_definitions` VALUES (65403, 3601, 17, 'Μέγιστο μέγεθος');
INSERT INTO `lang_definitions` VALUES (65404, 3602, 17, 'Μέγιστο μέγεθος (αν εισάγετε το 0 θα επιτραπεί οποιοδήποτε μέγεθος)');
INSERT INTO `lang_definitions` VALUES (65405, 3603, 17, 'Μάιος');
INSERT INTO `lang_definitions` VALUES (65406, 3604, 17, 'Master Card');
INSERT INTO `lang_definitions` VALUES (65407, 3605, 17, 'mcg');
INSERT INTO `lang_definitions` VALUES (65408, 3607, 17, 'Κανένας από τους 3 τελευταίους κωδικούς δεν επιτρέπονται όταν αλλάζετε κωδικό πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (65409, 3609, 17, 'Κωδικός Ομάδας Μέτρησης');
INSERT INTO `lang_definitions` VALUES (65410, 3611, 17, 'Μέτρηση');
INSERT INTO `lang_definitions` VALUES (65411, 3612, 17, 'Έσω σφυρός:');
INSERT INTO `lang_definitions` VALUES (65412, 3613, 17, 'Ταμείο Κοινων. Πρόνοιας (Medicaid)');
INSERT INTO `lang_definitions` VALUES (65413, 3614, 17, 'Ιατρικό');
INSERT INTO `lang_definitions` VALUES (65414, 3615, 17, 'Ιατρική Άμβλωση');
INSERT INTO `lang_definitions` VALUES (65415, 3616, 17, 'Ιατρική Διοίκηση');
INSERT INTO `lang_definitions` VALUES (65416, 3617, 17, 'Ιατρικό Ιστορικό');
INSERT INTO `lang_definitions` VALUES (65417, 3618, 17, 'Ιατρικό Θέμα');
INSERT INTO `lang_definitions` VALUES (65418, 3619, 17, 'Ιατρικό θέμα');
INSERT INTO `lang_definitions` VALUES (65419, 3620, 17, 'Συνοδός Νόσος/Πάθηση');
INSERT INTO `lang_definitions` VALUES (65420, 3621, 17, 'Ιατρικό Πρόβλημα');
INSERT INTO `lang_definitions` VALUES (65421, 3622, 17, 'Ιατρικά Προβλήματα');
INSERT INTO `lang_definitions` VALUES (65422, 3623, 17, 'Συνοδές Νόσοι/Παθήσεις');
INSERT INTO `lang_definitions` VALUES (65423, 3624, 17, 'Ιατρικός Φάκελος');
INSERT INTO `lang_definitions` VALUES (65424, 3625, 17, 'Αριθμ. Φακέλου');
INSERT INTO `lang_definitions` VALUES (65425, 3626, 17, 'Ιατρικοί φάκελοι');
INSERT INTO `lang_definitions` VALUES (65426, 3627, 17, 'Ιατρικοί φάκελοι εστάλησαν');
INSERT INTO `lang_definitions` VALUES (65427, 3629, 17, 'Η Ιατρική Περίληψη δώθηκε');
INSERT INTO `lang_definitions` VALUES (65428, 3630, 17, 'Ιατρικό σύστημα');
INSERT INTO `lang_definitions` VALUES (65429, 3631, 17, 'Ιατρικός Τύπος');
INSERT INTO `lang_definitions` VALUES (65430, 3632, 17, 'Ιατρικό Ιστορικό (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (65431, 3633, 17, 'Ταμείο Κοινων. Πρόνοιας (Medicaid) μέρος Β');
INSERT INTO `lang_definitions` VALUES (65432, 3635, 17, 'Φάρμακο');
INSERT INTO `lang_definitions` VALUES (65433, 3636, 17, 'Λίστα Φαρμακευτικών Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (65434, 3637, 17, 'Λίστα Ιατρικών Προβλημάτων');
INSERT INTO `lang_definitions` VALUES (65435, 3638, 17, 'Λίστα Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (65436, 3640, 17, 'Φάρμακα');
INSERT INTO `lang_definitions` VALUES (65437, 3641, 17, 'Φάρμακα:');
INSERT INTO `lang_definitions` VALUES (65438, 3642, 17, 'Μονάδες μέτρησης φαρμάκου');
INSERT INTO `lang_definitions` VALUES (65439, 3643, 17, 'Μέσο');
INSERT INTO `lang_definitions` VALUES (65440, 3645, 17, 'Έκθεση στατιστικών των μελών του Συλλόγου');
INSERT INTO `lang_definitions` VALUES (65441, 3646, 17, 'Προβλ. μνήμης');
INSERT INTO `lang_definitions` VALUES (65442, 3647, 17, 'Άνδρες');
INSERT INTO `lang_definitions` VALUES (65443, 3648, 17, 'Άνδρες και Γυναίκες');
INSERT INTO `lang_definitions` VALUES (65444, 3649, 17, 'Μόνον άνδρες');
INSERT INTO `lang_definitions` VALUES (65445, 3650, 17, 'Εμμηναρχή');
INSERT INTO `lang_definitions` VALUES (65446, 3651, 17, 'Εμμηνόπαυση');
INSERT INTO `lang_definitions` VALUES (65447, 3652, 17, 'Καταμήνια ροή');
INSERT INTO `lang_definitions` VALUES (65448, 3653, 17, 'Καταμήνια συχνότητα');
INSERT INTO `lang_definitions` VALUES (65449, 3654, 17, 'Ψυχική Ασθένεια');
INSERT INTO `lang_definitions` VALUES (65450, 3657, 17, 'Συγχώνευση');
INSERT INTO `lang_definitions` VALUES (65451, 3658, 17, 'Πλήρης συγχώνευση');
INSERT INTO `lang_definitions` VALUES (65452, 3659, 17, 'Συγχώνευση ασθενών');
INSERT INTO `lang_definitions` VALUES (65453, 3661, 17, 'Μήνυμα');
INSERT INTO `lang_definitions` VALUES (65454, 3662, 17, 'Κέντρο Μηνυμάτων και Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (65455, 3663, 17, 'Το περιεχόμενο του μηνύματος δεν ειναι απλό κείμενο και, έτσι, αποθκεύθηκε ως έγγραφο.');
INSERT INTO `lang_definitions` VALUES (65456, 3665, 17, 'Το μήνυμα εστάλη');
INSERT INTO `lang_definitions` VALUES (65457, 3666, 17, 'Κατάσταση Μηνυμάτων');
INSERT INTO `lang_definitions` VALUES (65458, 3669, 17, 'Είδος μηνύματος');
INSERT INTO `lang_definitions` VALUES (65459, 3670, 17, 'ΜΗΝΥΜΑ:');
INSERT INTO `lang_definitions` VALUES (65460, 3671, 17, 'Μηνύματα');
INSERT INTO `lang_definitions` VALUES (65461, 3672, 17, 'Μηνύματα που στείλατε σήμερα');
INSERT INTO `lang_definitions` VALUES (65462, 3673, 17, 'Μέθοδος');
INSERT INTO `lang_definitions` VALUES (65463, 3674, 17, 'Μέθοδος και Ειδικό Προϊόν');
INSERT INTO `lang_definitions` VALUES (65464, 3675, 17, 'Μέθοδος αποστολής εξερχομ. e-mails');
INSERT INTO `lang_definitions` VALUES (65465, 3676, 17, 'Μέθοδος Kαταστροφής');
INSERT INTO `lang_definitions` VALUES (65466, 3677, 17, 'Μεξικανικά');
INSERT INTO `lang_definitions` VALUES (65467, 3679, 17, 'mg');
INSERT INTO `lang_definitions` VALUES (65468, 3680, 17, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (65469, 3681, 17, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (65470, 3682, 17, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (65471, 3683, 17, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (65472, 3684, 17, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (65473, 3685, 17, 'mg/dl');
INSERT INTO `lang_definitions` VALUES (65474, 3686, 17, 'Μέσο');
INSERT INTO `lang_definitions` VALUES (65475, 3687, 17, 'Μεσαίο όνομα');
INSERT INTO `lang_definitions` VALUES (65476, 3688, 17, 'Μεσαίο όνομα');
INSERT INTO `lang_definitions` VALUES (65477, 3696, 17, 'Μετανάστης ή εποχιακά εργαζόμενος;');
INSERT INTO `lang_definitions` VALUES (65478, 3697, 17, 'Μετανάστης/Εποχιακός');
INSERT INTO `lang_definitions` VALUES (65479, 3702, 17, 'MimeType');
INSERT INTO `lang_definitions` VALUES (65480, 3703, 17, 'Ελαχ.');
INSERT INTO `lang_definitions` VALUES (65481, 3704, 17, 'λεπτά');
INSERT INTO `lang_definitions` VALUES (65482, 3705, 17, 'Ελάχιστη Ηλικία');
INSERT INTO `lang_definitions` VALUES (65483, 3706, 17, 'Ήπιο διάστρεμμα άρθρωσης +/- Θυλακίτις');
INSERT INTO `lang_definitions` VALUES (65484, 3708, 17, 'Λεπτό');
INSERT INTO `lang_definitions` VALUES (65485, 3709, 17, 'λεπτά');
INSERT INTO `lang_definitions` VALUES (65486, 3710, 17, 'λεπτά');
INSERT INTO `lang_definitions` VALUES (65487, 3712, 17, 'Διάφορα');
INSERT INTO `lang_definitions` VALUES (65488, 3713, 17, 'Διάφορες Eπιλογές χρέωσης');
INSERT INTO `lang_definitions` VALUES (65489, 3714, 17, 'Διάφορες Eπιλογές χρέωσης HCFA-1500');
INSERT INTO `lang_definitions` VALUES (65490, 3715, 17, 'Διάφορες Eπιλογές χρέωσης HCFA');
INSERT INTO `lang_definitions` VALUES (65491, 3716, 17, 'Διάφορα');
INSERT INTO `lang_definitions` VALUES (65492, 3717, 17, 'Λείπει');
INSERT INTO `lang_definitions` VALUES (65493, 3718, 17, 'λείπει');
INSERT INTO `lang_definitions` VALUES (65494, 3719, 17, 'Λείπει ένα απαραίτητο πεδίο');
INSERT INTO `lang_definitions` VALUES (65495, 3720, 17, 'Αμοιβή λείπει');
INSERT INTO `lang_definitions` VALUES (65496, 3722, 17, 'Λείπει ή είναι άκυρο');
INSERT INTO `lang_definitions` VALUES (65497, 3723, 17, 'Κωδικός ασθενούς λείπει');
INSERT INTO `lang_definitions` VALUES (65498, 3724, 17, 'Λείπει ημερομ. αναφοράς');
INSERT INTO `lang_definitions` VALUES (65499, 3725, 17, 'Λείπει η κάθετος μετά τον πληρωτή στην πηγή για τον κώδικα ');
INSERT INTO `lang_definitions` VALUES (65500, 3726, 17, 'Μικτό');
INSERT INTO `lang_definitions` VALUES (65501, 3727, 17, 'ml');
INSERT INTO `lang_definitions` VALUES (65502, 3728, 17, 'Μήνας/Ημέρα/Έτος');
INSERT INTO `lang_definitions` VALUES (65503, 3729, 17, 'mm/Hg');
INSERT INTO `lang_definitions` VALUES (65504, 3730, 17, 'mmHg');
INSERT INTO `lang_definitions` VALUES (65505, 3731, 17, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (65506, 3732, 17, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (65507, 3733, 17, 'Κινητό');
INSERT INTO `lang_definitions` VALUES (65508, 3734, 17, 'Κινητό τηλέφ.');
INSERT INTO `lang_definitions` VALUES (65509, 3735, 17, 'Τροποπ');
INSERT INTO `lang_definitions` VALUES (65510, 3738, 17, 'Μέτρια Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (65511, 3740, 17, 'Μέτρια/Χαμηλή Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (65512, 3741, 17, 'Τροποποιητής');
INSERT INTO `lang_definitions` VALUES (65513, 3742, 17, 'Τροποποιητές');
INSERT INTO `lang_definitions` VALUES (65514, 3743, 17, 'Τροποποίηση');
INSERT INTO `lang_definitions` VALUES (65515, 3745, 17, 'Τροποποίηση πληρωμών');
INSERT INTO `lang_definitions` VALUES (65516, 3746, 17, 'ΜήκοςΤροποποιητή');
INSERT INTO `lang_definitions` VALUES (65517, 3753, 17, 'Δευτ.');
INSERT INTO `lang_definitions` VALUES (65518, 3754, 17, 'Δευτ.- Παρ.');
INSERT INTO `lang_definitions` VALUES (65519, 3755, 17, 'Δευτ., Τετ. &amp; Παρ.');
INSERT INTO `lang_definitions` VALUES (65520, 3756, 17, 'Δευτέρα');
INSERT INTO `lang_definitions` VALUES (65521, 3758, 17, 'Μήνας');
INSERT INTO `lang_definitions` VALUES (65522, 3759, 17, 'μήνας');
INSERT INTO `lang_definitions` VALUES (65523, 3760, 17, 'Προβολή Μηνός');
INSERT INTO `lang_definitions` VALUES (65524, 3761, 17, 'Μήνας (-ες)');
INSERT INTO `lang_definitions` VALUES (65525, 3762, 17, 'Μηνιαίο εισόδημα');
INSERT INTO `lang_definitions` VALUES (65526, 3763, 17, 'Μήνες');
INSERT INTO `lang_definitions` VALUES (65527, 3765, 17, 'Βρέθηκαν πάνω από 100 καταχωρήσεις. Παρακαλώ περιορίστε τα κριτήρια αναζήτησης.');
INSERT INTO `lang_definitions` VALUES (65528, 3766, 17, 'Πάνω από 50 αποτελέσματα, παρακαλώ εξειδικεύστε την αναζήτηση σας.');
INSERT INTO `lang_definitions` VALUES (65529, 3767, 17, 'Μπορείτε να κάνετε κλικ στις περισσότερες κεφαλίδες στηλών για να αλλάξετε τη σειρά ταξινόμησης.');
INSERT INTO `lang_definitions` VALUES (65530, 3768, 17, 'Πλέον πρόσφατο από');
INSERT INTO `lang_definitions` VALUES (65531, 3770, 17, 'Πλέον πρόσφατα ζωτικά από:');
INSERT INTO `lang_definitions` VALUES (65532, 3771, 17, 'Μητέρα');
INSERT INTO `lang_definitions` VALUES (65533, 3772, 17, 'Όνομα μητέρας');
INSERT INTO `lang_definitions` VALUES (65534, 3774, 17, 'Στόμα');
INSERT INTO `lang_definitions` VALUES (65535, 3775, 17, 'Κίνηση');
INSERT INTO `lang_definitions` VALUES (65536, 3776, 17, 'Μετακίνηση Εγγράφου στην Κατηγορία:');
INSERT INTO `lang_definitions` VALUES (65537, 3777, 17, 'Μετακίνηση προς τα κάτω');
INSERT INTO `lang_definitions` VALUES (65538, 3778, 17, 'Η μετακίνηση απέτυχε!');
INSERT INTO `lang_definitions` VALUES (65539, 3779, 17, 'Μετακίνηση σε Ασθενή');
INSERT INTO `lang_definitions` VALUES (65540, 3780, 17, 'Μετακίνηση σε ...');
INSERT INTO `lang_definitions` VALUES (65541, 3781, 17, 'Μετακίνηση προς τα πάνω');
INSERT INTO `lang_definitions` VALUES (65542, 3782, 17, 'Γίνεται μετακίνηση');
INSERT INTO `lang_definitions` VALUES (65543, 3783, 17, 'Κος.');
INSERT INTO `lang_definitions` VALUES (65544, 3785, 17, 'Κα.');
INSERT INTO `lang_definitions` VALUES (65545, 3786, 17, 'Δις.');
INSERT INTO `lang_definitions` VALUES (65546, 3796, 17, 'Πολυγλωσσικό εργαλείο');
INSERT INTO `lang_definitions` VALUES (65547, 3797, 17, 'Πολλαπλές περιοχές');
INSERT INTO `lang_definitions` VALUES (65548, 3798, 17, 'Πολλαπλά αρχεία μπορούν να φορτωθούν σε ένα χρόνο με την επιλογή τους χρησιμοποιώντας το συνδυασμό πλήκτρων CTRL + κλικ ή Shift + κλικ.');
INSERT INTO `lang_definitions` VALUES (65549, 3799, 17, 'Πολλαπλοί κωδικοί παρτίδας');
INSERT INTO `lang_definitions` VALUES (65550, 3800, 17, 'Πολλαπλοί τροποποιητές μπορούν να διαχωριστούν με άνω και κάτω τελείες ή κενά, μέγιστο 4 (M1: M2: M3: Μ4)');
INSERT INTO `lang_definitions` VALUES (65551, 3802, 17, 'Πολυφυλετικό');
INSERT INTO `lang_definitions` VALUES (65552, 3803, 17, 'Φύσημα:');
INSERT INTO `lang_definitions` VALUES (65553, 3804, 17, 'Μυαλγία');
INSERT INTO `lang_definitions` VALUES (65554, 3805, 17, 'Μυαλγίες');
INSERT INTO `lang_definitions` VALUES (65555, 3806, 17, 'Μυϊκή ερυθρότητα');
INSERT INTO `lang_definitions` VALUES (65556, 3807, 17, 'Μυϊκή δυσκαμψία');
INSERT INTO `lang_definitions` VALUES (65557, 3808, 17, 'Μυϊκό οίδημα');
INSERT INTO `lang_definitions` VALUES (65558, 3809, 17, 'Μυϊκή θερμότης');
INSERT INTO `lang_definitions` VALUES (65559, 3810, 17, 'Μυς');
INSERT INTO `lang_definitions` VALUES (65560, 3811, 17, 'Κάκωση μυός');
INSERT INTO `lang_definitions` VALUES (65561, 3812, 17, 'Μυοσκελετικό');
INSERT INTO `lang_definitions` VALUES (65562, 3813, 17, 'Πρέπει να είναι κενό αν δεν χρησιμοποιείται η πιστοποίηση SMTP');
INSERT INTO `lang_definitions` VALUES (65563, 3814, 17, 'Αμοιβαίως καθορισμένο');
INSERT INTO `lang_definitions` VALUES (65564, 3815, 17, 'Αυτοκιν/κό ατύχημα');
INSERT INTO `lang_definitions` VALUES (65565, 3818, 17, 'Εγώ ο ίδιος');
INSERT INTO `lang_definitions` VALUES (65566, 3821, 17, 'ΜΗ ΔΙΑΘ.');
INSERT INTO `lang_definitions` VALUES (65567, 3822, 17, 'μή διαθ.');
INSERT INTO `lang_definitions` VALUES (65568, 3823, 17, 'Όνομα');
INSERT INTO `lang_definitions` VALUES (65569, 3825, 17, 'Όνομα (κάντε κλικ για περισσότερα)');
INSERT INTO `lang_definitions` VALUES (65570, 3826, 17, 'Όνομα 1');
INSERT INTO `lang_definitions` VALUES (65571, 3827, 17, 'Όνομα 2');
INSERT INTO `lang_definitions` VALUES (65572, 3828, 17, 'Όνομα και Τίτλος του Εμβολιαστού');
INSERT INTO `lang_definitions` VALUES (65573, 3831, 17, 'Όνομα των Συμβάντων');
INSERT INTO `lang_definitions` VALUES (65574, 3832, 17, 'Όνομα Ασφαλ. Εταιρείας');
INSERT INTO `lang_definitions` VALUES (65575, 3833, 17, 'Όνομα Παρόχου');
INSERT INTO `lang_definitions` VALUES (65576, 3834, 17, 'Όνομα αποστολέα για τις υπενθυμίσεις ασθενών');
INSERT INTO `lang_definitions` VALUES (65577, 3835, 17, 'Μετάφραση ονόματος');
INSERT INTO `lang_definitions` VALUES (65578, 3836, 17, 'Όνομα/Αξία');
INSERT INTO `lang_definitions` VALUES (65579, 3837, 17, 'Όνομα:');
INSERT INTO `lang_definitions` VALUES (65580, 3838, 17, 'ΡΩΘΩΝΕΣ:');
INSERT INTO `lang_definitions` VALUES (65581, 3839, 17, 'Ρώθωνες: Δεξιά κ.φ.');
INSERT INTO `lang_definitions` VALUES (65582, 3840, 17, 'Ρινικός βλεννογόνος ροζ, Διάφραγμα στη μέση γραμμή');
INSERT INTO `lang_definitions` VALUES (65583, 3844, 17, 'Εθνικότητα');
INSERT INTO `lang_definitions` VALUES (65584, 3847, 17, 'Αυτόχθων εκ Χαβάης ή άλλης Νήσου του Ειρηνικού');
INSERT INTO `lang_definitions` VALUES (65585, 3852, 17, 'Ναυτία');
INSERT INTO `lang_definitions` VALUES (65586, 3854, 17, 'Πλοήγηση');
INSERT INTO `lang_definitions` VALUES (65587, 3855, 17, 'Η περιοχή πλοήγησης περιέχει έντυπα επίσκεψης');
INSERT INTO `lang_definitions` VALUES (65588, 3856, 17, 'Η περιοχή πλοήγησης χρησιμοποιεί όλο το ύψος του πλαισίου');
INSERT INTO `lang_definitions` VALUES (65589, 3857, 17, 'Έντυπα Επίσκεψης Περιοχής Πλοήγησης');
INSERT INTO `lang_definitions` VALUES (65590, 3858, 17, 'Εύρος περιοχής πλοήγησης');
INSERT INTO `lang_definitions` VALUES (65591, 3859, 17, 'Μενού πλοήγησης αποτελείται από ζεύγη radio buttons');
INSERT INTO `lang_definitions` VALUES (65592, 3860, 17, 'To Μενού πλοήγησης είναι προβολή δέντρου');
INSERT INTO `lang_definitions` VALUES (65593, 3861, 17, 'Η Πλοήγηση χρήσιμοποιεί μενού ολίσθησης');
INSERT INTO `lang_definitions` VALUES (65594, 3862, 17, 'Κωδικός φαρμάκου');
INSERT INTO `lang_definitions` VALUES (65595, 3863, 17, 'Δεδομένα NDC');
INSERT INTO `lang_definitions` VALUES (65596, 3864, 17, 'Αριθμός κωδικού φαρμάκου');
INSERT INTO `lang_definitions` VALUES (65597, 3866, 17, 'Αυχένας');
INSERT INTO `lang_definitions` VALUES (65598, 3867, 17, 'Προβλ. αυχένος');
INSERT INTO `lang_definitions` VALUES (65599, 3868, 17, 'Υποστήριξη αυχένος');
INSERT INTO `lang_definitions` VALUES (65600, 3869, 17, 'Πρέπει να εισάγετε μια περιγραφή');
INSERT INTO `lang_definitions` VALUES (65601, 3870, 17, 'Πρέπει να εισάγετε μια Τιμή Επιστροφής');
INSERT INTO `lang_definitions` VALUES (65602, 3871, 17, 'Πρέπει να εισάγετε κωδ. αναγνώρισης');
INSERT INTO `lang_definitions` VALUES (65603, 3872, 17, 'Πρέπει να εισάγετε τίτλο');
INSERT INTO `lang_definitions` VALUES (65604, 3873, 17, 'Απαιτείται Εξουσιοδ.');
INSERT INTO `lang_definitions` VALUES (65605, 3874, 17, 'Απαιτείται Αιτιολόγηση');
INSERT INTO `lang_definitions` VALUES (65606, 3875, 17, 'Απαιτεί δευτερογενή χρέωση');
INSERT INTO `lang_definitions` VALUES (65607, 3876, 17, 'Αρνητικό');
INSERT INTO `lang_definitions` VALUES (65608, 3877, 17, 'Αρνητικά');
INSERT INTO `lang_definitions` VALUES (65609, 3880, 17, 'Κάκωση νεύρου');
INSERT INTO `lang_definitions` VALUES (65610, 3881, 17, 'Νευρολ. κατάσταση / Βλάβη νεύρου');
INSERT INTO `lang_definitions` VALUES (65611, 3882, 17, 'Νευρολ. αιμωδία');
INSERT INTO `lang_definitions` VALUES (65612, 3883, 17, 'Νευρολ. Αδυναμία');
INSERT INTO `lang_definitions` VALUES (65613, 3884, 17, 'Νευρολογικό');
INSERT INTO `lang_definitions` VALUES (65614, 3885, 17, 'Ποτέ');
INSERT INTO `lang_definitions` VALUES (65615, 3886, 17, 'Ποτέ οινόπνευμα');
INSERT INTO `lang_definitions` VALUES (65616, 3887, 17, 'Ποτέ καπνιστής');
INSERT INTO `lang_definitions` VALUES (65617, 3888, 17, 'Νέο');
INSERT INTO `lang_definitions` VALUES (65618, 3889, 17, 'Νέο =>');
INSERT INTO `lang_definitions` VALUES (65619, 3890, 17, 'Νέοι Αποδέκτες');
INSERT INTO `lang_definitions` VALUES (65620, 3892, 17, 'Νέα Αλλεργία');
INSERT INTO `lang_definitions` VALUES (65621, 3894, 17, 'Νέο Ραντεβού');
INSERT INTO `lang_definitions` VALUES (65622, 3895, 17, 'Νέες Κατηγορίες');
INSERT INTO `lang_definitions` VALUES (65623, 3896, 17, 'Νέα Κατηγορία');
INSERT INTO `lang_definitions` VALUES (65624, 3897, 17, 'Νέοι Πελάτες');
INSERT INTO `lang_definitions` VALUES (65625, 3898, 17, 'Νέα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65626, 3900, 17, 'Νέο σύνολο Ορισμών εισήχθη');
INSERT INTO `lang_definitions` VALUES (65627, 3901, 17, 'Νέο Έγγραφο');
INSERT INTO `lang_definitions` VALUES (65628, 3902, 17, 'Νέα Έγγραφα');
INSERT INTO `lang_definitions` VALUES (65629, 3904, 17, 'Νέα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65630, 3905, 17, 'Δημιουργήθηκε νέα επίσκεψη με αναγνωριστικό');
INSERT INTO `lang_definitions` VALUES (65631, 3906, 17, 'Νέο Έντυπο Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (65632, 3907, 17, 'Νέες επισκέψεις δεν επιτρέπονται');
INSERT INTO `lang_definitions` VALUES (65633, 3908, 17, 'Νέα επισκ');
INSERT INTO `lang_definitions` VALUES (65634, 3909, 17, 'Πληροφ. Νέας Έδρας');
INSERT INTO `lang_definitions` VALUES (65635, 3910, 17, 'Νέο αρχείο');
INSERT INTO `lang_definitions` VALUES (65636, 3911, 17, 'Νέα αρχεία');
INSERT INTO `lang_definitions` VALUES (65637, 3912, 17, 'Νέα Ομάδα');
INSERT INTO `lang_definitions` VALUES (65638, 3913, 17, 'Πληροφ. για Νέα Ομάδα');
INSERT INTO `lang_definitions` VALUES (65639, 3916, 17, 'Νέο Όριο Συμβάντων');
INSERT INTO `lang_definitions` VALUES (65640, 3917, 17, 'Νέος Κατάλογος');
INSERT INTO `lang_definitions` VALUES (65641, 3918, 17, 'Νέες Εντολές');
INSERT INTO `lang_definitions` VALUES (65642, 3919, 17, 'Νέα Παράγραφος');
INSERT INTO `lang_definitions` VALUES (65643, 3920, 17, 'Νέος Κωδικός');
INSERT INTO `lang_definitions` VALUES (65644, 3921, 17, 'Νέος Ασθενής');
INSERT INTO `lang_definitions` VALUES (65645, 3922, 17, 'ΝΕΟΣ ΑΣΘΕΝΗΣ');
INSERT INTO `lang_definitions` VALUES (65646, 3923, 17, 'Νέα Επίσκεψη ασθενούς');
INSERT INTO `lang_definitions` VALUES (65647, 3924, 17, 'Νέο Έντυπο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65648, 3925, 17, 'Νέος Κωδικός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65649, 3926, 17, 'Νέα Πληρωμή');
INSERT INTO `lang_definitions` VALUES (65650, 3928, 17, 'Νέος Ασθ');
INSERT INTO `lang_definitions` VALUES (65651, 3929, 17, 'Νέα αποτελέσματα από την Ανταλλαγή Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (65652, 3930, 17, 'Νέα Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (65653, 3931, 17, 'Νέες Αποστολές');
INSERT INTO `lang_definitions` VALUES (65654, 3932, 17, 'Νέος Χρήστης');
INSERT INTO `lang_definitions` VALUES (65655, 3934, 17, 'Νέα Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65656, 3935, 17, 'Νέος/Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (65657, 3961, 17, 'Εφημερίδα');
INSERT INTO `lang_definitions` VALUES (65658, 3962, 17, 'Επόμενο');
INSERT INTO `lang_definitions` VALUES (65659, 3964, 17, 'Επόμενη Ημέρα');
INSERT INTO `lang_definitions` VALUES (65660, 3965, 17, 'Επόμενος Μήνας');
INSERT INTO `lang_definitions` VALUES (65661, 3966, 17, 'Επόμ. Μήνας (κρατήστε πατημένο για εμφάνιση μενού)');
INSERT INTO `lang_definitions` VALUES (65662, 3967, 17, 'Επόμενη προγραμματισμένη εκτέλεση');
INSERT INTO `lang_definitions` VALUES (65663, 3968, 17, 'Επόμενη Εβδομάδα');
INSERT INTO `lang_definitions` VALUES (65664, 3969, 17, 'Επόμ. έτος (κρατήστε πατημένο για εμφάνιση μενού)');
INSERT INTO `lang_definitions` VALUES (65665, 3971, 17, 'Ψευδώνυμο');
INSERT INTO `lang_definitions` VALUES (65666, 3973, 17, 'Νυχτερινές εφιδρώσεις');
INSERT INTO `lang_definitions` VALUES (65667, 3974, 17, 'έξω γεννητ. όργανα, κολπικός βλενν., τράχηλος');
INSERT INTO `lang_definitions` VALUES (65668, 3975, 17, 'Όχι');
INSERT INTO `lang_definitions` VALUES (65669, 3976, 17, 'ΟΧΙ');
INSERT INTO `lang_definitions` VALUES (65670, 3977, 17, 'Καμία πρόσβαση');
INSERT INTO `lang_definitions` VALUES (65671, 3978, 17, 'Καμία ενεργός υπενθύμιση ασθενούς.');
INSERT INTO `lang_definitions` VALUES (65672, 3979, 17, 'Καμία αδενοπάθεια (απαιτούνται 2 περιοχές)');
INSERT INTO `lang_definitions` VALUES (65673, 3980, 17, 'Δεν βρέθηκε καμία προσαρμογή του είδους αιτιολόγησης για');
INSERT INTO `lang_definitions` VALUES (65674, 3981, 17, 'Καμία ευαισθησία των εξαρτημάτων/μάζες');
INSERT INTO `lang_definitions` VALUES (65675, 3983, 17, 'Κανένα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (65676, 3985, 17, 'Κανένα σύστημα χρέωσης δεν είναι ενεργό');
INSERT INTO `lang_definitions` VALUES (65677, 3986, 17, 'Δεν βρέθηκαν καθόλου λογαριασμοί να περιληφθούν στην εξαγωγή OFX');
INSERT INTO `lang_definitions` VALUES (65678, 3987, 17, 'Δεν βρέθηκαν χρεώσεις να περιληφθούν στην Εξαγωγή Ανοικτής Οικονομ. Ανταλλαγής <br>');
INSERT INTO `lang_definitions` VALUES (65679, 3989, 17, 'Δεν έχει καθοριστεί κωδικός!');
INSERT INTO `lang_definitions` VALUES (65680, 3992, 17, 'Καμία Διάγνωση');
INSERT INTO `lang_definitions` VALUES (65681, 3993, 17, 'Δεν βρέθηκαν Έγγραφα');
INSERT INTO `lang_definitions` VALUES (65682, 3994, 17, 'Αδύνατη η δημιουργία Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (65683, 3995, 17, 'Καμία ημερομ. λήξης');
INSERT INTO `lang_definitions` VALUES (65684, 3996, 17, 'Δεν βρέθηκαν εγγραφές, χρησιμοποιήστε την παρακάτω φόρμα για να προσθέσετε μια καταχώρηση.');
INSERT INTO `lang_definitions` VALUES (65685, 3997, 17, 'Δεν βρέθηκαν σφάλματα');
INSERT INTO `lang_definitions` VALUES (65686, 3998, 17, 'Κανένα συμβάν');
INSERT INTO `lang_definitions` VALUES (65687, 4001, 17, 'Καμία ομάδα δεν έχει επιλεγεί');
INSERT INTO `lang_definitions` VALUES (65688, 4002, 17, 'Καμία κήλη');
INSERT INTO `lang_definitions` VALUES (65689, 4005, 17, 'Καμία κάκωση/ νόσος');
INSERT INTO `lang_definitions` VALUES (65690, 4006, 17, 'Δεν βρέθηκαν Ασφαλιστικές Εταιρείες');
INSERT INTO `lang_definitions` VALUES (65691, 4007, 17, 'Κανένα Θέμα');
INSERT INTO `lang_definitions` VALUES (65692, 4008, 17, 'Δεν υπάρχουν θέματα σε αυτή την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65693, 4009, 17, 'Δεν υπάρχουν αντικείμενα στην επιλεγμένη κατηγορία');
INSERT INTO `lang_definitions` VALUES (65694, 4010, 17, 'Δεν έχουν επιλεγεί αντικείμενα!');
INSERT INTO `lang_definitions` VALUES (65695, 4025, 17, 'Δεν υπάρχει αρχείο καταγραφής για την επιλεχθείσα ημερομηνία');
INSERT INTO `lang_definitions` VALUES (65696, 4027, 17, 'Χωρίς μάζες, ευαισθησία');
INSERT INTO `lang_definitions` VALUES (65697, 4028, 17, 'Για τον Κωδικό Επαναταυτοποίησης που ζητάτε, ΔΕΝ βρέθηκε καμία αντιστοιχία με Φάκελο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65698, 4029, 17, 'Δεν βρέθηκε καμία αντιστοιχία. Δοκιμάστε ξανά μια αναζήτηση.');
INSERT INTO `lang_definitions` VALUES (65699, 4030, 17, 'Δε βρέθηκαν αντιστοιχίες.');
INSERT INTO `lang_definitions` VALUES (65700, 4031, 17, 'Δεν βρέθηκαν αντιστοιχίες. Να δημιουργηθεί τώρα Νέος Ασθενής;');
INSERT INTO `lang_definitions` VALUES (65701, 4032, 17, 'Δεν βρέθηκαν φάκελοι που να ταιριάζουν');
INSERT INTO `lang_definitions` VALUES (65702, 4033, 17, 'Δεν βρέθηκαν νέα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (65703, 4034, 17, 'Καμμία σημείωση');
INSERT INTO `lang_definitions` VALUES (65704, 4035, 17, 'Χωρίς οργανομεγαλία');
INSERT INTO `lang_definitions` VALUES (65705, 4036, 17, 'Δεν βρέθηκαν ανοίγματα για αυτήν την περίοδο.');
INSERT INTO `lang_definitions` VALUES (65706, 4037, 17, 'Δεν καταγράφεται άλλος τηλεφωνικός αριθμός');
INSERT INTO `lang_definitions` VALUES (65707, 4039, 17, 'Δεν βρέθηκαν Συνεργάτες');
INSERT INTO `lang_definitions` VALUES (65708, 4040, 17, 'Δεν βρέθηκε Φάκελος Ασθενούς με αυτά τα κριτήρια επιλογής');
INSERT INTO `lang_definitions` VALUES (65709, 4041, 17, 'ΔΕΝ βρέθηκε Φάκελος Ασθενούς για τον κωδικό που αναζητάτε,');
INSERT INTO `lang_definitions` VALUES (65710, 4042, 17, 'Χωρίς περιφερικό οίδημα');
INSERT INTO `lang_definitions` VALUES (65711, 4043, 17, 'Δεν βρέθηκαν Φαρμακεία');
INSERT INTO `lang_definitions` VALUES (65712, 4044, 17, 'Δεν βρέθηκαν Συνταγές');
INSERT INTO `lang_definitions` VALUES (65713, 4045, 17, 'Καμία παρούσα ασθένεια/ κάκωση');
INSERT INTO `lang_definitions` VALUES (65714, 4046, 17, 'Καμία προηγούμενη εγγραφή.');
INSERT INTO `lang_definitions` VALUES (65715, 4047, 17, 'Δεν επιλέχθηκε καμία Πρωτογενής Επιχειρηματική Οντότητα στη λίστα με τις Έδρες');
INSERT INTO `lang_definitions` VALUES (65716, 4048, 17, 'Χωρίς προηγούμενες επισκέψεις');
INSERT INTO `lang_definitions` VALUES (65717, 4049, 17, 'Δεν υπάρχουν διαδικασίες σε αυτή την επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65718, 4051, 17, 'Δεν βρέθηκαν Πάροχοι');
INSERT INTO `lang_definitions` VALUES (65719, 4052, 17, 'Χωρίς εξάνθημα ή ανώμαλες βλάβες');
INSERT INTO `lang_definitions` VALUES (65720, 4053, 17, 'Δεν βρέθηκαν καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (65721, 4055, 17, 'Δεν βρέθηκαν καταχωρήσεις. Παρακαλώ επεκτείνατε τα κριτήρια αναζήτησης σας.');
INSERT INTO `lang_definitions` VALUES (65722, 4056, 17, 'Καμία Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (65723, 4057, 17, 'Δεν βρέθηκαν αποτελέσματα για τα ανωτέρω κριτήρια.');
INSERT INTO `lang_definitions` VALUES (65724, 4058, 17, 'Χωρίς αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (65725, 4059, 17, 'Δεν βρέθηκαν αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (65726, 4060, 17, 'Χωρίς αποτελέσματα από την Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (65727, 4061, 17, 'Χωρίς αποτελέσματα, παρακαλώ ξαναδοκιμάστε.');
INSERT INTO `lang_definitions` VALUES (65728, 4062, 17, 'Χωρίς αποτέλεσμα, παρακαλώ δοκιμάστε ξανά.');
INSERT INTO `lang_definitions` VALUES (65729, 4063, 17, 'Χωρίς αποτέλεσμα, παρακαλώ δοκιμάστε ξανά.');
INSERT INTO `lang_definitions` VALUES (65730, 4065, 17, 'Δεν προσήλθε');
INSERT INTO `lang_definitions` VALUES (65731, 4067, 17, 'Χωρίς ευαισθησία ηγμορίων');
INSERT INTO `lang_definitions` VALUES (65732, 4068, 17, 'Χωρίς εισολκή δέρματος η οζίδια μαστού');
INSERT INTO `lang_definitions` VALUES (65733, 4070, 17, 'Δεν επελέγη πίνακας! Επιλέξτε έναν Πίνακα');
INSERT INTO `lang_definitions` VALUES (65734, 4071, 17, 'Χωρίς ορχική ευαισθησία, μάζες');
INSERT INTO `lang_definitions` VALUES (65735, 4072, 17, 'Χωρίς ρίγη ή αναγούλες');
INSERT INTO `lang_definitions` VALUES (65736, 4075, 17, 'Καμία επίσκεψη');
INSERT INTO `lang_definitions` VALUES (65737, 4076, 17, 'Δεν κατεγράφησαν ζωτικά.');
INSERT INTO `lang_definitions` VALUES (65738, 4077, 17, 'Όχι, Ακύρωση');
INSERT INTO `lang_definitions` VALUES (65739, 4079, 17, 'Όχι:');
INSERT INTO `lang_definitions` VALUES (65740, 4080, 17, 'Νυκτουρία');
INSERT INTO `lang_definitions` VALUES (65741, 4081, 17, 'Μη πληρωμένο');
INSERT INTO `lang_definitions` VALUES (65742, 4082, 17, 'Αναφορά Μη Αναφερθέντων');
INSERT INTO `lang_definitions` VALUES (65743, 4083, 17, 'Μη ειδική κάκωση');
INSERT INTO `lang_definitions` VALUES (65744, 4084, 17, 'Μη-ηλεκτρονικά');
INSERT INTO `lang_definitions` VALUES (65745, 4085, 17, 'Μη Ινσουλινοεξαρτώμενος Διαβήτης');
INSERT INTO `lang_definitions` VALUES (65746, 4086, 17, 'Ανασφάλιστος/η');
INSERT INTO `lang_definitions` VALUES (65747, 4087, 17, 'Μη-αναπαραγωγική υγεία (Ιατρικό)');
INSERT INTO `lang_definitions` VALUES (65748, 4088, 17, 'Μη-αναπαραγωγική υγεία (Μη-ιατρικό)');
INSERT INTO `lang_definitions` VALUES (65749, 4089, 17, 'Κανένα');
INSERT INTO `lang_definitions` VALUES (65750, 4090, 17, 'κανένα');
INSERT INTO `lang_definitions` VALUES (65751, 4091, 17, 'Δεν ορίστηκε κανένα');
INSERT INTO `lang_definitions` VALUES (65752, 4092, 17, 'Δεν κατεγράφη τίποτα');
INSERT INTO `lang_definitions` VALUES (65753, 4093, 17, 'Κανένα από τα παραπάνω');
INSERT INTO `lang_definitions` VALUES (65754, 4094, 17, 'Καμία από τις επάνω γραμμές κατανομής δεν μπορεί να είναι τελείως κενή.');
INSERT INTO `lang_definitions` VALUES (65755, 4095, 17, 'Μη Ινσουλινοεξαρτώμενος Διαβήτης');
INSERT INTO `lang_definitions` VALUES (65756, 4096, 17, 'ΚΦ');
INSERT INTO `lang_definitions` VALUES (65757, 4097, 17, 'Κανονική');
INSERT INTO `lang_definitions` VALUES (65758, 4099, 17, 'Φυσιολ. εξέταση καρδιάς:');
INSERT INTO `lang_definitions` VALUES (65759, 4100, 17, 'Φυσιολ. εξέταση καρδιάς: ');
INSERT INTO `lang_definitions` VALUES (65760, 4101, 17, 'Φυσιολ. εξέταση πνεύμονα:');
INSERT INTO `lang_definitions` VALUES (65761, 4102, 17, 'Φυσιολ. εξέταση πνεύμονα: ');
INSERT INTO `lang_definitions` VALUES (65762, 4103, 17, 'Κανονική επίσκεψη γραφείου');
INSERT INTO `lang_definitions` VALUES (65763, 4104, 17, 'Φυσιολ. οροφάρυγγας:');
INSERT INTO `lang_definitions` VALUES (65764, 4105, 17, 'Φυσιολ. Δεξιά');
INSERT INTO `lang_definitions` VALUES (65765, 4106, 17, 'Φυσιολ. Δεξιά:');
INSERT INTO `lang_definitions` VALUES (65766, 4107, 17, 'Φυσιολ. Όψη');
INSERT INTO `lang_definitions` VALUES (65767, 4108, 17, 'φυσιολογικό:');
INSERT INTO `lang_definitions` VALUES (65768, 4109, 17, 'Κανονικά αυτό θα έπρεπε να ελεγχθεί. Άσχετο με τον έλεγχο πρόσβασης');
INSERT INTO `lang_definitions` VALUES (65769, 4112, 17, 'Νορβηγικά');
INSERT INTO `lang_definitions` VALUES (65770, 4115, 17, 'Μύτη');
INSERT INTO `lang_definitions` VALUES (65771, 4116, 17, 'Ρινορραγία');
INSERT INTO `lang_definitions` VALUES (65772, 4117, 17, 'δεν είναι γράμμα ή αριθμός');
INSERT INTO `lang_definitions` VALUES (65773, 4119, 17, 'Δεν είναι απαραίτητα όλα τα πεδία, για όλους τους τύπους κωδικών.');
INSERT INTO `lang_definitions` VALUES (65774, 4120, 17, 'Δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (65775, 4121, 17, 'Δεν επιτρέπεται να διαγράψετε την ομάδα με τους Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (65776, 4122, 17, 'Δεν επιτρέπεται η Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (65777, 4123, 17, 'Δεν επιτρέπεται η απενεργοποίηση όλων των αντικειμένων ασφαλείας');
INSERT INTO `lang_definitions` VALUES (65778, 4124, 17, 'Κατάλογος ελέγχου πρόσβασης (ACL)');
INSERT INTO `lang_definitions` VALUES (65779, 4125, 17, 'Δεν επιτρέπεται η κατάργηση του χρήστη admin από την ομάδα Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (65780, 4126, 17, 'Δεν επιτρέπεται να καταργήσετε αυτόν τον χρήστη από την ομάδα Διαχειριστές');
INSERT INTO `lang_definitions` VALUES (65781, 4127, 17, 'Δεν ισχύει');
INSERT INTO `lang_definitions` VALUES (65782, 4128, 17, 'Δεν έχετε δικαίωμα πρόσβασης στο άρθρωμα PostCalendar');
INSERT INTO `lang_definitions` VALUES (65783, 4129, 17, 'Δεν επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (65784, 4130, 17, 'Δεν Επιτρέπεται');
INSERT INTO `lang_definitions` VALUES (65785, 4131, 17, 'Δεν επιτρέπεται για αυτή την ομάδα!');
INSERT INTO `lang_definitions` VALUES (65786, 4132, 17, 'Δεν επιτρέπεται για αυτή την ομάδα.');
INSERT INTO `lang_definitions` VALUES (65787, 4133, 17, 'Δεν επιτρέπεται η διαχείρηση χρηστών!');
INSERT INTO `lang_definitions` VALUES (65788, 4134, 17, 'Δεν επιτρέπεται η υπογραφή αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (65789, 4135, 17, 'Μη διαθέσιμο');
INSERT INTO `lang_definitions` VALUES (65790, 4137, 17, 'Μη Xρεωθέν');
INSERT INTO `lang_definitions` VALUES (65791, 4138, 17, 'Δεν επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (65792, 4139, 17, 'Δεν ελέγχθηκε');
INSERT INTO `lang_definitions` VALUES (65793, 4140, 17, 'Δεν έχει μπει κωδικός');
INSERT INTO `lang_definitions` VALUES (65794, 4141, 17, 'Δεν αναμένεται');
INSERT INTO `lang_definitions` VALUES (65795, 4143, 17, 'Δεν εξετάστηκε');
INSERT INTO `lang_definitions` VALUES (65796, 4144, 17, 'Δεν εξετάστηκε:');
INSERT INTO `lang_definitions` VALUES (65797, 4145, 17, 'Δεν εξετάστηκε: ');
INSERT INTO `lang_definitions` VALUES (65798, 4146, 17, 'δεν βρέθηκε');
INSERT INTO `lang_definitions` VALUES (65799, 4148, 17, 'δεν βρέθηκε!');
INSERT INTO `lang_definitions` VALUES (65800, 4149, 17, 'Μη Ισπανόφωνος ή Λατίνος');
INSERT INTO `lang_definitions` VALUES (65801, 4150, 17, 'Δεν εγκαταστάθηκε');
INSERT INTO `lang_definitions` VALUES (65802, 4152, 17, 'Δεν έχει εμφανιστεί εδώ και');
INSERT INTO `lang_definitions` VALUES (65803, 4154, 17, 'Δεν εστάλη ακόμα');
INSERT INTO `lang_definitions` VALUES (65804, 4155, 17, 'Δεν Ορίστηκε');
INSERT INTO `lang_definitions` VALUES (65805, 4156, 17, 'Δεν Ορίστηκε.');
INSERT INTO `lang_definitions` VALUES (65806, 4157, 17, 'Σημείωση');
INSERT INTO `lang_definitions` VALUES (65807, 4158, 17, 'Κωδικοί Σημειώσεων');
INSERT INTO `lang_definitions` VALUES (65808, 4159, 17, 'Σημείωση: Θα απαιτηθούν 5-10 λεπτά για την πλήρη επεξεργασία μετά το κλικ που κάνετε στην εγκατάσταση');
INSERT INTO `lang_definitions` VALUES (65809, 4160, 17, 'Σημείωση: Θα απαιτηθούν 5-10 λεπτά για την πλήρη επεξεργασία, μετά το κλικ που κάνετε στην αναβάθμιση');
INSERT INTO `lang_definitions` VALUES (65810, 4161, 17, 'Σημειώστε ότι η Καταγραφή Audit πρέπει να ενεργοποιηθεί παραπάνω');
INSERT INTO `lang_definitions` VALUES (65811, 4162, 17, 'Τύπος σημείωσης');
INSERT INTO `lang_definitions` VALUES (65812, 4163, 17, 'Σημείωση: η 12:00 μεσημβρινή νοείται ωε μ.μ. και όχι ως π.μ.');
INSERT INTO `lang_definitions` VALUES (65813, 4164, 17, 'ΣΗΜΕΙΩΣΗ: Η εισαγωγή εξωτερ. δεδομένων μπορεί να πάρει πάνω από μια ώρα, ανάλογα με τις ρυθμίσεις του δικού σας hardware. Π.χ., ένας από τους Πίνακες RxNorm data περιέχει πάνω από 6 εκατομ. γραμμές.');
INSERT INTO `lang_definitions` VALUES (65814, 4165, 17, 'ΣΗΜΕΙΩΣΗ: Υποστηρίζεται μόνον η διετής Διεθνής έκδοση Snomed');
INSERT INTO `lang_definitions` VALUES (65815, 4166, 17, 'ΣΗΜΕΙΩΣΗ: Υποστηρίζεται, επί του παρόντος, μόνον η πλήρης Μηνιαία έκδοση RxNorm');
INSERT INTO `lang_definitions` VALUES (65816, 4168, 17, 'Προσοχή: Αυτές οι γραμμές κώδικα δεν έχουν γραφεί από έναν εξουσιοδοτημένο χρήστη. Μόνο εξουσιοδοτημένοι κώδικες μπορούν να φορτωθούν στο Open Medical Billing Network. Αν θέλετε να ανεβάσετε αυτές τις αλλαγές, παρακαλώ επιλέξτε έναν εξουσιοδοτημένο χρήστη εδώ.');
INSERT INTO `lang_definitions` VALUES (65817, 4170, 17, 'Προσοχή: Όταν γίνεται προσθήκη αρχείων με όνομα που ήδη υπάρχει, το πρόγραμμα θα μετονομάζει αυτόματα το αρχείο (π.χ. το αρχείο file.jpg θα μετονομαστεί σε file.1.jpg). Μοναδικά θεωρούνται τα ονόματα αρχείου για κάθε ασθενή, και όχι για κάθε κατηγορία.');
INSERT INTO `lang_definitions` VALUES (65818, 4171, 17, 'Προσοχή: Όταν γίνεται προσθήκη αρχείων με όνομα που ήδη υπάρχει, το πρόγραμμα θα μετονομάζει αυτόματα το αρχείο. Π.χ. το αρχείο file.jpg θα μετονομαστεί σε file.jpg.1. Μοναδικά θεωρούνται τα αρχεία για κάθε ασθενή, όχι για κάθε κατηγορία.');
INSERT INTO `lang_definitions` VALUES (65819, 4172, 17, 'Σημειώσεις');
INSERT INTO `lang_definitions` VALUES (65820, 4173, 17, 'Σημειώσεις – όλες οι επισκέψεις (εγγραφή, προαιρ.προσθήκη)');
INSERT INTO `lang_definitions` VALUES (65821, 4174, 17, 'Σημειώσεις – οι επισκέψεις μου (εγγραφή, προαιρ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (65822, 4175, 17, 'Σημειώσεις δεν επιτρέπονται');
INSERT INTO `lang_definitions` VALUES (65823, 4177, 17, 'Τίποτα δεν κατεγράφη');
INSERT INTO `lang_definitions` VALUES (65824, 4179, 17, 'Τίποτα για εισαγωγή στις Αλλεργίες');
INSERT INTO `lang_definitions` VALUES (65825, 4180, 17, 'Τίποτα για εισαγωγή στα Φάρμακα');
INSERT INTO `lang_definitions` VALUES (65826, 4181, 17, 'Δεν υπάρχει τίποτε προς εμφάνιση');
INSERT INTO `lang_definitions` VALUES (65827, 4182, 17, 'Τίποτα δεν επελέγη');
INSERT INTO `lang_definitions` VALUES (65828, 4184, 17, 'ΕΙΔΟΠΟΙΗΣΗ: Προσθήκη/ Αλλαγή στο PostCalendar');
INSERT INTO `lang_definitions` VALUES (65829, 4185, 17, 'Γνωστοποίηση');
INSERT INTO `lang_definitions` VALUES (65830, 4186, 17, 'Κοινοποίηση ηλεκτρον. διεύθυνσης');
INSERT INTO `lang_definitions` VALUES (65831, 4188, 17, 'Κοινοποιήσεις');
INSERT INTO `lang_definitions` VALUES (65832, 4189, 17, 'Να ειδοποιήσετε τον Διαχειριστή για Υποβολή/ Τροποποίηση Συμβάντος;');
INSERT INTO `lang_definitions` VALUES (65833, 4190, 17, 'Νοέμ.');
INSERT INTO `lang_definitions` VALUES (65834, 4191, 17, 'Νοέμβριος');
INSERT INTO `lang_definitions` VALUES (65835, 4192, 17, 'Αποστολή τώρα για:');
INSERT INTO `lang_definitions` VALUES (65836, 4193, 17, 'Εκτύπωση σε εξέλιξη');
INSERT INTO `lang_definitions` VALUES (65837, 4194, 17, 'Τώρα τυπώνει τις $stmt_count καταστάσεις και ενημερώνει τις επισκέψεις');
INSERT INTO `lang_definitions` VALUES (65838, 4195, 17, 'Τώρα τυπώνει τις $stmt_count καταστάσεις και ενημερώνει τια τιμολόγια');
INSERT INTO `lang_definitions` VALUES (65839, 4196, 17, 'Τώρα τυπώνει τις $stmt_count καταστάσεις. Οι επισκέψεις δεν θα ενημερωθούν');
INSERT INTO `lang_definitions` VALUES (65840, 4197, 17, 'Τώρα τυπώνει τις $stmt_count καταστάσεις. Τα τιμολόγια δε θα ενημερωθούν.');
INSERT INTO `lang_definitions` VALUES (65841, 4198, 17, 'AMKA');
INSERT INTO `lang_definitions` VALUES (65842, 4200, 17, 'Αριθμός');
INSERT INTO `lang_definitions` VALUES (65843, 4204, 17, 'Αριθμός στηλών στην προβολή έτους');
INSERT INTO `lang_definitions` VALUES (65844, 4211, 17, 'Αριθμός ημερών για τις οποίες το Πιστοποιητικό χρήστη ισχύει.');
INSERT INTO `lang_definitions` VALUES (65845, 4213, 17, 'Αριθμός ψηφίων, μετά την υποδιαστολή δεκαδικών, για το νόμισμα, σηνήθως 0 ή 2');
INSERT INTO `lang_definitions` VALUES (65846, 4214, 17, 'Αριθμός επισκέψεων για εμφάνιση ανά σελίδα.');
INSERT INTO `lang_definitions` VALUES (65847, 4215, 17, 'Αριθμός παιχνιδιών ή συμβάντων που λείπουν, αν υπάρχουν');
INSERT INTO `lang_definitions` VALUES (65848, 4216, 17, 'Πριν από πόσες ώρες να σταλούν ειδοποιήσιες με e-mail.');
INSERT INTO `lang_definitions` VALUES (65849, 4217, 17, 'Πριν από πόσες ώρες να σταλούν ειδοποιήσεις διά τηλεφώνου.');
INSERT INTO `lang_definitions` VALUES (65850, 4218, 17, 'Πριν από πόσες ώρες να σταλούν ειδοποιήσιες με μύνημα SMS.');
INSERT INTO `lang_definitions` VALUES (65851, 4221, 17, 'Αριθμός παλαιών στηλών ιστορικού');
INSERT INTO `lang_definitions` VALUES (65852, 4222, 17, 'Αριθμός ασθενών προς εμφάνιση ανά σελίδα, στη λίστα ασθενών');
INSERT INTO `lang_definitions` VALUES (65853, 4223, 17, 'Αιμωδίες');
INSERT INTO `lang_definitions` VALUES (65854, 4224, 17, 'Αριθμητής');
INSERT INTO `lang_definitions` VALUES (65855, 4225, 17, 'Σειρά εμφάνισης αριθμών');
INSERT INTO `lang_definitions` VALUES (65856, 4227, 17, 'Διατροφή');
INSERT INTO `lang_definitions` VALUES (65857, 4230, 17, 'Κορεσμός O2');
INSERT INTO `lang_definitions` VALUES (65858, 4231, 17, 'Παχυσαρκία Ι');
INSERT INTO `lang_definitions` VALUES (65859, 4232, 17, 'Παχυσαρκία ΙΙ');
INSERT INTO `lang_definitions` VALUES (65860, 4233, 17, 'Παχυσαρκία ΙΙΙ');
INSERT INTO `lang_definitions` VALUES (65861, 4234, 17, 'Κλινική εξέταση');
INSERT INTO `lang_definitions` VALUES (65862, 4237, 17, 'Επάγγελμα');
INSERT INTO `lang_definitions` VALUES (65863, 4239, 17, 'Εμφάνιση');
INSERT INTO `lang_definitions` VALUES (65864, 4240, 17, 'Οκτ.');
INSERT INTO `lang_definitions` VALUES (65865, 4241, 17, 'Οκτώβριος');
INSERT INTO `lang_definitions` VALUES (65866, 4242, 17, 'Δεξιός οφθαλμός');
INSERT INTO `lang_definitions` VALUES (65867, 4244, 17, 'της ποσότητος');
INSERT INTO `lang_definitions` VALUES (65868, 4245, 17, 'των δισκίων');
INSERT INTO `lang_definitions` VALUES (65869, 4246, 17, 'του μηνός κάθε');
INSERT INTO `lang_definitions` VALUES (65870, 4247, 17, 'Σημ. γραφείου');
INSERT INTO `lang_definitions` VALUES (65871, 4249, 17, 'Σημειώσεις γραφείου');
INSERT INTO `lang_definitions` VALUES (65872, 4250, 17, 'Επίσκεψη γραφείου');
INSERT INTO `lang_definitions` VALUES (65873, 4251, 17, 'Ομάδες Μέτρησης (CQM) Επισήμων Μετρήσεων Κλινικής Ποιότητας');
INSERT INTO `lang_definitions` VALUES (65874, 4252, 17, 'Σ̈́ύνδεσμος https για την offline σύνδεση στο Portal του ασθενούς');
INSERT INTO `lang_definitions` VALUES (65875, 4253, 17, 'Σ̈́ύνδεσμος https για την offline σύνδεση στην Πύλη Ασθενούς (σύνδεσμος Ασθενούς)');
INSERT INTO `lang_definitions` VALUES (65876, 4254, 17, 'Κωδικός για την Offsite Πύλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65877, 4255, 17, 'Κωδικός για την Offsite Πύλη Ασθενούς (Κενό αν δεν έχει εγγραφεί)');
INSERT INTO `lang_definitions` VALUES (65878, 4258, 17, 'Διέυθυνση Ιστοσελίδας για την Offsite Πύλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65879, 4260, 17, 'Όνομα χρήστη για την Offsite Πύλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65880, 4261, 17, 'Όνομα χρήστη για την Offsite Πύλη Ασθενούς (Κενό αν δεν έχει Εγγραφεί)');
INSERT INTO `lang_definitions` VALUES (65881, 4263, 17, 'Απόγονοι');
INSERT INTO `lang_definitions` VALUES (65882, 4265, 17, 'αλοιφή (oint)');
INSERT INTO `lang_definitions` VALUES (65883, 4267, 17, 'Εντάξει');
INSERT INTO `lang_definitions` VALUES (65884, 4269, 17, 'ΟΚ σύνδεση του GCAG γεγονότος ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (65885, 4270, 17, 'Παλαιό');
INSERT INTO `lang_definitions` VALUES (65886, 4272, 17, 'Παλιοί πελάτες');
INSERT INTO `lang_definitions` VALUES (65887, 4273, 17, 'Παλαιό κάταγμα μη / κακή επούλωση');
INSERT INTO `lang_definitions` VALUES (65888, 4274, 17, 'Παλαιό στυλ εμφάνισης χωρίς αριστερό μενού');
INSERT INTO `lang_definitions` VALUES (65889, 4275, 17, 'Παλαιό στυλ στατικού εντύπου, χωρίς αναζήτηση ή έλεγχο διπλοκαταχώρησης');
INSERT INTO `lang_definitions` VALUES (65890, 4279, 17, 'Παραλείψτε λεπτομέρειες εργοδότη στα Δημογραφικά ασθενούς');
INSERT INTO `lang_definitions` VALUES (65891, 4280, 17, 'Παραλείψτε τους Εργοδότες');
INSERT INTO `lang_definitions` VALUES (65892, 4281, 17, 'Παραλείψτε μορφή, οδό και μεσοδιαστήματα χορήγησης, που θα γίνουν, μετά, μέρος της δοσολογίας');
INSERT INTO `lang_definitions` VALUES (65893, 4282, 17, 'Παραλείψτε την Ασφαλ. Εταιρεία και μερικά άλλα πράγματα από το Έντυπο Δημογραφικών');
INSERT INTO `lang_definitions` VALUES (65894, 4283, 17, 'Να παραλειφθούν οι εσωτερικοί χρήστες;');
INSERT INTO `lang_definitions` VALUES (65895, 4284, 17, 'Στο πάνελ Συμμετοχής στην πληρωμή, παραλείψτε μέθοδο πληρωμής');
INSERT INTO `lang_definitions` VALUES (65896, 4285, 17, 'Αφήστε κενό, για αυτόματη συμπλήρωση από το σύστημα');
INSERT INTO `lang_definitions` VALUES (65897, 4286, 17, 'επί');
INSERT INTO `lang_definitions` VALUES (65898, 4288, 17, 'Στο χέρι');
INSERT INTO `lang_definitions` VALUES (65899, 4289, 17, 'Κατόπιν παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65900, 4290, 17, 'Επιτοπίως');
INSERT INTO `lang_definitions` VALUES (65901, 4292, 17, 'Αν αλλάξετε τον κωδικό σας, θα πρέπει να επανασυνδεθείτε.');
INSERT INTO `lang_definitions` VALUES (65902, 4297, 17, 'Online Βοήθεια');
INSERT INTO `lang_definitions` VALUES (65903, 4298, 17, 'Link για online Βοήθεια');
INSERT INTO `lang_definitions` VALUES (65904, 4299, 17, 'Μόνο οι ενεργοί/ές');
INSERT INTO `lang_definitions` VALUES (65905, 4302, 17, 'μόνο αν πρόκειται για τοποθεσία χρέωσης');
INSERT INTO `lang_definitions` VALUES (65906, 4303, 17, 'Μόνο οι ανενεργοί/ές');
INSERT INTO `lang_definitions` VALUES (65907, 4304, 17, 'Μόνο τα δικά μου');
INSERT INTO `lang_definitions` VALUES (65908, 4305, 17, 'Να εμφανίζονται μόνον οι Κωδικοί Αναφοράς Διάγνωσης');
INSERT INTO `lang_definitions` VALUES (65909, 4307, 17, 'Να φορτώνονται μόνον οι ενεργές συνταγές');
INSERT INTO `lang_definitions` VALUES (65910, 4310, 17, 'Έναρξη της ασθένειας:');
INSERT INTO `lang_definitions` VALUES (65911, 4311, 17, 'Έναρξη της ασθένειας: ');
INSERT INTO `lang_definitions` VALUES (65912, 4312, 17, 'Έναρξη του Οιδήματος:');
INSERT INTO `lang_definitions` VALUES (65913, 4313, 17, 'Έναρξη/ ημερομ. νοσηλείας:');
INSERT INTO `lang_definitions` VALUES (65914, 4314, 17, 'Διεύθυνση Ιστοσελίδας της Onsite Πύλης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (65915, 4315, 17, 'Ώπα!');
INSERT INTO `lang_definitions` VALUES (65916, 4316, 17, 'Ανοικτό');
INSERT INTO `lang_definitions` VALUES (65917, 4318, 17, 'Άνοιγμα σε νέο παράθυρο');
INSERT INTO `lang_definitions` VALUES (65918, 4321, 17, 'Ανοιγμα σημερινής Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (65919, 4322, 17, 'Το LibreEHR διαθέτει, ήδη εξ αρχής, ένα Πιστοπ. Εξουσιοδότησης.');
INSERT INTO `lang_definitions` VALUES (65920, 4323, 17, 'Κατηγορία Εφαρμογής LibreEHR');
INSERT INTO `lang_definitions` VALUES (65921, 4324, 17, 'Ενημέρωση βάσης δεδομένων του LibreEHR');
INSERT INTO `lang_definitions` VALUES (65922, 4325, 17, 'Ενημέρωση βάσης δεδομένων του LibreEHR για Απο-ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (65923, 4326, 17, 'Το LibreEHR δεν αναγνωρίζει το εισερχόμενο αρχείο στον κατάλογο των συνεισφορών (contrib dir). Αυτό συμβαίνει μάλλον διότι πρέπει να ρυθμίσετε την έκδοση στον Πίνακα με την υποστηριζόμενη_εξωτερική_φόρτωση_δεδομένων στη βάση δεδομένων MySQL.');
INSERT INTO `lang_definitions` VALUES (65924, 4327, 17, 'Το LibreEHR πρέπει να ρυθμισθεί για τη χρήση Πιστοποιητικών, πριν είναι σε θέση να δημιουργεί Πιστοποιητικά χρήστη.');
INSERT INTO `lang_definitions` VALUES (65925, 4328, 17, 'Το LibreEHR απαιτεί Javascript για να εκτελέσει την ταυτοποίηση του χρήστη.');
INSERT INTO `lang_definitions` VALUES (65926, 4329, 17, 'Χρήστες LibreEHR');
INSERT INTO `lang_definitions` VALUES (65927, 4330, 17, 'Ανοίγματα');
INSERT INTO `lang_definitions` VALUES (65928, 4332, 17, 'Οφθαλμικό');
INSERT INTO `lang_definitions` VALUES (65929, 4333, 17, 'Επιλογή');
INSERT INTO `lang_definitions` VALUES (65930, 4334, 17, 'Επιλογή μεθόδου αποθήκευσης εγγράφων.');
INSERT INTO `lang_definitions` VALUES (65931, 4335, 17, 'Επιλογή υποστήριξης απογραφής και πώλησης προϊόντων');
INSERT INTO `lang_definitions` VALUES (65932, 4336, 17, 'Προαιρετικό');
INSERT INTO `lang_definitions` VALUES (65933, 4337, 17, 'Προαιρετικό όνομα κατηγορίας ενός κωδικού εικόνας κάρτας που μπορεί να φαίνεται στη σελίδα σύνοψης ασθενούς');
INSERT INTO `lang_definitions` VALUES (65934, 4338, 17, 'Προαιρετικό όνομα κατηγορίας μιας φωτογραφίας που μπορεί να φαίνεται στη σελίδα σύνοψης ασθενούς');
INSERT INTO `lang_definitions` VALUES (65935, 4339, 17, 'Προαιρετικό όνομα κατηγορίας ενός εγγράφου με το οποίο να γίνεται σύνδεση, από την σελίδα Περίληψης Ασθενούς. Σας επιτρέπει να μπορείτε να δείτε το δελτίο ταυτότητας, όταν κάνετε κλικ σε έναν ασθενή');
INSERT INTO `lang_definitions` VALUES (65936, 4340, 17, 'Προαιρετ. default πεδίο τιμών για τη χειροκίνητη εισαγωγή αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (65937, 4341, 17, 'Προαιρετ. default μονάδες για χειροκίνητη εισαγωγή αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (65938, 4342, 17, 'Προαιρετ. Ονομα Προορισμού');
INSERT INTO `lang_definitions` VALUES (65939, 4343, 17, 'Προαιρετική ονομασία φαρμάκου, χρησιμοποιήστε το % ως wildcard');
INSERT INTO `lang_definitions` VALUES (65940, 4345, 17, 'Προαιρετική πληροφορία για αυτό το Συμβάν');
INSERT INTO `lang_definitions` VALUES (65941, 4346, 17, 'Προαιρετ. αριθμός παρτίδας, χρησιμοποιήστε το % ως wildcard');
INSERT INTO `lang_definitions` VALUES (65942, 4347, 17, 'Προαιρετ. αριθμητικός κωδικ. αναγνώρισης ασθενούς');
INSERT INTO `lang_definitions` VALUES (65943, 4348, 17, 'Προαιρετ. κωδικός διαδικασίας');
INSERT INTO `lang_definitions` VALUES (65944, 4349, 17, 'Προαιρετική διαδικασία/Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (65945, 4350, 17, 'Επιλογές');
INSERT INTO `lang_definitions` VALUES (65946, 4351, 17, 'ή');
INSERT INTO `lang_definitions` VALUES (65947, 4352, 17, 'Ή');
INSERT INTO `lang_definitions` VALUES (65948, 4353, 17, 'ή επιλέξτε');
INSERT INTO `lang_definitions` VALUES (65949, 4354, 17, 'ή κάντε drag and drop για ταχύτερη επιλογή');
INSERT INTO `lang_definitions` VALUES (65950, 4356, 17, 'Ή να σταλεί προς');
INSERT INTO `lang_definitions` VALUES (65951, 4358, 17, 'ή κάντε Shift-click για να το μειώσετε');
INSERT INTO `lang_definitions` VALUES (65952, 4359, 17, 'Ή ανεβάστε αρχείο ηλεκτρον. εμβάσματος (ERA):');
INSERT INTO `lang_definitions` VALUES (65953, 4360, 17, 'Στόμα');
INSERT INTO `lang_definitions` VALUES (65954, 4361, 17, 'Στοματικός βλεννογόνος ροζ, λάρυγγας καθαρός');
INSERT INTO `lang_definitions` VALUES (65955, 4362, 17, 'Σειρά');
INSERT INTO `lang_definitions` VALUES (65956, 4363, 17, 'Σειρά και Τύποι αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (65957, 4364, 17, 'Κατάταξη παραγγελιών');
INSERT INTO `lang_definitions` VALUES (65958, 4365, 17, 'Ημερομηνία Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65959, 4367, 17, 'Κατατάξτε από');
INSERT INTO `lang_definitions` VALUES (65960, 4368, 17, 'ID Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65961, 4369, 17, 'Η σειρά πρέπει να είναι ένας αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (65962, 4370, 17, 'Όνομα Παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65963, 4371, 17, 'Προτεραιότητες παραγγελιών');
INSERT INTO `lang_definitions` VALUES (65964, 4372, 17, 'Επεξεργαστής παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65965, 4373, 17, 'Αποτελέσματα παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65966, 4374, 17, 'Κατάσταση παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65967, 4375, 17, 'Καταστάσεις παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65968, 4376, 17, 'Σύνοψη παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65969, 4378, 17, 'Τύπος παραγγελίας');
INSERT INTO `lang_definitions` VALUES (65970, 4380, 17, 'Παραγγελία/ Τύπος αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (65971, 4381, 17, 'Παραγγέλθηκε');
INSERT INTO `lang_definitions` VALUES (65972, 4382, 17, 'Παραγγέλθηκε από');
INSERT INTO `lang_definitions` VALUES (65973, 4383, 17, 'Παραγγελμένη Διαδικασία');
INSERT INTO `lang_definitions` VALUES (65974, 4384, 17, 'Παραγγέλων Πάροχος');
INSERT INTO `lang_definitions` VALUES (65975, 4386, 17, 'Βλάβη οργάνου');
INSERT INTO `lang_definitions` VALUES (65976, 4387, 17, 'Οργανισμός');
INSERT INTO `lang_definitions` VALUES (65977, 4388, 17, 'Όνομα Οργανισμού');
INSERT INTO `lang_definitions` VALUES (65978, 4389, 17, 'Όνομα Οργανωτική Μονάδος');
INSERT INTO `lang_definitions` VALUES (65979, 4390, 17, 'Οργανισμοί');
INSERT INTO `lang_definitions` VALUES (65980, 4391, 17, 'Προσανατολισμένο x 3');
INSERT INTO `lang_definitions` VALUES (65981, 4392, 17, 'Πρωτότυπο');
INSERT INTO `lang_definitions` VALUES (65982, 4396, 17, 'ΣΤΟΜΑΤΟΦΑΡΥΓΓΑΣ: ');
INSERT INTO `lang_definitions` VALUES (65983, 4397, 17, 'Ορθόπνοια');
INSERT INTO `lang_definitions` VALUES (65984, 4398, 17, 'Αριστ. οφθαλμός');
INSERT INTO `lang_definitions` VALUES (65985, 4399, 17, 'Οστεοαρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (65986, 4402, 17, 'Άλλα');
INSERT INTO `lang_definitions` VALUES (65987, 4403, 17, 'Άλλο');
INSERT INTO `lang_definitions` VALUES (65988, 4404, 17, 'Άλλο (προσδιορίστε)');
INSERT INTO `lang_definitions` VALUES (65989, 4405, 17, 'Άλλο - Προσδιορίστε');
INSERT INTO `lang_definitions` VALUES (65990, 4406, 17, 'Άλλο Ομοσπονδιακό Πρόγραμμα');
INSERT INTO `lang_definitions` VALUES (65991, 4407, 17, 'Άλλη Διεύθυνση Χρηματοδότησης Υγείας (HCFA)');
INSERT INTO `lang_definitions` VALUES (65992, 4408, 17, 'Άλλη βλάβη που δεν προσδιορίζεται αλλού');
INSERT INTO `lang_definitions` VALUES (65993, 4409, 17, 'Κάποια άλλη Ασφαλ. εταιρεία αστικής ευθύνης είναι Πρωτεύουσα');
INSERT INTO `lang_definitions` VALUES (65994, 4410, 17, 'άλλος μήνας');
INSERT INTO `lang_definitions` VALUES (65995, 4411, 17, 'Άλλα μη Ομοσπονδιακά Προγράμματα');
INSERT INTO `lang_definitions` VALUES (65996, 4412, 17, 'Άλλες σημειώσεις');
INSERT INTO `lang_definitions` VALUES (65997, 4413, 17, 'Άλλα σχετικά συμπτώματα');
INSERT INTO `lang_definitions` VALUES (65998, 4414, 17, 'Άλλα σχετικά Συμπτώματα:');
INSERT INTO `lang_definitions` VALUES (65999, 4415, 17, 'Άλλα σχετ. συμπτ.:');
INSERT INTO `lang_definitions` VALUES (66000, 4416, 17, 'Άλλες βλάβες από stress/υπερβολική χρήση');
INSERT INTO `lang_definitions` VALUES (66001, 4417, 17, 'Άλλα Χειρουργικά');
INSERT INTO `lang_definitions` VALUES (66002, 4418, 17, 'Άλλα/ Γενικώτερα, σχετικά με άμβλωση');
INSERT INTO `lang_definitions` VALUES (66003, 4420, 17, 'Άλλα');
INSERT INTO `lang_definitions` VALUES (66004, 4421, 17, 'αλλιώς θα καταστρέψετε αναφορές στα/ από τα υπάρχοντα δεδομένα.');
INSERT INTO `lang_definitions` VALUES (66005, 4422, 17, 'Οδηγίες αστραγάλου της Οτάβα');
INSERT INTO `lang_definitions` VALUES (66006, 4424, 17, 'ΕΞΩ');
INSERT INTO `lang_definitions` VALUES (66007, 4425, 17, 'Εκτός γραφείου');
INSERT INTO `lang_definitions` VALUES (66008, 4426, 17, 'Παραπομπή προς τα έξω');
INSERT INTO `lang_definitions` VALUES (66009, 4427, 17, 'Έκβαση');
INSERT INTO `lang_definitions` VALUES (66010, 4428, 17, 'Πρόγνωση');
INSERT INTO `lang_definitions` VALUES (66011, 4430, 17, 'Γενική κατάσταση εξιτηρίου');
INSERT INTO `lang_definitions` VALUES (66012, 4431, 17, 'ΕΚΠΡΟΘΕΣΜΟ');
INSERT INTO `lang_definitions` VALUES (66013, 4432, 17, 'Υπερβολ. χρήση');
INSERT INTO `lang_definitions` VALUES (66014, 4433, 17, 'Επισκόπηση');
INSERT INTO `lang_definitions` VALUES (66015, 4434, 17, 'Υπέρβαρος/η');
INSERT INTO `lang_definitions` VALUES (66016, 4435, 17, 'Επικαλύψτε την επιλογή HIPAA');
INSERT INTO `lang_definitions` VALUES (66017, 4437, 17, 'Κορεσμός οξυγόνου');
INSERT INTO `lang_definitions` VALUES (66018, 4438, 17, 'ουγγιά');
INSERT INTO `lang_definitions` VALUES (66019, 4440, 17, 'μετά φαγητό');
INSERT INTO `lang_definitions` VALUES (66020, 4441, 17, 'μ.μ.');
INSERT INTO `lang_definitions` VALUES (66021, 4442, 17, 'επί ανάγκης');
INSERT INTO `lang_definitions` VALUES (66022, 4444, 17, 'Παιδιατρικό');
INSERT INTO `lang_definitions` VALUES (66023, 4445, 17, 'Σελίδα');
INSERT INTO `lang_definitions` VALUES (66024, 4446, 17, 'Σελίδες');
INSERT INTO `lang_definitions` VALUES (66025, 4447, 17, 'Αμειβόμενος/η');
INSERT INTO `lang_definitions` VALUES (66026, 4448, 17, 'Πληρωμένο ποσό που θα κατανείμετε');
INSERT INTO `lang_definitions` VALUES (66027, 4449, 17, 'Καταβληθέν ποσό');
INSERT INTO `lang_definitions` VALUES (66028, 4450, 17, 'Πληρωμή μέσω');
INSERT INTO `lang_definitions` VALUES (66029, 4451, 17, 'Πόνος');
INSERT INTO `lang_definitions` VALUES (66030, 4453, 17, 'Αίσθημα παλμών');
INSERT INTO `lang_definitions` VALUES (66031, 4455, 17, 'Τεστ Παπανικολάου');
INSERT INTO `lang_definitions` VALUES (66032, 4456, 17, 'Χαρτί');
INSERT INTO `lang_definitions` VALUES (66033, 4457, 17, 'Μέγεθος Χαρτιού');
INSERT INTO `lang_definitions` VALUES (66034, 4458, 17, 'Παράλυση');
INSERT INTO `lang_definitions` VALUES (66035, 4461, 17, 'Ανάλυση HL7');
INSERT INTO `lang_definitions` VALUES (66036, 4463, 17, 'Συνεργάτης/ Συνεταίρος');
INSERT INTO `lang_definitions` VALUES (66037, 4464, 17, 'Όνομα Συνεργάτη');
INSERT INTO `lang_definitions` VALUES (66038, 4467, 17, 'Συνθηματικό');
INSERT INTO `lang_definitions` VALUES (66039, 4468, 17, 'Συνθηματικό για αποκρυπτογράφηση του αρχείου');
INSERT INTO `lang_definitions` VALUES (66040, 4470, 17, 'Παθητικός Συναγερμός');
INSERT INTO `lang_definitions` VALUES (66041, 4471, 17, 'Κανόνες Παθητικού Συναγερμού');
INSERT INTO `lang_definitions` VALUES (66042, 4472, 17, 'Κωδικός πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66043, 4473, 17, 'Αλλαγή Κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66044, 4474, 17, 'Επιτυχής αλλαγή Κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66045, 4475, 17, 'Επιτυχής αλλαγή Κωδικού πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (66046, 4477, 17, 'Περίοδος χάριτος μετά τη Λήξη του Κωδικού πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66047, 4479, 17, 'Κωδικός για Τηλεφωνικό Gateway. Η αυτοματοποιημένη υπηρεσία VoIP παρέχεται από την Maviq. Παρακαλώ επισκεφθείτε την ιστοσελια http://signup.maviq.com για περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (66048, 4480, 17, 'Κωδικός για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (66049, 4481, 17, 'Κωδικός για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (66050, 4483, 17, 'Ο κωδικός ασφαλείας αναβαθμίστηκε πρόσφατα');
INSERT INTO `lang_definitions` VALUES (66051, 4484, 17, 'Κωδικός σύνδεσης με τη βάση CouchDB');
INSERT INTO `lang_definitions` VALUES (66052, 4485, 17, 'Κωδικός πολύ μικρός. Απαιτούνται κατά το ελάχιστο 8 χαρακτήρες.');
INSERT INTO `lang_definitions` VALUES (66053, 4486, 17, 'Κωδικός Πρόσβασης:');
INSERT INTO `lang_definitions` VALUES (66054, 4487, 17, 'Οι κωδικοί δεν ταιριάζουν!');
INSERT INTO `lang_definitions` VALUES (66055, 4488, 17, 'Παρελθόντα Ραντεβού');
INSERT INTO `lang_definitions` VALUES (66056, 4490, 17, 'Καθυστέρηση');
INSERT INTO `lang_definitions` VALUES (66057, 4491, 17, 'Καθυστέρηση');
INSERT INTO `lang_definitions` VALUES (66058, 4492, 17, 'Καθυστέρηση του προβλεπόμενου διαστήματος (Υπενθύμιση για τον κλινικό)');
INSERT INTO `lang_definitions` VALUES (66059, 4493, 17, 'Καθυστέρηση του προβλεπόμενου διαστήματος (Υπενθύμιση για τον Ασθενή)');
INSERT INTO `lang_definitions` VALUES (66060, 4494, 17, 'Λίστα Προηγούμενων Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (66061, 4495, 17, 'Προηγούμενες Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (66062, 4496, 17, 'Προηγούμενες Επισκέψεις και Έγγραφα');
INSERT INTO `lang_definitions` VALUES (66063, 4497, 17, 'Προηγούμενες Επισκέψεις για');
INSERT INTO `lang_definitions` VALUES (66064, 4498, 17, 'Επικόλληση HL7 δεδομένων');
INSERT INTO `lang_definitions` VALUES (66065, 4499, 17, 'Επικολλήσετε τα δεδομένα προς εισαγωγή, στο παρακάτω πεδίο κειμένου:');
INSERT INTO `lang_definitions` VALUES (66066, 4500, 17, 'Ασθ');
INSERT INTO `lang_definitions` VALUES (66067, 4508, 17, 'Διαδρομή για Αντίγραφο ασφαλείας της Καταγραφής Συμβάντων');
INSERT INTO `lang_definitions` VALUES (66068, 4509, 17, 'Διαδρομή για το Αρχείο Πιστοποιητικών CA');
INSERT INTO `lang_definitions` VALUES (66069, 4510, 17, 'Διαδρομή για το Κλειδί του Αρχείου Πιστοποιητικών CA');
INSERT INTO `lang_definitions` VALUES (66070, 4511, 17, 'Διαδρομή για τα δυαδικά (binaries) της MySQL');
INSERT INTO `lang_definitions` VALUES (66071, 4512, 17, 'Διαδρομή για τα δυαδικά (binaries) PERT');
INSERT INTO `lang_definitions` VALUES (66072, 4513, 17, 'Διαδρομή για τα Προσωρινά Αρχεία');
INSERT INTO `lang_definitions` VALUES (66073, 4514, 17, 'Ασθενής');
INSERT INTO `lang_definitions` VALUES (66074, 4515, 17, 'ασθενής');
INSERT INTO `lang_definitions` VALUES (66075, 4516, 17, 'ΑΣΘΕΝΕΙΣ');
INSERT INTO `lang_definitions` VALUES (66076, 4517, 17, 'Διεύθυνση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66077, 4518, 17, 'Λείπει η Διεύθυνση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66078, 4521, 17, 'Αλλεργίες ασθενούς');
INSERT INTO `lang_definitions` VALUES (66079, 4522, 17, 'Αλλεργίες Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66080, 4523, 17, 'Ραντεβού ασθενούς');
INSERT INTO `lang_definitions` VALUES (66081, 4528, 17, 'Κωδικός φακέλου ασθενούς');
INSERT INTO `lang_definitions` VALUES (66082, 4529, 17, 'Έλεγχος εξόδου του ασθενούς');
INSERT INTO `lang_definitions` VALUES (66083, 4530, 17, 'Έλεγχος εξόδου ασθενούς για τον/ την ');
INSERT INTO `lang_definitions` VALUES (66084, 4531, 17, 'Πόλη ασθενούς');
INSERT INTO `lang_definitions` VALUES (66085, 4532, 17, 'Λείπε η Πόλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66086, 4533, 17, 'Επικοινωνία ασθενούς απεστάλη');
INSERT INTO `lang_definitions` VALUES (66087, 4534, 17, 'Επικοινωνία ασθενούς απεστάλη');
INSERT INTO `lang_definitions` VALUES (66088, 4535, 17, 'Χώρα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66089, 4536, 17, 'Λείπει η Χώρα Ασθενούς. Επίσης, δεν έχετε ορίσει την Προεπιλεγμένη Χώρα Ασθενούς στις Γενικές Ρυθμίσεις.');
INSERT INTO `lang_definitions` VALUES (66090, 4537, 17, 'Κάλυψη ασθενούς');
INSERT INTO `lang_definitions` VALUES (66091, 4539, 17, 'Στοιχεία ασθενούς');
INSERT INTO `lang_definitions` VALUES (66092, 4541, 17, 'Λείπει η Ημερομηνία Γέννησης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66093, 4542, 17, 'Λεπτομέρειες ασθενούς');
INSERT INTO `lang_definitions` VALUES (66094, 4543, 17, 'Ημ. Γενν. ασθενούς');
INSERT INTO `lang_definitions` VALUES (66095, 4544, 17, 'Έγγραφο ασθενούς');
INSERT INTO `lang_definitions` VALUES (66096, 4545, 17, 'Εκπαίδευση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66097, 4546, 17, 'Υλικά Εκπαίδευσης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66098, 4547, 17, 'Επίσκεψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66099, 4548, 17, 'Έντυπο Επίσκεψης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66100, 4549, 17, 'Επισκέψεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66101, 4550, 17, 'Ευρετήριο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66102, 4551, 17, 'Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66103, 4553, 17, 'Λείπει το Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66104, 4558, 17, 'Φύλο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66105, 4559, 17, 'Λείπει το Φύλο του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66106, 4560, 17, 'Ο ασθενής δεν έχει εξουσιοδοτήσει την Πύλη Ασθενούς.');
INSERT INTO `lang_definitions` VALUES (66107, 4561, 17, 'Ιστορικό και προδιάθεση ασθενούς');
INSERT INTO `lang_definitions` VALUES (66108, 4562, 17, 'Ιστορικό και Προδιάθεση ασθενούς - Τρόπος ζωής');
INSERT INTO `lang_definitions` VALUES (66109, 4563, 17, 'Τηλέφωνο Οικίας Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66110, 4564, 17, 'Κωδικός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66111, 4565, 17, 'Κωδικός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66112, 4566, 17, 'Κάρτα ταυτοποίησης ασθενούς');
INSERT INTO `lang_definitions` VALUES (66113, 4567, 17, 'Όνομα κατηγορίας ταυτοποίησης ασθενούς');
INSERT INTO `lang_definitions` VALUES (66114, 4568, 17, 'Εμβολιασμοί ασθενούς');
INSERT INTO `lang_definitions` VALUES (66115, 4569, 17, 'Πληροφορίες ασθενούς');
INSERT INTO `lang_definitions` VALUES (66116, 4570, 17, 'Οδηγίες προς Aσθενή');
INSERT INTO `lang_definitions` VALUES (66117, 4571, 17, 'Κατανομή Aσφάλισης Aσθενών');
INSERT INTO `lang_definitions` VALUES (66118, 4572, 17, 'Αναφορά Kατανομής Aσφάλισης Aσθενών');
INSERT INTO `lang_definitions` VALUES (66119, 4573, 17, 'Προβλήματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66120, 4575, 17, 'Επώνυμο Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66121, 4577, 17, 'Λείπει το Επώνυμο του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66122, 4581, 17, 'Κατάλογος Ασθενών');
INSERT INTO `lang_definitions` VALUES (66123, 4582, 17, 'Στήλες Λίστας Ασθενών');
INSERT INTO `lang_definitions` VALUES (66124, 4584, 17, 'Νέο παράθυρο Λίστας ασθενών');
INSERT INTO `lang_definitions` VALUES (66125, 4585, 17, 'Μέγεθος σελίδας Λίστας Ασθενών');
INSERT INTO `lang_definitions` VALUES (66126, 4586, 17, 'Λάθη Αναζήτησης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66127, 4587, 17, 'Ιατρικά Προβλήματα/ Παθήσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66128, 4588, 17, 'Φάρμακα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66129, 4589, 17, 'Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66130, 4590, 17, 'Όνομα & Διεύθυνση ασθενούς');
INSERT INTO `lang_definitions` VALUES (66131, 4593, 17, 'Απαιτείται Όνομα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66132, 4595, 17, 'Σημειωση για τον Ασθενή');
INSERT INTO `lang_definitions` VALUES (66133, 4596, 17, 'Τύποι Σημειώσεων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66134, 4597, 17, 'Σημειώσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66135, 4598, 17, 'Σημειώσεις Ασθενούς (εγγραφή, προαιρετικά προσθήκη)');
INSERT INTO `lang_definitions` VALUES (66136, 4599, 17, 'Αριθμός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66137, 4600, 17, 'Πληρωμή Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66138, 4602, 17, 'Όνομα Κατηγορίας Φωτογραφιών Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66139, 4603, 17, 'Πύλη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66140, 4605, 17, 'Η Πύλη Ασθενούς είναι απενεργοποιημένη');
INSERT INTO `lang_definitions` VALUES (66141, 4606, 17, 'Είσοδος Πύλης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66142, 4607, 17, 'Διεύθυνση Πύλης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66143, 4608, 17, 'Εκτυπωμένη Αναφορά Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66144, 4609, 17, 'Αναφορά Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66145, 4610, 17, 'Αίτηση Φακέλου Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66146, 4611, 17, 'Αίτηση Φακέλων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66147, 4613, 17, 'Υπενθύμιση Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66148, 4614, 17, 'Δέσμη Εργασιών Υπενθυμίσεων Ασθενούς/ών');
INSERT INTO `lang_definitions` VALUES (66149, 4616, 17, 'Κανόνες Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66150, 4617, 17, 'E-mail Αποστολέα Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66151, 4618, 17, 'Όνομα Αποστολέα Υπενθύμισης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66152, 4619, 17, 'Υπενθυμίσεις προς τον ασθενή');
INSERT INTO `lang_definitions` VALUES (66153, 4620, 17, 'Αναφορά Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66154, 4621, 17, 'Αίτημα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66155, 4622, 17, 'Ο ασθενής αιτήθηκε Ιατρικού Φακέλου');
INSERT INTO `lang_definitions` VALUES (66156, 4623, 17, 'Αποτελέσματα Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66157, 4624, 17, 'Στυλ Αποτελεσμάτων Αναζήτησης Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66158, 4625, 17, 'Αναζήτηση Ασθενούς/Προσθήκη Οθόνης');
INSERT INTO `lang_definitions` VALUES (66159, 4626, 17, 'Ρυθμίσεις Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66160, 4627, 17, 'Νομός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66161, 4629, 17, 'Περίληψη Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66162, 4630, 17, 'Συναλλαγές ασθενούς');
INSERT INTO `lang_definitions` VALUES (66163, 4631, 17, 'ΤΚ Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66164, 4632, 17, 'ασθενής(-είς) στη βάση δεδομένων που ταιριάζουν με τις δημογραφικές πληροφορίες που έχετε εισάγει.');
INSERT INTO `lang_definitions` VALUES (66165, 4633, 17, 'Ασθενής');
INSERT INTO `lang_definitions` VALUES (66166, 4634, 17, 'Ασθενής:');
INSERT INTO `lang_definitions` VALUES (66167, 4635, 17, 'Κωδικός Ασθενούς');
INSERT INTO `lang_definitions` VALUES (66168, 4636, 17, 'Ασθενείς');
INSERT INTO `lang_definitions` VALUES (66169, 4637, 17, 'Ασθενείς επεξεργάστηκαν');
INSERT INTO `lang_definitions` VALUES (66170, 4638, 17, 'Πληρωμή');
INSERT INTO `lang_definitions` VALUES (66171, 4639, 17, 'Δώστε προσοχή στα κουτάκια \"Έγινε με\". Αφού οι ασφάλειες σημειωθούν ως πλήρεις, τότε θα ξεκινήσουμε ζητώντας από τον ασθενή να καταβάλει το υπόλοιπο ποσό. Αν αποτύχετε να μαρκάρετε όλες τις πλήρεις ασφάλειες, τότε το υπόλοιπο ποσό δεν θα εισπραχθεί! Επίσης, εάν υπάρχει ένα ποσό που ο ασθενής θα πρέπει να πληρώσει, τότε θέστε την ημερομηνία λήξης κατάλληλα, καθώς αυτό θα επηρεάσει τη γλώσσα που εμφανίζεται στις καταστάσεις του ασθενούς.');
INSERT INTO `lang_definitions` VALUES (66172, 4640, 17, 'Ημερομηνία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66173, 4641, 17, 'Κατάσταση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66174, 4642, 17, 'Όνομα Δικαιούχου');
INSERT INTO `lang_definitions` VALUES (66175, 4643, 17, 'Πληρωτής');
INSERT INTO `lang_definitions` VALUES (66176, 4644, 17, 'Τύπος Πληρωτή');
INSERT INTO `lang_definitions` VALUES (66177, 4645, 17, 'Πληρώνει');
INSERT INTO `lang_definitions` VALUES (66178, 4646, 17, 'Καταχώρηση καταβολής χρημάτων');
INSERT INTO `lang_definitions` VALUES (66179, 4647, 17, 'Πληρωμή');
INSERT INTO `lang_definitions` VALUES (66180, 4648, 17, 'πληρωμή');
INSERT INTO `lang_definitions` VALUES (66181, 4649, 17, 'Κωδικός Ρύθμισης Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66182, 4650, 17, 'Πληρωμή έναντι');
INSERT INTO `lang_definitions` VALUES (66183, 4651, 17, 'Ποσό Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66184, 4652, 17, 'Το ποσό πληρωμής πρέπει να είναι αριθμητικό');
INSERT INTO `lang_definitions` VALUES (66185, 4653, 17, 'Κατηγορία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66186, 4654, 17, 'Ημερομηνία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66187, 4655, 17, 'η πληρωμή εισήχθη στις');
INSERT INTO `lang_definitions` VALUES (66188, 4656, 17, 'Πληρωμή Από');
INSERT INTO `lang_definitions` VALUES (66189, 4657, 17, 'Gateways πληρωμής');
INSERT INTO `lang_definitions` VALUES (66190, 4658, 17, 'Ασφ Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66191, 4659, 17, 'Λίστα Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66192, 4660, 17, 'Τρόπος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66193, 4661, 17, 'Κατάταξη πληρωμών ανά');
INSERT INTO `lang_definitions` VALUES (66194, 4662, 17, 'Κατάσταση Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66195, 4663, 17, 'Τύπος Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66196, 4664, 17, 'Αξία πληρωμής για κωδικό ');
INSERT INTO `lang_definitions` VALUES (66197, 4665, 17, 'Πληρωμές');
INSERT INTO `lang_definitions` VALUES (66198, 4669, 17, 'PDF');
INSERT INTO `lang_definitions` VALUES (66199, 4670, 17, 'Κατεβάστε Επιλεγμένους Λογαριασμούς σε PDF');
INSERT INTO `lang_definitions` VALUES (66200, 4672, 17, 'Πύελος και γλουτός');
INSERT INTO `lang_definitions` VALUES (66201, 4673, 17, 'Πέμφυξ');
INSERT INTO `lang_definitions` VALUES (66202, 4674, 17, 'Εκκρεμεί');
INSERT INTO `lang_definitions` VALUES (66203, 4676, 17, 'Εκκρεμεί F/U');
INSERT INTO `lang_definitions` VALUES (66204, 4677, 17, 'Εκκρεμεί επανεκτίμηση');
INSERT INTO `lang_definitions` VALUES (66205, 4678, 17, 'Εκκρεμεί επανεκτίμηση με βάση τα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (66206, 4679, 17, 'Παραγγελίες σε εκκρεμότητα');
INSERT INTO `lang_definitions` VALUES (66207, 4680, 17, 'Αποτέλεσμα εκκρεμεί');
INSERT INTO `lang_definitions` VALUES (66208, 4681, 17, 'Εκκρεμεί Επανεξέταση');
INSERT INTO `lang_definitions` VALUES (66209, 4682, 17, 'Αριθμός Εκκρεμών Θεραπείων');
INSERT INTO `lang_definitions` VALUES (66210, 4684, 17, 'Εταιρεία Pennington LibreEHR v');
INSERT INTO `lang_definitions` VALUES (66211, 4685, 17, 'Πεπτικό έλκος');
INSERT INTO `lang_definitions` VALUES (66212, 4686, 17, 'Ανά Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (66213, 4687, 17, 'ανά λεπτό');
INSERT INTO `lang_definitions` VALUES (66214, 4688, 17, 'Ανά ρώθωνα');
INSERT INTO `lang_definitions` VALUES (66215, 4689, 17, 'ανά ρώθωνα');
INSERT INTO `lang_definitions` VALUES (66216, 4690, 17, 'Aπό το Στόμα');
INSERT INTO `lang_definitions` VALUES (66217, 4691, 17, 'από το στόμα');
INSERT INTO `lang_definitions` VALUES (66218, 4692, 17, 'Ορθικά');
INSERT INTO `lang_definitions` VALUES (66219, 4693, 17, 'ορθικά');
INSERT INTO `lang_definitions` VALUES (66220, 4694, 17, 'Επί τοις εκατό');
INSERT INTO `lang_definitions` VALUES (66221, 4697, 17, 'Εκατοστιαία θέση');
INSERT INTO `lang_definitions` VALUES (66222, 4698, 17, 'Διάτρηση Δεξιά:');
INSERT INTO `lang_definitions` VALUES (66223, 4699, 17, 'Εκτέλεση αναζήτησης');
INSERT INTO `lang_definitions` VALUES (66224, 4700, 17, 'Εκτέλεση αυτής της ενέργειας');
INSERT INTO `lang_definitions` VALUES (66225, 4701, 17, 'Ποσοστό Εκτέλεσης');
INSERT INTO `lang_definitions` VALUES (66226, 4703, 17, 'Εκτελόν Εργαστήριο');
INSERT INTO `lang_definitions` VALUES (66227, 4705, 17, 'Περίοδος');
INSERT INTO `lang_definitions` VALUES (66228, 4706, 17, 'Περίοδος σε ημέρες, κατά την οποία ένας χρήστης με ληγμένο κωδικό, μπορεί να συνδεθεί');
INSERT INTO `lang_definitions` VALUES (66229, 4707, 17, 'Περιεγχειρητική Φροντίδα');
INSERT INTO `lang_definitions` VALUES (66230, 4708, 17, 'Περιφερειακό');
INSERT INTO `lang_definitions` VALUES (66231, 4710, 17, 'Περσικά');
INSERT INTO `lang_definitions` VALUES (66232, 4712, 17, 'Άτομο');
INSERT INTO `lang_definitions` VALUES (66233, 4713, 17, 'Διαμόρφωση');
INSERT INTO `lang_definitions` VALUES (66234, 4715, 17, 'Φαρμ');
INSERT INTO `lang_definitions` VALUES (66235, 4717, 17, 'Φαρμακεία');
INSERT INTO `lang_definitions` VALUES (66236, 4718, 17, 'Φαρμακείο');
INSERT INTO `lang_definitions` VALUES (66237, 4719, 17, 'Αποθήκη φαρμακείου');
INSERT INTO `lang_definitions` VALUES (66238, 4720, 17, 'Πνευμοθώρακας');
INSERT INTO `lang_definitions` VALUES (66239, 4729, 17, 'Τηλέφωνο');
INSERT INTO `lang_definitions` VALUES (66240, 4730, 17, 'Λίστα τηλεφωνικών κλήσεων');
INSERT INTO `lang_definitions` VALUES (66241, 4731, 17, 'Αναφορά λίστας τηλεφωνημάτων');
INSERT INTO `lang_definitions` VALUES (66242, 4733, 17, 'Κωδικός Gateway Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (66243, 4734, 17, 'URL Gateway Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (66244, 4735, 17, 'Συνθηματικό Χρήστη Gateway Τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (66245, 4737, 17, 'Ωρα Τηλεφωνικής Ειδοποίησης');
INSERT INTO `lang_definitions` VALUES (66246, 4738, 17, 'Αριθμός τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (66247, 4740, 17, 'Φωτοφοβία');
INSERT INTO `lang_definitions` VALUES (66248, 4741, 17, 'Φωτογραφίες');
INSERT INTO `lang_definitions` VALUES (66249, 4742, 17, 'PHP compressed');
INSERT INTO `lang_definitions` VALUES (66250, 4744, 17, 'Έγινε εξαγωγή PHP');
INSERT INTO `lang_definitions` VALUES (66251, 4745, 17, 'Οι έλεγχοι πρόσβασης php=GACL είναι απενεργοποιημένοι');
INSERT INTO `lang_definitions` VALUES (66252, 4746, 17, 'Το PHP-gacl δεν έχει εγκατασαταθεί');
INSERT INTO `lang_definitions` VALUES (66253, 4747, 17, 'Φυσική εξέταση');
INSERT INTO `lang_definitions` VALUES (66254, 4749, 17, 'Αίτηση ιατρού');
INSERT INTO `lang_definitions` VALUES (66255, 4750, 17, 'Υπογραφή ιατρού');
INSERT INTO `lang_definitions` VALUES (66256, 4752, 17, 'Ιατροί');
INSERT INTO `lang_definitions` VALUES (66257, 4753, 17, 'διαλέξτε');
INSERT INTO `lang_definitions` VALUES (66258, 4754, 17, 'Διαλέξτε');
INSERT INTO `lang_definitions` VALUES (66259, 4755, 17, 'Διαλέξτε ένα θέμα CSS');
INSERT INTO `lang_definitions` VALUES (66260, 4756, 17, 'Προσωπικός κωδικός αναγνώρισης');
INSERT INTO `lang_definitions` VALUES (66261, 4757, 17, 'Φλεγμ. νόσος πυέλου');
INSERT INTO `lang_definitions` VALUES (66262, 4758, 17, 'Μέγεθος χαπιού');
INSERT INTO `lang_definitions` VALUES (66263, 4759, 17, 'Χάπια');
INSERT INTO `lang_definitions` VALUES (66264, 4760, 17, 'Τοποθετήστε το αρχείο βάσης δεδομένων zip στον ακόλουθο κατάλογο, αν θέλετε να εγκαταστήσετε αυτή τη δυνατότητα');
INSERT INTO `lang_definitions` VALUES (66265, 4761, 17, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης ICD10 που κατεβάσατε στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (66266, 4762, 17, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης ICD9 που κατεβάσατε στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (66267, 4763, 17, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης RxNorm που κατεβάσατε στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (66268, 4764, 17, 'Τοποθετήστε τα συμπιεσμένα αρχεία της βάσης Snomed που κατεβάσατε, στον εξής κατάλογο');
INSERT INTO `lang_definitions` VALUES (66269, 4767, 17, 'Απλό κείμενο');
INSERT INTO `lang_definitions` VALUES (66270, 4768, 17, 'Θεραπευτική Αγωγή');
INSERT INTO `lang_definitions` VALUES (66271, 4771, 17, 'Όνομα πλάνου');
INSERT INTO `lang_definitions` VALUES (66272, 4775, 17, 'Το πλάνο έχει οριστεί');
INSERT INTO `lang_definitions` VALUES (66273, 4779, 17, 'Πλάνο:');
INSERT INTO `lang_definitions` VALUES (66274, 4782, 17, 'Πλάνα');
INSERT INTO `lang_definitions` VALUES (66275, 4784, 17, 'Παίκτης');
INSERT INTO `lang_definitions` VALUES (66276, 4785, 17, 'Θέση παιχνιδιού');
INSERT INTO `lang_definitions` VALUES (66277, 4786, 17, 'Παρακαλώ τηλεφωνείστε αν κάποιο από τα παραπάνω στοιχεία είναι λάθος');
INSERT INTO `lang_definitions` VALUES (66278, 4787, 17, 'Παρακαλώ αλλάξτε τον κωδικό σας.');
INSERT INTO `lang_definitions` VALUES (66279, 4788, 17, 'Παρακαλώ επιλέξτε ένα αρχείο');
INSERT INTO `lang_definitions` VALUES (66280, 4789, 17, 'Παρακαλώ επιλέξτε έναν ασθενή');
INSERT INTO `lang_definitions` VALUES (66281, 4790, 17, 'Παρακαλώ επιλέξτε μια έγκυρη επιλογή από τη λίστα.');
INSERT INTO `lang_definitions` VALUES (66282, 4791, 17, 'Παρακαλώ επιλέξτε μια έγκυρη επιλογή.');
INSERT INTO `lang_definitions` VALUES (66283, 4792, 17, 'Παρακαλώ επιλέξτε μια τιμή για');
INSERT INTO `lang_definitions` VALUES (66284, 4793, 17, 'Παρακαλώ επιλέξτε πιο πάνω τα κριτήρια για τα φάσματα ημερομηνιών και κάντε κλικ στο Ανανέωση, για να δείτε τα αποτελέσματα.');
INSERT INTO `lang_definitions` VALUES (66285, 4795, 17, 'Παρακαλώ κάντε κλικ στο κουμπί Download για να κατεβάσετε τα ΑποΤαυτοποιημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (66286, 4796, 17, 'Παρακαλώ κάντε κλικ στο κουμπί Download για να κατεβάσετε τα ΕπαναΤαυτοποιημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (66287, 4797, 17, 'Παρακαλώ κλείστε αυτό το παράθυρο');
INSERT INTO `lang_definitions` VALUES (66288, 4798, 17, 'Παρακαλώ συγκρίνετε το νέο όνομα');
INSERT INTO `lang_definitions` VALUES (66289, 4801, 17, 'Παρακαλώ δημιουργήστε τον εξής κατάλογο, πριν προχωρήσετε');
INSERT INTO `lang_definitions` VALUES (66290, 4802, 17, 'Παρακαλώ μη δέχεστε αυτή τη συνταγή, εκτός αν ελήφθη μέσω facimile.');
INSERT INTO `lang_definitions` VALUES (66291, 4803, 17, 'Παρακαλώ μη δέχεστε αυτή τη συνταγή, εκτός αν ελήφθη μέσω facimile.');
INSERT INTO `lang_definitions` VALUES (66292, 4804, 17, 'Παρακαλώ ΜΗ χρησιμοποιείτε τα κουμπιά Stop ή Reload του φυλλομετρητή σας, ενώ αυτή η σελίδα τρέχει. Αν δεν έχουν παρέλθει περισσότερα από 10 λεπτά, θα προκληθεί το σταμάτημα της διαδικασίας στο διακομιστή και θα καταναλώσει περιττούς πόρους.');
INSERT INTO `lang_definitions` VALUES (66293, 4805, 17, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ CURL');
INSERT INTO `lang_definitions` VALUES (66294, 4806, 17, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ OPENSSL');
INSERT INTO `lang_definitions` VALUES (66295, 4807, 17, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ SOAP');
INSERT INTO `lang_definitions` VALUES (66296, 4808, 17, 'ΠΑΡΑΚΑΛΩ ΕΝΕΡΓΟΠΟΙΗΣΤΕ ΤΗΝ ΕΠΕΚΤΑΣΗ XML');
INSERT INTO `lang_definitions` VALUES (66297, 4809, 17, 'Παρακαλώ βάλτε μία ημερομηνία για την τελευταία φορά που επανεξετάσατε');
INSERT INTO `lang_definitions` VALUES (66298, 4810, 17, 'Παρακαλώ εισάγετε μια ημερομηνία.');
INSERT INTO `lang_definitions` VALUES (66299, 4811, 17, 'Παρακαλώ είσάγετε μια ημερομηνία προθεσμίας');
INSERT INTO `lang_definitions` VALUES (66300, 4812, 17, 'Παρακαλώ είσάγετε ένα μήνυμα');
INSERT INTO `lang_definitions` VALUES (66301, 4813, 17, 'Παρακαλώ εισάγετε ένα χρηματικό ποσό χρησιμοποιώντας μόνο αριθμούς και ένα δεκαδικό ψηφίο');
INSERT INTO `lang_definitions` VALUES (66302, 4814, 17, 'Παρακαλώ Εισάγετε Νέο Κωδικό Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66303, 4815, 17, 'Παρακαλώ εισάγετε τίτλο!');
INSERT INTO `lang_definitions` VALUES (66304, 4819, 17, 'Παρακαλώ βάλτε έναν σωστό κωδικό Επαναταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (66305, 4821, 17, 'Παρακαλώ εισάγετε νέα λέξη αναζήτησης');
INSERT INTO `lang_definitions` VALUES (66306, 4822, 17, 'Παρακαλώ βάλτε τον σωστό κωδικό Επαναταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (66307, 4823, 17, 'Παρακαλώ βάλτε τον κωδικό πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66308, 4824, 17, 'Παρακαλώ συμπληρώστε τον Αριθμό Επιταγής');
INSERT INTO `lang_definitions` VALUES (66309, 4825, 17, 'Παρακαλώ συμπληρώστε τον Αριθμό Επιταγής/αριθμό αναφοράς');
INSERT INTO `lang_definitions` VALUES (66310, 4826, 17, 'Παρακαλώ συμπληρώστε την Ημερομηνία');
INSERT INTO `lang_definitions` VALUES (66311, 4827, 17, 'Παρακαλώ συμπληρώστε το Ποσό Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66312, 4828, 17, 'Παρακαλώ συμπληρώστε την Κατηγορία Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66313, 4829, 17, 'Παρακαλώ συμπληρώστε την Πληρωμή Από');
INSERT INTO `lang_definitions` VALUES (66314, 4831, 17, 'Παρακαλώ συμπληρώστε τους πριν συνεχίσετε.');
INSERT INTO `lang_definitions` VALUES (66315, 4832, 17, 'Παρακαλώ υποδείξτε τον λόγο επίσκεψης');
INSERT INTO `lang_definitions` VALUES (66316, 4834, 17, 'Παρακαλώ εισάγετε κριτήρια αναζήτησης πιο πάνω και κάντε κλικ στο Υποβολή για να δείτε τα αποτελέσματα.');
INSERT INTO `lang_definitions` VALUES (66317, 4835, 17, 'Παρακαλώ εισάγετε κριτήρια αναζήτησης πιο πάνω και κάντε κλικ στο Υποβολή για να δείτε τα αποτελέσματα. (Τα αποτελέσματα θα εμφανιστούν σε ένα νέο παράθυρο)');
INSERT INTO `lang_definitions` VALUES (66318, 4836, 17, 'Παρακαλώ συνδεθείτε πάλι');
INSERT INTO `lang_definitions` VALUES (66319, 4837, 17, 'Παρακαλώ σημειώστε ότι αυτό μπορεί να πάρει πολύ χρόνο, έως και αρκετά λεπτά. Ο φυλλομετρητής σας μπορεί να μην εμφανίζεται πολύ δραστήριος κατά το διάστημα αυτό, αλλά η δημιουργία μιας χρέωσης είναι μια περίπλοκη διαδικασία και ο φυλλομετρητής σας απλώς περιμένει περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (66320, 4838, 17, 'Σημείωση: στις σταθερές παίζουν ρόλο τα μικρά-κεφαλαία γράμματα και επιτρέπεται κάθε string.');
INSERT INTO `lang_definitions` VALUES (66321, 4839, 17, 'Παρακαλώ χρησιμοποιήστε μόνο αλφαβητικούς χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (66322, 4840, 17, 'Παρακαλώ χρησιμοποιήστε μόνο αλφαβητικούς χαρακτήρες χωρίς κενά');
INSERT INTO `lang_definitions` VALUES (66323, 4841, 17, 'Παρακαλώ πληρώστε αυτό το ποσό');
INSERT INTO `lang_definitions` VALUES (66324, 4842, 17, 'Παρακαλώ τοποθετήστε τα αρχεία σας προς εγκατάσταση σε αυτό τον κατάλογο');
INSERT INTO `lang_definitions` VALUES (66325, 4843, 17, 'Παρακαλώ αναφερθείτε στο');
INSERT INTO `lang_definitions` VALUES (66326, 4844, 17, 'Παρακαλώ επανακαθορίστε τον κωδικό.');
INSERT INTO `lang_definitions` VALUES (66327, 4845, 17, 'Παρακαλώ επανεκκινήστε τον Apache server πριν παίξετε με την Αποταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (66328, 4847, 17, 'Παρακαλώ επιλέξτε');
INSERT INTO `lang_definitions` VALUES (66329, 4849, 17, 'Παρακαλώ επιλέξτε μία γλώσσα');
INSERT INTO `lang_definitions` VALUES (66330, 4850, 17, 'Παρακαλώ επιλέξτε έναν Ασθενή');
INSERT INTO `lang_definitions` VALUES (66331, 4854, 17, 'Παρακαλώ Επιλέξτε έναν Παραλήπτη');
INSERT INTO `lang_definitions` VALUES (66332, 4855, 17, 'Παρακαλώ επιλέξτε μια ημερομηνία έναρξης και λήξης');
INSERT INTO `lang_definitions` VALUES (66333, 4856, 17, 'Παρακαλώ επιλέξτε έναν έγκυρο παραλήπτη');
INSERT INTO `lang_definitions` VALUES (66334, 4858, 17, 'Παρακαλώ επιλέξτε μια αιτιολογία διόρθωσης για τον κωδικό ');
INSERT INTO `lang_definitions` VALUES (66335, 4859, 17, 'Παρακαλώ επιλέξτε ένα συμβάν');
INSERT INTO `lang_definitions` VALUES (66336, 4860, 17, 'Παρακαλώ επιλέξτε μια Επιλογή Αναζήτησης.');
INSERT INTO `lang_definitions` VALUES (66337, 4863, 17, 'Παρακαλώ επιλέξτε τουλάχιστον μία συνταγή!');
INSERT INTO `lang_definitions` VALUES (66338, 4865, 17, 'Παρακαλώ επιλέξτε τις επιθυμητές σελίδες προς αντιγραφή ή προώθηση:');
INSERT INTO `lang_definitions` VALUES (66339, 4866, 17, 'Παρακαλώ επιλέξτε μια Μέθοδο Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66340, 4867, 17, 'Παρακαλώ επιλέξτε Μέθοδο Πληρωμής');
INSERT INTO `lang_definitions` VALUES (66341, 4870, 17, 'Παρακαλώ καθορίστε');
INSERT INTO `lang_definitions` VALUES (66342, 4871, 17, 'Παρακαλώ ορίστε την μεταβλητή de_identification_config ξανά στο μηδέν');
INSERT INTO `lang_definitions` VALUES (66343, 4873, 17, 'Παρακαλώ αρχίστε μία νέα διαδικασία Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (66344, 4874, 17, 'Παρακαλώ αναβαθμίστε τη βάση δεδομένων του LibreEHR, για να ενσωματώσει τις διαδικασίες Απο Ταυτοποίησης, λειτουργίες, πίνακες');
INSERT INTO `lang_definitions` VALUES (66345, 4875, 17, 'Παρακαλώ δείτε τον πίνακα καταγραφής σφαλμάτων Απο Ταυτοποίησης, για παραπάνω πληροφορίες');
INSERT INTO `lang_definitions` VALUES (66346, 4876, 17, 'Παρακαλώ, επισκεφθείτε ξανά την οθόνη Απο Ταυτοποίησης μετά από λίγο καιρό');
INSERT INTO `lang_definitions` VALUES (66347, 4877, 17, 'Παρακαλώ, επισκεφθείτε ξανά την οθόνη Επανα Ταυτοποίησης μετά από λίγο καιρό');
INSERT INTO `lang_definitions` VALUES (66348, 4878, 17, 'Παρακαλώ επισκεφθείτε την οθόνη μετά από λίγο καιρό');
INSERT INTO `lang_definitions` VALUES (66349, 4882, 17, 'ΜΜ');
INSERT INTO `lang_definitions` VALUES (66350, 4884, 17, 'Μέθοδος πληρωμής');
INSERT INTO `lang_definitions` VALUES (66351, 4885, 17, 'Κατάθλιψη μετά τον τοκετό');
INSERT INTO `lang_definitions` VALUES (66352, 4886, 17, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 1');
INSERT INTO `lang_definitions` VALUES (66353, 4887, 17, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 2');
INSERT INTO `lang_definitions` VALUES (66354, 4888, 17, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 3');
INSERT INTO `lang_definitions` VALUES (66355, 4889, 17, 'Συζευγμ. εμβόλιο πνευμονιοκόκκου 4');
INSERT INTO `lang_definitions` VALUES (66356, 4890, 17, 'Εμβόλιο Πνευμονιόκοκκου');
INSERT INTO `lang_definitions` VALUES (66357, 4891, 17, 'Εμβολιασμός για πνευμονία');
INSERT INTO `lang_definitions` VALUES (66358, 4892, 17, 'Κατάσταση Εμβολιασμού για πνευμονία για ηλικιωμένους');
INSERT INTO `lang_definitions` VALUES (66359, 4893, 17, 'Κατάσταση Εμβολιασμού για πνευμονία για ηλικιωμένους');
INSERT INTO `lang_definitions` VALUES (66360, 4894, 17, 'Ποδιατρική');
INSERT INTO `lang_definitions` VALUES (66361, 4896, 17, 'Σημείο εξυπηρέτησης');
INSERT INTO `lang_definitions` VALUES (66362, 4897, 17, 'Ασφαλ. Συμβόλαιο');
INSERT INTO `lang_definitions` VALUES (66363, 4898, 17, 'Αρ. Ασφαλ. Συμβολαίου');
INSERT INTO `lang_definitions` VALUES (66364, 4899, 17, 'Αριθμός ασφαλ. συμβολαίου');
INSERT INTO `lang_definitions` VALUES (66365, 4900, 17, 'Πολωνικά');
INSERT INTO `lang_definitions` VALUES (66366, 4901, 17, 'Πολυδιψία');
INSERT INTO `lang_definitions` VALUES (66367, 4902, 17, 'Πολύποδες');
INSERT INTO `lang_definitions` VALUES (66368, 4903, 17, 'Πολυουρία');
INSERT INTO `lang_definitions` VALUES (66369, 4904, 17, 'Κακή όρεξη');
INSERT INTO `lang_definitions` VALUES (66370, 4905, 17, 'Κακή κυκλοφορία');
INSERT INTO `lang_definitions` VALUES (66371, 4906, 17, 'Βαρηκοΐα');
INSERT INTO `lang_definitions` VALUES (66372, 4907, 17, 'Τα Pop ups πρέπει να είναι ενεργοποιημένη για να δείτε αυτές τις αναφορές');
INSERT INTO `lang_definitions` VALUES (66373, 4908, 17, 'Να συμπληρωθεί η εμφάνιση του έτους με συμβάντα;');
INSERT INTO `lang_definitions` VALUES (66374, 4909, 17, 'Popups');
INSERT INTO `lang_definitions` VALUES (66375, 4911, 17, 'Δραστηριότητα Πύλης');
INSERT INTO `lang_definitions` VALUES (66376, 4917, 17, 'Πορτογαλικά');
INSERT INTO `lang_definitions` VALUES (66377, 4918, 17, 'Πορτογαλικά (Βραζιλία)');
INSERT INTO `lang_definitions` VALUES (66378, 4919, 17, 'Πορτογαλικά (Ευρωπαϊκά)');
INSERT INTO `lang_definitions` VALUES (66379, 4920, 17, 'Κωδικός σημείου εξυπηρέτησης');
INSERT INTO `lang_definitions` VALUES (66380, 4922, 17, 'Θετικό');
INSERT INTO `lang_definitions` VALUES (66381, 4923, 17, 'Θετικά');
INSERT INTO `lang_definitions` VALUES (66382, 4926, 17, 'Ρινική καταρροή');
INSERT INTO `lang_definitions` VALUES (66383, 4928, 17, 'Μετεγχειρητικό');
INSERT INTO `lang_definitions` VALUES (66384, 4929, 17, 'Αποστολή στο λογιστήριο και σημείωση ως πληρωμένο');
INSERT INTO `lang_definitions` VALUES (66385, 4933, 17, 'Φροντίδα μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (66386, 4934, 17, 'Αντισύλληψη μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (66387, 4935, 17, 'Συμβουλευτική μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (66388, 4936, 17, 'Παρακολούθηση μετά την άμβλωση');
INSERT INTO `lang_definitions` VALUES (66389, 4937, 17, 'Ταχυδρομικό');
INSERT INTO `lang_definitions` VALUES (66390, 4938, 17, 'Τ.Κ.');
INSERT INTO `lang_definitions` VALUES (66391, 4939, 17, 'ΤΚ.');
INSERT INTO `lang_definitions` VALUES (66392, 4941, 17, 'Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (66393, 4942, 17, 'Διαχείριση Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (66394, 4943, 17, 'Ρύθμιση κατηγοριών Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (66395, 4944, 17, 'Γενικές Ρυθμίσεις Ημερολογίου');
INSERT INTO `lang_definitions` VALUES (66396, 4945, 17, 'Απεστάλη στις');
INSERT INTO `lang_definitions` VALUES (66397, 4946, 17, 'Ημερομ. αποστολής');
INSERT INTO `lang_definitions` VALUES (66398, 4953, 17, 'Ιατρείο');
INSERT INTO `lang_definitions` VALUES (66399, 4954, 17, 'Προεπιλογές Ιατρείου');
INSERT INTO `lang_definitions` VALUES (66400, 4955, 17, 'Ρυθμίσεις Ιατρείου');
INSERT INTO `lang_definitions` VALUES (66401, 4956, 17, 'Επαγγελματίας Υγείας');
INSERT INTO `lang_definitions` VALUES (66402, 4959, 17, 'Προπληρωμή');
INSERT INTO `lang_definitions` VALUES (66403, 4960, 17, 'Συμβουλή προ της άμβλωσης');
INSERT INTO `lang_definitions` VALUES (66404, 4961, 17, 'Συμβουλευτική προ της άμβλωσης');
INSERT INTO `lang_definitions` VALUES (66405, 4962, 17, 'Προτιμ. κατηγ.');
INSERT INTO `lang_definitions` VALUES (66406, 4964, 17, 'Προτιμήσεις');
INSERT INTO `lang_definitions` VALUES (66407, 4965, 17, 'Προτιμώμενη κατηγορία συμβάντων');
INSERT INTO `lang_definitions` VALUES (66408, 4966, 17, 'Προτιμώμενη γλώσσα');
INSERT INTO `lang_definitions` VALUES (66409, 4967, 17, 'Προτιμώμενο φαρμακείο');
INSERT INTO `lang_definitions` VALUES (66410, 4968, 17, 'Προτιμώμενο οργανισμός Παρόχου');
INSERT INTO `lang_definitions` VALUES (66411, 4969, 17, 'Τέστ κύησης');
INSERT INTO `lang_definitions` VALUES (66412, 4970, 17, 'Προκαταρκτικό');
INSERT INTO `lang_definitions` VALUES (66413, 4972, 17, 'Προπληρωμή');
INSERT INTO `lang_definitions` VALUES (66414, 4973, 17, 'Συνταγή');
INSERT INTO `lang_definitions` VALUES (66415, 4974, 17, 'η συνταγή έφθασε στο όριό της των');
INSERT INTO `lang_definitions` VALUES (66416, 4975, 17, 'Ιστορικό Συνταγών');
INSERT INTO `lang_definitions` VALUES (66417, 4976, 17, 'Ιστορικό Συνταγών εισήχθει επιτυχώς');
INSERT INTO `lang_definitions` VALUES (66418, 4977, 17, 'Ετικέτα Συνταγογράφησης');
INSERT INTO `lang_definitions` VALUES (66419, 4978, 17, 'Αναφορά Συνταγογράφησης');
INSERT INTO `lang_definitions` VALUES (66420, 4979, 17, 'Συνταγές');
INSERT INTO `lang_definitions` VALUES (66421, 4980, 17, 'Συνταγές και σκευάσματα');
INSERT INTO `lang_definitions` VALUES (66422, 4981, 17, 'Συνταγές και άλλες παραπομπές');
INSERT INTO `lang_definitions` VALUES (66423, 4982, 17, 'Συνταγές ή/ και παραπομπές από ειδικό');
INSERT INTO `lang_definitions` VALUES (66424, 4983, 17, 'Αναφορά συνταγών');
INSERT INTO `lang_definitions` VALUES (66425, 4984, 17, 'Συνταγές/ Παραπομπές');
INSERT INTO `lang_definitions` VALUES (66426, 4985, 17, 'Παρών');
INSERT INTO `lang_definitions` VALUES (66427, 4986, 17, 'Κύριο ενόχλημα');
INSERT INTO `lang_definitions` VALUES (66428, 4988, 17, 'Πατήστε Συνέχεια για να προχωρήσετε');
INSERT INTO `lang_definitions` VALUES (66429, 4989, 17, 'Αρχική Διάγνωση');
INSERT INTO `lang_definitions` VALUES (66430, 4990, 17, 'Υποτιθέμενη διάγνωση από Ειδικό');
INSERT INTO `lang_definitions` VALUES (66431, 4991, 17, 'Προηγ');
INSERT INTO `lang_definitions` VALUES (66432, 4992, 17, 'Προηγ. Ιατρικό/ Χειρουργ. ιστορικό');
INSERT INTO `lang_definitions` VALUES (66433, 4993, 17, 'Προηγ. μήνας (κρατήστε πατημένο για να εμφανισθεί το μενού)');
INSERT INTO `lang_definitions` VALUES (66434, 4994, 17, 'Προηγ. έτος (κρατήστε πατημένο για να εμφανισθεί το μενού)');
INSERT INTO `lang_definitions` VALUES (66435, 4995, 17, 'Προληπτική Φροντίδα');
INSERT INTO `lang_definitions` VALUES (66436, 4998, 17, 'Προεπισκόπηση Συμβάντος');
INSERT INTO `lang_definitions` VALUES (66437, 5000, 17, 'Προεπισκόπηση του');
INSERT INTO `lang_definitions` VALUES (66438, 5001, 17, 'Προηγούμενο');
INSERT INTO `lang_definitions` VALUES (66439, 5002, 17, 'Προηγ. Συμβουλευτική (Επίσκεψη)');
INSERT INTO `lang_definitions` VALUES (66440, 5003, 17, 'Προηγ. ημέρα');
INSERT INTO `lang_definitions` VALUES (66441, 5004, 17, 'Προηγούμ. Ιστορικό/ Έλεγχος');
INSERT INTO `lang_definitions` VALUES (66442, 5005, 17, 'Προηγ. μήνας');
INSERT INTO `lang_definitions` VALUES (66443, 5006, 17, 'Προηγ. εβδομάδα');
INSERT INTO `lang_definitions` VALUES (66444, 5007, 17, 'Τιμή');
INSERT INTO `lang_definitions` VALUES (66445, 5008, 17, 'Έκπτωση τιμής');
INSERT INTO `lang_definitions` VALUES (66446, 5009, 17, 'Επίπεδο τιμής');
INSERT INTO `lang_definitions` VALUES (66447, 5010, 17, 'Επίπεδο τιμής:');
INSERT INTO `lang_definitions` VALUES (66448, 5011, 17, 'Τιμές');
INSERT INTO `lang_definitions` VALUES (66449, 5012, 17, 'Πρωτεύουσα');
INSERT INTO `lang_definitions` VALUES (66450, 5022, 17, 'Πρωτεύουσα Ασφαλ.');
INSERT INTO `lang_definitions` VALUES (66451, 5023, 17, 'Πρωτεύουσα Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (66452, 5024, 17, 'Δεδομένα Πρωτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (66453, 5025, 17, 'Πάροχος Πρωτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (66454, 5026, 17, 'Πρωτεύων πάροχος');
INSERT INTO `lang_definitions` VALUES (66455, 5027, 17, 'Εκτύπωση');
INSERT INTO `lang_definitions` VALUES (66456, 5028, 17, 'Εκτύπ. σε HTML');
INSERT INTO `lang_definitions` VALUES (66457, 5029, 17, 'Εκτύπ. σε PDF');
INSERT INTO `lang_definitions` VALUES (66458, 5031, 17, 'Εκτύπ. όλων των επισκέψεων');
INSERT INTO `lang_definitions` VALUES (66459, 5032, 17, 'Εκτύπ. κενού εντύπου παραπομπής');
INSERT INTO `lang_definitions` VALUES (66460, 5033, 17, 'Εντολή εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (66461, 5039, 17, 'Εκτύπωση εντύπου');
INSERT INTO `lang_definitions` VALUES (66462, 5040, 17, 'Εκτύπωση τετραπλού Panel');
INSERT INTO `lang_definitions` VALUES (66463, 5042, 17, 'Μήνυμα εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (66464, 5043, 17, 'Πολλαπλή εκτύπωση');
INSERT INTO `lang_definitions` VALUES (66465, 5044, 17, 'Πολλαπλή εκτύπωση σε FAX');
INSERT INTO `lang_definitions` VALUES (66466, 5045, 17, 'Εκτύπ. ονόματος, υπογραφής και ημερομηνίας.');
INSERT INTO `lang_definitions` VALUES (66467, 5046, 17, 'Εκτύπωση σημειώσεων');
INSERT INTO `lang_definitions` VALUES (66468, 5047, 17, 'Εκτύπωση σελ. 1');
INSERT INTO `lang_definitions` VALUES (66469, 5048, 17, 'Εκτύπωση σελ. 2');
INSERT INTO `lang_definitions` VALUES (66470, 5051, 17, 'Εκτύπωση Αποδείξεων ανά Πάροχο');
INSERT INTO `lang_definitions` VALUES (66471, 5052, 17, 'Εκτύπωση Εγγραφής');
INSERT INTO `lang_definitions` VALUES (66472, 5053, 17, 'Εκτύπ. επιλεγμένων statements');
INSERT INTO `lang_definitions` VALUES (66473, 5054, 17, 'Εκτύπ. Καταγραφής Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (66474, 5056, 17, 'Εκτύπ. αυτής της επίσκεψης');
INSERT INTO `lang_definitions` VALUES (66475, 5057, 17, 'Εκτύπ. αυτής της σημείωσης');
INSERT INTO `lang_definitions` VALUES (66476, 5058, 17, 'Εκτύπ. Αυτής της Σημείωσης');
INSERT INTO `lang_definitions` VALUES (66477, 5060, 17, 'Εκτύπωση σε FAX');
INSERT INTO `lang_definitions` VALUES (66478, 5061, 17, 'Προβολή Εκτύπωσης');
INSERT INTO `lang_definitions` VALUES (66479, 5062, 17, 'εκτυπώσιμη');
INSERT INTO `lang_definitions` VALUES (66480, 5063, 17, 'Εκτυπώσιμη Έκδοση');
INSERT INTO `lang_definitions` VALUES (66481, 5064, 17, 'Εκτυπώθηκε');
INSERT INTO `lang_definitions` VALUES (66482, 5066, 17, 'Εκτύπωση αποτελεσμάτων:');
INSERT INTO `lang_definitions` VALUES (66483, 5067, 17, 'Η εκτύπωση παρελήφθη, δείτε την έξοδος του τεστ στο');
INSERT INTO `lang_definitions` VALUES (66484, 5068, 17, 'Η εκτύπωση παρελήφθη, δείτε την έξοδος του τεστ στο ');
INSERT INTO `lang_definitions` VALUES (66485, 5069, 17, 'Προηγούμενη εξουσιοδότηση');
INSERT INTO `lang_definitions` VALUES (66486, 5070, 17, 'Προηγούμενο έντυπο άδειας');
INSERT INTO `lang_definitions` VALUES (66487, 5071, 17, 'Προηγούμενη Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (66488, 5072, 17, 'Προτεραιότητα');
INSERT INTO `lang_definitions` VALUES (66489, 5073, 17, 'Προτεραιότητα ');
INSERT INTO `lang_definitions` VALUES (66490, 5074, 17, 'Ιδιωτικό');
INSERT INTO `lang_definitions` VALUES (66491, 5075, 17, 'Πρόβλημα');
INSERT INTO `lang_definitions` VALUES (66492, 5076, 17, 'Διαγν Προβλήματος');
INSERT INTO `lang_definitions` VALUES (66493, 5077, 17, 'Λίστα προβλημάτων');
INSERT INTO `lang_definitions` VALUES (66494, 5079, 17, 'Προβλήματα/ Ιατρ. Θέματα');
INSERT INTO `lang_definitions` VALUES (66495, 5086, 17, 'Διαδικασία');
INSERT INTO `lang_definitions` VALUES (66496, 5087, 17, 'Διαδικασία Σημεία του Σώματος');
INSERT INTO `lang_definitions` VALUES (66497, 5088, 17, 'Διαδικασία Boolean αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (66498, 5089, 17, 'Κωδικός Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66499, 5093, 17, 'Εντολή Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66500, 5095, 17, 'Εντολή Διαδικασίας για');
INSERT INTO `lang_definitions` VALUES (66501, 5102, 17, 'Αναφορά Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66502, 5103, 17, 'Διαδικασία Αναφορά καταστάσεως');
INSERT INTO `lang_definitions` VALUES (66503, 5104, 17, 'Διαδικασία Αναφορά καταστάσεως');
INSERT INTO `lang_definitions` VALUES (66504, 5105, 17, 'Καταστάσεις Αποτελέσματος διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66505, 5106, 17, 'Αποτελέσματα διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66506, 5107, 17, 'Οδοί Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66507, 5108, 17, 'Είδη δειγμάτων Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66508, 5109, 17, 'Αναφορά Στατιστ. Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66509, 5110, 17, 'Είδος Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66510, 5111, 17, 'Είδη Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66511, 5112, 17, 'Μονάδες Διαδικασίας');
INSERT INTO `lang_definitions` VALUES (66512, 5114, 17, 'Διαδικασίες');
INSERT INTO `lang_definitions` VALUES (66513, 5115, 17, 'Επεξεργασία');
INSERT INTO `lang_definitions` VALUES (66514, 5117, 17, 'Επεξεργ. αρχείου ηλεκτρον. εμβάσματος πληρωμής (ERA)');
INSERT INTO `lang_definitions` VALUES (66515, 5125, 17, 'Επεξεργάζεται');
INSERT INTO `lang_definitions` VALUES (66516, 5129, 17, 'Προϊόν');
INSERT INTO `lang_definitions` VALUES (66517, 5130, 17, 'Προϊόν Αντισυλληπτική Μέθοδος');
INSERT INTO `lang_definitions` VALUES (66518, 5132, 17, 'Προϊόντα');
INSERT INTO `lang_definitions` VALUES (66519, 5133, 17, 'Προϊόντα αλλά χωρίς συνταγογραφήσιμα φάρμακα και χωρίς templates');
INSERT INTO `lang_definitions` VALUES (66520, 5134, 17, 'Ποσό');
INSERT INTO `lang_definitions` VALUES (66521, 5135, 17, 'Πορεία νόσου/ Πρόοδος');
INSERT INTO `lang_definitions` VALUES (66522, 5136, 17, 'Καρκίνος προστάτη');
INSERT INTO `lang_definitions` VALUES (66523, 5137, 17, 'Προληπτικός Έλεγχος Καρκίνου Προστάτη');
INSERT INTO `lang_definitions` VALUES (66524, 5138, 17, 'Εξέταση προστάτη');
INSERT INTO `lang_definitions` VALUES (66525, 5139, 17, 'Προβλήμ. προστάτη');
INSERT INTO `lang_definitions` VALUES (66526, 5140, 17, 'Προστάτης χωρίς διόγκ, όζους, ευαισθησία');
INSERT INTO `lang_definitions` VALUES (66527, 5142, 17, 'Υποδείξτε την απόλυτη διαδρομή');
INSERT INTO `lang_definitions` VALUES (66528, 5143, 17, 'Υποδείξτε την απόλυτη διαδρομή του αρχείου');
INSERT INTO `lang_definitions` VALUES (66529, 5145, 17, 'Υποδείξτε κλινικές περιλήψεις για ασθενείς για κάθε επίσκεψη γραφείου.');
INSERT INTO `lang_definitions` VALUES (66530, 5146, 17, 'Υποδείξτε ασθενείς με ηλεκτρονικό αντίγραφο των πληροφοριών υγείας τους (συμπεριλαμβανομένων διαγνωστικών αποτελεσμάτων, λίστας προβλημάτων, λιστών φαρμάκων, φαρμακευτικών αλλεργίες), κατόπιν αιτήματος.');
INSERT INTO `lang_definitions` VALUES (66531, 5147, 17, 'Υποδείξτε ασθενείς με ηλεκτρονικό αντίγραφο των πληροφοριών υγείας τους (συμπεριλαμβανομένων των εργαστηριακών, λίστας προβλημάτων, λιστών φαρμάκων, φαρμακευτικών αλλεργίες) εντός τεσσάρων ημερών της πληροφορίας που είναι διαθέσιμη στο EP.');
INSERT INTO `lang_definitions` VALUES (66532, 5149, 17, 'Δώστε μία ισχύουσα ηλεκτρ. διεύθυνση');
INSERT INTO `lang_definitions` VALUES (66533, 5152, 17, 'Πάροχος');
INSERT INTO `lang_definitions` VALUES (66534, 5156, 17, 'Σφάλματα παρόχου');
INSERT INTO `lang_definitions` VALUES (66535, 5159, 17, 'Κωδικός παρόχου');
INSERT INTO `lang_definitions` VALUES (66536, 5162, 17, 'Πάροχος:');
INSERT INTO `lang_definitions` VALUES (66537, 5163, 17, 'Πάροχοι');
INSERT INTO `lang_definitions` VALUES (66538, 5164, 17, 'Εθνικά αναγνωριστικά παρόχων');
INSERT INTO `lang_definitions` VALUES (66539, 5165, 17, 'Πάροχοι Δείτε Όλο το Ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (66540, 5166, 17, 'Προηγ');
INSERT INTO `lang_definitions` VALUES (66541, 5167, 17, 'PSA');
INSERT INTO `lang_definitions` VALUES (66542, 5168, 17, 'Ψωρίαση');
INSERT INTO `lang_definitions` VALUES (66543, 5169, 17, 'Ψυχ Διάγνωση');
INSERT INTO `lang_definitions` VALUES (66544, 5170, 17, 'Ψυχ Φάρμακα');
INSERT INTO `lang_definitions` VALUES (66545, 5171, 17, 'Ψυχιατρικό');
INSERT INTO `lang_definitions` VALUES (66546, 5172, 17, 'Ψυχιατρ. σύντομη επιστολή');
INSERT INTO `lang_definitions` VALUES (66547, 5173, 17, 'Ψυχιατρ. διάγνωση');
INSERT INTO `lang_definitions` VALUES (66548, 5174, 17, 'Ψυχιατρ. εξέταση');
INSERT INTO `lang_definitions` VALUES (66549, 5175, 17, 'Ψυχιατρ. ιστορικό');
INSERT INTO `lang_definitions` VALUES (66550, 5176, 17, 'Ψυχιατρ. Εισαγωγή');
INSERT INTO `lang_definitions` VALUES (66551, 5177, 17, 'Ψυχιατρ. φάρμακα');
INSERT INTO `lang_definitions` VALUES (66552, 5178, 17, 'Ασθ %');
INSERT INTO `lang_definitions` VALUES (66553, 5179, 17, 'Σημειώσεις ασθενούς');
INSERT INTO `lang_definitions` VALUES (66554, 5180, 17, 'Σημειώσ/Εξουσιοδ');
INSERT INTO `lang_definitions` VALUES (66555, 5181, 17, 'Ο ασθενής πλήρωσε παραπάνω');
INSERT INTO `lang_definitions` VALUES (66556, 5182, 17, 'Ο ασθ πλήρωσε');
INSERT INTO `lang_definitions` VALUES (66557, 5184, 17, 'Επιστροφή χρημ. στον ασθ');
INSERT INTO `lang_definitions` VALUES (66558, 5185, 17, 'Απολυμένος ασθ');
INSERT INTO `lang_definitions` VALUES (66559, 5186, 17, 'Αναφορά ασθ');
INSERT INTO `lang_definitions` VALUES (66560, 5187, 17, 'Φυσική θεραπεία φοιτητή, ή αφήστε κενό');
INSERT INTO `lang_definitions` VALUES (66561, 5188, 17, 'Ασθ_Πόλη');
INSERT INTO `lang_definitions` VALUES (66562, 5189, 17, 'Ασθ_ΗμερΓενν');
INSERT INTO `lang_definitions` VALUES (66563, 5191, 17, 'Ασθ_Όνομα');
INSERT INTO `lang_definitions` VALUES (66564, 5192, 17, 'Ασθ_Επώνυμο');
INSERT INTO `lang_definitions` VALUES (66565, 5193, 17, 'Ασθ_ΜεσαίοΌνομα');
INSERT INTO `lang_definitions` VALUES (66566, 5196, 17, 'Ασθ_ΤΚ');
INSERT INTO `lang_definitions` VALUES (66567, 5198, 17, 'Ασθ_Νομός');
INSERT INTO `lang_definitions` VALUES (66568, 5199, 17, 'Ασθ_Οδός');
INSERT INTO `lang_definitions` VALUES (66569, 5201, 17, 'Δημόσιο');
INSERT INTO `lang_definitions` VALUES (66570, 5204, 17, 'Πουέρτο Ρίκο');
INSERT INTO `lang_definitions` VALUES (66571, 5205, 17, 'Πνευμονικό');
INSERT INTO `lang_definitions` VALUES (66572, 5206, 17, 'Σφυγμός');
INSERT INTO `lang_definitions` VALUES (66573, 5208, 17, 'Αγορά');
INSERT INTO `lang_definitions` VALUES (66574, 5209, 17, 'Αγορά/Επιστροφή');
INSERT INTO `lang_definitions` VALUES (66575, 5210, 17, 'Αγορές');
INSERT INTO `lang_definitions` VALUES (66576, 5213, 17, 'κάθε 3 ώρες');
INSERT INTO `lang_definitions` VALUES (66577, 5214, 17, 'κάθε 4 ώρες');
INSERT INTO `lang_definitions` VALUES (66578, 5215, 17, 'κάθε 5 ώρες');
INSERT INTO `lang_definitions` VALUES (66579, 5216, 17, 'κάθε 6 ώρες');
INSERT INTO `lang_definitions` VALUES (66580, 5217, 17, 'κάθε 8 ώρες');
INSERT INTO `lang_definitions` VALUES (66581, 5218, 17, 'κάθε μέρα');
INSERT INTO `lang_definitions` VALUES (66582, 5219, 17, '4 φορές την ημέρα');
INSERT INTO `lang_definitions` VALUES (66583, 5220, 17, 'Διαθέσιμη ποσότητα');
INSERT INTO `lang_definitions` VALUES (66584, 5221, 17, 'Η διαθέσιμη ποσότητα είναι μικρότερη από τη μηνιαία χρήση');
INSERT INTO `lang_definitions` VALUES (66585, 5222, 17, 'Ποσοτ');
INSERT INTO `lang_definitions` VALUES (66586, 5223, 17, 'ΠΟΣΟΤ');
INSERT INTO `lang_definitions` VALUES (66587, 5224, 17, 'Ποιότητα');
INSERT INTO `lang_definitions` VALUES (66588, 5225, 17, 'Μετρήσεις Ποιότητας');
INSERT INTO `lang_definitions` VALUES (66589, 5226, 17, 'Ποσότητα');
INSERT INTO `lang_definitions` VALUES (66590, 5227, 17, 'Ποσότητα Εθνικού Κωδικού Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (66591, 5228, 17, 'Ποσότητα στο χέρι');
INSERT INTO `lang_definitions` VALUES (66592, 5229, 17, 'η ποσότητα αυτή μοιάζει μη χρησιμοποιήσιμη');
INSERT INTO `lang_definitions` VALUES (66593, 5232, 17, 'Ουρά για επεξεργ. δέσμης ενεργειών HCFA');
INSERT INTO `lang_definitions` VALUES (66594, 5233, 17, 'Ουρά για επεξεργ. και εκτύπ. δέσμης ενεργειών HCFA');
INSERT INTO `lang_definitions` VALUES (66595, 5234, 17, 'Ουρά για επεξεργ. δέσμης ενεργειών UB-92');
INSERT INTO `lang_definitions` VALUES (66596, 5235, 17, 'Ουρά για επεξεργ. και εκτύπ. δέσμης ενεργειών UB-92');
INSERT INTO `lang_definitions` VALUES (66597, 5236, 17, 'Σε ουρά');
INSERT INTO `lang_definitions` VALUES (66598, 5237, 17, 'Διαχείριση συμβάντων ουράς');
INSERT INTO `lang_definitions` VALUES (66599, 5238, 17, 'Ουρά για');
INSERT INTO `lang_definitions` VALUES (66600, 5240, 17, 'Διαχείριση αποστολών ουράς');
INSERT INTO `lang_definitions` VALUES (66601, 5241, 17, 'Έξοδος');
INSERT INTO `lang_definitions` VALUES (66602, 5242, 17, 'Διακοπή αλκοόλ');
INSERT INTO `lang_definitions` VALUES (66603, 5245, 17, 'Φυλή');
INSERT INTO `lang_definitions` VALUES (66604, 5246, 17, 'Φυλή και Εθνικότητα');
INSERT INTO `lang_definitions` VALUES (66605, 5247, 17, 'Φυλή/Εθνικότητα');
INSERT INTO `lang_definitions` VALUES (66606, 5248, 17, 'Ραδιόφωνο');
INSERT INTO `lang_definitions` VALUES (66607, 5249, 17, 'Κουμπιά επιλογής');
INSERT INTO `lang_definitions` VALUES (66608, 5251, 17, 'Πεδίο τιμών');
INSERT INTO `lang_definitions` VALUES (66609, 5252, 17, 'Εξανθήματα');
INSERT INTO `lang_definitions` VALUES (66610, 5253, 17, 'Ρυθμός');
INSERT INTO `lang_definitions` VALUES (66611, 5254, 17, 'Σχέση');
INSERT INTO `lang_definitions` VALUES (66612, 5255, 17, 'Στεγνή Αναφορά');
INSERT INTO `lang_definitions` VALUES (66613, 5256, 17, 'Σχετ. Ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (66614, 5257, 17, 'Σχετ. Διαδικασία ταυτοποίησης τελείωσε');
INSERT INTO `lang_definitions` VALUES (66615, 5258, 17, 'Σχετ. Διαδικασία ταυτοποίησης εν ενεργεία');
INSERT INTO `lang_definitions` VALUES (66616, 5259, 17, 'Τα αρχεία επαναταυτοποίησης θα αποθηκευθούν στο');
INSERT INTO `lang_definitions` VALUES (66617, 5260, 17, 'Επανάληψη βλάβης;');
INSERT INTO `lang_definitions` VALUES (66618, 5261, 17, 'Άνοιγμα εκ νέου');
INSERT INTO `lang_definitions` VALUES (66619, 5262, 17, 'Ανοίχθηκε εκ νέου');
INSERT INTO `lang_definitions` VALUES (66620, 5263, 17, 'Αντίδραση');
INSERT INTO `lang_definitions` VALUES (66621, 5264, 17, 'Αντιδράσεις');
INSERT INTO `lang_definitions` VALUES (66622, 5265, 17, 'Διαβάστε');
INSERT INTO `lang_definitions` VALUES (66623, 5268, 17, 'Πραγματικό Όνομα');
INSERT INTO `lang_definitions` VALUES (66624, 5269, 17, 'Πραγματική διαγραφή');
INSERT INTO `lang_definitions` VALUES (66625, 5270, 17, 'Αιτιολογία');
INSERT INTO `lang_definitions` VALUES (66626, 5271, 17, 'Αιτία Θανάτου');
INSERT INTO `lang_definitions` VALUES (66627, 5272, 17, 'Αιτία Θανάτου');
INSERT INTO `lang_definitions` VALUES (66628, 5274, 17, 'Αιτία παραπομπής');
INSERT INTO `lang_definitions` VALUES (66629, 5275, 17, 'Αιτία επίσκεψης');
INSERT INTO `lang_definitions` VALUES (66630, 5276, 17, 'Αιτιολογία/ Μορφή');
INSERT INTO `lang_definitions` VALUES (66631, 5277, 17, 'Απόδειξη');
INSERT INTO `lang_definitions` VALUES (66632, 5278, 17, 'Απόδειξη πληρωμής');
INSERT INTO `lang_definitions` VALUES (66633, 5279, 17, 'Η απόδειξη δημιουργήθηκε');
INSERT INTO `lang_definitions` VALUES (66634, 5280, 17, 'Αναφορά αποδείξεων με βάση τη μέθοδο πληρωμής');
INSERT INTO `lang_definitions` VALUES (66635, 5281, 17, 'Σύνοψη Αποδείξεων');
INSERT INTO `lang_definitions` VALUES (66636, 5282, 17, 'Ελήφθη');
INSERT INTO `lang_definitions` VALUES (66637, 5283, 17, 'Ελήφθη από');
INSERT INTO `lang_definitions` VALUES (66638, 5284, 17, 'Ληφθέντα Fax');
INSERT INTO `lang_definitions` VALUES (66639, 5287, 17, 'Δέκτης');
INSERT INTO `lang_definitions` VALUES (66640, 5288, 17, 'Κωδικός αναγνώρισης δέκτη');
INSERT INTO `lang_definitions` VALUES (66641, 5289, 17, 'Κωδικός αναγνώρισης δέκτη (ISA08)');
INSERT INTO `lang_definitions` VALUES (66642, 5290, 17, 'Αρμόδιο αναγνωριστικό δέκτη (ISA07)');
INSERT INTO `lang_definitions` VALUES (66643, 5292, 17, 'Οι τελευταίοι τρεις κωδικοί πρόσβασης δεν έγιναν δεκτοί');
INSERT INTO `lang_definitions` VALUES (66644, 5293, 17, 'Παραλήπτης');
INSERT INTO `lang_definitions` VALUES (66645, 5294, 17, 'Η λίστα παραληπτών είναι κενή');
INSERT INTO `lang_definitions` VALUES (66646, 5295, 17, 'Όνομα παραλήπτη');
INSERT INTO `lang_definitions` VALUES (66647, 5296, 17, 'Αποδέκτης της Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (66648, 5298, 17, 'Σύσταση');
INSERT INTO `lang_definitions` VALUES (66649, 5300, 17, 'Συστάσεις');
INSERT INTO `lang_definitions` VALUES (66650, 5301, 17, 'Συστάσεις και θεραπεία');
INSERT INTO `lang_definitions` VALUES (66651, 5302, 17, 'Συστάσεις από ειδικό');
INSERT INTO `lang_definitions` VALUES (66652, 5303, 17, 'Εγγραφή');
INSERT INTO `lang_definitions` VALUES (66653, 5310, 17, 'Καταγραφή και παράσταση αγωγών στα ζωτικά σημεία.');
INSERT INTO `lang_definitions` VALUES (66654, 5311, 17, 'Καταγραφή δημογραφικών.');
INSERT INTO `lang_definitions` VALUES (66655, 5312, 17, 'Γνωστοποίηση εγγραφής');
INSERT INTO `lang_definitions` VALUES (66656, 5313, 17, 'Καταγραφή φυσικής κατάστασης');
INSERT INTO `lang_definitions` VALUES (66657, 5314, 17, 'Φάκελος Πληρωμών');
INSERT INTO `lang_definitions` VALUES (66658, 5316, 17, 'Καταγραφή κατάστασης καπνίσματος για ασθενείς ηλικίας άνω των 13 ετών.');
INSERT INTO `lang_definitions` VALUES (66659, 5317, 17, 'Εγγραφές');
INSERT INTO `lang_definitions` VALUES (66660, 5318, 17, 'βρέθηκαν εγγραφές');
INSERT INTO `lang_definitions` VALUES (66661, 5319, 17, 'βρέθηκαν εγγραφές.');
INSERT INTO `lang_definitions` VALUES (66662, 5320, 17, 'Χρήση ναρκωτικών ουσιών');
INSERT INTO `lang_definitions` VALUES (66663, 5321, 17, 'Ναρκωτικά');
INSERT INTO `lang_definitions` VALUES (66664, 5322, 17, 'Ορθό');
INSERT INTO `lang_definitions` VALUES (66665, 5323, 17, 'Εξέταση ορθού');
INSERT INTO `lang_definitions` VALUES (66666, 5324, 17, 'ορθικά');
INSERT INTO `lang_definitions` VALUES (66667, 5325, 17, 'Ανακατεύθυνση');
INSERT INTO `lang_definitions` VALUES (66668, 5326, 17, 'Ερυθρότητα');
INSERT INTO `lang_definitions` VALUES (66669, 5327, 17, 'ελαττωμένο:');
INSERT INTO `lang_definitions` VALUES (66670, 5328, 17, 'Παραπομπή');
INSERT INTO `lang_definitions` VALUES (66671, 5329, 17, 'Παραπεμφθέν από');
INSERT INTO `lang_definitions` VALUES (66672, 5330, 17, 'Ημερομηνία παραπομπής');
INSERT INTO `lang_definitions` VALUES (66673, 5331, 17, 'Παραπομπή σε');
INSERT INTO `lang_definitions` VALUES (66674, 5332, 17, 'Ταξινόμηση παραπομπής (επίπεδο κινδύνου)');
INSERT INTO `lang_definitions` VALUES (66675, 5333, 17, 'Φάσμα τιμών για τα αποτελέσματα');
INSERT INTO `lang_definitions` VALUES (66676, 5334, 17, 'Αιτιολογία παραπομπής');
INSERT INTO `lang_definitions` VALUES (66677, 5336, 17, 'Όνομα και υπογραφή παραπεμποντος');
INSERT INTO `lang_definitions` VALUES (66678, 5337, 17, 'Παραπομπή');
INSERT INTO `lang_definitions` VALUES (66679, 5338, 17, 'Παραπομπή από');
INSERT INTO `lang_definitions` VALUES (66680, 5339, 17, 'Κάρτα παραπομπής');
INSERT INTO `lang_definitions` VALUES (66681, 5340, 17, 'Ημερομηνία παραπομπής');
INSERT INTO `lang_definitions` VALUES (66682, 5341, 17, 'Έντυπο παραπομπής');
INSERT INTO `lang_definitions` VALUES (66683, 5342, 17, 'ΕΝΤΥΠΟ ΠΑΡΑΠΟΜΠΗΣ');
INSERT INTO `lang_definitions` VALUES (66684, 5343, 17, 'Κωδικός Παραπομπής');
INSERT INTO `lang_definitions` VALUES (66685, 5345, 17, 'Πηγή παραπομπής');
INSERT INTO `lang_definitions` VALUES (66686, 5346, 17, 'Πηγή παραπομπής για τις επισκέψεις');
INSERT INTO `lang_definitions` VALUES (66687, 5347, 17, 'Παραπομπή σε');
INSERT INTO `lang_definitions` VALUES (66688, 5348, 17, 'Παραπομπές');
INSERT INTO `lang_definitions` VALUES (66689, 5349, 17, 'Αναφορά παραπομπών');
INSERT INTO `lang_definitions` VALUES (66690, 5350, 17, 'Παραπομπή από');
INSERT INTO `lang_definitions` VALUES (66691, 5351, 17, 'Παραπομπή από');
INSERT INTO `lang_definitions` VALUES (66692, 5352, 17, 'Παραπομπή σε');
INSERT INTO `lang_definitions` VALUES (66693, 5353, 17, 'Παραπέμπων');
INSERT INTO `lang_definitions` VALUES (66694, 5355, 17, 'Διάγνωση παραπομπής');
INSERT INTO `lang_definitions` VALUES (66695, 5356, 17, 'Διάγνωση παραπομπής');
INSERT INTO `lang_definitions` VALUES (66696, 5357, 17, 'Παραπέμπων ιατρός και ιατρείο');
INSERT INTO `lang_definitions` VALUES (66697, 5358, 17, 'Πάροχος παραπομπής');
INSERT INTO `lang_definitions` VALUES (66698, 5359, 17, 'Επαναγέμισμα');
INSERT INTO `lang_definitions` VALUES (66699, 5360, 17, 'Ανταλλακτικά');
INSERT INTO `lang_definitions` VALUES (66700, 5361, 17, 'ανταλλακτικά');
INSERT INTO `lang_definitions` VALUES (66701, 5362, 17, 'Αντανακλαστικά φυσιολογικά');
INSERT INTO `lang_definitions` VALUES (66702, 5363, 17, 'Ανανέωση');
INSERT INTO `lang_definitions` VALUES (66703, 5365, 17, 'Ανανεώνονται οι Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (66704, 5368, 17, 'Άρνηση αναφοράς');
INSERT INTO `lang_definitions` VALUES (66705, 5370, 17, 'μητρώο');
INSERT INTO `lang_definitions` VALUES (66706, 5372, 17, 'Ενεγράφη');
INSERT INTO `lang_definitions` VALUES (66707, 5373, 17, 'ενεγράφη');
INSERT INTO `lang_definitions` VALUES (66708, 5375, 17, 'Ημ/νια Εγγραφής');
INSERT INTO `lang_definitions` VALUES (66709, 5376, 17, 'Έντυπο Εγγραφής');
INSERT INTO `lang_definitions` VALUES (66710, 5377, 17, 'Φυσική Αποκατάσταση');
INSERT INTO `lang_definitions` VALUES (66711, 5381, 17, 'Αφορά σε');
INSERT INTO `lang_definitions` VALUES (66712, 5382, 17, 'Σχετικό');
INSERT INTO `lang_definitions` VALUES (66713, 5383, 17, 'Σχετικό θέμα');
INSERT INTO `lang_definitions` VALUES (66714, 5385, 17, 'Σχέση/εις / Παιδιά');
INSERT INTO `lang_definitions` VALUES (66715, 5386, 17, 'Σχέσεις');
INSERT INTO `lang_definitions` VALUES (66716, 5387, 17, 'Σχέση');
INSERT INTO `lang_definitions` VALUES (66717, 5388, 17, 'Σχετική ταξινόμηση αυτής της οντότητας');
INSERT INTO `lang_definitions` VALUES (66718, 5389, 17, 'Συγγενείς');
INSERT INTO `lang_definitions` VALUES (66719, 5399, 17, 'Οι πιστοποιήσεις υγείας λείπουν από το λογαριασμό αυτό του χρήστη.');
INSERT INTO `lang_definitions` VALUES (66720, 5400, 17, 'Αναγνωριστικό πιστοποιήσεων υγείας');
INSERT INTO `lang_definitions` VALUES (66721, 5403, 17, 'Θρησκεία');
INSERT INTO `lang_definitions` VALUES (66722, 5406, 17, 'Επανασύνδεση');
INSERT INTO `lang_definitions` VALUES (66723, 5407, 17, 'Υπενθ.');
INSERT INTO `lang_definitions` VALUES (66724, 5408, 17, 'Να θυμάσαι την επιλεχθείσα έδρα');
INSERT INTO `lang_definitions` VALUES (66725, 5409, 17, 'Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (66726, 5410, 17, 'Διάστημα Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (66727, 5411, 17, 'Η Υπενθύμιση δεν απεστάλη');
INSERT INTO `lang_definitions` VALUES (66728, 5412, 17, 'Η Υπενθύμιση αποστέλλεται');
INSERT INTO `lang_definitions` VALUES (66729, 5413, 17, 'Υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (66730, 5414, 17, 'ΑΠΟΣΤΟΛΗ ΠΡΟΣ');
INSERT INTO `lang_definitions` VALUES (66731, 5416, 17, 'Αφαίρεση');
INSERT INTO `lang_definitions` VALUES (66732, 5419, 17, 'Κατάργηση ομάδας');
INSERT INTO `lang_definitions` VALUES (66733, 5420, 17, 'Κατάργηση εντύπου ομάδας');
INSERT INTO `lang_definitions` VALUES (66734, 5421, 17, 'Αφαιρεί υποστήριξη για ανοσοποιήσεις');
INSERT INTO `lang_definitions` VALUES (66735, 5422, 17, 'Αφαιρεί υποστήριξη για την phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (66736, 5423, 17, 'Αφαιρέι υποστήριξη για τις συναταγογραφήσεις');
INSERT INTO `lang_definitions` VALUES (66737, 5425, 17, 'Αφαιρεί το εργαλείο ανεύρεσης φακέλου');
INSERT INTO `lang_definitions` VALUES (66738, 5426, 17, 'Νεφρικοί λίθοι');
INSERT INTO `lang_definitions` VALUES (66739, 5427, 17, 'Μετονομασία');
INSERT INTO `lang_definitions` VALUES (66740, 5428, 17, 'Μετονομασία ομάδας');
INSERT INTO `lang_definitions` VALUES (66741, 5429, 17, 'Απόδοση');
INSERT INTO `lang_definitions` VALUES (66742, 5430, 17, 'Πάροχος απόδοσης');
INSERT INTO `lang_definitions` VALUES (66743, 5431, 17, 'Αριθμός παρόχου απόδοσης');
INSERT INTO `lang_definitions` VALUES (66744, 5432, 17, 'Επαναταξινόμηση');
INSERT INTO `lang_definitions` VALUES (66745, 5433, 17, 'Επαναταξινόμηση σε');
INSERT INTO `lang_definitions` VALUES (66746, 5434, 17, 'Το σημείο αναδιάταξης έχει φτάσει');
INSERT INTO `lang_definitions` VALUES (66747, 5436, 17, 'Επαν');
INSERT INTO `lang_definitions` VALUES (66748, 5438, 17, 'Επαναληπτικό γεγονός');
INSERT INTO `lang_definitions` VALUES (66749, 5439, 17, 'Επανάληψη Πληροφορίας :');
INSERT INTO `lang_definitions` VALUES (66750, 5440, 17, 'Επαναλήψεις');
INSERT INTO `lang_definitions` VALUES (66751, 5444, 17, 'Ημερομηνία απάντησης');
INSERT INTO `lang_definitions` VALUES (66752, 5445, 17, 'Απάντηση από');
INSERT INTO `lang_definitions` VALUES (66753, 5446, 17, 'Αναφορά');
INSERT INTO `lang_definitions` VALUES (66754, 5447, 17, 'Αναφορά - Κλινική');
INSERT INTO `lang_definitions` VALUES (66755, 5449, 17, 'Αναφορά από');
INSERT INTO `lang_definitions` VALUES (66756, 5457, 17, 'Αναφορά Κατάστασης');
INSERT INTO `lang_definitions` VALUES (66757, 5458, 17, 'Αναφορά συνόλων');
INSERT INTO `lang_definitions` VALUES (66758, 5460, 17, 'Κατάλληλο προς αναφορά');
INSERT INTO `lang_definitions` VALUES (66759, 5461, 17, 'Αναφερθέν');
INSERT INTO `lang_definitions` VALUES (66760, 5462, 17, 'Αναφερθείσα Ημερομηνία');
INSERT INTO `lang_definitions` VALUES (66761, 5463, 17, 'Αναφορές');
INSERT INTO `lang_definitions` VALUES (66762, 5467, 17, 'Η αίτηση αγνοήθηκε – η επεξεργασία αιτήσεων πληρωμής εκτελείται ήδη!');
INSERT INTO `lang_definitions` VALUES (66763, 5474, 17, 'Αιτηθείσα υπηρεσία');
INSERT INTO `lang_definitions` VALUES (66764, 5475, 17, 'Απαιτούνται ισχυροί κωδικοί πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66765, 5476, 17, 'Απαιτούνται Μοναδικοί Κωδικοί πρόσβασης');
INSERT INTO `lang_definitions` VALUES (66766, 5477, 17, 'Απαιτείται');
INSERT INTO `lang_definitions` VALUES (66767, 5479, 17, 'Το υποχρεωτικό πεδίο απουσιάζει: Παρακαλώ επιλέξτε το αρχείο EDI-271 αρχείο για upload');
INSERT INTO `lang_definitions` VALUES (66768, 5480, 17, 'Λείπει υποχρεωτικό πεδίο: Παρακαλώ εισάγετε το Όνομα');
INSERT INTO `lang_definitions` VALUES (66769, 5481, 17, 'Λείπει υποχρεωτικό πεδίο: Παρακαλώ εισάγετε το Επώνυμο');
INSERT INTO `lang_definitions` VALUES (66770, 5482, 17, 'Λείπει υποχρεωτικό πεδίο: Παρακαλώ εισάγετε το Όνομα Χρήστη');
INSERT INTO `lang_definitions` VALUES (66771, 5483, 17, 'Υποχρεωτικά πεδία');
INSERT INTO `lang_definitions` VALUES (66772, 5484, 17, 'Απαιτήσεις');
INSERT INTO `lang_definitions` VALUES (66773, 5485, 17, 'ΔΕΣΜΕΥΜΕΝΟ');
INSERT INTO `lang_definitions` VALUES (66774, 5486, 17, 'Δεσμευμένη');
INSERT INTO `lang_definitions` VALUES (66775, 5487, 17, 'Χρησιμοποιείται προς καθορισμό της Ώρας Προγραμματισμένων Διακοπών');
INSERT INTO `lang_definitions` VALUES (66776, 5488, 17, 'Χρησιμοποιείται για να οριστεί πότε ένας πάροχος δεν έχει διαθέσιμα ραντεβού μετά.');
INSERT INTO `lang_definitions` VALUES (66777, 5489, 17, 'Χρησιμοποιείται για να οριστεί αν ένα συμβάν δεν συνέβη όπως προσδιορίστηκε.');
INSERT INTO `lang_definitions` VALUES (66778, 5490, 17, 'Κρατημένο για να οριστεί αν ο πάροχος έχει διαθέσιμα ραντεβού μετά.');
INSERT INTO `lang_definitions` VALUES (66779, 5491, 17, 'Επαναφορά');
INSERT INTO `lang_definitions` VALUES (66780, 5492, 17, 'Επαναφορά Διαπιστευτηρίων της Offsite Πύλης');
INSERT INTO `lang_definitions` VALUES (66781, 5493, 17, 'Επαναφορά Διαπιστευτηρίων της Onsite Πύλης');
INSERT INTO `lang_definitions` VALUES (66782, 5496, 17, 'Επιλύθηκε');
INSERT INTO `lang_definitions` VALUES (66783, 5497, 17, 'Αναπνοή');
INSERT INTO `lang_definitions` VALUES (66784, 5498, 17, 'Αναπνευστ. κινήσεις χωρίς προσπάθεια');
INSERT INTO `lang_definitions` VALUES (66785, 5499, 17, 'Αναπνευστικό');
INSERT INTO `lang_definitions` VALUES (66786, 5501, 17, 'Περιορίστε τους μη εξουσιοδοτ. χρήστες στις Schedule facilities που έχουν ορισθεί στη Διαχείριση Χρηστών');
INSERT INTO `lang_definitions` VALUES (66787, 5502, 17, 'Περιορίστε τους χρήστες στα Facilities');
INSERT INTO `lang_definitions` VALUES (66788, 5503, 17, 'Περιορισμένη κατάρτιση');
INSERT INTO `lang_definitions` VALUES (66789, 5504, 17, 'Αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (66790, 5506, 17, 'Κατάσταση αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (66791, 5507, 17, 'Κατάσταση αποτελεσμάτων ή ανωμαλία λείπει');
INSERT INTO `lang_definitions` VALUES (66792, 5508, 17, 'Αποτέλεσμα, χρησιμοποιήστε % ως wildcard');
INSERT INTO `lang_definitions` VALUES (66793, 5510, 17, 'Αποτελέσματα και');
INSERT INTO `lang_definitions` VALUES (66794, 5511, 17, 'Βρέθηκαν αποτελέσματα για την αναζήτηση');
INSERT INTO `lang_definitions` VALUES (66795, 5512, 17, 'Ομάδα Απατελεσμάτων');
INSERT INTO `lang_definitions` VALUES (66796, 5515, 17, 'Αποτελέσματα ανά σελίδα');
INSERT INTO `lang_definitions` VALUES (66797, 5516, 17, 'Αποτελέσματα/Λεπτομέρειες');
INSERT INTO `lang_definitions` VALUES (66798, 5517, 17, 'Εξέταση αμφιβληστροειδούς');
INSERT INTO `lang_definitions` VALUES (66799, 5518, 17, 'Συρρικνωμένο δεξιά:');
INSERT INTO `lang_definitions` VALUES (66800, 5519, 17, 'Επιστροφή');
INSERT INTO `lang_definitions` VALUES (66801, 5520, 17, 'Επιστρέψτε το ως άνω μέρος με την πληρωμή σας');
INSERT INTO `lang_definitions` VALUES (66802, 5521, 17, 'Επιστροφή στο ημερολόγιο');
INSERT INTO `lang_definitions` VALUES (66803, 5527, 17, 'Τιμή επιστροφής');
INSERT INTO `lang_definitions` VALUES (66804, 5528, 17, 'Επίσκεψη παρακολούθησης');
INSERT INTO `lang_definitions` VALUES (66805, 5529, 17, 'Επέστρεψε στο Play');
INSERT INTO `lang_definitions` VALUES (66806, 5534, 17, 'Ανασκόπηση παλαιού ιστορικού:');
INSERT INTO `lang_definitions` VALUES (66807, 5535, 17, 'Ανασκόπηση συστημάτων');
INSERT INTO `lang_definitions` VALUES (66808, 5536, 17, 'Ανασκόπηση Ελέγχων Συστημάτων');
INSERT INTO `lang_definitions` VALUES (66809, 5537, 17, 'Ανασκοπήθηκε');
INSERT INTO `lang_definitions` VALUES (66810, 5538, 17, 'Αναθεώρηση');
INSERT INTO `lang_definitions` VALUES (66811, 5539, 17, 'Ρευματοειδής Αρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (66812, 5540, 17, 'Ρευματοειδής αρθρίτιδα');
INSERT INTO `lang_definitions` VALUES (66813, 5541, 17, 'Δεξιά');
INSERT INTO `lang_definitions` VALUES (66814, 5542, 17, 'Δεξί αυτί');
INSERT INTO `lang_definitions` VALUES (66815, 5543, 17, 'δεξί αυτί');
INSERT INTO `lang_definitions` VALUES (66816, 5545, 17, 'Δεξιά:');
INSERT INTO `lang_definitions` VALUES (66817, 5546, 17, 'Εμβοές στα αυτιά');
INSERT INTO `lang_definitions` VALUES (66818, 5547, 17, 'Εμβοές στα αυτιά');
INSERT INTO `lang_definitions` VALUES (66819, 5549, 17, 'Παράγοντες κινδύνου');
INSERT INTO `lang_definitions` VALUES (66820, 5550, 17, 'Επίπεδο κινδύνου');
INSERT INTO `lang_definitions` VALUES (66821, 5551, 17, 'Δεξιός κάτω λοβός:');
INSERT INTO `lang_definitions` VALUES (66822, 5552, 17, 'Κίνδυνος θνητότητας');
INSERT INTO `lang_definitions` VALUES (66823, 5553, 17, 'Ρουμάνικα');
INSERT INTO `lang_definitions` VALUES (66824, 5560, 17, 'Μητρώο');
INSERT INTO `lang_definitions` VALUES (66825, 5561, 17, 'Διαδρομή');
INSERT INTO `lang_definitions` VALUES (66826, 5562, 17, 'Οδός χορήγησης, αν ισχύει');
INSERT INTO `lang_definitions` VALUES (66827, 5563, 17, 'Δρομολογήθηκε');
INSERT INTO `lang_definitions` VALUES (66828, 5564, 17, 'Σειρές');
INSERT INTO `lang_definitions` VALUES (66829, 5565, 17, 'Σχετικός κίνδυνος χωρίς Ιατρική αναφορά');
INSERT INTO `lang_definitions` VALUES (66830, 5566, 17, 'Εντριβή:');
INSERT INTO `lang_definitions` VALUES (66831, 5567, 17, 'Εντριβές:');
INSERT INTO `lang_definitions` VALUES (66832, 5568, 17, 'Κανόνας');
INSERT INTO `lang_definitions` VALUES (66833, 5569, 17, 'Προσθήκη Κανόνα');
INSERT INTO `lang_definitions` VALUES (66834, 5570, 17, 'Λεπτομέρεια Κανόνα');
INSERT INTO `lang_definitions` VALUES (66835, 5572, 17, 'Επεξεργασία Κανόνα');
INSERT INTO `lang_definitions` VALUES (66836, 5575, 17, 'Σύνολο Κανόνων');
INSERT INTO `lang_definitions` VALUES (66837, 5578, 17, 'Κανόνες');
INSERT INTO `lang_definitions` VALUES (66838, 5580, 17, 'Ρυθμίσεις Κανόνων');
INSERT INTO `lang_definitions` VALUES (66839, 5581, 17, 'Τρέχουσα εντολή: ');
INSERT INTO `lang_definitions` VALUES (66840, 5582, 17, 'Ρήξη');
INSERT INTO `lang_definitions` VALUES (66841, 5583, 17, 'Ρωσικά');
INSERT INTO `lang_definitions` VALUES (66842, 5584, 17, 'Θεραπεία');
INSERT INTO `lang_definitions` VALUES (66843, 5585, 17, 'Φάρμακα');
INSERT INTO `lang_definitions` VALUES (66844, 5598, 17, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (66845, 5599, 17, 'Βάση RxNorm');
INSERT INTO `lang_definitions` VALUES (66846, 5601, 17, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (66847, 5602, 17, 'Τόνος S3');
INSERT INTO `lang_definitions` VALUES (66848, 5603, 17, 'Τόνος S3');
INSERT INTO `lang_definitions` VALUES (66849, 5604, 17, 'ΠΑΡΑΠΟΜΠΗ * * Για να διαβάσετε την άδεια χρήσης, φορτώστε το αρχείο docs/license.txt ή επισκεφθείτε την ιστοσελίδα * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (66850, 5605, 17, 'Πώληση');
INSERT INTO `lang_definitions` VALUES (66851, 5606, 17, 'Πωλήσεις');
INSERT INTO `lang_definitions` VALUES (66852, 5607, 17, 'Πωλήσεις ανά Τεμάχιο');
INSERT INTO `lang_definitions` VALUES (66853, 5608, 17, 'Πωλήσεις ανά Αναφορά Προϊόντος');
INSERT INTO `lang_definitions` VALUES (66854, 5609, 17, 'Σίελος');
INSERT INTO `lang_definitions` VALUES (66855, 5610, 17, 'Ίδια Ημέρα');
INSERT INTO `lang_definitions` VALUES (66856, 5611, 17, 'Σαμόα');
INSERT INTO `lang_definitions` VALUES (66857, 5612, 17, 'Δείγμα');
INSERT INTO `lang_definitions` VALUES (66858, 5613, 17, 'Τύπος έγκρισης');
INSERT INTO `lang_definitions` VALUES (66859, 5617, 17, 'Σάβ');
INSERT INTO `lang_definitions` VALUES (66860, 5618, 17, 'Σάβ &');
INSERT INTO `lang_definitions` VALUES (66861, 5619, 17, 'Σάββατο');
INSERT INTO `lang_definitions` VALUES (66862, 5620, 17, 'Αποθήκευση');
INSERT INTO `lang_definitions` VALUES (66863, 5621, 17, 'ΑΠΟΘΗΚΕΥΣΗ');
INSERT INTO `lang_definitions` VALUES (66864, 5622, 17, 'Αποθήκευση και Κλείσιμο');
INSERT INTO `lang_definitions` VALUES (66865, 5624, 17, 'Αποθήκευση και Διανομή');
INSERT INTO `lang_definitions` VALUES (66866, 5626, 17, 'Αποθήκευση ως νέο');
INSERT INTO `lang_definitions` VALUES (66867, 5627, 17, 'Αποθήκευση ως νέα σημείωση');
INSERT INTO `lang_definitions` VALUES (66868, 5628, 17, 'Αποθήκευση ρυθμίσεων Πιστοποιητικού');
INSERT INTO `lang_definitions` VALUES (66869, 5629, 17, 'Αποθήκευση Αλλαγών');
INSERT INTO `lang_definitions` VALUES (66870, 5630, 17, 'Αποθήκευση Εντύπου');
INSERT INTO `lang_definitions` VALUES (66871, 5631, 17, 'Αποθήκευση Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (66872, 5632, 17, 'Αποθήκευση Νέου Πεδίου');
INSERT INTO `lang_definitions` VALUES (66873, 5633, 17, 'Αποθήκευση Νέας Ομάδας');
INSERT INTO `lang_definitions` VALUES (66874, 5634, 17, 'Αποθήκευση Νέου Καταλόγου');
INSERT INTO `lang_definitions` VALUES (66875, 5635, 17, 'Αποθήκευση Νέας διάταξης');
INSERT INTO `lang_definitions` VALUES (66876, 5637, 17, 'Αποθήκευση Δημογραφικών στοιχείων ασθενούς');
INSERT INTO `lang_definitions` VALUES (66877, 5638, 17, 'Επιτυχής αποθήκευση για το αναγνωριστικό γραφήματος');
INSERT INTO `lang_definitions` VALUES (66878, 5639, 17, 'Αποθήκευση Συναλλαγής');
INSERT INTO `lang_definitions` VALUES (66879, 5641, 17, 'Σαρώθηκε');
INSERT INTO `lang_definitions` VALUES (66880, 5642, 17, 'Η Σημείωση επίσκεψης σαρώθηκε');
INSERT INTO `lang_definitions` VALUES (66881, 5643, 17, 'Κατάλογος σαρωτή');
INSERT INTO `lang_definitions` VALUES (66882, 5644, 17, 'Σαρωτής σε');
INSERT INTO `lang_definitions` VALUES (66883, 5645, 17, 'Πρόγραμμα');
INSERT INTO `lang_definitions` VALUES (66884, 5646, 17, 'Πρόγραμμα Έδρας:');
INSERT INTO `lang_definitions` VALUES (66885, 5647, 17, 'ΣΗΜΕΙΩΣΗ ΣΧΟΛΕΙΟΥ');
INSERT INTO `lang_definitions` VALUES (66886, 5648, 17, 'Σκολίωση');
INSERT INTO `lang_definitions` VALUES (66887, 5651, 17, 'Εργοδότης');
INSERT INTO `lang_definitions` VALUES (66888, 5652, 17, 'Διεύθυνση Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66889, 5653, 17, 'Πόλη Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66890, 5654, 17, 'Χώρα Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66891, 5655, 17, 'Περιοχή Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66892, 5656, 17, 'Τ.Κ. Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66893, 5657, 17, 'Νομός Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66894, 5658, 17, 'Τ.Κ. Εργοδότη');
INSERT INTO `lang_definitions` VALUES (66895, 5659, 17, 'Αναζήτηση');
INSERT INTO `lang_definitions` VALUES (66896, 5661, 17, 'αναζήτηση');
INSERT INTO `lang_definitions` VALUES (66897, 5662, 17, 'αναζήτησε πάλι');
INSERT INTO `lang_definitions` VALUES (66898, 5663, 17, 'Αναζήτηση σε όλες τις στήλες');
INSERT INTO `lang_definitions` VALUES (66899, 5664, 17, 'Αναζήτηση με βάση:');
INSERT INTO `lang_definitions` VALUES (66900, 5665, 17, 'Αναζήτηση για');
INSERT INTO `lang_definitions` VALUES (66901, 5666, 17, 'Αναζήτηση για:');
INSERT INTO `lang_definitions` VALUES (66902, 5668, 17, 'Αναζήτηση σε');
INSERT INTO `lang_definitions` VALUES (66903, 5669, 17, 'Αναζήτηση ή προσθήκη ασθενούς');
INSERT INTO `lang_definitions` VALUES (66904, 5670, 17, 'Αναζήτηση πληρωμής');
INSERT INTO `lang_definitions` VALUES (66905, 5672, 17, 'Αποτελέσματα Αναζήτησης');
INSERT INTO `lang_definitions` VALUES (66906, 5673, 17, 'Αναζήτηση επιλέχθηκε');
INSERT INTO `lang_definitions` VALUES (66907, 5674, 17, 'Η λέξη αναζήτησης δεν ταιριάζει με τη λίστα στη βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (66908, 5675, 17, 'Η λέξη αναζήτησης πρέπει να έχει τουλάχιστον 3 χαρακτήρες');
INSERT INTO `lang_definitions` VALUES (66909, 5676, 17, 'Αναζήτηση Κειμένου');
INSERT INTO `lang_definitions` VALUES (66910, 5677, 17, 'Αναζήτηση στα Γεγονότα');
INSERT INTO `lang_definitions` VALUES (66911, 5678, 17, 'Αναζήτηση/ Προσθήκη');
INSERT INTO `lang_definitions` VALUES (66912, 5679, 17, 'Αναζήτηση/ Προσθήκη Ασφαλιστή');
INSERT INTO `lang_definitions` VALUES (66913, 5680, 17, 'Αναζήτηση για ραντεβού');
INSERT INTO `lang_definitions` VALUES (66914, 5681, 17, 'Αναζήτηση...');
INSERT INTO `lang_definitions` VALUES (66915, 5682, 17, 'Χρήση Ζώνης Ασφαλείας');
INSERT INTO `lang_definitions` VALUES (66916, 5683, 17, 'Χρήση ζώνης ασφαλείας');
INSERT INTO `lang_definitions` VALUES (66917, 5684, 17, 'Δεύτερο');
INSERT INTO `lang_definitions` VALUES (66918, 5687, 17, 'Δευτερεύουσα');
INSERT INTO `lang_definitions` VALUES (66919, 5688, 17, 'Δευτερέυουσα Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (66920, 5689, 17, 'Δεδομένα Δευτερεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (66921, 5690, 17, 'Πάροχος Δευτερεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (66922, 5691, 17, 'Τύπος Δευτερεύουσας Πρόνοιας');
INSERT INTO `lang_definitions` VALUES (66923, 5698, 17, 'Ασφάλεια');
INSERT INTO `lang_definitions` VALUES (66924, 5699, 17, 'Προβολή Όλων');
INSERT INTO `lang_definitions` VALUES (66925, 5700, 17, 'Δείτε τις εξουσιοδοτήσεις');
INSERT INTO `lang_definitions` VALUES (66926, 5701, 17, 'Δείτε τις καμπύλες ανάπτυξης');
INSERT INTO `lang_definitions` VALUES (66927, 5702, 17, 'Δείτε τα μηνύματα από το τελευταίο σύνολο των δημιουργημένων απαιτήσεων');
INSERT INTO `lang_definitions` VALUES (66928, 5704, 17, 'Προβολή από');
INSERT INTO `lang_definitions` VALUES (66929, 5707, 17, 'Επιληπτικές κρίσεις');
INSERT INTO `lang_definitions` VALUES (66930, 5708, 17, 'Επιλ');
INSERT INTO `lang_definitions` VALUES (66931, 5709, 17, 'Επιλογή');
INSERT INTO `lang_definitions` VALUES (66932, 5710, 17, 'επιλέξτε');
INSERT INTO `lang_definitions` VALUES (66933, 5712, 17, 'Επιλογή Πλαισίου');
INSERT INTO `lang_definitions` VALUES (66934, 5714, 17, 'Επιλέξτε Χρονικό Πλαίσιο');
INSERT INTO `lang_definitions` VALUES (66935, 5715, 17, 'Επιλογή Χρήστη');
INSERT INTO `lang_definitions` VALUES (66936, 5716, 17, 'Επιλογή Όλων');
INSERT INTO `lang_definitions` VALUES (66938, 5720, 17, 'Επιλογή κατηγορίας');
INSERT INTO `lang_definitions` VALUES (66939, 5722, 17, 'Επιλέξτε αντίστοιχα πλαίσια για διαγραφή');
INSERT INTO `lang_definitions` VALUES (66940, 5723, 17, 'Επιλέξτε κριτήρια για αφαίρεση');
INSERT INTO `lang_definitions` VALUES (66941, 5725, 17, 'Επιλογή δεδομένων που απαιτούνται για Απο Ταυτοποίηση');
INSERT INTO `lang_definitions` VALUES (66942, 5726, 17, 'Επιλογή δεδομένων για να περιληφθούν στα Απο Ταυτοποιημένα δεδομένα');
INSERT INTO `lang_definitions` VALUES (66943, 5727, 17, 'Επιλογή ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (66944, 5729, 17, 'Επιλογή διάγνωσης');
INSERT INTO `lang_definitions` VALUES (66945, 5730, 17, 'Επιλογή διάγνωσης για αίτημα Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (66946, 5731, 17, 'Επιλογή Φαρμάκου');
INSERT INTO `lang_definitions` VALUES (66947, 5732, 17, 'Επιλογή Φαρμάκων');
INSERT INTO `lang_definitions` VALUES (66948, 5733, 17, 'Επιλογή Φαρμάκων για αίτημα Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (66949, 5734, 17, 'Επιλογή αρχείου EDI-271');
INSERT INTO `lang_definitions` VALUES (66950, 5736, 17, 'Επιλογή Πεδίου');
INSERT INTO `lang_definitions` VALUES (66951, 5737, 17, 'Επιλογή Πεδίων');
INSERT INTO `lang_definitions` VALUES (66952, 5738, 17, 'Επιλογή για εκτύπωση');
INSERT INTO `lang_definitions` VALUES (66953, 5739, 17, 'Επιλογή Εμβολίων');
INSERT INTO `lang_definitions` VALUES (66954, 5740, 17, 'Επιλογή Εμβολίων για αίτημα Απο Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (66955, 5741, 17, 'Επιλογή Ασφάλεια, πληκτρολογώντας');
INSERT INTO `lang_definitions` VALUES (66956, 5742, 17, 'Επιλογή Ιατρικού θέματος');
INSERT INTO `lang_definitions` VALUES (66957, 5744, 17, 'Επιλογή Γλώσσας');
INSERT INTO `lang_definitions` VALUES (66958, 5746, 17, 'Επιλέξτε ένα ή περισσότερους διαγνωστικούς κωδικούς για να δικαιολογήσετε την υπηρεσία');
INSERT INTO `lang_definitions` VALUES (66959, 5754, 17, 'Επιλέξτε τα στοιχεία ρύθμισης για εξαγωγή');
INSERT INTO `lang_definitions` VALUES (66960, 5755, 17, 'Επιλέξτε τον κυρίως υπεύθυνο παράγοντα για όποια συμβάντα δεν έλαβαν χώρα σε αυτή την ημέρα');
INSERT INTO `lang_definitions` VALUES (66961, 5759, 17, 'Επιλέξτε Χρήστη');
INSERT INTO `lang_definitions` VALUES (66962, 5760, 17, 'Επιλέξτε Χρήστες από τη Λίστα');
INSERT INTO `lang_definitions` VALUES (66963, 5761, 17, 'Εάν πρέπει, επιλέξτε ποιες γλώσσες μπορούν να επιλεγούν κατά την είσοδο στο πρόγραμμα (ισχύει μόνο αν η παραπάνω επιλογή Επιτρέπονται Όλες οι Γλώσσες είναι απενεργοποιημένη)');
INSERT INTO `lang_definitions` VALUES (66964, 5762, 17, 'Επιλέξτε Ναι για να επιβεβαιώσετε τη Διαγραφή της ομάδας');
INSERT INTO `lang_definitions` VALUES (66965, 5765, 17, 'Επιλεγμένο');
INSERT INTO `lang_definitions` VALUES (66966, 5766, 17, 'Επιλεγμένη Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (66967, 5768, 17, 'Εαυτός');
INSERT INTO `lang_definitions` VALUES (66968, 5769, 17, 'Αυτο-πληρωμή');
INSERT INTO `lang_definitions` VALUES (66969, 5771, 17, 'Αποστολή');
INSERT INTO `lang_definitions` VALUES (66970, 5773, 17, 'Αποστολή Υπενθύμισης');
INSERT INTO `lang_definitions` VALUES (66971, 5774, 17, 'Αποστολή σε εξέλιξη');
INSERT INTO `lang_definitions` VALUES (66972, 5775, 17, 'Αποστολή μηνύματος');
INSERT INTO `lang_definitions` VALUES (66973, 5777, 17, 'Προτίμηση ανά ασθενή για Αποστολή υπενθυμίσεων σε ασθενείς για προληπτική παρακολούθηση.');
INSERT INTO `lang_definitions` VALUES (66974, 5778, 17, 'Αποστολή Σύνοψης με την Παραπομπή');
INSERT INTO `lang_definitions` VALUES (66975, 5779, 17, 'Αποστολή αυτού του αρχείου');
INSERT INTO `lang_definitions` VALUES (66976, 5780, 17, 'Αποστολή αυτού του Μηνύματος');
INSERT INTO `lang_definitions` VALUES (66977, 5781, 17, 'Αποστολή σε');
INSERT INTO `lang_definitions` VALUES (66978, 5784, 17, 'Αποστολή σε όλους');
INSERT INTO `lang_definitions` VALUES (66979, 5788, 17, 'Αποστολέας');
INSERT INTO `lang_definitions` VALUES (66980, 5789, 17, 'Αναγνωριστικό αποστολέα');
INSERT INTO `lang_definitions` VALUES (66981, 5790, 17, 'Αναγνωριστικό αποστολέα (ISA06)');
INSERT INTO `lang_definitions` VALUES (66982, 5791, 17, 'Αρμόδιο αναγνωριστικό αποστολέα (ISA05)');
INSERT INTO `lang_definitions` VALUES (66983, 5794, 17, 'Ευαισθησίες');
INSERT INTO `lang_definitions` VALUES (66984, 5795, 17, 'Ευαισθησία:');
INSERT INTO `lang_definitions` VALUES (66985, 5796, 17, 'Αισθητική εξέταση φυσιολογική');
INSERT INTO `lang_definitions` VALUES (66986, 5799, 17, 'Εστάλη Από (Αφήστε Κενό για Όλους)');
INSERT INTO `lang_definitions` VALUES (66987, 5801, 17, 'Ημερομηνία Αποστολής');
INSERT INTO `lang_definitions` VALUES (66988, 5802, 17, 'Αποσταλθέντα αντικείμενα');
INSERT INTO `lang_definitions` VALUES (66989, 5803, 17, 'Σταλθέντες Ιατρικοί Φάκελοι;');
INSERT INTO `lang_definitions` VALUES (66990, 5804, 17, 'Απεστάλη επιτυχώς');
INSERT INTO `lang_definitions` VALUES (66991, 5807, 17, 'απεστάλη στον εκτυπωτή');
INSERT INTO `lang_definitions` VALUES (66992, 5808, 17, 'Εστάλη Πρός (Αφήστε Κενό για Όλους)');
INSERT INTO `lang_definitions` VALUES (66993, 5812, 17, 'Σεπ');
INSERT INTO `lang_definitions` VALUES (66994, 5813, 17, 'Χωρισμένος/η');
INSERT INTO `lang_definitions` VALUES (66995, 5814, 17, 'Σεπτέμβριος');
INSERT INTO `lang_definitions` VALUES (66996, 5815, 17, 'Σειρά');
INSERT INTO `lang_definitions` VALUES (66997, 5816, 17, 'Αλληλουχία');
INSERT INTO `lang_definitions` VALUES (66998, 5821, 17, 'Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (66999, 5822, 17, 'Κατηγορία υπηρεσιών');
INSERT INTO `lang_definitions` VALUES (67000, 5823, 17, 'Κωδικός υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (67001, 5824, 17, 'Κωδικός υπηρεσίας για την Αναφορά Οικονομικών');
INSERT INTO `lang_definitions` VALUES (67002, 5825, 17, 'Κωδικοί υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (67003, 5826, 17, 'Ημερομ. παροχής Υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (67004, 5827, 17, 'Ημερομ. παροχής υπηρεσίας:');
INSERT INTO `lang_definitions` VALUES (67005, 5829, 17, 'Τοποθεσία παροχής υπηρεσίας');
INSERT INTO `lang_definitions` VALUES (67006, 5831, 17, 'Η υπηρεσία παρεσχέθη από Ειδικό');
INSERT INTO `lang_definitions` VALUES (67007, 5834, 17, 'Υπηρεσίες');
INSERT INTO `lang_definitions` VALUES (67008, 5835, 17, 'Υπηρεσίες ανά Κατηγορία');
INSERT INTO `lang_definitions` VALUES (67009, 5836, 17, 'Οι υπηρεσίες παρεσχέθησαν');
INSERT INTO `lang_definitions` VALUES (67010, 5837, 17, 'Οι υπηρεσίες παρεσχέθησαν');
INSERT INTO `lang_definitions` VALUES (67011, 5838, 17, 'Υπηρεσίες/Προϊόντα');
INSERT INTO `lang_definitions` VALUES (67012, 5839, 17, 'Τύπος Συνεδρίας');
INSERT INTO `lang_definitions` VALUES (67013, 5840, 17, 'Ρυθμίστε');
INSERT INTO `lang_definitions` VALUES (67014, 5841, 17, 'Ορίστε ένα cookie Έδρας, για να θυμάται, μεταξύ των logins, την επιλεχθείσα Έδρα.');
INSERT INTO `lang_definitions` VALUES (67015, 5842, 17, 'Ορίστε ως Συμπληρωμένο');
INSERT INTO `lang_definitions` VALUES (67016, 5845, 17, 'Ορίστε αυτή ως την πλήρη απόλυτη διαδρομή. Για τη δημιουργία πιστοποιητικά πελάτη SSL για HTTPS.3');
INSERT INTO `lang_definitions` VALUES (67017, 5846, 17, 'Ορισμός ως');
INSERT INTO `lang_definitions` VALUES (67018, 5847, 17, 'Ορισμός ως προεπιλογή');
INSERT INTO `lang_definitions` VALUES (67019, 5848, 17, 'Ορισμός του αριθμού έκδοσης στη βάση δεδομένων ...');
INSERT INTO `lang_definitions` VALUES (67020, 5849, 17, 'Ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (67021, 5851, 17, 'Ημικρανία');
INSERT INTO `lang_definitions` VALUES (67022, 5853, 17, 'Βαρύτητα πόνου');
INSERT INTO `lang_definitions` VALUES (67023, 5854, 17, 'Βαρύτητα πόνου:');
INSERT INTO `lang_definitions` VALUES (67024, 5855, 17, 'Φύλο');
INSERT INTO `lang_definitions` VALUES (67025, 5856, 17, 'Σεξουαλικά μεταδιδ. νόσημα');
INSERT INTO `lang_definitions` VALUES (67026, 5858, 17, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (67027, 5859, 17, 'Διαμοιρασμός');
INSERT INTO `lang_definitions` VALUES (67028, 5860, 17, 'Εντολή Κελύφους για εκτύπωση από τον server');
INSERT INTO `lang_definitions` VALUES (67029, 5864, 17, 'Δύσπνοια');
INSERT INTO `lang_definitions` VALUES (67030, 5865, 17, 'Δύσπνοια');
INSERT INTO `lang_definitions` VALUES (67031, 5866, 17, 'Δύσπνοια 2');
INSERT INTO `lang_definitions` VALUES (67032, 5867, 17, 'Καταγραφή Εμβολιασμού');
INSERT INTO `lang_definitions` VALUES (67033, 5868, 17, 'Καταγραφή Εμβολιασμών από τις:');
INSERT INTO `lang_definitions` VALUES (67034, 5870, 17, 'θα πρέπει να είναι ως nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (67035, 5871, 17, 'θα πρέπει να είναι δύο γράμματα');
INSERT INTO `lang_definitions` VALUES (67036, 5872, 17, 'πρέπει να περιέχει 10 ψηφία');
INSERT INTO `lang_definitions` VALUES (67037, 5873, 17, 'πρέπει να περιέχει μόνο 10 ψηφία');
INSERT INTO `lang_definitions` VALUES (67038, 5874, 17, 'Ώμος');
INSERT INTO `lang_definitions` VALUES (67039, 5875, 17, 'Ώμος + κλείδα');
INSERT INTO `lang_definitions` VALUES (67040, 5876, 17, 'Προβλήμ. ώμου');
INSERT INTO `lang_definitions` VALUES (67041, 5877, 17, 'Προβολή');
INSERT INTO `lang_definitions` VALUES (67042, 5878, 17, 'Προβολή ενεργών');
INSERT INTO `lang_definitions` VALUES (67043, 5880, 17, 'Προβολή Ολων');
INSERT INTO `lang_definitions` VALUES (67044, 5883, 17, 'Προβολή Ολων των Συναλλαγών');
INSERT INTO `lang_definitions` VALUES (67045, 5884, 17, 'Προβολή ως απασχολημένο');
INSERT INTO `lang_definitions` VALUES (67046, 5885, 17, 'Προβολή μόνο των εξουσιοδοτημένων');
INSERT INTO `lang_definitions` VALUES (67047, 5886, 17, 'Προβολή Διαθέσιμων Ωρών');
INSERT INTO `lang_definitions` VALUES (67048, 5887, 17, 'Προβολή και του Αμερικαν. και του Μετρικού συστήματος (η κύρια μονάδα θα είναι το μετρικό)');
INSERT INTO `lang_definitions` VALUES (67049, 5888, 17, 'Προβολή και του Αμερικαν. και του Μετρικού συστήμ. (η κύρια μονάδα θα είναι το Αμερικαν.)');
INSERT INTO `lang_definitions` VALUES (67050, 5889, 17, 'Προβολή Λεπτομερειών');
INSERT INTO `lang_definitions` VALUES (67051, 5891, 17, 'Προβολή Γραφήματος');
INSERT INTO `lang_definitions` VALUES (67052, 5892, 17, 'Να προβάλλεται βοηθητικό κείμενο κατά την κατάδειξη με το ποντίκι;');
INSERT INTO `lang_definitions` VALUES (67053, 5893, 17, 'Πόσα γεγονότα θέλετε να προβάλλονται στις σελίδες διαχείρισης;');
INSERT INTO `lang_definitions` VALUES (67054, 5894, 17, 'Προβολή ανενεργών');
INSERT INTO `lang_definitions` VALUES (67055, 5896, 17, 'Προβολή Mενού');
INSERT INTO `lang_definitions` VALUES (67056, 5897, 17, 'Προβολή μόνο του Μετρικού συστήματος');
INSERT INTO `lang_definitions` VALUES (67057, 5898, 17, 'Προβολή Σημειώσεων');
INSERT INTO `lang_definitions` VALUES (67058, 5901, 17, 'Προβολή Σημειώσεων Ασθενούς');
INSERT INTO `lang_definitions` VALUES (67059, 5905, 17, 'Προβολή Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (67060, 5906, 17, 'Προβολή Αναφοράς');
INSERT INTO `lang_definitions` VALUES (67061, 5907, 17, 'Προβολή δεσμών αναζήτησης/αποστολή σε μπλοκ;');
INSERT INTO `lang_definitions` VALUES (67062, 5913, 17, 'Προβολή μόνο μη χρεωμένων');
INSERT INTO `lang_definitions` VALUES (67063, 5914, 17, 'Προβολή μόνο του Αμερικαν. συστήματος');
INSERT INTO `lang_definitions` VALUES (67064, 5920, 17, 'Αδέλφια');
INSERT INTO `lang_definitions` VALUES (67065, 5921, 17, 'Δρεπανοκύτταρο');
INSERT INTO `lang_definitions` VALUES (67066, 5922, 17, 'Δόση');
INSERT INTO `lang_definitions` VALUES (67067, 5923, 17, 'Σιγμοειδο-/Κολονοσκόπηση');
INSERT INTO `lang_definitions` VALUES (67068, 5925, 17, 'Υπογραφή Εργαστηρ. αποτελεσμάτων (εγγραφή, προαιρετ. προσθήκη)');
INSERT INTO `lang_definitions` VALUES (67069, 5926, 17, 'Υπογραφή Εργαστηριακών');
INSERT INTO `lang_definitions` VALUES (67070, 5927, 17, 'Υπογραφή');
INSERT INTO `lang_definitions` VALUES (67071, 5929, 17, 'Υπογραφή:');
INSERT INTO `lang_definitions` VALUES (67072, 5930, 17, 'Υπογεγραμμένη συνταγή');
INSERT INTO `lang_definitions` VALUES (67073, 5932, 17, 'Έντονη διόγκωση:');
INSERT INTO `lang_definitions` VALUES (67074, 5934, 17, 'Απλοποιημένη Συμμετοχή στην πληρωμή');
INSERT INTO `lang_definitions` VALUES (67075, 5935, 17, 'Απλοποιημένα Δημογραφικά');
INSERT INTO `lang_definitions` VALUES (67076, 5936, 17, 'Απλοποιημένες Συνταγογραφήσεις');
INSERT INTO `lang_definitions` VALUES (67077, 5937, 17, 'Εδώ και');
INSERT INTO `lang_definitions` VALUES (67078, 5938, 17, 'Ειλικρινά,');
INSERT INTO `lang_definitions` VALUES (67079, 5940, 17, 'Άγαμος/η');
INSERT INTO `lang_definitions` VALUES (67080, 5941, 17, 'Λίστα μονής επιλογής');
INSERT INTO `lang_definitions` VALUES (67081, 5942, 17, 'Λίστα μονής επιλογής με δυνατότητα προσθήκης στη λίστα');
INSERT INTO `lang_definitions` VALUES (67082, 5946, 17, 'Προβλήμ. Ιγμορίων');
INSERT INTO `lang_definitions` VALUES (67083, 5947, 17, 'Εγχείριση Ιγμορίων');
INSERT INTO `lang_definitions` VALUES (67084, 5948, 17, 'Ευαισθησία Ιγμορίων:');
INSERT INTO `lang_definitions` VALUES (67085, 5949, 17, 'Ιγμορίτις');
INSERT INTO `lang_definitions` VALUES (67086, 5951, 17, 'Κωδικός ID ιστοσελίδας');
INSERT INTO `lang_definitions` VALUES (67087, 5953, 17, 'Κωδικός ID ιστοσελίδας για την υπηρεσία υποστήριξης LibreEHR Support LLC Lab Exchange');
INSERT INTO `lang_definitions` VALUES (67088, 5956, 17, 'Μέγεθος');
INSERT INTO `lang_definitions` VALUES (67089, 5957, 17, 'Το μέγεθος πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (67090, 5958, 17, 'Μέγεθος/Κατάλογος');
INSERT INTO `lang_definitions` VALUES (67091, 5959, 17, 'Δέρμα');
INSERT INTO `lang_definitions` VALUES (67092, 5960, 17, 'Καρκίνος δέρματος');
INSERT INTO `lang_definitions` VALUES (67093, 5961, 17, 'Νόσος δέρματος');
INSERT INTO `lang_definitions` VALUES (67094, 5962, 17, 'Δέρμα – άλλο');
INSERT INTO `lang_definitions` VALUES (67095, 5963, 17, 'Παραλείψτε εξουσιοδ. του φακέλου ασθενούς');
INSERT INTO `lang_definitions` VALUES (67096, 5964, 17, 'Παράλειψη ενότητας');
INSERT INTO `lang_definitions` VALUES (67097, 5965, 17, 'Παράκαμψη του SQL-Ledger dump - δεν είναι υλοποιημένο σε Windows server');
INSERT INTO `lang_definitions` VALUES (67098, 5967, 17, 'Τύπος ύπνου');
INSERT INTO `lang_definitions` VALUES (67099, 5968, 17, 'Τύπος ύπνου');
INSERT INTO `lang_definitions` VALUES (67100, 5969, 17, 'Κοιμώμενο');
INSERT INTO `lang_definitions` VALUES (67101, 5970, 17, 'Σλοβακικά');
INSERT INTO `lang_definitions` VALUES (67102, 5973, 17, 'Η λανθάνουσα μνήμη Smarty έχει καθαριστεί');
INSERT INTO `lang_definitions` VALUES (67103, 5974, 17, 'Καπνιστής, άγνωστη τρέχουσα κατάσταση');
INSERT INTO `lang_definitions` VALUES (67104, 5976, 17, 'Κατάσταση Καπνίσματος');
INSERT INTO `lang_definitions` VALUES (67105, 5978, 17, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (67106, 5979, 17, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (67107, 5980, 17, 'SMS Gateway API key');
INSERT INTO `lang_definitions` VALUES (67108, 5981, 17, 'Κωδικός πρόσβασης για το SMS gateway');
INSERT INTO `lang_definitions` VALUES (67109, 5982, 17, 'Όνομα χρήστη για το SMS gateway');
INSERT INTO `lang_definitions` VALUES (67110, 5983, 17, 'Ειδοποίηση μέσω SMS');
INSERT INTO `lang_definitions` VALUES (67111, 5984, 17, 'Ωράρια ειδοποίησης με SMS');
INSERT INTO `lang_definitions` VALUES (67112, 5985, 17, 'Το SMS να σταλεί πριν από τις');
INSERT INTO `lang_definitions` VALUES (67113, 5986, 17, 'SMS εστάλη');
INSERT INTO `lang_definitions` VALUES (67114, 5988, 17, 'Ρυθμίσεις προειδοποίησης για SMS και e-mails');
INSERT INTO `lang_definitions` VALUES (67115, 5989, 17, 'Κωδικός SMTP για Πιστοποίηση');
INSERT INTO `lang_definitions` VALUES (67116, 5992, 17, 'Ονομα Host SMTP server');
INSERT INTO `lang_definitions` VALUES (67117, 5993, 17, 'Αριθμός θύρας SMTP server');
INSERT INTO `lang_definitions` VALUES (67118, 5994, 17, 'Χρήστης SMTP για Πιστοποίηση');
INSERT INTO `lang_definitions` VALUES (67119, 5995, 17, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (67120, 5997, 17, 'Διάγνωση SNOMED (RF1)');
INSERT INTO `lang_definitions` VALUES (67121, 5999, 17, 'Διάγνωση SNOMED (RF2)');
INSERT INTO `lang_definitions` VALUES (67122, 6001, 17, 'Βάση δεδομένων SNOMED');
INSERT INTO `lang_definitions` VALUES (67123, 6002, 17, 'Διάγνωση SNOMED');
INSERT INTO `lang_definitions` VALUES (67124, 6004, 17, 'Ροχαλητό');
INSERT INTO `lang_definitions` VALUES (67125, 6005, 17, 'ΕΚΤΙΜΗΣΗ ασθενούς');
INSERT INTO `lang_definitions` VALUES (67126, 6006, 17, 'Κοινωνικές δυσκολίες');
INSERT INTO `lang_definitions` VALUES (67127, 6009, 17, 'Κοινωνικό Ιστορικό:');
INSERT INTO `lang_definitions` VALUES (67128, 6010, 17, 'Αριθμός Μητρώου Κοινωνικής Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (67129, 6011, 17, 'διάλυμα (sol)');
INSERT INTO `lang_definitions` VALUES (67130, 6013, 17, 'Σωματική κατατομή');
INSERT INTO `lang_definitions` VALUES (67131, 6014, 17, 'Ορισμένες άδειες δεν εμφανίζονται. Κάντε κλικ εδώ για να τις δείτε όλες');
INSERT INTO `lang_definitions` VALUES (67132, 6015, 17, 'Ορισμένοι κωδικοί δεν εμφανίστηκαν');
INSERT INTO `lang_definitions` VALUES (67133, 6016, 17, 'Ορισμένες επισκέψεις δεν εμφανίστηκαν. Κάντε κλικ εδώ για να τις δείτε όλες.');
INSERT INTO `lang_definitions` VALUES (67134, 6017, 17, 'Συνέβη ένα σφάλμα κατά τη διαδικασία Απο-Ταυτοποίησης');
INSERT INTO `lang_definitions` VALUES (67135, 6018, 17, 'Ορισμένες σημειώσεις δεν εμφανίστηκαν');
INSERT INTO `lang_definitions` VALUES (67136, 6020, 17, 'ορισμένες λέξεις');
INSERT INTO `lang_definitions` VALUES (67137, 6023, 17, 'Κάτι πήγε στραβά. Παρακαλώ προσπαθήστε πάλι.');
INSERT INTO `lang_definitions` VALUES (67138, 6026, 17, 'Φαρυγγοδυνία');
INSERT INTO `lang_definitions` VALUES (67139, 6027, 17, 'Συγνώμη, δεν κλείστηκε κανένα ραντεβού');
INSERT INTO `lang_definitions` VALUES (67140, 6028, 17, 'Συγνώμη, υπήρξε πρόβλημα κατά το ανέβασμα του αρχείου σας');
INSERT INTO `lang_definitions` VALUES (67141, 6029, 17, 'Ταξινόμηση ανα');
INSERT INTO `lang_definitions` VALUES (67142, 6030, 17, 'Ταξινόμηση ανα');
INSERT INTO `lang_definitions` VALUES (67143, 6031, 17, 'Ταξινόμηση ανα Checksum');
INSERT INTO `lang_definitions` VALUES (67144, 6032, 17, 'Ταξινόμηση ανα Σχόλια');
INSERT INTO `lang_definitions` VALUES (67145, 6033, 17, 'Ταξινόμηση με βάση τον τρέχοντα χρήστη');
INSERT INTO `lang_definitions` VALUES (67146, 6034, 17, 'Ταξινόμηση ανά ημερομηνία');
INSERT INTO `lang_definitions` VALUES (67147, 6035, 17, 'Ταξινόμηση ανά ημερομηνία/ωρα');
INSERT INTO `lang_definitions` VALUES (67148, 6036, 17, 'Ταξινόμηση ανά Συμβάν');
INSERT INTO `lang_definitions` VALUES (67149, 6037, 17, 'Ταξινόμηση ανα Ομαδα');
INSERT INTO `lang_definitions` VALUES (67150, 6040, 17, 'Ταξινόμηση ανά Κωδικό ασθενούς');
INSERT INTO `lang_definitions` VALUES (67151, 6041, 17, 'Ταξινόμηση με βάση το βαθμό επιτυχίας');
INSERT INTO `lang_definitions` VALUES (67152, 6043, 17, 'Ταξινόμηση ανα Χρήστη');
INSERT INTO `lang_definitions` VALUES (67153, 6044, 17, 'Ταξινόμηση ανά εμβόλιο');
INSERT INTO `lang_definitions` VALUES (67154, 6045, 17, 'Ταξινόμηση κατά φθίνοντα αριθμό');
INSERT INTO `lang_definitions` VALUES (67155, 6046, 17, 'Ταξινόμηση αποτελέσματος ανα');
INSERT INTO `lang_definitions` VALUES (67156, 6047, 17, 'Ταξινόμηση κατ\' αύξοντα αριθμό');
INSERT INTO `lang_definitions` VALUES (67157, 6048, 17, 'Πηγή');
INSERT INTO `lang_definitions` VALUES (67158, 6049, 17, 'Αρχείο Πηγής');
INSERT INTO `lang_definitions` VALUES (67159, 6050, 17, 'Path Αρχείου Πηγής');
INSERT INTO `lang_definitions` VALUES (67160, 6051, 17, 'Η πηγή λείπει για τον κωδικό ');
INSERT INTO `lang_definitions` VALUES (67161, 6052, 17, 'Κωδικός παρτίδας πηγής');
INSERT INTO `lang_definitions` VALUES (67162, 6057, 17, 'Πηγή:');
INSERT INTO `lang_definitions` VALUES (67163, 6060, 17, 'Χώρος');
INSERT INTO `lang_definitions` VALUES (67164, 6061, 17, 'ΧΩΡΟΣ');
INSERT INTO `lang_definitions` VALUES (67165, 6062, 17, 'Ισπανικά');
INSERT INTO `lang_definitions` VALUES (67166, 6063, 17, 'Ισπανικά (Λατινικής Αμερικής)');
INSERT INTO `lang_definitions` VALUES (67167, 6064, 17, 'Ισπανικά (Ισπανίας)');
INSERT INTO `lang_definitions` VALUES (67168, 6068, 17, 'Ειδικός');
INSERT INTO `lang_definitions` VALUES (67169, 6069, 17, 'Όνομα και υπογραφή ειδικού');
INSERT INTO `lang_definitions` VALUES (67170, 6071, 17, 'Ειδικότητα');
INSERT INTO `lang_definitions` VALUES (67171, 6072, 17, 'Συστήματα ειδικού');
INSERT INTO `lang_definitions` VALUES (67172, 6073, 17, 'Ειδικότητα:');
INSERT INTO `lang_definitions` VALUES (67173, 6074, 17, 'Ειδικό');
INSERT INTO `lang_definitions` VALUES (67174, 6075, 17, 'Ειδική εφαρμογή');
INSERT INTO `lang_definitions` VALUES (67175, 6076, 17, 'Ειδική παροχή υπηρεσίας αντισύλληψης');
INSERT INTO `lang_definitions` VALUES (67176, 6077, 17, 'Ειδικό αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (67177, 6078, 17, 'Ειδική Υπηρεσία');
INSERT INTO `lang_definitions` VALUES (67178, 6079, 17, 'Διευκρινίστηκε');
INSERT INTO `lang_definitions` VALUES (67179, 6088, 17, 'Δείγμα');
INSERT INTO `lang_definitions` VALUES (67180, 6089, 17, 'Αριθμός δείγματος/κωδικός');
INSERT INTO `lang_definitions` VALUES (67181, 6090, 17, 'Είδος δείγματος');
INSERT INTO `lang_definitions` VALUES (67182, 6092, 17, 'Υπαγόρευση ομιλίας');
INSERT INTO `lang_definitions` VALUES (67183, 6093, 17, 'Σπερματοκτόνο');
INSERT INTO `lang_definitions` VALUES (67184, 6094, 17, 'Σπληνεκτομή');
INSERT INTO `lang_definitions` VALUES (67185, 6095, 17, 'Σύζυγος');
INSERT INTO `lang_definitions` VALUES (67186, 6097, 17, 'Πτύελα');
INSERT INTO `lang_definitions` VALUES (67187, 6098, 17, 'Πτύελα:');
INSERT INTO `lang_definitions` VALUES (67188, 6099, 17, 'Υποδόρια');
INSERT INTO `lang_definitions` VALUES (67189, 6102, 17, 'Ομάδα');
INSERT INTO `lang_definitions` VALUES (67190, 6103, 17, 'Μέλος ομάδας');
INSERT INTO `lang_definitions` VALUES (67191, 6104, 17, 'Ομάδες');
INSERT INTO `lang_definitions` VALUES (67192, 6105, 17, 'Σεξουαλική και αναπαραγωγική υγεία');
INSERT INTO `lang_definitions` VALUES (67193, 6106, 17, 'Σεξουαλική και αναπαραγωγική υγεία – Οικογενειακός προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (67194, 6107, 17, 'Σεξουαλική και αναπαραγωγική υγεία – Μη οικογενειακός προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (67195, 6108, 17, 'Παραπομπές σεξουαλικής και αναπαραγωγικής υγείας');
INSERT INTO `lang_definitions` VALUES (67196, 6109, 17, 'Έντυπο επίσκεψης σεξουαλικής και αναπαραγωγικής υγείας');
INSERT INTO `lang_definitions` VALUES (67197, 6110, 17, 'Ημερ. Υπηρ.');
INSERT INTO `lang_definitions` VALUES (67198, 6111, 17, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (67199, 6112, 17, 'Πιστοποιητικό Διαχείρισης SSL');
INSERT INTO `lang_definitions` VALUES (67200, 6113, 17, 'ΑΜΚΑ');
INSERT INTO `lang_definitions` VALUES (67201, 6114, 17, 'Σταθερότητα');
INSERT INTO `lang_definitions` VALUES (67202, 6116, 17, 'Πρότυπο');
INSERT INTO `lang_definitions` VALUES (67203, 6117, 17, 'Standard Κωδικός');
INSERT INTO `lang_definitions` VALUES (67204, 6118, 17, 'Standard Μέτρηση');
INSERT INTO `lang_definitions` VALUES (67205, 6122, 17, 'Standard Ονομα');
INSERT INTO `lang_definitions` VALUES (67206, 6124, 17, 'Έναρξη');
INSERT INTO `lang_definitions` VALUES (67207, 6125, 17, 'Έναρξη (εεεε-μμ-ηη) ');
INSERT INTO `lang_definitions` VALUES (67208, 6128, 17, 'Ημερομ. έναρξης');
INSERT INTO `lang_definitions` VALUES (67209, 6129, 17, 'Ημερομηνία έναρξης στην παρούσα Κλινική');
INSERT INTO `lang_definitions` VALUES (67210, 6130, 17, 'Ημερομ. Έναρξης δεν μπορεί να είναι μεταγενέστερη από Ημερομ. τέλους');
INSERT INTO `lang_definitions` VALUES (67211, 6131, 17, 'Ημερομ. έναρξης:');
INSERT INTO `lang_definitions` VALUES (67212, 6132, 17, 'Ημερομ. έναρξης:');
INSERT INTO `lang_definitions` VALUES (67213, 6133, 17, 'Ώρα έναρξης');
INSERT INTO `lang_definitions` VALUES (67214, 6134, 17, 'Ημερομηνία Έναρξης');
INSERT INTO `lang_definitions` VALUES (67215, 6135, 17, 'εφάπαξ');
INSERT INTO `lang_definitions` VALUES (67216, 6136, 17, 'Νομός');
INSERT INTO `lang_definitions` VALUES (67217, 6137, 17, 'Διευκρινίστε το είδος των Δεδομένων');
INSERT INTO `lang_definitions` VALUES (67218, 6138, 17, 'Αριθμ. Αδείας');
INSERT INTO `lang_definitions` VALUES (67219, 6139, 17, 'Αριθμός Αδείας');
INSERT INTO `lang_definitions` VALUES (67220, 6140, 17, 'Λίστα Καταστάσεων');
INSERT INTO `lang_definitions` VALUES (67221, 6141, 17, 'Λίστα Καταστάσεων (εγγραφή, προαιρετικά προσθήκη)');
INSERT INTO `lang_definitions` VALUES (67222, 6143, 17, 'Νομός ή Επαρχία');
INSERT INTO `lang_definitions` VALUES (67223, 6144, 17, 'Νομός/Περιοχή');
INSERT INTO `lang_definitions` VALUES (67224, 6145, 17, 'Νομός/Κοινότητα');
INSERT INTO `lang_definitions` VALUES (67225, 6146, 17, 'ΣΥΝΟΠΤΙΚΗ ΚΑΤΑΣΤΑΣΗ');
INSERT INTO `lang_definitions` VALUES (67226, 6147, 17, 'δηλώσεις και επικαιροποιητικά τιμολόγια.');
INSERT INTO `lang_definitions` VALUES (67227, 6148, 17, 'Δηλώσεις αποστάλησαν:');
INSERT INTO `lang_definitions` VALUES (67228, 6149, 17, 'δηλώσεις. Τα τιμολόγια δεν θα επικαιροποιηθούν.');
INSERT INTO `lang_definitions` VALUES (67229, 6150, 17, 'Στατικό Κείμενο');
INSERT INTO `lang_definitions` VALUES (67230, 6151, 17, 'Στατιστικά');
INSERT INTO `lang_definitions` VALUES (67231, 6152, 17, 'Στατιστικά');
INSERT INTO `lang_definitions` VALUES (67232, 6153, 17, 'Κατάσταση');
INSERT INTO `lang_definitions` VALUES (67233, 6156, 17, 'Status quo (Ιδία κατάσταση)');
INSERT INTO `lang_definitions` VALUES (67234, 6158, 17, 'Συμβουλευτική ΣΜΝ/AIDS');
INSERT INTO `lang_definitions` VALUES (67235, 6159, 17, 'Μυική ισχύς και conditioning');
INSERT INTO `lang_definitions` VALUES (67236, 6164, 17, 'Βήματα για την εγκατάσταση της βάσης δεδομένων DSM IV');
INSERT INTO `lang_definitions` VALUES (67237, 6165, 17, 'Βήματα για την εγκατάσταση της βάσης δεδομένων ICD10');
INSERT INTO `lang_definitions` VALUES (67238, 6166, 17, 'Βήματα για την εγκατάσταση της βάσης δεδομένων ICD9');
INSERT INTO `lang_definitions` VALUES (67239, 6167, 17, 'Βήματα για την εγκατάσταση της βάσης δεδομένων RxNorm');
INSERT INTO `lang_definitions` VALUES (67240, 6168, 17, 'Βήματα προς εγκατάσταση στη βάση δεδομένων Snomed');
INSERT INTO `lang_definitions` VALUES (67241, 6169, 17, 'Δυσκαμψία αρθρώσεων');
INSERT INTO `lang_definitions` VALUES (67242, 6170, 17, 'Δυσκαμψία');
INSERT INTO `lang_definitions` VALUES (67243, 6172, 17, 'Άλγη στομάχου');
INSERT INTO `lang_definitions` VALUES (67244, 6174, 17, 'Αποθηκευμένο hash');
INSERT INTO `lang_definitions` VALUES (67245, 6175, 17, 'Διάταση μυός');
INSERT INTO `lang_definitions` VALUES (67246, 6176, 17, 'Ροή');
INSERT INTO `lang_definitions` VALUES (67247, 6177, 17, 'Οδός');
INSERT INTO `lang_definitions` VALUES (67248, 6178, 17, 'Διεύθυνση οδού');
INSERT INTO `lang_definitions` VALUES (67249, 6179, 17, 'Οδός και Αριθμός');
INSERT INTO `lang_definitions` VALUES (67250, 6180, 17, 'Ισχύς');
INSERT INTO `lang_definitions` VALUES (67251, 6182, 17, 'Φάρυγγας Στρεπ');
INSERT INTO `lang_definitions` VALUES (67252, 6183, 17, 'Κάταγμα κόπωσης');
INSERT INTO `lang_definitions` VALUES (67253, 6184, 17, 'Δοκιμασία κόπωσης');
INSERT INTO `lang_definitions` VALUES (67254, 6185, 17, 'Αγγειακό εγκεφαλικό');
INSERT INTO `lang_definitions` VALUES (67255, 6186, 17, 'Δυνατός κωδικός πρόσβασης σημαίνει τουλάχ. 8 χαρακτήρες και τουλάχ. 3: αριθμούς, μικρά γράμματα, κεφαλαία γράμματα, ειδικούς χαρακτήρες.');
INSERT INTO `lang_definitions` VALUES (67256, 6188, 17, 'Στυλ εγγράφου σε χρήση, για την προσθήκη νέων ασθενών');
INSERT INTO `lang_definitions` VALUES (67257, 6189, 17, 'Υποκατηγορία');
INSERT INTO `lang_definitions` VALUES (67258, 6190, 17, 'Μερικό Σύνολο');
INSERT INTO `lang_definitions` VALUES (67259, 6191, 17, 'Υποκατηγορία');
INSERT INTO `lang_definitions` VALUES (67260, 6192, 17, 'υποκατηγορία');
INSERT INTO `lang_definitions` VALUES (67261, 6193, 17, 'υποδορίως');
INSERT INTO `lang_definitions` VALUES (67262, 6194, 17, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (67263, 6195, 17, 'Ιστορικό');
INSERT INTO `lang_definitions` VALUES (67264, 6196, 17, 'Υπογλώσσιο');
INSERT INTO `lang_definitions` VALUES (67265, 6197, 17, 'υπογλώσσιο');
INSERT INTO `lang_definitions` VALUES (67266, 6198, 17, 'Υποβολή');
INSERT INTO `lang_definitions` VALUES (67267, 6199, 17, 'υποβολή');
INSERT INTO `lang_definitions` VALUES (67268, 6200, 17, 'Υποβολή όλου του περιεχομένου');
INSERT INTO `lang_definitions` VALUES (67269, 6202, 17, 'Υποβολή συμβάντος');
INSERT INTO `lang_definitions` VALUES (67270, 6203, 17, 'υποβολή εντύπου');
INSERT INTO `lang_definitions` VALUES (67271, 6204, 17, 'Υποβολή επιλεγμένου περιεχομένου');
INSERT INTO `lang_definitions` VALUES (67272, 6205, 17, 'Υπεβλήθη');
INSERT INTO `lang_definitions` VALUES (67273, 6206, 17, 'Υπεβλήθη από');
INSERT INTO `lang_definitions` VALUES (67274, 6207, 17, 'Αριθμός πρόσβασης υποβολέα EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (67275, 6208, 17, 'Συνδρομητής');
INSERT INTO `lang_definitions` VALUES (67276, 6209, 17, 'Διεύθυνση Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67277, 6213, 17, 'Εργοδότης Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67278, 6214, 17, 'Εργοδότης Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67279, 6215, 17, 'Διεύθυνση Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67280, 6216, 17, 'Πόλη Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67281, 6217, 17, 'Χώρα Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67282, 6218, 17, 'Νομός Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67283, 6221, 17, 'Τ.Κ. Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67284, 6225, 17, 'Τηλέφωνο Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67285, 6226, 17, 'Σχέση Εργοδότη Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67286, 6227, 17, 'Η σχέση του συνδρομητή δεν είναι αφ\' εαυτή αλλά το όνομα είναι το ίδιο! Είναι πραγματικά εντάξει;');
INSERT INTO `lang_definitions` VALUES (67287, 6228, 17, 'Η σχέση του συνδρομητή δεν είναι αφ\' εαυτή αλλά το όνομα είναι το ίδιο!');
INSERT INTO `lang_definitions` VALUES (67288, 6229, 17, 'Η σχέση του συνδρομητή είναι αφ\' εαυτή αλλά το όνομα είναι διαφορετικό! Είναι πραγματικά εντάξει;');
INSERT INTO `lang_definitions` VALUES (67289, 6230, 17, 'Η σχέση του συνδρομητή είναι αφ\' εαυτή αλλά ο αριθμός SS είναι διαφορετικός!');
INSERT INTO `lang_definitions` VALUES (67290, 6231, 17, 'Φύλο Συνδρομητή');
INSERT INTO `lang_definitions` VALUES (67291, 6237, 17, 'Υποκατάσταση');
INSERT INTO `lang_definitions` VALUES (67292, 6238, 17, 'Επιτρέπεται η υποκατάσταση');
INSERT INTO `lang_definitions` VALUES (67293, 6240, 17, 'Επιτυχία');
INSERT INTO `lang_definitions` VALUES (67294, 6241, 17, 'επιτυχία');
INSERT INTO `lang_definitions` VALUES (67295, 6242, 17, 'Επιτυχής επικύρωση λήψης εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (67296, 6243, 17, 'Επιτυχής λήψη εργαστηρ. αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (67297, 6244, 17, 'Επιτυχής λήψη αποτελεσμάτων από το Δίκτυο Ανταλλαγής Εργαστηρίου');
INSERT INTO `lang_definitions` VALUES (67298, 6246, 17, 'Επιτυχής προσθήκη κατηγορίας');
INSERT INTO `lang_definitions` VALUES (67299, 6247, 17, 'προσετέθη επιτυχώς στην κατηγορία,');
INSERT INTO `lang_definitions` VALUES (67300, 6248, 17, 'Διαγράφηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (67301, 6250, 17, 'Η βάση δεδομένων εγκαταστάθηκε με επιτυχία.');
INSERT INTO `lang_definitions` VALUES (67302, 6251, 17, 'Εγκαταστάθηκε επιτυχώς η παρακάτω βάση δεδομένων:');
INSERT INTO `lang_definitions` VALUES (67303, 6252, 17, 'Τροποποιήθηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (67304, 6253, 17, 'Σώθηκε επιτυχώς. Θέλετε να κατανεμηθεί;');
INSERT INTO `lang_definitions` VALUES (67305, 6254, 17, 'Σώθηκε επιτυχώς. Θέλετε να διανεμηθεί;');
INSERT INTO `lang_definitions` VALUES (67306, 6256, 17, 'αποθηκεύτηκε επιτυχώς');
INSERT INTO `lang_definitions` VALUES (67307, 6257, 17, 'Η βάση δεδομένων αναβαθμίστηκε με επιτυχία.');
INSERT INTO `lang_definitions` VALUES (67308, 6258, 17, 'Έγινε επιτυχής αναβάθμιση της παρακάτω βάσης δεδοιμένων:');
INSERT INTO `lang_definitions` VALUES (67309, 6259, 17, 'επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (67310, 6260, 17, 'Αυτοκτονία');
INSERT INTO `lang_definitions` VALUES (67311, 6261, 17, 'Περίληψη');
INSERT INTO `lang_definitions` VALUES (67312, 6262, 17, 'Περίληψη του');
INSERT INTO `lang_definitions` VALUES (67313, 6265, 17, 'Κυρ.');
INSERT INTO `lang_definitions` VALUES (67314, 6267, 17, 'Κυριακή');
INSERT INTO `lang_definitions` VALUES (67315, 6268, 17, 'Υπερχρέωση');
INSERT INTO `lang_definitions` VALUES (67316, 6269, 17, 'Κώδικες υπερχρέωσης');
INSERT INTO `lang_definitions` VALUES (67317, 6270, 17, 'Διαχείριση κωδίκων υπερχρέωσης');
INSERT INTO `lang_definitions` VALUES (67318, 6271, 17, 'Αναφορά υπερχρέωσης');
INSERT INTO `lang_definitions` VALUES (67319, 6272, 17, 'Υπερχρέωση/Φύλλο αμοιβών');
INSERT INTO `lang_definitions` VALUES (67320, 6273, 17, 'Υπερχρεώσεις');
INSERT INTO `lang_definitions` VALUES (67321, 6274, 17, 'Οι υπερχρεώσεις, μερικές φορές αναφέρονται ως Εντυπα Επίσκεψης, αποτελούν ουσιαστικό μέρος των περισσότερων ιατρείων.');
INSERT INTO `lang_definitions` VALUES (67322, 6275, 17, 'Υπερχρήστης');
INSERT INTO `lang_definitions` VALUES (67323, 6276, 17, 'Επιβλέπων');
INSERT INTO `lang_definitions` VALUES (67324, 6278, 17, 'Επιβλέπων Ιατρός DEA');
INSERT INTO `lang_definitions` VALUES (67325, 6279, 17, 'Μικρό όνομα Επιβλέποντος Ιατρού');
INSERT INTO `lang_definitions` VALUES (67326, 6280, 17, 'Επίθετο Επιβλέποντος Ιατρού');
INSERT INTO `lang_definitions` VALUES (67327, 6281, 17, 'NPI του Επιβλέποντος Ιατρού');
INSERT INTO `lang_definitions` VALUES (67328, 6282, 17, 'UPIN του Επιβλέποντος Ιατρού');
INSERT INTO `lang_definitions` VALUES (67329, 6283, 17, 'Στοιχεία Έδρας προμηθευτή');
INSERT INTO `lang_definitions` VALUES (67330, 6284, 17, 'Υποστήριξη συμβάντων ημερολογίου που ισχύουν για πολλαπλούς παρόχους');
INSERT INTO `lang_definitions` VALUES (67331, 6285, 17, 'Υποστήριξη εισαγ./ εξαγ. δεδομένων ρύθμισης, μέσω της σελίδας Backup');
INSERT INTO `lang_definitions` VALUES (67332, 6286, 17, 'Υποστήρ. Συμβάντων για πολλαπλούς παρόχους (multi-Provider)');
INSERT INTO `lang_definitions` VALUES (67333, 6288, 17, 'Υποστηρίζει μόνο κρυπτογράφηση/αποκρυπτογράφηση TripleDES.');
INSERT INTO `lang_definitions` VALUES (67334, 6289, 17, 'Τύπος επιφανείας');
INSERT INTO `lang_definitions` VALUES (67335, 6290, 17, 'Χειρουργεία');
INSERT INTO `lang_definitions` VALUES (67336, 6291, 17, 'Εγχείριση');
INSERT INTO `lang_definitions` VALUES (67337, 6293, 17, 'Ανεστάλη');
INSERT INTO `lang_definitions` VALUES (67338, 6294, 17, 'εναιώρημα (susp)');
INSERT INTO `lang_definitions` VALUES (67339, 6295, 17, 'Ημερομ. παροχής υπηρ.');
INSERT INTO `lang_definitions` VALUES (67340, 6296, 17, 'Ημερομ. παροχής υπηρ.:');
INSERT INTO `lang_definitions` VALUES (67341, 6299, 17, 'Εφίδρωση:');
INSERT INTO `lang_definitions` VALUES (67342, 6300, 17, 'Σουηδικά');
INSERT INTO `lang_definitions` VALUES (67343, 6301, 17, 'Διόγκωση');
INSERT INTO `lang_definitions` VALUES (67344, 6302, 17, 'Διόγκωση δεξιά');
INSERT INTO `lang_definitions` VALUES (67345, 6303, 17, 'Διογκωμένες αρθρώσεις');
INSERT INTO `lang_definitions` VALUES (67346, 6304, 17, 'Διογκωμένοι λεμφαδένες');
INSERT INTO `lang_definitions` VALUES (67347, 6305, 17, 'Σύμβολο που χρησιμοποιείται ως δεκαδικό σημείο για το νόμισμα. Δεν χρησιμοποιείται αν τα δεκαδικά ψηφία είναι 0.');
INSERT INTO `lang_definitions` VALUES (67348, 6306, 17, 'Το σύμβολο σε χρήση για διαχωρισμό των χιλιάδων, στα νομίσματα.');
INSERT INTO `lang_definitions` VALUES (67349, 6307, 17, 'Συμπτώματα');
INSERT INTO `lang_definitions` VALUES (67350, 6308, 17, 'Συγχρονισμός');
INSERT INTO `lang_definitions` VALUES (67351, 6309, 17, 'Συγχρονισμός μεταφράσεων με τον πίνακα της custom γλώσσας.');
INSERT INTO `lang_definitions` VALUES (67352, 6310, 17, 'Συγχρονισμένη νέα custom Σταθερά:');
INSERT INTO `lang_definitions` VALUES (67353, 6311, 17, 'Συγχρονισμένη νέα custom Γλώσσα:');
INSERT INTO `lang_definitions` VALUES (67354, 6312, 17, 'Συγχρονισμένη νέος ορισμός (Γλώσσα, Σταθερά, Ορισμός):');
INSERT INTO `lang_definitions` VALUES (67355, 6313, 17, 'Συγκοπή');
INSERT INTO `lang_definitions` VALUES (67356, 6314, 17, 'Επιτήρηση συνδρόμων');
INSERT INTO `lang_definitions` VALUES (67357, 6315, 17, 'Επιτήρηση συνδρόμων - Μη αναφερθείσες Περιπτώσεις');
INSERT INTO `lang_definitions` VALUES (67358, 6316, 17, 'Αναφορά Επιτήρησης συνδρόμων');
INSERT INTO `lang_definitions` VALUES (67359, 6317, 17, 'Υμενίτις, Impingement, Θυλακίτις');
INSERT INTO `lang_definitions` VALUES (67360, 6318, 17, 'Σύστημα');
INSERT INTO `lang_definitions` VALUES (67361, 6322, 17, 'Τ');
INSERT INTO `lang_definitions` VALUES (67362, 6323, 17, '3 φορές την ημέρα');
INSERT INTO `lang_definitions` VALUES (67363, 6324, 17, 'T.V.');
INSERT INTO `lang_definitions` VALUES (67364, 6325, 17, 'Πίνακας');
INSERT INTO `lang_definitions` VALUES (67365, 6327, 17, 'Απέτυχε η δημιουργία πίνακα');
INSERT INTO `lang_definitions` VALUES (67366, 6328, 17, 'Απέτυχε η ενημέρωση πίνακα');
INSERT INTO `lang_definitions` VALUES (67367, 6330, 17, 'δισκίο (tab)');
INSERT INTO `lang_definitions` VALUES (67368, 6335, 17, 'Δόση');
INSERT INTO `lang_definitions` VALUES (67369, 6336, 17, 'Επιλογή Ασφαλιστικής, από Drop Down');
INSERT INTO `lang_definitions` VALUES (67370, 6337, 17, 'Επιλογή πληρωμής από, από Drop Down');
INSERT INTO `lang_definitions` VALUES (67371, 6338, 17, 'Επιστροφή');
INSERT INTO `lang_definitions` VALUES (67372, 6339, 17, 'Απαιτεί χρόνο');
INSERT INTO `lang_definitions` VALUES (67373, 6347, 17, 'Ημερομηνία στόχος');
INSERT INTO `lang_definitions` VALUES (67374, 6351, 17, 'Ομάδες στόχος/ενέργειας');
INSERT INTO `lang_definitions` VALUES (67375, 6354, 17, 'Κωδικός εφορίας');
INSERT INTO `lang_definitions` VALUES (67376, 6355, 17, 'Φορολογικός συντελεστής');
INSERT INTO `lang_definitions` VALUES (67377, 6356, 17, 'Φόροι');
INSERT INTO `lang_definitions` VALUES (67378, 6357, 17, 'Ταξινόμηση');
INSERT INTO `lang_definitions` VALUES (67379, 6358, 17, 'Μέγιστη δόση');
INSERT INTO `lang_definitions` VALUES (67380, 6359, 17, 'Περίληψη ομάδας κακώσεων');
INSERT INTO `lang_definitions` VALUES (67381, 6360, 17, 'Μητρώο Ομάδας');
INSERT INTO `lang_definitions` VALUES (67382, 6361, 17, 'Προβολή Μητρώου Ομάδας');
INSERT INTO `lang_definitions` VALUES (67383, 6362, 17, 'Ομάδα');
INSERT INTO `lang_definitions` VALUES (67384, 6363, 17, 'Τηλ');
INSERT INTO `lang_definitions` VALUES (67385, 6364, 17, 'Τηλεφωνικός Κωδικός Χώρας');
INSERT INTO `lang_definitions` VALUES (67386, 6366, 17, 'Θερμομέτρηση');
INSERT INTO `lang_definitions` VALUES (67387, 6367, 17, 'Θέση θερμομέτρησης');
INSERT INTO `lang_definitions` VALUES (67388, 6368, 17, 'Μέθοδος θερμομέτρησης');
INSERT INTO `lang_definitions` VALUES (67389, 6369, 17, 'Θερμοκρασία');
INSERT INTO `lang_definitions` VALUES (67390, 6370, 17, 'Template');
INSERT INTO `lang_definitions` VALUES (67391, 6371, 17, 'Όνομα Template');
INSERT INTO `lang_definitions` VALUES (67392, 6372, 17, 'Τα ονόματα των Template δεν μπορούν να αρχίσουν με αριθμούς');
INSERT INTO `lang_definitions` VALUES (67393, 6373, 17, 'Template:');
INSERT INTO `lang_definitions` VALUES (67394, 6374, 17, 'Templates');
INSERT INTO `lang_definitions` VALUES (67395, 6375, 17, 'Κροταφική αρτ');
INSERT INTO `lang_definitions` VALUES (67396, 6376, 17, 'Κάκωση τένοντα');
INSERT INTO `lang_definitions` VALUES (67397, 6377, 17, 'Τενοντίτιδα/θυλακίτιδα');
INSERT INTO `lang_definitions` VALUES (67398, 6378, 17, 'Αριθμός αβέβαιου τιμολογίου');
INSERT INTO `lang_definitions` VALUES (67399, 6379, 17, 'Τριτεύουσα');
INSERT INTO `lang_definitions` VALUES (67400, 6380, 17, 'Τριτεύουσα Ασφάλιση');
INSERT INTO `lang_definitions` VALUES (67401, 6381, 17, 'Δεδομένα Τριτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (67402, 6382, 17, 'Πάροχος Τριτεύουσας Ασφάλισης');
INSERT INTO `lang_definitions` VALUES (67403, 6383, 17, 'Έλεγχος χρονοδιαγράμματος');
INSERT INTO `lang_definitions` VALUES (67404, 6384, 17, 'Πειραματικό σύστημα');
INSERT INTO `lang_definitions` VALUES (67405, 6385, 17, 'Κείμενο');
INSERT INTO `lang_definitions` VALUES (67406, 6386, 17, 'Κείμενο διάγνωσης');
INSERT INTO `lang_definitions` VALUES (67407, 6387, 17, 'Πεδίο κειμένου');
INSERT INTO `lang_definitions` VALUES (67408, 6393, 17, 'κείμενο-ημερομηνία');
INSERT INTO `lang_definitions` VALUES (67409, 6394, 17, 'κείμενο-ημερομηνία');
INSERT INTO `lang_definitions` VALUES (67410, 6395, 17, 'χώρος κειμένου');
INSERT INTO `lang_definitions` VALUES (67411, 6396, 17, 'χώρος κειμένου');
INSERT INTO `lang_definitions` VALUES (67412, 6397, 17, 'πλαίσιο κειμένου');
INSERT INTO `lang_definitions` VALUES (67413, 6398, 17, 'πλαίσιο κειμένου');
INSERT INTO `lang_definitions` VALUES (67414, 6399, 17, 'Λίστα πλαισίων κειμένου');
INSERT INTO `lang_definitions` VALUES (67415, 6400, 17, 'λίστα πλαισίων κειμένου');
INSERT INTO `lang_definitions` VALUES (67416, 6401, 17, 'Ταϊλανδικά');
INSERT INTO `lang_definitions` VALUES (67417, 6402, 17, 'Σας ευχαριστούμε');
INSERT INTO `lang_definitions` VALUES (67418, 6403, 17, 'Σας ευχαριστούμε που επιλέξατε');
INSERT INTO `lang_definitions` VALUES (67419, 6404, 17, 'Το κουμπί \"Καθαρισμός\" θα αφαιρέσει όλες τις επισημάνσεις.');
INSERT INTO `lang_definitions` VALUES (67420, 6405, 17, 'Η παραπάνω δήλωση/ statement απέτυχε');
INSERT INTO `lang_definitions` VALUES (67421, 6406, 17, 'Το πιστοποιητικό για τον Apache SSL server και το Δημόσιο Κλειδί');
INSERT INTO `lang_definitions` VALUES (67422, 6407, 17, 'Το πιστοποιητικό της Αρχής Πιστοποίησης');
INSERT INTO `lang_definitions` VALUES (67423, 6408, 17, 'Αρχείο απαιτήσεων: ');
INSERT INTO `lang_definitions` VALUES (67424, 6410, 17, 'Το αντίστοιχο ιδιωτικό κλειδί');
INSERT INTO `lang_definitions` VALUES (67425, 6413, 17, 'Ο κωδικός άρνησης είναι');
INSERT INTO `lang_definitions` VALUES (67426, 6414, 17, 'Ο ομαδικός κωδικός άρνησης είναι');
INSERT INTO `lang_definitions` VALUES (67427, 6415, 17, 'Το έντυπο προωρισμού έκλεισε');
INSERT INTO `lang_definitions` VALUES (67428, 6416, 17, 'Το έντυπο προορισμού έκλεισε, δεν μπορώ να ενεργήσω στην επιλογή σας.');
INSERT INTO `lang_definitions` VALUES (67429, 6418, 17, 'Ο επιλέξιμος Πάροχος, το επιλέξιμο νοσοκομείο ή το νοσοκομείο επείγουσας πρόσβασης που λαμβάνει έναν ασθενή από κάποια άλλη μονάδα περίθαλψης ή πάροχο περίθαλψης ή πιστεύει ότι μια επίσκεψη είναι σχετική θα πρέπει να συμβιβαστεί με τη φαρμακευτική αγωγή.');
INSERT INTO `lang_definitions` VALUES (67430, 6421, 17, 'Ο επιλέξιμος Πάροχος, το επιλέξιμο νοσοκομείο ή το νοσοκομείο επείγουσας πρόσβασης που μεταβιβάζει έναν ασθενή του σε κάποια άλλη μονάδα περίθαλψης ή πάροχο περίθαλψης ή παραπέμπει έναν ασθενή του σε άλλο πάροχο περίθαλψης θα πρέπει να παρέχει περίληψη των αναφορών περίθαλψης για κάθε μετάβαση ή παραπομπή.');
INSERT INTO `lang_definitions` VALUES (67431, 6422, 17, 'Τα συμβάντα έχουν εγκριθεί.');
INSERT INTO `lang_definitions` VALUES (67432, 6423, 17, 'Τα συμβάντα έχουν κρυφτεί.');
INSERT INTO `lang_definitions` VALUES (67433, 6424, 17, 'Τα δεδομένα που εξάγονται εμφανίζονται στην περιοχή κείμενου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα email ή σε οποιοδήποτε άλλο επιθυμητό προορισμό.');
INSERT INTO `lang_definitions` VALUES (67434, 6426, 17, 'Τα δεδομένα που εξάγονται εμφανίζονται στην περιοχή κείμενου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα email ή σε οποιοδήποτε άλλο επιθυμητό προορισμό.');
INSERT INTO `lang_definitions` VALUES (67435, 6427, 17, 'Τα εξαγόμενα δεδομένα εμφανίζονται στην περιοχή του κειμένου που ακολουθεί. Μπορείτε να αντιγράψετε και να επικολλήσετε αυτά σε ένα μήνυμα ηλεκτρονικού ταχυδρομείου ή σε οποιαδήποτε άλλο επιθυμητό προορισμό.');
INSERT INTO `lang_definitions` VALUES (67436, 6428, 17, 'Το αρχείο δεν μπορούσε να αποθηκευθεί στο CouchDB.');
INSERT INTO `lang_definitions` VALUES (67437, 6429, 17, 'Το αρχείο δεν μπόρεσε να μετονομαστεί με επιτυχία, αυτό το σφάλμα σχετίζεται συνήθως προβλήματα δικαιωμάτων στο σύστημα αποθήκευσης.');
INSERT INTO `lang_definitions` VALUES (67438, 6430, 17, 'Το αρχείο δεν αποθηκεύθηκε επιτυχώς. Αυτό το σφάλμα σχετίζεται συνήθως με προβλήματα δικαιωμάτων στο σύστημα αποθήκευσης.');
INSERT INTO `lang_definitions` VALUES (67439, 6433, 17, 'Το πρώτο βήμα είναι να ανοίξετε έναν λογαριασμό στον ιστότοπο του Unified Medical Language.');
INSERT INTO `lang_definitions` VALUES (67440, 6434, 17, 'Προσετέθη το ακόλουθο συμβάν ημερολογίου:');
INSERT INTO `lang_definitions` VALUES (67441, 6435, 17, 'Τροποποιήθηκε το ακόλουθο συμβάν ημερολογίου:');
INSERT INTO `lang_definitions` VALUES (67442, 6436, 17, 'Οι ακόλουθες κατηγορίες θα αφαιρεθούν από τη Λίστα κατηγοριών σας');
INSERT INTO `lang_definitions` VALUES (67443, 6437, 17, 'Η ακόλουθη έκδοση βάσης δεδομένων έχει εγκατασταθεί');
INSERT INTO `lang_definitions` VALUES (67444, 6439, 17, 'Το ακόλουθο αρχείο EDI ανέβηκε');
INSERT INTO `lang_definitions` VALUES (67445, 6440, 17, 'Eνεργοποιήθηκε η Επείγουσα Σύνδεση του εξής Χρήστη:');
INSERT INTO `lang_definitions` VALUES (67446, 6441, 17, 'Συνέβησαν τα ακόλουθα σφάλματα');
INSERT INTO `lang_definitions` VALUES (67447, 6444, 17, 'Τα ακόλουθα πεδία απαιτούνται');
INSERT INTO `lang_definitions` VALUES (67448, 6446, 17, 'Τα ακόλουθα πεδία πρέπει να συμπληρωθούν για να αποσταλεί το αίτημα.');
INSERT INTO `lang_definitions` VALUES (67449, 6450, 17, 'Το αρχικό παράθυρο είναι η σελίδα αναζήτησης του τιμολογίου. Στην κορυφή μπορείτε να δώσετε μια πηγή (π.χ. αριθμός ελέγχου), ημερομηνία πληρωμής και ποσό ελέγχου. Ο λόγος για την ημερομηνία πηγής και πληρωμής είναι αυτός, ώστε δεν χρειάζεται να τα εισάγετε ξανά και ξανά για κάθε αξίωση. Το ποσό που εισάγετε θα μειωθεί για κάθε τιμολόγιο που δίνεται μέρος της πληρωμής και ελπίζουμε ότι θα τελειώσει στο μηδέν όταν τελειώσετε.');
INSERT INTO `lang_definitions` VALUES (67450, 6451, 17, 'Πρέπει να δημιουργηθεί ο κατάλογος εγκατάστασης.');
INSERT INTO `lang_definitions` VALUES (67451, 6456, 17, 'Η ετικέτα που φαίνεται στο χρήστη πάνω στο έντυπο');
INSERT INTO `lang_definitions` VALUES (67452, 6457, 17, 'Το μήκος δεν θα πρέπει να υπερβαίνει τον ακόλουθο αριθμό χαρακτήρων');
INSERT INTO `lang_definitions` VALUES (67453, 6460, 17, 'Ο νέος κατάλογος θα είναι μια υπο-κατηγορία του/της ');
INSERT INTO `lang_definitions` VALUES (67454, 6461, 17, 'Ο νέος κωδικός πρόσβασης δεν μπορεί να είναι ο ίδιος με τον τρέχοντα κωδικό πρόσβασης.');
INSERT INTO `lang_definitions` VALUES (67455, 6462, 17, 'Τα πεδία του νέου κωδικού πρόσβασης δεν είναι ίδια.');
INSERT INTO `lang_definitions` VALUES (67456, 6465, 17, 'Η σελίδα θα ανακατευθυνθεί στα Δημογραφικά. Μπορείτε να επεξεργαστείτε το πεδίο \"Χώρα\" και να προχωρήσετε στο NewCrop ξανά.');
INSERT INTO `lang_definitions` VALUES (67457, 6466, 17, 'Ο κωδικός πρόσβασης πρέπει να είναι τουλάχ. με 8 χαρακτήρες και θα πρέπει');
INSERT INTO `lang_definitions` VALUES (67458, 6468, 17, 'Η αίτηση αναφοράς ασθενούς έχει καταγραφεί.');
INSERT INTO `lang_definitions` VALUES (67459, 6469, 17, 'Οι υπενθυμίσεις προς ασθενή(-είς) έχουν σταλεί');
INSERT INTO `lang_definitions` VALUES (67460, 6470, 17, 'Οι υπενθυμίσεις προς ασθενή(-είς) έχουν ενημερωθεί');
INSERT INTO `lang_definitions` VALUES (67461, 6472, 17, 'Οι πληρωμές που απεστάλησαν δεν μπορούν να είναι κάτω από αυτήν την ημερομηνία. Αυτό εξασφαλίζει ότι μετά τη λήψη της τελικής αναφοράς, κανείς δεν αποστέλει για προηγούμενες ημερομηνίες.');
INSERT INTO `lang_definitions` VALUES (67462, 6475, 17, 'Οι υπόλοιπες πληροφορίες παρακάτω ισχύουν μόνο αν αποστέλλετε χειρωνακτικά, ή αν κάνετε διορθώσεις με το χέρι.');
INSERT INTO `lang_definitions` VALUES (67463, 6477, 17, 'Το ζητούμενο έγγραφο δεν είναι παρών στην αναμενόμενη θέση στο σύστημα αρχείων ή δεν υπάρχουν επαρκή δικαιώματα για πρόσβαση σε αυτό.');
INSERT INTO `lang_definitions` VALUES (67464, 6480, 17, 'Οι στήλες Πηγής και Ημερομηνίας αντιγράφονται από την πρώτη σελίδα, έτσι κανονικά δεν θα χρειαστεί να τις αγγίξετε. Μπορείτε να τοποθετήσετε ένα ποσό πληρωμής στη στήλη Πληρωμή, ένα ποσό προσαρμογής στην στήλη Ρύθμιση, ή και τα δύο. Μπορείτε επίσης να κάνετε κλικ στο \"W\" στα δεξιά για να υπολογιστεί αυτόματα μια τιμή προσαρμογής που γράφει το υπόλοιπο του τέλους για το στοιχείο γραμμής.');
INSERT INTO `lang_definitions` VALUES (67465, 6484, 17, 'Η υποδιαίρεση του χρόνου του ημερολογίου και το μικρότερο διάστημα σε λεπτά για μια υποδοχή ραντεβού.');
INSERT INTO `lang_definitions` VALUES (67466, 6485, 17, 'Η μεταφρασμένη ετικέτα που θα εμφανιστεί στο έντυπο στην τρέχουσα γλώσσα');
INSERT INTO `lang_definitions` VALUES (67467, 6486, 17, 'Ο μεταφρασμένος Τίτλος που θα εμφανιστεί στην τρέχουσα γλώσσα');
INSERT INTO `lang_definitions` VALUES (67468, 6487, 17, 'Η μετάφραση της περιγραφής στην τρέχουσα γλώσσα');
INSERT INTO `lang_definitions` VALUES (67469, 6488, 17, 'Οι πίνακες μετάφρασης είναι συγχρονισμένοι');
INSERT INTO `lang_definitions` VALUES (67470, 6489, 17, 'Το είδος αυτής της οντότητος');
INSERT INTO `lang_definitions` VALUES (67471, 6490, 17, 'Ο ειδικός κωδικός πωλητού, που ταυτοποιεί την διαδικασία ή το αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (67472, 6491, 17, 'Τα αρχεία X12 και οι σχετικές αναφορές εξόδου HTML αρχειοθετούνται στον υποκατάλογο \"era\" του κυρίου καταλόγου εγκατάστασης του LibreEHR. Θα θέλατε να αναφερθείτε σε αυτά τα αρχεία κάπου κάπου. Η διεύθυνση URL είναι');
INSERT INTO `lang_definitions` VALUES (67473, 6492, 17, 'Το αρχείο zip θα περιέχει τα ακόλουθα στοιχεία');
INSERT INTO `lang_definitions` VALUES (67474, 6493, 17, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (67475, 6495, 17, 'Θεραπευτικές ενέσεις');
INSERT INTO `lang_definitions` VALUES (67476, 6496, 17, 'Υπάρχουν');
INSERT INTO `lang_definitions` VALUES (67477, 6497, 17, 'Δεν υπάρχουν συνταγές προς το παρόν');
INSERT INTO `lang_definitions` VALUES (67478, 6498, 17, 'Υπάρχουν σφάλματα με την υποβολή σας. Αυτά σκιαγραφούνται παρακάτω.');
INSERT INTO `lang_definitions` VALUES (67479, 6500, 17, 'Δεν υπάρχουν ελεγμένοι φάκελοι.');
INSERT INTO `lang_definitions` VALUES (67480, 6501, 17, 'Δεν υπάρχουν καταγεγραμμένες γνωστοποιήσεις για αυτόν τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (67481, 6502, 17, 'Δεν υπάρχουν νέες Υποβολές');
INSERT INTO `lang_definitions` VALUES (67482, 6503, 17, 'Δεν υπάρχουν σημειώσεις στο φάκελο, γι\' αυτό τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (67483, 6504, 17, 'Δεν υπάρχουν συναλλαγές στο αρχείο γι\' αυτό τον ασθενή.');
INSERT INTO `lang_definitions` VALUES (67484, 6505, 17, 'Υπήρξε σφάλμα ταχυδρομείου που έστελνε σε');
INSERT INTO `lang_definitions` VALUES (67485, 6506, 17, 'Υπάρχει ήδη μια κατηγορία με το όνομα');
INSERT INTO `lang_definitions` VALUES (67486, 6507, 17, 'Υπάρχει ήδη μια υποκατηγορία με το όνομα');
INSERT INTO `lang_definitions` VALUES (67487, 6508, 17, 'Υπάρχει ήδη ένα αντικείμενο με το όνομα');
INSERT INTO `lang_definitions` VALUES (67488, 6509, 17, 'Υπάρχει ήδη ένα ανοιχτό αίτημα ιστορικού του ασθενούς.');
INSERT INTO `lang_definitions` VALUES (67489, 6510, 17, 'Δεν υπάρχει εγγραφή στο διάγραμμα λογαριασμού χρέωσης ');
INSERT INTO `lang_definitions` VALUES (67490, 6511, 17, 'Δεν υπάρχει εγγραφή στο διάγραμμα τρέχοντος λογαριασμού ');
INSERT INTO `lang_definitions` VALUES (67491, 6512, 17, 'Δεν υπάρχει εγγραφή στο διάγραμμα λογαριασμού εσόδων ');
INSERT INTO `lang_definitions` VALUES (67492, 6513, 17, 'Δεν υπάρχει τρέχων ασθενής');
INSERT INTO `lang_definitions` VALUES (67493, 6515, 17, 'Δεν υπάρχει ταίριασμα για το αναγνωριστικό τιμολογίου');
INSERT INTO `lang_definitions` VALUES (67494, 6516, 17, 'Δεν υπάρχει ταίριασμα για το αναγνωριστικό τιμολογίου = ');
INSERT INTO `lang_definitions` VALUES (67495, 6517, 17, 'Δεν υπάρχει εγγραφή τμήματος για το αναγνωριστικό υπηρεσιών ');
INSERT INTO `lang_definitions` VALUES (67496, 6520, 17, 'Υπήρξε ένα σφάλμα κατά την επεξεργασία του αιτήματός σας');
INSERT INTO `lang_definitions` VALUES (67497, 6522, 17, 'Αυτοί είναι οι σύνδεσμοι του 2012');
INSERT INTO `lang_definitions` VALUES (67498, 6523, 17, 'Πυκνό δεξιά:');
INSERT INTO `lang_definitions` VALUES (67499, 6524, 17, 'Μηρός');
INSERT INTO `lang_definitions` VALUES (67500, 6525, 17, 'Μηρός + ιγνυακός τένοντας');
INSERT INTO `lang_definitions` VALUES (67501, 6527, 17, 'Πράγματα που το οπίσθιο γραφείο μπορεί να διαβάσει και να εισάγει αλλά όχι να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (67502, 6528, 17, 'Πράγματα που το οπίσθιο γραφείο μπορεί να διαβάσει και να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (67503, 6531, 17, 'Πράγματα που οι κλινικοί μπορούν να διαβάσουν και να εισάγουν αλλά όχι να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (67504, 6532, 17, 'Πράγματα που οι κλινικοί μπορούν να διαβάσουν και να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (67505, 6535, 17, 'Πράγματα που το πρόσθιο γραφείο μπορεί να διαβάσει και να εισάγει αλλά όχι να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (67506, 6536, 17, 'Πράγματα που το πρόσθιο μπορεί να διαβάσει και να τροποποιήσει');
INSERT INTO `lang_definitions` VALUES (67507, 6539, 17, 'Πράγματα που οι ιατροί μπορούν να διαβάσουν και να εισάγουν αλλά όχι να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (67508, 6540, 17, 'Πράγματα που οι ιατροί μπορούν να διαβάσουν και να τροποποιήσουν');
INSERT INTO `lang_definitions` VALUES (67509, 6542, 17, 'Τρίτο');
INSERT INTO `lang_definitions` VALUES (67510, 6544, 17, 'Αυτή η ενέργεια ΔΕΝ ΜΠΟΡΕΙ να αναιρεθεί.');
INSERT INTO `lang_definitions` VALUES (67511, 6545, 17, 'Αυτή η ενέργεια δεν μπορεί να αναιρεθεί.');
INSERT INTO `lang_definitions` VALUES (67512, 6547, 17, 'Η ενέργεια αυτή θα καταγραφεί');
INSERT INTO `lang_definitions` VALUES (67513, 6549, 17, 'Αυτό το ωράριο ραντεβού χρησιμοποιείτασι ήδη. Να το χρησιμοποιήσετε έτσι κι αλλιώς;');
INSERT INTO `lang_definitions` VALUES (67514, 6550, 17, 'Αυτό το ωράριο ραντεβού είναι κατηλειμμένο. Παρακαλώ επιλέξτε κάποιο άλλλο.');
INSERT INTO `lang_definitions` VALUES (67515, 6551, 17, 'Αυτό το ημερολογιακό έτος');
INSERT INTO `lang_definitions` VALUES (67516, 6554, 17, 'Αυτή η Απαίτηση έχει αρνηθεί. Αιτία: -');
INSERT INTO `lang_definitions` VALUES (67517, 6555, 17, 'Η απαίτηση έχει διαβιβαστεί στο επόμενο επίπεδο.');
INSERT INTO `lang_definitions` VALUES (67518, 6556, 17, 'Αυτό ο τύπος κωδικού δεν αποδέχεται σχέσεις.');
INSERT INTO `lang_definitions` VALUES (67519, 6558, 17, 'Αυτό καθορίζει το πως εμφανίζονται τα ραντεβού στο ημερολόγιο.');
INSERT INTO `lang_definitions` VALUES (67520, 6559, 17, 'Αυτό καθορίζει ποιο schema χρωμάτων χρησιμοποιείται για το ραντεβού');
INSERT INTO `lang_definitions` VALUES (67521, 6561, 17, 'Αυτή η Επίσκεψη');
INSERT INTO `lang_definitions` VALUES (67522, 6562, 17, 'Αυτή η Επίσκεψη τιμολογήθηκε. Αν πρέπει να την αλλάξετε, τότε θα πρέπει να ξανανοιχθεί.');
INSERT INTO `lang_definitions` VALUES (67523, 6565, 17, 'Αυτή η δυνατότητα είναι σε πειραματικό στάδιο και δεν έχει ελεγχθεί πλήρως. Χρησιμοποιήστε τη με δική σας ευθύνη!');
INSERT INTO `lang_definitions` VALUES (67524, 6566, 17, 'Αυτός ο αριθμός τιμολογίου έχει αλλάξει σε ');
INSERT INTO `lang_definitions` VALUES (67525, 6575, 17, 'Η ενότητα αυτή είναι σε φάση δοκιμής. Η βάση δεδομένων δεν θα αλλάξει.');
INSERT INTO `lang_definitions` VALUES (67526, 6576, 17, 'Η ενότητα αυτή προωθεί την αποτελεσματική είσοδο των δεδομένων Εξήγησης του Κέρδους');
INSERT INTO `lang_definitions` VALUES (67527, 6577, 17, 'Αυτός ο Μήνας μέχρι Σήμερα');
INSERT INTO `lang_definitions` VALUES (67528, 6581, 17, 'Αυτή η σελίδα θα περιλαμβάνει ενσωματωμένη τη σελίδα σύνδεσης, έτσι ώστε να μην χρειάζεται να κάνετε κλικ στην επανασύνδεση κάθε φορά.');
INSERT INTO `lang_definitions` VALUES (67529, 6582, 17, 'Αυτός ο ασθενής δεν έχει δραστηριότητες.');
INSERT INTO `lang_definitions` VALUES (67530, 6583, 17, 'Αυτό το αναγνωριστικό ασθενούς χρησιμοποιείται ήδη!');
INSERT INTO `lang_definitions` VALUES (67531, 6584, 17, 'Αυτό το προϊόν επιτρέπει μόνο μία παρτίδα ανά αποθήκη.');
INSERT INTO `lang_definitions` VALUES (67532, 6591, 17, 'Αυτή η ενέργεια θα δημιουργήσει ένα αρχείο που θα πρέπει να αποθηκεύσετε για μελλοντική χρήση. Tο αρχείο δε μπορεί να ξαναδημιουργηθεί. Θέλετε να προχωρήσετε;');
INSERT INTO `lang_definitions` VALUES (67533, 6592, 17, 'Αυτός ο χρήστης δεν είναι μέλος κάποιας ομάδας');
INSERT INTO `lang_definitions` VALUES (67534, 6595, 17, 'Αυτή η Επίσκεψη ξεκινά νέα χρήση αντισυλληπτικών');
INSERT INTO `lang_definitions` VALUES (67535, 6596, 17, 'Αυτή η επίσκεψη θα χρειαστεί ένα έντυπο GCAC, μια παραπομπή ή μια υπηρεσιακή διαδικασία.');
INSERT INTO `lang_definitions` VALUES (67536, 6597, 17, 'Αυτό ήταν το παλαιό μονάχα μετρικό έντυπο Ζωτικών, που έχει τώρα αποσυρθεί.');
INSERT INTO `lang_definitions` VALUES (67537, 6598, 17, 'Αυτή η Εβδομάδα μέχρι Σήμερα');
INSERT INTO `lang_definitions` VALUES (67538, 6600, 17, 'Αυτό θα ενεργοποιήσει την εγγραφή του CCR (Αναφορά Συνέχισης της Φροντίδας) και του CCD (Εγγραφο Συνέχισης της Φροντίδας).');
INSERT INTO `lang_definitions` VALUES (67539, 6602, 17, 'Αυτό θα επιτρέψει την επιλογή της αποσφαλμάτωσης ( \'εικονική \') γλώσσα.');
INSERT INTO `lang_definitions` VALUES (67540, 6606, 17, 'Αυτό θα δημιουργήσει ένα backup αρχείο σε tar format και θα το στείλει στον Web browser σας ώστε να μπορείτε να το αποθηκεύσετε.');
INSERT INTO `lang_definitions` VALUES (67541, 6607, 17, 'Αυτό θα απενεργοποιήσει την κρυπτογράφηση του εγγράφου και τις δυνατότητες αποκρυπτογράφησης και θα τις κρύψει στο UI.');
INSERT INTO `lang_definitions` VALUES (67542, 6613, 17, 'Αυτό θα αναγκάσει το Widget χρέωσης στην οθόνη Περίληψης του Ασθενή να είναι πάντα ανοιχτό.');
INSERT INTO `lang_definitions` VALUES (67543, 6617, 17, 'Αυτό δε θα σας αποτρέψει από το να πάτε στη σελίδα της ηλεκτρονικής συνταγογράφησης.');
INSERT INTO `lang_definitions` VALUES (67544, 6619, 17, 'Αυτό θα χρησιμοποιήσει την προσαρμοσμένη λίστα εμβολιασμών και όχι τον τυποποιημένο κατάλογο εμβολίων CVX.');
INSERT INTO `lang_definitions` VALUES (67545, 6622, 17, 'Θωρακική μοίρα της ΣΣ');
INSERT INTO `lang_definitions` VALUES (67546, 6623, 17, 'χιλ/κυβ.χιλ.');
INSERT INTO `lang_definitions` VALUES (67547, 6625, 17, 'Λάρυγγας');
INSERT INTO `lang_definitions` VALUES (67548, 6626, 17, 'Καρκίνος του λάρυγγα');
INSERT INTO `lang_definitions` VALUES (67549, 6627, 17, 'Εγχείριση καρκίνου του λάρυγγα');
INSERT INTO `lang_definitions` VALUES (67550, 6628, 17, 'Θρόμβωση/ΑΕΕ');
INSERT INTO `lang_definitions` VALUES (67551, 6629, 17, 'Πεμ');
INSERT INTO `lang_definitions` VALUES (67552, 6630, 17, 'Πέμπτη');
INSERT INTO `lang_definitions` VALUES (67553, 6631, 17, 'Πέμπτη');
INSERT INTO `lang_definitions` VALUES (67554, 6632, 17, 'Θυρεοειδής φυσιολογικός');
INSERT INTO `lang_definitions` VALUES (67555, 6633, 17, 'Προβλήμ. θυροειδη');
INSERT INTO `lang_definitions` VALUES (67556, 6634, 17, 'Παροδικό ισχαιμικό εγκεφαλικό επεισόδιο');
INSERT INTO `lang_definitions` VALUES (67557, 6636, 17, '1x3');
INSERT INTO `lang_definitions` VALUES (67558, 6638, 17, 'Χρόνος');
INSERT INTO `lang_definitions` VALUES (67559, 6639, 17, 'Μορφή εμφάνισης ημερομηνίας');
INSERT INTO `lang_definitions` VALUES (67560, 6640, 17, 'Προσαύξηση ώρας για Προσθήκη (λεπτά 1-60)');
INSERT INTO `lang_definitions` VALUES (67561, 6641, 17, 'Επιλογή ώρας');
INSERT INTO `lang_definitions` VALUES (67562, 6647, 17, 'Χρονικό σύμβαμα');
INSERT INTO `lang_definitions` VALUES (67563, 6648, 17, 'Συστοιχία χρόνων');
INSERT INTO `lang_definitions` VALUES (67564, 6649, 17, 'Χρονοθέτηση και Κείμενο');
INSERT INTO `lang_definitions` VALUES (67565, 6650, 17, 'ΑΦΜ');
INSERT INTO `lang_definitions` VALUES (67566, 6651, 17, 'Εμβοες');
INSERT INTO `lang_definitions` VALUES (67567, 6652, 17, 'Τίτλος');
INSERT INTO `lang_definitions` VALUES (67568, 6653, 17, 'Τίτλος V');
INSERT INTO `lang_definitions` VALUES (67569, 6654, 17, 'Οι στήλες του τίτλου πρέπει να είναι αριθμός μεταξύ 1 και 999');
INSERT INTO `lang_definitions` VALUES (67570, 6655, 17, 'Τίτλοι');
INSERT INTO `lang_definitions` VALUES (67571, 6657, 17, 'Τυμπανική μεμβράνη/Έξω ακουστικοί πόροι/έξω ους, έξω ρις');
INSERT INTO `lang_definitions` VALUES (67572, 6658, 17, 'Προς/Μέχρι');
INSERT INTO `lang_definitions` VALUES (67573, 6659, 17, 'Προς/Μέχρι');
INSERT INTO `lang_definitions` VALUES (67574, 6660, 17, 'Προς/Μέχρι');
INSERT INTO `lang_definitions` VALUES (67575, 6661, 17, 'στην απόλυτη διαδρομή του αρχείου');
INSERT INTO `lang_definitions` VALUES (67576, 6662, 17, 'Για προσθήκη σημειώσεων, παρακαλώ κάντε κλικ ');
INSERT INTO `lang_definitions` VALUES (67577, 6663, 17, 'Για προσθήκη σημειώσεων, παρακαλώ κάντε κλικ εδώ');
INSERT INTO `lang_definitions` VALUES (67578, 6664, 17, 'Στην προσβεβλημένη περιοχή');
INSERT INTO `lang_definitions` VALUES (67579, 6665, 17, 'στην προσβεβλημένη περιοχή');
INSERT INTO `lang_definitions` VALUES (67580, 6666, 17, 'Για να ανοιχθεί αυτόματα το καθορισμένο έντυπο. Μερικές αθλητικές ομάδες χρησιμοποιούν το football_injury_audit εδώ.');
INSERT INTO `lang_definitions` VALUES (67581, 6667, 17, 'Στην προβολή Χρέωσης');
INSERT INTO `lang_definitions` VALUES (67582, 6668, 17, 'Στην κατηγορία');
INSERT INTO `lang_definitions` VALUES (67583, 6669, 17, 'Στην Κλινική προβολή');
INSERT INTO `lang_definitions` VALUES (67584, 6670, 17, 'Στη Συμμετοχή');
INSERT INTO `lang_definitions` VALUES (67585, 6673, 17, 'Στα Δημογρ');
INSERT INTO `lang_definitions` VALUES (67586, 6674, 17, 'Για Απενεργοποίηση του πιστοποιητικού από πλευράς του πελάτη, αφαιρέστε τις παραπάνω γραμμές από το αρχείο διαμόρφωσης του Apache και ρυθμίστε');
INSERT INTO `lang_definitions` VALUES (67587, 6675, 17, 'Για απενεργοποίηση του HTTPS, κάντε σχόλια τις παραπάνω γραμμές στο αρχείο ρυθμίσεων του Apache και κάντε επανεκκίνηση του Apache server.');
INSERT INTO `lang_definitions` VALUES (67588, 6676, 17, 'Για την ενεργοποίηση των πιστοποιητικών Client side SSL');
INSERT INTO `lang_definitions` VALUES (67589, 6677, 17, 'Για να ενεργοποιήσετε SSL πιστοποιητικά γνησιότητας από την πλευρά του πελάτη, το HTTPS θα πρέπει να είναι ενεργοποιημένο.');
INSERT INTO `lang_definitions` VALUES (67590, 6678, 17, 'Για Ενεργοποίηση μόνο HTTPS, εκτελέστε τις παραπάνω αλλαγές και κάντε επανεκκίνηση του Apache server. Εάν θέλετε να ρυθμίσετε των πιστοποιητικών από την πλευρά του πελάτη επίσης, παρακαλώ να τα ρυθμίσετε στην επόμενη ενότητα.');
INSERT INTO `lang_definitions` VALUES (67591, 6679, 17, 'Στην Επισκ.');
INSERT INTO `lang_definitions` VALUES (67592, 6680, 17, 'Για φιλτράρισμα κατά φύλο');
INSERT INTO `lang_definitions` VALUES (67593, 6681, 17, 'Στο Ιστορικό');
INSERT INTO `lang_definitions` VALUES (67594, 6682, 17, 'Στις Συνοδές Νόσους/Παθήσεις');
INSERT INTO `lang_definitions` VALUES (67595, 6683, 17, 'Για να συνδέσετε αυτήν την επίσκεψη/συμβουλή σε ένα υπάρχον θέμα, κάντε κλικ στο ');
INSERT INTO `lang_definitions` VALUES (67596, 6684, 17, 'Για να συνδέσετε αυτήν την επίσκεψη/εκτίμηση με ένα υπάρχον πρόβλημα, κάντε κλικ στο θέμα που θέλετε παραπάνω για να το επιλέξετε και στη συνέχεια κάντε κλικ στο [Αποθήκευση]. Κρατήστε πατημένο το [Ctrl] για να επιλέξετε πολλά προβλήματα.');
INSERT INTO `lang_definitions` VALUES (67597, 6685, 17, 'για να συνδεθείτε ξανά');
INSERT INTO `lang_definitions` VALUES (67598, 6686, 17, 'Για να καταγράψετε γνωστοποιήσεις, κάντε κλικ');
INSERT INTO `lang_definitions` VALUES (67599, 6687, 17, 'να τρέξει');
INSERT INTO `lang_definitions` VALUES (67600, 6688, 17, 'Για να ρυθμίσετε την πρόσβαση https με τον έλεγχο ταυτότητας πιστοποιητικού πελάτη, κάντε τα εξής:');
INSERT INTO `lang_definitions` VALUES (67601, 6689, 17, 'Στο δέρμα');
INSERT INTO `lang_definitions` VALUES (67602, 6690, 17, 'στο δέρμα');
INSERT INTO `lang_definitions` VALUES (67603, 6691, 17, 'Για αυτήν την επίσκεψη;');
INSERT INTO `lang_definitions` VALUES (67604, 6693, 17, 'Προς:');
INSERT INTO `lang_definitions` VALUES (67605, 6694, 17, 'Προς: ');
INSERT INTO `lang_definitions` VALUES (67606, 6695, 17, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (67607, 6696, 17, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (67608, 6697, 17, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (67609, 6698, 17, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (67610, 6699, 17, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (67611, 6700, 17, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (67612, 6703, 17, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (67613, 6704, 17, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (67614, 6705, 17, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (67615, 6706, 17, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (67616, 6707, 17, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (67617, 6708, 17, 'Κάπνισμα');
INSERT INTO `lang_definitions` VALUES (67618, 6709, 17, 'Παρέμβαση διακοπής καπνίσματος');
INSERT INTO `lang_definitions` VALUES (67619, 6710, 17, 'Παρέμβαση διακοπής καπνίσματος');
INSERT INTO `lang_definitions` VALUES (67620, 6712, 17, 'Χρήση καπνού');
INSERT INTO `lang_definitions` VALUES (67621, 6713, 17, 'Εκτίμηση της χρήσης καπνού');
INSERT INTO `lang_definitions` VALUES (67622, 6714, 17, 'Εκτίμηση της χρήσης καπνού');
INSERT INTO `lang_definitions` VALUES (67623, 6715, 17, 'Σήμερα');
INSERT INTO `lang_definitions` VALUES (67624, 6716, 17, 'ΣΗΜΕΡΑ');
INSERT INTO `lang_definitions` VALUES (67625, 6717, 17, 'σήμερα');
INSERT INTO `lang_definitions` VALUES (67626, 6719, 17, 'Σημερινές χρεώσεις');
INSERT INTO `lang_definitions` VALUES (67627, 6720, 17, 'Σημερινή ήμερα');
INSERT INTO `lang_definitions` VALUES (67628, 6721, 17, 'Τα σημερινά συμβάντα');
INSERT INTO `lang_definitions` VALUES (67629, 6726, 17, 'Αμυγδαλεκτομή');
INSERT INTO `lang_definitions` VALUES (67630, 6728, 17, 'Πάνω');
INSERT INTO `lang_definitions` VALUES (67631, 6730, 17, 'Θέμα');
INSERT INTO `lang_definitions` VALUES (67632, 6731, 17, 'Σύνολο');
INSERT INTO `lang_definitions` VALUES (67633, 6732, 17, 'σύνολο');
INSERT INTO `lang_definitions` VALUES (67634, 6733, 17, 'Συνολικές ενεργές δράσεις');
INSERT INTO `lang_definitions` VALUES (67635, 6734, 17, 'Συνολικές ενεργές υπενθυμίσεις μετά την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67636, 6735, 17, 'Συνολικές ενεργές υπενθυμίσεις πριν από την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67637, 6737, 17, 'Συνολικός οφειλόμενο ποσό');
INSERT INTO `lang_definitions` VALUES (67638, 6738, 17, 'Συνολικό πληρωτέο ποσό');
INSERT INTO `lang_definitions` VALUES (67639, 6740, 17, 'Σύνολο χρέωσης');
INSERT INTO `lang_definitions` VALUES (67640, 6741, 17, 'Σύνολο Χρεώσεων');
INSERT INTO `lang_definitions` VALUES (67641, 6742, 17, 'Σύνολο Πελατών');
INSERT INTO `lang_definitions` VALUES (67642, 6743, 17, 'Σύνολο Κόστους');
INSERT INTO `lang_definitions` VALUES (67643, 6745, 17, 'συνολικές καταχωρήσεις');
INSERT INTO `lang_definitions` VALUES (67644, 6746, 17, 'Συνολικές αποτυχημένες υπενθυμίσεις που εστάλησαν μέσω e-mail');
INSERT INTO `lang_definitions` VALUES (67645, 6747, 17, 'Συνολικές αποτυχημένες υπενθυμίσεις που εστάλησαν μέσω τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (67646, 6748, 17, 'Σύνολο για');
INSERT INTO `lang_definitions` VALUES (67647, 6749, 17, 'Σύνολο για ');
INSERT INTO `lang_definitions` VALUES (67648, 6750, 17, 'Σύνολο για την κατηγορία');
INSERT INTO `lang_definitions` VALUES (67649, 6751, 17, 'Συνολικές απενεργοποιημένες ρυθμίσεις');
INSERT INTO `lang_definitions` VALUES (67650, 6752, 17, 'Συνολικές νέες υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (67651, 6755, 17, 'Συνολικός αριθμός Ανοσοποιήσεων');
INSERT INTO `lang_definitions` VALUES (67652, 6756, 17, 'Συνολ. αριθμός Ιατρικών προβλημάτων');
INSERT INTO `lang_definitions` VALUES (67653, 6758, 17, 'Συνολ. αριθμός ασθενών');
INSERT INTO `lang_definitions` VALUES (67654, 6760, 17, 'Συνολ. Υπόλοιπο ασθενών');
INSERT INTO `lang_definitions` VALUES (67655, 6761, 17, 'Συνολικοί ασθενείς');
INSERT INTO `lang_definitions` VALUES (67656, 6764, 17, 'Συνολ. εγγραφές που βρέθηκαν');
INSERT INTO `lang_definitions` VALUES (67657, 6765, 17, 'Συνολ. σεξουαλική και αναπαραγ. υγεία και Οικογεν. προγραμματισμός');
INSERT INTO `lang_definitions` VALUES (67658, 6766, 17, 'Συνολ. επιτυχημένες υπενθυμίσεις που εστάλησαν μέσω e-mail');
INSERT INTO `lang_definitions` VALUES (67659, 6767, 17, 'Συνολ. επιτυχημένες υπενθυμίσεις που εστάλησαν μέσω τηλεφώνου');
INSERT INTO `lang_definitions` VALUES (67660, 6770, 17, 'Συνολ. αμετάβλητες υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (67661, 6771, 17, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί μετά από τη διαδικασία αποστολής');
INSERT INTO `lang_definitions` VALUES (67662, 6772, 17, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί μετά από την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67663, 6773, 17, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί πριν από τη διαδικασία αποστολής');
INSERT INTO `lang_definitions` VALUES (67664, 6774, 17, 'Συνολ. υπενθυμίσεις που δεν έχουν σταλεί πριν από την ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67665, 6775, 17, 'Συνολ. ενημερωμένες υπενθυμίσεις');
INSERT INTO `lang_definitions` VALUES (67666, 6776, 17, 'Σύνολα');
INSERT INTO `lang_definitions` VALUES (67667, 6777, 17, 'Σύνολα για');
INSERT INTO `lang_definitions` VALUES (67668, 6778, 17, 'Σύνολα για ');
INSERT INTO `lang_definitions` VALUES (67669, 6785, 17, 'Τύπος κατάρτισης');
INSERT INTO `lang_definitions` VALUES (67670, 6786, 17, 'Συναλλαγές');
INSERT INTO `lang_definitions` VALUES (67671, 6787, 17, 'Συναλλαγή');
INSERT INTO `lang_definitions` VALUES (67672, 6788, 17, 'συναλλαγή');
INSERT INTO `lang_definitions` VALUES (67673, 6789, 17, 'Η συναλλαγή απέτυχε, ανεπαρκής ποσότητα στον προορισμό παρτίδας');
INSERT INTO `lang_definitions` VALUES (67674, 6790, 17, 'Η συναλλαγή απέτυχε, η ποσότητα είναι μικρότερη του μηδενός');
INSERT INTO `lang_definitions` VALUES (67675, 6791, 17, 'Είδος συναλλαγής');
INSERT INTO `lang_definitions` VALUES (67676, 6792, 17, 'συναλλαγές');
INSERT INTO `lang_definitions` VALUES (67677, 6793, 17, 'Συναλλαγές');
INSERT INTO `lang_definitions` VALUES (67678, 6794, 17, 'Συναλλαγές (εγγραφή προαιρετικά)');
INSERT INTO `lang_definitions` VALUES (67679, 6795, 17, 'Συναλλαγές/Παραπομπές');
INSERT INTO `lang_definitions` VALUES (67680, 6797, 17, 'Μεταφορά');
INSERT INTO `lang_definitions` VALUES (67681, 6799, 17, 'Η μεταφορά απέτυχε, ανεπαρκής ποσότητα στην πηγή παρτίδας');
INSERT INTO `lang_definitions` VALUES (67682, 6804, 17, 'Μεταφορές');
INSERT INTO `lang_definitions` VALUES (67683, 6806, 17, 'Μεταφορά Φροντίδας;');
INSERT INTO `lang_definitions` VALUES (67684, 6807, 17, 'Μετάφραση Ομάδων Ελέγχου Πρόσβασης');
INSERT INTO `lang_definitions` VALUES (67685, 6808, 17, 'Ματάφραση Κατηγοριών Ραντεβού');
INSERT INTO `lang_definitions` VALUES (67686, 6809, 17, 'Μετάφραση Κατηγοριών Εγγράφου');
INSERT INTO `lang_definitions` VALUES (67687, 6810, 17, 'Μετάφραση Σχεδίου');
INSERT INTO `lang_definitions` VALUES (67688, 6811, 17, 'Μετάφραση Καταλόγων');
INSERT INTO `lang_definitions` VALUES (67689, 6812, 17, 'Μεταφράση Τίτλων της Σημείωσης ασθενούς');
INSERT INTO `lang_definitions` VALUES (67690, 6813, 17, 'Μεταφράστε αυτό');
INSERT INTO `lang_definitions` VALUES (67691, 6814, 17, 'Μετάφραση');
INSERT INTO `lang_definitions` VALUES (67692, 6815, 17, 'Μεταφράσεις');
INSERT INTO `lang_definitions` VALUES (67693, 6819, 17, 'Τραύμα');
INSERT INTO `lang_definitions` VALUES (67694, 6820, 17, 'Θεραπεία');
INSERT INTO `lang_definitions` VALUES (67695, 6822, 17, 'Στόχοι θεραπείας');
INSERT INTO `lang_definitions` VALUES (67696, 6823, 17, 'Σχέδιο θεραπείας');
INSERT INTO `lang_definitions` VALUES (67697, 6826, 17, 'Θεραπεία:');
INSERT INTO `lang_definitions` VALUES (67698, 6827, 17, 'Θεραπεία: ');
INSERT INTO `lang_definitions` VALUES (67699, 6828, 17, 'Τάση');
INSERT INTO `lang_definitions` VALUES (67700, 6830, 17, 'Σημείο ερεθισμού / σύνδρομο διαμερίσματος / καθυστερημένος μυϊκός πόνος / κράμπα');
INSERT INTO `lang_definitions` VALUES (67701, 6831, 17, 'Τρισφύριος');
INSERT INTO `lang_definitions` VALUES (67702, 6832, 17, 'Κορμός και κοιλιά');
INSERT INTO `lang_definitions` VALUES (67703, 6837, 17, 'κουταλάκι (5ml)');
INSERT INTO `lang_definitions` VALUES (67704, 6839, 17, 'Διαδερμικό θεραπευτικό σύστημα');
INSERT INTO `lang_definitions` VALUES (67705, 6840, 17, 'Φυματίωση');
INSERT INTO `lang_definitions` VALUES (67706, 6841, 17, 'Τρί');
INSERT INTO `lang_definitions` VALUES (67707, 6842, 17, 'Τρίτη & Πέμπτη');
INSERT INTO `lang_definitions` VALUES (67708, 6843, 17, 'Τρίτη');
INSERT INTO `lang_definitions` VALUES (67709, 6844, 17, 'Όγκος');
INSERT INTO `lang_definitions` VALUES (67710, 6845, 17, 'Τουρκικά');
INSERT INTO `lang_definitions` VALUES (67711, 6848, 17, 'δύο φορές ημερησίως');
INSERT INTO `lang_definitions` VALUES (67712, 6850, 17, 'Τυμπανική μεμβράνη');
INSERT INTO `lang_definitions` VALUES (67713, 6851, 17, 'Τύπος');
INSERT INTO `lang_definitions` VALUES (67714, 6852, 17, 'Τύπος Ταυτότητας ή ονόματος. Τρεις χαρακτήρες το ελάχιστο (συμπεριλαμβανομένων των κενών).');
INSERT INTO `lang_definitions` VALUES (67715, 6853, 17, 'Τύπος των εμφανισθέντων στηλών για τα αποτελέσματα της αναζήτησης ασθενών');
INSERT INTO `lang_definitions` VALUES (67716, 6854, 17, 'Τύπος Γνωστοποίησης');
INSERT INTO `lang_definitions` VALUES (67717, 6855, 17, 'Τύπος συμβάντων');
INSERT INTO `lang_definitions` VALUES (67718, 6856, 17, 'Τύπο εμφάνισης της οθόνης');
INSERT INTO `lang_definitions` VALUES (67719, 6857, 17, 'Πληκτρολογήστε ή σαρώστε το αναγνωριστικό του ασθενούς εδώ');
INSERT INTO `lang_definitions` VALUES (67720, 6858, 17, 'Πληκτρολογήστε το μήνυμά σας εδώ');
INSERT INTO `lang_definitions` VALUES (67721, 6859, 17, 'Τύποι Παραγγελιών και Αποτελεσμάτων');
INSERT INTO `lang_definitions` VALUES (67722, 6864, 17, 'Οι κωδικοί UCSMC παρέχονται από το Πανεπιστ. Κέντρο Αθλητιατρικής του Calgary');
INSERT INTO `lang_definitions` VALUES (67723, 6865, 17, 'Ουκρανικά');
INSERT INTO `lang_definitions` VALUES (67724, 6866, 17, 'Εξελκώσεις');
INSERT INTO `lang_definitions` VALUES (67725, 6867, 17, 'Ελκώδης κολίτιδα');
INSERT INTO `lang_definitions` VALUES (67726, 6868, 17, 'Έλκη');
INSERT INTO `lang_definitions` VALUES (67727, 6871, 17, 'Αδυναμία δημιουργίας');
INSERT INTO `lang_definitions` VALUES (67728, 6876, 17, 'Εφαρμοσμένο');
INSERT INTO `lang_definitions` VALUES (67729, 6877, 17, 'Ακαταχώρητο');
INSERT INTO `lang_definitions` VALUES (67730, 6878, 17, 'Μη εγκεκριμμένο');
INSERT INTO `lang_definitions` VALUES (67731, 6879, 17, 'Μη εξουσιοδοτημένη πρόσβαση στην ηλεκτρονική συνταγογράφηση');
INSERT INTO `lang_definitions` VALUES (67732, 6880, 17, 'Αναρμόδια πρόσβαση.');
INSERT INTO `lang_definitions` VALUES (67733, 6882, 17, 'Μόνο Αχρέωτα');
INSERT INTO `lang_definitions` VALUES (67734, 6884, 17, 'Κάτωθεν της γλώσσας');
INSERT INTO `lang_definitions` VALUES (67735, 6885, 17, 'Ελλιποβαρής');
INSERT INTO `lang_definitions` VALUES (67736, 6886, 17, 'Αδιάγνωστο');
INSERT INTO `lang_definitions` VALUES (67737, 6887, 17, 'ΑΔΙΑΝΕΜΗΤΟ');
INSERT INTO `lang_definitions` VALUES (67738, 6888, 17, 'Αδιανέμητο');
INSERT INTO `lang_definitions` VALUES (67739, 6889, 17, 'Αδιανέμητο είναι');
INSERT INTO `lang_definitions` VALUES (67740, 6890, 17, 'Αναίρεση αποχώρησης');
INSERT INTO `lang_definitions` VALUES (67741, 6892, 17, 'Μοναδικοί Πελάτες');
INSERT INTO `lang_definitions` VALUES (67742, 6893, 17, 'Μοναδικός, αναγνώσιμος από άνθρωπο, ταυτοποιητής γι\' αυτό τον τύπο');
INSERT INTO `lang_definitions` VALUES (67743, 6894, 17, 'Μοναδικοί Νέοι Πελάτες');
INSERT INTO `lang_definitions` VALUES (67744, 6895, 17, 'Μοναδικόςαριθμητικός ταυτοποιητής γι\' αυτό τον τύπο');
INSERT INTO `lang_definitions` VALUES (67745, 6896, 17, 'Μοναδικοί εξετασθέντες Ασθενείς');
INSERT INTO `lang_definitions` VALUES (67746, 6897, 17, 'Αναφορά μοναδικών εξετασθέντων Ασθενών');
INSERT INTO `lang_definitions` VALUES (67747, 6898, 17, 'Απαξ εξετασθέντες');
INSERT INTO `lang_definitions` VALUES (67748, 6899, 17, 'Μονάδα');
INSERT INTO `lang_definitions` VALUES (67749, 6900, 17, 'Μονάδες');
INSERT INTO `lang_definitions` VALUES (67750, 6901, 17, 'μονάδες (units)');
INSERT INTO `lang_definitions` VALUES (67751, 6903, 17, 'Μονάδες για Εντυπα Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (67752, 6904, 17, 'Οι μονάδες πρέπει να είναι ένας αριθμός');
INSERT INTO `lang_definitions` VALUES (67753, 6905, 17, 'Οι μονάδες δεν είναι ορισμένες');
INSERT INTO `lang_definitions` VALUES (67754, 6906, 17, 'Μονάδες/L');
INSERT INTO `lang_definitions` VALUES (67755, 6907, 17, 'Άγνωστο');
INSERT INTO `lang_definitions` VALUES (67756, 6910, 17, 'Άγνωστο αν έχει καπνίσει ποτέ');
INSERT INTO `lang_definitions` VALUES (67757, 6911, 17, 'Άγνωστο ή μη διαθέσιμο');
INSERT INTO `lang_definitions` VALUES (67758, 6913, 17, 'Αποσύνδεσε ασθενή');
INSERT INTO `lang_definitions` VALUES (67759, 6914, 17, 'Μη κατονομασθείσα ασφαλιστική εταιρεία');
INSERT INTO `lang_definitions` VALUES (67760, 6915, 17, 'Μη καταχωρηθέν');
INSERT INTO `lang_definitions` VALUES (67761, 6918, 17, 'Αποεπιλογη Όλων');
INSERT INTO `lang_definitions` VALUES (67762, 6919, 17, 'Μη επιλεγμένο');
INSERT INTO `lang_definitions` VALUES (67763, 6920, 17, 'Απροσδιόριστο');
INSERT INTO `lang_definitions` VALUES (67764, 6921, 17, 'αδόμητο');
INSERT INTO `lang_definitions` VALUES (67765, 6924, 17, 'μέχρι');
INSERT INTO `lang_definitions` VALUES (67766, 6925, 17, 'Άκαιρη πλήρωση');
INSERT INTO `lang_definitions` VALUES (67767, 6926, 17, 'Αχρησιμοποίητο');
INSERT INTO `lang_definitions` VALUES (67768, 6927, 17, 'Μονάδες ανάλυσης');
INSERT INTO `lang_definitions` VALUES (67769, 6928, 17, 'Μέχρι');
INSERT INTO `lang_definitions` VALUES (67770, 6929, 17, 'Προσεχή ραντεβού');
INSERT INTO `lang_definitions` VALUES (67771, 6930, 17, 'Προσεχή συμβάντα');
INSERT INTO `lang_definitions` VALUES (67772, 6931, 17, 'Ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67773, 6932, 17, 'ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67774, 6933, 17, 'Ενημέρωση Ενεργός');
INSERT INTO `lang_definitions` VALUES (67775, 6934, 17, 'Ενημέρωση αρχείων');
INSERT INTO `lang_definitions` VALUES (67776, 6935, 17, 'Ενημέρωση Πληροφοριών');
INSERT INTO `lang_definitions` VALUES (67777, 6936, 17, 'Ενημέρωση καταλόγου');
INSERT INTO `lang_definitions` VALUES (67778, 6937, 17, 'Ενημέρωση του Αριθμού Παρόχου');
INSERT INTO `lang_definitions` VALUES (67779, 6938, 17, 'Ενημέρωση Επιλεγμένων Αντικειμένων');
INSERT INTO `lang_definitions` VALUES (67780, 6939, 17, 'Ενημέρωση των ακόλουθων μεταβλητών στο αρχείο');
INSERT INTO `lang_definitions` VALUES (67781, 6940, 17, 'Ενημέρωση Πληροφοριών Χρήστη');
INSERT INTO `lang_definitions` VALUES (67782, 6942, 17, 'Η ενημέρωση των δημογραφικών δεν επιτρέπεται.');
INSERT INTO `lang_definitions` VALUES (67783, 6943, 17, 'Γίνεται αναβάθμιση των συνολικών ρυθμίσεων για τις προεπιλογές');
INSERT INTO `lang_definitions` VALUES (67784, 6945, 17, 'ΑΝΑΒΑΘΜΙΣΗ');
INSERT INTO `lang_definitions` VALUES (67785, 6946, 17, 'Αναβάθμιση');
INSERT INTO `lang_definitions` VALUES (67786, 6947, 17, 'Αναβάθμιση βάσης δεδομένων');
INSERT INTO `lang_definitions` VALUES (67787, 6948, 17, 'Αναβαθμίζει τη βάση δεδομένων του LibreEHR για να συμπεριλάβει Διαδικασίες, Συναρτήσεις και πίνακες που απαιτούνται για τη διαδικασία απο-ταυτοποίησης.');
INSERT INTO `lang_definitions` VALUES (67788, 6949, 17, 'Η αναβάθμιση θα συνεχίσει');
INSERT INTO `lang_definitions` VALUES (67789, 6950, 17, 'Προσ αριθμ');
INSERT INTO `lang_definitions` VALUES (67790, 6951, 17, 'Ανέβασμα');
INSERT INTO `lang_definitions` VALUES (67791, 6954, 17, 'Ανέβασμα δεδομένων ρύθμισης');
INSERT INTO `lang_definitions` VALUES (67792, 6955, 17, 'Ανέβασμα εγγράφου');
INSERT INTO `lang_definitions` VALUES (67793, 6956, 17, 'Το ανέβασμα απέτυχε!');
INSERT INTO `lang_definitions` VALUES (67794, 6957, 17, 'Ανέβασμα εικόνας στο');
INSERT INTO `lang_definitions` VALUES (67795, 6958, 17, 'Ανέβασμα αρχείου εισαγωγής:');
INSERT INTO `lang_definitions` VALUES (67796, 6961, 17, 'Ανέβασμα αναφοράς');
INSERT INTO `lang_definitions` VALUES (67797, 6963, 17, 'Ανέβασμα αυτού του αρχείου:');
INSERT INTO `lang_definitions` VALUES (67798, 6964, 17, 'Μόλις κάνετε κλικ στο αριθμό τιμολoγίου εμφανίζεται το \"παράθυρο χειροκίνητης αποστολής\". Εδώ μπορείτε να αλλάξετε την ημερομηνία λήξης της προθεσμίας και τις σημειώσεις για αυτό τιμολόγιο, να επιλέξτε το συνεργάτη για τον οποίο αποστέλετε και να επιλέξετε την ασφαλιστική κάλυψη των οποίων όλες οι αναμενόμενες πληρωμές έχουν ληφθεί. Το σημαντικότερο είναι, για κάθε κωδικό χρέωσης ο οποίος έχει επιβαρυνθεί με ένα ποσό, μπορείτε να εισαγάγετε την πληρωμή και προσαρμογή πληροφοριών.');
INSERT INTO `lang_definitions` VALUES (67799, 6965, 17, 'Κατά την αναζήτηση σας παρουσιάστηκε μια λίστα με τιμολόγια. Μπορείτε να κάνετε κλικ σε έναν από τους αριθμούς τιμολογίου για να ανοίξει ένα δεύτερο παράθυρο, το οποίο είναι η σελίδα εισόδου δεδομένων για χειροκίνητη αποστολή. Μπορείτε επίσης να κάνετε κλικ στο όνομα του ασθενούς, εάν θέλετε να εισάγετε μια σημείωση που θα δει το προσωπικό του γραφείου υποδοχής όταν ο ασθενής θα εισαχθεί και μπορείτε να επιλέξετε τιμολόγια για να εμφανιστούν στις καταστάσεις των ασθενών και να εκτυπώσετε αυτές.');
INSERT INTO `lang_definitions` VALUES (67800, 6966, 17, 'Άνω άκρο');
INSERT INTO `lang_definitions` VALUES (67801, 6968, 17, 'Κατεπείγον');
INSERT INTO `lang_definitions` VALUES (67802, 6970, 17, 'Ούρο');
INSERT INTO `lang_definitions` VALUES (67803, 6971, 17, 'Στραγγουρία');
INSERT INTO `lang_definitions` VALUES (67804, 6972, 17, 'Συχνότητα ούρησης');
INSERT INTO `lang_definitions` VALUES (67805, 6973, 17, 'Δισταγμός ούρησης');
INSERT INTO `lang_definitions` VALUES (67806, 6974, 17, 'Μικροαλβουμινουρία');
INSERT INTO `lang_definitions` VALUES (67807, 6975, 17, 'Ακτίνα ούρησης');
INSERT INTO `lang_definitions` VALUES (67808, 6976, 17, 'Επιτακτική ούρηση');
INSERT INTO `lang_definitions` VALUES (67809, 6977, 17, 'URL');
INSERT INTO `lang_definitions` VALUES (67810, 6979, 17, 'URL για υποστήριξη του LibreEHR.');
INSERT INTO `lang_definitions` VALUES (67811, 6981, 17, 'URL για το Phone Gateway. Προσφέρεται αυτόματη υπηρεσία VOIP από την Maviq. Παρακαλώ επισκεφθείτε το http://signup.maviq.com για περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (67812, 6986, 17, 'Δείκτης χρήσης (ISA15)');
INSERT INTO `lang_definitions` VALUES (67813, 6987, 17, 'Χρησιμοποιήστε από μόνο του το % σε ένα πεδίο, για να κάνετε απλώς κατάταξη σε εκείνη την στήλη');
INSERT INTO `lang_definitions` VALUES (67814, 6988, 17, 'Χρήση μορφή ώρας 24 ωρών;');
INSERT INTO `lang_definitions` VALUES (67815, 6990, 17, 'Χρησιμοποιήστε πιστοποιημένη τεχνολογία EHR για την ταυτοποίηση εκπαιδευτικών πόρων για συγκεκριμένο ασθενή και για την παροχή αυτών των πόρων στον ασθενή εάν απαιτείται.');
INSERT INTO `lang_definitions` VALUES (67816, 6991, 17, 'Χρήση του πάνελ χρεώσεων');
INSERT INTO `lang_definitions` VALUES (67817, 6992, 17, 'Χρησιμοποιήστε μηχανογραφημένη ιατρική εντολή για παραγγελίες φαρμάκων που εισάγονται απευθείας από οποιονδήποτε επαγγελματία υγείας που μπορεί να εισάγει παραγγελίες στον ιατρικό φάκελο με βάση τις τοπικές επαγγελματικό κατευθύνσεις.');
INSERT INTO `lang_definitions` VALUES (67818, 6997, 17, 'Χρήσης προσαρμοσμένης λίστας Ανοσοποίησης');
INSERT INTO `lang_definitions` VALUES (67819, 6999, 17, 'Χρήση Εύρους Ημερομηνιών');
INSERT INTO `lang_definitions` VALUES (67820, 7000, 17, 'Χρήση Προεπιλογών');
INSERT INTO `lang_definitions` VALUES (67821, 7001, 17, 'Χρησιμοποιήστε την Επιλογή \"Διαγραφή\" για Αφαίρεση.');
INSERT INTO `lang_definitions` VALUES (67822, 7002, 17, 'Χρήση ημερομηνίας διεθνούς στυλ;');
INSERT INTO `lang_definitions` VALUES (67823, 7003, 17, 'Χρήση πηγαίου ονόματος αρχείου');
INSERT INTO `lang_definitions` VALUES (67824, 7004, 17, 'Χρησιμοποιήστε τα κάτωθι πεδία για μια αγορά ή μεταφορά.');
INSERT INTO `lang_definitions` VALUES (67825, 7005, 17, 'Χρησιμοποιήστε αυτή τη δυνατότητα μόνο με νέα εγκατεστημένες σελίδες, ');
INSERT INTO `lang_definitions` VALUES (67826, 7006, 17, 'Χρήση θεμάτων;');
INSERT INTO `lang_definitions` VALUES (67827, 7007, 17, 'Χρήστης');
INSERT INTO `lang_definitions` VALUES (67828, 7009, 17, 'Χρήστης / Ομάδα');
INSERT INTO `lang_definitions` VALUES (67829, 7010, 17, 'Διαχείριση χρήστη');
INSERT INTO `lang_definitions` VALUES (67830, 7011, 17, 'Διαχειρηση χρήστη και έδρας');
INSERT INTO `lang_definitions` VALUES (67831, 7012, 17, 'Διαχείριση χρήστη και ομάδας');
INSERT INTO `lang_definitions` VALUES (67832, 7014, 17, 'Το Πιστοποιητικό Χρήστη έχει απενεργοποιηθεί');
INSERT INTO `lang_definitions` VALUES (67833, 7015, 17, 'Ορισμένο από τον Χρήστη');
INSERT INTO `lang_definitions` VALUES (67834, 7016, 17, 'Περιοχή ορισμένη από τον Χρήστη 11');
INSERT INTO `lang_definitions` VALUES (67835, 7017, 17, 'Περιοχή ορισμένη από τον Χρήστη 12');
INSERT INTO `lang_definitions` VALUES (67836, 7018, 17, 'Πεδίο ορισμένο από τον Χρήστη');
INSERT INTO `lang_definitions` VALUES (67837, 7019, 17, 'Λίστα ορισμένη από τον Χρήστη 1');
INSERT INTO `lang_definitions` VALUES (67838, 7020, 17, 'Λίστα ορισμένη από τον Χρήστη 2');
INSERT INTO `lang_definitions` VALUES (67839, 7021, 17, 'Λίστα ορισμένη από τον Χρήστη 3');
INSERT INTO `lang_definitions` VALUES (67840, 7022, 17, 'Λίστα ορισμένη από τον Χρήστη 4');
INSERT INTO `lang_definitions` VALUES (67841, 7023, 17, 'Λίστα ορισμένη από τον Χρήστη 5');
INSERT INTO `lang_definitions` VALUES (67842, 7024, 17, 'Λίστα ορισμένη από τον Χρήστη 6');
INSERT INTO `lang_definitions` VALUES (67843, 7025, 17, 'Λίστα ορισμένη από τον Χρήστη 7');
INSERT INTO `lang_definitions` VALUES (67844, 7026, 17, 'Κείμενο ορισμένο από τον Χρήστη 1');
INSERT INTO `lang_definitions` VALUES (67845, 7027, 17, 'Κείμενο ορισμένο από τον Χρήστη 2');
INSERT INTO `lang_definitions` VALUES (67846, 7028, 17, 'Κείμενο ορισμένο από τον Χρήστη 3');
INSERT INTO `lang_definitions` VALUES (67847, 7029, 17, 'Κείμενο ορισμένο από τον Χρήστη 4');
INSERT INTO `lang_definitions` VALUES (67848, 7030, 17, 'Κείμενο ορισμένο από τον Χρήστη 5');
INSERT INTO `lang_definitions` VALUES (67849, 7031, 17, 'Κείμενο ορισμένο από τον Χρήστη 6');
INSERT INTO `lang_definitions` VALUES (67850, 7032, 17, 'Κείμενο ορισμένο από τον Χρήστη 7');
INSERT INTO `lang_definitions` VALUES (67851, 7033, 17, 'Κείμενο ορισμένο από τον Χρήστη 8');
INSERT INTO `lang_definitions` VALUES (67852, 7034, 17, 'Μικρό όνομα χρήστη');
INSERT INTO `lang_definitions` VALUES (67853, 7039, 17, 'Εχγειρίδιο χρήσης');
INSERT INTO `lang_definitions` VALUES (67854, 7040, 17, 'Συμμετοχές μελών');
INSERT INTO `lang_definitions` VALUES (67855, 7041, 17, 'Όνομα χρήστη');
INSERT INTO `lang_definitions` VALUES (67856, 7042, 17, 'Το όνομα χρήστη ή το Hostname δεν μπορεί να είναι κενό');
INSERT INTO `lang_definitions` VALUES (67857, 7043, 17, 'Όνομα Χρήστη ή Υπολογιστή');
INSERT INTO `lang_definitions` VALUES (67858, 7046, 17, 'Ρυθμίσεις χρήστη');
INSERT INTO `lang_definitions` VALUES (67859, 7047, 17, 'Ειδική ρύθμιση χρήστη');
INSERT INTO `lang_definitions` VALUES (67860, 7049, 17, 'Όνομα Χρήστη');
INSERT INTO `lang_definitions` VALUES (67861, 7051, 17, 'Όνομα χρήστη για το Phone Gateway. Προσφέρεται αυτόματη υπηρεσία VOIP από την Maviq. Παρακαλώ επισκεφθείτε το http://signup.maviq.com για περισσότερες πληροφορίες.');
INSERT INTO `lang_definitions` VALUES (67862, 7052, 17, 'Όνομα χρήστη για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (67863, 7053, 17, 'Όνομα χρήστη για το SMS Gateway');
INSERT INTO `lang_definitions` VALUES (67864, 7055, 17, 'Όνομα Χρήστη:');
INSERT INTO `lang_definitions` VALUES (67865, 7056, 17, 'Χρήστες');
INSERT INTO `lang_definitions` VALUES (67866, 7057, 17, 'Διαχείριση Χρηστών/Ομάδων/Logs');
INSERT INTO `lang_definitions` VALUES (67867, 7059, 17, 'Λοιμώξεις ουροποιητικού');
INSERT INTO `lang_definitions` VALUES (67868, 7062, 17, 'ΑΡΓΙΑ');
INSERT INTO `lang_definitions` VALUES (67869, 7063, 17, 'Αργία');
INSERT INTO `lang_definitions` VALUES (67870, 7064, 17, 'Εμβόλιο');
INSERT INTO `lang_definitions` VALUES (67871, 7065, 17, 'Κολπικός δακτύλιος');
INSERT INTO `lang_definitions` VALUES (67872, 7066, 17, 'Προσφώνηση');
INSERT INTO `lang_definitions` VALUES (67873, 7067, 17, 'επικύρωση');
INSERT INTO `lang_definitions` VALUES (67874, 7068, 17, 'Τιμή');
INSERT INTO `lang_definitions` VALUES (67875, 7069, 17, 'Τιμή 1');
INSERT INTO `lang_definitions` VALUES (67876, 7070, 17, 'Τιμή 2');
INSERT INTO `lang_definitions` VALUES (67877, 7072, 17, 'Η τιμή πρέπει να είναι αριθμητική');
INSERT INTO `lang_definitions` VALUES (67878, 7073, 17, 'Μεταβλ 1');
INSERT INTO `lang_definitions` VALUES (67879, 7074, 17, 'Μεταβλ 2');
INSERT INTO `lang_definitions` VALUES (67880, 7075, 17, 'μεταβλητή στη μία για απο-ταυτοποίηση του script αναβάθμισης');
INSERT INTO `lang_definitions` VALUES (67881, 7076, 17, 'Ανεμευλογιά 1');
INSERT INTO `lang_definitions` VALUES (67882, 7077, 17, 'Ανεμευλογιά 2');
INSERT INTO `lang_definitions` VALUES (67883, 7078, 17, 'Κιρσοί φλεβών');
INSERT INTO `lang_definitions` VALUES (67884, 7079, 17, 'Αγγειακή κατάσταση');
INSERT INTO `lang_definitions` VALUES (67885, 7080, 17, 'Αγγειακή βλάβη');
INSERT INTO `lang_definitions` VALUES (67886, 7081, 17, 'Αγγειοχειρουργική');
INSERT INTO `lang_definitions` VALUES (67887, 7083, 17, 'Πωλητής');
INSERT INTO `lang_definitions` VALUES (67888, 7084, 17, 'Έκδοση');
INSERT INTO `lang_definitions` VALUES (67889, 7085, 17, 'Ίλιγγος');
INSERT INTO `lang_definitions` VALUES (67890, 7086, 17, 'Διαχείριση Βετεράνων');
INSERT INTO `lang_definitions` VALUES (67891, 7087, 17, 'Σχέδιο Διαχείρισης Βετεράνων');
INSERT INTO `lang_definitions` VALUES (67892, 7088, 17, 'Εμβόλια για παιδιά');
INSERT INTO `lang_definitions` VALUES (67893, 7089, 17, 'Βιετναμέζικα');
INSERT INTO `lang_definitions` VALUES (67894, 7090, 17, 'προβολή');
INSERT INTO `lang_definitions` VALUES (67895, 7091, 17, 'Προβολή');
INSERT INTO `lang_definitions` VALUES (67896, 7092, 17, 'Προβολή αλλεργιών');
INSERT INTO `lang_definitions` VALUES (67897, 7097, 17, 'Προβολή Αναλυτικής αναφοράς ασθενούς');
INSERT INTO `lang_definitions` VALUES (67898, 7100, 17, 'Προβολή εγγράφου');
INSERT INTO `lang_definitions` VALUES (67899, 7101, 17, 'Προβολή επίσκεψης');
INSERT INTO `lang_definitions` VALUES (67900, 7103, 17, 'Προβολή γεγονότων σε ένα αναδυόμενο παράθυρο');
INSERT INTO `lang_definitions` VALUES (67901, 7104, 17, 'Βλέπε πληροφορίες ασθενούς ειδικά για την κάθε έδρα');
INSERT INTO `lang_definitions` VALUES (67902, 7107, 17, 'Προβολή Log');
INSERT INTO `lang_definitions` VALUES (67903, 7108, 17, 'Προβολή σελίδας 1');
INSERT INTO `lang_definitions` VALUES (67904, 7109, 17, 'Προβολή σελίδας 2');
INSERT INTO `lang_definitions` VALUES (67905, 7110, 17, 'Προβολή Παλαιών και Μελλοντικών Υπενθυμίσεων');
INSERT INTO `lang_definitions` VALUES (67906, 7111, 17, 'Προβολή ασθενούς');
INSERT INTO `lang_definitions` VALUES (67907, 7116, 17, 'Δείτε σχετικές επισκέψεις');
INSERT INTO `lang_definitions` VALUES (67908, 7121, 17, 'Προβολή/Επεξεργ. Αλλεργιών');
INSERT INTO `lang_definitions` VALUES (67909, 7122, 17, 'Προβολή/Επεξεργ. προβλήματος');
INSERT INTO `lang_definitions` VALUES (67910, 7123, 17, 'Προβολή/Εκτύπωση');
INSERT INTO `lang_definitions` VALUES (67911, 7124, 17, 'Προβολή:');
INSERT INTO `lang_definitions` VALUES (67912, 7125, 17, 'VISA');
INSERT INTO `lang_definitions` VALUES (67913, 7126, 17, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (67914, 7127, 17, 'Σπλαγχνική καταστροφή/τραύμα/εγχείριση');
INSERT INTO `lang_definitions` VALUES (67915, 7133, 17, 'Κατηγορία Επίσκεψης:');
INSERT INTO `lang_definitions` VALUES (67916, 7134, 17, 'Ημ/νια Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (67917, 7135, 17, 'Ημ/νια Επίσκεψης');
INSERT INTO `lang_definitions` VALUES (67918, 7137, 17, 'Έντυπα επίσκεψης');
INSERT INTO `lang_definitions` VALUES (67919, 7138, 17, 'Ιστορικό Επισκέψεων');
INSERT INTO `lang_definitions` VALUES (67920, 7140, 17, 'Επισκέψεις');
INSERT INTO `lang_definitions` VALUES (67921, 7141, 17, 'Επισκέψεις από');
INSERT INTO `lang_definitions` VALUES (67922, 7142, 17, 'Ζωτικά');
INSERT INTO `lang_definitions` VALUES (67923, 7143, 17, 'Ζωτικά σημεία');
INSERT INTO `lang_definitions` VALUES (67924, 7144, 17, 'Ζωτικά σημεία (μετρικό)');
INSERT INTO `lang_definitions` VALUES (67925, 7146, 17, 'Φωνή');
INSERT INTO `lang_definitions` VALUES (67926, 7147, 17, 'Φωνή απεστάλη');
INSERT INTO `lang_definitions` VALUES (67927, 7149, 17, 'Εμετός');
INSERT INTO `lang_definitions` VALUES (67928, 7152, 17, 'Περιφ. μέσης');
INSERT INTO `lang_definitions` VALUES (67929, 7153, 17, 'Περιφέρεια Μέσης');
INSERT INTO `lang_definitions` VALUES (67930, 7154, 17, 'Αναμένοντας');
INSERT INTO `lang_definitions` VALUES (67931, 7155, 17, 'Υποδοχή');
INSERT INTO `lang_definitions` VALUES (67932, 7157, 17, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (67933, 7158, 17, 'Αποθήκη');
INSERT INTO `lang_definitions` VALUES (67934, 7159, 17, 'Μέγιστο αποθηκών, 0 αν δεν ισχύει');
INSERT INTO `lang_definitions` VALUES (67935, 7160, 17, 'Ελάχιστο αποθηκών, 0 αν δεν ισχύει');
INSERT INTO `lang_definitions` VALUES (67936, 7161, 17, 'Αποθήκες');
INSERT INTO `lang_definitions` VALUES (67937, 7162, 17, 'Θερμό');
INSERT INTO `lang_definitions` VALUES (67938, 7163, 17, 'Προειδοποίηση');
INSERT INTO `lang_definitions` VALUES (67939, 7164, 17, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ');
INSERT INTO `lang_definitions` VALUES (67940, 7166, 17, 'Προσοχή, ο αριθμός ελέγχου υπάρχει ήδη στη βάση δεδομένων');
INSERT INTO `lang_definitions` VALUES (67941, 7168, 17, 'Προειδοποίηση: Μια επίσκεψη έχει ήδη δημιουργηθεί για αυτόν τον ασθενή σήμερα!');
INSERT INTO `lang_definitions` VALUES (67942, 7170, 17, 'Προειδοποίηση: το αναγνωριστικό του ασθενούς δεν είναι μοναδικό!');
INSERT INTO `lang_definitions` VALUES (67943, 7171, 17, 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Αυτό θα αντικαταστήσει πληροφορίες ρύθμισης με δεδομένα από το αρχείο!');
INSERT INTO `lang_definitions` VALUES (67944, 7173, 17, 'Προειδοποιήσεις');
INSERT INTO `lang_definitions` VALUES (67945, 7175, 17, 'ήταν ήδη ανεβασμένο');
INSERT INTO `lang_definitions` VALUES (67946, 7177, 17, 'Σας ευχαριστούμε για την άμεση καταβολή των οφειλόμενων υπολοίπων');
INSERT INTO `lang_definitions` VALUES (67947, 7178, 17, 'είδαμε τον παραπάνω ασθενή σας για εκτίμηση και θεραπεία στο τμήμα εξωτερικών ιατρείων της ψυχιατρικής κλινικής μας. Ευχαριστούμε για αυτήν την παραπομπή');
INSERT INTO `lang_definitions` VALUES (67948, 7179, 17, 'Αδυναμία');
INSERT INTO `lang_definitions` VALUES (67949, 7181, 17, 'Αναζήτηση στο δίκτυο');
INSERT INTO `lang_definitions` VALUES (67950, 7182, 17, 'Ιστοσελίδα');
INSERT INTO `lang_definitions` VALUES (67951, 7183, 17, 'Σύνδεσμος ιστοσελίδας του Portal του Ασθενούς');
INSERT INTO `lang_definitions` VALUES (67952, 7184, 17, 'Τετ');
INSERT INTO `lang_definitions` VALUES (67953, 7185, 17, 'Τετάρτη');
INSERT INTO `lang_definitions` VALUES (67954, 7186, 17, 'Εβδομάδα');
INSERT INTO `lang_definitions` VALUES (67955, 7187, 17, 'εβδομάδα');
INSERT INTO `lang_definitions` VALUES (67956, 7188, 17, 'Προβολή Εβδομάδας');
INSERT INTO `lang_definitions` VALUES (67957, 7189, 17, 'Εβδομάδα(ες)');
INSERT INTO `lang_definitions` VALUES (67958, 7190, 17, 'Εβδομάδες έκθεσης');
INSERT INTO `lang_definitions` VALUES (67959, 7192, 17, 'Εβδομάδες');
INSERT INTO `lang_definitions` VALUES (67960, 7193, 17, 'Βάρος');
INSERT INTO `lang_definitions` VALUES (67961, 7194, 17, 'Αξιολόγηση και συμβουλευτική σωματικού βάρους για Παιδιά και Εφήβους');
INSERT INTO `lang_definitions` VALUES (67962, 7195, 17, 'Αξιολόγηση και συμβουλευτική σωματικού βάρους για Παιδιά και Εφήβους');
INSERT INTO `lang_definitions` VALUES (67963, 7196, 17, 'Αλλαγή βάρους');
INSERT INTO `lang_definitions` VALUES (67964, 7197, 17, 'Απώλεια βάρους');
INSERT INTO `lang_definitions` VALUES (67965, 7198, 17, 'Κλινική απώλειας βάρους');
INSERT INTO `lang_definitions` VALUES (67966, 7199, 17, 'Καλωσορίσατε');
INSERT INTO `lang_definitions` VALUES (67967, 7202, 17, 'Τι πρέπει να συνυπολογιστεί;');
INSERT INTO `lang_definitions` VALUES (67968, 7203, 17, 'Συριγμοί:');
INSERT INTO `lang_definitions` VALUES (67969, 7204, 17, 'Συριγμός');
INSERT INTO `lang_definitions` VALUES (67970, 7205, 17, 'Συριγμός');
INSERT INTO `lang_definitions` VALUES (67971, 7208, 17, 'Που θα μπορούσαν να βρεθούν σχετικά σαρωμένα ή τυπωμένα έγγραφα;');
INSERT INTO `lang_definitions` VALUES (67972, 7212, 17, 'Λευκό(ς)');
INSERT INTO `lang_definitions` VALUES (67973, 7213, 17, 'Ταυτότητα');
INSERT INTO `lang_definitions` VALUES (67974, 7214, 17, 'Ποιος απάντησε;');
INSERT INTO `lang_definitions` VALUES (67975, 7215, 17, 'Χήρος/α');
INSERT INTO `lang_definitions` VALUES (67976, 7216, 17, 'Εύρος');
INSERT INTO `lang_definitions` VALUES (67977, 7217, 17, 'Εύρος σε pixel του αριστερού πλαισίου πλοήγησης.');
INSERT INTO `lang_definitions` VALUES (67978, 7221, 17, 'Με επιλεγμένα:');
INSERT INTO `lang_definitions` VALUES (67979, 7222, 17, 'με το παλιό όνομα');
INSERT INTO `lang_definitions` VALUES (67980, 7224, 17, 'Με ποιον θα μπορούσαμε να αφήσουμε ένα μήνυμα;');
INSERT INTO `lang_definitions` VALUES (67981, 7225, 17, 'Παρακρατηθέν');
INSERT INTO `lang_definitions` VALUES (67982, 7226, 17, 'μέσα σε ώρες');
INSERT INTO `lang_definitions` VALUES (67983, 7227, 17, 'μέσα σε ώρες:');
INSERT INTO `lang_definitions` VALUES (67984, 7228, 17, 'μέσα σε λεπτά');
INSERT INTO `lang_definitions` VALUES (67985, 7229, 17, 'μέσα σε λεπτά:');
INSERT INTO `lang_definitions` VALUES (67986, 7232, 17, 'Χωρίς Ενημέρωση');
INSERT INTO `lang_definitions` VALUES (67987, 7233, 17, 'Μάρτυρας');
INSERT INTO `lang_definitions` VALUES (67988, 7234, 17, 'εβδ');
INSERT INTO `lang_definitions` VALUES (67989, 7235, 17, 'ΕΦΟ');
INSERT INTO `lang_definitions` VALUES (67990, 7237, 17, 'Γυναίκες');
INSERT INTO `lang_definitions` VALUES (67991, 7238, 17, 'Μόνο γυναίκες');
INSERT INTO `lang_definitions` VALUES (67992, 7240, 17, 'Εργασία');
INSERT INTO `lang_definitions` VALUES (67993, 7241, 17, 'ΣΗΜΕΙΩΣΗ ΕΡΓΑΣΙΑΣ');
INSERT INTO `lang_definitions` VALUES (67994, 7242, 17, 'Τηλέφωνο εργασίας');
INSERT INTO `lang_definitions` VALUES (67995, 7243, 17, 'Αριθμός τηλεφώνου εργασίας');
INSERT INTO `lang_definitions` VALUES (67996, 7244, 17, 'Σχετικό με εργασία;');
INSERT INTO `lang_definitions` VALUES (67997, 7245, 17, 'Εργασία/Εκπαίδευση/Χομπυ');
INSERT INTO `lang_definitions` VALUES (67998, 7246, 17, 'Σημείωση εργασίας/σχολείου');
INSERT INTO `lang_definitions` VALUES (67999, 7247, 17, 'εργάσιμη μέρα');
INSERT INTO `lang_definitions` VALUES (68000, 7248, 17, 'Αποζημίωση Εργαζομένων');
INSERT INTO `lang_definitions` VALUES (68001, 7249, 17, 'Σχέδιο Αποζημίωσης Υγείας Εργαζομένων');
INSERT INTO `lang_definitions` VALUES (68002, 7252, 17, 'Επιδείνωση');
INSERT INTO `lang_definitions` VALUES (68003, 7253, 17, 'Θα θέλατε το υπόλοιπο ποσό να εφαρμοστεί στο Γενικό Λογαριασμό;');
INSERT INTO `lang_definitions` VALUES (68004, 7254, 17, 'Θα θέλατε να σημειωθούν ως Εκκαθαρισθέντα;');
INSERT INTO `lang_definitions` VALUES (68005, 7255, 17, 'Θα θέλατε να κατανεμηθούν;');
INSERT INTO `lang_definitions` VALUES (68006, 7256, 17, 'Θα θέλατε να ακυρώσετε τη διανομή για αυτόν τον ασθενή;');
INSERT INTO `lang_definitions` VALUES (68007, 7257, 17, 'Θα θέλατε να διαγράψετε τη διανομή πληρωμής;');
INSERT INTO `lang_definitions` VALUES (68008, 7258, 17, 'Θα θέλατε να διαγράψετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (68009, 7259, 17, 'Θα θέλατε να τροποποιήσετε και να τελειώσετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (68010, 7260, 17, 'Θα θέλατε να τροποποιήσετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (68011, 7261, 17, 'Θα θέλατε να αποστείλετε και να τελειώσετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (68012, 7262, 17, 'Θα θέλατε να αποστείλετε πληρωμές;');
INSERT INTO `lang_definitions` VALUES (68013, 7263, 17, 'Θα θέλατε να σώσετε;');
INSERT INTO `lang_definitions` VALUES (68014, 7264, 17, 'Καρπός');
INSERT INTO `lang_definitions` VALUES (68015, 7265, 17, 'Καρπός και χέρι');
INSERT INTO `lang_definitions` VALUES (68016, 7266, 17, 'Προβλήμ. καρπού');
INSERT INTO `lang_definitions` VALUES (68017, 7267, 17, 'εγγραφή');
INSERT INTO `lang_definitions` VALUES (68018, 7268, 17, 'διαγραφή');
INSERT INTO `lang_definitions` VALUES (68019, 7270, 17, 'μερικά');
INSERT INTO `lang_definitions` VALUES (68020, 7273, 17, 'x Ακυρωθέν');
INSERT INTO `lang_definitions` VALUES (68021, 7274, 17, 'x Ακυρωθέν');
INSERT INTO `lang_definitions` VALUES (68022, 7275, 17, 'Ακτινογραφίες');
INSERT INTO `lang_definitions` VALUES (68023, 7276, 17, 'Εκτίμηση ακτινογραφιών:');
INSERT INTO `lang_definitions` VALUES (68024, 7277, 17, 'Εκτίμηση ακτινογραφιών:');
INSERT INTO `lang_definitions` VALUES (68025, 7278, 17, 'Μόνο X12: Αίτηση αντικατάστασης ');
INSERT INTO `lang_definitions` VALUES (68026, 7279, 17, 'Συνεργάτης Χ12');
INSERT INTO `lang_definitions` VALUES (68027, 7280, 17, 'Συνεργάτες Χ12');
INSERT INTO `lang_definitions` VALUES (68028, 7284, 17, 'Υ');
INSERT INTO `lang_definitions` VALUES (68029, 7285, 17, 'Έτος');
INSERT INTO `lang_definitions` VALUES (68030, 7286, 17, 'έτος');
INSERT INTO `lang_definitions` VALUES (68031, 7287, 17, 'Προβολή Χρονιάς');
INSERT INTO `lang_definitions` VALUES (68032, 7288, 17, 'Έτος(η)');
INSERT INTO `lang_definitions` VALUES (68033, 7289, 17, 'Έτη');
INSERT INTO `lang_definitions` VALUES (68034, 7292, 17, 'ΝΑΙ');
INSERT INTO `lang_definitions` VALUES (68035, 7293, 17, 'Ναι');
INSERT INTO `lang_definitions` VALUES (68036, 7294, 17, 'ναι');
INSERT INTO `lang_definitions` VALUES (68037, 7295, 17, 'ΝΑΙ!');
INSERT INTO `lang_definitions` VALUES (68038, 7296, 17, 'Ναι, διαγραφή και Log');
INSERT INTO `lang_definitions` VALUES (68039, 7298, 17, 'Ναι/Όχι');
INSERT INTO `lang_definitions` VALUES (68040, 7299, 17, 'Ναι:');
INSERT INTO `lang_definitions` VALUES (68041, 7303, 17, 'Πρόκειται να αντικαταστήσετε μόνιμα το υπάρχον πρότυπο. Είστε σίγουρος ότι θέλετε να συνεχίσετε;');
INSERT INTO `lang_definitions` VALUES (68042, 7304, 17, 'Είστε εντός Περιόδου χάριτος για το Login. Αλλάξτε κωδικό πρόσβασης πριν τη λήξη');
INSERT INTO `lang_definitions` VALUES (68043, 7305, 17, 'Δεν έχετε δικαίωμα να διαγράψετε αυτό το συμβάν');
INSERT INTO `lang_definitions` VALUES (68044, 7306, 17, 'Δεν έχετε δικαίωμα να τροποποιήσετε αυτό το συμβάν');
INSERT INTO `lang_definitions` VALUES (68045, 7307, 17, 'Δεν έχετε δικαίωμα για αυτό.');
INSERT INTO `lang_definitions` VALUES (68046, 7308, 17, 'Δεν έχετε δικαίωμα πρόσβασης αυτής την ομάδα.');
INSERT INTO `lang_definitions` VALUES (68047, 7309, 17, 'Δεν έχετε δικαίωμα να προσθέσετε/επεξεργαστείτε Συνοδές Νόσους/Παθήσεις');
INSERT INTO `lang_definitions` VALUES (68048, 7310, 17, 'Δεν έχετε δικαίωμα να προγραμματίζετε ραντεβού.');
INSERT INTO `lang_definitions` VALUES (68049, 7311, 17, 'Δεν έχετε δικαίωμα να δείτε αυτή την επίσκεψη.');
INSERT INTO `lang_definitions` VALUES (68050, 7313, 17, 'Δεν μπορείτε να προσπελάσετε αυτή τη λειτουργία άμεσα.');
INSERT INTO `lang_definitions` VALUES (68051, 7314, 17, 'Δεν μπορείτε να προσπελάσετε αυτή τη σελίδα άμεσα.');
INSERT INTO `lang_definitions` VALUES (68052, 7315, 17, 'Δεν μπορείτε να προσθέσετε μια κενή τιμή για κατηγορία!');
INSERT INTO `lang_definitions` VALUES (68053, 7316, 17, 'Δεν μπορείτε να προσθέσετε μια κενή τιμή για υποκατηγορία!');
INSERT INTO `lang_definitions` VALUES (68054, 7317, 17, 'Δεν μπορείτε να προσθέσετε μια κενή τιμή για αντικείμενο!');
INSERT INTO `lang_definitions` VALUES (68055, 7318, 17, 'Δεν μπορείτε να εισαγάγετε μια μελλοντική ημερομηνία με μια ολοκλρωμένη τιμή ΝΑΙ.');
INSERT INTO `lang_definitions` VALUES (68056, 7319, 17, 'Δεν έχετε επιλέξει καμία ενέργεια.');
INSERT INTO `lang_definitions` VALUES (68057, 7320, 17, 'Δεν έχετε πρόσβαση να δείτε/επεξεργαστείτε αυτό το σημείωμα');
INSERT INTO `lang_definitions` VALUES (68058, 7321, 17, 'Επιχειρήσατε να τροποποιήσετε περιεχόμενο το οποίο είναι κλειδωμένο. Αφαιρέστε το κλείδωμα αν θέλετε να το κάνετε. Για να το ξεκλειδώσετε, αφαιρέστε την γραμμή, \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (68059, 7322, 17, 'Έχετε αποσυνδεθεί επιτυχώς.');
INSERT INTO `lang_definitions` VALUES (68060, 7323, 17, 'Μπορείτε να ανεβάσετε μόνο .txt αρχεία');
INSERT INTO `lang_definitions` VALUES (68061, 7325, 17, 'Μπορείτε να βάλετε κείμενο εδώ ως το προεπιλεγμένο ενόχλημα στο έντυπο Νέα Επίσκεψη ασθενούς.');
INSERT INTO `lang_definitions` VALUES (68062, 7326, 17, 'Πρέπει να πληκτρολογήσετε μια φράση πρόσβασης για την κρυπτογράφηση των εγγράφων');
INSERT INTO `lang_definitions` VALUES (68063, 7329, 17, 'Πρέπει πρώτα να επιλέξετε ασθενή ή να προσθέσετε νέο');
INSERT INTO `lang_definitions` VALUES (68064, 7330, 17, 'Πρέπει πρώτα να επιλέξετε επίσκεψη ή να δημιουργήσετε νέα');
INSERT INTO `lang_definitions` VALUES (68065, 7331, 17, 'Πρέπει να επιλέξετε μια κατηγορία επίσκεψης');
INSERT INTO `lang_definitions` VALUES (68066, 7332, 17, 'Πρέπει να επιλέξετε μια κατηγορία επίσκεψης.');
INSERT INTO `lang_definitions` VALUES (68067, 7333, 17, 'Πρέπει να επιλέξετε μερικά πεδία για να συνεχίσετε');
INSERT INTO `lang_definitions` VALUES (68068, 7334, 17, 'Θα πρέπει να εκτελείτε αυτή τη δοκιμή, εάν ο ισχυρισμός αυτός φαίνεται να παράγεται με επιτυχία αλλά το πραγματικό αρχείο αξίωσης δεν περιέχει δεδομένα ή μόνο ένα ημιτελές τμήμα του όγκου των δεδομένων που θα έπρεπε να περιέχει. Αυτό είναι προφανές με τις αξιώσεις HCFA επειδή είναι αναγνώσιμες από τον άνθρωπο, όμως με τις αξιώσεις X12 είναι πιο δύσκολη διαδικασία να προσδιοριστεί αν η αξίωση έχει ολοκληρωθεί δεόντως.');
INSERT INTO `lang_definitions` VALUES (68069, 7335, 17, 'Θα πρέπει να επιλέξετε τουλάχιστον ένα πλαίσιο');
INSERT INTO `lang_definitions` VALUES (68070, 7336, 17, 'Θα πρέπει να επιλέξετε τουλάχιστον έναν Πάροχο');
INSERT INTO `lang_definitions` VALUES (68071, 7339, 17, 'Η ημερομηνία λήξης σας είναι άκυρη');
INSERT INTO `lang_definitions` VALUES (68072, 7340, 17, 'Η συνεδρία διαγράφηκε');
INSERT INTO `lang_definitions` VALUES (68073, 7341, 17, 'Η συνεδρία τροποποιήθηκε');
INSERT INTO `lang_definitions` VALUES (68074, 7342, 17, 'Η συνεδρία καταχωρήθηκε');
INSERT INTO `lang_definitions` VALUES (68075, 7343, 17, 'Το αρχείο σας είναι πολύ μεγάλο');
INSERT INTO `lang_definitions` VALUES (68076, 7345, 17, 'Το όνομα της λίστας έχει αλλάξει για να ανταποκρίνεται στις απαιτήσεις της ονοματοδοσίας.');
INSERT INTO `lang_definitions` VALUES (68077, 7347, 17, 'Το όνομά σας για αυτήν την κατηγορίας, διαδικασία ή αποτέλεσμα');
INSERT INTO `lang_definitions` VALUES (68078, 7349, 17, 'Ο κωδικός σας έληξε. Παρακαλώ αλλάξτε τον κωδικό σας.');
INSERT INTO `lang_definitions` VALUES (68079, 7350, 17, 'Ο κωδικός σας λήγει στις');
INSERT INTO `lang_definitions` VALUES (68080, 7351, 17, 'Ο κωδικός λήγει σήμερα. Παρακαλώ αλλάξτε τον κωδικό σας.');
INSERT INTO `lang_definitions` VALUES (68081, 7353, 17, 'Έγινε επαναφορά των ρυθμίσεών σας για το PostCalendar στη χρήση των προεπιλογών.');
INSERT INTO `lang_definitions` VALUES (68082, 7354, 17, 'Οι ρυθμίσεις σας του PostCalendar ενημερώθηκαν');
INSERT INTO `lang_definitions` VALUES (68083, 7355, 17, 'Η συχνότητα επανάληψής σας πρέπει να είναι ακέραιος.');
INSERT INTO `lang_definitions` VALUES (68084, 7356, 17, 'Η συχνότητα επανάληψής σας πρέπει να είναι τουλάχιστον 1.');
INSERT INTO `lang_definitions` VALUES (68085, 7357, 17, 'Η ημερομηνία έναρξής σας είναι μεγαλύτερη από την ημερομηνία λήξης σας');
INSERT INTO `lang_definitions` VALUES (68086, 7358, 17, 'Η ημερομηνία έναρξής σας είναι άκυρη');
INSERT INTO `lang_definitions` VALUES (68087, 7359, 17, 'Η υποβολή σας απέτυχε');
INSERT INTO `lang_definitions` VALUES (68088, 7360, 17, 'εεεε-μμ-ηη');
INSERT INTO `lang_definitions` VALUES (68089, 7361, 17, 'ΕΕΕΕ-ΜΜ-ΗΗ');
INSERT INTO `lang_definitions` VALUES (68090, 7362, 17, 'εεεε-μμ-ηη Ημερομηνία συνδεδεμένη με αυτό το έγγραφο');
INSERT INTO `lang_definitions` VALUES (68091, 7363, 17, 'εεεε-μμ-ηη Ημερομηνία καταστράφηκε');
INSERT INTO `lang_definitions` VALUES (68092, 7364, 17, 'εεεε-μμ-ηη ημερομηνία γέννησης');
INSERT INTO `lang_definitions` VALUES (68093, 7365, 17, 'εεεε-μμ-ηη Ημερομηνία γέννησης');
INSERT INTO `lang_definitions` VALUES (68094, 7366, 17, 'εεεε-μμ-ηη Ημερομηνία λήξης');
INSERT INTO `lang_definitions` VALUES (68095, 7367, 17, 'εεεε-μμ-ηη Ημερομηνία έναρξης ή νοσηλείας');
INSERT INTO `lang_definitions` VALUES (68096, 7368, 17, 'εεεε-μμ-ηη ημερομηνία έναρξης, εγχείρισης ή έναρξης της αγωγής');
INSERT INTO `lang_definitions` VALUES (68097, 7369, 17, 'εεεε-μμ-ηη ημερομηνία αγοράς ή μεταφοράς');
INSERT INTO `lang_definitions` VALUES (68098, 7370, 17, 'εεεε-μμ-ηη ημερομηνία ανάρρωσης ή διακοπής της αγωγής');
INSERT INTO `lang_definitions` VALUES (68099, 7372, 17, 'εεεε-μμ-ηη Ημερομηνία επίσκεψης');
INSERT INTO `lang_definitions` VALUES (68100, 7373, 17, 'εεεε-μμ-ηη ημερομηνία αυτής της επιστολής');
INSERT INTO `lang_definitions` VALUES (68101, 7375, 17, 'εεεε-μμ-ηη ημερομηνία εγγράφου');
INSERT INTO `lang_definitions` VALUES (68102, 7376, 17, 'εεεε-μμ-ηη ημερομηνία συμβάντος ή ημερομηνία έναρξης');
INSERT INTO `lang_definitions` VALUES (68103, 7381, 17, 'εεεε-μμ-ηη ωω:λλ:δδ');
INSERT INTO `lang_definitions` VALUES (68104, 7383, 17, 'εεεε-μμ-ηη τελευταία ημερομηνία αυτού του συμβάντος');
INSERT INTO `lang_definitions` VALUES (68105, 7387, 17, 'Μηδέν');
INSERT INTO `lang_definitions` VALUES (68106, 7389, 17, 'ΤΚ');
INSERT INTO `lang_definitions` VALUES (68107, 7390, 17, 'Τ.Κ');
INSERT INTO `lang_definitions` VALUES (68108, 7391, 17, 'Τ.Κ/Χώρα:');
INSERT INTO `lang_definitions` VALUES (68109, 7392, 17, 'Ζουλού');
INSERT INTO `lang_definitions` VALUES (68110, 7393, 17, ' αλλά ήταν ');
INSERT INTO `lang_definitions` VALUES (68111, 7394, 17, ' δεν μπορούσε να προσπελαστεί.');
INSERT INTO `lang_definitions` VALUES (68112, 7395, 17, 'Είστε σίγουροι ότι θέλετε να διαγράψετε');
INSERT INTO `lang_definitions` VALUES (68113, 7396, 17, 'Φάρμακο');
INSERT INTO `lang_definitions` VALUES (68114, 7397, 17, 'τα e-mail δεν στάλθηκαν');
INSERT INTO `lang_definitions` VALUES (68115, 7398, 17, 'από');
INSERT INTO `lang_definitions` VALUES (68116, 7399, 17, 'έχει δημιουργηθεί. ');
INSERT INTO `lang_definitions` VALUES (68117, 7400, 17, 'έχει ανοιχθεί εκ νέου.');
INSERT INTO `lang_definitions` VALUES (68118, 7401, 17, 'Ιστορικό');
INSERT INTO `lang_definitions` VALUES (68119, 7402, 17, 'δεν είναι αριθμός');
INSERT INTO `lang_definitions` VALUES (68120, 7403, 17, 'είναι έτοιμο για επανα-χρέωση.');
INSERT INTO `lang_definitions` VALUES (68121, 7404, 17, 'Αριστερός κάτω λοβός:');
INSERT INTO `lang_definitions` VALUES (68122, 7405, 17, 'Παρτίδα');
INSERT INTO `lang_definitions` VALUES (68123, 7406, 17, 'Πρωτότυπος Αρ. Αναφοράς Πρόνοιας ');
INSERT INTO `lang_definitions` VALUES (68124, 7407, 17, 'λεπτά');
INSERT INTO `lang_definitions` VALUES (68125, 7408, 17, 'δεν βρέθηκε!');
INSERT INTO `lang_definitions` VALUES (68126, 7409, 17, 'Ιδιομορφίες σε πολλούς φυλλομετρητές μπορεί να οδηγήσουν στο να εισάγεται η κάτωθι έξοδος στην οθόνη σας με απότομα τινάγματα και μεγάλες παύσεις μερικών δευτερολέπτων, που δίνουν την εντύπωση ότι η εφαρμογή έχει κολλήσει. Αυτό δε συμβαίνει: θα δείτε τελικά την έξοδο να εμφανίζεται γραμμή προς γραμμή. Μπορεί να υπάρχουν διαδοχικοί αριθμοί που εμφανίζονται πιο κάτω. Αυτό είναι ένδειξη ότι, ακόμη και αν δεν εμφανίζεται τίποτε άλλο, υπάρχει συνεχιζόμενη δραστηριότητα. Οι αριθμοί αυτοί θα είναι διάσπαρτοι με το περιεχόμενο της χρέωσης και αυτό είναι φυσιολογικό.');
INSERT INTO `lang_definitions` VALUES (68127, 7410, 17, 'η συνταγή έχει φτάσει το όριό της που είναι');
INSERT INTO `lang_definitions` VALUES (68128, 7411, 17, 'μέχρι');
INSERT INTO `lang_definitions` VALUES (68129, 7412, 17, 'η ενημέρωση απέτυχε, δεν είναι στη βάση δεδομένων;');
INSERT INTO `lang_definitions` VALUES (68130, 7413, 17, 'χαρακτηρίστηκε ως χρεωμένο μόνο.');
INSERT INTO `lang_definitions` VALUES (68131, 7414, 17, 'τοποθετήθηκε στην ουρά με επιτυχία.');
INSERT INTO `lang_definitions` VALUES (68132, 7415, 17, '! Έμεινε ανεξέταστος/η');
INSERT INTO `lang_definitions` VALUES (68133, 7416, 17, '\" για τον κωδικό');
INSERT INTO `lang_definitions` VALUES (68134, 7417, 17, '\" ΕΛΕΓΧΘΗΚΕ στις παραμέτρους του PostCalendar');
INSERT INTO `lang_definitions` VALUES (68135, 7418, 17, '# Ασφαλ./Οικονομ. θέμα');
INSERT INTO `lang_definitions` VALUES (68136, 7419, 17, 'Αριθμ. δισκίων:');
INSERT INTO `lang_definitions` VALUES (68137, 7420, 17, 'Ευρώ');
INSERT INTO `lang_definitions` VALUES (68138, 7421, 17, '$ Η κωδικοποίηση έγινε');
INSERT INTO `lang_definitions` VALUES (68139, 7422, 17, '$ετικέτα (εεεε-μμ-ηη): ');
INSERT INTO `lang_definitions` VALUES (68140, 7423, 17, '%');
INSERT INTO `lang_definitions` VALUES (68141, 7424, 17, '% Ακυρωθέντα < 24 ώρες');
INSERT INTO `lang_definitions` VALUES (68142, 7425, 17, '% Ακυρωθέντα < 24 ώρες ');
INSERT INTO `lang_definitions` VALUES (68143, 7426, 17, 'θα έπρεπε να υπήρχε, αλλά δεν υπάρχει.');
INSERT INTO `lang_definitions` VALUES (68144, 7427, 17, '(το % ταιριάζει με οποιαδήποτε συμβολοσειρά, το _ ταιριάζει με οποιοδήποτε χαρακτήρα)');
INSERT INTO `lang_definitions` VALUES (68145, 7428, 17, '(κάντε αριστερό κλικ κρατώντας πατημένο το [ctrl] για να επιλέξετε πολλαπλούς παραλήπτες)');
INSERT INTO `lang_definitions` VALUES (68146, 7429, 17, '(Πίσω)');
INSERT INTO `lang_definitions` VALUES (68147, 7430, 17, '(κάντε κλικ για επεξεργασία)');
INSERT INTO `lang_definitions` VALUES (68148, 7431, 17, '(Η παράδοση e-mail είναι άμεση, ενώ τα αυτόματα μηνύματα VOIP αποστέλλονται στον πάροχο προς διεκπεραίωση.)');
INSERT INTO `lang_definitions` VALUES (68149, 7433, 17, '(Νέος ασθενής)');
INSERT INTO `lang_definitions` VALUES (68150, 7434, 17, '(Σημειώσεις και Άδειες)');
INSERT INTO `lang_definitions` VALUES (68151, 7435, 17, '(Σημειώσεις ασθενούς)');
INSERT INTO `lang_definitions` VALUES (68152, 7436, 17, '(Επιλέξτε έναν από αυτούς ή πληκτρολογήστε το δικό σας τίτλο)');
INSERT INTO `lang_definitions` VALUES (68153, 7437, 17, '(Shift-) Κάντε κλικ ή συρετε για να αλλαγή τιμής');
INSERT INTO `lang_definitions` VALUES (68154, 7438, 17, '* Να γίνει Υπενθύμιση');
INSERT INTO `lang_definitions` VALUES (68155, 7439, 17, '** Παρακαλώ μεταφέρετε τα χειρουργεία στα Θέματα!');
INSERT INTO `lang_definitions` VALUES (68156, 7440, 17, '*Απαραίτητο');
INSERT INTO `lang_definitions` VALUES (68157, 7441, 17, '(+) Φάκελος ανεσύρθη');
INSERT INTO `lang_definitions` VALUES (68158, 7442, 17, '- Κανένα');
INSERT INTO `lang_definitions` VALUES (68159, 7445, 17, '.');
INSERT INTO `lang_definitions` VALUES (68160, 7446, 17, '0');
INSERT INTO `lang_definitions` VALUES (68161, 7447, 17, '0-10');
INSERT INTO `lang_definitions` VALUES (68162, 7448, 17, '0-24');
INSERT INTO `lang_definitions` VALUES (68163, 7451, 17, '1');
INSERT INTO `lang_definitions` VALUES (68164, 7452, 17, '30 = Ελλάς. Αναφερθείτε στο http://www.wtng.info/ για λίστα κωδικών άλλων κρατών.');
INSERT INTO `lang_definitions` VALUES (68165, 7453, 17, '1 Μέρα από τώρα');
INSERT INTO `lang_definitions` VALUES (68166, 7454, 17, '1 Μήνας από τώρα');
INSERT INTO `lang_definitions` VALUES (68167, 7455, 17, '1 Εβδομάδα από τώρα');
INSERT INTO `lang_definitions` VALUES (68168, 7456, 17, '1 Έτος από τώρα');
INSERT INTO `lang_definitions` VALUES (68169, 7457, 17, '1.Ανάπαυση 2. Πάγος για δύο ημέρες 3. Συμπίεση, αφήστε την πίεση στη θέση της, εκτός αν το πόδι αναπτύξει μούδιασμα, ή ωχρό χρώμα 4. Ανυψώστε το πόδι και το κάτω άκρο');
INSERT INTO `lang_definitions` VALUES (68170, 7458, 17, '11-14');
INSERT INTO `lang_definitions` VALUES (68171, 7459, 17, '12 ώρ');
INSERT INTO `lang_definitions` VALUES (68172, 7460, 17, '15-19');
INSERT INTO `lang_definitions` VALUES (68173, 7462, 17, '2');
INSERT INTO `lang_definitions` VALUES (68174, 7463, 17, '2 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (68175, 7464, 17, '2 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68176, 7465, 17, '2 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (68177, 7466, 17, '2 Έτη από τώρα');
INSERT INTO `lang_definitions` VALUES (68178, 7468, 17, '20-24');
INSERT INTO `lang_definitions` VALUES (68179, 7477, 17, '2111-13');
INSERT INTO `lang_definitions` VALUES (68180, 7478, 17, '24 ωρ');
INSERT INTO `lang_definitions` VALUES (68181, 7479, 17, '25+');
INSERT INTO `lang_definitions` VALUES (68182, 7480, 17, '25-29');
INSERT INTO `lang_definitions` VALUES (68183, 7481, 17, '2ο');
INSERT INTO `lang_definitions` VALUES (68184, 7482, 17, '3 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (68185, 7483, 17, '3 μήνες');
INSERT INTO `lang_definitions` VALUES (68186, 7484, 17, '3 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68187, 7485, 17, '3 φορές ημερησίως');
INSERT INTO `lang_definitions` VALUES (68188, 7486, 17, '3 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (68189, 7487, 17, '30-34');
INSERT INTO `lang_definitions` VALUES (68190, 7488, 17, '35-39');
INSERT INTO `lang_definitions` VALUES (68191, 7489, 17, '3ο');
INSERT INTO `lang_definitions` VALUES (68192, 7490, 17, '4 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (68193, 7491, 17, '4 μήνες');
INSERT INTO `lang_definitions` VALUES (68194, 7492, 17, '4 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68195, 7493, 17, '4 φορές ημερησίως');
INSERT INTO `lang_definitions` VALUES (68196, 7494, 17, '4 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (68197, 7495, 17, '40-44');
INSERT INTO `lang_definitions` VALUES (68198, 7496, 17, '45+');
INSERT INTO `lang_definitions` VALUES (68199, 7497, 17, '465.9, Λοίμωξη ανώτερου ουροποιητικού');
INSERT INTO `lang_definitions` VALUES (68200, 7498, 17, '466.0, Βρογχίτιδα, Οξεία Συνθετάση του ΝΟ');
INSERT INTO `lang_definitions` VALUES (68201, 7499, 17, '486.0, Πνευμονία, οξεία');
INSERT INTO `lang_definitions` VALUES (68202, 7500, 17, '491.21, ΧΑΠ έξαρση');
INSERT INTO `lang_definitions` VALUES (68203, 7501, 17, '491.8, Βρογχίτιδα, Χρόνια');
INSERT INTO `lang_definitions` VALUES (68204, 7502, 17, '493.92, Άσθμα, οξεία έξαρση');
INSERT INTO `lang_definitions` VALUES (68205, 7503, 17, '496.0, ΧΑΠ');
INSERT INTO `lang_definitions` VALUES (68206, 7504, 17, '4ο');
INSERT INTO `lang_definitions` VALUES (68207, 7505, 17, '5 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (68208, 7506, 17, '5 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68209, 7507, 17, '5 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (68210, 7508, 17, '519.7, Βρογχόσπασμος');
INSERT INTO `lang_definitions` VALUES (68211, 7509, 17, '5ο');
INSERT INTO `lang_definitions` VALUES (68212, 7510, 17, '6 Μέρες από τώρα');
INSERT INTO `lang_definitions` VALUES (68213, 7511, 17, '6 μήνες');
INSERT INTO `lang_definitions` VALUES (68214, 7512, 17, '6 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68215, 7513, 17, '6 Εβδομάδες από τώρα');
INSERT INTO `lang_definitions` VALUES (68216, 7514, 17, '6ο');
INSERT INTO `lang_definitions` VALUES (68217, 7515, 17, '7 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68218, 7516, 17, '8 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68219, 7517, 17, '824.0 Κάταγμα, έσω σφυρό, κλειστό');
INSERT INTO `lang_definitions` VALUES (68220, 7518, 17, '824.2 Κάταγμα, έξω σφυρό, κλειστό');
INSERT INTO `lang_definitions` VALUES (68221, 7519, 17, '824.6 Κάταγμα, τρισφύριο, κλειστό');
INSERT INTO `lang_definitions` VALUES (68222, 7520, 17, '825.32 Κάταγμα, σκαφοειδούς (αστράγαλο)');
INSERT INTO `lang_definitions` VALUES (68223, 7521, 17, '825.35 Κάταγμα, Βάση του πέμπτου (5ου) μεταταρσίου');
INSERT INTO `lang_definitions` VALUES (68224, 7522, 17, '845.00 διάστρεμμα ποδοκνημικής ΜΑΔ');
INSERT INTO `lang_definitions` VALUES (68225, 7523, 17, '845.01 Διάστρεμμα έσω (δελτοειδικού) συνδ.');
INSERT INTO `lang_definitions` VALUES (68226, 7524, 17, '845.02 Διάστρεμμα, περονιαίας πτέρνας');
INSERT INTO `lang_definitions` VALUES (68227, 7525, 17, '9 Μήνες από τώρα');
INSERT INTO `lang_definitions` VALUES (68228, 7526, 17, '99212 Βεβαιωμένο – Ανεπίπλεκτο');
INSERT INTO `lang_definitions` VALUES (68229, 7527, 17, '99213 Βεβαιωμένο – Ήπια πολυπλοκότητα');
INSERT INTO `lang_definitions` VALUES (68230, 7528, 17, '< Στο εξεταστήριο');
INSERT INTO `lang_definitions` VALUES (68231, 7529, 17, '> Έγινε έλεγχος εξόδου');
INSERT INTO `lang_definitions` VALUES (68232, 7531, 17, '? Μη προσέλευση');
INSERT INTO `lang_definitions` VALUES (68233, 7532, 17, '@ Έφτασε');
INSERT INTO `lang_definitions` VALUES (68234, 7533, 17, '[Αλλαγή Προβολής]');
INSERT INTO `lang_definitions` VALUES (68235, 7534, 17, '[Ημερομ. Τελευταίας επίσκεψης]');
INSERT INTO `lang_definitions` VALUES (68236, 7535, 17, '[Ημέρες από την Τελευταία επίσκεψη]');
INSERT INTO `lang_definitions` VALUES (68237, 7536, 17, '[Περιγραφή');
INSERT INTO `lang_definitions` VALUES (68238, 7537, 17, '[Εξαγωγή Ανοικτής Οικονομικής Συναλλαγής]');
INSERT INTO `lang_definitions` VALUES (68239, 7538, 17, '[δεν συνιστάται]');
INSERT INTO `lang_definitions` VALUES (68240, 7539, 17, '[Αριθμός Επισκέψεων]');
INSERT INTO `lang_definitions` VALUES (68241, 7540, 17, '[Αναφορές]');
INSERT INTO `lang_definitions` VALUES (68242, 7541, 17, '[Επιλογή Όλων]');
INSERT INTO `lang_definitions` VALUES (68243, 7542, 17, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (68244, 7543, 17, '[Έναρξη Επεξεργασίας κατά Δέσμες]');
INSERT INTO `lang_definitions` VALUES (68245, 7544, 17, '[Προβολή αρχείου καταγραφής Log]');
INSERT INTO `lang_definitions` VALUES (68246, 7545, 17, '[Προβολή Εκτυπώσιμης Αναφοράς]');
INSERT INTO `lang_definitions` VALUES (68247, 7546, 17, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (68248, 7547, 17, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (68249, 7548, 17, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (68250, 7549, 17, '~ Καθυστέρησε');
INSERT INTO `lang_definitions` VALUES (68251, 55, 18, 'Access Not Authorised');
INSERT INTO `lang_definitions` VALUES (68252, 69, 18, 'ACL Administration Not Authorised');
INSERT INTO `lang_definitions` VALUES (68253, 121, 18, 'Add Immunisation');
INSERT INTO `lang_definitions` VALUES (68254, 122, 18, 'Add is not authorised!');
INSERT INTO `lang_definitions` VALUES (68255, 156, 18, 'Adding demographics is not authorised.');
INSERT INTO `lang_definitions` VALUES (68256, 278, 18, 'All or part of the organisation');
INSERT INTO `lang_definitions` VALUES (68257, 304, 18, 'Allow Immunisation Info Sharing');
INSERT INTO `lang_definitions` VALUES (68258, 305, 18, 'Allow Immunisation Registry Use');
INSERT INTO `lang_definitions` VALUES (68259, 391, 18, 'Any part of the immunisation id or immunisation name');
INSERT INTO `lang_definitions` VALUES (68260, 424, 18, 'Appointment/Event Colour');
INSERT INTO `lang_definitions` VALUES (68261, 523, 18, 'Authorisation group');
INSERT INTO `lang_definitions` VALUES (68262, 524, 18, 'Authorisation Status');
INSERT INTO `lang_definitions` VALUES (68263, 525, 18, 'Authorisations');
INSERT INTO `lang_definitions` VALUES (68264, 526, 18, 'Authorise');
INSERT INTO `lang_definitions` VALUES (68265, 527, 18, 'Authorise - any encounters');
INSERT INTO `lang_definitions` VALUES (68266, 528, 18, 'Authorise - my encounters');
INSERT INTO `lang_definitions` VALUES (68267, 529, 18, 'Authorise.net');
INSERT INTO `lang_definitions` VALUES (68268, 530, 18, 'Authorised');
INSERT INTO `lang_definitions` VALUES (68269, 531, 18, 'Authorised Only');
INSERT INTO `lang_definitions` VALUES (68270, 710, 18, 'BOX 18. Hospitalisation date from (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (68271, 711, 18, 'BOX 18. Hospitalisation date to (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (68272, 714, 18, 'BOX 23. Prior Authorisation No. ');
INSERT INTO `lang_definitions` VALUES (68273, 814, 18, 'Cardiac Catheterisation');
INSERT INTO `lang_definitions` VALUES (68274, 945, 18, 'Childhood immunisation Status (CQM)');
INSERT INTO `lang_definitions` VALUES (68275, 978, 18, 'City, State Pin');
INSERT INTO `lang_definitions` VALUES (68276, 1149, 18, 'Coding not authorised');
INSERT INTO `lang_definitions` VALUES (68277, 1168, 18, 'Colour');
INSERT INTO `lang_definitions` VALUES (68278, 1304, 18, 'Counselling');
INSERT INTO `lang_definitions` VALUES (68279, 1305, 18, 'Counselling activities');
INSERT INTO `lang_definitions` VALUES (68280, 1313, 18, 'district');
INSERT INTO `lang_definitions` VALUES (68281, 1373, 18, 'Current day highlight colour');
INSERT INTO `lang_definitions` VALUES (68282, 1389, 18, 'Cushing Syndrome');
INSERT INTO `lang_definitions` VALUES (68283, 1398, 18, 'CVX Immunisation');
INSERT INTO `lang_definitions` VALUES (68284, 1447, 18, 'Date Immunisation Information Statements Given');
INSERT INTO `lang_definitions` VALUES (68285, 1586, 18, 'Demographics not authorised');
INSERT INTO `lang_definitions` VALUES (68286, 1587, 18, 'Demographics not authorised.');
INSERT INTO `lang_definitions` VALUES (68287, 1669, 18, 'Disable Immunisations');
INSERT INTO `lang_definitions` VALUES (68288, 1745, 18, 'Do not require patient notes to be authorised');
INSERT INTO `lang_definitions` VALUES (68289, 1761, 18, 'Do you wish to PERMANENTLY delete this immunisation record?');
INSERT INTO `lang_definitions` VALUES (68290, 1919, 18, 'Edit is not authorised!');
INSERT INTO `lang_definitions` VALUES (68291, 1935, 18, 'PAN');
INSERT INTO `lang_definitions` VALUES (68292, 2087, 18, 'encounter health and behaviour assessment');
INSERT INTO `lang_definitions` VALUES (68293, 2102, 18, 'encounter preventive medicine - individual counseling');
INSERT INTO `lang_definitions` VALUES (68294, 2116, 18, 'Encounters not authorised');
INSERT INTO `lang_definitions` VALUES (68295, 2158, 18, 'Enter Immunisations');
INSERT INTO `lang_definitions` VALUES (68296, 2298, 18, 'Exclusive Provider Organisation (EPO)');
INSERT INTO `lang_definitions` VALUES (68297, 2415, 18, 'MCI/State Registration No.');
INSERT INTO `lang_definitions` VALUES (68298, 2416, 18, 'TAN');
INSERT INTO `lang_definitions` VALUES (68299, 2417, 18, 'PAN');
INSERT INTO `lang_definitions` VALUES (68300, 2552, 18, 'For Referred Organisation/Practitioner');
INSERT INTO `lang_definitions` VALUES (68301, 2741, 18, 'Gynaecological Exam');
INSERT INTO `lang_definitions` VALUES (68302, 2776, 18, 'Health Maintenance Organisation');
INSERT INTO `lang_definitions` VALUES (68303, 2777, 18, 'Health Maintenance Organisation (HMO) Medicare Risk');
INSERT INTO `lang_definitions` VALUES (68304, 2798, 18, 'Haematemesis');
INSERT INTO `lang_definitions` VALUES (68305, 2799, 18, 'Haematochezia');
INSERT INTO `lang_definitions` VALUES (68306, 2800, 18, 'Haematologic');
INSERT INTO `lang_definitions` VALUES (68307, 2801, 18, 'Haematuria');
INSERT INTO `lang_definitions` VALUES (68308, 2802, 18, 'Haemoglobin');
INSERT INTO `lang_definitions` VALUES (68309, 2804, 18, 'Haemoptysis');
INSERT INTO `lang_definitions` VALUES (68310, 2852, 18, 'History not authorised');
INSERT INTO `lang_definitions` VALUES (68311, 2942, 18, 'Immunisation');
INSERT INTO `lang_definitions` VALUES (68312, 2943, 18, 'Immunisation Code');
INSERT INTO `lang_definitions` VALUES (68313, 2945, 18, 'Immunisation Date');
INSERT INTO `lang_definitions` VALUES (68314, 2946, 18, 'Immunisation Expiration Date');
INSERT INTO `lang_definitions` VALUES (68315, 2947, 18, 'Immunisation Lot Number');
INSERT INTO `lang_definitions` VALUES (68316, 2948, 18, 'Immunisation Manufacturer');
INSERT INTO `lang_definitions` VALUES (68317, 2949, 18, 'Immunisation Registry');
INSERT INTO `lang_definitions` VALUES (68318, 2950, 18, 'Immunisation Report');
INSERT INTO `lang_definitions` VALUES (68319, 2951, 18, 'Immunisation Service');
INSERT INTO `lang_definitions` VALUES (68320, 2952, 18, 'Immunisation Title');
INSERT INTO `lang_definitions` VALUES (68321, 2953, 18, 'Immunisations');
INSERT INTO `lang_definitions` VALUES (68322, 2954, 18, 'Immunise');
INSERT INTO `lang_definitions` VALUES (68323, 2989, 18, 'Include Uncategorised');
INSERT INTO `lang_definitions` VALUES (68324, 3008, 18, 'Indicator for specialised usage');
INSERT INTO `lang_definitions` VALUES (68325, 3023, 18, 'Influenza Immunisation for Patients >= 50 Years Old');
INSERT INTO `lang_definitions` VALUES (68326, 3024, 18, 'Influenza Immunisation for Patients >= 50 Years Old (CQM)');
INSERT INTO `lang_definitions` VALUES (68327, 3194, 18, 'Is it ok to map these CVX codes to already existent immunisations?');
INSERT INTO `lang_definitions` VALUES (68328, 3228, 18, 'Issues not authorised');
INSERT INTO `lang_definitions` VALUES (68329, 3828, 18, 'Name and Title of Immunisation Administrator');
INSERT INTO `lang_definitions` VALUES (68330, 3907, 18, 'New encounters not authorised');
INSERT INTO `lang_definitions` VALUES (68331, 4128, 18, 'Not authorised to access PostCalendar module');
INSERT INTO `lang_definitions` VALUES (68332, 4129, 18, 'Not authorised');
INSERT INTO `lang_definitions` VALUES (68333, 4130, 18, 'Not Authorised');
INSERT INTO `lang_definitions` VALUES (68334, 4131, 18, 'Not authorised for this squad!');
INSERT INTO `lang_definitions` VALUES (68335, 4132, 18, 'Not authorised for this squad.');
INSERT INTO `lang_definitions` VALUES (68336, 4133, 18, 'Not authorised to manage users!');
INSERT INTO `lang_definitions` VALUES (68337, 4134, 18, 'Not authorised to sign results');
INSERT INTO `lang_definitions` VALUES (68338, 4168, 18, 'Note: This code was not entered by an authorised user. Only authorised codes may be uploaded to the Open Medical Billing Network for processing. If you wish to upload these codes, please select an authorised user here.');
INSERT INTO `lang_definitions` VALUES (68339, 4175, 18, 'Notes not authorised');
INSERT INTO `lang_definitions` VALUES (68340, 4344, 18, 'Optional immunisation name or code, use % as a wildcard');
INSERT INTO `lang_definitions` VALUES (68341, 4387, 18, 'Organisation');
INSERT INTO `lang_definitions` VALUES (68342, 4388, 18, 'Organisation Name');
INSERT INTO `lang_definitions` VALUES (68343, 4389, 18, 'Organisational Unit Name');
INSERT INTO `lang_definitions` VALUES (68344, 4390, 18, 'Organisations');
INSERT INTO `lang_definitions` VALUES (68345, 4560, 18, 'Patient has not authorised the Patient Portal.');
INSERT INTO `lang_definitions` VALUES (68346, 4568, 18, 'Patient Immunisation');
INSERT INTO `lang_definitions` VALUES (68347, 4935, 18, 'Post-Abortion Counselling');
INSERT INTO `lang_definitions` VALUES (68348, 4968, 18, 'Preferred Provider Organisation (PPO)');
INSERT INTO `lang_definitions` VALUES (68349, 5070, 18, 'Prior Authorisation Form');
INSERT INTO `lang_definitions` VALUES (68350, 5421, 18, 'Removes support for immunisations');
INSERT INTO `lang_definitions` VALUES (68351, 5501, 18, 'Restrict non-authorised users to the Schedule Facilities set in User admin.');
INSERT INTO `lang_definitions` VALUES (68352, 5601, 18, 'Aadhaar Number');
INSERT INTO `lang_definitions` VALUES (68353, 5631, 18, 'Save Immunisation');
INSERT INTO `lang_definitions` VALUES (68354, 5658, 18, 'SE Pin Code');
INSERT INTO `lang_definitions` VALUES (68355, 5700, 18, 'See Authorisations');
INSERT INTO `lang_definitions` VALUES (68356, 5739, 18, 'Select Immunisations');
INSERT INTO `lang_definitions` VALUES (68357, 5740, 18, 'Select Immunisations for De Identification request');
INSERT INTO `lang_definitions` VALUES (68358, 5885, 18, 'Show Authorised Only');
INSERT INTO `lang_definitions` VALUES (68359, 5963, 18, 'Skip Authorisation of Patient Notes');
INSERT INTO `lang_definitions` VALUES (68360, 6014, 18, 'Some authorisations were not displayed. Click here to view all');
INSERT INTO `lang_definitions` VALUES (68361, 6111, 18, 'UID');
INSERT INTO `lang_definitions` VALUES (68362, 6113, 18, 'Aadhaar');
INSERT INTO `lang_definitions` VALUES (68363, 6221, 18, 'Subscriber Employer Pin Code');
INSERT INTO `lang_definitions` VALUES (68364, 6308, 18, 'Synchronise');
INSERT INTO `lang_definitions` VALUES (68365, 6309, 18, 'Synchronise translations with custom language table.');
INSERT INTO `lang_definitions` VALUES (68366, 6310, 18, 'Synchronised new custom constant:');
INSERT INTO `lang_definitions` VALUES (68367, 6311, 18, 'Synchronised new custom language:');
INSERT INTO `lang_definitions` VALUES (68368, 6312, 18, 'Synchronised new definition (Language, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (68369, 6488, 18, 'The translation tables are synchronised.');
INSERT INTO `lang_definitions` VALUES (68370, 6619, 18, 'This will use the custom immunisations list rather than the standard CVX immunisation list.');
INSERT INTO `lang_definitions` VALUES (68371, 6700, 18, 'TO_ORGANISATION');
INSERT INTO `lang_definitions` VALUES (68372, 6755, 18, 'Total Number of Immunisations');
INSERT INTO `lang_definitions` VALUES (68373, 6878, 18, 'Unauthorised');
INSERT INTO `lang_definitions` VALUES (68374, 6879, 18, 'Unauthorised access to ePrescription');
INSERT INTO `lang_definitions` VALUES (68375, 6880, 18, 'Unauthorised access.');
INSERT INTO `lang_definitions` VALUES (68376, 6942, 18, 'Updating demographics is not authorised.');
INSERT INTO `lang_definitions` VALUES (68377, 6950, 18, 'Registration No');
INSERT INTO `lang_definitions` VALUES (68378, 6997, 18, 'Use Custom Immunisation List');
INSERT INTO `lang_definitions` VALUES (68379, 7307, 18, 'You are not authorised for this.');
INSERT INTO `lang_definitions` VALUES (68380, 7308, 18, 'You are not authorised to access this squad.');
INSERT INTO `lang_definitions` VALUES (68381, 7309, 18, 'You are not authorised to add/edit issues');
INSERT INTO `lang_definitions` VALUES (68382, 7310, 18, 'You are not authorised to schedule appointments.');
INSERT INTO `lang_definitions` VALUES (68383, 7311, 18, 'You are not authorised to see this encounter.');
INSERT INTO `lang_definitions` VALUES (68384, 7367, 18, 'yyyy-mm-dd Date of onset or hospitalisation');
INSERT INTO `lang_definitions` VALUES (68385, 7389, 18, 'Pin');
INSERT INTO `lang_definitions` VALUES (68386, 7390, 18, 'Pin Code');
INSERT INTO `lang_definitions` VALUES (68387, 7391, 18, 'Pin/Country');
INSERT INTO `lang_definitions` VALUES (68388, 7420, 18, 'INR');
INSERT INTO `lang_definitions` VALUES (68389, 7421, 18, 'INR Coding done');
INSERT INTO `lang_definitions` VALUES (68390, 7434, 18, '(Notes and Authorisations)');
INSERT INTO `lang_definitions` VALUES (68391, 7457, 18, '1.Rest 2. Ice for two days 3. Compression, leave the dressing in place unless the foot develops numbness or pale colour 4. Elevate the foot and leg');
INSERT INTO `lang_definitions` VALUES (68392, 1, 19, 'Um');
INSERT INTO `lang_definitions` VALUES (68393, 2, 19, 'Número de cheque ou de crédito para identificar o pagamento');
INSERT INTO `lang_definitions` VALUES (68394, 3, 19, 'Certificado de cliente para o administrador do sistema');
INSERT INTO `lang_definitions` VALUES (68395, 8, 19, 'Um formulário GCAC deve ser acrescentado a esta visita');
INSERT INTO `lang_definitions` VALUES (68396, 9, 19, 'Falta o número de lote');
INSERT INTO `lang_definitions` VALUES (68397, 10, 19, 'Falta o número de lote!');
INSERT INTO `lang_definitions` VALUES (68398, 11, 19, 'Letra minúscula');
INSERT INTO `lang_definitions` VALUES (68399, 12, 19, 'Um número');
INSERT INTO `lang_definitions` VALUES (68400, 14, 19, 'Já existe um utentecom este ID.');
INSERT INTO `lang_definitions` VALUES (68401, 15, 19, 'Já existe um utentecom este nome.');
INSERT INTO `lang_definitions` VALUES (68402, 16, 19, 'Já existe um utente com este SS.');
INSERT INTO `lang_definitions` VALUES (68403, 19, 19, 'Uma fonte de referência pode ser especificada para cada visita');
INSERT INTO `lang_definitions` VALUES (68404, 20, 19, 'Necessario o codigo IPPF');
INSERT INTO `lang_definitions` VALUES (68405, 21, 19, 'Caractere especial');
INSERT INTO `lang_definitions` VALUES (68406, 22, 19, 'Um valor único para identificar este campo, não visível para o utilizador');
INSERT INTO `lang_definitions` VALUES (68407, 24, 19, 'a.c.');
INSERT INTO `lang_definitions` VALUES (68408, 25, 19, 'a.m.');
INSERT INTO `lang_definitions` VALUES (68409, 26, 19, 'A/F Nivel Direito');
INSERT INTO `lang_definitions` VALUES (68410, 27, 19, 'AB');
INSERT INTO `lang_definitions` VALUES (68411, 28, 19, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (68412, 29, 19, 'Abcesso:');
INSERT INTO `lang_definitions` VALUES (68413, 30, 19, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (68414, 31, 19, 'Capaz de suportar o peso por quatro (4) passos:');
INSERT INTO `lang_definitions` VALUES (68415, 32, 19, 'Abn');
INSERT INTO `lang_definitions` VALUES (68416, 33, 19, 'ABN1');
INSERT INTO `lang_definitions` VALUES (68417, 34, 19, 'Anormal');
INSERT INTO `lang_definitions` VALUES (68418, 35, 19, 'Teste Sanguíneo Anormal');
INSERT INTO `lang_definitions` VALUES (68419, 36, 19, 'Crescimento Anormal do Cabelo');
INSERT INTO `lang_definitions` VALUES (68420, 37, 19, 'Mamografia Anormal');
INSERT INTO `lang_definitions` VALUES (68421, 39, 19, 'Aborto');
INSERT INTO `lang_definitions` VALUES (68422, 40, 19, 'Casos de Aborto');
INSERT INTO `lang_definitions` VALUES (68423, 41, 19, 'Método de Aborto');
INSERT INTO `lang_definitions` VALUES (68424, 42, 19, 'Categorias Relacionadas com Aborto');
INSERT INTO `lang_definitions` VALUES (68425, 43, 19, 'Abortos');
INSERT INTO `lang_definitions` VALUES (68426, 44, 19, 'Sobre o calendário');
INSERT INTO `lang_definitions` VALUES (68427, 46, 19, 'Ausências por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (68428, 47, 19, 'Aceitar Tarefa');
INSERT INTO `lang_definitions` VALUES (68429, 49, 19, 'Aceite Pagamento para');
INSERT INTO `lang_definitions` VALUES (68430, 50, 19, 'Aceita Tarefa');
INSERT INTO `lang_definitions` VALUES (68431, 51, 19, 'Controlo de Acesso');
INSERT INTO `lang_definitions` VALUES (68432, 52, 19, 'Controlo de Acesso Lista de Administração');
INSERT INTO `lang_definitions` VALUES (68433, 56, 19, 'Acesso ao Portal do Cliente');
INSERT INTO `lang_definitions` VALUES (68434, 59, 19, 'Nome da Conta');
INSERT INTO `lang_definitions` VALUES (68435, 62, 19, 'Contabilidade');
INSERT INTO `lang_definitions` VALUES (68436, 64, 19, 'Dores');
INSERT INTO `lang_definitions` VALUES (68437, 65, 19, 'Verificacao pedida (ISA14)');
INSERT INTO `lang_definitions` VALUES (68438, 67, 19, 'ACL');
INSERT INTO `lang_definitions` VALUES (68439, 68, 19, 'Administração ACL');
INSERT INTO `lang_definitions` VALUES (68440, 69, 19, 'Administração ACL Não Autorizada');
INSERT INTO `lang_definitions` VALUES (68441, 71, 19, 'Acne');
INSERT INTO `lang_definitions` VALUES (68442, 72, 19, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (68443, 73, 19, 'Data do Procedimento');
INSERT INTO `lang_definitions` VALUES (68444, 74, 19, 'Ação');
INSERT INTO `lang_definitions` VALUES (68445, 75, 19, 'Ações');
INSERT INTO `lang_definitions` VALUES (68446, 78, 19, 'Activo');
INSERT INTO `lang_definitions` VALUES (68447, 79, 19, 'Alerta Ativo');
INSERT INTO `lang_definitions` VALUES (68448, 80, 19, 'Regras de Alerta Ativas');
INSERT INTO `lang_definitions` VALUES (68449, 81, 19, 'Alertas/Lembranças Ativas');
INSERT INTO `lang_definitions` VALUES (68450, 82, 19, 'Consulta Ativa');
INSERT INTO `lang_definitions` VALUES (68451, 84, 19, 'Listas activas');
INSERT INTO `lang_definitions` VALUES (68452, 85, 19, 'Utente Activo');
INSERT INTO `lang_definitions` VALUES (68453, 86, 19, 'Planos Ativos');
INSERT INTO `lang_definitions` VALUES (68454, 87, 19, 'Actividade');
INSERT INTO `lang_definitions` VALUES (68455, 88, 19, 'Tipo de atividade');
INSERT INTO `lang_definitions` VALUES (68456, 92, 19, 'Agudização');
INSERT INTO `lang_definitions` VALUES (68457, 93, 19, 'adicionar');
INSERT INTO `lang_definitions` VALUES (68458, 94, 19, 'Adicionar');
INSERT INTO `lang_definitions` VALUES (68459, 95, 19, 'ADICIONAR');
INSERT INTO `lang_definitions` VALUES (68460, 96, 19, 'Adicionar uma Empresa');
INSERT INTO `lang_definitions` VALUES (68461, 98, 19, 'Adicionar uma Farmácia');
INSERT INTO `lang_definitions` VALUES (68462, 100, 19, 'adicionar um evento para ');
INSERT INTO `lang_definitions` VALUES (68463, 101, 19, 'adicionar como uma nova nota');
INSERT INTO `lang_definitions` VALUES (68464, 102, 19, 'Adicionar como Novo');
INSERT INTO `lang_definitions` VALUES (68465, 104, 19, 'Adicionar Botões');
INSERT INTO `lang_definitions` VALUES (68466, 105, 19, 'Adicionar Botões para Caracteres ou Textos Especiais serem exibidos na parte de cima do editor para inclusão no texto através de um click no rato.');
INSERT INTO `lang_definitions` VALUES (68467, 106, 19, 'Adicionar Categoria');
INSERT INTO `lang_definitions` VALUES (68468, 107, 19, 'Adicionar Constante');
INSERT INTO `lang_definitions` VALUES (68469, 108, 19, 'Adicionar Contexto');
INSERT INTO `lang_definitions` VALUES (68470, 109, 19, 'Adicionar Copagamento');
INSERT INTO `lang_definitions` VALUES (68471, 110, 19, 'Adicionar critério');
INSERT INTO `lang_definitions` VALUES (68472, 111, 19, 'Adicionar botão costumizado');
INSERT INTO `lang_definitions` VALUES (68473, 112, 19, 'Adicionar Diagnóstico');
INSERT INTO `lang_definitions` VALUES (68474, 113, 19, 'Adicionar Medicamento');
INSERT INTO `lang_definitions` VALUES (68475, 114, 19, 'Adicionar Consulta');
INSERT INTO `lang_definitions` VALUES (68476, 115, 19, 'Adicionar consulta/notas');
INSERT INTO `lang_definitions` VALUES (68477, 116, 19, 'Adicionar Clínica');
INSERT INTO `lang_definitions` VALUES (68478, 117, 19, 'Adicionar Campo');
INSERT INTO `lang_definitions` VALUES (68479, 118, 19, 'Junte estas linhas ao ficheiro de configuração do Servidor Web');
INSERT INTO `lang_definitions` VALUES (68480, 119, 19, 'Adicionar Grupo');
INSERT INTO `lang_definitions` VALUES (68481, 120, 19, 'Adicionar Código CDI');
INSERT INTO `lang_definitions` VALUES (68482, 121, 19, 'Adicionar Imunização');
INSERT INTO `lang_definitions` VALUES (68483, 123, 19, 'Adicionar Ocorrência');
INSERT INTO `lang_definitions` VALUES (68484, 125, 19, 'Adicionar Idioma');
INSERT INTO `lang_definitions` VALUES (68485, 126, 19, 'Adicionar Novo');
INSERT INTO `lang_definitions` VALUES (68486, 127, 19, 'Adicionar novo');
INSERT INTO `lang_definitions` VALUES (68487, 128, 19, 'Adicionar nova categoria: ');
INSERT INTO `lang_definitions` VALUES (68488, 129, 19, 'Junte novos certificados ao ficheiro de configuração do Servidor Web');
INSERT INTO `lang_definitions` VALUES (68489, 132, 19, 'Adicionar Novo Grupo');
INSERT INTO `lang_definitions` VALUES (68490, 134, 19, 'Junte novo lote e transação');
INSERT INTO `lang_definitions` VALUES (68491, 135, 19, 'Adicionar Nova Nota');
INSERT INTO `lang_definitions` VALUES (68492, 136, 19, 'Adicionar nova nota');
INSERT INTO `lang_definitions` VALUES (68493, 137, 19, 'Adicionar Novo Parceiro');
INSERT INTO `lang_definitions` VALUES (68494, 140, 19, 'Adicionar Nota');
INSERT INTO `lang_definitions` VALUES (68495, 141, 19, 'Adicionar Registo do Utente');
INSERT INTO `lang_definitions` VALUES (68496, 142, 19, 'Adicionar Receita');
INSERT INTO `lang_definitions` VALUES (68497, 144, 19, 'Adicionar Número do Clínico');
INSERT INTO `lang_definitions` VALUES (68498, 146, 19, 'Adicionar Regra');
INSERT INTO `lang_definitions` VALUES (68499, 147, 19, 'Adicionar a');
INSERT INTO `lang_definitions` VALUES (68500, 148, 19, 'Adicionar à Lista de Medicamentos');
INSERT INTO `lang_definitions` VALUES (68501, 149, 19, 'Adicionar Nível Topo');
INSERT INTO `lang_definitions` VALUES (68502, 150, 19, 'Adicionar Transação');
INSERT INTO `lang_definitions` VALUES (68503, 151, 19, 'Adicionar Utilizador');
INSERT INTO `lang_definitions` VALUES (68504, 152, 19, 'Adicionar Utilizador ao Grupo');
INSERT INTO `lang_definitions` VALUES (68505, 154, 19, 'Adicionar/Editar Transacção do Utente');
INSERT INTO `lang_definitions` VALUES (68506, 155, 19, 'adicionado');
INSERT INTO `lang_definitions` VALUES (68507, 156, 19, 'Não está autorizado a adicionar dados demográficos.');
INSERT INTO `lang_definitions` VALUES (68508, 158, 19, 'Síndroma de Addison');
INSERT INTO `lang_definitions` VALUES (68509, 159, 19, 'Síndroma de Addison');
INSERT INTO `lang_definitions` VALUES (68510, 160, 19, 'Atributos adicionais');
INSERT INTO `lang_definitions` VALUES (68511, 161, 19, 'Diagnósticos adicionais:');
INSERT INTO `lang_definitions` VALUES (68512, 162, 19, 'Historial Adicional');
INSERT INTO `lang_definitions` VALUES (68513, 163, 19, 'Notas do historial adicional');
INSERT INTO `lang_definitions` VALUES (68514, 164, 19, 'Informação Adicional');
INSERT INTO `lang_definitions` VALUES (68515, 165, 19, 'Laboratórios adicionais');
INSERT INTO `lang_definitions` VALUES (68516, 166, 19, 'Notas adicionais');
INSERT INTO `lang_definitions` VALUES (68517, 168, 19, 'Notas adicionais:');
INSERT INTO `lang_definitions` VALUES (68518, 169, 19, 'Notas adicionais: ');
INSERT INTO `lang_definitions` VALUES (68519, 170, 19, 'Notas de RADIOGRAFIA adicionais:');
INSERT INTO `lang_definitions` VALUES (68520, 172, 19, 'Só adicionar');
INSERT INTO `lang_definitions` VALUES (68521, 173, 19, 'Contactos');
INSERT INTO `lang_definitions` VALUES (68522, 174, 19, 'Contactos');
INSERT INTO `lang_definitions` VALUES (68523, 175, 19, 'Endereço');
INSERT INTO `lang_definitions` VALUES (68524, 178, 19, 'Contactos');
INSERT INTO `lang_definitions` VALUES (68525, 179, 19, 'Contacto empresa que vai efectuar o procedimento');
INSERT INTO `lang_definitions` VALUES (68526, 180, 19, 'Contacto do fornecedor');
INSERT INTO `lang_definitions` VALUES (68527, 181, 19, 'Contacto do vendedor');
INSERT INTO `lang_definitions` VALUES (68528, 182, 19, 'Tipos de Contacto');
INSERT INTO `lang_definitions` VALUES (68529, 187, 19, 'Endereço1');
INSERT INTO `lang_definitions` VALUES (68530, 188, 19, 'Endereço2');
INSERT INTO `lang_definitions` VALUES (68531, 189, 19, 'DESTINATÁRIO');
INSERT INTO `lang_definitions` VALUES (68532, 190, 19, 'Ajt');
INSERT INTO `lang_definitions` VALUES (68533, 191, 19, 'Ajt Quant');
INSERT INTO `lang_definitions` VALUES (68534, 192, 19, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (68535, 193, 19, 'Entendimento');
INSERT INTO `lang_definitions` VALUES (68536, 195, 19, 'Razões de ajuste');
INSERT INTO `lang_definitions` VALUES (68537, 196, 19, 'Valor de ajuste para código ');
INSERT INTO `lang_definitions` VALUES (68538, 197, 19, 'Ajustes');
INSERT INTO `lang_definitions` VALUES (68539, 198, 19, 'Adm ajuste');
INSERT INTO `lang_definitions` VALUES (68540, 199, 19, 'Admin');
INSERT INTO `lang_definitions` VALUES (68541, 200, 19, 'Admin E-mail');
INSERT INTO `lang_definitions` VALUES (68542, 201, 19, 'Administrado Via');
INSERT INTO `lang_definitions` VALUES (68543, 202, 19, 'Administrado');
INSERT INTO `lang_definitions` VALUES (68544, 203, 19, 'Administrado por');
INSERT INTO `lang_definitions` VALUES (68545, 206, 19, 'Administração');
INSERT INTO `lang_definitions` VALUES (68546, 208, 19, 'Administradores');
INSERT INTO `lang_definitions` VALUES (68547, 209, 19, 'Administradores podem fazer qualquer operação');
INSERT INTO `lang_definitions` VALUES (68548, 214, 19, 'Directiva avançada');
INSERT INTO `lang_definitions` VALUES (68549, 215, 19, 'Directivas Avançadas');
INSERT INTO `lang_definitions` VALUES (68550, 218, 19, 'Avançado');
INSERT INTO `lang_definitions` VALUES (68551, 219, 19, 'Recomendação');
INSERT INTO `lang_definitions` VALUES (68552, 221, 19, 'Afecta o normal');
INSERT INTO `lang_definitions` VALUES (68553, 223, 19, 'Chamadas fora de horas');
INSERT INTO `lang_definitions` VALUES (68554, 226, 19, 'Depois de guardar o PDF, clique [Ver Reg] p/ conferir.');
INSERT INTO `lang_definitions` VALUES (68555, 227, 19, 'depois de guardar os ficheiro(s) Text , pressione [View Log ] para verificar os erros');
INSERT INTO `lang_definitions` VALUES (68556, 228, 19, 'Depois de economizar seu grupo, clique [Tronco de Visão] conferir para erros.');
INSERT INTO `lang_definitions` VALUES (68557, 230, 19, 'Depois que na informação é entrada corretamente, clique o Economize botão.');
INSERT INTO `lang_definitions` VALUES (68558, 233, 19, 'Novamente');
INSERT INTO `lang_definitions` VALUES (68559, 234, 19, 'Idade');
INSERT INTO `lang_definitions` VALUES (68560, 235, 19, 'Idade Por');
INSERT INTO `lang_definitions` VALUES (68561, 236, 19, 'Categoria de idade');
INSERT INTO `lang_definitions` VALUES (68562, 237, 19, 'Dados de idade é fora do alcance.');
INSERT INTO `lang_definitions` VALUES (68563, 239, 19, 'Formato de idade para \"idade de\" não é válido');
INSERT INTO `lang_definitions` VALUES (68564, 240, 19, 'Formato de idade para \"idade até\" não é válido');
INSERT INTO `lang_definitions` VALUES (68565, 241, 19, 'Idade a partir de');
INSERT INTO `lang_definitions` VALUES (68566, 243, 19, 'Idade máxima');
INSERT INTO `lang_definitions` VALUES (68567, 244, 19, 'Idade mínima');
INSERT INTO `lang_definitions` VALUES (68568, 245, 19, 'Intervalo de Idade');
INSERT INTO `lang_definitions` VALUES (68569, 247, 19, 'Colunas de Idade:');
INSERT INTO `lang_definitions` VALUES (68570, 250, 19, 'Álcool');
INSERT INTO `lang_definitions` VALUES (68571, 251, 19, 'Consumo de álcool');
INSERT INTO `lang_definitions` VALUES (68572, 253, 19, 'Contagem de Alertas');
INSERT INTO `lang_definitions` VALUES (68573, 255, 19, 'Alertas');
INSERT INTO `lang_definitions` VALUES (68574, 259, 19, 'Tudo');
INSERT INTO `lang_definitions` VALUES (68575, 260, 19, 'TUDO');
INSERT INTO `lang_definitions` VALUES (68576, 266, 19, 'Todas as Categorias');
INSERT INTO `lang_definitions` VALUES (68577, 268, 19, 'Todos os codigos');
INSERT INTO `lang_definitions` VALUES (68578, 269, 19, 'Todo o Dia');
INSERT INTO `lang_definitions` VALUES (68579, 270, 19, 'Evento para todo o dia');
INSERT INTO `lang_definitions` VALUES (68580, 271, 19, 'todos os campos demograficos, com pesquisa e duplo check');
INSERT INTO `lang_definitions` VALUES (68581, 272, 19, 'Todas as Clínicas');
INSERT INTO `lang_definitions` VALUES (68582, 273, 19, 'Todas as Feridas/Problemas/Assuntos');
INSERT INTO `lang_definitions` VALUES (68583, 274, 19, 'Todos os Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (68584, 276, 19, 'Tudo ou parte do nome próprio');
INSERT INTO `lang_definitions` VALUES (68585, 277, 19, 'Tudo ou parte do último nome');
INSERT INTO `lang_definitions` VALUES (68586, 280, 19, 'Todos os produtos');
INSERT INTO `lang_definitions` VALUES (68587, 281, 19, 'Todos os Clínicos');
INSERT INTO `lang_definitions` VALUES (68588, 282, 19, 'Tudo Revisto e Negativo:');
INSERT INTO `lang_definitions` VALUES (68589, 283, 19, 'Todos os Tópicos');
INSERT INTO `lang_definitions` VALUES (68590, 284, 19, 'Todos os Utilizadores');
INSERT INTO `lang_definitions` VALUES (68591, 285, 19, 'Alérgico');
INSERT INTO `lang_definitions` VALUES (68592, 286, 19, 'Alergias');
INSERT INTO `lang_definitions` VALUES (68593, 287, 19, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (68594, 288, 19, 'Alergia');
INSERT INTO `lang_definitions` VALUES (68595, 291, 19, 'Reação Alérgica');
INSERT INTO `lang_definitions` VALUES (68596, 294, 19, 'Alocar');
INSERT INTO `lang_definitions` VALUES (68597, 295, 19, 'Permitir');
INSERT INTO `lang_definitions` VALUES (68598, 296, 19, 'permitir todas as linguas disponiveis como escolha no menu do login');
INSERT INTO `lang_definitions` VALUES (68599, 299, 19, 'Permite E-mail');
INSERT INTO `lang_definitions` VALUES (68600, 300, 19, 'Permite mensagens de e-mail?');
INSERT INTO `lang_definitions` VALUES (68601, 301, 19, 'Permite E-mail?');
INSERT INTO `lang_definitions` VALUES (68602, 302, 19, 'Permitir reclamações de consulta');
INSERT INTO `lang_definitions` VALUES (68603, 303, 19, 'Permitir Troca de Informações de Saúde');
INSERT INTO `lang_definitions` VALUES (68604, 304, 19, 'Permitir Partilha de Informações sobre Imunizações');
INSERT INTO `lang_definitions` VALUES (68605, 305, 19, 'Permitir o Uso do Registo de Imunizações');
INSERT INTO `lang_definitions` VALUES (68606, 306, 19, 'Permitir Mensagem de Correio');
INSERT INTO `lang_definitions` VALUES (68607, 308, 19, 'Permitir Portal do Utente');
INSERT INTO `lang_definitions` VALUES (68608, 309, 19, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (68609, 310, 19, 'Permitir SMS (mensagens de texto)?');
INSERT INTO `lang_definitions` VALUES (68610, 311, 19, 'Permitir tornar eventos propostos imediatamente ativos?');
INSERT INTO `lang_definitions` VALUES (68611, 312, 19, 'Permitir mensagens de telefone?');
INSERT INTO `lang_definitions` VALUES (68612, 313, 19, 'Permitir aos utilizadores publicar Eventos Globais');
INSERT INTO `lang_definitions` VALUES (68613, 314, 19, 'Permitir aos utilizadores publicar Calendários Pessoais');
INSERT INTO `lang_definitions` VALUES (68614, 315, 19, 'Permitir Mensagem de Voz');
INSERT INTO `lang_definitions` VALUES (68615, 316, 19, 'Permitido');
INSERT INTO `lang_definitions` VALUES (68616, 317, 19, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (68617, 323, 19, 'já existe');
INSERT INTO `lang_definitions` VALUES (68618, 324, 19, 'já existe.');
INSERT INTO `lang_definitions` VALUES (68619, 325, 19, 'Já usado, escolha outro identificador');
INSERT INTO `lang_definitions` VALUES (68620, 326, 19, 'Já usado, escolha outro título');
INSERT INTO `lang_definitions` VALUES (68621, 327, 19, 'Alt Address');
INSERT INTO `lang_definitions` VALUES (68622, 328, 19, 'alterar');
INSERT INTO `lang_definitions` VALUES (68623, 329, 19, 'Alternativamente, você pode usar a página de procura para transferir uma remessa eletrônica (X12 835), que obteve do sub-sistema pagador. Para isso, carregue no botão BROWSE e depois escolha o arquivo a transferir; depois, carregando em Procura para executar o carregamento e mostrar as facturas correspondentes. Neste caso não se aplicam os outros parâmetros mencionados acima. Upload guarda o arquivo mas não processa o seu conteúdo--isso é feito separadamente, como se explica abaixo.');
INSERT INTO `lang_definitions` VALUES (68624, 330, 19, 'AM');
INSERT INTO `lang_definitions` VALUES (68625, 338, 19, 'Emende Nota Existente');
INSERT INTO `lang_definitions` VALUES (68626, 345, 19, 'AMEX');
INSERT INTO `lang_definitions` VALUES (68627, 347, 19, 'Quantia');
INSERT INTO `lang_definitions` VALUES (68628, 349, 19, 'Total de valores');
INSERT INTO `lang_definitions` VALUES (68629, 350, 19, 'Chegue para Equilíbrio Passado');
INSERT INTO `lang_definitions` VALUES (68630, 351, 19, 'Chegue para Esta Visita');
INSERT INTO `lang_definitions` VALUES (68631, 352, 19, 'Valor pago');
INSERT INTO `lang_definitions` VALUES (68632, 353, 19, 'Quantia:');
INSERT INTO `lang_definitions` VALUES (68633, 357, 19, 'ocorreu um erro durante o «dumping» da árvore do directório LibreEHR');
INSERT INTO `lang_definitions` VALUES (68634, 358, 19, 'ocorreu um erro durante o \"dumping\" da árvore do directório phpGACL');
INSERT INTO `lang_definitions` VALUES (68635, 359, 19, 'ocorreu um erro durante o \"dumping\" da árvore do directório SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (68636, 360, 19, 'Um assunto de GCAC incompleto foi criado e foi unido. Alguém precisará completar isto depois.');
INSERT INTO `lang_definitions` VALUES (68637, 362, 19, 'Um erro inesperado ocorreu.');
INSERT INTO `lang_definitions` VALUES (68638, 363, 19, 'Uma letra maiúscula');
INSERT INTO `lang_definitions` VALUES (68639, 365, 19, 'E');
INSERT INTO `lang_definitions` VALUES (68640, 366, 19, 'E');
INSERT INTO `lang_definitions` VALUES (68641, 367, 19, 'e');
INSERT INTO `lang_definitions` VALUES (68642, 368, 19, 'e ');
INSERT INTO `lang_definitions` VALUES (68643, 369, 19, 'e todos os dados de subordinado? Esta acção ficará registada');
INSERT INTO `lang_definitions` VALUES (68644, 371, 19, 'e processado.');
INSERT INTO `lang_definitions` VALUES (68645, 372, 19, 'e reinicie o servidor Apache');
INSERT INTO `lang_definitions` VALUES (68646, 373, 19, 'e o Motivo é');
INSERT INTO `lang_definitions` VALUES (68647, 374, 19, 'Anemia');
INSERT INTO `lang_definitions` VALUES (68648, 375, 19, 'Tornozelo');
INSERT INTO `lang_definitions` VALUES (68649, 376, 19, 'tornozelo + calcanhar');
INSERT INTO `lang_definitions` VALUES (68650, 377, 19, 'Formulário de Avaliação do Tornozelo');
INSERT INTO `lang_definitions` VALUES (68651, 378, 19, 'Problemas de tornozelo');
INSERT INTO `lang_definitions` VALUES (68652, 379, 19, 'Espondilite Anquilosante');
INSERT INTO `lang_definitions` VALUES (68653, 380, 19, 'Espondilite Anquilosante');
INSERT INTO `lang_definitions` VALUES (68654, 381, 19, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (68655, 382, 19, 'Outra coisa que você pode fazer na janela é pedir a facturação secundária. Se você selecionar este checkbox antes de economizar, então a reivindicação original será re-aberta e será feita fila na página de Faturamento, e será processado durante a próxima corrida de faturamento.');
INSERT INTO `lang_definitions` VALUES (68656, 383, 19, 'parada');
INSERT INTO `lang_definitions` VALUES (68657, 384, 19, 'Nl de ânus, sem dor/massa rectal,');
INSERT INTO `lang_definitions` VALUES (68658, 385, 19, 'Ansiedade');
INSERT INTO `lang_definitions` VALUES (68659, 386, 19, 'Qualquer');
INSERT INTO `lang_definitions` VALUES (68660, 387, 19, 'Qualquer Categoria');
INSERT INTO `lang_definitions` VALUES (68661, 388, 19, 'Qualquer parte do código desejado ou sua descrição');
INSERT INTO `lang_definitions` VALUES (68662, 389, 19, 'Qualquer parte da especialidade desejada');
INSERT INTO `lang_definitions` VALUES (68663, 390, 19, 'qualquer parte da especialidade no nosso nome da especialidade');
INSERT INTO `lang_definitions` VALUES (68664, 392, 19, 'Qualquer parte do nome do utente, ou \"last,first \", ou \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (68665, 395, 19, 'Apnéia');
INSERT INTO `lang_definitions` VALUES (68666, 396, 19, 'Aparência');
INSERT INTO `lang_definitions` VALUES (68667, 397, 19, 'Aparência:');
INSERT INTO `lang_definitions` VALUES (68668, 398, 19, 'Anexar nota');
INSERT INTO `lang_definitions` VALUES (68669, 399, 19, 'Junte à nota existente');
INSERT INTO `lang_definitions` VALUES (68670, 400, 19, 'Junte a esta nota');
INSERT INTO `lang_definitions` VALUES (68671, 401, 19, 'Junte a Esta Nota');
INSERT INTO `lang_definitions` VALUES (68672, 402, 19, 'Apendicectomia');
INSERT INTO `lang_definitions` VALUES (68673, 409, 19, 'Título do Programa');
INSERT INTO `lang_definitions` VALUES (68674, 413, 19, 'aplique a área afetada');
INSERT INTO `lang_definitions` VALUES (68675, 414, 19, 'aplique na pele');
INSERT INTO `lang_definitions` VALUES (68676, 415, 19, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (68677, 417, 19, 'Marcação');
INSERT INTO `lang_definitions` VALUES (68678, 418, 19, 'Data de Marcação');
INSERT INTO `lang_definitions` VALUES (68679, 419, 19, 'Estilo Apresentação das Marcações');
INSERT INTO `lang_definitions` VALUES (68680, 420, 19, 'Regra de Lembrança de Marcação');
INSERT INTO `lang_definitions` VALUES (68681, 421, 19, 'Estado da Marcação');
INSERT INTO `lang_definitions` VALUES (68682, 422, 19, 'Estados da Marcação');
INSERT INTO `lang_definitions` VALUES (68683, 423, 19, 'Marcação dentro de');
INSERT INTO `lang_definitions` VALUES (68684, 424, 19, 'Marcação/Cor');
INSERT INTO `lang_definitions` VALUES (68685, 425, 19, 'Marcações');
INSERT INTO `lang_definitions` VALUES (68686, 426, 19, 'Marcações (escrita opcional)');
INSERT INTO `lang_definitions` VALUES (68687, 430, 19, 'Marcações e Consultas');
INSERT INTO `lang_definitions` VALUES (68688, 431, 19, 'Relatório das Marcações');
INSERT INTO `lang_definitions` VALUES (68689, 432, 19, 'Relatório Marcações-Consultas');
INSERT INTO `lang_definitions` VALUES (68690, 434, 19, 'Aprovar');
INSERT INTO `lang_definitions` VALUES (68691, 436, 19, 'Aprovado');
INSERT INTO `lang_definitions` VALUES (68692, 437, 19, 'Administração de Eventos Aprovados');
INSERT INTO `lang_definitions` VALUES (68693, 440, 19, 'Marc-Cons');
INSERT INTO `lang_definitions` VALUES (68694, 441, 19, 'Marc.');
INSERT INTO `lang_definitions` VALUES (68695, 442, 19, 'Abr');
INSERT INTO `lang_definitions` VALUES (68696, 443, 19, 'Abril');
INSERT INTO `lang_definitions` VALUES (68697, 444, 19, 'Arabe');
INSERT INTO `lang_definitions` VALUES (68698, 453, 19, 'Está preparado para completar um problema GCAC novo para essa visita?');
INSERT INTO `lang_definitions` VALUES (68699, 455, 19, 'Tem certeza que deseja aprovar esses eventos?');
INSERT INTO `lang_definitions` VALUES (68700, 457, 19, 'Tem certeza que quer remover completamente este formulário?');
INSERT INTO `lang_definitions` VALUES (68701, 460, 19, 'Tem certeza de que deseja excluir este evento?');
INSERT INTO `lang_definitions` VALUES (68702, 461, 19, 'Você tem certeza de que deseja excluir esse item do banco de dados?');
INSERT INTO `lang_definitions` VALUES (68703, 462, 19, 'Tem certeza de que deseja excluir esta nota?');
INSERT INTO `lang_definitions` VALUES (68704, 464, 19, 'Tem certeza que deseja editar estes eventos?');
INSERT INTO `lang_definitions` VALUES (68705, 465, 19, 'Tem certeza que deseja ocultar estes eventos?');
INSERT INTO `lang_definitions` VALUES (68706, 467, 19, 'Você tem certeza que quer ver estes eventos?');
INSERT INTO `lang_definitions` VALUES (68707, 468, 19, 'Tem certeza de que deseja apagar todo o grupo denominado');
INSERT INTO `lang_definitions` VALUES (68708, 469, 19, 'Tem certeza de que deseja apagar toda a lista');
INSERT INTO `lang_definitions` VALUES (68709, 470, 19, 'Tem certeza de que deseja excluir o campo em');
INSERT INTO `lang_definitions` VALUES (68710, 471, 19, 'Tem certeza de que deseja apagar os campos selecionados?');
INSERT INTO `lang_definitions` VALUES (68711, 472, 19, 'Tem certeza de que deseja continuar com estas ações?');
INSERT INTO `lang_definitions` VALUES (68712, 473, 19, 'Área não especificada');
INSERT INTO `lang_definitions` VALUES (68713, 474, 19, 'braço');
INSERT INTO `lang_definitions` VALUES (68714, 475, 19, 'Armênio');
INSERT INTO `lang_definitions` VALUES (68715, 477, 19, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (68716, 478, 19, 'Artrite');
INSERT INTO `lang_definitions` VALUES (68717, 479, 19, 'Artrite / doenças articulares degen');
INSERT INTO `lang_definitions` VALUES (68718, 480, 19, 'Artrite / doenças articulares degen');
INSERT INTO `lang_definitions` VALUES (68719, 481, 19, 'como');
INSERT INTO `lang_definitions` VALUES (68720, 482, 19, 'A partir de');
INSERT INTO `lang_definitions` VALUES (68721, 484, 19, 'Asiático');
INSERT INTO `lang_definitions` VALUES (68722, 487, 19, 'Avaliação');
INSERT INTO `lang_definitions` VALUES (68723, 488, 19, 'Nomeado');
INSERT INTO `lang_definitions` VALUES (68724, 489, 19, 'Assistente');
INSERT INTO `lang_definitions` VALUES (68725, 490, 19, 'Asma');
INSERT INTO `lang_definitions` VALUES (68726, 491, 19, 'a');
INSERT INTO `lang_definitions` VALUES (68727, 492, 19, 'Pelo menos um parâmetro de procura é necessário se você selecionar Todos.');
INSERT INTO `lang_definitions` VALUES (68728, 493, 19, 'Ao Navicular');
INSERT INTO `lang_definitions` VALUES (68729, 494, 19, 'Ao Navicular:');
INSERT INTO `lang_definitions` VALUES (68730, 495, 19, 'atleta de competição');
INSERT INTO `lang_definitions` VALUES (68731, 497, 19, 'Athletic/Injury');
INSERT INTO `lang_definitions` VALUES (68732, 503, 19, 'Atenção');
INSERT INTO `lang_definitions` VALUES (68733, 504, 19, 'À atenção de');
INSERT INTO `lang_definitions` VALUES (68734, 516, 19, 'Ago');
INSERT INTO `lang_definitions` VALUES (68735, 517, 19, 'Agosto');
INSERT INTO `lang_definitions` VALUES (68736, 519, 19, 'Auth');
INSERT INTO `lang_definitions` VALUES (68737, 520, 19, 'Aut. / notas');
INSERT INTO `lang_definitions` VALUES (68738, 525, 19, 'Autorizações');
INSERT INTO `lang_definitions` VALUES (68739, 526, 19, 'Autorize');
INSERT INTO `lang_definitions` VALUES (68740, 527, 19, 'Autorize - qualquer encontro');
INSERT INTO `lang_definitions` VALUES (68741, 528, 19, 'Autorize - meus encontros');
INSERT INTO `lang_definitions` VALUES (68742, 530, 19, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (68743, 531, 19, 'Autorizado apenas');
INSERT INTO `lang_definitions` VALUES (68744, 532, 19, 'auto enviado');
INSERT INTO `lang_definitions` VALUES (68745, 535, 19, 'Crear automaticamente novos encontros');
INSERT INTO `lang_definitions` VALUES (68746, 536, 19, 'Auto-gerado');
INSERT INTO `lang_definitions` VALUES (68747, 544, 19, 'Automático');
INSERT INTO `lang_definitions` VALUES (68748, 546, 19, 'automaticamente cria um novo encontro quando o estado do anterior é \"@\" (chegado)');
INSERT INTO `lang_definitions` VALUES (68749, 549, 19, 'Exame médico automóvel');
INSERT INTO `lang_definitions` VALUES (68750, 550, 19, 'autosaved');
INSERT INTO `lang_definitions` VALUES (68751, 551, 19, 'Categorias disponíveis');
INSERT INTO `lang_definitions` VALUES (68752, 552, 19, 'Horário Disponível');
INSERT INTO `lang_definitions` VALUES (68753, 557, 19, 'Média Mensal');
INSERT INTO `lang_definitions` VALUES (68754, 558, 19, 'Avulsão / fratura de avulsão');
INSERT INTO `lang_definitions` VALUES (68755, 559, 19, 'Avulsão malleolus lateral');
INSERT INTO `lang_definitions` VALUES (68756, 560, 19, 'Avulsão malleolus mediano ');
INSERT INTO `lang_definitions` VALUES (68757, 561, 19, 'Consciência-baseado');
INSERT INTO `lang_definitions` VALUES (68758, 562, 19, 'Axilar');
INSERT INTO `lang_definitions` VALUES (68759, 565, 19, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (68760, 566, 19, 'voltar');
INSERT INTO `lang_definitions` VALUES (68761, 567, 19, 'voltar');
INSERT INTO `lang_definitions` VALUES (68762, 568, 19, 'Voltar oito visitas');
INSERT INTO `lang_definitions` VALUES (68763, 569, 19, 'voltar: 11 visitas');
INSERT INTO `lang_definitions` VALUES (68764, 570, 19, 'voltar: 5 visitas');
INSERT INTO `lang_definitions` VALUES (68765, 571, 19, 'voltar: 4 visitas');
INSERT INTO `lang_definitions` VALUES (68766, 572, 19, 'voltar: 9 visitas');
INSERT INTO `lang_definitions` VALUES (68767, 573, 19, 'voltar: 1 visita');
INSERT INTO `lang_definitions` VALUES (68768, 574, 19, 'Dor de costas');
INSERT INTO `lang_definitions` VALUES (68769, 575, 19, 'Problemas nas costas');
INSERT INTO `lang_definitions` VALUES (68770, 576, 19, 'voltar: 8 visitas');
INSERT INTO `lang_definitions` VALUES (68771, 577, 19, 'voltar: 6 visitas');
INSERT INTO `lang_definitions` VALUES (68772, 578, 19, 'antes da Cirurgia');
INSERT INTO `lang_definitions` VALUES (68773, 579, 19, 'voltar: 10 visitas');
INSERT INTO `lang_definitions` VALUES (68774, 580, 19, 'voltar: 3 visitas');
INSERT INTO `lang_definitions` VALUES (68775, 584, 19, 'voltar ao utente');
INSERT INTO `lang_definitions` VALUES (68776, 586, 19, 'voltar a \"View\"');
INSERT INTO `lang_definitions` VALUES (68777, 587, 19, 'voltar: 12 visitas');
INSERT INTO `lang_definitions` VALUES (68778, 588, 19, 'voltar: 2 visitas');
INSERT INTO `lang_definitions` VALUES (68779, 590, 19, 'Backup');
INSERT INTO `lang_definitions` VALUES (68780, 591, 19, 'Backup criado. Segue-se o descarregamento.');
INSERT INTO `lang_definitions` VALUES (68781, 594, 19, 'Cheque sem provimento');
INSERT INTO `lang_definitions` VALUES (68782, 595, 19, 'Dívida incobrável');
INSERT INTO `lang_definitions` VALUES (68783, 596, 19, 'Bahasa Indonésia');
INSERT INTO `lang_definitions` VALUES (68784, 597, 19, 'Bal');
INSERT INTO `lang_definitions` VALUES (68785, 598, 19, 'Saldo');
INSERT INTO `lang_definitions` VALUES (68786, 599, 19, 'equilíbrio');
INSERT INTO `lang_definitions` VALUES (68787, 601, 19, 'Saldo em Divida');
INSERT INTO `lang_definitions` VALUES (68788, 607, 19, 'Base de quinto (5º) Metarsico');
INSERT INTO `lang_definitions` VALUES (68789, 608, 19, 'Base de quinto (5º) Metarsico:');
INSERT INTO `lang_definitions` VALUES (68790, 612, 19, 'Ferramenta de Comunicação Diferida');
INSERT INTO `lang_definitions` VALUES (68791, 615, 19, 'Comunicação Diferida: pode demorar...');
INSERT INTO `lang_definitions` VALUES (68792, 617, 19, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (68793, 619, 19, 'porque o ID não existe.');
INSERT INTO `lang_definitions` VALUES (68794, 620, 19, 'Começo');
INSERT INTO `lang_definitions` VALUES (68795, 621, 19, 'Data inicial');
INSERT INTO `lang_definitions` VALUES (68796, 623, 19, 'Data de início do serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (68797, 626, 19, 'Eructação');
INSERT INTO `lang_definitions` VALUES (68798, 630, 19, 'entre');
INSERT INTO `lang_definitions` VALUES (68799, 633, 19, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (68800, 634, 19, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (68801, 636, 19, 'Conta: (data)');
INSERT INTO `lang_definitions` VALUES (68802, 637, 19, 'Conta: (receber)');
INSERT INTO `lang_definitions` VALUES (68803, 638, 19, 'Facturado');
INSERT INTO `lang_definitions` VALUES (68804, 640, 19, 'Facturado');
INSERT INTO `lang_definitions` VALUES (68805, 641, 19, 'Facturado (anote)');
INSERT INTO `lang_definitions` VALUES (68806, 642, 19, 'Facturado: à atn. de');
INSERT INTO `lang_definitions` VALUES (68807, 644, 19, 'Facturação: Código de serviço requisitado');
INSERT INTO `lang_definitions` VALUES (68808, 645, 19, 'Facturação: Códigos');
INSERT INTO `lang_definitions` VALUES (68809, 647, 19, 'Facturação: Departamento');
INSERT INTO `lang_definitions` VALUES (68810, 649, 19, 'Facturação: Informação');
INSERT INTO `lang_definitions` VALUES (68811, 650, 19, 'Facturação: Local');
INSERT INTO `lang_definitions` VALUES (68812, 656, 19, 'Facturação: Nota');
INSERT INTO `lang_definitions` VALUES (68813, 657, 19, 'Facturação: Nota para ');
INSERT INTO `lang_definitions` VALUES (68814, 658, 19, 'Facturação: Nota:');
INSERT INTO `lang_definitions` VALUES (68815, 659, 19, 'Facturação: lista de resultados:');
INSERT INTO `lang_definitions` VALUES (68816, 660, 19, 'Facturação: Relatório');
INSERT INTO `lang_definitions` VALUES (68817, 662, 19, 'Estado da Factura = recibo não emitido');
INSERT INTO `lang_definitions` VALUES (68818, 663, 19, 'Facturado a ');
INSERT INTO `lang_definitions` VALUES (68819, 665, 19, 'Biópsia');
INSERT INTO `lang_definitions` VALUES (68820, 666, 19, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (68821, 669, 19, 'Preto');
INSERT INTO `lang_definitions` VALUES (68822, 672, 19, 'Cancro da bexiga');
INSERT INTO `lang_definitions` VALUES (68823, 673, 19, 'Infecções de bexiga');
INSERT INTO `lang_definitions` VALUES (68824, 674, 19, 'Formulários em branco');
INSERT INTO `lang_definitions` VALUES (68825, 675, 19, 'Diátese Hemorrágica');
INSERT INTO `lang_definitions` VALUES (68826, 676, 19, 'Pontos cegos');
INSERT INTO `lang_definitions` VALUES (68827, 677, 19, 'Distendido');
INSERT INTO `lang_definitions` VALUES (68828, 678, 19, 'Bloqueado');
INSERT INTO `lang_definitions` VALUES (68829, 679, 19, 'Sangue');
INSERT INTO `lang_definitions` VALUES (68830, 680, 19, 'Pressão Arterial');
INSERT INTO `lang_definitions` VALUES (68831, 681, 19, 'Pressão arterial');
INSERT INTO `lang_definitions` VALUES (68832, 682, 19, 'Epistaxis');
INSERT INTO `lang_definitions` VALUES (68833, 683, 19, 'Blue Cross Blue Shield ORIG AMERICANO');
INSERT INTO `lang_definitions` VALUES (68834, 684, 19, 'Neste relatório: Linhas azuis são informativas; Linhas pretas mostram informação existente; Linhas verdes mostram modificações aceites; Linhas vermelhas indicam erros, ou mudanças não aceites e devem ser verificadas manualmente. Também a vermelho: reembolsos negados ou devoluções.');
INSERT INTO `lang_definitions` VALUES (68835, 685, 19, 'Visão turva');
INSERT INTO `lang_definitions` VALUES (68836, 686, 19, 'IMC');
INSERT INTO `lang_definitions` VALUES (68837, 687, 19, 'IMC Status');
INSERT INTO `lang_definitions` VALUES (68838, 689, 19, 'Região do corpo');
INSERT INTO `lang_definitions` VALUES (68839, 690, 19, 'lado do corpo');
INSERT INTO `lang_definitions` VALUES (68840, 691, 19, 'lado do corpo , se aplicavel');
INSERT INTO `lang_definitions` VALUES (68841, 692, 19, 'fragilidade óssea');
INSERT INTO `lang_definitions` VALUES (68842, 694, 19, 'Booleano');
INSERT INTO `lang_definitions` VALUES (68843, 696, 19, 'Inf.');
INSERT INTO `lang_definitions` VALUES (68844, 697, 19, 'Ambos os ouvidos');
INSERT INTO `lang_definitions` VALUES (68845, 698, 19, 'Ambos os ouvidos');
INSERT INTO `lang_definitions` VALUES (68846, 699, 19, 'Fundo');
INSERT INTO `lang_definitions` VALUES (68847, 701, 19, 'CAIXA 10 Emprego de A. relacionado ');
INSERT INTO `lang_definitions` VALUES (68848, 702, 19, 'CAIXA 10 B. Acidente Automático ');
INSERT INTO `lang_definitions` VALUES (68849, 703, 19, 'CAIXA 10 C. Outro Acidente ');
INSERT INTO `lang_definitions` VALUES (68850, 708, 19, 'CAIXA 16. Data incapaz trabalhar de (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (68851, 709, 19, 'CAIXA 16. Data incapaz trabalhar (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (68852, 710, 19, 'CAIXA 18. Data de hospitalização de (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (68853, 711, 19, 'CAIXA 18. Data de hospitalização para (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (68854, 712, 19, 'CAIXA 20. Está Fora de Laboratório usado?');
INSERT INTO `lang_definitions` VALUES (68855, 713, 19, 'CAIXA 22. Medicaid Resubmission Código (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (68856, 714, 19, 'CAIXA 23. Autorização anterior Não. ');
INSERT INTO `lang_definitions` VALUES (68857, 715, 19, 'TA');
INSERT INTO `lang_definitions` VALUES (68858, 716, 19, 'TA diastólica');
INSERT INTO `lang_definitions` VALUES (68859, 717, 19, 'TA sistólica');
INSERT INTO `lang_definitions` VALUES (68860, 719, 19, 'Bpd');
INSERT INTO `lang_definitions` VALUES (68861, 721, 19, 'Bps');
INSERT INTO `lang_definitions` VALUES (68862, 722, 19, 'Português do Brasil');
INSERT INTO `lang_definitions` VALUES (68863, 723, 19, 'Mama');
INSERT INTO `lang_definitions` VALUES (68864, 724, 19, 'Mama: Biópsia');
INSERT INTO `lang_definitions` VALUES (68865, 725, 19, 'Mama: Corrimento mamilar');
INSERT INTO `lang_definitions` VALUES (68866, 726, 19, 'Mama: Doença');
INSERT INTO `lang_definitions` VALUES (68867, 727, 19, 'Mama: Exame');
INSERT INTO `lang_definitions` VALUES (68868, 728, 19, 'Mama: Massa');
INSERT INTO `lang_definitions` VALUES (68869, 730, 19, 'Sons de respiração:');
INSERT INTO `lang_definitions` VALUES (68870, 732, 19, 'Fracturas');
INSERT INTO `lang_definitions` VALUES (68871, 734, 19, 'Bronquite: Formulário');
INSERT INTO `lang_definitions` VALUES (68872, 735, 19, 'Navegue');
INSERT INTO `lang_definitions` VALUES (68873, 736, 19, 'Navegue até à ficha');
INSERT INTO `lang_definitions` VALUES (68874, 737, 19, 'Contusão / hematoma');
INSERT INTO `lang_definitions` VALUES (68875, 739, 19, 'Abaulamento Direita:');
INSERT INTO `lang_definitions` VALUES (68876, 741, 19, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (68877, 742, 19, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (68878, 744, 19, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (68879, 746, 19, 'nádega');
INSERT INTO `lang_definitions` VALUES (68880, 747, 19, 'Nádega + S.I.');
INSERT INTO `lang_definitions` VALUES (68881, 748, 19, 'por');
INSERT INTO `lang_definitions` VALUES (68882, 749, 19, 'por');
INSERT INTO `lang_definitions` VALUES (68883, 750, 19, 'per os');
INSERT INTO `lang_definitions` VALUES (68884, 751, 19, 'Por/Fonte');
INSERT INTO `lang_definitions` VALUES (68885, 752, 19, 'Por:');
INSERT INTO `lang_definitions` VALUES (68886, 753, 19, 'C');
INSERT INTO `lang_definitions` VALUES (68887, 755, 19, 'Cache Lifetime (in seconds)');
INSERT INTO `lang_definitions` VALUES (68888, 756, 19, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (68889, 757, 19, 'Cafeína: consumo');
INSERT INTO `lang_definitions` VALUES (68890, 758, 19, 'Calendário');
INSERT INTO `lang_definitions` VALUES (68891, 762, 19, 'Deefinições Calendário');
INSERT INTO `lang_definitions` VALUES (68892, 764, 19, 'Interface Calendário');
INSERT INTO `lang_definitions` VALUES (68893, 765, 19, 'Ver Calendário');
INSERT INTO `lang_definitions` VALUES (68894, 766, 19, 'Call to addForm() goes here.<br>');
INSERT INTO `lang_definitions` VALUES (68895, 767, 19, 'Calorias');
INSERT INTO `lang_definitions` VALUES (68897, 774, 19, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (68898, 775, 19, 'Cancelar Alterações');
INSERT INTO `lang_definitions` VALUES (68899, 776, 19, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (68900, 777, 19, 'Cancro');
INSERT INTO `lang_definitions` VALUES (68901, 782, 19, 'Não pode acrescentar isto porque já existe!');
INSERT INTO `lang_definitions` VALUES (68902, 783, 19, 'Não pode acrescentar/actualizar esta entrada porque já existe um duplicado');
INSERT INTO `lang_definitions` VALUES (68903, 785, 19, 'não pode ser convertido para JPEG. (O ImageMagick está instalado?)');
INSERT INTO `lang_definitions` VALUES (68904, 787, 19, 'não pode ser mostrado inline porque este formato não é suportado pelo browser.');
INSERT INTO `lang_definitions` VALUES (68905, 788, 19, 'não pode ser mostrado inline porque este formato não é suportado pelo browser.');
INSERT INTO `lang_definitions` VALUES (68906, 789, 19, 'não pode ser mostrado inline porque este formato não é suportado pelo browser.');
INSERT INTO `lang_definitions` VALUES (68907, 790, 19, 'Não é possível criar');
INSERT INTO `lang_definitions` VALUES (68908, 795, 19, 'Não é possível encontrar ');
INSERT INTO `lang_definitions` VALUES (68909, 799, 19, 'Não consigo encontrar o paciente a partir do ID-SQL-Ledger de cliente');
INSERT INTO `lang_definitions` VALUES (68910, 800, 19, 'Não consigo encontrar ref. do documento PostScript em ');
INSERT INTO `lang_definitions` VALUES (68911, 801, 19, 'Não consigo encontrar o prestador a partir do ID-SQL-Ledger de empregado ');
INSERT INTO `lang_definitions` VALUES (68912, 803, 19, 'Não consigo abrir ');
INSERT INTO `lang_definitions` VALUES (68913, 807, 19, 'Não consigo ler');
INSERT INTO `lang_definitions` VALUES (68914, 809, 19, 'Não consigo actualizar porque não está a editar uma entrada pre-existente!');
INSERT INTO `lang_definitions` VALUES (68915, 812, 19, 'cápsula');
INSERT INTO `lang_definitions` VALUES (68916, 813, 19, 'Cartão');
INSERT INTO `lang_definitions` VALUES (68917, 814, 19, 'Cateterização Cardíaca');
INSERT INTO `lang_definitions` VALUES (68918, 815, 19, 'Eco cardíaco');
INSERT INTO `lang_definitions` VALUES (68919, 816, 19, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (68920, 821, 19, 'Lesões: cartilagem/condral/disco');
INSERT INTO `lang_definitions` VALUES (68921, 822, 19, 'Lesão da cartilagem');
INSERT INTO `lang_definitions` VALUES (68922, 823, 19, 'Pulsações Cartoid nl, nl dos pulsos');
INSERT INTO `lang_definitions` VALUES (68923, 824, 19, 'dinheiro');
INSERT INTO `lang_definitions` VALUES (68924, 825, 19, 'Dinheiro');
INSERT INTO `lang_definitions` VALUES (68925, 826, 19, 'Dinheiro Rec');
INSERT INTO `lang_definitions` VALUES (68926, 827, 19, 'Dinheiro Recibos por Prestador');
INSERT INTO `lang_definitions` VALUES (68927, 829, 19, 'Cataratas: Cirurgia');
INSERT INTO `lang_definitions` VALUES (68928, 830, 19, 'Cataratas');
INSERT INTO `lang_definitions` VALUES (68929, 831, 19, 'Categorias');
INSERT INTO `lang_definitions` VALUES (68930, 833, 19, 'Categoria');
INSERT INTO `lang_definitions` VALUES (68931, 834, 19, 'categoria');
INSERT INTO `lang_definitions` VALUES (68932, 835, 19, 'Categoria ');
INSERT INTO `lang_definitions` VALUES (68933, 836, 19, 'Categoria: Detalhes');
INSERT INTO `lang_definitions` VALUES (68934, 837, 19, 'Categoria: Limites');
INSERT INTO `lang_definitions` VALUES (68935, 838, 19, 'Categoria: Nome');
INSERT INTO `lang_definitions` VALUES (68936, 841, 19, 'Caucasiano');
INSERT INTO `lang_definitions` VALUES (68937, 853, 19, 'Telemovel');
INSERT INTO `lang_definitions` VALUES (68938, 855, 19, 'Telemovel Nº');
INSERT INTO `lang_definitions` VALUES (68939, 856, 19, 'Certificação Central');
INSERT INTO `lang_definitions` VALUES (68940, 864, 19, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (68941, 865, 19, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (68942, 866, 19, 'alterar');
INSERT INTO `lang_definitions` VALUES (68943, 867, 19, 'Alterar');
INSERT INTO `lang_definitions` VALUES (68944, 868, 19, 'Alterar Actividade');
INSERT INTO `lang_definitions` VALUES (68945, 870, 19, 'Alterar Vista');
INSERT INTO `lang_definitions` VALUES (68946, 871, 19, 'Alterar Vista');
INSERT INTO `lang_definitions` VALUES (68947, 874, 19, 'Alterarado');
INSERT INTO `lang_definitions` VALUES (68948, 875, 19, 'Intestino Alterarado');
INSERT INTO `lang_definitions` VALUES (68949, 877, 19, 'Características');
INSERT INTO `lang_definitions` VALUES (68950, 879, 19, 'Custo');
INSERT INTO `lang_definitions` VALUES (68951, 882, 19, 'Custos');
INSERT INTO `lang_definitions` VALUES (68952, 883, 19, 'Processo');
INSERT INTO `lang_definitions` VALUES (68953, 884, 19, 'Registos do Processo');
INSERT INTO `lang_definitions` VALUES (68954, 885, 19, 'Relatório de Baixas/Altas');
INSERT INTO `lang_definitions` VALUES (68955, 886, 19, 'ID Processo');
INSERT INTO `lang_definitions` VALUES (68956, 887, 19, 'ID Processo:');
INSERT INTO `lang_definitions` VALUES (68957, 889, 19, 'Processo: Actividade Local?');
INSERT INTO `lang_definitions` VALUES (68958, 890, 19, 'Nota do Processo');
INSERT INTO `lang_definitions` VALUES (68959, 891, 19, 'Número de Processo');
INSERT INTO `lang_definitions` VALUES (68960, 892, 19, 'Arquivo Físico do Processo');
INSERT INTO `lang_definitions` VALUES (68961, 893, 19, 'Localizador de Processos');
INSERT INTO `lang_definitions` VALUES (68962, 894, 19, 'Loc. de Processos');
INSERT INTO `lang_definitions` VALUES (68963, 895, 19, 'Alta de Processos');
INSERT INTO `lang_definitions` VALUES (68964, 896, 19, 'Saídas');
INSERT INTO `lang_definitions` VALUES (68965, 898, 19, 'Verificar');
INSERT INTO `lang_definitions` VALUES (68966, 899, 19, 'verificar');
INSERT INTO `lang_definitions` VALUES (68967, 900, 19, 'Conferir Tudo');
INSERT INTO `lang_definitions` VALUES (68968, 902, 19, 'Conferir quantidade');
INSERT INTO `lang_definitions` VALUES (68969, 903, 19, 'Conferir Data');
INSERT INTO `lang_definitions` VALUES (68970, 906, 19, 'Entrada para');
INSERT INTO `lang_definitions` VALUES (68971, 907, 19, 'Verificar dados de entrada');
INSERT INTO `lang_definitions` VALUES (68972, 909, 19, 'Verificar Resultados das análises do Laboratório');
INSERT INTO `lang_definitions` VALUES (68973, 912, 19, 'Verificar Número');
INSERT INTO `lang_definitions` VALUES (68974, 919, 19, 'Verificar / EOB Data:');
INSERT INTO `lang_definitions` VALUES (68975, 920, 19, 'Verificar / EOB No.:');
INSERT INTO `lang_definitions` VALUES (68976, 921, 19, 'Verificar / Ref No.');
INSERT INTO `lang_definitions` VALUES (68977, 922, 19, 'Verificar / Número de Referência');
INSERT INTO `lang_definitions` VALUES (68978, 923, 19, 'Lista de seleção');
INSERT INTO `lang_definitions` VALUES (68979, 924, 19, 'lista de seleção');
INSERT INTO `lang_definitions` VALUES (68980, 925, 19, 'lista de seleção c/ texto');
INSERT INTO `lang_definitions` VALUES (68981, 926, 19, 'Lista de seleção c/ texto');
INSERT INTO `lang_definitions` VALUES (68982, 929, 19, 'Caixa conferida = sim , vazio = não');
INSERT INTO `lang_definitions` VALUES (68983, 932, 19, 'Saída');
INSERT INTO `lang_definitions` VALUES (68984, 934, 19, 'Torax');
INSERT INTO `lang_definitions` VALUES (68985, 935, 19, 'Torax CTAB');
INSERT INTO `lang_definitions` VALUES (68986, 936, 19, 'Dor Torácica');
INSERT INTO `lang_definitions` VALUES (68987, 937, 19, 'Dor Torácica:');
INSERT INTO `lang_definitions` VALUES (68988, 938, 19, 'Dores Torácicas');
INSERT INTO `lang_definitions` VALUES (68989, 940, 19, 'Chg');
INSERT INTO `lang_definitions` VALUES (68990, 942, 19, 'Queixa principal');
INSERT INTO `lang_definitions` VALUES (68991, 943, 19, 'Criança');
INSERT INTO `lang_definitions` VALUES (68992, 946, 19, 'Arrepios');
INSERT INTO `lang_definitions` VALUES (68993, 947, 19, 'Chinês');
INSERT INTO `lang_definitions` VALUES (68994, 948, 19, 'Chinês (simplif.)');
INSERT INTO `lang_definitions` VALUES (68995, 949, 19, 'Chinês (trad.)');
INSERT INTO `lang_definitions` VALUES (68996, 951, 19, 'Opções');
INSERT INTO `lang_definitions` VALUES (68997, 952, 19, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (68998, 954, 19, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (68999, 955, 19, 'Escolha');
INSERT INTO `lang_definitions` VALUES (69000, 956, 19, 'Escolha uma secção e clique num art. dentro dela e depois, noutra seção, poderá ver os itens relacionados em destaque, e pode clicar nesse ponto para adicionar e excluir relações.');
INSERT INTO `lang_definitions` VALUES (69001, 962, 19, 'Escolha: lista');
INSERT INTO `lang_definitions` VALUES (69002, 965, 19, 'Escolha: formato impressão p/ rel. consulta');
INSERT INTO `lang_definitions` VALUES (69003, 967, 19, 'Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (69004, 968, 19, 'Artralgia crónica');
INSERT INTO `lang_definitions` VALUES (69005, 970, 19, 'Sinovite crónica / derrame / dor nas articulações / gota');
INSERT INTO `lang_definitions` VALUES (69006, 971, 19, 'Crónica/Recorrente');
INSERT INTO `lang_definitions` VALUES (69007, 973, 19, 'Cirrose Hepatica');
INSERT INTO `lang_definitions` VALUES (69008, 974, 19, 'Cirrose Hepatica');
INSERT INTO `lang_definitions` VALUES (69009, 975, 19, 'Localidade');
INSERT INTO `lang_definitions` VALUES (69010, 976, 19, 'Localidade: Nome');
INSERT INTO `lang_definitions` VALUES (69011, 977, 19, 'Localidade: Distrito');
INSERT INTO `lang_definitions` VALUES (69012, 978, 19, 'Localidade: Cod Postal');
INSERT INTO `lang_definitions` VALUES (69013, 979, 19, 'Localidade/Distrito');
INSERT INTO `lang_definitions` VALUES (69014, 980, 19, 'Lista de honorários');
INSERT INTO `lang_definitions` VALUES (69015, 981, 19, 'Lista de honorários ');
INSERT INTO `lang_definitions` VALUES (69016, 983, 19, 'Lista de honorários: teste concluído');
INSERT INTO `lang_definitions` VALUES (69017, 986, 19, 'Lista de honorários: ficheiro criado ');
INSERT INTO `lang_definitions` VALUES (69018, 988, 19, 'Classificação');
INSERT INTO `lang_definitions` VALUES (69019, 989, 19, 'Apagar');
INSERT INTO `lang_definitions` VALUES (69020, 991, 19, 'Apagar Tudo');
INSERT INTO `lang_definitions` VALUES (69021, 993, 19, 'Apagar Justificação');
INSERT INTO `lang_definitions` VALUES (69022, 994, 19, 'Apagar Cache do Smarty');
INSERT INTO `lang_definitions` VALUES (69023, 996, 19, 'CLIA Number');
INSERT INTO `lang_definitions` VALUES (69024, 997, 19, 'Clique');
INSERT INTO `lang_definitions` VALUES (69025, 998, 19, 'Clique \'export\' p/ exportar Categoria, Subcategoria, Item, Conteudo para um ficheiro. Este ficheiro NÃO É XML. As marcas de inicio e fim devem estar na mesma linha, em minusculas e sem espaços. Para importar, procure um ficheiro e clique \'import\'. Se os dados forem diferentes serão adicionados aos dados existentes. Se houver nomes iguais, os mais antigos serão mantidos e os mais novos guardados com um no. adicionado no fim.');
INSERT INTO `lang_definitions` VALUES (69026, 1001, 19, 'clique para saber mais');
INSERT INTO `lang_definitions` VALUES (69027, 1005, 19, 'clique aqui.');
INSERT INTO `lang_definitions` VALUES (69028, 1006, 19, 'clique aqui para adicionar um novo utente.');
INSERT INTO `lang_definitions` VALUES (69029, 1008, 19, 'Clique aqui para escolher uma data');
INSERT INTO `lang_definitions` VALUES (69030, 1009, 19, 'Clique aqui para escolher data e hora.');
INSERT INTO `lang_definitions` VALUES (69031, 1010, 19, 'Clique aqui para escolher uma data de inicio');
INSERT INTO `lang_definitions` VALUES (69032, 1020, 19, 'clique aqui para procurar');
INSERT INTO `lang_definitions` VALUES (69033, 1021, 19, 'Clique aqui para actualizar prioridade, categoria e');
INSERT INTO `lang_definitions` VALUES (69034, 1022, 19, 'Clique aqui para ver tudo.');
INSERT INTO `lang_definitions` VALUES (69035, 1023, 19, 'Clique aqui para ver e fazer o gráfico');
INSERT INTO `lang_definitions` VALUES (69036, 1025, 19, 'Clique aqui para ver e fazer o gráfico de todos os sinais vitais');
INSERT INTO `lang_definitions` VALUES (69037, 1026, 19, 'Clique aqui para ver todos os detalhes dos utentes');
INSERT INTO `lang_definitions` VALUES (69038, 1027, 19, 'Clique aqui para ver todos');
INSERT INTO `lang_definitions` VALUES (69039, 1029, 19, 'Clique no botão de Instalar para instalar a base de dados com edição na seguinte data');
INSERT INTO `lang_definitions` VALUES (69040, 1030, 19, 'Clique em qualquer uma das secções temporais para a aumentar');
INSERT INTO `lang_definitions` VALUES (69041, 1032, 19, 'Clique Renovar para ver todos os resultados, ou então, por favor dê entrada ao critério de pesquisa acima para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (69042, 1034, 19, 'Clique para adicionar novos componentes');
INSERT INTO `lang_definitions` VALUES (69043, 1035, 19, 'Clique para adicionar nova consulta');
INSERT INTO `lang_definitions` VALUES (69044, 1037, 19, 'Clique para carregar');
INSERT INTO `lang_definitions` VALUES (69045, 1038, 19, 'Clique para editar');
INSERT INTO `lang_definitions` VALUES (69046, 1040, 19, 'Clique para editar esta evento');
INSERT INTO `lang_definitions` VALUES (69047, 1041, 19, 'Clique para gerar o relatório');
INSERT INTO `lang_definitions` VALUES (69048, 1043, 19, 'Clique para imprimir');
INSERT INTO `lang_definitions` VALUES (69049, 1044, 19, 'Clique para receber (adicionar) novo lote');
INSERT INTO `lang_definitions` VALUES (69050, 1045, 19, 'Clique para seleccionar');
INSERT INTO `lang_definitions` VALUES (69051, 1046, 19, 'Clique para seleccionar');
INSERT INTO `lang_definitions` VALUES (69052, 1051, 19, 'Clique para selecionar ou mudança de diagnóstico');
INSERT INTO `lang_definitions` VALUES (69053, 1053, 19, 'Clique para seleccionar o utente');
INSERT INTO `lang_definitions` VALUES (69054, 1054, 19, 'Clique para selecionar o código relacionado');
INSERT INTO `lang_definitions` VALUES (69055, 1058, 19, 'Clique para ver');
INSERT INTO `lang_definitions` VALUES (69056, 1059, 19, 'Clique ver ou editar');
INSERT INTO `lang_definitions` VALUES (69057, 1060, 19, 'Clique para ver/editar');
INSERT INTO `lang_definitions` VALUES (69058, 1063, 19, 'Clique:');
INSERT INTO `lang_definitions` VALUES (69059, 1067, 19, 'Cópia do Utente');
INSERT INTO `lang_definitions` VALUES (69060, 1069, 19, 'Sumário da História Clinica');
INSERT INTO `lang_definitions` VALUES (69061, 1072, 19, 'Perfil do Utente - Novos Utentes');
INSERT INTO `lang_definitions` VALUES (69062, 1073, 19, 'Perfil do Utente- Utente Únicos');
INSERT INTO `lang_definitions` VALUES (69063, 1074, 19, 'Utentes');
INSERT INTO `lang_definitions` VALUES (69064, 1075, 19, 'Clínica');
INSERT INTO `lang_definitions` VALUES (69065, 1076, 19, 'Copia da Clinica');
INSERT INTO `lang_definitions` VALUES (69066, 1077, 19, 'Registro Diário da Clinica');
INSERT INTO `lang_definitions` VALUES (69067, 1078, 19, 'Clínica ID');
INSERT INTO `lang_definitions` VALUES (69068, 1106, 19, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (69069, 1107, 19, 'copie');
INSERT INTO `lang_definitions` VALUES (69070, 1108, 19, 'copie a visita anterior');
INSERT INTO `lang_definitions` VALUES (69071, 1109, 19, 'Fechar');
INSERT INTO `lang_definitions` VALUES (69072, 1111, 19, 'Fechar a janela');
INSERT INTO `lang_definitions` VALUES (69073, 1112, 19, 'Fechado');
INSERT INTO `lang_definitions` VALUES (69074, 1113, 19, 'cm');
INSERT INTO `lang_definitions` VALUES (69075, 1118, 19, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (69076, 1127, 19, 'CN2-12 íntima');
INSERT INTO `lang_definitions` VALUES (69077, 1131, 19, 'Código');
INSERT INTO `lang_definitions` VALUES (69078, 1132, 19, 'Código');
INSERT INTO `lang_definitions` VALUES (69079, 1133, 19, 'Codifique o descobridor');
INSERT INTO `lang_definitions` VALUES (69080, 1134, 19, 'Código deve ser duas letras minúsculs');
INSERT INTO `lang_definitions` VALUES (69081, 1138, 19, 'tipo de códig');
INSERT INTO `lang_definitions` VALUES (69082, 1144, 19, 'Códigos');
INSERT INTO `lang_definitions` VALUES (69083, 1145, 19, 'Codificando');
INSERT INTO `lang_definitions` VALUES (69084, 1147, 19, 'Codificando - qualquer encontro (escrever, aumentar opcional)');
INSERT INTO `lang_definitions` VALUES (69085, 1148, 19, 'Codificando - meu encontro (escrever, aumentar opcional)');
INSERT INTO `lang_definitions` VALUES (69086, 1149, 19, 'Código não autorizado');
INSERT INTO `lang_definitions` VALUES (69087, 1150, 19, 'Café');
INSERT INTO `lang_definitions` VALUES (69088, 1152, 19, 'Co-seguro');
INSERT INTO `lang_definitions` VALUES (69089, 1153, 19, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (69090, 1154, 19, 'Esconder');
INSERT INTO `lang_definitions` VALUES (69091, 1155, 19, 'esconder');
INSERT INTO `lang_definitions` VALUES (69092, 1156, 19, 'Esconder Tudo');
INSERT INTO `lang_definitions` VALUES (69093, 1157, 19, 'Esconder tudo');
INSERT INTO `lang_definitions` VALUES (69094, 1158, 19, 'esconder tudo');
INSERT INTO `lang_definitions` VALUES (69095, 1161, 19, 'Coleções');
INSERT INTO `lang_definitions` VALUES (69096, 1162, 19, 'Relatório de Coleções');
INSERT INTO `lang_definitions` VALUES (69097, 1163, 19, 'Cancror do Cólon');
INSERT INTO `lang_definitions` VALUES (69098, 1165, 19, 'Cirurgia do Cancro do Cólon');
INSERT INTO `lang_definitions` VALUES (69099, 1166, 19, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (69100, 1167, 19, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (69101, 1168, 19, 'Cor');
INSERT INTO `lang_definitions` VALUES (69102, 1171, 19, 'Colunas');
INSERT INTO `lang_definitions` VALUES (69103, 1173, 19, 'Vírgula');
INSERT INTO `lang_definitions` VALUES (69104, 1174, 19, 'Comentário');
INSERT INTO `lang_definitions` VALUES (69105, 1175, 19, 'Comentários');
INSERT INTO `lang_definitions` VALUES (69106, 1176, 19, 'Comentários ao resultado');
INSERT INTO `lang_definitions` VALUES (69107, 1177, 19, 'Cia. De Seguro comercial');
INSERT INTO `lang_definitions` VALUES (69108, 1178, 19, 'Faça mudanças');
INSERT INTO `lang_definitions` VALUES (69109, 1180, 19, 'Comunicações');
INSERT INTO `lang_definitions` VALUES (69110, 1182, 19, 'Empresa');
INSERT INTO `lang_definitions` VALUES (69111, 1184, 19, 'Concluir');
INSERT INTO `lang_definitions` VALUES (69112, 1186, 19, 'Concluído');
INSERT INTO `lang_definitions` VALUES (69113, 1190, 19, 'Complicações através do provedor de serviços');
INSERT INTO `lang_definitions` VALUES (69114, 1191, 19, 'Complicações do Aborto');
INSERT INTO `lang_definitions` VALUES (69115, 1193, 19, 'Computador Ajudou Sistema de Ordenamento de Exame médico');
INSERT INTO `lang_definitions` VALUES (69116, 1194, 19, 'Conclusões');
INSERT INTO `lang_definitions` VALUES (69117, 1199, 19, 'Configuração');
INSERT INTO `lang_definitions` VALUES (69118, 1200, 19, 'Configuração Exportar/Importar');
INSERT INTO `lang_definitions` VALUES (69119, 1208, 19, 'Confirme o Novo Utente');
INSERT INTO `lang_definitions` VALUES (69120, 1210, 19, 'Confirme Pagamento');
INSERT INTO `lang_definitions` VALUES (69121, 1214, 19, 'Congênito');
INSERT INTO `lang_definitions` VALUES (69122, 1215, 19, 'Conjuntiva, pupils');
INSERT INTO `lang_definitions` VALUES (69123, 1218, 19, 'Constante');
INSERT INTO `lang_definitions` VALUES (69124, 1219, 19, 'Nome Constante');
INSERT INTO `lang_definitions` VALUES (69125, 1221, 19, 'Constantes');
INSERT INTO `lang_definitions` VALUES (69126, 1222, 19, 'Obstipação');
INSERT INTO `lang_definitions` VALUES (69127, 1223, 19, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (69128, 1226, 19, 'Descrição Breve da Consulta');
INSERT INTO `lang_definitions` VALUES (69129, 1227, 19, 'Contacto');
INSERT INTO `lang_definitions` VALUES (69130, 1228, 19, 'Correio eletrónico (email)');
INSERT INTO `lang_definitions` VALUES (69131, 1229, 19, 'Endereço Electrónico');
INSERT INTO `lang_definitions` VALUES (69132, 1231, 19, 'informação do contacto');
INSERT INTO `lang_definitions` VALUES (69133, 1232, 19, 'Lentes de Contacto');
INSERT INTO `lang_definitions` VALUES (69134, 1236, 19, 'Contate o Nome');
INSERT INTO `lang_definitions` VALUES (69135, 1237, 19, 'Contate a pessoa');
INSERT INTO `lang_definitions` VALUES (69136, 1239, 19, 'Contate o Número de Telefone');
INSERT INTO `lang_definitions` VALUES (69137, 1243, 19, 'Conteúdo');
INSERT INTO `lang_definitions` VALUES (69138, 1244, 19, 'conteúdo');
INSERT INTO `lang_definitions` VALUES (69139, 1247, 19, 'Continuar');
INSERT INTO `lang_definitions` VALUES (69140, 1250, 19, 'Clientes de Contra');
INSERT INTO `lang_definitions` VALUES (69141, 1251, 19, 'Contracepção');
INSERT INTO `lang_definitions` VALUES (69142, 1252, 19, 'Assuntos de Contracepção');
INSERT INTO `lang_definitions` VALUES (69143, 1253, 19, 'Complicação anticoncepcional (especifique)');
INSERT INTO `lang_definitions` VALUES (69144, 1254, 19, 'Métodos Anticontracepcional');
INSERT INTO `lang_definitions` VALUES (69145, 1256, 19, 'Sérviços anticontracepcionais começaram previamente');
INSERT INTO `lang_definitions` VALUES (69146, 1257, 19, 'Anticontracepciona Começou');
INSERT INTO `lang_definitions` VALUES (69147, 1259, 19, 'Control No');
INSERT INTO `lang_definitions` VALUES (69148, 1262, 19, 'Copay');
INSERT INTO `lang_definitions` VALUES (69149, 1263, 19, 'CoPay');
INSERT INTO `lang_definitions` VALUES (69150, 1264, 19, 'Copay não positivo');
INSERT INTO `lang_definitions` VALUES (69151, 1266, 19, 'Copays');
INSERT INTO `lang_definitions` VALUES (69152, 1267, 19, 'COPD');
INSERT INTO `lang_definitions` VALUES (69153, 1268, 19, 'Copia página do doente traçada');
INSERT INTO `lang_definitions` VALUES (69154, 1269, 19, 'Copia Valores');
INSERT INTO `lang_definitions` VALUES (69155, 1271, 19, 'Protegido por direitos de autor');
INSERT INTO `lang_definitions` VALUES (69156, 1273, 19, 'Bypass coronário');
INSERT INTO `lang_definitions` VALUES (69157, 1289, 19, 'Tosse');
INSERT INTO `lang_definitions` VALUES (69158, 1290, 19, 'Tosse:');
INSERT INTO `lang_definitions` VALUES (69159, 1294, 19, 'Não foi possível ler o ficheiro');
INSERT INTO `lang_definitions` VALUES (69160, 1296, 19, 'Não pode enviar e-mail devido a problema do servidor, ');
INSERT INTO `lang_definitions` VALUES (69161, 1301, 19, 'Não pode remover o documento antigo exportado');
INSERT INTO `lang_definitions` VALUES (69162, 1303, 19, 'Acounselhamento através de Método');
INSERT INTO `lang_definitions` VALUES (69163, 1304, 19, 'Aconselhando');
INSERT INTO `lang_definitions` VALUES (69164, 1305, 19, 'Atividade de Aconselhamento');
INSERT INTO `lang_definitions` VALUES (69165, 1306, 19, 'CONTRA FORMA DE INDICAÇÃO');
INSERT INTO `lang_definitions` VALUES (69166, 1307, 19, 'Contra informação');
INSERT INTO `lang_definitions` VALUES (69167, 1308, 19, 'País');
INSERT INTO `lang_definitions` VALUES (69168, 1311, 19, 'Lista de Países (escrever,adicionar somente opcional)');
INSERT INTO `lang_definitions` VALUES (69169, 1313, 19, 'país');
INSERT INTO `lang_definitions` VALUES (69170, 1315, 19, 'Cupom');
INSERT INTO `lang_definitions` VALUES (69171, 1318, 19, 'CPT');
INSERT INTO `lang_definitions` VALUES (69172, 1320, 19, 'CPT Códigos');
INSERT INTO `lang_definitions` VALUES (69173, 1324, 19, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (69174, 1325, 19, 'nata');
INSERT INTO `lang_definitions` VALUES (69175, 1329, 19, 'Criar um Evento');
INSERT INTO `lang_definitions` VALUES (69176, 1330, 19, 'Crie e carregue um auxílio cheio');
INSERT INTO `lang_definitions` VALUES (69177, 1332, 19, 'Criar um Auxílio');
INSERT INTO `lang_definitions` VALUES (69178, 1336, 19, 'Guardar Novo');
INSERT INTO `lang_definitions` VALUES (69179, 1340, 19, 'Novo Utente');
INSERT INTO `lang_definitions` VALUES (69180, 1344, 19, 'Nova Notas do Utente');
INSERT INTO `lang_definitions` VALUES (69181, 1346, 19, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (69182, 1347, 19, 'Criado');
INSERT INTO `lang_definitions` VALUES (69183, 1348, 19, 'Arquivo de exportação criado');
INSERT INTO `lang_definitions` VALUES (69184, 1352, 19, 'crédito');
INSERT INTO `lang_definitions` VALUES (69185, 1354, 19, 'Créditos');
INSERT INTO `lang_definitions` VALUES (69186, 1356, 19, 'Critérios');
INSERT INTO `lang_definitions` VALUES (69187, 1358, 19, 'Crohn\'Doença de');
INSERT INTO `lang_definitions` VALUES (69188, 1359, 19, 'Crohn Doença de');
INSERT INTO `lang_definitions` VALUES (69189, 1360, 19, 'Exportar em CSV');
INSERT INTO `lang_definitions` VALUES (69190, 1361, 19, 'Ficheiro CSV');
INSERT INTO `lang_definitions` VALUES (69191, 1364, 19, 'Cubano');
INSERT INTO `lang_definitions` VALUES (69192, 1369, 19, 'Corrente');
INSERT INTO `lang_definitions` VALUES (69193, 1371, 19, 'Consulta atual');
INSERT INTO `lang_definitions` VALUES (69194, 1373, 19, 'Cor de destaque de dia atual');
INSERT INTO `lang_definitions` VALUES (69195, 1375, 19, 'O nome da pasta foi trocado para');
INSERT INTO `lang_definitions` VALUES (69196, 1377, 19, 'Localização atual');
INSERT INTO `lang_definitions` VALUES (69197, 1378, 19, 'Medicação atual');
INSERT INTO `lang_definitions` VALUES (69198, 1379, 19, 'Palavra chave atual');
INSERT INTO `lang_definitions` VALUES (69199, 1380, 19, 'Utente Corrente');
INSERT INTO `lang_definitions` VALUES (69200, 1386, 19, 'Atualmente ativo');
INSERT INTO `lang_definitions` VALUES (69201, 1389, 19, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (69202, 1390, 19, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (69203, 1392, 19, 'Costume');
INSERT INTO `lang_definitions` VALUES (69204, 1399, 19, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (69205, 1400, 19, 'CYP');
INSERT INTO `lang_definitions` VALUES (69206, 1401, 19, 'Fator CYP');
INSERT INTO `lang_definitions` VALUES (69207, 1402, 19, 'Relatório CYP');
INSERT INTO `lang_definitions` VALUES (69208, 1404, 19, 'D');
INSERT INTO `lang_definitions` VALUES (69209, 1405, 19, 'D&C');
INSERT INTO `lang_definitions` VALUES (69210, 1406, 19, 'D&E');
INSERT INTO `lang_definitions` VALUES (69211, 1407, 19, 'D. Nasc.');
INSERT INTO `lang_definitions` VALUES (69212, 1408, 19, 'diariamente');
INSERT INTO `lang_definitions` VALUES (69213, 1409, 19, 'Registo Diário');
INSERT INTO `lang_definitions` VALUES (69214, 1410, 19, 'Dinamarquês');
INSERT INTO `lang_definitions` VALUES (69215, 1411, 19, 'Dado semelhante já está no banco de dados, por código de alteração e / ou descrição');
INSERT INTO `lang_definitions` VALUES (69216, 1412, 19, 'Dados Semelhantes já está em banco de dados, por favor mude npme');
INSERT INTO `lang_definitions` VALUES (69217, 1413, 19, 'Dados Cols');
INSERT INTO `lang_definitions` VALUES (69218, 1420, 19, 'Tipos de Dados');
INSERT INTO `lang_definitions` VALUES (69219, 1421, 19, 'Base de Dados');
INSERT INTO `lang_definitions` VALUES (69220, 1424, 19, 'Relatório da Base de Dados');
INSERT INTO `lang_definitions` VALUES (69221, 1425, 19, 'Finalizada a atualização da Base de Dados');
INSERT INTO `lang_definitions` VALUES (69222, 1426, 19, 'DataCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (69223, 1427, 19, 'Data');
INSERT INTO `lang_definitions` VALUES (69224, 1428, 19, 'DATA');
INSERT INTO `lang_definitions` VALUES (69225, 1431, 19, 'Data Administrou');
INSERT INTO `lang_definitions` VALUES (69226, 1437, 19, 'Dada de Serviços anticoncepcionais inicialmente contanto');
INSERT INTO `lang_definitions` VALUES (69227, 1439, 19, 'Data do Óbito');
INSERT INTO `lang_definitions` VALUES (69228, 1440, 19, 'Destruído em');
INSERT INTO `lang_definitions` VALUES (69229, 1441, 19, 'Formato da Data');
INSERT INTO `lang_definitions` VALUES (69230, 1442, 19, 'Formato de data para \"fim de compomisso\" não é válido');
INSERT INTO `lang_definitions` VALUES (69231, 1443, 19, 'Formato de data para \"início de compomisso\" não é válido');
INSERT INTO `lang_definitions` VALUES (69232, 1444, 19, 'Formato de data para \"Próximo compomisso\" não é válido');
INSERT INTO `lang_definitions` VALUES (69233, 1445, 19, 'Formato de data para \"não visto desde então\" não é válido');
INSERT INTO `lang_definitions` VALUES (69234, 1446, 19, 'Formato de data para \"visto desde então\" não é válido');
INSERT INTO `lang_definitions` VALUES (69235, 1447, 19, 'Date Declarações de Informação de Imunização Dadas');
INSERT INTO `lang_definitions` VALUES (69236, 1448, 19, 'Data está perdendo para código ');
INSERT INTO `lang_definitions` VALUES (69237, 1450, 19, 'Data do depósito bancário aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (69238, 1452, 19, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (69239, 1453, 19, 'Data de nascimento');
INSERT INTO `lang_definitions` VALUES (69240, 1456, 19, 'Data da lesão');
INSERT INTO `lang_definitions` VALUES (69241, 1458, 19, 'Data do Pagamento aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (69242, 1459, 19, 'Data de Indicação');
INSERT INTO `lang_definitions` VALUES (69243, 1460, 19, 'Data de resposta');
INSERT INTO `lang_definitions` VALUES (69244, 1463, 19, 'Data De Serviço');
INSERT INTO `lang_definitions` VALUES (69245, 1465, 19, 'Data de serviço mm-dd-aaaa');
INSERT INTO `lang_definitions` VALUES (69246, 1466, 19, 'Data de Serviço');
INSERT INTO `lang_definitions` VALUES (69247, 1467, 19, 'Data De Assinatura');
INSERT INTO `lang_definitions` VALUES (69248, 1471, 19, 'Data de Declaração de VIS');
INSERT INTO `lang_definitions` VALUES (69249, 1480, 19, 'Data/Appt');
INSERT INTO `lang_definitions` VALUES (69250, 1481, 19, 'Data/Notas');
INSERT INTO `lang_definitions` VALUES (69251, 1482, 19, 'Data/Ùltimas Notas');
INSERT INTO `lang_definitions` VALUES (69252, 1484, 19, 'Data:');
INSERT INTO `lang_definitions` VALUES (69253, 1486, 19, 'Dia');
INSERT INTO `lang_definitions` VALUES (69254, 1487, 19, 'dia');
INSERT INTO `lang_definitions` VALUES (69255, 1489, 19, 'Dia');
INSERT INTO `lang_definitions` VALUES (69256, 1490, 19, 'Dia(s)');
INSERT INTO `lang_definitions` VALUES (69257, 1491, 19, 'Dias úteis');
INSERT INTO `lang_definitions` VALUES (69258, 1492, 19, 'dias');
INSERT INTO `lang_definitions` VALUES (69259, 1493, 19, 'Days');
INSERT INTO `lang_definitions` VALUES (69260, 1494, 19, 'dias atrás');
INSERT INTO `lang_definitions` VALUES (69261, 1495, 19, 'Dias e Jogos Perderam');
INSERT INTO `lang_definitions` VALUES (69262, 1496, 19, 'Dias De Último Encontro');
INSERT INTO `lang_definitions` VALUES (69263, 1498, 19, 'Dias por Colunas');
INSERT INTO `lang_definitions` VALUES (69264, 1501, 19, 'BD Instalada');
INSERT INTO `lang_definitions` VALUES (69265, 1502, 19, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (69266, 1509, 19, 'DEA');
INSERT INTO `lang_definitions` VALUES (69267, 1511, 19, 'Surdo');
INSERT INTO `lang_definitions` VALUES (69268, 1512, 19, 'Depure Informação');
INSERT INTO `lang_definitions` VALUES (69269, 1515, 19, 'Dez');
INSERT INTO `lang_definitions` VALUES (69270, 1516, 19, 'FALECIDO');
INSERT INTO `lang_definitions` VALUES (69271, 1517, 19, 'Dezembro');
INSERT INTO `lang_definitions` VALUES (69272, 1520, 19, 'Dedutível');
INSERT INTO `lang_definitions` VALUES (69273, 1522, 19, 'Omissão');
INSERT INTO `lang_definitions` VALUES (69274, 1523, 19, 'Vista de Calendário Predefinida');
INSERT INTO `lang_definitions` VALUES (69275, 1524, 19, 'ID Formulário de Consulta Predefinido');
INSERT INTO `lang_definitions` VALUES (69276, 1526, 19, 'Clínica Predefinida');
INSERT INTO `lang_definitions` VALUES (69277, 1527, 19, 'Idioma Predefinido');
INSERT INTO `lang_definitions` VALUES (69278, 1528, 19, 'Idioma predefinido se não houver outra opção.');
INSERT INTO `lang_definitions` VALUES (69279, 1529, 19, 'Lista predefinida (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (69280, 1530, 19, 'Método Predefinido');
INSERT INTO `lang_definitions` VALUES (69281, 1531, 19, 'Dias de Expiração da Senha Predefinidos');
INSERT INTO `lang_definitions` VALUES (69282, 1532, 19, 'Dias de expiração da senha predefinidos. 0 é ilimitado.');
INSERT INTO `lang_definitions` VALUES (69283, 1536, 19, 'Clínico Predefinido');
INSERT INTO `lang_definitions` VALUES (69284, 1537, 19, 'Intervalo Predefinido');
INSERT INTO `lang_definitions` VALUES (69285, 1538, 19, 'Razão da Visita Predefinido');
INSERT INTO `lang_definitions` VALUES (69286, 1540, 19, 'Definição Predefinida');
INSERT INTO `lang_definitions` VALUES (69287, 1542, 19, 'Modelo Predefinido');
INSERT INTO `lang_definitions` VALUES (69288, 1546, 19, 'Unidades Predefinidas');
INSERT INTO `lang_definitions` VALUES (69289, 1547, 19, 'Valor Predefinido');
INSERT INTO `lang_definitions` VALUES (69290, 1548, 19, 'Armazém Predefinido');
INSERT INTO `lang_definitions` VALUES (69291, 1549, 19, 'Parceiro X12 Predefinido');
INSERT INTO `lang_definitions` VALUES (69292, 1550, 19, 'Predefinido/Global');
INSERT INTO `lang_definitions` VALUES (69293, 1551, 19, 'Eli');
INSERT INTO `lang_definitions` VALUES (69294, 1552, 19, 'eli');
INSERT INTO `lang_definitions` VALUES (69295, 1553, 19, 'Recorrência tardia (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (69296, 1554, 19, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (69297, 1555, 19, 'eliminar');
INSERT INTO `lang_definitions` VALUES (69298, 1556, 19, 'Eliminar Categorias com ID(s): ');
INSERT INTO `lang_definitions` VALUES (69299, 1560, 19, 'Eliminar Grupo');
INSERT INTO `lang_definitions` VALUES (69300, 1561, 19, 'Eliminar Lista');
INSERT INTO `lang_definitions` VALUES (69301, 1562, 19, 'Eliminar Páginas');
INSERT INTO `lang_definitions` VALUES (69302, 1563, 19, 'Eliminar Utente, Consulta, Formulário, edição, Documento, Pagamento, Cobrança ou Transacção');
INSERT INTO `lang_definitions` VALUES (69303, 1565, 19, 'Eliminar Linha');
INSERT INTO `lang_definitions` VALUES (69304, 1566, 19, 'Eliminar Itens Seleccionados');
INSERT INTO `lang_definitions` VALUES (69305, 1568, 19, 'Eliminado.');
INSERT INTO `lang_definitions` VALUES (69306, 1569, 19, 'Eliminar documento');
INSERT INTO `lang_definitions` VALUES (69307, 1570, 19, 'Eliminar formulário');
INSERT INTO `lang_definitions` VALUES (69308, 1571, 19, 'Eliminar nota');
INSERT INTO `lang_definitions` VALUES (69309, 1581, 19, 'Demência');
INSERT INTO `lang_definitions` VALUES (69310, 1582, 19, 'Informações demograficas');
INSERT INTO `lang_definitions` VALUES (69311, 1583, 19, 'Demograficas (escrever opcionalmente)');
INSERT INTO `lang_definitions` VALUES (69312, 1586, 19, 'Demograficas não autorizou');
INSERT INTO `lang_definitions` VALUES (69313, 1587, 19, 'Demographics não autorizou.');
INSERT INTO `lang_definitions` VALUES (69314, 1590, 19, 'Dental');
INSERT INTO `lang_definitions` VALUES (69315, 1592, 19, 'Problemas Dentários');
INSERT INTO `lang_definitions` VALUES (69316, 1595, 19, 'Dependendo do tipo de conta que você está testando você vai ver HCFA como a saída em uma página em branco para HCFA contas, você vai ver várias linhas de texto um tanto truncado e as informações se você está testando uma reivindicação X12. Esse texto ilegível é o X12 EDI 4010 formato. Ocasionalmente você vai ver caracteres estranhos que parecem dominós ou squiglies, estes são caracteres de controle como de alimentação de pagina e são normais.');
INSERT INTO `lang_definitions` VALUES (69317, 1598, 19, 'Data do Depósito');
INSERT INTO `lang_definitions` VALUES (69318, 1599, 19, 'Deprimido');
INSERT INTO `lang_definitions` VALUES (69319, 1600, 19, 'Depressão');
INSERT INTO `lang_definitions` VALUES (69320, 1602, 19, 'Descrição');
INSERT INTO `lang_definitions` VALUES (69321, 1603, 19, 'descrição');
INSERT INTO `lang_definitions` VALUES (69322, 1607, 19, 'Tradução de descrição');
INSERT INTO `lang_definitions` VALUES (69323, 1609, 19, 'Destino');
INSERT INTO `lang_definitions` VALUES (69324, 1611, 19, 'Destrua Lote');
INSERT INTO `lang_definitions` VALUES (69325, 1612, 19, 'Destruir');
INSERT INTO `lang_definitions` VALUES (69326, 1613, 19, 'Destruido');
INSERT INTO `lang_definitions` VALUES (69327, 1614, 19, 'Drogas Destruidas');
INSERT INTO `lang_definitions` VALUES (69328, 1615, 19, 'Relatório de Drogas Destruidas');
INSERT INTO `lang_definitions` VALUES (69329, 1617, 19, 'Detalhes');
INSERT INTO `lang_definitions` VALUES (69330, 1619, 19, 'anormalidade Desenvolvente');
INSERT INTO `lang_definitions` VALUES (69331, 1620, 19, 'Diabete');
INSERT INTO `lang_definitions` VALUES (69332, 1631, 19, 'Diag');
INSERT INTO `lang_definitions` VALUES (69333, 1633, 19, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (69334, 1637, 19, 'Diagnóstico deve ser codificado em um encontro único');
INSERT INTO `lang_definitions` VALUES (69335, 1643, 19, 'Diagnósticos:');
INSERT INTO `lang_definitions` VALUES (69336, 1644, 19, 'Diagnósticos: ');
INSERT INTO `lang_definitions` VALUES (69337, 1645, 19, 'Testes do Diagnósticos');
INSERT INTO `lang_definitions` VALUES (69338, 1646, 19, 'Dials');
INSERT INTO `lang_definitions` VALUES (69339, 1647, 19, 'Diaphragms/Caps');
INSERT INTO `lang_definitions` VALUES (69340, 1648, 19, 'Diarréia');
INSERT INTO `lang_definitions` VALUES (69341, 1650, 19, 'Ditado');
INSERT INTO `lang_definitions` VALUES (69342, 1651, 19, 'Ditado: ');
INSERT INTO `lang_definitions` VALUES (69343, 1652, 19, 'Voçê recebeu uma cópia da Notificação de HIPAA?');
INSERT INTO `lang_definitions` VALUES (69344, 1653, 19, 'Difunda:');
INSERT INTO `lang_definitions` VALUES (69345, 1654, 19, 'Assinado digitalmente');
INSERT INTO `lang_definitions` VALUES (69346, 1657, 19, 'Mala Direta');
INSERT INTO `lang_definitions` VALUES (69347, 1665, 19, 'Incapacidade');
INSERT INTO `lang_definitions` VALUES (69348, 1675, 19, 'inactivo');
INSERT INTO `lang_definitions` VALUES (69349, 1676, 19, 'Inactivo');
INSERT INTO `lang_definitions` VALUES (69350, 1678, 19, 'DISC');
INSERT INTO `lang_definitions` VALUES (69351, 1681, 19, 'corrimento');
INSERT INTO `lang_definitions` VALUES (69352, 1682, 19, 'corrimento uretral');
INSERT INTO `lang_definitions` VALUES (69353, 1684, 19, 'Descarregue Direto');
INSERT INTO `lang_definitions` VALUES (69354, 1685, 19, 'Descarregue Direto');
INSERT INTO `lang_definitions` VALUES (69355, 1692, 19, 'Informações');
INSERT INTO `lang_definitions` VALUES (69356, 1694, 19, 'Desconto');
INSERT INTO `lang_definitions` VALUES (69357, 1695, 19, 'Quantia de desconto');
INSERT INTO `lang_definitions` VALUES (69358, 1696, 19, 'Alavanc do Desconto');
INSERT INTO `lang_definitions` VALUES (69359, 1701, 19, 'Doença');
INSERT INTO `lang_definitions` VALUES (69360, 1702, 19, 'Luxação');
INSERT INTO `lang_definitions` VALUES (69361, 1703, 19, 'Disp #');
INSERT INTO `lang_definitions` VALUES (69362, 1704, 19, 'Despachado');
INSERT INTO `lang_definitions` VALUES (69363, 1705, 19, 'Expedição do documento recebido');
INSERT INTO `lang_definitions` VALUES (69364, 1706, 19, 'Dispensado');
INSERT INTO `lang_definitions` VALUES (69365, 1709, 19, 'Datas de eventos de exibição em bloco?');
INSERT INTO `lang_definitions` VALUES (69366, 1711, 19, 'Mostrar quantos eventos?');
INSERT INTO `lang_definitions` VALUES (69367, 1713, 19, 'Mostrar localização em bloco?');
INSERT INTO `lang_definitions` VALUES (69368, 1715, 19, 'Mostrar calendário?');
INSERT INTO `lang_definitions` VALUES (69369, 1718, 19, 'Mostrar eventos de hoje em bloco?');
INSERT INTO `lang_definitions` VALUES (69370, 1719, 19, 'Mostrar tópico em bloco?');
INSERT INTO `lang_definitions` VALUES (69371, 1720, 19, 'Mostrar eventos futuros em bloco?');
INSERT INTO `lang_definitions` VALUES (69372, 1722, 19, 'A mostrar o número de informação mais recentes:');
INSERT INTO `lang_definitions` VALUES (69373, 1724, 19, 'A mostrar o número de notas mais recentes:');
INSERT INTO `lang_definitions` VALUES (69374, 1725, 19, 'Distribuição');
INSERT INTO `lang_definitions` VALUES (69375, 1726, 19, 'Distribuições');
INSERT INTO `lang_definitions` VALUES (69376, 1727, 19, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (69377, 1729, 19, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (69378, 1730, 19, 'Cirúrgia de Diverticulite');
INSERT INTO `lang_definitions` VALUES (69379, 1731, 19, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (69380, 1732, 19, 'Cirúrgia de Diverticulite');
INSERT INTO `lang_definitions` VALUES (69381, 1733, 19, 'Divorciado(a)');
INSERT INTO `lang_definitions` VALUES (69382, 1734, 19, 'Vertigem:');
INSERT INTO `lang_definitions` VALUES (69383, 1735, 19, 'Não alterar');
INSERT INTO `lang_definitions` VALUES (69384, 1742, 19, 'Não mostrar no calendário.');
INSERT INTO `lang_definitions` VALUES (69385, 1744, 19, 'Não inventariar e vender produtos');
INSERT INTO `lang_definitions` VALUES (69386, 1745, 19, 'Não exigir autorização das notas dos utentes');
INSERT INTO `lang_definitions` VALUES (69387, 1746, 19, 'Ordem de Não Ressuscitar');
INSERT INTO `lang_definitions` VALUES (69388, 1747, 19, 'não guardar');
INSERT INTO `lang_definitions` VALUES (69389, 1748, 19, 'não substituir');
INSERT INTO `lang_definitions` VALUES (69390, 1749, 19, 'não executar');
INSERT INTO `lang_definitions` VALUES (69391, 1751, 19, 'Confirma a eliminação');
INSERT INTO `lang_definitions` VALUES (69392, 1752, 19, 'Confirma a eliminação da selecção?');
INSERT INTO `lang_definitions` VALUES (69393, 1753, 19, 'Confirma a eliminação do grupo');
INSERT INTO `lang_definitions` VALUES (69394, 1755, 19, 'Deseja continuar ?');
INSERT INTO `lang_definitions` VALUES (69395, 1756, 19, 'Deseja eliminar isto ?');
INSERT INTO `lang_definitions` VALUES (69396, 1757, 19, 'Deseja eliminar?');
INSERT INTO `lang_definitions` VALUES (69397, 1758, 19, 'Confirma a eliminação do registo?');
INSERT INTO `lang_definitions` VALUES (69398, 1759, 19, 'Deseja continuar a criar este novo utente?');
INSERT INTO `lang_definitions` VALUES (69399, 1760, 19, 'Deseja continuar com o nome novo?');
INSERT INTO `lang_definitions` VALUES (69400, 1761, 19, 'Deseja eliminar PERMANENTEMENTE este registo de vacinação?');
INSERT INTO `lang_definitions` VALUES (69401, 1762, 19, 'D. Nascimento');
INSERT INTO `lang_definitions` VALUES (69402, 1763, 19, 'Data de nascimento em falta');
INSERT INTO `lang_definitions` VALUES (69403, 1764, 19, 'Docs');
INSERT INTO `lang_definitions` VALUES (69404, 1765, 19, 'Médico');
INSERT INTO `lang_definitions` VALUES (69405, 1766, 19, 'Médico:');
INSERT INTO `lang_definitions` VALUES (69406, 1767, 19, 'Nome do médico e assinatura');
INSERT INTO `lang_definitions` VALUES (69407, 1768, 19, 'Documento');
INSERT INTO `lang_definitions` VALUES (69408, 1769, 19, 'documento');
INSERT INTO `lang_definitions` VALUES (69409, 1770, 19, 'Categorias dos Documentos');
INSERT INTO `lang_definitions` VALUES (69410, 1775, 19, 'Documento não pode ser movido para o id utente');
INSERT INTO `lang_definitions` VALUES (69411, 1777, 19, 'Data do Documento');
INSERT INTO `lang_definitions` VALUES (69412, 1778, 19, 'Data do documento e assunto actualizados');
INSERT INTO `lang_definitions` VALUES (69413, 1779, 19, 'ID do Documento');
INSERT INTO `lang_definitions` VALUES (69414, 1780, 19, 'Documento movido para nova categória');
INSERT INTO `lang_definitions` VALUES (69415, 1781, 19, 'Documento movido para o id do utente');
INSERT INTO `lang_definitions` VALUES (69416, 1790, 19, 'Guarda Documento/Imagem');
INSERT INTO `lang_definitions` VALUES (69417, 1791, 19, 'Documentos');
INSERT INTO `lang_definitions` VALUES (69418, 1792, 19, 'Documentos (escrever opcionalmente)');
INSERT INTO `lang_definitions` VALUES (69419, 1794, 19, 'DOE');
INSERT INTO `lang_definitions` VALUES (69420, 1799, 19, 'Relação Estável');
INSERT INTO `lang_definitions` VALUES (69421, 1800, 19, 'Não guardar');
INSERT INTO `lang_definitions` VALUES (69422, 1801, 19, 'Não guardar');
INSERT INTO `lang_definitions` VALUES (69423, 1802, 19, 'Não Guardar Alterações');
INSERT INTO `lang_definitions` VALUES (69424, 1803, 19, 'Efectuado');
INSERT INTO `lang_definitions` VALUES (69425, 1804, 19, 'Efectuado com:');
INSERT INTO `lang_definitions` VALUES (69426, 1805, 19, 'Efectuado. A enviar descarga.');
INSERT INTO `lang_definitions` VALUES (69427, 1806, 19, 'DOS');
INSERT INTO `lang_definitions` VALUES (69428, 1807, 19, 'Dosagem');
INSERT INTO `lang_definitions` VALUES (69429, 1809, 19, 'Duplo-clique para editar');
INSERT INTO `lang_definitions` VALUES (69430, 1810, 19, 'Visão Dupla');
INSERT INTO `lang_definitions` VALUES (69431, 1811, 19, 'Descarregar');
INSERT INTO `lang_definitions` VALUES (69432, 1814, 19, 'Descarregar');
INSERT INTO `lang_definitions` VALUES (69433, 1815, 19, 'Carregamento da faturamento do arquivo, poste para a contabilidade e marca');
INSERT INTO `lang_definitions` VALUES (69434, 1817, 19, 'Descarregar Certificados');
INSERT INTO `lang_definitions` VALUES (69435, 1818, 19, 'Carregamento da configuração de dados');
INSERT INTO `lang_definitions` VALUES (69436, 1828, 19, 'Dr: Verifica');
INSERT INTO `lang_definitions` VALUES (69437, 1829, 19, 'Dr: Visita');
INSERT INTO `lang_definitions` VALUES (69438, 1830, 19, 'Dr.');
INSERT INTO `lang_definitions` VALUES (69439, 1832, 19, 'Pingando');
INSERT INTO `lang_definitions` VALUES (69440, 1833, 19, 'Carta de Condução ou BI/CC');
INSERT INTO `lang_definitions` VALUES (69441, 1834, 19, 'Droga');
INSERT INTO `lang_definitions` VALUES (69442, 1836, 19, 'Formulários de Drogas');
INSERT INTO `lang_definitions` VALUES (69443, 1837, 19, 'Falta ID da Droga!');
INSERT INTO `lang_definitions` VALUES (69444, 1838, 19, 'Intervalo das Drogas');
INSERT INTO `lang_definitions` VALUES (69445, 1839, 19, 'Inventário de medicamentos');
INSERT INTO `lang_definitions` VALUES (69446, 1840, 19, 'Nome da medicamento');
INSERT INTO `lang_definitions` VALUES (69447, 1841, 19, 'Rotas de Droga');
INSERT INTO `lang_definitions` VALUES (69448, 1845, 19, 'Unidades do medicamento');
INSERT INTO `lang_definitions` VALUES (69449, 1846, 19, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (69450, 1848, 19, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (69451, 1850, 19, 'DT 1');
INSERT INTO `lang_definitions` VALUES (69452, 1851, 19, 'DT 2');
INSERT INTO `lang_definitions` VALUES (69453, 1852, 19, 'DT 3');
INSERT INTO `lang_definitions` VALUES (69454, 1853, 19, 'DT 4');
INSERT INTO `lang_definitions` VALUES (69455, 1854, 19, 'DT 5');
INSERT INTO `lang_definitions` VALUES (69456, 1855, 19, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (69457, 1856, 19, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (69458, 1857, 19, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (69459, 1858, 19, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (69460, 1859, 19, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (69461, 1861, 19, 'Data de vencimento');
INSERT INTO `lang_definitions` VALUES (69462, 1862, 19, 'Data de vencimento m/dd/aaaa ou aaaa/mm/dd');
INSERT INTO `lang_definitions` VALUES (69463, 1863, 19, 'Data de vencimento');
INSERT INTO `lang_definitions` VALUES (69464, 1864, 19, 'Vencimento Ins');
INSERT INTO `lang_definitions` VALUES (69465, 1865, 19, 'Vencimento Pt');
INSERT INTO `lang_definitions` VALUES (69466, 1869, 19, 'Base de dados LibreEHR esvaziado');
INSERT INTO `lang_definitions` VALUES (69467, 1870, 19, 'Rede da árvore LibreEHR do diretório esvaziando');
INSERT INTO `lang_definitions` VALUES (69468, 1871, 19, 'Base de dados de phpGACL esvaziando');
INSERT INTO `lang_definitions` VALUES (69469, 1872, 19, 'Rede da árvore phpGACL do diretório esvaziando');
INSERT INTO `lang_definitions` VALUES (69470, 1873, 19, 'Base de dados SQL-Ledger esvaziado');
INSERT INTO `lang_definitions` VALUES (69471, 1874, 19, 'Rede da árvore SQL-Ledger do diretório esvaziando');
INSERT INTO `lang_definitions` VALUES (69472, 1878, 19, 'ADVERTÊNCIA DE DUPLICAÇÃO');
INSERT INTO `lang_definitions` VALUES (69473, 1880, 19, 'duração');
INSERT INTO `lang_definitions` VALUES (69474, 1881, 19, 'Duração');
INSERT INTO `lang_definitions` VALUES (69475, 1882, 19, 'Holandês');
INSERT INTO `lang_definitions` VALUES (69476, 1884, 19, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (69477, 1885, 19, 'Dysphagia');
INSERT INTO `lang_definitions` VALUES (69478, 1886, 19, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (69479, 1894, 19, 'Retorno Cedo (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (69480, 1895, 19, 'Orelhas');
INSERT INTO `lang_definitions` VALUES (69481, 1896, 19, 'ECG');
INSERT INTO `lang_definitions` VALUES (69482, 1898, 19, 'Edema');
INSERT INTO `lang_definitions` VALUES (69483, 1904, 19, 'Editar');
INSERT INTO `lang_definitions` VALUES (69484, 1906, 19, 'Edite Alergias');
INSERT INTO `lang_definitions` VALUES (69485, 1907, 19, 'Editar Categorias');
INSERT INTO `lang_definitions` VALUES (69486, 1908, 19, 'Editar Definições');
INSERT INTO `lang_definitions` VALUES (69487, 1909, 19, 'Editar definições');
INSERT INTO `lang_definitions` VALUES (69488, 1910, 19, 'Editar Diagnósticos para');
INSERT INTO `lang_definitions` VALUES (69489, 1912, 19, 'Editar Clínicas');
INSERT INTO `lang_definitions` VALUES (69490, 1913, 19, 'Editar Clínicar');
INSERT INTO `lang_definitions` VALUES (69491, 1914, 19, 'Editar Informações da Clínica');
INSERT INTO `lang_definitions` VALUES (69492, 1916, 19, 'Editar Ficheiro em');
INSERT INTO `lang_definitions` VALUES (69493, 1917, 19, 'Edite formulário');
INSERT INTO `lang_definitions` VALUES (69494, 1918, 19, 'Editar Definições Globais');
INSERT INTO `lang_definitions` VALUES (69495, 1920, 19, 'Editar Plano');
INSERT INTO `lang_definitions` VALUES (69496, 1921, 19, 'Edite Lista');
INSERT INTO `lang_definitions` VALUES (69497, 1923, 19, 'Edite Estrutura');
INSERT INTO `lang_definitions` VALUES (69498, 1924, 19, 'Editar Utilizador');
INSERT INTO `lang_definitions` VALUES (69499, 1925, 19, 'Editar Definições do Utilizador');
INSERT INTO `lang_definitions` VALUES (69500, 1928, 19, 'Educação');
INSERT INTO `lang_definitions` VALUES (69501, 1929, 19, 'Data de Educação');
INSERT INTO `lang_definitions` VALUES (69502, 1931, 19, 'ee a GNU General Public License para mais detalhes. * Você deve ter recebido uma cópia da Licença Pública Geral GNU * junto com este programa, se não, escreva para a Free ');
INSERT INTO `lang_definitions` VALUES (69503, 1932, 19, 'Data Efectiva');
INSERT INTO `lang_definitions` VALUES (69504, 1934, 19, 'Efetividade');
INSERT INTO `lang_definitions` VALUES (69505, 1936, 19, 'Ejaculações');
INSERT INTO `lang_definitions` VALUES (69506, 1937, 19, 'Cotovelo');
INSERT INTO `lang_definitions` VALUES (69507, 1938, 19, 'Ploblemas do Cotovelo');
INSERT INTO `lang_definitions` VALUES (69508, 1949, 19, 'E-mail');
INSERT INTO `lang_definitions` VALUES (69509, 1957, 19, 'E-mail de Batchcom');
INSERT INTO `lang_definitions` VALUES (69510, 1958, 19, 'Notificação de E-mail');
INSERT INTO `lang_definitions` VALUES (69511, 1961, 19, 'E-mail enviado antes');
INSERT INTO `lang_definitions` VALUES (69512, 1962, 19, 'E-mail Remetente');
INSERT INTO `lang_definitions` VALUES (69513, 1965, 19, 'Assunto de e-mail');
INSERT INTO `lang_definitions` VALUES (69514, 1966, 19, '***NOME***');
INSERT INTO `lang_definitions` VALUES (69515, 1971, 19, 'Contacto de Emergência');
INSERT INTO `lang_definitions` VALUES (69516, 1972, 19, 'Contacto da Pessoa de Emergêrcia');
INSERT INTO `lang_definitions` VALUES (69517, 1973, 19, 'Numero do Telefone de Emergência da Pessoa');
INSERT INTO `lang_definitions` VALUES (69518, 1974, 19, 'Anticontraceptivos de Emergência');
INSERT INTO `lang_definitions` VALUES (69519, 1980, 19, 'Telefone de Emergência');
INSERT INTO `lang_definitions` VALUES (69520, 1982, 19, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (69521, 1983, 19, 'Empregado');
INSERT INTO `lang_definitions` VALUES (69522, 1984, 19, 'Emprego');
INSERT INTO `lang_definitions` VALUES (69523, 1985, 19, 'Endereço Empregador');
INSERT INTO `lang_definitions` VALUES (69524, 1986, 19, 'Data do Empregador');
INSERT INTO `lang_definitions` VALUES (69525, 1987, 19, 'Nome do Empregador');
INSERT INTO `lang_definitions` VALUES (69526, 1988, 19, 'VAZIO');
INSERT INTO `lang_definitions` VALUES (69527, 1989, 19, 'Vazio');
INSERT INTO `lang_definitions` VALUES (69528, 1991, 19, 'Valor vazio em \"Hora do E-mail\"');
INSERT INTO `lang_definitions` VALUES (69529, 1992, 19, 'Valor vazio em \"Rementente do E-mail\"');
INSERT INTO `lang_definitions` VALUES (69530, 1993, 19, 'Valor vazio em \"Assunto de E-mail');
INSERT INTO `lang_definitions` VALUES (69531, 1994, 19, 'Valor vazio em \"Testo de E-mail\"');
INSERT INTO `lang_definitions` VALUES (69532, 1995, 19, 'Valor vazio em \"Nome do Provedor\"');
INSERT INTO `lang_definitions` VALUES (69533, 1996, 19, 'Valor vazio em \"Senha\"');
INSERT INTO `lang_definitions` VALUES (69534, 1997, 19, 'Valor vazio em \"Horas do SMS\"');
INSERT INTO `lang_definitions` VALUES (69535, 1998, 19, 'Valor vazio em \"Testo do SMS\"');
INSERT INTO `lang_definitions` VALUES (69536, 1999, 19, 'Valor vazio em \"Nome do Ùsuario\"');
INSERT INTO `lang_definitions` VALUES (69537, 2068, 19, 'activo');
INSERT INTO `lang_definitions` VALUES (69538, 2071, 19, 'Con');
INSERT INTO `lang_definitions` VALUES (69539, 2072, 19, 'Cons');
INSERT INTO `lang_definitions` VALUES (69540, 2073, 19, 'Consulta');
INSERT INTO `lang_definitions` VALUES (69541, 2074, 19, 'consulta');
INSERT INTO `lang_definitions` VALUES (69542, 2075, 19, 'Consulta ');
INSERT INTO `lang_definitions` VALUES (69543, 2086, 19, 'Formulários da Consulta');
INSERT INTO `lang_definitions` VALUES (69544, 2088, 19, 'Histórico de Consultas');
INSERT INTO `lang_definitions` VALUES (69545, 2089, 19, 'ID Consulta');
INSERT INTO `lang_definitions` VALUES (69546, 2091, 19, 'Número de consulta');
INSERT INTO `lang_definitions` VALUES (69547, 2108, 19, 'Estatísticas da consulta');
INSERT INTO `lang_definitions` VALUES (69548, 2109, 19, 'Sumário da Consulta');
INSERT INTO `lang_definitions` VALUES (69549, 2110, 19, 'Consulta foi codificada');
INSERT INTO `lang_definitions` VALUES (69550, 2111, 19, 'Consulta:');
INSERT INTO `lang_definitions` VALUES (69551, 2113, 19, 'Consultas');
INSERT INTO `lang_definitions` VALUES (69552, 2114, 19, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (69553, 2115, 19, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (69554, 2116, 19, 'Consultas não autorizadas');
INSERT INTO `lang_definitions` VALUES (69555, 2117, 19, 'Relatório de Consultas');
INSERT INTO `lang_definitions` VALUES (69556, 2118, 19, 'Secção de Consultas');
INSERT INTO `lang_definitions` VALUES (69557, 2121, 19, 'Fim');
INSERT INTO `lang_definitions` VALUES (69558, 2122, 19, 'Fim (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (69559, 2123, 19, 'Data do Fim');
INSERT INTO `lang_definitions` VALUES (69560, 2124, 19, 'Data do Fim');
INSERT INTO `lang_definitions` VALUES (69561, 2127, 19, 'Data do Fim');
INSERT INTO `lang_definitions` VALUES (69562, 2131, 19, 'Tempo do Fim');
INSERT INTO `lang_definitions` VALUES (69563, 2133, 19, 'Terminada a data de serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (69564, 2134, 19, 'Terminado DOS mm / dd / aaaa se deseja introduza um intervalo');
INSERT INTO `lang_definitions` VALUES (69565, 2136, 19, 'Endo Sangue anormal');
INSERT INTO `lang_definitions` VALUES (69566, 2137, 19, 'Endócrine');
INSERT INTO `lang_definitions` VALUES (69567, 2138, 19, 'Endoscopia');
INSERT INTO `lang_definitions` VALUES (69568, 2141, 19, 'Inglês');
INSERT INTO `lang_definitions` VALUES (69569, 2142, 19, 'Inglês ');
INSERT INTO `lang_definitions` VALUES (69570, 2143, 19, 'Inglês (Indiano)');
INSERT INTO `lang_definitions` VALUES (69571, 2144, 19, 'Inglês (Defeito)');
INSERT INTO `lang_definitions` VALUES (69572, 2146, 19, 'Assegurar LibreEHR tem privilégios de gravação para o diretório');
INSERT INTO `lang_definitions` VALUES (69573, 2147, 19, 'ENT Descarga');
INSERT INTO `lang_definitions` VALUES (69574, 2148, 19, 'ENT Dor');
INSERT INTO `lang_definitions` VALUES (69575, 2149, 19, 'Execute em código de diagnóstico para excluir todas as facturas que não o contenham');
INSERT INTO `lang_definitions` VALUES (69576, 2151, 19, 'Execute aqui em corpo de carta');
INSERT INTO `lang_definitions` VALUES (69577, 2161, 19, 'Execute novo Estado');
INSERT INTO `lang_definitions` VALUES (69578, 2165, 19, 'Entre em seus critérios de pesquisa acima');
INSERT INTO `lang_definitions` VALUES (69579, 2168, 19, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (69580, 2169, 19, 'Entrada de dados de EOB');
INSERT INTO `lang_definitions` VALUES (69581, 2170, 19, 'EOB Postando - Remessas Eletrônicas');
INSERT INTO `lang_definitions` VALUES (69582, 2171, 19, 'EOB Postando - Instruções');
INSERT INTO `lang_definitions` VALUES (69583, 2172, 19, 'EOB Postando - Fatura');
INSERT INTO `lang_definitions` VALUES (69584, 2173, 19, 'EOB Postando - Notas do Paciente');
INSERT INTO `lang_definitions` VALUES (69585, 2174, 19, 'EOB Postando - Procura');
INSERT INTO `lang_definitions` VALUES (69586, 2176, 19, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (69587, 2181, 19, 'Eliminar');
INSERT INTO `lang_definitions` VALUES (69588, 2182, 19, 'Ereção');
INSERT INTO `lang_definitions` VALUES (69589, 2183, 19, 'Erro');
INSERT INTO `lang_definitions` VALUES (69590, 2188, 19, 'Erro de seleção em \"Gênero\"');
INSERT INTO `lang_definitions` VALUES (69591, 2189, 19, 'Erro de seleção em \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (69592, 2190, 19, 'Erro de seleção em \"Processo\"');
INSERT INTO `lang_definitions` VALUES (69593, 2191, 19, 'Erro de seleção em \"Portal de SMS\"');
INSERT INTO `lang_definitions` VALUES (69594, 2192, 19, 'Erro de seleção em \"Ordene Por\"');
INSERT INTO `lang_definitions` VALUES (69595, 2194, 19, 'Erro de seleção em opções SIM ou NÂO');
INSERT INTO `lang_definitions` VALUES (69596, 2205, 19, 'erro enquanto registrando forma!');
INSERT INTO `lang_definitions` VALUES (69597, 2206, 19, 'Erro enquanto está guardando ão arquivo');
INSERT INTO `lang_definitions` VALUES (69598, 2208, 19, 'Erro enquanto está escrevendo ão arquivo');
INSERT INTO `lang_definitions` VALUES (69599, 2210, 19, 'Erro, o ficheiro não existe');
INSERT INTO `lang_definitions` VALUES (69600, 2211, 19, 'ERRO, Incapaz de colecionar dados do servidor');
INSERT INTO `lang_definitions` VALUES (69601, 2212, 19, 'Erro: incapaz de criar certificado cliente');
INSERT INTO `lang_definitions` VALUES (69602, 2213, 19, 'Erro: incapaz de criar certificado admin.p12');
INSERT INTO `lang_definitions` VALUES (69603, 2214, 19, 'Erro: incapaz de criar certificado \'Certificate Authority\'');
INSERT INTO `lang_definitions` VALUES (69604, 2215, 19, 'Erro: incapaz de criar certificado \'Server\'');
INSERT INTO `lang_definitions` VALUES (69605, 2216, 19, 'Erro: incapaz de abrir ficheiro');
INSERT INTO `lang_definitions` VALUES (69606, 2217, 19, 'Erro, \'User Certificate Authentication\' não está configurado no LibreEHR');
INSERT INTO `lang_definitions` VALUES (69607, 2218, 19, 'Erro. Tem de instalar o modulo \'Archive/Tar.php\'.');
INSERT INTO `lang_definitions` VALUES (69608, 2219, 19, 'ERRO: não pude abrir \'table.sql\', formulário defeituoso?');
INSERT INTO `lang_definitions` VALUES (69609, 2222, 19, 'ERRO: campo');
INSERT INTO `lang_definitions` VALUES (69610, 2225, 19, 'Erro: senhas diferentes. Por favor confira.');
INSERT INTO `lang_definitions` VALUES (69611, 2226, 19, 'Erro: senhas diferentes. Por favor confira.');
INSERT INTO `lang_definitions` VALUES (69612, 2227, 19, 'Erro: o ficheiro não existe');
INSERT INTO `lang_definitions` VALUES (69613, 2230, 19, 'Erro: incapaz de criar o ficheiro para descarregar');
INSERT INTO `lang_definitions` VALUES (69614, 2235, 19, 'Erros');
INSERT INTO `lang_definitions` VALUES (69615, 2242, 19, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (69616, 2247, 19, 'Utente habitual');
INSERT INTO `lang_definitions` VALUES (69617, 2249, 19, 'Etnia');
INSERT INTO `lang_definitions` VALUES (69618, 2250, 19, 'Etnia ou Raça');
INSERT INTO `lang_definitions` VALUES (69619, 2251, 19, 'Lista de Etnia-Raça (escrever,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (69620, 2252, 19, 'ETIN');
INSERT INTO `lang_definitions` VALUES (69621, 2253, 19, 'Evento');
INSERT INTO `lang_definitions` VALUES (69622, 2254, 19, 'Início de Eventos');
INSERT INTO `lang_definitions` VALUES (69623, 2255, 19, 'Categoria de Eventos');
INSERT INTO `lang_definitions` VALUES (69624, 2256, 19, 'Data de Evento');
INSERT INTO `lang_definitions` VALUES (69625, 2257, 19, 'Descrição de Eventos');
INSERT INTO `lang_definitions` VALUES (69626, 2258, 19, 'Detalhes de Evento');
INSERT INTO `lang_definitions` VALUES (69627, 2259, 19, 'Evento não repete');
INSERT INTO `lang_definitions` VALUES (69628, 2260, 19, 'Duração de Evento');
INSERT INTO `lang_definitions` VALUES (69629, 2261, 19, 'Duração de Evento em minutos');
INSERT INTO `lang_definitions` VALUES (69630, 2262, 19, 'Evento Livre');
INSERT INTO `lang_definitions` VALUES (69631, 2263, 19, 'Localização de Evento');
INSERT INTO `lang_definitions` VALUES (69632, 2264, 19, 'Evento repete todo');
INSERT INTO `lang_definitions` VALUES (69633, 2265, 19, 'Evento repete em');
INSERT INTO `lang_definitions` VALUES (69634, 2266, 19, 'Tempo do começo de Evento');
INSERT INTO `lang_definitions` VALUES (69635, 2267, 19, 'título de Evento');
INSERT INTO `lang_definitions` VALUES (69636, 2268, 19, 'Título de Evento');
INSERT INTO `lang_definitions` VALUES (69637, 2269, 19, 'Site da Web de Evento');
INSERT INTO `lang_definitions` VALUES (69638, 2270, 19, 'Eventos');
INSERT INTO `lang_definitions` VALUES (69639, 2271, 19, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (69640, 2272, 19, 'Evento aberto em nova janela');
INSERT INTO `lang_definitions` VALUES (69641, 2273, 19, 'cada um');
INSERT INTO `lang_definitions` VALUES (69642, 2274, 19, 'Cada um');
INSERT INTO `lang_definitions` VALUES (69643, 2275, 19, 'Cada 3 horas');
INSERT INTO `lang_definitions` VALUES (69644, 2276, 19, 'Cada 4 horas');
INSERT INTO `lang_definitions` VALUES (69645, 2277, 19, 'Cada 5 horas');
INSERT INTO `lang_definitions` VALUES (69646, 2278, 19, 'Cada 6 horas');
INSERT INTO `lang_definitions` VALUES (69647, 2279, 19, 'Cada 8 horas');
INSERT INTO `lang_definitions` VALUES (69648, 2280, 19, 'Cada Quarto');
INSERT INTO `lang_definitions` VALUES (69649, 2281, 19, 'Alternadamente');
INSERT INTO `lang_definitions` VALUES (69650, 2282, 19, 'Cada Terceiro');
INSERT INTO `lang_definitions` VALUES (69651, 2283, 19, 'Cada um, alternadamente, cada 3º, etc.');
INSERT INTO `lang_definitions` VALUES (69652, 2285, 19, 'Resultados do exame e testes');
INSERT INTO `lang_definitions` VALUES (69653, 2286, 19, 'Resultados do exame e testes');
INSERT INTO `lang_definitions` VALUES (69654, 2290, 19, 'Data do Exame');
INSERT INTO `lang_definitions` VALUES (69655, 2291, 19, 'Exemplo');
INSERT INTO `lang_definitions` VALUES (69656, 2292, 19, 'Exemplos');
INSERT INTO `lang_definitions` VALUES (69657, 2293, 19, 'Exames/Testes');
INSERT INTO `lang_definitions` VALUES (69658, 2295, 19, 'Excessivas Lágrimas');
INSERT INTO `lang_definitions` VALUES (69659, 2298, 19, 'Organização de provedor excessiva (EPO)');
INSERT INTO `lang_definitions` VALUES (69660, 2301, 19, 'Padrões de Exercício');
INSERT INTO `lang_definitions` VALUES (69661, 2302, 19, 'Padrões de exercício');
INSERT INTO `lang_definitions` VALUES (69662, 2304, 19, 'Sair da Administração');
INSERT INTO `lang_definitions` VALUES (69663, 2305, 19, 'Exp');
INSERT INTO `lang_definitions` VALUES (69664, 2306, 19, 'Expandir');
INSERT INTO `lang_definitions` VALUES (69665, 2307, 19, 'expandir');
INSERT INTO `lang_definitions` VALUES (69666, 2308, 19, 'Expandir Todos');
INSERT INTO `lang_definitions` VALUES (69667, 2311, 19, 'Vista Expandida');
INSERT INTO `lang_definitions` VALUES (69668, 2312, 19, 'Forma_encontro.pid esperado para ser ');
INSERT INTO `lang_definitions` VALUES (69669, 2313, 19, 'Expiração');
INSERT INTO `lang_definitions` VALUES (69670, 2314, 19, 'Data de Expiração');
INSERT INTO `lang_definitions` VALUES (69671, 2315, 19, 'Expira');
INSERT INTO `lang_definitions` VALUES (69672, 2316, 19, 'expira em');
INSERT INTO `lang_definitions` VALUES (69673, 2317, 19, 'Exportar');
INSERT INTO `lang_definitions` VALUES (69674, 2318, 19, 'Exportar como CSV');
INSERT INTO `lang_definitions` VALUES (69675, 2319, 19, 'Exportar Configuração');
INSERT INTO `lang_definitions` VALUES (69676, 2322, 19, 'Exportar Demografia do Utente');
INSERT INTO `lang_definitions` VALUES (69677, 2326, 19, 'Seleção de Exportação para coleções');
INSERT INTO `lang_definitions` VALUES (69678, 2327, 19, 'Exporte para CSV');
INSERT INTO `lang_definitions` VALUES (69679, 2328, 19, 'Exporte para o sistema de faturamento externo');
INSERT INTO `lang_definitions` VALUES (69680, 2329, 19, 'estadia em países estrângeiros');
INSERT INTO `lang_definitions` VALUES (69681, 2330, 19, 'estadia em países estrângeiros');
INSERT INTO `lang_definitions` VALUES (69682, 2332, 19, 'Externo');
INSERT INTO `lang_definitions` VALUES (69683, 2336, 19, 'ID Externo');
INSERT INTO `lang_definitions` VALUES (69684, 2338, 19, 'Identificação Externo');
INSERT INTO `lang_definitions` VALUES (69685, 2339, 19, 'Somente Externo');
INSERT INTO `lang_definitions` VALUES (69686, 2342, 19, 'Indicação Externa');
INSERT INTO `lang_definitions` VALUES (69687, 2343, 19, 'Indicação Externa Followups');
INSERT INTO `lang_definitions` VALUES (69688, 2344, 19, 'Indicação Externa?');
INSERT INTO `lang_definitions` VALUES (69689, 2345, 19, 'Indicações Externa');
INSERT INTO `lang_definitions` VALUES (69690, 2346, 19, 'Extrair ficheiro zip');
INSERT INTO `lang_definitions` VALUES (69691, 2347, 19, 'A extrair...');
INSERT INTO `lang_definitions` VALUES (69692, 2348, 19, 'Exsudato:');
INSERT INTO `lang_definitions` VALUES (69693, 2349, 19, 'Irritação nos olhos');
INSERT INTO `lang_definitions` VALUES (69694, 2350, 19, 'Dor nos olhos');
INSERT INTO `lang_definitions` VALUES (69695, 2351, 19, 'Olhos Vermelhos');
INSERT INTO `lang_definitions` VALUES (69696, 2352, 19, 'Olhos');
INSERT INTO `lang_definitions` VALUES (69697, 2353, 19, 'S');
INSERT INTO `lang_definitions` VALUES (69698, 2354, 19, 'F/H Blood Problems');
INSERT INTO `lang_definitions` VALUES (69699, 2356, 19, 'Clínicas');
INSERT INTO `lang_definitions` VALUES (69700, 2357, 19, 'Clínica');
INSERT INTO `lang_definitions` VALUES (69701, 2358, 19, 'clínica');
INSERT INTO `lang_definitions` VALUES (69702, 2359, 19, 'Administração de Clínicas');
INSERT INTO `lang_definitions` VALUES (69703, 2361, 19, 'Código da Clínica');
INSERT INTO `lang_definitions` VALUES (69704, 2364, 19, 'Nome da Clínica');
INSERT INTO `lang_definitions` VALUES (69705, 2365, 19, 'NPI da Clínica');
INSERT INTO `lang_definitions` VALUES (69706, 2372, 19, 'Clínica:');
INSERT INTO `lang_definitions` VALUES (69707, 2374, 19, 'falha');
INSERT INTO `lang_definitions` VALUES (69708, 2375, 19, 'Falha');
INSERT INTO `lang_definitions` VALUES (69709, 2383, 19, 'erro');
INSERT INTO `lang_definitions` VALUES (69710, 2390, 19, 'História da Familia');
INSERT INTO `lang_definitions` VALUES (69711, 2391, 19, 'História da Familia de Glaucoma');
INSERT INTO `lang_definitions` VALUES (69712, 2392, 19, 'História da Familia:');
INSERT INTO `lang_definitions` VALUES (69713, 2395, 19, 'Tamanho da Familia');
INSERT INTO `lang_definitions` VALUES (69714, 2396, 19, 'Fantasia');
INSERT INTO `lang_definitions` VALUES (69715, 2400, 19, 'Pai');
INSERT INTO `lang_definitions` VALUES (69716, 2402, 19, 'Fadiga');
INSERT INTO `lang_definitions` VALUES (69717, 2403, 19, 'Cansado');
INSERT INTO `lang_definitions` VALUES (69718, 2404, 19, 'Fax');
INSERT INTO `lang_definitions` VALUES (69719, 2406, 19, 'Número do Fax');
INSERT INTO `lang_definitions` VALUES (69720, 2408, 19, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (69721, 2409, 19, 'Envie Fax dentro');
INSERT INTO `lang_definitions` VALUES (69722, 2410, 19, 'Envie Fax Fora');
INSERT INTO `lang_definitions` VALUES (69723, 2411, 19, 'Propriedades');
INSERT INTO `lang_definitions` VALUES (69724, 2412, 19, 'Fev');
INSERT INTO `lang_definitions` VALUES (69725, 2413, 19, 'Fevereiro');
INSERT INTO `lang_definitions` VALUES (69726, 2414, 19, 'FECA');
INSERT INTO `lang_definitions` VALUES (69727, 2415, 19, 'Droga Federal ID');
INSERT INTO `lang_definitions` VALUES (69728, 2416, 19, 'NIF');
INSERT INTO `lang_definitions` VALUES (69729, 2417, 19, 'NIF');
INSERT INTO `lang_definitions` VALUES (69730, 2418, 19, 'Taxa');
INSERT INTO `lang_definitions` VALUES (69731, 2419, 19, 'taxa');
INSERT INTO `lang_definitions` VALUES (69732, 2420, 19, 'Taxa não é permitida');
INSERT INTO `lang_definitions` VALUES (69733, 2421, 19, 'Folha da Taxa');
INSERT INTO `lang_definitions` VALUES (69734, 2422, 19, 'Opções da Folha da Taxa');
INSERT INTO `lang_definitions` VALUES (69735, 2423, 19, 'Taxas');
INSERT INTO `lang_definitions` VALUES (69736, 2424, 19, 'Feminino');
INSERT INTO `lang_definitions` VALUES (69737, 2425, 19, 'AP Feminino');
INSERT INTO `lang_definitions` VALUES (69738, 2426, 19, 'preservativos femininos');
INSERT INTO `lang_definitions` VALUES (69739, 2427, 19, 'G Feminina');
INSERT INTO `lang_definitions` VALUES (69740, 2428, 19, 'LC Feminina');
INSERT INTO `lang_definitions` VALUES (69741, 2429, 19, 'P Feminina');
INSERT INTO `lang_definitions` VALUES (69742, 2430, 19, 'Sintomas Femeninos');
INSERT INTO `lang_definitions` VALUES (69743, 2431, 19, 'VSC Femenino');
INSERT INTO `lang_definitions` VALUES (69744, 2434, 19, 'Febre');
INSERT INTO `lang_definitions` VALUES (69745, 2435, 19, 'Febre:');
INSERT INTO `lang_definitions` VALUES (69746, 2436, 19, 'Problema no Sangue FH');
INSERT INTO `lang_definitions` VALUES (69747, 2437, 19, 'Fibroids');
INSERT INTO `lang_definitions` VALUES (69748, 2447, 19, 'Arquivo');
INSERT INTO `lang_definitions` VALUES (69749, 2455, 19, 'Quarto de Arquivo');
INSERT INTO `lang_definitions` VALUES (69750, 2456, 19, 'Arquive para transferir');
INSERT INTO `lang_definitions` VALUES (69751, 2458, 19, 'Arquivi com mesmo nome já existe neste local');
INSERT INTO `lang_definitions` VALUES (69752, 2459, 19, 'Nome do Arquivo');
INSERT INTO `lang_definitions` VALUES (69753, 2464, 19, 'Preencha aqui somente se enviarem notificação do e-mail para');
INSERT INTO `lang_definitions` VALUES (69754, 2467, 19, 'Preencha a Linha.');
INSERT INTO `lang_definitions` VALUES (69755, 2468, 19, 'Filtro');
INSERT INTO `lang_definitions` VALUES (69756, 2469, 19, 'Filtro para Constantes');
INSERT INTO `lang_definitions` VALUES (69757, 2473, 19, 'Filtros');
INSERT INTO `lang_definitions` VALUES (69758, 2474, 19, 'Final');
INSERT INTO `lang_definitions` VALUES (69759, 2475, 19, 'Diagnóstico Final');
INSERT INTO `lang_definitions` VALUES (69760, 2476, 19, 'Diagnóstico Final pelo especialista');
INSERT INTO `lang_definitions` VALUES (69761, 2478, 19, 'Financeiro');
INSERT INTO `lang_definitions` VALUES (69762, 2479, 19, 'Financeiro');
INSERT INTO `lang_definitions` VALUES (69763, 2481, 19, 'Relatório Financeiro - meus encontros');
INSERT INTO `lang_definitions` VALUES (69764, 2482, 19, 'Data da Revisão Financeira');
INSERT INTO `lang_definitions` VALUES (69765, 2484, 19, 'Procurar');
INSERT INTO `lang_definitions` VALUES (69766, 2485, 19, 'Procurar Hora');
INSERT INTO `lang_definitions` VALUES (69767, 2486, 19, 'Encontrar Compromissos Disponíveis');
INSERT INTO `lang_definitions` VALUES (69768, 2487, 19, 'Encontrar Utente');
INSERT INTO `lang_definitions` VALUES (69769, 2489, 19, 'Achados');
INSERT INTO `lang_definitions` VALUES (69770, 2490, 19, 'Achados por especialista');
INSERT INTO `lang_definitions` VALUES (69771, 2491, 19, 'Multa');
INSERT INTO `lang_definitions` VALUES (69772, 2495, 19, 'Primeiro');
INSERT INTO `lang_definitions` VALUES (69773, 2497, 19, 'Primeiro dia da Semana');
INSERT INTO `lang_definitions` VALUES (69774, 2498, 19, 'Primeiro Nome');
INSERT INTO `lang_definitions` VALUES (69775, 2499, 19, 'Primeiro nome');
INSERT INTO `lang_definitions` VALUES (69776, 2500, 19, 'Primeiro Nome');
INSERT INTO `lang_definitions` VALUES (69777, 2503, 19, 'Boa forma');
INSERT INTO `lang_definitions` VALUES (69778, 2507, 19, 'Boa forma para Jogar');
INSERT INTO `lang_definitions` VALUES (69779, 2508, 19, 'Fixar datas para encontro - qualquer encontro');
INSERT INTO `lang_definitions` VALUES (69780, 2509, 19, 'Consertar');
INSERT INTO `lang_definitions` VALUES (69781, 2511, 19, 'Flatulência');
INSERT INTO `lang_definitions` VALUES (69782, 2512, 19, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (69783, 2516, 19, 'Vacinação de Infuenza');
INSERT INTO `lang_definitions` VALUES (69784, 2517, 19, 'Fluido e problema de eletrólito');
INSERT INTO `lang_definitions` VALUES (69785, 2518, 19, 'FMS');
INSERT INTO `lang_definitions` VALUES (69786, 2520, 19, 'Siga Manualmente');
INSERT INTO `lang_definitions` VALUES (69787, 2522, 19, 'Seguimento');
INSERT INTO `lang_definitions` VALUES (69788, 2524, 19, 'Razão do Seguimento');
INSERT INTO `lang_definitions` VALUES (69789, 2531, 19, 'Intolerância da Comida');
INSERT INTO `lang_definitions` VALUES (69790, 2532, 19, 'Pé');
INSERT INTO `lang_definitions` VALUES (69791, 2533, 19, 'Problemas no Pé');
INSERT INTO `lang_definitions` VALUES (69792, 2534, 19, 'Pé:');
INSERT INTO `lang_definitions` VALUES (69793, 2535, 19, 'Lesões de Futebol');
INSERT INTO `lang_definitions` VALUES (69794, 2537, 19, 'Relatório de Lesões de Futebol');
INSERT INTO `lang_definitions` VALUES (69795, 2538, 19, 'Tipo de Calçado');
INSERT INTO `lang_definitions` VALUES (69796, 2539, 19, 'para');
INSERT INTO `lang_definitions` VALUES (69797, 2540, 19, 'Para');
INSERT INTO `lang_definitions` VALUES (69798, 2543, 19, 'Queixas para a consulta');
INSERT INTO `lang_definitions` VALUES (69799, 2544, 19, 'Por exemplo:');
INSERT INTO `lang_definitions` VALUES (69800, 2552, 19, 'Referido por Organização/ por Clinico');
INSERT INTO `lang_definitions` VALUES (69801, 2555, 19, 'para:');
INSERT INTO `lang_definitions` VALUES (69802, 2559, 19, 'Antebraço');
INSERT INTO `lang_definitions` VALUES (69803, 2560, 19, 'Forma');
INSERT INTO `lang_definitions` VALUES (69804, 2561, 19, 'forma');
INSERT INTO `lang_definitions` VALUES (69805, 2564, 19, 'Formato');
INSERT INTO `lang_definitions` VALUES (69806, 2565, 19, 'formato');
INSERT INTO `lang_definitions` VALUES (69807, 2567, 19, 'Formato incorreto para NDC');
INSERT INTO `lang_definitions` VALUES (69808, 2571, 19, 'Ex-fumador');
INSERT INTO `lang_definitions` VALUES (69809, 2572, 19, 'Formulários');
INSERT INTO `lang_definitions` VALUES (69810, 2573, 19, 'Administração de Formulários');
INSERT INTO `lang_definitions` VALUES (69811, 2576, 19, 'Encaminhar páginas via Fax');
INSERT INTO `lang_definitions` VALUES (69812, 2577, 19, 'Encaminhado');
INSERT INTO `lang_definitions` VALUES (69813, 2579, 19, 'Quarto');
INSERT INTO `lang_definitions` VALUES (69814, 2581, 19, 'Fractura');
INSERT INTO `lang_definitions` VALUES (69815, 2582, 19, 'Fractura na Navicula');
INSERT INTO `lang_definitions` VALUES (69816, 2583, 19, 'Fractura lateral malleolus');
INSERT INTO `lang_definitions` VALUES (69817, 2584, 19, 'Fractura medial malleolus');
INSERT INTO `lang_definitions` VALUES (69818, 2585, 19, 'Fractura, Base do quinto metatarsal');
INSERT INTO `lang_definitions` VALUES (69819, 2587, 19, 'Francês');
INSERT INTO `lang_definitions` VALUES (69820, 2590, 19, 'Frequência');
INSERT INTO `lang_definitions` VALUES (69821, 2591, 19, 'Constipações Frequêntes');
INSERT INTO `lang_definitions` VALUES (69822, 2592, 19, 'Doença Frequente');
INSERT INTO `lang_definitions` VALUES (69823, 2593, 19, 'Sex');
INSERT INTO `lang_definitions` VALUES (69824, 2594, 19, 'Sexta');
INSERT INTO `lang_definitions` VALUES (69825, 2595, 19, 'De');
INSERT INTO `lang_definitions` VALUES (69826, 2596, 19, 'DE');
INSERT INTO `lang_definitions` VALUES (69827, 2597, 19, 'de');
INSERT INTO `lang_definitions` VALUES (69828, 2598, 19, 'Data De não pode ser superior à data Para.');
INSERT INTO `lang_definitions` VALUES (69829, 2599, 19, 'De:');
INSERT INTO `lang_definitions` VALUES (69830, 2600, 19, 'De: ');
INSERT INTO `lang_definitions` VALUES (69831, 2601, 19, 'DE_CIDADE');
INSERT INTO `lang_definitions` VALUES (69832, 2603, 19, 'DE_FNOME');
INSERT INTO `lang_definitions` VALUES (69833, 2604, 19, 'DE_LNOME');
INSERT INTO `lang_definitions` VALUES (69834, 2605, 19, 'DE_MNOME');
INSERT INTO `lang_definitions` VALUES (69835, 2607, 19, 'DE_TELEFONEmovel');
INSERT INTO `lang_definitions` VALUES (69836, 2608, 19, 'DE_POSTAL');
INSERT INTO `lang_definitions` VALUES (69837, 2609, 19, 'DE_ESTADO');
INSERT INTO `lang_definitions` VALUES (69838, 2610, 19, 'DE_RUA');
INSERT INTO `lang_definitions` VALUES (69839, 2611, 19, 'DE_TÍTULO');
INSERT INTO `lang_definitions` VALUES (69840, 2612, 19, 'DE_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (69841, 2613, 19, 'Recepção');
INSERT INTO `lang_definitions` VALUES (69842, 2614, 19, 'Recibos da Recepção');
INSERT INTO `lang_definitions` VALUES (69843, 2615, 19, 'Relatório das Receitas da recepção');
INSERT INTO `lang_definitions` VALUES (69844, 2616, 19, 'Recpção Rec');
INSERT INTO `lang_definitions` VALUES (69845, 2617, 19, 'Frontal Direita:');
INSERT INTO `lang_definitions` VALUES (69846, 2619, 19, 'Nome Completo');
INSERT INTO `lang_definitions` VALUES (69847, 2620, 19, 'Caminho completo dos executáveis MySQL');
INSERT INTO `lang_definitions` VALUES (69848, 2621, 19, 'Caminho completo dos executáveis Perl');
INSERT INTO `lang_definitions` VALUES (69849, 2622, 19, 'Caminho completo da cópia de segurança do registo de eventos.');
INSERT INTO `lang_definitions` VALUES (69850, 2623, 19, 'Caminho completo dos ficheiros temporários.');
INSERT INTO `lang_definitions` VALUES (69851, 2624, 19, 'Jogo Completo');
INSERT INTO `lang_definitions` VALUES (69852, 2625, 19, 'Formação Completa');
INSERT INTO `lang_definitions` VALUES (69853, 2626, 19, 'Completamente Pago');
INSERT INTO `lang_definitions` VALUES (69854, 2633, 19, 'G');
INSERT INTO `lang_definitions` VALUES (69855, 2636, 19, 'Vesícula Biliar Condição');
INSERT INTO `lang_definitions` VALUES (69856, 2637, 19, 'Pedras na vesícula');
INSERT INTO `lang_definitions` VALUES (69857, 2638, 19, 'Período do Jogo');
INSERT INTO `lang_definitions` VALUES (69858, 2639, 19, 'Jogos');
INSERT INTO `lang_definitions` VALUES (69859, 2640, 19, 'Jogos Perdidos');
INSERT INTO `lang_definitions` VALUES (69860, 2641, 19, 'jogos/Eventos');
INSERT INTO `lang_definitions` VALUES (69861, 2642, 19, 'jogos/Eventos Perdidos');
INSERT INTO `lang_definitions` VALUES (69862, 2644, 19, 'Gastrites');
INSERT INTO `lang_definitions` VALUES (69863, 2645, 19, 'Dor de Gastro');
INSERT INTO `lang_definitions` VALUES (69864, 2646, 19, 'Gastrointestinal');
INSERT INTO `lang_definitions` VALUES (69865, 2647, 19, 'Relatório de Estatisticas GCAC');
INSERT INTO `lang_definitions` VALUES (69866, 2649, 19, 'Está perdendo a forma de visita GCAC');
INSERT INTO `lang_definitions` VALUES (69867, 2650, 19, 'Sexo');
INSERT INTO `lang_definitions` VALUES (69868, 2651, 19, 'Sexo ');
INSERT INTO `lang_definitions` VALUES (69869, 2652, 19, 'Geral');
INSERT INTO `lang_definitions` VALUES (69870, 2655, 19, 'Serviço Geral de Categoria');
INSERT INTO `lang_definitions` VALUES (69871, 2657, 19, 'Criar e descarregar 1500 pedidos CMS');
INSERT INTO `lang_definitions` VALUES (69872, 2658, 19, 'Criar e descarregar 1500 pedidos HCFA');
INSERT INTO `lang_definitions` VALUES (69873, 2659, 19, 'Criar e descarregar X12');
INSERT INTO `lang_definitions` VALUES (69874, 2664, 19, 'Criar 1500 CMS');
INSERT INTO `lang_definitions` VALUES (69875, 2665, 19, 'Criar 1500 PDF CMS');
INSERT INTO `lang_definitions` VALUES (69876, 2667, 19, 'HCFA Geral');
INSERT INTO `lang_definitions` VALUES (69877, 2669, 19, 'Criar Carta');
INSERT INTO `lang_definitions` VALUES (69878, 2670, 19, 'Criar Carta a respeito de ');
INSERT INTO `lang_definitions` VALUES (69879, 2677, 19, 'Criar Relatório');
INSERT INTO `lang_definitions` VALUES (69880, 2679, 19, 'Criar X12');
INSERT INTO `lang_definitions` VALUES (69881, 2680, 19, 'Criar Consulta X12');
INSERT INTO `lang_definitions` VALUES (69882, 2682, 19, 'Criado em');
INSERT INTO `lang_definitions` VALUES (69883, 2683, 19, 'Criado');
INSERT INTO `lang_definitions` VALUES (69884, 2684, 19, 'Genitourinary');
INSERT INTO `lang_definitions` VALUES (69885, 2687, 19, 'Alemão');
INSERT INTO `lang_definitions` VALUES (69886, 2691, 19, 'Obter HL7');
INSERT INTO `lang_definitions` VALUES (69887, 2692, 19, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (69888, 2693, 19, 'História Glaucoma da Familia');
INSERT INTO `lang_definitions` VALUES (69889, 2694, 19, 'Global');
INSERT INTO `lang_definitions` VALUES (69890, 2696, 19, 'ID Global');
INSERT INTO `lang_definitions` VALUES (69891, 2697, 19, 'Definições Gerais');
INSERT INTO `lang_definitions` VALUES (69892, 2698, 19, 'Gerais');
INSERT INTO `lang_definitions` VALUES (69893, 2700, 19, 'ir');
INSERT INTO `lang_definitions` VALUES (69894, 2701, 19, 'Ir');
INSERT INTO `lang_definitions` VALUES (69895, 2704, 19, 'Ir para');
INSERT INTO `lang_definitions` VALUES (69896, 2705, 19, 'Ir para a próxima semana');
INSERT INTO `lang_definitions` VALUES (69897, 2706, 19, 'Ir para Hoje');
INSERT INTO `lang_definitions` VALUES (69898, 2711, 19, 'Grau da Lesão');
INSERT INTO `lang_definitions` VALUES (69899, 2712, 19, 'Grau:');
INSERT INTO `lang_definitions` VALUES (69900, 2713, 19, 'gramas');
INSERT INTO `lang_definitions` VALUES (69901, 2714, 19, 'Total Principal');
INSERT INTO `lang_definitions` VALUES (69902, 2715, 19, 'Total Principal');
INSERT INTO `lang_definitions` VALUES (69903, 2722, 19, 'Grego');
INSERT INTO `lang_definitions` VALUES (69904, 2724, 19, 'Grupo');
INSERT INTO `lang_definitions` VALUES (69905, 2725, 19, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (69906, 2726, 19, 'Nomes do grupo não pode estár em branco');
INSERT INTO `lang_definitions` VALUES (69907, 2727, 19, 'Nomes do grupo não pode iniciar com números ou');
INSERT INTO `lang_definitions` VALUES (69908, 2728, 19, 'Nomes do grupo não pode iniciar com números');
INSERT INTO `lang_definitions` VALUES (69909, 2729, 19, 'Número do Grupo');
INSERT INTO `lang_definitions` VALUES (69910, 2731, 19, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (69911, 2732, 19, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (69912, 2733, 19, 'Grupos e Controlo de Accesso');
INSERT INTO `lang_definitions` VALUES (69913, 2734, 19, 'Carta de Crescimento');
INSERT INTO `lang_definitions` VALUES (69914, 2735, 19, 'Carta de Crescimento');
INSERT INTO `lang_definitions` VALUES (69915, 2736, 19, 'gtts(gotas)');
INSERT INTO `lang_definitions` VALUES (69916, 2739, 19, 'Nome do Guardião');
INSERT INTO `lang_definitions` VALUES (69917, 2741, 19, 'Exame Ginecológico');
INSERT INTO `lang_definitions` VALUES (69918, 2742, 19, 'h');
INSERT INTO `lang_definitions` VALUES (69919, 2743, 19, 'h.s.');
INSERT INTO `lang_definitions` VALUES (69920, 2744, 19, 'Hepatite H/O');
INSERT INTO `lang_definitions` VALUES (69921, 2745, 19, 'Eliminado com sucesso. As subcategorias foram movidas abaixo');
INSERT INTO `lang_definitions` VALUES (69922, 2746, 19, 'Hematoma/ferida');
INSERT INTO `lang_definitions` VALUES (69923, 2747, 19, 'Estado de HAI');
INSERT INTO `lang_definitions` VALUES (69924, 2750, 19, 'Mão + Dedos');
INSERT INTO `lang_definitions` VALUES (69925, 2751, 19, 'Problema das Maõs');
INSERT INTO `lang_definitions` VALUES (69926, 2753, 19, 'w/ de Sofrimento');
INSERT INTO `lang_definitions` VALUES (69927, 2754, 19, 'foi anexo à visita');
INSERT INTO `lang_definitions` VALUES (69928, 2755, 19, 'expirou');
INSERT INTO `lang_definitions` VALUES (69929, 2761, 19, 'Actividades Perigosas');
INSERT INTO `lang_definitions` VALUES (69930, 2762, 19, 'Actividades perigosas');
INSERT INTO `lang_definitions` VALUES (69931, 2763, 19, 'HCFA deixou margens em pontos');
INSERT INTO `lang_definitions` VALUES (69932, 2764, 19, 'HCFA Margens');
INSERT INTO `lang_definitions` VALUES (69933, 2765, 19, 'HCFA tampam margens em pontos');
INSERT INTO `lang_definitions` VALUES (69934, 2767, 19, 'ele CaléndarioPostal ');
INSERT INTO `lang_definitions` VALUES (69935, 2768, 19, 'Cabeça');
INSERT INTO `lang_definitions` VALUES (69936, 2769, 19, 'Circ Da Cabeça');
INSERT INTO `lang_definitions` VALUES (69937, 2770, 19, 'Circunferência da Cabeça');
INSERT INTO `lang_definitions` VALUES (69938, 2771, 19, 'Dor de Cabeça');
INSERT INTO `lang_definitions` VALUES (69939, 2772, 19, 'Dores de Cabeça');
INSERT INTO `lang_definitions` VALUES (69940, 2775, 19, 'Centro de saúde/clinica');
INSERT INTO `lang_definitions` VALUES (69941, 2776, 19, 'Organização de Manutenção da Saúde');
INSERT INTO `lang_definitions` VALUES (69942, 2777, 19, 'Organização de Manutenção da Saúde (HMO) Sistema de Saúde');
INSERT INTO `lang_definitions` VALUES (69943, 2778, 19, 'Perda da Audição');
INSERT INTO `lang_definitions` VALUES (69944, 2779, 19, 'Ataque Cardiaco');
INSERT INTO `lang_definitions` VALUES (69945, 2780, 19, 'Doença do Coração');
INSERT INTO `lang_definitions` VALUES (69946, 2781, 19, 'Insuficiência Cardíaca');
INSERT INTO `lang_definitions` VALUES (69947, 2782, 19, 'Problema do Coração');
INSERT INTO `lang_definitions` VALUES (69948, 2783, 19, 'Problemas do Coração');
INSERT INTO `lang_definitions` VALUES (69949, 2784, 19, 'Cirúrgia no Coração');
INSERT INTO `lang_definitions` VALUES (69950, 2785, 19, 'Transplante do Coração');
INSERT INTO `lang_definitions` VALUES (69951, 2786, 19, 'CORAÇÃO:');
INSERT INTO `lang_definitions` VALUES (69952, 2787, 19, 'Azia');
INSERT INTO `lang_definitions` VALUES (69953, 2788, 19, 'Calor ou Frio');
INSERT INTO `lang_definitions` VALUES (69954, 2789, 19, 'Calor Ou Frio');
INSERT INTO `lang_definitions` VALUES (69955, 2791, 19, 'Hebreu');
INSERT INTO `lang_definitions` VALUES (69956, 2793, 19, 'HEENT');
INSERT INTO `lang_definitions` VALUES (69957, 2794, 19, 'Altura');
INSERT INTO `lang_definitions` VALUES (69958, 2796, 19, 'Ajuda');
INSERT INTO `lang_definitions` VALUES (69959, 2797, 19, 'ajuda');
INSERT INTO `lang_definitions` VALUES (69960, 2798, 19, 'Hemattmesis');
INSERT INTO `lang_definitions` VALUES (69961, 2799, 19, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (69962, 2800, 19, 'Hematologic');
INSERT INTO `lang_definitions` VALUES (69963, 2801, 19, 'Hematúria');
INSERT INTO `lang_definitions` VALUES (69964, 2802, 19, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (69965, 2804, 19, 'Hemoptysis');
INSERT INTO `lang_definitions` VALUES (69966, 2805, 19, 'Hepatites');
INSERT INTO `lang_definitions` VALUES (69967, 2806, 19, 'Hepatite A 1');
INSERT INTO `lang_definitions` VALUES (69968, 2807, 19, 'Hepatite A 2');
INSERT INTO `lang_definitions` VALUES (69969, 2808, 19, 'Hepatite B 1');
INSERT INTO `lang_definitions` VALUES (69970, 2809, 19, 'Hepatite B 2');
INSERT INTO `lang_definitions` VALUES (69971, 2810, 19, 'Hepatite B 3');
INSERT INTO `lang_definitions` VALUES (69972, 2811, 19, 'aqui');
INSERT INTO `lang_definitions` VALUES (69973, 2813, 19, 'Conserto da Hérnia');
INSERT INTO `lang_definitions` VALUES (69974, 2814, 19, 'Disco Herniado');
INSERT INTO `lang_definitions` VALUES (69975, 2815, 19, 'Herpes');
INSERT INTO `lang_definitions` VALUES (69976, 2816, 19, 'Hesitação');
INSERT INTO `lang_definitions` VALUES (69977, 2817, 19, 'heyyo.voçê esteve aqui para ');
INSERT INTO `lang_definitions` VALUES (69978, 2818, 19, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (69979, 2819, 19, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (69980, 2820, 19, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (69981, 2821, 19, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (69982, 2822, 19, 'Esconder');
INSERT INTO `lang_definitions` VALUES (69983, 2823, 19, 'Administração de Eventos Escondidos');
INSERT INTO `lang_definitions` VALUES (69984, 2824, 19, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (69985, 2825, 19, 'Ocultar detalhes');
INSERT INTO `lang_definitions` VALUES (69986, 2831, 19, 'Ocutar/Mostrar Colunas');
INSERT INTO `lang_definitions` VALUES (69987, 2833, 19, 'Alto');
INSERT INTO `lang_definitions` VALUES (69988, 2834, 19, 'Hipertensão');
INSERT INTO `lang_definitions` VALUES (69989, 2836, 19, 'Anca + virilha');
INSERT INTO `lang_definitions` VALUES (69990, 2837, 19, 'Anca e virilha');
INSERT INTO `lang_definitions` VALUES (69991, 2838, 19, 'Problemas de anca');
INSERT INTO `lang_definitions` VALUES (69992, 2839, 19, 'Substituição de anca');
INSERT INTO `lang_definitions` VALUES (69993, 2840, 19, 'Recebeu a Notícia HIPAA');
INSERT INTO `lang_definitions` VALUES (69994, 2842, 19, 'Hirsutismo / Estrias');
INSERT INTO `lang_definitions` VALUES (69995, 2843, 19, 'Hispânico');
INSERT INTO `lang_definitions` VALUES (69996, 2847, 19, 'Histórico');
INSERT INTO `lang_definitions` VALUES (69997, 2848, 19, 'Dados do Histórico');
INSERT INTO `lang_definitions` VALUES (69998, 2849, 19, 'Data do Histórico');
INSERT INTO `lang_definitions` VALUES (69999, 2851, 19, 'História de Murmúrio');
INSERT INTO `lang_definitions` VALUES (70000, 2852, 19, 'Histórico não autorizado');
INSERT INTO `lang_definitions` VALUES (70001, 2853, 19, 'História de Murmúrio do Coração');
INSERT INTO `lang_definitions` VALUES (70002, 2854, 19, 'Resultados');
INSERT INTO `lang_definitions` VALUES (70003, 2855, 19, 'VIH');
INSERT INTO `lang_definitions` VALUES (70004, 2858, 19, 'Visualizador HL7');
INSERT INTO `lang_definitions` VALUES (70005, 2862, 19, 'Pressione [Ctrl] para seleccionar vários itens');
INSERT INTO `lang_definitions` VALUES (70006, 2863, 19, 'Pressione Ctrl para seleccionar vários itens');
INSERT INTO `lang_definitions` VALUES (70007, 2864, 19, 'Pressione Ctrl para seleccionar múltiplas esquadras');
INSERT INTO `lang_definitions` VALUES (70008, 2865, 19, 'Início');
INSERT INTO `lang_definitions` VALUES (70009, 2866, 19, 'Telefone de Casa');
INSERT INTO `lang_definitions` VALUES (70010, 2867, 19, 'Número de Telefone de Casa');
INSERT INTO `lang_definitions` VALUES (70011, 2868, 19, 'Sem-abrigo ou similar?');
INSERT INTO `lang_definitions` VALUES (70012, 2869, 19, 'Sem-abrigo, etc');
INSERT INTO `lang_definitions` VALUES (70013, 2870, 19, 'Sem-abrigo, etc.');
INSERT INTO `lang_definitions` VALUES (70014, 2872, 19, 'Host Name');
INSERT INTO `lang_definitions` VALUES (70015, 2873, 19, 'Host Name cannot be empty');
INSERT INTO `lang_definitions` VALUES (70016, 2876, 19, 'Horas');
INSERT INTO `lang_definitions` VALUES (70017, 2878, 19, 'Como a Lesão Ocorreu?:');
INSERT INTO `lang_definitions` VALUES (70018, 2879, 19, 'Como a Lesão Ocorreu?:');
INSERT INTO `lang_definitions` VALUES (70019, 2881, 19, 'Quantos meses à frente para consultar os próximos eventos?');
INSERT INTO `lang_definitions` VALUES (70020, 2882, 19, 'HPI:');
INSERT INTO `lang_definitions` VALUES (70021, 2883, 19, 'HT');
INSERT INTO `lang_definitions` VALUES (70022, 2884, 19, 'HTML');
INSERT INTO `lang_definitions` VALUES (70023, 2892, 19, 'Hiperactive');
INSERT INTO `lang_definitions` VALUES (70024, 2893, 19, 'Hipertensão');
INSERT INTO `lang_definitions` VALUES (70025, 2896, 19, 'Hypertiroidismo');
INSERT INTO `lang_definitions` VALUES (70026, 2897, 19, 'Hipotiroidismo');
INSERT INTO `lang_definitions` VALUES (70027, 2898, 19, 'Histerectomia');
INSERT INTO `lang_definitions` VALUES (70028, 2899, 19, 'Eu');
INSERT INTO `lang_definitions` VALUES (70029, 2900, 19, 'Ocupado neste período');
INSERT INTO `lang_definitions` VALUES (70030, 2901, 19, 'Não tem Permissão para ler ');
INSERT INTO `lang_definitions` VALUES (70031, 2902, 19, 'ICD');
INSERT INTO `lang_definitions` VALUES (70032, 2905, 19, 'ICD9');
INSERT INTO `lang_definitions` VALUES (70033, 2909, 19, 'ID');
INSERT INTO `lang_definitions` VALUES (70034, 2910, 19, 'Id');
INSERT INTO `lang_definitions` VALUES (70035, 2911, 19, 'ID não pode ficar em branco');
INSERT INTO `lang_definitions` VALUES (70036, 2913, 19, 'Idias');
INSERT INTO `lang_definitions` VALUES (70037, 2914, 19, 'identificado como');
INSERT INTO `lang_definitions` VALUES (70038, 2915, 19, 'Identificar(uma palavra)');
INSERT INTO `lang_definitions` VALUES (70039, 2919, 19, 'Se todos os dados para todas as colunas estão completas para esta forma');
INSERT INTO `lang_definitions` VALUES (70040, 2922, 19, 'Se nome, qualquer parte do último nome ou');
INSERT INTO `lang_definitions` VALUES (70041, 2923, 19, 'Se pagar por');
INSERT INTO `lang_definitions` VALUES (70042, 2927, 19, 'Se desempregado clique estudane');
INSERT INTO `lang_definitions` VALUES (70043, 2931, 19, 'Se você tiver escolhido para carregar as remessas eletrônicas, em seguida, a janela de pesquisa redisplays com as faturas correspondentes a partir do arquivo X12. Você pode clicar em qualquer um destes números de fatura (como descrito abaixo) se você deseja fazer as correções antes do envio de informações é aplicada. Para aplicar as alterações, clique no botão Arquivo Processo ERA, na parte inferior da página. Isto produzirá uma nova janela com um relatório detalhado.');
INSERT INTO `lang_definitions` VALUES (70044, 2932, 19, 'Se você digitou uma data de pagamento na página de pesquisa, esta irá substituir a data de lançamento de pagamentos e ajustes que são de outra tiradas do arquivo X12. Isso pode ser útil para fins de notificação, se você quiser que o seu relatório de receitas para usar a sua data de lançamento, em vez de a companhia de seguros da data de processamento. Note que isso vai afetar também as datas de pagamentos, antes e ajustes que são postos em créditos secundário.');
INSERT INTO `lang_definitions` VALUES (70045, 2933, 19, 'Se quiser mudar tipos de dados, acrescentar linhas ou colunas');
INSERT INTO `lang_definitions` VALUES (70046, 2937, 19, 'Doença');
INSERT INTO `lang_definitions` VALUES (70047, 2938, 19, 'IM');
INSERT INTO `lang_definitions` VALUES (70048, 2941, 19, 'Imagiologia');
INSERT INTO `lang_definitions` VALUES (70049, 2942, 19, 'Imunização');
INSERT INTO `lang_definitions` VALUES (70050, 2947, 19, 'Imunização: Lote No');
INSERT INTO `lang_definitions` VALUES (70051, 2948, 19, 'Imunização: Fabricante');
INSERT INTO `lang_definitions` VALUES (70052, 2951, 19, 'Imunização: Serviço');
INSERT INTO `lang_definitions` VALUES (70053, 2953, 19, 'Imunizações');
INSERT INTO `lang_definitions` VALUES (70054, 2954, 19, 'Imunize');
INSERT INTO `lang_definitions` VALUES (70055, 2955, 19, 'Imunológico');
INSERT INTO `lang_definitions` VALUES (70056, 2956, 19, 'Implantes');
INSERT INTO `lang_definitions` VALUES (70057, 2957, 19, 'Importar');
INSERT INTO `lang_definitions` VALUES (70058, 2961, 19, 'Importar certificado p/ o browser.');
INSERT INTO `lang_definitions` VALUES (70059, 2962, 19, 'Importe Configuração');
INSERT INTO `lang_definitions` VALUES (70060, 2964, 19, 'Importar Utente');
INSERT INTO `lang_definitions` VALUES (70061, 2965, 19, 'Importar Demografia do Utente');
INSERT INTO `lang_definitions` VALUES (70062, 2969, 19, 'Importado apartir da Contabilidade');
INSERT INTO `lang_definitions` VALUES (70063, 2972, 19, 'Melhorado');
INSERT INTO `lang_definitions` VALUES (70064, 2973, 19, 'em');
INSERT INTO `lang_definitions` VALUES (70065, 2974, 19, 'Em');
INSERT INTO `lang_definitions` VALUES (70066, 2975, 19, 'Em cada olho');
INSERT INTO `lang_definitions` VALUES (70067, 2976, 19, 'no olho esquerdo');
INSERT INTO `lang_definitions` VALUES (70068, 2977, 19, 'na narina');
INSERT INTO `lang_definitions` VALUES (70069, 2978, 19, 'Disponível');
INSERT INTO `lang_definitions` VALUES (70070, 2979, 19, 'no olho direto');
INSERT INTO `lang_definitions` VALUES (70071, 2980, 19, 'interno');
INSERT INTO `lang_definitions` VALUES (70072, 2981, 19, 'Inativo');
INSERT INTO `lang_definitions` VALUES (70073, 2982, 19, 'Dias Inactivos');
INSERT INTO `lang_definitions` VALUES (70074, 2986, 19, 'Incluir Checksum');
INSERT INTO `lang_definitions` VALUES (70075, 2987, 19, 'Inclusão Completa');
INSERT INTO `lang_definitions` VALUES (70076, 2988, 19, 'Incluir utilizadores inactivos');
INSERT INTO `lang_definitions` VALUES (70077, 2989, 19, 'Incluir não classificados');
INSERT INTO `lang_definitions` VALUES (70078, 2991, 19, 'Incluir dados vitais');
INSERT INTO `lang_definitions` VALUES (70079, 2992, 19, 'Incluir dados vitais?');
INSERT INTO `lang_definitions` VALUES (70080, 2994, 19, 'Rendimentos');
INSERT INTO `lang_definitions` VALUES (70081, 2996, 19, 'Imcompleto');
INSERT INTO `lang_definitions` VALUES (70082, 2997, 19, 'Aborto Terapeutico Incompleto');
INSERT INTO `lang_definitions` VALUES (70083, 2998, 19, 'Incontinênçia');
INSERT INTO `lang_definitions` VALUES (70084, 3001, 19, 'aumentado:');
INSERT INTO `lang_definitions` VALUES (70085, 3002, 19, 'Seguro contra dados');
INSERT INTO `lang_definitions` VALUES (70086, 3003, 19, 'Indeterminado');
INSERT INTO `lang_definitions` VALUES (70087, 3005, 19, 'Indica anormalidade');
INSERT INTO `lang_definitions` VALUES (70088, 3006, 19, 'Indicando se este assunto ativo corretamente');
INSERT INTO `lang_definitions` VALUES (70089, 3009, 19, 'Utentes Indigentes');
INSERT INTO `lang_definitions` VALUES (70090, 3010, 19, 'Relatório de Utente Indigente');
INSERT INTO `lang_definitions` VALUES (70091, 3011, 19, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (70092, 3014, 19, 'Aborto Provocado');
INSERT INTO `lang_definitions` VALUES (70093, 3017, 19, 'Infecção / Abcesso');
INSERT INTO `lang_definitions` VALUES (70094, 3018, 19, 'Infecções');
INSERT INTO `lang_definitions` VALUES (70095, 3019, 19, 'Infert Acons');
INSERT INTO `lang_definitions` VALUES (70096, 3020, 19, 'Infertilidade');
INSERT INTO `lang_definitions` VALUES (70097, 3021, 19, 'Gripe 1');
INSERT INTO `lang_definitions` VALUES (70098, 3022, 19, 'Gripe 2');
INSERT INTO `lang_definitions` VALUES (70099, 3026, 19, 'Informação');
INSERT INTO `lang_definitions` VALUES (70100, 3027, 19, 'Info teste 1');
INSERT INTO `lang_definitions` VALUES (70101, 3028, 19, 'Info teste 2');
INSERT INTO `lang_definitions` VALUES (70102, 3029, 19, 'Info teste 3');
INSERT INTO `lang_definitions` VALUES (70103, 3030, 19, 'Info teste 4');
INSERT INTO `lang_definitions` VALUES (70104, 3031, 19, 'Info teste 5');
INSERT INTO `lang_definitions` VALUES (70105, 3032, 19, 'Info teste 6');
INSERT INTO `lang_definitions` VALUES (70106, 3034, 19, 'Inalações');
INSERT INTO `lang_definitions` VALUES (70107, 3035, 19, 'Inalações');
INSERT INTO `lang_definitions` VALUES (70108, 3037, 19, 'Utilizador Inicial');
INSERT INTO `lang_definitions` VALUES (70109, 3039, 19, 'Injetáveis');
INSERT INTO `lang_definitions` VALUES (70110, 3040, 19, 'Injecção');
INSERT INTO `lang_definitions` VALUES (70111, 3041, 19, 'Parte do Corpo Lesionada');
INSERT INTO `lang_definitions` VALUES (70112, 3042, 19, 'Dano fora');
INSERT INTO `lang_definitions` VALUES (70113, 3043, 19, 'Lesão');
INSERT INTO `lang_definitions` VALUES (70114, 3044, 19, 'Mecanismo de Lesão');
INSERT INTO `lang_definitions` VALUES (70115, 3045, 19, 'Relatório de Avaliação de Lesão');
INSERT INTO `lang_definitions` VALUES (70116, 3046, 19, 'Vigilância de Lesões');
INSERT INTO `lang_definitions` VALUES (70117, 3047, 19, 'Tipo de lesão');
INSERT INTO `lang_definitions` VALUES (70118, 3048, 19, 'Relac. c/ doença/lesão');
INSERT INTO `lang_definitions` VALUES (70119, 3051, 19, 'Campos de Entrada');
INSERT INTO `lang_definitions` VALUES (70120, 3056, 19, 'Ins ajustar');
INSERT INTO `lang_definitions` VALUES (70121, 3057, 19, 'Ins agregação');
INSERT INTO `lang_definitions` VALUES (70122, 3063, 19, 'Restituição Ins');
INSERT INTO `lang_definitions` VALUES (70123, 3064, 19, 'Ins Resumo');
INSERT INTO `lang_definitions` VALUES (70124, 3065, 19, 'Ins1');
INSERT INTO `lang_definitions` VALUES (70125, 3066, 19, 'Ins2');
INSERT INTO `lang_definitions` VALUES (70126, 3067, 19, 'Ins3');
INSERT INTO `lang_definitions` VALUES (70127, 3069, 19, 'Inserir falhou: ');
INSERT INTO `lang_definitions` VALUES (70128, 3070, 19, 'Inserir eventos antigos em tabelas');
INSERT INTO `lang_definitions` VALUES (70129, 3072, 19, 'Insónia');
INSERT INTO `lang_definitions` VALUES (70130, 3074, 19, 'Inspeção');
INSERT INTO `lang_definitions` VALUES (70131, 3075, 19, 'Instabilidade /');
INSERT INTO `lang_definitions` VALUES (70132, 3079, 19, 'Instalar DB');
INSERT INTO `lang_definitions` VALUES (70133, 3081, 19, 'Instruido');
INSERT INTO `lang_definitions` VALUES (70134, 3082, 19, 'Instrução');
INSERT INTO `lang_definitions` VALUES (70135, 3084, 19, 'Instruções:');
INSERT INTO `lang_definitions` VALUES (70136, 3086, 19, 'Diabetes insulino dependente');
INSERT INTO `lang_definitions` VALUES (70137, 3087, 19, 'Subsistema');
INSERT INTO `lang_definitions` VALUES (70138, 3088, 19, 'subsistema');
INSERT INTO `lang_definitions` VALUES (70139, 3094, 19, 'Companias de Seguro');
INSERT INTO `lang_definitions` VALUES (70140, 3095, 19, 'Compania de Seguro');
INSERT INTO `lang_definitions` VALUES (70141, 3096, 19, 'Procurar/Acrescentar Compania de Seguro');
INSERT INTO `lang_definitions` VALUES (70142, 3098, 19, 'Data de Seguro');
INSERT INTO `lang_definitions` VALUES (70143, 3100, 19, 'Número do Seguro');
INSERT INTO `lang_definitions` VALUES (70144, 3103, 19, 'Entidade');
INSERT INTO `lang_definitions` VALUES (70145, 3107, 19, 'Conclusão de Entrada');
INSERT INTO `lang_definitions` VALUES (70146, 3108, 19, 'Data de Entrada');
INSERT INTO `lang_definitions` VALUES (70147, 3109, 19, 'Declínio Intelectual');
INSERT INTO `lang_definitions` VALUES (70148, 3113, 19, 'Erro Interno - Nenhuma página foi selecionada!');
INSERT INTO `lang_definitions` VALUES (70149, 3114, 19, 'Erro Interno - ID do Utente não foi inserido!');
INSERT INTO `lang_definitions` VALUES (70150, 3115, 19, 'Erro interno que acessa arquivos transferidos!');
INSERT INTO `lang_definitions` VALUES (70151, 3116, 19, 'Erro Interno!');
INSERT INTO `lang_definitions` VALUES (70152, 3117, 19, 'Erro Interno,não há ID de droga especificada!');
INSERT INTO `lang_definitions` VALUES (70153, 3119, 19, 'Erro Interno: Reivindicação ');
INSERT INTO `lang_definitions` VALUES (70154, 3120, 19, 'Erro Interno: Encontro\'');
INSERT INTO `lang_definitions` VALUES (70155, 3121, 19, 'Erro Interno: pid ou está perdendo o encontro.');
INSERT INTO `lang_definitions` VALUES (70156, 3123, 19, 'Interno Identificou (pid)');
INSERT INTO `lang_definitions` VALUES (70157, 3126, 19, 'Indicações Internas');
INSERT INTO `lang_definitions` VALUES (70158, 3128, 19, 'Dever Internacional');
INSERT INTO `lang_definitions` VALUES (70159, 3129, 19, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (70160, 3130, 19, 'Precisou de Intérprete?');
INSERT INTO `lang_definitions` VALUES (70161, 3131, 19, 'Doenças Pulmonar Interstical');
INSERT INTO `lang_definitions` VALUES (70162, 3132, 19, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (70163, 3137, 19, 'Intolerância');
INSERT INTO `lang_definitions` VALUES (70164, 3139, 19, 'Intramuscular');
INSERT INTO `lang_definitions` VALUES (70165, 3140, 19, 'Intravenously');
INSERT INTO `lang_definitions` VALUES (70166, 3141, 19, 'Introdução');
INSERT INTO `lang_definitions` VALUES (70167, 3149, 19, 'Inválido ou pagador em falta par código em falta ');
INSERT INTO `lang_definitions` VALUES (70168, 3151, 19, 'Inválido Código de Servico');
INSERT INTO `lang_definitions` VALUES (70169, 3152, 19, 'Desegnação de fonte inválida');
INSERT INTO `lang_definitions` VALUES (70170, 3154, 19, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (70171, 3155, 19, 'Inventário');
INSERT INTO `lang_definitions` VALUES (70172, 3159, 19, 'Inventário ntá disponivel nesta ordem.');
INSERT INTO `lang_definitions` VALUES (70173, 3160, 19, 'Inventário não está disponivel para esta ordem.');
INSERT INTO `lang_definitions` VALUES (70174, 3162, 19, 'Lista de Inventário');
INSERT INTO `lang_definitions` VALUES (70175, 3163, 19, 'Fatura');
INSERT INTO `lang_definitions` VALUES (70176, 3166, 19, 'Data da Fatura');
INSERT INTO `lang_definitions` VALUES (70177, 3167, 19, 'Fatura não tem nenhuma data!');
INSERT INTO `lang_definitions` VALUES (70178, 3173, 19, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (70179, 3177, 19, 'IPPF SRH Data para');
INSERT INTO `lang_definitions` VALUES (70180, 3178, 19, 'IPPF Relatório de Estatística');
INSERT INTO `lang_definitions` VALUES (70181, 3180, 19, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (70182, 3181, 19, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (70183, 3182, 19, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (70184, 3183, 19, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (70185, 3185, 19, 'Batimento Cárdiaco Irregular');
INSERT INTO `lang_definitions` VALUES (70186, 3186, 19, 'Irritabilidade');
INSERT INTO `lang_definitions` VALUES (70187, 3187, 19, 'Irritação');
INSERT INTO `lang_definitions` VALUES (70188, 3191, 19, 'È um field exigido.');
INSERT INTO `lang_definitions` VALUES (70189, 3192, 19, 'È um nodo de raiz e não pode ser apagado.');
INSERT INTO `lang_definitions` VALUES (70190, 3197, 19, 'Não é valido (frações decimais são OK).');
INSERT INTO `lang_definitions` VALUES (70191, 3198, 19, 'PHP está usando o modo seguro?');
INSERT INTO `lang_definitions` VALUES (70192, 3216, 19, 'Assunto');
INSERT INTO `lang_definitions` VALUES (70193, 3217, 19, 'assunto');
INSERT INTO `lang_definitions` VALUES (70194, 3223, 19, 'Assuntos');
INSERT INTO `lang_definitions` VALUES (70195, 3224, 19, 'Questões (Lesões/Médicas/Alergias)');
INSERT INTO `lang_definitions` VALUES (70196, 3225, 19, 'Questões (Lesões/Médicas/Alergias):');
INSERT INTO `lang_definitions` VALUES (70197, 3226, 19, 'Assuntos e Encontros');
INSERT INTO `lang_definitions` VALUES (70198, 3227, 19, 'Assuntos e Encontros para');
INSERT INTO `lang_definitions` VALUES (70199, 3228, 19, 'Assuntos não autorizados');
INSERT INTO `lang_definitions` VALUES (70200, 3229, 19, 'Secção de Assuntos');
INSERT INTO `lang_definitions` VALUES (70201, 3231, 19, 'Carga');
INSERT INTO `lang_definitions` VALUES (70202, 3232, 19, 'carga');
INSERT INTO `lang_definitions` VALUES (70203, 3234, 19, 'Carga de artigo falhou');
INSERT INTO `lang_definitions` VALUES (70204, 3236, 19, 'IUD');
INSERT INTO `lang_definitions` VALUES (70205, 3237, 19, 'IV');
INSERT INTO `lang_definitions` VALUES (70206, 3238, 19, 'Jan');
INSERT INTO `lang_definitions` VALUES (70207, 3239, 19, 'Janeiro');
INSERT INTO `lang_definitions` VALUES (70208, 3241, 19, 'Icterícia');
INSERT INTO `lang_definitions` VALUES (70209, 3243, 19, 'Descrição de Trabalho');
INSERT INTO `lang_definitions` VALUES (70210, 3244, 19, 'ID do Trabalho');
INSERT INTO `lang_definitions` VALUES (70211, 3245, 19, 'Deslocação em comum');
INSERT INTO `lang_definitions` VALUES (70212, 3246, 19, 'Dor em Comum');
INSERT INTO `lang_definitions` VALUES (70213, 3247, 19, 'Deslocamentos em comum');
INSERT INTO `lang_definitions` VALUES (70214, 3248, 19, 'Jul');
INSERT INTO `lang_definitions` VALUES (70215, 3249, 19, 'Julho');
INSERT INTO `lang_definitions` VALUES (70216, 3250, 19, 'Jun');
INSERT INTO `lang_definitions` VALUES (70217, 3251, 19, 'Junho');
INSERT INTO `lang_definitions` VALUES (70218, 3252, 19, 'Só debaixo da informação verificada uma área azul');
INSERT INTO `lang_definitions` VALUES (70219, 3253, 19, 'Só as Minhas');
INSERT INTO `lang_definitions` VALUES (70220, 3255, 19, 'Justifique');
INSERT INTO `lang_definitions` VALUES (70221, 3256, 19, 'Justifique/Salvar');
INSERT INTO `lang_definitions` VALUES (70222, 3258, 19, 'k, aqui é o resto');
INSERT INTO `lang_definitions` VALUES (70223, 3265, 19, 'Palavras chaves');
INSERT INTO `lang_definitions` VALUES (70224, 3266, 19, 'kg');
INSERT INTO `lang_definitions` VALUES (70225, 3267, 19, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (70226, 3269, 19, 'Cancro do Rim');
INSERT INTO `lang_definitions` VALUES (70227, 3270, 19, 'Insuficiência Renal');
INSERT INTO `lang_definitions` VALUES (70228, 3271, 19, 'Infecções nos rins');
INSERT INTO `lang_definitions` VALUES (70229, 3272, 19, 'Pedras no Rim');
INSERT INTO `lang_definitions` VALUES (70230, 3273, 19, 'Transplante dos Rins');
INSERT INTO `lang_definitions` VALUES (70231, 3277, 19, 'Joelho');
INSERT INTO `lang_definitions` VALUES (70232, 3278, 19, 'Problemas no Joelho');
INSERT INTO `lang_definitions` VALUES (70233, 3279, 19, 'Substituição no Joelho');
INSERT INTO `lang_definitions` VALUES (70234, 3286, 19, 'Lab');
INSERT INTO `lang_definitions` VALUES (70235, 3295, 19, 'Relatório de Lab');
INSERT INTO `lang_definitions` VALUES (70236, 3303, 19, 'Etiqueta');
INSERT INTO `lang_definitions` VALUES (70237, 3304, 19, 'A etiqueta não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (70238, 3307, 19, 'LabelCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (70239, 3308, 19, 'Etiquetas');
INSERT INTO `lang_definitions` VALUES (70240, 3311, 19, 'Labs');
INSERT INTO `lang_definitions` VALUES (70241, 3312, 19, 'Dilaceração / condição da Pele');
INSERT INTO `lang_definitions` VALUES (70242, 3313, 19, 'Dilaceração/abrasão');
INSERT INTO `lang_definitions` VALUES (70243, 3316, 19, 'Idioma');
INSERT INTO `lang_definitions` VALUES (70244, 3317, 19, 'Código do Idioma');
INSERT INTO `lang_definitions` VALUES (70245, 3318, 19, 'Definição do Idioma acrescentado');
INSERT INTO `lang_definitions` VALUES (70246, 3320, 19, 'Lista de Idiomas (escrever, addonly opcional)');
INSERT INTO `lang_definitions` VALUES (70247, 3321, 19, 'Nome do Idioma');
INSERT INTO `lang_definitions` VALUES (70248, 3322, 19, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (70249, 3325, 19, 'Último');
INSERT INTO `lang_definitions` VALUES (70250, 3326, 19, 'Data da Ùltima Atividade');
INSERT INTO `lang_definitions` VALUES (70251, 3328, 19, 'Data da Ùltima Conta');
INSERT INTO `lang_definitions` VALUES (70252, 3333, 19, 'Última Encontro');
INSERT INTO `lang_definitions` VALUES (70253, 3344, 19, 'Último Nome');
INSERT INTO `lang_definitions` VALUES (70254, 3345, 19, 'Último Nome');
INSERT INTO `lang_definitions` VALUES (70255, 3346, 19, 'Último Nome:');
INSERT INTO `lang_definitions` VALUES (70256, 3352, 19, 'Últimos Salvados');
INSERT INTO `lang_definitions` VALUES (70257, 3356, 19, 'Última actualização por');
INSERT INTO `lang_definitions` VALUES (70258, 3358, 19, 'Ùltima Visita');
INSERT INTO `lang_definitions` VALUES (70259, 3360, 19, 'Retorno Tarde (2-12 Mo)');
INSERT INTO `lang_definitions` VALUES (70260, 3361, 19, 'Malleolus Lateral');
INSERT INTO `lang_definitions` VALUES (70261, 3362, 19, 'Malleolus Lateral:');
INSERT INTO `lang_definitions` VALUES (70262, 3365, 19, 'Deslocou Lateral');
INSERT INTO `lang_definitions` VALUES (70263, 3373, 19, 'Baseado no Esquema');
INSERT INTO `lang_definitions` VALUES (70264, 3374, 19, 'Editar Esquema');
INSERT INTO `lang_definitions` VALUES (70265, 3375, 19, 'Grupos de Esquemas');
INSERT INTO `lang_definitions` VALUES (70266, 3376, 19, 'Estilo de Esquemas');
INSERT INTO `lang_definitions` VALUES (70267, 3378, 19, 'Formulários de Visita Baseados em Esquemas');
INSERT INTO `lang_definitions` VALUES (70268, 3379, 19, 'Esquemas');
INSERT INTO `lang_definitions` VALUES (70269, 3380, 19, 'lb');
INSERT INTO `lang_definitions` VALUES (70270, 3381, 19, 'Lbs');
INSERT INTO `lang_definitions` VALUES (70271, 3382, 19, 'LDL');
INSERT INTO `lang_definitions` VALUES (70272, 3383, 19, 'Deixa em branco se continuar ativo');
INSERT INTO `lang_definitions` VALUES (70273, 3385, 19, 'Deixe em branco para manter a senha inalterada.');
INSERT INTO `lang_definitions` VALUES (70274, 3386, 19, 'Deixa Mensagem com');
INSERT INTO `lang_definitions` VALUES (70275, 3387, 19, 'Deixa a Forma');
INSERT INTO `lang_definitions` VALUES (70276, 3390, 19, 'Esquerdo');
INSERT INTO `lang_definitions` VALUES (70277, 3391, 19, 'Ouvido Esquerdo');
INSERT INTO `lang_definitions` VALUES (70278, 3392, 19, 'ouvido esquerdo');
INSERT INTO `lang_definitions` VALUES (70279, 3394, 19, 'Esquerdo:');
INSERT INTO `lang_definitions` VALUES (70280, 3395, 19, 'Esquerdo: ');
INSERT INTO `lang_definitions` VALUES (70281, 3396, 19, 'Dor da perna/Grampeado');
INSERT INTO `lang_definitions` VALUES (70282, 3397, 19, 'Legal');
INSERT INTO `lang_definitions` VALUES (70283, 3400, 19, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (70284, 3401, 19, 'Comprimento');
INSERT INTO `lang_definitions` VALUES (70285, 3405, 19, 'Menos-informação privada (escrever,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (70286, 3406, 19, 'Carta');
INSERT INTO `lang_definitions` VALUES (70287, 3407, 19, 'Gerador de Cartas');
INSERT INTO `lang_definitions` VALUES (70288, 3411, 19, 'Nível de urgência');
INSERT INTO `lang_definitions` VALUES (70289, 3412, 19, 'Responsabilidade');
INSERT INTO `lang_definitions` VALUES (70290, 3413, 19, 'Exame médico de Responsabilidade');
INSERT INTO `lang_definitions` VALUES (70291, 3414, 19, 'BI');
INSERT INTO `lang_definitions` VALUES (70292, 3423, 19, 'Estilo de vida');
INSERT INTO `lang_definitions` VALUES (70293, 3425, 19, 'Lágrima de Ligamento ou entorse');
INSERT INTO `lang_definitions` VALUES (70294, 3428, 19, 'Limites de Eventos');
INSERT INTO `lang_definitions` VALUES (70295, 3438, 19, 'Lista');
INSERT INTO `lang_definitions` VALUES (70296, 3439, 19, 'Caixa de Lista');
INSERT INTO `lang_definitions` VALUES (70297, 3440, 19, 'caixa de lista');
INSERT INTO `lang_definitions` VALUES (70298, 3441, 19, 'caixa de lista w/ add');
INSERT INTO `lang_definitions` VALUES (70299, 3442, 19, 'caixa de lista w/add');
INSERT INTO `lang_definitions` VALUES (70300, 3443, 19, 'Liste o Editor');
INSERT INTO `lang_definitions` VALUES (70301, 3445, 19, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (70302, 3446, 19, 'Listar Companhias de Seguro');
INSERT INTO `lang_definitions` VALUES (70303, 3448, 19, 'Aliste artigos que não podem começar com um número.');
INSERT INTO `lang_definitions` VALUES (70304, 3449, 19, 'Aliste artigos que contém caracter(s) ilegal.');
INSERT INTO `lang_definitions` VALUES (70305, 3451, 19, 'Listas de lista');
INSERT INTO `lang_definitions` VALUES (70306, 3452, 19, 'Nomeda Lista');
INSERT INTO `lang_definitions` VALUES (70307, 3453, 19, 'Nome da Lista não pode começar com números.');
INSERT INTO `lang_definitions` VALUES (70308, 3454, 19, 'Lista de Receitas');
INSERT INTO `lang_definitions` VALUES (70309, 3458, 19, 'Listas');
INSERT INTO `lang_definitions` VALUES (70310, 3461, 19, 'LLL:');
INSERT INTO `lang_definitions` VALUES (70311, 3462, 19, 'LMP');
INSERT INTO `lang_definitions` VALUES (70312, 3464, 19, 'Carregue Definições');
INSERT INTO `lang_definitions` VALUES (70313, 3470, 19, 'A CARREGAR');
INSERT INTO `lang_definitions` VALUES (70314, 3472, 19, 'LOC');
INSERT INTO `lang_definitions` VALUES (70315, 3473, 19, 'Local');
INSERT INTO `lang_definitions` VALUES (70316, 3476, 19, 'Definições Regionais');
INSERT INTO `lang_definitions` VALUES (70317, 3477, 19, 'Localidade');
INSERT INTO `lang_definitions` VALUES (70318, 3478, 19, 'Localização');
INSERT INTO `lang_definitions` VALUES (70319, 3480, 19, 'Localização deste lote');
INSERT INTO `lang_definitions` VALUES (70320, 3481, 19, 'Localização não especificada');
INSERT INTO `lang_definitions` VALUES (70321, 3484, 19, 'Localização:');
INSERT INTO `lang_definitions` VALUES (70322, 3495, 19, 'Sessão');
INSERT INTO `lang_definitions` VALUES (70323, 3496, 19, 'Sessão iniciada como');
INSERT INTO `lang_definitions` VALUES (70324, 3497, 19, 'Sessão iniciada como: ');
INSERT INTO `lang_definitions` VALUES (70325, 3498, 19, 'Sessão terminada.');
INSERT INTO `lang_definitions` VALUES (70326, 3500, 19, 'Entrar');
INSERT INTO `lang_definitions` VALUES (70327, 3501, 19, 'entrar');
INSERT INTO `lang_definitions` VALUES (70328, 3505, 19, 'Sair');
INSERT INTO `lang_definitions` VALUES (70329, 3506, 19, 'sair');
INSERT INTO `lang_definitions` VALUES (70330, 3507, 19, 'Eventos');
INSERT INTO `lang_definitions` VALUES (70331, 3508, 19, 'Visualizador de Eventos');
INSERT INTO `lang_definitions` VALUES (70332, 3510, 19, 'Procurar');
INSERT INTO `lang_definitions` VALUES (70333, 3511, 19, 'Lote');
INSERT INTO `lang_definitions` VALUES (70334, 3512, 19, 'Lote ID em falta!');
INSERT INTO `lang_definitions` VALUES (70335, 3513, 19, 'Número de Lote');
INSERT INTO `lang_definitions` VALUES (70336, 3514, 19, 'Baixo');
INSERT INTO `lang_definitions` VALUES (70337, 3516, 19, 'Perna mais baixa');
INSERT INTO `lang_definitions` VALUES (70338, 3519, 19, 'Espinha Lombar');
INSERT INTO `lang_definitions` VALUES (70339, 3520, 19, 'ALMOÇO');
INSERT INTO `lang_definitions` VALUES (70340, 3521, 19, 'Almoço');
INSERT INTO `lang_definitions` VALUES (70341, 3522, 19, 'Cancro do Pulmão');
INSERT INTO `lang_definitions` VALUES (70342, 3523, 19, 'Cirurgia de Cancro do Pulmão');
INSERT INTO `lang_definitions` VALUES (70343, 3524, 19, 'PULMÕES:');
INSERT INTO `lang_definitions` VALUES (70344, 3525, 19, 'pulmões:');
INSERT INTO `lang_definitions` VALUES (70345, 3526, 19, 'Lúpus');
INSERT INTO `lang_definitions` VALUES (70346, 3528, 19, 'S');
INSERT INTO `lang_definitions` VALUES (70347, 3529, 19, 'Categoria MA');
INSERT INTO `lang_definitions` VALUES (70348, 3535, 19, 'Endereço Principal');
INSERT INTO `lang_definitions` VALUES (70349, 3536, 19, 'Parte Superior do Ecrã');
INSERT INTO `lang_definitions` VALUES (70350, 3540, 19, 'Faça modificações para categorias recentes');
INSERT INTO `lang_definitions` VALUES (70351, 3542, 19, 'Tenha Certeza');
INSERT INTO `lang_definitions` VALUES (70352, 3545, 19, 'Mal-estar');
INSERT INTO `lang_definitions` VALUES (70353, 3548, 19, 'Masculino');
INSERT INTO `lang_definitions` VALUES (70354, 3549, 19, 'Preservativos Masculinos');
INSERT INTO `lang_definitions` VALUES (70355, 3550, 19, 'VSC Masculinas');
INSERT INTO `lang_definitions` VALUES (70356, 3552, 19, 'Mamograma');
INSERT INTO `lang_definitions` VALUES (70357, 3553, 19, 'Gerir');
INSERT INTO `lang_definitions` VALUES (70358, 3556, 19, 'Gerir Traduções');
INSERT INTO `lang_definitions` VALUES (70359, 3557, 19, 'Administração');
INSERT INTO `lang_definitions` VALUES (70360, 3561, 19, 'Manual');
INSERT INTO `lang_definitions` VALUES (70361, 3562, 19, 'Manual Postado');
INSERT INTO `lang_definitions` VALUES (70362, 3563, 19, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (70363, 3565, 19, 'Mar');
INSERT INTO `lang_definitions` VALUES (70364, 3568, 19, 'Março');
INSERT INTO `lang_definitions` VALUES (70365, 3569, 19, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (70366, 3571, 19, 'Marque como faturado mas salta faturamento');
INSERT INTO `lang_definitions` VALUES (70367, 3572, 19, 'Marque como Clareado');
INSERT INTO `lang_definitions` VALUES (70368, 3573, 19, 'Marque como não faturou');
INSERT INTO `lang_definitions` VALUES (70369, 3575, 19, 'Marque como clareado');
INSERT INTO `lang_definitions` VALUES (70370, 3576, 19, 'Casado(a)');
INSERT INTO `lang_definitions` VALUES (70371, 3594, 19, 'Maxilar Direto:');
INSERT INTO `lang_definitions` VALUES (70372, 3603, 19, 'Maio');
INSERT INTO `lang_definitions` VALUES (70373, 3604, 19, 'MC');
INSERT INTO `lang_definitions` VALUES (70374, 3605, 19, 'mcg');
INSERT INTO `lang_definitions` VALUES (70375, 3612, 19, 'Malleolus mediano');
INSERT INTO `lang_definitions` VALUES (70376, 3613, 19, 'Exame médico');
INSERT INTO `lang_definitions` VALUES (70377, 3614, 19, 'Médico');
INSERT INTO `lang_definitions` VALUES (70378, 3615, 19, 'Aborto Médico');
INSERT INTO `lang_definitions` VALUES (70379, 3620, 19, 'problemas Médicos');
INSERT INTO `lang_definitions` VALUES (70380, 3623, 19, 'Problemas Médicos');
INSERT INTO `lang_definitions` VALUES (70381, 3624, 19, 'Registo Médico');
INSERT INTO `lang_definitions` VALUES (70382, 3625, 19, 'Registo Médico #');
INSERT INTO `lang_definitions` VALUES (70383, 3626, 19, 'Registos Médicos');
INSERT INTO `lang_definitions` VALUES (70384, 3632, 19, 'Médico/História (escrever,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (70385, 3633, 19, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (70386, 3635, 19, 'Medicamento');
INSERT INTO `lang_definitions` VALUES (70387, 3640, 19, 'Medicamentos');
INSERT INTO `lang_definitions` VALUES (70388, 3641, 19, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (70389, 3642, 19, 'Unidades de medicinas');
INSERT INTO `lang_definitions` VALUES (70390, 3643, 19, 'Médio');
INSERT INTO `lang_definitions` VALUES (70391, 3645, 19, 'Relatório de Estatísticas da Associação de Membro');
INSERT INTO `lang_definitions` VALUES (70392, 3646, 19, 'Problemas de Memória');
INSERT INTO `lang_definitions` VALUES (70393, 3647, 19, 'Homem');
INSERT INTO `lang_definitions` VALUES (70394, 3648, 19, 'Homem e Mulher');
INSERT INTO `lang_definitions` VALUES (70395, 3649, 19, 'Só Homens');
INSERT INTO `lang_definitions` VALUES (70396, 3650, 19, 'Menarche');
INSERT INTO `lang_definitions` VALUES (70397, 3651, 19, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (70398, 3652, 19, 'Fluxo Mestrual');
INSERT INTO `lang_definitions` VALUES (70399, 3653, 19, 'Frequência mestrual');
INSERT INTO `lang_definitions` VALUES (70400, 3654, 19, 'Doença mental');
INSERT INTO `lang_definitions` VALUES (70401, 3661, 19, 'Mensagen');
INSERT INTO `lang_definitions` VALUES (70402, 3666, 19, 'Estado da Mensagem');
INSERT INTO `lang_definitions` VALUES (70403, 3670, 19, 'MENSAGEN');
INSERT INTO `lang_definitions` VALUES (70404, 3671, 19, 'Mensagens');
INSERT INTO `lang_definitions` VALUES (70405, 3673, 19, 'Método');
INSERT INTO `lang_definitions` VALUES (70406, 3676, 19, 'Método de Destruição');
INSERT INTO `lang_definitions` VALUES (70407, 3679, 19, 'mg');
INSERT INTO `lang_definitions` VALUES (70408, 3680, 19, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (70409, 3681, 19, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (70410, 3682, 19, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (70411, 3683, 19, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (70412, 3684, 19, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (70413, 3685, 19, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (70414, 3686, 19, 'Meio');
INSERT INTO `lang_definitions` VALUES (70415, 3687, 19, 'Nome do Meio');
INSERT INTO `lang_definitions` VALUES (70416, 3688, 19, 'Nome do meio');
INSERT INTO `lang_definitions` VALUES (70417, 3696, 19, 'Migrante ou trabalhador sazonal?');
INSERT INTO `lang_definitions` VALUES (70418, 3697, 19, 'Migrante/Sazonal');
INSERT INTO `lang_definitions` VALUES (70419, 3698, 19, 'Mil/CU.MM');
INSERT INTO `lang_definitions` VALUES (70420, 3702, 19, 'Mimique Tipo');
INSERT INTO `lang_definitions` VALUES (70421, 3704, 19, 'min');
INSERT INTO `lang_definitions` VALUES (70422, 3706, 19, 'pequenas articulações dolorosas+/- Sinovite');
INSERT INTO `lang_definitions` VALUES (70423, 3709, 19, 'minutos');
INSERT INTO `lang_definitions` VALUES (70424, 3710, 19, 'Minutos');
INSERT INTO `lang_definitions` VALUES (70425, 3712, 19, 'Outros');
INSERT INTO `lang_definitions` VALUES (70426, 3713, 19, 'Opções de facturação');
INSERT INTO `lang_definitions` VALUES (70427, 3714, 19, 'Opções de facturação para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (70428, 3715, 19, 'Opções de Facturação para HCFA');
INSERT INTO `lang_definitions` VALUES (70429, 3716, 19, 'Diversos');
INSERT INTO `lang_definitions` VALUES (70430, 3717, 19, 'Perdido');
INSERT INTO `lang_definitions` VALUES (70431, 3719, 19, 'Campo obrigatório em falta');
INSERT INTO `lang_definitions` VALUES (70432, 3720, 19, 'Taxa Perdida');
INSERT INTO `lang_definitions` VALUES (70433, 3722, 19, 'Em Falta ou Inválido');
INSERT INTO `lang_definitions` VALUES (70434, 3723, 19, 'PID Perdida');
INSERT INTO `lang_definitions` VALUES (70435, 3725, 19, 'Golpe perdido depois de pagador em fonte para código ');
INSERT INTO `lang_definitions` VALUES (70436, 3726, 19, 'Misturado');
INSERT INTO `lang_definitions` VALUES (70437, 3727, 19, 'ml');
INSERT INTO `lang_definitions` VALUES (70438, 3728, 19, 'MM/DD/AAAA');
INSERT INTO `lang_definitions` VALUES (70439, 3729, 19, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (70440, 3731, 19, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (70441, 3732, 19, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (70442, 3733, 19, 'Telemóvel');
INSERT INTO `lang_definitions` VALUES (70443, 3734, 19, 'Telemóvel');
INSERT INTO `lang_definitions` VALUES (70444, 3735, 19, 'Mod');
INSERT INTO `lang_definitions` VALUES (70445, 3741, 19, 'Modificador');
INSERT INTO `lang_definitions` VALUES (70446, 3753, 19, 'Seg');
INSERT INTO `lang_definitions` VALUES (70447, 3754, 19, 'Seg a Sex');
INSERT INTO `lang_definitions` VALUES (70448, 3755, 19, 'Seg, Qua &amp; Sex');
INSERT INTO `lang_definitions` VALUES (70449, 3756, 19, 'Segunda');
INSERT INTO `lang_definitions` VALUES (70450, 3758, 19, 'Mês');
INSERT INTO `lang_definitions` VALUES (70451, 3759, 19, 'mês');
INSERT INTO `lang_definitions` VALUES (70452, 3760, 19, 'Mês');
INSERT INTO `lang_definitions` VALUES (70453, 3761, 19, 'Mes(es)');
INSERT INTO `lang_definitions` VALUES (70454, 3762, 19, 'Rendimento Mensal');
INSERT INTO `lang_definitions` VALUES (70455, 3763, 19, 'Meses');
INSERT INTO `lang_definitions` VALUES (70456, 3765, 19, 'Mais de 100 registos. Por favor restrinja os critérios.');
INSERT INTO `lang_definitions` VALUES (70457, 3766, 19, 'Mais de 50 resultados, por favor seja mais específico.');
INSERT INTO `lang_definitions` VALUES (70458, 3768, 19, 'Mais recente desde');
INSERT INTO `lang_definitions` VALUES (70459, 3771, 19, 'Mãe');
INSERT INTO `lang_definitions` VALUES (70460, 3772, 19, 'Nome da Mãe');
INSERT INTO `lang_definitions` VALUES (70461, 3774, 19, 'Boca');
INSERT INTO `lang_definitions` VALUES (70462, 3775, 19, 'Mover');
INSERT INTO `lang_definitions` VALUES (70463, 3776, 19, 'Mover Documento para a Categoria:');
INSERT INTO `lang_definitions` VALUES (70464, 3777, 19, 'Mover para Baixo');
INSERT INTO `lang_definitions` VALUES (70465, 3779, 19, 'Mover para Utente');
INSERT INTO `lang_definitions` VALUES (70466, 3780, 19, 'Mover para...');
INSERT INTO `lang_definitions` VALUES (70467, 3781, 19, 'Mover para Cima');
INSERT INTO `lang_definitions` VALUES (70468, 3783, 19, 'Sr.');
INSERT INTO `lang_definitions` VALUES (70469, 3785, 19, 'Sra.');
INSERT INTO `lang_definitions` VALUES (70470, 3786, 19, 'Srta.');
INSERT INTO `lang_definitions` VALUES (70471, 3796, 19, 'Ferramenta Multi-Idioma');
INSERT INTO `lang_definitions` VALUES (70472, 3797, 19, 'Áreas múltiplas');
INSERT INTO `lang_definitions` VALUES (70473, 3799, 19, 'Lotes múltiplos');
INSERT INTO `lang_definitions` VALUES (70474, 3802, 19, 'Multiracial');
INSERT INTO `lang_definitions` VALUES (70475, 3803, 19, 'Murmúrio:');
INSERT INTO `lang_definitions` VALUES (70476, 3804, 19, 'Dor Muscular');
INSERT INTO `lang_definitions` VALUES (70477, 3805, 19, 'Dores Musculares');
INSERT INTO `lang_definitions` VALUES (70478, 3806, 19, 'Vermelhidão Muscular');
INSERT INTO `lang_definitions` VALUES (70479, 3807, 19, 'Rigidez Muscular');
INSERT INTO `lang_definitions` VALUES (70480, 3808, 19, 'Inchaço Muscular');
INSERT INTO `lang_definitions` VALUES (70481, 3809, 19, 'Morno Musc');
INSERT INTO `lang_definitions` VALUES (70482, 3810, 19, 'Músculo');
INSERT INTO `lang_definitions` VALUES (70483, 3811, 19, 'Lesão Muscular');
INSERT INTO `lang_definitions` VALUES (70484, 3812, 19, 'Muscoesquelético');
INSERT INTO `lang_definitions` VALUES (70485, 3814, 19, 'Mutualmente Definido');
INSERT INTO `lang_definitions` VALUES (70486, 3815, 19, 'MVA');
INSERT INTO `lang_definitions` VALUES (70487, 3821, 19, 'N/D');
INSERT INTO `lang_definitions` VALUES (70488, 3822, 19, 'n/d');
INSERT INTO `lang_definitions` VALUES (70489, 3823, 19, 'Nome');
INSERT INTO `lang_definitions` VALUES (70490, 3825, 19, 'Nome (ver mais)');
INSERT INTO `lang_definitions` VALUES (70491, 3826, 19, 'Nome 1');
INSERT INTO `lang_definitions` VALUES (70492, 3827, 19, 'Nome 2');
INSERT INTO `lang_definitions` VALUES (70493, 3828, 19, 'Nome e Título de Administrador de Imunização');
INSERT INTO `lang_definitions` VALUES (70494, 3832, 19, 'Nome de companhia de seguros');
INSERT INTO `lang_definitions` VALUES (70495, 3833, 19, 'Nome do Clínico');
INSERT INTO `lang_definitions` VALUES (70496, 3835, 19, 'Nomeie Tradução');
INSERT INTO `lang_definitions` VALUES (70497, 3836, 19, 'Name/Value');
INSERT INTO `lang_definitions` VALUES (70498, 3837, 19, 'Nome:');
INSERT INTO `lang_definitions` VALUES (70499, 3838, 19, 'NARES:');
INSERT INTO `lang_definitions` VALUES (70500, 3839, 19, 'NARES: Direito normal');
INSERT INTO `lang_definitions` VALUES (70501, 3840, 19, 'Cor-de-rosa de mucosa nasal, midline de septum,');
INSERT INTO `lang_definitions` VALUES (70502, 3844, 19, 'Nacionalidade');
INSERT INTO `lang_definitions` VALUES (70503, 3852, 19, 'Náusea');
INSERT INTO `lang_definitions` VALUES (70504, 3854, 19, 'Navegação');
INSERT INTO `lang_definitions` VALUES (70505, 3862, 19, 'NDC');
INSERT INTO `lang_definitions` VALUES (70506, 3864, 19, 'Número NDC');
INSERT INTO `lang_definitions` VALUES (70507, 3866, 19, 'Pescoço');
INSERT INTO `lang_definitions` VALUES (70508, 3867, 19, 'Problemas no pescoço');
INSERT INTO `lang_definitions` VALUES (70509, 3868, 19, 'Pescoço movel');
INSERT INTO `lang_definitions` VALUES (70510, 3869, 19, 'Precise entrar em uma descrição');
INSERT INTO `lang_definitions` VALUES (70511, 3870, 19, 'Precise entrar em um Valor de Retorno');
INSERT INTO `lang_definitions` VALUES (70512, 3871, 19, 'Precise entrar em identificador');
INSERT INTO `lang_definitions` VALUES (70513, 3872, 19, 'Precise entrar em título');
INSERT INTO `lang_definitions` VALUES (70514, 3873, 19, 'Necessidades Auth');
INSERT INTO `lang_definitions` VALUES (70515, 3874, 19, 'Necessidades Justificam');
INSERT INTO `lang_definitions` VALUES (70516, 3875, 19, 'Necessidades faturamento secundário');
INSERT INTO `lang_definitions` VALUES (70517, 3876, 19, 'Negativo');
INSERT INTO `lang_definitions` VALUES (70518, 3877, 19, 'Negativos');
INSERT INTO `lang_definitions` VALUES (70519, 3880, 19, 'Dano de nervo');
INSERT INTO `lang_definitions` VALUES (70520, 3881, 19, 'Condição neural / dano de nervo');
INSERT INTO `lang_definitions` VALUES (70521, 3882, 19, 'Entorpecimento de Neuro');
INSERT INTO `lang_definitions` VALUES (70522, 3883, 19, 'Fraqueza de Neuro');
INSERT INTO `lang_definitions` VALUES (70523, 3884, 19, 'Neurologico');
INSERT INTO `lang_definitions` VALUES (70524, 3885, 19, 'Nunca');
INSERT INTO `lang_definitions` VALUES (70525, 3888, 19, 'Novo');
INSERT INTO `lang_definitions` VALUES (70526, 3889, 19, 'Novo =>');
INSERT INTO `lang_definitions` VALUES (70527, 3890, 19, 'Aceitantes novos');
INSERT INTO `lang_definitions` VALUES (70528, 3892, 19, 'Alergia nova');
INSERT INTO `lang_definitions` VALUES (70529, 3894, 19, 'Nova Marcação');
INSERT INTO `lang_definitions` VALUES (70530, 3895, 19, 'Categorias novas');
INSERT INTO `lang_definitions` VALUES (70531, 3896, 19, 'Categoria nova');
INSERT INTO `lang_definitions` VALUES (70532, 3897, 19, 'Clientes novos');
INSERT INTO `lang_definitions` VALUES (70533, 3898, 19, 'Consulta nova');
INSERT INTO `lang_definitions` VALUES (70534, 3900, 19, 'Jogo de Definição novo somou');
INSERT INTO `lang_definitions` VALUES (70535, 3901, 19, 'Documento novo');
INSERT INTO `lang_definitions` VALUES (70536, 3906, 19, 'Forma de Encontro nova');
INSERT INTO `lang_definitions` VALUES (70537, 3907, 19, 'Encontros novos não autorizaram');
INSERT INTO `lang_definitions` VALUES (70538, 3908, 19, 'Enctr novo');
INSERT INTO `lang_definitions` VALUES (70539, 3909, 19, 'Nova Clínica');
INSERT INTO `lang_definitions` VALUES (70540, 3912, 19, 'Grupo novo');
INSERT INTO `lang_definitions` VALUES (70541, 3913, 19, 'Informação de Grupo nova');
INSERT INTO `lang_definitions` VALUES (70542, 3916, 19, 'Limite novo de Eventos');
INSERT INTO `lang_definitions` VALUES (70543, 3917, 19, 'Lista nova');
INSERT INTO `lang_definitions` VALUES (70544, 3921, 19, 'Novo Utente');
INSERT INTO `lang_definitions` VALUES (70545, 3922, 19, 'NOVO UTENTE');
INSERT INTO `lang_definitions` VALUES (70546, 3923, 19, 'Consulta de Novo Utente');
INSERT INTO `lang_definitions` VALUES (70547, 3924, 19, 'Formulário de Novo Utente');
INSERT INTO `lang_definitions` VALUES (70548, 3925, 19, 'ID Novo Utente');
INSERT INTO `lang_definitions` VALUES (70549, 3926, 19, 'Novo Pagamento');
INSERT INTO `lang_definitions` VALUES (70550, 3928, 19, 'Pt novo');
INSERT INTO `lang_definitions` VALUES (70551, 3931, 19, 'Submissões novas');
INSERT INTO `lang_definitions` VALUES (70552, 3932, 19, 'Novo Utilizador');
INSERT INTO `lang_definitions` VALUES (70553, 3934, 19, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (70554, 3935, 19, 'Novo/Procura');
INSERT INTO `lang_definitions` VALUES (70555, 3961, 19, 'Jornal');
INSERT INTO `lang_definitions` VALUES (70556, 3962, 19, 'Próximo');
INSERT INTO `lang_definitions` VALUES (70557, 3964, 19, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (70558, 3965, 19, 'Próximo Mês');
INSERT INTO `lang_definitions` VALUES (70559, 3966, 19, 'Próximo Mês (menu)');
INSERT INTO `lang_definitions` VALUES (70560, 3968, 19, 'Próxima Semana');
INSERT INTO `lang_definitions` VALUES (70561, 3969, 19, 'Próxima Semana (menu)');
INSERT INTO `lang_definitions` VALUES (70562, 3971, 19, 'Alcunha');
INSERT INTO `lang_definitions` VALUES (70563, 3973, 19, 'Suores Noturnos');
INSERT INTO `lang_definitions` VALUES (70564, 3974, 19, 'Nl ext genitália, mucosa de vag, cerviz,');
INSERT INTO `lang_definitions` VALUES (70565, 3975, 19, 'Não');
INSERT INTO `lang_definitions` VALUES (70566, 3976, 19, 'NÃO');
INSERT INTO `lang_definitions` VALUES (70567, 3977, 19, 'Sem acesso');
INSERT INTO `lang_definitions` VALUES (70568, 3978, 19, 'Não há lembretes');
INSERT INTO `lang_definitions` VALUES (70569, 3979, 19, 'Nenhum adenopathy (2 áreas requereram)');
INSERT INTO `lang_definitions` VALUES (70570, 3981, 19, 'Nenhum tenderness/masses anexo');
INSERT INTO `lang_definitions` VALUES (70571, 3985, 19, 'Nenhum sistema de faturamento é atualmente ativo');
INSERT INTO `lang_definitions` VALUES (70572, 3987, 19, 'Nenhuma Conta Achou para Incluir em OFX Export <br>');
INSERT INTO `lang_definitions` VALUES (70573, 3989, 19, 'Nenhum código foi especificado!');
INSERT INTO `lang_definitions` VALUES (70574, 3992, 19, 'Nenhuma Diagnose');
INSERT INTO `lang_definitions` VALUES (70575, 3995, 19, 'Nenhuma data de fim');
INSERT INTO `lang_definitions` VALUES (70576, 3996, 19, 'Nenhuma entrada achou, use a forma abaixo somar uma entrada.');
INSERT INTO `lang_definitions` VALUES (70577, 3997, 19, 'Sem erros');
INSERT INTO `lang_definitions` VALUES (70578, 3998, 19, 'Sem Eventos');
INSERT INTO `lang_definitions` VALUES (70579, 4001, 19, 'Nenhum grupo selecionado');
INSERT INTO `lang_definitions` VALUES (70580, 4002, 19, 'Sem hérnia');
INSERT INTO `lang_definitions` VALUES (70581, 4005, 19, 'Sem lesão/doença');
INSERT INTO `lang_definitions` VALUES (70582, 4006, 19, 'Nenhuma Companhia de Seguros');
INSERT INTO `lang_definitions` VALUES (70583, 4010, 19, 'Nenhum artigo foi selecionado!');
INSERT INTO `lang_definitions` VALUES (70584, 4027, 19, 'Nenhuma massa, ternura,');
INSERT INTO `lang_definitions` VALUES (70585, 4033, 19, 'Nenhum resultado');
INSERT INTO `lang_definitions` VALUES (70586, 4034, 19, 'Sem notas');
INSERT INTO `lang_definitions` VALUES (70587, 4035, 19, 'Nenhum ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (70588, 4036, 19, 'Nenhuma abertura foi achada durante este período.');
INSERT INTO `lang_definitions` VALUES (70589, 4039, 19, 'Sem Sócio Achou');
INSERT INTO `lang_definitions` VALUES (70590, 4042, 19, 'Nenhum edema periférico');
INSERT INTO `lang_definitions` VALUES (70591, 4043, 19, 'Nenhuma Farmácia Encontrada');
INSERT INTO `lang_definitions` VALUES (70592, 4044, 19, 'Nenhuma Prescrição Encontrada');
INSERT INTO `lang_definitions` VALUES (70593, 4045, 19, 'Nenhum illness/injury apresentando');
INSERT INTO `lang_definitions` VALUES (70594, 4051, 19, 'Nenhum Clínico Encontrado');
INSERT INTO `lang_definitions` VALUES (70595, 4052, 19, 'Nenhuma lesão apressada ou anormal');
INSERT INTO `lang_definitions` VALUES (70596, 4053, 19, 'Nenhum registo encontrado');
INSERT INTO `lang_definitions` VALUES (70597, 4055, 19, 'Nenhum registro achou. Por favor amplie seus critério de pesquisa.');
INSERT INTO `lang_definitions` VALUES (70598, 4058, 19, 'Sem Resultados');
INSERT INTO `lang_definitions` VALUES (70599, 4060, 19, 'Sem Resultados');
INSERT INTO `lang_definitions` VALUES (70600, 4062, 19, 'Sem resultado, por favor tente novamente.');
INSERT INTO `lang_definitions` VALUES (70601, 4063, 19, 'Sem resultados, por favor tente novamente.');
INSERT INTO `lang_definitions` VALUES (70602, 4065, 19, 'Faltou');
INSERT INTO `lang_definitions` VALUES (70603, 4067, 19, 'Sem dor sinusal');
INSERT INTO `lang_definitions` VALUES (70604, 4068, 19, 'Sem \'pele de laranja\', nem nódulos mamários');
INSERT INTO `lang_definitions` VALUES (70605, 4071, 19, 'Sem dor, nem massas testiculares');
INSERT INTO `lang_definitions` VALUES (70606, 4072, 19, 'Sem roncos, nem sibilos');
INSERT INTO `lang_definitions` VALUES (70607, 4075, 19, 'Sem visita');
INSERT INTO `lang_definitions` VALUES (70608, 4076, 19, 'Não há registos');
INSERT INTO `lang_definitions` VALUES (70609, 4077, 19, 'Não, Cancelar');
INSERT INTO `lang_definitions` VALUES (70610, 4079, 19, 'Não:');
INSERT INTO `lang_definitions` VALUES (70611, 4080, 19, 'Nicturia');
INSERT INTO `lang_definitions` VALUES (70612, 4083, 19, 'Lesão inespecífica');
INSERT INTO `lang_definitions` VALUES (70613, 4085, 19, 'Diabetes não-insulino-dependente');
INSERT INTO `lang_definitions` VALUES (70614, 4087, 19, 'Exame médico de Non-SRH');
INSERT INTO `lang_definitions` VALUES (70615, 4088, 19, 'Non-SRH Non-Medical');
INSERT INTO `lang_definitions` VALUES (70616, 4089, 19, 'Nenhum');
INSERT INTO `lang_definitions` VALUES (70617, 4090, 19, 'nenhum');
INSERT INTO `lang_definitions` VALUES (70618, 4092, 19, 'Nenhum documentado');
INSERT INTO `lang_definitions` VALUES (70619, 4093, 19, 'Nenhuma das anteriores');
INSERT INTO `lang_definitions` VALUES (70620, 4095, 19, 'Diabetes não-insulino-dependente');
INSERT INTO `lang_definitions` VALUES (70621, 4096, 19, 'Nem');
INSERT INTO `lang_definitions` VALUES (70622, 4097, 19, 'Normal');
INSERT INTO `lang_definitions` VALUES (70623, 4098, 19, 'BL normal');
INSERT INTO `lang_definitions` VALUES (70624, 4099, 19, 'Exame Cardíaco normal:');
INSERT INTO `lang_definitions` VALUES (70625, 4100, 19, 'Exame Cardíaco normal: ');
INSERT INTO `lang_definitions` VALUES (70626, 4101, 19, 'Exame Pulmonar normal:');
INSERT INTO `lang_definitions` VALUES (70627, 4102, 19, 'Exame Pulmonar normal: ');
INSERT INTO `lang_definitions` VALUES (70628, 4103, 19, 'Consulta normal');
INSERT INTO `lang_definitions` VALUES (70629, 4104, 19, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (70630, 4105, 19, 'Direito normal');
INSERT INTO `lang_definitions` VALUES (70631, 4106, 19, 'Direito normal:');
INSERT INTO `lang_definitions` VALUES (70632, 4107, 19, 'Visão normal');
INSERT INTO `lang_definitions` VALUES (70633, 4108, 19, 'normal:');
INSERT INTO `lang_definitions` VALUES (70634, 4112, 19, 'Norueguês');
INSERT INTO `lang_definitions` VALUES (70635, 4115, 19, 'Nariz');
INSERT INTO `lang_definitions` VALUES (70636, 4116, 19, 'Epistaxis');
INSERT INTO `lang_definitions` VALUES (70637, 4117, 19, 'nem letra nem numero');
INSERT INTO `lang_definitions` VALUES (70638, 4119, 19, 'Nem todos os campos são obrigatórios para todos os códigos ou tipos.');
INSERT INTO `lang_definitions` VALUES (70639, 4120, 19, 'Não Permitido');
INSERT INTO `lang_definitions` VALUES (70640, 4121, 19, 'Não é permitido apagar o grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (70641, 4122, 19, 'Não Pode Editar');
INSERT INTO `lang_definitions` VALUES (70642, 4123, 19, 'Não é permitida a desativação de todos os objetos de segurança');
INSERT INTO `lang_definitions` VALUES (70643, 4124, 19, 'Não é permitido inactivar nada dos \'Administradores ACL\'');
INSERT INTO `lang_definitions` VALUES (70644, 4125, 19, 'Não permitido remover o utilizador \'admin\' do grupo de Administradores');
INSERT INTO `lang_definitions` VALUES (70645, 4128, 19, 'Não está autorizado a acesseder o módulo \'PostCalendar\'');
INSERT INTO `lang_definitions` VALUES (70646, 4129, 19, 'Não autorizado');
INSERT INTO `lang_definitions` VALUES (70647, 4132, 19, 'Não autorizado para esta equipa.');
INSERT INTO `lang_definitions` VALUES (70648, 4135, 19, 'Não Disponível');
INSERT INTO `lang_definitions` VALUES (70649, 4137, 19, 'Não facturado');
INSERT INTO `lang_definitions` VALUES (70650, 4139, 19, 'Não verificado');
INSERT INTO `lang_definitions` VALUES (70651, 4143, 19, 'Não Examinado');
INSERT INTO `lang_definitions` VALUES (70652, 4144, 19, 'Não Examinado:');
INSERT INTO `lang_definitions` VALUES (70653, 4145, 19, 'Não Examinado: ');
INSERT INTO `lang_definitions` VALUES (70654, 4146, 19, 'não encontrado');
INSERT INTO `lang_definitions` VALUES (70655, 4148, 19, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (70656, 4152, 19, 'Não visto desde');
INSERT INTO `lang_definitions` VALUES (70657, 4157, 19, 'Nota');
INSERT INTO `lang_definitions` VALUES (70658, 4162, 19, 'Tipo de nota');
INSERT INTO `lang_definitions` VALUES (70659, 4168, 19, 'Nota: Este código não foi inserido por um utilizador autorizado. Apenas códigos autorizados podem ser enviados para a Rede de Facturação para processamento. Se deseja enviar códigos, selecione aqui um utilizador autorizado.');
INSERT INTO `lang_definitions` VALUES (70660, 4170, 19, 'NOTE: Ficheiros com nomes duplicados serão automaticamente remarcados (por ex., file.jpg will become file.1.jpg). Os nomes de ficheiros são considerados únicos por doente, não por categoria.');
INSERT INTO `lang_definitions` VALUES (70661, 4171, 19, 'NOTA: Arquivos transferindo com nomes duplicados causarão os arquivos a ser renomeados automaticamente. Por exemplo \'<i>file.jpg </ i> \' se tornará \'<i>file.jpg.1 </ i> \'. Filenames são considerados sem igual por doente, não por categoria.');
INSERT INTO `lang_definitions` VALUES (70662, 4172, 19, 'Notas');
INSERT INTO `lang_definitions` VALUES (70663, 4173, 19, 'Notas - qualquer consulta (escrita,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (70664, 4174, 19, 'Notas - minhas consultas (write,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (70665, 4175, 19, 'Notas não autorizadas');
INSERT INTO `lang_definitions` VALUES (70666, 4177, 19, 'Sem Registo');
INSERT INTO `lang_definitions` VALUES (70667, 4179, 19, 'Nenhuma alergia a importar');
INSERT INTO `lang_definitions` VALUES (70668, 4180, 19, 'Nenhuma prescrição a importar');
INSERT INTO `lang_definitions` VALUES (70669, 4182, 19, 'Nada foi seleccionado');
INSERT INTO `lang_definitions` VALUES (70670, 4184, 19, 'NOTE:: PostCalendar Submission/Modification');
INSERT INTO `lang_definitions` VALUES (70671, 4185, 19, 'Notificação');
INSERT INTO `lang_definitions` VALUES (70672, 4188, 19, 'Notificações');
INSERT INTO `lang_definitions` VALUES (70673, 4189, 19, 'Notifique Admin Sobre Evento Submission/Modification?');
INSERT INTO `lang_definitions` VALUES (70674, 4190, 19, 'Nov');
INSERT INTO `lang_definitions` VALUES (70675, 4191, 19, 'Novembro');
INSERT INTO `lang_definitions` VALUES (70676, 4192, 19, 'A enviar para:');
INSERT INTO `lang_definitions` VALUES (70677, 4193, 19, 'A imprimir');
INSERT INTO `lang_definitions` VALUES (70678, 4194, 19, 'Imprimindo agora declarações $stmt_count; os encontros serão atualizados.');
INSERT INTO `lang_definitions` VALUES (70679, 4195, 19, 'Imprimindo agora declarações $stmt_count; as faturas serão atualizadas.');
INSERT INTO `lang_definitions` VALUES (70680, 4196, 19, 'Imprimindo agora declarações $stmt_count; os encontros não serão atualizados.');
INSERT INTO `lang_definitions` VALUES (70681, 4197, 19, 'Imprimindo agora declarações $stmt_count; as faturas não serão atualizadas.');
INSERT INTO `lang_definitions` VALUES (70682, 4198, 19, 'NPI');
INSERT INTO `lang_definitions` VALUES (70683, 4200, 19, 'Número');
INSERT INTO `lang_definitions` VALUES (70684, 4204, 19, 'Número de colunas em visão anual.');
INSERT INTO `lang_definitions` VALUES (70685, 4215, 19, 'Número de jogos ou eventos perdidos (se algum)');
INSERT INTO `lang_definitions` VALUES (70686, 4223, 19, 'Dormência');
INSERT INTO `lang_definitions` VALUES (70687, 4225, 19, 'Ordem de listagem numérica');
INSERT INTO `lang_definitions` VALUES (70688, 4229, 19, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (70689, 4230, 19, 'Sat O2');
INSERT INTO `lang_definitions` VALUES (70690, 4231, 19, 'Obesidade I');
INSERT INTO `lang_definitions` VALUES (70691, 4232, 19, 'Obesidade II');
INSERT INTO `lang_definitions` VALUES (70692, 4233, 19, 'Obesidade III');
INSERT INTO `lang_definitions` VALUES (70693, 4234, 19, 'Objetivo');
INSERT INTO `lang_definitions` VALUES (70694, 4237, 19, 'Ocupação');
INSERT INTO `lang_definitions` VALUES (70695, 4239, 19, 'Ocorrência');
INSERT INTO `lang_definitions` VALUES (70696, 4240, 19, 'Out');
INSERT INTO `lang_definitions` VALUES (70697, 4241, 19, 'Outubro');
INSERT INTO `lang_definitions` VALUES (70698, 4242, 19, 'OD');
INSERT INTO `lang_definitions` VALUES (70699, 4244, 19, 'de quantidade');
INSERT INTO `lang_definitions` VALUES (70700, 4245, 19, 'de comprimidos');
INSERT INTO `lang_definitions` VALUES (70701, 4246, 19, 'do mês todo');
INSERT INTO `lang_definitions` VALUES (70702, 4247, 19, 'Mensg Int');
INSERT INTO `lang_definitions` VALUES (70703, 4249, 19, 'Mensagens Internas');
INSERT INTO `lang_definitions` VALUES (70704, 4250, 19, 'Consulta');
INSERT INTO `lang_definitions` VALUES (70705, 4263, 19, 'Descendência');
INSERT INTO `lang_definitions` VALUES (70706, 4265, 19, 'pomada');
INSERT INTO `lang_definitions` VALUES (70707, 4267, 19, 'OK');
INSERT INTO `lang_definitions` VALUES (70708, 4269, 19, 'OK para unir o assunto de GCAC datado');
INSERT INTO `lang_definitions` VALUES (70709, 4270, 19, 'Velho(s)');
INSERT INTO `lang_definitions` VALUES (70710, 4272, 19, 'Clientes velhos');
INSERT INTO `lang_definitions` VALUES (70711, 4273, 19, 'Fractura velha não ou mal unida');
INSERT INTO `lang_definitions` VALUES (70712, 4283, 19, 'Omitir os utulizadores internos?');
INSERT INTO `lang_definitions` VALUES (70713, 4285, 19, 'omitir a autoassign');
INSERT INTO `lang_definitions` VALUES (70714, 4286, 19, 'no');
INSERT INTO `lang_definitions` VALUES (70715, 4288, 19, 'Disponível');
INSERT INTO `lang_definitions` VALUES (70716, 4289, 19, 'Encomenda');
INSERT INTO `lang_definitions` VALUES (70717, 4292, 19, 'Sempre que mudar a password tem de fazer Logout seguido de Login');
INSERT INTO `lang_definitions` VALUES (70718, 4297, 19, 'Apoio on-line');
INSERT INTO `lang_definitions` VALUES (70719, 4299, 19, 'Só Ativo');
INSERT INTO `lang_definitions` VALUES (70720, 4302, 19, 'só se faturando local');
INSERT INTO `lang_definitions` VALUES (70721, 4303, 19, 'Só Inativo');
INSERT INTO `lang_definitions` VALUES (70722, 4304, 19, 'Só Mina');
INSERT INTO `lang_definitions` VALUES (70723, 4310, 19, 'Início da Doença:');
INSERT INTO `lang_definitions` VALUES (70724, 4311, 19, 'Início da Doença: ');
INSERT INTO `lang_definitions` VALUES (70725, 4312, 19, 'Início de Inchaço:');
INSERT INTO `lang_definitions` VALUES (70726, 4313, 19, 'Início/Internamento');
INSERT INTO `lang_definitions` VALUES (70727, 4316, 19, 'Aberto');
INSERT INTO `lang_definitions` VALUES (70728, 4324, 19, 'Base de Dados Actualizada');
INSERT INTO `lang_definitions` VALUES (70729, 4328, 19, 'LibreEHR exige para Javascript que execute autenticação de usuário.');
INSERT INTO `lang_definitions` VALUES (70730, 4329, 19, 'Utilizadores do LibreEHR');
INSERT INTO `lang_definitions` VALUES (70731, 4333, 19, 'Opção');
INSERT INTO `lang_definitions` VALUES (70732, 4336, 19, 'Opcional');
INSERT INTO `lang_definitions` VALUES (70733, 4343, 19, 'Nome de droga opcional, use% como um curinga');
INSERT INTO `lang_definitions` VALUES (70734, 4345, 19, 'Informação opcional sobre este evento');
INSERT INTO `lang_definitions` VALUES (70735, 4346, 19, 'Número de lote opcional, use% como um curinga');
INSERT INTO `lang_definitions` VALUES (70736, 4347, 19, 'ID numérico do utente opcional');
INSERT INTO `lang_definitions` VALUES (70737, 4348, 19, 'Código de procedimento opcional');
INSERT INTO `lang_definitions` VALUES (70738, 4351, 19, 'Or');
INSERT INTO `lang_definitions` VALUES (70739, 4352, 19, 'Oculus Uterque (bdz)');
INSERT INTO `lang_definitions` VALUES (70740, 4353, 19, 'ou escolhe');
INSERT INTO `lang_definitions` VALUES (70741, 4356, 19, 'Ou Fora Para');
INSERT INTO `lang_definitions` VALUES (70742, 4359, 19, 'Ou transfere arquivo de ERA:');
INSERT INTO `lang_definitions` VALUES (70743, 4360, 19, 'Oral');
INSERT INTO `lang_definitions` VALUES (70744, 4361, 19, 'Cor-de-rosa de mucosa oral, garganta claro');
INSERT INTO `lang_definitions` VALUES (70745, 4362, 19, 'Ordem');
INSERT INTO `lang_definitions` VALUES (70746, 4369, 19, 'Ordem deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (70747, 4386, 19, 'Dano de órgão');
INSERT INTO `lang_definitions` VALUES (70748, 4387, 19, 'Organização');
INSERT INTO `lang_definitions` VALUES (70749, 4390, 19, 'Organizações');
INSERT INTO `lang_definitions` VALUES (70750, 4391, 19, 'X 3 orientado');
INSERT INTO `lang_definitions` VALUES (70751, 4392, 19, 'Original');
INSERT INTO `lang_definitions` VALUES (70752, 4396, 19, 'OROPHARYNX: ');
INSERT INTO `lang_definitions` VALUES (70753, 4397, 19, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (70754, 4398, 19, 'OS');
INSERT INTO `lang_definitions` VALUES (70755, 4399, 19, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (70756, 4402, 19, 'Outro');
INSERT INTO `lang_definitions` VALUES (70757, 4403, 19, 'outro');
INSERT INTO `lang_definitions` VALUES (70758, 4404, 19, 'Outro (especifique)');
INSERT INTO `lang_definitions` VALUES (70759, 4406, 19, 'Outro Programa Federal');
INSERT INTO `lang_definitions` VALUES (70760, 4407, 19, 'Outro HCFA');
INSERT INTO `lang_definitions` VALUES (70761, 4408, 19, 'Outro dano especificou não em outro lugar');
INSERT INTO `lang_definitions` VALUES (70762, 4410, 19, 'outro mês');
INSERT INTO `lang_definitions` VALUES (70763, 4411, 19, 'Outros Programas Non-federais');
INSERT INTO `lang_definitions` VALUES (70764, 4412, 19, 'Outras Notas');
INSERT INTO `lang_definitions` VALUES (70765, 4413, 19, 'Outros Sintomas Pertinentes');
INSERT INTO `lang_definitions` VALUES (70766, 4414, 19, 'Outros Sintomas Pertinentes:');
INSERT INTO `lang_definitions` VALUES (70767, 4416, 19, 'Outro stress/Over usam dano');
INSERT INTO `lang_definitions` VALUES (70768, 4417, 19, 'Outro Cirúrgico');
INSERT INTO `lang_definitions` VALUES (70769, 4418, 19, 'Other/Generic Abortion-Related');
INSERT INTO `lang_definitions` VALUES (70770, 4421, 19, 'caso contrário você destruirá to/from de referências dados existentes.');
INSERT INTO `lang_definitions` VALUES (70771, 4422, 19, 'Ottawa Tornozelo Regras');
INSERT INTO `lang_definitions` VALUES (70772, 4423, 19, 'OU');
INSERT INTO `lang_definitions` VALUES (70773, 4424, 19, 'FORA');
INSERT INTO `lang_definitions` VALUES (70774, 4425, 19, 'Ausente');
INSERT INTO `lang_definitions` VALUES (70775, 4427, 19, 'Resultado');
INSERT INTO `lang_definitions` VALUES (70776, 4428, 19, 'Perspectiva');
INSERT INTO `lang_definitions` VALUES (70777, 4432, 19, 'Overuse');
INSERT INTO `lang_definitions` VALUES (70778, 4434, 19, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (70779, 4435, 19, 'Escreva elaboradamente escolha de HIPAA');
INSERT INTO `lang_definitions` VALUES (70780, 4437, 19, 'Saturação de oxigênio');
INSERT INTO `lang_definitions` VALUES (70781, 4439, 19, 'P');
INSERT INTO `lang_definitions` VALUES (70782, 4440, 19, 'p.c.');
INSERT INTO `lang_definitions` VALUES (70783, 4441, 19, 'da tarde');
INSERT INTO `lang_definitions` VALUES (70784, 4442, 19, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (70785, 4444, 19, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (70786, 4445, 19, 'Página');
INSERT INTO `lang_definitions` VALUES (70787, 4446, 19, 'Páginas');
INSERT INTO `lang_definitions` VALUES (70788, 4447, 19, 'Pago');
INSERT INTO `lang_definitions` VALUES (70789, 4448, 19, 'Quantia pagada que você alocará');
INSERT INTO `lang_definitions` VALUES (70790, 4450, 19, 'Pagado Por');
INSERT INTO `lang_definitions` VALUES (70791, 4451, 19, 'Dor');
INSERT INTO `lang_definitions` VALUES (70792, 4453, 19, 'Palpitação');
INSERT INTO `lang_definitions` VALUES (70793, 4455, 19, 'Sujeira de papinha');
INSERT INTO `lang_definitions` VALUES (70794, 4458, 19, 'Paralisia');
INSERT INTO `lang_definitions` VALUES (70795, 4461, 19, 'Analise gramaticalmente HL7');
INSERT INTO `lang_definitions` VALUES (70796, 4463, 19, 'Sócio');
INSERT INTO `lang_definitions` VALUES (70797, 4472, 19, 'Senha');
INSERT INTO `lang_definitions` VALUES (70798, 4473, 19, 'Alterar Senha');
INSERT INTO `lang_definitions` VALUES (70799, 4475, 19, 'Senha Alterada.');
INSERT INTO `lang_definitions` VALUES (70800, 4480, 19, 'Password para Portal de SMS');
INSERT INTO `lang_definitions` VALUES (70801, 4481, 19, 'Password para Portal de SMS.');
INSERT INTO `lang_definitions` VALUES (70802, 4486, 19, 'Senha:');
INSERT INTO `lang_definitions` VALUES (70803, 4490, 19, 'Expirado');
INSERT INTO `lang_definitions` VALUES (70804, 4491, 19, 'Expirado');
INSERT INTO `lang_definitions` VALUES (70805, 4494, 19, 'Lista Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (70806, 4495, 19, 'Consultas Anteriores');
INSERT INTO `lang_definitions` VALUES (70807, 4496, 19, 'Consultas Anteriores e Documentos');
INSERT INTO `lang_definitions` VALUES (70808, 4498, 19, 'Colar Dados HL7');
INSERT INTO `lang_definitions` VALUES (70809, 4499, 19, 'Cole os dados para importar na área de texto abaixo:');
INSERT INTO `lang_definitions` VALUES (70810, 4502, 19, 'Remendo');
INSERT INTO `lang_definitions` VALUES (70811, 4514, 19, 'Utente');
INSERT INTO `lang_definitions` VALUES (70812, 4515, 19, 'utente');
INSERT INTO `lang_definitions` VALUES (70813, 4516, 19, 'UTENTE');
INSERT INTO `lang_definitions` VALUES (70814, 4521, 19, 'Alergias do utente');
INSERT INTO `lang_definitions` VALUES (70815, 4522, 19, 'Alergias do Utente');
INSERT INTO `lang_definitions` VALUES (70816, 4523, 19, 'Marcação Utente');
INSERT INTO `lang_definitions` VALUES (70817, 4528, 19, 'Processo doente ID');
INSERT INTO `lang_definitions` VALUES (70818, 4529, 19, 'Alta Utente');
INSERT INTO `lang_definitions` VALUES (70819, 4530, 19, 'Saída doente para ');
INSERT INTO `lang_definitions` VALUES (70820, 4533, 19, 'Comunicação do Utente enviada');
INSERT INTO `lang_definitions` VALUES (70821, 4534, 19, 'Comunicação do Utente Enviada');
INSERT INTO `lang_definitions` VALUES (70822, 4539, 19, 'Dados Utente');
INSERT INTO `lang_definitions` VALUES (70823, 4544, 19, 'Documento Utente');
INSERT INTO `lang_definitions` VALUES (70824, 4547, 19, 'Consulta Utente');
INSERT INTO `lang_definitions` VALUES (70825, 4548, 19, 'Formulário Consulta Utente');
INSERT INTO `lang_definitions` VALUES (70826, 4549, 19, 'Consultas Utente');
INSERT INTO `lang_definitions` VALUES (70827, 4550, 19, 'Procura de Utentes');
INSERT INTO `lang_definitions` VALUES (70828, 4561, 19, 'Histórico do Utente');
INSERT INTO `lang_definitions` VALUES (70829, 4562, 19, 'Histórico do Utente / Estilo de vida');
INSERT INTO `lang_definitions` VALUES (70830, 4564, 19, 'ID Utente');
INSERT INTO `lang_definitions` VALUES (70831, 4566, 19, 'Cartão ID Utente');
INSERT INTO `lang_definitions` VALUES (70832, 4568, 19, 'Imunização do Utente');
INSERT INTO `lang_definitions` VALUES (70833, 4569, 19, 'Informação do Utente');
INSERT INTO `lang_definitions` VALUES (70834, 4570, 19, 'Instruções do Utente');
INSERT INTO `lang_definitions` VALUES (70835, 4571, 19, 'Distribuição de Seguro doente');
INSERT INTO `lang_definitions` VALUES (70836, 4572, 19, 'Relatório de Distribuição de Seguro doente');
INSERT INTO `lang_definitions` VALUES (70837, 4573, 19, 'Assuntos utente');
INSERT INTO `lang_definitions` VALUES (70838, 4581, 19, 'Lista de utentes');
INSERT INTO `lang_definitions` VALUES (70839, 4587, 19, 'Problemas Médicos do Utente');
INSERT INTO `lang_definitions` VALUES (70840, 4588, 19, 'Medicação do Utente');
INSERT INTO `lang_definitions` VALUES (70841, 4589, 19, 'Nome do Utente');
INSERT INTO `lang_definitions` VALUES (70842, 4590, 19, 'Nome e Endereço do Utente');
INSERT INTO `lang_definitions` VALUES (70843, 4595, 19, 'Nota do Utente');
INSERT INTO `lang_definitions` VALUES (70844, 4596, 19, 'Tipos de Nota do Utente');
INSERT INTO `lang_definitions` VALUES (70845, 4597, 19, 'Notas do Utente');
INSERT INTO `lang_definitions` VALUES (70846, 4598, 19, 'Notas do Utente (escrita opcional)');
INSERT INTO `lang_definitions` VALUES (70847, 4599, 19, 'Número do Utente');
INSERT INTO `lang_definitions` VALUES (70848, 4600, 19, 'Pagamento do Utente');
INSERT INTO `lang_definitions` VALUES (70849, 4608, 19, 'Relatório Impresso do Utente');
INSERT INTO `lang_definitions` VALUES (70850, 4609, 19, 'Relatório Registo do Utente');
INSERT INTO `lang_definitions` VALUES (70851, 4610, 19, 'Pedido de Acesso ao Registo do Utente');
INSERT INTO `lang_definitions` VALUES (70852, 4619, 19, 'Lembretes do Utente');
INSERT INTO `lang_definitions` VALUES (70853, 4620, 19, 'Relatório do Utente');
INSERT INTO `lang_definitions` VALUES (70854, 4621, 19, 'Pedidos do Utente');
INSERT INTO `lang_definitions` VALUES (70855, 4623, 19, 'Resultados do Utente');
INSERT INTO `lang_definitions` VALUES (70856, 4625, 19, 'Ecrã Procura/Criar Utente');
INSERT INTO `lang_definitions` VALUES (70857, 4629, 19, 'Resumo do Utente');
INSERT INTO `lang_definitions` VALUES (70858, 4630, 19, 'Transações do Utente');
INSERT INTO `lang_definitions` VALUES (70859, 4632, 19, 'doente(s) no banco de dados que partida a informação demográfica na que você entrou.');
INSERT INTO `lang_definitions` VALUES (70860, 4633, 19, 'Utente/Cliente');
INSERT INTO `lang_definitions` VALUES (70861, 4634, 19, 'Utente:');
INSERT INTO `lang_definitions` VALUES (70862, 4635, 19, 'IDUtente');
INSERT INTO `lang_definitions` VALUES (70863, 4636, 19, 'Utentes');
INSERT INTO `lang_definitions` VALUES (70864, 4638, 19, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (70865, 4639, 19, 'Preste atenção para o \"Terminado com\" checkboxes. Depois que os seguros sejam marcados complete então nós começaremos pedindo para o doente que pagasse o equilíbrio restante; se você não marca tudo dos seguros complete então a quantia restante não será colecionada! Também se há um equilíbrio que o doente deveria pagar, então fixe a data de vencimento adequadamente, como isto afetará o idioma que se aparece em declarações pacientes.');
INSERT INTO `lang_definitions` VALUES (70866, 4640, 19, 'Pague Data:');
INSERT INTO `lang_definitions` VALUES (70867, 4643, 19, 'Pagador');
INSERT INTO `lang_definitions` VALUES (70868, 4644, 19, 'Tipo de pagador');
INSERT INTO `lang_definitions` VALUES (70869, 4645, 19, 'Pagando');
INSERT INTO `lang_definitions` VALUES (70870, 4647, 19, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (70871, 4648, 19, 'pagamento');
INSERT INTO `lang_definitions` VALUES (70872, 4654, 19, 'Data de pagamento');
INSERT INTO `lang_definitions` VALUES (70873, 4655, 19, 'pagamento entrou em');
INSERT INTO `lang_definitions` VALUES (70874, 4660, 19, 'Método de pagamento');
INSERT INTO `lang_definitions` VALUES (70875, 4664, 19, 'Valor de pagamento para código ');
INSERT INTO `lang_definitions` VALUES (70876, 4665, 19, 'Pagamentos');
INSERT INTO `lang_definitions` VALUES (70877, 4669, 19, 'PDF');
INSERT INTO `lang_definitions` VALUES (70878, 4672, 19, 'Pélvis e nádega');
INSERT INTO `lang_definitions` VALUES (70879, 4673, 19, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (70880, 4674, 19, 'Pendente');
INSERT INTO `lang_definitions` VALUES (70881, 4677, 19, 'Followup pendente');
INSERT INTO `lang_definitions` VALUES (70882, 4684, 19, 'Pennington LibreEHR v Firme');
INSERT INTO `lang_definitions` VALUES (70883, 4685, 19, 'Úlcera péptica');
INSERT INTO `lang_definitions` VALUES (70884, 4687, 19, 'por minuto');
INSERT INTO `lang_definitions` VALUES (70885, 4688, 19, 'Por Narina');
INSERT INTO `lang_definitions` VALUES (70886, 4689, 19, 'por narina');
INSERT INTO `lang_definitions` VALUES (70887, 4690, 19, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (70888, 4691, 19, 'por oris');
INSERT INTO `lang_definitions` VALUES (70889, 4692, 19, 'Por Reto');
INSERT INTO `lang_definitions` VALUES (70890, 4693, 19, 'por reto');
INSERT INTO `lang_definitions` VALUES (70891, 4694, 19, 'Percentagem');
INSERT INTO `lang_definitions` VALUES (70892, 4697, 19, 'Per-centil');
INSERT INTO `lang_definitions` VALUES (70893, 4698, 19, 'Direito perfurado:');
INSERT INTO `lang_definitions` VALUES (70894, 4699, 19, 'Procurar');
INSERT INTO `lang_definitions` VALUES (70895, 4700, 19, 'Executar');
INSERT INTO `lang_definitions` VALUES (70896, 4705, 19, 'Período');
INSERT INTO `lang_definitions` VALUES (70897, 4708, 19, 'Periférico');
INSERT INTO `lang_definitions` VALUES (70898, 4712, 19, 'Pessoa');
INSERT INTO `lang_definitions` VALUES (70899, 4717, 19, 'Farmácias');
INSERT INTO `lang_definitions` VALUES (70900, 4718, 19, 'Farmácia');
INSERT INTO `lang_definitions` VALUES (70901, 4719, 19, 'Dispensário de farmácia');
INSERT INTO `lang_definitions` VALUES (70902, 4720, 19, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (70903, 4729, 19, 'Telefone');
INSERT INTO `lang_definitions` VALUES (70904, 4730, 19, 'Lista de telefonemas');
INSERT INTO `lang_definitions` VALUES (70905, 4738, 19, 'Número de telefone');
INSERT INTO `lang_definitions` VALUES (70906, 4740, 19, 'Photophobia');
INSERT INTO `lang_definitions` VALUES (70907, 4741, 19, 'Fotos');
INSERT INTO `lang_definitions` VALUES (70908, 4742, 19, 'comprimido por PHP');
INSERT INTO `lang_definitions` VALUES (70909, 4744, 19, 'extraído por PHP');
INSERT INTO `lang_definitions` VALUES (70910, 4745, 19, 'controles de acesso de php-GACL são virados fora');
INSERT INTO `lang_definitions` VALUES (70911, 4746, 19, 'PHP-gacl não é instalado');
INSERT INTO `lang_definitions` VALUES (70912, 4747, 19, 'Exame físico');
INSERT INTO `lang_definitions` VALUES (70913, 4749, 19, 'Médico Request');
INSERT INTO `lang_definitions` VALUES (70914, 4750, 19, 'Assinatura do Médico');
INSERT INTO `lang_definitions` VALUES (70915, 4752, 19, 'Médicos');
INSERT INTO `lang_definitions` VALUES (70916, 4753, 19, 'usar');
INSERT INTO `lang_definitions` VALUES (70917, 4754, 19, 'Usar');
INSERT INTO `lang_definitions` VALUES (70918, 4755, 19, 'Escolha um tema CSS');
INSERT INTO `lang_definitions` VALUES (70919, 4756, 19, 'PID');
INSERT INTO `lang_definitions` VALUES (70920, 4757, 19, 'PID (Doença Inflamatória Pélvica)');
INSERT INTO `lang_definitions` VALUES (70921, 4758, 19, 'Tamanho de pílula');
INSERT INTO `lang_definitions` VALUES (70922, 4759, 19, 'Pílulas');
INSERT INTO `lang_definitions` VALUES (70923, 4765, 19, 'Placeholder');
INSERT INTO `lang_definitions` VALUES (70924, 4766, 19, 'Placeholder (Mantém ACLs vazio)');
INSERT INTO `lang_definitions` VALUES (70925, 4767, 19, 'Texto Simples');
INSERT INTO `lang_definitions` VALUES (70926, 4768, 19, 'Plano');
INSERT INTO `lang_definitions` VALUES (70927, 4771, 19, 'Nome de Plano');
INSERT INTO `lang_definitions` VALUES (70928, 4779, 19, 'Plano:');
INSERT INTO `lang_definitions` VALUES (70929, 4784, 19, 'Jogador');
INSERT INTO `lang_definitions` VALUES (70930, 4785, 19, 'Posição do Jogador');
INSERT INTO `lang_definitions` VALUES (70931, 4787, 19, 'Por favor altere a senha.');
INSERT INTO `lang_definitions` VALUES (70932, 4788, 19, 'Por favor escolha um ficheiro');
INSERT INTO `lang_definitions` VALUES (70933, 4789, 19, 'Por favor escolha um utente');
INSERT INTO `lang_definitions` VALUES (70934, 4790, 19, 'Por favor escolha uma seleção válida da lista.');
INSERT INTO `lang_definitions` VALUES (70935, 4791, 19, 'Por favor escolha uma seleção válida.');
INSERT INTO `lang_definitions` VALUES (70936, 4792, 19, 'Por favor escolha um valor para');
INSERT INTO `lang_definitions` VALUES (70937, 4797, 19, 'Por favor feche esta janela.');
INSERT INTO `lang_definitions` VALUES (70938, 4798, 19, 'Por favor compare o nome novo');
INSERT INTO `lang_definitions` VALUES (70939, 4802, 19, 'Por favor não aceite esta prescrição a menos que fosse recebido por facimile.');
INSERT INTO `lang_definitions` VALUES (70940, 4804, 19, 'Por favor não use seus browsers param ou botão de recarga enquanto esta página está correndo que a menos que mais de 10 atas decorressem, isto não fará o processo parar no servidor e consumirá recursos de uneccesary.');
INSERT INTO `lang_definitions` VALUES (70941, 4813, 19, 'Por favor entre em uma quantia monetária que usa só números e um ponto decimal.');
INSERT INTO `lang_definitions` VALUES (70942, 4815, 19, 'Por favor introduza um título!');
INSERT INTO `lang_definitions` VALUES (70943, 4823, 19, 'Por favor introduza a senha');
INSERT INTO `lang_definitions` VALUES (70944, 4826, 19, 'Por favor introduza a data');
INSERT INTO `lang_definitions` VALUES (70945, 4837, 19, 'Por favor note que isto pode levar um tempo muito longo, até várias atas, que seu browser de teia pode não se aparecer muito ativo durante este tempo mas gerando uma conta é um processo complicado e seu browser de teia somente está esperando por mais informação.');
INSERT INTO `lang_definitions` VALUES (70946, 4838, 19, 'Por favor Note: constantes são caso sensível e qualquer fio é permitido.');
INSERT INTO `lang_definitions` VALUES (70947, 4839, 19, 'Use somente carateres alfabéticos');
INSERT INTO `lang_definitions` VALUES (70948, 4840, 19, 'Use somente carateres alfabéticos sem espaços');
INSERT INTO `lang_definitions` VALUES (70949, 4841, 19, 'Por favor pague esta quantia');
INSERT INTO `lang_definitions` VALUES (70950, 4844, 19, 'Por favor redefina a senha.');
INSERT INTO `lang_definitions` VALUES (70951, 4849, 19, 'Por favor seleccione um idioma');
INSERT INTO `lang_definitions` VALUES (70952, 4850, 19, 'Seleccione Um Utente');
INSERT INTO `lang_definitions` VALUES (70953, 4858, 19, 'Por favor selecione uma razão de ajuste para código ');
INSERT INTO `lang_definitions` VALUES (70954, 4859, 19, 'Por favor selecione um evento');
INSERT INTO `lang_definitions` VALUES (70955, 4865, 19, 'Por favor selecione as páginas desejadas para copiar ou remeter:');
INSERT INTO `lang_definitions` VALUES (70956, 4882, 19, 'PM');
INSERT INTO `lang_definitions` VALUES (70957, 4884, 19, 'Método de Pmt');
INSERT INTO `lang_definitions` VALUES (70958, 4885, 19, 'PND');
INSERT INTO `lang_definitions` VALUES (70959, 4886, 19, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (70960, 4887, 19, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (70961, 4888, 19, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (70962, 4889, 19, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (70963, 4891, 19, 'Vacinação de pneumonia');
INSERT INTO `lang_definitions` VALUES (70964, 4896, 19, 'Ponto de Serviço (POS)');
INSERT INTO `lang_definitions` VALUES (70965, 4897, 19, 'Política');
INSERT INTO `lang_definitions` VALUES (70966, 4899, 19, 'Número de política');
INSERT INTO `lang_definitions` VALUES (70967, 4901, 19, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (70968, 4902, 19, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (70969, 4903, 19, 'Polyuria');
INSERT INTO `lang_definitions` VALUES (70970, 4904, 19, 'Falta de Apetite');
INSERT INTO `lang_definitions` VALUES (70971, 4905, 19, 'insuficiência circulatória');
INSERT INTO `lang_definitions` VALUES (70972, 4906, 19, 'Baixa Audição');
INSERT INTO `lang_definitions` VALUES (70973, 4908, 19, 'Antecedentes Pessoais');
INSERT INTO `lang_definitions` VALUES (70974, 4909, 19, 'Popups');
INSERT INTO `lang_definitions` VALUES (70975, 4918, 19, 'Português (brasileiro)');
INSERT INTO `lang_definitions` VALUES (70976, 4919, 19, 'Português (europeu)');
INSERT INTO `lang_definitions` VALUES (70977, 4920, 19, 'POS Code');
INSERT INTO `lang_definitions` VALUES (70978, 4926, 19, 'Poste Goteira Nasal');
INSERT INTO `lang_definitions` VALUES (70979, 4928, 19, 'Poste cirúrgico');
INSERT INTO `lang_definitions` VALUES (70980, 4929, 19, 'Poste a contabilidade e marque como faturado');
INSERT INTO `lang_definitions` VALUES (70981, 4933, 19, 'Cuidado de Post-Aborto');
INSERT INTO `lang_definitions` VALUES (70982, 4934, 19, 'Contracepção de Post-Aborto');
INSERT INTO `lang_definitions` VALUES (70983, 4935, 19, 'Post-Aborto Aconselhando');
INSERT INTO `lang_definitions` VALUES (70984, 4936, 19, 'Post-Aborto Followup');
INSERT INTO `lang_definitions` VALUES (70985, 4937, 19, 'Postal');
INSERT INTO `lang_definitions` VALUES (70986, 4938, 19, 'Código postal');
INSERT INTO `lang_definitions` VALUES (70987, 4939, 19, 'Código postal');
INSERT INTO `lang_definitions` VALUES (70988, 4941, 19, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (70989, 4942, 19, 'Administração de PostCalendar');
INSERT INTO `lang_definitions` VALUES (70990, 4943, 19, 'PostCalendar Categoria Colocações');
INSERT INTO `lang_definitions` VALUES (70991, 4944, 19, 'PostCalendar Colocações Globais');
INSERT INTO `lang_definitions` VALUES (70992, 4945, 19, 'Postado em');
INSERT INTO `lang_definitions` VALUES (70993, 4946, 19, 'Data postando');
INSERT INTO `lang_definitions` VALUES (70994, 4953, 19, 'Prática');
INSERT INTO `lang_definitions` VALUES (70995, 4955, 19, 'Pratique Colocações');
INSERT INTO `lang_definitions` VALUES (70996, 4956, 19, 'Médico');
INSERT INTO `lang_definitions` VALUES (70997, 4960, 19, 'Consulta de Pre-aborto');
INSERT INTO `lang_definitions` VALUES (70998, 4961, 19, 'Pre-aborto Aconselhando');
INSERT INTO `lang_definitions` VALUES (70999, 4962, 19, 'Categoria de Preferência');
INSERT INTO `lang_definitions` VALUES (71000, 4964, 19, 'Preferências');
INSERT INTO `lang_definitions` VALUES (71001, 4965, 19, 'Categoria de Evento preferida');
INSERT INTO `lang_definitions` VALUES (71002, 4966, 19, 'Idioma Preferido');
INSERT INTO `lang_definitions` VALUES (71003, 4967, 19, 'Farmácia Preferida');
INSERT INTO `lang_definitions` VALUES (71004, 4968, 19, 'Provedor Organization preferida (PPO)');
INSERT INTO `lang_definitions` VALUES (71005, 4969, 19, 'Preg Test');
INSERT INTO `lang_definitions` VALUES (71006, 4970, 19, 'Preliminar');
INSERT INTO `lang_definitions` VALUES (71007, 4972, 19, 'Pague');
INSERT INTO `lang_definitions` VALUES (71008, 4973, 19, 'Prescrição');
INSERT INTO `lang_definitions` VALUES (71009, 4977, 19, 'Rótulo de prescrição');
INSERT INTO `lang_definitions` VALUES (71010, 4978, 19, 'Relatório de Prescrição');
INSERT INTO `lang_definitions` VALUES (71011, 4979, 19, 'Prescrições');
INSERT INTO `lang_definitions` VALUES (71012, 4980, 19, 'Prescrições e Dispensações');
INSERT INTO `lang_definitions` VALUES (71013, 4981, 19, 'Prescrições e outras indicações');
INSERT INTO `lang_definitions` VALUES (71014, 4982, 19, 'Indicações de and/or de prescrições por especialista');
INSERT INTO `lang_definitions` VALUES (71015, 4983, 19, 'Prescrições Informam');
INSERT INTO `lang_definitions` VALUES (71016, 4984, 19, 'Prescriptions/Referrals');
INSERT INTO `lang_definitions` VALUES (71017, 4985, 19, 'Presente');
INSERT INTO `lang_definitions` VALUES (71018, 4986, 19, 'Reclamação apresentando');
INSERT INTO `lang_definitions` VALUES (71019, 4988, 19, 'Pressione Continuar');
INSERT INTO `lang_definitions` VALUES (71020, 4989, 19, 'Diagnose presumida');
INSERT INTO `lang_definitions` VALUES (71021, 4990, 19, 'Diagnose presumida por especialista');
INSERT INTO `lang_definitions` VALUES (71022, 4991, 19, 'Prev');
INSERT INTO `lang_definitions` VALUES (71023, 4998, 19, 'Preveja Evento');
INSERT INTO `lang_definitions` VALUES (71024, 5001, 19, 'Previamente');
INSERT INTO `lang_definitions` VALUES (71025, 5002, 19, 'Consultas prévias');
INSERT INTO `lang_definitions` VALUES (71026, 5003, 19, 'Dia prévio');
INSERT INTO `lang_definitions` VALUES (71027, 5004, 19, 'History/Screening prévio');
INSERT INTO `lang_definitions` VALUES (71028, 5005, 19, 'Mês prévio');
INSERT INTO `lang_definitions` VALUES (71029, 5006, 19, 'Semana prévia');
INSERT INTO `lang_definitions` VALUES (71030, 5007, 19, 'Preço');
INSERT INTO `lang_definitions` VALUES (71031, 5008, 19, 'Preço Descontando');
INSERT INTO `lang_definitions` VALUES (71032, 5009, 19, 'Nível de preços');
INSERT INTO `lang_definitions` VALUES (71033, 5010, 19, 'Nível de preços:');
INSERT INTO `lang_definitions` VALUES (71034, 5011, 19, 'Preços');
INSERT INTO `lang_definitions` VALUES (71035, 5012, 19, 'Primário');
INSERT INTO `lang_definitions` VALUES (71036, 5022, 19, 'Ins primário');
INSERT INTO `lang_definitions` VALUES (71037, 5023, 19, 'Seguro primário');
INSERT INTO `lang_definitions` VALUES (71038, 5024, 19, 'Dados de Seguro primários');
INSERT INTO `lang_definitions` VALUES (71039, 5025, 19, 'Provedor de Seguro primário');
INSERT INTO `lang_definitions` VALUES (71040, 5026, 19, 'Provedor primário');
INSERT INTO `lang_definitions` VALUES (71041, 5027, 19, 'Impressão');
INSERT INTO `lang_definitions` VALUES (71042, 5032, 19, 'Imprima Forma de Indicação Em branco');
INSERT INTO `lang_definitions` VALUES (71043, 5039, 19, 'Imprima Formato');
INSERT INTO `lang_definitions` VALUES (71044, 5040, 19, 'Imprima Quatro Painel');
INSERT INTO `lang_definitions` VALUES (71045, 5043, 19, 'Imprima Múltiplo');
INSERT INTO `lang_definitions` VALUES (71046, 5044, 19, 'Imprima Múltiplo para Enviar fax');
INSERT INTO `lang_definitions` VALUES (71047, 5047, 19, 'Imprima Página 1');
INSERT INTO `lang_definitions` VALUES (71048, 5048, 19, 'Imprima Página 2');
INSERT INTO `lang_definitions` VALUES (71049, 5052, 19, 'Imprima Registro');
INSERT INTO `lang_definitions` VALUES (71050, 5054, 19, 'Imprima Registro Atirado');
INSERT INTO `lang_definitions` VALUES (71051, 5057, 19, 'Imprima esta nota');
INSERT INTO `lang_definitions` VALUES (71052, 5058, 19, 'Imprima Esta Nota');
INSERT INTO `lang_definitions` VALUES (71053, 5060, 19, 'Imprima para Enviar fax');
INSERT INTO `lang_definitions` VALUES (71054, 5061, 19, 'Imprima Visão');
INSERT INTO `lang_definitions` VALUES (71055, 5062, 19, 'imprimível');
INSERT INTO `lang_definitions` VALUES (71056, 5063, 19, 'Versão imprimível');
INSERT INTO `lang_definitions` VALUES (71057, 5064, 19, 'Impresso');
INSERT INTO `lang_definitions` VALUES (71058, 5066, 19, 'Resultados imprimindo:');
INSERT INTO `lang_definitions` VALUES (71059, 5068, 19, 'Imprimindo saltaram; veja teste produzido dentro ');
INSERT INTO `lang_definitions` VALUES (71060, 5069, 19, 'Auth anterior');
INSERT INTO `lang_definitions` VALUES (71061, 5070, 19, 'Forma de Autorização anterior');
INSERT INTO `lang_definitions` VALUES (71062, 5073, 19, 'Prioridade ');
INSERT INTO `lang_definitions` VALUES (71063, 5074, 19, 'Privado');
INSERT INTO `lang_definitions` VALUES (71064, 5075, 19, 'Problema');
INSERT INTO `lang_definitions` VALUES (71065, 5077, 19, 'Lista de problema');
INSERT INTO `lang_definitions` VALUES (71066, 5079, 19, 'Problemas/Questões');
INSERT INTO `lang_definitions` VALUES (71067, 5086, 19, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (71068, 5114, 19, 'Procedimentos');
INSERT INTO `lang_definitions` VALUES (71069, 5115, 19, 'Processo');
INSERT INTO `lang_definitions` VALUES (71070, 5125, 19, 'Processando');
INSERT INTO `lang_definitions` VALUES (71071, 5132, 19, 'Produtos');
INSERT INTO `lang_definitions` VALUES (71072, 5134, 19, 'Prof.');
INSERT INTO `lang_definitions` VALUES (71073, 5136, 19, 'Câncer prostático');
INSERT INTO `lang_definitions` VALUES (71074, 5138, 19, 'Exame prostático');
INSERT INTO `lang_definitions` VALUES (71075, 5139, 19, 'Problemas prostáticos');
INSERT INTO `lang_definitions` VALUES (71076, 5140, 19, 'Enlrgmt de w/o prostático, nódulos, oferta,');
INSERT INTO `lang_definitions` VALUES (71077, 5152, 19, 'Clínico');
INSERT INTO `lang_definitions` VALUES (71078, 5159, 19, 'Número do Clínico');
INSERT INTO `lang_definitions` VALUES (71079, 5162, 19, 'Clínico:');
INSERT INTO `lang_definitions` VALUES (71080, 5163, 19, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (71081, 5164, 19, 'NPI dos Clínicos');
INSERT INTO `lang_definitions` VALUES (71082, 5165, 19, 'Clínicos Vêem Todo Calendário');
INSERT INTO `lang_definitions` VALUES (71083, 5166, 19, 'Prv');
INSERT INTO `lang_definitions` VALUES (71084, 5167, 19, 'PSA');
INSERT INTO `lang_definitions` VALUES (71085, 5168, 19, 'Psoríase');
INSERT INTO `lang_definitions` VALUES (71086, 5169, 19, 'Intimide psicologicamente Diagnose');
INSERT INTO `lang_definitions` VALUES (71087, 5170, 19, 'Intimide psicologicamente Medicamento');
INSERT INTO `lang_definitions` VALUES (71088, 5171, 19, 'Psiquiátrico');
INSERT INTO `lang_definitions` VALUES (71089, 5172, 19, 'Carta Breve psiquiátrica');
INSERT INTO `lang_definitions` VALUES (71090, 5173, 19, 'Diagnose psiquiátrica');
INSERT INTO `lang_definitions` VALUES (71091, 5174, 19, 'Exame psiquiátrico');
INSERT INTO `lang_definitions` VALUES (71092, 5175, 19, 'História psiquiátrica');
INSERT INTO `lang_definitions` VALUES (71093, 5176, 19, 'Entrada psiquiátrica');
INSERT INTO `lang_definitions` VALUES (71094, 5177, 19, 'Medicamento psiquiátrico');
INSERT INTO `lang_definitions` VALUES (71095, 5178, 19, 'Pt%');
INSERT INTO `lang_definitions` VALUES (71096, 5179, 19, 'Notas Ut.');
INSERT INTO `lang_definitions` VALUES (71097, 5180, 19, 'Notas Ut./Aut');
INSERT INTO `lang_definitions` VALUES (71098, 5181, 19, 'Overpaid de Pt');
INSERT INTO `lang_definitions` VALUES (71099, 5182, 19, 'Pt Paid');
INSERT INTO `lang_definitions` VALUES (71100, 5184, 19, 'Pt reembolsam');
INSERT INTO `lang_definitions` VALUES (71101, 5185, 19, 'Pt libertou');
INSERT INTO `lang_definitions` VALUES (71102, 5186, 19, 'Pt Report');
INSERT INTO `lang_definitions` VALUES (71103, 5187, 19, 'Estudante de PT, ou deixa espaço em branco');
INSERT INTO `lang_definitions` VALUES (71104, 5189, 19, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (71105, 5191, 19, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (71106, 5192, 19, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (71107, 5193, 19, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (71108, 5201, 19, 'Público');
INSERT INTO `lang_definitions` VALUES (71109, 5205, 19, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (71110, 5206, 19, 'Pulso');
INSERT INTO `lang_definitions` VALUES (71111, 5213, 19, 'q.3h');
INSERT INTO `lang_definitions` VALUES (71112, 5214, 19, 'q.4h');
INSERT INTO `lang_definitions` VALUES (71113, 5215, 19, 'q.5h');
INSERT INTO `lang_definitions` VALUES (71114, 5216, 19, 'q.6h');
INSERT INTO `lang_definitions` VALUES (71115, 5217, 19, 'q.8h');
INSERT INTO `lang_definitions` VALUES (71116, 5218, 19, 'q.d.');
INSERT INTO `lang_definitions` VALUES (71117, 5219, 19, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (71118, 5220, 19, 'QOH');
INSERT INTO `lang_definitions` VALUES (71119, 5222, 19, 'Qty');
INSERT INTO `lang_definitions` VALUES (71120, 5223, 19, 'QTY');
INSERT INTO `lang_definitions` VALUES (71121, 5224, 19, 'Qualidade');
INSERT INTO `lang_definitions` VALUES (71122, 5226, 19, 'Quantidade');
INSERT INTO `lang_definitions` VALUES (71123, 5227, 19, 'Quantidade para NDC');
INSERT INTO `lang_definitions` VALUES (71124, 5228, 19, 'Quantidade Disponível');
INSERT INTO `lang_definitions` VALUES (71125, 5232, 19, 'Fila para processamento em lote de HCFA');
INSERT INTO `lang_definitions` VALUES (71126, 5233, 19, 'Fila para processamento em lote de HCFA e imprimindo');
INSERT INTO `lang_definitions` VALUES (71127, 5234, 19, 'Fila para processamento em lote de UB-92');
INSERT INTO `lang_definitions` VALUES (71128, 5235, 19, 'Fila para processamento em lote de UB-92 e imprimindo');
INSERT INTO `lang_definitions` VALUES (71129, 5236, 19, 'Feito fila');
INSERT INTO `lang_definitions` VALUES (71130, 5237, 19, 'Administração de Eventos feita fila');
INSERT INTO `lang_definitions` VALUES (71131, 5238, 19, 'Feito fila para');
INSERT INTO `lang_definitions` VALUES (71132, 5240, 19, 'Administração de Submissões feita fila');
INSERT INTO `lang_definitions` VALUES (71133, 5243, 19, 'R');
INSERT INTO `lang_definitions` VALUES (71134, 5245, 19, 'Raça');
INSERT INTO `lang_definitions` VALUES (71135, 5247, 19, 'Raça/Etnia');
INSERT INTO `lang_definitions` VALUES (71136, 5248, 19, 'Rádio');
INSERT INTO `lang_definitions` VALUES (71137, 5249, 19, 'Botões de rádio');
INSERT INTO `lang_definitions` VALUES (71138, 5252, 19, 'Erupções cutâneas');
INSERT INTO `lang_definitions` VALUES (71139, 5253, 19, 'Taxa');
INSERT INTO `lang_definitions` VALUES (71140, 5261, 19, 'Re-aberto');
INSERT INTO `lang_definitions` VALUES (71141, 5262, 19, 'Re-aberto');
INSERT INTO `lang_definitions` VALUES (71142, 5264, 19, 'Reações');
INSERT INTO `lang_definitions` VALUES (71143, 5265, 19, 'Ler');
INSERT INTO `lang_definitions` VALUES (71144, 5268, 19, 'Nome Profissional');
INSERT INTO `lang_definitions` VALUES (71145, 5270, 19, 'Motivo');
INSERT INTO `lang_definitions` VALUES (71146, 5271, 19, 'Causa do Óbito');
INSERT INTO `lang_definitions` VALUES (71147, 5272, 19, 'Causa do Óbito');
INSERT INTO `lang_definitions` VALUES (71148, 5274, 19, 'Razão para indicação');
INSERT INTO `lang_definitions` VALUES (71149, 5275, 19, 'Argumente para Visita');
INSERT INTO `lang_definitions` VALUES (71150, 5276, 19, 'Motivo/Formulário');
INSERT INTO `lang_definitions` VALUES (71151, 5277, 19, 'Recibo');
INSERT INTO `lang_definitions` VALUES (71152, 5278, 19, 'Recibo para Pagamento');
INSERT INTO `lang_definitions` VALUES (71153, 5279, 19, 'Recibo Gerou');
INSERT INTO `lang_definitions` VALUES (71154, 5280, 19, 'Recibos através de Relatório de Método de Pagamento');
INSERT INTO `lang_definitions` VALUES (71155, 5281, 19, 'Resumo de recibos');
INSERT INTO `lang_definitions` VALUES (71156, 5282, 19, 'Recebido');
INSERT INTO `lang_definitions` VALUES (71157, 5283, 19, 'Recebido Por');
INSERT INTO `lang_definitions` VALUES (71158, 5284, 19, 'Fac-símiles recebidos');
INSERT INTO `lang_definitions` VALUES (71159, 5287, 19, 'Receptor');
INSERT INTO `lang_definitions` VALUES (71160, 5288, 19, 'Administrador ID');
INSERT INTO `lang_definitions` VALUES (71161, 5300, 19, 'Recomendações');
INSERT INTO `lang_definitions` VALUES (71162, 5301, 19, 'Recomendações e tratamento');
INSERT INTO `lang_definitions` VALUES (71163, 5302, 19, 'Recomendações por especialista');
INSERT INTO `lang_definitions` VALUES (71164, 5314, 19, 'Registre Pagamento');
INSERT INTO `lang_definitions` VALUES (71165, 5317, 19, 'Registos');
INSERT INTO `lang_definitions` VALUES (71166, 5318, 19, 'registos encontrados');
INSERT INTO `lang_definitions` VALUES (71167, 5319, 19, 'registos encontrados.');
INSERT INTO `lang_definitions` VALUES (71168, 5322, 19, 'Retal');
INSERT INTO `lang_definitions` VALUES (71169, 5323, 19, 'Exame retal');
INSERT INTO `lang_definitions` VALUES (71170, 5324, 19, 'rectally');
INSERT INTO `lang_definitions` VALUES (71171, 5326, 19, 'Vermelhidão');
INSERT INTO `lang_definitions` VALUES (71172, 5327, 19, 'reduzido:');
INSERT INTO `lang_definitions` VALUES (71173, 5328, 19, 'Se refira');
INSERT INTO `lang_definitions` VALUES (71174, 5329, 19, 'Se refira Por');
INSERT INTO `lang_definitions` VALUES (71175, 5330, 19, 'Se refira Data');
INSERT INTO `lang_definitions` VALUES (71176, 5331, 19, 'Se refira');
INSERT INTO `lang_definitions` VALUES (71177, 5332, 19, 'Classificação de referência (nível de risco)');
INSERT INTO `lang_definitions` VALUES (71178, 5334, 19, 'Razão de referência');
INSERT INTO `lang_definitions` VALUES (71179, 5336, 19, 'Nome de Referer e assinatura');
INSERT INTO `lang_definitions` VALUES (71180, 5337, 19, 'Indicação');
INSERT INTO `lang_definitions` VALUES (71181, 5338, 19, 'Indicação Por');
INSERT INTO `lang_definitions` VALUES (71182, 5339, 19, 'Cartão de indicação');
INSERT INTO `lang_definitions` VALUES (71183, 5340, 19, 'Data de indicação');
INSERT INTO `lang_definitions` VALUES (71184, 5341, 19, 'Forma de indicação');
INSERT INTO `lang_definitions` VALUES (71185, 5342, 19, 'FORMA DE INDICAÇÃO');
INSERT INTO `lang_definitions` VALUES (71186, 5345, 19, 'Fonte de indicação');
INSERT INTO `lang_definitions` VALUES (71187, 5347, 19, 'Indicação Para');
INSERT INTO `lang_definitions` VALUES (71188, 5348, 19, 'Indicações');
INSERT INTO `lang_definitions` VALUES (71189, 5349, 19, 'Indicações Informam');
INSERT INTO `lang_definitions` VALUES (71190, 5350, 19, 'Se referido por');
INSERT INTO `lang_definitions` VALUES (71191, 5351, 19, 'Se referido Por');
INSERT INTO `lang_definitions` VALUES (71192, 5352, 19, 'Se referido');
INSERT INTO `lang_definitions` VALUES (71193, 5353, 19, 'Referrer');
INSERT INTO `lang_definitions` VALUES (71194, 5355, 19, 'Diagnose de Referrer');
INSERT INTO `lang_definitions` VALUES (71195, 5356, 19, 'Diagnose de Referrer');
INSERT INTO `lang_definitions` VALUES (71196, 5357, 19, 'O médico se referindo e prática');
INSERT INTO `lang_definitions` VALUES (71197, 5358, 19, 'Provedor se referindo');
INSERT INTO `lang_definitions` VALUES (71198, 5360, 19, 'Recargas');
INSERT INTO `lang_definitions` VALUES (71199, 5361, 19, 'recargas');
INSERT INTO `lang_definitions` VALUES (71200, 5362, 19, 'Reflexos normais');
INSERT INTO `lang_definitions` VALUES (71201, 5363, 19, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (71202, 5369, 19, 'reg_re');
INSERT INTO `lang_definitions` VALUES (71203, 5370, 19, 'registro');
INSERT INTO `lang_definitions` VALUES (71204, 5372, 19, 'Registrado');
INSERT INTO `lang_definitions` VALUES (71205, 5373, 19, 'registrado');
INSERT INTO `lang_definitions` VALUES (71206, 5375, 19, 'Data de inscrição');
INSERT INTO `lang_definitions` VALUES (71207, 5376, 19, 'Forma de inscrição');
INSERT INTO `lang_definitions` VALUES (71208, 5377, 19, 'Reabilitação');
INSERT INTO `lang_definitions` VALUES (71209, 5381, 19, 'Relacionado com');
INSERT INTO `lang_definitions` VALUES (71210, 5382, 19, 'Relacionado');
INSERT INTO `lang_definitions` VALUES (71211, 5385, 19, 'Relation(s) / as Crianças');
INSERT INTO `lang_definitions` VALUES (71212, 5386, 19, 'Relações');
INSERT INTO `lang_definitions` VALUES (71213, 5387, 19, 'Relação');
INSERT INTO `lang_definitions` VALUES (71214, 5389, 19, 'Parentes');
INSERT INTO `lang_definitions` VALUES (71215, 5399, 19, 'Retransmita credenciais de Saúde estão perdendo desta conta do usuário.');
INSERT INTO `lang_definitions` VALUES (71216, 5400, 19, 'Retransmita ID para Saúde');
INSERT INTO `lang_definitions` VALUES (71217, 5403, 19, 'Religião');
INSERT INTO `lang_definitions` VALUES (71218, 5406, 19, 'Relogin');
INSERT INTO `lang_definitions` VALUES (71219, 5407, 19, 'Lembrete');
INSERT INTO `lang_definitions` VALUES (71220, 5408, 19, 'Recordar Clínica Seleccionada');
INSERT INTO `lang_definitions` VALUES (71221, 5416, 19, 'Remover');
INSERT INTO `lang_definitions` VALUES (71222, 5419, 19, 'Remover Grupo');
INSERT INTO `lang_definitions` VALUES (71223, 5420, 19, 'Remova Forma de Grupo');
INSERT INTO `lang_definitions` VALUES (71224, 5426, 19, 'Pedras renais');
INSERT INTO `lang_definitions` VALUES (71225, 5428, 19, 'Renomeie Grupo');
INSERT INTO `lang_definitions` VALUES (71226, 5429, 19, 'Fazendo');
INSERT INTO `lang_definitions` VALUES (71227, 5430, 19, 'Provedor fazendo');
INSERT INTO `lang_definitions` VALUES (71228, 5431, 19, 'Provedor Number fazendo');
INSERT INTO `lang_definitions` VALUES (71229, 5432, 19, 'Reordenar');
INSERT INTO `lang_definitions` VALUES (71230, 5433, 19, 'Reordene A');
INSERT INTO `lang_definitions` VALUES (71231, 5439, 19, 'Info repetindo:');
INSERT INTO `lang_definitions` VALUES (71232, 5440, 19, 'Repetições');
INSERT INTO `lang_definitions` VALUES (71233, 5444, 19, 'Data de resposta');
INSERT INTO `lang_definitions` VALUES (71234, 5445, 19, 'Responda De');
INSERT INTO `lang_definitions` VALUES (71235, 5446, 19, 'Relatório');
INSERT INTO `lang_definitions` VALUES (71236, 5449, 19, 'Informe por');
INSERT INTO `lang_definitions` VALUES (71237, 5458, 19, 'Totais de relatório');
INSERT INTO `lang_definitions` VALUES (71238, 5463, 19, 'Relatórios');
INSERT INTO `lang_definitions` VALUES (71239, 5467, 19, 'Pedido ignorou - processo de reivindicações já é corrente!');
INSERT INTO `lang_definitions` VALUES (71240, 5474, 19, 'Serviço pedido');
INSERT INTO `lang_definitions` VALUES (71241, 5477, 19, 'Obrigatório');
INSERT INTO `lang_definitions` VALUES (71242, 5479, 19, 'Campo Obrigatório em falta: Escolha o ficheiro EDI-271 para carregar');
INSERT INTO `lang_definitions` VALUES (71243, 5485, 19, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (71244, 5486, 19, 'Reservado');
INSERT INTO `lang_definitions` VALUES (71245, 5487, 19, 'Reservado para uso para definir Tempo de Férias Marcado');
INSERT INTO `lang_definitions` VALUES (71246, 5488, 19, 'Reservou para definir quando um provedor pode não ter compromissos disponíveis depois.');
INSERT INTO `lang_definitions` VALUES (71247, 5489, 19, 'Reservou para definir quando um evento não aconteceu como especificado.');
INSERT INTO `lang_definitions` VALUES (71248, 5490, 19, 'Todefine reservado quando um provedor pode compromissos de haveavailable depois.');
INSERT INTO `lang_definitions` VALUES (71249, 5496, 19, 'Solucionado');
INSERT INTO `lang_definitions` VALUES (71250, 5497, 19, 'Respiração');
INSERT INTO `lang_definitions` VALUES (71251, 5498, 19, 'Unlabored de esforço de respirador');
INSERT INTO `lang_definitions` VALUES (71252, 5499, 19, 'Respiratório');
INSERT INTO `lang_definitions` VALUES (71253, 5502, 19, 'Restringir Utilizadores a Clínicas');
INSERT INTO `lang_definitions` VALUES (71254, 5503, 19, 'Formação Restricta');
INSERT INTO `lang_definitions` VALUES (71255, 5504, 19, 'Resultado');
INSERT INTO `lang_definitions` VALUES (71256, 5506, 19, 'Estado do Resultado');
INSERT INTO `lang_definitions` VALUES (71257, 5510, 19, 'Resultados e');
INSERT INTO `lang_definitions` VALUES (71258, 5511, 19, 'Resultados encontrados Para a Pesquisa');
INSERT INTO `lang_definitions` VALUES (71259, 5515, 19, 'Resultados por página');
INSERT INTO `lang_definitions` VALUES (71260, 5517, 19, 'Exame de Retinal');
INSERT INTO `lang_definitions` VALUES (71261, 5518, 19, 'Direito retratado:');
INSERT INTO `lang_definitions` VALUES (71262, 5519, 19, 'Retorno');
INSERT INTO `lang_definitions` VALUES (71263, 5521, 19, 'Voltar ao calendário');
INSERT INTO `lang_definitions` VALUES (71264, 5527, 19, 'Valor de retorno');
INSERT INTO `lang_definitions` VALUES (71265, 5528, 19, 'Visita de retorno');
INSERT INTO `lang_definitions` VALUES (71266, 5529, 19, 'Devolvido para Jogar');
INSERT INTO `lang_definitions` VALUES (71267, 5534, 19, 'Revisão de PMH:');
INSERT INTO `lang_definitions` VALUES (71268, 5535, 19, 'Revisão de Sistemas');
INSERT INTO `lang_definitions` VALUES (71269, 5536, 19, 'Lista de Revisão de Sistemas');
INSERT INTO `lang_definitions` VALUES (71270, 5537, 19, 'Revisto');
INSERT INTO `lang_definitions` VALUES (71271, 5538, 19, 'Revisão');
INSERT INTO `lang_definitions` VALUES (71272, 5540, 19, 'Artrite de Rheumotoid');
INSERT INTO `lang_definitions` VALUES (71273, 5541, 19, 'Direito');
INSERT INTO `lang_definitions` VALUES (71274, 5542, 19, 'Orelha Direita');
INSERT INTO `lang_definitions` VALUES (71275, 5543, 19, 'orelha direita');
INSERT INTO `lang_definitions` VALUES (71276, 5545, 19, 'Direito:');
INSERT INTO `lang_definitions` VALUES (71277, 5546, 19, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (71278, 5547, 19, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (71279, 5549, 19, 'Factores de risco');
INSERT INTO `lang_definitions` VALUES (71280, 5550, 19, 'Nível de risco');
INSERT INTO `lang_definitions` VALUES (71281, 5551, 19, 'RLL:');
INSERT INTO `lang_definitions` VALUES (71282, 5552, 19, 'ROM');
INSERT INTO `lang_definitions` VALUES (71283, 5560, 19, 'Lista');
INSERT INTO `lang_definitions` VALUES (71284, 5561, 19, 'Via');
INSERT INTO `lang_definitions` VALUES (71285, 5562, 19, 'Via de administração, se aplicável');
INSERT INTO `lang_definitions` VALUES (71286, 5564, 19, 'Linhas');
INSERT INTO `lang_definitions` VALUES (71287, 5565, 19, 'RRR sem MOR');
INSERT INTO `lang_definitions` VALUES (71288, 5566, 19, 'Esfrega:');
INSERT INTO `lang_definitions` VALUES (71289, 5567, 19, 'Esfregas:');
INSERT INTO `lang_definitions` VALUES (71290, 5581, 19, 'Comando corrente: ');
INSERT INTO `lang_definitions` VALUES (71291, 5582, 19, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (71292, 5583, 19, 'Russo');
INSERT INTO `lang_definitions` VALUES (71293, 5584, 19, 'Rx');
INSERT INTO `lang_definitions` VALUES (71294, 5585, 19, 'RX');
INSERT INTO `lang_definitions` VALUES (71295, 5600, 19, 'S');
INSERT INTO `lang_definitions` VALUES (71296, 5601, 19, 'N. Utente');
INSERT INTO `lang_definitions` VALUES (71297, 5602, 19, 'S3:');
INSERT INTO `lang_definitions` VALUES (71298, 5603, 19, 'S4:');
INSERT INTO `lang_definitions` VALUES (71299, 5604, 19, 'SÁ * * por favor ler a licença lida o docs/license.txt ou visita * http://www.gnu.org/copyleft/gpl.html * * / / / == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == == = / / ');
INSERT INTO `lang_definitions` VALUES (71300, 5605, 19, 'Venda');
INSERT INTO `lang_definitions` VALUES (71301, 5606, 19, 'Vendas');
INSERT INTO `lang_definitions` VALUES (71302, 5607, 19, 'Vendas por Artigo');
INSERT INTO `lang_definitions` VALUES (71303, 5608, 19, 'Vendas por Relatório de Produto');
INSERT INTO `lang_definitions` VALUES (71304, 5609, 19, 'Saliva');
INSERT INTO `lang_definitions` VALUES (71305, 5610, 19, 'Mesmo Dia');
INSERT INTO `lang_definitions` VALUES (71306, 5611, 19, 'Samoano');
INSERT INTO `lang_definitions` VALUES (71307, 5612, 19, 'Amostra');
INSERT INTO `lang_definitions` VALUES (71308, 5613, 19, 'Tipo de Sanção');
INSERT INTO `lang_definitions` VALUES (71309, 5617, 19, 'Sáb');
INSERT INTO `lang_definitions` VALUES (71310, 5618, 19, 'Sáb &amp; Dom');
INSERT INTO `lang_definitions` VALUES (71311, 5619, 19, 'Sábado');
INSERT INTO `lang_definitions` VALUES (71312, 5620, 19, 'Guardar');
INSERT INTO `lang_definitions` VALUES (71313, 5624, 19, 'Guardar e dispensar');
INSERT INTO `lang_definitions` VALUES (71314, 5626, 19, 'Guardar como Nova');
INSERT INTO `lang_definitions` VALUES (71315, 5627, 19, 'Guardar como nova nota');
INSERT INTO `lang_definitions` VALUES (71316, 5628, 19, 'Guardar Definições de Certificado');
INSERT INTO `lang_definitions` VALUES (71317, 5629, 19, 'Guardar Alterações');
INSERT INTO `lang_definitions` VALUES (71318, 5630, 19, 'Guardar Formulário');
INSERT INTO `lang_definitions` VALUES (71319, 5631, 19, 'Guardar Imunização');
INSERT INTO `lang_definitions` VALUES (71320, 5632, 19, 'Guardar Campo');
INSERT INTO `lang_definitions` VALUES (71321, 5633, 19, 'Guardar Grupo');
INSERT INTO `lang_definitions` VALUES (71322, 5634, 19, 'Guardar Lista');
INSERT INTO `lang_definitions` VALUES (71323, 5635, 19, 'Guardar Modelo');
INSERT INTO `lang_definitions` VALUES (71324, 5637, 19, 'Guardar Estatísticas do Utente');
INSERT INTO `lang_definitions` VALUES (71325, 5638, 19, 'Guardado com sucesso para o quadro de ID');
INSERT INTO `lang_definitions` VALUES (71326, 5639, 19, 'Guardar Operação');
INSERT INTO `lang_definitions` VALUES (71327, 5641, 19, 'Digitalizado');
INSERT INTO `lang_definitions` VALUES (71328, 5642, 19, 'Nota de Encontro digitalizada');
INSERT INTO `lang_definitions` VALUES (71329, 5644, 19, 'Escâner Em');
INSERT INTO `lang_definitions` VALUES (71330, 5645, 19, 'Horário');
INSERT INTO `lang_definitions` VALUES (71331, 5646, 19, 'Agenda da Clínica:');
INSERT INTO `lang_definitions` VALUES (71332, 5647, 19, 'NOTA ESCOLAR');
INSERT INTO `lang_definitions` VALUES (71333, 5648, 19, 'Escoliose');
INSERT INTO `lang_definitions` VALUES (71334, 5651, 19, 'SE');
INSERT INTO `lang_definitions` VALUES (71335, 5652, 19, 'SE Address');
INSERT INTO `lang_definitions` VALUES (71336, 5653, 19, 'Cidade de SE');
INSERT INTO `lang_definitions` VALUES (71337, 5654, 19, 'País de SE');
INSERT INTO `lang_definitions` VALUES (71338, 5655, 19, 'Localidade de SE');
INSERT INTO `lang_definitions` VALUES (71339, 5656, 19, 'SE Código Postal');
INSERT INTO `lang_definitions` VALUES (71340, 5657, 19, 'SE State');
INSERT INTO `lang_definitions` VALUES (71341, 5658, 19, 'Cep de SE');
INSERT INTO `lang_definitions` VALUES (71342, 5659, 19, 'Procurar');
INSERT INTO `lang_definitions` VALUES (71343, 5661, 19, 'procurar');
INSERT INTO `lang_definitions` VALUES (71344, 5662, 19, 'procurar novamente');
INSERT INTO `lang_definitions` VALUES (71345, 5664, 19, 'Procurar por:');
INSERT INTO `lang_definitions` VALUES (71346, 5665, 19, 'Procurar por');
INSERT INTO `lang_definitions` VALUES (71347, 5666, 19, 'Procurar por:');
INSERT INTO `lang_definitions` VALUES (71348, 5669, 19, 'Procurar ou Criar Utente');
INSERT INTO `lang_definitions` VALUES (71349, 5670, 19, 'Procurar Pagamento');
INSERT INTO `lang_definitions` VALUES (71350, 5672, 19, 'Procurar Resultados:');
INSERT INTO `lang_definitions` VALUES (71351, 5673, 19, 'Procurar Seleccionados');
INSERT INTO `lang_definitions` VALUES (71352, 5674, 19, 'O termo de procura não tem correspondência na base de dados');
INSERT INTO `lang_definitions` VALUES (71353, 5675, 19, 'Termo de procura deve ter pelo menos três carateres');
INSERT INTO `lang_definitions` VALUES (71354, 5677, 19, 'Procurar Eventos');
INSERT INTO `lang_definitions` VALUES (71355, 5678, 19, 'Procurar/Criar');
INSERT INTO `lang_definitions` VALUES (71356, 5679, 19, 'Procurar/Criar Entidade');
INSERT INTO `lang_definitions` VALUES (71357, 5680, 19, 'A procurar marcações');
INSERT INTO `lang_definitions` VALUES (71358, 5681, 19, 'A procurar...');
INSERT INTO `lang_definitions` VALUES (71359, 5682, 19, 'Uso de cinto de segurança');
INSERT INTO `lang_definitions` VALUES (71360, 5683, 19, 'Uso de cinto de segurança');
INSERT INTO `lang_definitions` VALUES (71361, 5684, 19, 'Segundo');
INSERT INTO `lang_definitions` VALUES (71362, 5687, 19, 'Secundário');
INSERT INTO `lang_definitions` VALUES (71363, 5688, 19, 'Seguro secundário');
INSERT INTO `lang_definitions` VALUES (71364, 5689, 19, 'Dados de Seguro secundários');
INSERT INTO `lang_definitions` VALUES (71365, 5690, 19, 'Provedor de Seguro secundário');
INSERT INTO `lang_definitions` VALUES (71366, 5698, 19, 'Segurança');
INSERT INTO `lang_definitions` VALUES (71367, 5699, 19, 'Ver Tudo');
INSERT INTO `lang_definitions` VALUES (71368, 5700, 19, 'Ver Autorizações');
INSERT INTO `lang_definitions` VALUES (71369, 5701, 19, 'Ver Quador-Crescimento');
INSERT INTO `lang_definitions` VALUES (71370, 5702, 19, 'Veja mensagens do último fixado de reivindicações geradas');
INSERT INTO `lang_definitions` VALUES (71371, 5704, 19, 'Visto desde então');
INSERT INTO `lang_definitions` VALUES (71372, 5707, 19, 'Ataques apopléticos');
INSERT INTO `lang_definitions` VALUES (71373, 5708, 19, 'Sel');
INSERT INTO `lang_definitions` VALUES (71374, 5709, 19, 'Seleccionar');
INSERT INTO `lang_definitions` VALUES (71375, 5710, 19, 'seleccionar');
INSERT INTO `lang_definitions` VALUES (71376, 5716, 19, 'Seleccionar Tudo');
INSERT INTO `lang_definitions` VALUES (71377, 5727, 19, 'Seleccionar data');
INSERT INTO `lang_definitions` VALUES (71378, 5729, 19, 'Seleccionar Diagnóstico');
INSERT INTO `lang_definitions` VALUES (71379, 5731, 19, 'Seleccionar Droga');
INSERT INTO `lang_definitions` VALUES (71380, 5732, 19, 'Seleccionar Drogas');
INSERT INTO `lang_definitions` VALUES (71381, 5736, 19, 'Campo seleccionado');
INSERT INTO `lang_definitions` VALUES (71382, 5737, 19, 'Campos Seleccionados');
INSERT INTO `lang_definitions` VALUES (71383, 5738, 19, 'Seleccione para imprimir');
INSERT INTO `lang_definitions` VALUES (71384, 5739, 19, 'Seleccione Imunizações');
INSERT INTO `lang_definitions` VALUES (71385, 5742, 19, 'Assunto seleto');
INSERT INTO `lang_definitions` VALUES (71386, 5744, 19, 'Seleccione Idioma');
INSERT INTO `lang_definitions` VALUES (71387, 5754, 19, 'Selecione os artigos de configuração para exportar');
INSERT INTO `lang_definitions` VALUES (71388, 5759, 19, 'Selecionar Utilizador');
INSERT INTO `lang_definitions` VALUES (71389, 5760, 19, 'Selecionar Utilizador da Lista');
INSERT INTO `lang_definitions` VALUES (71390, 5762, 19, 'Selecione Sim para confirmar apagamento de grupo');
INSERT INTO `lang_definitions` VALUES (71391, 5765, 19, 'Seleccionado');
INSERT INTO `lang_definitions` VALUES (71392, 5768, 19, 'Ego');
INSERT INTO `lang_definitions` VALUES (71393, 5769, 19, 'Pagamento de ego');
INSERT INTO `lang_definitions` VALUES (71394, 5771, 19, 'Enviar');
INSERT INTO `lang_definitions` VALUES (71395, 5774, 19, 'Envio em progresso');
INSERT INTO `lang_definitions` VALUES (71396, 5775, 19, 'Enviar mensagem');
INSERT INTO `lang_definitions` VALUES (71397, 5779, 19, 'Enviar este ficheiro');
INSERT INTO `lang_definitions` VALUES (71398, 5788, 19, 'Remetente');
INSERT INTO `lang_definitions` VALUES (71399, 5789, 19, 'Remetente ID');
INSERT INTO `lang_definitions` VALUES (71400, 5794, 19, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (71401, 5795, 19, 'Sensibilidade:');
INSERT INTO `lang_definitions` VALUES (71402, 5796, 19, 'Normal de exame sensório');
INSERT INTO `lang_definitions` VALUES (71403, 5804, 19, 'Enviado prosperamente');
INSERT INTO `lang_definitions` VALUES (71404, 5807, 19, 'enviado para a impressora.');
INSERT INTO `lang_definitions` VALUES (71405, 5812, 19, 'Set');
INSERT INTO `lang_definitions` VALUES (71406, 5813, 19, 'Separado(a)');
INSERT INTO `lang_definitions` VALUES (71407, 5814, 19, 'Setembro');
INSERT INTO `lang_definitions` VALUES (71408, 5816, 19, 'Sequência');
INSERT INTO `lang_definitions` VALUES (71409, 5821, 19, 'Serviço');
INSERT INTO `lang_definitions` VALUES (71410, 5822, 19, 'Categoria Serviço');
INSERT INTO `lang_definitions` VALUES (71411, 5823, 19, 'Código Serviço');
INSERT INTO `lang_definitions` VALUES (71412, 5825, 19, 'Códigos Serviço');
INSERT INTO `lang_definitions` VALUES (71413, 5826, 19, 'Data de Serviço');
INSERT INTO `lang_definitions` VALUES (71414, 5827, 19, 'Data de Serviço:');
INSERT INTO `lang_definitions` VALUES (71415, 5829, 19, 'Localização do Serviço');
INSERT INTO `lang_definitions` VALUES (71416, 5831, 19, 'Serviço efectuado pelo especialista');
INSERT INTO `lang_definitions` VALUES (71417, 5834, 19, 'Serviços');
INSERT INTO `lang_definitions` VALUES (71418, 5835, 19, 'Serviços por Categoria');
INSERT INTO `lang_definitions` VALUES (71419, 5836, 19, 'Serviços efectuados');
INSERT INTO `lang_definitions` VALUES (71420, 5837, 19, 'Serviços Efectuados');
INSERT INTO `lang_definitions` VALUES (71421, 5838, 19, 'Serviços/Produtos');
INSERT INTO `lang_definitions` VALUES (71422, 5839, 19, 'Tipo de Sessão');
INSERT INTO `lang_definitions` VALUES (71423, 5840, 19, 'Define');
INSERT INTO `lang_definitions` VALUES (71424, 5846, 19, 'Define Como');
INSERT INTO `lang_definitions` VALUES (71425, 5847, 19, 'Define como Padrão');
INSERT INTO `lang_definitions` VALUES (71426, 5849, 19, 'Definições');
INSERT INTO `lang_definitions` VALUES (71427, 5851, 19, 'Enxaqueca severa');
INSERT INTO `lang_definitions` VALUES (71428, 5853, 19, 'Intensidade da Dor');
INSERT INTO `lang_definitions` VALUES (71429, 5854, 19, 'Intensidade da Dor:');
INSERT INTO `lang_definitions` VALUES (71430, 5855, 19, 'Sexo');
INSERT INTO `lang_definitions` VALUES (71431, 5856, 19, 'Doença Sexualmente Transmitida');
INSERT INTO `lang_definitions` VALUES (71432, 5859, 19, 'A Partilhar');
INSERT INTO `lang_definitions` VALUES (71433, 5864, 19, 'Falta de ar');
INSERT INTO `lang_definitions` VALUES (71434, 5865, 19, 'Falta De Ar');
INSERT INTO `lang_definitions` VALUES (71435, 5866, 19, 'Falta De Ar 2');
INSERT INTO `lang_definitions` VALUES (71436, 5867, 19, 'Registro de tiro');
INSERT INTO `lang_definitions` VALUES (71437, 5868, 19, 'Registro de tiro a partir de:');
INSERT INTO `lang_definitions` VALUES (71438, 5870, 19, 'deveria estar como nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (71439, 5871, 19, 'Deve ter duas letras');
INSERT INTO `lang_definitions` VALUES (71440, 5874, 19, 'Ombro');
INSERT INTO `lang_definitions` VALUES (71441, 5875, 19, 'Ombro + clavícula');
INSERT INTO `lang_definitions` VALUES (71442, 5876, 19, 'Problemas no ombro');
INSERT INTO `lang_definitions` VALUES (71443, 5877, 19, 'Ver');
INSERT INTO `lang_definitions` VALUES (71444, 5883, 19, 'Mostrar Todas as Transacções');
INSERT INTO `lang_definitions` VALUES (71445, 5884, 19, 'Ver como Ocupado');
INSERT INTO `lang_definitions` VALUES (71446, 5885, 19, 'Mostrar só as Autorizadas');
INSERT INTO `lang_definitions` VALUES (71447, 5886, 19, 'Ver Períodos Disponíveis');
INSERT INTO `lang_definitions` VALUES (71448, 5887, 19, 'Mostrar medidas US e métricas (defeito: métricas)');
INSERT INTO `lang_definitions` VALUES (71449, 5888, 19, 'Mostrar medidas US e métricas (defeito: US)');
INSERT INTO `lang_definitions` VALUES (71450, 5889, 19, 'Ver Detalhes');
INSERT INTO `lang_definitions` VALUES (71451, 5891, 19, 'Ver Gráfico');
INSERT INTO `lang_definitions` VALUES (71452, 5892, 19, 'Espetáculo que paira texto de evento mouseover aceso?');
INSERT INTO `lang_definitions` VALUES (71453, 5893, 19, 'Espetáculo quantos eventos páginas de admin acesas?');
INSERT INTO `lang_definitions` VALUES (71454, 5897, 19, 'Só mostrar métricas');
INSERT INTO `lang_definitions` VALUES (71455, 5898, 19, 'Mostrar Notas');
INSERT INTO `lang_definitions` VALUES (71456, 5901, 19, 'Mostrar Notas do Utetnes');
INSERT INTO `lang_definitions` VALUES (71457, 5906, 19, 'Relatório de espetáculo');
INSERT INTO `lang_definitions` VALUES (71458, 5907, 19, 'Ligações de search/submit de espetáculo em bloco?');
INSERT INTO `lang_definitions` VALUES (71459, 5913, 19, 'Mostre Unbilled Only');
INSERT INTO `lang_definitions` VALUES (71460, 5914, 19, 'Só mostrar US');
INSERT INTO `lang_definitions` VALUES (71461, 5920, 19, 'Irmãos');
INSERT INTO `lang_definitions` VALUES (71462, 5921, 19, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (71463, 5922, 19, 'Sig');
INSERT INTO `lang_definitions` VALUES (71464, 5923, 19, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (71465, 5927, 19, 'Assinatura');
INSERT INTO `lang_definitions` VALUES (71466, 5929, 19, 'Assinatura:');
INSERT INTO `lang_definitions` VALUES (71467, 5932, 19, 'Inchação significante:');
INSERT INTO `lang_definitions` VALUES (71468, 5937, 19, 'Desde então');
INSERT INTO `lang_definitions` VALUES (71469, 5938, 19, 'Cordialmente,');
INSERT INTO `lang_definitions` VALUES (71470, 5940, 19, 'Solteiro(a)');
INSERT INTO `lang_definitions` VALUES (71471, 5941, 19, 'Lista de selecção única');
INSERT INTO `lang_definitions` VALUES (71472, 5942, 19, 'Lista de selecção única com possibilidade de adicionar');
INSERT INTO `lang_definitions` VALUES (71473, 5946, 19, 'sinusite');
INSERT INTO `lang_definitions` VALUES (71474, 5947, 19, 'Cirurgia de seio');
INSERT INTO `lang_definitions` VALUES (71475, 5948, 19, 'bombeamento do SEIO:');
INSERT INTO `lang_definitions` VALUES (71476, 5949, 19, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (71477, 5956, 19, 'Tamanho');
INSERT INTO `lang_definitions` VALUES (71478, 5957, 19, 'Tamanho deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (71479, 5958, 19, 'Size/List');
INSERT INTO `lang_definitions` VALUES (71480, 5959, 19, 'Pele');
INSERT INTO `lang_definitions` VALUES (71481, 5960, 19, 'carcinoma da pele');
INSERT INTO `lang_definitions` VALUES (71482, 5961, 19, 'Doença de pele');
INSERT INTO `lang_definitions` VALUES (71483, 5962, 19, 'Pele Outro');
INSERT INTO `lang_definitions` VALUES (71484, 5967, 19, 'Padrões de Sono');
INSERT INTO `lang_definitions` VALUES (71485, 5968, 19, 'Padrões de sono');
INSERT INTO `lang_definitions` VALUES (71486, 5969, 19, 'Dormindo');
INSERT INTO `lang_definitions` VALUES (71487, 5970, 19, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (71488, 5972, 19, 'Sm dívida w/o');
INSERT INTO `lang_definitions` VALUES (71489, 5973, 19, 'Esconderijo de Smarty foi clareado');
INSERT INTO `lang_definitions` VALUES (71490, 5974, 19, 'Fumador, estado actual desconhecido');
INSERT INTO `lang_definitions` VALUES (71491, 5976, 19, 'Fumador');
INSERT INTO `lang_definitions` VALUES (71492, 5978, 19, 'Portal de SMS');
INSERT INTO `lang_definitions` VALUES (71493, 5979, 19, 'Portal de SMS chave de API');
INSERT INTO `lang_definitions` VALUES (71494, 5983, 19, 'Notificação de SMS');
INSERT INTO `lang_definitions` VALUES (71495, 5985, 19, 'SMS enviam antes');
INSERT INTO `lang_definitions` VALUES (71496, 5987, 19, 'Texto de SMS, Etiqueta Utilizável,: * * * NOME * * *, * * * o PROVEDOR * * *, * * * DATA * * *, * * * STARTTIME * * *, * * * ENDTIME***<br> i.e. Querido * * * NOME * * *');
INSERT INTO `lang_definitions` VALUES (71497, 5988, 19, 'SMS/Email Alert Colocações');
INSERT INTO `lang_definitions` VALUES (71498, 6004, 19, 'Ronco');
INSERT INTO `lang_definitions` VALUES (71499, 6005, 19, 'SOAP');
INSERT INTO `lang_definitions` VALUES (71500, 6006, 19, 'Dificuldades sociais');
INSERT INTO `lang_definitions` VALUES (71501, 6009, 19, 'História social:');
INSERT INTO `lang_definitions` VALUES (71502, 6010, 19, 'Número de previdência social');
INSERT INTO `lang_definitions` VALUES (71503, 6011, 19, 'solução');
INSERT INTO `lang_definitions` VALUES (71504, 6013, 19, 'Contexto somático');
INSERT INTO `lang_definitions` VALUES (71505, 6014, 19, 'Algumas autorizações não foram exibidas. Faça tique-taque aqui para ver tudo');
INSERT INTO `lang_definitions` VALUES (71506, 6015, 19, 'Alguns códigos não foram exibidos.');
INSERT INTO `lang_definitions` VALUES (71507, 6016, 19, 'Alguns encontros não foram exibidos. Faça tique-taque aqui para ver tudo.');
INSERT INTO `lang_definitions` VALUES (71508, 6018, 19, 'Algumas notas não foram exibidas.');
INSERT INTO `lang_definitions` VALUES (71509, 6020, 19, 'algumas palavras');
INSERT INTO `lang_definitions` VALUES (71510, 6026, 19, 'Dor de garganta');
INSERT INTO `lang_definitions` VALUES (71511, 6028, 19, 'Erro ao carregar o ficheiro');
INSERT INTO `lang_definitions` VALUES (71512, 6029, 19, 'Ordenar por');
INSERT INTO `lang_definitions` VALUES (71513, 6030, 19, 'Ordenar Por');
INSERT INTO `lang_definitions` VALUES (71514, 6031, 19, 'Ordenar por Checksum');
INSERT INTO `lang_definitions` VALUES (71515, 6032, 19, 'Ordenar por Comentários');
INSERT INTO `lang_definitions` VALUES (71516, 6033, 19, 'Ordenar por Critério');
INSERT INTO `lang_definitions` VALUES (71517, 6034, 19, 'Ordenar por data');
INSERT INTO `lang_definitions` VALUES (71518, 6035, 19, 'Ordenar por data/hora');
INSERT INTO `lang_definitions` VALUES (71519, 6036, 19, 'Ordenar por Evento');
INSERT INTO `lang_definitions` VALUES (71520, 6037, 19, 'Ordenar por Grupo');
INSERT INTO `lang_definitions` VALUES (71521, 6040, 19, 'Ordenar por ID Utente');
INSERT INTO `lang_definitions` VALUES (71522, 6041, 19, 'Ordenar por Sucesso');
INSERT INTO `lang_definitions` VALUES (71523, 6043, 19, 'Ordenar por Utilizador');
INSERT INTO `lang_definitions` VALUES (71524, 6044, 19, 'Ordenar por vacina');
INSERT INTO `lang_definitions` VALUES (71525, 6045, 19, 'Ordem Descendente');
INSERT INTO `lang_definitions` VALUES (71526, 6046, 19, 'Ordenar Resultado por');
INSERT INTO `lang_definitions` VALUES (71527, 6047, 19, 'Ordem Ascendente');
INSERT INTO `lang_definitions` VALUES (71528, 6048, 19, 'Fonte');
INSERT INTO `lang_definitions` VALUES (71529, 6049, 19, 'Ficheiro Fonte');
INSERT INTO `lang_definitions` VALUES (71530, 6051, 19, 'Fonte está perdendo para código ');
INSERT INTO `lang_definitions` VALUES (71531, 6057, 19, 'Fonte:');
INSERT INTO `lang_definitions` VALUES (71532, 6060, 19, 'Espaço');
INSERT INTO `lang_definitions` VALUES (71533, 6062, 19, 'Espanhol');
INSERT INTO `lang_definitions` VALUES (71534, 6068, 19, 'Especialista');
INSERT INTO `lang_definitions` VALUES (71535, 6069, 19, 'Nome do especialista e assinatura');
INSERT INTO `lang_definitions` VALUES (71536, 6071, 19, 'Especialidade');
INSERT INTO `lang_definitions` VALUES (71537, 6072, 19, 'Sistemas de especialidade');
INSERT INTO `lang_definitions` VALUES (71538, 6073, 19, 'Especialidade:');
INSERT INTO `lang_definitions` VALUES (71539, 6074, 19, 'Específico');
INSERT INTO `lang_definitions` VALUES (71540, 6078, 19, 'Serviço específico');
INSERT INTO `lang_definitions` VALUES (71541, 6092, 19, 'Notas');
INSERT INTO `lang_definitions` VALUES (71542, 6093, 19, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (71543, 6094, 19, 'Splenectomy');
INSERT INTO `lang_definitions` VALUES (71544, 6095, 19, 'Cônjuge');
INSERT INTO `lang_definitions` VALUES (71545, 6097, 19, 'Cuspe');
INSERT INTO `lang_definitions` VALUES (71546, 6098, 19, 'Cuspe:');
INSERT INTO `lang_definitions` VALUES (71547, 6099, 19, 'SQ');
INSERT INTO `lang_definitions` VALUES (71548, 6102, 19, 'Esquadra');
INSERT INTO `lang_definitions` VALUES (71549, 6103, 19, 'Sociedade de esquadra');
INSERT INTO `lang_definitions` VALUES (71550, 6104, 19, 'Esquadras');
INSERT INTO `lang_definitions` VALUES (71551, 6105, 19, 'SRH');
INSERT INTO `lang_definitions` VALUES (71552, 6106, 19, 'SRH - Controle de natalidade');
INSERT INTO `lang_definitions` VALUES (71553, 6107, 19, 'SRH Non Controle de natalidade');
INSERT INTO `lang_definitions` VALUES (71554, 6108, 19, 'Indicações de SRH');
INSERT INTO `lang_definitions` VALUES (71555, 6109, 19, 'SRH Visit Forma');
INSERT INTO `lang_definitions` VALUES (71556, 6111, 19, 'N. Ut.');
INSERT INTO `lang_definitions` VALUES (71557, 6113, 19, 'SSN');
INSERT INTO `lang_definitions` VALUES (71558, 6114, 19, 'Estabilidade');
INSERT INTO `lang_definitions` VALUES (71559, 6116, 19, 'Defeito');
INSERT INTO `lang_definitions` VALUES (71560, 6117, 19, 'Código de Defeito');
INSERT INTO `lang_definitions` VALUES (71561, 6122, 19, 'Nome de Defeito');
INSERT INTO `lang_definitions` VALUES (71562, 6124, 19, 'Início');
INSERT INTO `lang_definitions` VALUES (71563, 6125, 19, 'Início (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (71564, 6128, 19, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (71565, 6129, 19, 'Data de Início Nesta Clínica');
INSERT INTO `lang_definitions` VALUES (71566, 6130, 19, 'Data de início deve ser maior que a Data de Fim');
INSERT INTO `lang_definitions` VALUES (71567, 6131, 19, 'Data de início:');
INSERT INTO `lang_definitions` VALUES (71568, 6132, 19, 'Data de Início:');
INSERT INTO `lang_definitions` VALUES (71569, 6133, 19, 'Hora de Início');
INSERT INTO `lang_definitions` VALUES (71570, 6134, 19, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (71571, 6135, 19, 'estd');
INSERT INTO `lang_definitions` VALUES (71572, 6136, 19, 'Distrito');
INSERT INTO `lang_definitions` VALUES (71573, 6141, 19, 'Lista estatal (write,addonly opcional)');
INSERT INTO `lang_definitions` VALUES (71574, 6144, 19, 'State/Locality');
INSERT INTO `lang_definitions` VALUES (71575, 6145, 19, 'State/Parish');
INSERT INTO `lang_definitions` VALUES (71576, 6151, 19, 'Demografia');
INSERT INTO `lang_definitions` VALUES (71577, 6152, 19, 'Estatísticas');
INSERT INTO `lang_definitions` VALUES (71578, 6153, 19, 'Estado');
INSERT INTO `lang_definitions` VALUES (71579, 6156, 19, 'Status quo');
INSERT INTO `lang_definitions` VALUES (71580, 6158, 19, 'STD/AIDS Couns');
INSERT INTO `lang_definitions` VALUES (71581, 6159, 19, 'Stength e Condicionando');
INSERT INTO `lang_definitions` VALUES (71582, 6169, 19, 'articulações duras');
INSERT INTO `lang_definitions` VALUES (71583, 6170, 19, 'Dureza');
INSERT INTO `lang_definitions` VALUES (71584, 6172, 19, 'Dores de estômago');
INSERT INTO `lang_definitions` VALUES (71585, 6175, 19, 'rigidez muscular');
INSERT INTO `lang_definitions` VALUES (71586, 6176, 19, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (71587, 6177, 19, 'Rua');
INSERT INTO `lang_definitions` VALUES (71588, 6178, 19, 'Endereço');
INSERT INTO `lang_definitions` VALUES (71589, 6179, 19, 'Rua e Número');
INSERT INTO `lang_definitions` VALUES (71590, 6180, 19, 'Força');
INSERT INTO `lang_definitions` VALUES (71591, 6182, 19, 'amigdalite streptococica');
INSERT INTO `lang_definitions` VALUES (71592, 6183, 19, 'Fratura de tensão');
INSERT INTO `lang_definitions` VALUES (71593, 6184, 19, 'Teste de stress');
INSERT INTO `lang_definitions` VALUES (71594, 6185, 19, 'Golpe');
INSERT INTO `lang_definitions` VALUES (71595, 6186, 19, 'Uma senha forte tem pelo menos 8 caracteres e pelo três de: uma letra minúscula, uma maiúscula, um caractere especial');
INSERT INTO `lang_definitions` VALUES (71596, 6189, 19, 'Sub-categoria');
INSERT INTO `lang_definitions` VALUES (71597, 6190, 19, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (71598, 6191, 19, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (71599, 6192, 19, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (71600, 6193, 19, 'subcutâneo');
INSERT INTO `lang_definitions` VALUES (71601, 6195, 19, 'Subjetivo');
INSERT INTO `lang_definitions` VALUES (71602, 6196, 19, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (71603, 6197, 19, 'sublingual');
INSERT INTO `lang_definitions` VALUES (71604, 6198, 19, 'Submeter');
INSERT INTO `lang_definitions` VALUES (71605, 6199, 19, 'submeter');
INSERT INTO `lang_definitions` VALUES (71606, 6200, 19, 'Submeter Tudo');
INSERT INTO `lang_definitions` VALUES (71607, 6202, 19, 'Submeter Evento');
INSERT INTO `lang_definitions` VALUES (71608, 6203, 19, 'submeter formulário');
INSERT INTO `lang_definitions` VALUES (71609, 6204, 19, 'Submeter Conteúdo Seleccionado');
INSERT INTO `lang_definitions` VALUES (71610, 6205, 19, 'submetido');
INSERT INTO `lang_definitions` VALUES (71611, 6206, 19, 'Submetido por');
INSERT INTO `lang_definitions` VALUES (71612, 6208, 19, 'Subscritor');
INSERT INTO `lang_definitions` VALUES (71613, 6209, 19, 'Endereço de subscritor');
INSERT INTO `lang_definitions` VALUES (71614, 6213, 19, 'Empregador de subscritor');
INSERT INTO `lang_definitions` VALUES (71615, 6214, 19, 'Empregador de subscritor (SE)');
INSERT INTO `lang_definitions` VALUES (71616, 6215, 19, 'Subscritor Empregador Address');
INSERT INTO `lang_definitions` VALUES (71617, 6216, 19, 'Subscritor Empregador City');
INSERT INTO `lang_definitions` VALUES (71618, 6217, 19, 'Subscritor Empregador Country');
INSERT INTO `lang_definitions` VALUES (71619, 6218, 19, 'Subscritor Empregador State');
INSERT INTO `lang_definitions` VALUES (71620, 6221, 19, 'Subscritor Empregador Cep');
INSERT INTO `lang_definitions` VALUES (71621, 6225, 19, 'Telefone de subscritor');
INSERT INTO `lang_definitions` VALUES (71622, 6226, 19, 'Relação de subscritor');
INSERT INTO `lang_definitions` VALUES (71623, 6227, 19, 'Relação de subscritor não é ego mas nome é o mesmo! Este realmente é o OK?');
INSERT INTO `lang_definitions` VALUES (71624, 6228, 19, 'Relação de subscritor não é ego mas número de SS é o mesmo!');
INSERT INTO `lang_definitions` VALUES (71625, 6229, 19, 'Relação de subscritor é ego mas nome é diferente! Este realmente é o OK?');
INSERT INTO `lang_definitions` VALUES (71626, 6230, 19, 'Relação de subscritor é ego mas número de SS é diferente!');
INSERT INTO `lang_definitions` VALUES (71627, 6231, 19, 'Sexo de subscritor');
INSERT INTO `lang_definitions` VALUES (71628, 6237, 19, 'Substituição');
INSERT INTO `lang_definitions` VALUES (71629, 6238, 19, 'substituição permitida');
INSERT INTO `lang_definitions` VALUES (71630, 6240, 19, 'Sucesso');
INSERT INTO `lang_definitions` VALUES (71631, 6241, 19, 'sucesso');
INSERT INTO `lang_definitions` VALUES (71632, 6247, 19, 'prosperamente acrescentado a categoria,');
INSERT INTO `lang_definitions` VALUES (71633, 6256, 19, 'prosperamente armazenado.');
INSERT INTO `lang_definitions` VALUES (71634, 6259, 19, 'prosperamente.');
INSERT INTO `lang_definitions` VALUES (71635, 6260, 19, 'Suicídio');
INSERT INTO `lang_definitions` VALUES (71636, 6261, 19, 'Resumo');
INSERT INTO `lang_definitions` VALUES (71637, 6262, 19, 'Resumo de');
INSERT INTO `lang_definitions` VALUES (71638, 6265, 19, 'Dom');
INSERT INTO `lang_definitions` VALUES (71639, 6267, 19, 'Domingo');
INSERT INTO `lang_definitions` VALUES (71640, 6268, 19, 'Superbill');
INSERT INTO `lang_definitions` VALUES (71641, 6269, 19, 'Superbill Codes');
INSERT INTO `lang_definitions` VALUES (71642, 6270, 19, 'Superbill Codes Administração');
INSERT INTO `lang_definitions` VALUES (71643, 6271, 19, 'Superbill Report');
INSERT INTO `lang_definitions` VALUES (71644, 6274, 19, 'Superbills, às vezes chamado Formas de Encontro ou Deslizes Derrotando, são uma parte essencial da maioria das práticas médicas.');
INSERT INTO `lang_definitions` VALUES (71645, 6275, 19, 'Superutilizador');
INSERT INTO `lang_definitions` VALUES (71646, 6276, 19, 'Supervisionando');
INSERT INTO `lang_definitions` VALUES (71647, 6289, 19, 'Tipo de superfície');
INSERT INTO `lang_definitions` VALUES (71648, 6290, 19, 'Cirurgias');
INSERT INTO `lang_definitions` VALUES (71649, 6291, 19, 'Cirurgia');
INSERT INTO `lang_definitions` VALUES (71650, 6293, 19, 'Suspenso');
INSERT INTO `lang_definitions` VALUES (71651, 6294, 19, 'suspensão');
INSERT INTO `lang_definitions` VALUES (71652, 6295, 19, 'Svc Date');
INSERT INTO `lang_definitions` VALUES (71653, 6296, 19, 'Svc Date:');
INSERT INTO `lang_definitions` VALUES (71654, 6299, 19, 'Transpiração:');
INSERT INTO `lang_definitions` VALUES (71655, 6300, 19, 'Sueco');
INSERT INTO `lang_definitions` VALUES (71656, 6301, 19, 'Inchaço');
INSERT INTO `lang_definitions` VALUES (71657, 6302, 19, 'Direito inchando');
INSERT INTO `lang_definitions` VALUES (71658, 6303, 19, 'articulações inchadas');
INSERT INTO `lang_definitions` VALUES (71659, 6304, 19, 'Ganglios linfáticos aumentados');
INSERT INTO `lang_definitions` VALUES (71660, 6307, 19, 'Sintomas');
INSERT INTO `lang_definitions` VALUES (71661, 6308, 19, 'Sincronizar');
INSERT INTO `lang_definitions` VALUES (71662, 6313, 19, 'Síncope');
INSERT INTO `lang_definitions` VALUES (71663, 6317, 19, 'Synovitis, intrusão, bursite,');
INSERT INTO `lang_definitions` VALUES (71664, 6318, 19, 'Sistema');
INSERT INTO `lang_definitions` VALUES (71665, 6322, 19, 'T');
INSERT INTO `lang_definitions` VALUES (71666, 6323, 19, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (71667, 6324, 19, 'T.V.');
INSERT INTO `lang_definitions` VALUES (71668, 6327, 19, 'Erro ao criar a tabela');
INSERT INTO `lang_definitions` VALUES (71669, 6328, 19, 'Erro ao actualizar a tabela');
INSERT INTO `lang_definitions` VALUES (71670, 6330, 19, 'comprimido');
INSERT INTO `lang_definitions` VALUES (71671, 6335, 19, 'Levar');
INSERT INTO `lang_definitions` VALUES (71672, 6339, 19, 'Objetos pegados muito tempo');
INSERT INTO `lang_definitions` VALUES (71673, 6355, 19, 'Taxa de imposição');
INSERT INTO `lang_definitions` VALUES (71674, 6356, 19, 'Impostos');
INSERT INTO `lang_definitions` VALUES (71675, 6357, 19, 'Taxonomia');
INSERT INTO `lang_definitions` VALUES (71676, 6358, 19, 'Td');
INSERT INTO `lang_definitions` VALUES (71677, 6359, 19, 'Emparelhe Avaliação de Dano');
INSERT INTO `lang_definitions` VALUES (71678, 6360, 19, 'Emparelhe Lista');
INSERT INTO `lang_definitions` VALUES (71679, 6361, 19, 'Emparelhe Visão de Lista');
INSERT INTO `lang_definitions` VALUES (71680, 6363, 19, 'Tel');
INSERT INTO `lang_definitions` VALUES (71681, 6364, 19, 'Código do País');
INSERT INTO `lang_definitions` VALUES (71682, 6366, 19, 'Temp');
INSERT INTO `lang_definitions` VALUES (71683, 6367, 19, 'Localização Temp');
INSERT INTO `lang_definitions` VALUES (71684, 6368, 19, 'Método temporário');
INSERT INTO `lang_definitions` VALUES (71685, 6369, 19, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (71686, 6370, 19, 'Modelo');
INSERT INTO `lang_definitions` VALUES (71687, 6371, 19, 'Nome de modelo');
INSERT INTO `lang_definitions` VALUES (71688, 6372, 19, 'Nomes de modelo não podem começar com números.');
INSERT INTO `lang_definitions` VALUES (71689, 6373, 19, 'Modelo:');
INSERT INTO `lang_definitions` VALUES (71690, 6374, 19, 'Modelos');
INSERT INTO `lang_definitions` VALUES (71691, 6375, 19, 'Artéria temporal');
INSERT INTO `lang_definitions` VALUES (71692, 6376, 19, 'Dano de tendão');
INSERT INTO `lang_definitions` VALUES (71693, 6377, 19, 'Tendinite / osis / bursite');
INSERT INTO `lang_definitions` VALUES (71694, 6379, 19, 'Terciário');
INSERT INTO `lang_definitions` VALUES (71695, 6380, 19, 'Seguro terciário');
INSERT INTO `lang_definitions` VALUES (71696, 6381, 19, 'Dados de Seguro terciários');
INSERT INTO `lang_definitions` VALUES (71697, 6382, 19, 'Provedor de Seguro terciário');
INSERT INTO `lang_definitions` VALUES (71698, 6383, 19, 'Programação de teste');
INSERT INTO `lang_definitions` VALUES (71699, 6384, 19, 'Sistema de teste');
INSERT INTO `lang_definitions` VALUES (71700, 6387, 19, 'Campo de Texto');
INSERT INTO `lang_definitions` VALUES (71701, 6393, 19, 'Data');
INSERT INTO `lang_definitions` VALUES (71702, 6394, 19, 'data');
INSERT INTO `lang_definitions` VALUES (71703, 6395, 19, 'Área de Texto');
INSERT INTO `lang_definitions` VALUES (71704, 6396, 19, 'área de texto');
INSERT INTO `lang_definitions` VALUES (71705, 6397, 19, 'Caixa de Texto');
INSERT INTO `lang_definitions` VALUES (71706, 6398, 19, 'caixa de texto');
INSERT INTO `lang_definitions` VALUES (71707, 6399, 19, 'Lista caixa de texto');
INSERT INTO `lang_definitions` VALUES (71708, 6400, 19, 'Lista caixa de texto');
INSERT INTO `lang_definitions` VALUES (71709, 6401, 19, 'Tailandês');
INSERT INTO `lang_definitions` VALUES (71710, 6402, 19, 'Obrigado');
INSERT INTO `lang_definitions` VALUES (71711, 6403, 19, 'Obrigado pela preferência');
INSERT INTO `lang_definitions` VALUES (71712, 6408, 19, 'O arquivo de reivindicação: ');
INSERT INTO `lang_definitions` VALUES (71713, 6413, 19, 'o Código de Negação é');
INSERT INTO `lang_definitions` VALUES (71714, 6415, 19, 'O formulário de destino foi fechado');
INSERT INTO `lang_definitions` VALUES (71715, 6416, 19, 'A forma de destino estava fechada; Eu não posso agir em sua seleção.');
INSERT INTO `lang_definitions` VALUES (71716, 6422, 19, 'O evento(s) foi aprovado.');
INSERT INTO `lang_definitions` VALUES (71717, 6423, 19, 'O evento(s) foi escondido.');
INSERT INTO `lang_definitions` VALUES (71718, 6424, 19, 'O dados exportado se aparece na área de texto abaixo. Você pode copiar e pode colar isto em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (71719, 6426, 19, 'O dados exportado se aparece na área de texto abaixo. Você pode copiar e pode colar isto em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (71720, 6434, 19, 'O evento de calendário seguinte foi somado:');
INSERT INTO `lang_definitions` VALUES (71721, 6435, 19, 'O evento de calendário seguinte foi modifed:');
INSERT INTO `lang_definitions` VALUES (71722, 6441, 19, 'Os erros seguintes aconteceram');
INSERT INTO `lang_definitions` VALUES (71723, 6450, 19, 'A janela inicial é a página de procura de fatura. Ao topo você pode entrar em uma fonte (por exemplo confira número), pague data e confira quantia. A razão para a fonte e data de pagamento está de forma que você dom \'t têm que entrar neles inúmeras vezes para cada reivindicação. A quantia na que você entra será diminuída para cada fatura que é determinada parte do pagamento, e esperançosamente terminará a zero quando você for terminado.');
INSERT INTO `lang_definitions` VALUES (71724, 6456, 19, 'O rótulo que se aparece ao usuário na forma');
INSERT INTO `lang_definitions` VALUES (71725, 6460, 19, 'A nova categoria será uma subcategoria de ');
INSERT INTO `lang_definitions` VALUES (71726, 6475, 19, 'A informação restante debaixo de só aplica se você está postando manualmente, ou se você está fazendo correções manuais.');
INSERT INTO `lang_definitions` VALUES (71727, 6477, 19, 'O documento pedido não está presente no local esperado no filesystem ou não há permissões suficientes para acessar isto.');
INSERT INTO `lang_definitions` VALUES (71728, 6480, 19, 'São copiadas a Fonte e colunas de Data da primeira página, tão normalmente você não precisará tocar esses. Você pode pôr uma quantia de pagamento na coluna de Pagamento, uma quantia de ajuste no Ajuste coluna, ou ambos. Você também pode clicar à direita o \"W\" para computar um valor de ajuste que escreve fora o resto do custo para aquele artigo de linha automaticamente.');
INSERT INTO `lang_definitions` VALUES (71729, 6485, 19, 'O rótulo traduzido que se aparecerá na forma em idioma atual');
INSERT INTO `lang_definitions` VALUES (71730, 6486, 19, 'O Título traduzido que se aparecerá em idioma atual');
INSERT INTO `lang_definitions` VALUES (71731, 6487, 19, 'A tradução de descrição em idioma atual');
INSERT INTO `lang_definitions` VALUES (71732, 6491, 19, 'O X12 arquiva como também a HTML resultante produziu são arquivados relatórios no subdiretório de \"era\" do LibreEHR instalação diretório principal. Você quererá recorrer de vez em quando a estes arquivos. A URL é');
INSERT INTO `lang_definitions` VALUES (71733, 6493, 19, 'Tema');
INSERT INTO `lang_definitions` VALUES (71734, 6495, 19, 'Injeções terapêuticas');
INSERT INTO `lang_definitions` VALUES (71735, 6496, 19, 'Há');
INSERT INTO `lang_definitions` VALUES (71736, 6497, 19, 'Não há prescrição');
INSERT INTO `lang_definitions` VALUES (71737, 6498, 19, 'Há erros com sua submissão. Estes são esboçados abaixo.');
INSERT INTO `lang_definitions` VALUES (71738, 6501, 19, 'Não há informações para este utente.');
INSERT INTO `lang_definitions` VALUES (71739, 6502, 19, 'Não há nenhuma Submissão Nova');
INSERT INTO `lang_definitions` VALUES (71740, 6503, 19, 'Não há notas para este utente.');
INSERT INTO `lang_definitions` VALUES (71741, 6504, 19, 'Não há transações para este utente.');
INSERT INTO `lang_definitions` VALUES (71742, 6505, 19, 'Houve um erro de correio que envia');
INSERT INTO `lang_definitions` VALUES (71743, 6510, 19, 'Não há nenhuma entrada de COA para conta de AR ');
INSERT INTO `lang_definitions` VALUES (71744, 6511, 19, 'Não há nenhuma entrada de COA para conta de caixa ');
INSERT INTO `lang_definitions` VALUES (71745, 6512, 19, 'Não há nenhuma entrada de COA para conta de renda ');
INSERT INTO `lang_definitions` VALUES (71746, 6513, 19, 'Não há utente activo');
INSERT INTO `lang_definitions` VALUES (71747, 6515, 19, 'Não há nenhuma partida para id de fatura');
INSERT INTO `lang_definitions` VALUES (71748, 6516, 19, 'Não há nenhuma partida para id de fatura = ');
INSERT INTO `lang_definitions` VALUES (71749, 6517, 19, 'Não há nenhuma entrada de partes para serviços ID ');
INSERT INTO `lang_definitions` VALUES (71750, 6520, 19, 'Havia um erro enquanto processando seu pedido.');
INSERT INTO `lang_definitions` VALUES (71751, 6523, 19, 'Direito engrossado:');
INSERT INTO `lang_definitions` VALUES (71752, 6524, 19, 'Coxa');
INSERT INTO `lang_definitions` VALUES (71753, 6525, 19, 'Coxa + paralise');
INSERT INTO `lang_definitions` VALUES (71754, 6527, 19, 'Coisas que o escritório pode ler e pode entrar mas não pode modificar');
INSERT INTO `lang_definitions` VALUES (71755, 6528, 19, 'Coisas que o escritório pode ler e pode modificar');
INSERT INTO `lang_definitions` VALUES (71756, 6531, 19, 'Coisas que os clínicos podem ler e podem entrar mas não podem modificar');
INSERT INTO `lang_definitions` VALUES (71757, 6532, 19, 'Coisas que os clínicos podem ler e podem modificar');
INSERT INTO `lang_definitions` VALUES (71758, 6535, 19, 'Coisas que escritório dianteiro pode ler e pode entrar mas não pode modificar');
INSERT INTO `lang_definitions` VALUES (71759, 6536, 19, 'Coisas que escritório dianteiro pode ler e pode modificar');
INSERT INTO `lang_definitions` VALUES (71760, 6539, 19, 'Coisas que os médicos podem ler e podem entrar mas não podem modificar');
INSERT INTO `lang_definitions` VALUES (71761, 6540, 19, 'Coisas que os médicos podem ler e podem modificar');
INSERT INTO `lang_definitions` VALUES (71762, 6542, 19, 'Terceiro');
INSERT INTO `lang_definitions` VALUES (71763, 6544, 19, 'Esta ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (71764, 6545, 19, 'Esta ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (71765, 6547, 19, 'A acção vai ser registada');
INSERT INTO `lang_definitions` VALUES (71766, 6556, 19, 'Este tipo de código não aceita relações.');
INSERT INTO `lang_definitions` VALUES (71767, 6561, 19, 'Esta Consulta');
INSERT INTO `lang_definitions` VALUES (71768, 6566, 19, 'Este número de fatura foi mudado ');
INSERT INTO `lang_definitions` VALUES (71769, 6575, 19, 'Este módulo está em modo de teste. O banco de dados não será mudado.');
INSERT INTO `lang_definitions` VALUES (71770, 6576, 19, 'Este módulo promove entrada eficiente de dados de EOB.');
INSERT INTO `lang_definitions` VALUES (71771, 6577, 19, 'Este mês até à data');
INSERT INTO `lang_definitions` VALUES (71772, 6581, 19, 'Esta página vai inline incluem a página de login, de forma que nós não têm clicar relogin toda vez.');
INSERT INTO `lang_definitions` VALUES (71773, 6582, 19, 'Este doente não tem nenhuma atividade.');
INSERT INTO `lang_definitions` VALUES (71774, 6583, 19, 'Este ID de doente já está a ser usada!');
INSERT INTO `lang_definitions` VALUES (71775, 6592, 19, 'Este utilizador não pertence a qualquer grupo');
INSERT INTO `lang_definitions` VALUES (71776, 6595, 19, 'Esta visita começa uso anticoncepcional novo');
INSERT INTO `lang_definitions` VALUES (71777, 6598, 19, 'Esta semana até à data');
INSERT INTO `lang_definitions` VALUES (71778, 6606, 19, 'Isto criará um auxílio em formato de piche e então envia isto a seu browser de teia assim você pode salvar isto');
INSERT INTO `lang_definitions` VALUES (71779, 6622, 19, 'Espinha torácica');
INSERT INTO `lang_definitions` VALUES (71780, 6625, 19, 'Garganta');
INSERT INTO `lang_definitions` VALUES (71781, 6626, 19, 'Câncer de garganta');
INSERT INTO `lang_definitions` VALUES (71782, 6627, 19, 'Cirurgia de Câncer de garganta');
INSERT INTO `lang_definitions` VALUES (71783, 6628, 19, 'Thrombosis/Stroke');
INSERT INTO `lang_definitions` VALUES (71784, 6629, 19, 'Qui');
INSERT INTO `lang_definitions` VALUES (71785, 6630, 19, 'Quinta');
INSERT INTO `lang_definitions` VALUES (71786, 6631, 19, 'Quinta');
INSERT INTO `lang_definitions` VALUES (71787, 6632, 19, 'Normal tiróide');
INSERT INTO `lang_definitions` VALUES (71788, 6633, 19, 'Problemas tiróides');
INSERT INTO `lang_definitions` VALUES (71789, 6634, 19, 'TIA');
INSERT INTO `lang_definitions` VALUES (71790, 6638, 19, 'Hora');
INSERT INTO `lang_definitions` VALUES (71791, 6639, 19, 'Formato da Hora');
INSERT INTO `lang_definitions` VALUES (71792, 6640, 19, 'Incremento de tempo para Some (atas 1-60)');
INSERT INTO `lang_definitions` VALUES (71793, 6647, 19, 'Evento cronometrado');
INSERT INTO `lang_definitions` VALUES (71794, 6648, 19, 'Tempos formam (N/A)');
INSERT INTO `lang_definitions` VALUES (71795, 6649, 19, 'Timestamp e Texto');
INSERT INTO `lang_definitions` VALUES (71796, 6650, 19, 'LATA');
INSERT INTO `lang_definitions` VALUES (71797, 6651, 19, 'Tinido');
INSERT INTO `lang_definitions` VALUES (71798, 6652, 19, 'Título');
INSERT INTO `lang_definitions` VALUES (71799, 6653, 19, 'Título V');
INSERT INTO `lang_definitions` VALUES (71800, 6654, 19, 'TitleCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (71801, 6655, 19, 'Títulos');
INSERT INTO `lang_definitions` VALUES (71802, 6656, 19, 'TM \'S:');
INSERT INTO `lang_definitions` VALUES (71803, 6657, 19, 'TMs/EAMs/EE, nariz de ext,');
INSERT INTO `lang_definitions` VALUES (71804, 6658, 19, 'Para');
INSERT INTO `lang_definitions` VALUES (71805, 6659, 19, 'PARA');
INSERT INTO `lang_definitions` VALUES (71806, 6660, 19, 'para');
INSERT INTO `lang_definitions` VALUES (71807, 6662, 19, 'Adicione notas aqui ');
INSERT INTO `lang_definitions` VALUES (71808, 6663, 19, 'Adicione notas aqui');
INSERT INTO `lang_definitions` VALUES (71809, 6664, 19, 'Para Área Afetada');
INSERT INTO `lang_definitions` VALUES (71810, 6665, 19, 'para área afetada');
INSERT INTO `lang_definitions` VALUES (71811, 6667, 19, 'Para Faturar Visão');
INSERT INTO `lang_definitions` VALUES (71812, 6668, 19, 'para categoria');
INSERT INTO `lang_definitions` VALUES (71813, 6669, 19, 'Para Visão Clínica');
INSERT INTO `lang_definitions` VALUES (71814, 6670, 19, 'Para copay');
INSERT INTO `lang_definitions` VALUES (71815, 6672, 19, 'Para ded\'ble');
INSERT INTO `lang_definitions` VALUES (71816, 6673, 19, 'Para Dems');
INSERT INTO `lang_definitions` VALUES (71817, 6679, 19, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (71818, 6680, 19, 'Filtrar através de sexo');
INSERT INTO `lang_definitions` VALUES (71819, 6681, 19, 'Para História');
INSERT INTO `lang_definitions` VALUES (71820, 6682, 19, 'Para Assuntos');
INSERT INTO `lang_definitions` VALUES (71821, 6684, 19, 'Unir este encounter/consult a um assunto existente, clique o assunto desejado acima realçar isto e então clicar [Economize]. Sujeite [Ctrl] botão para selecionar assuntos múltiplos.');
INSERT INTO `lang_definitions` VALUES (71822, 6685, 19, 'para login novamente');
INSERT INTO `lang_definitions` VALUES (71823, 6686, 19, 'Para registar informação, carregue');
INSERT INTO `lang_definitions` VALUES (71824, 6687, 19, 'para executar');
INSERT INTO `lang_definitions` VALUES (71825, 6689, 19, 'Esfolar');
INSERT INTO `lang_definitions` VALUES (71826, 6690, 19, 'esfolar');
INSERT INTO `lang_definitions` VALUES (71827, 6691, 19, 'para esta visita?');
INSERT INTO `lang_definitions` VALUES (71828, 6693, 19, 'Para:');
INSERT INTO `lang_definitions` VALUES (71829, 6694, 19, 'Para: ');
INSERT INTO `lang_definitions` VALUES (71830, 6695, 19, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (71831, 6696, 19, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (71832, 6697, 19, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (71833, 6698, 19, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (71834, 6699, 19, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (71835, 6700, 19, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (71836, 6703, 19, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (71837, 6704, 19, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (71838, 6705, 19, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (71839, 6706, 19, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (71840, 6707, 19, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (71841, 6708, 19, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (71842, 6712, 19, 'Uso de tabaco');
INSERT INTO `lang_definitions` VALUES (71843, 6715, 19, 'Hoje');
INSERT INTO `lang_definitions` VALUES (71844, 6720, 19, 'Hoje \'Data de s');
INSERT INTO `lang_definitions` VALUES (71845, 6721, 19, 'Hoje \'Eventos de s');
INSERT INTO `lang_definitions` VALUES (71846, 6726, 19, 'Amigdalectomia');
INSERT INTO `lang_definitions` VALUES (71847, 6728, 19, 'Topo');
INSERT INTO `lang_definitions` VALUES (71848, 6730, 19, 'Tópico');
INSERT INTO `lang_definitions` VALUES (71849, 6731, 19, 'Total');
INSERT INTO `lang_definitions` VALUES (71850, 6732, 19, 'total');
INSERT INTO `lang_definitions` VALUES (71851, 6737, 19, 'Total Devido');
INSERT INTO `lang_definitions` VALUES (71852, 6738, 19, 'Total Pago');
INSERT INTO `lang_definitions` VALUES (71853, 6741, 19, 'Total Custos');
INSERT INTO `lang_definitions` VALUES (71854, 6742, 19, 'Total Clientes');
INSERT INTO `lang_definitions` VALUES (71855, 6743, 19, 'Custo Total');
INSERT INTO `lang_definitions` VALUES (71856, 6748, 19, 'Total para');
INSERT INTO `lang_definitions` VALUES (71857, 6749, 19, 'Total para ');
INSERT INTO `lang_definitions` VALUES (71858, 6750, 19, 'Total para categoria');
INSERT INTO `lang_definitions` VALUES (71859, 6758, 19, 'Num. Total Utentes');
INSERT INTO `lang_definitions` VALUES (71860, 6765, 19, 'Total SRH & Planeamento Familiar');
INSERT INTO `lang_definitions` VALUES (71861, 6776, 19, 'Totais');
INSERT INTO `lang_definitions` VALUES (71862, 6777, 19, 'Totais para');
INSERT INTO `lang_definitions` VALUES (71863, 6778, 19, 'Totais para ');
INSERT INTO `lang_definitions` VALUES (71864, 6785, 19, 'Tipo de Formação');
INSERT INTO `lang_definitions` VALUES (71865, 6786, 19, 'Transação');
INSERT INTO `lang_definitions` VALUES (71866, 6787, 19, 'Transação');
INSERT INTO `lang_definitions` VALUES (71867, 6788, 19, 'transação');
INSERT INTO `lang_definitions` VALUES (71868, 6791, 19, 'Tipo de transação');
INSERT INTO `lang_definitions` VALUES (71869, 6793, 19, 'Transações');
INSERT INTO `lang_definitions` VALUES (71870, 6794, 19, 'Transações (opcional)');
INSERT INTO `lang_definitions` VALUES (71871, 6795, 19, 'Transações/Referenciadas');
INSERT INTO `lang_definitions` VALUES (71872, 6813, 19, 'traduza isto');
INSERT INTO `lang_definitions` VALUES (71873, 6814, 19, 'Tradução');
INSERT INTO `lang_definitions` VALUES (71874, 6815, 19, 'Traduções');
INSERT INTO `lang_definitions` VALUES (71875, 6819, 19, 'Trauma');
INSERT INTO `lang_definitions` VALUES (71876, 6822, 19, 'Tratamento: Objectivos');
INSERT INTO `lang_definitions` VALUES (71877, 6823, 19, 'Tratamento: Plano');
INSERT INTO `lang_definitions` VALUES (71878, 6826, 19, 'Tratamento:');
INSERT INTO `lang_definitions` VALUES (71879, 6827, 19, 'Tratamento: ');
INSERT INTO `lang_definitions` VALUES (71880, 6829, 19, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000))); $month_value');
INSERT INTO `lang_definitions` VALUES (71881, 6830, 19, 'Ponto de gatilho / síndroma compartimental / DOMS / câimbra');
INSERT INTO `lang_definitions` VALUES (71882, 6831, 19, 'Trimaleolar');
INSERT INTO `lang_definitions` VALUES (71883, 6832, 19, 'Tronco e abdómen');
INSERT INTO `lang_definitions` VALUES (71884, 6837, 19, 'tsp');
INSERT INTO `lang_definitions` VALUES (71885, 6839, 19, 'TTS');
INSERT INTO `lang_definitions` VALUES (71886, 6840, 19, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (71887, 6841, 19, 'Ter');
INSERT INTO `lang_definitions` VALUES (71888, 6842, 19, 'Ter &amp; Qui');
INSERT INTO `lang_definitions` VALUES (71889, 6843, 19, 'Terça');
INSERT INTO `lang_definitions` VALUES (71890, 6844, 19, 'Tumor');
INSERT INTO `lang_definitions` VALUES (71891, 6845, 19, 'Turco');
INSERT INTO `lang_definitions` VALUES (71892, 6848, 19, 'duas vezes ao dia');
INSERT INTO `lang_definitions` VALUES (71893, 6850, 19, 'Membrana timpânica');
INSERT INTO `lang_definitions` VALUES (71894, 6851, 19, 'Tipo');
INSERT INTO `lang_definitions` VALUES (71895, 6857, 19, 'Tipo ou esquadrinha o identificador paciente aqui');
INSERT INTO `lang_definitions` VALUES (71896, 6864, 19, 'Códigos de UCSMC providos pela Universidade de Calgary Centro de Medicina De esporte');
INSERT INTO `lang_definitions` VALUES (71897, 6866, 19, 'Ulcerações');
INSERT INTO `lang_definitions` VALUES (71898, 6867, 19, 'Colites ulcerativas');
INSERT INTO `lang_definitions` VALUES (71899, 6868, 19, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (71900, 6877, 19, 'Sem registo');
INSERT INTO `lang_definitions` VALUES (71901, 6880, 19, 'Acesso sem autorização.');
INSERT INTO `lang_definitions` VALUES (71902, 6884, 19, 'debaixo de língua');
INSERT INTO `lang_definitions` VALUES (71903, 6885, 19, 'De peso inferior ao normal');
INSERT INTO `lang_definitions` VALUES (71904, 6886, 19, 'Undiagnosed');
INSERT INTO `lang_definitions` VALUES (71905, 6890, 19, 'Desfaça Saída');
INSERT INTO `lang_definitions` VALUES (71906, 6892, 19, 'Clientes sem igual');
INSERT INTO `lang_definitions` VALUES (71907, 6894, 19, 'Clientes Novos sem igual');
INSERT INTO `lang_definitions` VALUES (71908, 6896, 19, 'Pacientes Vistos sem igual');
INSERT INTO `lang_definitions` VALUES (71909, 6897, 19, 'Relatório de Pacientes Visto sem igual');
INSERT INTO `lang_definitions` VALUES (71910, 6898, 19, 'SP sem igual');
INSERT INTO `lang_definitions` VALUES (71911, 6899, 19, 'Unidade');
INSERT INTO `lang_definitions` VALUES (71912, 6900, 19, 'Unidades');
INSERT INTO `lang_definitions` VALUES (71913, 6901, 19, 'unidades');
INSERT INTO `lang_definitions` VALUES (71914, 6903, 19, 'Unidades dos Formulários');
INSERT INTO `lang_definitions` VALUES (71915, 6904, 19, 'Unidades devem ser um número');
INSERT INTO `lang_definitions` VALUES (71916, 6907, 19, 'Desconhecido');
INSERT INTO `lang_definitions` VALUES (71917, 6911, 19, 'Desconhecido ou N/A');
INSERT INTO `lang_definitions` VALUES (71918, 6914, 19, 'Companhia de seguros não mencionada');
INSERT INTO `lang_definitions` VALUES (71919, 6915, 19, 'Não registrado');
INSERT INTO `lang_definitions` VALUES (71920, 6918, 19, 'Unselect Tudo');
INSERT INTO `lang_definitions` VALUES (71921, 6919, 19, 'Unselected');
INSERT INTO `lang_definitions` VALUES (71922, 6920, 19, 'Não especificado');
INSERT INTO `lang_definitions` VALUES (71923, 6924, 19, 'até');
INSERT INTO `lang_definitions` VALUES (71924, 6925, 19, 'Intempestivamente arquivamento');
INSERT INTO `lang_definitions` VALUES (71925, 6926, 19, 'Não Utilizado');
INSERT INTO `lang_definitions` VALUES (71926, 6927, 19, 'UOR');
INSERT INTO `lang_definitions` VALUES (71927, 6928, 19, 'Até');
INSERT INTO `lang_definitions` VALUES (71928, 6929, 19, 'Próximas Marcações');
INSERT INTO `lang_definitions` VALUES (71929, 6930, 19, 'Eventos a chegar');
INSERT INTO `lang_definitions` VALUES (71930, 6931, 19, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (71931, 6932, 19, 'actualizar');
INSERT INTO `lang_definitions` VALUES (71932, 6934, 19, 'Actualizar ficheiros');
INSERT INTO `lang_definitions` VALUES (71933, 6935, 19, 'Actualizar Informação');
INSERT INTO `lang_definitions` VALUES (71934, 6942, 19, 'Atualizando demographics não é autorizado.');
INSERT INTO `lang_definitions` VALUES (71935, 6950, 19, 'Cédula Profissional');
INSERT INTO `lang_definitions` VALUES (71936, 6951, 19, 'Carga');
INSERT INTO `lang_definitions` VALUES (71937, 6954, 19, 'Transfera dados de configuração');
INSERT INTO `lang_definitions` VALUES (71938, 6955, 19, 'Transfera Documento');
INSERT INTO `lang_definitions` VALUES (71939, 6956, 19, 'Carga falhou!');
INSERT INTO `lang_definitions` VALUES (71940, 6958, 19, 'Transfera arquivo de importação:');
INSERT INTO `lang_definitions` VALUES (71941, 6961, 19, 'Transfera Relatório');
INSERT INTO `lang_definitions` VALUES (71942, 6963, 19, 'Transfera este arquivo:');
INSERT INTO `lang_definitions` VALUES (71943, 6964, 19, 'Ao clicar um número de fatura a janela postando\" manual\" se aparece. Aqui você pode mudar a data de vencimento e notas para a fatura, selecione a festa para quem você está postando, e seleciona foram recebidos os seguros para os quais tudo esperaram paymants. Importantemente, para cada código de faturamento pelo qual uma quantia foi cobrada, você pode entrar em pagamento e informação de ajuste.');
INSERT INTO `lang_definitions` VALUES (71944, 6965, 19, 'Ao o procurar é apresentado com uma lista de faturas. Você pode clicar aceso dos números de fatura abrir uma segunda janela que é a página de entrada de dados por manual postar. Você também pode fazer tique-taque em um nome paciente se você quiser entrar em uma nota que o pessoal de escritório dianteiro verá quando os cheques pacientes em, e você pode selecionar faturas para se aparecer em declarações pacientes e imprimir essas declarações.');
INSERT INTO `lang_definitions` VALUES (71945, 6966, 19, 'Braço superior');
INSERT INTO `lang_definitions` VALUES (71946, 6968, 19, 'Urgência');
INSERT INTO `lang_definitions` VALUES (71947, 6971, 19, 'Urina Pingando');
INSERT INTO `lang_definitions` VALUES (71948, 6972, 19, 'Freqüência de urina');
INSERT INTO `lang_definitions` VALUES (71949, 6973, 19, 'Hesitação de urina');
INSERT INTO `lang_definitions` VALUES (71950, 6975, 19, 'Fluxo de urina');
INSERT INTO `lang_definitions` VALUES (71951, 6976, 19, 'Urgência de urina');
INSERT INTO `lang_definitions` VALUES (71952, 6977, 19, 'URL');
INSERT INTO `lang_definitions` VALUES (71953, 6988, 19, 'Use 24 formato de tempo de hora?');
INSERT INTO `lang_definitions` VALUES (71954, 7000, 19, 'Faltas de uso');
INSERT INTO `lang_definitions` VALUES (71955, 7002, 19, 'Use estilo de data internacional?');
INSERT INTO `lang_definitions` VALUES (71956, 7005, 19, 'Só use esta característica com locais recentemente instalados, ');
INSERT INTO `lang_definitions` VALUES (71957, 7006, 19, 'Use tópicos?');
INSERT INTO `lang_definitions` VALUES (71958, 7007, 19, 'Utilizador');
INSERT INTO `lang_definitions` VALUES (71959, 7009, 19, 'Utilizador / Grupos');
INSERT INTO `lang_definitions` VALUES (71960, 7010, 19, 'Administração de usuário');
INSERT INTO `lang_definitions` VALUES (71961, 7011, 19, 'Administração de Utilizadores e Instalações');
INSERT INTO `lang_definitions` VALUES (71962, 7012, 19, 'Administração de Utilizadores e Grupos');
INSERT INTO `lang_definitions` VALUES (71963, 7014, 19, 'Autenticação de Utilizadores por Certificado está desabilitado');
INSERT INTO `lang_definitions` VALUES (71964, 7015, 19, 'Personalizado');
INSERT INTO `lang_definitions` VALUES (71965, 7016, 19, 'Área Personalizada 11');
INSERT INTO `lang_definitions` VALUES (71966, 7017, 19, 'Área Personalizada 12');
INSERT INTO `lang_definitions` VALUES (71967, 7018, 19, 'Campo Personalizado');
INSERT INTO `lang_definitions` VALUES (71968, 7019, 19, 'Lista Personalizada 1');
INSERT INTO `lang_definitions` VALUES (71969, 7020, 19, 'Lista Personalizada 2');
INSERT INTO `lang_definitions` VALUES (71970, 7021, 19, 'Lista Personalizada 3');
INSERT INTO `lang_definitions` VALUES (71971, 7022, 19, 'Lista Personalizada 4');
INSERT INTO `lang_definitions` VALUES (71972, 7023, 19, 'Lista Personalizada 5');
INSERT INTO `lang_definitions` VALUES (71973, 7024, 19, 'Lista Personalizada 6');
INSERT INTO `lang_definitions` VALUES (71974, 7025, 19, 'Lista Personalizada 7');
INSERT INTO `lang_definitions` VALUES (71975, 7026, 19, 'Texto Personalizado 1');
INSERT INTO `lang_definitions` VALUES (71976, 7027, 19, 'Texto Personalizado 2');
INSERT INTO `lang_definitions` VALUES (71977, 7028, 19, 'Texto Personalizado 3');
INSERT INTO `lang_definitions` VALUES (71978, 7029, 19, 'Texto Personalizado 4');
INSERT INTO `lang_definitions` VALUES (71979, 7030, 19, 'Texto Personalizado 5');
INSERT INTO `lang_definitions` VALUES (71980, 7031, 19, 'Texto Personalizado 6');
INSERT INTO `lang_definitions` VALUES (71981, 7032, 19, 'Texto Personalizado 7');
INSERT INTO `lang_definitions` VALUES (71982, 7033, 19, 'Texto Personalizado 8');
INSERT INTO `lang_definitions` VALUES (71983, 7039, 19, 'Manual do Utilizador');
INSERT INTO `lang_definitions` VALUES (71984, 7040, 19, 'Grupos do Utilizador');
INSERT INTO `lang_definitions` VALUES (71985, 7049, 19, 'Utilizador');
INSERT INTO `lang_definitions` VALUES (71986, 7052, 19, 'Utilizador para a Gateway de SMS');
INSERT INTO `lang_definitions` VALUES (71987, 7053, 19, 'Utilizador para a Gateway de SMS.');
INSERT INTO `lang_definitions` VALUES (71988, 7055, 19, 'Utilizador:');
INSERT INTO `lang_definitions` VALUES (71989, 7056, 19, 'Utilizadores');
INSERT INTO `lang_definitions` VALUES (71990, 7057, 19, 'Administração Utilizadores/Grupos/Registos');
INSERT INTO `lang_definitions` VALUES (71991, 7058, 19, 'usa <a php href=\"\"http://php.net/strftime\"\"> strftime </ a> formato');
INSERT INTO `lang_definitions` VALUES (71992, 7059, 19, 'UTIs');
INSERT INTO `lang_definitions` VALUES (71993, 7062, 19, 'FÉRIAS');
INSERT INTO `lang_definitions` VALUES (71994, 7063, 19, 'Férias');
INSERT INTO `lang_definitions` VALUES (71995, 7064, 19, 'Vacina');
INSERT INTO `lang_definitions` VALUES (71996, 7065, 19, 'Anel vaginal');
INSERT INTO `lang_definitions` VALUES (71997, 7066, 19, 'Valedictory');
INSERT INTO `lang_definitions` VALUES (71998, 7068, 19, 'Valor');
INSERT INTO `lang_definitions` VALUES (71999, 7069, 19, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (72000, 7070, 19, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (72001, 7072, 19, 'Valor deve ser numérico');
INSERT INTO `lang_definitions` VALUES (72002, 7073, 19, 'Var1');
INSERT INTO `lang_definitions` VALUES (72003, 7074, 19, 'Var2');
INSERT INTO `lang_definitions` VALUES (72004, 7076, 19, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (72005, 7077, 19, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (72006, 7078, 19, 'Veias varicosas');
INSERT INTO `lang_definitions` VALUES (72007, 7079, 19, 'Condição vascular');
INSERT INTO `lang_definitions` VALUES (72008, 7080, 19, 'Dano vascular');
INSERT INTO `lang_definitions` VALUES (72009, 7081, 19, 'Cirurgia vascular');
INSERT INTO `lang_definitions` VALUES (72010, 7083, 19, 'Fornecedor');
INSERT INTO `lang_definitions` VALUES (72011, 7084, 19, 'Versão');
INSERT INTO `lang_definitions` VALUES (72012, 7085, 19, 'Vertigem');
INSERT INTO `lang_definitions` VALUES (72013, 7087, 19, 'Plano Veterans Administration');
INSERT INTO `lang_definitions` VALUES (72014, 7090, 19, 'ver');
INSERT INTO `lang_definitions` VALUES (72015, 7091, 19, 'Ver');
INSERT INTO `lang_definitions` VALUES (72016, 7092, 19, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (72017, 7097, 19, 'Ver reg. detalhado do paciente');
INSERT INTO `lang_definitions` VALUES (72018, 7100, 19, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (72019, 7101, 19, 'Ver consulta');
INSERT INTO `lang_definitions` VALUES (72020, 7103, 19, 'Ver eventos numa janela?');
INSERT INTO `lang_definitions` VALUES (72021, 7108, 19, 'Veja pág 1');
INSERT INTO `lang_definitions` VALUES (72022, 7109, 19, 'Veja pág 2');
INSERT INTO `lang_definitions` VALUES (72023, 7111, 19, 'Ver Doente');
INSERT INTO `lang_definitions` VALUES (72024, 7116, 19, 'Ver consultas relacionadas');
INSERT INTO `lang_definitions` VALUES (72025, 7121, 19, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (72026, 7124, 19, 'Ver:');
INSERT INTO `lang_definitions` VALUES (72027, 7125, 19, 'VISTO');
INSERT INTO `lang_definitions` VALUES (72028, 7126, 19, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (72029, 7127, 19, 'Visceral: dano/trauma/cirurgia');
INSERT INTO `lang_definitions` VALUES (72030, 7133, 19, 'Visita: Categoria');
INSERT INTO `lang_definitions` VALUES (72031, 7134, 19, 'Visita: Data');
INSERT INTO `lang_definitions` VALUES (72032, 7137, 19, 'Visita: Formulários');
INSERT INTO `lang_definitions` VALUES (72033, 7138, 19, 'Histórico');
INSERT INTO `lang_definitions` VALUES (72034, 7140, 19, 'Visitas');
INSERT INTO `lang_definitions` VALUES (72035, 7141, 19, 'Visitas de');
INSERT INTO `lang_definitions` VALUES (72036, 7142, 19, 'Sinais Vitais');
INSERT INTO `lang_definitions` VALUES (72037, 7143, 19, 'Exame Físico Geral');
INSERT INTO `lang_definitions` VALUES (72038, 7144, 19, 'Vitals (Métrico) CHANGEME');
INSERT INTO `lang_definitions` VALUES (72039, 7146, 19, 'Voz');
INSERT INTO `lang_definitions` VALUES (72040, 7149, 19, 'Vômitos');
INSERT INTO `lang_definitions` VALUES (72041, 7151, 19, 'Q');
INSERT INTO `lang_definitions` VALUES (72042, 7152, 19, 'Cintura');
INSERT INTO `lang_definitions` VALUES (72043, 7153, 19, 'Cintura: circunferência');
INSERT INTO `lang_definitions` VALUES (72044, 7154, 19, 'Esperando');
INSERT INTO `lang_definitions` VALUES (72045, 7155, 19, 'Directos');
INSERT INTO `lang_definitions` VALUES (72046, 7157, 19, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (72047, 7158, 19, 'Armazén');
INSERT INTO `lang_definitions` VALUES (72048, 7161, 19, 'Armazéns');
INSERT INTO `lang_definitions` VALUES (72049, 7162, 19, 'Quente');
INSERT INTO `lang_definitions` VALUES (72050, 7164, 19, 'AVISO');
INSERT INTO `lang_definitions` VALUES (72051, 7168, 19, 'Atenção: hoje foi já criada uma visita para este paciente!');
INSERT INTO `lang_definitions` VALUES (72052, 7170, 19, 'Advertindo: identificação paciente não é única!');
INSERT INTO `lang_definitions` VALUES (72053, 7171, 19, 'AVISO: Isto irá substituir as informações de configuração com os dados do arquivo enviado!');
INSERT INTO `lang_definitions` VALUES (72054, 7177, 19, 'Agradecemos o pagamento imediato do valor devido');
INSERT INTO `lang_definitions` VALUES (72055, 7178, 19, 'observámos o paciente acima identificado, na nossa clínica psiquiátrica ambulatoria. Gratos pela preferência.');
INSERT INTO `lang_definitions` VALUES (72056, 7179, 19, 'Fraqueza');
INSERT INTO `lang_definitions` VALUES (72057, 7182, 19, 'Website');
INSERT INTO `lang_definitions` VALUES (72058, 7184, 19, 'Qua');
INSERT INTO `lang_definitions` VALUES (72059, 7185, 19, 'Quarta');
INSERT INTO `lang_definitions` VALUES (72060, 7186, 19, 'Semana');
INSERT INTO `lang_definitions` VALUES (72061, 7187, 19, 'semana');
INSERT INTO `lang_definitions` VALUES (72062, 7188, 19, 'Semana');
INSERT INTO `lang_definitions` VALUES (72063, 7189, 19, 'Semana (s)');
INSERT INTO `lang_definitions` VALUES (72064, 7190, 19, 'Exposições Semanais');
INSERT INTO `lang_definitions` VALUES (72065, 7192, 19, 'Semanas');
INSERT INTO `lang_definitions` VALUES (72066, 7193, 19, 'Peso');
INSERT INTO `lang_definitions` VALUES (72067, 7196, 19, 'Mudança de peso');
INSERT INTO `lang_definitions` VALUES (72068, 7197, 19, 'Perda de peso');
INSERT INTO `lang_definitions` VALUES (72069, 7199, 19, 'Bemvindo');
INSERT INTO `lang_definitions` VALUES (72070, 7202, 19, 'Quem contactar?');
INSERT INTO `lang_definitions` VALUES (72071, 7203, 19, 'Sibilos:');
INSERT INTO `lang_definitions` VALUES (72072, 7204, 19, 'Sibilante');
INSERT INTO `lang_definitions` VALUES (72073, 7205, 19, 'Sibilante:');
INSERT INTO `lang_definitions` VALUES (72074, 7208, 19, 'Onde estão os registos (papel ou digitais) relacionados?');
INSERT INTO `lang_definitions` VALUES (72075, 7211, 19, 'Chicotada');
INSERT INTO `lang_definitions` VALUES (72076, 7213, 19, 'Quem');
INSERT INTO `lang_definitions` VALUES (72077, 7214, 19, 'Quem respondeu?');
INSERT INTO `lang_definitions` VALUES (72078, 7215, 19, 'Viúvo(a)');
INSERT INTO `lang_definitions` VALUES (72079, 7221, 19, 'Com selecionado:');
INSERT INTO `lang_definitions` VALUES (72080, 7222, 19, 'com o nome antigo');
INSERT INTO `lang_definitions` VALUES (72081, 7224, 19, 'A quem podemos deixar mensagem?');
INSERT INTO `lang_definitions` VALUES (72082, 7226, 19, 'dentro de horas');
INSERT INTO `lang_definitions` VALUES (72083, 7227, 19, 'dentro de horas:');
INSERT INTO `lang_definitions` VALUES (72084, 7228, 19, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (72085, 7229, 19, 'dentro de minutos:');
INSERT INTO `lang_definitions` VALUES (72086, 7232, 19, 'Sem actualização');
INSERT INTO `lang_definitions` VALUES (72087, 7233, 19, 'Testemunha');
INSERT INTO `lang_definitions` VALUES (72088, 7234, 19, 'sm');
INSERT INTO `lang_definitions` VALUES (72089, 7235, 19, 'WNL');
INSERT INTO `lang_definitions` VALUES (72090, 7237, 19, 'Mulheres');
INSERT INTO `lang_definitions` VALUES (72091, 7238, 19, 'Só Mulheres');
INSERT INTO `lang_definitions` VALUES (72092, 7240, 19, 'Trabalho');
INSERT INTO `lang_definitions` VALUES (72093, 7241, 19, 'NOTA DE TRABALHO');
INSERT INTO `lang_definitions` VALUES (72094, 7242, 19, 'Telefone trabalho');
INSERT INTO `lang_definitions` VALUES (72095, 7243, 19, 'Nº Telefone trabalho');
INSERT INTO `lang_definitions` VALUES (72096, 7244, 19, 'Relacionado c/ trabalho?');
INSERT INTO `lang_definitions` VALUES (72097, 7245, 19, 'Trabalho/Educação/Passatempos');
INSERT INTO `lang_definitions` VALUES (72098, 7246, 19, 'Trabalho / Nota Escolar');
INSERT INTO `lang_definitions` VALUES (72099, 7247, 19, 'dia útil');
INSERT INTO `lang_definitions` VALUES (72100, 7249, 19, 'SubSistema de Saúde do trabalhador');
INSERT INTO `lang_definitions` VALUES (72101, 7252, 19, 'Pior');
INSERT INTO `lang_definitions` VALUES (72102, 7264, 19, 'Punho');
INSERT INTO `lang_definitions` VALUES (72103, 7265, 19, 'Punho e mão');
INSERT INTO `lang_definitions` VALUES (72104, 7266, 19, 'Problemas no punho');
INSERT INTO `lang_definitions` VALUES (72105, 7267, 19, 'escrever');
INSERT INTO `lang_definitions` VALUES (72106, 7268, 19, 'excluir');
INSERT INTO `lang_definitions` VALUES (72107, 7270, 19, 'wsome');
INSERT INTO `lang_definitions` VALUES (72108, 7271, 19, 'WT');
INSERT INTO `lang_definitions` VALUES (72109, 7273, 19, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (72110, 7274, 19, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (72111, 7275, 19, 'RX');
INSERT INTO `lang_definitions` VALUES (72112, 7276, 19, 'RX (interpretação):');
INSERT INTO `lang_definitions` VALUES (72113, 7277, 19, 'RX (interpretação):');
INSERT INTO `lang_definitions` VALUES (72114, 7278, 19, 'X12 só: Substituição de Pedido ');
INSERT INTO `lang_definitions` VALUES (72115, 7279, 19, 'X12 Parceiro');
INSERT INTO `lang_definitions` VALUES (72116, 7280, 19, 'X12 Parceiros');
INSERT INTO `lang_definitions` VALUES (72117, 7284, 19, 'Y');
INSERT INTO `lang_definitions` VALUES (72118, 7285, 19, 'Ano');
INSERT INTO `lang_definitions` VALUES (72119, 7286, 19, 'ano');
INSERT INTO `lang_definitions` VALUES (72120, 7287, 19, 'Ver Ano');
INSERT INTO `lang_definitions` VALUES (72121, 7288, 19, 'Ano(s)');
INSERT INTO `lang_definitions` VALUES (72122, 7292, 19, 'SIM');
INSERT INTO `lang_definitions` VALUES (72123, 7293, 19, 'Sim');
INSERT INTO `lang_definitions` VALUES (72124, 7294, 19, 'sim');
INSERT INTO `lang_definitions` VALUES (72125, 7295, 19, 'SIM!');
INSERT INTO `lang_definitions` VALUES (72126, 7296, 19, 'Apagar e Registar');
INSERT INTO `lang_definitions` VALUES (72127, 7298, 19, 'Sim/Não');
INSERT INTO `lang_definitions` VALUES (72128, 7299, 19, 'Sim:');
INSERT INTO `lang_definitions` VALUES (72129, 7303, 19, 'Está prestes a substituir permanentemente o modelo existente. Tem certeza de que deseja continuar?');
INSERT INTO `lang_definitions` VALUES (72130, 7304, 19, 'Mude a password antes de');
INSERT INTO `lang_definitions` VALUES (72131, 7305, 19, 'Não tem permissão para eliminar este evento');
INSERT INTO `lang_definitions` VALUES (72132, 7306, 19, 'Não tem permissão para editar este evento');
INSERT INTO `lang_definitions` VALUES (72133, 7307, 19, 'Não tem permissão para isto.');
INSERT INTO `lang_definitions` VALUES (72134, 7308, 19, 'Não tem permissão para aceder a esta area.');
INSERT INTO `lang_definitions` VALUES (72135, 7309, 19, 'Não tem permissão para adicionar / editar questões');
INSERT INTO `lang_definitions` VALUES (72136, 7311, 19, 'Não tem permissão para ver este encontro.');
INSERT INTO `lang_definitions` VALUES (72137, 7313, 19, 'Não pode aceder a esta função directamente.');
INSERT INTO `lang_definitions` VALUES (72138, 7314, 19, 'Não pode aceder a esta página directamente.');
INSERT INTO `lang_definitions` VALUES (72139, 7315, 19, 'Não pode adicionar um valor em branco para essa categoria');
INSERT INTO `lang_definitions` VALUES (72140, 7316, 19, 'Não pode adicionar um valor em branco para essa subcategoria');
INSERT INTO `lang_definitions` VALUES (72141, 7317, 19, 'Não pode adicionar um valor em branco para um item');
INSERT INTO `lang_definitions` VALUES (72142, 7319, 19, 'Não escolheu nenhuma ação.');
INSERT INTO `lang_definitions` VALUES (72143, 7320, 19, 'Não tem permissão para ver/editar esta nota');
INSERT INTO `lang_definitions` VALUES (72144, 7321, 19, 'Tentou alterar conteudos trancados. Para destrancar remova linha \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (72145, 7329, 19, 'Deve primeiro selecionar ou adicionar um paciente.');
INSERT INTO `lang_definitions` VALUES (72146, 7330, 19, 'Deve primeiro selecionar ou criar um encontro.');
INSERT INTO `lang_definitions` VALUES (72147, 7332, 19, 'Deve selecionar uma categoria de visita');
INSERT INTO `lang_definitions` VALUES (72148, 7333, 19, 'Deve selecionar alguns campos para continuar.');
INSERT INTO `lang_definitions` VALUES (72149, 7334, 19, 'Você deveria estar fazendo este teste se esta reivindicação parecesse gerar prosperamente mas o arquivo de reivindicação atual não contém qualquer dados ou só uma porção inacabada da quantia de dados é suposto que contém. É óbvio com reivindicações de HCFA porque eles são humanos legível, com reivindicações de X12 é um processo mais difícil para determinar se a reivindicação for corretamente complete.');
INSERT INTO `lang_definitions` VALUES (72150, 7339, 19, 'data final inválida');
INSERT INTO `lang_definitions` VALUES (72151, 7340, 19, 'Evento eliminado.');
INSERT INTO `lang_definitions` VALUES (72152, 7341, 19, 'Evento modificado.');
INSERT INTO `lang_definitions` VALUES (72153, 7342, 19, 'Evento submetido.');
INSERT INTO `lang_definitions` VALUES (72154, 7343, 19, 'O ficheiro é muito grande');
INSERT INTO `lang_definitions` VALUES (72155, 7345, 19, 'O nome da sua lista foi alterado em conformidade com as regras.');
INSERT INTO `lang_definitions` VALUES (72156, 7347, 19, 'Nome para esta categoria, procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (72157, 7349, 19, 'Password desactualizada. Mude a password.');
INSERT INTO `lang_definitions` VALUES (72158, 7350, 19, 'Password válida até');
INSERT INTO `lang_definitions` VALUES (72159, 7351, 19, 'Password termina hoje. Mude a Password.');
INSERT INTO `lang_definitions` VALUES (72160, 7353, 19, 'A configuração de PostCalendar foi alterada p/ valores padrão.');
INSERT INTO `lang_definitions` VALUES (72161, 7354, 19, 'Configuração de PostCalendar foi atualizada.');
INSERT INTO `lang_definitions` VALUES (72162, 7355, 19, 'Sua freqüência repetindo deve ser uma inteireza.');
INSERT INTO `lang_definitions` VALUES (72163, 7356, 19, 'Sua freqüência repetindo deve ser pelo menos 1.');
INSERT INTO `lang_definitions` VALUES (72164, 7357, 19, 'Sua data de começo é maior que sua data de fim');
INSERT INTO `lang_definitions` VALUES (72165, 7358, 19, 'Sua data de começo é inválida');
INSERT INTO `lang_definitions` VALUES (72166, 7359, 19, 'Sua submissão falhou.');
INSERT INTO `lang_definitions` VALUES (72167, 7360, 19, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (72168, 7362, 19, 'aaaa-mm-dd data associado a este documento');
INSERT INTO `lang_definitions` VALUES (72169, 7363, 19, 'aaaa-mm-dd data destruído');
INSERT INTO `lang_definitions` VALUES (72170, 7364, 19, 'aaaa-mm-dd data de nascimento');
INSERT INTO `lang_definitions` VALUES (72171, 7365, 19, 'aaaa-mm-dd Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (72172, 7366, 19, 'aaaa-mm-dd data de morte');
INSERT INTO `lang_definitions` VALUES (72173, 7367, 19, 'aaaa-mm-dd Data de início ou internamento');
INSERT INTO `lang_definitions` VALUES (72174, 7368, 19, 'aaaa-mm-dd data de início, cirurgia ou início da medicação');
INSERT INTO `lang_definitions` VALUES (72175, 7369, 19, 'aaaa-mm-dd data de compra ou transferencia');
INSERT INTO `lang_definitions` VALUES (72176, 7370, 19, 'aaaa-mm-dd data de recuperação ou no final de medicação');
INSERT INTO `lang_definitions` VALUES (72177, 7371, 19, 'aaaa-mm-dd Data de voltar a jogar');
INSERT INTO `lang_definitions` VALUES (72178, 7372, 19, 'aaaa-mm-dd Data de serviço');
INSERT INTO `lang_definitions` VALUES (72179, 7373, 19, 'aaaa-mm-dd data desta carta');
INSERT INTO `lang_definitions` VALUES (72180, 7374, 19, 'aaaa-mm-dd data voltou a jogar');
INSERT INTO `lang_definitions` VALUES (72181, 7375, 19, 'aaaa-mm-dd data do documento');
INSERT INTO `lang_definitions` VALUES (72182, 7376, 19, 'aaaa-mm-dd ocorrencia ou data de início');
INSERT INTO `lang_definitions` VALUES (72183, 7383, 19, 'aaaa-mm-dd última data deste evento');
INSERT INTO `lang_definitions` VALUES (72184, 7387, 19, 'Zero');
INSERT INTO `lang_definitions` VALUES (72185, 7389, 19, 'C. Postal');
INSERT INTO `lang_definitions` VALUES (72186, 7390, 19, 'C. Postal');
INSERT INTO `lang_definitions` VALUES (72187, 7391, 19, 'C. Postal/País:');
INSERT INTO `lang_definitions` VALUES (72188, 7393, 19, ' mas era ');
INSERT INTO `lang_definitions` VALUES (72189, 7394, 19, ' não pôde ser acedido.');
INSERT INTO `lang_definitions` VALUES (72190, 7395, 19, 'Deseja realmente eliminar');
INSERT INTO `lang_definitions` VALUES (72191, 7396, 19, 'Droga');
INSERT INTO `lang_definitions` VALUES (72192, 7397, 19, 'emails não enviados');
INSERT INTO `lang_definitions` VALUES (72193, 7398, 19, 'de');
INSERT INTO `lang_definitions` VALUES (72194, 7399, 19, 'foi criado. ');
INSERT INTO `lang_definitions` VALUES (72195, 7400, 19, 'foi re-aberto.');
INSERT INTO `lang_definitions` VALUES (72196, 7401, 19, 'Historial');
INSERT INTO `lang_definitions` VALUES (72197, 7402, 19, 'não é um número');
INSERT INTO `lang_definitions` VALUES (72198, 7403, 19, 'está pronto para re-faturar.');
INSERT INTO `lang_definitions` VALUES (72199, 7404, 19, 'LLL:');
INSERT INTO `lang_definitions` VALUES (72200, 7405, 19, 'Lote');
INSERT INTO `lang_definitions` VALUES (72201, 7406, 19, 'Medicaid Referência Original Não. ');
INSERT INTO `lang_definitions` VALUES (72202, 7407, 19, 'min');
INSERT INTO `lang_definitions` VALUES (72203, 7408, 19, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (72204, 7409, 19, 'Peculiaridades em muitos browsers pode querer dizer que a produção debaixo de entra em sua tela em puxões súbitos e que há longo pausa de vários segundos onde se aparece como se coisas podem ter batido. Isso não é o caso, você verá produção que sai de linha através de linha eventualmente. Pode haver números seqüentes que se aparecem abaixo, este é indicar que embora nada mais possa estar exibindo há atividade que vai em. Estes números serão entremeados com o conteúdo do faturamento e isso é normal.');
INSERT INTO `lang_definitions` VALUES (72205, 7410, 19, 'prescrição alcançou seu limite de');
INSERT INTO `lang_definitions` VALUES (72206, 7411, 19, 'até');
INSERT INTO `lang_definitions` VALUES (72207, 7412, 19, 'Actualização falhou, ausente da base de dados?');
INSERT INTO `lang_definitions` VALUES (72208, 7413, 19, 'marcado como facturado.');
INSERT INTO `lang_definitions` VALUES (72209, 7414, 19, 'adicionado à lista.');
INSERT INTO `lang_definitions` VALUES (72210, 7415, 19, '! Desistiu');
INSERT INTO `lang_definitions` VALUES (72211, 7416, 19, 'para código _x005F_x000D_ é CONFERIDO em Colocações de PostCalendar!');
INSERT INTO `lang_definitions` VALUES (72212, 7417, 19, '\" SELECIONADO em configs PostCalendar!');
INSERT INTO `lang_definitions` VALUES (72213, 7418, 19, '# Ins / questão fin');
INSERT INTO `lang_definitions` VALUES (72214, 7419, 19, 'N. de comprimidos:');
INSERT INTO `lang_definitions` VALUES (72215, 7420, 19, '$');
INSERT INTO `lang_definitions` VALUES (72216, 7421, 19, '$ Codificado');
INSERT INTO `lang_definitions` VALUES (72217, 7422, 19, '$rótulo (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (72218, 7423, 19, '%');
INSERT INTO `lang_definitions` VALUES (72219, 7424, 19, '% Cancelado <24h');
INSERT INTO `lang_definitions` VALUES (72220, 7425, 19, '% Cancelado <24h ');
INSERT INTO `lang_definitions` VALUES (72221, 7426, 19, 'deveria existir mas não existe.');
INSERT INTO `lang_definitions` VALUES (72222, 7427, 19, '(% partidas qualquer fio, _ emparelha qualquer caráter)');
INSERT INTO `lang_definitions` VALUES (72223, 7429, 19, '(Retroceder)');
INSERT INTO `lang_definitions` VALUES (72224, 7430, 19, '(Editar)');
INSERT INTO `lang_definitions` VALUES (72225, 7432, 19, '(Mais)');
INSERT INTO `lang_definitions` VALUES (72226, 7433, 19, '(Novo Utente)');
INSERT INTO `lang_definitions` VALUES (72227, 7434, 19, '(Notas e Autorizações)');
INSERT INTO `lang_definitions` VALUES (72228, 7435, 19, '(Notas Utentes)');
INSERT INTO `lang_definitions` VALUES (72229, 7436, 19, '(Selecione um destes, ou digite seu próprio título)');
INSERT INTO `lang_definitions` VALUES (72230, 7438, 19, '* Lembrança feita');
INSERT INTO `lang_definitions` VALUES (72231, 7439, 19, '* * Por favor mova cirurgias a Assuntos!');
INSERT INTO `lang_definitions` VALUES (72232, 7440, 19, '* Exigido');
INSERT INTO `lang_definitions` VALUES (72233, 7442, 19, '- Nenhum');
INSERT INTO `lang_definitions` VALUES (72234, 7445, 19, '.');
INSERT INTO `lang_definitions` VALUES (72235, 7446, 19, '0');
INSERT INTO `lang_definitions` VALUES (72236, 7447, 19, '0-10');
INSERT INTO `lang_definitions` VALUES (72237, 7448, 19, '0-24');
INSERT INTO `lang_definitions` VALUES (72238, 7451, 19, '1');
INSERT INTO `lang_definitions` VALUES (72239, 7457, 19, '1.Descanso 2. Gelo durante dois dias 3. Compressão, mantém ligadura a menos que o pé fique hipostésico ou pálido. 4. Elevar pé e perna');
INSERT INTO `lang_definitions` VALUES (72240, 7458, 19, '11-14');
INSERT INTO `lang_definitions` VALUES (72241, 7459, 19, '12 hr');
INSERT INTO `lang_definitions` VALUES (72242, 7460, 19, '15-19');
INSERT INTO `lang_definitions` VALUES (72243, 7462, 19, '2');
INSERT INTO `lang_definitions` VALUES (72244, 7468, 19, '20-24');
INSERT INTO `lang_definitions` VALUES (72245, 7477, 19, '2111-13');
INSERT INTO `lang_definitions` VALUES (72246, 7478, 19, '24 hr');
INSERT INTO `lang_definitions` VALUES (72247, 7479, 19, '25');
INSERT INTO `lang_definitions` VALUES (72248, 7480, 19, '25-29');
INSERT INTO `lang_definitions` VALUES (72249, 7481, 19, '2º');
INSERT INTO `lang_definitions` VALUES (72250, 7483, 19, '3 meses');
INSERT INTO `lang_definitions` VALUES (72251, 7485, 19, '3 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (72252, 7487, 19, '30-34');
INSERT INTO `lang_definitions` VALUES (72253, 7488, 19, '35-39');
INSERT INTO `lang_definitions` VALUES (72254, 7489, 19, '3º');
INSERT INTO `lang_definitions` VALUES (72255, 7491, 19, '4 meses');
INSERT INTO `lang_definitions` VALUES (72256, 7493, 19, '4 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (72257, 7495, 19, '40-44');
INSERT INTO `lang_definitions` VALUES (72258, 7496, 19, '45');
INSERT INTO `lang_definitions` VALUES (72259, 7497, 19, '465.9, URI,');
INSERT INTO `lang_definitions` VALUES (72260, 7498, 19, '466.0, Bronquite aguda SOE');
INSERT INTO `lang_definitions` VALUES (72261, 7499, 19, '486.0, Pneumonia aguda');
INSERT INTO `lang_definitions` VALUES (72262, 7500, 19, '491.21, Exacerbação de DPCO');
INSERT INTO `lang_definitions` VALUES (72263, 7501, 19, '491.8, Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (72264, 7502, 19, '493.92, Asma Aguda EXAC.');
INSERT INTO `lang_definitions` VALUES (72265, 7503, 19, '496.0, a DPCO');
INSERT INTO `lang_definitions` VALUES (72266, 7504, 19, '4º');
INSERT INTO `lang_definitions` VALUES (72267, 7508, 19, '519.7, Broncoespasmo');
INSERT INTO `lang_definitions` VALUES (72268, 7509, 19, '5º');
INSERT INTO `lang_definitions` VALUES (72269, 7511, 19, '6 meses');
INSERT INTO `lang_definitions` VALUES (72270, 7514, 19, '6º');
INSERT INTO `lang_definitions` VALUES (72271, 7517, 19, '824.0 fratura, malleolus mediano, fechado,');
INSERT INTO `lang_definitions` VALUES (72272, 7518, 19, '824.2 fratura, malleolus lateral, fechado,');
INSERT INTO `lang_definitions` VALUES (72273, 7519, 19, '824.6 fractura, Trimalleolar, fechado,');
INSERT INTO `lang_definitions` VALUES (72274, 7520, 19, '825.32 fractura, de Navicular (tornozelo)');
INSERT INTO `lang_definitions` VALUES (72275, 7521, 19, '825.35 fractura, Base de quinto (5º) Metatarsal');
INSERT INTO `lang_definitions` VALUES (72276, 7522, 19, '845.00 deslocamento de tornozelo NOS');
INSERT INTO `lang_definitions` VALUES (72277, 7523, 19, '845.01 deslocamento Mediano (Deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (72278, 7524, 19, '845.02 deslocamento, fibular de Calcaneal,');
INSERT INTO `lang_definitions` VALUES (72279, 7526, 19, '99212 estabelecido - Não complicado');
INSERT INTO `lang_definitions` VALUES (72280, 7527, 19, '99213 estabelecido - Baixa Complexidade');
INSERT INTO `lang_definitions` VALUES (72281, 7528, 19, '< Em consulta');
INSERT INTO `lang_definitions` VALUES (72282, 7529, 19, '> Saiu');
INSERT INTO `lang_definitions` VALUES (72283, 7531, 19, '? Faltou');
INSERT INTO `lang_definitions` VALUES (72284, 7532, 19, '@ Chegou');
INSERT INTO `lang_definitions` VALUES (72285, 7533, 19, '[Alterar Vista]');
INSERT INTO `lang_definitions` VALUES (72286, 7534, 19, '[Data da última consulta]');
INSERT INTO `lang_definitions` VALUES (72287, 7535, 19, '[Dias desde a última consulta]');
INSERT INTO `lang_definitions` VALUES (72288, 7536, 19, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (72289, 7537, 19, '[Exporta OFX]');
INSERT INTO `lang_definitions` VALUES (72290, 7538, 19, '[não recomendado]');
INSERT INTO `lang_definitions` VALUES (72291, 7539, 19, '[Num. Encontros]');
INSERT INTO `lang_definitions` VALUES (72292, 7540, 19, '[Relatórios]');
INSERT INTO `lang_definitions` VALUES (72293, 7541, 19, '[Selecione Tudo]');
INSERT INTO `lang_definitions` VALUES (72294, 7542, 19, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (72295, 7543, 19, '[Começa lote]');
INSERT INTO `lang_definitions` VALUES (72296, 7544, 19, '[Ver o reg]');
INSERT INTO `lang_definitions` VALUES (72297, 7545, 19, '[Ver Relatório Imprimível]');
INSERT INTO `lang_definitions` VALUES (72298, 7546, 19, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (72299, 7547, 19, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (72300, 7548, 19, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (72301, 7549, 19, '~ Chegou atrasado');
INSERT INTO `lang_definitions` VALUES (72302, 1, 20, 'Um');
INSERT INTO `lang_definitions` VALUES (72303, 2, 20, 'Um número do cheque ou do crédito para identificar o pagamento');
INSERT INTO `lang_definitions` VALUES (72304, 3, 20, 'Um certificado cliente para o usuário administrador');
INSERT INTO `lang_definitions` VALUES (72305, 4, 20, 'Um documento clínico está anexado.');
INSERT INTO `lang_definitions` VALUES (72306, 5, 20, 'Um documento clínico está anexado.');
INSERT INTO `lang_definitions` VALUES (72307, 7, 20, 'Um distribuidor é necessário');
INSERT INTO `lang_definitions` VALUES (72308, 8, 20, 'Um formulário GCAC deve ser acrescentado a esta visita.');
INSERT INTO `lang_definitions` VALUES (72309, 9, 20, 'Um número de lote é necessário');
INSERT INTO `lang_definitions` VALUES (72310, 10, 20, 'Um número de lote é necessário!');
INSERT INTO `lang_definitions` VALUES (72311, 11, 20, 'Uma letra minúscula');
INSERT INTO `lang_definitions` VALUES (72312, 12, 20, 'Um número');
INSERT INTO `lang_definitions` VALUES (72313, 14, 20, 'Já existe um paciente com está identificação.');
INSERT INTO `lang_definitions` VALUES (72314, 15, 20, 'Já existe um paciente com este nome.');
INSERT INTO `lang_definitions` VALUES (72315, 16, 20, 'Um paciente com este CPF já existe.');
INSERT INTO `lang_definitions` VALUES (72316, 17, 20, 'Um número positivo vai mostrar que muitos agendamentos anteriores no Aplicativo na tela de Resumo do Paciente (um número negativo irá mostrar os últimos compromissos em ordem decrescente).');
INSERT INTO `lang_definitions` VALUES (72317, 18, 20, 'Um número positivo vai mostrar que muitos agendamentos anteriores no Aplicativo na tela de Resumo do Paciente.');
INSERT INTO `lang_definitions` VALUES (72318, 19, 20, 'Uma fonte de referência pode ser especificada para cada visita.');
INSERT INTO `lang_definitions` VALUES (72319, 20, 20, 'Um código IPPF relacionado é necessário!');
INSERT INTO `lang_definitions` VALUES (72320, 21, 20, 'Um caractere especial');
INSERT INTO `lang_definitions` VALUES (72321, 22, 20, 'Um valor único para identificar este campo, não visível para o usuário');
INSERT INTO `lang_definitions` VALUES (72322, 23, 20, 'Uma visita já existe para este paciente hoje. Clique em Cancelar para abri-lo, ou OK para prosseguir com a criação de um novo.');
INSERT INTO `lang_definitions` VALUES (72323, 24, 20, 'c.a.');
INSERT INTO `lang_definitions` VALUES (72324, 25, 20, 'da tarde');
INSERT INTO `lang_definitions` VALUES (72325, 26, 20, 'A/F Nível Direita:');
INSERT INTO `lang_definitions` VALUES (72326, 27, 20, 'Agenda');
INSERT INTO `lang_definitions` VALUES (72327, 28, 20, 'Abreviatura');
INSERT INTO `lang_definitions` VALUES (72328, 29, 20, 'Abcesso:');
INSERT INTO `lang_definitions` VALUES (72329, 30, 20, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (72330, 31, 20, 'Capaz de suportar o peso por quatro (4) passos:');
INSERT INTO `lang_definitions` VALUES (72331, 32, 20, 'ABN');
INSERT INTO `lang_definitions` VALUES (72332, 33, 20, 'ABN1');
INSERT INTO `lang_definitions` VALUES (72333, 34, 20, 'Anormal');
INSERT INTO `lang_definitions` VALUES (72334, 35, 20, 'Teste de Sangue Anormal');
INSERT INTO `lang_definitions` VALUES (72335, 36, 20, 'Crescimento anormal dos cabelos');
INSERT INTO `lang_definitions` VALUES (72336, 37, 20, 'Mamografia anormal');
INSERT INTO `lang_definitions` VALUES (72337, 39, 20, 'Aborto');
INSERT INTO `lang_definitions` VALUES (72338, 40, 20, 'Questões do Aborto');
INSERT INTO `lang_definitions` VALUES (72339, 41, 20, 'O método do aborto');
INSERT INTO `lang_definitions` VALUES (72340, 42, 20, 'Categorias Relacionadas ao Aborto');
INSERT INTO `lang_definitions` VALUES (72341, 43, 20, 'Abortos');
INSERT INTO `lang_definitions` VALUES (72342, 44, 20, 'Sobre o calendário');
INSERT INTO `lang_definitions` VALUES (72343, 46, 20, 'Ausências por Diagnóstico');
INSERT INTO `lang_definitions` VALUES (72344, 47, 20, 'Aceitar Tarefa');
INSERT INTO `lang_definitions` VALUES (72345, 48, 20, 'Aceitar Pagamento para');
INSERT INTO `lang_definitions` VALUES (72346, 49, 20, 'Aceitar Pagamento para');
INSERT INTO `lang_definitions` VALUES (72347, 50, 20, 'Aceitar Tarefa');
INSERT INTO `lang_definitions` VALUES (72348, 51, 20, 'Controle de Acesso');
INSERT INTO `lang_definitions` VALUES (72349, 52, 20, 'Controle de Acesso da Lista de Administração');
INSERT INTO `lang_definitions` VALUES (72350, 53, 20, 'Data de acesso');
INSERT INTO `lang_definitions` VALUES (72351, 54, 20, 'Acesso não permitido');
INSERT INTO `lang_definitions` VALUES (72352, 55, 20, 'Acesso Não Autorizado');
INSERT INTO `lang_definitions` VALUES (72353, 56, 20, 'Acesse o Portal do Paciente');
INSERT INTO `lang_definitions` VALUES (72354, 57, 20, 'Acidente');
INSERT INTO `lang_definitions` VALUES (72355, 59, 20, 'Nome da Conta');
INSERT INTO `lang_definitions` VALUES (72356, 62, 20, 'Contabilidade');
INSERT INTO `lang_definitions` VALUES (72357, 64, 20, 'Dores');
INSERT INTO `lang_definitions` VALUES (72358, 65, 20, 'Solicitação de Requisição (ISA14)');
INSERT INTO `lang_definitions` VALUES (72359, 66, 20, 'Reconhecimentos, Licenciamento e Certificação');
INSERT INTO `lang_definitions` VALUES (72360, 67, 20, 'Acesso');
INSERT INTO `lang_definitions` VALUES (72361, 68, 20, 'Administração de Acesso');
INSERT INTO `lang_definitions` VALUES (72362, 69, 20, 'Administração de Acesso Não Autorizada');
INSERT INTO `lang_definitions` VALUES (72363, 70, 20, 'ACL atualizado com sucesso');
INSERT INTO `lang_definitions` VALUES (72364, 71, 20, 'Acne');
INSERT INTO `lang_definitions` VALUES (72365, 72, 20, 'Procedimento');
INSERT INTO `lang_definitions` VALUES (72366, 73, 20, 'Data do Procedimento');
INSERT INTO `lang_definitions` VALUES (72367, 74, 20, 'Ação');
INSERT INTO `lang_definitions` VALUES (72368, 75, 20, 'Ações');
INSERT INTO `lang_definitions` VALUES (72369, 77, 20, 'Ativar Relatórios CCR/CCD');
INSERT INTO `lang_definitions` VALUES (72370, 78, 20, 'Ativo');
INSERT INTO `lang_definitions` VALUES (72371, 79, 20, 'Alerta Ativo');
INSERT INTO `lang_definitions` VALUES (72372, 80, 20, 'Regras de Alerta Ativo');
INSERT INTO `lang_definitions` VALUES (72373, 81, 20, 'Alertas Ativos/Lembretes');
INSERT INTO `lang_definitions` VALUES (72374, 82, 20, 'Consulta Ativa');
INSERT INTO `lang_definitions` VALUES (72375, 84, 20, 'Listas ativas');
INSERT INTO `lang_definitions` VALUES (72376, 85, 20, 'Paciente Ativo');
INSERT INTO `lang_definitions` VALUES (72377, 86, 20, 'Planos Ativos');
INSERT INTO `lang_definitions` VALUES (72378, 87, 20, 'Atividade');
INSERT INTO `lang_definitions` VALUES (72379, 88, 20, 'Tipo de Atividade');
INSERT INTO `lang_definitions` VALUES (72380, 90, 20, 'Intoxicação Aguda/Isolamento');
INSERT INTO `lang_definitions` VALUES (72381, 91, 20, 'Manifestação aguda de uma condição crônica');
INSERT INTO `lang_definitions` VALUES (72382, 92, 20, 'Aguda sobre crônica');
INSERT INTO `lang_definitions` VALUES (72383, 93, 20, 'adicionar');
INSERT INTO `lang_definitions` VALUES (72384, 94, 20, 'Adicionar');
INSERT INTO `lang_definitions` VALUES (72385, 95, 20, 'ADICIONAR');
INSERT INTO `lang_definitions` VALUES (72386, 96, 20, 'Adicionar uma Empresa');
INSERT INTO `lang_definitions` VALUES (72387, 98, 20, 'Adicionar uma Farmácia');
INSERT INTO `lang_definitions` VALUES (72388, 100, 20, 'adicionar um evento para ');
INSERT INTO `lang_definitions` VALUES (72389, 101, 20, 'Adicionar como uma nova nota');
INSERT INTO `lang_definitions` VALUES (72390, 102, 20, 'Adicionar como Novo');
INSERT INTO `lang_definitions` VALUES (72391, 104, 20, 'Adicionar Botões');
INSERT INTO `lang_definitions` VALUES (72392, 105, 20, 'Adicionar Botões para Caracteres especiais, Textos para serem exibidos no topo do editor para inclusão do texto em um Clique');
INSERT INTO `lang_definitions` VALUES (72393, 106, 20, 'Adicionar Categoria');
INSERT INTO `lang_definitions` VALUES (72394, 107, 20, 'Adicionar Constante');
INSERT INTO `lang_definitions` VALUES (72395, 108, 20, 'Adicionar Contexto');
INSERT INTO `lang_definitions` VALUES (72396, 109, 20, 'Adicionar Co-Pagamento');
INSERT INTO `lang_definitions` VALUES (72397, 110, 20, 'Adicionar Critério');
INSERT INTO `lang_definitions` VALUES (72398, 111, 20, 'Adicionar Botão Customizado');
INSERT INTO `lang_definitions` VALUES (72399, 112, 20, 'Adicionar Diagnóstico');
INSERT INTO `lang_definitions` VALUES (72400, 113, 20, 'Adicionar Medicamento');
INSERT INTO `lang_definitions` VALUES (72401, 114, 20, 'Adicionar Consulta');
INSERT INTO `lang_definitions` VALUES (72402, 115, 20, 'Adicionar Consulta/Notas');
INSERT INTO `lang_definitions` VALUES (72403, 116, 20, 'Adicionar Clínica');
INSERT INTO `lang_definitions` VALUES (72404, 117, 20, 'Adicionar Campo');
INSERT INTO `lang_definitions` VALUES (72405, 118, 20, 'Adicionar estas linhas ao arquivo de configuração do Servidor Web (Apache)');
INSERT INTO `lang_definitions` VALUES (72406, 119, 20, 'Adicionar Grupo');
INSERT INTO `lang_definitions` VALUES (72407, 120, 20, 'Adicionar Código CID');
INSERT INTO `lang_definitions` VALUES (72408, 121, 20, 'Adicionar Imunização');
INSERT INTO `lang_definitions` VALUES (72409, 122, 20, 'Não está autorizado adicionar!');
INSERT INTO `lang_definitions` VALUES (72410, 123, 20, 'Adicionar Ocorrência');
INSERT INTO `lang_definitions` VALUES (72411, 124, 20, 'Adicionar item para localizar');
INSERT INTO `lang_definitions` VALUES (72412, 125, 20, 'Adicionar Idioma');
INSERT INTO `lang_definitions` VALUES (72413, 126, 20, 'Adicionar Novo');
INSERT INTO `lang_definitions` VALUES (72414, 127, 20, 'Adicionar novo');
INSERT INTO `lang_definitions` VALUES (72415, 128, 20, 'Adicionar nova categoria: ');
INSERT INTO `lang_definitions` VALUES (72416, 129, 20, 'Adicione certificados novos ao arquivo de configuração do Servidor Web (Apache)');
INSERT INTO `lang_definitions` VALUES (72417, 130, 20, 'Adicionar novo componente');
INSERT INTO `lang_definitions` VALUES (72418, 131, 20, 'Adicionar novos componentes');
INSERT INTO `lang_definitions` VALUES (72419, 132, 20, 'Adicionar Novo Grupo');
INSERT INTO `lang_definitions` VALUES (72420, 134, 20, 'Adicionar novo lote e transação');
INSERT INTO `lang_definitions` VALUES (72421, 135, 20, 'Adicionar Nova Observação');
INSERT INTO `lang_definitions` VALUES (72422, 136, 20, 'Adicionar nova observação');
INSERT INTO `lang_definitions` VALUES (72423, 137, 20, 'Adicionar Novo Parceiro');
INSERT INTO `lang_definitions` VALUES (72424, 138, 20, 'Adicionar Novo Paciente');
INSERT INTO `lang_definitions` VALUES (72425, 140, 20, 'Adicionar Observação');
INSERT INTO `lang_definitions` VALUES (72426, 141, 20, 'Adicionar Registro de Paciente');
INSERT INTO `lang_definitions` VALUES (72427, 142, 20, 'Adicionar Receita');
INSERT INTO `lang_definitions` VALUES (72428, 143, 20, 'Adicionar Procedimento');
INSERT INTO `lang_definitions` VALUES (72429, 144, 20, 'Adicionar o número da operadora.');
INSERT INTO `lang_definitions` VALUES (72430, 145, 20, 'Adicionar Reabilitação');
INSERT INTO `lang_definitions` VALUES (72431, 146, 20, 'Adicionar Regra');
INSERT INTO `lang_definitions` VALUES (72432, 147, 20, 'Adicionar a');
INSERT INTO `lang_definitions` VALUES (72433, 148, 20, 'Adicionar a Lista de Medicamentos');
INSERT INTO `lang_definitions` VALUES (72434, 149, 20, 'Adicionar nível superior');
INSERT INTO `lang_definitions` VALUES (72435, 150, 20, 'Adicionar Transação');
INSERT INTO `lang_definitions` VALUES (72436, 151, 20, 'Adicionar Usuário');
INSERT INTO `lang_definitions` VALUES (72437, 152, 20, 'Adicionar Usuário ao Grupo');
INSERT INTO `lang_definitions` VALUES (72438, 153, 20, 'Adicionar/Editar eRx');
INSERT INTO `lang_definitions` VALUES (72439, 154, 20, 'Adicionar/Editar Transação de Paciente');
INSERT INTO `lang_definitions` VALUES (72440, 155, 20, 'adicionado');
INSERT INTO `lang_definitions` VALUES (72441, 156, 20, 'Não esta autorizado adicionar dados cadastrais.');
INSERT INTO `lang_definitions` VALUES (72442, 157, 20, 'Adicionar item para controlar falhou');
INSERT INTO `lang_definitions` VALUES (72443, 158, 20, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (72444, 159, 20, 'Síndrome de Addison');
INSERT INTO `lang_definitions` VALUES (72445, 160, 20, 'Características adicionais');
INSERT INTO `lang_definitions` VALUES (72446, 161, 20, 'Diagnósticos Adicionais:');
INSERT INTO `lang_definitions` VALUES (72447, 162, 20, 'Histórico Adicional');
INSERT INTO `lang_definitions` VALUES (72448, 163, 20, 'Observação adicionais do histórico');
INSERT INTO `lang_definitions` VALUES (72449, 164, 20, 'Informações Adicionais');
INSERT INTO `lang_definitions` VALUES (72450, 165, 20, 'Laboratórios Complementares');
INSERT INTO `lang_definitions` VALUES (72451, 166, 20, 'Observações Adicionais');
INSERT INTO `lang_definitions` VALUES (72452, 167, 20, 'Observações ou recomendação adicionais para este resultado');
INSERT INTO `lang_definitions` VALUES (72453, 168, 20, 'Observações Adicionais:');
INSERT INTO `lang_definitions` VALUES (72454, 169, 20, 'Observações Adicionais: ');
INSERT INTO `lang_definitions` VALUES (72455, 170, 20, 'Observações Adicionais do Raio-X:');
INSERT INTO `lang_definitions` VALUES (72456, 171, 20, 'Adicionalmente, o correspondente pacote de extensão US Snomed pode ser importado separadamente após a instalação do Snomed Internacional liberado (Versão em Inglês).');
INSERT INTO `lang_definitions` VALUES (72457, 172, 20, 'somente adicionar');
INSERT INTO `lang_definitions` VALUES (72458, 173, 20, 'Agenda');
INSERT INTO `lang_definitions` VALUES (72459, 174, 20, 'Agenda');
INSERT INTO `lang_definitions` VALUES (72460, 175, 20, 'Endereço');
INSERT INTO `lang_definitions` VALUES (72461, 178, 20, 'Lista de Endereços');
INSERT INTO `lang_definitions` VALUES (72462, 179, 20, 'Cadastro de empresa que realiza este procedimento');
INSERT INTO `lang_definitions` VALUES (72463, 180, 20, 'Cadastro do distribuidor');
INSERT INTO `lang_definitions` VALUES (72464, 181, 20, 'Cadastro do vendedor');
INSERT INTO `lang_definitions` VALUES (72465, 182, 20, 'Tipos de Cadastros');
INSERT INTO `lang_definitions` VALUES (72466, 183, 20, 'Etiqueta de endereço');
INSERT INTO `lang_definitions` VALUES (72467, 187, 20, 'Endereço1');
INSERT INTO `lang_definitions` VALUES (72468, 188, 20, 'Endereço2');
INSERT INTO `lang_definitions` VALUES (72469, 189, 20, 'DESTINATÁRIO');
INSERT INTO `lang_definitions` VALUES (72470, 190, 20, 'Ajt');
INSERT INTO `lang_definitions` VALUES (72471, 191, 20, 'Ajt Quant');
INSERT INTO `lang_definitions` VALUES (72472, 192, 20, 'Ajuste');
INSERT INTO `lang_definitions` VALUES (72473, 193, 20, 'Correção');
INSERT INTO `lang_definitions` VALUES (72474, 194, 20, 'Valor de Correção');
INSERT INTO `lang_definitions` VALUES (72475, 195, 20, 'Razões da Correção');
INSERT INTO `lang_definitions` VALUES (72476, 196, 20, 'Correção para o código ');
INSERT INTO `lang_definitions` VALUES (72477, 197, 20, 'Correções');
INSERT INTO `lang_definitions` VALUES (72478, 198, 20, 'Adm Correção');
INSERT INTO `lang_definitions` VALUES (72479, 199, 20, 'Admin');
INSERT INTO `lang_definitions` VALUES (72480, 200, 20, 'E-mail do Administrador');
INSERT INTO `lang_definitions` VALUES (72481, 201, 20, 'Administrar Por');
INSERT INTO `lang_definitions` VALUES (72482, 202, 20, 'Administrado');
INSERT INTO `lang_definitions` VALUES (72483, 203, 20, 'Administrado Por');
INSERT INTO `lang_definitions` VALUES (72484, 204, 20, 'Data de administraçao');
INSERT INTO `lang_definitions` VALUES (72485, 205, 20, 'Site Administrado');
INSERT INTO `lang_definitions` VALUES (72486, 206, 20, 'Administração');
INSERT INTO `lang_definitions` VALUES (72487, 207, 20, 'Adminstração do Site');
INSERT INTO `lang_definitions` VALUES (72488, 208, 20, 'Administradores');
INSERT INTO `lang_definitions` VALUES (72489, 209, 20, 'Administradores podem fazer qualquer operação');
INSERT INTO `lang_definitions` VALUES (72490, 210, 20, 'Data da Admissão');
INSERT INTO `lang_definitions` VALUES (72491, 212, 20, 'Peso Adulto de Triagem e Acompanhamento');
INSERT INTO `lang_definitions` VALUES (72492, 213, 20, 'Peso Adulto de Triagem e Acompanhamento (CQM)');
INSERT INTO `lang_definitions` VALUES (72493, 214, 20, 'Diretiva Avançada');
INSERT INTO `lang_definitions` VALUES (72494, 215, 20, 'Diretivas Avançadas');
INSERT INTO `lang_definitions` VALUES (72495, 216, 20, 'Aviso de Diretivas Avançadas');
INSERT INTO `lang_definitions` VALUES (72496, 218, 20, 'Avançado');
INSERT INTO `lang_definitions` VALUES (72497, 219, 20, 'Recomendação');
INSERT INTO `lang_definitions` VALUES (72498, 220, 20, 'Longe');
INSERT INTO `lang_definitions` VALUES (72499, 221, 20, 'Afetado normal');
INSERT INTO `lang_definitions` VALUES (72500, 223, 20, 'Chamadas após hrs');
INSERT INTO `lang_definitions` VALUES (72501, 224, 20, 'Após a migração dos mecanismos senha antiga, onde as senhas são armazenados na tabela de usuários sem sal é completa, esta flag deve ser definida para falça para que apenas a autenticação pelo novo método seja possível.');
INSERT INTO `lang_definitions` VALUES (72502, 225, 20, 'Após aplicar as configurações acima, importe o certificado cliente do administrador para o Browser e reinicie o Servidor Apache (Senha em Branco)');
INSERT INTO `lang_definitions` VALUES (72503, 226, 20, 'Após salvar o PDF, clique em [Visualizar Log] para verificar erros.');
INSERT INTO `lang_definitions` VALUES (72504, 227, 20, 'Depois de salvar o(s) arquivo(s) em Texto, clique sob [Visualizar Log] para verificar por erros');
INSERT INTO `lang_definitions` VALUES (72505, 228, 20, 'Após salvar o seu lote, clique em [Visualizar Log] para verificar erros');
INSERT INTO `lang_definitions` VALUES (72506, 230, 20, 'Após inserir corretamente os dados, clique no botão Salvar.');
INSERT INTO `lang_definitions` VALUES (72507, 232, 20, 'Planejamento de Pós-tratamento');
INSERT INTO `lang_definitions` VALUES (72508, 233, 20, 'Novamente');
INSERT INTO `lang_definitions` VALUES (72509, 234, 20, 'Idade');
INSERT INTO `lang_definitions` VALUES (72510, 235, 20, 'Por idade');
INSERT INTO `lang_definitions` VALUES (72511, 236, 20, 'Idade Categoria');
INSERT INTO `lang_definitions` VALUES (72512, 237, 20, 'Dados da idade está fora do intervalo.');
INSERT INTO `lang_definitions` VALUES (72513, 238, 20, 'Formato de Exibição da Idade');
INSERT INTO `lang_definitions` VALUES (72514, 239, 20, 'Formato da Idade \"\" DE \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (72515, 240, 20, 'Formato da Idade \"\" ATÉ \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (72516, 241, 20, 'De Idade');
INSERT INTO `lang_definitions` VALUES (72517, 242, 20, 'Idade em Anos para Alterar Formato de Exibição');
INSERT INTO `lang_definitions` VALUES (72518, 243, 20, 'Idade máxima');
INSERT INTO `lang_definitions` VALUES (72519, 244, 20, 'Idade mínima');
INSERT INTO `lang_definitions` VALUES (72520, 245, 20, 'Intervalo de Idade');
INSERT INTO `lang_definitions` VALUES (72521, 247, 20, 'Colunas Envelhecimento:');
INSERT INTO `lang_definitions` VALUES (72522, 249, 20, 'Albanês');
INSERT INTO `lang_definitions` VALUES (72523, 250, 20, 'Álcool');
INSERT INTO `lang_definitions` VALUES (72524, 251, 20, 'Consumo de álcool');
INSERT INTO `lang_definitions` VALUES (72525, 252, 20, 'Uso de álcool');
INSERT INTO `lang_definitions` VALUES (72526, 253, 20, 'Número de alertas');
INSERT INTO `lang_definitions` VALUES (72527, 255, 20, 'Alertas');
INSERT INTO `lang_definitions` VALUES (72528, 258, 20, 'Aleútes(Comunidade Indígena)');
INSERT INTO `lang_definitions` VALUES (72529, 259, 20, 'Todos');
INSERT INTO `lang_definitions` VALUES (72530, 260, 20, 'TODOS');
INSERT INTO `lang_definitions` VALUES (72531, 261, 20, 'Todos (Comparado Formato A)');
INSERT INTO `lang_definitions` VALUES (72532, 262, 20, 'Todos (Comparado Formato B)');
INSERT INTO `lang_definitions` VALUES (72533, 263, 20, 'Todos (Acumulativo)');
INSERT INTO `lang_definitions` VALUES (72534, 265, 20, 'Todos Cálculos de Medida Automatizados (CMA)');
INSERT INTO `lang_definitions` VALUES (72535, 266, 20, 'Todas as Categorias');
INSERT INTO `lang_definitions` VALUES (72536, 267, 20, 'Todas Medidas de Qualidade Clínica (MQC)');
INSERT INTO `lang_definitions` VALUES (72537, 268, 20, 'Todos os códigos');
INSERT INTO `lang_definitions` VALUES (72538, 269, 20, 'O Dia Inteiro');
INSERT INTO `lang_definitions` VALUES (72539, 270, 20, 'Evento durante o dia inteiro');
INSERT INTO `lang_definitions` VALUES (72540, 271, 20, 'Todos os campos demográficos, com pesquisa e dupla verificação');
INSERT INTO `lang_definitions` VALUES (72541, 272, 20, 'Todas as Clínicas');
INSERT INTO `lang_definitions` VALUES (72542, 273, 20, 'Todas as Feridas/Problemas/Assuntos');
INSERT INTO `lang_definitions` VALUES (72543, 274, 20, 'Todas as Linguagens são Permitidas');
INSERT INTO `lang_definitions` VALUES (72544, 276, 20, 'Parte ou todo primeiro nome');
INSERT INTO `lang_definitions` VALUES (72545, 277, 20, 'Parte ou todo sobrenome');
INSERT INTO `lang_definitions` VALUES (72546, 278, 20, 'Todos ou parte da organização');
INSERT INTO `lang_definitions` VALUES (72547, 280, 20, 'Todos os Produtos');
INSERT INTO `lang_definitions` VALUES (72548, 281, 20, 'Todos os Médicos');
INSERT INTO `lang_definitions` VALUES (72549, 282, 20, 'Todos Opinião e negativos:');
INSERT INTO `lang_definitions` VALUES (72550, 283, 20, 'Todos os Tópicos');
INSERT INTO `lang_definitions` VALUES (72551, 284, 20, 'Todos os Médicos');
INSERT INTO `lang_definitions` VALUES (72552, 285, 20, 'Alérgica');
INSERT INTO `lang_definitions` VALUES (72553, 286, 20, 'Alergias');
INSERT INTO `lang_definitions` VALUES (72554, 287, 20, 'Alergias:');
INSERT INTO `lang_definitions` VALUES (72555, 288, 20, 'Alergia');
INSERT INTO `lang_definitions` VALUES (72556, 289, 20, 'Importação de Alergias completadas com sucesso');
INSERT INTO `lang_definitions` VALUES (72557, 290, 20, 'Lista de Questões de Alergia');
INSERT INTO `lang_definitions` VALUES (72558, 291, 20, 'Reação alérgica');
INSERT INTO `lang_definitions` VALUES (72559, 294, 20, 'Alocar');
INSERT INTO `lang_definitions` VALUES (72560, 295, 20, 'Permitir');
INSERT INTO `lang_definitions` VALUES (72561, 296, 20, 'Permitir todas as línguas disponíveis como escolha no menu do login');
INSERT INTO `lang_definitions` VALUES (72562, 297, 20, 'Permitir a criação de pedidos contendo diagnósticos, mas não os procedimentos ou encargos financeiros. A maioria das clínicas não usa esta opção.');
INSERT INTO `lang_definitions` VALUES (72563, 298, 20, 'Permitir Língua de Depuração');
INSERT INTO `lang_definitions` VALUES (72564, 299, 20, 'Permitir Mala Direta');
INSERT INTO `lang_definitions` VALUES (72565, 300, 20, 'Permitir mensagens de e-mail?');
INSERT INTO `lang_definitions` VALUES (72566, 301, 20, 'Permitir Mala Direta?');
INSERT INTO `lang_definitions` VALUES (72567, 302, 20, 'Permitir Consultas devida Reclamações');
INSERT INTO `lang_definitions` VALUES (72568, 303, 20, 'Permitir Troca de Informações de Saúde.');
INSERT INTO `lang_definitions` VALUES (72569, 304, 20, 'Permitir Compartilhamento de Informações de Imunização');
INSERT INTO `lang_definitions` VALUES (72570, 305, 20, 'Permitir Uso de Registros de Imunização');
INSERT INTO `lang_definitions` VALUES (72571, 306, 20, 'Permitir Mensagem de e-mail');
INSERT INTO `lang_definitions` VALUES (72572, 308, 20, 'Permitir acesso ao portal do paciente');
INSERT INTO `lang_definitions` VALUES (72573, 309, 20, 'Permitir SMS');
INSERT INTO `lang_definitions` VALUES (72574, 310, 20, 'Permitir mensagens SMS (texto)?');
INSERT INTO `lang_definitions` VALUES (72575, 311, 20, 'Permitir que os eventos submetidos a ser feito ativo imediatamente?');
INSERT INTO `lang_definitions` VALUES (72576, 312, 20, 'Permitir mensagens de telefone?');
INSERT INTO `lang_definitions` VALUES (72577, 313, 20, 'Permitir que os usuários publiquem Eventos globais');
INSERT INTO `lang_definitions` VALUES (72578, 314, 20, 'Permitir que os usuários publiquem calendários pessoais');
INSERT INTO `lang_definitions` VALUES (72579, 315, 20, 'Permitir Correio de Voz');
INSERT INTO `lang_definitions` VALUES (72580, 316, 20, 'Permitido');
INSERT INTO `lang_definitions` VALUES (72581, 317, 20, 'Idiomas Permitidos');
INSERT INTO `lang_definitions` VALUES (72582, 318, 20, 'Permitido');
INSERT INTO `lang_definitions` VALUES (72583, 323, 20, 'Já existe.');
INSERT INTO `lang_definitions` VALUES (72584, 324, 20, 'Já existe.');
INSERT INTO `lang_definitions` VALUES (72585, 325, 20, 'Já utilizados, escolha outro identificador');
INSERT INTO `lang_definitions` VALUES (72586, 326, 20, 'Já usado, escolher um outro título');
INSERT INTO `lang_definitions` VALUES (72587, 327, 20, 'Alt Endereço');
INSERT INTO `lang_definitions` VALUES (72588, 328, 20, 'alterar');
INSERT INTO `lang_definitions` VALUES (72589, 329, 20, 'Alternativamente, você pode utilizar a página de pesquisa para enviar uma remessa eletrônica (X12 835 arquivos) que você tenha obtido a partir do seu autor ou câmara de compensação. Você pode fazer isso clicando no botão Procurar e selecionar o arquivo para upload, e depois clique em Procurar para realizar o upload e mostrar as faturas correspondentes. Neste caso, os outros parâmetros mencionados acima não se aplicam e serão ignorados. Uploading salva o arquivo, mas não ainda processo seu conteúdo - que é feito separadamente, como descrito abaixo.');
INSERT INTO `lang_definitions` VALUES (72590, 330, 20, 'AM');
INSERT INTO `lang_definitions` VALUES (72591, 331, 20, 'Programa AM');
INSERT INTO `lang_definitions` VALUES (72592, 332, 20, 'AMC');
INSERT INTO `lang_definitions` VALUES (72593, 333, 20, 'Rastreamento AMC');
INSERT INTO `lang_definitions` VALUES (72594, 338, 20, 'Alterar a nota existente');
INSERT INTO `lang_definitions` VALUES (72595, 339, 20, 'Alterado a partir de');
INSERT INTO `lang_definitions` VALUES (72596, 340, 20, 'Alteração de Status');
INSERT INTO `lang_definitions` VALUES (72597, 341, 20, 'Alterações');
INSERT INTO `lang_definitions` VALUES (72598, 342, 20, 'Alterações de');
INSERT INTO `lang_definitions` VALUES (72599, 343, 20, 'Índio Americano');
INSERT INTO `lang_definitions` VALUES (72600, 344, 20, 'Índio Americano ou nativo do Alaska');
INSERT INTO `lang_definitions` VALUES (72601, 345, 20, 'AMEX');
INSERT INTO `lang_definitions` VALUES (72602, 346, 20, 'Amárico');
INSERT INTO `lang_definitions` VALUES (72603, 347, 20, 'Valor');
INSERT INTO `lang_definitions` VALUES (72604, 348, 20, 'Valor Administrado');
INSERT INTO `lang_definitions` VALUES (72605, 349, 20, 'Total de valores');
INSERT INTO `lang_definitions` VALUES (72606, 350, 20, 'Quantidade de passadas de balanço');
INSERT INTO `lang_definitions` VALUES (72607, 351, 20, 'Montante para esta consulta');
INSERT INTO `lang_definitions` VALUES (72608, 352, 20, 'Valor pago');
INSERT INTO `lang_definitions` VALUES (72609, 353, 20, 'Valor:');
INSERT INTO `lang_definitions` VALUES (72610, 354, 20, 'Valor Faturado');
INSERT INTO `lang_definitions` VALUES (72611, 355, 20, 'Uma data de término posterior a data de início é necessário para eventos repetidos!');
INSERT INTO `lang_definitions` VALUES (72612, 356, 20, 'Ocorreu um erro assinar o formulário');
INSERT INTO `lang_definitions` VALUES (72613, 357, 20, 'Ocorreu um erro enquanto se limpava a árvore de diretórios Web do LibreEHR.');
INSERT INTO `lang_definitions` VALUES (72614, 358, 20, 'Ocorreu um erro enquanto se limpava a árvore de diretórios Web do phpGACL.');
INSERT INTO `lang_definitions` VALUES (72615, 359, 20, 'Ocorreu um erro enquanto se limpava a árvore de diretórios Web do SQL-Ledger.');
INSERT INTO `lang_definitions` VALUES (72616, 360, 20, 'Uma questão GCAC incompleta foi criado e vinculado. Alguém terá de concluí-lo mais tarde.');
INSERT INTO `lang_definitions` VALUES (72617, 362, 20, 'Um erro inesperado ocorreu.');
INSERT INTO `lang_definitions` VALUES (72618, 363, 20, 'Um erro inesperado ocorreu.');
INSERT INTO `lang_definitions` VALUES (72619, 365, 20, 'E');
INSERT INTO `lang_definitions` VALUES (72620, 366, 20, 'E');
INSERT INTO `lang_definitions` VALUES (72621, 367, 20, 'e');
INSERT INTO `lang_definitions` VALUES (72622, 368, 20, 'e ');
INSERT INTO `lang_definitions` VALUES (72623, 369, 20, 'e todos os dados referentes à ele? Esta ação será registrada');
INSERT INTO `lang_definitions` VALUES (72624, 370, 20, 'e modificado');
INSERT INTO `lang_definitions` VALUES (72625, 371, 20, 'e processado');
INSERT INTO `lang_definitions` VALUES (72626, 372, 20, 'e reinicie o servidor Apache');
INSERT INTO `lang_definitions` VALUES (72627, 373, 20, 'e o Motivo é');
INSERT INTO `lang_definitions` VALUES (72628, 374, 20, 'Anemia');
INSERT INTO `lang_definitions` VALUES (72629, 375, 20, 'Tornozelo');
INSERT INTO `lang_definitions` VALUES (72630, 376, 20, 'Tornozelo + calcanhar');
INSERT INTO `lang_definitions` VALUES (72631, 377, 20, 'Tornozelo Formulário de Avaliação');
INSERT INTO `lang_definitions` VALUES (72632, 378, 20, 'Problemas do Tornozelo');
INSERT INTO `lang_definitions` VALUES (72633, 379, 20, 'Espondilite Sondlilitis');
INSERT INTO `lang_definitions` VALUES (72634, 380, 20, 'Espondilite Spondlilitis');
INSERT INTO `lang_definitions` VALUES (72635, 381, 20, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (72636, 382, 20, 'Outra coisa que você pode fazer na janela de postagem é de faturamento pedido secundário. Se você selecionar esta opção antes de salvar, em seguida, o pedido inicial será re-aberto e em fila na página de faturamento, e será processada durante a execução do próximo pagamento.');
INSERT INTO `lang_definitions` VALUES (72637, 383, 20, 'ante');
INSERT INTO `lang_definitions` VALUES (72638, 384, 20, 'Nl ânus, sem ternura retal / massa');
INSERT INTO `lang_definitions` VALUES (72639, 385, 20, 'Ansiedade');
INSERT INTO `lang_definitions` VALUES (72640, 386, 20, 'Tds');
INSERT INTO `lang_definitions` VALUES (72641, 387, 20, 'Qualquer Categoria');
INSERT INTO `lang_definitions` VALUES (72642, 388, 20, 'Qualquer parte do código desejado ou sua descrição');
INSERT INTO `lang_definitions` VALUES (72643, 389, 20, 'Qualquer parte da especialidade pretendida');
INSERT INTO `lang_definitions` VALUES (72644, 390, 20, 'Qualquer parte do código ou nome do remédio');
INSERT INTO `lang_definitions` VALUES (72645, 391, 20, 'Qualquer parte do código ou nome da imunização');
INSERT INTO `lang_definitions` VALUES (72646, 392, 20, 'Qualquer parte do nome do paciente, ou \"\"último, primeiro \"\" ou \"\"XY \"\"');
INSERT INTO `lang_definitions` VALUES (72647, 393, 20, 'Qualquer outra Informação Relevante');
INSERT INTO `lang_definitions` VALUES (72648, 394, 20, 'Chave API para SMS Gateway');
INSERT INTO `lang_definitions` VALUES (72649, 395, 20, 'Apnéia');
INSERT INTO `lang_definitions` VALUES (72650, 396, 20, 'Aparência');
INSERT INTO `lang_definitions` VALUES (72651, 397, 20, 'Aparência:');
INSERT INTO `lang_definitions` VALUES (72652, 398, 20, 'Anexar esta nota');
INSERT INTO `lang_definitions` VALUES (72653, 399, 20, 'Anexar à nota existente');
INSERT INTO `lang_definitions` VALUES (72654, 400, 20, 'Acrescentar a esta nota');
INSERT INTO `lang_definitions` VALUES (72655, 401, 20, 'Acrescentar a esta nota');
INSERT INTO `lang_definitions` VALUES (72656, 402, 20, 'Apendicectomia');
INSERT INTO `lang_definitions` VALUES (72657, 404, 20, 'Pacientes Aplicáveis');
INSERT INTO `lang_definitions` VALUES (72658, 405, 20, 'Aplicação');
INSERT INTO `lang_definitions` VALUES (72659, 406, 20, 'Nome da aplicação para a página de login e título da janela principal');
INSERT INTO `lang_definitions` VALUES (72660, 407, 20, 'Código Aplicação Receptor (GS03 - se branco ISA08 será usado)');
INSERT INTO `lang_definitions` VALUES (72661, 408, 20, 'Código de Envio da Aplicação(GS02)');
INSERT INTO `lang_definitions` VALUES (72662, 409, 20, 'Título da Aplicação');
INSERT INTO `lang_definitions` VALUES (72663, 410, 20, 'Aplicar ao formulário Vital e Gráfico de Crescimento.');
INSERT INTO `lang_definitions` VALUES (72664, 411, 20, 'Aplicar ao formulário Vital');
INSERT INTO `lang_definitions` VALUES (72665, 412, 20, 'Aplicar as mudanças apenas aos eventos atuais, para esta e futuras ocorrencias, ou para todas as ocorrencias?');
INSERT INTO `lang_definitions` VALUES (72666, 413, 20, 'Aplicar a zona afetada');
INSERT INTO `lang_definitions` VALUES (72667, 414, 20, 'Aplicar na pele');
INSERT INTO `lang_definitions` VALUES (72668, 415, 20, 'Aplicando');
INSERT INTO `lang_definitions` VALUES (72669, 416, 20, 'Aplicando Correção ao site');
INSERT INTO `lang_definitions` VALUES (72670, 417, 20, 'Consulta');
INSERT INTO `lang_definitions` VALUES (72671, 418, 20, 'Data da Consulta');
INSERT INTO `lang_definitions` VALUES (72672, 419, 20, 'Estilo de Apresentação das Consultas');
INSERT INTO `lang_definitions` VALUES (72673, 420, 20, 'Regras de Lembrete de Consulta');
INSERT INTO `lang_definitions` VALUES (72674, 421, 20, 'Status da Consulta');
INSERT INTO `lang_definitions` VALUES (72675, 422, 20, 'Status das Consultas');
INSERT INTO `lang_definitions` VALUES (72676, 423, 20, 'Consulta dentro de');
INSERT INTO `lang_definitions` VALUES (72677, 424, 20, 'Consulta/Cor do Evento');
INSERT INTO `lang_definitions` VALUES (72678, 425, 20, 'Consultas');
INSERT INTO `lang_definitions` VALUES (72679, 426, 20, 'Consultas (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (72680, 427, 20, 'Consultas (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (72681, 430, 20, 'Consultas e Visitas');
INSERT INTO `lang_definitions` VALUES (72682, 431, 20, 'Relatório de Consultas');
INSERT INTO `lang_definitions` VALUES (72683, 432, 20, 'Relatório de Consultas e Visitas');
INSERT INTO `lang_definitions` VALUES (72684, 434, 20, 'Aprovar');
INSERT INTO `lang_definitions` VALUES (72685, 436, 20, 'Aprovado');
INSERT INTO `lang_definitions` VALUES (72686, 437, 20, 'Aprovado Eventos Administração');
INSERT INTO `lang_definitions` VALUES (72687, 440, 20, 'Consulta');
INSERT INTO `lang_definitions` VALUES (72688, 441, 20, 'Consultas');
INSERT INTO `lang_definitions` VALUES (72689, 442, 20, 'Abr.');
INSERT INTO `lang_definitions` VALUES (72690, 443, 20, 'Abril');
INSERT INTO `lang_definitions` VALUES (72691, 444, 20, 'Árabe');
INSERT INTO `lang_definitions` VALUES (72692, 446, 20, 'Arquivar');
INSERT INTO `lang_definitions` VALUES (72693, 447, 20, 'Os nomes dos grupos de controle de acesso devem ser traduzidos?');
INSERT INTO `lang_definitions` VALUES (72694, 448, 20, 'Os nomes das categorias de consulta devem ser traduzidos?');
INSERT INTO `lang_definitions` VALUES (72695, 449, 20, 'Os nomes das categorias dos documentos devem ser traduzidos?');
INSERT INTO `lang_definitions` VALUES (72696, 450, 20, 'É adicionada alguma cobrança para este tipo?');
INSERT INTO `lang_definitions` VALUES (72697, 451, 20, 'É necessário traduzir o título das notas do paciente?');
INSERT INTO `lang_definitions` VALUES (72698, 452, 20, 'Os códigos armazenados das tabelas sql externas são (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (72699, 453, 20, 'Você está preparado para completar um problema GCAC novo para essa visita?');
INSERT INTO `lang_definitions` VALUES (72700, 454, 20, 'Tem certeza que deseja postar para hoje?');
INSERT INTO `lang_definitions` VALUES (72701, 455, 20, 'Tem certeza que deseja aprovar esses eventos?');
INSERT INTO `lang_definitions` VALUES (72702, 457, 20, 'Você tem certeza que quer remover completamente este formulário?');
INSERT INTO `lang_definitions` VALUES (72703, 458, 20, 'Você tem certeza que quer excluir?');
INSERT INTO `lang_definitions` VALUES (72704, 459, 20, 'Você tem certeza que quer remover esta divulgação');
INSERT INTO `lang_definitions` VALUES (72705, 460, 20, 'Tem certeza de que deseja excluir este evento?');
INSERT INTO `lang_definitions` VALUES (72706, 461, 20, 'Você tem certeza de que deseja deletar esse item do banco de dados?');
INSERT INTO `lang_definitions` VALUES (72707, 462, 20, 'Tem certeza de que deseja excluir esta nota?');
INSERT INTO `lang_definitions` VALUES (72708, 464, 20, 'Tem certeza que deseja editar estes eventos?');
INSERT INTO `lang_definitions` VALUES (72709, 465, 20, 'Tem certeza que deseja ocultar estes eventos?');
INSERT INTO `lang_definitions` VALUES (72710, 466, 20, 'Você está certo de que quer transmiti-la novamente?');
INSERT INTO `lang_definitions` VALUES (72711, 467, 20, 'Você tem certeza que quer ver estes eventos?');
INSERT INTO `lang_definitions` VALUES (72712, 468, 20, 'Tem certeza de que deseja apagar todo o grupo denominado');
INSERT INTO `lang_definitions` VALUES (72713, 469, 20, 'Tem certeza de que deseja apagar toda a lista');
INSERT INTO `lang_definitions` VALUES (72714, 470, 20, 'Tem certeza de que deseja excluir o campo em');
INSERT INTO `lang_definitions` VALUES (72715, 471, 20, 'Tem certeza de que deseja apagar os campos selecionados?');
INSERT INTO `lang_definitions` VALUES (72716, 472, 20, 'Tem certeza de que deseja continuar com estas ações?');
INSERT INTO `lang_definitions` VALUES (72717, 473, 20, 'Área não especificada');
INSERT INTO `lang_definitions` VALUES (72718, 474, 20, 'braço');
INSERT INTO `lang_definitions` VALUES (72719, 475, 20, 'Armênio');
INSERT INTO `lang_definitions` VALUES (72720, 477, 20, 'Arritmia');
INSERT INTO `lang_definitions` VALUES (72721, 478, 20, 'Artrite');
INSERT INTO `lang_definitions` VALUES (72722, 479, 20, 'Artrite / Doenças Degenerativas conjunta');
INSERT INTO `lang_definitions` VALUES (72723, 480, 20, 'Artrite / doença articular Degenerativa');
INSERT INTO `lang_definitions` VALUES (72724, 481, 20, 'como');
INSERT INTO `lang_definitions` VALUES (72725, 482, 20, 'Como De');
INSERT INTO `lang_definitions` VALUES (72726, 483, 20, 'ASC');
INSERT INTO `lang_definitions` VALUES (72727, 484, 20, 'Asiático');
INSERT INTO `lang_definitions` VALUES (72728, 487, 20, 'EFE');
INSERT INTO `lang_definitions` VALUES (72729, 488, 20, 'Atribuído a');
INSERT INTO `lang_definitions` VALUES (72730, 489, 20, 'Assistente');
INSERT INTO `lang_definitions` VALUES (72731, 490, 20, 'Asma');
INSERT INTO `lang_definitions` VALUES (72732, 491, 20, 'em');
INSERT INTO `lang_definitions` VALUES (72733, 492, 20, 'Pelo menos um parâmetro de procura é necessário se você selecionar Todos.');
INSERT INTO `lang_definitions` VALUES (72734, 493, 20, 'No navicular');
INSERT INTO `lang_definitions` VALUES (72735, 494, 20, 'At the navicular:');
INSERT INTO `lang_definitions` VALUES (72736, 495, 20, 'Time Atletico');
INSERT INTO `lang_definitions` VALUES (72737, 496, 20, 'Time Atletico');
INSERT INTO `lang_definitions` VALUES (72738, 497, 20, 'Atlético / Prejuízo');
INSERT INTO `lang_definitions` VALUES (72739, 498, 20, 'Certificado CA auditado ATNA');
INSERT INTO `lang_definitions` VALUES (72740, 499, 20, 'Convidado de Auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (72741, 500, 20, 'Certificado local de Auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (72742, 501, 20, 'Porta de Auditoria ATNA');
INSERT INTO `lang_definitions` VALUES (72743, 503, 20, 'Atenção');
INSERT INTO `lang_definitions` VALUES (72744, 504, 20, 'À atenção de');
INSERT INTO `lang_definitions` VALUES (72745, 506, 20, 'Auditar Motor de Consultas CDR');
INSERT INTO `lang_definitions` VALUES (72746, 507, 20, 'Registro de auditoria adulterado');
INSERT INTO `lang_definitions` VALUES (72747, 509, 20, 'Auditar Registros de Backups');
INSERT INTO `lang_definitions` VALUES (72748, 510, 20, 'Auditar Registros Diversos');
INSERT INTO `lang_definitions` VALUES (72749, 511, 20, 'Auditar Registros de Pagamentos');
INSERT INTO `lang_definitions` VALUES (72750, 512, 20, 'Auditar Registros de Prontuários');
INSERT INTO `lang_definitions` VALUES (72751, 513, 20, 'Auditar Registros de Agendamento');
INSERT INTO `lang_definitions` VALUES (72752, 514, 20, 'Auditar Registros de Administração de Segurança');
INSERT INTO `lang_definitions` VALUES (72753, 515, 20, 'Auditar Registros de Consultas \"SELECT\"');
INSERT INTO `lang_definitions` VALUES (72754, 516, 20, 'Ago.');
INSERT INTO `lang_definitions` VALUES (72755, 517, 20, 'Agosto');
INSERT INTO `lang_definitions` VALUES (72756, 519, 20, 'Aut.');
INSERT INTO `lang_definitions` VALUES (72757, 520, 20, 'Aut. / notas');
INSERT INTO `lang_definitions` VALUES (72758, 523, 20, 'Grupo de Autorização');
INSERT INTO `lang_definitions` VALUES (72759, 524, 20, 'Status de Autorização');
INSERT INTO `lang_definitions` VALUES (72760, 525, 20, 'Autorizações');
INSERT INTO `lang_definitions` VALUES (72761, 526, 20, 'Autorizar');
INSERT INTO `lang_definitions` VALUES (72762, 527, 20, 'Autorizar - quaisquer Consultas');
INSERT INTO `lang_definitions` VALUES (72763, 528, 20, 'Autorizar - minhas Consultas');
INSERT INTO `lang_definitions` VALUES (72764, 529, 20, 'Autorizar.net');
INSERT INTO `lang_definitions` VALUES (72765, 530, 20, 'Autorizado');
INSERT INTO `lang_definitions` VALUES (72766, 531, 20, 'Autorizado Apenas');
INSERT INTO `lang_definitions` VALUES (72767, 532, 20, 'Auto Enviar');
INSERT INTO `lang_definitions` VALUES (72768, 535, 20, 'Criação automática de novos encontros.');
INSERT INTO `lang_definitions` VALUES (72769, 536, 20, 'Auto-gerar');
INSERT INTO `lang_definitions` VALUES (72770, 537, 20, 'Cálculo Automático de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (72771, 538, 20, 'Cálculo Automático de Medida (CAM) - 2011');
INSERT INTO `lang_definitions` VALUES (72772, 539, 20, 'Cálculo Automático de Medida (CAM) - 2014');
INSERT INTO `lang_definitions` VALUES (72773, 542, 20, 'Rastreamento Cálculo Automático de Medida (CAM)');
INSERT INTO `lang_definitions` VALUES (72774, 543, 20, 'Medidas Automáticas');
INSERT INTO `lang_definitions` VALUES (72775, 544, 20, 'Automático');
INSERT INTO `lang_definitions` VALUES (72776, 546, 20, 'automaticamente cria um novo encontro quando o estado do anterior é \"@\" (chegado)');
INSERT INTO `lang_definitions` VALUES (72777, 549, 20, 'Automóvel Médico');
INSERT INTO `lang_definitions` VALUES (72778, 550, 20, 'salvar automático');
INSERT INTO `lang_definitions` VALUES (72779, 551, 20, 'Categorias disponíveis');
INSERT INTO `lang_definitions` VALUES (72780, 552, 20, 'Horário Disponível');
INSERT INTO `lang_definitions` VALUES (72781, 553, 20, 'Faixas disponíveis');
INSERT INTO `lang_definitions` VALUES (72782, 555, 20, 'há muitos tipos de entiqueta para imprimir entiquetas para pacientes e notificaçoes na aba de navegaçao à esquerda');
INSERT INTO `lang_definitions` VALUES (72783, 557, 20, 'Média Mensal');
INSERT INTO `lang_definitions` VALUES (72784, 558, 20, 'A fratura por avulsão /');
INSERT INTO `lang_definitions` VALUES (72785, 559, 20, 'Avulsão do maléolo lateral');
INSERT INTO `lang_definitions` VALUES (72786, 560, 20, 'Avulsão do maléolo medial ');
INSERT INTO `lang_definitions` VALUES (72787, 561, 20, 'Conscientização-Based');
INSERT INTO `lang_definitions` VALUES (72788, 562, 20, 'Axilar');
INSERT INTO `lang_definitions` VALUES (72789, 565, 20, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (72790, 566, 20, 'Voltar');
INSERT INTO `lang_definitions` VALUES (72791, 567, 20, 'voltar');
INSERT INTO `lang_definitions` VALUES (72792, 568, 20, 'Voltar oito visitas');
INSERT INTO `lang_definitions` VALUES (72793, 569, 20, 'Voltar onze visitas');
INSERT INTO `lang_definitions` VALUES (72794, 570, 20, 'Voltar cinco visitas');
INSERT INTO `lang_definitions` VALUES (72795, 571, 20, 'Voltar quatro visitas');
INSERT INTO `lang_definitions` VALUES (72796, 572, 20, 'Voltar nove visitas');
INSERT INTO `lang_definitions` VALUES (72797, 573, 20, 'Voltar uma visita');
INSERT INTO `lang_definitions` VALUES (72798, 574, 20, 'Dor nas Costas');
INSERT INTO `lang_definitions` VALUES (72799, 575, 20, 'Problemas nas costas');
INSERT INTO `lang_definitions` VALUES (72800, 576, 20, 'Voltar sete visitas');
INSERT INTO `lang_definitions` VALUES (72801, 577, 20, 'Voltar seis visitas');
INSERT INTO `lang_definitions` VALUES (72802, 578, 20, 'Voltar Cirurgia');
INSERT INTO `lang_definitions` VALUES (72803, 579, 20, 'Voltar dez visitas');
INSERT INTO `lang_definitions` VALUES (72804, 580, 20, 'Voltar três visitas');
INSERT INTO `lang_definitions` VALUES (72805, 581, 20, 'Voltar a Pág. Administração');
INSERT INTO `lang_definitions` VALUES (72806, 582, 20, 'Voltar para encontrar');
INSERT INTO `lang_definitions` VALUES (72807, 583, 20, 'Voltar ao Paciente');
INSERT INTO `lang_definitions` VALUES (72808, 584, 20, 'Voltar ao Paciente');
INSERT INTO `lang_definitions` VALUES (72809, 585, 20, 'Voltar a Usuários');
INSERT INTO `lang_definitions` VALUES (72810, 586, 20, 'Voltar à modo Visualização');
INSERT INTO `lang_definitions` VALUES (72811, 587, 20, 'Voltar doze visitas');
INSERT INTO `lang_definitions` VALUES (72812, 588, 20, 'Voltar duas visitas');
INSERT INTO `lang_definitions` VALUES (72813, 589, 20, 'Serviços de fundo');
INSERT INTO `lang_definitions` VALUES (72814, 590, 20, 'Backup');
INSERT INTO `lang_definitions` VALUES (72815, 591, 20, 'O arquivo de backup foi criado. Agora enviará o download.');
INSERT INTO `lang_definitions` VALUES (72816, 592, 20, 'Lista de backup');
INSERT INTO `lang_definitions` VALUES (72817, 593, 20, 'Backup feito com sucesso em');
INSERT INTO `lang_definitions` VALUES (72818, 594, 20, 'Cheque ruim');
INSERT INTO `lang_definitions` VALUES (72819, 595, 20, 'Dívida incobrável');
INSERT INTO `lang_definitions` VALUES (72820, 596, 20, 'Bahasa Indonésia');
INSERT INTO `lang_definitions` VALUES (72821, 597, 20, 'Sal');
INSERT INTO `lang_definitions` VALUES (72822, 598, 20, 'Saldo');
INSERT INTO `lang_definitions` VALUES (72823, 599, 20, 'equilíbrio');
INSERT INTO `lang_definitions` VALUES (72824, 600, 20, 'Valor do Saldo');
INSERT INTO `lang_definitions` VALUES (72825, 601, 20, 'Saldo devedor');
INSERT INTO `lang_definitions` VALUES (72826, 603, 20, 'Banco de Rascunhos');
INSERT INTO `lang_definitions` VALUES (72827, 604, 20, 'Código de barras');
INSERT INTO `lang_definitions` VALUES (72828, 605, 20, 'Tipo de código de barras');
INSERT INTO `lang_definitions` VALUES (72829, 607, 20, 'Base de quinta (5) Metarsal');
INSERT INTO `lang_definitions` VALUES (72830, 608, 20, 'Base de quinta (5) Metarsal:');
INSERT INTO `lang_definitions` VALUES (72831, 611, 20, 'Reivindicação em lote');
INSERT INTO `lang_definitions` VALUES (72832, 612, 20, 'Lote Ferramenta de Comunicação');
INSERT INTO `lang_definitions` VALUES (72833, 613, 20, 'Processamento em lote das entradas de pagamento');
INSERT INTO `lang_definitions` VALUES (72834, 614, 20, 'Pagamentos em lote');
INSERT INTO `lang_definitions` VALUES (72835, 615, 20, 'Processamento em lote iniciado, o que pode demorar um pouco.');
INSERT INTO `lang_definitions` VALUES (72836, 616, 20, 'Resultados do Processamento em Lote.');
INSERT INTO `lang_definitions` VALUES (72837, 617, 20, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (72838, 618, 20, 'Seja paciente, alguns arquivos podem demorar alguns minutos para processar!');
INSERT INTO `lang_definitions` VALUES (72839, 619, 20, 'porque esse id não existe.');
INSERT INTO `lang_definitions` VALUES (72840, 620, 20, 'Começo');
INSERT INTO `lang_definitions` VALUES (72841, 621, 20, 'Data inicial');
INSERT INTO `lang_definitions` VALUES (72842, 623, 20, 'Data de início do serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (72843, 624, 20, 'Hora de início de eventos na agenda');
INSERT INTO `lang_definitions` VALUES (72844, 626, 20, 'Arroto');
INSERT INTO `lang_definitions` VALUES (72845, 628, 20, 'Bengali');
INSERT INTO `lang_definitions` VALUES (72846, 630, 20, 'entre');
INSERT INTO `lang_definitions` VALUES (72847, 631, 20, 'Bidirecional');
INSERT INTO `lang_definitions` VALUES (72848, 633, 20, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (72849, 634, 20, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (72850, 636, 20, 'Data da Conta:');
INSERT INTO `lang_definitions` VALUES (72851, 637, 20, 'Conta / Recolher');
INSERT INTO `lang_definitions` VALUES (72852, 638, 20, 'Faturado');
INSERT INTO `lang_definitions` VALUES (72853, 640, 20, 'Faturamento');
INSERT INTO `lang_definitions` VALUES (72854, 641, 20, 'Faturamento (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (72855, 642, 20, 'À atenção de faturamento');
INSERT INTO `lang_definitions` VALUES (72856, 644, 20, 'Código de faturamento para os serviços solicitados');
INSERT INTO `lang_definitions` VALUES (72857, 645, 20, 'Códigos de faturamento');
INSERT INTO `lang_definitions` VALUES (72858, 646, 20, 'Informações para Cobrança.');
INSERT INTO `lang_definitions` VALUES (72859, 647, 20, 'Faturamento do Departamento');
INSERT INTO `lang_definitions` VALUES (72860, 648, 20, 'Faturamento das Instalações');
INSERT INTO `lang_definitions` VALUES (72861, 649, 20, 'Informações de faturamento');
INSERT INTO `lang_definitions` VALUES (72862, 650, 20, 'Faturamento Localização');
INSERT INTO `lang_definitions` VALUES (72863, 655, 20, 'Gerente de Cobranças');
INSERT INTO `lang_definitions` VALUES (72864, 656, 20, 'Nota de faturamento');
INSERT INTO `lang_definitions` VALUES (72865, 657, 20, 'Nota de faturamento para ');
INSERT INTO `lang_definitions` VALUES (72866, 658, 20, 'Nota de faturamento');
INSERT INTO `lang_definitions` VALUES (72867, 659, 20, 'Fila resultados de faturamento');
INSERT INTO `lang_definitions` VALUES (72868, 660, 20, 'Relatório de faturamento');
INSERT INTO `lang_definitions` VALUES (72869, 661, 20, 'Status de faturamento');
INSERT INTO `lang_definitions` VALUES (72870, 662, 20, 'Status de Cobrança = Não Faturado');
INSERT INTO `lang_definitions` VALUES (72871, 663, 20, 'faturamento para ');
INSERT INTO `lang_definitions` VALUES (72872, 665, 20, 'Biópsia');
INSERT INTO `lang_definitions` VALUES (72873, 666, 20, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (72874, 667, 20, 'Nascimento - 24 meses');
INSERT INTO `lang_definitions` VALUES (72875, 669, 20, 'Preto');
INSERT INTO `lang_definitions` VALUES (72876, 670, 20, 'Antracose');
INSERT INTO `lang_definitions` VALUES (72877, 671, 20, 'Negro ou Afro-Americano');
INSERT INTO `lang_definitions` VALUES (72878, 672, 20, 'Cancro da bexiga');
INSERT INTO `lang_definitions` VALUES (72879, 673, 20, 'As infecções da bexiga');
INSERT INTO `lang_definitions` VALUES (72880, 674, 20, 'Formulários em branco');
INSERT INTO `lang_definitions` VALUES (72881, 675, 20, 'Problemas de sangramento');
INSERT INTO `lang_definitions` VALUES (72882, 676, 20, 'Pontos cegos');
INSERT INTO `lang_definitions` VALUES (72883, 677, 20, 'Inchação');
INSERT INTO `lang_definitions` VALUES (72884, 678, 20, 'Bloqueados');
INSERT INTO `lang_definitions` VALUES (72885, 679, 20, 'Sangue');
INSERT INTO `lang_definitions` VALUES (72886, 680, 20, 'Pressão Arterial');
INSERT INTO `lang_definitions` VALUES (72887, 681, 20, 'A pressão arterial');
INSERT INTO `lang_definitions` VALUES (72888, 682, 20, 'Nariz Ensang.');
INSERT INTO `lang_definitions` VALUES (72889, 683, 20, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (72890, 684, 20, 'As linhas azuis neste relatório são informativos. Linhas pretas mostram informações previamente existentes. Linhas verdes mostram as alterações que foram aplicadas com êxito. As linhas vermelhas indicam erros ou alterações que não foram aplicadas, estas deverão ser processadas manualmente. Atualmente, negou as acusações e reversões de pagamento não é feito automaticamente e assim que aparecem em vermelho.');
INSERT INTO `lang_definitions` VALUES (72891, 685, 20, 'Visão turva');
INSERT INTO `lang_definitions` VALUES (72892, 686, 20, 'IMC');
INSERT INTO `lang_definitions` VALUES (72893, 687, 20, 'IMC Status');
INSERT INTO `lang_definitions` VALUES (72894, 689, 20, 'Corpo Região');
INSERT INTO `lang_definitions` VALUES (72895, 690, 20, 'Lado do corpo');
INSERT INTO `lang_definitions` VALUES (72896, 691, 20, 'lado do corpo , se aplicavel');
INSERT INTO `lang_definitions` VALUES (72897, 692, 20, 'Ternura Bone:');
INSERT INTO `lang_definitions` VALUES (72898, 693, 20, 'Bone Ternura: do maléolo medial');
INSERT INTO `lang_definitions` VALUES (72899, 694, 20, 'Boolean');
INSERT INTO `lang_definitions` VALUES (72900, 696, 20, 'Inf.');
INSERT INTO `lang_definitions` VALUES (72901, 697, 20, 'Ambas as orelhas');
INSERT INTO `lang_definitions` VALUES (72902, 698, 20, 'ambas as orelhas');
INSERT INTO `lang_definitions` VALUES (72903, 699, 20, 'Fundo');
INSERT INTO `lang_definitions` VALUES (72904, 700, 20, 'Margem inferior (px)');
INSERT INTO `lang_definitions` VALUES (72905, 701, 20, 'BOX Emprego A. 10 relacionados ');
INSERT INTO `lang_definitions` VALUES (72906, 702, 20, 'BOX 10 B. Auto Accident ');
INSERT INTO `lang_definitions` VALUES (72907, 703, 20, 'BOX 10 C. Outros Acidentes ');
INSERT INTO `lang_definitions` VALUES (72908, 706, 20, 'BOX 15. Data de doença igual ou semelhante (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (72909, 708, 20, 'BOX 16. Data incapaz de trabalhar a partir de (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (72910, 709, 20, 'BOX 16. Data incapaz de trabalhar a (aaaa-mm-dd):');
INSERT INTO `lang_definitions` VALUES (72911, 710, 20, 'BOX 18. Data de Internação (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (72912, 711, 20, 'BOX 18. Data de Internação (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (72913, 712, 20, 'BOX 20. Fora do laboratório é utilizado?');
INSERT INTO `lang_definitions` VALUES (72914, 713, 20, 'BOX 22. Medicaid Reapresentação Código (CID-9) ');
INSERT INTO `lang_definitions` VALUES (72915, 714, 20, 'BOX 23. º Autorização prévia ');
INSERT INTO `lang_definitions` VALUES (72916, 715, 20, 'PA');
INSERT INTO `lang_definitions` VALUES (72917, 716, 20, 'PA diastólica');
INSERT INTO `lang_definitions` VALUES (72918, 717, 20, 'PA sistólica');
INSERT INTO `lang_definitions` VALUES (72919, 719, 20, 'Bpd');
INSERT INTO `lang_definitions` VALUES (72920, 721, 20, 'Bps');
INSERT INTO `lang_definitions` VALUES (72921, 722, 20, 'Português do Brasil');
INSERT INTO `lang_definitions` VALUES (72922, 723, 20, 'Mama');
INSERT INTO `lang_definitions` VALUES (72923, 724, 20, 'Biópsia de mama');
INSERT INTO `lang_definitions` VALUES (72924, 725, 20, 'Quitação de mama');
INSERT INTO `lang_definitions` VALUES (72925, 726, 20, 'Doença da Mama');
INSERT INTO `lang_definitions` VALUES (72926, 727, 20, 'Exame de Mama');
INSERT INTO `lang_definitions` VALUES (72927, 728, 20, 'Massa de mama');
INSERT INTO `lang_definitions` VALUES (72928, 730, 20, 'Respiração:');
INSERT INTO `lang_definitions` VALUES (72929, 731, 20, 'Bretão');
INSERT INTO `lang_definitions` VALUES (72930, 732, 20, 'Fratura Osséa');
INSERT INTO `lang_definitions` VALUES (72931, 733, 20, 'Formulário quebrado');
INSERT INTO `lang_definitions` VALUES (72932, 734, 20, 'Bronquite Forma');
INSERT INTO `lang_definitions` VALUES (72933, 735, 20, 'Navegue');
INSERT INTO `lang_definitions` VALUES (72934, 736, 20, 'Navegue até à ficha');
INSERT INTO `lang_definitions` VALUES (72935, 737, 20, 'Contusão / hematoma');
INSERT INTO `lang_definitions` VALUES (72936, 738, 20, 'Búlgaro');
INSERT INTO `lang_definitions` VALUES (72937, 739, 20, 'Abaulamento Direita:');
INSERT INTO `lang_definitions` VALUES (72938, 740, 20, 'Birmanês');
INSERT INTO `lang_definitions` VALUES (72939, 741, 20, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (72940, 742, 20, 'Ardor ao urinar');
INSERT INTO `lang_definitions` VALUES (72941, 743, 20, 'Telefone comercial');
INSERT INTO `lang_definitions` VALUES (72942, 744, 20, 'Ocupado');
INSERT INTO `lang_definitions` VALUES (72943, 745, 20, 'mas não ainda processado.');
INSERT INTO `lang_definitions` VALUES (72944, 746, 20, 'Nádega');
INSERT INTO `lang_definitions` VALUES (72945, 747, 20, 'Nádega + S.I.');
INSERT INTO `lang_definitions` VALUES (72946, 748, 20, 'por');
INSERT INTO `lang_definitions` VALUES (72947, 749, 20, 'Por');
INSERT INTO `lang_definitions` VALUES (72948, 750, 20, 'pela boca');
INSERT INTO `lang_definitions` VALUES (72949, 751, 20, 'Por / Fonte');
INSERT INTO `lang_definitions` VALUES (72950, 752, 20, 'Por:');
INSERT INTO `lang_definitions` VALUES (72951, 753, 20, 'C');
INSERT INTO `lang_definitions` VALUES (72952, 754, 20, 'Certificado CA para verificação via Servidor de Syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (72953, 755, 20, 'Cache Lifetime (em segundos)');
INSERT INTO `lang_definitions` VALUES (72954, 756, 20, 'Cache modelo de produção?');
INSERT INTO `lang_definitions` VALUES (72955, 757, 20, 'O consumo de cafeína');
INSERT INTO `lang_definitions` VALUES (72956, 758, 20, 'Calendário');
INSERT INTO `lang_definitions` VALUES (72957, 759, 20, 'Horário de final do Calendário');
INSERT INTO `lang_definitions` VALUES (72958, 760, 20, 'Intervalo do Calendário');
INSERT INTO `lang_definitions` VALUES (72959, 761, 20, 'Tela do Calendário');
INSERT INTO `lang_definitions` VALUES (72960, 762, 20, 'Definições do calendário');
INSERT INTO `lang_definitions` VALUES (72961, 763, 20, 'Hora de Inicio do Calendário');
INSERT INTO `lang_definitions` VALUES (72962, 764, 20, 'Calendário UI');
INSERT INTO `lang_definitions` VALUES (72963, 765, 20, 'Ver Calendário');
INSERT INTO `lang_definitions` VALUES (72964, 766, 20, 'Chamar a atenção para addForm () vai aqui. <br>');
INSERT INTO `lang_definitions` VALUES (72965, 767, 20, 'Calorias');
INSERT INTO `lang_definitions` VALUES (72966, 768, 20, 'Cambogiano');
INSERT INTO `lang_definitions` VALUES (72968, 774, 20, 'Cancelar');
INSERT INTO `lang_definitions` VALUES (72969, 775, 20, 'Calcelar Alterações');
INSERT INTO `lang_definitions` VALUES (72970, 776, 20, 'Cancelado');
INSERT INTO `lang_definitions` VALUES (72971, 777, 20, 'Câncer');
INSERT INTO `lang_definitions` VALUES (72972, 778, 20, 'Investigação de malignidade: Cólon');
INSERT INTO `lang_definitions` VALUES (72973, 779, 20, 'Investigação de malignidade: Mamografia');
INSERT INTO `lang_definitions` VALUES (72974, 780, 20, 'Investigação de malignidade: Papanicolau');
INSERT INTO `lang_definitions` VALUES (72975, 781, 20, 'Investigação de malignidade: Próstata');
INSERT INTO `lang_definitions` VALUES (72976, 782, 20, 'Não é possível adicionar esta entrada, porque já existe!');
INSERT INTO `lang_definitions` VALUES (72977, 783, 20, 'Não é possível adicionar / actualizar esta entrada, porque já existe um duplicado!');
INSERT INTO `lang_definitions` VALUES (72978, 784, 20, 'não pode ser arquivado, ignorado');
INSERT INTO `lang_definitions` VALUES (72979, 785, 20, 'não pode ser convertido para JPEG. Talvez ImageMagick não está instalado?');
INSERT INTO `lang_definitions` VALUES (72980, 786, 20, 'não pode ser deletado, ignorado');
INSERT INTO `lang_definitions` VALUES (72981, 787, 20, 'não pode ser exibido inline porque seu tipo não é suportado pelo navegador.');
INSERT INTO `lang_definitions` VALUES (72982, 788, 20, 'não pode ser exibido inline porque seu tipo não é suportado pelo browser');
INSERT INTO `lang_definitions` VALUES (72983, 789, 20, 'não pode ser exibido inline porque seu tipo não é suportado pelo navegador.');
INSERT INTO `lang_definitions` VALUES (72984, 790, 20, 'Não é possível criar');
INSERT INTO `lang_definitions` VALUES (72985, 791, 20, 'Não é possível criar arquivo');
INSERT INTO `lang_definitions` VALUES (72986, 792, 20, 'Não é possível excluir arquivo (a partir de SFTP server)');
INSERT INTO `lang_definitions` VALUES (72987, 793, 20, 'Não é possível excluir arquivo');
INSERT INTO `lang_definitions` VALUES (72988, 794, 20, 'Não é possível determinar um nome de arquivo de destino');
INSERT INTO `lang_definitions` VALUES (72989, 795, 20, 'Não é possível localizar ');
INSERT INTO `lang_definitions` VALUES (72990, 796, 20, 'Não é possível encontrar o nome do arquivo de destino');
INSERT INTO `lang_definitions` VALUES (72991, 799, 20, 'Não é possível encontrar pacientes de SQL-Ledger ID do cliente');
INSERT INTO `lang_definitions` VALUES (72992, 800, 20, 'Não é possível encontrar referência do documento em PostScript ');
INSERT INTO `lang_definitions` VALUES (72993, 801, 20, 'Não é possível encontrar fornecedor de SQL-Ledger empregado = ');
INSERT INTO `lang_definitions` VALUES (72994, 802, 20, 'Não é possível modificar Pagamentos.');
INSERT INTO `lang_definitions` VALUES (72995, 803, 20, 'Não é possível abrir ');
INSERT INTO `lang_definitions` VALUES (72996, 804, 20, 'Não é possível emitir a Operadora. O pagamento selecionado é Paciente.');
INSERT INTO `lang_definitions` VALUES (72997, 805, 20, 'Não é possível emitir ao Paciente. O pagamento selecionado é Operadora.');
INSERT INTO `lang_definitions` VALUES (72998, 806, 20, 'Não é possível emitir Pagamentos.');
INSERT INTO `lang_definitions` VALUES (72999, 807, 20, 'Não é possível ler');
INSERT INTO `lang_definitions` VALUES (73000, 808, 20, 'Não é possível ler pasta');
INSERT INTO `lang_definitions` VALUES (73001, 809, 20, 'Não é possível atualizar porque você não está editando uma entrada existente!');
INSERT INTO `lang_definitions` VALUES (73002, 810, 20, 'Capitalizar');
INSERT INTO `lang_definitions` VALUES (73003, 811, 20, 'Capitalizar tudo');
INSERT INTO `lang_definitions` VALUES (73004, 812, 20, 'cápsula');
INSERT INTO `lang_definitions` VALUES (73005, 813, 20, 'Cartão');
INSERT INTO `lang_definitions` VALUES (73006, 814, 20, 'Cateterismo Cardíaco');
INSERT INTO `lang_definitions` VALUES (73007, 815, 20, 'Remédio Cardíaco');
INSERT INTO `lang_definitions` VALUES (73008, 816, 20, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (73009, 821, 20, 'Danos na cartilagem / condral / disco');
INSERT INTO `lang_definitions` VALUES (73010, 822, 20, 'Lesão da cartilagem');
INSERT INTO `lang_definitions` VALUES (73011, 823, 20, 'Pulsações Cartoid nl, nl dos pulsos');
INSERT INTO `lang_definitions` VALUES (73012, 824, 20, 'dinheiro');
INSERT INTO `lang_definitions` VALUES (73013, 825, 20, 'Dinheiro');
INSERT INTO `lang_definitions` VALUES (73014, 826, 20, 'Dinheiro Rec');
INSERT INTO `lang_definitions` VALUES (73015, 827, 20, 'Pagamentos Recebidos pela Operadora');
INSERT INTO `lang_definitions` VALUES (73016, 828, 20, 'Catalão Valenciana');
INSERT INTO `lang_definitions` VALUES (73017, 829, 20, 'Cirurgia de Catarata');
INSERT INTO `lang_definitions` VALUES (73018, 830, 20, 'Catarata');
INSERT INTO `lang_definitions` VALUES (73019, 831, 20, 'Categorias');
INSERT INTO `lang_definitions` VALUES (73020, 832, 20, 'Categorias por');
INSERT INTO `lang_definitions` VALUES (73021, 833, 20, 'Categoria');
INSERT INTO `lang_definitions` VALUES (73022, 834, 20, 'categoria');
INSERT INTO `lang_definitions` VALUES (73023, 835, 20, 'Categoria ');
INSERT INTO `lang_definitions` VALUES (73024, 836, 20, 'Categoria Detalhes');
INSERT INTO `lang_definitions` VALUES (73025, 837, 20, 'Limites de Categoria');
INSERT INTO `lang_definitions` VALUES (73026, 838, 20, 'Nome da Categoria');
INSERT INTO `lang_definitions` VALUES (73027, 839, 20, 'Nome da Categoria está vazia');
INSERT INTO `lang_definitions` VALUES (73028, 840, 20, 'Categoria/Título');
INSERT INTO `lang_definitions` VALUES (73029, 841, 20, 'Caucasiano');
INSERT INTO `lang_definitions` VALUES (73030, 842, 20, 'Recibos de casos pra imprimir encontrados/fornecer informação primária');
INSERT INTO `lang_definitions` VALUES (73031, 846, 20, 'CCR Aprovado');
INSERT INTO `lang_definitions` VALUES (73032, 847, 20, 'Avaliação Paciente CCR');
INSERT INTO `lang_definitions` VALUES (73033, 848, 20, 'CCR Aprovado');
INSERT INTO `lang_definitions` VALUES (73034, 850, 20, 'CDR');
INSERT INTO `lang_definitions` VALUES (73035, 851, 20, 'CDR Relatórios de Processamento');
INSERT INTO `lang_definitions` VALUES (73036, 852, 20, 'Celular');
INSERT INTO `lang_definitions` VALUES (73037, 853, 20, 'Telefone Celular');
INSERT INTO `lang_definitions` VALUES (73038, 854, 20, 'Numero de telefone celular');
INSERT INTO `lang_definitions` VALUES (73039, 855, 20, 'Número de Telefone Celular');
INSERT INTO `lang_definitions` VALUES (73040, 856, 20, 'Central de Certificação');
INSERT INTO `lang_definitions` VALUES (73041, 857, 20, 'Central/America do Sul');
INSERT INTO `lang_definitions` VALUES (73042, 858, 20, 'Local do arquivo CRT da certificadora não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (73043, 859, 20, 'Local do arquivo CHAVE da certificadora não pode estar vazio');
INSERT INTO `lang_definitions` VALUES (73044, 860, 20, 'Certificado para enviar a RFC 5425 servidor syslog TLS.');
INSERT INTO `lang_definitions` VALUES (73045, 861, 20, 'Usuário Certificado');
INSERT INTO `lang_definitions` VALUES (73046, 862, 20, 'Certificados');
INSERT INTO `lang_definitions` VALUES (73047, 864, 20, 'Mastigação');
INSERT INTO `lang_definitions` VALUES (73048, 865, 20, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (73049, 866, 20, 'alterar');
INSERT INTO `lang_definitions` VALUES (73050, 867, 20, 'Alterar');
INSERT INTO `lang_definitions` VALUES (73051, 868, 20, 'Mudança de Atividade');
INSERT INTO `lang_definitions` VALUES (73052, 869, 20, 'A Alteração falhou! Erro de conecção CouchDB?');
INSERT INTO `lang_definitions` VALUES (73053, 870, 20, 'Mudança na visão');
INSERT INTO `lang_definitions` VALUES (73054, 871, 20, 'Mudança na visão');
INSERT INTO `lang_definitions` VALUES (73055, 872, 20, 'Alterar Senha');
INSERT INTO `lang_definitions` VALUES (73056, 874, 20, 'Mudado');
INSERT INTO `lang_definitions` VALUES (73057, 875, 20, 'Mudança Intestinal');
INSERT INTO `lang_definitions` VALUES (73058, 876, 20, 'Mudando paciente ID para documento');
INSERT INTO `lang_definitions` VALUES (73059, 877, 20, 'Características');
INSERT INTO `lang_definitions` VALUES (73060, 878, 20, 'Caracteres Restantes');
INSERT INTO `lang_definitions` VALUES (73061, 879, 20, 'Carregar');
INSERT INTO `lang_definitions` VALUES (73062, 880, 20, 'Ajuste de despesas');
INSERT INTO `lang_definitions` VALUES (73063, 881, 20, 'Encargo codificado');
INSERT INTO `lang_definitions` VALUES (73064, 882, 20, 'Despesa');
INSERT INTO `lang_definitions` VALUES (73065, 883, 20, 'Gráfico');
INSERT INTO `lang_definitions` VALUES (73066, 884, 20, 'Gráfico de Atividade');
INSERT INTO `lang_definitions` VALUES (73067, 885, 20, 'Gráfico Check-in/out Relatório de Atividade');
INSERT INTO `lang_definitions` VALUES (73068, 886, 20, 'Gráfico ID');
INSERT INTO `lang_definitions` VALUES (73069, 887, 20, 'Gráfico ID:');
INSERT INTO `lang_definitions` VALUES (73070, 888, 20, 'Etiqueta de gráfico');
INSERT INTO `lang_definitions` VALUES (73071, 889, 20, 'Gráfico Atividade Local');
INSERT INTO `lang_definitions` VALUES (73072, 890, 20, 'Gráfico Observação');
INSERT INTO `lang_definitions` VALUES (73073, 891, 20, 'Gráfico Número');
INSERT INTO `lang_definitions` VALUES (73074, 892, 20, 'Gráfico Local de armazenamento');
INSERT INTO `lang_definitions` VALUES (73075, 893, 20, 'Gráfico Tracker');
INSERT INTO `lang_definitions` VALUES (73076, 894, 20, 'Gráfico Trk');
INSERT INTO `lang_definitions` VALUES (73077, 895, 20, 'Gráficos Check-out');
INSERT INTO `lang_definitions` VALUES (73078, 896, 20, 'Gráficos Out');
INSERT INTO `lang_definitions` VALUES (73079, 897, 20, 'Checheno');
INSERT INTO `lang_definitions` VALUES (73080, 898, 20, 'Verificar');
INSERT INTO `lang_definitions` VALUES (73081, 899, 20, 'verificar');
INSERT INTO `lang_definitions` VALUES (73082, 900, 20, 'Verificar Todos');
INSERT INTO `lang_definitions` VALUES (73083, 902, 20, 'Verificar Quantia');
INSERT INTO `lang_definitions` VALUES (73084, 903, 20, 'Verificar Data');
INSERT INTO `lang_definitions` VALUES (73085, 904, 20, 'Busque por diferenças nas traduções com a tabela de idiomas personalizada.');
INSERT INTO `lang_definitions` VALUES (73086, 906, 20, 'Check-in Para');
INSERT INTO `lang_definitions` VALUES (73087, 907, 20, 'Verificar dados de entrada');
INSERT INTO `lang_definitions` VALUES (73088, 908, 20, 'Verifique itens para representar graficamente');
INSERT INTO `lang_definitions` VALUES (73089, 909, 20, 'Verificar Resultado Laboratório');
INSERT INTO `lang_definitions` VALUES (73090, 910, 20, 'Marca de verificação indica revisado');
INSERT INTO `lang_definitions` VALUES (73091, 911, 20, 'Verificar Nº');
INSERT INTO `lang_definitions` VALUES (73092, 912, 20, 'Verificar Número');
INSERT INTO `lang_definitions` VALUES (73093, 915, 20, 'Verificar Pagamento');
INSERT INTO `lang_definitions` VALUES (73094, 916, 20, 'Marque a caixa se este é um arquivo criptografado');
INSERT INTO `lang_definitions` VALUES (73095, 917, 20, 'Marque esta opção se você quiser ver todos os prestadores e não apenas o seu próprio.');
INSERT INTO `lang_definitions` VALUES (73096, 918, 20, 'Marque para cadastrar um problema a partir desse diagnóstico');
INSERT INTO `lang_definitions` VALUES (73097, 919, 20, 'Verificar / EOB Data:');
INSERT INTO `lang_definitions` VALUES (73098, 920, 20, 'Verificar / EOB No.:');
INSERT INTO `lang_definitions` VALUES (73099, 921, 20, 'Verificar / Número de Referência');
INSERT INTO `lang_definitions` VALUES (73100, 922, 20, 'Verificar / Número de Referência');
INSERT INTO `lang_definitions` VALUES (73101, 923, 20, 'Lista Checkbox');
INSERT INTO `lang_definitions` VALUES (73102, 924, 20, 'lista de seleção');
INSERT INTO `lang_definitions` VALUES (73103, 925, 20, 'w caixa / texto');
INSERT INTO `lang_definitions` VALUES (73104, 926, 20, 'Checkbox w / texto');
INSERT INTO `lang_definitions` VALUES (73105, 927, 20, 'As caixas de seleção acima indicam se você deseja rejeitar e excluir o arquivo HL7.');
INSERT INTO `lang_definitions` VALUES (73106, 928, 20, 'Marcado');
INSERT INTO `lang_definitions` VALUES (73107, 929, 20, 'Checked caixa = sim, em branco = não');
INSERT INTO `lang_definitions` VALUES (73108, 931, 20, 'Verificando a caixa de bloqueio que impedirá quaisquer edições futuras sobre quaisquer formas neste encontro.');
INSERT INTO `lang_definitions` VALUES (73109, 932, 20, 'Saída');
INSERT INTO `lang_definitions` VALUES (73110, 934, 20, 'Peito');
INSERT INTO `lang_definitions` VALUES (73111, 935, 20, 'Tórax CTAB');
INSERT INTO `lang_definitions` VALUES (73112, 936, 20, 'Dor Torácica');
INSERT INTO `lang_definitions` VALUES (73113, 937, 20, 'Dor no peito:');
INSERT INTO `lang_definitions` VALUES (73114, 938, 20, 'Dores no peito');
INSERT INTO `lang_definitions` VALUES (73115, 940, 20, 'Var');
INSERT INTO `lang_definitions` VALUES (73116, 942, 20, 'Queixa principal');
INSERT INTO `lang_definitions` VALUES (73117, 943, 20, 'Criança');
INSERT INTO `lang_definitions` VALUES (73118, 945, 20, 'Status Vacinação infantil (SVI)');
INSERT INTO `lang_definitions` VALUES (73119, 946, 20, 'Calafrios');
INSERT INTO `lang_definitions` VALUES (73120, 947, 20, 'Chinês');
INSERT INTO `lang_definitions` VALUES (73121, 948, 20, 'Chinês (Simplificado)');
INSERT INTO `lang_definitions` VALUES (73122, 949, 20, 'Chinês (Tradicional)');
INSERT INTO `lang_definitions` VALUES (73123, 950, 20, 'Quiroprática');
INSERT INTO `lang_definitions` VALUES (73124, 951, 20, 'Escolhas');
INSERT INTO `lang_definitions` VALUES (73125, 952, 20, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (73126, 953, 20, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (73127, 954, 20, 'Colecistectomia');
INSERT INTO `lang_definitions` VALUES (73128, 955, 20, 'Escolher');
INSERT INTO `lang_definitions` VALUES (73129, 956, 20, 'Escolha uma seção e clique em um item dentro dela e, depois, em outra seção você verá os itens relacionados em destaque, e você pode clicar nesse ponto para adicionar e excluir relacionamentos.');
INSERT INTO `lang_definitions` VALUES (73130, 957, 20, 'Escolher Critérios');
INSERT INTO `lang_definitions` VALUES (73131, 958, 20, 'Escolha o download ou mostre-me as opçoes');
INSERT INTO `lang_definitions` VALUES (73132, 959, 20, 'Escolha Arquivo');
INSERT INTO `lang_definitions` VALUES (73133, 960, 20, 'Escolha da lista');
INSERT INTO `lang_definitions` VALUES (73134, 961, 20, 'Escolha direção do layout');
INSERT INTO `lang_definitions` VALUES (73135, 962, 20, 'Escolha lista');
INSERT INTO `lang_definitions` VALUES (73136, 963, 20, 'Escolha Tamanho do Papel');
INSERT INTO `lang_definitions` VALUES (73137, 964, 20, 'Escolha linguagem Preferência do PDF');
INSERT INTO `lang_definitions` VALUES (73138, 965, 20, 'Escolha o formato de impressão para esse relatório');
INSERT INTO `lang_definitions` VALUES (73139, 967, 20, 'Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (73140, 968, 20, 'Dor Crônica na Articulação');
INSERT INTO `lang_definitions` VALUES (73141, 969, 20, 'Doença Renal Crônica (DRC)');
INSERT INTO `lang_definitions` VALUES (73142, 970, 20, 'Sinovite crônica / derrame / dor nas articulações / gota');
INSERT INTO `lang_definitions` VALUES (73143, 971, 20, 'Crônica / recorrente');
INSERT INTO `lang_definitions` VALUES (73144, 972, 20, 'Chuvache');
INSERT INTO `lang_definitions` VALUES (73145, 973, 20, 'Cirrose do fígado');
INSERT INTO `lang_definitions` VALUES (73146, 974, 20, 'A cirrose hepática');
INSERT INTO `lang_definitions` VALUES (73147, 975, 20, 'Cidade');
INSERT INTO `lang_definitions` VALUES (73148, 976, 20, 'Nome Cidade');
INSERT INTO `lang_definitions` VALUES (73149, 977, 20, 'Cidade, Estado');
INSERT INTO `lang_definitions` VALUES (73150, 978, 20, 'Cidade, Estado CEP');
INSERT INTO `lang_definitions` VALUES (73151, 979, 20, 'Cidade / Estado');
INSERT INTO `lang_definitions` VALUES (73152, 980, 20, 'Reclamar');
INSERT INTO `lang_definitions` VALUES (73153, 981, 20, 'Reclamar ');
INSERT INTO `lang_definitions` VALUES (73154, 982, 20, 'Situação da reclamação');
INSERT INTO `lang_definitions` VALUES (73155, 983, 20, 'Reivindicação de teste estiver concluído');
INSERT INTO `lang_definitions` VALUES (73156, 984, 20, 'Tipo de reclamação');
INSERT INTO `lang_definitions` VALUES (73157, 985, 20, 'Reivindicação foi gerada para arquivo');
INSERT INTO `lang_definitions` VALUES (73158, 986, 20, 'Reivindicação foi gerada para arquivo ');
INSERT INTO `lang_definitions` VALUES (73159, 987, 20, 'Reclamações');
INSERT INTO `lang_definitions` VALUES (73160, 988, 20, 'Classificação');
INSERT INTO `lang_definitions` VALUES (73161, 989, 20, 'Apagar');
INSERT INTO `lang_definitions` VALUES (73162, 990, 20, 'APAGAR PACIENTE ATIVO');
INSERT INTO `lang_definitions` VALUES (73163, 991, 20, 'Apagar Tudo');
INSERT INTO `lang_definitions` VALUES (73164, 992, 20, 'Limpar dados HL7');
INSERT INTO `lang_definitions` VALUES (73165, 993, 20, 'Limpar Justificação');
INSERT INTO `lang_definitions` VALUES (73166, 994, 20, 'Limpar Smarty Cache');
INSERT INTO `lang_definitions` VALUES (73167, 995, 20, 'Limpando Informação casa necessária para criação do lote EDI 270');
INSERT INTO `lang_definitions` VALUES (73168, 996, 20, 'Número de CLIA');
INSERT INTO `lang_definitions` VALUES (73169, 997, 20, 'Clique');
INSERT INTO `lang_definitions` VALUES (73170, 998, 20, 'Clique em \'exportar\' para exportar sua Categoria, Subcategoria, ponto, os dados de conteúdo para um arquivo de texto. Qualquer semelhança desse arquivo para um arquivo XML é mera coincidência. Os abertura e fechamento deve estar na mesma linha, eles devem estar em letras minúsculas, sem espaços. Para importar, procure um arquivo e clique em \'importação\'. Se os dados é completamente diferente, ele irá fundir-se com os seus dados existentes. Se houver nomes de itens semelhantes, a antiga será mantido e o novo salvo com um número adicionado ao final.');
INSERT INTO `lang_definitions` VALUES (73171, 999, 20, 'Clique em um ponto no gráfico para adicionar uma nova anotação, clique novamente para removê-lo');
INSERT INTO `lang_definitions` VALUES (73172, 1000, 20, 'Clique em \"Download de Certificado\" para fazer o download em arquivo do ssl.zip');
INSERT INTO `lang_definitions` VALUES (73173, 1001, 20, 'clique para saber mais');
INSERT INTO `lang_definitions` VALUES (73174, 1002, 20, 'Clique para maiores detalhes');
INSERT INTO `lang_definitions` VALUES (73175, 1003, 20, 'Clique para resumo do pedido');
INSERT INTO `lang_definitions` VALUES (73176, 1004, 20, 'Clique para obter os resultados');
INSERT INTO `lang_definitions` VALUES (73177, 1005, 20, 'Clique aqui');
INSERT INTO `lang_definitions` VALUES (73178, 1006, 20, 'Clique aqui para adicionar um novo paciente');
INSERT INTO `lang_definitions` VALUES (73179, 1007, 20, 'Clique aqui para adicionar novo status de modificação lesão e editar atividade diária');
INSERT INTO `lang_definitions` VALUES (73180, 1008, 20, 'Clique aqui para escolher uma data');
INSERT INTO `lang_definitions` VALUES (73181, 1009, 20, 'Clique aqui para escolher uma data e horário');
INSERT INTO `lang_definitions` VALUES (73182, 1010, 20, 'Clique aqui para escolher uma data de início');
INSERT INTO `lang_definitions` VALUES (73183, 1011, 20, 'Clique aqui para escolher data e hora');
INSERT INTO `lang_definitions` VALUES (73184, 1012, 20, 'Clique aqui para escolher data e hora de');
INSERT INTO `lang_definitions` VALUES (73185, 1013, 20, 'Clique aqui para escolher a data e hora para');
INSERT INTO `lang_definitions` VALUES (73186, 1014, 20, 'Clique aqui para configurar Este módulo');
INSERT INTO `lang_definitions` VALUES (73187, 1016, 20, 'Clique Aqui Para Desativar Esse Módulo');
INSERT INTO `lang_definitions` VALUES (73188, 1018, 20, 'Clique aqui para ativar este módulo');
INSERT INTO `lang_definitions` VALUES (73189, 1019, 20, 'Clique aqui para instalar este módulo');
INSERT INTO `lang_definitions` VALUES (73190, 1020, 20, 'Clique aqui para procurar');
INSERT INTO `lang_definitions` VALUES (73191, 1021, 20, 'clique aqui para atualizar prioridade, a categoria e o apelido configurações');
INSERT INTO `lang_definitions` VALUES (73192, 1022, 20, 'Clique aqui para ver todos.');
INSERT INTO `lang_definitions` VALUES (73193, 1023, 20, 'Clique aqui para visualização e gráfico');
INSERT INTO `lang_definitions` VALUES (73194, 1024, 20, 'Clique aqui para ver o gráfico e todos os dados de laboratório.');
INSERT INTO `lang_definitions` VALUES (73195, 1025, 20, 'Clique aqui para visualização e gráfico das informações vitais');
INSERT INTO `lang_definitions` VALUES (73196, 1026, 20, 'Clique aqui para visualizar detalhes do paciente');
INSERT INTO `lang_definitions` VALUES (73197, 1027, 20, 'Clique aqui para ver todos eles.');
INSERT INTO `lang_definitions` VALUES (73198, 1028, 20, 'Clique aqui para visualizar/editar detalhes');
INSERT INTO `lang_definitions` VALUES (73199, 1029, 20, 'Clique no botão de Instalar para instalar a base de dados com edição na seguinte data');
INSERT INTO `lang_definitions` VALUES (73200, 1030, 20, 'Clique em qualquer uma das seções temporais para a aumentar');
INSERT INTO `lang_definitions` VALUES (73201, 1031, 20, 'Clique Nome do paciente para abrir o arquivo do paciente');
INSERT INTO `lang_definitions` VALUES (73202, 1032, 20, 'Clique Atualizar para ver todos os resultados, ou então, por favor dê entrada ao critério de pesquisa acima para ver resultados específicos.');
INSERT INTO `lang_definitions` VALUES (73203, 1033, 20, 'Clique para adicionar um diagnóstico');
INSERT INTO `lang_definitions` VALUES (73204, 1034, 20, 'Clique para adicionar novos componentes');
INSERT INTO `lang_definitions` VALUES (73205, 1035, 20, 'Clique para adicionar nova consulta');
INSERT INTO `lang_definitions` VALUES (73206, 1036, 20, 'Click aqui para escolher diagnósticos para justificar.');
INSERT INTO `lang_definitions` VALUES (73207, 1037, 20, 'Clique para fazer download');
INSERT INTO `lang_definitions` VALUES (73208, 1038, 20, 'Clique para editar');
INSERT INTO `lang_definitions` VALUES (73209, 1039, 20, 'Clique para editar descrição');
INSERT INTO `lang_definitions` VALUES (73210, 1040, 20, 'Clique para editar este evento');
INSERT INTO `lang_definitions` VALUES (73211, 1041, 20, 'Clique para gerar o relatório');
INSERT INTO `lang_definitions` VALUES (73212, 1042, 20, 'Clique para corresponder paciente');
INSERT INTO `lang_definitions` VALUES (73213, 1043, 20, 'Clique para imprimir');
INSERT INTO `lang_definitions` VALUES (73214, 1044, 20, 'Clique para receber (add) novo lote');
INSERT INTO `lang_definitions` VALUES (73215, 1045, 20, 'Clique para selecionar');
INSERT INTO `lang_definitions` VALUES (73216, 1046, 20, 'Clique para Selecionar');
INSERT INTO `lang_definitions` VALUES (73217, 1047, 20, 'Clique para selecionar o código padrão da indústria para este procedimento');
INSERT INTO `lang_definitions` VALUES (73218, 1048, 20, 'Clique para selecionar o código de procedimento opcional');
INSERT INTO `lang_definitions` VALUES (73219, 1049, 20, 'Clique para selecionar ou mudar a codificação');
INSERT INTO `lang_definitions` VALUES (73220, 1050, 20, 'Clique para selecionar ou alterar o código CVX');
INSERT INTO `lang_definitions` VALUES (73221, 1051, 20, 'Clique para selecionar ou alterar diagnósticos');
INSERT INTO `lang_definitions` VALUES (73222, 1052, 20, 'Clique para selecionar ou alterar códigos de serviço');
INSERT INTO `lang_definitions` VALUES (73223, 1053, 20, 'Clique para selecionar pacientes');
INSERT INTO `lang_definitions` VALUES (73224, 1054, 20, 'Clique para selecionar o código relacionado');
INSERT INTO `lang_definitions` VALUES (73225, 1055, 20, 'Clique para selecionar serviços a executar em caso de resultado anormal');
INSERT INTO `lang_definitions` VALUES (73226, 1056, 20, 'Clique para selecionar procedimento desejado');
INSERT INTO `lang_definitions` VALUES (73227, 1057, 20, 'Clique para ordenar');
INSERT INTO `lang_definitions` VALUES (73228, 1058, 20, 'Clique para ver');
INSERT INTO `lang_definitions` VALUES (73229, 1059, 20, 'Clique aqui para visualizar ou editar');
INSERT INTO `lang_definitions` VALUES (73230, 1060, 20, 'Clique para ver/editar');
INSERT INTO `lang_definitions` VALUES (73231, 1061, 20, 'Clique no botão Atualizar para atualizar o banco de dados de liberação a partir do seguinte data');
INSERT INTO `lang_definitions` VALUES (73232, 1062, 20, 'Clique onde indicado acima, para coincidir com o paciente.');
INSERT INTO `lang_definitions` VALUES (73233, 1063, 20, 'Clique em:');
INSERT INTO `lang_definitions` VALUES (73234, 1064, 20, 'Certificado do cliente expira em Dias');
INSERT INTO `lang_definitions` VALUES (73235, 1065, 20, 'Período de validação do certificado do cliente');
INSERT INTO `lang_definitions` VALUES (73236, 1066, 20, 'Vigência do certificado do cliente deve ser um número válido.');
INSERT INTO `lang_definitions` VALUES (73237, 1067, 20, 'Cópia do Paciente');
INSERT INTO `lang_definitions` VALUES (73238, 1069, 20, 'Resumo do histórico médico do paciente');
INSERT INTO `lang_definitions` VALUES (73239, 1070, 20, 'Nome do Paciente');
INSERT INTO `lang_definitions` VALUES (73240, 1071, 20, 'Número do Paciente');
INSERT INTO `lang_definitions` VALUES (73241, 1072, 20, 'Perfil do Paciente - Novos Pacientes');
INSERT INTO `lang_definitions` VALUES (73242, 1073, 20, 'Perfil do Paciente - Pacientes Únicos');
INSERT INTO `lang_definitions` VALUES (73243, 1074, 20, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (73244, 1075, 20, 'Clínica');
INSERT INTO `lang_definitions` VALUES (73245, 1076, 20, 'Cópia da Clínica');
INSERT INTO `lang_definitions` VALUES (73246, 1077, 20, 'Anotação Diária da Clínica');
INSERT INTO `lang_definitions` VALUES (73247, 1078, 20, 'Clínica ID');
INSERT INTO `lang_definitions` VALUES (73248, 1079, 20, 'Clínico');
INSERT INTO `lang_definitions` VALUES (73249, 1080, 20, 'Gerenciador de regras de decisão clínica');
INSERT INTO `lang_definitions` VALUES (73250, 1081, 20, 'Histórico Clínico');
INSERT INTO `lang_definitions` VALUES (73251, 1083, 20, 'Plano Clínico');
INSERT INTO `lang_definitions` VALUES (73252, 1084, 20, 'Avaliador de Qualidade Clínica (AQC)');
INSERT INTO `lang_definitions` VALUES (73253, 1085, 20, 'Avaliador de Qualidade Clínica (AQC) - 2011');
INSERT INTO `lang_definitions` VALUES (73254, 1086, 20, 'Avaliador de Qualidade Clínica (AQC) - 2014');
INSERT INTO `lang_definitions` VALUES (73255, 1087, 20, 'Lembrete Clínico');
INSERT INTO `lang_definitions` VALUES (73256, 1088, 20, 'Relatório Clínico');
INSERT INTO `lang_definitions` VALUES (73257, 1089, 20, 'Regra Clínica - Categoria');
INSERT INTO `lang_definitions` VALUES (73258, 1090, 20, 'Regra Clínica - Ítem');
INSERT INTO `lang_definitions` VALUES (73259, 1091, 20, 'Regra Clínica - Método de Filtro');
INSERT INTO `lang_definitions` VALUES (73260, 1092, 20, 'Regra Clínica - Método Alvo');
INSERT INTO `lang_definitions` VALUES (73261, 1093, 20, 'Regra Clínica');
INSERT INTO `lang_definitions` VALUES (73262, 1094, 20, 'Regra Clínica - Intervalo de Idade');
INSERT INTO `lang_definitions` VALUES (73263, 1095, 20, 'Regra Clínica - Comparação');
INSERT INTO `lang_definitions` VALUES (73264, 1096, 20, 'Regra Clínica - Tipos de Consultas');
INSERT INTO `lang_definitions` VALUES (73265, 1097, 20, 'Regra Clínica - Motivo de Finalização');
INSERT INTO `lang_definitions` VALUES (73266, 1098, 20, 'Regra Clínica - Motivo de Inativação');
INSERT INTO `lang_definitions` VALUES (73267, 1099, 20, 'Regra Clínica - Intervalo de Lembrete');
INSERT INTO `lang_definitions` VALUES (73268, 1100, 20, 'Regra Clínica - Método de Lembrete');
INSERT INTO `lang_definitions` VALUES (73269, 1101, 20, 'Regra Clínica - Alvo do Intervalo');
INSERT INTO `lang_definitions` VALUES (73270, 1102, 20, 'Objetivos Clínicos');
INSERT INTO `lang_definitions` VALUES (73271, 1103, 20, 'Termo Clínico');
INSERT INTO `lang_definitions` VALUES (73272, 1104, 20, 'Código de Termo Clínico');
INSERT INTO `lang_definitions` VALUES (73273, 1106, 20, 'Clínicos');
INSERT INTO `lang_definitions` VALUES (73274, 1107, 20, 'Clonar');
INSERT INTO `lang_definitions` VALUES (73275, 1108, 20, 'Clonar Visita Anterior');
INSERT INTO `lang_definitions` VALUES (73276, 1109, 20, 'Fechar');
INSERT INTO `lang_definitions` VALUES (73277, 1110, 20, 'Fechar a janela');
INSERT INTO `lang_definitions` VALUES (73278, 1111, 20, 'Fechar a janela');
INSERT INTO `lang_definitions` VALUES (73279, 1112, 20, 'Fechado');
INSERT INTO `lang_definitions` VALUES (73280, 1113, 20, 'cm');
INSERT INTO `lang_definitions` VALUES (73281, 1114, 20, 'CMS 1500 Margins');
INSERT INTO `lang_definitions` VALUES (73282, 1115, 20, 'CMS 1500 Formato papel');
INSERT INTO `lang_definitions` VALUES (73283, 1118, 20, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (73284, 1122, 20, 'CMS Portal não habilitado!');
INSERT INTO `lang_definitions` VALUES (73285, 1123, 20, 'CMS Portal Senha');
INSERT INTO `lang_definitions` VALUES (73286, 1124, 20, 'CMS Portal Solicitado');
INSERT INTO `lang_definitions` VALUES (73287, 1126, 20, 'CMS Portal Nome de usuário');
INSERT INTO `lang_definitions` VALUES (73288, 1127, 20, 'CN2-12 intactas');
INSERT INTO `lang_definitions` VALUES (73289, 1128, 20, 'CoPagamento');
INSERT INTO `lang_definitions` VALUES (73290, 1129, 20, 'CoPagamento Pago');
INSERT INTO `lang_definitions` VALUES (73291, 1130, 20, 'CoPagamento');
INSERT INTO `lang_definitions` VALUES (73292, 1131, 20, 'Código');
INSERT INTO `lang_definitions` VALUES (73293, 1132, 20, 'código');
INSERT INTO `lang_definitions` VALUES (73294, 1133, 20, 'Localizador de Código');
INSERT INTO `lang_definitions` VALUES (73295, 1134, 20, 'Código devem ser dois letra minúscula');
INSERT INTO `lang_definitions` VALUES (73296, 1135, 20, 'Símbolo Monetário');
INSERT INTO `lang_definitions` VALUES (73297, 1136, 20, 'Texto do Código');
INSERT INTO `lang_definitions` VALUES (73298, 1137, 20, 'tipo de código');
INSERT INTO `lang_definitions` VALUES (73299, 1138, 20, 'digite o código');
INSERT INTO `lang_definitions` VALUES (73300, 1139, 20, 'Tipo de código não reconhecido');
INSERT INTO `lang_definitions` VALUES (73301, 1140, 20, 'Tipo de código ainda não definido');
INSERT INTO `lang_definitions` VALUES (73302, 1141, 20, 'Tipos de código');
INSERT INTO `lang_definitions` VALUES (73303, 1142, 20, 'Código(s)');
INSERT INTO `lang_definitions` VALUES (73304, 1143, 20, 'Codificado');
INSERT INTO `lang_definitions` VALUES (73305, 1144, 20, 'Códigos');
INSERT INTO `lang_definitions` VALUES (73306, 1145, 20, 'Codificação');
INSERT INTO `lang_definitions` VALUES (73307, 1147, 20, 'Codificação - quaisquer Consultas (escrever, wsome opcional)');
INSERT INTO `lang_definitions` VALUES (73308, 1148, 20, 'Codificação - minhas Consultas (escrever, wsome opcional)');
INSERT INTO `lang_definitions` VALUES (73309, 1149, 20, 'Codificação não autorizada');
INSERT INTO `lang_definitions` VALUES (73310, 1150, 20, 'Café');
INSERT INTO `lang_definitions` VALUES (73311, 1151, 20, 'Cafe usado');
INSERT INTO `lang_definitions` VALUES (73312, 1152, 20, 'cosseguro');
INSERT INTO `lang_definitions` VALUES (73313, 1153, 20, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (73314, 1154, 20, 'Recolher');
INSERT INTO `lang_definitions` VALUES (73315, 1155, 20, 'recolher');
INSERT INTO `lang_definitions` VALUES (73316, 1156, 20, 'Recolher Tudo');
INSERT INTO `lang_definitions` VALUES (73317, 1157, 20, 'Recolher tudo');
INSERT INTO `lang_definitions` VALUES (73318, 1158, 20, 'recolher tudo');
INSERT INTO `lang_definitions` VALUES (73319, 1160, 20, 'Coleção Data');
INSERT INTO `lang_definitions` VALUES (73320, 1161, 20, 'Coleções');
INSERT INTO `lang_definitions` VALUES (73321, 1162, 20, 'Relatório de Coleções');
INSERT INTO `lang_definitions` VALUES (73322, 1163, 20, 'Câncer do cólon');
INSERT INTO `lang_definitions` VALUES (73323, 1164, 20, 'Rastreio do cancro do cólon');
INSERT INTO `lang_definitions` VALUES (73324, 1165, 20, 'Cirurgia de Câncer do Cólon');
INSERT INTO `lang_definitions` VALUES (73325, 1166, 20, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (73326, 1167, 20, 'colonoscopia');
INSERT INTO `lang_definitions` VALUES (73327, 1168, 20, 'Cor');
INSERT INTO `lang_definitions` VALUES (73328, 1170, 20, 'Coluna');
INSERT INTO `lang_definitions` VALUES (73329, 1171, 20, 'Colunas');
INSERT INTO `lang_definitions` VALUES (73330, 1172, 20, 'Combinando Lotes');
INSERT INTO `lang_definitions` VALUES (73331, 1173, 20, 'Vírgula');
INSERT INTO `lang_definitions` VALUES (73332, 1174, 20, 'Comentário');
INSERT INTO `lang_definitions` VALUES (73333, 1175, 20, 'Comentários');
INSERT INTO `lang_definitions` VALUES (73334, 1176, 20, 'Comentários ou recomendações para este resultado');
INSERT INTO `lang_definitions` VALUES (73335, 1177, 20, 'Empresa de Seguro Comercial');
INSERT INTO `lang_definitions` VALUES (73336, 1178, 20, 'Gravar Alterações');
INSERT INTO `lang_definitions` VALUES (73337, 1179, 20, 'Comunicação');
INSERT INTO `lang_definitions` VALUES (73338, 1180, 20, 'Comunicações');
INSERT INTO `lang_definitions` VALUES (73339, 1182, 20, 'Empresa');
INSERT INTO `lang_definitions` VALUES (73340, 1183, 20, 'Nome da Empresa');
INSERT INTO `lang_definitions` VALUES (73341, 1184, 20, 'Completar');
INSERT INTO `lang_definitions` VALUES (73342, 1186, 20, 'Concluído');
INSERT INTO `lang_definitions` VALUES (73343, 1188, 20, 'Concluído?');
INSERT INTO `lang_definitions` VALUES (73344, 1190, 20, 'Complicações pelo Provedor de Serviço');
INSERT INTO `lang_definitions` VALUES (73345, 1191, 20, 'Complicações do Aborto');
INSERT INTO `lang_definitions` VALUES (73346, 1192, 20, 'Componentes');
INSERT INTO `lang_definitions` VALUES (73347, 1193, 20, 'Sistema de Pedidos Médicos - Computer Aided');
INSERT INTO `lang_definitions` VALUES (73348, 1194, 20, 'Conclusões');
INSERT INTO `lang_definitions` VALUES (73349, 1198, 20, 'Configuração');
INSERT INTO `lang_definitions` VALUES (73350, 1199, 20, 'Configuração');
INSERT INTO `lang_definitions` VALUES (73351, 1200, 20, 'Configuração Exportar/Importar');
INSERT INTO `lang_definitions` VALUES (73352, 1201, 20, 'Configuração salva com sucesso');
INSERT INTO `lang_definitions` VALUES (73353, 1202, 20, 'Configure Servidor Web (Apache) e LibreEHR para uso de certificado SSL pelo clíente.');
INSERT INTO `lang_definitions` VALUES (73354, 1203, 20, 'Configure Servidor Web (Apache) para uso de certificado SSL pelo clíente.');
INSERT INTO `lang_definitions` VALUES (73355, 1204, 20, 'Configure Servidor Web (Apache) para uso HTTPS.');
INSERT INTO `lang_definitions` VALUES (73356, 1205, 20, 'Configure LibreEHR para uso de certificado SSL pelo clíente.');
INSERT INTO `lang_definitions` VALUES (73357, 1206, 20, 'Configurar trilhas');
INSERT INTO `lang_definitions` VALUES (73358, 1207, 20, 'Configurar Trilhas');
INSERT INTO `lang_definitions` VALUES (73359, 1208, 20, 'Confirmar Criação de Novo Paciente');
INSERT INTO `lang_definitions` VALUES (73360, 1209, 20, 'Confirmar Nova Senha');
INSERT INTO `lang_definitions` VALUES (73361, 1210, 20, 'Confirmar Pagamento');
INSERT INTO `lang_definitions` VALUES (73362, 1214, 20, 'Congênita');
INSERT INTO `lang_definitions` VALUES (73363, 1215, 20, 'Conjuntiva, pupilas');
INSERT INTO `lang_definitions` VALUES (73364, 1216, 20, 'Erro de conexão');
INSERT INTO `lang_definitions` VALUES (73365, 1217, 20, 'Conectores');
INSERT INTO `lang_definitions` VALUES (73366, 1218, 20, 'Constante');
INSERT INTO `lang_definitions` VALUES (73367, 1219, 20, 'nome da constante');
INSERT INTO `lang_definitions` VALUES (73368, 1220, 20, 'Nome da constante está em branco');
INSERT INTO `lang_definitions` VALUES (73369, 1221, 20, 'Constantes');
INSERT INTO `lang_definitions` VALUES (73370, 1222, 20, 'Constipação');
INSERT INTO `lang_definitions` VALUES (73371, 1223, 20, 'Constitucional');
INSERT INTO `lang_definitions` VALUES (73372, 1226, 20, 'Breve Descrição da Consulta');
INSERT INTO `lang_definitions` VALUES (73373, 1227, 20, 'Contato');
INSERT INTO `lang_definitions` VALUES (73374, 1228, 20, 'Email para Contato');
INSERT INTO `lang_definitions` VALUES (73375, 1229, 20, 'Endereço de Email para Contato');
INSERT INTO `lang_definitions` VALUES (73376, 1231, 20, 'Informações de contato');
INSERT INTO `lang_definitions` VALUES (73377, 1232, 20, 'Lentes de Contato');
INSERT INTO `lang_definitions` VALUES (73378, 1236, 20, 'Nome de contato');
INSERT INTO `lang_definitions` VALUES (73379, 1237, 20, 'Pessoa de Contato');
INSERT INTO `lang_definitions` VALUES (73380, 1239, 20, 'Número de telefone');
INSERT INTO `lang_definitions` VALUES (73381, 1243, 20, 'Conteúdo');
INSERT INTO `lang_definitions` VALUES (73382, 1244, 20, 'conteúdo');
INSERT INTO `lang_definitions` VALUES (73383, 1247, 20, 'Continue');
INSERT INTO `lang_definitions` VALUES (73384, 1250, 20, 'Contra clientes');
INSERT INTO `lang_definitions` VALUES (73385, 1251, 20, 'Contracepção');
INSERT INTO `lang_definitions` VALUES (73386, 1252, 20, 'Questões Contracepção');
INSERT INTO `lang_definitions` VALUES (73387, 1253, 20, 'Anticoncepcionais Complicação (especificar)');
INSERT INTO `lang_definitions` VALUES (73388, 1254, 20, 'Método Anticoncepcional');
INSERT INTO `lang_definitions` VALUES (73389, 1255, 20, 'Produtos Contraceptivos');
INSERT INTO `lang_definitions` VALUES (73390, 1256, 20, 'Serviços de contracepção já iniciados');
INSERT INTO `lang_definitions` VALUES (73391, 1257, 20, 'Iniciar Contraceptivos');
INSERT INTO `lang_definitions` VALUES (73392, 1258, 20, 'ID de Controle');
INSERT INTO `lang_definitions` VALUES (73393, 1259, 20, 'Nº de Controle');
INSERT INTO `lang_definitions` VALUES (73394, 1262, 20, 'CoPagamento');
INSERT INTO `lang_definitions` VALUES (73395, 1263, 20, 'CoPagamento');
INSERT INTO `lang_definitions` VALUES (73396, 1264, 20, 'CoPagamento não positivo');
INSERT INTO `lang_definitions` VALUES (73397, 1266, 20, 'CoPagamentos');
INSERT INTO `lang_definitions` VALUES (73398, 1267, 20, 'DPOC');
INSERT INTO `lang_definitions` VALUES (73399, 1268, 20, 'Copiar páginas para Paciente Gráfico');
INSERT INTO `lang_definitions` VALUES (73400, 1269, 20, 'Copiar Valores');
INSERT INTO `lang_definitions` VALUES (73401, 1270, 20, 'Copiando Arquivo da Base de Dados. Isto pode levar algum tempo...');
INSERT INTO `lang_definitions` VALUES (73402, 1271, 20, 'Nota de Direitos Autorais');
INSERT INTO `lang_definitions` VALUES (73403, 1273, 20, 'Artéria Coronária Bypass');
INSERT INTO `lang_definitions` VALUES (73404, 1275, 20, 'Conectado');
INSERT INTO `lang_definitions` VALUES (73405, 1277, 20, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (73406, 1278, 20, 'CouchDB conexão falhou.');
INSERT INTO `lang_definitions` VALUES (73407, 1279, 20, 'CouchDB - Banco de Dados');
INSERT INTO `lang_definitions` VALUES (73408, 1280, 20, 'CouchDB - Nome do Banco de Dados');
INSERT INTO `lang_definitions` VALUES (73409, 1281, 20, 'CouchDB - Host');
INSERT INTO `lang_definitions` VALUES (73410, 1282, 20, 'CouchDB - Nome do Host');
INSERT INTO `lang_definitions` VALUES (73411, 1283, 20, 'CouchDB - Ativar Log');
INSERT INTO `lang_definitions` VALUES (73412, 1284, 20, 'CouchDB - Senha');
INSERT INTO `lang_definitions` VALUES (73413, 1285, 20, 'CouchDB - Porta');
INSERT INTO `lang_definitions` VALUES (73414, 1286, 20, 'CouchDB - Porta');
INSERT INTO `lang_definitions` VALUES (73415, 1288, 20, 'CouchDB - Nome do Usuário');
INSERT INTO `lang_definitions` VALUES (73416, 1289, 20, 'Tosse');
INSERT INTO `lang_definitions` VALUES (73417, 1290, 20, 'Tosse:');
INSERT INTO `lang_definitions` VALUES (73418, 1294, 20, 'Não foi possível ler o arquivo');
INSERT INTO `lang_definitions` VALUES (73419, 1296, 20, 'Não foi possível enviar e-mail devido a um problema de servidor, ');
INSERT INTO `lang_definitions` VALUES (73420, 1297, 20, 'Não foi possível enviar e-mail devido a um problema de servidor. ');
INSERT INTO `lang_definitions` VALUES (73421, 1298, 20, 'Não foi possível criar pasta de Backup:');
INSERT INTO `lang_definitions` VALUES (73422, 1299, 20, 'Não foi possível excluir pasta:');
INSERT INTO `lang_definitions` VALUES (73423, 1300, 20, 'Não foi possível excluir arquivo antigo de backup:');
INSERT INTO `lang_definitions` VALUES (73424, 1301, 20, 'Não foi possível excluir arquivo antigo exportado:');
INSERT INTO `lang_definitions` VALUES (73425, 1303, 20, 'Aconselhamento por Método');
INSERT INTO `lang_definitions` VALUES (73426, 1304, 20, 'Aconselhamento');
INSERT INTO `lang_definitions` VALUES (73427, 1305, 20, 'Atividades de aconselhamento');
INSERT INTO `lang_definitions` VALUES (73428, 1306, 20, 'CONTADOR NO FORMULÁRIO');
INSERT INTO `lang_definitions` VALUES (73429, 1307, 20, 'Contra-referência');
INSERT INTO `lang_definitions` VALUES (73430, 1308, 20, 'País');
INSERT INTO `lang_definitions` VALUES (73431, 1309, 20, 'País - Tipo de dados');
INSERT INTO `lang_definitions` VALUES (73432, 1310, 20, 'País - Lista');
INSERT INTO `lang_definitions` VALUES (73433, 1311, 20, 'Lista de Países (escrever, adicionar somente opcional)');
INSERT INTO `lang_definitions` VALUES (73434, 1312, 20, 'Nome do País deve ser representado por duas letras (Ex: Brasil = BR)');
INSERT INTO `lang_definitions` VALUES (73435, 1313, 20, 'país');
INSERT INTO `lang_definitions` VALUES (73436, 1315, 20, 'Cupom');
INSERT INTO `lang_definitions` VALUES (73437, 1318, 20, 'CPT');
INSERT INTO `lang_definitions` VALUES (73438, 1319, 20, 'Código CPT');
INSERT INTO `lang_definitions` VALUES (73439, 1320, 20, 'Códigos de CPT');
INSERT INTO `lang_definitions` VALUES (73440, 1324, 20, 'Crepitações:');
INSERT INTO `lang_definitions` VALUES (73441, 1325, 20, 'creme');
INSERT INTO `lang_definitions` VALUES (73442, 1326, 20, 'Crie um certificado SSL do lado do cliente para cada usuário ou máquina cliente.');
INSERT INTO `lang_definitions` VALUES (73443, 1327, 20, 'Crie um certificado SSL do lado do cliente para um usuário ou um nome de host cliente.');
INSERT INTO `lang_definitions` VALUES (73444, 1329, 20, 'Criar um Evento');
INSERT INTO `lang_definitions` VALUES (73445, 1330, 20, 'Criar e fazer download de um backup completo');
INSERT INTO `lang_definitions` VALUES (73446, 1332, 20, 'Criar backup');
INSERT INTO `lang_definitions` VALUES (73447, 1333, 20, 'Criar lote');
INSERT INTO `lang_definitions` VALUES (73448, 1334, 20, 'Criar Certificado de Cliente');
INSERT INTO `lang_definitions` VALUES (73449, 1335, 20, 'Criar certificados SSL do lado do cliente');
INSERT INTO `lang_definitions` VALUES (73450, 1336, 20, 'Criar Duplicado');
INSERT INTO `lang_definitions` VALUES (73451, 1338, 20, 'Criar backup de log de eventos');
INSERT INTO `lang_definitions` VALUES (73452, 1339, 20, 'Criar uma nova questão');
INSERT INTO `lang_definitions` VALUES (73453, 1340, 20, 'Criar novo paciente');
INSERT INTO `lang_definitions` VALUES (73454, 1342, 20, 'Criar Portal Credenciais Offsite');
INSERT INTO `lang_definitions` VALUES (73455, 1343, 20, 'Criar Portal Credenciais Onsite');
INSERT INTO `lang_definitions` VALUES (73456, 1344, 20, 'Criar Observação do Paciente');
INSERT INTO `lang_definitions` VALUES (73457, 1345, 20, 'Criar o Certificado SSL e certificados de servidor.');
INSERT INTO `lang_definitions` VALUES (73458, 1346, 20, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (73459, 1347, 20, 'Criado');
INSERT INTO `lang_definitions` VALUES (73460, 1348, 20, 'Criando arquivo de exportação');
INSERT INTO `lang_definitions` VALUES (73461, 1350, 20, 'A criação deste arquivo no host remoto falhou');
INSERT INTO `lang_definitions` VALUES (73462, 1351, 20, 'Criador');
INSERT INTO `lang_definitions` VALUES (73463, 1352, 20, 'crédito');
INSERT INTO `lang_definitions` VALUES (73464, 1353, 20, 'Cartão de Crédito');
INSERT INTO `lang_definitions` VALUES (73465, 1354, 20, 'Créditos');
INSERT INTO `lang_definitions` VALUES (73466, 1356, 20, 'Critérios');
INSERT INTO `lang_definitions` VALUES (73467, 1358, 20, 'Doença de Crohn');
INSERT INTO `lang_definitions` VALUES (73468, 1359, 20, 'Doença de Crohn');
INSERT INTO `lang_definitions` VALUES (73469, 1360, 20, 'Exportar CSV');
INSERT INTO `lang_definitions` VALUES (73470, 1361, 20, 'Arquivo CSV');
INSERT INTO `lang_definitions` VALUES (73471, 1362, 20, 'Tabelas CSV');
INSERT INTO `lang_definitions` VALUES (73472, 1363, 20, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (73473, 1364, 20, 'Cubano');
INSERT INTO `lang_definitions` VALUES (73474, 1365, 20, 'Moeda - Casas Decimais');
INSERT INTO `lang_definitions` VALUES (73475, 1366, 20, 'Moeda - Separador Decimal');
INSERT INTO `lang_definitions` VALUES (73476, 1367, 20, 'Moeda - Símbolos Monetário');
INSERT INTO `lang_definitions` VALUES (73477, 1368, 20, 'Moeda - Separador Milhar');
INSERT INTO `lang_definitions` VALUES (73478, 1369, 20, 'Atual');
INSERT INTO `lang_definitions` VALUES (73479, 1370, 20, 'Atual - Etilismo');
INSERT INTO `lang_definitions` VALUES (73480, 1371, 20, 'Atual - Consulta');
INSERT INTO `lang_definitions` VALUES (73481, 1372, 20, 'Atual - Critérios');
INSERT INTO `lang_definitions` VALUES (73482, 1373, 20, 'Atual - Pigmetação Cutânea');
INSERT INTO `lang_definitions` VALUES (73483, 1374, 20, 'Atual - Fumante Diário');
INSERT INTO `lang_definitions` VALUES (73484, 1375, 20, 'Nome do arquivo atual foi alterado para');
INSERT INTO `lang_definitions` VALUES (73485, 1377, 20, 'Atual - Localização');
INSERT INTO `lang_definitions` VALUES (73486, 1378, 20, 'Atual - Medicamentos');
INSERT INTO `lang_definitions` VALUES (73487, 1379, 20, 'Atual - Senha');
INSERT INTO `lang_definitions` VALUES (73488, 1380, 20, 'Atual - Paciente');
INSERT INTO `lang_definitions` VALUES (73489, 1382, 20, 'Atual - Drogas recreativas');
INSERT INTO `lang_definitions` VALUES (73490, 1383, 20, 'Atual - Fumante Esporádico');
INSERT INTO `lang_definitions` VALUES (73491, 1386, 20, 'Atualmente Ativo');
INSERT INTO `lang_definitions` VALUES (73492, 1389, 20, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (73493, 1390, 20, 'Síndrome de Cushing');
INSERT INTO `lang_definitions` VALUES (73494, 1392, 20, 'Personalizado');
INSERT INTO `lang_definitions` VALUES (73495, 1393, 20, 'Entrada Personalizada?');
INSERT INTO `lang_definitions` VALUES (73496, 1394, 20, 'Tabela Personalizada');
INSERT INTO `lang_definitions` VALUES (73497, 1396, 20, 'Código CVX');
INSERT INTO `lang_definitions` VALUES (73498, 1397, 20, 'Mapeamento de Código CVX');
INSERT INTO `lang_definitions` VALUES (73499, 1398, 20, 'Imunização CVX');
INSERT INTO `lang_definitions` VALUES (73500, 1399, 20, 'Período');
INSERT INTO `lang_definitions` VALUES (73501, 1400, 20, 'CYP');
INSERT INTO `lang_definitions` VALUES (73502, 1401, 20, 'Fator CYP');
INSERT INTO `lang_definitions` VALUES (73503, 1402, 20, 'Relatório CYP');
INSERT INTO `lang_definitions` VALUES (73504, 1403, 20, 'Tcheco');
INSERT INTO `lang_definitions` VALUES (73505, 1404, 20, 'D');
INSERT INTO `lang_definitions` VALUES (73506, 1405, 20, 'D & C');
INSERT INTO `lang_definitions` VALUES (73507, 1406, 20, 'D & E');
INSERT INTO `lang_definitions` VALUES (73508, 1407, 20, 'Data Nascimento');
INSERT INTO `lang_definitions` VALUES (73509, 1408, 20, 'diário');
INSERT INTO `lang_definitions` VALUES (73510, 1409, 20, 'Registro diário');
INSERT INTO `lang_definitions` VALUES (73511, 1410, 20, 'Dinamarquês');
INSERT INTO `lang_definitions` VALUES (73512, 1411, 20, 'Dados idênticos já estão no banco de dados, altere o código e/ou descrição');
INSERT INTO `lang_definitions` VALUES (73513, 1412, 20, 'Dados idênticos já estão no banco de dados, altere o nome da constante');
INSERT INTO `lang_definitions` VALUES (73514, 1413, 20, 'Dados Cols');
INSERT INTO `lang_definitions` VALUES (73515, 1416, 20, 'Erro de Dados');
INSERT INTO `lang_definitions` VALUES (73516, 1420, 20, 'Tipo de Dados');
INSERT INTO `lang_definitions` VALUES (73517, 1421, 20, 'Banco de Dados');
INSERT INTO `lang_definitions` VALUES (73518, 1422, 20, 'Banco de dados não está instalado.');
INSERT INTO `lang_definitions` VALUES (73519, 1423, 20, 'Patch do Banco de Dados');
INSERT INTO `lang_definitions` VALUES (73520, 1424, 20, 'Relatório de Banco de Dados');
INSERT INTO `lang_definitions` VALUES (73521, 1425, 20, 'Atualização do banco de dados concluída.');
INSERT INTO `lang_definitions` VALUES (73522, 1426, 20, 'DataCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (73523, 1427, 20, 'Data');
INSERT INTO `lang_definitions` VALUES (73524, 1428, 20, 'DATA');
INSERT INTO `lang_definitions` VALUES (73525, 1429, 20, 'Data & Hora Administrado');
INSERT INTO `lang_definitions` VALUES (73526, 1431, 20, 'Data Administrado');
INSERT INTO `lang_definitions` VALUES (73527, 1432, 20, 'Data e hora da coleta de amostras');
INSERT INTO `lang_definitions` VALUES (73528, 1433, 20, 'Data e hora da observação');
INSERT INTO `lang_definitions` VALUES (73529, 1435, 20, 'Data e hora em que a amostra foi coletada');
INSERT INTO `lang_definitions` VALUES (73530, 1436, 20, 'A data não pode ser maior do que hoje');
INSERT INTO `lang_definitions` VALUES (73531, 1437, 20, 'Data de serviços contraceptivos inicialmente previsto');
INSERT INTO `lang_definitions` VALUES (73532, 1438, 20, 'Data de Criação');
INSERT INTO `lang_definitions` VALUES (73533, 1439, 20, 'Data de Falecimento');
INSERT INTO `lang_definitions` VALUES (73534, 1440, 20, 'Data destruído');
INSERT INTO `lang_definitions` VALUES (73535, 1441, 20, 'Formato Data');
INSERT INTO `lang_definitions` VALUES (73536, 1442, 20, 'Formato de data para \"\"end nomeação \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (73537, 1443, 20, 'Formato de data para \"\"start nomeação \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (73538, 1444, 20, 'Formato de data para \"\"próximo compromisso \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (73539, 1445, 20, 'Formato de data para \"\"não visto desde \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (73540, 1446, 20, 'Formato de data para \"\"visita uma vez que \"\" não é válido');
INSERT INTO `lang_definitions` VALUES (73541, 1447, 20, 'Demonstrações Data de Vacinação informações fornecidas');
INSERT INTO `lang_definitions` VALUES (73542, 1448, 20, 'Data está faltando para o código ');
INSERT INTO `lang_definitions` VALUES (73543, 1449, 20, 'Critérios de Dados Padrão');
INSERT INTO `lang_definitions` VALUES (73544, 1450, 20, 'Data de depósito bancário aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (73545, 1451, 20, 'Data da Fatura');
INSERT INTO `lang_definitions` VALUES (73546, 1452, 20, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (73547, 1453, 20, 'Data de nascimento');
INSERT INTO `lang_definitions` VALUES (73548, 1454, 20, 'Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (73549, 1455, 20, 'Data do Registro');
INSERT INTO `lang_definitions` VALUES (73550, 1456, 20, 'Data de Lesão');
INSERT INTO `lang_definitions` VALUES (73551, 1458, 20, 'Data de pagamento aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (73552, 1459, 20, 'Data de envio');
INSERT INTO `lang_definitions` VALUES (73553, 1460, 20, 'Data da Resposta');
INSERT INTO `lang_definitions` VALUES (73554, 1461, 20, 'Data do Relatório');
INSERT INTO `lang_definitions` VALUES (73555, 1462, 20, 'Data do Serviço');
INSERT INTO `lang_definitions` VALUES (73556, 1463, 20, 'Data do Serviço');
INSERT INTO `lang_definitions` VALUES (73557, 1464, 20, 'Data do Serviço = hoje');
INSERT INTO `lang_definitions` VALUES (73558, 1465, 20, 'Data do Serviço mm/dd/aaaa');
INSERT INTO `lang_definitions` VALUES (73559, 1466, 20, 'Data do Serviço:');
INSERT INTO `lang_definitions` VALUES (73560, 1467, 20, 'Data de Assinatura');
INSERT INTO `lang_definitions` VALUES (73561, 1468, 20, 'Data da Mudança de Status');
INSERT INTO `lang_definitions` VALUES (73562, 1469, 20, 'Data deste pedido');
INSERT INTO `lang_definitions` VALUES (73563, 1470, 20, 'Data deste relatório');
INSERT INTO `lang_definitions` VALUES (73564, 1471, 20, 'Data da Declaração VIS');
INSERT INTO `lang_definitions` VALUES (73565, 1472, 20, 'Data do Pedido');
INSERT INTO `lang_definitions` VALUES (73566, 1475, 20, 'Seletor de Data');
INSERT INTO `lang_definitions` VALUES (73567, 1476, 20, 'Data de Envio');
INSERT INTO `lang_definitions` VALUES (73568, 1477, 20, 'Data que a mensagem foi enviada');
INSERT INTO `lang_definitions` VALUES (73569, 1479, 20, 'O valor de data não pode ficar em branco.');
INSERT INTO `lang_definitions` VALUES (73570, 1480, 20, 'Data / Appt');
INSERT INTO `lang_definitions` VALUES (73571, 1481, 20, 'Data do Exame / Comentários');
INSERT INTO `lang_definitions` VALUES (73572, 1482, 20, 'Data / Notas de Última');
INSERT INTO `lang_definitions` VALUES (73573, 1483, 20, 'Data/Hora');
INSERT INTO `lang_definitions` VALUES (73574, 1484, 20, 'Data:');
INSERT INTO `lang_definitions` VALUES (73575, 1485, 20, 'Log de Mensagem datada');
INSERT INTO `lang_definitions` VALUES (73576, 1486, 20, 'Dia');
INSERT INTO `lang_definitions` VALUES (73577, 1487, 20, 'dia');
INSERT INTO `lang_definitions` VALUES (73578, 1489, 20, 'Ver dia');
INSERT INTO `lang_definitions` VALUES (73579, 1490, 20, 'Dia(s)');
INSERT INTO `lang_definitions` VALUES (73580, 1491, 20, 'Dia (s) M-F');
INSERT INTO `lang_definitions` VALUES (73581, 1492, 20, 'dias');
INSERT INTO `lang_definitions` VALUES (73582, 1493, 20, 'Dias');
INSERT INTO `lang_definitions` VALUES (73583, 1494, 20, 'dias atrás');
INSERT INTO `lang_definitions` VALUES (73584, 1495, 20, 'Dias e Jogos Perdidos');
INSERT INTO `lang_definitions` VALUES (73585, 1496, 20, 'Dias da última Consulta');
INSERT INTO `lang_definitions` VALUES (73586, 1497, 20, 'Dias Perdidos');
INSERT INTO `lang_definitions` VALUES (73587, 1498, 20, 'Dias por coluna:');
INSERT INTO `lang_definitions` VALUES (73588, 1500, 20, 'Dias/Colunas:');
INSERT INTO `lang_definitions` VALUES (73589, 1501, 20, 'DB instalado');
INSERT INTO `lang_definitions` VALUES (73590, 1502, 20, 'DD/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (73591, 1509, 20, 'DEA');
INSERT INTO `lang_definitions` VALUES (73592, 1512, 20, 'Informações de Depuração');
INSERT INTO `lang_definitions` VALUES (73593, 1514, 20, 'Depurando');
INSERT INTO `lang_definitions` VALUES (73594, 1515, 20, 'Dec');
INSERT INTO `lang_definitions` VALUES (73595, 1516, 20, 'FALECIDO');
INSERT INTO `lang_definitions` VALUES (73596, 1517, 20, 'Dezembro');
INSERT INTO `lang_definitions` VALUES (73597, 1518, 20, 'Decimais em libras e onças devem ser separados por # (por exemplo, 5#4)');
INSERT INTO `lang_definitions` VALUES (73598, 1519, 20, 'Recusou A Especificar');
INSERT INTO `lang_definitions` VALUES (73599, 1520, 20, 'Deduzível');
INSERT INTO `lang_definitions` VALUES (73600, 1521, 20, 'Met Deduzível');
INSERT INTO `lang_definitions` VALUES (73601, 1522, 20, 'Padrão');
INSERT INTO `lang_definitions` VALUES (73602, 1523, 20, 'Ver Calendário (Padrão)');
INSERT INTO `lang_definitions` VALUES (73603, 1526, 20, 'Clínica (Padrão)');
INSERT INTO `lang_definitions` VALUES (73604, 1527, 20, 'Idioma (Padrão)');
INSERT INTO `lang_definitions` VALUES (73605, 1528, 20, 'Idioma padrão caso nenhuma outra for permitida ou escolhida (Padrão).');
INSERT INTO `lang_definitions` VALUES (73606, 1529, 20, 'Lista (Padrão) (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (73607, 1530, 20, 'Método (Padrão)');
INSERT INTO `lang_definitions` VALUES (73608, 1531, 20, 'Período que Expira Senha (Padrão)');
INSERT INTO `lang_definitions` VALUES (73609, 1532, 20, 'Período que Expira Senha (Padrão). 0 significa desativar este recurso.');
INSERT INTO `lang_definitions` VALUES (73610, 1533, 20, 'País do Paciente (Padrão)');
INSERT INTO `lang_definitions` VALUES (73611, 1535, 20, 'Prioridade (Padrão)');
INSERT INTO `lang_definitions` VALUES (73612, 1536, 20, 'Provedor (Padrão)');
INSERT INTO `lang_definitions` VALUES (73613, 1537, 20, 'Intervalo (Padrão)');
INSERT INTO `lang_definitions` VALUES (73614, 1538, 20, 'Motivo da Visita (Padrão)');
INSERT INTO `lang_definitions` VALUES (73615, 1540, 20, 'Configuração (Padrão)');
INSERT INTO `lang_definitions` VALUES (73616, 1542, 20, 'Modelo Padrão');
INSERT INTO `lang_definitions` VALUES (73617, 1546, 20, 'Unidades (Padrão)');
INSERT INTO `lang_definitions` VALUES (73618, 1547, 20, 'Valor (Padrão)');
INSERT INTO `lang_definitions` VALUES (73619, 1549, 20, 'Padrão X12 Partner');
INSERT INTO `lang_definitions` VALUES (73620, 1550, 20, 'Padrão/Global');
INSERT INTO `lang_definitions` VALUES (73621, 1551, 20, 'Apagar');
INSERT INTO `lang_definitions` VALUES (73622, 1552, 20, 'apagar');
INSERT INTO `lang_definitions` VALUES (73623, 1553, 20, 'Atraso da Recorrência (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (73624, 1554, 20, 'Excluir');
INSERT INTO `lang_definitions` VALUES (73625, 1555, 20, 'excluir');
INSERT INTO `lang_definitions` VALUES (73626, 1556, 20, 'Excluir categorias com ID(s): ');
INSERT INTO `lang_definitions` VALUES (73627, 1557, 20, 'Excluir Categoria');
INSERT INTO `lang_definitions` VALUES (73628, 1559, 20, 'Falha ao excluir!');
INSERT INTO `lang_definitions` VALUES (73629, 1560, 20, 'Excluir Grupo');
INSERT INTO `lang_definitions` VALUES (73630, 1561, 20, 'Excluir Lista');
INSERT INTO `lang_definitions` VALUES (73631, 1562, 20, 'Excluir Páginas');
INSERT INTO `lang_definitions` VALUES (73632, 1563, 20, 'Excluir Paciente, Consulta, Forma, edição, documentos, pagamento, cobrança ou transação');
INSERT INTO `lang_definitions` VALUES (73633, 1565, 20, 'Ecluir Linha');
INSERT INTO `lang_definitions` VALUES (73634, 1566, 20, 'Excluir Itens Selecionados');
INSERT INTO `lang_definitions` VALUES (73635, 1567, 20, 'Excluir Solicitações Selecionadas');
INSERT INTO `lang_definitions` VALUES (73636, 1568, 20, 'Exclusão efetuada com sucesso.');
INSERT INTO `lang_definitions` VALUES (73637, 1569, 20, 'Excluir este documento');
INSERT INTO `lang_definitions` VALUES (73638, 1570, 20, 'Excluir este formulário');
INSERT INTO `lang_definitions` VALUES (73639, 1571, 20, 'Excluir este lembrete');
INSERT INTO `lang_definitions` VALUES (73640, 1573, 20, 'Excluído com Sucesso');
INSERT INTO `lang_definitions` VALUES (73641, 1574, 20, 'Excluindo');
INSERT INTO `lang_definitions` VALUES (73642, 1575, 20, 'Exclusão desse evento não pode ser revertida. Tem certeza que quer excluir esse evento?');
INSERT INTO `lang_definitions` VALUES (73643, 1576, 20, 'Entrega Confirmada');
INSERT INTO `lang_definitions` VALUES (73644, 1577, 20, 'Entrega não autorizada para o Endereço especificado');
INSERT INTO `lang_definitions` VALUES (73645, 1578, 20, 'Entrega náo permitida para o Endereço especificado.');
INSERT INTO `lang_definitions` VALUES (73646, 1580, 20, 'Entrega do documento clínico anexado solicitada pelo paciente.');
INSERT INTO `lang_definitions` VALUES (73647, 1581, 20, 'Demência');
INSERT INTO `lang_definitions` VALUES (73648, 1582, 20, 'Informações');
INSERT INTO `lang_definitions` VALUES (73649, 1583, 20, 'Informações (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (73650, 1585, 20, 'Informações - Critério de filtro');
INSERT INTO `lang_definitions` VALUES (73651, 1586, 20, 'Informações não autorizadas');
INSERT INTO `lang_definitions` VALUES (73652, 1587, 20, 'Informações não autorizadas.');
INSERT INTO `lang_definitions` VALUES (73653, 1588, 20, 'Negado');
INSERT INTO `lang_definitions` VALUES (73654, 1590, 20, 'Dental');
INSERT INTO `lang_definitions` VALUES (73655, 1591, 20, 'Lista de problemas dentários');
INSERT INTO `lang_definitions` VALUES (73656, 1592, 20, 'Problemas dentários');
INSERT INTO `lang_definitions` VALUES (73657, 1593, 20, 'Módulos de dependência');
INSERT INTO `lang_definitions` VALUES (73658, 1594, 20, 'Problemas de dependência');
INSERT INTO `lang_definitions` VALUES (73659, 1595, 20, 'Dependendo do tipo de conta que você está testando você vai ver HCFA como a saída em uma página em branco para HCFA contas, você vai ver várias linhas de texto um tanto truncado e as informações se você está testando uma reivindicação X12. Esse texto ilegível é o X12 EDI 4010 formato. Ocasionalmente você vai ver caracteres estranhos que parecem dominós ou squiglies, estes são caracteres de controle como de alimentos e são normais.');
INSERT INTO `lang_definitions` VALUES (73660, 1596, 20, 'Data de Depósito');
INSERT INTO `lang_definitions` VALUES (73661, 1597, 20, 'Data de Depósito não pode ser maior do que Hoje');
INSERT INTO `lang_definitions` VALUES (73662, 1598, 20, 'Data de Depósito:');
INSERT INTO `lang_definitions` VALUES (73663, 1599, 20, 'Deprimido');
INSERT INTO `lang_definitions` VALUES (73664, 1600, 20, 'Depressão');
INSERT INTO `lang_definitions` VALUES (73665, 1602, 20, 'Descrição');
INSERT INTO `lang_definitions` VALUES (73666, 1603, 20, 'Descrição');
INSERT INTO `lang_definitions` VALUES (73667, 1604, 20, 'Descrição é o texto padrão');
INSERT INTO `lang_definitions` VALUES (73668, 1605, 20, 'Descrição da Divulgação');
INSERT INTO `lang_definitions` VALUES (73669, 1606, 20, 'Descrição desse código de procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (73670, 1607, 20, 'Tradução Descrição');
INSERT INTO `lang_definitions` VALUES (73671, 1608, 20, 'Arquivo desejado');
INSERT INTO `lang_definitions` VALUES (73672, 1609, 20, 'Destino');
INSERT INTO `lang_definitions` VALUES (73673, 1610, 20, 'Arquivo de Destino');
INSERT INTO `lang_definitions` VALUES (73674, 1611, 20, 'Destruir Lote');
INSERT INTO `lang_definitions` VALUES (73675, 1612, 20, 'Destruir...');
INSERT INTO `lang_definitions` VALUES (73676, 1613, 20, 'Destruído');
INSERT INTO `lang_definitions` VALUES (73677, 1614, 20, 'Drogas Destruídas');
INSERT INTO `lang_definitions` VALUES (73678, 1615, 20, 'Relatório de Drogas Destruídas');
INSERT INTO `lang_definitions` VALUES (73679, 1616, 20, 'Detalhe');
INSERT INTO `lang_definitions` VALUES (73680, 1617, 20, 'Detalhes');
INSERT INTO `lang_definitions` VALUES (73681, 1619, 20, 'Anormalidade Desenvolvida');
INSERT INTO `lang_definitions` VALUES (73682, 1620, 20, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (73683, 1621, 20, 'Diabetes Mellitus');
INSERT INTO `lang_definitions` VALUES (73684, 1622, 20, 'Diabetes: Controle da Pressão Arterial (CQM)');
INSERT INTO `lang_definitions` VALUES (73685, 1623, 20, 'Diabetes: Exame Oftalmológico');
INSERT INTO `lang_definitions` VALUES (73686, 1624, 20, 'Diabetes: Exame Oftalmológico (CQM)');
INSERT INTO `lang_definitions` VALUES (73687, 1625, 20, 'Diabetes: Exame do Pé');
INSERT INTO `lang_definitions` VALUES (73688, 1626, 20, 'Diabetes: Exame do Pé(CQM)');
INSERT INTO `lang_definitions` VALUES (73689, 1628, 20, 'Diabete: hemoglobina A1C');
INSERT INTO `lang_definitions` VALUES (73690, 1629, 20, 'Diabete: Controle e Gerenciamento de LDL (CQM)');
INSERT INTO `lang_definitions` VALUES (73691, 1631, 20, 'Diag');
INSERT INTO `lang_definitions` VALUES (73692, 1632, 20, 'Diagnósticos');
INSERT INTO `lang_definitions` VALUES (73693, 1633, 20, 'Diagnóstico');
INSERT INTO `lang_definitions` VALUES (73694, 1634, 20, 'Código do Diagnóstico');
INSERT INTO `lang_definitions` VALUES (73695, 1635, 20, 'Código dos Diagnósticos');
INSERT INTO `lang_definitions` VALUES (73696, 1636, 20, 'Data do Diagnóstico');
INSERT INTO `lang_definitions` VALUES (73697, 1637, 20, 'O diagnóstico deve ser codificado em uma consulta');
INSERT INTO `lang_definitions` VALUES (73698, 1638, 20, 'Diagnóstico - Nome');
INSERT INTO `lang_definitions` VALUES (73699, 1639, 20, 'Diagnóstico - Relatório');
INSERT INTO `lang_definitions` VALUES (73700, 1640, 20, 'Diagnóstico - Relatório');
INSERT INTO `lang_definitions` VALUES (73701, 1641, 20, 'Diagnóstico - Somente Relatório');
INSERT INTO `lang_definitions` VALUES (73702, 1642, 20, 'Diagnóstico - Título');
INSERT INTO `lang_definitions` VALUES (73703, 1643, 20, 'Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (73704, 1644, 20, 'Diagnóstico: ');
INSERT INTO `lang_definitions` VALUES (73705, 1645, 20, 'Testes de Diagnóstico:');
INSERT INTO `lang_definitions` VALUES (73706, 1647, 20, 'Diafragmas');
INSERT INTO `lang_definitions` VALUES (73707, 1648, 20, 'Diarréia');
INSERT INTO `lang_definitions` VALUES (73708, 1650, 20, 'Ditado');
INSERT INTO `lang_definitions` VALUES (73709, 1651, 20, 'Ditado: ');
INSERT INTO `lang_definitions` VALUES (73710, 1652, 20, 'Você recebeu uma cópia da comunicação HIPAA?');
INSERT INTO `lang_definitions` VALUES (73711, 1653, 20, 'Difuso:');
INSERT INTO `lang_definitions` VALUES (73712, 1654, 20, 'Assinado Digitalmente');
INSERT INTO `lang_definitions` VALUES (73713, 1657, 20, 'Correio Direto');
INSERT INTO `lang_definitions` VALUES (73714, 1658, 20, 'Log de Mensagem Direta');
INSERT INTO `lang_definitions` VALUES (73715, 1659, 20, 'Mensagem Direta Recebida.');
INSERT INTO `lang_definitions` VALUES (73716, 1660, 20, 'Mensagem Direta está indisponível no momento.');
INSERT INTO `lang_definitions` VALUES (73717, 1661, 20, 'Falha no Envio de Mensagem Direta.');
INSERT INTO `lang_definitions` VALUES (73718, 1663, 20, 'Nome do Diretor');
INSERT INTO `lang_definitions` VALUES (73719, 1664, 20, 'Falha ao excluir diretório; continuando.');
INSERT INTO `lang_definitions` VALUES (73720, 1665, 20, 'Deficiência');
INSERT INTO `lang_definitions` VALUES (73721, 1666, 20, 'Desabilitar');
INSERT INTO `lang_definitions` VALUES (73722, 1667, 20, 'Desabilitar Calendário');
INSERT INTO `lang_definitions` VALUES (73723, 1669, 20, 'Desabilitar Imunizações');
INSERT INTO `lang_definitions` VALUES (73724, 1670, 20, 'Desabilitar Antiga Métrica de Formas Vitais');
INSERT INTO `lang_definitions` VALUES (73725, 1672, 20, 'Desabilitar phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (73726, 1673, 20, 'Desabilitar Prescrições');
INSERT INTO `lang_definitions` VALUES (73727, 1674, 20, 'Desabilitar Grupos de Usuários');
INSERT INTO `lang_definitions` VALUES (73728, 1675, 20, 'inválido');
INSERT INTO `lang_definitions` VALUES (73729, 1676, 20, 'Inválido');
INSERT INTO `lang_definitions` VALUES (73730, 1678, 20, 'DISC');
INSERT INTO `lang_definitions` VALUES (73731, 1679, 20, 'Descartar');
INSERT INTO `lang_definitions` VALUES (73732, 1680, 20, 'Descartado');
INSERT INTO `lang_definitions` VALUES (73733, 1681, 20, 'Quitação');
INSERT INTO `lang_definitions` VALUES (73734, 1682, 20, 'Quitação da uretra');
INSERT INTO `lang_definitions` VALUES (73735, 1684, 20, 'Direito de Quitação');
INSERT INTO `lang_definitions` VALUES (73736, 1685, 20, 'Direito de Quitação:');
INSERT INTO `lang_definitions` VALUES (73737, 1688, 20, 'Pago');
INSERT INTO `lang_definitions` VALUES (73738, 1689, 20, 'Revelar de Informação');
INSERT INTO `lang_definitions` VALUES (73739, 1690, 20, 'Tipo de Divulgação');
INSERT INTO `lang_definitions` VALUES (73740, 1691, 20, 'Tipos de Divulgação');
INSERT INTO `lang_definitions` VALUES (73741, 1692, 20, 'Divulgações');
INSERT INTO `lang_definitions` VALUES (73742, 1694, 20, 'Desconto');
INSERT INTO `lang_definitions` VALUES (73743, 1695, 20, 'Valor do desconto');
INSERT INTO `lang_definitions` VALUES (73744, 1696, 20, 'Nível de desconto');
INSERT INTO `lang_definitions` VALUES (73745, 1697, 20, 'Percentual de Desconto');
INSERT INTO `lang_definitions` VALUES (73746, 1698, 20, 'Descontos como Quantias Monetárias');
INSERT INTO `lang_definitions` VALUES (73747, 1701, 20, 'Doença');
INSERT INTO `lang_definitions` VALUES (73748, 1702, 20, 'Luxação');
INSERT INTO `lang_definitions` VALUES (73749, 1703, 20, 'Disp #');
INSERT INTO `lang_definitions` VALUES (73750, 1704, 20, 'Expedição');
INSERT INTO `lang_definitions` VALUES (73751, 1705, 20, 'Expedição do Documento Recebido');
INSERT INTO `lang_definitions` VALUES (73752, 1706, 20, 'Dispensada');
INSERT INTO `lang_definitions` VALUES (73753, 1708, 20, 'Mostrar Documentos');
INSERT INTO `lang_definitions` VALUES (73754, 1709, 20, 'Exibir datas de eventos em bloco?');
INSERT INTO `lang_definitions` VALUES (73755, 1710, 20, 'Exibir Medidas para Formato US');
INSERT INTO `lang_definitions` VALUES (73756, 1711, 20, 'Exibir quantos eventos?');
INSERT INTO `lang_definitions` VALUES (73757, 1713, 20, 'Exibir localização em bloco?');
INSERT INTO `lang_definitions` VALUES (73758, 1714, 20, 'Nome de Exibição');
INSERT INTO `lang_definitions` VALUES (73759, 1715, 20, 'Exibir calendário?');
INSERT INTO `lang_definitions` VALUES (73760, 1718, 20, 'Exibir eventos de hoje em bloco?');
INSERT INTO `lang_definitions` VALUES (73761, 1719, 20, 'Exibir tópico em bloco?');
INSERT INTO `lang_definitions` VALUES (73762, 1720, 20, 'Exibir eventos programados em bloco?');
INSERT INTO `lang_definitions` VALUES (73763, 1721, 20, 'Exibir Colunas');
INSERT INTO `lang_definitions` VALUES (73764, 1723, 20, 'Exibindo o seguinte número de notas recentes');
INSERT INTO `lang_definitions` VALUES (73765, 1724, 20, 'Exibindo o seguinte número de notas recentes:');
INSERT INTO `lang_definitions` VALUES (73766, 1725, 20, 'Distribuição');
INSERT INTO `lang_definitions` VALUES (73767, 1726, 20, 'Distribuições');
INSERT INTO `lang_definitions` VALUES (73768, 1727, 20, 'Distribuidor');
INSERT INTO `lang_definitions` VALUES (73769, 1729, 20, 'Diverticulite');
INSERT INTO `lang_definitions` VALUES (73770, 1730, 20, 'Diverticulite Cirurgia');
INSERT INTO `lang_definitions` VALUES (73771, 1731, 20, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (73772, 1732, 20, 'Divirticulitis Cirurgia');
INSERT INTO `lang_definitions` VALUES (73773, 1733, 20, 'Divorciado');
INSERT INTO `lang_definitions` VALUES (73774, 1734, 20, 'Tonturas:');
INSERT INTO `lang_definitions` VALUES (73775, 1735, 20, 'Não Mude');
INSERT INTO `lang_definitions` VALUES (73776, 1742, 20, 'Não exibir calendário.');
INSERT INTO `lang_definitions` VALUES (73777, 1744, 20, 'Não inventariar e vender qualquer produto');
INSERT INTO `lang_definitions` VALUES (73778, 1745, 20, 'Não requerer autorização para anotações do paciente');
INSERT INTO `lang_definitions` VALUES (73779, 1747, 20, 'não salvar');
INSERT INTO `lang_definitions` VALUES (73780, 1748, 20, 'não substituir');
INSERT INTO `lang_definitions` VALUES (73781, 1749, 20, 'nada a fazer');
INSERT INTO `lang_definitions` VALUES (73782, 1751, 20, 'Realmente deseja excluir');
INSERT INTO `lang_definitions` VALUES (73783, 1752, 20, 'Realmente deseja excluir os itens selecionados?');
INSERT INTO `lang_definitions` VALUES (73784, 1753, 20, 'Realmente deseja excluir o grupo');
INSERT INTO `lang_definitions` VALUES (73785, 1755, 20, 'Quer continuar?');
INSERT INTO `lang_definitions` VALUES (73786, 1756, 20, 'Quer excluir?');
INSERT INTO `lang_definitions` VALUES (73787, 1757, 20, 'Quer excluir?');
INSERT INTO `lang_definitions` VALUES (73788, 1758, 20, 'Quer remover esse registro?');
INSERT INTO `lang_definitions` VALUES (73789, 1759, 20, 'Deseja continuar a adicionar este novo paciente?');
INSERT INTO `lang_definitions` VALUES (73790, 1760, 20, 'Deseja continuar com o novo nome?');
INSERT INTO `lang_definitions` VALUES (73791, 1761, 20, 'Deseja excluir PERMANENTEMENTE este registro de imunizações?');
INSERT INTO `lang_definitions` VALUES (73792, 1762, 20, 'Data de nascimento');
INSERT INTO `lang_definitions` VALUES (73793, 1763, 20, 'Data de nascimento está faltando, informe se possível');
INSERT INTO `lang_definitions` VALUES (73794, 1764, 20, 'Médicos');
INSERT INTO `lang_definitions` VALUES (73795, 1765, 20, 'Médico');
INSERT INTO `lang_definitions` VALUES (73796, 1766, 20, 'Médico:');
INSERT INTO `lang_definitions` VALUES (73797, 1767, 20, 'Nome do médico e assinatura');
INSERT INTO `lang_definitions` VALUES (73798, 1768, 20, 'Documento');
INSERT INTO `lang_definitions` VALUES (73799, 1769, 20, 'documento');
INSERT INTO `lang_definitions` VALUES (73800, 1770, 20, 'Documento Categorias');
INSERT INTO `lang_definitions` VALUES (73801, 1775, 20, 'O documento não poderia ser transferido para identificação do paciente');
INSERT INTO `lang_definitions` VALUES (73802, 1777, 20, 'Data do documento');
INSERT INTO `lang_definitions` VALUES (73803, 1778, 20, 'Documento data de emissão e atualizado com sucesso');
INSERT INTO `lang_definitions` VALUES (73804, 1780, 20, 'Documento transferido para nova categoria');
INSERT INTO `lang_definitions` VALUES (73805, 1781, 20, 'Documento transferido para identificação do paciente');
INSERT INTO `lang_definitions` VALUES (73806, 1783, 20, 'Documento aprovado no teste de integridade.');
INSERT INTO `lang_definitions` VALUES (73807, 1784, 20, 'Método de Armazenamento de Documento');
INSERT INTO `lang_definitions` VALUES (73808, 1785, 20, 'Documento renomeado com sucesso.');
INSERT INTO `lang_definitions` VALUES (73809, 1789, 20, 'Documento(s)');
INSERT INTO `lang_definitions` VALUES (73810, 1790, 20, 'Documento / Imagem Armazenada');
INSERT INTO `lang_definitions` VALUES (73811, 1791, 20, 'Documentos');
INSERT INTO `lang_definitions` VALUES (73812, 1792, 20, 'Documentos (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (73813, 1794, 20, 'DOE');
INSERT INTO `lang_definitions` VALUES (73814, 1797, 20, 'Não parece válido');
INSERT INTO `lang_definitions` VALUES (73815, 1799, 20, 'Relação Estável');
INSERT INTO `lang_definitions` VALUES (73816, 1800, 20, 'Não salvar');
INSERT INTO `lang_definitions` VALUES (73817, 1801, 20, 'Não salvar');
INSERT INTO `lang_definitions` VALUES (73818, 1802, 20, 'Não salvar as alterações');
INSERT INTO `lang_definitions` VALUES (73819, 1803, 20, 'Feito');
INSERT INTO `lang_definitions` VALUES (73820, 1804, 20, 'Feito com:');
INSERT INTO `lang_definitions` VALUES (73821, 1805, 20, 'Feito. Agora enviará o download.');
INSERT INTO `lang_definitions` VALUES (73822, 1806, 20, 'DOS');
INSERT INTO `lang_definitions` VALUES (73823, 1807, 20, 'Dosagem');
INSERT INTO `lang_definitions` VALUES (73824, 1809, 20, 'duplo clique para editar');
INSERT INTO `lang_definitions` VALUES (73825, 1810, 20, 'Visão Dupla');
INSERT INTO `lang_definitions` VALUES (73826, 1811, 20, 'Baixar');
INSERT INTO `lang_definitions` VALUES (73827, 1814, 20, 'Baixar mesmo assim');
INSERT INTO `lang_definitions` VALUES (73828, 1815, 20, 'Download de arquivos de faturamento, posto à contabilidade e marca como faturado');
INSERT INTO `lang_definitions` VALUES (73829, 1817, 20, 'Baixar certificados');
INSERT INTO `lang_definitions` VALUES (73830, 1818, 20, 'Transferir dados de configuração');
INSERT INTO `lang_definitions` VALUES (73831, 1828, 20, 'Dr Check');
INSERT INTO `lang_definitions` VALUES (73832, 1829, 20, 'Dr Visite');
INSERT INTO `lang_definitions` VALUES (73833, 1830, 20, 'Dr.');
INSERT INTO `lang_definitions` VALUES (73834, 1831, 20, 'Arraste para mover');
INSERT INTO `lang_definitions` VALUES (73835, 1832, 20, 'Dribbling');
INSERT INTO `lang_definitions` VALUES (73836, 1833, 20, 'Carteira de Motorista ou de Estado-ID');
INSERT INTO `lang_definitions` VALUES (73837, 1834, 20, 'Drogas');
INSERT INTO `lang_definitions` VALUES (73838, 1836, 20, 'Formas de drogas');
INSERT INTO `lang_definitions` VALUES (73839, 1837, 20, 'Drogas ID faltando!');
INSERT INTO `lang_definitions` VALUES (73840, 1838, 20, 'Intervalos de drogas');
INSERT INTO `lang_definitions` VALUES (73841, 1839, 20, 'Inventário de drogas');
INSERT INTO `lang_definitions` VALUES (73842, 1840, 20, 'Nome da droga');
INSERT INTO `lang_definitions` VALUES (73843, 1841, 20, 'Drogas Rotas');
INSERT INTO `lang_definitions` VALUES (73844, 1845, 20, 'Unidades de drogas');
INSERT INTO `lang_definitions` VALUES (73845, 1846, 20, 'Drogas');
INSERT INTO `lang_definitions` VALUES (73846, 1847, 20, 'Drogas e Produtos');
INSERT INTO `lang_definitions` VALUES (73847, 1848, 20, 'Boca seca');
INSERT INTO `lang_definitions` VALUES (73848, 1850, 20, 'DT 1');
INSERT INTO `lang_definitions` VALUES (73849, 1851, 20, 'DT 2');
INSERT INTO `lang_definitions` VALUES (73850, 1852, 20, 'DT 3');
INSERT INTO `lang_definitions` VALUES (73851, 1853, 20, 'DT 4');
INSERT INTO `lang_definitions` VALUES (73852, 1854, 20, 'DT 5');
INSERT INTO `lang_definitions` VALUES (73853, 1855, 20, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (73854, 1856, 20, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (73855, 1857, 20, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (73856, 1858, 20, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (73857, 1859, 20, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (73858, 1861, 20, 'Data de Vencimento');
INSERT INTO `lang_definitions` VALUES (73859, 1862, 20, 'Milímetro Vencimento / dd / aaaa ou aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (73860, 1863, 20, 'Data de Vencimento:');
INSERT INTO `lang_definitions` VALUES (73861, 1864, 20, 'Ins Devido');
INSERT INTO `lang_definitions` VALUES (73862, 1865, 20, 'Devido Pt');
INSERT INTO `lang_definitions` VALUES (73863, 1869, 20, 'Dumping banco LibreEHR');
INSERT INTO `lang_definitions` VALUES (73864, 1870, 20, 'Dumping LibreEHR árvore de diretórios web');
INSERT INTO `lang_definitions` VALUES (73865, 1871, 20, 'Dumping banco phpgacl');
INSERT INTO `lang_definitions` VALUES (73866, 1872, 20, 'Dumping árvore de diretórios phpgacl web');
INSERT INTO `lang_definitions` VALUES (73867, 1873, 20, 'Dumping banco de dados SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (73868, 1874, 20, 'Dumping SQL-Ledger árvore de diretórios web');
INSERT INTO `lang_definitions` VALUES (73869, 1878, 20, 'AVISO DUPLICAÇÃO');
INSERT INTO `lang_definitions` VALUES (73870, 1880, 20, 'Duração');
INSERT INTO `lang_definitions` VALUES (73871, 1881, 20, 'Duração');
INSERT INTO `lang_definitions` VALUES (73872, 1882, 20, 'Holandês');
INSERT INTO `lang_definitions` VALUES (73873, 1884, 20, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (73874, 1885, 20, 'Dispnéia:');
INSERT INTO `lang_definitions` VALUES (73875, 1886, 20, 'Disúria');
INSERT INTO `lang_definitions` VALUES (73876, 1894, 20, 'A recidiva precoce (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (73877, 1895, 20, 'Orelhas');
INSERT INTO `lang_definitions` VALUES (73878, 1896, 20, 'ECG');
INSERT INTO `lang_definitions` VALUES (73879, 1898, 20, 'Edema');
INSERT INTO `lang_definitions` VALUES (73880, 1904, 20, 'Editar');
INSERT INTO `lang_definitions` VALUES (73881, 1906, 20, 'Editar Alergias');
INSERT INTO `lang_definitions` VALUES (73882, 1907, 20, 'Editar categorias');
INSERT INTO `lang_definitions` VALUES (73883, 1909, 20, 'Editar definições');
INSERT INTO `lang_definitions` VALUES (73884, 1910, 20, 'Editar Diagnósticos para');
INSERT INTO `lang_definitions` VALUES (73885, 1912, 20, 'Editar Clínicas');
INSERT INTO `lang_definitions` VALUES (73886, 1914, 20, 'Editar Informações da Clínica');
INSERT INTO `lang_definitions` VALUES (73887, 1917, 20, 'Formulário Editar');
INSERT INTO `lang_definitions` VALUES (73888, 1920, 20, 'Editar layout');
INSERT INTO `lang_definitions` VALUES (73889, 1921, 20, 'Editar lista');
INSERT INTO `lang_definitions` VALUES (73890, 1923, 20, 'Editar Estrutura');
INSERT INTO `lang_definitions` VALUES (73891, 1928, 20, 'Educação');
INSERT INTO `lang_definitions` VALUES (73892, 1929, 20, 'Data da Educação');
INSERT INTO `lang_definitions` VALUES (73893, 1931, 20, 'ee a GNU General Public License para mais detalhes. * Você deve ter recebido uma cópia da Licença Pública Geral GNU * junto com este programa, se não, escreva para a Free ');
INSERT INTO `lang_definitions` VALUES (73894, 1932, 20, 'Data Efetiva');
INSERT INTO `lang_definitions` VALUES (73895, 1934, 20, 'Eficácia');
INSERT INTO `lang_definitions` VALUES (73896, 1936, 20, 'Ejaculações');
INSERT INTO `lang_definitions` VALUES (73897, 1937, 20, 'Elbow');
INSERT INTO `lang_definitions` VALUES (73898, 1938, 20, 'Elbow Problemas');
INSERT INTO `lang_definitions` VALUES (73899, 1942, 20, 'Eletrônica da competência');
INSERT INTO `lang_definitions` VALUES (73900, 1949, 20, 'Email');
INSERT INTO `lang_definitions` VALUES (73901, 1957, 20, 'E-mail de Batchcom');
INSERT INTO `lang_definitions` VALUES (73902, 1958, 20, 'Email Notificação');
INSERT INTO `lang_definitions` VALUES (73903, 1961, 20, 'Enviar e-mail antes');
INSERT INTO `lang_definitions` VALUES (73904, 1962, 20, 'Email Enviar');
INSERT INTO `lang_definitions` VALUES (73905, 1965, 20, 'E-mail Assunto');
INSERT INTO `lang_definitions` VALUES (73906, 1966, 20, 'E-mail de texto, Útil Tag: *** NOME ***, ou seja, Caro *** NOME ***');
INSERT INTO `lang_definitions` VALUES (73907, 1971, 20, 'Contato de emergência');
INSERT INTO `lang_definitions` VALUES (73908, 1972, 20, 'Contato de Emergência');
INSERT INTO `lang_definitions` VALUES (73909, 1973, 20, 'Número de telefone de emergência');
INSERT INTO `lang_definitions` VALUES (73910, 1974, 20, 'Contracepção de Emergência');
INSERT INTO `lang_definitions` VALUES (73911, 1980, 20, 'Telefone de emergência');
INSERT INTO `lang_definitions` VALUES (73912, 1982, 20, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (73913, 1983, 20, 'Empregado');
INSERT INTO `lang_definitions` VALUES (73914, 1984, 20, 'Empresa');
INSERT INTO `lang_definitions` VALUES (73915, 1985, 20, 'Endereço da Empresa');
INSERT INTO `lang_definitions` VALUES (73916, 1986, 20, 'Admissão da Empresa');
INSERT INTO `lang_definitions` VALUES (73917, 1987, 20, 'Nome da Empresa');
INSERT INTO `lang_definitions` VALUES (73918, 1989, 20, 'Vazio');
INSERT INTO `lang_definitions` VALUES (73919, 1991, 20, 'Valor vazio em \"\"Horas-mail \"\"');
INSERT INTO `lang_definitions` VALUES (73920, 1992, 20, 'Valor vazio em \"\"Email Sender \"\"');
INSERT INTO `lang_definitions` VALUES (73921, 1993, 20, 'Valor vazio em \"\"Assunto do Email \"\"');
INSERT INTO `lang_definitions` VALUES (73922, 1994, 20, 'Valor vazio em \"\"E-mail Texto \"\"');
INSERT INTO `lang_definitions` VALUES (73923, 1995, 20, 'Valor vazio em \"\"Nome do Provedor \"\"');
INSERT INTO `lang_definitions` VALUES (73924, 1996, 20, 'Valor vazio em \"\"Password \"\"');
INSERT INTO `lang_definitions` VALUES (73925, 1997, 20, 'Valor vazio em \"\"Horas SMS \"\"');
INSERT INTO `lang_definitions` VALUES (73926, 1998, 20, 'Valor vazio em \"\"de texto SMS \"\"');
INSERT INTO `lang_definitions` VALUES (73927, 1999, 20, 'Valor vazio em \"\"Nome \"\"');
INSERT INTO `lang_definitions` VALUES (73928, 2068, 20, 'habilitado');
INSERT INTO `lang_definitions` VALUES (73929, 2071, 20, 'Enc');
INSERT INTO `lang_definitions` VALUES (73930, 2073, 20, 'Consulta');
INSERT INTO `lang_definitions` VALUES (73931, 2074, 20, 'Consulta');
INSERT INTO `lang_definitions` VALUES (73932, 2075, 20, 'Consulta ');
INSERT INTO `lang_definitions` VALUES (73933, 2086, 20, 'Consulta Formulários');
INSERT INTO `lang_definitions` VALUES (73934, 2091, 20, 'Número Consulta');
INSERT INTO `lang_definitions` VALUES (73935, 2110, 20, 'Consulta foi codificada');
INSERT INTO `lang_definitions` VALUES (73936, 2111, 20, 'Consulta:');
INSERT INTO `lang_definitions` VALUES (73937, 2113, 20, 'Consultas');
INSERT INTO `lang_definitions` VALUES (73938, 2114, 20, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (73939, 2115, 20, 'Consultas & Formulários');
INSERT INTO `lang_definitions` VALUES (73940, 2116, 20, 'Consultas não autorizado');
INSERT INTO `lang_definitions` VALUES (73941, 2117, 20, 'Consultas Relatório');
INSERT INTO `lang_definitions` VALUES (73942, 2118, 20, 'Consultas Seção');
INSERT INTO `lang_definitions` VALUES (73943, 2121, 20, 'Fim');
INSERT INTO `lang_definitions` VALUES (73944, 2122, 20, 'Fim (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (73945, 2123, 20, 'Data final');
INSERT INTO `lang_definitions` VALUES (73946, 2124, 20, 'Com data final');
INSERT INTO `lang_definitions` VALUES (73947, 2127, 20, 'Data final:');
INSERT INTO `lang_definitions` VALUES (73948, 2131, 20, 'End Time');
INSERT INTO `lang_definitions` VALUES (73949, 2133, 20, 'Data de término do serviço aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (73950, 2134, 20, 'Ending milímetros DOS / dd / yyyy se deseja introduzir um intervalo');
INSERT INTO `lang_definitions` VALUES (73951, 2136, 20, 'Endo sanguíneos anormais');
INSERT INTO `lang_definitions` VALUES (73952, 2137, 20, 'Endócrino');
INSERT INTO `lang_definitions` VALUES (73953, 2138, 20, 'Endoscopia');
INSERT INTO `lang_definitions` VALUES (73954, 2141, 20, 'Inglês');
INSERT INTO `lang_definitions` VALUES (73955, 2142, 20, 'Inglês ');
INSERT INTO `lang_definitions` VALUES (73956, 2143, 20, 'Inglês (indiana)');
INSERT INTO `lang_definitions` VALUES (73957, 2144, 20, 'Inglês (Standard)');
INSERT INTO `lang_definitions` VALUES (73958, 2146, 20, 'Assegurar LibreEHR tem privilégios de gravação para o diretório');
INSERT INTO `lang_definitions` VALUES (73959, 2147, 20, 'ENT Quitação');
INSERT INTO `lang_definitions` VALUES (73960, 2148, 20, 'ENT Pain');
INSERT INTO `lang_definitions` VALUES (73961, 2149, 20, 'Digite um código de diagnóstico para excluir todas as faturas que não contenham a');
INSERT INTO `lang_definitions` VALUES (73962, 2151, 20, 'Entrar no corpo da carta aqui');
INSERT INTO `lang_definitions` VALUES (73963, 2161, 20, 'Entrar novo Estado');
INSERT INTO `lang_definitions` VALUES (73964, 2165, 20, 'Digite seu critério de pesquisa acima');
INSERT INTO `lang_definitions` VALUES (73965, 2168, 20, 'Ambiental');
INSERT INTO `lang_definitions` VALUES (73966, 2169, 20, 'EOB de entrada de dados');
INSERT INTO `lang_definitions` VALUES (73967, 2170, 20, 'EOB Destacamento - Electronic Remessas');
INSERT INTO `lang_definitions` VALUES (73968, 2171, 20, 'EOB Posting - Instruções');
INSERT INTO `lang_definitions` VALUES (73969, 2172, 20, 'EOB Destacamento - Invoice');
INSERT INTO `lang_definitions` VALUES (73970, 2173, 20, 'EOB Destacamento - Paciente Nota');
INSERT INTO `lang_definitions` VALUES (73971, 2174, 20, 'EOB Destacamento - Busca');
INSERT INTO `lang_definitions` VALUES (73972, 2176, 20, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (73973, 2181, 20, 'Erase');
INSERT INTO `lang_definitions` VALUES (73974, 2182, 20, 'Ereções');
INSERT INTO `lang_definitions` VALUES (73975, 2183, 20, 'Erro');
INSERT INTO `lang_definitions` VALUES (73976, 2188, 20, 'Erro na \"\"Sexo \"\" seleção');
INSERT INTO `lang_definitions` VALUES (73977, 2189, 20, 'Erro na \"\"HIPAA \"\" seleção');
INSERT INTO `lang_definitions` VALUES (73978, 2190, 20, 'Erro na \"\"Processo \"\" seleção');
INSERT INTO `lang_definitions` VALUES (73979, 2191, 20, 'Erro na \"\"SMS Gateway \"\" seleção');
INSERT INTO `lang_definitions` VALUES (73980, 2192, 20, 'Erro na \"\"Ordenar por \"\" seleção');
INSERT INTO `lang_definitions` VALUES (73981, 2194, 20, 'Erro na opção SIM ou NÃO');
INSERT INTO `lang_definitions` VALUES (73982, 2205, 20, 'erro ao registrar formulário!');
INSERT INTO `lang_definitions` VALUES (73983, 2206, 20, 'Erro ao salvar o arquivo');
INSERT INTO `lang_definitions` VALUES (73984, 2208, 20, 'Erro ao gravar no arquivo');
INSERT INTO `lang_definitions` VALUES (73985, 2211, 20, 'Erro, incapaz de coletar dados de servidor');
INSERT INTO `lang_definitions` VALUES (73986, 2219, 20, 'ERRO: não pôde abrir table.sql, forma quebrado?');
INSERT INTO `lang_definitions` VALUES (73987, 2225, 20, 'Erro: Senha inválida. Verifique sua digitação.');
INSERT INTO `lang_definitions` VALUES (73988, 2235, 20, 'Erros');
INSERT INTO `lang_definitions` VALUES (73989, 2242, 20, 'Eritema:');
INSERT INTO `lang_definitions` VALUES (73990, 2247, 20, 'Paciente Antigo');
INSERT INTO `lang_definitions` VALUES (73991, 2250, 20, 'Etnia ou raça');
INSERT INTO `lang_definitions` VALUES (73992, 2251, 20, 'Étnico-Lista Raça (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (73993, 2252, 20, 'Etin');
INSERT INTO `lang_definitions` VALUES (73994, 2253, 20, 'Evento');
INSERT INTO `lang_definitions` VALUES (73995, 2254, 20, 'Evento começa');
INSERT INTO `lang_definitions` VALUES (73996, 2255, 20, 'Categoria do evento');
INSERT INTO `lang_definitions` VALUES (73997, 2256, 20, 'Data do Evento');
INSERT INTO `lang_definitions` VALUES (73998, 2257, 20, 'Descrição do evento');
INSERT INTO `lang_definitions` VALUES (73999, 2258, 20, 'Detalhes do evento');
INSERT INTO `lang_definitions` VALUES (74000, 2259, 20, 'Evento não se repete');
INSERT INTO `lang_definitions` VALUES (74001, 2260, 20, 'Duração do evento');
INSERT INTO `lang_definitions` VALUES (74002, 2261, 20, 'Evento duração em minutos');
INSERT INTO `lang_definitions` VALUES (74003, 2262, 20, 'Taxa de Eventos');
INSERT INTO `lang_definitions` VALUES (74004, 2263, 20, 'Local do evento');
INSERT INTO `lang_definitions` VALUES (74005, 2264, 20, 'Evento se repete');
INSERT INTO `lang_definitions` VALUES (74006, 2265, 20, 'Evento se repete no');
INSERT INTO `lang_definitions` VALUES (74007, 2266, 20, 'Evento hora de início');
INSERT INTO `lang_definitions` VALUES (74008, 2267, 20, 'Título do evento');
INSERT INTO `lang_definitions` VALUES (74009, 2268, 20, 'Título do Evento');
INSERT INTO `lang_definitions` VALUES (74010, 2269, 20, 'Website do evento');
INSERT INTO `lang_definitions` VALUES (74011, 2270, 20, 'Eventos');
INSERT INTO `lang_definitions` VALUES (74012, 2271, 20, 'Eventos para');
INSERT INTO `lang_definitions` VALUES (74013, 2272, 20, 'Eventos abrir em uma nova janela');
INSERT INTO `lang_definitions` VALUES (74014, 2273, 20, 'cada um');
INSERT INTO `lang_definitions` VALUES (74015, 2274, 20, 'Cada um');
INSERT INTO `lang_definitions` VALUES (74016, 2275, 20, 'a cada 3 horas');
INSERT INTO `lang_definitions` VALUES (74017, 2276, 20, 'a cada 4 horas');
INSERT INTO `lang_definitions` VALUES (74018, 2277, 20, 'a cada 5 horas');
INSERT INTO `lang_definitions` VALUES (74019, 2278, 20, 'a cada 6 horas');
INSERT INTO `lang_definitions` VALUES (74020, 2279, 20, 'a cada 8 horas');
INSERT INTO `lang_definitions` VALUES (74021, 2280, 20, 'Toda Quarta');
INSERT INTO `lang_definitions` VALUES (74022, 2281, 20, 'Todos os outros');
INSERT INTO `lang_definitions` VALUES (74023, 2282, 20, 'Cada Terceiro');
INSERT INTO `lang_definitions` VALUES (74024, 2283, 20, 'Todos os dias, todas as outras, a cada 3, etc');
INSERT INTO `lang_definitions` VALUES (74025, 2285, 20, 'Os resultados dos exames e teste');
INSERT INTO `lang_definitions` VALUES (74026, 2286, 20, 'Os resultados dos exames');
INSERT INTO `lang_definitions` VALUES (74027, 2290, 20, 'Data Exame');
INSERT INTO `lang_definitions` VALUES (74028, 2293, 20, 'Exames / Testes');
INSERT INTO `lang_definitions` VALUES (74029, 2295, 20, 'Lacrimejamento excessivo');
INSERT INTO `lang_definitions` VALUES (74030, 2298, 20, 'Exclusive Provider Organization (EPO)');
INSERT INTO `lang_definitions` VALUES (74031, 2301, 20, 'Padrões de exercício');
INSERT INTO `lang_definitions` VALUES (74032, 2302, 20, 'Padrões de exercício');
INSERT INTO `lang_definitions` VALUES (74033, 2304, 20, 'Sair do Administração');
INSERT INTO `lang_definitions` VALUES (74034, 2305, 20, 'Exp');
INSERT INTO `lang_definitions` VALUES (74035, 2311, 20, 'Visualização Expandida');
INSERT INTO `lang_definitions` VALUES (74036, 2312, 20, 'Form_encounter.pid Esperado ser ');
INSERT INTO `lang_definitions` VALUES (74037, 2313, 20, 'Expiração');
INSERT INTO `lang_definitions` VALUES (74038, 2314, 20, 'Data de Expiração');
INSERT INTO `lang_definitions` VALUES (74039, 2315, 20, 'Expira');
INSERT INTO `lang_definitions` VALUES (74040, 2317, 20, 'Exportação');
INSERT INTO `lang_definitions` VALUES (74041, 2318, 20, 'Exportar como CSV');
INSERT INTO `lang_definitions` VALUES (74042, 2319, 20, 'Exportar configuração');
INSERT INTO `lang_definitions` VALUES (74043, 2322, 20, 'Exportar Informações do Paciente');
INSERT INTO `lang_definitions` VALUES (74044, 2325, 20, 'Exportar como CSV Selecionados');
INSERT INTO `lang_definitions` VALUES (74045, 2326, 20, 'Coleções selecionadas para exportação');
INSERT INTO `lang_definitions` VALUES (74046, 2327, 20, 'Exportar para CSV');
INSERT INTO `lang_definitions` VALUES (74047, 2328, 20, 'Exportar para o sistema de faturamento externo');
INSERT INTO `lang_definitions` VALUES (74048, 2329, 20, 'A exposição ao Estrangeiro');
INSERT INTO `lang_definitions` VALUES (74049, 2330, 20, 'Exposição ao Estrangeiro');
INSERT INTO `lang_definitions` VALUES (74050, 2332, 20, 'Externo');
INSERT INTO `lang_definitions` VALUES (74051, 2336, 20, 'N# Cadastro');
INSERT INTO `lang_definitions` VALUES (74052, 2338, 20, 'Identificador externo');
INSERT INTO `lang_definitions` VALUES (74053, 2339, 20, 'Somente Externo');
INSERT INTO `lang_definitions` VALUES (74054, 2342, 20, 'Consulta externa');
INSERT INTO `lang_definitions` VALUES (74055, 2343, 20, 'Consulta Externa Followups');
INSERT INTO `lang_definitions` VALUES (74056, 2344, 20, 'Externos de referência?');
INSERT INTO `lang_definitions` VALUES (74057, 2345, 20, 'Referências externas');
INSERT INTO `lang_definitions` VALUES (74058, 2348, 20, 'Exsudato:');
INSERT INTO `lang_definitions` VALUES (74059, 2349, 20, 'Irritação dos olhos');
INSERT INTO `lang_definitions` VALUES (74060, 2350, 20, 'Dor ocular');
INSERT INTO `lang_definitions` VALUES (74061, 2351, 20, 'Vermelhidão dos olhos');
INSERT INTO `lang_definitions` VALUES (74062, 2352, 20, 'Olhos');
INSERT INTO `lang_definitions` VALUES (74063, 2353, 20, 'F');
INSERT INTO `lang_definitions` VALUES (74064, 2354, 20, 'F / H problemas do sangue');
INSERT INTO `lang_definitions` VALUES (74065, 2355, 20, 'F / H Feminino Hirsutismo / Estrias');
INSERT INTO `lang_definitions` VALUES (74066, 2356, 20, 'Clínicas');
INSERT INTO `lang_definitions` VALUES (74067, 2357, 20, 'Clínica');
INSERT INTO `lang_definitions` VALUES (74068, 2358, 20, 'Motor');
INSERT INTO `lang_definitions` VALUES (74069, 2359, 20, 'Clínica de Administração');
INSERT INTO `lang_definitions` VALUES (74070, 2361, 20, 'Clínica Código');
INSERT INTO `lang_definitions` VALUES (74071, 2365, 20, 'CNPJ da Clínica');
INSERT INTO `lang_definitions` VALUES (74072, 2372, 20, 'Clínica:');
INSERT INTO `lang_definitions` VALUES (74073, 2375, 20, 'Falha');
INSERT INTO `lang_definitions` VALUES (74074, 2383, 20, 'falha');
INSERT INTO `lang_definitions` VALUES (74075, 2390, 20, 'Histórico da Família');
INSERT INTO `lang_definitions` VALUES (74076, 2391, 20, 'Histórico familiar de glaucoma');
INSERT INTO `lang_definitions` VALUES (74077, 2392, 20, 'Histórico da Família:');
INSERT INTO `lang_definitions` VALUES (74078, 2395, 20, 'Tamanho Família');
INSERT INTO `lang_definitions` VALUES (74079, 2396, 20, 'Fancy');
INSERT INTO `lang_definitions` VALUES (74080, 2400, 20, 'Pai');
INSERT INTO `lang_definitions` VALUES (74081, 2402, 20, 'Fadiga');
INSERT INTO `lang_definitions` VALUES (74082, 2403, 20, 'Fatigado');
INSERT INTO `lang_definitions` VALUES (74083, 2404, 20, 'Fax');
INSERT INTO `lang_definitions` VALUES (74084, 2406, 20, 'Fax');
INSERT INTO `lang_definitions` VALUES (74085, 2408, 20, 'Fax / Digitalização');
INSERT INTO `lang_definitions` VALUES (74086, 2409, 20, 'Faxes no');
INSERT INTO `lang_definitions` VALUES (74087, 2410, 20, 'Faxes Out');
INSERT INTO `lang_definitions` VALUES (74088, 2413, 20, 'Fevereiro');
INSERT INTO `lang_definitions` VALUES (74089, 2414, 20, 'FECA');
INSERT INTO `lang_definitions` VALUES (74090, 2415, 20, 'Estado do CRM');
INSERT INTO `lang_definitions` VALUES (74091, 2416, 20, 'CRM');
INSERT INTO `lang_definitions` VALUES (74092, 2417, 20, 'CRM');
INSERT INTO `lang_definitions` VALUES (74093, 2418, 20, 'Honorários');
INSERT INTO `lang_definitions` VALUES (74094, 2419, 20, 'honorários');
INSERT INTO `lang_definitions` VALUES (74095, 2420, 20, 'Taxa não é permitido');
INSERT INTO `lang_definitions` VALUES (74096, 2421, 20, 'Taxa Folha');
INSERT INTO `lang_definitions` VALUES (74097, 2422, 20, 'Taxa Folha Opções');
INSERT INTO `lang_definitions` VALUES (74098, 2423, 20, 'Taxas');
INSERT INTO `lang_definitions` VALUES (74099, 2424, 20, 'Feminino');
INSERT INTO `lang_definitions` VALUES (74100, 2425, 20, 'Feminino AP');
INSERT INTO `lang_definitions` VALUES (74101, 2426, 20, 'Preservativos Femininos');
INSERT INTO `lang_definitions` VALUES (74102, 2427, 20, 'Mulher G');
INSERT INTO `lang_definitions` VALUES (74103, 2428, 20, 'Feminino LC');
INSERT INTO `lang_definitions` VALUES (74104, 2429, 20, 'P Feminino');
INSERT INTO `lang_definitions` VALUES (74105, 2430, 20, 'Feminino Sintomas');
INSERT INTO `lang_definitions` VALUES (74106, 2431, 20, 'Feminino VSC');
INSERT INTO `lang_definitions` VALUES (74107, 2434, 20, 'Febre');
INSERT INTO `lang_definitions` VALUES (74108, 2435, 20, 'Febre:');
INSERT INTO `lang_definitions` VALUES (74109, 2436, 20, 'FH problemas do sangue');
INSERT INTO `lang_definitions` VALUES (74110, 2437, 20, 'Fibromiomas');
INSERT INTO `lang_definitions` VALUES (74111, 2447, 20, 'Arquivo');
INSERT INTO `lang_definitions` VALUES (74112, 2455, 20, 'Arquivo do quarto');
INSERT INTO `lang_definitions` VALUES (74113, 2456, 20, 'Arquivo para upload');
INSERT INTO `lang_definitions` VALUES (74114, 2458, 20, 'Arquivo com mesmo nome já existe no local:');
INSERT INTO `lang_definitions` VALUES (74115, 2459, 20, 'Nome do Arquivo');
INSERT INTO `lang_definitions` VALUES (74116, 2461, 20, 'Arquivos');
INSERT INTO `lang_definitions` VALUES (74117, 2462, 20, 'Filipino');
INSERT INTO `lang_definitions` VALUES (74118, 2463, 20, 'Preencha qualquer uma das linhas abaixo.');
INSERT INTO `lang_definitions` VALUES (74119, 2464, 20, 'Preencha somente para envio de notificação de e-mail aos pacientes');
INSERT INTO `lang_definitions` VALUES (74120, 2465, 20, 'Preencha os valores abaixo');
INSERT INTO `lang_definitions` VALUES (74121, 2467, 20, 'Preencha a Linha.');
INSERT INTO `lang_definitions` VALUES (74122, 2468, 20, 'Filtro');
INSERT INTO `lang_definitions` VALUES (74123, 2469, 20, 'Filtro para Constantes');
INSERT INTO `lang_definitions` VALUES (74124, 2470, 20, 'Filtro para Definições');
INSERT INTO `lang_definitions` VALUES (74125, 2471, 20, 'Filtro para');
INSERT INTO `lang_definitions` VALUES (74126, 2472, 20, 'filtros');
INSERT INTO `lang_definitions` VALUES (74127, 2473, 20, 'Filtros');
INSERT INTO `lang_definitions` VALUES (74128, 2474, 20, 'Final');
INSERT INTO `lang_definitions` VALUES (74129, 2475, 20, 'Diagnóstico Final');
INSERT INTO `lang_definitions` VALUES (74130, 2476, 20, 'O diagnóstico final pelo especialista');
INSERT INTO `lang_definitions` VALUES (74131, 2478, 20, 'Financeiro');
INSERT INTO `lang_definitions` VALUES (74132, 2479, 20, 'Data de fechamento financeiro (aaaa-mm-dd)');
INSERT INTO `lang_definitions` VALUES (74133, 2480, 20, 'Relato Financeiro - nada');
INSERT INTO `lang_definitions` VALUES (74134, 2481, 20, 'Relato Financeiro - minhas Consultas');
INSERT INTO `lang_definitions` VALUES (74135, 2482, 20, 'Financeiro Revisão Data');
INSERT INTO `lang_definitions` VALUES (74136, 2483, 20, 'Resumo Financeiro por código de serviço');
INSERT INTO `lang_definitions` VALUES (74137, 2484, 20, 'Pesq.');
INSERT INTO `lang_definitions` VALUES (74138, 2485, 20, 'Procurar Disponível');
INSERT INTO `lang_definitions` VALUES (74139, 2486, 20, 'Procurar Marcações Disponíveis');
INSERT INTO `lang_definitions` VALUES (74140, 2487, 20, 'Pesquisar Paciente');
INSERT INTO `lang_definitions` VALUES (74141, 2488, 20, 'Encontre Materiais Informativo do Paciente');
INSERT INTO `lang_definitions` VALUES (74142, 2489, 20, 'Apreciação');
INSERT INTO `lang_definitions` VALUES (74143, 2490, 20, 'Descobertas por um especialista');
INSERT INTO `lang_definitions` VALUES (74144, 2491, 20, 'Agradável');
INSERT INTO `lang_definitions` VALUES (74145, 2492, 20, 'Concluir Pagamentos');
INSERT INTO `lang_definitions` VALUES (74146, 2493, 20, 'Concluído');
INSERT INTO `lang_definitions` VALUES (74147, 2495, 20, 'Primeiro');
INSERT INTO `lang_definitions` VALUES (74148, 2497, 20, 'Primeiro dia da semana');
INSERT INTO `lang_definitions` VALUES (74149, 2498, 20, 'Nome');
INSERT INTO `lang_definitions` VALUES (74150, 2499, 20, 'Nome');
INSERT INTO `lang_definitions` VALUES (74151, 2500, 20, 'Nome:');
INSERT INTO `lang_definitions` VALUES (74152, 2503, 20, 'Fitness');
INSERT INTO `lang_definitions` VALUES (74153, 2504, 20, 'Fitness: Nível');
INSERT INTO `lang_definitions` VALUES (74154, 2507, 20, 'Aptidão para jogar');
INSERT INTO `lang_definitions` VALUES (74155, 2508, 20, 'Corrigir datas de Consultas');
INSERT INTO `lang_definitions` VALUES (74156, 2509, 20, 'Corrigir este');
INSERT INTO `lang_definitions` VALUES (74157, 2510, 20, 'FL');
INSERT INTO `lang_definitions` VALUES (74158, 2511, 20, 'Flatulência');
INSERT INTO `lang_definitions` VALUES (74159, 2512, 20, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (74160, 2516, 20, 'Vacinação contra a gripe');
INSERT INTO `lang_definitions` VALUES (74161, 2517, 20, 'Problema de líquidos e eletrólitos');
INSERT INTO `lang_definitions` VALUES (74162, 2518, 20, 'FMS');
INSERT INTO `lang_definitions` VALUES (74163, 2520, 20, 'Siga manualmente');
INSERT INTO `lang_definitions` VALUES (74164, 2531, 20, 'Intolerância Alimentar');
INSERT INTO `lang_definitions` VALUES (74165, 2532, 20, 'Pé');
INSERT INTO `lang_definitions` VALUES (74166, 2533, 20, 'Problemas do Pé');
INSERT INTO `lang_definitions` VALUES (74167, 2534, 20, 'Pé:');
INSERT INTO `lang_definitions` VALUES (74168, 2535, 20, 'Football Injuries');
INSERT INTO `lang_definitions` VALUES (74169, 2537, 20, 'Futebol Injury Report');
INSERT INTO `lang_definitions` VALUES (74170, 2538, 20, 'Tipo de calçado');
INSERT INTO `lang_definitions` VALUES (74171, 2539, 20, 'para');
INSERT INTO `lang_definitions` VALUES (74172, 2555, 20, 'para:');
INSERT INTO `lang_definitions` VALUES (74173, 2559, 20, 'Antebraço');
INSERT INTO `lang_definitions` VALUES (74174, 2560, 20, 'Forma');
INSERT INTO `lang_definitions` VALUES (74175, 2561, 20, 'forma');
INSERT INTO `lang_definitions` VALUES (74176, 2564, 20, 'Formato');
INSERT INTO `lang_definitions` VALUES (74177, 2565, 20, 'formato');
INSERT INTO `lang_definitions` VALUES (74178, 2567, 20, 'Formato incorreto para NDC');
INSERT INTO `lang_definitions` VALUES (74179, 2572, 20, 'Formulários');
INSERT INTO `lang_definitions` VALUES (74180, 2573, 20, 'Formas de administração');
INSERT INTO `lang_definitions` VALUES (74181, 2576, 20, 'Páginas transmitir via Fax');
INSERT INTO `lang_definitions` VALUES (74182, 2579, 20, 'Quarta');
INSERT INTO `lang_definitions` VALUES (74183, 2581, 20, 'Fratura');
INSERT INTO `lang_definitions` VALUES (74184, 2582, 20, 'Fratura no Navicula');
INSERT INTO `lang_definitions` VALUES (74185, 2583, 20, 'Fratura do maléolo lateral');
INSERT INTO `lang_definitions` VALUES (74186, 2584, 20, 'A fratura do maléolo medial');
INSERT INTO `lang_definitions` VALUES (74187, 2585, 20, 'Fracture, da Base de quinta (5) Metatarsal');
INSERT INTO `lang_definitions` VALUES (74188, 2587, 20, 'Francês');
INSERT INTO `lang_definitions` VALUES (74189, 2590, 20, 'Freqüência');
INSERT INTO `lang_definitions` VALUES (74190, 2591, 20, 'Resfriados freqüentes');
INSERT INTO `lang_definitions` VALUES (74191, 2592, 20, 'Doenças frequentes');
INSERT INTO `lang_definitions` VALUES (74192, 2593, 20, 'Sex');
INSERT INTO `lang_definitions` VALUES (74193, 2594, 20, 'Sexta-feira');
INSERT INTO `lang_definitions` VALUES (74194, 2595, 20, 'De');
INSERT INTO `lang_definitions` VALUES (74195, 2596, 20, 'DA');
INSERT INTO `lang_definitions` VALUES (74196, 2599, 20, 'De:');
INSERT INTO `lang_definitions` VALUES (74197, 2600, 20, 'De: ');
INSERT INTO `lang_definitions` VALUES (74198, 2601, 20, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (74199, 2603, 20, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (74200, 2604, 20, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (74201, 2605, 20, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (74202, 2607, 20, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (74203, 2608, 20, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (74204, 2609, 20, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (74205, 2610, 20, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (74206, 2611, 20, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (74207, 2612, 20, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (74208, 2613, 20, 'Recepção');
INSERT INTO `lang_definitions` VALUES (74209, 2614, 20, 'Arquivos da Recepção');
INSERT INTO `lang_definitions` VALUES (74210, 2615, 20, 'Relatório de Arquivos da Recepção Relatório');
INSERT INTO `lang_definitions` VALUES (74211, 2616, 20, 'Front Rec');
INSERT INTO `lang_definitions` VALUES (74212, 2617, 20, 'Frontal Direita:');
INSERT INTO `lang_definitions` VALUES (74213, 2619, 20, 'Nome Completo');
INSERT INTO `lang_definitions` VALUES (74214, 2624, 20, 'Completamente Tocar');
INSERT INTO `lang_definitions` VALUES (74215, 2625, 20, 'Full Training');
INSERT INTO `lang_definitions` VALUES (74216, 2633, 20, 'G');
INSERT INTO `lang_definitions` VALUES (74217, 2636, 20, 'Vesícula Biliar Condição');
INSERT INTO `lang_definitions` VALUES (74218, 2637, 20, 'Gall Stones');
INSERT INTO `lang_definitions` VALUES (74219, 2638, 20, 'Jogo Período');
INSERT INTO `lang_definitions` VALUES (74220, 2639, 20, 'Jogos');
INSERT INTO `lang_definitions` VALUES (74221, 2641, 20, 'jogos / eventos');
INSERT INTO `lang_definitions` VALUES (74222, 2642, 20, 'Jogos / Eventos Missed');
INSERT INTO `lang_definitions` VALUES (74223, 2644, 20, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (74224, 2645, 20, 'Gastro Pain');
INSERT INTO `lang_definitions` VALUES (74225, 2646, 20, 'Gastrointestinais');
INSERT INTO `lang_definitions` VALUES (74226, 2647, 20, 'GCAC Statistics Report');
INSERT INTO `lang_definitions` VALUES (74227, 2649, 20, 'GCAC formulário visita está faltando');
INSERT INTO `lang_definitions` VALUES (74228, 2650, 20, 'Gênero');
INSERT INTO `lang_definitions` VALUES (74229, 2651, 20, 'Gênero ');
INSERT INTO `lang_definitions` VALUES (74230, 2652, 20, 'Filtro');
INSERT INTO `lang_definitions` VALUES (74231, 2655, 20, 'Categoria de Serviços Gerais');
INSERT INTO `lang_definitions` VALUES (74232, 2658, 20, 'Gerar e transferir créditos HCFA 1500 papel');
INSERT INTO `lang_definitions` VALUES (74233, 2659, 20, 'Gerar e lote X12 download');
INSERT INTO `lang_definitions` VALUES (74234, 2667, 20, 'Gerar HCFA');
INSERT INTO `lang_definitions` VALUES (74235, 2669, 20, 'Gerar Carta');
INSERT INTO `lang_definitions` VALUES (74236, 2670, 20, 'Gerar carta a respeito ');
INSERT INTO `lang_definitions` VALUES (74237, 2677, 20, 'Gerar relatório');
INSERT INTO `lang_definitions` VALUES (74238, 2679, 20, 'Gerar X12');
INSERT INTO `lang_definitions` VALUES (74239, 2682, 20, 'Geração de');
INSERT INTO `lang_definitions` VALUES (74240, 2683, 20, 'Gera');
INSERT INTO `lang_definitions` VALUES (74241, 2684, 20, 'Geniturinário');
INSERT INTO `lang_definitions` VALUES (74242, 2687, 20, 'Alemão');
INSERT INTO `lang_definitions` VALUES (74243, 2692, 20, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (74244, 2693, 20, 'Glaucoma na Família');
INSERT INTO `lang_definitions` VALUES (74245, 2694, 20, 'Global');
INSERT INTO `lang_definitions` VALUES (74246, 2696, 20, 'Global ID');
INSERT INTO `lang_definitions` VALUES (74247, 2700, 20, 'ir');
INSERT INTO `lang_definitions` VALUES (74248, 2701, 20, 'Ir');
INSERT INTO `lang_definitions` VALUES (74249, 2704, 20, 'Ir para');
INSERT INTO `lang_definitions` VALUES (74250, 2705, 20, 'Ir para a semana de');
INSERT INTO `lang_definitions` VALUES (74251, 2712, 20, 'Votação:');
INSERT INTO `lang_definitions` VALUES (74252, 2713, 20, 'gramas');
INSERT INTO `lang_definitions` VALUES (74253, 2714, 20, 'Total Geral');
INSERT INTO `lang_definitions` VALUES (74254, 2715, 20, 'Totais Gerais');
INSERT INTO `lang_definitions` VALUES (74255, 2722, 20, 'Grego');
INSERT INTO `lang_definitions` VALUES (74256, 2724, 20, 'Grupo');
INSERT INTO `lang_definitions` VALUES (74257, 2725, 20, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (74258, 2726, 20, 'Os nomes dos grupos não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (74259, 2727, 20, 'Os nomes dos grupos não pode começar com números ou espaços.');
INSERT INTO `lang_definitions` VALUES (74260, 2728, 20, 'Os nomes dos grupos não pode começar com números.');
INSERT INTO `lang_definitions` VALUES (74261, 2729, 20, 'Produto');
INSERT INTO `lang_definitions` VALUES (74262, 2731, 20, 'Grupo:');
INSERT INTO `lang_definitions` VALUES (74263, 2732, 20, 'Nome do Grupo');
INSERT INTO `lang_definitions` VALUES (74264, 2733, 20, 'Grupos e Controles de Acesso');
INSERT INTO `lang_definitions` VALUES (74265, 2734, 20, 'Growth Chart');
INSERT INTO `lang_definitions` VALUES (74266, 2735, 20, 'Growth-chart');
INSERT INTO `lang_definitions` VALUES (74267, 2736, 20, 'Gotas');
INSERT INTO `lang_definitions` VALUES (74268, 2741, 20, 'Exame ginecológico');
INSERT INTO `lang_definitions` VALUES (74269, 2742, 20, 'h');
INSERT INTO `lang_definitions` VALUES (74270, 2743, 20, 'H.S.');
INSERT INTO `lang_definitions` VALUES (74271, 2744, 20, 'H / O Hepatite');
INSERT INTO `lang_definitions` VALUES (74272, 2745, 20, 'tinha sido excluído com sucesso. Qualquer sub-categorias se apresentam foram movidos abaixo');
INSERT INTO `lang_definitions` VALUES (74273, 2746, 20, 'Hematoma / contusão');
INSERT INTO `lang_definitions` VALUES (74274, 2747, 20, 'HAI Status');
INSERT INTO `lang_definitions` VALUES (74275, 2750, 20, 'Mão + dedos');
INSERT INTO `lang_definitions` VALUES (74276, 2751, 20, 'Mão Problemas');
INSERT INTO `lang_definitions` VALUES (74277, 2753, 20, 'Hardship w / o');
INSERT INTO `lang_definitions` VALUES (74278, 2754, 20, 'tem sido associada a visitar');
INSERT INTO `lang_definitions` VALUES (74279, 2761, 20, 'Atividades perigosas');
INSERT INTO `lang_definitions` VALUES (74280, 2762, 20, 'Atividades perigosas');
INSERT INTO `lang_definitions` VALUES (74281, 2763, 20, 'HCFA margem esquerda em pontos');
INSERT INTO `lang_definitions` VALUES (74282, 2764, 20, 'Margens HCFA');
INSERT INTO `lang_definitions` VALUES (74283, 2765, 20, 'HCFA margem superior nos pontos');
INSERT INTO `lang_definitions` VALUES (74284, 2767, 20, 'ele PostCalendar ');
INSERT INTO `lang_definitions` VALUES (74285, 2768, 20, 'Cabeça');
INSERT INTO `lang_definitions` VALUES (74286, 2769, 20, 'Chefe Circ');
INSERT INTO `lang_definitions` VALUES (74287, 2770, 20, 'Perímetro cefálico');
INSERT INTO `lang_definitions` VALUES (74288, 2771, 20, 'Dor de cabeça');
INSERT INTO `lang_definitions` VALUES (74289, 2772, 20, 'Dores de cabeça');
INSERT INTO `lang_definitions` VALUES (74290, 2775, 20, 'Centro de saúde / clínica');
INSERT INTO `lang_definitions` VALUES (74291, 2776, 20, 'Organização em Defesa da Saúde');
INSERT INTO `lang_definitions` VALUES (74292, 2777, 20, 'Organização em Defesa da Saúde (HMO) Medicare Risk');
INSERT INTO `lang_definitions` VALUES (74293, 2778, 20, 'Perda de Audição');
INSERT INTO `lang_definitions` VALUES (74294, 2779, 20, 'Ataque do Coração');
INSERT INTO `lang_definitions` VALUES (74295, 2780, 20, 'Doenças do Coração');
INSERT INTO `lang_definitions` VALUES (74296, 2781, 20, 'Insuficiência Cardíaca');
INSERT INTO `lang_definitions` VALUES (74297, 2782, 20, 'Problema cardíaco');
INSERT INTO `lang_definitions` VALUES (74298, 2783, 20, 'Problemas cardíacos');
INSERT INTO `lang_definitions` VALUES (74299, 2784, 20, 'Cirurgia de Coração');
INSERT INTO `lang_definitions` VALUES (74300, 2785, 20, 'Transplante de Coração');
INSERT INTO `lang_definitions` VALUES (74301, 2786, 20, 'CORAÇÃO:');
INSERT INTO `lang_definitions` VALUES (74302, 2787, 20, 'Azia');
INSERT INTO `lang_definitions` VALUES (74303, 2788, 20, 'Quente ou Frio');
INSERT INTO `lang_definitions` VALUES (74304, 2789, 20, 'Quente ou Frio');
INSERT INTO `lang_definitions` VALUES (74305, 2791, 20, 'Hebraico');
INSERT INTO `lang_definitions` VALUES (74306, 2793, 20, 'HEENT');
INSERT INTO `lang_definitions` VALUES (74307, 2794, 20, 'Altura');
INSERT INTO `lang_definitions` VALUES (74308, 2796, 20, 'Ajuda');
INSERT INTO `lang_definitions` VALUES (74309, 2797, 20, 'ajuda');
INSERT INTO `lang_definitions` VALUES (74310, 2798, 20, 'Hematêmese');
INSERT INTO `lang_definitions` VALUES (74311, 2799, 20, 'Hematoquezia');
INSERT INTO `lang_definitions` VALUES (74312, 2800, 20, 'Hematológico');
INSERT INTO `lang_definitions` VALUES (74313, 2801, 20, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (74314, 2802, 20, 'Hemoglobina');
INSERT INTO `lang_definitions` VALUES (74315, 2804, 20, 'Hemoptise');
INSERT INTO `lang_definitions` VALUES (74316, 2805, 20, 'Hepatite');
INSERT INTO `lang_definitions` VALUES (74317, 2806, 20, 'Hepatite A 1');
INSERT INTO `lang_definitions` VALUES (74318, 2807, 20, 'Hepatite A 2');
INSERT INTO `lang_definitions` VALUES (74319, 2808, 20, 'Hepatite B 1');
INSERT INTO `lang_definitions` VALUES (74320, 2809, 20, 'Hepatite B 2');
INSERT INTO `lang_definitions` VALUES (74321, 2810, 20, 'Hepatite B 3');
INSERT INTO `lang_definitions` VALUES (74322, 2811, 20, 'aqui');
INSERT INTO `lang_definitions` VALUES (74323, 2813, 20, 'Hernia Repair');
INSERT INTO `lang_definitions` VALUES (74324, 2814, 20, 'Hérnia de disco');
INSERT INTO `lang_definitions` VALUES (74325, 2815, 20, 'Herpes');
INSERT INTO `lang_definitions` VALUES (74326, 2816, 20, 'Hesitação');
INSERT INTO `lang_definitions` VALUES (74327, 2817, 20, 'Olá. Você está por aqui há ');
INSERT INTO `lang_definitions` VALUES (74328, 2818, 20, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (74329, 2819, 20, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (74330, 2820, 20, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (74331, 2821, 20, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (74332, 2822, 20, 'Oculto');
INSERT INTO `lang_definitions` VALUES (74333, 2823, 20, 'Administração de Eventos Ocultos');
INSERT INTO `lang_definitions` VALUES (74334, 2824, 20, 'Ocultar');
INSERT INTO `lang_definitions` VALUES (74335, 2825, 20, 'Ocultar Detalhes');
INSERT INTO `lang_definitions` VALUES (74336, 2833, 20, 'Alto');
INSERT INTO `lang_definitions` VALUES (74337, 2834, 20, 'Alta Pressão Sanguínea');
INSERT INTO `lang_definitions` VALUES (74338, 2836, 20, 'anca + virilha');
INSERT INTO `lang_definitions` VALUES (74339, 2837, 20, 'anca e virilha');
INSERT INTO `lang_definitions` VALUES (74340, 2838, 20, 'Problemas no anca');
INSERT INTO `lang_definitions` VALUES (74341, 2839, 20, 'anca Replacement');
INSERT INTO `lang_definitions` VALUES (74342, 2840, 20, 'HIPAA Aviso Recebido');
INSERT INTO `lang_definitions` VALUES (74343, 2842, 20, 'Hirsutismo / Estrias');
INSERT INTO `lang_definitions` VALUES (74344, 2843, 20, 'Hispânico');
INSERT INTO `lang_definitions` VALUES (74345, 2847, 20, 'Histórico');
INSERT INTO `lang_definitions` VALUES (74346, 2848, 20, 'Dados Históricos');
INSERT INTO `lang_definitions` VALUES (74347, 2851, 20, 'História Murmur');
INSERT INTO `lang_definitions` VALUES (74348, 2853, 20, 'History of Heart Murmur');
INSERT INTO `lang_definitions` VALUES (74349, 2855, 20, 'HIV');
INSERT INTO `lang_definitions` VALUES (74350, 2858, 20, 'HL7 Viewer');
INSERT INTO `lang_definitions` VALUES (74351, 2862, 20, 'Segure a tecla [Ctrl] para seleção múltipla ou desfazer seleção');
INSERT INTO `lang_definitions` VALUES (74352, 2863, 20, 'Segue a tecla [Ctrl] para selecionar múltiplos itens');
INSERT INTO `lang_definitions` VALUES (74353, 2864, 20, 'Segure a tecla [Ctrl] para selecionar vários esquadrões');
INSERT INTO `lang_definitions` VALUES (74354, 2865, 20, 'Início');
INSERT INTO `lang_definitions` VALUES (74355, 2866, 20, 'Telefone Residencial');
INSERT INTO `lang_definitions` VALUES (74356, 2867, 20, 'Número de telefone residencial');
INSERT INTO `lang_definitions` VALUES (74357, 2868, 20, 'Sem-teto ou similar?');
INSERT INTO `lang_definitions` VALUES (74358, 2869, 20, 'Sem-teto, etc');
INSERT INTO `lang_definitions` VALUES (74359, 2870, 20, 'Sem-teto, etc.');
INSERT INTO `lang_definitions` VALUES (74360, 2876, 20, 'Horas');
INSERT INTO `lang_definitions` VALUES (74361, 2878, 20, 'Como a Lesão Ocorreu?');
INSERT INTO `lang_definitions` VALUES (74362, 2879, 20, 'Como a Lesão Ocorreu?:');
INSERT INTO `lang_definitions` VALUES (74363, 2881, 20, 'Quantos meses à frente para consultar os próximos eventos?');
INSERT INTO `lang_definitions` VALUES (74364, 2882, 20, 'HPI:');
INSERT INTO `lang_definitions` VALUES (74365, 2884, 20, 'HTML');
INSERT INTO `lang_definitions` VALUES (74366, 2892, 20, 'Hiperatividade');
INSERT INTO `lang_definitions` VALUES (74367, 2893, 20, 'Hipertensão');
INSERT INTO `lang_definitions` VALUES (74368, 2896, 20, 'Hipertireoidismo');
INSERT INTO `lang_definitions` VALUES (74369, 2897, 20, 'Hipotireoidismo');
INSERT INTO `lang_definitions` VALUES (74370, 2898, 20, 'Histerectomia');
INSERT INTO `lang_definitions` VALUES (74371, 2899, 20, 'I');
INSERT INTO `lang_definitions` VALUES (74372, 2900, 20, 'Estou ocupado durante esse tempo.');
INSERT INTO `lang_definitions` VALUES (74373, 2901, 20, 'Eu não tenho permissão para ler ');
INSERT INTO `lang_definitions` VALUES (74374, 2902, 20, 'CID');
INSERT INTO `lang_definitions` VALUES (74375, 2905, 20, 'CID9');
INSERT INTO `lang_definitions` VALUES (74376, 2909, 20, 'RG');
INSERT INTO `lang_definitions` VALUES (74377, 2911, 20, 'Identificação não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (74378, 2913, 20, 'IDays');
INSERT INTO `lang_definitions` VALUES (74379, 2914, 20, 'logado como');
INSERT INTO `lang_definitions` VALUES (74380, 2915, 20, '(Identificador de uma palavra)');
INSERT INTO `lang_definitions` VALUES (74381, 2919, 20, 'Se todos os dados para todas as colunas são completos para este formulário');
INSERT INTO `lang_definitions` VALUES (74382, 2922, 20, 'Se o nome, qualquer parte do apelido, ou sobrenome, nome');
INSERT INTO `lang_definitions` VALUES (74383, 2923, 20, 'Se pagar por');
INSERT INTO `lang_definitions` VALUES (74384, 2927, 20, 'Se desempregado entra Estudante');
INSERT INTO `lang_definitions` VALUES (74385, 2931, 20, 'Se você tiver escolhido para carregar as remessas eletrônicas, em seguida, a janela de pesquisa redisplays com as faturas correspondentes a partir do arquivo X12. Você pode clicar em qualquer um destes números de fatura (como descrito abaixo) se você deseja fazer as correções antes do envio de informações é aplicada. Para aplicar as alterações, clique no botão Arquivo Processo ERA, na parte inferior da página. Isto produzirá uma nova janela com um relatório detalhado.');
INSERT INTO `lang_definitions` VALUES (74386, 2932, 20, 'Se você digitou uma data de pagamento na página de pesquisa, esta irá substituir a data de lançamento de pagamentos e ajustes que são de outra tiradas do arquivo X12. Isso pode ser útil para fins de notificação, se você quiser que o seu relatório de receitas para usar a sua data de lançamento, em vez de a companhia de seguros da data de processamento. Note que isso vai afetar também as datas de pagamentos, antes e ajustes que são postos em créditos secundário.');
INSERT INTO `lang_definitions` VALUES (74387, 2933, 20, 'Se pretender alterar os tipos de dados, ou adicionar linhas ou colunas');
INSERT INTO `lang_definitions` VALUES (74388, 2937, 20, 'Doença');
INSERT INTO `lang_definitions` VALUES (74389, 2938, 20, 'IM');
INSERT INTO `lang_definitions` VALUES (74390, 2942, 20, 'Vacinação');
INSERT INTO `lang_definitions` VALUES (74391, 2947, 20, 'Lote Número da Vacina');
INSERT INTO `lang_definitions` VALUES (74392, 2948, 20, 'Fabricante da Vacina');
INSERT INTO `lang_definitions` VALUES (74393, 2953, 20, 'Vacinas');
INSERT INTO `lang_definitions` VALUES (74394, 2954, 20, 'Vacinar');
INSERT INTO `lang_definitions` VALUES (74395, 2955, 20, 'Imunológicos');
INSERT INTO `lang_definitions` VALUES (74396, 2956, 20, 'Implantes');
INSERT INTO `lang_definitions` VALUES (74397, 2957, 20, 'Importar');
INSERT INTO `lang_definitions` VALUES (74398, 2961, 20, 'Importar certificado p/ o browser.');
INSERT INTO `lang_definitions` VALUES (74399, 2962, 20, 'Importar configuração');
INSERT INTO `lang_definitions` VALUES (74400, 2964, 20, 'Paciente de Importação');
INSERT INTO `lang_definitions` VALUES (74401, 2965, 20, 'Importar Informações do Paciente');
INSERT INTO `lang_definitions` VALUES (74402, 2969, 20, 'Importado da Contabilidade');
INSERT INTO `lang_definitions` VALUES (74403, 2972, 20, 'Melhoria');
INSERT INTO `lang_definitions` VALUES (74404, 2973, 20, 'em');
INSERT INTO `lang_definitions` VALUES (74405, 2974, 20, 'EM');
INSERT INTO `lang_definitions` VALUES (74406, 2975, 20, 'em cada olho');
INSERT INTO `lang_definitions` VALUES (74407, 2976, 20, 'no olho esquerdo');
INSERT INTO `lang_definitions` VALUES (74408, 2977, 20, 'na narina');
INSERT INTO `lang_definitions` VALUES (74409, 2978, 20, 'Na Clínica - Disponível');
INSERT INTO `lang_definitions` VALUES (74410, 2979, 20, 'no olho direito');
INSERT INTO `lang_definitions` VALUES (74411, 2980, 20, 'em casa');
INSERT INTO `lang_definitions` VALUES (74412, 2981, 20, 'Inativo');
INSERT INTO `lang_definitions` VALUES (74413, 2982, 20, 'Inativo Dias');
INSERT INTO `lang_definitions` VALUES (74414, 2988, 20, 'Incluir os usuários inativos');
INSERT INTO `lang_definitions` VALUES (74415, 2989, 20, 'Incluir Uncategorized');
INSERT INTO `lang_definitions` VALUES (74416, 2991, 20, 'Incluir dados vitais');
INSERT INTO `lang_definitions` VALUES (74417, 2992, 20, 'Incluir dados vitais?');
INSERT INTO `lang_definitions` VALUES (74418, 2994, 20, 'Renda');
INSERT INTO `lang_definitions` VALUES (74419, 2997, 20, 'Aborto incompleto Tratamento');
INSERT INTO `lang_definitions` VALUES (74420, 2998, 20, 'Incontinência');
INSERT INTO `lang_definitions` VALUES (74421, 3001, 20, 'aumentou:');
INSERT INTO `lang_definitions` VALUES (74422, 3002, 20, 'Seguro de Indenização');
INSERT INTO `lang_definitions` VALUES (74423, 3003, 20, 'Indeterminado');
INSERT INTO `lang_definitions` VALUES (74424, 3005, 20, 'Indica anormalidade');
INSERT INTO `lang_definitions` VALUES (74425, 3006, 20, 'Indica se este problema está atualmente ativo');
INSERT INTO `lang_definitions` VALUES (74426, 3010, 20, 'Indigentes pacientes relatam');
INSERT INTO `lang_definitions` VALUES (74427, 3011, 20, 'Indigentes');
INSERT INTO `lang_definitions` VALUES (74428, 3014, 20, 'Aborto induzido');
INSERT INTO `lang_definitions` VALUES (74429, 3017, 20, 'Infecção / Abscesso');
INSERT INTO `lang_definitions` VALUES (74430, 3018, 20, 'Infecções');
INSERT INTO `lang_definitions` VALUES (74431, 3019, 20, 'Infertil Couns');
INSERT INTO `lang_definitions` VALUES (74432, 3020, 20, 'Infertilidade');
INSERT INTO `lang_definitions` VALUES (74433, 3021, 20, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (74434, 3022, 20, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (74435, 3026, 20, 'Info');
INSERT INTO `lang_definitions` VALUES (74436, 3027, 20, 'Info teste 1');
INSERT INTO `lang_definitions` VALUES (74437, 3028, 20, 'Info teste 2');
INSERT INTO `lang_definitions` VALUES (74438, 3029, 20, 'Info teste 3');
INSERT INTO `lang_definitions` VALUES (74439, 3030, 20, 'Info teste 4');
INSERT INTO `lang_definitions` VALUES (74440, 3031, 20, 'Info teste 5');
INSERT INTO `lang_definitions` VALUES (74441, 3032, 20, 'Info teste 6');
INSERT INTO `lang_definitions` VALUES (74442, 3034, 20, 'inalações');
INSERT INTO `lang_definitions` VALUES (74443, 3035, 20, 'inhilations');
INSERT INTO `lang_definitions` VALUES (74444, 3037, 20, 'Usuário inicial');
INSERT INTO `lang_definitions` VALUES (74445, 3039, 20, 'Injetáveis');
INSERT INTO `lang_definitions` VALUES (74446, 3040, 20, 'Injeção');
INSERT INTO `lang_definitions` VALUES (74447, 3042, 20, 'Feridos Out');
INSERT INTO `lang_definitions` VALUES (74448, 3043, 20, 'Lesão');
INSERT INTO `lang_definitions` VALUES (74449, 3044, 20, 'Mecanismo de lesão');
INSERT INTO `lang_definitions` VALUES (74450, 3045, 20, 'Lesão relatório geral');
INSERT INTO `lang_definitions` VALUES (74451, 3046, 20, 'Vigilância de Lesões');
INSERT INTO `lang_definitions` VALUES (74452, 3047, 20, 'Tipo de lesão');
INSERT INTO `lang_definitions` VALUES (74453, 3051, 20, 'Input Fields');
INSERT INTO `lang_definitions` VALUES (74454, 3056, 20, 'Ins ajustar');
INSERT INTO `lang_definitions` VALUES (74455, 3057, 20, 'Ins agregação');
INSERT INTO `lang_definitions` VALUES (74456, 3061, 20, 'Ins excesso');
INSERT INTO `lang_definitions` VALUES (74457, 3063, 20, 'Restituição Ins');
INSERT INTO `lang_definitions` VALUES (74458, 3064, 20, 'Ins Resumo');
INSERT INTO `lang_definitions` VALUES (74459, 3065, 20, 'Ins1');
INSERT INTO `lang_definitions` VALUES (74460, 3066, 20, 'Ins2');
INSERT INTO `lang_definitions` VALUES (74461, 3067, 20, 'Ins3');
INSERT INTO `lang_definitions` VALUES (74462, 3069, 20, 'Inserir falhou: ');
INSERT INTO `lang_definitions` VALUES (74463, 3070, 20, 'Inserir eventos antigos em tabelas');
INSERT INTO `lang_definitions` VALUES (74464, 3072, 20, 'Insonia');
INSERT INTO `lang_definitions` VALUES (74465, 3074, 20, 'Inspeção');
INSERT INTO `lang_definitions` VALUES (74466, 3075, 20, 'Instabilidade / subluxação');
INSERT INTO `lang_definitions` VALUES (74467, 3079, 20, 'instalar DB');
INSERT INTO `lang_definitions` VALUES (74468, 3081, 20, 'Instruída');
INSERT INTO `lang_definitions` VALUES (74469, 3084, 20, 'Instruções:');
INSERT INTO `lang_definitions` VALUES (74470, 3086, 20, 'Insulino-dependente');
INSERT INTO `lang_definitions` VALUES (74471, 3087, 20, 'Seguros');
INSERT INTO `lang_definitions` VALUES (74472, 3088, 20, 'seguro');
INSERT INTO `lang_definitions` VALUES (74473, 3094, 20, 'Seguradoras');
INSERT INTO `lang_definitions` VALUES (74474, 3095, 20, 'Companhia de Seguros');
INSERT INTO `lang_definitions` VALUES (74475, 3096, 20, 'Companhia de Seguros de Pesquisa / Adicionar');
INSERT INTO `lang_definitions` VALUES (74476, 3098, 20, 'Dados Seguros');
INSERT INTO `lang_definitions` VALUES (74477, 3100, 20, 'Seguros Números');
INSERT INTO `lang_definitions` VALUES (74478, 3103, 20, 'Operadora de Seguros');
INSERT INTO `lang_definitions` VALUES (74479, 3107, 20, 'Ingestão de Conclusão');
INSERT INTO `lang_definitions` VALUES (74480, 3108, 20, 'Data de admissão');
INSERT INTO `lang_definitions` VALUES (74481, 3109, 20, 'Declínio Intelectual');
INSERT INTO `lang_definitions` VALUES (74482, 3113, 20, 'Erro interno - sem páginas foram selecionados!');
INSERT INTO `lang_definitions` VALUES (74483, 3114, 20, 'Erro interno - identificação do paciente não foi fornecida!');
INSERT INTO `lang_definitions` VALUES (74484, 3115, 20, 'Interno erro ao aceder ao ficheiro uploaded!');
INSERT INTO `lang_definitions` VALUES (74485, 3116, 20, 'Erro interno!');
INSERT INTO `lang_definitions` VALUES (74486, 3117, 20, 'Erro interno, nenhuma droga ID especificado!');
INSERT INTO `lang_definitions` VALUES (74487, 3119, 20, 'Erro interno: reclamação ');
INSERT INTO `lang_definitions` VALUES (74488, 3120, 20, 'Erro interno: consulta \'');
INSERT INTO `lang_definitions` VALUES (74489, 3121, 20, 'Erro interno: PID ou Consulta está faltando.');
INSERT INTO `lang_definitions` VALUES (74490, 3123, 20, 'Interno Identifier (PID)');
INSERT INTO `lang_definitions` VALUES (74491, 3126, 20, 'Interno Referências');
INSERT INTO `lang_definitions` VALUES (74492, 3128, 20, 'Direito Internacional');
INSERT INTO `lang_definitions` VALUES (74493, 3129, 20, 'Intérprete');
INSERT INTO `lang_definitions` VALUES (74494, 3130, 20, 'Interpreter needed?');
INSERT INTO `lang_definitions` VALUES (74495, 3131, 20, 'Interstitial Lung Disease');
INSERT INTO `lang_definitions` VALUES (74496, 3132, 20, 'Intervalo');
INSERT INTO `lang_definitions` VALUES (74497, 3137, 20, 'Intolerância');
INSERT INTO `lang_definitions` VALUES (74498, 3139, 20, 'intramuscular');
INSERT INTO `lang_definitions` VALUES (74499, 3140, 20, 'intravenosa');
INSERT INTO `lang_definitions` VALUES (74500, 3141, 20, 'Introdução');
INSERT INTO `lang_definitions` VALUES (74501, 3149, 20, 'Inválido ou faltando ordenante na fonte para o código ');
INSERT INTO `lang_definitions` VALUES (74502, 3151, 20, 'Invalid Service Códigos');
INSERT INTO `lang_definitions` VALUES (74503, 3152, 20, 'Invalid denominação de origem \"\"');
INSERT INTO `lang_definitions` VALUES (74504, 3154, 20, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (74505, 3155, 20, 'Inventário');
INSERT INTO `lang_definitions` VALUES (74506, 3159, 20, 'Inventário não está disponível para este fim.');
INSERT INTO `lang_definitions` VALUES (74507, 3160, 20, 'Inventário');
INSERT INTO `lang_definitions` VALUES (74508, 3162, 20, 'Fatura');
INSERT INTO `lang_definitions` VALUES (74509, 3163, 20, 'fatura');
INSERT INTO `lang_definitions` VALUES (74510, 3166, 20, 'Data da fatura');
INSERT INTO `lang_definitions` VALUES (74511, 3167, 20, 'Fatura não tem data!');
INSERT INTO `lang_definitions` VALUES (74512, 3173, 20, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (74513, 3177, 20, 'IPPF SRH dados para');
INSERT INTO `lang_definitions` VALUES (74514, 3178, 20, 'IPPF Relatório de Estatísticas');
INSERT INTO `lang_definitions` VALUES (74515, 3180, 20, 'VPI 1');
INSERT INTO `lang_definitions` VALUES (74516, 3181, 20, 'VPI 2');
INSERT INTO `lang_definitions` VALUES (74517, 3182, 20, 'VPI 3');
INSERT INTO `lang_definitions` VALUES (74518, 3183, 20, 'VPI 4');
INSERT INTO `lang_definitions` VALUES (74519, 3185, 20, 'Batimento cardíaco irregular');
INSERT INTO `lang_definitions` VALUES (74520, 3186, 20, 'Irritabilidade');
INSERT INTO `lang_definitions` VALUES (74521, 3187, 20, 'Irritação');
INSERT INTO `lang_definitions` VALUES (74522, 3191, 20, 'é um campo obrigatório.');
INSERT INTO `lang_definitions` VALUES (74523, 3192, 20, 'é um nó raiz e não pode ser excluído.');
INSERT INTO `lang_definitions` VALUES (74524, 3197, 20, 'não é válida (frações decimais são OK).');
INSERT INTO `lang_definitions` VALUES (74525, 3198, 20, 'PHP é utilizando o modo de segurança?');
INSERT INTO `lang_definitions` VALUES (74526, 3216, 20, 'Problema');
INSERT INTO `lang_definitions` VALUES (74527, 3217, 20, 'problema');
INSERT INTO `lang_definitions` VALUES (74528, 3223, 20, 'Questões');
INSERT INTO `lang_definitions` VALUES (74529, 3225, 20, 'Ocorrências (Lesões / Medical / Alergia):');
INSERT INTO `lang_definitions` VALUES (74530, 3226, 20, 'Questões e Consultas');
INSERT INTO `lang_definitions` VALUES (74531, 3227, 20, 'Questões e Consultas para');
INSERT INTO `lang_definitions` VALUES (74532, 3228, 20, 'Questões não autorizado');
INSERT INTO `lang_definitions` VALUES (74533, 3229, 20, 'A seção');
INSERT INTO `lang_definitions` VALUES (74534, 3231, 20, 'Item');
INSERT INTO `lang_definitions` VALUES (74535, 3232, 20, 'item');
INSERT INTO `lang_definitions` VALUES (74536, 3234, 20, 'Carregar itens não');
INSERT INTO `lang_definitions` VALUES (74537, 3236, 20, 'DIU');
INSERT INTO `lang_definitions` VALUES (74538, 3237, 20, 'IV');
INSERT INTO `lang_definitions` VALUES (74539, 3239, 20, 'Janeiro');
INSERT INTO `lang_definitions` VALUES (74540, 3241, 20, 'Icterícia');
INSERT INTO `lang_definitions` VALUES (74541, 3243, 20, 'Especialidade');
INSERT INTO `lang_definitions` VALUES (74542, 3244, 20, 'Job ID');
INSERT INTO `lang_definitions` VALUES (74543, 3245, 20, 'Luxações articulares');
INSERT INTO `lang_definitions` VALUES (74544, 3246, 20, 'Dor nas Articulações');
INSERT INTO `lang_definitions` VALUES (74545, 3247, 20, 'Entorses Comum');
INSERT INTO `lang_definitions` VALUES (74546, 3249, 20, 'Julho');
INSERT INTO `lang_definitions` VALUES (74547, 3251, 20, 'Junho');
INSERT INTO `lang_definitions` VALUES (74548, 3252, 20, 'Logo abaixo as informações de seleção é uma área azul onde você colocou em seus parâmetros de busca. Você pode pesquisar por nome do paciente, número de registro, número ou a data da Consulta de serviço, ou qualquer combinação destes. Você também pode selecionar se você quiser ver todas as notas fiscais, faturas em aberto, ou que são apenas faturas devidas (pelo paciente). Clique no botão Procurar para executar a pesquisa.');
INSERT INTO `lang_definitions` VALUES (74549, 3253, 20, 'Somente Minhas');
INSERT INTO `lang_definitions` VALUES (74550, 3255, 20, 'Justificar');
INSERT INTO `lang_definitions` VALUES (74551, 3256, 20, 'Justificar / Save');
INSERT INTO `lang_definitions` VALUES (74552, 3258, 20, 'ok, aqui está o resto');
INSERT INTO `lang_definitions` VALUES (74553, 3265, 20, 'Palavras-chave');
INSERT INTO `lang_definitions` VALUES (74554, 3266, 20, 'kg');
INSERT INTO `lang_definitions` VALUES (74555, 3267, 20, 'kg / m ^ 2');
INSERT INTO `lang_definitions` VALUES (74556, 3269, 20, 'Kidney Cancer');
INSERT INTO `lang_definitions` VALUES (74557, 3270, 20, 'Insuficiência Renal');
INSERT INTO `lang_definitions` VALUES (74558, 3271, 20, 'Infecções do Rim');
INSERT INTO `lang_definitions` VALUES (74559, 3272, 20, 'Pedras nos rins');
INSERT INTO `lang_definitions` VALUES (74560, 3273, 20, 'Transplante renal');
INSERT INTO `lang_definitions` VALUES (74561, 3277, 20, 'Joelho');
INSERT INTO `lang_definitions` VALUES (74562, 3278, 20, 'Problemas do Joelho');
INSERT INTO `lang_definitions` VALUES (74563, 3279, 20, 'Recolocação do joelho');
INSERT INTO `lang_definitions` VALUES (74564, 3286, 20, 'Lab');
INSERT INTO `lang_definitions` VALUES (74565, 3295, 20, 'Lab Report');
INSERT INTO `lang_definitions` VALUES (74566, 3303, 20, 'Rótulo');
INSERT INTO `lang_definitions` VALUES (74567, 3304, 20, 'Rótulo não pode estar em branco');
INSERT INTO `lang_definitions` VALUES (74568, 3305, 20, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (74569, 3307, 20, 'LabelCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (74570, 3308, 20, 'Labels');
INSERT INTO `lang_definitions` VALUES (74571, 3311, 20, 'Labs');
INSERT INTO `lang_definitions` VALUES (74572, 3312, 20, 'Laceração condição de pele /');
INSERT INTO `lang_definitions` VALUES (74573, 3313, 20, 'Laceração / abrasão');
INSERT INTO `lang_definitions` VALUES (74574, 3316, 20, 'Linguagem');
INSERT INTO `lang_definitions` VALUES (74575, 3317, 20, 'Código de idioma');
INSERT INTO `lang_definitions` VALUES (74576, 3318, 20, 'Definição de linguagem acrescentado');
INSERT INTO `lang_definitions` VALUES (74577, 3319, 20, 'Language Interface Tool');
INSERT INTO `lang_definitions` VALUES (74578, 3320, 20, 'Lista de Língua (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (74579, 3321, 20, 'Nome Language');
INSERT INTO `lang_definitions` VALUES (74580, 3322, 20, 'Idioma:');
INSERT INTO `lang_definitions` VALUES (74581, 3325, 20, 'Último');
INSERT INTO `lang_definitions` VALUES (74582, 3326, 20, 'Data Última');
INSERT INTO `lang_definitions` VALUES (74583, 3328, 20, 'Data da última fatura:');
INSERT INTO `lang_definitions` VALUES (74584, 3333, 20, 'Última Consulta');
INSERT INTO `lang_definitions` VALUES (74585, 3344, 20, 'Sobrenome');
INSERT INTO `lang_definitions` VALUES (74586, 3345, 20, 'Sobrenome');
INSERT INTO `lang_definitions` VALUES (74587, 3346, 20, 'Sobrenome');
INSERT INTO `lang_definitions` VALUES (74588, 3352, 20, 'Last Saved');
INSERT INTO `lang_definitions` VALUES (74589, 3356, 20, 'Última atualização por');
INSERT INTO `lang_definitions` VALUES (74590, 3358, 20, 'Sua última visita');
INSERT INTO `lang_definitions` VALUES (74591, 3360, 20, 'A recorrência tardia (2-12 Mo)');
INSERT INTO `lang_definitions` VALUES (74592, 3361, 20, 'Do maléolo lateral');
INSERT INTO `lang_definitions` VALUES (74593, 3362, 20, 'Maléolo lateral:');
INSERT INTO `lang_definitions` VALUES (74594, 3365, 20, 'deslocada lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (74595, 3373, 20, 'Layout Baseado');
INSERT INTO `lang_definitions` VALUES (74596, 3374, 20, 'Editor de Layout');
INSERT INTO `lang_definitions` VALUES (74597, 3375, 20, 'Grupos Layout');
INSERT INTO `lang_definitions` VALUES (74598, 3378, 20, 'Layout baseado Visite Formulários');
INSERT INTO `lang_definitions` VALUES (74599, 3379, 20, 'Layouts');
INSERT INTO `lang_definitions` VALUES (74600, 3380, 20, 'lb');
INSERT INTO `lang_definitions` VALUES (74601, 3381, 20, 'lbs');
INSERT INTO `lang_definitions` VALUES (74602, 3382, 20, 'LDL');
INSERT INTO `lang_definitions` VALUES (74603, 3383, 20, 'deixe em branco se ainda está ativo');
INSERT INTO `lang_definitions` VALUES (74604, 3385, 20, 'Deixe em branco para manter inalterada a senha.');
INSERT INTO `lang_definitions` VALUES (74605, 3386, 20, 'Deixar recado com');
INSERT INTO `lang_definitions` VALUES (74606, 3387, 20, 'Deixe o formulário');
INSERT INTO `lang_definitions` VALUES (74607, 3390, 20, 'Esquerdo');
INSERT INTO `lang_definitions` VALUES (74608, 3391, 20, 'Orelha Esquerda');
INSERT INTO `lang_definitions` VALUES (74609, 3392, 20, 'orelha esquerda');
INSERT INTO `lang_definitions` VALUES (74610, 3394, 20, 'Esquerda:');
INSERT INTO `lang_definitions` VALUES (74611, 3395, 20, 'Esquerda: ');
INSERT INTO `lang_definitions` VALUES (74612, 3396, 20, 'Dor na Perna / cólicas');
INSERT INTO `lang_definitions` VALUES (74613, 3397, 20, 'Legal');
INSERT INTO `lang_definitions` VALUES (74614, 3400, 20, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (74615, 3401, 20, 'Comprimento');
INSERT INTO `lang_definitions` VALUES (74616, 3405, 20, 'Menos de informações privado (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (74617, 3406, 20, 'Carta');
INSERT INTO `lang_definitions` VALUES (74618, 3407, 20, 'Letter Generator');
INSERT INTO `lang_definitions` VALUES (74619, 3411, 20, 'Nível de urgência');
INSERT INTO `lang_definitions` VALUES (74620, 3412, 20, 'Responsabilidade');
INSERT INTO `lang_definitions` VALUES (74621, 3413, 20, 'Responsabilidade Médica');
INSERT INTO `lang_definitions` VALUES (74622, 3414, 20, 'RG');
INSERT INTO `lang_definitions` VALUES (74623, 3423, 20, 'Hábitos');
INSERT INTO `lang_definitions` VALUES (74624, 3425, 20, 'Ligamento lágrima ou entorse');
INSERT INTO `lang_definitions` VALUES (74625, 3428, 20, 'Limite de Eventos');
INSERT INTO `lang_definitions` VALUES (74626, 3438, 20, 'Lista');
INSERT INTO `lang_definitions` VALUES (74627, 3439, 20, 'Caixa de lista');
INSERT INTO `lang_definitions` VALUES (74628, 3440, 20, 'caixa de lista');
INSERT INTO `lang_definitions` VALUES (74629, 3441, 20, 'w caixa de lista / add');
INSERT INTO `lang_definitions` VALUES (74630, 3442, 20, 'W Lista de caixa / add');
INSERT INTO `lang_definitions` VALUES (74631, 3443, 20, 'List Editor');
INSERT INTO `lang_definitions` VALUES (74632, 3445, 20, 'Lista de grupos');
INSERT INTO `lang_definitions` VALUES (74633, 3446, 20, 'Seguradoras Lista');
INSERT INTO `lang_definitions` VALUES (74634, 3448, 20, 'Os itens da lista não pode começar com um número.');
INSERT INTO `lang_definitions` VALUES (74635, 3449, 20, 'Os itens da lista contém caracteres ilegais (s).');
INSERT INTO `lang_definitions` VALUES (74636, 3451, 20, 'Lista de listas');
INSERT INTO `lang_definitions` VALUES (74637, 3452, 20, 'Nome da lista');
INSERT INTO `lang_definitions` VALUES (74638, 3453, 20, 'Lista de nomes não podem começar com números.');
INSERT INTO `lang_definitions` VALUES (74639, 3454, 20, 'Prescrição List');
INSERT INTO `lang_definitions` VALUES (74640, 3458, 20, 'Listas');
INSERT INTO `lang_definitions` VALUES (74641, 3461, 20, 'LLL:');
INSERT INTO `lang_definitions` VALUES (74642, 3462, 20, 'LMP');
INSERT INTO `lang_definitions` VALUES (74643, 3464, 20, 'Definições de carga');
INSERT INTO `lang_definitions` VALUES (74644, 3470, 20, 'CARGA');
INSERT INTO `lang_definitions` VALUES (74645, 3472, 20, 'LOC');
INSERT INTO `lang_definitions` VALUES (74646, 3473, 20, 'Local');
INSERT INTO `lang_definitions` VALUES (74647, 3477, 20, 'Estado');
INSERT INTO `lang_definitions` VALUES (74648, 3478, 20, 'Local');
INSERT INTO `lang_definitions` VALUES (74649, 3481, 20, 'Localização não especificada');
INSERT INTO `lang_definitions` VALUES (74650, 3484, 20, 'Localização:');
INSERT INTO `lang_definitions` VALUES (74651, 3495, 20, 'Logado');
INSERT INTO `lang_definitions` VALUES (74652, 3496, 20, 'Logado como');
INSERT INTO `lang_definitions` VALUES (74653, 3497, 20, 'Logado como: ');
INSERT INTO `lang_definitions` VALUES (74654, 3498, 20, 'Desconectado.');
INSERT INTO `lang_definitions` VALUES (74655, 3500, 20, 'Login');
INSERT INTO `lang_definitions` VALUES (74656, 3501, 20, 'login');
INSERT INTO `lang_definitions` VALUES (74657, 3505, 20, 'Sair');
INSERT INTO `lang_definitions` VALUES (74658, 3506, 20, 'sair');
INSERT INTO `lang_definitions` VALUES (74659, 3507, 20, 'Históricos');
INSERT INTO `lang_definitions` VALUES (74660, 3508, 20, 'Históricos Viewer');
INSERT INTO `lang_definitions` VALUES (74661, 3510, 20, 'Look Up');
INSERT INTO `lang_definitions` VALUES (74662, 3511, 20, 'Lote');
INSERT INTO `lang_definitions` VALUES (74663, 3512, 20, 'Lote ID faltando!');
INSERT INTO `lang_definitions` VALUES (74664, 3513, 20, 'Número de lote');
INSERT INTO `lang_definitions` VALUES (74665, 3514, 20, 'Baixo');
INSERT INTO `lang_definitions` VALUES (74666, 3516, 20, 'Perna');
INSERT INTO `lang_definitions` VALUES (74667, 3519, 20, 'Coluna lombar');
INSERT INTO `lang_definitions` VALUES (74668, 3520, 20, 'Horário de Almoço');
INSERT INTO `lang_definitions` VALUES (74669, 3521, 20, 'Horário de Almoço');
INSERT INTO `lang_definitions` VALUES (74670, 3522, 20, 'Câncer de Pulmão');
INSERT INTO `lang_definitions` VALUES (74671, 3523, 20, 'Cirurgia de Câncer de Pulmão');
INSERT INTO `lang_definitions` VALUES (74672, 3524, 20, 'Pulmões:');
INSERT INTO `lang_definitions` VALUES (74673, 3525, 20, 'Pulmões:');
INSERT INTO `lang_definitions` VALUES (74674, 3526, 20, 'Lupus');
INSERT INTO `lang_definitions` VALUES (74675, 3528, 20, 'M');
INSERT INTO `lang_definitions` VALUES (74676, 3529, 20, 'MA Categoria');
INSERT INTO `lang_definitions` VALUES (74677, 3535, 20, 'Endereço principal');
INSERT INTO `lang_definitions` VALUES (74678, 3540, 20, 'Faça modificações categorias atuais.');
INSERT INTO `lang_definitions` VALUES (74679, 3542, 20, 'Certifique-se de \"\"');
INSERT INTO `lang_definitions` VALUES (74680, 3545, 20, 'Mal-estar:');
INSERT INTO `lang_definitions` VALUES (74681, 3548, 20, 'Masculino');
INSERT INTO `lang_definitions` VALUES (74682, 3549, 20, 'Preservativos Masculinos');
INSERT INTO `lang_definitions` VALUES (74683, 3550, 20, 'Masculino VSC');
INSERT INTO `lang_definitions` VALUES (74684, 3552, 20, 'Mamografia');
INSERT INTO `lang_definitions` VALUES (74685, 3557, 20, 'Gerenciamento');
INSERT INTO `lang_definitions` VALUES (74686, 3562, 20, 'Lançamento manual');
INSERT INTO `lang_definitions` VALUES (74687, 3563, 20, 'Fabricante');
INSERT INTO `lang_definitions` VALUES (74688, 3568, 20, 'Março');
INSERT INTO `lang_definitions` VALUES (74689, 3569, 20, 'Estado Civil');
INSERT INTO `lang_definitions` VALUES (74690, 3571, 20, 'Marcar como bico, mas pular de faturamento');
INSERT INTO `lang_definitions` VALUES (74691, 3572, 20, 'Marcar como Cleared');
INSERT INTO `lang_definitions` VALUES (74692, 3573, 20, 'Marcar como não faturado');
INSERT INTO `lang_definitions` VALUES (74693, 3575, 20, 'Marcado como apuradas');
INSERT INTO `lang_definitions` VALUES (74694, 3576, 20, 'Casado');
INSERT INTO `lang_definitions` VALUES (74695, 3594, 20, 'Maxilar direito:');
INSERT INTO `lang_definitions` VALUES (74696, 3603, 20, 'Maio');
INSERT INTO `lang_definitions` VALUES (74697, 3604, 20, 'MC');
INSERT INTO `lang_definitions` VALUES (74698, 3605, 20, 'mcg');
INSERT INTO `lang_definitions` VALUES (74699, 3612, 20, 'Maléolo medial:');
INSERT INTO `lang_definitions` VALUES (74700, 3613, 20, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (74701, 3614, 20, 'Medicina');
INSERT INTO `lang_definitions` VALUES (74702, 3615, 20, 'Aborto Medicinal');
INSERT INTO `lang_definitions` VALUES (74703, 3620, 20, 'Problema médico');
INSERT INTO `lang_definitions` VALUES (74704, 3623, 20, 'Anotações do Paciente');
INSERT INTO `lang_definitions` VALUES (74705, 3624, 20, 'Histórico');
INSERT INTO `lang_definitions` VALUES (74706, 3625, 20, 'Histórico #');
INSERT INTO `lang_definitions` VALUES (74707, 3626, 20, 'Registros Médicos');
INSERT INTO `lang_definitions` VALUES (74708, 3632, 20, 'Medicina / História (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (74709, 3633, 20, 'Medicare Part B');
INSERT INTO `lang_definitions` VALUES (74710, 3635, 20, 'Medicação');
INSERT INTO `lang_definitions` VALUES (74711, 3640, 20, 'Medicações');
INSERT INTO `lang_definitions` VALUES (74712, 3641, 20, 'Medicamentos:');
INSERT INTO `lang_definitions` VALUES (74713, 3642, 20, 'Unidades de Medicina');
INSERT INTO `lang_definitions` VALUES (74714, 3643, 20, 'Médio');
INSERT INTO `lang_definitions` VALUES (74715, 3645, 20, 'Membro da Associação Relatório de Estatísticas');
INSERT INTO `lang_definitions` VALUES (74716, 3646, 20, 'Problemas de memória');
INSERT INTO `lang_definitions` VALUES (74717, 3647, 20, 'Homens');
INSERT INTO `lang_definitions` VALUES (74718, 3648, 20, 'Homens e Mulheres');
INSERT INTO `lang_definitions` VALUES (74719, 3649, 20, 'Men Only');
INSERT INTO `lang_definitions` VALUES (74720, 3650, 20, 'Menarca');
INSERT INTO `lang_definitions` VALUES (74721, 3651, 20, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (74722, 3652, 20, 'Fluxo menstrual');
INSERT INTO `lang_definitions` VALUES (74723, 3653, 20, 'Menstrual Freqüência');
INSERT INTO `lang_definitions` VALUES (74724, 3654, 20, 'Doença Mental');
INSERT INTO `lang_definitions` VALUES (74725, 3661, 20, 'Mensagem');
INSERT INTO `lang_definitions` VALUES (74726, 3670, 20, 'MENSAGEM:');
INSERT INTO `lang_definitions` VALUES (74727, 3671, 20, 'Mensagens');
INSERT INTO `lang_definitions` VALUES (74728, 3673, 20, 'Método');
INSERT INTO `lang_definitions` VALUES (74729, 3676, 20, 'Método de Destruição');
INSERT INTO `lang_definitions` VALUES (74730, 3679, 20, 'mg');
INSERT INTO `lang_definitions` VALUES (74731, 3680, 20, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (74732, 3681, 20, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (74733, 3682, 20, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (74734, 3683, 20, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (74735, 3684, 20, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (74736, 3686, 20, 'Médio');
INSERT INTO `lang_definitions` VALUES (74737, 3687, 20, 'Nome do Meio');
INSERT INTO `lang_definitions` VALUES (74738, 3688, 20, 'Nome do meio');
INSERT INTO `lang_definitions` VALUES (74739, 3696, 20, 'Migrantes ou sazonal?');
INSERT INTO `lang_definitions` VALUES (74740, 3697, 20, 'Migrantes / Seasonal');
INSERT INTO `lang_definitions` VALUES (74741, 3702, 20, 'MimeType');
INSERT INTO `lang_definitions` VALUES (74742, 3704, 20, 'min');
INSERT INTO `lang_definitions` VALUES (74743, 3706, 20, 'Menor tensão comum + / - sinovite');
INSERT INTO `lang_definitions` VALUES (74744, 3709, 20, 'minutos');
INSERT INTO `lang_definitions` VALUES (74745, 3710, 20, 'Minutos');
INSERT INTO `lang_definitions` VALUES (74746, 3712, 20, 'Misc');
INSERT INTO `lang_definitions` VALUES (74747, 3713, 20, 'Opções de Pagamento Misc');
INSERT INTO `lang_definitions` VALUES (74748, 3714, 20, 'Opções de Faturamento Misc para HCFA-1500');
INSERT INTO `lang_definitions` VALUES (74749, 3715, 20, 'Faturamento Misc Opções HCFA');
INSERT INTO `lang_definitions` VALUES (74750, 3716, 20, 'Diversos');
INSERT INTO `lang_definitions` VALUES (74751, 3717, 20, 'Missed');
INSERT INTO `lang_definitions` VALUES (74752, 3720, 20, 'Missing Fee');
INSERT INTO `lang_definitions` VALUES (74753, 3723, 20, 'Missing PID.');
INSERT INTO `lang_definitions` VALUES (74754, 3725, 20, 'Missing barra depois ordenante na origem para o código ');
INSERT INTO `lang_definitions` VALUES (74755, 3726, 20, 'Mixed');
INSERT INTO `lang_definitions` VALUES (74756, 3727, 20, 'ml');
INSERT INTO `lang_definitions` VALUES (74757, 3729, 20, 'mm / Hg');
INSERT INTO `lang_definitions` VALUES (74758, 3731, 20, 'VASPR 1');
INSERT INTO `lang_definitions` VALUES (74759, 3732, 20, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (74760, 3733, 20, 'Móvel');
INSERT INTO `lang_definitions` VALUES (74761, 3734, 20, 'Telefone Celular');
INSERT INTO `lang_definitions` VALUES (74762, 3735, 20, 'Mod');
INSERT INTO `lang_definitions` VALUES (74763, 3741, 20, 'Modifier');
INSERT INTO `lang_definitions` VALUES (74764, 3753, 20, 'Seg');
INSERT INTO `lang_definitions` VALUES (74765, 3754, 20, 'Seg à Sex');
INSERT INTO `lang_definitions` VALUES (74766, 3755, 20, 'Seg, Qua e Sex');
INSERT INTO `lang_definitions` VALUES (74767, 3756, 20, 'Segunda-feira');
INSERT INTO `lang_definitions` VALUES (74768, 3758, 20, 'Mês');
INSERT INTO `lang_definitions` VALUES (74769, 3759, 20, 'mês');
INSERT INTO `lang_definitions` VALUES (74770, 3760, 20, 'Ver mês');
INSERT INTO `lang_definitions` VALUES (74771, 3761, 20, 'Mês (s)');
INSERT INTO `lang_definitions` VALUES (74772, 3762, 20, 'Renda Mensal');
INSERT INTO `lang_definitions` VALUES (74773, 3765, 20, 'Mais de 100 registros encontrados. Restrinja a sua pesquisa.');
INSERT INTO `lang_definitions` VALUES (74774, 3766, 20, 'Mais de 50 resultados, por favor faça sua busca mais específica.');
INSERT INTO `lang_definitions` VALUES (74775, 3771, 20, 'Mãe');
INSERT INTO `lang_definitions` VALUES (74776, 3774, 20, 'Boca');
INSERT INTO `lang_definitions` VALUES (74777, 3775, 20, 'Mover');
INSERT INTO `lang_definitions` VALUES (74778, 3776, 20, 'Mover documento para a categoria:');
INSERT INTO `lang_definitions` VALUES (74779, 3777, 20, 'Mover para baixo');
INSERT INTO `lang_definitions` VALUES (74780, 3779, 20, 'Mover-se para Paciente');
INSERT INTO `lang_definitions` VALUES (74781, 3780, 20, 'Mover para...');
INSERT INTO `lang_definitions` VALUES (74782, 3781, 20, 'Mover para cima');
INSERT INTO `lang_definitions` VALUES (74783, 3783, 20, 'Sr.');
INSERT INTO `lang_definitions` VALUES (74784, 3785, 20, 'Sra.');
INSERT INTO `lang_definitions` VALUES (74785, 3786, 20, 'Srta.');
INSERT INTO `lang_definitions` VALUES (74786, 3796, 20, 'Ferramenta Multi Linguagens');
INSERT INTO `lang_definitions` VALUES (74787, 3797, 20, 'Várias áreas');
INSERT INTO `lang_definitions` VALUES (74788, 3803, 20, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (74789, 3804, 20, 'Musc Dor');
INSERT INTO `lang_definitions` VALUES (74790, 3805, 20, 'Musc Dores');
INSERT INTO `lang_definitions` VALUES (74791, 3806, 20, 'Vermelhidão Musc');
INSERT INTO `lang_definitions` VALUES (74792, 3807, 20, 'Musc Rigidez');
INSERT INTO `lang_definitions` VALUES (74793, 3808, 20, 'Musc Inchaço');
INSERT INTO `lang_definitions` VALUES (74794, 3809, 20, 'Warm Musc');
INSERT INTO `lang_definitions` VALUES (74795, 3810, 20, 'Músculo');
INSERT INTO `lang_definitions` VALUES (74796, 3811, 20, 'Lesão muscular');
INSERT INTO `lang_definitions` VALUES (74797, 3812, 20, 'Musculosqueléticas');
INSERT INTO `lang_definitions` VALUES (74798, 3814, 20, 'Definido mutuamente');
INSERT INTO `lang_definitions` VALUES (74799, 3815, 20, 'MVA');
INSERT INTO `lang_definitions` VALUES (74800, 3821, 20, 'N/A');
INSERT INTO `lang_definitions` VALUES (74801, 3822, 20, 'n/a');
INSERT INTO `lang_definitions` VALUES (74802, 3823, 20, 'Nome');
INSERT INTO `lang_definitions` VALUES (74803, 3825, 20, 'Nome (mais)');
INSERT INTO `lang_definitions` VALUES (74804, 3826, 20, 'Nome 1');
INSERT INTO `lang_definitions` VALUES (74805, 3827, 20, 'Nome 2');
INSERT INTO `lang_definitions` VALUES (74806, 3828, 20, 'Gerenciamento de Vacinas');
INSERT INTO `lang_definitions` VALUES (74807, 3831, 20, 'Nome de Eventos');
INSERT INTO `lang_definitions` VALUES (74808, 3832, 20, 'Nome da seguradora');
INSERT INTO `lang_definitions` VALUES (74809, 3833, 20, 'Nome da Operadora');
INSERT INTO `lang_definitions` VALUES (74810, 3835, 20, 'Tradução Nome');
INSERT INTO `lang_definitions` VALUES (74811, 3836, 20, 'Nome/Valor');
INSERT INTO `lang_definitions` VALUES (74812, 3837, 20, 'Nome:');
INSERT INTO `lang_definitions` VALUES (74813, 3838, 20, 'NARES:');
INSERT INTO `lang_definitions` VALUES (74814, 3839, 20, 'NARES: Direito Normal');
INSERT INTO `lang_definitions` VALUES (74815, 3840, 20, 'Mucosa nasal rosa, linha mediana de septo');
INSERT INTO `lang_definitions` VALUES (74816, 3844, 20, 'Nacionalidade');
INSERT INTO `lang_definitions` VALUES (74817, 3852, 20, 'Nauseas');
INSERT INTO `lang_definitions` VALUES (74818, 3854, 20, 'Navegação');
INSERT INTO `lang_definitions` VALUES (74819, 3862, 20, 'NDC');
INSERT INTO `lang_definitions` VALUES (74820, 3864, 20, 'Número do NDC');
INSERT INTO `lang_definitions` VALUES (74821, 3866, 20, 'Pescoço');
INSERT INTO `lang_definitions` VALUES (74822, 3867, 20, 'Problemas no pescoço');
INSERT INTO `lang_definitions` VALUES (74823, 3868, 20, 'Pescoço flexível');
INSERT INTO `lang_definitions` VALUES (74824, 3869, 20, 'Necessidade de introduzir uma descrição');
INSERT INTO `lang_definitions` VALUES (74825, 3870, 20, 'Necessidade de introduzir um valor de retorno');
INSERT INTO `lang_definitions` VALUES (74826, 3871, 20, 'Necessidade de introduzir identificador');
INSERT INTO `lang_definitions` VALUES (74827, 3872, 20, 'Necessidade de introduzir o título');
INSERT INTO `lang_definitions` VALUES (74828, 3873, 20, 'Necessidades Auth');
INSERT INTO `lang_definitions` VALUES (74829, 3874, 20, 'Necessidades Justify');
INSERT INTO `lang_definitions` VALUES (74830, 3875, 20, 'Necessidades de faturamento secundário');
INSERT INTO `lang_definitions` VALUES (74831, 3880, 20, 'A lesão nervosa');
INSERT INTO `lang_definitions` VALUES (74832, 3881, 20, 'Condição Neural / dano nervoso');
INSERT INTO `lang_definitions` VALUES (74833, 3882, 20, 'Neuro Dormência');
INSERT INTO `lang_definitions` VALUES (74834, 3883, 20, 'Fraqueza Neuro');
INSERT INTO `lang_definitions` VALUES (74835, 3884, 20, 'Neurológicas');
INSERT INTO `lang_definitions` VALUES (74836, 3888, 20, 'Novo');
INSERT INTO `lang_definitions` VALUES (74837, 3889, 20, 'Novo =>');
INSERT INTO `lang_definitions` VALUES (74838, 3890, 20, 'Nova Aceitadores');
INSERT INTO `lang_definitions` VALUES (74839, 3892, 20, 'Nova Alergia');
INSERT INTO `lang_definitions` VALUES (74840, 3894, 20, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (74841, 3895, 20, 'Novas Categorias');
INSERT INTO `lang_definitions` VALUES (74842, 3896, 20, 'Nova Categoria');
INSERT INTO `lang_definitions` VALUES (74843, 3897, 20, 'Novos pacientes');
INSERT INTO `lang_definitions` VALUES (74844, 3898, 20, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (74845, 3900, 20, 'Novo conjunto de definições adicionados');
INSERT INTO `lang_definitions` VALUES (74846, 3901, 20, 'Novo Documento');
INSERT INTO `lang_definitions` VALUES (74847, 3906, 20, 'Formulário de nova consulta');
INSERT INTO `lang_definitions` VALUES (74848, 3907, 20, 'Nova consulta não autorizada');
INSERT INTO `lang_definitions` VALUES (74849, 3908, 20, 'Nova Consulta');
INSERT INTO `lang_definitions` VALUES (74850, 3909, 20, 'Informações da Nova Clínica');
INSERT INTO `lang_definitions` VALUES (74851, 3912, 20, 'Novo Grupo');
INSERT INTO `lang_definitions` VALUES (74852, 3913, 20, 'Novo Grupo de Informação');
INSERT INTO `lang_definitions` VALUES (74853, 3916, 20, 'New Limit de Eventos');
INSERT INTO `lang_definitions` VALUES (74854, 3917, 20, 'Nova Lista');
INSERT INTO `lang_definitions` VALUES (74855, 3921, 20, 'Novo Paciente');
INSERT INTO `lang_definitions` VALUES (74856, 3922, 20, 'NOVO PACIENTE');
INSERT INTO `lang_definitions` VALUES (74857, 3923, 20, 'Novo Paciente - Consulta');
INSERT INTO `lang_definitions` VALUES (74858, 3924, 20, 'Novo Paciente - Formulário');
INSERT INTO `lang_definitions` VALUES (74859, 3925, 20, 'Novo Paciente - ID');
INSERT INTO `lang_definitions` VALUES (74860, 3926, 20, 'Novo Pagamento');
INSERT INTO `lang_definitions` VALUES (74861, 3928, 20, 'Novo Pt');
INSERT INTO `lang_definitions` VALUES (74862, 3930, 20, 'Nova Busca');
INSERT INTO `lang_definitions` VALUES (74863, 3931, 20, 'Nova Submissão');
INSERT INTO `lang_definitions` VALUES (74864, 3932, 20, 'Novo Usuário');
INSERT INTO `lang_definitions` VALUES (74865, 3934, 20, 'Nova Visita');
INSERT INTO `lang_definitions` VALUES (74866, 3935, 20, 'Novo/Buscar');
INSERT INTO `lang_definitions` VALUES (74867, 3961, 20, 'Jornal');
INSERT INTO `lang_definitions` VALUES (74868, 3962, 20, 'Próximo');
INSERT INTO `lang_definitions` VALUES (74869, 3964, 20, 'Próximo Dia');
INSERT INTO `lang_definitions` VALUES (74870, 3965, 20, 'Próximo Mês');
INSERT INTO `lang_definitions` VALUES (74871, 3966, 20, 'Próximo mês (pressione para o menu)');
INSERT INTO `lang_definitions` VALUES (74872, 3968, 20, 'Próxima Semana');
INSERT INTO `lang_definitions` VALUES (74873, 3969, 20, 'Próximo ano (pressione para o menu)');
INSERT INTO `lang_definitions` VALUES (74874, 3971, 20, 'Apelido');
INSERT INTO `lang_definitions` VALUES (74875, 3973, 20, 'Suores noturnos');
INSERT INTO `lang_definitions` VALUES (74876, 3974, 20, 'Genitais ext Nl, vag mucosa, colo do útero');
INSERT INTO `lang_definitions` VALUES (74877, 3975, 20, 'Não');
INSERT INTO `lang_definitions` VALUES (74878, 3976, 20, 'NÃO');
INSERT INTO `lang_definitions` VALUES (74879, 3977, 20, 'Sem acesso');
INSERT INTO `lang_definitions` VALUES (74880, 3978, 20, 'Nenhum lembrete ativo de pacientes.');
INSERT INTO `lang_definitions` VALUES (74881, 3979, 20, 'Sem adenopatia (2 áreas necessárias)');
INSERT INTO `lang_definitions` VALUES (74882, 3983, 20, 'Sem Compromissos');
INSERT INTO `lang_definitions` VALUES (74883, 3985, 20, 'Sistema de faturamento está atualmente inativo');
INSERT INTO `lang_definitions` VALUES (74884, 3986, 20, 'Nenhuma Cobrança Encontrada para Incluir no OFX Export');
INSERT INTO `lang_definitions` VALUES (74885, 3987, 20, 'Nenhuma Cobrança Encontrada para Incluir no OFX Export<br>');
INSERT INTO `lang_definitions` VALUES (74886, 3989, 20, 'Nenhum código foi especificado!');
INSERT INTO `lang_definitions` VALUES (74887, 3992, 20, 'Nenhum diagnóstico');
INSERT INTO `lang_definitions` VALUES (74888, 3993, 20, 'Nenhum Documento Encontrado');
INSERT INTO `lang_definitions` VALUES (74889, 3994, 20, 'Nenhuma Consulta pôde ser criada');
INSERT INTO `lang_definitions` VALUES (74890, 3995, 20, 'Sem data final');
INSERT INTO `lang_definitions` VALUES (74891, 3996, 20, 'Não foram encontradas entradas, use o formulário abaixo para adicionar uma entrada.');
INSERT INTO `lang_definitions` VALUES (74892, 3997, 20, 'Não foi encontrado erros');
INSERT INTO `lang_definitions` VALUES (74893, 3998, 20, 'Não há eventos');
INSERT INTO `lang_definitions` VALUES (74894, 4001, 20, 'Nenhum grupo foi selecionado');
INSERT INTO `lang_definitions` VALUES (74895, 4002, 20, 'Sem hérnia');
INSERT INTO `lang_definitions` VALUES (74896, 4006, 20, 'Seguradoras Não Encontradas');
INSERT INTO `lang_definitions` VALUES (74897, 4007, 20, 'Sem Problemas');
INSERT INTO `lang_definitions` VALUES (74898, 4008, 20, 'Sem problemas nessa consulta.');
INSERT INTO `lang_definitions` VALUES (74899, 4009, 20, 'Sem itens sob categoria selecionada');
INSERT INTO `lang_definitions` VALUES (74900, 4010, 20, 'Nenhum item foi selecionado!');
INSERT INTO `lang_definitions` VALUES (74901, 4029, 20, 'Nenhum resultado encontrado. Tente nova busca.');
INSERT INTO `lang_definitions` VALUES (74902, 4030, 20, 'Nenhum resultado encontrado.');
INSERT INTO `lang_definitions` VALUES (74903, 4031, 20, 'Nenhum resultado encontrado. Cadastrar novo paciente?');
INSERT INTO `lang_definitions` VALUES (74904, 4033, 20, 'Nenhum novo resultado encontrado');
INSERT INTO `lang_definitions` VALUES (74905, 4034, 20, 'Sem notas');
INSERT INTO `lang_definitions` VALUES (74906, 4036, 20, 'Não foram encontradas vagas para este período.');
INSERT INTO `lang_definitions` VALUES (74907, 4039, 20, 'Nenhum Parceiro Encontrado');
INSERT INTO `lang_definitions` VALUES (74908, 4042, 20, 'Não havia edema periférico');
INSERT INTO `lang_definitions` VALUES (74909, 4043, 20, 'Nenhuma Farmácias');
INSERT INTO `lang_definitions` VALUES (74910, 4044, 20, 'Nenhuma Prescrição');
INSERT INTO `lang_definitions` VALUES (74911, 4045, 20, 'Nenhuma doença que apresenta / lesão');
INSERT INTO `lang_definitions` VALUES (74912, 4051, 20, 'Sem Indicação');
INSERT INTO `lang_definitions` VALUES (74913, 4052, 20, 'Ausência de lesões cutânea ou anormal');
INSERT INTO `lang_definitions` VALUES (74914, 4055, 20, 'Não foram encontrados registos. Por favor, expandir os seus critérios de busca.');
INSERT INTO `lang_definitions` VALUES (74915, 4058, 20, 'Nenhum resultado');
INSERT INTO `lang_definitions` VALUES (74916, 4060, 20, 'Nenhum resultados de busca');
INSERT INTO `lang_definitions` VALUES (74917, 4062, 20, 'Não há resultados, por favor bandeja novamente.');
INSERT INTO `lang_definitions` VALUES (74918, 4063, 20, 'Não há resultados, por favor, tente novamente.');
INSERT INTO `lang_definitions` VALUES (74919, 4065, 20, 'Não Compareceu');
INSERT INTO `lang_definitions` VALUES (74920, 4067, 20, 'No Tenderness Sinus:');
INSERT INTO `lang_definitions` VALUES (74921, 4068, 20, 'Nódulos no ondear da pele ou da mama');
INSERT INTO `lang_definitions` VALUES (74922, 4071, 20, 'No ternura testicular, massas');
INSERT INTO `lang_definitions` VALUES (74923, 4072, 20, 'No emoções ou heaves');
INSERT INTO `lang_definitions` VALUES (74924, 4075, 20, 'Nenhuma visita');
INSERT INTO `lang_definitions` VALUES (74925, 4077, 20, 'Não, Cancelar');
INSERT INTO `lang_definitions` VALUES (74926, 4079, 20, 'Não:');
INSERT INTO `lang_definitions` VALUES (74927, 4080, 20, 'Noctúria');
INSERT INTO `lang_definitions` VALUES (74928, 4083, 20, 'Non lesão específica');
INSERT INTO `lang_definitions` VALUES (74929, 4085, 20, 'Não-insulino-dependente');
INSERT INTO `lang_definitions` VALUES (74930, 4087, 20, 'Non-SRH Médica');
INSERT INTO `lang_definitions` VALUES (74931, 4088, 20, 'Non-SRH não-médicos');
INSERT INTO `lang_definitions` VALUES (74932, 4089, 20, 'Nenhum');
INSERT INTO `lang_definitions` VALUES (74933, 4090, 20, 'nenhum');
INSERT INTO `lang_definitions` VALUES (74934, 4093, 20, 'Nenhuma das anteriores');
INSERT INTO `lang_definitions` VALUES (74935, 4095, 20, 'Noninsulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (74936, 4096, 20, 'Nem');
INSERT INTO `lang_definitions` VALUES (74937, 4097, 20, 'Normal');
INSERT INTO `lang_definitions` VALUES (74938, 4098, 20, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (74939, 4099, 20, 'Exame cardíaco normal:');
INSERT INTO `lang_definitions` VALUES (74940, 4100, 20, 'Exame cardíaco normal: ');
INSERT INTO `lang_definitions` VALUES (74941, 4101, 20, 'Exame Pulmonar Normal:');
INSERT INTO `lang_definitions` VALUES (74942, 4102, 20, 'Exame Pulmonar Normal: ');
INSERT INTO `lang_definitions` VALUES (74943, 4103, 20, 'Normal Office Visite');
INSERT INTO `lang_definitions` VALUES (74944, 4104, 20, 'Orofaringe normal:');
INSERT INTO `lang_definitions` VALUES (74945, 4105, 20, 'Normal Direito');
INSERT INTO `lang_definitions` VALUES (74946, 4106, 20, 'Normal Direito:');
INSERT INTO `lang_definitions` VALUES (74947, 4107, 20, 'Normal View');
INSERT INTO `lang_definitions` VALUES (74948, 4108, 20, 'normal:');
INSERT INTO `lang_definitions` VALUES (74949, 4112, 20, 'Norueguês');
INSERT INTO `lang_definitions` VALUES (74950, 4115, 20, 'Nariz');
INSERT INTO `lang_definitions` VALUES (74951, 4116, 20, 'Epistaxis');
INSERT INTO `lang_definitions` VALUES (74952, 4117, 20, 'nem letra nem numero');
INSERT INTO `lang_definitions` VALUES (74953, 4119, 20, 'Nem todos os campos são obrigatórios para todos os códigos ou tipos.');
INSERT INTO `lang_definitions` VALUES (74954, 4120, 20, 'Não Desejados');
INSERT INTO `lang_definitions` VALUES (74955, 4121, 20, 'Não é permitida a exclusão do grupo de administradores');
INSERT INTO `lang_definitions` VALUES (74956, 4123, 20, 'Não é permitida a desativação de todos os objetos de segurança');
INSERT INTO `lang_definitions` VALUES (74957, 4124, 20, 'Não permitido para inativar qualquer coisa da Segurança dos Administradores');
INSERT INTO `lang_definitions` VALUES (74958, 4125, 20, 'Não é permitido remover o usuário Administrador do grupo Administradores');
INSERT INTO `lang_definitions` VALUES (74959, 4128, 20, 'Não autorizadas a ter acesso módulo PostCalendar');
INSERT INTO `lang_definitions` VALUES (74960, 4129, 20, 'Não autorizado');
INSERT INTO `lang_definitions` VALUES (74961, 4132, 20, 'Não autorizado para este plantel.');
INSERT INTO `lang_definitions` VALUES (74962, 4135, 20, 'Não Disponível');
INSERT INTO `lang_definitions` VALUES (74963, 4137, 20, 'Não faturado');
INSERT INTO `lang_definitions` VALUES (74964, 4139, 20, 'Não verificado');
INSERT INTO `lang_definitions` VALUES (74965, 4143, 20, 'Não examinados');
INSERT INTO `lang_definitions` VALUES (74966, 4144, 20, 'Não examinados:');
INSERT INTO `lang_definitions` VALUES (74967, 4145, 20, 'Não examinados: ');
INSERT INTO `lang_definitions` VALUES (74968, 4146, 20, 'não encontrado');
INSERT INTO `lang_definitions` VALUES (74969, 4148, 20, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (74970, 4152, 20, 'Não visto desde');
INSERT INTO `lang_definitions` VALUES (74971, 4157, 20, 'Nota');
INSERT INTO `lang_definitions` VALUES (74972, 4162, 20, 'Tipo de nota');
INSERT INTO `lang_definitions` VALUES (74973, 4168, 20, 'Nota: Este código não foi inserido por um usuário autorizado. Apenas códigos autorizados podem ser enviados para o médico do faturamento de uma rede aberta para processamento. Se você deseja enviar esses códigos, selecione um usuário autorizado aqui.');
INSERT INTO `lang_definitions` VALUES (74974, 4170, 20, 'NOTE: Ficheiros com nomes duplicados serão automaticamente remarcados (por ex., file.jpg will become file.1.jpg). Os nomes de ficheiros são considerados únicos por doente, não por categoria.');
INSERT INTO `lang_definitions` VALUES (74975, 4171, 20, 'NOTA: Envio de arquivos com nomes duplicados fará com que os arquivos a serem renomeados automaticamente. Por exemplo, file.jpg se tornará file.jpg.1 . Nomes de arquivos são considerados únicos por paciente e não por categoria.');
INSERT INTO `lang_definitions` VALUES (74976, 4172, 20, 'Notas');
INSERT INTO `lang_definitions` VALUES (74977, 4173, 20, 'Notas - quaisquer encontros (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (74978, 4174, 20, 'Notas - meus encontros (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (74979, 4175, 20, 'Notas não autorizadas');
INSERT INTO `lang_definitions` VALUES (74980, 4182, 20, 'Nada foi selecionado');
INSERT INTO `lang_definitions` VALUES (74981, 4184, 20, 'AVISO: PostCalendar Submission / Modificação');
INSERT INTO `lang_definitions` VALUES (74982, 4185, 20, 'Notificação');
INSERT INTO `lang_definitions` VALUES (74983, 4189, 20, 'Informe-Admin Sobre o Evento Apresentação / modificação?');
INSERT INTO `lang_definitions` VALUES (74984, 4191, 20, 'Novembro');
INSERT INTO `lang_definitions` VALUES (74985, 4192, 20, 'Agora enviar para:');
INSERT INTO `lang_definitions` VALUES (74986, 4193, 20, 'A imprimir');
INSERT INTO `lang_definitions` VALUES (74987, 4194, 20, 'Agora impressão declarações $ stmt_count e encontros de atualização.');
INSERT INTO `lang_definitions` VALUES (74988, 4195, 20, 'Agora impressão declarações $ stmt_count e faturas de atualização.');
INSERT INTO `lang_definitions` VALUES (74989, 4196, 20, 'Agora impressão declarações $ stmt_count; encontros não serão atualizados.');
INSERT INTO `lang_definitions` VALUES (74990, 4197, 20, 'Agora impressão declarações $ stmt_count; facturas não serão atualizados.');
INSERT INTO `lang_definitions` VALUES (74991, 4198, 20, 'RG');
INSERT INTO `lang_definitions` VALUES (74992, 4200, 20, 'Número');
INSERT INTO `lang_definitions` VALUES (74993, 4204, 20, 'Número de colunas, tendo em conta o ano.');
INSERT INTO `lang_definitions` VALUES (74994, 4215, 20, 'Número de jogos ou eventos perdidos, se houver');
INSERT INTO `lang_definitions` VALUES (74995, 4223, 20, 'Dormência');
INSERT INTO `lang_definitions` VALUES (74996, 4229, 20, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (74997, 4230, 20, 'Sat O2');
INSERT INTO `lang_definitions` VALUES (74998, 4231, 20, 'Obesidade I');
INSERT INTO `lang_definitions` VALUES (74999, 4232, 20, 'Obesidade II');
INSERT INTO `lang_definitions` VALUES (75000, 4233, 20, 'Obesidade III');
INSERT INTO `lang_definitions` VALUES (75001, 4234, 20, 'HMA');
INSERT INTO `lang_definitions` VALUES (75002, 4237, 20, 'Ocupação');
INSERT INTO `lang_definitions` VALUES (75003, 4239, 20, 'Ocorrência');
INSERT INTO `lang_definitions` VALUES (75004, 4240, 20, 'Out');
INSERT INTO `lang_definitions` VALUES (75005, 4241, 20, 'Outubro');
INSERT INTO `lang_definitions` VALUES (75006, 4242, 20, 'OD');
INSERT INTO `lang_definitions` VALUES (75007, 4244, 20, 'de quantidade');
INSERT INTO `lang_definitions` VALUES (75008, 4245, 20, 'de comprimidos');
INSERT INTO `lang_definitions` VALUES (75009, 4246, 20, 'de cada mês');
INSERT INTO `lang_definitions` VALUES (75010, 4247, 20, 'Mensagens');
INSERT INTO `lang_definitions` VALUES (75011, 4249, 20, 'Mensagens Internas');
INSERT INTO `lang_definitions` VALUES (75012, 4250, 20, 'Consulta');
INSERT INTO `lang_definitions` VALUES (75013, 4263, 20, 'Filhos');
INSERT INTO `lang_definitions` VALUES (75014, 4265, 20, 'pomada');
INSERT INTO `lang_definitions` VALUES (75015, 4267, 20, 'OK');
INSERT INTO `lang_definitions` VALUES (75016, 4269, 20, 'OK relacionar a questão GCAC datado');
INSERT INTO `lang_definitions` VALUES (75017, 4272, 20, 'Pacientes antigos');
INSERT INTO `lang_definitions` VALUES (75018, 4273, 20, 'Old não fratura / malunion');
INSERT INTO `lang_definitions` VALUES (75019, 4283, 20, 'Omitir os usuários internos?');
INSERT INTO `lang_definitions` VALUES (75020, 4285, 20, 'omitir a autoassign');
INSERT INTO `lang_definitions` VALUES (75021, 4286, 20, 'ligado');
INSERT INTO `lang_definitions` VALUES (75022, 4288, 20, 'On Hand');
INSERT INTO `lang_definitions` VALUES (75023, 4289, 20, 'Em Ordem');
INSERT INTO `lang_definitions` VALUES (75024, 4292, 20, 'Uma vez que você alterar sua senha, você terá que re-login.');
INSERT INTO `lang_definitions` VALUES (75025, 4297, 20, 'Suporte On-line');
INSERT INTO `lang_definitions` VALUES (75026, 4299, 20, 'Apenas Ativo');
INSERT INTO `lang_definitions` VALUES (75027, 4302, 20, 'apenas se a localização de faturamento');
INSERT INTO `lang_definitions` VALUES (75028, 4303, 20, 'Apenas inativos');
INSERT INTO `lang_definitions` VALUES (75029, 4304, 20, 'Somente Próprias');
INSERT INTO `lang_definitions` VALUES (75030, 4310, 20, 'Início da doença:');
INSERT INTO `lang_definitions` VALUES (75031, 4311, 20, 'O início da Ilness: ');
INSERT INTO `lang_definitions` VALUES (75032, 4312, 20, 'Aparecimento de edema:');
INSERT INTO `lang_definitions` VALUES (75033, 4313, 20, 'Onset / hosp. Data:');
INSERT INTO `lang_definitions` VALUES (75034, 4316, 20, 'Abrir');
INSERT INTO `lang_definitions` VALUES (75035, 4328, 20, 'LibreEHR requer que o Javascript para realizar a autenticação do usuário.');
INSERT INTO `lang_definitions` VALUES (75036, 4329, 20, 'Usuários LibreEHR');
INSERT INTO `lang_definitions` VALUES (75037, 4333, 20, 'Opção');
INSERT INTO `lang_definitions` VALUES (75038, 4336, 20, 'Opcional');
INSERT INTO `lang_definitions` VALUES (75039, 4343, 20, 'Nome do medicamento opcional, use% como curinga');
INSERT INTO `lang_definitions` VALUES (75040, 4345, 20, 'Opcional informações sobre este evento');
INSERT INTO `lang_definitions` VALUES (75041, 4346, 20, 'Número de lote, opcional, use% como curinga');
INSERT INTO `lang_definitions` VALUES (75042, 4347, 20, 'Paciente numérico opcional ID');
INSERT INTO `lang_definitions` VALUES (75043, 4348, 20, 'Código Procedimento');
INSERT INTO `lang_definitions` VALUES (75044, 4351, 20, 'Ou');
INSERT INTO `lang_definitions` VALUES (75045, 4352, 20, 'Ou');
INSERT INTO `lang_definitions` VALUES (75046, 4353, 20, 'ou escolha');
INSERT INTO `lang_definitions` VALUES (75047, 4356, 20, 'Ou para fora ao');
INSERT INTO `lang_definitions` VALUES (75048, 4359, 20, 'ERA ou o arquivo de upload:');
INSERT INTO `lang_definitions` VALUES (75049, 4360, 20, 'Oral');
INSERT INTO `lang_definitions` VALUES (75050, 4361, 20, 'Mucosa Oral-de-rosa, a garganta clara');
INSERT INTO `lang_definitions` VALUES (75051, 4362, 20, 'Pedido');
INSERT INTO `lang_definitions` VALUES (75052, 4369, 20, 'Ordem deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (75053, 4386, 20, 'Lesões de órgãos');
INSERT INTO `lang_definitions` VALUES (75054, 4387, 20, 'Pessoa Jurídica');
INSERT INTO `lang_definitions` VALUES (75055, 4390, 20, 'Pessoas Jurídicas');
INSERT INTO `lang_definitions` VALUES (75056, 4391, 20, 'Orientado x 3');
INSERT INTO `lang_definitions` VALUES (75057, 4392, 20, 'Original');
INSERT INTO `lang_definitions` VALUES (75058, 4396, 20, 'Orofaringe: ');
INSERT INTO `lang_definitions` VALUES (75059, 4397, 20, 'Ortopnéia');
INSERT INTO `lang_definitions` VALUES (75060, 4398, 20, 'OS');
INSERT INTO `lang_definitions` VALUES (75061, 4399, 20, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (75062, 4402, 20, 'Outro');
INSERT INTO `lang_definitions` VALUES (75063, 4403, 20, 'outro');
INSERT INTO `lang_definitions` VALUES (75064, 4404, 20, 'Outro (especificar)');
INSERT INTO `lang_definitions` VALUES (75065, 4406, 20, 'Outros Programas Governamentais');
INSERT INTO `lang_definitions` VALUES (75066, 4407, 20, 'HCFA Outros');
INSERT INTO `lang_definitions` VALUES (75067, 4408, 20, 'Outros danos não especificados');
INSERT INTO `lang_definitions` VALUES (75068, 4410, 20, 'outro mês');
INSERT INTO `lang_definitions` VALUES (75069, 4411, 20, 'Outros Programas não Governamentais');
INSERT INTO `lang_definitions` VALUES (75070, 4412, 20, 'Outras Notas');
INSERT INTO `lang_definitions` VALUES (75071, 4413, 20, 'Outros sintomas Pertinente');
INSERT INTO `lang_definitions` VALUES (75072, 4414, 20, 'Outros sintomas pertinentes:');
INSERT INTO `lang_definitions` VALUES (75073, 4416, 20, 'Outros stress / Mais de utilização de prejuízo');
INSERT INTO `lang_definitions` VALUES (75074, 4417, 20, 'Cirúrgicos Outros');
INSERT INTO `lang_definitions` VALUES (75075, 4418, 20, 'Outros / Generic relacionadas ao aborto');
INSERT INTO `lang_definitions` VALUES (75076, 4421, 20, 'caso contrário, você irá destruir as referências para / de dados existentes.');
INSERT INTO `lang_definitions` VALUES (75077, 4422, 20, 'Otava Ankle Regras');
INSERT INTO `lang_definitions` VALUES (75078, 4423, 20, 'OU');
INSERT INTO `lang_definitions` VALUES (75079, 4424, 20, 'OUT');
INSERT INTO `lang_definitions` VALUES (75080, 4425, 20, 'Out Of Office');
INSERT INTO `lang_definitions` VALUES (75081, 4427, 20, 'Resultado');
INSERT INTO `lang_definitions` VALUES (75082, 4428, 20, 'Outlook');
INSERT INTO `lang_definitions` VALUES (75083, 4432, 20, 'O uso excessivo');
INSERT INTO `lang_definitions` VALUES (75084, 4434, 20, 'Sobrepeso');
INSERT INTO `lang_definitions` VALUES (75085, 4435, 20, 'Substituir escolha HIPAA');
INSERT INTO `lang_definitions` VALUES (75086, 4437, 20, 'Saturação de Oxigênio');
INSERT INTO `lang_definitions` VALUES (75087, 4439, 20, 'P');
INSERT INTO `lang_definitions` VALUES (75088, 4440, 20, 'P.C.');
INSERT INTO `lang_definitions` VALUES (75089, 4441, 20, 'p.m.');
INSERT INTO `lang_definitions` VALUES (75090, 4442, 20, 'P.R.N.');
INSERT INTO `lang_definitions` VALUES (75091, 4444, 20, 'Pediátricos');
INSERT INTO `lang_definitions` VALUES (75092, 4445, 20, 'Página');
INSERT INTO `lang_definitions` VALUES (75093, 4446, 20, 'Páginas');
INSERT INTO `lang_definitions` VALUES (75094, 4447, 20, 'Pago');
INSERT INTO `lang_definitions` VALUES (75095, 4448, 20, 'Montante pago que você vai alocar');
INSERT INTO `lang_definitions` VALUES (75096, 4450, 20, 'Via Paid');
INSERT INTO `lang_definitions` VALUES (75097, 4451, 20, 'Dor');
INSERT INTO `lang_definitions` VALUES (75098, 4453, 20, 'Palpitações');
INSERT INTO `lang_definitions` VALUES (75099, 4455, 20, 'Papanicolau');
INSERT INTO `lang_definitions` VALUES (75100, 4458, 20, 'Paralisia');
INSERT INTO `lang_definitions` VALUES (75101, 4461, 20, 'Parse HL7');
INSERT INTO `lang_definitions` VALUES (75102, 4463, 20, 'Partner');
INSERT INTO `lang_definitions` VALUES (75103, 4472, 20, 'Senha');
INSERT INTO `lang_definitions` VALUES (75104, 4473, 20, 'Alterar Senha');
INSERT INTO `lang_definitions` VALUES (75105, 4475, 20, 'Mudança de senha bem sucedida.');
INSERT INTO `lang_definitions` VALUES (75106, 4480, 20, 'Senha para o SMS Gateway');
INSERT INTO `lang_definitions` VALUES (75107, 4486, 20, 'Senha:');
INSERT INTO `lang_definitions` VALUES (75108, 4490, 20, 'Vencido');
INSERT INTO `lang_definitions` VALUES (75109, 4491, 20, 'Vencido');
INSERT INTO `lang_definitions` VALUES (75110, 4492, 20, 'Intervalo de Vencimento - Lembrete Clínico');
INSERT INTO `lang_definitions` VALUES (75111, 4493, 20, 'Intervalo de Vencimento - Lembrete Paciente');
INSERT INTO `lang_definitions` VALUES (75112, 4495, 20, 'Consultas passadas');
INSERT INTO `lang_definitions` VALUES (75113, 4496, 20, 'Consultas Passadas e Documentos');
INSERT INTO `lang_definitions` VALUES (75114, 4498, 20, 'Colar HL7 Dados');
INSERT INTO `lang_definitions` VALUES (75115, 4499, 20, 'Cole os dados da importação para a área de texto abaixo:');
INSERT INTO `lang_definitions` VALUES (75116, 4502, 20, 'Patch');
INSERT INTO `lang_definitions` VALUES (75117, 4514, 20, 'Paciente');
INSERT INTO `lang_definitions` VALUES (75118, 4515, 20, 'paciente');
INSERT INTO `lang_definitions` VALUES (75119, 4516, 20, 'PACIENTE');
INSERT INTO `lang_definitions` VALUES (75120, 4521, 20, 'Paciente alergias');
INSERT INTO `lang_definitions` VALUES (75121, 4522, 20, 'Paciente Alergias');
INSERT INTO `lang_definitions` VALUES (75122, 4523, 20, 'Nomeação do Paciente');
INSERT INTO `lang_definitions` VALUES (75123, 4528, 20, 'Prontuário ID');
INSERT INTO `lang_definitions` VALUES (75124, 4529, 20, 'Paciente Checkout');
INSERT INTO `lang_definitions` VALUES (75125, 4530, 20, 'Paciente Checkout ');
INSERT INTO `lang_definitions` VALUES (75126, 4533, 20, 'Paciente Comunicação enviado');
INSERT INTO `lang_definitions` VALUES (75127, 4534, 20, 'Paciente Comunication Enviados');
INSERT INTO `lang_definitions` VALUES (75128, 4539, 20, 'Dados do paciente');
INSERT INTO `lang_definitions` VALUES (75129, 4544, 20, 'Documento do paciente');
INSERT INTO `lang_definitions` VALUES (75130, 4547, 20, 'Patient Encounter');
INSERT INTO `lang_definitions` VALUES (75131, 4548, 20, 'Patient Encounter Forma');
INSERT INTO `lang_definitions` VALUES (75132, 4549, 20, 'Paciente Encounters');
INSERT INTO `lang_definitions` VALUES (75133, 4550, 20, 'Paciente Encontrado');
INSERT INTO `lang_definitions` VALUES (75134, 4561, 20, 'Histórico do Paciente');
INSERT INTO `lang_definitions` VALUES (75135, 4562, 20, 'Histórico do Paciente / Hábitos');
INSERT INTO `lang_definitions` VALUES (75136, 4564, 20, 'ID do Paciente');
INSERT INTO `lang_definitions` VALUES (75137, 4566, 20, 'Paciente cartão de identificação');
INSERT INTO `lang_definitions` VALUES (75138, 4568, 20, 'Paciente de Vacinação');
INSERT INTO `lang_definitions` VALUES (75139, 4569, 20, 'Informação do Paciente');
INSERT INTO `lang_definitions` VALUES (75140, 4571, 20, 'A distribuição dos pacientes de Seguros');
INSERT INTO `lang_definitions` VALUES (75141, 4572, 20, 'A distribuição dos pacientes Insurance Report');
INSERT INTO `lang_definitions` VALUES (75142, 4573, 20, 'Paciente Questões');
INSERT INTO `lang_definitions` VALUES (75143, 4581, 20, 'Lista de pacientes');
INSERT INTO `lang_definitions` VALUES (75144, 4587, 20, 'Anotações do Paciente');
INSERT INTO `lang_definitions` VALUES (75145, 4588, 20, 'Paciente Medications');
INSERT INTO `lang_definitions` VALUES (75146, 4590, 20, 'Nome e endereço do paciente');
INSERT INTO `lang_definitions` VALUES (75147, 4596, 20, 'Paciente Nota Tipos');
INSERT INTO `lang_definitions` VALUES (75148, 4597, 20, 'Anotações do Paciente');
INSERT INTO `lang_definitions` VALUES (75149, 4598, 20, 'Anotações do Paciente (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (75150, 4599, 20, 'Número de doentes');
INSERT INTO `lang_definitions` VALUES (75151, 4608, 20, 'Paciente Relatório Impresso');
INSERT INTO `lang_definitions` VALUES (75152, 4609, 20, 'Registrar Relatório do Paciente');
INSERT INTO `lang_definitions` VALUES (75153, 4620, 20, 'Relatório do paciente');
INSERT INTO `lang_definitions` VALUES (75154, 4621, 20, 'Paciente Pedido');
INSERT INTO `lang_definitions` VALUES (75155, 4629, 20, 'Resumo do paciente');
INSERT INTO `lang_definitions` VALUES (75156, 4630, 20, 'Transações do Paciente');
INSERT INTO `lang_definitions` VALUES (75157, 4632, 20, 'paciente (s) no banco de dados que correspondem às informações demográficas que você entrou.');
INSERT INTO `lang_definitions` VALUES (75158, 4633, 20, 'Paciente');
INSERT INTO `lang_definitions` VALUES (75159, 4634, 20, 'Paciente:');
INSERT INTO `lang_definitions` VALUES (75160, 4636, 20, 'Pacientes');
INSERT INTO `lang_definitions` VALUES (75161, 4638, 20, 'Pago');
INSERT INTO `lang_definitions` VALUES (75162, 4639, 20, 'Preste atenção ao \"\"Feito com \"\" caixas. Depois que os seguros são marcadas completa, então vamos começar a pedir o doente para o pagamento do saldo remanescente, se você deixar de marcar todos os seguros, em seguida, completar o valor restante não será coletado! Além disso, se há um equilíbrio que o paciente deve pagar, em seguida, defina a data de vencimento de forma adequada, como isso vai afetar o idioma que aparece sobre as declarações do paciente.');
INSERT INTO `lang_definitions` VALUES (75163, 4640, 20, 'Data de pagamento:');
INSERT INTO `lang_definitions` VALUES (75164, 4643, 20, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (75165, 4644, 20, 'Tipo de Pagamento');
INSERT INTO `lang_definitions` VALUES (75166, 4645, 20, 'Pagar');
INSERT INTO `lang_definitions` VALUES (75167, 4647, 20, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (75168, 4648, 20, 'pagamento');
INSERT INTO `lang_definitions` VALUES (75169, 4654, 20, 'Data de Pagamento');
INSERT INTO `lang_definitions` VALUES (75170, 4655, 20, 'pagamento inscritas no');
INSERT INTO `lang_definitions` VALUES (75171, 4660, 20, 'Método de Pagamento');
INSERT INTO `lang_definitions` VALUES (75172, 4664, 20, 'Valor do pagamento para o código ');
INSERT INTO `lang_definitions` VALUES (75173, 4665, 20, 'Pagamentos');
INSERT INTO `lang_definitions` VALUES (75174, 4669, 20, 'PDF');
INSERT INTO `lang_definitions` VALUES (75175, 4672, 20, 'Pelve e nádega');
INSERT INTO `lang_definitions` VALUES (75176, 4673, 20, 'Pênfigo');
INSERT INTO `lang_definitions` VALUES (75177, 4674, 20, 'Pendente');
INSERT INTO `lang_definitions` VALUES (75178, 4677, 20, 'Followup Pending');
INSERT INTO `lang_definitions` VALUES (75179, 4684, 20, 'Empresa Pennington LibreEHR v');
INSERT INTO `lang_definitions` VALUES (75180, 4685, 20, 'Úlcera Péptica Doença');
INSERT INTO `lang_definitions` VALUES (75181, 4687, 20, 'por minuto');
INSERT INTO `lang_definitions` VALUES (75182, 4688, 20, 'Por Narina');
INSERT INTO `lang_definitions` VALUES (75183, 4689, 20, 'por narina');
INSERT INTO `lang_definitions` VALUES (75184, 4690, 20, 'Por Oris');
INSERT INTO `lang_definitions` VALUES (75185, 4691, 20, 'por oris');
INSERT INTO `lang_definitions` VALUES (75186, 4692, 20, 'Por Reto');
INSERT INTO `lang_definitions` VALUES (75187, 4693, 20, 'por reto');
INSERT INTO `lang_definitions` VALUES (75188, 4698, 20, 'Perfurado Direita:');
INSERT INTO `lang_definitions` VALUES (75189, 4699, 20, 'Execute Busca');
INSERT INTO `lang_definitions` VALUES (75190, 4700, 20, 'Realizar esta ação');
INSERT INTO `lang_definitions` VALUES (75191, 4708, 20, 'Periférico');
INSERT INTO `lang_definitions` VALUES (75192, 4712, 20, 'Pessoa');
INSERT INTO `lang_definitions` VALUES (75193, 4717, 20, 'Farmácias');
INSERT INTO `lang_definitions` VALUES (75194, 4718, 20, 'Farmácia');
INSERT INTO `lang_definitions` VALUES (75195, 4719, 20, 'Farmácia Dispensário');
INSERT INTO `lang_definitions` VALUES (75196, 4720, 20, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (75197, 4729, 20, 'Telefone');
INSERT INTO `lang_definitions` VALUES (75198, 4730, 20, 'Telefone lista de chamadas');
INSERT INTO `lang_definitions` VALUES (75199, 4738, 20, 'Telefone');
INSERT INTO `lang_definitions` VALUES (75200, 4740, 20, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (75201, 4742, 20, 'PHP comprimido');
INSERT INTO `lang_definitions` VALUES (75202, 4744, 20, 'PHP extraída');
INSERT INTO `lang_definitions` VALUES (75203, 4745, 20, 'php controles de acesso GACL são desligados');
INSERT INTO `lang_definitions` VALUES (75204, 4746, 20, 'PHP-GACL não está instalado');
INSERT INTO `lang_definitions` VALUES (75205, 4747, 20, 'Exame Físico');
INSERT INTO `lang_definitions` VALUES (75206, 4749, 20, 'Pedido médico');
INSERT INTO `lang_definitions` VALUES (75207, 4750, 20, 'Assinatura do Médico');
INSERT INTO `lang_definitions` VALUES (75208, 4752, 20, 'Médicos');
INSERT INTO `lang_definitions` VALUES (75209, 4753, 20, 'cores');
INSERT INTO `lang_definitions` VALUES (75210, 4756, 20, 'PID');
INSERT INTO `lang_definitions` VALUES (75211, 4757, 20, 'PID (Doença Inflamatória Pélvica)');
INSERT INTO `lang_definitions` VALUES (75212, 4758, 20, 'Tamanho Comprimido');
INSERT INTO `lang_definitions` VALUES (75213, 4759, 20, 'Pills');
INSERT INTO `lang_definitions` VALUES (75214, 4765, 20, 'Espaço reservado');
INSERT INTO `lang_definitions` VALUES (75215, 4766, 20, 'Espaço reservado (Mantém vazio ACLs)');
INSERT INTO `lang_definitions` VALUES (75216, 4767, 20, 'Plain Text');
INSERT INTO `lang_definitions` VALUES (75217, 4768, 20, 'Conduta');
INSERT INTO `lang_definitions` VALUES (75218, 4771, 20, 'Nome do Plano');
INSERT INTO `lang_definitions` VALUES (75219, 4779, 20, 'Plano:');
INSERT INTO `lang_definitions` VALUES (75220, 4784, 20, 'Jogador');
INSERT INTO `lang_definitions` VALUES (75221, 4785, 20, 'Jogando Posição');
INSERT INTO `lang_definitions` VALUES (75222, 4790, 20, 'Por favor, escolha uma selecção válida a partir da lista.');
INSERT INTO `lang_definitions` VALUES (75223, 4791, 20, 'Por favor, escolha uma selecção válida.');
INSERT INTO `lang_definitions` VALUES (75224, 4792, 20, 'Por favor, escolha um valor para');
INSERT INTO `lang_definitions` VALUES (75225, 4797, 20, 'Por favor, feche esta janela.');
INSERT INTO `lang_definitions` VALUES (75226, 4798, 20, 'Por favor, compare o novo nome');
INSERT INTO `lang_definitions` VALUES (75227, 4802, 20, 'Por favor, não aceitamos essa receita que não tenha sido recebido através facimile.');
INSERT INTO `lang_definitions` VALUES (75228, 4804, 20, 'Por favor, não use o seu navegador ou parar botão Recarregar enquanto esta página está em execução a menos que mais de 10 minutos se passaram, isso não fará com que o processo parar no servidor e vai consumir recursos uneccesary.');
INSERT INTO `lang_definitions` VALUES (75229, 4813, 20, 'Por favor, indique um valor monetário usando apenas números e um ponto decimal.');
INSERT INTO `lang_definitions` VALUES (75230, 4815, 20, 'Por favor, indique uma descrição!');
INSERT INTO `lang_definitions` VALUES (75231, 4837, 20, 'Por favor, note que isso pode levar um tempo muito longo, até vários minutos, o seu navegador pode não aparecer muito ativo durante este tempo, mas gerando um projeto de lei é um processo complicado e seu navegador está apenas à espera de mais informações.');
INSERT INTO `lang_definitions` VALUES (75232, 4838, 20, 'Atenção: as constantes são caso sensível e qualquer seqüência de caracteres é permitida.');
INSERT INTO `lang_definitions` VALUES (75233, 4839, 20, 'Por favor, utilize apenas caracteres alfabéticos');
INSERT INTO `lang_definitions` VALUES (75234, 4840, 20, 'Por favor, utilize apenas caracteres alfabéticos sem espaços');
INSERT INTO `lang_definitions` VALUES (75235, 4841, 20, 'Por favor, o pagamento deste montante');
INSERT INTO `lang_definitions` VALUES (75236, 4858, 20, 'Por favor selecione uma razão de ajuste para o código ');
INSERT INTO `lang_definitions` VALUES (75237, 4859, 20, 'Por favor selecione um evento');
INSERT INTO `lang_definitions` VALUES (75238, 4865, 20, 'Por favor, selecione as páginas desejadas para copiar ou para a frente:');
INSERT INTO `lang_definitions` VALUES (75239, 4882, 20, 'PM');
INSERT INTO `lang_definitions` VALUES (75240, 4884, 20, 'PMT Método');
INSERT INTO `lang_definitions` VALUES (75241, 4885, 20, 'PND');
INSERT INTO `lang_definitions` VALUES (75242, 4886, 20, 'Pneumocócica conjugada 1');
INSERT INTO `lang_definitions` VALUES (75243, 4887, 20, 'Pneumocócica conjugada 2');
INSERT INTO `lang_definitions` VALUES (75244, 4888, 20, 'Pneumocócica conjugada 3');
INSERT INTO `lang_definitions` VALUES (75245, 4889, 20, 'Pneumocócica conjugada 4');
INSERT INTO `lang_definitions` VALUES (75246, 4891, 20, 'Pneumonia Vacinação');
INSERT INTO `lang_definitions` VALUES (75247, 4896, 20, 'Point of Service (POS)');
INSERT INTO `lang_definitions` VALUES (75248, 4897, 20, 'Política');
INSERT INTO `lang_definitions` VALUES (75249, 4899, 20, 'Número da apólice');
INSERT INTO `lang_definitions` VALUES (75250, 4901, 20, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (75251, 4902, 20, 'Pólipos');
INSERT INTO `lang_definitions` VALUES (75252, 4903, 20, 'Poliúria');
INSERT INTO `lang_definitions` VALUES (75253, 4904, 20, 'Falta de Apetite');
INSERT INTO `lang_definitions` VALUES (75254, 4905, 20, 'Baixa Circulação');
INSERT INTO `lang_definitions` VALUES (75255, 4906, 20, 'Baixa Audição');
INSERT INTO `lang_definitions` VALUES (75256, 4908, 20, 'Preencher a visão anos com eventos?');
INSERT INTO `lang_definitions` VALUES (75257, 4909, 20, 'Popups');
INSERT INTO `lang_definitions` VALUES (75258, 4918, 20, 'Português (Brasil)');
INSERT INTO `lang_definitions` VALUES (75259, 4919, 20, 'Português (Europeu)');
INSERT INTO `lang_definitions` VALUES (75260, 4920, 20, 'POS Código');
INSERT INTO `lang_definitions` VALUES (75261, 4926, 20, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (75262, 4928, 20, 'Pós cirúrgico');
INSERT INTO `lang_definitions` VALUES (75263, 4929, 20, 'Post a contabilidade e marcar como faturado');
INSERT INTO `lang_definitions` VALUES (75264, 4933, 20, 'Post-Abortion Care');
INSERT INTO `lang_definitions` VALUES (75265, 4934, 20, 'A contracepção pós-aborto');
INSERT INTO `lang_definitions` VALUES (75266, 4935, 20, 'Aconselhamento pós-aborto');
INSERT INTO `lang_definitions` VALUES (75267, 4936, 20, 'Pós-aborto Followup');
INSERT INTO `lang_definitions` VALUES (75268, 4937, 20, 'Postal');
INSERT INTO `lang_definitions` VALUES (75269, 4938, 20, 'CEP');
INSERT INTO `lang_definitions` VALUES (75270, 4939, 20, 'CEP');
INSERT INTO `lang_definitions` VALUES (75271, 4941, 20, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (75272, 4942, 20, 'PostCalendar Administração');
INSERT INTO `lang_definitions` VALUES (75273, 4943, 20, 'PostCalendar Categoria Definições');
INSERT INTO `lang_definitions` VALUES (75274, 4944, 20, 'PostCalendar Global Settings');
INSERT INTO `lang_definitions` VALUES (75275, 4945, 20, 'Postado em');
INSERT INTO `lang_definitions` VALUES (75276, 4946, 20, 'Data de lançamento');
INSERT INTO `lang_definitions` VALUES (75277, 4953, 20, 'Clínica');
INSERT INTO `lang_definitions` VALUES (75278, 4955, 20, 'Definições da Clínica');
INSERT INTO `lang_definitions` VALUES (75279, 4956, 20, 'Profissional');
INSERT INTO `lang_definitions` VALUES (75280, 4960, 20, 'Consulta pré-aborto');
INSERT INTO `lang_definitions` VALUES (75281, 4961, 20, 'Aconselhamento pré-aborto');
INSERT INTO `lang_definitions` VALUES (75282, 4962, 20, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (75283, 4965, 20, 'Preferidos Categoria do evento');
INSERT INTO `lang_definitions` VALUES (75284, 4966, 20, 'Idioma preferido');
INSERT INTO `lang_definitions` VALUES (75285, 4967, 20, 'Preferidos Farmácia');
INSERT INTO `lang_definitions` VALUES (75286, 4968, 20, 'Preferred Provider Organization (PPO)');
INSERT INTO `lang_definitions` VALUES (75287, 4969, 20, 'Teste de gravidez');
INSERT INTO `lang_definitions` VALUES (75288, 4972, 20, 'Pagamento antecipado');
INSERT INTO `lang_definitions` VALUES (75289, 4973, 20, 'Prescrição');
INSERT INTO `lang_definitions` VALUES (75290, 4977, 20, 'Prescrição Label');
INSERT INTO `lang_definitions` VALUES (75291, 4979, 20, 'Prescrição');
INSERT INTO `lang_definitions` VALUES (75292, 4980, 20, 'Prescrição e dispensas');
INSERT INTO `lang_definitions` VALUES (75293, 4981, 20, 'Prescrições e outras referências');
INSERT INTO `lang_definitions` VALUES (75294, 4982, 20, 'Prescrições e / ou referências do especialista');
INSERT INTO `lang_definitions` VALUES (75295, 4983, 20, 'Prescrição Relatório');
INSERT INTO `lang_definitions` VALUES (75296, 4984, 20, 'Prescrição / Registo');
INSERT INTO `lang_definitions` VALUES (75297, 4986, 20, 'Apresentar Queixa');
INSERT INTO `lang_definitions` VALUES (75298, 4988, 20, 'Pressione Continuar para prosseguir');
INSERT INTO `lang_definitions` VALUES (75299, 4989, 20, 'Presume-Diagnóstico');
INSERT INTO `lang_definitions` VALUES (75300, 4990, 20, 'Diagnóstico presumido por especialista');
INSERT INTO `lang_definitions` VALUES (75301, 4991, 20, 'Anterior');
INSERT INTO `lang_definitions` VALUES (75302, 4998, 20, 'Preview Event');
INSERT INTO `lang_definitions` VALUES (75303, 5001, 20, 'Anterior');
INSERT INTO `lang_definitions` VALUES (75304, 5002, 20, 'Consultas anteriores');
INSERT INTO `lang_definitions` VALUES (75305, 5003, 20, 'Dia Anterior');
INSERT INTO `lang_definitions` VALUES (75306, 5004, 20, 'História Anterior / Screening');
INSERT INTO `lang_definitions` VALUES (75307, 5005, 20, 'Mês anterior');
INSERT INTO `lang_definitions` VALUES (75308, 5006, 20, 'Semana anterior');
INSERT INTO `lang_definitions` VALUES (75309, 5007, 20, 'Preço');
INSERT INTO `lang_definitions` VALUES (75310, 5008, 20, 'Valor Desconto');
INSERT INTO `lang_definitions` VALUES (75311, 5009, 20, 'Nível de Preços');
INSERT INTO `lang_definitions` VALUES (75312, 5010, 20, 'Nível de Preços:');
INSERT INTO `lang_definitions` VALUES (75313, 5011, 20, 'Preços');
INSERT INTO `lang_definitions` VALUES (75314, 5012, 20, 'Primário');
INSERT INTO `lang_definitions` VALUES (75315, 5022, 20, 'Ins Primário');
INSERT INTO `lang_definitions` VALUES (75316, 5023, 20, 'Seguro Primário');
INSERT INTO `lang_definitions` VALUES (75317, 5024, 20, 'Primária de Seguro de Dados');
INSERT INTO `lang_definitions` VALUES (75318, 5025, 20, 'Primeiro Convênio');
INSERT INTO `lang_definitions` VALUES (75319, 5026, 20, 'Provedor primário');
INSERT INTO `lang_definitions` VALUES (75320, 5027, 20, 'Imprimir');
INSERT INTO `lang_definitions` VALUES (75321, 5032, 20, 'Print Blank Referral Forma');
INSERT INTO `lang_definitions` VALUES (75322, 5039, 20, 'Formato de Impressão');
INSERT INTO `lang_definitions` VALUES (75323, 5040, 20, 'Imprimir Quatro Painel');
INSERT INTO `lang_definitions` VALUES (75324, 5043, 20, 'Imprimir múltiplas');
INSERT INTO `lang_definitions` VALUES (75325, 5044, 20, 'Para imprimir várias Fax');
INSERT INTO `lang_definitions` VALUES (75326, 5047, 20, 'Imprimir Página 1');
INSERT INTO `lang_definitions` VALUES (75327, 5048, 20, 'Imprimir página 2');
INSERT INTO `lang_definitions` VALUES (75328, 5052, 20, 'Imprimir Anotação');
INSERT INTO `lang_definitions` VALUES (75329, 5054, 20, 'Imprimir Shot Record');
INSERT INTO `lang_definitions` VALUES (75330, 5057, 20, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (75331, 5058, 20, 'Imprimir esta nota');
INSERT INTO `lang_definitions` VALUES (75332, 5060, 20, 'Imprimir para Fax');
INSERT INTO `lang_definitions` VALUES (75333, 5061, 20, 'Versão para impressão');
INSERT INTO `lang_definitions` VALUES (75334, 5062, 20, 'Imprimir Proposta');
INSERT INTO `lang_definitions` VALUES (75335, 5063, 20, 'Printable Version');
INSERT INTO `lang_definitions` VALUES (75336, 5064, 20, 'Impresso');
INSERT INTO `lang_definitions` VALUES (75337, 5066, 20, 'Impressão de resultados:');
INSERT INTO `lang_definitions` VALUES (75338, 5068, 20, 'Imprensa ignorado; ver a saída de teste em ');
INSERT INTO `lang_definitions` VALUES (75339, 5069, 20, 'Antes Auth');
INSERT INTO `lang_definitions` VALUES (75340, 5070, 20, 'Formulário de Autorização Prévia');
INSERT INTO `lang_definitions` VALUES (75341, 5073, 20, 'Prioridade ');
INSERT INTO `lang_definitions` VALUES (75342, 5074, 20, 'Privado');
INSERT INTO `lang_definitions` VALUES (75343, 5075, 20, 'Problema');
INSERT INTO `lang_definitions` VALUES (75344, 5077, 20, 'Lista Problema');
INSERT INTO `lang_definitions` VALUES (75345, 5079, 20, 'Problemas / Questões');
INSERT INTO `lang_definitions` VALUES (75346, 5086, 20, 'Processo');
INSERT INTO `lang_definitions` VALUES (75347, 5114, 20, 'Procedimentos');
INSERT INTO `lang_definitions` VALUES (75348, 5115, 20, 'Processo');
INSERT INTO `lang_definitions` VALUES (75349, 5125, 20, 'Processamento');
INSERT INTO `lang_definitions` VALUES (75350, 5132, 20, 'Produtos');
INSERT INTO `lang_definitions` VALUES (75351, 5134, 20, 'Prof');
INSERT INTO `lang_definitions` VALUES (75352, 5136, 20, 'Câncer de Próstata');
INSERT INTO `lang_definitions` VALUES (75353, 5138, 20, 'Exame de próstata');
INSERT INTO `lang_definitions` VALUES (75354, 5139, 20, 'Problemas da Próstata');
INSERT INTO `lang_definitions` VALUES (75355, 5140, 20, 'Próstata w / o enlrgmt, nódulos, concurso');
INSERT INTO `lang_definitions` VALUES (75356, 5152, 20, 'Médico');
INSERT INTO `lang_definitions` VALUES (75357, 5159, 20, 'Número do Médico');
INSERT INTO `lang_definitions` VALUES (75358, 5162, 20, 'Operadora:');
INSERT INTO `lang_definitions` VALUES (75359, 5163, 20, 'Médicos');
INSERT INTO `lang_definitions` VALUES (75360, 5164, 20, 'RG dos Médicos');
INSERT INTO `lang_definitions` VALUES (75361, 5166, 20, 'Prv');
INSERT INTO `lang_definitions` VALUES (75362, 5167, 20, 'PSA');
INSERT INTO `lang_definitions` VALUES (75363, 5168, 20, 'Psoríase');
INSERT INTO `lang_definitions` VALUES (75364, 5169, 20, 'Psych Diagnóstico');
INSERT INTO `lang_definitions` VALUES (75365, 5170, 20, 'Psych Medication');
INSERT INTO `lang_definitions` VALUES (75366, 5171, 20, 'Psychiatric');
INSERT INTO `lang_definitions` VALUES (75367, 5172, 20, 'Psiquiátrica Breve Carta');
INSERT INTO `lang_definitions` VALUES (75368, 5173, 20, 'Diagnóstico psiquiátrico');
INSERT INTO `lang_definitions` VALUES (75369, 5174, 20, 'Exame psiquiátrico');
INSERT INTO `lang_definitions` VALUES (75370, 5175, 20, 'Histórico psiquiátrico');
INSERT INTO `lang_definitions` VALUES (75371, 5176, 20, 'Psiquiátrica Intake');
INSERT INTO `lang_definitions` VALUES (75372, 5177, 20, 'Medicação Psiquiátrica');
INSERT INTO `lang_definitions` VALUES (75373, 5178, 20, '% Pt');
INSERT INTO `lang_definitions` VALUES (75374, 5179, 20, 'Pt Notas');
INSERT INTO `lang_definitions` VALUES (75375, 5180, 20, 'Pt Notas / Auth');
INSERT INTO `lang_definitions` VALUES (75376, 5181, 20, 'Pt excesso');
INSERT INTO `lang_definitions` VALUES (75377, 5182, 20, 'Pt Paid');
INSERT INTO `lang_definitions` VALUES (75378, 5184, 20, 'Restituição Pt');
INSERT INTO `lang_definitions` VALUES (75379, 5185, 20, 'Pt liberado');
INSERT INTO `lang_definitions` VALUES (75380, 5186, 20, 'Pt Relatório');
INSERT INTO `lang_definitions` VALUES (75381, 5187, 20, 'PT Estudante, ou deixar em branco');
INSERT INTO `lang_definitions` VALUES (75382, 5189, 20, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (75383, 5191, 20, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (75384, 5192, 20, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (75385, 5193, 20, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (75386, 5201, 20, 'Público');
INSERT INTO `lang_definitions` VALUES (75387, 5205, 20, 'Pulmonar');
INSERT INTO `lang_definitions` VALUES (75388, 5206, 20, 'Pulse');
INSERT INTO `lang_definitions` VALUES (75389, 5213, 20, 'q.3h');
INSERT INTO `lang_definitions` VALUES (75390, 5214, 20, 'q.4h');
INSERT INTO `lang_definitions` VALUES (75391, 5215, 20, 'q.5h');
INSERT INTO `lang_definitions` VALUES (75392, 5216, 20, 'q.6h');
INSERT INTO `lang_definitions` VALUES (75393, 5217, 20, 'q.8h');
INSERT INTO `lang_definitions` VALUES (75394, 5218, 20, 'q.d.');
INSERT INTO `lang_definitions` VALUES (75395, 5219, 20, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (75396, 5220, 20, 'Ecl');
INSERT INTO `lang_definitions` VALUES (75397, 5222, 20, 'Qtde');
INSERT INTO `lang_definitions` VALUES (75398, 5223, 20, 'QTD');
INSERT INTO `lang_definitions` VALUES (75399, 5224, 20, 'Qualidade');
INSERT INTO `lang_definitions` VALUES (75400, 5226, 20, 'Quantidade');
INSERT INTO `lang_definitions` VALUES (75401, 5227, 20, 'Quantidade de NDC');
INSERT INTO `lang_definitions` VALUES (75402, 5228, 20, 'Quantidade On Hand');
INSERT INTO `lang_definitions` VALUES (75403, 5232, 20, 'HCFA fila para processamento em lote');
INSERT INTO `lang_definitions` VALUES (75404, 5233, 20, 'HCFA fila para processamento em lote e impressão');
INSERT INTO `lang_definitions` VALUES (75405, 5234, 20, 'Fila para o UB-92 lotes de processamento');
INSERT INTO `lang_definitions` VALUES (75406, 5235, 20, 'Fila para o UB-92 lotes de processamento e impressão');
INSERT INTO `lang_definitions` VALUES (75407, 5236, 20, 'Enfileirado');
INSERT INTO `lang_definitions` VALUES (75408, 5237, 20, 'Em fila de espera de eventos Administração');
INSERT INTO `lang_definitions` VALUES (75409, 5238, 20, 'Em fila de espera para');
INSERT INTO `lang_definitions` VALUES (75410, 5240, 20, 'Submissões fila Administração');
INSERT INTO `lang_definitions` VALUES (75411, 5243, 20, 'R');
INSERT INTO `lang_definitions` VALUES (75412, 5245, 20, 'Raça');
INSERT INTO `lang_definitions` VALUES (75413, 5247, 20, 'Raça / Etnia');
INSERT INTO `lang_definitions` VALUES (75414, 5248, 20, 'Rádio');
INSERT INTO `lang_definitions` VALUES (75415, 5249, 20, 'Radio buttons');
INSERT INTO `lang_definitions` VALUES (75416, 5252, 20, 'Pruridos');
INSERT INTO `lang_definitions` VALUES (75417, 5253, 20, 'Categoria');
INSERT INTO `lang_definitions` VALUES (75418, 5261, 20, 'Reaberto');
INSERT INTO `lang_definitions` VALUES (75419, 5262, 20, 'Reaberto');
INSERT INTO `lang_definitions` VALUES (75420, 5264, 20, 'Reações');
INSERT INTO `lang_definitions` VALUES (75421, 5268, 20, 'Nome real');
INSERT INTO `lang_definitions` VALUES (75422, 5270, 20, 'Motivo');
INSERT INTO `lang_definitions` VALUES (75423, 5274, 20, 'Motivo do encaminhamento');
INSERT INTO `lang_definitions` VALUES (75424, 5275, 20, 'Motivo da visita');
INSERT INTO `lang_definitions` VALUES (75425, 5276, 20, 'Motivo / Forma');
INSERT INTO `lang_definitions` VALUES (75426, 5277, 20, 'Recibo');
INSERT INTO `lang_definitions` VALUES (75427, 5278, 20, 'Recibo de pagamento');
INSERT INTO `lang_definitions` VALUES (75428, 5279, 20, 'Recibo Gerado');
INSERT INTO `lang_definitions` VALUES (75429, 5280, 20, 'Recibos de Pagamento Relatório');
INSERT INTO `lang_definitions` VALUES (75430, 5281, 20, 'Recibos Resumo');
INSERT INTO `lang_definitions` VALUES (75431, 5282, 20, 'Recebido');
INSERT INTO `lang_definitions` VALUES (75432, 5283, 20, 'Recebido Por');
INSERT INTO `lang_definitions` VALUES (75433, 5284, 20, 'Os faxes recebidos');
INSERT INTO `lang_definitions` VALUES (75434, 5287, 20, 'Receptor');
INSERT INTO `lang_definitions` VALUES (75435, 5288, 20, 'Identificação do receptor');
INSERT INTO `lang_definitions` VALUES (75436, 5300, 20, 'Recomendações');
INSERT INTO `lang_definitions` VALUES (75437, 5301, 20, 'Recomendações e tratamento');
INSERT INTO `lang_definitions` VALUES (75438, 5302, 20, 'Recomendações do especialista');
INSERT INTO `lang_definitions` VALUES (75439, 5314, 20, 'Registro de Pagamento');
INSERT INTO `lang_definitions` VALUES (75440, 5319, 20, 'registros encontrados.');
INSERT INTO `lang_definitions` VALUES (75441, 5322, 20, 'Retal');
INSERT INTO `lang_definitions` VALUES (75442, 5323, 20, 'Exame Retal');
INSERT INTO `lang_definitions` VALUES (75443, 5324, 20, 'retal');
INSERT INTO `lang_definitions` VALUES (75444, 5326, 20, 'Vermelhidão');
INSERT INTO `lang_definitions` VALUES (75445, 5327, 20, 'reduzido:');
INSERT INTO `lang_definitions` VALUES (75446, 5328, 20, 'Consulte');
INSERT INTO `lang_definitions` VALUES (75447, 5329, 20, 'Ao se referir');
INSERT INTO `lang_definitions` VALUES (75448, 5330, 20, 'Data Consulte');
INSERT INTO `lang_definitions` VALUES (75449, 5331, 20, 'Consulte');
INSERT INTO `lang_definitions` VALUES (75450, 5332, 20, 'Referência classificação (nível de risco)');
INSERT INTO `lang_definitions` VALUES (75451, 5334, 20, 'Referência Reason');
INSERT INTO `lang_definitions` VALUES (75452, 5336, 20, 'Atribuir nome e assinatura');
INSERT INTO `lang_definitions` VALUES (75453, 5337, 20, 'Atribuir');
INSERT INTO `lang_definitions` VALUES (75454, 5338, 20, 'Por remessa');
INSERT INTO `lang_definitions` VALUES (75455, 5339, 20, 'Atribuir Cartão');
INSERT INTO `lang_definitions` VALUES (75456, 5340, 20, 'Data de remessa');
INSERT INTO `lang_definitions` VALUES (75457, 5341, 20, 'Consulta Formulário');
INSERT INTO `lang_definitions` VALUES (75458, 5342, 20, 'FORMA DE REMESSA');
INSERT INTO `lang_definitions` VALUES (75459, 5345, 20, 'Fonte de referência');
INSERT INTO `lang_definitions` VALUES (75460, 5347, 20, 'Consulta de');
INSERT INTO `lang_definitions` VALUES (75461, 5348, 20, 'Diagnósticos');
INSERT INTO `lang_definitions` VALUES (75462, 5349, 20, 'Relatório de Diagnósticos');
INSERT INTO `lang_definitions` VALUES (75463, 5350, 20, 'Diagnosticado por');
INSERT INTO `lang_definitions` VALUES (75464, 5351, 20, 'Diagnosticados por');
INSERT INTO `lang_definitions` VALUES (75465, 5352, 20, 'Diagnosticado');
INSERT INTO `lang_definitions` VALUES (75466, 5353, 20, 'Médico');
INSERT INTO `lang_definitions` VALUES (75467, 5355, 20, 'Diagnóstico do médico');
INSERT INTO `lang_definitions` VALUES (75468, 5356, 20, 'Diagnóstico Referido');
INSERT INTO `lang_definitions` VALUES (75469, 5357, 20, 'Referindo-se médico e clínica');
INSERT INTO `lang_definitions` VALUES (75470, 5358, 20, 'Referindo-Médico');
INSERT INTO `lang_definitions` VALUES (75471, 5360, 20, 'Recargas');
INSERT INTO `lang_definitions` VALUES (75472, 5361, 20, 'recargas');
INSERT INTO `lang_definitions` VALUES (75473, 5362, 20, 'Reflexos normais');
INSERT INTO `lang_definitions` VALUES (75474, 5363, 20, 'Atualizar');
INSERT INTO `lang_definitions` VALUES (75475, 5369, 20, 'reg_re');
INSERT INTO `lang_definitions` VALUES (75476, 5370, 20, 'Registre-se');
INSERT INTO `lang_definitions` VALUES (75477, 5372, 20, 'Registado');
INSERT INTO `lang_definitions` VALUES (75478, 5373, 20, 'registada');
INSERT INTO `lang_definitions` VALUES (75479, 5375, 20, 'Data de Registro');
INSERT INTO `lang_definitions` VALUES (75480, 5376, 20, 'Formulário de Inscrição');
INSERT INTO `lang_definitions` VALUES (75481, 5377, 20, 'Reabilitação');
INSERT INTO `lang_definitions` VALUES (75482, 5381, 20, 'Relate To');
INSERT INTO `lang_definitions` VALUES (75483, 5382, 20, 'Relacionados');
INSERT INTO `lang_definitions` VALUES (75484, 5385, 20, 'Relação (s) / Crianças');
INSERT INTO `lang_definitions` VALUES (75485, 5387, 20, 'Parentesco');
INSERT INTO `lang_definitions` VALUES (75486, 5389, 20, 'Parentes');
INSERT INTO `lang_definitions` VALUES (75487, 5399, 20, 'Credenciais Relay Saúde estão em falta a partir desta conta de usuário.');
INSERT INTO `lang_definitions` VALUES (75488, 5400, 20, 'Relay Saúde ID');
INSERT INTO `lang_definitions` VALUES (75489, 5403, 20, 'Religião');
INSERT INTO `lang_definitions` VALUES (75490, 5406, 20, 'Relogin');
INSERT INTO `lang_definitions` VALUES (75491, 5416, 20, 'Remover');
INSERT INTO `lang_definitions` VALUES (75492, 5419, 20, 'Remover Grupo');
INSERT INTO `lang_definitions` VALUES (75493, 5420, 20, 'Remover Grupo Forma');
INSERT INTO `lang_definitions` VALUES (75494, 5426, 20, 'Renal Stones');
INSERT INTO `lang_definitions` VALUES (75495, 5428, 20, 'Renomear Grupo');
INSERT INTO `lang_definitions` VALUES (75496, 5429, 20, 'Rendering');
INSERT INTO `lang_definitions` VALUES (75497, 5430, 20, 'Rendering Provider');
INSERT INTO `lang_definitions` VALUES (75498, 5431, 20, 'Rendering Provider Number');
INSERT INTO `lang_definitions` VALUES (75499, 5433, 20, 'Ao reordenar');
INSERT INTO `lang_definitions` VALUES (75500, 5439, 20, 'Info Repetindo:');
INSERT INTO `lang_definitions` VALUES (75501, 5440, 20, 'Repete');
INSERT INTO `lang_definitions` VALUES (75502, 5444, 20, 'Data Responder');
INSERT INTO `lang_definitions` VALUES (75503, 5445, 20, 'De Responder');
INSERT INTO `lang_definitions` VALUES (75504, 5446, 20, 'Relatório');
INSERT INTO `lang_definitions` VALUES (75505, 5449, 20, 'Relatório');
INSERT INTO `lang_definitions` VALUES (75506, 5458, 20, 'Totals Report');
INSERT INTO `lang_definitions` VALUES (75507, 5463, 20, 'Relatórios');
INSERT INTO `lang_definitions` VALUES (75508, 5467, 20, 'Pedido ignorado - tratamento dos pedidos já está em execução!');
INSERT INTO `lang_definitions` VALUES (75509, 5474, 20, 'Serviço solicitado');
INSERT INTO `lang_definitions` VALUES (75510, 5477, 20, 'Necessário');
INSERT INTO `lang_definitions` VALUES (75511, 5485, 20, 'RESERVADO');
INSERT INTO `lang_definitions` VALUES (75512, 5486, 20, 'Reservado');
INSERT INTO `lang_definitions` VALUES (75513, 5487, 20, 'Reservado para uso para definir o tempo de férias agendadas');
INSERT INTO `lang_definitions` VALUES (75514, 5488, 20, 'Reservado para definir quando um fornecedor pode não ter disponível após a nomeação.');
INSERT INTO `lang_definitions` VALUES (75515, 5489, 20, 'Reservado para definir quando um evento não ocorreu, conforme especificado.');
INSERT INTO `lang_definitions` VALUES (75516, 5490, 20, 'Tempo disponível na clínica.');
INSERT INTO `lang_definitions` VALUES (75517, 5496, 20, 'Resolvidas');
INSERT INTO `lang_definitions` VALUES (75518, 5497, 20, 'Respiração');
INSERT INTO `lang_definitions` VALUES (75519, 5498, 20, 'Esforço Respirador unlabored');
INSERT INTO `lang_definitions` VALUES (75520, 5499, 20, 'Respiratory');
INSERT INTO `lang_definitions` VALUES (75521, 5503, 20, 'Restrita Formação');
INSERT INTO `lang_definitions` VALUES (75522, 5504, 20, 'Resultado');
INSERT INTO `lang_definitions` VALUES (75523, 5511, 20, 'Resultados encontrados para pesquisa');
INSERT INTO `lang_definitions` VALUES (75524, 5517, 20, 'Exame da retina');
INSERT INTO `lang_definitions` VALUES (75525, 5518, 20, 'Retraído Direita:');
INSERT INTO `lang_definitions` VALUES (75526, 5519, 20, 'Retorno');
INSERT INTO `lang_definitions` VALUES (75527, 5521, 20, 'Voltar à agenda');
INSERT INTO `lang_definitions` VALUES (75528, 5527, 20, 'Valor de retorno');
INSERT INTO `lang_definitions` VALUES (75529, 5528, 20, 'Visite Retorno');
INSERT INTO `lang_definitions` VALUES (75530, 5529, 20, 'Voltou a jogar');
INSERT INTO `lang_definitions` VALUES (75531, 5534, 20, 'Revisão do PMH');
INSERT INTO `lang_definitions` VALUES (75532, 5535, 20, 'Revisão dos sistemas');
INSERT INTO `lang_definitions` VALUES (75533, 5536, 20, 'Antecedentes Pessoais');
INSERT INTO `lang_definitions` VALUES (75534, 5538, 20, 'Revisão');
INSERT INTO `lang_definitions` VALUES (75535, 5540, 20, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (75536, 5541, 20, 'Direito');
INSERT INTO `lang_definitions` VALUES (75537, 5542, 20, 'Orelha Direita');
INSERT INTO `lang_definitions` VALUES (75538, 5543, 20, 'orelha direita');
INSERT INTO `lang_definitions` VALUES (75539, 5545, 20, 'Direita:');
INSERT INTO `lang_definitions` VALUES (75540, 5546, 20, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (75541, 5547, 20, 'Zumbidos nos ouvidos');
INSERT INTO `lang_definitions` VALUES (75542, 5549, 20, 'Fatores de Risco');
INSERT INTO `lang_definitions` VALUES (75543, 5550, 20, 'Nível de Risco');
INSERT INTO `lang_definitions` VALUES (75544, 5551, 20, 'RLL:');
INSERT INTO `lang_definitions` VALUES (75545, 5552, 20, 'ROM');
INSERT INTO `lang_definitions` VALUES (75546, 5560, 20, 'Plantel');
INSERT INTO `lang_definitions` VALUES (75547, 5561, 20, 'Rota');
INSERT INTO `lang_definitions` VALUES (75548, 5564, 20, 'Filas');
INSERT INTO `lang_definitions` VALUES (75549, 5565, 20, 'RRR sem MOR');
INSERT INTO `lang_definitions` VALUES (75550, 5566, 20, 'Rub:');
INSERT INTO `lang_definitions` VALUES (75551, 5567, 20, 'Rubs:');
INSERT INTO `lang_definitions` VALUES (75552, 5581, 20, 'Comando de duração: ');
INSERT INTO `lang_definitions` VALUES (75553, 5582, 20, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (75554, 5583, 20, 'Russo');
INSERT INTO `lang_definitions` VALUES (75555, 5584, 20, 'Rx');
INSERT INTO `lang_definitions` VALUES (75556, 5585, 20, 'RX');
INSERT INTO `lang_definitions` VALUES (75557, 5600, 20, 'S');
INSERT INTO `lang_definitions` VALUES (75558, 5601, 20, 'CPF');
INSERT INTO `lang_definitions` VALUES (75559, 5602, 20, 'S3:');
INSERT INTO `lang_definitions` VALUES (75560, 5603, 20, 'S4:');
INSERT INTO `lang_definitions` VALUES (75561, 5604, 20, 'SA * * Para ler a licença, por favor leia o docs / license.txt ou visite http://www.gnu.org/copyleft/gpl.html * * * / //============ ================================================== =========== / / ');
INSERT INTO `lang_definitions` VALUES (75562, 5606, 20, 'Vendas');
INSERT INTO `lang_definitions` VALUES (75563, 5607, 20, 'Vendas por Item');
INSERT INTO `lang_definitions` VALUES (75564, 5608, 20, 'Relatório de vendas por produto');
INSERT INTO `lang_definitions` VALUES (75565, 5610, 20, 'Mesmo dia');
INSERT INTO `lang_definitions` VALUES (75566, 5612, 20, 'Amostra');
INSERT INTO `lang_definitions` VALUES (75567, 5613, 20, 'Sanção Tipo');
INSERT INTO `lang_definitions` VALUES (75568, 5617, 20, 'Sáb');
INSERT INTO `lang_definitions` VALUES (75569, 5618, 20, 'Sáb & Dom');
INSERT INTO `lang_definitions` VALUES (75570, 5619, 20, 'Sábado');
INSERT INTO `lang_definitions` VALUES (75571, 5620, 20, 'Salvar');
INSERT INTO `lang_definitions` VALUES (75572, 5624, 20, 'Salvar e Dispense');
INSERT INTO `lang_definitions` VALUES (75573, 5626, 20, 'Salvar como nova');
INSERT INTO `lang_definitions` VALUES (75574, 5629, 20, 'Salvar alterações');
INSERT INTO `lang_definitions` VALUES (75575, 5630, 20, 'Salvar Form');
INSERT INTO `lang_definitions` VALUES (75576, 5631, 20, 'Salvar Vacinação');
INSERT INTO `lang_definitions` VALUES (75577, 5632, 20, 'Salvar Novo Campo');
INSERT INTO `lang_definitions` VALUES (75578, 5633, 20, 'Salvar Novo Grupo');
INSERT INTO `lang_definitions` VALUES (75579, 5634, 20, 'Salvar Lista');
INSERT INTO `lang_definitions` VALUES (75580, 5635, 20, 'Salvar novo modelo');
INSERT INTO `lang_definitions` VALUES (75581, 5637, 20, 'Salvar Informações do Paciente');
INSERT INTO `lang_definitions` VALUES (75582, 5638, 20, 'Guarde bem sucedido para gráfico ID');
INSERT INTO `lang_definitions` VALUES (75583, 5639, 20, 'Salvar Operação');
INSERT INTO `lang_definitions` VALUES (75584, 5641, 20, 'Digitalizada');
INSERT INTO `lang_definitions` VALUES (75585, 5642, 20, 'Scanned Nota Encounter');
INSERT INTO `lang_definitions` VALUES (75586, 5644, 20, 'Em Scanner');
INSERT INTO `lang_definitions` VALUES (75587, 5645, 20, 'Cronograma');
INSERT INTO `lang_definitions` VALUES (75588, 5646, 20, 'Agenda da Clínica:');
INSERT INTO `lang_definitions` VALUES (75589, 5647, 20, 'NOTA ESCOLA');
INSERT INTO `lang_definitions` VALUES (75590, 5648, 20, 'Escoliose');
INSERT INTO `lang_definitions` VALUES (75591, 5651, 20, 'SE');
INSERT INTO `lang_definitions` VALUES (75592, 5652, 20, 'SE Endereço');
INSERT INTO `lang_definitions` VALUES (75593, 5653, 20, 'SE Cidade');
INSERT INTO `lang_definitions` VALUES (75594, 5654, 20, 'SE País');
INSERT INTO `lang_definitions` VALUES (75595, 5655, 20, 'SE Bairro');
INSERT INTO `lang_definitions` VALUES (75596, 5656, 20, 'SE CEP');
INSERT INTO `lang_definitions` VALUES (75597, 5657, 20, 'SE Estado');
INSERT INTO `lang_definitions` VALUES (75598, 5658, 20, 'SE CEP');
INSERT INTO `lang_definitions` VALUES (75599, 5659, 20, 'Pesquisa');
INSERT INTO `lang_definitions` VALUES (75600, 5661, 20, 'pesquisa');
INSERT INTO `lang_definitions` VALUES (75601, 5662, 20, 'busca novamente');
INSERT INTO `lang_definitions` VALUES (75602, 5663, 20, 'Buscar todas as Colunas');
INSERT INTO `lang_definitions` VALUES (75603, 5664, 20, 'Busca por:');
INSERT INTO `lang_definitions` VALUES (75604, 5665, 20, 'Busca por:');
INSERT INTO `lang_definitions` VALUES (75605, 5666, 20, 'Busca por:');
INSERT INTO `lang_definitions` VALUES (75606, 5667, 20, 'Procurar em');
INSERT INTO `lang_definitions` VALUES (75607, 5668, 20, 'Procurar em');
INSERT INTO `lang_definitions` VALUES (75608, 5669, 20, 'Procurar ou Adicionar Paciente');
INSERT INTO `lang_definitions` VALUES (75609, 5672, 20, 'Resultados da Pesquisa:');
INSERT INTO `lang_definitions` VALUES (75610, 5674, 20, 'O termo de procura não tem correspondência na base de dados');
INSERT INTO `lang_definitions` VALUES (75611, 5675, 20, 'Termo de procura deve ter pelo menos três carateres');
INSERT INTO `lang_definitions` VALUES (75612, 5677, 20, 'Pesquisa de Eventos');
INSERT INTO `lang_definitions` VALUES (75613, 5679, 20, 'Buscar / Adicionar Seguradora');
INSERT INTO `lang_definitions` VALUES (75614, 5680, 20, 'Procurando nomeações');
INSERT INTO `lang_definitions` VALUES (75615, 5681, 20, 'Pesquisando ...');
INSERT INTO `lang_definitions` VALUES (75616, 5682, 20, 'Use cinto de segurança');
INSERT INTO `lang_definitions` VALUES (75617, 5683, 20, 'Uso do cinto');
INSERT INTO `lang_definitions` VALUES (75618, 5684, 20, 'Segunda');
INSERT INTO `lang_definitions` VALUES (75619, 5687, 20, 'Segundo');
INSERT INTO `lang_definitions` VALUES (75620, 5688, 20, 'Segundo Convênio');
INSERT INTO `lang_definitions` VALUES (75621, 5689, 20, 'Dados do Segundo Convênio');
INSERT INTO `lang_definitions` VALUES (75622, 5690, 20, 'Segundo Convênio');
INSERT INTO `lang_definitions` VALUES (75623, 5693, 20, 'ID');
INSERT INTO `lang_definitions` VALUES (75624, 5694, 20, 'ID e Nome Não podem estar vazios');
INSERT INTO `lang_definitions` VALUES (75625, 5695, 20, 'Nome');
INSERT INTO `lang_definitions` VALUES (75626, 5696, 20, 'Seção salva com sucesso');
INSERT INTO `lang_definitions` VALUES (75627, 5698, 20, 'Segurança');
INSERT INTO `lang_definitions` VALUES (75628, 5699, 20, 'Todos Médicos');
INSERT INTO `lang_definitions` VALUES (75629, 5700, 20, 'Veja Autorizações');
INSERT INTO `lang_definitions` VALUES (75630, 5701, 20, 'Veja Growth-chart');
INSERT INTO `lang_definitions` VALUES (75631, 5702, 20, 'Veja mensagens do último conjunto de créditos gerados');
INSERT INTO `lang_definitions` VALUES (75632, 5704, 20, 'Atividade desde');
INSERT INTO `lang_definitions` VALUES (75633, 5707, 20, 'Apreensões');
INSERT INTO `lang_definitions` VALUES (75634, 5708, 20, 'Sel');
INSERT INTO `lang_definitions` VALUES (75635, 5709, 20, 'Selecione');
INSERT INTO `lang_definitions` VALUES (75636, 5710, 20, 'Selecionar');
INSERT INTO `lang_definitions` VALUES (75637, 5711, 20, 'Selecionar um Componente');
INSERT INTO `lang_definitions` VALUES (75638, 5712, 20, 'Selecionar um Contexto');
INSERT INTO `lang_definitions` VALUES (75639, 5715, 20, 'Selecionar Usuario');
INSERT INTO `lang_definitions` VALUES (75640, 5716, 20, 'Selecionar Tudo');
INSERT INTO `lang_definitions` VALUES (75641, 5720, 20, 'Selecionar Categoria');
INSERT INTO `lang_definitions` VALUES (75642, 5721, 20, 'Selecionar preferencias de Comunicação');
INSERT INTO `lang_definitions` VALUES (75643, 5722, 20, 'Selecionar checkboxes para deletar');
INSERT INTO `lang_definitions` VALUES (75644, 5724, 20, 'Selecionar Tabela CSV');
INSERT INTO `lang_definitions` VALUES (75645, 5736, 20, 'Selecionar campo');
INSERT INTO `lang_definitions` VALUES (75646, 5737, 20, 'Selecione Campo');
INSERT INTO `lang_definitions` VALUES (75647, 5738, 20, 'Selecionar para impressão');
INSERT INTO `lang_definitions` VALUES (75648, 5742, 20, 'Emissão Selecione');
INSERT INTO `lang_definitions` VALUES (75649, 5754, 20, 'Selecione os itens de configuração para exportação');
INSERT INTO `lang_definitions` VALUES (75650, 5762, 20, 'Selecione Sim para confirmar a exclusão do grupo');
INSERT INTO `lang_definitions` VALUES (75651, 5768, 20, 'Self');
INSERT INTO `lang_definitions` VALUES (75652, 5769, 20, 'Pagamento Self');
INSERT INTO `lang_definitions` VALUES (75653, 5774, 20, 'Enviar em andamento');
INSERT INTO `lang_definitions` VALUES (75654, 5788, 20, 'Remetente');
INSERT INTO `lang_definitions` VALUES (75655, 5789, 20, 'Remetente ID');
INSERT INTO `lang_definitions` VALUES (75656, 5794, 20, 'Sensibilidades');
INSERT INTO `lang_definitions` VALUES (75657, 5795, 20, 'Sensibilidade:');
INSERT INTO `lang_definitions` VALUES (75658, 5796, 20, 'Sensorial exame normal');
INSERT INTO `lang_definitions` VALUES (75659, 5804, 20, 'Enviada com sucesso!');
INSERT INTO `lang_definitions` VALUES (75660, 5807, 20, 'enviadas para a impressora.');
INSERT INTO `lang_definitions` VALUES (75661, 5813, 20, 'Separado');
INSERT INTO `lang_definitions` VALUES (75662, 5814, 20, 'Setembro');
INSERT INTO `lang_definitions` VALUES (75663, 5822, 20, 'Categoria de Serviço');
INSERT INTO `lang_definitions` VALUES (75664, 5826, 20, 'Data Serviço');
INSERT INTO `lang_definitions` VALUES (75665, 5827, 20, 'Data Serviço:');
INSERT INTO `lang_definitions` VALUES (75666, 5829, 20, 'Localização');
INSERT INTO `lang_definitions` VALUES (75667, 5831, 20, 'Serviço prestado pelo especialista');
INSERT INTO `lang_definitions` VALUES (75668, 5834, 20, 'Serviços');
INSERT INTO `lang_definitions` VALUES (75669, 5835, 20, 'Serviços por Categoria');
INSERT INTO `lang_definitions` VALUES (75670, 5836, 20, 'Serviços prestados');
INSERT INTO `lang_definitions` VALUES (75671, 5837, 20, 'Serviços Prestados');
INSERT INTO `lang_definitions` VALUES (75672, 5849, 20, 'Definições');
INSERT INTO `lang_definitions` VALUES (75673, 5851, 20, 'Severe Migraine');
INSERT INTO `lang_definitions` VALUES (75674, 5853, 20, 'Severidade da dor');
INSERT INTO `lang_definitions` VALUES (75675, 5854, 20, 'Severidade da dor:');
INSERT INTO `lang_definitions` VALUES (75676, 5855, 20, 'Sexo');
INSERT INTO `lang_definitions` VALUES (75677, 5856, 20, 'Doenças Sexualmente Transmissíveis');
INSERT INTO `lang_definitions` VALUES (75678, 5859, 20, 'Compartilhamento');
INSERT INTO `lang_definitions` VALUES (75679, 5864, 20, 'Falta de ar');
INSERT INTO `lang_definitions` VALUES (75680, 5865, 20, 'Shortness de respiração');
INSERT INTO `lang_definitions` VALUES (75681, 5866, 20, 'Shortness de respiração 2');
INSERT INTO `lang_definitions` VALUES (75682, 5867, 20, 'Shot Record');
INSERT INTO `lang_definitions` VALUES (75683, 5868, 20, 'Shot Record a partir de:');
INSERT INTO `lang_definitions` VALUES (75684, 5870, 20, 'deve ser como nnnnn nnnn-nn');
INSERT INTO `lang_definitions` VALUES (75685, 5874, 20, 'Ombro');
INSERT INTO `lang_definitions` VALUES (75686, 5875, 20, 'Ombro + clavícula');
INSERT INTO `lang_definitions` VALUES (75687, 5876, 20, 'Problemas de ombro');
INSERT INTO `lang_definitions` VALUES (75688, 5877, 20, 'Mostrar');
INSERT INTO `lang_definitions` VALUES (75689, 5884, 20, 'Mostrar como Ocupado');
INSERT INTO `lang_definitions` VALUES (75690, 5885, 20, 'Mostrar apenas autorizado');
INSERT INTO `lang_definitions` VALUES (75691, 5889, 20, 'Mostrar Detalhes');
INSERT INTO `lang_definitions` VALUES (75692, 5892, 20, 'Mostrar texto de eventos que paira sobre mouseover?');
INSERT INTO `lang_definitions` VALUES (75693, 5893, 20, 'Mostrar eventos como muitas páginas de administração?');
INSERT INTO `lang_definitions` VALUES (75694, 5906, 20, 'Mostrar Relatório');
INSERT INTO `lang_definitions` VALUES (75695, 5907, 20, 'Mostrar / Buscar - apresentar links em bloco?');
INSERT INTO `lang_definitions` VALUES (75696, 5913, 20, 'Mostrar só não faturada');
INSERT INTO `lang_definitions` VALUES (75697, 5920, 20, 'Irmãos');
INSERT INTO `lang_definitions` VALUES (75698, 5921, 20, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (75699, 5922, 20, 'Sig');
INSERT INTO `lang_definitions` VALUES (75700, 5923, 20, 'Sigmóide / Colonoscopia');
INSERT INTO `lang_definitions` VALUES (75701, 5927, 20, 'Assinatura');
INSERT INTO `lang_definitions` VALUES (75702, 5929, 20, 'Assinatura:');
INSERT INTO `lang_definitions` VALUES (75703, 5932, 20, 'Inchaço significativo:');
INSERT INTO `lang_definitions` VALUES (75704, 5937, 20, 'Desde');
INSERT INTO `lang_definitions` VALUES (75705, 5940, 20, 'Solteiro');
INSERT INTO `lang_definitions` VALUES (75706, 5946, 20, 'Problemas do seio');
INSERT INTO `lang_definitions` VALUES (75707, 5947, 20, 'Sinus Cirurgia');
INSERT INTO `lang_definitions` VALUES (75708, 5948, 20, 'SINUS ternura:');
INSERT INTO `lang_definitions` VALUES (75709, 5949, 20, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (75710, 5956, 20, 'Tamanho');
INSERT INTO `lang_definitions` VALUES (75711, 5957, 20, 'Tamanho deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (75712, 5958, 20, 'Tamanho / Lista');
INSERT INTO `lang_definitions` VALUES (75713, 5959, 20, 'Pele');
INSERT INTO `lang_definitions` VALUES (75714, 5960, 20, 'Câncer de Pele');
INSERT INTO `lang_definitions` VALUES (75715, 5961, 20, 'Doença de pele');
INSERT INTO `lang_definitions` VALUES (75716, 5962, 20, 'De pele Outros');
INSERT INTO `lang_definitions` VALUES (75717, 5967, 20, 'Os padrões de sono');
INSERT INTO `lang_definitions` VALUES (75718, 5968, 20, 'Os padrões de sono');
INSERT INTO `lang_definitions` VALUES (75719, 5969, 20, 'Sono');
INSERT INTO `lang_definitions` VALUES (75720, 5970, 20, 'Eslovaco');
INSERT INTO `lang_definitions` VALUES (75721, 5972, 20, 'Sm dívida w / o');
INSERT INTO `lang_definitions` VALUES (75722, 5973, 20, 'Smarty Cache foi limpo');
INSERT INTO `lang_definitions` VALUES (75723, 5978, 20, 'SMS Gateway');
INSERT INTO `lang_definitions` VALUES (75724, 5979, 20, 'SMS Gateway API chave');
INSERT INTO `lang_definitions` VALUES (75725, 5983, 20, 'Notificação de SMS');
INSERT INTO `lang_definitions` VALUES (75726, 5985, 20, 'Antes de enviar SMS');
INSERT INTO `lang_definitions` VALUES (75727, 5987, 20, 'Texto SMS, Usable Tag: *** NOME ***, *** Médico ***, *** DATA ***, *** STARTTIME ***, *** *** ENDTIME <br> ou seja, Dear *** NOME ***');
INSERT INTO `lang_definitions` VALUES (75728, 5988, 20, 'SMS / Email configurações de alerta');
INSERT INTO `lang_definitions` VALUES (75729, 6004, 20, 'Ronco');
INSERT INTO `lang_definitions` VALUES (75730, 6005, 20, 'Anamnese');
INSERT INTO `lang_definitions` VALUES (75731, 6006, 20, 'Dificuldades Social');
INSERT INTO `lang_definitions` VALUES (75732, 6009, 20, 'Histórico Social:');
INSERT INTO `lang_definitions` VALUES (75733, 6010, 20, 'Social Security Number');
INSERT INTO `lang_definitions` VALUES (75734, 6011, 20, 'solução');
INSERT INTO `lang_definitions` VALUES (75735, 6013, 20, 'Somatic Contexto');
INSERT INTO `lang_definitions` VALUES (75736, 6014, 20, 'Algumas autorizações não foram exibidos. Clique aqui para ver todos');
INSERT INTO `lang_definitions` VALUES (75737, 6015, 20, 'Alguns códigos não eram exibidas.');
INSERT INTO `lang_definitions` VALUES (75738, 6016, 20, 'Alguns encontros não foram exibidos. Clique aqui para ver todos.');
INSERT INTO `lang_definitions` VALUES (75739, 6018, 20, 'Algumas notas não eram exibidas.');
INSERT INTO `lang_definitions` VALUES (75740, 6020, 20, 'algumas palavras');
INSERT INTO `lang_definitions` VALUES (75741, 6026, 20, 'Sore Throat');
INSERT INTO `lang_definitions` VALUES (75742, 6029, 20, 'Ordenar por');
INSERT INTO `lang_definitions` VALUES (75743, 6032, 20, 'Ordenar por Comentários');
INSERT INTO `lang_definitions` VALUES (75744, 6034, 20, 'Classificar por data');
INSERT INTO `lang_definitions` VALUES (75745, 6035, 20, 'Classificar por data / hora');
INSERT INTO `lang_definitions` VALUES (75746, 6036, 20, 'Ordenar por evento');
INSERT INTO `lang_definitions` VALUES (75747, 6037, 20, 'Classificar por grupo');
INSERT INTO `lang_definitions` VALUES (75748, 6043, 20, 'Ordenar por Usuário');
INSERT INTO `lang_definitions` VALUES (75749, 6044, 20, 'Ordenar por vacinas');
INSERT INTO `lang_definitions` VALUES (75750, 6048, 20, 'Fonte');
INSERT INTO `lang_definitions` VALUES (75751, 6051, 20, 'Fonte está faltando para o código ');
INSERT INTO `lang_definitions` VALUES (75752, 6057, 20, 'Fonte:');
INSERT INTO `lang_definitions` VALUES (75753, 6062, 20, 'Espanhol');
INSERT INTO `lang_definitions` VALUES (75754, 6069, 20, 'Especialista em nome e assinatura');
INSERT INTO `lang_definitions` VALUES (75755, 6071, 20, 'Especialidade');
INSERT INTO `lang_definitions` VALUES (75756, 6072, 20, 'Especialidade Systems');
INSERT INTO `lang_definitions` VALUES (75757, 6073, 20, 'Especialidade:');
INSERT INTO `lang_definitions` VALUES (75758, 6074, 20, 'Específicos');
INSERT INTO `lang_definitions` VALUES (75759, 6078, 20, 'Específica');
INSERT INTO `lang_definitions` VALUES (75760, 6092, 20, 'Ditado Speech');
INSERT INTO `lang_definitions` VALUES (75761, 6093, 20, 'Espermicidas');
INSERT INTO `lang_definitions` VALUES (75762, 6094, 20, 'Esplenectomia');
INSERT INTO `lang_definitions` VALUES (75763, 6095, 20, 'Cônjuge');
INSERT INTO `lang_definitions` VALUES (75764, 6097, 20, 'Escarro');
INSERT INTO `lang_definitions` VALUES (75765, 6098, 20, 'Escarro:');
INSERT INTO `lang_definitions` VALUES (75766, 6099, 20, 'SQ');
INSERT INTO `lang_definitions` VALUES (75767, 6102, 20, 'Plantel');
INSERT INTO `lang_definitions` VALUES (75768, 6103, 20, 'Squad Sócio');
INSERT INTO `lang_definitions` VALUES (75769, 6104, 20, 'Esquadrões');
INSERT INTO `lang_definitions` VALUES (75770, 6105, 20, 'SRH');
INSERT INTO `lang_definitions` VALUES (75771, 6106, 20, 'SRH - Planejamento Familiar');
INSERT INTO `lang_definitions` VALUES (75772, 6107, 20, 'SRH Non Planejamento Familiar');
INSERT INTO `lang_definitions` VALUES (75773, 6108, 20, 'SRH Referências');
INSERT INTO `lang_definitions` VALUES (75774, 6109, 20, 'SRH Ficha de Visita');
INSERT INTO `lang_definitions` VALUES (75775, 6111, 20, 'CPF');
INSERT INTO `lang_definitions` VALUES (75776, 6113, 20, 'CPF');
INSERT INTO `lang_definitions` VALUES (75777, 6114, 20, 'Estabilidade');
INSERT INTO `lang_definitions` VALUES (75778, 6116, 20, 'Normal');
INSERT INTO `lang_definitions` VALUES (75779, 6124, 20, 'Iniciar');
INSERT INTO `lang_definitions` VALUES (75780, 6125, 20, 'Start (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (75781, 6128, 20, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (75782, 6129, 20, 'Data de início na clínica');
INSERT INTO `lang_definitions` VALUES (75783, 6131, 20, 'Data de início:');
INSERT INTO `lang_definitions` VALUES (75784, 6132, 20, 'Data de início:');
INSERT INTO `lang_definitions` VALUES (75785, 6133, 20, 'Data de Início');
INSERT INTO `lang_definitions` VALUES (75786, 6134, 20, 'Data de início');
INSERT INTO `lang_definitions` VALUES (75787, 6135, 20, 'Estado');
INSERT INTO `lang_definitions` VALUES (75788, 6136, 20, 'Estado');
INSERT INTO `lang_definitions` VALUES (75789, 6141, 20, 'Lista Estado (escrever, adicionar opcional)');
INSERT INTO `lang_definitions` VALUES (75790, 6144, 20, 'Estado / Local');
INSERT INTO `lang_definitions` VALUES (75791, 6145, 20, 'Estado / Parish');
INSERT INTO `lang_definitions` VALUES (75792, 6151, 20, 'Estatísticas');
INSERT INTO `lang_definitions` VALUES (75793, 6152, 20, 'Stats');
INSERT INTO `lang_definitions` VALUES (75794, 6153, 20, 'Status');
INSERT INTO `lang_definitions` VALUES (75795, 6156, 20, 'Status quo');
INSERT INTO `lang_definitions` VALUES (75796, 6158, 20, 'DST / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (75797, 6159, 20, 'Stength e Condicionamento');
INSERT INTO `lang_definitions` VALUES (75798, 6169, 20, 'Stiff Articulações');
INSERT INTO `lang_definitions` VALUES (75799, 6170, 20, 'Rigidez');
INSERT INTO `lang_definitions` VALUES (75800, 6172, 20, 'Dores de estômago');
INSERT INTO `lang_definitions` VALUES (75801, 6175, 20, 'Tensão do músculo');
INSERT INTO `lang_definitions` VALUES (75802, 6176, 20, 'Fluxo');
INSERT INTO `lang_definitions` VALUES (75803, 6177, 20, 'Rua');
INSERT INTO `lang_definitions` VALUES (75804, 6179, 20, 'Rua e número');
INSERT INTO `lang_definitions` VALUES (75805, 6180, 20, 'Força');
INSERT INTO `lang_definitions` VALUES (75806, 6182, 20, 'Strep Throat');
INSERT INTO `lang_definitions` VALUES (75807, 6183, 20, 'Fratura de estresse');
INSERT INTO `lang_definitions` VALUES (75808, 6184, 20, 'Teste de Stress');
INSERT INTO `lang_definitions` VALUES (75809, 6185, 20, 'Enfarte');
INSERT INTO `lang_definitions` VALUES (75810, 6189, 20, 'Sub-categoria');
INSERT INTO `lang_definitions` VALUES (75811, 6190, 20, 'Sub-Total');
INSERT INTO `lang_definitions` VALUES (75812, 6191, 20, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (75813, 6192, 20, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (75814, 6193, 20, 'subcutânea');
INSERT INTO `lang_definitions` VALUES (75815, 6195, 20, 'QeD');
INSERT INTO `lang_definitions` VALUES (75816, 6196, 20, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (75817, 6197, 20, 'sublingual');
INSERT INTO `lang_definitions` VALUES (75818, 6198, 20, 'Enviar');
INSERT INTO `lang_definitions` VALUES (75819, 6202, 20, 'Submeter evento');
INSERT INTO `lang_definitions` VALUES (75820, 6203, 20, 'enviar o formulário');
INSERT INTO `lang_definitions` VALUES (75821, 6206, 20, 'Enviado por');
INSERT INTO `lang_definitions` VALUES (75822, 6208, 20, 'Titular');
INSERT INTO `lang_definitions` VALUES (75823, 6209, 20, 'Endereço do Titular');
INSERT INTO `lang_definitions` VALUES (75824, 6213, 20, 'Empresa Titular');
INSERT INTO `lang_definitions` VALUES (75825, 6214, 20, 'Empresa Titular(SE)');
INSERT INTO `lang_definitions` VALUES (75826, 6215, 20, 'Endereço da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (75827, 6216, 20, 'Cidade da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (75828, 6217, 20, 'País da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (75829, 6218, 20, 'Estado da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (75830, 6221, 20, 'CEP da Empresa Titular');
INSERT INTO `lang_definitions` VALUES (75831, 6225, 20, 'Telefone Titular');
INSERT INTO `lang_definitions` VALUES (75832, 6226, 20, 'Titular Parentesco');
INSERT INTO `lang_definitions` VALUES (75833, 6227, 20, 'Titular Parentesco não é auto mas o nome é o mesmo! Is this OK?');
INSERT INTO `lang_definitions` VALUES (75834, 6228, 20, 'Titular Parentesco não é auto-SS, mas o número é o mesmo!');
INSERT INTO `lang_definitions` VALUES (75835, 6229, 20, 'Relação de Titular é auto mas o nome é diferente! Is this OK?');
INSERT INTO `lang_definitions` VALUES (75836, 6230, 20, 'Relação de Titular é auto, mas número de SS é diferente!');
INSERT INTO `lang_definitions` VALUES (75837, 6231, 20, 'Sexo do Titular');
INSERT INTO `lang_definitions` VALUES (75838, 6237, 20, 'Substituição');
INSERT INTO `lang_definitions` VALUES (75839, 6238, 20, 'substituição permitiu');
INSERT INTO `lang_definitions` VALUES (75840, 6241, 20, 'sucesso');
INSERT INTO `lang_definitions` VALUES (75841, 6247, 20, 'adicionado com êxito para a categoria,');
INSERT INTO `lang_definitions` VALUES (75842, 6256, 20, 'armazenados com êxito.');
INSERT INTO `lang_definitions` VALUES (75843, 6259, 20, 'com êxito.');
INSERT INTO `lang_definitions` VALUES (75844, 6260, 20, 'Suicídio');
INSERT INTO `lang_definitions` VALUES (75845, 6261, 20, 'Resumo');
INSERT INTO `lang_definitions` VALUES (75846, 6265, 20, 'Dom');
INSERT INTO `lang_definitions` VALUES (75847, 6267, 20, 'Domingo');
INSERT INTO `lang_definitions` VALUES (75848, 6268, 20, 'Superbill');
INSERT INTO `lang_definitions` VALUES (75849, 6269, 20, 'Superbill Códigos');
INSERT INTO `lang_definitions` VALUES (75850, 6270, 20, 'Superbill Códigos Administração');
INSERT INTO `lang_definitions` VALUES (75851, 6271, 20, 'Superbill Relatório');
INSERT INTO `lang_definitions` VALUES (75852, 6274, 20, 'Superbills, às vezes chamado de Encontro Forms ou deslizamentos de roteamento, são uma parte essencial da maioria das práticas médicas.');
INSERT INTO `lang_definitions` VALUES (75853, 6275, 20, 'Superusuário');
INSERT INTO `lang_definitions` VALUES (75854, 6276, 20, 'Supervisão');
INSERT INTO `lang_definitions` VALUES (75855, 6289, 20, 'Tipo de superfície');
INSERT INTO `lang_definitions` VALUES (75856, 6290, 20, 'Cirurgias');
INSERT INTO `lang_definitions` VALUES (75857, 6291, 20, 'Cirurgia');
INSERT INTO `lang_definitions` VALUES (75858, 6293, 20, 'Suspenso');
INSERT INTO `lang_definitions` VALUES (75859, 6294, 20, 'suspensão');
INSERT INTO `lang_definitions` VALUES (75860, 6295, 20, 'Data Svc');
INSERT INTO `lang_definitions` VALUES (75861, 6296, 20, 'Data Svc:');
INSERT INTO `lang_definitions` VALUES (75862, 6299, 20, 'Transpiração:');
INSERT INTO `lang_definitions` VALUES (75863, 6300, 20, 'Sueco');
INSERT INTO `lang_definitions` VALUES (75864, 6301, 20, 'Inchaço');
INSERT INTO `lang_definitions` VALUES (75865, 6302, 20, 'Inchaço Direito');
INSERT INTO `lang_definitions` VALUES (75866, 6303, 20, 'Articulações inchadas');
INSERT INTO `lang_definitions` VALUES (75867, 6304, 20, 'Linfonodos inchados');
INSERT INTO `lang_definitions` VALUES (75868, 6307, 20, 'Sintomas');
INSERT INTO `lang_definitions` VALUES (75869, 6313, 20, 'Síncope');
INSERT INTO `lang_definitions` VALUES (75870, 6317, 20, 'Sinovite, choque, bursite');
INSERT INTO `lang_definitions` VALUES (75871, 6318, 20, 'Sistema');
INSERT INTO `lang_definitions` VALUES (75872, 6322, 20, 'T');
INSERT INTO `lang_definitions` VALUES (75873, 6323, 20, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (75874, 6324, 20, 'T.V.');
INSERT INTO `lang_definitions` VALUES (75875, 6327, 20, 'Criação da tabela falhou');
INSERT INTO `lang_definitions` VALUES (75876, 6328, 20, 'Tabela de atualização falhou');
INSERT INTO `lang_definitions` VALUES (75877, 6330, 20, 'comprimido');
INSERT INTO `lang_definitions` VALUES (75878, 6335, 20, 'Pegar');
INSERT INTO `lang_definitions` VALUES (75879, 6339, 20, 'Leva tempo');
INSERT INTO `lang_definitions` VALUES (75880, 6355, 20, 'Taxa de imposto');
INSERT INTO `lang_definitions` VALUES (75881, 6356, 20, 'Impostos');
INSERT INTO `lang_definitions` VALUES (75882, 6357, 20, 'Taxonomia');
INSERT INTO `lang_definitions` VALUES (75883, 6358, 20, 'Td');
INSERT INTO `lang_definitions` VALUES (75884, 6359, 20, 'Team Injury Visão');
INSERT INTO `lang_definitions` VALUES (75885, 6360, 20, 'Team Ordem de Serviço');
INSERT INTO `lang_definitions` VALUES (75886, 6361, 20, 'Team Ordem de Serviço Ver');
INSERT INTO `lang_definitions` VALUES (75887, 6363, 20, 'Tel');
INSERT INTO `lang_definitions` VALUES (75888, 6367, 20, 'Temp Localização');
INSERT INTO `lang_definitions` VALUES (75889, 6368, 20, 'Temp Método');
INSERT INTO `lang_definitions` VALUES (75890, 6369, 20, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (75891, 6370, 20, 'Template');
INSERT INTO `lang_definitions` VALUES (75892, 6371, 20, 'Nome do Modelo');
INSERT INTO `lang_definitions` VALUES (75893, 6372, 20, 'Template nomes não podem começar com números.');
INSERT INTO `lang_definitions` VALUES (75894, 6373, 20, 'Modelo:');
INSERT INTO `lang_definitions` VALUES (75895, 6374, 20, 'Modelos');
INSERT INTO `lang_definitions` VALUES (75896, 6375, 20, 'Têmpora');
INSERT INTO `lang_definitions` VALUES (75897, 6376, 20, 'Lesão no tendão');
INSERT INTO `lang_definitions` VALUES (75898, 6377, 20, 'Tendinite / osis / bursite');
INSERT INTO `lang_definitions` VALUES (75899, 6379, 20, 'Terceiro');
INSERT INTO `lang_definitions` VALUES (75900, 6380, 20, 'Terceiro Convênio');
INSERT INTO `lang_definitions` VALUES (75901, 6381, 20, 'Dados do Terceiro Convênio');
INSERT INTO `lang_definitions` VALUES (75902, 6382, 20, 'Terceiro Convênio');
INSERT INTO `lang_definitions` VALUES (75903, 6383, 20, 'Programação de Teste');
INSERT INTO `lang_definitions` VALUES (75904, 6384, 20, 'Test System');
INSERT INTO `lang_definitions` VALUES (75905, 6393, 20, 'Text-data');
INSERT INTO `lang_definitions` VALUES (75906, 6394, 20, 'text-data');
INSERT INTO `lang_definitions` VALUES (75907, 6395, 20, 'Textarea');
INSERT INTO `lang_definitions` VALUES (75908, 6396, 20, 'textarea');
INSERT INTO `lang_definitions` VALUES (75909, 6397, 20, 'Textbox');
INSERT INTO `lang_definitions` VALUES (75910, 6398, 20, 'textbox');
INSERT INTO `lang_definitions` VALUES (75911, 6399, 20, 'Lista Textbox');
INSERT INTO `lang_definitions` VALUES (75912, 6400, 20, 'lista de texto');
INSERT INTO `lang_definitions` VALUES (75913, 6402, 20, 'Obrigado');
INSERT INTO `lang_definitions` VALUES (75914, 6408, 20, 'A alegação de arquivo: ');
INSERT INTO `lang_definitions` VALUES (75915, 6416, 20, 'O formulário de destino foi fechado, não posso agir em sua seleção.');
INSERT INTO `lang_definitions` VALUES (75916, 6422, 20, 'O evento (s) foram aprovados.');
INSERT INTO `lang_definitions` VALUES (75917, 6423, 20, 'O evento (s) foram escondidos.');
INSERT INTO `lang_definitions` VALUES (75918, 6424, 20, 'Os dados exportados aparece na área de texto abaixo. Você pode copiar e colar as informações em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (75919, 6426, 20, 'Os dados exportados aparece na área de texto abaixo. Você pode copiar e colar as informações em um e-mail ou para qualquer outro destino desejado.');
INSERT INTO `lang_definitions` VALUES (75920, 6434, 20, 'O calendário de eventos a seguir foi adicionado:');
INSERT INTO `lang_definitions` VALUES (75921, 6435, 20, 'O calendário de eventos que se segue foi modifed:');
INSERT INTO `lang_definitions` VALUES (75922, 6441, 20, 'Os seguintes erros ocorreram');
INSERT INTO `lang_definitions` VALUES (75923, 6450, 20, 'A janela inicial é a página de pesquisa na factura. No topo você pode inserir um código (número do cheque, por exemplo), pagamento de data e quantidade de seleção. A razão para isto é não ter que inseri-las uma e outra vez de cada pedido. A quantidade que você inserir será reduzida para cada nota fiscal que é dado parte do pagamento, e esperamos que vai terminar em zero quando você está feito.');
INSERT INTO `lang_definitions` VALUES (75924, 6456, 20, 'O rótulo que aparece para o usuário sobre a forma');
INSERT INTO `lang_definitions` VALUES (75925, 6460, 20, 'A nova categoria será uma sub-categoria de ');
INSERT INTO `lang_definitions` VALUES (75926, 6475, 20, 'As demais informações a seguir só se aplica se você está postando manualmente, ou se você está fazendo correções manuais.');
INSERT INTO `lang_definitions` VALUES (75927, 6477, 20, 'O documento solicitado não está presente no local previsto no sistema de arquivos ou não existem permissões suficientes para acessá-lo.');
INSERT INTO `lang_definitions` VALUES (75928, 6480, 20, 'As colunas de origem e data são copiados da primeira página, assim que normalmente você não vai precisar tocar essas. Você pode colocar um valor de pagamento na coluna Pay, um ajuste no montante de Ajuste de coluna, ou ambos. Você também pode clicar no \"\"W \"\" sobre o direito de computar automaticamente um valor de ajuste que escreve fora do restante da carga para esse item.');
INSERT INTO `lang_definitions` VALUES (75929, 6485, 20, 'O rótulo traduzido que irá aparecer no formulário em linguagem corrente');
INSERT INTO `lang_definitions` VALUES (75930, 6486, 20, 'O título traduzido que aparecerá na linguagem corrente');
INSERT INTO `lang_definitions` VALUES (75931, 6487, 20, 'A tradução da descrição em linguagem corrente');
INSERT INTO `lang_definitions` VALUES (75932, 6491, 20, 'O X12 arquivos, bem como os relatórios resultantes de saída HTML são arquivados na pasta \"\"era \"\" subdiretório do diretório principal LibreEHR instalação. Você vai querer referir-se a estes arquivos de vez em quando. O URL é');
INSERT INTO `lang_definitions` VALUES (75933, 6493, 20, 'Theme');
INSERT INTO `lang_definitions` VALUES (75934, 6495, 20, 'Injeções terapêuticas');
INSERT INTO `lang_definitions` VALUES (75935, 6496, 20, 'Há');
INSERT INTO `lang_definitions` VALUES (75936, 6498, 20, 'Há erros com a sua apresentação. Estes são descritos abaixo.');
INSERT INTO `lang_definitions` VALUES (75937, 6502, 20, 'Não existem argumentos Novos');
INSERT INTO `lang_definitions` VALUES (75938, 6505, 20, 'Houve um erro de envio de email para');
INSERT INTO `lang_definitions` VALUES (75939, 6510, 20, 'Não há entrada para o COA AR conta ');
INSERT INTO `lang_definitions` VALUES (75940, 6511, 20, 'Não há entrada de dinheiro por conta COA ');
INSERT INTO `lang_definitions` VALUES (75941, 6512, 20, 'Não há entrada do COA de balança de rendimentos ');
INSERT INTO `lang_definitions` VALUES (75942, 6515, 20, 'Não há correspondência para id fatura');
INSERT INTO `lang_definitions` VALUES (75943, 6516, 20, 'Não há correspondência para fatura id = ');
INSERT INTO `lang_definitions` VALUES (75944, 6517, 20, 'Não há entrada de peças para os serviços de identificação ');
INSERT INTO `lang_definitions` VALUES (75945, 6520, 20, 'Houve um erro ao processar seu pedido.');
INSERT INTO `lang_definitions` VALUES (75946, 6523, 20, 'Engrossado Direita:');
INSERT INTO `lang_definitions` VALUES (75947, 6524, 20, 'Coxa');
INSERT INTO `lang_definitions` VALUES (75948, 6525, 20, 'Coxa + tendão');
INSERT INTO `lang_definitions` VALUES (75949, 6527, 20, 'Coisas que a administração pode ler e digitar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (75950, 6528, 20, 'Coisas que a administração pode ler e modificar');
INSERT INTO `lang_definitions` VALUES (75951, 6531, 20, 'Coisas que os clínicos podem ler e entrar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (75952, 6532, 20, 'Coisas que os clínicos podem ler e modificar');
INSERT INTO `lang_definitions` VALUES (75953, 6535, 20, 'Coisas que o escritório da frente pode ler e digitar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (75954, 6536, 20, 'Coisas que o escritório da frente pode ler e modificar');
INSERT INTO `lang_definitions` VALUES (75955, 6539, 20, 'Coisas que os médicos podem ler e entrar, mas não modificar');
INSERT INTO `lang_definitions` VALUES (75956, 6540, 20, 'Coisas que os médicos podem ler e modificar');
INSERT INTO `lang_definitions` VALUES (75957, 6542, 20, 'Terceira');
INSERT INTO `lang_definitions` VALUES (75958, 6544, 20, 'Essa ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (75959, 6545, 20, 'Essa ação não pode ser desfeita.');
INSERT INTO `lang_definitions` VALUES (75960, 6556, 20, 'Este tipo de código não aceita as relações.');
INSERT INTO `lang_definitions` VALUES (75961, 6561, 20, 'Este Encontro');
INSERT INTO `lang_definitions` VALUES (75962, 6566, 20, 'Este número da fatura foi alterado para ');
INSERT INTO `lang_definitions` VALUES (75963, 6575, 20, 'Este módulo está em modo de teste. O banco de dados não serão alterados.');
INSERT INTO `lang_definitions` VALUES (75964, 6576, 20, 'Este módulo promove a entrada eficiente de dados EOB.');
INSERT INTO `lang_definitions` VALUES (75965, 6581, 20, 'Esta página irá incluir inline na página de login, de modo que não temos a relogin clique de cada vez.');
INSERT INTO `lang_definitions` VALUES (75966, 6582, 20, 'Este paciente não tem atividade.');
INSERT INTO `lang_definitions` VALUES (75967, 6583, 20, 'Este paciente ID já está em uso!');
INSERT INTO `lang_definitions` VALUES (75968, 6592, 20, 'Este usuário não é um membro de qualquer grupo');
INSERT INTO `lang_definitions` VALUES (75969, 6595, 20, 'Esta visita começa o uso de anticoncepcionais novo');
INSERT INTO `lang_definitions` VALUES (75970, 6606, 20, 'Isto irá criar um backup no formato tar e depois enviá-lo para seu navegador para que você possa salvá-lo');
INSERT INTO `lang_definitions` VALUES (75971, 6622, 20, 'A coluna torácica');
INSERT INTO `lang_definitions` VALUES (75972, 6625, 20, 'Garganta');
INSERT INTO `lang_definitions` VALUES (75973, 6626, 20, 'Cancro da garganta');
INSERT INTO `lang_definitions` VALUES (75974, 6627, 20, 'Cirurgia de Câncer de Garganta');
INSERT INTO `lang_definitions` VALUES (75975, 6628, 20, 'Trombose / Curso');
INSERT INTO `lang_definitions` VALUES (75976, 6629, 20, 'Qui');
INSERT INTO `lang_definitions` VALUES (75977, 6630, 20, 'Quinta');
INSERT INTO `lang_definitions` VALUES (75978, 6631, 20, 'Quinta-feira');
INSERT INTO `lang_definitions` VALUES (75979, 6632, 20, 'Tiróide normal');
INSERT INTO `lang_definitions` VALUES (75980, 6633, 20, 'Problemas do Tiróide');
INSERT INTO `lang_definitions` VALUES (75981, 6634, 20, 'TIA');
INSERT INTO `lang_definitions` VALUES (75982, 6638, 20, 'Horário');
INSERT INTO `lang_definitions` VALUES (75983, 6640, 20, 'Incremento de tempo para Add (minutos 1-60)');
INSERT INTO `lang_definitions` VALUES (75984, 6647, 20, 'Evento Temporário');
INSERT INTO `lang_definitions` VALUES (75985, 6648, 20, 'Matriz Times (N / A)');
INSERT INTO `lang_definitions` VALUES (75986, 6649, 20, 'Timestamp e Texto');
INSERT INTO `lang_definitions` VALUES (75987, 6650, 20, 'TIN');
INSERT INTO `lang_definitions` VALUES (75988, 6651, 20, 'Zumbido');
INSERT INTO `lang_definitions` VALUES (75989, 6652, 20, 'Queixa');
INSERT INTO `lang_definitions` VALUES (75990, 6653, 20, 'Título V');
INSERT INTO `lang_definitions` VALUES (75991, 6654, 20, 'TitleCols deve ser um número entre 1 e 999');
INSERT INTO `lang_definitions` VALUES (75992, 6655, 20, 'Queixas');
INSERT INTO `lang_definitions` VALUES (75993, 6656, 20, 'TMs / AEM / EE, ext nariz');
INSERT INTO `lang_definitions` VALUES (75994, 6657, 20, 'TMs');
INSERT INTO `lang_definitions` VALUES (75995, 6658, 20, 'Para');
INSERT INTO `lang_definitions` VALUES (75996, 6659, 20, 'TO');
INSERT INTO `lang_definitions` VALUES (75997, 6660, 20, 'para');
INSERT INTO `lang_definitions` VALUES (75998, 6664, 20, 'A área afetada');
INSERT INTO `lang_definitions` VALUES (75999, 6665, 20, 'a área afetada');
INSERT INTO `lang_definitions` VALUES (76000, 6667, 20, 'Para Ver Faturamento');
INSERT INTO `lang_definitions` VALUES (76001, 6668, 20, 'a categoria');
INSERT INTO `lang_definitions` VALUES (76002, 6669, 20, 'Ver a Clínica');
INSERT INTO `lang_definitions` VALUES (76003, 6670, 20, 'Para copay');
INSERT INTO `lang_definitions` VALUES (76004, 6672, 20, 'Para DED');
INSERT INTO `lang_definitions` VALUES (76005, 6673, 20, 'Para Dems');
INSERT INTO `lang_definitions` VALUES (76006, 6679, 20, 'Para Enctr');
INSERT INTO `lang_definitions` VALUES (76007, 6680, 20, 'Para filtrar por sexo');
INSERT INTO `lang_definitions` VALUES (76008, 6681, 20, 'Acrescentar/Consultar Histórico');
INSERT INTO `lang_definitions` VALUES (76009, 6682, 20, 'Para Questões');
INSERT INTO `lang_definitions` VALUES (76010, 6684, 20, 'Para vincular este encontro / consulta a um problema existente, clique na edição desejada acima para destacá-lo e, em seguida, clique em [Salvar]. Mantenha pressionada a tecla [Ctrl] para seleccionar várias questões.');
INSERT INTO `lang_definitions` VALUES (76011, 6685, 20, 'Para fazer o login novamente');
INSERT INTO `lang_definitions` VALUES (76012, 6689, 20, 'To Skin');
INSERT INTO `lang_definitions` VALUES (76013, 6690, 20, 'para a pele');
INSERT INTO `lang_definitions` VALUES (76014, 6691, 20, 'a esta visita?');
INSERT INTO `lang_definitions` VALUES (76015, 6693, 20, 'Para:');
INSERT INTO `lang_definitions` VALUES (76016, 6694, 20, 'Para: ');
INSERT INTO `lang_definitions` VALUES (76017, 6695, 20, 'To_city');
INSERT INTO `lang_definitions` VALUES (76018, 6696, 20, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (76019, 6697, 20, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (76020, 6698, 20, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (76021, 6699, 20, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (76022, 6700, 20, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (76023, 6703, 20, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (76024, 6704, 20, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (76025, 6705, 20, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (76026, 6706, 20, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (76027, 6707, 20, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (76028, 6708, 20, 'Tabaco');
INSERT INTO `lang_definitions` VALUES (76029, 6712, 20, 'O uso do tabaco');
INSERT INTO `lang_definitions` VALUES (76030, 6715, 20, 'Hoje');
INSERT INTO `lang_definitions` VALUES (76031, 6720, 20, 'Data de Hoje');
INSERT INTO `lang_definitions` VALUES (76032, 6721, 20, 'Eventos de Hoje');
INSERT INTO `lang_definitions` VALUES (76033, 6726, 20, 'Amigdalectomia');
INSERT INTO `lang_definitions` VALUES (76034, 6728, 20, 'Sup.');
INSERT INTO `lang_definitions` VALUES (76035, 6730, 20, 'Tópico');
INSERT INTO `lang_definitions` VALUES (76036, 6731, 20, 'Consultas');
INSERT INTO `lang_definitions` VALUES (76037, 6732, 20, 'total');
INSERT INTO `lang_definitions` VALUES (76038, 6738, 20, 'Valor Total Pago');
INSERT INTO `lang_definitions` VALUES (76039, 6741, 20, 'Total de despesas');
INSERT INTO `lang_definitions` VALUES (76040, 6742, 20, 'Total de pacientes');
INSERT INTO `lang_definitions` VALUES (76041, 6748, 20, 'Total de');
INSERT INTO `lang_definitions` VALUES (76042, 6749, 20, 'Total de ');
INSERT INTO `lang_definitions` VALUES (76043, 6750, 20, 'Total por categoria');
INSERT INTO `lang_definitions` VALUES (76044, 6758, 20, 'Número total de pacientes');
INSERT INTO `lang_definitions` VALUES (76045, 6765, 20, 'Total SRH & Planeamento Familiar');
INSERT INTO `lang_definitions` VALUES (76046, 6776, 20, 'Totais');
INSERT INTO `lang_definitions` VALUES (76047, 6777, 20, 'Total para');
INSERT INTO `lang_definitions` VALUES (76048, 6778, 20, 'Total para ');
INSERT INTO `lang_definitions` VALUES (76049, 6785, 20, 'Tipo de Formação');
INSERT INTO `lang_definitions` VALUES (76050, 6786, 20, 'Transact');
INSERT INTO `lang_definitions` VALUES (76051, 6787, 20, 'Transação');
INSERT INTO `lang_definitions` VALUES (76052, 6788, 20, 'transação');
INSERT INTO `lang_definitions` VALUES (76053, 6791, 20, 'Tipo de Transação');
INSERT INTO `lang_definitions` VALUES (76054, 6793, 20, 'Transações');
INSERT INTO `lang_definitions` VALUES (76055, 6794, 20, 'Transações (escrever opcional)');
INSERT INTO `lang_definitions` VALUES (76056, 6795, 20, 'Transações / Registo');
INSERT INTO `lang_definitions` VALUES (76057, 6804, 20, 'Transferências');
INSERT INTO `lang_definitions` VALUES (76058, 6813, 20, 'traduzir este');
INSERT INTO `lang_definitions` VALUES (76059, 6814, 20, 'Tradução');
INSERT INTO `lang_definitions` VALUES (76060, 6815, 20, 'Traduções');
INSERT INTO `lang_definitions` VALUES (76061, 6819, 20, 'Trauma');
INSERT INTO `lang_definitions` VALUES (76062, 6820, 20, 'Tratamento');
INSERT INTO `lang_definitions` VALUES (76063, 6822, 20, 'Tratamento Gols');
INSERT INTO `lang_definitions` VALUES (76064, 6823, 20, 'Plano de Tratamento');
INSERT INTO `lang_definitions` VALUES (76065, 6826, 20, 'Tratamento:');
INSERT INTO `lang_definitions` VALUES (76066, 6827, 20, 'Tratamento: ');
INSERT INTO `lang_definitions` VALUES (76067, 6829, 20, 'trftime ($ month_format, mktime (0, 0, 0, $ i, 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (76068, 6830, 20, 'Trigger Point / síndrome de compartimento / DOM / grampo');
INSERT INTO `lang_definitions` VALUES (76069, 6831, 20, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (76070, 6832, 20, 'Tronco e abdome');
INSERT INTO `lang_definitions` VALUES (76071, 6837, 20, 'Colher(es) de chá');
INSERT INTO `lang_definitions` VALUES (76072, 6839, 20, 'TTS');
INSERT INTO `lang_definitions` VALUES (76073, 6840, 20, 'Tuberculose');
INSERT INTO `lang_definitions` VALUES (76074, 6841, 20, 'Ter');
INSERT INTO `lang_definitions` VALUES (76075, 6842, 20, 'Ter & Qui');
INSERT INTO `lang_definitions` VALUES (76076, 6843, 20, 'Terça-feira');
INSERT INTO `lang_definitions` VALUES (76077, 6844, 20, 'Tumor');
INSERT INTO `lang_definitions` VALUES (76078, 6848, 20, 'duas vezes por dia');
INSERT INTO `lang_definitions` VALUES (76079, 6850, 20, 'Via Auricular');
INSERT INTO `lang_definitions` VALUES (76080, 6851, 20, 'Tipo');
INSERT INTO `lang_definitions` VALUES (76081, 6857, 20, 'Tipo de digitalização ou o identificador do paciente aqui');
INSERT INTO `lang_definitions` VALUES (76082, 6864, 20, 'UCSMC códigos fornecidos pela Universidade de Calgary Centro de Medicina Esportiva');
INSERT INTO `lang_definitions` VALUES (76083, 6866, 20, 'Ulcerações');
INSERT INTO `lang_definitions` VALUES (76084, 6867, 20, 'Colite ulcerosa');
INSERT INTO `lang_definitions` VALUES (76085, 6868, 20, 'Úlceras:');
INSERT INTO `lang_definitions` VALUES (76086, 6876, 20, 'Não aplicado');
INSERT INTO `lang_definitions` VALUES (76087, 6877, 20, 'Selecione');
INSERT INTO `lang_definitions` VALUES (76088, 6880, 20, 'O acesso não autorizado.');
INSERT INTO `lang_definitions` VALUES (76089, 6884, 20, 'debaixo da língua');
INSERT INTO `lang_definitions` VALUES (76090, 6885, 20, 'Debaixo de');
INSERT INTO `lang_definitions` VALUES (76091, 6886, 20, 'Undiagnosed');
INSERT INTO `lang_definitions` VALUES (76092, 6888, 20, 'Não distribuído');
INSERT INTO `lang_definitions` VALUES (76093, 6890, 20, 'Undo Checkout');
INSERT INTO `lang_definitions` VALUES (76094, 6892, 20, 'Pacientes Únicos');
INSERT INTO `lang_definitions` VALUES (76095, 6894, 20, 'Pacientes Únicos Novos');
INSERT INTO `lang_definitions` VALUES (76096, 6896, 20, 'Única atividade Pacientes');
INSERT INTO `lang_definitions` VALUES (76097, 6897, 20, 'Única atividade pacientes relatam');
INSERT INTO `lang_definitions` VALUES (76098, 6898, 20, 'Unique SP');
INSERT INTO `lang_definitions` VALUES (76099, 6899, 20, 'Unidade');
INSERT INTO `lang_definitions` VALUES (76100, 6900, 20, 'Unidades');
INSERT INTO `lang_definitions` VALUES (76101, 6901, 20, 'unidades');
INSERT INTO `lang_definitions` VALUES (76102, 6904, 20, 'Unidades deve ser um número');
INSERT INTO `lang_definitions` VALUES (76103, 6907, 20, 'Desconhecido');
INSERT INTO `lang_definitions` VALUES (76104, 6910, 20, 'Não se sabe se fumou alguma vez');
INSERT INTO `lang_definitions` VALUES (76105, 6911, 20, 'Desconhecido ou N / A');
INSERT INTO `lang_definitions` VALUES (76106, 6914, 20, 'Companhia de seguros Unnamed');
INSERT INTO `lang_definitions` VALUES (76107, 6915, 20, 'Unregistered');
INSERT INTO `lang_definitions` VALUES (76108, 6918, 20, 'Desmarcar Todos');
INSERT INTO `lang_definitions` VALUES (76109, 6919, 20, 'Não Selecionado');
INSERT INTO `lang_definitions` VALUES (76110, 6920, 20, 'Não especificado');
INSERT INTO `lang_definitions` VALUES (76111, 6921, 20, 'Não estruturado');
INSERT INTO `lang_definitions` VALUES (76112, 6924, 20, 'até');
INSERT INTO `lang_definitions` VALUES (76113, 6925, 20, 'Prematura de arquivamento');
INSERT INTO `lang_definitions` VALUES (76114, 6926, 20, 'Não Usado');
INSERT INTO `lang_definitions` VALUES (76115, 6927, 20, 'UOR');
INSERT INTO `lang_definitions` VALUES (76116, 6928, 20, 'Até');
INSERT INTO `lang_definitions` VALUES (76117, 6929, 20, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (76118, 6930, 20, 'Próximos Eventos');
INSERT INTO `lang_definitions` VALUES (76119, 6931, 20, 'actualizar');
INSERT INTO `lang_definitions` VALUES (76120, 6932, 20, 'actualizar');
INSERT INTO `lang_definitions` VALUES (76121, 6934, 20, 'Os arquivos de atualização');
INSERT INTO `lang_definitions` VALUES (76122, 6935, 20, 'Update Info');
INSERT INTO `lang_definitions` VALUES (76123, 6942, 20, 'Atualizando a informações não está autorizada.');
INSERT INTO `lang_definitions` VALUES (76124, 6950, 20, 'CPF');
INSERT INTO `lang_definitions` VALUES (76125, 6951, 20, 'Upload');
INSERT INTO `lang_definitions` VALUES (76126, 6954, 20, 'Upload de dados de configuração');
INSERT INTO `lang_definitions` VALUES (76127, 6955, 20, 'Carregar Documento');
INSERT INTO `lang_definitions` VALUES (76128, 6956, 20, 'Upload falhou!');
INSERT INTO `lang_definitions` VALUES (76129, 6957, 20, 'Enviar imagem para');
INSERT INTO `lang_definitions` VALUES (76130, 6958, 20, 'Arquivo de importação de Upload:');
INSERT INTO `lang_definitions` VALUES (76131, 6961, 20, 'Upload Relatório');
INSERT INTO `lang_definitions` VALUES (76132, 6963, 20, 'Carregar arquivo isto:');
INSERT INTO `lang_definitions` VALUES (76133, 6964, 20, 'Ao clicar em um número da factura a \"\"janela de lançamento manual \"\" aparece. Aqui você pode mudar a data de vencimento e as notas para a factura, selecione o partido para o qual você está postando, e selecione os seguros para a qual todos os paymants esperados foram recebidos. Mais importante ainda, para cada código de faturamento para as quais foi cobrada uma quantia, você pode inserir informações de pagamento e de ajustamento.');
INSERT INTO `lang_definitions` VALUES (76134, 6965, 20, 'Após a pesquisa que você é apresentado com uma lista de faturas. Você pode clicar em um dos números de factura para abrir uma segunda janela, que é a página de entrada de dados para lançamento manual. Você também pode clicar no nome do paciente, se você deseja inserir uma nota que o pessoal do escritório da frente vai ver quando as verificações no paciente, e você pode selecionar as facturas para aparecer em declarações paciente e imprimir essas declarações.');
INSERT INTO `lang_definitions` VALUES (76135, 6966, 20, 'Braço');
INSERT INTO `lang_definitions` VALUES (76136, 6968, 20, 'Urgência');
INSERT INTO `lang_definitions` VALUES (76137, 6971, 20, 'Urina Dribbling');
INSERT INTO `lang_definitions` VALUES (76138, 6972, 20, 'Urina de Freqüência');
INSERT INTO `lang_definitions` VALUES (76139, 6973, 20, 'Urina Hesitação');
INSERT INTO `lang_definitions` VALUES (76140, 6975, 20, 'Urina Stream');
INSERT INTO `lang_definitions` VALUES (76141, 6976, 20, 'Urina Urgência');
INSERT INTO `lang_definitions` VALUES (76142, 6977, 20, 'URL');
INSERT INTO `lang_definitions` VALUES (76143, 6988, 20, 'Use 24 formato de hora a hora?');
INSERT INTO `lang_definitions` VALUES (76144, 7000, 20, 'Usar Padrões');
INSERT INTO `lang_definitions` VALUES (76145, 7002, 20, 'Use estilo de data internacional?');
INSERT INTO `lang_definitions` VALUES (76146, 7005, 20, 'Use este recurso apenas com sites recém-instalado, ');
INSERT INTO `lang_definitions` VALUES (76147, 7006, 20, 'Use tópicos?');
INSERT INTO `lang_definitions` VALUES (76148, 7007, 20, 'Usuário');
INSERT INTO `lang_definitions` VALUES (76149, 7010, 20, 'Administração de Usuários');
INSERT INTO `lang_definitions` VALUES (76150, 7011, 20, 'Usuário de Clínica e Administração');
INSERT INTO `lang_definitions` VALUES (76151, 7012, 20, 'Usuário e Grupo de Administração');
INSERT INTO `lang_definitions` VALUES (76152, 7015, 20, 'Filiação');
INSERT INTO `lang_definitions` VALUES (76153, 7016, 20, 'Definido pelo usuário Área 11');
INSERT INTO `lang_definitions` VALUES (76154, 7017, 20, 'Definido pelo usuário Area 12');
INSERT INTO `lang_definitions` VALUES (76155, 7018, 20, 'Campo definido pelo usuário');
INSERT INTO `lang_definitions` VALUES (76156, 7019, 20, 'Manual de lista definida 1');
INSERT INTO `lang_definitions` VALUES (76157, 7020, 20, 'Manual de lista definida 2');
INSERT INTO `lang_definitions` VALUES (76158, 7021, 20, 'Manual de lista definida 3');
INSERT INTO `lang_definitions` VALUES (76159, 7022, 20, 'Manual de lista definida 4');
INSERT INTO `lang_definitions` VALUES (76160, 7023, 20, 'Manual de lista definida 5');
INSERT INTO `lang_definitions` VALUES (76161, 7024, 20, 'Manual de lista definida 6');
INSERT INTO `lang_definitions` VALUES (76162, 7025, 20, 'Manual de lista definida 7');
INSERT INTO `lang_definitions` VALUES (76163, 7026, 20, 'Texto Definido pelo Usuário 1');
INSERT INTO `lang_definitions` VALUES (76164, 7027, 20, 'Texto Definido pelo Usuário 2');
INSERT INTO `lang_definitions` VALUES (76165, 7028, 20, 'Texto Definido pelo Usuário 3');
INSERT INTO `lang_definitions` VALUES (76166, 7029, 20, 'Texto Definido pelo Usuário 4');
INSERT INTO `lang_definitions` VALUES (76167, 7030, 20, 'Texto Definido pelo Usuário 5');
INSERT INTO `lang_definitions` VALUES (76168, 7031, 20, 'Texto Definido pelo Usuário 6');
INSERT INTO `lang_definitions` VALUES (76169, 7032, 20, 'Texto Definido pelo Usuário 7');
INSERT INTO `lang_definitions` VALUES (76170, 7033, 20, 'Texto Definido pelo Usuário 8');
INSERT INTO `lang_definitions` VALUES (76171, 7039, 20, 'Manual do Usuário');
INSERT INTO `lang_definitions` VALUES (76172, 7040, 20, 'Associações de');
INSERT INTO `lang_definitions` VALUES (76173, 7041, 20, 'Nome do usuário');
INSERT INTO `lang_definitions` VALUES (76174, 7049, 20, 'Nome de Usuário');
INSERT INTO `lang_definitions` VALUES (76175, 7052, 20, 'Nome de usuário para o SMS Gateway');
INSERT INTO `lang_definitions` VALUES (76176, 7055, 20, 'Nome de usuário:');
INSERT INTO `lang_definitions` VALUES (76177, 7056, 20, 'Usuários');
INSERT INTO `lang_definitions` VALUES (76178, 7057, 20, 'Usuários / Grupos / Logs Administração');
INSERT INTO `lang_definitions` VALUES (76179, 7058, 20, 'usa <a php href=\"\"http://php.net/strftime\"\"> strftime </ a> formato');
INSERT INTO `lang_definitions` VALUES (76180, 7059, 20, 'UTIs');
INSERT INTO `lang_definitions` VALUES (76181, 7062, 20, 'FÉRIAS');
INSERT INTO `lang_definitions` VALUES (76182, 7063, 20, 'Férias');
INSERT INTO `lang_definitions` VALUES (76183, 7064, 20, 'Vacina');
INSERT INTO `lang_definitions` VALUES (76184, 7065, 20, 'Anel Vaginal');
INSERT INTO `lang_definitions` VALUES (76185, 7066, 20, 'Despedida');
INSERT INTO `lang_definitions` VALUES (76186, 7067, 20, 'Validar');
INSERT INTO `lang_definitions` VALUES (76187, 7068, 20, 'Valor');
INSERT INTO `lang_definitions` VALUES (76188, 7069, 20, 'Valor 1');
INSERT INTO `lang_definitions` VALUES (76189, 7070, 20, 'Valor 2');
INSERT INTO `lang_definitions` VALUES (76190, 7073, 20, 'Var1');
INSERT INTO `lang_definitions` VALUES (76191, 7074, 20, 'Var2');
INSERT INTO `lang_definitions` VALUES (76192, 7076, 20, 'Varicela 1');
INSERT INTO `lang_definitions` VALUES (76193, 7077, 20, 'Varicela 2');
INSERT INTO `lang_definitions` VALUES (76194, 7078, 20, 'Varizes');
INSERT INTO `lang_definitions` VALUES (76195, 7079, 20, 'Condição Vascular');
INSERT INTO `lang_definitions` VALUES (76196, 7080, 20, 'A lesão vascular');
INSERT INTO `lang_definitions` VALUES (76197, 7081, 20, 'Cirurgia Vascular');
INSERT INTO `lang_definitions` VALUES (76198, 7083, 20, 'Vendedor');
INSERT INTO `lang_definitions` VALUES (76199, 7084, 20, 'Versão');
INSERT INTO `lang_definitions` VALUES (76200, 7085, 20, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (76201, 7087, 20, 'Veterans Administration Plan');
INSERT INTO `lang_definitions` VALUES (76202, 7090, 20, 'visualizar');
INSERT INTO `lang_definitions` VALUES (76203, 7091, 20, 'Visualizar');
INSERT INTO `lang_definitions` VALUES (76204, 7092, 20, 'Ver Alergias');
INSERT INTO `lang_definitions` VALUES (76205, 7097, 20, 'Ver Relatório detalhado do paciente');
INSERT INTO `lang_definitions` VALUES (76206, 7100, 20, 'Ver documento');
INSERT INTO `lang_definitions` VALUES (76207, 7101, 20, 'Exibir encontro');
INSERT INTO `lang_definitions` VALUES (76208, 7103, 20, 'Ver eventos em uma janela popup?');
INSERT INTO `lang_definitions` VALUES (76209, 7108, 20, 'Ver página 1');
INSERT INTO `lang_definitions` VALUES (76210, 7109, 20, 'Ver página 2');
INSERT INTO `lang_definitions` VALUES (76211, 7111, 20, 'Ver paciente');
INSERT INTO `lang_definitions` VALUES (76212, 7116, 20, 'Encontros Ver relacionados');
INSERT INTO `lang_definitions` VALUES (76213, 7121, 20, 'Ver/Editar Alergias');
INSERT INTO `lang_definitions` VALUES (76214, 7123, 20, 'Ver/Imprimir');
INSERT INTO `lang_definitions` VALUES (76215, 7124, 20, 'Ver:');
INSERT INTO `lang_definitions` VALUES (76216, 7125, 20, 'VISA');
INSERT INTO `lang_definitions` VALUES (76217, 7126, 20, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (76218, 7127, 20, 'Danos Visceral / trauma / cirurgia');
INSERT INTO `lang_definitions` VALUES (76219, 7133, 20, 'Visite Categoria:');
INSERT INTO `lang_definitions` VALUES (76220, 7134, 20, 'Data da visita');
INSERT INTO `lang_definitions` VALUES (76221, 7137, 20, 'Visite Formulários');
INSERT INTO `lang_definitions` VALUES (76222, 7138, 20, 'Histórico de visitas');
INSERT INTO `lang_definitions` VALUES (76223, 7140, 20, 'Consultas');
INSERT INTO `lang_definitions` VALUES (76224, 7141, 20, 'Total De');
INSERT INTO `lang_definitions` VALUES (76225, 7142, 20, 'Sinais vitais');
INSERT INTO `lang_definitions` VALUES (76226, 7143, 20, 'Exame Físico Geral');
INSERT INTO `lang_definitions` VALUES (76227, 7144, 20, 'Exame Físico Geral (Metrico)');
INSERT INTO `lang_definitions` VALUES (76228, 7146, 20, 'Voz');
INSERT INTO `lang_definitions` VALUES (76229, 7149, 20, 'Vômitos');
INSERT INTO `lang_definitions` VALUES (76230, 7151, 20, 'W');
INSERT INTO `lang_definitions` VALUES (76231, 7152, 20, 'Circ');
INSERT INTO `lang_definitions` VALUES (76232, 7153, 20, 'Circunferência da cintura');
INSERT INTO `lang_definitions` VALUES (76233, 7154, 20, 'Esperando');
INSERT INTO `lang_definitions` VALUES (76234, 7155, 20, 'Walk-in');
INSERT INTO `lang_definitions` VALUES (76235, 7157, 20, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (76236, 7162, 20, 'Quente');
INSERT INTO `lang_definitions` VALUES (76237, 7164, 20, 'AVISO');
INSERT INTO `lang_definitions` VALUES (76238, 7168, 20, 'Atenção: A visita foi já criado para este paciente hoje!');
INSERT INTO `lang_definitions` VALUES (76239, 7170, 20, 'Atenção: identificação do paciente não é único!');
INSERT INTO `lang_definitions` VALUES (76240, 7171, 20, 'AVISO: Isto irá substituir as informações de configuração com os dados do arquivo enviado!');
INSERT INTO `lang_definitions` VALUES (76241, 7173, 20, 'Alertas');
INSERT INTO `lang_definitions` VALUES (76242, 7176, 20, 'não foi encontrado');
INSERT INTO `lang_definitions` VALUES (76243, 7178, 20, 'vimos acima do seu paciente para avaliação e tratamento em nossa clínica psiquiátrica ambulatorial. Obrigado por esta referência.');
INSERT INTO `lang_definitions` VALUES (76244, 7179, 20, 'Fraqueza');
INSERT INTO `lang_definitions` VALUES (76245, 7181, 20, 'Busca Online');
INSERT INTO `lang_definitions` VALUES (76246, 7184, 20, 'Qua');
INSERT INTO `lang_definitions` VALUES (76247, 7185, 20, 'Quarta-feira');
INSERT INTO `lang_definitions` VALUES (76248, 7186, 20, 'Semana');
INSERT INTO `lang_definitions` VALUES (76249, 7187, 20, 'semana');
INSERT INTO `lang_definitions` VALUES (76250, 7188, 20, 'Ver semana');
INSERT INTO `lang_definitions` VALUES (76251, 7189, 20, 'Semana(s)');
INSERT INTO `lang_definitions` VALUES (76252, 7191, 20, 'semanas');
INSERT INTO `lang_definitions` VALUES (76253, 7192, 20, 'Semanas');
INSERT INTO `lang_definitions` VALUES (76254, 7193, 20, 'Peso');
INSERT INTO `lang_definitions` VALUES (76255, 7196, 20, 'Alteração de peso');
INSERT INTO `lang_definitions` VALUES (76256, 7197, 20, 'Perda de peso');
INSERT INTO `lang_definitions` VALUES (76257, 7198, 20, 'Perda de peso clínico');
INSERT INTO `lang_definitions` VALUES (76258, 7199, 20, 'Bem-vindo');
INSERT INTO `lang_definitions` VALUES (76259, 7202, 20, 'O que deve ser contado?');
INSERT INTO `lang_definitions` VALUES (76260, 7203, 20, 'Sibilos:');
INSERT INTO `lang_definitions` VALUES (76261, 7204, 20, 'Chiado');
INSERT INTO `lang_definitions` VALUES (76262, 7205, 20, 'Chiado:');
INSERT INTO `lang_definitions` VALUES (76263, 7208, 20, 'Onde pode relacionados digitalizados ou documentos em papel pode ser encontrado?');
INSERT INTO `lang_definitions` VALUES (76264, 7211, 20, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (76265, 7212, 20, 'Branco');
INSERT INTO `lang_definitions` VALUES (76266, 7213, 20, 'Quem');
INSERT INTO `lang_definitions` VALUES (76267, 7214, 20, 'Quem respondeu?');
INSERT INTO `lang_definitions` VALUES (76268, 7215, 20, 'Viúvo');
INSERT INTO `lang_definitions` VALUES (76269, 7216, 20, 'Largura');
INSERT INTO `lang_definitions` VALUES (76270, 7217, 20, 'Largura em pixels do frame de navegação à esquerda.');
INSERT INTO `lang_definitions` VALUES (76271, 7221, 20, 'Com selecionado:');
INSERT INTO `lang_definitions` VALUES (76272, 7222, 20, 'com o nome antigo');
INSERT INTO `lang_definitions` VALUES (76273, 7224, 20, 'Com quem podemos deixar uma mensagem?');
INSERT INTO `lang_definitions` VALUES (76274, 7226, 20, 'em horas');
INSERT INTO `lang_definitions` VALUES (76275, 7227, 20, 'em horas:');
INSERT INTO `lang_definitions` VALUES (76276, 7228, 20, 'dentro de minutos');
INSERT INTO `lang_definitions` VALUES (76277, 7229, 20, 'em minutos:');
INSERT INTO `lang_definitions` VALUES (76278, 7232, 20, 'Sem atualização');
INSERT INTO `lang_definitions` VALUES (76279, 7233, 20, 'Testemunha');
INSERT INTO `lang_definitions` VALUES (76280, 7237, 20, 'Mulheres');
INSERT INTO `lang_definitions` VALUES (76281, 7238, 20, 'Mulheres Somente');
INSERT INTO `lang_definitions` VALUES (76282, 7240, 20, 'Trabalho');
INSERT INTO `lang_definitions` VALUES (76283, 7241, 20, 'NOTA DE TRABALHO');
INSERT INTO `lang_definitions` VALUES (76284, 7242, 20, 'Telefone Comercial');
INSERT INTO `lang_definitions` VALUES (76285, 7243, 20, 'Número de Telefone Comercial');
INSERT INTO `lang_definitions` VALUES (76286, 7244, 20, 'Trabalho relacionado?');
INSERT INTO `lang_definitions` VALUES (76287, 7245, 20, 'Trabalho/ Educação/ Lazer');
INSERT INTO `lang_definitions` VALUES (76288, 7246, 20, 'Nota de Trabalho/Escola');
INSERT INTO `lang_definitions` VALUES (76289, 7247, 20, 'dia útil');
INSERT INTO `lang_definitions` VALUES (76290, 7248, 20, 'Compensação do Trabalhador');
INSERT INTO `lang_definitions` VALUES (76291, 7249, 20, 'Compensação do Trabalhador (Plano de Saúde)');
INSERT INTO `lang_definitions` VALUES (76292, 7251, 20, 'Trabalhando... isso pode levar alguns minutos.');
INSERT INTO `lang_definitions` VALUES (76293, 7252, 20, 'Pior');
INSERT INTO `lang_definitions` VALUES (76294, 7258, 20, 'Você gostaria de deletar pagamentos?');
INSERT INTO `lang_definitions` VALUES (76295, 7259, 20, 'Você gostaria de modificar e Finalizar os Pagamentos?');
INSERT INTO `lang_definitions` VALUES (76296, 7260, 20, 'Você gostaria de modificar pagamentos?');
INSERT INTO `lang_definitions` VALUES (76297, 7261, 20, 'Você gostaria de postar e finalizar os pagamentos?');
INSERT INTO `lang_definitions` VALUES (76298, 7262, 20, 'Você gostaria de postar os pagamentos?');
INSERT INTO `lang_definitions` VALUES (76299, 7263, 20, 'Você gostaria de salvar?');
INSERT INTO `lang_definitions` VALUES (76300, 7264, 20, 'Punho');
INSERT INTO `lang_definitions` VALUES (76301, 7265, 20, 'Punho e mão');
INSERT INTO `lang_definitions` VALUES (76302, 7266, 20, 'Problemas no punho');
INSERT INTO `lang_definitions` VALUES (76303, 7267, 20, 'escrever');
INSERT INTO `lang_definitions` VALUES (76304, 7273, 20, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (76305, 7274, 20, 'x Cancelado');
INSERT INTO `lang_definitions` VALUES (76306, 7275, 20, 'Raio-X');
INSERT INTO `lang_definitions` VALUES (76307, 7276, 20, 'Interpretação do RAIO-X:');
INSERT INTO `lang_definitions` VALUES (76308, 7277, 20, 'Interpretação do Raio-X:');
INSERT INTO `lang_definitions` VALUES (76309, 7278, 20, 'X12 apenas: Reclamação Substituta ');
INSERT INTO `lang_definitions` VALUES (76310, 7279, 20, 'X12 Parceiro');
INSERT INTO `lang_definitions` VALUES (76311, 7280, 20, 'X12 Parceiros');
INSERT INTO `lang_definitions` VALUES (76312, 7281, 20, 'x12 Texto');
INSERT INTO `lang_definitions` VALUES (76313, 7284, 20, 'Y');
INSERT INTO `lang_definitions` VALUES (76314, 7285, 20, 'Ano');
INSERT INTO `lang_definitions` VALUES (76315, 7286, 20, 'ano');
INSERT INTO `lang_definitions` VALUES (76316, 7287, 20, 'Ver Ano');
INSERT INTO `lang_definitions` VALUES (76317, 7288, 20, 'Ano(s)');
INSERT INTO `lang_definitions` VALUES (76318, 7289, 20, 'Anos');
INSERT INTO `lang_definitions` VALUES (76319, 7290, 20, 'Anos e meses');
INSERT INTO `lang_definitions` VALUES (76320, 7291, 20, 'Anos, meses e dias');
INSERT INTO `lang_definitions` VALUES (76321, 7292, 20, 'SIM');
INSERT INTO `lang_definitions` VALUES (76322, 7293, 20, 'Sim');
INSERT INTO `lang_definitions` VALUES (76323, 7294, 20, 'sim');
INSERT INTO `lang_definitions` VALUES (76324, 7295, 20, 'SIM!');
INSERT INTO `lang_definitions` VALUES (76325, 7296, 20, 'Sim, Excluir e Log');
INSERT INTO `lang_definitions` VALUES (76326, 7298, 20, 'Sim/Não');
INSERT INTO `lang_definitions` VALUES (76327, 7299, 20, 'Sim:');
INSERT INTO `lang_definitions` VALUES (76328, 7300, 20, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (76329, 7303, 20, 'Você está prestes a substituir permanentemente o modelo existente. Tem certeza de que deseja continuar?');
INSERT INTO `lang_definitions` VALUES (76330, 7304, 20, 'Troque a senha antes de');
INSERT INTO `lang_definitions` VALUES (76331, 7305, 20, 'Você não tem permissão para excluir este evento');
INSERT INTO `lang_definitions` VALUES (76332, 7306, 20, 'Você não tem permissão para editar este evento');
INSERT INTO `lang_definitions` VALUES (76333, 7307, 20, 'Você não está autorizado para isso.');
INSERT INTO `lang_definitions` VALUES (76334, 7308, 20, 'Você não está autorizado a acessar este quadro.');
INSERT INTO `lang_definitions` VALUES (76335, 7309, 20, 'Você não está autorizado a adicionar/editar problemas');
INSERT INTO `lang_definitions` VALUES (76336, 7310, 20, 'Você não está autorizado a agendar compromissos.');
INSERT INTO `lang_definitions` VALUES (76337, 7311, 20, 'Você não está autorizado a ver essa consulta.');
INSERT INTO `lang_definitions` VALUES (76338, 7312, 20, 'Você está postando em uma consulta antiga?');
INSERT INTO `lang_definitions` VALUES (76339, 7313, 20, 'Você não pode acessar esta função diretamente.');
INSERT INTO `lang_definitions` VALUES (76340, 7314, 20, 'Você não pode acessar a página diretamente.');
INSERT INTO `lang_definitions` VALUES (76341, 7315, 20, 'Você não pode adicionar um valor em branco para uma categoria!');
INSERT INTO `lang_definitions` VALUES (76342, 7316, 20, 'Você não pode adicionar um valor em branco para uma subcategoria!');
INSERT INTO `lang_definitions` VALUES (76343, 7317, 20, 'Você não pode adicionar um valor em branco para um item!');
INSERT INTO `lang_definitions` VALUES (76344, 7318, 20, 'Você não pode escolher uma data future com todos os valores SIM.');
INSERT INTO `lang_definitions` VALUES (76345, 7319, 20, 'Você não escolheu nenhuma ação.');
INSERT INTO `lang_definitions` VALUES (76346, 7320, 20, 'Você não tem permissão para acessar/editar esta nota');
INSERT INTO `lang_definitions` VALUES (76347, 7321, 20, 'Você tentou alterar conteudos bloqueados. Para desbloquear, remova linha \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (76348, 7322, 20, 'Você foi desconectado com sucesso.');
INSERT INTO `lang_definitions` VALUES (76349, 7323, 20, 'Você só pode carregar arquivos .txt');
INSERT INTO `lang_definitions` VALUES (76350, 7324, 20, 'Você pode, opcionalmente, carregar os resultados HL7 a partir de um arquivo');
INSERT INTO `lang_definitions` VALUES (76351, 7326, 20, 'Você deve informar uma frase secreta para encriptar o documento');
INSERT INTO `lang_definitions` VALUES (76352, 7327, 20, 'Você deve inserir sua senha para trocar a senhas dos demais usuários. Deixe em branco para não alterar a senha.');
INSERT INTO `lang_definitions` VALUES (76353, 7329, 20, 'Você deve primeiro selecionar ou adicionar um paciente.');
INSERT INTO `lang_definitions` VALUES (76354, 7330, 20, 'Você deve primeiro selecionar ou criar uma consulta.');
INSERT INTO `lang_definitions` VALUES (76355, 7331, 20, 'Você deve selecionar uma categoria de visita');
INSERT INTO `lang_definitions` VALUES (76356, 7332, 20, 'Você deve selecionar uma categoria de visita.');
INSERT INTO `lang_definitions` VALUES (76357, 7333, 20, 'Você deve selecionar alguns campos para continuar.');
INSERT INTO `lang_definitions` VALUES (76358, 7334, 20, 'Você deve estar executando esse teste, se essa reivindicação surgiu para gerar com êxito, mas o pedido real arquivo não contém quaisquer dados ou apenas uma parte inacabada da quantidade de dados que é suposto que contêm. É óbvio com reivindicações HCFA porque são legível, com X12 afirma que é um processo mais difícil de determinar se o pedido está devidamente completo.');
INSERT INTO `lang_definitions` VALUES (76359, 7335, 20, 'Você deve selecionar ao menos um contexto');
INSERT INTO `lang_definitions` VALUES (76360, 7336, 20, 'Você deve selecionar ao menos um Provedor');
INSERT INTO `lang_definitions` VALUES (76361, 7339, 20, 'Sua data final é inválida');
INSERT INTO `lang_definitions` VALUES (76362, 7340, 20, 'Seu evento foi eliminado.');
INSERT INTO `lang_definitions` VALUES (76363, 7341, 20, 'Seu evento foi modificado.');
INSERT INTO `lang_definitions` VALUES (76364, 7342, 20, 'Seu evento foi submetido.');
INSERT INTO `lang_definitions` VALUES (76365, 7343, 20, 'O arquivo é muito grande');
INSERT INTO `lang_definitions` VALUES (76366, 7345, 20, 'Seu nome na lista foi alterado para atender aos requisitos.');
INSERT INTO `lang_definitions` VALUES (76367, 7346, 20, 'Sua mensagem foi submatida à entrega para');
INSERT INTO `lang_definitions` VALUES (76368, 7347, 20, 'Nome para esta categoria, procedimento ou resultado');
INSERT INTO `lang_definitions` VALUES (76369, 7348, 20, 'Sua Senha');
INSERT INTO `lang_definitions` VALUES (76370, 7349, 20, 'Senha expirada. Por favor troque sua senha.');
INSERT INTO `lang_definitions` VALUES (76371, 7350, 20, 'Sua senha expira em');
INSERT INTO `lang_definitions` VALUES (76372, 7351, 20, 'Sua senha expira hoje, favor realizar a troca.');
INSERT INTO `lang_definitions` VALUES (76373, 7353, 20, 'Sua configuração de PostCalendar foi redefinida para o padrão.');
INSERT INTO `lang_definitions` VALUES (76374, 7354, 20, 'Sua configuração de PostCalendar foi atualizada.');
INSERT INTO `lang_definitions` VALUES (76375, 7355, 20, 'Sua frequência de repetição deve ser um número inteiro.');
INSERT INTO `lang_definitions` VALUES (76376, 7356, 20, 'Sua frequência de repetição deve ser pelo menos 1.');
INSERT INTO `lang_definitions` VALUES (76377, 7357, 20, 'Sua data de início é maior do que a data de término');
INSERT INTO `lang_definitions` VALUES (76378, 7358, 20, 'Sua data de início é inválida');
INSERT INTO `lang_definitions` VALUES (76379, 7359, 20, 'Sua submissão falhou.');
INSERT INTO `lang_definitions` VALUES (76380, 7360, 20, 'aaaa-mm-dd');
INSERT INTO `lang_definitions` VALUES (76381, 7361, 20, 'AAAA-MM-DD');
INSERT INTO `lang_definitions` VALUES (76382, 7362, 20, 'aaaa-mm-dd data associada a este documento');
INSERT INTO `lang_definitions` VALUES (76383, 7363, 20, 'aaaa-mm-dd data de destruição');
INSERT INTO `lang_definitions` VALUES (76384, 7364, 20, 'aaaa-mm-dd data de nascimento');
INSERT INTO `lang_definitions` VALUES (76385, 7365, 20, 'aaaa-mm-dd Data de Nascimento');
INSERT INTO `lang_definitions` VALUES (76386, 7366, 20, 'aaaa-mm-dd data de expiração');
INSERT INTO `lang_definitions` VALUES (76387, 7367, 20, 'aaaa-mm-dd Data de início ou internação');
INSERT INTO `lang_definitions` VALUES (76388, 7368, 20, 'aaaa-mm-dd data de início, cirurgia ou início da medicação');
INSERT INTO `lang_definitions` VALUES (76389, 7369, 20, 'aaaa-mm-dd data de compra ou transferência');
INSERT INTO `lang_definitions` VALUES (76390, 7370, 20, 'aaaa-mm-dd data de recuperação ou fim de medicação');
INSERT INTO `lang_definitions` VALUES (76391, 7371, 20, 'aaaa-mm-dd Data para voltar a jogar');
INSERT INTO `lang_definitions` VALUES (76392, 7372, 20, 'aaaa-mm-dd Data de serviço');
INSERT INTO `lang_definitions` VALUES (76393, 7373, 20, 'aaaa-mm-dd data da presente carta');
INSERT INTO `lang_definitions` VALUES (76394, 7374, 20, 'aaaa-mm-dd data que voltou a jogar');
INSERT INTO `lang_definitions` VALUES (76395, 7375, 20, 'aaaa-mm-dd data do documento');
INSERT INTO `lang_definitions` VALUES (76396, 7376, 20, 'aaaa-mm-dd data do evento ou data de início');
INSERT INTO `lang_definitions` VALUES (76397, 7377, 20, 'aaaa-mm-dd data final');
INSERT INTO `lang_definitions` VALUES (76398, 7378, 20, 'aaaa-mm-dd data final');
INSERT INTO `lang_definitions` VALUES (76399, 7379, 20, 'aaaa-mm-dd data inicial');
INSERT INTO `lang_definitions` VALUES (76400, 7380, 20, 'aaaa-mm-dd data inicial');
INSERT INTO `lang_definitions` VALUES (76401, 7381, 20, 'aaaa-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (76402, 7382, 20, 'aaaa-mm-dd Horas(24):minutos');
INSERT INTO `lang_definitions` VALUES (76403, 7383, 20, 'aaaa-mm-dd última data deste evento');
INSERT INTO `lang_definitions` VALUES (76404, 7386, 20, 'Modulo Zend');
INSERT INTO `lang_definitions` VALUES (76405, 7387, 20, 'Zero');
INSERT INTO `lang_definitions` VALUES (76406, 7389, 20, 'CEP');
INSERT INTO `lang_definitions` VALUES (76407, 7390, 20, 'CEP');
INSERT INTO `lang_definitions` VALUES (76408, 7391, 20, 'CEP/País:');
INSERT INTO `lang_definitions` VALUES (76409, 7392, 20, 'Zulu');
INSERT INTO `lang_definitions` VALUES (76410, 7393, 20, ' mas foi ');
INSERT INTO `lang_definitions` VALUES (76411, 7394, 20, ' não pôde ser acessado.');
INSERT INTO `lang_definitions` VALUES (76412, 7395, 20, 'Você realmente deseja apagar');
INSERT INTO `lang_definitions` VALUES (76413, 7396, 20, 'Droga');
INSERT INTO `lang_definitions` VALUES (76414, 7397, 20, 'e-mails não enviados');
INSERT INTO `lang_definitions` VALUES (76415, 7398, 20, 'de');
INSERT INTO `lang_definitions` VALUES (76416, 7399, 20, 'foi criado. ');
INSERT INTO `lang_definitions` VALUES (76417, 7400, 20, 'foi reaberto.');
INSERT INTO `lang_definitions` VALUES (76418, 7401, 20, 'Histórico');
INSERT INTO `lang_definitions` VALUES (76419, 7402, 20, 'não é um número');
INSERT INTO `lang_definitions` VALUES (76420, 7403, 20, 'está pronto para re-faturamento.');
INSERT INTO `lang_definitions` VALUES (76421, 7404, 20, 'LLL:');
INSERT INTO `lang_definitions` VALUES (76422, 7405, 20, 'Lote');
INSERT INTO `lang_definitions` VALUES (76423, 7406, 20, 'Medicaid Original Reference No. ');
INSERT INTO `lang_definitions` VALUES (76424, 7407, 20, 'min');
INSERT INTO `lang_definitions` VALUES (76425, 7408, 20, 'não encontrado!');
INSERT INTO `lang_definitions` VALUES (76426, 7409, 20, 'Peculiaridades em vários navegadores pode significar que a saída abaixo entra em sua tela em empurrões súbita e que há longas pausas de vários segundos, onde parece que as coisas podem ter deixado de funcionar. Isso não é o caso, você acabará por ver a saída que sai de linha por linha. Pode haver números seqüenciais que aparecem abaixo, é para indicar que, mesmo que nada mais pode estar exibindo há uma atividade em curso. Estes números serão intercaladas com o conteúdo do faturamento e que é normal.');
INSERT INTO `lang_definitions` VALUES (76427, 7410, 20, 'receita atingiu seu limite de');
INSERT INTO `lang_definitions` VALUES (76428, 7411, 20, 'até');
INSERT INTO `lang_definitions` VALUES (76429, 7412, 20, 'Falha na atualização, não no banco de dados?');
INSERT INTO `lang_definitions` VALUES (76430, 7413, 20, 'foi marcado como faturado apenas.');
INSERT INTO `lang_definitions` VALUES (76431, 7414, 20, 'enfileirado com sucesso.');
INSERT INTO `lang_definitions` VALUES (76432, 7415, 20, '! Saiu, visita w/o');
INSERT INTO `lang_definitions` VALUES (76433, 7416, 20, '\" para código');
INSERT INTO `lang_definitions` VALUES (76434, 7417, 20, '\" está MARCADO em configurações de PostCalendar!');
INSERT INTO `lang_definitions` VALUES (76435, 7418, 20, '# Ins / questão fin');
INSERT INTO `lang_definitions` VALUES (76436, 7419, 20, 'Nº de comprimidos:');
INSERT INTO `lang_definitions` VALUES (76437, 7420, 20, '$');
INSERT INTO `lang_definitions` VALUES (76438, 7421, 20, '$ Codificação feita');
INSERT INTO `lang_definitions` VALUES (76439, 7422, 20, '$formato (aaaa-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (76440, 7423, 20, '%');
INSERT INTO `lang_definitions` VALUES (76441, 7424, 20, '% Cancelado < 24h');
INSERT INTO `lang_definitions` VALUES (76442, 7425, 20, '% Cancelado < 24h ');
INSERT INTO `lang_definitions` VALUES (76443, 7426, 20, 'deve existir, mas não.');
INSERT INTO `lang_definitions` VALUES (76444, 7427, 20, '(% Corresponde a qualquer cadeia _ corresponde a qualquer caractere)');
INSERT INTO `lang_definitions` VALUES (76445, 7428, 20, '([ctrl] + clique para selecionar múltiplos recipientes)');
INSERT INTO `lang_definitions` VALUES (76446, 7429, 20, '(Voltar)');
INSERT INTO `lang_definitions` VALUES (76447, 7430, 20, '(Clique para editar)');
INSERT INTO `lang_definitions` VALUES (76448, 7431, 20, '( A entrega de E-mail é imediata, enquanto VOIP automatizado é enviado para o provedor de serviços para posterior processamento. )');
INSERT INTO `lang_definitions` VALUES (76449, 7432, 20, '(Mais)');
INSERT INTO `lang_definitions` VALUES (76450, 7433, 20, '(Paciente Novo)');
INSERT INTO `lang_definitions` VALUES (76451, 7434, 20, '(Notas e Autorizações)');
INSERT INTO `lang_definitions` VALUES (76452, 7435, 20, '(Notas do Paciente)');
INSERT INTO `lang_definitions` VALUES (76453, 7436, 20, '(Escolha um, ou escreve seu próprio título)');
INSERT INTO `lang_definitions` VALUES (76454, 7437, 20, '(Shift-)Clique ou arraste para alterar o valor');
INSERT INTO `lang_definitions` VALUES (76455, 7438, 20, '* Lembrete feito');
INSERT INTO `lang_definitions` VALUES (76456, 7439, 20, '** Por favor mover cirurgias para Problemas!');
INSERT INTO `lang_definitions` VALUES (76457, 7440, 20, '*Obrigatório');
INSERT INTO `lang_definitions` VALUES (76458, 7441, 20, '+ Chart pulled');
INSERT INTO `lang_definitions` VALUES (76459, 7442, 20, '- Nenhum');
INSERT INTO `lang_definitions` VALUES (76460, 7443, 20, '-- Todos --');
INSERT INTO `lang_definitions` VALUES (76461, 7444, 20, '--Selecione Perfil--');
INSERT INTO `lang_definitions` VALUES (76462, 7445, 20, '.');
INSERT INTO `lang_definitions` VALUES (76463, 7446, 20, '0');
INSERT INTO `lang_definitions` VALUES (76464, 7447, 20, '0-10');
INSERT INTO `lang_definitions` VALUES (76465, 7448, 20, '0-24');
INSERT INTO `lang_definitions` VALUES (76466, 7451, 20, '1');
INSERT INTO `lang_definitions` VALUES (76467, 7452, 20, '55 = Brasil. Acesse http://www.wtng.info/ para a lista completa de códigos dos países.');
INSERT INTO `lang_definitions` VALUES (76468, 7453, 20, '1 dia a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76469, 7454, 20, '1 mês a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76470, 7455, 20, '1 semana a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76471, 7456, 20, '1 ano a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76472, 7457, 20, '1.Descansar 2. Gelo durante dois dias 3. Compressão, deixar o curativo no local a menos que o pé se desenvolve dormência ou cor pálida 4. Elevar o pé e perna');
INSERT INTO `lang_definitions` VALUES (76473, 7458, 20, '11-14');
INSERT INTO `lang_definitions` VALUES (76474, 7459, 20, '12 hs');
INSERT INTO `lang_definitions` VALUES (76475, 7460, 20, '15-19');
INSERT INTO `lang_definitions` VALUES (76476, 7462, 20, '2');
INSERT INTO `lang_definitions` VALUES (76477, 7463, 20, '2 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76478, 7464, 20, '2 meses a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76479, 7465, 20, '2 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76480, 7466, 20, '2 anos a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76481, 7467, 20, '2-20 anos');
INSERT INTO `lang_definitions` VALUES (76482, 7468, 20, '20-24');
INSERT INTO `lang_definitions` VALUES (76483, 7475, 20, '2014 Medida de qualidade clínica');
INSERT INTO `lang_definitions` VALUES (76484, 7476, 20, '2014 Medida de qualidade clínica (CQM) Grupo de Medidas');
INSERT INTO `lang_definitions` VALUES (76485, 7477, 20, '2111-13');
INSERT INTO `lang_definitions` VALUES (76486, 7478, 20, '24 hs');
INSERT INTO `lang_definitions` VALUES (76487, 7479, 20, '25+');
INSERT INTO `lang_definitions` VALUES (76488, 7480, 20, '25-29');
INSERT INTO `lang_definitions` VALUES (76489, 7481, 20, '2º');
INSERT INTO `lang_definitions` VALUES (76490, 7482, 20, '3 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76491, 7483, 20, '3 meses');
INSERT INTO `lang_definitions` VALUES (76492, 7484, 20, '3 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (76493, 7485, 20, '3 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (76494, 7486, 20, '3 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76495, 7487, 20, '30-34');
INSERT INTO `lang_definitions` VALUES (76496, 7488, 20, '35-39');
INSERT INTO `lang_definitions` VALUES (76497, 7489, 20, '3º');
INSERT INTO `lang_definitions` VALUES (76498, 7490, 20, '4 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76499, 7491, 20, '4 meses');
INSERT INTO `lang_definitions` VALUES (76500, 7492, 20, '4 meses a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76501, 7493, 20, '4 vezes ao dia');
INSERT INTO `lang_definitions` VALUES (76502, 7494, 20, '4 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76503, 7495, 20, '40-44');
INSERT INTO `lang_definitions` VALUES (76504, 7496, 20, '45+');
INSERT INTO `lang_definitions` VALUES (76505, 7497, 20, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (76506, 7498, 20, '466,0, Bronquite aguda SOE');
INSERT INTO `lang_definitions` VALUES (76507, 7499, 20, '486,0, Pneumonia aguda');
INSERT INTO `lang_definitions` VALUES (76508, 7500, 20, '491,21, exacerbação de DPOC');
INSERT INTO `lang_definitions` VALUES (76509, 7501, 20, '491,8, Bronquite crônica');
INSERT INTO `lang_definitions` VALUES (76510, 7502, 20, '493,92, Asma Aguda EXAC.');
INSERT INTO `lang_definitions` VALUES (76511, 7503, 20, '496,0, a DPOC');
INSERT INTO `lang_definitions` VALUES (76512, 7504, 20, '4º');
INSERT INTO `lang_definitions` VALUES (76513, 7505, 20, '5 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76514, 7506, 20, '5 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (76515, 7507, 20, '5 semanas a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76516, 7508, 20, '519,7, broncoespasmo');
INSERT INTO `lang_definitions` VALUES (76517, 7509, 20, '5º');
INSERT INTO `lang_definitions` VALUES (76518, 7510, 20, '6 dias a contar de hoje');
INSERT INTO `lang_definitions` VALUES (76519, 7511, 20, '6 meses');
INSERT INTO `lang_definitions` VALUES (76520, 7512, 20, '6 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (76521, 7513, 20, '6 semanas a partir de agora');
INSERT INTO `lang_definitions` VALUES (76522, 7514, 20, '6º');
INSERT INTO `lang_definitions` VALUES (76523, 7515, 20, '7 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (76524, 7516, 20, '8 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (76525, 7517, 20, '824,0 Fratura do maléolo medial, fechado');
INSERT INTO `lang_definitions` VALUES (76526, 7518, 20, '824,2 Fracture, maléolo lateral, fechado');
INSERT INTO `lang_definitions` VALUES (76527, 7519, 20, '824,6 Fracture, Trimalleolar, fechado');
INSERT INTO `lang_definitions` VALUES (76528, 7520, 20, '825,32 Fracture, do navicular (tornozelo)');
INSERT INTO `lang_definitions` VALUES (76529, 7521, 20, '825,35 Fracture, Base de quinta (5) Metatarsal');
INSERT INTO `lang_definitions` VALUES (76530, 7522, 20, '845,00 NOS entorse de tornozelo');
INSERT INTO `lang_definitions` VALUES (76531, 7523, 20, '845,01 Entorse medial (deltóide) Lig.');
INSERT INTO `lang_definitions` VALUES (76532, 7524, 20, '845,02 entorse, calcâneo fibular');
INSERT INTO `lang_definitions` VALUES (76533, 7525, 20, '9 meses a partir de agora');
INSERT INTO `lang_definitions` VALUES (76534, 7526, 20, '99212 Estabelecido - Descomplicado');
INSERT INTO `lang_definitions` VALUES (76535, 7527, 20, '99213 Estabelecido - Baixa Complexidade');
INSERT INTO `lang_definitions` VALUES (76536, 7528, 20, '< Na sala de exame');
INSERT INTO `lang_definitions` VALUES (76537, 7529, 20, '> Check out');
INSERT INTO `lang_definitions` VALUES (76538, 7530, 20, '?');
INSERT INTO `lang_definitions` VALUES (76539, 7531, 20, '? Não Compareceu');
INSERT INTO `lang_definitions` VALUES (76540, 7532, 20, '@ Chegou');
INSERT INTO `lang_definitions` VALUES (76541, 7533, 20, '[Alterar Visualização]');
INSERT INTO `lang_definitions` VALUES (76542, 7534, 20, '[Data da Última Consulta]');
INSERT INTO `lang_definitions` VALUES (76543, 7535, 20, '[Dias Desde a Última Consulta]');
INSERT INTO `lang_definitions` VALUES (76544, 7536, 20, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (76545, 7537, 20, '[Exportar OFX]');
INSERT INTO `lang_definitions` VALUES (76546, 7538, 20, '[não recomendado]');
INSERT INTO `lang_definitions` VALUES (76547, 7539, 20, '[Número de encontros]');
INSERT INTO `lang_definitions` VALUES (76548, 7540, 20, '[Relatórios]');
INSERT INTO `lang_definitions` VALUES (76549, 7541, 20, '[Selecionar Todos]');
INSERT INTO `lang_definitions` VALUES (76550, 7542, 20, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (76551, 7543, 20, '[Iniciar Processamento Batch]');
INSERT INTO `lang_definitions` VALUES (76552, 7544, 20, '[Ver log]');
INSERT INTO `lang_definitions` VALUES (76553, 7545, 20, '[Ver Relatório para Impressão]');
INSERT INTO `lang_definitions` VALUES (76554, 7546, 20, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (76555, 7547, 20, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (76556, 7548, 20, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (76557, 7549, 20, '~ Chegou atrasado');
INSERT INTO `lang_definitions` VALUES (76558, 1, 21, 'ا');
INSERT INTO `lang_definitions` VALUES (76559, 2, 21, 'رقم الإيصال أو المطالبة للتعريف بالدفع');
INSERT INTO `lang_definitions` VALUES (76560, 3, 21, 'شهادة عميل للمستخدم المشرف');
INSERT INTO `lang_definitions` VALUES (76561, 4, 21, 'تم إرفاق وثيقة طبية');
INSERT INTO `lang_definitions` VALUES (76562, 5, 21, 'تم إرفاق وثيقة طبية.');
INSERT INTO `lang_definitions` VALUES (76563, 7, 21, 'مطلوب موزع');
INSERT INTO `lang_definitions` VALUES (76564, 8, 21, 'ينبغي اضافة استمارة الزيارة لهذه الزيارة');
INSERT INTO `lang_definitions` VALUES (76565, 9, 21, 'رقم الشحنة مطلوب');
INSERT INTO `lang_definitions` VALUES (76566, 10, 21, 'رقم الشحنة مطلوب');
INSERT INTO `lang_definitions` VALUES (76567, 11, 21, 'حرف صغير من الأبجدية الانجليزية');
INSERT INTO `lang_definitions` VALUES (76568, 12, 21, 'رقم');
INSERT INTO `lang_definitions` VALUES (76569, 14, 21, 'هوية التعريف لهذا المريض موجودة مسبقاً');
INSERT INTO `lang_definitions` VALUES (76570, 15, 21, 'اسم هذا المريض موجود مسبقاً');
INSERT INTO `lang_definitions` VALUES (76571, 16, 21, 'رقم الضمان الاجتماعي لهذا المريض موجود مسبقاً');
INSERT INTO `lang_definitions` VALUES (76572, 18, 21, 'يعرض الرقم الموجب عدة مواعيد سابقة على أداة في شاشة ملخص المريض.');
INSERT INTO `lang_definitions` VALUES (76573, 19, 21, 'يمكن تحديد مصدر الإحالة عن كل زيارة');
INSERT INTO `lang_definitions` VALUES (76574, 20, 21, 'يطلب الرمز IPPF  ذو الصلة');
INSERT INTO `lang_definitions` VALUES (76575, 21, 21, 'حرف خاص');
INSERT INTO `lang_definitions` VALUES (76576, 22, 21, 'قيمة لامثيل لها للتعريف بهذا الحقل ,غير مرئية للمستخدم');
INSERT INTO `lang_definitions` VALUES (76577, 23, 21, 'الزيارة مفتوحه لهذا المريض اليوم. اضغط إلغاء لفتحها أو موافق لإنشاء زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (76578, 24, 21, 'قبل الطعام');
INSERT INTO `lang_definitions` VALUES (76579, 25, 21, 'بعد الطعام');
INSERT INTO `lang_definitions` VALUES (76580, 26, 21, 'الرجفان الأذيني يمين المستوى');
INSERT INTO `lang_definitions` VALUES (76581, 27, 21, 'اب');
INSERT INTO `lang_definitions` VALUES (76582, 28, 21, 'اختصارات');
INSERT INTO `lang_definitions` VALUES (76583, 29, 21, 'خراج');
INSERT INTO `lang_definitions` VALUES (76584, 30, 21, 'بطني');
INSERT INTO `lang_definitions` VALUES (76585, 31, 21, 'قادر على حمل الوزن أربع خطوات');
INSERT INTO `lang_definitions` VALUES (76586, 32, 21, 'غير طبيعي');
INSERT INTO `lang_definitions` VALUES (76587, 33, 21, 'إشعار ميديكير المتقدم 1');
INSERT INTO `lang_definitions` VALUES (76588, 34, 21, 'غير عادي');
INSERT INTO `lang_definitions` VALUES (76589, 35, 21, 'فحص دم غير عادي');
INSERT INTO `lang_definitions` VALUES (76590, 36, 21, 'نمو شعر غير عادي');
INSERT INTO `lang_definitions` VALUES (76591, 37, 21, 'تصوير ثدي غير عادي');
INSERT INTO `lang_definitions` VALUES (76592, 39, 21, 'اجهاض');
INSERT INTO `lang_definitions` VALUES (76593, 40, 21, 'قضايا الإجهاض');
INSERT INTO `lang_definitions` VALUES (76594, 41, 21, 'طريقة الإجهاض');
INSERT INTO `lang_definitions` VALUES (76595, 42, 21, 'الفئات المتعلقة بالإجهاض');
INSERT INTO `lang_definitions` VALUES (76596, 43, 21, 'اجهاضات');
INSERT INTO `lang_definitions` VALUES (76597, 44, 21, 'عن المفكرة');
INSERT INTO `lang_definitions` VALUES (76598, 46, 21, 'غياب التشخيص');
INSERT INTO `lang_definitions` VALUES (76599, 47, 21, 'قبول المهمة');
INSERT INTO `lang_definitions` VALUES (76600, 48, 21, 'قبول الدفع ل');
INSERT INTO `lang_definitions` VALUES (76601, 49, 21, 'قبول الدفع ل');
INSERT INTO `lang_definitions` VALUES (76602, 50, 21, 'قبول المهمة');
INSERT INTO `lang_definitions` VALUES (76603, 51, 21, 'تحكم  بالوصول');
INSERT INTO `lang_definitions` VALUES (76604, 52, 21, 'ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (76605, 53, 21, 'تاريخ الوصول');
INSERT INTO `lang_definitions` VALUES (76606, 54, 21, ' الوصول غير مسموح');
INSERT INTO `lang_definitions` VALUES (76607, 55, 21, 'الوصول غير مرخص به');
INSERT INTO `lang_definitions` VALUES (76608, 56, 21, 'الوصول إلى بوابة مريضكم');
INSERT INTO `lang_definitions` VALUES (76609, 57, 21, 'حادث');
INSERT INTO `lang_definitions` VALUES (76610, 59, 21, 'اسم الحساب');
INSERT INTO `lang_definitions` VALUES (76611, 62, 21, 'المحاسبة');
INSERT INTO `lang_definitions` VALUES (76612, 64, 21, 'آلام');
INSERT INTO `lang_definitions` VALUES (76613, 65, 21, 'إشعار بإلاستلام  (ISA14)');
INSERT INTO `lang_definitions` VALUES (76614, 66, 21, 'الاشعارات والترخيص والتصديق');
INSERT INTO `lang_definitions` VALUES (76615, 67, 21, 'قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (76616, 68, 21, 'ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (76617, 69, 21, 'المستخدم ليس له صلاحية في ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (76618, 70, 21, 'تم تحديث ادارة قائمة التحكم بالوصول');
INSERT INTO `lang_definitions` VALUES (76619, 71, 21, 'حب الشباب');
INSERT INTO `lang_definitions` VALUES (76620, 72, 21, 'الحدث');
INSERT INTO `lang_definitions` VALUES (76621, 73, 21, 'تاريخ الحدوث');
INSERT INTO `lang_definitions` VALUES (76622, 74, 21, 'الحدث');
INSERT INTO `lang_definitions` VALUES (76623, 75, 21, 'الاحداث');
INSERT INTO `lang_definitions` VALUES (76624, 77, 21, 'تفعيل تقارير  CCR / CCD');
INSERT INTO `lang_definitions` VALUES (76625, 78, 21, 'تنبيه نشط');
INSERT INTO `lang_definitions` VALUES (76626, 79, 21, 'تنبيه فعال');
INSERT INTO `lang_definitions` VALUES (76627, 80, 21, 'قواعد التنبيه الفعال');
INSERT INTO `lang_definitions` VALUES (76628, 81, 21, 'تنبيهات/تذكيرات فعالة');
INSERT INTO `lang_definitions` VALUES (76629, 82, 21, 'الموعد الفعال');
INSERT INTO `lang_definitions` VALUES (76630, 84, 21, 'القوائم الفعالة');
INSERT INTO `lang_definitions` VALUES (76631, 85, 21, 'المريض الفعال');
INSERT INTO `lang_definitions` VALUES (76632, 86, 21, 'خطط فعالة');
INSERT INTO `lang_definitions` VALUES (76633, 87, 21, 'فعالية');
INSERT INTO `lang_definitions` VALUES (76634, 88, 21, 'النوع الفعال');
INSERT INTO `lang_definitions` VALUES (76635, 90, 21, 'تسمم حاد/إنسحاب');
INSERT INTO `lang_definitions` VALUES (76636, 91, 21, 'عارض حاد لمرض مزمن');
INSERT INTO `lang_definitions` VALUES (76637, 92, 21, 'حاد أو مزمن');
INSERT INTO `lang_definitions` VALUES (76638, 93, 21, 'إضافة');
INSERT INTO `lang_definitions` VALUES (76639, 94, 21, 'إضافة');
INSERT INTO `lang_definitions` VALUES (76640, 95, 21, 'أضف');
INSERT INTO `lang_definitions` VALUES (76641, 96, 21, 'إضافة شركة');
INSERT INTO `lang_definitions` VALUES (76642, 98, 21, 'إضافة صيدلية');
INSERT INTO `lang_definitions` VALUES (76643, 100, 21, 'إضافة حدث ل');
INSERT INTO `lang_definitions` VALUES (76644, 101, 21, 'إضافة كملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (76645, 102, 21, 'إضافة جديد');
INSERT INTO `lang_definitions` VALUES (76646, 104, 21, 'أضف أزرار');
INSERT INTO `lang_definitions` VALUES (76647, 105, 21, 'إضافة ازار للحروف والرموز الخاصة يتم عرضها أعلى محرر النصوص ويتم ادراجها ضمن النص عند الضغط عليها');
INSERT INTO `lang_definitions` VALUES (76648, 106, 21, 'إضافة فئة');
INSERT INTO `lang_definitions` VALUES (76649, 107, 21, 'إضافة ثابت');
INSERT INTO `lang_definitions` VALUES (76650, 108, 21, 'اضافة حالة');
INSERT INTO `lang_definitions` VALUES (76651, 109, 21, 'إضافة تحمل');
INSERT INTO `lang_definitions` VALUES (76652, 110, 21, 'أضف حالة');
INSERT INTO `lang_definitions` VALUES (76653, 111, 21, 'إضافة زر مخصص');
INSERT INTO `lang_definitions` VALUES (76654, 112, 21, 'أضف تشخيص');
INSERT INTO `lang_definitions` VALUES (76655, 113, 21, 'إضافة دواء');
INSERT INTO `lang_definitions` VALUES (76656, 114, 21, 'إضافة موعد');
INSERT INTO `lang_definitions` VALUES (76657, 115, 21, 'إضافة زيارة / ملاحظات');
INSERT INTO `lang_definitions` VALUES (76658, 116, 21, 'إضافة مرفق');
INSERT INTO `lang_definitions` VALUES (76659, 117, 21, 'إضافة حقل');
INSERT INTO `lang_definitions` VALUES (76660, 118, 21, 'إضافة  الأسطر التالية إلى تكوين ملف اباتشي');
INSERT INTO `lang_definitions` VALUES (76661, 119, 21, 'إضافة مجموعة');
INSERT INTO `lang_definitions` VALUES (76662, 120, 21, 'إضافة  رمز التصنيفات الإحصائية الدولية للأمراض');
INSERT INTO `lang_definitions` VALUES (76663, 121, 21, 'إضافة لقاح');
INSERT INTO `lang_definitions` VALUES (76664, 122, 21, 'الإضافة غير مسموحة');
INSERT INTO `lang_definitions` VALUES (76665, 123, 21, 'إضافة مسألة');
INSERT INTO `lang_definitions` VALUES (76666, 124, 21, 'إضافة بند للمتابعة');
INSERT INTO `lang_definitions` VALUES (76667, 125, 21, 'إضافة لغة');
INSERT INTO `lang_definitions` VALUES (76668, 126, 21, 'إضافة عنصر جديد');
INSERT INTO `lang_definitions` VALUES (76669, 127, 21, 'إضافة عنصر جديد');
INSERT INTO `lang_definitions` VALUES (76670, 128, 21, 'إضافة فئة جديدة ');
INSERT INTO `lang_definitions` VALUES (76671, 129, 21, 'إضافة شهادات جديدة لتكوين ملف اباتشي');
INSERT INTO `lang_definitions` VALUES (76672, 130, 21, 'إضافة مكوّن جديد');
INSERT INTO `lang_definitions` VALUES (76673, 131, 21, 'إضافة مكوّنات جديدة');
INSERT INTO `lang_definitions` VALUES (76674, 132, 21, 'إضافة مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (76675, 133, 21, 'إضافة مشكلة جديدة');
INSERT INTO `lang_definitions` VALUES (76676, 134, 21, 'إضافة شحنة و معاملة جديدة');
INSERT INTO `lang_definitions` VALUES (76677, 135, 21, 'إضافة ملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (76678, 136, 21, 'إضافة ملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (76679, 137, 21, 'إضافة شريك جديد');
INSERT INTO `lang_definitions` VALUES (76680, 138, 21, 'إضافة مريض جديد');
INSERT INTO `lang_definitions` VALUES (76681, 140, 21, 'إضافة ملاحظة');
INSERT INTO `lang_definitions` VALUES (76682, 141, 21, 'إضافة سجل مريض');
INSERT INTO `lang_definitions` VALUES (76683, 142, 21, 'إضافة وصفة');
INSERT INTO `lang_definitions` VALUES (76684, 143, 21, 'إضافة إجراء');
INSERT INTO `lang_definitions` VALUES (76685, 144, 21, 'إضافة رقم المزود');
INSERT INTO `lang_definitions` VALUES (76686, 145, 21, 'إضافة إعادة التأهيل');
INSERT INTO `lang_definitions` VALUES (76687, 146, 21, 'أضف امر');
INSERT INTO `lang_definitions` VALUES (76688, 147, 21, 'إضافة الى');
INSERT INTO `lang_definitions` VALUES (76689, 148, 21, 'إضافة الى قائمة الأدوية');
INSERT INTO `lang_definitions` VALUES (76690, 149, 21, 'إضافة المستوى الأعلى');
INSERT INTO `lang_definitions` VALUES (76691, 150, 21, 'إضافة تحويل');
INSERT INTO `lang_definitions` VALUES (76692, 151, 21, 'إضافة مستخدم');
INSERT INTO `lang_definitions` VALUES (76693, 152, 21, 'إضافة مستخدم الى مجموعة');
INSERT INTO `lang_definitions` VALUES (76694, 153, 21, 'أضف/عدل الوصفات الطبية الالكترونية اي آر اكس');
INSERT INTO `lang_definitions` VALUES (76695, 154, 21, 'إضافة / أو تعديل اجراء للمريض');
INSERT INTO `lang_definitions` VALUES (76696, 155, 21, 'مضاف');
INSERT INTO `lang_definitions` VALUES (76697, 156, 21, 'إضافة معلومات ديموغرافية غير مسموح');
INSERT INTO `lang_definitions` VALUES (76698, 157, 21, 'لقد فشلت إضافه بند للمتابعة');
INSERT INTO `lang_definitions` VALUES (76699, 158, 21, 'متلازمة أديسون');
INSERT INTO `lang_definitions` VALUES (76700, 159, 21, 'متلازمة أديسون');
INSERT INTO `lang_definitions` VALUES (76701, 160, 21, 'سمات اضافية');
INSERT INTO `lang_definitions` VALUES (76702, 161, 21, 'تشخيص اضافي');
INSERT INTO `lang_definitions` VALUES (76703, 162, 21, 'تاريخ مرضي اضافي');
INSERT INTO `lang_definitions` VALUES (76704, 163, 21, 'ملاحظات في التاريخ المرضي اضافية');
INSERT INTO `lang_definitions` VALUES (76705, 164, 21, 'معلومات اضافية');
INSERT INTO `lang_definitions` VALUES (76706, 165, 21, 'تحاليل مخبرية اضافية');
INSERT INTO `lang_definitions` VALUES (76707, 166, 21, 'ملاحظات اضافية');
INSERT INTO `lang_definitions` VALUES (76708, 167, 21, 'توصيات او ملاحظات اضافية للنتيجة');
INSERT INTO `lang_definitions` VALUES (76709, 168, 21, 'ملاحظات اضافية');
INSERT INTO `lang_definitions` VALUES (76710, 169, 21, 'ملاحظات اضافية ');
INSERT INTO `lang_definitions` VALUES (76711, 170, 21, 'ملاحظات شعاعية اضافية');
INSERT INTO `lang_definitions` VALUES (76712, 171, 21, 'إضافيا, يمكن استيراد طرد Snomed للولايات المتحدة بعد الطراز العالمي منها');
INSERT INTO `lang_definitions` VALUES (76713, 172, 21, 'إضافة محددة');
INSERT INTO `lang_definitions` VALUES (76714, 173, 21, 'دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (76715, 174, 21, 'دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (76716, 175, 21, 'العنوان');
INSERT INTO `lang_definitions` VALUES (76717, 178, 21, 'دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (76718, 179, 21, 'مدخلات دفتر العناوين الخاصة بالشركة التي تقوم بهذه اﻹجراءات');
INSERT INTO `lang_definitions` VALUES (76719, 180, 21, 'ادخال دفتر العناوين للموزع');
INSERT INTO `lang_definitions` VALUES (76720, 181, 21, 'ادخال دفتر العناوين للبائع');
INSERT INTO `lang_definitions` VALUES (76721, 182, 21, 'أنواع دفتر العناوين');
INSERT INTO `lang_definitions` VALUES (76722, 183, 21, 'ملصق العنوان');
INSERT INTO `lang_definitions` VALUES (76723, 187, 21, 'العنوان 1');
INSERT INTO `lang_definitions` VALUES (76724, 188, 21, 'العنوان 2');
INSERT INTO `lang_definitions` VALUES (76725, 189, 21, 'مخاطب');
INSERT INTO `lang_definitions` VALUES (76726, 190, 21, 'تعديل');
INSERT INTO `lang_definitions` VALUES (76727, 191, 21, 'مقدار التعديل');
INSERT INTO `lang_definitions` VALUES (76728, 192, 21, 'عدّل');
INSERT INTO `lang_definitions` VALUES (76729, 193, 21, 'تعديل');
INSERT INTO `lang_definitions` VALUES (76730, 194, 21, 'كمية التعديل');
INSERT INTO `lang_definitions` VALUES (76731, 195, 21, 'أسباب التعديل');
INSERT INTO `lang_definitions` VALUES (76732, 196, 21, 'القيمة المعدلة للرمز ');
INSERT INTO `lang_definitions` VALUES (76733, 197, 21, 'تعديلات');
INSERT INTO `lang_definitions` VALUES (76734, 198, 21, 'تعديلات المدير');
INSERT INTO `lang_definitions` VALUES (76735, 199, 21, 'المدير');
INSERT INTO `lang_definitions` VALUES (76736, 200, 21, 'العنوان الإلكتروني للمدير');
INSERT INTO `lang_definitions` VALUES (76737, 201, 21, 'ادير/ قدم من');
INSERT INTO `lang_definitions` VALUES (76738, 202, 21, 'ادار/قدم');
INSERT INTO `lang_definitions` VALUES (76739, 203, 21, 'ادارة عن طريق');
INSERT INTO `lang_definitions` VALUES (76740, 204, 21, 'تاريخ مُدار');
INSERT INTO `lang_definitions` VALUES (76741, 205, 21, 'موقع مُدار');
INSERT INTO `lang_definitions` VALUES (76742, 206, 21, 'الإدارة');
INSERT INTO `lang_definitions` VALUES (76743, 207, 21, 'موقع الإدارة');
INSERT INTO `lang_definitions` VALUES (76744, 208, 21, 'المدراء');
INSERT INTO `lang_definitions` VALUES (76745, 209, 21, 'المدراء لهم كافة الصلاحيات');
INSERT INTO `lang_definitions` VALUES (76746, 210, 21, 'تاريخ الدخول');
INSERT INTO `lang_definitions` VALUES (76747, 212, 21, 'فحص الوزن والمتابعة للبالغين');
INSERT INTO `lang_definitions` VALUES (76748, 213, 21, 'فحص الوزن والمتابعة للبالغين (CQM)');
INSERT INTO `lang_definitions` VALUES (76749, 214, 21, 'التوجيه مقدما');
INSERT INTO `lang_definitions` VALUES (76750, 215, 21, 'توجيهات متقدمة');
INSERT INTO `lang_definitions` VALUES (76751, 216, 21, 'توجيهات تحذيرية متقدمة');
INSERT INTO `lang_definitions` VALUES (76752, 218, 21, 'متقدم');
INSERT INTO `lang_definitions` VALUES (76753, 219, 21, 'نصيحة');
INSERT INTO `lang_definitions` VALUES (76754, 220, 21, 'بعيد');
INSERT INTO `lang_definitions` VALUES (76755, 221, 21, 'يؤثر طبيعياً');
INSERT INTO `lang_definitions` VALUES (76756, 222, 21, 'جنوب افريقي أبيض');
INSERT INTO `lang_definitions` VALUES (76757, 223, 21, 'مكالمة بعد ساعات');
INSERT INTO `lang_definitions` VALUES (76758, 224, 21, 'بعد التحول من آلية كلمة السر القديمة , يجب تعيين علامة سالبة بحيث تكون المصاقة ممكنة من خلال طريقة جديدة');
INSERT INTO `lang_definitions` VALUES (76759, 225, 21, 'بعد القيام باﻹعدادات اعلاه، قم باستصدار شهادة إدراة النظام الزبون الى المتصفح ومن ثم قم بإعادة تشغيل خادم الويب (أباتشي)(كلمة سر فارغة)');
INSERT INTO `lang_definitions` VALUES (76760, 226, 21, 'بعد حفظ الملف بصيغة بدف اضغط مشاهدة السجل للتأكد من عدم وجود أخطاء');
INSERT INTO `lang_definitions` VALUES (76761, 227, 21, 'بعد حفظ الملف نصي بدف اضغط مشاهدة السجل للتأكد من عدم وجود أخطاء');
INSERT INTO `lang_definitions` VALUES (76762, 228, 21, 'بعد حفظ تعديلك اضغط مشاهدة السجل للتأكد من عدم وجود أخطاء');
INSERT INTO `lang_definitions` VALUES (76763, 230, 21, 'بعد ادخال المعلومات بشكل صحيح اضغط زر الحفظ');
INSERT INTO `lang_definitions` VALUES (76764, 232, 21, 'التخطيط للرعاية اللاحقة');
INSERT INTO `lang_definitions` VALUES (76765, 233, 21, 'مرة اخرى');
INSERT INTO `lang_definitions` VALUES (76766, 234, 21, 'العمر');
INSERT INTO `lang_definitions` VALUES (76767, 235, 21, 'العمر ب');
INSERT INTO `lang_definitions` VALUES (76768, 236, 21, 'الفئة العمرية');
INSERT INTO `lang_definitions` VALUES (76769, 237, 21, 'بيانات العمر خارج المجال');
INSERT INTO `lang_definitions` VALUES (76770, 238, 21, 'نمط عرض العمر');
INSERT INTO `lang_definitions` VALUES (76771, 239, 21, 'نمط ادخال العمر ل (العمر من ) غير صحيح');
INSERT INTO `lang_definitions` VALUES (76772, 240, 21, 'نمط ادخال العمر ل (العمر الى) غير صحيح');
INSERT INTO `lang_definitions` VALUES (76773, 241, 21, 'العمر من');
INSERT INTO `lang_definitions` VALUES (76774, 242, 21, 'العمر بالسنوات للتغير في صيغة العرض');
INSERT INTO `lang_definitions` VALUES (76775, 243, 21, 'اكبر عمر');
INSERT INTO `lang_definitions` VALUES (76776, 244, 21, 'اصغر عمر');
INSERT INTO `lang_definitions` VALUES (76777, 245, 21, 'مدى العمر');
INSERT INTO `lang_definitions` VALUES (76778, 247, 21, 'أعمدة العمر');
INSERT INTO `lang_definitions` VALUES (76779, 248, 21, 'لغه ساحل العاج و غانا');
INSERT INTO `lang_definitions` VALUES (76780, 249, 21, 'ألباني');
INSERT INTO `lang_definitions` VALUES (76781, 250, 21, 'الكحول');
INSERT INTO `lang_definitions` VALUES (76782, 251, 21, 'استهلاك الكحول');
INSERT INTO `lang_definitions` VALUES (76783, 252, 21, 'إستعمال الكحول');
INSERT INTO `lang_definitions` VALUES (76784, 253, 21, 'عدد التحذير');
INSERT INTO `lang_definitions` VALUES (76785, 255, 21, 'تحذيرات');
INSERT INTO `lang_definitions` VALUES (76786, 258, 21, 'الألوشية');
INSERT INTO `lang_definitions` VALUES (76787, 259, 21, 'الكل');
INSERT INTO `lang_definitions` VALUES (76788, 260, 21, 'الكل');
INSERT INTO `lang_definitions` VALUES (76789, 261, 21, 'الكل(نموذج أ)');
INSERT INTO `lang_definitions` VALUES (76790, 262, 21, 'الكل (نموذج ب)');
INSERT INTO `lang_definitions` VALUES (76791, 263, 21, 'الكل (متراكم)');
INSERT INTO `lang_definitions` VALUES (76792, 265, 21, 'كل الحسابات اتوماتيكية (AMC)');
INSERT INTO `lang_definitions` VALUES (76793, 266, 21, 'كل الفئات');
INSERT INTO `lang_definitions` VALUES (76794, 267, 21, 'كل مقاييس النوعية الاكلينيكيه (CQM)');
INSERT INTO `lang_definitions` VALUES (76795, 268, 21, 'كل الرموز');
INSERT INTO `lang_definitions` VALUES (76796, 269, 21, 'كل الأيام');
INSERT INTO `lang_definitions` VALUES (76797, 270, 21, 'كل أحداث اليوم');
INSERT INTO `lang_definitions` VALUES (76798, 271, 21, 'كل الحقول الديموغرافية التي لها فحص للبحث والتكرار');
INSERT INTO `lang_definitions` VALUES (76799, 272, 21, 'كل الهيئات');
INSERT INTO `lang_definitions` VALUES (76800, 273, 21, 'كل اﻹصابات/المشاكل/القضايا');
INSERT INTO `lang_definitions` VALUES (76801, 274, 21, 'كل اللغات المسموحة');
INSERT INTO `lang_definitions` VALUES (76802, 276, 21, 'كل أو جزء من الإسم الأول');
INSERT INTO `lang_definitions` VALUES (76803, 277, 21, 'كل أو جزء من الإسم الأخير');
INSERT INTO `lang_definitions` VALUES (76804, 278, 21, 'كل أو جزء من المنظومة');
INSERT INTO `lang_definitions` VALUES (76805, 279, 21, 'كل المرضي');
INSERT INTO `lang_definitions` VALUES (76806, 280, 21, 'كل المنتجات');
INSERT INTO `lang_definitions` VALUES (76807, 281, 21, 'كل المزودين');
INSERT INTO `lang_definitions` VALUES (76808, 282, 21, 'الكل تمت مراجعته وسلبي');
INSERT INTO `lang_definitions` VALUES (76809, 283, 21, 'كافة المواضيع');
INSERT INTO `lang_definitions` VALUES (76810, 284, 21, 'كافة المستخدمين');
INSERT INTO `lang_definitions` VALUES (76811, 285, 21, 'تحسسي');
INSERT INTO `lang_definitions` VALUES (76812, 286, 21, 'المحسسات');
INSERT INTO `lang_definitions` VALUES (76813, 287, 21, 'المحسسات:');
INSERT INTO `lang_definitions` VALUES (76814, 288, 21, 'الحساسية');
INSERT INTO `lang_definitions` VALUES (76815, 289, 21, 'تم إستيراد سجلات الحساسية بنجاح');
INSERT INTO `lang_definitions` VALUES (76816, 290, 21, 'قائمة مشاكل الحساسية');
INSERT INTO `lang_definitions` VALUES (76817, 291, 21, 'ارتكاس حساسية');
INSERT INTO `lang_definitions` VALUES (76818, 294, 21, 'تخصيص');
INSERT INTO `lang_definitions` VALUES (76819, 295, 21, 'اسمح');
INSERT INTO `lang_definitions` VALUES (76820, 296, 21, 'جعل كل اللغات المثبتة متاحة عند الدخول إلى النظام');
INSERT INTO `lang_definitions` VALUES (76821, 297, 21, 'إسمح بإضافة مطالبات محتوية على تشخيصات ولكن لا تحتوي على إجراءات أو اسعار. معظم المستوصفات والعيادات لا تفضل هذا.');
INSERT INTO `lang_definitions` VALUES (76822, 298, 21, 'السماح بلغة التصحيح');
INSERT INTO `lang_definitions` VALUES (76823, 299, 21, 'السماح بالبريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (76824, 300, 21, 'السماح برسائل البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (76825, 301, 21, 'السماح بالبريد الإلكتروني ؟');
INSERT INTO `lang_definitions` VALUES (76826, 302, 21, 'السماح بمطالبات المراجعة');
INSERT INTO `lang_definitions` VALUES (76827, 303, 21, 'السماح بتبادل المعلومات الصحية');
INSERT INTO `lang_definitions` VALUES (76828, 304, 21, 'السماح بمشاركة معلومات التحصينات');
INSERT INTO `lang_definitions` VALUES (76829, 305, 21, 'السماح باستخدام سجل التحصينات');
INSERT INTO `lang_definitions` VALUES (76830, 306, 21, 'السماح برسالة بريدية');
INSERT INTO `lang_definitions` VALUES (76831, 308, 21, 'السماح بالبوابة اﻹلكترونية للمرضى');
INSERT INTO `lang_definitions` VALUES (76832, 309, 21, 'السماح برسالة نصية');
INSERT INTO `lang_definitions` VALUES (76833, 310, 21, 'السماح برسالة نصية ؟');
INSERT INTO `lang_definitions` VALUES (76834, 311, 21, 'السماح بالأحداث المدخلة لتصبح فعالة بسرعة؟');
INSERT INTO `lang_definitions` VALUES (76835, 312, 21, 'السماح بالرسائل الهاتفية');
INSERT INTO `lang_definitions` VALUES (76836, 313, 21, 'السماح للمستخدمين بنشر الأحداث العامة');
INSERT INTO `lang_definitions` VALUES (76837, 314, 21, 'السماح للمستخدمين بنشر المواعيد الشخصية');
INSERT INTO `lang_definitions` VALUES (76838, 315, 21, 'السماح بالرسائل الصوتية');
INSERT INTO `lang_definitions` VALUES (76839, 316, 21, 'مسموح');
INSERT INTO `lang_definitions` VALUES (76840, 317, 21, 'اللغات المسموح بها');
INSERT INTO `lang_definitions` VALUES (76841, 318, 21, 'مسموح (c)');
INSERT INTO `lang_definitions` VALUES (76842, 319, 21, 'السماح بالتوقيع الرقمي علي كل الزيارة');
INSERT INTO `lang_definitions` VALUES (76843, 320, 21, 'السماح بالتوقيع الرقمي كل علي حدة');
INSERT INTO `lang_definitions` VALUES (76844, 321, 21, 'السماح للبريد');
INSERT INTO `lang_definitions` VALUES (76845, 322, 21, 'السماح للرسائل الصوتية');
INSERT INTO `lang_definitions` VALUES (76846, 323, 21, 'موجود');
INSERT INTO `lang_definitions` VALUES (76847, 324, 21, 'متواجد حالياً');
INSERT INTO `lang_definitions` VALUES (76848, 325, 21, 'مستخدم حالياً ,الرجاء اختيار تعريف آخر');
INSERT INTO `lang_definitions` VALUES (76849, 326, 21, 'مستخدم حالياً,الرجاء اختيار تعريف آخر');
INSERT INTO `lang_definitions` VALUES (76850, 327, 21, 'عنوان بديل');
INSERT INTO `lang_definitions` VALUES (76851, 328, 21, 'تبدل');
INSERT INTO `lang_definitions` VALUES (76852, 329, 21, 'بشكل بديل, يمكنك استخدام صفحة البحث لتحميل الملف التحويلات المالية الإلكترونية الذي كنت قد تم الحصول عليها من دافع أو تبادل المعلومات الخاصة بك. يمكنك القيام بذلك عن طريق النقر على زر تصفح واختيار ملف للتحميل ، ثم انقر فوق بحث لأداء وتحميل وعرض الفواتير المناظرة. في هذه الحالة المعلمات الأخرى المذكورة أعلاه لا تنطبق وسيتم تجاهلها. تحميل يحفظ الملف لكنها لا عملية محتوياته ، والتي تتم بصورة منفصلة على النحو المبين أدناه.');
INSERT INTO `lang_definitions` VALUES (76853, 330, 21, 'صباحاً');
INSERT INTO `lang_definitions` VALUES (76854, 331, 21, 'البرنامج الصباحي');
INSERT INTO `lang_definitions` VALUES (76855, 332, 21, 'حسابات القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (76856, 333, 21, 'متابعة حسابات القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (76857, 338, 21, 'تغيير ملاحظة موجودة');
INSERT INTO `lang_definitions` VALUES (76858, 339, 21, 'طلب تعديل أو إضافة');
INSERT INTO `lang_definitions` VALUES (76859, 340, 21, 'حالة التعديل أو الإضافة');
INSERT INTO `lang_definitions` VALUES (76860, 341, 21, 'تعديلات أو إضافات');
INSERT INTO `lang_definitions` VALUES (76861, 342, 21, 'تعديلات أو إضافات ل');
INSERT INTO `lang_definitions` VALUES (76862, 343, 21, 'هندي أمريكي');
INSERT INTO `lang_definitions` VALUES (76863, 344, 21, 'هندي أمريكي أو من اﻷسكا');
INSERT INTO `lang_definitions` VALUES (76864, 345, 21, 'بطاقة اميريكان اكسبرس');
INSERT INTO `lang_definitions` VALUES (76865, 346, 21, 'اللغة الأمهرية');
INSERT INTO `lang_definitions` VALUES (76866, 347, 21, 'كمية');
INSERT INTO `lang_definitions` VALUES (76867, 348, 21, 'الكمية المُدخلة');
INSERT INTO `lang_definitions` VALUES (76868, 349, 21, 'تكاليف الكمية');
INSERT INTO `lang_definitions` VALUES (76869, 350, 21, 'كمية التوازن الماضي');
INSERT INTO `lang_definitions` VALUES (76870, 351, 21, 'مقدار هذه الزيارة');
INSERT INTO `lang_definitions` VALUES (76871, 352, 21, 'المقدار المدفوع');
INSERT INTO `lang_definitions` VALUES (76872, 353, 21, 'الكمية');
INSERT INTO `lang_definitions` VALUES (76873, 354, 21, 'قيمة الفاتورة');
INSERT INTO `lang_definitions` VALUES (76874, 355, 21, 'تاريخ نهاية بعد تاريخ البداية مطلوب للأحداث المتكررة');
INSERT INTO `lang_definitions` VALUES (76875, 357, 21, 'LibreEHR حدث خطأ أثناء إلقاء دليل الويب شجرة ل');
INSERT INTO `lang_definitions` VALUES (76876, 358, 21, 'phpGACL حدث خطأ أثناء إلقاء دليل الويب شجرة ل');
INSERT INTO `lang_definitions` VALUES (76877, 359, 21, 'SQL-Ledger حدث خطأ أثناء إلقاء دليل الويب شجرة ل');
INSERT INTO `lang_definitions` VALUES (76878, 360, 21, 'القضية غير مكتملة تم إنشاؤها وربطها. شخص ما يجب حاجة لاستكماله في وقت لاحق');
INSERT INTO `lang_definitions` VALUES (76879, 362, 21, 'حدث خطأ غير متوقع');
INSERT INTO `lang_definitions` VALUES (76880, 363, 21, 'حرف');
INSERT INTO `lang_definitions` VALUES (76881, 365, 21, 'و');
INSERT INTO `lang_definitions` VALUES (76882, 366, 21, 'و');
INSERT INTO `lang_definitions` VALUES (76883, 367, 21, 'و');
INSERT INTO `lang_definitions` VALUES (76884, 368, 21, 'و ');
INSERT INTO `lang_definitions` VALUES (76885, 369, 21, 'وجميع معلومات المرؤسين؟ سيتم تسجيل هذه العملية في النظام');
INSERT INTO `lang_definitions` VALUES (76886, 370, 21, 'و المُعدل');
INSERT INTO `lang_definitions` VALUES (76887, 371, 21, 'و تمت معالجته');
INSERT INTO `lang_definitions` VALUES (76888, 372, 21, 'اعادة تشغيل سيرفر الـ‘أباتشي‘');
INSERT INTO `lang_definitions` VALUES (76889, 373, 21, 'و السبب هو');
INSERT INTO `lang_definitions` VALUES (76890, 374, 21, 'فقر الدم');
INSERT INTO `lang_definitions` VALUES (76891, 375, 21, 'الكاحل');
INSERT INTO `lang_definitions` VALUES (76892, 376, 21, 'الكاحل + العقب');
INSERT INTO `lang_definitions` VALUES (76893, 377, 21, 'نموذج تقييم الكاحل');
INSERT INTO `lang_definitions` VALUES (76894, 378, 21, 'مشاكل الكاحل');
INSERT INTO `lang_definitions` VALUES (76895, 379, 21, 'التهاب الفقار اللاصق');
INSERT INTO `lang_definitions` VALUES (76896, 380, 21, 'التهاب الفقار اللاصق');
INSERT INTO `lang_definitions` VALUES (76897, 381, 21, 'فقدان الشهية');
INSERT INTO `lang_definitions` VALUES (76898, 382, 21, 'شيء آخر يمكنك القيام به في نافذة الطلب هو طلب الفواتير الثانوية. إذا قمت بتحديد صندوق الاختيار هذا قبل الحفظ، سيتم إعادة فتح المطالبة الأصلية وتوضع على قائمة الانتظار في صفحة الفواتير، وسيتم معالجتها خلال عملية الفوترة القادمة.');
INSERT INTO `lang_definitions` VALUES (76899, 383, 21, 'قبل');
INSERT INTO `lang_definitions` VALUES (76900, 384, 21, 'فحص اشرج سوي, لا كتل أو مضض في المستقيم');
INSERT INTO `lang_definitions` VALUES (76901, 385, 21, 'قلق');
INSERT INTO `lang_definitions` VALUES (76902, 386, 21, 'أي منها');
INSERT INTO `lang_definitions` VALUES (76903, 387, 21, 'أي فئة');
INSERT INTO `lang_definitions` VALUES (76904, 388, 21, 'اي جزء من الرمز المطلوب او وصفه');
INSERT INTO `lang_definitions` VALUES (76905, 389, 21, 'أي جزء من الإختصاص المطلوب');
INSERT INTO `lang_definitions` VALUES (76906, 390, 21, 'أي جزء من رقم أو إسم الدواء');
INSERT INTO `lang_definitions` VALUES (76907, 391, 21, 'أي جزء من رقم أو إسم اللقاح');
INSERT INTO `lang_definitions` VALUES (76908, 392, 21, 'أي جزء من اسم المريض');
INSERT INTO `lang_definitions` VALUES (76909, 393, 21, 'هل من معلومات أخرى؟');
INSERT INTO `lang_definitions` VALUES (76910, 394, 21, 'مفتاح الكود البرمجي لبوابة رسائل الجوال');
INSERT INTO `lang_definitions` VALUES (76911, 395, 21, 'توقف تنفس');
INSERT INTO `lang_definitions` VALUES (76912, 396, 21, 'المظهر');
INSERT INTO `lang_definitions` VALUES (76913, 397, 21, 'المظهر:');
INSERT INTO `lang_definitions` VALUES (76914, 398, 21, 'ارفاق هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (76915, 399, 21, 'إضافة الى الملاحظة الموجودة');
INSERT INTO `lang_definitions` VALUES (76916, 400, 21, 'إضافة الى هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (76917, 401, 21, 'إضافة الى هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (76918, 402, 21, 'استئصال الزائدة');
INSERT INTO `lang_definitions` VALUES (76919, 404, 21, 'المرضى المعنيين');
INSERT INTO `lang_definitions` VALUES (76920, 405, 21, 'استمارة');
INSERT INTO `lang_definitions` VALUES (76921, 406, 21, 'إسم تطبيق صفجة الدخول و عنوان النافذة الرئيسية');
INSERT INTO `lang_definitions` VALUES (76922, 407, 21, 'رمز مستقبل الطلب');
INSERT INTO `lang_definitions` VALUES (76923, 408, 21, '(GS02) رمز التطبيق المرسل');
INSERT INTO `lang_definitions` VALUES (76924, 409, 21, 'عنوان الطلب');
INSERT INTO `lang_definitions` VALUES (76925, 410, 21, 'ينطبق على نموذج العلامات الحيوية و مخطط النمو');
INSERT INTO `lang_definitions` VALUES (76926, 411, 21, 'أضف التغيرات للحدث الحالي فقط');
INSERT INTO `lang_definitions` VALUES (76927, 412, 21, 'تطبيق التغييرات على الحدث الحالي وما يليه أو جميع اﻷحداث؟');
INSERT INTO `lang_definitions` VALUES (76928, 413, 21, 'تطبيق على المنطقة المصابة');
INSERT INTO `lang_definitions` VALUES (76929, 414, 21, 'تطبيق على الجلد');
INSERT INTO `lang_definitions` VALUES (76930, 415, 21, 'تطبيق');
INSERT INTO `lang_definitions` VALUES (76931, 416, 21, 'تحديث الموقع');
INSERT INTO `lang_definitions` VALUES (76932, 417, 21, 'موعد');
INSERT INTO `lang_definitions` VALUES (76933, 418, 21, 'تاريخ الموعد');
INSERT INTO `lang_definitions` VALUES (76934, 419, 21, 'طريقة عرض الموعد');
INSERT INTO `lang_definitions` VALUES (76935, 420, 21, 'قواعد التذكير بالموعد');
INSERT INTO `lang_definitions` VALUES (76936, 421, 21, 'حالة الموعد');
INSERT INTO `lang_definitions` VALUES (76937, 422, 21, 'حالات الموعد');
INSERT INTO `lang_definitions` VALUES (76938, 423, 21, 'الموعد خلال');
INSERT INTO `lang_definitions` VALUES (76939, 424, 21, 'لون الموعد أو الحدث');
INSERT INTO `lang_definitions` VALUES (76940, 425, 21, 'المواعيد');
INSERT INTO `lang_definitions` VALUES (76941, 426, 21, 'المواعيد (الكتابة اختيارية)');
INSERT INTO `lang_definitions` VALUES (76942, 427, 21, 'المواعيد (الكتابة اختيارية)');
INSERT INTO `lang_definitions` VALUES (76943, 430, 21, 'المواعيد والمقابلات');
INSERT INTO `lang_definitions` VALUES (76944, 431, 21, 'تقرير بالمواعيد');
INSERT INTO `lang_definitions` VALUES (76945, 432, 21, 'تقرير بالمواعيد والمقابلات');
INSERT INTO `lang_definitions` VALUES (76946, 434, 21, 'موافق');
INSERT INTO `lang_definitions` VALUES (76947, 436, 21, 'الموافقة');
INSERT INTO `lang_definitions` VALUES (76948, 437, 21, 'ادارة الأحداث الموافقة');
INSERT INTO `lang_definitions` VALUES (76949, 438, 21, 'تمت الموافقة بنجاح');
INSERT INTO `lang_definitions` VALUES (76950, 440, 21, 'المواعيد والمقابلات');
INSERT INTO `lang_definitions` VALUES (76951, 441, 21, 'المواعيد');
INSERT INTO `lang_definitions` VALUES (76952, 442, 21, 'أبريل/نيسان');
INSERT INTO `lang_definitions` VALUES (76953, 443, 21, 'أبريل/نيسان');
INSERT INTO `lang_definitions` VALUES (76954, 444, 21, 'العربية');
INSERT INTO `lang_definitions` VALUES (76955, 446, 21, 'الارشيف');
INSERT INTO `lang_definitions` VALUES (76956, 447, 21, 'ترجمة أسماء مجموعة التحكم؟');
INSERT INTO `lang_definitions` VALUES (76957, 448, 21, 'ترجمة أسماء فئة المواعبد؟');
INSERT INTO `lang_definitions` VALUES (76958, 449, 21, 'ترجمة أسماء فئة المستند؟');
INSERT INTO `lang_definitions` VALUES (76959, 450, 21, 'هل تم حساب فاتورة لهذا النمط؟');
INSERT INTO `lang_definitions` VALUES (76960, 451, 21, 'هل سيتم ترجمة عناوين ملاحظات المرضى');
INSERT INTO `lang_definitions` VALUES (76961, 452, 21, 'هل اﻷكواد التالية محفوظة في قاعدة بيانات خارجية (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2) )');
INSERT INTO `lang_definitions` VALUES (76962, 453, 21, 'هل أنت مستعد ﻹكمال عملية GCAC لهذه الزيارة؟');
INSERT INTO `lang_definitions` VALUES (76963, 454, 21, 'هل أنت متأكد من أنك تريد الإرسال لهذا اليوم؟');
INSERT INTO `lang_definitions` VALUES (76964, 455, 21, 'هل أنت متأكد أنك تريد الموافقة على هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (76965, 457, 21, 'هل أنت متأكد أنك تريد إزالة هذه من النموذج بشكل كامل؟');
INSERT INTO `lang_definitions` VALUES (76966, 459, 21, 'هل أنت متأكد من أنك تريد حذف هذا الكشف؟');
INSERT INTO `lang_definitions` VALUES (76967, 460, 21, 'هل أنت متأكد أنك تريد حذف هذا الحدث؟');
INSERT INTO `lang_definitions` VALUES (76968, 461, 21, 'هل أنت متأكد أنك تريد هذا البند من قاعدة البيانات؟');
INSERT INTO `lang_definitions` VALUES (76969, 462, 21, 'هل أنت متأكد أنك تريد حذف هذه الملاحظة؟');
INSERT INTO `lang_definitions` VALUES (76970, 464, 21, 'هل أنت متأكد أنك تريد تحرير هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (76971, 465, 21, 'هل أنت متأكد أنك تريد إخفاء هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (76972, 466, 21, 'هل أنت متأكد أنك تريد الإرسال مجددا؟');
INSERT INTO `lang_definitions` VALUES (76973, 467, 21, 'هل أنت متأكد أنك تريد عرض هذه الأحداث؟');
INSERT INTO `lang_definitions` VALUES (76974, 468, 21, 'هل أنت متأكد أنك تريد حذف هذه المجموعة؟');
INSERT INTO `lang_definitions` VALUES (76975, 469, 21, 'هل أنت متأكد أنك تريد حذف هذه القائمة؟');
INSERT INTO `lang_definitions` VALUES (76976, 470, 21, 'هل أنت متأكد أنك تريد حذف هذا الحقل؟');
INSERT INTO `lang_definitions` VALUES (76977, 471, 21, 'هل أنت متأكد أنك تريد حذف الحقول المختارة؟');
INSERT INTO `lang_definitions` VALUES (76978, 472, 21, 'هل أنت متأكد أنك تريد الاستمرار في هذه الأفعال؟');
INSERT INTO `lang_definitions` VALUES (76979, 473, 21, 'ناحية غير محددة');
INSERT INTO `lang_definitions` VALUES (76980, 474, 21, 'ساعد');
INSERT INTO `lang_definitions` VALUES (76981, 475, 21, 'أرمني');
INSERT INTO `lang_definitions` VALUES (76982, 477, 21, 'لا نظمية');
INSERT INTO `lang_definitions` VALUES (76983, 478, 21, 'التهاب المفصل');
INSERT INTO `lang_definitions` VALUES (76984, 479, 21, 'التهاب المفصل/ الداء المفصلي التنكسي');
INSERT INTO `lang_definitions` VALUES (76985, 480, 21, 'التهاب المفصل/ الداء المفصلي التنكسي');
INSERT INTO `lang_definitions` VALUES (76986, 481, 21, 'مثل');
INSERT INTO `lang_definitions` VALUES (76987, 482, 21, 'مثلما');
INSERT INTO `lang_definitions` VALUES (76988, 484, 21, 'آسيوي');
INSERT INTO `lang_definitions` VALUES (76989, 487, 21, 'التقييم');
INSERT INTO `lang_definitions` VALUES (76990, 488, 21, 'موكل إلى');
INSERT INTO `lang_definitions` VALUES (76991, 489, 21, 'المساعد');
INSERT INTO `lang_definitions` VALUES (76992, 490, 21, 'الربو');
INSERT INTO `lang_definitions` VALUES (76993, 491, 21, 'في');
INSERT INTO `lang_definitions` VALUES (76994, 492, 21, 'تحتاج إلى عنصر بحث واحد على الأقل إذا خترت الكل');
INSERT INTO `lang_definitions` VALUES (76995, 493, 21, 'في مستوى القاربي');
INSERT INTO `lang_definitions` VALUES (76996, 494, 21, 'في مستوى القاربي');
INSERT INTO `lang_definitions` VALUES (76997, 495, 21, 'الفريق الرياضي');
INSERT INTO `lang_definitions` VALUES (76998, 496, 21, 'الفريق الرياضي');
INSERT INTO `lang_definitions` VALUES (76999, 497, 21, 'الرياضي/ إصابة');
INSERT INTO `lang_definitions` VALUES (77000, 498, 21, 'شهادة مراجعة ومصادقة الحسابات');
INSERT INTO `lang_definitions` VALUES (77001, 499, 21, 'مضيف عملية تدقيق ومصادقة الحسابات');
INSERT INTO `lang_definitions` VALUES (77002, 500, 21, 'شهادة تدقيق و مصادقة الحسابت الداخلية');
INSERT INTO `lang_definitions` VALUES (77003, 501, 21, 'منفذ تدقيق ومصادقة الحسابات');
INSERT INTO `lang_definitions` VALUES (77004, 503, 21, 'انتباه');
INSERT INTO `lang_definitions` VALUES (77005, 504, 21, 'عناية');
INSERT INTO `lang_definitions` VALUES (77006, 506, 21, 'تدقيق محرك إستفهامات CDR');
INSERT INTO `lang_definitions` VALUES (77007, 509, 21, 'تدقيق التقارير اﻹحتياطية');
INSERT INTO `lang_definitions` VALUES (77008, 510, 21, 'تدقيق التقارير النثرية');
INSERT INTO `lang_definitions` VALUES (77009, 511, 21, 'تدقيق تقارير اﻷوامر');
INSERT INTO `lang_definitions` VALUES (77010, 512, 21, 'تدقيق سجل تقارير المرضى');
INSERT INTO `lang_definitions` VALUES (77011, 513, 21, 'تدقيق سجل المواعيد');
INSERT INTO `lang_definitions` VALUES (77012, 514, 21, 'تدقيق سجل إدارة اﻷمن');
INSERT INTO `lang_definitions` VALUES (77013, 515, 21, 'تدقيق سجل طلبات البحث في قاعدة المعلومات');
INSERT INTO `lang_definitions` VALUES (77014, 516, 21, 'اغسطس/آب');
INSERT INTO `lang_definitions` VALUES (77015, 517, 21, 'اغسطس/آب');
INSERT INTO `lang_definitions` VALUES (77016, 519, 21, 'تفويض');
INSERT INTO `lang_definitions` VALUES (77017, 520, 21, 'تفويض/ملاحظات');
INSERT INTO `lang_definitions` VALUES (77018, 523, 21, 'مجموعة التفويض');
INSERT INTO `lang_definitions` VALUES (77019, 524, 21, 'حالة التفويض');
INSERT INTO `lang_definitions` VALUES (77020, 525, 21, 'التفويض');
INSERT INTO `lang_definitions` VALUES (77021, 526, 21, 'يفوّض');
INSERT INTO `lang_definitions` VALUES (77022, 527, 21, 'تفويض - أي مراجعة');
INSERT INTO `lang_definitions` VALUES (77023, 528, 21, 'تفويض - مراجعيي');
INSERT INTO `lang_definitions` VALUES (77024, 529, 21, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (77025, 530, 21, 'تم التفويض');
INSERT INTO `lang_definitions` VALUES (77026, 531, 21, 'المفوض فقط');
INSERT INTO `lang_definitions` VALUES (77027, 532, 21, 'إرسال ذاتي');
INSERT INTO `lang_definitions` VALUES (77028, 535, 21, 'إنشاء ذاتي');
INSERT INTO `lang_definitions` VALUES (77029, 536, 21, 'إنشاء ذاتي');
INSERT INTO `lang_definitions` VALUES (77030, 537, 21, 'حسابات القياس اﻵلي (AMC)');
INSERT INTO `lang_definitions` VALUES (77031, 542, 21, 'مراجعة حسابات القياس اﻵلي (AMC)');
INSERT INTO `lang_definitions` VALUES (77032, 543, 21, 'القياس اﻵلي');
INSERT INTO `lang_definitions` VALUES (77033, 544, 21, 'آلي');
INSERT INTO `lang_definitions` VALUES (77034, 546, 21, 'إضافة مراجعة آليا عندما تكون حالة الموعد \"@\" (وصل)');
INSERT INTO `lang_definitions` VALUES (77035, 549, 21, 'طبي متحرك');
INSERT INTO `lang_definitions` VALUES (77036, 550, 21, 'حفظ ذاتي');
INSERT INTO `lang_definitions` VALUES (77037, 551, 21, 'التصنيفات المتوفرة');
INSERT INTO `lang_definitions` VALUES (77038, 552, 21, 'الأوقات المتوفرة');
INSERT INTO `lang_definitions` VALUES (77039, 557, 21, 'المعدل الشهري');
INSERT INTO `lang_definitions` VALUES (77040, 558, 21, 'قلع / كسر قلعي');
INSERT INTO `lang_definitions` VALUES (77041, 559, 21, 'كسر عظم الشظية');
INSERT INTO `lang_definitions` VALUES (77042, 560, 21, 'كسر عظم الظنبوب ');
INSERT INTO `lang_definitions` VALUES (77043, 561, 21, 'معتمد على الوعي');
INSERT INTO `lang_definitions` VALUES (77044, 562, 21, 'إبطي');
INSERT INTO `lang_definitions` VALUES (77045, 565, 21, 'مرتان في اليوم');
INSERT INTO `lang_definitions` VALUES (77046, 566, 21, 'الظهر');
INSERT INTO `lang_definitions` VALUES (77047, 567, 21, 'الخلف');
INSERT INTO `lang_definitions` VALUES (77048, 568, 21, 'الرجوع ثماني زيارات');
INSERT INTO `lang_definitions` VALUES (77049, 569, 21, 'الرجوع أحد عشر زيارة');
INSERT INTO `lang_definitions` VALUES (77050, 570, 21, 'الرجوع خمس زيارات');
INSERT INTO `lang_definitions` VALUES (77051, 571, 21, 'الرجوع أربع زبارات');
INSERT INTO `lang_definitions` VALUES (77052, 572, 21, 'الرجوع تسع زيارات');
INSERT INTO `lang_definitions` VALUES (77053, 573, 21, 'الرجوع زيارة واحدة');
INSERT INTO `lang_definitions` VALUES (77054, 574, 21, 'ألم الظهر');
INSERT INTO `lang_definitions` VALUES (77055, 575, 21, 'مشاكل الظهر');
INSERT INTO `lang_definitions` VALUES (77056, 576, 21, 'الرجوع سبع زيارات');
INSERT INTO `lang_definitions` VALUES (77057, 577, 21, 'الرجوع ست زيارات');
INSERT INTO `lang_definitions` VALUES (77058, 578, 21, 'جراحة الظهر');
INSERT INTO `lang_definitions` VALUES (77059, 579, 21, 'الرجوع عشر زيارات');
INSERT INTO `lang_definitions` VALUES (77060, 580, 21, 'الرجوع ثلاث زيارات');
INSERT INTO `lang_definitions` VALUES (77061, 581, 21, 'الرجوع إلى صفحة اﻹدارة');
INSERT INTO `lang_definitions` VALUES (77062, 584, 21, 'الرجوع إلى المريض');
INSERT INTO `lang_definitions` VALUES (77063, 585, 21, 'الرجوع إلى المستخدمين');
INSERT INTO `lang_definitions` VALUES (77064, 586, 21, 'الرجوع إلى الصفحة');
INSERT INTO `lang_definitions` VALUES (77065, 587, 21, 'الرجوع اثنا عشر زيارة');
INSERT INTO `lang_definitions` VALUES (77066, 588, 21, 'الرجوع زيارتان');
INSERT INTO `lang_definitions` VALUES (77067, 589, 21, 'خدمات مساندة');
INSERT INTO `lang_definitions` VALUES (77068, 590, 21, 'نسخة احتياطية');
INSERT INTO `lang_definitions` VALUES (77069, 591, 21, 'تم إنشاء النسخة الاحتياطية، جارِ التحميل');
INSERT INTO `lang_definitions` VALUES (77070, 593, 21, 'تم أخذ نسخة إحتياطية بنجاح');
INSERT INTO `lang_definitions` VALUES (77071, 594, 21, 'شيك مصرفي سيء');
INSERT INTO `lang_definitions` VALUES (77072, 595, 21, 'قصة ائتمان سيء');
INSERT INTO `lang_definitions` VALUES (77073, 596, 21, 'باهاسا إندونيسيا');
INSERT INTO `lang_definitions` VALUES (77074, 597, 21, 'الرصيد');
INSERT INTO `lang_definitions` VALUES (77075, 598, 21, 'التوازن');
INSERT INTO `lang_definitions` VALUES (77076, 599, 21, 'التوازن');
INSERT INTO `lang_definitions` VALUES (77077, 600, 21, 'كمية التوازن');
INSERT INTO `lang_definitions` VALUES (77078, 601, 21, 'المبلغ المطلوب');
INSERT INTO `lang_definitions` VALUES (77079, 603, 21, 'شيك مصرفي');
INSERT INTO `lang_definitions` VALUES (77080, 607, 21, 'قاعدة السنع الخامس');
INSERT INTO `lang_definitions` VALUES (77081, 608, 21, 'قاعدة السنع الخامس');
INSERT INTO `lang_definitions` VALUES (77082, 611, 21, 'مطالبات مجتمعة');
INSERT INTO `lang_definitions` VALUES (77083, 612, 21, 'أداة اﻹتصال الجماعية');
INSERT INTO `lang_definitions` VALUES (77084, 613, 21, 'إدخال الدفعات');
INSERT INTO `lang_definitions` VALUES (77085, 614, 21, 'دفعات');
INSERT INTO `lang_definitions` VALUES (77086, 615, 21, 'جاري معالجة رزمة - قد يستغرق هذا بعض الوقت');
INSERT INTO `lang_definitions` VALUES (77087, 616, 21, 'مجموعة النتائج');
INSERT INTO `lang_definitions` VALUES (77088, 617, 21, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (77089, 619, 21, 'لإن هذا الرقم غير موجود');
INSERT INTO `lang_definitions` VALUES (77090, 620, 21, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (77091, 621, 21, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (77092, 623, 21, 'تاريخ بدء الخدمة');
INSERT INTO `lang_definitions` VALUES (77093, 624, 21, 'ساعة بداية اليوم للمواعيد');
INSERT INTO `lang_definitions` VALUES (77094, 626, 21, 'التجشؤ');
INSERT INTO `lang_definitions` VALUES (77095, 628, 21, 'بنغالي');
INSERT INTO `lang_definitions` VALUES (77096, 630, 21, 'بين');
INSERT INTO `lang_definitions` VALUES (77097, 633, 21, 'ثنائي الجانب');
INSERT INTO `lang_definitions` VALUES (77098, 634, 21, 'ثنائي الجانب');
INSERT INTO `lang_definitions` VALUES (77099, 636, 21, 'تاريخ الفاتورة:');
INSERT INTO `lang_definitions` VALUES (77100, 637, 21, 'الفاتورة/ التحصيل');
INSERT INTO `lang_definitions` VALUES (77101, 638, 21, 'الفاتورة مرسلة');
INSERT INTO `lang_definitions` VALUES (77102, 640, 21, 'الفاتورة');
INSERT INTO `lang_definitions` VALUES (77103, 641, 21, 'الفاتورة اختياري');
INSERT INTO `lang_definitions` VALUES (77104, 642, 21, 'الفاتورة إلى');
INSERT INTO `lang_definitions` VALUES (77105, 644, 21, 'رمز الفاتورة للخدمات المطلوبة');
INSERT INTO `lang_definitions` VALUES (77106, 645, 21, 'رموز الفواتير');
INSERT INTO `lang_definitions` VALUES (77107, 646, 21, 'بيانات المحاسبه');
INSERT INTO `lang_definitions` VALUES (77108, 647, 21, 'قسم المحاسبة');
INSERT INTO `lang_definitions` VALUES (77109, 648, 21, 'المحاسبة');
INSERT INTO `lang_definitions` VALUES (77110, 649, 21, 'معلومات المحاسبة و الأجور');
INSERT INTO `lang_definitions` VALUES (77111, 650, 21, 'مكان المحاسبة');
INSERT INTO `lang_definitions` VALUES (77112, 655, 21, 'مدير المحاسبة');
INSERT INTO `lang_definitions` VALUES (77113, 656, 21, 'ملاحظات المحاسبة');
INSERT INTO `lang_definitions` VALUES (77114, 657, 21, 'ملاحظات المحاسبة ل ');
INSERT INTO `lang_definitions` VALUES (77115, 658, 21, 'ملاحظات المحاسبة');
INSERT INTO `lang_definitions` VALUES (77116, 659, 21, 'نتائج المحاسبة');
INSERT INTO `lang_definitions` VALUES (77117, 660, 21, 'تقرير المحاسبة');
INSERT INTO `lang_definitions` VALUES (77118, 661, 21, 'حالة الفوترة');
INSERT INTO `lang_definitions` VALUES (77119, 662, 21, 'حالة الفوترة - لم يتم إصدار الفاتورة');
INSERT INTO `lang_definitions` VALUES (77120, 663, 21, 'إرسال الفاتورة إلى ');
INSERT INTO `lang_definitions` VALUES (77121, 665, 21, 'خزعة');
INSERT INTO `lang_definitions` VALUES (77122, 666, 21, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (77123, 667, 21, 'الولادة - 24 شهر');
INSERT INTO `lang_definitions` VALUES (77124, 669, 21, 'أسود إفريقي');
INSERT INTO `lang_definitions` VALUES (77125, 670, 21, 'رئة سوداء');
INSERT INTO `lang_definitions` VALUES (77126, 671, 21, 'أسود او افريقى امريكي');
INSERT INTO `lang_definitions` VALUES (77127, 672, 21, 'سرطان المثانة');
INSERT INTO `lang_definitions` VALUES (77128, 673, 21, 'أخماج المثانة');
INSERT INTO `lang_definitions` VALUES (77129, 674, 21, 'استمارات فارغة');
INSERT INTO `lang_definitions` VALUES (77130, 675, 21, 'مشاكل نزفية');
INSERT INTO `lang_definitions` VALUES (77131, 676, 21, 'بقع عمياء');
INSERT INTO `lang_definitions` VALUES (77132, 677, 21, 'حس انتفاخ');
INSERT INTO `lang_definitions` VALUES (77133, 678, 21, 'محجوب- مغلق');
INSERT INTO `lang_definitions` VALUES (77134, 679, 21, 'الدم');
INSERT INTO `lang_definitions` VALUES (77135, 680, 21, 'ضغط الدم');
INSERT INTO `lang_definitions` VALUES (77136, 681, 21, 'ضغط الدم');
INSERT INTO `lang_definitions` VALUES (77137, 682, 21, 'نزف الأنف');
INSERT INTO `lang_definitions` VALUES (77138, 683, 21, 'مؤسسة الصليب اﻻزرق الدرع اﻻزرق للتأمين');
INSERT INTO `lang_definitions` VALUES (77139, 684, 21, 'الخطوط الزرقاء في هذا التقرير هي للمعلومات. الخطوط السوداء تظهر المعلومات السابقة. الخطوط الخضراء تظهر التطبيق الناجح للتغيرات. الخطوط الحمراء تظهر وجود خطأ، أو إن التغيرات لم تطبق، لابد من تطبيقها يدوياً');
INSERT INTO `lang_definitions` VALUES (77140, 685, 21, 'رؤية مشوشة');
INSERT INTO `lang_definitions` VALUES (77141, 686, 21, 'مشعر كتلة الجسم');
INSERT INTO `lang_definitions` VALUES (77142, 687, 21, 'حالة مشعر كتلة الجسم');
INSERT INTO `lang_definitions` VALUES (77143, 689, 21, 'منطقة الجسم التشريحية');
INSERT INTO `lang_definitions` VALUES (77144, 690, 21, 'الموقع التشريحي');
INSERT INTO `lang_definitions` VALUES (77145, 691, 21, 'الموقع التشريحي، عند الضرورة');
INSERT INTO `lang_definitions` VALUES (77146, 692, 21, 'مضض العظام');
INSERT INTO `lang_definitions` VALUES (77147, 693, 21, 'مضض مفصل الكاحل');
INSERT INTO `lang_definitions` VALUES (77148, 694, 21, 'رقمي');
INSERT INTO `lang_definitions` VALUES (77149, 696, 21, 'السفلي');
INSERT INTO `lang_definitions` VALUES (77150, 697, 21, 'كلا الأذنين');
INSERT INTO `lang_definitions` VALUES (77151, 698, 21, 'كلا الأذنين');
INSERT INTO `lang_definitions` VALUES (77152, 699, 21, 'الأسفل');
INSERT INTO `lang_definitions` VALUES (77153, 701, 21, 'الصندوق رقم 10 أ : إصابة عمل ');
INSERT INTO `lang_definitions` VALUES (77154, 702, 21, 'الصندوق رقم 10 ب : حادث سيارة ');
INSERT INTO `lang_definitions` VALUES (77155, 703, 21, 'الصندوق رقم 10 ج: حوادث اخرى ');
INSERT INTO `lang_definitions` VALUES (77156, 706, 21, 'الصندوق رقم 15 : تاريخ نفس المرض أو مشابه (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (77157, 708, 21, 'الصندوق رقم 16 :تاريخ بداية العجز عن العمل (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (77158, 709, 21, 'الصندوق رقم 16 :تاريخ نهاية العجز عن العمل (بهذة الصيغة : 12-05-1990)');
INSERT INTO `lang_definitions` VALUES (77159, 710, 21, 'الصندوق رقم 18 :تاريخ بداية التنويم (بهذة الصيغة : 12-05-1990) ');
INSERT INTO `lang_definitions` VALUES (77160, 711, 21, 'الصندوق رقم 18 :تاريخ نهاية التنويم (بهذة الصيغة : 12-05-1990) ');
INSERT INTO `lang_definitions` VALUES (77161, 712, 21, 'الصندوق رقم 20 : هل تم إستخدام مختبر خارجي؟');
INSERT INTO `lang_definitions` VALUES (77162, 713, 21, 'الصندوق رقم 22 : رمز إعادة التسليم الطبي (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (77163, 714, 21, 'الصندوق رقم 23 : رقم التفويض السابق ');
INSERT INTO `lang_definitions` VALUES (77164, 715, 21, 'ضغط الدم');
INSERT INTO `lang_definitions` VALUES (77165, 716, 21, 'ضغط الدم اﻹنبساطي');
INSERT INTO `lang_definitions` VALUES (77166, 717, 21, 'ضغط الدم اﻹنقباضي');
INSERT INTO `lang_definitions` VALUES (77167, 719, 21, 'ضغط الدم اﻹنبساطي');
INSERT INTO `lang_definitions` VALUES (77168, 721, 21, 'ضغط الدم اﻹنقباضي');
INSERT INTO `lang_definitions` VALUES (77169, 722, 21, 'برازيلي برتغالي');
INSERT INTO `lang_definitions` VALUES (77170, 723, 21, 'الثدي');
INSERT INTO `lang_definitions` VALUES (77171, 724, 21, 'خزعة الثدي');
INSERT INTO `lang_definitions` VALUES (77172, 725, 21, 'مفرزات الثدي');
INSERT INTO `lang_definitions` VALUES (77173, 726, 21, 'مرض الثدي');
INSERT INTO `lang_definitions` VALUES (77174, 727, 21, 'فحص الثدي');
INSERT INTO `lang_definitions` VALUES (77175, 728, 21, 'كتلة الثدي');
INSERT INTO `lang_definitions` VALUES (77176, 730, 21, 'أصوات التنفس:');
INSERT INTO `lang_definitions` VALUES (77177, 732, 21, 'عظام مكسورة');
INSERT INTO `lang_definitions` VALUES (77178, 734, 21, 'استمارة التهاب القصبات');
INSERT INTO `lang_definitions` VALUES (77179, 735, 21, 'تصفح');
INSERT INTO `lang_definitions` VALUES (77180, 736, 21, 'تصفح السجل');
INSERT INTO `lang_definitions` VALUES (77181, 737, 21, 'تكدم/ ورم دموي');
INSERT INTO `lang_definitions` VALUES (77182, 739, 21, 'بروز ايمن');
INSERT INTO `lang_definitions` VALUES (77183, 741, 21, 'حرقة أثناء التبول');
INSERT INTO `lang_definitions` VALUES (77184, 742, 21, 'حرقة أثناء التبول');
INSERT INTO `lang_definitions` VALUES (77185, 744, 21, 'مشغول');
INSERT INTO `lang_definitions` VALUES (77186, 745, 21, 'لكن لم تتم معالجتة بعد');
INSERT INTO `lang_definitions` VALUES (77187, 746, 21, 'ردف');
INSERT INTO `lang_definitions` VALUES (77188, 747, 21, 'ردف');
INSERT INTO `lang_definitions` VALUES (77189, 748, 21, 'بواسطة');
INSERT INTO `lang_definitions` VALUES (77190, 749, 21, 'بواسطة');
INSERT INTO `lang_definitions` VALUES (77191, 750, 21, 'عن طريق الفم');
INSERT INTO `lang_definitions` VALUES (77192, 751, 21, 'بواسطة/ المصدر');
INSERT INTO `lang_definitions` VALUES (77193, 752, 21, 'من قبل:');
INSERT INTO `lang_definitions` VALUES (77194, 753, 21, 'ج');
INSERT INTO `lang_definitions` VALUES (77195, 754, 21, 'CA Certificate for verifying the RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (77196, 755, 21, 'حياة الذاكرة الوسيطة (بالثواني)');
INSERT INTO `lang_definitions` VALUES (77197, 756, 21, 'خرج قالب الذاكرة الوسيطة؟');
INSERT INTO `lang_definitions` VALUES (77198, 757, 21, 'استهلاك القهوة');
INSERT INTO `lang_definitions` VALUES (77199, 758, 21, 'التقويم');
INSERT INTO `lang_definitions` VALUES (77200, 759, 21, 'ساعة نهاية التقويم');
INSERT INTO `lang_definitions` VALUES (77201, 760, 21, 'فترة التقويم');
INSERT INTO `lang_definitions` VALUES (77202, 761, 21, 'شاشة التقويم');
INSERT INTO `lang_definitions` VALUES (77203, 762, 21, 'إعدادات التقويم');
INSERT INTO `lang_definitions` VALUES (77204, 763, 21, 'ساعة بداية التقويم');
INSERT INTO `lang_definitions` VALUES (77205, 764, 21, 'واجهة التقويم');
INSERT INTO `lang_definitions` VALUES (77206, 765, 21, 'مشاهدة التقويم');
INSERT INTO `lang_definitions` VALUES (77207, 766, 21, 'شفرة إضافة نموذج (addForm()) تأتي هنا <br>');
INSERT INTO `lang_definitions` VALUES (77208, 767, 21, 'الحريرات');
INSERT INTO `lang_definitions` VALUES (77209, 768, 21, 'كمبودي');
INSERT INTO `lang_definitions` VALUES (77211, 774, 21, 'إلغاء');
INSERT INTO `lang_definitions` VALUES (77212, 775, 21, 'الغاء التغييرات');
INSERT INTO `lang_definitions` VALUES (77213, 776, 21, 'ألغي');
INSERT INTO `lang_definitions` VALUES (77214, 777, 21, 'السرطان');
INSERT INTO `lang_definitions` VALUES (77215, 778, 21, 'تقصي السرطان: تقصي سرطان الكولون');
INSERT INTO `lang_definitions` VALUES (77216, 779, 21, 'تقصي السرطان: صورة الثدي');
INSERT INTO `lang_definitions` VALUES (77217, 780, 21, 'تقصي السرطان: مسحة باب نيكولاو');
INSERT INTO `lang_definitions` VALUES (77218, 781, 21, 'تقصي السرطان: تقصي سرطان البروستات');
INSERT INTO `lang_definitions` VALUES (77219, 782, 21, 'لايمكن إضافة هذا لأنه موجود سابقاَ');
INSERT INTO `lang_definitions` VALUES (77220, 783, 21, 'لايمكن إضافة/تحديث هذا لأنه موجود سابقاَ');
INSERT INTO `lang_definitions` VALUES (77221, 784, 21, 'لا يمكن الحفظ');
INSERT INTO `lang_definitions` VALUES (77222, 785, 21, 'لايمكن تحويله إلى ملف صورة - تحتاج تنصيب برنامج');
INSERT INTO `lang_definitions` VALUES (77223, 786, 21, 'لا يمكن الحذف');
INSERT INTO `lang_definitions` VALUES (77224, 787, 21, 'لا يمكن عرض البيانات ﻷن المتصفح لا يدعم هذا النوع.');
INSERT INTO `lang_definitions` VALUES (77225, 788, 21, 'لا يمكن عرض البيانات ﻷن المتصفح لا يدعم هذا النوع.');
INSERT INTO `lang_definitions` VALUES (77226, 789, 21, 'لا يمكن عرض البيانات ﻷن المتصفح لا يدعم هذا النوع.');
INSERT INTO `lang_definitions` VALUES (77227, 790, 21, 'لا يمكن اﻹضافة');
INSERT INTO `lang_definitions` VALUES (77228, 795, 21, 'لا يمكن ايجاده ');
INSERT INTO `lang_definitions` VALUES (77229, 796, 21, 'لا يمكن ايجاد ملف بهذا اﻹسم');
INSERT INTO `lang_definitions` VALUES (77230, 799, 21, 'لا يمكن إيجاد المريض في قاعدة معلومات الزبائن');
INSERT INTO `lang_definitions` VALUES (77231, 800, 21, 'لا يمكن العثور علي دليل ملف ال postscript ');
INSERT INTO `lang_definitions` VALUES (77232, 801, 21, 'لا يمكن العثور من SQL-Ledger employee ');
INSERT INTO `lang_definitions` VALUES (77233, 802, 21, 'لا يمكن تغيير الدفوعات. المقدار الغير موزع بالسالب');
INSERT INTO `lang_definitions` VALUES (77234, 803, 21, 'غير قابل للفتح ');
INSERT INTO `lang_definitions` VALUES (77235, 804, 21, 'لا يمكن المطالبةبالدفع من التأمين. الجهة المختارة هى مريض');
INSERT INTO `lang_definitions` VALUES (77236, 805, 21, 'لا يمكن المطالبة بالدفع من المريض. الجهة المختارة هي شركة تأمين.');
INSERT INTO `lang_definitions` VALUES (77237, 806, 21, 'لا يمكن المطالبة بالدفع. القيمة الغير موزعة بالسالب');
INSERT INTO `lang_definitions` VALUES (77238, 807, 21, 'لا يمكن القراءة');
INSERT INTO `lang_definitions` VALUES (77239, 808, 21, 'لا يمكن قراءة المجلد');
INSERT INTO `lang_definitions` VALUES (77240, 809, 21, 'لا يمكن التحديث لأن السجل غير موجود!');
INSERT INTO `lang_definitions` VALUES (77241, 810, 21, 'اﻹستفادة');
INSERT INTO `lang_definitions` VALUES (77242, 812, 21, 'كبسولة');
INSERT INTO `lang_definitions` VALUES (77243, 813, 21, 'بطاقة');
INSERT INTO `lang_definitions` VALUES (77244, 814, 21, 'القسطرة القلبية');
INSERT INTO `lang_definitions` VALUES (77245, 815, 21, 'تصوير صدى القلب');
INSERT INTO `lang_definitions` VALUES (77246, 816, 21, 'قلبي وعائي');
INSERT INTO `lang_definitions` VALUES (77247, 821, 21, 'الغضروف / الغضروفي / تأذي القرص');
INSERT INTO `lang_definitions` VALUES (77248, 822, 21, 'إصابة الغضروف');
INSERT INTO `lang_definitions` VALUES (77249, 823, 21, 'نبض الشريان السباتي: سوي، نبض شريان ظهر القدم: سوي');
INSERT INTO `lang_definitions` VALUES (77250, 824, 21, 'نقداَ');
INSERT INTO `lang_definitions` VALUES (77251, 825, 21, 'نقداَ');
INSERT INTO `lang_definitions` VALUES (77252, 826, 21, 'إيصال الدفع نقداَ');
INSERT INTO `lang_definitions` VALUES (77253, 827, 21, 'جراحة الساد');
INSERT INTO `lang_definitions` VALUES (77254, 829, 21, 'الساد');
INSERT INTO `lang_definitions` VALUES (77255, 830, 21, 'المجموعات');
INSERT INTO `lang_definitions` VALUES (77256, 831, 21, 'المجموعة');
INSERT INTO `lang_definitions` VALUES (77257, 832, 21, 'أصناف ال');
INSERT INTO `lang_definitions` VALUES (77258, 833, 21, 'المجموعة');
INSERT INTO `lang_definitions` VALUES (77259, 834, 21, 'المجموعة');
INSERT INTO `lang_definitions` VALUES (77260, 835, 21, 'تفاصيل المجموعة ');
INSERT INTO `lang_definitions` VALUES (77261, 836, 21, 'محددات المجموعة');
INSERT INTO `lang_definitions` VALUES (77262, 837, 21, 'اسم المجموعة');
INSERT INTO `lang_definitions` VALUES (77263, 838, 21, 'قوقازي /أبيض');
INSERT INTO `lang_definitions` VALUES (77264, 839, 21, 'اسم الصنف فارغ');
INSERT INTO `lang_definitions` VALUES (77265, 840, 21, 'الصنف / العنوان');
INSERT INTO `lang_definitions` VALUES (77266, 841, 21, 'الهاتف الخليوي');
INSERT INTO `lang_definitions` VALUES (77267, 842, 21, 'يجعل الإيصالات تطبع معلومات الزيارة/المزود الأولي');
INSERT INTO `lang_definitions` VALUES (77268, 850, 21, 'لجنة تسجيل السّكر');
INSERT INTO `lang_definitions` VALUES (77269, 851, 21, 'أولوية تشغيل تقارير لجنة تسجيل السّكر');
INSERT INTO `lang_definitions` VALUES (77270, 852, 21, 'خلية');
INSERT INTO `lang_definitions` VALUES (77271, 853, 21, 'الهاتف النقال');
INSERT INTO `lang_definitions` VALUES (77272, 855, 21, 'رقم الهاتف النقال');
INSERT INTO `lang_definitions` VALUES (77273, 856, 21, 'ترخيص مركزي');
INSERT INTO `lang_definitions` VALUES (77274, 857, 21, 'امريكي جنوبي');
INSERT INTO `lang_definitions` VALUES (77275, 858, 21, 'crt لملف شهادة السلطة لا يمكن أن يكون خاليا');
INSERT INTO `lang_definitions` VALUES (77276, 859, 21, 'مفتاح ملف شهادة السلطة لا يمكن أن يكون خاليا');
INSERT INTO `lang_definitions` VALUES (77277, 860, 21, 'الشهادات التي سيتم إرسالها الي RFC 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (77278, 861, 21, 'شهادة المستخدم');
INSERT INTO `lang_definitions` VALUES (77279, 862, 21, 'شهادات');
INSERT INTO `lang_definitions` VALUES (77280, 864, 21, 'تريكير برنامج صحي للجنود');
INSERT INTO `lang_definitions` VALUES (77281, 865, 21, 'تريكير برنامج صحي للجنود');
INSERT INTO `lang_definitions` VALUES (77282, 866, 21, 'غير');
INSERT INTO `lang_definitions` VALUES (77283, 867, 21, 'غير');
INSERT INTO `lang_definitions` VALUES (77284, 868, 21, 'تغيرات النشاط');
INSERT INTO `lang_definitions` VALUES (77285, 869, 21, 'Change failed! CouchDB connect error?');
INSERT INTO `lang_definitions` VALUES (77286, 870, 21, 'تغيرات الرؤية');
INSERT INTO `lang_definitions` VALUES (77287, 871, 21, 'تغيرات الرؤية');
INSERT INTO `lang_definitions` VALUES (77288, 872, 21, 'تغيير كلمة السر');
INSERT INTO `lang_definitions` VALUES (77289, 874, 21, 'تغير');
INSERT INTO `lang_definitions` VALUES (77290, 875, 21, 'تغيرت عادات التبرز');
INSERT INTO `lang_definitions` VALUES (77291, 876, 21, 'تغيير هوية المريض');
INSERT INTO `lang_definitions` VALUES (77292, 877, 21, 'مواصفات');
INSERT INTO `lang_definitions` VALUES (77293, 878, 21, 'أحرف متبقية');
INSERT INTO `lang_definitions` VALUES (77294, 879, 21, 'تكلفة');
INSERT INTO `lang_definitions` VALUES (77295, 880, 21, 'تعديل التكلفة');
INSERT INTO `lang_definitions` VALUES (77296, 881, 21, 'تكلفة برمز');
INSERT INTO `lang_definitions` VALUES (77297, 882, 21, 'تكاليف');
INSERT INTO `lang_definitions` VALUES (77298, 883, 21, 'ملف المريض');
INSERT INTO `lang_definitions` VALUES (77299, 884, 21, 'حركة ملف المريض');
INSERT INTO `lang_definitions` VALUES (77300, 885, 21, 'تقرير الدخول / الخروج لملف المريض');
INSERT INTO `lang_definitions` VALUES (77301, 886, 21, 'هوية الملف');
INSERT INTO `lang_definitions` VALUES (77302, 887, 21, 'هوية الملف:');
INSERT INTO `lang_definitions` VALUES (77303, 889, 21, 'حركة موقع الملف');
INSERT INTO `lang_definitions` VALUES (77304, 890, 21, 'الملاحظات');
INSERT INTO `lang_definitions` VALUES (77305, 891, 21, 'رقم الملف');
INSERT INTO `lang_definitions` VALUES (77306, 892, 21, 'مواقع ملفات المرضى');
INSERT INTO `lang_definitions` VALUES (77307, 893, 21, 'متتّبع المخططات');
INSERT INTO `lang_definitions` VALUES (77308, 894, 21, 'متتّبع المخططات');
INSERT INTO `lang_definitions` VALUES (77309, 895, 21, 'تم اخراج مخططات المريض');
INSERT INTO `lang_definitions` VALUES (77310, 896, 21, 'تم اخراج مخططات المريض');
INSERT INTO `lang_definitions` VALUES (77311, 898, 21, 'فحص');
INSERT INTO `lang_definitions` VALUES (77312, 899, 21, 'فحص');
INSERT INTO `lang_definitions` VALUES (77313, 900, 21, 'فحص شامل');
INSERT INTO `lang_definitions` VALUES (77314, 902, 21, 'كمية الفحوص');
INSERT INTO `lang_definitions` VALUES (77315, 903, 21, 'تاريخ الفحص');
INSERT INTO `lang_definitions` VALUES (77316, 904, 21, 'فحص اﻹختلافات في الترجمة في ملف اللغة لمعدل');
INSERT INTO `lang_definitions` VALUES (77317, 906, 21, 'فحص في و إلى');
INSERT INTO `lang_definitions` VALUES (77318, 907, 21, 'فحص البيانات المدخلة');
INSERT INTO `lang_definitions` VALUES (77319, 909, 21, 'فحص نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (77320, 910, 21, 'علامة الاختيار تعني تمت المراجعة');
INSERT INTO `lang_definitions` VALUES (77321, 911, 21, 'رقم الإختيار');
INSERT INTO `lang_definitions` VALUES (77322, 912, 21, 'فحص الرقم');
INSERT INTO `lang_definitions` VALUES (77323, 915, 21, 'فحص الدفعة');
INSERT INTO `lang_definitions` VALUES (77324, 916, 21, 'اختر إذا كان هذا ملف مشفر');
INSERT INTO `lang_definitions` VALUES (77325, 917, 21, 'اختر هذا إذا كنت تريد الطبيب أن يرى كل المواعيد وليس فقط مواعيده.');
INSERT INTO `lang_definitions` VALUES (77326, 918, 21, 'اختر لكتابة مشكلة من التشخيص');
INSERT INTO `lang_definitions` VALUES (77327, 919, 21, 'اختر / تاريخ نهاية العمل');
INSERT INTO `lang_definitions` VALUES (77328, 920, 21, 'اختر / رقم نهاية العمل');
INSERT INTO `lang_definitions` VALUES (77329, 921, 21, 'اختر / الرقم المرجعي');
INSERT INTO `lang_definitions` VALUES (77330, 922, 21, 'اختر / الرقم المرجعي');
INSERT INTO `lang_definitions` VALUES (77331, 923, 21, 'قائمة صندوق اﻹختيارات');
INSERT INTO `lang_definitions` VALUES (77332, 924, 21, 'قائمة صندوق اﻹختيارات');
INSERT INTO `lang_definitions` VALUES (77333, 925, 21, 'صندوق اختيار بنص');
INSERT INTO `lang_definitions` VALUES (77334, 926, 21, 'صندوق اختيار بنص');
INSERT INTO `lang_definitions` VALUES (77335, 928, 21, 'تم اختياره');
INSERT INTO `lang_definitions` VALUES (77336, 929, 21, 'صندوق اختيار = نعم ، فارغ = لا.');
INSERT INTO `lang_definitions` VALUES (77337, 932, 21, 'خروج');
INSERT INTO `lang_definitions` VALUES (77338, 933, 21, 'Checksum');
INSERT INTO `lang_definitions` VALUES (77339, 934, 21, 'الصدر');
INSERT INTO `lang_definitions` VALUES (77340, 935, 21, 'الصدر خالي من الأصوات المرضّية');
INSERT INTO `lang_definitions` VALUES (77341, 936, 21, 'الم الصدر');
INSERT INTO `lang_definitions` VALUES (77342, 937, 21, 'الم الصدر:');
INSERT INTO `lang_definitions` VALUES (77343, 938, 21, 'الام الصدر');
INSERT INTO `lang_definitions` VALUES (77344, 940, 21, 'تكلفة');
INSERT INTO `lang_definitions` VALUES (77345, 942, 21, 'الشكاية الأساسية');
INSERT INTO `lang_definitions` VALUES (77346, 943, 21, 'الطفل');
INSERT INTO `lang_definitions` VALUES (77347, 945, 21, 'حالة تحصينات سن الطفولة');
INSERT INTO `lang_definitions` VALUES (77348, 946, 21, 'عرواءات');
INSERT INTO `lang_definitions` VALUES (77349, 947, 21, 'صيني- اللغة');
INSERT INTO `lang_definitions` VALUES (77350, 948, 21, 'اللغة الصينية المبسطة');
INSERT INTO `lang_definitions` VALUES (77351, 949, 21, 'الغة الصينية التقليدية');
INSERT INTO `lang_definitions` VALUES (77352, 951, 21, 'اختيارات');
INSERT INTO `lang_definitions` VALUES (77353, 952, 21, 'استئصل المرارة');
INSERT INTO `lang_definitions` VALUES (77354, 954, 21, 'استئصال المرارة');
INSERT INTO `lang_definitions` VALUES (77355, 955, 21, 'اختر');
INSERT INTO `lang_definitions` VALUES (77356, 956, 21, 'اختر القسم و انقر على عنصر ضمنه، العناصر المتعلقة محددة');
INSERT INTO `lang_definitions` VALUES (77357, 957, 21, 'اختر المعايير');
INSERT INTO `lang_definitions` VALUES (77358, 959, 21, 'اختر ملف');
INSERT INTO `lang_definitions` VALUES (77359, 960, 21, 'اختر من القائمة');
INSERT INTO `lang_definitions` VALUES (77360, 962, 21, 'اختر من القائمة');
INSERT INTO `lang_definitions` VALUES (77361, 965, 21, 'اختر شكل طباعة هذا التقرير');
INSERT INTO `lang_definitions` VALUES (77362, 967, 21, 'التهاب القصبات المزمن');
INSERT INTO `lang_definitions` VALUES (77363, 968, 21, 'الألم المفصلي المزمن');
INSERT INTO `lang_definitions` VALUES (77364, 969, 21, 'مرض الكلى المزمن');
INSERT INTO `lang_definitions` VALUES (77365, 970, 21, 'التهاب الغشاء الزليلي المزمن/الانصباب/ألم المفصل/ النقرس');
INSERT INTO `lang_definitions` VALUES (77366, 971, 21, 'مزمن/متكرر/ناكس');
INSERT INTO `lang_definitions` VALUES (77367, 973, 21, 'تشمع الكبد');
INSERT INTO `lang_definitions` VALUES (77368, 974, 21, 'تشمع الكبد');
INSERT INTO `lang_definitions` VALUES (77369, 975, 21, 'المدينة');
INSERT INTO `lang_definitions` VALUES (77370, 976, 21, 'اسم المدينة');
INSERT INTO `lang_definitions` VALUES (77371, 977, 21, 'المدينة ، المحلفظة');
INSERT INTO `lang_definitions` VALUES (77372, 978, 21, 'المدينة ، المحلفظة ، الرمز');
INSERT INTO `lang_definitions` VALUES (77373, 979, 21, 'المدينة/المحافظة');
INSERT INTO `lang_definitions` VALUES (77374, 980, 21, 'دعوى');
INSERT INTO `lang_definitions` VALUES (77375, 981, 21, 'الدعوى ');
INSERT INTO `lang_definitions` VALUES (77376, 982, 21, 'حالة الدعوى');
INSERT INTO `lang_definitions` VALUES (77377, 983, 21, 'انهى إختبار المطالبة العمل');
INSERT INTO `lang_definitions` VALUES (77378, 984, 21, 'نوع المطالبة');
INSERT INTO `lang_definitions` VALUES (77379, 985, 21, 'تم إضافة المطالبة إلى ملف');
INSERT INTO `lang_definitions` VALUES (77380, 986, 21, 'تم إضافة المطالبة إلى ملف ');
INSERT INTO `lang_definitions` VALUES (77381, 987, 21, 'مطالبات');
INSERT INTO `lang_definitions` VALUES (77382, 988, 21, 'التصنيف');
INSERT INTO `lang_definitions` VALUES (77383, 989, 21, 'امسح');
INSERT INTO `lang_definitions` VALUES (77384, 990, 21, 'مسح');
INSERT INTO `lang_definitions` VALUES (77385, 991, 21, 'امسح الكل');
INSERT INTO `lang_definitions` VALUES (77386, 992, 21, 'بيانات HL7 واضحة');
INSERT INTO `lang_definitions` VALUES (77387, 993, 21, 'مبرر واضح');
INSERT INTO `lang_definitions` VALUES (77388, 994, 21, 'مسح الذاكرة');
INSERT INTO `lang_definitions` VALUES (77389, 995, 21, 'Clearing house info required for EDI 270 batch creation.');
INSERT INTO `lang_definitions` VALUES (77390, 996, 21, 'رقم المحتبرات السريرية');
INSERT INTO `lang_definitions` VALUES (77391, 997, 21, 'انقر');
INSERT INTO `lang_definitions` VALUES (77392, 998, 21, 'انقر \"تصدير\" لتصدير صنف، عنصر، محتوى');
INSERT INTO `lang_definitions` VALUES (77393, 999, 21, 'إضغط على نقطة في الرسم ﻹضافة ملاحظة، واضغط مرة اخرى ﻹزالتها');
INSERT INTO `lang_definitions` VALUES (77394, 1000, 21, 'انقر تنزيل الشهادة');
INSERT INTO `lang_definitions` VALUES (77395, 1001, 21, 'انقر');
INSERT INTO `lang_definitions` VALUES (77396, 1002, 21, 'انقر لمزيد من التفاصيل');
INSERT INTO `lang_definitions` VALUES (77397, 1003, 21, 'انقر لطلب مخلص');
INSERT INTO `lang_definitions` VALUES (77398, 1004, 21, 'انقر لمشاهدة النتائج');
INSERT INTO `lang_definitions` VALUES (77399, 1005, 21, 'انقر هنا');
INSERT INTO `lang_definitions` VALUES (77400, 1006, 21, 'انقر ﻹضافة مريض');
INSERT INTO `lang_definitions` VALUES (77401, 1007, 21, 'انقر ﻹضافة إصابة ، تعديل الحالة أو تحرير المهام اليومية');
INSERT INTO `lang_definitions` VALUES (77402, 1008, 21, 'انقر هنا لاختيار التاريخ');
INSERT INTO `lang_definitions` VALUES (77403, 1009, 21, 'انقر هنا لاختيار التاريخ والوقت');
INSERT INTO `lang_definitions` VALUES (77404, 1010, 21, 'انقر هنا ﻹختيار تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (77405, 1020, 21, 'انقر هنا للبحث');
INSERT INTO `lang_definitions` VALUES (77406, 1021, 21, 'انقر هنا لتحديث إعدادات الأولوية، التصنيف، الاسم');
INSERT INTO `lang_definitions` VALUES (77407, 1022, 21, 'انقر هنا لمشاهدة الكل');
INSERT INTO `lang_definitions` VALUES (77408, 1023, 21, 'انقر هنا للإستعراض والرسم');
INSERT INTO `lang_definitions` VALUES (77409, 1025, 21, 'انقر هنا ﻹستعراض ورسم كل العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (77410, 1026, 21, 'انقر هنا ﻹستعراض بيانات المريض');
INSERT INTO `lang_definitions` VALUES (77411, 1027, 21, 'انقر هنا ﻹستعراض الكل');
INSERT INTO `lang_definitions` VALUES (77412, 1028, 21, 'انقر هنا لمشاهدة /تعديل تفاصيل أكثر');
INSERT INTO `lang_definitions` VALUES (77413, 1029, 21, 'انقر تثبيت لتثبيت قاعدة المعلومات من التاريخ التالي');
INSERT INTO `lang_definitions` VALUES (77414, 1030, 21, 'انقر على اي من أجزاء الوقت لزيادته');
INSERT INTO `lang_definitions` VALUES (77415, 1031, 21, 'انقر على إسم المريض لفتح ملفه');
INSERT INTO `lang_definitions` VALUES (77416, 1032, 21, 'انقر تحديث ﻹستعراض كل النتائج أو قم بإدخال معايير البحث ﻹستعراض بيانات معينة');
INSERT INTO `lang_definitions` VALUES (77417, 1033, 21, 'انقر لإضافة تشخيص');
INSERT INTO `lang_definitions` VALUES (77418, 1034, 21, 'انقر ﻹضافة مكونات إضافية');
INSERT INTO `lang_definitions` VALUES (77419, 1035, 21, 'انقر ﻹضافة إستشارة جديدة');
INSERT INTO `lang_definitions` VALUES (77420, 1037, 21, 'انقر للتنزيل');
INSERT INTO `lang_definitions` VALUES (77421, 1038, 21, 'انقر للتحرير');
INSERT INTO `lang_definitions` VALUES (77422, 1039, 21, 'انقر لتحرير الوصف');
INSERT INTO `lang_definitions` VALUES (77423, 1040, 21, 'انقر لتحرير هذه الحدث');
INSERT INTO `lang_definitions` VALUES (77424, 1041, 21, 'انقر لأنشاء التقرير');
INSERT INTO `lang_definitions` VALUES (77425, 1043, 21, 'انقر للطباعة');
INSERT INTO `lang_definitions` VALUES (77426, 1044, 21, 'انقر لاستقبال أو إضافة جديد');
INSERT INTO `lang_definitions` VALUES (77427, 1045, 21, 'انقر للاختيار');
INSERT INTO `lang_definitions` VALUES (77428, 1046, 21, 'انقر للاختيار');
INSERT INTO `lang_definitions` VALUES (77429, 1047, 21, 'انقر ﻹختيار رمز مقياس-صناعي لهذه اﻹجراءات');
INSERT INTO `lang_definitions` VALUES (77430, 1048, 21, 'انقر ﻹختيار رمز اختياري لهذه اﻹجراءات');
INSERT INTO `lang_definitions` VALUES (77431, 1050, 21, 'انقر ﻹختيار أو تغيير رمز CVX');
INSERT INTO `lang_definitions` VALUES (77432, 1051, 21, 'انقر لاختيار إو تغيير التشخيص');
INSERT INTO `lang_definitions` VALUES (77433, 1052, 21, 'انقر ﻹختيار أو تغيير رمز الخدمة');
INSERT INTO `lang_definitions` VALUES (77434, 1053, 21, 'انقر لاختيار المريض');
INSERT INTO `lang_definitions` VALUES (77435, 1054, 21, 'انقر لاختيار الرمز');
INSERT INTO `lang_definitions` VALUES (77436, 1055, 21, 'انقر ﻹختيار الخدمات التي تقدم في حال كانت النتيجة غير طبيعية');
INSERT INTO `lang_definitions` VALUES (77437, 1056, 21, 'انقر ﻹختيار اﻹجراءات المطلوبة');
INSERT INTO `lang_definitions` VALUES (77438, 1057, 21, 'انقر للترتيب');
INSERT INTO `lang_definitions` VALUES (77439, 1058, 21, 'انقر للمشاهدة');
INSERT INTO `lang_definitions` VALUES (77440, 1059, 21, 'انقر للمشاهدة أو التحرير');
INSERT INTO `lang_definitions` VALUES (77441, 1060, 21, 'انقر للمشاهدة/التحرير');
INSERT INTO `lang_definitions` VALUES (77442, 1061, 21, 'انقر زر ترقية لترقية إصدار قاعدة المعلومات من التاريخ التالي');
INSERT INTO `lang_definitions` VALUES (77443, 1063, 21, 'انقر:');
INSERT INTO `lang_definitions` VALUES (77444, 1064, 21, 'أيام أنتهاء صلاحية شهادة العميل');
INSERT INTO `lang_definitions` VALUES (77445, 1065, 21, 'فترة صلاحية شهادة العميل');
INSERT INTO `lang_definitions` VALUES (77446, 1066, 21, 'صلاحية شهادة العميل يجب أن يكون رقم صالح.');
INSERT INTO `lang_definitions` VALUES (77447, 1067, 21, 'نسخة العميل');
INSERT INTO `lang_definitions` VALUES (77448, 1069, 21, 'ملخص القصة المرضية');
INSERT INTO `lang_definitions` VALUES (77449, 1070, 21, 'اسم المريض');
INSERT INTO `lang_definitions` VALUES (77450, 1071, 21, 'رقم المريض');
INSERT INTO `lang_definitions` VALUES (77451, 1072, 21, 'إضبارة المريض - المرضى الجدد');
INSERT INTO `lang_definitions` VALUES (77452, 1073, 21, 'إضبارة المريض - المرضى المميزون');
INSERT INTO `lang_definitions` VALUES (77453, 1074, 21, 'المرضى');
INSERT INTO `lang_definitions` VALUES (77454, 1075, 21, 'العيادة');
INSERT INTO `lang_definitions` VALUES (77455, 1076, 21, 'نسخة العيادة');
INSERT INTO `lang_definitions` VALUES (77456, 1077, 21, 'السجل اليومي للعيادة');
INSERT INTO `lang_definitions` VALUES (77457, 1078, 21, 'رقم العيادة');
INSERT INTO `lang_definitions` VALUES (77458, 1079, 21, 'سريري');
INSERT INTO `lang_definitions` VALUES (77459, 1080, 21, 'مدير تنبيه قواعد القرارات السريرية');
INSERT INTO `lang_definitions` VALUES (77460, 1081, 21, 'القصة المرضية');
INSERT INTO `lang_definitions` VALUES (77461, 1083, 21, 'خطط سريرية');
INSERT INTO `lang_definitions` VALUES (77462, 1084, 21, 'مقاييس الجودة السريرية');
INSERT INTO `lang_definitions` VALUES (77463, 1087, 21, 'التذكيرات السريرية');
INSERT INTO `lang_definitions` VALUES (77464, 1088, 21, 'التقارير السريرية');
INSERT INTO `lang_definitions` VALUES (77465, 1089, 21, 'فئة عمل القاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (77466, 1090, 21, 'بند عمل القاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (77467, 1091, 21, 'طرق تصفية القاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (77468, 1092, 21, 'الطرق المستهدفة للقاعدة السريرية');
INSERT INTO `lang_definitions` VALUES (77469, 1093, 21, 'القواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77470, 1094, 21, 'المراحل العمرية للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77471, 1095, 21, 'مقارنات القواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77472, 1096, 21, 'أنواع المراجعات للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77473, 1097, 21, 'خيارات التذكير للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77474, 1098, 21, 'الخيارات التفاعلية للتذكير بالقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77475, 1099, 21, 'فترات التذكير للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77476, 1100, 21, 'طرق التذكير للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77477, 1101, 21, 'الفترات المستهدفة للقواعد السريرية');
INSERT INTO `lang_definitions` VALUES (77478, 1102, 21, 'اﻷهداف السريرية');
INSERT INTO `lang_definitions` VALUES (77479, 1103, 21, 'العبارة السريرية');
INSERT INTO `lang_definitions` VALUES (77480, 1104, 21, 'رمز المصطلح السريري');
INSERT INTO `lang_definitions` VALUES (77481, 1106, 21, 'الأطباء');
INSERT INTO `lang_definitions` VALUES (77482, 1107, 21, 'الاستنساخ');
INSERT INTO `lang_definitions` VALUES (77483, 1108, 21, 'استنساخ الزيارة السابقة');
INSERT INTO `lang_definitions` VALUES (77484, 1109, 21, 'إغلاق');
INSERT INTO `lang_definitions` VALUES (77485, 1111, 21, 'إغلاق النافذة');
INSERT INTO `lang_definitions` VALUES (77486, 1112, 21, 'مغلق');
INSERT INTO `lang_definitions` VALUES (77487, 1113, 21, 'سم');
INSERT INTO `lang_definitions` VALUES (77488, 1114, 21, 'CMS 1500 Margins');
INSERT INTO `lang_definitions` VALUES (77489, 1118, 21, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (77490, 1127, 21, 'الأعصاب القحفية من الثاني- الثاني عشر: سليمة');
INSERT INTO `lang_definitions` VALUES (77491, 1128, 21, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (77492, 1129, 21, 'الدفع المشترك-مدفوع');
INSERT INTO `lang_definitions` VALUES (77493, 1130, 21, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (77494, 1131, 21, 'الرمز');
INSERT INTO `lang_definitions` VALUES (77495, 1132, 21, 'الرمز');
INSERT INTO `lang_definitions` VALUES (77496, 1133, 21, 'إيجاد الرمز');
INSERT INTO `lang_definitions` VALUES (77497, 1134, 21, 'يجب أن يكون الرمز من حرفيين');
INSERT INTO `lang_definitions` VALUES (77498, 1135, 21, 'الرمز أو العينة لتوضيح العملة');
INSERT INTO `lang_definitions` VALUES (77499, 1136, 21, 'نص الرمز');
INSERT INTO `lang_definitions` VALUES (77500, 1138, 21, 'نمط الرمز');
INSERT INTO `lang_definitions` VALUES (77501, 1141, 21, 'انماط الرمز');
INSERT INTO `lang_definitions` VALUES (77502, 1142, 21, 'الرمز');
INSERT INTO `lang_definitions` VALUES (77503, 1143, 21, 'مشفر');
INSERT INTO `lang_definitions` VALUES (77504, 1144, 21, 'الرموز');
INSERT INTO `lang_definitions` VALUES (77505, 1145, 21, 'نظام التصنيف');
INSERT INTO `lang_definitions` VALUES (77506, 1147, 21, 'ترميز أي مراجعة');
INSERT INTO `lang_definitions` VALUES (77507, 1148, 21, 'ترميز مراجعاتي فقط');
INSERT INTO `lang_definitions` VALUES (77508, 1149, 21, 'الترميز غير مصرح');
INSERT INTO `lang_definitions` VALUES (77509, 1150, 21, 'القهوة');
INSERT INTO `lang_definitions` VALUES (77510, 1152, 21, 'التأمين المشترك');
INSERT INTO `lang_definitions` VALUES (77511, 1153, 21, 'إنهيار بدون');
INSERT INTO `lang_definitions` VALUES (77512, 1154, 21, 'إنهيار');
INSERT INTO `lang_definitions` VALUES (77513, 1155, 21, 'إنهيار');
INSERT INTO `lang_definitions` VALUES (77514, 1156, 21, 'إخفاء جميع القوائم');
INSERT INTO `lang_definitions` VALUES (77515, 1157, 21, 'إخفاء جميع القوائم');
INSERT INTO `lang_definitions` VALUES (77516, 1158, 21, 'إخفاء جميع القوائم');
INSERT INTO `lang_definitions` VALUES (77517, 1160, 21, 'تاريخ الجمع');
INSERT INTO `lang_definitions` VALUES (77518, 1161, 21, 'تجميعات');
INSERT INTO `lang_definitions` VALUES (77519, 1162, 21, 'تقرير التجميعات');
INSERT INTO `lang_definitions` VALUES (77520, 1163, 21, 'سرطان الكولون');
INSERT INTO `lang_definitions` VALUES (77521, 1164, 21, 'فحص سرطان القولون');
INSERT INTO `lang_definitions` VALUES (77522, 1165, 21, 'جراحة سرطان الكولون');
INSERT INTO `lang_definitions` VALUES (77523, 1166, 21, 'تنظير الكولون');
INSERT INTO `lang_definitions` VALUES (77524, 1167, 21, 'تنظير الكولون');
INSERT INTO `lang_definitions` VALUES (77525, 1168, 21, 'اللون');
INSERT INTO `lang_definitions` VALUES (77526, 1169, 21, 'إختصار اللون');
INSERT INTO `lang_definitions` VALUES (77527, 1170, 21, 'عمود');
INSERT INTO `lang_definitions` VALUES (77528, 1171, 21, 'الأعمدة');
INSERT INTO `lang_definitions` VALUES (77529, 1172, 21, 'الطبخات المجمعة');
INSERT INTO `lang_definitions` VALUES (77530, 1173, 21, 'فاصلة');
INSERT INTO `lang_definitions` VALUES (77531, 1174, 21, 'ملاحظة / تعليق');
INSERT INTO `lang_definitions` VALUES (77532, 1175, 21, 'التعليقات');
INSERT INTO `lang_definitions` VALUES (77533, 1176, 21, 'التعليق على هذه النتيجة أو التوصيات');
INSERT INTO `lang_definitions` VALUES (77534, 1177, 21, 'شركة التأمين');
INSERT INTO `lang_definitions` VALUES (77535, 1178, 21, 'حفظ التغييرات');
INSERT INTO `lang_definitions` VALUES (77536, 1180, 21, 'الاتصالات');
INSERT INTO `lang_definitions` VALUES (77537, 1182, 21, 'الشركة');
INSERT INTO `lang_definitions` VALUES (77538, 1183, 21, 'إسم الشركة');
INSERT INTO `lang_definitions` VALUES (77539, 1184, 21, 'كامل');
INSERT INTO `lang_definitions` VALUES (77540, 1186, 21, 'مكتمل');
INSERT INTO `lang_definitions` VALUES (77541, 1188, 21, 'مكتمل؟');
INSERT INTO `lang_definitions` VALUES (77542, 1190, 21, 'التعيقدات من مزود الخدمة');
INSERT INTO `lang_definitions` VALUES (77543, 1191, 21, 'اختلاطات الإجهاض');
INSERT INTO `lang_definitions` VALUES (77544, 1192, 21, 'المكونات');
INSERT INTO `lang_definitions` VALUES (77545, 1193, 21, 'نظام الأوامر الطبية بمساعدة الكومبيوتر');
INSERT INTO `lang_definitions` VALUES (77546, 1194, 21, 'الاستنتاجات');
INSERT INTO `lang_definitions` VALUES (77547, 1199, 21, 'اﻹعدادات');
INSERT INTO `lang_definitions` VALUES (77548, 1200, 21, 'تصدير / إستيراد اﻹعدادات');
INSERT INTO `lang_definitions` VALUES (77549, 1202, 21, 'هيئ الأباتشى و البرنامج لإستخدام شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (77550, 1203, 21, 'هيئ الأباتشى لإستخدام شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (77551, 1204, 21, 'هيئ الأباتشى لإستخدام HTTPS');
INSERT INTO `lang_definitions` VALUES (77552, 1205, 21, 'هيئ البرنامج لإستخدام شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (77553, 1208, 21, 'تأكيد إضافة مريض جديد');
INSERT INTO `lang_definitions` VALUES (77554, 1209, 21, 'تأكيد كلمة المرور الجديدة');
INSERT INTO `lang_definitions` VALUES (77555, 1210, 21, 'تأكيد الدفع');
INSERT INTO `lang_definitions` VALUES (77556, 1214, 21, 'الخلقي');
INSERT INTO `lang_definitions` VALUES (77557, 1215, 21, 'الملتحمة ، الحدقات');
INSERT INTO `lang_definitions` VALUES (77558, 1217, 21, 'الموصلات');
INSERT INTO `lang_definitions` VALUES (77559, 1218, 21, 'ثابت');
INSERT INTO `lang_definitions` VALUES (77560, 1219, 21, 'إسم الثابت');
INSERT INTO `lang_definitions` VALUES (77561, 1220, 21, 'إسم الثابت فارغ');
INSERT INTO `lang_definitions` VALUES (77562, 1221, 21, 'الثوابت');
INSERT INTO `lang_definitions` VALUES (77563, 1222, 21, 'الإمساك');
INSERT INTO `lang_definitions` VALUES (77564, 1223, 21, 'أعراض جهازية عامة');
INSERT INTO `lang_definitions` VALUES (77565, 1226, 21, 'وصف مختصر لسبب زيارة المريض');
INSERT INTO `lang_definitions` VALUES (77566, 1227, 21, 'المعلومات حول شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (77567, 1228, 21, 'البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (77568, 1229, 21, 'البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (77569, 1230, 21, 'تواصل مع EMRمباشرة للإشتراك فى خدمة phiMail للمراسلة المباشرة');
INSERT INTO `lang_definitions` VALUES (77570, 1231, 21, 'المعلومات حول شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (77571, 1232, 21, 'العدسات اللاصقة');
INSERT INTO `lang_definitions` VALUES (77572, 1233, 21, 'تواصل مع دمج المعلومات الطبيّة لخدمة تبادل المعمل http://mi-squared.com');
INSERT INTO `lang_definitions` VALUES (77573, 1234, 21, 'تواصل مع دمج المعلومات الطبيّة http://mi-squared.com او ZH Healthcare at http://zhservices.com');
INSERT INTO `lang_definitions` VALUES (77574, 1236, 21, 'اسم شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (77575, 1237, 21, 'شخص قريب أو مرافق');
INSERT INTO `lang_definitions` VALUES (77576, 1239, 21, 'هاتف الشخص القريب أو المرافق');
INSERT INTO `lang_definitions` VALUES (77577, 1240, 21, 'تواصل مع (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (77578, 1241, 21, 'تحتوي على اﻷقل على ثلاثة من أربعة من البنود التالية');
INSERT INTO `lang_definitions` VALUES (77579, 1242, 21, 'إسم محتوى المجموعة');
INSERT INTO `lang_definitions` VALUES (77580, 1243, 21, 'المحتوى');
INSERT INTO `lang_definitions` VALUES (77581, 1244, 21, 'المحتوى');
INSERT INTO `lang_definitions` VALUES (77582, 1245, 21, 'السياق');
INSERT INTO `lang_definitions` VALUES (77583, 1246, 21, 'اسم السياق لا يمكن أن يكون فارغا');
INSERT INTO `lang_definitions` VALUES (77584, 1247, 21, 'الاستمرار');
INSERT INTO `lang_definitions` VALUES (77585, 1248, 21, 'استمرارية وثيقة الرعاية');
INSERT INTO `lang_definitions` VALUES (77586, 1249, 21, 'استمرارية سجل الرعاية');
INSERT INTO `lang_definitions` VALUES (77587, 1250, 21, 'ضد العملاء');
INSERT INTO `lang_definitions` VALUES (77588, 1251, 21, 'منع الحمل');
INSERT INTO `lang_definitions` VALUES (77589, 1252, 21, 'مسائل منع الحمل');
INSERT INTO `lang_definitions` VALUES (77590, 1253, 21, 'التأثيرات الجانبية لموانع الحمل - اذكرها');
INSERT INTO `lang_definitions` VALUES (77591, 1254, 21, 'أسلوب منع الحمل');
INSERT INTO `lang_definitions` VALUES (77592, 1255, 21, 'منتجات منع الحمل');
INSERT INTO `lang_definitions` VALUES (77593, 1256, 21, 'خدمات منع الحمل السابقة');
INSERT INTO `lang_definitions` VALUES (77594, 1257, 21, 'بدء موانع الحمل');
INSERT INTO `lang_definitions` VALUES (77595, 1258, 21, 'معرف التحكم');
INSERT INTO `lang_definitions` VALUES (77596, 1259, 21, 'رقم التحكم');
INSERT INTO `lang_definitions` VALUES (77597, 1261, 21, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (77598, 1262, 21, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (77599, 1263, 21, 'الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (77600, 1264, 21, 'الدفع المشترك غير موجب');
INSERT INTO `lang_definitions` VALUES (77601, 1266, 21, 'الدفوع المشتركة');
INSERT INTO `lang_definitions` VALUES (77602, 1267, 21, 'المرض الرئوي الانسدادي المزمن');
INSERT INTO `lang_definitions` VALUES (77603, 1268, 21, 'نسخ الصفحات إلى إضبارة المريض');
INSERT INTO `lang_definitions` VALUES (77604, 1269, 21, 'قيم النسخ');
INSERT INTO `lang_definitions` VALUES (77605, 1270, 21, 'جاري نسخ ملف قاعدة المعلومات - قد يستغرق ذلك بعض الوقت');
INSERT INTO `lang_definitions` VALUES (77606, 1271, 21, 'حول حفظ الحقوق');
INSERT INTO `lang_definitions` VALUES (77607, 1273, 21, 'مجازة الشرايين التاجية');
INSERT INTO `lang_definitions` VALUES (77608, 1274, 21, 'مجازة الشرايين التاجية');
INSERT INTO `lang_definitions` VALUES (77609, 1275, 21, 'صحح');
INSERT INTO `lang_definitions` VALUES (77610, 1277, 21, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (77611, 1278, 21, 'فشل الإتصال CouchDB');
INSERT INTO `lang_definitions` VALUES (77612, 1279, 21, 'قاعدة البيانات CouchDB');
INSERT INTO `lang_definitions` VALUES (77613, 1280, 21, 'إسم قاعدة البيانات CouchDB');
INSERT INTO `lang_definitions` VALUES (77614, 1281, 21, 'مستضيف CouchDB');
INSERT INTO `lang_definitions` VALUES (77615, 1282, 21, 'إسم مستضيف CouchDB');
INSERT INTO `lang_definitions` VALUES (77616, 1283, 21, 'فعّل تسجيل احداث CouchDB');
INSERT INTO `lang_definitions` VALUES (77617, 1284, 21, 'كلمة سّر CouchDB');
INSERT INTO `lang_definitions` VALUES (77618, 1285, 21, 'مدخل CouchDB');
INSERT INTO `lang_definitions` VALUES (77619, 1286, 21, 'مدخل CouchDB');
INSERT INTO `lang_definitions` VALUES (77620, 1288, 21, 'إسم مستخدم CouchDB');
INSERT INTO `lang_definitions` VALUES (77621, 1289, 21, 'السعال');
INSERT INTO `lang_definitions` VALUES (77622, 1290, 21, 'السعال:');
INSERT INTO `lang_definitions` VALUES (77623, 1294, 21, 'تعذر قراءة الملف');
INSERT INTO `lang_definitions` VALUES (77624, 1296, 21, 'فشل إرسال رسللة إلكترونية لعطل في الشبكة ');
INSERT INTO `lang_definitions` VALUES (77625, 1297, 21, 'تعذر إرسال البريد اﻹلكتروني بسبب مشكلة في الخادم ');
INSERT INTO `lang_definitions` VALUES (77626, 1298, 21, 'فشل إنشاء النسخة الاحتياطية');
INSERT INTO `lang_definitions` VALUES (77627, 1299, 21, 'تعذر حذف المجلد');
INSERT INTO `lang_definitions` VALUES (77628, 1300, 21, 'تعذر حذف ملف النسخ اﻹحتياطي السابق');
INSERT INTO `lang_definitions` VALUES (77629, 1301, 21, 'تعذر حذف ملف التصدير السابق');
INSERT INTO `lang_definitions` VALUES (77630, 1302, 21, 'تدبير المعالجة بمميعات الدم- مراقبة INR');
INSERT INTO `lang_definitions` VALUES (77631, 1303, 21, 'الإستشارة بالنوع');
INSERT INTO `lang_definitions` VALUES (77632, 1304, 21, 'جلسات التوعية');
INSERT INTO `lang_definitions` VALUES (77633, 1305, 21, 'نشاطات التوعية');
INSERT INTO `lang_definitions` VALUES (77634, 1306, 21, 'نموذج اﻹحالة');
INSERT INTO `lang_definitions` VALUES (77635, 1307, 21, 'تعدد الاحالة');
INSERT INTO `lang_definitions` VALUES (77636, 1308, 21, 'الدولة');
INSERT INTO `lang_definitions` VALUES (77637, 1309, 21, 'نوع بيانات الدول');
INSERT INTO `lang_definitions` VALUES (77638, 1310, 21, 'قائمة الدول');
INSERT INTO `lang_definitions` VALUES (77639, 1311, 21, 'قائمة الدول');
INSERT INTO `lang_definitions` VALUES (77640, 1312, 21, 'اسم الدولة لا بد أن يتم تمثيله ب حرفين (مثلا : السعودية :SA)');
INSERT INTO `lang_definitions` VALUES (77641, 1313, 21, 'المحافظة');
INSERT INTO `lang_definitions` VALUES (77642, 1315, 21, 'القسيمة');
INSERT INTO `lang_definitions` VALUES (77643, 1318, 21, 'قائمة الإجراءات الطبية');
INSERT INTO `lang_definitions` VALUES (77644, 1319, 21, 'رمز CPT4');
INSERT INTO `lang_definitions` VALUES (77645, 1320, 21, 'تصانيف الإجراءات الطبية');
INSERT INTO `lang_definitions` VALUES (77646, 1321, 21, 'إجراءات / خدمة CPT4');
INSERT INTO `lang_definitions` VALUES (77647, 1322, 21, 'قياسات اداء CPTII');
INSERT INTO `lang_definitions` VALUES (77648, 1323, 21, 'CQM');
INSERT INTO `lang_definitions` VALUES (77649, 1324, 21, 'أصوات تنفسية فرقعية:');
INSERT INTO `lang_definitions` VALUES (77650, 1325, 21, 'كريم');
INSERT INTO `lang_definitions` VALUES (77651, 1326, 21, 'إنشاء شهادة SSL من جانب العميل لكل مستخدم أو جهاز العميل.');
INSERT INTO `lang_definitions` VALUES (77652, 1327, 21, 'إنشاء شهادة SSL من جانب العميل سواء لمستخدم أو لمضيف العميل.');
INSERT INTO `lang_definitions` VALUES (77653, 1329, 21, 'إنشاء حدث جديد');
INSERT INTO `lang_definitions` VALUES (77654, 1330, 21, 'إنشاء وتنريل نسخة احتياطية كاملة');
INSERT INTO `lang_definitions` VALUES (77655, 1332, 21, 'إنشاء نسخة احتياطية');
INSERT INTO `lang_definitions` VALUES (77656, 1333, 21, 'إنشاء حزمة');
INSERT INTO `lang_definitions` VALUES (77657, 1334, 21, 'إنشاء شهادة الزبون');
INSERT INTO `lang_definitions` VALUES (77658, 1335, 21, 'إنشاء شهادة أمن المتصفح');
INSERT INTO `lang_definitions` VALUES (77659, 1336, 21, 'إنشاء نسخة مكررة');
INSERT INTO `lang_definitions` VALUES (77660, 1338, 21, 'إنشاء نسخة إحتياطية من سجل اﻷحداث');
INSERT INTO `lang_definitions` VALUES (77661, 1339, 21, 'إنشاء قضية جديدة');
INSERT INTO `lang_definitions` VALUES (77662, 1340, 21, 'إنشاء ملف جديد للمريض');
INSERT INTO `lang_definitions` VALUES (77663, 1342, 21, 'Create Offsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (77664, 1343, 21, 'Create Onsite Portal Credentials');
INSERT INTO `lang_definitions` VALUES (77665, 1344, 21, 'إنشاء تقرير عن المريض');
INSERT INTO `lang_definitions` VALUES (77666, 1345, 21, 'Create the SSL Certificate Authority and Server certificates.');
INSERT INTO `lang_definitions` VALUES (77667, 1346, 21, 'إنشاء زيارة');
INSERT INTO `lang_definitions` VALUES (77668, 1347, 21, 'تم');
INSERT INTO `lang_definitions` VALUES (77669, 1348, 21, 'جارِ إنشاء ملف للتصدير');
INSERT INTO `lang_definitions` VALUES (77670, 1350, 21, 'فشل إنشاء الملف');
INSERT INTO `lang_definitions` VALUES (77671, 1351, 21, 'المنشيء');
INSERT INTO `lang_definitions` VALUES (77672, 1352, 21, 'إئتمان');
INSERT INTO `lang_definitions` VALUES (77673, 1353, 21, 'بطاقة الائتمان');
INSERT INTO `lang_definitions` VALUES (77674, 1354, 21, 'اﻹعتمادات');
INSERT INTO `lang_definitions` VALUES (77675, 1356, 21, 'المعايير');
INSERT INTO `lang_definitions` VALUES (77676, 1358, 21, 'داء كرون');
INSERT INTO `lang_definitions` VALUES (77677, 1359, 21, 'داء كرون');
INSERT INTO `lang_definitions` VALUES (77678, 1360, 21, 'تصدير الى ملف CSV');
INSERT INTO `lang_definitions` VALUES (77679, 1361, 21, 'ملف CSV');
INSERT INTO `lang_definitions` VALUES (77680, 1362, 21, 'جداول CSV');
INSERT INTO `lang_definitions` VALUES (77681, 1363, 21, 'مم مكعب');
INSERT INTO `lang_definitions` VALUES (77682, 1364, 21, 'كوبي');
INSERT INTO `lang_definitions` VALUES (77683, 1365, 21, 'اماكن الفاصلة العشرية للعملة');
INSERT INTO `lang_definitions` VALUES (77684, 1366, 21, 'الفاصلة العشرية للعملة');
INSERT INTO `lang_definitions` VALUES (77685, 1367, 21, 'رمز العملة');
INSERT INTO `lang_definitions` VALUES (77686, 1368, 21, 'فاصل الالاف في العملة');
INSERT INTO `lang_definitions` VALUES (77687, 1369, 21, 'الحالي');
INSERT INTO `lang_definitions` VALUES (77688, 1370, 21, 'الكحول الحالي');
INSERT INTO `lang_definitions` VALUES (77689, 1371, 21, 'الاستشارة الحالية');
INSERT INTO `lang_definitions` VALUES (77690, 1372, 21, 'المعايير الحالية');
INSERT INTO `lang_definitions` VALUES (77691, 1373, 21, 'لون التوضيح لليوم الحالي');
INSERT INTO `lang_definitions` VALUES (77692, 1374, 21, 'مدخن يومي');
INSERT INTO `lang_definitions` VALUES (77693, 1375, 21, 'الموقع الحالي');
INSERT INTO `lang_definitions` VALUES (77694, 1376, 21, 'الفاصل الحالي');
INSERT INTO `lang_definitions` VALUES (77695, 1377, 21, 'تغير اسم الملف الحالي إلى');
INSERT INTO `lang_definitions` VALUES (77696, 1378, 21, 'اﻷدوية الحالية');
INSERT INTO `lang_definitions` VALUES (77697, 1379, 21, 'كلمة السر الحالية');
INSERT INTO `lang_definitions` VALUES (77698, 1380, 21, 'المريض الحالي');
INSERT INTO `lang_definitions` VALUES (77699, 1382, 21, 'اﻷدوية الترويحية الحالية');
INSERT INTO `lang_definitions` VALUES (77700, 1383, 21, 'مدخن متقطع');
INSERT INTO `lang_definitions` VALUES (77701, 1386, 21, 'النشط حالياَ');
INSERT INTO `lang_definitions` VALUES (77702, 1387, 21, 'المشغل حالياً');
INSERT INTO `lang_definitions` VALUES (77703, 1388, 21, 'لا توجد مراكز حالياً');
INSERT INTO `lang_definitions` VALUES (77704, 1389, 21, 'متلازمة كوشينغ');
INSERT INTO `lang_definitions` VALUES (77705, 1390, 21, 'متلازمة كوشينغ');
INSERT INTO `lang_definitions` VALUES (77706, 1392, 21, 'عرف');
INSERT INTO `lang_definitions` VALUES (77707, 1393, 21, 'مدخل مخصص؟');
INSERT INTO `lang_definitions` VALUES (77708, 1394, 21, 'جدول مخصص');
INSERT INTO `lang_definitions` VALUES (77709, 1396, 21, 'كود CVX');
INSERT INTO `lang_definitions` VALUES (77710, 1397, 21, 'تخطيط كود CVX');
INSERT INTO `lang_definitions` VALUES (77711, 1398, 21, 'تطعيم CVX');
INSERT INTO `lang_definitions` VALUES (77712, 1399, 21, 'دورة');
INSERT INTO `lang_definitions` VALUES (77713, 1400, 21, 'سيتوكروم بي');
INSERT INTO `lang_definitions` VALUES (77714, 1401, 21, 'معامل سيتوكروم بي');
INSERT INTO `lang_definitions` VALUES (77715, 1402, 21, 'تقرير سيتوكروم بي');
INSERT INTO `lang_definitions` VALUES (77716, 1403, 21, 'تشيكي');
INSERT INTO `lang_definitions` VALUES (77717, 1404, 21, 'د');
INSERT INTO `lang_definitions` VALUES (77718, 1405, 21, 'التوسيع و التجريف');
INSERT INTO `lang_definitions` VALUES (77719, 1406, 21, 'التوسيع و التفريغ');
INSERT INTO `lang_definitions` VALUES (77720, 1407, 21, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (77721, 1408, 21, 'يومياَ');
INSERT INTO `lang_definitions` VALUES (77722, 1409, 21, 'السجل اليومي');
INSERT INTO `lang_definitions` VALUES (77723, 1410, 21, 'دانماركي');
INSERT INTO `lang_definitions` VALUES (77724, 1411, 21, 'معلومات مشابهة موجودة مسبقا. قم بتغيير المز و/أو الوصف');
INSERT INTO `lang_definitions` VALUES (77725, 1412, 21, 'معلومات مشابهة موجودة مسبقا. قم بتغيير إسم الثابت');
INSERT INTO `lang_definitions` VALUES (77726, 1413, 21, 'أعمدة البيانات');
INSERT INTO `lang_definitions` VALUES (77727, 1416, 21, 'خطأ في البيانات');
INSERT INTO `lang_definitions` VALUES (77728, 1420, 21, 'نوع البيانات');
INSERT INTO `lang_definitions` VALUES (77729, 1421, 21, 'قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (77730, 1422, 21, 'قاعدة المعلومات غير مثبتة');
INSERT INTO `lang_definitions` VALUES (77731, 1423, 21, 'رقعة برمجية لقاعدة المعلومات');
INSERT INTO `lang_definitions` VALUES (77732, 1424, 21, 'تقرير قاعدة المعلومات');
INSERT INTO `lang_definitions` VALUES (77733, 1425, 21, 'تحيث قاعدة البيانات تم');
INSERT INTO `lang_definitions` VALUES (77734, 1426, 21, 'أعمدة البيانات يجب أن يكون رقم بين 1 و 999');
INSERT INTO `lang_definitions` VALUES (77735, 1427, 21, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (77736, 1428, 21, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (77737, 1429, 21, 'التاريخ و الوقت');
INSERT INTO `lang_definitions` VALUES (77738, 1431, 21, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (77739, 1432, 21, 'تاريخ و وقت جمع العينة');
INSERT INTO `lang_definitions` VALUES (77740, 1433, 21, 'تاريخ و وقت هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (77741, 1435, 21, 'التاريخ والوقت الذي جمعت فيه العينة');
INSERT INTO `lang_definitions` VALUES (77742, 1436, 21, 'التاريخ لا يمكن ان يتجاوز تاريخ اليوم');
INSERT INTO `lang_definitions` VALUES (77743, 1437, 21, 'تاريخ تقديم خدمة منع الحمل ﻷول بداية');
INSERT INTO `lang_definitions` VALUES (77744, 1438, 21, 'تاريخ اﻹضافة');
INSERT INTO `lang_definitions` VALUES (77745, 1439, 21, 'تاريخ الوفاة');
INSERT INTO `lang_definitions` VALUES (77746, 1440, 21, 'تاريخ اﻹتلاف');
INSERT INTO `lang_definitions` VALUES (77747, 1441, 21, 'طريقة عرض التاريخ');
INSERT INTO `lang_definitions` VALUES (77748, 1442, 21, 'طريقة عرض التاريخ ل \"نهاية الموعد\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (77749, 1443, 21, 'طريقة عرض التاريخ ل \"بداية الموعد\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (77750, 1444, 21, 'طريقة عرض التاريخ ل \" الموعد القادم\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (77751, 1445, 21, 'طريقة عرض التاريخ ل \"لم يًشاهد سابقا\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (77752, 1446, 21, 'طريقة عرض التاريخ ل \"شوهد سابقا\" غير صالحة');
INSERT INTO `lang_definitions` VALUES (77753, 1447, 21, 'تاريخ المعلومات الخاصة باللقاحات');
INSERT INTO `lang_definitions` VALUES (77754, 1448, 21, 'غياب تاريخ الرمز ');
INSERT INTO `lang_definitions` VALUES (77755, 1449, 21, 'معايير التاريخ الرئيسية');
INSERT INTO `lang_definitions` VALUES (77756, 1450, 21, 'تاريخ الإيداع المصرفي سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (77757, 1451, 21, 'تاريخ الفاتورة');
INSERT INTO `lang_definitions` VALUES (77758, 1452, 21, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (77759, 1453, 21, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (77760, 1454, 21, 'تاريخ الميلاد');
INSERT INTO `lang_definitions` VALUES (77761, 1455, 21, 'تاريخ الدخول');
INSERT INTO `lang_definitions` VALUES (77762, 1456, 21, 'تاريخ الأذية');
INSERT INTO `lang_definitions` VALUES (77763, 1458, 21, 'تاريخ الدفع سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (77764, 1459, 21, 'تاريخ الإحالة');
INSERT INTO `lang_definitions` VALUES (77765, 1460, 21, 'تاريخ الرد');
INSERT INTO `lang_definitions` VALUES (77766, 1461, 21, 'تاريخ التقرير');
INSERT INTO `lang_definitions` VALUES (77767, 1462, 21, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (77768, 1463, 21, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (77769, 1464, 21, 'تاريخ الخدمة = اليوم');
INSERT INTO `lang_definitions` VALUES (77770, 1465, 21, 'تاريخ الخدمة سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (77771, 1466, 21, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (77772, 1467, 21, 'تاريخ التوقيع');
INSERT INTO `lang_definitions` VALUES (77773, 1468, 21, 'تاريخ تغيير الحالة');
INSERT INTO `lang_definitions` VALUES (77774, 1469, 21, 'تاريخ هذا اﻷمر');
INSERT INTO `lang_definitions` VALUES (77775, 1470, 21, 'تاريخ هذا التقرير');
INSERT INTO `lang_definitions` VALUES (77776, 1471, 21, 'تاريخ عبارة الزيارة');
INSERT INTO `lang_definitions` VALUES (77777, 1472, 21, 'تاريخ اﻷمر');
INSERT INTO `lang_definitions` VALUES (77778, 1475, 21, 'مختار التاريخ');
INSERT INTO `lang_definitions` VALUES (77779, 1476, 21, 'تاريخ اﻹرسال');
INSERT INTO `lang_definitions` VALUES (77780, 1477, 21, 'تاريخ إرسال الرسالة');
INSERT INTO `lang_definitions` VALUES (77781, 1479, 21, 'قيمة التاريخ لا يمكن ان تكون فارغة');
INSERT INTO `lang_definitions` VALUES (77782, 1480, 21, 'التاريخ/الموعد');
INSERT INTO `lang_definitions` VALUES (77783, 1481, 21, 'التاريخ/الملاحظات');
INSERT INTO `lang_definitions` VALUES (77784, 1482, 21, 'تاريخ/ملاحظات اﻵخر');
INSERT INTO `lang_definitions` VALUES (77785, 1483, 21, 'التاريخ/الوقت');
INSERT INTO `lang_definitions` VALUES (77786, 1484, 21, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (77787, 1485, 21, 'سجل الرسائل المؤرخ');
INSERT INTO `lang_definitions` VALUES (77788, 1486, 21, 'اليوم');
INSERT INTO `lang_definitions` VALUES (77789, 1487, 21, 'يوم');
INSERT INTO `lang_definitions` VALUES (77790, 1489, 21, 'طريقة عرض اليوم');
INSERT INTO `lang_definitions` VALUES (77791, 1490, 21, 'اليوم (الأيام)');
INSERT INTO `lang_definitions` VALUES (77792, 1491, 21, 'اﻷيام (من الأحد إلى الخميس)');
INSERT INTO `lang_definitions` VALUES (77793, 1492, 21, 'الأيام');
INSERT INTO `lang_definitions` VALUES (77794, 1493, 21, 'الأيام');
INSERT INTO `lang_definitions` VALUES (77795, 1494, 21, 'يوما مضى');
INSERT INTO `lang_definitions` VALUES (77796, 1495, 21, 'أيام الغياب');
INSERT INTO `lang_definitions` VALUES (77797, 1496, 21, 'عدد اﻷيام من اخر مراجعة');
INSERT INTO `lang_definitions` VALUES (77798, 1497, 21, 'أيام الغياب');
INSERT INTO `lang_definitions` VALUES (77799, 1498, 21, 'عدد اﻷيام في العمود');
INSERT INTO `lang_definitions` VALUES (77800, 1500, 21, 'أيام في العمود');
INSERT INTO `lang_definitions` VALUES (77801, 1501, 21, 'تنصيب قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (77802, 1502, 21, 'ي ي/ش ش/س س س س');
INSERT INTO `lang_definitions` VALUES (77803, 1503, 21, 'تعريف');
INSERT INTO `lang_definitions` VALUES (77804, 1504, 21, 'معالجة التعريف انتهت');
INSERT INTO `lang_definitions` VALUES (77805, 1505, 21, 'معالجة التعريف مستمرة');
INSERT INTO `lang_definitions` VALUES (77806, 1506, 21, 'معالجة التعريف بدأت وجاري العمل عليها');
INSERT INTO `lang_definitions` VALUES (77807, 1507, 21, 'تعريف البيانات غير مكتمل');
INSERT INTO `lang_definitions` VALUES (77808, 1508, 21, 'تم حفظ التعريف');
INSERT INTO `lang_definitions` VALUES (77809, 1509, 21, 'رقم وكالة مكافحة المخدرات');
INSERT INTO `lang_definitions` VALUES (77810, 1511, 21, 'أصم');
INSERT INTO `lang_definitions` VALUES (77811, 1512, 21, 'معلومات كشف اﻷخطاء');
INSERT INTO `lang_definitions` VALUES (77812, 1514, 21, 'تصحيح');
INSERT INTO `lang_definitions` VALUES (77813, 1515, 21, 'كانون الأول (ديسمبر)');
INSERT INTO `lang_definitions` VALUES (77814, 1516, 21, 'متوفى');
INSERT INTO `lang_definitions` VALUES (77815, 1517, 21, 'كانون الأول');
INSERT INTO `lang_definitions` VALUES (77816, 1518, 21, 'رقم الرطل و الأونصة');
INSERT INTO `lang_definitions` VALUES (77817, 1520, 21, 'قابل للمراعاة');
INSERT INTO `lang_definitions` VALUES (77818, 1521, 21, 'الأصل');
INSERT INTO `lang_definitions` VALUES (77819, 1522, 21, 'الأصل');
INSERT INTO `lang_definitions` VALUES (77820, 1523, 21, 'الطريقة الأصل لعرض المفكرة');
INSERT INTO `lang_definitions` VALUES (77821, 1524, 21, 'رقم نموذج المراجعة اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (77822, 1526, 21, 'المؤسسة الأصل');
INSERT INTO `lang_definitions` VALUES (77823, 1527, 21, 'اللغة اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (77824, 1528, 21, 'اللغة اﻹفتراضية في حال عدم وجود أو عدم اختيار لغة اخرى');
INSERT INTO `lang_definitions` VALUES (77825, 1529, 21, 'القائمة الأصل (كتابة، الإضافة فقط)');
INSERT INTO `lang_definitions` VALUES (77826, 1530, 21, 'الطريقة الأصل');
INSERT INTO `lang_definitions` VALUES (77827, 1531, 21, 'عدد أيام انتهاء صلاحية كلمة السر');
INSERT INTO `lang_definitions` VALUES (77828, 1532, 21, 'فترة إنتهاء فترة صلاحية كلمة السر. 0 يعني ان هذه الميزة غير مفعلة');
INSERT INTO `lang_definitions` VALUES (77829, 1533, 21, 'دولة المريض اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (77830, 1535, 21, 'الأولوية');
INSERT INTO `lang_definitions` VALUES (77831, 1536, 21, 'المزود اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (77832, 1537, 21, 'المدى اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (77833, 1538, 21, 'سبب المراجعة اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (77834, 1540, 21, 'اﻹعدادات اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (77835, 1541, 21, 'حالة صندق اﻹختيار اﻹفتراضية في النافذة الجديدة في قائمة المرضى');
INSERT INTO `lang_definitions` VALUES (77836, 1542, 21, 'القالب الأساسي');
INSERT INTO `lang_definitions` VALUES (77837, 1546, 21, 'الوحدات اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (77838, 1547, 21, 'القيمة اﻹفتراضية');
INSERT INTO `lang_definitions` VALUES (77839, 1548, 21, 'المستودع اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (77840, 1549, 21, 'شريك X12 اﻹفتراضي');
INSERT INTO `lang_definitions` VALUES (77841, 1550, 21, 'الأساسي/العالمي');
INSERT INTO `lang_definitions` VALUES (77842, 1551, 21, 'حذف');
INSERT INTO `lang_definitions` VALUES (77843, 1552, 21, 'حذف');
INSERT INTO `lang_definitions` VALUES (77844, 1553, 21, 'النكس المتأخر أكثر من اثنتي عشرة شهرا');
INSERT INTO `lang_definitions` VALUES (77845, 1554, 21, 'حذف');
INSERT INTO `lang_definitions` VALUES (77846, 1555, 21, 'حذف');
INSERT INTO `lang_definitions` VALUES (77847, 1556, 21, 'حذف المجموعات ذات الأرقام التالية ');
INSERT INTO `lang_definitions` VALUES (77848, 1557, 21, 'حذف الصنف');
INSERT INTO `lang_definitions` VALUES (77849, 1559, 21, 'فشل الحذف');
INSERT INTO `lang_definitions` VALUES (77850, 1560, 21, 'حذف المجموعة');
INSERT INTO `lang_definitions` VALUES (77851, 1561, 21, 'حذف القائمة');
INSERT INTO `lang_definitions` VALUES (77852, 1562, 21, 'حذف الصفحات');
INSERT INTO `lang_definitions` VALUES (77853, 1563, 21, 'حذف المريض، المراجعة، الاستمارة، المشكلة، المستند، الدفع، الفاتورة، التحويل');
INSERT INTO `lang_definitions` VALUES (77854, 1565, 21, 'حذف صف');
INSERT INTO `lang_definitions` VALUES (77855, 1566, 21, 'حذف العنلصر المختارة');
INSERT INTO `lang_definitions` VALUES (77856, 1568, 21, 'حذف ناجح!');
INSERT INTO `lang_definitions` VALUES (77857, 1569, 21, 'حذف هذا المستند');
INSERT INTO `lang_definitions` VALUES (77858, 1570, 21, 'حذف هذه الاستمارة');
INSERT INTO `lang_definitions` VALUES (77859, 1571, 21, 'حذف هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (77860, 1573, 21, 'تم الحذف بنجاح');
INSERT INTO `lang_definitions` VALUES (77861, 1574, 21, 'جارٍ الحذف');
INSERT INTO `lang_definitions` VALUES (77862, 1575, 21, 'حذف هذا الحدث لا يمكن إسترجاعه. هل أنت متأكد من أنك تريد الحذف؟');
INSERT INTO `lang_definitions` VALUES (77863, 1576, 21, 'تم الإرسال والتسليم');
INSERT INTO `lang_definitions` VALUES (77864, 1578, 21, 'لا يسمح التسليم في الوقت الحالي إلى العنوان المباشر المحدد.');
INSERT INTO `lang_definitions` VALUES (77865, 1580, 21, 'تم طلب توصيل المستند الطبي المرفق من قبل المريض.');
INSERT INTO `lang_definitions` VALUES (77866, 1581, 21, 'العته');
INSERT INTO `lang_definitions` VALUES (77867, 1582, 21, 'المعلومات الشخصية');
INSERT INTO `lang_definitions` VALUES (77868, 1583, 21, 'المعلومات الشخصية');
INSERT INTO `lang_definitions` VALUES (77869, 1585, 21, 'معايير تصفية المعلومات الديموغرافية');
INSERT INTO `lang_definitions` VALUES (77870, 1586, 21, 'المعلومات الشخصية غير متاحة');
INSERT INTO `lang_definitions` VALUES (77871, 1587, 21, 'المعلومات الشخصية غير متاحة');
INSERT INTO `lang_definitions` VALUES (77872, 1588, 21, 'مرفوض');
INSERT INTO `lang_definitions` VALUES (77873, 1589, 21, 'البسط');
INSERT INTO `lang_definitions` VALUES (77874, 1590, 21, 'سني');
INSERT INTO `lang_definitions` VALUES (77875, 1591, 21, 'قائمة مشاكل الأسنان');
INSERT INTO `lang_definitions` VALUES (77876, 1592, 21, 'مشاكل الأسنان');
INSERT INTO `lang_definitions` VALUES (77877, 1595, 21, 'عند إختبار ملف X12 سوف يظهر لك خرج HCFA و الذي يتكون من أسطر عديدة من اللغة المختلطة. لا تقلق فهذة صيغة X12 EDI 4010A.');
INSERT INTO `lang_definitions` VALUES (77878, 1596, 21, 'تاريخ اﻹيداع');
INSERT INTO `lang_definitions` VALUES (77879, 1597, 21, 'تاريخ اﻹيداع لا يمكن أن يكون بعد تاريخ اليوم');
INSERT INTO `lang_definitions` VALUES (77880, 1598, 21, 'تاريخ الإيداع');
INSERT INTO `lang_definitions` VALUES (77881, 1599, 21, 'مكتئب');
INSERT INTO `lang_definitions` VALUES (77882, 1600, 21, 'اكتئاب');
INSERT INTO `lang_definitions` VALUES (77883, 1602, 21, 'الوصف');
INSERT INTO `lang_definitions` VALUES (77884, 1603, 21, 'الوصف');
INSERT INTO `lang_definitions` VALUES (77885, 1605, 21, 'وصف اﻹفصاح');
INSERT INTO `lang_definitions` VALUES (77886, 1606, 21, 'وصف هذه اﻹجراءات أو رمز النتيجة');
INSERT INTO `lang_definitions` VALUES (77887, 1607, 21, 'ترجمة الوصف');
INSERT INTO `lang_definitions` VALUES (77888, 1609, 21, 'الوجهة');
INSERT INTO `lang_definitions` VALUES (77889, 1610, 21, 'إسم الملف الجهة');
INSERT INTO `lang_definitions` VALUES (77890, 1611, 21, 'إتلاف الطرد');
INSERT INTO `lang_definitions` VALUES (77891, 1612, 21, 'متلف');
INSERT INTO `lang_definitions` VALUES (77892, 1613, 21, 'أتلف');
INSERT INTO `lang_definitions` VALUES (77893, 1614, 21, 'متلف');
INSERT INTO `lang_definitions` VALUES (77894, 1615, 21, 'الأدوية التالفة');
INSERT INTO `lang_definitions` VALUES (77895, 1616, 21, 'التفاصيل');
INSERT INTO `lang_definitions` VALUES (77896, 1617, 21, 'التفاصيل');
INSERT INTO `lang_definitions` VALUES (77897, 1619, 21, 'خلل التكون');
INSERT INTO `lang_definitions` VALUES (77898, 1620, 21, 'الداء السكري');
INSERT INTO `lang_definitions` VALUES (77899, 1621, 21, 'الداء السكري');
INSERT INTO `lang_definitions` VALUES (77900, 1622, 21, 'الداء السكري: ضبط ضغط الدم');
INSERT INTO `lang_definitions` VALUES (77901, 1623, 21, 'الداء السكري: فحص العين');
INSERT INTO `lang_definitions` VALUES (77902, 1624, 21, 'الداء السكري: فحص العين');
INSERT INTO `lang_definitions` VALUES (77903, 1625, 21, 'الداء السكري: فحص القدم');
INSERT INTO `lang_definitions` VALUES (77904, 1626, 21, 'الداء السكري: فحص القدم');
INSERT INTO `lang_definitions` VALUES (77905, 1627, 21, 'الداء السكري: ضبط سيئ للخضاب الغلوكوزي');
INSERT INTO `lang_definitions` VALUES (77906, 1628, 21, 'الداء السكري: الخضاب الغلوكوزي');
INSERT INTO `lang_definitions` VALUES (77907, 1629, 21, 'الداء السكري: ضبط الكوليستيرول');
INSERT INTO `lang_definitions` VALUES (77908, 1630, 21, 'الداء السكري: مستوى الألبومين في البول');
INSERT INTO `lang_definitions` VALUES (77909, 1631, 21, 'التشخيص');
INSERT INTO `lang_definitions` VALUES (77910, 1632, 21, 'التشخيص');
INSERT INTO `lang_definitions` VALUES (77911, 1633, 21, 'التشخيص');
INSERT INTO `lang_definitions` VALUES (77912, 1634, 21, 'رمز التشخيص');
INSERT INTO `lang_definitions` VALUES (77913, 1636, 21, 'تاريخ التشخيص');
INSERT INTO `lang_definitions` VALUES (77914, 1637, 21, 'يجب ترميز التشخيص في المراجعة');
INSERT INTO `lang_definitions` VALUES (77915, 1638, 21, 'اسم التشخيص');
INSERT INTO `lang_definitions` VALUES (77916, 1639, 21, 'تقرير التشخيص');
INSERT INTO `lang_definitions` VALUES (77917, 1640, 21, 'اﻹبلاغ عن التشخيص');
INSERT INTO `lang_definitions` VALUES (77918, 1641, 21, 'اﻹبلاغ عن التشخيص فقط');
INSERT INTO `lang_definitions` VALUES (77919, 1642, 21, 'عنوان التشخيص');
INSERT INTO `lang_definitions` VALUES (77920, 1643, 21, 'التشخيص:');
INSERT INTO `lang_definitions` VALUES (77921, 1644, 21, 'التشخيص: ');
INSERT INTO `lang_definitions` VALUES (77922, 1645, 21, 'الاختبارات التشخيصية:');
INSERT INTO `lang_definitions` VALUES (77923, 1646, 21, 'جلسات الديال');
INSERT INTO `lang_definitions` VALUES (77924, 1647, 21, 'حجاب / قلنسوة');
INSERT INTO `lang_definitions` VALUES (77925, 1648, 21, 'الإسهال');
INSERT INTO `lang_definitions` VALUES (77926, 1650, 21, 'الإملاء');
INSERT INTO `lang_definitions` VALUES (77927, 1651, 21, 'الإملاء: ');
INSERT INTO `lang_definitions` VALUES (77928, 1652, 21, 'هل وصلك نسخة من المؤسسة المسوؤلة عن الصحة والتأمينات');
INSERT INTO `lang_definitions` VALUES (77929, 1653, 21, 'توزيع:');
INSERT INTO `lang_definitions` VALUES (77930, 1654, 21, 'وقع إلكترونياً');
INSERT INTO `lang_definitions` VALUES (77931, 1657, 21, 'بريد مباشر');
INSERT INTO `lang_definitions` VALUES (77932, 1658, 21, 'سجل الرسائل المباشرة');
INSERT INTO `lang_definitions` VALUES (77933, 1659, 21, 'تم استقبال الرسالة المباشرة');
INSERT INTO `lang_definitions` VALUES (77934, 1660, 21, 'الرسالة المباشره غير متوفرة حاليا');
INSERT INTO `lang_definitions` VALUES (77935, 1661, 21, 'تعذر ارسال الرسالة المباشرة');
INSERT INTO `lang_definitions` VALUES (77936, 1663, 21, 'اسم المشرف');
INSERT INTO `lang_definitions` VALUES (77937, 1664, 21, 'تعذر مسح الدليل ; استمرار');
INSERT INTO `lang_definitions` VALUES (77938, 1665, 21, 'الإعاقة');
INSERT INTO `lang_definitions` VALUES (77939, 1667, 21, 'إيقاف التقويم');
INSERT INTO `lang_definitions` VALUES (77940, 1668, 21, 'إيقاف متابعة الملف');
INSERT INTO `lang_definitions` VALUES (77941, 1669, 21, 'إيقاف اللقاحات');
INSERT INTO `lang_definitions` VALUES (77942, 1670, 21, 'إيقاف استمارة العلامات الحياتية المترية القديمة');
INSERT INTO `lang_definitions` VALUES (77943, 1672, 21, 'إيقاف phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (77944, 1673, 21, 'إيقاف الوصفات');
INSERT INTO `lang_definitions` VALUES (77945, 1674, 21, 'إيقاف المجموعات');
INSERT INTO `lang_definitions` VALUES (77946, 1675, 21, 'مُعطّل');
INSERT INTO `lang_definitions` VALUES (77947, 1676, 21, 'مُعطّل');
INSERT INTO `lang_definitions` VALUES (77948, 1677, 21, 'تعطيل المستفيدين لاعمار اقل من ٦٥ سنة');
INSERT INTO `lang_definitions` VALUES (77949, 1678, 21, 'بطاقة ديسكفري اﻹئتمانية');
INSERT INTO `lang_definitions` VALUES (77950, 1681, 21, 'خروج');
INSERT INTO `lang_definitions` VALUES (77951, 1682, 21, 'مفرزات الإحليل');
INSERT INTO `lang_definitions` VALUES (77952, 1684, 21, 'حق الخروج');
INSERT INTO `lang_definitions` VALUES (77953, 1685, 21, 'حق الخروج');
INSERT INTO `lang_definitions` VALUES (77954, 1688, 21, 'تخريج المريض');
INSERT INTO `lang_definitions` VALUES (77955, 1689, 21, 'إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (77956, 1690, 21, 'نوع إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (77957, 1691, 21, 'أنواع إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (77958, 1692, 21, 'الإفصاحات');
INSERT INTO `lang_definitions` VALUES (77959, 1694, 21, 'الحسم');
INSERT INTO `lang_definitions` VALUES (77960, 1695, 21, 'مقدار الحسم');
INSERT INTO `lang_definitions` VALUES (77961, 1696, 21, 'مستوى الحسم');
INSERT INTO `lang_definitions` VALUES (77962, 1697, 21, 'نسبة الحسم');
INSERT INTO `lang_definitions` VALUES (77963, 1698, 21, 'نسبة الحسم النقدي');
INSERT INTO `lang_definitions` VALUES (77964, 1699, 21, 'الحسم النقدي عند الخروج مقابل النسبة المئوية');
INSERT INTO `lang_definitions` VALUES (77965, 1700, 21, 'نتيجة سرية');
INSERT INTO `lang_definitions` VALUES (77966, 1701, 21, 'المرض');
INSERT INTO `lang_definitions` VALUES (77967, 1702, 21, 'الخلع');
INSERT INTO `lang_definitions` VALUES (77968, 1703, 21, 'اصرف #');
INSERT INTO `lang_definitions` VALUES (77969, 1704, 21, 'وزع الوثيقة المتلقية');
INSERT INTO `lang_definitions` VALUES (77970, 1705, 21, 'إرسال المستند المستلم');
INSERT INTO `lang_definitions` VALUES (77971, 1706, 21, 'المصروف');
INSERT INTO `lang_definitions` VALUES (77972, 1707, 21, 'إعرض المجلدت المتقدمة فى صفحة الديمجرافيا');
INSERT INTO `lang_definitions` VALUES (77973, 1709, 21, 'عرض احداث البيانات');
INSERT INTO `lang_definitions` VALUES (77974, 1710, 21, 'عرض تنسيق الاوازن');
INSERT INTO `lang_definitions` VALUES (77975, 1711, 21, 'عرض كم عدد الحدث');
INSERT INTO `lang_definitions` VALUES (77976, 1713, 21, 'عرض المنطقة');
INSERT INTO `lang_definitions` VALUES (77977, 1714, 21, 'عرض الاسم');
INSERT INTO `lang_definitions` VALUES (77978, 1715, 21, 'عرض التاريخ');
INSERT INTO `lang_definitions` VALUES (77979, 1718, 21, 'عرض احداث اليوم');
INSERT INTO `lang_definitions` VALUES (77980, 1719, 21, 'عرض العناوين');
INSERT INTO `lang_definitions` VALUES (77981, 1720, 21, 'عرض الاحداث القادمة');
INSERT INTO `lang_definitions` VALUES (77982, 1721, 21, 'الأعمدة المعروضة');
INSERT INTO `lang_definitions` VALUES (77983, 1722, 21, 'يتم عرض العدد التالي من إفشائات السرية اﻷحدث');
INSERT INTO `lang_definitions` VALUES (77984, 1723, 21, 'يتم عرض العدد التالي من الملاحظات اﻷحدث');
INSERT INTO `lang_definitions` VALUES (77985, 1724, 21, 'يتم عرض العدد التالي من الملاحظات اﻷحدث');
INSERT INTO `lang_definitions` VALUES (77986, 1725, 21, 'التوزع');
INSERT INTO `lang_definitions` VALUES (77987, 1726, 21, 'التوزيعات');
INSERT INTO `lang_definitions` VALUES (77988, 1727, 21, 'موزع');
INSERT INTO `lang_definitions` VALUES (77989, 1729, 21, 'التهاب الرتوج');
INSERT INTO `lang_definitions` VALUES (77990, 1730, 21, 'جراحة الرتوج');
INSERT INTO `lang_definitions` VALUES (77991, 1731, 21, 'التهاب الرتوج');
INSERT INTO `lang_definitions` VALUES (77992, 1732, 21, 'جراحة الرتوج');
INSERT INTO `lang_definitions` VALUES (77993, 1733, 21, 'مطلق');
INSERT INTO `lang_definitions` VALUES (77994, 1734, 21, 'الدوخة:');
INSERT INTO `lang_definitions` VALUES (77995, 1735, 21, 'لا تغير');
INSERT INTO `lang_definitions` VALUES (77996, 1737, 21, 'لاتعرض الحساسية المرفعة ال NewCrop');
INSERT INTO `lang_definitions` VALUES (77997, 1739, 21, 'لاتعرض الأدوية المرفعة ال NewCrop');
INSERT INTO `lang_definitions` VALUES (77998, 1742, 21, 'لاتعرض التاريخ');
INSERT INTO `lang_definitions` VALUES (77999, 1744, 21, 'لا جرد وبيع أي منتجات');
INSERT INTO `lang_definitions` VALUES (78000, 1745, 21, 'لا تستلزم مﻻحظات المريض للإعتماد');
INSERT INTO `lang_definitions` VALUES (78001, 1746, 21, 'توصية آمرة: لاتقم بالإنعاش');
INSERT INTO `lang_definitions` VALUES (78002, 1747, 21, 'لا تحفظ');
INSERT INTO `lang_definitions` VALUES (78003, 1748, 21, 'لا تستبدل الأدوية - اصرف الدواء حسب ما هو مكتوب حرفيا');
INSERT INTO `lang_definitions` VALUES (78004, 1749, 21, 'لا تفعل أي شيئ');
INSERT INTO `lang_definitions` VALUES (78005, 1751, 21, 'هل تريد الحذف؟');
INSERT INTO `lang_definitions` VALUES (78006, 1752, 21, 'هل تريد الحذف؟');
INSERT INTO `lang_definitions` VALUES (78007, 1753, 21, 'هل تريد حذف هذه المجموعة؟');
INSERT INTO `lang_definitions` VALUES (78008, 1755, 21, 'هل تريد أن تستمر؟');
INSERT INTO `lang_definitions` VALUES (78009, 1756, 21, 'هل تريد أن تحذف هذا؟');
INSERT INTO `lang_definitions` VALUES (78010, 1757, 21, 'هل تريد أن تحذف؟');
INSERT INTO `lang_definitions` VALUES (78011, 1758, 21, 'هل تريد أن تزيل هذا السجل؟');
INSERT INTO `lang_definitions` VALUES (78012, 1759, 21, 'هل تريد الاستمرار في إضافة هذا المريض الجديد؟');
INSERT INTO `lang_definitions` VALUES (78013, 1760, 21, 'هل تريد الاستمرار في الاسم الجديد؟');
INSERT INTO `lang_definitions` VALUES (78014, 1761, 21, 'هل تريد الحذف النهائي لهذا السجل الخاص باللقاحات؟');
INSERT INTO `lang_definitions` VALUES (78015, 1762, 21, 'تاريخ الولادة');
INSERT INTO `lang_definitions` VALUES (78016, 1763, 21, 'تاريخ الولادة مفقود، الرجاء إدخاله');
INSERT INTO `lang_definitions` VALUES (78017, 1764, 21, 'المستندات');
INSERT INTO `lang_definitions` VALUES (78018, 1765, 21, 'الطبيب');
INSERT INTO `lang_definitions` VALUES (78019, 1766, 21, 'الطبيب الدكتور');
INSERT INTO `lang_definitions` VALUES (78020, 1767, 21, 'اسم وتوقيع الطبيب');
INSERT INTO `lang_definitions` VALUES (78021, 1768, 21, 'المستند');
INSERT INTO `lang_definitions` VALUES (78022, 1769, 21, 'المستند');
INSERT INTO `lang_definitions` VALUES (78023, 1770, 21, 'مجموعات المستندات');
INSERT INTO `lang_definitions` VALUES (78024, 1775, 21, 'لم يتم نقل المستند إلى ملف المريض');
INSERT INTO `lang_definitions` VALUES (78025, 1777, 21, 'تاريخ المستند');
INSERT INTO `lang_definitions` VALUES (78026, 1778, 21, 'تم تحديث التاريخ و المشكلة');
INSERT INTO `lang_definitions` VALUES (78027, 1779, 21, 'رقم المستند');
INSERT INTO `lang_definitions` VALUES (78028, 1780, 21, 'تم نقل المستند إلى مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (78029, 1781, 21, 'تم نقل المستند إلى ملف المريض');
INSERT INTO `lang_definitions` VALUES (78030, 1783, 21, 'المستند سليم');
INSERT INTO `lang_definitions` VALUES (78031, 1784, 21, 'طرق تخزين الوثائق');
INSERT INTO `lang_definitions` VALUES (78032, 1785, 21, 'إعادة التسمية ناجحة');
INSERT INTO `lang_definitions` VALUES (78033, 1790, 21, 'مستودع المستندات/الصور');
INSERT INTO `lang_definitions` VALUES (78034, 1791, 21, 'المستدات (كتابة) اختيارية');
INSERT INTO `lang_definitions` VALUES (78035, 1792, 21, 'وثائق (كتابة , )');
INSERT INTO `lang_definitions` VALUES (78036, 1794, 21, 'ضيق النفس الجهدي');
INSERT INTO `lang_definitions` VALUES (78037, 1796, 21, 'لا يطابق رقم الزيارة PV1');
INSERT INTO `lang_definitions` VALUES (78038, 1797, 21, 'لا تبدو صالحة');
INSERT INTO `lang_definitions` VALUES (78039, 1798, 21, 'هل هذا النوع يسمح بالرموز المقاربة؟');
INSERT INTO `lang_definitions` VALUES (78040, 1799, 21, 'شريك في العيش');
INSERT INTO `lang_definitions` VALUES (78041, 1800, 21, 'لا تحفظ');
INSERT INTO `lang_definitions` VALUES (78042, 1801, 21, 'لا تحفظ');
INSERT INTO `lang_definitions` VALUES (78043, 1802, 21, 'لا تحفظ التغييرات');
INSERT INTO `lang_definitions` VALUES (78044, 1803, 21, 'تم');
INSERT INTO `lang_definitions` VALUES (78045, 1804, 21, 'تم بواسطة');
INSERT INTO `lang_definitions` VALUES (78046, 1805, 21, 'تم، سيتم الإرسال');
INSERT INTO `lang_definitions` VALUES (78047, 1806, 21, 'تاريخ بداية الخدمة');
INSERT INTO `lang_definitions` VALUES (78048, 1807, 21, 'الجرعات');
INSERT INTO `lang_definitions` VALUES (78049, 1809, 21, 'انقر لمرتين لبدء التحرير');
INSERT INTO `lang_definitions` VALUES (78050, 1810, 21, 'رؤية مزدوجة');
INSERT INTO `lang_definitions` VALUES (78051, 1811, 21, 'تنزيل');
INSERT INTO `lang_definitions` VALUES (78052, 1814, 21, 'قم بالتنزيل');
INSERT INTO `lang_definitions` VALUES (78053, 1815, 21, 'يت تنزيل ملف الفوترة, ضع فى الحسابات و علّم كمفوتر');
INSERT INTO `lang_definitions` VALUES (78054, 1817, 21, 'تنزيل الترخيص');
INSERT INTO `lang_definitions` VALUES (78055, 1818, 21, 'تنزيل بيانات التكوين');
INSERT INTO `lang_definitions` VALUES (78056, 1820, 21, 'تنزيل ملف مشفر');
INSERT INTO `lang_definitions` VALUES (78057, 1825, 21, 'تنزيل ملف');
INSERT INTO `lang_definitions` VALUES (78058, 1827, 21, 'تنزيل المختارات');
INSERT INTO `lang_definitions` VALUES (78059, 1828, 21, 'شوهد من قبل الطبيب');
INSERT INTO `lang_definitions` VALUES (78060, 1829, 21, 'زيارة الطبيب');
INSERT INTO `lang_definitions` VALUES (78061, 1830, 21, 'الطبيب');
INSERT INTO `lang_definitions` VALUES (78062, 1831, 21, 'اسحب للتحريك');
INSERT INTO `lang_definitions` VALUES (78063, 1832, 21, 'تنقيط البول');
INSERT INTO `lang_definitions` VALUES (78064, 1833, 21, 'إجازة قيادة السيارة/الهوية الوطنية');
INSERT INTO `lang_definitions` VALUES (78065, 1834, 21, 'الدواء');
INSERT INTO `lang_definitions` VALUES (78066, 1835, 21, 'إيجاد الدواء');
INSERT INTO `lang_definitions` VALUES (78067, 1836, 21, 'الأشكال الصيدلانية للدواء');
INSERT INTO `lang_definitions` VALUES (78068, 1837, 21, 'رقم الدواء مفقود');
INSERT INTO `lang_definitions` VALUES (78069, 1838, 21, 'تواتر الدواء');
INSERT INTO `lang_definitions` VALUES (78070, 1839, 21, 'مستودع الأدوية');
INSERT INTO `lang_definitions` VALUES (78071, 1840, 21, 'اسم الدواء');
INSERT INTO `lang_definitions` VALUES (78072, 1841, 21, 'طريقة أخذ الدواء');
INSERT INTO `lang_definitions` VALUES (78073, 1845, 21, 'عيار الدوء');
INSERT INTO `lang_definitions` VALUES (78074, 1846, 21, 'الأدوية');
INSERT INTO `lang_definitions` VALUES (78075, 1847, 21, 'الأدوية والمنتجات الطبية');
INSERT INTO `lang_definitions` VALUES (78076, 1848, 21, 'الفم الجاف');
INSERT INTO `lang_definitions` VALUES (78077, 1849, 21, 'التشخيص حسب \" الدليل التشخيصي و الإحصائي-النسخة الرابعة\"');
INSERT INTO `lang_definitions` VALUES (78078, 1850, 21, 'الجرعة الأولى للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (78079, 1851, 21, 'الجرعة الثانية للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (78080, 1852, 21, 'الجرعة الثالثة للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (78081, 1853, 21, 'الجرعة الرابعة للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (78082, 1854, 21, 'الجرعة الخامسة للقاح الديفتريا و الكزاز');
INSERT INTO `lang_definitions` VALUES (78083, 1855, 21, 'الجرعة الأولى للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (78084, 1856, 21, 'الجرعة الثانية للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (78085, 1857, 21, 'الجرعة الثالثة للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (78086, 1858, 21, 'الجرعة الرابعة للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (78087, 1859, 21, 'الجرعة الخامسة للقاح الديفتريا و الكزاز و السعال الديكي');
INSERT INTO `lang_definitions` VALUES (78088, 1860, 21, 'المستحق');
INSERT INTO `lang_definitions` VALUES (78089, 1861, 21, 'التاريخ المستحق');
INSERT INTO `lang_definitions` VALUES (78090, 1862, 21, 'التاريخ المستحق ش ش/ي ي/س س س س أو س س س س-ش ش-- ي ي');
INSERT INTO `lang_definitions` VALUES (78091, 1863, 21, 'التاريخ المستحق:');
INSERT INTO `lang_definitions` VALUES (78092, 1864, 21, 'مدخولات مستحقة');
INSERT INTO `lang_definitions` VALUES (78093, 1865, 21, 'مريض مستحق');
INSERT INTO `lang_definitions` VALUES (78094, 1866, 21, 'يستحق قريباَ');
INSERT INTO `lang_definitions` VALUES (78095, 1867, 21, 'حالة الإستحقاق');
INSERT INTO `lang_definitions` VALUES (78096, 1868, 21, 'تحديث حالة الإستحقاق');
INSERT INTO `lang_definitions` VALUES (78097, 1869, 21, 'تفريغ قاعدة بيانات البرنامج');
INSERT INTO `lang_definitions` VALUES (78098, 1870, 21, 'تفريغ شجرة مجلد الأنترنت للبرنامج');
INSERT INTO `lang_definitions` VALUES (78099, 1871, 21, 'تفريغ قاعدة بيانات phpGACL');
INSERT INTO `lang_definitions` VALUES (78100, 1872, 21, 'تفريغ شجرة مجلد الأنترنت لphpGACL');
INSERT INTO `lang_definitions` VALUES (78101, 1873, 21, 'تفريغ قاعدة بيانات SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (78102, 1874, 21, 'تفريغ شجرة مجلد الأنترنت لSQL-Ledger');
INSERT INTO `lang_definitions` VALUES (78103, 1875, 21, 'التأكّد من التفريغ');
INSERT INTO `lang_definitions` VALUES (78104, 1876, 21, 'الهوية مكررة في هذا السطر');
INSERT INTO `lang_definitions` VALUES (78105, 1877, 21, 'الإسم مكرر في هذا السطر');
INSERT INTO `lang_definitions` VALUES (78106, 1878, 21, 'تحذير التكرار');
INSERT INTO `lang_definitions` VALUES (78107, 1879, 21, 'السلطة الممتدة للمحامي');
INSERT INTO `lang_definitions` VALUES (78108, 1880, 21, 'المدة');
INSERT INTO `lang_definitions` VALUES (78109, 1881, 21, 'المدة');
INSERT INTO `lang_definitions` VALUES (78110, 1882, 21, 'هولندي');
INSERT INTO `lang_definitions` VALUES (78111, 1883, 21, 'مندوب مبيعات اﻷدوية');
INSERT INTO `lang_definitions` VALUES (78112, 1884, 21, 'صعوبة البلع');
INSERT INTO `lang_definitions` VALUES (78113, 1885, 21, 'ضيق النفس');
INSERT INTO `lang_definitions` VALUES (78114, 1886, 21, 'عسرة التبول');
INSERT INTO `lang_definitions` VALUES (78115, 1888, 21, 'صرف الوصفة الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78116, 1889, 21, 'التقارير الإلكترونية');
INSERT INTO `lang_definitions` VALUES (78117, 1890, 21, 'صرف الوصفة الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78118, 1892, 21, 'تجديد صرف الوصفة الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78119, 1893, 21, 'كل مستفيد يجب ان يعّلم رسالته الخاصة به كمكتمله');
INSERT INTO `lang_definitions` VALUES (78120, 1894, 21, 'النكس الباكر (في أقل من شهرين');
INSERT INTO `lang_definitions` VALUES (78121, 1895, 21, 'الأذن');
INSERT INTO `lang_definitions` VALUES (78122, 1896, 21, 'تخطيط كهربائية القلب');
INSERT INTO `lang_definitions` VALUES (78123, 1897, 21, 'المطالبات الإلكترونية');
INSERT INTO `lang_definitions` VALUES (78124, 1898, 21, 'الوذمة');
INSERT INTO `lang_definitions` VALUES (78125, 1899, 21, 'تاريخ تبادل المعلومات الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78126, 1900, 21, 'تاريخ تبادل المعلومات الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78127, 1901, 21, 'تاريخ تبادل المعلومات الإلكتروني (لقاء رسوم) لتخزين و تفسير ملفات التأمين');
INSERT INTO `lang_definitions` VALUES (78128, 1902, 21, 'تحميل ملف EDI-271');
INSERT INTO `lang_definitions` VALUES (78129, 1903, 21, 'تحميل ملف تفاعل EDI-271');
INSERT INTO `lang_definitions` VALUES (78130, 1904, 21, 'التحرير');
INSERT INTO `lang_definitions` VALUES (78131, 1905, 21, 'التحرير');
INSERT INTO `lang_definitions` VALUES (78132, 1906, 21, 'تحرير الحساسية');
INSERT INTO `lang_definitions` VALUES (78133, 1907, 21, 'تحرير المجموعات');
INSERT INTO `lang_definitions` VALUES (78134, 1908, 21, 'تحرير التعاريف');
INSERT INTO `lang_definitions` VALUES (78135, 1909, 21, 'تحرير التعاريف');
INSERT INTO `lang_definitions` VALUES (78136, 1910, 21, 'تحرير التشخيص ل');
INSERT INTO `lang_definitions` VALUES (78137, 1911, 21, 'تحرير إفشاء المعلومات');
INSERT INTO `lang_definitions` VALUES (78138, 1912, 21, 'تحرير المراكز الطبية');
INSERT INTO `lang_definitions` VALUES (78139, 1913, 21, 'تحرير المركز الطبي');
INSERT INTO `lang_definitions` VALUES (78140, 1914, 21, 'تحرير معلومات المركز الطبي');
INSERT INTO `lang_definitions` VALUES (78141, 1915, 21, 'تحرير معلومات المستخدم الخاص فى المنشأة');
INSERT INTO `lang_definitions` VALUES (78142, 1916, 21, 'تحرير الملف في');
INSERT INTO `lang_definitions` VALUES (78143, 1917, 21, 'تحرير الاستمارة');
INSERT INTO `lang_definitions` VALUES (78144, 1918, 21, 'تحرير الإعدادات الأساسية');
INSERT INTO `lang_definitions` VALUES (78145, 1919, 21, ' تحرير المحتوى غير مسموح  ');
INSERT INTO `lang_definitions` VALUES (78146, 1920, 21, 'تحرير طريقة العرض');
INSERT INTO `lang_definitions` VALUES (78147, 1921, 21, 'تحرير القائمة');
INSERT INTO `lang_definitions` VALUES (78148, 1922, 21, 'تحرير عملية الدفع');
INSERT INTO `lang_definitions` VALUES (78149, 1923, 21, 'تحرير التركيب');
INSERT INTO `lang_definitions` VALUES (78150, 1924, 21, 'تحرير مستخدم');
INSERT INTO `lang_definitions` VALUES (78151, 1925, 21, 'تحرير إعدادات المستخدم');
INSERT INTO `lang_definitions` VALUES (78152, 1928, 21, 'التعليم/ التوعية');
INSERT INTO `lang_definitions` VALUES (78153, 1929, 21, 'تاريخ التعليم');
INSERT INTO `lang_definitions` VALUES (78154, 1931, 21, 'ee the * GNU General Public License for more details. * * You should have received a copy of the GNU General Public License * along with this program; if not, write to the Free ');
INSERT INTO `lang_definitions` VALUES (78155, 1932, 21, 'التاريخ المؤكد');
INSERT INTO `lang_definitions` VALUES (78156, 1934, 21, 'الفعالية');
INSERT INTO `lang_definitions` VALUES (78157, 1935, 21, 'رقم هوية الموظف');
INSERT INTO `lang_definitions` VALUES (78158, 1936, 21, 'الدفقات');
INSERT INTO `lang_definitions` VALUES (78159, 1937, 21, 'المرفق');
INSERT INTO `lang_definitions` VALUES (78160, 1938, 21, 'مشاكل المرفق');
INSERT INTO `lang_definitions` VALUES (78161, 1939, 21, 'إلكتروني');
INSERT INTO `lang_definitions` VALUES (78162, 1942, 21, 'إحالة إلكترونية');
INSERT INTO `lang_definitions` VALUES (78163, 1943, 21, 'تقرير إلكتروني');
INSERT INTO `lang_definitions` VALUES (78164, 1944, 21, 'أهليّة');
INSERT INTO `lang_definitions` VALUES (78165, 1945, 21, '270 Inquiry Batch أهليّة');
INSERT INTO `lang_definitions` VALUES (78166, 1946, 21, 'رّد الأهليّة');
INSERT INTO `lang_definitions` VALUES (78167, 1947, 21, 'حالة الأهلية للحصول على لقاح الأطفال المتوفر');
INSERT INTO `lang_definitions` VALUES (78168, 1948, 21, 'مسموح له');
INSERT INTO `lang_definitions` VALUES (78169, 1949, 21, 'البريد الإلكتروني / إيميل');
INSERT INTO `lang_definitions` VALUES (78170, 1951, 21, 'البريد الإلكتروني / إيميل');
INSERT INTO `lang_definitions` VALUES (78171, 1953, 21, 'إيميل المرسل لتذكيرات المرضي و الذي سيتلقى الردود أيضا. من المهم ان يكون الإيميل نابعا من موقع المنشأة لتفدي ذهاب التذكيرات لملف المهملات فى ايميل المتلقي');
INSERT INTO `lang_definitions` VALUES (78172, 1954, 21, 'البريد الإلكتروني / إيميل لإستلام تنبيهات الإدارة');
INSERT INTO `lang_definitions` VALUES (78173, 1955, 21, 'البريد الإلكتروني / إيميل لإستلام رسائل تفعيل ولوج المستخدمين الطارئة');
INSERT INTO `lang_definitions` VALUES (78174, 1956, 21, 'سلطة الإيميل');
INSERT INTO `lang_definitions` VALUES (78175, 1957, 21, 'إيميل Batchcom');
INSERT INTO `lang_definitions` VALUES (78176, 1958, 21, 'اخطار بالبريد الالكتروني');
INSERT INTO `lang_definitions` VALUES (78177, 1959, 21, 'البريد الإلكتروني الإخطار ساعات');
INSERT INTO `lang_definitions` VALUES (78178, 1960, 21, 'تقرير بااخطار البريد الالكتروني');
INSERT INTO `lang_definitions` VALUES (78179, 1961, 21, 'البريد الإلكتروني المرسلة من قبل');
INSERT INTO `lang_definitions` VALUES (78180, 1962, 21, 'مُرسل البريد');
INSERT INTO `lang_definitions` VALUES (78181, 1963, 21, 'تم الإرسال');
INSERT INTO `lang_definitions` VALUES (78182, 1964, 21, 'تم إرسال البريد الى');
INSERT INTO `lang_definitions` VALUES (78183, 1965, 21, 'عنوان البريد');
INSERT INTO `lang_definitions` VALUES (78184, 1966, 21, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (78185, 1967, 21, 'Email Text, Usable Tag: ***NAME*** , i.e. Dear ***NAME***{{Do Not translate the ***NAME*** elements of this constant.}}');
INSERT INTO `lang_definitions` VALUES (78186, 1968, 21, 'طريقة نقل الإيميل');
INSERT INTO `lang_definitions` VALUES (78187, 1969, 21, 'تم إرسال البريد إلى العنوان التالي');
INSERT INTO `lang_definitions` VALUES (78188, 1971, 21, 'الشخص القريب عند الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (78189, 1972, 21, 'اسم الشخص في الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (78190, 1973, 21, 'رقم الهاتف في الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (78191, 1974, 21, 'منع الحمل السريع');
INSERT INTO `lang_definitions` VALUES (78192, 1975, 21, 'الدخول الطارئ في النظام');
INSERT INTO `lang_definitions` VALUES (78193, 1976, 21, 'Emergency Login ACL is chosen. The user is still in active state, please de-activate the user and activate the same when required during emergency situations. Visit Administration->Users for activation or de-activation.');
INSERT INTO `lang_definitions` VALUES (78194, 1977, 21, 'Emergency Login activation email will be circulated only if following settings in the interface/globals.php file are configured:');
INSERT INTO `lang_definitions` VALUES (78195, 1978, 21, 'البريد في الحالات الطارئة');
INSERT INTO `lang_definitions` VALUES (78196, 1979, 21, 'الدخول الطارئ كامل الصلاحية');
INSERT INTO `lang_definitions` VALUES (78197, 1980, 21, 'الهاتف في حالة طارئة');
INSERT INTO `lang_definitions` VALUES (78198, 1981, 21, 'عاطفي/حالات و مضاعفات سلوكية');
INSERT INTO `lang_definitions` VALUES (78199, 1982, 21, 'النفاخ الرئوي');
INSERT INTO `lang_definitions` VALUES (78200, 1983, 21, 'الموظف');
INSERT INTO `lang_definitions` VALUES (78201, 1984, 21, 'رب العمل');
INSERT INTO `lang_definitions` VALUES (78202, 1985, 21, 'عنوان العمل');
INSERT INTO `lang_definitions` VALUES (78203, 1986, 21, 'معلومات العمل');
INSERT INTO `lang_definitions` VALUES (78204, 1987, 21, 'اسم صاحب العمل');
INSERT INTO `lang_definitions` VALUES (78205, 1988, 21, 'فارغ');
INSERT INTO `lang_definitions` VALUES (78206, 1989, 21, 'فارغ');
INSERT INTO `lang_definitions` VALUES (78207, 1990, 21, 'حقل الرقم السري لايمكن ان يكون فارغ');
INSERT INTO `lang_definitions` VALUES (78208, 1991, 21, '\"فارغة\" ساعات البريد');
INSERT INTO `lang_definitions` VALUES (78209, 1992, 21, '\"فارغة\" المرسل');
INSERT INTO `lang_definitions` VALUES (78210, 1993, 21, '\"فارغة \" الموضوع');
INSERT INTO `lang_definitions` VALUES (78211, 1994, 21, '\"فارغة\" النص');
INSERT INTO `lang_definitions` VALUES (78212, 1995, 21, '\"فارغة\" اسم المؤسسة');
INSERT INTO `lang_definitions` VALUES (78213, 1996, 21, '\"فارغة\" الرقم السري');
INSERT INTO `lang_definitions` VALUES (78214, 1997, 21, 'قيمة فارغة في \"ساعات SMS\"');
INSERT INTO `lang_definitions` VALUES (78215, 1998, 21, 'قيمة فارغة في \"نص SMS\"');
INSERT INTO `lang_definitions` VALUES (78216, 1999, 21, 'قيمة فارغة في \"اسم المستخدم\"');
INSERT INTO `lang_definitions` VALUES (78217, 2006, 21, 'فعّل تحفيز AMC');
INSERT INTO `lang_definitions` VALUES (78218, 2008, 21, 'فعّل تقرير AMC');
INSERT INTO `lang_definitions` VALUES (78219, 2009, 21, 'فعّل تتبع AMC');
INSERT INTO `lang_definitions` VALUES (78220, 2011, 21, 'فعّل تدقيق ATNA');
INSERT INTO `lang_definitions` VALUES (78221, 2013, 21, 'فعّل ولوج التدقيق');
INSERT INTO `lang_definitions` VALUES (78222, 2014, 21, 'فعّل تتبع التدقيق و صلاحية العقدة (ATNA)');
INSERT INTO `lang_definitions` VALUES (78223, 2015, 21, 'فعّل تقرير قياس الحسابات الألي (AMC)');
INSERT INTO `lang_definitions` VALUES (78224, 2016, 21, 'فعّل عميل SLL');
INSERT INTO `lang_definitions` VALUES (78225, 2017, 21, 'فعّل توثيق شهادة عميل SLL');
INSERT INTO `lang_definitions` VALUES (78226, 2019, 21, 'فعّل قواعد القرارات الإكلينكية');
INSERT INTO `lang_definitions` VALUES (78227, 2022, 21, 'فعّل تقرير مقياس النوعية الإكلينكية');
INSERT INTO `lang_definitions` VALUES (78228, 2023, 21, 'فعّل نافذة منبثقة للتذكير الإكلينكي');
INSERT INTO `lang_definitions` VALUES (78229, 2024, 21, 'فعّل اداة للتذكير الإكلينكي');
INSERT INTO `lang_definitions` VALUES (78230, 2027, 21, 'فعّل تقرير CQM');
INSERT INTO `lang_definitions` VALUES (78231, 2028, 21, 'فعّل تاريخ EDI في القائمة اليسري');
INSERT INTO `lang_definitions` VALUES (78232, 2030, 21, 'فعّل المصاريف في القائمة اليسري');
INSERT INTO `lang_definitions` VALUES (78233, 2031, 21, 'فعّل دعم Hylafax');
INSERT INTO `lang_definitions` VALUES (78234, 2033, 21, 'فعّل حالة الإستيراد NewCrop erx');
INSERT INTO `lang_definitions` VALUES (78235, 2037, 21, 'فعّل تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (78236, 2039, 21, 'فعّل السجل لترفيع او تنزيل الوثائق الي');
INSERT INTO `lang_definitions` VALUES (78237, 2040, 21, 'فعّل الولوج لكل استفهامات SQL SELECT');
INSERT INTO `lang_definitions` VALUES (78238, 2041, 21, 'فعّل الولوج للنشاطات المتعلقة بالنسخ الإحتياطي');
INSERT INTO `lang_definitions` VALUES (78239, 2042, 21, 'فعّل الولوج لكل استفهامات CDR Engine');
INSERT INTO `lang_definitions` VALUES (78240, 2043, 21, 'فعّل الولوج للنشاطات المتفرقة');
INSERT INTO `lang_definitions` VALUES (78241, 2044, 21, 'فعّل الولوج لنشاطات الطلب');
INSERT INTO `lang_definitions` VALUES (78242, 2045, 21, 'فعّل الولوج لتعديلات سجل المريض');
INSERT INTO `lang_definitions` VALUES (78243, 2046, 21, 'فعّل الولوج لنشاطات جدولة المواعيد');
INSERT INTO `lang_definitions` VALUES (78244, 2047, 21, 'فعّل الولوج لنشاطات الحماية و الإدارة');
INSERT INTO `lang_definitions` VALUES (78245, 2049, 21, 'فعّل خدمة NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (78246, 2051, 21, 'فعّل بوابة المريض خارج الموقع');
INSERT INTO `lang_definitions` VALUES (78247, 2052, 21, 'فعّل بوابة المريض خارج الموقع');
INSERT INTO `lang_definitions` VALUES (78248, 2053, 21, 'فعّل بوابة المريض داخل الموقع');
INSERT INTO `lang_definitions` VALUES (78249, 2055, 21, 'فعّل بوابة المريض داخل الموقع');
INSERT INTO `lang_definitions` VALUES (78250, 2056, 21, 'فعّل اداة تذكير المريض');
INSERT INTO `lang_definitions` VALUES (78251, 2057, 21, 'فعّل خدمة phiMail للإرسال المباشر');
INSERT INTO `lang_definitions` VALUES (78252, 2058, 21, 'فعّل تحفيز البيانات المطلوبة لقياس الحسابات الألي (AMC)');
INSERT INTO `lang_definitions` VALUES (78253, 2060, 21, 'فعّل التقرير لتتبع اليوم لقياس الحسابات الألي (AMC)');
INSERT INTO `lang_definitions` VALUES (78254, 2061, 21, 'فعّل دعم الماسح الضوئي');
INSERT INTO `lang_definitions` VALUES (78255, 2064, 21, 'فعّل دمج المعلومات الطبية, خدمة تبادل المعمل LLC');
INSERT INTO `lang_definitions` VALUES (78256, 2065, 21, 'فعّل دعم البرنامج لخدمة تبادل المعمل LLC');
INSERT INTO `lang_definitions` VALUES (78257, 2066, 21, 'فعّل تفقد صلاحية شهادة المستخدم');
INSERT INTO `lang_definitions` VALUES (78258, 2067, 21, 'فعّل ZMG, LLC eRx service');
INSERT INTO `lang_definitions` VALUES (78259, 2068, 21, 'مُفعّل');
INSERT INTO `lang_definitions` VALUES (78260, 2070, 21, 'يفعّل لوحة التكاليف القديمة لإدخال رموز الفوترة و الدفعات. لا ينصح به, استخدم شريحة الاجور بدلا');
INSERT INTO `lang_definitions` VALUES (78261, 2071, 21, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (78262, 2072, 21, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (78263, 2073, 21, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (78264, 2074, 21, 'الزيارة');
INSERT INTO `lang_definitions` VALUES (78265, 2075, 21, 'الزيارة ');
INSERT INTO `lang_definitions` VALUES (78266, 2076, 21, 'الزيارة الحرجة لمريض داخلي او قسم الطوارئ');
INSERT INTO `lang_definitions` VALUES (78267, 2081, 21, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (78268, 2084, 21, 'سجل تبادل المعلومات الإلكتروني للزيارة');
INSERT INTO `lang_definitions` VALUES (78269, 2086, 21, 'استمارات الزيارة');
INSERT INTO `lang_definitions` VALUES (78270, 2087, 21, 'التقييم الصحي و السلوكي للزبارة');
INSERT INTO `lang_definitions` VALUES (78271, 2088, 21, 'التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (78272, 2089, 21, 'رقم معرف الزيارة');
INSERT INTO `lang_definitions` VALUES (78273, 2090, 21, 'زيارة انفلونزا');
INSERT INTO `lang_definitions` VALUES (78274, 2091, 21, 'رقم الزيارة');
INSERT INTO `lang_definitions` VALUES (78275, 2093, 21, 'الخروج من زيارة التمريض');
INSERT INTO `lang_definitions` VALUES (78276, 2094, 21, 'زيارة منشأة التمريض');
INSERT INTO `lang_definitions` VALUES (78277, 2095, 21, 'زيارة العلاج الوظيفي');
INSERT INTO `lang_definitions` VALUES (78278, 2096, 21, 'زيارة العيادة');
INSERT INTO `lang_definitions` VALUES (78279, 2097, 21, 'زيارة العيادات الخارجية');
INSERT INTO `lang_definitions` VALUES (78280, 2098, 21, 'زيارة العيادات الخارجية لطب اﻷسرة او النساء و الولادة');
INSERT INTO `lang_definitions` VALUES (78281, 2099, 21, 'حجم صفحة الزيارة');
INSERT INTO `lang_definitions` VALUES (78282, 2100, 21, 'المستحقات المالية للزيارة');
INSERT INTO `lang_definitions` VALUES (78283, 2101, 21, 'زيارة حمل');
INSERT INTO `lang_definitions` VALUES (78284, 2102, 21, 'زيارة الطب الوقائي - استشاره فرديه');
INSERT INTO `lang_definitions` VALUES (78285, 2103, 21, 'زيارة الطب الوقائي - ٤٠ سنه فمافوق');
INSERT INTO `lang_definitions` VALUES (78286, 2104, 21, 'زيارة الطب الوقائي - استشاره جماعيه');
INSERT INTO `lang_definitions` VALUES (78287, 2105, 21, 'زيارة الطب الوقائي - خدمات اخري');
INSERT INTO `lang_definitions` VALUES (78288, 2106, 21, 'زيارة الطب الوقائي - ١٨ سنه فمافوق');
INSERT INTO `lang_definitions` VALUES (78289, 2107, 21, 'زيارة الطب النفسي');
INSERT INTO `lang_definitions` VALUES (78290, 2108, 21, 'إحصائيات الزيارة');
INSERT INTO `lang_definitions` VALUES (78291, 2109, 21, 'ملخص الزيارة');
INSERT INTO `lang_definitions` VALUES (78292, 2110, 21, 'تم حفظ الزيارة');
INSERT INTO `lang_definitions` VALUES (78293, 2111, 21, 'الزيارة:');
INSERT INTO `lang_definitions` VALUES (78294, 2112, 21, 'الزيارة: زيارة لحالة غير حرجة داخلي , خارجي او عيون');
INSERT INTO `lang_definitions` VALUES (78295, 2113, 21, 'الزيارات');
INSERT INTO `lang_definitions` VALUES (78296, 2114, 21, 'الزيارات و الاستمارات');
INSERT INTO `lang_definitions` VALUES (78297, 2115, 21, 'الزيارات و الاستمارات');
INSERT INTO `lang_definitions` VALUES (78298, 2116, 21, 'الزيارة عير مصرح بها');
INSERT INTO `lang_definitions` VALUES (78299, 2117, 21, 'تقرير الزيارة');
INSERT INTO `lang_definitions` VALUES (78300, 2118, 21, 'قسم الزيارة');
INSERT INTO `lang_definitions` VALUES (78301, 2120, 21, 'التشفير');
INSERT INTO `lang_definitions` VALUES (78302, 2121, 21, 'نهاية');
INSERT INTO `lang_definitions` VALUES (78303, 2122, 21, 'تاريخ اﻹنتهاء: (سنة-شهر-يوم) ');
INSERT INTO `lang_definitions` VALUES (78304, 2123, 21, 'تاريخ اﻹنتهاء');
INSERT INTO `lang_definitions` VALUES (78305, 2124, 21, 'تاريخ اﻹنتهاء');
INSERT INTO `lang_definitions` VALUES (78306, 2126, 21, 'تاريخ اﻹنتهاء يجب أن يكون أبعد من تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (78307, 2127, 21, 'تاريخ اﻹنتهاء:');
INSERT INTO `lang_definitions` VALUES (78308, 2131, 21, 'وقت اﻹنتهاء');
INSERT INTO `lang_definitions` VALUES (78309, 2132, 21, 'مستفيد MCP بخطة تأمينيه جماعية فى المراحل اﻷخيرة من الفشل الكلوي');
INSERT INTO `lang_definitions` VALUES (78310, 2133, 21, 'تاريخ انتهاء الخدمة سنة-شهر-يوم');
INSERT INTO `lang_definitions` VALUES (78311, 2134, 21, 'إنهاء موجه الاوامر شهر/يوم/سنة إذا كنت ترغب في إدخال نطاق');
INSERT INTO `lang_definitions` VALUES (78312, 2135, 21, 'أخر ساعة عمل يومي لأحداث الروزنامة');
INSERT INTO `lang_definitions` VALUES (78313, 2136, 21, 'وجود دم غير طبيعي بالتنظير');
INSERT INTO `lang_definitions` VALUES (78314, 2137, 21, 'الغدد الصماء');
INSERT INTO `lang_definitions` VALUES (78315, 2138, 21, 'التنظير');
INSERT INTO `lang_definitions` VALUES (78316, 2141, 21, 'الإنجليزية');
INSERT INTO `lang_definitions` VALUES (78317, 2142, 21, 'الإنجليزية ');
INSERT INTO `lang_definitions` VALUES (78318, 2143, 21, 'الإنجليزية الهند');
INSERT INTO `lang_definitions` VALUES (78319, 2144, 21, 'الإنجليزية');
INSERT INTO `lang_definitions` VALUES (78320, 2145, 21, 'أمر Enscript مستخدم بواسطة Hylafax');
INSERT INTO `lang_definitions` VALUES (78321, 2146, 21, 'تأكد من أن البرنامج يملك صلاحية الكتابة للمجلد');
INSERT INTO `lang_definitions` VALUES (78322, 2147, 21, 'إفرازات في الأذن, الأنف. الحنجرة');
INSERT INTO `lang_definitions` VALUES (78323, 2148, 21, 'ألم في الأذن, الأنف, الحنجرة');
INSERT INTO `lang_definitions` VALUES (78324, 2149, 21, 'ادخل رمز التشخيص لإستبعاد كل الفواتير التي لا تحتويه');
INSERT INTO `lang_definitions` VALUES (78325, 2151, 21, 'أدخل جسد الرسالة هنا');
INSERT INTO `lang_definitions` VALUES (78326, 2152, 21, 'أدخل كلمة سر الجذر لقاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (78327, 2153, 21, 'أدخل إسم المستخدم الجذر لقاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (78328, 2154, 21, 'أدخل التشخيص');
INSERT INTO `lang_definitions` VALUES (78329, 2155, 21, 'أدخل الأدوية');
INSERT INTO `lang_definitions` VALUES (78330, 2156, 21, 'أدخل الزيارة');
INSERT INTO `lang_definitions` VALUES (78331, 2157, 21, 'أدخل رقم الزيارة');
INSERT INTO `lang_definitions` VALUES (78332, 2158, 21, 'أدخل التطعيمات');
INSERT INTO `lang_definitions` VALUES (78333, 2159, 21, 'زر الإدخال');
INSERT INTO `lang_definitions` VALUES (78334, 2161, 21, 'ادخل حالة جديدة');
INSERT INTO `lang_definitions` VALUES (78335, 2162, 21, 'أدخل عنوان المستلم المباشر');
INSERT INTO `lang_definitions` VALUES (78336, 2164, 21, 'أدخل رمز إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (78337, 2165, 21, 'أدخل معايير البحث أعلاه');
INSERT INTO `lang_definitions` VALUES (78338, 2166, 21, 'تم الإدخال بالخطأ');
INSERT INTO `lang_definitions` VALUES (78339, 2167, 21, 'تدوينات');
INSERT INTO `lang_definitions` VALUES (78340, 2168, 21, 'بيئي');
INSERT INTO `lang_definitions` VALUES (78341, 2169, 21, 'إدخال بيانات وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (78342, 2170, 21, 'التحويلات البنكية الإلكترونية - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (78343, 2171, 21, 'التعليمات - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (78344, 2172, 21, 'الإيصال - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (78345, 2173, 21, 'ملاحظة المريض - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (78346, 2174, 21, 'البحث - وثيقة شرح الإستفادة التأمينية');
INSERT INTO `lang_definitions` VALUES (78347, 2176, 21, 'صرع');
INSERT INTO `lang_definitions` VALUES (78348, 2178, 21, 'التقاعد المبكّر');
INSERT INTO `lang_definitions` VALUES (78349, 2179, 21, 'ملفات التقاعد المبكّر');
INSERT INTO `lang_definitions` VALUES (78350, 2180, 21, 'إعلام التقاعد المبكّر');
INSERT INTO `lang_definitions` VALUES (78351, 2181, 21, 'مسح');
INSERT INTO `lang_definitions` VALUES (78352, 2182, 21, 'إنتصابات');
INSERT INTO `lang_definitions` VALUES (78353, 2183, 21, 'خطأ');
INSERT INTO `lang_definitions` VALUES (78354, 2185, 21, 'خطأ في تأكيد إستلام نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (78355, 2187, 21, 'خطأ في إستلام نتائج المختبر من شبكة تبادل المختبر');
INSERT INTO `lang_definitions` VALUES (78356, 2188, 21, 'خطأ في إختيار \"نوع الجنس\"');
INSERT INTO `lang_definitions` VALUES (78357, 2189, 21, 'خطأ في إختيار \"HIPPA\"');
INSERT INTO `lang_definitions` VALUES (78358, 2190, 21, 'خطأ في إختيار \"الإجراء\"');
INSERT INTO `lang_definitions` VALUES (78359, 2191, 21, 'خطأ في اختيار \"بوابة الرسائل النصية القصيرة\"');
INSERT INTO `lang_definitions` VALUES (78360, 2192, 21, 'خطأ في اختيار \"الفرز حسب\"');
INSERT INTO `lang_definitions` VALUES (78361, 2193, 21, 'خطأ في عملية ضغط الملف: ');
INSERT INTO `lang_definitions` VALUES (78362, 2194, 21, 'خطأ في إختيار نعم أو لا');
INSERT INTO `lang_definitions` VALUES (78363, 2195, 21, 'خطأ في فتح الملف المحمل للقراءة');
INSERT INTO `lang_definitions` VALUES (78364, 2196, 21, 'خطأ في معالجة الملف');
INSERT INTO `lang_definitions` VALUES (78365, 2197, 21, 'خطأ في تحميل الملف');
INSERT INTO `lang_definitions` VALUES (78366, 2198, 21, 'خطأ في ازالة الرسالة');
INSERT INTO `lang_definitions` VALUES (78367, 2199, 21, 'خطأ  في استرجاع النتائج من شبكة المختبر');
INSERT INTO `lang_definitions` VALUES (78368, 2200, 21, 'خطأ في استرجاع القيم');
INSERT INTO `lang_definitions` VALUES (78369, 2202, 21, 'خطأ فى إعطاء صلاحيات الملفات للمستخدم');
INSERT INTO `lang_definitions` VALUES (78370, 2205, 21, 'خطأ خلال قت تسجيل النموذج!');
INSERT INTO `lang_definitions` VALUES (78371, 2206, 21, 'خطأ خلال مرحلة حفظ الملف');
INSERT INTO `lang_definitions` VALUES (78372, 2208, 21, 'خطأ خلال مرحلة الكتابة في الملف');
INSERT INTO `lang_definitions` VALUES (78373, 2209, 21, 'خطأ او أخطاء ناتجة من النتائج الجديدة');
INSERT INTO `lang_definitions` VALUES (78374, 2210, 21, 'خطأ, الملف غير موجود');
INSERT INTO `lang_definitions` VALUES (78375, 2211, 21, 'خطأ, غير قادرعلى جمع البيانات من الخادم');
INSERT INTO `lang_definitions` VALUES (78376, 2212, 21, 'خطأ، غير قادر علي إنشاء شهادة للعميل');
INSERT INTO `lang_definitions` VALUES (78377, 2213, 21, 'خطأ، غير قادر علي إنشاء شهادة admin.p12');
INSERT INTO `lang_definitions` VALUES (78378, 2214, 21, 'خطأ، غير قادر علي إنشاء شهادة لشهادة السلطة');
INSERT INTO `lang_definitions` VALUES (78379, 2215, 21, 'خطأ، غير قادر علي إنشاء شهادة للخادم');
INSERT INTO `lang_definitions` VALUES (78380, 2216, 21, 'خطأ, لايمكن فتح الملف');
INSERT INTO `lang_definitions` VALUES (78381, 2217, 21, 'خطأ, التأكد من شهادة المستخدم غير مفعّل فى البرنامج');
INSERT INTO `lang_definitions` VALUES (78382, 2218, 21, 'خطأ, يجب أن تثّبت جزء Archive/Tar.php php');
INSERT INTO `lang_definitions` VALUES (78383, 2219, 21, 'خطأ, لايمكن فتح table.sql, الطلب معطوب؟');
INSERT INTO `lang_definitions` VALUES (78384, 2220, 21, 'خطأ, رقم هوية مكررة');
INSERT INTO `lang_definitions` VALUES (78385, 2221, 21, 'خطأ, أسم مكرر في نفس الخط');
INSERT INTO `lang_definitions` VALUES (78386, 2222, 21, 'خطأ: حقل');
INSERT INTO `lang_definitions` VALUES (78387, 2223, 21, 'خطأ, ملف ZipArchive PHP Module غير موجود');
INSERT INTO `lang_definitions` VALUES (78388, 2224, 21, 'خطأ: مجلد إستيراد ICD غير موجود');
INSERT INTO `lang_definitions` VALUES (78389, 2225, 21, 'خطأ: الإرقام السرية غير مطابقة. فضلاً تأكد من الكتابة');
INSERT INTO `lang_definitions` VALUES (78390, 2226, 21, 'خطأ: الإرقام السرية غير مطابقة. فضلاً تأكد من الكتابة');
INSERT INTO `lang_definitions` VALUES (78391, 2227, 21, 'خطأ: الملف غير موجود');
INSERT INTO `lang_definitions` VALUES (78392, 2228, 21, 'خطأ: المتغيرات التالية تحتوي على رموز خاطئة');
INSERT INTO `lang_definitions` VALUES (78393, 2229, 21, 'خطأ: غير قادر على نسخ الملف');
INSERT INTO `lang_definitions` VALUES (78394, 2230, 21, 'خطأ: غير قادر على تكوين الملف القابل للتنزيل');
INSERT INTO `lang_definitions` VALUES (78395, 2231, 21, 'خطأ: غير قادر على تكوين الملف المضغوط');
INSERT INTO `lang_definitions` VALUES (78396, 2232, 21, 'خطأ: غير قادر على استخراج الملف');
INSERT INTO `lang_definitions` VALUES (78397, 2233, 21, 'خطأ: غير قادر على تحميل الملف على قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (78398, 2234, 21, 'خطأ: غير قادر على وضع رقم الأصدار');
INSERT INTO `lang_definitions` VALUES (78399, 2235, 21, 'أخطاء');
INSERT INTO `lang_definitions` VALUES (78400, 2236, 21, 'حالة حساب الوصف الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78401, 2237, 21, 'سجل الوصف الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78402, 2238, 21, 'إسم الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (78403, 2239, 21, 'كلمة سر الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (78404, 2240, 21, 'دور الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (78405, 2241, 21, 'مستخدم الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (78406, 2242, 21, 'احمرار');
INSERT INTO `lang_definitions` VALUES (78407, 2245, 21, 'الاسكيمو');
INSERT INTO `lang_definitions` VALUES (78408, 2247, 21, 'مريض دائم');
INSERT INTO `lang_definitions` VALUES (78409, 2248, 21, 'إستوني');
INSERT INTO `lang_definitions` VALUES (78410, 2249, 21, 'العرقية');
INSERT INTO `lang_definitions` VALUES (78411, 2250, 21, 'العرقية');
INSERT INTO `lang_definitions` VALUES (78412, 2251, 21, 'قائمة العرقية (اكتب, الإضافة اختيارية)');
INSERT INTO `lang_definitions` VALUES (78413, 2252, 21, 'رقم هوية دافع الضرائب الإلكتروني');
INSERT INTO `lang_definitions` VALUES (78414, 2253, 21, 'الحدث');
INSERT INTO `lang_definitions` VALUES (78415, 2254, 21, 'بدء الحدث');
INSERT INTO `lang_definitions` VALUES (78416, 2255, 21, 'مجموعة الحدث');
INSERT INTO `lang_definitions` VALUES (78417, 2256, 21, 'تاريخ الحدث');
INSERT INTO `lang_definitions` VALUES (78418, 2257, 21, 'وصف الحدث');
INSERT INTO `lang_definitions` VALUES (78419, 2258, 21, 'تفاصيل الحدث');
INSERT INTO `lang_definitions` VALUES (78420, 2259, 21, 'الحدث لا يتكرر');
INSERT INTO `lang_definitions` VALUES (78421, 2260, 21, 'مدة الحدث');
INSERT INTO `lang_definitions` VALUES (78422, 2261, 21, 'مدة الحدث بالدقائق');
INSERT INTO `lang_definitions` VALUES (78423, 2262, 21, 'كلفة الحدث');
INSERT INTO `lang_definitions` VALUES (78424, 2263, 21, 'مكان الحدث');
INSERT INTO `lang_definitions` VALUES (78425, 2264, 21, 'الحدث يتكرر كل');
INSERT INTO `lang_definitions` VALUES (78426, 2265, 21, 'الحدث يتكرر في');
INSERT INTO `lang_definitions` VALUES (78427, 2266, 21, 'الحدث بدأ الساعة');
INSERT INTO `lang_definitions` VALUES (78428, 2267, 21, 'عنوان الحدث');
INSERT INTO `lang_definitions` VALUES (78429, 2268, 21, 'عنوان الحدث');
INSERT INTO `lang_definitions` VALUES (78430, 2269, 21, 'موقع الحدث');
INSERT INTO `lang_definitions` VALUES (78431, 2270, 21, 'الأحداث');
INSERT INTO `lang_definitions` VALUES (78432, 2271, 21, 'الأحداث ل');
INSERT INTO `lang_definitions` VALUES (78433, 2272, 21, 'إفتح الأحداث فى نافذة جديدة');
INSERT INTO `lang_definitions` VALUES (78434, 2273, 21, 'كل');
INSERT INTO `lang_definitions` VALUES (78435, 2274, 21, 'كل');
INSERT INTO `lang_definitions` VALUES (78436, 2275, 21, 'كل 3 ساعات');
INSERT INTO `lang_definitions` VALUES (78437, 2276, 21, 'كل 4 ساعات');
INSERT INTO `lang_definitions` VALUES (78438, 2277, 21, 'كل 5 ساعات');
INSERT INTO `lang_definitions` VALUES (78439, 2278, 21, 'كل 6 ساعات');
INSERT INTO `lang_definitions` VALUES (78440, 2279, 21, 'كل 8 ساعات');
INSERT INTO `lang_definitions` VALUES (78441, 2280, 21, 'كل رابع');
INSERT INTO `lang_definitions` VALUES (78442, 2281, 21, 'كل تالِ');
INSERT INTO `lang_definitions` VALUES (78443, 2282, 21, 'كل ثالث');
INSERT INTO `lang_definitions` VALUES (78444, 2283, 21, 'كل، كل يوم آخر');
INSERT INTO `lang_definitions` VALUES (78445, 2285, 21, 'نتائج الفحص و التحاليل');
INSERT INTO `lang_definitions` VALUES (78446, 2286, 21, 'نتائج التحاليل');
INSERT INTO `lang_definitions` VALUES (78447, 2289, 21, 'الفحص');
INSERT INTO `lang_definitions` VALUES (78448, 2290, 21, 'تاريخ الفحص');
INSERT INTO `lang_definitions` VALUES (78449, 2291, 21, 'مثال');
INSERT INTO `lang_definitions` VALUES (78450, 2292, 21, 'أمثلة');
INSERT INTO `lang_definitions` VALUES (78451, 2293, 21, 'الفحص/الاختبارات');
INSERT INTO `lang_definitions` VALUES (78452, 2294, 21, 'ماعدا');
INSERT INTO `lang_definitions` VALUES (78453, 2295, 21, 'تمزق شديد');
INSERT INTO `lang_definitions` VALUES (78454, 2296, 21, 'المرضى الاستثناء');
INSERT INTO `lang_definitions` VALUES (78455, 2297, 21, 'الاستثناء');
INSERT INTO `lang_definitions` VALUES (78456, 2298, 21, 'منظمة مزودة حصرية');
INSERT INTO `lang_definitions` VALUES (78457, 2299, 21, 'حجم الورق التنفيذي');
INSERT INTO `lang_definitions` VALUES (78458, 2300, 21, 'التمرين');
INSERT INTO `lang_definitions` VALUES (78459, 2301, 21, 'نماذج التمرين');
INSERT INTO `lang_definitions` VALUES (78460, 2302, 21, 'نماذج التمرين');
INSERT INTO `lang_definitions` VALUES (78461, 2303, 21, 'الخروج');
INSERT INTO `lang_definitions` VALUES (78462, 2304, 21, 'الخروج من الإدارة');
INSERT INTO `lang_definitions` VALUES (78463, 2305, 21, 'مد');
INSERT INTO `lang_definitions` VALUES (78464, 2306, 21, 'مد');
INSERT INTO `lang_definitions` VALUES (78465, 2307, 21, 'مد');
INSERT INTO `lang_definitions` VALUES (78466, 2308, 21, 'مد الكل');
INSERT INTO `lang_definitions` VALUES (78467, 2311, 21, 'مشاهدة موسعة');
INSERT INTO `lang_definitions` VALUES (78468, 2312, 21, 'Expected form_encounter.pid to be ');
INSERT INTO `lang_definitions` VALUES (78469, 2313, 21, 'إنتهاء الأجل');
INSERT INTO `lang_definitions` VALUES (78470, 2314, 21, 'تاريخ الإنتهاء');
INSERT INTO `lang_definitions` VALUES (78471, 2315, 21, 'ينتهي');
INSERT INTO `lang_definitions` VALUES (78472, 2316, 21, 'ينتهي في');
INSERT INTO `lang_definitions` VALUES (78473, 2317, 21, 'تصدير');
INSERT INTO `lang_definitions` VALUES (78474, 2318, 21, 'تصدير بصيغة  CSV');
INSERT INTO `lang_definitions` VALUES (78475, 2319, 21, 'هيئة التصدير');
INSERT INTO `lang_definitions` VALUES (78476, 2322, 21, 'تصدير بيانات المريض الديموغرافية');
INSERT INTO `lang_definitions` VALUES (78477, 2323, 21, 'تصدير تقريرPQRI');
INSERT INTO `lang_definitions` VALUES (78478, 2325, 21, 'تصدير المقتطفات');
INSERT INTO `lang_definitions` VALUES (78479, 2326, 21, 'تصدير الاختيارات الى التحصيل');
INSERT INTO `lang_definitions` VALUES (78480, 2327, 21, 'تصدير الى CSV');
INSERT INTO `lang_definitions` VALUES (78481, 2328, 21, 'تصدير الى نظام الفواتير الخارجي');
INSERT INTO `lang_definitions` VALUES (78482, 2329, 21, 'زيارة بلدان أخرى');
INSERT INTO `lang_definitions` VALUES (78483, 2330, 21, 'زيارة بلدان أخرى');
INSERT INTO `lang_definitions` VALUES (78484, 2331, 21, 'تم جمع وقت Ext');
INSERT INTO `lang_definitions` VALUES (78485, 2332, 21, 'خارجي');
INSERT INTO `lang_definitions` VALUES (78486, 2334, 21, 'تحميل البيانات الخارجية');
INSERT INTO `lang_definitions` VALUES (78487, 2335, 21, 'أداة إستيراد قاعدة البيانات الخارجية');
INSERT INTO `lang_definitions` VALUES (78488, 2336, 21, 'هوية خارجية');
INSERT INTO `lang_definitions` VALUES (78489, 2337, 21, 'رقم خارجي');
INSERT INTO `lang_definitions` VALUES (78490, 2338, 21, 'هوية خارجية');
INSERT INTO `lang_definitions` VALUES (78491, 2339, 21, 'خارجي فقط');
INSERT INTO `lang_definitions` VALUES (78492, 2342, 21, 'إحالة خارجية');
INSERT INTO `lang_definitions` VALUES (78493, 2343, 21, 'متابعة الإحالة الخارجية');
INSERT INTO `lang_definitions` VALUES (78494, 2344, 21, 'إحالة خارجية؟');
INSERT INTO `lang_definitions` VALUES (78495, 2345, 21, 'الإحالات الخارجية');
INSERT INTO `lang_definitions` VALUES (78496, 2346, 21, 'فك الملف المضغوط');
INSERT INTO `lang_definitions` VALUES (78497, 2347, 21, 'فك الملف المضغوط، قد يأخذ بعض الوقت');
INSERT INTO `lang_definitions` VALUES (78498, 2348, 21, 'نتحة قيحية:');
INSERT INTO `lang_definitions` VALUES (78499, 2349, 21, 'إجهاد العين');
INSERT INTO `lang_definitions` VALUES (78500, 2350, 21, 'ألم العين');
INSERT INTO `lang_definitions` VALUES (78501, 2351, 21, 'احمرار العين');
INSERT INTO `lang_definitions` VALUES (78502, 2352, 21, 'العينين');
INSERT INTO `lang_definitions` VALUES (78503, 2353, 21, 'أنثى');
INSERT INTO `lang_definitions` VALUES (78504, 2354, 21, 'قصة عائلية: مشاكل دم');
INSERT INTO `lang_definitions` VALUES (78505, 2355, 21, 'قصة عائلية: شعرانية/فزر');
INSERT INTO `lang_definitions` VALUES (78506, 2356, 21, 'المنشآت');
INSERT INTO `lang_definitions` VALUES (78507, 2357, 21, 'المنشأة');
INSERT INTO `lang_definitions` VALUES (78508, 2358, 21, 'المنشأة');
INSERT INTO `lang_definitions` VALUES (78509, 2359, 21, 'إدارة المنشأة');
INSERT INTO `lang_definitions` VALUES (78510, 2360, 21, 'مدينة المنشأة');
INSERT INTO `lang_definitions` VALUES (78511, 2361, 21, 'رمز المنشأة');
INSERT INTO `lang_definitions` VALUES (78512, 2362, 21, 'رمز دولة المنشأة');
INSERT INTO `lang_definitions` VALUES (78513, 2363, 21, 'فاكس المنشأة');
INSERT INTO `lang_definitions` VALUES (78514, 2364, 21, 'إسم المنشأة');
INSERT INTO `lang_definitions` VALUES (78515, 2365, 21, 'رقم تعريف المنشأة الوطني');
INSERT INTO `lang_definitions` VALUES (78516, 2366, 21, 'هاتف المنشأة');
INSERT INTO `lang_definitions` VALUES (78517, 2367, 21, 'معلومات المستخدم الخاصة بالمنشأة');
INSERT INTO `lang_definitions` VALUES (78518, 2368, 21, 'ولاية المنشأة');
INSERT INTO `lang_definitions` VALUES (78519, 2369, 21, 'شارع المنشأة');
INSERT INTO `lang_definitions` VALUES (78520, 2370, 21, 'الرمز البريدي للمنشأة');
INSERT INTO `lang_definitions` VALUES (78521, 2372, 21, 'المنشأة:');
INSERT INTO `lang_definitions` VALUES (78522, 2373, 21, 'فشل');
INSERT INTO `lang_definitions` VALUES (78523, 2374, 21, 'فاشل');
INSERT INTO `lang_definitions` VALUES (78524, 2375, 21, 'فاشل');
INSERT INTO `lang_definitions` VALUES (78525, 2380, 21, 'فشل في إنشاء ملف مؤقت . CouchDB لن يعمل');
INSERT INTO `lang_definitions` VALUES (78526, 2382, 21, 'فشل');
INSERT INTO `lang_definitions` VALUES (78527, 2383, 21, 'فشل و قصور');
INSERT INTO `lang_definitions` VALUES (78528, 2390, 21, 'القصة العائلية');
INSERT INTO `lang_definitions` VALUES (78529, 2391, 21, 'القصة العائلية للجلوكوما');
INSERT INTO `lang_definitions` VALUES (78530, 2392, 21, 'القصة العائلية');
INSERT INTO `lang_definitions` VALUES (78531, 2394, 21, 'سداد العائلة');
INSERT INTO `lang_definitions` VALUES (78532, 2395, 21, 'حجم العائلة');
INSERT INTO `lang_definitions` VALUES (78533, 2396, 21, 'فاخر');
INSERT INTO `lang_definitions` VALUES (78534, 2398, 21, 'فارسى');
INSERT INTO `lang_definitions` VALUES (78535, 2400, 21, 'الأب');
INSERT INTO `lang_definitions` VALUES (78536, 2402, 21, 'الإرهاق');
INSERT INTO `lang_definitions` VALUES (78537, 2403, 21, 'مرهق');
INSERT INTO `lang_definitions` VALUES (78538, 2404, 21, 'الفاكس');
INSERT INTO `lang_definitions` VALUES (78539, 2405, 21, 'تعداد الفاكس');
INSERT INTO `lang_definitions` VALUES (78540, 2406, 21, 'رقم الفاكس');
INSERT INTO `lang_definitions` VALUES (78541, 2408, 21, 'الفاكس / المسح');
INSERT INTO `lang_definitions` VALUES (78542, 2409, 21, 'الفاكس الوارد');
INSERT INTO `lang_definitions` VALUES (78543, 2410, 21, 'الفاكس الصادر');
INSERT INTO `lang_definitions` VALUES (78544, 2411, 21, 'المميزات');
INSERT INTO `lang_definitions` VALUES (78545, 2412, 21, 'فبراير/شباط');
INSERT INTO `lang_definitions` VALUES (78546, 2413, 21, 'فبراير/شباط');
INSERT INTO `lang_definitions` VALUES (78547, 2414, 21, 'قانون تعويض الموظفين الفيدرالي');
INSERT INTO `lang_definitions` VALUES (78548, 2415, 21, 'رقم الدواء');
INSERT INTO `lang_definitions` VALUES (78549, 2416, 21, 'الرقم الحكومي التعريفي بالجهة الموظفة');
INSERT INTO `lang_definitions` VALUES (78550, 2417, 21, 'الرقم الضريبي');
INSERT INTO `lang_definitions` VALUES (78551, 2418, 21, 'التكلفة');
INSERT INTO `lang_definitions` VALUES (78552, 2419, 21, 'التكلفة');
INSERT INTO `lang_definitions` VALUES (78553, 2420, 21, 'التكلفة غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (78554, 2421, 21, 'صفحة التكاليف');
INSERT INTO `lang_definitions` VALUES (78555, 2422, 21, 'خيارات صفحة التكاليف');
INSERT INTO `lang_definitions` VALUES (78556, 2423, 21, 'التكاليف');
INSERT INTO `lang_definitions` VALUES (78557, 2424, 21, 'أنثى');
INSERT INTO `lang_definitions` VALUES (78558, 2425, 21, 'مسحة باب غير طبيعية للإنثي');
INSERT INTO `lang_definitions` VALUES (78559, 2426, 21, 'واق نسائي');
INSERT INTO `lang_definitions` VALUES (78560, 2427, 21, 'تناسلية نسائية');
INSERT INTO `lang_definitions` VALUES (78561, 2428, 21, 'تاريخ اخر حمل');
INSERT INTO `lang_definitions` VALUES (78562, 2429, 21, 'حوضي نسائي');
INSERT INTO `lang_definitions` VALUES (78563, 2430, 21, 'أعراض نسائية');
INSERT INTO `lang_definitions` VALUES (78564, 2431, 21, 'منع الحمل الجراحي الطوعى للإنثي');
INSERT INTO `lang_definitions` VALUES (78565, 2434, 21, 'الحمى');
INSERT INTO `lang_definitions` VALUES (78566, 2435, 21, 'الحمى');
INSERT INTO `lang_definitions` VALUES (78567, 2436, 21, 'قصة عائلية لمرض دموي');
INSERT INTO `lang_definitions` VALUES (78568, 2437, 21, 'أورام ليفية سليمة');
INSERT INTO `lang_definitions` VALUES (78569, 2441, 21, 'نوع الحقل لإستخدامه لدولة الموظف فى الديموجرافيا');
INSERT INTO `lang_definitions` VALUES (78570, 2442, 21, 'نوع الحقل لإستخدامه لولاية الموظف فى الديموجرافيا');
INSERT INTO `lang_definitions` VALUES (78571, 2443, 21, 'يجب إكمال الحقول الفارغة!');
INSERT INTO `lang_definitions` VALUES (78572, 2447, 21, 'الملف');
INSERT INTO `lang_definitions` VALUES (78573, 2448, 21, 'file in the Documentation directory to learn how to automate the process of creating log backups');
INSERT INTO `lang_definitions` VALUES (78574, 2449, 21, 'موقع الملف');
INSERT INTO `lang_definitions` VALUES (78575, 2450, 21, 'أدارة الملفات');
INSERT INTO `lang_definitions` VALUES (78576, 2453, 21, 'صلاحيات الملف تعطى لمسخدم الملف الالكتروني');
INSERT INTO `lang_definitions` VALUES (78577, 2454, 21, 'فشل أسترجاع الملف من CouchDB');
INSERT INTO `lang_definitions` VALUES (78578, 2455, 21, 'غرفة الملفات');
INSERT INTO `lang_definitions` VALUES (78579, 2456, 21, 'الملف للتحميل');
INSERT INTO `lang_definitions` VALUES (78580, 2457, 21, 'الملف للتحميل');
INSERT INTO `lang_definitions` VALUES (78581, 2458, 21, 'يوجد ملف بالاسم نفسه في الموقع');
INSERT INTO `lang_definitions` VALUES (78582, 2459, 21, 'اسم الملف');
INSERT INTO `lang_definitions` VALUES (78583, 2461, 21, 'الملفات');
INSERT INTO `lang_definitions` VALUES (78584, 2462, 21, 'فليبني');
INSERT INTO `lang_definitions` VALUES (78585, 2463, 21, 'املأ الفراغ التالي');
INSERT INTO `lang_definitions` VALUES (78586, 2464, 21, 'املأ هنا عند إرسال رسالة للمرضى فقط');
INSERT INTO `lang_definitions` VALUES (78587, 2465, 21, 'املأ فيما يلي');
INSERT INTO `lang_definitions` VALUES (78588, 2467, 21, 'املأ فيما يلي');
INSERT INTO `lang_definitions` VALUES (78589, 2468, 21, 'تصفية');
INSERT INTO `lang_definitions` VALUES (78590, 2469, 21, 'التصفية');
INSERT INTO `lang_definitions` VALUES (78591, 2470, 21, 'ترتيبت حسب التعاريف');
INSERT INTO `lang_definitions` VALUES (78592, 2471, 21, 'مصفى من');
INSERT INTO `lang_definitions` VALUES (78593, 2472, 21, 'التصفية');
INSERT INTO `lang_definitions` VALUES (78594, 2473, 21, 'التصفية');
INSERT INTO `lang_definitions` VALUES (78595, 2474, 21, 'النهائي');
INSERT INTO `lang_definitions` VALUES (78596, 2475, 21, 'التشخيص النهائي');
INSERT INTO `lang_definitions` VALUES (78597, 2476, 21, 'التشخيص النهائي من قبل اختصاصي');
INSERT INTO `lang_definitions` VALUES (78598, 2478, 21, 'المالي');
INSERT INTO `lang_definitions` VALUES (78599, 2479, 21, 'نهاية العام المالي');
INSERT INTO `lang_definitions` VALUES (78600, 2480, 21, 'التقرير المالي');
INSERT INTO `lang_definitions` VALUES (78601, 2481, 21, 'التقرير المالي - الحالات الخاصة');
INSERT INTO `lang_definitions` VALUES (78602, 2482, 21, 'تاريخ مراجعة الحسابات');
INSERT INTO `lang_definitions` VALUES (78603, 2483, 21, 'الملخص المالي حسب رمز الخدمة');
INSERT INTO `lang_definitions` VALUES (78604, 2484, 21, 'البحث');
INSERT INTO `lang_definitions` VALUES (78605, 2485, 21, 'البحث عن المتوفر');
INSERT INTO `lang_definitions` VALUES (78606, 2486, 21, 'ابحث عن المواعيد المتوفرة');
INSERT INTO `lang_definitions` VALUES (78607, 2487, 21, 'ابحث عن مريض');
INSERT INTO `lang_definitions` VALUES (78608, 2488, 21, 'ابحث عن مواد توعية المريض');
INSERT INTO `lang_definitions` VALUES (78609, 2489, 21, 'الموجودات');
INSERT INTO `lang_definitions` VALUES (78610, 2490, 21, 'الموجودات من قبل اختصاصي');
INSERT INTO `lang_definitions` VALUES (78611, 2491, 21, 'ناعم');
INSERT INTO `lang_definitions` VALUES (78612, 2492, 21, 'السداد النهائي');
INSERT INTO `lang_definitions` VALUES (78613, 2493, 21, 'منتهي');
INSERT INTO `lang_definitions` VALUES (78614, 2495, 21, 'الأول');
INSERT INTO `lang_definitions` VALUES (78615, 2497, 21, 'اليوم الأول للأسبوع');
INSERT INTO `lang_definitions` VALUES (78616, 2498, 21, 'الاسم الأول');
INSERT INTO `lang_definitions` VALUES (78617, 2499, 21, 'الاسم الأول');
INSERT INTO `lang_definitions` VALUES (78618, 2500, 21, 'الاسم الأول');
INSERT INTO `lang_definitions` VALUES (78619, 2503, 21, 'اللياقة');
INSERT INTO `lang_definitions` VALUES (78620, 2504, 21, 'مستوى اللياقة');
INSERT INTO `lang_definitions` VALUES (78621, 2505, 21, 'مستوى اللياقة لهذا اللاعب في هذا اليوم');
INSERT INTO `lang_definitions` VALUES (78622, 2507, 21, 'اللياقة للعب');
INSERT INTO `lang_definitions` VALUES (78623, 2508, 21, 'تصحيح تاريخ الزيارات');
INSERT INTO `lang_definitions` VALUES (78624, 2509, 21, 'تصحيح.');
INSERT INTO `lang_definitions` VALUES (78625, 2510, 21, 'فلوريدا');
INSERT INTO `lang_definitions` VALUES (78626, 2511, 21, 'حس الانتفاخ');
INSERT INTO `lang_definitions` VALUES (78627, 2512, 21, 'الجريان');
INSERT INTO `lang_definitions` VALUES (78628, 2514, 21, 'فصل الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (78629, 2515, 21, 'فصل الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (78630, 2516, 21, 'لقاح الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (78631, 2517, 21, 'مشكلة في السوائل و الشوارد');
INSERT INTO `lang_definitions` VALUES (78632, 2518, 21, 'أخصائي طب العائلة');
INSERT INTO `lang_definitions` VALUES (78633, 2519, 21, 'حجم ورقة الترتيب');
INSERT INTO `lang_definitions` VALUES (78634, 2520, 21, 'متابعة يدوية');
INSERT INTO `lang_definitions` VALUES (78635, 2521, 21, 'إتبع هذة التعليمات لتثبيت او ترقية قاعدة البيانات التالية');
INSERT INTO `lang_definitions` VALUES (78636, 2522, 21, 'المتابعة');
INSERT INTO `lang_definitions` VALUES (78637, 2524, 21, 'سبب المتابعة');
INSERT INTO `lang_definitions` VALUES (78638, 2525, 21, 'اﻷتي هو مصطلح جديد حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (78639, 2526, 21, 'اﻷتي هو لغة جديدة حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (78640, 2527, 21, 'اﻷتي هو تعريف جديد حسب الطلب (لغة, تعريف او مصطلح):');
INSERT INTO `lang_definitions` VALUES (78641, 2529, 21, 'خدمات المتابعة');
INSERT INTO `lang_definitions` VALUES (78642, 2530, 21, 'دواعي المتابعة');
INSERT INTO `lang_definitions` VALUES (78643, 2531, 21, 'عدم تحمل الغذاء');
INSERT INTO `lang_definitions` VALUES (78644, 2532, 21, 'القدم');
INSERT INTO `lang_definitions` VALUES (78645, 2533, 21, 'مشاكل القدم');
INSERT INTO `lang_definitions` VALUES (78646, 2534, 21, 'القدم');
INSERT INTO `lang_definitions` VALUES (78647, 2535, 21, 'الرضوض في كرة القدم');
INSERT INTO `lang_definitions` VALUES (78648, 2536, 21, 'رضه كره قدم');
INSERT INTO `lang_definitions` VALUES (78649, 2537, 21, 'التقرير الطبي');
INSERT INTO `lang_definitions` VALUES (78650, 2538, 21, 'نمط التمزق');
INSERT INTO `lang_definitions` VALUES (78651, 2539, 21, 'لـ');
INSERT INTO `lang_definitions` VALUES (78652, 2540, 21, 'لـ');
INSERT INTO `lang_definitions` VALUES (78653, 2541, 21, 'لـ رمز');
INSERT INTO `lang_definitions` VALUES (78654, 2543, 21, 'لـ دعاوى الزيارة');
INSERT INTO `lang_definitions` VALUES (78655, 2544, 21, 'كـ مثال');
INSERT INTO `lang_definitions` VALUES (78656, 2547, 21, 'لـ لفاتورة');
INSERT INTO `lang_definitions` VALUES (78657, 2548, 21, 'لميديكير فقط, يجبر المزوّد المحوّل ليكون هو نفسه المزوّد المؤدي');
INSERT INTO `lang_definitions` VALUES (78658, 2549, 21, 'لواضع رقم الطلب ل OBR');
INSERT INTO `lang_definitions` VALUES (78659, 2552, 21, 'لـ الجهة / الممارس المُحيل للمريض');
INSERT INTO `lang_definitions` VALUES (78660, 2553, 21, 'منذ');
INSERT INTO `lang_definitions` VALUES (78661, 2554, 21, 'للمتغيرات');
INSERT INTO `lang_definitions` VALUES (78662, 2555, 21, 'من أجل');
INSERT INTO `lang_definitions` VALUES (78663, 2556, 21, 'فتح اجباري - قائمه المدفوعات');
INSERT INTO `lang_definitions` VALUES (78664, 2557, 21, 'فتح اجباري - ملف مريض جديد');
INSERT INTO `lang_definitions` VALUES (78665, 2558, 21, 'إظهار اجباري');
INSERT INTO `lang_definitions` VALUES (78666, 2559, 21, 'الساعد');
INSERT INTO `lang_definitions` VALUES (78667, 2560, 21, 'الاستمارة');
INSERT INTO `lang_definitions` VALUES (78668, 2561, 21, 'الاستمارة');
INSERT INTO `lang_definitions` VALUES (78669, 2564, 21, 'الصيغة');
INSERT INTO `lang_definitions` VALUES (78670, 2565, 21, 'الصيغة');
INSERT INTO `lang_definitions` VALUES (78671, 2566, 21, 'صيغه عرض العمر');
INSERT INTO `lang_definitions` VALUES (78672, 2567, 21, 'الصيغة خاطئة لNDC');
INSERT INTO `lang_definitions` VALUES (78673, 2568, 21, 'الصيغة المستعملة لعرض التواريخ');
INSERT INTO `lang_definitions` VALUES (78674, 2569, 21, 'الصيغة المستعملة لعرض التواريخ');
INSERT INTO `lang_definitions` VALUES (78675, 2570, 21, 'التقرير');
INSERT INTO `lang_definitions` VALUES (78676, 2571, 21, 'مدخن سابق');
INSERT INTO `lang_definitions` VALUES (78677, 2572, 21, 'الاستمارات');
INSERT INTO `lang_definitions` VALUES (78678, 2573, 21, 'الاستمارات الإدارية');
INSERT INTO `lang_definitions` VALUES (78679, 2575, 21, 'اعاده ارسال');
INSERT INTO `lang_definitions` VALUES (78680, 2576, 21, 'إرسال الصفحات بالفاكس');
INSERT INTO `lang_definitions` VALUES (78681, 2577, 21, 'مرسل');
INSERT INTO `lang_definitions` VALUES (78682, 2579, 21, 'الرابع');
INSERT INTO `lang_definitions` VALUES (78683, 2581, 21, 'الكسر');
INSERT INTO `lang_definitions` VALUES (78684, 2582, 21, 'كسر الترقوة');
INSERT INTO `lang_definitions` VALUES (78685, 2583, 21, 'كسر الكعب الوحشي');
INSERT INTO `lang_definitions` VALUES (78686, 2584, 21, 'كسر الكعب الأنسي');
INSERT INTO `lang_definitions` VALUES (78687, 2585, 21, 'كسر قاعدة المشط الخامس');
INSERT INTO `lang_definitions` VALUES (78688, 2586, 21, 'مطلوب هيكل الدعم');
INSERT INTO `lang_definitions` VALUES (78689, 2587, 21, 'الفرنسية');
INSERT INTO `lang_definitions` VALUES (78690, 2588, 21, 'الفرنسية (الكندية)');
INSERT INTO `lang_definitions` VALUES (78691, 2589, 21, 'اللغة الفرنسية');
INSERT INTO `lang_definitions` VALUES (78692, 2590, 21, 'التواتر');
INSERT INTO `lang_definitions` VALUES (78693, 2591, 21, 'زكام متكرر');
INSERT INTO `lang_definitions` VALUES (78694, 2592, 21, 'أمراض متكررة');
INSERT INTO `lang_definitions` VALUES (78695, 2593, 21, 'الجمعة');
INSERT INTO `lang_definitions` VALUES (78696, 2594, 21, 'الحمعة');
INSERT INTO `lang_definitions` VALUES (78697, 2595, 21, 'من');
INSERT INTO `lang_definitions` VALUES (78698, 2596, 21, 'من');
INSERT INTO `lang_definitions` VALUES (78699, 2597, 21, 'من');
INSERT INTO `lang_definitions` VALUES (78700, 2598, 21, 'من تاريخه لايمكن أن يكون أكثر من الحالي');
INSERT INTO `lang_definitions` VALUES (78701, 2599, 21, 'من');
INSERT INTO `lang_definitions` VALUES (78702, 2600, 21, 'من ');
INSERT INTO `lang_definitions` VALUES (78703, 2601, 21, 'من_مدينة');
INSERT INTO `lang_definitions` VALUES (78704, 2603, 21, 'من_الأسم_الأول');
INSERT INTO `lang_definitions` VALUES (78705, 2604, 21, 'من_الأسم_الأخير');
INSERT INTO `lang_definitions` VALUES (78706, 2605, 21, 'من_الأسم_الأوسط');
INSERT INTO `lang_definitions` VALUES (78707, 2607, 21, 'من_هاتف_الجوال');
INSERT INTO `lang_definitions` VALUES (78708, 2608, 21, 'كم_الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (78709, 2609, 21, 'من_الولاية');
INSERT INTO `lang_definitions` VALUES (78710, 2610, 21, 'من_الشارع');
INSERT INTO `lang_definitions` VALUES (78711, 2611, 21, 'من_العنوان');
INSERT INTO `lang_definitions` VALUES (78712, 2612, 21, 'من ـ دليل القيمه');
INSERT INTO `lang_definitions` VALUES (78713, 2613, 21, 'مكتب الاستقبال');
INSERT INTO `lang_definitions` VALUES (78714, 2614, 21, 'إيصالات مكتب الأستقبال');
INSERT INTO `lang_definitions` VALUES (78715, 2615, 21, 'تقرير الاستقبال');
INSERT INTO `lang_definitions` VALUES (78716, 2616, 21, 'التسجيل الأمامي');
INSERT INTO `lang_definitions` VALUES (78717, 2617, 21, 'اليمنى الأمامية');
INSERT INTO `lang_definitions` VALUES (78718, 2619, 21, 'الاسم الكامل');
INSERT INTO `lang_definitions` VALUES (78719, 2620, 21, 'دليل مسار كامل متضمن اوامر قاعده البيانات MySQL قابل لتطبيق');
INSERT INTO `lang_definitions` VALUES (78720, 2621, 21, 'دليل مسار كامل متضمن اوامر البرمجه Perl قابل لتطبيق');
INSERT INTO `lang_definitions` VALUES (78721, 2622, 21, 'دليل مسار كامل من احتياطي سجل الاحداث السابقه log');
INSERT INTO `lang_definitions` VALUES (78722, 2623, 21, 'دليل مسار كامل للملفات المؤقته');
INSERT INTO `lang_definitions` VALUES (78723, 2624, 21, 'اللعب التام');
INSERT INTO `lang_definitions` VALUES (78724, 2625, 21, 'التدريب التام');
INSERT INTO `lang_definitions` VALUES (78725, 2626, 21, 'المدفوع التام');
INSERT INTO `lang_definitions` VALUES (78726, 2633, 21, 'غ');
INSERT INTO `lang_definitions` VALUES (78727, 2634, 21, 'غ/دل');
INSERT INTO `lang_definitions` VALUES (78728, 2636, 21, 'حالة حصيات المرارة');
INSERT INTO `lang_definitions` VALUES (78729, 2637, 21, 'حصيات المرارة');
INSERT INTO `lang_definitions` VALUES (78730, 2638, 21, 'فترة اللعب');
INSERT INTO `lang_definitions` VALUES (78731, 2639, 21, 'الألعاب');
INSERT INTO `lang_definitions` VALUES (78732, 2640, 21, 'الغياب');
INSERT INTO `lang_definitions` VALUES (78733, 2641, 21, 'الألعاب');
INSERT INTO `lang_definitions` VALUES (78734, 2642, 21, 'الغياب');
INSERT INTO `lang_definitions` VALUES (78735, 2644, 21, 'التهاب المعدة');
INSERT INTO `lang_definitions` VALUES (78736, 2645, 21, 'ألم المعدة');
INSERT INTO `lang_definitions` VALUES (78737, 2646, 21, 'الهضمي');
INSERT INTO `lang_definitions` VALUES (78738, 2647, 21, 'تقرير إحصائيات GCAC');
INSERT INTO `lang_definitions` VALUES (78739, 2648, 21, 'حالات GCAC');
INSERT INTO `lang_definitions` VALUES (78740, 2649, 21, 'طلب زيارة GCAC مفقود');
INSERT INTO `lang_definitions` VALUES (78741, 2650, 21, 'الجنس');
INSERT INTO `lang_definitions` VALUES (78742, 2651, 21, 'الجنس ');
INSERT INTO `lang_definitions` VALUES (78743, 2652, 21, 'العام');
INSERT INTO `lang_definitions` VALUES (78744, 2653, 21, 'قائمة المشاكل العامة');
INSERT INTO `lang_definitions` VALUES (78745, 2655, 21, 'مجموعة الخدمة العامة');
INSERT INTO `lang_definitions` VALUES (78746, 2657, 21, 'كوّن ثم نزّل مطالبات CMS 1500 الورقية');
INSERT INTO `lang_definitions` VALUES (78747, 2658, 21, 'كوّن ثم نزّل مطالبات HCFA 1500 الورقية');
INSERT INTO `lang_definitions` VALUES (78748, 2659, 21, 'كوّن ثم نزّل جملة X12');
INSERT INTO `lang_definitions` VALUES (78749, 2660, 21, 'كوّن ثم نزّل جملة مطالبات الزيارة لX12');
INSERT INTO `lang_definitions` VALUES (78750, 2663, 21, 'كوّن ثم نزّل الوصفات المسموح بها الكترونيا');
INSERT INTO `lang_definitions` VALUES (78751, 2664, 21, 'كوّن CMS 1500');
INSERT INTO `lang_definitions` VALUES (78752, 2665, 21, 'كوّن CMS 1500 علي نسق الوثائق النقال');
INSERT INTO `lang_definitions` VALUES (78753, 2666, 21, 'كوّن CMS 1500 كملف خطي');
INSERT INTO `lang_definitions` VALUES (78754, 2667, 21, 'كوّن HCFA');
INSERT INTO `lang_definitions` VALUES (78755, 2668, 21, 'تكوين الفاتورة');
INSERT INTO `lang_definitions` VALUES (78756, 2669, 21, 'تكوين الخطاب');
INSERT INTO `lang_definitions` VALUES (78757, 2670, 21, 'تكوين خطاب بخصوص ');
INSERT INTO `lang_definitions` VALUES (78758, 2671, 21, 'تكوين تقرير PQRI بطريقة A');
INSERT INTO `lang_definitions` VALUES (78759, 2673, 21, 'تكوين تقرير PQRI بطريقة E');
INSERT INTO `lang_definitions` VALUES (78760, 2677, 21, 'تكوين التقرير');
INSERT INTO `lang_definitions` VALUES (78761, 2678, 21, 'تكوين اسم مستخدم و كلمة سر');
INSERT INTO `lang_definitions` VALUES (78762, 2679, 21, 'تكوين X12');
INSERT INTO `lang_definitions` VALUES (78763, 2680, 21, 'تكوين مراجعة X12');
INSERT INTO `lang_definitions` VALUES (78764, 2682, 21, 'تم في');
INSERT INTO `lang_definitions` VALUES (78765, 2683, 21, 'كون');
INSERT INTO `lang_definitions` VALUES (78766, 2684, 21, 'البولي التناسلي');
INSERT INTO `lang_definitions` VALUES (78767, 2687, 21, 'الألمانية');
INSERT INTO `lang_definitions` VALUES (78768, 2691, 21, 'تكوين HL7');
INSERT INTO `lang_definitions` VALUES (78769, 2692, 21, 'الجلوكوما');
INSERT INTO `lang_definitions` VALUES (78770, 2693, 21, 'قصة عائلية للجلوكوما');
INSERT INTO `lang_definitions` VALUES (78771, 2694, 21, 'عالمي');
INSERT INTO `lang_definitions` VALUES (78772, 2696, 21, 'هوية عالمية');
INSERT INTO `lang_definitions` VALUES (78773, 2697, 21, 'الإعدادات العامة');
INSERT INTO `lang_definitions` VALUES (78774, 2698, 21, 'العموميات');
INSERT INTO `lang_definitions` VALUES (78775, 2699, 21, 'غرام/دل');
INSERT INTO `lang_definitions` VALUES (78776, 2700, 21, 'اذهب');
INSERT INTO `lang_definitions` VALUES (78777, 2701, 21, 'اذهب');
INSERT INTO `lang_definitions` VALUES (78778, 2704, 21, 'اذهب');
INSERT INTO `lang_definitions` VALUES (78779, 2705, 21, 'اذهب للإسبوع');
INSERT INTO `lang_definitions` VALUES (78780, 2706, 21, 'اذهب لليوم الحالي');
INSERT INTO `lang_definitions` VALUES (78781, 2707, 21, 'الهدف أ');
INSERT INTO `lang_definitions` VALUES (78782, 2708, 21, 'الهدف والطرق');
INSERT INTO `lang_definitions` VALUES (78783, 2709, 21, 'الهدف ب');
INSERT INTO `lang_definitions` VALUES (78784, 2710, 21, 'الهدف ج');
INSERT INTO `lang_definitions` VALUES (78785, 2711, 21, 'درجة الأذية');
INSERT INTO `lang_definitions` VALUES (78786, 2712, 21, 'الدرجة');
INSERT INTO `lang_definitions` VALUES (78787, 2713, 21, 'غرام/دل');
INSERT INTO `lang_definitions` VALUES (78788, 2714, 21, 'المجموع الإجمالي');
INSERT INTO `lang_definitions` VALUES (78789, 2715, 21, 'المجاميع الإجمالية');
INSERT INTO `lang_definitions` VALUES (78790, 2718, 21, 'امكانية عمل رسم بياني');
INSERT INTO `lang_definitions` VALUES (78791, 2720, 21, 'أكبر من');
INSERT INTO `lang_definitions` VALUES (78792, 2721, 21, 'أكبر من أو يساوي');
INSERT INTO `lang_definitions` VALUES (78793, 2722, 21, 'إغريقي');
INSERT INTO `lang_definitions` VALUES (78794, 2724, 21, 'مجموعة');
INSERT INTO `lang_definitions` VALUES (78795, 2725, 21, 'أسم المجموعة');
INSERT INTO `lang_definitions` VALUES (78796, 2726, 21, 'أسماء المجموعة لا يمكن أن تترك فارغة');
INSERT INTO `lang_definitions` VALUES (78797, 2727, 21, 'أسماء المجموعة لا يمكن ان تبدأ برقم او مسافة');
INSERT INTO `lang_definitions` VALUES (78798, 2728, 21, 'أسماء المجموعة لا يمكن أن تبدأ برقم');
INSERT INTO `lang_definitions` VALUES (78799, 2729, 21, 'رقم المجموعة');
INSERT INTO `lang_definitions` VALUES (78800, 2730, 21, 'اجمع المستحقات');
INSERT INTO `lang_definitions` VALUES (78801, 2731, 21, 'مجموعة');
INSERT INTO `lang_definitions` VALUES (78802, 2732, 21, 'اسم المجموعة');
INSERT INTO `lang_definitions` VALUES (78803, 2733, 21, 'المجموعات وضبط الوصول');
INSERT INTO `lang_definitions` VALUES (78804, 2734, 21, 'الرسم البياني للنمو');
INSERT INTO `lang_definitions` VALUES (78805, 2735, 21, 'الرسم البياني-للنمو');
INSERT INTO `lang_definitions` VALUES (78806, 2736, 21, 'قطرات');
INSERT INTO `lang_definitions` VALUES (78807, 2737, 21, 'مواطن غوامي');
INSERT INTO `lang_definitions` VALUES (78808, 2739, 21, 'اسم ولي الأمر');
INSERT INTO `lang_definitions` VALUES (78809, 2741, 21, 'كشف نسائي');
INSERT INTO `lang_definitions` VALUES (78810, 2742, 21, 'ساعة');
INSERT INTO `lang_definitions` VALUES (78811, 2743, 21, 'قبل النوم');
INSERT INTO `lang_definitions` VALUES (78812, 2744, 21, 'تاريخ مرضي التهاب الكبد');
INSERT INTO `lang_definitions` VALUES (78813, 2745, 21, 'تم الحذف بنجاح. أي من الفئات الفرعية قد تم نقلها إذا كانت موجوده أدناه');
INSERT INTO `lang_definitions` VALUES (78814, 2746, 21, 'ورم دموي - تكدم');
INSERT INTO `lang_definitions` VALUES (78815, 2747, 21, 'حالة العدوى المكتسبة من المستشفى');
INSERT INTO `lang_definitions` VALUES (78816, 2750, 21, 'يد + أصابع');
INSERT INTO `lang_definitions` VALUES (78817, 2751, 21, 'مشاكل اليد');
INSERT INTO `lang_definitions` VALUES (78818, 2752, 21, 'القرص الصلب');
INSERT INTO `lang_definitions` VALUES (78819, 2753, 21, 'ضائقة بدون');
INSERT INTO `lang_definitions` VALUES (78820, 2754, 21, 'تم ربطها بالزيارة');
INSERT INTO `lang_definitions` VALUES (78821, 2755, 21, 'انتهى');
INSERT INTO `lang_definitions` VALUES (78822, 2756, 21, 'خليط');
INSERT INTO `lang_definitions` VALUES (78823, 2757, 21, 'Hash did not exist for this file. A new hash was generated.');
INSERT INTO `lang_definitions` VALUES (78824, 2758, 21, 'Hash does not match. Data integrity has been compromised.');
INSERT INTO `lang_definitions` VALUES (78825, 2760, 21, 'من هاواي');
INSERT INTO `lang_definitions` VALUES (78826, 2761, 21, 'نشاطات خطرة');
INSERT INTO `lang_definitions` VALUES (78827, 2762, 21, 'نشاطات خطرة');
INSERT INTO `lang_definitions` VALUES (78828, 2763, 21, 'الحافة اليسرى ل HCFA بالنقاط');
INSERT INTO `lang_definitions` VALUES (78829, 2764, 21, 'حواف HCFA');
INSERT INTO `lang_definitions` VALUES (78830, 2765, 21, 'الحافة العليا ل HCFA بالنقاط');
INSERT INTO `lang_definitions` VALUES (78831, 2766, 21, 'خدمة/ عمليات HCPCS');
INSERT INTO `lang_definitions` VALUES (78832, 2767, 21, 'هو PostCalendar ');
INSERT INTO `lang_definitions` VALUES (78833, 2768, 21, 'رأس');
INSERT INTO `lang_definitions` VALUES (78834, 2769, 21, 'محيط الرأس');
INSERT INTO `lang_definitions` VALUES (78835, 2770, 21, 'محيط الرأس');
INSERT INTO `lang_definitions` VALUES (78836, 2771, 21, 'وجع رأس');
INSERT INTO `lang_definitions` VALUES (78837, 2772, 21, 'وجع رأس');
INSERT INTO `lang_definitions` VALUES (78838, 2773, 21, 'عمليات الرعاية الصحية');
INSERT INTO `lang_definitions` VALUES (78839, 2774, 21, 'عمليات الرعاية الصحية');
INSERT INTO `lang_definitions` VALUES (78840, 2775, 21, 'مركز صحي / عيادة');
INSERT INTO `lang_definitions` VALUES (78841, 2776, 21, 'منظمه الحفاض علي الصحه');
INSERT INTO `lang_definitions` VALUES (78842, 2777, 21, 'مخاطرة ميديكير لمنظمه الحفاض علي الصحه');
INSERT INTO `lang_definitions` VALUES (78843, 2778, 21, 'فقدان السمع');
INSERT INTO `lang_definitions` VALUES (78844, 2779, 21, 'نوبة قلبية');
INSERT INTO `lang_definitions` VALUES (78845, 2780, 21, 'أمراض القلب');
INSERT INTO `lang_definitions` VALUES (78846, 2781, 21, 'سكتة قلبية');
INSERT INTO `lang_definitions` VALUES (78847, 2782, 21, 'مشاكل القلب');
INSERT INTO `lang_definitions` VALUES (78848, 2783, 21, 'مشاكل القلب');
INSERT INTO `lang_definitions` VALUES (78849, 2784, 21, 'جراحة قلب');
INSERT INTO `lang_definitions` VALUES (78850, 2785, 21, 'زراعة قلب');
INSERT INTO `lang_definitions` VALUES (78851, 2786, 21, 'القلب');
INSERT INTO `lang_definitions` VALUES (78852, 2787, 21, 'حرقة المعدة');
INSERT INTO `lang_definitions` VALUES (78853, 2788, 21, 'حار أو بارد');
INSERT INTO `lang_definitions` VALUES (78854, 2789, 21, 'حار أو بارد');
INSERT INTO `lang_definitions` VALUES (78855, 2790, 21, 'مدخن بشراهة');
INSERT INTO `lang_definitions` VALUES (78856, 2791, 21, 'العبرية');
INSERT INTO `lang_definitions` VALUES (78857, 2793, 21, 'الرأس, العيون, الأذان, الأنف, الحنجرة');
INSERT INTO `lang_definitions` VALUES (78858, 2794, 21, 'الإرتفاع');
INSERT INTO `lang_definitions` VALUES (78859, 2796, 21, 'مساعدة');
INSERT INTO `lang_definitions` VALUES (78860, 2797, 21, 'مساعدة');
INSERT INTO `lang_definitions` VALUES (78861, 2798, 21, 'قئ الدم');
INSERT INTO `lang_definitions` VALUES (78862, 2799, 21, 'التغوط المدمى');
INSERT INTO `lang_definitions` VALUES (78863, 2800, 21, 'دموي');
INSERT INTO `lang_definitions` VALUES (78864, 2801, 21, 'البول الدموي');
INSERT INTO `lang_definitions` VALUES (78865, 2802, 21, 'الهيموجلوبين');
INSERT INTO `lang_definitions` VALUES (78866, 2803, 21, 'الهيموجلوبين المسكر (الجليكوزيلاتي)');
INSERT INTO `lang_definitions` VALUES (78867, 2804, 21, 'بصق الدم');
INSERT INTO `lang_definitions` VALUES (78868, 2805, 21, 'إلتهاب الكبد الوبائي');
INSERT INTO `lang_definitions` VALUES (78869, 2806, 21, 'إلتهاب الكبد الوبائي A 1');
INSERT INTO `lang_definitions` VALUES (78870, 2807, 21, 'إلتهاب الكبد الوبائي A 2');
INSERT INTO `lang_definitions` VALUES (78871, 2808, 21, 'إلتهاب الكبد الوبائي B 1');
INSERT INTO `lang_definitions` VALUES (78872, 2809, 21, 'إلتهاب الكبد الوبائي B 2');
INSERT INTO `lang_definitions` VALUES (78873, 2810, 21, 'إلتهاب الكبد الوبائي B 3');
INSERT INTO `lang_definitions` VALUES (78874, 2811, 21, 'هنا');
INSERT INTO `lang_definitions` VALUES (78875, 2813, 21, 'إصلاح الفتاق');
INSERT INTO `lang_definitions` VALUES (78876, 2814, 21, 'فتاق النواة اللبّية');
INSERT INTO `lang_definitions` VALUES (78877, 2815, 21, 'الهربس');
INSERT INTO `lang_definitions` VALUES (78878, 2816, 21, 'تردد');
INSERT INTO `lang_definitions` VALUES (78879, 2817, 21, 'مرحبا. لماذا انت هنا ');
INSERT INTO `lang_definitions` VALUES (78880, 2818, 21, 'تطعيم الإنفلونزا 1');
INSERT INTO `lang_definitions` VALUES (78881, 2819, 21, 'تطعيم الإنفلونزا 2');
INSERT INTO `lang_definitions` VALUES (78882, 2820, 21, 'تطعيم الإنفلونزا 3');
INSERT INTO `lang_definitions` VALUES (78883, 2821, 21, 'تطعيم الإنفلونزا 4');
INSERT INTO `lang_definitions` VALUES (78884, 2822, 21, 'مخفي');
INSERT INTO `lang_definitions` VALUES (78885, 2823, 21, 'احداث اداريه مخفيه');
INSERT INTO `lang_definitions` VALUES (78886, 2824, 21, 'أخفى');
INSERT INTO `lang_definitions` VALUES (78887, 2825, 21, 'أخفاء التفاصيل');
INSERT INTO `lang_definitions` VALUES (78888, 2827, 21, 'أخفاء خيار التشفير-فك التشفير في ادارة الوثائق');
INSERT INTO `lang_definitions` VALUES (78889, 2828, 21, 'أخفاء القائمة');
INSERT INTO `lang_definitions` VALUES (78890, 2830, 21, 'أخفاء التنبيهات');
INSERT INTO `lang_definitions` VALUES (78891, 2831, 21, 'أخفاء/إظهار الأعمدة');
INSERT INTO `lang_definitions` VALUES (78892, 2833, 21, 'مرتفع');
INSERT INTO `lang_definitions` VALUES (78893, 2834, 21, 'أرتفاع ضغط الدم');
INSERT INTO `lang_definitions` VALUES (78894, 2835, 21, 'هندي');
INSERT INTO `lang_definitions` VALUES (78895, 2836, 21, 'الورك + الأربية');
INSERT INTO `lang_definitions` VALUES (78896, 2837, 21, 'الورك و الأربية');
INSERT INTO `lang_definitions` VALUES (78897, 2838, 21, 'مشاكل الورك');
INSERT INTO `lang_definitions` VALUES (78898, 2839, 21, 'إستبدال مفصل الورك');
INSERT INTO `lang_definitions` VALUES (78899, 2840, 21, 'أستلام نسخة من قانون الخصوصية وسرية المعلومات HIPAA');
INSERT INTO `lang_definitions` VALUES (78900, 2842, 21, 'كثرة الشعر/حزوز');
INSERT INTO `lang_definitions` VALUES (78901, 2843, 21, 'أسباني');
INSERT INTO `lang_definitions` VALUES (78902, 2844, 21, 'أسباني- اخرى (مولود في الولايات المتحدة)');
INSERT INTO `lang_definitions` VALUES (78903, 2845, 21, 'أسباني- أخرى (مولود خارج الولايات المتحدة)');
INSERT INTO `lang_definitions` VALUES (78904, 2846, 21, 'أسباني او لاتيني');
INSERT INTO `lang_definitions` VALUES (78905, 2847, 21, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (78906, 2848, 21, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (78907, 2849, 21, 'التاريخ');
INSERT INTO `lang_definitions` VALUES (78908, 2851, 21, 'تاريخ النفخة القلبية');
INSERT INTO `lang_definitions` VALUES (78909, 2852, 21, 'التاريخ غير مصرح');
INSERT INTO `lang_definitions` VALUES (78910, 2853, 21, 'تاريخ طبي بالنفخة القلبية');
INSERT INTO `lang_definitions` VALUES (78911, 2854, 21, 'إرتطام');
INSERT INTO `lang_definitions` VALUES (78912, 2855, 21, 'فيروس نقص المناعة البشرية');
INSERT INTO `lang_definitions` VALUES (78913, 2858, 21, 'معاين المستوى السابع الصحي');
INSERT INTO `lang_definitions` VALUES (78914, 2860, 21, 'ميكرومول لكل ليتر');
INSERT INTO `lang_definitions` VALUES (78915, 2861, 21, 'همونق-الصين');
INSERT INTO `lang_definitions` VALUES (78916, 2862, 21, 'إضغط [Ctrl] بإستمرار لخيارات متعددة او لإلغاء التحديد');
INSERT INTO `lang_definitions` VALUES (78917, 2863, 21, 'إضغط [Ctrl] بإستمرار لتحديد عناصر متعددة');
INSERT INTO `lang_definitions` VALUES (78918, 2864, 21, 'إضغط [Ctrl] بإستمرار لتحديد مجموعات متعددة');
INSERT INTO `lang_definitions` VALUES (78919, 2865, 21, 'الصفحة الرئيسية');
INSERT INTO `lang_definitions` VALUES (78920, 2866, 21, 'تلفون المنزل');
INSERT INTO `lang_definitions` VALUES (78921, 2867, 21, 'رقم تلفون المنزل');
INSERT INTO `lang_definitions` VALUES (78922, 2868, 21, 'بلا مأوى او مماثل');
INSERT INTO `lang_definitions` VALUES (78923, 2869, 21, 'بلا مأوى, اخرى');
INSERT INTO `lang_definitions` VALUES (78924, 2870, 21, 'بلا مأوى, اخرى');
INSERT INTO `lang_definitions` VALUES (78925, 2872, 21, 'أسم المضيف');
INSERT INTO `lang_definitions` VALUES (78926, 2873, 21, 'أسم المضيف لايمكن ان يكون فارغ');
INSERT INTO `lang_definitions` VALUES (78927, 2875, 21, 'ساعة');
INSERT INTO `lang_definitions` VALUES (78928, 2876, 21, 'ساعات');
INSERT INTO `lang_definitions` VALUES (78929, 2878, 21, 'كيف حصلت الإصابة ؟');
INSERT INTO `lang_definitions` VALUES (78930, 2879, 21, 'كيف حصلت الإصابة؟:');
INSERT INTO `lang_definitions` VALUES (78931, 2880, 21, 'كيف سمعت عنا');
INSERT INTO `lang_definitions` VALUES (78932, 2881, 21, 'كم شهراَ مقدماَ للبحث عن اﻷحداث؟');
INSERT INTO `lang_definitions` VALUES (78933, 2882, 21, 'تفصيل قصة المرض الحالي:');
INSERT INTO `lang_definitions` VALUES (78934, 2883, 21, 'الطول');
INSERT INTO `lang_definitions` VALUES (78935, 2884, 21, 'لغة رقم النص الفائق (إتش تي أم إل)');
INSERT INTO `lang_definitions` VALUES (78936, 2885, 21, 'مخرجات لغة النص الفائق (إتش تي أم إال ) ؟');
INSERT INTO `lang_definitions` VALUES (78937, 2886, 21, 'رابط Https للبرنامج علي خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (78938, 2887, 21, 'مجري- هنغاري');
INSERT INTO `lang_definitions` VALUES (78939, 2888, 21, 'مجلّد Hylafax');
INSERT INTO `lang_definitions` VALUES (78940, 2889, 21, 'أمر Hylafax');
INSERT INTO `lang_definitions` VALUES (78941, 2890, 21, 'خادم Hylafax');
INSERT INTO `lang_definitions` VALUES (78942, 2891, 21, 'إسم خادم Hylafax');
INSERT INTO `lang_definitions` VALUES (78943, 2892, 21, 'مفرط النشاط');
INSERT INTO `lang_definitions` VALUES (78944, 2893, 21, 'فرط ضغط الدم');
INSERT INTO `lang_definitions` VALUES (78945, 2894, 21, 'ضغط الدم: قياس ضغط الدم');
INSERT INTO `lang_definitions` VALUES (78946, 2895, 21, 'ضغط الدم: قياس ضغط الدم (CQM)');
INSERT INTO `lang_definitions` VALUES (78947, 2896, 21, 'فرط الدرقية');
INSERT INTO `lang_definitions` VALUES (78948, 2897, 21, 'قصور الدرقية');
INSERT INTO `lang_definitions` VALUES (78949, 2898, 21, 'إستئصال الرحم');
INSERT INTO `lang_definitions` VALUES (78950, 2900, 21, 'أنا مشغول في هذا الوقت');
INSERT INTO `lang_definitions` VALUES (78951, 2901, 21, 'ليس لدي صلاحية القراءة ');
INSERT INTO `lang_definitions` VALUES (78952, 2902, 21, 'التصنيف الدولي للأمراض');
INSERT INTO `lang_definitions` VALUES (78953, 2903, 21, 'التصنيف الدولي العاشر للأمراض: التشخيص');
INSERT INTO `lang_definitions` VALUES (78954, 2904, 21, 'التصنيف الدولي العاشر للأمراض: الإجراءات- الخدمات');
INSERT INTO `lang_definitions` VALUES (78955, 2905, 21, 'التصنيف الدولي للأمراض - الطبعة التاسعة');
INSERT INTO `lang_definitions` VALUES (78956, 2906, 21, 'التصنيف الدولي التاسع للأمراض: التشخيص');
INSERT INTO `lang_definitions` VALUES (78957, 2907, 21, 'التصنيف الدولي التاسع للأمراض: الإجراءات-الخدمات');
INSERT INTO `lang_definitions` VALUES (78958, 2909, 21, 'رقم الهوية');
INSERT INTO `lang_definitions` VALUES (78959, 2910, 21, 'رقم الهوية');
INSERT INTO `lang_definitions` VALUES (78960, 2911, 21, 'رقم الهوية لا يمكن ان يكون فارغاُ');
INSERT INTO `lang_definitions` VALUES (78961, 2912, 21, 'بطاقة الهوية الوطنية');
INSERT INTO `lang_definitions` VALUES (78962, 2913, 21, 'IDays');
INSERT INTO `lang_definitions` VALUES (78963, 2914, 21, 'معرّف ك');
INSERT INTO `lang_definitions` VALUES (78964, 2915, 21, 'معرٍف (كلمة واحدة)');
INSERT INTO `lang_definitions` VALUES (78965, 2916, 21, 'رمز التعرفة');
INSERT INTO `lang_definitions` VALUES (78966, 2917, 21, 'إنتهاء وقت الجلسة بالثواني');
INSERT INTO `lang_definitions` VALUES (78967, 2919, 21, 'أذا كانت كل البيانات من كل الأعمدة مكتملة لهذا النموذج ');
INSERT INTO `lang_definitions` VALUES (78968, 2920, 21, 'أدخل رمز التشخيص لو تم إستخدام تعليل للفوترة');
INSERT INTO `lang_definitions` VALUES (78969, 2921, 21, 'لو تم اﻹدخال, إختر أولئك الذين كانت عندهم الخدمة');
INSERT INTO `lang_definitions` VALUES (78970, 2922, 21, 'لو إسم, اذا اي جزء من اﻷسم سواء اﻷول,اﻷخير');
INSERT INTO `lang_definitions` VALUES (78971, 2923, 21, 'أذا كان الدفع عن طريق');
INSERT INTO `lang_definitions` VALUES (78972, 2924, 21, 'أذاكان الشخص متوفي, ادخل تاريخ الوفاة');
INSERT INTO `lang_definitions` VALUES (78973, 2925, 21, 'لو تم إستخدام SMTP, اسم الخادم او عنوان ال IP');
INSERT INTO `lang_definitions` VALUES (78974, 2926, 21, 'لو تم إستخدام SMTP, رقم فتحة الخادم (عادة رقم 25)');
INSERT INTO `lang_definitions` VALUES (78975, 2927, 21, 'أذاكان غير موظف ادخل طالب');
INSERT INTO `lang_definitions` VALUES (78976, 2928, 21, 'إختر العمر بالسنوات بدلا عن سنه شهر يوم');
INSERT INTO `lang_definitions` VALUES (78977, 2929, 21, 'إذا تم تغيير دور e-RX للوصفة الإلكترونية فإن ذلك سيؤثر على سير العمل, إتصل بندوبهم لمزيد من التفاصيل');
INSERT INTO `lang_definitions` VALUES (78978, 2931, 21, 'إذا كنت إخترت التحويلات المالية الإلكترونية إذا نافذة البحث ستستعرض الفواتير من الملف X12. بإمكانك تغيير اي من هذه الملفات بالضغط عليه قبل الشروع في التحويل');
INSERT INTO `lang_definitions` VALUES (78979, 2932, 21, 'لو أدخلت تاريخا للمرتب فى صفحة البحث فسوف يتفادي المعايير المأخودة من الملف X12 و المتعلقه بتواريخ الدفع. هذة الخاصية مفيدة لأغراض إنشاء التقارير. هذا الإختيار سوف يؤثر على تواريخ الدفوعات السابقه و المتعلقة بالمطالبات الثانوية');
INSERT INTO `lang_definitions` VALUES (78980, 2933, 21, 'إذا كنت تريد تغيير نوعية البيانات أو إضافة أصفف أو أعمدة');
INSERT INTO `lang_definitions` VALUES (78981, 2934, 21, 'إذا كنت تريد ترقية قاعدة البيانات فعليك وضع ملفها المضغوط فى المجلّد التالي');
INSERT INTO `lang_definitions` VALUES (78982, 2936, 21, 'تجاهل');
INSERT INTO `lang_definitions` VALUES (78983, 2937, 21, 'داء');
INSERT INTO `lang_definitions` VALUES (78984, 2938, 21, 'في العضل');
INSERT INTO `lang_definitions` VALUES (78985, 2941, 21, 'خدمات التصوير');
INSERT INTO `lang_definitions` VALUES (78986, 2942, 21, 'التطعيم');
INSERT INTO `lang_definitions` VALUES (78987, 2943, 21, 'رمز التطعيم');
INSERT INTO `lang_definitions` VALUES (78988, 2945, 21, 'تاريخ التطعيم');
INSERT INTO `lang_definitions` VALUES (78989, 2946, 21, 'تاريخ إنتهاء التطعيم');
INSERT INTO `lang_definitions` VALUES (78990, 2947, 21, 'الرقم المصنعي الخاص بالتطعيمة Lot Number');
INSERT INTO `lang_definitions` VALUES (78991, 2948, 21, 'مصنع التطعيمة');
INSERT INTO `lang_definitions` VALUES (78992, 2949, 21, 'سجل التطعيم');
INSERT INTO `lang_definitions` VALUES (78993, 2951, 21, 'خدمة التطعيم');
INSERT INTO `lang_definitions` VALUES (78994, 2952, 21, 'أسم التطعيم');
INSERT INTO `lang_definitions` VALUES (78995, 2953, 21, 'التطعيمات');
INSERT INTO `lang_definitions` VALUES (78996, 2954, 21, 'حصن');
INSERT INTO `lang_definitions` VALUES (78997, 2955, 21, 'مناعي');
INSERT INTO `lang_definitions` VALUES (78998, 2956, 21, 'زرع');
INSERT INTO `lang_definitions` VALUES (78999, 2957, 21, 'استورد');
INSERT INTO `lang_definitions` VALUES (79000, 2961, 21, 'إستورد الشهادة الي المتصفح');
INSERT INTO `lang_definitions` VALUES (79001, 2962, 21, 'إستورد الإعدادات');
INSERT INTO `lang_definitions` VALUES (79002, 2964, 21, 'إستورد المريض');
INSERT INTO `lang_definitions` VALUES (79003, 2965, 21, 'إستورد ديموجرافيا المريض');
INSERT INTO `lang_definitions` VALUES (79004, 2966, 21, 'رموز مهمة');
INSERT INTO `lang_definitions` VALUES (79005, 2967, 21, 'تحذير مهم: أداة الرفع هذه لرفع الملفات للمرضى الذين لم يتم تسجيلهم في النظام. ولرفع الملفات للمرضى الموجودين مسبقا في النظام, الرجاء استخدام رابط أداة الرفع الموجودة في نافذة المريض الموجزة.');
INSERT INTO `lang_definitions` VALUES (79006, 2969, 21, 'مستوردة من المحاسبة');
INSERT INTO `lang_definitions` VALUES (79007, 2972, 21, 'تحسن');
INSERT INTO `lang_definitions` VALUES (79008, 2973, 21, 'داخل');
INSERT INTO `lang_definitions` VALUES (79009, 2974, 21, 'داخل');
INSERT INTO `lang_definitions` VALUES (79010, 2975, 21, 'في كل عين');
INSERT INTO `lang_definitions` VALUES (79011, 2976, 21, 'في العين اليسرى');
INSERT INTO `lang_definitions` VALUES (79012, 2977, 21, 'فتحة الأنف');
INSERT INTO `lang_definitions` VALUES (79013, 2978, 21, 'في المكتب');
INSERT INTO `lang_definitions` VALUES (79014, 2979, 21, 'في العين اليمنى');
INSERT INTO `lang_definitions` VALUES (79015, 2980, 21, 'في المنزل');
INSERT INTO `lang_definitions` VALUES (79016, 2981, 21, 'خامل');
INSERT INTO `lang_definitions` VALUES (79017, 2982, 21, 'أيام خاملة');
INSERT INTO `lang_definitions` VALUES (79018, 2983, 21, 'الصندوق');
INSERT INTO `lang_definitions` VALUES (79019, 2986, 21, 'اشمل Checksum');
INSERT INTO `lang_definitions` VALUES (79020, 2987, 21, 'ادراج المكتمل');
INSERT INTO `lang_definitions` VALUES (79021, 2988, 21, 'ادراج المستخدمين الغير نشطيين');
INSERT INTO `lang_definitions` VALUES (79022, 2989, 21, 'ادراج الغير مصنف');
INSERT INTO `lang_definitions` VALUES (79023, 2990, 21, 'ادراج البيانات الغير منظمة');
INSERT INTO `lang_definitions` VALUES (79024, 2991, 21, 'ادراج العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (79025, 2992, 21, 'ادارج بيانات العلامات الحيوية؟');
INSERT INTO `lang_definitions` VALUES (79026, 2993, 21, 'إشتمال');
INSERT INTO `lang_definitions` VALUES (79027, 2994, 21, 'الدخل');
INSERT INTO `lang_definitions` VALUES (79028, 2996, 21, 'غير كامل');
INSERT INTO `lang_definitions` VALUES (79029, 2997, 21, 'علاج إجهاض غير مكتمل');
INSERT INTO `lang_definitions` VALUES (79030, 2998, 21, 'سلس البول');
INSERT INTO `lang_definitions` VALUES (79031, 2999, 21, 'ادمج نتائج التحاليل الطبية مع تقنية EHR المعتمدة كبيانات مؤسسة');
INSERT INTO `lang_definitions` VALUES (79032, 3000, 21, 'كلمة السر غير صحيحة!');
INSERT INTO `lang_definitions` VALUES (79033, 3001, 21, 'زيادة :');
INSERT INTO `lang_definitions` VALUES (79034, 3002, 21, 'تعويض التأمين');
INSERT INTO `lang_definitions` VALUES (79035, 3003, 21, 'غير معروف');
INSERT INTO `lang_definitions` VALUES (79036, 3004, 21, 'هندي');
INSERT INTO `lang_definitions` VALUES (79037, 3005, 21, 'يدل علي المرض/ العلّة');
INSERT INTO `lang_definitions` VALUES (79038, 3006, 21, 'نوه اذا كانت المشكلة حاليا نشطة');
INSERT INTO `lang_definitions` VALUES (79039, 3008, 21, 'مؤشر للإستخدام المتخصص');
INSERT INTO `lang_definitions` VALUES (79040, 3009, 21, 'مريض معوز');
INSERT INTO `lang_definitions` VALUES (79041, 3010, 21, 'تقارير المرضى المعوزين');
INSERT INTO `lang_definitions` VALUES (79042, 3011, 21, 'المعوزين');
INSERT INTO `lang_definitions` VALUES (79043, 3014, 21, 'إجهاض محرض');
INSERT INTO `lang_definitions` VALUES (79044, 3016, 21, 'غير مؤهل');
INSERT INTO `lang_definitions` VALUES (79045, 3017, 21, 'عدوى / خراج');
INSERT INTO `lang_definitions` VALUES (79046, 3018, 21, 'عدوى');
INSERT INTO `lang_definitions` VALUES (79047, 3019, 21, 'مشورات العقم');
INSERT INTO `lang_definitions` VALUES (79048, 3020, 21, 'العقم');
INSERT INTO `lang_definitions` VALUES (79049, 3021, 21, 'انفلونزا 1');
INSERT INTO `lang_definitions` VALUES (79050, 3022, 21, 'انفلونزا 2');
INSERT INTO `lang_definitions` VALUES (79051, 3023, 21, 'تطعييم انفلونزا للمرضي اكبر من او يساوي 50 عاما');
INSERT INTO `lang_definitions` VALUES (79052, 3024, 21, 'تطعييم انفلونزا للمرضي اكبر من او يساوي 50 عاما (CQM)');
INSERT INTO `lang_definitions` VALUES (79053, 3025, 21, 'لقاح الإنفلونزا');
INSERT INTO `lang_definitions` VALUES (79054, 3026, 21, 'معلومات');
INSERT INTO `lang_definitions` VALUES (79055, 3027, 21, 'إختبار المعلومه 1');
INSERT INTO `lang_definitions` VALUES (79056, 3028, 21, 'إختبار المعلومه 2');
INSERT INTO `lang_definitions` VALUES (79057, 3029, 21, 'إختبار المعلومه 3');
INSERT INTO `lang_definitions` VALUES (79058, 3030, 21, 'إختبار المعلومه 4');
INSERT INTO `lang_definitions` VALUES (79059, 3031, 21, 'إختبار المعلومه 5');
INSERT INTO `lang_definitions` VALUES (79060, 3032, 21, 'إختبار المعلومه 6');
INSERT INTO `lang_definitions` VALUES (79061, 3034, 21, 'إستنشاق');
INSERT INTO `lang_definitions` VALUES (79062, 3035, 21, 'إستنشاق');
INSERT INTO `lang_definitions` VALUES (79063, 3037, 21, 'المستخدم الأول');
INSERT INTO `lang_definitions` VALUES (79064, 3038, 21, 'تلقيح/ تأهيل');
INSERT INTO `lang_definitions` VALUES (79065, 3039, 21, 'الحقن');
INSERT INTO `lang_definitions` VALUES (79066, 3040, 21, 'حقنة');
INSERT INTO `lang_definitions` VALUES (79067, 3041, 21, 'اجزاء الجسم المصابة');
INSERT INTO `lang_definitions` VALUES (79068, 3042, 21, 'قسم الجروح الخارجي');
INSERT INTO `lang_definitions` VALUES (79069, 3043, 21, 'إصابة');
INSERT INTO `lang_definitions` VALUES (79070, 3044, 21, 'كيفية الإصابة');
INSERT INTO `lang_definitions` VALUES (79071, 3045, 21, 'تقرير موجز الإصابة');
INSERT INTO `lang_definitions` VALUES (79072, 3046, 21, 'مراقية الإصابات');
INSERT INTO `lang_definitions` VALUES (79073, 3047, 21, 'نوع الإصابة');
INSERT INTO `lang_definitions` VALUES (79074, 3048, 21, 'متعلق بالمرض/الإصابة');
INSERT INTO `lang_definitions` VALUES (79075, 3050, 21, 'الإدخال غير مبتدئ بمقطع MSH');
INSERT INTO `lang_definitions` VALUES (79076, 3051, 21, 'حقول الإدخال');
INSERT INTO `lang_definitions` VALUES (79077, 3052, 21, 'إختبار تخثر الدم بناء علي وقت البروثرومبن');
INSERT INTO `lang_definitions` VALUES (79078, 3053, 21, 'تأمين 1');
INSERT INTO `lang_definitions` VALUES (79079, 3054, 21, 'تأمين 2 او تأمين 3');
INSERT INTO `lang_definitions` VALUES (79080, 3055, 21, 'عنوان التأمين');
INSERT INTO `lang_definitions` VALUES (79081, 3056, 21, 'تعديل التأمين');
INSERT INTO `lang_definitions` VALUES (79082, 3057, 21, 'تحزيم التأمين');
INSERT INTO `lang_definitions` VALUES (79083, 3058, 21, 'كود التأمين');
INSERT INTO `lang_definitions` VALUES (79084, 3059, 21, 'مجموعة التأمين');
INSERT INTO `lang_definitions` VALUES (79085, 3060, 21, 'إسم التأمين');
INSERT INTO `lang_definitions` VALUES (79086, 3061, 21, 'دفع زيادة التأمين');
INSERT INTO `lang_definitions` VALUES (79087, 3062, 21, 'بوليصه التأمين');
INSERT INTO `lang_definitions` VALUES (79088, 3063, 21, 'إرجاع التأمين');
INSERT INTO `lang_definitions` VALUES (79089, 3064, 21, 'ملخص التأمين');
INSERT INTO `lang_definitions` VALUES (79090, 3065, 21, 'تأمين 1');
INSERT INTO `lang_definitions` VALUES (79091, 3066, 21, 'تأمين 2');
INSERT INTO `lang_definitions` VALUES (79092, 3067, 21, 'تأمين 3');
INSERT INTO `lang_definitions` VALUES (79093, 3069, 21, 'فشلت الإضافة ');
INSERT INTO `lang_definitions` VALUES (79094, 3070, 21, 'أضف الأحداث القديمة في جداول');
INSERT INTO `lang_definitions` VALUES (79095, 3072, 21, 'أرق');
INSERT INTO `lang_definitions` VALUES (79096, 3073, 21, 'فحص السجل');
INSERT INTO `lang_definitions` VALUES (79097, 3074, 21, 'تفتيش');
INSERT INTO `lang_definitions` VALUES (79098, 3075, 21, 'غير ثابت/ خلع جزئي');
INSERT INTO `lang_definitions` VALUES (79099, 3076, 21, 'تثبيت');
INSERT INTO `lang_definitions` VALUES (79100, 3077, 21, 'تثبيت');
INSERT INTO `lang_definitions` VALUES (79101, 3079, 21, 'تثبيت قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (79102, 3080, 21, 'النسخة المثبتة');
INSERT INTO `lang_definitions` VALUES (79103, 3081, 21, 'أرشد');
INSERT INTO `lang_definitions` VALUES (79104, 3082, 21, 'تعليمات');
INSERT INTO `lang_definitions` VALUES (79105, 3084, 21, 'تعليمات :');
INSERT INTO `lang_definitions` VALUES (79106, 3085, 21, 'بضاعة غير كافية للمنتج 1ا الهوية');
INSERT INTO `lang_definitions` VALUES (79107, 3086, 21, 'السكري المعتمد على الإنسولين');
INSERT INTO `lang_definitions` VALUES (79108, 3087, 21, 'تأمين');
INSERT INTO `lang_definitions` VALUES (79109, 3088, 21, 'تأمين');
INSERT INTO `lang_definitions` VALUES (79110, 3091, 21, 'رصيد حساب التأمين');
INSERT INTO `lang_definitions` VALUES (79111, 3092, 21, 'رصيد حساب التامين المستحق');
INSERT INTO `lang_definitions` VALUES (79112, 3093, 21, 'شركة التأمين');
INSERT INTO `lang_definitions` VALUES (79113, 3094, 21, 'شركات التأمين');
INSERT INTO `lang_definitions` VALUES (79114, 3095, 21, 'شركة التأمين');
INSERT INTO `lang_definitions` VALUES (79115, 3096, 21, 'بحث/ إضافة شركة تأمين');
INSERT INTO `lang_definitions` VALUES (79116, 3098, 21, 'تاريخ التأمين');
INSERT INTO `lang_definitions` VALUES (79117, 3099, 21, 'معلومات التأمين في الملف');
INSERT INTO `lang_definitions` VALUES (79118, 3100, 21, 'رقم التأمين');
INSERT INTO `lang_definitions` VALUES (79119, 3101, 21, 'مدفوعات التأمين');
INSERT INTO `lang_definitions` VALUES (79120, 3103, 21, 'شركة تأمين');
INSERT INTO `lang_definitions` VALUES (79121, 3106, 21, 'مؤمن');
INSERT INTO `lang_definitions` VALUES (79122, 3107, 21, 'مجمل التناول');
INSERT INTO `lang_definitions` VALUES (79123, 3108, 21, 'تاريخ التناول');
INSERT INTO `lang_definitions` VALUES (79124, 3109, 21, 'إنخفاض فكري');
INSERT INTO `lang_definitions` VALUES (79125, 3113, 21, 'خطأ داخلي - لم يتم تحديد الصفحات !');
INSERT INTO `lang_definitions` VALUES (79126, 3114, 21, 'خطأ داخلي - لم يتم توفير رقم المريض !');
INSERT INTO `lang_definitions` VALUES (79127, 3115, 21, 'خطأ داخلي في الوصول الى الملف المحمل !');
INSERT INTO `lang_definitions` VALUES (79128, 3116, 21, 'خطأ داخلي');
INSERT INTO `lang_definitions` VALUES (79129, 3117, 21, 'خطأ داخلي لم يتم تحديد رقم الدواء !');
INSERT INTO `lang_definitions` VALUES (79130, 3118, 21, 'خطأ داخلي: لم يعثر علي MSH-10');
INSERT INTO `lang_definitions` VALUES (79131, 3119, 21, 'خطأ داخلي: مطالبة ');
INSERT INTO `lang_definitions` VALUES (79132, 3120, 21, 'خطأ داخلي: الزيارة\'');
INSERT INTO `lang_definitions` VALUES (79133, 3121, 21, 'خطأ داخلي: الزيارة او المعرف داخلي مفقود');
INSERT INTO `lang_definitions` VALUES (79134, 3122, 21, 'خطأ داخلي: لا يبدو انك بداخل صفحة الزيارة');
INSERT INTO `lang_definitions` VALUES (79135, 3123, 21, 'معرف داخلي');
INSERT INTO `lang_definitions` VALUES (79136, 3126, 21, 'الإحالات الداخلية');
INSERT INTO `lang_definitions` VALUES (79137, 3127, 21, 'تم جمع الوقت الداخلي');
INSERT INTO `lang_definitions` VALUES (79138, 3128, 21, 'مهمة دولية');
INSERT INTO `lang_definitions` VALUES (79139, 3129, 21, 'مترجم');
INSERT INTO `lang_definitions` VALUES (79140, 3130, 21, 'هل تحتاج الى مترجم؟');
INSERT INTO `lang_definitions` VALUES (79141, 3131, 21, 'الأمراض الخلالية الرئوية');
INSERT INTO `lang_definitions` VALUES (79142, 3132, 21, 'فاصل زمني');
INSERT INTO `lang_definitions` VALUES (79143, 3133, 21, 'فاصل زمني (دقائق)');
INSERT INTO `lang_definitions` VALUES (79144, 3134, 21, 'فاصل زمني بين تفقد الرسائل (اذا كان علي 0 فالتفقد يدوى فقط)');
INSERT INTO `lang_definitions` VALUES (79145, 3135, 21, 'تدخل');
INSERT INTO `lang_definitions` VALUES (79146, 3136, 21, 'تم التدخل');
INSERT INTO `lang_definitions` VALUES (79147, 3137, 21, 'حساسية مفرطة');
INSERT INTO `lang_definitions` VALUES (79148, 3139, 21, 'العضل');
INSERT INTO `lang_definitions` VALUES (79149, 3140, 21, 'وريدي');
INSERT INTO `lang_definitions` VALUES (79150, 3141, 21, 'مقدمة');
INSERT INTO `lang_definitions` VALUES (79151, 3144, 21, 'حرف غير صالح في');
INSERT INTO `lang_definitions` VALUES (79152, 3147, 21, 'الطول غير صالح ل');
INSERT INTO `lang_definitions` VALUES (79153, 3148, 21, 'رمز غير رقمي في');
INSERT INTO `lang_definitions` VALUES (79154, 3149, 21, 'الدافع غير صالح او مفقود فى الكود الأساسي ');
INSERT INTO `lang_definitions` VALUES (79155, 3150, 21, 'عنوان المتلقي غير صالح. حاول مجددا');
INSERT INTO `lang_definitions` VALUES (79156, 3151, 21, 'رموز خدمة غير صالحة');
INSERT INTO `lang_definitions` VALUES (79157, 3152, 21, 'التوصيف الأساسي غير صالح');
INSERT INTO `lang_definitions` VALUES (79158, 3153, 21, 'أسم المستخدم او الرقم السري غير صالح');
INSERT INTO `lang_definitions` VALUES (79159, 3154, 21, 'كمية المخزون');
INSERT INTO `lang_definitions` VALUES (79160, 3155, 21, 'بيان الجرد');
INSERT INTO `lang_definitions` VALUES (79161, 3156, 21, 'أنشطة الجرد');
INSERT INTO `lang_definitions` VALUES (79162, 3157, 21, 'تخزين و بيع كل البضائع كأدوية و غير أدوية');
INSERT INTO `lang_definitions` VALUES (79163, 3158, 21, 'تخزين و بيع البضائع الدوائية فقط');
INSERT INTO `lang_definitions` VALUES (79164, 3159, 21, 'الجرد غير متوفر لهذا الطلب');
INSERT INTO `lang_definitions` VALUES (79165, 3160, 21, 'قائمة الجرد');
INSERT INTO `lang_definitions` VALUES (79166, 3161, 21, 'تعاملات بيان الجرد');
INSERT INTO `lang_definitions` VALUES (79167, 3162, 21, 'فاتورة');
INSERT INTO `lang_definitions` VALUES (79168, 3163, 21, 'فاتورة');
INSERT INTO `lang_definitions` VALUES (79169, 3164, 21, 'فاتورة باقى الحساب');
INSERT INTO `lang_definitions` VALUES (79170, 3165, 21, 'لا يمكن عرض فاتورة باقى الحساب. الزيارة لم تنشأ بعد');
INSERT INTO `lang_definitions` VALUES (79171, 3166, 21, 'تاريخ الفاتورة');
INSERT INTO `lang_definitions` VALUES (79172, 3167, 21, 'الفاتورة لا تحتوي على تاريخ!');
INSERT INTO `lang_definitions` VALUES (79173, 3168, 21, 'رقم الفاتورة');
INSERT INTO `lang_definitions` VALUES (79174, 3169, 21, 'الرقم المرجعي للفاتورة');
INSERT INTO `lang_definitions` VALUES (79175, 3170, 21, 'جمع الرقم المرجعي للفواتير المستخدمه');
INSERT INTO `lang_definitions` VALUES (79176, 3171, 21, 'جمع الرقم المرجعي للفواتير');
INSERT INTO `lang_definitions` VALUES (79177, 3172, 21, 'مجمع ارقام الإيصالات');
INSERT INTO `lang_definitions` VALUES (79178, 3173, 21, 'فاتورة:');
INSERT INTO `lang_definitions` VALUES (79179, 3174, 21, 'الإتحاد الدولي لتنظيم الأسرة');
INSERT INTO `lang_definitions` VALUES (79180, 3175, 21, 'الإتحاد الدولي لتنظيم الأسرة - الإجهاض');
INSERT INTO `lang_definitions` VALUES (79181, 3176, 21, 'الإتحاد الدولي لتنظيم الأسرة - موانع الحمل');
INSERT INTO `lang_definitions` VALUES (79182, 3177, 21, 'بيانات الإتحاد الدولي لتنظيم الأسرة');
INSERT INTO `lang_definitions` VALUES (79183, 3178, 21, 'الإتحاد الدولي لتنظيم الأسرة - التقرير الإحصائي');
INSERT INTO `lang_definitions` VALUES (79184, 3179, 21, 'احصائيات الإتحاد الدولي لتنظيم الأسرة');
INSERT INTO `lang_definitions` VALUES (79185, 3180, 21, 'تطعيم فيروس البابيلوما 1');
INSERT INTO `lang_definitions` VALUES (79186, 3181, 21, 'تطعيم فيروس البابيلوما 2');
INSERT INTO `lang_definitions` VALUES (79187, 3182, 21, 'تطعيم فيروس البابيلوما 3');
INSERT INTO `lang_definitions` VALUES (79188, 3183, 21, 'تطعيم فيروس البابيلوما 4');
INSERT INTO `lang_definitions` VALUES (79189, 3185, 21, 'ضربات قلب غير منتظمة');
INSERT INTO `lang_definitions` VALUES (79190, 3186, 21, 'التهيج المفرط');
INSERT INTO `lang_definitions` VALUES (79191, 3187, 21, 'تهيج');
INSERT INTO `lang_definitions` VALUES (79192, 3188, 21, 'نسخه للغه مختلفه من قاعدت البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (79193, 3189, 21, 'نسخه مختلفه من قاعدت البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (79194, 3190, 21, 'اصدار احدث من قاعده البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (79195, 3191, 21, 'خانه مطلوبه');
INSERT INTO `lang_definitions` VALUES (79196, 3192, 21, 'عقدة أساسية و لا يمكن مسحها');
INSERT INTO `lang_definitions` VALUES (79197, 3193, 21, 'امتداد لقاعده البيانات التاليه');
INSERT INTO `lang_definitions` VALUES (79198, 3195, 21, 'في غير موضعة او غير معروف');
INSERT INTO `lang_definitions` VALUES (79199, 3197, 21, 'غير صالح (الكسور العشرية مقبولة)');
INSERT INTO `lang_definitions` VALUES (79200, 3198, 21, 'هل يستخدم ال PHP الوضع الامن؟');
INSERT INTO `lang_definitions` VALUES (79201, 3200, 21, 'هل سيتم ترجمة النص من توزيعة الطلب؟');
INSERT INTO `lang_definitions` VALUES (79202, 3201, 21, 'هل سيتم ترجمة النص من القوائم؟');
INSERT INTO `lang_definitions` VALUES (79203, 3202, 21, 'هل الملف مشفر؟');
INSERT INTO `lang_definitions` VALUES (79204, 3203, 21, 'هل هذا رمز لمصطلح طبي؟');
INSERT INTO `lang_definitions` VALUES (79205, 3204, 21, 'هل هذا نوع التشخيص؟');
INSERT INTO `lang_definitions` VALUES (79206, 3205, 21, 'هل هذا نوع من ترميز المشاكل الطبية ؟');
INSERT INTO `lang_definitions` VALUES (79207, 3207, 21, 'هل هذا نوع عملية / خدمة ؟');
INSERT INTO `lang_definitions` VALUES (79208, 3208, 21, 'هل هذا نشط ؟');
INSERT INTO `lang_definitions` VALUES (79209, 3209, 21, 'هل نوع الترميز هذا نشط ؟');
INSERT INTO `lang_definitions` VALUES (79210, 3210, 21, 'هل هذا الرمز مستخدم فى المطالبات؟');
INSERT INTO `lang_definitions` VALUES (79211, 3212, 21, 'هل هذا النوع مخبأ فى صحيفة الرسوم؟');
INSERT INTO `lang_definitions` VALUES (79212, 3213, 21, 'هل يتم استخدام جداول sql خارجية؟ لو نعم اذا إختر الصيغة');
INSERT INTO `lang_definitions` VALUES (79213, 3214, 21, 'طويل للغاية');
INSERT INTO `lang_definitions` VALUES (79214, 3216, 21, 'مشكلة');
INSERT INTO `lang_definitions` VALUES (79215, 3217, 21, 'مشكلة');
INSERT INTO `lang_definitions` VALUES (79216, 3218, 21, 'تاريخ المشكلة');
INSERT INTO `lang_definitions` VALUES (79217, 3219, 21, 'رقم الإصدار');
INSERT INTO `lang_definitions` VALUES (79218, 3220, 21, 'أسم المشكلة');
INSERT INTO `lang_definitions` VALUES (79219, 3221, 21, 'نوع المشكلة');
INSERT INTO `lang_definitions` VALUES (79220, 3222, 21, 'أنواع المشاكل');
INSERT INTO `lang_definitions` VALUES (79221, 3223, 21, 'مشاكل');
INSERT INTO `lang_definitions` VALUES (79222, 3224, 21, 'مشاكل ( إصابات/ صحي/حساسية)');
INSERT INTO `lang_definitions` VALUES (79223, 3225, 21, 'مشاكل ( إصابات/ صحي/حساسية) :');
INSERT INTO `lang_definitions` VALUES (79224, 3226, 21, 'المشاكل والزيارات');
INSERT INTO `lang_definitions` VALUES (79225, 3227, 21, 'المشاكل والزيارات لــ');
INSERT INTO `lang_definitions` VALUES (79226, 3228, 21, 'المشاكل غير مصرح بها');
INSERT INTO `lang_definitions` VALUES (79227, 3229, 21, 'قسم المشاكل');
INSERT INTO `lang_definitions` VALUES (79228, 3230, 21, 'إيطالي');
INSERT INTO `lang_definitions` VALUES (79229, 3231, 21, 'بند');
INSERT INTO `lang_definitions` VALUES (79230, 3232, 21, 'بند');
INSERT INTO `lang_definitions` VALUES (79231, 3233, 21, 'بنود');
INSERT INTO `lang_definitions` VALUES (79232, 3234, 21, 'تعثر تحميل البنود');
INSERT INTO `lang_definitions` VALUES (79233, 3235, 21, 'وحدة دولية لكل ليتر');
INSERT INTO `lang_definitions` VALUES (79234, 3236, 21, 'الجهاز الواقي داخل الرحم');
INSERT INTO `lang_definitions` VALUES (79235, 3237, 21, 'العلاج عن طريق الوريد');
INSERT INTO `lang_definitions` VALUES (79236, 3238, 21, 'يناير/كانون الثاني');
INSERT INTO `lang_definitions` VALUES (79237, 3239, 21, 'يناير/كانون الثاني');
INSERT INTO `lang_definitions` VALUES (79238, 3240, 21, 'ياباني');
INSERT INTO `lang_definitions` VALUES (79239, 3241, 21, 'شعور الإشمئزاز');
INSERT INTO `lang_definitions` VALUES (79240, 3243, 21, 'وصف الوظيفة');
INSERT INTO `lang_definitions` VALUES (79241, 3244, 21, 'رقم الوظيفة');
INSERT INTO `lang_definitions` VALUES (79242, 3245, 21, 'خلع المفصل');
INSERT INTO `lang_definitions` VALUES (79243, 3246, 21, 'ألم المفصل');
INSERT INTO `lang_definitions` VALUES (79244, 3247, 21, 'خلع ناقص للمفصل');
INSERT INTO `lang_definitions` VALUES (79245, 3248, 21, 'يوليو/تموز');
INSERT INTO `lang_definitions` VALUES (79246, 3249, 21, 'يوليو/تموز');
INSERT INTO `lang_definitions` VALUES (79247, 3250, 21, 'يونيو/حزيران');
INSERT INTO `lang_definitions` VALUES (79248, 3251, 21, 'يونيو/حزيران');
INSERT INTO `lang_definitions` VALUES (79249, 3252, 21, 'أدخل كلمات البحث فى المنطقة الزرقاء ادناه. يمكنك البحث بإسم المريض, تاريخ الزيارة, رقم الإيصال او رقم المخطط');
INSERT INTO `lang_definitions` VALUES (79250, 3253, 21, 'خاص بي فقط');
INSERT INTO `lang_definitions` VALUES (79251, 3254, 21, 'مبررات الإدخالات');
INSERT INTO `lang_definitions` VALUES (79252, 3255, 21, 'يبرر');
INSERT INTO `lang_definitions` VALUES (79253, 3256, 21, 'برر/إحفظ');
INSERT INTO `lang_definitions` VALUES (79254, 3257, 21, 'J{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (79255, 3258, 21, 'حسناَ اليك البقية');
INSERT INTO `lang_definitions` VALUES (79256, 3264, 21, 'مفتاح');
INSERT INTO `lang_definitions` VALUES (79257, 3265, 21, 'مفردات الكلمات');
INSERT INTO `lang_definitions` VALUES (79258, 3266, 21, 'كجم');
INSERT INTO `lang_definitions` VALUES (79259, 3267, 21, 'كجم لكل متر مربع');
INSERT INTO `lang_definitions` VALUES (79260, 3269, 21, 'سرطان الكلية');
INSERT INTO `lang_definitions` VALUES (79261, 3270, 21, 'فشل كلوي');
INSERT INTO `lang_definitions` VALUES (79262, 3271, 21, 'إلتهاب كلوي');
INSERT INTO `lang_definitions` VALUES (79263, 3272, 21, 'حصوات الكلى');
INSERT INTO `lang_definitions` VALUES (79264, 3273, 21, 'زرع الكلى');
INSERT INTO `lang_definitions` VALUES (79265, 3277, 21, 'ركبة');
INSERT INTO `lang_definitions` VALUES (79266, 3278, 21, 'مشاكل الركبة');
INSERT INTO `lang_definitions` VALUES (79267, 3279, 21, 'إستبدال الركبة');
INSERT INTO `lang_definitions` VALUES (79268, 3282, 21, 'كوري');
INSERT INTO `lang_definitions` VALUES (79269, 3286, 21, 'مختبر');
INSERT INTO `lang_definitions` VALUES (79270, 3288, 21, 'عنوان موقع تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (79271, 3289, 21, 'رقم هوية موقع تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (79272, 3290, 21, 'عنوان علامة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (79273, 3294, 21, 'حالة إستعلام المختبر');
INSERT INTO `lang_definitions` VALUES (79274, 3295, 21, 'تقرير المختبر');
INSERT INTO `lang_definitions` VALUES (79275, 3296, 21, 'نتيجة المختبر');
INSERT INTO `lang_definitions` VALUES (79276, 3297, 21, 'نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (79277, 3299, 21, 'تقرير نتائج المختبر');
INSERT INTO `lang_definitions` VALUES (79278, 3300, 21, 'خدمات المختبر');
INSERT INTO `lang_definitions` VALUES (79279, 3301, 21, 'نتائج التحليل');
INSERT INTO `lang_definitions` VALUES (79280, 3303, 21, 'ملصق');
INSERT INTO `lang_definitions` VALUES (79281, 3304, 21, 'الملصق لا يمكن أن يكون فارغاً');
INSERT INTO `lang_definitions` VALUES (79282, 3305, 21, 'عمدان الملصقات');
INSERT INTO `lang_definitions` VALUES (79283, 3306, 21, 'ملصق لهذا النوع');
INSERT INTO `lang_definitions` VALUES (79284, 3307, 21, 'عمدان الملصقات يجب أن تكون مابين 1 الي 999');
INSERT INTO `lang_definitions` VALUES (79285, 3308, 21, 'ملصقات');
INSERT INTO `lang_definitions` VALUES (79286, 3311, 21, 'مختبرات');
INSERT INTO `lang_definitions` VALUES (79287, 3312, 21, 'تمزق/ حالة جلدية');
INSERT INTO `lang_definitions` VALUES (79288, 3313, 21, 'تمزق/كشط');
INSERT INTO `lang_definitions` VALUES (79289, 3316, 21, 'لغة');
INSERT INTO `lang_definitions` VALUES (79290, 3317, 21, 'رقم اللغة');
INSERT INTO `lang_definitions` VALUES (79291, 3318, 21, 'تم إضافه تعريف اللغة');
INSERT INTO `lang_definitions` VALUES (79292, 3319, 21, 'أداة واجهة اللغة');
INSERT INTO `lang_definitions` VALUES (79293, 3320, 21, 'قائمة اللغات (اكتب,الزيادة اختيارية)');
INSERT INTO `lang_definitions` VALUES (79294, 3321, 21, 'أسم اللغة');
INSERT INTO `lang_definitions` VALUES (79295, 3322, 21, 'اللغة:');
INSERT INTO `lang_definitions` VALUES (79296, 3324, 21, 'لاوس');
INSERT INTO `lang_definitions` VALUES (79297, 3325, 21, 'آخر');
INSERT INTO `lang_definitions` VALUES (79298, 3326, 21, 'تاريخ أخر نشاط');
INSERT INTO `lang_definitions` VALUES (79299, 3328, 21, 'تاريخ اخر فاتورة:');
INSERT INTO `lang_definitions` VALUES (79300, 3330, 21, 'تقويم السنة الماضية');
INSERT INTO `lang_definitions` VALUES (79301, 3333, 21, 'اخر زيارة');
INSERT INTO `lang_definitions` VALUES (79302, 3340, 21, 'المستوي الإخير الذى تم اصدار فاتورة له');
INSERT INTO `lang_definitions` VALUES (79303, 3343, 21, 'الشهر الماضي');
INSERT INTO `lang_definitions` VALUES (79304, 3344, 21, 'اللقب');
INSERT INTO `lang_definitions` VALUES (79305, 3345, 21, 'اللقب');
INSERT INTO `lang_definitions` VALUES (79306, 3346, 21, 'اللقب:');
INSERT INTO `lang_definitions` VALUES (79307, 3350, 21, 'اخر مراجعة');
INSERT INTO `lang_definitions` VALUES (79308, 3351, 21, 'أخر تشغيلة بدأت من');
INSERT INTO `lang_definitions` VALUES (79309, 3352, 21, 'اخر حفظ');
INSERT INTO `lang_definitions` VALUES (79310, 3356, 21, 'اخر تحديث بواسطة');
INSERT INTO `lang_definitions` VALUES (79311, 3357, 21, 'اخر تحقق في');
INSERT INTO `lang_definitions` VALUES (79312, 3358, 21, 'اخر زيارة');
INSERT INTO `lang_definitions` VALUES (79313, 3360, 21, 'اخر تجدد حدوث العرض (شهرين الى 12 شهر)');
INSERT INTO `lang_definitions` VALUES (79314, 3361, 21, 'الكعب الوحشي');
INSERT INTO `lang_definitions` VALUES (79315, 3362, 21, 'الكعب الوحشي :');
INSERT INTO `lang_definitions` VALUES (79316, 3363, 21, 'التجانب');
INSERT INTO `lang_definitions` VALUES (79317, 3364, 21, 'تجانب هذة العملية, لو قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (79318, 3365, 21, 'تغير نقطة اقصي ضربات القلب');
INSERT INTO `lang_definitions` VALUES (79319, 3373, 21, 'معتمد علي التخطيط');
INSERT INTO `lang_definitions` VALUES (79320, 3374, 21, 'محرر التخطيط');
INSERT INTO `lang_definitions` VALUES (79321, 3375, 21, 'مجموعات التخطيط');
INSERT INTO `lang_definitions` VALUES (79322, 3376, 21, 'اسلوب التخطيط');
INSERT INTO `lang_definitions` VALUES (79323, 3378, 21, 'طلبات الزيارة المعتمدة على التخطيط');
INSERT INTO `lang_definitions` VALUES (79324, 3379, 21, 'المخططات');
INSERT INTO `lang_definitions` VALUES (79325, 3380, 21, 'رطل');
INSERT INTO `lang_definitions` VALUES (79326, 3381, 21, 'ارطال');
INSERT INTO `lang_definitions` VALUES (79327, 3382, 21, 'الكلستيرول قليل الكثافة');
INSERT INTO `lang_definitions` VALUES (79328, 3383, 21, 'اتركه فارغا لو كان نشطا');
INSERT INTO `lang_definitions` VALUES (79329, 3384, 21, 'اتركه فارغا لإستبقاء الإسم الأصلي');
INSERT INTO `lang_definitions` VALUES (79330, 3385, 21, 'اتركه فارغا لإستبقاء كلمة السر الأصلية');
INSERT INTO `lang_definitions` VALUES (79331, 3386, 21, 'اترك رسالة مع');
INSERT INTO `lang_definitions` VALUES (79332, 3387, 21, 'اترك النموذج');
INSERT INTO `lang_definitions` VALUES (79333, 3388, 21, 'ترك عبارة السر فارغة لن يشفر الوثيقة');
INSERT INTO `lang_definitions` VALUES (79334, 3390, 21, 'يسار');
INSERT INTO `lang_definitions` VALUES (79335, 3391, 21, 'الأذن اليسرى');
INSERT INTO `lang_definitions` VALUES (79336, 3392, 21, 'الأذن اليسرى');
INSERT INTO `lang_definitions` VALUES (79337, 3394, 21, 'يسار:');
INSERT INTO `lang_definitions` VALUES (79338, 3395, 21, 'يسار: ');
INSERT INTO `lang_definitions` VALUES (79339, 3396, 21, 'ألم بالساق / تشنج');
INSERT INTO `lang_definitions` VALUES (79340, 3397, 21, 'قانوني');
INSERT INTO `lang_definitions` VALUES (79341, 3399, 21, 'حجم الورقة القانوني');
INSERT INTO `lang_definitions` VALUES (79342, 3400, 21, 'علامة فارقة:');
INSERT INTO `lang_definitions` VALUES (79343, 3401, 21, 'طول');
INSERT INTO `lang_definitions` VALUES (79344, 3402, 21, 'طول المُعدل, 0 لو لا يوجد');
INSERT INTO `lang_definitions` VALUES (79345, 3403, 21, 'أقل من');
INSERT INTO `lang_definitions` VALUES (79346, 3404, 21, 'أقل من أو يساوي');
INSERT INTO `lang_definitions` VALUES (79347, 3405, 21, 'معلومات قليلة الخصوصية (اكتب, الإضافه إختيارية)');
INSERT INTO `lang_definitions` VALUES (79348, 3406, 21, 'رسالة');
INSERT INTO `lang_definitions` VALUES (79349, 3407, 21, 'مكون الرسالة');
INSERT INTO `lang_definitions` VALUES (79350, 3408, 21, 'حجم ورقة الرسالة');
INSERT INTO `lang_definitions` VALUES (79351, 3409, 21, 'الرسالة التي يوقعها الطبيب');
INSERT INTO `lang_definitions` VALUES (79352, 3410, 21, 'الرسالة التي يوقعها المريض');
INSERT INTO `lang_definitions` VALUES (79353, 3411, 21, 'مستوي العجلة');
INSERT INTO `lang_definitions` VALUES (79354, 3412, 21, 'مسئولية');
INSERT INTO `lang_definitions` VALUES (79355, 3413, 21, 'مسئولية طبية');
INSERT INTO `lang_definitions` VALUES (79356, 3414, 21, 'الرخصة/الهوية');
INSERT INTO `lang_definitions` VALUES (79357, 3419, 21, 'الإسم الأخير للطبيب المرخص');
INSERT INTO `lang_definitions` VALUES (79358, 3420, 21, 'رقم الترخيص للطبيب المرخص');
INSERT INTO `lang_definitions` VALUES (79359, 3421, 21, 'رقم الترخيص العالمي للطبيب المرخص');
INSERT INTO `lang_definitions` VALUES (79360, 3423, 21, 'اسلوب الحياة');
INSERT INTO `lang_definitions` VALUES (79361, 3424, 21, 'حالة اسلوب الحياة');
INSERT INTO `lang_definitions` VALUES (79362, 3425, 21, 'تمزق او تهتك الرباط');
INSERT INTO `lang_definitions` VALUES (79363, 3426, 21, 'مدخن خفيف');
INSERT INTO `lang_definitions` VALUES (79364, 3428, 21, 'حدود الأحداث');
INSERT INTO `lang_definitions` VALUES (79365, 3429, 21, 'حدود');
INSERT INTO `lang_definitions` VALUES (79366, 3431, 21, 'وصلة');
INSERT INTO `lang_definitions` VALUES (79367, 3432, 21, 'وصلة للمريض');
INSERT INTO `lang_definitions` VALUES (79368, 3433, 21, 'تم التوصيل');
INSERT INTO `lang_definitions` VALUES (79369, 3434, 21, 'وثيقة موصولة');
INSERT INTO `lang_definitions` VALUES (79370, 3435, 21, 'طلب إجراء موصول');
INSERT INTO `lang_definitions` VALUES (79371, 3436, 21, 'تم التوصيل للوثيقة');
INSERT INTO `lang_definitions` VALUES (79372, 3437, 21, 'تم التوصيل لطلب الإجراء');
INSERT INTO `lang_definitions` VALUES (79373, 3438, 21, 'قائمة');
INSERT INTO `lang_definitions` VALUES (79374, 3439, 21, 'صندوق قائمة');
INSERT INTO `lang_definitions` VALUES (79375, 3440, 21, 'صندوق قائمة');
INSERT INTO `lang_definitions` VALUES (79376, 3441, 21, 'صندوق قائمة مع الزيادة');
INSERT INTO `lang_definitions` VALUES (79377, 3442, 21, 'صندوق قائمة مع الزيادة');
INSERT INTO `lang_definitions` VALUES (79378, 3443, 21, 'محرر القائمة');
INSERT INTO `lang_definitions` VALUES (79379, 3444, 21, 'زيارات القائمة');
INSERT INTO `lang_definitions` VALUES (79380, 3445, 21, 'مجموعات القائمة');
INSERT INTO `lang_definitions` VALUES (79381, 3446, 21, 'قائمة شركات التأمين');
INSERT INTO `lang_definitions` VALUES (79382, 3448, 21, 'قائمة البنود لا يمكن أن تبدأ برقم');
INSERT INTO `lang_definitions` VALUES (79383, 3449, 21, 'قائمة البنود تحتوي علي احرف غير قانونية');
INSERT INTO `lang_definitions` VALUES (79384, 3451, 21, 'قائمة القوائم');
INSERT INTO `lang_definitions` VALUES (79385, 3452, 21, 'قائمة الإسم');
INSERT INTO `lang_definitions` VALUES (79386, 3453, 21, 'لا يمكن أن تبدأ برقم');
INSERT INTO `lang_definitions` VALUES (79387, 3454, 21, 'قائمة الوصفات');
INSERT INTO `lang_definitions` VALUES (79388, 3455, 21, 'اختيار قائمة بيانات الدولة المستخدمة أعلاه');
INSERT INTO `lang_definitions` VALUES (79389, 3456, 21, 'اختيار قائمة بيانات الولاية المستخدمة أعلاه');
INSERT INTO `lang_definitions` VALUES (79390, 3457, 21, 'يتم الإستماع الى المنفذ RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (79391, 3458, 21, 'قوائم');
INSERT INTO `lang_definitions` VALUES (79392, 3459, 21, 'لثواني');
INSERT INTO `lang_definitions` VALUES (79393, 3460, 21, 'حب الحياة');
INSERT INTO `lang_definitions` VALUES (79394, 3461, 21, 'LLL:');
INSERT INTO `lang_definitions` VALUES (79395, 3462, 21, 'اخر دورة شهرية');
INSERT INTO `lang_definitions` VALUES (79396, 3463, 21, 'حمّل الخلاصة');
INSERT INTO `lang_definitions` VALUES (79397, 3464, 21, 'حمّل التعريفات');
INSERT INTO `lang_definitions` VALUES (79398, 3465, 21, 'حمّل إعدادات المختير');
INSERT INTO `lang_definitions` VALUES (79399, 3466, 21, 'حمّل إختيارات الأسئلة OE');
INSERT INTO `lang_definitions` VALUES (79400, 3467, 21, 'حمّل تعريفات الأوامر');
INSERT INTO `lang_definitions` VALUES (79401, 3468, 21, 'حمّل أسئلة ترتيب الإدخال');
INSERT INTO `lang_definitions` VALUES (79402, 3470, 21, 'جاري التحميل');
INSERT INTO `lang_definitions` VALUES (79403, 3471, 21, 'جاري تحميل الملفات الي قاعدة البيانات. سيأخذ هذا بعض الوقت...');
INSERT INTO `lang_definitions` VALUES (79404, 3472, 21, 'الموقع');
INSERT INTO `lang_definitions` VALUES (79405, 3473, 21, 'محلي');
INSERT INTO `lang_definitions` VALUES (79406, 3476, 21, 'موضع');
INSERT INTO `lang_definitions` VALUES (79407, 3477, 21, 'بيئة');
INSERT INTO `lang_definitions` VALUES (79408, 3478, 21, 'الموقع');
INSERT INTO `lang_definitions` VALUES (79409, 3479, 21, 'موقع حاسوب البرنامج و يمكن أن تحتوي علي معلومات حساسة و لذلك ينصح بحذفها يدوياَ بعد الإستخدام');
INSERT INTO `lang_definitions` VALUES (79410, 3480, 21, 'موقع هذة البضاعة');
INSERT INTO `lang_definitions` VALUES (79411, 3481, 21, 'لم يتم تحيدي الموقع');
INSERT INTO `lang_definitions` VALUES (79412, 3482, 21, 'موقع تخزين Hylafax للفاكس');
INSERT INTO `lang_definitions` VALUES (79413, 3483, 21, 'موقع تخزين المسح الضوئي');
INSERT INTO `lang_definitions` VALUES (79414, 3484, 21, 'الموقع:');
INSERT INTO `lang_definitions` VALUES (79415, 3485, 21, 'قفل');
INSERT INTO `lang_definitions` VALUES (79416, 3492, 21, 'تسجيل الدخول');
INSERT INTO `lang_definitions` VALUES (79417, 3493, 21, 'تسجيل الدخول');
INSERT INTO `lang_definitions` VALUES (79418, 3494, 21, 'تسجيل خروج');
INSERT INTO `lang_definitions` VALUES (79419, 3495, 21, 'تم الدخول');
INSERT INTO `lang_definitions` VALUES (79420, 3496, 21, 'تسجيل الدخول كـ');
INSERT INTO `lang_definitions` VALUES (79421, 3497, 21, 'تسجيل الدخول كــ : ');
INSERT INTO `lang_definitions` VALUES (79422, 3498, 21, 'تم الخروج');
INSERT INTO `lang_definitions` VALUES (79423, 3499, 21, 'يتم الدخول');
INSERT INTO `lang_definitions` VALUES (79424, 3500, 21, 'الولوج');
INSERT INTO `lang_definitions` VALUES (79425, 3501, 21, 'الولوج');
INSERT INTO `lang_definitions` VALUES (79426, 3503, 21, 'الولوج الي المستضيف القاصي');
INSERT INTO `lang_definitions` VALUES (79427, 3504, 21, 'فشل الولوج الي المستضيف القاصي');
INSERT INTO `lang_definitions` VALUES (79428, 3505, 21, 'الخروج');
INSERT INTO `lang_definitions` VALUES (79429, 3506, 21, 'الخروج');
INSERT INTO `lang_definitions` VALUES (79430, 3507, 21, 'السجلات');
INSERT INTO `lang_definitions` VALUES (79431, 3508, 21, 'متصفح السجلات');
INSERT INTO `lang_definitions` VALUES (79432, 3510, 21, 'البحث عن');
INSERT INTO `lang_definitions` VALUES (79433, 3511, 21, 'بضاعة بالجملة');
INSERT INTO `lang_definitions` VALUES (79434, 3512, 21, 'رقم هوية بضاعة بالجملة مفقود');
INSERT INTO `lang_definitions` VALUES (79435, 3513, 21, 'رقم بضاعة بالجملة');
INSERT INTO `lang_definitions` VALUES (79436, 3514, 21, 'منخفض');
INSERT INTO `lang_definitions` VALUES (79437, 3515, 21, 'ذا اهمية منخفضة');
INSERT INTO `lang_definitions` VALUES (79438, 3516, 21, 'الرجل السفلي');
INSERT INTO `lang_definitions` VALUES (79439, 3517, 21, 'اقل أهمية');
INSERT INTO `lang_definitions` VALUES (79440, 3519, 21, 'الفقرات القطنية');
INSERT INTO `lang_definitions` VALUES (79441, 3520, 21, 'وجبة الغداء');
INSERT INTO `lang_definitions` VALUES (79442, 3521, 21, 'وجبة الغداء');
INSERT INTO `lang_definitions` VALUES (79443, 3522, 21, 'سرطان الرئة');
INSERT INTO `lang_definitions` VALUES (79444, 3523, 21, 'جراحة لسرطان الرئة');
INSERT INTO `lang_definitions` VALUES (79445, 3524, 21, 'الرئتين:');
INSERT INTO `lang_definitions` VALUES (79446, 3525, 21, 'الرئتين:');
INSERT INTO `lang_definitions` VALUES (79447, 3526, 21, 'الذئبة');
INSERT INTO `lang_definitions` VALUES (79448, 3528, 21, 'م');
INSERT INTO `lang_definitions` VALUES (79449, 3529, 21, 'تصنيف الإجهاض الطبي');
INSERT INTO `lang_definitions` VALUES (79450, 3530, 21, 'عميل الإجهاض الطبي يقبل الإجهاض');
INSERT INTO `lang_definitions` VALUES (79451, 3531, 21, 'معطيات الإجهاض الطبي');
INSERT INTO `lang_definitions` VALUES (79452, 3533, 21, 'تم إرسال البريد');
INSERT INTO `lang_definitions` VALUES (79453, 3534, 21, 'رئيسي');
INSERT INTO `lang_definitions` VALUES (79454, 3535, 21, 'العنوان الرئيسي');
INSERT INTO `lang_definitions` VALUES (79455, 3536, 21, 'النافذة العلوية الرئيسية من الشاشة');
INSERT INTO `lang_definitions` VALUES (79456, 3537, 21, 'أبق على قائمة أدوية الحساسية قيد الإستعمال');
INSERT INTO `lang_definitions` VALUES (79457, 3538, 21, 'أبق على الأدوية قيد الإستعمال');
INSERT INTO `lang_definitions` VALUES (79458, 3539, 21, 'أبق على قائمة المشاكل للتشخيص الحالي النشط');
INSERT INTO `lang_definitions` VALUES (79459, 3540, 21, 'اضافة تعديلات على القوائم الحالية');
INSERT INTO `lang_definitions` VALUES (79460, 3541, 21, 'إجراء موعد جديد ل');
INSERT INTO `lang_definitions` VALUES (79461, 3542, 21, 'كن متأكداَ');
INSERT INTO `lang_definitions` VALUES (79462, 3543, 21, 'جارى تكوين مجموعة ملفات نصية للرفع الي شركة التأمين و سيتم تصنيفها كمفوترة');
INSERT INTO `lang_definitions` VALUES (79463, 3545, 21, 'وعكة-شعور بالضيق');
INSERT INTO `lang_definitions` VALUES (79464, 3548, 21, 'ذكر');
INSERT INTO `lang_definitions` VALUES (79465, 3549, 21, 'واقي ذكري');
INSERT INTO `lang_definitions` VALUES (79466, 3550, 21, 'عقم جراحي اختياري للذكور');
INSERT INTO `lang_definitions` VALUES (79467, 3552, 21, 'صورة شعاعية للثدي');
INSERT INTO `lang_definitions` VALUES (79468, 3553, 21, 'أدار');
INSERT INTO `lang_definitions` VALUES (79469, 3556, 21, 'ادارة الترجمة');
INSERT INTO `lang_definitions` VALUES (79470, 3557, 21, 'أدارة');
INSERT INTO `lang_definitions` VALUES (79471, 3558, 21, 'اجباري وحقول محددة');
INSERT INTO `lang_definitions` VALUES (79472, 3559, 21, 'اجباري او حقول محددة, اعادة تأكد بدون بحث');
INSERT INTO `lang_definitions` VALUES (79473, 3560, 21, 'اجباري او حقول محددة, بحث و اعادة تأكيد');
INSERT INTO `lang_definitions` VALUES (79474, 3561, 21, 'دليل الإستخدام');
INSERT INTO `lang_definitions` VALUES (79475, 3562, 21, 'إرسال يدوي');
INSERT INTO `lang_definitions` VALUES (79476, 3563, 21, 'مُصنّع');
INSERT INTO `lang_definitions` VALUES (79477, 3565, 21, 'مارس/اذار');
INSERT INTO `lang_definitions` VALUES (79478, 3568, 21, 'مارس/اذار');
INSERT INTO `lang_definitions` VALUES (79479, 3569, 21, 'الحالة الشخصية');
INSERT INTO `lang_definitions` VALUES (79480, 3571, 21, 'ضع علامة الفوترة لكن لا تفوتر');
INSERT INTO `lang_definitions` VALUES (79481, 3572, 21, 'ضع علامة كخالص');
INSERT INTO `lang_definitions` VALUES (79482, 3573, 21, 'ضع علامة كعدم مفوتر');
INSERT INTO `lang_definitions` VALUES (79483, 3574, 21, 'ضع علامة كمقروء على التقارير');
INSERT INTO `lang_definitions` VALUES (79484, 3575, 21, 'ضع علامة كخالص');
INSERT INTO `lang_definitions` VALUES (79485, 3576, 21, 'متزوج');
INSERT INTO `lang_definitions` VALUES (79486, 3578, 21, 'أخفي');
INSERT INTO `lang_definitions` VALUES (79487, 3579, 21, 'أخفي أرقام الإيصال');
INSERT INTO `lang_definitions` VALUES (79488, 3580, 21, 'أخفي رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (79489, 3581, 21, 'أخفي رقم هوية المنتج');
INSERT INTO `lang_definitions` VALUES (79490, 3582, 21, 'وفق');
INSERT INTO `lang_definitions` VALUES (79491, 3583, 21, 'وفق الحالة');
INSERT INTO `lang_definitions` VALUES (79492, 3591, 21, 'الأقصي');
INSERT INTO `lang_definitions` VALUES (79493, 3592, 21, 'تم التوصل الي أقصي حد للملفات - قم بإعادة الأسماء ادناه');
INSERT INTO `lang_definitions` VALUES (79494, 3594, 21, 'الفَكِّ العُلْوِيِّ‎ الأيمن');
INSERT INTO `lang_definitions` VALUES (79495, 3595, 21, 'الحد الأقصى للعمر');
INSERT INTO `lang_definitions` VALUES (79496, 3596, 21, 'الحد الأقصى للرموز');
INSERT INTO `lang_definitions` VALUES (79497, 3597, 21, 'وقت الخمول الأقصي المسموح به قبل الخروج.الحد الافتراضي هو 7200 (ساعتين)');
INSERT INTO `lang_definitions` VALUES (79498, 3600, 21, 'الحد الأقصي للجرد, 0 لو قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (79499, 3601, 21, 'المقاس الأقصى المسموح به');
INSERT INTO `lang_definitions` VALUES (79500, 3602, 21, 'المقاس الأقصى المسموح به (إدخال صفر سيسمح بأي مقاس)');
INSERT INTO `lang_definitions` VALUES (79501, 3603, 21, 'مايو/أيار');
INSERT INTO `lang_definitions` VALUES (79502, 3604, 21, 'ميكرو');
INSERT INTO `lang_definitions` VALUES (79503, 3605, 21, 'ميكروجرام');
INSERT INTO `lang_definitions` VALUES (79504, 3607, 21, 'يعني ان أياَ من كلمات السر الثلاثة السابقة غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (79505, 3609, 21, 'قياس رمز المجموعة');
INSERT INTO `lang_definitions` VALUES (79506, 3611, 21, 'قياسات');
INSERT INTO `lang_definitions` VALUES (79507, 3612, 21, 'الكَعْبُ الإِنْسِيّ');
INSERT INTO `lang_definitions` VALUES (79508, 3613, 21, 'ميديكايد');
INSERT INTO `lang_definitions` VALUES (79509, 3614, 21, 'طبي');
INSERT INTO `lang_definitions` VALUES (79510, 3615, 21, 'إجهاض الطبي');
INSERT INTO `lang_definitions` VALUES (79511, 3616, 21, 'الأدارة الطبية');
INSERT INTO `lang_definitions` VALUES (79512, 3617, 21, 'التاريخ الطبي');
INSERT INTO `lang_definitions` VALUES (79513, 3618, 21, 'مشكلة طبية');
INSERT INTO `lang_definitions` VALUES (79514, 3619, 21, 'مشكلة طبية');
INSERT INTO `lang_definitions` VALUES (79515, 3620, 21, 'المشكلة المرضية');
INSERT INTO `lang_definitions` VALUES (79516, 3621, 21, 'المشكلة المرضية');
INSERT INTO `lang_definitions` VALUES (79517, 3622, 21, 'قائمة المشاكل الطبية');
INSERT INTO `lang_definitions` VALUES (79518, 3623, 21, 'المشاكل الطبية');
INSERT INTO `lang_definitions` VALUES (79519, 3624, 21, 'الملف الطبي');
INSERT INTO `lang_definitions` VALUES (79520, 3625, 21, 'رقم الملف الطبي');
INSERT INTO `lang_definitions` VALUES (79521, 3626, 21, 'الملفات الطبية');
INSERT INTO `lang_definitions` VALUES (79522, 3627, 21, 'تم إرسال الملفات الطبية');
INSERT INTO `lang_definitions` VALUES (79523, 3629, 21, 'تم إعطاء ملخص عن الحالة الطبية');
INSERT INTO `lang_definitions` VALUES (79524, 3630, 21, 'النظام الطبي');
INSERT INTO `lang_definitions` VALUES (79525, 3631, 21, 'النوع الطبي');
INSERT INTO `lang_definitions` VALUES (79526, 3632, 21, 'التاريخ/الطبي (اكتب، اﻹضافه اختيارية)');
INSERT INTO `lang_definitions` VALUES (79527, 3633, 21, 'ميديكير الجزء الثانى');
INSERT INTO `lang_definitions` VALUES (79528, 3634, 21, 'المحول لميديكير هو المخلص');
INSERT INTO `lang_definitions` VALUES (79529, 3635, 21, 'الأدوية');
INSERT INTO `lang_definitions` VALUES (79530, 3636, 21, 'قائمة الحساسية من الأدوية');
INSERT INTO `lang_definitions` VALUES (79531, 3637, 21, 'قائمة المشاكل من الأدوية');
INSERT INTO `lang_definitions` VALUES (79532, 3638, 21, 'قائمة الأدوية');
INSERT INTO `lang_definitions` VALUES (79533, 3639, 21, 'مراجعة الأدوية مع الأوامر العلاجية والمريض');
INSERT INTO `lang_definitions` VALUES (79534, 3640, 21, 'الأدوية');
INSERT INTO `lang_definitions` VALUES (79535, 3641, 21, 'الأدوية:');
INSERT INTO `lang_definitions` VALUES (79536, 3642, 21, 'وحدات الدواء');
INSERT INTO `lang_definitions` VALUES (79537, 3643, 21, 'متوسط');
INSERT INTO `lang_definitions` VALUES (79538, 3645, 21, 'تقرير إحصائى عن متعلقات العضو');
INSERT INTO `lang_definitions` VALUES (79539, 3646, 21, 'مشكلة في الذاكرة');
INSERT INTO `lang_definitions` VALUES (79540, 3647, 21, 'رجال');
INSERT INTO `lang_definitions` VALUES (79541, 3648, 21, 'رجال ونساء');
INSERT INTO `lang_definitions` VALUES (79542, 3649, 21, 'رجال فقط');
INSERT INTO `lang_definitions` VALUES (79543, 3650, 21, 'بَدْءُ الإِحَاضَة‎');
INSERT INTO `lang_definitions` VALUES (79544, 3651, 21, 'إنقطاع الطمث');
INSERT INTO `lang_definitions` VALUES (79545, 3652, 21, 'الدورة الشهرية');
INSERT INTO `lang_definitions` VALUES (79546, 3653, 21, 'تكرار الطمث');
INSERT INTO `lang_definitions` VALUES (79547, 3654, 21, 'اضْطِرابٌ نَفْسِي‎');
INSERT INTO `lang_definitions` VALUES (79548, 3657, 21, 'دمج');
INSERT INTO `lang_definitions` VALUES (79549, 3658, 21, 'إكتمال الدمج');
INSERT INTO `lang_definitions` VALUES (79550, 3659, 21, 'دمج المرضى');
INSERT INTO `lang_definitions` VALUES (79551, 3661, 21, 'رسالة-خطاب');
INSERT INTO `lang_definitions` VALUES (79552, 3662, 21, 'مركز الرسائل والتنبيهات');
INSERT INTO `lang_definitions` VALUES (79553, 3663, 21, 'محتويات الرسالة ليست خطيه بسيطة و لذلك تم تخزينها كوثيقة');
INSERT INTO `lang_definitions` VALUES (79554, 3665, 21, 'تم إرسال الرسالة');
INSERT INTO `lang_definitions` VALUES (79555, 3666, 21, 'حالة الرسالة');
INSERT INTO `lang_definitions` VALUES (79556, 3669, 21, 'نوعية الرسالة');
INSERT INTO `lang_definitions` VALUES (79557, 3670, 21, 'الرسالة:');
INSERT INTO `lang_definitions` VALUES (79558, 3671, 21, 'الرسائل');
INSERT INTO `lang_definitions` VALUES (79559, 3672, 21, 'الرسائل المرسلة اليوم');
INSERT INTO `lang_definitions` VALUES (79560, 3673, 21, 'الطريقة');
INSERT INTO `lang_definitions` VALUES (79561, 3674, 21, 'الطريقة ومنتج معين');
INSERT INTO `lang_definitions` VALUES (79562, 3675, 21, 'طريقة إرسال ايميل');
INSERT INTO `lang_definitions` VALUES (79563, 3676, 21, 'طريقة اﻻتلاف');
INSERT INTO `lang_definitions` VALUES (79564, 3677, 21, 'مكسيكي/ميكسيكي امريكى');
INSERT INTO `lang_definitions` VALUES (79565, 3679, 21, 'ملى جرام');
INSERT INTO `lang_definitions` VALUES (79566, 3680, 21, 'ملى جرام لكل 1 سى سى');
INSERT INTO `lang_definitions` VALUES (79567, 3681, 21, 'ملى جرام لكل 2 سى سى');
INSERT INTO `lang_definitions` VALUES (79568, 3682, 21, 'ملى جرام لكل 3 سى سى');
INSERT INTO `lang_definitions` VALUES (79569, 3683, 21, 'ملى جرام لكل 4 سى سى');
INSERT INTO `lang_definitions` VALUES (79570, 3684, 21, 'ملى جرام لكل 5 سى سى');
INSERT INTO `lang_definitions` VALUES (79571, 3685, 21, 'ملى جرام/ ديسى ليتر');
INSERT INTO `lang_definitions` VALUES (79572, 3686, 21, 'أوسط');
INSERT INTO `lang_definitions` VALUES (79573, 3687, 21, 'الأسم الأوسط');
INSERT INTO `lang_definitions` VALUES (79574, 3688, 21, 'الأسم الأوسط');
INSERT INTO `lang_definitions` VALUES (79575, 3690, 21, 'واصف دوائي مخدر متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (79576, 3691, 21, 'الإسم الأول للواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (79577, 3692, 21, 'الإسم الأخير للواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (79578, 3693, 21, 'بادئة الواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (79579, 3694, 21, 'رقم ممارسه المهنة العالمي للواصف الدوائي متوسط المستوي');
INSERT INTO `lang_definitions` VALUES (79580, 3695, 21, 'المظهر');
INSERT INTO `lang_definitions` VALUES (79581, 3696, 21, 'مهاجر او عامل موسمى؟');
INSERT INTO `lang_definitions` VALUES (79582, 3697, 21, 'مهاجر / موسمى');
INSERT INTO `lang_definitions` VALUES (79583, 3698, 21, 'مليون لكل مم مربع');
INSERT INTO `lang_definitions` VALUES (79584, 3702, 21, 'MimeType');
INSERT INTO `lang_definitions` VALUES (79585, 3703, 21, 'اﻻقل');
INSERT INTO `lang_definitions` VALUES (79586, 3704, 21, 'اﻻقل');
INSERT INTO `lang_definitions` VALUES (79587, 3705, 21, 'أقل سن');
INSERT INTO `lang_definitions` VALUES (79588, 3706, 21, 'اجهاد مفصل طفيف +/- التهاب زﻻلي');
INSERT INTO `lang_definitions` VALUES (79589, 3708, 21, 'دقيقة');
INSERT INTO `lang_definitions` VALUES (79590, 3709, 21, 'دقائق');
INSERT INTO `lang_definitions` VALUES (79591, 3710, 21, 'دقائق');
INSERT INTO `lang_definitions` VALUES (79592, 3712, 21, 'متنوع');
INSERT INTO `lang_definitions` VALUES (79593, 3713, 21, 'إختيارات فوترة متنوعة');
INSERT INTO `lang_definitions` VALUES (79594, 3714, 21, 'إختيارات فوترة متنوعة HCFA-1500');
INSERT INTO `lang_definitions` VALUES (79595, 3715, 21, 'إختيارات فوترة متنوعة HCFA');
INSERT INTO `lang_definitions` VALUES (79596, 3716, 21, 'متنوع');
INSERT INTO `lang_definitions` VALUES (79597, 3717, 21, 'لم يتم إدراكه');
INSERT INTO `lang_definitions` VALUES (79598, 3718, 21, 'مفقود');
INSERT INTO `lang_definitions` VALUES (79599, 3719, 21, 'حقل مطلوب ناقص');
INSERT INTO `lang_definitions` VALUES (79600, 3720, 21, 'مصروفات مفقودة');
INSERT INTO `lang_definitions` VALUES (79601, 3721, 21, 'مفقودى الإداريين فقط');
INSERT INTO `lang_definitions` VALUES (79602, 3722, 21, 'مفقود او غير صالح');
INSERT INTO `lang_definitions` VALUES (79603, 3723, 21, 'رقم الهوية الشخصية مفقود');
INSERT INTO `lang_definitions` VALUES (79604, 3724, 21, 'تاريخ التقرير مفقود');
INSERT INTO `lang_definitions` VALUES (79605, 3725, 21, 'رمز الشرطه مفقود بعد الدافع فى الكود الأصلي ');
INSERT INTO `lang_definitions` VALUES (79606, 3726, 21, 'مخلط');
INSERT INTO `lang_definitions` VALUES (79607, 3727, 21, 'مل');
INSERT INTO `lang_definitions` VALUES (79608, 3728, 21, 'شهر/يوم/سنة');
INSERT INTO `lang_definitions` VALUES (79609, 3729, 21, 'مم من الزئبق');
INSERT INTO `lang_definitions` VALUES (79610, 3730, 21, 'مم زئبقي');
INSERT INTO `lang_definitions` VALUES (79611, 3731, 21, 'تطعيم الحصبة, الحصبة الألمانية و النكاف 1');
INSERT INTO `lang_definitions` VALUES (79612, 3732, 21, 'تطعيم الحصبة, الحصبة الألمانية و النكاف 2');
INSERT INTO `lang_definitions` VALUES (79613, 3733, 21, 'متحرك');
INSERT INTO `lang_definitions` VALUES (79614, 3734, 21, 'هاتف نقال');
INSERT INTO `lang_definitions` VALUES (79615, 3735, 21, 'مدير');
INSERT INTO `lang_definitions` VALUES (79616, 3738, 21, 'أهمية متوسطة');
INSERT INTO `lang_definitions` VALUES (79617, 3740, 21, 'أهمية متوسطة الي قليلة');
INSERT INTO `lang_definitions` VALUES (79618, 3741, 21, 'محّور');
INSERT INTO `lang_definitions` VALUES (79619, 3742, 21, 'محّورات');
INSERT INTO `lang_definitions` VALUES (79620, 3743, 21, 'يحّور');
INSERT INTO `lang_definitions` VALUES (79621, 3745, 21, 'يحّور المدفوعات');
INSERT INTO `lang_definitions` VALUES (79622, 3746, 21, 'ModLength');
INSERT INTO `lang_definitions` VALUES (79623, 3753, 21, 'الأثنين');
INSERT INTO `lang_definitions` VALUES (79624, 3754, 21, 'الأثنين الي الجمعه');
INSERT INTO `lang_definitions` VALUES (79625, 3755, 21, 'الأثنين الأربعاء و الجمعه');
INSERT INTO `lang_definitions` VALUES (79626, 3756, 21, 'الأثنين');
INSERT INTO `lang_definitions` VALUES (79627, 3758, 21, 'شهر');
INSERT INTO `lang_definitions` VALUES (79628, 3759, 21, 'شهر');
INSERT INTO `lang_definitions` VALUES (79629, 3760, 21, 'رؤية الشهر');
INSERT INTO `lang_definitions` VALUES (79630, 3761, 21, 'الأشهر');
INSERT INTO `lang_definitions` VALUES (79631, 3762, 21, 'الدخل الشهري');
INSERT INTO `lang_definitions` VALUES (79632, 3763, 21, 'اشهر');
INSERT INTO `lang_definitions` VALUES (79633, 3765, 21, 'تم العثور على اكثر من 100 ملف. الرجاء تحديد خصائص البحث اكثر');
INSERT INTO `lang_definitions` VALUES (79634, 3766, 21, 'تم العثور على اكثر من 50 ملف. الرجاء تحديد خصائص البحث اكثر');
INSERT INTO `lang_definitions` VALUES (79635, 3767, 21, 'معظم رؤوس الأعمدة يمكنك الظغط عليها لتغيير ترتيب العرض');
INSERT INTO `lang_definitions` VALUES (79636, 3768, 21, 'الأحدث من');
INSERT INTO `lang_definitions` VALUES (79637, 3770, 21, 'اخر تحديث للعلامات الحيوية من:');
INSERT INTO `lang_definitions` VALUES (79638, 3771, 21, 'الأم');
INSERT INTO `lang_definitions` VALUES (79639, 3772, 21, 'أسم الأم');
INSERT INTO `lang_definitions` VALUES (79640, 3774, 21, 'فم');
INSERT INTO `lang_definitions` VALUES (79641, 3775, 21, 'أنقل');
INSERT INTO `lang_definitions` VALUES (79642, 3776, 21, 'نقل الوثيقة الى القائمة');
INSERT INTO `lang_definitions` VALUES (79643, 3777, 21, 'أنقل الى الأسفل');
INSERT INTO `lang_definitions` VALUES (79644, 3778, 21, 'فشل النقل');
INSERT INTO `lang_definitions` VALUES (79645, 3779, 21, 'أنقل الى المريض');
INSERT INTO `lang_definitions` VALUES (79646, 3780, 21, 'أنقل الى');
INSERT INTO `lang_definitions` VALUES (79647, 3781, 21, 'أنقل الى اعلى');
INSERT INTO `lang_definitions` VALUES (79648, 3782, 21, 'يتم النقل');
INSERT INTO `lang_definitions` VALUES (79649, 3783, 21, 'السيد');
INSERT INTO `lang_definitions` VALUES (79650, 3784, 21, 'رقم السجّل الصحي');
INSERT INTO `lang_definitions` VALUES (79651, 3785, 21, 'السيدة');
INSERT INTO `lang_definitions` VALUES (79652, 3786, 21, 'اﻻنسة');
INSERT INTO `lang_definitions` VALUES (79653, 3787, 21, 'علوم الإدارة الصحية 11');
INSERT INTO `lang_definitions` VALUES (79654, 3788, 21, 'علوم الإدارة الصحية 3.1');
INSERT INTO `lang_definitions` VALUES (79655, 3789, 21, 'علوم الإدارة الصحية 4.1');
INSERT INTO `lang_definitions` VALUES (79656, 3790, 21, 'علوم الإدارة الصحية 5.1');
INSERT INTO `lang_definitions` VALUES (79657, 3791, 21, 'علوم الإدارة الصحية 6.1');
INSERT INTO `lang_definitions` VALUES (79658, 3794, 21, 'رمز خطة الرعاية الصحّية');
INSERT INTO `lang_definitions` VALUES (79659, 3795, 21, 'رمز إسترجاع تأمين خطة الرعاية الصحّية');
INSERT INTO `lang_definitions` VALUES (79660, 3796, 21, 'أداة متعددة اللغات');
INSERT INTO `lang_definitions` VALUES (79661, 3797, 21, 'عدة مناطق');
INSERT INTO `lang_definitions` VALUES (79662, 3798, 21, 'بإمكان ترفيع عدة ملفات بنفس الوقت وذلك بإختارهم مستخدما CTRL+Click او SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (79663, 3799, 21, 'بضاعة جمله متعددة');
INSERT INTO `lang_definitions` VALUES (79664, 3800, 21, 'بإمكانك الفصل بين أدوات التحوير بفواصل او مسافات, اربع علي اﻷكثر (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (79665, 3802, 21, 'متعدد الأعراق');
INSERT INTO `lang_definitions` VALUES (79666, 3803, 21, 'نَفْخَة:');
INSERT INTO `lang_definitions` VALUES (79667, 3804, 21, 'ألم العضلة');
INSERT INTO `lang_definitions` VALUES (79668, 3805, 21, 'ألام عضلية');
INSERT INTO `lang_definitions` VALUES (79669, 3806, 21, 'احمرار العضلة');
INSERT INTO `lang_definitions` VALUES (79670, 3807, 21, 'تصلب العضلة');
INSERT INTO `lang_definitions` VALUES (79671, 3808, 21, 'تورم العضلة');
INSERT INTO `lang_definitions` VALUES (79672, 3809, 21, 'سخونه العضلة');
INSERT INTO `lang_definitions` VALUES (79673, 3810, 21, 'عضلة');
INSERT INTO `lang_definitions` VALUES (79674, 3811, 21, 'إصابة عضلية');
INSERT INTO `lang_definitions` VALUES (79675, 3812, 21, 'عضلي هيكلي');
INSERT INTO `lang_definitions` VALUES (79676, 3813, 21, 'يجب ان يكون خاليا اذا لم تستخدم التأكد من SMTP');
INSERT INTO `lang_definitions` VALUES (79677, 3814, 21, 'معّرف بالإجماع');
INSERT INTO `lang_definitions` VALUES (79678, 3815, 21, 'اﻹجهاض بالشفط اليدوي');
INSERT INTO `lang_definitions` VALUES (79679, 3818, 21, 'أنا');
INSERT INTO `lang_definitions` VALUES (79680, 3821, 21, 'غير متاح');
INSERT INTO `lang_definitions` VALUES (79681, 3822, 21, 'غير متاح');
INSERT INTO `lang_definitions` VALUES (79682, 3823, 21, 'الأسم');
INSERT INTO `lang_definitions` VALUES (79683, 3825, 21, 'الأسم ( اضغط لرؤية المزيد )');
INSERT INTO `lang_definitions` VALUES (79684, 3826, 21, 'الأسم 1');
INSERT INTO `lang_definitions` VALUES (79685, 3827, 21, 'الأسم 2');
INSERT INTO `lang_definitions` VALUES (79686, 3828, 21, 'اسم و توصيف مدير التطعيمات');
INSERT INTO `lang_definitions` VALUES (79687, 3831, 21, 'أسماء الأحداث');
INSERT INTO `lang_definitions` VALUES (79688, 3832, 21, 'أسم شركة التأمين');
INSERT INTO `lang_definitions` VALUES (79689, 3833, 21, 'أسم مقدم الخدمة');
INSERT INTO `lang_definitions` VALUES (79690, 3834, 21, 'أسم مرسل التنبيهات للمريض');
INSERT INTO `lang_definitions` VALUES (79691, 3835, 21, 'ترجمة الأسم');
INSERT INTO `lang_definitions` VALUES (79692, 3836, 21, 'الأسم-القيمة');
INSERT INTO `lang_definitions` VALUES (79693, 3837, 21, 'الأسم :');
INSERT INTO `lang_definitions` VALUES (79694, 3838, 21, 'فتحة اﻷنف:');
INSERT INTO `lang_definitions` VALUES (79695, 3839, 21, 'فتحة اﻷنف: اليمني طبيعية');
INSERT INTO `lang_definitions` VALUES (79696, 3840, 21, 'الغشاء المخاطي للأنف وردي اللون و الحاجز فى المنتصف');
INSERT INTO `lang_definitions` VALUES (79697, 3841, 21, 'ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (79698, 3842, 21, 'تهيئة ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (79699, 3843, 21, 'إبدال أزرار ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (79700, 3844, 21, 'الجنسية');
INSERT INTO `lang_definitions` VALUES (79701, 3845, 21, 'ملاحظات اﻷمة');
INSERT INTO `lang_definitions` VALUES (79702, 3847, 21, 'من هاواي او من سكان جزر المحيط الهادئ');
INSERT INTO `lang_definitions` VALUES (79703, 3852, 21, 'إشمئزاز');
INSERT INTO `lang_definitions` VALUES (79704, 3854, 21, 'إبحار');
INSERT INTO `lang_definitions` VALUES (79705, 3855, 21, 'منطقة الإبحار تشمل طلبات الزيارة');
INSERT INTO `lang_definitions` VALUES (79706, 3856, 21, 'منطقة الإبحار تستخدم الطول الكامل لهيكل الإطار');
INSERT INTO `lang_definitions` VALUES (79707, 3857, 21, 'منطقة إبحار طلبات الزيارة');
INSERT INTO `lang_definitions` VALUES (79708, 3858, 21, 'عرض منطقة الإبحار');
INSERT INTO `lang_definitions` VALUES (79709, 3859, 21, 'قائمة الإبحار تتكون من ازواج لأزرار الراديو');
INSERT INTO `lang_definitions` VALUES (79710, 3860, 21, 'قائمة الإبحار هي منظر شجري');
INSERT INTO `lang_definitions` VALUES (79711, 3861, 21, 'الإبحار يستخدم قائمة منزلقة');
INSERT INTO `lang_definitions` VALUES (79712, 3862, 21, 'رمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (79713, 3863, 21, 'بيانات رمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (79714, 3864, 21, 'رقم رمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (79715, 3866, 21, 'رقبة');
INSERT INTO `lang_definitions` VALUES (79716, 3867, 21, 'مشاكل الرقبة');
INSERT INTO `lang_definitions` VALUES (79717, 3868, 21, 'ليونة الرقبة');
INSERT INTO `lang_definitions` VALUES (79718, 3869, 21, 'تحتاج لإدخال وصف');
INSERT INTO `lang_definitions` VALUES (79719, 3870, 21, 'تحتاج لإدخال قيمة رجعية');
INSERT INTO `lang_definitions` VALUES (79720, 3871, 21, 'تحتاج لإدخال معرّف');
INSERT INTO `lang_definitions` VALUES (79721, 3872, 21, 'تحتاج لإدخال عنوان');
INSERT INTO `lang_definitions` VALUES (79722, 3873, 21, 'تحتاج لتصريح');
INSERT INTO `lang_definitions` VALUES (79723, 3874, 21, 'تحتاج لتعديل الحواف');
INSERT INTO `lang_definitions` VALUES (79724, 3875, 21, 'تحتاج لفوترة ثانوية');
INSERT INTO `lang_definitions` VALUES (79725, 3876, 21, 'سلبي');
INSERT INTO `lang_definitions` VALUES (79726, 3877, 21, 'سلبيات');
INSERT INTO `lang_definitions` VALUES (79727, 3880, 21, 'إصابة عصب');
INSERT INTO `lang_definitions` VALUES (79728, 3881, 21, 'حالة عصبية / تلف عصبي');
INSERT INTO `lang_definitions` VALUES (79729, 3882, 21, 'تخدر الأعصاب');
INSERT INTO `lang_definitions` VALUES (79730, 3883, 21, 'وهن عصبي');
INSERT INTO `lang_definitions` VALUES (79731, 3884, 21, 'عصبي');
INSERT INTO `lang_definitions` VALUES (79732, 3885, 21, 'ابدا');
INSERT INTO `lang_definitions` VALUES (79733, 3886, 21, 'لم يشرب الكحول أبداٌ');
INSERT INTO `lang_definitions` VALUES (79734, 3887, 21, 'لم يدخن ابدا');
INSERT INTO `lang_definitions` VALUES (79735, 3888, 21, 'جديد');
INSERT INTO `lang_definitions` VALUES (79736, 3889, 21, 'جديد =>');
INSERT INTO `lang_definitions` VALUES (79737, 3890, 21, 'مستقبلين جدد');
INSERT INTO `lang_definitions` VALUES (79738, 3892, 21, 'حساسية جديدة');
INSERT INTO `lang_definitions` VALUES (79739, 3894, 21, 'موعد جديد');
INSERT INTO `lang_definitions` VALUES (79740, 3895, 21, 'اصناف جديدة');
INSERT INTO `lang_definitions` VALUES (79741, 3896, 21, 'صنف جديد');
INSERT INTO `lang_definitions` VALUES (79742, 3897, 21, 'عملاء جدد');
INSERT INTO `lang_definitions` VALUES (79743, 3898, 21, 'إستشارة جديدة');
INSERT INTO `lang_definitions` VALUES (79744, 3899, 21, 'حصاد جديد');
INSERT INTO `lang_definitions` VALUES (79745, 3900, 21, 'تمت إضافة مجموعة تعريف جديدة');
INSERT INTO `lang_definitions` VALUES (79746, 3901, 21, 'ملف جديد');
INSERT INTO `lang_definitions` VALUES (79747, 3902, 21, 'ملفات جدد');
INSERT INTO `lang_definitions` VALUES (79748, 3904, 21, 'زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (79749, 3905, 21, 'تم تكوين زيارة جديدة برقم الهوية');
INSERT INTO `lang_definitions` VALUES (79750, 3906, 21, 'استمارة زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (79751, 3907, 21, 'الزيارات الجديدة لم تعتمد');
INSERT INTO `lang_definitions` VALUES (79752, 3908, 21, 'زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (79753, 3909, 21, 'معلومات منشأة جديدة');
INSERT INTO `lang_definitions` VALUES (79754, 3910, 21, 'ملف جديد');
INSERT INTO `lang_definitions` VALUES (79755, 3911, 21, 'ملفات جدد');
INSERT INTO `lang_definitions` VALUES (79756, 3912, 21, 'مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (79757, 3913, 21, 'معلومات مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (79758, 3914, 21, 'إصابة جديدة');
INSERT INTO `lang_definitions` VALUES (79759, 3916, 21, 'الحّد الجديد للأحداث');
INSERT INTO `lang_definitions` VALUES (79760, 3917, 21, 'قائمة جديدة');
INSERT INTO `lang_definitions` VALUES (79761, 3918, 21, 'أومر جديدة');
INSERT INTO `lang_definitions` VALUES (79762, 3919, 21, 'فقرة جديدة');
INSERT INTO `lang_definitions` VALUES (79763, 3920, 21, 'كلمة سر جديدة');
INSERT INTO `lang_definitions` VALUES (79764, 3921, 21, 'مريض جديد');
INSERT INTO `lang_definitions` VALUES (79765, 3922, 21, 'مريض جديد');
INSERT INTO `lang_definitions` VALUES (79766, 3923, 21, 'زيارة مريض جديدة');
INSERT INTO `lang_definitions` VALUES (79767, 3924, 21, 'نموذج جديد للمريض');
INSERT INTO `lang_definitions` VALUES (79768, 3925, 21, 'رقم مريض جديد');
INSERT INTO `lang_definitions` VALUES (79769, 3926, 21, 'دفعة جديدة');
INSERT INTO `lang_definitions` VALUES (79770, 3928, 21, 'مريض جديد');
INSERT INTO `lang_definitions` VALUES (79771, 3929, 21, 'نتائج جديدة من شبكة المختبرات لتبادل النتائج');
INSERT INTO `lang_definitions` VALUES (79772, 3930, 21, 'بحث جديد');
INSERT INTO `lang_definitions` VALUES (79773, 3931, 21, 'تسليمات جديدة');
INSERT INTO `lang_definitions` VALUES (79774, 3932, 21, 'مستخدم جديد');
INSERT INTO `lang_definitions` VALUES (79775, 3934, 21, 'زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (79776, 3935, 21, 'جديد/ بحث');
INSERT INTO `lang_definitions` VALUES (79777, 3936, 21, 'حالة حساب NewCrop');
INSERT INTO `lang_definitions` VALUES (79778, 3937, 21, 'مدير NewCrop');
INSERT INTO `lang_definitions` VALUES (79779, 3938, 21, 'فشل استدعاء NewCrop');
INSERT INTO `lang_definitions` VALUES (79780, 3939, 21, 'طبيب NewCrop');
INSERT INTO `lang_definitions` VALUES (79781, 3944, 21, 'اسم NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79782, 3945, 21, 'اسم زميل NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79783, 3946, 21, 'كلمة سر NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79784, 3947, 21, 'دور NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79785, 3948, 21, 'دور NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79786, 3949, 21, 'عنوان موقع NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79787, 3954, 21, 'عنوان مساعدة الانترنت NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (79788, 3955, 21, 'مدير NewCrop');
INSERT INTO `lang_definitions` VALUES (79789, 3956, 21, 'مدخل طبي NewCrop');
INSERT INTO `lang_definitions` VALUES (79790, 3957, 21, 'واصف متوسط المستوي NewCrop');
INSERT INTO `lang_definitions` VALUES (79791, 3958, 21, 'ممرضة NewCrop');
INSERT INTO `lang_definitions` VALUES (79792, 3959, 21, 'طبيب مشرف NewCrop');
INSERT INTO `lang_definitions` VALUES (79793, 3961, 21, 'صحيفة');
INSERT INTO `lang_definitions` VALUES (79794, 3962, 21, 'التالي');
INSERT INTO `lang_definitions` VALUES (79795, 3964, 21, 'اليوم التالي');
INSERT INTO `lang_definitions` VALUES (79796, 3965, 21, 'الشهر القادم');
INSERT INTO `lang_definitions` VALUES (79797, 3966, 21, 'الشهر القادم (انتظر للقائمة)');
INSERT INTO `lang_definitions` VALUES (79798, 3967, 21, 'التشغيل المؤقت التالي');
INSERT INTO `lang_definitions` VALUES (79799, 3968, 21, 'الأسبوع القادم');
INSERT INTO `lang_definitions` VALUES (79800, 3969, 21, 'العام القادم (انتظر للقائمة)');
INSERT INTO `lang_definitions` VALUES (79801, 3971, 21, 'أسم الدلع');
INSERT INTO `lang_definitions` VALUES (79802, 3973, 21, 'تعرق ليلي');
INSERT INTO `lang_definitions` VALUES (79803, 3974, 21, 'ضمن الحدود الطبيعية: الأعضاء التناسلية الخارجية, غشاء المهبل و عنق الرحم');
INSERT INTO `lang_definitions` VALUES (79804, 3975, 21, 'لا');
INSERT INTO `lang_definitions` VALUES (79805, 3976, 21, 'لا');
INSERT INTO `lang_definitions` VALUES (79806, 3977, 21, 'ممنوع الدخول');
INSERT INTO `lang_definitions` VALUES (79807, 3978, 21, 'لا يوجد تذكيرات نشطة للمريض');
INSERT INTO `lang_definitions` VALUES (79808, 3979, 21, 'لا تضخم للغدد (مطلوب منطقتين)');
INSERT INTO `lang_definitions` VALUES (79809, 3980, 21, 'لا يوجد سبب للتعديل');
INSERT INTO `lang_definitions` VALUES (79810, 3981, 21, 'لا الم او كتل متعلق بالمُلْحَقَات');
INSERT INTO `lang_definitions` VALUES (79811, 3983, 21, 'لا يوجد موعد');
INSERT INTO `lang_definitions` VALUES (79812, 3985, 21, 'لا يوجد نظام فوترة نشط');
INSERT INTO `lang_definitions` VALUES (79813, 3986, 21, 'لا توجد فواتير لتشمل فى تصدير OFX');
INSERT INTO `lang_definitions` VALUES (79814, 3987, 21, 'لا توجد فواتير لتشمل فى تصدير OFX');
INSERT INTO `lang_definitions` VALUES (79815, 3989, 21, 'لم يتم تعيين رمز!');
INSERT INTO `lang_definitions` VALUES (79816, 3992, 21, 'لا يوجد تشخيص');
INSERT INTO `lang_definitions` VALUES (79817, 3993, 21, 'لم يتم العثور علي الوثائق');
INSERT INTO `lang_definitions` VALUES (79818, 3994, 21, 'لم نستطع إنشاء زيارة جديدة');
INSERT INTO `lang_definitions` VALUES (79819, 3995, 21, 'لا يوجد تاريخ إنتهاء');
INSERT INTO `lang_definitions` VALUES (79820, 3996, 21, 'لم يتم العثور علي الإدخالات, إستخدم الطلب أدناة لإضافة إدخال');
INSERT INTO `lang_definitions` VALUES (79821, 3997, 21, 'لم يتم العثور على خطأ');
INSERT INTO `lang_definitions` VALUES (79822, 3998, 21, 'لا أحداث');
INSERT INTO `lang_definitions` VALUES (79823, 4000, 21, 'لا توجد ملفات للتثبيت');
INSERT INTO `lang_definitions` VALUES (79824, 4001, 21, 'لم يتم إختيار المجموعة');
INSERT INTO `lang_definitions` VALUES (79825, 4002, 21, 'لا يوجد فتاق');
INSERT INTO `lang_definitions` VALUES (79826, 4005, 21, 'لا يوجد إصابة /مرض');
INSERT INTO `lang_definitions` VALUES (79827, 4006, 21, 'لم يتم العثور عى شركة التأمين');
INSERT INTO `lang_definitions` VALUES (79828, 4007, 21, 'لا يوجد مشاكل');
INSERT INTO `lang_definitions` VALUES (79829, 4008, 21, 'لا يوجد مشاكل في هذه الزياة');
INSERT INTO `lang_definitions` VALUES (79830, 4009, 21, 'لا بنود تحت التصنيف المختار');
INSERT INTO `lang_definitions` VALUES (79831, 4010, 21, 'لم يتم اختيار بنود!');
INSERT INTO `lang_definitions` VALUES (79832, 4025, 21, 'لم يتم العثور عل ملف تسجيل لليوم المختار');
INSERT INTO `lang_definitions` VALUES (79833, 4027, 21, 'لا تكتلات او اﻻم');
INSERT INTO `lang_definitions` VALUES (79834, 4028, 21, 'لم يتم العثور علي مريض متطابق لرمز اعادة التعريف');
INSERT INTO `lang_definitions` VALUES (79835, 4029, 21, 'لم يتم العثور على تطايق,اعد البحث مرة اخرى');
INSERT INTO `lang_definitions` VALUES (79836, 4030, 21, 'لم يتم العثور علي نتائج متطابقة');
INSERT INTO `lang_definitions` VALUES (79837, 4031, 21, 'لم يتم العثور علي نتائج متطابقة. كوّن مريض جديد الان؟');
INSERT INTO `lang_definitions` VALUES (79838, 4032, 21, 'لم يتم العثور علي سجلات متطابقة');
INSERT INTO `lang_definitions` VALUES (79839, 4033, 21, 'لم يتم العثور على نتائج جديدة');
INSERT INTO `lang_definitions` VALUES (79840, 4034, 21, 'لا ملاحظات');
INSERT INTO `lang_definitions` VALUES (79841, 4035, 21, 'لا تضخم للأحشاء او الأعضاء الداخلية');
INSERT INTO `lang_definitions` VALUES (79842, 4036, 21, 'لا فرص مفتوحة لهذة الفترة.');
INSERT INTO `lang_definitions` VALUES (79843, 4037, 21, 'لا يوجد ارقام هاتف اخري مدرجه');
INSERT INTO `lang_definitions` VALUES (79844, 4039, 21, 'لم يتم العثور علي زملاء');
INSERT INTO `lang_definitions` VALUES (79845, 4040, 21, 'لم يتم العثور علي سجل للمريض للمعطيات المختارة');
INSERT INTO `lang_definitions` VALUES (79846, 4041, 21, 'لم يتم العثور علي مريض لرمز اعادة التعريف');
INSERT INTO `lang_definitions` VALUES (79847, 4042, 21, 'لا يوجد اِستِسقاء فى الأطراف');
INSERT INTO `lang_definitions` VALUES (79848, 4043, 21, 'لم يتم العثور على صيدليات');
INSERT INTO `lang_definitions` VALUES (79849, 4044, 21, 'لم يتم العثور على وصفات');
INSERT INTO `lang_definitions` VALUES (79850, 4045, 21, 'لا يوجد مرض حالي / إصابة');
INSERT INTO `lang_definitions` VALUES (79851, 4046, 21, 'لا يوجد مدخلات سابقة');
INSERT INTO `lang_definitions` VALUES (79852, 4047, 21, 'لم يتم إختيار منشأة العمل الرئيسية فى قائمة المنشأت');
INSERT INTO `lang_definitions` VALUES (79853, 4048, 21, 'لا يوجد زيارة سابقة');
INSERT INTO `lang_definitions` VALUES (79854, 4049, 21, 'لا يوجد عمليات في هذه الزيارة');
INSERT INTO `lang_definitions` VALUES (79855, 4051, 21, 'لم يتم العثور على مزودين');
INSERT INTO `lang_definitions` VALUES (79856, 4052, 21, 'لا يوجد طفح جلدي');
INSERT INTO `lang_definitions` VALUES (79857, 4053, 21, 'لك يتم العثور على الملف');
INSERT INTO `lang_definitions` VALUES (79858, 4055, 21, 'لك يتم العثور على الملف. الرجاء توسيع متطلبات البحث');
INSERT INTO `lang_definitions` VALUES (79859, 4056, 21, 'لا يوجد تذكيرات');
INSERT INTO `lang_definitions` VALUES (79860, 4057, 21, 'لم يتم العثور على نتائج لمتطلبات البحث أعلاة');
INSERT INTO `lang_definitions` VALUES (79861, 4058, 21, 'لا توجد نتائج');
INSERT INTO `lang_definitions` VALUES (79862, 4059, 21, 'لم يتم العثور على نتائج');
INSERT INTO `lang_definitions` VALUES (79863, 4060, 21, 'لم يتم العثور على نتائج للبحث');
INSERT INTO `lang_definitions` VALUES (79864, 4061, 21, 'لا يتم العثور على نتائج, الرجاء المحاولة مرة آخرى');
INSERT INTO `lang_definitions` VALUES (79865, 4062, 21, 'لا يوجد نتائج, الرجاء المحاولة مرة آخرى');
INSERT INTO `lang_definitions` VALUES (79866, 4063, 21, 'لا يوجد نتائج, الرجاء المحاولة مرة آخرى');
INSERT INTO `lang_definitions` VALUES (79867, 4065, 21, 'لم يحضر المريض للزيارة');
INSERT INTO `lang_definitions` VALUES (79868, 4067, 21, 'لا إيلامٌ فى الجيوب:');
INSERT INTO `lang_definitions` VALUES (79869, 4068, 21, 'لا تكّور فى الجلد او عقد فى الثدي');
INSERT INTO `lang_definitions` VALUES (79870, 4069, 21, 'لا يوجد مثل سياق الإسم هذا');
INSERT INTO `lang_definitions` VALUES (79871, 4070, 21, 'لم يتم أختيار جدول ! يرجى أختيار جدول.');
INSERT INTO `lang_definitions` VALUES (79872, 4071, 21, 'لا يوجد إيلام او تكتلات بالخصية');
INSERT INTO `lang_definitions` VALUES (79873, 4072, 21, 'لا توجد دبيبة او اهتزازات قلبية');
INSERT INTO `lang_definitions` VALUES (79874, 4075, 21, 'لا توجد زيارة');
INSERT INTO `lang_definitions` VALUES (79875, 4076, 21, 'لم يتم تسجيل اي مؤشرات حيوية');
INSERT INTO `lang_definitions` VALUES (79876, 4077, 21, 'لا, الغ العملية');
INSERT INTO `lang_definitions` VALUES (79877, 4078, 21, 'لا - خطأ تأميني متضمن اوتو هو الأولي');
INSERT INTO `lang_definitions` VALUES (79878, 4079, 21, 'لا:');
INSERT INTO `lang_definitions` VALUES (79879, 4080, 21, 'سلس ليلي');
INSERT INTO `lang_definitions` VALUES (79880, 4081, 21, 'غير مدفوع');
INSERT INTO `lang_definitions` VALUES (79881, 4082, 21, 'تقرير غير مقرر');
INSERT INTO `lang_definitions` VALUES (79882, 4083, 21, 'الإصابة غير محددة');
INSERT INTO `lang_definitions` VALUES (79883, 4084, 21, 'غير الكتروني');
INSERT INTO `lang_definitions` VALUES (79884, 4085, 21, 'النوع الثاني من السكري غير المعتمد علي الإنسولين');
INSERT INTO `lang_definitions` VALUES (79885, 4086, 21, 'غير مؤمن');
INSERT INTO `lang_definitions` VALUES (79886, 4087, 21, 'طبي ولكن غير صحي تناسلي او جنسي');
INSERT INTO `lang_definitions` VALUES (79887, 4088, 21, 'غير طبي و غير صحي تناسلي او جنسي');
INSERT INTO `lang_definitions` VALUES (79888, 4089, 21, 'ولا واحِد');
INSERT INTO `lang_definitions` VALUES (79889, 4090, 21, 'ولا واحِد');
INSERT INTO `lang_definitions` VALUES (79890, 4091, 21, 'ولا واحِد معرّف');
INSERT INTO `lang_definitions` VALUES (79891, 4092, 21, 'ولا واحِد موثق');
INSERT INTO `lang_definitions` VALUES (79892, 4093, 21, 'ولا واحِد مما سبق');
INSERT INTO `lang_definitions` VALUES (79893, 4094, 21, 'ولا واحِد من أسطر التوزيع العلويين يمكن أن يكون فارغا');
INSERT INTO `lang_definitions` VALUES (79894, 4095, 21, 'النوع الثاني من السكري غير المعتمد علي الإنسولين');
INSERT INTO `lang_definitions` VALUES (79895, 4096, 21, 'و لا حتي');
INSERT INTO `lang_definitions` VALUES (79896, 4097, 21, 'طبيعي');
INSERT INTO `lang_definitions` VALUES (79897, 4098, 21, 'طبيعي للجهتين');
INSERT INTO `lang_definitions` VALUES (79898, 4099, 21, 'فحص قلبي طبيعي:');
INSERT INTO `lang_definitions` VALUES (79899, 4100, 21, 'فحص قلبي طبيعي: ');
INSERT INTO `lang_definitions` VALUES (79900, 4101, 21, 'فحص رئوي طبيعي:');
INSERT INTO `lang_definitions` VALUES (79901, 4102, 21, 'فحص رئوي طبيعي: ');
INSERT INTO `lang_definitions` VALUES (79902, 4103, 21, 'زيارة عيادة طبيعية:');
INSERT INTO `lang_definitions` VALUES (79903, 4104, 21, 'فم و حنجرة طبيعيين:');
INSERT INTO `lang_definitions` VALUES (79904, 4105, 21, 'طبيعي يمينا');
INSERT INTO `lang_definitions` VALUES (79905, 4106, 21, 'طبيعي يمينا:');
INSERT INTO `lang_definitions` VALUES (79906, 4107, 21, 'منظر طبيعي');
INSERT INTO `lang_definitions` VALUES (79907, 4108, 21, 'طبيعي:');
INSERT INTO `lang_definitions` VALUES (79908, 4109, 21, 'من الطبيعي ان يفحص هذا. غير متعلق بتحكم الوصول.');
INSERT INTO `lang_definitions` VALUES (79909, 4112, 21, 'نرويجي');
INSERT INTO `lang_definitions` VALUES (79910, 4115, 21, 'أنف');
INSERT INTO `lang_definitions` VALUES (79911, 4116, 21, 'رُعاف');
INSERT INTO `lang_definitions` VALUES (79912, 4117, 21, 'ليس حرفا او رقما');
INSERT INTO `lang_definitions` VALUES (79913, 4119, 21, 'ليست كل الحقول مطلوبة لكل الرموز او انواعها');
INSERT INTO `lang_definitions` VALUES (79914, 4120, 21, 'غير مسموح');
INSERT INTO `lang_definitions` VALUES (79915, 4121, 21, 'غير مسموح بحذف مجموعة المدراء');
INSERT INTO `lang_definitions` VALUES (79916, 4122, 21, 'التعديل غير مسموح');
INSERT INTO `lang_definitions` VALUES (79917, 4123, 21, 'غير مسموح بتعطيل كل متعلقات الحماية');
INSERT INTO `lang_definitions` VALUES (79918, 4124, 21, 'غير مسموح بتعطيل اي شئ من ACL المدراء');
INSERT INTO `lang_definitions` VALUES (79919, 4125, 21, 'غير مسموح بحذف المستخدم المدير من مجموعة المدراء');
INSERT INTO `lang_definitions` VALUES (79920, 4126, 21, 'غير مسموح بحذف هذا المستخدم من مجموعة المدراء');
INSERT INTO `lang_definitions` VALUES (79921, 4127, 21, 'غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (79922, 4128, 21, 'غير مسموح بالعبور الي PostCalendar module');
INSERT INTO `lang_definitions` VALUES (79923, 4129, 21, 'غير مصّرح');
INSERT INTO `lang_definitions` VALUES (79924, 4130, 21, 'غير مصّرح');
INSERT INTO `lang_definitions` VALUES (79925, 4131, 21, 'غير مصّرح لهذه الفرقة!');
INSERT INTO `lang_definitions` VALUES (79926, 4132, 21, 'غير مصّرح لهذه الفرقة.');
INSERT INTO `lang_definitions` VALUES (79927, 4133, 21, 'غير مصّرح بالتحكم فى المستخدمين!');
INSERT INTO `lang_definitions` VALUES (79928, 4134, 21, 'غير مصّرح بالتوقيع علي النتائج');
INSERT INTO `lang_definitions` VALUES (79929, 4135, 21, 'غير متوفر');
INSERT INTO `lang_definitions` VALUES (79930, 4137, 21, 'غير مفوتر');
INSERT INTO `lang_definitions` VALUES (79931, 4138, 21, 'غير مدقق');
INSERT INTO `lang_definitions` VALUES (79932, 4139, 21, 'غير مخرج');
INSERT INTO `lang_definitions` VALUES (79933, 4140, 21, 'غير مرمّز');
INSERT INTO `lang_definitions` VALUES (79934, 4141, 21, 'غير مستحق');
INSERT INTO `lang_definitions` VALUES (79935, 4143, 21, 'لم يفحص بعد');
INSERT INTO `lang_definitions` VALUES (79936, 4144, 21, 'لم يفحص بعد:');
INSERT INTO `lang_definitions` VALUES (79937, 4145, 21, 'لم يفحص بعد: ');
INSERT INTO `lang_definitions` VALUES (79938, 4146, 21, 'تعذر العثور');
INSERT INTO `lang_definitions` VALUES (79939, 4148, 21, 'تعذر العثور!');
INSERT INTO `lang_definitions` VALUES (79940, 4149, 21, 'غير أسباني او لاتيني');
INSERT INTO `lang_definitions` VALUES (79941, 4150, 21, 'غير مثبّت');
INSERT INTO `lang_definitions` VALUES (79942, 4152, 21, 'لم يُر منذ');
INSERT INTO `lang_definitions` VALUES (79943, 4153, 21, 'لم يتم إرسالة');
INSERT INTO `lang_definitions` VALUES (79944, 4154, 21, 'لم يتم إرسالة بعد');
INSERT INTO `lang_definitions` VALUES (79945, 4155, 21, 'غير محدّد');
INSERT INTO `lang_definitions` VALUES (79946, 4156, 21, 'غير محدّد');
INSERT INTO `lang_definitions` VALUES (79947, 4157, 21, 'ملاحظة');
INSERT INTO `lang_definitions` VALUES (79948, 4158, 21, 'رموز الملاحظات');
INSERT INTO `lang_definitions` VALUES (79949, 4159, 21, 'لاحظ انها سوف تستغرق 5-10 دقائق للتشغيل بعد ان تعطي الامر بالتثبيت');
INSERT INTO `lang_definitions` VALUES (79950, 4160, 21, 'لاحظ انها سوف تستغرق 5-10 دقائق للتشغيل بعد ان تعطي الامر بالتثبيت');
INSERT INTO `lang_definitions` VALUES (79951, 4161, 21, 'لاحظ ان ولوج التدقيق يجب ان يكون مفعلا اعلاه');
INSERT INTO `lang_definitions` VALUES (79952, 4162, 21, 'نوع الملاحظة');
INSERT INTO `lang_definitions` VALUES (79953, 4163, 21, 'ملاحظة: 12:00 ظهرا هي PM و ليست AM');
INSERT INTO `lang_definitions` VALUES (79954, 4164, 21, 'ملاحظة: إستيراد البيانات الخارجية قد يستغرق وقتا يفوق الساعة علي حسب قوة جهازك. بعض بيانات RxNorm يحتوي علي أكثر من 6 ملايين سطر.');
INSERT INTO `lang_definitions` VALUES (79955, 4165, 21, 'ملاحظة: إصدار Snomed النصف سنوي هو الوحيد المدعّم حاليا');
INSERT INTO `lang_definitions` VALUES (79956, 4166, 21, 'ملاحظة: إصدار RxNorm الشهري الكامل هو الوحيد المدعّم حاليا');
INSERT INTO `lang_definitions` VALUES (79957, 4168, 21, 'ملاحظة: هذا الرمز لم يتم ادخالة بواسطة مستخدم مصرح له. الرموز المصرح لها هي الوحيدة المفعّلة. اذا اردت استخدامها فإختر مستخدما مصرح له');
INSERT INTO `lang_definitions` VALUES (79958, 4170, 21, 'ملاحظة: ترفيع ملفات بأسماء مكررة سيؤدي الي حذفها تلقائيا. أسماء الوثائق تعتبر فريدة لكل مريض و ليس لك مجموعة');
INSERT INTO `lang_definitions` VALUES (79959, 4171, 21, 'ملاحظة: ترفيع ملفات بأسماء مكررة سيؤدي الي حذفها تلقائيا. أسماء الوثائق تعتبر فريدة لكل مريض و ليس لك مجموعة');
INSERT INTO `lang_definitions` VALUES (79960, 4172, 21, 'ملاحظات');
INSERT INTO `lang_definitions` VALUES (79961, 4173, 21, 'ملاحظات - اي زيارة (اكتب, الإضافة إختيارية)');
INSERT INTO `lang_definitions` VALUES (79962, 4174, 21, 'ملاحظات - زياراتي (اكتب, الإضافة إختيارية)');
INSERT INTO `lang_definitions` VALUES (79963, 4175, 21, 'الملاحظات غير مصرح لها');
INSERT INTO `lang_definitions` VALUES (79964, 4177, 21, 'لم يتم تسجيل اي شيئ');
INSERT INTO `lang_definitions` VALUES (79965, 4179, 21, 'لم يتم استيراد اي شيئ للحساسية');
INSERT INTO `lang_definitions` VALUES (79966, 4180, 21, 'لم يتم استيراد اي شيئ للوصفة');
INSERT INTO `lang_definitions` VALUES (79967, 4181, 21, 'لا شيئ ليعرض');
INSERT INTO `lang_definitions` VALUES (79968, 4182, 21, 'لم يتم إختيار اي شيئ');
INSERT INTO `lang_definitions` VALUES (79969, 4184, 21, 'مذكرّة:: ايداع/ تعديل PostCalendar');
INSERT INTO `lang_definitions` VALUES (79970, 4185, 21, 'إشْعار');
INSERT INTO `lang_definitions` VALUES (79971, 4186, 21, 'إيميل إلاشْعار');
INSERT INTO `lang_definitions` VALUES (79972, 4188, 21, 'إشْعارات');
INSERT INTO `lang_definitions` VALUES (79973, 4189, 21, 'أشعر المدير بخصوص ايداع/ تعديل؟');
INSERT INTO `lang_definitions` VALUES (79974, 4190, 21, 'نوفمبر/تشرين الثاني');
INSERT INTO `lang_definitions` VALUES (79975, 4191, 21, 'نوفمبر/تشرين الثاني');
INSERT INTO `lang_definitions` VALUES (79976, 4192, 21, 'الان يتم الاعلام ل:');
INSERT INTO `lang_definitions` VALUES (79977, 4193, 21, 'تتم الطباعة اﻵن');
INSERT INTO `lang_definitions` VALUES (79978, 4194, 21, 'تتم الطباعة اﻵن $stmt_count statements and updating encounters.');
INSERT INTO `lang_definitions` VALUES (79979, 4195, 21, 'تتم الطباعة اﻵن $stmt_count statements and updating invoices.');
INSERT INTO `lang_definitions` VALUES (79980, 4196, 21, 'تتم الطباعة اﻵن $stmt_count statements; encounters will not be updated.');
INSERT INTO `lang_definitions` VALUES (79981, 4197, 21, 'تتم الطباعة اﻵن $stmt_count statements; invoices will not be updated.');
INSERT INTO `lang_definitions` VALUES (79982, 4198, 21, 'رقم المزوّد الوطني');
INSERT INTO `lang_definitions` VALUES (79983, 4199, 21, 'هيكل النوعية الوطنية');
INSERT INTO `lang_definitions` VALUES (79984, 4200, 21, 'عدد');
INSERT INTO `lang_definitions` VALUES (79985, 4201, 21, 'عدد المختبرات');
INSERT INTO `lang_definitions` VALUES (79986, 4204, 21, 'عدد اﻷعمدة في منظر السنة');
INSERT INTO `lang_definitions` VALUES (79987, 4211, 21, 'عدد اﻷيام لصلاحية شهادة العميل');
INSERT INTO `lang_definitions` VALUES (79988, 4213, 21, 'عدد اﻷرقام بعد الفاصلة العشرية, عادة 0 او 2');
INSERT INTO `lang_definitions` VALUES (79989, 4214, 21, 'عدد الزيارات المعروضة لكل صفحة');
INSERT INTO `lang_definitions` VALUES (79990, 4215, 21, 'عدد المباريات او الحداث المفقودة لو وجدت');
INSERT INTO `lang_definitions` VALUES (79991, 4216, 21, 'عدد الساعات لإرسال تنبيهات اﻹيميل مقدما');
INSERT INTO `lang_definitions` VALUES (79992, 4217, 21, 'عدد الساعات لإرسال تنبيهات الهاتف مقدما');
INSERT INTO `lang_definitions` VALUES (79993, 4218, 21, 'عدد الساعات لإرسال تنبيهات الرسائل النصية القصيرة مقدما');
INSERT INTO `lang_definitions` VALUES (79994, 4221, 21, 'عدد اعمدة التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (79995, 4222, 21, 'عدد عرض المرضي لكل صفحة فى قائمة المرضي');
INSERT INTO `lang_definitions` VALUES (79996, 4223, 21, 'خذل');
INSERT INTO `lang_definitions` VALUES (79997, 4224, 21, 'بسط الكسر');
INSERT INTO `lang_definitions` VALUES (79998, 4225, 21, 'ترتيب العرض العددي');
INSERT INTO `lang_definitions` VALUES (79999, 4227, 21, 'تغذية');
INSERT INTO `lang_definitions` VALUES (80000, 4229, 21, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (80001, 4230, 21, 'نسبة تشبع اﻷوكسجين');
INSERT INTO `lang_definitions` VALUES (80002, 4231, 21, 'البدانة 1');
INSERT INTO `lang_definitions` VALUES (80003, 4232, 21, 'البدانة 2');
INSERT INTO `lang_definitions` VALUES (80004, 4233, 21, 'البدانة 3');
INSERT INTO `lang_definitions` VALUES (80005, 4234, 21, 'موضوعي');
INSERT INTO `lang_definitions` VALUES (80006, 4237, 21, 'المهنة');
INSERT INTO `lang_definitions` VALUES (80007, 4239, 21, 'الحدوث');
INSERT INTO `lang_definitions` VALUES (80008, 4240, 21, 'اكتوبر/تشرين اﻷول');
INSERT INTO `lang_definitions` VALUES (80009, 4241, 21, 'اكتوبر/تشرين اﻷول');
INSERT INTO `lang_definitions` VALUES (80010, 4242, 21, 'العين اليمني');
INSERT INTO `lang_definitions` VALUES (80011, 4243, 21, 'ل');
INSERT INTO `lang_definitions` VALUES (80012, 4244, 21, 'للكمية');
INSERT INTO `lang_definitions` VALUES (80013, 4245, 21, 'للحبوب');
INSERT INTO `lang_definitions` VALUES (80014, 4246, 21, 'للشهر كل');
INSERT INTO `lang_definitions` VALUES (80015, 4247, 21, 'ملاحظات العيادة');
INSERT INTO `lang_definitions` VALUES (80016, 4248, 21, 'مغلق');
INSERT INTO `lang_definitions` VALUES (80017, 4249, 21, 'ملاحظات العيادة');
INSERT INTO `lang_definitions` VALUES (80018, 4250, 21, 'زيارة العيادة');
INSERT INTO `lang_definitions` VALUES (80019, 4251, 21, 'مجموعات قياس مقاييس النوعية الطبية الرسمية (CQM)');
INSERT INTO `lang_definitions` VALUES (80020, 4252, 21, 'رابط تصفح بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (80021, 4253, 21, 'رابط تصفح بوابة المرضي خارج الموقع (رابط المريض)');
INSERT INTO `lang_definitions` VALUES (80022, 4254, 21, 'كلمة سر بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (80023, 4255, 21, 'كلمة سر بوابة المرضي خارج الموقع (أبق فارغا لو المريض غير مسجل)');
INSERT INTO `lang_definitions` VALUES (80024, 4256, 21, 'رقم هوية مزود بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (80025, 4257, 21, 'رقم هوية مزود بوابة المرضي خارج الموقع (أبق فارغا لو غير مسجل)');
INSERT INTO `lang_definitions` VALUES (80026, 4258, 21, 'عنوان موقع بوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (80027, 4259, 21, 'عنوان موقع بوابة المرضي خارج الموقع (رابط المريض)');
INSERT INTO `lang_definitions` VALUES (80028, 4260, 21, 'إسم المستخدم لبوابة المرضي خارج الموقع');
INSERT INTO `lang_definitions` VALUES (80029, 4261, 21, 'إسم المستخدم لبوابة المرضي خارج الموقع (أبق فارغا لو غير مسجل)');
INSERT INTO `lang_definitions` VALUES (80030, 4263, 21, 'ذرّية');
INSERT INTO `lang_definitions` VALUES (80031, 4265, 21, 'مرهم');
INSERT INTO `lang_definitions` VALUES (80032, 4267, 21, 'موافق');
INSERT INTO `lang_definitions` VALUES (80033, 4269, 21, 'موافق لربط موضوع مؤرخ GCAC');
INSERT INTO `lang_definitions` VALUES (80034, 4270, 21, 'قديم');
INSERT INTO `lang_definitions` VALUES (80035, 4272, 21, 'عملاء قدامى');
INSERT INTO `lang_definitions` VALUES (80036, 4273, 21, 'كسر قديم غير / التحام خاطئ');
INSERT INTO `lang_definitions` VALUES (80037, 4274, 21, 'اسلوب ترتيب قديم بدون قائمة يسري');
INSERT INTO `lang_definitions` VALUES (80038, 4275, 21, 'اسلوب قديم لطلب بدون قائمة بحث أو تصحيح المتكرارت');
INSERT INTO `lang_definitions` VALUES (80039, 4277, 21, 'إحذف');
INSERT INTO `lang_definitions` VALUES (80040, 4278, 21, 'إحذف المحيطات');
INSERT INTO `lang_definitions` VALUES (80041, 4279, 21, 'إحذف معلومات أرباب العمل في ديموجرافيا المريض');
INSERT INTO `lang_definitions` VALUES (80042, 4280, 21, 'إحذف أرباب العمل');
INSERT INTO `lang_definitions` VALUES (80043, 4281, 21, 'إحذف الهيئة, طريق الإعطاء و الفاصل الزمني لتصبح جزءا من الجرعة');
INSERT INTO `lang_definitions` VALUES (80044, 4282, 21, 'إحذف التأمين و بعض اﻷشياء أﻷخري من طلب الديموجرافيا');
INSERT INTO `lang_definitions` VALUES (80045, 4283, 21, 'إحذف المستخدمين الداخليين؟');
INSERT INTO `lang_definitions` VALUES (80046, 4284, 21, 'إحذف طريقة الدفع من واجهة الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (80047, 4285, 21, 'إحذف الي الولوج التلقائي');
INSERT INTO `lang_definitions` VALUES (80048, 4286, 21, 'عند');
INSERT INTO `lang_definitions` VALUES (80049, 4287, 21, 'عند');
INSERT INTO `lang_definitions` VALUES (80050, 4288, 21, 'حاضر');
INSERT INTO `lang_definitions` VALUES (80051, 4289, 21, 'عند الطلب');
INSERT INTO `lang_definitions` VALUES (80052, 4290, 21, 'فى الموقع');
INSERT INTO `lang_definitions` VALUES (80053, 4291, 21, 'تعيين منشأة التأمين أﻷولي يجب ان لا يتغير لانه مرتبط بخدمة الوصفة الإكترونية من NewCrop ePrescription');
INSERT INTO `lang_definitions` VALUES (80054, 4292, 21, 'ما أن تقوم بتغيير كلمة سرك يجب عليك إعادة الولوج');
INSERT INTO `lang_definitions` VALUES (80055, 4297, 21, 'الدعم على الإنترنت');
INSERT INTO `lang_definitions` VALUES (80056, 4298, 21, 'رابط الدعم على الإنترنت');
INSERT INTO `lang_definitions` VALUES (80057, 4299, 21, 'نشط فقط');
INSERT INTO `lang_definitions` VALUES (80058, 4300, 21, 'مطبق فقط لو المزود مختار بالأعلي. اﻷولي سيختار المرضي الذين يزودهم المزود اﻷولي');
INSERT INTO `lang_definitions` VALUES (80059, 4302, 21, 'فقط لو مكان الفوترة');
INSERT INTO `lang_definitions` VALUES (80060, 4303, 21, 'خامل فقط');
INSERT INTO `lang_definitions` VALUES (80061, 4304, 21, 'تابع لي فقط');
INSERT INTO `lang_definitions` VALUES (80062, 4305, 21, 'اضهر رموز التشخيص فقط');
INSERT INTO `lang_definitions` VALUES (80063, 4306, 21, 'اضهر رموز الخدمة لقرير المالية فقط');
INSERT INTO `lang_definitions` VALUES (80064, 4307, 21, 'رفّع الوصفات النشطة فقط');
INSERT INTO `lang_definitions` VALUES (80065, 4310, 21, 'بداية المرض:');
INSERT INTO `lang_definitions` VALUES (80066, 4311, 21, 'بداية المرض: ');
INSERT INTO `lang_definitions` VALUES (80067, 4312, 21, 'بداية التورم:');
INSERT INTO `lang_definitions` VALUES (80068, 4313, 21, 'تاريخ إدخال المستشفي:');
INSERT INTO `lang_definitions` VALUES (80069, 4314, 21, 'عنوان موقع بوباة المريض علي الإنترنت');
INSERT INTO `lang_definitions` VALUES (80070, 4315, 21, 'عفوا!');
INSERT INTO `lang_definitions` VALUES (80071, 4316, 21, 'فتح');
INSERT INTO `lang_definitions` VALUES (80072, 4318, 21, 'إفتح في نافذة جديدة');
INSERT INTO `lang_definitions` VALUES (80073, 4321, 21, 'فتح زيارة اليوم');
INSERT INTO `lang_definitions` VALUES (80074, 4322, 21, 'إعدادات شهادة السلطه للبرنامج مهيئة أصلا');
INSERT INTO `lang_definitions` VALUES (80075, 4323, 21, 'مجموعة تطبيقات البرنامج');
INSERT INTO `lang_definitions` VALUES (80076, 4324, 21, 'ترقية قاعدة بيانات البرنامج');
INSERT INTO `lang_definitions` VALUES (80077, 4325, 21, 'ترقية قاعدة بيانات البرنامج لمسح الهوية');
INSERT INTO `lang_definitions` VALUES (80078, 4326, 21, 'البرنامج لم يتعرّف علي الملف القادم فى مجلد contrib. This is most likely because you need to configure the release in the supported_external_dataloads table in the MySQL database.');
INSERT INTO `lang_definitions` VALUES (80079, 4327, 21, 'يجب علي البرنامج ان يهيئ لإستخدام الشهادات قبل ان يتمكن من اصدار شهادات للعميل');
INSERT INTO `lang_definitions` VALUES (80080, 4328, 21, 'البرنامج يحتاج اليJavascript ليقوم بالتأكد من المستخدم');
INSERT INTO `lang_definitions` VALUES (80081, 4329, 21, 'مستخدمي البرنامج');
INSERT INTO `lang_definitions` VALUES (80082, 4330, 21, 'افتتاحيات');
INSERT INTO `lang_definitions` VALUES (80083, 4332, 21, 'عيون');
INSERT INTO `lang_definitions` VALUES (80084, 4333, 21, 'خيار');
INSERT INTO `lang_definitions` VALUES (80085, 4334, 21, 'خيار لطريقة حفظ تخزين الوثيقة');
INSERT INTO `lang_definitions` VALUES (80086, 4335, 21, 'خيار لدعم المخزون و مبيعات المنتجات');
INSERT INTO `lang_definitions` VALUES (80087, 4336, 21, 'إختياري');
INSERT INTO `lang_definitions` VALUES (80088, 4337, 21, 'إسم المجموعة الإختيارية لبطاقة هوية المريض التي يمكن رؤيتها من صفحة ملخّص المريض');
INSERT INTO `lang_definitions` VALUES (80089, 4338, 21, 'إسم المجموعة الإختيارية للصور التي يمكن رؤيتها من صفحة ملخّص المريض');
INSERT INTO `lang_definitions` VALUES (80090, 4339, 21, 'إسم المجموعة الإختيارية للوثيقة التي يمكن ربطها من صفحة ملخّص المريض');
INSERT INTO `lang_definitions` VALUES (80091, 4340, 21, 'المجال الإفتراضي الإختياري للإدخال اليدوي للنتائج');
INSERT INTO `lang_definitions` VALUES (80092, 4341, 21, 'الوحدات الإفتراضية الإختيارية للإدخال اليدوي للنتائج');
INSERT INTO `lang_definitions` VALUES (80093, 4342, 21, 'إسم الوصول الإختياري');
INSERT INTO `lang_definitions` VALUES (80094, 4343, 21, 'إسم الدواء الإختياري, إستخدم % كرمز مبهم للبحث');
INSERT INTO `lang_definitions` VALUES (80095, 4345, 21, 'معلومات اختيارية عن هذا الحدث');
INSERT INTO `lang_definitions` VALUES (80096, 4346, 21, 'إسم الجملة الإختياري, إستخدم % كرمز مبهم للبحث');
INSERT INTO `lang_definitions` VALUES (80097, 4347, 21, 'رقم هوية المريض الإختياري');
INSERT INTO `lang_definitions` VALUES (80098, 4348, 21, 'رمز العملية الإختياري');
INSERT INTO `lang_definitions` VALUES (80099, 4349, 21, 'رمز العملية /الخدمة الإختياري');
INSERT INTO `lang_definitions` VALUES (80100, 4350, 21, 'خيارات');
INSERT INTO `lang_definitions` VALUES (80101, 4351, 21, 'أو');
INSERT INTO `lang_definitions` VALUES (80102, 4352, 21, 'أو');
INSERT INTO `lang_definitions` VALUES (80103, 4353, 21, 'أو أختار');
INSERT INTO `lang_definitions` VALUES (80104, 4354, 21, 'أو اضغط وأسحب لإختيار أسرع');
INSERT INTO `lang_definitions` VALUES (80105, 4356, 21, 'أو أخرج الي');
INSERT INTO `lang_definitions` VALUES (80106, 4358, 21, 'إضغط مع Shift للتصغير');
INSERT INTO `lang_definitions` VALUES (80107, 4359, 21, 'أو رفّع ملف ERA:');
INSERT INTO `lang_definitions` VALUES (80108, 4360, 21, 'فموي');
INSERT INTO `lang_definitions` VALUES (80109, 4361, 21, 'عشاء الفم وردي و البلعوم صافي');
INSERT INTO `lang_definitions` VALUES (80110, 4362, 21, 'طلب');
INSERT INTO `lang_definitions` VALUES (80111, 4363, 21, 'نوع الطلب والنتيجة');
INSERT INTO `lang_definitions` VALUES (80112, 4364, 21, 'دليل الطلب');
INSERT INTO `lang_definitions` VALUES (80113, 4365, 21, 'تاريخ الطلب');
INSERT INTO `lang_definitions` VALUES (80114, 4367, 21, 'إستمارة الطلب');
INSERT INTO `lang_definitions` VALUES (80115, 4368, 21, 'رقم الطلب');
INSERT INTO `lang_definitions` VALUES (80116, 4369, 21, 'رقم الطلب يجب ان يكون من 1 الي 999');
INSERT INTO `lang_definitions` VALUES (80117, 4370, 21, 'أسم الطلب');
INSERT INTO `lang_definitions` VALUES (80118, 4371, 21, 'أولوية الطلب');
INSERT INTO `lang_definitions` VALUES (80119, 4372, 21, 'معالج الطلب');
INSERT INTO `lang_definitions` VALUES (80120, 4373, 21, 'نتائج الطلب');
INSERT INTO `lang_definitions` VALUES (80121, 4374, 21, 'حالة الطلب');
INSERT INTO `lang_definitions` VALUES (80122, 4375, 21, 'حالة الطلب');
INSERT INTO `lang_definitions` VALUES (80123, 4376, 21, 'ملخص الطلب');
INSERT INTO `lang_definitions` VALUES (80124, 4378, 21, 'نوع الطلب');
INSERT INTO `lang_definitions` VALUES (80125, 4380, 21, 'نوع الطلب /النتيجة');
INSERT INTO `lang_definitions` VALUES (80126, 4381, 21, 'تم الطلب');
INSERT INTO `lang_definitions` VALUES (80127, 4382, 21, 'طلب بواسطة');
INSERT INTO `lang_definitions` VALUES (80128, 4383, 21, 'عملية تم طلبها');
INSERT INTO `lang_definitions` VALUES (80129, 4384, 21, 'المزود الطالب');
INSERT INTO `lang_definitions` VALUES (80130, 4385, 21, 'ممر الطلبات');
INSERT INTO `lang_definitions` VALUES (80131, 4386, 21, 'إصابة عضوية');
INSERT INTO `lang_definitions` VALUES (80132, 4387, 21, 'منظمة');
INSERT INTO `lang_definitions` VALUES (80133, 4388, 21, 'أسم المنظمة');
INSERT INTO `lang_definitions` VALUES (80134, 4389, 21, 'أسموحدة المنظمة');
INSERT INTO `lang_definitions` VALUES (80135, 4390, 21, 'المنظمات');
INSERT INTO `lang_definitions` VALUES (80136, 4391, 21, 'تم التعريف في 3');
INSERT INTO `lang_definitions` VALUES (80137, 4392, 21, 'اﻷصلي');
INSERT INTO `lang_definitions` VALUES (80138, 4396, 21, 'الفم و الحنجرة ');
INSERT INTO `lang_definitions` VALUES (80139, 4397, 21, 'ضيق النفس الإضطجاعي');
INSERT INTO `lang_definitions` VALUES (80140, 4398, 21, 'اليسري');
INSERT INTO `lang_definitions` VALUES (80141, 4399, 21, 'التهاب العظام و المفاصل');
INSERT INTO `lang_definitions` VALUES (80142, 4402, 21, 'اﻵخر');
INSERT INTO `lang_definitions` VALUES (80143, 4403, 21, 'اﻵخر');
INSERT INTO `lang_definitions` VALUES (80144, 4404, 21, 'اﻵخر (حدّد)');
INSERT INTO `lang_definitions` VALUES (80145, 4405, 21, 'اﻵخر (محدّد)');
INSERT INTO `lang_definitions` VALUES (80146, 4406, 21, 'برامج فيدرالية آخرى');
INSERT INTO `lang_definitions` VALUES (80147, 4407, 21, 'اﻵخر HCFA');
INSERT INTO `lang_definitions` VALUES (80148, 4408, 21, 'الإصابه غير المحدّدة في مكان اخر');
INSERT INTO `lang_definitions` VALUES (80149, 4409, 21, 'التزام التأمين اﻵخر هو اﻷولي');
INSERT INTO `lang_definitions` VALUES (80150, 4410, 21, 'شهر آخر');
INSERT INTO `lang_definitions` VALUES (80151, 4411, 21, 'برامج آخرى غير فيدرالية');
INSERT INTO `lang_definitions` VALUES (80152, 4412, 21, 'ملاحظات اخري');
INSERT INTO `lang_definitions` VALUES (80153, 4413, 21, 'أعراض اخري متعلقة');
INSERT INTO `lang_definitions` VALUES (80154, 4414, 21, 'أعراض اخري متعلقة:');
INSERT INTO `lang_definitions` VALUES (80155, 4415, 21, 'اخري تنفسية');
INSERT INTO `lang_definitions` VALUES (80156, 4416, 21, 'إرهاق/زيادة استعمال اخري');
INSERT INTO `lang_definitions` VALUES (80157, 4417, 21, 'جراحية اخري');
INSERT INTO `lang_definitions` VALUES (80158, 4418, 21, 'اخري/ متعلقة بالإجهاض');
INSERT INTO `lang_definitions` VALUES (80159, 4420, 21, 'اخري');
INSERT INTO `lang_definitions` VALUES (80160, 4421, 21, 'و إلا ستفسد المراجع من و الي البيانات الحالية');
INSERT INTO `lang_definitions` VALUES (80161, 4422, 21, 'قواعد اتاوا لتصوير الكعب');
INSERT INTO `lang_definitions` VALUES (80162, 4423, 21, 'كلتا العينين');
INSERT INTO `lang_definitions` VALUES (80163, 4424, 21, 'خارجا');
INSERT INTO `lang_definitions` VALUES (80164, 4425, 21, 'خارج المكتب');
INSERT INTO `lang_definitions` VALUES (80165, 4426, 21, 'تحويل متجه الى الخارج');
INSERT INTO `lang_definitions` VALUES (80166, 4427, 21, 'نتيجة');
INSERT INTO `lang_definitions` VALUES (80167, 4428, 21, 'وُجهَة نَظَر');
INSERT INTO `lang_definitions` VALUES (80168, 4430, 21, 'حالة التسريح العامة');
INSERT INTO `lang_definitions` VALUES (80169, 4431, 21, 'متأخر');
INSERT INTO `lang_definitions` VALUES (80170, 4432, 21, 'زيادة استخدام');
INSERT INTO `lang_definitions` VALUES (80171, 4433, 21, 'نظرة عامة');
INSERT INTO `lang_definitions` VALUES (80172, 4434, 21, 'وزن زائد (سمنة)');
INSERT INTO `lang_definitions` VALUES (80173, 4435, 21, 'اكتب فوق اختيار');
INSERT INTO `lang_definitions` VALUES (80174, 4437, 21, 'تشبع بالأكسجين');
INSERT INTO `lang_definitions` VALUES (80175, 4438, 21, 'أونصة');
INSERT INTO `lang_definitions` VALUES (80176, 4440, 21, 'بعد الوجبات');
INSERT INTO `lang_definitions` VALUES (80177, 4441, 21, 'مساءاً');
INSERT INTO `lang_definitions` VALUES (80178, 4442, 21, 'عند اللزوم');
INSERT INTO `lang_definitions` VALUES (80179, 4443, 21, 'ساكن جزر المحيط الهادي');
INSERT INTO `lang_definitions` VALUES (80180, 4444, 21, 'الطفولة');
INSERT INTO `lang_definitions` VALUES (80181, 4445, 21, 'صفحة');
INSERT INTO `lang_definitions` VALUES (80182, 4446, 21, 'صفحات');
INSERT INTO `lang_definitions` VALUES (80183, 4447, 21, 'تم الدفع');
INSERT INTO `lang_definitions` VALUES (80184, 4448, 21, 'المبلغ المدفوع الذي حددتة');
INSERT INTO `lang_definitions` VALUES (80185, 4449, 21, 'المبلغ المدفوع');
INSERT INTO `lang_definitions` VALUES (80186, 4450, 21, 'دفع بواسطة');
INSERT INTO `lang_definitions` VALUES (80187, 4451, 21, 'ألم');
INSERT INTO `lang_definitions` VALUES (80188, 4453, 21, 'خفقان');
INSERT INTO `lang_definitions` VALUES (80189, 4455, 21, 'مسحة عنق الرحم');
INSERT INTO `lang_definitions` VALUES (80190, 4456, 21, 'ورق');
INSERT INTO `lang_definitions` VALUES (80191, 4457, 21, 'حجم الورق');
INSERT INTO `lang_definitions` VALUES (80192, 4458, 21, 'شلل');
INSERT INTO `lang_definitions` VALUES (80193, 4461, 21, 'تحليل HL7');
INSERT INTO `lang_definitions` VALUES (80194, 4463, 21, 'شريك');
INSERT INTO `lang_definitions` VALUES (80195, 4464, 21, 'أسم الشريك');
INSERT INTO `lang_definitions` VALUES (80196, 4467, 21, 'جملة السر');
INSERT INTO `lang_definitions` VALUES (80197, 4468, 21, 'جملة السر لفك تشفير الوثيقة');
INSERT INTO `lang_definitions` VALUES (80198, 4469, 21, 'المرضي المتوفيين');
INSERT INTO `lang_definitions` VALUES (80199, 4470, 21, 'تنبيه سلبي');
INSERT INTO `lang_definitions` VALUES (80200, 4471, 21, 'قواعد التنبيه السلبي');
INSERT INTO `lang_definitions` VALUES (80201, 4472, 21, 'كلمة السر');
INSERT INTO `lang_definitions` VALUES (80202, 4473, 21, 'تغيير كلمة السر');
INSERT INTO `lang_definitions` VALUES (80203, 4474, 21, 'تم تغيير كلمة السر بنجاح');
INSERT INTO `lang_definitions` VALUES (80204, 4475, 21, 'تم تغيير كلمة السر بنجاح.');
INSERT INTO `lang_definitions` VALUES (80205, 4476, 21, 'كلمة السر لا ترقي للحد اﻹدني و يجب ان تحتوي علي علي اﻷقل علي حرف كبير و اخر صغير و رقم و اي رمز خاص');
INSERT INTO `lang_definitions` VALUES (80206, 4477, 21, 'فترة السماح لكلمة السر المنتهية الصلاحية');
INSERT INTO `lang_definitions` VALUES (80207, 4479, 21, 'كلمة السر لبوابة الهاتف. خدمة VOIP المقدمة من http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (80208, 4480, 21, 'كلمة السر لممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (80209, 4481, 21, 'كلمة السر لممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (80210, 4483, 21, 'نظام اﻷمان لكلمة السر تم ترقيته');
INSERT INTO `lang_definitions` VALUES (80211, 4484, 21, 'كلمة السر لالإتصال ب CouchDB');
INSERT INTO `lang_definitions` VALUES (80212, 4485, 21, 'كلمة السر قصيرة جداَ. مطلوب اكثر من 8 رموز.');
INSERT INTO `lang_definitions` VALUES (80213, 4486, 21, 'كلمة السر:');
INSERT INTO `lang_definitions` VALUES (80214, 4487, 21, 'كلمات السر غير متطابقة !');
INSERT INTO `lang_definitions` VALUES (80215, 4488, 21, 'المواعيد السابقة');
INSERT INTO `lang_definitions` VALUES (80216, 4489, 21, 'أداة عرض المواعيد السابقة');
INSERT INTO `lang_definitions` VALUES (80217, 4490, 21, 'مضى تاريخ استحقاقها');
INSERT INTO `lang_definitions` VALUES (80218, 4491, 21, 'مضى تاريخ استحقاقها');
INSERT INTO `lang_definitions` VALUES (80219, 4492, 21, 'فاصل مضى تاريخ اﻹستحقاق (تنبيهات طبية)');
INSERT INTO `lang_definitions` VALUES (80220, 4493, 21, 'فاصل مضى تاريخ اﻹستحقاق (تنبيهات المريض)');
INSERT INTO `lang_definitions` VALUES (80221, 4494, 21, 'قائمة الزيارات الآخيرة');
INSERT INTO `lang_definitions` VALUES (80222, 4495, 21, 'الزيارة السابقة');
INSERT INTO `lang_definitions` VALUES (80223, 4496, 21, 'الزيارة السابقة والملفات');
INSERT INTO `lang_definitions` VALUES (80224, 4497, 21, 'الزيارات السابقة ل');
INSERT INTO `lang_definitions` VALUES (80225, 4498, 21, 'الصق بيانات HL7');
INSERT INTO `lang_definitions` VALUES (80226, 4499, 21, 'الصق البيانات لتستورد فى مكان النص ادناه');
INSERT INTO `lang_definitions` VALUES (80227, 4500, 21, 'مريض');
INSERT INTO `lang_definitions` VALUES (80228, 4502, 21, 'رقعة');
INSERT INTO `lang_definitions` VALUES (80229, 4508, 21, 'طريق لاحتياط تسجيل الحدث');
INSERT INTO `lang_definitions` VALUES (80230, 4509, 21, 'طريق لملف شهادة ال CA');
INSERT INTO `lang_definitions` VALUES (80231, 4510, 21, 'طريق لمفتاح شهادة ال CA');
INSERT INTO `lang_definitions` VALUES (80232, 4511, 21, 'طريق لثنائيات MySQL');
INSERT INTO `lang_definitions` VALUES (80233, 4512, 21, 'طريق لثنائيات Perl');
INSERT INTO `lang_definitions` VALUES (80234, 4513, 21, 'طريق للملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (80235, 4514, 21, 'مريض');
INSERT INTO `lang_definitions` VALUES (80236, 4515, 21, 'مريض');
INSERT INTO `lang_definitions` VALUES (80237, 4516, 21, 'مريض');
INSERT INTO `lang_definitions` VALUES (80238, 4517, 21, 'عنوان المريض');
INSERT INTO `lang_definitions` VALUES (80239, 4518, 21, 'عنوان المريض مفقود');
INSERT INTO `lang_definitions` VALUES (80240, 4521, 21, 'حساسيات المريض');
INSERT INTO `lang_definitions` VALUES (80241, 4522, 21, 'حساسيات المريض');
INSERT INTO `lang_definitions` VALUES (80242, 4523, 21, 'موعد المريض');
INSERT INTO `lang_definitions` VALUES (80243, 4524, 21, 'باقي حساب المريض');
INSERT INTO `lang_definitions` VALUES (80244, 4525, 21, 'حساب المريض مستحق الدفع');
INSERT INTO `lang_definitions` VALUES (80245, 4528, 21, 'رقم هوية ملف المريض');
INSERT INTO `lang_definitions` VALUES (80246, 4529, 21, 'إنهاء اجراءات المريض');
INSERT INTO `lang_definitions` VALUES (80247, 4530, 21, 'إنهاء اجراءات المريض ل ');
INSERT INTO `lang_definitions` VALUES (80248, 4531, 21, 'مدينة المريضة');
INSERT INTO `lang_definitions` VALUES (80249, 4532, 21, 'مدينة المريض مفقودة');
INSERT INTO `lang_definitions` VALUES (80250, 4533, 21, 'تم إرسال مراسلات المريض');
INSERT INTO `lang_definitions` VALUES (80251, 4534, 21, 'تم إرسال مراسلات المريض');
INSERT INTO `lang_definitions` VALUES (80252, 4535, 21, 'بلد المريض');
INSERT INTO `lang_definitions` VALUES (80253, 4536, 21, 'بلد المريض مفقودة. كم انك لم تعين بلد افتراضي فى الإعدادات العامة');
INSERT INTO `lang_definitions` VALUES (80254, 4537, 21, 'تغطية المريض التأمينية');
INSERT INTO `lang_definitions` VALUES (80255, 4539, 21, 'بيانات المريض');
INSERT INTO `lang_definitions` VALUES (80256, 4541, 21, 'تاريخ ميلاد المريض مفقود');
INSERT INTO `lang_definitions` VALUES (80257, 4542, 21, 'تفاصيل المريض');
INSERT INTO `lang_definitions` VALUES (80258, 4543, 21, 'تاريخ ميلاد المريض');
INSERT INTO `lang_definitions` VALUES (80259, 4544, 21, 'وثيقة المريض');
INSERT INTO `lang_definitions` VALUES (80260, 4545, 21, 'تعليم المريض');
INSERT INTO `lang_definitions` VALUES (80261, 4546, 21, 'وسائل تعليمية للمريض');
INSERT INTO `lang_definitions` VALUES (80262, 4547, 21, 'زيارة المريض');
INSERT INTO `lang_definitions` VALUES (80263, 4548, 21, 'طلب زيارة المريض');
INSERT INTO `lang_definitions` VALUES (80264, 4549, 21, 'زيارة المرضي');
INSERT INTO `lang_definitions` VALUES (80265, 4550, 21, 'الباحث عن المريض');
INSERT INTO `lang_definitions` VALUES (80266, 4551, 21, 'أسم المريض الأول');
INSERT INTO `lang_definitions` VALUES (80267, 4553, 21, 'أسم المريض الأول مفقود');
INSERT INTO `lang_definitions` VALUES (80268, 4558, 21, 'جنس المريض');
INSERT INTO `lang_definitions` VALUES (80269, 4559, 21, 'جنس المريض مفقود');
INSERT INTO `lang_definitions` VALUES (80270, 4560, 21, 'المريض لم يصرح لبوابة المريض');
INSERT INTO `lang_definitions` VALUES (80271, 4561, 21, 'التاريخ الطبي للمريض');
INSERT INTO `lang_definitions` VALUES (80272, 4562, 21, 'التاريخ الطبي / اسلوب حياة المريض');
INSERT INTO `lang_definitions` VALUES (80273, 4563, 21, 'رقم تلفون منزل المريض');
INSERT INTO `lang_definitions` VALUES (80274, 4564, 21, 'رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (80275, 4565, 21, 'رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (80276, 4566, 21, 'بطاقة رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (80277, 4567, 21, 'إسم مجموعة رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (80278, 4568, 21, 'تطعيمات المريض');
INSERT INTO `lang_definitions` VALUES (80279, 4569, 21, 'معلومات المريض');
INSERT INTO `lang_definitions` VALUES (80280, 4570, 21, 'تعليمات المريض');
INSERT INTO `lang_definitions` VALUES (80281, 4571, 21, 'توزيع تأمين المريض');
INSERT INTO `lang_definitions` VALUES (80282, 4572, 21, 'تقرير عن توزيع تأمين المريض');
INSERT INTO `lang_definitions` VALUES (80283, 4573, 21, 'مشاكل المريض');
INSERT INTO `lang_definitions` VALUES (80284, 4575, 21, 'لقب المريض');
INSERT INTO `lang_definitions` VALUES (80285, 4577, 21, 'لقب المريض مفقود');
INSERT INTO `lang_definitions` VALUES (80286, 4581, 21, 'قائمة المريض');
INSERT INTO `lang_definitions` VALUES (80287, 4582, 21, 'أعمدة قائمة المريض');
INSERT INTO `lang_definitions` VALUES (80288, 4584, 21, 'نافذة جديدة لقائمة المريض');
INSERT INTO `lang_definitions` VALUES (80289, 4585, 21, 'حجم صفحة قائمة المريض');
INSERT INTO `lang_definitions` VALUES (80290, 4586, 21, 'أخطاء فى البحث عن المريض');
INSERT INTO `lang_definitions` VALUES (80291, 4587, 21, 'مشاكل المريض الصحية');
INSERT INTO `lang_definitions` VALUES (80292, 4588, 21, 'أدوية المريض');
INSERT INTO `lang_definitions` VALUES (80293, 4589, 21, 'أسم المريض');
INSERT INTO `lang_definitions` VALUES (80294, 4590, 21, 'أسم المريض وعنوانه');
INSERT INTO `lang_definitions` VALUES (80295, 4593, 21, 'أسم المريض مطلوب');
INSERT INTO `lang_definitions` VALUES (80296, 4595, 21, 'مذكرة المريض');
INSERT INTO `lang_definitions` VALUES (80297, 4596, 21, 'انواع مذكرة المريض');
INSERT INTO `lang_definitions` VALUES (80298, 4597, 21, 'مذكرات المريض');
INSERT INTO `lang_definitions` VALUES (80299, 4598, 21, 'مذكرات المريض (اكتب, اﻹضافة اختيارية)');
INSERT INTO `lang_definitions` VALUES (80300, 4599, 21, 'رقم المريض');
INSERT INTO `lang_definitions` VALUES (80301, 4600, 21, 'مدفوعات المريض');
INSERT INTO `lang_definitions` VALUES (80302, 4602, 21, 'إسم مجموعة صورة المريض');
INSERT INTO `lang_definitions` VALUES (80303, 4603, 21, 'بوابة المريض');
INSERT INTO `lang_definitions` VALUES (80304, 4605, 21, 'بوابة المريض مغلقة');
INSERT INTO `lang_definitions` VALUES (80305, 4606, 21, 'الولوج الي بوابة المريض');
INSERT INTO `lang_definitions` VALUES (80306, 4607, 21, 'عنوان بوابة المريض على الإنترنت');
INSERT INTO `lang_definitions` VALUES (80307, 4608, 21, 'تقرير المريض المطبوع');
INSERT INTO `lang_definitions` VALUES (80308, 4609, 21, 'تقرير سجل المريض');
INSERT INTO `lang_definitions` VALUES (80309, 4610, 21, 'طلب تقرير المريض');
INSERT INTO `lang_definitions` VALUES (80310, 4611, 21, 'طلب سجل المريض');
INSERT INTO `lang_definitions` VALUES (80311, 4613, 21, 'تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (80312, 4614, 21, 'عمل دفعات لتنبية المريض');
INSERT INTO `lang_definitions` VALUES (80313, 4615, 21, 'اولوية إنشاء تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (80314, 4616, 21, 'قواعد تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (80315, 4617, 21, 'ايميل مرسل تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (80316, 4618, 21, 'اسم مرسل تنبيه المريض');
INSERT INTO `lang_definitions` VALUES (80317, 4619, 21, 'تنبيهات المريض');
INSERT INTO `lang_definitions` VALUES (80318, 4620, 21, 'تقرير المريض');
INSERT INTO `lang_definitions` VALUES (80319, 4621, 21, 'طلب المريض');
INSERT INTO `lang_definitions` VALUES (80320, 4622, 21, 'السجلات الطبية المطلوبة بواسطة المريض');
INSERT INTO `lang_definitions` VALUES (80321, 4623, 21, 'نتائج المريض');
INSERT INTO `lang_definitions` VALUES (80322, 4624, 21, 'تصميم البحث عن نتائج المريض');
INSERT INTO `lang_definitions` VALUES (80323, 4625, 21, 'البحث عن المريض/شاشة الإضافة');
INSERT INTO `lang_definitions` VALUES (80324, 4626, 21, 'إعدادات المريض');
INSERT INTO `lang_definitions` VALUES (80325, 4627, 21, 'ولاية المريض');
INSERT INTO `lang_definitions` VALUES (80326, 4629, 21, 'ملخص المريض');
INSERT INTO `lang_definitions` VALUES (80327, 4630, 21, 'تعاملات المريض المادية');
INSERT INTO `lang_definitions` VALUES (80328, 4631, 21, 'رمز المريض البريدي');
INSERT INTO `lang_definitions` VALUES (80329, 4632, 21, 'المرضي في قاعدة البيانات الذي تطابق معلوماتهم السكانية معايير بحثك');
INSERT INTO `lang_definitions` VALUES (80330, 4633, 21, 'المريض/العميل');
INSERT INTO `lang_definitions` VALUES (80331, 4634, 21, 'المريض :');
INSERT INTO `lang_definitions` VALUES (80332, 4635, 21, 'رقم هوية المريض');
INSERT INTO `lang_definitions` VALUES (80333, 4636, 21, 'المرضي');
INSERT INTO `lang_definitions` VALUES (80334, 4637, 21, 'المرضي المعالجين');
INSERT INTO `lang_definitions` VALUES (80335, 4638, 21, 'دفع');
INSERT INTO `lang_definitions` VALUES (80336, 4639, 21, 'اعط اهتماما لخانة تأشير المعلمة ب \"تم مع\". كل الدفعات التأمينية المتبقية علي المريض لن تحّصل اذا تم تجاهل هذا اﻹختيار.');
INSERT INTO `lang_definitions` VALUES (80337, 4640, 21, 'تاريخ الدفع :');
INSERT INTO `lang_definitions` VALUES (80338, 4641, 21, 'حالة الدفع');
INSERT INTO `lang_definitions` VALUES (80339, 4642, 21, 'اسم المدفوع له');
INSERT INTO `lang_definitions` VALUES (80340, 4643, 21, 'الدافع');
INSERT INTO `lang_definitions` VALUES (80341, 4644, 21, 'نوع الدافع');
INSERT INTO `lang_definitions` VALUES (80342, 4645, 21, 'جاري الدفع');
INSERT INTO `lang_definitions` VALUES (80343, 4646, 21, 'كيان دافع');
INSERT INTO `lang_definitions` VALUES (80344, 4647, 21, 'مدفوعة');
INSERT INTO `lang_definitions` VALUES (80345, 4648, 21, 'مدفوعة');
INSERT INTO `lang_definitions` VALUES (80346, 4649, 21, 'رمز تعديل المدفوعة');
INSERT INTO `lang_definitions` VALUES (80347, 4650, 21, 'المدفوع لأجل');
INSERT INTO `lang_definitions` VALUES (80348, 4651, 21, 'المبلغ المدفوع');
INSERT INTO `lang_definitions` VALUES (80349, 4652, 21, 'المبلغ المدفوع يجب ان يكون رقماَ');
INSERT INTO `lang_definitions` VALUES (80350, 4653, 21, 'صنف الدفع');
INSERT INTO `lang_definitions` VALUES (80351, 4654, 21, 'تاريخ الدفع');
INSERT INTO `lang_definitions` VALUES (80352, 4655, 21, 'تم إدخال الدفع بتاريخ');
INSERT INTO `lang_definitions` VALUES (80353, 4656, 21, 'تم الدفع من');
INSERT INTO `lang_definitions` VALUES (80354, 4657, 21, 'ممرات الدفع');
INSERT INTO `lang_definitions` VALUES (80355, 4658, 21, 'دفع التأمين');
INSERT INTO `lang_definitions` VALUES (80356, 4659, 21, 'قائمة الدفع');
INSERT INTO `lang_definitions` VALUES (80357, 4660, 21, 'طريقة الدفع');
INSERT INTO `lang_definitions` VALUES (80358, 4661, 21, 'إفرز الدفع بواسطة');
INSERT INTO `lang_definitions` VALUES (80359, 4662, 21, 'حالة الدفع');
INSERT INTO `lang_definitions` VALUES (80360, 4663, 21, 'نوع الدفع');
INSERT INTO `lang_definitions` VALUES (80361, 4664, 21, 'قيمة الدفع بالرمز ');
INSERT INTO `lang_definitions` VALUES (80362, 4665, 21, 'مدفوعات');
INSERT INTO `lang_definitions` VALUES (80363, 4667, 21, 'طبيب الرعاية الأولية');
INSERT INTO `lang_definitions` VALUES (80364, 4668, 21, 'نسبة الصفوص');
INSERT INTO `lang_definitions` VALUES (80365, 4669, 21, 'ملف PDF');
INSERT INTO `lang_definitions` VALUES (80366, 4670, 21, 'نزل البيانات المختارة بصيغة PDF');
INSERT INTO `lang_definitions` VALUES (80367, 4672, 21, 'الحوض و المؤخرة');
INSERT INTO `lang_definitions` VALUES (80368, 4673, 21, 'شبيه الفقاع');
INSERT INTO `lang_definitions` VALUES (80369, 4674, 21, 'معلق');
INSERT INTO `lang_definitions` VALUES (80370, 4676, 21, 'متابعة معلقة');
INSERT INTO `lang_definitions` VALUES (80371, 4677, 21, 'متابعة معلقة');
INSERT INTO `lang_definitions` VALUES (80372, 4678, 21, 'متابعة معلقة من النتائج');
INSERT INTO `lang_definitions` VALUES (80373, 4679, 21, 'أوامر معلقة');
INSERT INTO `lang_definitions` VALUES (80374, 4680, 21, 'حجز معلّق');
INSERT INTO `lang_definitions` VALUES (80375, 4681, 21, 'مراجعة معلقة');
INSERT INTO `lang_definitions` VALUES (80376, 4682, 21, 'تعداد الوصفة معلق');
INSERT INTO `lang_definitions` VALUES (80377, 4684, 21, 'شركة بنينجتون');
INSERT INTO `lang_definitions` VALUES (80378, 4685, 21, 'قرحه المعدة');
INSERT INTO `lang_definitions` VALUES (80379, 4686, 21, 'لكل زيارة');
INSERT INTO `lang_definitions` VALUES (80380, 4687, 21, 'لكل دقيقة');
INSERT INTO `lang_definitions` VALUES (80381, 4688, 21, 'لكل فتحة انف');
INSERT INTO `lang_definitions` VALUES (80382, 4689, 21, 'لكل فتحة انف');
INSERT INTO `lang_definitions` VALUES (80383, 4690, 21, 'عن طريق الفم');
INSERT INTO `lang_definitions` VALUES (80384, 4691, 21, 'عن طريق الفم');
INSERT INTO `lang_definitions` VALUES (80385, 4692, 21, 'عن طريق الشرج');
INSERT INTO `lang_definitions` VALUES (80386, 4693, 21, 'عن طريق الشرج');
INSERT INTO `lang_definitions` VALUES (80387, 4694, 21, 'نسبة');
INSERT INTO `lang_definitions` VALUES (80388, 4697, 21, 'نسبوي');
INSERT INTO `lang_definitions` VALUES (80389, 4698, 21, 'مثقوب يمينا:');
INSERT INTO `lang_definitions` VALUES (80390, 4699, 21, 'أجر البحث');
INSERT INTO `lang_definitions` VALUES (80391, 4700, 21, 'أجر هذا الفعل');
INSERT INTO `lang_definitions` VALUES (80392, 4701, 21, 'نسبة الأداء');
INSERT INTO `lang_definitions` VALUES (80393, 4703, 21, 'منشأة المعمل المؤدي');
INSERT INTO `lang_definitions` VALUES (80394, 4705, 21, 'فتره زمنية');
INSERT INTO `lang_definitions` VALUES (80395, 4706, 21, 'المدة (باليوم) المسموح للمستخدم الدخول بكلمة سر منتهية الصلاحية');
INSERT INTO `lang_definitions` VALUES (80396, 4707, 21, 'العناية المتعلقة بالجراحة');
INSERT INTO `lang_definitions` VALUES (80397, 4708, 21, 'طرفي');
INSERT INTO `lang_definitions` VALUES (80398, 4709, 21, 'اسمح لكلمات السر السهلة');
INSERT INTO `lang_definitions` VALUES (80399, 4710, 21, 'فارسي');
INSERT INTO `lang_definitions` VALUES (80400, 4712, 21, 'شخص');
INSERT INTO `lang_definitions` VALUES (80401, 4713, 21, 'حسب الطلب');
INSERT INTO `lang_definitions` VALUES (80402, 4714, 21, 'ما بعد التخرّج');
INSERT INTO `lang_definitions` VALUES (80403, 4715, 21, 'دوائي');
INSERT INTO `lang_definitions` VALUES (80404, 4716, 21, 'تعداد أدوية الصيدلية');
INSERT INTO `lang_definitions` VALUES (80405, 4717, 21, 'صيدليات');
INSERT INTO `lang_definitions` VALUES (80406, 4718, 21, 'صيدلية');
INSERT INTO `lang_definitions` VALUES (80407, 4719, 21, 'صيدلية بائعة للدواء');
INSERT INTO `lang_definitions` VALUES (80408, 4720, 21, 'الاسترواح الصدري');
INSERT INTO `lang_definitions` VALUES (80409, 4723, 21, 'phiMail فاصل زمني بين جلب الرسائل');
INSERT INTO `lang_definitions` VALUES (80410, 4724, 21, 'phiMail مستخدم التنبيهات');
INSERT INTO `lang_definitions` VALUES (80411, 4725, 21, 'phiMail كلمة السر ل');
INSERT INTO `lang_definitions` VALUES (80412, 4726, 21, 'phiMail عنوان الخادم');
INSERT INTO `lang_definitions` VALUES (80413, 4727, 21, 'phiMail اسم المستخدم');
INSERT INTO `lang_definitions` VALUES (80414, 4729, 21, 'هاتف');
INSERT INTO `lang_definitions` VALUES (80415, 4730, 21, 'قائمة اتصال الهاتف');
INSERT INTO `lang_definitions` VALUES (80416, 4731, 21, 'تقرير قائمة اتصال الهاتف');
INSERT INTO `lang_definitions` VALUES (80417, 4733, 21, 'كلمة سر ممر الهاتف');
INSERT INTO `lang_definitions` VALUES (80418, 4734, 21, 'عنوان ممر الهاتف');
INSERT INTO `lang_definitions` VALUES (80419, 4735, 21, 'إسم مستخدم ممر الهاتف');
INSERT INTO `lang_definitions` VALUES (80420, 4737, 21, 'ساعة إعلام الهاتف');
INSERT INTO `lang_definitions` VALUES (80421, 4738, 21, 'رقم الهاتف');
INSERT INTO `lang_definitions` VALUES (80422, 4740, 21, 'رهاب الضوء');
INSERT INTO `lang_definitions` VALUES (80423, 4741, 21, 'صور');
INSERT INTO `lang_definitions` VALUES (80424, 4742, 21, 'PHP مضغوط');
INSERT INTO `lang_definitions` VALUES (80425, 4743, 21, 'PHP CURL يجب ان يكون مفعلا فى خادمك');
INSERT INTO `lang_definitions` VALUES (80426, 4744, 21, 'PHP تم فك الضغط عنه');
INSERT INTO `lang_definitions` VALUES (80427, 4745, 21, 'php-GACL تحكمات وسيلة الوصول مغلقة');
INSERT INTO `lang_definitions` VALUES (80428, 4746, 21, 'PHP-gacl غير مثبّت');
INSERT INTO `lang_definitions` VALUES (80429, 4747, 21, 'فحص جسدي');
INSERT INTO `lang_definitions` VALUES (80430, 4749, 21, 'طلب الطبيب');
INSERT INTO `lang_definitions` VALUES (80431, 4750, 21, 'توقيع الطبيب');
INSERT INTO `lang_definitions` VALUES (80432, 4752, 21, 'أطباء');
INSERT INTO `lang_definitions` VALUES (80433, 4753, 21, 'إنتقي');
INSERT INTO `lang_definitions` VALUES (80434, 4754, 21, 'إنتقي');
INSERT INTO `lang_definitions` VALUES (80435, 4755, 21, 'إنتقي تصميم ال CSS');
INSERT INTO `lang_definitions` VALUES (80436, 4756, 21, 'مَرَضٌ الْتِهابِيٌّ حَوضِيّ');
INSERT INTO `lang_definitions` VALUES (80437, 4757, 21, 'مَرَضٌ الْتِهابِيٌّ حَوضِيّ');
INSERT INTO `lang_definitions` VALUES (80438, 4758, 21, 'حجم حبة الدواء');
INSERT INTO `lang_definitions` VALUES (80439, 4759, 21, 'حبوب الدواء');
INSERT INTO `lang_definitions` VALUES (80440, 4760, 21, 'ضع ملف قاعدة البيانات المضغوط فى المجلد التالي اذا كنت تريد إختيار التثبيت');
INSERT INTO `lang_definitions` VALUES (80441, 4761, 21, 'ضع الملف المنزّل قاعدة بيانات ICD 10 المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (80442, 4762, 21, 'ضع الملف المنزّل قاعدة بيانات ICD 9 المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (80443, 4763, 21, 'ضع الملف المنزّل قاعدة بيانات RxNorm المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (80444, 4764, 21, 'ضع الملف المنزّل قاعدة بيانات Snomed المضغوط فى المجلد التالي');
INSERT INTO `lang_definitions` VALUES (80445, 4765, 21, 'ماسك المكان');
INSERT INTO `lang_definitions` VALUES (80446, 4766, 21, 'ماسك المكان (يعتني بACLs فارغة)');
INSERT INTO `lang_definitions` VALUES (80447, 4767, 21, 'نص صِرف');
INSERT INTO `lang_definitions` VALUES (80448, 4768, 21, 'خطة');
INSERT INTO `lang_definitions` VALUES (80449, 4771, 21, 'إسم الخطة');
INSERT INTO `lang_definitions` VALUES (80450, 4775, 21, 'مخططات');
INSERT INTO `lang_definitions` VALUES (80451, 4779, 21, 'خطة:');
INSERT INTO `lang_definitions` VALUES (80452, 4782, 21, 'خطط');
INSERT INTO `lang_definitions` VALUES (80453, 4784, 21, 'لاعب');
INSERT INTO `lang_definitions` VALUES (80454, 4785, 21, 'موقع اللعب');
INSERT INTO `lang_definitions` VALUES (80455, 4786, 21, 'الرحاء اﻹتصال اذا كانت المعلومات أعلاه غير صحيحة');
INSERT INTO `lang_definitions` VALUES (80456, 4787, 21, 'الرجاء تغيير كلمة السر');
INSERT INTO `lang_definitions` VALUES (80457, 4788, 21, 'الرجاء إختر ملف');
INSERT INTO `lang_definitions` VALUES (80458, 4789, 21, 'الرجاء إختر مريض');
INSERT INTO `lang_definitions` VALUES (80459, 4790, 21, 'الرجاء إختر مختارات مقبولة من القائمة');
INSERT INTO `lang_definitions` VALUES (80460, 4791, 21, 'الرجاء إختر مختارات مقبولة');
INSERT INTO `lang_definitions` VALUES (80461, 4792, 21, 'الرجاء إختر قيمة ل');
INSERT INTO `lang_definitions` VALUES (80462, 4793, 21, 'الرجاء إختر مجال التاريخ أعلاه ثم اضغط على التنشيط لمشاهدة النتائج');
INSERT INTO `lang_definitions` VALUES (80463, 4794, 21, 'الرجاء إختر ملف EDI-271 معالج جيداَ');
INSERT INTO `lang_definitions` VALUES (80464, 4795, 21, 'اضغط زر التنزيل لتنزيل البيانات ممسوحة الهوية');
INSERT INTO `lang_definitions` VALUES (80465, 4796, 21, 'اضغط زر التنزيل لتنزيل البيانات معاده تعريف الهوية');
INSERT INTO `lang_definitions` VALUES (80466, 4797, 21, 'الرجاء إغلاق هذة النافذة.');
INSERT INTO `lang_definitions` VALUES (80467, 4798, 21, 'الرجاء مقارنة اﻹسم الجديد');
INSERT INTO `lang_definitions` VALUES (80468, 4801, 21, 'الرجاء إنشاء الملف التالي قبل المضي قدماَ');
INSERT INTO `lang_definitions` VALUES (80469, 4802, 21, 'الرجاء عدم قبول هذة الوصفة الا فى حال استلامها بالفاكس');
INSERT INTO `lang_definitions` VALUES (80470, 4803, 21, 'الرجاء عدم قبول هذة الوصفة الا فى حال استلامها بالفاكس');
INSERT INTO `lang_definitions` VALUES (80471, 4804, 21, 'الرجاء عدم إستخدام زر الإيقاف او إعادة التحميل بمتصفحك الا فى حالة التوقف أكثر من 10 دقائق');
INSERT INTO `lang_definitions` VALUES (80472, 4805, 21, 'الرجاء تمكين إضافة CURL');
INSERT INTO `lang_definitions` VALUES (80473, 4806, 21, 'الرجاء تمكين إضافة OPENSSL');
INSERT INTO `lang_definitions` VALUES (80474, 4807, 21, 'الرجاء تمكين إضافة SOAP');
INSERT INTO `lang_definitions` VALUES (80475, 4808, 21, 'الرجاء تمكين إضافة XML');
INSERT INTO `lang_definitions` VALUES (80476, 4809, 21, 'الرجاء إدخال تاريخ لاخر مراجعة');
INSERT INTO `lang_definitions` VALUES (80477, 4810, 21, 'الرجاء ادخال التاريخ');
INSERT INTO `lang_definitions` VALUES (80478, 4811, 21, 'الرجاء ادخال التاريخ المتوقع');
INSERT INTO `lang_definitions` VALUES (80479, 4812, 21, 'الرجاء ادخال الرسالة');
INSERT INTO `lang_definitions` VALUES (80480, 4813, 21, 'الرجاء ادخال القيمة المادية بإستخدام اﻷرقام و الفواصل فقط');
INSERT INTO `lang_definitions` VALUES (80481, 4814, 21, 'الرجاء ادخال كلمة سر جديدة');
INSERT INTO `lang_definitions` VALUES (80482, 4815, 21, 'الرجاء ادخال العنوان!');
INSERT INTO `lang_definitions` VALUES (80483, 4816, 21, 'الرجاء ادخال عنواناَ صالحاَ أعلاه');
INSERT INTO `lang_definitions` VALUES (80484, 4819, 21, 'الرجاء ادخال رمزاَ صالحاَ ﻹعادة التعريف');
INSERT INTO `lang_definitions` VALUES (80485, 4821, 21, 'الرجاء ادخال طلب بحث جديد');
INSERT INTO `lang_definitions` VALUES (80486, 4822, 21, 'الرجاء ادخال رمزاَ صالحاَ ﻹعادة التعريف');
INSERT INTO `lang_definitions` VALUES (80487, 4823, 21, 'الرجاء ادخال كلمة السر');
INSERT INTO `lang_definitions` VALUES (80488, 4824, 21, 'الرجاء إكمال رقم الشيك');
INSERT INTO `lang_definitions` VALUES (80489, 4825, 21, 'الرجاء إكمال رقم الشيك/المرجع');
INSERT INTO `lang_definitions` VALUES (80490, 4826, 21, 'الرجاء إكمال التاريخ');
INSERT INTO `lang_definitions` VALUES (80491, 4827, 21, 'الرجاء إكمال مبلغ الدفع');
INSERT INTO `lang_definitions` VALUES (80492, 4828, 21, 'الرجاء إكمال مجموعة الدفع');
INSERT INTO `lang_definitions` VALUES (80493, 4829, 21, 'الرجاء إكمال طلب الدفع');
INSERT INTO `lang_definitions` VALUES (80494, 4830, 21, 'الرجاء إكمال احجز ليوم');
INSERT INTO `lang_definitions` VALUES (80495, 4831, 21, 'الرجاء الإكمال قيل المضي قدماَ');
INSERT INTO `lang_definitions` VALUES (80496, 4832, 21, 'الرجاء إضافة سبب الزيارة');
INSERT INTO `lang_definitions` VALUES (80497, 4833, 21, 'الرجاء إضافة معايير البحث أعلاه ثم اضغط إرسال لبدء التقرير');
INSERT INTO `lang_definitions` VALUES (80498, 4834, 21, 'الرجاء إضافة معايير البحث أعلاه ثم اضغط إرسال لرؤية النتائج');
INSERT INTO `lang_definitions` VALUES (80499, 4835, 21, 'الرجاء إضافة معايير البحث أعلاه ثم اضغط إرسال لرؤية النتائج (سيتم عرض النتائج في نافذة جديدة)');
INSERT INTO `lang_definitions` VALUES (80500, 4836, 21, 'الرجاء الولوج ثانيا');
INSERT INTO `lang_definitions` VALUES (80501, 4837, 21, 'الرجاء الإنتباه إلي ان هذا قد يأخد وقتا طويلا بالدقائق و قد يبدو متصفحك غير مستجيب و لكن إنشاء الفواتير عملية معقدة');
INSERT INTO `lang_definitions` VALUES (80502, 4838, 21, 'الرجاء الإنتباه: الثوابت حساسة لحالة الحرف (مطبق علي الإنجليزية)');
INSERT INTO `lang_definitions` VALUES (80503, 4839, 21, 'الرجاء إستخدام اﻷحرف الكتابية فقط');
INSERT INTO `lang_definitions` VALUES (80504, 4840, 21, 'الرجاء إستخدام اﻷحرف الكتابية فقط بدون مسافات');
INSERT INTO `lang_definitions` VALUES (80505, 4841, 21, 'الرجاء دفع هذا المبلغ');
INSERT INTO `lang_definitions` VALUES (80506, 4842, 21, 'الرجاء ضع ملفات التثبيت في المجلد التالي');
INSERT INTO `lang_definitions` VALUES (80507, 4843, 21, 'الرجاء حول الي');
INSERT INTO `lang_definitions` VALUES (80508, 4844, 21, 'الرجاء تصفير كلمة السر');
INSERT INTO `lang_definitions` VALUES (80509, 4845, 21, 'الرجاء اعادة تشغيل خادم اﻷباتشي قبل تجربة الغاء الهوية');
INSERT INTO `lang_definitions` VALUES (80510, 4847, 21, 'الرجاء إختيار');
INSERT INTO `lang_definitions` VALUES (80511, 4849, 21, 'الرجاء إختيار اللغة');
INSERT INTO `lang_definitions` VALUES (80512, 4850, 21, 'الرجاء إختيار المريض');
INSERT INTO `lang_definitions` VALUES (80513, 4851, 21, 'الرجاء إختيار منشأة العمل الرئيسيه مع رقم هويه الضريبة لتعريفها كرمزك الضريبي ولكن ان كنت بمفردك (كعيادة) فإستخدم رقمك الضريبي الخاص');
INSERT INTO `lang_definitions` VALUES (80514, 4854, 21, 'الرجاء إختيار المريض');
INSERT INTO `lang_definitions` VALUES (80515, 4855, 21, 'الرجاء إختيار تاريخ البدء و الإنتهاء');
INSERT INTO `lang_definitions` VALUES (80516, 4856, 21, 'الرجاء إختيار مستفيد قيّم');
INSERT INTO `lang_definitions` VALUES (80517, 4858, 21, 'الرجاء إختيار سبب تغيير الرمز ');
INSERT INTO `lang_definitions` VALUES (80518, 4859, 21, 'الرجاء إختيار الحدث');
INSERT INTO `lang_definitions` VALUES (80519, 4860, 21, 'الرجاء إختيار خيار للبحث');
INSERT INTO `lang_definitions` VALUES (80520, 4863, 21, 'الرجاء إختيار وصفة واحدة علي اﻷقل!');
INSERT INTO `lang_definitions` VALUES (80521, 4865, 21, 'الرجاء إختيار الصفحات المختارة للنسخ او التحويل:');
INSERT INTO `lang_definitions` VALUES (80522, 4866, 21, 'الرجاء إختيار طريقة الدفع');
INSERT INTO `lang_definitions` VALUES (80523, 4867, 21, 'الرجاء إختيار نوعية الدفع');
INSERT INTO `lang_definitions` VALUES (80524, 4869, 21, 'الرجاء إختيار شريك X12, المطلوب لتكوين جمله ال 270');
INSERT INTO `lang_definitions` VALUES (80525, 4870, 21, 'الرجاء ضبط');
INSERT INTO `lang_definitions` VALUES (80526, 4871, 21, 'الرجاء ضبط إعداد إلغاء الهوية الي الصفر ثانيا');
INSERT INTO `lang_definitions` VALUES (80527, 4873, 21, 'الرجاء البدء بعملية جديدة ﻹلغاء الهوية');
INSERT INTO `lang_definitions` VALUES (80528, 4874, 21, 'الرجاء ترقية قاعدة بيانات البرنامج لتشمل إجراءات إلغاء الهوية');
INSERT INTO `lang_definitions` VALUES (80529, 4875, 21, 'الرجاء الإطلاع علي تسجيل جدول الخطأ لإجراءات إلغاء الهوية');
INSERT INTO `lang_definitions` VALUES (80530, 4876, 21, 'الرجاء زيارة شاشة إجراءات إلغاء الهوية بعد بعض الوقت');
INSERT INTO `lang_definitions` VALUES (80531, 4877, 21, 'الرجاء زيارة شاشة إجراءات إعادة الهوية بعد بعض الوقت');
INSERT INTO `lang_definitions` VALUES (80532, 4878, 21, 'الرجاء زيارة الشاشة بعد بعض الوقت');
INSERT INTO `lang_definitions` VALUES (80533, 4881, 21, 'جمع');
INSERT INTO `lang_definitions` VALUES (80534, 4882, 21, 'مساءً');
INSERT INTO `lang_definitions` VALUES (80535, 4883, 21, 'البرنامج المسائي');
INSERT INTO `lang_definitions` VALUES (80536, 4884, 21, 'طريقة الدفع');
INSERT INTO `lang_definitions` VALUES (80537, 4885, 21, 'ضيقُ النَّفَسِ اللَّيلِيُّ الانْتِيابِيّ');
INSERT INTO `lang_definitions` VALUES (80538, 4886, 21, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 1');
INSERT INTO `lang_definitions` VALUES (80539, 4887, 21, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 2');
INSERT INTO `lang_definitions` VALUES (80540, 4888, 21, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 3');
INSERT INTO `lang_definitions` VALUES (80541, 4889, 21, 'مترافق المُكَوَّاراتِ الرِّئَوِيَّة 4');
INSERT INTO `lang_definitions` VALUES (80542, 4890, 21, 'تطعيم المُكَوَّاراتِ الرِّئَوِيَّة');
INSERT INTO `lang_definitions` VALUES (80543, 4891, 21, 'تطعيم ذاتُ الرّئَة');
INSERT INTO `lang_definitions` VALUES (80544, 4892, 21, 'حالة تطعيم ذاتُ الرّئَة للبالغين');
INSERT INTO `lang_definitions` VALUES (80545, 4893, 21, 'حالة تطعيم ذاتُ الرّئَة للبالغين (CQM)');
INSERT INTO `lang_definitions` VALUES (80546, 4894, 21, 'طب اﻷقدام');
INSERT INTO `lang_definitions` VALUES (80547, 4896, 21, 'نقطة الخدمة');
INSERT INTO `lang_definitions` VALUES (80548, 4897, 21, 'بوليصة');
INSERT INTO `lang_definitions` VALUES (80549, 4898, 21, 'رقم البوليصة');
INSERT INTO `lang_definitions` VALUES (80550, 4899, 21, 'رقم البوليصة');
INSERT INTO `lang_definitions` VALUES (80551, 4900, 21, 'بولندي');
INSERT INTO `lang_definitions` VALUES (80552, 4901, 21, 'العطاش');
INSERT INTO `lang_definitions` VALUES (80553, 4902, 21, 'سَلاَئِلُ');
INSERT INTO `lang_definitions` VALUES (80554, 4903, 21, 'بُوال');
INSERT INTO `lang_definitions` VALUES (80555, 4904, 21, 'ضعف الشهية');
INSERT INTO `lang_definitions` VALUES (80556, 4905, 21, 'دورة ضعيفة');
INSERT INTO `lang_definitions` VALUES (80557, 4906, 21, 'سمع ضعيف');
INSERT INTO `lang_definitions` VALUES (80558, 4907, 21, 'خاصية النوافذ المنبثقة يجب ان تفعّل لرؤية هذة التقارير');
INSERT INTO `lang_definitions` VALUES (80559, 4908, 21, 'إملأ منظر السنة باﻷحداث؟');
INSERT INTO `lang_definitions` VALUES (80560, 4909, 21, 'النوافذ المنبثقة');
INSERT INTO `lang_definitions` VALUES (80561, 4910, 21, 'بوابة');
INSERT INTO `lang_definitions` VALUES (80562, 4911, 21, 'نشاط البوابة');
INSERT INTO `lang_definitions` VALUES (80563, 4917, 21, 'برتغالي');
INSERT INTO `lang_definitions` VALUES (80564, 4918, 21, 'برتغالي (برازيلي)');
INSERT INTO `lang_definitions` VALUES (80565, 4919, 21, 'برتغالي (اوروبي)');
INSERT INTO `lang_definitions` VALUES (80566, 4920, 21, 'رمز نقطة الخدمة');
INSERT INTO `lang_definitions` VALUES (80567, 4922, 21, 'إيجابي');
INSERT INTO `lang_definitions` VALUES (80568, 4923, 21, 'إيجابيات');
INSERT INTO `lang_definitions` VALUES (80569, 4925, 21, 'إعرض بدلا عن');
INSERT INTO `lang_definitions` VALUES (80570, 4926, 21, 'تدفق إفرازات الأنف إلى الخلف');
INSERT INTO `lang_definitions` VALUES (80571, 4927, 21, 'ما بعد المدفوعات');
INSERT INTO `lang_definitions` VALUES (80572, 4928, 21, 'ما بعد الجراحة');
INSERT INTO `lang_definitions` VALUES (80573, 4929, 21, 'أرسل الي المحاسبة و صنف كمفوتر');
INSERT INTO `lang_definitions` VALUES (80574, 4930, 21, 'أرسل الي التاريخ');
INSERT INTO `lang_definitions` VALUES (80575, 4931, 21, 'أرسل الي التاريخ لا يجوز ان يكون ابعد من اليوم');
INSERT INTO `lang_definitions` VALUES (80576, 4932, 21, 'أرسل الي التاريخ يجب ان يكون أكبر من تاريخ أغلاق المحاسبة');
INSERT INTO `lang_definitions` VALUES (80577, 4933, 21, 'عناية ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (80578, 4934, 21, 'منع حمل ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (80579, 4935, 21, 'إرشاد ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (80580, 4936, 21, 'متابعة ما بعد اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (80581, 4937, 21, 'بريدي');
INSERT INTO `lang_definitions` VALUES (80582, 4938, 21, 'الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (80583, 4939, 21, 'الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (80584, 4941, 21, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (80585, 4942, 21, 'إدارة PostCalendar');
INSERT INTO `lang_definitions` VALUES (80586, 4943, 21, 'إعدادات تصنييف PostCalendar');
INSERT INTO `lang_definitions` VALUES (80587, 4944, 21, 'إعدادات العامة PostCalendar');
INSERT INTO `lang_definitions` VALUES (80588, 4945, 21, 'تم اﻹرسال بتاريخ');
INSERT INTO `lang_definitions` VALUES (80589, 4946, 21, 'تاريخ اﻹرسال');
INSERT INTO `lang_definitions` VALUES (80590, 4948, 21, 'مشغل ب');
INSERT INTO `lang_definitions` VALUES (80591, 4949, 21, 'معدات السلامة الشخصية + التاريخ المرضي الطبي و الجراحي');
INSERT INTO `lang_definitions` VALUES (80592, 4950, 21, 'مبادرة اﻹبلغ عن كفائة الطبيب');
INSERT INTO `lang_definitions` VALUES (80593, 4951, 21, 'رقم التسجيل لمبادرة اﻹبلاغ عن كفائة الطبيب');
INSERT INTO `lang_definitions` VALUES (80594, 4952, 21, 'إسم التسجيل لمبادرة اﻹبلاغ عن كفائة الطبيب');
INSERT INTO `lang_definitions` VALUES (80595, 4953, 21, 'ممارسة');
INSERT INTO `lang_definitions` VALUES (80596, 4954, 21, 'الإعدادت الإفتراضية للممارسة');
INSERT INTO `lang_definitions` VALUES (80597, 4955, 21, 'إعدادت الممارسة');
INSERT INTO `lang_definitions` VALUES (80598, 4956, 21, 'ممارس');
INSERT INTO `lang_definitions` VALUES (80599, 4958, 21, 'قبل الدفع');
INSERT INTO `lang_definitions` VALUES (80600, 4959, 21, 'قبل الدفعة');
INSERT INTO `lang_definitions` VALUES (80601, 4960, 21, 'إستشارة ما قبل اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (80602, 4961, 21, 'إرشاد ما قبل اﻹجهاض');
INSERT INTO `lang_definitions` VALUES (80603, 4962, 21, 'المجموعة المفضّلة');
INSERT INTO `lang_definitions` VALUES (80604, 4964, 21, 'التفضيلات');
INSERT INTO `lang_definitions` VALUES (80605, 4965, 21, 'تصنيف الحدث المفضل');
INSERT INTO `lang_definitions` VALUES (80606, 4966, 21, 'اللغة المفضلة');
INSERT INTO `lang_definitions` VALUES (80607, 4967, 21, 'الصيدلية المفضلة');
INSERT INTO `lang_definitions` VALUES (80608, 4968, 21, 'المنظمة المزودة المفضلة');
INSERT INTO `lang_definitions` VALUES (80609, 4969, 21, 'إختبار الحمل');
INSERT INTO `lang_definitions` VALUES (80610, 4970, 21, 'مبدئي');
INSERT INTO `lang_definitions` VALUES (80611, 4971, 21, 'يتم التجهيز لإعداد التقرير');
INSERT INTO `lang_definitions` VALUES (80612, 4972, 21, 'مسبق الدفع');
INSERT INTO `lang_definitions` VALUES (80613, 4973, 21, 'وصفة دوائية');
INSERT INTO `lang_definitions` VALUES (80614, 4974, 21, 'الوصفة الدوائية وصلت الي حدود ال');
INSERT INTO `lang_definitions` VALUES (80615, 4975, 21, 'سرد تاريخ الوصفة الدوائية');
INSERT INTO `lang_definitions` VALUES (80616, 4976, 21, 'تم جلب تاريخ الوصفة الدوائية بنجاح');
INSERT INTO `lang_definitions` VALUES (80617, 4977, 21, 'علامة الوصفة الدوائية');
INSERT INTO `lang_definitions` VALUES (80618, 4978, 21, 'تقرير الوصفة الدوائية');
INSERT INTO `lang_definitions` VALUES (80619, 4979, 21, 'الوصفات الدوائية');
INSERT INTO `lang_definitions` VALUES (80620, 4980, 21, 'الوصفات الدوائية و الصرف الدوائي');
INSERT INTO `lang_definitions` VALUES (80621, 4981, 21, 'الوصفات الدوائية و التحويلات اﻷخري');
INSERT INTO `lang_definitions` VALUES (80622, 4982, 21, 'الوصفات الدوائية و/او التحويلات بواسطة اﻷخصائي');
INSERT INTO `lang_definitions` VALUES (80623, 4983, 21, 'تقرير الوصفات الدوائية');
INSERT INTO `lang_definitions` VALUES (80624, 4984, 21, 'الوصفات الدوائية / التحويلات');
INSERT INTO `lang_definitions` VALUES (80625, 4985, 21, 'الحاضر');
INSERT INTO `lang_definitions` VALUES (80626, 4986, 21, 'الشكوي الحالية');
INSERT INTO `lang_definitions` VALUES (80627, 4987, 21, 'المشاكل الحالية');
INSERT INTO `lang_definitions` VALUES (80628, 4988, 21, 'إضغط أكمل لتتابع');
INSERT INTO `lang_definitions` VALUES (80629, 4989, 21, 'التشخيص المفترض');
INSERT INTO `lang_definitions` VALUES (80630, 4990, 21, 'التشخيص المفترض بواسطة اﻷخصائي');
INSERT INTO `lang_definitions` VALUES (80631, 4991, 21, 'السابق');
INSERT INTO `lang_definitions` VALUES (80632, 4992, 21, 'التاريخ المرضي الطبي و الجراحي السابق');
INSERT INTO `lang_definitions` VALUES (80633, 4993, 21, 'الشهر السابق (إبق ضاغطا للقائمة)');
INSERT INTO `lang_definitions` VALUES (80634, 4994, 21, 'السنة السابقة (إبق ضاغطا للقائمة)');
INSERT INTO `lang_definitions` VALUES (80635, 4995, 21, 'الرعاية الوقائية');
INSERT INTO `lang_definitions` VALUES (80636, 4998, 21, 'إستعرض الحدث');
INSERT INTO `lang_definitions` VALUES (80637, 5000, 21, 'إستعراض ال');
INSERT INTO `lang_definitions` VALUES (80638, 5001, 21, 'السابق');
INSERT INTO `lang_definitions` VALUES (80639, 5002, 21, 'الإستشارات السابقة');
INSERT INTO `lang_definitions` VALUES (80640, 5003, 21, 'اليوم السابق');
INSERT INTO `lang_definitions` VALUES (80641, 5004, 21, 'التاريخ الطبي / المعاينة السابقة');
INSERT INTO `lang_definitions` VALUES (80642, 5005, 21, 'الشهر السابق');
INSERT INTO `lang_definitions` VALUES (80643, 5006, 21, 'الأسبوع الماضي');
INSERT INTO `lang_definitions` VALUES (80644, 5007, 21, 'السعر');
INSERT INTO `lang_definitions` VALUES (80645, 5008, 21, 'خصم السعر');
INSERT INTO `lang_definitions` VALUES (80646, 5009, 21, 'مستوى السعر');
INSERT INTO `lang_definitions` VALUES (80647, 5010, 21, 'مستوى السعر:');
INSERT INTO `lang_definitions` VALUES (80648, 5011, 21, 'السعار');
INSERT INTO `lang_definitions` VALUES (80649, 5012, 21, 'أولّي');
INSERT INTO `lang_definitions` VALUES (80650, 5013, 21, 'الكيان التجاري الأولي');
INSERT INTO `lang_definitions` VALUES (80651, 5014, 21, 'الرقم الضريبي للكيان التجاري الأولي سيستخدم كرقم حساب');
INSERT INTO `lang_definitions` VALUES (80652, 5022, 21, 'تأمين أولّي');
INSERT INTO `lang_definitions` VALUES (80653, 5023, 21, 'تأمين أولّي');
INSERT INTO `lang_definitions` VALUES (80654, 5024, 21, 'بيانات التأمين الأولّي');
INSERT INTO `lang_definitions` VALUES (80655, 5025, 21, 'مزوّد التأمين الأولّي');
INSERT INTO `lang_definitions` VALUES (80656, 5026, 21, 'المزوّد الأولّي');
INSERT INTO `lang_definitions` VALUES (80657, 5027, 21, 'إطبع');
INSERT INTO `lang_definitions` VALUES (80658, 5028, 21, 'إطبع (HTML)');
INSERT INTO `lang_definitions` VALUES (80659, 5029, 21, 'إطبع (PDF)');
INSERT INTO `lang_definitions` VALUES (80660, 5031, 21, 'إطبع اي زيارة');
INSERT INTO `lang_definitions` VALUES (80661, 5032, 21, 'إطبع طلب تحويل فارغ');
INSERT INTO `lang_definitions` VALUES (80662, 5033, 21, 'إطبع اﻷمر');
INSERT INTO `lang_definitions` VALUES (80663, 5034, 21, 'إطبع التاريخ');
INSERT INTO `lang_definitions` VALUES (80664, 5039, 21, 'إطبع التهيئة');
INSERT INTO `lang_definitions` VALUES (80665, 5040, 21, 'إطبع اربع واجهات');
INSERT INTO `lang_definitions` VALUES (80666, 5042, 21, 'إطبع الرسالة');
INSERT INTO `lang_definitions` VALUES (80667, 5043, 21, 'إطبع متعدد');
INSERT INTO `lang_definitions` VALUES (80668, 5044, 21, 'إطبع متعدد للفاكس');
INSERT INTO `lang_definitions` VALUES (80669, 5045, 21, 'إطبع الإسم, التوقيع و التاريخ');
INSERT INTO `lang_definitions` VALUES (80670, 5046, 21, 'إطبع الملاحظة');
INSERT INTO `lang_definitions` VALUES (80671, 5047, 21, 'إطبع الصفحة 1');
INSERT INTO `lang_definitions` VALUES (80672, 5048, 21, 'إطبع الصفحة 2');
INSERT INTO `lang_definitions` VALUES (80673, 5051, 21, 'إطبع أرصدة المزود');
INSERT INTO `lang_definitions` VALUES (80674, 5052, 21, 'إطبع السجل');
INSERT INTO `lang_definitions` VALUES (80675, 5053, 21, 'إطبع البيانات المختارة');
INSERT INTO `lang_definitions` VALUES (80676, 5054, 21, 'إطبع سجل التطعيم');
INSERT INTO `lang_definitions` VALUES (80677, 5056, 21, 'إطبع هذه الزيارة');
INSERT INTO `lang_definitions` VALUES (80678, 5057, 21, 'إطبع هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (80679, 5058, 21, 'إطبع هذه الملاحظة');
INSERT INTO `lang_definitions` VALUES (80680, 5060, 21, 'إطبع للفاكس');
INSERT INTO `lang_definitions` VALUES (80681, 5061, 21, 'معاينة الطباعة');
INSERT INTO `lang_definitions` VALUES (80682, 5062, 21, 'قابل للطباعة');
INSERT INTO `lang_definitions` VALUES (80683, 5063, 21, 'نسخة قابلة للطباعة');
INSERT INTO `lang_definitions` VALUES (80684, 5064, 21, 'تم الطبع');
INSERT INTO `lang_definitions` VALUES (80685, 5066, 21, 'نتائج الطباعة :');
INSERT INTO `lang_definitions` VALUES (80686, 5067, 21, 'تم تجاوز الطباعة, انظر نتيجة الإختبار في');
INSERT INTO `lang_definitions` VALUES (80687, 5068, 21, 'تم تجاوز الطباعة, انظر نتيجة الإختبار في ');
INSERT INTO `lang_definitions` VALUES (80688, 5069, 21, 'تصريح مسبق');
INSERT INTO `lang_definitions` VALUES (80689, 5070, 21, 'طلب تصريح مسبق');
INSERT INTO `lang_definitions` VALUES (80690, 5071, 21, 'زيارة مسبقة');
INSERT INTO `lang_definitions` VALUES (80691, 5072, 21, 'أولوية');
INSERT INTO `lang_definitions` VALUES (80692, 5073, 21, 'أولوية ');
INSERT INTO `lang_definitions` VALUES (80693, 5074, 21, 'خاص');
INSERT INTO `lang_definitions` VALUES (80694, 5075, 21, 'مشكلة');
INSERT INTO `lang_definitions` VALUES (80695, 5076, 21, 'تشخيص المشكلة');
INSERT INTO `lang_definitions` VALUES (80696, 5077, 21, 'قائمة المشاكل');
INSERT INTO `lang_definitions` VALUES (80697, 5079, 21, 'مشاكل/إشكاليات');
INSERT INTO `lang_definitions` VALUES (80698, 5080, 21, 'مجموع العملية');
INSERT INTO `lang_definitions` VALUES (80699, 5081, 21, 'تصنيف العملية');
INSERT INTO `lang_definitions` VALUES (80700, 5082, 21, 'حمّل العملية');
INSERT INTO `lang_definitions` VALUES (80701, 5083, 21, 'حجز العملية تحت الطلب');
INSERT INTO `lang_definitions` VALUES (80702, 5084, 21, 'مزود العملية');
INSERT INTO `lang_definitions` VALUES (80703, 5085, 21, 'حجز العملية');
INSERT INTO `lang_definitions` VALUES (80704, 5086, 21, 'عملية');
INSERT INTO `lang_definitions` VALUES (80705, 5087, 21, 'الأجزاء المجري لها العملية');
INSERT INTO `lang_definitions` VALUES (80706, 5088, 21, 'نتائج بولونية للعملية (ناجحة/فاشلة)');
INSERT INTO `lang_definitions` VALUES (80707, 5089, 21, 'رمز العملية');
INSERT INTO `lang_definitions` VALUES (80708, 5090, 21, 'رموز العملية');
INSERT INTO `lang_definitions` VALUES (80709, 5091, 21, 'تجانبات العملية');
INSERT INTO `lang_definitions` VALUES (80710, 5092, 21, 'إسم العملية');
INSERT INTO `lang_definitions` VALUES (80711, 5093, 21, 'أمر العملية');
INSERT INTO `lang_definitions` VALUES (80712, 5094, 21, 'أمر العملية');
INSERT INTO `lang_definitions` VALUES (80713, 5095, 21, 'أمر العملية ل');
INSERT INTO `lang_definitions` VALUES (80714, 5097, 21, 'أوامر و تقارير العملية');
INSERT INTO `lang_definitions` VALUES (80715, 5098, 21, 'مختار العملية');
INSERT INTO `lang_definitions` VALUES (80716, 5099, 21, 'مزود العملية');
INSERT INTO `lang_definitions` VALUES (80717, 5100, 21, 'مزود العملية');
INSERT INTO `lang_definitions` VALUES (80718, 5101, 21, 'مزودي العملية');
INSERT INTO `lang_definitions` VALUES (80719, 5102, 21, 'تقرير العملية');
INSERT INTO `lang_definitions` VALUES (80720, 5103, 21, 'حالات تقرير العملية');
INSERT INTO `lang_definitions` VALUES (80721, 5104, 21, 'نتائج العملية غير طبيعية');
INSERT INTO `lang_definitions` VALUES (80722, 5105, 21, 'حالات نتائج العملية');
INSERT INTO `lang_definitions` VALUES (80723, 5106, 21, 'نتائج العملية');
INSERT INTO `lang_definitions` VALUES (80724, 5107, 21, 'طرق العملية');
INSERT INTO `lang_definitions` VALUES (80725, 5108, 21, 'أنواع عينة العملية');
INSERT INTO `lang_definitions` VALUES (80726, 5109, 21, 'تقرير إحصائات العملية');
INSERT INTO `lang_definitions` VALUES (80727, 5110, 21, 'نوع العملية');
INSERT INTO `lang_definitions` VALUES (80728, 5111, 21, 'أنواع العملية');
INSERT INTO `lang_definitions` VALUES (80729, 5112, 21, 'وحدات العملية');
INSERT INTO `lang_definitions` VALUES (80730, 5113, 21, 'عمليات/خدمات');
INSERT INTO `lang_definitions` VALUES (80731, 5114, 21, 'عمليات');
INSERT INTO `lang_definitions` VALUES (80732, 5115, 21, 'شغّل');
INSERT INTO `lang_definitions` VALUES (80733, 5116, 21, 'شغّل و أرسل التنبيهات');
INSERT INTO `lang_definitions` VALUES (80734, 5117, 21, 'شغّل ملف ERA');
INSERT INTO `lang_definitions` VALUES (80735, 5118, 21, 'شغّل الملفات الجديدة ل تسجيلات CSV');
INSERT INTO `lang_definitions` VALUES (80736, 5119, 21, 'شغّل و أرسل التنبيهات');
INSERT INTO `lang_definitions` VALUES (80737, 5120, 21, 'التشغيل يحتاج الي بعض الوقت');
INSERT INTO `lang_definitions` VALUES (80738, 5121, 21, 'تم تشغيلة');
INSERT INTO `lang_definitions` VALUES (80739, 5122, 21, 'تم تشغيلة من قِبل');
INSERT INTO `lang_definitions` VALUES (80740, 5123, 21, 'تاريخ التشغيل');
INSERT INTO `lang_definitions` VALUES (80741, 5124, 21, 'تم تشغيلة بنجاح');
INSERT INTO `lang_definitions` VALUES (80742, 5125, 21, 'جاري التشغيل');
INSERT INTO `lang_definitions` VALUES (80743, 5126, 21, 'جاري التشغيل و إرسال تنبيهات المرضي');
INSERT INTO `lang_definitions` VALUES (80744, 5127, 21, 'جاري تشغيل تنبيهات المرضي');
INSERT INTO `lang_definitions` VALUES (80745, 5128, 21, 'زمن التشغيل');
INSERT INTO `lang_definitions` VALUES (80746, 5129, 21, 'منتج');
INSERT INTO `lang_definitions` VALUES (80747, 5130, 21, 'طريقة منع الحمل للمنتج');
INSERT INTO `lang_definitions` VALUES (80748, 5131, 21, 'إنتاج');
INSERT INTO `lang_definitions` VALUES (80749, 5132, 21, 'منتجات');
INSERT INTO `lang_definitions` VALUES (80750, 5133, 21, 'منتجات لكن لا عقاقير و لا قوالب');
INSERT INTO `lang_definitions` VALUES (80751, 5134, 21, 'بروفيسور');
INSERT INTO `lang_definitions` VALUES (80752, 5135, 21, 'ملاحظات التقدم');
INSERT INTO `lang_definitions` VALUES (80753, 5136, 21, 'سرطان البروستاتا');
INSERT INTO `lang_definitions` VALUES (80754, 5137, 21, 'الفحص المبكر لسرطان البروستاتا');
INSERT INTO `lang_definitions` VALUES (80755, 5138, 21, 'فحص البروستاتا');
INSERT INTO `lang_definitions` VALUES (80756, 5139, 21, 'مشاكل البروستاتا');
INSERT INTO `lang_definitions` VALUES (80757, 5140, 21, 'بروستاتا بدون تضخم او عقد او الم');
INSERT INTO `lang_definitions` VALUES (80758, 5141, 21, 'بروتوكول');
INSERT INTO `lang_definitions` VALUES (80759, 5142, 21, 'زوّد الطريق الأوحد');
INSERT INTO `lang_definitions` VALUES (80760, 5143, 21, 'زوّد الطريق الأوحد للملف');
INSERT INTO `lang_definitions` VALUES (80761, 5145, 21, 'زوّد الملخصات الطبيبة للمرضي لكل زيارة');
INSERT INTO `lang_definitions` VALUES (80762, 5146, 21, 'زوّد المرضي بنسخ الكترونية عن الحالة الصحية');
INSERT INTO `lang_definitions` VALUES (80763, 5147, 21, 'زوّد المرضي بتصريح الكتروني محدد بوقت عن الحالة الصحية');
INSERT INTO `lang_definitions` VALUES (80764, 5148, 21, 'زوّد المريض بنسخ الكترونية عن الحالة الصحية لهذة الزيارة');
INSERT INTO `lang_definitions` VALUES (80765, 5149, 21, 'أدخل إيميل صالح');
INSERT INTO `lang_definitions` VALUES (80766, 5150, 21, 'تم تزويد الملخص الصحي؟');
INSERT INTO `lang_definitions` VALUES (80767, 5151, 21, 'تم تزويد المصادر التعليمية؟');
INSERT INTO `lang_definitions` VALUES (80768, 5152, 21, 'مزوّد');
INSERT INTO `lang_definitions` VALUES (80769, 5153, 21, 'رقم هوية المزوّد');
INSERT INTO `lang_definitions` VALUES (80770, 5154, 21, 'رقم هوية المزوّد');
INSERT INTO `lang_definitions` VALUES (80771, 5155, 21, 'رقم هوية المزوّد للمنشأة المعنّية');
INSERT INTO `lang_definitions` VALUES (80772, 5156, 21, 'زوّد اﻷخطاء المتشابهة');
INSERT INTO `lang_definitions` VALUES (80773, 5159, 21, 'رقم المزوّد');
INSERT INTO `lang_definitions` VALUES (80774, 5160, 21, 'علاقة المزوّد');
INSERT INTO `lang_definitions` VALUES (80775, 5162, 21, 'مزوّد:');
INSERT INTO `lang_definitions` VALUES (80776, 5163, 21, 'مزودين');
INSERT INTO `lang_definitions` VALUES (80777, 5164, 21, 'رقم تعريف المزوّد الوطني');
INSERT INTO `lang_definitions` VALUES (80778, 5165, 21, 'يمكن للمزوّد رؤية الرزنامة كلها');
INSERT INTO `lang_definitions` VALUES (80779, 5166, 21, 'السابق');
INSERT INTO `lang_definitions` VALUES (80780, 5167, 21, 'مولّد المضاد الخاص بالبروستاتا');
INSERT INTO `lang_definitions` VALUES (80781, 5168, 21, 'الصدفية');
INSERT INTO `lang_definitions` VALUES (80782, 5169, 21, 'التشخيص النفسي');
INSERT INTO `lang_definitions` VALUES (80783, 5170, 21, 'الدواء النفسي');
INSERT INTO `lang_definitions` VALUES (80784, 5171, 21, 'الطب النفسي');
INSERT INTO `lang_definitions` VALUES (80785, 5172, 21, 'رسالة التعريف بالمرض النفسي');
INSERT INTO `lang_definitions` VALUES (80786, 5173, 21, 'تشخيص المرض النفسي');
INSERT INTO `lang_definitions` VALUES (80787, 5174, 21, 'فحص المرض النفسي');
INSERT INTO `lang_definitions` VALUES (80788, 5175, 21, 'تاريخ طبي بالأمراض النفسية');
INSERT INTO `lang_definitions` VALUES (80789, 5176, 21, 'استهلاك الدواء النفسي');
INSERT INTO `lang_definitions` VALUES (80790, 5177, 21, 'الدواء النفسي');
INSERT INTO `lang_definitions` VALUES (80791, 5178, 21, 'نسبة المرضي');
INSERT INTO `lang_definitions` VALUES (80792, 5179, 21, 'ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (80793, 5180, 21, 'ملاحظات/تصريح المريض');
INSERT INTO `lang_definitions` VALUES (80794, 5181, 21, 'دفع المريض زيادة عن المطلوب');
INSERT INTO `lang_definitions` VALUES (80795, 5182, 21, 'تم الدفع من قبل المريض');
INSERT INTO `lang_definitions` VALUES (80796, 5183, 21, 'طلب رصيد للمريض');
INSERT INTO `lang_definitions` VALUES (80797, 5184, 21, 'تم إرجاع المبلغ للمريض');
INSERT INTO `lang_definitions` VALUES (80798, 5185, 21, 'تم تسريح المريض');
INSERT INTO `lang_definitions` VALUES (80799, 5186, 21, 'تقرير المريض');
INSERT INTO `lang_definitions` VALUES (80800, 5187, 21, 'المريض طالب او اترك فارغاَ');
INSERT INTO `lang_definitions` VALUES (80801, 5188, 21, 'مدينة المريض');
INSERT INTO `lang_definitions` VALUES (80802, 5189, 21, 'تاريخ ميلاد المريض');
INSERT INTO `lang_definitions` VALUES (80803, 5191, 21, 'إسم المريض الأول');
INSERT INTO `lang_definitions` VALUES (80804, 5192, 21, 'إسم المريض الأخير');
INSERT INTO `lang_definitions` VALUES (80805, 5193, 21, 'إسم المريض المتوسط');
INSERT INTO `lang_definitions` VALUES (80806, 5196, 21, 'عنوان المريض البريدي');
INSERT INTO `lang_definitions` VALUES (80807, 5198, 21, 'ولاية المريض');
INSERT INTO `lang_definitions` VALUES (80808, 5199, 21, 'شارع المريض');
INSERT INTO `lang_definitions` VALUES (80809, 5201, 21, 'عام');
INSERT INTO `lang_definitions` VALUES (80810, 5203, 21, 'الخدمات الصحية العامة');
INSERT INTO `lang_definitions` VALUES (80811, 5204, 21, 'برتوريكي');
INSERT INTO `lang_definitions` VALUES (80812, 5205, 21, 'رئوي');
INSERT INTO `lang_definitions` VALUES (80813, 5206, 21, 'نبض');
INSERT INTO `lang_definitions` VALUES (80814, 5207, 21, 'بنجابي');
INSERT INTO `lang_definitions` VALUES (80815, 5208, 21, 'شراء');
INSERT INTO `lang_definitions` VALUES (80816, 5209, 21, 'شراء/إعادة');
INSERT INTO `lang_definitions` VALUES (80817, 5210, 21, 'مشتريات');
INSERT INTO `lang_definitions` VALUES (80818, 5211, 21, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (80819, 5213, 21, 'كل 3 ساعات');
INSERT INTO `lang_definitions` VALUES (80820, 5214, 21, 'كل 4 ساعات');
INSERT INTO `lang_definitions` VALUES (80821, 5215, 21, 'كل 5 ساعات');
INSERT INTO `lang_definitions` VALUES (80822, 5216, 21, 'كل 6 ساعات');
INSERT INTO `lang_definitions` VALUES (80823, 5217, 21, 'كل 8 ساعات');
INSERT INTO `lang_definitions` VALUES (80824, 5218, 21, 'مرة واحدة يومياَ');
INSERT INTO `lang_definitions` VALUES (80825, 5219, 21, 'أربع مرات يومياَ');
INSERT INTO `lang_definitions` VALUES (80826, 5220, 21, 'كل ساعة و ترك');
INSERT INTO `lang_definitions` VALUES (80827, 5221, 21, 'جرعة \"كل ساعة و ترك\" إقل من الجرعة الشهرية');
INSERT INTO `lang_definitions` VALUES (80828, 5222, 21, 'الكمّية');
INSERT INTO `lang_definitions` VALUES (80829, 5223, 21, 'الكمّية');
INSERT INTO `lang_definitions` VALUES (80830, 5224, 21, 'الجودة');
INSERT INTO `lang_definitions` VALUES (80831, 5225, 21, 'مقاييس الجودة');
INSERT INTO `lang_definitions` VALUES (80832, 5226, 21, 'الكمّية');
INSERT INTO `lang_definitions` VALUES (80833, 5227, 21, 'الكمّية لرمز الدواء الوطني');
INSERT INTO `lang_definitions` VALUES (80834, 5228, 21, 'الكمّية المتوفرة');
INSERT INTO `lang_definitions` VALUES (80835, 5229, 21, 'الكمّية غير قابلة للإستخدام');
INSERT INTO `lang_definitions` VALUES (80836, 5231, 21, 'إشارة إستفهام');
INSERT INTO `lang_definitions` VALUES (80837, 5232, 21, 'كوّن طابوراَ لتشغيل HCFA بالجملة');
INSERT INTO `lang_definitions` VALUES (80838, 5233, 21, 'كوّن طابوراَ لتشغيل و طباعة HCFA بالجملة');
INSERT INTO `lang_definitions` VALUES (80839, 5234, 21, 'كوّن طابوراَ لتشغيل UB-92 بالجملة');
INSERT INTO `lang_definitions` VALUES (80840, 5235, 21, 'كوّن طابوراَ لتشغيل و طباعة UB-92 بالجملة');
INSERT INTO `lang_definitions` VALUES (80841, 5236, 21, 'تم تكوين الطابور');
INSERT INTO `lang_definitions` VALUES (80842, 5237, 21, 'تم تكوين طابور إدارة الأحداث');
INSERT INTO `lang_definitions` VALUES (80843, 5238, 21, 'تم تكوين طابور ل');
INSERT INTO `lang_definitions` VALUES (80844, 5240, 21, 'تم تكوين طابور إدارة التقديم');
INSERT INTO `lang_definitions` VALUES (80845, 5241, 21, 'إمتنع');
INSERT INTO `lang_definitions` VALUES (80846, 5242, 21, 'إمتنع عن الكحول');
INSERT INTO `lang_definitions` VALUES (80847, 5243, 21, 'ر');
INSERT INTO `lang_definitions` VALUES (80848, 5244, 21, 'RA للمريض, الزيارة او التتبع');
INSERT INTO `lang_definitions` VALUES (80849, 5245, 21, 'العِرق');
INSERT INTO `lang_definitions` VALUES (80850, 5246, 21, 'العِرقية');
INSERT INTO `lang_definitions` VALUES (80851, 5247, 21, 'العِرقية');
INSERT INTO `lang_definitions` VALUES (80852, 5248, 21, 'الراديو');
INSERT INTO `lang_definitions` VALUES (80853, 5249, 21, 'مفاتيح الراديو');
INSERT INTO `lang_definitions` VALUES (80854, 5251, 21, 'المجال');
INSERT INTO `lang_definitions` VALUES (80855, 5252, 21, 'طفح جلدي');
INSERT INTO `lang_definitions` VALUES (80856, 5253, 21, 'المعدل');
INSERT INTO `lang_definitions` VALUES (80857, 5254, 21, 'النسبة');
INSERT INTO `lang_definitions` VALUES (80858, 5255, 21, 'تقرير خام');
INSERT INTO `lang_definitions` VALUES (80859, 5256, 21, 'إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (80860, 5257, 21, 'تمت عملية إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (80861, 5258, 21, 'جار العمل علي إعادة التعريف');
INSERT INTO `lang_definitions` VALUES (80862, 5259, 21, 'سيتم حفظ ملفات إعادة التعريف في');
INSERT INTO `lang_definitions` VALUES (80863, 5260, 21, 'تكرار الإصابة؟');
INSERT INTO `lang_definitions` VALUES (80864, 5261, 21, 'إعادة الفتح');
INSERT INTO `lang_definitions` VALUES (80865, 5262, 21, 'تمت');
INSERT INTO `lang_definitions` VALUES (80866, 5263, 21, 'ردة الفعل');
INSERT INTO `lang_definitions` VALUES (80867, 5264, 21, 'ردود الفعل');
INSERT INTO `lang_definitions` VALUES (80868, 5265, 21, 'يقرأ');
INSERT INTO `lang_definitions` VALUES (80869, 5268, 21, 'الإسم الحقيقي');
INSERT INTO `lang_definitions` VALUES (80870, 5269, 21, 'أحذف حقاَ');
INSERT INTO `lang_definitions` VALUES (80871, 5270, 21, 'سبب');
INSERT INTO `lang_definitions` VALUES (80872, 5271, 21, 'سبب الوفاة');
INSERT INTO `lang_definitions` VALUES (80873, 5272, 21, 'سبب الوفاة');
INSERT INTO `lang_definitions` VALUES (80874, 5274, 21, 'سبب الإحالة');
INSERT INTO `lang_definitions` VALUES (80875, 5275, 21, 'سبب الزيارة');
INSERT INTO `lang_definitions` VALUES (80876, 5276, 21, 'سبب/طلب');
INSERT INTO `lang_definitions` VALUES (80877, 5277, 21, 'إيصال');
INSERT INTO `lang_definitions` VALUES (80878, 5278, 21, 'إيصال مدفوعات');
INSERT INTO `lang_definitions` VALUES (80879, 5279, 21, 'تم عمل الإيصال');
INSERT INTO `lang_definitions` VALUES (80880, 5280, 21, 'تقرير عن طرق دفع الإيصالات');
INSERT INTO `lang_definitions` VALUES (80881, 5281, 21, 'موجز الإيصالات');
INSERT INTO `lang_definitions` VALUES (80882, 5282, 21, 'تم الإستلام');
INSERT INTO `lang_definitions` VALUES (80883, 5283, 21, 'تم الإستلام من قِبل');
INSERT INTO `lang_definitions` VALUES (80884, 5284, 21, 'تم إستلام الفاكس');
INSERT INTO `lang_definitions` VALUES (80885, 5285, 21, 'تم الإستلام و لم تتم المراجعة');
INSERT INTO `lang_definitions` VALUES (80886, 5287, 21, 'مستلم');
INSERT INTO `lang_definitions` VALUES (80887, 5288, 21, 'رقم هوية المستلم');
INSERT INTO `lang_definitions` VALUES (80888, 5289, 21, 'رقم هوية المستلم (ISA08)');
INSERT INTO `lang_definitions` VALUES (80889, 5290, 21, 'رقم هوية المستلم (ISA07)');
INSERT INTO `lang_definitions` VALUES (80890, 5291, 21, 'أرقام هوية المستلم');
INSERT INTO `lang_definitions` VALUES (80891, 5292, 21, 'أخر 3 كلمات سر غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (80892, 5293, 21, 'المستفيد');
INSERT INTO `lang_definitions` VALUES (80893, 5294, 21, 'قائمة المستفيدين خالية');
INSERT INTO `lang_definitions` VALUES (80894, 5295, 21, 'أسم المستفيد');
INSERT INTO `lang_definitions` VALUES (80895, 5296, 21, 'المستفيد من التصريح بالمعلومات');
INSERT INTO `lang_definitions` VALUES (80896, 5297, 21, 'مطلوب مستفيد الا إذا كانت الحالة تمت');
INSERT INTO `lang_definitions` VALUES (80897, 5298, 21, 'توصية');
INSERT INTO `lang_definitions` VALUES (80898, 5299, 21, 'التوصية بالمتابعة');
INSERT INTO `lang_definitions` VALUES (80899, 5300, 21, 'التوصيات');
INSERT INTO `lang_definitions` VALUES (80900, 5301, 21, 'التوصيات و العلاج');
INSERT INTO `lang_definitions` VALUES (80901, 5302, 21, 'توصيات الأخصائي');
INSERT INTO `lang_definitions` VALUES (80902, 5303, 21, 'سجل');
INSERT INTO `lang_definitions` VALUES (80903, 5304, 21, 'السجل موجود مسبقا');
INSERT INTO `lang_definitions` VALUES (80904, 5310, 21, 'السجل و المخطط تغيرا في العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (80905, 5311, 21, 'ديموجرافيا السجل');
INSERT INTO `lang_definitions` VALUES (80906, 5312, 21, 'التصريح بمعلومات السجل');
INSERT INTO `lang_definitions` VALUES (80907, 5313, 21, 'سجل اللياقة');
INSERT INTO `lang_definitions` VALUES (80908, 5314, 21, 'سجّل الدفع');
INSERT INTO `lang_definitions` VALUES (80909, 5315, 21, 'سجّل تاريخ الطلب');
INSERT INTO `lang_definitions` VALUES (80910, 5316, 21, 'سجّل حالة مدخن للمرضي اكبر من 13 سنة');
INSERT INTO `lang_definitions` VALUES (80911, 5317, 21, 'سجلات');
INSERT INTO `lang_definitions` VALUES (80912, 5318, 21, 'تم العثور على السجلات');
INSERT INTO `lang_definitions` VALUES (80913, 5319, 21, 'تم العثور على السجلات.');
INSERT INTO `lang_definitions` VALUES (80914, 5320, 21, 'إستعمال الأدوية الترفيهية');
INSERT INTO `lang_definitions` VALUES (80915, 5321, 21, 'الأدوية الترفيهية');
INSERT INTO `lang_definitions` VALUES (80916, 5322, 21, 'شرجي');
INSERT INTO `lang_definitions` VALUES (80917, 5323, 21, 'فحص شرجي');
INSERT INTO `lang_definitions` VALUES (80918, 5324, 21, 'شرجي');
INSERT INTO `lang_definitions` VALUES (80919, 5325, 21, 'إعادة توجيه');
INSERT INTO `lang_definitions` VALUES (80920, 5326, 21, 'إحمرار');
INSERT INTO `lang_definitions` VALUES (80921, 5327, 21, 'إقلال:');
INSERT INTO `lang_definitions` VALUES (80922, 5328, 21, 'حوّل');
INSERT INTO `lang_definitions` VALUES (80923, 5329, 21, 'محوّل بواسطة');
INSERT INTO `lang_definitions` VALUES (80924, 5330, 21, 'تاريخ التحويل');
INSERT INTO `lang_definitions` VALUES (80925, 5331, 21, 'حوّل الي');
INSERT INTO `lang_definitions` VALUES (80926, 5332, 21, 'تصنيف التحويل (درجة المخاطرة)');
INSERT INTO `lang_definitions` VALUES (80927, 5333, 21, 'مجال نتائج التحويل');
INSERT INTO `lang_definitions` VALUES (80928, 5334, 21, 'سبب التحويل');
INSERT INTO `lang_definitions` VALUES (80929, 5336, 21, 'إسم المحوّل و توقيعة');
INSERT INTO `lang_definitions` VALUES (80930, 5337, 21, 'التحويل');
INSERT INTO `lang_definitions` VALUES (80931, 5338, 21, 'التحويل بواسطة');
INSERT INTO `lang_definitions` VALUES (80932, 5339, 21, 'بطاقة التحويل');
INSERT INTO `lang_definitions` VALUES (80933, 5340, 21, 'تاريخ التحويل');
INSERT INTO `lang_definitions` VALUES (80934, 5341, 21, 'طلب التحويل');
INSERT INTO `lang_definitions` VALUES (80935, 5342, 21, 'بطاقة التحويل');
INSERT INTO `lang_definitions` VALUES (80936, 5343, 21, 'رقم هوية التحويل');
INSERT INTO `lang_definitions` VALUES (80937, 5345, 21, 'مصدر التحويل');
INSERT INTO `lang_definitions` VALUES (80938, 5346, 21, 'مصدر التحويل للزيارات');
INSERT INTO `lang_definitions` VALUES (80939, 5347, 21, 'التحويل إلى');
INSERT INTO `lang_definitions` VALUES (80940, 5348, 21, 'التحويلات');
INSERT INTO `lang_definitions` VALUES (80941, 5349, 21, 'تقارير التحويلات');
INSERT INTO `lang_definitions` VALUES (80942, 5350, 21, 'محوّل بواسطة');
INSERT INTO `lang_definitions` VALUES (80943, 5351, 21, 'محوّل بواسطة');
INSERT INTO `lang_definitions` VALUES (80944, 5352, 21, 'محوّل الي');
INSERT INTO `lang_definitions` VALUES (80945, 5353, 21, 'المحوّل');
INSERT INTO `lang_definitions` VALUES (80946, 5355, 21, 'تشخيص المحوّل');
INSERT INTO `lang_definitions` VALUES (80947, 5356, 21, 'تشخيص المحوّل');
INSERT INTO `lang_definitions` VALUES (80948, 5357, 21, 'الطبيب المحوّل و العيادة');
INSERT INTO `lang_definitions` VALUES (80949, 5358, 21, 'مزود التحويل');
INSERT INTO `lang_definitions` VALUES (80950, 5359, 21, 'إعادة صرف الوصفة مرة واحدة');
INSERT INTO `lang_definitions` VALUES (80951, 5360, 21, 'إعادة صرف الوصفة مرات عديدة');
INSERT INTO `lang_definitions` VALUES (80952, 5361, 21, 'إعادة صرف الوصفة مرات عديدة');
INSERT INTO `lang_definitions` VALUES (80953, 5362, 21, 'كل المنعكسات طبيعية');
INSERT INTO `lang_definitions` VALUES (80954, 5363, 21, 'تنشيط');
INSERT INTO `lang_definitions` VALUES (80955, 5365, 21, 'منبهات منعشة');
INSERT INTO `lang_definitions` VALUES (80956, 5368, 21, 'يرفض التصريح');
INSERT INTO `lang_definitions` VALUES (80957, 5369, 21, 'reg_re');
INSERT INTO `lang_definitions` VALUES (80958, 5370, 21, 'تسجيل');
INSERT INTO `lang_definitions` VALUES (80959, 5372, 21, 'مسجل');
INSERT INTO `lang_definitions` VALUES (80960, 5373, 21, 'مسجل');
INSERT INTO `lang_definitions` VALUES (80961, 5375, 21, 'تاريخ التسجيل');
INSERT INTO `lang_definitions` VALUES (80962, 5376, 21, 'إستمارة التسجيل');
INSERT INTO `lang_definitions` VALUES (80963, 5377, 21, 'إعادة تأهيل');
INSERT INTO `lang_definitions` VALUES (80964, 5380, 21, 'قابلية الإنتكاس');
INSERT INTO `lang_definitions` VALUES (80965, 5381, 21, 'متعلق ب');
INSERT INTO `lang_definitions` VALUES (80966, 5382, 21, 'متعلق');
INSERT INTO `lang_definitions` VALUES (80967, 5383, 21, 'مسألة متعلقة');
INSERT INTO `lang_definitions` VALUES (80968, 5384, 21, 'مسودات متعلقة بالمريض');
INSERT INTO `lang_definitions` VALUES (80969, 5385, 21, 'القرابة / أطفال');
INSERT INTO `lang_definitions` VALUES (80970, 5386, 21, 'القرابة');
INSERT INTO `lang_definitions` VALUES (80971, 5387, 21, 'درجة القرابة');
INSERT INTO `lang_definitions` VALUES (80972, 5388, 21, 'طلبية تقاربية من هذا الصنف');
INSERT INTO `lang_definitions` VALUES (80973, 5389, 21, 'الأقارب');
INSERT INTO `lang_definitions` VALUES (80974, 5399, 21, 'المعلومات الطبية المرحلة مفقودة من حساب هذا المستخدم');
INSERT INTO `lang_definitions` VALUES (80975, 5400, 21, 'رقم الهوية الطبية المرحلة');
INSERT INTO `lang_definitions` VALUES (80976, 5402, 21, 'تاريخ التسريح');
INSERT INTO `lang_definitions` VALUES (80977, 5403, 21, 'ديانة');
INSERT INTO `lang_definitions` VALUES (80978, 5406, 21, 'إعادة الدخول');
INSERT INTO `lang_definitions` VALUES (80979, 5407, 21, 'تذكير');
INSERT INTO `lang_definitions` VALUES (80980, 5408, 21, 'تذكر المنشأة المختارة');
INSERT INTO `lang_definitions` VALUES (80981, 5409, 21, 'تذكير');
INSERT INTO `lang_definitions` VALUES (80982, 5410, 21, 'فواصل التذكير');
INSERT INTO `lang_definitions` VALUES (80983, 5411, 21, 'التذكير لم يرسل بعد');
INSERT INTO `lang_definitions` VALUES (80984, 5412, 21, 'تم ارسال التذكير');
INSERT INTO `lang_definitions` VALUES (80985, 5413, 21, 'تذكيرات');
INSERT INTO `lang_definitions` VALUES (80986, 5414, 21, 'أرسل المبلغ الي');
INSERT INTO `lang_definitions` VALUES (80987, 5415, 21, 'مستضيف قاصي');
INSERT INTO `lang_definitions` VALUES (80988, 5416, 21, 'إزالة');
INSERT INTO `lang_definitions` VALUES (80989, 5419, 21, 'إزالة المجموعة');
INSERT INTO `lang_definitions` VALUES (80990, 5420, 21, 'إزالة المجموعة من');
INSERT INTO `lang_definitions` VALUES (80991, 5421, 21, 'إزالة الدعم للتطعيم');
INSERT INTO `lang_definitions` VALUES (80992, 5422, 21, 'إزالة الدعم لمدير بي اتش بى');
INSERT INTO `lang_definitions` VALUES (80993, 5423, 21, 'إزالة الدعم للوصفات الطبية');
INSERT INTO `lang_definitions` VALUES (80994, 5425, 21, 'إزالة خاصية تتبع مخطط المريض');
INSERT INTO `lang_definitions` VALUES (80995, 5426, 21, 'حصوات كلوية');
INSERT INTO `lang_definitions` VALUES (80996, 5427, 21, 'إعادة تسمية');
INSERT INTO `lang_definitions` VALUES (80997, 5428, 21, 'إعادة تسمية المجموعة');
INSERT INTO `lang_definitions` VALUES (80998, 5429, 21, 'إستخلاص');
INSERT INTO `lang_definitions` VALUES (80999, 5430, 21, 'مقدم الإستخلاص');
INSERT INTO `lang_definitions` VALUES (81000, 5431, 21, 'رقم مقدم الإستخلاص');
INSERT INTO `lang_definitions` VALUES (81001, 5432, 21, 'إعادة الطلب');
INSERT INTO `lang_definitions` VALUES (81002, 5433, 21, 'إعادة الطلب عند');
INSERT INTO `lang_definitions` VALUES (81003, 5434, 21, 'تم التوصل لنقطة إعادة الطلب');
INSERT INTO `lang_definitions` VALUES (81004, 5435, 21, 'نقطة إعادة الطلب');
INSERT INTO `lang_definitions` VALUES (81005, 5436, 21, 'إعادة');
INSERT INTO `lang_definitions` VALUES (81006, 5437, 21, 'اعد كتابة كلمه السر الجديدة');
INSERT INTO `lang_definitions` VALUES (81007, 5438, 21, 'حدث متكرر');
INSERT INTO `lang_definitions` VALUES (81008, 5439, 21, 'تكرار المعلومة:');
INSERT INTO `lang_definitions` VALUES (81009, 5440, 21, 'المتكررات');
INSERT INTO `lang_definitions` VALUES (81010, 5441, 21, 'إبدال');
INSERT INTO `lang_definitions` VALUES (81011, 5444, 21, 'تاريخ الرد');
INSERT INTO `lang_definitions` VALUES (81012, 5445, 21, 'الرد من طرف');
INSERT INTO `lang_definitions` VALUES (81013, 5446, 21, 'تقرير');
INSERT INTO `lang_definitions` VALUES (81014, 5447, 21, 'تقرير - طبي');
INSERT INTO `lang_definitions` VALUES (81015, 5449, 21, 'تقرير بواسطة');
INSERT INTO `lang_definitions` VALUES (81016, 5453, 21, 'تاريخ التقرير / النتائج');
INSERT INTO `lang_definitions` VALUES (81017, 5454, 21, 'نتائج التقارير');
INSERT INTO `lang_definitions` VALUES (81018, 5455, 21, 'نتائج التقارير / التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (81019, 5457, 21, 'حالة التقرير');
INSERT INTO `lang_definitions` VALUES (81020, 5458, 21, 'مجموع التقرير');
INSERT INTO `lang_definitions` VALUES (81021, 5459, 21, 'التقرير / طلب');
INSERT INTO `lang_definitions` VALUES (81022, 5460, 21, 'قابل للتبليغ');
INSERT INTO `lang_definitions` VALUES (81023, 5461, 21, 'تم التبليغ');
INSERT INTO `lang_definitions` VALUES (81024, 5462, 21, 'تاريخ التبليغ');
INSERT INTO `lang_definitions` VALUES (81025, 5463, 21, 'تقارير');
INSERT INTO `lang_definitions` VALUES (81026, 5467, 21, 'تم تجاهل الطلب - جاري العمل علي المطالبات!');
INSERT INTO `lang_definitions` VALUES (81027, 5474, 21, 'الخدمة المطلوبة');
INSERT INTO `lang_definitions` VALUES (81028, 5475, 21, 'يتطلب كلمة سر قوية');
INSERT INTO `lang_definitions` VALUES (81029, 5476, 21, 'يتطلب كلمة سر فريدة');
INSERT INTO `lang_definitions` VALUES (81030, 5477, 21, 'مطلوب');
INSERT INTO `lang_definitions` VALUES (81031, 5478, 21, 'مطلوب الدفع المشترك');
INSERT INTO `lang_definitions` VALUES (81032, 5479, 21, 'الحقل المطلوب مفقود: الرجاء اختيار ملف EDI-271 للتحميل');
INSERT INTO `lang_definitions` VALUES (81033, 5480, 21, 'الحقل المطلوب مفقود: الرجاء أدخال الأسم الاول');
INSERT INTO `lang_definitions` VALUES (81034, 5481, 21, 'الحقل المطلوب مفقود: الرجاء أدخال الأسم الاخير');
INSERT INTO `lang_definitions` VALUES (81035, 5482, 21, 'الحقل المطلوب مفقود: الرجاء أدخال اسم المستخدم');
INSERT INTO `lang_definitions` VALUES (81036, 5483, 21, 'حقول مطلوبة');
INSERT INTO `lang_definitions` VALUES (81037, 5484, 21, 'المتطلبات');
INSERT INTO `lang_definitions` VALUES (81038, 5485, 21, 'محجوز');
INSERT INTO `lang_definitions` VALUES (81039, 5486, 21, 'محجوز');
INSERT INTO `lang_definitions` VALUES (81040, 5487, 21, 'محجوز لاستخدامه لتحديد موعد العطلة المقررة');
INSERT INTO `lang_definitions` VALUES (81041, 5488, 21, 'محجوز للتحديد عندما لا يكون عند المزود مواعيد خالية');
INSERT INTO `lang_definitions` VALUES (81042, 5489, 21, 'محجوز للتحديد عندما لم يحصل الموعد كما خطط له');
INSERT INTO `lang_definitions` VALUES (81043, 5490, 21, 'محجوز للتحديد عندما يكون عند المزود مواعيد خالية');
INSERT INTO `lang_definitions` VALUES (81044, 5491, 21, 'اعادة الى الوضع الأصلي');
INSERT INTO `lang_definitions` VALUES (81045, 5492, 21, 'تصفير إعتمادات الممر خارج الموقع');
INSERT INTO `lang_definitions` VALUES (81046, 5493, 21, 'تصفير إعتمادات الممر داخل الموقع');
INSERT INTO `lang_definitions` VALUES (81047, 5495, 21, 'Resn');
INSERT INTO `lang_definitions` VALUES (81048, 5496, 21, 'تم الحل');
INSERT INTO `lang_definitions` VALUES (81049, 5497, 21, 'التنفس');
INSERT INTO `lang_definitions` VALUES (81050, 5498, 21, 'الجهد التنفسي بغير اجهاد');
INSERT INTO `lang_definitions` VALUES (81051, 5499, 21, 'تنفسي');
INSERT INTO `lang_definitions` VALUES (81052, 5501, 21, 'منع المستخدمين الغير مصرح لهم من حجز التسهيلات المحدده لمدير المستخدمين');
INSERT INTO `lang_definitions` VALUES (81053, 5502, 21, 'منع المستخدمين من التسهيلات');
INSERT INTO `lang_definitions` VALUES (81054, 5503, 21, 'تدريب مقصور');
INSERT INTO `lang_definitions` VALUES (81055, 5504, 21, 'نتيجة');
INSERT INTO `lang_definitions` VALUES (81056, 5505, 21, 'إسم النتيجة');
INSERT INTO `lang_definitions` VALUES (81057, 5506, 21, 'حالة النتيجة');
INSERT INTO `lang_definitions` VALUES (81058, 5507, 21, 'حالة النتيجة او المرض مفقودة');
INSERT INTO `lang_definitions` VALUES (81059, 5508, 21, 'النيجة، إستخدم % كحرف بديل');
INSERT INTO `lang_definitions` VALUES (81060, 5509, 21, 'النتائج');
INSERT INTO `lang_definitions` VALUES (81061, 5510, 21, 'النتائج و');
INSERT INTO `lang_definitions` VALUES (81062, 5511, 21, 'النتائج التى تم التوصل اليها للبحث');
INSERT INTO `lang_definitions` VALUES (81063, 5512, 21, 'مجموعة النتائج');
INSERT INTO `lang_definitions` VALUES (81064, 5514, 21, 'طريق النتائج');
INSERT INTO `lang_definitions` VALUES (81065, 5515, 21, 'النتائج بالصفحة');
INSERT INTO `lang_definitions` VALUES (81066, 5516, 21, 'النتائج/التفاصيل');
INSERT INTO `lang_definitions` VALUES (81067, 5517, 21, 'فحص الشبكية');
INSERT INTO `lang_definitions` VALUES (81068, 5518, 21, 'مجذوب لليمين');
INSERT INTO `lang_definitions` VALUES (81069, 5519, 21, 'العودة:');
INSERT INTO `lang_definitions` VALUES (81070, 5520, 21, 'إعادة الجزء السابق مع الدفع');
INSERT INTO `lang_definitions` VALUES (81071, 5521, 21, 'العودة للرزنامة');
INSERT INTO `lang_definitions` VALUES (81072, 5522, 21, 'العودة لنتائج التقرير');
INSERT INTO `lang_definitions` VALUES (81073, 5523, 21, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت ICD10 بالضغط على رأس القائمه الخاص ب ICD10');
INSERT INTO `lang_definitions` VALUES (81074, 5524, 21, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت ICD9 بالضغط على رأس القائمه الخاص ب ICD9');
INSERT INTO `lang_definitions` VALUES (81075, 5525, 21, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت RxNorm بالضغط على رأس القائمه الخاص ب RXNORM');
INSERT INTO `lang_definitions` VALUES (81076, 5526, 21, 'العودة لهذة الصفحه و ستكون قادرا على اكمال تثبيت Snomed بالضغط على رأس القائمه الخاص ب SNOMED');
INSERT INTO `lang_definitions` VALUES (81077, 5527, 21, 'قيمة الإعادة');
INSERT INTO `lang_definitions` VALUES (81078, 5528, 21, 'مراجعة');
INSERT INTO `lang_definitions` VALUES (81079, 5529, 21, 'رجع ل اللعب');
INSERT INTO `lang_definitions` VALUES (81080, 5530, 21, 'إعادة إستخدام اخر ثلاث كلمات سر سابقة غير مسموح به');
INSERT INTO `lang_definitions` VALUES (81081, 5534, 21, 'مراجعة PMH:');
INSERT INTO `lang_definitions` VALUES (81082, 5535, 21, 'مراجعة الأنظمة');
INSERT INTO `lang_definitions` VALUES (81083, 5536, 21, 'مراجعة اختبارات الأنظمة');
INSERT INTO `lang_definitions` VALUES (81084, 5537, 21, 'تمت المراجعة');
INSERT INTO `lang_definitions` VALUES (81085, 5538, 21, 'مراجعة');
INSERT INTO `lang_definitions` VALUES (81086, 5539, 21, 'روماتزم المفاصل');
INSERT INTO `lang_definitions` VALUES (81087, 5540, 21, 'روماتزم المفاصل');
INSERT INTO `lang_definitions` VALUES (81088, 5541, 21, 'اﻷيمن');
INSERT INTO `lang_definitions` VALUES (81089, 5542, 21, 'اﻷذن اليمني');
INSERT INTO `lang_definitions` VALUES (81090, 5543, 21, 'اﻷذن اليمني');
INSERT INTO `lang_definitions` VALUES (81091, 5545, 21, 'اﻷيمن:');
INSERT INTO `lang_definitions` VALUES (81092, 5546, 21, 'طنين فى اﻻذنين');
INSERT INTO `lang_definitions` VALUES (81093, 5547, 21, 'طنين فى اﻻذنين');
INSERT INTO `lang_definitions` VALUES (81094, 5549, 21, 'عوامل مخاطرة');
INSERT INTO `lang_definitions` VALUES (81095, 5550, 21, 'مستوي المخاطرة');
INSERT INTO `lang_definitions` VALUES (81096, 5551, 21, 'RLL:');
INSERT INTO `lang_definitions` VALUES (81097, 5552, 21, 'مقدار الحركة للمفاصل');
INSERT INTO `lang_definitions` VALUES (81098, 5553, 21, 'روماني');
INSERT INTO `lang_definitions` VALUES (81099, 5560, 21, 'جدول الخدمة');
INSERT INTO `lang_definitions` VALUES (81100, 5561, 21, 'طريق');
INSERT INTO `lang_definitions` VALUES (81101, 5562, 21, 'طريق الإعطاء، لو ممكن');
INSERT INTO `lang_definitions` VALUES (81102, 5563, 21, 'محول');
INSERT INTO `lang_definitions` VALUES (81103, 5564, 21, 'سطور');
INSERT INTO `lang_definitions` VALUES (81104, 5565, 21, 'RRR without MOR');
INSERT INTO `lang_definitions` VALUES (81105, 5566, 21, 'مسحه:');
INSERT INTO `lang_definitions` VALUES (81106, 5567, 21, 'مسحات:');
INSERT INTO `lang_definitions` VALUES (81107, 5568, 21, 'قانون');
INSERT INTO `lang_definitions` VALUES (81108, 5569, 21, 'اضافة قانون');
INSERT INTO `lang_definitions` VALUES (81109, 5570, 21, 'تفاصيل القانون');
INSERT INTO `lang_definitions` VALUES (81110, 5572, 21, 'تعديل القانون');
INSERT INTO `lang_definitions` VALUES (81111, 5575, 21, 'تثبيت القانون');
INSERT INTO `lang_definitions` VALUES (81112, 5578, 21, 'قوانيين');
INSERT INTO `lang_definitions` VALUES (81113, 5580, 21, 'قوانيين الإعدادات');
INSERT INTO `lang_definitions` VALUES (81114, 5581, 21, 'أمر مستمر: ');
INSERT INTO `lang_definitions` VALUES (81115, 5582, 21, 'انفتاق');
INSERT INTO `lang_definitions` VALUES (81116, 5583, 21, 'روسي');
INSERT INTO `lang_definitions` VALUES (81117, 5584, 21, 'الوصفة العلاجية');
INSERT INTO `lang_definitions` VALUES (81118, 5585, 21, 'الوصفة العلاجية');
INSERT INTO `lang_definitions` VALUES (81119, 5586, 21, 'حافة الوصفة العلاجية السفلى (نقطة)');
INSERT INTO `lang_definitions` VALUES (81120, 5587, 21, 'تفعيل رقم صرف الأدوية المخدرة');
INSERT INTO `lang_definitions` VALUES (81121, 5588, 21, 'تفعيل رقم الخدمة القومي');
INSERT INTO `lang_definitions` VALUES (81122, 5589, 21, 'تفعيل رقم ممارسة المهن الطبية');
INSERT INTO `lang_definitions` VALUES (81123, 5590, 21, 'حافة الوصفة العلاجية اليسرى (نقطة)');
INSERT INTO `lang_definitions` VALUES (81124, 5591, 21, 'حجم ورقة الوصفة العلاجية');
INSERT INTO `lang_definitions` VALUES (81125, 5592, 21, 'حافة الوصفة العلاجية اليمنى (نقطة)');
INSERT INTO `lang_definitions` VALUES (81126, 5593, 21, 'الوصفة العلاجية تظهر رقم صرف الأدوية المخدرة');
INSERT INTO `lang_definitions` VALUES (81127, 5594, 21, 'الوصفة العلاجية تظهر رقم الخدمة القومي');
INSERT INTO `lang_definitions` VALUES (81128, 5595, 21, 'الوصفة العلاجية تظهر رقم ممارسة المهن الطبية');
INSERT INTO `lang_definitions` VALUES (81129, 5596, 21, 'حافة الوصفة العلاجية العليا (نقطة)');
INSERT INTO `lang_definitions` VALUES (81130, 5598, 21, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (81131, 5599, 21, 'قاعدة بيانات RxNorm');
INSERT INTO `lang_definitions` VALUES (81132, 5600, 21, 'S');
INSERT INTO `lang_definitions` VALUES (81133, 5601, 21, 'S.S.');
INSERT INTO `lang_definitions` VALUES (81134, 5602, 21, 'S3:');
INSERT INTO `lang_definitions` VALUES (81135, 5603, 21, 'S4:');
INSERT INTO `lang_definitions` VALUES (81136, 5604, 21, 'SA * * To read the license please read the docs/license.txt or visit * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (81137, 5605, 21, 'تخفيض');
INSERT INTO `lang_definitions` VALUES (81138, 5606, 21, 'مبيعات');
INSERT INTO `lang_definitions` VALUES (81139, 5607, 21, 'المبيعات بالصنف');
INSERT INTO `lang_definitions` VALUES (81140, 5608, 21, 'المبيعات بتقرير المنتج');
INSERT INTO `lang_definitions` VALUES (81141, 5609, 21, 'لُعاب');
INSERT INTO `lang_definitions` VALUES (81142, 5610, 21, 'نفس اليوم');
INSERT INTO `lang_definitions` VALUES (81143, 5611, 21, 'جزيرة ساموان');
INSERT INTO `lang_definitions` VALUES (81144, 5612, 21, 'عينة');
INSERT INTO `lang_definitions` VALUES (81145, 5613, 21, 'نوع المنع');
INSERT INTO `lang_definitions` VALUES (81146, 5617, 21, 'السبت');
INSERT INTO `lang_definitions` VALUES (81147, 5618, 21, 'السبت و اﻷحد');
INSERT INTO `lang_definitions` VALUES (81148, 5619, 21, 'السبت');
INSERT INTO `lang_definitions` VALUES (81149, 5620, 21, 'حفظ');
INSERT INTO `lang_definitions` VALUES (81150, 5621, 21, 'حفظ');
INSERT INTO `lang_definitions` VALUES (81151, 5622, 21, 'حفظ وإغلاق');
INSERT INTO `lang_definitions` VALUES (81152, 5624, 21, 'حفظ و صرف');
INSERT INTO `lang_definitions` VALUES (81153, 5625, 21, 'حفظ وتسليم');
INSERT INTO `lang_definitions` VALUES (81154, 5626, 21, 'حفظ جديد');
INSERT INTO `lang_definitions` VALUES (81155, 5627, 21, 'حفظ كملاحظة جديدة');
INSERT INTO `lang_definitions` VALUES (81156, 5628, 21, 'حفظ اعدادت الشهادة');
INSERT INTO `lang_definitions` VALUES (81157, 5629, 21, 'حفظ التغيرات');
INSERT INTO `lang_definitions` VALUES (81158, 5630, 21, 'حفظ النموذج');
INSERT INTO `lang_definitions` VALUES (81159, 5631, 21, 'حفظ التطعيمات');
INSERT INTO `lang_definitions` VALUES (81160, 5632, 21, 'حفظ حقل جديد');
INSERT INTO `lang_definitions` VALUES (81161, 5633, 21, 'حفظ مجموعة جديدة');
INSERT INTO `lang_definitions` VALUES (81162, 5634, 21, 'حفظ القائمة الجديدة');
INSERT INTO `lang_definitions` VALUES (81163, 5635, 21, 'حفظ قالب جديد');
INSERT INTO `lang_definitions` VALUES (81164, 5636, 21, 'إحفظ إختيارات الإلغاء');
INSERT INTO `lang_definitions` VALUES (81165, 5637, 21, 'حفظ بيانات المريض الديموغرافية');
INSERT INTO `lang_definitions` VALUES (81166, 5638, 21, 'تم حفظ سجل الهوية بنجاح');
INSERT INTO `lang_definitions` VALUES (81167, 5639, 21, 'حفظ العملية');
INSERT INTO `lang_definitions` VALUES (81168, 5641, 21, 'تم المسح الضوئي');
INSERT INTO `lang_definitions` VALUES (81169, 5642, 21, 'تم مسح ورقه الزيارة ضوئيا');
INSERT INTO `lang_definitions` VALUES (81170, 5643, 21, 'ملف الماسح الضوئي');
INSERT INTO `lang_definitions` VALUES (81171, 5644, 21, 'دخل الماسح الضوئي');
INSERT INTO `lang_definitions` VALUES (81172, 5645, 21, 'جدولالمواعيد');
INSERT INTO `lang_definitions` VALUES (81173, 5646, 21, 'تسهيلات جدول المواعيد');
INSERT INTO `lang_definitions` VALUES (81174, 5647, 21, 'رسالة للمدرسة');
INSERT INTO `lang_definitions` VALUES (81175, 5648, 21, 'جنف- انحناء العمود الفقري');
INSERT INTO `lang_definitions` VALUES (81176, 5651, 21, 'SE');
INSERT INTO `lang_definitions` VALUES (81177, 5652, 21, 'SE عنوان');
INSERT INTO `lang_definitions` VALUES (81178, 5653, 21, 'SE مدينة');
INSERT INTO `lang_definitions` VALUES (81179, 5654, 21, 'SE بلد');
INSERT INTO `lang_definitions` VALUES (81180, 5655, 21, 'SE المنطقة');
INSERT INTO `lang_definitions` VALUES (81181, 5656, 21, 'SE الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (81182, 5657, 21, 'SE الولاية');
INSERT INTO `lang_definitions` VALUES (81183, 5658, 21, 'SE الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (81184, 5659, 21, 'بحث');
INSERT INTO `lang_definitions` VALUES (81185, 5661, 21, 'بحث');
INSERT INTO `lang_definitions` VALUES (81186, 5662, 21, 'تكرار البحث');
INSERT INTO `lang_definitions` VALUES (81187, 5663, 21, 'بحث جميع القوائم');
INSERT INTO `lang_definitions` VALUES (81188, 5664, 21, 'احث عن طريق');
INSERT INTO `lang_definitions` VALUES (81189, 5665, 21, 'بحث عن');
INSERT INTO `lang_definitions` VALUES (81190, 5666, 21, 'بحث عن');
INSERT INTO `lang_definitions` VALUES (81191, 5667, 21, 'بحث في');
INSERT INTO `lang_definitions` VALUES (81192, 5668, 21, 'بحث في');
INSERT INTO `lang_definitions` VALUES (81193, 5669, 21, 'بحث أو إضافة مريض');
INSERT INTO `lang_definitions` VALUES (81194, 5670, 21, 'بحث المدفوعات');
INSERT INTO `lang_definitions` VALUES (81195, 5671, 21, 'نتائج البحث');
INSERT INTO `lang_definitions` VALUES (81196, 5672, 21, 'نتائج البحث :');
INSERT INTO `lang_definitions` VALUES (81197, 5673, 21, 'بحث عن المختارات');
INSERT INTO `lang_definitions` VALUES (81198, 5674, 21, 'كلمة البحث غير متوافقة مع القائمة فى قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (81199, 5675, 21, 'كلمة البحث يجب الا تقل عن ثلاثة احرف');
INSERT INTO `lang_definitions` VALUES (81200, 5676, 21, 'بحث النص');
INSERT INTO `lang_definitions` VALUES (81201, 5677, 21, 'بحث في الحدث');
INSERT INTO `lang_definitions` VALUES (81202, 5678, 21, 'بحث - اضافة');
INSERT INTO `lang_definitions` VALUES (81203, 5679, 21, 'بحث - اضافة مؤمن');
INSERT INTO `lang_definitions` VALUES (81204, 5680, 21, 'بحث عن المواعيد');
INSERT INTO `lang_definitions` VALUES (81205, 5681, 21, 'جاري البحث ...');
INSERT INTO `lang_definitions` VALUES (81206, 5682, 21, 'استخدام حزام الأمان');
INSERT INTO `lang_definitions` VALUES (81207, 5683, 21, 'استخدام حزام الأمان');
INSERT INTO `lang_definitions` VALUES (81208, 5684, 21, 'ثان');
INSERT INTO `lang_definitions` VALUES (81209, 5687, 21, 'ثانوي');
INSERT INTO `lang_definitions` VALUES (81210, 5688, 21, 'تأمين إضافي');
INSERT INTO `lang_definitions` VALUES (81211, 5689, 21, 'بيانات التأمين الإضافي');
INSERT INTO `lang_definitions` VALUES (81212, 5690, 21, 'مقدم التأمين الإضافي');
INSERT INTO `lang_definitions` VALUES (81213, 5691, 21, 'نظام ميديكير الثانوي');
INSERT INTO `lang_definitions` VALUES (81214, 5698, 21, 'أمن');
INSERT INTO `lang_definitions` VALUES (81215, 5699, 21, 'مشاهدة الكل');
INSERT INTO `lang_definitions` VALUES (81216, 5700, 21, 'مشاهدة التفاويض');
INSERT INTO `lang_definitions` VALUES (81217, 5701, 21, 'مشاهدة مخطط النمو البياني');
INSERT INTO `lang_definitions` VALUES (81218, 5702, 21, 'راجع الرسائل من اخر مجموعة من المطالبات');
INSERT INTO `lang_definitions` VALUES (81219, 5704, 21, 'فحص منذ');
INSERT INTO `lang_definitions` VALUES (81220, 5705, 21, 'اسم القطعة');
INSERT INTO `lang_definitions` VALUES (81221, 5706, 21, 'مطالبة مجموعة القطع');
INSERT INTO `lang_definitions` VALUES (81222, 5707, 21, 'تشنج');
INSERT INTO `lang_definitions` VALUES (81223, 5708, 21, 'إختر');
INSERT INTO `lang_definitions` VALUES (81224, 5709, 21, 'إختر');
INSERT INTO `lang_definitions` VALUES (81225, 5710, 21, 'إختر');
INSERT INTO `lang_definitions` VALUES (81226, 5712, 21, 'إختر محتوى');
INSERT INTO `lang_definitions` VALUES (81227, 5713, 21, 'إختر نسبة الصفوف او إختر الأيام');
INSERT INTO `lang_definitions` VALUES (81228, 5714, 21, 'إختر فترة زمنية');
INSERT INTO `lang_definitions` VALUES (81229, 5715, 21, 'إختر مستخدم');
INSERT INTO `lang_definitions` VALUES (81230, 5716, 21, 'إختيار الكل');
INSERT INTO `lang_definitions` VALUES (81232, 5720, 21, 'إختر فئة');
INSERT INTO `lang_definitions` VALUES (81233, 5722, 21, 'إختر');
INSERT INTO `lang_definitions` VALUES (81234, 5723, 21, 'إختر الضوابط المراد حذفها');
INSERT INTO `lang_definitions` VALUES (81235, 5724, 21, 'إختر جدول CSV');
INSERT INTO `lang_definitions` VALUES (81236, 5725, 21, 'إختر البيانات المراد إبهامها');
INSERT INTO `lang_definitions` VALUES (81237, 5726, 21, 'إختر بيانات لأدراجها من ضمن البيانات المبهمة');
INSERT INTO `lang_definitions` VALUES (81238, 5727, 21, 'إختر التاريخ');
INSERT INTO `lang_definitions` VALUES (81239, 5728, 21, 'إختر');
INSERT INTO `lang_definitions` VALUES (81240, 5729, 21, 'إختر التشخيص');
INSERT INTO `lang_definitions` VALUES (81241, 5730, 21, 'إختر التشخيص المراد إبهامه');
INSERT INTO `lang_definitions` VALUES (81242, 5731, 21, 'إختر الدواء');
INSERT INTO `lang_definitions` VALUES (81243, 5732, 21, 'إختر الأدوية');
INSERT INTO `lang_definitions` VALUES (81244, 5733, 21, 'إختر الأدوية المراد إبهامها');
INSERT INTO `lang_definitions` VALUES (81245, 5734, 21, 'إختر ملف EDI-271');
INSERT INTO `lang_definitions` VALUES (81246, 5736, 21, 'إختر الحقل');
INSERT INTO `lang_definitions` VALUES (81247, 5737, 21, 'إختر الحقول');
INSERT INTO `lang_definitions` VALUES (81248, 5738, 21, 'إختر للطباعة');
INSERT INTO `lang_definitions` VALUES (81249, 5739, 21, 'إختر التطعيم');
INSERT INTO `lang_definitions` VALUES (81250, 5740, 21, 'إختر التطعيمات المراد إبهامها');
INSERT INTO `lang_definitions` VALUES (81251, 5741, 21, 'إختر تامين وذلك بالكتابة');
INSERT INTO `lang_definitions` VALUES (81252, 5742, 21, 'إختر الأصدار');
INSERT INTO `lang_definitions` VALUES (81253, 5744, 21, 'إختر لغة');
INSERT INTO `lang_definitions` VALUES (81254, 5745, 21, 'إختر واحد');
INSERT INTO `lang_definitions` VALUES (81255, 5746, 21, 'إختر تشخيص او أكثر لتسويغ الخدمة');
INSERT INTO `lang_definitions` VALUES (81256, 5747, 21, 'إختر ملف أو أكثر للتحميل');
INSERT INTO `lang_definitions` VALUES (81257, 5754, 21, 'إختر الإعدادات للتصدير');
INSERT INTO `lang_definitions` VALUES (81258, 5755, 21, 'إختر المسبب الرئيسي لأي حدث مفقود لهذا اليوم');
INSERT INTO `lang_definitions` VALUES (81259, 5759, 21, 'إختر مستخدم');
INSERT INTO `lang_definitions` VALUES (81260, 5760, 21, 'اختيار مستخدمين من القائمة المنسدلة');
INSERT INTO `lang_definitions` VALUES (81261, 5761, 21, 'إختر اي اللغات مسموح اختيارها عند الدخول (مسموح فقط لو كان اختيار كل اللغات معطل)');
INSERT INTO `lang_definitions` VALUES (81262, 5762, 21, 'إختر نعم لتأكيد مسح المجموعة');
INSERT INTO `lang_definitions` VALUES (81263, 5765, 21, 'مُختار');
INSERT INTO `lang_definitions` VALUES (81264, 5766, 21, 'مراجعة مُختارة');
INSERT INTO `lang_definitions` VALUES (81265, 5767, 21, 'تفعيل هذا الإختيار سيكون رسالة يتحتم على كل مستقبل معالجتها كل على حده (هذا ليس اختيارا للمجموعة)');
INSERT INTO `lang_definitions` VALUES (81266, 5768, 21, 'ذاتي');
INSERT INTO `lang_definitions` VALUES (81267, 5769, 21, 'دفع ذاتي');
INSERT INTO `lang_definitions` VALUES (81268, 5771, 21, 'إرسال');
INSERT INTO `lang_definitions` VALUES (81269, 5772, 21, 'إرسال تذكير مؤرخ');
INSERT INTO `lang_definitions` VALUES (81270, 5773, 21, 'أرسل تنبيه');
INSERT INTO `lang_definitions` VALUES (81271, 5774, 21, 'جار الإرسال');
INSERT INTO `lang_definitions` VALUES (81272, 5775, 21, 'أرسل رسالة');
INSERT INTO `lang_definitions` VALUES (81273, 5776, 21, 'أرسل مجموعة تنبيهات');
INSERT INTO `lang_definitions` VALUES (81274, 5777, 21, 'أرسل تنبيهات للمرضي كل على حسب اختياره للوقاية او للمتابعة');
INSERT INTO `lang_definitions` VALUES (81275, 5778, 21, 'إرسال الملخصات مع الإحالات');
INSERT INTO `lang_definitions` VALUES (81276, 5779, 21, 'إرسل هذا الملف');
INSERT INTO `lang_definitions` VALUES (81277, 5780, 21, 'إرسل هذه الرسالة');
INSERT INTO `lang_definitions` VALUES (81278, 5781, 21, 'إرسل الى');
INSERT INTO `lang_definitions` VALUES (81279, 5784, 21, 'إرسل للكل');
INSERT INTO `lang_definitions` VALUES (81280, 5788, 21, 'مُرسل');
INSERT INTO `lang_definitions` VALUES (81281, 5789, 21, 'هوية المُرسل');
INSERT INTO `lang_definitions` VALUES (81282, 5790, 21, 'هوية المُرسل (ISA06)');
INSERT INTO `lang_definitions` VALUES (81283, 5791, 21, 'ًًٍََُِمرقي هوية المُرسل (ISA05)');
INSERT INTO `lang_definitions` VALUES (81284, 5792, 21, 'هويات المرسلين');
INSERT INTO `lang_definitions` VALUES (81285, 5793, 21, 'الإرسل الى');
INSERT INTO `lang_definitions` VALUES (81286, 5794, 21, 'حساسيات');
INSERT INTO `lang_definitions` VALUES (81287, 5795, 21, 'حساسية');
INSERT INTO `lang_definitions` VALUES (81288, 5796, 21, 'الكشف الحِسِّيّ‎ طبيعي  ');
INSERT INTO `lang_definitions` VALUES (81289, 5797, 21, 'تم الإرسال');
INSERT INTO `lang_definitions` VALUES (81290, 5799, 21, 'أُرسل من خلال, يُترك فارغ للجميع');
INSERT INTO `lang_definitions` VALUES (81291, 5801, 21, 'تاريخ الإرسال');
INSERT INTO `lang_definitions` VALUES (81292, 5802, 21, 'المواد المُرسلة');
INSERT INTO `lang_definitions` VALUES (81293, 5803, 21, 'التقارير المُرسلة؟');
INSERT INTO `lang_definitions` VALUES (81294, 5804, 21, 'تم الإرسال بنجاح');
INSERT INTO `lang_definitions` VALUES (81295, 5807, 21, 'تم الإرسال للطابعة.');
INSERT INTO `lang_definitions` VALUES (81296, 5808, 21, 'إرسل الى, يترك فارغ للجميع');
INSERT INTO `lang_definitions` VALUES (81297, 5810, 21, 'تم الإرسال, حتى الان لم يتم تأكيد الإستلام');
INSERT INTO `lang_definitions` VALUES (81298, 5811, 21, 'تم الإرسال, لم يُستقبل بعد');
INSERT INTO `lang_definitions` VALUES (81299, 5812, 21, 'سبتمبر -أيلول');
INSERT INTO `lang_definitions` VALUES (81300, 5813, 21, 'مفصول');
INSERT INTO `lang_definitions` VALUES (81301, 5814, 21, 'سبتمبر -أيلول');
INSERT INTO `lang_definitions` VALUES (81302, 5815, 21, 'تتابع');
INSERT INTO `lang_definitions` VALUES (81303, 5816, 21, 'تتابع');
INSERT INTO `lang_definitions` VALUES (81304, 5818, 21, 'ممثل الخدمة');
INSERT INTO `lang_definitions` VALUES (81305, 5821, 21, 'خدمة');
INSERT INTO `lang_definitions` VALUES (81306, 5822, 21, 'فئة الخدمة');
INSERT INTO `lang_definitions` VALUES (81307, 5823, 21, 'رمز الخدمة');
INSERT INTO `lang_definitions` VALUES (81308, 5824, 21, 'رمز الخدمة للتقارير المالية');
INSERT INTO `lang_definitions` VALUES (81309, 5825, 21, 'رموز الخدمة');
INSERT INTO `lang_definitions` VALUES (81310, 5826, 21, 'تاريخ الخدمة');
INSERT INTO `lang_definitions` VALUES (81311, 5827, 21, 'تاريخ الخدمة :');
INSERT INTO `lang_definitions` VALUES (81312, 5829, 21, 'موقع الخدمة');
INSERT INTO `lang_definitions` VALUES (81313, 5830, 21, 'أسم الخدمة');
INSERT INTO `lang_definitions` VALUES (81314, 5831, 21, 'مقدم الخدمة اخصائي');
INSERT INTO `lang_definitions` VALUES (81315, 5832, 21, 'الإبلاغ عن الخدمة');
INSERT INTO `lang_definitions` VALUES (81316, 5833, 21, 'الإبلاغ عن الخدمة فقط');
INSERT INTO `lang_definitions` VALUES (81317, 5834, 21, 'الخدمات');
INSERT INTO `lang_definitions` VALUES (81318, 5835, 21, 'الخدمات عن طريق الفئة');
INSERT INTO `lang_definitions` VALUES (81319, 5836, 21, 'الخدمات المقدمة');
INSERT INTO `lang_definitions` VALUES (81320, 5837, 21, 'الخدمات المقدمة');
INSERT INTO `lang_definitions` VALUES (81321, 5838, 21, 'الخدمات - المنتجات');
INSERT INTO `lang_definitions` VALUES (81322, 5839, 21, 'نوع الجلسة');
INSERT INTO `lang_definitions` VALUES (81323, 5840, 21, 'اضبط');
INSERT INTO `lang_definitions` VALUES (81324, 5841, 21, 'اضبط كعكة المنشئة لتتذكر المنشئة المختارة بين مرات الدخول');
INSERT INTO `lang_definitions` VALUES (81325, 5842, 21, 'اضبط كمكتمل');
INSERT INTO `lang_definitions` VALUES (81326, 5843, 21, 'اضبط اولوية التشغيل لمحرك تقارير CDR');
INSERT INTO `lang_definitions` VALUES (81327, 5844, 21, 'اضبط اولوية التشغيل لإنشاء تنبيهات المرضي (في نمط العيادة الكامل)');
INSERT INTO `lang_definitions` VALUES (81328, 5845, 21, 'اضبط هذا للعنوان الكامل الوحيد لإنشاء شهادات SSL لل HTTPS');
INSERT INTO `lang_definitions` VALUES (81329, 5846, 21, 'اضبط الي');
INSERT INTO `lang_definitions` VALUES (81330, 5847, 21, 'اعادة الضبط');
INSERT INTO `lang_definitions` VALUES (81331, 5848, 21, 'ضبط رقم التعديل لقاعدة البيانات...');
INSERT INTO `lang_definitions` VALUES (81332, 5849, 21, 'الإعدادات');
INSERT INTO `lang_definitions` VALUES (81333, 5851, 21, 'صداع نصفي حاد');
INSERT INTO `lang_definitions` VALUES (81334, 5853, 21, 'شدة الألم');
INSERT INTO `lang_definitions` VALUES (81335, 5854, 21, 'شدة الألم');
INSERT INTO `lang_definitions` VALUES (81336, 5855, 21, 'جنس');
INSERT INTO `lang_definitions` VALUES (81337, 5856, 21, 'الأمراض المنقولة جنسيا');
INSERT INTO `lang_definitions` VALUES (81338, 5857, 21, 'بروتوكول نقل الملفات المؤمن');
INSERT INTO `lang_definitions` VALUES (81339, 5858, 21, 'خوارزمية التشفير');
INSERT INTO `lang_definitions` VALUES (81340, 5859, 21, 'مشاركة');
INSERT INTO `lang_definitions` VALUES (81341, 5860, 21, 'أمر للطباعة من المزود');
INSERT INTO `lang_definitions` VALUES (81342, 5863, 21, 'وصف قصير');
INSERT INTO `lang_definitions` VALUES (81343, 5864, 21, 'نقص في التنفس');
INSERT INTO `lang_definitions` VALUES (81344, 5865, 21, 'نقص في التنفس');
INSERT INTO `lang_definitions` VALUES (81345, 5866, 21, 'نقص في التنفس ٢');
INSERT INTO `lang_definitions` VALUES (81346, 5867, 21, 'سجل الحقنات');
INSERT INTO `lang_definitions` VALUES (81347, 5868, 21, 'سجل الحقنات');
INSERT INTO `lang_definitions` VALUES (81348, 5870, 21, 'يجب ان يكون مثل nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (81349, 5871, 21, 'يجب ان يكون حرفين');
INSERT INTO `lang_definitions` VALUES (81350, 5872, 21, 'يجب ان يحتوي على ١٠ خانات');
INSERT INTO `lang_definitions` VALUES (81351, 5873, 21, 'يجب ان يحتوي على ١٠ خانات فقط');
INSERT INTO `lang_definitions` VALUES (81352, 5874, 21, 'الكتف');
INSERT INTO `lang_definitions` VALUES (81353, 5875, 21, 'الكتف + الترقوة');
INSERT INTO `lang_definitions` VALUES (81354, 5876, 21, 'عرض');
INSERT INTO `lang_definitions` VALUES (81355, 5877, 21, 'عرض');
INSERT INTO `lang_definitions` VALUES (81356, 5878, 21, 'عرض الكل');
INSERT INTO `lang_definitions` VALUES (81357, 5880, 21, 'عرض الكل');
INSERT INTO `lang_definitions` VALUES (81358, 5881, 21, 'عرض جميع الإجراءات');
INSERT INTO `lang_definitions` VALUES (81359, 5883, 21, 'عرض جميع المعاملات');
INSERT INTO `lang_definitions` VALUES (81360, 5884, 21, 'عرض ك مشغول');
INSERT INTO `lang_definitions` VALUES (81361, 5885, 21, 'العرض للمصرح لهم فقط');
INSERT INTO `lang_definitions` VALUES (81362, 5886, 21, 'عرض الأوقات المتاحة');
INSERT INTO `lang_definitions` VALUES (81363, 5887, 21, 'عرض الجميع: US & Metric');
INSERT INTO `lang_definitions` VALUES (81364, 5888, 21, 'عرض الجميع: US & Metric');
INSERT INTO `lang_definitions` VALUES (81365, 5889, 21, 'عرض التفاصيل');
INSERT INTO `lang_definitions` VALUES (81366, 5890, 21, 'عرض الأخطاء فقط');
INSERT INTO `lang_definitions` VALUES (81367, 5891, 21, 'عرض الرسم البياني');
INSERT INTO `lang_definitions` VALUES (81368, 5892, 21, 'عرض وصف الحدث عن وضع الفأرة عليه؟');
INSERT INTO `lang_definitions` VALUES (81369, 5893, 21, 'عرض عدد الأحداث على صفحة المدير؟');
INSERT INTO `lang_definitions` VALUES (81370, 5894, 21, 'عرض الغير نشط');
INSERT INTO `lang_definitions` VALUES (81371, 5896, 21, 'عرض القائمة');
INSERT INTO `lang_definitions` VALUES (81372, 5897, 21, 'عرض النِّظامُ المِتْرِيّ‎ فقط');
INSERT INTO `lang_definitions` VALUES (81373, 5898, 21, 'عرض الحاشية');
INSERT INTO `lang_definitions` VALUES (81374, 5900, 21, 'عرض الإجراءات الغير محذوفة فقط');
INSERT INTO `lang_definitions` VALUES (81375, 5901, 21, 'عرض ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (81376, 5902, 21, 'عرض الرطل و الأوقية');
INSERT INTO `lang_definitions` VALUES (81377, 5903, 21, 'عرض الرطل بالقيمة العشرية');
INSERT INTO `lang_definitions` VALUES (81378, 5904, 21, 'عرض الأساسي كاملا');
INSERT INTO `lang_definitions` VALUES (81379, 5905, 21, 'عرض التنبيهات');
INSERT INTO `lang_definitions` VALUES (81380, 5906, 21, 'عرض التقرير');
INSERT INTO `lang_definitions` VALUES (81381, 5907, 21, 'عرض البحث- تسليم الروابط دفعة واحدة؟');
INSERT INTO `lang_definitions` VALUES (81382, 5910, 21, 'أعرض طلب الحالة المهيئة لأداة إضافة قائمة (هذا سيسأل عن العنوان و اﻹختصار)');
INSERT INTO `lang_definitions` VALUES (81383, 5911, 21, 'اعرض هذة المجموعة علي شاشة عرض المريض حتي لو تكن هناك أحداث مسجلة');
INSERT INTO `lang_definitions` VALUES (81384, 5913, 21, 'عرض الفواتير الغير مدفوعة فقط');
INSERT INTO `lang_definitions` VALUES (81385, 5914, 21, 'عرض الولايات المتحدة فقط');
INSERT INTO `lang_definitions` VALUES (81386, 5915, 21, 'يعرض');
INSERT INTO `lang_definitions` VALUES (81387, 5916, 21, 'يعرض النتائج');
INSERT INTO `lang_definitions` VALUES (81388, 5920, 21, 'الاشقاء');
INSERT INTO `lang_definitions` VALUES (81389, 5921, 21, 'فقر الدم المنجلي');
INSERT INTO `lang_definitions` VALUES (81390, 5922, 21, 'التوقيع');
INSERT INTO `lang_definitions` VALUES (81391, 5923, 21, 'السِّينِيّي -جزء من القولون‎ -فحص القولون');
INSERT INTO `lang_definitions` VALUES (81392, 5925, 21, 'توقيع نتيجة المختبر (كتابة,اختياري)');
INSERT INTO `lang_definitions` VALUES (81393, 5926, 21, 'التوقيع على النتيجة');
INSERT INTO `lang_definitions` VALUES (81394, 5927, 21, 'التوقيع');
INSERT INTO `lang_definitions` VALUES (81395, 5929, 21, 'التوقيع:');
INSERT INTO `lang_definitions` VALUES (81396, 5930, 21, 'وصفة علاجية موقعة');
INSERT INTO `lang_definitions` VALUES (81397, 5932, 21, 'انتفاخ كبير:');
INSERT INTO `lang_definitions` VALUES (81398, 5933, 21, 'مبسط');
INSERT INTO `lang_definitions` VALUES (81399, 5934, 21, 'رسوم ميسرة');
INSERT INTO `lang_definitions` VALUES (81400, 5935, 21, 'ديموغرافيا ميسرة');
INSERT INTO `lang_definitions` VALUES (81401, 5936, 21, 'وصفات ميسرة');
INSERT INTO `lang_definitions` VALUES (81402, 5937, 21, 'منذ');
INSERT INTO `lang_definitions` VALUES (81403, 5938, 21, 'تحياتي الصادقة,');
INSERT INTO `lang_definitions` VALUES (81404, 5940, 21, 'مفرد');
INSERT INTO `lang_definitions` VALUES (81405, 5941, 21, 'مفرد-قائمة الأختيارات');
INSERT INTO `lang_definitions` VALUES (81406, 5942, 21, 'مفرد-قائمة الأختيارات مع مقدرة الأضافة عليها');
INSERT INTO `lang_definitions` VALUES (81407, 5943, 21, 'مُفرد');
INSERT INTO `lang_definitions` VALUES (81408, 5946, 21, 'مشكلة الجيوب الأنفية');
INSERT INTO `lang_definitions` VALUES (81409, 5947, 21, 'جراحة الجيوب الأنفية');
INSERT INTO `lang_definitions` VALUES (81410, 5948, 21, 'SINUS TENDERNESS:');
INSERT INTO `lang_definitions` VALUES (81411, 5949, 21, 'اِلْتِهابُ الجَيْب الأنفية');
INSERT INTO `lang_definitions` VALUES (81412, 5950, 21, 'مكان');
INSERT INTO `lang_definitions` VALUES (81413, 5951, 21, 'رقم هوية الموقع');
INSERT INTO `lang_definitions` VALUES (81414, 5952, 21, 'رقم هوية الموقع لدمج العلومات الصحية, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (81415, 5953, 21, 'رقم هوية الموقع للبرنامج, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (81416, 5956, 21, 'مقاس');
INSERT INTO `lang_definitions` VALUES (81417, 5957, 21, 'المقاس يجب ان يكون بين 1 و 999');
INSERT INTO `lang_definitions` VALUES (81418, 5958, 21, 'مقاس-قائمة');
INSERT INTO `lang_definitions` VALUES (81419, 5959, 21, 'جلد');
INSERT INTO `lang_definitions` VALUES (81420, 5960, 21, 'سرطان الجلد');
INSERT INTO `lang_definitions` VALUES (81421, 5961, 21, 'مرض جلدي');
INSERT INTO `lang_definitions` VALUES (81422, 5962, 21, 'جلد اخرى');
INSERT INTO `lang_definitions` VALUES (81423, 5963, 21, 'تجاوز تفويض ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (81424, 5964, 21, 'تجاوز جزء');
INSERT INTO `lang_definitions` VALUES (81425, 5965, 21, 'Skipping SQL-Ledger dump - not implemented for Windows server');
INSERT INTO `lang_definitions` VALUES (81426, 5967, 21, 'أنماط النوم');
INSERT INTO `lang_definitions` VALUES (81427, 5968, 21, 'أنماط النوم');
INSERT INTO `lang_definitions` VALUES (81428, 5969, 21, 'نائم');
INSERT INTO `lang_definitions` VALUES (81429, 5970, 21, 'السلوفاكية');
INSERT INTO `lang_definitions` VALUES (81430, 5972, 21, 'Sm debt w/o');
INSERT INTO `lang_definitions` VALUES (81431, 5973, 21, 'لقد تم مسح مخبئ Smarty');
INSERT INTO `lang_definitions` VALUES (81432, 5974, 21, 'مدخن, الحالة الحالية غير معروفة');
INSERT INTO `lang_definitions` VALUES (81433, 5976, 21, 'حالة التدخين');
INSERT INTO `lang_definitions` VALUES (81434, 5977, 21, 'تفوبض الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81435, 5978, 21, 'ممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81436, 5979, 21, 'ممر الرسائل النصية القصيرة, مفتاح API');
INSERT INTO `lang_definitions` VALUES (81437, 5980, 21, 'ممر الرسائل النصية القصيرة, مفتاح API');
INSERT INTO `lang_definitions` VALUES (81438, 5981, 21, 'كلمة سر ممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81439, 5982, 21, 'إسم مستخدم ممر الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81440, 5983, 21, 'تذكيرات الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81441, 5984, 21, 'أوقات تذكيرات الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81442, 5985, 21, 'أرسل الرسائل النصية القصيرة قبل');
INSERT INTO `lang_definitions` VALUES (81443, 5986, 21, 'تم إرسال الرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (81444, 5987, 21, 'SMS Text, Usable Tag: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (81445, 5988, 21, 'إعدادات الرسائل النصية القصيرة/الإيميل');
INSERT INTO `lang_definitions` VALUES (81446, 5989, 21, 'كلمة سرSMTP للتوثق');
INSERT INTO `lang_definitions` VALUES (81447, 5992, 21, 'إسم مستضيف خادم SMTP');
INSERT INTO `lang_definitions` VALUES (81448, 5993, 21, 'رقم منفذ خادم SMTP');
INSERT INTO `lang_definitions` VALUES (81449, 5994, 21, 'مستخدم SMTP للتوثق');
INSERT INTO `lang_definitions` VALUES (81450, 5995, 21, 'المسميات المنظمة للطب SNOMED');
INSERT INTO `lang_definitions` VALUES (81451, 5996, 21, 'طلب طبي (RF1) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81452, 5997, 21, 'تشخيص (RF1) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81453, 5998, 21, 'عملية (RF1) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81454, 5999, 21, 'تشخيص (RF2) المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81455, 6000, 21, 'المصطلح الطبي في المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81456, 6001, 21, 'قاعدة بيانات المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81457, 6002, 21, 'التشخيص المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81458, 6003, 21, 'الإجراءات المسميات المنظمة للطب');
INSERT INTO `lang_definitions` VALUES (81459, 6004, 21, 'شَخير');
INSERT INTO `lang_definitions` VALUES (81460, 6005, 21, 'الشكوي , الفحص , التقييم و خطة العلاج');
INSERT INTO `lang_definitions` VALUES (81461, 6006, 21, 'صعوبات اجتماعية');
INSERT INTO `lang_definitions` VALUES (81462, 6009, 21, 'التاريخ الاجتماعي');
INSERT INTO `lang_definitions` VALUES (81463, 6010, 21, 'رقم الخدمة الأجتماعية');
INSERT INTO `lang_definitions` VALUES (81464, 6011, 21, 'حّل');
INSERT INTO `lang_definitions` VALUES (81465, 6013, 21, 'مضمون جسدى');
INSERT INTO `lang_definitions` VALUES (81466, 6014, 21, 'لم يتم عرض كل التفاويض: انقر هنا لعرض الكل');
INSERT INTO `lang_definitions` VALUES (81467, 6015, 21, 'بعض الرموز لم يتم عرضها');
INSERT INTO `lang_definitions` VALUES (81468, 6016, 21, 'بعض المراجعات لم يتم عرضها:انقر هنا لعرض الكل');
INSERT INTO `lang_definitions` VALUES (81469, 6017, 21, 'حدثت بعض الأخطاء خلال عملية إزالة الهوية');
INSERT INTO `lang_definitions` VALUES (81470, 6018, 21, 'بعض الملاحظات لم يتم عرضها');
INSERT INTO `lang_definitions` VALUES (81471, 6019, 21, 'لم يتم عرض كل الملاحظات. انقر هنا لعرض الكل');
INSERT INTO `lang_definitions` VALUES (81472, 6020, 21, 'بعض الكلمات');
INSERT INTO `lang_definitions` VALUES (81473, 6023, 21, 'حدث خطأ. من فضلك حاول مرة اخرى');
INSERT INTO `lang_definitions` VALUES (81474, 6024, 21, 'فاصل سوف يحين الوقت قريباَ (التذكيرات الطّبية)');
INSERT INTO `lang_definitions` VALUES (81475, 6025, 21, 'فاصل سوف يحين الوقت قريباَ (تذكيرات المرضي)');
INSERT INTO `lang_definitions` VALUES (81476, 6026, 21, 'التهاب الحلق');
INSERT INTO `lang_definitions` VALUES (81477, 6027, 21, 'عفواً لم يتم تحديد الموعد');
INSERT INTO `lang_definitions` VALUES (81478, 6028, 21, 'عفواً. حدث خطأ خلال تحميل الملف');
INSERT INTO `lang_definitions` VALUES (81479, 6029, 21, 'فرز حسب');
INSERT INTO `lang_definitions` VALUES (81480, 6030, 21, 'فرز حسب');
INSERT INTO `lang_definitions` VALUES (81481, 6031, 21, 'فرز حسب تدقيق المجموع');
INSERT INTO `lang_definitions` VALUES (81482, 6032, 21, 'فرز حسب التعليقات');
INSERT INTO `lang_definitions` VALUES (81483, 6034, 21, 'فرز حسب التاريخ');
INSERT INTO `lang_definitions` VALUES (81484, 6035, 21, 'فرز حسب التاريخ- الوقت');
INSERT INTO `lang_definitions` VALUES (81485, 6036, 21, 'فرز حسب المراجعة');
INSERT INTO `lang_definitions` VALUES (81486, 6037, 21, 'فرز حسب المجموعة');
INSERT INTO `lang_definitions` VALUES (81487, 6040, 21, 'فرز حسب بطاقة المريض');
INSERT INTO `lang_definitions` VALUES (81488, 6041, 21, 'فرز حسب العمليات التى تمت بنجاح');
INSERT INTO `lang_definitions` VALUES (81489, 6043, 21, 'فرز حسب المستخدم');
INSERT INTO `lang_definitions` VALUES (81490, 6044, 21, 'فرز حسب التطعيم');
INSERT INTO `lang_definitions` VALUES (81491, 6045, 21, 'إفرز تنازلياَ');
INSERT INTO `lang_definitions` VALUES (81492, 6046, 21, 'فرز حسب النتائج');
INSERT INTO `lang_definitions` VALUES (81493, 6047, 21, 'إفرز تصاعدياَ');
INSERT INTO `lang_definitions` VALUES (81494, 6048, 21, 'المصدر');
INSERT INTO `lang_definitions` VALUES (81495, 6049, 21, 'ملف المصدر');
INSERT INTO `lang_definitions` VALUES (81496, 6050, 21, 'طريق ملف المصدر');
INSERT INTO `lang_definitions` VALUES (81497, 6051, 21, 'رمز المصدر مفقود ');
INSERT INTO `lang_definitions` VALUES (81498, 6052, 21, 'جملة المصدر');
INSERT INTO `lang_definitions` VALUES (81499, 6054, 21, 'مريض المصدر');
INSERT INTO `lang_definitions` VALUES (81500, 6055, 21, 'لم يتم تحديد تاريخ ميلاد مريض المصدر');
INSERT INTO `lang_definitions` VALUES (81501, 6056, 21, 'لم يتم العثور علي مريض المصدر');
INSERT INTO `lang_definitions` VALUES (81502, 6057, 21, 'المصدر:');
INSERT INTO `lang_definitions` VALUES (81503, 6060, 21, 'مسافة');
INSERT INTO `lang_definitions` VALUES (81504, 6061, 21, 'مسافة');
INSERT INTO `lang_definitions` VALUES (81505, 6062, 21, 'الأسبانية');
INSERT INTO `lang_definitions` VALUES (81506, 6063, 21, 'الأسبانية (امريكا اللاتينية)');
INSERT INTO `lang_definitions` VALUES (81507, 6064, 21, 'الأسبانية (اسبانيا)');
INSERT INTO `lang_definitions` VALUES (81508, 6066, 21, 'رموز التحكم الخاصة غير مسموح بها');
INSERT INTO `lang_definitions` VALUES (81509, 6067, 21, 'رعاية خاصة لطلب المؤشرات الحيوية');
INSERT INTO `lang_definitions` VALUES (81510, 6068, 21, 'أخصائي');
INSERT INTO `lang_definitions` VALUES (81511, 6069, 21, 'أسم الأخصائي وتوقيعه');
INSERT INTO `lang_definitions` VALUES (81512, 6071, 21, 'مجال التخصص');
INSERT INTO `lang_definitions` VALUES (81513, 6072, 21, 'اﻷنظمة الخاصة');
INSERT INTO `lang_definitions` VALUES (81514, 6073, 21, 'تخصص:');
INSERT INTO `lang_definitions` VALUES (81515, 6074, 21, 'محدد');
INSERT INTO `lang_definitions` VALUES (81516, 6075, 21, 'تطبيق محدد');
INSERT INTO `lang_definitions` VALUES (81517, 6076, 21, 'خدمة منع الحمل محددة');
INSERT INTO `lang_definitions` VALUES (81518, 6077, 21, 'نتيجة محددة');
INSERT INTO `lang_definitions` VALUES (81519, 6078, 21, 'خدمة محددة');
INSERT INTO `lang_definitions` VALUES (81520, 6079, 21, 'محدد');
INSERT INTO `lang_definitions` VALUES (81521, 6080, 21, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81522, 6081, 21, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81523, 6082, 21, 'Specifies formatting for invoice reference numbers. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81524, 6083, 21, 'Specifies formatting for invoice reference numbers. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81525, 6084, 21, 'Specifies formatting for product NDC fields. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81526, 6085, 21, 'Specifies formatting for product NDC fields. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81527, 6086, 21, 'Specifies formatting for the external patient ID. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81528, 6087, 21, 'Specifies formatting for the external patient ID. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (81529, 6088, 21, 'عيّنة');
INSERT INTO `lang_definitions` VALUES (81530, 6089, 21, 'رقم العيّنة- التعريف');
INSERT INTO `lang_definitions` VALUES (81531, 6090, 21, 'نوعية العيّنة');
INSERT INTO `lang_definitions` VALUES (81532, 6092, 21, 'إملاء شفوي');
INSERT INTO `lang_definitions` VALUES (81533, 6093, 21, 'مبيد الحيوانات المنوية');
INSERT INTO `lang_definitions` VALUES (81534, 6094, 21, 'استئصال الطحال');
INSERT INTO `lang_definitions` VALUES (81535, 6095, 21, 'القرين');
INSERT INTO `lang_definitions` VALUES (81536, 6097, 21, 'بَلْغَم');
INSERT INTO `lang_definitions` VALUES (81537, 6098, 21, 'بَلْغَم :');
INSERT INTO `lang_definitions` VALUES (81538, 6099, 21, 'برنامج الضغط SQ');
INSERT INTO `lang_definitions` VALUES (81539, 6102, 21, 'فرقة');
INSERT INTO `lang_definitions` VALUES (81540, 6103, 21, 'عضوية الفرقة');
INSERT INTO `lang_definitions` VALUES (81541, 6104, 21, 'فِرق');
INSERT INTO `lang_definitions` VALUES (81542, 6105, 21, 'الصحة الجنسية و التناسلية');
INSERT INTO `lang_definitions` VALUES (81543, 6106, 21, 'الصحة الجنسية و التناسلية - تخطيط الأسرة');
INSERT INTO `lang_definitions` VALUES (81544, 6107, 21, 'الصحة الجنسية و التناسلية - لا يوجد تخطيط ل الأسرة');
INSERT INTO `lang_definitions` VALUES (81545, 6108, 21, 'تحويلات الصحة الجنسية و التناسلية');
INSERT INTO `lang_definitions` VALUES (81546, 6109, 21, 'طلب زيارة الصحة الجنسية و التناسلية');
INSERT INTO `lang_definitions` VALUES (81547, 6110, 21, 'تاريخ Srv');
INSERT INTO `lang_definitions` VALUES (81548, 6111, 21, 'الضمان الإجتماعي');
INSERT INTO `lang_definitions` VALUES (81549, 6112, 21, 'ادارة شهادة SSL');
INSERT INTO `lang_definitions` VALUES (81550, 6113, 21, 'رقم الخدمة الأجتماعية');
INSERT INTO `lang_definitions` VALUES (81551, 6114, 21, 'اسْتِقْرار');
INSERT INTO `lang_definitions` VALUES (81552, 6115, 21, 'إفراجات مرحلية');
INSERT INTO `lang_definitions` VALUES (81553, 6116, 21, 'نموذجي');
INSERT INTO `lang_definitions` VALUES (81554, 6117, 21, 'الرمز النموذجي');
INSERT INTO `lang_definitions` VALUES (81555, 6118, 21, 'الإجراءات النموذجية');
INSERT INTO `lang_definitions` VALUES (81556, 6119, 21, 'الإجراءات النموذجية (تنبيهات نشطة)');
INSERT INTO `lang_definitions` VALUES (81557, 6120, 21, 'الإجراءات النموذجية (تنبيهات خاملة)');
INSERT INTO `lang_definitions` VALUES (81558, 6121, 21, 'الإجراءات النموذجية (تذكيرات المريض)');
INSERT INTO `lang_definitions` VALUES (81559, 6122, 21, 'الإسم النموذجي');
INSERT INTO `lang_definitions` VALUES (81560, 6123, 21, 'قياسي, مبسّط: العنوان فقط, تاريخ البدء, التعليقات و خانة تأشير نشطة. لا تشخيص او حدوث او تاريخ النهاية او محوّل من');
INSERT INTO `lang_definitions` VALUES (81561, 6124, 21, 'بَدءٌ');
INSERT INTO `lang_definitions` VALUES (81562, 6125, 21, 'بَدءٌ (سنة-شهر-يوم): ');
INSERT INTO `lang_definitions` VALUES (81563, 6126, 21, 'بداية تقرير جديد');
INSERT INTO `lang_definitions` VALUES (81564, 6128, 21, 'تاريخ البداية');
INSERT INTO `lang_definitions` VALUES (81565, 6129, 21, 'تاريخ البداية في هذا المركز');
INSERT INTO `lang_definitions` VALUES (81566, 6130, 21, 'يجب ان لايكون تاريخ البداية اكبر من تاريخ النهاية');
INSERT INTO `lang_definitions` VALUES (81567, 6131, 21, 'تاريخ البداية:');
INSERT INTO `lang_definitions` VALUES (81568, 6132, 21, 'تاريخ البداية:');
INSERT INTO `lang_definitions` VALUES (81569, 6133, 21, 'وقت البداية');
INSERT INTO `lang_definitions` VALUES (81570, 6134, 21, 'تاريخ البدء');
INSERT INTO `lang_definitions` VALUES (81571, 6135, 21, 'فَوراً');
INSERT INTO `lang_definitions` VALUES (81572, 6136, 21, 'حالة-ولاية');
INSERT INTO `lang_definitions` VALUES (81573, 6137, 21, 'نوعية بيانات الولاية');
INSERT INTO `lang_definitions` VALUES (81574, 6138, 21, 'رقم الرخصة');
INSERT INTO `lang_definitions` VALUES (81575, 6139, 21, 'رقم لوحة السيارة');
INSERT INTO `lang_definitions` VALUES (81576, 6140, 21, 'قائمة الولايات');
INSERT INTO `lang_definitions` VALUES (81577, 6141, 21, 'قائمة الولايات (اكتب, الإضافة إختيارية)');
INSERT INTO `lang_definitions` VALUES (81578, 6142, 21, 'أداة قائمة الولايات للحقول المفصلة');
INSERT INTO `lang_definitions` VALUES (81579, 6143, 21, 'الولاية او المنطقة');
INSERT INTO `lang_definitions` VALUES (81580, 6144, 21, 'الولاية / المنطقة');
INSERT INTO `lang_definitions` VALUES (81581, 6145, 21, 'الولاية / دائرة الكنيسة');
INSERT INTO `lang_definitions` VALUES (81582, 6146, 21, 'ملخص البيان');
INSERT INTO `lang_definitions` VALUES (81583, 6147, 21, 'البيانات وتحديث الفواتير');
INSERT INTO `lang_definitions` VALUES (81584, 6148, 21, 'البيانات المرسلة:');
INSERT INTO `lang_definitions` VALUES (81585, 6149, 21, 'البيانات: لن يتم تحديث الفواتير');
INSERT INTO `lang_definitions` VALUES (81586, 6150, 21, 'النص الثابت');
INSERT INTO `lang_definitions` VALUES (81587, 6151, 21, 'إحصائيات');
INSERT INTO `lang_definitions` VALUES (81588, 6152, 21, 'مختصرات الحالة');
INSERT INTO `lang_definitions` VALUES (81589, 6153, 21, 'الحالة');
INSERT INTO `lang_definitions` VALUES (81590, 6154, 21, 'حالة التنويم');
INSERT INTO `lang_definitions` VALUES (81591, 6155, 21, 'حالة المطالبة');
INSERT INTO `lang_definitions` VALUES (81592, 6156, 21, 'الوضع الراهن');
INSERT INTO `lang_definitions` VALUES (81593, 6158, 21, 'إرشاد الإيدز');
INSERT INTO `lang_definitions` VALUES (81594, 6159, 21, 'التركيز و التهيئة');
INSERT INTO `lang_definitions` VALUES (81595, 6164, 21, 'خطوات تنصيب قاعدة بيانات ال  DSM IV');
INSERT INTO `lang_definitions` VALUES (81596, 6165, 21, 'خطوات تنصيب قاعدة بيانات ال ICD 10');
INSERT INTO `lang_definitions` VALUES (81597, 6166, 21, 'خطوات تنصيب قاعدة بيانات ال ICD 9');
INSERT INTO `lang_definitions` VALUES (81598, 6167, 21, 'خطوات تنصيب قاعدة بيانات ال RxNorm');
INSERT INTO `lang_definitions` VALUES (81599, 6168, 21, 'خطوات تنصيب قاعدة بيانات ال SNOMED');
INSERT INTO `lang_definitions` VALUES (81600, 6169, 21, 'تصلب المفاصل');
INSERT INTO `lang_definitions` VALUES (81601, 6170, 21, 'تَيَبُّس‎');
INSERT INTO `lang_definitions` VALUES (81602, 6171, 21, 'أشهر المخزون');
INSERT INTO `lang_definitions` VALUES (81603, 6172, 21, 'آلام في المعدة');
INSERT INTO `lang_definitions` VALUES (81604, 6174, 21, 'Stored Hash');
INSERT INTO `lang_definitions` VALUES (81605, 6175, 21, 'شد عضلي-Strain');
INSERT INTO `lang_definitions` VALUES (81606, 6176, 21, 'تَدَفّق');
INSERT INTO `lang_definitions` VALUES (81607, 6177, 21, 'شارع');
INSERT INTO `lang_definitions` VALUES (81608, 6178, 21, 'عنوان الشارع');
INSERT INTO `lang_definitions` VALUES (81609, 6179, 21, 'الشارع والرقم');
INSERT INTO `lang_definitions` VALUES (81610, 6180, 21, 'قُوَّة');
INSERT INTO `lang_definitions` VALUES (81611, 6182, 21, 'بكتيريا في الحلق-Strep');
INSERT INTO `lang_definitions` VALUES (81612, 6183, 21, 'كسر إجهاد');
INSERT INTO `lang_definitions` VALUES (81613, 6184, 21, 'اختبار الجهد');
INSERT INTO `lang_definitions` VALUES (81614, 6185, 21, 'سَكْتَة');
INSERT INTO `lang_definitions` VALUES (81615, 6186, 21, 'كلمة السر القوية تتكون من 8 إدخالات, ثلاثة منها يجب ان تكون احرفا صغري, كبري, ارقاما او رموزا مميزة');
INSERT INTO `lang_definitions` VALUES (81616, 6187, 21, 'أسلوب');
INSERT INTO `lang_definitions` VALUES (81617, 6188, 21, 'أسلوب الطلب المستخدم لإضافة المرضي الجدد');
INSERT INTO `lang_definitions` VALUES (81618, 6189, 21, 'فئة فرعية');
INSERT INTO `lang_definitions` VALUES (81619, 6190, 21, 'المجموع');
INSERT INTO `lang_definitions` VALUES (81620, 6191, 21, 'فية فرعية');
INSERT INTO `lang_definitions` VALUES (81621, 6192, 21, 'فئة فرعية');
INSERT INTO `lang_definitions` VALUES (81622, 6193, 21, 'تحت الجلد');
INSERT INTO `lang_definitions` VALUES (81623, 6194, 21, 'عنوان');
INSERT INTO `lang_definitions` VALUES (81624, 6195, 21, 'شَخْصيّ');
INSERT INTO `lang_definitions` VALUES (81625, 6196, 21, 'تحت اللسان');
INSERT INTO `lang_definitions` VALUES (81626, 6197, 21, 'تحت اللسان');
INSERT INTO `lang_definitions` VALUES (81627, 6198, 21, 'تسليم');
INSERT INTO `lang_definitions` VALUES (81628, 6199, 21, 'تسليم');
INSERT INTO `lang_definitions` VALUES (81629, 6200, 21, 'تسليم جميع المحتويات');
INSERT INTO `lang_definitions` VALUES (81630, 6202, 21, 'تسليم المراجعة');
INSERT INTO `lang_definitions` VALUES (81631, 6203, 21, 'تسليم النموذج');
INSERT INTO `lang_definitions` VALUES (81632, 6204, 21, 'تسليم المحتويات المختارة');
INSERT INTO `lang_definitions` VALUES (81633, 6205, 21, 'تم التسليم');
INSERT INTO `lang_definitions` VALUES (81634, 6206, 21, 'تم التسليم عن طريق');
INSERT INTO `lang_definitions` VALUES (81635, 6207, 21, 'رقم الدخول (PER06) للمسّلم EDI');
INSERT INTO `lang_definitions` VALUES (81636, 6208, 21, 'مشترك');
INSERT INTO `lang_definitions` VALUES (81637, 6209, 21, 'عنوان المشترك');
INSERT INTO `lang_definitions` VALUES (81638, 6213, 21, 'الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (81639, 6214, 21, 'الجهة الموظفة للمشترك (SE)');
INSERT INTO `lang_definitions` VALUES (81640, 6215, 21, 'عنوان الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (81641, 6216, 21, 'مدينة الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (81642, 6217, 21, 'دولة الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (81643, 6218, 21, 'ولاية الجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (81644, 6221, 21, 'الرمز البريدي للجهة الموظفة للمشترك');
INSERT INTO `lang_definitions` VALUES (81645, 6225, 21, 'هاتف المشترك');
INSERT INTO `lang_definitions` VALUES (81646, 6226, 21, 'درجة القرابة للمشترك');
INSERT INTO `lang_definitions` VALUES (81647, 6227, 21, 'درجة القرابة للمشترك ليست نفس الشخص لكن الإسم متطابق! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (81648, 6228, 21, 'درجة القرابة للمشترك ليست نفس الشخص لكن رقم الضمان الإجتماعي متطابق! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (81649, 6229, 21, 'درجة القرابة للمشترك هي نفس الشخص لكن الإسم مختلف! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (81650, 6230, 21, 'درجة القرابة للمشترك هي نفس الشخص لكن رقم الضمان الإجتماعي مختلف! هل هذا صحيح؟');
INSERT INTO `lang_definitions` VALUES (81651, 6231, 21, 'جنس المشترك');
INSERT INTO `lang_definitions` VALUES (81652, 6237, 21, 'اسْتِبْدال');
INSERT INTO `lang_definitions` VALUES (81653, 6238, 21, 'الأستبدال مسموح');
INSERT INTO `lang_definitions` VALUES (81654, 6240, 21, 'نجاح');
INSERT INTO `lang_definitions` VALUES (81655, 6241, 21, 'نجاح');
INSERT INTO `lang_definitions` VALUES (81656, 6242, 21, 'نجاح تأكيد استلام نتائج المعمل');
INSERT INTO `lang_definitions` VALUES (81657, 6243, 21, 'تم الحصول على نتائج المختبر بنجاح');
INSERT INTO `lang_definitions` VALUES (81658, 6244, 21, 'تم استرجاع النتائج من شبكة المحتبرات بنجاح');
INSERT INTO `lang_definitions` VALUES (81659, 6246, 21, 'تم اضافة الفئة بنجاح');
INSERT INTO `lang_definitions` VALUES (81660, 6247, 21, 'تم اضافته الى القائمة بنجاح');
INSERT INTO `lang_definitions` VALUES (81661, 6248, 21, 'تم الحذف بنجاح');
INSERT INTO `lang_definitions` VALUES (81662, 6250, 21, 'تم اضافة قاعدة البيانات بنجاح');
INSERT INTO `lang_definitions` VALUES (81663, 6251, 21, 'تم اضافة قواعد البيانات التالية بنجاح');
INSERT INTO `lang_definitions` VALUES (81664, 6252, 21, 'تم التعديل بنجاح');
INSERT INTO `lang_definitions` VALUES (81665, 6253, 21, 'تم الحفظ بنجاح. هل تحب أن تخصص المكان؟');
INSERT INTO `lang_definitions` VALUES (81666, 6254, 21, 'تم الحفظ بنجاح. هل تحب أن توزّع؟');
INSERT INTO `lang_definitions` VALUES (81667, 6256, 21, 'تم الحفظ بنجاح');
INSERT INTO `lang_definitions` VALUES (81668, 6257, 21, 'تمت ترقية قاعدة البيانات بنجاح');
INSERT INTO `lang_definitions` VALUES (81669, 6258, 21, 'تم ترقية قواعد البيانات التالية بنجاح');
INSERT INTO `lang_definitions` VALUES (81670, 6259, 21, 'بنجاح');
INSERT INTO `lang_definitions` VALUES (81671, 6260, 21, 'إنتحار');
INSERT INTO `lang_definitions` VALUES (81672, 6261, 21, 'موجز');
INSERT INTO `lang_definitions` VALUES (81673, 6262, 21, 'موجز ل');
INSERT INTO `lang_definitions` VALUES (81674, 6265, 21, 'الأحد');
INSERT INTO `lang_definitions` VALUES (81675, 6267, 21, 'الأحد');
INSERT INTO `lang_definitions` VALUES (81676, 6268, 21, 'قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (81677, 6269, 21, 'رموز قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (81678, 6270, 21, 'إدارة قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (81679, 6271, 21, 'تقرير قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (81680, 6272, 21, 'قوائم بيان مفردات الخدمة المقدمة للتأمين/صحيفة المصاريف');
INSERT INTO `lang_definitions` VALUES (81681, 6273, 21, 'قوائم بيان مفردات الخدمة المقدمة للتأمين');
INSERT INTO `lang_definitions` VALUES (81682, 6274, 21, 'قوائم بيان مفردات الخدمة المقدمة للتأمين (صحيفة المصاريف) يقصد بها نوعية الخدمات الطبية مفنطة علي حسب التشخيص و موقعة من المستشفي لإستلام مبلغ التأمين الصحي');
INSERT INTO `lang_definitions` VALUES (81683, 6275, 21, 'مستخدم مميز-يملك جميع الصلاحيات');
INSERT INTO `lang_definitions` VALUES (81684, 6276, 21, 'يشرف على');
INSERT INTO `lang_definitions` VALUES (81685, 6278, 21, 'الطبيب المشرف علي الأدوية المخدرة');
INSERT INTO `lang_definitions` VALUES (81686, 6279, 21, 'الأسم الأول للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (81687, 6280, 21, 'الأسم الأخير للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (81688, 6281, 21, 'رقم المزوّد الوطني للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (81689, 6282, 21, 'UPIN للطبيب المشرف');
INSERT INTO `lang_definitions` VALUES (81690, 6283, 21, 'اسم الجهة المشرفة');
INSERT INTO `lang_definitions` VALUES (81691, 6284, 21, 'أحداث تقويم الدعم المطبقة علي عدّه مزودين');
INSERT INTO `lang_definitions` VALUES (81692, 6285, 21, 'استيراد/تصدير بيانات التهيئة للدعم عن طريق صفحة الإحتياط');
INSERT INTO `lang_definitions` VALUES (81693, 6286, 21, 'أحداث الدعم المطبقة علي عدّه مزودين');
INSERT INTO `lang_definitions` VALUES (81694, 6288, 21, 'يدعم تشفير و فك التشفير لTripleDES فقط.');
INSERT INTO `lang_definitions` VALUES (81695, 6289, 21, 'نوع السطح');
INSERT INTO `lang_definitions` VALUES (81696, 6290, 21, 'عمليات');
INSERT INTO `lang_definitions` VALUES (81697, 6291, 21, 'عملية');
INSERT INTO `lang_definitions` VALUES (81698, 6292, 21, 'قائمة مشاكل العمليات');
INSERT INTO `lang_definitions` VALUES (81699, 6293, 21, 'معطل');
INSERT INTO `lang_definitions` VALUES (81700, 6294, 21, 'إيقاف عن العمل');
INSERT INTO `lang_definitions` VALUES (81701, 6295, 21, 'تاريخ ال Svc');
INSERT INTO `lang_definitions` VALUES (81702, 6296, 21, 'تاريخ ال Svc:');
INSERT INTO `lang_definitions` VALUES (81703, 6299, 21, 'تعرق:');
INSERT INTO `lang_definitions` VALUES (81704, 6300, 21, 'اللغة السويدية');
INSERT INTO `lang_definitions` VALUES (81705, 6301, 21, 'تورم');
INSERT INTO `lang_definitions` VALUES (81706, 6302, 21, 'تورم -يمين');
INSERT INTO `lang_definitions` VALUES (81707, 6303, 21, 'تورم المفاصل');
INSERT INTO `lang_definitions` VALUES (81708, 6304, 21, 'تورم الغدد اللمفاوية');
INSERT INTO `lang_definitions` VALUES (81709, 6305, 21, 'رمز مستخدم كفاصلة عشرية للعملة. لا تستخدم لو اﻷماكن العشرية تساوى 0.');
INSERT INTO `lang_definitions` VALUES (81710, 6306, 21, 'رمز مستخدم كفاصلة الالاف للعملة.');
INSERT INTO `lang_definitions` VALUES (81711, 6307, 21, 'أعراض');
INSERT INTO `lang_definitions` VALUES (81712, 6308, 21, 'زامن');
INSERT INTO `lang_definitions` VALUES (81713, 6309, 21, 'زامن التراجم مع جدول اللغة المكون حسب الطلب.');
INSERT INTO `lang_definitions` VALUES (81714, 6310, 21, 'زامن الثابت الجديد المكون حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (81715, 6311, 21, 'زامن اللغة المكونة حسب الطلب:');
INSERT INTO `lang_definitions` VALUES (81716, 6312, 21, 'زامن التعريف الجديد (اللغة, الثابت و التعريف):');
INSERT INTO `lang_definitions` VALUES (81717, 6313, 21, 'فقدان الوعي');
INSERT INTO `lang_definitions` VALUES (81718, 6314, 21, 'ترصد المتلازمات');
INSERT INTO `lang_definitions` VALUES (81719, 6315, 21, 'ترصد المتلازمات - الأحداث الغير المبلغ عنها');
INSERT INTO `lang_definitions` VALUES (81720, 6316, 21, 'تقرير ترصد المتلازمات');
INSERT INTO `lang_definitions` VALUES (81721, 6317, 21, 'التهاب الأغشية المصلية المفصلية, التهاب كيسي');
INSERT INTO `lang_definitions` VALUES (81722, 6318, 21, 'نظام');
INSERT INTO `lang_definitions` VALUES (81723, 6322, 21, 'ت');
INSERT INTO `lang_definitions` VALUES (81724, 6323, 21, 'ثلاث مرات باليوم');
INSERT INTO `lang_definitions` VALUES (81725, 6324, 21, 'تلفاز');
INSERT INTO `lang_definitions` VALUES (81726, 6325, 21, 'جدول');
INSERT INTO `lang_definitions` VALUES (81727, 6327, 21, 'فشل إنشاء جدول');
INSERT INTO `lang_definitions` VALUES (81728, 6328, 21, 'فشل تحديث الجدول');
INSERT INTO `lang_definitions` VALUES (81729, 6330, 21, 'حبة دواء');
INSERT INTO `lang_definitions` VALUES (81730, 6332, 21, 'تاجالو (لغة الفلبين)');
INSERT INTO `lang_definitions` VALUES (81731, 6335, 21, 'يأخد');
INSERT INTO `lang_definitions` VALUES (81732, 6336, 21, 'اختيار التأمين, من القائمة');
INSERT INTO `lang_definitions` VALUES (81733, 6337, 21, 'اختيار طريقة الدفع من القائمة');
INSERT INTO `lang_definitions` VALUES (81734, 6338, 21, 'إسترجاع');
INSERT INTO `lang_definitions` VALUES (81735, 6339, 21, 'يستغرق وقتا');
INSERT INTO `lang_definitions` VALUES (81736, 6340, 21, 'منطقة ملاحة طويلة');
INSERT INTO `lang_definitions` VALUES (81737, 6344, 21, 'تاريخ ميلاد الهدف و المنشأ غير متطابقين');
INSERT INTO `lang_definitions` VALUES (81738, 6345, 21, 'إشتقاق الهدف و المنشأ يجب أن يكونا غير متطابقين');
INSERT INTO `lang_definitions` VALUES (81739, 6346, 21, 'رقم التأمين الأجتماعي للهدف و المنشأ غير متطابقين');
INSERT INTO `lang_definitions` VALUES (81740, 6347, 21, 'الموعد المستهدف');
INSERT INTO `lang_definitions` VALUES (81741, 6348, 21, 'المريض المستهدف');
INSERT INTO `lang_definitions` VALUES (81742, 6349, 21, 'لايوجد تاريخ ميلاد للمريض المستهدف');
INSERT INTO `lang_definitions` VALUES (81743, 6350, 21, 'لم يتم العثور على المريض المستهدف');
INSERT INTO `lang_definitions` VALUES (81744, 6351, 21, 'مجموعات الهدف/الفعل');
INSERT INTO `lang_definitions` VALUES (81745, 6354, 21, 'رقم بطاقة الضرائب');
INSERT INTO `lang_definitions` VALUES (81746, 6355, 21, 'معّدل الضرائب');
INSERT INTO `lang_definitions` VALUES (81747, 6356, 21, 'الضرائب');
INSERT INTO `lang_definitions` VALUES (81748, 6357, 21, 'علم التصنيف');
INSERT INTO `lang_definitions` VALUES (81749, 6358, 21, 'لقاح التيتانس و الدفتيريا');
INSERT INTO `lang_definitions` VALUES (81750, 6359, 21, 'مراجعة إصابة الفريق');
INSERT INTO `lang_definitions` VALUES (81751, 6360, 21, 'لائحة الفريق');
INSERT INTO `lang_definitions` VALUES (81752, 6361, 21, 'عرض لائحة الفريق');
INSERT INTO `lang_definitions` VALUES (81753, 6362, 21, 'فريق/فرقة');
INSERT INTO `lang_definitions` VALUES (81754, 6363, 21, 'تليفون');
INSERT INTO `lang_definitions` VALUES (81755, 6364, 21, 'مفتاح الدولة');
INSERT INTO `lang_definitions` VALUES (81756, 6366, 21, 'الملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (81757, 6367, 21, 'موضع الملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (81758, 6368, 21, 'طريقة الملفات المؤقتة');
INSERT INTO `lang_definitions` VALUES (81759, 6369, 21, 'الحرارة');
INSERT INTO `lang_definitions` VALUES (81760, 6370, 21, 'قالب');
INSERT INTO `lang_definitions` VALUES (81761, 6371, 21, 'اسم القالب');
INSERT INTO `lang_definitions` VALUES (81762, 6372, 21, 'اسماء القوالب لايمكن ان تبتدئ بأرقام');
INSERT INTO `lang_definitions` VALUES (81763, 6373, 21, 'قالب:');
INSERT INTO `lang_definitions` VALUES (81764, 6374, 21, 'قوالب');
INSERT INTO `lang_definitions` VALUES (81765, 6375, 21, 'الشريان الصدغي-Tem. Artery');
INSERT INTO `lang_definitions` VALUES (81766, 6376, 21, 'اصابة وتر');
INSERT INTO `lang_definitions` VALUES (81767, 6377, 21, 'التهاب الوتر, osis, التهاب كيسي');
INSERT INTO `lang_definitions` VALUES (81768, 6378, 21, 'رقم الرصيد التجريبي');
INSERT INTO `lang_definitions` VALUES (81769, 6379, 21, 'من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (81770, 6380, 21, 'تأمين من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (81771, 6381, 21, 'بيانات تأمين من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (81772, 6382, 21, 'مقدم تأمين تأمين من الدرجة الثالثة');
INSERT INTO `lang_definitions` VALUES (81773, 6383, 21, 'جدولة الفحص');
INSERT INTO `lang_definitions` VALUES (81774, 6384, 21, 'أختبار النظام');
INSERT INTO `lang_definitions` VALUES (81775, 6385, 21, 'نَصّ');
INSERT INTO `lang_definitions` VALUES (81776, 6386, 21, 'تشخيص نَصّي');
INSERT INTO `lang_definitions` VALUES (81777, 6387, 21, 'حقل نَصّي');
INSERT INTO `lang_definitions` VALUES (81778, 6393, 21, 'تاريخ النَصّ');
INSERT INTO `lang_definitions` VALUES (81779, 6394, 21, 'تاريخ النَصّ');
INSERT INTO `lang_definitions` VALUES (81780, 6395, 21, 'منطقة النَصّ');
INSERT INTO `lang_definitions` VALUES (81781, 6396, 21, 'منطقة النَصّ');
INSERT INTO `lang_definitions` VALUES (81782, 6397, 21, 'صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (81783, 6398, 21, 'صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (81784, 6399, 21, 'لائحة صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (81785, 6400, 21, 'لائحة صندوق النَصّ');
INSERT INTO `lang_definitions` VALUES (81786, 6401, 21, 'تايلندي');
INSERT INTO `lang_definitions` VALUES (81787, 6402, 21, 'شكرا لك');
INSERT INTO `lang_definitions` VALUES (81788, 6403, 21, 'شكرا لك لإختيارك');
INSERT INTO `lang_definitions` VALUES (81789, 6404, 21, 'زر \"صَفّى\" سوف يزيل كل التذييلات');
INSERT INTO `lang_definitions` VALUES (81790, 6405, 21, 'البيان إعلاة فشل');
INSERT INTO `lang_definitions` VALUES (81791, 6406, 21, 'شهادة الخادم و المفتاح العام ل SSL اﻷباتشى');
INSERT INTO `lang_definitions` VALUES (81792, 6407, 21, 'الشهادة لشهادة السلطة');
INSERT INTO `lang_definitions` VALUES (81793, 6408, 21, 'ملف المطالبة: ');
INSERT INTO `lang_definitions` VALUES (81794, 6409, 21, 'لقد تم تثبيت باقة SNOMED الخاصة بالوﻻيات المتحدة المتطابقة المرحلية');
INSERT INTO `lang_definitions` VALUES (81795, 6410, 21, 'المفتاح المتناظر الخاص');
INSERT INTO `lang_definitions` VALUES (81796, 6413, 21, 'رمز الإنكار هو');
INSERT INTO `lang_definitions` VALUES (81797, 6414, 21, 'رمز مجموعة الإنكار هو');
INSERT INTO `lang_definitions` VALUES (81798, 6415, 21, 'طلب محطة الوصول مغلق');
INSERT INTO `lang_definitions` VALUES (81799, 6416, 21, 'طلب محطة الوصول مغلق; لا أستطيع مساعدتك فى هذا الإختيار');
INSERT INTO `lang_definitions` VALUES (81800, 6417, 21, 'الجهة المنفذة للعملية');
INSERT INTO `lang_definitions` VALUES (81801, 6418, 21, 'المستشفى المعتمد او مركز العناية الذي يقوم بإستلام المريض من هيئة اخري عليه القيام بالتالي');
INSERT INTO `lang_definitions` VALUES (81802, 6421, 21, 'المستشفى المعتمد او مركز العناية الذي يقوم بتحويل المريض من هيئة اخري عليه القيام بتزويد تقرير للحالة و العناية المقدّمة');
INSERT INTO `lang_definitions` VALUES (81803, 6422, 21, 'لقد تمت إجازة الحدث');
INSERT INTO `lang_definitions` VALUES (81804, 6423, 21, 'لقد تم إخفاء الحدث');
INSERT INTO `lang_definitions` VALUES (81805, 6424, 21, 'البيانات المصدرة ظاهرة فى منطقة النص أدناة. يمكنك نسخها الي ايميل او أي مكان أخر اذا أحببت');
INSERT INTO `lang_definitions` VALUES (81806, 6426, 21, 'البيانات المصدرة ظاهرة فى منطقة النص أدناة. يمكنك نسخها الي ايميل او أي مكان أخر اذا أحببت');
INSERT INTO `lang_definitions` VALUES (81807, 6427, 21, 'البيانات المصدرة ظاهرة فى منطقة النص أدناة. يمكنك نسخها الي ايميل او أي مكان أخر اذا أحببت');
INSERT INTO `lang_definitions` VALUES (81808, 6428, 21, 'لم نتمكن من حفظ الملف الي CouchDB.');
INSERT INTO `lang_definitions` VALUES (81809, 6429, 21, 'لم نتمكن من تغيير إسم الملف, هذا يرجع الي خطء في قواعد السماح فى نظام التخزين');
INSERT INTO `lang_definitions` VALUES (81810, 6430, 21, 'لم نتمكن من حفظ الملف, هذا يرجع الي خطء في قواعد السماح فى نظام التخزين');
INSERT INTO `lang_definitions` VALUES (81811, 6431, 21, 'مخطط المريض اﻷول (\"الهدف\") هو الذى يعتبر اﻷكمل و اﻷصح. الديموجرافية, التأمين و التاريخ المرضي سيتم إبقائهم.');
INSERT INTO `lang_definitions` VALUES (81812, 6433, 21, 'الخطوة الأولي هي فتح حساب مع نظام توحيد اللغة الطبية على موقعهم');
INSERT INTO `lang_definitions` VALUES (81813, 6434, 21, 'حدث الرزنامة التالي قد تمت إضافته:');
INSERT INTO `lang_definitions` VALUES (81814, 6435, 21, 'حدث الرزنامة التالي قد تم تعديله:');
INSERT INTO `lang_definitions` VALUES (81815, 6436, 21, 'سيتم إزالي الفئات التالية من قائمة الفئات الخاصة بك');
INSERT INTO `lang_definitions` VALUES (81816, 6437, 21, 'قاعدة البيانات التالية مثيتة حاليا');
INSERT INTO `lang_definitions` VALUES (81817, 6438, 21, 'الوثائق التالية قد تم إرفاقها مع هذة الرسالة المباشرة:');
INSERT INTO `lang_definitions` VALUES (81818, 6439, 21, 'ملف EDI التالي قد تم تحميله');
INSERT INTO `lang_definitions` VALUES (81819, 6440, 21, 'ولوج المستخدم الطارئ قد تم تفعيلة:');
INSERT INTO `lang_definitions` VALUES (81820, 6441, 21, 'الأخطاء التالية وقعت');
INSERT INTO `lang_definitions` VALUES (81821, 6444, 21, 'الحقول التالية مطلوبة');
INSERT INTO `lang_definitions` VALUES (81822, 6446, 21, 'الحقول التالية يجب أن تملأ لإرسال الألتماس');
INSERT INTO `lang_definitions` VALUES (81823, 6447, 21, 'لغات Snomed العالمية التالية مدعومة');
INSERT INTO `lang_definitions` VALUES (81824, 6448, 21, 'المشاكل التالية لها نفس الرموز فلن يتم تجديدها. الرجاء استخدام واجهة الزيارات');
INSERT INTO `lang_definitions` VALUES (81825, 6449, 21, 'إسم المستضيف لجهاز مستودع التحقق ATNA.');
INSERT INTO `lang_definitions` VALUES (81826, 6450, 21, 'النافذة المبدئية مخصصة للبحث عن الإيصالات. فى اﻷعلي يمكنك إدخال منبع (رقم الشيك) المبلغ و تاريخ الدفع.');
INSERT INTO `lang_definitions` VALUES (81827, 6451, 21, 'دليل التثبيت يجب ان يكوّن.');
INSERT INTO `lang_definitions` VALUES (81828, 6452, 21, 'نسخة SNOMED العالمية غير متوافقة مع نسخة الولايات المتحدة');
INSERT INTO `lang_definitions` VALUES (81829, 6453, 21, 'نسخة SNOMED العالمية غير متوافقة مع نسخة الولايات المتحدة و منتهية الصلاحية');
INSERT INTO `lang_definitions` VALUES (81830, 6454, 21, 'النسخة المثبتة و المعروضة هما نفس الشيئ.');
INSERT INTO `lang_definitions` VALUES (81831, 6455, 21, 'النسخة المثبتة أحدث من النسخة المعروضة.');
INSERT INTO `lang_definitions` VALUES (81832, 6456, 21, 'العلامة التي تظهر للمستخدم علي الطلب');
INSERT INTO `lang_definitions` VALUES (81833, 6457, 21, 'الطول يجب الا يتجاوز الرقم التالي من الأحرف');
INSERT INTO `lang_definitions` VALUES (81834, 6458, 21, 'الدمج لن يحدث حتي يتطابق تاريخ الميلاد مع رقم الضمان الإجتماعي. تواريخ الميلاد لا يجب ان تترك خالية');
INSERT INTO `lang_definitions` VALUES (81835, 6459, 21, 'لا يمكن إرسال الرسالة في هذا الوقت.');
INSERT INTO `lang_definitions` VALUES (81836, 6460, 21, 'المجموعة الجديدة ستكون من ضمن المجموعة التالية ');
INSERT INTO `lang_definitions` VALUES (81837, 6461, 21, 'كلمة السر الجديدة لا يمكن ان تكون نفس الحالية');
INSERT INTO `lang_definitions` VALUES (81838, 6462, 21, 'حقول كلمة السر ليسو متشابهين');
INSERT INTO `lang_definitions` VALUES (81839, 6463, 21, 'رقم الملفات المعروضة غير صحيح. الرجاء وضع الملف الذي تريد تثبيتة');
INSERT INTO `lang_definitions` VALUES (81840, 6464, 21, 'رقم الملفات المعروضة غير صحيح. الرجاء وضع الملف الذي تريد تثبيتة/ ترقيتة');
INSERT INTO `lang_definitions` VALUES (81841, 6465, 21, 'الصفحة يتوجهك الي الديموجرافيا. بإمكانك تحرير حقل الدولة و تتقدم الي نظام الوصفة الإلكترونية مرة اخري.');
INSERT INTO `lang_definitions` VALUES (81842, 6466, 21, 'كلمة السر يجب الا تقل عن 8 أحرف و يجب ان');
INSERT INTO `lang_definitions` VALUES (81843, 6468, 21, 'تم تسجيل طلبك للحصول علي سجل المريض');
INSERT INTO `lang_definitions` VALUES (81844, 6469, 21, 'لقد تم ظبط تذكيرات المريض');
INSERT INTO `lang_definitions` VALUES (81845, 6470, 21, 'لقد تم تحديث تذكيرات المريض');
INSERT INTO `lang_definitions` VALUES (81846, 6472, 21, 'المدفوعات المعلنة لا يمكن ات تجدول تحت هذا التاريخ لمنع التلاعب فى توايخ سابقة بعد الحصول على التقرير');
INSERT INTO `lang_definitions` VALUES (81847, 6474, 21, 'تزويد البيانات الخام ممكن الحصول عليه من');
INSERT INTO `lang_definitions` VALUES (81848, 6475, 21, 'المعلومات المتبقية أدناة تطبق فقط لو ادخلت يدويا او كنت تصحح يدويا');
INSERT INTO `lang_definitions` VALUES (81849, 6477, 21, 'الوثيقة المطلوبة غير موجودة فى المكان المتوقع فى نظام الملفات او لا تملك صلاحيات لتصفحها');
INSERT INTO `lang_definitions` VALUES (81850, 6479, 21, 'المخطط الثانى (\"المنبع\") سيكون عديم أقسام ديموجرافيا, التاريخ و التأمين. البيانات الاخري سيتم دمجها فى المخطط الهدف.');
INSERT INTO `lang_definitions` VALUES (81851, 6480, 21, 'أعمدة المنبع و التاريخ منسوخين من الصفحة الأولي فمن الطبيعي عدم التلاعب بهما و لكن يمكنك إضافة المدفوعات');
INSERT INTO `lang_definitions` VALUES (81852, 6481, 21, 'تواريخ إصدار الملفات المعروضة ليست كلها من نفس الإصدار');
INSERT INTO `lang_definitions` VALUES (81853, 6482, 21, 'مراجعات الملفات المعروضة ليست كلها من نفس الإصدار');
INSERT INTO `lang_definitions` VALUES (81854, 6483, 21, 'إصدار SNOMED للولايات المتحدة لا يمكن تثبيته الا بعد تثبيت الاصدار العالمي');
INSERT INTO `lang_definitions` VALUES (81855, 6484, 21, 'توزيعات الوقت فى الروزنامة و اقصر وقت بالدقائق لخانة المواعيد');
INSERT INTO `lang_definitions` VALUES (81856, 6485, 21, 'العلامة المترجمة التي سوف تظهر علي الطلب فى اللغة الحالية');
INSERT INTO `lang_definitions` VALUES (81857, 6486, 21, 'العنوان المترجمة الذي سوف يظهر فى اللغة الحالية');
INSERT INTO `lang_definitions` VALUES (81858, 6487, 21, 'ترجمة الوصف فى اللغة الحالية');
INSERT INTO `lang_definitions` VALUES (81859, 6488, 21, 'تم التزامن بين جداول الترجمة');
INSERT INTO `lang_definitions` VALUES (81860, 6489, 21, 'نوع هذا المكوّن');
INSERT INTO `lang_definitions` VALUES (81861, 6490, 21, 'كود الموزع الخاص ليعرّف هذة العملية او النتيجة');
INSERT INTO `lang_definitions` VALUES (81862, 6491, 21, 'ملفات الX12 و التقارير الناتجة سيتم تخزينها في مجلد ال \"era\" فى ملفات البرنامج. يمكنك الرجوع اليها بين حين و اخر. العنوان هو:');
INSERT INTO `lang_definitions` VALUES (81863, 6492, 21, 'ملف الضغط سيحتوي على الملفات التالية');
INSERT INTO `lang_definitions` VALUES (81864, 6493, 21, 'مَظهَر');
INSERT INTO `lang_definitions` VALUES (81865, 6494, 21, 'ثم سيكون بالإمكان الحصول علي تغذية البيانات الخام من');
INSERT INTO `lang_definitions` VALUES (81866, 6495, 21, 'حقن علاجية');
INSERT INTO `lang_definitions` VALUES (81867, 6496, 21, 'يوجد');
INSERT INTO `lang_definitions` VALUES (81868, 6497, 21, 'حاليا لا توجد اي وصفات');
INSERT INTO `lang_definitions` VALUES (81869, 6498, 21, 'يوجد أخطاء فى تقديمك و تم توضيحهم أدناة.');
INSERT INTO `lang_definitions` VALUES (81870, 6500, 21, 'لا يوجد مخططات موجودة خارجا.');
INSERT INTO `lang_definitions` VALUES (81871, 6501, 21, 'لا توجد اي إفصاح عن معلومات اهذا المريض');
INSERT INTO `lang_definitions` VALUES (81872, 6502, 21, 'لا توجد اي تقديمات جديدة');
INSERT INTO `lang_definitions` VALUES (81873, 6503, 21, 'لا توجد اي ملاحظات فى ملف هذا المريض');
INSERT INTO `lang_definitions` VALUES (81874, 6504, 21, 'لا توجد اي مدفوعات فى ملف هذا المريض');
INSERT INTO `lang_definitions` VALUES (81875, 6505, 21, 'يوجد خطأ بريدي في الإرسال الي');
INSERT INTO `lang_definitions` VALUES (81876, 6506, 21, 'يوجد حاليا تصنيف بإسم');
INSERT INTO `lang_definitions` VALUES (81877, 6507, 21, 'يوجد حاليا تحت التصنيف بإسم');
INSERT INTO `lang_definitions` VALUES (81878, 6508, 21, 'يوجد حاليا بند بإسم');
INSERT INTO `lang_definitions` VALUES (81879, 6509, 21, 'يوجد حاليا طلب مفتوح لسجل المريض');
INSERT INTO `lang_definitions` VALUES (81880, 6510, 21, 'لا توجد طريقة تعامل مع حساب AR ');
INSERT INTO `lang_definitions` VALUES (81881, 6511, 21, 'لا توجد طريقة تعامل مع حساب النقد ');
INSERT INTO `lang_definitions` VALUES (81882, 6512, 21, 'لا توجد طريقة تعامل مع حساب الدخل ');
INSERT INTO `lang_definitions` VALUES (81883, 6513, 21, 'لا يوجد مريض حالي');
INSERT INTO `lang_definitions` VALUES (81884, 6515, 21, 'لا يوجد مثيل لرقم الرصيد');
INSERT INTO `lang_definitions` VALUES (81885, 6516, 21, 'لا يوجد مثيل لرقم الرصيد = ');
INSERT INTO `lang_definitions` VALUES (81886, 6517, 21, 'لا يوجد أجزاء مدخلة لهوية الخدمات ');
INSERT INTO `lang_definitions` VALUES (81887, 6519, 21, 'يوجد خطأ في إرسال الرسالة');
INSERT INTO `lang_definitions` VALUES (81888, 6520, 21, 'يوجد خطأ خلال التعامل مع طلبك');
INSERT INTO `lang_definitions` VALUES (81889, 6521, 21, 'يوجد خطأ فى SQL البرنامج فى الخيط التالي');
INSERT INTO `lang_definitions` VALUES (81890, 6522, 21, 'يوجد هناك 2012 رابط');
INSERT INTO `lang_definitions` VALUES (81891, 6523, 21, 'متضخم يمينا:');
INSERT INTO `lang_definitions` VALUES (81892, 6524, 21, 'فخذ');
INSERT INTO `lang_definitions` VALUES (81893, 6525, 21, 'الفخذ و العَضَلاتُ المَأْبِضِيَّة');
INSERT INTO `lang_definitions` VALUES (81894, 6526, 21, 'الأشياء التى يمكن للمكتب الخلفي قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (81895, 6527, 21, 'الأشياء التى يمكن للمكتب الخلفي قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (81896, 6528, 21, 'الأشياء التى يمكن للمكتب الخلفي قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (81897, 6529, 21, 'الأشياء التى يمكن للمكتب الخلفي قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (81898, 6530, 21, 'الأشياء التى يمكن للممارسين قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (81899, 6531, 21, 'الأشياء التى يمكن للممارسين قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (81900, 6532, 21, 'الأشياء التى يمكن للممارسين قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (81901, 6533, 21, 'الأشياء التى يمكن للممارسين قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (81902, 6534, 21, 'الأشياء التى يمكن للمكتب الأمامي قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (81903, 6535, 21, 'الأشياء التى يمكن للمكتب الأمامي قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (81904, 6536, 21, 'الأشياء التى يمكن للمكتب الأمامي قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (81905, 6537, 21, 'الأشياء التى يمكن للمكتب الأمامي قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (81906, 6538, 21, 'الأشياء التى يمكن للأطباء قراءتها فقط');
INSERT INTO `lang_definitions` VALUES (81907, 6539, 21, 'الأشياء التى يمكن للأطباء قراءتها و إدخالها لكن ليس تعديلها');
INSERT INTO `lang_definitions` VALUES (81908, 6540, 21, 'الأشياء التى يمكن للأطباء قراءتها و تعديلها');
INSERT INTO `lang_definitions` VALUES (81909, 6541, 21, 'الأشياء التى يمكن للأطباء قراءتها و تعديلها جزئيا');
INSERT INTO `lang_definitions` VALUES (81910, 6542, 21, 'ثالث');
INSERT INTO `lang_definitions` VALUES (81911, 6544, 21, 'هذا الإجراء لا يمكن التراجع عنه!!!');
INSERT INTO `lang_definitions` VALUES (81912, 6545, 21, 'هذا الإجراء لا يمكن التراجع عنه!!!');
INSERT INTO `lang_definitions` VALUES (81913, 6547, 21, 'هذا الإجراء سيتم تسجيله');
INSERT INTO `lang_definitions` VALUES (81914, 6549, 21, 'حيّز الموعد هذا مستخدم, هل تريد استخدامه علي اي حال؟');
INSERT INTO `lang_definitions` VALUES (81915, 6550, 21, 'حيّز الموعد هذا غير متاح, الرجاء إختيار حيّز اخر.');
INSERT INTO `lang_definitions` VALUES (81916, 6551, 21, 'هذة السنة الشمسية');
INSERT INTO `lang_definitions` VALUES (81917, 6552, 21, 'هذة المطالبة قد تم الغائها');
INSERT INTO `lang_definitions` VALUES (81918, 6553, 21, 'هذة المطالبة قد تم إغلاقها');
INSERT INTO `lang_definitions` VALUES (81919, 6554, 21, 'هذة المطالبة قد تم رفضها. السبب:');
INSERT INTO `lang_definitions` VALUES (81920, 6555, 21, 'هذة المطالبة قد تم تحويلها للمستوي التالي');
INSERT INTO `lang_definitions` VALUES (81921, 6556, 21, 'نوع الرمز هذا لا يقبل العلاقات');
INSERT INTO `lang_definitions` VALUES (81922, 6557, 21, 'هذا السياق يحتوي علي فئات سوف يتم حذفها. هل تريد الإستمرار؟');
INSERT INTO `lang_definitions` VALUES (81923, 6558, 21, 'هذا يحدد طريقة عرض المواعيد على الروزنامة.');
INSERT INTO `lang_definitions` VALUES (81924, 6559, 21, 'هذا يحدد لون المخطط المستخدم للمواعيد');
INSERT INTO `lang_definitions` VALUES (81925, 6561, 21, 'هذة الزيارة');
INSERT INTO `lang_definitions` VALUES (81926, 6562, 21, 'هذة الزيارة قد تمت فوترتها. اذا أردت تغيرها فيجب إعادة فتحها.');
INSERT INTO `lang_definitions` VALUES (81927, 6564, 21, 'هذة الميزة غير متاحة');
INSERT INTO `lang_definitions` VALUES (81928, 6565, 21, 'هذة الميزة تجريبية جدا و غير مكتملة الإختبار. إستخدم علي مسؤوليتك الخاصة!');
INSERT INTO `lang_definitions` VALUES (81929, 6566, 21, 'رقم هذا الإيصال قد تم تغيره الي ');
INSERT INTO `lang_definitions` VALUES (81930, 6569, 21, 'هذا هو المخطط الذى سيتم دمجه فى المخطط الرئيس ثم حذفه');
INSERT INTO `lang_definitions` VALUES (81931, 6571, 21, 'هذا هو المخطط الرئيس الذى سيقبل البيانات المدمجة');
INSERT INTO `lang_definitions` VALUES (81932, 6572, 21, 'هذا الموضع');
INSERT INTO `lang_definitions` VALUES (81933, 6575, 21, 'هذة الوحدة البرمجية فى طور التجربة. قاعدة البيانات لن تتغير.');
INSERT INTO `lang_definitions` VALUES (81934, 6576, 21, 'هذة الوحدة البرمجية تشجع علي الإدخال الفعال لبيانات شرح المنافع');
INSERT INTO `lang_definitions` VALUES (81935, 6577, 21, 'هذا الشهر الي اليوم');
INSERT INTO `lang_definitions` VALUES (81936, 6579, 21, 'هذة الصفحة تسمح لك بمراجعة كل من البيانات الخارجية المدعومة التى يمكن تثبيتها و ترقيتها. كل قسم أدناه يمكن توسعته بالضغط علي رأس القسم لرؤية الحالة المتعلقة');
INSERT INTO `lang_definitions` VALUES (81937, 6580, 21, 'هذة الصفحة تم تعطيلها لأسباب أمنية');
INSERT INTO `lang_definitions` VALUES (81938, 6581, 21, 'هذة الصفحة تحتوى علي صفحة الولوج بمحتوياتها و لذلك لا تحتاج الي الضغط علي إعادة الولوج كل مرة');
INSERT INTO `lang_definitions` VALUES (81939, 6582, 21, 'هذا المريض ليس لة نشاط.');
INSERT INTO `lang_definitions` VALUES (81940, 6583, 21, 'رقم هوية هذا المريض قيد الإستخدام!');
INSERT INTO `lang_definitions` VALUES (81941, 6584, 21, 'هذا المنتج يسمح بجملة واحدة فقط لكل مستودع.');
INSERT INTO `lang_definitions` VALUES (81942, 6585, 21, 'هذا البرتوكول غير مطبق');
INSERT INTO `lang_definitions` VALUES (81943, 6586, 21, 'هذا التقرير حاليا يعمل علي رموز ICD9 فقط.');
INSERT INTO `lang_definitions` VALUES (81944, 6591, 21, 'هذة الخطوة ستولد ملفا ينبغى الحفاظ علية لإستخدامة مستقبلا. لا يمكن تكوين الملف مجددا. هل تريد الإستمرار؟');
INSERT INTO `lang_definitions` VALUES (81945, 6592, 21, 'هذا المستخدم ليس عضوا في اي مجموعة');
INSERT INTO `lang_definitions` VALUES (81946, 6593, 21, 'هذا المستخدم سيستلم تتنبيهات بوصول رسائل مباشرة جديدة');
INSERT INTO `lang_definitions` VALUES (81947, 6594, 21, 'هذة الإداة تجريبية. أجر احتياطا لقاعدة البيانات و الوثائق قبل الإستعمال!');
INSERT INTO `lang_definitions` VALUES (81948, 6595, 21, 'هذة الزيارة تبدأ إستعمال جديد لوسيلة منع الحمل');
INSERT INTO `lang_definitions` VALUES (81949, 6596, 21, 'هذة الزيارة تحتاج الي طلب GCAC, تحويل او خدمة العمليات');
INSERT INTO `lang_definitions` VALUES (81950, 6597, 21, 'هذا كان طلب الوظائف الحيوية للنظام المتري فقط و هو مهجور الان');
INSERT INTO `lang_definitions` VALUES (81951, 6598, 21, 'هذا الاسبوع لليوم');
INSERT INTO `lang_definitions` VALUES (81952, 6600, 21, 'هذا سيفعل القرير لاستمرارية سجل الرعاية و استمرارية وثيقة الرعاية');
INSERT INTO `lang_definitions` VALUES (81953, 6602, 21, 'هذا سيسمح بإختيار تصحيح الأخطاء للغة (\'dummy\')');
INSERT INTO `lang_definitions` VALUES (81954, 6605, 21, 'هذا سيكون تشغيل تجريبي بدون تجديد فعلي للبيانات');
INSERT INTO `lang_definitions` VALUES (81955, 6606, 21, 'هذا سيكون نسخة إحتياطية علي هيئة تار ليكون بإمكانك إرسالها لمتصفحك و بالتالي حفظها');
INSERT INTO `lang_definitions` VALUES (81956, 6607, 21, 'هذا سيفعّل ميزات التشفير و فك التشفير للوثيقة و إخفائها فى واجهة المستخدام');
INSERT INTO `lang_definitions` VALUES (81957, 6613, 21, 'هذا سيجبر أداة الفوترة فى شاشة ملخص المريض على البقاء مفتوحة دائما');
INSERT INTO `lang_definitions` VALUES (81958, 6616, 21, 'هذا سيدمج تخطيطين لنفس المريض مع بعضهما عندما تحصل أخطاء. لا تكرر إستخدام هذا و أصلح إجراءاتك');
INSERT INTO `lang_definitions` VALUES (81959, 6617, 21, 'هذا لن يمنعك من الذهاب الي موقع الوصف الإلكتروني');
INSERT INTO `lang_definitions` VALUES (81960, 6619, 21, 'هذا سوف يستخدم قائمة التطعيمات المفصلة حسب الطلب');
INSERT INTO `lang_definitions` VALUES (81961, 6622, 21, 'الفقرات الصدرية');
INSERT INTO `lang_definitions` VALUES (81962, 6623, 21, 'الف لكل مم مكعب');
INSERT INTO `lang_definitions` VALUES (81963, 6625, 21, 'حلق');
INSERT INTO `lang_definitions` VALUES (81964, 6626, 21, 'سرطان الحلق');
INSERT INTO `lang_definitions` VALUES (81965, 6627, 21, 'جراحة سرطان الحلق');
INSERT INTO `lang_definitions` VALUES (81966, 6628, 21, 'تخثر/سكتة دماغية');
INSERT INTO `lang_definitions` VALUES (81967, 6629, 21, 'الخميس');
INSERT INTO `lang_definitions` VALUES (81968, 6630, 21, 'الخميس');
INSERT INTO `lang_definitions` VALUES (81969, 6631, 21, 'الخميس');
INSERT INTO `lang_definitions` VALUES (81970, 6632, 21, 'الغدة الدرقية طبيعية');
INSERT INTO `lang_definitions` VALUES (81971, 6633, 21, 'مشاكل الغدة الدرقية');
INSERT INTO `lang_definitions` VALUES (81972, 6634, 21, 'نوبة اقفارية عابرة');
INSERT INTO `lang_definitions` VALUES (81973, 6636, 21, 'ثلاث مرات يوميا');
INSERT INTO `lang_definitions` VALUES (81974, 6638, 21, 'الوقت');
INSERT INTO `lang_definitions` VALUES (81975, 6639, 21, 'طريقة عرض الوقت');
INSERT INTO `lang_definitions` VALUES (81976, 6640, 21, 'مقدار الزيادة فى الوقت (الدقائق 1-60)');
INSERT INTO `lang_definitions` VALUES (81977, 6641, 21, 'إختيار الوقت');
INSERT INTO `lang_definitions` VALUES (81978, 6642, 21, 'حيّز الوقت مفتوح, جارى حفظ الحدث');
INSERT INTO `lang_definitions` VALUES (81979, 6647, 21, 'حدث محدود بوقت');
INSERT INTO `lang_definitions` VALUES (81980, 6648, 21, 'نسق الوقت (غير متوفر)');
INSERT INTO `lang_definitions` VALUES (81981, 6649, 21, 'ختم الوقت و النص');
INSERT INTO `lang_definitions` VALUES (81982, 6650, 21, 'شبكة معلومات الضرائب');
INSERT INTO `lang_definitions` VALUES (81983, 6651, 21, 'طنين');
INSERT INTO `lang_definitions` VALUES (81984, 6652, 21, 'عنوان');
INSERT INTO `lang_definitions` VALUES (81985, 6653, 21, 'عنوان V');
INSERT INTO `lang_definitions` VALUES (81986, 6654, 21, 'عناوين الإعمدة يجب ان تكون ارقاما ما بين 1-999');
INSERT INTO `lang_definitions` VALUES (81987, 6655, 21, 'عناوين');
INSERT INTO `lang_definitions` VALUES (81988, 6656, 21, 'الغِشاءُ الطَّبْلِيّ');
INSERT INTO `lang_definitions` VALUES (81989, 6658, 21, 'إلي');
INSERT INTO `lang_definitions` VALUES (81990, 6659, 21, 'إلي');
INSERT INTO `lang_definitions` VALUES (81991, 6660, 21, 'إلي');
INSERT INTO `lang_definitions` VALUES (81992, 6661, 21, 'إلي الطريق الأوحد للملف');
INSERT INTO `lang_definitions` VALUES (81993, 6662, 21, 'لإضافة ملاحظات, إضغط ');
INSERT INTO `lang_definitions` VALUES (81994, 6663, 21, 'لإضافة ملاحظات, إضغط هنا');
INSERT INTO `lang_definitions` VALUES (81995, 6664, 21, 'إلي المنطقة المتأثرة');
INSERT INTO `lang_definitions` VALUES (81996, 6665, 21, 'إلي المنطقة المتأثرة');
INSERT INTO `lang_definitions` VALUES (81997, 6666, 21, 'لفتح الطلب المعين تلقائيا. بعض فرق الرياضة تستخدم football_injury_audit هنا');
INSERT INTO `lang_definitions` VALUES (81998, 6667, 21, 'واجهة الفوترة');
INSERT INTO `lang_definitions` VALUES (81999, 6668, 21, 'الي التصنيف');
INSERT INTO `lang_definitions` VALUES (82000, 6669, 21, 'الي الواجهة الطبية');
INSERT INTO `lang_definitions` VALUES (82001, 6670, 21, 'للدفع المشترك');
INSERT INTO `lang_definitions` VALUES (82002, 6672, 21, 'إلي المستقطعات');
INSERT INTO `lang_definitions` VALUES (82003, 6673, 21, 'إلي المستعرضات');
INSERT INTO `lang_definitions` VALUES (82004, 6674, 21, 'لتعطيل شهادات SSL التابعة للعميل, علّق باﻷسطر العلوية فى ملف تهيئة اﻷباتشى ثم فعّل');
INSERT INTO `lang_definitions` VALUES (82005, 6675, 21, 'لتعطيل شهادات HTTPS, علّق باﻷسطر العلوية فى ملف تهيئة اﻷباتشى ثم أعد تشغيل الخادم');
INSERT INTO `lang_definitions` VALUES (82006, 6676, 21, 'لتفعيل شهادات SSL التابعة للعميل');
INSERT INTO `lang_definitions` VALUES (82007, 6677, 21, 'لتفعيل التأكد من شهادات SSL التابعة للعميل , HTTPS يجب أن يكون مفعّلا');
INSERT INTO `lang_definitions` VALUES (82008, 6678, 21, 'لتفعيل HTTPS فقط , اجر التعديلات العلوية ثم أعد تشغيل خادم اﻷباتشى');
INSERT INTO `lang_definitions` VALUES (82009, 6679, 21, 'إلي الزيارة');
INSERT INTO `lang_definitions` VALUES (82010, 6680, 21, 'للفرز بالجنس');
INSERT INTO `lang_definitions` VALUES (82011, 6681, 21, 'الى التاريخ المرضي');
INSERT INTO `lang_definitions` VALUES (82012, 6682, 21, 'الي المشاكل');
INSERT INTO `lang_definitions` VALUES (82013, 6683, 21, 'لربط هذة الزيارة/الإستشارة لمشكلة قائمة, إضغط ال ');
INSERT INTO `lang_definitions` VALUES (82014, 6684, 21, 'لربط هذة الزيارة/الإستشارة لمشكلة قائمة, إضغط المشكلة المعنية أعلاة ثم إضعط [حفظ]. لإختار عدة مشاكل أبق زر [Ctrl] مضغوطا خلال الإختيار');
INSERT INTO `lang_definitions` VALUES (82015, 6685, 21, 'لإعادة الولوج');
INSERT INTO `lang_definitions` VALUES (82016, 6686, 21, 'لتسجيل إفشاء المعلومات: اضغط هنا');
INSERT INTO `lang_definitions` VALUES (82017, 6687, 21, 'للتشغيل');
INSERT INTO `lang_definitions` VALUES (82018, 6688, 21, 'لتثبيت المدخل ل https مع التأكد من الشهادة التابعة للعميل, افعل التالي');
INSERT INTO `lang_definitions` VALUES (82019, 6689, 21, 'للسلخ');
INSERT INTO `lang_definitions` VALUES (82020, 6690, 21, 'للسلخ');
INSERT INTO `lang_definitions` VALUES (82021, 6691, 21, 'لهذة الزيارة؟');
INSERT INTO `lang_definitions` VALUES (82022, 6693, 21, 'إلي:');
INSERT INTO `lang_definitions` VALUES (82023, 6694, 21, 'إلي: ');
INSERT INTO `lang_definitions` VALUES (82024, 6695, 21, 'إلي_المدينة');
INSERT INTO `lang_definitions` VALUES (82025, 6696, 21, 'إلي_الفاكس');
INSERT INTO `lang_definitions` VALUES (82026, 6697, 21, 'إلي_الأسم اﻷول');
INSERT INTO `lang_definitions` VALUES (82027, 6698, 21, 'إلي_الأسم اﻷخير');
INSERT INTO `lang_definitions` VALUES (82028, 6699, 21, 'إلي_الأسم اﻷوسط');
INSERT INTO `lang_definitions` VALUES (82029, 6700, 21, 'إلي_المنظمة');
INSERT INTO `lang_definitions` VALUES (82030, 6703, 21, 'إلي_العنوان البريدي');
INSERT INTO `lang_definitions` VALUES (82031, 6704, 21, 'إلي_الولاية');
INSERT INTO `lang_definitions` VALUES (82032, 6705, 21, 'إلي_الشارع');
INSERT INTO `lang_definitions` VALUES (82033, 6706, 21, 'إلي_العنوان');
INSERT INTO `lang_definitions` VALUES (82034, 6707, 21, 'إلي_التوديعى');
INSERT INTO `lang_definitions` VALUES (82035, 6708, 21, 'تبغ');
INSERT INTO `lang_definitions` VALUES (82036, 6709, 21, 'تدّخل االتوقف عن التبغ');
INSERT INTO `lang_definitions` VALUES (82037, 6710, 21, 'تدّخل االتوقف عن التبغ (CQM)');
INSERT INTO `lang_definitions` VALUES (82038, 6712, 21, 'إستعمال التبغ');
INSERT INTO `lang_definitions` VALUES (82039, 6713, 21, 'تقييم إستعمال التبغ');
INSERT INTO `lang_definitions` VALUES (82040, 6714, 21, 'تقييم إستعمال التبغ (CQM)');
INSERT INTO `lang_definitions` VALUES (82041, 6715, 21, 'اليوم الحالي');
INSERT INTO `lang_definitions` VALUES (82042, 6716, 21, 'اليوم الحالي');
INSERT INTO `lang_definitions` VALUES (82043, 6717, 21, 'اليوم الحالي');
INSERT INTO `lang_definitions` VALUES (82044, 6718, 21, 'خالص الحساب لليوم');
INSERT INTO `lang_definitions` VALUES (82045, 6719, 21, 'مديونّيات الدوم');
INSERT INTO `lang_definitions` VALUES (82046, 6720, 21, 'تاريخ اليوم');
INSERT INTO `lang_definitions` VALUES (82047, 6721, 21, 'أحداث اليوم');
INSERT INTO `lang_definitions` VALUES (82048, 6723, 21, 'رقم الهوية الرمزي لإدماج المعلومات الطبية, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (82049, 6724, 21, 'رقم الهوية الرمزي لدعم البرنامج,, خدمة تبادل المعمل');
INSERT INTO `lang_definitions` VALUES (82050, 6726, 21, 'عملية إستئصال الوزتين');
INSERT INTO `lang_definitions` VALUES (82051, 6728, 21, 'الأعلى');
INSERT INTO `lang_definitions` VALUES (82052, 6730, 21, 'الموضوع');
INSERT INTO `lang_definitions` VALUES (82053, 6731, 21, 'المجموع');
INSERT INTO `lang_definitions` VALUES (82054, 6732, 21, 'المجموع');
INSERT INTO `lang_definitions` VALUES (82055, 6733, 21, 'مجموع الأحداث النشطة');
INSERT INTO `lang_definitions` VALUES (82056, 6734, 21, 'مجموع التذكيرات النشطة بعد التحديث');
INSERT INTO `lang_definitions` VALUES (82057, 6735, 21, 'مجموع التذكيرات النشطة قبل التحديث');
INSERT INTO `lang_definitions` VALUES (82058, 6737, 21, 'مجموع المبلغ المستحق');
INSERT INTO `lang_definitions` VALUES (82059, 6738, 21, 'مجموع المبلغ المدفوع');
INSERT INTO `lang_definitions` VALUES (82060, 6739, 21, 'إجمالي الرصيد المستحق');
INSERT INTO `lang_definitions` VALUES (82061, 6740, 21, 'إجمالي التكلفة');
INSERT INTO `lang_definitions` VALUES (82062, 6741, 21, 'إجمالي التكاليف');
INSERT INTO `lang_definitions` VALUES (82063, 6742, 21, 'مجموع العملاء');
INSERT INTO `lang_definitions` VALUES (82064, 6743, 21, 'التكلفة الإجمالية');
INSERT INTO `lang_definitions` VALUES (82065, 6744, 21, 'التوزيع الكامل لرقم الشيك التالي غير مكتمل');
INSERT INTO `lang_definitions` VALUES (82066, 6745, 21, 'مجموع المدخلات');
INSERT INTO `lang_definitions` VALUES (82067, 6746, 21, 'إجمالي التذكيرات فشل إرسالها عبر البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (82068, 6747, 21, 'إجمالي التذكيرات فشل إرسالها عبر الهاتف');
INSERT INTO `lang_definitions` VALUES (82069, 6748, 21, 'المجموع لل');
INSERT INTO `lang_definitions` VALUES (82070, 6749, 21, 'المجموع لل ');
INSERT INTO `lang_definitions` VALUES (82071, 6750, 21, 'إجمالي التصنيف');
INSERT INTO `lang_definitions` VALUES (82072, 6751, 21, 'مجموع التذكيرات المعطلة');
INSERT INTO `lang_definitions` VALUES (82073, 6752, 21, 'مجموع التذكيرات الجديدة');
INSERT INTO `lang_definitions` VALUES (82074, 6753, 21, 'إجمالي عدد المواعيد');
INSERT INTO `lang_definitions` VALUES (82075, 6755, 21, 'إجمالي عدد التطعيمات');
INSERT INTO `lang_definitions` VALUES (82076, 6756, 21, 'مجموع عدد المشاكل');
INSERT INTO `lang_definitions` VALUES (82077, 6758, 21, 'إجمالي عدد المرضى');
INSERT INTO `lang_definitions` VALUES (82078, 6760, 21, 'مجموع رصيد المريض');
INSERT INTO `lang_definitions` VALUES (82079, 6761, 21, 'مجموع المرضى');
INSERT INTO `lang_definitions` VALUES (82080, 6764, 21, 'مجموع السجلات الموجودة');
INSERT INTO `lang_definitions` VALUES (82081, 6765, 21, 'مجمل الصحة الجنسية و التناسلية و الخطيط العائلي');
INSERT INTO `lang_definitions` VALUES (82082, 6766, 21, 'مجموع التذكيرات المرسلة بنجاح عبر البريد الإلكتروني');
INSERT INTO `lang_definitions` VALUES (82083, 6767, 21, 'مجموع التذكيرات المرسلة بنجاح عبر الهاتف');
INSERT INTO `lang_definitions` VALUES (82084, 6770, 21, 'مجموع التذكيرات دون تغيير');
INSERT INTO `lang_definitions` VALUES (82085, 6771, 21, 'مجموع التذكيرات الغير مرسلة بعد عملية الإرسال');
INSERT INTO `lang_definitions` VALUES (82086, 6772, 21, 'مجموع التذكيرات الغير مرسلة بعد التحديث');
INSERT INTO `lang_definitions` VALUES (82087, 6773, 21, 'مجموع التذكيرات الغير مرسلة قبل عملية الإرسال');
INSERT INTO `lang_definitions` VALUES (82088, 6774, 21, 'مجموع التذكيرات الغير مرسلة قبل التحديث');
INSERT INTO `lang_definitions` VALUES (82089, 6775, 21, 'مجموع التذكيرات المحدثة');
INSERT INTO `lang_definitions` VALUES (82090, 6776, 21, 'المجاميع');
INSERT INTO `lang_definitions` VALUES (82091, 6777, 21, 'مجاميع لـ');
INSERT INTO `lang_definitions` VALUES (82092, 6778, 21, 'مجاميع لـ ');
INSERT INTO `lang_definitions` VALUES (82093, 6780, 21, 'to{{range}}');
INSERT INTO `lang_definitions` VALUES (82094, 6785, 21, 'نوع التدريب');
INSERT INTO `lang_definitions` VALUES (82095, 6786, 21, 'أجر معاملة');
INSERT INTO `lang_definitions` VALUES (82096, 6787, 21, 'معاملة');
INSERT INTO `lang_definitions` VALUES (82097, 6788, 21, 'معاملة');
INSERT INTO `lang_definitions` VALUES (82098, 6789, 21, 'فشل المعاملة, الكمية المطلوبة غير كافية لتنفيذ العملية');
INSERT INTO `lang_definitions` VALUES (82099, 6790, 21, 'فشل المعاملة, الكمية المطلوبة اقل من صفر');
INSERT INTO `lang_definitions` VALUES (82100, 6791, 21, 'نوع المعاملة');
INSERT INTO `lang_definitions` VALUES (82101, 6792, 21, 'معاملات');
INSERT INTO `lang_definitions` VALUES (82102, 6793, 21, 'معاملات');
INSERT INTO `lang_definitions` VALUES (82103, 6794, 21, 'معاملات (الكتابة إختيارية)');
INSERT INTO `lang_definitions` VALUES (82104, 6795, 21, 'المعاملات/الإحالات');
INSERT INTO `lang_definitions` VALUES (82105, 6797, 21, 'تحويل');
INSERT INTO `lang_definitions` VALUES (82106, 6798, 21, 'تاريخ التحويل');
INSERT INTO `lang_definitions` VALUES (82107, 6799, 21, 'فشل التحويل,كمية غير كافية لتنفيذ العملية');
INSERT INTO `lang_definitions` VALUES (82108, 6800, 21, 'ملخص التحويل');
INSERT INTO `lang_definitions` VALUES (82109, 6801, 21, 'تحويل الى');
INSERT INTO `lang_definitions` VALUES (82110, 6804, 21, 'تحويلات');
INSERT INTO `lang_definitions` VALUES (82111, 6806, 21, 'تحويل-تحويل الرعاية؟');
INSERT INTO `lang_definitions` VALUES (82112, 6807, 21, 'ترجم مجموعات التحكم');
INSERT INTO `lang_definitions` VALUES (82113, 6808, 21, 'ترجم تصنيفات المواعيد');
INSERT INTO `lang_definitions` VALUES (82114, 6809, 21, 'ترجم تصنيفات الوثيقة');
INSERT INTO `lang_definitions` VALUES (82115, 6810, 21, 'ترجم الواجهات');
INSERT INTO `lang_definitions` VALUES (82116, 6811, 21, 'ترجم القوائم');
INSERT INTO `lang_definitions` VALUES (82117, 6812, 21, 'ترجم عناوين ملاحظات المريض');
INSERT INTO `lang_definitions` VALUES (82118, 6813, 21, 'ترجم هذا');
INSERT INTO `lang_definitions` VALUES (82119, 6814, 21, 'الترجمة');
INSERT INTO `lang_definitions` VALUES (82120, 6815, 21, 'تراجم');
INSERT INTO `lang_definitions` VALUES (82121, 6816, 21, 'نقل');
INSERT INTO `lang_definitions` VALUES (82122, 6817, 21, 'فشل النقل');
INSERT INTO `lang_definitions` VALUES (82123, 6818, 21, 'نقل الطلبات المُختارة');
INSERT INTO `lang_definitions` VALUES (82124, 6819, 21, 'رَضّ');
INSERT INTO `lang_definitions` VALUES (82125, 6820, 21, 'معالجة');
INSERT INTO `lang_definitions` VALUES (82126, 6822, 21, 'اهداف المعالجة');
INSERT INTO `lang_definitions` VALUES (82127, 6823, 21, 'خطة المعالجة');
INSERT INTO `lang_definitions` VALUES (82128, 6824, 21, 'خُطَّةُ المُعَالَجَة‎');
INSERT INTO `lang_definitions` VALUES (82129, 6825, 21, 'تم تلقي المعالجة');
INSERT INTO `lang_definitions` VALUES (82130, 6826, 21, 'المعالجة:');
INSERT INTO `lang_definitions` VALUES (82131, 6827, 21, 'المعالجة: ');
INSERT INTO `lang_definitions` VALUES (82132, 6828, 21, 'موضة');
INSERT INTO `lang_definitions` VALUES (82133, 6829, 21, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (82134, 6830, 21, 'نقطة الزناد / مُتَلاَزِمَةُ الحَيِّزِ الأَمامِيّ / الم العضلة المتأخّر / تشنّج');
INSERT INTO `lang_definitions` VALUES (82135, 6831, 21, 'كَسْرٌ كَعْبِيٌّ ثُلاَثِيّ‎');
INSERT INTO `lang_definitions` VALUES (82136, 6832, 21, 'جِذْع‎ و بطن');
INSERT INTO `lang_definitions` VALUES (82137, 6835, 21, 'إنك تحاول تكوين مستخدم بإسم موجود أصلا!');
INSERT INTO `lang_definitions` VALUES (82138, 6837, 21, 'ملعقة-وحدة قياس');
INSERT INTO `lang_definitions` VALUES (82139, 6839, 21, 'جمعية نقل الأعضاء');
INSERT INTO `lang_definitions` VALUES (82140, 6840, 21, 'مرض السل');
INSERT INTO `lang_definitions` VALUES (82141, 6841, 21, 'الثلاثاء');
INSERT INTO `lang_definitions` VALUES (82142, 6842, 21, 'Tues &amp; Thur');
INSERT INTO `lang_definitions` VALUES (82143, 6843, 21, 'الثلاثاء');
INSERT INTO `lang_definitions` VALUES (82144, 6844, 21, 'ورم خبيث');
INSERT INTO `lang_definitions` VALUES (82145, 6845, 21, 'تركي');
INSERT INTO `lang_definitions` VALUES (82146, 6848, 21, 'مرتين باليوم');
INSERT INTO `lang_definitions` VALUES (82147, 6850, 21, 'طبلة الاذن');
INSERT INTO `lang_definitions` VALUES (82148, 6851, 21, 'نوع');
INSERT INTO `lang_definitions` VALUES (82149, 6852, 21, 'نوع رقم الهوية او اﻷسم. 3 أحرف علي اﻷقل (بما فيها المسافة)');
INSERT INTO `lang_definitions` VALUES (82150, 6853, 21, 'نوع اﻷعمدة المعروضة لكل نتائج بحث المريض');
INSERT INTO `lang_definitions` VALUES (82151, 6854, 21, 'نوع الإفشاء');
INSERT INTO `lang_definitions` VALUES (82152, 6855, 21, 'نوع الحدث');
INSERT INTO `lang_definitions` VALUES (82153, 6856, 21, 'نوعية تصميم الشاشة');
INSERT INTO `lang_definitions` VALUES (82154, 6857, 21, 'اكتب او امسح ضوئيا معرّف المريض هنا');
INSERT INTO `lang_definitions` VALUES (82155, 6858, 21, 'اكتب رسالتك هنا');
INSERT INTO `lang_definitions` VALUES (82156, 6859, 21, 'أنواع الأوامر و النتائج');
INSERT INTO `lang_definitions` VALUES (82157, 6864, 21, 'رموز جامعة كالجري, مركز الطب الرياضي');
INSERT INTO `lang_definitions` VALUES (82158, 6865, 21, 'اوكراني');
INSERT INTO `lang_definitions` VALUES (82159, 6866, 21, 'تقرحات');
INSERT INTO `lang_definitions` VALUES (82160, 6867, 21, 'التهاب القولون المتقرح');
INSERT INTO `lang_definitions` VALUES (82161, 6868, 21, 'قرح:');
INSERT INTO `lang_definitions` VALUES (82162, 6871, 21, 'غير قادر علي الإنشاء');
INSERT INTO `lang_definitions` VALUES (82163, 6874, 21, 'غير قادر علي مطابقة هذةالدفعة في ar_activity');
INSERT INTO `lang_definitions` VALUES (82164, 6876, 21, 'غير مطبق');
INSERT INTO `lang_definitions` VALUES (82165, 6877, 21, 'غير محدد');
INSERT INTO `lang_definitions` VALUES (82166, 6878, 21, 'غير مسموح له');
INSERT INTO `lang_definitions` VALUES (82167, 6879, 21, 'غير مسموح له بالدخول علي الوصفة الإلكترونية');
INSERT INTO `lang_definitions` VALUES (82168, 6880, 21, 'غير مسموح له بالدخول');
INSERT INTO `lang_definitions` VALUES (82169, 6881, 21, 'غير مفوتر');
INSERT INTO `lang_definitions` VALUES (82170, 6882, 21, 'غير مفوتر فقط');
INSERT INTO `lang_definitions` VALUES (82171, 6884, 21, 'تحت اللسان');
INSERT INTO `lang_definitions` VALUES (82172, 6885, 21, 'تحت مستوى الوزن الطبيعي');
INSERT INTO `lang_definitions` VALUES (82173, 6886, 21, 'غير مشخص');
INSERT INTO `lang_definitions` VALUES (82174, 6887, 21, 'غير موزع');
INSERT INTO `lang_definitions` VALUES (82175, 6888, 21, 'غير موزع');
INSERT INTO `lang_definitions` VALUES (82176, 6889, 21, 'غير موزع');
INSERT INTO `lang_definitions` VALUES (82177, 6890, 21, 'الغاء التسريح');
INSERT INTO `lang_definitions` VALUES (82178, 6892, 21, 'عملاء مميزين');
INSERT INTO `lang_definitions` VALUES (82179, 6893, 21, 'علامة مميزة لتقرأ بالعين لهذا النوع');
INSERT INTO `lang_definitions` VALUES (82180, 6894, 21, 'عملاء مميزين جدد');
INSERT INTO `lang_definitions` VALUES (82181, 6895, 21, 'علامة رقمية مميزة لهذا النوع');
INSERT INTO `lang_definitions` VALUES (82182, 6896, 21, 'مرضي مميزين تمت رؤيتهم');
INSERT INTO `lang_definitions` VALUES (82183, 6897, 21, 'تقرير لمرضي مميزين تمت رؤيتهم');
INSERT INTO `lang_definitions` VALUES (82184, 6898, 21, 'مريض وهمي مميز');
INSERT INTO `lang_definitions` VALUES (82185, 6899, 21, 'وحدة');
INSERT INTO `lang_definitions` VALUES (82186, 6900, 21, 'وحدات');
INSERT INTO `lang_definitions` VALUES (82187, 6901, 21, 'وحدات');
INSERT INTO `lang_definitions` VALUES (82188, 6902, 21, 'الوحدات قابلة للتطبيق علي وحدة الناتج');
INSERT INTO `lang_definitions` VALUES (82189, 6903, 21, 'وحدات لطلبات الزيارة');
INSERT INTO `lang_definitions` VALUES (82190, 6904, 21, 'الوحدات يجب ان تكون ارقاماَ');
INSERT INTO `lang_definitions` VALUES (82191, 6905, 21, 'الوحدات غير معرفة');
INSERT INTO `lang_definitions` VALUES (82192, 6906, 21, 'وحدات لكل ليتر');
INSERT INTO `lang_definitions` VALUES (82193, 6907, 21, 'غير معروف');
INSERT INTO `lang_definitions` VALUES (82194, 6910, 21, 'غير معروف اذا دخن من قبل');
INSERT INTO `lang_definitions` VALUES (82195, 6911, 21, 'غير معروف او غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (82196, 6912, 21, 'هوية مستخدم غير معروف:');
INSERT INTO `lang_definitions` VALUES (82197, 6913, 21, 'مريض غير مرتبط');
INSERT INTO `lang_definitions` VALUES (82198, 6914, 21, 'شركة تأمين غير مسماه');
INSERT INTO `lang_definitions` VALUES (82199, 6915, 21, 'غير مسجل');
INSERT INTO `lang_definitions` VALUES (82200, 6918, 21, 'عدم إختيار الكل');
INSERT INTO `lang_definitions` VALUES (82201, 6919, 21, 'غير مختار');
INSERT INTO `lang_definitions` VALUES (82202, 6920, 21, 'غير محدد');
INSERT INTO `lang_definitions` VALUES (82203, 6921, 21, 'غير مبني');
INSERT INTO `lang_definitions` VALUES (82204, 6922, 21, 'ملف تحميل غير مدعوم لقاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (82205, 6924, 21, 'حتي');
INSERT INTO `lang_definitions` VALUES (82206, 6925, 21, 'مطالبة تأمينية متأخرة');
INSERT INTO `lang_definitions` VALUES (82207, 6926, 21, 'غير مستخدم');
INSERT INTO `lang_definitions` VALUES (82208, 6927, 21, 'متطلبات عماليتية طارئة');
INSERT INTO `lang_definitions` VALUES (82209, 6928, 21, 'حتي الي');
INSERT INTO `lang_definitions` VALUES (82210, 6929, 21, 'المواعيد المستقبلية');
INSERT INTO `lang_definitions` VALUES (82211, 6930, 21, 'الأحداث المستقبلية');
INSERT INTO `lang_definitions` VALUES (82212, 6931, 21, 'تحديث');
INSERT INTO `lang_definitions` VALUES (82213, 6932, 21, 'تحديث');
INSERT INTO `lang_definitions` VALUES (82214, 6933, 21, 'التحديث نشط');
INSERT INTO `lang_definitions` VALUES (82215, 6934, 21, 'ملفات التحديث');
INSERT INTO `lang_definitions` VALUES (82216, 6935, 21, 'معلومات التحديث');
INSERT INTO `lang_definitions` VALUES (82217, 6936, 21, 'قائمة التحديث');
INSERT INTO `lang_definitions` VALUES (82218, 6937, 21, 'رقم مقدم التحديث');
INSERT INTO `lang_definitions` VALUES (82219, 6938, 21, 'حدث البنود المختارة');
INSERT INTO `lang_definitions` VALUES (82220, 6939, 21, 'حدث المتغيرات التالية بالملف');
INSERT INTO `lang_definitions` VALUES (82221, 6940, 21, 'حدث معلومات المستخدم');
INSERT INTO `lang_definitions` VALUES (82222, 6942, 21, 'جاري تحديث الديموجرافيا غير مصرح به');
INSERT INTO `lang_definitions` VALUES (82223, 6943, 21, 'جاري تحديث التهيئة الإفتراضية للكل');
INSERT INTO `lang_definitions` VALUES (82224, 6944, 21, 'جاري تحديث مدلولات النسخة');
INSERT INTO `lang_definitions` VALUES (82225, 6945, 21, 'ترقية');
INSERT INTO `lang_definitions` VALUES (82226, 6946, 21, 'ترقية');
INSERT INTO `lang_definitions` VALUES (82227, 6947, 21, 'ترقية قاعدة البيانات');
INSERT INTO `lang_definitions` VALUES (82228, 6948, 21, 'ترقية قاعدة البيانات لتشمل العمليات، الوظائف و الجداول اللازمة لعملية اخفاء الهوية');
INSERT INTO `lang_definitions` VALUES (82229, 6949, 21, 'الترقية ستستمر');
INSERT INTO `lang_definitions` VALUES (82230, 6950, 21, 'الرقم الفريد لتعريف الطبيب');
INSERT INTO `lang_definitions` VALUES (82231, 6951, 21, 'ترفيع');
INSERT INTO `lang_definitions` VALUES (82232, 6954, 21, 'ترفيع ملف التهيئة');
INSERT INTO `lang_definitions` VALUES (82233, 6955, 21, 'ترفيع الوثيقة');
INSERT INTO `lang_definitions` VALUES (82234, 6956, 21, 'فشل الترفيع!');
INSERT INTO `lang_definitions` VALUES (82235, 6957, 21, 'ترفيع الصورة الي');
INSERT INTO `lang_definitions` VALUES (82236, 6958, 21, 'ترفيع الملف المستورد:');
INSERT INTO `lang_definitions` VALUES (82237, 6960, 21, 'تمت عملية الرفع بنجاح');
INSERT INTO `lang_definitions` VALUES (82238, 6961, 21, 'ترفيع التقرير');
INSERT INTO `lang_definitions` VALUES (82239, 6963, 21, 'ارفع هذا الملف:');
INSERT INTO `lang_definitions` VALUES (82240, 6964, 21, 'عند ضغط رقم الإيصال \"نافذة الإدخال اليدوي\" سوف تفتح. هنا يمكنك تغيير تاريخ الإستحقاق و الجةه المعنية. كما يمكنك تغيير الكمية المدفوعه لكل رمز');
INSERT INTO `lang_definitions` VALUES (82241, 6965, 21, 'عند البحث سوف تظهر لك قاءمة الإيصالات. يمكنك إختيار اي منها بالضغط عليها لتفتح نافذة الإدخال اليدوي');
INSERT INTO `lang_definitions` VALUES (82242, 6966, 21, 'اليد العليا');
INSERT INTO `lang_definitions` VALUES (82243, 6968, 21, 'طارئ');
INSERT INTO `lang_definitions` VALUES (82244, 6970, 21, 'بول');
INSERT INTO `lang_definitions` VALUES (82245, 6971, 21, 'التقاطر البولي');
INSERT INTO `lang_definitions` VALUES (82246, 6972, 21, 'تواتر البول');
INSERT INTO `lang_definitions` VALUES (82247, 6973, 21, 'التردد البولي');
INSERT INTO `lang_definitions` VALUES (82248, 6974, 21, 'زلال البول');
INSERT INTO `lang_definitions` VALUES (82249, 6975, 21, 'تدفق البول');
INSERT INTO `lang_definitions` VALUES (82250, 6976, 21, 'طارئ البول');
INSERT INTO `lang_definitions` VALUES (82251, 6977, 21, 'عنوان الانترنت');
INSERT INTO `lang_definitions` VALUES (82252, 6979, 21, 'عنوان الانترنت لدعم البرنامج');
INSERT INTO `lang_definitions` VALUES (82253, 6981, 21, 'عنوان الانترنت لبوابة الهاتف. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (82254, 6985, 21, 'الإستخدام');
INSERT INTO `lang_definitions` VALUES (82255, 6986, 21, 'مؤشر الإستخدام (ISA15)');
INSERT INTO `lang_definitions` VALUES (82256, 6987, 21, 'إستخدم رمز % بمفرها داخل الحقل لترتيب هذا العمود فقط');
INSERT INTO `lang_definitions` VALUES (82257, 6988, 21, 'إستخدام هيئة ال 24 ساعة؟');
INSERT INTO `lang_definitions` VALUES (82258, 6990, 21, 'إستخدم تكنولوجيا معتمدة لبرامج ادارة المستشفيات للتعرف علي مصادر التثقيف الخاصة بالمريض');
INSERT INTO `lang_definitions` VALUES (82259, 6991, 21, 'إستخدم لائحة النفقات');
INSERT INTO `lang_definitions` VALUES (82260, 6992, 21, 'إستخدم CPOE لإدخال الأوامر الطبيه بواسطة الطبيب المرخص له من الهيئات و النقابات');
INSERT INTO `lang_definitions` VALUES (82261, 6997, 21, 'إستخدم قائمة تطعيم مفصلة');
INSERT INTO `lang_definitions` VALUES (82262, 6999, 21, 'إستخدم مجال الأيام');
INSERT INTO `lang_definitions` VALUES (82263, 7000, 21, 'إستخدم الإفتراضي');
INSERT INTO `lang_definitions` VALUES (82264, 7001, 21, 'إستخدم إختيار الإلغاء للمسح');
INSERT INTO `lang_definitions` VALUES (82265, 7002, 21, 'إستخدم تصميم الأيام العالمي؟');
INSERT INTO `lang_definitions` VALUES (82266, 7003, 21, 'إستخدم إسم الملف الأصلي');
INSERT INTO `lang_definitions` VALUES (82267, 7004, 21, 'إستخدم الحقول ادناه للشراء او للنقل');
INSERT INTO `lang_definitions` VALUES (82268, 7005, 21, 'إستخدم هذه الميزة مع المواقع الجديدة فقط ');
INSERT INTO `lang_definitions` VALUES (82269, 7006, 21, 'إستخدم المواضيع؟');
INSERT INTO `lang_definitions` VALUES (82270, 7007, 21, 'مستخدم');
INSERT INTO `lang_definitions` VALUES (82271, 7009, 21, 'مستخدم / مجموعة');
INSERT INTO `lang_definitions` VALUES (82272, 7010, 21, 'إدارة المستخدمين');
INSERT INTO `lang_definitions` VALUES (82273, 7011, 21, 'إدارة المستخدمين و المنشأت');
INSERT INTO `lang_definitions` VALUES (82274, 7012, 21, 'إدارة المستخدمين و المجموعات');
INSERT INTO `lang_definitions` VALUES (82275, 7014, 21, 'التأكد من توثيق شهادة المستخد معطل');
INSERT INTO `lang_definitions` VALUES (82276, 7015, 21, 'محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82277, 7016, 21, 'المنطقة 11 المحددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82278, 7017, 21, 'المنطقة 12 المحددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82279, 7018, 21, 'حقل محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82280, 7019, 21, 'قائمة 1 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82281, 7020, 21, 'قائمة 2 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82282, 7021, 21, 'قائمة 3 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82283, 7022, 21, 'قائمة 4 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82284, 7023, 21, 'قائمة 5 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82285, 7024, 21, 'قائمة 6 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82286, 7025, 21, 'قائمة 7 محددة من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82287, 7026, 21, 'نص 1 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82288, 7027, 21, 'نص 2 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82289, 7028, 21, 'نص 3 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82290, 7029, 21, 'نص 4 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82291, 7030, 21, 'نص 5 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82292, 7031, 21, 'نص 6 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82293, 7032, 21, 'نص 7 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82294, 7033, 21, 'نص 8 محدد من قبل المستخدم');
INSERT INTO `lang_definitions` VALUES (82295, 7034, 21, 'إسم المستخدم الأول');
INSERT INTO `lang_definitions` VALUES (82296, 7037, 21, 'ولوج المستخدم (لو اكثر من 03, او اترك مسافات) (ISA02)');
INSERT INTO `lang_definitions` VALUES (82297, 7038, 21, 'مؤشر مطلوب لولوج المستخدم ( إستخدم 00 او 03 ~ISA01)');
INSERT INTO `lang_definitions` VALUES (82298, 7039, 21, 'دليل المستخدم');
INSERT INTO `lang_definitions` VALUES (82299, 7040, 21, 'عضويات المستخدم');
INSERT INTO `lang_definitions` VALUES (82300, 7041, 21, 'إسم المستخدم');
INSERT INTO `lang_definitions` VALUES (82301, 7042, 21, 'إسم المستخدم او اسم المضيف لا يمكن ان يترك فارغاَ');
INSERT INTO `lang_definitions` VALUES (82302, 7043, 21, 'إسم المستخدم او اسم المضيف');
INSERT INTO `lang_definitions` VALUES (82303, 7044, 21, 'كلمة سر المستخدم (لو 01 أعلي, او اترك مسافات ~ ISA04)');
INSERT INTO `lang_definitions` VALUES (82304, 7045, 21, 'مؤشر مطلوب لكلمة سر المستخدم ( إستخدم 00 او 01 ~ISA03)');
INSERT INTO `lang_definitions` VALUES (82305, 7046, 21, 'ضبط خيارات المستخدم');
INSERT INTO `lang_definitions` VALUES (82306, 7047, 21, 'خيارات المستخدم المحددة');
INSERT INTO `lang_definitions` VALUES (82307, 7048, 21, 'كلمة سر المستخدمين الجديدة');
INSERT INTO `lang_definitions` VALUES (82308, 7049, 21, 'إسم المستخدم');
INSERT INTO `lang_definitions` VALUES (82309, 7051, 21, 'إسم المستخدم لبوابة الهاتف. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (82310, 7052, 21, 'إسم المستخدم للرسائل النصية القصيرة');
INSERT INTO `lang_definitions` VALUES (82311, 7053, 21, 'إسم المستخدم للرسائل النصية القصيرة.');
INSERT INTO `lang_definitions` VALUES (82312, 7054, 21, 'إسم المستخدم للإتصال ب CouchDB');
INSERT INTO `lang_definitions` VALUES (82313, 7055, 21, 'إسم المستخدم:');
INSERT INTO `lang_definitions` VALUES (82314, 7056, 21, 'المستخدمين');
INSERT INTO `lang_definitions` VALUES (82315, 7057, 21, 'المستخدمين/المجموعات/تسجيلات الإدارة');
INSERT INTO `lang_definitions` VALUES (82316, 7058, 21, 'uses php <a href=\"http://php.net/strftime\">strftime</a> format');
INSERT INTO `lang_definitions` VALUES (82317, 7059, 21, 'التهابات المجري البولي');
INSERT INTO `lang_definitions` VALUES (82318, 7062, 21, 'إجازة');
INSERT INTO `lang_definitions` VALUES (82319, 7063, 21, 'إجازة');
INSERT INTO `lang_definitions` VALUES (82320, 7064, 21, 'تطعيم');
INSERT INTO `lang_definitions` VALUES (82321, 7065, 21, 'حلقة مهبلية');
INSERT INTO `lang_definitions` VALUES (82322, 7066, 21, 'وداعي');
INSERT INTO `lang_definitions` VALUES (82323, 7067, 21, 'تأكد من صحة');
INSERT INTO `lang_definitions` VALUES (82324, 7068, 21, 'قيمة');
INSERT INTO `lang_definitions` VALUES (82325, 7069, 21, 'قيمة 1');
INSERT INTO `lang_definitions` VALUES (82326, 7070, 21, 'قيمة 2');
INSERT INTO `lang_definitions` VALUES (82327, 7072, 21, 'القيمة يجب أن تكون عددية');
INSERT INTO `lang_definitions` VALUES (82328, 7073, 21, 'المتغّير 1');
INSERT INTO `lang_definitions` VALUES (82329, 7074, 21, 'المتغّير 2');
INSERT INTO `lang_definitions` VALUES (82330, 7075, 21, 'متغّير الي واحد لتشغيل كود برمجة الترقية لمحو الهوية');
INSERT INTO `lang_definitions` VALUES (82331, 7076, 21, 'جدري الماء 1');
INSERT INTO `lang_definitions` VALUES (82332, 7077, 21, 'جدري الماء 2');
INSERT INTO `lang_definitions` VALUES (82333, 7078, 21, 'توسع الأوردة / الدوالي الوريدية');
INSERT INTO `lang_definitions` VALUES (82334, 7079, 21, 'حالة الأوعية الدموية');
INSERT INTO `lang_definitions` VALUES (82335, 7080, 21, 'إصابة الأوعية الدموية');
INSERT INTO `lang_definitions` VALUES (82336, 7081, 21, 'جراحة الأوعية الدموية');
INSERT INTO `lang_definitions` VALUES (82337, 7083, 21, 'مزود');
INSERT INTO `lang_definitions` VALUES (82338, 7084, 21, 'إصدار');
INSERT INTO `lang_definitions` VALUES (82339, 7085, 21, 'دوار');
INSERT INTO `lang_definitions` VALUES (82340, 7086, 21, 'ادارة المحاربين القدامى');
INSERT INTO `lang_definitions` VALUES (82341, 7087, 21, 'خطة ادارة المحاربين القدامى');
INSERT INTO `lang_definitions` VALUES (82342, 7088, 21, 'لقاحات للأطفال');
INSERT INTO `lang_definitions` VALUES (82343, 7089, 21, 'فيتنامي');
INSERT INTO `lang_definitions` VALUES (82344, 7090, 21, 'عرض');
INSERT INTO `lang_definitions` VALUES (82345, 7091, 21, 'عرض');
INSERT INTO `lang_definitions` VALUES (82346, 7092, 21, 'عرض أمراض الحساسية');
INSERT INTO `lang_definitions` VALUES (82347, 7093, 21, 'عرض ملف x12-835 ERA');
INSERT INTO `lang_definitions` VALUES (82348, 7094, 21, 'عرض جملة المطالبات x12 النصي');
INSERT INTO `lang_definitions` VALUES (82349, 7097, 21, 'عرض تقرير المريض الشامل');
INSERT INTO `lang_definitions` VALUES (82350, 7098, 21, 'عرض جداول CSV');
INSERT INTO `lang_definitions` VALUES (82351, 7100, 21, 'عرض المستند');
INSERT INTO `lang_definitions` VALUES (82352, 7101, 21, 'عرض المراجعة');
INSERT INTO `lang_definitions` VALUES (82353, 7102, 21, 'عرض نص ERA x12');
INSERT INTO `lang_definitions` VALUES (82354, 7103, 21, 'عرض الأحداث في نافذة منبثقة؟');
INSERT INTO `lang_definitions` VALUES (82355, 7104, 21, 'اعرض معلومات مستخدم منشأة مخصوص');
INSERT INTO `lang_definitions` VALUES (82356, 7106, 21, 'عرض ملف X12 الداخلي');
INSERT INTO `lang_definitions` VALUES (82357, 7107, 21, 'عرض السجل');
INSERT INTO `lang_definitions` VALUES (82358, 7108, 21, 'عرض الصفحة ١');
INSERT INTO `lang_definitions` VALUES (82359, 7109, 21, 'عرض الصفحة ٢');
INSERT INTO `lang_definitions` VALUES (82360, 7110, 21, 'عرض رسائل التذكير الماضية والمستقبلية');
INSERT INTO `lang_definitions` VALUES (82361, 7111, 21, 'عرض المريض');
INSERT INTO `lang_definitions` VALUES (82362, 7116, 21, 'عرض المراجعات ذات العلاقة');
INSERT INTO `lang_definitions` VALUES (82363, 7117, 21, 'عرض التقرير');
INSERT INTO `lang_definitions` VALUES (82364, 7118, 21, 'عرض الملف التمهيدي');
INSERT INTO `lang_definitions` VALUES (82365, 7121, 21, 'عرض / تعديل أمراض الحساسية');
INSERT INTO `lang_definitions` VALUES (82366, 7122, 21, 'عرض / تعديل المشكلة');
INSERT INTO `lang_definitions` VALUES (82367, 7123, 21, 'عرض / طباعة');
INSERT INTO `lang_definitions` VALUES (82368, 7124, 21, 'عرض:');
INSERT INTO `lang_definitions` VALUES (82369, 7125, 21, 'بطاقة فيزا التأمينية');
INSERT INTO `lang_definitions` VALUES (82370, 7126, 21, 'البطاقات التأمينية: فيزا/ماستر كارد/اميركان اكسبرس/ديسكفري');
INSERT INTO `lang_definitions` VALUES (82371, 7127, 21, 'الأحشاء: ضرر/إِصَابَة/جراحة');
INSERT INTO `lang_definitions` VALUES (82372, 7133, 21, 'تصنيف الزيارة');
INSERT INTO `lang_definitions` VALUES (82373, 7134, 21, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (82374, 7135, 21, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (82375, 7137, 21, 'استمارات الزيارة');
INSERT INTO `lang_definitions` VALUES (82376, 7138, 21, 'تاريخ الزيارة');
INSERT INTO `lang_definitions` VALUES (82377, 7140, 21, 'الزيارات');
INSERT INTO `lang_definitions` VALUES (82378, 7141, 21, 'استمارة الزيارة');
INSERT INTO `lang_definitions` VALUES (82379, 7142, 21, 'العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (82380, 7143, 21, 'العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (82381, 7144, 21, 'العلامات الحيوية (النظام المتري)');
INSERT INTO `lang_definitions` VALUES (82382, 7145, 21, 'خيارات استمارة العلامات الحيوية');
INSERT INTO `lang_definitions` VALUES (82383, 7146, 21, 'الصوت');
INSERT INTO `lang_definitions` VALUES (82384, 7147, 21, 'تم إرسال الصوت');
INSERT INTO `lang_definitions` VALUES (82385, 7149, 21, 'التقيؤ');
INSERT INTO `lang_definitions` VALUES (82386, 7151, 21, 'و');
INSERT INTO `lang_definitions` VALUES (82387, 7152, 21, 'محيط الخصر');
INSERT INTO `lang_definitions` VALUES (82388, 7153, 21, 'محيط الخصر');
INSERT INTO `lang_definitions` VALUES (82389, 7154, 21, 'في الانتظار');
INSERT INTO `lang_definitions` VALUES (82390, 7155, 21, 'مراجع بدون موعد');
INSERT INTO `lang_definitions` VALUES (82391, 7157, 21, 'والت بنينجتون');
INSERT INTO `lang_definitions` VALUES (82392, 7158, 21, 'المستودعات');
INSERT INTO `lang_definitions` VALUES (82393, 7159, 21, 'المستودع الحد الأعلى, ٠ إذا كان غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (82394, 7160, 21, 'المستودع الحد الأدنى, ٠ إذا كان غير قابل للتطبيق');
INSERT INTO `lang_definitions` VALUES (82395, 7161, 21, 'المستودعات');
INSERT INTO `lang_definitions` VALUES (82396, 7162, 21, 'دافئ');
INSERT INTO `lang_definitions` VALUES (82397, 7163, 21, 'التحذير');
INSERT INTO `lang_definitions` VALUES (82398, 7164, 21, 'التحذير');
INSERT INTO `lang_definitions` VALUES (82399, 7166, 21, 'تحذير: الرقم موجود سابقاً');
INSERT INTO `lang_definitions` VALUES (82400, 7167, 21, 'تحذير: المريض لديه رموز غامضة في قائمة المشاكل!');
INSERT INTO `lang_definitions` VALUES (82401, 7168, 21, 'تحذير: تم انشاء زيارة لهذا المريض اليوم!');
INSERT INTO `lang_definitions` VALUES (82402, 7169, 21, 'تحذير: إذا كنت تستخدم 2012-10-31 النسخة الاسبانية، لاحظ أنك تحتاج إلى فك الضغط لمرة واحدة قبل وضعه في contrib / SNOMED (هذا لأن الملف المصدر كان  \" مضغوط مرتين \").');
INSERT INTO `lang_definitions` VALUES (82403, 7170, 21, 'تحذير: هوية المريض غير مخصصة');
INSERT INTO `lang_definitions` VALUES (82404, 7171, 21, 'تحذير');
INSERT INTO `lang_definitions` VALUES (82405, 7173, 21, 'تحذيرات');
INSERT INTO `lang_definitions` VALUES (82406, 7175, 21, 'تم التحميل تلقائيا');
INSERT INTO `lang_definitions` VALUES (82407, 7176, 21, 'لا يوجد');
INSERT INTO `lang_definitions` VALUES (82408, 7177, 21, 'نُقدر لكم الدفع الفوري للديون المستحقة');
INSERT INTO `lang_definitions` VALUES (82409, 7178, 21, 'رأينا مريضكم المذكور أعلاه لتلقي الكشف والعلاج في عيادة الطب النفسي عياداتنا الخارجية. شكرا لكم على هذه الإحالة.');
INSERT INTO `lang_definitions` VALUES (82410, 7179, 21, 'الضعف');
INSERT INTO `lang_definitions` VALUES (82411, 7181, 21, 'بحث عن طريق الويب');
INSERT INTO `lang_definitions` VALUES (82412, 7182, 21, 'موقع');
INSERT INTO `lang_definitions` VALUES (82413, 7183, 21, 'وصلة الأنترنت لبوابة المريض على الموقع');
INSERT INTO `lang_definitions` VALUES (82414, 7184, 21, 'الأربعاء');
INSERT INTO `lang_definitions` VALUES (82415, 7185, 21, 'الأربعاء');
INSERT INTO `lang_definitions` VALUES (82416, 7186, 21, 'أسبوع');
INSERT INTO `lang_definitions` VALUES (82417, 7187, 21, 'أسبوع');
INSERT INTO `lang_definitions` VALUES (82418, 7188, 21, 'حسب الإسبوع');
INSERT INTO `lang_definitions` VALUES (82419, 7189, 21, 'الإسبوع');
INSERT INTO `lang_definitions` VALUES (82420, 7190, 21, 'التعرض الإسبوعي');
INSERT INTO `lang_definitions` VALUES (82421, 7191, 21, 'أسابيع');
INSERT INTO `lang_definitions` VALUES (82422, 7192, 21, 'أسابيع');
INSERT INTO `lang_definitions` VALUES (82423, 7193, 21, 'الوزن');
INSERT INTO `lang_definitions` VALUES (82424, 7194, 21, 'تقييم الوزن لدى الأطفال و المراهقين');
INSERT INTO `lang_definitions` VALUES (82425, 7195, 21, 'تقييم الوزن لدى الأطفال و المراهقين');
INSERT INTO `lang_definitions` VALUES (82426, 7196, 21, 'تغير الوزن');
INSERT INTO `lang_definitions` VALUES (82427, 7197, 21, 'خسارة الوزن');
INSERT INTO `lang_definitions` VALUES (82428, 7198, 21, 'عيادة خسارة الوزن');
INSERT INTO `lang_definitions` VALUES (82429, 7199, 21, 'أهلاً وسهلاً');
INSERT INTO `lang_definitions` VALUES (82430, 7202, 21, 'ما هو الشيئ الذى تريد عده؟');
INSERT INTO `lang_definitions` VALUES (82431, 7203, 21, 'الوزيز:');
INSERT INTO `lang_definitions` VALUES (82432, 7204, 21, 'الوزيز');
INSERT INTO `lang_definitions` VALUES (82433, 7205, 21, 'الوزيز:');
INSERT INTO `lang_definitions` VALUES (82434, 7208, 21, 'أين يمكن إيجاد الأوراق المنسوخة؟');
INSERT INTO `lang_definitions` VALUES (82435, 7209, 21, 'هل من تأمين؟');
INSERT INTO `lang_definitions` VALUES (82436, 7211, 21, 'أذية العنق');
INSERT INTO `lang_definitions` VALUES (82437, 7212, 21, 'أبيض');
INSERT INTO `lang_definitions` VALUES (82438, 7213, 21, 'من');
INSERT INTO `lang_definitions` VALUES (82439, 7214, 21, 'من قام بالرد؟');
INSERT INTO `lang_definitions` VALUES (82440, 7215, 21, 'أرملة');
INSERT INTO `lang_definitions` VALUES (82441, 7216, 21, 'العرض');
INSERT INTO `lang_definitions` VALUES (82442, 7217, 21, 'العرض بالبكسل لإطار الإبحار الأيسر.');
INSERT INTO `lang_definitions` VALUES (82443, 7221, 21, 'مع المختار:');
INSERT INTO `lang_definitions` VALUES (82444, 7222, 21, 'مع الاسم القديم');
INSERT INTO `lang_definitions` VALUES (82445, 7224, 21, 'مع أي شخص تريد ترك رسالة ؟');
INSERT INTO `lang_definitions` VALUES (82446, 7225, 21, 'مُعلق!');
INSERT INTO `lang_definitions` VALUES (82447, 7226, 21, 'خلال ساعات');
INSERT INTO `lang_definitions` VALUES (82448, 7227, 21, 'خلال ساعات');
INSERT INTO `lang_definitions` VALUES (82449, 7228, 21, 'خلال دقائق');
INSERT INTO `lang_definitions` VALUES (82450, 7229, 21, 'خلال دقائق');
INSERT INTO `lang_definitions` VALUES (82451, 7230, 21, 'بدون منشأة');
INSERT INTO `lang_definitions` VALUES (82452, 7231, 21, 'بدون مزود');
INSERT INTO `lang_definitions` VALUES (82453, 7232, 21, 'من غير تحديث');
INSERT INTO `lang_definitions` VALUES (82454, 7233, 21, 'شاهد');
INSERT INTO `lang_definitions` VALUES (82455, 7234, 21, 'إسبوع');
INSERT INTO `lang_definitions` VALUES (82456, 7235, 21, 'ضمن الحدود الطبيعية');
INSERT INTO `lang_definitions` VALUES (82457, 7237, 21, 'نساء');
INSERT INTO `lang_definitions` VALUES (82458, 7238, 21, 'نساء فقط');
INSERT INTO `lang_definitions` VALUES (82459, 7240, 21, 'عمل');
INSERT INTO `lang_definitions` VALUES (82460, 7241, 21, 'ملاحظة عمل');
INSERT INTO `lang_definitions` VALUES (82461, 7242, 21, 'رقم العمل');
INSERT INTO `lang_definitions` VALUES (82462, 7243, 21, 'رقم العمل');
INSERT INTO `lang_definitions` VALUES (82463, 7244, 21, 'متعلق بالعمل؟');
INSERT INTO `lang_definitions` VALUES (82464, 7245, 21, 'العمل/التعليم /الهوايات');
INSERT INTO `lang_definitions` VALUES (82465, 7246, 21, 'إشْعار للعمل/المدرسة');
INSERT INTO `lang_definitions` VALUES (82466, 7247, 21, 'يوم عمل');
INSERT INTO `lang_definitions` VALUES (82467, 7248, 21, 'تعويض العامل');
INSERT INTO `lang_definitions` VALUES (82468, 7249, 21, 'خطة صحية لعويض العمال');
INSERT INTO `lang_definitions` VALUES (82469, 7250, 21, 'مستفيد في سن العمل او زوجة لموظف بخطة صحية جماعية');
INSERT INTO `lang_definitions` VALUES (82470, 7251, 21, 'جاري العمل...قد يأخذ هذا وقتا');
INSERT INTO `lang_definitions` VALUES (82471, 7252, 21, 'أسوأ');
INSERT INTO `lang_definitions` VALUES (82472, 7253, 21, 'هل تريد ان تطبق متبقى المبلغ للحساب العالمي؟');
INSERT INTO `lang_definitions` VALUES (82473, 7254, 21, 'هل تريد ان تصنفهم كخالص؟');
INSERT INTO `lang_definitions` VALUES (82474, 7255, 21, 'هل تريد التخصيص ؟');
INSERT INTO `lang_definitions` VALUES (82475, 7256, 21, 'هل تريد مسح التوزيع لهذا المريض ؟');
INSERT INTO `lang_definitions` VALUES (82476, 7257, 21, 'هل تريد مسح توزيع الدفع ؟');
INSERT INTO `lang_definitions` VALUES (82477, 7258, 21, 'هل تريد مسح الدفع ؟');
INSERT INTO `lang_definitions` VALUES (82478, 7259, 21, 'هل تريد ارسال وإنهاء الدفع؟');
INSERT INTO `lang_definitions` VALUES (82479, 7260, 21, 'هل تريد تعديل الدفع؟');
INSERT INTO `lang_definitions` VALUES (82480, 7261, 21, 'هل تريد ارسال وإنهاء الدفع؟');
INSERT INTO `lang_definitions` VALUES (82481, 7262, 21, 'هل تريد ارسال دفعة ؟');
INSERT INTO `lang_definitions` VALUES (82482, 7263, 21, 'هل تريد الحفظ؟');
INSERT INTO `lang_definitions` VALUES (82483, 7264, 21, 'الرسغ');
INSERT INTO `lang_definitions` VALUES (82484, 7265, 21, 'الرسغ و اليد');
INSERT INTO `lang_definitions` VALUES (82485, 7266, 21, 'مشاكل الرسغ');
INSERT INTO `lang_definitions` VALUES (82486, 7267, 21, 'اكتب');
INSERT INTO `lang_definitions` VALUES (82487, 7268, 21, 'امسح');
INSERT INTO `lang_definitions` VALUES (82488, 7271, 21, 'وزن');
INSERT INTO `lang_definitions` VALUES (82489, 7273, 21, 'x ملغي');
INSERT INTO `lang_definitions` VALUES (82490, 7274, 21, 'x ملغي');
INSERT INTO `lang_definitions` VALUES (82491, 7275, 21, 'الاشعة السينية');
INSERT INTO `lang_definitions` VALUES (82492, 7276, 21, 'تفسير الاشعة السينية:');
INSERT INTO `lang_definitions` VALUES (82493, 7277, 21, 'تفسير الاشعة السينية:');
INSERT INTO `lang_definitions` VALUES (82494, 7278, 21, 'X12 فقط: مطالبة بديلة ');
INSERT INTO `lang_definitions` VALUES (82495, 7279, 21, 'X12 شريك');
INSERT INTO `lang_definitions` VALUES (82496, 7280, 21, 'X12 شركاء');
INSERT INTO `lang_definitions` VALUES (82497, 7281, 21, 'X12 إمتحان');
INSERT INTO `lang_definitions` VALUES (82498, 7284, 21, 'ي');
INSERT INTO `lang_definitions` VALUES (82499, 7285, 21, 'سنة');
INSERT INTO `lang_definitions` VALUES (82500, 7286, 21, 'سنة');
INSERT INTO `lang_definitions` VALUES (82501, 7287, 21, 'مشاهدة السنة');
INSERT INTO `lang_definitions` VALUES (82502, 7288, 21, 'سنوات');
INSERT INTO `lang_definitions` VALUES (82503, 7289, 21, 'سنوات');
INSERT INTO `lang_definitions` VALUES (82504, 7290, 21, 'سنوات أو شهور');
INSERT INTO `lang_definitions` VALUES (82505, 7291, 21, 'سنوات . شهور و أيام');
INSERT INTO `lang_definitions` VALUES (82506, 7292, 21, 'نعم');
INSERT INTO `lang_definitions` VALUES (82507, 7293, 21, 'نعم');
INSERT INTO `lang_definitions` VALUES (82508, 7294, 21, 'نعم');
INSERT INTO `lang_definitions` VALUES (82509, 7295, 21, 'نعم!');
INSERT INTO `lang_definitions` VALUES (82510, 7296, 21, 'نعم، إحذف وسجّل');
INSERT INTO `lang_definitions` VALUES (82511, 7298, 21, 'نعم / لا');
INSERT INTO `lang_definitions` VALUES (82512, 7299, 21, 'نعم:');
INSERT INTO `lang_definitions` VALUES (82513, 7300, 21, 'اليديشية');
INSERT INTO `lang_definitions` VALUES (82514, 7303, 21, 'أنت على وشك استبدال قالب موجود نهائيا. هل أنت متأكد أنك تريد المتابعة؟');
INSERT INTO `lang_definitions` VALUES (82515, 7304, 21, 'أنت الآن في فترة دخول مسموحة. قم بتغيير كلمة السر قبل');
INSERT INTO `lang_definitions` VALUES (82516, 7305, 21, 'غير مسموح لك بالمسح');
INSERT INTO `lang_definitions` VALUES (82517, 7306, 21, 'غير مسموح لك بالتعديل');
INSERT INTO `lang_definitions` VALUES (82518, 7307, 21, 'لا يحق لك هذا.');
INSERT INTO `lang_definitions` VALUES (82519, 7308, 21, 'غير مصرح لك بالوصول إلى هذه المجموعة.');
INSERT INTO `lang_definitions` VALUES (82520, 7309, 21, 'غير مصرح لك لإضافة / تحرير المشاكل');
INSERT INTO `lang_definitions` VALUES (82521, 7310, 21, 'غير مصرح لك بجدولة المواعيد.');
INSERT INTO `lang_definitions` VALUES (82522, 7311, 21, 'لا يحق لك أن تطلع على هذه المراجعة.');
INSERT INTO `lang_definitions` VALUES (82523, 7312, 21, 'أنت تقوم بالإضافة ضد مراجعة قديمة؟');
INSERT INTO `lang_definitions` VALUES (82524, 7313, 21, 'لا يمكن الوصول لهذه الخدمة مباشرة');
INSERT INTO `lang_definitions` VALUES (82525, 7314, 21, 'لا يمكن الوصول لهذه الصفحة مباشرة');
INSERT INTO `lang_definitions` VALUES (82526, 7315, 21, 'لا يمكنك إضافة قيمة فارغة لفئة!');
INSERT INTO `lang_definitions` VALUES (82527, 7316, 21, 'لا يمكنك إضافة قيمة فارغة لفئة فرعية!');
INSERT INTO `lang_definitions` VALUES (82528, 7317, 21, 'لا يمكنك إضافة قيمة فارغة لعنصر!');
INSERT INTO `lang_definitions` VALUES (82529, 7318, 21, 'لا يمكنك إدخال تاريخ في المستقبل ذا قيمة منجزة من نعم.');
INSERT INTO `lang_definitions` VALUES (82530, 7319, 21, 'لم تختر أي إجراءات');
INSERT INTO `lang_definitions` VALUES (82531, 7320, 21, 'ليس لديك إمكانية الوصول إلى عرض / تعديل هذه المذكرة');
INSERT INTO `lang_definitions` VALUES (82532, 7321, 21, 'لقد حاولت تغيير المحتوى المغلق.  قم بإزالة القفل إذا كنت ترغب في القيام بهذا.  للفتح، قم بإزالة السطر، \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (82533, 7322, 21, 'تم الدخول بنجاح');
INSERT INTO `lang_definitions` VALUES (82534, 7323, 21, 'تستطيع تحميل ملفات من نوع .txt فقط');
INSERT INTO `lang_definitions` VALUES (82535, 7324, 21, 'تستطيع تحميل بشكل اختياري نتائج HL7 من ملف');
INSERT INTO `lang_definitions` VALUES (82536, 7325, 21, 'يمكنك وضع نص هنا كشكوى افتراضية في نموذج مراجعة مريض جديد.');
INSERT INTO `lang_definitions` VALUES (82537, 7326, 21, 'يجب عليك إدخال عبارة مرور لتشفير المستند');
INSERT INTO `lang_definitions` VALUES (82538, 7327, 21, 'يجب عليك إدخال كلمة المرور الخاصة بك لتغيير كلمات السر للمستخدم. اتركه فارغا لإبقاء كلمة السر بدون تغيير.');
INSERT INTO `lang_definitions` VALUES (82539, 7329, 21, 'يجب عليك أولا اختيار أو إضافة مريض.');
INSERT INTO `lang_definitions` VALUES (82540, 7330, 21, 'يجب عليك أولا اختيار أو إنشاء مراجعة.');
INSERT INTO `lang_definitions` VALUES (82541, 7331, 21, 'يجب عليك اختيار فئة الزيارة.');
INSERT INTO `lang_definitions` VALUES (82542, 7332, 21, 'يجب عليك اختيار فئة الزيارة');
INSERT INTO `lang_definitions` VALUES (82543, 7333, 21, 'يجب عليك اختيار بعض الحقول للاستمرار');
INSERT INTO `lang_definitions` VALUES (82544, 7334, 21, 'عليك أن تجري هذا الاختبار إذا ظهر أن هذه المطالبة أنشأت بنجاح ولكن لا يحتوي ملف المطالبة الفعلية على أية بيانات أو مجرد جزء غير مكتمل من كمية البيانات التي من المفترض أن تحتوي عليها. فإنه من الواضح مع مطالبات HCFA لأنها قابل للقراءة البشرية، مع مطالبات X12 ستكون العملية أكثر صعوبة لتحديد ما إذا كانت المطالبة كاملة بشكل صحيح.');
INSERT INTO `lang_definitions` VALUES (82545, 7335, 21, 'يجب عليك تحديد سياق واحد على الأقل');
INSERT INTO `lang_definitions` VALUES (82546, 7336, 21, 'يجب عليك اختيار موزع واحد على الاقل');
INSERT INTO `lang_definitions` VALUES (82547, 7339, 21, 'تاريخ اخر يوم غير صحيح');
INSERT INTO `lang_definitions` VALUES (82548, 7340, 21, 'تم مسح الحدث');
INSERT INTO `lang_definitions` VALUES (82549, 7341, 21, 'تم تعديل الحدث');
INSERT INTO `lang_definitions` VALUES (82550, 7342, 21, 'تم ادخال الحدث');
INSERT INTO `lang_definitions` VALUES (82551, 7343, 21, 'الملف كبير جدا');
INSERT INTO `lang_definitions` VALUES (82552, 7345, 21, 'تم تغيير اسم القائمة الخاصة بك لتلبية متطلبات التسمية.');
INSERT INTO `lang_definitions` VALUES (82553, 7346, 21, 'قدمت رسالتك لتسليمها إلى');
INSERT INTO `lang_definitions` VALUES (82554, 7347, 21, 'اسمك لهذه الفئة إجراءات أو نتيجة');
INSERT INTO `lang_definitions` VALUES (82555, 7348, 21, 'كلمة السر الخاصة بك');
INSERT INTO `lang_definitions` VALUES (82556, 7349, 21, 'انتهاء مدة صلاحية كلمة السر الخاصة بك. الرجاء تغيير كلمة السر.');
INSERT INTO `lang_definitions` VALUES (82557, 7350, 21, 'كلمة السر الخاصة بك تنتهي في');
INSERT INTO `lang_definitions` VALUES (82558, 7351, 21, 'انتهاء مدة صلاحية كلمة السر الخاصة بك اليوم. الرجاء تغيير كلمة السر.');
INSERT INTO `lang_definitions` VALUES (82559, 7353, 21, 'وقد تم إعادة ضبط اعدادات PostCalendar الخاصة بك لاستخدام الإعدادات الافتراضية.');
INSERT INTO `lang_definitions` VALUES (82560, 7354, 21, 'تم تحديث اعدادات PostCalendar الخاص بك.');
INSERT INTO `lang_definitions` VALUES (82561, 7355, 21, 'عدد مرات التكرار يجب ان تكون عدد صحيح');
INSERT INTO `lang_definitions` VALUES (82562, 7356, 21, 'عدد مرات التكرار يجب ان تكون ١ على الاقل');
INSERT INTO `lang_definitions` VALUES (82563, 7357, 21, 'تاريخ اول يوم أكبر من تاريخ أخر يوم');
INSERT INTO `lang_definitions` VALUES (82564, 7358, 21, 'تاريخ اول يوم غير صحيح');
INSERT INTO `lang_definitions` VALUES (82565, 7359, 21, 'فشل الإدخال');
INSERT INTO `lang_definitions` VALUES (82566, 7360, 21, 'سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82567, 7361, 21, 'سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82568, 7362, 21, 'نظام الأيام لهذة الوثيقة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82569, 7363, 21, 'تم اتلاف نظام الأيام سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82570, 7364, 21, 'تاريخ الوﻻدة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82571, 7365, 21, 'تاريخ الوﻻدة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82572, 7366, 21, 'تاريخ الوفاة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82573, 7367, 21, 'تاريخ البدء او إدخال المستشفي سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82574, 7368, 21, 'تاريخ البدء, الجراحة او بدء المعالجة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82575, 7369, 21, 'تاريخ الشراء او التحويل سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82576, 7370, 21, 'تاريخ التعافي او نهاية المعالجة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82577, 7371, 21, 'تاريخ الرجوع ل اللعب سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82578, 7372, 21, 'تاريخ الخدمة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82579, 7373, 21, 'تاريخ هذة الرسالة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82580, 7374, 21, 'تاريخ الرجوع ل اللعب سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82581, 7375, 21, 'تاريخ هذة الوثيقة سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82582, 7376, 21, 'تاريخ هذا الحدث او البدء سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82583, 7377, 21, 'تاريخ النهاية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (82584, 7378, 21, 'تاريخ النهاية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (82585, 7379, 21, 'تاريخ البداية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (82586, 7380, 21, 'تاريخ البداية سنة/شهر/يوم ساعه/دقيقة');
INSERT INTO `lang_definitions` VALUES (82587, 7381, 21, 'سنة/شهر/يوم ساعه/دقيقة/ثانية');
INSERT INTO `lang_definitions` VALUES (82588, 7382, 21, 'سنة/شهر/يوم ساعه(24):دقيقة');
INSERT INTO `lang_definitions` VALUES (82589, 7383, 21, 'آخر موعد لهذا الحدث سنة/شهر/يوم');
INSERT INTO `lang_definitions` VALUES (82590, 7387, 21, 'صفر');
INSERT INTO `lang_definitions` VALUES (82591, 7389, 21, 'البريد');
INSERT INTO `lang_definitions` VALUES (82592, 7390, 21, 'الرمز البريدي');
INSERT INTO `lang_definitions` VALUES (82593, 7391, 21, 'الرمز البريدي/الدولة');
INSERT INTO `lang_definitions` VALUES (82594, 7392, 21, 'زولو');
INSERT INTO `lang_definitions` VALUES (82595, 7393, 21, ' لكن كان ');
INSERT INTO `lang_definitions` VALUES (82596, 7394, 21, ' لا يمكن الوصول');
INSERT INTO `lang_definitions` VALUES (82597, 7395, 21, 'هل تريد المسح');
INSERT INTO `lang_definitions` VALUES (82598, 7396, 21, 'الدواء');
INSERT INTO `lang_definitions` VALUES (82599, 7397, 21, 'لم يتم ارسال البريد الالكتروني');
INSERT INTO `lang_definitions` VALUES (82600, 7398, 21, 'من');
INSERT INTO `lang_definitions` VALUES (82601, 7399, 21, 'قد تم الانشاء ');
INSERT INTO `lang_definitions` VALUES (82602, 7400, 21, 'قد تم اعادة فتح');
INSERT INTO `lang_definitions` VALUES (82603, 7401, 21, 'تاريخ');
INSERT INTO `lang_definitions` VALUES (82604, 7402, 21, 'ليس رقم');
INSERT INTO `lang_definitions` VALUES (82605, 7403, 21, 'جاهز لاعادة الفوترة');
INSERT INTO `lang_definitions` VALUES (82606, 7404, 21, 'LLL:');
INSERT INTO `lang_definitions` VALUES (82607, 7405, 21, 'كثير');
INSERT INTO `lang_definitions` VALUES (82608, 7406, 21, 'رقم مرجع النسخة الأ صلية للميديكيد (Medicaid) ');
INSERT INTO `lang_definitions` VALUES (82609, 7407, 21, 'الأدنى');
INSERT INTO `lang_definitions` VALUES (82610, 7408, 21, 'لا يوجد');
INSERT INTO `lang_definitions` VALUES (82611, 7409, 21, 'النتائج الغير متوقعة في العديد من المتصفحات قد تعني أن المخرجات قد تظهر على الشاشة بشكل مفاجئة وأن هناك فترات توقف طويلة من عدة ثوان حيث يبدو وكأن الأمور قد تعطلت.لكن ليس هذا هو الحال، سوف ترى في نهاية المطاف خرج البيانات سطرا سطرا. قد يكون هناك أرقام متسلسلة تظهر أدناه، وهذه إشارة إلى أنه على الرغم من عدم ظهور أي شيء, يوجد نشاط قائم حاليا. وستتخلل هذه الأرقام مع محتوى الفواتير وهذا أمر طبيعي.');
INSERT INTO `lang_definitions` VALUES (82612, 7410, 21, 'الوصف قد وصلت لحدود ال');
INSERT INTO `lang_definitions` VALUES (82613, 7411, 21, 'حتى');
INSERT INTO `lang_definitions` VALUES (82614, 7412, 21, 'فشل التحديث, غير موجود في قاعدة البيانات؟');
INSERT INTO `lang_definitions` VALUES (82615, 7413, 21, 'تم تحديدها كرسوم');
INSERT INTO `lang_definitions` VALUES (82616, 7414, 21, 'تم الوضع في قائمة الانتظار بنجاح.');
INSERT INTO `lang_definitions` VALUES (82617, 7415, 21, 'تُرك بدون زيارة!');
INSERT INTO `lang_definitions` VALUES (82618, 7416, 21, '\" للترميز');
INSERT INTO `lang_definitions` VALUES (82619, 7417, 21, '\"محددا في إعدادات PostCalendar!');
INSERT INTO `lang_definitions` VALUES (82620, 7418, 21, '# مسألة تأمينية/مالية');
INSERT INTO `lang_definitions` VALUES (82621, 7419, 21, '# من الحبوب:');
INSERT INTO `lang_definitions` VALUES (82622, 7420, 21, '$');
INSERT INTO `lang_definitions` VALUES (82623, 7421, 21, '$ تم الترميز');
INSERT INTO `lang_definitions` VALUES (82624, 7422, 21, '$ تسمية سنة/شهر/يوم: ');
INSERT INTO `lang_definitions` VALUES (82625, 7423, 21, '%');
INSERT INTO `lang_definitions` VALUES (82626, 7424, 21, '٪ ملغاة < 24 ساعة');
INSERT INTO `lang_definitions` VALUES (82627, 7425, 21, '٪ ملغاة < 24 ساعة ');
INSERT INTO `lang_definitions` VALUES (82628, 7426, 21, 'كان يجب أن تكون موجودة ولكنها ليست كذلك.');
INSERT INTO `lang_definitions` VALUES (82629, 7427, 21, '(% تطابق أي سلسلة، _ تطابق أي حرف)');
INSERT INTO `lang_definitions` VALUES (82630, 7428, 21, '([ctrl] + انقر لتحديد عدة مستلمين)');
INSERT INTO `lang_definitions` VALUES (82631, 7429, 21, '(رجوع)');
INSERT INTO `lang_definitions` VALUES (82632, 7430, 21, '(انقر للتعديل)');
INSERT INTO `lang_definitions` VALUES (82633, 7431, 21, '(ارسال بريد إلكتروني عاجل, في حين يتم ارسال VOIP آلي إلى مزود الخدمة لمزيد من المعالجة)');
INSERT INTO `lang_definitions` VALUES (82634, 7432, 21, '(أكثر)');
INSERT INTO `lang_definitions` VALUES (82635, 7433, 21, '(مريض جديد)');
INSERT INTO `lang_definitions` VALUES (82636, 7434, 21, '(الملاحظات والصلاحيات)');
INSERT INTO `lang_definitions` VALUES (82637, 7435, 21, '(ملاحظات المريض)');
INSERT INTO `lang_definitions` VALUES (82638, 7436, 21, '(اختر واحده من هذه, أو اكتب عنوان خاص بك)');
INSERT INTO `lang_definitions` VALUES (82639, 7437, 21, '(مفتاح Shift) انقر أو اسحب لتغيير القيمة');
INSERT INTO `lang_definitions` VALUES (82640, 7438, 21, '*تم التذكير');
INSERT INTO `lang_definitions` VALUES (82641, 7439, 21, '** يرجى نقل الجراحات إلى المشاكل!');
INSERT INTO `lang_definitions` VALUES (82642, 7440, 21, '*مطلوب');
INSERT INTO `lang_definitions` VALUES (82643, 7441, 21, 'الرسم البياني انسحب +');
INSERT INTO `lang_definitions` VALUES (82644, 7442, 21, '- لا شيء');
INSERT INTO `lang_definitions` VALUES (82645, 7443, 21, '-- الكل --');
INSERT INTO `lang_definitions` VALUES (82646, 7444, 21, '--تحديد المهمة--');
INSERT INTO `lang_definitions` VALUES (82647, 7445, 21, '.');
INSERT INTO `lang_definitions` VALUES (82648, 7446, 21, '0');
INSERT INTO `lang_definitions` VALUES (82649, 7447, 21, '0-10');
INSERT INTO `lang_definitions` VALUES (82650, 7448, 21, '0-24');
INSERT INTO `lang_definitions` VALUES (82651, 7451, 21, '1');
INSERT INTO `lang_definitions` VALUES (82652, 7452, 21, '1=امريكا الشمالية. انظر http://www.wtng.info/ لقائمة رموز باقي الدول');
INSERT INTO `lang_definitions` VALUES (82653, 7453, 21, 'يوم واحد من الان');
INSERT INTO `lang_definitions` VALUES (82654, 7454, 21, 'شهر واحد من الان');
INSERT INTO `lang_definitions` VALUES (82655, 7455, 21, 'اسبوع واحد من الان');
INSERT INTO `lang_definitions` VALUES (82656, 7456, 21, 'سنة واحدة من الان');
INSERT INTO `lang_definitions` VALUES (82657, 7457, 21, '1.راحة 2.ثلج لمدة يومين 3. ضغط، وترك خلع الملابس ما لم تتخدر القدم أو لون شاحب 4.رفع القدم والساق');
INSERT INTO `lang_definitions` VALUES (82658, 7458, 21, '11-14');
INSERT INTO `lang_definitions` VALUES (82659, 7459, 21, '12 ساعة');
INSERT INTO `lang_definitions` VALUES (82660, 7460, 21, '15-19');
INSERT INTO `lang_definitions` VALUES (82661, 7462, 21, '2');
INSERT INTO `lang_definitions` VALUES (82662, 7463, 21, 'يومين من الان');
INSERT INTO `lang_definitions` VALUES (82663, 7464, 21, 'شهرين من الان');
INSERT INTO `lang_definitions` VALUES (82664, 7465, 21, 'أسبوعين من الان');
INSERT INTO `lang_definitions` VALUES (82665, 7466, 21, 'سنتين من الان');
INSERT INTO `lang_definitions` VALUES (82666, 7467, 21, '2-20 سنه');
INSERT INTO `lang_definitions` VALUES (82667, 7468, 21, '20-24');
INSERT INTO `lang_definitions` VALUES (82668, 7477, 21, '2111-13');
INSERT INTO `lang_definitions` VALUES (82669, 7478, 21, '24 ساعة');
INSERT INTO `lang_definitions` VALUES (82670, 7479, 21, '25+');
INSERT INTO `lang_definitions` VALUES (82671, 7480, 21, '25-29');
INSERT INTO `lang_definitions` VALUES (82672, 7481, 21, 'الثاني');
INSERT INTO `lang_definitions` VALUES (82673, 7482, 21, '٣ أيام من الان');
INSERT INTO `lang_definitions` VALUES (82674, 7483, 21, '٣ أشهر');
INSERT INTO `lang_definitions` VALUES (82675, 7484, 21, '٣ أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82676, 7485, 21, '٣ مرات يوميا');
INSERT INTO `lang_definitions` VALUES (82677, 7486, 21, '٣ أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (82678, 7487, 21, '30-34');
INSERT INTO `lang_definitions` VALUES (82679, 7488, 21, '35-39');
INSERT INTO `lang_definitions` VALUES (82680, 7489, 21, 'الثالث');
INSERT INTO `lang_definitions` VALUES (82681, 7490, 21, '٤ أيام من الان');
INSERT INTO `lang_definitions` VALUES (82682, 7491, 21, '٤ أشهر');
INSERT INTO `lang_definitions` VALUES (82683, 7492, 21, '٤ أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82684, 7493, 21, '٤ مرات يوميا');
INSERT INTO `lang_definitions` VALUES (82685, 7494, 21, '٤ أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (82686, 7495, 21, '40-44');
INSERT INTO `lang_definitions` VALUES (82687, 7496, 21, '45+');
INSERT INTO `lang_definitions` VALUES (82688, 7497, 21, '465.9,عدوى الجهاز التنفسى العلوي');
INSERT INTO `lang_definitions` VALUES (82689, 7498, 21, '466.0, التهاب الشعب الهوائية الحاد');
INSERT INTO `lang_definitions` VALUES (82690, 7499, 21, '486.0, إلتهاب رئوي حاد');
INSERT INTO `lang_definitions` VALUES (82691, 7500, 21, '491.21, الدَّاءُ الرِّئَوِيُّ المُسِدُّ المُزْمِن - تفاقم');
INSERT INTO `lang_definitions` VALUES (82692, 7501, 21, '491.8, إلتهاب رئوي مزمن');
INSERT INTO `lang_definitions` VALUES (82693, 7502, 21, '493.92, ربو - تفاقم حاد');
INSERT INTO `lang_definitions` VALUES (82694, 7503, 21, '496.0, الدَّاءُ الرِّئَوِيُّ المُسِدُّ المُزْمِن');
INSERT INTO `lang_definitions` VALUES (82695, 7504, 21, 'الرابع');
INSERT INTO `lang_definitions` VALUES (82696, 7505, 21, '5 أيام من الان');
INSERT INTO `lang_definitions` VALUES (82697, 7506, 21, '5 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82698, 7507, 21, '5 أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (82699, 7508, 21, '519.7, تَشَنُّجٌ قَصَبِيّ');
INSERT INTO `lang_definitions` VALUES (82700, 7509, 21, 'الخامس');
INSERT INTO `lang_definitions` VALUES (82701, 7510, 21, '6 أيام من الان');
INSERT INTO `lang_definitions` VALUES (82702, 7511, 21, '6 أشهر');
INSERT INTO `lang_definitions` VALUES (82703, 7512, 21, '6 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82704, 7513, 21, '6 أسابيع من الان');
INSERT INTO `lang_definitions` VALUES (82705, 7514, 21, 'السادس');
INSERT INTO `lang_definitions` VALUES (82706, 7515, 21, '7 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82707, 7516, 21, '8 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82708, 7517, 21, '824.0, كسر, الكَعْبُ الإِنْسِيّ, مغلق');
INSERT INTO `lang_definitions` VALUES (82709, 7518, 21, '824.2, كسر, الكَعْبُ الوَحْشِيّ , مغلق');
INSERT INTO `lang_definitions` VALUES (82710, 7519, 21, '824.6, كسر,كَعْبِيٌّ ثُلاَثِيّ , مغلق');
INSERT INTO `lang_definitions` VALUES (82711, 7520, 21, '825.32, كسر, زورقي كعبي');
INSERT INTO `lang_definitions` VALUES (82712, 7521, 21, '825.35, كسر, قاعدة عظمة مشط القدم الخامسة');
INSERT INTO `lang_definitions` VALUES (82713, 7522, 21, '845.00, التواء الكاحل');
INSERT INTO `lang_definitions` VALUES (82714, 7523, 21, '845.01, التواء رباط الدَّالِيَّة');
INSERT INTO `lang_definitions` VALUES (82715, 7524, 21, '845.02, التواء العَقِبِيّ الشَظَوِيّ');
INSERT INTO `lang_definitions` VALUES (82716, 7525, 21, '9 أشهر من الان');
INSERT INTO `lang_definitions` VALUES (82717, 7526, 21, '99212 أنشأت - بدون صعوبات');
INSERT INTO `lang_definitions` VALUES (82718, 7527, 21, '99213 أنشأت - بقليل من الصعوبة');
INSERT INTO `lang_definitions` VALUES (82719, 7528, 21, '< في غرفة الاختبارات');
INSERT INTO `lang_definitions` VALUES (82720, 7529, 21, '> خروج');
INSERT INTO `lang_definitions` VALUES (82721, 7530, 21, '؟');
INSERT INTO `lang_definitions` VALUES (82722, 7531, 21, '؟ عدم حضور');
INSERT INTO `lang_definitions` VALUES (82723, 7532, 21, '@ وصل');
INSERT INTO `lang_definitions` VALUES (82724, 7533, 21, '[تغيير طريقة العرض]');
INSERT INTO `lang_definitions` VALUES (82725, 7534, 21, '[تاريخ أخر مراجعة]');
INSERT INTO `lang_definitions` VALUES (82726, 7535, 21, '[يوم منذ أخر مراجعة]');
INSERT INTO `lang_definitions` VALUES (82727, 7536, 21, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (82728, 7537, 21, '[تصدير OFX]');
INSERT INTO `lang_definitions` VALUES (82729, 7538, 21, '[غير موصى به]');
INSERT INTO `lang_definitions` VALUES (82730, 7539, 21, '[عدد المراجعات]');
INSERT INTO `lang_definitions` VALUES (82731, 7540, 21, '[التقارير]');
INSERT INTO `lang_definitions` VALUES (82732, 7541, 21, '[تحديد الكل]');
INSERT INTO `lang_definitions` VALUES (82733, 7542, 21, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (82734, 7543, 21, '[بدء معالجة الحزمة]');
INSERT INTO `lang_definitions` VALUES (82735, 7544, 21, '[عرض السجل]');
INSERT INTO `lang_definitions` VALUES (82736, 7545, 21, '[عرض تقرير قابل للطباعة]');
INSERT INTO `lang_definitions` VALUES (82737, 7546, 21, '_مدة تشغيل_الكمبيوتر_بالساعات');
INSERT INTO `lang_definitions` VALUES (82738, 7547, 21, '_مدة تشغيل_الكمبيوتر_بالدقائق');
INSERT INTO `lang_definitions` VALUES (82739, 7548, 21, '_منطقة_الكمبيوتر');
INSERT INTO `lang_definitions` VALUES (82740, 7549, 21, '~ وصول متأخر');
INSERT INTO `lang_definitions` VALUES (82741, 1, 22, 'A');
INSERT INTO `lang_definitions` VALUES (82742, 2, 22, 'Nummer, der identificerer betalingen');
INSERT INTO `lang_definitions` VALUES (82743, 3, 22, 'Patient certificat til administrator');
INSERT INTO `lang_definitions` VALUES (82744, 4, 22, 'Et klinisk dokument er vedhæftet.');
INSERT INTO `lang_definitions` VALUES (82745, 5, 22, 'Et klinisk dokument er vedhæftet.');
INSERT INTO `lang_definitions` VALUES (82746, 7, 22, 'En distributør skal anføres');
INSERT INTO `lang_definitions` VALUES (82747, 9, 22, 'Det er nødvendigt med et serienummer');
INSERT INTO `lang_definitions` VALUES (82748, 10, 22, 'Det er nødvendigt med et serienummer');
INSERT INTO `lang_definitions` VALUES (82749, 11, 22, 'Et \"lille\" bogstav');
INSERT INTO `lang_definitions` VALUES (82750, 12, 22, 'Et tal');
INSERT INTO `lang_definitions` VALUES (82751, 14, 22, 'Der findes allerede en patient med dette nummer');
INSERT INTO `lang_definitions` VALUES (82752, 15, 22, 'Der findes allerede en patient med dette navn');
INSERT INTO `lang_definitions` VALUES (82753, 16, 22, 'Der findes allerede en patient med dette CPRnummer');
INSERT INTO `lang_definitions` VALUES (82754, 17, 22, 'Et positivt tal vil vise dette antal tidligere aftaler på en widget på Patient Resume skærmen. (Et negativt tal vil vise aftalerne i faldende orden.)');
INSERT INTO `lang_definitions` VALUES (82755, 18, 22, 'Et positivt tal vil vise dette antal tidligere aftaler på en widget på Patient Resume skærmen.');
INSERT INTO `lang_definitions` VALUES (82756, 19, 22, 'En henvisning kilde kan specificeres for hvert besøg.');
INSERT INTO `lang_definitions` VALUES (82757, 20, 22, 'En relateret IPPF kode kræves.');
INSERT INTO `lang_definitions` VALUES (82758, 21, 22, 'En special karakter');
INSERT INTO `lang_definitions` VALUES (82759, 22, 22, 'En unik værdi der identificerer dette område, usynligt for brugeren');
INSERT INTO `lang_definitions` VALUES (82760, 23, 22, 'Et konsultation findes allerede for denne patient i dag. Klik på Annuller for at åbne den, eller OK for at fortsætte med at skabe en ny.');
INSERT INTO `lang_definitions` VALUES (82761, 24, 22, 'Før et måltid');
INSERT INTO `lang_definitions` VALUES (82762, 25, 22, 'Formiddag');
INSERT INTO `lang_definitions` VALUES (82763, 27, 22, 'AB');
INSERT INTO `lang_definitions` VALUES (82764, 28, 22, 'Forkortelse');
INSERT INTO `lang_definitions` VALUES (82765, 29, 22, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (82766, 30, 22, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (82767, 31, 22, 'Kan bære en vægt fire (4) trin:');
INSERT INTO `lang_definitions` VALUES (82768, 32, 22, 'Abn');
INSERT INTO `lang_definitions` VALUES (82769, 33, 22, 'ABN1');
INSERT INTO `lang_definitions` VALUES (82770, 34, 22, 'abnorm');
INSERT INTO `lang_definitions` VALUES (82771, 35, 22, 'abnorm blodprøve');
INSERT INTO `lang_definitions` VALUES (82772, 36, 22, 'Abnorm Hårvækst');
INSERT INTO `lang_definitions` VALUES (82773, 37, 22, 'Abnormt mammogram');
INSERT INTO `lang_definitions` VALUES (82774, 39, 22, 'Abort');
INSERT INTO `lang_definitions` VALUES (82775, 40, 22, 'Abortproblematik');
INSERT INTO `lang_definitions` VALUES (82776, 41, 22, 'Abortmetod');
INSERT INTO `lang_definitions` VALUES (82777, 42, 22, 'Abortrelaterede kategorier');
INSERT INTO `lang_definitions` VALUES (82778, 43, 22, 'Aborter');
INSERT INTO `lang_definitions` VALUES (82779, 44, 22, 'Om kalenderen');
INSERT INTO `lang_definitions` VALUES (82780, 46, 22, 'Fraværende ved diagnose');
INSERT INTO `lang_definitions` VALUES (82781, 47, 22, 'Acceptér opgaven');
INSERT INTO `lang_definitions` VALUES (82782, 48, 22, 'Acceptér betaling for');
INSERT INTO `lang_definitions` VALUES (82783, 49, 22, 'Acceptér betaling for');
INSERT INTO `lang_definitions` VALUES (82784, 50, 22, 'Accepterer opgaven');
INSERT INTO `lang_definitions` VALUES (82785, 51, 22, 'Adgangskontrol');
INSERT INTO `lang_definitions` VALUES (82786, 52, 22, 'Administration af adgangskontrolliste');
INSERT INTO `lang_definitions` VALUES (82787, 53, 22, 'Dato for adgang');
INSERT INTO `lang_definitions` VALUES (82788, 54, 22, 'Adgang ikke tilladt');
INSERT INTO `lang_definitions` VALUES (82789, 55, 22, 'Adgang ikke autoriseret');
INSERT INTO `lang_definitions` VALUES (82790, 56, 22, 'Få adgang til din patient Portal');
INSERT INTO `lang_definitions` VALUES (82791, 57, 22, 'Ulykke');
INSERT INTO `lang_definitions` VALUES (82792, 59, 22, 'Konto navn');
INSERT INTO `lang_definitions` VALUES (82793, 62, 22, 'Regnskab');
INSERT INTO `lang_definitions` VALUES (82794, 64, 22, 'Ømhed');
INSERT INTO `lang_definitions` VALUES (82795, 65, 22, 'Bekræftelse er nødvendig (ISA14)');
INSERT INTO `lang_definitions` VALUES (82796, 66, 22, 'Anerkendelser, Licenser og certificering');
INSERT INTO `lang_definitions` VALUES (82797, 67, 22, 'hjemmepleje');
INSERT INTO `lang_definitions` VALUES (82798, 68, 22, 'Hjemmepleje Administration');
INSERT INTO `lang_definitions` VALUES (82799, 69, 22, 'Hjemmepleje Administration ikke tilladt');
INSERT INTO `lang_definitions` VALUES (82800, 71, 22, 'Acne');
INSERT INTO `lang_definitions` VALUES (82801, 72, 22, 'Akt');
INSERT INTO `lang_definitions` VALUES (82802, 73, 22, 'aktivitetsdato');
INSERT INTO `lang_definitions` VALUES (82803, 74, 22, 'handling');
INSERT INTO `lang_definitions` VALUES (82804, 75, 22, 'Handlinger');
INSERT INTO `lang_definitions` VALUES (82805, 77, 22, 'Aktiver CCR/CCD Reporting');
INSERT INTO `lang_definitions` VALUES (82806, 78, 22, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (82807, 79, 22, 'Aktiv alarm');
INSERT INTO `lang_definitions` VALUES (82808, 80, 22, 'Regler for aktiv alarm');
INSERT INTO `lang_definitions` VALUES (82809, 81, 22, 'Aktive alarmer/påmindelser');
INSERT INTO `lang_definitions` VALUES (82810, 82, 22, 'Aktiv aftale');
INSERT INTO `lang_definitions` VALUES (82811, 84, 22, 'Aktive lister');
INSERT INTO `lang_definitions` VALUES (82812, 85, 22, 'Aktiv patient');
INSERT INTO `lang_definitions` VALUES (82813, 86, 22, 'Aktive planer');
INSERT INTO `lang_definitions` VALUES (82814, 87, 22, 'Aktivitet');
INSERT INTO `lang_definitions` VALUES (82815, 88, 22, 'Aktivitetstype');
INSERT INTO `lang_definitions` VALUES (82816, 92, 22, 'Acuta in chronica');
INSERT INTO `lang_definitions` VALUES (82817, 93, 22, 'Tilføj');
INSERT INTO `lang_definitions` VALUES (82818, 94, 22, 'Tilføj');
INSERT INTO `lang_definitions` VALUES (82819, 95, 22, 'Tilføj');
INSERT INTO `lang_definitions` VALUES (82820, 96, 22, 'Tilføj et firma');
INSERT INTO `lang_definitions` VALUES (82821, 98, 22, 'Tilføj et apotek');
INSERT INTO `lang_definitions` VALUES (82822, 100, 22, 'Tilføj aktivitet til ');
INSERT INTO `lang_definitions` VALUES (82823, 101, 22, 'Tilføj ny note');
INSERT INTO `lang_definitions` VALUES (82824, 102, 22, 'Tilføj som ny');
INSERT INTO `lang_definitions` VALUES (82825, 104, 22, 'Tilføj knapper');
INSERT INTO `lang_definitions` VALUES (82826, 106, 22, 'Tilføj Kategori');
INSERT INTO `lang_definitions` VALUES (82827, 107, 22, 'Tilføj konstant');
INSERT INTO `lang_definitions` VALUES (82828, 108, 22, 'Tilføj sammenhæng');
INSERT INTO `lang_definitions` VALUES (82829, 109, 22, 'Tilføj medbetaling');
INSERT INTO `lang_definitions` VALUES (82830, 110, 22, 'Tilføj kriteria');
INSERT INTO `lang_definitions` VALUES (82831, 111, 22, 'Tilføj special knap');
INSERT INTO `lang_definitions` VALUES (82832, 112, 22, 'Tilføj diagnose');
INSERT INTO `lang_definitions` VALUES (82833, 113, 22, 'Tilføj lægemiddel');
INSERT INTO `lang_definitions` VALUES (82834, 114, 22, 'Tilføj aftale');
INSERT INTO `lang_definitions` VALUES (82835, 115, 22, 'Tilføj aftale/note');
INSERT INTO `lang_definitions` VALUES (82836, 116, 22, 'Tilføj kllinik');
INSERT INTO `lang_definitions` VALUES (82837, 117, 22, 'Tilføj felt');
INSERT INTO `lang_definitions` VALUES (82838, 118, 22, 'Tilføj følgende linier til Apaches konfigurationsfil');
INSERT INTO `lang_definitions` VALUES (82839, 119, 22, 'Tilføj gruppe');
INSERT INTO `lang_definitions` VALUES (82840, 120, 22, 'Tilføj ICD kode');
INSERT INTO `lang_definitions` VALUES (82841, 121, 22, 'Tilføj vaccination');
INSERT INTO `lang_definitions` VALUES (82842, 122, 22, 'Tilføjelse ikke autoriseret!');
INSERT INTO `lang_definitions` VALUES (82843, 123, 22, 'Tilføj emne');
INSERT INTO `lang_definitions` VALUES (82844, 124, 22, 'Tilføj emne der skal følges');
INSERT INTO `lang_definitions` VALUES (82845, 125, 22, 'Tilføj sprog');
INSERT INTO `lang_definitions` VALUES (82846, 126, 22, 'Tilføj ny');
INSERT INTO `lang_definitions` VALUES (82847, 127, 22, 'Tilføj ny');
INSERT INTO `lang_definitions` VALUES (82848, 128, 22, 'Tilføj ny kategori ');
INSERT INTO `lang_definitions` VALUES (82849, 129, 22, 'Tilføj nyt certifikat til Apaches konfigurationsfil');
INSERT INTO `lang_definitions` VALUES (82850, 130, 22, 'Tilføj ny komponent');
INSERT INTO `lang_definitions` VALUES (82851, 131, 22, 'Tilføj nye komponenter');
INSERT INTO `lang_definitions` VALUES (82852, 132, 22, 'Tilføj ny gruppe');
INSERT INTO `lang_definitions` VALUES (82853, 133, 22, 'Tilføj ny problemstilling');
INSERT INTO `lang_definitions` VALUES (82854, 134, 22, 'Tilføj nyt lod og transaktioner');
INSERT INTO `lang_definitions` VALUES (82855, 135, 22, 'Tilføj ny note');
INSERT INTO `lang_definitions` VALUES (82856, 136, 22, 'Tilføj ny note');
INSERT INTO `lang_definitions` VALUES (82857, 137, 22, 'Tilføj ny partner');
INSERT INTO `lang_definitions` VALUES (82858, 138, 22, 'Tilføj ny patient');
INSERT INTO `lang_definitions` VALUES (82859, 140, 22, 'Tilføj note');
INSERT INTO `lang_definitions` VALUES (82860, 141, 22, 'Tilføj ny patientjournal');
INSERT INTO `lang_definitions` VALUES (82861, 142, 22, 'Tilføj recept');
INSERT INTO `lang_definitions` VALUES (82862, 143, 22, 'Tilføj procedure');
INSERT INTO `lang_definitions` VALUES (82863, 144, 22, 'Tilføj behandlernummer');
INSERT INTO `lang_definitions` VALUES (82864, 146, 22, 'Tilføj regel');
INSERT INTO `lang_definitions` VALUES (82865, 147, 22, 'Tilføj til');
INSERT INTO `lang_definitions` VALUES (82866, 148, 22, 'Tilføj til medicinliste');
INSERT INTO `lang_definitions` VALUES (82867, 149, 22, 'Tilføj top niveau');
INSERT INTO `lang_definitions` VALUES (82868, 150, 22, 'Tilføj transaktion');
INSERT INTO `lang_definitions` VALUES (82869, 151, 22, 'Tilføj bruger');
INSERT INTO `lang_definitions` VALUES (82870, 152, 22, 'Tilføj bruger til gruppen');
INSERT INTO `lang_definitions` VALUES (82871, 153, 22, 'Tilføj/rediger eRx');
INSERT INTO `lang_definitions` VALUES (82872, 154, 22, 'Tilføj/ret patient transaktion');
INSERT INTO `lang_definitions` VALUES (82873, 155, 22, 'tilføjet');
INSERT INTO `lang_definitions` VALUES (82874, 156, 22, 'Det er ikke tilladt at tilføje oplysninger');
INSERT INTO `lang_definitions` VALUES (82875, 157, 22, 'Tilføjelse af emne der skal følges mislykkedes');
INSERT INTO `lang_definitions` VALUES (82876, 158, 22, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (82877, 159, 22, 'Addison Syndrom');
INSERT INTO `lang_definitions` VALUES (82878, 161, 22, 'Andre diagnoser');
INSERT INTO `lang_definitions` VALUES (82879, 162, 22, 'Yderligere historie');
INSERT INTO `lang_definitions` VALUES (82880, 163, 22, 'Yderligere historienoter');
INSERT INTO `lang_definitions` VALUES (82881, 164, 22, 'Yderligere info');
INSERT INTO `lang_definitions` VALUES (82882, 165, 22, 'Yderligere Lab');
INSERT INTO `lang_definitions` VALUES (82883, 166, 22, 'Yderligere noter');
INSERT INTO `lang_definitions` VALUES (82884, 168, 22, 'Yderligere noter:');
INSERT INTO `lang_definitions` VALUES (82885, 169, 22, 'Yderligere noter: ');
INSERT INTO `lang_definitions` VALUES (82886, 170, 22, 'Yderligere røntgen noter:');
INSERT INTO `lang_definitions` VALUES (82887, 172, 22, 'kun tilføjelser');
INSERT INTO `lang_definitions` VALUES (82888, 173, 22, 'Adressebog');
INSERT INTO `lang_definitions` VALUES (82889, 174, 22, 'Adressebog');
INSERT INTO `lang_definitions` VALUES (82890, 175, 22, 'Adresse');
INSERT INTO `lang_definitions` VALUES (82891, 178, 22, 'Adressebog');
INSERT INTO `lang_definitions` VALUES (82892, 182, 22, 'Adressebogtyper');
INSERT INTO `lang_definitions` VALUES (82893, 187, 22, 'Adresse 1');
INSERT INTO `lang_definitions` VALUES (82894, 188, 22, 'Adresse 2');
INSERT INTO `lang_definitions` VALUES (82895, 189, 22, 'Adressent');
INSERT INTO `lang_definitions` VALUES (82896, 190, 22, 'Adj');
INSERT INTO `lang_definitions` VALUES (82897, 192, 22, 'Justér');
INSERT INTO `lang_definitions` VALUES (82898, 193, 22, 'Justering');
INSERT INTO `lang_definitions` VALUES (82899, 194, 22, 'Juster beløb');
INSERT INTO `lang_definitions` VALUES (82900, 195, 22, 'Årsag til justering');
INSERT INTO `lang_definitions` VALUES (82901, 196, 22, 'Koden justeringsværdi ');
INSERT INTO `lang_definitions` VALUES (82902, 197, 22, 'Justeringer');
INSERT INTO `lang_definitions` VALUES (82903, 198, 22, 'Adm justering');
INSERT INTO `lang_definitions` VALUES (82904, 199, 22, 'Admin');
INSERT INTO `lang_definitions` VALUES (82905, 200, 22, 'Admin emailadresse');
INSERT INTO `lang_definitions` VALUES (82906, 201, 22, 'Administrer via');
INSERT INTO `lang_definitions` VALUES (82907, 202, 22, 'Administrreret');
INSERT INTO `lang_definitions` VALUES (82908, 203, 22, 'Administreret af');
INSERT INTO `lang_definitions` VALUES (82909, 206, 22, 'Sys.Administration');
INSERT INTO `lang_definitions` VALUES (82910, 208, 22, 'Administratorer');
INSERT INTO `lang_definitions` VALUES (82911, 209, 22, 'Administratorer kan gøre alt');
INSERT INTO `lang_definitions` VALUES (82912, 218, 22, 'Avanceret');
INSERT INTO `lang_definitions` VALUES (82913, 219, 22, 'Råd');
INSERT INTO `lang_definitions` VALUES (82914, 221, 22, 'Påvirker normal');
INSERT INTO `lang_definitions` VALUES (82915, 223, 22, 'Opkald efter arbejdstid');
INSERT INTO `lang_definitions` VALUES (82916, 226, 22, 'Klik på [View Log] for at søge efter fejl, efter at have gemt PDF.');
INSERT INTO `lang_definitions` VALUES (82917, 227, 22, 'Klik på [Se log] for at søge efter fejl, efter at have gemt TEXT fil(er).');
INSERT INTO `lang_definitions` VALUES (82918, 228, 22, 'Klik på [Se log] for at søge efter fejl, efter at have gemt din batch.');
INSERT INTO `lang_definitions` VALUES (82919, 229, 22, 'Herefter vil resultatsøjlen vise den valgte patient-ID eller 0 for ny patient');
INSERT INTO `lang_definitions` VALUES (82920, 230, 22, 'Klik [gem] når du er sikker på at informationen er korrekt.');
INSERT INTO `lang_definitions` VALUES (82921, 231, 22, 'efter hentning klik \"Import\" knappen');
INSERT INTO `lang_definitions` VALUES (82922, 232, 22, 'Plan for efterbehandling');
INSERT INTO `lang_definitions` VALUES (82923, 233, 22, 'Igen');
INSERT INTO `lang_definitions` VALUES (82924, 234, 22, 'Alder');
INSERT INTO `lang_definitions` VALUES (82925, 235, 22, 'Alder ved');
INSERT INTO `lang_definitions` VALUES (82926, 236, 22, 'Alderskategori');
INSERT INTO `lang_definitions` VALUES (82927, 237, 22, 'Alder - data udenfor interval');
INSERT INTO `lang_definitions` VALUES (82928, 239, 22, 'Aldersformat for \"alder fra\" er ikke gyldigt');
INSERT INTO `lang_definitions` VALUES (82929, 240, 22, 'Aldersformat for \"alder til\" er ikke gyldigt');
INSERT INTO `lang_definitions` VALUES (82930, 241, 22, 'Alder fra');
INSERT INTO `lang_definitions` VALUES (82931, 243, 22, 'max. alder');
INSERT INTO `lang_definitions` VALUES (82932, 244, 22, 'min. alder');
INSERT INTO `lang_definitions` VALUES (82933, 245, 22, 'Aldersinterval');
INSERT INTO `lang_definitions` VALUES (82934, 247, 22, 'Aldringssøjler:');
INSERT INTO `lang_definitions` VALUES (82935, 250, 22, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (82936, 251, 22, 'Alkoholkonsumtion');
INSERT INTO `lang_definitions` VALUES (82937, 252, 22, 'Alkoholforbrug');
INSERT INTO `lang_definitions` VALUES (82938, 253, 22, 'Alarmoptælling');
INSERT INTO `lang_definitions` VALUES (82939, 255, 22, 'Alarmer');
INSERT INTO `lang_definitions` VALUES (82940, 259, 22, 'Alle');
INSERT INTO `lang_definitions` VALUES (82941, 260, 22, 'Alle');
INSERT INTO `lang_definitions` VALUES (82942, 261, 22, 'Alle (Collated Format A)');
INSERT INTO `lang_definitions` VALUES (82943, 262, 22, 'Alle (Collated Format B)');
INSERT INTO `lang_definitions` VALUES (82944, 263, 22, 'Alle (Cumulative)');
INSERT INTO `lang_definitions` VALUES (82945, 266, 22, 'Alle kategorier');
INSERT INTO `lang_definitions` VALUES (82946, 268, 22, 'Alle koder');
INSERT INTO `lang_definitions` VALUES (82947, 269, 22, 'Hele dagen');
INSERT INTO `lang_definitions` VALUES (82948, 270, 22, 'Heldagshændelse');
INSERT INTO `lang_definitions` VALUES (82949, 272, 22, 'Alle kliniker');
INSERT INTO `lang_definitions` VALUES (82950, 273, 22, 'Alle skader/prolemer/emner');
INSERT INTO `lang_definitions` VALUES (82951, 274, 22, 'Alle sprog tilladt');
INSERT INTO `lang_definitions` VALUES (82952, 276, 22, 'Hele eller en del af fornavn');
INSERT INTO `lang_definitions` VALUES (82953, 277, 22, 'Hele eller en del af efternavn');
INSERT INTO `lang_definitions` VALUES (82954, 279, 22, 'Alle patienter');
INSERT INTO `lang_definitions` VALUES (82955, 280, 22, 'Alle produkter');
INSERT INTO `lang_definitions` VALUES (82956, 281, 22, 'Alle leverandører');
INSERT INTO `lang_definitions` VALUES (82957, 282, 22, 'Alle kontrolleret og fundet negative');
INSERT INTO `lang_definitions` VALUES (82958, 283, 22, 'Alle emner');
INSERT INTO `lang_definitions` VALUES (82959, 284, 22, 'Alle brugere');
INSERT INTO `lang_definitions` VALUES (82960, 285, 22, 'Allergisk');
INSERT INTO `lang_definitions` VALUES (82961, 286, 22, 'Allergier');
INSERT INTO `lang_definitions` VALUES (82962, 287, 22, 'Allergier:');
INSERT INTO `lang_definitions` VALUES (82963, 288, 22, 'Allergi');
INSERT INTO `lang_definitions` VALUES (82964, 291, 22, 'Allergisk reaktion');
INSERT INTO `lang_definitions` VALUES (82965, 294, 22, 'Tildel');
INSERT INTO `lang_definitions` VALUES (82966, 295, 22, 'Tillad');
INSERT INTO `lang_definitions` VALUES (82967, 296, 22, 'Tillad alle tilgengængelige sprog som mulige ved login');
INSERT INTO `lang_definitions` VALUES (82968, 299, 22, 'Tillad e-mail');
INSERT INTO `lang_definitions` VALUES (82969, 300, 22, 'Tillad e-mail meddelelser');
INSERT INTO `lang_definitions` VALUES (82970, 301, 22, 'Tillad e-mail?');
INSERT INTO `lang_definitions` VALUES (82971, 306, 22, 'Tillad brev');
INSERT INTO `lang_definitions` VALUES (82972, 308, 22, 'Tillad patientportal');
INSERT INTO `lang_definitions` VALUES (82973, 309, 22, 'Tillad SMS-kontakt');
INSERT INTO `lang_definitions` VALUES (82974, 310, 22, 'Tillad SMS-kontakt?');
INSERT INTO `lang_definitions` VALUES (82975, 311, 22, 'Tillåt skickade händelser att bli aktiva omedelbart?');
INSERT INTO `lang_definitions` VALUES (82976, 312, 22, 'Tillad telefonmeddelser?');
INSERT INTO `lang_definitions` VALUES (82977, 313, 22, 'Tillad brugere at puplicere Globale begivenheder');
INSERT INTO `lang_definitions` VALUES (82978, 314, 22, 'Tillad brugere at puplicere personlige kalendere');
INSERT INTO `lang_definitions` VALUES (82979, 315, 22, 'Tillad telefonsvarerbeskeder');
INSERT INTO `lang_definitions` VALUES (82980, 316, 22, 'Tilladt');
INSERT INTO `lang_definitions` VALUES (82981, 317, 22, 'Tilladte sprog');
INSERT INTO `lang_definitions` VALUES (82982, 318, 22, 'Tilladt(c)');
INSERT INTO `lang_definitions` VALUES (82983, 323, 22, 'Eksisterer allerede');
INSERT INTO `lang_definitions` VALUES (82984, 324, 22, 'findes allerede');
INSERT INTO `lang_definitions` VALUES (82985, 325, 22, 'Findes allerede, vælg en anden ID');
INSERT INTO `lang_definitions` VALUES (82986, 326, 22, 'Findes allerede, vælg en anden titel');
INSERT INTO `lang_definitions` VALUES (82987, 327, 22, 'Alt Adress');
INSERT INTO `lang_definitions` VALUES (82988, 328, 22, 'Ændre');
INSERT INTO `lang_definitions` VALUES (82989, 329, 22, 'Alternativt kan du använda sökfunktionen sida att lägga upp en elektronisk remittance (X12 835) fil som du fått från din betalare eller clearingorganisationer. Du kan göra detta genom att klicka på knappen Bläddra och välj den fil som ska laddas upp och sedan klicka på Sök för att utföra de ladda upp och visa motsvarande fakturor. I detta fall är det andra parametrar som nämns ovan gäller inte och kommer att ignoreras. Överföring sparar filen menprocessar ännu inte innehållet - detta är gjort separat enligt nedan.');
INSERT INTO `lang_definitions` VALUES (82990, 330, 22, 'FM');
INSERT INTO `lang_definitions` VALUES (82991, 338, 22, 'Ändra Befintlig notering');
INSERT INTO `lang_definitions` VALUES (82992, 345, 22, 'AMEX');
INSERT INTO `lang_definitions` VALUES (82993, 347, 22, 'Beløb');
INSERT INTO `lang_definitions` VALUES (82994, 349, 22, 'Beløb opkrævet');
INSERT INTO `lang_definitions` VALUES (82995, 350, 22, 'Tidigere saldo');
INSERT INTO `lang_definitions` VALUES (82996, 351, 22, 'Beløb for dette besøg');
INSERT INTO `lang_definitions` VALUES (82997, 352, 22, 'Betalt beløb');
INSERT INTO `lang_definitions` VALUES (82998, 353, 22, 'Beløb:');
INSERT INTO `lang_definitions` VALUES (82999, 360, 22, 'En ofullständig GCAC fråga har inrättats och knutits. Någon kommer att behöva fylla i det senare.');
INSERT INTO `lang_definitions` VALUES (83000, 362, 22, 'Der er opstået en uventet fejl');
INSERT INTO `lang_definitions` VALUES (83001, 363, 22, 'Et stort bogstav');
INSERT INTO `lang_definitions` VALUES (83002, 365, 22, 'Og');
INSERT INTO `lang_definitions` VALUES (83003, 366, 22, 'OG');
INSERT INTO `lang_definitions` VALUES (83004, 367, 22, 'og');
INSERT INTO `lang_definitions` VALUES (83005, 368, 22, 'og ');
INSERT INTO `lang_definitions` VALUES (83006, 369, 22, 'Og alle underordnede data? Denne handling vil blive logget');
INSERT INTO `lang_definitions` VALUES (83007, 371, 22, 'og udført');
INSERT INTO `lang_definitions` VALUES (83008, 373, 22, 'og årsagen er');
INSERT INTO `lang_definitions` VALUES (83009, 374, 22, 'Anemi');
INSERT INTO `lang_definitions` VALUES (83010, 375, 22, 'Ankel');
INSERT INTO `lang_definitions` VALUES (83011, 376, 22, 'Ankel og hæl');
INSERT INTO `lang_definitions` VALUES (83012, 377, 22, 'Ankel Utvärderingsformulär');
INSERT INTO `lang_definitions` VALUES (83013, 378, 22, 'AnkelProblem');
INSERT INTO `lang_definitions` VALUES (83014, 379, 22, 'Ankyloserande Sondlilitis');
INSERT INTO `lang_definitions` VALUES (83015, 380, 22, 'Ankyloserande Spondlilitis');
INSERT INTO `lang_definitions` VALUES (83016, 381, 22, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (83017, 382, 22, 'En annan sak du kan göra i utstationering fönstret är att begära en sekundära fakturering. Om du markerar rutan innan du sparar, så kommer den ursprungliga fordran att öppnas igen och köas på faktureringssidan och sedan behandlas under nästa faktureringskörning.');
INSERT INTO `lang_definitions` VALUES (83018, 383, 22, 'før');
INSERT INTO `lang_definitions` VALUES (83019, 384, 22, 'Anus, ingen rektal ömhet');
INSERT INTO `lang_definitions` VALUES (83020, 385, 22, 'Angst');
INSERT INTO `lang_definitions` VALUES (83021, 386, 22, 'Valgfri');
INSERT INTO `lang_definitions` VALUES (83022, 387, 22, 'Enhver kategori');
INSERT INTO `lang_definitions` VALUES (83023, 388, 22, 'Varje del av en kod eller dess beskrivning');
INSERT INTO `lang_definitions` VALUES (83024, 389, 22, 'Varje del av önskad specialitet');
INSERT INTO `lang_definitions` VALUES (83025, 392, 22, 'Varje del av patientens namn, eller \"sista, första \" eller \"X-Y \"');
INSERT INTO `lang_definitions` VALUES (83026, 395, 22, 'Apnea');
INSERT INTO `lang_definitions` VALUES (83027, 396, 22, 'Udseende');
INSERT INTO `lang_definitions` VALUES (83028, 397, 22, 'Udseende:');
INSERT INTO `lang_definitions` VALUES (83029, 398, 22, 'Tilføj note');
INSERT INTO `lang_definitions` VALUES (83030, 399, 22, 'Tilføj til eksisterende note');
INSERT INTO `lang_definitions` VALUES (83031, 400, 22, 'Tilføj til denne note');
INSERT INTO `lang_definitions` VALUES (83032, 401, 22, 'Tilføj til denne note');
INSERT INTO `lang_definitions` VALUES (83033, 402, 22, 'Appendektomi');
INSERT INTO `lang_definitions` VALUES (83034, 412, 22, 'Foretag kun ændringer for denne begivenhed, for denne og alle fremtidige eller for alle begivenheder?');
INSERT INTO `lang_definitions` VALUES (83035, 413, 22, 'Påfør inficeret område');
INSERT INTO `lang_definitions` VALUES (83036, 414, 22, 'Påføres på huden');
INSERT INTO `lang_definitions` VALUES (83037, 415, 22, 'påføres');
INSERT INTO `lang_definitions` VALUES (83038, 417, 22, 'Aftale');
INSERT INTO `lang_definitions` VALUES (83039, 418, 22, 'Aftaledato');
INSERT INTO `lang_definitions` VALUES (83040, 420, 22, 'Påmindelse på aftale');
INSERT INTO `lang_definitions` VALUES (83041, 421, 22, 'Aftalestatus');
INSERT INTO `lang_definitions` VALUES (83042, 422, 22, 'Aftalestatus\'er');
INSERT INTO `lang_definitions` VALUES (83043, 423, 22, 'Aftale inden for');
INSERT INTO `lang_definitions` VALUES (83044, 424, 22, 'Aftale/begivenhed farve');
INSERT INTO `lang_definitions` VALUES (83045, 425, 22, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (83046, 426, 22, 'Aftaler (Ikke nødvendigt at skrive)');
INSERT INTO `lang_definitions` VALUES (83047, 430, 22, 'Aftaler og besøg');
INSERT INTO `lang_definitions` VALUES (83048, 431, 22, 'Aftalerapport');
INSERT INTO `lang_definitions` VALUES (83049, 432, 22, 'Aftale- og besøgsrapport');
INSERT INTO `lang_definitions` VALUES (83050, 434, 22, 'Godkend');
INSERT INTO `lang_definitions` VALUES (83051, 436, 22, 'Godkendt');
INSERT INTO `lang_definitions` VALUES (83052, 437, 22, 'Godkendt begivenhed administration');
INSERT INTO `lang_definitions` VALUES (83053, 440, 22, 'Aftaler-Besøg');
INSERT INTO `lang_definitions` VALUES (83054, 441, 22, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (83055, 442, 22, 'apr');
INSERT INTO `lang_definitions` VALUES (83056, 443, 22, 'April');
INSERT INTO `lang_definitions` VALUES (83057, 448, 22, 'Skal aftalekategoriens navn oversættes?');
INSERT INTO `lang_definitions` VALUES (83058, 450, 22, 'Er der udgifter for denne type?');
INSERT INTO `lang_definitions` VALUES (83059, 451, 22, 'Skal patientnoter oversættes?');
INSERT INTO `lang_definitions` VALUES (83060, 453, 22, 'Er du forberedt på at gennemføre et nyt GCAC-emne for denne aftale?');
INSERT INTO `lang_definitions` VALUES (83061, 455, 22, 'Er du sikker på du vil godkende disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (83062, 457, 22, 'Er du sikker på du vil fjerne denne form?');
INSERT INTO `lang_definitions` VALUES (83063, 460, 22, 'Er du sikker på du ønsker at slette denne begivenhed?');
INSERT INTO `lang_definitions` VALUES (83064, 461, 22, 'Er du sikker på du ønsker at slette denne fil fra databasen?');
INSERT INTO `lang_definitions` VALUES (83065, 462, 22, 'Er du sikker på du ønsker at slette denne note?');
INSERT INTO `lang_definitions` VALUES (83066, 464, 22, 'Er du sikker på du ønsker at ændre disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (83067, 465, 22, 'Er du sikker på du ønsker at skjule disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (83068, 467, 22, 'Er du sikker på du ønsker at se disse begivenheder?');
INSERT INTO `lang_definitions` VALUES (83069, 468, 22, 'Er du sikker på du ønsker at slette hele den valgte gruppe?');
INSERT INTO `lang_definitions` VALUES (83070, 469, 22, 'Er du sikker på du vil slette hele listen?');
INSERT INTO `lang_definitions` VALUES (83071, 470, 22, 'Er du sikker på du vil slette feltet i?');
INSERT INTO `lang_definitions` VALUES (83072, 471, 22, 'Er du sikker på du vil slette de valgte felter?');
INSERT INTO `lang_definitions` VALUES (83073, 472, 22, 'Er du sikker på du vil forsætte disse handlinger?');
INSERT INTO `lang_definitions` VALUES (83074, 473, 22, 'Området er ikke specificeret');
INSERT INTO `lang_definitions` VALUES (83075, 475, 22, 'Armensk');
INSERT INTO `lang_definitions` VALUES (83076, 477, 22, 'Arrytmi');
INSERT INTO `lang_definitions` VALUES (83077, 478, 22, 'Artrit');
INSERT INTO `lang_definitions` VALUES (83078, 479, 22, 'Artrit / Degen ledsjukdom');
INSERT INTO `lang_definitions` VALUES (83079, 480, 22, 'Artrit / Degen ledsjukdom');
INSERT INTO `lang_definitions` VALUES (83080, 481, 22, 'som');
INSERT INTO `lang_definitions` VALUES (83081, 482, 22, 'pr.');
INSERT INTO `lang_definitions` VALUES (83082, 484, 22, 'Asiatisk');
INSERT INTO `lang_definitions` VALUES (83083, 487, 22, 'Vurdering');
INSERT INTO `lang_definitions` VALUES (83084, 488, 22, 'Tildelt til');
INSERT INTO `lang_definitions` VALUES (83085, 489, 22, 'Assistent');
INSERT INTO `lang_definitions` VALUES (83086, 490, 22, 'Astma');
INSERT INTO `lang_definitions` VALUES (83087, 491, 22, 'på');
INSERT INTO `lang_definitions` VALUES (83088, 493, 22, 'Vid Båtbenet');
INSERT INTO `lang_definitions` VALUES (83089, 494, 22, 'Vid Båtbenet:');
INSERT INTO `lang_definitions` VALUES (83090, 497, 22, 'Atletisk / Skada');
INSERT INTO `lang_definitions` VALUES (83091, 503, 22, 'OBS');
INSERT INTO `lang_definitions` VALUES (83092, 504, 22, 'OBS');
INSERT INTO `lang_definitions` VALUES (83093, 516, 22, 'Aug');
INSERT INTO `lang_definitions` VALUES (83094, 517, 22, 'August');
INSERT INTO `lang_definitions` VALUES (83095, 519, 22, 'Forfatter');
INSERT INTO `lang_definitions` VALUES (83096, 520, 22, 'Forfatter/noter');
INSERT INTO `lang_definitions` VALUES (83097, 525, 22, 'Tilladelser');
INSERT INTO `lang_definitions` VALUES (83098, 526, 22, 'At give tilladelse til');
INSERT INTO `lang_definitions` VALUES (83099, 527, 22, 'Tillad - alle aftaler');
INSERT INTO `lang_definitions` VALUES (83100, 528, 22, 'Tillad - mine aftaler');
INSERT INTO `lang_definitions` VALUES (83101, 530, 22, 'Tilladt');
INSERT INTO `lang_definitions` VALUES (83102, 531, 22, 'Kun tilladte');
INSERT INTO `lang_definitions` VALUES (83103, 532, 22, 'Send automatisk');
INSERT INTO `lang_definitions` VALUES (83104, 535, 22, 'opret automatisk ny aftale');
INSERT INTO `lang_definitions` VALUES (83105, 536, 22, 'Autogeneret');
INSERT INTO `lang_definitions` VALUES (83106, 544, 22, 'Automatisk');
INSERT INTO `lang_definitions` VALUES (83107, 549, 22, 'Automobilemedicin');
INSERT INTO `lang_definitions` VALUES (83108, 550, 22, 'Gemt automatisk');
INSERT INTO `lang_definitions` VALUES (83109, 551, 22, 'Tilgængelige kategorier');
INSERT INTO `lang_definitions` VALUES (83110, 552, 22, 'tilgængelige tider');
INSERT INTO `lang_definitions` VALUES (83111, 557, 22, 'Gennemsnitlig om måneden');
INSERT INTO `lang_definitions` VALUES (83112, 558, 22, 'Avulsion / avulsion fraktur');
INSERT INTO `lang_definitions` VALUES (83113, 559, 22, 'Avulsion laterala malleolus');
INSERT INTO `lang_definitions` VALUES (83114, 560, 22, 'Avulsion mediala malleolus ');
INSERT INTO `lang_definitions` VALUES (83115, 561, 22, 'Medvetandebaserad');
INSERT INTO `lang_definitions` VALUES (83116, 562, 22, 'Axillär');
INSERT INTO `lang_definitions` VALUES (83117, 565, 22, '2 ggr/dag');
INSERT INTO `lang_definitions` VALUES (83118, 566, 22, 'Tilbage');
INSERT INTO `lang_definitions` VALUES (83119, 567, 22, 'Tilbage');
INSERT INTO `lang_definitions` VALUES (83120, 568, 22, 'Tilbage otte besøg');
INSERT INTO `lang_definitions` VALUES (83121, 569, 22, 'Tilbage elleve besøg');
INSERT INTO `lang_definitions` VALUES (83122, 570, 22, 'Tilbage fem besøg');
INSERT INTO `lang_definitions` VALUES (83123, 571, 22, 'Tilbage fire besøg');
INSERT INTO `lang_definitions` VALUES (83124, 572, 22, 'Tilbage ni besøg');
INSERT INTO `lang_definitions` VALUES (83125, 573, 22, 'Tilbage et besøg');
INSERT INTO `lang_definitions` VALUES (83126, 574, 22, 'Rygsmerter');
INSERT INTO `lang_definitions` VALUES (83127, 575, 22, 'Ryggproblem');
INSERT INTO `lang_definitions` VALUES (83128, 576, 22, 'Tilbage 7 besøg');
INSERT INTO `lang_definitions` VALUES (83129, 577, 22, 'Tilbage 6 besøg');
INSERT INTO `lang_definitions` VALUES (83130, 578, 22, 'Ryggkirurgi');
INSERT INTO `lang_definitions` VALUES (83131, 579, 22, 'Tilbage 10 besøg');
INSERT INTO `lang_definitions` VALUES (83132, 580, 22, 'Tilbage 3 besøg');
INSERT INTO `lang_definitions` VALUES (83133, 584, 22, 'Tilbage til Patient');
INSERT INTO `lang_definitions` VALUES (83134, 586, 22, 'Tilbage til oversigt');
INSERT INTO `lang_definitions` VALUES (83135, 587, 22, 'Tilbage 12 besøg');
INSERT INTO `lang_definitions` VALUES (83136, 588, 22, 'Tilbage 2 besøg');
INSERT INTO `lang_definitions` VALUES (83137, 590, 22, 'Backup');
INSERT INTO `lang_definitions` VALUES (83138, 591, 22, 'Backupfilen er oprettet. Sender nu download');
INSERT INTO `lang_definitions` VALUES (83139, 594, 22, 'Dålig kontroll');
INSERT INTO `lang_definitions` VALUES (83140, 595, 22, 'Kundförluster');
INSERT INTO `lang_definitions` VALUES (83141, 596, 22, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (83142, 597, 22, 'Bal');
INSERT INTO `lang_definitions` VALUES (83143, 598, 22, 'Saldo');
INSERT INTO `lang_definitions` VALUES (83144, 599, 22, 'saldo');
INSERT INTO `lang_definitions` VALUES (83145, 601, 22, 'Restskuld');
INSERT INTO `lang_definitions` VALUES (83146, 603, 22, 'Bankudtræk');
INSERT INTO `lang_definitions` VALUES (83147, 607, 22, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (83148, 608, 22, 'Basen av femte (5e) Metarsal');
INSERT INTO `lang_definitions` VALUES (83149, 612, 22, 'Batchkummunikationsverktyg');
INSERT INTO `lang_definitions` VALUES (83150, 615, 22, 'Batchprocess påbörjad, detta kan ta ett tag.');
INSERT INTO `lang_definitions` VALUES (83151, 617, 22, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (83152, 619, 22, 'För att ID inte existerar');
INSERT INTO `lang_definitions` VALUES (83153, 620, 22, 'Start');
INSERT INTO `lang_definitions` VALUES (83154, 621, 22, 'Startdato');
INSERT INTO `lang_definitions` VALUES (83155, 623, 22, 'Startdato for service ÅÅÅÅ-MM-DD');
INSERT INTO `lang_definitions` VALUES (83156, 624, 22, 'Starttidspunkt for aftaler i kalender');
INSERT INTO `lang_definitions` VALUES (83157, 626, 22, 'Rapningar');
INSERT INTO `lang_definitions` VALUES (83158, 630, 22, 'Mellem');
INSERT INTO `lang_definitions` VALUES (83159, 633, 22, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (83160, 634, 22, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (83161, 636, 22, 'Fakturadato:');
INSERT INTO `lang_definitions` VALUES (83162, 637, 22, 'Faktura');
INSERT INTO `lang_definitions` VALUES (83163, 638, 22, 'Faktureret');
INSERT INTO `lang_definitions` VALUES (83164, 640, 22, 'Faktureringspreferenser');
INSERT INTO `lang_definitions` VALUES (83165, 641, 22, 'Fakturering (skriv valgfri)');
INSERT INTO `lang_definitions` VALUES (83166, 642, 22, 'Faktureringspreferenser Attn');
INSERT INTO `lang_definitions` VALUES (83167, 644, 22, 'Betalningskod för begärd service');
INSERT INTO `lang_definitions` VALUES (83168, 645, 22, 'Betalningskoder');
INSERT INTO `lang_definitions` VALUES (83169, 646, 22, 'Fakturadata');
INSERT INTO `lang_definitions` VALUES (83170, 647, 22, 'Fakturaafdeling');
INSERT INTO `lang_definitions` VALUES (83171, 649, 22, 'Faktureringsinformation');
INSERT INTO `lang_definitions` VALUES (83172, 650, 22, 'Faktureringsadresse');
INSERT INTO `lang_definitions` VALUES (83173, 656, 22, 'Faktureringspreferenser Anmärkning');
INSERT INTO `lang_definitions` VALUES (83174, 657, 22, 'Faktureringspreferenser anmärkning för ');
INSERT INTO `lang_definitions` VALUES (83175, 658, 22, 'Faktureringspreferenser Obs!');
INSERT INTO `lang_definitions` VALUES (83176, 659, 22, 'Faktureringspreferenser kö resultat:');
INSERT INTO `lang_definitions` VALUES (83177, 660, 22, 'Faktureringsrapport');
INSERT INTO `lang_definitions` VALUES (83178, 662, 22, 'Fakturastatus = ikke faktureret');
INSERT INTO `lang_definitions` VALUES (83179, 663, 22, 'Fakturerer til ');
INSERT INTO `lang_definitions` VALUES (83180, 665, 22, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (83181, 666, 22, 'Fødselsdato');
INSERT INTO `lang_definitions` VALUES (83182, 669, 22, 'Sort');
INSERT INTO `lang_definitions` VALUES (83183, 672, 22, 'Cancer i urinblåsan');
INSERT INTO `lang_definitions` VALUES (83184, 673, 22, 'Infektioner i urinblåsan');
INSERT INTO `lang_definitions` VALUES (83185, 674, 22, 'Blank formular');
INSERT INTO `lang_definitions` VALUES (83186, 675, 22, 'Problem med blödning');
INSERT INTO `lang_definitions` VALUES (83187, 676, 22, 'Blinda punkter');
INSERT INTO `lang_definitions` VALUES (83188, 677, 22, 'Svullnad');
INSERT INTO `lang_definitions` VALUES (83189, 678, 22, 'Blokeret');
INSERT INTO `lang_definitions` VALUES (83190, 679, 22, 'Blod');
INSERT INTO `lang_definitions` VALUES (83191, 680, 22, 'Blodtryk');
INSERT INTO `lang_definitions` VALUES (83192, 681, 22, 'Blodtryk');
INSERT INTO `lang_definitions` VALUES (83193, 682, 22, 'Næseblod');
INSERT INTO `lang_definitions` VALUES (83194, 683, 22, 'Blått kors blå sköld');
INSERT INTO `lang_definitions` VALUES (83195, 684, 22, 'Blå linjerna i denna rapport är informativa. Svarta linjer visar tidigare information. Gröna linjerna visar förändringar som tillämpats framgångsrikt. Röda linjer visar fel eller förändringar som inte har genomförts, och dessa måste behandlas manuellt. För närvarande nekas fordringar och betalning reverseringar inte hanteras automatiskt och det kommer att visas i rött.');
INSERT INTO `lang_definitions` VALUES (83196, 685, 22, 'Dimsyn');
INSERT INTO `lang_definitions` VALUES (83197, 686, 22, 'BMI');
INSERT INTO `lang_definitions` VALUES (83198, 687, 22, 'BMI status');
INSERT INTO `lang_definitions` VALUES (83199, 689, 22, 'kroppsregion');
INSERT INTO `lang_definitions` VALUES (83200, 692, 22, 'Benømhed');
INSERT INTO `lang_definitions` VALUES (83201, 693, 22, 'Benömhet: Malleoulus Medialis');
INSERT INTO `lang_definitions` VALUES (83202, 694, 22, 'Boolean');
INSERT INTO `lang_definitions` VALUES (83203, 696, 22, 'Bund');
INSERT INTO `lang_definitions` VALUES (83204, 697, 22, 'Begge ører');
INSERT INTO `lang_definitions` VALUES (83205, 698, 22, 'begge ører');
INSERT INTO `lang_definitions` VALUES (83206, 699, 22, 'Bund');
INSERT INTO `lang_definitions` VALUES (83207, 701, 22, 'RUTA 10 A. sysselsättningsrelaterad ');
INSERT INTO `lang_definitions` VALUES (83208, 702, 22, 'RUTA 10 B. Bilolycka ');
INSERT INTO `lang_definitions` VALUES (83209, 703, 22, 'RUTA 10 C. Övriga olyckor ');
INSERT INTO `lang_definitions` VALUES (83210, 708, 22, 'FÄLT 16. Datum, oförmögen till arbete från (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (83211, 709, 22, 'FÄLT 16. Datum, oförmögen att arbeta tills (åååå-mm-dd):');
INSERT INTO `lang_definitions` VALUES (83212, 710, 22, 'FÄLT 18. Sjukhusvistelse datum, från (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (83213, 711, 22, 'FÄLT 18. Sjukhusvistelse till, datum (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (83214, 712, 22, 'FÄLT 20. Ligger utanför Lab användas?');
INSERT INTO `lang_definitions` VALUES (83215, 715, 22, 'Blodtryk');
INSERT INTO `lang_definitions` VALUES (83216, 716, 22, 'BT Diastoliskt');
INSERT INTO `lang_definitions` VALUES (83217, 717, 22, 'BT Systoliskt');
INSERT INTO `lang_definitions` VALUES (83218, 719, 22, 'BPD');
INSERT INTO `lang_definitions` VALUES (83219, 721, 22, 'Puls');
INSERT INTO `lang_definitions` VALUES (83220, 722, 22, 'Brasiliansk portugisiska');
INSERT INTO `lang_definitions` VALUES (83221, 723, 22, 'Bryst');
INSERT INTO `lang_definitions` VALUES (83222, 724, 22, 'Bröst Biopsi');
INSERT INTO `lang_definitions` VALUES (83223, 725, 22, 'Bröstlossning');
INSERT INTO `lang_definitions` VALUES (83224, 726, 22, 'Bröstsjukdom');
INSERT INTO `lang_definitions` VALUES (83225, 727, 22, 'Bröstundersökning');
INSERT INTO `lang_definitions` VALUES (83226, 728, 22, 'Bröstvävnad');
INSERT INTO `lang_definitions` VALUES (83227, 730, 22, 'Andningsljud:');
INSERT INTO `lang_definitions` VALUES (83228, 732, 22, 'Brutna ben');
INSERT INTO `lang_definitions` VALUES (83229, 734, 22, 'Bronkit Formulär');
INSERT INTO `lang_definitions` VALUES (83230, 735, 22, 'Søg');
INSERT INTO `lang_definitions` VALUES (83231, 736, 22, 'Søg efter journal');
INSERT INTO `lang_definitions` VALUES (83232, 737, 22, 'Blåmärken / hematom');
INSERT INTO `lang_definitions` VALUES (83233, 739, 22, 'Utbuktningen Höger:');
INSERT INTO `lang_definitions` VALUES (83234, 741, 22, 'Sveda vid vattenkastning');
INSERT INTO `lang_definitions` VALUES (83235, 742, 22, 'Sveda vid urinering');
INSERT INTO `lang_definitions` VALUES (83236, 744, 22, 'Optaget');
INSERT INTO `lang_definitions` VALUES (83237, 745, 22, 'Men endnu ikke gennemført');
INSERT INTO `lang_definitions` VALUES (83238, 747, 22, 'Skinkan + S.I.');
INSERT INTO `lang_definitions` VALUES (83239, 748, 22, 'via');
INSERT INTO `lang_definitions` VALUES (83240, 749, 22, 'Via');
INSERT INTO `lang_definitions` VALUES (83241, 750, 22, 'Via munden');
INSERT INTO `lang_definitions` VALUES (83242, 751, 22, 'via/ kilden');
INSERT INTO `lang_definitions` VALUES (83243, 752, 22, 'Via:');
INSERT INTO `lang_definitions` VALUES (83244, 753, 22, 'C');
INSERT INTO `lang_definitions` VALUES (83245, 755, 22, 'Cache, livstid (i sekunder)');
INSERT INTO `lang_definitions` VALUES (83246, 756, 22, 'Cache template output?');
INSERT INTO `lang_definitions` VALUES (83247, 757, 22, 'Koffein konsumsion');
INSERT INTO `lang_definitions` VALUES (83248, 758, 22, 'Kalender');
INSERT INTO `lang_definitions` VALUES (83249, 759, 22, 'Kalender sluttid');
INSERT INTO `lang_definitions` VALUES (83250, 760, 22, 'Kalenderinterval');
INSERT INTO `lang_definitions` VALUES (83251, 761, 22, 'Kalenderskærm');
INSERT INTO `lang_definitions` VALUES (83252, 762, 22, 'Indstillinger for kalender');
INSERT INTO `lang_definitions` VALUES (83253, 763, 22, 'Kalender starttid');
INSERT INTO `lang_definitions` VALUES (83254, 764, 22, 'Kalender UI');
INSERT INTO `lang_definitions` VALUES (83255, 765, 22, 'Se kalender');
INSERT INTO `lang_definitions` VALUES (83256, 766, 22, 'Call to addForm() goes here.<br>');
INSERT INTO `lang_definitions` VALUES (83257, 767, 22, 'Kalorier');
INSERT INTO `lang_definitions` VALUES (83259, 774, 22, 'Afbryd');
INSERT INTO `lang_definitions` VALUES (83260, 775, 22, 'Fortryd ændringer');
INSERT INTO `lang_definitions` VALUES (83261, 776, 22, 'Aflyst');
INSERT INTO `lang_definitions` VALUES (83262, 777, 22, 'Cancer');
INSERT INTO `lang_definitions` VALUES (83263, 782, 22, 'Kan ikke tilføje denne indgang da den allerede eksisterer!');
INSERT INTO `lang_definitions` VALUES (83264, 783, 22, 'Kan ikke tilføje/opdatere denne indgang da der allerede findes en kopi');
INSERT INTO `lang_definitions` VALUES (83265, 785, 22, 'Kan ikke konverteres til JPEG. Måske er ImageMagick ikke installeret?');
INSERT INTO `lang_definitions` VALUES (83266, 787, 22, 'Kan ikke vises inline fordi typen ikke understøttes af browseren');
INSERT INTO `lang_definitions` VALUES (83267, 788, 22, 'Kan ikke vises inline fordi typen ikke understøttes af browseren');
INSERT INTO `lang_definitions` VALUES (83268, 789, 22, 'Kan ikke vises inline fordi typen ikke understøttes af browseren');
INSERT INTO `lang_definitions` VALUES (83269, 790, 22, 'Ikke muligt at oprette');
INSERT INTO `lang_definitions` VALUES (83270, 795, 22, 'Ikke muligt at finde ');
INSERT INTO `lang_definitions` VALUES (83271, 796, 22, 'Ikke muligt at finde en destination for filnavn');
INSERT INTO `lang_definitions` VALUES (83272, 799, 22, 'Kan inte hitta patienten från SQL-Reskontra kundnummer');
INSERT INTO `lang_definitions` VALUES (83273, 800, 22, 'Kan ej hitta postscript dokumenthänvisning i ');
INSERT INTO `lang_definitions` VALUES (83274, 801, 22, 'Kan inte hitta patienten från SQL-Reskontra arbetsgivare ');
INSERT INTO `lang_definitions` VALUES (83275, 803, 22, 'Kan ikke åbnes ');
INSERT INTO `lang_definitions` VALUES (83276, 807, 22, 'Kan ikke læses');
INSERT INTO `lang_definitions` VALUES (83277, 809, 22, 'Kan ikke opdatere fordi du ikke ændrer i en eksisterende indgang');
INSERT INTO `lang_definitions` VALUES (83278, 812, 22, 'kapsel');
INSERT INTO `lang_definitions` VALUES (83279, 813, 22, 'Kort');
INSERT INTO `lang_definitions` VALUES (83280, 814, 22, 'Cardiac Katetrisering');
INSERT INTO `lang_definitions` VALUES (83281, 815, 22, 'Cardiac Echo');
INSERT INTO `lang_definitions` VALUES (83282, 816, 22, 'Kardiovaskulära');
INSERT INTO `lang_definitions` VALUES (83283, 821, 22, 'Cartilage / chondral / skiva skador');
INSERT INTO `lang_definitions` VALUES (83284, 822, 22, 'Cartilago skada');
INSERT INTO `lang_definitions` VALUES (83285, 824, 22, 'kontanter');
INSERT INTO `lang_definitions` VALUES (83286, 825, 22, 'Kontanter');
INSERT INTO `lang_definitions` VALUES (83287, 827, 22, 'Inbetalningar av Provider');
INSERT INTO `lang_definitions` VALUES (83288, 829, 22, 'Kataraktkirurgi');
INSERT INTO `lang_definitions` VALUES (83289, 830, 22, 'Katarakt');
INSERT INTO `lang_definitions` VALUES (83290, 831, 22, 'Kategorier');
INSERT INTO `lang_definitions` VALUES (83291, 832, 22, 'Kategorier for');
INSERT INTO `lang_definitions` VALUES (83292, 833, 22, 'Kategori');
INSERT INTO `lang_definitions` VALUES (83293, 834, 22, 'kategori');
INSERT INTO `lang_definitions` VALUES (83294, 835, 22, 'Kategori ');
INSERT INTO `lang_definitions` VALUES (83295, 836, 22, 'Kategori Detaljer');
INSERT INTO `lang_definitions` VALUES (83296, 837, 22, 'Kategori grænser');
INSERT INTO `lang_definitions` VALUES (83297, 838, 22, 'kategorinavn');
INSERT INTO `lang_definitions` VALUES (83298, 839, 22, 'Kategorinavn er tomt');
INSERT INTO `lang_definitions` VALUES (83299, 840, 22, 'Kategori / Titel');
INSERT INTO `lang_definitions` VALUES (83300, 841, 22, 'Kaukasisk');
INSERT INTO `lang_definitions` VALUES (83301, 853, 22, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (83302, 855, 22, 'Mobiltelefonnummer');
INSERT INTO `lang_definitions` VALUES (83303, 856, 22, 'Central Certifiering');
INSERT INTO `lang_definitions` VALUES (83304, 864, 22, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (83305, 865, 22, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (83306, 866, 22, 'Ændre');
INSERT INTO `lang_definitions` VALUES (83307, 867, 22, 'Ændre');
INSERT INTO `lang_definitions` VALUES (83308, 868, 22, 'Ændre aktivitet');
INSERT INTO `lang_definitions` VALUES (83309, 870, 22, 'Förändrat synsätt');
INSERT INTO `lang_definitions` VALUES (83310, 874, 22, 'Ændret');
INSERT INTO `lang_definitions` VALUES (83311, 875, 22, 'Förändrad tarm');
INSERT INTO `lang_definitions` VALUES (83312, 877, 22, 'Karaktertræk');
INSERT INTO `lang_definitions` VALUES (83313, 879, 22, 'Afgift');
INSERT INTO `lang_definitions` VALUES (83314, 882, 22, 'Afgifter');
INSERT INTO `lang_definitions` VALUES (83315, 883, 22, 'Diagram');
INSERT INTO `lang_definitions` VALUES (83316, 884, 22, 'Diagram aktivitet');
INSERT INTO `lang_definitions` VALUES (83317, 885, 22, 'Diagram Check-in/out Aktivitetsrapport');
INSERT INTO `lang_definitions` VALUES (83318, 886, 22, 'Diagram ID');
INSERT INTO `lang_definitions` VALUES (83319, 887, 22, 'Diagram-id:');
INSERT INTO `lang_definitions` VALUES (83320, 889, 22, 'Diagram Läge Aktivitet');
INSERT INTO `lang_definitions` VALUES (83321, 890, 22, 'Diagramanteckning');
INSERT INTO `lang_definitions` VALUES (83322, 891, 22, 'Journalnummer');
INSERT INTO `lang_definitions` VALUES (83323, 892, 22, 'Diagramlagringsplats');
INSERT INTO `lang_definitions` VALUES (83324, 893, 22, 'Diagramtracker');
INSERT INTO `lang_definitions` VALUES (83325, 894, 22, 'Diagramtrk.');
INSERT INTO `lang_definitions` VALUES (83326, 895, 22, 'Diagram utcheckat');
INSERT INTO `lang_definitions` VALUES (83327, 898, 22, 'Kontrol');
INSERT INTO `lang_definitions` VALUES (83328, 899, 22, 'Kontrol');
INSERT INTO `lang_definitions` VALUES (83329, 900, 22, 'Kontroller alle');
INSERT INTO `lang_definitions` VALUES (83330, 902, 22, 'kontroler beløb');
INSERT INTO `lang_definitions` VALUES (83331, 903, 22, 'Kontroldato');
INSERT INTO `lang_definitions` VALUES (83332, 906, 22, 'checka in till');
INSERT INTO `lang_definitions` VALUES (83333, 907, 22, 'Kontroller input data');
INSERT INTO `lang_definitions` VALUES (83334, 912, 22, 'Kontrollnummer');
INSERT INTO `lang_definitions` VALUES (83335, 915, 22, 'kontrolbetaling');
INSERT INTO `lang_definitions` VALUES (83336, 919, 22, 'Kontrollera / EOB Datum:');
INSERT INTO `lang_definitions` VALUES (83337, 920, 22, 'Kontrollera / EOB Antal:');
INSERT INTO `lang_definitions` VALUES (83338, 921, 22, 'kontrol/ ref. nummer');
INSERT INTO `lang_definitions` VALUES (83339, 922, 22, 'kontrol/ ref. nummer');
INSERT INTO `lang_definitions` VALUES (83340, 923, 22, 'Afkrydsningsboks liste');
INSERT INTO `lang_definitions` VALUES (83341, 924, 22, 'Afkrydsningsboks liste');
INSERT INTO `lang_definitions` VALUES (83342, 925, 22, 'Afkrydsningsboks m/tekst');
INSERT INTO `lang_definitions` VALUES (83343, 926, 22, 'Afkrydsningsboks m/tekst');
INSERT INTO `lang_definitions` VALUES (83344, 928, 22, 'Kontrolleret');
INSERT INTO `lang_definitions` VALUES (83345, 929, 22, 'Markerede felter = ja, tomme felter = nej');
INSERT INTO `lang_definitions` VALUES (83346, 932, 22, 'Kasse');
INSERT INTO `lang_definitions` VALUES (83347, 934, 22, 'Bröst');
INSERT INTO `lang_definitions` VALUES (83348, 935, 22, 'Chest CTAB');
INSERT INTO `lang_definitions` VALUES (83349, 936, 22, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (83350, 937, 22, 'Bröstsmärta:');
INSERT INTO `lang_definitions` VALUES (83351, 938, 22, 'Bröstsmärtor');
INSERT INTO `lang_definitions` VALUES (83352, 940, 22, 'Chg');
INSERT INTO `lang_definitions` VALUES (83353, 943, 22, 'Barn');
INSERT INTO `lang_definitions` VALUES (83354, 946, 22, 'Frossbrytningar');
INSERT INTO `lang_definitions` VALUES (83355, 947, 22, 'Kinesiska');
INSERT INTO `lang_definitions` VALUES (83356, 951, 22, 'Valg');
INSERT INTO `lang_definitions` VALUES (83357, 952, 22, 'Cholecystectomia');
INSERT INTO `lang_definitions` VALUES (83358, 954, 22, 'Cholecystotomia');
INSERT INTO `lang_definitions` VALUES (83359, 955, 22, 'Vælg');
INSERT INTO `lang_definitions` VALUES (83360, 956, 22, 'Välj ett avsnitt och klicka på ett objekt i den; Då, i den andra sektionen visas relaterade objekt. Klicka på avsnitten om du vill lägga till och ta bort relationer.');
INSERT INTO `lang_definitions` VALUES (83361, 957, 22, 'Vælg kriterier');
INSERT INTO `lang_definitions` VALUES (83362, 962, 22, 'Vælg liste');
INSERT INTO `lang_definitions` VALUES (83363, 965, 22, 'Vælg printformat for denne aftalerapport');
INSERT INTO `lang_definitions` VALUES (83364, 967, 22, 'Kronisk bronkit');
INSERT INTO `lang_definitions` VALUES (83365, 968, 22, 'Kronisk ledvärk');
INSERT INTO `lang_definitions` VALUES (83366, 970, 22, 'Kronisk synovit / effusion / ledvärk / gikt');
INSERT INTO `lang_definitions` VALUES (83367, 971, 22, 'Kronisk / Återkommande');
INSERT INTO `lang_definitions` VALUES (83368, 973, 22, 'Leverciros');
INSERT INTO `lang_definitions` VALUES (83369, 974, 22, 'Levercirros');
INSERT INTO `lang_definitions` VALUES (83370, 975, 22, 'By');
INSERT INTO `lang_definitions` VALUES (83371, 976, 22, 'Bynavn');
INSERT INTO `lang_definitions` VALUES (83372, 977, 22, 'By, stat');
INSERT INTO `lang_definitions` VALUES (83373, 978, 22, 'By, postnummer');
INSERT INTO `lang_definitions` VALUES (83374, 979, 22, 'By');
INSERT INTO `lang_definitions` VALUES (83375, 980, 22, 'Krav');
INSERT INTO `lang_definitions` VALUES (83376, 981, 22, 'Påstå ');
INSERT INTO `lang_definitions` VALUES (83377, 988, 22, 'Klassificering');
INSERT INTO `lang_definitions` VALUES (83378, 989, 22, 'Tøm');
INSERT INTO `lang_definitions` VALUES (83379, 991, 22, 'Slet alt');
INSERT INTO `lang_definitions` VALUES (83380, 993, 22, 'Tøm justering');
INSERT INTO `lang_definitions` VALUES (83381, 994, 22, 'Rensa Smarty Cache');
INSERT INTO `lang_definitions` VALUES (83382, 996, 22, 'CLIA Antal');
INSERT INTO `lang_definitions` VALUES (83383, 997, 22, 'Klik');
INSERT INTO `lang_definitions` VALUES (83384, 1001, 22, 'Klik for mere');
INSERT INTO `lang_definitions` VALUES (83385, 1005, 22, 'Tryk her');
INSERT INTO `lang_definitions` VALUES (83386, 1006, 22, 'Tryk her for at tilføje ny patient');
INSERT INTO `lang_definitions` VALUES (83387, 1008, 22, 'Tryk her for at vælge en dato');
INSERT INTO `lang_definitions` VALUES (83388, 1009, 22, 'Tryk her for at vælge dato og tidspunkt');
INSERT INTO `lang_definitions` VALUES (83389, 1010, 22, 'Tryk her for at vælge startdato');
INSERT INTO `lang_definitions` VALUES (83390, 1020, 22, 'tryk her for at søge');
INSERT INTO `lang_definitions` VALUES (83391, 1021, 22, 'Klicka här för att uppdatera prioritet, kategori och smeknamn inställningar');
INSERT INTO `lang_definitions` VALUES (83392, 1022, 22, 'Tryk her for at se alle');
INSERT INTO `lang_definitions` VALUES (83393, 1026, 22, 'Tryk her for at se patientdetaljer');
INSERT INTO `lang_definitions` VALUES (83394, 1027, 22, 'Tryk her for at se dem alle');
INSERT INTO `lang_definitions` VALUES (83395, 1035, 22, 'Tryk for at oprette en ny konsultation');
INSERT INTO `lang_definitions` VALUES (83396, 1037, 22, 'Tryk for at downloade');
INSERT INTO `lang_definitions` VALUES (83397, 1038, 22, 'Tryk for at ændre');
INSERT INTO `lang_definitions` VALUES (83398, 1040, 22, 'Tryk for at ændre denne begivenhed');
INSERT INTO `lang_definitions` VALUES (83399, 1041, 22, 'Tryk for at generere rapporten');
INSERT INTO `lang_definitions` VALUES (83400, 1043, 22, 'Tryk for at printe');
INSERT INTO `lang_definitions` VALUES (83401, 1044, 22, 'Klicka för att lägga till/få ny lot');
INSERT INTO `lang_definitions` VALUES (83402, 1045, 22, 'Tryk for at vælge');
INSERT INTO `lang_definitions` VALUES (83403, 1046, 22, 'Tryk for at vælge');
INSERT INTO `lang_definitions` VALUES (83404, 1051, 22, 'Tryk for at vælge eller ændre diagnose');
INSERT INTO `lang_definitions` VALUES (83405, 1053, 22, 'Tryk for at vælge patient');
INSERT INTO `lang_definitions` VALUES (83406, 1054, 22, 'Tryk for at vælge en relateret kode');
INSERT INTO `lang_definitions` VALUES (83407, 1056, 22, 'Tryk for at vælge den ønskede procedure');
INSERT INTO `lang_definitions` VALUES (83408, 1058, 22, 'Tryk for at se');
INSERT INTO `lang_definitions` VALUES (83409, 1059, 22, 'Tryk for at se eller ændre');
INSERT INTO `lang_definitions` VALUES (83410, 1060, 22, 'Tryk for at se/ændre');
INSERT INTO `lang_definitions` VALUES (83411, 1063, 22, 'Tryk:');
INSERT INTO `lang_definitions` VALUES (83412, 1067, 22, 'Patientkopi');
INSERT INTO `lang_definitions` VALUES (83413, 1069, 22, 'Annamnese');
INSERT INTO `lang_definitions` VALUES (83414, 1072, 22, 'Klientprofil - Ny Klient');
INSERT INTO `lang_definitions` VALUES (83415, 1073, 22, 'Klientprofil - Unika klienter');
INSERT INTO `lang_definitions` VALUES (83416, 1074, 22, 'patienter');
INSERT INTO `lang_definitions` VALUES (83417, 1075, 22, 'Klinik');
INSERT INTO `lang_definitions` VALUES (83418, 1076, 22, 'Klinikkopi');
INSERT INTO `lang_definitions` VALUES (83419, 1077, 22, 'Kliniken Daily Record');
INSERT INTO `lang_definitions` VALUES (83420, 1078, 22, 'Klinik ID');
INSERT INTO `lang_definitions` VALUES (83421, 1079, 22, 'klinisk');
INSERT INTO `lang_definitions` VALUES (83422, 1083, 22, 'Kliniske planer');
INSERT INTO `lang_definitions` VALUES (83423, 1087, 22, 'Kliniske påmindelser');
INSERT INTO `lang_definitions` VALUES (83424, 1088, 22, 'kliniske rapporter');
INSERT INTO `lang_definitions` VALUES (83425, 1093, 22, 'Kliniske regler');
INSERT INTO `lang_definitions` VALUES (83426, 1106, 22, 'Klinikmedverkande');
INSERT INTO `lang_definitions` VALUES (83427, 1109, 22, 'Luk');
INSERT INTO `lang_definitions` VALUES (83428, 1111, 22, 'Luk vinduet');
INSERT INTO `lang_definitions` VALUES (83429, 1112, 22, 'Lukket');
INSERT INTO `lang_definitions` VALUES (83430, 1113, 22, 'cm');
INSERT INTO `lang_definitions` VALUES (83431, 1118, 22, 'CMS-id');
INSERT INTO `lang_definitions` VALUES (83432, 1127, 22, 'CN2-12 intakta');
INSERT INTO `lang_definitions` VALUES (83433, 1131, 22, 'Kode');
INSERT INTO `lang_definitions` VALUES (83434, 1132, 22, 'kode');
INSERT INTO `lang_definitions` VALUES (83435, 1133, 22, 'kodesøger');
INSERT INTO `lang_definitions` VALUES (83436, 1134, 22, 'Kode skal være mindre end 2 bogstaver');
INSERT INTO `lang_definitions` VALUES (83437, 1135, 22, 'kode eller tegn for at indikere kurs');
INSERT INTO `lang_definitions` VALUES (83438, 1136, 22, 'Kodetekst');
INSERT INTO `lang_definitions` VALUES (83439, 1138, 22, 'Kodetype');
INSERT INTO `lang_definitions` VALUES (83440, 1141, 22, 'Kodetype');
INSERT INTO `lang_definitions` VALUES (83441, 1144, 22, 'Koder');
INSERT INTO `lang_definitions` VALUES (83442, 1145, 22, 'Kodning');
INSERT INTO `lang_definitions` VALUES (83443, 1147, 22, 'Coding - any encounters (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (83444, 1148, 22, 'Coding - my encounters (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (83445, 1149, 22, 'Kodning ikke tilladt');
INSERT INTO `lang_definitions` VALUES (83446, 1150, 22, 'Kaffe');
INSERT INTO `lang_definitions` VALUES (83447, 1153, 22, 'Förf.saml w / o');
INSERT INTO `lang_definitions` VALUES (83448, 1154, 22, 'Kolaps');
INSERT INTO `lang_definitions` VALUES (83449, 1155, 22, 'kolaps');
INSERT INTO `lang_definitions` VALUES (83450, 1156, 22, 'Kolaps alle');
INSERT INTO `lang_definitions` VALUES (83451, 1157, 22, 'Kolaps alle');
INSERT INTO `lang_definitions` VALUES (83452, 1158, 22, 'Kolaps alle');
INSERT INTO `lang_definitions` VALUES (83453, 1161, 22, 'Samlinger');
INSERT INTO `lang_definitions` VALUES (83454, 1162, 22, 'Samlingsrapport');
INSERT INTO `lang_definitions` VALUES (83455, 1163, 22, 'Koloncancer');
INSERT INTO `lang_definitions` VALUES (83456, 1165, 22, 'Koloncancer Kirurgi');
INSERT INTO `lang_definitions` VALUES (83457, 1166, 22, 'Kolonoskopi');
INSERT INTO `lang_definitions` VALUES (83458, 1167, 22, 'kolonoskopi');
INSERT INTO `lang_definitions` VALUES (83459, 1168, 22, 'Farve');
INSERT INTO `lang_definitions` VALUES (83460, 1170, 22, 'Kolonne');
INSERT INTO `lang_definitions` VALUES (83461, 1171, 22, 'kolonner');
INSERT INTO `lang_definitions` VALUES (83462, 1173, 22, 'Komma');
INSERT INTO `lang_definitions` VALUES (83463, 1174, 22, 'Kommentar');
INSERT INTO `lang_definitions` VALUES (83464, 1175, 22, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (83465, 1176, 22, 'kommentarer til dette resultat eller anbefaling');
INSERT INTO `lang_definitions` VALUES (83466, 1177, 22, 'Commercial Insurance Co');
INSERT INTO `lang_definitions` VALUES (83467, 1178, 22, 'godkend ændringer');
INSERT INTO `lang_definitions` VALUES (83468, 1180, 22, 'Kommunikation');
INSERT INTO `lang_definitions` VALUES (83469, 1182, 22, 'Firma');
INSERT INTO `lang_definitions` VALUES (83470, 1183, 22, 'Firmanavn');
INSERT INTO `lang_definitions` VALUES (83471, 1184, 22, 'Komplet');
INSERT INTO `lang_definitions` VALUES (83472, 1186, 22, 'Afsluttet');
INSERT INTO `lang_definitions` VALUES (83473, 1188, 22, 'Afsluttet?');
INSERT INTO `lang_definitions` VALUES (83474, 1190, 22, 'Komplikationer ved serviceudbyder');
INSERT INTO `lang_definitions` VALUES (83475, 1191, 22, 'Problemer ved lukning');
INSERT INTO `lang_definitions` VALUES (83476, 1192, 22, 'komponenter');
INSERT INTO `lang_definitions` VALUES (83477, 1193, 22, 'Datorstödd Medical Ordering System');
INSERT INTO `lang_definitions` VALUES (83478, 1194, 22, 'Konklussioner');
INSERT INTO `lang_definitions` VALUES (83479, 1199, 22, 'konfiguration');
INSERT INTO `lang_definitions` VALUES (83480, 1208, 22, 'Bekræft Ny Patient');
INSERT INTO `lang_definitions` VALUES (83481, 1209, 22, 'Bekræft Nyt Kodeord');
INSERT INTO `lang_definitions` VALUES (83482, 1210, 22, 'Bekræft Betaling');
INSERT INTO `lang_definitions` VALUES (83483, 1214, 22, 'Kongenital');
INSERT INTO `lang_definitions` VALUES (83484, 1215, 22, 'Conjuntiva, elever');
INSERT INTO `lang_definitions` VALUES (83485, 1218, 22, 'Konstant');
INSERT INTO `lang_definitions` VALUES (83486, 1219, 22, 'konstantnavn');
INSERT INTO `lang_definitions` VALUES (83487, 1220, 22, 'konstantnavn er sort');
INSERT INTO `lang_definitions` VALUES (83488, 1221, 22, 'Konstanter');
INSERT INTO `lang_definitions` VALUES (83489, 1222, 22, 'Förstoppning');
INSERT INTO `lang_definitions` VALUES (83490, 1223, 22, 'Konstitutionella');
INSERT INTO `lang_definitions` VALUES (83491, 1226, 22, 'Konsultation, kort beskrivelse');
INSERT INTO `lang_definitions` VALUES (83492, 1227, 22, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (83493, 1228, 22, 'kontakt email');
INSERT INTO `lang_definitions` VALUES (83494, 1229, 22, 'Kontak E-mail');
INSERT INTO `lang_definitions` VALUES (83495, 1231, 22, 'Kontaktinformation');
INSERT INTO `lang_definitions` VALUES (83496, 1232, 22, 'Kontaktlinser');
INSERT INTO `lang_definitions` VALUES (83497, 1236, 22, 'kontaktnavn');
INSERT INTO `lang_definitions` VALUES (83498, 1237, 22, 'Kontaktperson');
INSERT INTO `lang_definitions` VALUES (83499, 1239, 22, 'Kontakttelefonnummer');
INSERT INTO `lang_definitions` VALUES (83500, 1241, 22, 'indehold mindst tre af fire følgende ting');
INSERT INTO `lang_definitions` VALUES (83501, 1243, 22, 'Indhold');
INSERT INTO `lang_definitions` VALUES (83502, 1244, 22, 'Indhold');
INSERT INTO `lang_definitions` VALUES (83503, 1245, 22, 'Sammenhæng');
INSERT INTO `lang_definitions` VALUES (83504, 1246, 22, 'Sammenhæng navn kan ikke tømmes');
INSERT INTO `lang_definitions` VALUES (83505, 1247, 22, 'Fortsæt');
INSERT INTO `lang_definitions` VALUES (83506, 1250, 22, 'kontraindikationer');
INSERT INTO `lang_definitions` VALUES (83507, 1251, 22, 'Preventivmedel');
INSERT INTO `lang_definitions` VALUES (83508, 1252, 22, 'Preventivmedelsproblematik');
INSERT INTO `lang_definitions` VALUES (83509, 1253, 22, 'Preventivmedelsproblematik (specificera)');
INSERT INTO `lang_definitions` VALUES (83510, 1254, 22, 'Preventivmedel Metod');
INSERT INTO `lang_definitions` VALUES (83511, 1256, 22, 'Preventivmedel, tjänster som tidigare startats');
INSERT INTO `lang_definitions` VALUES (83512, 1257, 22, 'Preventivmedel start');
INSERT INTO `lang_definitions` VALUES (83513, 1258, 22, 'Kontrol ID');
INSERT INTO `lang_definitions` VALUES (83514, 1259, 22, 'Kontrollnum.');
INSERT INTO `lang_definitions` VALUES (83515, 1262, 22, 'Medbetaler');
INSERT INTO `lang_definitions` VALUES (83516, 1263, 22, 'Medbetaler');
INSERT INTO `lang_definitions` VALUES (83517, 1266, 22, 'Medbetalare');
INSERT INTO `lang_definitions` VALUES (83518, 1267, 22, 'COPD');
INSERT INTO `lang_definitions` VALUES (83519, 1268, 22, 'Kopiera Sidor till Patientdiagram');
INSERT INTO `lang_definitions` VALUES (83520, 1269, 22, 'Kopier værdier');
INSERT INTO `lang_definitions` VALUES (83521, 1270, 22, 'Kopier databasen, Dette kan tage lang tid');
INSERT INTO `lang_definitions` VALUES (83522, 1271, 22, 'Ophavsret');
INSERT INTO `lang_definitions` VALUES (83523, 1273, 22, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (83524, 1275, 22, 'Korrigeret');
INSERT INTO `lang_definitions` VALUES (83525, 1289, 22, 'Hoste');
INSERT INTO `lang_definitions` VALUES (83526, 1290, 22, 'Hoste');
INSERT INTO `lang_definitions` VALUES (83527, 1294, 22, 'Kunne ikke læse fil');
INSERT INTO `lang_definitions` VALUES (83528, 1296, 22, 'Kunne ikke sende email pga. problemer med serveren ');
INSERT INTO `lang_definitions` VALUES (83529, 1298, 22, 'kunne ikke oprette backup dir:');
INSERT INTO `lang_definitions` VALUES (83530, 1299, 22, 'Kunne ikke fjerne dir:');
INSERT INTO `lang_definitions` VALUES (83531, 1300, 22, 'Kunne ikke fjerne gammel backupfil');
INSERT INTO `lang_definitions` VALUES (83532, 1301, 22, 'Kunne ikke fjerne gamle exporteret fil');
INSERT INTO `lang_definitions` VALUES (83533, 1303, 22, 'Couns av metod');
INSERT INTO `lang_definitions` VALUES (83534, 1304, 22, 'Rådgivning');
INSERT INTO `lang_definitions` VALUES (83535, 1305, 22, 'Rådgivning, Aktivitet');
INSERT INTO `lang_definitions` VALUES (83536, 1306, 22, 'svarsremiss, formulär');
INSERT INTO `lang_definitions` VALUES (83537, 1307, 22, 'Remisssvar');
INSERT INTO `lang_definitions` VALUES (83538, 1308, 22, 'Land');
INSERT INTO `lang_definitions` VALUES (83539, 1310, 22, 'Land, liste');
INSERT INTO `lang_definitions` VALUES (83540, 1311, 22, 'Land, Lista');
INSERT INTO `lang_definitions` VALUES (83541, 1313, 22, 'Amt');
INSERT INTO `lang_definitions` VALUES (83542, 1315, 22, 'kuppon');
INSERT INTO `lang_definitions` VALUES (83543, 1318, 22, 'CPT');
INSERT INTO `lang_definitions` VALUES (83544, 1320, 22, 'CPT Koder');
INSERT INTO `lang_definitions` VALUES (83545, 1324, 22, 'Sprickor:');
INSERT INTO `lang_definitions` VALUES (83546, 1325, 22, 'creme');
INSERT INTO `lang_definitions` VALUES (83547, 1329, 22, 'Opret en begivenhed');
INSERT INTO `lang_definitions` VALUES (83548, 1330, 22, 'Opret og download fuld backup');
INSERT INTO `lang_definitions` VALUES (83549, 1332, 22, 'Opret backup');
INSERT INTO `lang_definitions` VALUES (83550, 1336, 22, 'Opret kopi');
INSERT INTO `lang_definitions` VALUES (83551, 1339, 22, 'Opret nyt emne');
INSERT INTO `lang_definitions` VALUES (83552, 1340, 22, 'Opret ny patient');
INSERT INTO `lang_definitions` VALUES (83553, 1344, 22, 'Opret patient note');
INSERT INTO `lang_definitions` VALUES (83554, 1346, 22, 'Opret aftale');
INSERT INTO `lang_definitions` VALUES (83555, 1347, 22, 'Oprettet');
INSERT INTO `lang_definitions` VALUES (83556, 1348, 22, 'Opretter export fil');
INSERT INTO `lang_definitions` VALUES (83557, 1351, 22, 'Opretter');
INSERT INTO `lang_definitions` VALUES (83558, 1352, 22, 'kredit');
INSERT INTO `lang_definitions` VALUES (83559, 1353, 22, 'Kreditkort');
INSERT INTO `lang_definitions` VALUES (83560, 1354, 22, 'Kredit');
INSERT INTO `lang_definitions` VALUES (83561, 1356, 22, 'Kriterier');
INSERT INTO `lang_definitions` VALUES (83562, 1358, 22, 'Crohn\'s sjukdom');
INSERT INTO `lang_definitions` VALUES (83563, 1359, 22, 'Chrons sjukdom');
INSERT INTO `lang_definitions` VALUES (83564, 1361, 22, 'Csv-fil');
INSERT INTO `lang_definitions` VALUES (83565, 1369, 22, 'Nuværende');
INSERT INTO `lang_definitions` VALUES (83566, 1371, 22, 'Nuværende konsultation');
INSERT INTO `lang_definitions` VALUES (83567, 1372, 22, 'Nuværende kriterier');
INSERT INTO `lang_definitions` VALUES (83568, 1373, 22, 'Aktuel dag i farve');
INSERT INTO `lang_definitions` VALUES (83569, 1375, 22, 'Nuværende filnavn er ændret til');
INSERT INTO `lang_definitions` VALUES (83570, 1377, 22, 'Nuværende lokation');
INSERT INTO `lang_definitions` VALUES (83571, 1379, 22, 'Nuværende kodeord');
INSERT INTO `lang_definitions` VALUES (83572, 1380, 22, 'Nuværende patient');
INSERT INTO `lang_definitions` VALUES (83573, 1386, 22, 'Nuværende aktiv');
INSERT INTO `lang_definitions` VALUES (83574, 1389, 22, 'Cushing Syndrom');
INSERT INTO `lang_definitions` VALUES (83575, 1390, 22, 'Cushings syndrom');
INSERT INTO `lang_definitions` VALUES (83576, 1392, 22, 'Custom');
INSERT INTO `lang_definitions` VALUES (83577, 1400, 22, 'CYP');
INSERT INTO `lang_definitions` VALUES (83578, 1401, 22, 'CYP Factor');
INSERT INTO `lang_definitions` VALUES (83579, 1402, 22, 'CYP Rapport');
INSERT INTO `lang_definitions` VALUES (83580, 1404, 22, 'D');
INSERT INTO `lang_definitions` VALUES (83581, 1405, 22, 'D & C');
INSERT INTO `lang_definitions` VALUES (83582, 1406, 22, 'D & E');
INSERT INTO `lang_definitions` VALUES (83583, 1407, 22, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (83584, 1408, 22, 'Daglig');
INSERT INTO `lang_definitions` VALUES (83585, 1409, 22, 'Daglig optegnelse');
INSERT INTO `lang_definitions` VALUES (83586, 1410, 22, 'dansk');
INSERT INTO `lang_definitions` VALUES (83587, 1411, 22, 'Lignende data er allerede registreret. Skift kode eller beskrivelse');
INSERT INTO `lang_definitions` VALUES (83588, 1412, 22, 'Lignende data er allerede registreret. Skift navn på konstant');
INSERT INTO `lang_definitions` VALUES (83589, 1413, 22, 'Data kolonner');
INSERT INTO `lang_definitions` VALUES (83590, 1420, 22, 'Datatype');
INSERT INTO `lang_definitions` VALUES (83591, 1421, 22, 'Database');
INSERT INTO `lang_definitions` VALUES (83592, 1422, 22, 'Databasen er ikke installeret');
INSERT INTO `lang_definitions` VALUES (83593, 1424, 22, 'Databaserapportering');
INSERT INTO `lang_definitions` VALUES (83594, 1425, 22, 'Opgradering af database er afsluttet');
INSERT INTO `lang_definitions` VALUES (83595, 1426, 22, 'Datacols måste ha ett nummer mellan 1 och 999');
INSERT INTO `lang_definitions` VALUES (83596, 1427, 22, 'Dato');
INSERT INTO `lang_definitions` VALUES (83597, 1428, 22, 'dato');
INSERT INTO `lang_definitions` VALUES (83598, 1431, 22, 'Administreringsdato');
INSERT INTO `lang_definitions` VALUES (83599, 1432, 22, 'Prøvedato og tid');
INSERT INTO `lang_definitions` VALUES (83600, 1435, 22, 'Prøvedato og tid');
INSERT INTO `lang_definitions` VALUES (83601, 1436, 22, 'Dato kan ikke være senere end i dag');
INSERT INTO `lang_definitions` VALUES (83602, 1437, 22, 'Datum då preventivmeddel insattes för första gången');
INSERT INTO `lang_definitions` VALUES (83603, 1438, 22, 'Dato oprettet');
INSERT INTO `lang_definitions` VALUES (83604, 1439, 22, 'Dødsdato');
INSERT INTO `lang_definitions` VALUES (83605, 1440, 22, 'Ødelæggelsesdato');
INSERT INTO `lang_definitions` VALUES (83606, 1441, 22, 'Vis datoformat');
INSERT INTO `lang_definitions` VALUES (83607, 1442, 22, 'Datoformat for \"aftale slut\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (83608, 1443, 22, 'Datoformat for \"aftale start\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (83609, 1444, 22, 'Datoformat for \"næste aftale\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (83610, 1445, 22, 'Datoformat for \"ikke set siden\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (83611, 1446, 22, 'Datoformat for \"seneste aftale\" er ikke gyldig');
INSERT INTO `lang_definitions` VALUES (83612, 1447, 22, 'Datum för vaccinationsinformation');
INSERT INTO `lang_definitions` VALUES (83613, 1448, 22, 'Koden mangler dato ');
INSERT INTO `lang_definitions` VALUES (83614, 1450, 22, 'Dato for bankindbetaling åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (83615, 1452, 22, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (83616, 1453, 22, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (83617, 1454, 22, 'Fødselsdag');
INSERT INTO `lang_definitions` VALUES (83618, 1456, 22, 'Dato for skade');
INSERT INTO `lang_definitions` VALUES (83619, 1458, 22, 'Dato for betaling åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (83620, 1459, 22, 'Henvisningsdato');
INSERT INTO `lang_definitions` VALUES (83621, 1460, 22, 'Svardato');
INSERT INTO `lang_definitions` VALUES (83622, 1463, 22, 'Dato for service');
INSERT INTO `lang_definitions` VALUES (83623, 1464, 22, 'Dato for service = I dag');
INSERT INTO `lang_definitions` VALUES (83624, 1465, 22, 'Dato for service MM / DD / ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (83625, 1466, 22, 'Dato for service');
INSERT INTO `lang_definitions` VALUES (83626, 1467, 22, 'Underskriftsdato');
INSERT INTO `lang_definitions` VALUES (83627, 1469, 22, 'Ordredato');
INSERT INTO `lang_definitions` VALUES (83628, 1470, 22, 'Rapportdato');
INSERT INTO `lang_definitions` VALUES (83629, 1471, 22, 'Ej tilldelad');
INSERT INTO `lang_definitions` VALUES (83630, 1472, 22, 'Ordredato');
INSERT INTO `lang_definitions` VALUES (83631, 1475, 22, 'Datovælger');
INSERT INTO `lang_definitions` VALUES (83632, 1476, 22, 'Afsendelsesdato');
INSERT INTO `lang_definitions` VALUES (83633, 1479, 22, 'Datofelter kan ikke være tomme');
INSERT INTO `lang_definitions` VALUES (83634, 1480, 22, 'Dato / aftale');
INSERT INTO `lang_definitions` VALUES (83635, 1481, 22, 'Dato / Noter');
INSERT INTO `lang_definitions` VALUES (83636, 1482, 22, 'Seneste dato/noter');
INSERT INTO `lang_definitions` VALUES (83637, 1483, 22, 'Dato / tid');
INSERT INTO `lang_definitions` VALUES (83638, 1484, 22, 'Dato:');
INSERT INTO `lang_definitions` VALUES (83639, 1486, 22, 'Dag');
INSERT INTO `lang_definitions` VALUES (83640, 1487, 22, 'Dag');
INSERT INTO `lang_definitions` VALUES (83641, 1489, 22, 'dagsoversigt');
INSERT INTO `lang_definitions` VALUES (83642, 1490, 22, 'Dag(e)');
INSERT INTO `lang_definitions` VALUES (83643, 1491, 22, 'Dag(e) man-fre');
INSERT INTO `lang_definitions` VALUES (83644, 1492, 22, 'Dage');
INSERT INTO `lang_definitions` VALUES (83645, 1493, 22, 'Dage');
INSERT INTO `lang_definitions` VALUES (83646, 1494, 22, 'dage siden');
INSERT INTO `lang_definitions` VALUES (83647, 1495, 22, 'Dagar och spel Missade');
INSERT INTO `lang_definitions` VALUES (83648, 1496, 22, 'dage siden sidste aftale');
INSERT INTO `lang_definitions` VALUES (83649, 1498, 22, 'dage per kolonne');
INSERT INTO `lang_definitions` VALUES (83650, 1500, 22, 'dage / kolonne');
INSERT INTO `lang_definitions` VALUES (83651, 1501, 22, 'DB installeret');
INSERT INTO `lang_definitions` VALUES (83652, 1502, 22, 'DD/MM/ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (83653, 1509, 22, 'DEA');
INSERT INTO `lang_definitions` VALUES (83654, 1512, 22, 'Debuginformation');
INSERT INTO `lang_definitions` VALUES (83655, 1515, 22, 'dec');
INSERT INTO `lang_definitions` VALUES (83656, 1516, 22, 'Afdød');
INSERT INTO `lang_definitions` VALUES (83657, 1517, 22, 'december');
INSERT INTO `lang_definitions` VALUES (83658, 1520, 22, 'Fratrække');
INSERT INTO `lang_definitions` VALUES (83659, 1522, 22, 'Standard');
INSERT INTO `lang_definitions` VALUES (83660, 1523, 22, 'Standard kalender opslag');
INSERT INTO `lang_definitions` VALUES (83661, 1526, 22, 'Standard Klinik');
INSERT INTO `lang_definitions` VALUES (83662, 1527, 22, 'Standard sprog');
INSERT INTO `lang_definitions` VALUES (83663, 1528, 22, 'Standart sprog hvis ikke andet er tilladt eller valgt');
INSERT INTO `lang_definitions` VALUES (83664, 1529, 22, 'Standardliste');
INSERT INTO `lang_definitions` VALUES (83665, 1530, 22, 'Standardmetode');
INSERT INTO `lang_definitions` VALUES (83666, 1531, 22, 'Standartudløbsdato for kodeord');
INSERT INTO `lang_definitions` VALUES (83667, 1536, 22, 'Standardbehandler');
INSERT INTO `lang_definitions` VALUES (83668, 1537, 22, 'Standardomfang');
INSERT INTO `lang_definitions` VALUES (83669, 1540, 22, 'Standardindstilling');
INSERT INTO `lang_definitions` VALUES (83670, 1546, 22, 'Standardenhed');
INSERT INTO `lang_definitions` VALUES (83671, 1547, 22, 'Standardværdi');
INSERT INTO `lang_definitions` VALUES (83672, 1549, 22, 'Standard X12 Partner');
INSERT INTO `lang_definitions` VALUES (83673, 1550, 22, 'Default / Global');
INSERT INTO `lang_definitions` VALUES (83674, 1551, 22, 'Slet');
INSERT INTO `lang_definitions` VALUES (83675, 1552, 22, 'slet');
INSERT INTO `lang_definitions` VALUES (83676, 1553, 22, 'Fördröjd Återkommande (> 12 mån)');
INSERT INTO `lang_definitions` VALUES (83677, 1554, 22, 'Slet');
INSERT INTO `lang_definitions` VALUES (83678, 1555, 22, 'Slet');
INSERT INTO `lang_definitions` VALUES (83679, 1556, 22, 'Slet kategorier med disse ID(er): ');
INSERT INTO `lang_definitions` VALUES (83680, 1557, 22, 'Slet kategori');
INSERT INTO `lang_definitions` VALUES (83681, 1560, 22, 'Slet gruppe');
INSERT INTO `lang_definitions` VALUES (83682, 1561, 22, 'Slet liste');
INSERT INTO `lang_definitions` VALUES (83683, 1562, 22, 'Slet sider');
INSERT INTO `lang_definitions` VALUES (83684, 1563, 22, 'Slet patient, aftaler, form, emner, dokument, betaling, fakturering eller transaktion');
INSERT INTO `lang_definitions` VALUES (83685, 1565, 22, 'Slet række');
INSERT INTO `lang_definitions` VALUES (83686, 1566, 22, 'Slet valgte');
INSERT INTO `lang_definitions` VALUES (83687, 1568, 22, 'Slettelse afsluttet');
INSERT INTO `lang_definitions` VALUES (83688, 1569, 22, 'Slet dette dokument');
INSERT INTO `lang_definitions` VALUES (83689, 1570, 22, 'Slet denne formular');
INSERT INTO `lang_definitions` VALUES (83690, 1571, 22, 'Slet denne note');
INSERT INTO `lang_definitions` VALUES (83691, 1573, 22, 'Slettelse afsluttet');
INSERT INTO `lang_definitions` VALUES (83692, 1581, 22, 'Demens');
INSERT INTO `lang_definitions` VALUES (83693, 1582, 22, 'Demografi');
INSERT INTO `lang_definitions` VALUES (83694, 1583, 22, 'Demografi');
INSERT INTO `lang_definitions` VALUES (83695, 1586, 22, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (83696, 1587, 22, 'Demografi ej auktoriserad');
INSERT INTO `lang_definitions` VALUES (83697, 1590, 22, 'Dental');
INSERT INTO `lang_definitions` VALUES (83698, 1592, 22, 'Dentale problemer');
INSERT INTO `lang_definitions` VALUES (83699, 1596, 22, 'Betalingsdato');
INSERT INTO `lang_definitions` VALUES (83700, 1598, 22, 'Betalingsdato');
INSERT INTO `lang_definitions` VALUES (83701, 1599, 22, 'Deprimeret');
INSERT INTO `lang_definitions` VALUES (83702, 1600, 22, 'Depression');
INSERT INTO `lang_definitions` VALUES (83703, 1602, 22, 'Beskrivelse');
INSERT INTO `lang_definitions` VALUES (83704, 1603, 22, 'beskrivelse');
INSERT INTO `lang_definitions` VALUES (83705, 1607, 22, 'Oversat beskrivelse');
INSERT INTO `lang_definitions` VALUES (83706, 1609, 22, 'Mål');
INSERT INTO `lang_definitions` VALUES (83707, 1610, 22, 'Destination filnavn');
INSERT INTO `lang_definitions` VALUES (83708, 1611, 22, 'Ødelagt Lot');
INSERT INTO `lang_definitions` VALUES (83709, 1612, 22, 'Ødelæg');
INSERT INTO `lang_definitions` VALUES (83710, 1613, 22, 'Ødelagt');
INSERT INTO `lang_definitions` VALUES (83711, 1614, 22, 'Ødelagte medikamenter');
INSERT INTO `lang_definitions` VALUES (83712, 1615, 22, 'Förstöras narkotika Rapport');
INSERT INTO `lang_definitions` VALUES (83713, 1616, 22, 'Detalje');
INSERT INTO `lang_definitions` VALUES (83714, 1617, 22, 'Detaljer');
INSERT INTO `lang_definitions` VALUES (83715, 1619, 22, 'Utvecklingstoxicitet abnormalitet');
INSERT INTO `lang_definitions` VALUES (83716, 1620, 22, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (83717, 1631, 22, 'Diag');
INSERT INTO `lang_definitions` VALUES (83718, 1633, 22, 'Diagnose');
INSERT INTO `lang_definitions` VALUES (83719, 1634, 22, 'Diagnose kode');
INSERT INTO `lang_definitions` VALUES (83720, 1636, 22, 'Daiagnose dato');
INSERT INTO `lang_definitions` VALUES (83721, 1637, 22, 'Diagnos måste kodas in i ett länkat patientmöte');
INSERT INTO `lang_definitions` VALUES (83722, 1638, 22, 'Diagnose navn');
INSERT INTO `lang_definitions` VALUES (83723, 1639, 22, 'Diagnose rapport');
INSERT INTO `lang_definitions` VALUES (83724, 1642, 22, 'Diagnose titel');
INSERT INTO `lang_definitions` VALUES (83725, 1643, 22, 'Diagnose:');
INSERT INTO `lang_definitions` VALUES (83726, 1644, 22, 'Diagnose: ');
INSERT INTO `lang_definitions` VALUES (83727, 1645, 22, 'Diagnose test');
INSERT INTO `lang_definitions` VALUES (83728, 1646, 22, 'Dials');
INSERT INTO `lang_definitions` VALUES (83729, 1648, 22, 'Diarée');
INSERT INTO `lang_definitions` VALUES (83730, 1650, 22, 'Diktat');
INSERT INTO `lang_definitions` VALUES (83731, 1651, 22, 'Diktat: ');
INSERT INTO `lang_definitions` VALUES (83732, 1652, 22, 'Fick du en kopia av denna HIPAA notering?');
INSERT INTO `lang_definitions` VALUES (83733, 1653, 22, 'Diffus');
INSERT INTO `lang_definitions` VALUES (83734, 1654, 22, 'Elektronisk underskrift');
INSERT INTO `lang_definitions` VALUES (83735, 1657, 22, 'Direkte mail');
INSERT INTO `lang_definitions` VALUES (83736, 1665, 22, 'Handicap');
INSERT INTO `lang_definitions` VALUES (83737, 1667, 22, 'Deaktiver kalender');
INSERT INTO `lang_definitions` VALUES (83738, 1675, 22, 'handicappet');
INSERT INTO `lang_definitions` VALUES (83739, 1676, 22, 'Handiccapet');
INSERT INTO `lang_definitions` VALUES (83740, 1678, 22, 'DISC');
INSERT INTO `lang_definitions` VALUES (83741, 1681, 22, 'Udskrive');
INSERT INTO `lang_definitions` VALUES (83742, 1682, 22, 'Flytningar från urinröret');
INSERT INTO `lang_definitions` VALUES (83743, 1689, 22, 'Videregive info');
INSERT INTO `lang_definitions` VALUES (83744, 1694, 22, 'Rabat');
INSERT INTO `lang_definitions` VALUES (83745, 1695, 22, 'Rabat beløb');
INSERT INTO `lang_definitions` VALUES (83746, 1696, 22, 'Rabat nivaue');
INSERT INTO `lang_definitions` VALUES (83747, 1701, 22, 'Sygdom');
INSERT INTO `lang_definitions` VALUES (83748, 1702, 22, 'Forskydning');
INSERT INTO `lang_definitions` VALUES (83749, 1703, 22, 'Antal:');
INSERT INTO `lang_definitions` VALUES (83750, 1704, 22, 'Afsendelse');
INSERT INTO `lang_definitions` VALUES (83751, 1705, 22, 'Afsendt modtagne dokumenter');
INSERT INTO `lang_definitions` VALUES (83752, 1706, 22, 'Dispenseras');
INSERT INTO `lang_definitions` VALUES (83753, 1709, 22, 'Vis dato for begivenheder i blokke?');
INSERT INTO `lang_definitions` VALUES (83754, 1711, 22, 'Hvor mange begivenheder skal vises?');
INSERT INTO `lang_definitions` VALUES (83755, 1713, 22, 'Vis lokationer i blokke?');
INSERT INTO `lang_definitions` VALUES (83756, 1714, 22, 'Vis navn');
INSERT INTO `lang_definitions` VALUES (83757, 1715, 22, 'Vis kalender?');
INSERT INTO `lang_definitions` VALUES (83758, 1718, 22, 'Vis dagens begivenheder i blokken?');
INSERT INTO `lang_definitions` VALUES (83759, 1719, 22, 'Vis emne i blokke?');
INSERT INTO `lang_definitions` VALUES (83760, 1720, 22, 'Vis kommende begivenheder i blokke?');
INSERT INTO `lang_definitions` VALUES (83761, 1721, 22, 'Vis kolonner');
INSERT INTO `lang_definitions` VALUES (83762, 1725, 22, 'Distrubition');
INSERT INTO `lang_definitions` VALUES (83763, 1729, 22, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (83764, 1730, 22, 'Diverticulitis Kirurgi');
INSERT INTO `lang_definitions` VALUES (83765, 1731, 22, 'Divertikulit');
INSERT INTO `lang_definitions` VALUES (83766, 1732, 22, 'Divertikulit Kirurgi');
INSERT INTO `lang_definitions` VALUES (83767, 1733, 22, 'Skilt');
INSERT INTO `lang_definitions` VALUES (83768, 1734, 22, 'Svimmelhed');
INSERT INTO `lang_definitions` VALUES (83769, 1735, 22, 'Må ikke ændres');
INSERT INTO `lang_definitions` VALUES (83770, 1742, 22, 'Vis ikke kalenderen');
INSERT INTO `lang_definitions` VALUES (83771, 1747, 22, 'Må ikke gemmes');
INSERT INTO `lang_definitions` VALUES (83772, 1748, 22, 'Må ikke erstattes');
INSERT INTO `lang_definitions` VALUES (83773, 1749, 22, 'Gør intet');
INSERT INTO `lang_definitions` VALUES (83774, 1751, 22, 'Er du sikker på du vil slette?');
INSERT INTO `lang_definitions` VALUES (83775, 1752, 22, 'Er du sikker på du vil slette det valgte?');
INSERT INTO `lang_definitions` VALUES (83776, 1753, 22, 'Vil du virkelig slette dene gruppe?');
INSERT INTO `lang_definitions` VALUES (83777, 1755, 22, 'Vil du fortsætte?');
INSERT INTO `lang_definitions` VALUES (83778, 1756, 22, 'Vil du slette dette?');
INSERT INTO `lang_definitions` VALUES (83779, 1757, 22, 'Vil du slette?');
INSERT INTO `lang_definitions` VALUES (83780, 1758, 22, 'Vil du fjerne denne optagelse?');
INSERT INTO `lang_definitions` VALUES (83781, 1759, 22, 'Vil du fortsætte tilføjelsen af denne patient');
INSERT INTO `lang_definitions` VALUES (83782, 1760, 22, 'Vil du fortsætte med det nye navn?');
INSERT INTO `lang_definitions` VALUES (83783, 1762, 22, 'Fødselsdato');
INSERT INTO `lang_definitions` VALUES (83784, 1763, 22, 'Fødseldato mangler, udfyld hvis mulig');
INSERT INTO `lang_definitions` VALUES (83785, 1764, 22, 'Dokument');
INSERT INTO `lang_definitions` VALUES (83786, 1765, 22, 'Læge');
INSERT INTO `lang_definitions` VALUES (83787, 1766, 22, 'Læge:');
INSERT INTO `lang_definitions` VALUES (83788, 1767, 22, 'Læges navn og underskrift');
INSERT INTO `lang_definitions` VALUES (83789, 1768, 22, 'Dokument');
INSERT INTO `lang_definitions` VALUES (83790, 1769, 22, 'dokument');
INSERT INTO `lang_definitions` VALUES (83791, 1770, 22, 'Dokument Kategorier');
INSERT INTO `lang_definitions` VALUES (83792, 1775, 22, 'Dokumentet kunne ikke flyttes til Patient ID');
INSERT INTO `lang_definitions` VALUES (83793, 1777, 22, 'Dokument dato');
INSERT INTO `lang_definitions` VALUES (83794, 1778, 22, 'Dokumentets datum och utförande uppdaterats');
INSERT INTO `lang_definitions` VALUES (83795, 1780, 22, 'Dokumentet er flyttet til ny kategori');
INSERT INTO `lang_definitions` VALUES (83796, 1781, 22, 'Dokumentet er flyttet til patient ID');
INSERT INTO `lang_definitions` VALUES (83797, 1785, 22, 'Dokumentet er gendøbt');
INSERT INTO `lang_definitions` VALUES (83798, 1790, 22, 'Dokument/billede lager');
INSERT INTO `lang_definitions` VALUES (83799, 1791, 22, 'Dokumenter');
INSERT INTO `lang_definitions` VALUES (83800, 1794, 22, 'DOE');
INSERT INTO `lang_definitions` VALUES (83801, 1799, 22, 'Indenlandsk partner');
INSERT INTO `lang_definitions` VALUES (83802, 1800, 22, 'Gem ikke');
INSERT INTO `lang_definitions` VALUES (83803, 1801, 22, 'Gem ikke');
INSERT INTO `lang_definitions` VALUES (83804, 1802, 22, 'Gem ikke ændringer');
INSERT INTO `lang_definitions` VALUES (83805, 1803, 22, 'Færdig');
INSERT INTO `lang_definitions` VALUES (83806, 1804, 22, 'Klar med:');
INSERT INTO `lang_definitions` VALUES (83807, 1805, 22, 'Færdig. Sender nu download');
INSERT INTO `lang_definitions` VALUES (83808, 1806, 22, 'DOS');
INSERT INTO `lang_definitions` VALUES (83809, 1807, 22, 'Dosering');
INSERT INTO `lang_definitions` VALUES (83810, 1809, 22, 'Dobbeltklik for at ændre');
INSERT INTO `lang_definitions` VALUES (83811, 1810, 22, 'Dubbelseende');
INSERT INTO `lang_definitions` VALUES (83812, 1811, 22, 'Download');
INSERT INTO `lang_definitions` VALUES (83813, 1814, 22, 'Dowload alligevel');
INSERT INTO `lang_definitions` VALUES (83814, 1817, 22, 'Download certifikater');
INSERT INTO `lang_definitions` VALUES (83815, 1828, 22, 'læge kontrol');
INSERT INTO `lang_definitions` VALUES (83816, 1829, 22, 'lægebesøg');
INSERT INTO `lang_definitions` VALUES (83817, 1830, 22, 'Dr.');
INSERT INTO `lang_definitions` VALUES (83818, 1831, 22, 'Træk for at flytte');
INSERT INTO `lang_definitions` VALUES (83819, 1833, 22, 'kørekortnummer');
INSERT INTO `lang_definitions` VALUES (83820, 1834, 22, 'lægemiddel');
INSERT INTO `lang_definitions` VALUES (83821, 1836, 22, 'Läkemedelsformulär');
INSERT INTO `lang_definitions` VALUES (83822, 1837, 22, 'Läkemeddels ID saknas!');
INSERT INTO `lang_definitions` VALUES (83823, 1838, 22, 'Läkemedel intervall');
INSERT INTO `lang_definitions` VALUES (83824, 1839, 22, 'Inventarielista, läkemedel');
INSERT INTO `lang_definitions` VALUES (83825, 1840, 22, 'Läkemedelsnamn');
INSERT INTO `lang_definitions` VALUES (83826, 1841, 22, 'Läkemedelslinje/väg');
INSERT INTO `lang_definitions` VALUES (83827, 1845, 22, 'Läkemedel, enheter');
INSERT INTO `lang_definitions` VALUES (83828, 1846, 22, 'medikamenter');
INSERT INTO `lang_definitions` VALUES (83829, 1847, 22, 'medicin og produkter');
INSERT INTO `lang_definitions` VALUES (83830, 1848, 22, 'Mundtørhed');
INSERT INTO `lang_definitions` VALUES (83831, 1850, 22, 'DT 1');
INSERT INTO `lang_definitions` VALUES (83832, 1851, 22, 'DT 2');
INSERT INTO `lang_definitions` VALUES (83833, 1852, 22, 'DT 3');
INSERT INTO `lang_definitions` VALUES (83834, 1853, 22, 'DT 4');
INSERT INTO `lang_definitions` VALUES (83835, 1854, 22, 'DT 5');
INSERT INTO `lang_definitions` VALUES (83836, 1855, 22, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (83837, 1856, 22, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (83838, 1857, 22, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (83839, 1858, 22, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (83840, 1859, 22, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (83841, 1861, 22, 'Forfaldsdato');
INSERT INTO `lang_definitions` VALUES (83842, 1862, 22, 'Forfaldsdato mm/dd/åååå el. åååå/mm/dd');
INSERT INTO `lang_definitions` VALUES (83843, 1863, 22, 'Forfaldsdato');
INSERT INTO `lang_definitions` VALUES (83844, 1866, 22, 'Forfald snart');
INSERT INTO `lang_definitions` VALUES (83845, 1867, 22, 'Forfald status');
INSERT INTO `lang_definitions` VALUES (83846, 1868, 22, 'Forfald status opdatering');
INSERT INTO `lang_definitions` VALUES (83847, 1869, 22, 'Dumping LibreEHR database');
INSERT INTO `lang_definitions` VALUES (83848, 1870, 22, 'Dumping LibreEHR web directory tree');
INSERT INTO `lang_definitions` VALUES (83849, 1871, 22, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (83850, 1872, 22, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (83851, 1873, 22, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (83852, 1874, 22, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (83853, 1878, 22, 'KOPI ADVARSEL');
INSERT INTO `lang_definitions` VALUES (83854, 1880, 22, 'varighed');
INSERT INTO `lang_definitions` VALUES (83855, 1881, 22, 'varighed');
INSERT INTO `lang_definitions` VALUES (83856, 1882, 22, 'Holländsk');
INSERT INTO `lang_definitions` VALUES (83857, 1884, 22, 'Dysphagi');
INSERT INTO `lang_definitions` VALUES (83858, 1885, 22, 'Dyspné:');
INSERT INTO `lang_definitions` VALUES (83859, 1886, 22, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (83860, 1888, 22, 'E-recept?');
INSERT INTO `lang_definitions` VALUES (83861, 1894, 22, 'Tidig Återkommande (<2 Mo)');
INSERT INTO `lang_definitions` VALUES (83862, 1895, 22, 'Ører');
INSERT INTO `lang_definitions` VALUES (83863, 1896, 22, 'EKG');
INSERT INTO `lang_definitions` VALUES (83864, 1898, 22, 'Ødem');
INSERT INTO `lang_definitions` VALUES (83865, 1904, 22, 'Rediger');
INSERT INTO `lang_definitions` VALUES (83866, 1905, 22, 'rediger');
INSERT INTO `lang_definitions` VALUES (83867, 1906, 22, 'Rediger allergier');
INSERT INTO `lang_definitions` VALUES (83868, 1907, 22, 'Rediger kategorier');
INSERT INTO `lang_definitions` VALUES (83869, 1908, 22, 'Rediger definitioner');
INSERT INTO `lang_definitions` VALUES (83870, 1909, 22, 'Rediger definitioner');
INSERT INTO `lang_definitions` VALUES (83871, 1910, 22, 'Rediger diagnose for');
INSERT INTO `lang_definitions` VALUES (83872, 1911, 22, 'Rediger videresendelse');
INSERT INTO `lang_definitions` VALUES (83873, 1912, 22, 'Rediger kliniker');
INSERT INTO `lang_definitions` VALUES (83874, 1913, 22, 'Rediger kliniker');
INSERT INTO `lang_definitions` VALUES (83875, 1914, 22, 'Rediger klinikinformation');
INSERT INTO `lang_definitions` VALUES (83876, 1916, 22, 'Rediger fil i');
INSERT INTO `lang_definitions` VALUES (83877, 1917, 22, 'Rediger form');
INSERT INTO `lang_definitions` VALUES (83878, 1920, 22, 'Rediger layout');
INSERT INTO `lang_definitions` VALUES (83879, 1921, 22, 'Rediger liste');
INSERT INTO `lang_definitions` VALUES (83880, 1922, 22, 'Rediger betaling');
INSERT INTO `lang_definitions` VALUES (83881, 1923, 22, 'Rediger struktur');
INSERT INTO `lang_definitions` VALUES (83882, 1924, 22, 'Rediger bruger');
INSERT INTO `lang_definitions` VALUES (83883, 1925, 22, 'Rediger bruger-opsætning');
INSERT INTO `lang_definitions` VALUES (83884, 1928, 22, 'Uddannelse');
INSERT INTO `lang_definitions` VALUES (83885, 1929, 22, 'Uddannelsesdato');
INSERT INTO `lang_definitions` VALUES (83886, 1932, 22, 'Dato for ikrafttrædelse');
INSERT INTO `lang_definitions` VALUES (83887, 1934, 22, 'Effektivitet');
INSERT INTO `lang_definitions` VALUES (83888, 1936, 22, 'Ejaculation');
INSERT INTO `lang_definitions` VALUES (83889, 1937, 22, 'Albue');
INSERT INTO `lang_definitions` VALUES (83890, 1938, 22, 'Problemer med albuen');
INSERT INTO `lang_definitions` VALUES (83891, 1939, 22, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (83892, 1942, 22, 'Elektronisk remiss');
INSERT INTO `lang_definitions` VALUES (83893, 1949, 22, 'Email');
INSERT INTO `lang_definitions` VALUES (83894, 1951, 22, 'Emailadresse');
INSERT INTO `lang_definitions` VALUES (83895, 1957, 22, 'Email fra Batchcom');
INSERT INTO `lang_definitions` VALUES (83896, 1958, 22, 'Email');
INSERT INTO `lang_definitions` VALUES (83897, 1961, 22, 'Email sendt før');
INSERT INTO `lang_definitions` VALUES (83898, 1962, 22, 'Email afsender');
INSERT INTO `lang_definitions` VALUES (83899, 1963, 22, 'Email sendt');
INSERT INTO `lang_definitions` VALUES (83900, 1965, 22, 'Email emneord');
INSERT INTO `lang_definitions` VALUES (83901, 1966, 22, 'Email Text, användbara Tag: *** NAMN ***, dvs Bäste *** NAMN ***');
INSERT INTO `lang_definitions` VALUES (83902, 1969, 22, 'Email var sendt til følgende adresse');
INSERT INTO `lang_definitions` VALUES (83903, 1971, 22, 'Akut kontakt');
INSERT INTO `lang_definitions` VALUES (83904, 1972, 22, 'Akut kontaktperson');
INSERT INTO `lang_definitions` VALUES (83905, 1973, 22, 'ICE kontakt telefonnummer');
INSERT INTO `lang_definitions` VALUES (83906, 1974, 22, 'Akut Preventivmedel');
INSERT INTO `lang_definitions` VALUES (83907, 1975, 22, 'Akut Login');
INSERT INTO `lang_definitions` VALUES (83908, 1978, 22, 'Akut Login emailadresse');
INSERT INTO `lang_definitions` VALUES (83909, 1980, 22, 'ICE Telefon');
INSERT INTO `lang_definitions` VALUES (83910, 1982, 22, 'Emfysem');
INSERT INTO `lang_definitions` VALUES (83911, 1983, 22, 'Ansat');
INSERT INTO `lang_definitions` VALUES (83912, 1984, 22, 'Arbejdsgiver');
INSERT INTO `lang_definitions` VALUES (83913, 1985, 22, 'Arbejdsgivers adresse');
INSERT INTO `lang_definitions` VALUES (83914, 1986, 22, 'Arbejdsgiver oplysninger');
INSERT INTO `lang_definitions` VALUES (83915, 1987, 22, 'Arbejdsgivers navn');
INSERT INTO `lang_definitions` VALUES (83916, 1988, 22, 'TØM');
INSERT INTO `lang_definitions` VALUES (83917, 1989, 22, 'Ryd');
INSERT INTO `lang_definitions` VALUES (83918, 1991, 22, 'Ryd værdi i \"Email timer\"');
INSERT INTO `lang_definitions` VALUES (83919, 1992, 22, 'Ryd værdi i \"email afsender\"');
INSERT INTO `lang_definitions` VALUES (83920, 1993, 22, 'Ryd værdi i \"Email Emne\"');
INSERT INTO `lang_definitions` VALUES (83921, 1994, 22, 'Ryd værdi i \"Email Tekst\"');
INSERT INTO `lang_definitions` VALUES (83922, 1995, 22, 'Ta bort i \"Försörjarens namn\"');
INSERT INTO `lang_definitions` VALUES (83923, 1996, 22, 'Ryd værdi i \"Kodeord\"');
INSERT INTO `lang_definitions` VALUES (83924, 1997, 22, 'Ta bort \"SMS tider\"');
INSERT INTO `lang_definitions` VALUES (83925, 1998, 22, 'Ryd værdi i \"SMS tekst\"');
INSERT INTO `lang_definitions` VALUES (83926, 1999, 22, 'Ryd værdi i \"Brugernavn\"');
INSERT INTO `lang_definitions` VALUES (83927, 2061, 22, 'Aktiver scanner support');
INSERT INTO `lang_definitions` VALUES (83928, 2068, 22, 'Aktiveret');
INSERT INTO `lang_definitions` VALUES (83929, 2071, 22, 'Aftale');
INSERT INTO `lang_definitions` VALUES (83930, 2072, 22, 'Aftale');
INSERT INTO `lang_definitions` VALUES (83931, 2073, 22, 'Aftale');
INSERT INTO `lang_definitions` VALUES (83932, 2074, 22, 'Aftale');
INSERT INTO `lang_definitions` VALUES (83933, 2075, 22, 'Aftale ');
INSERT INTO `lang_definitions` VALUES (83934, 2081, 22, 'Aftaledato');
INSERT INTO `lang_definitions` VALUES (83935, 2086, 22, 'Patientmöte formulär');
INSERT INTO `lang_definitions` VALUES (83936, 2088, 22, 'Aftale historik');
INSERT INTO `lang_definitions` VALUES (83937, 2089, 22, 'Aftale ID');
INSERT INTO `lang_definitions` VALUES (83938, 2091, 22, 'Aftale nummer/antal');
INSERT INTO `lang_definitions` VALUES (83939, 2096, 22, 'Aftal kontor besøg');
INSERT INTO `lang_definitions` VALUES (83940, 2110, 22, 'Aftalen var kodet');
INSERT INTO `lang_definitions` VALUES (83941, 2111, 22, 'Aftale');
INSERT INTO `lang_definitions` VALUES (83942, 2113, 22, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (83943, 2115, 22, 'Patientmöte & Formulär');
INSERT INTO `lang_definitions` VALUES (83944, 2116, 22, 'Aftale ikke autoriseret');
INSERT INTO `lang_definitions` VALUES (83945, 2117, 22, 'Aftaler, rapport');
INSERT INTO `lang_definitions` VALUES (83946, 2118, 22, 'Aftaler, afsnit');
INSERT INTO `lang_definitions` VALUES (83947, 2121, 22, 'Slut');
INSERT INTO `lang_definitions` VALUES (83948, 2122, 22, 'Slut (åååå-mm-dd) ');
INSERT INTO `lang_definitions` VALUES (83949, 2123, 22, 'Slutdato');
INSERT INTO `lang_definitions` VALUES (83950, 2124, 22, 'Slutdato');
INSERT INTO `lang_definitions` VALUES (83951, 2126, 22, 'Slutdato skal være senere end Statdato');
INSERT INTO `lang_definitions` VALUES (83952, 2127, 22, 'Slutdato:');
INSERT INTO `lang_definitions` VALUES (83953, 2131, 22, 'Sluttid');
INSERT INTO `lang_definitions` VALUES (83954, 2133, 22, 'Tjenesten slutter åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (83955, 2135, 22, 'Slut-time for dagens kalender-begivenheder');
INSERT INTO `lang_definitions` VALUES (83956, 2137, 22, 'Endokrina');
INSERT INTO `lang_definitions` VALUES (83957, 2138, 22, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (83958, 2141, 22, 'Engelsk');
INSERT INTO `lang_definitions` VALUES (83959, 2142, 22, 'Engelsk ');
INSERT INTO `lang_definitions` VALUES (83960, 2143, 22, 'Engelsk (indien)');
INSERT INTO `lang_definitions` VALUES (83961, 2144, 22, 'Engelsk (standard)');
INSERT INTO `lang_definitions` VALUES (83962, 2147, 22, 'ENT afslut');
INSERT INTO `lang_definitions` VALUES (83963, 2148, 22, 'ENT smerter');
INSERT INTO `lang_definitions` VALUES (83964, 2149, 22, 'Skriv en diagnos kod för att utesluta alla fakturor som inte innehåller det');
INSERT INTO `lang_definitions` VALUES (83965, 2155, 22, 'Indtast medicin');
INSERT INTO `lang_definitions` VALUES (83966, 2159, 22, 'Indtast nøgle');
INSERT INTO `lang_definitions` VALUES (83967, 2165, 22, 'Angiv dine søgekriterier herover');
INSERT INTO `lang_definitions` VALUES (83968, 2168, 22, 'Miljöpåverkan');
INSERT INTO `lang_definitions` VALUES (83969, 2169, 22, 'EOB Data tillträde');
INSERT INTO `lang_definitions` VALUES (83970, 2171, 22, 'EOB Boknings - Instruktioner');
INSERT INTO `lang_definitions` VALUES (83971, 2172, 22, 'EOB Boknings - Faktura');
INSERT INTO `lang_definitions` VALUES (83972, 2173, 22, 'EOB Boknings - Patient Anmärkning');
INSERT INTO `lang_definitions` VALUES (83973, 2174, 22, 'EOB Boknings - Sök');
INSERT INTO `lang_definitions` VALUES (83974, 2176, 22, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (83975, 2181, 22, 'Slet');
INSERT INTO `lang_definitions` VALUES (83976, 2182, 22, 'Erektion');
INSERT INTO `lang_definitions` VALUES (83977, 2183, 22, 'Fejl');
INSERT INTO `lang_definitions` VALUES (83978, 2188, 22, 'Fejl i valg af \"køn\"');
INSERT INTO `lang_definitions` VALUES (83979, 2189, 22, 'Fel i \"HIPAA\" val');
INSERT INTO `lang_definitions` VALUES (83980, 2190, 22, 'Fel i \"Process\" val');
INSERT INTO `lang_definitions` VALUES (83981, 2191, 22, 'Fel i \"SMS Gateway\" val');
INSERT INTO `lang_definitions` VALUES (83982, 2192, 22, 'Fel i \"Sortera efter\" val');
INSERT INTO `lang_definitions` VALUES (83983, 2194, 22, 'Fejl i JA eller NEJ valgmulighed');
INSERT INTO `lang_definitions` VALUES (83984, 2195, 22, 'Fejl i åbningen af uploadet fil til læsning');
INSERT INTO `lang_definitions` VALUES (83985, 2205, 22, 'Fejl i registreringsformen!');
INSERT INTO `lang_definitions` VALUES (83986, 2210, 22, 'Fejl, filen eksisterer ikke');
INSERT INTO `lang_definitions` VALUES (83987, 2211, 22, 'FEJL, ikke muligt at samle data fra serveren');
INSERT INTO `lang_definitions` VALUES (83988, 2216, 22, 'Fejl, ikke muligt at åbne fil');
INSERT INTO `lang_definitions` VALUES (83989, 2219, 22, 'FEL: kunde inte öppna table.sql bruten form?');
INSERT INTO `lang_definitions` VALUES (83990, 2225, 22, 'Fejl i kodeord. Tjek din indtastning');
INSERT INTO `lang_definitions` VALUES (83991, 2226, 22, 'Fejl i kodeord. Tjek din indtastning');
INSERT INTO `lang_definitions` VALUES (83992, 2227, 22, 'Fejl: Filen eksisterer ikke');
INSERT INTO `lang_definitions` VALUES (83993, 2229, 22, 'FEJL: Ikke muligt at kopiere filen');
INSERT INTO `lang_definitions` VALUES (83994, 2235, 22, 'Fejl');
INSERT INTO `lang_definitions` VALUES (83995, 2242, 22, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (83996, 2247, 22, 'Etableret patient');
INSERT INTO `lang_definitions` VALUES (83997, 2250, 22, 'Etnicitet');
INSERT INTO `lang_definitions` VALUES (83998, 2252, 22, 'ETIN');
INSERT INTO `lang_definitions` VALUES (83999, 2253, 22, 'Begivenhed');
INSERT INTO `lang_definitions` VALUES (84000, 2254, 22, 'Begivenhed begynder');
INSERT INTO `lang_definitions` VALUES (84001, 2255, 22, 'Begivenhed kategori');
INSERT INTO `lang_definitions` VALUES (84002, 2256, 22, 'Begivenhed dato');
INSERT INTO `lang_definitions` VALUES (84003, 2257, 22, 'Begivenhed beskrivelse');
INSERT INTO `lang_definitions` VALUES (84004, 2258, 22, 'Begivenhed detaljer');
INSERT INTO `lang_definitions` VALUES (84005, 2259, 22, 'Begivenheden gentages ikke');
INSERT INTO `lang_definitions` VALUES (84006, 2260, 22, 'Begivenhed varighed');
INSERT INTO `lang_definitions` VALUES (84007, 2261, 22, 'Begivenhed, varighed i minutter');
INSERT INTO `lang_definitions` VALUES (84008, 2262, 22, 'Begivenhed, afgift');
INSERT INTO `lang_definitions` VALUES (84009, 2263, 22, 'Event Location');
INSERT INTO `lang_definitions` VALUES (84010, 2264, 22, 'Begivenheden gentages hver');
INSERT INTO `lang_definitions` VALUES (84011, 2265, 22, 'Begivenheden gentages d.');
INSERT INTO `lang_definitions` VALUES (84012, 2266, 22, 'Begivenhed starttid');
INSERT INTO `lang_definitions` VALUES (84013, 2267, 22, 'Begivenhed titel');
INSERT INTO `lang_definitions` VALUES (84014, 2268, 22, 'Begivenhed titel');
INSERT INTO `lang_definitions` VALUES (84015, 2269, 22, 'Begivenhed hjemmeside');
INSERT INTO `lang_definitions` VALUES (84016, 2270, 22, 'Begivenheder');
INSERT INTO `lang_definitions` VALUES (84017, 2271, 22, 'Begivenheder for');
INSERT INTO `lang_definitions` VALUES (84018, 2272, 22, 'Begivenhed åbner i nyt vindue');
INSERT INTO `lang_definitions` VALUES (84019, 2273, 22, 'hver');
INSERT INTO `lang_definitions` VALUES (84020, 2274, 22, 'Hver');
INSERT INTO `lang_definitions` VALUES (84021, 2275, 22, 'Hver tredje time');
INSERT INTO `lang_definitions` VALUES (84022, 2276, 22, 'Hver fjerde time');
INSERT INTO `lang_definitions` VALUES (84023, 2277, 22, 'Hver femte time');
INSERT INTO `lang_definitions` VALUES (84024, 2278, 22, 'Hver sjette time');
INSERT INTO `lang_definitions` VALUES (84025, 2279, 22, 'Hver ottende time');
INSERT INTO `lang_definitions` VALUES (84026, 2280, 22, 'Hver fjerde');
INSERT INTO `lang_definitions` VALUES (84027, 2281, 22, 'Hver anden');
INSERT INTO `lang_definitions` VALUES (84028, 2282, 22, 'Hver tredje');
INSERT INTO `lang_definitions` VALUES (84029, 2283, 22, 'Varje, var andra, var 3:e, etc');
INSERT INTO `lang_definitions` VALUES (84030, 2285, 22, 'Tenta och testresultat');
INSERT INTO `lang_definitions` VALUES (84031, 2286, 22, 'Testresultat');
INSERT INTO `lang_definitions` VALUES (84032, 2289, 22, 'Undersøgelse');
INSERT INTO `lang_definitions` VALUES (84033, 2290, 22, 'Undersøgelse dato');
INSERT INTO `lang_definitions` VALUES (84034, 2291, 22, 'Eksempel');
INSERT INTO `lang_definitions` VALUES (84035, 2292, 22, 'Eksempler');
INSERT INTO `lang_definitions` VALUES (84036, 2293, 22, 'Exams / Tester');
INSERT INTO `lang_definitions` VALUES (84037, 2295, 22, 'Överdrivet rivande');
INSERT INTO `lang_definitions` VALUES (84038, 2300, 22, 'Øvelse');
INSERT INTO `lang_definitions` VALUES (84039, 2301, 22, 'Övningsmönster');
INSERT INTO `lang_definitions` VALUES (84040, 2302, 22, 'Motions mönster');
INSERT INTO `lang_definitions` VALUES (84041, 2304, 22, 'lämna från Administration');
INSERT INTO `lang_definitions` VALUES (84042, 2306, 22, 'Udvide');
INSERT INTO `lang_definitions` VALUES (84043, 2307, 22, 'udvide');
INSERT INTO `lang_definitions` VALUES (84044, 2308, 22, 'Udvid alle');
INSERT INTO `lang_definitions` VALUES (84045, 2311, 22, 'Udvidet view');
INSERT INTO `lang_definitions` VALUES (84046, 2312, 22, 'Förväntad form_mötes.pid att ');
INSERT INTO `lang_definitions` VALUES (84047, 2313, 22, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (84048, 2314, 22, 'Utgångsdatum');
INSERT INTO `lang_definitions` VALUES (84049, 2315, 22, 'Udløber i');
INSERT INTO `lang_definitions` VALUES (84050, 2316, 22, 'Udløber i');
INSERT INTO `lang_definitions` VALUES (84051, 2317, 22, 'Exporter');
INSERT INTO `lang_definitions` VALUES (84052, 2318, 22, 'Exportera som CSV');
INSERT INTO `lang_definitions` VALUES (84053, 2327, 22, 'Exportera till CSV');
INSERT INTO `lang_definitions` VALUES (84054, 2328, 22, 'Exportera till externa faktureringssystem');
INSERT INTO `lang_definitions` VALUES (84055, 2329, 22, 'Exponering för andra länder');
INSERT INTO `lang_definitions` VALUES (84056, 2342, 22, 'Extern remiss');
INSERT INTO `lang_definitions` VALUES (84057, 2344, 22, 'Extern remiss?');
INSERT INTO `lang_definitions` VALUES (84058, 2345, 22, 'Externa remisser');
INSERT INTO `lang_definitions` VALUES (84059, 2352, 22, 'Øjne');
INSERT INTO `lang_definitions` VALUES (84060, 2353, 22, 'F');
INSERT INTO `lang_definitions` VALUES (84061, 2356, 22, 'Kliniker');
INSERT INTO `lang_definitions` VALUES (84062, 2357, 22, 'Klinik');
INSERT INTO `lang_definitions` VALUES (84063, 2358, 22, 'klinik');
INSERT INTO `lang_definitions` VALUES (84064, 2359, 22, 'Klinikadm');
INSERT INTO `lang_definitions` VALUES (84065, 2361, 22, 'Klinik kode');
INSERT INTO `lang_definitions` VALUES (84066, 2365, 22, 'Klinik NPI');
INSERT INTO `lang_definitions` VALUES (84067, 2372, 22, 'Klinik:');
INSERT INTO `lang_definitions` VALUES (84068, 2374, 22, 'mislykkedes');
INSERT INTO `lang_definitions` VALUES (84069, 2375, 22, 'Mislykkedes');
INSERT INTO `lang_definitions` VALUES (84070, 2383, 22, 'fejl');
INSERT INTO `lang_definitions` VALUES (84071, 2390, 22, 'Familiehistorie');
INSERT INTO `lang_definitions` VALUES (84072, 2392, 22, 'Familiehistorie');
INSERT INTO `lang_definitions` VALUES (84073, 2394, 22, 'Familie betaling');
INSERT INTO `lang_definitions` VALUES (84074, 2395, 22, 'Familie størrelse');
INSERT INTO `lang_definitions` VALUES (84075, 2400, 22, 'Fader');
INSERT INTO `lang_definitions` VALUES (84076, 2403, 22, 'Fatigue');
INSERT INTO `lang_definitions` VALUES (84077, 2404, 22, 'Fax');
INSERT INTO `lang_definitions` VALUES (84078, 2406, 22, 'Faxnummer');
INSERT INTO `lang_definitions` VALUES (84079, 2408, 22, 'Fax/scan');
INSERT INTO `lang_definitions` VALUES (84080, 2409, 22, 'Fax ind');
INSERT INTO `lang_definitions` VALUES (84081, 2410, 22, 'Fax ud');
INSERT INTO `lang_definitions` VALUES (84082, 2411, 22, 'Funktioner');
INSERT INTO `lang_definitions` VALUES (84083, 2412, 22, 'Feb');
INSERT INTO `lang_definitions` VALUES (84084, 2413, 22, 'Februar');
INSERT INTO `lang_definitions` VALUES (84085, 2415, 22, 'Läkemedel ID');
INSERT INTO `lang_definitions` VALUES (84086, 2417, 22, 'Skatt ID');
INSERT INTO `lang_definitions` VALUES (84087, 2418, 22, 'Afgift');
INSERT INTO `lang_definitions` VALUES (84088, 2419, 22, 'Afgift');
INSERT INTO `lang_definitions` VALUES (84089, 2420, 22, 'Afgiften er ikke tilladt');
INSERT INTO `lang_definitions` VALUES (84090, 2421, 22, 'Afgift blankett');
INSERT INTO `lang_definitions` VALUES (84091, 2423, 22, 'Afgifter');
INSERT INTO `lang_definitions` VALUES (84092, 2424, 22, 'Kvinde');
INSERT INTO `lang_definitions` VALUES (84093, 2425, 22, 'Kvinde AP');
INSERT INTO `lang_definitions` VALUES (84094, 2427, 22, 'Kvinde G');
INSERT INTO `lang_definitions` VALUES (84095, 2428, 22, 'Kvinde LC');
INSERT INTO `lang_definitions` VALUES (84096, 2429, 22, 'Kvinde P');
INSERT INTO `lang_definitions` VALUES (84097, 2430, 22, 'Kvindelige symptomer');
INSERT INTO `lang_definitions` VALUES (84098, 2431, 22, 'Kvinde VSC');
INSERT INTO `lang_definitions` VALUES (84099, 2434, 22, 'Feber');
INSERT INTO `lang_definitions` VALUES (84100, 2435, 22, 'Feber:');
INSERT INTO `lang_definitions` VALUES (84101, 2447, 22, 'Fil');
INSERT INTO `lang_definitions` VALUES (84102, 2449, 22, 'Fil lokation');
INSERT INTO `lang_definitions` VALUES (84103, 2459, 22, 'Filnavn');
INSERT INTO `lang_definitions` VALUES (84104, 2461, 22, 'Filer');
INSERT INTO `lang_definitions` VALUES (84105, 2463, 22, 'Udfyld en af rækkerne herunder');
INSERT INTO `lang_definitions` VALUES (84106, 2464, 22, 'Udfyld kun her, hvis du vil sende emailnotifikation til patient');
INSERT INTO `lang_definitions` VALUES (84107, 2465, 22, 'Udfyld værdier herunder');
INSERT INTO `lang_definitions` VALUES (84108, 2467, 22, 'Udfyld rækken');
INSERT INTO `lang_definitions` VALUES (84109, 2468, 22, 'Filter');
INSERT INTO `lang_definitions` VALUES (84110, 2473, 22, 'Filter');
INSERT INTO `lang_definitions` VALUES (84111, 2475, 22, 'Endelig diagnose');
INSERT INTO `lang_definitions` VALUES (84112, 2476, 22, 'Endelig diagnose af specialist');
INSERT INTO `lang_definitions` VALUES (84113, 2478, 22, 'Finansielle');
INSERT INTO `lang_definitions` VALUES (84114, 2479, 22, 'Finansiel slutdato (åååå-mm-dd)');
INSERT INTO `lang_definitions` VALUES (84115, 2480, 22, 'Finansiel rapport - hvilken som helst');
INSERT INTO `lang_definitions` VALUES (84116, 2481, 22, 'Finansiel rapport - mine aftaler');
INSERT INTO `lang_definitions` VALUES (84117, 2482, 22, 'Finansiel oversigt dato');
INSERT INTO `lang_definitions` VALUES (84118, 2484, 22, 'Find');
INSERT INTO `lang_definitions` VALUES (84119, 2485, 22, 'Find ledig');
INSERT INTO `lang_definitions` VALUES (84120, 2486, 22, 'Find ledige tider');
INSERT INTO `lang_definitions` VALUES (84121, 2487, 22, 'Find patient');
INSERT INTO `lang_definitions` VALUES (84122, 2489, 22, 'Søgeresultater');
INSERT INTO `lang_definitions` VALUES (84123, 2490, 22, 'Søgeresultater ved specialist');
INSERT INTO `lang_definitions` VALUES (84124, 2491, 22, 'Fin');
INSERT INTO `lang_definitions` VALUES (84125, 2492, 22, 'Afslut betalinger');
INSERT INTO `lang_definitions` VALUES (84126, 2495, 22, 'Første');
INSERT INTO `lang_definitions` VALUES (84127, 2497, 22, 'Første dag i ugen');
INSERT INTO `lang_definitions` VALUES (84128, 2498, 22, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (84129, 2499, 22, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (84130, 2500, 22, 'Fornavn');
INSERT INTO `lang_definitions` VALUES (84131, 2503, 22, 'Fitness');
INSERT INTO `lang_definitions` VALUES (84132, 2507, 22, 'Fitness att spela');
INSERT INTO `lang_definitions` VALUES (84133, 2509, 22, 'Løs dette');
INSERT INTO `lang_definitions` VALUES (84134, 2512, 22, 'Flov');
INSERT INTO `lang_definitions` VALUES (84135, 2514, 22, 'Influenzasæson');
INSERT INTO `lang_definitions` VALUES (84136, 2516, 22, 'Influensavaccination');
INSERT INTO `lang_definitions` VALUES (84137, 2517, 22, 'Vätske-och elektrolyt problem');
INSERT INTO `lang_definitions` VALUES (84138, 2520, 22, 'Følg manuelt');
INSERT INTO `lang_definitions` VALUES (84139, 2522, 22, 'Opfølgning');
INSERT INTO `lang_definitions` VALUES (84140, 2524, 22, 'Opfølgningsgrund');
INSERT INTO `lang_definitions` VALUES (84141, 2526, 22, 'Følgende er et nyt brugerdefineret sprog');
INSERT INTO `lang_definitions` VALUES (84142, 2529, 22, 'Opfølgning sevice');
INSERT INTO `lang_definitions` VALUES (84143, 2531, 22, 'Fødeallergier');
INSERT INTO `lang_definitions` VALUES (84144, 2532, 22, 'Fod');
INSERT INTO `lang_definitions` VALUES (84145, 2533, 22, 'Fodproblemer');
INSERT INTO `lang_definitions` VALUES (84146, 2534, 22, 'Fod:');
INSERT INTO `lang_definitions` VALUES (84147, 2537, 22, 'Fotboll Skaderapport');
INSERT INTO `lang_definitions` VALUES (84148, 2538, 22, 'Skotyp');
INSERT INTO `lang_definitions` VALUES (84149, 2539, 22, 'for');
INSERT INTO `lang_definitions` VALUES (84150, 2540, 22, 'For');
INSERT INTO `lang_definitions` VALUES (84151, 2541, 22, 'For kode');
INSERT INTO `lang_definitions` VALUES (84152, 2543, 22, 'For aftale krav');
INSERT INTO `lang_definitions` VALUES (84153, 2544, 22, 'F.eks.:');
INSERT INTO `lang_definitions` VALUES (84154, 2547, 22, 'Til faktura');
INSERT INTO `lang_definitions` VALUES (84155, 2553, 22, 'For de seneste');
INSERT INTO `lang_definitions` VALUES (84156, 2555, 22, 'for:');
INSERT INTO `lang_definitions` VALUES (84157, 2557, 22, 'Gennemtving Ny Patient');
INSERT INTO `lang_definitions` VALUES (84158, 2559, 22, 'Underarm');
INSERT INTO `lang_definitions` VALUES (84159, 2560, 22, 'Formular');
INSERT INTO `lang_definitions` VALUES (84160, 2561, 22, 'formular');
INSERT INTO `lang_definitions` VALUES (84161, 2564, 22, 'Format');
INSERT INTO `lang_definitions` VALUES (84162, 2565, 22, 'format');
INSERT INTO `lang_definitions` VALUES (84163, 2567, 22, 'Fejlformat for NDC');
INSERT INTO `lang_definitions` VALUES (84164, 2568, 22, 'Formatet plejede at vise de fleste datoer');
INSERT INTO `lang_definitions` VALUES (84165, 2569, 22, 'Formatet plejede at vise de fleste tider');
INSERT INTO `lang_definitions` VALUES (84166, 2570, 22, 'Formateret');
INSERT INTO `lang_definitions` VALUES (84167, 2571, 22, 'Tidligere ryger');
INSERT INTO `lang_definitions` VALUES (84168, 2572, 22, 'Formularer');
INSERT INTO `lang_definitions` VALUES (84169, 2573, 22, 'Formularer administration');
INSERT INTO `lang_definitions` VALUES (84170, 2576, 22, 'Videresend sider via fax');
INSERT INTO `lang_definitions` VALUES (84171, 2577, 22, 'Videresendt');
INSERT INTO `lang_definitions` VALUES (84172, 2579, 22, 'Fjerde');
INSERT INTO `lang_definitions` VALUES (84173, 2581, 22, 'Fraktur');
INSERT INTO `lang_definitions` VALUES (84174, 2582, 22, 'Fracture på Navicula');
INSERT INTO `lang_definitions` VALUES (84175, 2583, 22, 'Fracture laterala malleolus');
INSERT INTO `lang_definitions` VALUES (84176, 2584, 22, 'Fracture mediala malleolus');
INSERT INTO `lang_definitions` VALUES (84177, 2590, 22, 'Frekvens');
INSERT INTO `lang_definitions` VALUES (84178, 2593, 22, 'Fre');
INSERT INTO `lang_definitions` VALUES (84179, 2594, 22, 'Fredag');
INSERT INTO `lang_definitions` VALUES (84180, 2595, 22, 'Fra');
INSERT INTO `lang_definitions` VALUES (84181, 2596, 22, 'FRA');
INSERT INTO `lang_definitions` VALUES (84182, 2597, 22, 'fra');
INSERT INTO `lang_definitions` VALUES (84183, 2598, 22, 'Fra-Dato må ikke være senere end Til-Dato');
INSERT INTO `lang_definitions` VALUES (84184, 2599, 22, 'Fra:');
INSERT INTO `lang_definitions` VALUES (84185, 2600, 22, 'Fra: ');
INSERT INTO `lang_definitions` VALUES (84186, 2613, 22, 'Reception');
INSERT INTO `lang_definitions` VALUES (84187, 2614, 22, 'Reception, kvittering');
INSERT INTO `lang_definitions` VALUES (84188, 2615, 22, 'Reception, kvittering rapport');
INSERT INTO `lang_definitions` VALUES (84189, 2617, 22, 'Frontal højre');
INSERT INTO `lang_definitions` VALUES (84190, 2619, 22, 'Fulde navn');
INSERT INTO `lang_definitions` VALUES (84191, 2624, 22, 'Fuld betaling');
INSERT INTO `lang_definitions` VALUES (84192, 2625, 22, 'Fuld træning');
INSERT INTO `lang_definitions` VALUES (84193, 2626, 22, 'Fuldt ud betalt');
INSERT INTO `lang_definitions` VALUES (84194, 2637, 22, 'Gallsten');
INSERT INTO `lang_definitions` VALUES (84195, 2638, 22, 'Game Period');
INSERT INTO `lang_definitions` VALUES (84196, 2639, 22, 'Spil');
INSERT INTO `lang_definitions` VALUES (84197, 2641, 22, 'spel / evenemang');
INSERT INTO `lang_definitions` VALUES (84198, 2644, 22, 'Gastrit');
INSERT INTO `lang_definitions` VALUES (84199, 2646, 22, 'Gastrointestinala');
INSERT INTO `lang_definitions` VALUES (84200, 2647, 22, 'GCAC Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (84201, 2650, 22, 'Køn');
INSERT INTO `lang_definitions` VALUES (84202, 2651, 22, 'Køn ');
INSERT INTO `lang_definitions` VALUES (84203, 2652, 22, 'Generelt');
INSERT INTO `lang_definitions` VALUES (84204, 2655, 22, 'Generel service kategori');
INSERT INTO `lang_definitions` VALUES (84205, 2657, 22, 'Opret og download CMS 1500 papir krav');
INSERT INTO `lang_definitions` VALUES (84206, 2658, 22, 'Opret og download HCFA 1500 papir krav');
INSERT INTO `lang_definitions` VALUES (84207, 2659, 22, 'Opret og dowload X12 batch');
INSERT INTO `lang_definitions` VALUES (84208, 2669, 22, 'Opret brev');
INSERT INTO `lang_definitions` VALUES (84209, 2670, 22, 'Opret brev angående ');
INSERT INTO `lang_definitions` VALUES (84210, 2677, 22, 'Opret rapport');
INSERT INTO `lang_definitions` VALUES (84211, 2678, 22, 'Opret brugernavn og kodeord for');
INSERT INTO `lang_definitions` VALUES (84212, 2680, 22, 'Opret X12 besøg');
INSERT INTO `lang_definitions` VALUES (84213, 2682, 22, 'Oprettet på');
INSERT INTO `lang_definitions` VALUES (84214, 2683, 22, 'Opretter');
INSERT INTO `lang_definitions` VALUES (84215, 2692, 22, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (84216, 2694, 22, 'Global');
INSERT INTO `lang_definitions` VALUES (84217, 2700, 22, 'gå');
INSERT INTO `lang_definitions` VALUES (84218, 2701, 22, 'Gå');
INSERT INTO `lang_definitions` VALUES (84219, 2704, 22, 'Gå til');
INSERT INTO `lang_definitions` VALUES (84220, 2705, 22, 'Gå til uge nr');
INSERT INTO `lang_definitions` VALUES (84221, 2706, 22, 'Gå til i dag');
INSERT INTO `lang_definitions` VALUES (84222, 2711, 22, 'Grad af skade');
INSERT INTO `lang_definitions` VALUES (84223, 2712, 22, 'Grad:');
INSERT INTO `lang_definitions` VALUES (84224, 2714, 22, 'Tilsammen');
INSERT INTO `lang_definitions` VALUES (84225, 2715, 22, 'Tilsammen');
INSERT INTO `lang_definitions` VALUES (84226, 2720, 22, 'Større end');
INSERT INTO `lang_definitions` VALUES (84227, 2721, 22, 'Større eller lig med');
INSERT INTO `lang_definitions` VALUES (84228, 2724, 22, 'Gruppe');
INSERT INTO `lang_definitions` VALUES (84229, 2725, 22, 'Gruppenavn');
INSERT INTO `lang_definitions` VALUES (84230, 2726, 22, 'Gruppenavne må ikke være blanke');
INSERT INTO `lang_definitions` VALUES (84231, 2727, 22, 'Gruppenavne må ikke starte med tal eller mellemrum');
INSERT INTO `lang_definitions` VALUES (84232, 2728, 22, 'Gruppenavne må ikke starte med tal');
INSERT INTO `lang_definitions` VALUES (84233, 2729, 22, 'Gruppenummer');
INSERT INTO `lang_definitions` VALUES (84234, 2730, 22, 'Gruppebetaling');
INSERT INTO `lang_definitions` VALUES (84235, 2731, 22, 'Gruppe:');
INSERT INTO `lang_definitions` VALUES (84236, 2732, 22, 'Gruppenavn');
INSERT INTO `lang_definitions` VALUES (84237, 2733, 22, 'Grupper og adgangskontroller');
INSERT INTO `lang_definitions` VALUES (84238, 2736, 22, 'Droppar');
INSERT INTO `lang_definitions` VALUES (84239, 2746, 22, 'Hematom / blåmärken');
INSERT INTO `lang_definitions` VALUES (84240, 2750, 22, 'Hånd + fingre');
INSERT INTO `lang_definitions` VALUES (84241, 2751, 22, 'Håndproblemer');
INSERT INTO `lang_definitions` VALUES (84242, 2753, 22, 'Umbäranden w / o');
INSERT INTO `lang_definitions` VALUES (84243, 2755, 22, 'Er udløbet');
INSERT INTO `lang_definitions` VALUES (84244, 2761, 22, 'Farliga aktiviteter');
INSERT INTO `lang_definitions` VALUES (84245, 2767, 22, 'han PostCalendar ');
INSERT INTO `lang_definitions` VALUES (84246, 2768, 22, 'Hoved');
INSERT INTO `lang_definitions` VALUES (84247, 2771, 22, 'Hovedpine');
INSERT INTO `lang_definitions` VALUES (84248, 2772, 22, 'Hovedpiner');
INSERT INTO `lang_definitions` VALUES (84249, 2773, 22, 'Helbredsoplysninger');
INSERT INTO `lang_definitions` VALUES (84250, 2774, 22, 'Helbredsoplysninger');
INSERT INTO `lang_definitions` VALUES (84251, 2778, 22, 'Høretab');
INSERT INTO `lang_definitions` VALUES (84252, 2779, 22, 'Hjertetilfælde');
INSERT INTO `lang_definitions` VALUES (84253, 2780, 22, 'Hjertesygdom');
INSERT INTO `lang_definitions` VALUES (84254, 2781, 22, 'Hjärtsvikt');
INSERT INTO `lang_definitions` VALUES (84255, 2782, 22, 'Hjerteproblemer');
INSERT INTO `lang_definitions` VALUES (84256, 2783, 22, 'hjerteproblemer');
INSERT INTO `lang_definitions` VALUES (84257, 2784, 22, 'Hjärtkirurgi');
INSERT INTO `lang_definitions` VALUES (84258, 2785, 22, 'Heart Transplant');
INSERT INTO `lang_definitions` VALUES (84259, 2786, 22, 'Heart:');
INSERT INTO `lang_definitions` VALUES (84260, 2788, 22, 'varm eller kold');
INSERT INTO `lang_definitions` VALUES (84261, 2789, 22, 'varm eller kold');
INSERT INTO `lang_definitions` VALUES (84262, 2794, 22, 'Højde');
INSERT INTO `lang_definitions` VALUES (84263, 2796, 22, 'Hjælp');
INSERT INTO `lang_definitions` VALUES (84264, 2797, 22, 'hjælp');
INSERT INTO `lang_definitions` VALUES (84265, 2802, 22, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (84266, 2805, 22, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (84267, 2811, 22, 'Her');
INSERT INTO `lang_definitions` VALUES (84268, 2813, 22, 'Bråck Reparation');
INSERT INTO `lang_definitions` VALUES (84269, 2814, 22, 'Diskbråck');
INSERT INTO `lang_definitions` VALUES (84270, 2815, 22, 'Herpes');
INSERT INTO `lang_definitions` VALUES (84271, 2817, 22, 'heyyo. du har varit här i ');
INSERT INTO `lang_definitions` VALUES (84272, 2822, 22, 'Skjulte');
INSERT INTO `lang_definitions` VALUES (84273, 2823, 22, 'Skjulte begivenheder administration');
INSERT INTO `lang_definitions` VALUES (84274, 2824, 22, 'skjul');
INSERT INTO `lang_definitions` VALUES (84275, 2825, 22, 'skjul deltaljer');
INSERT INTO `lang_definitions` VALUES (84276, 2828, 22, 'Skjul menu');
INSERT INTO `lang_definitions` VALUES (84277, 2831, 22, 'Skjul/vis kolonner');
INSERT INTO `lang_definitions` VALUES (84278, 2833, 22, 'Høj');
INSERT INTO `lang_definitions` VALUES (84279, 2834, 22, 'Forhøjet blodtryk');
INSERT INTO `lang_definitions` VALUES (84280, 2836, 22, 'Höft + ljumske');
INSERT INTO `lang_definitions` VALUES (84281, 2837, 22, 'Höft och ljumske');
INSERT INTO `lang_definitions` VALUES (84282, 2838, 22, 'Hip Problem');
INSERT INTO `lang_definitions` VALUES (84283, 2839, 22, 'Höftledsplastik');
INSERT INTO `lang_definitions` VALUES (84284, 2840, 22, 'Ej Tilldelad');
INSERT INTO `lang_definitions` VALUES (84285, 2843, 22, 'Spansktalande');
INSERT INTO `lang_definitions` VALUES (84286, 2847, 22, 'Historie');
INSERT INTO `lang_definitions` VALUES (84287, 2848, 22, 'Historie data');
INSERT INTO `lang_definitions` VALUES (84288, 2849, 22, 'Historie dato');
INSERT INTO `lang_definitions` VALUES (84289, 2862, 22, 'Hold [Ctrl] nede for at vælge eller fravælge flere');
INSERT INTO `lang_definitions` VALUES (84290, 2863, 22, 'Hold Ctrl nede for at vælge flere emner');
INSERT INTO `lang_definitions` VALUES (84291, 2865, 22, 'Hjem');
INSERT INTO `lang_definitions` VALUES (84292, 2866, 22, 'Fastnet');
INSERT INTO `lang_definitions` VALUES (84293, 2867, 22, 'Fastnet');
INSERT INTO `lang_definitions` VALUES (84294, 2868, 22, 'Hjemløs el. lign.');
INSERT INTO `lang_definitions` VALUES (84295, 2872, 22, 'Værtsnavn');
INSERT INTO `lang_definitions` VALUES (84296, 2873, 22, 'Værtsnavn må ikke være tomt');
INSERT INTO `lang_definitions` VALUES (84297, 2875, 22, 'Time');
INSERT INTO `lang_definitions` VALUES (84298, 2876, 22, 'Timer');
INSERT INTO `lang_definitions` VALUES (84299, 2878, 22, 'Hur uppstod skadan?');
INSERT INTO `lang_definitions` VALUES (84300, 2879, 22, 'Hur uppstod skadan?:');
INSERT INTO `lang_definitions` VALUES (84301, 2880, 22, 'Hvor har de hørt om os?');
INSERT INTO `lang_definitions` VALUES (84302, 2881, 22, 'Hur många månader att fråga efter kommande evenemang?');
INSERT INTO `lang_definitions` VALUES (84303, 2892, 22, 'Hyperaktiv');
INSERT INTO `lang_definitions` VALUES (84304, 2896, 22, 'Hyperthyroidism');
INSERT INTO `lang_definitions` VALUES (84305, 2897, 22, 'Hypotyreoidism');
INSERT INTO `lang_definitions` VALUES (84306, 2898, 22, 'Hysterektomi');
INSERT INTO `lang_definitions` VALUES (84307, 2899, 22, 'Jeg');
INSERT INTO `lang_definitions` VALUES (84308, 2900, 22, 'Jeg er optaget i løbet af denne tid');
INSERT INTO `lang_definitions` VALUES (84309, 2901, 22, 'Jeg har ikke tilladelse til at læse ');
INSERT INTO `lang_definitions` VALUES (84310, 2914, 22, 'Identificeret som');
INSERT INTO `lang_definitions` VALUES (84311, 2919, 22, 'Hvis al data for denne kolonne er komplet for denne blanket');
INSERT INTO `lang_definitions` VALUES (84312, 2921, 22, 'Hvis indtastet, vælg kun dem der har haft denne service');
INSERT INTO `lang_definitions` VALUES (84313, 2922, 22, 'Hvis navn, en del af efternavn eller efternavn, fornavn');
INSERT INTO `lang_definitions` VALUES (84314, 2923, 22, 'Hvis betaling med');
INSERT INTO `lang_definitions` VALUES (84315, 2924, 22, 'Hvis person er afgået ved døden, indtast da dødsdato');
INSERT INTO `lang_definitions` VALUES (84316, 2927, 22, 'Hvis arbejdsløs eller studerende');
INSERT INTO `lang_definitions` VALUES (84317, 2933, 22, 'Hvis du vil ændre datatype eller tilføje rækker eller kolonner');
INSERT INTO `lang_definitions` VALUES (84318, 2936, 22, 'Ignorer');
INSERT INTO `lang_definitions` VALUES (84319, 2937, 22, 'Sygdom');
INSERT INTO `lang_definitions` VALUES (84320, 2942, 22, 'Vaccinering');
INSERT INTO `lang_definitions` VALUES (84321, 2947, 22, 'Vaccin, Lotnummer');
INSERT INTO `lang_definitions` VALUES (84322, 2948, 22, 'Vaccin, tillverkare');
INSERT INTO `lang_definitions` VALUES (84323, 2953, 22, 'Vaccineringar');
INSERT INTO `lang_definitions` VALUES (84324, 2954, 22, 'Vaccinera');
INSERT INTO `lang_definitions` VALUES (84325, 2956, 22, 'Implantater');
INSERT INTO `lang_definitions` VALUES (84326, 2957, 22, 'Importer');
INSERT INTO `lang_definitions` VALUES (84327, 2964, 22, 'Importer patient');
INSERT INTO `lang_definitions` VALUES (84328, 2965, 22, 'Importera Patientdemografi');
INSERT INTO `lang_definitions` VALUES (84329, 2969, 22, 'Importeret fra regnskab');
INSERT INTO `lang_definitions` VALUES (84330, 2972, 22, 'Forbedret');
INSERT INTO `lang_definitions` VALUES (84331, 2973, 22, 'i');
INSERT INTO `lang_definitions` VALUES (84332, 2974, 22, 'i');
INSERT INTO `lang_definitions` VALUES (84333, 2975, 22, 'I begge øjne');
INSERT INTO `lang_definitions` VALUES (84334, 2976, 22, 'I venstre øje');
INSERT INTO `lang_definitions` VALUES (84335, 2977, 22, 'i næsebor');
INSERT INTO `lang_definitions` VALUES (84336, 2978, 22, 'Arbejder');
INSERT INTO `lang_definitions` VALUES (84337, 2979, 22, 'i højre øre');
INSERT INTO `lang_definitions` VALUES (84338, 2981, 22, 'Inaktiv');
INSERT INTO `lang_definitions` VALUES (84339, 2982, 22, 'Inaktive dage');
INSERT INTO `lang_definitions` VALUES (84340, 2983, 22, 'Indbakke');
INSERT INTO `lang_definitions` VALUES (84341, 2986, 22, 'Inkluder kontrolsum');
INSERT INTO `lang_definitions` VALUES (84342, 2987, 22, 'Inkluder fuldstændig');
INSERT INTO `lang_definitions` VALUES (84343, 2989, 22, 'Inkluder ukategoriserede');
INSERT INTO `lang_definitions` VALUES (84344, 2994, 22, 'Indkomst');
INSERT INTO `lang_definitions` VALUES (84345, 2996, 22, 'Ufuldstændig');
INSERT INTO `lang_definitions` VALUES (84346, 3001, 22, 'Øget');
INSERT INTO `lang_definitions` VALUES (84347, 3002, 22, 'Ansvarsforsikring');
INSERT INTO `lang_definitions` VALUES (84348, 3003, 22, 'Ubestemt');
INSERT INTO `lang_definitions` VALUES (84349, 3005, 22, 'Indikerer abnormalitet');
INSERT INTO `lang_definitions` VALUES (84350, 3006, 22, 'Indikerar om detta problem/frågeställning är aktiv');
INSERT INTO `lang_definitions` VALUES (84351, 3009, 22, 'Trængende patienter');
INSERT INTO `lang_definitions` VALUES (84352, 3010, 22, 'Trængende patienter rapport');
INSERT INTO `lang_definitions` VALUES (84353, 3011, 22, 'Trængende');
INSERT INTO `lang_definitions` VALUES (84354, 3016, 22, 'Ikke-støtteberettigede');
INSERT INTO `lang_definitions` VALUES (84355, 3017, 22, 'Infektion / Abscess');
INSERT INTO `lang_definitions` VALUES (84356, 3018, 22, 'Infektioner');
INSERT INTO `lang_definitions` VALUES (84357, 3019, 22, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (84358, 3026, 22, 'Info');
INSERT INTO `lang_definitions` VALUES (84359, 3027, 22, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (84360, 3028, 22, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (84361, 3029, 22, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (84362, 3030, 22, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (84363, 3031, 22, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (84364, 3032, 22, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (84365, 3034, 22, 'inhalation');
INSERT INTO `lang_definitions` VALUES (84366, 3035, 22, 'inhalationer');
INSERT INTO `lang_definitions` VALUES (84367, 3037, 22, 'Indledende bruger');
INSERT INTO `lang_definitions` VALUES (84368, 3040, 22, 'Injektion');
INSERT INTO `lang_definitions` VALUES (84369, 3041, 22, 'Skadet legemesdel');
INSERT INTO `lang_definitions` VALUES (84370, 3043, 22, 'Skade');
INSERT INTO `lang_definitions` VALUES (84371, 3044, 22, 'Skademekanism');
INSERT INTO `lang_definitions` VALUES (84372, 3045, 22, 'Skada, översiktsrapport');
INSERT INTO `lang_definitions` VALUES (84373, 3047, 22, 'Skada Typ');
INSERT INTO `lang_definitions` VALUES (84374, 3051, 22, 'Inmatningsfält');
INSERT INTO `lang_definitions` VALUES (84375, 3052, 22, 'INR');
INSERT INTO `lang_definitions` VALUES (84376, 3056, 22, 'Ins juster');
INSERT INTO `lang_definitions` VALUES (84377, 3057, 22, 'Ins paketering');
INSERT INTO `lang_definitions` VALUES (84378, 3061, 22, 'Ins överskjutande');
INSERT INTO `lang_definitions` VALUES (84379, 3063, 22, 'Ins återbetalning');
INSERT INTO `lang_definitions` VALUES (84380, 3064, 22, 'Ins Sammering');
INSERT INTO `lang_definitions` VALUES (84381, 3065, 22, 'Ins1');
INSERT INTO `lang_definitions` VALUES (84382, 3066, 22, 'Ins2');
INSERT INTO `lang_definitions` VALUES (84383, 3067, 22, 'Ins3');
INSERT INTO `lang_definitions` VALUES (84384, 3069, 22, 'Indsæt mislykkedes ');
INSERT INTO `lang_definitions` VALUES (84385, 3070, 22, 'Indsæt gamle begivenheder i tabeller');
INSERT INTO `lang_definitions` VALUES (84386, 3072, 22, 'Insomnia');
INSERT INTO `lang_definitions` VALUES (84387, 3074, 22, 'Inspektion');
INSERT INTO `lang_definitions` VALUES (84388, 3075, 22, 'Instabilitet / subluxation');
INSERT INTO `lang_definitions` VALUES (84389, 3077, 22, 'Installer');
INSERT INTO `lang_definitions` VALUES (84390, 3079, 22, 'Installer DB');
INSERT INTO `lang_definitions` VALUES (84391, 3081, 22, 'Instrueret');
INSERT INTO `lang_definitions` VALUES (84392, 3082, 22, 'Instruktion');
INSERT INTO `lang_definitions` VALUES (84393, 3084, 22, 'Instruktioner:');
INSERT INTO `lang_definitions` VALUES (84394, 3086, 22, 'Insulinberoende diabetiker');
INSERT INTO `lang_definitions` VALUES (84395, 3087, 22, 'Forsikring');
INSERT INTO `lang_definitions` VALUES (84396, 3088, 22, 'Forsikring');
INSERT INTO `lang_definitions` VALUES (84397, 3094, 22, 'Fosikringsselskaber');
INSERT INTO `lang_definitions` VALUES (84398, 3095, 22, 'Forsikringsselskab');
INSERT INTO `lang_definitions` VALUES (84399, 3096, 22, 'Forsikringsselskab søg/tilføj');
INSERT INTO `lang_definitions` VALUES (84400, 3098, 22, 'Forsikring data');
INSERT INTO `lang_definitions` VALUES (84401, 3100, 22, 'Forsikringsnummer');
INSERT INTO `lang_definitions` VALUES (84402, 3101, 22, 'Forsikringsbetaling');
INSERT INTO `lang_definitions` VALUES (84403, 3103, 22, 'Forsikringsudbyder');
INSERT INTO `lang_definitions` VALUES (84404, 3113, 22, 'Internt fel - inga sidor valdes!');
INSERT INTO `lang_definitions` VALUES (84405, 3114, 22, 'Internt fel - patient-ID fanns inte!');
INSERT INTO `lang_definitions` VALUES (84406, 3116, 22, 'Intern fejl!');
INSERT INTO `lang_definitions` VALUES (84407, 3119, 22, 'Intern fejl: krav ');
INSERT INTO `lang_definitions` VALUES (84408, 3120, 22, 'Intern fejl: aftale');
INSERT INTO `lang_definitions` VALUES (84409, 3126, 22, 'Inre Övergångar');
INSERT INTO `lang_definitions` VALUES (84410, 3129, 22, 'Tolk');
INSERT INTO `lang_definitions` VALUES (84411, 3130, 22, 'Tolk nødvendig?');
INSERT INTO `lang_definitions` VALUES (84412, 3131, 22, 'Interstitiell lungsjukdom');
INSERT INTO `lang_definitions` VALUES (84413, 3132, 22, 'Interval');
INSERT INTO `lang_definitions` VALUES (84414, 3135, 22, 'Indgreb');
INSERT INTO `lang_definitions` VALUES (84415, 3137, 22, 'Intolerance');
INSERT INTO `lang_definitions` VALUES (84416, 3139, 22, 'intramuskulärt');
INSERT INTO `lang_definitions` VALUES (84417, 3140, 22, 'intravenöst');
INSERT INTO `lang_definitions` VALUES (84418, 3141, 22, 'Introduktion');
INSERT INTO `lang_definitions` VALUES (84419, 3149, 22, 'Ogiltig eller saknas betalaren i källan för kod ');
INSERT INTO `lang_definitions` VALUES (84420, 3151, 22, 'Ogiltig Service Kod');
INSERT INTO `lang_definitions` VALUES (84421, 3152, 22, 'Ogiltig källdestination\"');
INSERT INTO `lang_definitions` VALUES (84422, 3155, 22, 'Opgørelse');
INSERT INTO `lang_definitions` VALUES (84423, 3159, 22, 'Inventering är inte tillgänglig för denna beställning.');
INSERT INTO `lang_definitions` VALUES (84424, 3160, 22, 'Inventar liste');
INSERT INTO `lang_definitions` VALUES (84425, 3162, 22, 'Faktura');
INSERT INTO `lang_definitions` VALUES (84426, 3163, 22, 'faktura');
INSERT INTO `lang_definitions` VALUES (84427, 3166, 22, 'Fakturadato');
INSERT INTO `lang_definitions` VALUES (84428, 3167, 22, 'Faktura har ingen dato!');
INSERT INTO `lang_definitions` VALUES (84429, 3168, 22, 'Fakturanummer');
INSERT INTO `lang_definitions` VALUES (84430, 3169, 22, 'Faktura refenrencenummer');
INSERT INTO `lang_definitions` VALUES (84431, 3173, 22, 'Faktura:');
INSERT INTO `lang_definitions` VALUES (84432, 3185, 22, 'Oregelbunden hjärtrytm');
INSERT INTO `lang_definitions` VALUES (84433, 3186, 22, 'Retlighet');
INSERT INTO `lang_definitions` VALUES (84434, 3187, 22, 'Irritation');
INSERT INTO `lang_definitions` VALUES (84435, 3191, 22, 'Er et obligatiorisk felt');
INSERT INTO `lang_definitions` VALUES (84436, 3197, 22, 'inte är giltig (decimalbråk är OK).');
INSERT INTO `lang_definitions` VALUES (84437, 3198, 22, 'Är PHP använder felsäkert läge?');
INSERT INTO `lang_definitions` VALUES (84438, 3201, 22, 'Skal teksten fra listen oversættes?');
INSERT INTO `lang_definitions` VALUES (84439, 3214, 22, 'er for lang');
INSERT INTO `lang_definitions` VALUES (84440, 3216, 22, 'spørgsmål');
INSERT INTO `lang_definitions` VALUES (84441, 3217, 22, 'spørgsmål');
INSERT INTO `lang_definitions` VALUES (84442, 3223, 22, 'Aktuellt');
INSERT INTO `lang_definitions` VALUES (84443, 3225, 22, 'Aktuellt (Problem / Medicin / Allergi):');
INSERT INTO `lang_definitions` VALUES (84444, 3226, 22, 'Information och Patientmöten');
INSERT INTO `lang_definitions` VALUES (84445, 3227, 22, 'Information och möten för');
INSERT INTO `lang_definitions` VALUES (84446, 3228, 22, 'Problematik, ej behörig');
INSERT INTO `lang_definitions` VALUES (84447, 3229, 22, 'Frågeställningssektion');
INSERT INTO `lang_definitions` VALUES (84448, 3231, 22, 'Artikel');
INSERT INTO `lang_definitions` VALUES (84449, 3232, 22, 'artikel');
INSERT INTO `lang_definitions` VALUES (84450, 3238, 22, 'Jan');
INSERT INTO `lang_definitions` VALUES (84451, 3239, 22, 'Januar');
INSERT INTO `lang_definitions` VALUES (84452, 3243, 22, 'Jobbeskrivelse');
INSERT INTO `lang_definitions` VALUES (84453, 3244, 22, 'Job ID');
INSERT INTO `lang_definitions` VALUES (84454, 3245, 22, 'Led dislokation');
INSERT INTO `lang_definitions` VALUES (84455, 3246, 22, 'Ledsmerter');
INSERT INTO `lang_definitions` VALUES (84456, 3247, 22, 'Led vrickning');
INSERT INTO `lang_definitions` VALUES (84457, 3248, 22, 'Jul');
INSERT INTO `lang_definitions` VALUES (84458, 3249, 22, 'Juli');
INSERT INTO `lang_definitions` VALUES (84459, 3250, 22, 'Jun');
INSERT INTO `lang_definitions` VALUES (84460, 3251, 22, 'Juni');
INSERT INTO `lang_definitions` VALUES (84461, 3253, 22, 'Bare min');
INSERT INTO `lang_definitions` VALUES (84462, 3258, 22, 'k, her er resten');
INSERT INTO `lang_definitions` VALUES (84463, 3265, 22, 'Nøgleord');
INSERT INTO `lang_definitions` VALUES (84464, 3266, 22, 'kg');
INSERT INTO `lang_definitions` VALUES (84465, 3269, 22, 'Njurcancer');
INSERT INTO `lang_definitions` VALUES (84466, 3270, 22, 'Njursvikt');
INSERT INTO `lang_definitions` VALUES (84467, 3271, 22, 'Njure Infektioner');
INSERT INTO `lang_definitions` VALUES (84468, 3272, 22, 'Njursten');
INSERT INTO `lang_definitions` VALUES (84469, 3273, 22, 'Njurtransplantation');
INSERT INTO `lang_definitions` VALUES (84470, 3277, 22, 'knæ');
INSERT INTO `lang_definitions` VALUES (84471, 3278, 22, 'Knä Problem');
INSERT INTO `lang_definitions` VALUES (84472, 3279, 22, 'Knä Ersättning /protes');
INSERT INTO `lang_definitions` VALUES (84473, 3286, 22, 'Lab');
INSERT INTO `lang_definitions` VALUES (84474, 3295, 22, 'Lab Rapport');
INSERT INTO `lang_definitions` VALUES (84475, 3303, 22, 'Etikett');
INSERT INTO `lang_definitions` VALUES (84476, 3305, 22, 'Label Cols');
INSERT INTO `lang_definitions` VALUES (84477, 3308, 22, 'Etiketter');
INSERT INTO `lang_definitions` VALUES (84478, 3311, 22, 'Labs');
INSERT INTO `lang_definitions` VALUES (84479, 3312, 22, 'Laceration / hudkodition');
INSERT INTO `lang_definitions` VALUES (84480, 3313, 22, 'Laceration / nötning');
INSERT INTO `lang_definitions` VALUES (84481, 3316, 22, 'Sprog');
INSERT INTO `lang_definitions` VALUES (84482, 3317, 22, 'Sprog kode');
INSERT INTO `lang_definitions` VALUES (84483, 3318, 22, 'Sprogdefinition tilføjet');
INSERT INTO `lang_definitions` VALUES (84484, 3320, 22, 'Sprog liste (skriv, addonly optional)');
INSERT INTO `lang_definitions` VALUES (84485, 3321, 22, 'Sprog navn');
INSERT INTO `lang_definitions` VALUES (84486, 3322, 22, 'Sprog:');
INSERT INTO `lang_definitions` VALUES (84487, 3325, 22, 'Sidst');
INSERT INTO `lang_definitions` VALUES (84488, 3326, 22, 'Dato for sidste aktivitet');
INSERT INTO `lang_definitions` VALUES (84489, 3328, 22, 'Dato for sidste regning');
INSERT INTO `lang_definitions` VALUES (84490, 3330, 22, 'Sidste kalenderår');
INSERT INTO `lang_definitions` VALUES (84491, 3333, 22, 'Sidste besøg');
INSERT INTO `lang_definitions` VALUES (84492, 3343, 22, 'Sidste måned');
INSERT INTO `lang_definitions` VALUES (84493, 3344, 22, 'Efternavn');
INSERT INTO `lang_definitions` VALUES (84494, 3345, 22, 'Efternavn');
INSERT INTO `lang_definitions` VALUES (84495, 3346, 22, 'Efternavn:');
INSERT INTO `lang_definitions` VALUES (84496, 3350, 22, 'Set sidst');
INSERT INTO `lang_definitions` VALUES (84497, 3352, 22, 'Sidst gemt');
INSERT INTO `lang_definitions` VALUES (84498, 3356, 22, 'Sidst opdateret af');
INSERT INTO `lang_definitions` VALUES (84499, 3358, 22, 'Seneste besøg');
INSERT INTO `lang_definitions` VALUES (84500, 3360, 22, 'Sen Återkommande (2-12 mån)');
INSERT INTO `lang_definitions` VALUES (84501, 3365, 22, 'sidled fördrivna PMI:');
INSERT INTO `lang_definitions` VALUES (84502, 3374, 22, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (84503, 3379, 22, 'Layouter');
INSERT INTO `lang_definitions` VALUES (84504, 3382, 22, 'LDL');
INSERT INTO `lang_definitions` VALUES (84505, 3383, 22, 'lämna tom om fortfarande aktiv');
INSERT INTO `lang_definitions` VALUES (84506, 3385, 22, 'Lämna tomt för att hålla lösenord oförändrad.');
INSERT INTO `lang_definitions` VALUES (84507, 3386, 22, 'Kontakt via');
INSERT INTO `lang_definitions` VALUES (84508, 3387, 22, 'Lämna Form');
INSERT INTO `lang_definitions` VALUES (84509, 3390, 22, 'Venstre');
INSERT INTO `lang_definitions` VALUES (84510, 3391, 22, 'Venstre øre');
INSERT INTO `lang_definitions` VALUES (84511, 3392, 22, 'venstre øre');
INSERT INTO `lang_definitions` VALUES (84512, 3394, 22, 'Venstre:');
INSERT INTO `lang_definitions` VALUES (84513, 3395, 22, 'Vänster: ');
INSERT INTO `lang_definitions` VALUES (84514, 3396, 22, 'Ben smärta / Kramper');
INSERT INTO `lang_definitions` VALUES (84515, 3397, 22, 'Rättsärenden');
INSERT INTO `lang_definitions` VALUES (84516, 3400, 22, 'Förklaring:');
INSERT INTO `lang_definitions` VALUES (84517, 3401, 22, 'Längd');
INSERT INTO `lang_definitions` VALUES (84518, 3403, 22, 'Mindre end');
INSERT INTO `lang_definitions` VALUES (84519, 3404, 22, 'Mindre end eller lig med');
INSERT INTO `lang_definitions` VALUES (84520, 3406, 22, 'Brev');
INSERT INTO `lang_definitions` VALUES (84521, 3407, 22, 'Brevgenerator');
INSERT INTO `lang_definitions` VALUES (84522, 3412, 22, 'Ansvar');
INSERT INTO `lang_definitions` VALUES (84523, 3413, 22, 'Ansvar för medicinskt');
INSERT INTO `lang_definitions` VALUES (84524, 3414, 22, 'passnr');
INSERT INTO `lang_definitions` VALUES (84525, 3423, 22, 'Livsstil');
INSERT INTO `lang_definitions` VALUES (84526, 3424, 22, 'Livstilsstatus');
INSERT INTO `lang_definitions` VALUES (84527, 3425, 22, 'Ligament skada eller vrickning');
INSERT INTO `lang_definitions` VALUES (84528, 3428, 22, 'Begränsning av händelser');
INSERT INTO `lang_definitions` VALUES (84529, 3431, 22, 'Link');
INSERT INTO `lang_definitions` VALUES (84530, 3438, 22, 'Förteckning');
INSERT INTO `lang_definitions` VALUES (84531, 3443, 22, 'List Editor');
INSERT INTO `lang_definitions` VALUES (84532, 3446, 22, 'Lista Insurance Companies');
INSERT INTO `lang_definitions` VALUES (84533, 3451, 22, 'Lista listor');
INSERT INTO `lang_definitions` VALUES (84534, 3452, 22, 'Lista Namn');
INSERT INTO `lang_definitions` VALUES (84535, 3454, 22, 'Lista recept');
INSERT INTO `lang_definitions` VALUES (84536, 3458, 22, 'Listor');
INSERT INTO `lang_definitions` VALUES (84537, 3464, 22, 'Ladda definitioner');
INSERT INTO `lang_definitions` VALUES (84538, 3470, 22, 'Laddar');
INSERT INTO `lang_definitions` VALUES (84539, 3473, 22, 'Lokalt');
INSERT INTO `lang_definitions` VALUES (84540, 3477, 22, 'Lokalitet');
INSERT INTO `lang_definitions` VALUES (84541, 3478, 22, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (84542, 3481, 22, 'Lokalisation ospecificerad');
INSERT INTO `lang_definitions` VALUES (84543, 3484, 22, 'Lokalisation');
INSERT INTO `lang_definitions` VALUES (84544, 3492, 22, 'Log ind');
INSERT INTO `lang_definitions` VALUES (84545, 3494, 22, 'Log ud');
INSERT INTO `lang_definitions` VALUES (84546, 3495, 22, 'logget ind');
INSERT INTO `lang_definitions` VALUES (84547, 3496, 22, 'logget ind som');
INSERT INTO `lang_definitions` VALUES (84548, 3497, 22, 'logget ind som ');
INSERT INTO `lang_definitions` VALUES (84549, 3498, 22, 'logget ud');
INSERT INTO `lang_definitions` VALUES (84550, 3500, 22, 'log ind');
INSERT INTO `lang_definitions` VALUES (84551, 3501, 22, 'log ind');
INSERT INTO `lang_definitions` VALUES (84552, 3505, 22, 'Log ud');
INSERT INTO `lang_definitions` VALUES (84553, 3506, 22, 'log ud');
INSERT INTO `lang_definitions` VALUES (84554, 3507, 22, 'Logs');
INSERT INTO `lang_definitions` VALUES (84555, 3508, 22, 'Log viewer');
INSERT INTO `lang_definitions` VALUES (84556, 3510, 22, 'Slå op');
INSERT INTO `lang_definitions` VALUES (84557, 3511, 22, 'Batch');
INSERT INTO `lang_definitions` VALUES (84558, 3513, 22, 'Batchnummer');
INSERT INTO `lang_definitions` VALUES (84559, 3514, 22, 'lav');
INSERT INTO `lang_definitions` VALUES (84560, 3516, 22, 'Benet');
INSERT INTO `lang_definitions` VALUES (84561, 3519, 22, 'Lumbal delen av ryggraden');
INSERT INTO `lang_definitions` VALUES (84562, 3520, 22, 'Frokost');
INSERT INTO `lang_definitions` VALUES (84563, 3521, 22, 'Frokost');
INSERT INTO `lang_definitions` VALUES (84564, 3522, 22, 'Lung Cancer');
INSERT INTO `lang_definitions` VALUES (84565, 3523, 22, 'Lung Cancer kirurgi');
INSERT INTO `lang_definitions` VALUES (84566, 3524, 22, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (84567, 3525, 22, 'Lungor:');
INSERT INTO `lang_definitions` VALUES (84568, 3528, 22, 'M');
INSERT INTO `lang_definitions` VALUES (84569, 3529, 22, 'MA Kategori');
INSERT INTO `lang_definitions` VALUES (84570, 3533, 22, 'Mail sendt');
INSERT INTO `lang_definitions` VALUES (84571, 3534, 22, 'hoved');
INSERT INTO `lang_definitions` VALUES (84572, 3535, 22, 'Hovedadresse');
INSERT INTO `lang_definitions` VALUES (84573, 3540, 22, 'Lav ændringer i nuværende kategorier');
INSERT INTO `lang_definitions` VALUES (84574, 3541, 22, 'Lav ny aftale for');
INSERT INTO `lang_definitions` VALUES (84575, 3542, 22, 'Försäkra \"');
INSERT INTO `lang_definitions` VALUES (84576, 3545, 22, 'Sjukdomskänsla:');
INSERT INTO `lang_definitions` VALUES (84577, 3548, 22, 'Mand');
INSERT INTO `lang_definitions` VALUES (84578, 3549, 22, 'Manlig Kondomer');
INSERT INTO `lang_definitions` VALUES (84579, 3552, 22, 'Mammogram');
INSERT INTO `lang_definitions` VALUES (84580, 3553, 22, 'Administrer');
INSERT INTO `lang_definitions` VALUES (84581, 3556, 22, 'Administrer oversættelser');
INSERT INTO `lang_definitions` VALUES (84582, 3557, 22, 'Administration');
INSERT INTO `lang_definitions` VALUES (84583, 3561, 22, 'Manual');
INSERT INTO `lang_definitions` VALUES (84584, 3562, 22, 'Manuell post');
INSERT INTO `lang_definitions` VALUES (84585, 3563, 22, 'Tillverkare');
INSERT INTO `lang_definitions` VALUES (84586, 3568, 22, 'Marts');
INSERT INTO `lang_definitions` VALUES (84587, 3569, 22, 'Civilstatus');
INSERT INTO `lang_definitions` VALUES (84588, 3571, 22, 'Markera som faktureras men hoppa fakturering');
INSERT INTO `lang_definitions` VALUES (84589, 3572, 22, 'Markera som avklarad');
INSERT INTO `lang_definitions` VALUES (84590, 3573, 22, 'Markera som ej fakturerad');
INSERT INTO `lang_definitions` VALUES (84591, 3575, 22, 'Markerad som avslutad');
INSERT INTO `lang_definitions` VALUES (84592, 3576, 22, 'Gift');
INSERT INTO `lang_definitions` VALUES (84593, 3578, 22, 'Maske');
INSERT INTO `lang_definitions` VALUES (84594, 3582, 22, 'Match');
INSERT INTO `lang_definitions` VALUES (84595, 3591, 22, 'Max');
INSERT INTO `lang_definitions` VALUES (84596, 3594, 22, 'Maxillary Höger:');
INSERT INTO `lang_definitions` VALUES (84597, 3595, 22, 'Maksimal alder');
INSERT INTO `lang_definitions` VALUES (84598, 3603, 22, 'Maj');
INSERT INTO `lang_definitions` VALUES (84599, 3604, 22, 'MC');
INSERT INTO `lang_definitions` VALUES (84600, 3605, 22, 'mcg');
INSERT INTO `lang_definitions` VALUES (84601, 3611, 22, 'Måling');
INSERT INTO `lang_definitions` VALUES (84602, 3614, 22, 'Medicinsk');
INSERT INTO `lang_definitions` VALUES (84603, 3620, 22, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (84604, 3623, 22, 'Medicinska problem');
INSERT INTO `lang_definitions` VALUES (84605, 3624, 22, 'Journal');
INSERT INTO `lang_definitions` VALUES (84606, 3625, 22, 'Journal #');
INSERT INTO `lang_definitions` VALUES (84607, 3626, 22, 'Journaler');
INSERT INTO `lang_definitions` VALUES (84608, 3632, 22, 'Journal / Historia ( frivilligt att skriva )');
INSERT INTO `lang_definitions` VALUES (84609, 3635, 22, 'Medicin');
INSERT INTO `lang_definitions` VALUES (84610, 3640, 22, 'Läkemedel');
INSERT INTO `lang_definitions` VALUES (84611, 3641, 22, 'Läkemedel:');
INSERT INTO `lang_definitions` VALUES (84612, 3642, 22, 'Medicinska enheter');
INSERT INTO `lang_definitions` VALUES (84613, 3643, 22, 'Medium');
INSERT INTO `lang_definitions` VALUES (84614, 3645, 22, 'Ledamot Association Statistik Rapport');
INSERT INTO `lang_definitions` VALUES (84615, 3646, 22, 'Minnes Problem');
INSERT INTO `lang_definitions` VALUES (84616, 3647, 22, 'Män');
INSERT INTO `lang_definitions` VALUES (84617, 3648, 22, 'Män och kvinnor');
INSERT INTO `lang_definitions` VALUES (84618, 3649, 22, 'Män Endast');
INSERT INTO `lang_definitions` VALUES (84619, 3651, 22, 'Klimakteriet');
INSERT INTO `lang_definitions` VALUES (84620, 3653, 22, 'Menstruation frekvens');
INSERT INTO `lang_definitions` VALUES (84621, 3654, 22, 'Psykisk sjukdom');
INSERT INTO `lang_definitions` VALUES (84622, 3661, 22, 'Meddelande');
INSERT INTO `lang_definitions` VALUES (84623, 3666, 22, 'Beskedstatus');
INSERT INTO `lang_definitions` VALUES (84624, 3670, 22, 'MEDELANDE:');
INSERT INTO `lang_definitions` VALUES (84625, 3671, 22, 'Beskeder');
INSERT INTO `lang_definitions` VALUES (84626, 3673, 22, 'Metod');
INSERT INTO `lang_definitions` VALUES (84627, 3676, 22, 'Metod för förstöring');
INSERT INTO `lang_definitions` VALUES (84628, 3679, 22, 'mg');
INSERT INTO `lang_definitions` VALUES (84629, 3680, 22, 'mg/ml');
INSERT INTO `lang_definitions` VALUES (84630, 3681, 22, 'g');
INSERT INTO `lang_definitions` VALUES (84631, 3682, 22, 'g/ml');
INSERT INTO `lang_definitions` VALUES (84632, 3686, 22, 'Mellan');
INSERT INTO `lang_definitions` VALUES (84633, 3687, 22, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (84634, 3688, 22, 'Mellannamn');
INSERT INTO `lang_definitions` VALUES (84635, 3696, 22, 'Migrerande eller säsongsarbetare?');
INSERT INTO `lang_definitions` VALUES (84636, 3697, 22, 'Migrerande / Säsong');
INSERT INTO `lang_definitions` VALUES (84637, 3705, 22, 'Minimum alder');
INSERT INTO `lang_definitions` VALUES (84638, 3708, 22, 'Minut');
INSERT INTO `lang_definitions` VALUES (84639, 3709, 22, 'minuter');
INSERT INTO `lang_definitions` VALUES (84640, 3710, 22, 'Protokoll');
INSERT INTO `lang_definitions` VALUES (84641, 3716, 22, 'Diverse');
INSERT INTO `lang_definitions` VALUES (84642, 3717, 22, 'Missade');
INSERT INTO `lang_definitions` VALUES (84643, 3718, 22, 'Mangler');
INSERT INTO `lang_definitions` VALUES (84644, 3726, 22, 'Blandat');
INSERT INTO `lang_definitions` VALUES (84645, 3727, 22, 'ml');
INSERT INTO `lang_definitions` VALUES (84646, 3728, 22, 'MM/DD/ÅÅÅÅ');
INSERT INTO `lang_definitions` VALUES (84647, 3733, 22, 'Mobil');
INSERT INTO `lang_definitions` VALUES (84648, 3734, 22, 'Mobiltelefon');
INSERT INTO `lang_definitions` VALUES (84649, 3753, 22, 'Man');
INSERT INTO `lang_definitions` VALUES (84650, 3754, 22, 'Mandag til fredag');
INSERT INTO `lang_definitions` VALUES (84651, 3755, 22, 'Mandag, onsdag og fredag');
INSERT INTO `lang_definitions` VALUES (84652, 3756, 22, 'Mandag');
INSERT INTO `lang_definitions` VALUES (84653, 3758, 22, 'Måned');
INSERT INTO `lang_definitions` VALUES (84654, 3759, 22, 'måned');
INSERT INTO `lang_definitions` VALUES (84655, 3760, 22, 'Månadsvy');
INSERT INTO `lang_definitions` VALUES (84656, 3761, 22, 'Måned(er)');
INSERT INTO `lang_definitions` VALUES (84657, 3762, 22, 'Månadsinkomst');
INSERT INTO `lang_definitions` VALUES (84658, 3763, 22, 'Måneder');
INSERT INTO `lang_definitions` VALUES (84659, 3766, 22, 'Mer än 50 resultat, gör din sökning mer specifik.');
INSERT INTO `lang_definitions` VALUES (84660, 3771, 22, 'Moder');
INSERT INTO `lang_definitions` VALUES (84661, 3772, 22, 'Moders navn');
INSERT INTO `lang_definitions` VALUES (84662, 3774, 22, 'Mund');
INSERT INTO `lang_definitions` VALUES (84663, 3775, 22, 'Flyt');
INSERT INTO `lang_definitions` VALUES (84664, 3776, 22, 'Flyt dokument til kategori:');
INSERT INTO `lang_definitions` VALUES (84665, 3777, 22, 'Flyt ned');
INSERT INTO `lang_definitions` VALUES (84666, 3779, 22, 'Flyt til patient');
INSERT INTO `lang_definitions` VALUES (84667, 3780, 22, 'Flyt til...');
INSERT INTO `lang_definitions` VALUES (84668, 3781, 22, 'Flyt op');
INSERT INTO `lang_definitions` VALUES (84669, 3783, 22, 'Hr.');
INSERT INTO `lang_definitions` VALUES (84670, 3785, 22, 'Fru');
INSERT INTO `lang_definitions` VALUES (84671, 3786, 22, 'Frøken');
INSERT INTO `lang_definitions` VALUES (84672, 3796, 22, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (84673, 3797, 22, 'Flere områder');
INSERT INTO `lang_definitions` VALUES (84674, 3803, 22, 'Sorla:');
INSERT INTO `lang_definitions` VALUES (84675, 3804, 22, 'Muskel värk');
INSERT INTO `lang_definitions` VALUES (84676, 3807, 22, 'Muskulær stivhed');
INSERT INTO `lang_definitions` VALUES (84677, 3810, 22, 'Muskel');
INSERT INTO `lang_definitions` VALUES (84678, 3811, 22, 'Muskel skada');
INSERT INTO `lang_definitions` VALUES (84679, 3812, 22, 'Muskuloskeletala');
INSERT INTO `lang_definitions` VALUES (84680, 3814, 22, 'Ömsesidigt Definierad');
INSERT INTO `lang_definitions` VALUES (84681, 3823, 22, 'Navn');
INSERT INTO `lang_definitions` VALUES (84682, 3825, 22, 'Navn (tryk for mere)');
INSERT INTO `lang_definitions` VALUES (84683, 3826, 22, 'Navn 1');
INSERT INTO `lang_definitions` VALUES (84684, 3827, 22, 'Navn 2');
INSERT INTO `lang_definitions` VALUES (84685, 3828, 22, 'Namn på administratör');
INSERT INTO `lang_definitions` VALUES (84686, 3831, 22, 'Navn på begivenhed');
INSERT INTO `lang_definitions` VALUES (84687, 3832, 22, 'Namn på försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (84688, 3833, 22, 'Namn på Provider');
INSERT INTO `lang_definitions` VALUES (84689, 3835, 22, 'Navngiv oversættelse');
INSERT INTO `lang_definitions` VALUES (84690, 3836, 22, 'Navn / Værdi');
INSERT INTO `lang_definitions` VALUES (84691, 3837, 22, 'Navn:');
INSERT INTO `lang_definitions` VALUES (84692, 3838, 22, 'Narės:');
INSERT INTO `lang_definitions` VALUES (84693, 3839, 22, 'Narės: Normal Rätt');
INSERT INTO `lang_definitions` VALUES (84694, 3840, 22, 'Nasal mucosa rosa, septumets mittlinje');
INSERT INTO `lang_definitions` VALUES (84695, 3844, 22, 'Nationalitet');
INSERT INTO `lang_definitions` VALUES (84696, 3854, 22, 'Navigering');
INSERT INTO `lang_definitions` VALUES (84697, 3866, 22, 'Nacke');
INSERT INTO `lang_definitions` VALUES (84698, 3867, 22, 'Nackproblem');
INSERT INTO `lang_definitions` VALUES (84699, 3869, 22, 'Måste ange en beskrivning');
INSERT INTO `lang_definitions` VALUES (84700, 3870, 22, 'Ange ett returvärde');
INSERT INTO `lang_definitions` VALUES (84701, 3871, 22, 'Ange identifieraren');
INSERT INTO `lang_definitions` VALUES (84702, 3872, 22, 'Ange titel');
INSERT INTO `lang_definitions` VALUES (84703, 3875, 22, 'Ange sekundära fakturering');
INSERT INTO `lang_definitions` VALUES (84704, 3876, 22, 'Negativ');
INSERT INTO `lang_definitions` VALUES (84705, 3880, 22, 'Nervskada');
INSERT INTO `lang_definitions` VALUES (84706, 3881, 22, 'Neurala tillstånd / nervskada');
INSERT INTO `lang_definitions` VALUES (84707, 3885, 22, 'Aldrig');
INSERT INTO `lang_definitions` VALUES (84708, 3886, 22, 'Aldrig alkohol');
INSERT INTO `lang_definitions` VALUES (84709, 3887, 22, 'Aldrig ryger');
INSERT INTO `lang_definitions` VALUES (84710, 3888, 22, 'Ny');
INSERT INTO `lang_definitions` VALUES (84711, 3889, 22, 'Ny =>');
INSERT INTO `lang_definitions` VALUES (84712, 3890, 22, 'Nye modtagere');
INSERT INTO `lang_definitions` VALUES (84713, 3892, 22, 'Ny allergi');
INSERT INTO `lang_definitions` VALUES (84714, 3894, 22, 'Ny aftale');
INSERT INTO `lang_definitions` VALUES (84715, 3895, 22, 'Nye kategorier');
INSERT INTO `lang_definitions` VALUES (84716, 3896, 22, 'Ny kategori');
INSERT INTO `lang_definitions` VALUES (84717, 3897, 22, 'Nye kunder');
INSERT INTO `lang_definitions` VALUES (84718, 3898, 22, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (84719, 3899, 22, 'Ny gruppe');
INSERT INTO `lang_definitions` VALUES (84720, 3900, 22, 'Nyt definitionssæt tilføjet');
INSERT INTO `lang_definitions` VALUES (84721, 3901, 22, 'Nyt dokument');
INSERT INTO `lang_definitions` VALUES (84722, 3904, 22, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (84723, 3906, 22, 'Ny konsultationsformular');
INSERT INTO `lang_definitions` VALUES (84724, 3907, 22, 'Nye møder som ikke godkendes');
INSERT INTO `lang_definitions` VALUES (84725, 3909, 22, 'Nya Klinikinformation');
INSERT INTO `lang_definitions` VALUES (84726, 3912, 22, 'Ny gruppe');
INSERT INTO `lang_definitions` VALUES (84727, 3913, 22, 'Ny gruppeinformation');
INSERT INTO `lang_definitions` VALUES (84728, 3914, 22, 'Ny inj/status');
INSERT INTO `lang_definitions` VALUES (84729, 3916, 22, 'Ny begrænsning af begivenheder');
INSERT INTO `lang_definitions` VALUES (84730, 3917, 22, 'Ny liste');
INSERT INTO `lang_definitions` VALUES (84731, 3919, 22, 'Ny regel');
INSERT INTO `lang_definitions` VALUES (84732, 3920, 22, 'Nyt kodeord');
INSERT INTO `lang_definitions` VALUES (84733, 3921, 22, 'Ny Patient');
INSERT INTO `lang_definitions` VALUES (84734, 3922, 22, 'Ny patient');
INSERT INTO `lang_definitions` VALUES (84735, 3923, 22, 'Ny konsultation');
INSERT INTO `lang_definitions` VALUES (84736, 3924, 22, 'Ny patientformular');
INSERT INTO `lang_definitions` VALUES (84737, 3925, 22, 'Nytt patient-ID');
INSERT INTO `lang_definitions` VALUES (84738, 3926, 22, 'Ny betaling');
INSERT INTO `lang_definitions` VALUES (84739, 3928, 22, 'Ny patient');
INSERT INTO `lang_definitions` VALUES (84740, 3930, 22, 'Ny søgning');
INSERT INTO `lang_definitions` VALUES (84741, 3931, 22, 'Nye forslag');
INSERT INTO `lang_definitions` VALUES (84742, 3932, 22, 'Ny bruger');
INSERT INTO `lang_definitions` VALUES (84743, 3933, 22, 'Ny værdi');
INSERT INTO `lang_definitions` VALUES (84744, 3934, 22, 'Nyt besøg');
INSERT INTO `lang_definitions` VALUES (84745, 3935, 22, 'Ny/Søg');
INSERT INTO `lang_definitions` VALUES (84746, 3960, 22, 'Aldrig');
INSERT INTO `lang_definitions` VALUES (84747, 3961, 22, 'Avis');
INSERT INTO `lang_definitions` VALUES (84748, 3962, 22, 'Næste');
INSERT INTO `lang_definitions` VALUES (84749, 3964, 22, 'Næste dag');
INSERT INTO `lang_definitions` VALUES (84750, 3965, 22, 'Næste måned');
INSERT INTO `lang_definitions` VALUES (84751, 3966, 22, 'Næste måned (hold for menu)');
INSERT INTO `lang_definitions` VALUES (84752, 3968, 22, 'Næste uge');
INSERT INTO `lang_definitions` VALUES (84753, 3969, 22, 'Næste år (hold for menu)');
INSERT INTO `lang_definitions` VALUES (84754, 3971, 22, 'Alias');
INSERT INTO `lang_definitions` VALUES (84755, 3973, 22, 'Nattliga svettningar');
INSERT INTO `lang_definitions` VALUES (84756, 3975, 22, 'Nej');
INSERT INTO `lang_definitions` VALUES (84757, 3976, 22, 'NEJ');
INSERT INTO `lang_definitions` VALUES (84758, 3977, 22, 'Ingen adgang');
INSERT INTO `lang_definitions` VALUES (84759, 3983, 22, 'Ingen aftaler');
INSERT INTO `lang_definitions` VALUES (84760, 3985, 22, 'Inget faktureringssystem är aktivt');
INSERT INTO `lang_definitions` VALUES (84761, 3989, 22, 'Ingen kod specificerades!');
INSERT INTO `lang_definitions` VALUES (84762, 3992, 22, 'Ingen diagnose');
INSERT INTO `lang_definitions` VALUES (84763, 3993, 22, 'Ingen dokumenter fundet');
INSERT INTO `lang_definitions` VALUES (84764, 3995, 22, 'Ingen slutdato');
INSERT INTO `lang_definitions` VALUES (84765, 3996, 22, 'Inga poster funna, använda formuläret nedan för att lägga till en post.');
INSERT INTO `lang_definitions` VALUES (84766, 3997, 22, 'Ingen fejl fundet');
INSERT INTO `lang_definitions` VALUES (84767, 3998, 22, 'Inga händelser');
INSERT INTO `lang_definitions` VALUES (84768, 4001, 22, 'Ingen grupp valdes');
INSERT INTO `lang_definitions` VALUES (84769, 4002, 22, 'Inga bråck');
INSERT INTO `lang_definitions` VALUES (84770, 4005, 22, 'Ingen skader/sygdomme');
INSERT INTO `lang_definitions` VALUES (84771, 4006, 22, 'Nr Insurance Companies Found');
INSERT INTO `lang_definitions` VALUES (84772, 4007, 22, 'Ingen emner');
INSERT INTO `lang_definitions` VALUES (84773, 4009, 22, 'Ingen emner under valgte kategori');
INSERT INTO `lang_definitions` VALUES (84774, 4010, 22, 'Ingen emner valgt!');
INSERT INTO `lang_definitions` VALUES (84775, 4031, 22, 'Der blev ikke fundet noget match. Opret ny patient nu?');
INSERT INTO `lang_definitions` VALUES (84776, 4033, 22, 'Der blev ikke fundet nye resultater');
INSERT INTO `lang_definitions` VALUES (84777, 4034, 22, 'Ingen noter');
INSERT INTO `lang_definitions` VALUES (84778, 4036, 22, 'Inga tider hittades för denna period.');
INSERT INTO `lang_definitions` VALUES (84779, 4037, 22, 'Ingen andre telefonnumre registreret');
INSERT INTO `lang_definitions` VALUES (84780, 4039, 22, 'Inga Partners hittades');
INSERT INTO `lang_definitions` VALUES (84781, 4042, 22, 'Inga perifera ödem');
INSERT INTO `lang_definitions` VALUES (84782, 4043, 22, 'Inga apotek hittades');
INSERT INTO `lang_definitions` VALUES (84783, 4044, 22, 'Inga recept hittades');
INSERT INTO `lang_definitions` VALUES (84784, 4045, 22, 'Ingen sjukdom / skada visas');
INSERT INTO `lang_definitions` VALUES (84785, 4053, 22, 'Ingen optagelser fundet');
INSERT INTO `lang_definitions` VALUES (84786, 4055, 22, 'Ingen optagelser fundet. Udvid venligst deres søgekriterier');
INSERT INTO `lang_definitions` VALUES (84787, 4058, 22, 'Ingen resultater');
INSERT INTO `lang_definitions` VALUES (84788, 4060, 22, 'Inga resultat hittades i sökningen');
INSERT INTO `lang_definitions` VALUES (84789, 4062, 22, 'Inga resultat, försök igen.');
INSERT INTO `lang_definitions` VALUES (84790, 4063, 22, 'Ingen resultater, forsøg venligst igen');
INSERT INTO `lang_definitions` VALUES (84791, 4065, 22, 'Ej kommit på avtalad tid');
INSERT INTO `lang_definitions` VALUES (84792, 4068, 22, 'Ingen hud dimpling eller bröst knölar');
INSERT INTO `lang_definitions` VALUES (84793, 4075, 22, 'Ingen besøg');
INSERT INTO `lang_definitions` VALUES (84794, 4079, 22, 'Nr:');
INSERT INTO `lang_definitions` VALUES (84795, 4081, 22, 'Ingen betalt');
INSERT INTO `lang_definitions` VALUES (84796, 4083, 22, 'Icke specifika skada');
INSERT INTO `lang_definitions` VALUES (84797, 4085, 22, 'Icke-insulinberoende diabetes');
INSERT INTO `lang_definitions` VALUES (84798, 4087, 22, 'Icke-SRH Medical');
INSERT INTO `lang_definitions` VALUES (84799, 4088, 22, 'Icke-SRH icke-medicinska');
INSERT INTO `lang_definitions` VALUES (84800, 4089, 22, 'Ingen');
INSERT INTO `lang_definitions` VALUES (84801, 4090, 22, 'ingen');
INSERT INTO `lang_definitions` VALUES (84802, 4093, 22, 'Inget av ovanstående');
INSERT INTO `lang_definitions` VALUES (84803, 4096, 22, 'Inte heller');
INSERT INTO `lang_definitions` VALUES (84804, 4097, 22, 'Normal');
INSERT INTO `lang_definitions` VALUES (84805, 4108, 22, 'Normal:');
INSERT INTO `lang_definitions` VALUES (84806, 4115, 22, 'Næse');
INSERT INTO `lang_definitions` VALUES (84807, 4116, 22, 'Næseblod');
INSERT INTO `lang_definitions` VALUES (84808, 4117, 22, 'Ikke et bogstav eller nummer');
INSERT INTO `lang_definitions` VALUES (84809, 4119, 22, 'Alla fält är obligatoriska för alla nummer eller kod typer.');
INSERT INTO `lang_definitions` VALUES (84810, 4120, 22, 'Ikke tilladt');
INSERT INTO `lang_definitions` VALUES (84811, 4121, 22, 'Ej tillåtet att ta bort gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (84812, 4122, 22, 'ikke tilladt at redigere');
INSERT INTO `lang_definitions` VALUES (84813, 4123, 22, 'Ej tillåtet att inaktivera alla trygghet objekt');
INSERT INTO `lang_definitions` VALUES (84814, 4124, 22, 'Ej tillåtet att inaktivera allt från Administratörer ACL');
INSERT INTO `lang_definitions` VALUES (84815, 4125, 22, 'Ej tillåtet att ta bort admin-användare från gruppen Administratörer');
INSERT INTO `lang_definitions` VALUES (84816, 4126, 22, 'Ikke tilladt at fjerne denne bruger fra Administrator gruppen');
INSERT INTO `lang_definitions` VALUES (84817, 4128, 22, 'Ej behörighet att nå PostCalendar modulen');
INSERT INTO `lang_definitions` VALUES (84818, 4135, 22, 'Ikke tilgængelig');
INSERT INTO `lang_definitions` VALUES (84819, 4137, 22, 'Ikke faktureret');
INSERT INTO `lang_definitions` VALUES (84820, 4143, 22, 'Inte undersökt');
INSERT INTO `lang_definitions` VALUES (84821, 4144, 22, 'Inte undersökt:');
INSERT INTO `lang_definitions` VALUES (84822, 4145, 22, 'Inte undersökt: ');
INSERT INTO `lang_definitions` VALUES (84823, 4146, 22, 'Ikke fundet');
INSERT INTO `lang_definitions` VALUES (84824, 4148, 22, 'Ikke fundet!');
INSERT INTO `lang_definitions` VALUES (84825, 4152, 22, 'Inte sett sedan');
INSERT INTO `lang_definitions` VALUES (84826, 4154, 22, 'Ikke set endnu');
INSERT INTO `lang_definitions` VALUES (84827, 4156, 22, 'Ikke specificeret');
INSERT INTO `lang_definitions` VALUES (84828, 4157, 22, 'kommentera');
INSERT INTO `lang_definitions` VALUES (84829, 4162, 22, 'Kommentartyp');
INSERT INTO `lang_definitions` VALUES (84830, 4168, 22, 'Anmärkning: Denna kod har inte förts in av en auktoriserad användare. Endast godkända koder kan laddas upp till Open Medical Billing nätverket för bearbetning. Om du vill ladda upp dessa nummer kan du välja en auktoriserad användare här.');
INSERT INTO `lang_definitions` VALUES (84831, 4171, 22, 'OBS: Överföra filer med duplikat namn gör att filerna automatiskt ska döpas. Till exempel \"<i> file.jpg </ i>\" blir \"<i> file.jpg.1 </ i>\". Filnamnen anses unika per patient, inte per kategori.');
INSERT INTO `lang_definitions` VALUES (84832, 4172, 22, 'Kommentarer');
INSERT INTO `lang_definitions` VALUES (84833, 4182, 22, 'Ingenting valdes');
INSERT INTO `lang_definitions` VALUES (84834, 4184, 22, 'MEDDELANDE: PostCalendar Inlämning / Modifiering');
INSERT INTO `lang_definitions` VALUES (84835, 4185, 22, 'Besked');
INSERT INTO `lang_definitions` VALUES (84836, 4188, 22, 'Notifikationer');
INSERT INTO `lang_definitions` VALUES (84837, 4189, 22, 'Meddela Admin Om Händelse Inlämning / Modifieringsförslag?');
INSERT INTO `lang_definitions` VALUES (84838, 4191, 22, 'November');
INSERT INTO `lang_definitions` VALUES (84839, 4193, 22, 'Printer nu');
INSERT INTO `lang_definitions` VALUES (84840, 4198, 22, 'NPI');
INSERT INTO `lang_definitions` VALUES (84841, 4200, 22, 'Nummer');
INSERT INTO `lang_definitions` VALUES (84842, 4204, 22, 'Antal kolumner i år-vy.');
INSERT INTO `lang_definitions` VALUES (84843, 4237, 22, 'Yrke');
INSERT INTO `lang_definitions` VALUES (84844, 4239, 22, 'Forekomst');
INSERT INTO `lang_definitions` VALUES (84845, 4241, 22, 'Oktober');
INSERT INTO `lang_definitions` VALUES (84846, 4245, 22, 'tabletter');
INSERT INTO `lang_definitions` VALUES (84847, 4246, 22, 'i månaden per');
INSERT INTO `lang_definitions` VALUES (84848, 4249, 22, 'Mottagningskommentarer');
INSERT INTO `lang_definitions` VALUES (84849, 4250, 22, 'Mottagningsbesök');
INSERT INTO `lang_definitions` VALUES (84850, 4263, 22, 'Avkomma');
INSERT INTO `lang_definitions` VALUES (84851, 4265, 22, 'salva');
INSERT INTO `lang_definitions` VALUES (84852, 4267, 22, 'OK');
INSERT INTO `lang_definitions` VALUES (84853, 4270, 22, 'Gammel');
INSERT INTO `lang_definitions` VALUES (84854, 4272, 22, 'Gamla klienter');
INSERT INTO `lang_definitions` VALUES (84855, 4285, 22, 'underlåtit att autoassign');
INSERT INTO `lang_definitions` VALUES (84856, 4286, 22, 'på');
INSERT INTO `lang_definitions` VALUES (84857, 4288, 22, 'På Hand');
INSERT INTO `lang_definitions` VALUES (84858, 4289, 22, 'På beställning');
INSERT INTO `lang_definitions` VALUES (84859, 4292, 22, 'När du byter lösenord måste du logga in på nytt.');
INSERT INTO `lang_definitions` VALUES (84860, 4297, 22, 'Online Support');
INSERT INTO `lang_definitions` VALUES (84861, 4299, 22, 'Endast aktiva');
INSERT INTO `lang_definitions` VALUES (84862, 4302, 22, 'endast om faktureringsadress');
INSERT INTO `lang_definitions` VALUES (84863, 4303, 22, 'Endast Inaktiva');
INSERT INTO `lang_definitions` VALUES (84864, 4304, 22, 'Endast Min');
INSERT INTO `lang_definitions` VALUES (84865, 4310, 22, 'Uppkomsten av sjukdom:');
INSERT INTO `lang_definitions` VALUES (84866, 4311, 22, 'Uppkomsten av sjukdom: ');
INSERT INTO `lang_definitions` VALUES (84867, 4312, 22, 'Uppkomsten av Svullnad:');
INSERT INTO `lang_definitions` VALUES (84868, 4313, 22, 'Debut / Inskrivning. Datum:');
INSERT INTO `lang_definitions` VALUES (84869, 4315, 22, 'Ups!');
INSERT INTO `lang_definitions` VALUES (84870, 4316, 22, 'Åben');
INSERT INTO `lang_definitions` VALUES (84871, 4321, 22, 'Åben dagens besøg');
INSERT INTO `lang_definitions` VALUES (84872, 4328, 22, 'LibreEHR kräver Javascript för att utföra användarverifiering.');
INSERT INTO `lang_definitions` VALUES (84873, 4333, 22, 'Alternativ');
INSERT INTO `lang_definitions` VALUES (84874, 4336, 22, 'Valfritt');
INSERT INTO `lang_definitions` VALUES (84875, 4345, 22, 'Frivillig information om denna händelse');
INSERT INTO `lang_definitions` VALUES (84876, 4348, 22, 'Valfri procedurkodkod');
INSERT INTO `lang_definitions` VALUES (84877, 4350, 22, 'Muligheder');
INSERT INTO `lang_definitions` VALUES (84878, 4351, 22, 'Eller');
INSERT INTO `lang_definitions` VALUES (84879, 4352, 22, 'ELLER');
INSERT INTO `lang_definitions` VALUES (84880, 4353, 22, 'Eller välj');
INSERT INTO `lang_definitions` VALUES (84881, 4359, 22, 'Eller ladda upp ERA fil:');
INSERT INTO `lang_definitions` VALUES (84882, 4360, 22, 'Oral');
INSERT INTO `lang_definitions` VALUES (84883, 4362, 22, 'Ordning');
INSERT INTO `lang_definitions` VALUES (84884, 4364, 22, 'Bestillingskatalog');
INSERT INTO `lang_definitions` VALUES (84885, 4365, 22, 'Bestllingsdato');
INSERT INTO `lang_definitions` VALUES (84886, 4367, 22, 'Bestil fra');
INSERT INTO `lang_definitions` VALUES (84887, 4381, 22, 'Bestilt');
INSERT INTO `lang_definitions` VALUES (84888, 4386, 22, 'Organskada');
INSERT INTO `lang_definitions` VALUES (84889, 4387, 22, 'Organisation');
INSERT INTO `lang_definitions` VALUES (84890, 4391, 22, 'Orienterad x 3');
INSERT INTO `lang_definitions` VALUES (84891, 4398, 22, 'P.O. (via munnen)');
INSERT INTO `lang_definitions` VALUES (84892, 4402, 22, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (84893, 4403, 22, 'annan');
INSERT INTO `lang_definitions` VALUES (84894, 4408, 22, 'Andra skador inte specificerade på någon annan plats');
INSERT INTO `lang_definitions` VALUES (84895, 4410, 22, 'anden måned');
INSERT INTO `lang_definitions` VALUES (84896, 4411, 22, 'Andra icke-federala program');
INSERT INTO `lang_definitions` VALUES (84897, 4412, 22, 'Andre noter');
INSERT INTO `lang_definitions` VALUES (84898, 4413, 22, 'Andra relevanta Symtom');
INSERT INTO `lang_definitions` VALUES (84899, 4414, 22, 'Andra relevanta Symtom:');
INSERT INTO `lang_definitions` VALUES (84900, 4417, 22, 'Andra kirurgiska');
INSERT INTO `lang_definitions` VALUES (84901, 4420, 22, 'Andre');
INSERT INTO `lang_definitions` VALUES (84902, 4423, 22, 'OU');
INSERT INTO `lang_definitions` VALUES (84903, 4425, 22, 'Ikke tilstede');
INSERT INTO `lang_definitions` VALUES (84904, 4427, 22, 'Udfald');
INSERT INTO `lang_definitions` VALUES (84905, 4428, 22, 'Outlook');
INSERT INTO `lang_definitions` VALUES (84906, 4432, 22, 'Overforbrug');
INSERT INTO `lang_definitions` VALUES (84907, 4434, 22, 'Overvægt');
INSERT INTO `lang_definitions` VALUES (84908, 4440, 22, 'vid behov');
INSERT INTO `lang_definitions` VALUES (84909, 4444, 22, 'Pedriatisk');
INSERT INTO `lang_definitions` VALUES (84910, 4445, 22, 'Side');
INSERT INTO `lang_definitions` VALUES (84911, 4446, 22, 'Sidor');
INSERT INTO `lang_definitions` VALUES (84912, 4447, 22, 'Betald');
INSERT INTO `lang_definitions` VALUES (84913, 4448, 22, 'Betalt belopp som du kommer att fördela');
INSERT INTO `lang_definitions` VALUES (84914, 4450, 22, 'Betalas via');
INSERT INTO `lang_definitions` VALUES (84915, 4451, 22, 'Smerte');
INSERT INTO `lang_definitions` VALUES (84916, 4453, 22, 'Palpation');
INSERT INTO `lang_definitions` VALUES (84917, 4463, 22, 'Partner');
INSERT INTO `lang_definitions` VALUES (84918, 4472, 22, 'Kodeord');
INSERT INTO `lang_definitions` VALUES (84919, 4473, 22, 'Ændre kodeord');
INSERT INTO `lang_definitions` VALUES (84920, 4480, 22, 'Lösenord för SMS Gateway');
INSERT INTO `lang_definitions` VALUES (84921, 4486, 22, 'Lösenord:');
INSERT INTO `lang_definitions` VALUES (84922, 4495, 22, 'Tidligere aftaler');
INSERT INTO `lang_definitions` VALUES (84923, 4496, 22, 'Tidigare möten och dokument');
INSERT INTO `lang_definitions` VALUES (84924, 4497, 22, 'Tidligere aftaler for');
INSERT INTO `lang_definitions` VALUES (84925, 4498, 22, 'Klistra in HL7 Data');
INSERT INTO `lang_definitions` VALUES (84926, 4514, 22, 'Patient');
INSERT INTO `lang_definitions` VALUES (84927, 4522, 22, 'Patient Allergier');
INSERT INTO `lang_definitions` VALUES (84928, 4523, 22, 'Patient träff/bokning');
INSERT INTO `lang_definitions` VALUES (84929, 4528, 22, 'Patient diagram ID');
INSERT INTO `lang_definitions` VALUES (84930, 4539, 22, 'Patientdata');
INSERT INTO `lang_definitions` VALUES (84931, 4544, 22, 'Patientdokument');
INSERT INTO `lang_definitions` VALUES (84932, 4547, 22, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (84933, 4548, 22, 'Patientmötesformulär');
INSERT INTO `lang_definitions` VALUES (84934, 4549, 22, 'Patientmöten');
INSERT INTO `lang_definitions` VALUES (84935, 4550, 22, 'Patientsök');
INSERT INTO `lang_definitions` VALUES (84936, 4551, 22, 'Patient Fornavn');
INSERT INTO `lang_definitions` VALUES (84937, 4558, 22, 'Patient køn');
INSERT INTO `lang_definitions` VALUES (84938, 4561, 22, 'Patienthistoria');
INSERT INTO `lang_definitions` VALUES (84939, 4562, 22, 'Patientens historia / Livsstil');
INSERT INTO `lang_definitions` VALUES (84940, 4563, 22, 'Patient hjemmetelefonnummer');
INSERT INTO `lang_definitions` VALUES (84941, 4564, 22, 'Patient-ID');
INSERT INTO `lang_definitions` VALUES (84942, 4568, 22, 'Patient -vaccination');
INSERT INTO `lang_definitions` VALUES (84943, 4569, 22, 'Patient information');
INSERT INTO `lang_definitions` VALUES (84944, 4570, 22, 'Patient instruktioner');
INSERT INTO `lang_definitions` VALUES (84945, 4571, 22, 'Ej tilldelad!');
INSERT INTO `lang_definitions` VALUES (84946, 4573, 22, 'Patient -problem');
INSERT INTO `lang_definitions` VALUES (84947, 4575, 22, 'Patient eftenavn');
INSERT INTO `lang_definitions` VALUES (84948, 4581, 22, 'Patientlista');
INSERT INTO `lang_definitions` VALUES (84949, 4587, 22, 'Patientens medicinska problem');
INSERT INTO `lang_definitions` VALUES (84950, 4588, 22, 'Patient -Mediciner');
INSERT INTO `lang_definitions` VALUES (84951, 4589, 22, 'Patientnavn');
INSERT INTO `lang_definitions` VALUES (84952, 4590, 22, 'Patient: Namn och Adress');
INSERT INTO `lang_definitions` VALUES (84953, 4596, 22, 'Patientanteckning, typ');
INSERT INTO `lang_definitions` VALUES (84954, 4597, 22, 'Patient -kommentarer');
INSERT INTO `lang_definitions` VALUES (84955, 4599, 22, 'Patientnummer');
INSERT INTO `lang_definitions` VALUES (84956, 4600, 22, 'Patient-betaling');
INSERT INTO `lang_definitions` VALUES (84957, 4609, 22, 'Patient -Journalrapport');
INSERT INTO `lang_definitions` VALUES (84958, 4613, 22, 'Patient påmindelse');
INSERT INTO `lang_definitions` VALUES (84959, 4620, 22, 'Patientrapport');
INSERT INTO `lang_definitions` VALUES (84960, 4621, 22, 'Patientförfrågan');
INSERT INTO `lang_definitions` VALUES (84961, 4623, 22, 'Patient resultater');
INSERT INTO `lang_definitions` VALUES (84962, 4626, 22, 'Patient opsætning');
INSERT INTO `lang_definitions` VALUES (84963, 4629, 22, 'Patient -Sammanfattning');
INSERT INTO `lang_definitions` VALUES (84964, 4630, 22, 'Patient -Remisser m.m.');
INSERT INTO `lang_definitions` VALUES (84965, 4633, 22, 'Patient / Klient');
INSERT INTO `lang_definitions` VALUES (84966, 4634, 22, 'Patient:');
INSERT INTO `lang_definitions` VALUES (84967, 4636, 22, 'Patienter');
INSERT INTO `lang_definitions` VALUES (84968, 4638, 22, 'Betala');
INSERT INTO `lang_definitions` VALUES (84969, 4640, 22, 'Betalningsdatum:');
INSERT INTO `lang_definitions` VALUES (84970, 4643, 22, 'Betaler');
INSERT INTO `lang_definitions` VALUES (84971, 4644, 22, 'Betalare Typ');
INSERT INTO `lang_definitions` VALUES (84972, 4645, 22, 'Betalende');
INSERT INTO `lang_definitions` VALUES (84973, 4647, 22, 'Betaling');
INSERT INTO `lang_definitions` VALUES (84974, 4654, 22, 'Betalingsdato');
INSERT INTO `lang_definitions` VALUES (84975, 4660, 22, 'Betalingsmetode');
INSERT INTO `lang_definitions` VALUES (84976, 4664, 22, 'Betalingsvædi til kode ');
INSERT INTO `lang_definitions` VALUES (84977, 4665, 22, 'Betalinger');
INSERT INTO `lang_definitions` VALUES (84978, 4674, 22, 'Oavslutad');
INSERT INTO `lang_definitions` VALUES (84979, 4677, 22, 'Oklart');
INSERT INTO `lang_definitions` VALUES (84980, 4688, 22, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (84981, 4689, 22, 'via näsborre');
INSERT INTO `lang_definitions` VALUES (84982, 4692, 22, 'Rektalt');
INSERT INTO `lang_definitions` VALUES (84983, 4693, 22, 'rektalt');
INSERT INTO `lang_definitions` VALUES (84984, 4694, 22, 'Procent');
INSERT INTO `lang_definitions` VALUES (84985, 4699, 22, 'Udfør søgning');
INSERT INTO `lang_definitions` VALUES (84986, 4700, 22, 'Udfør denne handling');
INSERT INTO `lang_definitions` VALUES (84987, 4705, 22, 'Periode');
INSERT INTO `lang_definitions` VALUES (84988, 4717, 22, 'Apotek');
INSERT INTO `lang_definitions` VALUES (84989, 4718, 22, 'Patient Insurance Distribution');
INSERT INTO `lang_definitions` VALUES (84990, 4720, 22, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (84991, 4729, 22, 'Telefon');
INSERT INTO `lang_definitions` VALUES (84992, 4730, 22, 'Telefon samtalslistan');
INSERT INTO `lang_definitions` VALUES (84993, 4738, 22, 'Telefonnummer');
INSERT INTO `lang_definitions` VALUES (84994, 4741, 22, 'Fotos');
INSERT INTO `lang_definitions` VALUES (84995, 4747, 22, 'Hälsokontroll');
INSERT INTO `lang_definitions` VALUES (84996, 4749, 22, 'Läkares Begäran');
INSERT INTO `lang_definitions` VALUES (84997, 4750, 22, 'Läkares Underskrift');
INSERT INTO `lang_definitions` VALUES (84998, 4752, 22, 'Läkare');
INSERT INTO `lang_definitions` VALUES (84999, 4753, 22, 'välj');
INSERT INTO `lang_definitions` VALUES (85000, 4758, 22, 'Tablett Storlek');
INSERT INTO `lang_definitions` VALUES (85001, 4759, 22, 'Tabletter');
INSERT INTO `lang_definitions` VALUES (85002, 4767, 22, 'Vanlig text');
INSERT INTO `lang_definitions` VALUES (85003, 4784, 22, 'Spelare');
INSERT INTO `lang_definitions` VALUES (85004, 4785, 22, 'Position');
INSERT INTO `lang_definitions` VALUES (85005, 4792, 22, 'Välj ett värde för');
INSERT INTO `lang_definitions` VALUES (85006, 4797, 22, 'Stäng detta fönster');
INSERT INTO `lang_definitions` VALUES (85007, 4798, 22, 'Jämför det nya namnet');
INSERT INTO `lang_definitions` VALUES (85008, 4810, 22, 'indtast dato');
INSERT INTO `lang_definitions` VALUES (85009, 4814, 22, 'indtast nyt kodeord');
INSERT INTO `lang_definitions` VALUES (85010, 4815, 22, 'Indtast en titel');
INSERT INTO `lang_definitions` VALUES (85011, 4823, 22, 'Indtast kodeord');
INSERT INTO `lang_definitions` VALUES (85012, 4826, 22, 'Udfyld dato');
INSERT INTO `lang_definitions` VALUES (85013, 4834, 22, 'Indtast søgekriterie ovenover og tryk TILMELD for at se resultater');
INSERT INTO `lang_definitions` VALUES (85014, 4836, 22, 'Prøv at logge ind igen');
INSERT INTO `lang_definitions` VALUES (85015, 4839, 22, 'Vänligen använ endast alfabetiska tecken');
INSERT INTO `lang_definitions` VALUES (85016, 4840, 22, 'Vänligen använd endast alfabetiska tecken utan mellanslag');
INSERT INTO `lang_definitions` VALUES (85017, 4841, 22, 'Vänligen betala detta belopp');
INSERT INTO `lang_definitions` VALUES (85018, 4849, 22, 'Vælg et sprog');
INSERT INTO `lang_definitions` VALUES (85019, 4850, 22, 'Vælg en patient');
INSERT INTO `lang_definitions` VALUES (85020, 4855, 22, 'Vælg en start- og slutdato');
INSERT INTO `lang_definitions` VALUES (85021, 4859, 22, 'Vælg en begivenhed');
INSERT INTO `lang_definitions` VALUES (85022, 4866, 22, 'Vælg betalingsform');
INSERT INTO `lang_definitions` VALUES (85023, 4882, 22, 'EM');
INSERT INTO `lang_definitions` VALUES (85024, 4891, 22, 'Lunginflammations Vaccination');
INSERT INTO `lang_definitions` VALUES (85025, 4897, 22, 'Förhållningssätt');
INSERT INTO `lang_definitions` VALUES (85026, 4902, 22, 'Polyper');
INSERT INTO `lang_definitions` VALUES (85027, 4904, 22, 'Dålig apptit');
INSERT INTO `lang_definitions` VALUES (85028, 4905, 22, 'Dålig cirkulation');
INSERT INTO `lang_definitions` VALUES (85029, 4906, 22, 'Dålig hörsel');
INSERT INTO `lang_definitions` VALUES (85030, 4909, 22, 'Popup-vinduer');
INSERT INTO `lang_definitions` VALUES (85031, 4927, 22, 'Efterbetalinger');
INSERT INTO `lang_definitions` VALUES (85032, 4937, 22, 'Postnr');
INSERT INTO `lang_definitions` VALUES (85033, 4938, 22, 'Postnummer');
INSERT INTO `lang_definitions` VALUES (85034, 4946, 22, 'Överförings Datum');
INSERT INTO `lang_definitions` VALUES (85035, 4953, 22, 'Practice');
INSERT INTO `lang_definitions` VALUES (85036, 4959, 22, 'Forudbetaling');
INSERT INTO `lang_definitions` VALUES (85037, 4964, 22, 'Refrerencer');
INSERT INTO `lang_definitions` VALUES (85038, 4969, 22, 'Graviditets test');
INSERT INTO `lang_definitions` VALUES (85039, 4972, 22, 'Forudbetalt');
INSERT INTO `lang_definitions` VALUES (85040, 4977, 22, 'Receptbelagda märken');
INSERT INTO `lang_definitions` VALUES (85041, 4979, 22, 'Recept');
INSERT INTO `lang_definitions` VALUES (85042, 4980, 22, 'Föreskrifter och dispenser');
INSERT INTO `lang_definitions` VALUES (85043, 4981, 22, 'Recept och andra råd');
INSERT INTO `lang_definitions` VALUES (85044, 4982, 22, 'Recept och andra råd av specialist');
INSERT INTO `lang_definitions` VALUES (85045, 4983, 22, 'recept rapport');
INSERT INTO `lang_definitions` VALUES (85046, 4984, 22, 'Recept/råd');
INSERT INTO `lang_definitions` VALUES (85047, 4985, 22, 'Nuværende');
INSERT INTO `lang_definitions` VALUES (85048, 4986, 22, 'Presentera Klagomål');
INSERT INTO `lang_definitions` VALUES (85049, 4988, 22, 'Tryck på fortsätt för att fortsätta');
INSERT INTO `lang_definitions` VALUES (85050, 4989, 22, 'Förmodad diagnos');
INSERT INTO `lang_definitions` VALUES (85051, 4990, 22, 'Förmodad diagnos från specialist');
INSERT INTO `lang_definitions` VALUES (85052, 4991, 22, 'Forrige');
INSERT INTO `lang_definitions` VALUES (85053, 5001, 22, 'Forrige');
INSERT INTO `lang_definitions` VALUES (85054, 5002, 22, 'Forrige konsultationer');
INSERT INTO `lang_definitions` VALUES (85055, 5003, 22, 'Forrige dag');
INSERT INTO `lang_definitions` VALUES (85056, 5005, 22, 'Forrige måned');
INSERT INTO `lang_definitions` VALUES (85057, 5006, 22, 'Forrige uge');
INSERT INTO `lang_definitions` VALUES (85058, 5007, 22, 'Pris');
INSERT INTO `lang_definitions` VALUES (85059, 5009, 22, 'Prisniveau');
INSERT INTO `lang_definitions` VALUES (85060, 5010, 22, 'Prisniveau:');
INSERT INTO `lang_definitions` VALUES (85061, 5011, 22, 'Priser');
INSERT INTO `lang_definitions` VALUES (85062, 5012, 22, 'Primær');
INSERT INTO `lang_definitions` VALUES (85063, 5023, 22, 'Primära Försäkring');
INSERT INTO `lang_definitions` VALUES (85064, 5024, 22, 'Primära Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (85065, 5025, 22, 'Primär försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (85066, 5027, 22, 'Print');
INSERT INTO `lang_definitions` VALUES (85067, 5032, 22, 'Printa blankt remissformulär');
INSERT INTO `lang_definitions` VALUES (85068, 5043, 22, 'Print flere');
INSERT INTO `lang_definitions` VALUES (85069, 5056, 22, 'Print denne aftale');
INSERT INTO `lang_definitions` VALUES (85070, 5057, 22, 'Print denne note');
INSERT INTO `lang_definitions` VALUES (85071, 5058, 22, 'Print denne note');
INSERT INTO `lang_definitions` VALUES (85072, 5062, 22, 'Utskrivbar');
INSERT INTO `lang_definitions` VALUES (85073, 5063, 22, 'Utskriftsversion');
INSERT INTO `lang_definitions` VALUES (85074, 5066, 22, 'Printer resultater');
INSERT INTO `lang_definitions` VALUES (85075, 5073, 22, 'Prioritet ');
INSERT INTO `lang_definitions` VALUES (85076, 5074, 22, 'Privat');
INSERT INTO `lang_definitions` VALUES (85077, 5079, 22, 'Problemer/emner');
INSERT INTO `lang_definitions` VALUES (85078, 5086, 22, 'Procedure');
INSERT INTO `lang_definitions` VALUES (85079, 5114, 22, 'Procedure');
INSERT INTO `lang_definitions` VALUES (85080, 5115, 22, 'Process');
INSERT INTO `lang_definitions` VALUES (85081, 5125, 22, 'Bearbetning');
INSERT INTO `lang_definitions` VALUES (85082, 5132, 22, 'Produkter');
INSERT INTO `lang_definitions` VALUES (85083, 5134, 22, 'Prof.');
INSERT INTO `lang_definitions` VALUES (85084, 5136, 22, 'Prostata Cancer');
INSERT INTO `lang_definitions` VALUES (85085, 5138, 22, 'Prostata undersökning');
INSERT INTO `lang_definitions` VALUES (85086, 5139, 22, 'Prostata problem');
INSERT INTO `lang_definitions` VALUES (85087, 5152, 22, 'Leverandør');
INSERT INTO `lang_definitions` VALUES (85088, 5159, 22, 'Leverandør nummer');
INSERT INTO `lang_definitions` VALUES (85089, 5162, 22, 'Levenradør');
INSERT INTO `lang_definitions` VALUES (85090, 5163, 22, 'Levenrandører');
INSERT INTO `lang_definitions` VALUES (85091, 5184, 22, 'Pt refundering');
INSERT INTO `lang_definitions` VALUES (85092, 5185, 22, 'Pt afsluttet');
INSERT INTO `lang_definitions` VALUES (85093, 5201, 22, 'Offentlig');
INSERT INTO `lang_definitions` VALUES (85094, 5206, 22, 'Puls');
INSERT INTO `lang_definitions` VALUES (85095, 5208, 22, 'Køb');
INSERT INTO `lang_definitions` VALUES (85096, 5213, 22, 'Var 3:e timme');
INSERT INTO `lang_definitions` VALUES (85097, 5214, 22, 'Var 4:e timme');
INSERT INTO `lang_definitions` VALUES (85098, 5215, 22, 'Var 5:e timme');
INSERT INTO `lang_definitions` VALUES (85099, 5216, 22, 'Var 6:e timme');
INSERT INTO `lang_definitions` VALUES (85100, 5217, 22, 'Var 8:e timme');
INSERT INTO `lang_definitions` VALUES (85101, 5218, 22, '1 ggr/dag');
INSERT INTO `lang_definitions` VALUES (85102, 5219, 22, '4ggr/dag');
INSERT INTO `lang_definitions` VALUES (85103, 5222, 22, 'Antal');
INSERT INTO `lang_definitions` VALUES (85104, 5224, 22, 'Kvalitet');
INSERT INTO `lang_definitions` VALUES (85105, 5226, 22, 'Kvantitet');
INSERT INTO `lang_definitions` VALUES (85106, 5227, 22, 'Kvantitet för NDC');
INSERT INTO `lang_definitions` VALUES (85107, 5231, 22, 'Spøgsmålstegn');
INSERT INTO `lang_definitions` VALUES (85108, 5236, 22, 'köad');
INSERT INTO `lang_definitions` VALUES (85109, 5237, 22, 'Kö Evenemang Administration');
INSERT INTO `lang_definitions` VALUES (85110, 5238, 22, 'köad för');
INSERT INTO `lang_definitions` VALUES (85111, 5240, 22, 'Kö föreläggande Administration');
INSERT INTO `lang_definitions` VALUES (85112, 5245, 22, 'Ras');
INSERT INTO `lang_definitions` VALUES (85113, 5247, 22, 'Etnisitet');
INSERT INTO `lang_definitions` VALUES (85114, 5248, 22, 'Radio');
INSERT INTO `lang_definitions` VALUES (85115, 5252, 22, 'Udslæt');
INSERT INTO `lang_definitions` VALUES (85116, 5253, 22, 'Betygsätta');
INSERT INTO `lang_definitions` VALUES (85117, 5261, 22, 'Genåben');
INSERT INTO `lang_definitions` VALUES (85118, 5262, 22, 'Genåbnet');
INSERT INTO `lang_definitions` VALUES (85119, 5263, 22, 'Reaktion');
INSERT INTO `lang_definitions` VALUES (85120, 5264, 22, 'Reaktioner');
INSERT INTO `lang_definitions` VALUES (85121, 5265, 22, 'Læs');
INSERT INTO `lang_definitions` VALUES (85122, 5268, 22, 'Rigtigt navn');
INSERT INTO `lang_definitions` VALUES (85123, 5269, 22, 'Virkelig slette?');
INSERT INTO `lang_definitions` VALUES (85124, 5270, 22, 'Årsag');
INSERT INTO `lang_definitions` VALUES (85125, 5272, 22, 'Dødsårsag');
INSERT INTO `lang_definitions` VALUES (85126, 5274, 22, 'Anledning till remiss');
INSERT INTO `lang_definitions` VALUES (85127, 5275, 22, 'Anledning till besök');
INSERT INTO `lang_definitions` VALUES (85128, 5276, 22, 'Orsak / Form');
INSERT INTO `lang_definitions` VALUES (85129, 5277, 22, 'Kvitto');
INSERT INTO `lang_definitions` VALUES (85130, 5278, 22, 'Kvitto för betalning');
INSERT INTO `lang_definitions` VALUES (85131, 5281, 22, 'Kvitton Sammanfattning');
INSERT INTO `lang_definitions` VALUES (85132, 5282, 22, 'Modtaget');
INSERT INTO `lang_definitions` VALUES (85133, 5283, 22, 'Modtaget af');
INSERT INTO `lang_definitions` VALUES (85134, 5284, 22, 'Modtaget fax');
INSERT INTO `lang_definitions` VALUES (85135, 5287, 22, 'Modtager');
INSERT INTO `lang_definitions` VALUES (85136, 5288, 22, 'Modtager ID');
INSERT INTO `lang_definitions` VALUES (85137, 5298, 22, 'Anbefaling');
INSERT INTO `lang_definitions` VALUES (85138, 5300, 22, 'Anbefalinger');
INSERT INTO `lang_definitions` VALUES (85139, 5301, 22, 'Anbefalinger og behandling');
INSERT INTO `lang_definitions` VALUES (85140, 5302, 22, 'Anbefalet af specialist');
INSERT INTO `lang_definitions` VALUES (85141, 5303, 22, 'Optag');
INSERT INTO `lang_definitions` VALUES (85142, 5314, 22, 'Optag betaling');
INSERT INTO `lang_definitions` VALUES (85143, 5317, 22, 'Optagelser');
INSERT INTO `lang_definitions` VALUES (85144, 5318, 22, 'Optagelser fundet');
INSERT INTO `lang_definitions` VALUES (85145, 5319, 22, 'patienter fundet.');
INSERT INTO `lang_definitions` VALUES (85146, 5327, 22, 'reduceras:');
INSERT INTO `lang_definitions` VALUES (85147, 5328, 22, 'Referer');
INSERT INTO `lang_definitions` VALUES (85148, 5329, 22, 'Referer af');
INSERT INTO `lang_definitions` VALUES (85149, 5330, 22, 'Remissdatum');
INSERT INTO `lang_definitions` VALUES (85150, 5331, 22, 'Referer til');
INSERT INTO `lang_definitions` VALUES (85151, 5332, 22, 'Prioritetsnivå (Risknivå)');
INSERT INTO `lang_definitions` VALUES (85152, 5334, 22, 'reference årsag');
INSERT INTO `lang_definitions` VALUES (85153, 5336, 22, 'Remittent, namn och signatur');
INSERT INTO `lang_definitions` VALUES (85154, 5337, 22, 'Remiss');
INSERT INTO `lang_definitions` VALUES (85155, 5338, 22, 'Remitterad av');
INSERT INTO `lang_definitions` VALUES (85156, 5339, 22, 'Remisskort');
INSERT INTO `lang_definitions` VALUES (85157, 5340, 22, 'Remissdadum');
INSERT INTO `lang_definitions` VALUES (85158, 5341, 22, 'Remissformulär');
INSERT INTO `lang_definitions` VALUES (85159, 5342, 22, 'REMISSFORMULÄR');
INSERT INTO `lang_definitions` VALUES (85160, 5345, 22, 'Remisskälla');
INSERT INTO `lang_definitions` VALUES (85161, 5347, 22, 'Remitteras till');
INSERT INTO `lang_definitions` VALUES (85162, 5348, 22, 'remittering');
INSERT INTO `lang_definitions` VALUES (85163, 5349, 22, 'remiss');
INSERT INTO `lang_definitions` VALUES (85164, 5350, 22, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (85165, 5351, 22, 'Remiterats från');
INSERT INTO `lang_definitions` VALUES (85166, 5352, 22, 'Remitterats till');
INSERT INTO `lang_definitions` VALUES (85167, 5353, 22, 'Remiterats av');
INSERT INTO `lang_definitions` VALUES (85168, 5360, 22, 'Refill');
INSERT INTO `lang_definitions` VALUES (85169, 5361, 22, 'Refill');
INSERT INTO `lang_definitions` VALUES (85170, 5362, 22, 'Reflexer normala');
INSERT INTO `lang_definitions` VALUES (85171, 5363, 22, 'Opdater');
INSERT INTO `lang_definitions` VALUES (85172, 5372, 22, 'Registrerad');
INSERT INTO `lang_definitions` VALUES (85173, 5373, 22, 'registrerade');
INSERT INTO `lang_definitions` VALUES (85174, 5375, 22, 'Registreringsdag');
INSERT INTO `lang_definitions` VALUES (85175, 5377, 22, 'Rehabilitering');
INSERT INTO `lang_definitions` VALUES (85176, 5381, 22, 'Relatere til');
INSERT INTO `lang_definitions` VALUES (85177, 5382, 22, 'Relateret');
INSERT INTO `lang_definitions` VALUES (85178, 5386, 22, 'Relationer');
INSERT INTO `lang_definitions` VALUES (85179, 5387, 22, 'Forhold');
INSERT INTO `lang_definitions` VALUES (85180, 5389, 22, 'Anhöriga');
INSERT INTO `lang_definitions` VALUES (85181, 5403, 22, 'Religion');
INSERT INTO `lang_definitions` VALUES (85182, 5406, 22, 'Relogin');
INSERT INTO `lang_definitions` VALUES (85183, 5409, 22, 'Påmindelse');
INSERT INTO `lang_definitions` VALUES (85184, 5410, 22, 'Påmindelse Intervaller');
INSERT INTO `lang_definitions` VALUES (85185, 5411, 22, 'Påmindelse endnu ikke sendt');
INSERT INTO `lang_definitions` VALUES (85186, 5416, 22, 'Fjern');
INSERT INTO `lang_definitions` VALUES (85187, 5419, 22, 'Fjern gruppe');
INSERT INTO `lang_definitions` VALUES (85188, 5427, 22, 'Gendøb');
INSERT INTO `lang_definitions` VALUES (85189, 5428, 22, 'Gendøb gruppe');
INSERT INTO `lang_definitions` VALUES (85190, 5432, 22, 'Genbestil');
INSERT INTO `lang_definitions` VALUES (85191, 5438, 22, 'Gentagene event');
INSERT INTO `lang_definitions` VALUES (85192, 5439, 22, 'Gentagene information');
INSERT INTO `lang_definitions` VALUES (85193, 5440, 22, 'Gentag');
INSERT INTO `lang_definitions` VALUES (85194, 5444, 22, 'Svardato');
INSERT INTO `lang_definitions` VALUES (85195, 5445, 22, 'Svar fra');
INSERT INTO `lang_definitions` VALUES (85196, 5446, 22, 'Rapport');
INSERT INTO `lang_definitions` VALUES (85197, 5463, 22, 'Rapporter');
INSERT INTO `lang_definitions` VALUES (85198, 5477, 22, 'Nødvendig');
INSERT INTO `lang_definitions` VALUES (85199, 5485, 22, 'RESERVERET');
INSERT INTO `lang_definitions` VALUES (85200, 5486, 22, 'reserveret');
INSERT INTO `lang_definitions` VALUES (85201, 5491, 22, 'Genstart');
INSERT INTO `lang_definitions` VALUES (85202, 5496, 22, 'Løst');
INSERT INTO `lang_definitions` VALUES (85203, 5503, 22, 'Begränsat Utbildning');
INSERT INTO `lang_definitions` VALUES (85204, 5504, 22, 'Resultat');
INSERT INTO `lang_definitions` VALUES (85205, 5518, 22, 'Infällda Höger:');
INSERT INTO `lang_definitions` VALUES (85206, 5519, 22, 'Tilbage');
INSERT INTO `lang_definitions` VALUES (85207, 5521, 22, 'Tilbage til kalender');
INSERT INTO `lang_definitions` VALUES (85208, 5527, 22, 'Returvärde');
INSERT INTO `lang_definitions` VALUES (85209, 5528, 22, 'Återresa');
INSERT INTO `lang_definitions` VALUES (85210, 5536, 22, 'Översyn av System Kontroller');
INSERT INTO `lang_definitions` VALUES (85211, 5538, 22, 'Revision');
INSERT INTO `lang_definitions` VALUES (85212, 5541, 22, 'Højre');
INSERT INTO `lang_definitions` VALUES (85213, 5542, 22, 'Højre øre');
INSERT INTO `lang_definitions` VALUES (85214, 5543, 22, 'højre øre');
INSERT INTO `lang_definitions` VALUES (85215, 5545, 22, 'Højre:');
INSERT INTO `lang_definitions` VALUES (85216, 5546, 22, 'Ringningar i öron');
INSERT INTO `lang_definitions` VALUES (85217, 5547, 22, 'Tinitus');
INSERT INTO `lang_definitions` VALUES (85218, 5549, 22, 'Risikofaktorer');
INSERT INTO `lang_definitions` VALUES (85219, 5561, 22, 'Rutt');
INSERT INTO `lang_definitions` VALUES (85220, 5564, 22, 'Rader');
INSERT INTO `lang_definitions` VALUES (85221, 5566, 22, 'Massera:');
INSERT INTO `lang_definitions` VALUES (85222, 5567, 22, 'Gnuggar:');
INSERT INTO `lang_definitions` VALUES (85223, 5568, 22, 'Regel');
INSERT INTO `lang_definitions` VALUES (85224, 5569, 22, 'Tilføj regel');
INSERT INTO `lang_definitions` VALUES (85225, 5578, 22, 'Regler');
INSERT INTO `lang_definitions` VALUES (85226, 5581, 22, 'Kör kommando: ');
INSERT INTO `lang_definitions` VALUES (85227, 5584, 22, 'Recept');
INSERT INTO `lang_definitions` VALUES (85228, 5585, 22, 'Recept');
INSERT INTO `lang_definitions` VALUES (85229, 5600, 22, 'K');
INSERT INTO `lang_definitions` VALUES (85230, 5601, 22, 'Personnr');
INSERT INTO `lang_definitions` VALUES (85231, 5605, 22, 'Salg');
INSERT INTO `lang_definitions` VALUES (85232, 5609, 22, 'Spyt');
INSERT INTO `lang_definitions` VALUES (85233, 5610, 22, 'Samme dag');
INSERT INTO `lang_definitions` VALUES (85234, 5612, 22, 'Prøve');
INSERT INTO `lang_definitions` VALUES (85235, 5613, 22, 'Sanktions Typ');
INSERT INTO `lang_definitions` VALUES (85236, 5617, 22, 'Lørdag');
INSERT INTO `lang_definitions` VALUES (85237, 5618, 22, 'Lørdag og Søndag');
INSERT INTO `lang_definitions` VALUES (85238, 5619, 22, 'Lørdag');
INSERT INTO `lang_definitions` VALUES (85239, 5620, 22, 'Gem');
INSERT INTO `lang_definitions` VALUES (85240, 5621, 22, 'Gem');
INSERT INTO `lang_definitions` VALUES (85241, 5624, 22, 'Gem og fordel');
INSERT INTO `lang_definitions` VALUES (85242, 5626, 22, 'Gem som ny');
INSERT INTO `lang_definitions` VALUES (85243, 5627, 22, 'Gem som ny note');
INSERT INTO `lang_definitions` VALUES (85244, 5628, 22, 'Gem certifikatindstillinger');
INSERT INTO `lang_definitions` VALUES (85245, 5629, 22, 'Gem ændringer');
INSERT INTO `lang_definitions` VALUES (85246, 5630, 22, 'Gem form');
INSERT INTO `lang_definitions` VALUES (85247, 5631, 22, 'Spara vaccination');
INSERT INTO `lang_definitions` VALUES (85248, 5632, 22, 'Gem nyt felt');
INSERT INTO `lang_definitions` VALUES (85249, 5633, 22, 'Gem ny gruppe');
INSERT INTO `lang_definitions` VALUES (85250, 5634, 22, 'Gem ny liste');
INSERT INTO `lang_definitions` VALUES (85251, 5637, 22, 'Gem patientoplysninger');
INSERT INTO `lang_definitions` VALUES (85252, 5639, 22, 'Gem transaktion');
INSERT INTO `lang_definitions` VALUES (85253, 5641, 22, 'Scannet');
INSERT INTO `lang_definitions` VALUES (85254, 5644, 22, 'Scanner i');
INSERT INTO `lang_definitions` VALUES (85255, 5645, 22, 'Skema');
INSERT INTO `lang_definitions` VALUES (85256, 5648, 22, 'Skolios');
INSERT INTO `lang_definitions` VALUES (85257, 5651, 22, 'SE');
INSERT INTO `lang_definitions` VALUES (85258, 5652, 22, 'SE Adresse');
INSERT INTO `lang_definitions` VALUES (85259, 5653, 22, 'SE By');
INSERT INTO `lang_definitions` VALUES (85260, 5654, 22, 'SE Land');
INSERT INTO `lang_definitions` VALUES (85261, 5656, 22, 'SE Postnummer');
INSERT INTO `lang_definitions` VALUES (85262, 5658, 22, 'SE Postnummer');
INSERT INTO `lang_definitions` VALUES (85263, 5659, 22, 'Søg');
INSERT INTO `lang_definitions` VALUES (85264, 5661, 22, 'Søg');
INSERT INTO `lang_definitions` VALUES (85265, 5662, 22, 'Søg igen');
INSERT INTO `lang_definitions` VALUES (85266, 5664, 22, 'Søg efter:');
INSERT INTO `lang_definitions` VALUES (85267, 5665, 22, 'Søg efter:');
INSERT INTO `lang_definitions` VALUES (85268, 5666, 22, 'Søg efter:');
INSERT INTO `lang_definitions` VALUES (85269, 5668, 22, 'Søg i');
INSERT INTO `lang_definitions` VALUES (85270, 5669, 22, 'Søg eller tilføj patient');
INSERT INTO `lang_definitions` VALUES (85271, 5670, 22, 'Søg betaling');
INSERT INTO `lang_definitions` VALUES (85272, 5672, 22, 'søgeresultater');
INSERT INTO `lang_definitions` VALUES (85273, 5673, 22, 'Søgning valgt');
INSERT INTO `lang_definitions` VALUES (85274, 5676, 22, 'Søg tekst');
INSERT INTO `lang_definitions` VALUES (85275, 5677, 22, 'Søg i begivenheder');
INSERT INTO `lang_definitions` VALUES (85276, 5678, 22, 'Søg/Tilføj');
INSERT INTO `lang_definitions` VALUES (85277, 5679, 22, 'Sök / Lägg till försäkringsgivaren');
INSERT INTO `lang_definitions` VALUES (85278, 5680, 22, 'Søg efter aftaler');
INSERT INTO `lang_definitions` VALUES (85279, 5681, 22, 'Søger...');
INSERT INTO `lang_definitions` VALUES (85280, 5682, 22, 'Bilbältesanvändning');
INSERT INTO `lang_definitions` VALUES (85281, 5684, 22, 'Anden');
INSERT INTO `lang_definitions` VALUES (85282, 5687, 22, 'Sekundær');
INSERT INTO `lang_definitions` VALUES (85283, 5688, 22, 'Sekundär Försäkring');
INSERT INTO `lang_definitions` VALUES (85284, 5689, 22, 'Sekundär Försäkrings Data');
INSERT INTO `lang_definitions` VALUES (85285, 5698, 22, 'Sikkerhed');
INSERT INTO `lang_definitions` VALUES (85286, 5699, 22, 'Se alle');
INSERT INTO `lang_definitions` VALUES (85287, 5700, 22, 'Se autorisationer');
INSERT INTO `lang_definitions` VALUES (85288, 5704, 22, 'Set siden');
INSERT INTO `lang_definitions` VALUES (85289, 5709, 22, 'Vælg');
INSERT INTO `lang_definitions` VALUES (85290, 5710, 22, 'Vælg');
INSERT INTO `lang_definitions` VALUES (85291, 5712, 22, 'Vælg en sammenhæng');
INSERT INTO `lang_definitions` VALUES (85292, 5715, 22, 'Vælg en bruger');
INSERT INTO `lang_definitions` VALUES (85293, 5716, 22, 'Vælg alle');
INSERT INTO `lang_definitions` VALUES (85294, 5720, 22, 'Vælg kategori');
INSERT INTO `lang_definitions` VALUES (85295, 5723, 22, 'Vælg kriterie for at fjerne');
INSERT INTO `lang_definitions` VALUES (85296, 5727, 22, 'Vælg dato');
INSERT INTO `lang_definitions` VALUES (85297, 5729, 22, 'Vælg diagnose');
INSERT INTO `lang_definitions` VALUES (85298, 5731, 22, 'Vælg præpprarat');
INSERT INTO `lang_definitions` VALUES (85299, 5732, 22, 'Vælg præpparater');
INSERT INTO `lang_definitions` VALUES (85300, 5738, 22, 'Vælg for at printe');
INSERT INTO `lang_definitions` VALUES (85301, 5742, 22, 'Vælg emne');
INSERT INTO `lang_definitions` VALUES (85302, 5744, 22, 'Vælg sprog');
INSERT INTO `lang_definitions` VALUES (85303, 5759, 22, 'Vælg bruger');
INSERT INTO `lang_definitions` VALUES (85304, 5760, 22, 'Vælg brugere fra Dropdown-listen');
INSERT INTO `lang_definitions` VALUES (85305, 5765, 22, 'Valgt');
INSERT INTO `lang_definitions` VALUES (85306, 5766, 22, 'Vælg møde');
INSERT INTO `lang_definitions` VALUES (85307, 5769, 22, 'Egenbetaling');
INSERT INTO `lang_definitions` VALUES (85308, 5771, 22, 'Send');
INSERT INTO `lang_definitions` VALUES (85309, 5774, 22, 'Överföring pågår');
INSERT INTO `lang_definitions` VALUES (85310, 5775, 22, 'Send besked');
INSERT INTO `lang_definitions` VALUES (85311, 5779, 22, 'Send denne fil');
INSERT INTO `lang_definitions` VALUES (85312, 5788, 22, 'Afsender');
INSERT INTO `lang_definitions` VALUES (85313, 5789, 22, 'Afsender ID');
INSERT INTO `lang_definitions` VALUES (85314, 5795, 22, 'Känslighet:');
INSERT INTO `lang_definitions` VALUES (85315, 5802, 22, 'Sendte emner');
INSERT INTO `lang_definitions` VALUES (85316, 5804, 22, 'Sendt');
INSERT INTO `lang_definitions` VALUES (85317, 5807, 22, 'Sendt til printer');
INSERT INTO `lang_definitions` VALUES (85318, 5813, 22, 'Separeret');
INSERT INTO `lang_definitions` VALUES (85319, 5814, 22, 'September');
INSERT INTO `lang_definitions` VALUES (85320, 5816, 22, 'Sekvens');
INSERT INTO `lang_definitions` VALUES (85321, 5821, 22, 'Service');
INSERT INTO `lang_definitions` VALUES (85322, 5822, 22, 'Service kategori');
INSERT INTO `lang_definitions` VALUES (85323, 5823, 22, 'Service kode');
INSERT INTO `lang_definitions` VALUES (85324, 5825, 22, 'Service koder');
INSERT INTO `lang_definitions` VALUES (85325, 5826, 22, 'Service dato');
INSERT INTO `lang_definitions` VALUES (85326, 5827, 22, 'Service dato:');
INSERT INTO `lang_definitions` VALUES (85327, 5829, 22, 'Service Location');
INSERT INTO `lang_definitions` VALUES (85328, 5834, 22, 'Tjenester');
INSERT INTO `lang_definitions` VALUES (85329, 5835, 22, 'Tjenester efter kategori');
INSERT INTO `lang_definitions` VALUES (85330, 5836, 22, 'Tjänster som tillhandahålls');
INSERT INTO `lang_definitions` VALUES (85331, 5837, 22, 'Tjänster som Tillhandahålls');
INSERT INTO `lang_definitions` VALUES (85332, 5849, 22, 'Indstillinger');
INSERT INTO `lang_definitions` VALUES (85333, 5851, 22, 'Svår huvudvärk');
INSERT INTO `lang_definitions` VALUES (85334, 5853, 22, 'Svårighetsgrad av smärta');
INSERT INTO `lang_definitions` VALUES (85335, 5854, 22, 'Svårighetsgrad av smärta:');
INSERT INTO `lang_definitions` VALUES (85336, 5855, 22, 'Køn');
INSERT INTO `lang_definitions` VALUES (85337, 5856, 22, 'Sexuellt överförbara sjukdomar');
INSERT INTO `lang_definitions` VALUES (85338, 5859, 22, 'Dele');
INSERT INTO `lang_definitions` VALUES (85339, 5864, 22, 'Åndenød');
INSERT INTO `lang_definitions` VALUES (85340, 5870, 22, 'bör vara som nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (85341, 5874, 22, 'Axel');
INSERT INTO `lang_definitions` VALUES (85342, 5875, 22, 'Axel + nyckelben');
INSERT INTO `lang_definitions` VALUES (85343, 5876, 22, 'Axelproblem');
INSERT INTO `lang_definitions` VALUES (85344, 5877, 22, 'Vis');
INSERT INTO `lang_definitions` VALUES (85345, 5880, 22, 'Vis alle');
INSERT INTO `lang_definitions` VALUES (85346, 5883, 22, 'Vis alle transaktioner');
INSERT INTO `lang_definitions` VALUES (85347, 5884, 22, 'Vis som optaget');
INSERT INTO `lang_definitions` VALUES (85348, 5885, 22, 'Visa endast behöriga');
INSERT INTO `lang_definitions` VALUES (85349, 5886, 22, 'Vis tilgængelige tider');
INSERT INTO `lang_definitions` VALUES (85350, 5889, 22, 'Vis detaljer');
INSERT INTO `lang_definitions` VALUES (85351, 5891, 22, 'Vis graf');
INSERT INTO `lang_definitions` VALUES (85352, 5896, 22, 'Vis Menu');
INSERT INTO `lang_definitions` VALUES (85353, 5898, 22, 'Vis Noter');
INSERT INTO `lang_definitions` VALUES (85354, 5901, 22, 'Vis Patient Noter');
INSERT INTO `lang_definitions` VALUES (85355, 5906, 22, 'Vis rapport');
INSERT INTO `lang_definitions` VALUES (85356, 5913, 22, 'Visa endast icke fakturerad');
INSERT INTO `lang_definitions` VALUES (85357, 5920, 22, 'Søskende');
INSERT INTO `lang_definitions` VALUES (85358, 5927, 22, 'Underskrift');
INSERT INTO `lang_definitions` VALUES (85359, 5929, 22, 'Underskrift:');
INSERT INTO `lang_definitions` VALUES (85360, 5932, 22, 'Betydande Svullnad:');
INSERT INTO `lang_definitions` VALUES (85361, 5937, 22, 'Siden');
INSERT INTO `lang_definitions` VALUES (85362, 5940, 22, 'Singel');
INSERT INTO `lang_definitions` VALUES (85363, 5956, 22, 'Størrelse');
INSERT INTO `lang_definitions` VALUES (85364, 5958, 22, 'Størrelse/Liste');
INSERT INTO `lang_definitions` VALUES (85365, 5959, 22, 'Hud');
INSERT INTO `lang_definitions` VALUES (85366, 5967, 22, 'sömn mönster');
INSERT INTO `lang_definitions` VALUES (85367, 5969, 22, 'sover');
INSERT INTO `lang_definitions` VALUES (85368, 5985, 22, 'SMS sendt før');
INSERT INTO `lang_definitions` VALUES (85369, 5986, 22, 'SMS sendt');
INSERT INTO `lang_definitions` VALUES (85370, 6004, 22, 'Snorker');
INSERT INTO `lang_definitions` VALUES (85371, 6009, 22, 'Social History:');
INSERT INTO `lang_definitions` VALUES (85372, 6011, 22, 'Løsning');
INSERT INTO `lang_definitions` VALUES (85373, 6016, 22, 'Vissa möten visas inte. Klicka här för att visa alla.');
INSERT INTO `lang_definitions` VALUES (85374, 6018, 22, 'Nogle noter blev ikke vist');
INSERT INTO `lang_definitions` VALUES (85375, 6020, 22, 'Nogle ord');
INSERT INTO `lang_definitions` VALUES (85376, 6023, 22, 'Noget gik galt. Prøv venligst igen');
INSERT INTO `lang_definitions` VALUES (85377, 6026, 22, 'Øm hals');
INSERT INTO `lang_definitions` VALUES (85378, 6028, 22, 'Beklager, der var et problem med at åbne din fil');
INSERT INTO `lang_definitions` VALUES (85379, 6029, 22, 'Sorter efter');
INSERT INTO `lang_definitions` VALUES (85380, 6030, 22, 'Sorter efter');
INSERT INTO `lang_definitions` VALUES (85381, 6032, 22, 'Sorter efter kommentarer');
INSERT INTO `lang_definitions` VALUES (85382, 6034, 22, 'Sorter efter dato');
INSERT INTO `lang_definitions` VALUES (85383, 6036, 22, 'Sorter efter begivenhed');
INSERT INTO `lang_definitions` VALUES (85384, 6037, 22, 'Sorter efter gruppe');
INSERT INTO `lang_definitions` VALUES (85385, 6040, 22, 'Sorter efter CPRnummer');
INSERT INTO `lang_definitions` VALUES (85386, 6043, 22, 'Soter efter bruger');
INSERT INTO `lang_definitions` VALUES (85387, 6048, 22, 'Kilde');
INSERT INTO `lang_definitions` VALUES (85388, 6051, 22, 'Källa saknas för kod ');
INSERT INTO `lang_definitions` VALUES (85389, 6057, 22, 'Kilde:');
INSERT INTO `lang_definitions` VALUES (85390, 6060, 22, 'mellemrum');
INSERT INTO `lang_definitions` VALUES (85391, 6061, 22, 'MELLEMRUM:');
INSERT INTO `lang_definitions` VALUES (85392, 6068, 22, 'Specialist');
INSERT INTO `lang_definitions` VALUES (85393, 6069, 22, 'Specialist navn og underskrift');
INSERT INTO `lang_definitions` VALUES (85394, 6071, 22, 'Specialtet');
INSERT INTO `lang_definitions` VALUES (85395, 6073, 22, 'Specielt:');
INSERT INTO `lang_definitions` VALUES (85396, 6074, 22, 'Specifik');
INSERT INTO `lang_definitions` VALUES (85397, 6077, 22, 'Specifik resultat');
INSERT INTO `lang_definitions` VALUES (85398, 6078, 22, 'Specifikke tjenester');
INSERT INTO `lang_definitions` VALUES (85399, 6092, 22, 'Diktering');
INSERT INTO `lang_definitions` VALUES (85400, 6093, 22, 'Spermiedödande');
INSERT INTO `lang_definitions` VALUES (85401, 6095, 22, 'Ægtefælle');
INSERT INTO `lang_definitions` VALUES (85402, 6098, 22, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (85403, 6111, 22, 'Personnummmer');
INSERT INTO `lang_definitions` VALUES (85404, 6113, 22, 'Persnr');
INSERT INTO `lang_definitions` VALUES (85405, 6114, 22, 'Stabilitet');
INSERT INTO `lang_definitions` VALUES (85406, 6116, 22, 'Standard');
INSERT INTO `lang_definitions` VALUES (85407, 6124, 22, 'Start');
INSERT INTO `lang_definitions` VALUES (85408, 6125, 22, 'Start (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (85409, 6128, 22, 'Startdato');
INSERT INTO `lang_definitions` VALUES (85410, 6129, 22, 'Startdato på denne klinik');
INSERT INTO `lang_definitions` VALUES (85411, 6130, 22, 'Startdato kan ikke være senere end slutdato');
INSERT INTO `lang_definitions` VALUES (85412, 6131, 22, 'Startdato:');
INSERT INTO `lang_definitions` VALUES (85413, 6132, 22, 'Startdato:');
INSERT INTO `lang_definitions` VALUES (85414, 6133, 22, 'Start tid');
INSERT INTO `lang_definitions` VALUES (85415, 6134, 22, 'Startdato');
INSERT INTO `lang_definitions` VALUES (85416, 6136, 22, 'Stat');
INSERT INTO `lang_definitions` VALUES (85417, 6144, 22, 'församling');
INSERT INTO `lang_definitions` VALUES (85418, 6151, 22, 'Statistik');
INSERT INTO `lang_definitions` VALUES (85419, 6152, 22, 'Övrigt');
INSERT INTO `lang_definitions` VALUES (85420, 6153, 22, 'Status');
INSERT INTO `lang_definitions` VALUES (85421, 6156, 22, 'Oförändrat');
INSERT INTO `lang_definitions` VALUES (85422, 6170, 22, 'Stivhed');
INSERT INTO `lang_definitions` VALUES (85423, 6172, 22, 'Ont i magen');
INSERT INTO `lang_definitions` VALUES (85424, 6175, 22, 'Överbelastade muskler');
INSERT INTO `lang_definitions` VALUES (85425, 6176, 22, 'Strøm');
INSERT INTO `lang_definitions` VALUES (85426, 6177, 22, 'Gade');
INSERT INTO `lang_definitions` VALUES (85427, 6178, 22, 'Adresse');
INSERT INTO `lang_definitions` VALUES (85428, 6179, 22, 'Gade og nummer');
INSERT INTO `lang_definitions` VALUES (85429, 6180, 22, 'Styrke');
INSERT INTO `lang_definitions` VALUES (85430, 6183, 22, 'Stress fraktur');
INSERT INTO `lang_definitions` VALUES (85431, 6184, 22, 'Stresstest');
INSERT INTO `lang_definitions` VALUES (85432, 6185, 22, 'Stroke');
INSERT INTO `lang_definitions` VALUES (85433, 6190, 22, 'Del-sum');
INSERT INTO `lang_definitions` VALUES (85434, 6191, 22, 'Underkategori');
INSERT INTO `lang_definitions` VALUES (85435, 6192, 22, 'underkategori');
INSERT INTO `lang_definitions` VALUES (85436, 6193, 22, 'subkutant');
INSERT INTO `lang_definitions` VALUES (85437, 6195, 22, 'Subjektiv');
INSERT INTO `lang_definitions` VALUES (85438, 6196, 22, 'Sublingual');
INSERT INTO `lang_definitions` VALUES (85439, 6197, 22, 'sublingual');
INSERT INTO `lang_definitions` VALUES (85440, 6198, 22, 'Tilmeld');
INSERT INTO `lang_definitions` VALUES (85441, 6199, 22, 'tilmeld');
INSERT INTO `lang_definitions` VALUES (85442, 6200, 22, 'Tilmeld al indhold');
INSERT INTO `lang_definitions` VALUES (85443, 6202, 22, 'Tilmeld begivenhed');
INSERT INTO `lang_definitions` VALUES (85444, 6203, 22, 'Tilmeldingsblanket');
INSERT INTO `lang_definitions` VALUES (85445, 6205, 22, 'Tilmeldt');
INSERT INTO `lang_definitions` VALUES (85446, 6206, 22, 'Tilmeldt af');
INSERT INTO `lang_definitions` VALUES (85447, 6208, 22, 'Abonnent');
INSERT INTO `lang_definitions` VALUES (85448, 6209, 22, 'Abonnent adresse');
INSERT INTO `lang_definitions` VALUES (85449, 6237, 22, 'Erstatning');
INSERT INTO `lang_definitions` VALUES (85450, 6238, 22, 'Erstatning tilladt');
INSERT INTO `lang_definitions` VALUES (85451, 6240, 22, 'Success');
INSERT INTO `lang_definitions` VALUES (85452, 6241, 22, 'Success');
INSERT INTO `lang_definitions` VALUES (85453, 6260, 22, 'Självmord');
INSERT INTO `lang_definitions` VALUES (85454, 6261, 22, 'Sammenfatning');
INSERT INTO `lang_definitions` VALUES (85455, 6265, 22, 'Søn');
INSERT INTO `lang_definitions` VALUES (85456, 6267, 22, 'Søndag');
INSERT INTO `lang_definitions` VALUES (85457, 6275, 22, 'Superbruger');
INSERT INTO `lang_definitions` VALUES (85458, 6291, 22, 'Kirurgi');
INSERT INTO `lang_definitions` VALUES (85459, 6293, 22, 'Suspenderet');
INSERT INTO `lang_definitions` VALUES (85460, 6294, 22, 'Uppslammad vätska');
INSERT INTO `lang_definitions` VALUES (85461, 6300, 22, 'Svenska');
INSERT INTO `lang_definitions` VALUES (85462, 6301, 22, 'Sluge');
INSERT INTO `lang_definitions` VALUES (85463, 6303, 22, 'Hævede led');
INSERT INTO `lang_definitions` VALUES (85464, 6307, 22, 'Symptomer');
INSERT INTO `lang_definitions` VALUES (85465, 6308, 22, 'Synkroniser');
INSERT INTO `lang_definitions` VALUES (85466, 6318, 22, 'System');
INSERT INTO `lang_definitions` VALUES (85467, 6323, 22, '3 ggr/dag');
INSERT INTO `lang_definitions` VALUES (85468, 6327, 22, 'Tabell skapas inte');
INSERT INTO `lang_definitions` VALUES (85469, 6328, 22, 'Tabell uppdateringen misslyckades');
INSERT INTO `lang_definitions` VALUES (85470, 6330, 22, 'tablett');
INSERT INTO `lang_definitions` VALUES (85471, 6335, 22, 'Ta');
INSERT INTO `lang_definitions` VALUES (85472, 6339, 22, 'Tager lang tid');
INSERT INTO `lang_definitions` VALUES (85473, 6356, 22, 'Skatter');
INSERT INTO `lang_definitions` VALUES (85474, 6363, 22, 'Tlf.');
INSERT INTO `lang_definitions` VALUES (85475, 6370, 22, 'Mall');
INSERT INTO `lang_definitions` VALUES (85476, 6373, 22, 'Mall:');
INSERT INTO `lang_definitions` VALUES (85477, 6383, 22, 'Test skema');
INSERT INTO `lang_definitions` VALUES (85478, 6384, 22, 'Test system');
INSERT INTO `lang_definitions` VALUES (85479, 6385, 22, 'Tekst');
INSERT INTO `lang_definitions` VALUES (85480, 6387, 22, 'Tekst felt');
INSERT INTO `lang_definitions` VALUES (85481, 6398, 22, 'Testboks');
INSERT INTO `lang_definitions` VALUES (85482, 6402, 22, 'Tak');
INSERT INTO `lang_definitions` VALUES (85483, 6408, 22, 'Påstående ärendet: ');
INSERT INTO `lang_definitions` VALUES (85484, 6415, 22, 'Destinationen er lukket');
INSERT INTO `lang_definitions` VALUES (85485, 6422, 22, 'Begivenheden er godkendt');
INSERT INTO `lang_definitions` VALUES (85486, 6423, 22, 'Begivenheden er skjult');
INSERT INTO `lang_definitions` VALUES (85487, 6434, 22, 'Følgende kalender er tilføjet:');
INSERT INTO `lang_definitions` VALUES (85488, 6435, 22, 'Følgende kalender er ændret:');
INSERT INTO `lang_definitions` VALUES (85489, 6461, 22, 'Nyt password må ikke være magen til det nuværende');
INSERT INTO `lang_definitions` VALUES (85490, 6470, 22, 'Patientpåmindelser er sendt');
INSERT INTO `lang_definitions` VALUES (85491, 6493, 22, 'Emne');
INSERT INTO `lang_definitions` VALUES (85492, 6495, 22, 'Terapeutiska Injektioner');
INSERT INTO `lang_definitions` VALUES (85493, 6496, 22, 'Der er');
INSERT INTO `lang_definitions` VALUES (85494, 6497, 22, 'Der er ingen recepter i øjeblikket');
INSERT INTO `lang_definitions` VALUES (85495, 6498, 22, 'Det är fel med din ansökan. Dessa beskrivs nedan.');
INSERT INTO `lang_definitions` VALUES (85496, 6502, 22, 'Det finns inga nya synpunkter');
INSERT INTO `lang_definitions` VALUES (85497, 6503, 22, 'Der er ingen noter for denne patient');
INSERT INTO `lang_definitions` VALUES (85498, 6520, 22, 'Det uppstod ett fel när din begäran behandlades.');
INSERT INTO `lang_definitions` VALUES (85499, 6523, 22, 'Förtjockad Höger:');
INSERT INTO `lang_definitions` VALUES (85500, 6524, 22, 'Lår');
INSERT INTO `lang_definitions` VALUES (85501, 6525, 22, 'Lår + knäsena');
INSERT INTO `lang_definitions` VALUES (85502, 6542, 22, 'Tredje');
INSERT INTO `lang_definitions` VALUES (85503, 6544, 22, 'Denne handling kan IKKE fortrydes');
INSERT INTO `lang_definitions` VALUES (85504, 6545, 22, 'Denne handling kan ikke fortrydes');
INSERT INTO `lang_definitions` VALUES (85505, 6551, 22, 'Dette kalendeår');
INSERT INTO `lang_definitions` VALUES (85506, 6561, 22, 'Dette besøg');
INSERT INTO `lang_definitions` VALUES (85507, 6566, 22, 'Dette fakturanummer er ændret til ');
INSERT INTO `lang_definitions` VALUES (85508, 6577, 22, 'Denne måned til dato');
INSERT INTO `lang_definitions` VALUES (85509, 6582, 22, 'Denne patient er ikke aktiv');
INSERT INTO `lang_definitions` VALUES (85510, 6583, 22, 'Denne patiens ID bruges allerede!');
INSERT INTO `lang_definitions` VALUES (85511, 6592, 22, 'Denne bruger er ikke medlem af nogen gruppe');
INSERT INTO `lang_definitions` VALUES (85512, 6598, 22, 'Denne uge til dato');
INSERT INTO `lang_definitions` VALUES (85513, 6625, 22, 'Hals');
INSERT INTO `lang_definitions` VALUES (85514, 6629, 22, 'Tor');
INSERT INTO `lang_definitions` VALUES (85515, 6630, 22, 'torsdag');
INSERT INTO `lang_definitions` VALUES (85516, 6631, 22, 'Torsdag');
INSERT INTO `lang_definitions` VALUES (85517, 6632, 22, 'Sköldkörtel normal');
INSERT INTO `lang_definitions` VALUES (85518, 6638, 22, 'Tid');
INSERT INTO `lang_definitions` VALUES (85519, 6647, 22, 'Fastsat begivenhed');
INSERT INTO `lang_definitions` VALUES (85520, 6649, 22, 'Tidsstämpel och Text');
INSERT INTO `lang_definitions` VALUES (85521, 6652, 22, 'Titel');
INSERT INTO `lang_definitions` VALUES (85522, 6655, 22, 'Titler');
INSERT INTO `lang_definitions` VALUES (85523, 6658, 22, 'Til');
INSERT INTO `lang_definitions` VALUES (85524, 6659, 22, 'TIL');
INSERT INTO `lang_definitions` VALUES (85525, 6660, 22, 'til');
INSERT INTO `lang_definitions` VALUES (85526, 6662, 22, 'Gå til TILFØJ NOTER, tryk ');
INSERT INTO `lang_definitions` VALUES (85527, 6663, 22, 'Gå til TILFØJ NOTER, tryk her');
INSERT INTO `lang_definitions` VALUES (85528, 6664, 22, 'På det påverkade området');
INSERT INTO `lang_definitions` VALUES (85529, 6665, 22, 'på det påverkade området');
INSERT INTO `lang_definitions` VALUES (85530, 6667, 22, 'Gå til regningsoversigt');
INSERT INTO `lang_definitions` VALUES (85531, 6668, 22, 'Gå til kategori');
INSERT INTO `lang_definitions` VALUES (85532, 6670, 22, 'Gå til medbetalere');
INSERT INTO `lang_definitions` VALUES (85533, 6679, 22, 'Gå til aftaler');
INSERT INTO `lang_definitions` VALUES (85534, 6680, 22, 'Sorter efter køn');
INSERT INTO `lang_definitions` VALUES (85535, 6681, 22, 'Gå til Historik');
INSERT INTO `lang_definitions` VALUES (85536, 6682, 22, 'Gå til emner');
INSERT INTO `lang_definitions` VALUES (85537, 6684, 22, 'För att länka detta besök till objekt i ovanstående lista, markera önskade objekt och klicka sedan på [spara]. Håll ner [Ctrl] för att markera fler objekt.');
INSERT INTO `lang_definitions` VALUES (85538, 6685, 22, 'Gå til Log på igen');
INSERT INTO `lang_definitions` VALUES (85539, 6689, 22, 'På huden');
INSERT INTO `lang_definitions` VALUES (85540, 6690, 22, 'På huden');
INSERT INTO `lang_definitions` VALUES (85541, 6691, 22, 'Gå til denne aftale?');
INSERT INTO `lang_definitions` VALUES (85542, 6693, 22, 'Til:');
INSERT INTO `lang_definitions` VALUES (85543, 6694, 22, 'Til: ');
INSERT INTO `lang_definitions` VALUES (85544, 6708, 22, 'Tobak');
INSERT INTO `lang_definitions` VALUES (85545, 6712, 22, 'Tobaks användande');
INSERT INTO `lang_definitions` VALUES (85546, 6715, 22, 'Idag');
INSERT INTO `lang_definitions` VALUES (85547, 6717, 22, 'idag');
INSERT INTO `lang_definitions` VALUES (85548, 6720, 22, 'Dags dato');
INSERT INTO `lang_definitions` VALUES (85549, 6721, 22, 'Dagens begivenheder');
INSERT INTO `lang_definitions` VALUES (85550, 6726, 22, 'Tonsillektomi');
INSERT INTO `lang_definitions` VALUES (85551, 6728, 22, 'Top');
INSERT INTO `lang_definitions` VALUES (85552, 6730, 22, 'Emne');
INSERT INTO `lang_definitions` VALUES (85553, 6731, 22, 'total');
INSERT INTO `lang_definitions` VALUES (85554, 6732, 22, 'Total');
INSERT INTO `lang_definitions` VALUES (85555, 6737, 22, 'Total beløb');
INSERT INTO `lang_definitions` VALUES (85556, 6738, 22, 'Totalt beløb betalt');
INSERT INTO `lang_definitions` VALUES (85557, 6741, 22, 'Total opkrævning');
INSERT INTO `lang_definitions` VALUES (85558, 6742, 22, 'Totalt antal Kunder');
INSERT INTO `lang_definitions` VALUES (85559, 6743, 22, 'Total udgift');
INSERT INTO `lang_definitions` VALUES (85560, 6744, 22, 'T');
INSERT INTO `lang_definitions` VALUES (85561, 6748, 22, 'Totalt for');
INSERT INTO `lang_definitions` VALUES (85562, 6749, 22, 'Totalt for ');
INSERT INTO `lang_definitions` VALUES (85563, 6750, 22, 'Totalt for kategori');
INSERT INTO `lang_definitions` VALUES (85564, 6752, 22, 'Nye påmindelser total');
INSERT INTO `lang_definitions` VALUES (85565, 6756, 22, 'Emner total');
INSERT INTO `lang_definitions` VALUES (85566, 6758, 22, 'Totalt antal patienter');
INSERT INTO `lang_definitions` VALUES (85567, 6761, 22, 'Patienter total');
INSERT INTO `lang_definitions` VALUES (85568, 6776, 22, 'Totaler');
INSERT INTO `lang_definitions` VALUES (85569, 6777, 22, 'Totaler for');
INSERT INTO `lang_definitions` VALUES (85570, 6778, 22, 'Totaler for ');
INSERT INTO `lang_definitions` VALUES (85571, 6785, 22, 'Utbildnings sort');
INSERT INTO `lang_definitions` VALUES (85572, 6786, 22, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (85573, 6787, 22, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (85574, 6788, 22, 'Transaktion');
INSERT INTO `lang_definitions` VALUES (85575, 6789, 22, 'Transaktion mislykkedes, insufficient kvantitet i destination lot');
INSERT INTO `lang_definitions` VALUES (85576, 6790, 22, 'Transaktionen mislykkedes, beløbet er mindre end nul');
INSERT INTO `lang_definitions` VALUES (85577, 6791, 22, 'Transaktionstype');
INSERT INTO `lang_definitions` VALUES (85578, 6792, 22, 'Transaktioner');
INSERT INTO `lang_definitions` VALUES (85579, 6793, 22, 'Transaktioner');
INSERT INTO `lang_definitions` VALUES (85580, 6794, 22, 'Transaktioner (tekst valgfri)');
INSERT INTO `lang_definitions` VALUES (85581, 6795, 22, 'Transaktioner / Övergångar');
INSERT INTO `lang_definitions` VALUES (85582, 6797, 22, 'Overførsel');
INSERT INTO `lang_definitions` VALUES (85583, 6804, 22, 'Overførsler');
INSERT INTO `lang_definitions` VALUES (85584, 6813, 22, 'Oversæt dette');
INSERT INTO `lang_definitions` VALUES (85585, 6814, 22, 'Oversættelse');
INSERT INTO `lang_definitions` VALUES (85586, 6815, 22, 'Oversættelser');
INSERT INTO `lang_definitions` VALUES (85587, 6819, 22, 'Traume');
INSERT INTO `lang_definitions` VALUES (85588, 6820, 22, 'Behandling');
INSERT INTO `lang_definitions` VALUES (85589, 6822, 22, 'Behandlings mål');
INSERT INTO `lang_definitions` VALUES (85590, 6823, 22, 'Behandlingsplan');
INSERT INTO `lang_definitions` VALUES (85591, 6826, 22, 'Behandling:');
INSERT INTO `lang_definitions` VALUES (85592, 6827, 22, 'Behandling: ');
INSERT INTO `lang_definitions` VALUES (85593, 6837, 22, 'tesked');
INSERT INTO `lang_definitions` VALUES (85594, 6841, 22, 'Tir');
INSERT INTO `lang_definitions` VALUES (85595, 6842, 22, 'Tirsdag og Torsdag');
INSERT INTO `lang_definitions` VALUES (85596, 6843, 22, 'Tirsdag');
INSERT INTO `lang_definitions` VALUES (85597, 6844, 22, 'Tumör');
INSERT INTO `lang_definitions` VALUES (85598, 6848, 22, 'To gange dagligt');
INSERT INTO `lang_definitions` VALUES (85599, 6851, 22, 'Skriv');
INSERT INTO `lang_definitions` VALUES (85600, 6855, 22, 'Type af begivenhed');
INSERT INTO `lang_definitions` VALUES (85601, 6857, 22, 'Skriv in eller skanna patientidentifikation här');
INSERT INTO `lang_definitions` VALUES (85602, 6866, 22, 'Ulcerations');
INSERT INTO `lang_definitions` VALUES (85603, 6867, 22, 'Ulcerös kolit');
INSERT INTO `lang_definitions` VALUES (85604, 6868, 22, 'Sår:');
INSERT INTO `lang_definitions` VALUES (85605, 6871, 22, 'Ikke muligt at oprette');
INSERT INTO `lang_definitions` VALUES (85606, 6877, 22, 'Ikke tildelt');
INSERT INTO `lang_definitions` VALUES (85607, 6880, 22, 'Obehörig åtkomst.');
INSERT INTO `lang_definitions` VALUES (85608, 6884, 22, 'Under tungen');
INSERT INTO `lang_definitions` VALUES (85609, 6885, 22, 'Undervægtig');
INSERT INTO `lang_definitions` VALUES (85610, 6886, 22, 'Udianogstiseret');
INSERT INTO `lang_definitions` VALUES (85611, 6890, 22, 'Fortryd betaling');
INSERT INTO `lang_definitions` VALUES (85612, 6892, 22, 'Unika Kunder');
INSERT INTO `lang_definitions` VALUES (85613, 6894, 22, 'Unika nya kunder');
INSERT INTO `lang_definitions` VALUES (85614, 6899, 22, 'Enhed');
INSERT INTO `lang_definitions` VALUES (85615, 6900, 22, 'Enheder');
INSERT INTO `lang_definitions` VALUES (85616, 6901, 22, 'Enheder');
INSERT INTO `lang_definitions` VALUES (85617, 6903, 22, 'Enheder skal være tal');
INSERT INTO `lang_definitions` VALUES (85618, 6904, 22, 'Enheder skal være tal');
INSERT INTO `lang_definitions` VALUES (85619, 6907, 22, 'Ukendt');
INSERT INTO `lang_definitions` VALUES (85620, 6911, 22, 'Okänd eller N / A');
INSERT INTO `lang_definitions` VALUES (85621, 6914, 22, 'Namnlöst försäkringsbolag');
INSERT INTO `lang_definitions` VALUES (85622, 6915, 22, 'Uregistreret');
INSERT INTO `lang_definitions` VALUES (85623, 6918, 22, 'Fravælg alle');
INSERT INTO `lang_definitions` VALUES (85624, 6919, 22, 'Uvalgt');
INSERT INTO `lang_definitions` VALUES (85625, 6920, 22, 'Uspecifiseret');
INSERT INTO `lang_definitions` VALUES (85626, 6924, 22, 'Indtil');
INSERT INTO `lang_definitions` VALUES (85627, 6926, 22, 'Ubrugt');
INSERT INTO `lang_definitions` VALUES (85628, 6928, 22, 'Op til');
INSERT INTO `lang_definitions` VALUES (85629, 6929, 22, 'Kommende aftaler');
INSERT INTO `lang_definitions` VALUES (85630, 6930, 22, 'Kommende begivenheder');
INSERT INTO `lang_definitions` VALUES (85631, 6931, 22, 'Opdatere');
INSERT INTO `lang_definitions` VALUES (85632, 6932, 22, 'Opdatere');
INSERT INTO `lang_definitions` VALUES (85633, 6934, 22, 'Opdater filer');
INSERT INTO `lang_definitions` VALUES (85634, 6935, 22, 'Opdater info');
INSERT INTO `lang_definitions` VALUES (85635, 6936, 22, 'Opdater liste');
INSERT INTO `lang_definitions` VALUES (85636, 6940, 22, 'Opdater bruger information');
INSERT INTO `lang_definitions` VALUES (85637, 6946, 22, 'Opgradere');
INSERT INTO `lang_definitions` VALUES (85638, 6947, 22, 'Opgrader database');
INSERT INTO `lang_definitions` VALUES (85639, 6951, 22, 'Hent dokument');
INSERT INTO `lang_definitions` VALUES (85640, 6955, 22, 'Hent dokument');
INSERT INTO `lang_definitions` VALUES (85641, 6957, 22, 'Hent billede til');
INSERT INTO `lang_definitions` VALUES (85642, 6958, 22, 'Hent importeret fil');
INSERT INTO `lang_definitions` VALUES (85643, 6961, 22, 'Hent rapport');
INSERT INTO `lang_definitions` VALUES (85644, 6963, 22, 'Hent denne fil');
INSERT INTO `lang_definitions` VALUES (85645, 6966, 22, 'Överarmen');
INSERT INTO `lang_definitions` VALUES (85646, 6968, 22, 'Brådskande');
INSERT INTO `lang_definitions` VALUES (85647, 6972, 22, 'Urin Frekvens');
INSERT INTO `lang_definitions` VALUES (85648, 6973, 22, 'Urin Tveksamhet');
INSERT INTO `lang_definitions` VALUES (85649, 6977, 22, 'URL');
INSERT INTO `lang_definitions` VALUES (85650, 6988, 22, 'Anvend 24timers format?');
INSERT INTO `lang_definitions` VALUES (85651, 7000, 22, 'Anvend standart');
INSERT INTO `lang_definitions` VALUES (85652, 7002, 22, 'Använd internationellt utseende på datum?');
INSERT INTO `lang_definitions` VALUES (85653, 7006, 22, 'Anvend emne?');
INSERT INTO `lang_definitions` VALUES (85654, 7007, 22, 'Bruger');
INSERT INTO `lang_definitions` VALUES (85655, 7009, 22, 'Bruger/Gruppe');
INSERT INTO `lang_definitions` VALUES (85656, 7010, 22, 'Bruger administration');
INSERT INTO `lang_definitions` VALUES (85657, 7011, 22, 'Användar-och Facility Administration');
INSERT INTO `lang_definitions` VALUES (85658, 7012, 22, 'Användare och grupp Administration');
INSERT INTO `lang_definitions` VALUES (85659, 7015, 22, 'Bruger defineret');
INSERT INTO `lang_definitions` VALUES (85660, 7016, 22, 'Användar definierad Area 11');
INSERT INTO `lang_definitions` VALUES (85661, 7017, 22, 'Användar definierad Area 12');
INSERT INTO `lang_definitions` VALUES (85662, 7040, 22, 'Användare Medlemskap');
INSERT INTO `lang_definitions` VALUES (85663, 7041, 22, 'Brugernavn');
INSERT INTO `lang_definitions` VALUES (85664, 7043, 22, 'Bruger- eller hostnavn');
INSERT INTO `lang_definitions` VALUES (85665, 7046, 22, 'Brugeropsætning');
INSERT INTO `lang_definitions` VALUES (85666, 7049, 22, 'Brugernavn');
INSERT INTO `lang_definitions` VALUES (85667, 7052, 22, 'Brugernavn for SMS gateway');
INSERT INTO `lang_definitions` VALUES (85668, 7055, 22, 'Brugernavn:');
INSERT INTO `lang_definitions` VALUES (85669, 7056, 22, 'Brugere');
INSERT INTO `lang_definitions` VALUES (85670, 7057, 22, 'Användare / grupper / Logs Administration');
INSERT INTO `lang_definitions` VALUES (85671, 7062, 22, 'FERIE');
INSERT INTO `lang_definitions` VALUES (85672, 7063, 22, 'Ferie');
INSERT INTO `lang_definitions` VALUES (85673, 7064, 22, 'Vaccination');
INSERT INTO `lang_definitions` VALUES (85674, 7068, 22, 'Værdi');
INSERT INTO `lang_definitions` VALUES (85675, 7069, 22, 'Værdi 1');
INSERT INTO `lang_definitions` VALUES (85676, 7070, 22, 'Værdi 2');
INSERT INTO `lang_definitions` VALUES (85677, 7079, 22, 'Blodkärls kondition');
INSERT INTO `lang_definitions` VALUES (85678, 7080, 22, 'Blodkärsl skada');
INSERT INTO `lang_definitions` VALUES (85679, 7081, 22, 'Kärlkirurgi');
INSERT INTO `lang_definitions` VALUES (85680, 7084, 22, 'Version');
INSERT INTO `lang_definitions` VALUES (85681, 7085, 22, 'Svindel');
INSERT INTO `lang_definitions` VALUES (85682, 7090, 22, 'vis');
INSERT INTO `lang_definitions` VALUES (85683, 7091, 22, 'Vis');
INSERT INTO `lang_definitions` VALUES (85684, 7092, 22, 'Vis allergier');
INSERT INTO `lang_definitions` VALUES (85685, 7097, 22, 'Visa Omfattande Patient Rapport');
INSERT INTO `lang_definitions` VALUES (85686, 7100, 22, 'Vis dokument');
INSERT INTO `lang_definitions` VALUES (85687, 7101, 22, 'Vis aftale');
INSERT INTO `lang_definitions` VALUES (85688, 7103, 22, 'Vis begivenheder i et pop-up-vindue?');
INSERT INTO `lang_definitions` VALUES (85689, 7108, 22, 'Vis side 1');
INSERT INTO `lang_definitions` VALUES (85690, 7109, 22, 'Vis side 2');
INSERT INTO `lang_definitions` VALUES (85691, 7111, 22, 'Vis patient');
INSERT INTO `lang_definitions` VALUES (85692, 7116, 22, 'Vis relaterede aftaler');
INSERT INTO `lang_definitions` VALUES (85693, 7121, 22, 'Vis/rediger allergier');
INSERT INTO `lang_definitions` VALUES (85694, 7122, 22, 'Vis/rediger emner');
INSERT INTO `lang_definitions` VALUES (85695, 7123, 22, 'Vis/print');
INSERT INTO `lang_definitions` VALUES (85696, 7124, 22, 'Vis:');
INSERT INTO `lang_definitions` VALUES (85697, 7125, 22, 'VISA');
INSERT INTO `lang_definitions` VALUES (85698, 7126, 22, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (85699, 7127, 22, 'Visceral skada / trauma / kirurgi');
INSERT INTO `lang_definitions` VALUES (85700, 7133, 22, 'Aftalekategori');
INSERT INTO `lang_definitions` VALUES (85701, 7134, 22, 'Aftaledato');
INSERT INTO `lang_definitions` VALUES (85702, 7138, 22, 'Aftalehistorik');
INSERT INTO `lang_definitions` VALUES (85703, 7140, 22, 'Aftaler');
INSERT INTO `lang_definitions` VALUES (85704, 7141, 22, 'Aftaler fra');
INSERT INTO `lang_definitions` VALUES (85705, 7143, 22, 'Livsvigtig');
INSERT INTO `lang_definitions` VALUES (85706, 7144, 22, 'Livsviktiga (metriska)');
INSERT INTO `lang_definitions` VALUES (85707, 7146, 22, 'Stemme');
INSERT INTO `lang_definitions` VALUES (85708, 7147, 22, 'Stemme sendt');
INSERT INTO `lang_definitions` VALUES (85709, 7149, 22, 'Kräkningar');
INSERT INTO `lang_definitions` VALUES (85710, 7151, 22, 'W');
INSERT INTO `lang_definitions` VALUES (85711, 7154, 22, 'Venter');
INSERT INTO `lang_definitions` VALUES (85712, 7162, 22, 'Varm');
INSERT INTO `lang_definitions` VALUES (85713, 7164, 22, 'ADVARSEL');
INSERT INTO `lang_definitions` VALUES (85714, 7166, 22, 'Advarsel, cheknummer eksisterer allerede i databasen');
INSERT INTO `lang_definitions` VALUES (85715, 7168, 22, 'Advarsel: Der er allerede booket en aftale med denne patient i dag!');
INSERT INTO `lang_definitions` VALUES (85716, 7170, 22, 'Varning: patient-ID är inte unikt!');
INSERT INTO `lang_definitions` VALUES (85717, 7175, 22, 'Er allerede hentet');
INSERT INTO `lang_definitions` VALUES (85718, 7179, 22, 'Svaghed');
INSERT INTO `lang_definitions` VALUES (85719, 7182, 22, 'Hjemmeside');
INSERT INTO `lang_definitions` VALUES (85720, 7184, 22, 'Ons');
INSERT INTO `lang_definitions` VALUES (85721, 7185, 22, 'Onsdag');
INSERT INTO `lang_definitions` VALUES (85722, 7186, 22, 'Uge');
INSERT INTO `lang_definitions` VALUES (85723, 7187, 22, 'uge');
INSERT INTO `lang_definitions` VALUES (85724, 7188, 22, 'Ugeoversigt');
INSERT INTO `lang_definitions` VALUES (85725, 7189, 22, 'Uge(r)');
INSERT INTO `lang_definitions` VALUES (85726, 7192, 22, 'Uger');
INSERT INTO `lang_definitions` VALUES (85727, 7193, 22, 'Vægt');
INSERT INTO `lang_definitions` VALUES (85728, 7196, 22, 'Vægtforandring');
INSERT INTO `lang_definitions` VALUES (85729, 7197, 22, 'Vægttab');
INSERT INTO `lang_definitions` VALUES (85730, 7199, 22, 'Velkommen');
INSERT INTO `lang_definitions` VALUES (85731, 7202, 22, 'Hvad skal tælles?');
INSERT INTO `lang_definitions` VALUES (85732, 7205, 22, 'Wheezing:');
INSERT INTO `lang_definitions` VALUES (85733, 7211, 22, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (85734, 7212, 22, 'Hvid');
INSERT INTO `lang_definitions` VALUES (85735, 7213, 22, 'Hvem');
INSERT INTO `lang_definitions` VALUES (85736, 7214, 22, 'Hvem har svaret?');
INSERT INTO `lang_definitions` VALUES (85737, 7215, 22, 'Enke');
INSERT INTO `lang_definitions` VALUES (85738, 7221, 22, 'Med valgte:');
INSERT INTO `lang_definitions` VALUES (85739, 7222, 22, 'Med gammelt navn');
INSERT INTO `lang_definitions` VALUES (85740, 7224, 22, 'Med vem kan vi lämna ett meddelande?');
INSERT INTO `lang_definitions` VALUES (85741, 7226, 22, 'inom några timmar');
INSERT INTO `lang_definitions` VALUES (85742, 7227, 22, 'inom några timmar:');
INSERT INTO `lang_definitions` VALUES (85743, 7228, 22, 'inom några minuter');
INSERT INTO `lang_definitions` VALUES (85744, 7229, 22, 'inom några minuter:');
INSERT INTO `lang_definitions` VALUES (85745, 7232, 22, 'Uden opdatering');
INSERT INTO `lang_definitions` VALUES (85746, 7233, 22, 'Vine');
INSERT INTO `lang_definitions` VALUES (85747, 7237, 22, 'Kvinder');
INSERT INTO `lang_definitions` VALUES (85748, 7238, 22, 'Kun kvinder');
INSERT INTO `lang_definitions` VALUES (85749, 7240, 22, 'Arbejde');
INSERT INTO `lang_definitions` VALUES (85750, 7242, 22, 'Telefon, arbejde');
INSERT INTO `lang_definitions` VALUES (85751, 7243, 22, 'Tlf.nr., arbejde');
INSERT INTO `lang_definitions` VALUES (85752, 7244, 22, 'Arbejdsrelateret?');
INSERT INTO `lang_definitions` VALUES (85753, 7245, 22, 'Arbete/ Utbildning/ Hobby');
INSERT INTO `lang_definitions` VALUES (85754, 7246, 22, 'Arbete / Skola Anmärkning');
INSERT INTO `lang_definitions` VALUES (85755, 7247, 22, 'Arbejdsdag');
INSERT INTO `lang_definitions` VALUES (85756, 7252, 22, 'Forværret');
INSERT INTO `lang_definitions` VALUES (85757, 7258, 22, 'Vil du slette indbetaling?');
INSERT INTO `lang_definitions` VALUES (85758, 7260, 22, 'Vil du ændre indbetaling?');
INSERT INTO `lang_definitions` VALUES (85759, 7263, 22, 'Vil du gemme?');
INSERT INTO `lang_definitions` VALUES (85760, 7264, 22, 'Håndled');
INSERT INTO `lang_definitions` VALUES (85761, 7265, 22, 'Håndled og hånd');
INSERT INTO `lang_definitions` VALUES (85762, 7266, 22, 'Håndledsproblemer');
INSERT INTO `lang_definitions` VALUES (85763, 7267, 22, 'skriv');
INSERT INTO `lang_definitions` VALUES (85764, 7268, 22, 'Skrive af');
INSERT INTO `lang_definitions` VALUES (85765, 7274, 22, 'x inställt');
INSERT INTO `lang_definitions` VALUES (85766, 7275, 22, 'Røntgen');
INSERT INTO `lang_definitions` VALUES (85767, 7276, 22, 'Røntgen tolkning');
INSERT INTO `lang_definitions` VALUES (85768, 7277, 22, 'Røntgen tolkning');
INSERT INTO `lang_definitions` VALUES (85769, 7278, 22, 'Endast X12: Ersättningskrav ');
INSERT INTO `lang_definitions` VALUES (85770, 7279, 22, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (85771, 7280, 22, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (85772, 7284, 22, 'Y');
INSERT INTO `lang_definitions` VALUES (85773, 7285, 22, 'År');
INSERT INTO `lang_definitions` VALUES (85774, 7286, 22, 'år');
INSERT INTO `lang_definitions` VALUES (85775, 7287, 22, 'Vis År');
INSERT INTO `lang_definitions` VALUES (85776, 7288, 22, 'År');
INSERT INTO `lang_definitions` VALUES (85777, 7289, 22, 'År');
INSERT INTO `lang_definitions` VALUES (85778, 7292, 22, 'JA');
INSERT INTO `lang_definitions` VALUES (85779, 7293, 22, 'Ja');
INSERT INTO `lang_definitions` VALUES (85780, 7294, 22, 'ja');
INSERT INTO `lang_definitions` VALUES (85781, 7295, 22, 'JA!');
INSERT INTO `lang_definitions` VALUES (85782, 7296, 22, 'JA, slet og log');
INSERT INTO `lang_definitions` VALUES (85783, 7298, 22, 'Ja/Nej');
INSERT INTO `lang_definitions` VALUES (85784, 7299, 22, 'Ja:');
INSERT INTO `lang_definitions` VALUES (85785, 7303, 22, 'Du håller på att permanent ersätta den befintliga mallen. Är du säker på att du vill fortsätta?');
INSERT INTO `lang_definitions` VALUES (85786, 7305, 22, 'Det er ikke tilladt at slette denne begivenhed');
INSERT INTO `lang_definitions` VALUES (85787, 7306, 22, 'Det er ikke tilladt at ændre denne begivenhed');
INSERT INTO `lang_definitions` VALUES (85788, 7307, 22, 'Du har ikke rettigheder til dette.');
INSERT INTO `lang_definitions` VALUES (85789, 7308, 22, 'Du har inte behörighet att komma åt den här gruppen.');
INSERT INTO `lang_definitions` VALUES (85790, 7309, 22, 'Du har inte behörighet att lägga till / redigera frågor');
INSERT INTO `lang_definitions` VALUES (85791, 7310, 22, 'Du har ikke rettigheder til at planlægge aftaler.');
INSERT INTO `lang_definitions` VALUES (85792, 7311, 22, 'Du har ikke rettigheder til at se denne aftale');
INSERT INTO `lang_definitions` VALUES (85793, 7313, 22, 'Du kan inte komma åt denna funktion direkt.');
INSERT INTO `lang_definitions` VALUES (85794, 7314, 22, 'Du kan inte komma åt den här sidan direkt.');
INSERT INTO `lang_definitions` VALUES (85795, 7319, 22, 'Du har inte valt några åtgärder.');
INSERT INTO `lang_definitions` VALUES (85796, 7320, 22, 'Du har inte behörighet att se / redigera denna anmärkning');
INSERT INTO `lang_definitions` VALUES (85797, 7323, 22, 'Du kan kun hente tekstfiler');
INSERT INTO `lang_definitions` VALUES (85798, 7329, 22, 'Du skal først vælge eller tilføje en patient');
INSERT INTO `lang_definitions` VALUES (85799, 7330, 22, 'Du skal først vælge eller oprette en aftale');
INSERT INTO `lang_definitions` VALUES (85800, 7333, 22, 'Du måste välja några områden för att fortsätta.');
INSERT INTO `lang_definitions` VALUES (85801, 7335, 22, 'Du skal vælge mindst en sammenhæng');
INSERT INTO `lang_definitions` VALUES (85802, 7339, 22, 'Din slutdato er ugyldig');
INSERT INTO `lang_definitions` VALUES (85803, 7340, 22, 'Din aftale er slettet');
INSERT INTO `lang_definitions` VALUES (85804, 7341, 22, 'Din aftale er ændret');
INSERT INTO `lang_definitions` VALUES (85805, 7342, 22, 'Din aftale er tilføjet');
INSERT INTO `lang_definitions` VALUES (85806, 7343, 22, 'Din fil er for stor');
INSERT INTO `lang_definitions` VALUES (85807, 7345, 22, 'Din namnlista har ändrats för att uppfylla namngivnings krav.');
INSERT INTO `lang_definitions` VALUES (85808, 7349, 22, 'Dit kodeord er udløbet, Skift kodeord');
INSERT INTO `lang_definitions` VALUES (85809, 7350, 22, 'Dit kodeord udløber til');
INSERT INTO `lang_definitions` VALUES (85810, 7351, 22, 'Dit kodeord udløber i dag, opret venligst et nyt');
INSERT INTO `lang_definitions` VALUES (85811, 7353, 22, 'Din Post Kalender konfiguration har återställts att använda standardvärden.');
INSERT INTO `lang_definitions` VALUES (85812, 7354, 22, 'Din Post Kalender konfiguration har uppdaterats.');
INSERT INTO `lang_definitions` VALUES (85813, 7355, 22, 'Den upprepade frekvens måste vara ett heltal.');
INSERT INTO `lang_definitions` VALUES (85814, 7356, 22, 'Den upprepade frekvensen måste vara minst 1.');
INSERT INTO `lang_definitions` VALUES (85815, 7357, 22, 'Ditt startdatum är större än ditt slutdatum');
INSERT INTO `lang_definitions` VALUES (85816, 7358, 22, 'Din startdato er ugyldig');
INSERT INTO `lang_definitions` VALUES (85817, 7359, 22, 'Din tilføjelse mislykkedes');
INSERT INTO `lang_definitions` VALUES (85818, 7360, 22, 'åååå-mm-dd');
INSERT INTO `lang_definitions` VALUES (85819, 7361, 22, 'ÅÅÅÅ-MM-DD');
INSERT INTO `lang_definitions` VALUES (85820, 7362, 22, 'ÅÅÅÅ-MM-DD-dato har sammenhæng med dette dokument');
INSERT INTO `lang_definitions` VALUES (85821, 7363, 22, 'ÅÅÅÅ-MM-DD-dato er ødelagt');
INSERT INTO `lang_definitions` VALUES (85822, 7364, 22, 'ÅÅÅÅ-MM-DD fødselsdato');
INSERT INTO `lang_definitions` VALUES (85823, 7365, 22, 'ÅÅÅÅ-MM-DD fødselsdato');
INSERT INTO `lang_definitions` VALUES (85824, 7366, 22, 'ÅÅÅÅ-MM-DD udløbsdato');
INSERT INTO `lang_definitions` VALUES (85825, 7367, 22, 'åååå-mm-dd Datum för uppkomsten eller sjukhusvistelse');
INSERT INTO `lang_definitions` VALUES (85826, 7368, 22, 'åååå-mm-dd datum debut, kirurgi eller början av medicinering');
INSERT INTO `lang_definitions` VALUES (85827, 7369, 22, 'ÅÅÅÅ-MM-DD-dato for køb eller transaktion');
INSERT INTO `lang_definitions` VALUES (85828, 7370, 22, 'åååå-mm-dd dagen för tillfrisknande eller slutet av medicinering');
INSERT INTO `lang_definitions` VALUES (85829, 7372, 22, 'ÅÅÅÅ-MM-DD-dato for service');
INSERT INTO `lang_definitions` VALUES (85830, 7373, 22, 'ÅÅÅÅ-MM-DD-dato for dette brev');
INSERT INTO `lang_definitions` VALUES (85831, 7375, 22, 'åååå-mm-dd dokumentets datum');
INSERT INTO `lang_definitions` VALUES (85832, 7376, 22, 'åååå-mm-dd händelse datum eller startdatum');
INSERT INTO `lang_definitions` VALUES (85833, 7383, 22, 'ÅÅÅÅ-MM-DD sidste dato for denne aftale');
INSERT INTO `lang_definitions` VALUES (85834, 7387, 22, 'Nul');
INSERT INTO `lang_definitions` VALUES (85835, 7389, 22, 'postadress');
INSERT INTO `lang_definitions` VALUES (85836, 7390, 22, 'postnummer');
INSERT INTO `lang_definitions` VALUES (85837, 7391, 22, 'land');
INSERT INTO `lang_definitions` VALUES (85838, 7393, 22, ' men var ');
INSERT INTO `lang_definitions` VALUES (85839, 7394, 22, ' Ikke tilgængelig');
INSERT INTO `lang_definitions` VALUES (85840, 7395, 22, 'Vil du virkelig slette?');
INSERT INTO `lang_definitions` VALUES (85841, 7396, 22, 'Lægemiddel');
INSERT INTO `lang_definitions` VALUES (85842, 7397, 22, 'email blev ikke sendt');
INSERT INTO `lang_definitions` VALUES (85843, 7398, 22, 'fra');
INSERT INTO `lang_definitions` VALUES (85844, 7399, 22, 'Er skabt ');
INSERT INTO `lang_definitions` VALUES (85845, 7400, 22, 'Er genåbnet');
INSERT INTO `lang_definitions` VALUES (85846, 7401, 22, 'Historie');
INSERT INTO `lang_definitions` VALUES (85847, 7402, 22, 'er ikke et nummer');
INSERT INTO `lang_definitions` VALUES (85848, 7403, 22, 'är redo för ny fakturering');
INSERT INTO `lang_definitions` VALUES (85849, 7404, 22, 'LLL:');
INSERT INTO `lang_definitions` VALUES (85850, 7405, 22, 'Lot');
INSERT INTO `lang_definitions` VALUES (85851, 7406, 22, 'Medicaid orginal referensnr. ');
INSERT INTO `lang_definitions` VALUES (85852, 7407, 22, 'min');
INSERT INTO `lang_definitions` VALUES (85853, 7408, 22, 'Ikke fundet!');
INSERT INTO `lang_definitions` VALUES (85854, 7411, 22, 'Indtil');
INSERT INTO `lang_definitions` VALUES (85855, 7412, 22, 'Opdatering mislykkedes, ikke i databasen?');
INSERT INTO `lang_definitions` VALUES (85856, 7413, 22, 'Er kun markeret som faktureret');
INSERT INTO `lang_definitions` VALUES (85857, 7414, 22, 'var kö framgångsrikt.');
INSERT INTO `lang_definitions` VALUES (85858, 7415, 22, '! Lämnat utan besök');
INSERT INTO `lang_definitions` VALUES (85859, 7416, 22, '\"För kod');
INSERT INTO `lang_definitions` VALUES (85860, 7417, 22, 'Kontrolleras PostCalendar Inställningar! \"');
INSERT INTO `lang_definitions` VALUES (85861, 7420, 22, 'kr');
INSERT INTO `lang_definitions` VALUES (85862, 7421, 22, 'Kodningen av kronor är färdig');
INSERT INTO `lang_definitions` VALUES (85863, 7422, 22, '$ etikett (åååå-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (85864, 7423, 22, '%');
INSERT INTO `lang_definitions` VALUES (85865, 7425, 22, '% Annullerat <24h ');
INSERT INTO `lang_definitions` VALUES (85866, 7426, 22, 'Burde eksistere, men gør ikke');
INSERT INTO `lang_definitions` VALUES (85867, 7427, 22, '(% Matchar alla strängar, _ matchar alla tecken)');
INSERT INTO `lang_definitions` VALUES (85868, 7429, 22, '(tilbage)');
INSERT INTO `lang_definitions` VALUES (85869, 7430, 22, '(tryk for at redigere)');
INSERT INTO `lang_definitions` VALUES (85870, 7432, 22, '(mere)');
INSERT INTO `lang_definitions` VALUES (85871, 7433, 22, '(Ny Patient)');
INSERT INTO `lang_definitions` VALUES (85872, 7434, 22, '(bemærkninger og tilladelser)');
INSERT INTO `lang_definitions` VALUES (85873, 7435, 22, '(patientnoter)');
INSERT INTO `lang_definitions` VALUES (85874, 7436, 22, '(vælg en af disse eller opret din egen titel)');
INSERT INTO `lang_definitions` VALUES (85875, 7438, 22, '* påmindelse sendt');
INSERT INTO `lang_definitions` VALUES (85876, 7440, 22, '* Obligatorisk');
INSERT INTO `lang_definitions` VALUES (85877, 7441, 22, '#ERROR!:parse');
INSERT INTO `lang_definitions` VALUES (85878, 7445, 22, '.');
INSERT INTO `lang_definitions` VALUES (85879, 7447, 22, '0-10');
INSERT INTO `lang_definitions` VALUES (85880, 7457, 22, '1.Vila 2. Lägg på is i två dagar 3. Komprimering lämna förbandet på plats om inte foten utvecklar domningar eller blek färg 4. Ha foten och ben i Upphöjt läge.');
INSERT INTO `lang_definitions` VALUES (85881, 7458, 22, '11-14');
INSERT INTO `lang_definitions` VALUES (85882, 7460, 22, '15-19');
INSERT INTO `lang_definitions` VALUES (85883, 7468, 22, '20-24');
INSERT INTO `lang_definitions` VALUES (85884, 7477, 22, '2111-13');
INSERT INTO `lang_definitions` VALUES (85885, 7479, 22, '25+');
INSERT INTO `lang_definitions` VALUES (85886, 7480, 22, '25-29');
INSERT INTO `lang_definitions` VALUES (85887, 7481, 22, '2:a');
INSERT INTO `lang_definitions` VALUES (85888, 7483, 22, '3 måneder');
INSERT INTO `lang_definitions` VALUES (85889, 7485, 22, '3 gange om dagen');
INSERT INTO `lang_definitions` VALUES (85890, 7487, 22, '30-34');
INSERT INTO `lang_definitions` VALUES (85891, 7488, 22, '35-39');
INSERT INTO `lang_definitions` VALUES (85892, 7489, 22, 'tredje');
INSERT INTO `lang_definitions` VALUES (85893, 7491, 22, '4 måneder');
INSERT INTO `lang_definitions` VALUES (85894, 7493, 22, '4 gange om dagen');
INSERT INTO `lang_definitions` VALUES (85895, 7495, 22, '40-44');
INSERT INTO `lang_definitions` VALUES (85896, 7496, 22, '45+');
INSERT INTO `lang_definitions` VALUES (85897, 7504, 22, 'fjerde');
INSERT INTO `lang_definitions` VALUES (85898, 7509, 22, 'femte');
INSERT INTO `lang_definitions` VALUES (85899, 7511, 22, '6 måneder');
INSERT INTO `lang_definitions` VALUES (85900, 7514, 22, 'sjette');
INSERT INTO `lang_definitions` VALUES (85901, 7526, 22, '99212 Etablerade - okomplicerad');
INSERT INTO `lang_definitions` VALUES (85902, 7527, 22, '99213 Etablerade - Låg komplexitet');
INSERT INTO `lang_definitions` VALUES (85903, 7528, 22, '< På klinikken');
INSERT INTO `lang_definitions` VALUES (85904, 7529, 22, '> Afsluttet');
INSERT INTO `lang_definitions` VALUES (85905, 7531, 22, '? Udeblevet');
INSERT INTO `lang_definitions` VALUES (85906, 7532, 22, '@ Ankommet');
INSERT INTO `lang_definitions` VALUES (85907, 7533, 22, '[Ändra vy]');
INSERT INTO `lang_definitions` VALUES (85908, 7534, 22, '[Dato for seneste aftale]');
INSERT INTO `lang_definitions` VALUES (85909, 7535, 22, '[Dage siden sidste aftale]');
INSERT INTO `lang_definitions` VALUES (85910, 7538, 22, '[rekommenderas inte]');
INSERT INTO `lang_definitions` VALUES (85911, 7539, 22, '[Antal aftaler]');
INSERT INTO `lang_definitions` VALUES (85912, 7540, 22, '[Rapporter]');
INSERT INTO `lang_definitions` VALUES (85913, 7541, 22, '[Vælg alle]');
INSERT INTO `lang_definitions` VALUES (85914, 7542, 22, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (85915, 7543, 22, '[Starta batchprocess]');
INSERT INTO `lang_definitions` VALUES (85916, 7544, 22, '[Se log]');
INSERT INTO `lang_definitions` VALUES (85917, 7545, 22, '[Se printbar rapport]');
INSERT INTO `lang_definitions` VALUES (85918, 7549, 22, '~kommet for sent');
INSERT INTO `lang_definitions` VALUES (85919, 1, 23, 'Bir');
INSERT INTO `lang_definitions` VALUES (85920, 2, 23, 'Ödemeyi tanımlamak için bir çek numarası veya talep numarası');
INSERT INTO `lang_definitions` VALUES (85921, 3, 23, 'Yönetici kullanıcısı için bir müşteri sertifikası');
INSERT INTO `lang_definitions` VALUES (85922, 4, 23, 'Bir klinik belge ekli');
INSERT INTO `lang_definitions` VALUES (85923, 5, 23, 'Bir klinik belge ekli');
INSERT INTO `lang_definitions` VALUES (85924, 7, 23, 'Bir bayi gerekiyor');
INSERT INTO `lang_definitions` VALUES (85925, 8, 23, 'Bu kayda Jenerik Bağlantı Kabul Kontrol  vizit formunun eklenmesi gerekiyor.');
INSERT INTO `lang_definitions` VALUES (85926, 9, 23, 'Bir parti numarası gerekiyor.');
INSERT INTO `lang_definitions` VALUES (85927, 10, 23, 'Bir parti numarası gerekiyor!');
INSERT INTO `lang_definitions` VALUES (85928, 11, 23, 'Bir küçük harf');
INSERT INTO `lang_definitions` VALUES (85929, 12, 23, 'Bir sayı');
INSERT INTO `lang_definitions` VALUES (85930, 14, 23, 'Bu ID ile önceden kayıtlı bir hasta var.');
INSERT INTO `lang_definitions` VALUES (85931, 15, 23, 'Bu isim ile önceden kayıtlı bir hasta var.');
INSERT INTO `lang_definitions` VALUES (85932, 16, 23, 'Bu SGK numarası ile önceden kayıtlı bir hasta var.');
INSERT INTO `lang_definitions` VALUES (85933, 17, 23, 'Hasta RandevularıÖzeti Sihirbazında artı bir sayı geçmişte pek çok randevu olduğunu gösterir. ( Eksi bir sayı eski randevuları azalan sırada gösterir.)');
INSERT INTO `lang_definitions` VALUES (85934, 18, 23, 'Hasta RandevularıÖzeti Sihirbazında artı bir sayı geçmişte pek çok randevu olduğunu gösterir.');
INSERT INTO `lang_definitions` VALUES (85935, 19, 23, 'Her vizite için sevk eden bir kaynak belirtilebilir.');
INSERT INTO `lang_definitions` VALUES (85936, 20, 23, 'İlgili bir IPPF kodu gerekiyor!');
INSERT INTO `lang_definitions` VALUES (85937, 21, 23, 'Özel bir karakter');
INSERT INTO `lang_definitions` VALUES (85938, 22, 23, 'Bu alanı tanımlayacak,kullanıcıya görünmeyen, benzersiz bir değer');
INSERT INTO `lang_definitions` VALUES (85939, 23, 23, 'Bu hastanın bu gün için önceden kayıtlı bir randevusu var. Bu randevuyu açmam için İptali tıklayınız. Yeni bir randevu oluşturmak için Tamamı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (85940, 24, 23, 'yemekten önce');
INSERT INTO `lang_definitions` VALUES (85941, 25, 23, 'öğleden önce');
INSERT INTO `lang_definitions` VALUES (85942, 26, 23, 'A/F Sağ Düzey');
INSERT INTO `lang_definitions` VALUES (85943, 27, 23, 'AB');
INSERT INTO `lang_definitions` VALUES (85944, 28, 23, 'Kısaltma');
INSERT INTO `lang_definitions` VALUES (85945, 29, 23, 'Abse');
INSERT INTO `lang_definitions` VALUES (85946, 30, 23, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (85947, 31, 23, 'Dört (4) Basamak Ağırlık Taşıyabilir:');
INSERT INTO `lang_definitions` VALUES (85948, 32, 23, 'Abn');
INSERT INTO `lang_definitions` VALUES (85949, 33, 23, 'ABN1');
INSERT INTO `lang_definitions` VALUES (85950, 34, 23, 'Anormal');
INSERT INTO `lang_definitions` VALUES (85951, 35, 23, 'Anormal kan testi');
INSERT INTO `lang_definitions` VALUES (85952, 36, 23, 'Anormal tüylenme');
INSERT INTO `lang_definitions` VALUES (85953, 37, 23, 'Anormal Mamografi filmi');
INSERT INTO `lang_definitions` VALUES (85954, 39, 23, 'Düşük');
INSERT INTO `lang_definitions` VALUES (85955, 40, 23, 'Düşük Konuları');
INSERT INTO `lang_definitions` VALUES (85956, 41, 23, 'Düşük Yöntemi');
INSERT INTO `lang_definitions` VALUES (85957, 42, 23, 'Düşük ile İlgili Kategoriler');
INSERT INTO `lang_definitions` VALUES (85958, 43, 23, 'Düşükler');
INSERT INTO `lang_definitions` VALUES (85959, 44, 23, 'Takvim Hakkında');
INSERT INTO `lang_definitions` VALUES (85960, 46, 23, 'Tanıya göre Devamsızlıklar');
INSERT INTO `lang_definitions` VALUES (85961, 47, 23, 'Görevi Kabul');
INSERT INTO `lang_definitions` VALUES (85962, 48, 23, 'İçin ödeme kabul');
INSERT INTO `lang_definitions` VALUES (85963, 49, 23, 'İçin Ödeme Kabul');
INSERT INTO `lang_definitions` VALUES (85964, 50, 23, 'Görevi Kabul Eder');
INSERT INTO `lang_definitions` VALUES (85965, 51, 23, 'Erişim Kontrolü');
INSERT INTO `lang_definitions` VALUES (85966, 52, 23, 'Erişim Kontrolü Listesi Yönetimi');
INSERT INTO `lang_definitions` VALUES (85967, 53, 23, 'Erişim tarihi');
INSERT INTO `lang_definitions` VALUES (85968, 54, 23, 'Erişime izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (85969, 55, 23, 'Erişme yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (85970, 56, 23, 'Hasta Kaydı Erişiminiz');
INSERT INTO `lang_definitions` VALUES (85971, 57, 23, 'Kaza');
INSERT INTO `lang_definitions` VALUES (85972, 59, 23, 'Hesap Adı');
INSERT INTO `lang_definitions` VALUES (85973, 62, 23, 'Muhasebe');
INSERT INTO `lang_definitions` VALUES (85974, 64, 23, 'Ağrıları');
INSERT INTO `lang_definitions` VALUES (85975, 65, 23, 'Alındı İsteniyor (ISA14)');
INSERT INTO `lang_definitions` VALUES (85976, 66, 23, 'Teşekkürler, Lisans ve Sertifikasyon');
INSERT INTO `lang_definitions` VALUES (85977, 67, 23, 'EKL');
INSERT INTO `lang_definitions` VALUES (85978, 68, 23, 'EKL Yönetimi');
INSERT INTO `lang_definitions` VALUES (85979, 69, 23, 'EKL Yönetimine İzin Verilmiyor');
INSERT INTO `lang_definitions` VALUES (85980, 70, 23, 'EKL başarı ile güncellendi');
INSERT INTO `lang_definitions` VALUES (85981, 71, 23, 'Akne');
INSERT INTO `lang_definitions` VALUES (85982, 72, 23, 'Resmi yazı');
INSERT INTO `lang_definitions` VALUES (85983, 73, 23, 'Resmi yazı tarihi');
INSERT INTO `lang_definitions` VALUES (85984, 74, 23, 'Eylem');
INSERT INTO `lang_definitions` VALUES (85985, 75, 23, 'Eylemler');
INSERT INTO `lang_definitions` VALUES (85986, 77, 23, 'CCR/CCD raporlamayı etkinleştir');
INSERT INTO `lang_definitions` VALUES (85987, 78, 23, 'Aktif');
INSERT INTO `lang_definitions` VALUES (85988, 79, 23, 'Etkin Uyarı');
INSERT INTO `lang_definitions` VALUES (85989, 80, 23, 'Etkin Uyarı Kralları');
INSERT INTO `lang_definitions` VALUES (85990, 81, 23, 'Etkin Uyarılar/Anımsatıcılar');
INSERT INTO `lang_definitions` VALUES (85991, 82, 23, 'Aktif görüşme');
INSERT INTO `lang_definitions` VALUES (85992, 84, 23, 'Aktif listeler');
INSERT INTO `lang_definitions` VALUES (85993, 85, 23, 'Aktif Hasta');
INSERT INTO `lang_definitions` VALUES (85994, 86, 23, 'Aktif Planlar');
INSERT INTO `lang_definitions` VALUES (85995, 87, 23, 'Aktivite');
INSERT INTO `lang_definitions` VALUES (85996, 88, 23, 'Aktivite Tipi');
INSERT INTO `lang_definitions` VALUES (85997, 90, 23, 'Akut Zehirlenme/Yoksunluk');
INSERT INTO `lang_definitions` VALUES (85998, 91, 23, 'Kronik hastalığın Akut Belirtileri');
INSERT INTO `lang_definitions` VALUES (85999, 92, 23, 'Kronik Alevlenmesi');
INSERT INTO `lang_definitions` VALUES (86000, 93, 23, 'ekle');
INSERT INTO `lang_definitions` VALUES (86001, 94, 23, 'Ekle');
INSERT INTO `lang_definitions` VALUES (86002, 95, 23, 'EKLE');
INSERT INTO `lang_definitions` VALUES (86003, 96, 23, 'Bir Şirket Ekle');
INSERT INTO `lang_definitions` VALUES (86004, 98, 23, 'Bir Eczane Ekle');
INSERT INTO `lang_definitions` VALUES (86005, 100, 23, 'için bir olay ekle ');
INSERT INTO `lang_definitions` VALUES (86006, 101, 23, 'Yeni bir not olarak ekle');
INSERT INTO `lang_definitions` VALUES (86007, 102, 23, 'Yeni Olarak Ekle');
INSERT INTO `lang_definitions` VALUES (86008, 104, 23, 'Ekle Düğmeleri');
INSERT INTO `lang_definitions` VALUES (86009, 105, 23, 'Özel karakterlerin, metinlerin bir tıklama ile metine eklenmeleri için editörün üst kısmında görülen düğmeler');
INSERT INTO `lang_definitions` VALUES (86010, 106, 23, 'Kategori Ekle');
INSERT INTO `lang_definitions` VALUES (86011, 107, 23, 'Sabit Ekle');
INSERT INTO `lang_definitions` VALUES (86012, 108, 23, 'İçerik Ekle');
INSERT INTO `lang_definitions` VALUES (86013, 109, 23, 'Katkı payı ekle');
INSERT INTO `lang_definitions` VALUES (86014, 110, 23, 'Kriter ekle');
INSERT INTO `lang_definitions` VALUES (86015, 111, 23, 'Özel Düğme Ekle');
INSERT INTO `lang_definitions` VALUES (86016, 112, 23, 'Tanı Ekle');
INSERT INTO `lang_definitions` VALUES (86017, 113, 23, 'İlaç Ekle');
INSERT INTO `lang_definitions` VALUES (86018, 114, 23, 'Görüşme Ekle');
INSERT INTO `lang_definitions` VALUES (86019, 115, 23, 'Görüşme/notlar ekle');
INSERT INTO `lang_definitions` VALUES (86020, 116, 23, 'Tesis Ekle');
INSERT INTO `lang_definitions` VALUES (86021, 117, 23, 'Alan Ekle');
INSERT INTO `lang_definitions` VALUES (86022, 118, 23, 'Aşağıdaki satırları Apache konfigürasyon dosyasına ekleyiniz.');
INSERT INTO `lang_definitions` VALUES (86023, 119, 23, 'Grup Ekle');
INSERT INTO `lang_definitions` VALUES (86024, 120, 23, 'ICD kodu Ekle');
INSERT INTO `lang_definitions` VALUES (86025, 121, 23, 'Aşılama Ekle');
INSERT INTO `lang_definitions` VALUES (86026, 122, 23, 'Eklemeye izin verilmiyor!');
INSERT INTO `lang_definitions` VALUES (86027, 123, 23, 'Konu Ekle');
INSERT INTO `lang_definitions` VALUES (86028, 124, 23, 'İzlenecek başlık ekleyin');
INSERT INTO `lang_definitions` VALUES (86029, 125, 23, 'Dil Ekle');
INSERT INTO `lang_definitions` VALUES (86030, 126, 23, 'Yeni Ekle');
INSERT INTO `lang_definitions` VALUES (86031, 127, 23, 'Yeni ekle');
INSERT INTO `lang_definitions` VALUES (86032, 128, 23, 'Yeni kategori ekle: ');
INSERT INTO `lang_definitions` VALUES (86033, 129, 23, 'Apache konfigürasyon dosyasına yeni sertifikalar ekle');
INSERT INTO `lang_definitions` VALUES (86034, 130, 23, 'Yeni bileşen ekle');
INSERT INTO `lang_definitions` VALUES (86035, 131, 23, 'Yeni bileşenler ekle');
INSERT INTO `lang_definitions` VALUES (86036, 132, 23, 'Yeni Grup Ekle');
INSERT INTO `lang_definitions` VALUES (86037, 133, 23, 'Yeni Konu Ekle');
INSERT INTO `lang_definitions` VALUES (86038, 134, 23, 'Yeni parti ve işlem ekle');
INSERT INTO `lang_definitions` VALUES (86039, 135, 23, 'Yeni Not Ekle');
INSERT INTO `lang_definitions` VALUES (86040, 136, 23, 'Yeni not ekle');
INSERT INTO `lang_definitions` VALUES (86041, 137, 23, 'Yeni Tedarikçi Ekle');
INSERT INTO `lang_definitions` VALUES (86042, 138, 23, 'Yeni Hasta Ekle');
INSERT INTO `lang_definitions` VALUES (86043, 140, 23, 'Not Ekle');
INSERT INTO `lang_definitions` VALUES (86044, 141, 23, 'Hasta Kaydı Ekle');
INSERT INTO `lang_definitions` VALUES (86045, 142, 23, 'Reçete Ekle');
INSERT INTO `lang_definitions` VALUES (86046, 143, 23, 'İşlem Ekle');
INSERT INTO `lang_definitions` VALUES (86047, 144, 23, 'Tedarikçi Numarası Ekle');
INSERT INTO `lang_definitions` VALUES (86048, 145, 23, 'Rehab Ekle');
INSERT INTO `lang_definitions` VALUES (86049, 146, 23, 'Kural Ekle');
INSERT INTO `lang_definitions` VALUES (86050, 147, 23, 'Eklenecek yer:');
INSERT INTO `lang_definitions` VALUES (86051, 148, 23, 'İlaç Listesine Ekle');
INSERT INTO `lang_definitions` VALUES (86052, 149, 23, 'En üst düzeye ekle');
INSERT INTO `lang_definitions` VALUES (86053, 150, 23, 'İşlem Ekle');
INSERT INTO `lang_definitions` VALUES (86054, 151, 23, 'Kullanıcı Ekle');
INSERT INTO `lang_definitions` VALUES (86055, 152, 23, 'Kullanıcıyı Gruba Ekle:');
INSERT INTO `lang_definitions` VALUES (86056, 153, 23, 'eReçete Ekle/Düzenle');
INSERT INTO `lang_definitions` VALUES (86057, 154, 23, 'Hasta İşlemi Ekle/Düzenle');
INSERT INTO `lang_definitions` VALUES (86058, 155, 23, 'eklendi');
INSERT INTO `lang_definitions` VALUES (86059, 156, 23, 'Demografi eklenmesine izin verilmiyor.');
INSERT INTO `lang_definitions` VALUES (86060, 157, 23, 'İzlenecek başlık eklenmesi başarısız oldu');
INSERT INTO `lang_definitions` VALUES (86061, 158, 23, 'Addison Sendromu');
INSERT INTO `lang_definitions` VALUES (86062, 159, 23, 'Addison Sendromu');
INSERT INTO `lang_definitions` VALUES (86063, 160, 23, 'Ek Nitelikler');
INSERT INTO `lang_definitions` VALUES (86064, 161, 23, 'Ek Tanı:');
INSERT INTO `lang_definitions` VALUES (86065, 162, 23, 'Ek Öykü');
INSERT INTO `lang_definitions` VALUES (86066, 163, 23, 'Ek öykü notları');
INSERT INTO `lang_definitions` VALUES (86067, 164, 23, 'Ek Bilgi');
INSERT INTO `lang_definitions` VALUES (86068, 165, 23, 'Ek Laboratuvarlar');
INSERT INTO `lang_definitions` VALUES (86069, 166, 23, 'Ek Notlar');
INSERT INTO `lang_definitions` VALUES (86070, 167, 23, 'Bu sonuç veya öneri için ek notlar');
INSERT INTO `lang_definitions` VALUES (86071, 168, 23, 'Ek Notlar:');
INSERT INTO `lang_definitions` VALUES (86072, 169, 23, 'Ek Notlar: ');
INSERT INTO `lang_definitions` VALUES (86073, 170, 23, 'Ek Röntgen filmi Notları:');
INSERT INTO `lang_definitions` VALUES (86074, 171, 23, 'Ek olarak, ilgili Somed uzantısı paketi uluslararası (İngilizce versiyon) Snomed Sürümünü kurduktan sonra ayrıca eklenebilir.');
INSERT INTO `lang_definitions` VALUES (86075, 172, 23, 'sadece eklenir');
INSERT INTO `lang_definitions` VALUES (86076, 173, 23, 'Adres Def');
INSERT INTO `lang_definitions` VALUES (86077, 174, 23, 'Adres Defteri');
INSERT INTO `lang_definitions` VALUES (86078, 175, 23, 'Adres');
INSERT INTO `lang_definitions` VALUES (86079, 178, 23, 'Adres Defteri');
INSERT INTO `lang_definitions` VALUES (86080, 179, 23, 'Bu işlemi yapan şirketin adres defteri kaydı');
INSERT INTO `lang_definitions` VALUES (86081, 180, 23, 'Distribütör için adres girdisi');
INSERT INTO `lang_definitions` VALUES (86082, 181, 23, 'Satıcının adres defteri kaydı');
INSERT INTO `lang_definitions` VALUES (86083, 182, 23, 'Adres Defteri Tipleri');
INSERT INTO `lang_definitions` VALUES (86084, 183, 23, 'Adres Etiketi');
INSERT INTO `lang_definitions` VALUES (86085, 187, 23, 'Adres1');
INSERT INTO `lang_definitions` VALUES (86086, 188, 23, 'Adres2');
INSERT INTO `lang_definitions` VALUES (86087, 189, 23, 'ALACAK OLAN');
INSERT INTO `lang_definitions` VALUES (86088, 190, 23, 'Dzn');
INSERT INTO `lang_definitions` VALUES (86089, 191, 23, 'Düzeltilmiş Miktar');
INSERT INTO `lang_definitions` VALUES (86090, 192, 23, 'Düzenle');
INSERT INTO `lang_definitions` VALUES (86091, 193, 23, 'Düzenleme');
INSERT INTO `lang_definitions` VALUES (86092, 194, 23, 'Düzeltilen miktar');
INSERT INTO `lang_definitions` VALUES (86093, 195, 23, 'Düzenleme Nedenleri');
INSERT INTO `lang_definitions` VALUES (86094, 196, 23, 'Kaynak için düzenleme değeri ');
INSERT INTO `lang_definitions` VALUES (86095, 197, 23, 'Düzenlemeler');
INSERT INTO `lang_definitions` VALUES (86096, 198, 23, 'Yntm düzenle');
INSERT INTO `lang_definitions` VALUES (86097, 199, 23, 'Yönetici');
INSERT INTO `lang_definitions` VALUES (86098, 200, 23, 'Yönetim Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (86099, 201, 23, 'Yönetim Yolu:');
INSERT INTO `lang_definitions` VALUES (86100, 202, 23, 'Yönetildi');
INSERT INTO `lang_definitions` VALUES (86101, 203, 23, 'Yöneten:');
INSERT INTO `lang_definitions` VALUES (86102, 204, 23, 'Uygulandığı tarih');
INSERT INTO `lang_definitions` VALUES (86103, 205, 23, 'Uygulandığı Yer');
INSERT INTO `lang_definitions` VALUES (86104, 206, 23, 'Yönetim');
INSERT INTO `lang_definitions` VALUES (86105, 207, 23, 'Uygulama Yeri');
INSERT INTO `lang_definitions` VALUES (86106, 208, 23, 'Yöneticiler');
INSERT INTO `lang_definitions` VALUES (86107, 209, 23, 'Yöneticiler her şeyi yapabilir.');
INSERT INTO `lang_definitions` VALUES (86108, 210, 23, 'Kabul tarihi');
INSERT INTO `lang_definitions` VALUES (86109, 212, 23, 'Erişkin Ağırlık Tarama ve İzlemi');
INSERT INTO `lang_definitions` VALUES (86110, 213, 23, 'Erişkin Ağırlık Tarama ve İzlemi (KYM)');
INSERT INTO `lang_definitions` VALUES (86111, 214, 23, 'Avans Yönergesi');
INSERT INTO `lang_definitions` VALUES (86112, 215, 23, 'Avans Yönergeleri');
INSERT INTO `lang_definitions` VALUES (86113, 216, 23, 'Avans Yönergeleri Uyarısı');
INSERT INTO `lang_definitions` VALUES (86114, 218, 23, 'İleri');
INSERT INTO `lang_definitions` VALUES (86115, 219, 23, 'Tavsiye');
INSERT INTO `lang_definitions` VALUES (86116, 220, 23, 'Uzaktan');
INSERT INTO `lang_definitions` VALUES (86117, 221, 23, 'Normal affekt');
INSERT INTO `lang_definitions` VALUES (86118, 222, 23, 'Afrikaca');
INSERT INTO `lang_definitions` VALUES (86119, 223, 23, 'saat icap sonrası');
INSERT INTO `lang_definitions` VALUES (86120, 224, 23, 'Şifrelerin kullanıcı tablosunda saklandığı eski şifre yönteminden geçiş yaotıktan sonra sadece yeni yöntem ile kimlik doğrulamasının yapılabilmesi için bu bayrak false olarak işaretlenmelidir');
INSERT INTO `lang_definitions` VALUES (86121, 225, 23, 'Yukarıdaki konfigürasyonu uyguladıktan sonra yönetici müşterisi sertifikasını tarayıcıya ekleyiniz ve Apache sunucusunu (boş şifre ile) tekrar başlatınız.');
INSERT INTO `lang_definitions` VALUES (86122, 226, 23, 'PDF yi kaydettikten sonra hataları kontrol etmek için [Kaydı Gör] ü tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86123, 227, 23, 'TEXT dosyalarını kaydettikten sonra hataları kontrol etmek için [Kaydı Gör] ü tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86124, 228, 23, 'BAT dosyanızı kaydettikten sonra hataları kontrol etmek için [Kaydı Gör] ü tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86125, 229, 23, 'Ondan sonra uyum sütununda hasta kimlik numarası veya yenisinin oluşturulması için 0 görülür.');
INSERT INTO `lang_definitions` VALUES (86126, 230, 23, 'Bilgi doğru olarak girildikten sonra Kaydet düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (86127, 231, 23, 'Yükledikten sonra \"İçe Aktar\" düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (86128, 232, 23, 'Sonraki Bakım Planlaması');
INSERT INTO `lang_definitions` VALUES (86129, 233, 23, 'Tekrar');
INSERT INTO `lang_definitions` VALUES (86130, 234, 23, 'Yaş');
INSERT INTO `lang_definitions` VALUES (86131, 235, 23, 'Yaşı :');
INSERT INTO `lang_definitions` VALUES (86132, 236, 23, 'Yaş Kategorisi');
INSERT INTO `lang_definitions` VALUES (86133, 237, 23, 'Yaş verisi erim dışında');
INSERT INTO `lang_definitions` VALUES (86134, 238, 23, 'Yaş gösteriliş kalıbı');
INSERT INTO `lang_definitions` VALUES (86135, 239, 23, '\"yaşından itibaren\" Yaş kalıbı geçerli değil');
INSERT INTO `lang_definitions` VALUES (86136, 240, 23, '\"yaşına kadar\" Yaş kalıbı geçerli değil');
INSERT INTO `lang_definitions` VALUES (86137, 241, 23, 'Yaşından İtibaren');
INSERT INTO `lang_definitions` VALUES (86138, 242, 23, 'Yıl olarak Yaş görüntü kalıbı değişimi');
INSERT INTO `lang_definitions` VALUES (86139, 243, 23, 'Maksimum yaş');
INSERT INTO `lang_definitions` VALUES (86140, 244, 23, 'Minimum yaş');
INSERT INTO `lang_definitions` VALUES (86141, 245, 23, 'Yaş Dağılımı');
INSERT INTO `lang_definitions` VALUES (86142, 247, 23, 'Yaşlanma Sütunları:');
INSERT INTO `lang_definitions` VALUES (86143, 248, 23, 'Gana/Fildişi Akan etnisitesi');
INSERT INTO `lang_definitions` VALUES (86144, 249, 23, 'Arnavut');
INSERT INTO `lang_definitions` VALUES (86145, 250, 23, 'Alkol');
INSERT INTO `lang_definitions` VALUES (86146, 251, 23, 'Alkol tüketimi');
INSERT INTO `lang_definitions` VALUES (86147, 252, 23, 'Alkol Kullanımı');
INSERT INTO `lang_definitions` VALUES (86148, 253, 23, 'Uyarı Sayısı');
INSERT INTO `lang_definitions` VALUES (86149, 255, 23, 'Uyarılar');
INSERT INTO `lang_definitions` VALUES (86150, 258, 23, 'Aleut');
INSERT INTO `lang_definitions` VALUES (86151, 259, 23, 'Hepsi');
INSERT INTO `lang_definitions` VALUES (86152, 260, 23, 'HEPSİ');
INSERT INTO `lang_definitions` VALUES (86153, 261, 23, 'Hepsi (A formatına harmanlanmış)');
INSERT INTO `lang_definitions` VALUES (86154, 262, 23, 'Hepsi (B formatına harmanlanmış)');
INSERT INTO `lang_definitions` VALUES (86155, 263, 23, 'Hepsi (Kümülatif)');
INSERT INTO `lang_definitions` VALUES (86156, 265, 23, 'Tüm Otomatik Ölçüm Hesaplamaları');
INSERT INTO `lang_definitions` VALUES (86157, 266, 23, 'Tüm Kategoriler');
INSERT INTO `lang_definitions` VALUES (86158, 267, 23, 'Tüm Klinik Kalite Ölçümleri');
INSERT INTO `lang_definitions` VALUES (86159, 268, 23, 'Tüm Kodlar');
INSERT INTO `lang_definitions` VALUES (86160, 269, 23, 'Bütün Gün');
INSERT INTO `lang_definitions` VALUES (86161, 270, 23, 'Tüm gün süren bir olay');
INSERT INTO `lang_definitions` VALUES (86162, 271, 23, 'Tüm demografik alanlar, arama ve çiftleşme kontrolü ile');
INSERT INTO `lang_definitions` VALUES (86163, 272, 23, 'Tüm Tesisler');
INSERT INTO `lang_definitions` VALUES (86164, 273, 23, 'Tüm yaralanmalar/Sorunlar/Konular');
INSERT INTO `lang_definitions` VALUES (86165, 274, 23, 'Tüm Dillere İzin Verilir');
INSERT INTO `lang_definitions` VALUES (86166, 275, 23, 'Tüm Klinik Kalite Ölçüleri Ölçü Grupları');
INSERT INTO `lang_definitions` VALUES (86167, 276, 23, 'İsminin tamamı veya bir kısmı');
INSERT INTO `lang_definitions` VALUES (86168, 277, 23, 'Soyadının tamamı veya bir kısmı');
INSERT INTO `lang_definitions` VALUES (86169, 278, 23, 'Organizasyonun tamamı veya bir kısmı');
INSERT INTO `lang_definitions` VALUES (86170, 279, 23, 'Tüm Hastalar');
INSERT INTO `lang_definitions` VALUES (86171, 280, 23, 'Tüm ürünler');
INSERT INTO `lang_definitions` VALUES (86172, 281, 23, 'Tüm Tedarikçiler');
INSERT INTO `lang_definitions` VALUES (86173, 282, 23, 'Tüm Gözden Geçirilmiş ve Negatif:');
INSERT INTO `lang_definitions` VALUES (86174, 283, 23, 'Tüm Konular');
INSERT INTO `lang_definitions` VALUES (86175, 284, 23, 'Tüm Kullanıcılar');
INSERT INTO `lang_definitions` VALUES (86176, 285, 23, 'Alerjik');
INSERT INTO `lang_definitions` VALUES (86177, 286, 23, 'Alerjiler');
INSERT INTO `lang_definitions` VALUES (86178, 287, 23, 'Alerjiler:');
INSERT INTO `lang_definitions` VALUES (86179, 288, 23, 'Alerji');
INSERT INTO `lang_definitions` VALUES (86180, 289, 23, 'Allerji bilgisi başarı ile alındı.');
INSERT INTO `lang_definitions` VALUES (86181, 290, 23, 'Allerji Konuları Listesi');
INSERT INTO `lang_definitions` VALUES (86182, 291, 23, 'Alerji Reaksiyonu');
INSERT INTO `lang_definitions` VALUES (86183, 294, 23, 'Yer Ayır');
INSERT INTO `lang_definitions` VALUES (86184, 295, 23, 'İzin verin');
INSERT INTO `lang_definitions` VALUES (86185, 296, 23, 'Girişte menüde seçenek olarak mevcut tüm dillere izin verin');
INSERT INTO `lang_definitions` VALUES (86186, 297, 23, 'Tanıları içeren fakat işlemleri veya ücretleri içermeyen faturalandırmaya izin verin. Çoğu klinik bunu istemez.');
INSERT INTO `lang_definitions` VALUES (86187, 298, 23, 'Debugging diline izin verin');
INSERT INTO `lang_definitions` VALUES (86188, 299, 23, 'Epostaya izin verin');
INSERT INTO `lang_definitions` VALUES (86189, 300, 23, 'Eposta mesajlarına izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (86190, 301, 23, 'Epostaya izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (86191, 302, 23, 'Vizit Başı Faturalandırmaya izin verilsin');
INSERT INTO `lang_definitions` VALUES (86192, 303, 23, 'Sağlık Bilgisi Değişimine İzin Verilsin');
INSERT INTO `lang_definitions` VALUES (86193, 304, 23, 'Aşı Bilgisi Paylaşımına İzin Verilsin');
INSERT INTO `lang_definitions` VALUES (86194, 305, 23, 'Aşı Kayıtları Kullanımına İzin verilsin');
INSERT INTO `lang_definitions` VALUES (86195, 306, 23, 'posta mesajına izin verilsin');
INSERT INTO `lang_definitions` VALUES (86196, 308, 23, 'Hasta Portaline İzin verilsin');
INSERT INTO `lang_definitions` VALUES (86197, 309, 23, 'SMS e izin verilsin');
INSERT INTO `lang_definitions` VALUES (86198, 310, 23, 'SMS (tekst mesajlarına) izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (86199, 311, 23, 'İletilen olayların derhal aktif olmasına izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (86200, 312, 23, 'Telefon mesajlarına izin verilsin mi?');
INSERT INTO `lang_definitions` VALUES (86201, 313, 23, 'Kullanıcıların Herkese Olay yayınlamasına izin verilsin');
INSERT INTO `lang_definitions` VALUES (86202, 314, 23, 'Kullanıcıların Kişisel Takvim yayınlamasına izin verilsin');
INSERT INTO `lang_definitions` VALUES (86203, 315, 23, 'Ses Mesajına izin verilsin');
INSERT INTO `lang_definitions` VALUES (86204, 316, 23, 'İzin verildi');
INSERT INTO `lang_definitions` VALUES (86205, 317, 23, 'İzin verilen Diller');
INSERT INTO `lang_definitions` VALUES (86206, 318, 23, 'İzin verilmiş(c)');
INSERT INTO `lang_definitions` VALUES (86207, 319, 23, 'Tüm görüşmenin E-imza ile imzalanmasına müsaade eder');
INSERT INTO `lang_definitions` VALUES (86208, 320, 23, 'Tek tek formların E-imza ile imzalanmasına müsaade eder');
INSERT INTO `lang_definitions` VALUES (86209, 321, 23, 'Postaya izin verir');
INSERT INTO `lang_definitions` VALUES (86210, 322, 23, 'Ses Mesajına izin verir');
INSERT INTO `lang_definitions` VALUES (86211, 323, 23, 'önceden var.');
INSERT INTO `lang_definitions` VALUES (86212, 324, 23, 'önceden var.');
INSERT INTO `lang_definitions` VALUES (86213, 325, 23, 'Önceden kullanıldı, farklı bir tanımlayıcı seçiniz');
INSERT INTO `lang_definitions` VALUES (86214, 326, 23, 'Önceden kullanıldı, farklı bir başlık seçiniz');
INSERT INTO `lang_definitions` VALUES (86215, 327, 23, 'Adres değ');
INSERT INTO `lang_definitions` VALUES (86216, 328, 23, 'değiştir');
INSERT INTO `lang_definitions` VALUES (86217, 329, 23, 'Alternatif olarak takas veya borçlunuzdan aldığınız elektronik havale (X12 835) dosyasını yüklemek için arama sayfasını kullanabilirsiniz. Bunu yapabilmek için Araştır düğmesini tıklayın ve yükleyeceğiniz dosyayı seçin. Daha sonra Seç düğmesini tıklayın ve ilgili faturaları görüntüleyip yüklemeyi bitirin. Bu durumda yukarıda bahsedilen parametreler uygulanmaz. Yüklemek dosyayı kaydeder ama içeriğini işlemden geçirmez.--bu iş aşağıda ayrıca anlatılmıştır.');
INSERT INTO `lang_definitions` VALUES (86218, 330, 23, 'ÖÖ');
INSERT INTO `lang_definitions` VALUES (86219, 331, 23, 'ÖÖ Programı');
INSERT INTO `lang_definitions` VALUES (86220, 332, 23, 'Otomatik Ölçüm Hesapları');
INSERT INTO `lang_definitions` VALUES (86221, 333, 23, 'Otomatik Ölçüm Hesapları İzleme');
INSERT INTO `lang_definitions` VALUES (86222, 334, 23, 'Otomatik Ölçüm Hesapları 2011');
INSERT INTO `lang_definitions` VALUES (86223, 335, 23, 'Otomatik Ölçüm Hesapları 2014');
INSERT INTO `lang_definitions` VALUES (86224, 338, 23, 'Mevcut Notu Düzelt');
INSERT INTO `lang_definitions` VALUES (86225, 339, 23, 'Düzeltma Formu');
INSERT INTO `lang_definitions` VALUES (86226, 340, 23, 'Düzeltme Durumu');
INSERT INTO `lang_definitions` VALUES (86227, 341, 23, 'Değişiklikler');
INSERT INTO `lang_definitions` VALUES (86228, 342, 23, 'Değişiklik yapılan:');
INSERT INTO `lang_definitions` VALUES (86229, 343, 23, 'Kızılderili');
INSERT INTO `lang_definitions` VALUES (86230, 344, 23, 'Kızılderili veya Alaska Yerlisi');
INSERT INTO `lang_definitions` VALUES (86231, 345, 23, 'AMEX');
INSERT INTO `lang_definitions` VALUES (86232, 346, 23, 'Amharik');
INSERT INTO `lang_definitions` VALUES (86233, 347, 23, 'Miktar');
INSERT INTO `lang_definitions` VALUES (86234, 348, 23, 'Uygulanan Miktar');
INSERT INTO `lang_definitions` VALUES (86235, 349, 23, 'Ücretler Miktarı');
INSERT INTO `lang_definitions` VALUES (86236, 350, 23, 'Geçmiş Bakiye Miktarı');
INSERT INTO `lang_definitions` VALUES (86237, 351, 23, 'Bu Vizite Miktarı');
INSERT INTO `lang_definitions` VALUES (86238, 352, 23, 'Ödenen Miktar');
INSERT INTO `lang_definitions` VALUES (86239, 353, 23, 'Miktar:');
INSERT INTO `lang_definitions` VALUES (86240, 354, 23, 'Fatura edilen miktar');
INSERT INTO `lang_definitions` VALUES (86241, 355, 23, 'Tekrarlanan olaylar için bitiş tarihinin başlangıç tarihinden daha sonra olması gerekir');
INSERT INTO `lang_definitions` VALUES (86242, 356, 23, 'Form imzalanırken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (86243, 357, 23, 'ÖzgürETK web dizin ağacı dökümü yapılır iken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (86244, 358, 23, 'phpGACL web dizin ağacı dökümü yapılır iken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (86245, 359, 23, 'SQL-Defter-i-Kebir web dizin ağacı dökümü yapılır iken bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (86246, 360, 23, 'Tam olmayan bir GCAC konusu oluşturuldu ve link edildi. Daha sonra birisinin tamamlaması gerekiyor.');
INSERT INTO `lang_definitions` VALUES (86247, 362, 23, 'Beklenmeyen bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (86248, 363, 23, 'Bir büyük harf');
INSERT INTO `lang_definitions` VALUES (86249, 365, 23, 'Ve');
INSERT INTO `lang_definitions` VALUES (86250, 366, 23, 'VE');
INSERT INTO `lang_definitions` VALUES (86251, 367, 23, 've');
INSERT INTO `lang_definitions` VALUES (86252, 368, 23, 've ');
INSERT INTO `lang_definitions` VALUES (86253, 369, 23, 've tüm bağlı verilerde mi? Bu işlem kaydedilecek.');
INSERT INTO `lang_definitions` VALUES (86254, 370, 23, 've değiştirici.');
INSERT INTO `lang_definitions` VALUES (86255, 371, 23, 've işlendi');
INSERT INTO `lang_definitions` VALUES (86256, 372, 23, 've Apache sunucusunu tekrar başlatınız.');
INSERT INTO `lang_definitions` VALUES (86257, 373, 23, 'sebep:');
INSERT INTO `lang_definitions` VALUES (86258, 374, 23, 'Anemi');
INSERT INTO `lang_definitions` VALUES (86259, 375, 23, 'Ayak bileği');
INSERT INTO `lang_definitions` VALUES (86260, 376, 23, 'Ayak bileği + topuk');
INSERT INTO `lang_definitions` VALUES (86261, 377, 23, 'Ayak bileği Değerlendirme Formu');
INSERT INTO `lang_definitions` VALUES (86262, 378, 23, 'Ayak bileği Sorunları');
INSERT INTO `lang_definitions` VALUES (86263, 379, 23, 'Ankilozan Spondilit');
INSERT INTO `lang_definitions` VALUES (86264, 380, 23, 'Ankilozan Spondilit');
INSERT INTO `lang_definitions` VALUES (86265, 381, 23, 'Anoreksi');
INSERT INTO `lang_definitions` VALUES (86266, 382, 23, 'Gönderme penceresinde yapabileceğiniz bir diğer şey ikinci faturalandırma istemektir. Eğer kaydetmeden önce bu kutuyu işaretlerseniz, izleyen faturalandırma programı çalıştırılmasında orijinal fatura tekrar açılır ve tekrar işlenmek üzere Faturalandırma sayfası kuyruğuna eklenir');
INSERT INTO `lang_definitions` VALUES (86267, 383, 23, 'önce');
INSERT INTO `lang_definitions` VALUES (86268, 384, 23, 'Anüs normal, rektal hassasiyet/kitle yok');
INSERT INTO `lang_definitions` VALUES (86269, 385, 23, 'Anksiyete');
INSERT INTO `lang_definitions` VALUES (86270, 386, 23, 'Herhangi bir');
INSERT INTO `lang_definitions` VALUES (86271, 387, 23, 'Herhangi bir Kategori');
INSERT INTO `lang_definitions` VALUES (86272, 388, 23, 'İstenen kodun herhangi bir parçası veya tanımı');
INSERT INTO `lang_definitions` VALUES (86273, 389, 23, 'İstenen uzmanlığın herhangi bir parçası');
INSERT INTO `lang_definitions` VALUES (86274, 390, 23, 'İlaç ismi veya ilaç kimliğinin herhangi bir parçası');
INSERT INTO `lang_definitions` VALUES (86275, 391, 23, 'Aşı kimliği veya aşı isminin herhangi bir parçası');
INSERT INTO `lang_definitions` VALUES (86276, 392, 23, 'Hasta isminin herhangi bir parçası, veya \"ad,soyad\", veya \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (86277, 393, 23, 'İlgili diğer tüm bilgiler');
INSERT INTO `lang_definitions` VALUES (86278, 394, 23, 'SMS için API anahtarı');
INSERT INTO `lang_definitions` VALUES (86279, 395, 23, 'Apne');
INSERT INTO `lang_definitions` VALUES (86280, 396, 23, 'Görünüm');
INSERT INTO `lang_definitions` VALUES (86281, 397, 23, 'Görünüm:');
INSERT INTO `lang_definitions` VALUES (86282, 398, 23, 'Bu notu ekle');
INSERT INTO `lang_definitions` VALUES (86283, 399, 23, 'Mevcut nota ekle');
INSERT INTO `lang_definitions` VALUES (86284, 400, 23, 'Bu nota ekle');
INSERT INTO `lang_definitions` VALUES (86285, 401, 23, 'Bu Nota Ekle');
INSERT INTO `lang_definitions` VALUES (86286, 402, 23, 'Apendektomi');
INSERT INTO `lang_definitions` VALUES (86287, 403, 23, 'apendektomi');
INSERT INTO `lang_definitions` VALUES (86288, 404, 23, 'Uygulanabilir Hastalar');
INSERT INTO `lang_definitions` VALUES (86289, 405, 23, 'Uygulama');
INSERT INTO `lang_definitions` VALUES (86290, 406, 23, 'Giriş sayfası ve ana pencere başlığı için uygulama ismi');
INSERT INTO `lang_definitions` VALUES (86291, 407, 23, 'Uygulama alıcı kodu (GS03- boş ise ISA08 kullanılacaktır.)');
INSERT INTO `lang_definitions` VALUES (86292, 408, 23, 'Uygulama Gönderici Kodu (GS02)');
INSERT INTO `lang_definitions` VALUES (86293, 409, 23, 'Uygulama Başlığı');
INSERT INTO `lang_definitions` VALUES (86294, 410, 23, 'ANT formu ve Büyüme Çizelgesine Uygulanır');
INSERT INTO `lang_definitions` VALUES (86295, 411, 23, 'Vital Bulgulara uygulanır formu');
INSERT INTO `lang_definitions` VALUES (86296, 412, 23, 'Değişiklikler sadece burada mı yoksa bu ve benzeri tüm durumlarda mı uygulansın?');
INSERT INTO `lang_definitions` VALUES (86297, 413, 23, 'etkilenmiş alana uygulayın');
INSERT INTO `lang_definitions` VALUES (86298, 414, 23, 'cilde uygulayın');
INSERT INTO `lang_definitions` VALUES (86299, 415, 23, 'Uygulanıyor');
INSERT INTO `lang_definitions` VALUES (86300, 416, 23, 'Siteye yama uygulanıyor');
INSERT INTO `lang_definitions` VALUES (86301, 417, 23, 'Randevu');
INSERT INTO `lang_definitions` VALUES (86302, 418, 23, 'Randevu Tarihi');
INSERT INTO `lang_definitions` VALUES (86303, 419, 23, 'Randevu Görüntüleme Stili');
INSERT INTO `lang_definitions` VALUES (86304, 420, 23, 'Randevu Hatırlatma Kuralı');
INSERT INTO `lang_definitions` VALUES (86305, 421, 23, 'Randevu durumu');
INSERT INTO `lang_definitions` VALUES (86306, 422, 23, 'Randevu Durumları');
INSERT INTO `lang_definitions` VALUES (86307, 423, 23, 'Randevuya kalan zaman:');
INSERT INTO `lang_definitions` VALUES (86308, 424, 23, 'Randevu/Olay Rengi');
INSERT INTO `lang_definitions` VALUES (86309, 425, 23, 'Randevular');
INSERT INTO `lang_definitions` VALUES (86310, 426, 23, 'Randevular (yazma seçmeli)');
INSERT INTO `lang_definitions` VALUES (86311, 427, 23, 'Randevular (yazma)');
INSERT INTO `lang_definitions` VALUES (86312, 430, 23, 'Randevular ve görüşmelar');
INSERT INTO `lang_definitions` VALUES (86313, 431, 23, 'Randevu Raporu');
INSERT INTO `lang_definitions` VALUES (86314, 432, 23, 'Randevu-görüşme Raporu');
INSERT INTO `lang_definitions` VALUES (86315, 434, 23, 'Onama');
INSERT INTO `lang_definitions` VALUES (86316, 435, 23, 'Hastayı Hasta/Müşteri->içe aktar->Bekleyen onaylarda onaylayınız');
INSERT INTO `lang_definitions` VALUES (86317, 436, 23, 'Onaylandı');
INSERT INTO `lang_definitions` VALUES (86318, 437, 23, 'Onaylanmış Olaylar Yönetimi');
INSERT INTO `lang_definitions` VALUES (86319, 438, 23, 'Başarı ile onaylandı');
INSERT INTO `lang_definitions` VALUES (86320, 440, 23, 'Gör-Rand');
INSERT INTO `lang_definitions` VALUES (86321, 441, 23, 'Randevular');
INSERT INTO `lang_definitions` VALUES (86322, 442, 23, 'Nis');
INSERT INTO `lang_definitions` VALUES (86323, 443, 23, 'Nisan');
INSERT INTO `lang_definitions` VALUES (86324, 444, 23, 'Arapça');
INSERT INTO `lang_definitions` VALUES (86325, 445, 23, 'Aragonca');
INSERT INTO `lang_definitions` VALUES (86326, 446, 23, 'Arşiv');
INSERT INTO `lang_definitions` VALUES (86327, 447, 23, 'Erişim kontrol grup isimleri tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (86328, 448, 23, 'Randevu kategori isimleri tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (86329, 449, 23, 'Belge kategori isimleri tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (86330, 450, 23, 'Bu tip ücretlendirilecek mi?');
INSERT INTO `lang_definitions` VALUES (86331, 451, 23, 'Hasta not başlıkları tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (86332, 452, 23, 'Kodlar dış sql tablolarında kayıtlı mı? (0-Hayır 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))');
INSERT INTO `lang_definitions` VALUES (86333, 453, 23, 'Bu vizit için yeni bir GCAC konusu doldurmaya hazırlıklı mısın?');
INSERT INTO `lang_definitions` VALUES (86334, 454, 23, 'Bugün göndermek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86335, 455, 23, 'Bu olayları onaylamak istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86336, 457, 23, 'Bu formu tamamen silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86337, 458, 23, 'Silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86338, 459, 23, 'Bu açıklamayı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86339, 460, 23, 'Bu olayı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86340, 461, 23, 'Bu maddeyi veritabanından silmek istediğinize emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86341, 462, 23, 'Bu notu silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86342, 464, 23, 'Bu olayları düzenlemek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86343, 465, 23, 'Bu olayları gizlemek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86344, 466, 23, 'Tekrar göndermek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86345, 467, 23, 'Bu olayları görmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86346, 468, 23, 'Grubun tamamını silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86347, 469, 23, 'Bütün listeyi silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86348, 470, 23, 'Alanı silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86349, 471, 23, 'Seçilmiş alanları silmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86350, 472, 23, 'Bu işlemlere devam etmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (86351, 473, 23, 'Alan tanımlanmamış');
INSERT INTO `lang_definitions` VALUES (86352, 474, 23, 'Kol');
INSERT INTO `lang_definitions` VALUES (86353, 475, 23, 'Ermenice');
INSERT INTO `lang_definitions` VALUES (86354, 477, 23, 'Aritmi');
INSERT INTO `lang_definitions` VALUES (86355, 478, 23, 'Artrit');
INSERT INTO `lang_definitions` VALUES (86356, 479, 23, 'Artrit /eklem hastalığı');
INSERT INTO `lang_definitions` VALUES (86357, 480, 23, 'Artrit /eklem hastalığı');
INSERT INTO `lang_definitions` VALUES (86358, 481, 23, 'gibi');
INSERT INTO `lang_definitions` VALUES (86359, 482, 23, 'olarak');
INSERT INTO `lang_definitions` VALUES (86360, 483, 23, 'ASC');
INSERT INTO `lang_definitions` VALUES (86361, 484, 23, 'Asyalı');
INSERT INTO `lang_definitions` VALUES (86362, 485, 23, 'Assamca');
INSERT INTO `lang_definitions` VALUES (86363, 487, 23, 'Değerlendirme');
INSERT INTO `lang_definitions` VALUES (86364, 488, 23, 'Atanmış:');
INSERT INTO `lang_definitions` VALUES (86365, 489, 23, 'Asistan');
INSERT INTO `lang_definitions` VALUES (86366, 490, 23, 'Astım');
INSERT INTO `lang_definitions` VALUES (86367, 491, 23, 'de');
INSERT INTO `lang_definitions` VALUES (86368, 492, 23, 'Hepsini seçer iseniz en azından bir araştırma parametresi gereklidir.');
INSERT INTO `lang_definitions` VALUES (86369, 493, 23, 'Navikülerde');
INSERT INTO `lang_definitions` VALUES (86370, 494, 23, 'Navikülerde:');
INSERT INTO `lang_definitions` VALUES (86371, 495, 23, 'Atletizm takımı');
INSERT INTO `lang_definitions` VALUES (86372, 496, 23, 'Atletizm takımı');
INSERT INTO `lang_definitions` VALUES (86373, 497, 23, 'Atletizm/Zedelenme');
INSERT INTO `lang_definitions` VALUES (86374, 498, 23, 'Güvenli iletişim CA sertifika denetimi');
INSERT INTO `lang_definitions` VALUES (86375, 499, 23, 'Güvenli iletişim denetimi sunucusu');
INSERT INTO `lang_definitions` VALUES (86376, 500, 23, 'Güvenli iletişim denetimi yerel sertifika');
INSERT INTO `lang_definitions` VALUES (86377, 501, 23, 'Güvenli iletişim denetimi portu');
INSERT INTO `lang_definitions` VALUES (86378, 503, 23, 'Dikkat');
INSERT INTO `lang_definitions` VALUES (86379, 504, 23, 'Dikkat');
INSERT INTO `lang_definitions` VALUES (86380, 506, 23, 'Klinik Karar Kuralları Algoritmaları Denetimi');
INSERT INTO `lang_definitions` VALUES (86381, 507, 23, 'Kurcalanma Kütüğü Denetimi');
INSERT INTO `lang_definitions` VALUES (86382, 508, 23, 'Kurcalanma Kütüğü Raporu Denetimi');
INSERT INTO `lang_definitions` VALUES (86383, 509, 23, 'Denetim Kaydı Yedekleri');
INSERT INTO `lang_definitions` VALUES (86384, 510, 23, 'Denetim Kaydı Çeşitli');
INSERT INTO `lang_definitions` VALUES (86385, 511, 23, 'Denetim Kaydı Sırası');
INSERT INTO `lang_definitions` VALUES (86386, 512, 23, 'Denetim Kaydı Hasta Raporu');
INSERT INTO `lang_definitions` VALUES (86387, 513, 23, 'Denetim Kaydı Zamanlaması');
INSERT INTO `lang_definitions` VALUES (86388, 514, 23, 'Denetim Kaydı Güvenlik Yönetimi');
INSERT INTO `lang_definitions` VALUES (86389, 515, 23, 'Denetim Kaydı SEÇ Sorgusu');
INSERT INTO `lang_definitions` VALUES (86390, 516, 23, 'Ağu');
INSERT INTO `lang_definitions` VALUES (86391, 517, 23, 'Ağustos');
INSERT INTO `lang_definitions` VALUES (86392, 519, 23, 'Yazan');
INSERT INTO `lang_definitions` VALUES (86393, 520, 23, 'Yaz/notlar');
INSERT INTO `lang_definitions` VALUES (86394, 523, 23, 'Yetkilendirme grubu');
INSERT INTO `lang_definitions` VALUES (86395, 524, 23, 'Yetkilendirme durumu');
INSERT INTO `lang_definitions` VALUES (86396, 525, 23, 'Yetkilendirmeler');
INSERT INTO `lang_definitions` VALUES (86397, 526, 23, 'Yetkilendirmek');
INSERT INTO `lang_definitions` VALUES (86398, 527, 23, 'Yetkilendir - herhangi bir görüşme');
INSERT INTO `lang_definitions` VALUES (86399, 528, 23, 'Yetkilendir - görüşmelerim');
INSERT INTO `lang_definitions` VALUES (86400, 529, 23, 'Ağı yetkilendir');
INSERT INTO `lang_definitions` VALUES (86401, 530, 23, 'Yetkili');
INSERT INTO `lang_definitions` VALUES (86402, 531, 23, 'Sadece Yetkililer');
INSERT INTO `lang_definitions` VALUES (86403, 532, 23, 'Otomatik Gönder');
INSERT INTO `lang_definitions` VALUES (86404, 535, 23, 'Yeni Görüşmeleri Otomatik Oluştur');
INSERT INTO `lang_definitions` VALUES (86405, 536, 23, 'Otomatik oluşturulmuş');
INSERT INTO `lang_definitions` VALUES (86406, 537, 23, 'Otomatik Ölçüm Hasaplamaları');
INSERT INTO `lang_definitions` VALUES (86407, 538, 23, 'Otomatik Ölçüm Hesaplamaları -  2011');
INSERT INTO `lang_definitions` VALUES (86408, 539, 23, 'Otomatik Ölçüm Hesaplamaları -  2014');
INSERT INTO `lang_definitions` VALUES (86409, 542, 23, 'Otomatik Ölçüm Hesapları İzleme');
INSERT INTO `lang_definitions` VALUES (86410, 543, 23, 'Otomatik Ölçümler');
INSERT INTO `lang_definitions` VALUES (86411, 544, 23, 'Otomatik');
INSERT INTO `lang_definitions` VALUES (86412, 546, 23, 'Randevu durumu \"@\" (geldi) ye ayarlandığında yeni bir vizit kaydını otomatik oluştur');
INSERT INTO `lang_definitions` VALUES (86413, 549, 23, 'Medikal Otomobil');
INSERT INTO `lang_definitions` VALUES (86414, 550, 23, 'otomatik kaydedildi');
INSERT INTO `lang_definitions` VALUES (86415, 551, 23, 'Mevcut kategoriler');
INSERT INTO `lang_definitions` VALUES (86416, 552, 23, 'Mevcut Olduğu Zamanlar');
INSERT INTO `lang_definitions` VALUES (86417, 553, 23, 'Erişilebilir kayıtlar');
INSERT INTO `lang_definitions` VALUES (86418, 554, 23, 'Avarca');
INSERT INTO `lang_definitions` VALUES (86419, 555, 23, 'Sol izleme penceresinden çıkan açılır pencerelerden basım için hasta etiketleri');
INSERT INTO `lang_definitions` VALUES (86420, 556, 23, 'Zendçe');
INSERT INTO `lang_definitions` VALUES (86421, 557, 23, 'Aylık Ortalama');
INSERT INTO `lang_definitions` VALUES (86422, 558, 23, 'Avulsiyon /avulsiyon kırığı');
INSERT INTO `lang_definitions` VALUES (86423, 559, 23, 'Lateral malleolde avulsiyon');
INSERT INTO `lang_definitions` VALUES (86424, 560, 23, 'Medial malleolde avulsiyon ');
INSERT INTO `lang_definitions` VALUES (86425, 561, 23, 'Uyanıklık-Temelli');
INSERT INTO `lang_definitions` VALUES (86426, 562, 23, 'Aksiller');
INSERT INTO `lang_definitions` VALUES (86427, 563, 23, 'Aymaraca');
INSERT INTO `lang_definitions` VALUES (86428, 564, 23, 'Azerbeycanca');
INSERT INTO `lang_definitions` VALUES (86429, 565, 23, '2x1');
INSERT INTO `lang_definitions` VALUES (86430, 566, 23, 'Geri');
INSERT INTO `lang_definitions` VALUES (86431, 567, 23, 'geri');
INSERT INTO `lang_definitions` VALUES (86432, 568, 23, 'Sekiz vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86433, 569, 23, 'Onbir vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86434, 570, 23, 'Beş vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86435, 571, 23, 'Dört vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86436, 572, 23, 'Dokuz vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86437, 573, 23, 'Bir vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86438, 574, 23, 'Sırt Ağrısı');
INSERT INTO `lang_definitions` VALUES (86439, 575, 23, 'Sırt Sorunları');
INSERT INTO `lang_definitions` VALUES (86440, 576, 23, 'Yedi vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86441, 577, 23, 'Altı vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86442, 578, 23, 'Sırt Cerrahisi');
INSERT INTO `lang_definitions` VALUES (86443, 579, 23, 'On vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86444, 580, 23, 'Üç vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86445, 581, 23, 'Yönetici sayfasına geri');
INSERT INTO `lang_definitions` VALUES (86446, 582, 23, 'Görüşmeye geri');
INSERT INTO `lang_definitions` VALUES (86447, 583, 23, 'Hasta Kaydına Geri');
INSERT INTO `lang_definitions` VALUES (86448, 584, 23, 'Hastaya Geri');
INSERT INTO `lang_definitions` VALUES (86449, 585, 23, 'Kullanıcılara geri');
INSERT INTO `lang_definitions` VALUES (86450, 586, 23, 'Görünüme Geri');
INSERT INTO `lang_definitions` VALUES (86451, 587, 23, 'Oniki vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86452, 588, 23, 'İki vizit öncesi');
INSERT INTO `lang_definitions` VALUES (86453, 589, 23, 'Arka Plan Hizmetleri');
INSERT INTO `lang_definitions` VALUES (86454, 590, 23, 'Yedek');
INSERT INTO `lang_definitions` VALUES (86455, 591, 23, 'Yedek dosyası oluşturuldu. Şimdi indir e gönderilecek');
INSERT INTO `lang_definitions` VALUES (86456, 592, 23, 'Yedek Listesi');
INSERT INTO `lang_definitions` VALUES (86457, 593, 23, 'Yedek Başarıyla Alındı:');
INSERT INTO `lang_definitions` VALUES (86458, 594, 23, 'Kontrol Kötü');
INSERT INTO `lang_definitions` VALUES (86459, 595, 23, 'Borç Kötü');
INSERT INTO `lang_definitions` VALUES (86460, 596, 23, 'Endonezya Bahasa');
INSERT INTO `lang_definitions` VALUES (86461, 597, 23, 'Bky');
INSERT INTO `lang_definitions` VALUES (86462, 598, 23, 'Bakiye');
INSERT INTO `lang_definitions` VALUES (86463, 599, 23, 'bakiye');
INSERT INTO `lang_definitions` VALUES (86464, 600, 23, 'Bakiye miktarı');
INSERT INTO `lang_definitions` VALUES (86465, 601, 23, 'Vadesi Gelmiş Borç');
INSERT INTO `lang_definitions` VALUES (86466, 602, 23, 'Bambaraca');
INSERT INTO `lang_definitions` VALUES (86467, 603, 23, 'Banka Poliçesi');
INSERT INTO `lang_definitions` VALUES (86468, 604, 23, 'Barkot etiketi');
INSERT INTO `lang_definitions` VALUES (86469, 605, 23, 'Berkot etiket tipi');
INSERT INTO `lang_definitions` VALUES (86470, 606, 23, 'Sol navigasyon penceresinden açılan pencerelerden barkot etiketi bastırmak için barkot tipi');
INSERT INTO `lang_definitions` VALUES (86471, 607, 23, 'Beşinci (5.) Metatars Kaidesi');
INSERT INTO `lang_definitions` VALUES (86472, 608, 23, 'Beşinci (5.) Metatars Kaidesi:');
INSERT INTO `lang_definitions` VALUES (86473, 609, 23, 'Başkurtça');
INSERT INTO `lang_definitions` VALUES (86474, 610, 23, 'Baskça');
INSERT INTO `lang_definitions` VALUES (86475, 611, 23, 'Toplu alacak');
INSERT INTO `lang_definitions` VALUES (86476, 612, 23, 'Toplu İletişim Aracı');
INSERT INTO `lang_definitions` VALUES (86477, 613, 23, 'Parti Ödeme Girişi');
INSERT INTO `lang_definitions` VALUES (86478, 614, 23, 'Parti ödemeler');
INSERT INTO `lang_definitions` VALUES (86479, 615, 23, 'Toplu işlem başlatıldı; bu bir süre alabilir.');
INSERT INTO `lang_definitions` VALUES (86480, 616, 23, 'Toplu Sonuçlar');
INSERT INTO `lang_definitions` VALUES (86481, 617, 23, 'Toplu İletişim');
INSERT INTO `lang_definitions` VALUES (86482, 618, 23, 'Bazı dosyaların işlenmesi zaman almaktadır. Lütfen bekleyiniz.');
INSERT INTO `lang_definitions` VALUES (86483, 619, 23, 'çünkü o kimlik yok.');
INSERT INTO `lang_definitions` VALUES (86484, 620, 23, 'Başla');
INSERT INTO `lang_definitions` VALUES (86485, 621, 23, 'Başlama Tarihi');
INSERT INTO `lang_definitions` VALUES (86486, 623, 23, 'Hizmet tarihinden itibaren yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (86487, 624, 23, 'Takvim etkinlikleri için günün başladığı saat');
INSERT INTO `lang_definitions` VALUES (86488, 625, 23, 'Belarusça');
INSERT INTO `lang_definitions` VALUES (86489, 626, 23, 'Geğirme');
INSERT INTO `lang_definitions` VALUES (86490, 628, 23, 'Bengalli');
INSERT INTO `lang_definitions` VALUES (86491, 629, 23, 'Bengalce');
INSERT INTO `lang_definitions` VALUES (86492, 630, 23, 'arasında');
INSERT INTO `lang_definitions` VALUES (86493, 631, 23, 'İki yönlü');
INSERT INTO `lang_definitions` VALUES (86494, 632, 23, 'Biharca');
INSERT INTO `lang_definitions` VALUES (86495, 633, 23, 'Bilateral');
INSERT INTO `lang_definitions` VALUES (86496, 634, 23, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (86497, 636, 23, 'Fatura Tarihi');
INSERT INTO `lang_definitions` VALUES (86498, 637, 23, 'Fatura/Tahsil');
INSERT INTO `lang_definitions` VALUES (86499, 638, 23, 'Faturalandırılmış');
INSERT INTO `lang_definitions` VALUES (86500, 640, 23, 'Faturalandırma');
INSERT INTO `lang_definitions` VALUES (86501, 641, 23, 'Faturalandırma (opsiyonlu yazım)');
INSERT INTO `lang_definitions` VALUES (86502, 642, 23, 'Faturalandırma Dikkatine');
INSERT INTO `lang_definitions` VALUES (86503, 644, 23, 'İstenilen Hizmet için Faturalandırma Kodu');
INSERT INTO `lang_definitions` VALUES (86504, 645, 23, 'Faturalandırma kodları');
INSERT INTO `lang_definitions` VALUES (86505, 646, 23, 'Faturalandırma Verisi');
INSERT INTO `lang_definitions` VALUES (86506, 647, 23, 'Fatura Bölümü');
INSERT INTO `lang_definitions` VALUES (86507, 648, 23, 'Fatura Tesisi');
INSERT INTO `lang_definitions` VALUES (86508, 649, 23, 'Fatura Bilgisi');
INSERT INTO `lang_definitions` VALUES (86509, 650, 23, 'Fatura Yeri');
INSERT INTO `lang_definitions` VALUES (86510, 655, 23, 'Fatura Yöneticisi');
INSERT INTO `lang_definitions` VALUES (86511, 656, 23, 'Fatura Notu');
INSERT INTO `lang_definitions` VALUES (86512, 657, 23, 'Fatura Notu: ');
INSERT INTO `lang_definitions` VALUES (86513, 658, 23, 'Fatura Notu:');
INSERT INTO `lang_definitions` VALUES (86514, 659, 23, 'Fatura kuyruğu sonuçları:');
INSERT INTO `lang_definitions` VALUES (86515, 660, 23, 'Fatura Raporu');
INSERT INTO `lang_definitions` VALUES (86516, 661, 23, 'Faturalama durumu');
INSERT INTO `lang_definitions` VALUES (86517, 662, 23, 'Fatura Durumu=Fatura edilmemiş');
INSERT INTO `lang_definitions` VALUES (86518, 663, 23, 'fatura kesilen ');
INSERT INTO `lang_definitions` VALUES (86519, 665, 23, 'Biyopsi');
INSERT INTO `lang_definitions` VALUES (86520, 666, 23, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (86521, 667, 23, 'Doğum-24 ay');
INSERT INTO `lang_definitions` VALUES (86522, 668, 23, 'Vanuatu Bislama dili');
INSERT INTO `lang_definitions` VALUES (86523, 669, 23, 'Siyah');
INSERT INTO `lang_definitions` VALUES (86524, 670, 23, 'Siyah akciğer');
INSERT INTO `lang_definitions` VALUES (86525, 671, 23, 'Siyah veya Afrika kökenli Amerikalı');
INSERT INTO `lang_definitions` VALUES (86526, 672, 23, 'Mesane Kanseri');
INSERT INTO `lang_definitions` VALUES (86527, 673, 23, 'Mesane Enfeksiyonları');
INSERT INTO `lang_definitions` VALUES (86528, 674, 23, 'Boş Formlar');
INSERT INTO `lang_definitions` VALUES (86529, 675, 23, 'Kanama Sorunları');
INSERT INTO `lang_definitions` VALUES (86530, 676, 23, 'Kör Noktalar');
INSERT INTO `lang_definitions` VALUES (86531, 677, 23, 'Şişkinlik');
INSERT INTO `lang_definitions` VALUES (86532, 678, 23, 'Tıkanmış');
INSERT INTO `lang_definitions` VALUES (86533, 679, 23, 'Kan');
INSERT INTO `lang_definitions` VALUES (86534, 680, 23, 'Kan Basıncı');
INSERT INTO `lang_definitions` VALUES (86535, 681, 23, 'Kan basıncı');
INSERT INTO `lang_definitions` VALUES (86536, 682, 23, 'Burun Kanaması');
INSERT INTO `lang_definitions` VALUES (86537, 683, 23, 'SGK Yeşilkart Özel Sigorta');
INSERT INTO `lang_definitions` VALUES (86538, 684, 23, 'Bu rapordaki mavi satırlar bilgi içindir. Siyah satırlar önceden mevcut bilgiyi gösterir. Yeşil satırlar başarı ile uygulanmış değişiklikleri gösterir. Kırmızı satırlar hataları veya uygulanmamış değişiklikleri gösterir; bunların el ile düzeltilmesi gerekmektedir. Halen sigorta kurumunun kabul etmediği talepler ve geri dönen ödemeler otomatik olarak işlenmez ve bu nedenle kırmızı görünür.');
INSERT INTO `lang_definitions` VALUES (86539, 685, 23, 'Bulanık Görme');
INSERT INTO `lang_definitions` VALUES (86540, 686, 23, 'VKI');
INSERT INTO `lang_definitions` VALUES (86541, 687, 23, 'VKI Durumu');
INSERT INTO `lang_definitions` VALUES (86542, 689, 23, 'Vücut Bölgesi');
INSERT INTO `lang_definitions` VALUES (86543, 690, 23, 'Vücuttaki Yeri');
INSERT INTO `lang_definitions` VALUES (86544, 691, 23, 'Vücuttaki yeri, uygulanabiliyor ise,');
INSERT INTO `lang_definitions` VALUES (86545, 692, 23, 'Kemik Hassasiyeti');
INSERT INTO `lang_definitions` VALUES (86546, 693, 23, 'Kemik Hassasiyeti: Medial Malleol');
INSERT INTO `lang_definitions` VALUES (86547, 694, 23, 'Mantıksal');
INSERT INTO `lang_definitions` VALUES (86548, 695, 23, 'Boşnakça');
INSERT INTO `lang_definitions` VALUES (86549, 696, 23, 'Alt');
INSERT INTO `lang_definitions` VALUES (86550, 697, 23, 'Her iki Kulak');
INSERT INTO `lang_definitions` VALUES (86551, 698, 23, 'her iki kulak');
INSERT INTO `lang_definitions` VALUES (86552, 699, 23, 'En alt');
INSERT INTO `lang_definitions` VALUES (86553, 700, 23, 'Alt kenar(piksel)');
INSERT INTO `lang_definitions` VALUES (86554, 701, 23, 'KUTU 10 A. İş ile ilgili ');
INSERT INTO `lang_definitions` VALUES (86555, 702, 23, 'KUTU 10 B. Araba Kazası ');
INSERT INTO `lang_definitions` VALUES (86556, 703, 23, 'KUTU 10 C. Diğer Kazalar ');
INSERT INTO `lang_definitions` VALUES (86557, 704, 23, 'KUTU 14 Tarih Tanımlayıcı');
INSERT INTO `lang_definitions` VALUES (86558, 705, 23, 'KUTU 15 Diğer Tarih Tanımlayıcı');
INSERT INTO `lang_definitions` VALUES (86559, 706, 23, 'KUTU 15 aynı veya benzer hastalıkların tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (86560, 707, 23, 'KUTU 15 aynı veya benzer hastalıkların/Diğer tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (86561, 708, 23, 'KUTU 16 Tarihinden itibaren çalışamaz ( yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (86562, 709, 23, 'KUTU 16 Tarihinden itibaren çalışamaz ( yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (86563, 710, 23, 'KUTU 18. Hastaneye yatış tarihi (yyyy-aa-gg) ');
INSERT INTO `lang_definitions` VALUES (86564, 711, 23, 'KUTU 18. Hastaneden çıkış tarihi (yyyy-aa-gg) ');
INSERT INTO `lang_definitions` VALUES (86565, 712, 23, 'KUTU 20. Harici Laboratuvar kullanıldı mı?');
INSERT INTO `lang_definitions` VALUES (86566, 713, 23, 'KUTU 22. Tıbbi Tekrar Gönderme kodu (ICD10) ');
INSERT INTO `lang_definitions` VALUES (86567, 714, 23, 'Önceki Yetki No: ');
INSERT INTO `lang_definitions` VALUES (86568, 715, 23, 'KB');
INSERT INTO `lang_definitions` VALUES (86569, 716, 23, 'Diyastolik KB');
INSERT INTO `lang_definitions` VALUES (86570, 717, 23, 'Sistolik KB');
INSERT INTO `lang_definitions` VALUES (86571, 719, 23, 'Bpd');
INSERT INTO `lang_definitions` VALUES (86572, 721, 23, 'Bps');
INSERT INTO `lang_definitions` VALUES (86573, 722, 23, 'Brezilya Portekizcesi');
INSERT INTO `lang_definitions` VALUES (86574, 723, 23, 'Meme');
INSERT INTO `lang_definitions` VALUES (86575, 724, 23, 'Meme Biyopsisi');
INSERT INTO `lang_definitions` VALUES (86576, 725, 23, 'Meme Akıntısı');
INSERT INTO `lang_definitions` VALUES (86577, 726, 23, 'Meme Hastalığı');
INSERT INTO `lang_definitions` VALUES (86578, 727, 23, 'Meme Muayenesi');
INSERT INTO `lang_definitions` VALUES (86579, 728, 23, 'Memede Kitle');
INSERT INTO `lang_definitions` VALUES (86580, 730, 23, 'Solunum Sesleri:');
INSERT INTO `lang_definitions` VALUES (86581, 731, 23, 'Bretonca');
INSERT INTO `lang_definitions` VALUES (86582, 732, 23, 'Kemik Kırıkları');
INSERT INTO `lang_definitions` VALUES (86583, 733, 23, 'kırılmış kalıp');
INSERT INTO `lang_definitions` VALUES (86584, 734, 23, 'Bronşit Formu');
INSERT INTO `lang_definitions` VALUES (86585, 735, 23, 'Tara');
INSERT INTO `lang_definitions` VALUES (86586, 736, 23, 'Kayıt Araması');
INSERT INTO `lang_definitions` VALUES (86587, 737, 23, 'Morarma/hematom');
INSERT INTO `lang_definitions` VALUES (86588, 738, 23, 'Bulgarca');
INSERT INTO `lang_definitions` VALUES (86589, 739, 23, 'Sağa Şişkin:');
INSERT INTO `lang_definitions` VALUES (86590, 740, 23, 'Burmaca');
INSERT INTO `lang_definitions` VALUES (86591, 741, 23, 'İdrarda yaparken Yanma');
INSERT INTO `lang_definitions` VALUES (86592, 742, 23, 'İdrar Yaparken Yanma');
INSERT INTO `lang_definitions` VALUES (86593, 743, 23, 'İş Telefonu');
INSERT INTO `lang_definitions` VALUES (86594, 744, 23, 'Meşgul');
INSERT INTO `lang_definitions` VALUES (86595, 745, 23, 'fakat henüz işlem yapılmadı.');
INSERT INTO `lang_definitions` VALUES (86596, 746, 23, 'Kalça');
INSERT INTO `lang_definitions` VALUES (86597, 747, 23, 'Kalça + S.I.');
INSERT INTO `lang_definitions` VALUES (86598, 748, 23, 'tarafından');
INSERT INTO `lang_definitions` VALUES (86599, 749, 23, 'Tarafından');
INSERT INTO `lang_definitions` VALUES (86600, 750, 23, 'ağızdan');
INSERT INTO `lang_definitions` VALUES (86601, 751, 23, 'Tarafından/Kaynak');
INSERT INTO `lang_definitions` VALUES (86602, 752, 23, 'Tarafından:');
INSERT INTO `lang_definitions` VALUES (86603, 753, 23, 'C');
INSERT INTO `lang_definitions` VALUES (86604, 754, 23, 'RFC 5425 TLS syslog sunucusunu doğrulamak için CA Sertifikası.');
INSERT INTO `lang_definitions` VALUES (86605, 755, 23, 'Önbellek Ömrü (saniye)');
INSERT INTO `lang_definitions` VALUES (86606, 756, 23, 'Önbellek çıktı şablonu?');
INSERT INTO `lang_definitions` VALUES (86607, 757, 23, 'Kafein tüketimi');
INSERT INTO `lang_definitions` VALUES (86608, 758, 23, 'Takvim');
INSERT INTO `lang_definitions` VALUES (86609, 759, 23, 'Takvim Bitme Saati');
INSERT INTO `lang_definitions` VALUES (86610, 760, 23, 'Takvim Aralığı');
INSERT INTO `lang_definitions` VALUES (86611, 761, 23, 'Takvim Ekranı');
INSERT INTO `lang_definitions` VALUES (86612, 762, 23, 'Takvim Ayarları');
INSERT INTO `lang_definitions` VALUES (86613, 763, 23, 'Takvim Başlangıç Saati');
INSERT INTO `lang_definitions` VALUES (86614, 764, 23, 'Takvim Kullanıcı Ara birimi');
INSERT INTO `lang_definitions` VALUES (86615, 765, 23, 'Takvim Görünümü');
INSERT INTO `lang_definitions` VALUES (86616, 766, 23, 'addForm() Çağrısı buraya gider.<br>');
INSERT INTO `lang_definitions` VALUES (86617, 767, 23, 'Kalori');
INSERT INTO `lang_definitions` VALUES (86618, 768, 23, 'Kamboçça');
INSERT INTO `lang_definitions` VALUES (86619, 769, 23, 'Bilgisayarla Tıbbi Order');
INSERT INTO `lang_definitions` VALUES (86620, 774, 23, 'İptal');
INSERT INTO `lang_definitions` VALUES (86621, 775, 23, 'Değişiklikleri İptal Et');
INSERT INTO `lang_definitions` VALUES (86622, 776, 23, 'İptal edildi');
INSERT INTO `lang_definitions` VALUES (86623, 777, 23, 'Kanser');
INSERT INTO `lang_definitions` VALUES (86624, 778, 23, 'Kanser Taraması: Kolon Kanseri Taraması');
INSERT INTO `lang_definitions` VALUES (86625, 779, 23, 'Kanser Taraması: Mamografi');
INSERT INTO `lang_definitions` VALUES (86626, 780, 23, 'Kanser Taraması: Serviks Yayması');
INSERT INTO `lang_definitions` VALUES (86627, 781, 23, 'Kanser Taraması: Prostat Kanseri Taraması');
INSERT INTO `lang_definitions` VALUES (86628, 782, 23, 'Bu kayıt eklenemiyor çünkü zaten önceden var!');
INSERT INTO `lang_definitions` VALUES (86629, 783, 23, 'Bu kayıt eklenemiyor/düzenlenemiyor çünkü zaten önceden çift kayıt var!');
INSERT INTO `lang_definitions` VALUES (86630, 784, 23, 'arşivlenemiyor,  göz ardı edildi.');
INSERT INTO `lang_definitions` VALUES (86631, 785, 23, 'JPEG ye çevrilemiyor. Belki ImageMagick kurulu değil?');
INSERT INTO `lang_definitions` VALUES (86632, 786, 23, 'Silinemiyor, göz ardı edildi.');
INSERT INTO `lang_definitions` VALUES (86633, 787, 23, 'Tipi tarayıcı tarafından desteklenmediğinden satır içerisinde gösterilemiyor.');
INSERT INTO `lang_definitions` VALUES (86634, 788, 23, 'Tipi tarayıcı tarafından desteklenmediğinden satır içerisinde gösterilemiyor.');
INSERT INTO `lang_definitions` VALUES (86635, 789, 23, 'Tipi tarayıcı tarafından desteklenmediğinden satır içerisinde gösterilemiyor.');
INSERT INTO `lang_definitions` VALUES (86636, 790, 23, 'Oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (86637, 791, 23, 'Dosya oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (86638, 792, 23, '(SFTP sunucudan) dosya silinemiyor');
INSERT INTO `lang_definitions` VALUES (86639, 793, 23, 'Dosya silinemiyor');
INSERT INTO `lang_definitions` VALUES (86640, 794, 23, 'Hedef dosya ismi belirlenemiyor');
INSERT INTO `lang_definitions` VALUES (86641, 795, 23, 'Bulunamıyor ');
INSERT INTO `lang_definitions` VALUES (86642, 796, 23, 'hedef dosya ismi bulunamıyor.');
INSERT INTO `lang_definitions` VALUES (86643, 799, 23, 'Hasta SQL-Defter-i-Kebir müşteri kimliğinden bulunamıyor');
INSERT INTO `lang_definitions` VALUES (86644, 800, 23, 'Postskript belge referansı bulunamıyor. ');
INSERT INTO `lang_definitions` VALUES (86645, 801, 23, 'Sağlayıcı SQL-Ledger employee = den bulunamıyor ');
INSERT INTO `lang_definitions` VALUES (86646, 802, 23, 'Ödemeler Değiştirilemiyor. Dağıtılmamış Negatif.');
INSERT INTO `lang_definitions` VALUES (86647, 803, 23, 'Açılamıyor ');
INSERT INTO `lang_definitions` VALUES (86648, 804, 23, 'Sigorta gönderilemiyor. Ödeyici olarak hasta seçili');
INSERT INTO `lang_definitions` VALUES (86649, 805, 23, 'Hastaya gönderilemiyor. Ödeyen olarak sigorta seçilmiş.');
INSERT INTO `lang_definitions` VALUES (86650, 806, 23, 'Ödemeler gönderilemiyor. Dağıtılmadı Menfi.');
INSERT INTO `lang_definitions` VALUES (86651, 807, 23, 'Okunamıyor');
INSERT INTO `lang_definitions` VALUES (86652, 808, 23, 'Dizin okunamıyor.');
INSERT INTO `lang_definitions` VALUES (86653, 809, 23, 'Güncellenemiyor çünkü bulunan bir kaydı düzenlemiyorsunuz!');
INSERT INTO `lang_definitions` VALUES (86654, 810, 23, 'Büyük harflerle yazılsın');
INSERT INTO `lang_definitions` VALUES (86655, 811, 23, 'Hepsini büyük harfe dönüştür');
INSERT INTO `lang_definitions` VALUES (86656, 812, 23, 'kapsül');
INSERT INTO `lang_definitions` VALUES (86657, 813, 23, 'Kart');
INSERT INTO `lang_definitions` VALUES (86658, 814, 23, 'Kalp Kateterizasyonu');
INSERT INTO `lang_definitions` VALUES (86659, 815, 23, 'Kalp Ekosu');
INSERT INTO `lang_definitions` VALUES (86660, 816, 23, 'Kardiyovasküler');
INSERT INTO `lang_definitions` VALUES (86661, 821, 23, 'Kıkırdak / kondral / disk hasarı');
INSERT INTO `lang_definitions` VALUES (86662, 822, 23, 'Kıkırdak zedelenmesi');
INSERT INTO `lang_definitions` VALUES (86663, 823, 23, 'Karotis nabzı normal, dorsalis pedis normal');
INSERT INTO `lang_definitions` VALUES (86664, 824, 23, 'peşin');
INSERT INTO `lang_definitions` VALUES (86665, 825, 23, 'Peşin');
INSERT INTO `lang_definitions` VALUES (86666, 826, 23, 'Peşin Mak');
INSERT INTO `lang_definitions` VALUES (86667, 827, 23, 'Sağlayıcının Peşin Makbuzları');
INSERT INTO `lang_definitions` VALUES (86668, 828, 23, 'Katalanca-Valensiyaca');
INSERT INTO `lang_definitions` VALUES (86669, 829, 23, 'Katarakt Cerrahisi');
INSERT INTO `lang_definitions` VALUES (86670, 830, 23, 'Kataraktlar');
INSERT INTO `lang_definitions` VALUES (86671, 831, 23, 'Kategoriler');
INSERT INTO `lang_definitions` VALUES (86672, 832, 23, 'Kategorilendirilecek olan:');
INSERT INTO `lang_definitions` VALUES (86673, 833, 23, 'Kategori');
INSERT INTO `lang_definitions` VALUES (86674, 834, 23, 'kategori');
INSERT INTO `lang_definitions` VALUES (86675, 835, 23, 'Kategori ');
INSERT INTO `lang_definitions` VALUES (86676, 836, 23, 'Kategori Ayrıntıları');
INSERT INTO `lang_definitions` VALUES (86677, 837, 23, 'Kategori Limitleri');
INSERT INTO `lang_definitions` VALUES (86678, 838, 23, 'Kategori İsmi');
INSERT INTO `lang_definitions` VALUES (86679, 839, 23, 'Kategori ismi boş.');
INSERT INTO `lang_definitions` VALUES (86680, 840, 23, 'Kategori/Başlık');
INSERT INTO `lang_definitions` VALUES (86681, 841, 23, 'Beyaz');
INSERT INTO `lang_definitions` VALUES (86682, 842, 23, 'Görüşmede Yazdırılacak Nedenler Makbuzlar/Primer Sağlayıcı Bilgisi');
INSERT INTO `lang_definitions` VALUES (86683, 846, 23, 'Hasta provizyon onayı');
INSERT INTO `lang_definitions` VALUES (86684, 847, 23, 'Hasta Provizyon geçmişi');
INSERT INTO `lang_definitions` VALUES (86685, 848, 23, 'Hasta provizyon izleme ve /Onay');
INSERT INTO `lang_definitions` VALUES (86686, 850, 23, 'Klinik Karar verme Kuralları Algoritmaları');
INSERT INTO `lang_definitions` VALUES (86687, 851, 23, 'Klinik Karar verme Kuralları Algoritmaları Raporları işleme önceliği');
INSERT INTO `lang_definitions` VALUES (86688, 852, 23, 'Hücre');
INSERT INTO `lang_definitions` VALUES (86689, 853, 23, 'Cep Telefonu');
INSERT INTO `lang_definitions` VALUES (86690, 854, 23, 'Cep Telefonu Numarası');
INSERT INTO `lang_definitions` VALUES (86691, 855, 23, 'Cep Telefonu Numarası');
INSERT INTO `lang_definitions` VALUES (86692, 856, 23, 'Merkezi Sertifikasyon');
INSERT INTO `lang_definitions` VALUES (86693, 857, 23, 'Merkezi/Güney Amerikalı');
INSERT INTO `lang_definitions` VALUES (86694, 858, 23, 'Sertifika Yetkilisi crt dosya yeri boş bırakılamaz');
INSERT INTO `lang_definitions` VALUES (86695, 859, 23, 'Sertifika Yetkilisi anahtar dosya yeri boş bırakılamaz');
INSERT INTO `lang_definitions` VALUES (86696, 860, 23, 'RFC 5425 TLS syslog sunucusuna gönderilecek sertifika');
INSERT INTO `lang_definitions` VALUES (86697, 861, 23, 'Sertifika Kullanıcısı');
INSERT INTO `lang_definitions` VALUES (86698, 862, 23, 'Sertifikalar');
INSERT INTO `lang_definitions` VALUES (86699, 863, 23, 'Şamorro dili');
INSERT INTO `lang_definitions` VALUES (86700, 864, 23, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (86701, 865, 23, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (86702, 866, 23, 'değiştir');
INSERT INTO `lang_definitions` VALUES (86703, 867, 23, 'Değiştir');
INSERT INTO `lang_definitions` VALUES (86704, 868, 23, 'Değiştirme Etkinliği');
INSERT INTO `lang_definitions` VALUES (86705, 869, 23, 'Değiştirme başarısız oldu! Veritabanına bağlanma hatası?');
INSERT INTO `lang_definitions` VALUES (86706, 870, 23, 'Görmede Değişiklik');
INSERT INTO `lang_definitions` VALUES (86707, 871, 23, 'Görmede Değişiklik');
INSERT INTO `lang_definitions` VALUES (86708, 872, 23, 'Şifre Değişikliği');
INSERT INTO `lang_definitions` VALUES (86709, 874, 23, 'Değiştirildi');
INSERT INTO `lang_definitions` VALUES (86710, 875, 23, 'Değişmiş Barsak');
INSERT INTO `lang_definitions` VALUES (86711, 876, 23, 'Belgenin hasta kimliğini değiştirmek');
INSERT INTO `lang_definitions` VALUES (86712, 877, 23, 'Özellikler');
INSERT INTO `lang_definitions` VALUES (86713, 878, 23, 'Kalan harf sayısı');
INSERT INTO `lang_definitions` VALUES (86714, 879, 23, 'Fatura kesmek');
INSERT INTO `lang_definitions` VALUES (86715, 880, 23, 'Düzeltmeyi fatura et.');
INSERT INTO `lang_definitions` VALUES (86716, 881, 23, 'ücret kodlandı');
INSERT INTO `lang_definitions` VALUES (86717, 882, 23, 'ücretleri');
INSERT INTO `lang_definitions` VALUES (86718, 883, 23, 'Çizelge');
INSERT INTO `lang_definitions` VALUES (86719, 884, 23, 'Çizelgesinde Etkinlik');
INSERT INTO `lang_definitions` VALUES (86720, 885, 23, 'Giriş/çıkış kontrolü çizelgesi etkinlik raporu');
INSERT INTO `lang_definitions` VALUES (86721, 886, 23, 'Çizelge ID');
INSERT INTO `lang_definitions` VALUES (86722, 887, 23, 'Çizelge ID:');
INSERT INTO `lang_definitions` VALUES (86723, 888, 23, 'Çizelge Etiketi');
INSERT INTO `lang_definitions` VALUES (86724, 889, 23, 'Çizelge Yeri Etkinliği');
INSERT INTO `lang_definitions` VALUES (86725, 890, 23, 'Çizelge Notu');
INSERT INTO `lang_definitions` VALUES (86726, 891, 23, 'Çizelge Numarası');
INSERT INTO `lang_definitions` VALUES (86727, 892, 23, 'Çizelge Saklama Yerleri');
INSERT INTO `lang_definitions` VALUES (86728, 893, 23, 'Çizelge İzleyici');
INSERT INTO `lang_definitions` VALUES (86729, 894, 23, 'Çizelge İz.');
INSERT INTO `lang_definitions` VALUES (86730, 895, 23, 'Kontrol Edilmiş Çizelgeler');
INSERT INTO `lang_definitions` VALUES (86731, 896, 23, 'Dışarı Çizelgeler');
INSERT INTO `lang_definitions` VALUES (86732, 897, 23, 'Çeçence');
INSERT INTO `lang_definitions` VALUES (86733, 898, 23, 'Kontrol et');
INSERT INTO `lang_definitions` VALUES (86734, 899, 23, 'kontrol et');
INSERT INTO `lang_definitions` VALUES (86735, 900, 23, 'Hepsini işaretle');
INSERT INTO `lang_definitions` VALUES (86736, 902, 23, 'Çek miktarı');
INSERT INTO `lang_definitions` VALUES (86737, 903, 23, 'Çek Tarihi');
INSERT INTO `lang_definitions` VALUES (86738, 904, 23, 'Özel dil tablosu ile farklılıkları kontrol et.');
INSERT INTO `lang_definitions` VALUES (86739, 906, 23, 'Kontrol');
INSERT INTO `lang_definitions` VALUES (86740, 907, 23, 'Girilen verileri Kontrol et');
INSERT INTO `lang_definitions` VALUES (86741, 908, 23, 'Grafik çizilecek konuları işaretleyiniz');
INSERT INTO `lang_definitions` VALUES (86742, 909, 23, 'Laboratuvar sonuçlarını kontrol ediniz.');
INSERT INTO `lang_definitions` VALUES (86743, 910, 23, 'İşaretlenmiş olanlar görüldüğünü gösterir');
INSERT INTO `lang_definitions` VALUES (86744, 911, 23, 'Çek No');
INSERT INTO `lang_definitions` VALUES (86745, 912, 23, 'Çek Numarası');
INSERT INTO `lang_definitions` VALUES (86746, 915, 23, 'Çek Ödemesi');
INSERT INTO `lang_definitions` VALUES (86747, 916, 23, 'Şifreli bir dosya ise kutucuğu işaretleyiniz.');
INSERT INTO `lang_definitions` VALUES (86748, 917, 23, 'Sağlayıcıların yalnız kendilerininkini değil, tüm randevuları ön tanımlı olarak görmelerini isterseniz bunu işaretleyiniz.');
INSERT INTO `lang_definitions` VALUES (86749, 918, 23, 'Bu teşhis için problem oluşturmak için işaretleyiniz');
INSERT INTO `lang_definitions` VALUES (86750, 919, 23, 'Çek/Müstahaklık Tarihi');
INSERT INTO `lang_definitions` VALUES (86751, 920, 23, 'Çek/Müstahaklık No:');
INSERT INTO `lang_definitions` VALUES (86752, 921, 23, 'Çek/Ref Numarası');
INSERT INTO `lang_definitions` VALUES (86753, 922, 23, 'Çek/Referans Numarası');
INSERT INTO `lang_definitions` VALUES (86754, 923, 23, 'Onay kutusu listesi');
INSERT INTO `lang_definitions` VALUES (86755, 924, 23, 'onay kutusu listesi');
INSERT INTO `lang_definitions` VALUES (86756, 925, 23, 'onay kutusu y/tekst');
INSERT INTO `lang_definitions` VALUES (86757, 926, 23, 'Onay kutusu y/tekst');
INSERT INTO `lang_definitions` VALUES (86758, 927, 23, 'Yukarıdaki onay kutuları sizin HL7 dosyasını reddetmek ve silmek istediğinizi gösterir');
INSERT INTO `lang_definitions` VALUES (86759, 928, 23, 'İşaretli');
INSERT INTO `lang_definitions` VALUES (86760, 929, 23, 'İşaretlenmiş kutu = evet , boş = hayır');
INSERT INTO `lang_definitions` VALUES (86761, 931, 23, 'Kilitle kutusunun seçilmesi bu vizite ile ilgili hiçbir formda daha başka her hangi bir düzenleme yapılmasını önler');
INSERT INTO `lang_definitions` VALUES (86762, 932, 23, 'Çıkış (Kasa)');
INSERT INTO `lang_definitions` VALUES (86763, 933, 23, 'Toplam');
INSERT INTO `lang_definitions` VALUES (86764, 934, 23, 'Göğüs');
INSERT INTO `lang_definitions` VALUES (86765, 935, 23, 'Oskültasyon ile her iki hemitoraks temiz');
INSERT INTO `lang_definitions` VALUES (86766, 936, 23, 'Göğüs Ağrısı');
INSERT INTO `lang_definitions` VALUES (86767, 937, 23, 'Göğüs Ağrısı:');
INSERT INTO `lang_definitions` VALUES (86768, 938, 23, 'Göğüs Ağrıları');
INSERT INTO `lang_definitions` VALUES (86769, 940, 23, 'Değ');
INSERT INTO `lang_definitions` VALUES (86770, 941, 23, 'Çevaca Nyanca');
INSERT INTO `lang_definitions` VALUES (86771, 942, 23, 'Esas Yakınma');
INSERT INTO `lang_definitions` VALUES (86772, 943, 23, 'Çocuk');
INSERT INTO `lang_definitions` VALUES (86773, 945, 23, 'Çocukluk immünizasyon durumu');
INSERT INTO `lang_definitions` VALUES (86774, 946, 23, 'Titreme');
INSERT INTO `lang_definitions` VALUES (86775, 947, 23, 'Çinli');
INSERT INTO `lang_definitions` VALUES (86776, 948, 23, 'Çince (Basit)');
INSERT INTO `lang_definitions` VALUES (86777, 949, 23, 'Çince (Geleneksel)');
INSERT INTO `lang_definitions` VALUES (86778, 950, 23, 'Kiropraksi');
INSERT INTO `lang_definitions` VALUES (86779, 951, 23, 'Seçenekler');
INSERT INTO `lang_definitions` VALUES (86780, 952, 23, 'Kolesistektomi');
INSERT INTO `lang_definitions` VALUES (86781, 953, 23, 'Kolesistestomi');
INSERT INTO `lang_definitions` VALUES (86782, 954, 23, 'Kolesistestomi');
INSERT INTO `lang_definitions` VALUES (86783, 955, 23, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (86784, 956, 23, 'Bir bölüm seçiniz ve içerisindeki bir konuyu tıklayınız, daha sonraki bölümde ilgili konuları parlak göreceksiniz, o bölümde ilişkileri oluşturmak veya silmek için tıklayabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (86785, 957, 23, 'Özellikleri Seçiniz');
INSERT INTO `lang_definitions` VALUES (86786, 958, 23, 'İndirmeyi veya ekranda göstermeyi seçiniz');
INSERT INTO `lang_definitions` VALUES (86787, 959, 23, 'Dosyayı seçiniz');
INSERT INTO `lang_definitions` VALUES (86788, 960, 23, 'Listeden seçiniz');
INSERT INTO `lang_definitions` VALUES (86789, 961, 23, 'Düzenleme yönünü seçiniz');
INSERT INTO `lang_definitions` VALUES (86790, 962, 23, 'Listeyi seçiniz');
INSERT INTO `lang_definitions` VALUES (86791, 963, 23, 'Kağıt büyüklüğünü seçiniz');
INSERT INTO `lang_definitions` VALUES (86792, 964, 23, 'PDF dil tercihinizi seçiniz');
INSERT INTO `lang_definitions` VALUES (86793, 965, 23, 'Bu vizite raporunun basım formatını seçiniz.');
INSERT INTO `lang_definitions` VALUES (86794, 967, 23, 'Kronik Bronşit');
INSERT INTO `lang_definitions` VALUES (86795, 968, 23, 'Kronik Eklem Ağrısı');
INSERT INTO `lang_definitions` VALUES (86796, 969, 23, 'Kronik Böbrek Hastalığı');
INSERT INTO `lang_definitions` VALUES (86797, 970, 23, 'Kronik sinovit / effüzyon / eklem ağrısı / gut');
INSERT INTO `lang_definitions` VALUES (86798, 971, 23, 'Kronik / Tekrarlayan');
INSERT INTO `lang_definitions` VALUES (86799, 972, 23, 'Çuvaşça');
INSERT INTO `lang_definitions` VALUES (86800, 973, 23, 'Karaciğer Sirozu');
INSERT INTO `lang_definitions` VALUES (86801, 974, 23, 'Karaciğer Sirozu');
INSERT INTO `lang_definitions` VALUES (86802, 975, 23, 'Semt');
INSERT INTO `lang_definitions` VALUES (86803, 976, 23, 'Semt Adı');
INSERT INTO `lang_definitions` VALUES (86804, 977, 23, 'Semt, Şehir');
INSERT INTO `lang_definitions` VALUES (86805, 978, 23, 'Semt, Şehir Posta kodu');
INSERT INTO `lang_definitions` VALUES (86806, 979, 23, 'Semt/Şehir');
INSERT INTO `lang_definitions` VALUES (86807, 980, 23, 'Alacak');
INSERT INTO `lang_definitions` VALUES (86808, 981, 23, 'Alacak ');
INSERT INTO `lang_definitions` VALUES (86809, 982, 23, 'Alacak Durumu');
INSERT INTO `lang_definitions` VALUES (86810, 983, 23, 'Alacak testinin çalışması tamamlandı');
INSERT INTO `lang_definitions` VALUES (86811, 984, 23, 'Alacak Tipi');
INSERT INTO `lang_definitions` VALUES (86812, 985, 23, 'Alacağın oluşturulduğu dosya:');
INSERT INTO `lang_definitions` VALUES (86813, 986, 23, 'Alacağın oluşturulduğu dosya: ');
INSERT INTO `lang_definitions` VALUES (86814, 987, 23, 'Alacaklar');
INSERT INTO `lang_definitions` VALUES (86815, 988, 23, 'Sınıflandırma');
INSERT INTO `lang_definitions` VALUES (86816, 989, 23, 'Berrak');
INSERT INTO `lang_definitions` VALUES (86817, 990, 23, 'BU HASTAYI SİL');
INSERT INTO `lang_definitions` VALUES (86818, 991, 23, 'Hepsini Temizle');
INSERT INTO `lang_definitions` VALUES (86819, 992, 23, 'HL7 Verilerini Sil');
INSERT INTO `lang_definitions` VALUES (86820, 993, 23, 'Hizalamayı Temizle');
INSERT INTO `lang_definitions` VALUES (86821, 994, 23, 'Smarty Ön belleği Temizle');
INSERT INTO `lang_definitions` VALUES (86822, 995, 23, 'EDI 270 yığın düzenlenmesi için bir takasbank bigisinin girilmesi gerekiyor.');
INSERT INTO `lang_definitions` VALUES (86823, 996, 23, 'Klinik Laboratuvar Düzenleme Numarası');
INSERT INTO `lang_definitions` VALUES (86824, 997, 23, 'Tıklayınız');
INSERT INTO `lang_definitions` VALUES (86825, 998, 23, 'Kategori, Alt kategori kaleminizi dışarı bir tekst dosyasına aktarmak için \'dışarı aktar\'a tıklayınız. Bu dosyanın bir XML e benzemesi tamamen tesadüftür. Açma ve kapama ekleri aynı satırda olmalıdır, küçük harfle yazılmalı, boşluk bırakılmamalıdır. Dışarıdan aktarmak için bir dosya seçiniz ve \'dışarıdan aktar\'ı tıklayınız. Eğer veri tamamen farklı ise mevcut veriniz ile birleşecektir. Eğer benzer kalem isimleri var ise eskileri korunacak yeniler sonlarına bir rakam eklenerek kaydedilecektir.');
INSERT INTO `lang_definitions` VALUES (86826, 999, 23, 'Yeni bir not eklemek için grafik üzerinde bir noktayı tıklayınız. Silmek için tekrar tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86827, 1000, 23, 'ssl.zip dosyasındaki sertifikaları indirmek için Sertifika İndir i tıklayınız');
INSERT INTO `lang_definitions` VALUES (86828, 1001, 23, 'devam için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86829, 1002, 23, 'Daha fazla ayrıntı için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86830, 1003, 23, 'Sipariş özeti için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86831, 1004, 23, 'Sonuçlar için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86832, 1005, 23, 'Buraya tıklayınız');
INSERT INTO `lang_definitions` VALUES (86833, 1006, 23, 'Yeni bir hasta eklemek için Burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86834, 1007, 23, 'Yeni bir yaralanma eklemek, durum değiştirmek veya günlük etkinlik girmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86835, 1008, 23, 'Bir tarih seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86836, 1009, 23, 'Tarih ve zaman seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86837, 1010, 23, 'Bir başlangıç tarihi seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86838, 1011, 23, 'Tarih ve zaman seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86839, 1012, 23, 'Başlangıç tarihi ve zamanını seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86840, 1013, 23, 'Bitiş tarihi ve zamanını seçmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86841, 1014, 23, 'Bu Modülü Yapılandırmak için Buraya Tıklayınız');
INSERT INTO `lang_definitions` VALUES (86842, 1016, 23, 'Bu Modülü Devre Dışı Bırakmak için Buraya Tıklayınız');
INSERT INTO `lang_definitions` VALUES (86843, 1018, 23, 'Bu Modülü Etkinleştirmek için Buraya Tıklayınız');
INSERT INTO `lang_definitions` VALUES (86844, 1019, 23, 'Mu Modülü Kurmak için Burata Tıklayınız');
INSERT INTO `lang_definitions` VALUES (86845, 1020, 23, 'aramak için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86846, 1021, 23, 'öncelik, kategori ve takma ad ayarlarını güncellemek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86847, 1022, 23, 'Hepsini görmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86848, 1023, 23, 'Görmek ve grafiğini çizmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86849, 1024, 23, 'Tüm laboratuvar bulgularını görmek ve çizdirmek için burayı tıklayınız');
INSERT INTO `lang_definitions` VALUES (86850, 1025, 23, 'Tüm vital bulguları görmek ve grafiğini çizdirmek için buraya tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86851, 1026, 23, 'Hasta detaylarını görmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86852, 1027, 23, 'Onların hepsini görmek için burayı tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86853, 1028, 23, 'Daha fazla ayrıntı için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86854, 1029, 23, 'İzleyen tarihten itibaren veritabanı kurmak için Kur düğmesini tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86855, 1030, 23, 'Artırmak için zaman parçalarının herhangi birini tıklayınız');
INSERT INTO `lang_definitions` VALUES (86856, 1031, 23, 'Hasta dosyasını açmak için hasta ismini tıklayınız');
INSERT INTO `lang_definitions` VALUES (86857, 1032, 23, 'Tüm sonuçları görmek için Tazele yi tıklayınız, veya özel sonuçları görmek için yukarıdaki arama kriterlerini doldurunuz.');
INSERT INTO `lang_definitions` VALUES (86858, 1033, 23, 'Bir tanı eklemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86859, 1034, 23, 'Yeni bileşenler eklemek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86860, 1035, 23, 'Yeni konsültasyon eklemek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86861, 1036, 23, 'Doğrulanacak tanıları seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86862, 1037, 23, 'İndirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86863, 1038, 23, 'Düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86864, 1039, 23, 'Tanımını düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86865, 1040, 23, 'Bu olayı düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86866, 1041, 23, 'Rapor oluşturmak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86867, 1042, 23, 'Hastayı eşleştirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86868, 1043, 23, 'Yazdırmak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86869, 1044, 23, 'Yeni bir parti almak (eklemek) için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86870, 1045, 23, 'Seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86871, 1046, 23, 'Seçmek için Tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86872, 1047, 23, 'Bu işlem için bir endüstri standardı kodu seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86873, 1048, 23, 'Opsiyonel işlem kodunu seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86874, 1049, 23, 'Kodlamayı seçmek veya değiştirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86875, 1050, 23, 'Uygulanmış aşı kodunu seçmek veya değiştirmek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86876, 1051, 23, 'Seçmek veya tanıları değiştirmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86877, 1052, 23, 'Servis kodlarını seçmek veya değiştirmek için tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86878, 1053, 23, 'Hastayı seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86879, 1054, 23, 'İlgili kodu seçmek tıklayınız');
INSERT INTO `lang_definitions` VALUES (86880, 1055, 23, 'Bu sonuç anormal ise yapılacak hizmetleri seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86881, 1056, 23, 'İstenilen işlemi seçmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86882, 1057, 23, 'Sıralamak için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86883, 1058, 23, 'Görmek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86884, 1059, 23, 'Görmek veya düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86885, 1060, 23, 'Görmek/düzenlemek için tıklayınız');
INSERT INTO `lang_definitions` VALUES (86886, 1061, 23, 'İzleyen tarihten itibaren veritabannı yükseltmek için Yükselt düğmesini tıklayınız.');
INSERT INTO `lang_definitions` VALUES (86887, 1062, 23, 'Hastayı eşleştirmek için yukarıdaki işaretli yeri tıklayınız');
INSERT INTO `lang_definitions` VALUES (86888, 1063, 23, 'Tıklayınız:');
INSERT INTO `lang_definitions` VALUES (86889, 1064, 23, 'Müşteri Sertifikası Zaman aşımı Günleri');
INSERT INTO `lang_definitions` VALUES (86890, 1065, 23, 'Müşteri Sertifikası geçerlilik dönemi');
INSERT INTO `lang_definitions` VALUES (86891, 1066, 23, 'Müşteri sertifikası onayı geçerli bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (86892, 1067, 23, 'Müşteri Kopyası');
INSERT INTO `lang_definitions` VALUES (86893, 1069, 23, 'Müşteri tıbbi öykü özeti');
INSERT INTO `lang_definitions` VALUES (86894, 1070, 23, 'Müşteri İsmi');
INSERT INTO `lang_definitions` VALUES (86895, 1071, 23, 'Müşteri Numarası');
INSERT INTO `lang_definitions` VALUES (86896, 1072, 23, 'Müşteri Profili - Yeni Müşteriler');
INSERT INTO `lang_definitions` VALUES (86897, 1073, 23, 'Müşteri Profili - Benzersiz Müşteriler');
INSERT INTO `lang_definitions` VALUES (86898, 1074, 23, 'Müşteriler');
INSERT INTO `lang_definitions` VALUES (86899, 1075, 23, 'Klinik');
INSERT INTO `lang_definitions` VALUES (86900, 1076, 23, 'Klinik Kopyası');
INSERT INTO `lang_definitions` VALUES (86901, 1077, 23, 'Günlük Klinik Kaydı');
INSERT INTO `lang_definitions` VALUES (86902, 1078, 23, 'Klinik ID');
INSERT INTO `lang_definitions` VALUES (86903, 1079, 23, 'Klinik');
INSERT INTO `lang_definitions` VALUES (86904, 1080, 23, 'Klinik Karar Kuralları Uyarı Yöneticisi');
INSERT INTO `lang_definitions` VALUES (86905, 1081, 23, 'Klinik Öykü');
INSERT INTO `lang_definitions` VALUES (86906, 1083, 23, 'Klinik Planlar');
INSERT INTO `lang_definitions` VALUES (86907, 1084, 23, 'Klinik Kalite Ölçümleri');
INSERT INTO `lang_definitions` VALUES (86908, 1085, 23, 'Klinik Kalite Ölçümleri 2011');
INSERT INTO `lang_definitions` VALUES (86909, 1086, 23, 'Klinik Kalite Ölçümleri 2014');
INSERT INTO `lang_definitions` VALUES (86910, 1087, 23, 'Klinik Hatırlatıcılar');
INSERT INTO `lang_definitions` VALUES (86911, 1088, 23, 'Klinik Raporlar');
INSERT INTO `lang_definitions` VALUES (86912, 1089, 23, 'Klinik Kural Aksiyon Kategorisi');
INSERT INTO `lang_definitions` VALUES (86913, 1090, 23, 'Klinik Kural Aksiyon Kalemi');
INSERT INTO `lang_definitions` VALUES (86914, 1091, 23, 'Klinik Kural Filtreleme Yöntemleri');
INSERT INTO `lang_definitions` VALUES (86915, 1092, 23, 'Klinik Kural Hedef Yöntemleri');
INSERT INTO `lang_definitions` VALUES (86916, 1093, 23, 'Klinik Kurallar');
INSERT INTO `lang_definitions` VALUES (86917, 1094, 23, 'Klinik Kurallar Yaş Aralıkları');
INSERT INTO `lang_definitions` VALUES (86918, 1095, 23, 'Klinik Kural Karşılaştırmaları');
INSERT INTO `lang_definitions` VALUES (86919, 1096, 23, 'Klinik Kurallar Görüşme Tipleri');
INSERT INTO `lang_definitions` VALUES (86920, 1097, 23, 'Klinik Kuralları Hatırlatma nedeniyle Seçenekleri');
INSERT INTO `lang_definitions` VALUES (86921, 1098, 23, 'Klinik Kuralları Hatırlatma inaktivasyonu Seçenekleri');
INSERT INTO `lang_definitions` VALUES (86922, 1099, 23, 'Klinik Kuralları Hatırlatma Aralıkları');
INSERT INTO `lang_definitions` VALUES (86923, 1100, 23, 'Klinik Kuralları Hatırlatma Yöntemleri');
INSERT INTO `lang_definitions` VALUES (86924, 1101, 23, 'Klinik Kuralları Hedef Aralıkları');
INSERT INTO `lang_definitions` VALUES (86925, 1102, 23, 'Klinik hedefler');
INSERT INTO `lang_definitions` VALUES (86926, 1103, 23, 'Klinik Terim');
INSERT INTO `lang_definitions` VALUES (86927, 1104, 23, 'Klinik Terim Kodları');
INSERT INTO `lang_definitions` VALUES (86928, 1106, 23, 'Klinisyenler');
INSERT INTO `lang_definitions` VALUES (86929, 1107, 23, 'Çoğalt');
INSERT INTO `lang_definitions` VALUES (86930, 1108, 23, 'Son Viziteyi Çoğalt');
INSERT INTO `lang_definitions` VALUES (86931, 1109, 23, 'Kapat');
INSERT INTO `lang_definitions` VALUES (86932, 1110, 23, 'Pencereyi Kapat');
INSERT INTO `lang_definitions` VALUES (86933, 1111, 23, 'pencereyi kapat');
INSERT INTO `lang_definitions` VALUES (86934, 1112, 23, 'Kapalı');
INSERT INTO `lang_definitions` VALUES (86935, 1113, 23, 'cm');
INSERT INTO `lang_definitions` VALUES (86936, 1114, 23, 'İçerik Yönetim Sistemi 1500 kenarlıkları');
INSERT INTO `lang_definitions` VALUES (86937, 1115, 23, 'İçerik Yönetim Sistemi 1500 Kağıt Form Kalıbı');
INSERT INTO `lang_definitions` VALUES (86938, 1116, 23, 'İçerik Yönetim Sistemi 1500 Kutu 31 Kalıbı');
INSERT INTO `lang_definitions` VALUES (86939, 1117, 23, 'İçerik Yönetim Sistemi 1500 Kutu 31 Kalıbı Tarihi (İmza)');
INSERT INTO `lang_definitions` VALUES (86940, 1118, 23, 'İçerik Yönetim Sistemi Kimlik');
INSERT INTO `lang_definitions` VALUES (86941, 1119, 23, 'İçerik Yönetim Sistemi Portali');
INSERT INTO `lang_definitions` VALUES (86942, 1120, 23, 'İçerik Yönetim Sistemi Portali Giriş');
INSERT INTO `lang_definitions` VALUES (86943, 1121, 23, 'İçerik Yönetim Sistemi Portali Giriş Kimliği');
INSERT INTO `lang_definitions` VALUES (86944, 1122, 23, 'İçerik Yönetim Sistemi Portali etkinleştirilmemiş!');
INSERT INTO `lang_definitions` VALUES (86945, 1123, 23, 'İçerik Yönetim Sistemi Portali Şifresi');
INSERT INTO `lang_definitions` VALUES (86946, 1124, 23, 'İçerik Yönetim Sistemi Portali İstemi');
INSERT INTO `lang_definitions` VALUES (86947, 1125, 23, 'İçerik Yönetim Sistemi Portali Site Adresi');
INSERT INTO `lang_definitions` VALUES (86948, 1126, 23, 'İçerik Yönetim Sistemi Portali Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (86949, 1127, 23, '2-12 kraniyal sinirler intakt');
INSERT INTO `lang_definitions` VALUES (86950, 1128, 23, 'Katkı Payı');
INSERT INTO `lang_definitions` VALUES (86951, 1129, 23, 'Ödenen Katkı Payı');
INSERT INTO `lang_definitions` VALUES (86952, 1130, 23, 'KATKI PAYI');
INSERT INTO `lang_definitions` VALUES (86953, 1131, 23, 'Kod');
INSERT INTO `lang_definitions` VALUES (86954, 1132, 23, 'kod');
INSERT INTO `lang_definitions` VALUES (86955, 1133, 23, 'Kod Bulucu');
INSERT INTO `lang_definitions` VALUES (86956, 1134, 23, 'Kod iki küçük harf olmalıdır');
INSERT INTO `lang_definitions` VALUES (86957, 1135, 23, 'Para birimini gösteren kod veya sembol');
INSERT INTO `lang_definitions` VALUES (86958, 1136, 23, 'Kod Teksti');
INSERT INTO `lang_definitions` VALUES (86959, 1137, 23, 'Kod Tipi');
INSERT INTO `lang_definitions` VALUES (86960, 1138, 23, 'kod tipi');
INSERT INTO `lang_definitions` VALUES (86961, 1139, 23, 'Kod tipi tanınmadı');
INSERT INTO `lang_definitions` VALUES (86962, 1140, 23, 'Kod tipi henüz tanımlanmadı');
INSERT INTO `lang_definitions` VALUES (86963, 1141, 23, 'Kod Tipleri');
INSERT INTO `lang_definitions` VALUES (86964, 1142, 23, 'Kod(lar)');
INSERT INTO `lang_definitions` VALUES (86965, 1143, 23, 'Kodlanmış');
INSERT INTO `lang_definitions` VALUES (86966, 1144, 23, 'Kodlar');
INSERT INTO `lang_definitions` VALUES (86967, 1145, 23, 'Kodlama');
INSERT INTO `lang_definitions` VALUES (86968, 1146, 23, 'Kodlama(eğitim için tıklayınız)');
INSERT INTO `lang_definitions` VALUES (86969, 1147, 23, 'Kodlama-Herhangi bir görüşme(Yazma, bazı seçmeli)');
INSERT INTO `lang_definitions` VALUES (86970, 1148, 23, 'Kodlama - Benim Görüşmelerim (Yazma bazı seçmeli)');
INSERT INTO `lang_definitions` VALUES (86971, 1149, 23, 'Kodlamaya izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (86972, 1150, 23, 'Kahve');
INSERT INTO `lang_definitions` VALUES (86973, 1151, 23, 'Kahve Kullanımı');
INSERT INTO `lang_definitions` VALUES (86974, 1152, 23, 'Ek sigorta');
INSERT INTO `lang_definitions` VALUES (86975, 1153, 23, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (86976, 1154, 23, 'Daralt');
INSERT INTO `lang_definitions` VALUES (86977, 1155, 23, 'daralt');
INSERT INTO `lang_definitions` VALUES (86978, 1156, 23, 'Tümünü Daralt');
INSERT INTO `lang_definitions` VALUES (86979, 1157, 23, 'Tümünü daralt');
INSERT INTO `lang_definitions` VALUES (86980, 1158, 23, 'tümünü daralt');
INSERT INTO `lang_definitions` VALUES (86981, 1160, 23, 'Alınma Tarihi');
INSERT INTO `lang_definitions` VALUES (86982, 1161, 23, 'Kolleksiyonlar');
INSERT INTO `lang_definitions` VALUES (86983, 1162, 23, 'Kolleksiyonlar Raporu');
INSERT INTO `lang_definitions` VALUES (86984, 1163, 23, 'Kolon Kanseri');
INSERT INTO `lang_definitions` VALUES (86985, 1164, 23, 'Kolon Kanseri Taraması');
INSERT INTO `lang_definitions` VALUES (86986, 1165, 23, 'Kolon Kanseri Cerrahisi');
INSERT INTO `lang_definitions` VALUES (86987, 1166, 23, 'Kolonoskopi');
INSERT INTO `lang_definitions` VALUES (86988, 1167, 23, 'kolonoskopi');
INSERT INTO `lang_definitions` VALUES (86989, 1168, 23, 'Renk');
INSERT INTO `lang_definitions` VALUES (86990, 1169, 23, 'Renk:Kıslt');
INSERT INTO `lang_definitions` VALUES (86991, 1170, 23, 'Sütun');
INSERT INTO `lang_definitions` VALUES (86992, 1171, 23, 'Sütunlar');
INSERT INTO `lang_definitions` VALUES (86993, 1172, 23, 'Partileri Birleştirmek');
INSERT INTO `lang_definitions` VALUES (86994, 1173, 23, 'Virgül');
INSERT INTO `lang_definitions` VALUES (86995, 1174, 23, 'Yorum');
INSERT INTO `lang_definitions` VALUES (86996, 1175, 23, 'Yorumlar');
INSERT INTO `lang_definitions` VALUES (86997, 1176, 23, 'Bu sonuç veya öneri için yorumlar');
INSERT INTO `lang_definitions` VALUES (86998, 1177, 23, 'Ticari Sigorta Şir.');
INSERT INTO `lang_definitions` VALUES (86999, 1178, 23, 'Kaydet');
INSERT INTO `lang_definitions` VALUES (87000, 1179, 23, 'İletişim');
INSERT INTO `lang_definitions` VALUES (87001, 1180, 23, 'İletişimler');
INSERT INTO `lang_definitions` VALUES (87002, 1182, 23, 'Şirket');
INSERT INTO `lang_definitions` VALUES (87003, 1183, 23, 'Şirket İsmi');
INSERT INTO `lang_definitions` VALUES (87004, 1184, 23, 'Tam');
INSERT INTO `lang_definitions` VALUES (87005, 1186, 23, 'Tamamlanmış');
INSERT INTO `lang_definitions` VALUES (87006, 1188, 23, 'Tamamlandı mı?');
INSERT INTO `lang_definitions` VALUES (87007, 1190, 23, 'Servis Sağlayıcının Komplikasyonları');
INSERT INTO `lang_definitions` VALUES (87008, 1191, 23, 'Düşük Komplikasyonları');
INSERT INTO `lang_definitions` VALUES (87009, 1192, 23, 'Bileşenler');
INSERT INTO `lang_definitions` VALUES (87010, 1193, 23, 'Bilgisayar Destekli Tıbbi Order Sistemi');
INSERT INTO `lang_definitions` VALUES (87011, 1194, 23, 'Sonuçlar');
INSERT INTO `lang_definitions` VALUES (87012, 1198, 23, 'Yapılandırma');
INSERT INTO `lang_definitions` VALUES (87013, 1199, 23, 'Yapılandırma');
INSERT INTO `lang_definitions` VALUES (87014, 1200, 23, 'Yapılandırmayı İçe/Dışa aktar');
INSERT INTO `lang_definitions` VALUES (87015, 1201, 23, 'Yapılandırma başarı ile kaydedildi');
INSERT INTO `lang_definitions` VALUES (87016, 1202, 23, 'Müşteri SSL sertifikalarını kullanmak üzere Apache ve LibreEHR ı yapılandır');
INSERT INTO `lang_definitions` VALUES (87017, 1203, 23, 'Müşteri tarafı SSL sertifikalarını kullanmak üzere Apache\'yi yapılandır.');
INSERT INTO `lang_definitions` VALUES (87018, 1204, 23, 'Apacheyi HTTPS kullanmak üzere yapılandır');
INSERT INTO `lang_definitions` VALUES (87019, 1205, 23, 'ÖzgürETK yı Kullanıcı tarafı SSL sertifikalarını kullanmak üzere yapılandır');
INSERT INTO `lang_definitions` VALUES (87020, 1206, 23, 'Yolları yapılandır');
INSERT INTO `lang_definitions` VALUES (87021, 1207, 23, 'Yolları Yapılandır');
INSERT INTO `lang_definitions` VALUES (87022, 1208, 23, 'Yeni Hasta Kaydı Oluşturmayı Onayla');
INSERT INTO `lang_definitions` VALUES (87023, 1209, 23, 'Yeni Şifreyi Onaylayınız');
INSERT INTO `lang_definitions` VALUES (87024, 1210, 23, 'Ödemeyi Onaylayın');
INSERT INTO `lang_definitions` VALUES (87025, 1214, 23, 'Konjenital');
INSERT INTO `lang_definitions` VALUES (87026, 1215, 23, 'Konjonktiva, pupillalar');
INSERT INTO `lang_definitions` VALUES (87027, 1216, 23, 'Bağlantı hatası');
INSERT INTO `lang_definitions` VALUES (87028, 1217, 23, 'Bağlayıcılar');
INSERT INTO `lang_definitions` VALUES (87029, 1218, 23, 'Sabit');
INSERT INTO `lang_definitions` VALUES (87030, 1219, 23, 'sabit isim');
INSERT INTO `lang_definitions` VALUES (87031, 1220, 23, 'Sabit isim boş');
INSERT INTO `lang_definitions` VALUES (87032, 1221, 23, 'sabitler');
INSERT INTO `lang_definitions` VALUES (87033, 1222, 23, 'Kabızlık');
INSERT INTO `lang_definitions` VALUES (87034, 1223, 23, 'Yapısal');
INSERT INTO `lang_definitions` VALUES (87035, 1226, 23, 'Konsültasyon Kısa Özeti');
INSERT INTO `lang_definitions` VALUES (87036, 1227, 23, 'Bağlantı');
INSERT INTO `lang_definitions` VALUES (87037, 1228, 23, 'Bağlantı Eposta');
INSERT INTO `lang_definitions` VALUES (87038, 1229, 23, 'Bağlantı Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (87039, 1230, 23, 'phiMail Doğrudan mesj hizmetine kaydolmak için EMR Direct ile temas kurunuz');
INSERT INTO `lang_definitions` VALUES (87040, 1231, 23, 'İletişim bilgileri');
INSERT INTO `lang_definitions` VALUES (87041, 1232, 23, 'Kontakt Lens');
INSERT INTO `lang_definitions` VALUES (87042, 1236, 23, 'Bağlantı kurulacak kişinin adı');
INSERT INTO `lang_definitions` VALUES (87043, 1237, 23, 'Bağlantı kurulacak kişi');
INSERT INTO `lang_definitions` VALUES (87044, 1239, 23, 'Bağlantı kurulacak telefon numarası');
INSERT INTO `lang_definitions` VALUES (87045, 1241, 23, 'aşağıdaki kalemlerden en az üç veya dördünü içerir:');
INSERT INTO `lang_definitions` VALUES (87046, 1242, 23, 'Konteyner grup adı');
INSERT INTO `lang_definitions` VALUES (87047, 1243, 23, 'İçerik');
INSERT INTO `lang_definitions` VALUES (87048, 1244, 23, 'içerik');
INSERT INTO `lang_definitions` VALUES (87049, 1245, 23, 'İçerik');
INSERT INTO `lang_definitions` VALUES (87050, 1246, 23, 'İçerik ismi boş olamaz');
INSERT INTO `lang_definitions` VALUES (87051, 1247, 23, 'Devam');
INSERT INTO `lang_definitions` VALUES (87052, 1248, 23, 'Bakımın Devamlılığı Belgesi (BDB)');
INSERT INTO `lang_definitions` VALUES (87053, 1249, 23, 'Bakımın Devamlılığı Kaydı(BDK)');
INSERT INTO `lang_definitions` VALUES (87054, 1250, 23, 'Aile Planlaması Hastaları');
INSERT INTO `lang_definitions` VALUES (87055, 1251, 23, 'Gebelikten Korunma');
INSERT INTO `lang_definitions` VALUES (87056, 1252, 23, 'Gebelikten Korunma Konuları');
INSERT INTO `lang_definitions` VALUES (87057, 1253, 23, 'Kontraseptif Komplikasyon (belirtiniz)');
INSERT INTO `lang_definitions` VALUES (87058, 1254, 23, 'Doğum Kontrol Yöntemi');
INSERT INTO `lang_definitions` VALUES (87059, 1255, 23, 'Aile Planlaması Ürünleri');
INSERT INTO `lang_definitions` VALUES (87060, 1256, 23, 'Önceden başlanmış doğum kontrol hizmetleri');
INSERT INTO `lang_definitions` VALUES (87061, 1257, 23, 'Kontraseptiflere Başla');
INSERT INTO `lang_definitions` VALUES (87062, 1258, 23, 'Kontrol ID');
INSERT INTO `lang_definitions` VALUES (87063, 1259, 23, 'Kontrol No:');
INSERT INTO `lang_definitions` VALUES (87064, 1261, 23, 'Eş ödeme');
INSERT INTO `lang_definitions` VALUES (87065, 1262, 23, 'Eködeme');
INSERT INTO `lang_definitions` VALUES (87066, 1263, 23, 'EkÖdeme');
INSERT INTO `lang_definitions` VALUES (87067, 1264, 23, 'Eködeme olumlu değil');
INSERT INTO `lang_definitions` VALUES (87068, 1265, 23, 'Eködeme Ödendi');
INSERT INTO `lang_definitions` VALUES (87069, 1266, 23, 'Eködemeler');
INSERT INTO `lang_definitions` VALUES (87070, 1267, 23, 'KOAH');
INSERT INTO `lang_definitions` VALUES (87071, 1268, 23, 'Sayfaları Hasta Dosyasına Kopyala');
INSERT INTO `lang_definitions` VALUES (87072, 1269, 23, 'Değerleri Kopyala');
INSERT INTO `lang_definitions` VALUES (87073, 1270, 23, 'Veritabanı dosyası kopyalanıyor. Biraz zaman alacak.');
INSERT INTO `lang_definitions` VALUES (87074, 1271, 23, 'Telif hakkı bilgisi');
INSERT INTO `lang_definitions` VALUES (87075, 1273, 23, 'Koroner Arter Baypas');
INSERT INTO `lang_definitions` VALUES (87076, 1274, 23, 'Koroner Arter Baypas Grefti');
INSERT INTO `lang_definitions` VALUES (87077, 1275, 23, 'Düzeltildi');
INSERT INTO `lang_definitions` VALUES (87078, 1276, 23, 'Korsika');
INSERT INTO `lang_definitions` VALUES (87079, 1277, 23, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (87080, 1278, 23, 'CouchDB Bağlantısı Başarısız oldu');
INSERT INTO `lang_definitions` VALUES (87081, 1279, 23, 'CouchDB Veritabanı');
INSERT INTO `lang_definitions` VALUES (87082, 1280, 23, 'CouchDB veritabanı adı');
INSERT INTO `lang_definitions` VALUES (87083, 1281, 23, 'CouchDB sağlayıcı');
INSERT INTO `lang_definitions` VALUES (87084, 1282, 23, 'CouchDB Host ismi');
INSERT INTO `lang_definitions` VALUES (87085, 1283, 23, 'CouchDB Log etkinleştir');
INSERT INTO `lang_definitions` VALUES (87086, 1284, 23, 'CouchDB şifresi');
INSERT INTO `lang_definitions` VALUES (87087, 1285, 23, 'CouchDB Portu');
INSERT INTO `lang_definitions` VALUES (87088, 1286, 23, 'CouchDB portu');
INSERT INTO `lang_definitions` VALUES (87089, 1287, 23, 'CouchDB kayıdı başarısız oldu');
INSERT INTO `lang_definitions` VALUES (87090, 1288, 23, 'CouchDB KullanıcıAdı');
INSERT INTO `lang_definitions` VALUES (87091, 1289, 23, 'Öksürük');
INSERT INTO `lang_definitions` VALUES (87092, 1290, 23, 'Öksürük:');
INSERT INTO `lang_definitions` VALUES (87093, 1291, 23, 'sunucuya bağlanılamadı');
INSERT INTO `lang_definitions` VALUES (87094, 1293, 23, 'tablo açılamadı');
INSERT INTO `lang_definitions` VALUES (87095, 1294, 23, 'Dosya okunamadı');
INSERT INTO `lang_definitions` VALUES (87096, 1295, 23, 'Dosya okunamadı');
INSERT INTO `lang_definitions` VALUES (87097, 1296, 23, 'Sunucu sorunu nedeniyle eposta gönderilemedi. ');
INSERT INTO `lang_definitions` VALUES (87098, 1297, 23, 'email sunucu hatası nedeniyle gönderilemedi ');
INSERT INTO `lang_definitions` VALUES (87099, 1298, 23, 'Yedek klasörü oluşturulamadı:');
INSERT INTO `lang_definitions` VALUES (87100, 1299, 23, 'Klasör silinemedi:');
INSERT INTO `lang_definitions` VALUES (87101, 1300, 23, 'Eski yedek dosyası silinemedi:');
INSERT INTO `lang_definitions` VALUES (87102, 1301, 23, 'Eski dışarı aktarım dosyası silinemedi:');
INSERT INTO `lang_definitions` VALUES (87103, 1302, 23, 'Kumadin tedavisi INR izlemi');
INSERT INTO `lang_definitions` VALUES (87104, 1303, 23, 'Yönteme göre ülkeler');
INSERT INTO `lang_definitions` VALUES (87105, 1304, 23, 'Danışma');
INSERT INTO `lang_definitions` VALUES (87106, 1305, 23, 'Danışmanlık Faaliyetleri');
INSERT INTO `lang_definitions` VALUES (87107, 1306, 23, 'KARŞI SEVK FORMU');
INSERT INTO `lang_definitions` VALUES (87108, 1307, 23, 'Karşı-Sevk');
INSERT INTO `lang_definitions` VALUES (87109, 1308, 23, 'Ülke');
INSERT INTO `lang_definitions` VALUES (87110, 1309, 23, 'Ülke Veri Tipi');
INSERT INTO `lang_definitions` VALUES (87111, 1310, 23, 'Ülke listesi');
INSERT INTO `lang_definitions` VALUES (87112, 1311, 23, 'Ülke Listesi (yaz, yalnızca ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (87113, 1312, 23, 'Ülke İsmi iki harfle temsil edilmelidir. ( Örnek: Türkiye TR dir)');
INSERT INTO `lang_definitions` VALUES (87114, 1313, 23, 'kasaba');
INSERT INTO `lang_definitions` VALUES (87115, 1315, 23, 'Bono');
INSERT INTO `lang_definitions` VALUES (87116, 1318, 23, 'GİT (Güncel İşlem Terminolojisi)');
INSERT INTO `lang_definitions` VALUES (87117, 1319, 23, 'GİT Kodu');
INSERT INTO `lang_definitions` VALUES (87118, 1320, 23, 'GİT Kodları');
INSERT INTO `lang_definitions` VALUES (87119, 1324, 23, 'Raller:');
INSERT INTO `lang_definitions` VALUES (87120, 1325, 23, 'krem');
INSERT INTO `lang_definitions` VALUES (87121, 1326, 23, 'Her bir kullanıcı veya her bir iş istasyonu için yeni bir müşteri SSL sertifikası oluştur');
INSERT INTO `lang_definitions` VALUES (87122, 1327, 23, 'Her bir kullanıcı veya her bir kullanıcı ev sahibi ismi için yeni bir müşteri SSL sertifikası oluştur');
INSERT INTO `lang_definitions` VALUES (87123, 1328, 23, 'Yeni yol oluştur');
INSERT INTO `lang_definitions` VALUES (87124, 1329, 23, 'Bir Olay Oluştur');
INSERT INTO `lang_definitions` VALUES (87125, 1330, 23, 'Tam bir yedek oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (87126, 1331, 23, 'Yolları oluştur ve düzenle');
INSERT INTO `lang_definitions` VALUES (87127, 1332, 23, 'Yedek Oluştur');
INSERT INTO `lang_definitions` VALUES (87128, 1333, 23, 'Yığın dosyası oluştur.');
INSERT INTO `lang_definitions` VALUES (87129, 1334, 23, 'Müşteri Sertifikası Oluştur');
INSERT INTO `lang_definitions` VALUES (87130, 1335, 23, 'Müşteri tarafı sertifikaları oluştur');
INSERT INTO `lang_definitions` VALUES (87131, 1336, 23, 'Kopyasını Oluştur');
INSERT INTO `lang_definitions` VALUES (87132, 1337, 23, 'Vizite kaydı oluştur');
INSERT INTO `lang_definitions` VALUES (87133, 1338, 23, 'Olay kaydının yedeğini oluştur');
INSERT INTO `lang_definitions` VALUES (87134, 1339, 23, 'Yeni konu oluştur');
INSERT INTO `lang_definitions` VALUES (87135, 1340, 23, 'Yeni Hasta Oluştur');
INSERT INTO `lang_definitions` VALUES (87136, 1341, 23, 'Yeni Yol oluştur');
INSERT INTO `lang_definitions` VALUES (87137, 1342, 23, 'Ofis erişimi kimlik bilgilerini oluştur');
INSERT INTO `lang_definitions` VALUES (87138, 1343, 23, 'Yerinde kimlik bilgilerini oluştur');
INSERT INTO `lang_definitions` VALUES (87139, 1344, 23, 'Hasta Notu Oluştur');
INSERT INTO `lang_definitions` VALUES (87140, 1345, 23, 'SSL Sertifikası Yetkilisi ve Sunucu sertifikaları oluştur.');
INSERT INTO `lang_definitions` VALUES (87141, 1346, 23, 'Vizit Oluştur.');
INSERT INTO `lang_definitions` VALUES (87142, 1347, 23, 'Oluşturuldu');
INSERT INTO `lang_definitions` VALUES (87143, 1348, 23, 'Dışa aktarım dosyası oluşturuluyor');
INSERT INTO `lang_definitions` VALUES (87144, 1349, 23, 'Yeni yol oluşturulması başarısız oldu');
INSERT INTO `lang_definitions` VALUES (87145, 1350, 23, 'Uzak sunucuda bu dosya oluşturulamadı');
INSERT INTO `lang_definitions` VALUES (87146, 1351, 23, 'İlk oluşturan');
INSERT INTO `lang_definitions` VALUES (87147, 1352, 23, 'alacak');
INSERT INTO `lang_definitions` VALUES (87148, 1353, 23, 'Kredi Kartı');
INSERT INTO `lang_definitions` VALUES (87149, 1354, 23, 'Krediler');
INSERT INTO `lang_definitions` VALUES (87150, 1355, 23, 'Kri');
INSERT INTO `lang_definitions` VALUES (87151, 1356, 23, 'Kriter');
INSERT INTO `lang_definitions` VALUES (87152, 1357, 23, 'Hırvat');
INSERT INTO `lang_definitions` VALUES (87153, 1358, 23, 'Kron Hastalığı');
INSERT INTO `lang_definitions` VALUES (87154, 1359, 23, 'Kron Hastalığı');
INSERT INTO `lang_definitions` VALUES (87155, 1360, 23, 'CSV dışa aktarma');
INSERT INTO `lang_definitions` VALUES (87156, 1361, 23, 'CSV Dosyası');
INSERT INTO `lang_definitions` VALUES (87157, 1362, 23, 'CSV Tablolar');
INSERT INTO `lang_definitions` VALUES (87158, 1363, 23, 'mm3');
INSERT INTO `lang_definitions` VALUES (87159, 1364, 23, 'Kübalı');
INSERT INTO `lang_definitions` VALUES (87160, 1365, 23, 'Para Birimi Ondalık Yerleri');
INSERT INTO `lang_definitions` VALUES (87161, 1366, 23, 'Para birimi Ondalık Sembolü');
INSERT INTO `lang_definitions` VALUES (87162, 1367, 23, 'Para Birimi Kısaltması');
INSERT INTO `lang_definitions` VALUES (87163, 1368, 23, 'Para Birimi Binler Ayırıcısı');
INSERT INTO `lang_definitions` VALUES (87164, 1369, 23, 'Güncel');
INSERT INTO `lang_definitions` VALUES (87165, 1370, 23, 'Güncel Alkol');
INSERT INTO `lang_definitions` VALUES (87166, 1371, 23, 'Güncel Konsültasyon');
INSERT INTO `lang_definitions` VALUES (87167, 1372, 23, 'Güncel Kriterler');
INSERT INTO `lang_definitions` VALUES (87168, 1373, 23, 'Güncel günü vurgulama rengi');
INSERT INTO `lang_definitions` VALUES (87169, 1374, 23, 'Halen her gün sigara içer');
INSERT INTO `lang_definitions` VALUES (87170, 1375, 23, 'Güncel dosyanın yeni ismi:');
INSERT INTO `lang_definitions` VALUES (87171, 1376, 23, 'Güncel Karma');
INSERT INTO `lang_definitions` VALUES (87172, 1377, 23, 'Güncel Yer');
INSERT INTO `lang_definitions` VALUES (87173, 1378, 23, 'Güncel İlaçlar');
INSERT INTO `lang_definitions` VALUES (87174, 1379, 23, 'Güncel Şifre');
INSERT INTO `lang_definitions` VALUES (87175, 1380, 23, 'Güncel Hasta');
INSERT INTO `lang_definitions` VALUES (87176, 1381, 23, 'Sadece Güncel Hasta');
INSERT INTO `lang_definitions` VALUES (87177, 1382, 23, 'Halen kullandığı uyuşturucu ilaçlar');
INSERT INTO `lang_definitions` VALUES (87178, 1383, 23, 'Halen bazı günler sigara içer');
INSERT INTO `lang_definitions` VALUES (87179, 1385, 23, 'Şu anki Değeri');
INSERT INTO `lang_definitions` VALUES (87180, 1386, 23, 'Halen Aktif');
INSERT INTO `lang_definitions` VALUES (87181, 1387, 23, 'Halen Çalışıyor');
INSERT INTO `lang_definitions` VALUES (87182, 1388, 23, 'Halen hiç tesis yok.');
INSERT INTO `lang_definitions` VALUES (87183, 1389, 23, 'Cushing Sendromu');
INSERT INTO `lang_definitions` VALUES (87184, 1390, 23, 'Cushing Sendromu');
INSERT INTO `lang_definitions` VALUES (87185, 1392, 23, 'Özel');
INSERT INTO `lang_definitions` VALUES (87186, 1393, 23, 'Özel Giriş?');
INSERT INTO `lang_definitions` VALUES (87187, 1394, 23, 'Özel Tablo');
INSERT INTO `lang_definitions` VALUES (87188, 1396, 23, 'Aşı Kodu');
INSERT INTO `lang_definitions` VALUES (87189, 1397, 23, 'Aşı Kod Haritası');
INSERT INTO `lang_definitions` VALUES (87190, 1398, 23, 'Aşı Bağışıklama');
INSERT INTO `lang_definitions` VALUES (87191, 1399, 23, 'Siklus');
INSERT INTO `lang_definitions` VALUES (87192, 1400, 23, 'CYP (Çocuklar ve Gençler)');
INSERT INTO `lang_definitions` VALUES (87193, 1401, 23, 'CYP faktörü ( Yıl başına konunan çift katsayısı)');
INSERT INTO `lang_definitions` VALUES (87194, 1402, 23, 'CYP (Çocuklar ve Gençler) Raporu');
INSERT INTO `lang_definitions` VALUES (87195, 1403, 23, 'Çek');
INSERT INTO `lang_definitions` VALUES (87196, 1404, 23, 'D');
INSERT INTO `lang_definitions` VALUES (87197, 1405, 23, 'D&C');
INSERT INTO `lang_definitions` VALUES (87198, 1406, 23, 'D&E');
INSERT INTO `lang_definitions` VALUES (87199, 1407, 23, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (87200, 1408, 23, 'günde');
INSERT INTO `lang_definitions` VALUES (87201, 1409, 23, 'Günlük Kayıt');
INSERT INTO `lang_definitions` VALUES (87202, 1410, 23, 'Danimarkaca');
INSERT INTO `lang_definitions` VALUES (87203, 1411, 23, 'Veritabanında benzeri veri önceden var, lütfen kod ve/veya tanımı değiştiriniz');
INSERT INTO `lang_definitions` VALUES (87204, 1412, 23, 'Veritabanında benzeri veri önceden var, lütfen sabit ismini değiştiriniz');
INSERT INTO `lang_definitions` VALUES (87205, 1413, 23, 'Veri Sütunları');
INSERT INTO `lang_definitions` VALUES (87206, 1416, 23, 'Veri Hatası');
INSERT INTO `lang_definitions` VALUES (87207, 1417, 23, 'Verinin alındığı yer');
INSERT INTO `lang_definitions` VALUES (87208, 1419, 23, 'Bugüne kadar olan tüm vizitelerin verileri');
INSERT INTO `lang_definitions` VALUES (87209, 1420, 23, 'Veri Tipi');
INSERT INTO `lang_definitions` VALUES (87210, 1421, 23, 'Veritabanı');
INSERT INTO `lang_definitions` VALUES (87211, 1422, 23, 'Veritabanı kurulu değil.');
INSERT INTO `lang_definitions` VALUES (87212, 1423, 23, 'Veritabanı yaması');
INSERT INTO `lang_definitions` VALUES (87213, 1424, 23, 'Veritabanı Raporlama');
INSERT INTO `lang_definitions` VALUES (87214, 1425, 23, 'Veritabanı yükseltilmesi bitti.');
INSERT INTO `lang_definitions` VALUES (87215, 1426, 23, 'VeriSütunları 1 ile 999 arasında bir sayı olmak zorunda');
INSERT INTO `lang_definitions` VALUES (87216, 1427, 23, 'Tarih');
INSERT INTO `lang_definitions` VALUES (87217, 1428, 23, 'TARİH');
INSERT INTO `lang_definitions` VALUES (87218, 1429, 23, 'Uygulandığı Tarih ve Zaman');
INSERT INTO `lang_definitions` VALUES (87219, 1431, 23, 'Uygulama Tarihi');
INSERT INTO `lang_definitions` VALUES (87220, 1432, 23, 'Örneğin alındığı tarih ve zaman');
INSERT INTO `lang_definitions` VALUES (87221, 1433, 23, 'Bu gözlemin tarih ve saati');
INSERT INTO `lang_definitions` VALUES (87222, 1435, 23, 'Örneğin alındığı tarih ve zaman');
INSERT INTO `lang_definitions` VALUES (87223, 1436, 23, 'Tarih bugünden büyük olamaz');
INSERT INTO `lang_definitions` VALUES (87224, 1437, 23, 'Doğum kontrol hizmetlerinin ilk defa sağlandığı tarih');
INSERT INTO `lang_definitions` VALUES (87225, 1438, 23, 'Oluşturulduğu Tarih');
INSERT INTO `lang_definitions` VALUES (87226, 1439, 23, 'Ölüm Tarihi');
INSERT INTO `lang_definitions` VALUES (87227, 1440, 23, 'Tarih Kaldırıldı');
INSERT INTO `lang_definitions` VALUES (87228, 1441, 23, 'Tarih Görüntülenme Biçimi');
INSERT INTO `lang_definitions` VALUES (87229, 1442, 23, '\"randevu sonu\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (87230, 1443, 23, '\"randevu başlangıcı\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (87231, 1444, 23, '\"Sonraki Randevu\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (87232, 1445, 23, '\"den beri görülmedi\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (87233, 1446, 23, '\"den beri görülmedi\" için tarih formatı geçerli değil');
INSERT INTO `lang_definitions` VALUES (87234, 1447, 23, 'Bağışıklama Tabloları Bilgisinin Verildiği Tarih');
INSERT INTO `lang_definitions` VALUES (87235, 1448, 23, 'kod için tarih eksik ');
INSERT INTO `lang_definitions` VALUES (87236, 1449, 23, 'Master kriter tarihi');
INSERT INTO `lang_definitions` VALUES (87237, 1450, 23, 'Banka hesap tarihi yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (87238, 1451, 23, 'Fatura tarihi');
INSERT INTO `lang_definitions` VALUES (87239, 1452, 23, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (87240, 1453, 23, 'Doğum tarihi');
INSERT INTO `lang_definitions` VALUES (87241, 1454, 23, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (87242, 1455, 23, 'Kayıt tarihi');
INSERT INTO `lang_definitions` VALUES (87243, 1456, 23, 'Yaralanma tarihi');
INSERT INTO `lang_definitions` VALUES (87244, 1458, 23, 'Ödeme tarihi yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (87245, 1459, 23, 'Sevk tarihi');
INSERT INTO `lang_definitions` VALUES (87246, 1460, 23, 'Cevap tarihi');
INSERT INTO `lang_definitions` VALUES (87247, 1461, 23, 'Rapor tarihi');
INSERT INTO `lang_definitions` VALUES (87248, 1462, 23, 'Servis tarihi');
INSERT INTO `lang_definitions` VALUES (87249, 1463, 23, 'Servis tarihi');
INSERT INTO `lang_definitions` VALUES (87250, 1464, 23, 'Servis Tarihi = Bugün');
INSERT INTO `lang_definitions` VALUES (87251, 1465, 23, 'Servis tarihi aa/gg/yyyy');
INSERT INTO `lang_definitions` VALUES (87252, 1466, 23, 'Servis Tarihi:');
INSERT INTO `lang_definitions` VALUES (87253, 1467, 23, 'İmza tarihi');
INSERT INTO `lang_definitions` VALUES (87254, 1468, 23, 'Durum Değişikliği Tarihi');
INSERT INTO `lang_definitions` VALUES (87255, 1469, 23, 'Bu siparişin tarihi');
INSERT INTO `lang_definitions` VALUES (87256, 1470, 23, 'Bu raporun tarihi');
INSERT INTO `lang_definitions` VALUES (87257, 1471, 23, 'Aşı Bilgi Beyanı tarihi');
INSERT INTO `lang_definitions` VALUES (87258, 1472, 23, 'Sipariş tarihi');
INSERT INTO `lang_definitions` VALUES (87259, 1474, 23, 'Tarih Seçici');
INSERT INTO `lang_definitions` VALUES (87260, 1475, 23, 'Tarih seçici');
INSERT INTO `lang_definitions` VALUES (87261, 1476, 23, 'Gönderildiği Tarih');
INSERT INTO `lang_definitions` VALUES (87262, 1477, 23, 'Mesajın Gönderildiği Tarih');
INSERT INTO `lang_definitions` VALUES (87263, 1478, 23, 'Tarih Zaman');
INSERT INTO `lang_definitions` VALUES (87264, 1479, 23, 'Tarih değerleri boş bırakılamaz');
INSERT INTO `lang_definitions` VALUES (87265, 1480, 23, 'Rand/ Tarih');
INSERT INTO `lang_definitions` VALUES (87266, 1481, 23, 'Notlar/Tarih');
INSERT INTO `lang_definitions` VALUES (87267, 1482, 23, 'Son Notlar/ Tarih');
INSERT INTO `lang_definitions` VALUES (87268, 1483, 23, 'Tarih/Saat');
INSERT INTO `lang_definitions` VALUES (87269, 1484, 23, 'Tarih:');
INSERT INTO `lang_definitions` VALUES (87270, 1485, 23, 'Tarihe göre mesaj kütüğü');
INSERT INTO `lang_definitions` VALUES (87271, 1486, 23, 'Gün');
INSERT INTO `lang_definitions` VALUES (87272, 1487, 23, 'gün');
INSERT INTO `lang_definitions` VALUES (87273, 1489, 23, 'Gün Görünümü');
INSERT INTO `lang_definitions` VALUES (87274, 1490, 23, 'Gün');
INSERT INTO `lang_definitions` VALUES (87275, 1491, 23, 'Gün(ler)Pt-Cu');
INSERT INTO `lang_definitions` VALUES (87276, 1492, 23, 'günler');
INSERT INTO `lang_definitions` VALUES (87277, 1493, 23, 'Günler');
INSERT INTO `lang_definitions` VALUES (87278, 1494, 23, 'gün önce.');
INSERT INTO `lang_definitions` VALUES (87279, 1495, 23, 'Kaçırılmış Günler ve Oyunlar');
INSERT INTO `lang_definitions` VALUES (87280, 1496, 23, 'Son Görüşmeden Sonra Geçen Gün');
INSERT INTO `lang_definitions` VALUES (87281, 1497, 23, 'Kaçırılan Günler');
INSERT INTO `lang_definitions` VALUES (87282, 1498, 23, 'Sütun başı Günler');
INSERT INTO `lang_definitions` VALUES (87283, 1500, 23, 'Günler/Süt');
INSERT INTO `lang_definitions` VALUES (87284, 1501, 23, 'VT kuruldu');
INSERT INTO `lang_definitions` VALUES (87285, 1502, 23, 'GG/AA/YYYY');
INSERT INTO `lang_definitions` VALUES (87286, 1503, 23, 'Hasta kimlik bilgilerinin gizlenmesi');
INSERT INTO `lang_definitions` VALUES (87287, 1504, 23, 'Hasta kimlik bilgilerinin gizlenmesi işlemi tamamlandı');
INSERT INTO `lang_definitions` VALUES (87288, 1505, 23, 'Hasta kimlik bilgilerinin gizlenmesi işlemi devam ediyor');
INSERT INTO `lang_definitions` VALUES (87289, 1506, 23, 'Hasta kimlik bilgilerinin gizlenmesi işlemi başlatıldı ve arka planda devam ediyor');
INSERT INTO `lang_definitions` VALUES (87290, 1507, 23, 'Kimlik bilgileri gizlenmiş veriler tam olmayabilir');
INSERT INTO `lang_definitions` VALUES (87291, 1508, 23, 'Kimlik bilgileri gizlenmiş dosyaların kaydedileceği yer:');
INSERT INTO `lang_definitions` VALUES (87292, 1509, 23, 'DEA');
INSERT INTO `lang_definitions` VALUES (87293, 1511, 23, 'Sağır');
INSERT INTO `lang_definitions` VALUES (87294, 1512, 23, 'Hata bulma bilgisi');
INSERT INTO `lang_definitions` VALUES (87295, 1514, 23, 'Hata bulma');
INSERT INTO `lang_definitions` VALUES (87296, 1515, 23, 'Ara');
INSERT INTO `lang_definitions` VALUES (87297, 1516, 23, 'ÖLDÜ');
INSERT INTO `lang_definitions` VALUES (87298, 1517, 23, 'Aralık');
INSERT INTO `lang_definitions` VALUES (87299, 1518, 23, 'Ondalık libreler beya libre ve onslar # işaretiyle ayrılır (5#4 gibi)');
INSERT INTO `lang_definitions` VALUES (87300, 1519, 23, 'Konuşmayı Red Etti');
INSERT INTO `lang_definitions` VALUES (87301, 1520, 23, 'Vergiden düşülebilir');
INSERT INTO `lang_definitions` VALUES (87302, 1521, 23, 'Karşılanan indirimler');
INSERT INTO `lang_definitions` VALUES (87303, 1522, 23, 'Ön tanımlı');
INSERT INTO `lang_definitions` VALUES (87304, 1523, 23, 'Ön Tanımlı Takvim Görümümü');
INSERT INTO `lang_definitions` VALUES (87305, 1524, 23, 'Ön Tanımlı Görüşme Formu ID');
INSERT INTO `lang_definitions` VALUES (87306, 1526, 23, 'Ön Tanımlı Tesis');
INSERT INTO `lang_definitions` VALUES (87307, 1527, 23, 'Ön Tanımlı Dil');
INSERT INTO `lang_definitions` VALUES (87308, 1528, 23, 'Başka hiçbirisine izin verilmez ya da seçilmemiş ise ön tanımlı dil.');
INSERT INTO `lang_definitions` VALUES (87309, 1529, 23, 'Ön Tanımlı Liste (yaz, ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (87310, 1530, 23, 'Ön Tanımlı Yöntem');
INSERT INTO `lang_definitions` VALUES (87311, 1531, 23, 'Ön Tanımlı Şifrenin Sona ereceği Gün Sayısı');
INSERT INTO `lang_definitions` VALUES (87312, 1532, 23, 'Ön Tanımlı Şifrenin Sona ereceği Gün Sayısı 0 ise bu özelliğin devre dışı bırakıldığını gösterir');
INSERT INTO `lang_definitions` VALUES (87313, 1533, 23, 'Öntanımlı Hasta Ülkesi');
INSERT INTO `lang_definitions` VALUES (87314, 1535, 23, 'Ön Tanımlı Öncelik');
INSERT INTO `lang_definitions` VALUES (87315, 1536, 23, 'Ön Tanımlı Hizmet Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (87316, 1537, 23, 'Ön Tanımlı Erim');
INSERT INTO `lang_definitions` VALUES (87317, 1538, 23, 'Vizitenin Ön Tanımlı Sebebi');
INSERT INTO `lang_definitions` VALUES (87318, 1540, 23, 'Ön tanımlı ayar');
INSERT INTO `lang_definitions` VALUES (87319, 1541, 23, 'Hasta listesinde Yeni Pencere işaret kutusunun ön tanımlı durumu');
INSERT INTO `lang_definitions` VALUES (87320, 1542, 23, 'Ön Tanımlı Kalıp');
INSERT INTO `lang_definitions` VALUES (87321, 1546, 23, 'Ön Tanımlı Birimler');
INSERT INTO `lang_definitions` VALUES (87322, 1547, 23, 'Ön Tanımlı Değer');
INSERT INTO `lang_definitions` VALUES (87323, 1548, 23, 'Ön Tanımlı Depo');
INSERT INTO `lang_definitions` VALUES (87324, 1549, 23, 'Ön Tanımlı X12 Partneri');
INSERT INTO `lang_definitions` VALUES (87325, 1550, 23, 'Ön Tanımlı/Global');
INSERT INTO `lang_definitions` VALUES (87326, 1551, 23, 'Sil');
INSERT INTO `lang_definitions` VALUES (87327, 1552, 23, 'sil');
INSERT INTO `lang_definitions` VALUES (87328, 1553, 23, 'Geç Nüks (>12 ay)');
INSERT INTO `lang_definitions` VALUES (87329, 1554, 23, 'Sil');
INSERT INTO `lang_definitions` VALUES (87330, 1555, 23, 'sil');
INSERT INTO `lang_definitions` VALUES (87331, 1556, 23, 'Silinecek Kategorilerin ID(leri): ');
INSERT INTO `lang_definitions` VALUES (87332, 1557, 23, 'Silme Kategorisi');
INSERT INTO `lang_definitions` VALUES (87333, 1559, 23, 'Silme Başarısız');
INSERT INTO `lang_definitions` VALUES (87334, 1560, 23, 'Grubu Sil');
INSERT INTO `lang_definitions` VALUES (87335, 1561, 23, 'Listeyi Sil');
INSERT INTO `lang_definitions` VALUES (87336, 1562, 23, 'Sayfaları Sil');
INSERT INTO `lang_definitions` VALUES (87337, 1563, 23, 'Hasta Görüşme,Form, Konu, Belge, Ödeme, Fatura veya İşlemi Sil');
INSERT INTO `lang_definitions` VALUES (87338, 1565, 23, 'Satırı Sil');
INSERT INTO `lang_definitions` VALUES (87339, 1566, 23, 'Seçili Kalemleri Sil');
INSERT INTO `lang_definitions` VALUES (87340, 1568, 23, 'Silme başarılı.');
INSERT INTO `lang_definitions` VALUES (87341, 1569, 23, 'Bu belgeyi sil');
INSERT INTO `lang_definitions` VALUES (87342, 1570, 23, 'Bu formu sil');
INSERT INTO `lang_definitions` VALUES (87343, 1571, 23, 'Bu notu sil');
INSERT INTO `lang_definitions` VALUES (87344, 1573, 23, 'Başarıyla Silindi');
INSERT INTO `lang_definitions` VALUES (87345, 1581, 23, 'Demans');
INSERT INTO `lang_definitions` VALUES (87346, 1582, 23, 'Demografi');
INSERT INTO `lang_definitions` VALUES (87347, 1583, 23, 'Demografik Bilgiler(yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (87348, 1585, 23, 'Demografik filtre kriterleri');
INSERT INTO `lang_definitions` VALUES (87349, 1586, 23, 'Demografik Bilgilere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (87350, 1587, 23, 'Demografik Bilgilere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (87351, 1589, 23, 'Payda');
INSERT INTO `lang_definitions` VALUES (87352, 1590, 23, 'Diş');
INSERT INTO `lang_definitions` VALUES (87353, 1592, 23, 'Diş Konuları');
INSERT INTO `lang_definitions` VALUES (87354, 1595, 23, 'Test ettiğiniz fatura tipine bağlı olarak HCFA (Sağlık Hizmeti Finans Yönetimi) faturaları için boş bir sayfada HCFA benzeri çıktılar göreceksiniz, Eğer X12 ödeme emri inceliyor iseniz karışık şifrelendirilmiş harflerden oluşan pekçok satır. Bu karışık yazı X12 EDI (Elektronik Data Değişimi) 4010A formatındadır. Bazen domino veya spiral benzeri acayip karakterler görebilirsiniz, bunlar sayfa sonu vs gibi kontrol karakteridir ve normaldir.');
INSERT INTO `lang_definitions` VALUES (87355, 1596, 23, 'Hesap Tarihi');
INSERT INTO `lang_definitions` VALUES (87356, 1597, 23, 'Hesap Tarihi Bugünden sonra olamaz');
INSERT INTO `lang_definitions` VALUES (87357, 1598, 23, 'Hesap Tarihi:');
INSERT INTO `lang_definitions` VALUES (87358, 1599, 23, 'Çökkün');
INSERT INTO `lang_definitions` VALUES (87359, 1600, 23, 'Depresyon');
INSERT INTO `lang_definitions` VALUES (87360, 1602, 23, 'Tanım');
INSERT INTO `lang_definitions` VALUES (87361, 1603, 23, 'tanım');
INSERT INTO `lang_definitions` VALUES (87362, 1605, 23, 'Açıklama Tanımı');
INSERT INTO `lang_definitions` VALUES (87363, 1606, 23, 'Bu işlemin tanımı veya sonuç kodu');
INSERT INTO `lang_definitions` VALUES (87364, 1607, 23, 'Tanım Çevirisi');
INSERT INTO `lang_definitions` VALUES (87365, 1609, 23, 'Varış Yeri');
INSERT INTO `lang_definitions` VALUES (87366, 1611, 23, 'Partiyi İmha Et');
INSERT INTO `lang_definitions` VALUES (87367, 1612, 23, 'İmha Et...');
INSERT INTO `lang_definitions` VALUES (87368, 1613, 23, 'İmha Edildi');
INSERT INTO `lang_definitions` VALUES (87369, 1614, 23, 'İmha Edilmiş İlaçlar');
INSERT INTO `lang_definitions` VALUES (87370, 1615, 23, 'İmha Edilmiş İlaçlar Raporu');
INSERT INTO `lang_definitions` VALUES (87371, 1616, 23, 'Ayrıntı');
INSERT INTO `lang_definitions` VALUES (87372, 1617, 23, 'Ayrıntılar');
INSERT INTO `lang_definitions` VALUES (87373, 1619, 23, 'Gelişimsel bozukluk');
INSERT INTO `lang_definitions` VALUES (87374, 1620, 23, 'Diyabet');
INSERT INTO `lang_definitions` VALUES (87375, 1621, 23, 'Diyabet Mellit');
INSERT INTO `lang_definitions` VALUES (87376, 1622, 23, 'Diyabet:Kan Basıncı Yönetimi');
INSERT INTO `lang_definitions` VALUES (87377, 1623, 23, 'Diyabet:Göz Muayenesi');
INSERT INTO `lang_definitions` VALUES (87378, 1624, 23, 'Diyabet:Göz Muayenesi Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (87379, 1625, 23, 'Diyabet Ayak Muayenesi');
INSERT INTO `lang_definitions` VALUES (87380, 1626, 23, 'Diyabet Ayak Muayenesi Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (87381, 1627, 23, 'Diyabet: Hemoglobin A1c Kötü Kontrol Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (87382, 1628, 23, 'Diyabet: Hemoglobin A1c');
INSERT INTO `lang_definitions` VALUES (87383, 1629, 23, 'Diyabet: LDL Yönetim ve Kontrolü Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (87384, 1630, 23, 'Diyabet: İdrarda Mikroalbüminemi');
INSERT INTO `lang_definitions` VALUES (87385, 1631, 23, 'Tanı');
INSERT INTO `lang_definitions` VALUES (87386, 1633, 23, 'Tanı');
INSERT INTO `lang_definitions` VALUES (87387, 1634, 23, 'Tanı Kodu');
INSERT INTO `lang_definitions` VALUES (87388, 1636, 23, 'Tanı tarihi');
INSERT INTO `lang_definitions` VALUES (87389, 1637, 23, 'Bağlanmış bir görüşmede tanı kodlanmalıdır');
INSERT INTO `lang_definitions` VALUES (87390, 1638, 23, 'Tanı İsmi');
INSERT INTO `lang_definitions` VALUES (87391, 1639, 23, 'Tanı Raporu');
INSERT INTO `lang_definitions` VALUES (87392, 1642, 23, 'Tanı Başlığı');
INSERT INTO `lang_definitions` VALUES (87393, 1643, 23, 'Tanı:');
INSERT INTO `lang_definitions` VALUES (87394, 1644, 23, 'Tanı: ');
INSERT INTO `lang_definitions` VALUES (87395, 1645, 23, 'Tanısal Testler:');
INSERT INTO `lang_definitions` VALUES (87396, 1646, 23, 'Çevriliyor');
INSERT INTO `lang_definitions` VALUES (87397, 1647, 23, 'Diyaframlar/Başlıklar');
INSERT INTO `lang_definitions` VALUES (87398, 1648, 23, 'Diyare');
INSERT INTO `lang_definitions` VALUES (87399, 1650, 23, 'Dikte');
INSERT INTO `lang_definitions` VALUES (87400, 1651, 23, 'Dikte: ');
INSERT INTO `lang_definitions` VALUES (87401, 1652, 23, 'Sağlık Sigortası Taşınabilirlik ve Sorumluluk Yasası Bildiriminin bir kopyasını aldınız mı?');
INSERT INTO `lang_definitions` VALUES (87402, 1653, 23, 'Yaygın:');
INSERT INTO `lang_definitions` VALUES (87403, 1654, 23, 'Dijital Olarak İmzalanmış');
INSERT INTO `lang_definitions` VALUES (87404, 1657, 23, 'Doğrudan Posta');
INSERT INTO `lang_definitions` VALUES (87405, 1663, 23, 'Müdür İsmi');
INSERT INTO `lang_definitions` VALUES (87406, 1665, 23, 'Sakatlık');
INSERT INTO `lang_definitions` VALUES (87407, 1667, 23, 'Takvimi Kaldır');
INSERT INTO `lang_definitions` VALUES (87408, 1668, 23, 'Çizelge İzleyicisini Kaldır');
INSERT INTO `lang_definitions` VALUES (87409, 1669, 23, 'Aşılamaları Kaldır');
INSERT INTO `lang_definitions` VALUES (87410, 1670, 23, 'Eski Metrik ANT Formunu Kaldır');
INSERT INTO `lang_definitions` VALUES (87411, 1672, 23, 'phpMyAdmin i kaldır');
INSERT INTO `lang_definitions` VALUES (87412, 1673, 23, 'Reçeteleri Kaldır');
INSERT INTO `lang_definitions` VALUES (87413, 1674, 23, 'Kullanıcı Gruplarını Kaldır');
INSERT INTO `lang_definitions` VALUES (87414, 1675, 23, 'kaldırıldı');
INSERT INTO `lang_definitions` VALUES (87415, 1676, 23, 'Kaldırıldı');
INSERT INTO `lang_definitions` VALUES (87416, 1678, 23, 'DISC');
INSERT INTO `lang_definitions` VALUES (87417, 1681, 23, 'Çıkart');
INSERT INTO `lang_definitions` VALUES (87418, 1682, 23, 'Uretra Akıntısı');
INSERT INTO `lang_definitions` VALUES (87419, 1684, 23, 'Sağ Akıntı');
INSERT INTO `lang_definitions` VALUES (87420, 1685, 23, 'Sağ Akıntı:');
INSERT INTO `lang_definitions` VALUES (87421, 1689, 23, 'Açıklama bilgisi');
INSERT INTO `lang_definitions` VALUES (87422, 1690, 23, 'Açıklama Tipi');
INSERT INTO `lang_definitions` VALUES (87423, 1691, 23, 'Açıklama Tipleri');
INSERT INTO `lang_definitions` VALUES (87424, 1692, 23, 'Açıklamalar');
INSERT INTO `lang_definitions` VALUES (87425, 1694, 23, 'İndirim');
INSERT INTO `lang_definitions` VALUES (87426, 1695, 23, 'İndirim Miktarı');
INSERT INTO `lang_definitions` VALUES (87427, 1696, 23, 'İndirim Düzeyi');
INSERT INTO `lang_definitions` VALUES (87428, 1697, 23, 'İndirim Yüzdesi');
INSERT INTO `lang_definitions` VALUES (87429, 1698, 23, 'Parasal Miktar olarak İndirimler');
INSERT INTO `lang_definitions` VALUES (87430, 1699, 23, 'Çıkış zamanında indirimler yüzde olarak değil para miktarı olarak girilir.');
INSERT INTO `lang_definitions` VALUES (87431, 1700, 23, 'Ayrık Sonuç');
INSERT INTO `lang_definitions` VALUES (87432, 1701, 23, 'Hastalık');
INSERT INTO `lang_definitions` VALUES (87433, 1702, 23, 'Çıkık');
INSERT INTO `lang_definitions` VALUES (87434, 1703, 23, 'Sevk No');
INSERT INTO `lang_definitions` VALUES (87435, 1704, 23, 'Sevk');
INSERT INTO `lang_definitions` VALUES (87436, 1705, 23, 'Alınan Belgelerin Dağıtımı');
INSERT INTO `lang_definitions` VALUES (87437, 1706, 23, 'Reçete edilmiş');
INSERT INTO `lang_definitions` VALUES (87438, 1707, 23, 'İleri direktifler ve demografik bilgiler sayfasını göster.');
INSERT INTO `lang_definitions` VALUES (87439, 1709, 23, 'Olay tarihleri blok olarak gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (87440, 1711, 23, 'Kaç olay gösterilsin');
INSERT INTO `lang_definitions` VALUES (87441, 1713, 23, 'Yer blok içerisinde gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (87442, 1714, 23, 'Görünen Ad');
INSERT INTO `lang_definitions` VALUES (87443, 1715, 23, 'Takvim gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (87444, 1718, 23, 'Bugünkü olaylar blokta gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (87445, 1719, 23, 'Konu blokta gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (87446, 1720, 23, 'Gelecek olaylar blokta gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (87447, 1721, 23, 'Gösterilen Sütunlar');
INSERT INTO `lang_definitions` VALUES (87448, 1722, 23, 'En son aşağıdaki sayıda açıklama gösteriliyor');
INSERT INTO `lang_definitions` VALUES (87449, 1723, 23, 'Aşağıdaki sayıda en yeni notlar gösterilmektedir');
INSERT INTO `lang_definitions` VALUES (87450, 1724, 23, 'En son notlardan izleyen sayıda olanlar gösteriliyor:');
INSERT INTO `lang_definitions` VALUES (87451, 1725, 23, 'Dağılım');
INSERT INTO `lang_definitions` VALUES (87452, 1726, 23, 'Dağılımlar');
INSERT INTO `lang_definitions` VALUES (87453, 1727, 23, 'Dağıtıcı');
INSERT INTO `lang_definitions` VALUES (87454, 1729, 23, 'Divertikülit');
INSERT INTO `lang_definitions` VALUES (87455, 1730, 23, 'Divertikülit Cerrahisi');
INSERT INTO `lang_definitions` VALUES (87456, 1731, 23, 'Divertikülitis');
INSERT INTO `lang_definitions` VALUES (87457, 1732, 23, 'Divertikülitis Cerrahisi');
INSERT INTO `lang_definitions` VALUES (87458, 1733, 23, 'Boşanmış');
INSERT INTO `lang_definitions` VALUES (87459, 1734, 23, 'Baş dönmesi');
INSERT INTO `lang_definitions` VALUES (87460, 1735, 23, 'Değiştirmeyiniz');
INSERT INTO `lang_definitions` VALUES (87461, 1742, 23, 'Takvimi göstermeyiniz');
INSERT INTO `lang_definitions` VALUES (87462, 1744, 23, 'Hiçbir ürünün envanterini çıkartmayınız ve satmayınız.');
INSERT INTO `lang_definitions` VALUES (87463, 1745, 23, 'Hasta notlarına yetkilendirme istemeyiniz.');
INSERT INTO `lang_definitions` VALUES (87464, 1746, 23, 'Resisüte Edilmeyecek Orderi');
INSERT INTO `lang_definitions` VALUES (87465, 1747, 23, 'kaydetmeyiniz');
INSERT INTO `lang_definitions` VALUES (87466, 1748, 23, 'yerine koymayınız');
INSERT INTO `lang_definitions` VALUES (87467, 1749, 23, 'hiçbir şey yapmayınız');
INSERT INTO `lang_definitions` VALUES (87468, 1751, 23, 'Gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87469, 1752, 23, 'Seçili kısmı gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87470, 1753, 23, 'Bu grubu gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87471, 1755, 23, 'Devan etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87472, 1756, 23, 'Bunu silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87473, 1757, 23, 'Silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87474, 1758, 23, 'Bu kaydı silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87475, 1759, 23, 'Bu yeni hastayı eklemeye gerçekten devam etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87476, 1760, 23, 'Yeni isim ile devam etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87477, 1761, 23, 'Bu aşılama kaydını gerçekten KALICI OLARAK silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (87478, 1762, 23, 'Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (87479, 1763, 23, 'Doğum Tarihi eksik mümkünse giriniz');
INSERT INTO `lang_definitions` VALUES (87480, 1764, 23, 'Doktorlar');
INSERT INTO `lang_definitions` VALUES (87481, 1765, 23, 'Doktor');
INSERT INTO `lang_definitions` VALUES (87482, 1766, 23, 'Doktor:');
INSERT INTO `lang_definitions` VALUES (87483, 1767, 23, 'Doktorun adı ve imzası');
INSERT INTO `lang_definitions` VALUES (87484, 1768, 23, 'Belge');
INSERT INTO `lang_definitions` VALUES (87485, 1769, 23, 'belge');
INSERT INTO `lang_definitions` VALUES (87486, 1770, 23, 'Belge Kategorileri');
INSERT INTO `lang_definitions` VALUES (87487, 1775, 23, 'Belge hasta id sine transfer edilemedi');
INSERT INTO `lang_definitions` VALUES (87488, 1777, 23, 'Belge Tarihi');
INSERT INTO `lang_definitions` VALUES (87489, 1778, 23, 'Belge tarih ve konusu başarıyla güncellendi');
INSERT INTO `lang_definitions` VALUES (87490, 1779, 23, 'Belge ID');
INSERT INTO `lang_definitions` VALUES (87491, 1780, 23, 'Belge yeni bir kategoriye taşındı');
INSERT INTO `lang_definitions` VALUES (87492, 1781, 23, 'Belge hasta id sine transfer edildi');
INSERT INTO `lang_definitions` VALUES (87493, 1783, 23, 'Belge bütünlük kontrolünü geçti.');
INSERT INTO `lang_definitions` VALUES (87494, 1785, 23, 'Belge/Resim Saklama');
INSERT INTO `lang_definitions` VALUES (87495, 1790, 23, 'Belge/Görüntüleme Saklanması');
INSERT INTO `lang_definitions` VALUES (87496, 1791, 23, 'Belgeler');
INSERT INTO `lang_definitions` VALUES (87497, 1792, 23, 'Belgeler (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (87498, 1794, 23, 'DOE');
INSERT INTO `lang_definitions` VALUES (87499, 1798, 23, 'Bu tip ilgili kodlara izin veriyor mu?');
INSERT INTO `lang_definitions` VALUES (87500, 1799, 23, 'Ev Arkadaşı');
INSERT INTO `lang_definitions` VALUES (87501, 1800, 23, 'Kaydetme');
INSERT INTO `lang_definitions` VALUES (87502, 1801, 23, 'Kaydetme');
INSERT INTO `lang_definitions` VALUES (87503, 1802, 23, 'Kaydetme');
INSERT INTO `lang_definitions` VALUES (87504, 1803, 23, 'Bitti');
INSERT INTO `lang_definitions` VALUES (87505, 1804, 23, 'Biten işlem:');
INSERT INTO `lang_definitions` VALUES (87506, 1805, 23, 'Bitti. Şimdi indire gönderilecek');
INSERT INTO `lang_definitions` VALUES (87507, 1806, 23, 'Ameliyat Tarihi');
INSERT INTO `lang_definitions` VALUES (87508, 1807, 23, 'Dozaj');
INSERT INTO `lang_definitions` VALUES (87509, 1809, 23, 'Düzenlemek için çift tıklayınız');
INSERT INTO `lang_definitions` VALUES (87510, 1810, 23, 'Çift Görme');
INSERT INTO `lang_definitions` VALUES (87511, 1811, 23, 'İndir');
INSERT INTO `lang_definitions` VALUES (87512, 1814, 23, 'Yine de İndir');
INSERT INTO `lang_definitions` VALUES (87513, 1815, 23, 'Fatura dosyasını indir, muhasebeye gönder ve faturalandırıldı diye işaretle.');
INSERT INTO `lang_definitions` VALUES (87514, 1817, 23, 'Sertifikaları İndir');
INSERT INTO `lang_definitions` VALUES (87515, 1818, 23, 'Konfigürasyon verilerini indir');
INSERT INTO `lang_definitions` VALUES (87516, 1820, 23, 'şifreli dosyayı indir');
INSERT INTO `lang_definitions` VALUES (87517, 1827, 23, 'Seçili Tabloları İndir');
INSERT INTO `lang_definitions` VALUES (87518, 1828, 23, 'Dr Kontrolü');
INSERT INTO `lang_definitions` VALUES (87519, 1829, 23, 'Dr Viziti');
INSERT INTO `lang_definitions` VALUES (87520, 1830, 23, 'Dr.');
INSERT INTO `lang_definitions` VALUES (87521, 1831, 23, 'Hareket ettirmek için sürükleyiniz');
INSERT INTO `lang_definitions` VALUES (87522, 1832, 23, 'Damlama');
INSERT INTO `lang_definitions` VALUES (87523, 1833, 23, 'Sürücü Belgesi No:');
INSERT INTO `lang_definitions` VALUES (87524, 1834, 23, 'İlaç');
INSERT INTO `lang_definitions` VALUES (87525, 1835, 23, 'İlaç Bulucu');
INSERT INTO `lang_definitions` VALUES (87526, 1836, 23, 'İlaç Formları');
INSERT INTO `lang_definitions` VALUES (87527, 1837, 23, 'İlaç ID si eksik');
INSERT INTO `lang_definitions` VALUES (87528, 1838, 23, 'İlaç araları');
INSERT INTO `lang_definitions` VALUES (87529, 1839, 23, 'İlaç envanteri');
INSERT INTO `lang_definitions` VALUES (87530, 1840, 23, 'İlaç İsmi');
INSERT INTO `lang_definitions` VALUES (87531, 1841, 23, 'İlacın verildiği Yollar');
INSERT INTO `lang_definitions` VALUES (87532, 1845, 23, 'İlaç Birimleri');
INSERT INTO `lang_definitions` VALUES (87533, 1846, 23, 'İlaçlar');
INSERT INTO `lang_definitions` VALUES (87534, 1847, 23, 'İlaçlar ve Ürünler');
INSERT INTO `lang_definitions` VALUES (87535, 1848, 23, 'Ağız Kuruluğu');
INSERT INTO `lang_definitions` VALUES (87536, 1850, 23, 'DT 1');
INSERT INTO `lang_definitions` VALUES (87537, 1851, 23, 'DT 2');
INSERT INTO `lang_definitions` VALUES (87538, 1852, 23, 'DT 3');
INSERT INTO `lang_definitions` VALUES (87539, 1853, 23, 'DT 4');
INSERT INTO `lang_definitions` VALUES (87540, 1854, 23, 'DT 5');
INSERT INTO `lang_definitions` VALUES (87541, 1855, 23, 'DBT 1');
INSERT INTO `lang_definitions` VALUES (87542, 1856, 23, 'DBT 2');
INSERT INTO `lang_definitions` VALUES (87543, 1857, 23, 'DBT 3');
INSERT INTO `lang_definitions` VALUES (87544, 1858, 23, 'DBT 4');
INSERT INTO `lang_definitions` VALUES (87545, 1859, 23, 'DBT 5');
INSERT INTO `lang_definitions` VALUES (87546, 1860, 23, 'Vadesi dolmuş');
INSERT INTO `lang_definitions` VALUES (87547, 1861, 23, 'Vade Tarihi');
INSERT INTO `lang_definitions` VALUES (87548, 1862, 23, 'Vade Tarihi aa/gg/yyyy veya yyyy/-aa-gg');
INSERT INTO `lang_definitions` VALUES (87549, 1863, 23, 'Vade Tarihi:');
INSERT INTO `lang_definitions` VALUES (87550, 1864, 23, 'Sigorta Borcu');
INSERT INTO `lang_definitions` VALUES (87551, 1865, 23, 'Hasta Borcu');
INSERT INTO `lang_definitions` VALUES (87552, 1866, 23, 'Vadesi Yakın');
INSERT INTO `lang_definitions` VALUES (87553, 1867, 23, 'Temerrüt Durumu');
INSERT INTO `lang_definitions` VALUES (87554, 1868, 23, 'Vade Durumu Güncelleme');
INSERT INTO `lang_definitions` VALUES (87555, 1869, 23, 'ÖzgürETK veritabanı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (87556, 1870, 23, 'ÖzgürETK web dizini ağacı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (87557, 1871, 23, 'phpGACL veritabanı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (87558, 1872, 23, 'phpGACL web dizini ağacı dökümü yapılıyor');
INSERT INTO `lang_definitions` VALUES (87559, 1873, 23, 'SQL-Defteri-kebir Veritabanı Dökümü Yapılıyor');
INSERT INTO `lang_definitions` VALUES (87560, 1874, 23, 'SQL-Defteri-kebir Veritabanı Dökümü Yapılıyor');
INSERT INTO `lang_definitions` VALUES (87561, 1875, 23, 'Çift Kontrolü');
INSERT INTO `lang_definitions` VALUES (87562, 1876, 23, 'Satırında çift ID');
INSERT INTO `lang_definitions` VALUES (87563, 1877, 23, 'Satırında çift isim');
INSERT INTO `lang_definitions` VALUES (87564, 1878, 23, 'ÇİFT UYARISI');
INSERT INTO `lang_definitions` VALUES (87565, 1879, 23, 'Avukatın Kalıcı Gücü');
INSERT INTO `lang_definitions` VALUES (87566, 1880, 23, 'süre');
INSERT INTO `lang_definitions` VALUES (87567, 1881, 23, 'süre');
INSERT INTO `lang_definitions` VALUES (87568, 1882, 23, 'Hollandaca');
INSERT INTO `lang_definitions` VALUES (87569, 1884, 23, 'Disfaji');
INSERT INTO `lang_definitions` VALUES (87570, 1885, 23, 'Dispne:');
INSERT INTO `lang_definitions` VALUES (87571, 1886, 23, 'Dizüri');
INSERT INTO `lang_definitions` VALUES (87572, 1888, 23, 'E-Reçete?');
INSERT INTO `lang_definitions` VALUES (87573, 1890, 23, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (87574, 1892, 23, 'eRx Yenileme');
INSERT INTO `lang_definitions` VALUES (87575, 1894, 23, 'Erken Nüks (<2 Ay)');
INSERT INTO `lang_definitions` VALUES (87576, 1895, 23, 'Kulaklar');
INSERT INTO `lang_definitions` VALUES (87577, 1896, 23, 'EKG');
INSERT INTO `lang_definitions` VALUES (87578, 1898, 23, 'Ödem');
INSERT INTO `lang_definitions` VALUES (87579, 1902, 23, 'EDI-271 Dosya Yükleme');
INSERT INTO `lang_definitions` VALUES (87580, 1903, 23, 'EDI-271 Cevap Dosyası Yükleme');
INSERT INTO `lang_definitions` VALUES (87581, 1904, 23, 'Düzenle');
INSERT INTO `lang_definitions` VALUES (87582, 1905, 23, 'düzenle');
INSERT INTO `lang_definitions` VALUES (87583, 1906, 23, 'Alerjileri Düzenle');
INSERT INTO `lang_definitions` VALUES (87584, 1907, 23, 'Kategorileri Düzenle');
INSERT INTO `lang_definitions` VALUES (87585, 1908, 23, 'Tanımları Düzenle');
INSERT INTO `lang_definitions` VALUES (87586, 1909, 23, 'Tanımları düzenle');
INSERT INTO `lang_definitions` VALUES (87587, 1910, 23, 'Tanıları Düzenlenecek:');
INSERT INTO `lang_definitions` VALUES (87588, 1911, 23, 'Açıklamayı Düzenle');
INSERT INTO `lang_definitions` VALUES (87589, 1912, 23, 'Tesisleri Düzenle');
INSERT INTO `lang_definitions` VALUES (87590, 1913, 23, 'Tesisi Düzenle');
INSERT INTO `lang_definitions` VALUES (87591, 1914, 23, 'Tesis Bilgisini Düzenle');
INSERT INTO `lang_definitions` VALUES (87592, 1916, 23, 'Dosya düzenlenecek:');
INSERT INTO `lang_definitions` VALUES (87593, 1917, 23, 'Formu düzenle');
INSERT INTO `lang_definitions` VALUES (87594, 1918, 23, 'Global Ayarları Düzenle');
INSERT INTO `lang_definitions` VALUES (87595, 1920, 23, 'Görünümü düzenle');
INSERT INTO `lang_definitions` VALUES (87596, 1921, 23, 'Listeyi düzenle');
INSERT INTO `lang_definitions` VALUES (87597, 1922, 23, 'Ödemeyi düzenle');
INSERT INTO `lang_definitions` VALUES (87598, 1923, 23, 'Yapıyı Düzenle');
INSERT INTO `lang_definitions` VALUES (87599, 1924, 23, 'Kullanıcıyı Düzenle');
INSERT INTO `lang_definitions` VALUES (87600, 1925, 23, 'Kullanıcı ayarlarını düzenle');
INSERT INTO `lang_definitions` VALUES (87601, 1928, 23, 'Eğitim');
INSERT INTO `lang_definitions` VALUES (87602, 1929, 23, 'Eğitim Tarihi');
INSERT INTO `lang_definitions` VALUES (87603, 1931, 23, 'Daha fazla ayrıntı için GNU Genel Kamu Lisansına bakınız. ** Bu programla birlikte size GNU Genel Kamu Lisansının bir Kopyası gelmiş olmalıdır, gelmedi ise Özgür Yazılım Vakfına yazınız ');
INSERT INTO `lang_definitions` VALUES (87604, 1932, 23, 'Etkili Olduğu Tarih');
INSERT INTO `lang_definitions` VALUES (87605, 1934, 23, 'Etkinlik');
INSERT INTO `lang_definitions` VALUES (87606, 1935, 23, 'İşveren No');
INSERT INTO `lang_definitions` VALUES (87607, 1936, 23, 'Ejakülasyonlar');
INSERT INTO `lang_definitions` VALUES (87608, 1937, 23, 'Dirsek');
INSERT INTO `lang_definitions` VALUES (87609, 1938, 23, 'Dirsek Sorunları');
INSERT INTO `lang_definitions` VALUES (87610, 1939, 23, 'Elektronik');
INSERT INTO `lang_definitions` VALUES (87611, 1942, 23, 'Elektronik Alındılar');
INSERT INTO `lang_definitions` VALUES (87612, 1944, 23, 'Seçilebilirlik');
INSERT INTO `lang_definitions` VALUES (87613, 1945, 23, 'Seçilebilirlik 270 Sorgu Yığını');
INSERT INTO `lang_definitions` VALUES (87614, 1946, 23, 'Seçilebilirlik Yanıtı');
INSERT INTO `lang_definitions` VALUES (87615, 1947, 23, 'Sağlık Bakanlığınca Sağlanan Çocuk Aşılarına seçilebilir durumu');
INSERT INTO `lang_definitions` VALUES (87616, 1948, 23, 'Seçilebilir');
INSERT INTO `lang_definitions` VALUES (87617, 1949, 23, 'Eposta');
INSERT INTO `lang_definitions` VALUES (87618, 1951, 23, 'Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (87619, 1953, 23, 'Hasta hatırlatılatıcılarının gönderileceği eposta adresi. Yanıtlar bu adrese geleceğinden gereksiz postalar klasörüne düşmemesi için kliniğinizin alan adını içeren bir eposta adresi kullanmanız önemlidir.');
INSERT INTO `lang_definitions` VALUES (87620, 1954, 23, 'Yönetimsel uyarıların, eğer var ise, alınacağı eposta adresi');
INSERT INTO `lang_definitions` VALUES (87621, 1955, 23, 'Acil giriş kullanıcısının, eğer varsa, aktivasyon uyarılarını alacağı eposta adresi');
INSERT INTO `lang_definitions` VALUES (87622, 1956, 23, 'Eposta Yazan');
INSERT INTO `lang_definitions` VALUES (87623, 1957, 23, 'Batchcom dan Eposta');
INSERT INTO `lang_definitions` VALUES (87624, 1958, 23, 'Eposta Duyurusu');
INSERT INTO `lang_definitions` VALUES (87625, 1959, 23, 'Eposta Duyurusu Saatleri');
INSERT INTO `lang_definitions` VALUES (87626, 1961, 23, 'Önce Eposta gönder');
INSERT INTO `lang_definitions` VALUES (87627, 1962, 23, 'Eposta Gönderen');
INSERT INTO `lang_definitions` VALUES (87628, 1963, 23, 'Gönderilmiş Eposta');
INSERT INTO `lang_definitions` VALUES (87629, 1965, 23, 'Eposta Konusu');
INSERT INTO `lang_definitions` VALUES (87630, 1966, 23, 'Eposta metin, Kullanılabilir Etiket:***İsim***, örneğin Sayın ***İsim***');
INSERT INTO `lang_definitions` VALUES (87631, 1968, 23, 'Eposta Gönderme Yöntemi');
INSERT INTO `lang_definitions` VALUES (87632, 1969, 23, 'Eposta aşağıdaki adrese gönderildi');
INSERT INTO `lang_definitions` VALUES (87633, 1971, 23, 'Acil Durumda Temas Kurulacak');
INSERT INTO `lang_definitions` VALUES (87634, 1972, 23, 'Acil Durumda Temas Kurulacak Kişi');
INSERT INTO `lang_definitions` VALUES (87635, 1973, 23, 'Acil Durumda Temas Kurulacak Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (87636, 1974, 23, 'Acil Kontrasepsiyon');
INSERT INTO `lang_definitions` VALUES (87637, 1975, 23, 'Acil Giriş');
INSERT INTO `lang_definitions` VALUES (87638, 1976, 23, 'Acil Giriş ACL seçildi. Kullanıcı hala aktif durumda. Lütfen kullanıcıyı deaktive edin ve acil durumlarda gerektiğinde aynısını aktive edin. Vizit Yönetimi->Aktivasyon veya deaktivasyon için kullanıcılar');
INSERT INTO `lang_definitions` VALUES (87639, 1977, 23, 'Acil Giriş aktivasyon epostasının dolaştırılması için tek şart arayüz/global.php dosyasındaki izleyen ayarların yapılmasıdır.');
INSERT INTO `lang_definitions` VALUES (87640, 1978, 23, 'Acil Giriş Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (87641, 1979, 23, 'Acil Giriş Kullanıcısı her şeyi yapabilir.');
INSERT INTO `lang_definitions` VALUES (87642, 1980, 23, 'Acil Telefon');
INSERT INTO `lang_definitions` VALUES (87643, 1982, 23, 'Amfizem');
INSERT INTO `lang_definitions` VALUES (87644, 1983, 23, 'Çalışan');
INSERT INTO `lang_definitions` VALUES (87645, 1984, 23, 'İşveren');
INSERT INTO `lang_definitions` VALUES (87646, 1985, 23, 'İşveren Adresi');
INSERT INTO `lang_definitions` VALUES (87647, 1986, 23, 'İşveren Bilgileri');
INSERT INTO `lang_definitions` VALUES (87648, 1987, 23, 'İşveren İsmi');
INSERT INTO `lang_definitions` VALUES (87649, 1988, 23, 'BOŞ');
INSERT INTO `lang_definitions` VALUES (87650, 1989, 23, 'Boş');
INSERT INTO `lang_definitions` VALUES (87651, 1991, 23, '\"Eposta Saatleri\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (87652, 1992, 23, '\"Eposta Gönderen\" de boş değer');
INSERT INTO `lang_definitions` VALUES (87653, 1993, 23, '\"Eposta Konusu\"nda boş değer');
INSERT INTO `lang_definitions` VALUES (87654, 1994, 23, '\"Eposta metini\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (87655, 1995, 23, '\"Sağlayıcı İsmi\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (87656, 1996, 23, '\"Şifre\"de boş değer');
INSERT INTO `lang_definitions` VALUES (87657, 1997, 23, '\"SMS saatleri\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (87658, 1998, 23, '\"SMS Metni\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (87659, 1999, 23, '\"Kullanıcı İsmi\"nde boş değer');
INSERT INTO `lang_definitions` VALUES (87660, 2006, 23, 'Otomatik Ölçüm Hesaplamaları Uyarılarını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87661, 2008, 23, 'Otomatik Ölçüm Hesaplamaları Raporlamayı Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87662, 2009, 23, 'Otomatik Ölçüm Hesaplamaları İzlemeyi Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87663, 2011, 23, 'Güvenli iletişim denetimini etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87664, 2013, 23, 'Denetim Kaydını Etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87665, 2014, 23, 'Katar ve Düğüm Doğrulama Denetimini Etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87666, 2015, 23, 'Otomatik Ölçüm Hesaplamalarını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87667, 2016, 23, 'Müşteri SSL etkinleştir');
INSERT INTO `lang_definitions` VALUES (87668, 2017, 23, 'Müşteri SSL doğrulamasını etkinleştir');
INSERT INTO `lang_definitions` VALUES (87669, 2019, 23, 'Klinik Karar Kurallarını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87670, 2022, 23, 'Klinik Kalite Ölçüm Raporlamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87671, 2023, 23, 'Klinik Uyarıcı Açılır Penceresini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87672, 2024, 23, 'Klinik Uyarıcı Uygulamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87673, 2027, 23, 'Klinik Kalite Yönetimi Raporlamayı Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87674, 2031, 23, 'Hylafax Desteğini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87675, 2037, 23, 'Lab Değişimini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87676, 2040, 23, 'Tüm SQL SEÇ sorgularının kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87677, 2041, 23, 'Yedekleme ile ilgili etkinliklerin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87678, 2043, 23, 'Çeşitli etkinliklerin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87679, 2044, 23, 'Order etkinliklerinin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87680, 2045, 23, 'Hasta kaydı değişikliklerinin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87681, 2046, 23, 'Zamanlama etkinliklerinin kaydını etkinleştir');
INSERT INTO `lang_definitions` VALUES (87682, 2047, 23, 'Güvenlik ve yönetim etkinliklerinin kaydını etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87683, 2049, 23, 'Yeni eRx Hizmetini etkinleştir');
INSERT INTO `lang_definitions` VALUES (87684, 2051, 23, 'Hariçte Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87685, 2052, 23, 'Hariçte Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87686, 2053, 23, 'Yerinde Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87687, 2055, 23, 'Yerinde Hasta Portalini Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87688, 2056, 23, 'Hasta Hatırlatıcı Programını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87689, 2058, 23, 'Otomatik Ölçüm Hesaplamaları için Veri Gerekli Uyarısını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87690, 2060, 23, 'Otomatik Ölçüm Hesaplamaları için İzleme Tarihi Raporlamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87691, 2061, 23, 'Tarayıcı desteğini etkinleştir');
INSERT INTO `lang_definitions` VALUES (87692, 2065, 23, 'LLC Lab değişim servisine ÖzgürETK desteğini etkinleştir.');
INSERT INTO `lang_definitions` VALUES (87693, 2066, 23, 'Kullanıcı Sertifika Doğrulamasını Etkinleştir');
INSERT INTO `lang_definitions` VALUES (87694, 2067, 23, 'eRx ZMG LLC servisini etkinleştir');
INSERT INTO `lang_definitions` VALUES (87695, 2068, 23, 'etkinleştirildi');
INSERT INTO `lang_definitions` VALUES (87696, 2070, 23, 'Fatura kodları ve ödemeler için eski Ücretler panelini etkinleştirir. Önerilmez, Bunun yerine Ücret Sayfasını kullanın.');
INSERT INTO `lang_definitions` VALUES (87697, 2071, 23, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (87698, 2072, 23, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (87699, 2073, 23, 'Görüşme');
INSERT INTO `lang_definitions` VALUES (87700, 2074, 23, 'görüşme');
INSERT INTO `lang_definitions` VALUES (87701, 2075, 23, 'Görüşme ');
INSERT INTO `lang_definitions` VALUES (87702, 2076, 23, 'acil hasta görüşmesi');
INSERT INTO `lang_definitions` VALUES (87703, 2081, 23, 'Görüşme Tarihi');
INSERT INTO `lang_definitions` VALUES (87704, 2086, 23, 'Görüşme Formları');
INSERT INTO `lang_definitions` VALUES (87705, 2087, 23, 'sağlık ve davranış değerlendirilmesi görüşmesi');
INSERT INTO `lang_definitions` VALUES (87706, 2088, 23, 'Görüşme Öyküsü');
INSERT INTO `lang_definitions` VALUES (87707, 2089, 23, 'Görüşme ID');
INSERT INTO `lang_definitions` VALUES (87708, 2090, 23, 'görüşme influenza');
INSERT INTO `lang_definitions` VALUES (87709, 2091, 23, 'Görüşme numarası');
INSERT INTO `lang_definitions` VALUES (87710, 2093, 23, 'Doğum taburcu görüşmesi');
INSERT INTO `lang_definitions` VALUES (87711, 2094, 23, 'doğum tesisi görüşmesi');
INSERT INTO `lang_definitions` VALUES (87712, 2095, 23, 'meslek tedavisi görüşmesi');
INSERT INTO `lang_definitions` VALUES (87713, 2096, 23, 'muayenehane görüşmesi');
INSERT INTO `lang_definitions` VALUES (87714, 2097, 23, 'ayaktan hasta görüşmesi');
INSERT INTO `lang_definitions` VALUES (87715, 2098, 23, 'ayaktan aile hekimi ve kadın doğum uzmanı görüşmesi');
INSERT INTO `lang_definitions` VALUES (87716, 2099, 23, 'görüşme sayfa büyüklüğü');
INSERT INTO `lang_definitions` VALUES (87717, 2101, 23, 'gebelik görüşmesi');
INSERT INTO `lang_definitions` VALUES (87718, 2102, 23, 'koruyucu hekimlik ve danışmanlık görüşmesi');
INSERT INTO `lang_definitions` VALUES (87719, 2103, 23, '40 yaş ve üzeri koruyucu hekimlik görüşmesi');
INSERT INTO `lang_definitions` VALUES (87720, 2104, 23, 'koruyucu hekimlik grup görüşmesi');
INSERT INTO `lang_definitions` VALUES (87721, 2105, 23, 'koruyucu hekimlik diğer hizmetlerde görüşme');
INSERT INTO `lang_definitions` VALUES (87722, 2106, 23, '18 yaş ve üzeri koruyucu hekimlik görüşmesi');
INSERT INTO `lang_definitions` VALUES (87723, 2107, 23, 'psikiyatrik ve psikolojik görüşme');
INSERT INTO `lang_definitions` VALUES (87724, 2108, 23, 'Görüşme istatistikleri');
INSERT INTO `lang_definitions` VALUES (87725, 2109, 23, 'Görüşme Özeti');
INSERT INTO `lang_definitions` VALUES (87726, 2110, 23, 'Görüşme kodlandı');
INSERT INTO `lang_definitions` VALUES (87727, 2111, 23, 'Görüşme:');
INSERT INTO `lang_definitions` VALUES (87728, 2112, 23, 'Acil olmayan ayaktan veya yatan ya da göz görüşmesi');
INSERT INTO `lang_definitions` VALUES (87729, 2113, 23, 'Görüşmeler');
INSERT INTO `lang_definitions` VALUES (87730, 2114, 23, 'Görüşmeler ve Formlar');
INSERT INTO `lang_definitions` VALUES (87731, 2115, 23, 'Görüşmeler ; Formlar');
INSERT INTO `lang_definitions` VALUES (87732, 2116, 23, 'Görüşmelere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (87733, 2117, 23, 'Görüşmeler Raporu');
INSERT INTO `lang_definitions` VALUES (87734, 2118, 23, 'Görüşmeler Bölümü');
INSERT INTO `lang_definitions` VALUES (87735, 2120, 23, 'Şifreleme');
INSERT INTO `lang_definitions` VALUES (87736, 2121, 23, 'Son');
INSERT INTO `lang_definitions` VALUES (87737, 2122, 23, 'Bitiş (yyyy-aa-gg) ');
INSERT INTO `lang_definitions` VALUES (87738, 2123, 23, 'Bitiş Tarihi');
INSERT INTO `lang_definitions` VALUES (87739, 2124, 23, 'Bitiş tarihi');
INSERT INTO `lang_definitions` VALUES (87740, 2126, 23, 'Bitiş tarihi başlangıç tarihinden daha sonra olmalıdır.');
INSERT INTO `lang_definitions` VALUES (87741, 2127, 23, 'Bitiş Tarihi:');
INSERT INTO `lang_definitions` VALUES (87742, 2131, 23, 'Bitiş Zamanı:');
INSERT INTO `lang_definitions` VALUES (87743, 2133, 23, 'Hizmet bitiş tarihi yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (87744, 2134, 23, 'Hizmet bitiş tarihi yyyy-aa-gg bir süre girmek ister iseniz');
INSERT INTO `lang_definitions` VALUES (87745, 2135, 23, 'Takvim olayları için günün bitiş saati.');
INSERT INTO `lang_definitions` VALUES (87746, 2136, 23, 'Endokrin Anormal Kan');
INSERT INTO `lang_definitions` VALUES (87747, 2137, 23, 'Endokrin');
INSERT INTO `lang_definitions` VALUES (87748, 2138, 23, 'Endoskopi');
INSERT INTO `lang_definitions` VALUES (87749, 2141, 23, 'İngilizce');
INSERT INTO `lang_definitions` VALUES (87750, 2142, 23, 'İngilizce ');
INSERT INTO `lang_definitions` VALUES (87751, 2143, 23, 'İngilizce (Hint)');
INSERT INTO `lang_definitions` VALUES (87752, 2144, 23, 'İngilizce(Standart)');
INSERT INTO `lang_definitions` VALUES (87753, 2145, 23, 'Hylafax yazdır komutu');
INSERT INTO `lang_definitions` VALUES (87754, 2146, 23, 'LibreEHR nin klasöre yazma ayrıcalığı olmasını sağlayınız');
INSERT INTO `lang_definitions` VALUES (87755, 2147, 23, 'KBB Akıntı');
INSERT INTO `lang_definitions` VALUES (87756, 2148, 23, 'KBB ağrısı');
INSERT INTO `lang_definitions` VALUES (87757, 2149, 23, 'Onu içermeyen tüm faturaların dışarıda bırakılması için bir tanı kodu giriniz');
INSERT INTO `lang_definitions` VALUES (87758, 2151, 23, 'Mektubun gövdesini buraya giriniz');
INSERT INTO `lang_definitions` VALUES (87759, 2152, 23, 'Veri Tabanı root Şifresini giriniz');
INSERT INTO `lang_definitions` VALUES (87760, 2153, 23, 'Veritabanı root kullanıcı ismini giriniz');
INSERT INTO `lang_definitions` VALUES (87761, 2154, 23, 'Tanıyı Giriniz');
INSERT INTO `lang_definitions` VALUES (87762, 2155, 23, 'İlaçları Giriniz');
INSERT INTO `lang_definitions` VALUES (87763, 2158, 23, 'Aşılamaları Giriniz');
INSERT INTO `lang_definitions` VALUES (87764, 2159, 23, 'Anahtar Giriniz');
INSERT INTO `lang_definitions` VALUES (87765, 2161, 23, 'Yeni Şehiri giriniz');
INSERT INTO `lang_definitions` VALUES (87766, 2164, 23, 'Yeni Kimlik kodunu giriniz');
INSERT INTO `lang_definitions` VALUES (87767, 2165, 23, 'Arama kriterlerinizi yukarı giriniz');
INSERT INTO `lang_definitions` VALUES (87768, 2168, 23, 'Çevresel');
INSERT INTO `lang_definitions` VALUES (87769, 2169, 23, 'Sigortadan Yararlanma Veri Girişi');
INSERT INTO `lang_definitions` VALUES (87770, 2170, 23, 'Müstahaklık Gönderme - Elektronik Alındılar');
INSERT INTO `lang_definitions` VALUES (87771, 2171, 23, 'Müstahaklık Gönderme - Açıklamalar');
INSERT INTO `lang_definitions` VALUES (87772, 2172, 23, 'Müstahaklık Gönderme - Fatura');
INSERT INTO `lang_definitions` VALUES (87773, 2173, 23, 'Müstahaklık Gönderme - Hasta Notu');
INSERT INTO `lang_definitions` VALUES (87774, 2174, 23, 'Müstahaklık Gönderme -Ara');
INSERT INTO `lang_definitions` VALUES (87775, 2176, 23, 'Epilepsi');
INSERT INTO `lang_definitions` VALUES (87776, 2178, 23, 'Elektronik Havale');
INSERT INTO `lang_definitions` VALUES (87777, 2180, 23, 'Elektronik Havale Gönderme');
INSERT INTO `lang_definitions` VALUES (87778, 2181, 23, 'Sil');
INSERT INTO `lang_definitions` VALUES (87779, 2182, 23, 'Ereksiyonlar');
INSERT INTO `lang_definitions` VALUES (87780, 2183, 23, 'Hata');
INSERT INTO `lang_definitions` VALUES (87781, 2185, 23, 'Laboratuvar sonuçlarının alındısının onaylanmasında hata');
INSERT INTO `lang_definitions` VALUES (87782, 2187, 23, 'Laboratuvar sonuçlarının Lab-Değişim Ağından alınmasında hata');
INSERT INTO `lang_definitions` VALUES (87783, 2188, 23, '\"Cinsiyet\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (87784, 2189, 23, '\"Sağlık Sigortası Taşınabilirlik ve Sorumluluk Yasası\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (87785, 2190, 23, '\"İşlem\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (87786, 2191, 23, '\"SMS Yolu\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (87787, 2192, 23, '\"e göre sırala\" seçiminde hata');
INSERT INTO `lang_definitions` VALUES (87788, 2193, 23, 'gzip sıkıştırma dosyasında hata: ');
INSERT INTO `lang_definitions` VALUES (87789, 2194, 23, 'Evet veya Hayır seçiminde hata');
INSERT INTO `lang_definitions` VALUES (87790, 2195, 23, 'Yüklenmiş dosyayı okumak için açmada hata');
INSERT INTO `lang_definitions` VALUES (87791, 2199, 23, 'Lab Değişim Ağından Sonuçları Alma Hatası');
INSERT INTO `lang_definitions` VALUES (87792, 2202, 23, 'Dosya ayrıcalığını ÖzgürETK kullanıcısına vermede hata');
INSERT INTO `lang_definitions` VALUES (87793, 2205, 23, 'formu kaydederken hata!');
INSERT INTO `lang_definitions` VALUES (87794, 2206, 23, 'Dosyaya kaydederken hata');
INSERT INTO `lang_definitions` VALUES (87795, 2208, 23, 'Dosyaya yazarken hata');
INSERT INTO `lang_definitions` VALUES (87796, 2210, 23, 'Hata, dosya bulunmuyor');
INSERT INTO `lang_definitions` VALUES (87797, 2211, 23, 'HATA, sunucudan veri alınamıyor');
INSERT INTO `lang_definitions` VALUES (87798, 2212, 23, 'Hata, müşteri sertifikası oluşturulamıyor.');
INSERT INTO `lang_definitions` VALUES (87799, 2213, 23, 'Hata, admin.p12 sertifikası oluşturulamıyor.');
INSERT INTO `lang_definitions` VALUES (87800, 2214, 23, 'Hata, Sertifika Yetkilisi sertifikası oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (87801, 2215, 23, 'Hata, Sunucu sertifikası oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (87802, 2216, 23, 'Hata, dosya açılamıyor');
INSERT INTO `lang_definitions` VALUES (87803, 2217, 23, 'Hata, ÖzgürETK da Kullanıcı Sertifika Doğrulanması etkinleştirilmemiş');
INSERT INTO `lang_definitions` VALUES (87804, 2218, 23, 'Hata, Arşiv/Tar.php php modülünü kurmanız gerekiyor');
INSERT INTO `lang_definitions` VALUES (87805, 2219, 23, 'HATA: table.sql açılamadı, form bozuk?');
INSERT INTO `lang_definitions` VALUES (87806, 2220, 23, 'Hata: satırda id tekrarı');
INSERT INTO `lang_definitions` VALUES (87807, 2221, 23, 'Hata: satırda isim tekrarı');
INSERT INTO `lang_definitions` VALUES (87808, 2222, 23, 'HATA: Alan');
INSERT INTO `lang_definitions` VALUES (87809, 2223, 23, 'HATA: Eksik ZipArşivi PHP modülü');
INSERT INTO `lang_definitions` VALUES (87810, 2225, 23, 'Hata: şifreler uyuşmuyor. Lütfen yazdığınızı kontrol edin.');
INSERT INTO `lang_definitions` VALUES (87811, 2226, 23, 'Hata: şifreler uyuşmuyor. Lütfen yazdığınızı kontrol edin.');
INSERT INTO `lang_definitions` VALUES (87812, 2227, 23, 'Hata: dosya yok.');
INSERT INTO `lang_definitions` VALUES (87813, 2229, 23, 'Hata: Dosya kopyalanamıyor');
INSERT INTO `lang_definitions` VALUES (87814, 2230, 23, 'Hata: İndirilebilir arşiv oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (87815, 2231, 23, 'HATA : Zip Arşivi oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (87816, 2232, 23, 'HATA: Dosya çıkartılamıyor');
INSERT INTO `lang_definitions` VALUES (87817, 2233, 23, 'HATA: Dosya veritabanına yüklenemiyor');
INSERT INTO `lang_definitions` VALUES (87818, 2234, 23, 'HATA: Sürüm numarası düzenlenemiyor.');
INSERT INTO `lang_definitions` VALUES (87819, 2235, 23, 'Hatalar');
INSERT INTO `lang_definitions` VALUES (87820, 2236, 23, 'eRx Hesap Durumu');
INSERT INTO `lang_definitions` VALUES (87821, 2238, 23, 'ERX İsim');
INSERT INTO `lang_definitions` VALUES (87822, 2239, 23, 'ERX Şifre');
INSERT INTO `lang_definitions` VALUES (87823, 2240, 23, 'ERX Rol');
INSERT INTO `lang_definitions` VALUES (87824, 2241, 23, 'REX Kullanıcı');
INSERT INTO `lang_definitions` VALUES (87825, 2242, 23, 'Eritem:');
INSERT INTO `lang_definitions` VALUES (87826, 2245, 23, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (87827, 2247, 23, 'Bilinen Hasta');
INSERT INTO `lang_definitions` VALUES (87828, 2249, 23, 'Etnisite');
INSERT INTO `lang_definitions` VALUES (87829, 2250, 23, 'Irk veya Etnisite');
INSERT INTO `lang_definitions` VALUES (87830, 2251, 23, 'Etnisite-Irk Listesi (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (87831, 2252, 23, 'Vergi No');
INSERT INTO `lang_definitions` VALUES (87832, 2253, 23, 'Olay');
INSERT INTO `lang_definitions` VALUES (87833, 2254, 23, 'Olay Başlar');
INSERT INTO `lang_definitions` VALUES (87834, 2255, 23, 'Olay Kategorisi');
INSERT INTO `lang_definitions` VALUES (87835, 2256, 23, 'Olay Tarihi');
INSERT INTO `lang_definitions` VALUES (87836, 2257, 23, 'Olay Tanımı');
INSERT INTO `lang_definitions` VALUES (87837, 2258, 23, 'Olay Ayrıntıları');
INSERT INTO `lang_definitions` VALUES (87838, 2259, 23, 'Olay tekrarlamıyor');
INSERT INTO `lang_definitions` VALUES (87839, 2260, 23, 'Olay Süresi');
INSERT INTO `lang_definitions` VALUES (87840, 2261, 23, 'Dakika olarak olay süresi');
INSERT INTO `lang_definitions` VALUES (87841, 2262, 23, 'Olay Ücreti');
INSERT INTO `lang_definitions` VALUES (87842, 2263, 23, 'Olay Yeri');
INSERT INTO `lang_definitions` VALUES (87843, 2264, 23, 'Olayın tekrarı her');
INSERT INTO `lang_definitions` VALUES (87844, 2265, 23, 'Olayın tekrarı her');
INSERT INTO `lang_definitions` VALUES (87845, 2266, 23, 'Olay başlangıç zamanı');
INSERT INTO `lang_definitions` VALUES (87846, 2267, 23, 'Olay başlığı');
INSERT INTO `lang_definitions` VALUES (87847, 2268, 23, 'Olay Başlığı');
INSERT INTO `lang_definitions` VALUES (87848, 2269, 23, 'Olay Web Sitesi');
INSERT INTO `lang_definitions` VALUES (87849, 2270, 23, 'Olaylar');
INSERT INTO `lang_definitions` VALUES (87850, 2271, 23, 'Olaylar:');
INSERT INTO `lang_definitions` VALUES (87851, 2272, 23, 'Olaylar yeni pencerede açılır');
INSERT INTO `lang_definitions` VALUES (87852, 2273, 23, 'her');
INSERT INTO `lang_definitions` VALUES (87853, 2274, 23, 'Her');
INSERT INTO `lang_definitions` VALUES (87854, 2275, 23, 'her 3 saatte');
INSERT INTO `lang_definitions` VALUES (87855, 2276, 23, 'her 4 saatte');
INSERT INTO `lang_definitions` VALUES (87856, 2277, 23, 'her 5 saatte');
INSERT INTO `lang_definitions` VALUES (87857, 2278, 23, 'her 6 saatte');
INSERT INTO `lang_definitions` VALUES (87858, 2279, 23, 'her 8 saatte');
INSERT INTO `lang_definitions` VALUES (87859, 2280, 23, 'Her Dördüncü');
INSERT INTO `lang_definitions` VALUES (87860, 2281, 23, 'Her ikinci');
INSERT INTO `lang_definitions` VALUES (87861, 2282, 23, 'Her Üçüncü');
INSERT INTO `lang_definitions` VALUES (87862, 2283, 23, 'Her, her ikinci, her 3. vs.');
INSERT INTO `lang_definitions` VALUES (87863, 2285, 23, 'Muayene ve test sonuçları');
INSERT INTO `lang_definitions` VALUES (87864, 2286, 23, 'Muayene sonuçları');
INSERT INTO `lang_definitions` VALUES (87865, 2289, 23, 'Muayene');
INSERT INTO `lang_definitions` VALUES (87866, 2290, 23, 'Muayene Tarihi');
INSERT INTO `lang_definitions` VALUES (87867, 2291, 23, 'Örnek');
INSERT INTO `lang_definitions` VALUES (87868, 2292, 23, 'Örnekler');
INSERT INTO `lang_definitions` VALUES (87869, 2293, 23, 'Muayeneler/testler');
INSERT INTO `lang_definitions` VALUES (87870, 2295, 23, 'Aşırı Göz yaşı');
INSERT INTO `lang_definitions` VALUES (87871, 2296, 23, 'Hariç Hastalar');
INSERT INTO `lang_definitions` VALUES (87872, 2297, 23, 'Hariç tutma');
INSERT INTO `lang_definitions` VALUES (87873, 2298, 23, 'Tek Sağlayıcı Örgütü');
INSERT INTO `lang_definitions` VALUES (87874, 2300, 23, 'Egzersiz');
INSERT INTO `lang_definitions` VALUES (87875, 2301, 23, 'Egzersiz Örnekleri');
INSERT INTO `lang_definitions` VALUES (87876, 2302, 23, 'Egzersiz örnekleri');
INSERT INTO `lang_definitions` VALUES (87877, 2303, 23, 'Var');
INSERT INTO `lang_definitions` VALUES (87878, 2304, 23, 'Çıkış Yönetimi');
INSERT INTO `lang_definitions` VALUES (87879, 2305, 23, 'Gen');
INSERT INTO `lang_definitions` VALUES (87880, 2306, 23, 'Genişlet');
INSERT INTO `lang_definitions` VALUES (87881, 2307, 23, 'genişlet');
INSERT INTO `lang_definitions` VALUES (87882, 2308, 23, 'Hepsini Genişlet');
INSERT INTO `lang_definitions` VALUES (87883, 2311, 23, 'Genişletilmiş Görünüm');
INSERT INTO `lang_definitions` VALUES (87884, 2312, 23, 'form_encounter.pid sinin olması gereken: ');
INSERT INTO `lang_definitions` VALUES (87885, 2313, 23, 'Sona erme');
INSERT INTO `lang_definitions` VALUES (87886, 2314, 23, 'Sona erme Tarihi');
INSERT INTO `lang_definitions` VALUES (87887, 2315, 23, 'Sona eriyor');
INSERT INTO `lang_definitions` VALUES (87888, 2316, 23, 'Sona erime süresi:');
INSERT INTO `lang_definitions` VALUES (87889, 2317, 23, 'Dışa aktar');
INSERT INTO `lang_definitions` VALUES (87890, 2318, 23, 'CSV olarak dışa aktar');
INSERT INTO `lang_definitions` VALUES (87891, 2319, 23, 'Dışa aktarma Konfigürasyonu');
INSERT INTO `lang_definitions` VALUES (87892, 2322, 23, 'Hastanın Demografik Bilgilerini Dışa Aktar');
INSERT INTO `lang_definitions` VALUES (87893, 2323, 23, 'Doktor Kalite Raporunu Dışa Aktar');
INSERT INTO `lang_definitions` VALUES (87894, 2325, 23, 'Seçileni CSV olarak dışa aktar');
INSERT INTO `lang_definitions` VALUES (87895, 2326, 23, 'Seçileni Koleksiyonlara aktar');
INSERT INTO `lang_definitions` VALUES (87896, 2327, 23, 'CSV ye aktar');
INSERT INTO `lang_definitions` VALUES (87897, 2328, 23, 'Dış faturalama sistemine aktar');
INSERT INTO `lang_definitions` VALUES (87898, 2329, 23, 'Yabancı Ülkelere Maruziyet');
INSERT INTO `lang_definitions` VALUES (87899, 2330, 23, 'Yabancı Ülkelere Maruziyet');
INSERT INTO `lang_definitions` VALUES (87900, 2331, 23, 'Toplanmış Dış Zaman');
INSERT INTO `lang_definitions` VALUES (87901, 2332, 23, 'Dış');
INSERT INTO `lang_definitions` VALUES (87902, 2336, 23, 'TC Kimlik:');
INSERT INTO `lang_definitions` VALUES (87903, 2337, 23, 'TC Kimlik');
INSERT INTO `lang_definitions` VALUES (87904, 2338, 23, 'TC Kimlik No:');
INSERT INTO `lang_definitions` VALUES (87905, 2339, 23, 'Yalnızca Dıştan');
INSERT INTO `lang_definitions` VALUES (87906, 2342, 23, 'Dış Sevk');
INSERT INTO `lang_definitions` VALUES (87907, 2343, 23, 'Dış Sevk İzlemleri');
INSERT INTO `lang_definitions` VALUES (87908, 2344, 23, 'Dış sevk?');
INSERT INTO `lang_definitions` VALUES (87909, 2345, 23, 'Dış Sevkler');
INSERT INTO `lang_definitions` VALUES (87910, 2346, 23, 'zip dosyasını çıkart');
INSERT INTO `lang_definitions` VALUES (87911, 2347, 23, 'Dosya çıkartılıyor. Bu zaman alacak.');
INSERT INTO `lang_definitions` VALUES (87912, 2348, 23, 'Eksüda:');
INSERT INTO `lang_definitions` VALUES (87913, 2349, 23, 'Göz Tahrişi');
INSERT INTO `lang_definitions` VALUES (87914, 2350, 23, 'Göz Ağrısı');
INSERT INTO `lang_definitions` VALUES (87915, 2351, 23, 'Göz Kızarıklığı');
INSERT INTO `lang_definitions` VALUES (87916, 2352, 23, 'Gözler');
INSERT INTO `lang_definitions` VALUES (87917, 2353, 23, 'Cu');
INSERT INTO `lang_definitions` VALUES (87918, 2354, 23, 'K/H Kan Problemleri');
INSERT INTO `lang_definitions` VALUES (87919, 2355, 23, 'K/H Kadın Hirsutism/Strialar');
INSERT INTO `lang_definitions` VALUES (87920, 2356, 23, 'Tesisler');
INSERT INTO `lang_definitions` VALUES (87921, 2357, 23, 'Tesis');
INSERT INTO `lang_definitions` VALUES (87922, 2358, 23, 'tesis');
INSERT INTO `lang_definitions` VALUES (87923, 2359, 23, 'Tesis Yönetimi');
INSERT INTO `lang_definitions` VALUES (87924, 2360, 23, 'Tesis İlçe');
INSERT INTO `lang_definitions` VALUES (87925, 2361, 23, 'Tesis Kodu');
INSERT INTO `lang_definitions` VALUES (87926, 2362, 23, 'Tesis ülke kodu');
INSERT INTO `lang_definitions` VALUES (87927, 2363, 23, 'Tesis Belgegeçer no');
INSERT INTO `lang_definitions` VALUES (87928, 2364, 23, 'Tesis Adı');
INSERT INTO `lang_definitions` VALUES (87929, 2365, 23, 'Tesis Ulusal Sağlayıcı Kimliği');
INSERT INTO `lang_definitions` VALUES (87930, 2366, 23, 'Tesis Telefonu');
INSERT INTO `lang_definitions` VALUES (87931, 2368, 23, 'Tesis İl');
INSERT INTO `lang_definitions` VALUES (87932, 2369, 23, 'Tesis Cadde');
INSERT INTO `lang_definitions` VALUES (87933, 2370, 23, 'Tesis Posta Kodu');
INSERT INTO `lang_definitions` VALUES (87934, 2372, 23, 'Tesis:');
INSERT INTO `lang_definitions` VALUES (87935, 2373, 23, 'BAŞARISIZ');
INSERT INTO `lang_definitions` VALUES (87936, 2374, 23, 'başarısız');
INSERT INTO `lang_definitions` VALUES (87937, 2375, 23, 'Başarısız');
INSERT INTO `lang_definitions` VALUES (87938, 2383, 23, 'başarısızlık');
INSERT INTO `lang_definitions` VALUES (87939, 2390, 23, 'Aile Öyküsü');
INSERT INTO `lang_definitions` VALUES (87940, 2391, 23, 'Ailesinde Glokom Öyküsü');
INSERT INTO `lang_definitions` VALUES (87941, 2392, 23, 'Aile Öyküsü:');
INSERT INTO `lang_definitions` VALUES (87942, 2394, 23, 'Aile Ödemesi');
INSERT INTO `lang_definitions` VALUES (87943, 2395, 23, 'Aile Büyüklüğü');
INSERT INTO `lang_definitions` VALUES (87944, 2396, 23, 'Fantezi');
INSERT INTO `lang_definitions` VALUES (87945, 2398, 23, 'Farsça');
INSERT INTO `lang_definitions` VALUES (87946, 2400, 23, 'Baba');
INSERT INTO `lang_definitions` VALUES (87947, 2402, 23, 'Yorgunluk');
INSERT INTO `lang_definitions` VALUES (87948, 2403, 23, 'Yorgun');
INSERT INTO `lang_definitions` VALUES (87949, 2404, 23, 'Faks');
INSERT INTO `lang_definitions` VALUES (87950, 2405, 23, 'Faks sayısı');
INSERT INTO `lang_definitions` VALUES (87951, 2406, 23, 'Faks numarası');
INSERT INTO `lang_definitions` VALUES (87952, 2408, 23, 'Faks/Tarama');
INSERT INTO `lang_definitions` VALUES (87953, 2409, 23, 'Gelen Fakslar');
INSERT INTO `lang_definitions` VALUES (87954, 2410, 23, 'Giden Fakslar');
INSERT INTO `lang_definitions` VALUES (87955, 2411, 23, 'Özellikler');
INSERT INTO `lang_definitions` VALUES (87956, 2412, 23, 'Şub');
INSERT INTO `lang_definitions` VALUES (87957, 2413, 23, 'Şubat');
INSERT INTO `lang_definitions` VALUES (87958, 2414, 23, 'FECA');
INSERT INTO `lang_definitions` VALUES (87959, 2415, 23, 'Federal İlaç ID');
INSERT INTO `lang_definitions` VALUES (87960, 2416, 23, 'Federal İşveren Numarası');
INSERT INTO `lang_definitions` VALUES (87961, 2417, 23, 'Federal Vergi Numarası');
INSERT INTO `lang_definitions` VALUES (87962, 2418, 23, 'Ücret');
INSERT INTO `lang_definitions` VALUES (87963, 2419, 23, 'ücret');
INSERT INTO `lang_definitions` VALUES (87964, 2420, 23, 'Ücrete izin verilmez');
INSERT INTO `lang_definitions` VALUES (87965, 2421, 23, 'Ücret Sayfası');
INSERT INTO `lang_definitions` VALUES (87966, 2422, 23, 'Ücret Sayfası Seçenekleri');
INSERT INTO `lang_definitions` VALUES (87967, 2423, 23, 'Ücretler');
INSERT INTO `lang_definitions` VALUES (87968, 2424, 23, 'Kadın');
INSERT INTO `lang_definitions` VALUES (87969, 2425, 23, 'Kadın AP');
INSERT INTO `lang_definitions` VALUES (87970, 2426, 23, 'Kadın Kondomları');
INSERT INTO `lang_definitions` VALUES (87971, 2427, 23, 'Kadın G');
INSERT INTO `lang_definitions` VALUES (87972, 2428, 23, 'Kadın LC');
INSERT INTO `lang_definitions` VALUES (87973, 2429, 23, 'Kadın H');
INSERT INTO `lang_definitions` VALUES (87974, 2430, 23, 'Kadın Semptomlar');
INSERT INTO `lang_definitions` VALUES (87975, 2431, 23, 'Kadın Tüp Ligasyonu');
INSERT INTO `lang_definitions` VALUES (87976, 2434, 23, 'Ateş');
INSERT INTO `lang_definitions` VALUES (87977, 2435, 23, 'Ateş:');
INSERT INTO `lang_definitions` VALUES (87978, 2436, 23, 'Aile Öyküsünde Kan Hastalıkları');
INSERT INTO `lang_definitions` VALUES (87979, 2437, 23, 'Fibroidler');
INSERT INTO `lang_definitions` VALUES (87980, 2441, 23, 'İşveren veya abone ülke demografik bilgilerinde kullanılacak alan tipi');
INSERT INTO `lang_definitions` VALUES (87981, 2442, 23, 'İşveren veya abone ülke demografik bilgilerinde kullanılacak alan tipi');
INSERT INTO `lang_definitions` VALUES (87982, 2443, 23, 'Alan(lar) eksik!');
INSERT INTO `lang_definitions` VALUES (87983, 2447, 23, 'Dosya');
INSERT INTO `lang_definitions` VALUES (87984, 2448, 23, 'giriş yedeklerini oluşturma işleminin nasıl otomatik hale getirileceğini öğrenmek için Belgelendirme klasöründeki dosya');
INSERT INTO `lang_definitions` VALUES (87985, 2449, 23, 'dosya yeri');
INSERT INTO `lang_definitions` VALUES (87986, 2453, 23, 'ÖzgürETK kullanıcısına dosya ayrıcalığı verildi');
INSERT INTO `lang_definitions` VALUES (87987, 2455, 23, 'Dosya Odası');
INSERT INTO `lang_definitions` VALUES (87988, 2456, 23, 'Yüklenecek Dosya');
INSERT INTO `lang_definitions` VALUES (87989, 2458, 23, 'Aynı isimli dosya önceden şu yerde bulunmaktadır:');
INSERT INTO `lang_definitions` VALUES (87990, 2459, 23, 'Dosya ismi');
INSERT INTO `lang_definitions` VALUES (87991, 2461, 23, 'Dosyalar');
INSERT INTO `lang_definitions` VALUES (87992, 2462, 23, 'Filipinli');
INSERT INTO `lang_definitions` VALUES (87993, 2463, 23, 'Aşağıdaki satırın herhangi bir yerini doldurun');
INSERT INTO `lang_definitions` VALUES (87994, 2464, 23, 'Burayı sadece hastalara eposta duyurusu göndermek isterseniz doldurunuz');
INSERT INTO `lang_definitions` VALUES (87995, 2465, 23, 'Aşağıdaki değerleri doldurunuz');
INSERT INTO `lang_definitions` VALUES (87996, 2467, 23, 'Sırayı Doldurunuz');
INSERT INTO `lang_definitions` VALUES (87997, 2468, 23, 'Ayır');
INSERT INTO `lang_definitions` VALUES (87998, 2469, 23, 'Sabitleri ayır');
INSERT INTO `lang_definitions` VALUES (87999, 2470, 23, 'Tanımları ayır');
INSERT INTO `lang_definitions` VALUES (88000, 2473, 23, 'Filtreler');
INSERT INTO `lang_definitions` VALUES (88001, 2474, 23, 'Son');
INSERT INTO `lang_definitions` VALUES (88002, 2475, 23, 'Son Tanı');
INSERT INTO `lang_definitions` VALUES (88003, 2476, 23, 'Uzmanın son tanısı');
INSERT INTO `lang_definitions` VALUES (88004, 2478, 23, 'Finansal');
INSERT INTO `lang_definitions` VALUES (88005, 2479, 23, 'Finansal kapanış tarihi (yyyy-aa-gg)');
INSERT INTO `lang_definitions` VALUES (88006, 2480, 23, 'Finansal Raporlama - herhangi bir şey');
INSERT INTO `lang_definitions` VALUES (88007, 2481, 23, 'Finansal Raporlama - benim görüşmelerim');
INSERT INTO `lang_definitions` VALUES (88008, 2482, 23, 'Finansal Gözden Geçirme Tarihi');
INSERT INTO `lang_definitions` VALUES (88009, 2484, 23, 'Bul');
INSERT INTO `lang_definitions` VALUES (88010, 2485, 23, 'Mevcut Olanı Bul');
INSERT INTO `lang_definitions` VALUES (88011, 2486, 23, 'Mevcut Randevuları Bul');
INSERT INTO `lang_definitions` VALUES (88012, 2487, 23, 'Hastayı Bul');
INSERT INTO `lang_definitions` VALUES (88013, 2488, 23, 'Hasta Eğitim Materyelleri Bul');
INSERT INTO `lang_definitions` VALUES (88014, 2489, 23, 'Bulgular');
INSERT INTO `lang_definitions` VALUES (88015, 2490, 23, 'Uzmanın bulguları');
INSERT INTO `lang_definitions` VALUES (88016, 2491, 23, 'Mükemmel');
INSERT INTO `lang_definitions` VALUES (88017, 2492, 23, 'Ödemeleri Bitir');
INSERT INTO `lang_definitions` VALUES (88018, 2495, 23, 'İlk');
INSERT INTO `lang_definitions` VALUES (88019, 2497, 23, 'Haftanın ilk günü');
INSERT INTO `lang_definitions` VALUES (88020, 2498, 23, 'İsim');
INSERT INTO `lang_definitions` VALUES (88021, 2499, 23, 'İsim');
INSERT INTO `lang_definitions` VALUES (88022, 2500, 23, 'İsim:');
INSERT INTO `lang_definitions` VALUES (88023, 2503, 23, 'Uygunluk');
INSERT INTO `lang_definitions` VALUES (88024, 2504, 23, 'Uygunluk Düzeyi');
INSERT INTO `lang_definitions` VALUES (88025, 2505, 23, 'Bu oyuncunun bu gün için form düzeyi');
INSERT INTO `lang_definitions` VALUES (88026, 2507, 23, 'Oynamaya Uygunluk');
INSERT INTO `lang_definitions` VALUES (88027, 2508, 23, 'Görüşme tarihlerini belirle - herhangi bir görüşme');
INSERT INTO `lang_definitions` VALUES (88028, 2509, 23, 'Bunu düzelt');
INSERT INTO `lang_definitions` VALUES (88029, 2510, 23, 'FL');
INSERT INTO `lang_definitions` VALUES (88030, 2511, 23, 'Gaz');
INSERT INTO `lang_definitions` VALUES (88031, 2512, 23, 'Akış');
INSERT INTO `lang_definitions` VALUES (88032, 2514, 23, 'Nezle mevsimi');
INSERT INTO `lang_definitions` VALUES (88033, 2515, 23, 'Nezla Mevsimi');
INSERT INTO `lang_definitions` VALUES (88034, 2516, 23, 'Grip Aşılaması');
INSERT INTO `lang_definitions` VALUES (88035, 2517, 23, 'Sıvı ve elektrolit sorunu');
INSERT INTO `lang_definitions` VALUES (88036, 2518, 23, 'FMS');
INSERT INTO `lang_definitions` VALUES (88037, 2520, 23, 'El ile izle');
INSERT INTO `lang_definitions` VALUES (88038, 2521, 23, 'İzleyen veritabanını kurmak veya yükseltmek için bu yönergeleri izleyiniz');
INSERT INTO `lang_definitions` VALUES (88039, 2522, 23, 'İzlem');
INSERT INTO `lang_definitions` VALUES (88040, 2524, 23, 'İzlem sebebi');
INSERT INTO `lang_definitions` VALUES (88041, 2525, 23, 'Yeni bir özel sabit aşağıdadır:');
INSERT INTO `lang_definitions` VALUES (88042, 2526, 23, 'Yeni bir özel dil aşağıdadır:');
INSERT INTO `lang_definitions` VALUES (88043, 2527, 23, 'Yeni bir tanım aşağıdadır (Dil,Sabit,Tanım):');
INSERT INTO `lang_definitions` VALUES (88044, 2528, 23, 'Denetim günlüğünde aşağıdaki satırlarda bozukluk var');
INSERT INTO `lang_definitions` VALUES (88045, 2529, 23, 'İzleme Hizmetleri');
INSERT INTO `lang_definitions` VALUES (88046, 2530, 23, 'İzlenmesi Endikasyonu vardır');
INSERT INTO `lang_definitions` VALUES (88047, 2531, 23, 'Besin alamama');
INSERT INTO `lang_definitions` VALUES (88048, 2532, 23, 'Ayak');
INSERT INTO `lang_definitions` VALUES (88049, 2533, 23, 'Ayak Sorunları');
INSERT INTO `lang_definitions` VALUES (88050, 2534, 23, 'Ayak:');
INSERT INTO `lang_definitions` VALUES (88051, 2535, 23, 'Futbol yaralanmaları');
INSERT INTO `lang_definitions` VALUES (88052, 2536, 23, 'Futbol yaralanması');
INSERT INTO `lang_definitions` VALUES (88053, 2537, 23, 'Futbol Yaralanması Raporu');
INSERT INTO `lang_definitions` VALUES (88054, 2538, 23, 'Ayakkabı Tipi');
INSERT INTO `lang_definitions` VALUES (88055, 2539, 23, 'için');
INSERT INTO `lang_definitions` VALUES (88056, 2540, 23, 'İçin');
INSERT INTO `lang_definitions` VALUES (88057, 2541, 23, 'Kod için');
INSERT INTO `lang_definitions` VALUES (88058, 2543, 23, 'Görüşme Alacakları İçin');
INSERT INTO `lang_definitions` VALUES (88059, 2544, 23, 'Örnek olarak:');
INSERT INTO `lang_definitions` VALUES (88060, 2547, 23, 'Fatura için');
INSERT INTO `lang_definitions` VALUES (88061, 2548, 23, 'Sadece Medicare için, sevk eden sağlayıcı ile ödeyen sağlayıcının aynı olması zorunludur.');
INSERT INTO `lang_definitions` VALUES (88062, 2550, 23, 'hasta için');
INSERT INTO `lang_definitions` VALUES (88063, 2552, 23, 'Sevk Edilen Kurum/Hekim İçin');
INSERT INTO `lang_definitions` VALUES (88064, 2553, 23, 'Geçmiş için');
INSERT INTO `lang_definitions` VALUES (88065, 2554, 23, 'değişken için');
INSERT INTO `lang_definitions` VALUES (88066, 2555, 23, 'için:');
INSERT INTO `lang_definitions` VALUES (88067, 2556, 23, 'Fatura Programını Açık Kalmaya Zorla');
INSERT INTO `lang_definitions` VALUES (88068, 2557, 23, 'Yeni Hasta Oluşturulmasını Zorla');
INSERT INTO `lang_definitions` VALUES (88069, 2559, 23, 'Ön kol');
INSERT INTO `lang_definitions` VALUES (88070, 2560, 23, 'Form');
INSERT INTO `lang_definitions` VALUES (88071, 2561, 23, 'form');
INSERT INTO `lang_definitions` VALUES (88072, 2563, 23, 'Form başarıyla imzalandı');
INSERT INTO `lang_definitions` VALUES (88073, 2564, 23, 'Kalıp');
INSERT INTO `lang_definitions` VALUES (88074, 2565, 23, 'kalıp');
INSERT INTO `lang_definitions` VALUES (88075, 2566, 23, 'Yaş gösterme biçimi');
INSERT INTO `lang_definitions` VALUES (88076, 2567, 23, 'NDC için format yanlış');
INSERT INTO `lang_definitions` VALUES (88077, 2568, 23, 'Çoğu tarihi göstermek için kullanılan format.');
INSERT INTO `lang_definitions` VALUES (88078, 2569, 23, 'Çoğu kez gösterimde kullanılan biçim');
INSERT INTO `lang_definitions` VALUES (88079, 2570, 23, 'Biçimlendirilöiş rapor');
INSERT INTO `lang_definitions` VALUES (88080, 2571, 23, 'Eskiden sigara içmiş');
INSERT INTO `lang_definitions` VALUES (88081, 2572, 23, 'Formlar');
INSERT INTO `lang_definitions` VALUES (88082, 2573, 23, 'Form Yönetimi');
INSERT INTO `lang_definitions` VALUES (88083, 2575, 23, 'İlet');
INSERT INTO `lang_definitions` VALUES (88084, 2576, 23, 'Sayfaları Faks ile İlet');
INSERT INTO `lang_definitions` VALUES (88085, 2577, 23, 'İletilmiş');
INSERT INTO `lang_definitions` VALUES (88086, 2579, 23, 'Dördüncü');
INSERT INTO `lang_definitions` VALUES (88087, 2581, 23, 'Kırık');
INSERT INTO `lang_definitions` VALUES (88088, 2582, 23, 'Navikülerde kırık');
INSERT INTO `lang_definitions` VALUES (88089, 2583, 23, 'Lateral Malleol kırığı');
INSERT INTO `lang_definitions` VALUES (88090, 2584, 23, 'Medial malleol kırığı');
INSERT INTO `lang_definitions` VALUES (88091, 2585, 23, '5. Metatars kaidesinde kırık');
INSERT INTO `lang_definitions` VALUES (88092, 2586, 23, 'Çerçeve desteği gerekli');
INSERT INTO `lang_definitions` VALUES (88093, 2587, 23, 'Fransızca');
INSERT INTO `lang_definitions` VALUES (88094, 2588, 23, 'Fransızca (Kanada)');
INSERT INTO `lang_definitions` VALUES (88095, 2589, 23, 'Fransızca (Standart)');
INSERT INTO `lang_definitions` VALUES (88096, 2590, 23, 'Frekans');
INSERT INTO `lang_definitions` VALUES (88097, 2591, 23, 'Sık sık nezle');
INSERT INTO `lang_definitions` VALUES (88098, 2592, 23, 'Sık sık Hastalık');
INSERT INTO `lang_definitions` VALUES (88099, 2593, 23, 'Cum');
INSERT INTO `lang_definitions` VALUES (88100, 2594, 23, 'Cuma');
INSERT INTO `lang_definitions` VALUES (88101, 2595, 23, 'Başlangıç:');
INSERT INTO `lang_definitions` VALUES (88102, 2596, 23, 'BAŞLANGIÇ:');
INSERT INTO `lang_definitions` VALUES (88103, 2597, 23, 'başlangıç');
INSERT INTO `lang_definitions` VALUES (88104, 2598, 23, 'Başlangıç tarihi bitiş tarihinden daha sonrası olamaz.');
INSERT INTO `lang_definitions` VALUES (88105, 2599, 23, 'Başlangıç:');
INSERT INTO `lang_definitions` VALUES (88106, 2600, 23, 'Başlangıç ');
INSERT INTO `lang_definitions` VALUES (88107, 2601, 23, 'GÖNDEREN_SEMT');
INSERT INTO `lang_definitions` VALUES (88108, 2602, 23, 'GÖNDEREN_EPOSTA');
INSERT INTO `lang_definitions` VALUES (88109, 2603, 23, 'GÖNDEREN_İSİM');
INSERT INTO `lang_definitions` VALUES (88110, 2604, 23, 'GÖNDEREN_SOYİSİM');
INSERT INTO `lang_definitions` VALUES (88111, 2605, 23, 'GÖNDEREN_İKİNCİİSİM');
INSERT INTO `lang_definitions` VALUES (88112, 2606, 23, 'GÖNDEREN_TELEFON');
INSERT INTO `lang_definitions` VALUES (88113, 2607, 23, 'GÖNDEREN_CEPTEL');
INSERT INTO `lang_definitions` VALUES (88114, 2608, 23, 'GÖNDEREN_POSTAKODU');
INSERT INTO `lang_definitions` VALUES (88115, 2609, 23, 'GÖNDEREN_ŞEHİR');
INSERT INTO `lang_definitions` VALUES (88116, 2610, 23, 'GÖNDEREN_CADDE');
INSERT INTO `lang_definitions` VALUES (88117, 2611, 23, 'GÖNDEREN_UNVAN');
INSERT INTO `lang_definitions` VALUES (88118, 2612, 23, 'GÖNDEREN_VEDA');
INSERT INTO `lang_definitions` VALUES (88119, 2613, 23, 'Ön Büro');
INSERT INTO `lang_definitions` VALUES (88120, 2614, 23, 'Ön Büro Makbuzları');
INSERT INTO `lang_definitions` VALUES (88121, 2615, 23, 'Ön Büro Makbuzları Raporu');
INSERT INTO `lang_definitions` VALUES (88122, 2616, 23, 'Resepsiyon');
INSERT INTO `lang_definitions` VALUES (88123, 2617, 23, 'Sağ Frontal:');
INSERT INTO `lang_definitions` VALUES (88124, 2619, 23, 'Tam İsim');
INSERT INTO `lang_definitions` VALUES (88125, 2620, 23, 'MYSQL çalışanlarını içeren klasörün tam yolu.');
INSERT INTO `lang_definitions` VALUES (88126, 2621, 23, 'Perl çalışanlarını içeren klasörün tam yolu');
INSERT INTO `lang_definitions` VALUES (88127, 2622, 23, 'Olay kaydı yedeği klasörünün tam yolu');
INSERT INTO `lang_definitions` VALUES (88128, 2623, 23, 'Geçici dosyalar için kullanılan klasörün tam yolu');
INSERT INTO `lang_definitions` VALUES (88129, 2624, 23, 'Tam Oynat');
INSERT INTO `lang_definitions` VALUES (88130, 2625, 23, 'Tam Eğitim');
INSERT INTO `lang_definitions` VALUES (88131, 2626, 23, 'Tamamen Ödendi');
INSERT INTO `lang_definitions` VALUES (88132, 2631, 23, 'Gelecek');
INSERT INTO `lang_definitions` VALUES (88133, 2633, 23, 'G');
INSERT INTO `lang_definitions` VALUES (88134, 2634, 23, 'G/DL');
INSERT INTO `lang_definitions` VALUES (88135, 2635, 23, 'Galiçyaca');
INSERT INTO `lang_definitions` VALUES (88136, 2636, 23, 'Safra Kesesi Rahatsızlığı');
INSERT INTO `lang_definitions` VALUES (88137, 2637, 23, 'Safra Taşları');
INSERT INTO `lang_definitions` VALUES (88138, 2638, 23, 'Oyun Dönemi');
INSERT INTO `lang_definitions` VALUES (88139, 2639, 23, 'Oyunlar');
INSERT INTO `lang_definitions` VALUES (88140, 2640, 23, 'Kaçırılmış Oyunlar');
INSERT INTO `lang_definitions` VALUES (88141, 2641, 23, 'oyunlar/olaylar');
INSERT INTO `lang_definitions` VALUES (88142, 2642, 23, 'Kaçırılmış Oyunlar/Olaylar');
INSERT INTO `lang_definitions` VALUES (88143, 2644, 23, 'Gastrit');
INSERT INTO `lang_definitions` VALUES (88144, 2645, 23, 'Mide Ağrısı');
INSERT INTO `lang_definitions` VALUES (88145, 2646, 23, 'Gastroentestinal');
INSERT INTO `lang_definitions` VALUES (88146, 2647, 23, 'Jenerik Bağlantı Kabul Kontrol İstatistik Raporu');
INSERT INTO `lang_definitions` VALUES (88147, 2648, 23, 'Jenerik Bağlantı Kabul Kontrol İstatistikleri');
INSERT INTO `lang_definitions` VALUES (88148, 2649, 23, 'Jenerik Bağlantı Kabul Kontrol vizit formu eksik');
INSERT INTO `lang_definitions` VALUES (88149, 2650, 23, 'Cinsiyet');
INSERT INTO `lang_definitions` VALUES (88150, 2651, 23, 'Cinsiyet ');
INSERT INTO `lang_definitions` VALUES (88151, 2652, 23, 'Genel');
INSERT INTO `lang_definitions` VALUES (88152, 2653, 23, 'Genel Konu Listesi');
INSERT INTO `lang_definitions` VALUES (88153, 2655, 23, 'Genel Servis Kategorisi');
INSERT INTO `lang_definitions` VALUES (88154, 2656, 23, 'Oluştur');
INSERT INTO `lang_definitions` VALUES (88155, 2657, 23, 'CMS 1500 kağıdı alacaklarını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (88156, 2658, 23, 'HCFA 1500 kağıdı alacaklarını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (88157, 2659, 23, 'X12 yığın dosyasını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (88158, 2660, 23, 'Görüşme alacakları X12 yığın dosyasını oluştur ve indir');
INSERT INTO `lang_definitions` VALUES (88159, 2663, 23, 'İzin verilmiş reçeteleri oluştur ve elektronik olarak gönder.');
INSERT INTO `lang_definitions` VALUES (88160, 2664, 23, 'CMS 1500 oluştur');
INSERT INTO `lang_definitions` VALUES (88161, 2665, 23, 'CMS 1500 PDF oluştur');
INSERT INTO `lang_definitions` VALUES (88162, 2666, 23, 'CMS 1500 TEKST oluştur');
INSERT INTO `lang_definitions` VALUES (88163, 2667, 23, 'HCFA oluştur');
INSERT INTO `lang_definitions` VALUES (88164, 2668, 23, 'Fatura Oluştur');
INSERT INTO `lang_definitions` VALUES (88165, 2669, 23, 'Mektup Oluştur');
INSERT INTO `lang_definitions` VALUES (88166, 2670, 23, 'Oluşturulacak Mektup Konusu: ');
INSERT INTO `lang_definitions` VALUES (88167, 2671, 23, 'Doktor Kalite Raporu Oluştur (A Yöntemi)');
INSERT INTO `lang_definitions` VALUES (88168, 2673, 23, 'Doktor Kalite Raporu Oluştur (B Yöntemi)');
INSERT INTO `lang_definitions` VALUES (88169, 2677, 23, 'Rapor Oluştur');
INSERT INTO `lang_definitions` VALUES (88170, 2678, 23, 'Kullanıcı Adı ve Şifre Oluşturulacak Kişi:');
INSERT INTO `lang_definitions` VALUES (88171, 2679, 23, 'X12 Oluştur');
INSERT INTO `lang_definitions` VALUES (88172, 2680, 23, 'X12 Görüşme Oluştur');
INSERT INTO `lang_definitions` VALUES (88173, 2682, 23, 'Oluşturulduğu tarih:');
INSERT INTO `lang_definitions` VALUES (88174, 2683, 23, 'Oluşturur');
INSERT INTO `lang_definitions` VALUES (88175, 2684, 23, 'Genitoüriner');
INSERT INTO `lang_definitions` VALUES (88176, 2686, 23, 'Gürcüce');
INSERT INTO `lang_definitions` VALUES (88177, 2687, 23, 'Almanca');
INSERT INTO `lang_definitions` VALUES (88178, 2691, 23, 'HL7 Al');
INSERT INTO `lang_definitions` VALUES (88179, 2692, 23, 'Glokom');
INSERT INTO `lang_definitions` VALUES (88180, 2693, 23, 'Glokom Aile Öyküsü');
INSERT INTO `lang_definitions` VALUES (88181, 2694, 23, 'Global');
INSERT INTO `lang_definitions` VALUES (88182, 2696, 23, 'Global ID');
INSERT INTO `lang_definitions` VALUES (88183, 2697, 23, 'Global Ayarlar');
INSERT INTO `lang_definitions` VALUES (88184, 2698, 23, 'Globaller');
INSERT INTO `lang_definitions` VALUES (88185, 2699, 23, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (88186, 2700, 23, 'git');
INSERT INTO `lang_definitions` VALUES (88187, 2701, 23, 'Git');
INSERT INTO `lang_definitions` VALUES (88188, 2704, 23, 'Gidilecek yer:');
INSERT INTO `lang_definitions` VALUES (88189, 2705, 23, 'Gidilecek hafta:');
INSERT INTO `lang_definitions` VALUES (88190, 2706, 23, 'Bugüne Git');
INSERT INTO `lang_definitions` VALUES (88191, 2707, 23, 'Hedef A');
INSERT INTO `lang_definitions` VALUES (88192, 2708, 23, 'Hedef ve Yöntemler');
INSERT INTO `lang_definitions` VALUES (88193, 2709, 23, 'Hedef B');
INSERT INTO `lang_definitions` VALUES (88194, 2710, 23, 'Hedef C');
INSERT INTO `lang_definitions` VALUES (88195, 2711, 23, 'Yaralanma Derecesi');
INSERT INTO `lang_definitions` VALUES (88196, 2712, 23, 'Grade:');
INSERT INTO `lang_definitions` VALUES (88197, 2713, 23, 'gram');
INSERT INTO `lang_definitions` VALUES (88198, 2714, 23, 'Büyük Toplam');
INSERT INTO `lang_definitions` VALUES (88199, 2715, 23, 'Büyük Toplamlar');
INSERT INTO `lang_definitions` VALUES (88200, 2718, 23, 'Grafiği çizilebilir');
INSERT INTO `lang_definitions` VALUES (88201, 2720, 23, 'Den Daha Büyük:');
INSERT INTO `lang_definitions` VALUES (88202, 2721, 23, 'Den Daha Büyük:veya Eşit:');
INSERT INTO `lang_definitions` VALUES (88203, 2722, 23, 'Yunanca');
INSERT INTO `lang_definitions` VALUES (88204, 2723, 23, 'Çağdaş Yunanca');
INSERT INTO `lang_definitions` VALUES (88205, 2724, 23, 'Grup');
INSERT INTO `lang_definitions` VALUES (88206, 2725, 23, 'Grup İsmi');
INSERT INTO `lang_definitions` VALUES (88207, 2726, 23, 'Grup isimleri boş bırakılamaz.');
INSERT INTO `lang_definitions` VALUES (88208, 2727, 23, 'Grup isimleri rakamlarla veya boşluklarla başlayamaz.');
INSERT INTO `lang_definitions` VALUES (88209, 2728, 23, 'Grup isimleri rakamlarla başlayamaz.');
INSERT INTO `lang_definitions` VALUES (88210, 2729, 23, 'Grup Numarası:');
INSERT INTO `lang_definitions` VALUES (88211, 2730, 23, 'Grup Ödemesi');
INSERT INTO `lang_definitions` VALUES (88212, 2731, 23, 'Grup');
INSERT INTO `lang_definitions` VALUES (88213, 2732, 23, 'Grup ismi');
INSERT INTO `lang_definitions` VALUES (88214, 2733, 23, 'Gruplar ve Erişim Kontrolleri');
INSERT INTO `lang_definitions` VALUES (88215, 2734, 23, 'Büyüme Çizelgesi');
INSERT INTO `lang_definitions` VALUES (88216, 2735, 23, 'Büyüme-Çizelgesi');
INSERT INTO `lang_definitions` VALUES (88217, 2736, 23, 'gtts(damla)');
INSERT INTO `lang_definitions` VALUES (88218, 2737, 23, 'Guamca');
INSERT INTO `lang_definitions` VALUES (88219, 2739, 23, 'Veli / Vasi Adı');
INSERT INTO `lang_definitions` VALUES (88220, 2741, 23, 'Jinekolojik Muayene');
INSERT INTO `lang_definitions` VALUES (88221, 2742, 23, 's');
INSERT INTO `lang_definitions` VALUES (88222, 2743, 23, 'yatarken');
INSERT INTO `lang_definitions` VALUES (88223, 2744, 23, 'H/O Hepatit');
INSERT INTO `lang_definitions` VALUES (88224, 2745, 23, 'başarıyla silinmişti. Eğer var ise alt kategoriler aşağı taşındı.');
INSERT INTO `lang_definitions` VALUES (88225, 2746, 23, 'Hematom / Morarma');
INSERT INTO `lang_definitions` VALUES (88226, 2747, 23, 'HAI Durumu');
INSERT INTO `lang_definitions` VALUES (88227, 2748, 23, 'Haitice');
INSERT INTO `lang_definitions` VALUES (88228, 2750, 23, 'El + Parmaklar');
INSERT INTO `lang_definitions` VALUES (88229, 2751, 23, 'El Sorunları');
INSERT INTO `lang_definitions` VALUES (88230, 2752, 23, 'Sabit sürücü');
INSERT INTO `lang_definitions` VALUES (88231, 2753, 23, 'Güçlük ile / değil');
INSERT INTO `lang_definitions` VALUES (88232, 2754, 23, 'vizite ilişkilendirildi');
INSERT INTO `lang_definitions` VALUES (88233, 2755, 23, 'zaman aşımına uğradı');
INSERT INTO `lang_definitions` VALUES (88234, 2756, 23, 'Parmak izi dosyası');
INSERT INTO `lang_definitions` VALUES (88235, 2757, 23, 'Bu dosyanın parmak izi dosyası bulunamadı. Yenisi oluşturuldu.');
INSERT INTO `lang_definitions` VALUES (88236, 2758, 23, 'Parmak izi dosyası uyuşmuyor. Veri bütünlüğü bozuldu.');
INSERT INTO `lang_definitions` VALUES (88237, 2760, 23, 'Havaice');
INSERT INTO `lang_definitions` VALUES (88238, 2761, 23, 'Tehlikeli Etkinlikler');
INSERT INTO `lang_definitions` VALUES (88239, 2762, 23, 'Tehlikeli etkinlikler');
INSERT INTO `lang_definitions` VALUES (88240, 2763, 23, 'HCFA sol kenarlık');
INSERT INTO `lang_definitions` VALUES (88241, 2764, 23, 'HCFA Kenarlıkları');
INSERT INTO `lang_definitions` VALUES (88242, 2765, 23, 'HCFA üst kenarlığı');
INSERT INTO `lang_definitions` VALUES (88243, 2767, 23, 'o TakvimPostası ');
INSERT INTO `lang_definitions` VALUES (88244, 2768, 23, 'Baş');
INSERT INTO `lang_definitions` VALUES (88245, 2769, 23, 'Baş Çev');
INSERT INTO `lang_definitions` VALUES (88246, 2770, 23, 'Baş Çevresi');
INSERT INTO `lang_definitions` VALUES (88247, 2771, 23, 'Baş Ağrısı');
INSERT INTO `lang_definitions` VALUES (88248, 2772, 23, 'Baş ağrıları');
INSERT INTO `lang_definitions` VALUES (88249, 2773, 23, 'sağlık işlemleri');
INSERT INTO `lang_definitions` VALUES (88250, 2774, 23, 'Sağlık İşlemleri');
INSERT INTO `lang_definitions` VALUES (88251, 2775, 23, 'Sağlık Merkezi / Klinik');
INSERT INTO `lang_definitions` VALUES (88252, 2776, 23, 'Sağlığı Sürdürme Kurumu');
INSERT INTO `lang_definitions` VALUES (88253, 2777, 23, 'Sağlığı Sürdürme Kurumu Tıbbi Bakım Riski');
INSERT INTO `lang_definitions` VALUES (88254, 2778, 23, 'İşitme Kaybı');
INSERT INTO `lang_definitions` VALUES (88255, 2779, 23, 'Kalp Krizi');
INSERT INTO `lang_definitions` VALUES (88256, 2780, 23, 'Kalp Hastalığı');
INSERT INTO `lang_definitions` VALUES (88257, 2781, 23, 'Kalp Yetmezliği');
INSERT INTO `lang_definitions` VALUES (88258, 2782, 23, 'Kalp Sorunu');
INSERT INTO `lang_definitions` VALUES (88259, 2783, 23, 'Kalp Sorunları');
INSERT INTO `lang_definitions` VALUES (88260, 2784, 23, 'Kalp Cerrahisi');
INSERT INTO `lang_definitions` VALUES (88261, 2785, 23, 'Kalp Nakli');
INSERT INTO `lang_definitions` VALUES (88262, 2786, 23, 'KALP:');
INSERT INTO `lang_definitions` VALUES (88263, 2787, 23, 'Mide ekşimesi');
INSERT INTO `lang_definitions` VALUES (88264, 2788, 23, 'Sıcak veya Soğuk');
INSERT INTO `lang_definitions` VALUES (88265, 2789, 23, 'Sıcak Veya Soğuk');
INSERT INTO `lang_definitions` VALUES (88266, 2790, 23, 'Çok sigara içen');
INSERT INTO `lang_definitions` VALUES (88267, 2791, 23, 'İbranice');
INSERT INTO `lang_definitions` VALUES (88268, 2792, 23, 'Çağdaş İbranice');
INSERT INTO `lang_definitions` VALUES (88269, 2793, 23, 'Baş Göz KBB');
INSERT INTO `lang_definitions` VALUES (88270, 2794, 23, 'Boy');
INSERT INTO `lang_definitions` VALUES (88271, 2795, 23, 'Boy/Uzunluk');
INSERT INTO `lang_definitions` VALUES (88272, 2796, 23, 'Yardım');
INSERT INTO `lang_definitions` VALUES (88273, 2797, 23, 'yardım');
INSERT INTO `lang_definitions` VALUES (88274, 2798, 23, 'Hematemez');
INSERT INTO `lang_definitions` VALUES (88275, 2799, 23, 'Hematokezya');
INSERT INTO `lang_definitions` VALUES (88276, 2800, 23, 'Hematolojik');
INSERT INTO `lang_definitions` VALUES (88277, 2801, 23, 'Hematüri');
INSERT INTO `lang_definitions` VALUES (88278, 2802, 23, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (88279, 2803, 23, 'Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (88280, 2804, 23, 'Hemoptizi');
INSERT INTO `lang_definitions` VALUES (88281, 2805, 23, 'Hepatit');
INSERT INTO `lang_definitions` VALUES (88282, 2806, 23, 'Hepatit A1');
INSERT INTO `lang_definitions` VALUES (88283, 2807, 23, 'Hepatit A 2');
INSERT INTO `lang_definitions` VALUES (88284, 2808, 23, 'Hepatit B 1');
INSERT INTO `lang_definitions` VALUES (88285, 2809, 23, 'Hepatit B 2');
INSERT INTO `lang_definitions` VALUES (88286, 2810, 23, 'Hepatit B 3');
INSERT INTO `lang_definitions` VALUES (88287, 2811, 23, 'buraya');
INSERT INTO `lang_definitions` VALUES (88288, 2813, 23, 'Fıtık Onarımı');
INSERT INTO `lang_definitions` VALUES (88289, 2814, 23, 'Disk Hernisi');
INSERT INTO `lang_definitions` VALUES (88290, 2815, 23, 'Herpes');
INSERT INTO `lang_definitions` VALUES (88291, 2816, 23, 'Duraksama');
INSERT INTO `lang_definitions` VALUES (88292, 2817, 23, 'Hey, siz şu zamandır buradasınız: ');
INSERT INTO `lang_definitions` VALUES (88293, 2818, 23, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (88294, 2819, 23, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (88295, 2820, 23, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (88296, 2821, 23, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (88297, 2822, 23, 'Gizli');
INSERT INTO `lang_definitions` VALUES (88298, 2823, 23, 'Gizli Olaylar Yönetimi');
INSERT INTO `lang_definitions` VALUES (88299, 2824, 23, 'Gizle');
INSERT INTO `lang_definitions` VALUES (88300, 2825, 23, 'Ayrıntıları Gizle');
INSERT INTO `lang_definitions` VALUES (88301, 2826, 23, 'Raporda Boş E-İmza Günlüklerini Gizle');
INSERT INTO `lang_definitions` VALUES (88302, 2827, 23, 'Belge yönetiminde sifreleme/şifre açma seçeneklerini gizle');
INSERT INTO `lang_definitions` VALUES (88303, 2828, 23, 'Menüyü Gizle');
INSERT INTO `lang_definitions` VALUES (88304, 2830, 23, 'Hatırlatıcıları Gizle');
INSERT INTO `lang_definitions` VALUES (88305, 2831, 23, 'Sütunları Gizle/Göster');
INSERT INTO `lang_definitions` VALUES (88306, 2833, 23, 'Yüksek');
INSERT INTO `lang_definitions` VALUES (88307, 2834, 23, 'Yüksek Kan Basıncı');
INSERT INTO `lang_definitions` VALUES (88308, 2835, 23, 'Hintli');
INSERT INTO `lang_definitions` VALUES (88309, 2836, 23, 'Kalça + kasık');
INSERT INTO `lang_definitions` VALUES (88310, 2837, 23, 'Kalça ve kasık');
INSERT INTO `lang_definitions` VALUES (88311, 2838, 23, 'Kalça sorunları');
INSERT INTO `lang_definitions` VALUES (88312, 2839, 23, 'Kalça Protezi');
INSERT INTO `lang_definitions` VALUES (88313, 2840, 23, 'HIPAA Uyarısı Alındı');
INSERT INTO `lang_definitions` VALUES (88314, 2842, 23, 'Hirsutizm/Strialar');
INSERT INTO `lang_definitions` VALUES (88315, 2843, 23, 'Esmer');
INSERT INTO `lang_definitions` VALUES (88316, 2844, 23, 'Esmer - Diğer ( ABD de doğmuş)');
INSERT INTO `lang_definitions` VALUES (88317, 2845, 23, 'Esmer - Diğer ( ABD dışında doğmuş)');
INSERT INTO `lang_definitions` VALUES (88318, 2846, 23, 'Latin Amerikalı');
INSERT INTO `lang_definitions` VALUES (88319, 2847, 23, 'Öykü');
INSERT INTO `lang_definitions` VALUES (88320, 2848, 23, 'Öykü Verisi');
INSERT INTO `lang_definitions` VALUES (88321, 2849, 23, 'Öykü Tarihi');
INSERT INTO `lang_definitions` VALUES (88322, 2851, 23, 'Üfürüm Öyküsü');
INSERT INTO `lang_definitions` VALUES (88323, 2852, 23, 'Öykü yetkilendirilmemiş');
INSERT INTO `lang_definitions` VALUES (88324, 2853, 23, 'Kalp Üfürümü Öyküsü');
INSERT INTO `lang_definitions` VALUES (88325, 2854, 23, 'Vuruşlar');
INSERT INTO `lang_definitions` VALUES (88326, 2855, 23, 'HIV');
INSERT INTO `lang_definitions` VALUES (88327, 2858, 23, 'HL7 Görüntüleyici');
INSERT INTO `lang_definitions` VALUES (88328, 2860, 23, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (88329, 2861, 23, 'Hmongca');
INSERT INTO `lang_definitions` VALUES (88330, 2862, 23, 'Çoklu seçim yapmak veya seçimden çıkarmak için [Ctrl] yi basılı tutunuz.');
INSERT INTO `lang_definitions` VALUES (88331, 2863, 23, 'Çok kalem seçmek için [Ctrl] yi basılı tutunuz');
INSERT INTO `lang_definitions` VALUES (88332, 2864, 23, 'Çok takım seçmek için [Ctrl] yi basılı tutunuz');
INSERT INTO `lang_definitions` VALUES (88333, 2865, 23, 'Ev');
INSERT INTO `lang_definitions` VALUES (88334, 2866, 23, 'Ev Telefonu');
INSERT INTO `lang_definitions` VALUES (88335, 2867, 23, 'Ev Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (88336, 2868, 23, 'Evsiz veya benzer?');
INSERT INTO `lang_definitions` VALUES (88337, 2869, 23, 'Evsiz, vs.');
INSERT INTO `lang_definitions` VALUES (88338, 2870, 23, 'Evsiz, vs.');
INSERT INTO `lang_definitions` VALUES (88339, 2871, 23, 'Kancalar');
INSERT INTO `lang_definitions` VALUES (88340, 2872, 23, 'Sunucu Adı');
INSERT INTO `lang_definitions` VALUES (88341, 2873, 23, 'Sunucu Adı boş olamaz');
INSERT INTO `lang_definitions` VALUES (88342, 2875, 23, 'Saat');
INSERT INTO `lang_definitions` VALUES (88343, 2876, 23, 'Saat');
INSERT INTO `lang_definitions` VALUES (88344, 2878, 23, 'Yaralanma nasıl oldu?');
INSERT INTO `lang_definitions` VALUES (88345, 2879, 23, 'Yaralanma nasıl oldu?');
INSERT INTO `lang_definitions` VALUES (88346, 2880, 23, 'Bizi nereden duymuşlar?');
INSERT INTO `lang_definitions` VALUES (88347, 2881, 23, 'Gelen olaylar için kaç ay ilerisi sorgulansın?');
INSERT INTO `lang_definitions` VALUES (88348, 2882, 23, 'HPI:');
INSERT INTO `lang_definitions` VALUES (88349, 2883, 23, 'HT');
INSERT INTO `lang_definitions` VALUES (88350, 2884, 23, 'HTML');
INSERT INTO `lang_definitions` VALUES (88351, 2885, 23, 'HTML Çıktısı?');
INSERT INTO `lang_definitions` VALUES (88352, 2886, 23, 'LLC Lab Değişim Hizmeti ÖzgürETK desteği için https bağlantısı');
INSERT INTO `lang_definitions` VALUES (88353, 2888, 23, 'Hylafax Dizini');
INSERT INTO `lang_definitions` VALUES (88354, 2889, 23, 'Hylafax Yazdır Komutu');
INSERT INTO `lang_definitions` VALUES (88355, 2890, 23, 'Hylafax Sunucu.');
INSERT INTO `lang_definitions` VALUES (88356, 2891, 23, 'Hylafax sunucu ana bilgisayar adı.');
INSERT INTO `lang_definitions` VALUES (88357, 2892, 23, 'Hiperaktif');
INSERT INTO `lang_definitions` VALUES (88358, 2893, 23, 'Hipertansiyon');
INSERT INTO `lang_definitions` VALUES (88359, 2894, 23, 'Hipertansiyon: Kan Basıncı Yönetimi');
INSERT INTO `lang_definitions` VALUES (88360, 2895, 23, 'Hipertansiyon: Kan Basıncı Yönetimi Kalite Kontrol');
INSERT INTO `lang_definitions` VALUES (88361, 2896, 23, 'Hipertiroidi');
INSERT INTO `lang_definitions` VALUES (88362, 2897, 23, 'Hipotiroidi');
INSERT INTO `lang_definitions` VALUES (88363, 2898, 23, 'Histerektomi');
INSERT INTO `lang_definitions` VALUES (88364, 2899, 23, 'Ben');
INSERT INTO `lang_definitions` VALUES (88365, 2900, 23, 'Bu süre boyunca meşgulüm.');
INSERT INTO `lang_definitions` VALUES (88366, 2901, 23, 'Okuma iznim yok ');
INSERT INTO `lang_definitions` VALUES (88367, 2902, 23, 'ICD');
INSERT INTO `lang_definitions` VALUES (88368, 2903, 23, 'ICD10 Tanı');
INSERT INTO `lang_definitions` VALUES (88369, 2904, 23, 'ICD10 İşlem/Hizmet');
INSERT INTO `lang_definitions` VALUES (88370, 2905, 23, 'ICD9');
INSERT INTO `lang_definitions` VALUES (88371, 2906, 23, 'ICD9 Tanı');
INSERT INTO `lang_definitions` VALUES (88372, 2907, 23, 'ICD9 İşlem/Hizmet');
INSERT INTO `lang_definitions` VALUES (88373, 2908, 23, 'İzlandaca');
INSERT INTO `lang_definitions` VALUES (88374, 2909, 23, 'Kimlik no');
INSERT INTO `lang_definitions` VALUES (88375, 2910, 23, 'kimlik no');
INSERT INTO `lang_definitions` VALUES (88376, 2911, 23, 'Kimlik no boş olamaz');
INSERT INTO `lang_definitions` VALUES (88377, 2912, 23, 'Nüfus Kağıdı');
INSERT INTO `lang_definitions` VALUES (88378, 2913, 23, 'IDays');
INSERT INTO `lang_definitions` VALUES (88379, 2914, 23, 'Tanımlandı:');
INSERT INTO `lang_definitions` VALUES (88380, 2915, 23, 'Tanımlayıcı (bir sözcük)');
INSERT INTO `lang_definitions` VALUES (88381, 2916, 23, 'Tanımlama kodu');
INSERT INTO `lang_definitions` VALUES (88382, 2917, 23, 'Oturum Boşta Zaman Aşımı Saniye');
INSERT INTO `lang_definitions` VALUES (88383, 2919, 23, 'eğer bu formun tüm sütunlarının tüm bilgileri tamam ise');
INSERT INTO `lang_definitions` VALUES (88384, 2920, 23, 'Eğer paket faturalandırma kullanılıyor ise teşhis kodu tipini ismini giriniz.');
INSERT INTO `lang_definitions` VALUES (88385, 2921, 23, 'eğer girilir ise sadece bu hizmeti alanları seçiniz.');
INSERT INTO `lang_definitions` VALUES (88386, 2922, 23, 'Eğer isim, soyad veya soyad, ad bir kısmı');
INSERT INTO `lang_definitions` VALUES (88387, 2923, 23, 'Eğer ödeme yolu:');
INSERT INTO `lang_definitions` VALUES (88388, 2924, 23, 'eğer kişi öldü ise ölüm tarihini giriniz.');
INSERT INTO `lang_definitions` VALUES (88389, 2925, 23, 'Eğer SMTP kullanılıyor ise sunucu ismi veya IP adresi.');
INSERT INTO `lang_definitions` VALUES (88390, 2926, 23, 'SMTP kullanılıyor ise sunucunun TCP port mumarası (genellikle 25)');
INSERT INTO `lang_definitions` VALUES (88391, 2927, 23, 'İşsiz ise Öğrenci giriniz');
INSERT INTO `lang_definitions` VALUES (88392, 2928, 23, 'Hasta yaşı gösterilmesinde yıl/ay/gün seçildi ise yaş yıl olarak bu rakamı geçerse sadece yılın gösterileceği sınır yaş');
INSERT INTO `lang_definitions` VALUES (88393, 2929, 23, 'eReçete için eRx rolünü değiştirirseniz eReçete iş akışını etkileyebilir. Bir zorluk ile karşılaşırsanız eReçete satıcınız ile temas ediniz.');
INSERT INTO `lang_definitions` VALUES (88394, 2931, 23, 'Elektronik havale göndermeyi seçmiş iseniz X12 dosyasından karşılık helen faturalar ile bir araştırma penceresi tekrar görünür. Havale bilgisi uygulanmadan önce eğer bir düzeltme yapmak ister iseniz bu fatura numaralarının her hangi birini aşağıda anlatıldığı gibi tıklayabilirsiniz. Değişiklikleri uygulamak için sayfanın en altındaki Havale Dosyasını Oluştur düğmesini tıklayınız. Bu ayrıntılı bir rapor ile yeni bir pencere oluşturacaktır.');
INSERT INTO `lang_definitions` VALUES (88395, 2932, 23, 'Arama Sayfasına bir Ödeme Tarihi girdiyseniz bu ödemelerin atama tarihinin ve X12 dosyasından alınan düzeltmelerin önüne geçer. Bunun rapor amaçlı yararı olabilir.eğer sizin gönderme tarihinizi sigorta şirketinin işlem tarihi yerine kullanmak ister iseniz Bunun önceki ödemeleri ve bunlara ikincil alacakları etkilediğine dikkat ediniz');
INSERT INTO `lang_definitions` VALUES (88396, 2933, 23, 'Sütunlar');
INSERT INTO `lang_definitions` VALUES (88397, 2934, 23, 'Veritabanını yükseltmek isterseniz veritabanı zip dosyasını şu klasöre yerleştiriniz:');
INSERT INTO `lang_definitions` VALUES (88398, 2936, 23, 'Görmezden gelin');
INSERT INTO `lang_definitions` VALUES (88399, 2937, 23, 'hastalık');
INSERT INTO `lang_definitions` VALUES (88400, 2938, 23, 'IM');
INSERT INTO `lang_definitions` VALUES (88401, 2941, 23, 'Görüntüleme Servisi');
INSERT INTO `lang_definitions` VALUES (88402, 2942, 23, 'Aşılama');
INSERT INTO `lang_definitions` VALUES (88403, 2943, 23, 'Aşılama Kodu');
INSERT INTO `lang_definitions` VALUES (88404, 2945, 23, 'Aşılama Tarihi');
INSERT INTO `lang_definitions` VALUES (88405, 2947, 23, 'Aşı Parti Numarası');
INSERT INTO `lang_definitions` VALUES (88406, 2948, 23, 'Aşı Üreticisi');
INSERT INTO `lang_definitions` VALUES (88407, 2949, 23, 'Aşılama Kaydı');
INSERT INTO `lang_definitions` VALUES (88408, 2951, 23, 'Aşılama Servisi');
INSERT INTO `lang_definitions` VALUES (88409, 2952, 23, 'Aşılama Başlığı');
INSERT INTO `lang_definitions` VALUES (88410, 2953, 23, 'Aşılamalar');
INSERT INTO `lang_definitions` VALUES (88411, 2954, 23, 'Aşılar');
INSERT INTO `lang_definitions` VALUES (88412, 2955, 23, 'İmmünolojik');
INSERT INTO `lang_definitions` VALUES (88413, 2956, 23, 'İmplantlar');
INSERT INTO `lang_definitions` VALUES (88414, 2957, 23, 'İçe aktarmak');
INSERT INTO `lang_definitions` VALUES (88415, 2961, 23, 'Sertifikayı tarayıcıya aktar');
INSERT INTO `lang_definitions` VALUES (88416, 2962, 23, 'Konfigürasyonu aktar');
INSERT INTO `lang_definitions` VALUES (88417, 2964, 23, 'Hastayı içe aktar');
INSERT INTO `lang_definitions` VALUES (88418, 2965, 23, 'Hasta Demografik Bilgilerini içe aktar');
INSERT INTO `lang_definitions` VALUES (88419, 2969, 23, 'Muhasebeden içe aktarıldı');
INSERT INTO `lang_definitions` VALUES (88420, 2972, 23, 'İyileştirilmiş');
INSERT INTO `lang_definitions` VALUES (88421, 2973, 23, 'içinde');
INSERT INTO `lang_definitions` VALUES (88422, 2974, 23, 'İÇİNDE');
INSERT INTO `lang_definitions` VALUES (88423, 2975, 23, 'her bir gözde');
INSERT INTO `lang_definitions` VALUES (88424, 2976, 23, 'sol gözde');
INSERT INTO `lang_definitions` VALUES (88425, 2977, 23, 'burun deliğinde');
INSERT INTO `lang_definitions` VALUES (88426, 2978, 23, 'Ofiste');
INSERT INTO `lang_definitions` VALUES (88427, 2979, 23, 'sağ gözde');
INSERT INTO `lang_definitions` VALUES (88428, 2980, 23, 'ev içi');
INSERT INTO `lang_definitions` VALUES (88429, 2981, 23, 'inaktif');
INSERT INTO `lang_definitions` VALUES (88430, 2982, 23, 'boş Günler');
INSERT INTO `lang_definitions` VALUES (88431, 2983, 23, 'Gelen Kutusu');
INSERT INTO `lang_definitions` VALUES (88432, 2986, 23, 'Kontrol Toplamı Dahil');
INSERT INTO `lang_definitions` VALUES (88433, 2987, 23, 'Dahil Tamamlandı');
INSERT INTO `lang_definitions` VALUES (88434, 2988, 23, 'İnaktif kullanıcılar dahil');
INSERT INTO `lang_definitions` VALUES (88435, 2989, 23, 'Kategorize edilmeyenler dahil');
INSERT INTO `lang_definitions` VALUES (88436, 2990, 23, 'Yapılandırılmamış Veriler dahil');
INSERT INTO `lang_definitions` VALUES (88437, 2991, 23, 'Vital bulgular dahil');
INSERT INTO `lang_definitions` VALUES (88438, 2992, 23, 'Vital veriler dahil edilsin mi?');
INSERT INTO `lang_definitions` VALUES (88439, 2993, 23, 'Dahil etme');
INSERT INTO `lang_definitions` VALUES (88440, 2994, 23, 'Gelir');
INSERT INTO `lang_definitions` VALUES (88441, 2996, 23, 'Tamamlanmamış');
INSERT INTO `lang_definitions` VALUES (88442, 2997, 23, 'Abort İnkomplet Tedavisi');
INSERT INTO `lang_definitions` VALUES (88443, 2998, 23, 'İnkontinans');
INSERT INTO `lang_definitions` VALUES (88444, 2999, 23, 'Klinik laboratuvar test sonuçlarını yapılandırılmış veri olarak sertifiye elektronik sağlık kaydı raporuna dahil et.');
INSERT INTO `lang_definitions` VALUES (88445, 3001, 23, 'Artmış:');
INSERT INTO `lang_definitions` VALUES (88446, 3002, 23, 'Mesuliyet Sigortası');
INSERT INTO `lang_definitions` VALUES (88447, 3003, 23, 'Belirsiz');
INSERT INTO `lang_definitions` VALUES (88448, 3004, 23, 'Hintli');
INSERT INTO `lang_definitions` VALUES (88449, 3005, 23, 'Anormalliği gösterir');
INSERT INTO `lang_definitions` VALUES (88450, 3006, 23, 'Bu konunun halen aktif olup olmadığını gösterir');
INSERT INTO `lang_definitions` VALUES (88451, 3008, 23, 'Özelleşmiş kullanım belirteci');
INSERT INTO `lang_definitions` VALUES (88452, 3009, 23, 'Yoksul Hastalar');
INSERT INTO `lang_definitions` VALUES (88453, 3010, 23, 'Yoksul Hastalar Raporu');
INSERT INTO `lang_definitions` VALUES (88454, 3011, 23, 'Yoksullar');
INSERT INTO `lang_definitions` VALUES (88455, 3014, 23, 'Kürtaj');
INSERT INTO `lang_definitions` VALUES (88456, 3016, 23, 'Seçilemez');
INSERT INTO `lang_definitions` VALUES (88457, 3017, 23, 'Enfeksiyon / Apse');
INSERT INTO `lang_definitions` VALUES (88458, 3018, 23, 'Enfeksiyonlar');
INSERT INTO `lang_definitions` VALUES (88459, 3019, 23, 'Kısır');
INSERT INTO `lang_definitions` VALUES (88460, 3020, 23, 'Kısırlık');
INSERT INTO `lang_definitions` VALUES (88461, 3021, 23, 'İnfluenza 1');
INSERT INTO `lang_definitions` VALUES (88462, 3022, 23, 'İnfluenza 2');
INSERT INTO `lang_definitions` VALUES (88463, 3023, 23, '50 yaş ve üzeri hastalar için grip aşısı');
INSERT INTO `lang_definitions` VALUES (88464, 3024, 23, '50 yaş ve üzeri hastalar için grip aşısı kalite kontrol');
INSERT INTO `lang_definitions` VALUES (88465, 3025, 23, 'Grip Aşısı');
INSERT INTO `lang_definitions` VALUES (88466, 3026, 23, 'Bilgi');
INSERT INTO `lang_definitions` VALUES (88467, 3027, 23, 'test 1 bilgi');
INSERT INTO `lang_definitions` VALUES (88468, 3028, 23, 'test 2 bilgi');
INSERT INTO `lang_definitions` VALUES (88469, 3029, 23, 'test 3 bilgi');
INSERT INTO `lang_definitions` VALUES (88470, 3030, 23, 'test 4 bilgi');
INSERT INTO `lang_definitions` VALUES (88471, 3031, 23, 'test 5 bilgi');
INSERT INTO `lang_definitions` VALUES (88472, 3032, 23, 'test 6 bilgi');
INSERT INTO `lang_definitions` VALUES (88473, 3034, 23, 'inhalasyon');
INSERT INTO `lang_definitions` VALUES (88474, 3035, 23, 'inhalasyon');
INSERT INTO `lang_definitions` VALUES (88475, 3037, 23, 'İlk Kullanıcı');
INSERT INTO `lang_definitions` VALUES (88476, 3039, 23, 'Enjeksiyon ilaçları');
INSERT INTO `lang_definitions` VALUES (88477, 3040, 23, 'Enjeksiyon');
INSERT INTO `lang_definitions` VALUES (88478, 3041, 23, 'Yaralı Vücut Kısmı');
INSERT INTO `lang_definitions` VALUES (88479, 3042, 23, 'Yaralı');
INSERT INTO `lang_definitions` VALUES (88480, 3043, 23, 'Yara');
INSERT INTO `lang_definitions` VALUES (88481, 3044, 23, 'Yara Mekanizması');
INSERT INTO `lang_definitions` VALUES (88482, 3045, 23, 'Yara İnceleme Raporu');
INSERT INTO `lang_definitions` VALUES (88483, 3046, 23, 'Yara Denetimi');
INSERT INTO `lang_definitions` VALUES (88484, 3047, 23, 'Yara Tipi');
INSERT INTO `lang_definitions` VALUES (88485, 3048, 23, 'Yara/hastalık ilgili');
INSERT INTO `lang_definitions` VALUES (88486, 3051, 23, 'Giriş Alanları');
INSERT INTO `lang_definitions` VALUES (88487, 3056, 23, 'Sig düzenle');
INSERT INTO `lang_definitions` VALUES (88488, 3057, 23, 'Sig paket');
INSERT INTO `lang_definitions` VALUES (88489, 3058, 23, 'Sig Kod');
INSERT INTO `lang_definitions` VALUES (88490, 3061, 23, 'Sig fazla ödenmiş');
INSERT INTO `lang_definitions` VALUES (88491, 3063, 23, 'Sig geri ödeme');
INSERT INTO `lang_definitions` VALUES (88492, 3064, 23, 'Sig Özet');
INSERT INTO `lang_definitions` VALUES (88493, 3065, 23, 'Sig1');
INSERT INTO `lang_definitions` VALUES (88494, 3066, 23, 'Sig2');
INSERT INTO `lang_definitions` VALUES (88495, 3067, 23, 'Sig3');
INSERT INTO `lang_definitions` VALUES (88496, 3069, 23, 'Araya ekleme başarısız ');
INSERT INTO `lang_definitions` VALUES (88497, 3070, 23, 'Eski olayları tablolara ekle');
INSERT INTO `lang_definitions` VALUES (88498, 3072, 23, 'Uykusuzluk');
INSERT INTO `lang_definitions` VALUES (88499, 3074, 23, 'Gözlem');
INSERT INTO `lang_definitions` VALUES (88500, 3075, 23, 'İnstabilite /sublüksasyon');
INSERT INTO `lang_definitions` VALUES (88501, 3079, 23, 'VT kur');
INSERT INTO `lang_definitions` VALUES (88502, 3081, 23, 'Talimat verilmiş');
INSERT INTO `lang_definitions` VALUES (88503, 3082, 23, 'Talimat');
INSERT INTO `lang_definitions` VALUES (88504, 3084, 23, 'Talimatlar:');
INSERT INTO `lang_definitions` VALUES (88505, 3086, 23, 'İnsüline Bağımlı Diyabet');
INSERT INTO `lang_definitions` VALUES (88506, 3087, 23, 'Sigorta');
INSERT INTO `lang_definitions` VALUES (88507, 3088, 23, 'sigorta');
INSERT INTO `lang_definitions` VALUES (88508, 3093, 23, 'Sigorta Şirk.');
INSERT INTO `lang_definitions` VALUES (88509, 3094, 23, 'Sigorta Şirketleri');
INSERT INTO `lang_definitions` VALUES (88510, 3095, 23, 'Sigorta Şirketi');
INSERT INTO `lang_definitions` VALUES (88511, 3096, 23, 'Sigorta Şirketi Ara/Ekle');
INSERT INTO `lang_definitions` VALUES (88512, 3098, 23, 'Sigorta Bilgileri');
INSERT INTO `lang_definitions` VALUES (88513, 3099, 23, 'Sigorta bilgisi dosyada');
INSERT INTO `lang_definitions` VALUES (88514, 3100, 23, 'Sigorta Numaraları');
INSERT INTO `lang_definitions` VALUES (88515, 3101, 23, 'Sigorta Ödemesi');
INSERT INTO `lang_definitions` VALUES (88516, 3103, 23, 'Sigorta Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (88517, 3107, 23, 'Alma Sonu');
INSERT INTO `lang_definitions` VALUES (88518, 3108, 23, 'Alma Tarihi');
INSERT INTO `lang_definitions` VALUES (88519, 3109, 23, 'Zihinsel Becerilerde Azalma');
INSERT INTO `lang_definitions` VALUES (88520, 3113, 23, 'İç hata - hiç bir sayfa seçilmedi!');
INSERT INTO `lang_definitions` VALUES (88521, 3114, 23, 'İç hata - hasta ID verilmedi!');
INSERT INTO `lang_definitions` VALUES (88522, 3115, 23, 'İç hata yüklenmiş dosyaya erişiliyor!');
INSERT INTO `lang_definitions` VALUES (88523, 3116, 23, 'İç hata!');
INSERT INTO `lang_definitions` VALUES (88524, 3117, 23, 'İç hata, hiç bir ilaç ID belirtilmemiş!');
INSERT INTO `lang_definitions` VALUES (88525, 3119, 23, 'İç hata: alacak ');
INSERT INTO `lang_definitions` VALUES (88526, 3120, 23, 'İç hata: görüşme');
INSERT INTO `lang_definitions` VALUES (88527, 3121, 23, 'İç hata: pid veya görüşme eksik');
INSERT INTO `lang_definitions` VALUES (88528, 3123, 23, 'İç Tanımlayıcı (pid)');
INSERT INTO `lang_definitions` VALUES (88529, 3126, 23, 'İç Sevkler');
INSERT INTO `lang_definitions` VALUES (88530, 3127, 23, 'İç Zaman Toplandı');
INSERT INTO `lang_definitions` VALUES (88531, 3128, 23, 'Uluslararası Gümrük Vergisi');
INSERT INTO `lang_definitions` VALUES (88532, 3129, 23, 'Tercüman');
INSERT INTO `lang_definitions` VALUES (88533, 3130, 23, 'Tercüman gerekli mi?');
INSERT INTO `lang_definitions` VALUES (88534, 3131, 23, 'İnterstisyel Akciğer Hastalığı');
INSERT INTO `lang_definitions` VALUES (88535, 3132, 23, 'Ara');
INSERT INTO `lang_definitions` VALUES (88536, 3137, 23, 'Dayanıksızlık');
INSERT INTO `lang_definitions` VALUES (88537, 3139, 23, 'kas içerisine');
INSERT INTO `lang_definitions` VALUES (88538, 3140, 23, 'damardan');
INSERT INTO `lang_definitions` VALUES (88539, 3141, 23, 'sunu');
INSERT INTO `lang_definitions` VALUES (88540, 3149, 23, 'kaynakta kod için geçersiz veya eksik ödeyen ');
INSERT INTO `lang_definitions` VALUES (88541, 3151, 23, 'Geçersiz Servis Kodları');
INSERT INTO `lang_definitions` VALUES (88542, 3152, 23, 'Geçersiz kaynak atama');
INSERT INTO `lang_definitions` VALUES (88543, 3154, 23, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (88544, 3155, 23, 'Envanter');
INSERT INTO `lang_definitions` VALUES (88545, 3156, 23, 'Envanter Etkinliği');
INSERT INTO `lang_definitions` VALUES (88546, 3157, 23, 'Hem ilaçların hem de ilaç dışı ürünlerin envanterini çıkart ve sat');
INSERT INTO `lang_definitions` VALUES (88547, 3158, 23, 'Sadece ilaçların envanterini çıkart ve sat');
INSERT INTO `lang_definitions` VALUES (88548, 3159, 23, 'Bu sipariş için envanter yok');
INSERT INTO `lang_definitions` VALUES (88549, 3160, 23, 'Envanter Listesi');
INSERT INTO `lang_definitions` VALUES (88550, 3161, 23, 'Envanter İşlemleri');
INSERT INTO `lang_definitions` VALUES (88551, 3162, 23, 'Fatura');
INSERT INTO `lang_definitions` VALUES (88552, 3163, 23, 'Fatura');
INSERT INTO `lang_definitions` VALUES (88553, 3166, 23, 'Fatura');
INSERT INTO `lang_definitions` VALUES (88554, 3167, 23, 'Faturada tarih yok!');
INSERT INTO `lang_definitions` VALUES (88555, 3169, 23, 'Fatura referans numarası');
INSERT INTO `lang_definitions` VALUES (88556, 3170, 23, 'Fatura referans numarası havuzu, eğer kullanıldı ise');
INSERT INTO `lang_definitions` VALUES (88557, 3171, 23, 'Fatura Referans Numarası Havuzları');
INSERT INTO `lang_definitions` VALUES (88558, 3172, 23, 'Fatura RefNo Havuzu');
INSERT INTO `lang_definitions` VALUES (88559, 3173, 23, 'Fatura:');
INSERT INTO `lang_definitions` VALUES (88560, 3174, 23, 'Aile Planlaması');
INSERT INTO `lang_definitions` VALUES (88561, 3177, 23, 'Aile Planlaması Üreme Sağlığı verisi için');
INSERT INTO `lang_definitions` VALUES (88562, 3178, 23, 'Aile Planlaması İstatistik Raporu');
INSERT INTO `lang_definitions` VALUES (88563, 3179, 23, 'Aile Planlaması İstatistikleri');
INSERT INTO `lang_definitions` VALUES (88564, 3180, 23, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (88565, 3181, 23, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (88566, 3182, 23, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (88567, 3183, 23, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (88568, 3185, 23, 'Düzensiz Kalp Atımı');
INSERT INTO `lang_definitions` VALUES (88569, 3186, 23, 'İritabilite');
INSERT INTO `lang_definitions` VALUES (88570, 3187, 23, 'Tahriş');
INSERT INTO `lang_definitions` VALUES (88571, 3191, 23, 'gerekli bir alandır.');
INSERT INTO `lang_definitions` VALUES (88572, 3192, 23, 'bir root düğümüdür ve silinemez.');
INSERT INTO `lang_definitions` VALUES (88573, 3197, 23, 'geçerli değil (ondalık kısımlar tamam)');
INSERT INTO `lang_definitions` VALUES (88574, 3198, 23, 'PHP Güvenli Modu mu kullanıyor?');
INSERT INTO `lang_definitions` VALUES (88575, 3200, 23, 'taslaklardan metin tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (88576, 3201, 23, 'Listelerden metin tercüme edilecek mi?');
INSERT INTO `lang_definitions` VALUES (88577, 3204, 23, 'Bu bir tanı tipi mi?');
INSERT INTO `lang_definitions` VALUES (88578, 3212, 23, 'Bu tip ücret sayfasında gizli mi?');
INSERT INTO `lang_definitions` VALUES (88579, 3214, 23, 'çok uzun');
INSERT INTO `lang_definitions` VALUES (88580, 3216, 23, 'Konu');
INSERT INTO `lang_definitions` VALUES (88581, 3217, 23, 'konu');
INSERT INTO `lang_definitions` VALUES (88582, 3218, 23, 'Yayın Tarihi');
INSERT INTO `lang_definitions` VALUES (88583, 3219, 23, 'Yayın ID');
INSERT INTO `lang_definitions` VALUES (88584, 3220, 23, 'Yayın Başlığı');
INSERT INTO `lang_definitions` VALUES (88585, 3223, 23, 'Konular');
INSERT INTO `lang_definitions` VALUES (88586, 3224, 23, 'Konular (Yaralanmalar/Medikal/Alerji)');
INSERT INTO `lang_definitions` VALUES (88587, 3225, 23, 'Konular (Yaralanmalar/Medikal/Alerji):');
INSERT INTO `lang_definitions` VALUES (88588, 3226, 23, 'Konular ve Görüşmeler');
INSERT INTO `lang_definitions` VALUES (88589, 3227, 23, 'Konular ve Görüşmeler:');
INSERT INTO `lang_definitions` VALUES (88590, 3228, 23, 'Konulara yetki yok');
INSERT INTO `lang_definitions` VALUES (88591, 3229, 23, 'Konular Bölümü');
INSERT INTO `lang_definitions` VALUES (88592, 3230, 23, 'İtalyanca');
INSERT INTO `lang_definitions` VALUES (88593, 3231, 23, 'Madde');
INSERT INTO `lang_definitions` VALUES (88594, 3232, 23, 'madde');
INSERT INTO `lang_definitions` VALUES (88595, 3234, 23, 'maddelerin yüklenmesi başarısız');
INSERT INTO `lang_definitions` VALUES (88596, 3235, 23, 'IU/L');
INSERT INTO `lang_definitions` VALUES (88597, 3236, 23, 'RİA');
INSERT INTO `lang_definitions` VALUES (88598, 3237, 23, 'IV');
INSERT INTO `lang_definitions` VALUES (88599, 3238, 23, 'Oca');
INSERT INTO `lang_definitions` VALUES (88600, 3239, 23, 'Ocak');
INSERT INTO `lang_definitions` VALUES (88601, 3240, 23, 'Japonca');
INSERT INTO `lang_definitions` VALUES (88602, 3241, 23, 'Sarılık');
INSERT INTO `lang_definitions` VALUES (88603, 3243, 23, 'İş Tanımı');
INSERT INTO `lang_definitions` VALUES (88604, 3244, 23, 'İş ID');
INSERT INTO `lang_definitions` VALUES (88605, 3245, 23, 'Eklem çıkıkları');
INSERT INTO `lang_definitions` VALUES (88606, 3246, 23, 'Eklem Ağrısı');
INSERT INTO `lang_definitions` VALUES (88607, 3247, 23, 'Eklem burkulmaları');
INSERT INTO `lang_definitions` VALUES (88608, 3248, 23, 'Tem');
INSERT INTO `lang_definitions` VALUES (88609, 3249, 23, 'Temmuz');
INSERT INTO `lang_definitions` VALUES (88610, 3250, 23, 'Haz');
INSERT INTO `lang_definitions` VALUES (88611, 3251, 23, 'Haziran');
INSERT INTO `lang_definitions` VALUES (88612, 3252, 23, 'Tam aşağıda mavi bir alana arama kriterlerinizi girebilirsiniz. Hasta soyadı, dosya numarası, görüşme numarası, servis tarihi veya bunların herhangi bir kombinasyonu ile arama yapabilirsiniz. Tüm faturaları görmeyi isteyip istemediğinizi, açık faturaları veya vadesi gelmiş (hastaya) faturaları görmeyi seçebilirsiniz. Aramayı yapmak için Ara düğmesini tıklayınız.');
INSERT INTO `lang_definitions` VALUES (88613, 3253, 23, 'Sadece Benim');
INSERT INTO `lang_definitions` VALUES (88614, 3255, 23, 'Hizala');
INSERT INTO `lang_definitions` VALUES (88615, 3256, 23, 'Hizala/Kaydet');
INSERT INTO `lang_definitions` VALUES (88616, 3258, 23, 'k, işte kalan');
INSERT INTO `lang_definitions` VALUES (88617, 3265, 23, 'Anahtar sözcükler');
INSERT INTO `lang_definitions` VALUES (88618, 3266, 23, 'kg');
INSERT INTO `lang_definitions` VALUES (88619, 3267, 23, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (88620, 3269, 23, 'Böbrek Kanseri');
INSERT INTO `lang_definitions` VALUES (88621, 3270, 23, 'Böbrek Yetmezliği');
INSERT INTO `lang_definitions` VALUES (88622, 3271, 23, 'Böbrek Enfeksiyonları');
INSERT INTO `lang_definitions` VALUES (88623, 3272, 23, 'Böbrek Taşları');
INSERT INTO `lang_definitions` VALUES (88624, 3273, 23, 'Böbrek Nakli');
INSERT INTO `lang_definitions` VALUES (88625, 3277, 23, 'Diz');
INSERT INTO `lang_definitions` VALUES (88626, 3278, 23, 'Diz Sorunları');
INSERT INTO `lang_definitions` VALUES (88627, 3279, 23, 'Diz Protezi');
INSERT INTO `lang_definitions` VALUES (88628, 3282, 23, 'Korece');
INSERT INTO `lang_definitions` VALUES (88629, 3286, 23, 'Lab');
INSERT INTO `lang_definitions` VALUES (88630, 3288, 23, 'Lab Değişim Site Adresi');
INSERT INTO `lang_definitions` VALUES (88631, 3289, 23, 'Lab Değişim Site Kimliği');
INSERT INTO `lang_definitions` VALUES (88632, 3290, 23, 'Lab Değişim Fiş Idsi');
INSERT INTO `lang_definitions` VALUES (88633, 3294, 23, 'Lab Ara Durumu');
INSERT INTO `lang_definitions` VALUES (88634, 3295, 23, 'Lab Raporu');
INSERT INTO `lang_definitions` VALUES (88635, 3296, 23, 'Lab Sonucu');
INSERT INTO `lang_definitions` VALUES (88636, 3297, 23, 'Lab Sonuçları');
INSERT INTO `lang_definitions` VALUES (88637, 3299, 23, 'Lab Sonuçları Raporu');
INSERT INTO `lang_definitions` VALUES (88638, 3300, 23, 'Lab Servisi');
INSERT INTO `lang_definitions` VALUES (88639, 3303, 23, 'Etiket');
INSERT INTO `lang_definitions` VALUES (88640, 3304, 23, 'Etiket boş olamaz');
INSERT INTO `lang_definitions` VALUES (88641, 3305, 23, 'Etiket Sütunları');
INSERT INTO `lang_definitions` VALUES (88642, 3307, 23, 'Etiket Sütunları 1 ve 999 arası bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (88643, 3308, 23, 'Etiketler');
INSERT INTO `lang_definitions` VALUES (88644, 3311, 23, 'Laboratuvarlar');
INSERT INTO `lang_definitions` VALUES (88645, 3312, 23, 'Kesi / cilt durumu');
INSERT INTO `lang_definitions` VALUES (88646, 3313, 23, 'Kesi/sıyrık');
INSERT INTO `lang_definitions` VALUES (88647, 3316, 23, 'Dil');
INSERT INTO `lang_definitions` VALUES (88648, 3317, 23, 'Dil Kodu');
INSERT INTO `lang_definitions` VALUES (88649, 3318, 23, 'Dil tanımı eklendi');
INSERT INTO `lang_definitions` VALUES (88650, 3319, 23, 'Dil Arayüz Aracı');
INSERT INTO `lang_definitions` VALUES (88651, 3320, 23, 'Dil Listesi (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (88652, 3321, 23, 'Dil İsmi');
INSERT INTO `lang_definitions` VALUES (88653, 3322, 23, 'Dil');
INSERT INTO `lang_definitions` VALUES (88654, 3324, 23, 'Laosça');
INSERT INTO `lang_definitions` VALUES (88655, 3325, 23, 'Son');
INSERT INTO `lang_definitions` VALUES (88656, 3326, 23, 'Son Etkinlik Tarihi');
INSERT INTO `lang_definitions` VALUES (88657, 3328, 23, 'Son Fatura Tarihi:');
INSERT INTO `lang_definitions` VALUES (88658, 3330, 23, 'Son takvim Yılı');
INSERT INTO `lang_definitions` VALUES (88659, 3333, 23, 'Son Görüşme');
INSERT INTO `lang_definitions` VALUES (88660, 3343, 23, 'Geçen Ay');
INSERT INTO `lang_definitions` VALUES (88661, 3344, 23, 'Soyad');
INSERT INTO `lang_definitions` VALUES (88662, 3345, 23, 'Soyad');
INSERT INTO `lang_definitions` VALUES (88663, 3346, 23, 'Soyad:');
INSERT INTO `lang_definitions` VALUES (88664, 3350, 23, 'Son Gözden Geçirme:');
INSERT INTO `lang_definitions` VALUES (88665, 3352, 23, 'Son Kaydetme:');
INSERT INTO `lang_definitions` VALUES (88666, 3356, 23, 'Son Güncellemeyi Yapan');
INSERT INTO `lang_definitions` VALUES (88667, 3357, 23, 'En son doğrulandığı tarih:');
INSERT INTO `lang_definitions` VALUES (88668, 3358, 23, 'Son Vizit');
INSERT INTO `lang_definitions` VALUES (88669, 3360, 23, 'Geç Nüks (2-12 ay)');
INSERT INTO `lang_definitions` VALUES (88670, 3361, 23, 'Lateral Malleol');
INSERT INTO `lang_definitions` VALUES (88671, 3362, 23, 'Lateral Malleol');
INSERT INTO `lang_definitions` VALUES (88672, 3363, 23, 'Lateralizasyon');
INSERT INTO `lang_definitions` VALUES (88673, 3364, 23, 'Bu işlemin Lateralizasyonu (uygun ise)');
INSERT INTO `lang_definitions` VALUES (88674, 3365, 23, 'Yana kaymış tepe vurumu:');
INSERT INTO `lang_definitions` VALUES (88675, 3373, 23, 'Düzen Temelli');
INSERT INTO `lang_definitions` VALUES (88676, 3374, 23, 'Düzen Editörü');
INSERT INTO `lang_definitions` VALUES (88677, 3375, 23, 'Düzen grupları');
INSERT INTO `lang_definitions` VALUES (88678, 3376, 23, 'Düzen Stili');
INSERT INTO `lang_definitions` VALUES (88679, 3378, 23, 'Düzen Temelli Vizit Formları');
INSERT INTO `lang_definitions` VALUES (88680, 3379, 23, 'Düzenler');
INSERT INTO `lang_definitions` VALUES (88681, 3380, 23, 'lb');
INSERT INTO `lang_definitions` VALUES (88682, 3381, 23, 'lbs');
INSERT INTO `lang_definitions` VALUES (88683, 3382, 23, 'LDL');
INSERT INTO `lang_definitions` VALUES (88684, 3383, 23, 'hala aktif ise boş bırak');
INSERT INTO `lang_definitions` VALUES (88685, 3385, 23, 'Şifreyi değiştirmemek için boş bırakın');
INSERT INTO `lang_definitions` VALUES (88686, 3386, 23, 'İle Mesaj Bırakın');
INSERT INTO `lang_definitions` VALUES (88687, 3387, 23, 'Formu Bırakın');
INSERT INTO `lang_definitions` VALUES (88688, 3390, 23, 'Sol');
INSERT INTO `lang_definitions` VALUES (88689, 3391, 23, 'Sol Kulak');
INSERT INTO `lang_definitions` VALUES (88690, 3392, 23, 'sol kulak');
INSERT INTO `lang_definitions` VALUES (88691, 3394, 23, 'Kalan:');
INSERT INTO `lang_definitions` VALUES (88692, 3395, 23, 'Kalan: ');
INSERT INTO `lang_definitions` VALUES (88693, 3396, 23, 'Bacak Ağrısı/Kramp');
INSERT INTO `lang_definitions` VALUES (88694, 3397, 23, 'Yasal');
INSERT INTO `lang_definitions` VALUES (88695, 3400, 23, 'Yazı:');
INSERT INTO `lang_definitions` VALUES (88696, 3401, 23, 'Uzunluk');
INSERT INTO `lang_definitions` VALUES (88697, 3402, 23, 'Değiştiricinin uzunluğu, yoksa 0');
INSERT INTO `lang_definitions` VALUES (88698, 3405, 23, 'Az-özel bilgi (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (88699, 3406, 23, 'Mektup');
INSERT INTO `lang_definitions` VALUES (88700, 3407, 23, 'Mektup Oluşturucu');
INSERT INTO `lang_definitions` VALUES (88701, 3409, 23, 'Doktorun imzaladığı antetli kağıt');
INSERT INTO `lang_definitions` VALUES (88702, 3410, 23, 'Hastanın imzaladığı antetli kağıt');
INSERT INTO `lang_definitions` VALUES (88703, 3411, 23, 'Aciliyet düzeyi');
INSERT INTO `lang_definitions` VALUES (88704, 3412, 23, 'Sorumluluk');
INSERT INTO `lang_definitions` VALUES (88705, 3413, 23, 'Tıbbi Sorumluluk');
INSERT INTO `lang_definitions` VALUES (88706, 3414, 23, 'Sürücü Belge No:');
INSERT INTO `lang_definitions` VALUES (88707, 3423, 23, 'Yaşam Tarzı');
INSERT INTO `lang_definitions` VALUES (88708, 3424, 23, 'Yaşam Tarzı durumu');
INSERT INTO `lang_definitions` VALUES (88709, 3425, 23, 'Lif yırtılması veya zedelenmesi');
INSERT INTO `lang_definitions` VALUES (88710, 3428, 23, 'Olayların Sınırı');
INSERT INTO `lang_definitions` VALUES (88711, 3433, 23, 'Link edildi');
INSERT INTO `lang_definitions` VALUES (88712, 3436, 23, 'Belgeye bağlandı');
INSERT INTO `lang_definitions` VALUES (88713, 3438, 23, 'Liste');
INSERT INTO `lang_definitions` VALUES (88714, 3439, 23, 'Liste kutusu');
INSERT INTO `lang_definitions` VALUES (88715, 3440, 23, 'liste kutusu');
INSERT INTO `lang_definitions` VALUES (88716, 3441, 23, 'liste kutusu y/ekle');
INSERT INTO `lang_definitions` VALUES (88717, 3442, 23, 'Liste kutusu y/ekle');
INSERT INTO `lang_definitions` VALUES (88718, 3443, 23, 'Liste düzenleyici');
INSERT INTO `lang_definitions` VALUES (88719, 3445, 23, 'Grupları listele');
INSERT INTO `lang_definitions` VALUES (88720, 3446, 23, 'Sigorta Şirketlerini Listele');
INSERT INTO `lang_definitions` VALUES (88721, 3448, 23, 'Liste maddeleri bir rakam ile başlayamaz.');
INSERT INTO `lang_definitions` VALUES (88722, 3449, 23, 'Liste maddeleri illegal karakter(ler) içeriyor.');
INSERT INTO `lang_definitions` VALUES (88723, 3451, 23, 'Listeleri listele');
INSERT INTO `lang_definitions` VALUES (88724, 3452, 23, 'Liste Adı');
INSERT INTO `lang_definitions` VALUES (88725, 3453, 23, 'Liste Adları rakamlarla başlayamaz.');
INSERT INTO `lang_definitions` VALUES (88726, 3454, 23, 'Reçeteleri Listele');
INSERT INTO `lang_definitions` VALUES (88727, 3458, 23, 'Listeler');
INSERT INTO `lang_definitions` VALUES (88728, 3460, 23, 'Güncel Vasiyetname');
INSERT INTO `lang_definitions` VALUES (88729, 3461, 23, 'LLL:');
INSERT INTO `lang_definitions` VALUES (88730, 3462, 23, 'SAT');
INSERT INTO `lang_definitions` VALUES (88731, 3464, 23, 'Tanımları Yükle');
INSERT INTO `lang_definitions` VALUES (88732, 3470, 23, 'YÜKLÜYOR');
INSERT INTO `lang_definitions` VALUES (88733, 3472, 23, 'YER');
INSERT INTO `lang_definitions` VALUES (88734, 3473, 23, 'Yerel');
INSERT INTO `lang_definitions` VALUES (88735, 3476, 23, 'Yer');
INSERT INTO `lang_definitions` VALUES (88736, 3477, 23, 'Şehir');
INSERT INTO `lang_definitions` VALUES (88737, 3478, 23, 'Yer');
INSERT INTO `lang_definitions` VALUES (88738, 3479, 23, 'özgüretk makinesinin yeri ve hassas bilgiler içerebilir. Kullandıktan sonra bilgilerin el ile silinmesi tavsiye olunur.');
INSERT INTO `lang_definitions` VALUES (88739, 3480, 23, 'Bu partinin yeri');
INSERT INTO `lang_definitions` VALUES (88740, 3481, 23, 'Yer belirtilmemiş');
INSERT INTO `lang_definitions` VALUES (88741, 3482, 23, 'Hylafaxın faksları kaydettiği yer');
INSERT INTO `lang_definitions` VALUES (88742, 3483, 23, 'Tarama dosyalarının kaydedildiği yer');
INSERT INTO `lang_definitions` VALUES (88743, 3484, 23, 'Yer:');
INSERT INTO `lang_definitions` VALUES (88744, 3485, 23, 'Kilit');
INSERT INTO `lang_definitions` VALUES (88745, 3495, 23, 'Girdi');
INSERT INTO `lang_definitions` VALUES (88746, 3496, 23, 'Girdi:');
INSERT INTO `lang_definitions` VALUES (88747, 3497, 23, 'Olarak girdi: ');
INSERT INTO `lang_definitions` VALUES (88748, 3498, 23, 'Çıktı.');
INSERT INTO `lang_definitions` VALUES (88749, 3500, 23, 'Giriş');
INSERT INTO `lang_definitions` VALUES (88750, 3501, 23, 'giriş');
INSERT INTO `lang_definitions` VALUES (88751, 3505, 23, 'Çıkış');
INSERT INTO `lang_definitions` VALUES (88752, 3506, 23, 'Çıkış');
INSERT INTO `lang_definitions` VALUES (88753, 3507, 23, 'Günlükler');
INSERT INTO `lang_definitions` VALUES (88754, 3508, 23, 'Günlükler Görüntüleyici');
INSERT INTO `lang_definitions` VALUES (88755, 3510, 23, 'Ara');
INSERT INTO `lang_definitions` VALUES (88756, 3511, 23, 'Parti');
INSERT INTO `lang_definitions` VALUES (88757, 3512, 23, 'Parti ID eksik');
INSERT INTO `lang_definitions` VALUES (88758, 3513, 23, 'Parti Numarası');
INSERT INTO `lang_definitions` VALUES (88759, 3514, 23, 'Düşük');
INSERT INTO `lang_definitions` VALUES (88760, 3516, 23, 'Alt bacak');
INSERT INTO `lang_definitions` VALUES (88761, 3519, 23, 'Lomber omurgalar');
INSERT INTO `lang_definitions` VALUES (88762, 3520, 23, 'ÖĞLE');
INSERT INTO `lang_definitions` VALUES (88763, 3521, 23, 'Öğle Yemeği');
INSERT INTO `lang_definitions` VALUES (88764, 3522, 23, 'Akciğer Kanseri');
INSERT INTO `lang_definitions` VALUES (88765, 3523, 23, 'Akciğer Kanseri Cerrahisi');
INSERT INTO `lang_definitions` VALUES (88766, 3524, 23, 'AKCİĞERLER:');
INSERT INTO `lang_definitions` VALUES (88767, 3525, 23, 'Akciğerler:');
INSERT INTO `lang_definitions` VALUES (88768, 3526, 23, 'Lupus');
INSERT INTO `lang_definitions` VALUES (88769, 3528, 23, 'Pt');
INSERT INTO `lang_definitions` VALUES (88770, 3529, 23, 'MA Kategorisi');
INSERT INTO `lang_definitions` VALUES (88771, 3530, 23, 'Düşüğü Kabul Eden MA Hastası');
INSERT INTO `lang_definitions` VALUES (88772, 3531, 23, 'MA İstatistikleri');
INSERT INTO `lang_definitions` VALUES (88773, 3534, 23, 'Ana');
INSERT INTO `lang_definitions` VALUES (88774, 3535, 23, 'Ana Adres');
INSERT INTO `lang_definitions` VALUES (88775, 3536, 23, 'Esas Orta Üst Ekran');
INSERT INTO `lang_definitions` VALUES (88776, 3540, 23, 'Güncel kategorilerde değişiklikler yap');
INSERT INTO `lang_definitions` VALUES (88777, 3541, 23, 'Yeni randevu oluşturulacak');
INSERT INTO `lang_definitions` VALUES (88778, 3542, 23, 'Emin olun:');
INSERT INTO `lang_definitions` VALUES (88779, 3543, 23, 'Takas Kurumuna yüklemek için toplu dosyalar oluşturuluyor ve faturalandırıldı olarak işaretlenecek');
INSERT INTO `lang_definitions` VALUES (88780, 3545, 23, 'Halsizlik:');
INSERT INTO `lang_definitions` VALUES (88781, 3548, 23, 'Erkek');
INSERT INTO `lang_definitions` VALUES (88782, 3549, 23, 'Erkek Kondomları');
INSERT INTO `lang_definitions` VALUES (88783, 3550, 23, 'Vazektomi');
INSERT INTO `lang_definitions` VALUES (88784, 3552, 23, 'Mamografi');
INSERT INTO `lang_definitions` VALUES (88785, 3553, 23, 'Yönet');
INSERT INTO `lang_definitions` VALUES (88786, 3556, 23, 'Tercümeleri Yönet');
INSERT INTO `lang_definitions` VALUES (88787, 3557, 23, 'Yönetim');
INSERT INTO `lang_definitions` VALUES (88788, 3558, 23, 'Zorunlu ve belirli alanlar');
INSERT INTO `lang_definitions` VALUES (88789, 3559, 23, 'Sadece zorunlu ve belirli alanlar, çift kontrol, arama yok');
INSERT INTO `lang_definitions` VALUES (88790, 3560, 23, 'Sadece zorunlu ve belirli alanlar, çift kontrol, ve ara');
INSERT INTO `lang_definitions` VALUES (88791, 3561, 23, 'El Kitabı');
INSERT INTO `lang_definitions` VALUES (88792, 3562, 23, 'El ilel Gönderme');
INSERT INTO `lang_definitions` VALUES (88793, 3563, 23, 'Üretici');
INSERT INTO `lang_definitions` VALUES (88794, 3565, 23, 'Mar');
INSERT INTO `lang_definitions` VALUES (88795, 3568, 23, 'Mart');
INSERT INTO `lang_definitions` VALUES (88796, 3569, 23, 'Medeni Hal');
INSERT INTO `lang_definitions` VALUES (88797, 3570, 23, 'Fatura edildi olarak İşaretle');
INSERT INTO `lang_definitions` VALUES (88798, 3571, 23, 'Faturalanmış olarak işaretle ama faturalamayı atla');
INSERT INTO `lang_definitions` VALUES (88799, 3572, 23, 'Ödenmiş olarak İşaretle');
INSERT INTO `lang_definitions` VALUES (88800, 3573, 23, 'Faturalanmamış olarak işaretle');
INSERT INTO `lang_definitions` VALUES (88801, 3574, 23, 'Bu raporları gözden geçirildi olarak işaretle');
INSERT INTO `lang_definitions` VALUES (88802, 3575, 23, 'Ödenilmiş olarak işaretle');
INSERT INTO `lang_definitions` VALUES (88803, 3576, 23, 'Evli');
INSERT INTO `lang_definitions` VALUES (88804, 3578, 23, 'Maske');
INSERT INTO `lang_definitions` VALUES (88805, 3579, 23, 'Fatura Numaraları için Maske');
INSERT INTO `lang_definitions` VALUES (88806, 3580, 23, 'Hasta ID leri için Maske');
INSERT INTO `lang_definitions` VALUES (88807, 3581, 23, 'Ürün IDleri için Maske');
INSERT INTO `lang_definitions` VALUES (88808, 3594, 23, 'Sağ Maksiller:');
INSERT INTO `lang_definitions` VALUES (88809, 3597, 23, 'Saniye olarak çıkıştan önceki maksimum boş zaman. Ön tanımlı 7200 (2 saat)');
INSERT INTO `lang_definitions` VALUES (88810, 3603, 23, 'Mayıs');
INSERT INTO `lang_definitions` VALUES (88811, 3604, 23, 'MC');
INSERT INTO `lang_definitions` VALUES (88812, 3605, 23, 'mcg');
INSERT INTO `lang_definitions` VALUES (88813, 3607, 23, 'Şifreyi değiştirir iken son üç şifrenin hiçbirisine izin verilmez demektir.');
INSERT INTO `lang_definitions` VALUES (88814, 3612, 23, 'Medial malleol:');
INSERT INTO `lang_definitions` VALUES (88815, 3613, 23, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (88816, 3614, 23, 'Medikal');
INSERT INTO `lang_definitions` VALUES (88817, 3615, 23, 'Medikal Abort');
INSERT INTO `lang_definitions` VALUES (88818, 3617, 23, 'Tıbbi Öykü');
INSERT INTO `lang_definitions` VALUES (88819, 3620, 23, 'Medikal problem');
INSERT INTO `lang_definitions` VALUES (88820, 3623, 23, 'Medikal Problemler');
INSERT INTO `lang_definitions` VALUES (88821, 3624, 23, 'Tıbbi Kayıt');
INSERT INTO `lang_definitions` VALUES (88822, 3625, 23, 'Tıbbi Kayıt No:');
INSERT INTO `lang_definitions` VALUES (88823, 3626, 23, 'Tıbbi Kayıtlar');
INSERT INTO `lang_definitions` VALUES (88824, 3630, 23, 'Tıp Sistemi');
INSERT INTO `lang_definitions` VALUES (88825, 3631, 23, 'Medikal Tip');
INSERT INTO `lang_definitions` VALUES (88826, 3632, 23, 'Tıbbi/öykü (yaz, sadece ekle opsiyon)');
INSERT INTO `lang_definitions` VALUES (88827, 3633, 23, 'Medicare Bölüm B');
INSERT INTO `lang_definitions` VALUES (88828, 3634, 23, 'Medicare Sevkeden Vericidir');
INSERT INTO `lang_definitions` VALUES (88829, 3635, 23, 'İlaç');
INSERT INTO `lang_definitions` VALUES (88830, 3640, 23, 'İlaçlar');
INSERT INTO `lang_definitions` VALUES (88831, 3641, 23, 'İlaçlar:');
INSERT INTO `lang_definitions` VALUES (88832, 3642, 23, 'İlaç Birimleri');
INSERT INTO `lang_definitions` VALUES (88833, 3643, 23, 'Ortam');
INSERT INTO `lang_definitions` VALUES (88834, 3645, 23, 'Üye Derneği İstatistikleri Raporu');
INSERT INTO `lang_definitions` VALUES (88835, 3646, 23, 'Bellek Sorunları');
INSERT INTO `lang_definitions` VALUES (88836, 3647, 23, 'Erkekler');
INSERT INTO `lang_definitions` VALUES (88837, 3648, 23, 'Erkekler ve Kadınlar');
INSERT INTO `lang_definitions` VALUES (88838, 3649, 23, 'Yalnız Erkekler');
INSERT INTO `lang_definitions` VALUES (88839, 3650, 23, 'Menarş');
INSERT INTO `lang_definitions` VALUES (88840, 3651, 23, 'Menopoz');
INSERT INTO `lang_definitions` VALUES (88841, 3652, 23, 'Adet Kanaması');
INSERT INTO `lang_definitions` VALUES (88842, 3653, 23, 'Adet Sıklığı');
INSERT INTO `lang_definitions` VALUES (88843, 3654, 23, 'Akıl Hastalığı');
INSERT INTO `lang_definitions` VALUES (88844, 3661, 23, 'Mesaj');
INSERT INTO `lang_definitions` VALUES (88845, 3666, 23, 'Mesaj Durumu');
INSERT INTO `lang_definitions` VALUES (88846, 3670, 23, 'MESAJ:');
INSERT INTO `lang_definitions` VALUES (88847, 3671, 23, 'Mesajlar');
INSERT INTO `lang_definitions` VALUES (88848, 3673, 23, 'Yöntem');
INSERT INTO `lang_definitions` VALUES (88849, 3674, 23, 'Yöntem ve Özel Ürün');
INSERT INTO `lang_definitions` VALUES (88850, 3675, 23, 'Dışarı giden epostayı gönderme yöntemi');
INSERT INTO `lang_definitions` VALUES (88851, 3676, 23, 'İmha Yöntemi');
INSERT INTO `lang_definitions` VALUES (88852, 3677, 23, 'Meksikalı/MeksikaAmerika');
INSERT INTO `lang_definitions` VALUES (88853, 3679, 23, 'mg');
INSERT INTO `lang_definitions` VALUES (88854, 3680, 23, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (88855, 3681, 23, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (88856, 3682, 23, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (88857, 3683, 23, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (88858, 3684, 23, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (88859, 3685, 23, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (88860, 3686, 23, 'Ortam');
INSERT INTO `lang_definitions` VALUES (88861, 3687, 23, 'Orta İsim');
INSERT INTO `lang_definitions` VALUES (88862, 3688, 23, 'Orta isim');
INSERT INTO `lang_definitions` VALUES (88863, 3695, 23, 'Mien');
INSERT INTO `lang_definitions` VALUES (88864, 3696, 23, 'Göçer veya mevsimlik işçi mi?');
INSERT INTO `lang_definitions` VALUES (88865, 3697, 23, 'Göçer/Mevsimlik');
INSERT INTO `lang_definitions` VALUES (88866, 3698, 23, 'Mil/mm3');
INSERT INTO `lang_definitions` VALUES (88867, 3702, 23, 'Mime Tipi');
INSERT INTO `lang_definitions` VALUES (88868, 3704, 23, 'dak');
INSERT INTO `lang_definitions` VALUES (88869, 3706, 23, 'Hafif eklem burkulması +/- sinovit');
INSERT INTO `lang_definitions` VALUES (88870, 3709, 23, 'dakika');
INSERT INTO `lang_definitions` VALUES (88871, 3710, 23, 'Dakika');
INSERT INTO `lang_definitions` VALUES (88872, 3712, 23, 'Çeşitli');
INSERT INTO `lang_definitions` VALUES (88873, 3713, 23, 'Çeşitli Faturalama Seçenekleri');
INSERT INTO `lang_definitions` VALUES (88874, 3714, 23, 'HCFA-1500 için Çeşitli Faturalama Seçenekleri');
INSERT INTO `lang_definitions` VALUES (88875, 3715, 23, 'Çeşitli Faturalama Seçenekleri HCFA');
INSERT INTO `lang_definitions` VALUES (88876, 3716, 23, 'Çeşitli');
INSERT INTO `lang_definitions` VALUES (88877, 3717, 23, 'Eksik');
INSERT INTO `lang_definitions` VALUES (88878, 3719, 23, 'Gerekli bir alan eksik');
INSERT INTO `lang_definitions` VALUES (88879, 3720, 23, 'Ücret Eksik');
INSERT INTO `lang_definitions` VALUES (88880, 3721, 23, 'Sadece Eksik Modlar');
INSERT INTO `lang_definitions` VALUES (88881, 3722, 23, 'Eksik veya Geçersiz');
INSERT INTO `lang_definitions` VALUES (88882, 3723, 23, 'Eksik PID');
INSERT INTO `lang_definitions` VALUES (88883, 3724, 23, 'Eksik rapor tarihi');
INSERT INTO `lang_definitions` VALUES (88884, 3725, 23, 'Kaynak kodda ödeyenden sonra eksik slash ');
INSERT INTO `lang_definitions` VALUES (88885, 3726, 23, 'Karışık');
INSERT INTO `lang_definitions` VALUES (88886, 3727, 23, 'ml');
INSERT INTO `lang_definitions` VALUES (88887, 3728, 23, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (88888, 3729, 23, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (88889, 3731, 23, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (88890, 3732, 23, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (88891, 3733, 23, 'Mobil');
INSERT INTO `lang_definitions` VALUES (88892, 3734, 23, 'Cep Telefonu');
INSERT INTO `lang_definitions` VALUES (88893, 3735, 23, 'Mod');
INSERT INTO `lang_definitions` VALUES (88894, 3741, 23, 'Değiştirici');
INSERT INTO `lang_definitions` VALUES (88895, 3745, 23, 'Ödemeleri Değiştir');
INSERT INTO `lang_definitions` VALUES (88896, 3746, 23, 'ModUzunluğu');
INSERT INTO `lang_definitions` VALUES (88897, 3753, 23, 'Pzt');
INSERT INTO `lang_definitions` VALUES (88898, 3754, 23, 'Pzt - Cum');
INSERT INTO `lang_definitions` VALUES (88899, 3755, 23, 'Pzt, Çar, Cum');
INSERT INTO `lang_definitions` VALUES (88900, 3756, 23, 'Pazartesi');
INSERT INTO `lang_definitions` VALUES (88901, 3758, 23, 'Ay');
INSERT INTO `lang_definitions` VALUES (88902, 3759, 23, 'ay');
INSERT INTO `lang_definitions` VALUES (88903, 3760, 23, 'Ay Görünümü');
INSERT INTO `lang_definitions` VALUES (88904, 3761, 23, 'Ay(lar)');
INSERT INTO `lang_definitions` VALUES (88905, 3762, 23, 'Aylık Gelir');
INSERT INTO `lang_definitions` VALUES (88906, 3763, 23, 'Aylar');
INSERT INTO `lang_definitions` VALUES (88907, 3765, 23, '100 kayıttan fazla bulundu. Lütfen arama kriterinizi daraltınız.');
INSERT INTO `lang_definitions` VALUES (88908, 3766, 23, '50 sonuçtan fazla var, lütfen aramanızı daha spesifik yapınız.');
INSERT INTO `lang_definitions` VALUES (88909, 3768, 23, 'En son alınan');
INSERT INTO `lang_definitions` VALUES (88910, 3770, 23, 'Son vital bulguları alan:');
INSERT INTO `lang_definitions` VALUES (88911, 3771, 23, 'Anne');
INSERT INTO `lang_definitions` VALUES (88912, 3772, 23, 'Ana Adı');
INSERT INTO `lang_definitions` VALUES (88913, 3774, 23, 'Ağız');
INSERT INTO `lang_definitions` VALUES (88914, 3775, 23, 'Taşı');
INSERT INTO `lang_definitions` VALUES (88915, 3776, 23, 'Belgeyi Şu Kategoriye Taşıyın:');
INSERT INTO `lang_definitions` VALUES (88916, 3777, 23, 'Aşağı Taşı');
INSERT INTO `lang_definitions` VALUES (88917, 3779, 23, 'Hastaya Taşı');
INSERT INTO `lang_definitions` VALUES (88918, 3780, 23, 'Taşınacak yer:');
INSERT INTO `lang_definitions` VALUES (88919, 3781, 23, 'Yukarı Taşı');
INSERT INTO `lang_definitions` VALUES (88920, 3783, 23, 'Bay');
INSERT INTO `lang_definitions` VALUES (88921, 3785, 23, 'Bayan');
INSERT INTO `lang_definitions` VALUES (88922, 3786, 23, 'Bn.');
INSERT INTO `lang_definitions` VALUES (88923, 3796, 23, 'Çoklu Dil Aracı');
INSERT INTO `lang_definitions` VALUES (88924, 3797, 23, 'Pek çok bölgeler');
INSERT INTO `lang_definitions` VALUES (88925, 3799, 23, 'Pek çok Kalemler');
INSERT INTO `lang_definitions` VALUES (88926, 3802, 23, 'Çok ırklı');
INSERT INTO `lang_definitions` VALUES (88927, 3803, 23, 'Üfürüm');
INSERT INTO `lang_definitions` VALUES (88928, 3804, 23, 'Kas Ağrısı');
INSERT INTO `lang_definitions` VALUES (88929, 3805, 23, 'Kas Ağrıları');
INSERT INTO `lang_definitions` VALUES (88930, 3806, 23, 'Kas Kızarıklığı');
INSERT INTO `lang_definitions` VALUES (88931, 3807, 23, 'Kas Sertliği');
INSERT INTO `lang_definitions` VALUES (88932, 3808, 23, 'Kas Şişmesi');
INSERT INTO `lang_definitions` VALUES (88933, 3809, 23, 'Kas Isı artışı');
INSERT INTO `lang_definitions` VALUES (88934, 3810, 23, 'Kas');
INSERT INTO `lang_definitions` VALUES (88935, 3811, 23, 'Kas yaralanması');
INSERT INTO `lang_definitions` VALUES (88936, 3812, 23, 'Kas iskelet');
INSERT INTO `lang_definitions` VALUES (88937, 3813, 23, 'SMTP doğrulaması kullanılmıyor ise boş olmalıdır.');
INSERT INTO `lang_definitions` VALUES (88938, 3814, 23, 'Karşılıklı Tanımlanmış');
INSERT INTO `lang_definitions` VALUES (88939, 3815, 23, 'MVA');
INSERT INTO `lang_definitions` VALUES (88940, 3821, 23, 'Yok');
INSERT INTO `lang_definitions` VALUES (88941, 3822, 23, 'yok');
INSERT INTO `lang_definitions` VALUES (88942, 3823, 23, 'İsim');
INSERT INTO `lang_definitions` VALUES (88943, 3825, 23, 'İsim (fazlası için tıklayınız)');
INSERT INTO `lang_definitions` VALUES (88944, 3826, 23, 'İsim 1');
INSERT INTO `lang_definitions` VALUES (88945, 3827, 23, 'İsim 2');
INSERT INTO `lang_definitions` VALUES (88946, 3828, 23, 'Aşı Yapanın İsim ve Unvanı');
INSERT INTO `lang_definitions` VALUES (88947, 3831, 23, 'Olayların İsmi');
INSERT INTO `lang_definitions` VALUES (88948, 3832, 23, 'Sigorta şirketinin ismi');
INSERT INTO `lang_definitions` VALUES (88949, 3833, 23, 'Sağlayıcının İsmi');
INSERT INTO `lang_definitions` VALUES (88950, 3835, 23, 'İsim Tercümesi');
INSERT INTO `lang_definitions` VALUES (88951, 3836, 23, 'İsim/Değer');
INSERT INTO `lang_definitions` VALUES (88952, 3837, 23, 'İsim:');
INSERT INTO `lang_definitions` VALUES (88953, 3838, 23, 'BURUN DELİKLERİ:');
INSERT INTO `lang_definitions` VALUES (88954, 3839, 23, 'BURUN DELİKLERİ: Sağ Normal');
INSERT INTO `lang_definitions` VALUES (88955, 3840, 23, 'Nazal mukoza pembe, septum orta hatta');
INSERT INTO `lang_definitions` VALUES (88956, 3844, 23, 'Tabiiyet');
INSERT INTO `lang_definitions` VALUES (88957, 3852, 23, 'Bulantı');
INSERT INTO `lang_definitions` VALUES (88958, 3854, 23, 'Gezinme');
INSERT INTO `lang_definitions` VALUES (88959, 3858, 23, 'Gezinme Alanı Genişliği');
INSERT INTO `lang_definitions` VALUES (88960, 3859, 23, 'Gezinme menüsü radyo düğmeleri çiftlerinden ibarettir.');
INSERT INTO `lang_definitions` VALUES (88961, 3860, 23, 'Gezinme menüsü ağaç görünümündedir.');
INSERT INTO `lang_definitions` VALUES (88962, 3861, 23, 'Gezinmede kayan bir menü kullanılmaktadır.');
INSERT INTO `lang_definitions` VALUES (88963, 3862, 23, 'NDC');
INSERT INTO `lang_definitions` VALUES (88964, 3864, 23, 'NDC Numarası');
INSERT INTO `lang_definitions` VALUES (88965, 3866, 23, 'Boyun');
INSERT INTO `lang_definitions` VALUES (88966, 3867, 23, 'Boyun sorunları');
INSERT INTO `lang_definitions` VALUES (88967, 3868, 23, 'Boyun esnek');
INSERT INTO `lang_definitions` VALUES (88968, 3869, 23, 'Bir tanım girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (88969, 3870, 23, 'Bir İade Değeri girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (88970, 3871, 23, 'Tanımlayıcı girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (88971, 3872, 23, 'Başlık girilmesi gerekiyor');
INSERT INTO `lang_definitions` VALUES (88972, 3873, 23, 'Doğrulanması gerekiyor');
INSERT INTO `lang_definitions` VALUES (88973, 3874, 23, 'Ayarlanması gerekiyor');
INSERT INTO `lang_definitions` VALUES (88974, 3875, 23, 'İkincil fatura gerekiyor');
INSERT INTO `lang_definitions` VALUES (88975, 3876, 23, 'Negatif');
INSERT INTO `lang_definitions` VALUES (88976, 3877, 23, 'Negatifler');
INSERT INTO `lang_definitions` VALUES (88977, 3880, 23, 'Sinir yaralanması');
INSERT INTO `lang_definitions` VALUES (88978, 3881, 23, 'Sinir hastalığı / sinir hasarı');
INSERT INTO `lang_definitions` VALUES (88979, 3882, 23, 'Sinirsel Uyuşma');
INSERT INTO `lang_definitions` VALUES (88980, 3883, 23, 'Sinirsel Zayıflık');
INSERT INTO `lang_definitions` VALUES (88981, 3884, 23, 'Nörolojik');
INSERT INTO `lang_definitions` VALUES (88982, 3885, 23, 'Asla');
INSERT INTO `lang_definitions` VALUES (88983, 3886, 23, 'Hiç Alkol Kullanmamış');
INSERT INTO `lang_definitions` VALUES (88984, 3887, 23, 'Hiç Sigara İçmamiş');
INSERT INTO `lang_definitions` VALUES (88985, 3888, 23, 'Yeni');
INSERT INTO `lang_definitions` VALUES (88986, 3889, 23, 'Yeni=>');
INSERT INTO `lang_definitions` VALUES (88987, 3890, 23, 'Yeni Alıcılar');
INSERT INTO `lang_definitions` VALUES (88988, 3892, 23, 'Yeni Alerji');
INSERT INTO `lang_definitions` VALUES (88989, 3894, 23, 'Yeni Randevu');
INSERT INTO `lang_definitions` VALUES (88990, 3895, 23, 'Yeni Kategoriler');
INSERT INTO `lang_definitions` VALUES (88991, 3896, 23, 'Yeni Kategori');
INSERT INTO `lang_definitions` VALUES (88992, 3897, 23, 'Yeni Müşteriler');
INSERT INTO `lang_definitions` VALUES (88993, 3898, 23, 'Yeni Konsültasyon');
INSERT INTO `lang_definitions` VALUES (88994, 3900, 23, 'Yeni Tanı dizisi eklendi');
INSERT INTO `lang_definitions` VALUES (88995, 3901, 23, 'Yeni Belge');
INSERT INTO `lang_definitions` VALUES (88996, 3904, 23, 'Yeni Görüşme');
INSERT INTO `lang_definitions` VALUES (88997, 3906, 23, 'Yeni Görüşme Formu');
INSERT INTO `lang_definitions` VALUES (88998, 3907, 23, 'Yeni görüşmelere izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (88999, 3908, 23, 'Yeni Görüşme');
INSERT INTO `lang_definitions` VALUES (89000, 3909, 23, 'Yeni Tesis Bilgisi');
INSERT INTO `lang_definitions` VALUES (89001, 3912, 23, 'Yeni Grup');
INSERT INTO `lang_definitions` VALUES (89002, 3913, 23, 'Yeni Grup Bilgisi');
INSERT INTO `lang_definitions` VALUES (89003, 3916, 23, 'Yeni Olaylar Sınırı');
INSERT INTO `lang_definitions` VALUES (89004, 3917, 23, 'Yeni Liste');
INSERT INTO `lang_definitions` VALUES (89005, 3918, 23, 'Yeni Order lar');
INSERT INTO `lang_definitions` VALUES (89006, 3921, 23, 'Yeni Hasta');
INSERT INTO `lang_definitions` VALUES (89007, 3922, 23, 'YENİ HASTA');
INSERT INTO `lang_definitions` VALUES (89008, 3923, 23, 'Yeni Hasta Görüşmesi');
INSERT INTO `lang_definitions` VALUES (89009, 3924, 23, 'Yeni Hasta Formu');
INSERT INTO `lang_definitions` VALUES (89010, 3925, 23, 'Yeni Hasta ID');
INSERT INTO `lang_definitions` VALUES (89011, 3926, 23, 'Yeni Ödeme');
INSERT INTO `lang_definitions` VALUES (89012, 3928, 23, 'Yeni Hasta');
INSERT INTO `lang_definitions` VALUES (89013, 3929, 23, 'Lab Değişimden yeni sonuçlar');
INSERT INTO `lang_definitions` VALUES (89014, 3930, 23, 'Yeni Arama');
INSERT INTO `lang_definitions` VALUES (89015, 3931, 23, 'Yeni Başvurular');
INSERT INTO `lang_definitions` VALUES (89016, 3932, 23, 'Yeni Kullanıcı');
INSERT INTO `lang_definitions` VALUES (89017, 3934, 23, 'Yeni Vizit');
INSERT INTO `lang_definitions` VALUES (89018, 3935, 23, 'Yeni / Ara');
INSERT INTO `lang_definitions` VALUES (89019, 3961, 23, 'Gazete');
INSERT INTO `lang_definitions` VALUES (89020, 3962, 23, 'Sonraki');
INSERT INTO `lang_definitions` VALUES (89021, 3964, 23, 'Sonraki Gün');
INSERT INTO `lang_definitions` VALUES (89022, 3965, 23, 'Sonraki Ay');
INSERT INTO `lang_definitions` VALUES (89023, 3966, 23, 'Sonraki Ay (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (89024, 3968, 23, 'Sonraki Hafta');
INSERT INTO `lang_definitions` VALUES (89025, 3969, 23, 'Sonraki Yıl (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (89026, 3971, 23, 'Takma isim');
INSERT INTO `lang_definitions` VALUES (89027, 3973, 23, 'Gece Terlemeleri');
INSERT INTO `lang_definitions` VALUES (89028, 3974, 23, 'Dış genitaller, vaginal mukoza, serviks normal');
INSERT INTO `lang_definitions` VALUES (89029, 3975, 23, 'Hayır');
INSERT INTO `lang_definitions` VALUES (89030, 3976, 23, 'HAYIR');
INSERT INTO `lang_definitions` VALUES (89031, 3977, 23, 'Giriş yok');
INSERT INTO `lang_definitions` VALUES (89032, 3979, 23, 'Adenopati yok (2 alan gerekiyor)');
INSERT INTO `lang_definitions` VALUES (89033, 3980, 23, 'Düzeltme sebebi tipi bulunamadı:');
INSERT INTO `lang_definitions` VALUES (89034, 3981, 23, 'Adneksiyal hassasiyet/kitle yok');
INSERT INTO `lang_definitions` VALUES (89035, 3985, 23, 'Halen bir faturalama sistemi etkin değil');
INSERT INTO `lang_definitions` VALUES (89036, 3987, 23, 'OFX Dışa aktar da eklenecek hiçbir fatura bulunmadı');
INSERT INTO `lang_definitions` VALUES (89037, 3989, 23, 'Hiçbir kod belirtilmedi');
INSERT INTO `lang_definitions` VALUES (89038, 3992, 23, 'Teşhis yok');
INSERT INTO `lang_definitions` VALUES (89039, 3993, 23, 'Belge Bulunmadı');
INSERT INTO `lang_definitions` VALUES (89040, 3995, 23, 'Son Tarihi yok');
INSERT INTO `lang_definitions` VALUES (89041, 3996, 23, 'Hiçbir kayıt bulunmadı.Bir kayıt eklemek için aşağıdaki formu kullanın');
INSERT INTO `lang_definitions` VALUES (89042, 3997, 23, 'Hiçbir hata bulunamadı');
INSERT INTO `lang_definitions` VALUES (89043, 3998, 23, 'Olay Yok');
INSERT INTO `lang_definitions` VALUES (89044, 4001, 23, 'Hiçbir grup seçilmedi');
INSERT INTO `lang_definitions` VALUES (89045, 4002, 23, 'Fıtık yok');
INSERT INTO `lang_definitions` VALUES (89046, 4005, 23, 'Yaralanma / hastalık yok');
INSERT INTO `lang_definitions` VALUES (89047, 4006, 23, 'Hiçbir sigorta şirketi bulunamadı');
INSERT INTO `lang_definitions` VALUES (89048, 4007, 23, 'Konu Yok');
INSERT INTO `lang_definitions` VALUES (89049, 4010, 23, 'Hiçbir kalem seçilmedi');
INSERT INTO `lang_definitions` VALUES (89050, 4027, 23, 'Kitle,hassasiyet yok.');
INSERT INTO `lang_definitions` VALUES (89051, 4028, 23, 'Verilen tekrar kimlik kodu ile eşleşen bir Hasta kaydı bulunamadı');
INSERT INTO `lang_definitions` VALUES (89052, 4031, 23, 'Hiç bir eşleşme bulunamadı. Yeni hasta kaydı oluşturulsun mu?');
INSERT INTO `lang_definitions` VALUES (89053, 4033, 23, 'Hiçbir yeni sonuç bulunmadı');
INSERT INTO `lang_definitions` VALUES (89054, 4034, 23, 'Not yok');
INSERT INTO `lang_definitions` VALUES (89055, 4035, 23, 'Organomegali yok');
INSERT INTO `lang_definitions` VALUES (89056, 4036, 23, 'Bu dönem için hiç açık yok');
INSERT INTO `lang_definitions` VALUES (89057, 4037, 23, 'Başka telefon numarası listelenmedi');
INSERT INTO `lang_definitions` VALUES (89058, 4039, 23, 'Hiçbir Partner bulunamadı');
INSERT INTO `lang_definitions` VALUES (89059, 4040, 23, 'Verilen Seçim Kriterleri için hiçbir hasta kaydı bulunmadı');
INSERT INTO `lang_definitions` VALUES (89060, 4041, 23, 'Verilen tekrar kimlik kodu için bir Hasta kaydı bulunamadı');
INSERT INTO `lang_definitions` VALUES (89061, 4042, 23, 'Periferde ödem yok');
INSERT INTO `lang_definitions` VALUES (89062, 4043, 23, 'Hiç bir ilaç bulunamadı');
INSERT INTO `lang_definitions` VALUES (89063, 4044, 23, 'Hiç bir reçete bulunamadı');
INSERT INTO `lang_definitions` VALUES (89064, 4045, 23, 'Halen hastalık/yaralanma yok');
INSERT INTO `lang_definitions` VALUES (89065, 4051, 23, 'Hiç bir Sağlayıcı Bulunamadı');
INSERT INTO `lang_definitions` VALUES (89066, 4052, 23, 'Döküntü veya anormal lezyonlar yok');
INSERT INTO `lang_definitions` VALUES (89067, 4053, 23, 'Hiçbir kayıt bulunamadı.');
INSERT INTO `lang_definitions` VALUES (89068, 4055, 23, 'Hiçbir kayıt bulunamadı. Lütfen arama kriterlerinizi genişletiniz.');
INSERT INTO `lang_definitions` VALUES (89069, 4057, 23, 'Yukarıdaki arama kriterleri için hiçbir sonuç bulunmadı.');
INSERT INTO `lang_definitions` VALUES (89070, 4058, 23, 'Sonuç Yok');
INSERT INTO `lang_definitions` VALUES (89071, 4060, 23, 'Arama İçin Hiçbir Sonuç Bulunamadı');
INSERT INTO `lang_definitions` VALUES (89072, 4062, 23, 'Sonuç yok, lütfen tekrar deneyin');
INSERT INTO `lang_definitions` VALUES (89073, 4063, 23, 'Sonuç yok, lütfen tekrar deneyin');
INSERT INTO `lang_definitions` VALUES (89074, 4065, 23, 'Gelmedi');
INSERT INTO `lang_definitions` VALUES (89075, 4067, 23, 'Sinüs hassasiyeti yok');
INSERT INTO `lang_definitions` VALUES (89076, 4068, 23, 'Memede nodul veya deri çöküntüsü yok');
INSERT INTO `lang_definitions` VALUES (89077, 4071, 23, 'Testiste hassasiyet, kitle yok');
INSERT INTO `lang_definitions` VALUES (89078, 4072, 23, 'Kalpte ele gelen titreşim veya kaldırma yok');
INSERT INTO `lang_definitions` VALUES (89079, 4075, 23, 'Vizit yok');
INSERT INTO `lang_definitions` VALUES (89080, 4076, 23, 'Hiçbir vital bulgu kaydedilmedi');
INSERT INTO `lang_definitions` VALUES (89081, 4077, 23, 'İptal yok');
INSERT INTO `lang_definitions` VALUES (89082, 4079, 23, 'No:');
INSERT INTO `lang_definitions` VALUES (89083, 4080, 23, 'Noktüri');
INSERT INTO `lang_definitions` VALUES (89084, 4081, 23, 'Ödenmemiş');
INSERT INTO `lang_definitions` VALUES (89085, 4082, 23, 'Rapor edilmemiş Rapor');
INSERT INTO `lang_definitions` VALUES (89086, 4083, 23, 'Spesifik olmayan yaralanma');
INSERT INTO `lang_definitions` VALUES (89087, 4085, 23, 'İnsüline bağlı olmayan diyabet');
INSERT INTO `lang_definitions` VALUES (89088, 4087, 23, 'CSÜS dışı Tıbbi');
INSERT INTO `lang_definitions` VALUES (89089, 4088, 23, 'CSÜS dışı Tıbbi Değil');
INSERT INTO `lang_definitions` VALUES (89090, 4089, 23, 'Hiçbiri');
INSERT INTO `lang_definitions` VALUES (89091, 4090, 23, 'hiçbiri');
INSERT INTO `lang_definitions` VALUES (89092, 4092, 23, 'Hiçbiri belgelendirilmemiş.');
INSERT INTO `lang_definitions` VALUES (89093, 4093, 23, 'Yukarıdakilerin hiçbiri');
INSERT INTO `lang_definitions` VALUES (89094, 4094, 23, 'En üst Dağılım Satırının hiçbiri tamamen boş bırakılamaz.');
INSERT INTO `lang_definitions` VALUES (89095, 4095, 23, 'İnsüline bağlı olmayan diyabet');
INSERT INTO `lang_definitions` VALUES (89096, 4096, 23, 'Nor');
INSERT INTO `lang_definitions` VALUES (89097, 4097, 23, 'Normal');
INSERT INTO `lang_definitions` VALUES (89098, 4098, 23, 'Normal BL');
INSERT INTO `lang_definitions` VALUES (89099, 4099, 23, 'Normal Kalp Muayenesi:');
INSERT INTO `lang_definitions` VALUES (89100, 4100, 23, 'Normal Kalp Muayenesi: ');
INSERT INTO `lang_definitions` VALUES (89101, 4101, 23, 'Normal Akciğer Muayenesi');
INSERT INTO `lang_definitions` VALUES (89102, 4102, 23, 'Normal Akciğer Muayenesi ');
INSERT INTO `lang_definitions` VALUES (89103, 4103, 23, 'Normal Muayene Viziti');
INSERT INTO `lang_definitions` VALUES (89104, 4104, 23, 'Normal Orofarinks');
INSERT INTO `lang_definitions` VALUES (89105, 4105, 23, 'Normal Sağ');
INSERT INTO `lang_definitions` VALUES (89106, 4106, 23, 'Normal Sağ');
INSERT INTO `lang_definitions` VALUES (89107, 4107, 23, 'Normal Görünüş');
INSERT INTO `lang_definitions` VALUES (89108, 4108, 23, 'normal:');
INSERT INTO `lang_definitions` VALUES (89109, 4109, 23, 'Normal olarak bu işaretlenmelidir. Erişim kontrolü ile ilgili değildir.');
INSERT INTO `lang_definitions` VALUES (89110, 4112, 23, 'Norveççe');
INSERT INTO `lang_definitions` VALUES (89111, 4115, 23, 'Burun');
INSERT INTO `lang_definitions` VALUES (89112, 4116, 23, 'Burun kanaması');
INSERT INTO `lang_definitions` VALUES (89113, 4117, 23, 'bir harf veya rakam değil');
INSERT INTO `lang_definitions` VALUES (89114, 4119, 23, 'Tüm kodlar veya kod tipleri için tüm alanlar gerekli değil');
INSERT INTO `lang_definitions` VALUES (89115, 4120, 23, 'İzin verilmiyor');
INSERT INTO `lang_definitions` VALUES (89116, 4121, 23, 'Yöneticiler grubunun silinmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (89117, 4123, 23, 'Tüm güvenlik nesnelerinin inaktif hale getirilmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (89118, 4124, 23, 'Yöneticiler ACLden herhangi bir şeyin inaktif hale getirilmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (89119, 4125, 23, 'Yöneticiler grubundan admin kullanıcısının silinmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (89120, 4126, 23, 'Bu kullanıcının yöneticiler grubundan silinmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (89121, 4128, 23, 'Takvim modülüne erişme yetkisi yok');
INSERT INTO `lang_definitions` VALUES (89122, 4129, 23, 'Yetkisi yok');
INSERT INTO `lang_definitions` VALUES (89123, 4132, 23, 'Bu bölüm için yetkisi yok');
INSERT INTO `lang_definitions` VALUES (89124, 4135, 23, 'Mevcudu yok');
INSERT INTO `lang_definitions` VALUES (89125, 4137, 23, 'Faturalanmamış');
INSERT INTO `lang_definitions` VALUES (89126, 4138, 23, 'Kontrol edilmemiş');
INSERT INTO `lang_definitions` VALUES (89127, 4139, 23, 'Çıkışı yapılmamış');
INSERT INTO `lang_definitions` VALUES (89128, 4143, 23, 'Muayene edilmemiş');
INSERT INTO `lang_definitions` VALUES (89129, 4144, 23, 'Muayene Edilmemiş:');
INSERT INTO `lang_definitions` VALUES (89130, 4145, 23, 'Muayene Edilmemiş: ');
INSERT INTO `lang_definitions` VALUES (89131, 4146, 23, 'bulunamadı');
INSERT INTO `lang_definitions` VALUES (89132, 4148, 23, 'bulunamadı!');
INSERT INTO `lang_definitions` VALUES (89133, 4149, 23, 'Latin veya esmer değil.');
INSERT INTO `lang_definitions` VALUES (89134, 4152, 23, 'Den beri görülmedi');
INSERT INTO `lang_definitions` VALUES (89135, 4156, 23, 'Belirtilmemiş');
INSERT INTO `lang_definitions` VALUES (89136, 4157, 23, 'Not');
INSERT INTO `lang_definitions` VALUES (89137, 4161, 23, 'Denetleme Kaydının yukarıda etkinleştirilmiş olması gerektiğine dikkat ediniz');
INSERT INTO `lang_definitions` VALUES (89138, 4162, 23, 'Not Tipi');
INSERT INTO `lang_definitions` VALUES (89139, 4168, 23, 'Not:Bu kod yetkili bir kullanıcı tarafından girilmedi. Açık Tıbbi Faturalama Ağına sadece yetkili kodlar girilebilir. Bu kodları yüklemek istiyorsanız, lütfen buradaki yetkili bir kullanıcıyı seçiniz.');
INSERT INTO `lang_definitions` VALUES (89140, 4170, 23, 'NOT: Çift isimli dosyalar yüklendiğinde dosyalar otomatik olarak yeniden adlandırılır. ( Mesela dosya.jpg dosya.1.jpg ) Dosya isimleri her kategori için değil her hasta için eşsiz kabul edilir.');
INSERT INTO `lang_definitions` VALUES (89141, 4171, 23, 'NOT: Çift isimli dosyalar yüklendiğinde dosyalar otomatik olarak yeniden adlandırılır. Mesela \'<i>dosya.jpg, dosya.1.jpg </i>\' olur ) Dosya isimleri her kategori için değil her hasta için eşsiz kabul edilir.');
INSERT INTO `lang_definitions` VALUES (89142, 4172, 23, 'Notlar');
INSERT INTO `lang_definitions` VALUES (89143, 4173, 23, 'Notlar - herhangi bir görüşme (yaz, sadece ekle opsiyon)');
INSERT INTO `lang_definitions` VALUES (89144, 4174, 23, 'Notlar - görüşmelerim (yaz, sadece ekle opsiyon)');
INSERT INTO `lang_definitions` VALUES (89145, 4175, 23, 'Notlar yetkilendirilmemiş');
INSERT INTO `lang_definitions` VALUES (89146, 4182, 23, 'Hiçbir şey seçilmemiş');
INSERT INTO `lang_definitions` VALUES (89147, 4184, 23, 'UYARI :: Takvim Ekleme/Değiştirme');
INSERT INTO `lang_definitions` VALUES (89148, 4185, 23, 'Uyarı');
INSERT INTO `lang_definitions` VALUES (89149, 4186, 23, 'Uyarı Eposta Adresi');
INSERT INTO `lang_definitions` VALUES (89150, 4188, 23, 'Uyarılar');
INSERT INTO `lang_definitions` VALUES (89151, 4189, 23, 'Admin Olay Ekleme/Değiştirme hakkında uyarılsın mı?');
INSERT INTO `lang_definitions` VALUES (89152, 4190, 23, 'Kas');
INSERT INTO `lang_definitions` VALUES (89153, 4191, 23, 'Kasım');
INSERT INTO `lang_definitions` VALUES (89154, 4192, 23, 'Şimdi postalanan alıcı:');
INSERT INTO `lang_definitions` VALUES (89155, 4193, 23, 'Şimdi');
INSERT INTO `lang_definitions` VALUES (89156, 4194, 23, 'Şimdi $stmt_count bilançoları bastırılıyor ve görüşmeler güncelleniyor.');
INSERT INTO `lang_definitions` VALUES (89157, 4195, 23, 'Şimdi $stmt_count bilançoları bastırılıyor ve faturalar güncelleniyor.');
INSERT INTO `lang_definitions` VALUES (89158, 4196, 23, 'Şimdi $stmt_count bilançoları bastırılıyor, görüşmeler güncellenmeyecek.');
INSERT INTO `lang_definitions` VALUES (89159, 4197, 23, 'Şimdi $stmt_count bilançoları bastırılıyor, faturalar güncellenmeyecek.');
INSERT INTO `lang_definitions` VALUES (89160, 4198, 23, 'NPI');
INSERT INTO `lang_definitions` VALUES (89161, 4200, 23, 'Sayı');
INSERT INTO `lang_definitions` VALUES (89162, 4204, 23, 'Yıl görünümünde sütun sayısı');
INSERT INTO `lang_definitions` VALUES (89163, 4211, 23, 'Müşteri sertifikasının geçerli olduğu gün sayısı');
INSERT INTO `lang_definitions` VALUES (89164, 4213, 23, 'Para birimi için ondalık sonrası rakam sayısı, genellikle 0 veya 2 dir.');
INSERT INTO `lang_definitions` VALUES (89165, 4215, 23, 'Hiç varsa kaçırılan olay veya oyunlar');
INSERT INTO `lang_definitions` VALUES (89166, 4216, 23, 'Eposta uyarıları göndermek için önceden saat sayısı.');
INSERT INTO `lang_definitions` VALUES (89167, 4218, 23, 'SMS uyarılar göndermek için önceden saat sayısı');
INSERT INTO `lang_definitions` VALUES (89168, 4221, 23, 'Geçmiş öykü sütunlarının sayısı');
INSERT INTO `lang_definitions` VALUES (89169, 4223, 23, 'Uyuşukluk');
INSERT INTO `lang_definitions` VALUES (89170, 4225, 23, 'Rakamsal görünüm sırası');
INSERT INTO `lang_definitions` VALUES (89171, 4229, 23, 'O.A.F.V');
INSERT INTO `lang_definitions` VALUES (89172, 4230, 23, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (89173, 4231, 23, 'Obezite I');
INSERT INTO `lang_definitions` VALUES (89174, 4232, 23, 'Obezite III');
INSERT INTO `lang_definitions` VALUES (89175, 4233, 23, 'Obezite III');
INSERT INTO `lang_definitions` VALUES (89176, 4234, 23, 'Objektif');
INSERT INTO `lang_definitions` VALUES (89177, 4237, 23, 'Meslek');
INSERT INTO `lang_definitions` VALUES (89178, 4239, 23, 'Oluş');
INSERT INTO `lang_definitions` VALUES (89179, 4240, 23, 'Eki');
INSERT INTO `lang_definitions` VALUES (89180, 4241, 23, 'Ekim');
INSERT INTO `lang_definitions` VALUES (89181, 4242, 23, 'OD');
INSERT INTO `lang_definitions` VALUES (89182, 4244, 23, 'Miktarında');
INSERT INTO `lang_definitions` VALUES (89183, 4245, 23, 'tablet');
INSERT INTO `lang_definitions` VALUES (89184, 4246, 23, 'aydan her');
INSERT INTO `lang_definitions` VALUES (89185, 4247, 23, 'Ofis Notları');
INSERT INTO `lang_definitions` VALUES (89186, 4249, 23, 'Ofis Notları');
INSERT INTO `lang_definitions` VALUES (89187, 4250, 23, 'Ofis Viziti');
INSERT INTO `lang_definitions` VALUES (89188, 4263, 23, 'Bebek');
INSERT INTO `lang_definitions` VALUES (89189, 4265, 23, 'merhem');
INSERT INTO `lang_definitions` VALUES (89190, 4267, 23, 'TAMAM');
INSERT INTO `lang_definitions` VALUES (89191, 4269, 23, 'tarihli GCAC konusunu link etmek için TAMAM');
INSERT INTO `lang_definitions` VALUES (89192, 4270, 23, 'Eski');
INSERT INTO `lang_definitions` VALUES (89193, 4272, 23, 'Eski Müşteriler');
INSERT INTO `lang_definitions` VALUES (89194, 4273, 23, 'Eski kırık non / malunion');
INSERT INTO `lang_definitions` VALUES (89195, 4274, 23, 'Sol menü olmaksızın eski stil görünüş.');
INSERT INTO `lang_definitions` VALUES (89196, 4275, 23, 'Çiftleşme kontrolü ve araması bulunmayan eski stil statik form');
INSERT INTO `lang_definitions` VALUES (89197, 4279, 23, 'Hasta demografik bilgilerinde işveren bilgisini İhmal et');
INSERT INTO `lang_definitions` VALUES (89198, 4280, 23, 'İşverenleri İhmal Et');
INSERT INTO `lang_definitions` VALUES (89199, 4281, 23, 'Dozajın sonradan parçası olan form, yol ve aralığı ihmal et.');
INSERT INTO `lang_definitions` VALUES (89200, 4282, 23, 'Demografik formdan sigorta ve bazı başka şeyleri ihmal et');
INSERT INTO `lang_definitions` VALUES (89201, 4283, 23, 'İlk kullanıcılar ihmal edilsin mi?');
INSERT INTO `lang_definitions` VALUES (89202, 4284, 23, 'Birlikte ödeme panelinden ödeme yöntemini ihmal et');
INSERT INTO `lang_definitions` VALUES (89203, 4285, 23, 'otomatik atamayı ihmal et');
INSERT INTO `lang_definitions` VALUES (89204, 4286, 23, 'üzerinde');
INSERT INTO `lang_definitions` VALUES (89205, 4288, 23, 'Elde');
INSERT INTO `lang_definitions` VALUES (89206, 4289, 23, 'Siparişte');
INSERT INTO `lang_definitions` VALUES (89207, 4290, 23, 'Yerinde');
INSERT INTO `lang_definitions` VALUES (89208, 4292, 23, 'Şifrenizi değiştirdiğiniz zaman tekrar giriş yapmanız gerekecektir.');
INSERT INTO `lang_definitions` VALUES (89209, 4297, 23, 'Çevrim içi destek');
INSERT INTO `lang_definitions` VALUES (89210, 4298, 23, 'Çevrim içi destek bağlantısı');
INSERT INTO `lang_definitions` VALUES (89211, 4299, 23, 'Sadece Aktif');
INSERT INTO `lang_definitions` VALUES (89212, 4302, 23, 'sadece eğer faturalama yeri ise');
INSERT INTO `lang_definitions` VALUES (89213, 4303, 23, 'Sadece inaktif');
INSERT INTO `lang_definitions` VALUES (89214, 4304, 23, 'Sadece Benim');
INSERT INTO `lang_definitions` VALUES (89215, 4310, 23, 'Hastalığın başlangıcı:');
INSERT INTO `lang_definitions` VALUES (89216, 4311, 23, 'Hastalığın başlangıcı: ');
INSERT INTO `lang_definitions` VALUES (89217, 4312, 23, 'Şişmenin başlangıcı:');
INSERT INTO `lang_definitions` VALUES (89218, 4313, 23, 'Hastaneye yatış/başlangıç tarihi');
INSERT INTO `lang_definitions` VALUES (89219, 4316, 23, 'Açık');
INSERT INTO `lang_definitions` VALUES (89220, 4321, 23, 'Bugünkü Görüşmeyi Aç');
INSERT INTO `lang_definitions` VALUES (89221, 4322, 23, 'ÖzgürETK önceden düzenlenmiş bir Sertifika Yetkilisine sahip');
INSERT INTO `lang_definitions` VALUES (89222, 4324, 23, 'ÖzgürETK Veri Tabanı Güncellemesi');
INSERT INTO `lang_definitions` VALUES (89223, 4325, 23, 'Kişisel verileri gizlemek için ÖzgürETK Veri Tabanı Güncellemesi');
INSERT INTO `lang_definitions` VALUES (89224, 4327, 23, 'ÖzgürETKnın müşteri sertifikalarını oluşturabilmesi için sertifika kullanmak üzere yapılandırılması gerekir');
INSERT INTO `lang_definitions` VALUES (89225, 4328, 23, 'ÖzgürETK kullanıcı doğrulaması yapabilmek için JavaScripte ihtiyaç duyar.');
INSERT INTO `lang_definitions` VALUES (89226, 4329, 23, 'ÖzgürETK Kullanıcıları');
INSERT INTO `lang_definitions` VALUES (89227, 4333, 23, 'Seçenek');
INSERT INTO `lang_definitions` VALUES (89228, 4335, 23, 'Ürünlerin envanterini ve satışlarını destekleme opsiyonu');
INSERT INTO `lang_definitions` VALUES (89229, 4336, 23, 'Seçmeli');
INSERT INTO `lang_definitions` VALUES (89230, 4337, 23, 'Hasta özet sayfasında görülebilecek bir Nüfus kağıdı resmi için opsiyonel kategori ismi');
INSERT INTO `lang_definitions` VALUES (89231, 4338, 23, 'Hasta özet sayfasında görülebilecek fotoğraf resmleri için opsiyonel kategori ismi');
INSERT INTO `lang_definitions` VALUES (89232, 4339, 23, 'Hasta özet sayfasından bir belgeye bağlantı yapmak için seçmeli kategori ismi. Hasta ismine tıklayıp ID kartını görmenizi sağlar.');
INSERT INTO `lang_definitions` VALUES (89233, 4340, 23, 'Sonuçların el ile girilmesinde seçimlik ön tanımlı aralık');
INSERT INTO `lang_definitions` VALUES (89234, 4341, 23, 'Sonuçların el ile girilmesinde seçimlik ön tanımlı birimler');
INSERT INTO `lang_definitions` VALUES (89235, 4343, 23, 'Seçimlik ilaç adı joker için % kullanınız.');
INSERT INTO `lang_definitions` VALUES (89236, 4345, 23, 'Bu olay için seçimlik bilgi');
INSERT INTO `lang_definitions` VALUES (89237, 4346, 23, 'Seçmeli parti numarası, joker için % kullanınız');
INSERT INTO `lang_definitions` VALUES (89238, 4347, 23, 'Seçmeli nümerik hasta ID si');
INSERT INTO `lang_definitions` VALUES (89239, 4348, 23, 'Seçmeli işlem kodu');
INSERT INTO `lang_definitions` VALUES (89240, 4350, 23, 'Seçenekler');
INSERT INTO `lang_definitions` VALUES (89241, 4351, 23, 'Veya');
INSERT INTO `lang_definitions` VALUES (89242, 4352, 23, 'VEYA');
INSERT INTO `lang_definitions` VALUES (89243, 4353, 23, 'Veya seçin');
INSERT INTO `lang_definitions` VALUES (89244, 4354, 23, 'veya hızlı seçim için tıklayıp sürükleyin.');
INSERT INTO `lang_definitions` VALUES (89245, 4356, 23, 'Veya Dışarı');
INSERT INTO `lang_definitions` VALUES (89246, 4358, 23, 'veya azaltmak için Shift-tıkla');
INSERT INTO `lang_definitions` VALUES (89247, 4359, 23, 'Veya ERA dosyasını yükle');
INSERT INTO `lang_definitions` VALUES (89248, 4360, 23, 'Oral');
INSERT INTO `lang_definitions` VALUES (89249, 4361, 23, 'Oral mukoza pembe, boğaz temiz');
INSERT INTO `lang_definitions` VALUES (89250, 4362, 23, 'Order');
INSERT INTO `lang_definitions` VALUES (89251, 4363, 23, 'Order ve Sonuç Tipleri');
INSERT INTO `lang_definitions` VALUES (89252, 4364, 23, 'Sipariş Kataloğu');
INSERT INTO `lang_definitions` VALUES (89253, 4367, 23, 'Order Formu');
INSERT INTO `lang_definitions` VALUES (89254, 4369, 23, 'Order 1 -999 arası bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (89255, 4371, 23, 'Order Öncelikleri');
INSERT INTO `lang_definitions` VALUES (89256, 4372, 23, 'Order İşlemcisi');
INSERT INTO `lang_definitions` VALUES (89257, 4375, 23, 'Sipariş Durumları');
INSERT INTO `lang_definitions` VALUES (89258, 4378, 23, 'Sipariş Tipi');
INSERT INTO `lang_definitions` VALUES (89259, 4380, 23, 'Sipariş Sonucu/Tipi');
INSERT INTO `lang_definitions` VALUES (89260, 4381, 23, 'Sipariş edildi');
INSERT INTO `lang_definitions` VALUES (89261, 4384, 23, 'Sipariş Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (89262, 4386, 23, 'Organ yaralanması');
INSERT INTO `lang_definitions` VALUES (89263, 4387, 23, 'Organizasyon');
INSERT INTO `lang_definitions` VALUES (89264, 4388, 23, 'Organizasyon Adı');
INSERT INTO `lang_definitions` VALUES (89265, 4389, 23, 'Organizasyon Birim Adı');
INSERT INTO `lang_definitions` VALUES (89266, 4390, 23, 'Organizasyonlar');
INSERT INTO `lang_definitions` VALUES (89267, 4391, 23, 'Oriyante x 3');
INSERT INTO `lang_definitions` VALUES (89268, 4392, 23, 'Orijinal');
INSERT INTO `lang_definitions` VALUES (89269, 4396, 23, 'OROFARENKS: ');
INSERT INTO `lang_definitions` VALUES (89270, 4397, 23, 'Ortopne');
INSERT INTO `lang_definitions` VALUES (89271, 4398, 23, 'OS');
INSERT INTO `lang_definitions` VALUES (89272, 4399, 23, 'Osteoartrit');
INSERT INTO `lang_definitions` VALUES (89273, 4402, 23, 'Diğer');
INSERT INTO `lang_definitions` VALUES (89274, 4403, 23, 'diğer');
INSERT INTO `lang_definitions` VALUES (89275, 4404, 23, 'Diğer (Belirtiniz)');
INSERT INTO `lang_definitions` VALUES (89276, 4405, 23, 'Diğer - Belirtilmiş');
INSERT INTO `lang_definitions` VALUES (89277, 4406, 23, 'Diğer Federal Program');
INSERT INTO `lang_definitions` VALUES (89278, 4407, 23, 'Diğer HCFA');
INSERT INTO `lang_definitions` VALUES (89279, 4408, 23, 'Başka yerde belirtilmemiş diğer yaralanmalar');
INSERT INTO `lang_definitions` VALUES (89280, 4410, 23, 'diğer ay');
INSERT INTO `lang_definitions` VALUES (89281, 4411, 23, 'Diğer Federal Olmayan Programlar');
INSERT INTO `lang_definitions` VALUES (89282, 4412, 23, 'Diğer Notlar');
INSERT INTO `lang_definitions` VALUES (89283, 4413, 23, 'Diğer İlgili Semptomlar');
INSERT INTO `lang_definitions` VALUES (89284, 4414, 23, 'Diğer İlgili Semptomlar:');
INSERT INTO `lang_definitions` VALUES (89285, 4415, 23, 'Diğer ilgili resp.');
INSERT INTO `lang_definitions` VALUES (89286, 4416, 23, 'Diğer stres/aşırı kullanım yaralanması');
INSERT INTO `lang_definitions` VALUES (89287, 4417, 23, 'Diğer Cerrahi');
INSERT INTO `lang_definitions` VALUES (89288, 4418, 23, 'Diğer/Jenerik Düşük ile ilgili');
INSERT INTO `lang_definitions` VALUES (89289, 4420, 23, 'Diğerleri');
INSERT INTO `lang_definitions` VALUES (89290, 4421, 23, 'diğer halde mevcut verilere yapılan referansları imha edeceksiniz.');
INSERT INTO `lang_definitions` VALUES (89291, 4422, 23, 'Ottawa Ayak Bileği Kuralları');
INSERT INTO `lang_definitions` VALUES (89292, 4423, 23, 'OU');
INSERT INTO `lang_definitions` VALUES (89293, 4424, 23, 'DIŞARI');
INSERT INTO `lang_definitions` VALUES (89294, 4425, 23, 'Ofis Dışında');
INSERT INTO `lang_definitions` VALUES (89295, 4426, 23, 'Dışa Sevk');
INSERT INTO `lang_definitions` VALUES (89296, 4427, 23, 'Sonuç');
INSERT INTO `lang_definitions` VALUES (89297, 4428, 23, 'Görünüm');
INSERT INTO `lang_definitions` VALUES (89298, 4432, 23, 'Aşırı kullanım');
INSERT INTO `lang_definitions` VALUES (89299, 4434, 23, 'Aşırı kilolu');
INSERT INTO `lang_definitions` VALUES (89300, 4435, 23, 'HIPAA seçiminin üzerine yaz');
INSERT INTO `lang_definitions` VALUES (89301, 4437, 23, 'Oksijen Satürasyonu');
INSERT INTO `lang_definitions` VALUES (89302, 4439, 23, 'P');
INSERT INTO `lang_definitions` VALUES (89303, 4440, 23, 'Yemekten sonra');
INSERT INTO `lang_definitions` VALUES (89304, 4441, 23, 'ö.s.');
INSERT INTO `lang_definitions` VALUES (89305, 4442, 23, 'gerektiğinde');
INSERT INTO `lang_definitions` VALUES (89306, 4443, 23, 'Pasifik Adalarından');
INSERT INTO `lang_definitions` VALUES (89307, 4444, 23, 'Pediyatrik');
INSERT INTO `lang_definitions` VALUES (89308, 4445, 23, 'Sayfa');
INSERT INTO `lang_definitions` VALUES (89309, 4446, 23, 'Sayfalar');
INSERT INTO `lang_definitions` VALUES (89310, 4447, 23, 'Ödenmiş');
INSERT INTO `lang_definitions` VALUES (89311, 4448, 23, 'Ayıracağınız ödenmiş miktar');
INSERT INTO `lang_definitions` VALUES (89312, 4450, 23, 'Ödendi:');
INSERT INTO `lang_definitions` VALUES (89313, 4451, 23, 'Ağrı');
INSERT INTO `lang_definitions` VALUES (89314, 4453, 23, 'Çarpıntı');
INSERT INTO `lang_definitions` VALUES (89315, 4455, 23, 'Sürüntü');
INSERT INTO `lang_definitions` VALUES (89316, 4458, 23, 'Felç');
INSERT INTO `lang_definitions` VALUES (89317, 4461, 23, 'HL7 yi incele');
INSERT INTO `lang_definitions` VALUES (89318, 4463, 23, 'Partner');
INSERT INTO `lang_definitions` VALUES (89319, 4472, 23, 'Şifre');
INSERT INTO `lang_definitions` VALUES (89320, 4473, 23, 'Şifre Değişikliği');
INSERT INTO `lang_definitions` VALUES (89321, 4475, 23, 'Şifre Değişikliği Başarılı.');
INSERT INTO `lang_definitions` VALUES (89322, 4477, 23, 'Şifre Son Mühlet');
INSERT INTO `lang_definitions` VALUES (89323, 4480, 23, 'SMS ara birimi için Şifre');
INSERT INTO `lang_definitions` VALUES (89324, 4481, 23, 'SMS ara birimi için Şifre:');
INSERT INTO `lang_definitions` VALUES (89325, 4486, 23, 'Şifre:');
INSERT INTO `lang_definitions` VALUES (89326, 4494, 23, 'Eski Görüşmeler Listesi');
INSERT INTO `lang_definitions` VALUES (89327, 4495, 23, 'Geçmiş Görüşmeler');
INSERT INTO `lang_definitions` VALUES (89328, 4496, 23, 'Geçmiş Görüşmeler ve Belgeler');
INSERT INTO `lang_definitions` VALUES (89329, 4498, 23, 'HL7 Verisini Yapıştırınız');
INSERT INTO `lang_definitions` VALUES (89330, 4499, 23, 'İçe aktarılacak veriyi aşağıdaki metin kutusuna yapıştırınız:');
INSERT INTO `lang_definitions` VALUES (89331, 4502, 23, 'Yama');
INSERT INTO `lang_definitions` VALUES (89332, 4508, 23, 'Olay Günlüğü Yedeğinin Yolu');
INSERT INTO `lang_definitions` VALUES (89333, 4509, 23, 'CA Sertifika Dosyasının Yolu');
INSERT INTO `lang_definitions` VALUES (89334, 4510, 23, 'CA Sertifikası Anahtar Dosyasının Yolu');
INSERT INTO `lang_definitions` VALUES (89335, 4511, 23, 'MySQL binary dosyalarının yolu');
INSERT INTO `lang_definitions` VALUES (89336, 4512, 23, 'Perl Binary dosyalarının yolu');
INSERT INTO `lang_definitions` VALUES (89337, 4513, 23, 'Geçici Dosyaların Yolu');
INSERT INTO `lang_definitions` VALUES (89338, 4514, 23, 'Hasta');
INSERT INTO `lang_definitions` VALUES (89339, 4515, 23, 'hasta');
INSERT INTO `lang_definitions` VALUES (89340, 4516, 23, 'HASTA');
INSERT INTO `lang_definitions` VALUES (89341, 4521, 23, 'Hasta alerjileri');
INSERT INTO `lang_definitions` VALUES (89342, 4522, 23, 'Hasta Alerjileri');
INSERT INTO `lang_definitions` VALUES (89343, 4523, 23, 'Hasta Randevusu');
INSERT INTO `lang_definitions` VALUES (89344, 4528, 23, 'Hasta Çizelge ID');
INSERT INTO `lang_definitions` VALUES (89345, 4529, 23, 'Hasta Ödemesi');
INSERT INTO `lang_definitions` VALUES (89346, 4530, 23, 'Hasta ödemesi: ');
INSERT INTO `lang_definitions` VALUES (89347, 4533, 23, 'Hasta Epikrizi Gönderildi');
INSERT INTO `lang_definitions` VALUES (89348, 4534, 23, 'Hasta Epikrizi Gönderildi');
INSERT INTO `lang_definitions` VALUES (89349, 4539, 23, 'Hasta Bilgileri');
INSERT INTO `lang_definitions` VALUES (89350, 4544, 23, 'Hasta Belgesi');
INSERT INTO `lang_definitions` VALUES (89351, 4547, 23, 'Hasta Görüşmesi');
INSERT INTO `lang_definitions` VALUES (89352, 4548, 23, 'Hasta Görüşme Formu');
INSERT INTO `lang_definitions` VALUES (89353, 4549, 23, 'Hasta Görüşmeleri');
INSERT INTO `lang_definitions` VALUES (89354, 4550, 23, 'Hasta Bulucu');
INSERT INTO `lang_definitions` VALUES (89355, 4561, 23, 'Hasta Öyküsü');
INSERT INTO `lang_definitions` VALUES (89356, 4562, 23, 'Hasta Öyküsü/yaşam tarzı');
INSERT INTO `lang_definitions` VALUES (89357, 4564, 23, 'Hasta ID');
INSERT INTO `lang_definitions` VALUES (89358, 4566, 23, 'Hasta Kimlik Kartı');
INSERT INTO `lang_definitions` VALUES (89359, 4567, 23, 'Hasta ID Kategori İsmi');
INSERT INTO `lang_definitions` VALUES (89360, 4568, 23, 'Hasta Aşılamaları');
INSERT INTO `lang_definitions` VALUES (89361, 4569, 23, 'Hasta Danışma');
INSERT INTO `lang_definitions` VALUES (89362, 4570, 23, 'Hasta Talimatları');
INSERT INTO `lang_definitions` VALUES (89363, 4571, 23, 'Hasta Sigorta Dağılımı');
INSERT INTO `lang_definitions` VALUES (89364, 4572, 23, 'Hasta Sigorta Dağılımı Raporu');
INSERT INTO `lang_definitions` VALUES (89365, 4573, 23, 'Hasta Konuları');
INSERT INTO `lang_definitions` VALUES (89366, 4581, 23, 'Hasta Listesi');
INSERT INTO `lang_definitions` VALUES (89367, 4586, 23, 'Hasta Arama Hataları');
INSERT INTO `lang_definitions` VALUES (89368, 4587, 23, 'Hasta Tıbbi Sorunları');
INSERT INTO `lang_definitions` VALUES (89369, 4588, 23, 'Hasta İlaçları');
INSERT INTO `lang_definitions` VALUES (89370, 4589, 23, 'Hasta İsmi');
INSERT INTO `lang_definitions` VALUES (89371, 4590, 23, 'Asta İsmi & Adres');
INSERT INTO `lang_definitions` VALUES (89372, 4595, 23, 'Hasta Notu');
INSERT INTO `lang_definitions` VALUES (89373, 4596, 23, 'Hasta Not Tipleri');
INSERT INTO `lang_definitions` VALUES (89374, 4597, 23, 'Hasta Notları');
INSERT INTO `lang_definitions` VALUES (89375, 4598, 23, 'Hasta Notları (Yaz sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (89376, 4599, 23, 'Hasta Numarası');
INSERT INTO `lang_definitions` VALUES (89377, 4600, 23, 'Hasta Ödemesi');
INSERT INTO `lang_definitions` VALUES (89378, 4602, 23, 'Hasta Fotoğraf kategorisi ismi');
INSERT INTO `lang_definitions` VALUES (89379, 4608, 23, 'Basılı Hasta Raporu');
INSERT INTO `lang_definitions` VALUES (89380, 4609, 23, 'Hasta Kaydı Raporu');
INSERT INTO `lang_definitions` VALUES (89381, 4619, 23, 'Hasta Hatırlatmaları');
INSERT INTO `lang_definitions` VALUES (89382, 4620, 23, 'Hasta Raporu');
INSERT INTO `lang_definitions` VALUES (89383, 4621, 23, 'Hasta İsteği');
INSERT INTO `lang_definitions` VALUES (89384, 4623, 23, 'Hasta Sonuçları');
INSERT INTO `lang_definitions` VALUES (89385, 4624, 23, 'Hasta Sonuç Arama Stili');
INSERT INTO `lang_definitions` VALUES (89386, 4625, 23, 'Hasta Ara/Ekle Ekranı');
INSERT INTO `lang_definitions` VALUES (89387, 4629, 23, 'Hasta Özeti');
INSERT INTO `lang_definitions` VALUES (89388, 4630, 23, 'Hasta İşlemleri');
INSERT INTO `lang_definitions` VALUES (89389, 4632, 23, 'girdiğiniz demografik bilgi ile eşleşen veri tabanındaki hasta(lar)');
INSERT INTO `lang_definitions` VALUES (89390, 4633, 23, 'Hasta/Müşteri');
INSERT INTO `lang_definitions` VALUES (89391, 4634, 23, 'Hasta:');
INSERT INTO `lang_definitions` VALUES (89392, 4635, 23, 'HastaID');
INSERT INTO `lang_definitions` VALUES (89393, 4636, 23, 'Hastalar');
INSERT INTO `lang_definitions` VALUES (89394, 4638, 23, 'Öde');
INSERT INTO `lang_definitions` VALUES (89395, 4639, 23, '\"işim bitti\" kutularına dikkat ediniz. Sigortalar tamam olarak işaretlendikten sonra borcun geri kalanını hastalardan istemeye başlayacağız. Eğer tüm sigortaları tamam olarak işaretlemez iseniz o zaman kalan miktar toplanamaz! Hastanın ödemesi gereken bir borç var ise, vade tarihini uygun şekilde düzenleyiniz, bu hastalara giden ödeme emirlerindeki dili etkiler.');
INSERT INTO `lang_definitions` VALUES (89396, 4640, 23, 'Ödeme Tarihi:');
INSERT INTO `lang_definitions` VALUES (89397, 4641, 23, 'Ödeme Durumu');
INSERT INTO `lang_definitions` VALUES (89398, 4642, 23, 'Ödenenin Adı');
INSERT INTO `lang_definitions` VALUES (89399, 4643, 23, 'Ödeyen');
INSERT INTO `lang_definitions` VALUES (89400, 4644, 23, 'Ödeyen Tipi');
INSERT INTO `lang_definitions` VALUES (89401, 4645, 23, 'Ödeme yapan');
INSERT INTO `lang_definitions` VALUES (89402, 4646, 23, 'Ödeme Başlığı');
INSERT INTO `lang_definitions` VALUES (89403, 4647, 23, 'Ödeme');
INSERT INTO `lang_definitions` VALUES (89404, 4648, 23, 'ödeme');
INSERT INTO `lang_definitions` VALUES (89405, 4649, 23, 'Ödeme Düzeltme Kodu');
INSERT INTO `lang_definitions` VALUES (89406, 4651, 23, 'Ödeme Miktarı');
INSERT INTO `lang_definitions` VALUES (89407, 4652, 23, 'Ödeme Miktarı sayısal olmalı');
INSERT INTO `lang_definitions` VALUES (89408, 4653, 23, 'Ödeme kategorisi');
INSERT INTO `lang_definitions` VALUES (89409, 4654, 23, 'Ödeme Tarihi');
INSERT INTO `lang_definitions` VALUES (89410, 4655, 23, 'ödemenin girildiği tarih');
INSERT INTO `lang_definitions` VALUES (89411, 4656, 23, 'Ödeyen');
INSERT INTO `lang_definitions` VALUES (89412, 4658, 23, 'Ödeme İzh');
INSERT INTO `lang_definitions` VALUES (89413, 4659, 23, 'Ödeme Listesi');
INSERT INTO `lang_definitions` VALUES (89414, 4660, 23, 'Ödeme Yöntemi');
INSERT INTO `lang_definitions` VALUES (89415, 4661, 23, 'Ödemeleri Sırala:');
INSERT INTO `lang_definitions` VALUES (89416, 4662, 23, 'Ödeme Durumu');
INSERT INTO `lang_definitions` VALUES (89417, 4663, 23, 'Ödeme Tipi');
INSERT INTO `lang_definitions` VALUES (89418, 4664, 23, 'Kod için ödeme değeri ');
INSERT INTO `lang_definitions` VALUES (89419, 4665, 23, 'Ödemeler');
INSERT INTO `lang_definitions` VALUES (89420, 4669, 23, 'PDF');
INSERT INTO `lang_definitions` VALUES (89421, 4670, 23, 'Seçili Bilançoları PDF olarak İndir');
INSERT INTO `lang_definitions` VALUES (89422, 4672, 23, 'Pelvis ve kalça');
INSERT INTO `lang_definitions` VALUES (89423, 4673, 23, 'Pemfigus');
INSERT INTO `lang_definitions` VALUES (89424, 4674, 23, 'Beklemede');
INSERT INTO `lang_definitions` VALUES (89425, 4676, 23, 'F/U Askıda');
INSERT INTO `lang_definitions` VALUES (89426, 4677, 23, 'İzlem beklemede');
INSERT INTO `lang_definitions` VALUES (89427, 4678, 23, 'Sonuçlardan İzlem Beklemede');
INSERT INTO `lang_definitions` VALUES (89428, 4679, 23, 'Bekleyen Siparişler');
INSERT INTO `lang_definitions` VALUES (89429, 4680, 23, 'Bekleyen Res');
INSERT INTO `lang_definitions` VALUES (89430, 4681, 23, 'Bekleyen Değerlendirme');
INSERT INTO `lang_definitions` VALUES (89431, 4684, 23, 'Pennington Firması ÖzgürETK v');
INSERT INTO `lang_definitions` VALUES (89432, 4685, 23, 'Peptik Ülser Hastalığı');
INSERT INTO `lang_definitions` VALUES (89433, 4687, 23, 'dakikada');
INSERT INTO `lang_definitions` VALUES (89434, 4688, 23, 'Burundan');
INSERT INTO `lang_definitions` VALUES (89435, 4689, 23, 'burundan');
INSERT INTO `lang_definitions` VALUES (89436, 4690, 23, 'Ağızdan');
INSERT INTO `lang_definitions` VALUES (89437, 4691, 23, 'ağızdan');
INSERT INTO `lang_definitions` VALUES (89438, 4692, 23, 'Makattan');
INSERT INTO `lang_definitions` VALUES (89439, 4693, 23, 'makattan');
INSERT INTO `lang_definitions` VALUES (89440, 4694, 23, 'Yüzde');
INSERT INTO `lang_definitions` VALUES (89441, 4697, 23, 'persentil');
INSERT INTO `lang_definitions` VALUES (89442, 4698, 23, 'Sağda perfore');
INSERT INTO `lang_definitions` VALUES (89443, 4699, 23, 'Aramayı Başlat');
INSERT INTO `lang_definitions` VALUES (89444, 4700, 23, 'Bu eylemi uygula');
INSERT INTO `lang_definitions` VALUES (89445, 4703, 23, 'Anlaşmalı Laboratuvar Tesisi');
INSERT INTO `lang_definitions` VALUES (89446, 4705, 23, 'Dönem');
INSERT INTO `lang_definitions` VALUES (89447, 4706, 23, 'Bir kullanıcının miadı dolmuş bir şifre ile giriş yapabileceği gün olarak dönem.');
INSERT INTO `lang_definitions` VALUES (89448, 4708, 23, 'Çevresel');
INSERT INTO `lang_definitions` VALUES (89449, 4712, 23, 'Kişi');
INSERT INTO `lang_definitions` VALUES (89450, 4714, 23, 'PG');
INSERT INTO `lang_definitions` VALUES (89451, 4715, 23, 'Ecza');
INSERT INTO `lang_definitions` VALUES (89452, 4717, 23, 'Eczaneler');
INSERT INTO `lang_definitions` VALUES (89453, 4718, 23, 'Eczane');
INSERT INTO `lang_definitions` VALUES (89454, 4719, 23, 'Eczane Dispanseri');
INSERT INTO `lang_definitions` VALUES (89455, 4720, 23, 'Pnömotoraks');
INSERT INTO `lang_definitions` VALUES (89456, 4729, 23, 'Telefon');
INSERT INTO `lang_definitions` VALUES (89457, 4730, 23, 'Telefon Rehberi');
INSERT INTO `lang_definitions` VALUES (89458, 4738, 23, 'Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (89459, 4740, 23, 'Fotofobi');
INSERT INTO `lang_definitions` VALUES (89460, 4741, 23, 'Fotoğraflar');
INSERT INTO `lang_definitions` VALUES (89461, 4742, 23, 'Sıkıştırılmış PHP');
INSERT INTO `lang_definitions` VALUES (89462, 4744, 23, 'Ayıklanmış PHP');
INSERT INTO `lang_definitions` VALUES (89463, 4745, 23, 'php-GACL erişim kontrolleri kapatıldı');
INSERT INTO `lang_definitions` VALUES (89464, 4746, 23, 'php-GACL kurulu değil');
INSERT INTO `lang_definitions` VALUES (89465, 4747, 23, 'Fizik Muayene');
INSERT INTO `lang_definitions` VALUES (89466, 4749, 23, 'Doktor İstemi');
INSERT INTO `lang_definitions` VALUES (89467, 4750, 23, 'Doktor İmzası');
INSERT INTO `lang_definitions` VALUES (89468, 4752, 23, 'Doktorlar');
INSERT INTO `lang_definitions` VALUES (89469, 4753, 23, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (89470, 4755, 23, 'bir CSS teması seçiniz');
INSERT INTO `lang_definitions` VALUES (89471, 4756, 23, 'PID');
INSERT INTO `lang_definitions` VALUES (89472, 4757, 23, 'PID ( Pelvik Enflamatuvar Hastalık)');
INSERT INTO `lang_definitions` VALUES (89473, 4758, 23, 'Hap Büyüklüğü');
INSERT INTO `lang_definitions` VALUES (89474, 4759, 23, 'Haplar');
INSERT INTO `lang_definitions` VALUES (89475, 4765, 23, 'Yer tutucu');
INSERT INTO `lang_definitions` VALUES (89476, 4766, 23, 'Yer tutucu (Boş ACL leri sürdürür)');
INSERT INTO `lang_definitions` VALUES (89477, 4767, 23, 'Düz Metin');
INSERT INTO `lang_definitions` VALUES (89478, 4768, 23, 'Plan');
INSERT INTO `lang_definitions` VALUES (89479, 4771, 23, 'Plan İsmi');
INSERT INTO `lang_definitions` VALUES (89480, 4779, 23, 'Plan:');
INSERT INTO `lang_definitions` VALUES (89481, 4784, 23, 'Oyuncu');
INSERT INTO `lang_definitions` VALUES (89482, 4785, 23, 'Oyun Pozisyonu');
INSERT INTO `lang_definitions` VALUES (89483, 4786, 23, 'Yukarıdaki bilgilerin bir kısmı dahi yanlış ise lütfen arayın.');
INSERT INTO `lang_definitions` VALUES (89484, 4787, 23, 'Lütfen şifrenizi değiştiriniz.');
INSERT INTO `lang_definitions` VALUES (89485, 4788, 23, 'Lütfen bir dosya Seçiniz.');
INSERT INTO `lang_definitions` VALUES (89486, 4789, 23, 'Lütfen bir hasta seçiniz');
INSERT INTO `lang_definitions` VALUES (89487, 4790, 23, 'Lütfen listeden geçerli bir bölüm seçiniz');
INSERT INTO `lang_definitions` VALUES (89488, 4791, 23, 'Lütfen geçerli bir bölüm seçiniz');
INSERT INTO `lang_definitions` VALUES (89489, 4792, 23, 'Lütfen bir değer seçiniz:');
INSERT INTO `lang_definitions` VALUES (89490, 4793, 23, 'Lütfen yukarıdaki vade süresi kriterlerini seçiniz ve sonuçları görmek için tazeleyi tıklayınız');
INSERT INTO `lang_definitions` VALUES (89491, 4794, 23, 'Lütfen Uygun Formatlı EDI-271 dosyasını seçiniz');
INSERT INTO `lang_definitions` VALUES (89492, 4795, 23, 'Lütfen kimliği gizlenmiş verileri indirmek için indir düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (89493, 4796, 23, 'Lütfen yeniden kimliklendirilmiş verileri indirmek için indir düğmesini tıklayınız');
INSERT INTO `lang_definitions` VALUES (89494, 4797, 23, 'Lütfen bu pencereyi kapatınız.');
INSERT INTO `lang_definitions` VALUES (89495, 4798, 23, 'Lütfen yeni ismi karşılaştırınız');
INSERT INTO `lang_definitions` VALUES (89496, 4802, 23, 'Lütfen eğer faks ile gelmemiş ise bu reçeteyi kabul etmeyiniz.');
INSERT INTO `lang_definitions` VALUES (89497, 4803, 23, 'Lütfen eğer faks ile gelmemiş ise bu reçeteyi kabul etmeyiniz.');
INSERT INTO `lang_definitions` VALUES (89498, 4804, 23, '10 dakikadan daha fazla geçmemiş ise lütfen tarayıcınızın dur veya yeniden yükle düğmesini kullanMAYINIZ, bu sunucuda işlemin durmasına yol açmaz ve gereksiz kaynak tüketir.');
INSERT INTO `lang_definitions` VALUES (89499, 4809, 23, 'Lütfen Son Gözden Geçirildi için bir tarih giriniz.');
INSERT INTO `lang_definitions` VALUES (89500, 4813, 23, 'Lütfen sadece rakamlar ve bir ondalık noktası ile parasal bir miktar giriniz.');
INSERT INTO `lang_definitions` VALUES (89501, 4815, 23, 'Lütfen bir başlık giriniz!');
INSERT INTO `lang_definitions` VALUES (89502, 4819, 23, 'Lütfen doğru Yeniden Kimliklendirme kodu giriniz');
INSERT INTO `lang_definitions` VALUES (89503, 4821, 23, 'Lütfen yeni arama dizisi giriniz');
INSERT INTO `lang_definitions` VALUES (89504, 4822, 23, 'Lütfen doğru Yeniden Kimliklendirme kodu giriniz');
INSERT INTO `lang_definitions` VALUES (89505, 4823, 23, 'Lütfen şifreyi giriniz');
INSERT INTO `lang_definitions` VALUES (89506, 4824, 23, 'Lütfen Çek Numarasını Doldurunuz');
INSERT INTO `lang_definitions` VALUES (89507, 4826, 23, 'Lütfen Tarihi Doldurunuz');
INSERT INTO `lang_definitions` VALUES (89508, 4827, 23, 'Lütfen Ödeme Miktarını Doldurunuz');
INSERT INTO `lang_definitions` VALUES (89509, 4828, 23, 'Lütfen Ödeme Kategorisini Doldurunuz');
INSERT INTO `lang_definitions` VALUES (89510, 4829, 23, 'Lütfen Ödemeyi Yapanı Doldurunuz');
INSERT INTO `lang_definitions` VALUES (89511, 4830, 23, 'Lütfen Tarihe Kadar Gönderi Doldurunuz.');
INSERT INTO `lang_definitions` VALUES (89512, 4831, 23, 'Lütfen devam etmeden önce onları doldurunuz.');
INSERT INTO `lang_definitions` VALUES (89513, 4834, 23, 'Lütfen yukarıya arama kriterlerini giriniz, ve sonuçları görmek için Gönder i tıklayınız');
INSERT INTO `lang_definitions` VALUES (89514, 4837, 23, 'Lütfen bunun birkaç dakikaya kadar uzun bir süre alabileceğini göz önüne alınız, bu süre boyunca tarayıcınız çok aktif görünmeyebilir, fakat bir faturanın oluşturulması karmaşık bir işlemdir ve tarayıcınız sadece daha fazla veri beklemektedir.');
INSERT INTO `lang_definitions` VALUES (89515, 4838, 23, 'Lütfen Dikkat: Sabitler büyük ve küçük harfe duyarlıdır herhangi bir dizi olabilir');
INSERT INTO `lang_definitions` VALUES (89516, 4839, 23, 'Lütfen sadece alfabedeki karakterleri kullanınız');
INSERT INTO `lang_definitions` VALUES (89517, 4840, 23, 'Lütfen sadece alfabedeki karakterleri boşluk bırakmadan kullanınız');
INSERT INTO `lang_definitions` VALUES (89518, 4841, 23, 'Lütfen bu miktarı ödeyiniz');
INSERT INTO `lang_definitions` VALUES (89519, 4843, 23, 'Lütfen bakın:');
INSERT INTO `lang_definitions` VALUES (89520, 4844, 23, 'Lütfen şifreyi sıfırlayınız.');
INSERT INTO `lang_definitions` VALUES (89521, 4845, 23, 'Kimliksizleştirmeyi çalıştırmadan önce lütfen apache sunucusunu tekrar çalıştırınız');
INSERT INTO `lang_definitions` VALUES (89522, 4849, 23, 'Lütfen bir dil seçiniz');
INSERT INTO `lang_definitions` VALUES (89523, 4850, 23, 'Lütfen bir Hasta Seçiniz');
INSERT INTO `lang_definitions` VALUES (89524, 4858, 23, 'Lütfen kod için bir düzeltme sebebi seçiniz ');
INSERT INTO `lang_definitions` VALUES (89525, 4859, 23, 'Lütfen bir olay seçiniz');
INSERT INTO `lang_definitions` VALUES (89526, 4860, 23, 'Lütfen herhangi bir Arama Opsiyonu seçiniz');
INSERT INTO `lang_definitions` VALUES (89527, 4863, 23, 'Lütfen en az bir reçete seçiniz!');
INSERT INTO `lang_definitions` VALUES (89528, 4865, 23, 'Lütfen kopyalamak veya iletilmek istenen sayfaları seçiniz');
INSERT INTO `lang_definitions` VALUES (89529, 4866, 23, 'Lütfen Ödeme Yöntemini Seçiniz');
INSERT INTO `lang_definitions` VALUES (89530, 4869, 23, 'Lütfen 270 yığın dosyası oluşturmak için gerekli X12 partnerini seçiniz');
INSERT INTO `lang_definitions` VALUES (89531, 4870, 23, 'Lütfen ayarlayınız');
INSERT INTO `lang_definitions` VALUES (89532, 4871, 23, 'Lütfen de_identification_config değişkenini tekrar 0 a ayarlayınız');
INSERT INTO `lang_definitions` VALUES (89533, 4873, 23, 'Lütfen yeni kimlik gizleme işlemi başlatınız');
INSERT INTO `lang_definitions` VALUES (89534, 4874, 23, 'Lütfen LibreEHR Veri tabanını kimlik gizleme işlemleri, fonksiyonları, tablolarını içerecek şekilde güncelleyiniz');
INSERT INTO `lang_definitions` VALUES (89535, 4875, 23, 'Lütfen daha fazla ayrıntı için kimlik gizleme günlük hata kaydına bakınız');
INSERT INTO `lang_definitions` VALUES (89536, 4876, 23, 'Bir süre sonra lütfen kimlik gizleme ekranını ziyaret ediniz');
INSERT INTO `lang_definitions` VALUES (89537, 4877, 23, 'Bir süre sonra lütfen kimlik gösterme ekranını ziyaret ediniz');
INSERT INTO `lang_definitions` VALUES (89538, 4878, 23, 'Bir süre sonra lütfen ekranı ziyaret ediniz');
INSERT INTO `lang_definitions` VALUES (89539, 4882, 23, 'ÖS');
INSERT INTO `lang_definitions` VALUES (89540, 4884, 23, 'Pmt Yöntemi');
INSERT INTO `lang_definitions` VALUES (89541, 4885, 23, 'PND');
INSERT INTO `lang_definitions` VALUES (89542, 4886, 23, 'Pnömokokal Konjugat 1');
INSERT INTO `lang_definitions` VALUES (89543, 4887, 23, 'Pnömokokal Konjugat 2');
INSERT INTO `lang_definitions` VALUES (89544, 4888, 23, 'Pnömokokal Konjugat 3');
INSERT INTO `lang_definitions` VALUES (89545, 4889, 23, 'Pnömokokal Konjugat 4');
INSERT INTO `lang_definitions` VALUES (89546, 4891, 23, 'Pnömoni Aşısı');
INSERT INTO `lang_definitions` VALUES (89547, 4896, 23, 'Hizmet Noktası (POS)');
INSERT INTO `lang_definitions` VALUES (89548, 4897, 23, 'Politika');
INSERT INTO `lang_definitions` VALUES (89549, 4898, 23, 'Poliçe No');
INSERT INTO `lang_definitions` VALUES (89550, 4899, 23, 'Poliçe Numarası');
INSERT INTO `lang_definitions` VALUES (89551, 4900, 23, 'Lehçe');
INSERT INTO `lang_definitions` VALUES (89552, 4901, 23, 'Polidipsi');
INSERT INTO `lang_definitions` VALUES (89553, 4902, 23, 'Polipler');
INSERT INTO `lang_definitions` VALUES (89554, 4903, 23, 'Poliüri');
INSERT INTO `lang_definitions` VALUES (89555, 4904, 23, 'İştahsızlık');
INSERT INTO `lang_definitions` VALUES (89556, 4905, 23, 'Dolaşım bozukluğu');
INSERT INTO `lang_definitions` VALUES (89557, 4906, 23, 'İşitme bozukluğu');
INSERT INTO `lang_definitions` VALUES (89558, 4908, 23, 'Yıl görünüşü olaylarla doldurulsun mu?');
INSERT INTO `lang_definitions` VALUES (89559, 4909, 23, 'Açılır');
INSERT INTO `lang_definitions` VALUES (89560, 4917, 23, 'Portekizce');
INSERT INTO `lang_definitions` VALUES (89561, 4918, 23, 'Portekizce (Brezilya)');
INSERT INTO `lang_definitions` VALUES (89562, 4919, 23, 'Portekizce (Avrupa)');
INSERT INTO `lang_definitions` VALUES (89563, 4920, 23, 'POS Kodu');
INSERT INTO `lang_definitions` VALUES (89564, 4922, 23, 'Pozitif');
INSERT INTO `lang_definitions` VALUES (89565, 4923, 23, 'Pozitifler');
INSERT INTO `lang_definitions` VALUES (89566, 4925, 23, 'Gönderilecek:');
INSERT INTO `lang_definitions` VALUES (89567, 4926, 23, 'Geniz Akıntısı');
INSERT INTO `lang_definitions` VALUES (89568, 4927, 23, 'Ödemeleri Gönder');
INSERT INTO `lang_definitions` VALUES (89569, 4928, 23, 'Ameliyat sonrası');
INSERT INTO `lang_definitions` VALUES (89570, 4929, 23, 'Muhasebeye gönder ve faturalandırılmış olarak işaretle');
INSERT INTO `lang_definitions` VALUES (89571, 4930, 23, 'Tarihe kadar gönder');
INSERT INTO `lang_definitions` VALUES (89572, 4931, 23, 'Tarihe kadar gönder bugünden büyük olamaz');
INSERT INTO `lang_definitions` VALUES (89573, 4932, 23, 'Tarihe kadar gönder Mali Kapanış tarihinden sonra olmalı');
INSERT INTO `lang_definitions` VALUES (89574, 4933, 23, 'Düşük Sonrası Bakım');
INSERT INTO `lang_definitions` VALUES (89575, 4934, 23, 'Düşük Sonrası Kontrasepsiyon');
INSERT INTO `lang_definitions` VALUES (89576, 4935, 23, 'Düşük Sonrası Danışma');
INSERT INTO `lang_definitions` VALUES (89577, 4936, 23, 'Düşük Sonrası İzlem');
INSERT INTO `lang_definitions` VALUES (89578, 4937, 23, 'Posta');
INSERT INTO `lang_definitions` VALUES (89579, 4938, 23, 'Posta Kodu');
INSERT INTO `lang_definitions` VALUES (89580, 4939, 23, 'Posta kodu');
INSERT INTO `lang_definitions` VALUES (89581, 4941, 23, 'Takvim Modülü');
INSERT INTO `lang_definitions` VALUES (89582, 4942, 23, 'Takvim Modülü Yönetimi');
INSERT INTO `lang_definitions` VALUES (89583, 4943, 23, 'Takvim Modülü Kategori Ayarları');
INSERT INTO `lang_definitions` VALUES (89584, 4944, 23, 'Takvim modülü global ayarları');
INSERT INTO `lang_definitions` VALUES (89585, 4945, 23, 'Tarihinde gönderildi');
INSERT INTO `lang_definitions` VALUES (89586, 4946, 23, 'Gönderilme Tarihi');
INSERT INTO `lang_definitions` VALUES (89587, 4949, 23, 'PPE + Önceki Medikal/Cerrahi Öykü');
INSERT INTO `lang_definitions` VALUES (89588, 4953, 23, 'Uygulama');
INSERT INTO `lang_definitions` VALUES (89589, 4955, 23, 'Uygulama Koşulları');
INSERT INTO `lang_definitions` VALUES (89590, 4956, 23, 'Uygulayıcı');
INSERT INTO `lang_definitions` VALUES (89591, 4959, 23, 'Ön Ödeme');
INSERT INTO `lang_definitions` VALUES (89592, 4960, 23, 'Düşük-Öncesi Konsültasyon');
INSERT INTO `lang_definitions` VALUES (89593, 4961, 23, 'Düşük Öncesi Danışma');
INSERT INTO `lang_definitions` VALUES (89594, 4962, 23, 'Seç Kat');
INSERT INTO `lang_definitions` VALUES (89595, 4964, 23, 'Tercihler');
INSERT INTO `lang_definitions` VALUES (89596, 4965, 23, 'Seçilen Olay Kategorisi');
INSERT INTO `lang_definitions` VALUES (89597, 4966, 23, 'Seçilen Dil');
INSERT INTO `lang_definitions` VALUES (89598, 4967, 23, 'Seçilen Eczane');
INSERT INTO `lang_definitions` VALUES (89599, 4968, 23, 'Seçilen Sağlayıcı Örgüt');
INSERT INTO `lang_definitions` VALUES (89600, 4969, 23, 'Gebelik Testi');
INSERT INTO `lang_definitions` VALUES (89601, 4970, 23, 'İlk');
INSERT INTO `lang_definitions` VALUES (89602, 4972, 23, 'Ön Ödeme');
INSERT INTO `lang_definitions` VALUES (89603, 4973, 23, 'Reçete');
INSERT INTO `lang_definitions` VALUES (89604, 4974, 23, 'reçete limitine ulaştı:');
INSERT INTO `lang_definitions` VALUES (89605, 4977, 23, 'Reçete Etiketi');
INSERT INTO `lang_definitions` VALUES (89606, 4978, 23, 'Reçete Raporu');
INSERT INTO `lang_definitions` VALUES (89607, 4979, 23, 'Reçeteler');
INSERT INTO `lang_definitions` VALUES (89608, 4980, 23, 'Reçeteler ve Dağıtımlar');
INSERT INTO `lang_definitions` VALUES (89609, 4981, 23, 'Reçeteler ve diğer sevkler');
INSERT INTO `lang_definitions` VALUES (89610, 4982, 23, 'Reçeteler ve/veya uzmanın sevkleri');
INSERT INTO `lang_definitions` VALUES (89611, 4983, 23, 'Reçeteler Raporu');
INSERT INTO `lang_definitions` VALUES (89612, 4984, 23, 'Reçeteler/Sevkler');
INSERT INTO `lang_definitions` VALUES (89613, 4985, 23, 'Mevcut');
INSERT INTO `lang_definitions` VALUES (89614, 4986, 23, 'Başvuru Yakınması');
INSERT INTO `lang_definitions` VALUES (89615, 4988, 23, 'İlerlemek için Devam ı Tıklayınız.');
INSERT INTO `lang_definitions` VALUES (89616, 4989, 23, 'Tahmini Tanı');
INSERT INTO `lang_definitions` VALUES (89617, 4990, 23, 'Uzmanın Tahmini Tanısı');
INSERT INTO `lang_definitions` VALUES (89618, 4991, 23, 'Önceki');
INSERT INTO `lang_definitions` VALUES (89619, 4992, 23, 'Önceki Tıb/Cer Öyk');
INSERT INTO `lang_definitions` VALUES (89620, 4993, 23, 'Önc. ay (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (89621, 4994, 23, 'Önc. yıl (menü için basılı tutun)');
INSERT INTO `lang_definitions` VALUES (89622, 4998, 23, 'Olay Ön İzleme');
INSERT INTO `lang_definitions` VALUES (89623, 5001, 23, 'Önceki');
INSERT INTO `lang_definitions` VALUES (89624, 5002, 23, 'Önceki Konsültasyonlar');
INSERT INTO `lang_definitions` VALUES (89625, 5003, 23, 'Önceki Gün');
INSERT INTO `lang_definitions` VALUES (89626, 5004, 23, 'Önceki Öykü/Tarama');
INSERT INTO `lang_definitions` VALUES (89627, 5005, 23, 'Önceki Ay');
INSERT INTO `lang_definitions` VALUES (89628, 5006, 23, 'Önceki Hafta');
INSERT INTO `lang_definitions` VALUES (89629, 5007, 23, 'Fiyat');
INSERT INTO `lang_definitions` VALUES (89630, 5008, 23, 'Fiyatta İskonto');
INSERT INTO `lang_definitions` VALUES (89631, 5009, 23, 'Fiyat Seviyesi');
INSERT INTO `lang_definitions` VALUES (89632, 5010, 23, 'Fiyat Seviyesi:');
INSERT INTO `lang_definitions` VALUES (89633, 5011, 23, 'Fiyatlar');
INSERT INTO `lang_definitions` VALUES (89634, 5012, 23, 'Birinci');
INSERT INTO `lang_definitions` VALUES (89635, 5022, 23, 'Birinci Sig');
INSERT INTO `lang_definitions` VALUES (89636, 5023, 23, 'Birinci Sigorta');
INSERT INTO `lang_definitions` VALUES (89637, 5024, 23, 'Birinci Sigorta Verileri');
INSERT INTO `lang_definitions` VALUES (89638, 5025, 23, 'Birinci Sigorta Sağlayıcısı');
INSERT INTO `lang_definitions` VALUES (89639, 5026, 23, 'Birinci Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (89640, 5027, 23, 'Yazdır');
INSERT INTO `lang_definitions` VALUES (89641, 5028, 23, 'Yazdır (HTML)');
INSERT INTO `lang_definitions` VALUES (89642, 5029, 23, 'Yazdır (PDF)');
INSERT INTO `lang_definitions` VALUES (89643, 5031, 23, 'Yazdır Herhangi bir Görüşme');
INSERT INTO `lang_definitions` VALUES (89644, 5032, 23, 'Boş Sevk Formu Yazdır');
INSERT INTO `lang_definitions` VALUES (89645, 5033, 23, 'Yazdır Komutu');
INSERT INTO `lang_definitions` VALUES (89646, 5039, 23, 'Yazdır Formatı');
INSERT INTO `lang_definitions` VALUES (89647, 5040, 23, 'Dört Panelli Yazdır');
INSERT INTO `lang_definitions` VALUES (89648, 5042, 23, 'Yazdır Mesajı');
INSERT INTO `lang_definitions` VALUES (89649, 5043, 23, 'Çoklu Yazdır');
INSERT INTO `lang_definitions` VALUES (89650, 5044, 23, 'Faksa Çoklu Yazdır');
INSERT INTO `lang_definitions` VALUES (89651, 5045, 23, 'İsim İmza ve Tarih yazdır.');
INSERT INTO `lang_definitions` VALUES (89652, 5046, 23, 'Yazdırma Notları');
INSERT INTO `lang_definitions` VALUES (89653, 5047, 23, 'Sayfa 1 Yazdır');
INSERT INTO `lang_definitions` VALUES (89654, 5048, 23, 'Sayfa 2 Yazdır');
INSERT INTO `lang_definitions` VALUES (89655, 5052, 23, 'Yazdırma Kaydı');
INSERT INTO `lang_definitions` VALUES (89656, 5053, 23, 'Seçili Bilançoları Yazdır');
INSERT INTO `lang_definitions` VALUES (89657, 5054, 23, 'Aşı Kayıt Tutanağını Yazdır');
INSERT INTO `lang_definitions` VALUES (89658, 5056, 23, 'Bu Görüşmeyi Yazdır');
INSERT INTO `lang_definitions` VALUES (89659, 5057, 23, 'Bu notu yazdır');
INSERT INTO `lang_definitions` VALUES (89660, 5058, 23, 'Bu Notu Yazdır');
INSERT INTO `lang_definitions` VALUES (89661, 5060, 23, 'Faksa Yazdır');
INSERT INTO `lang_definitions` VALUES (89662, 5061, 23, 'Yazdırma Görünüşü');
INSERT INTO `lang_definitions` VALUES (89663, 5062, 23, 'yazdırılabilir');
INSERT INTO `lang_definitions` VALUES (89664, 5063, 23, 'Yazdırılabilir Sürüm');
INSERT INTO `lang_definitions` VALUES (89665, 5064, 23, 'Yazılmış');
INSERT INTO `lang_definitions` VALUES (89666, 5066, 23, 'Yazdırma sonuçları:');
INSERT INTO `lang_definitions` VALUES (89667, 5067, 23, 'Yazdırma atlandı; test çıktısı');
INSERT INTO `lang_definitions` VALUES (89668, 5068, 23, 'Yazdırma atlandı; test çıktısı: ');
INSERT INTO `lang_definitions` VALUES (89669, 5069, 23, 'Önc Yetk');
INSERT INTO `lang_definitions` VALUES (89670, 5070, 23, 'Önce Yetkilendirme Formu');
INSERT INTO `lang_definitions` VALUES (89671, 5072, 23, 'Öncelik');
INSERT INTO `lang_definitions` VALUES (89672, 5073, 23, 'Öncelik ');
INSERT INTO `lang_definitions` VALUES (89673, 5074, 23, 'Özel');
INSERT INTO `lang_definitions` VALUES (89674, 5075, 23, 'Sorun');
INSERT INTO `lang_definitions` VALUES (89675, 5076, 23, 'Problem Tanısı');
INSERT INTO `lang_definitions` VALUES (89676, 5077, 23, 'Sorun Listesi');
INSERT INTO `lang_definitions` VALUES (89677, 5079, 23, 'Sorunlar/Konular');
INSERT INTO `lang_definitions` VALUES (89678, 5080, 23, 'İşl Yğn');
INSERT INTO `lang_definitions` VALUES (89679, 5081, 23, 'İşl Kat');
INSERT INTO `lang_definitions` VALUES (89680, 5083, 23, 'Bekleyen İşl Gör');
INSERT INTO `lang_definitions` VALUES (89681, 5085, 23, 'İşl Arş');
INSERT INTO `lang_definitions` VALUES (89682, 5086, 23, 'İşlem');
INSERT INTO `lang_definitions` VALUES (89683, 5087, 23, 'İşlem Gövde Siteleri');
INSERT INTO `lang_definitions` VALUES (89684, 5088, 23, 'İşlem Mantık Sonuçları');
INSERT INTO `lang_definitions` VALUES (89685, 5089, 23, 'İşlem Kodu');
INSERT INTO `lang_definitions` VALUES (89686, 5091, 23, 'İşlem Lateralizasyonları');
INSERT INTO `lang_definitions` VALUES (89687, 5093, 23, 'İşlem Sırası');
INSERT INTO `lang_definitions` VALUES (89688, 5095, 23, 'İşlem Sırası Yapılacak');
INSERT INTO `lang_definitions` VALUES (89689, 5102, 23, 'İşlem Raporu');
INSERT INTO `lang_definitions` VALUES (89690, 5103, 23, 'İşlem Rapor Durumları');
INSERT INTO `lang_definitions` VALUES (89691, 5104, 23, 'İşlem Sonucu Anormal');
INSERT INTO `lang_definitions` VALUES (89692, 5105, 23, 'İşlem Sonuç Durumları');
INSERT INTO `lang_definitions` VALUES (89693, 5106, 23, 'İşlem Sonuçları');
INSERT INTO `lang_definitions` VALUES (89694, 5107, 23, 'İşlem Yolları');
INSERT INTO `lang_definitions` VALUES (89695, 5108, 23, 'İşlem Numune Tipleri');
INSERT INTO `lang_definitions` VALUES (89696, 5109, 23, 'İşlem İstatistik Raporu');
INSERT INTO `lang_definitions` VALUES (89697, 5110, 23, 'İşlem Tipi');
INSERT INTO `lang_definitions` VALUES (89698, 5111, 23, 'İşlem Tipleri');
INSERT INTO `lang_definitions` VALUES (89699, 5112, 23, 'İşlem Birimleri');
INSERT INTO `lang_definitions` VALUES (89700, 5114, 23, 'İşlemler');
INSERT INTO `lang_definitions` VALUES (89701, 5115, 23, 'İşlem');
INSERT INTO `lang_definitions` VALUES (89702, 5117, 23, 'İşlem ERA Dosyası');
INSERT INTO `lang_definitions` VALUES (89703, 5125, 23, 'İşleniyor');
INSERT INTO `lang_definitions` VALUES (89704, 5129, 23, 'Ürün');
INSERT INTO `lang_definitions` VALUES (89705, 5130, 23, 'Ürün Doğum Kontrol Yöntemi');
INSERT INTO `lang_definitions` VALUES (89706, 5132, 23, 'Ürünler');
INSERT INTO `lang_definitions` VALUES (89707, 5133, 23, 'Şablonlar ve reçeteli ilaçlar dışında Ürünler');
INSERT INTO `lang_definitions` VALUES (89708, 5134, 23, 'Prof.');
INSERT INTO `lang_definitions` VALUES (89709, 5135, 23, 'Progres Notları');
INSERT INTO `lang_definitions` VALUES (89710, 5136, 23, 'Prostat Kanseri');
INSERT INTO `lang_definitions` VALUES (89711, 5138, 23, 'Prostat Muayenesi');
INSERT INTO `lang_definitions` VALUES (89712, 5139, 23, 'Prostat Sorunları');
INSERT INTO `lang_definitions` VALUES (89713, 5140, 23, 'Prostatta büyüme, nodul, hassasiyet yok.');
INSERT INTO `lang_definitions` VALUES (89714, 5142, 23, 'Tam yolu yazınız');
INSERT INTO `lang_definitions` VALUES (89715, 5143, 23, 'Dosyanın tam yolunu yazınız');
INSERT INTO `lang_definitions` VALUES (89716, 5149, 23, 'Geçerli Eposta adresi yazınız');
INSERT INTO `lang_definitions` VALUES (89717, 5152, 23, 'Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (89718, 5156, 23, 'Sağlayıcı eşleşme hataları');
INSERT INTO `lang_definitions` VALUES (89719, 5159, 23, 'Sağlayıcı Numarası');
INSERT INTO `lang_definitions` VALUES (89720, 5162, 23, 'Sağlayıcı:');
INSERT INTO `lang_definitions` VALUES (89721, 5163, 23, 'Sağlayıcılar:');
INSERT INTO `lang_definitions` VALUES (89722, 5164, 23, 'Sağlayıcılar NPI');
INSERT INTO `lang_definitions` VALUES (89723, 5165, 23, 'Sağlayıcılar Tüm Takvimi Görür');
INSERT INTO `lang_definitions` VALUES (89724, 5166, 23, 'Önc');
INSERT INTO `lang_definitions` VALUES (89725, 5167, 23, 'PSA');
INSERT INTO `lang_definitions` VALUES (89726, 5168, 23, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (89727, 5169, 23, 'Psik. Tanı');
INSERT INTO `lang_definitions` VALUES (89728, 5170, 23, 'Psik İlaç');
INSERT INTO `lang_definitions` VALUES (89729, 5171, 23, 'Psikiyatrik');
INSERT INTO `lang_definitions` VALUES (89730, 5172, 23, 'Psikiyatrik Özet Mektup');
INSERT INTO `lang_definitions` VALUES (89731, 5173, 23, 'Psikiyatrik Tanı');
INSERT INTO `lang_definitions` VALUES (89732, 5174, 23, 'Psikiyatrik Muayene');
INSERT INTO `lang_definitions` VALUES (89733, 5175, 23, 'Psikiyatrik Öykü');
INSERT INTO `lang_definitions` VALUES (89734, 5176, 23, 'Psikiyatrik Kullanımı');
INSERT INTO `lang_definitions` VALUES (89735, 5177, 23, 'Psikiyatrik İlaç');
INSERT INTO `lang_definitions` VALUES (89736, 5178, 23, '% Hs');
INSERT INTO `lang_definitions` VALUES (89737, 5179, 23, 'Hs Notları');
INSERT INTO `lang_definitions` VALUES (89738, 5180, 23, 'Hs Notları/Ytk');
INSERT INTO `lang_definitions` VALUES (89739, 5181, 23, 'Hs fazla ödedi');
INSERT INTO `lang_definitions` VALUES (89740, 5182, 23, 'Hs Ödedi');
INSERT INTO `lang_definitions` VALUES (89741, 5184, 23, 'Hs geri ödeme');
INSERT INTO `lang_definitions` VALUES (89742, 5185, 23, 'Hs bırakıldı');
INSERT INTO `lang_definitions` VALUES (89743, 5186, 23, 'Hs Raporu');
INSERT INTO `lang_definitions` VALUES (89744, 5187, 23, 'HS ÖĞRENCİ veya boş bıralın');
INSERT INTO `lang_definitions` VALUES (89745, 5188, 23, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (89746, 5189, 23, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (89747, 5191, 23, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (89748, 5192, 23, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (89749, 5193, 23, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (89750, 5196, 23, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (89751, 5198, 23, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (89752, 5199, 23, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (89753, 5201, 23, 'Kamu');
INSERT INTO `lang_definitions` VALUES (89754, 5204, 23, 'Porto Rikolu');
INSERT INTO `lang_definitions` VALUES (89755, 5205, 23, 'Akciğer');
INSERT INTO `lang_definitions` VALUES (89756, 5206, 23, 'Nabız');
INSERT INTO `lang_definitions` VALUES (89757, 5207, 23, 'Pencaplı');
INSERT INTO `lang_definitions` VALUES (89758, 5208, 23, 'Satın Alma');
INSERT INTO `lang_definitions` VALUES (89759, 5209, 23, 'Satın alma/iade');
INSERT INTO `lang_definitions` VALUES (89760, 5210, 23, 'Satın Almalar');
INSERT INTO `lang_definitions` VALUES (89761, 5213, 23, 'her 3 saatte bir');
INSERT INTO `lang_definitions` VALUES (89762, 5214, 23, 'her 4 saatte bir');
INSERT INTO `lang_definitions` VALUES (89763, 5215, 23, 'her 5 saatte bir');
INSERT INTO `lang_definitions` VALUES (89764, 5216, 23, 'her 6 saatte bir');
INSERT INTO `lang_definitions` VALUES (89765, 5217, 23, 'her 8 saatte bir');
INSERT INTO `lang_definitions` VALUES (89766, 5218, 23, 'her gün');
INSERT INTO `lang_definitions` VALUES (89767, 5219, 23, 'günde 4 kez');
INSERT INTO `lang_definitions` VALUES (89768, 5220, 23, 'Eldeki Mevcut Miktar');
INSERT INTO `lang_definitions` VALUES (89769, 5221, 23, 'Eldeki Mevcut Miktar bir aylık kullanılandan az');
INSERT INTO `lang_definitions` VALUES (89770, 5222, 23, 'Miktar');
INSERT INTO `lang_definitions` VALUES (89771, 5223, 23, 'MİKTAR');
INSERT INTO `lang_definitions` VALUES (89772, 5224, 23, 'Kalite');
INSERT INTO `lang_definitions` VALUES (89773, 5226, 23, 'Miktar');
INSERT INTO `lang_definitions` VALUES (89774, 5227, 23, 'NDC için Miktar');
INSERT INTO `lang_definitions` VALUES (89775, 5228, 23, 'Eldeki Miktar');
INSERT INTO `lang_definitions` VALUES (89776, 5229, 23, 'miktar kullanılamaz görünüyor');
INSERT INTO `lang_definitions` VALUES (89777, 5232, 23, 'HCFA yığın işlemi için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (89778, 5233, 23, 'HCFA yığın işlemi ve yazdırma için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (89779, 5234, 23, 'UB-92 yığın işlemi için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (89780, 5235, 23, 'UB-92 yığın işlemi ve yazdırma yığın işlemi için kuyruğa at');
INSERT INTO `lang_definitions` VALUES (89781, 5236, 23, 'Kuyruğa atıldı');
INSERT INTO `lang_definitions` VALUES (89782, 5237, 23, 'Kuyruğa Atılmış Olaylar Yönetimi');
INSERT INTO `lang_definitions` VALUES (89783, 5238, 23, 'Kuyruğa atıldı:');
INSERT INTO `lang_definitions` VALUES (89784, 5240, 23, 'Kuyruğa Atılmış Sunular Yönetimi');
INSERT INTO `lang_definitions` VALUES (89785, 5241, 23, 'Çık');
INSERT INTO `lang_definitions` VALUES (89786, 5242, 23, 'Alkolü Bırakınız');
INSERT INTO `lang_definitions` VALUES (89787, 5243, 23, 'R');
INSERT INTO `lang_definitions` VALUES (89788, 5245, 23, 'Irk');
INSERT INTO `lang_definitions` VALUES (89789, 5246, 23, 'Irk ve Etnisite');
INSERT INTO `lang_definitions` VALUES (89790, 5247, 23, 'Irk/etnisite');
INSERT INTO `lang_definitions` VALUES (89791, 5248, 23, 'Radyo');
INSERT INTO `lang_definitions` VALUES (89792, 5249, 23, 'Radyo düğmeleri');
INSERT INTO `lang_definitions` VALUES (89793, 5251, 23, 'Erim');
INSERT INTO `lang_definitions` VALUES (89794, 5252, 23, 'Döküntüler');
INSERT INTO `lang_definitions` VALUES (89795, 5253, 23, 'Hız');
INSERT INTO `lang_definitions` VALUES (89796, 5254, 23, 'Oran');
INSERT INTO `lang_definitions` VALUES (89797, 5255, 23, 'Ham Rapor');
INSERT INTO `lang_definitions` VALUES (89798, 5256, 23, 'Yeniden Kimliklendirme');
INSERT INTO `lang_definitions` VALUES (89799, 5257, 23, 'Yeniden Kimliklendirme İşlemi tamamlandı');
INSERT INTO `lang_definitions` VALUES (89800, 5258, 23, 'Yeniden Kimliklendirme İşlemi sürüyor');
INSERT INTO `lang_definitions` VALUES (89801, 5259, 23, 'Yeniden Kimliklendirme dosyalarının kaydedileceği yer:');
INSERT INTO `lang_definitions` VALUES (89802, 5260, 23, 'Tekrar Yaralanma mı?');
INSERT INTO `lang_definitions` VALUES (89803, 5261, 23, 'Tekrar-Aç');
INSERT INTO `lang_definitions` VALUES (89804, 5262, 23, 'Tekrar-Açıldı');
INSERT INTO `lang_definitions` VALUES (89805, 5263, 23, 'Reaksiyon');
INSERT INTO `lang_definitions` VALUES (89806, 5264, 23, 'Tepkiler');
INSERT INTO `lang_definitions` VALUES (89807, 5265, 23, 'Oku');
INSERT INTO `lang_definitions` VALUES (89808, 5268, 23, 'Gerçek İsim');
INSERT INTO `lang_definitions` VALUES (89809, 5269, 23, 'Gerçekten sil');
INSERT INTO `lang_definitions` VALUES (89810, 5270, 23, 'Sebep');
INSERT INTO `lang_definitions` VALUES (89811, 5274, 23, 'Sevk Sebebi');
INSERT INTO `lang_definitions` VALUES (89812, 5275, 23, 'Vizit Sebebi');
INSERT INTO `lang_definitions` VALUES (89813, 5276, 23, 'Sebep/Form');
INSERT INTO `lang_definitions` VALUES (89814, 5277, 23, 'Makbuz');
INSERT INTO `lang_definitions` VALUES (89815, 5278, 23, 'Ödeme Makbuzu');
INSERT INTO `lang_definitions` VALUES (89816, 5279, 23, 'Makbuz Oluşturuldu');
INSERT INTO `lang_definitions` VALUES (89817, 5280, 23, 'Ödeme Metoduna Göre Makbuzlar Raporu');
INSERT INTO `lang_definitions` VALUES (89818, 5281, 23, 'Makbuzlar Özeti');
INSERT INTO `lang_definitions` VALUES (89819, 5282, 23, 'Alındı');
INSERT INTO `lang_definitions` VALUES (89820, 5283, 23, 'Alındı, Alan:');
INSERT INTO `lang_definitions` VALUES (89821, 5284, 23, 'Alınmış Fakslar');
INSERT INTO `lang_definitions` VALUES (89822, 5287, 23, 'Alıcı');
INSERT INTO `lang_definitions` VALUES (89823, 5288, 23, 'Alıcı ID');
INSERT INTO `lang_definitions` VALUES (89824, 5289, 23, 'Alıcı ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (89825, 5290, 23, 'Alıcı ID Niteleyici (ISA07)');
INSERT INTO `lang_definitions` VALUES (89826, 5292, 23, 'Son üç şifreye izin verilmemektedir.');
INSERT INTO `lang_definitions` VALUES (89827, 5293, 23, 'Alıcı');
INSERT INTO `lang_definitions` VALUES (89828, 5295, 23, 'Alıcı Adı');
INSERT INTO `lang_definitions` VALUES (89829, 5296, 23, 'Bilgilendirmenin Alıcısı');
INSERT INTO `lang_definitions` VALUES (89830, 5298, 23, 'Tavsiye');
INSERT INTO `lang_definitions` VALUES (89831, 5300, 23, 'Tavsiyeler');
INSERT INTO `lang_definitions` VALUES (89832, 5301, 23, 'Tavsiyeler ve tedavi');
INSERT INTO `lang_definitions` VALUES (89833, 5302, 23, 'Uzman tavsiyeleri');
INSERT INTO `lang_definitions` VALUES (89834, 5303, 23, 'Kayıt');
INSERT INTO `lang_definitions` VALUES (89835, 5312, 23, 'Kayıt Açıklama');
INSERT INTO `lang_definitions` VALUES (89836, 5313, 23, 'Sağlam Raporu');
INSERT INTO `lang_definitions` VALUES (89837, 5314, 23, 'Ödeme Tutanağı');
INSERT INTO `lang_definitions` VALUES (89838, 5318, 23, 'kayıt bulundu');
INSERT INTO `lang_definitions` VALUES (89839, 5319, 23, 'kayıtlar bulundu');
INSERT INTO `lang_definitions` VALUES (89840, 5320, 23, 'uyuşturucu kullanımı');
INSERT INTO `lang_definitions` VALUES (89841, 5321, 23, 'uyuşturucular');
INSERT INTO `lang_definitions` VALUES (89842, 5322, 23, 'Rektal');
INSERT INTO `lang_definitions` VALUES (89843, 5323, 23, 'Rektal Muayene');
INSERT INTO `lang_definitions` VALUES (89844, 5324, 23, 'makattan');
INSERT INTO `lang_definitions` VALUES (89845, 5326, 23, 'Kızarıklık');
INSERT INTO `lang_definitions` VALUES (89846, 5327, 23, 'azalmış:');
INSERT INTO `lang_definitions` VALUES (89847, 5328, 23, 'Sevk');
INSERT INTO `lang_definitions` VALUES (89848, 5329, 23, 'Sevk Aracı');
INSERT INTO `lang_definitions` VALUES (89849, 5330, 23, 'Sevk Tarihi');
INSERT INTO `lang_definitions` VALUES (89850, 5331, 23, 'Kendisine Sevk Edilen:');
INSERT INTO `lang_definitions` VALUES (89851, 5332, 23, 'Sevk sınıflandırması (risk düzeyi)');
INSERT INTO `lang_definitions` VALUES (89852, 5333, 23, 'Sonuçların Referans aralığı');
INSERT INTO `lang_definitions` VALUES (89853, 5334, 23, 'Sevk Sebebi');
INSERT INTO `lang_definitions` VALUES (89854, 5336, 23, 'Sevk edenin adı ve imzası');
INSERT INTO `lang_definitions` VALUES (89855, 5337, 23, 'Sevk');
INSERT INTO `lang_definitions` VALUES (89856, 5338, 23, 'Sevk Eden');
INSERT INTO `lang_definitions` VALUES (89857, 5339, 23, 'Sevk Kartı');
INSERT INTO `lang_definitions` VALUES (89858, 5340, 23, 'Sevk Tarihi');
INSERT INTO `lang_definitions` VALUES (89859, 5341, 23, 'Sevk Formu');
INSERT INTO `lang_definitions` VALUES (89860, 5342, 23, 'SEVK FORMU');
INSERT INTO `lang_definitions` VALUES (89861, 5345, 23, 'Sevk Kaynağı');
INSERT INTO `lang_definitions` VALUES (89862, 5346, 23, 'Vizitler için sevk kaynağı');
INSERT INTO `lang_definitions` VALUES (89863, 5347, 23, 'Kendisine Sevk Edilen');
INSERT INTO `lang_definitions` VALUES (89864, 5348, 23, 'Sevkler');
INSERT INTO `lang_definitions` VALUES (89865, 5349, 23, 'Sevkler Raporu');
INSERT INTO `lang_definitions` VALUES (89866, 5350, 23, 'Sevk eden');
INSERT INTO `lang_definitions` VALUES (89867, 5351, 23, 'Sevk Eden');
INSERT INTO `lang_definitions` VALUES (89868, 5352, 23, 'Kendisine Sevk edilen');
INSERT INTO `lang_definitions` VALUES (89869, 5353, 23, 'Sevk eden');
INSERT INTO `lang_definitions` VALUES (89870, 5355, 23, 'Sevk Edenin Teşhisi');
INSERT INTO `lang_definitions` VALUES (89871, 5356, 23, 'Sevk edenin teşhisi');
INSERT INTO `lang_definitions` VALUES (89872, 5357, 23, 'Sevk eden doktor ve uygulama');
INSERT INTO `lang_definitions` VALUES (89873, 5358, 23, 'Sevk eden Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (89874, 5359, 23, 'yenile');
INSERT INTO `lang_definitions` VALUES (89875, 5360, 23, 'yenilenir');
INSERT INTO `lang_definitions` VALUES (89876, 5361, 23, 'yenilenir');
INSERT INTO `lang_definitions` VALUES (89877, 5362, 23, 'Refleksler normal');
INSERT INTO `lang_definitions` VALUES (89878, 5363, 23, 'Tazele');
INSERT INTO `lang_definitions` VALUES (89879, 5368, 23, 'Devlet Reddetti');
INSERT INTO `lang_definitions` VALUES (89880, 5369, 23, 'reg_re');
INSERT INTO `lang_definitions` VALUES (89881, 5370, 23, 'kayıt');
INSERT INTO `lang_definitions` VALUES (89882, 5372, 23, 'Kayıtlı');
INSERT INTO `lang_definitions` VALUES (89883, 5373, 23, 'kayıtlı');
INSERT INTO `lang_definitions` VALUES (89884, 5375, 23, 'Kayıt Tarihi');
INSERT INTO `lang_definitions` VALUES (89885, 5376, 23, 'Kayıt Formu');
INSERT INTO `lang_definitions` VALUES (89886, 5377, 23, 'Rehabilitasyon');
INSERT INTO `lang_definitions` VALUES (89887, 5381, 23, 'İle İlişkili');
INSERT INTO `lang_definitions` VALUES (89888, 5382, 23, 'İlişkili');
INSERT INTO `lang_definitions` VALUES (89889, 5383, 23, 'İlişkili Konu');
INSERT INTO `lang_definitions` VALUES (89890, 5385, 23, 'İlişki(ler)/Çocuklar');
INSERT INTO `lang_definitions` VALUES (89891, 5386, 23, 'İlişkiler');
INSERT INTO `lang_definitions` VALUES (89892, 5387, 23, 'İlişki');
INSERT INTO `lang_definitions` VALUES (89893, 5388, 23, 'Bu başlıkta nisbi sipariş');
INSERT INTO `lang_definitions` VALUES (89894, 5389, 23, 'Akrabalar');
INSERT INTO `lang_definitions` VALUES (89895, 5399, 23, 'Bu kullanıcı hesabının Yedek Sağlık güvenceleri eksik');
INSERT INTO `lang_definitions` VALUES (89896, 5400, 23, 'Yedek Sağık ID');
INSERT INTO `lang_definitions` VALUES (89897, 5403, 23, 'Din');
INSERT INTO `lang_definitions` VALUES (89898, 5406, 23, 'Tekrar giriş');
INSERT INTO `lang_definitions` VALUES (89899, 5407, 23, 'Remdr');
INSERT INTO `lang_definitions` VALUES (89900, 5408, 23, 'Seçili Tesisi Anımsa');
INSERT INTO `lang_definitions` VALUES (89901, 5414, 23, 'HAVALE EDİLECEK ALICI:');
INSERT INTO `lang_definitions` VALUES (89902, 5416, 23, 'Kaldır');
INSERT INTO `lang_definitions` VALUES (89903, 5419, 23, 'Grubu Kaldır');
INSERT INTO `lang_definitions` VALUES (89904, 5420, 23, 'Grubu Kaldır');
INSERT INTO `lang_definitions` VALUES (89905, 5421, 23, 'Aşılamalar için desteği kaldırır.');
INSERT INTO `lang_definitions` VALUES (89906, 5422, 23, 'phpMyAdmin desteğini kaldırır');
INSERT INTO `lang_definitions` VALUES (89907, 5423, 23, 'Reçete desteğini kaldırır');
INSERT INTO `lang_definitions` VALUES (89908, 5425, 23, 'Çizelge İzleme özelliğini kaldırır');
INSERT INTO `lang_definitions` VALUES (89909, 5426, 23, 'Böbrek Taşları');
INSERT INTO `lang_definitions` VALUES (89910, 5428, 23, 'Grubu Yeniden Adlandır');
INSERT INTO `lang_definitions` VALUES (89911, 5429, 23, 'İş');
INSERT INTO `lang_definitions` VALUES (89912, 5430, 23, 'İş Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (89913, 5431, 23, 'İş Sağlayıcı Numarası');
INSERT INTO `lang_definitions` VALUES (89914, 5432, 23, 'Tekrar Sipariş');
INSERT INTO `lang_definitions` VALUES (89915, 5433, 23, 'De Tekrar Sipariş');
INSERT INTO `lang_definitions` VALUES (89916, 5434, 23, 'Tekrar sipariş noktasına erişildi');
INSERT INTO `lang_definitions` VALUES (89917, 5436, 23, 'Tekr');
INSERT INTO `lang_definitions` VALUES (89918, 5439, 23, 'Tekrar Bilgisi:');
INSERT INTO `lang_definitions` VALUES (89919, 5440, 23, 'Tekrarlar');
INSERT INTO `lang_definitions` VALUES (89920, 5444, 23, 'Cevap Tarihi');
INSERT INTO `lang_definitions` VALUES (89921, 5445, 23, 'Cevap Formu');
INSERT INTO `lang_definitions` VALUES (89922, 5446, 23, 'Rapor');
INSERT INTO `lang_definitions` VALUES (89923, 5447, 23, 'Rapor - Klinik');
INSERT INTO `lang_definitions` VALUES (89924, 5449, 23, 'Raporu yazan');
INSERT INTO `lang_definitions` VALUES (89925, 5457, 23, 'Rapor Durumu');
INSERT INTO `lang_definitions` VALUES (89926, 5458, 23, 'Rapor Toplamları');
INSERT INTO `lang_definitions` VALUES (89927, 5460, 23, 'Rapor Edilebilir');
INSERT INTO `lang_definitions` VALUES (89928, 5461, 23, 'Rapor Edilmiş');
INSERT INTO `lang_definitions` VALUES (89929, 5463, 23, 'Raporlar');
INSERT INTO `lang_definitions` VALUES (89930, 5467, 23, 'İstek dikkate alınmadı -alacak işleme zaten çalışıyor!');
INSERT INTO `lang_definitions` VALUES (89931, 5474, 23, 'İstenen Hizmet');
INSERT INTO `lang_definitions` VALUES (89932, 5475, 23, 'Kuvvetli Şifreler Gerekiyor');
INSERT INTO `lang_definitions` VALUES (89933, 5476, 23, 'Eşsiz Şifreler Gerekiyor');
INSERT INTO `lang_definitions` VALUES (89934, 5477, 23, 'Gerekli');
INSERT INTO `lang_definitions` VALUES (89935, 5479, 23, 'Gerekli Alan Eksik. Lütfen yüklenecek EDI-271 dosyasını seçiniz.');
INSERT INTO `lang_definitions` VALUES (89936, 5485, 23, 'REZERVE EDİLMİŞ');
INSERT INTO `lang_definitions` VALUES (89937, 5486, 23, 'Rezerve edilmiş');
INSERT INTO `lang_definitions` VALUES (89938, 5487, 23, 'Programlanmış Tatil Zamanını belirlemek için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (89939, 5488, 23, 'Bir sağlayıcının daha sonra uygun randevusu olmayabileceğini belirtmek için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (89940, 5489, 23, 'Bir olayın belirtildiği şekilde gerçekleşmediğini tanımlamak için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (89941, 5490, 23, 'Bir sağlayıcının daha sonra uygun randevusu olabileceğini belirtmek için ayrılmıştır');
INSERT INTO `lang_definitions` VALUES (89942, 5496, 23, 'Çözüldü');
INSERT INTO `lang_definitions` VALUES (89943, 5497, 23, 'Solunum');
INSERT INTO `lang_definitions` VALUES (89944, 5498, 23, 'Solunum çabası artmamış');
INSERT INTO `lang_definitions` VALUES (89945, 5499, 23, 'Solunum');
INSERT INTO `lang_definitions` VALUES (89946, 5501, 23, 'Yetkili olmayan kullanıcıları programdan kısıtla');
INSERT INTO `lang_definitions` VALUES (89947, 5502, 23, 'Kullanıcıları tesislere kısıtla');
INSERT INTO `lang_definitions` VALUES (89948, 5503, 23, 'Kısıtlı Egzersiz');
INSERT INTO `lang_definitions` VALUES (89949, 5504, 23, 'Sonuç');
INSERT INTO `lang_definitions` VALUES (89950, 5506, 23, 'Sonuç Durumu');
INSERT INTO `lang_definitions` VALUES (89951, 5507, 23, 'Sonuç durumu veya anormallik eksik');
INSERT INTO `lang_definitions` VALUES (89952, 5508, 23, 'Joker olarak % kullanınız.');
INSERT INTO `lang_definitions` VALUES (89953, 5510, 23, 'Sonuçlar ve');
INSERT INTO `lang_definitions` VALUES (89954, 5511, 23, 'Arama İçin Sonuçlar Bulundu');
INSERT INTO `lang_definitions` VALUES (89955, 5517, 23, 'Retina Muayenesi');
INSERT INTO `lang_definitions` VALUES (89956, 5518, 23, 'Sağa Çekilmiş:');
INSERT INTO `lang_definitions` VALUES (89957, 5519, 23, 'İade');
INSERT INTO `lang_definitions` VALUES (89958, 5520, 23, 'Üstteki kısmı ödemenizle birlikte iade ediniz.');
INSERT INTO `lang_definitions` VALUES (89959, 5521, 23, 'Takvime geri');
INSERT INTO `lang_definitions` VALUES (89960, 5527, 23, 'Geri Dönüş Değeri');
INSERT INTO `lang_definitions` VALUES (89961, 5528, 23, 'İade -i ziyaret');
INSERT INTO `lang_definitions` VALUES (89962, 5529, 23, 'Oynamak için Döndürüldü');
INSERT INTO `lang_definitions` VALUES (89963, 5534, 23, 'Öz geçmişi:');
INSERT INTO `lang_definitions` VALUES (89964, 5535, 23, 'Sistemlerin Gözden Geçirilmesi');
INSERT INTO `lang_definitions` VALUES (89965, 5536, 23, 'Sistem Kontrollerinin Gözden Geçirilmesi');
INSERT INTO `lang_definitions` VALUES (89966, 5537, 23, 'Gözden geçirildi');
INSERT INTO `lang_definitions` VALUES (89967, 5538, 23, 'Revizyon');
INSERT INTO `lang_definitions` VALUES (89968, 5540, 23, 'Romatoid Artrit');
INSERT INTO `lang_definitions` VALUES (89969, 5541, 23, 'Sağ');
INSERT INTO `lang_definitions` VALUES (89970, 5542, 23, 'Sağ Kulak');
INSERT INTO `lang_definitions` VALUES (89971, 5543, 23, 'sağ kulak');
INSERT INTO `lang_definitions` VALUES (89972, 5545, 23, 'Sağ:');
INSERT INTO `lang_definitions` VALUES (89973, 5546, 23, 'Kulaklarda çınlama');
INSERT INTO `lang_definitions` VALUES (89974, 5547, 23, 'Kulaklarda çınlama');
INSERT INTO `lang_definitions` VALUES (89975, 5549, 23, 'Risk Faktörleri');
INSERT INTO `lang_definitions` VALUES (89976, 5550, 23, 'Risk Düzeyi');
INSERT INTO `lang_definitions` VALUES (89977, 5551, 23, 'Sağ Alt Lob');
INSERT INTO `lang_definitions` VALUES (89978, 5552, 23, 'Mortalite Riski');
INSERT INTO `lang_definitions` VALUES (89979, 5560, 23, 'Liste');
INSERT INTO `lang_definitions` VALUES (89980, 5561, 23, 'Yol');
INSERT INTO `lang_definitions` VALUES (89981, 5562, 23, 'Uygulama yolu, varsa');
INSERT INTO `lang_definitions` VALUES (89982, 5563, 23, 'Yönlendirilmiş');
INSERT INTO `lang_definitions` VALUES (89983, 5564, 23, 'Satırlar');
INSERT INTO `lang_definitions` VALUES (89984, 5565, 23, 'Risksiz Tıbbi Referans');
INSERT INTO `lang_definitions` VALUES (89985, 5566, 23, 'Friksiyon');
INSERT INTO `lang_definitions` VALUES (89986, 5567, 23, 'Friksiyonlar');
INSERT INTO `lang_definitions` VALUES (89987, 5581, 23, 'Çalışan Komut ');
INSERT INTO `lang_definitions` VALUES (89988, 5582, 23, 'Rüptür');
INSERT INTO `lang_definitions` VALUES (89989, 5583, 23, 'Rusça');
INSERT INTO `lang_definitions` VALUES (89990, 5584, 23, 'Rx');
INSERT INTO `lang_definitions` VALUES (89991, 5585, 23, 'RX');
INSERT INTO `lang_definitions` VALUES (89992, 5600, 23, 'CP');
INSERT INTO `lang_definitions` VALUES (89993, 5601, 23, 'SGK :');
INSERT INTO `lang_definitions` VALUES (89994, 5602, 23, 'S3:');
INSERT INTO `lang_definitions` VALUES (89995, 5603, 23, 'S4:');
INSERT INTO `lang_definitions` VALUES (89996, 5604, 23, 'Öneri** Lisansı okumak için lütfen docs/license.txt dosyası okuyunuz veya * http://www.gnu.org/copyleft/gpl.html sayfasını ziyaret ediniz * */ //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (89997, 5605, 23, 'Satış');
INSERT INTO `lang_definitions` VALUES (89998, 5606, 23, 'Satışlar');
INSERT INTO `lang_definitions` VALUES (89999, 5607, 23, 'Kalem başına Satışlar');
INSERT INTO `lang_definitions` VALUES (90000, 5608, 23, 'Ürün Raporuna göre Satışlar');
INSERT INTO `lang_definitions` VALUES (90001, 5609, 23, 'Tükürük');
INSERT INTO `lang_definitions` VALUES (90002, 5610, 23, 'Aynı Gün');
INSERT INTO `lang_definitions` VALUES (90003, 5611, 23, 'Samoaca');
INSERT INTO `lang_definitions` VALUES (90004, 5612, 23, 'Örnek');
INSERT INTO `lang_definitions` VALUES (90005, 5613, 23, 'Yaptırım Tipi');
INSERT INTO `lang_definitions` VALUES (90006, 5617, 23, 'Cts');
INSERT INTO `lang_definitions` VALUES (90007, 5618, 23, 'Cts &amp; Paz');
INSERT INTO `lang_definitions` VALUES (90008, 5619, 23, 'Cumartesi');
INSERT INTO `lang_definitions` VALUES (90009, 5620, 23, 'Kaydet');
INSERT INTO `lang_definitions` VALUES (90010, 5624, 23, 'Kaydet ve Dağıt');
INSERT INTO `lang_definitions` VALUES (90011, 5626, 23, 'Yeni olarak Kaydet');
INSERT INTO `lang_definitions` VALUES (90012, 5627, 23, 'yeni not olarak kaydet');
INSERT INTO `lang_definitions` VALUES (90013, 5628, 23, 'Sertifika Ayarlarını Kaydet');
INSERT INTO `lang_definitions` VALUES (90014, 5629, 23, 'Kaydet');
INSERT INTO `lang_definitions` VALUES (90015, 5630, 23, 'Formu Kaydet');
INSERT INTO `lang_definitions` VALUES (90016, 5631, 23, 'Bağışıklamayı Kaydet');
INSERT INTO `lang_definitions` VALUES (90017, 5632, 23, 'Yeni Alanı Kaydet');
INSERT INTO `lang_definitions` VALUES (90018, 5633, 23, 'Yeni Grubu Kaydet');
INSERT INTO `lang_definitions` VALUES (90019, 5634, 23, 'Yeni Liste Kaydet');
INSERT INTO `lang_definitions` VALUES (90020, 5635, 23, 'Yeni kalıp kaydet');
INSERT INTO `lang_definitions` VALUES (90021, 5637, 23, 'Hasta Demografik Bilgilerini Kaydet');
INSERT INTO `lang_definitions` VALUES (90022, 5638, 23, 'Çizelge ID Kaydı Başarılı');
INSERT INTO `lang_definitions` VALUES (90023, 5639, 23, 'İşlemi Kaydet');
INSERT INTO `lang_definitions` VALUES (90024, 5641, 23, 'Tarandı');
INSERT INTO `lang_definitions` VALUES (90025, 5642, 23, 'Taranmış Görüşme Notu');
INSERT INTO `lang_definitions` VALUES (90026, 5643, 23, 'Tarayıcı Dizini');
INSERT INTO `lang_definitions` VALUES (90027, 5644, 23, 'Tarayıcı giriş');
INSERT INTO `lang_definitions` VALUES (90028, 5645, 23, 'Program');
INSERT INTO `lang_definitions` VALUES (90029, 5646, 23, 'Program Kolaylıkları:');
INSERT INTO `lang_definitions` VALUES (90030, 5647, 23, 'OKUL NOTU');
INSERT INTO `lang_definitions` VALUES (90031, 5648, 23, 'Skolyoz');
INSERT INTO `lang_definitions` VALUES (90032, 5651, 23, 'İşveren');
INSERT INTO `lang_definitions` VALUES (90033, 5652, 23, 'İşveren Adresi');
INSERT INTO `lang_definitions` VALUES (90034, 5653, 23, 'İşveren Semt');
INSERT INTO `lang_definitions` VALUES (90035, 5654, 23, 'İşveren Ülke');
INSERT INTO `lang_definitions` VALUES (90036, 5655, 23, 'İşveren Yer');
INSERT INTO `lang_definitions` VALUES (90037, 5656, 23, 'İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (90038, 5657, 23, 'İşveren Şehir');
INSERT INTO `lang_definitions` VALUES (90039, 5658, 23, 'İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (90040, 5659, 23, 'Ara');
INSERT INTO `lang_definitions` VALUES (90041, 5661, 23, 'ara');
INSERT INTO `lang_definitions` VALUES (90042, 5662, 23, 'tekrar ara');
INSERT INTO `lang_definitions` VALUES (90043, 5664, 23, 'Arayan');
INSERT INTO `lang_definitions` VALUES (90044, 5665, 23, 'Aranan');
INSERT INTO `lang_definitions` VALUES (90045, 5666, 23, 'Aranan');
INSERT INTO `lang_definitions` VALUES (90046, 5669, 23, 'Hasta Ara veya Ekle');
INSERT INTO `lang_definitions` VALUES (90047, 5670, 23, 'Ödemeyi Ara');
INSERT INTO `lang_definitions` VALUES (90048, 5672, 23, 'Arama Sonuçları');
INSERT INTO `lang_definitions` VALUES (90049, 5673, 23, 'Seçili Olanı Ara');
INSERT INTO `lang_definitions` VALUES (90050, 5674, 23, 'Arama dizesi veritabanında bulunamadı');
INSERT INTO `lang_definitions` VALUES (90051, 5675, 23, 'Arama dizesinde en az 3 karakter olmalı');
INSERT INTO `lang_definitions` VALUES (90052, 5677, 23, 'Olayları Ara');
INSERT INTO `lang_definitions` VALUES (90053, 5678, 23, 'Ara/Ekle');
INSERT INTO `lang_definitions` VALUES (90054, 5679, 23, 'Sigortacı Ara/Ekle');
INSERT INTO `lang_definitions` VALUES (90055, 5680, 23, 'Randevular aranıyor');
INSERT INTO `lang_definitions` VALUES (90056, 5681, 23, 'Aranıyor');
INSERT INTO `lang_definitions` VALUES (90057, 5682, 23, 'Emniyet kemeri kullanımı');
INSERT INTO `lang_definitions` VALUES (90058, 5683, 23, 'Emniyet kemeri kullanımı');
INSERT INTO `lang_definitions` VALUES (90059, 5684, 23, 'İkinci');
INSERT INTO `lang_definitions` VALUES (90060, 5687, 23, 'İkincil');
INSERT INTO `lang_definitions` VALUES (90061, 5688, 23, 'İkinci Sigorta');
INSERT INTO `lang_definitions` VALUES (90062, 5689, 23, 'İkinci Sigorta Verileri');
INSERT INTO `lang_definitions` VALUES (90063, 5690, 23, 'İkinci Sigorta Sağlayıcı');
INSERT INTO `lang_definitions` VALUES (90064, 5698, 23, 'Güvenlik');
INSERT INTO `lang_definitions` VALUES (90065, 5699, 23, 'Hepsini Gör');
INSERT INTO `lang_definitions` VALUES (90066, 5700, 23, 'Yetkilendirmeleri Gör');
INSERT INTO `lang_definitions` VALUES (90067, 5701, 23, 'Büyüme Çizelgesini Gör');
INSERT INTO `lang_definitions` VALUES (90068, 5702, 23, 'Oluşturulmuş son alacak listesinin mesajlarını gör');
INSERT INTO `lang_definitions` VALUES (90069, 5704, 23, 'Son görülme');
INSERT INTO `lang_definitions` VALUES (90070, 5707, 23, 'Konvülsiyonlar');
INSERT INTO `lang_definitions` VALUES (90071, 5708, 23, 'Seç');
INSERT INTO `lang_definitions` VALUES (90072, 5709, 23, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (90073, 5710, 23, 'Seçiniz');
INSERT INTO `lang_definitions` VALUES (90074, 5716, 23, 'Hepsini Seçiniz');
INSERT INTO `lang_definitions` VALUES (90076, 5723, 23, 'Kaldırılacak kriterleri seçiniz.');
INSERT INTO `lang_definitions` VALUES (90077, 5725, 23, 'Kimliksizleştirme için Gereken Verileri Seçiniz');
INSERT INTO `lang_definitions` VALUES (90078, 5726, 23, 'Kimliksizleştirme verisinin içereceği verileri deçiniz');
INSERT INTO `lang_definitions` VALUES (90079, 5727, 23, 'Tarihi seçiniz');
INSERT INTO `lang_definitions` VALUES (90080, 5729, 23, 'Tanıyı Seçiniz');
INSERT INTO `lang_definitions` VALUES (90081, 5730, 23, 'Kimliksizleştirme istemi için Tanıyı Seçiniz');
INSERT INTO `lang_definitions` VALUES (90082, 5731, 23, 'İlacı Seçiniz');
INSERT INTO `lang_definitions` VALUES (90083, 5732, 23, 'İlaçları Seçiniz');
INSERT INTO `lang_definitions` VALUES (90084, 5733, 23, 'Kimliksizleştirme isteği için İlaçları Seçiniz');
INSERT INTO `lang_definitions` VALUES (90085, 5734, 23, 'EDI-271 dosyasını seçin');
INSERT INTO `lang_definitions` VALUES (90086, 5736, 23, 'Alanı seçiniz');
INSERT INTO `lang_definitions` VALUES (90087, 5737, 23, 'Alanları Seçiniz');
INSERT INTO `lang_definitions` VALUES (90088, 5738, 23, 'Yazdırmak için Seçiniz');
INSERT INTO `lang_definitions` VALUES (90089, 5739, 23, 'Aşıları Seçiniz');
INSERT INTO `lang_definitions` VALUES (90090, 5740, 23, 'Kimliksizleştirme istemi için Aşıları Seçiniz');
INSERT INTO `lang_definitions` VALUES (90091, 5741, 23, 'Sigortayı yazıp seçin');
INSERT INTO `lang_definitions` VALUES (90092, 5742, 23, 'Konuyu Seçiniz');
INSERT INTO `lang_definitions` VALUES (90093, 5744, 23, 'Dili Seçiniz');
INSERT INTO `lang_definitions` VALUES (90094, 5754, 23, 'Dışarı aktarılacak yapılandırma konularını seçiniz');
INSERT INTO `lang_definitions` VALUES (90095, 5755, 23, 'Bu günün atlanmış herhangi bir olayından esas olarak sorumlu konuyu seçiniz');
INSERT INTO `lang_definitions` VALUES (90096, 5761, 23, 'Girişte varsa hangi dillerin seçilebileceğini seçiniz( Tüm dillere izin ver seçeneğinin kapalı olması durumunda)');
INSERT INTO `lang_definitions` VALUES (90097, 5762, 23, 'Grup silmeyi onaylamak için Evet seçiniz');
INSERT INTO `lang_definitions` VALUES (90098, 5765, 23, 'Seçili');
INSERT INTO `lang_definitions` VALUES (90099, 5768, 23, 'Kendi');
INSERT INTO `lang_definitions` VALUES (90100, 5769, 23, 'Ücretli');
INSERT INTO `lang_definitions` VALUES (90101, 5771, 23, 'Gönder');
INSERT INTO `lang_definitions` VALUES (90102, 5772, 23, 'Tarihli Hatırlatıcı Gönder');
INSERT INTO `lang_definitions` VALUES (90103, 5773, 23, 'Hatırlatıcı Gönder');
INSERT INTO `lang_definitions` VALUES (90104, 5774, 23, 'Gönderme devam ediyor');
INSERT INTO `lang_definitions` VALUES (90105, 5775, 23, 'Mesaj gönder');
INSERT INTO `lang_definitions` VALUES (90106, 5776, 23, 'Hatırlatıcı Yığın Dosyası Gönser');
INSERT INTO `lang_definitions` VALUES (90107, 5779, 23, 'Bu dosyayı gönder');
INSERT INTO `lang_definitions` VALUES (90108, 5788, 23, 'Gönderici');
INSERT INTO `lang_definitions` VALUES (90109, 5789, 23, 'Gönderici ID');
INSERT INTO `lang_definitions` VALUES (90110, 5790, 23, 'Gönderici ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (90111, 5791, 23, 'Gönderici ID Niteleyici (ISA05)');
INSERT INTO `lang_definitions` VALUES (90112, 5794, 23, 'Duyarlılıklar');
INSERT INTO `lang_definitions` VALUES (90113, 5795, 23, 'Duyarlılık');
INSERT INTO `lang_definitions` VALUES (90114, 5796, 23, 'Duyusal muayene normal');
INSERT INTO `lang_definitions` VALUES (90115, 5804, 23, 'Başarıyla gönderildi');
INSERT INTO `lang_definitions` VALUES (90116, 5807, 23, 'yazıcıya gönderildi');
INSERT INTO `lang_definitions` VALUES (90117, 5812, 23, 'Eyl');
INSERT INTO `lang_definitions` VALUES (90118, 5813, 23, 'Ayrılmış');
INSERT INTO `lang_definitions` VALUES (90119, 5814, 23, 'Eylül');
INSERT INTO `lang_definitions` VALUES (90120, 5815, 23, 'Ard');
INSERT INTO `lang_definitions` VALUES (90121, 5816, 23, 'Ardışıklık');
INSERT INTO `lang_definitions` VALUES (90122, 5821, 23, 'Hizmet');
INSERT INTO `lang_definitions` VALUES (90123, 5822, 23, 'Hizmet Kategorisi');
INSERT INTO `lang_definitions` VALUES (90124, 5823, 23, 'Hizmet Kodu');
INSERT INTO `lang_definitions` VALUES (90125, 5825, 23, 'Hizmet Kodları');
INSERT INTO `lang_definitions` VALUES (90126, 5826, 23, 'Hizmet Tarihi');
INSERT INTO `lang_definitions` VALUES (90127, 5827, 23, 'Hizmet Tarihi:');
INSERT INTO `lang_definitions` VALUES (90128, 5829, 23, 'Hizmet Yeri');
INSERT INTO `lang_definitions` VALUES (90129, 5831, 23, 'Hizmet uzman tarafından verildi');
INSERT INTO `lang_definitions` VALUES (90130, 5834, 23, 'Hizmetler');
INSERT INTO `lang_definitions` VALUES (90131, 5835, 23, 'Kategoriye göre Hizmetler');
INSERT INTO `lang_definitions` VALUES (90132, 5836, 23, 'Sağlanan hizmetler');
INSERT INTO `lang_definitions` VALUES (90133, 5837, 23, 'Sağlanan Hizmetler');
INSERT INTO `lang_definitions` VALUES (90134, 5838, 23, 'Hizmetler/Ürünler');
INSERT INTO `lang_definitions` VALUES (90135, 5839, 23, 'Oturum Tipi');
INSERT INTO `lang_definitions` VALUES (90136, 5840, 23, 'Oluştur');
INSERT INTO `lang_definitions` VALUES (90137, 5841, 23, 'Girişler arasında seçilmiş tesisi anımsamak için bir tesis çerezi oluştur');
INSERT INTO `lang_definitions` VALUES (90138, 5845, 23, 'HTTPS için SSL müşteri sertifikaları oluşturmak için bunu dosyanın mutlak yoluna ayarlayınız');
INSERT INTO `lang_definitions` VALUES (90139, 5846, 23, 'Ayarla:');
INSERT INTO `lang_definitions` VALUES (90140, 5847, 23, 'Ön Tanımlıya Ayarla');
INSERT INTO `lang_definitions` VALUES (90141, 5849, 23, 'Ayarlar');
INSERT INTO `lang_definitions` VALUES (90142, 5851, 23, 'şiddetli migren');
INSERT INTO `lang_definitions` VALUES (90143, 5853, 23, 'Ağrının Şiddeti');
INSERT INTO `lang_definitions` VALUES (90144, 5854, 23, 'Ağrının Şiddeti:');
INSERT INTO `lang_definitions` VALUES (90145, 5855, 23, 'Cinsiyet');
INSERT INTO `lang_definitions` VALUES (90146, 5856, 23, 'Cinsel Yolla Bulaşan Hastalık');
INSERT INTO `lang_definitions` VALUES (90147, 5859, 23, 'Paylaşma');
INSERT INTO `lang_definitions` VALUES (90148, 5860, 23, 'Sunucudan yazdırmak için kabuk komutu');
INSERT INTO `lang_definitions` VALUES (90149, 5864, 23, 'Nefes Darlığı');
INSERT INTO `lang_definitions` VALUES (90150, 5865, 23, 'Nefes Darlığı');
INSERT INTO `lang_definitions` VALUES (90151, 5866, 23, 'Nefes Darlığı 2');
INSERT INTO `lang_definitions` VALUES (90152, 5867, 23, 'Aşı Kaydı');
INSERT INTO `lang_definitions` VALUES (90153, 5868, 23, 'Şu Tarih İtibarı İle Aşı Kaydı:');
INSERT INTO `lang_definitions` VALUES (90154, 5870, 23, 'nnnnn-nnnn-nn gibi olmalıdır');
INSERT INTO `lang_definitions` VALUES (90155, 5871, 23, 'iki harfli olmalıdır');
INSERT INTO `lang_definitions` VALUES (90156, 5874, 23, 'Omuz');
INSERT INTO `lang_definitions` VALUES (90157, 5875, 23, 'Omuz + klaviküla');
INSERT INTO `lang_definitions` VALUES (90158, 5876, 23, 'Omuz Sorunları');
INSERT INTO `lang_definitions` VALUES (90159, 5877, 23, 'Göster');
INSERT INTO `lang_definitions` VALUES (90160, 5878, 23, 'Etkin Olanları Göster');
INSERT INTO `lang_definitions` VALUES (90161, 5880, 23, 'Tümünü Göster');
INSERT INTO `lang_definitions` VALUES (90162, 5881, 23, 'Tüm işlemleri Göster');
INSERT INTO `lang_definitions` VALUES (90163, 5883, 23, 'Tüm İşlemleri Göster');
INSERT INTO `lang_definitions` VALUES (90164, 5884, 23, 'Meşgul Göster');
INSERT INTO `lang_definitions` VALUES (90165, 5885, 23, 'Sadece Yetkilileri Göster');
INSERT INTO `lang_definitions` VALUES (90166, 5886, 23, 'Uygun Zamanları Göster');
INSERT INTO `lang_definitions` VALUES (90167, 5887, 23, 'Hem Amerikan hem de metrik göster (ana birim metrik)');
INSERT INTO `lang_definitions` VALUES (90168, 5888, 23, 'Hem Amerikan hem de metrik göster (ana birim Amerikan)');
INSERT INTO `lang_definitions` VALUES (90169, 5889, 23, 'Ayrıntıları Göster');
INSERT INTO `lang_definitions` VALUES (90170, 5890, 23, 'Sadece Hatalar mı Gösterilsin?');
INSERT INTO `lang_definitions` VALUES (90171, 5891, 23, 'Grafiği Göster');
INSERT INTO `lang_definitions` VALUES (90172, 5892, 23, 'Üzerine fare geldiğinde düz metin olayı gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (90173, 5893, 23, 'Yönetici sayfalarında kaç olay görülsün?');
INSERT INTO `lang_definitions` VALUES (90174, 5894, 23, 'Etkin Olmayanları Göster');
INSERT INTO `lang_definitions` VALUES (90175, 5896, 23, 'Menüyü Göster');
INSERT INTO `lang_definitions` VALUES (90176, 5897, 23, 'Sadece Metrik Göster');
INSERT INTO `lang_definitions` VALUES (90177, 5898, 23, 'Notları Göster');
INSERT INTO `lang_definitions` VALUES (90178, 5900, 23, 'Sadece atlanmamış işlemleri göster');
INSERT INTO `lang_definitions` VALUES (90179, 5901, 23, 'Hasta Notlarını Göster');
INSERT INTO `lang_definitions` VALUES (90180, 5902, 23, 'Libre ve ons göster');
INSERT INTO `lang_definitions` VALUES (90181, 5903, 23, 'Libreleri ondalık değer olarak göster');
INSERT INTO `lang_definitions` VALUES (90182, 5904, 23, 'Tam Birinciyi Göster');
INSERT INTO `lang_definitions` VALUES (90183, 5905, 23, 'Hatırlatıcıları Göster');
INSERT INTO `lang_definitions` VALUES (90184, 5906, 23, 'Raporu Göster');
INSERT INTO `lang_definitions` VALUES (90185, 5907, 23, 'Bloktaki ara/gönder bağlantıları gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (90186, 5910, 23, 'Ekleme listesi için özel şehir tablosunu göster.');
INSERT INTO `lang_definitions` VALUES (90187, 5913, 23, 'Sadece Fatura Edilmemişi Göster');
INSERT INTO `lang_definitions` VALUES (90188, 5914, 23, 'Sadece Amerikan göster');
INSERT INTO `lang_definitions` VALUES (90189, 5915, 23, 'Gösteriliyor');
INSERT INTO `lang_definitions` VALUES (90190, 5916, 23, 'Sonuçlar gösteriliyor');
INSERT INTO `lang_definitions` VALUES (90191, 5918, 23, 'Kardeşler Öyküsü');
INSERT INTO `lang_definitions` VALUES (90192, 5920, 23, 'Kardeşler');
INSERT INTO `lang_definitions` VALUES (90193, 5921, 23, 'Orak Hücreli');
INSERT INTO `lang_definitions` VALUES (90194, 5922, 23, 'Sig');
INSERT INTO `lang_definitions` VALUES (90195, 5923, 23, 'Sigmoid/Kolonoskopi');
INSERT INTO `lang_definitions` VALUES (90196, 5924, 23, 'İmza');
INSERT INTO `lang_definitions` VALUES (90197, 5925, 23, 'Laboratuvar Sonuçlarını İmzala (yaz, sadece ekle seçmeli)');
INSERT INTO `lang_definitions` VALUES (90198, 5926, 23, 'Sonuçları İmzala');
INSERT INTO `lang_definitions` VALUES (90199, 5927, 23, 'İmza');
INSERT INTO `lang_definitions` VALUES (90200, 5928, 23, 'İmza Dosyada');
INSERT INTO `lang_definitions` VALUES (90201, 5929, 23, 'İmza:');
INSERT INTO `lang_definitions` VALUES (90202, 5930, 23, 'İmzalanmış Rx');
INSERT INTO `lang_definitions` VALUES (90203, 5932, 23, 'Belirgin Şişlik:');
INSERT INTO `lang_definitions` VALUES (90204, 5933, 23, 'Basitleştirilmiş');
INSERT INTO `lang_definitions` VALUES (90205, 5934, 23, 'Basitleştirilmiş Ek-Ödeme');
INSERT INTO `lang_definitions` VALUES (90206, 5935, 23, 'Basitleştirilmiş Demografik Bilgiler');
INSERT INTO `lang_definitions` VALUES (90207, 5936, 23, 'Basitleştirilmiş Reçeteler');
INSERT INTO `lang_definitions` VALUES (90208, 5937, 23, 'Den beri:');
INSERT INTO `lang_definitions` VALUES (90209, 5938, 23, 'Saygılarımızla,');
INSERT INTO `lang_definitions` VALUES (90210, 5940, 23, 'Bekar');
INSERT INTO `lang_definitions` VALUES (90211, 5941, 23, 'Tek-seçim listesi');
INSERT INTO `lang_definitions` VALUES (90212, 5942, 23, 'Listeye ekleme olanağı olan tek-seçimlik liste');
INSERT INTO `lang_definitions` VALUES (90213, 5946, 23, 'Sinüs Problemleri');
INSERT INTO `lang_definitions` VALUES (90214, 5947, 23, 'Sinüs Cerrahisi');
INSERT INTO `lang_definitions` VALUES (90215, 5948, 23, 'SİNÜS HASSASİYETİ:');
INSERT INTO `lang_definitions` VALUES (90216, 5949, 23, 'Sinüzit');
INSERT INTO `lang_definitions` VALUES (90217, 5950, 23, 'Site');
INSERT INTO `lang_definitions` VALUES (90218, 5951, 23, 'Site kimliği');
INSERT INTO `lang_definitions` VALUES (90219, 5953, 23, 'LLC Lab Değişim Servisi LibreEHR desteği için site kimliği');
INSERT INTO `lang_definitions` VALUES (90220, 5956, 23, 'Büyüklük');
INSERT INTO `lang_definitions` VALUES (90221, 5957, 23, 'Büyüklüğü 1 ve 999 arasına bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (90222, 5958, 23, 'Büyüklük/Liste');
INSERT INTO `lang_definitions` VALUES (90223, 5959, 23, 'Deri');
INSERT INTO `lang_definitions` VALUES (90224, 5960, 23, 'Deri Kanseri');
INSERT INTO `lang_definitions` VALUES (90225, 5961, 23, 'Deri Hastalığı');
INSERT INTO `lang_definitions` VALUES (90226, 5962, 23, 'Deri Diğer');
INSERT INTO `lang_definitions` VALUES (90227, 5963, 23, 'Hasta Notlarının Yetkilendirilmesini Atla');
INSERT INTO `lang_definitions` VALUES (90228, 5964, 23, 'Bölüm atlanıyor');
INSERT INTO `lang_definitions` VALUES (90229, 5965, 23, 'Defter-i Kebir SQL dökümü atlanıyor-Windows sunucusuna uygulanmamıştır');
INSERT INTO `lang_definitions` VALUES (90230, 5967, 23, 'Uyku Paternleri');
INSERT INTO `lang_definitions` VALUES (90231, 5968, 23, 'Uyku paternleri');
INSERT INTO `lang_definitions` VALUES (90232, 5969, 23, 'Uyuyor');
INSERT INTO `lang_definitions` VALUES (90233, 5970, 23, 'Slovakça');
INSERT INTO `lang_definitions` VALUES (90234, 5971, 23, 'Slovence');
INSERT INTO `lang_definitions` VALUES (90235, 5972, 23, 'Toplam Borç suz');
INSERT INTO `lang_definitions` VALUES (90236, 5973, 23, 'Smarty Cache boşaltıldı');
INSERT INTO `lang_definitions` VALUES (90237, 5974, 23, 'Sigara içer, son durumu bilinmiyor.');
INSERT INTO `lang_definitions` VALUES (90238, 5976, 23, 'Sigara içme durumu');
INSERT INTO `lang_definitions` VALUES (90239, 5978, 23, 'SMS Geçidi');
INSERT INTO `lang_definitions` VALUES (90240, 5979, 23, 'SMS Geçidi API anahtarı');
INSERT INTO `lang_definitions` VALUES (90241, 5980, 23, 'SMS Geçidi API Anahtarı');
INSERT INTO `lang_definitions` VALUES (90242, 5981, 23, 'SMS Geçidi Şifresi');
INSERT INTO `lang_definitions` VALUES (90243, 5982, 23, 'SMS Geçidi Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (90244, 5983, 23, 'SMS Uyarısı');
INSERT INTO `lang_definitions` VALUES (90245, 5984, 23, 'SMS Uyarısı Saatleri');
INSERT INTO `lang_definitions` VALUES (90246, 5985, 23, 'SMS son gönderme saati');
INSERT INTO `lang_definitions` VALUES (90247, 5987, 23, 'SMS Metni, Kullanılabilir Etiket: ***İSİM***,***SAĞLAYICI***,***TARİH***,***BAŞLAMAZAMANI***,***BİTİŞZAMANI***<BR>örneğin Sayın ***İSİM***');
INSERT INTO `lang_definitions` VALUES (90248, 5988, 23, 'SMS/Eposta uyarı ayarları');
INSERT INTO `lang_definitions` VALUES (90249, 5989, 23, 'Kimlik Doğrulama için SMTP Şifresi');
INSERT INTO `lang_definitions` VALUES (90250, 5992, 23, 'SMTP Sunucu Adı');
INSERT INTO `lang_definitions` VALUES (90251, 5993, 23, 'SMTP Sunucu Port Numarası');
INSERT INTO `lang_definitions` VALUES (90252, 5994, 23, 'Kimlik Doğrulama için SMTP Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (90253, 6004, 23, 'Horlama');
INSERT INTO `lang_definitions` VALUES (90254, 6005, 23, 'SODP');
INSERT INTO `lang_definitions` VALUES (90255, 6006, 23, 'Toplumsal Güçlükler');
INSERT INTO `lang_definitions` VALUES (90256, 6009, 23, 'Toplumsal Öykü');
INSERT INTO `lang_definitions` VALUES (90257, 6010, 23, 'SGK Numarası');
INSERT INTO `lang_definitions` VALUES (90258, 6011, 23, 'solüsyon');
INSERT INTO `lang_definitions` VALUES (90259, 6013, 23, 'Somatik İçerik');
INSERT INTO `lang_definitions` VALUES (90260, 6014, 23, 'Bazı yetkilendirilmeler gösterilmedi. Tümünü görüntülemek için burayı tıklayınız');
INSERT INTO `lang_definitions` VALUES (90261, 6015, 23, 'Bazı kodlar gösterilmedi');
INSERT INTO `lang_definitions` VALUES (90262, 6016, 23, 'Bazı görüşmeler gösterilmedi. Tümünü görüntülemek için burayı tıklayınız');
INSERT INTO `lang_definitions` VALUES (90263, 6017, 23, 'Kimlik gizleme işlemi sırasına bir hata oluştu');
INSERT INTO `lang_definitions` VALUES (90264, 6018, 23, 'Bazı notlar gösterilmedi');
INSERT INTO `lang_definitions` VALUES (90265, 6020, 23, 'bazı sözcükler');
INSERT INTO `lang_definitions` VALUES (90266, 6026, 23, 'Boğaz Ağrısı');
INSERT INTO `lang_definitions` VALUES (90267, 6028, 23, 'Üzgünüm, dosyanız yüklenir iken bir problem oluştu.');
INSERT INTO `lang_definitions` VALUES (90268, 6029, 23, 'Sırala:');
INSERT INTO `lang_definitions` VALUES (90269, 6030, 23, 'Sırala:');
INSERT INTO `lang_definitions` VALUES (90270, 6031, 23, 'Toplama göre sırala');
INSERT INTO `lang_definitions` VALUES (90271, 6032, 23, 'Yorumlara göre sırala');
INSERT INTO `lang_definitions` VALUES (90272, 6033, 23, 'Crt kullanıcısına göre sırala');
INSERT INTO `lang_definitions` VALUES (90273, 6034, 23, 'Tarihe göre sırala');
INSERT INTO `lang_definitions` VALUES (90274, 6035, 23, 'Tarih/zaman a göre sırala');
INSERT INTO `lang_definitions` VALUES (90275, 6036, 23, 'Olaya göre sırala');
INSERT INTO `lang_definitions` VALUES (90276, 6037, 23, 'Gruba göre sırala');
INSERT INTO `lang_definitions` VALUES (90277, 6040, 23, 'Hasta ID ye göre sırala');
INSERT INTO `lang_definitions` VALUES (90278, 6041, 23, 'Başarıya göre sırala');
INSERT INTO `lang_definitions` VALUES (90279, 6043, 23, 'Kullanıcıya göre sırala');
INSERT INTO `lang_definitions` VALUES (90280, 6044, 23, 'Aşıya göre sırala');
INSERT INTO `lang_definitions` VALUES (90281, 6045, 23, 'Aşağıya doğru sırala');
INSERT INTO `lang_definitions` VALUES (90282, 6046, 23, 'Sonuçların Sıralanacağı tür:');
INSERT INTO `lang_definitions` VALUES (90283, 6047, 23, 'Yukarıya doğru sırala');
INSERT INTO `lang_definitions` VALUES (90284, 6048, 23, 'Kaynak');
INSERT INTO `lang_definitions` VALUES (90285, 6049, 23, 'Kaynak Dosya');
INSERT INTO `lang_definitions` VALUES (90286, 6051, 23, 'Kod için Kaynak eksik ');
INSERT INTO `lang_definitions` VALUES (90287, 6052, 23, 'Kaynak Yığını');
INSERT INTO `lang_definitions` VALUES (90288, 6057, 23, 'Kaynak:');
INSERT INTO `lang_definitions` VALUES (90289, 6060, 23, 'Yer');
INSERT INTO `lang_definitions` VALUES (90290, 6061, 23, 'BOŞLUK');
INSERT INTO `lang_definitions` VALUES (90291, 6062, 23, 'İspanyolca');
INSERT INTO `lang_definitions` VALUES (90292, 6063, 23, 'İspanyolca (Latin Amerika)');
INSERT INTO `lang_definitions` VALUES (90293, 6064, 23, 'İspanyolca (ispanya)');
INSERT INTO `lang_definitions` VALUES (90294, 6066, 23, 'Özel karakter girilemez');
INSERT INTO `lang_definitions` VALUES (90295, 6068, 23, 'Uzman');
INSERT INTO `lang_definitions` VALUES (90296, 6069, 23, 'Uzman isim ve imzası');
INSERT INTO `lang_definitions` VALUES (90297, 6071, 23, 'Uzmanlık');
INSERT INTO `lang_definitions` VALUES (90298, 6072, 23, 'Uzmanlık Sistemleri');
INSERT INTO `lang_definitions` VALUES (90299, 6073, 23, 'Uzmanlık:');
INSERT INTO `lang_definitions` VALUES (90300, 6074, 23, 'Özel');
INSERT INTO `lang_definitions` VALUES (90301, 6075, 23, 'Özel Uygulama');
INSERT INTO `lang_definitions` VALUES (90302, 6076, 23, 'Özel Doğum Kontrol Hizmeti');
INSERT INTO `lang_definitions` VALUES (90303, 6077, 23, 'Özel Sonuç');
INSERT INTO `lang_definitions` VALUES (90304, 6078, 23, 'Özel Hizmet');
INSERT INTO `lang_definitions` VALUES (90305, 6079, 23, 'Belirtilmiş');
INSERT INTO `lang_definitions` VALUES (90306, 6080, 23, 'kod için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90307, 6081, 23, 'kod için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90308, 6082, 23, 'Fatura referans numaraları için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90309, 6083, 23, 'Fatura referans numaraları için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90310, 6084, 23, 'Ürün NDC alanları için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90311, 6085, 23, 'Ürün NDC alanları için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90312, 6086, 23, 'Harici hasta ID için formatı belirtir, # = rakam *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90313, 6087, 23, 'Harici hasta ID için formatı belirtir, # = rakam, @=alfa, *=herhangi bir karakter. Kullanılmaz ise boş.');
INSERT INTO `lang_definitions` VALUES (90314, 6088, 23, 'Örnek');
INSERT INTO `lang_definitions` VALUES (90315, 6089, 23, 'Örnek numarası/tanımlayıcı');
INSERT INTO `lang_definitions` VALUES (90316, 6090, 23, 'Örnek Tipi');
INSERT INTO `lang_definitions` VALUES (90317, 6092, 23, 'Konuşma dikte ettirme');
INSERT INTO `lang_definitions` VALUES (90318, 6093, 23, 'Spermisitler');
INSERT INTO `lang_definitions` VALUES (90319, 6094, 23, 'Splenektomi');
INSERT INTO `lang_definitions` VALUES (90320, 6095, 23, 'Eş');
INSERT INTO `lang_definitions` VALUES (90321, 6096, 23, 'Eşler Öyküsü');
INSERT INTO `lang_definitions` VALUES (90322, 6097, 23, 'Balgam');
INSERT INTO `lang_definitions` VALUES (90323, 6098, 23, 'Balgam:');
INSERT INTO `lang_definitions` VALUES (90324, 6099, 23, 'SQ');
INSERT INTO `lang_definitions` VALUES (90325, 6100, 23, 'sql');
INSERT INTO `lang_definitions` VALUES (90326, 6102, 23, 'Ekip');
INSERT INTO `lang_definitions` VALUES (90327, 6103, 23, 'Ekip Üyeliği');
INSERT INTO `lang_definitions` VALUES (90328, 6104, 23, 'Ekipler');
INSERT INTO `lang_definitions` VALUES (90329, 6105, 23, 'Cinsel Sağlık ve Üreme Sağlığı');
INSERT INTO `lang_definitions` VALUES (90330, 6106, 23, 'Üreme Sağlığı - Aile Planlaması');
INSERT INTO `lang_definitions` VALUES (90331, 6107, 23, 'Aile Planlaması Dışında Üreme Sağlığı');
INSERT INTO `lang_definitions` VALUES (90332, 6108, 23, 'Üreme Sağlığı Sevkleri');
INSERT INTO `lang_definitions` VALUES (90333, 6109, 23, 'Üreme Sağlığı Vizit Formu');
INSERT INTO `lang_definitions` VALUES (90334, 6110, 23, 'Hizmet Tarihi');
INSERT INTO `lang_definitions` VALUES (90335, 6111, 23, 'SGK');
INSERT INTO `lang_definitions` VALUES (90336, 6112, 23, 'SSL Sertifikası Yönetimi');
INSERT INTO `lang_definitions` VALUES (90337, 6113, 23, 'SGK No');
INSERT INTO `lang_definitions` VALUES (90338, 6114, 23, 'İstikrar');
INSERT INTO `lang_definitions` VALUES (90339, 6116, 23, 'Standart');
INSERT INTO `lang_definitions` VALUES (90340, 6117, 23, 'Standart Kod');
INSERT INTO `lang_definitions` VALUES (90341, 6118, 23, 'Standart Tedbirler');
INSERT INTO `lang_definitions` VALUES (90342, 6119, 23, 'Standart Tedbirler  (Etkin Uyarılar )');
INSERT INTO `lang_definitions` VALUES (90343, 6120, 23, 'Standart Tedbirler ( Etkin Olmayan Uyarılar )');
INSERT INTO `lang_definitions` VALUES (90344, 6121, 23, 'Standart Tedbirler ( Hasta Hatırlatıcıları )');
INSERT INTO `lang_definitions` VALUES (90345, 6122, 23, 'Standart İsim');
INSERT INTO `lang_definitions` VALUES (90346, 6124, 23, 'Başla');
INSERT INTO `lang_definitions` VALUES (90347, 6125, 23, 'Başlangıç (yyyy-aa-gg): ');
INSERT INTO `lang_definitions` VALUES (90348, 6126, 23, 'Yeni Bir Rapora Başla');
INSERT INTO `lang_definitions` VALUES (90349, 6128, 23, 'Başlama Tarihi');
INSERT INTO `lang_definitions` VALUES (90350, 6129, 23, 'Bu Klinikte Başlama Tarihi');
INSERT INTO `lang_definitions` VALUES (90351, 6130, 23, 'Başlama Tarihi Bitiş Tarihinden sonra olmamalıdır.');
INSERT INTO `lang_definitions` VALUES (90352, 6131, 23, 'Başlama tarihi:');
INSERT INTO `lang_definitions` VALUES (90353, 6132, 23, 'Başlama Tarihi:');
INSERT INTO `lang_definitions` VALUES (90354, 6133, 23, 'Başlama Zamanı');
INSERT INTO `lang_definitions` VALUES (90355, 6134, 23, 'Başlangıç Tarihi');
INSERT INTO `lang_definitions` VALUES (90356, 6135, 23, 'stat');
INSERT INTO `lang_definitions` VALUES (90357, 6136, 23, 'Şehir');
INSERT INTO `lang_definitions` VALUES (90358, 6137, 23, 'Şehir Veri Tipi');
INSERT INTO `lang_definitions` VALUES (90359, 6140, 23, 'Şehir Listesi');
INSERT INTO `lang_definitions` VALUES (90360, 6141, 23, 'Şehir Listesi (yaz, ekleme seçmeli)');
INSERT INTO `lang_definitions` VALUES (90361, 6142, 23, 'Şehir Listesi Simgesi Özel Alanlar');
INSERT INTO `lang_definitions` VALUES (90362, 6143, 23, 'Şehir veya Vilayet');
INSERT INTO `lang_definitions` VALUES (90363, 6144, 23, 'Şehir/Yer');
INSERT INTO `lang_definitions` VALUES (90364, 6145, 23, 'Şehir/Mahalle');
INSERT INTO `lang_definitions` VALUES (90365, 6146, 23, 'BİLANÇO ÖZETİ');
INSERT INTO `lang_definitions` VALUES (90366, 6147, 23, 'bilançolar ve gelecek faturalar');
INSERT INTO `lang_definitions` VALUES (90367, 6148, 23, 'Gönderilmiş Bilançolar:');
INSERT INTO `lang_definitions` VALUES (90368, 6149, 23, 'bilançolar; faturalar güncellenmeyecek');
INSERT INTO `lang_definitions` VALUES (90369, 6150, 23, 'Statik Metin');
INSERT INTO `lang_definitions` VALUES (90370, 6151, 23, 'İstatistik');
INSERT INTO `lang_definitions` VALUES (90371, 6152, 23, 'İstatistikler');
INSERT INTO `lang_definitions` VALUES (90372, 6153, 23, 'Durum');
INSERT INTO `lang_definitions` VALUES (90373, 6154, 23, 'Kabul Durumu');
INSERT INTO `lang_definitions` VALUES (90374, 6155, 23, 'Alacak Durumu');
INSERT INTO `lang_definitions` VALUES (90375, 6156, 23, 'Haliyle');
INSERT INTO `lang_definitions` VALUES (90376, 6158, 23, 'Zührevi Hastalıklar/AIDS Danışmanlıkları');
INSERT INTO `lang_definitions` VALUES (90377, 6159, 23, 'Güç ve Kondisyon');
INSERT INTO `lang_definitions` VALUES (90378, 6169, 23, 'Eklemlerde Sertlik');
INSERT INTO `lang_definitions` VALUES (90379, 6170, 23, 'Sertlik');
INSERT INTO `lang_definitions` VALUES (90380, 6171, 23, 'Stok Ayları');
INSERT INTO `lang_definitions` VALUES (90381, 6172, 23, 'Mide Ağrıları');
INSERT INTO `lang_definitions` VALUES (90382, 6175, 23, 'Kas gerilmesi');
INSERT INTO `lang_definitions` VALUES (90383, 6176, 23, 'Akım');
INSERT INTO `lang_definitions` VALUES (90384, 6177, 23, 'Sokak');
INSERT INTO `lang_definitions` VALUES (90385, 6178, 23, 'Sokak Adresi');
INSERT INTO `lang_definitions` VALUES (90386, 6179, 23, 'Sokak ve Numara');
INSERT INTO `lang_definitions` VALUES (90387, 6180, 23, 'Güç');
INSERT INTO `lang_definitions` VALUES (90388, 6182, 23, 'Streptokoksik Boğaz');
INSERT INTO `lang_definitions` VALUES (90389, 6183, 23, 'Stres Kırığı');
INSERT INTO `lang_definitions` VALUES (90390, 6184, 23, 'Stres Testi');
INSERT INTO `lang_definitions` VALUES (90391, 6185, 23, 'Felç');
INSERT INTO `lang_definitions` VALUES (90392, 6186, 23, 'Kuvvetli şifre demek en az 8 karakter ve en az üçü bir rakam bir küçük harf, bir büyük harf ve bir özel karakter demektir');
INSERT INTO `lang_definitions` VALUES (90393, 6188, 23, 'Yeni hastaları eklemek için kullanılan form stili');
INSERT INTO `lang_definitions` VALUES (90394, 6189, 23, 'Alt-kategori');
INSERT INTO `lang_definitions` VALUES (90395, 6190, 23, 'Alt-toplam');
INSERT INTO `lang_definitions` VALUES (90396, 6191, 23, 'Alt kategori');
INSERT INTO `lang_definitions` VALUES (90397, 6192, 23, 'alt kategori');
INSERT INTO `lang_definitions` VALUES (90398, 6193, 23, 'cilt altı');
INSERT INTO `lang_definitions` VALUES (90399, 6195, 23, 'Sübjektif');
INSERT INTO `lang_definitions` VALUES (90400, 6196, 23, 'Dilaltı');
INSERT INTO `lang_definitions` VALUES (90401, 6197, 23, 'dilaltı');
INSERT INTO `lang_definitions` VALUES (90402, 6198, 23, 'Gönder');
INSERT INTO `lang_definitions` VALUES (90403, 6199, 23, 'gönder');
INSERT INTO `lang_definitions` VALUES (90404, 6200, 23, 'Tüm İçeriği Gönder');
INSERT INTO `lang_definitions` VALUES (90405, 6201, 23, 'Gönder ve İstemi İptal Et');
INSERT INTO `lang_definitions` VALUES (90406, 6202, 23, 'Olayı Gönder');
INSERT INTO `lang_definitions` VALUES (90407, 6203, 23, 'formu gönder');
INSERT INTO `lang_definitions` VALUES (90408, 6204, 23, 'Seçilmiş İçeriği Gönder');
INSERT INTO `lang_definitions` VALUES (90409, 6205, 23, 'gönderildi');
INSERT INTO `lang_definitions` VALUES (90410, 6206, 23, 'Gönderen:');
INSERT INTO `lang_definitions` VALUES (90411, 6207, 23, 'Gönderenin EDI Erişim Numarası (PER06)');
INSERT INTO `lang_definitions` VALUES (90412, 6208, 23, 'Abone');
INSERT INTO `lang_definitions` VALUES (90413, 6209, 23, 'Abone Adresi');
INSERT INTO `lang_definitions` VALUES (90414, 6210, 23, 'Abone Şehri');
INSERT INTO `lang_definitions` VALUES (90415, 6211, 23, 'Abone Ülkesi');
INSERT INTO `lang_definitions` VALUES (90416, 6212, 23, 'Abone Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (90417, 6213, 23, 'Abone İşveren');
INSERT INTO `lang_definitions` VALUES (90418, 6214, 23, 'Abone İşveren (Aİ)');
INSERT INTO `lang_definitions` VALUES (90419, 6215, 23, 'Abone İşveren Adresi');
INSERT INTO `lang_definitions` VALUES (90420, 6216, 23, 'Abone İşveren Semt');
INSERT INTO `lang_definitions` VALUES (90421, 6217, 23, 'Abone İşveren Ülke');
INSERT INTO `lang_definitions` VALUES (90422, 6218, 23, 'Abone İşveren Şehir');
INSERT INTO `lang_definitions` VALUES (90423, 6219, 23, 'Abone İşveren Cadde');
INSERT INTO `lang_definitions` VALUES (90424, 6220, 23, 'Abone İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (90425, 6221, 23, 'Abone İşveren Posta Kodu');
INSERT INTO `lang_definitions` VALUES (90426, 6222, 23, 'Abone Adı');
INSERT INTO `lang_definitions` VALUES (90427, 6223, 23, 'Abone Soyadı');
INSERT INTO `lang_definitions` VALUES (90428, 6224, 23, 'Abone İkinci Adı');
INSERT INTO `lang_definitions` VALUES (90429, 6225, 23, 'Abone Telefonu');
INSERT INTO `lang_definitions` VALUES (90430, 6226, 23, 'Abone İlişkisi');
INSERT INTO `lang_definitions` VALUES (90431, 6227, 23, 'Abone ilişkisi kendisi değil fakat isim kendisi! Bu gerçekten TAMAM mı?');
INSERT INTO `lang_definitions` VALUES (90432, 6228, 23, 'Abone ilişkisi kendisi değil fakat SGK numarası kendisi!');
INSERT INTO `lang_definitions` VALUES (90433, 6229, 23, 'Abone ilişkisi kendisi fakat isim farklı! Bu gerçekten TAMAM mı?');
INSERT INTO `lang_definitions` VALUES (90434, 6230, 23, 'Abone ilişkisi kendisi fakat SGK numarası farklı!');
INSERT INTO `lang_definitions` VALUES (90435, 6231, 23, 'Abone Cinsiyeti');
INSERT INTO `lang_definitions` VALUES (90436, 6233, 23, 'Abone Şehir');
INSERT INTO `lang_definitions` VALUES (90437, 6234, 23, 'Abone Posta Kodu');
INSERT INTO `lang_definitions` VALUES (90438, 6235, 23, 'Abone Telefonu');
INSERT INTO `lang_definitions` VALUES (90439, 6237, 23, 'Yerine Koyma');
INSERT INTO `lang_definitions` VALUES (90440, 6238, 23, 'yerine koymaya izin veriliyor');
INSERT INTO `lang_definitions` VALUES (90441, 6240, 23, 'Başarı');
INSERT INTO `lang_definitions` VALUES (90442, 6241, 23, 'başarı');
INSERT INTO `lang_definitions` VALUES (90443, 6242, 23, 'Lab sonucu alındısı doğrulaması başarılı');
INSERT INTO `lang_definitions` VALUES (90444, 6243, 23, 'Lab sonuçlarının alınması başarılı');
INSERT INTO `lang_definitions` VALUES (90445, 6244, 23, 'Sonuçlar Lab Değişim Ağından başarıyla alındı.');
INSERT INTO `lang_definitions` VALUES (90446, 6246, 23, 'Başaarı ile eklenmiş kategori');
INSERT INTO `lang_definitions` VALUES (90447, 6247, 23, 'başarıyla kategoriye eklendi.');
INSERT INTO `lang_definitions` VALUES (90448, 6248, 23, 'Başarıyla Silindi.');
INSERT INTO `lang_definitions` VALUES (90449, 6249, 23, 'Ayrıntılar Başarılı olarak alındı. Lütfen hastayı Bekleyen Kabul Ekranından onaylayınız');
INSERT INTO `lang_definitions` VALUES (90450, 6250, 23, 'Veritabanı başarılı olarak kuruldu.');
INSERT INTO `lang_definitions` VALUES (90451, 6251, 23, 'İzleyen veritabanı başarıyla kuruldu.');
INSERT INTO `lang_definitions` VALUES (90452, 6252, 23, 'Başarıyla Değiştirildi.');
INSERT INTO `lang_definitions` VALUES (90453, 6253, 23, 'Başarıyla Kaydedildi. Paylaştırmak ister misiniz?');
INSERT INTO `lang_definitions` VALUES (90454, 6254, 23, 'Başarıyla Kaydedildi Dağıtmak ister misiniz?');
INSERT INTO `lang_definitions` VALUES (90455, 6256, 23, 'başarıyla saklandı');
INSERT INTO `lang_definitions` VALUES (90456, 6257, 23, 'Veritabanı başarıyla yükseltildi');
INSERT INTO `lang_definitions` VALUES (90457, 6258, 23, 'Aşağıdakş veritabanı başarı ile yükseltildi.');
INSERT INTO `lang_definitions` VALUES (90458, 6259, 23, 'başarılı olarak');
INSERT INTO `lang_definitions` VALUES (90459, 6260, 23, 'İntihar');
INSERT INTO `lang_definitions` VALUES (90460, 6261, 23, 'Özet');
INSERT INTO `lang_definitions` VALUES (90461, 6262, 23, 'Özeti Yapılan :');
INSERT INTO `lang_definitions` VALUES (90462, 6265, 23, 'Paz');
INSERT INTO `lang_definitions` VALUES (90463, 6267, 23, 'Pazar');
INSERT INTO `lang_definitions` VALUES (90464, 6268, 23, 'Süperfatura');
INSERT INTO `lang_definitions` VALUES (90465, 6269, 23, 'Süperfatura Kodları');
INSERT INTO `lang_definitions` VALUES (90466, 6270, 23, 'Süperfatura Kodları Yönetimi');
INSERT INTO `lang_definitions` VALUES (90467, 6271, 23, 'Süperfatura Raporu');
INSERT INTO `lang_definitions` VALUES (90468, 6272, 23, 'Süperfatura/Ücret dökümü');
INSERT INTO `lang_definitions` VALUES (90469, 6273, 23, 'Süperfaturalar');
INSERT INTO `lang_definitions` VALUES (90470, 6274, 23, 'Bazen Görüşme Formları veya Yönlendirme Fişleri denilen Süperfaturalar pek çok tıbbi uygulamanın zorunlu kısımlarından biridir.');
INSERT INTO `lang_definitions` VALUES (90471, 6275, 23, 'Süper kullanıcı');
INSERT INTO `lang_definitions` VALUES (90472, 6276, 23, 'Gözetmen');
INSERT INTO `lang_definitions` VALUES (90473, 6279, 23, 'Süpervayzır Doktor İsmi');
INSERT INTO `lang_definitions` VALUES (90474, 6280, 23, 'Süpervayzır Doktor Soyadı');
INSERT INTO `lang_definitions` VALUES (90475, 6283, 23, 'Sağlayıcı tesis adı');
INSERT INTO `lang_definitions` VALUES (90476, 6284, 23, 'çeşitli sağlayıcılara uygulanan takvim olaylarını destekle');
INSERT INTO `lang_definitions` VALUES (90477, 6285, 23, 'İçe aktar/dışa aktar konfigürasyonunu yedek dosyası ile destekle');
INSERT INTO `lang_definitions` VALUES (90478, 6286, 23, 'Çok-Sağlayıcılı olayları Destekle');
INSERT INTO `lang_definitions` VALUES (90479, 6289, 23, 'Yüzey Tipi');
INSERT INTO `lang_definitions` VALUES (90480, 6290, 23, 'Ameliyatlar');
INSERT INTO `lang_definitions` VALUES (90481, 6291, 23, 'Cerrahi');
INSERT INTO `lang_definitions` VALUES (90482, 6293, 23, 'Ertelendi');
INSERT INTO `lang_definitions` VALUES (90483, 6294, 23, 'asma');
INSERT INTO `lang_definitions` VALUES (90484, 6295, 23, 'Svc Tarihi');
INSERT INTO `lang_definitions` VALUES (90485, 6296, 23, 'Svc Tarihi:');
INSERT INTO `lang_definitions` VALUES (90486, 6299, 23, 'Terleme:');
INSERT INTO `lang_definitions` VALUES (90487, 6300, 23, 'İsveççe');
INSERT INTO `lang_definitions` VALUES (90488, 6301, 23, 'Şişlik');
INSERT INTO `lang_definitions` VALUES (90489, 6302, 23, 'Sağda Şişlik');
INSERT INTO `lang_definitions` VALUES (90490, 6303, 23, 'Eklemlerde Şişlik');
INSERT INTO `lang_definitions` VALUES (90491, 6304, 23, 'Lenf Nodlarında Şişlik');
INSERT INTO `lang_definitions` VALUES (90492, 6305, 23, 'Para biriminde ondalık belirteci, Ondalık yeri 0 ise kullanılmaz');
INSERT INTO `lang_definitions` VALUES (90493, 6306, 23, 'Para biriminde binleri ayırma belirteci');
INSERT INTO `lang_definitions` VALUES (90494, 6307, 23, 'Semptomlar');
INSERT INTO `lang_definitions` VALUES (90495, 6308, 23, 'Senkronize et');
INSERT INTO `lang_definitions` VALUES (90496, 6309, 23, 'Tercümeleri özel dil tablosu ile senkronize et.');
INSERT INTO `lang_definitions` VALUES (90497, 6310, 23, 'Senkronize edilmiş yeni özel sabit:');
INSERT INTO `lang_definitions` VALUES (90498, 6311, 23, 'Senkronize edilmiş yeni özel dil:');
INSERT INTO `lang_definitions` VALUES (90499, 6312, 23, 'Senkronize edilmiş yeni tanım(Dil, Sabit, Tanım):');
INSERT INTO `lang_definitions` VALUES (90500, 6313, 23, 'Senkop');
INSERT INTO `lang_definitions` VALUES (90501, 6314, 23, 'Sendrom Sürveyansı');
INSERT INTO `lang_definitions` VALUES (90502, 6315, 23, 'Sendrom Sürveyansı - Rapor Edilmemiş Konular');
INSERT INTO `lang_definitions` VALUES (90503, 6316, 23, 'Sendrom İzleme Raporu');
INSERT INTO `lang_definitions` VALUES (90504, 6317, 23, 'Sinovit, sıkışma, bursit');
INSERT INTO `lang_definitions` VALUES (90505, 6318, 23, 'Sistem');
INSERT INTO `lang_definitions` VALUES (90506, 6322, 23, 'S');
INSERT INTO `lang_definitions` VALUES (90507, 6323, 23, '3x1');
INSERT INTO `lang_definitions` VALUES (90508, 6324, 23, 'Hazneye');
INSERT INTO `lang_definitions` VALUES (90509, 6325, 23, 'Tablo');
INSERT INTO `lang_definitions` VALUES (90510, 6327, 23, 'Tablo oluşturulamadı');
INSERT INTO `lang_definitions` VALUES (90511, 6328, 23, 'Tablo güncellenemedi');
INSERT INTO `lang_definitions` VALUES (90512, 6329, 23, 'Tablolar');
INSERT INTO `lang_definitions` VALUES (90513, 6330, 23, 'tablet');
INSERT INTO `lang_definitions` VALUES (90514, 6332, 23, 'Takalotça');
INSERT INTO `lang_definitions` VALUES (90515, 6335, 23, 'Alınız');
INSERT INTO `lang_definitions` VALUES (90516, 6336, 23, 'Açılır menüden Sigortayı seçin');
INSERT INTO `lang_definitions` VALUES (90517, 6337, 23, 'Açılır menüden Ödemeyi seçin');
INSERT INTO `lang_definitions` VALUES (90518, 6338, 23, 'Geri alın');
INSERT INTO `lang_definitions` VALUES (90519, 6339, 23, 'Uzun süre alır');
INSERT INTO `lang_definitions` VALUES (90520, 6354, 23, 'Vergi No');
INSERT INTO `lang_definitions` VALUES (90521, 6355, 23, 'Vergi Oranı');
INSERT INTO `lang_definitions` VALUES (90522, 6356, 23, 'Vergiler');
INSERT INTO `lang_definitions` VALUES (90523, 6357, 23, 'Taksonomi');
INSERT INTO `lang_definitions` VALUES (90524, 6358, 23, 'Td');
INSERT INTO `lang_definitions` VALUES (90525, 6359, 23, 'Takım Yaralanma Genel Bakış');
INSERT INTO `lang_definitions` VALUES (90526, 6360, 23, 'Takım Kadrosu');
INSERT INTO `lang_definitions` VALUES (90527, 6361, 23, 'Takım Kadrosu Görünümü');
INSERT INTO `lang_definitions` VALUES (90528, 6362, 23, 'Ekip/Takım');
INSERT INTO `lang_definitions` VALUES (90529, 6363, 23, 'Tel');
INSERT INTO `lang_definitions` VALUES (90530, 6364, 23, 'Telefon Ülke Kodu');
INSERT INTO `lang_definitions` VALUES (90531, 6366, 23, 'Temp');
INSERT INTO `lang_definitions` VALUES (90532, 6367, 23, 'Geçici Yer');
INSERT INTO `lang_definitions` VALUES (90533, 6368, 23, 'Geçici Yöntem');
INSERT INTO `lang_definitions` VALUES (90534, 6369, 23, 'Sıcaklık');
INSERT INTO `lang_definitions` VALUES (90535, 6370, 23, 'Kalıp');
INSERT INTO `lang_definitions` VALUES (90536, 6371, 23, 'Kalıp İsmi');
INSERT INTO `lang_definitions` VALUES (90537, 6372, 23, 'Kalıp isimleri rakamlarla başlayamaz');
INSERT INTO `lang_definitions` VALUES (90538, 6373, 23, 'Kalıp:');
INSERT INTO `lang_definitions` VALUES (90539, 6374, 23, 'Kalıplar');
INSERT INTO `lang_definitions` VALUES (90540, 6375, 23, 'Temporal Arter');
INSERT INTO `lang_definitions` VALUES (90541, 6376, 23, 'Tendon Yaralanması');
INSERT INTO `lang_definitions` VALUES (90542, 6377, 23, 'Tendonit / tendonozis /bursit');
INSERT INTO `lang_definitions` VALUES (90543, 6378, 23, 'Geçici Fatura Ref No');
INSERT INTO `lang_definitions` VALUES (90544, 6379, 23, 'Üçüncü');
INSERT INTO `lang_definitions` VALUES (90545, 6380, 23, 'Üçüncü Sigorta');
INSERT INTO `lang_definitions` VALUES (90546, 6381, 23, 'Üçüncü Sigorta Verileri');
INSERT INTO `lang_definitions` VALUES (90547, 6382, 23, 'Üçüncü Sigorta sağlayıcı');
INSERT INTO `lang_definitions` VALUES (90548, 6383, 23, 'Test planlama');
INSERT INTO `lang_definitions` VALUES (90549, 6384, 23, 'Sistem Testi');
INSERT INTO `lang_definitions` VALUES (90550, 6385, 23, 'Metin');
INSERT INTO `lang_definitions` VALUES (90551, 6386, 23, 'Tanı Metin');
INSERT INTO `lang_definitions` VALUES (90552, 6387, 23, 'Metin alanı');
INSERT INTO `lang_definitions` VALUES (90553, 6393, 23, 'Tarih metin');
INSERT INTO `lang_definitions` VALUES (90554, 6394, 23, 'tarih-metin');
INSERT INTO `lang_definitions` VALUES (90555, 6395, 23, 'Metinalanı');
INSERT INTO `lang_definitions` VALUES (90556, 6396, 23, 'metin alanı');
INSERT INTO `lang_definitions` VALUES (90557, 6397, 23, 'Metin Kutusu');
INSERT INTO `lang_definitions` VALUES (90558, 6398, 23, 'metin kutusu');
INSERT INTO `lang_definitions` VALUES (90559, 6399, 23, 'Metin kutusu listesi');
INSERT INTO `lang_definitions` VALUES (90560, 6400, 23, 'metin kutusu listesi');
INSERT INTO `lang_definitions` VALUES (90561, 6401, 23, 'Taylandca');
INSERT INTO `lang_definitions` VALUES (90562, 6402, 23, 'Teşekkürler');
INSERT INTO `lang_definitions` VALUES (90563, 6403, 23, 'Seçtiğiniz için teşekkürler');
INSERT INTO `lang_definitions` VALUES (90564, 6404, 23, '\"Temizle\" düğmesi tüm açıklamaları siler');
INSERT INTO `lang_definitions` VALUES (90565, 6405, 23, 'Yukarıdaki açıklama başarısız');
INSERT INTO `lang_definitions` VALUES (90566, 6406, 23, 'Apache sunucu sertifikası ve temel anahtar');
INSERT INTO `lang_definitions` VALUES (90567, 6407, 23, 'Sertifika Yetkilisi sertifikası');
INSERT INTO `lang_definitions` VALUES (90568, 6408, 23, 'Alacak dosyası: ');
INSERT INTO `lang_definitions` VALUES (90569, 6410, 23, 'İlgili özel anahtar');
INSERT INTO `lang_definitions` VALUES (90570, 6413, 23, 'Red şifresi');
INSERT INTO `lang_definitions` VALUES (90571, 6414, 23, 'Grup Red Şifresi');
INSERT INTO `lang_definitions` VALUES (90572, 6415, 23, 'Hedef form kapatıldı');
INSERT INTO `lang_definitions` VALUES (90573, 6416, 23, 'Hedef form kapatıldı; Seçiminiz üzerinde işlem yapamıyorum.');
INSERT INTO `lang_definitions` VALUES (90574, 6422, 23, 'Olay(lar) onaylandı.');
INSERT INTO `lang_definitions` VALUES (90575, 6423, 23, 'Olay(lar) gizlendi.');
INSERT INTO `lang_definitions` VALUES (90576, 6424, 23, 'Dışarı aktarılan veriler aşağıdaki metin penceresinde görüntülenmektedir. Bunu kopyalayıp epostaya veya arzu ettiğiniz her hangi bir hedefe yapıştırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (90577, 6426, 23, 'Dışarı aktarılan veriler aşağıdaki metin penceresinde görüntülenmektedir. Bunu kopyalayıp epostaya veya arzu ettiğiniz her hangi bir hedefe yapıştırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (90578, 6427, 23, 'Dışarı aktarılan veriler aşağıdaki metin penceresinde görüntülenmektedir. Bunu kopyalayıp epostaya veya arzu ettiğiniz her hangi bir hedefe yapıştırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (90579, 6434, 23, 'Aşağıdaki takvim olayı eklendi:');
INSERT INTO `lang_definitions` VALUES (90580, 6435, 23, 'Aşağıdaki takvim olayı değiştirildi:');
INSERT INTO `lang_definitions` VALUES (90581, 6439, 23, 'Aşağıdaki EDI dosyası yüklendi');
INSERT INTO `lang_definitions` VALUES (90582, 6440, 23, 'Aşağıdaki Acil Giriş Kullanıcısı etkinleştirildi:');
INSERT INTO `lang_definitions` VALUES (90583, 6441, 23, 'Aşağıdaki hatalar oluştu');
INSERT INTO `lang_definitions` VALUES (90584, 6444, 23, 'Aşağıdaki alanlar gereklidir');
INSERT INTO `lang_definitions` VALUES (90585, 6449, 23, 'ATNA yedek denetim makinası ana bilgisayar adı');
INSERT INTO `lang_definitions` VALUES (90586, 6450, 23, 'İlk pencere fatura arama penceresidir. En üste bir kaynak (örneğin çek numarası) ödeme tarihi ve çek miktarı girebilirsiniz. Kaynak ve ödeme tarihinin öyle olmasının sebebi her alacaktan sonra tekrar tekrar girmek zorunda kalmamanız içindir. Girdiğiniz miktar ödenen kısım için verdiğiniz her faturada düşülecek ve bittiğinde 0 ile sonlanacaktır.');
INSERT INTO `lang_definitions` VALUES (90587, 6456, 23, 'Form üzerinde kullanıcıya görünen etiket');
INSERT INTO `lang_definitions` VALUES (90588, 6460, 23, 'Yeni kategorinin üst kategorisi: ');
INSERT INTO `lang_definitions` VALUES (90589, 6466, 23, 'Şifre en az sekiz karakter içermeli ve');
INSERT INTO `lang_definitions` VALUES (90590, 6472, 23, 'Yapılan ödemeler bu tarihten öncesine gidemez. Bunun sebebi son rapor çıktıktan sonra kimsenin önceki tarihler için kayıt yapmamasını garanti etmektir.');
INSERT INTO `lang_definitions` VALUES (90591, 6475, 23, 'Aşağıdaki bilgi sadece el ile gönderiyorsanız ve el ile düzeltmeler yapıyorsanız geçerlidir.');
INSERT INTO `lang_definitions` VALUES (90592, 6477, 23, 'İstenen belge dosya sisteminde bulunmamaktadır veya ona erişmek için yeterli izin yoktur');
INSERT INTO `lang_definitions` VALUES (90593, 6480, 23, 'Kaynak ve Tarih sütunları ilk sayfadan kopyalanır, bu nedenle normal olarak onlara dokunmanız gerekmeyecektir. Ödeme sütununa bir ödeme miktarını, Düzeltme sütununa bir düzeltme miktarını veya her ikisini girebilirsiniz. Aynı zamanda sağdaki \"Y\" yi tıklayıp düzeltme değerini otomatik hesaplattırıp aynı satır için alacağın kalanını yazdırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (90594, 6484, 23, 'Takvim için zaman boyutu ve bir randevu için dakika olarak en kısa aralık.');
INSERT INTO `lang_definitions` VALUES (90595, 6485, 23, 'Form üzerinde güncel dilde görüntülenecek tercüme edilmiş etiket');
INSERT INTO `lang_definitions` VALUES (90596, 6486, 23, 'Güncel dilde görüntülenecek tercüme edilmiş Başlık');
INSERT INTO `lang_definitions` VALUES (90597, 6487, 23, 'Güncel dilin çeviri tanımı');
INSERT INTO `lang_definitions` VALUES (90598, 6488, 23, 'Tercüme tabloları senkronize edildi');
INSERT INTO `lang_definitions` VALUES (90599, 6489, 23, 'Bu konunun tipi');
INSERT INTO `lang_definitions` VALUES (90600, 6490, 23, 'Bu işlem veya sonucun satıcıya özgül kimlik kodu');
INSERT INTO `lang_definitions` VALUES (90601, 6491, 23, 'X12 dosyaları ve sonuç HTML çıktı raporları ana Özgür ETK kurulum dizininin \"era\" alt dizininde arşivlenmektedirler. Bazen bu arşivlere erişmek ister iseniz yolu');
INSERT INTO `lang_definitions` VALUES (90602, 6492, 23, 'zip dosyasında şu kalemler olacak');
INSERT INTO `lang_definitions` VALUES (90603, 6493, 23, 'Tema');
INSERT INTO `lang_definitions` VALUES (90604, 6495, 23, 'Terapötik enjeksiyonlar');
INSERT INTO `lang_definitions` VALUES (90605, 6496, 23, 'Var');
INSERT INTO `lang_definitions` VALUES (90606, 6497, 23, 'Halen hiç reçete yok');
INSERT INTO `lang_definitions` VALUES (90607, 6498, 23, 'Gönderinizde hatalar var. Bunlar aşağıda özetlenmiştir.');
INSERT INTO `lang_definitions` VALUES (90608, 6500, 23, 'İşaretlenmiş hiç çizelge yok');
INSERT INTO `lang_definitions` VALUES (90609, 6502, 23, 'Hiç Yeni Teslimat yok');
INSERT INTO `lang_definitions` VALUES (90610, 6503, 23, 'Bu hasta için dosyada hiç not yok');
INSERT INTO `lang_definitions` VALUES (90611, 6504, 23, 'Bu hasta için dosyada hiçbir işlem yok.');
INSERT INTO `lang_definitions` VALUES (90612, 6505, 23, 'Bir eposta hatası oldu');
INSERT INTO `lang_definitions` VALUES (90613, 6506, 23, 'isimli bir kategori zaten var');
INSERT INTO `lang_definitions` VALUES (90614, 6507, 23, 'isimli bir alt kategori zaten var');
INSERT INTO `lang_definitions` VALUES (90615, 6508, 23, 'isimli bir kalem zaten var');
INSERT INTO `lang_definitions` VALUES (90616, 6510, 23, 'AR hesabı için hiçbir COA girdisi yok ');
INSERT INTO `lang_definitions` VALUES (90617, 6511, 23, 'Peşin hesabı için COA girdisi yok ');
INSERT INTO `lang_definitions` VALUES (90618, 6512, 23, 'Gelir hesabı için COA girdisi yok ');
INSERT INTO `lang_definitions` VALUES (90619, 6513, 23, 'Güncel hasta yok');
INSERT INTO `lang_definitions` VALUES (90620, 6515, 23, 'Fatura ID si ile eşleşme yok');
INSERT INTO `lang_definitions` VALUES (90621, 6516, 23, 'Fatura ID si ile eşleşme yok= ');
INSERT INTO `lang_definitions` VALUES (90622, 6517, 23, 'Servis ID için parça girişi yok ');
INSERT INTO `lang_definitions` VALUES (90623, 6520, 23, 'İsteğinizin işlemi sırasında bir hata oldu.');
INSERT INTO `lang_definitions` VALUES (90624, 6523, 23, 'Sağda Kalınlaşmış:');
INSERT INTO `lang_definitions` VALUES (90625, 6524, 23, 'Uyluk');
INSERT INTO `lang_definitions` VALUES (90626, 6525, 23, 'Uyluk + diz arkası kirişi');
INSERT INTO `lang_definitions` VALUES (90627, 6527, 23, 'Arka büronun okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (90628, 6528, 23, 'Arka büronun okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (90629, 6531, 23, 'Klinisyenlerin okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (90630, 6532, 23, 'Klinisyenlerin okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (90631, 6535, 23, 'Ön büronun okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (90632, 6536, 23, 'Ön büronun okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (90633, 6539, 23, 'Doktorların okuyup girebileceği ancak değiştiremeyeceği şeyler');
INSERT INTO `lang_definitions` VALUES (90634, 6540, 23, 'Doktorların okuyup değişiştirebileceği şeyler');
INSERT INTO `lang_definitions` VALUES (90635, 6542, 23, 'Üçüncü');
INSERT INTO `lang_definitions` VALUES (90636, 6544, 23, 'Bu işlem geri ALINAMAZ.');
INSERT INTO `lang_definitions` VALUES (90637, 6545, 23, 'Bu işlem geri alınamaz.');
INSERT INTO `lang_definitions` VALUES (90638, 6547, 23, 'Bu işlem günlüğe kaydedilecek');
INSERT INTO `lang_definitions` VALUES (90639, 6551, 23, 'Takvim Yılı');
INSERT INTO `lang_definitions` VALUES (90640, 6554, 23, 'Bu alacak reddedildi. Sebep:');
INSERT INTO `lang_definitions` VALUES (90641, 6555, 23, 'Bu alacak üst düzeye iletildi.');
INSERT INTO `lang_definitions` VALUES (90642, 6556, 23, 'Bu kod tipi ilişkileri kabul etmiyor');
INSERT INTO `lang_definitions` VALUES (90643, 6558, 23, 'Bu randevuların takvimde nasıl görüntüleneceğini belirler.');
INSERT INTO `lang_definitions` VALUES (90644, 6561, 23, 'Bu Görüşme');
INSERT INTO `lang_definitions` VALUES (90645, 6565, 23, 'Bu özellik çok deneyseldir ve tam olarak test edilmemiştir. Sorumluluk sizindir!');
INSERT INTO `lang_definitions` VALUES (90646, 6566, 23, 'Fatura numarası değiştirildi. Yenisi: ');
INSERT INTO `lang_definitions` VALUES (90647, 6575, 23, 'Modül test modundadır. Veritabanı değiştirilmeyecek.');
INSERT INTO `lang_definitions` VALUES (90648, 6576, 23, 'Bu modül Müstahaklık verisinin verimli olarak girilmesini sağlar.');
INSERT INTO `lang_definitions` VALUES (90649, 6577, 23, 'Bu aybaşından bu güne kadar');
INSERT INTO `lang_definitions` VALUES (90650, 6581, 23, 'Bu sayfa satır içinde giriş sayfasını içerecek, böylece her seferinde tekrar gir tıklamak zorunda kalmayacağız.');
INSERT INTO `lang_definitions` VALUES (90651, 6582, 23, 'Bu hastanın hiçbir etkinliği yok');
INSERT INTO `lang_definitions` VALUES (90652, 6583, 23, 'Bu Hasta ID önceden kullanımda!');
INSERT INTO `lang_definitions` VALUES (90653, 6584, 23, 'Bu ürün depo başına sadece tek partiye müsaade ediyor');
INSERT INTO `lang_definitions` VALUES (90654, 6591, 23, 'Bu adımda gelecekte kullanmanız için saklamanız gereken bir dosya oluşturulacak. Bu dosya tekrar oluşturulamaz. Devam etmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (90655, 6592, 23, 'Bu kullanıcı hiçbir grubun üyesi değil');
INSERT INTO `lang_definitions` VALUES (90656, 6595, 23, 'Bu vizit yeni kontraseptif kullanımına başlar');
INSERT INTO `lang_definitions` VALUES (90657, 6596, 23, 'Bu vizite bir GCAC formu, sevk veya işlem hizmeti gerekecek.');
INSERT INTO `lang_definitions` VALUES (90658, 6597, 23, 'Bu önceki sadece metrik Vitalis formu idi, şimdi kullanılmıyor.');
INSERT INTO `lang_definitions` VALUES (90659, 6598, 23, 'Bu hafta başından bugüne kadar');
INSERT INTO `lang_definitions` VALUES (90660, 6600, 23, 'Bu BDK (Bakım Devam Kaydı) ve BDB(Bakım Devam Belgesi) bildirilmesini etkinleştirir.');
INSERT INTO `lang_definitions` VALUES (90661, 6606, 23, 'Bu tar formatında bir yedek oluşturup sonra tarayıcınıza gönderecek böylece kaydedebilirsiniz');
INSERT INTO `lang_definitions` VALUES (90662, 6613, 23, 'Bu hasta özet ekranında Fatura Simgesini devamlı açık kalmaya zorlar.');
INSERT INTO `lang_definitions` VALUES (90663, 6622, 23, 'Torakal omurga');
INSERT INTO `lang_definitions` VALUES (90664, 6623, 23, 'mm3 te bin');
INSERT INTO `lang_definitions` VALUES (90665, 6625, 23, 'Boğaz');
INSERT INTO `lang_definitions` VALUES (90666, 6626, 23, 'Gırtlak Kanseri');
INSERT INTO `lang_definitions` VALUES (90667, 6627, 23, 'Gırtlak Kanseri Cerrahisi');
INSERT INTO `lang_definitions` VALUES (90668, 6628, 23, 'Tromboz/Felç');
INSERT INTO `lang_definitions` VALUES (90669, 6629, 23, 'Perş');
INSERT INTO `lang_definitions` VALUES (90670, 6630, 23, 'Perşembe');
INSERT INTO `lang_definitions` VALUES (90671, 6631, 23, 'Perşembe');
INSERT INTO `lang_definitions` VALUES (90672, 6632, 23, 'Tiroid normal');
INSERT INTO `lang_definitions` VALUES (90673, 6633, 23, 'Tiroid sorunları');
INSERT INTO `lang_definitions` VALUES (90674, 6634, 23, 'Geçici İskemik Atak');
INSERT INTO `lang_definitions` VALUES (90675, 6638, 23, 'Zaman');
INSERT INTO `lang_definitions` VALUES (90676, 6639, 23, 'Zaman görüntüleme formatı');
INSERT INTO `lang_definitions` VALUES (90677, 6640, 23, 'Eklenecek zaman (1-60 dakika)');
INSERT INTO `lang_definitions` VALUES (90678, 6641, 23, 'Zaman seçimi');
INSERT INTO `lang_definitions` VALUES (90679, 6647, 23, 'Zamanlanmış olay');
INSERT INTO `lang_definitions` VALUES (90680, 6648, 23, 'Zaman değişeni (yok)');
INSERT INTO `lang_definitions` VALUES (90681, 6649, 23, 'Zaman Damgası ve Metin');
INSERT INTO `lang_definitions` VALUES (90682, 6650, 23, 'TIN');
INSERT INTO `lang_definitions` VALUES (90683, 6651, 23, 'Kulak çınlaması');
INSERT INTO `lang_definitions` VALUES (90684, 6652, 23, 'Başlık');
INSERT INTO `lang_definitions` VALUES (90685, 6653, 23, 'Başlık V');
INSERT INTO `lang_definitions` VALUES (90686, 6654, 23, 'Başlık Sütunları 1 ve 999 arası bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (90687, 6655, 23, 'Başlıklar');
INSERT INTO `lang_definitions` VALUES (90688, 6656, 23, 'Boğaz Ağız:');
INSERT INTO `lang_definitions` VALUES (90689, 6657, 23, 'Boğaz ağız,Dış kulak yolu,dış kulak, burun:');
INSERT INTO `lang_definitions` VALUES (90690, 6658, 23, 'Bitiş');
INSERT INTO `lang_definitions` VALUES (90691, 6659, 23, 'BİTİŞ');
INSERT INTO `lang_definitions` VALUES (90692, 6660, 23, 'bitiş');
INSERT INTO `lang_definitions` VALUES (90693, 6661, 23, 'dosyanın mutlak yoluna');
INSERT INTO `lang_definitions` VALUES (90694, 6662, 23, 'Not eklemek için lütfen tıklayınız ');
INSERT INTO `lang_definitions` VALUES (90695, 6664, 23, 'Etkilenmiş bölgeye');
INSERT INTO `lang_definitions` VALUES (90696, 6665, 23, 'etkilenmiş bölgeye');
INSERT INTO `lang_definitions` VALUES (90697, 6666, 23, 'Belirlenen formu otomatik olarak açmak için bazı spor takımları burada football_injury_audit kullanır');
INSERT INTO `lang_definitions` VALUES (90698, 6667, 23, 'Faturalama Görünümü');
INSERT INTO `lang_definitions` VALUES (90699, 6668, 23, 'kategoriye');
INSERT INTO `lang_definitions` VALUES (90700, 6669, 23, 'Klinik Görünüme');
INSERT INTO `lang_definitions` VALUES (90701, 6670, 23, 'Eş Ödemeye');
INSERT INTO `lang_definitions` VALUES (90702, 6672, 23, 'ded ble ye');
INSERT INTO `lang_definitions` VALUES (90703, 6673, 23, 'Demse');
INSERT INTO `lang_definitions` VALUES (90704, 6674, 23, 'Müşteri tarafı SSL sertifikalarını hizmet dışı bırakma için yukarıdaki satırları Apache konfigürasyon dosyasında # ile iptal edip sunucuyu tekrar başlatın');
INSERT INTO `lang_definitions` VALUES (90705, 6675, 23, 'HTTPS i hizmet dışı bırakmak için Apache Konfigürasyon dosyasında yukarıdaki satırları # ile iptal edin ve Apache sunucusunu tekrar başlatın.');
INSERT INTO `lang_definitions` VALUES (90706, 6676, 23, 'Müşteri tarafı ssl sertifikalarını etkinleştirmek için');
INSERT INTO `lang_definitions` VALUES (90707, 6677, 23, 'Müşteri tarafı SSL sertifikası doğrulanmasının etkinleştirilmesi için HTTPS in etkinleştirilmesi gerekir.');
INSERT INTO `lang_definitions` VALUES (90708, 6678, 23, 'Sadece HTTPS i etkinleştirmek için yukarıdaki değişiklikleri uygulayın ve Apache sunucusunu tekrar başlatın. Eğer müşteri tarafı sertifikalarını da düzenlemek isterseniz lütfen sonraki bölümde düzenleyin.');
INSERT INTO `lang_definitions` VALUES (90709, 6679, 23, 'Görüşmeye');
INSERT INTO `lang_definitions` VALUES (90710, 6680, 23, 'cinsiyete göre filtrele');
INSERT INTO `lang_definitions` VALUES (90711, 6681, 23, 'Öyküye');
INSERT INTO `lang_definitions` VALUES (90712, 6682, 23, 'Konulara');
INSERT INTO `lang_definitions` VALUES (90713, 6683, 23, 'Bu görüşmeyi/konsültasyonu mevcut bir konu ile bağlantılandırmak için tıklayınız ');
INSERT INTO `lang_definitions` VALUES (90714, 6684, 23, 'Bu görüşmeyi/konsültasyonu mevcut bir konu ile bağlantılandırmak için yukarıdan istenen konuyu tıklayıp vurgulayınız sonra [Kaydet] i tıklayınız. Çoklu seçim için [Ctrl] düğmesini basılı tutunuz.');
INSERT INTO `lang_definitions` VALUES (90715, 6685, 23, 'tekrar giriş için');
INSERT INTO `lang_definitions` VALUES (90716, 6686, 23, 'Açıklamaları kaydetmek için lütfen tıklayınız');
INSERT INTO `lang_definitions` VALUES (90717, 6687, 23, 'çalıştırmak için');
INSERT INTO `lang_definitions` VALUES (90718, 6688, 23, 'Müşteri sertifika doğrulaması ile https erişimini kurmak için şunları yapın');
INSERT INTO `lang_definitions` VALUES (90719, 6689, 23, 'Deriye');
INSERT INTO `lang_definitions` VALUES (90720, 6690, 23, 'deriye');
INSERT INTO `lang_definitions` VALUES (90721, 6691, 23, 'bu vizite mi?');
INSERT INTO `lang_definitions` VALUES (90722, 6693, 23, 'Bitiş:');
INSERT INTO `lang_definitions` VALUES (90723, 6694, 23, 'Bitiş: ');
INSERT INTO `lang_definitions` VALUES (90724, 6695, 23, 'ALACAK_SEMT');
INSERT INTO `lang_definitions` VALUES (90725, 6696, 23, 'ALACAK_FAKS');
INSERT INTO `lang_definitions` VALUES (90726, 6697, 23, 'ALACAK_İSİM');
INSERT INTO `lang_definitions` VALUES (90727, 6698, 23, 'ALACAK_SOYİSİM');
INSERT INTO `lang_definitions` VALUES (90728, 6699, 23, 'ALACAK_İKİNCİ_İSİM');
INSERT INTO `lang_definitions` VALUES (90729, 6700, 23, 'ALACAK_KURUM');
INSERT INTO `lang_definitions` VALUES (90730, 6703, 23, 'ALACAK_POSTAKODU');
INSERT INTO `lang_definitions` VALUES (90731, 6704, 23, 'ALACAK_ŞEHİR');
INSERT INTO `lang_definitions` VALUES (90732, 6705, 23, 'ALACAK_CADDE');
INSERT INTO `lang_definitions` VALUES (90733, 6706, 23, 'ALACAK_UNVANI');
INSERT INTO `lang_definitions` VALUES (90734, 6707, 23, 'ALACAK_VEDA');
INSERT INTO `lang_definitions` VALUES (90735, 6708, 23, 'Tütün');
INSERT INTO `lang_definitions` VALUES (90736, 6712, 23, 'Tütün kullanımı');
INSERT INTO `lang_definitions` VALUES (90737, 6715, 23, 'Bugün');
INSERT INTO `lang_definitions` VALUES (90738, 6717, 23, 'bugün');
INSERT INTO `lang_definitions` VALUES (90739, 6720, 23, 'Bugünün tarihi');
INSERT INTO `lang_definitions` VALUES (90740, 6721, 23, 'Bugünün Olayları');
INSERT INTO `lang_definitions` VALUES (90741, 6724, 23, 'LLC Lab. Değişim hizmeti LibreEHR desteği için Simge kimliği');
INSERT INTO `lang_definitions` VALUES (90742, 6726, 23, 'Tonsilektomi');
INSERT INTO `lang_definitions` VALUES (90743, 6728, 23, 'Üst');
INSERT INTO `lang_definitions` VALUES (90744, 6730, 23, 'Konu');
INSERT INTO `lang_definitions` VALUES (90745, 6731, 23, 'Toplam');
INSERT INTO `lang_definitions` VALUES (90746, 6732, 23, 'toplam');
INSERT INTO `lang_definitions` VALUES (90747, 6737, 23, 'Vadesi gelmiş toplam alacak');
INSERT INTO `lang_definitions` VALUES (90748, 6738, 23, 'Ödenen Toplam');
INSERT INTO `lang_definitions` VALUES (90749, 6741, 23, 'Masraflar Toplamı');
INSERT INTO `lang_definitions` VALUES (90750, 6742, 23, 'Müşteriler Toplamı');
INSERT INTO `lang_definitions` VALUES (90751, 6743, 23, 'Maliyet Toplamı');
INSERT INTO `lang_definitions` VALUES (90752, 6744, 23, 'Tam dağıtım için çek numarası dolu değil.');
INSERT INTO `lang_definitions` VALUES (90753, 6748, 23, 'Toplam');
INSERT INTO `lang_definitions` VALUES (90754, 6749, 23, 'Toplamı: ');
INSERT INTO `lang_definitions` VALUES (90755, 6750, 23, 'Kategori toplamı');
INSERT INTO `lang_definitions` VALUES (90756, 6756, 23, 'Konuların Toplam Sayısı');
INSERT INTO `lang_definitions` VALUES (90757, 6758, 23, 'Hastaların Toplam Sayısı');
INSERT INTO `lang_definitions` VALUES (90758, 6760, 23, 'Toplam Hasta Hesabı');
INSERT INTO `lang_definitions` VALUES (90759, 6765, 23, 'Toplam ÜS ve Aile Planlaması');
INSERT INTO `lang_definitions` VALUES (90760, 6776, 23, 'Toplamlar');
INSERT INTO `lang_definitions` VALUES (90761, 6777, 23, 'Toplam:');
INSERT INTO `lang_definitions` VALUES (90762, 6778, 23, 'Toplam: ');
INSERT INTO `lang_definitions` VALUES (90763, 6785, 23, 'Antreman Tipi');
INSERT INTO `lang_definitions` VALUES (90764, 6786, 23, 'İşlem');
INSERT INTO `lang_definitions` VALUES (90765, 6787, 23, 'İşlem');
INSERT INTO `lang_definitions` VALUES (90766, 6788, 23, 'işlem');
INSERT INTO `lang_definitions` VALUES (90767, 6789, 23, 'İşlem başarısız hedef kalemde yetersiz miktar.');
INSERT INTO `lang_definitions` VALUES (90768, 6790, 23, 'İşlem başarısız, miktar sıfırdan az');
INSERT INTO `lang_definitions` VALUES (90769, 6791, 23, 'İşlem Tipi');
INSERT INTO `lang_definitions` VALUES (90770, 6792, 23, 'işlemler');
INSERT INTO `lang_definitions` VALUES (90771, 6793, 23, 'İşlemler');
INSERT INTO `lang_definitions` VALUES (90772, 6794, 23, 'İşlemler (yaz seçmeli)');
INSERT INTO `lang_definitions` VALUES (90773, 6795, 23, 'İşlemler/Sevkler');
INSERT INTO `lang_definitions` VALUES (90774, 6797, 23, 'Transfer');
INSERT INTO `lang_definitions` VALUES (90775, 6799, 23, 'Transfer başarısız, kaynak kalemden yetersiz miktar');
INSERT INTO `lang_definitions` VALUES (90776, 6804, 23, 'Transferler');
INSERT INTO `lang_definitions` VALUES (90777, 6807, 23, 'Erişim Kontrol Gruplarını Tercüme et');
INSERT INTO `lang_definitions` VALUES (90778, 6808, 23, 'Randevu kategorilerini Tercüme Et');
INSERT INTO `lang_definitions` VALUES (90779, 6809, 23, 'Belge Kategorilerini Tercüme Et');
INSERT INTO `lang_definitions` VALUES (90780, 6810, 23, 'Görünümleri Tercüme Et');
INSERT INTO `lang_definitions` VALUES (90781, 6811, 23, 'Listeleri Tercüme Et');
INSERT INTO `lang_definitions` VALUES (90782, 6812, 23, 'Hasta Notu Başlıklarını Tercüme Et');
INSERT INTO `lang_definitions` VALUES (90783, 6813, 23, 'bunu tercüme et');
INSERT INTO `lang_definitions` VALUES (90784, 6814, 23, 'Tercüme');
INSERT INTO `lang_definitions` VALUES (90785, 6815, 23, 'Tercümeler');
INSERT INTO `lang_definitions` VALUES (90786, 6819, 23, 'Travma');
INSERT INTO `lang_definitions` VALUES (90787, 6820, 23, 'Tedavi');
INSERT INTO `lang_definitions` VALUES (90788, 6822, 23, 'Tedavi Hedefleri');
INSERT INTO `lang_definitions` VALUES (90789, 6823, 23, 'Tedavi Planı');
INSERT INTO `lang_definitions` VALUES (90790, 6826, 23, 'Tedavi:');
INSERT INTO `lang_definitions` VALUES (90791, 6827, 23, 'Tedavi: ');
INSERT INTO `lang_definitions` VALUES (90792, 6828, 23, 'Eğilim');
INSERT INTO `lang_definitions` VALUES (90793, 6829, 23, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (90794, 6830, 23, 'Tetik nokta /kompartman sendromu/Geç Başlayan Kas Ağrısı/kramp');
INSERT INTO `lang_definitions` VALUES (90795, 6831, 23, 'Trimaleolar');
INSERT INTO `lang_definitions` VALUES (90796, 6832, 23, 'Gövde ve batın');
INSERT INTO `lang_definitions` VALUES (90797, 6837, 23, 'çay kaşığı');
INSERT INTO `lang_definitions` VALUES (90798, 6839, 23, 'Yazıdan Sese');
INSERT INTO `lang_definitions` VALUES (90799, 6840, 23, 'Tüberküloz');
INSERT INTO `lang_definitions` VALUES (90800, 6841, 23, 'Sal');
INSERT INTO `lang_definitions` VALUES (90801, 6842, 23, 'Sal ve Perş');
INSERT INTO `lang_definitions` VALUES (90802, 6843, 23, 'Salı');
INSERT INTO `lang_definitions` VALUES (90803, 6844, 23, 'Tümör');
INSERT INTO `lang_definitions` VALUES (90804, 6845, 23, 'Türkçe');
INSERT INTO `lang_definitions` VALUES (90805, 6848, 23, 'Günde iki kez');
INSERT INTO `lang_definitions` VALUES (90806, 6850, 23, 'Kulak zarı');
INSERT INTO `lang_definitions` VALUES (90807, 6851, 23, 'Tip');
INSERT INTO `lang_definitions` VALUES (90808, 6852, 23, 'Tip Kimliği veya ismi (boşluklar dahil) minimum 3 harf');
INSERT INTO `lang_definitions` VALUES (90809, 6853, 23, 'Hasta arama sonuçları için görüntülenen sütunların tipleri');
INSERT INTO `lang_definitions` VALUES (90810, 6854, 23, 'Açıklama Tipi');
INSERT INTO `lang_definitions` VALUES (90811, 6855, 23, 'Olayların Tipleri');
INSERT INTO `lang_definitions` VALUES (90812, 6856, 23, 'Ekran görünümünün tipi');
INSERT INTO `lang_definitions` VALUES (90813, 6857, 23, 'Buraya hasta kimliğini yazın veya tarayıcıdan geçirin');
INSERT INTO `lang_definitions` VALUES (90814, 6859, 23, 'Order ve Sonuç Tipleri');
INSERT INTO `lang_definitions` VALUES (90815, 6864, 23, 'UCSM kodları Calgary Üniversitesi Spor Tıbbı Merkezinden alınmıştır');
INSERT INTO `lang_definitions` VALUES (90816, 6866, 23, 'Ülserasyonlar');
INSERT INTO `lang_definitions` VALUES (90817, 6867, 23, 'Ülseratif kolit');
INSERT INTO `lang_definitions` VALUES (90818, 6868, 23, 'Ülserler:');
INSERT INTO `lang_definitions` VALUES (90819, 6871, 23, 'Oluşturulamıyor');
INSERT INTO `lang_definitions` VALUES (90820, 6876, 23, 'Uygulanamadı');
INSERT INTO `lang_definitions` VALUES (90821, 6877, 23, 'Atanmamış');
INSERT INTO `lang_definitions` VALUES (90822, 6880, 23, 'Yetkisiz erişim');
INSERT INTO `lang_definitions` VALUES (90823, 6882, 23, 'Yalnız Fatura Edilmemişler');
INSERT INTO `lang_definitions` VALUES (90824, 6884, 23, 'dil altı');
INSERT INTO `lang_definitions` VALUES (90825, 6885, 23, 'Zayıf');
INSERT INTO `lang_definitions` VALUES (90826, 6886, 23, 'Tanı konmamış');
INSERT INTO `lang_definitions` VALUES (90827, 6887, 23, 'DAĞITILMIYOR');
INSERT INTO `lang_definitions` VALUES (90828, 6888, 23, 'Dağıtılmıyor');
INSERT INTO `lang_definitions` VALUES (90829, 6889, 23, 'Dağıtılmıyor:');
INSERT INTO `lang_definitions` VALUES (90830, 6890, 23, 'Çıkışı geri al');
INSERT INTO `lang_definitions` VALUES (90831, 6892, 23, 'Eşsiz Müşteriler');
INSERT INTO `lang_definitions` VALUES (90832, 6893, 23, 'Bu tip için insanın okuyabildiği eşsiz kimlik');
INSERT INTO `lang_definitions` VALUES (90833, 6894, 23, 'Eşsiz Yeni Hastalar');
INSERT INTO `lang_definitions` VALUES (90834, 6895, 23, 'Bu tip için eşsiz nümerik kimlik');
INSERT INTO `lang_definitions` VALUES (90835, 6896, 23, 'Sadece Bir Kez Görülmüş Hastalar');
INSERT INTO `lang_definitions` VALUES (90836, 6897, 23, 'Sadece Bir Kez Görülmüş Hastalar Raporu');
INSERT INTO `lang_definitions` VALUES (90837, 6898, 23, 'Eşsiz SP');
INSERT INTO `lang_definitions` VALUES (90838, 6899, 23, 'Birim');
INSERT INTO `lang_definitions` VALUES (90839, 6900, 23, 'Ünite');
INSERT INTO `lang_definitions` VALUES (90840, 6901, 23, 'ünite');
INSERT INTO `lang_definitions` VALUES (90841, 6903, 23, 'Vizit Formları için Birimler');
INSERT INTO `lang_definitions` VALUES (90842, 6904, 23, 'Birimler bir sayı olmalıdır');
INSERT INTO `lang_definitions` VALUES (90843, 6905, 23, 'Birimler tanımlanmadı');
INSERT INTO `lang_definitions` VALUES (90844, 6906, 23, 'Unite/L');
INSERT INTO `lang_definitions` VALUES (90845, 6907, 23, 'Bilinmiyor');
INSERT INTO `lang_definitions` VALUES (90846, 6910, 23, 'Hiç sigara içip içmediği bilinmiyor.');
INSERT INTO `lang_definitions` VALUES (90847, 6911, 23, 'Bilinmiyor veya YOK');
INSERT INTO `lang_definitions` VALUES (90848, 6914, 23, 'İsimsiz sigorta şirketi');
INSERT INTO `lang_definitions` VALUES (90849, 6915, 23, 'Kayıt edilmemiş');
INSERT INTO `lang_definitions` VALUES (90850, 6918, 23, 'Hepsini seçimden çıkart');
INSERT INTO `lang_definitions` VALUES (90851, 6919, 23, 'Seçilmemiş');
INSERT INTO `lang_definitions` VALUES (90852, 6920, 23, 'Belirtilmemiş');
INSERT INTO `lang_definitions` VALUES (90853, 6921, 23, 'yapılandırılmamış');
INSERT INTO `lang_definitions` VALUES (90854, 6924, 23, 'süre sonu:');
INSERT INTO `lang_definitions` VALUES (90855, 6925, 23, 'Zamansız dosyalama');
INSERT INTO `lang_definitions` VALUES (90856, 6926, 23, 'Kullanılmayan');
INSERT INTO `lang_definitions` VALUES (90857, 6927, 23, 'Araştırma Birimi');
INSERT INTO `lang_definitions` VALUES (90858, 6928, 23, 'son :');
INSERT INTO `lang_definitions` VALUES (90859, 6929, 23, 'Gelecek Randevular');
INSERT INTO `lang_definitions` VALUES (90860, 6930, 23, 'Gelecek Olaylar');
INSERT INTO `lang_definitions` VALUES (90861, 6931, 23, 'Güncelle');
INSERT INTO `lang_definitions` VALUES (90862, 6932, 23, 'güncelle');
INSERT INTO `lang_definitions` VALUES (90863, 6933, 23, 'Güncelleme Aktif');
INSERT INTO `lang_definitions` VALUES (90864, 6934, 23, 'Dosyaları güncelle');
INSERT INTO `lang_definitions` VALUES (90865, 6935, 23, 'Güncelleme Bilgisi');
INSERT INTO `lang_definitions` VALUES (90866, 6936, 23, 'Güncelleme Listesi');
INSERT INTO `lang_definitions` VALUES (90867, 6937, 23, 'Sağlayıcı Numarasını Güncelle');
INSERT INTO `lang_definitions` VALUES (90868, 6938, 23, 'Seçilmiş Konuları Güncelle');
INSERT INTO `lang_definitions` VALUES (90869, 6939, 23, 'İzleyen değişkenleri dosyaya güncelle');
INSERT INTO `lang_definitions` VALUES (90870, 6940, 23, 'Kullanıcı bilgisini güncelle');
INSERT INTO `lang_definitions` VALUES (90871, 6942, 23, 'Demografik bilgilerin güncellenmesine izin verilmiyor');
INSERT INTO `lang_definitions` VALUES (90872, 6947, 23, 'Veritabanını Yükselt');
INSERT INTO `lang_definitions` VALUES (90873, 6948, 23, 'İşlemleri, İşlevleri ve kimliksizleştirme işlemi için gerekli tabloları içermek üzere ÖzgürETK yı yükseltir');
INSERT INTO `lang_definitions` VALUES (90874, 6949, 23, 'Yükseltme sürecek');
INSERT INTO `lang_definitions` VALUES (90875, 6950, 23, 'UPIN');
INSERT INTO `lang_definitions` VALUES (90876, 6951, 23, 'Yükle');
INSERT INTO `lang_definitions` VALUES (90877, 6954, 23, 'Konfigürasyon verisini Yükle');
INSERT INTO `lang_definitions` VALUES (90878, 6955, 23, 'Belgeyi Yükle');
INSERT INTO `lang_definitions` VALUES (90879, 6956, 23, 'Yükleme Başarısız!');
INSERT INTO `lang_definitions` VALUES (90880, 6957, 23, 'Resmin yükleneceği yer');
INSERT INTO `lang_definitions` VALUES (90881, 6958, 23, 'İçe aktarma dosyasını yükle');
INSERT INTO `lang_definitions` VALUES (90882, 6961, 23, 'Raporu yükle');
INSERT INTO `lang_definitions` VALUES (90883, 6963, 23, 'Bu dosyayı yükle');
INSERT INTO `lang_definitions` VALUES (90884, 6964, 23, 'Fatura numarasına tıklayınca \"el ile gönderme penceresi\" görüntülenir. Burada vade tarihini ve notları değiştirebilir, gönderdiğiniz muhatabı seçebilir ve beklenen ödemelerin alınmış olduğu tüm sigortaları işaretleyebilirsiniz. En önemlisi, ücretlendirilmesi yapılmış her fatura kodu için ödeme ve düzeltme bilgisini girebilirsiniz.');
INSERT INTO `lang_definitions` VALUES (90885, 6965, 23, 'Arama sonrası bir fatura listesi görüntülenir. Fatura numaralarından birini tıkladığınızda yeni bir pencere açılır, burada göndermek üzere el ile veri girebilirsiniz. Aynı zamanda hastanın ismi üzerine tıklayıp ön büro elemanlarının hasta geldiğinde görebileceği bir not girebilirsiniz. Faturaların hasta bilançolarında görüntülenmesini seçebilir ve bu bilançoları bastırabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (90886, 6966, 23, 'Üst kol');
INSERT INTO `lang_definitions` VALUES (90887, 6968, 23, 'Acil');
INSERT INTO `lang_definitions` VALUES (90888, 6970, 23, 'İdrar');
INSERT INTO `lang_definitions` VALUES (90889, 6971, 23, 'İdrarda damlama');
INSERT INTO `lang_definitions` VALUES (90890, 6972, 23, 'İdrar Sıklığı');
INSERT INTO `lang_definitions` VALUES (90891, 6973, 23, 'İdrarda duraksama');
INSERT INTO `lang_definitions` VALUES (90892, 6975, 23, 'İdrar Akışı');
INSERT INTO `lang_definitions` VALUES (90893, 6976, 23, 'Ani İdrar Gelmesi');
INSERT INTO `lang_definitions` VALUES (90894, 6977, 23, 'URL');
INSERT INTO `lang_definitions` VALUES (90895, 6979, 23, 'ÖzgürETK desteği için URL');
INSERT INTO `lang_definitions` VALUES (90896, 6986, 23, 'Kullanım Belirteci (ISA15)');
INSERT INTO `lang_definitions` VALUES (90897, 6988, 23, '24 saat formatı mı kullanılsın?');
INSERT INTO `lang_definitions` VALUES (90898, 6991, 23, 'Masraflar Panelini Kullan');
INSERT INTO `lang_definitions` VALUES (90899, 7000, 23, 'Ön Tanımlıları Kullan');
INSERT INTO `lang_definitions` VALUES (90900, 7001, 23, 'Silmek İçin Delete Opsiyonunu Kullanın.');
INSERT INTO `lang_definitions` VALUES (90901, 7002, 23, 'Uluslararası veri stili mi kullanılsın?');
INSERT INTO `lang_definitions` VALUES (90902, 7004, 23, 'Aşağıdaki alanları bir satın alma veya transfer için kullanınız');
INSERT INTO `lang_definitions` VALUES (90903, 7005, 23, 'Bu özelliği sadece yeni kurulmuş yerlerde kullanınız. ');
INSERT INTO `lang_definitions` VALUES (90904, 7006, 23, 'Konular kullanılsın mı?');
INSERT INTO `lang_definitions` VALUES (90905, 7007, 23, 'Kullanıcı');
INSERT INTO `lang_definitions` VALUES (90906, 7009, 23, 'Kullanıcı / Gruplar');
INSERT INTO `lang_definitions` VALUES (90907, 7010, 23, 'Kullanıcı Yönetimi');
INSERT INTO `lang_definitions` VALUES (90908, 7011, 23, 'Kullanıcı ve Tesis Yönetimi');
INSERT INTO `lang_definitions` VALUES (90909, 7012, 23, 'Kullanıcı ve Grup Yönetimi');
INSERT INTO `lang_definitions` VALUES (90910, 7014, 23, 'Kullanıcı Sertifikası doğrulaması etkisizleştirildi');
INSERT INTO `lang_definitions` VALUES (90911, 7015, 23, 'Kullanıcı Tanımlanmış');
INSERT INTO `lang_definitions` VALUES (90912, 7016, 23, 'Kullanıcı Tanımlanmış Alan 11');
INSERT INTO `lang_definitions` VALUES (90913, 7017, 23, 'Kullanıcı Tanımlanmış Alan 12');
INSERT INTO `lang_definitions` VALUES (90914, 7018, 23, 'Kullanıcı Tanımlanmış Alan');
INSERT INTO `lang_definitions` VALUES (90915, 7019, 23, 'Kullanıcı Tanımlanmış Liste 1');
INSERT INTO `lang_definitions` VALUES (90916, 7020, 23, 'Kullanıcı Tanımlanmış Liste 2');
INSERT INTO `lang_definitions` VALUES (90917, 7021, 23, 'Kullanıcı Tanımlanmış Liste 3');
INSERT INTO `lang_definitions` VALUES (90918, 7022, 23, 'Kullanıcı Tanımlanmış Liste 4');
INSERT INTO `lang_definitions` VALUES (90919, 7023, 23, 'Kullanıcı Tanımlanmış Liste 5');
INSERT INTO `lang_definitions` VALUES (90920, 7024, 23, 'Kullanıcı Tanımlanmış Liste 6');
INSERT INTO `lang_definitions` VALUES (90921, 7025, 23, 'Kullanıcı Tanımlanmış Liste 7');
INSERT INTO `lang_definitions` VALUES (90922, 7026, 23, 'Kullanıcı Tanımlanmış Metin 1');
INSERT INTO `lang_definitions` VALUES (90923, 7027, 23, 'Kullanıcı Tanımlanmış Metin 2');
INSERT INTO `lang_definitions` VALUES (90924, 7028, 23, 'Kullanıcı Tanımlanmış Metin 3');
INSERT INTO `lang_definitions` VALUES (90925, 7029, 23, 'Kullanıcı Tanımlanmış Metin 4');
INSERT INTO `lang_definitions` VALUES (90926, 7030, 23, 'Kullanıcı Tanımlanmış Metin 5');
INSERT INTO `lang_definitions` VALUES (90927, 7031, 23, 'Kullanıcı Tanımlanmış Metin 6');
INSERT INTO `lang_definitions` VALUES (90928, 7032, 23, 'Kullanıcı Tanımlanmış Metin 7');
INSERT INTO `lang_definitions` VALUES (90929, 7033, 23, 'Kullanıcı Tanımlanmış Metin 8');
INSERT INTO `lang_definitions` VALUES (90930, 7039, 23, 'Kullanıcı El Kitabı');
INSERT INTO `lang_definitions` VALUES (90931, 7040, 23, 'Kullanıcı Üyelikleri');
INSERT INTO `lang_definitions` VALUES (90932, 7042, 23, 'Kullanıcı ismi veya Host adı boş olamaz');
INSERT INTO `lang_definitions` VALUES (90933, 7043, 23, 'Kullanıcı veya Host Adı');
INSERT INTO `lang_definitions` VALUES (90934, 7046, 23, 'Kullanıcı Ayarları');
INSERT INTO `lang_definitions` VALUES (90935, 7047, 23, 'Kullanıcıya Özel Ayarlar');
INSERT INTO `lang_definitions` VALUES (90936, 7049, 23, 'Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (90937, 7052, 23, 'SMS Yolu için Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (90938, 7053, 23, 'SMS Yolu için Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (90939, 7055, 23, 'Kullanıcı Adı');
INSERT INTO `lang_definitions` VALUES (90940, 7056, 23, 'Kullanıcılar');
INSERT INTO `lang_definitions` VALUES (90941, 7057, 23, 'Kullanıcılar/Gruplar/Günlükler Yönetimi');
INSERT INTO `lang_definitions` VALUES (90942, 7058, 23, '<a href=\"http://php.net/strftime\">strftime</a> php formatını kullanır');
INSERT INTO `lang_definitions` VALUES (90943, 7059, 23, 'İYE ler');
INSERT INTO `lang_definitions` VALUES (90944, 7062, 23, 'TATİL');
INSERT INTO `lang_definitions` VALUES (90945, 7063, 23, 'Tatil');
INSERT INTO `lang_definitions` VALUES (90946, 7064, 23, 'Aşı');
INSERT INTO `lang_definitions` VALUES (90947, 7065, 23, 'Vajinal Halka');
INSERT INTO `lang_definitions` VALUES (90948, 7066, 23, 'Ayrılış');
INSERT INTO `lang_definitions` VALUES (90949, 7068, 23, 'Değer');
INSERT INTO `lang_definitions` VALUES (90950, 7069, 23, 'Değer 1');
INSERT INTO `lang_definitions` VALUES (90951, 7070, 23, 'Değer 2');
INSERT INTO `lang_definitions` VALUES (90952, 7072, 23, 'Değer Sayısal Olmalı');
INSERT INTO `lang_definitions` VALUES (90953, 7073, 23, 'Var1');
INSERT INTO `lang_definitions` VALUES (90954, 7074, 23, 'Var2');
INSERT INTO `lang_definitions` VALUES (90955, 7075, 23, 'kimliksizleştirme yükseltmesi komutu çalıştırma değişkeni');
INSERT INTO `lang_definitions` VALUES (90956, 7076, 23, 'Su çiçeği 1');
INSERT INTO `lang_definitions` VALUES (90957, 7077, 23, 'Su çiçeği 2');
INSERT INTO `lang_definitions` VALUES (90958, 7078, 23, 'Variköz Damarlar');
INSERT INTO `lang_definitions` VALUES (90959, 7079, 23, 'Damar hastalığı');
INSERT INTO `lang_definitions` VALUES (90960, 7080, 23, 'Damar yaralanması');
INSERT INTO `lang_definitions` VALUES (90961, 7081, 23, 'Damar Cerrahisi');
INSERT INTO `lang_definitions` VALUES (90962, 7083, 23, 'Satıcı');
INSERT INTO `lang_definitions` VALUES (90963, 7084, 23, 'Sürüm');
INSERT INTO `lang_definitions` VALUES (90964, 7085, 23, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (90965, 7087, 23, 'Gaziler Yönetim Planı');
INSERT INTO `lang_definitions` VALUES (90966, 7088, 23, 'Çocuk Aşıları');
INSERT INTO `lang_definitions` VALUES (90967, 7089, 23, 'Vietnamlı');
INSERT INTO `lang_definitions` VALUES (90968, 7090, 23, 'görünüm');
INSERT INTO `lang_definitions` VALUES (90969, 7091, 23, 'Görünüm');
INSERT INTO `lang_definitions` VALUES (90970, 7092, 23, 'Alerjileri Gör');
INSERT INTO `lang_definitions` VALUES (90971, 7097, 23, 'Kapsamlı Hasta Raporunu Gör');
INSERT INTO `lang_definitions` VALUES (90972, 7100, 23, 'Belgeyi Gör');
INSERT INTO `lang_definitions` VALUES (90973, 7101, 23, 'Görüşmeye bak');
INSERT INTO `lang_definitions` VALUES (90974, 7103, 23, 'olaylar açılan pencerede gösterilsin mi?');
INSERT INTO `lang_definitions` VALUES (90975, 7107, 23, 'Günlüğü Göster');
INSERT INTO `lang_definitions` VALUES (90976, 7108, 23, '1. Sayfayı Göster');
INSERT INTO `lang_definitions` VALUES (90977, 7109, 23, '2. Sayfayı Göster');
INSERT INTO `lang_definitions` VALUES (90978, 7110, 23, 'Eski ve Gelecek Hatırlatıcıları Göster');
INSERT INTO `lang_definitions` VALUES (90979, 7111, 23, 'Hastayı Gör');
INSERT INTO `lang_definitions` VALUES (90980, 7116, 23, 'İlgili görüşmeleri gör');
INSERT INTO `lang_definitions` VALUES (90981, 7117, 23, 'Raporu Göster');
INSERT INTO `lang_definitions` VALUES (90982, 7118, 23, 'OKUBENİ dosyasını göster');
INSERT INTO `lang_definitions` VALUES (90983, 7121, 23, 'Alerjileri Gör/Düzenle');
INSERT INTO `lang_definitions` VALUES (90984, 7122, 23, 'Konuyı göster/düzenle');
INSERT INTO `lang_definitions` VALUES (90985, 7123, 23, 'İzle/Yazdır');
INSERT INTO `lang_definitions` VALUES (90986, 7124, 23, 'Görünüm:');
INSERT INTO `lang_definitions` VALUES (90987, 7125, 23, 'VISA');
INSERT INTO `lang_definitions` VALUES (90988, 7126, 23, 'VISA/Mastercard/AMEX');
INSERT INTO `lang_definitions` VALUES (90989, 7127, 23, 'İç organ yaralanması travma/cerrahi');
INSERT INTO `lang_definitions` VALUES (90990, 7132, 23, 'Vizit Kategorisi');
INSERT INTO `lang_definitions` VALUES (90991, 7133, 23, 'Vizit Kategorisi:');
INSERT INTO `lang_definitions` VALUES (90992, 7134, 23, 'Vizit Tarihi');
INSERT INTO `lang_definitions` VALUES (90993, 7135, 23, 'Vizite darihi');
INSERT INTO `lang_definitions` VALUES (90994, 7137, 23, 'Vizit Formları');
INSERT INTO `lang_definitions` VALUES (90995, 7138, 23, 'Vizit Öyküsü');
INSERT INTO `lang_definitions` VALUES (90996, 7140, 23, 'Vizitler');
INSERT INTO `lang_definitions` VALUES (90997, 7141, 23, 'Vizitleri Yapan');
INSERT INTO `lang_definitions` VALUES (90998, 7142, 23, 'Vital Bulgular');
INSERT INTO `lang_definitions` VALUES (90999, 7143, 23, 'Vital Bulgular');
INSERT INTO `lang_definitions` VALUES (91000, 7144, 23, 'Vital Bulgular (Metrik)');
INSERT INTO `lang_definitions` VALUES (91001, 7145, 23, 'Vital Bulgular Formu Seçenekleri');
INSERT INTO `lang_definitions` VALUES (91002, 7146, 23, 'Ses');
INSERT INTO `lang_definitions` VALUES (91003, 7147, 23, 'Gönderilmiş Ses');
INSERT INTO `lang_definitions` VALUES (91004, 7149, 23, 'Kusma');
INSERT INTO `lang_definitions` VALUES (91005, 7151, 23, 'Ç');
INSERT INTO `lang_definitions` VALUES (91006, 7152, 23, 'Bel Çev');
INSERT INTO `lang_definitions` VALUES (91007, 7153, 23, 'Bel Çevresi');
INSERT INTO `lang_definitions` VALUES (91008, 7154, 23, 'Bekleme');
INSERT INTO `lang_definitions` VALUES (91009, 7155, 23, 'Randevusuz');
INSERT INTO `lang_definitions` VALUES (91010, 7157, 23, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (91011, 7158, 23, 'Depo');
INSERT INTO `lang_definitions` VALUES (91012, 7161, 23, 'Depolar');
INSERT INTO `lang_definitions` VALUES (91013, 7162, 23, 'Ilık');
INSERT INTO `lang_definitions` VALUES (91014, 7163, 23, 'Uyarı');
INSERT INTO `lang_definitions` VALUES (91015, 7164, 23, 'UYARI');
INSERT INTO `lang_definitions` VALUES (91016, 7166, 23, 'Uyarı. Çek numarası veri tabanında daha önceden kayıtlı.');
INSERT INTO `lang_definitions` VALUES (91017, 7168, 23, 'Uyarı: Bugün bu hasta için bir vizit oluşturulmuş!');
INSERT INTO `lang_definitions` VALUES (91018, 7170, 23, 'Uyarı:Hasta ID si eşsiz değil');
INSERT INTO `lang_definitions` VALUES (91019, 7171, 23, 'UYARI: Bu, yüklenen dosyadan alınan veri ile konfigürasyon bilgisinin üzerine yazacak!');
INSERT INTO `lang_definitions` VALUES (91020, 7173, 23, 'Uyarılar');
INSERT INTO `lang_definitions` VALUES (91021, 7177, 23, 'Vadesi gelmiş borçlarınızı zamanında ödediğinizi takdir ediyoruz');
INSERT INTO `lang_definitions` VALUES (91022, 7178, 23, 'yukarıdaki hastanızı psikiyatri kliniğimizde değerlendirme ve tedavi için ayaktan hasta olarak gördük. Bu sevk nedeniyle teşekkür ederiz.');
INSERT INTO `lang_definitions` VALUES (91023, 7179, 23, 'Zayıflık');
INSERT INTO `lang_definitions` VALUES (91024, 7182, 23, 'Web Sitesi');
INSERT INTO `lang_definitions` VALUES (91025, 7184, 23, 'Çar');
INSERT INTO `lang_definitions` VALUES (91026, 7185, 23, 'Çarşamba');
INSERT INTO `lang_definitions` VALUES (91027, 7186, 23, 'Hafta');
INSERT INTO `lang_definitions` VALUES (91028, 7187, 23, 'hafta');
INSERT INTO `lang_definitions` VALUES (91029, 7188, 23, 'Hafta Görünümü');
INSERT INTO `lang_definitions` VALUES (91030, 7189, 23, 'Hafta (lar)');
INSERT INTO `lang_definitions` VALUES (91031, 7190, 23, 'Haftalık Etkilenmeler');
INSERT INTO `lang_definitions` VALUES (91032, 7192, 23, 'Haftalar');
INSERT INTO `lang_definitions` VALUES (91033, 7193, 23, 'Ağırlık');
INSERT INTO `lang_definitions` VALUES (91034, 7196, 23, 'Ağırlıkta Değişme');
INSERT INTO `lang_definitions` VALUES (91035, 7197, 23, 'Kilo kaybı');
INSERT INTO `lang_definitions` VALUES (91036, 7198, 23, 'Zayıflama kliniği');
INSERT INTO `lang_definitions` VALUES (91037, 7199, 23, 'Hoş Geldiniz');
INSERT INTO `lang_definitions` VALUES (91038, 7202, 23, 'Sayılacak olan nedir?');
INSERT INTO `lang_definitions` VALUES (91039, 7203, 23, 'Hırıltı:');
INSERT INTO `lang_definitions` VALUES (91040, 7204, 23, 'Hırıldama');
INSERT INTO `lang_definitions` VALUES (91041, 7205, 23, 'Hırıldama:');
INSERT INTO `lang_definitions` VALUES (91042, 7208, 23, 'İlgili taranmış veya kağıt belgeler nerede bulunabilir?');
INSERT INTO `lang_definitions` VALUES (91043, 7211, 23, 'Omurga incinmesi');
INSERT INTO `lang_definitions` VALUES (91044, 7212, 23, 'Beyaz');
INSERT INTO `lang_definitions` VALUES (91045, 7213, 23, 'Kim');
INSERT INTO `lang_definitions` VALUES (91046, 7214, 23, 'Kim yanıtladı?');
INSERT INTO `lang_definitions` VALUES (91047, 7215, 23, 'Dul');
INSERT INTO `lang_definitions` VALUES (91048, 7217, 23, 'Gezinme çerçevesinin piksel olarak genişliği');
INSERT INTO `lang_definitions` VALUES (91049, 7221, 23, 'Seçilen ile:');
INSERT INTO `lang_definitions` VALUES (91050, 7222, 23, 'eski ismi ile');
INSERT INTO `lang_definitions` VALUES (91051, 7224, 23, 'Kim ile bir mesaj bırakabiliriz?');
INSERT INTO `lang_definitions` VALUES (91052, 7225, 23, 'Alıkondu');
INSERT INTO `lang_definitions` VALUES (91053, 7226, 23, 'saatler içerisinde');
INSERT INTO `lang_definitions` VALUES (91054, 7227, 23, 'saatler içerisinde:');
INSERT INTO `lang_definitions` VALUES (91055, 7228, 23, 'dakikalar içerisinde');
INSERT INTO `lang_definitions` VALUES (91056, 7229, 23, 'dakikalar içerisinde:');
INSERT INTO `lang_definitions` VALUES (91057, 7232, 23, 'Güncellemesiz');
INSERT INTO `lang_definitions` VALUES (91058, 7233, 23, 'Tanık');
INSERT INTO `lang_definitions` VALUES (91059, 7234, 23, 'hf');
INSERT INTO `lang_definitions` VALUES (91060, 7235, 23, 'Normal sınırlarda');
INSERT INTO `lang_definitions` VALUES (91061, 7237, 23, 'Kadınlar');
INSERT INTO `lang_definitions` VALUES (91062, 7238, 23, 'Sadece Kadınlar');
INSERT INTO `lang_definitions` VALUES (91063, 7240, 23, 'İş');
INSERT INTO `lang_definitions` VALUES (91064, 7241, 23, 'İŞ NOTU');
INSERT INTO `lang_definitions` VALUES (91065, 7242, 23, 'İş Telefonu');
INSERT INTO `lang_definitions` VALUES (91066, 7243, 23, 'İş Telefon Numarası');
INSERT INTO `lang_definitions` VALUES (91067, 7244, 23, 'İş ile ilgili mi?');
INSERT INTO `lang_definitions` VALUES (91068, 7245, 23, 'İş/Eğitim/Hobiler');
INSERT INTO `lang_definitions` VALUES (91069, 7246, 23, 'İş/Okul Notu');
INSERT INTO `lang_definitions` VALUES (91070, 7247, 23, 'iş günü');
INSERT INTO `lang_definitions` VALUES (91071, 7249, 23, 'İşçi Tazminat Sağlık Planı');
INSERT INTO `lang_definitions` VALUES (91072, 7252, 23, 'Daha kötü');
INSERT INTO `lang_definitions` VALUES (91073, 7253, 23, 'Bakiye miktarın toplam hesaba uygulanmasını ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91074, 7254, 23, 'Ödendi olarak işaretlenmelerini ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91075, 7255, 23, 'Paylaştırmak istermisiniz?');
INSERT INTO `lang_definitions` VALUES (91076, 7256, 23, 'Bu hastanın dağılımını iptal etmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91077, 7257, 23, 'Ödeme dağılımını silmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91078, 7258, 23, 'Ödemeleri silmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91079, 7259, 23, 'Ödemeleri değiştirmek ve bitirmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91080, 7260, 23, 'Ödemeleri değiştirmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91081, 7261, 23, 'Ödemeleri göndermek ve bitirmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91082, 7262, 23, 'Ödemeleri göndermek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91083, 7263, 23, 'Kaydetmek ister misiniz?');
INSERT INTO `lang_definitions` VALUES (91084, 7264, 23, 'Bilek');
INSERT INTO `lang_definitions` VALUES (91085, 7265, 23, 'Bilek ve el');
INSERT INTO `lang_definitions` VALUES (91086, 7266, 23, 'Bilek Sorunları');
INSERT INTO `lang_definitions` VALUES (91087, 7267, 23, 'yaz');
INSERT INTO `lang_definitions` VALUES (91088, 7268, 23, 'iptal et');
INSERT INTO `lang_definitions` VALUES (91089, 7270, 23, 'korkunç');
INSERT INTO `lang_definitions` VALUES (91090, 7271, 23, 'WT');
INSERT INTO `lang_definitions` VALUES (91091, 7273, 23, 'x İptal');
INSERT INTO `lang_definitions` VALUES (91092, 7274, 23, 'x İptal');
INSERT INTO `lang_definitions` VALUES (91093, 7275, 23, 'Röntgen');
INSERT INTO `lang_definitions` VALUES (91094, 7276, 23, 'Röntgen filmi yorumu:');
INSERT INTO `lang_definitions` VALUES (91095, 7277, 23, 'Röntgen filmi yorumu:');
INSERT INTO `lang_definitions` VALUES (91096, 7278, 23, 'Sadece X12: Yedek İddiası ');
INSERT INTO `lang_definitions` VALUES (91097, 7279, 23, 'X12 Partneri');
INSERT INTO `lang_definitions` VALUES (91098, 7280, 23, 'X12 Partnerleri');
INSERT INTO `lang_definitions` VALUES (91099, 7284, 23, 'Y');
INSERT INTO `lang_definitions` VALUES (91100, 7285, 23, 'Yıl');
INSERT INTO `lang_definitions` VALUES (91101, 7286, 23, 'yıl');
INSERT INTO `lang_definitions` VALUES (91102, 7287, 23, 'Yıl Görünümü');
INSERT INTO `lang_definitions` VALUES (91103, 7288, 23, 'Yıl(lar)');
INSERT INTO `lang_definitions` VALUES (91104, 7292, 23, 'EVET');
INSERT INTO `lang_definitions` VALUES (91105, 7293, 23, 'Evet');
INSERT INTO `lang_definitions` VALUES (91106, 7294, 23, 'evet');
INSERT INTO `lang_definitions` VALUES (91107, 7295, 23, 'EVET!');
INSERT INTO `lang_definitions` VALUES (91108, 7296, 23, 'Evet, Sil ve günlüğe kaydet');
INSERT INTO `lang_definitions` VALUES (91109, 7298, 23, 'Evet/Hayır');
INSERT INTO `lang_definitions` VALUES (91110, 7299, 23, 'Evet:');
INSERT INTO `lang_definitions` VALUES (91111, 7300, 23, 'Yidiş');
INSERT INTO `lang_definitions` VALUES (91112, 7303, 23, 'Dizi kalıbını kalıcı olarak değiştirmek üzeresiniz. Devam etmek istediğinizden emin misiniz?');
INSERT INTO `lang_definitions` VALUES (91113, 7304, 23, 'Giriş döneminiz bitmek üzere. Önce şifrenizi değiştirin');
INSERT INTO `lang_definitions` VALUES (91114, 7305, 23, 'Bu olayı silme izniniz yok');
INSERT INTO `lang_definitions` VALUES (91115, 7306, 23, 'Bu olayı düzenleme izniniz yok');
INSERT INTO `lang_definitions` VALUES (91116, 7307, 23, 'Bunu yapmaya yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (91117, 7308, 23, 'Bu ekibe erişim yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (91118, 7309, 23, 'Konuları ekleme/düzenleme yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (91119, 7311, 23, 'Bu görülmeyi görmeye yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (91120, 7313, 23, 'Bu işleve doğrudan erişemezsiniz');
INSERT INTO `lang_definitions` VALUES (91121, 7314, 23, 'Bu sayfaya doğrudan erişemezsiniz');
INSERT INTO `lang_definitions` VALUES (91122, 7315, 23, 'Bir kategori için boş değer giremezsiniz');
INSERT INTO `lang_definitions` VALUES (91123, 7316, 23, 'Bir alt kategori için boş değer giremezsiniz');
INSERT INTO `lang_definitions` VALUES (91124, 7317, 23, 'Bir kalem için boş değer giremezsiniz');
INSERT INTO `lang_definitions` VALUES (91125, 7319, 23, 'Hiçbir işlem seçmediniz');
INSERT INTO `lang_definitions` VALUES (91126, 7320, 23, 'Bu notu görme/düzenleme yetkiniz yok');
INSERT INTO `lang_definitions` VALUES (91127, 7321, 23, 'Kilitlenmiş bir içeriği değiştirmeye çalıştınız. Bunu yapmak istiyorsanız kilidi kaldırın. Kilidi açmak için, \'/*lock::*/\', yazılı satırı silin');
INSERT INTO `lang_definitions` VALUES (91128, 7323, 23, 'Sadece metin .txt dosyalarını yükleyebilirsiniz.');
INSERT INTO `lang_definitions` VALUES (91129, 7325, 23, 'Yeni Hasta Görüşme formunda ön tanımlı yakınma olarak buraya metin koyabilirsiniz.');
INSERT INTO `lang_definitions` VALUES (91130, 7329, 23, 'Önce bir hasta seçmeli veya eklemelisiniz');
INSERT INTO `lang_definitions` VALUES (91131, 7330, 23, 'Önce bir görüşme seçmeli veya eklemelisiniz');
INSERT INTO `lang_definitions` VALUES (91132, 7332, 23, 'Bir vizit kategorisi seçmelisiniz');
INSERT INTO `lang_definitions` VALUES (91133, 7333, 23, 'Devam etmek için bazı alanları seçmelisiniz');
INSERT INTO `lang_definitions` VALUES (91134, 7334, 23, 'Bu testi çalıştırmanızın sebebi bu alacak başarıyla oluşturulmuş görünse de gerçek alacak dosyasının hiçbir beri içermemesi veya içermesi gereken bilgileri kısmen içermesidir. HCFA dosyalarında bu aşikardır çünkü insan okuyabilir, X12 alacaklarında bir alacağın uygun şekilde doldurulup doldurulmadığını kontrol etmek ise daha güç bir işlemdir.');
INSERT INTO `lang_definitions` VALUES (91135, 7339, 23, 'Bitiş tarihiniz geçersiz');
INSERT INTO `lang_definitions` VALUES (91136, 7340, 23, 'Olayınız silindi');
INSERT INTO `lang_definitions` VALUES (91137, 7341, 23, 'Olayınız değiştirildi');
INSERT INTO `lang_definitions` VALUES (91138, 7342, 23, 'Olayınız gönderildi');
INSERT INTO `lang_definitions` VALUES (91139, 7345, 23, 'Liste isminiz isimlendirme gereksinimlerine göre değiştirildi');
INSERT INTO `lang_definitions` VALUES (91140, 7347, 23, 'Bu kategori, işlem veya sonuç için isminiz');
INSERT INTO `lang_definitions` VALUES (91141, 7349, 23, 'Şifrenizin süresi doldu. Lütfen şifrenizi değiştiriniz.');
INSERT INTO `lang_definitions` VALUES (91142, 7350, 23, 'Şifrenizin süresinin dolacağı tarih:');
INSERT INTO `lang_definitions` VALUES (91143, 7351, 23, 'Şifrenizin süresi bugün doluyor. Lütfen şifrenizi değiştiriniz.');
INSERT INTO `lang_definitions` VALUES (91144, 7353, 23, 'Takvim konfigürasyonunuz ön tanımlı değerlere sıfırlandı');
INSERT INTO `lang_definitions` VALUES (91145, 7354, 23, 'Takvim konfigürasyonunuz güncellendi');
INSERT INTO `lang_definitions` VALUES (91146, 7355, 23, 'Tekrarlama sıklığınız bir tam sayı olmalı');
INSERT INTO `lang_definitions` VALUES (91147, 7356, 23, 'Tekrarlama sıklığınız en az 1 olmalı');
INSERT INTO `lang_definitions` VALUES (91148, 7357, 23, 'Başlama tarihiniz bitirme tarihinizden sonra');
INSERT INTO `lang_definitions` VALUES (91149, 7358, 23, 'Başlama tarihiniz geçersiz');
INSERT INTO `lang_definitions` VALUES (91150, 7359, 23, 'Göndermeniz başarısız oldu');
INSERT INTO `lang_definitions` VALUES (91151, 7360, 23, 'yyyy-aa-gg');
INSERT INTO `lang_definitions` VALUES (91152, 7361, 23, 'YYYY-AA-GG');
INSERT INTO `lang_definitions` VALUES (91153, 7362, 23, 'Bu belge ile ilgili yyyy-aa-gg tarihi');
INSERT INTO `lang_definitions` VALUES (91154, 7363, 23, 'yyyy-aa-gg tarihi yok');
INSERT INTO `lang_definitions` VALUES (91155, 7364, 23, 'yyyy.aa-gg doğum tarihi');
INSERT INTO `lang_definitions` VALUES (91156, 7365, 23, 'yyyy.aa-gg Doğum Tarihi');
INSERT INTO `lang_definitions` VALUES (91157, 7366, 23, 'yyyy.aa-gg son kullanım tarihi');
INSERT INTO `lang_definitions` VALUES (91158, 7367, 23, 'yyyy.aa-gg hastaneye yatış tarihi');
INSERT INTO `lang_definitions` VALUES (91159, 7368, 23, 'yyyy.aa-gg ameliyat tarihi veya ilaca başlama tarihi');
INSERT INTO `lang_definitions` VALUES (91160, 7369, 23, 'yyyy.aa-gg satın alma veya transfer tarihi');
INSERT INTO `lang_definitions` VALUES (91161, 7370, 23, 'yyyy.aa-gg iyi olma veya ilacı kesme tarihi');
INSERT INTO `lang_definitions` VALUES (91162, 7371, 23, 'yyyy.aa-gg Oyuna geri dönme tarihi');
INSERT INTO `lang_definitions` VALUES (91163, 7372, 23, 'yyyy.aa-gg servis tarihi');
INSERT INTO `lang_definitions` VALUES (91164, 7373, 23, 'yyyy.aa-gg bu mektubun tarihi');
INSERT INTO `lang_definitions` VALUES (91165, 7374, 23, 'yyyy.aa-gg Oyuna geri döndüğü tarih');
INSERT INTO `lang_definitions` VALUES (91166, 7375, 23, 'yyyy.aa-gg belge tarihi');
INSERT INTO `lang_definitions` VALUES (91167, 7376, 23, 'yyyy.aa-gg olay tarihi veya başlama tarihi');
INSERT INTO `lang_definitions` VALUES (91168, 7383, 23, 'yyyy.aa-gg bu olayın son günü tarihi');
INSERT INTO `lang_definitions` VALUES (91169, 7387, 23, 'Sıfır');
INSERT INTO `lang_definitions` VALUES (91170, 7389, 23, 'Posta kodu');
INSERT INTO `lang_definitions` VALUES (91171, 7390, 23, 'Posta kodu');
INSERT INTO `lang_definitions` VALUES (91172, 7391, 23, 'Posta kodu/Ülke');
INSERT INTO `lang_definitions` VALUES (91173, 7392, 23, 'Zulu');
INSERT INTO `lang_definitions` VALUES (91174, 7393, 23, ' fakat idi ');
INSERT INTO `lang_definitions` VALUES (91175, 7394, 23, ' erişilemedi');
INSERT INTO `lang_definitions` VALUES (91176, 7395, 23, 'Gerçekten silmek istiyor musunuz?');
INSERT INTO `lang_definitions` VALUES (91177, 7396, 23, 'İlaç');
INSERT INTO `lang_definitions` VALUES (91178, 7397, 23, 'epostalar gönderilmedi');
INSERT INTO `lang_definitions` VALUES (91179, 7398, 23, 'Gönderen:');
INSERT INTO `lang_definitions` VALUES (91180, 7399, 23, 'oluşturuldu. ');
INSERT INTO `lang_definitions` VALUES (91181, 7400, 23, 'tekrar açıldı.');
INSERT INTO `lang_definitions` VALUES (91182, 7401, 23, 'Öykü');
INSERT INTO `lang_definitions` VALUES (91183, 7402, 23, 'bir sayı değil');
INSERT INTO `lang_definitions` VALUES (91184, 7403, 23, 'tekrar faturalandırmak için hazır');
INSERT INTO `lang_definitions` VALUES (91185, 7404, 23, 'Sol Alt Lob');
INSERT INTO `lang_definitions` VALUES (91186, 7405, 23, 'Parti');
INSERT INTO `lang_definitions` VALUES (91187, 7406, 23, 'Orijinal Medicaid Referans No: ');
INSERT INTO `lang_definitions` VALUES (91188, 7407, 23, 'dak');
INSERT INTO `lang_definitions` VALUES (91189, 7408, 23, 'bulunamadı!');
INSERT INTO `lang_definitions` VALUES (91190, 7409, 23, 'Bazı tarayıcılardaki farklı özellikler nedeniyle aşağıdaki çıktı ekrana ani sıçramalarla gelebilir, birkaç saniyelik uzun duraksamalar olabilir, program çökmüş gibi görünebilir. Durum bu değildir. n sonunda çıktı satır satır görüntülenir. Altta sıralı sayılar görülebilir. Bir şey olmuyor gibi görünse de program çalışmaya devam etmektedir. Bu rakamlar fatura içeriği ile aralıklıdır ve bu da normaldir');
INSERT INTO `lang_definitions` VALUES (91191, 7410, 23, 'reçete limitlerine ulaşıyor :');
INSERT INTO `lang_definitions` VALUES (91192, 7411, 23, 'Bitiş:');
INSERT INTO `lang_definitions` VALUES (91193, 7412, 23, 'Güncelleme başarısız. Veritabanında yok mu?');
INSERT INTO `lang_definitions` VALUES (91194, 7413, 23, 'sadece faturalandı olarak işaretlendi.');
INSERT INTO `lang_definitions` VALUES (91195, 7414, 23, 'başarıyla kuyruğa atıldı.');
INSERT INTO `lang_definitions` VALUES (91196, 7415, 23, '! Vizit olmadan terk etti');
INSERT INTO `lang_definitions` VALUES (91197, 7416, 23, '\" kod için');
INSERT INTO `lang_definitions` VALUES (91198, 7417, 23, '\" Takvim ayarlarında İŞARETLENDİ!');
INSERT INTO `lang_definitions` VALUES (91199, 7418, 23, '# Sig/mal konu');
INSERT INTO `lang_definitions` VALUES (91200, 7419, 23, '# tablet');
INSERT INTO `lang_definitions` VALUES (91201, 7420, 23, '$');
INSERT INTO `lang_definitions` VALUES (91202, 7421, 23, '$ kodlaması bitti');
INSERT INTO `lang_definitions` VALUES (91203, 7422, 23, '$label (yyyy-aa-gg): ');
INSERT INTO `lang_definitions` VALUES (91204, 7423, 23, '%');
INSERT INTO `lang_definitions` VALUES (91205, 7424, 23, '% İptal Edildi < 24 saat');
INSERT INTO `lang_definitions` VALUES (91206, 7425, 23, '% İptal Edildi < 24 saat ');
INSERT INTO `lang_definitions` VALUES (91207, 7426, 23, 'bulunmalı fakat yok.');
INSERT INTO `lang_definitions` VALUES (91208, 7427, 23, '(% herhangi bir dizinin, _ herhangi bir karakterin yerini tutar)');
INSERT INTO `lang_definitions` VALUES (91209, 7429, 23, '(Geri)');
INSERT INTO `lang_definitions` VALUES (91210, 7430, 23, '(Düzenlemek için tıklayınız)');
INSERT INTO `lang_definitions` VALUES (91211, 7432, 23, '(Daha Fazla)');
INSERT INTO `lang_definitions` VALUES (91212, 7433, 23, '(Yeni Hasta)');
INSERT INTO `lang_definitions` VALUES (91213, 7434, 23, '(Notlar ve Yetkiler)');
INSERT INTO `lang_definitions` VALUES (91214, 7435, 23, '(Hasta Notları)');
INSERT INTO `lang_definitions` VALUES (91215, 7436, 23, '(Bunlardan birisini seçin veya kendi başlığınızı yazın)');
INSERT INTO `lang_definitions` VALUES (91216, 7437, 23, 'Değeri değiştirmek için (shift-)Tıklayın veya sürükleyin');
INSERT INTO `lang_definitions` VALUES (91217, 7438, 23, '* Hatırlatma yapıldı');
INSERT INTO `lang_definitions` VALUES (91218, 7439, 23, '** Lütfen ameliyatları Konulara taşıyınız!');
INSERT INTO `lang_definitions` VALUES (91219, 7440, 23, '**Gerekli');
INSERT INTO `lang_definitions` VALUES (91220, 7441, 23, '*+ Çizelge çekildi');
INSERT INTO `lang_definitions` VALUES (91221, 7442, 23, '- Hiç');
INSERT INTO `lang_definitions` VALUES (91222, 7445, 23, '.');
INSERT INTO `lang_definitions` VALUES (91223, 7446, 23, '0');
INSERT INTO `lang_definitions` VALUES (91224, 7447, 23, '0-10');
INSERT INTO `lang_definitions` VALUES (91225, 7448, 23, '0-24');
INSERT INTO `lang_definitions` VALUES (91226, 7451, 23, '1');
INSERT INTO `lang_definitions` VALUES (91227, 7452, 23, '1 = Kuzey Amerika. Diğer ülke kodları için http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (91228, 7457, 23, '1.İstirahat 2.İki gün buz 3. Kompresyon ayakta solukluk veya uyuşma oluncaya kadar sargıyı yerinde bırak 4. Ayak ve bacağı yükselt');
INSERT INTO `lang_definitions` VALUES (91229, 7458, 23, '11-14');
INSERT INTO `lang_definitions` VALUES (91230, 7459, 23, '12 saat');
INSERT INTO `lang_definitions` VALUES (91231, 7460, 23, '15-19');
INSERT INTO `lang_definitions` VALUES (91232, 7462, 23, '2');
INSERT INTO `lang_definitions` VALUES (91233, 7468, 23, '20-24');
INSERT INTO `lang_definitions` VALUES (91234, 7477, 23, '2111-13');
INSERT INTO `lang_definitions` VALUES (91235, 7478, 23, '24 saat');
INSERT INTO `lang_definitions` VALUES (91236, 7479, 23, '25');
INSERT INTO `lang_definitions` VALUES (91237, 7480, 23, '25-29');
INSERT INTO `lang_definitions` VALUES (91238, 7481, 23, '2inci');
INSERT INTO `lang_definitions` VALUES (91239, 7483, 23, '3 ay');
INSERT INTO `lang_definitions` VALUES (91240, 7485, 23, 'Günde 3 kez');
INSERT INTO `lang_definitions` VALUES (91241, 7487, 23, '30-34');
INSERT INTO `lang_definitions` VALUES (91242, 7488, 23, '35-39');
INSERT INTO `lang_definitions` VALUES (91243, 7489, 23, '3üncü');
INSERT INTO `lang_definitions` VALUES (91244, 7491, 23, '4 ay');
INSERT INTO `lang_definitions` VALUES (91245, 7493, 23, 'Günde 4 kez');
INSERT INTO `lang_definitions` VALUES (91246, 7495, 23, '40-44');
INSERT INTO `lang_definitions` VALUES (91247, 7496, 23, '45');
INSERT INTO `lang_definitions` VALUES (91248, 7497, 23, '465.9, IYE');
INSERT INTO `lang_definitions` VALUES (91249, 7498, 23, '466.0, Bronşit, Akut, başka türlü sınıflandırılmamış');
INSERT INTO `lang_definitions` VALUES (91250, 7499, 23, '486.0, Pnömoni, Akut');
INSERT INTO `lang_definitions` VALUES (91251, 7500, 23, '491.21,KOAH alevlenmesi');
INSERT INTO `lang_definitions` VALUES (91252, 7501, 23, '491.8, Bronşit, Kronik');
INSERT INTO `lang_definitions` VALUES (91253, 7502, 23, '493.92,Astım, Akut Alevlenme');
INSERT INTO `lang_definitions` VALUES (91254, 7503, 23, '496.0, KOAH');
INSERT INTO `lang_definitions` VALUES (91255, 7504, 23, '4 üncü');
INSERT INTO `lang_definitions` VALUES (91256, 7508, 23, '519.7, Bronkospazm');
INSERT INTO `lang_definitions` VALUES (91257, 7509, 23, '5 inci');
INSERT INTO `lang_definitions` VALUES (91258, 7511, 23, '6 ay');
INSERT INTO `lang_definitions` VALUES (91259, 7514, 23, '6 ıncı');
INSERT INTO `lang_definitions` VALUES (91260, 7517, 23, '824.0 Kırık, medial malleol, kapalı');
INSERT INTO `lang_definitions` VALUES (91261, 7518, 23, '824.2 Kırk, lateral malleol, kapalı');
INSERT INTO `lang_definitions` VALUES (91262, 7519, 23, '824.6 Kırık, Trimalleolar, kapalı');
INSERT INTO `lang_definitions` VALUES (91263, 7520, 23, '825.32 Kırık Naviküler (ayak bileği)');
INSERT INTO `lang_definitions` VALUES (91264, 7521, 23, '825.35 Kırık, 5. Metatars kaidesi');
INSERT INTO `lang_definitions` VALUES (91265, 7522, 23, '845.00 ayak bileği burkulması başka yerde tanımlanmamış');
INSERT INTO `lang_definitions` VALUES (91266, 7523, 23, '845.01 Medial Lig.(Deltoid) incinmesi');
INSERT INTO `lang_definitions` VALUES (91267, 7524, 23, '845.02 Burkulma, kalkaneal, fibular');
INSERT INTO `lang_definitions` VALUES (91268, 7526, 23, '99212 Yerleşmiş - Komplikasyonsuz');
INSERT INTO `lang_definitions` VALUES (91269, 7527, 23, '99213 Yerleşmiş - düşük karmaşıklıkta');
INSERT INTO `lang_definitions` VALUES (91270, 7528, 23, '< Muayene odasında');
INSERT INTO `lang_definitions` VALUES (91271, 7529, 23, '> Çıkış Yaptı');
INSERT INTO `lang_definitions` VALUES (91272, 7531, 23, '? Gelmedi');
INSERT INTO `lang_definitions` VALUES (91273, 7532, 23, '@ Geldi');
INSERT INTO `lang_definitions` VALUES (91274, 7533, 23, '[Görünümü Değiştir]');
INSERT INTO `lang_definitions` VALUES (91275, 7534, 23, '[Son Görüşme Tarihi]');
INSERT INTO `lang_definitions` VALUES (91276, 7535, 23, '[Son Görüşmeden Beri Gün]');
INSERT INTO `lang_definitions` VALUES (91277, 7536, 23, '[Müstahaklıklar]');
INSERT INTO `lang_definitions` VALUES (91278, 7537, 23, '[Açık Hesapları Dışarı Aktar]');
INSERT INTO `lang_definitions` VALUES (91279, 7538, 23, '[tavsiye edilmiyor]');
INSERT INTO `lang_definitions` VALUES (91280, 7539, 23, '[Görüşme Sayısı]');
INSERT INTO `lang_definitions` VALUES (91281, 7540, 23, '[Raporlar]');
INSERT INTO `lang_definitions` VALUES (91282, 7541, 23, '[Hepsini Seç]');
INSERT INTO `lang_definitions` VALUES (91283, 7542, 23, '[Defter-i Kebir SQL]');
INSERT INTO `lang_definitions` VALUES (91284, 7543, 23, '[Toplu İşlemi Başlat]');
INSERT INTO `lang_definitions` VALUES (91285, 7544, 23, '[Günlüğü Gör]');
INSERT INTO `lang_definitions` VALUES (91286, 7545, 23, '[Yazdırılabilir Raporu Gör]');
INSERT INTO `lang_definitions` VALUES (91287, 7546, 23, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (91288, 7547, 23, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (91289, 7548, 23, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (91290, 7549, 23, '~ geç geldi.');
INSERT INTO `lang_definitions` VALUES (91291, 1, 24, 'A');
INSERT INTO `lang_definitions` VALUES (91292, 2, 24, 'Numer czeku lub rachunku do identyfikacji płatności');
INSERT INTO `lang_definitions` VALUES (91293, 3, 24, 'Certifikat klienta dla użytkownika administracyjnego');
INSERT INTO `lang_definitions` VALUES (91294, 5, 24, 'Dokument kliniczny w załączeniu.');
INSERT INTO `lang_definitions` VALUES (91295, 7, 24, 'Wymagany jest dystybutor');
INSERT INTO `lang_definitions` VALUES (91296, 8, 24, 'Formularz GCAC powinien być dodany do tej wizyty');
INSERT INTO `lang_definitions` VALUES (91297, 9, 24, 'Wymagany jest numer serii');
INSERT INTO `lang_definitions` VALUES (91298, 10, 24, 'Wymagany jest numer serii!');
INSERT INTO `lang_definitions` VALUES (91299, 11, 24, 'Mała litera');
INSERT INTO `lang_definitions` VALUES (91300, 12, 24, 'Numer');
INSERT INTO `lang_definitions` VALUES (91301, 14, 24, 'Pacjent z tym numerem ID już istnieje');
INSERT INTO `lang_definitions` VALUES (91302, 15, 24, 'Pacjent o tym nazwisku już istnieje');
INSERT INTO `lang_definitions` VALUES (91303, 16, 24, 'Pacjent z tym PESELem istnieje');
INSERT INTO `lang_definitions` VALUES (91304, 18, 24, 'Dodatnia liczba pokaże, że wiele poprzednich spotkań na Widget w pacjencie ekranie Podsumowanie.');
INSERT INTO `lang_definitions` VALUES (91305, 19, 24, 'Źródło skierowania może być określone dla każdej wizyty');
INSERT INTO `lang_definitions` VALUES (91306, 20, 24, 'Wymagany jest odpowiadający kod IPPF!');
INSERT INTO `lang_definitions` VALUES (91307, 21, 24, 'Znak specjalny');
INSERT INTO `lang_definitions` VALUES (91308, 22, 24, 'Unikalna wartość identyfikująca to pole, nie widoczna dla użytkownika');
INSERT INTO `lang_definitions` VALUES (91309, 24, 24, 'przed posiłkiem');
INSERT INTO `lang_definitions` VALUES (91310, 25, 24, 'rano');
INSERT INTO `lang_definitions` VALUES (91311, 26, 24, 'A/F Prawo Level:');
INSERT INTO `lang_definitions` VALUES (91312, 27, 24, 'AB');
INSERT INTO `lang_definitions` VALUES (91313, 28, 24, 'Skrót');
INSERT INTO `lang_definitions` VALUES (91314, 29, 24, 'Ropień:');
INSERT INTO `lang_definitions` VALUES (91315, 30, 24, 'brzuszny');
INSERT INTO `lang_definitions` VALUES (91316, 31, 24, 'Nośne cztery (4) czynności:');
INSERT INTO `lang_definitions` VALUES (91317, 32, 24, 'Abn');
INSERT INTO `lang_definitions` VALUES (91318, 33, 24, 'ABN1');
INSERT INTO `lang_definitions` VALUES (91319, 34, 24, 'Odchylenie');
INSERT INTO `lang_definitions` VALUES (91320, 35, 24, 'Nieprawidłowy wynik badania krwi');
INSERT INTO `lang_definitions` VALUES (91321, 36, 24, 'Nieprawidłowy wzrost włosów');
INSERT INTO `lang_definitions` VALUES (91322, 37, 24, 'Nieprawidłowy wynik badania mammograficznego');
INSERT INTO `lang_definitions` VALUES (91323, 39, 24, 'Aborcja');
INSERT INTO `lang_definitions` VALUES (91324, 40, 24, 'Problemy podczas zabiegu aborcji');
INSERT INTO `lang_definitions` VALUES (91325, 41, 24, 'Metoda aborcji');
INSERT INTO `lang_definitions` VALUES (91326, 42, 24, 'Kategorie związane z aborcją');
INSERT INTO `lang_definitions` VALUES (91327, 43, 24, 'Aborcje');
INSERT INTO `lang_definitions` VALUES (91328, 44, 24, 'O kalendarzu');
INSERT INTO `lang_definitions` VALUES (91329, 46, 24, 'Nieobecności według Diagnozy');
INSERT INTO `lang_definitions` VALUES (91330, 47, 24, 'Zebrane przypisanie');
INSERT INTO `lang_definitions` VALUES (91331, 48, 24, 'Przyjęcie płatności za');
INSERT INTO `lang_definitions` VALUES (91332, 49, 24, 'Przyjęcie płatności za');
INSERT INTO `lang_definitions` VALUES (91333, 50, 24, 'Akceptacja przypisania');
INSERT INTO `lang_definitions` VALUES (91334, 51, 24, 'Kontrola dostępu');
INSERT INTO `lang_definitions` VALUES (91335, 52, 24, 'Administracja kontroli dostępu');
INSERT INTO `lang_definitions` VALUES (91336, 54, 24, 'Dostęp wzbroniony');
INSERT INTO `lang_definitions` VALUES (91337, 55, 24, 'Dostep nie Autoryzowany');
INSERT INTO `lang_definitions` VALUES (91338, 56, 24, 'Dostęp portalu Pacjenta');
INSERT INTO `lang_definitions` VALUES (91339, 59, 24, 'Nazwa konta');
INSERT INTO `lang_definitions` VALUES (91340, 62, 24, 'Księgowość');
INSERT INTO `lang_definitions` VALUES (91341, 64, 24, 'Bóle');
INSERT INTO `lang_definitions` VALUES (91342, 65, 24, 'Potwierdzenie Oczekiwana (ISA14)');
INSERT INTO `lang_definitions` VALUES (91343, 66, 24, 'Podziękowania, licencjonowania i certyfikacji');
INSERT INTO `lang_definitions` VALUES (91344, 67, 24, 'ACL');
INSERT INTO `lang_definitions` VALUES (91345, 68, 24, 'ACL administracja');
INSERT INTO `lang_definitions` VALUES (91346, 69, 24, 'ACL administracja nie Autoryzowany');
INSERT INTO `lang_definitions` VALUES (91347, 71, 24, 'trądzik');
INSERT INTO `lang_definitions` VALUES (91348, 72, 24, 'działać');
INSERT INTO `lang_definitions` VALUES (91349, 73, 24, 'Ustaw Date');
INSERT INTO `lang_definitions` VALUES (91350, 74, 24, 'Działanie');
INSERT INTO `lang_definitions` VALUES (91351, 75, 24, 'Działania');
INSERT INTO `lang_definitions` VALUES (91352, 77, 24, 'aktywować CCR / CCD Sprawozdawczość');
INSERT INTO `lang_definitions` VALUES (91353, 78, 24, 'Aktywny');
INSERT INTO `lang_definitions` VALUES (91354, 79, 24, 'Alarm aktywny');
INSERT INTO `lang_definitions` VALUES (91355, 80, 24, 'Aktywne zasady alarmowania');
INSERT INTO `lang_definitions` VALUES (91356, 81, 24, 'Aktywne alarmy/przypomnienia');
INSERT INTO `lang_definitions` VALUES (91357, 82, 24, 'aktywny napotkać');
INSERT INTO `lang_definitions` VALUES (91358, 84, 24, 'Aktywne listy');
INSERT INTO `lang_definitions` VALUES (91359, 85, 24, 'Aktywni pacjenci');
INSERT INTO `lang_definitions` VALUES (91360, 86, 24, 'Aktywne plany');
INSERT INTO `lang_definitions` VALUES (91361, 87, 24, 'Działalność');
INSERT INTO `lang_definitions` VALUES (91362, 88, 24, 'Rodzaj działalności');
INSERT INTO `lang_definitions` VALUES (91363, 90, 24, 'Ostre zatrucie / Wypłaty');
INSERT INTO `lang_definitions` VALUES (91364, 92, 24, 'Ostre przewlekłe');
INSERT INTO `lang_definitions` VALUES (91365, 93, 24, 'dodaj');
INSERT INTO `lang_definitions` VALUES (91366, 94, 24, 'Dodaj');
INSERT INTO `lang_definitions` VALUES (91367, 95, 24, 'DODAJ');
INSERT INTO `lang_definitions` VALUES (91368, 96, 24, 'Dodaj firmę');
INSERT INTO `lang_definitions` VALUES (91369, 98, 24, 'Dodaj aptekę');
INSERT INTO `lang_definitions` VALUES (91370, 100, 24, 'dodaj zdarzenie dla ');
INSERT INTO `lang_definitions` VALUES (91371, 101, 24, 'Dodaj jako nową notatkę');
INSERT INTO `lang_definitions` VALUES (91372, 102, 24, 'Dodaj jako nowy');
INSERT INTO `lang_definitions` VALUES (91373, 104, 24, 'Dodaj przyciski');
INSERT INTO `lang_definitions` VALUES (91374, 105, 24, 'Dodaj przyciski na znaki specjalne, Teksty, które mają być wyświetlane w górnej części edytora o włączenie do tekstu na Click');
INSERT INTO `lang_definitions` VALUES (91375, 106, 24, 'Dodaj kategorię');
INSERT INTO `lang_definitions` VALUES (91376, 107, 24, 'Dodaj stałą');
INSERT INTO `lang_definitions` VALUES (91377, 108, 24, 'Dodaj Kontekst');
INSERT INTO `lang_definitions` VALUES (91378, 109, 24, 'Dodaj współpłatność');
INSERT INTO `lang_definitions` VALUES (91379, 110, 24, 'Dodaj kryteria');
INSERT INTO `lang_definitions` VALUES (91380, 111, 24, 'Dodaj przycisk użytkownika');
INSERT INTO `lang_definitions` VALUES (91381, 112, 24, 'Dodaj diagnozę');
INSERT INTO `lang_definitions` VALUES (91382, 113, 24, 'Dodaj lek');
INSERT INTO `lang_definitions` VALUES (91383, 114, 24, 'Dodaj wizytę');
INSERT INTO `lang_definitions` VALUES (91384, 115, 24, 'Dodaj wizytę/notatki');
INSERT INTO `lang_definitions` VALUES (91385, 116, 24, 'Dodaj ośrodek');
INSERT INTO `lang_definitions` VALUES (91386, 117, 24, 'Dodaj pole');
INSERT INTO `lang_definitions` VALUES (91387, 118, 24, 'Dodaj poniższe wiersze do pliku konfiguracyjnego serwera Apache');
INSERT INTO `lang_definitions` VALUES (91388, 119, 24, 'Dodaj grupę');
INSERT INTO `lang_definitions` VALUES (91389, 120, 24, 'Dodaj kod ICD');
INSERT INTO `lang_definitions` VALUES (91390, 121, 24, 'Dodaj szczepienie');
INSERT INTO `lang_definitions` VALUES (91391, 122, 24, 'Dodaj nie jest upoważniony!');
INSERT INTO `lang_definitions` VALUES (91392, 123, 24, 'Dodaj problem');
INSERT INTO `lang_definitions` VALUES (91393, 125, 24, 'Dodaj język');
INSERT INTO `lang_definitions` VALUES (91394, 126, 24, 'Dodaj nowe');
INSERT INTO `lang_definitions` VALUES (91395, 127, 24, 'Dodaj nowe');
INSERT INTO `lang_definitions` VALUES (91396, 128, 24, 'Dodaj nową kategorię: ');
INSERT INTO `lang_definitions` VALUES (91397, 129, 24, 'Dodaj nowe certyfikaty do pliku konfiguracyjnego serwera Apache');
INSERT INTO `lang_definitions` VALUES (91398, 132, 24, 'Dodaj nową grupę');
INSERT INTO `lang_definitions` VALUES (91399, 134, 24, 'Dodaj nowy nr serii i transakcję');
INSERT INTO `lang_definitions` VALUES (91400, 135, 24, 'Dodaj nową notatkę');
INSERT INTO `lang_definitions` VALUES (91401, 136, 24, 'Dodaj nową notatkę');
INSERT INTO `lang_definitions` VALUES (91402, 137, 24, 'Dodaj nowego partnera');
INSERT INTO `lang_definitions` VALUES (91403, 140, 24, 'Dodaj notatkę');
INSERT INTO `lang_definitions` VALUES (91404, 141, 24, 'Dodaj dane pacjenta');
INSERT INTO `lang_definitions` VALUES (91405, 142, 24, 'Dodaj receptę');
INSERT INTO `lang_definitions` VALUES (91406, 143, 24, 'Dodaj Procedura');
INSERT INTO `lang_definitions` VALUES (91407, 144, 24, 'Dodaj numer lekarza');
INSERT INTO `lang_definitions` VALUES (91408, 145, 24, 'Dodaj kurację odwykową');
INSERT INTO `lang_definitions` VALUES (91409, 146, 24, 'Dodaj regułę');
INSERT INTO `lang_definitions` VALUES (91410, 147, 24, 'Dodaj do');
INSERT INTO `lang_definitions` VALUES (91411, 148, 24, 'Dodaj do listy leków');
INSERT INTO `lang_definitions` VALUES (91412, 149, 24, 'Dodaj najwyższy poziom');
INSERT INTO `lang_definitions` VALUES (91413, 150, 24, 'Dodaj transakcję');
INSERT INTO `lang_definitions` VALUES (91414, 151, 24, 'Dodaj użytkownika');
INSERT INTO `lang_definitions` VALUES (91415, 152, 24, 'Dodaj użytkownika do grupy');
INSERT INTO `lang_definitions` VALUES (91416, 153, 24, 'Dodaj/Edytuj eReceptę');
INSERT INTO `lang_definitions` VALUES (91417, 154, 24, 'Dodaj/Edytuj transakcję pacjenta');
INSERT INTO `lang_definitions` VALUES (91418, 155, 24, 'dodano');
INSERT INTO `lang_definitions` VALUES (91419, 156, 24, 'Dodawanie danych demograficznych jest nieautoryzowane.');
INSERT INTO `lang_definitions` VALUES (91420, 158, 24, 'Zespół Addisona');
INSERT INTO `lang_definitions` VALUES (91421, 159, 24, 'Zespół Addisona');
INSERT INTO `lang_definitions` VALUES (91422, 160, 24, 'Dodatkowe atrybuty');
INSERT INTO `lang_definitions` VALUES (91423, 161, 24, 'Dodatkowa diagnoza:');
INSERT INTO `lang_definitions` VALUES (91424, 162, 24, 'Dodatkowa historia');
INSERT INTO `lang_definitions` VALUES (91425, 163, 24, 'Dodatkowe notatki do historii');
INSERT INTO `lang_definitions` VALUES (91426, 164, 24, 'Dodatkowe informacje');
INSERT INTO `lang_definitions` VALUES (91427, 165, 24, 'Dodatkowe badania lab.');
INSERT INTO `lang_definitions` VALUES (91428, 166, 24, 'Dodatkowe notatki');
INSERT INTO `lang_definitions` VALUES (91429, 167, 24, 'Dodatkowe informacje i objaśnienia do tego wyniku lub zalecenia');
INSERT INTO `lang_definitions` VALUES (91430, 168, 24, 'Dodatkowe notatki:');
INSERT INTO `lang_definitions` VALUES (91431, 169, 24, 'Dodatkowe notatki: ');
INSERT INTO `lang_definitions` VALUES (91432, 170, 24, 'Dodatkowe notatki dot. RTG:');
INSERT INTO `lang_definitions` VALUES (91433, 171, 24, 'Dodatkowo odpowiada US Pakiet rozszerzający SNOMED mogą być importowane osobno po zainstalowaniu International (English version) SNOMED prasowy');
INSERT INTO `lang_definitions` VALUES (91434, 172, 24, 'tylko dodawanie');
INSERT INTO `lang_definitions` VALUES (91435, 173, 24, 'Książka adresowa');
INSERT INTO `lang_definitions` VALUES (91436, 174, 24, 'Książka adresowa');
INSERT INTO `lang_definitions` VALUES (91437, 175, 24, 'Adres');
INSERT INTO `lang_definitions` VALUES (91438, 178, 24, 'Książka adresowa');
INSERT INTO `lang_definitions` VALUES (91439, 179, 24, 'Wpis w książce adresowej dla instytucji wykonującej tę procedurę');
INSERT INTO `lang_definitions` VALUES (91440, 180, 24, 'Wpis w książce adresowej dla dystrybutora');
INSERT INTO `lang_definitions` VALUES (91441, 181, 24, 'Wpis w książce adresowej dla sprzedawcy');
INSERT INTO `lang_definitions` VALUES (91442, 182, 24, 'Typy książki adresów');
INSERT INTO `lang_definitions` VALUES (91443, 187, 24, 'Adres 1');
INSERT INTO `lang_definitions` VALUES (91444, 188, 24, 'Adres 2');
INSERT INTO `lang_definitions` VALUES (91445, 189, 24, 'ADRESAT');
INSERT INTO `lang_definitions` VALUES (91446, 190, 24, 'przym');
INSERT INTO `lang_definitions` VALUES (91447, 191, 24, 'Kwota przym');
INSERT INTO `lang_definitions` VALUES (91448, 192, 24, 'wyregulować');
INSERT INTO `lang_definitions` VALUES (91449, 193, 24, 'Korekta');
INSERT INTO `lang_definitions` VALUES (91450, 194, 24, 'korekta AMT');
INSERT INTO `lang_definitions` VALUES (91451, 195, 24, 'Przyczyny korekty');
INSERT INTO `lang_definitions` VALUES (91452, 196, 24, 'Wartość ustawienia kodu ');
INSERT INTO `lang_definitions` VALUES (91453, 197, 24, 'Korekty');
INSERT INTO `lang_definitions` VALUES (91454, 198, 24, 'Adminitration dostosować');
INSERT INTO `lang_definitions` VALUES (91455, 199, 24, 'Admin');
INSERT INTO `lang_definitions` VALUES (91456, 200, 24, 'Adres e-mail Admina');
INSERT INTO `lang_definitions` VALUES (91457, 201, 24, 'Droga podawania');
INSERT INTO `lang_definitions` VALUES (91458, 202, 24, 'Zarządzane');
INSERT INTO `lang_definitions` VALUES (91459, 203, 24, 'Zarządzane przez');
INSERT INTO `lang_definitions` VALUES (91460, 205, 24, 'podawany Site');
INSERT INTO `lang_definitions` VALUES (91461, 206, 24, 'Administracja');
INSERT INTO `lang_definitions` VALUES (91462, 207, 24, 'Administracja witryny');
INSERT INTO `lang_definitions` VALUES (91463, 208, 24, 'Administratorzy');
INSERT INTO `lang_definitions` VALUES (91464, 209, 24, 'Administratorzy mogą wszystko');
INSERT INTO `lang_definitions` VALUES (91465, 210, 24, 'Przyznaj Data');
INSERT INTO `lang_definitions` VALUES (91466, 212, 24, 'Adult Screening Waga i Uzupełnienie');
INSERT INTO `lang_definitions` VALUES (91467, 213, 24, 'Adult Screening Waga i Uzupełnienie (CQM)');
INSERT INTO `lang_definitions` VALUES (91468, 214, 24, 'Dyrektywa Advance');
INSERT INTO `lang_definitions` VALUES (91469, 215, 24, 'dyrektywy Advance');
INSERT INTO `lang_definitions` VALUES (91470, 216, 24, 'Advance Dyrektywy Ostrzeżenie');
INSERT INTO `lang_definitions` VALUES (91471, 218, 24, 'Zaawansowany');
INSERT INTO `lang_definitions` VALUES (91472, 219, 24, 'Wskazówka');
INSERT INTO `lang_definitions` VALUES (91473, 221, 24, 'wpływać na normalne');
INSERT INTO `lang_definitions` VALUES (91474, 223, 24, 'Wezwania po godzinach');
INSERT INTO `lang_definitions` VALUES (91475, 224, 24, 'Po migracji ze starych mechanizmów hasło gdzie hasła są przechowywane w tabeli użytkowników bez soli jest kompletna, ta flaga powinna być ustawiona na false, aby tylko uwierzytelniania przez nowe metody jest możliwe');
INSERT INTO `lang_definitions` VALUES (91476, 225, 24, 'Po wykonaniu wyżej konfiguracjach, zaimportować certyfikat klienta administratora do przeglądarki i ponowne uruchomienie serwera Apache (puste hasło).');
INSERT INTO `lang_definitions` VALUES (91477, 226, 24, 'Po zapisaniu w formacie PDF, kliknij przycisk [Zobacz Logowanie], aby sprawdzić błędy.');
INSERT INTO `lang_definitions` VALUES (91478, 227, 24, 'Po zapisaniu pliku tekstowym (s), kliknij przycisk [Zobacz Logowanie], aby sprawdzić błędy.');
INSERT INTO `lang_definitions` VALUES (91479, 228, 24, 'Po zapisaniu partii, kliknij przycisk [Zobacz Logowanie], aby sprawdzić błędy.');
INSERT INTO `lang_definitions` VALUES (91480, 230, 24, 'Po informacje są prawidłowo wprowadzone, kliknij przycisk Zapisz.');
INSERT INTO `lang_definitions` VALUES (91481, 232, 24, 'Opieka planowanie');
INSERT INTO `lang_definitions` VALUES (91482, 233, 24, 'Ponownie');
INSERT INTO `lang_definitions` VALUES (91483, 234, 24, 'Wiek');
INSERT INTO `lang_definitions` VALUES (91484, 235, 24, 'Wiek przez');
INSERT INTO `lang_definitions` VALUES (91485, 236, 24, 'Kategoria Wiekowa');
INSERT INTO `lang_definitions` VALUES (91486, 237, 24, 'Dane Wiek jest poza zakresem.');
INSERT INTO `lang_definitions` VALUES (91487, 238, 24, 'Format wyświetlania wieku');
INSERT INTO `lang_definitions` VALUES (91488, 239, 24, 'Format wiek \"wieku od\" nie jest prawidłowy');
INSERT INTO `lang_definitions` VALUES (91489, 240, 24, 'Format wiek \"wieku do\" nie jest prawidłowy');
INSERT INTO `lang_definitions` VALUES (91490, 241, 24, 'Wiek od');
INSERT INTO `lang_definitions` VALUES (91491, 242, 24, 'Wiek w latach Zmian formatu wyświetlania');
INSERT INTO `lang_definitions` VALUES (91492, 243, 24, 'Maks. Wiek');
INSERT INTO `lang_definitions` VALUES (91493, 244, 24, 'Min. Wiek');
INSERT INTO `lang_definitions` VALUES (91494, 245, 24, 'Zakres Wieku');
INSERT INTO `lang_definitions` VALUES (91495, 247, 24, 'Kolumny Aging:');
INSERT INTO `lang_definitions` VALUES (91496, 249, 24, 'Albański');
INSERT INTO `lang_definitions` VALUES (91497, 250, 24, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (91498, 251, 24, 'Spożycie alkoholu');
INSERT INTO `lang_definitions` VALUES (91499, 253, 24, 'Liczba alarmów');
INSERT INTO `lang_definitions` VALUES (91500, 255, 24, 'Alarmy');
INSERT INTO `lang_definitions` VALUES (91501, 258, 24, 'Społeczność');
INSERT INTO `lang_definitions` VALUES (91502, 259, 24, 'Wszystko');
INSERT INTO `lang_definitions` VALUES (91503, 260, 24, 'WSZYSTKO');
INSERT INTO `lang_definitions` VALUES (91504, 261, 24, 'Wszystko (Zestawiony format A)');
INSERT INTO `lang_definitions` VALUES (91505, 262, 24, 'Wszystko (Zestawiony format B)');
INSERT INTO `lang_definitions` VALUES (91506, 263, 24, 'Wszystkie (narastająco)');
INSERT INTO `lang_definitions` VALUES (91507, 266, 24, 'Wszystkie kategorie');
INSERT INTO `lang_definitions` VALUES (91508, 268, 24, 'Wszystkie kody');
INSERT INTO `lang_definitions` VALUES (91509, 269, 24, 'Wszystkie dni');
INSERT INTO `lang_definitions` VALUES (91510, 270, 24, 'Wydarzenie całodniowe');
INSERT INTO `lang_definitions` VALUES (91511, 271, 24, 'Wszystkie dane demograficzne, z pola wyszukiwania i powielania czekiem');
INSERT INTO `lang_definitions` VALUES (91512, 272, 24, 'Wszystkie oddziały');
INSERT INTO `lang_definitions` VALUES (91513, 273, 24, 'Wszystkie schorzenia/problemy');
INSERT INTO `lang_definitions` VALUES (91514, 274, 24, 'Wszystkie języki dopuszczone');
INSERT INTO `lang_definitions` VALUES (91515, 276, 24, 'Całość lub część imienia');
INSERT INTO `lang_definitions` VALUES (91516, 277, 24, 'Całość lub część nazwiska');
INSERT INTO `lang_definitions` VALUES (91517, 278, 24, 'Całość lub część organizacji');
INSERT INTO `lang_definitions` VALUES (91518, 280, 24, 'Wszystkie produkty');
INSERT INTO `lang_definitions` VALUES (91519, 281, 24, 'Wszyscy lekarze');
INSERT INTO `lang_definitions` VALUES (91520, 282, 24, 'Wszystkie Korekta i ujemne:');
INSERT INTO `lang_definitions` VALUES (91521, 283, 24, 'Wszystkie tematy');
INSERT INTO `lang_definitions` VALUES (91522, 284, 24, 'Wszyscy użytkownicy');
INSERT INTO `lang_definitions` VALUES (91523, 285, 24, 'Uczulony/a');
INSERT INTO `lang_definitions` VALUES (91524, 286, 24, 'Alergie');
INSERT INTO `lang_definitions` VALUES (91525, 287, 24, 'Alergie:');
INSERT INTO `lang_definitions` VALUES (91526, 288, 24, 'Alergia');
INSERT INTO `lang_definitions` VALUES (91527, 289, 24, 'Import Allergy pomyślnie');
INSERT INTO `lang_definitions` VALUES (91528, 291, 24, 'Reakcja alergiczna');
INSERT INTO `lang_definitions` VALUES (91529, 294, 24, 'Przeznaczyć');
INSERT INTO `lang_definitions` VALUES (91530, 295, 24, 'Pozwól');
INSERT INTO `lang_definitions` VALUES (91531, 296, 24, 'Pozwól, aby wszystkie dostępne języki były dostępne dla użytkownika podczas logowania.');
INSERT INTO `lang_definitions` VALUES (91532, 297, 24, 'Umożliwić tworzenie roszczeń zawierających diagnozę, ale nie procedury i opłaty. Większość klinik nie chcą tego.');
INSERT INTO `lang_definitions` VALUES (91533, 298, 24, 'Pozwól Debugowanie język');
INSERT INTO `lang_definitions` VALUES (91534, 299, 24, 'Pozwól na wiadomości email');
INSERT INTO `lang_definitions` VALUES (91535, 300, 24, 'Pozwalasz na wiadomości email?');
INSERT INTO `lang_definitions` VALUES (91536, 301, 24, 'Pozwalasz na email?');
INSERT INTO `lang_definitions` VALUES (91537, 302, 24, 'Pozwól Encounter roszczeń');
INSERT INTO `lang_definitions` VALUES (91538, 303, 24, 'Umożliwienie wymiany informacji zdrowotnej');
INSERT INTO `lang_definitions` VALUES (91539, 304, 24, 'Zezwala na dostępnianie informacji o szczepieniach');
INSERT INTO `lang_definitions` VALUES (91540, 305, 24, 'Zezwala na wykorzystanie rejestru szczepień');
INSERT INTO `lang_definitions` VALUES (91541, 306, 24, 'Pozwól na wiadomości pocztowe');
INSERT INTO `lang_definitions` VALUES (91542, 308, 24, 'Włącz dostęp do portalu pacjenta');
INSERT INTO `lang_definitions` VALUES (91543, 309, 24, 'Pozwól na SMSy');
INSERT INTO `lang_definitions` VALUES (91544, 310, 24, 'Pozwalasz na wiadomości tekstowe SMS?');
INSERT INTO `lang_definitions` VALUES (91545, 311, 24, 'Pozwól złożone zdarzenia do uaktywnione natychmiast?');
INSERT INTO `lang_definitions` VALUES (91546, 312, 24, 'Zgadzasz się na kontakt telefoniczny?');
INSERT INTO `lang_definitions` VALUES (91547, 313, 24, 'Pozwól użytkownikom publikować wydarzenia globalne');
INSERT INTO `lang_definitions` VALUES (91548, 314, 24, 'Pozwól użytkownikom publikować kalendarze osobiste');
INSERT INTO `lang_definitions` VALUES (91549, 315, 24, 'Zgoda na wiadomości głosowe');
INSERT INTO `lang_definitions` VALUES (91550, 316, 24, 'Dopuszczalne');
INSERT INTO `lang_definitions` VALUES (91551, 317, 24, 'Dopuszczalne języki');
INSERT INTO `lang_definitions` VALUES (91552, 318, 24, 'Dozwolony(c)');
INSERT INTO `lang_definitions` VALUES (91553, 323, 24, 'już istnieje');
INSERT INTO `lang_definitions` VALUES (91554, 324, 24, 'już istnieje.');
INSERT INTO `lang_definitions` VALUES (91555, 325, 24, 'Jest już w użyciu - wybierz inny identyfikator');
INSERT INTO `lang_definitions` VALUES (91556, 326, 24, 'Jest już w użyciu - wybierz inny tytuł');
INSERT INTO `lang_definitions` VALUES (91557, 327, 24, 'Adres alternatywny');
INSERT INTO `lang_definitions` VALUES (91558, 328, 24, 'zmień');
INSERT INTO `lang_definitions` VALUES (91559, 329, 24, 'Alternatywnie, można użyć strony wyszukiwania, aby przesłać elektroniczny przelewu (X12 835) pliku, które zostały otrzymane od zleceniodawcy lub Clearinghouse. Można to zrobić, klikając przycisk Przeglądaj i wybrać plik który chcesz przesłać, a następnie kliknij Wyszukiwanie Aby przesłać plik i wyświetlić odpowiednie faktury. W tym przypadku pozostałe parametry wymienione powyżej, a nie stosuje się jest ignorowany. Przesyłanie zapisuje plik, ale jeszcze nie przetwarza zawartość - który sporządzono oddzielnie, jak opisano poniżej.');
INSERT INTO `lang_definitions` VALUES (91560, 330, 24, 'AM');
INSERT INTO `lang_definitions` VALUES (91561, 331, 24, 'Program AM');
INSERT INTO `lang_definitions` VALUES (91562, 332, 24, 'AMC');
INSERT INTO `lang_definitions` VALUES (91563, 333, 24, 'AMC Tracking');
INSERT INTO `lang_definitions` VALUES (91564, 338, 24, 'Zmiany istniejącego listu');
INSERT INTO `lang_definitions` VALUES (91565, 343, 24, 'Amerykanin indyjski');
INSERT INTO `lang_definitions` VALUES (91566, 344, 24, 'Amerykanin indyjski i Alaska tubylec');
INSERT INTO `lang_definitions` VALUES (91567, 345, 24, 'AMEX');
INSERT INTO `lang_definitions` VALUES (91568, 346, 24, 'amharski');
INSERT INTO `lang_definitions` VALUES (91569, 347, 24, 'Kwota');
INSERT INTO `lang_definitions` VALUES (91570, 348, 24, 'ilość podawana');
INSERT INTO `lang_definitions` VALUES (91571, 349, 24, 'Opłaty wynoszą');
INSERT INTO `lang_definitions` VALUES (91572, 350, 24, 'Należność za wcześniejsze usługi');
INSERT INTO `lang_definitions` VALUES (91573, 351, 24, 'Należność za bieżącą wizytę');
INSERT INTO `lang_definitions` VALUES (91574, 352, 24, 'Kwota wpłacona');
INSERT INTO `lang_definitions` VALUES (91575, 353, 24, 'Kwota:');
INSERT INTO `lang_definitions` VALUES (91576, 354, 24, 'Kwota zapowiadane');
INSERT INTO `lang_definitions` VALUES (91577, 355, 24, 'Dla zdarzeń cyklicznych wymagane jest podanie daty zakończenia późniejszej od daty rozpoczęcia!');
INSERT INTO `lang_definitions` VALUES (91578, 357, 24, 'Wystąpił błąd podczas dumpingu internetowej LibreEHR drzewo katalogów');
INSERT INTO `lang_definitions` VALUES (91579, 358, 24, 'Wystąpił błąd podczas dumpingu phpGACL drzewo katalogów internetowych');
INSERT INTO `lang_definitions` VALUES (91580, 359, 24, 'Wystąpił błąd podczas dumpingu SQL-Ledger drzewo katalogów internetowych');
INSERT INTO `lang_definitions` VALUES (91581, 360, 24, 'Niepełne GCAC problem został stworzony i powiązane. Ktoś będzie musiał wypełnić później.');
INSERT INTO `lang_definitions` VALUES (91582, 362, 24, 'Nieoczekiwany błąd.');
INSERT INTO `lang_definitions` VALUES (91583, 363, 24, 'Wielka litera');
INSERT INTO `lang_definitions` VALUES (91584, 365, 24, 'i');
INSERT INTO `lang_definitions` VALUES (91585, 366, 24, 'I');
INSERT INTO `lang_definitions` VALUES (91586, 367, 24, 'i');
INSERT INTO `lang_definitions` VALUES (91587, 368, 24, 'i ');
INSERT INTO `lang_definitions` VALUES (91588, 369, 24, 'i wszystkie podległe dane? Akcja będzie się zalogować');
INSERT INTO `lang_definitions` VALUES (91589, 370, 24, 'i modyfikator');
INSERT INTO `lang_definitions` VALUES (91590, 371, 24, 'i przetwarzane.');
INSERT INTO `lang_definitions` VALUES (91591, 372, 24, 'i zrestartuj serwer Apache.');
INSERT INTO `lang_definitions` VALUES (91592, 373, 24, 'a przyczyną jest');
INSERT INTO `lang_definitions` VALUES (91593, 374, 24, 'Anemia');
INSERT INTO `lang_definitions` VALUES (91594, 375, 24, 'Kostka');
INSERT INTO `lang_definitions` VALUES (91595, 376, 24, 'Kostka + pięta');
INSERT INTO `lang_definitions` VALUES (91596, 377, 24, 'Formularz oceny kostki');
INSERT INTO `lang_definitions` VALUES (91597, 378, 24, 'Problemy z kostką');
INSERT INTO `lang_definitions` VALUES (91598, 379, 24, 'Zesztywniające zapalenie stawów kręgosłupa');
INSERT INTO `lang_definitions` VALUES (91599, 380, 24, 'Zesztywniające zapalenie stawów kręgosłupa');
INSERT INTO `lang_definitions` VALUES (91600, 381, 24, 'Anoreksja');
INSERT INTO `lang_definitions` VALUES (91601, 382, 24, 'Inną rzeczą, jaką możesz zrobić, w oknie wysyłania żądania jest wtórna rozliczeniowych. W przypadku wybrania tej opcji przed zapisaniem, a następnie powództwo zostanie ponownie otwarty i kolejki na stronie płatności, i będą przetwarzane w następnym okresie rozliczeniowym.');
INSERT INTO `lang_definitions` VALUES (91602, 383, 24, 'przed');
INSERT INTO `lang_definitions` VALUES (91603, 384, 24, 'Anus nl, no odbytnicy tkliwość / masa');
INSERT INTO `lang_definitions` VALUES (91604, 385, 24, 'Niepokój');
INSERT INTO `lang_definitions` VALUES (91605, 386, 24, 'Dowolna');
INSERT INTO `lang_definitions` VALUES (91606, 387, 24, 'Dowolna kategoria');
INSERT INTO `lang_definitions` VALUES (91607, 388, 24, 'Którakolwiek część kodu lub jego opisu');
INSERT INTO `lang_definitions` VALUES (91608, 389, 24, 'Którakolwiek część nazwy specjalności');
INSERT INTO `lang_definitions` VALUES (91609, 390, 24, 'Którakolwiek część identyfikatora lub nazwy leku');
INSERT INTO `lang_definitions` VALUES (91610, 391, 24, 'Którakolwiek część identyfikatora lub nazwy szczepienia');
INSERT INTO `lang_definitions` VALUES (91611, 392, 24, 'Każda część nazwisko pacjenta, lub  \"nazwisko, imię \" lub  \"XY \"');
INSERT INTO `lang_definitions` VALUES (91612, 393, 24, 'Wszelkie inne istotne informacje');
INSERT INTO `lang_definitions` VALUES (91613, 394, 24, 'Klucz API do bramki SMS.');
INSERT INTO `lang_definitions` VALUES (91614, 395, 24, 'Bezdech');
INSERT INTO `lang_definitions` VALUES (91615, 396, 24, 'Wygląd');
INSERT INTO `lang_definitions` VALUES (91616, 397, 24, 'Wygląd.');
INSERT INTO `lang_definitions` VALUES (91617, 398, 24, 'Dodaj tę notatkę');
INSERT INTO `lang_definitions` VALUES (91618, 399, 24, 'Dodaj do istniejącej nototki');
INSERT INTO `lang_definitions` VALUES (91619, 400, 24, 'Dodaj do tej notatki');
INSERT INTO `lang_definitions` VALUES (91620, 401, 24, 'Dodaj do tej notatki');
INSERT INTO `lang_definitions` VALUES (91621, 402, 24, 'Appendektomia');
INSERT INTO `lang_definitions` VALUES (91622, 404, 24, 'Obowiązujące Pacjenci');
INSERT INTO `lang_definitions` VALUES (91623, 405, 24, 'Aplikacja');
INSERT INTO `lang_definitions` VALUES (91624, 406, 24, 'Nazwa aplikacji dla strony logowania i głównego tytułu okna.');
INSERT INTO `lang_definitions` VALUES (91625, 407, 24, 'Kod Receiver Aplikacja (GS03 - Jeśli puste ISA08 będą używane)');
INSERT INTO `lang_definitions` VALUES (91626, 408, 24, 'Zastosowanie Sender Code (GS02)');
INSERT INTO `lang_definitions` VALUES (91627, 409, 24, 'Tytuł aplikacji');
INSERT INTO `lang_definitions` VALUES (91628, 410, 24, 'Dotyczy postaci narządy i wykres wzrostu');
INSERT INTO `lang_definitions` VALUES (91629, 412, 24, 'Zastosuj zmiany do obecnego przypadku jedynie do tego i wszystkich zdarzeń przyszłych, lub do wszystkich wystąpień?');
INSERT INTO `lang_definitions` VALUES (91630, 413, 24, 'stosuje się do danego obszaru');
INSERT INTO `lang_definitions` VALUES (91631, 414, 24, 'stosować na skórę');
INSERT INTO `lang_definitions` VALUES (91632, 415, 24, 'Stosowanie');
INSERT INTO `lang_definitions` VALUES (91633, 416, 24, 'Zastosowaniu poprawki na miejscu');
INSERT INTO `lang_definitions` VALUES (91634, 417, 24, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (91635, 418, 24, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (91636, 419, 24, 'Styl wyświetlania wizyt');
INSERT INTO `lang_definitions` VALUES (91637, 420, 24, 'Zasady przypominani o wizytach');
INSERT INTO `lang_definitions` VALUES (91638, 421, 24, 'Status wizyty');
INSERT INTO `lang_definitions` VALUES (91639, 422, 24, 'Statusy wizyt');
INSERT INTO `lang_definitions` VALUES (91640, 423, 24, 'Powołanie w ramach');
INSERT INTO `lang_definitions` VALUES (91641, 424, 24, 'Powołanie / Wydarzenie Kolor');
INSERT INTO `lang_definitions` VALUES (91642, 425, 24, 'Wizyty');
INSERT INTO `lang_definitions` VALUES (91643, 426, 24, 'Nominacje (zapis opcjonalny)');
INSERT INTO `lang_definitions` VALUES (91644, 427, 24, 'Nominacje (pisać wsome opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (91645, 430, 24, 'Nominacje i napotyka');
INSERT INTO `lang_definitions` VALUES (91646, 431, 24, 'Raport wizyt');
INSERT INTO `lang_definitions` VALUES (91647, 432, 24, 'Nominacje-Encounters Zgłoś');
INSERT INTO `lang_definitions` VALUES (91648, 434, 24, 'Zatwierdź');
INSERT INTO `lang_definitions` VALUES (91649, 436, 24, 'Zatwierdzono');
INSERT INTO `lang_definitions` VALUES (91650, 437, 24, 'Zatwierdzony Administracja Wydarzenia');
INSERT INTO `lang_definitions` VALUES (91651, 441, 24, 'Nominacje');
INSERT INTO `lang_definitions` VALUES (91652, 442, 24, 'Kwi');
INSERT INTO `lang_definitions` VALUES (91653, 443, 24, 'Kwiecień');
INSERT INTO `lang_definitions` VALUES (91654, 444, 24, 'Arabski');
INSERT INTO `lang_definitions` VALUES (91655, 446, 24, 'Archiwum');
INSERT INTO `lang_definitions` VALUES (91656, 447, 24, 'Czy nazwy grup kontroli dostępu mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (91657, 448, 24, 'Czy nazwy kategorii wizyt mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (91658, 449, 24, 'Czy nazwy kategorii dokumentów mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (91659, 450, 24, 'Czy dla tego typu stosuje się opłaty?');
INSERT INTO `lang_definitions` VALUES (91660, 451, 24, 'Czy nagłówki notatek o pacjencie mają być tłumaczone?');
INSERT INTO `lang_definitions` VALUES (91661, 452, 24, 'Kody są przechowywane w zewnętrznych tabel SQL (0-nie, 1-ICD10, 2-SNOMED (RF1), 3-SNOMED (RF2))?');
INSERT INTO `lang_definitions` VALUES (91662, 453, 24, 'Czy jesteś gotowy, aby zakończyć nową GCAC problem dla tej wizyty?');
INSERT INTO `lang_definitions` VALUES (91663, 454, 24, 'Czy na pewno chcesz umieścić na dziś?');
INSERT INTO `lang_definitions` VALUES (91664, 455, 24, 'Czy na pewno chcesz zatwierdzić tezę wydarzenia?');
INSERT INTO `lang_definitions` VALUES (91665, 457, 24, 'Czy jesteś pewien, że chcesz, aby całkowicie usunąć ten formularz?');
INSERT INTO `lang_definitions` VALUES (91666, 459, 24, 'Czy na pewno chcesz usunąć ten ujawnienia?');
INSERT INTO `lang_definitions` VALUES (91667, 460, 24, 'Czy na pewno chcesz usunąć to wydarzenie?');
INSERT INTO `lang_definitions` VALUES (91668, 461, 24, 'Czy na pewno chcesz usunąć ten element z bazy danych?');
INSERT INTO `lang_definitions` VALUES (91669, 462, 24, 'Czy na pewno chcesz skasować tę notatkę?');
INSERT INTO `lang_definitions` VALUES (91670, 464, 24, 'Czy na pewno chcesz edytować wydarzenia dyplomowych?');
INSERT INTO `lang_definitions` VALUES (91671, 465, 24, 'Czy na pewno chcesz ukryć wydarzenia dyplomowych?');
INSERT INTO `lang_definitions` VALUES (91672, 467, 24, 'Czy na pewno chcesz, aby tezy wydarzeń?');
INSERT INTO `lang_definitions` VALUES (91673, 468, 24, 'Czy jesteś pewien, że chcesz usunąć całą grupę o nazwie');
INSERT INTO `lang_definitions` VALUES (91674, 469, 24, 'Czy na pewno chcesz usunąć całą listę');
INSERT INTO `lang_definitions` VALUES (91675, 470, 24, 'Czy na pewno chcesz usunąć w polu');
INSERT INTO `lang_definitions` VALUES (91676, 471, 24, 'Czy na pewno chcesz usunąć wybrane pola?');
INSERT INTO `lang_definitions` VALUES (91677, 472, 24, 'Jesteś pewien, że  \'d chcesz kontynuować pracy działań?');
INSERT INTO `lang_definitions` VALUES (91678, 473, 24, 'Powierzchnia nie określono');
INSERT INTO `lang_definitions` VALUES (91679, 474, 24, 'Ramię');
INSERT INTO `lang_definitions` VALUES (91680, 475, 24, 'armeński');
INSERT INTO `lang_definitions` VALUES (91681, 477, 24, 'Arytmia');
INSERT INTO `lang_definitions` VALUES (91682, 478, 24, 'Artretyzm');
INSERT INTO `lang_definitions` VALUES (91683, 479, 24, 'Arthritis / joint miecz diseas');
INSERT INTO `lang_definitions` VALUES (91684, 480, 24, 'Arthritis / joint miecz choroba');
INSERT INTO `lang_definitions` VALUES (91685, 481, 24, 'oś');
INSERT INTO `lang_definitions` VALUES (91686, 482, 24, 'Ashes Of');
INSERT INTO `lang_definitions` VALUES (91687, 484, 24, 'Asian');
INSERT INTO `lang_definitions` VALUES (91688, 487, 24, 'Przewidywane');
INSERT INTO `lang_definitions` VALUES (91689, 488, 24, 'Przypisany do');
INSERT INTO `lang_definitions` VALUES (91690, 489, 24, 'Asystent');
INSERT INTO `lang_definitions` VALUES (91691, 490, 24, 'Astma');
INSERT INTO `lang_definitions` VALUES (91692, 491, 24, 'w');
INSERT INTO `lang_definitions` VALUES (91693, 492, 24, 'Co najmniej jeden parametr wyszukiwania jest wymagana, jeśli wybierz Wszystkie.');
INSERT INTO `lang_definitions` VALUES (91694, 493, 24, 'Na trzeszczki');
INSERT INTO `lang_definitions` VALUES (91695, 494, 24, 'Na trzeszczki:');
INSERT INTO `lang_definitions` VALUES (91696, 495, 24, 'Athletic zespół');
INSERT INTO `lang_definitions` VALUES (91697, 496, 24, 'Athletic Zespół');
INSERT INTO `lang_definitions` VALUES (91698, 497, 24, 'Athletic / Uraz');
INSERT INTO `lang_definitions` VALUES (91699, 498, 24, 'Atna audytu certyfikat CA');
INSERT INTO `lang_definitions` VALUES (91700, 499, 24, 'Atna Audit gospodarz');
INSERT INTO `lang_definitions` VALUES (91701, 500, 24, 'Atna lokalnego audytora');
INSERT INTO `lang_definitions` VALUES (91702, 501, 24, 'Postage audytu Atna');
INSERT INTO `lang_definitions` VALUES (91703, 503, 24, 'Uwaga');
INSERT INTO `lang_definitions` VALUES (91704, 504, 24, 'Wiadomości');
INSERT INTO `lang_definitions` VALUES (91705, 506, 24, 'Silnik zapyta Adit CDR');
INSERT INTO `lang_definitions` VALUES (91706, 509, 24, 'Kopie Rejestrowanie inspekcji');
INSERT INTO `lang_definitions` VALUES (91707, 510, 24, 'Audyt rejestrowanie Różne');
INSERT INTO `lang_definitions` VALUES (91708, 511, 24, 'Audyt rejestrowanie utworu');
INSERT INTO `lang_definitions` VALUES (91709, 512, 24, 'Audyt rejestrowanie Rekord Pacjenta');
INSERT INTO `lang_definitions` VALUES (91710, 513, 24, 'Audyt rejestrowanie planowanie');
INSERT INTO `lang_definitions` VALUES (91711, 514, 24, 'Audyt rejestrowanie bezpieczeństwo administracja');
INSERT INTO `lang_definitions` VALUES (91712, 515, 24, 'Audyt rejestrowanie SELECT Query');
INSERT INTO `lang_definitions` VALUES (91713, 516, 24, 'Sie');
INSERT INTO `lang_definitions` VALUES (91714, 517, 24, 'Sierpień');
INSERT INTO `lang_definitions` VALUES (91715, 519, 24, 'Autoryzuj');
INSERT INTO `lang_definitions` VALUES (91716, 520, 24, 'Zezwoleń / uwagi');
INSERT INTO `lang_definitions` VALUES (91717, 523, 24, 'grupa autoryzacji');
INSERT INTO `lang_definitions` VALUES (91718, 524, 24, 'Stan autoryzacji');
INSERT INTO `lang_definitions` VALUES (91719, 525, 24, 'Zezwolenia');
INSERT INTO `lang_definitions` VALUES (91720, 526, 24, 'autoryzować');
INSERT INTO `lang_definitions` VALUES (91721, 527, 24, 'Autoryzacja - żadnych spotkań');
INSERT INTO `lang_definitions` VALUES (91722, 528, 24, 'Autoryzacja - Moje spotkania');
INSERT INTO `lang_definitions` VALUES (91723, 529, 24, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (91724, 530, 24, 'upoważniony');
INSERT INTO `lang_definitions` VALUES (91725, 531, 24, 'dozwolone jedynie');
INSERT INTO `lang_definitions` VALUES (91726, 532, 24, 'Auto Wyślij');
INSERT INTO `lang_definitions` VALUES (91727, 535, 24, 'Auto-Tworzenie nowych spotkań');
INSERT INTO `lang_definitions` VALUES (91728, 536, 24, 'Wygenerowane automatycznie');
INSERT INTO `lang_definitions` VALUES (91729, 537, 24, 'Automatyczne obliczenia środka (AMC)');
INSERT INTO `lang_definitions` VALUES (91730, 542, 24, 'Automatyczne obliczenia środka (AMC) Tracking');
INSERT INTO `lang_definitions` VALUES (91731, 543, 24, 'Zautomatyzowane Środki (AMC)');
INSERT INTO `lang_definitions` VALUES (91732, 544, 24, 'automatyczny');
INSERT INTO `lang_definitions` VALUES (91733, 546, 24, 'Automatycznie utworzy nowy termin spotkania, gdy status jest ustawiony na \"@\" (przyjechaliśmy).');
INSERT INTO `lang_definitions` VALUES (91734, 549, 24, 'Automobile Medyczny');
INSERT INTO `lang_definitions` VALUES (91735, 550, 24, 'zapisane automatycznie');
INSERT INTO `lang_definitions` VALUES (91736, 551, 24, 'dostępne kategorie');
INSERT INTO `lang_definitions` VALUES (91737, 552, 24, 'dostępne przedziały');
INSERT INTO `lang_definitions` VALUES (91738, 557, 24, 'Średnia miesięczna');
INSERT INTO `lang_definitions` VALUES (91739, 558, 24, 'Oderwanie / złamanie avulsion');
INSERT INTO `lang_definitions` VALUES (91740, 559, 24, 'Oderwanie kostki bocznej');
INSERT INTO `lang_definitions` VALUES (91741, 560, 24, 'Oderwanie przyśrodkowej malleolus ');
INSERT INTO `lang_definitions` VALUES (91742, 561, 24, 'Świadomość-Based');
INSERT INTO `lang_definitions` VALUES (91743, 562, 24, 'pachowy');
INSERT INTO `lang_definitions` VALUES (91744, 565, 24, 'Notka Informacji i Dokumentacji');
INSERT INTO `lang_definitions` VALUES (91745, 566, 24, 'z powrotem');
INSERT INTO `lang_definitions` VALUES (91746, 567, 24, 'z powrotem');
INSERT INTO `lang_definitions` VALUES (91747, 568, 24, 'Powrót osiem wizyt');
INSERT INTO `lang_definitions` VALUES (91748, 569, 24, 'Powrót jedenaście wizyt');
INSERT INTO `lang_definitions` VALUES (91749, 570, 24, 'Powrót pięciu wizyt');
INSERT INTO `lang_definitions` VALUES (91750, 571, 24, 'Powrót cztery wizyty');
INSERT INTO `lang_definitions` VALUES (91751, 572, 24, 'Powrót dziewięć wizyt');
INSERT INTO `lang_definitions` VALUES (91752, 573, 24, 'Powrót jedna wizyta');
INSERT INTO `lang_definitions` VALUES (91753, 574, 24, 'z powrotem ból');
INSERT INTO `lang_definitions` VALUES (91754, 575, 24, 'Powrót Problemy');
INSERT INTO `lang_definitions` VALUES (91755, 576, 24, 'Powrót siedem wizyt');
INSERT INTO `lang_definitions` VALUES (91756, 577, 24, 'Powrót sześciu wizyt');
INSERT INTO `lang_definitions` VALUES (91757, 578, 24, 'operacji kręgosłupa');
INSERT INTO `lang_definitions` VALUES (91758, 579, 24, 'Powrót dziesięć wizyt');
INSERT INTO `lang_definitions` VALUES (91759, 580, 24, 'Powrót trzy wizyty');
INSERT INTO `lang_definitions` VALUES (91760, 581, 24, 'Powrót do strony Admin');
INSERT INTO `lang_definitions` VALUES (91761, 584, 24, 'Powrót do pacjenta');
INSERT INTO `lang_definitions` VALUES (91762, 585, 24, 'Powrót do użytkowników');
INSERT INTO `lang_definitions` VALUES (91763, 586, 24, 'Powrót do');
INSERT INTO `lang_definitions` VALUES (91764, 587, 24, 'Powrót dwanaście wizyt');
INSERT INTO `lang_definitions` VALUES (91765, 588, 24, 'Powrót dwie wizyty');
INSERT INTO `lang_definitions` VALUES (91766, 589, 24, 'tło Services');
INSERT INTO `lang_definitions` VALUES (91767, 590, 24, 'Tworzenie kopii zapasowych');
INSERT INTO `lang_definitions` VALUES (91768, 591, 24, 'Plik kopii zapasowej został utworzony. Będzie teraz wysyłać pobieranie.');
INSERT INTO `lang_definitions` VALUES (91769, 593, 24, 'BackUp powodzeniem podjęte w');
INSERT INTO `lang_definitions` VALUES (91770, 594, 24, 'Zła kontrola');
INSERT INTO `lang_definitions` VALUES (91771, 595, 24, 'złych długów');
INSERT INTO `lang_definitions` VALUES (91772, 596, 24, 'indonezyjski');
INSERT INTO `lang_definitions` VALUES (91773, 597, 24, 'Bal');
INSERT INTO `lang_definitions` VALUES (91774, 598, 24, 'Saldo');
INSERT INTO `lang_definitions` VALUES (91775, 599, 24, 'równoważyć');
INSERT INTO `lang_definitions` VALUES (91776, 600, 24, 'bilans Amt');
INSERT INTO `lang_definitions` VALUES (91777, 601, 24, 'Saldo należności');
INSERT INTO `lang_definitions` VALUES (91778, 603, 24, 'Weksle');
INSERT INTO `lang_definitions` VALUES (91779, 607, 24, 'Baza 5-cie (5.) Metarsal');
INSERT INTO `lang_definitions` VALUES (91780, 608, 24, 'Baza piątego (5.) Metarsal:');
INSERT INTO `lang_definitions` VALUES (91781, 611, 24, 'Roszczenie partia');
INSERT INTO `lang_definitions` VALUES (91782, 612, 24, 'Narzędzie komunikacji Batch');
INSERT INTO `lang_definitions` VALUES (91783, 613, 24, 'Wejście Płatność Batch');
INSERT INTO `lang_definitions` VALUES (91784, 614, 24, 'Płatności wsadowe');
INSERT INTO `lang_definitions` VALUES (91785, 615, 24, 'Przetwarzanie wsadowe rozpocząć; może to trochę potrwać.');
INSERT INTO `lang_definitions` VALUES (91786, 616, 24, 'Wyniki grupowe');
INSERT INTO `lang_definitions` VALUES (91787, 617, 24, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (91788, 619, 24, 'bo id nie istnieje.');
INSERT INTO `lang_definitions` VALUES (91789, 620, 24, 'Początek');
INSERT INTO `lang_definitions` VALUES (91790, 621, 24, 'Rozpocznij od');
INSERT INTO `lang_definitions` VALUES (91791, 623, 24, 'Począwszy od daty doręczenia yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (91792, 624, 24, 'Począwszy godzinę dzień imprez kalendarzowych.');
INSERT INTO `lang_definitions` VALUES (91793, 626, 24, 'odbijanie');
INSERT INTO `lang_definitions` VALUES (91794, 628, 24, 'bengalski');
INSERT INTO `lang_definitions` VALUES (91795, 630, 24, 'między');
INSERT INTO `lang_definitions` VALUES (91796, 633, 24, 'dwustronny');
INSERT INTO `lang_definitions` VALUES (91797, 634, 24, 'Dwustronna:');
INSERT INTO `lang_definitions` VALUES (91798, 636, 24, 'Data Bill:');
INSERT INTO `lang_definitions` VALUES (91799, 637, 24, 'Bill / Collect');
INSERT INTO `lang_definitions` VALUES (91800, 638, 24, 'Rozliczone');
INSERT INTO `lang_definitions` VALUES (91801, 640, 24, 'Rozliczenie');
INSERT INTO `lang_definitions` VALUES (91802, 641, 24, 'Billing (zapis opcjonalny)');
INSERT INTO `lang_definitions` VALUES (91803, 642, 24, 'Attn Billing');
INSERT INTO `lang_definitions` VALUES (91804, 644, 24, 'Kod rozliczeniowy dla żądanej usługi');
INSERT INTO `lang_definitions` VALUES (91805, 645, 24, 'kody bilingowe');
INSERT INTO `lang_definitions` VALUES (91806, 646, 24, 'Dane rozliczeniowe');
INSERT INTO `lang_definitions` VALUES (91807, 647, 24, 'Billing Department');
INSERT INTO `lang_definitions` VALUES (91808, 648, 24, 'Rozliczający');
INSERT INTO `lang_definitions` VALUES (91809, 649, 24, 'Informacje o płatności');
INSERT INTO `lang_definitions` VALUES (91810, 650, 24, 'Lokalizacja Billing');
INSERT INTO `lang_definitions` VALUES (91811, 655, 24, 'Menedżer Billing');
INSERT INTO `lang_definitions` VALUES (91812, 656, 24, 'Rozliczenie - uwagi');
INSERT INTO `lang_definitions` VALUES (91813, 657, 24, 'Uwaga rozliczeniowego dla ');
INSERT INTO `lang_definitions` VALUES (91814, 658, 24, 'Uwaga rozliczeniowe:');
INSERT INTO `lang_definitions` VALUES (91815, 659, 24, 'Wyniki kolejki rozliczeniowe:');
INSERT INTO `lang_definitions` VALUES (91816, 660, 24, 'Zgłoś Billing');
INSERT INTO `lang_definitions` VALUES (91817, 661, 24, 'Stan Billing');
INSERT INTO `lang_definitions` VALUES (91818, 662, 24, 'Stan Billing = Unbilled');
INSERT INTO `lang_definitions` VALUES (91819, 663, 24, 'rozliczeniowych na ');
INSERT INTO `lang_definitions` VALUES (91820, 665, 24, 'biopsja');
INSERT INTO `lang_definitions` VALUES (91821, 666, 24, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (91822, 667, 24, 'Narodziny-24 miesięcy');
INSERT INTO `lang_definitions` VALUES (91823, 669, 24, 'czarny');
INSERT INTO `lang_definitions` VALUES (91824, 670, 24, 'czarny Lung');
INSERT INTO `lang_definitions` VALUES (91825, 671, 24, 'Czarny lub Afroamerykanin');
INSERT INTO `lang_definitions` VALUES (91826, 672, 24, 'Rak pęcherza moczowego');
INSERT INTO `lang_definitions` VALUES (91827, 673, 24, 'Zakażenia pęcherza');
INSERT INTO `lang_definitions` VALUES (91828, 674, 24, 'Puste formularze');
INSERT INTO `lang_definitions` VALUES (91829, 675, 24, 'krwawienia');
INSERT INTO `lang_definitions` VALUES (91830, 676, 24, 'martwego pola');
INSERT INTO `lang_definitions` VALUES (91831, 677, 24, 'wzdęcia');
INSERT INTO `lang_definitions` VALUES (91832, 678, 24, 'zablokowany');
INSERT INTO `lang_definitions` VALUES (91833, 679, 24, 'krew');
INSERT INTO `lang_definitions` VALUES (91834, 680, 24, 'Ciśnienie Krwi');
INSERT INTO `lang_definitions` VALUES (91835, 681, 24, 'Ciśnienie krwi');
INSERT INTO `lang_definitions` VALUES (91836, 682, 24, 'Krwawy nos');
INSERT INTO `lang_definitions` VALUES (91837, 683, 24, 'Niebieski krzyż niebieski tarcza');
INSERT INTO `lang_definitions` VALUES (91838, 684, 24, 'Niebieskie linie w tym raporcie są informacyjne. Czarne linie wskazują wcześniej istniejących informacji. Zielone linie pokazują zmiany, które zostały z powodzeniem zastosowane. Czerwone linie wskazują błędy, lub zmiany, które nie zostały zastosowane; te muszą być przetwarzane ręcznie. Obecnie zaprzeczył twierdzeniom i cofnięte płatności nie są obsługiwane automatycznie i tak pojawi się w kolorze czerwonym.');
INSERT INTO `lang_definitions` VALUES (91839, 685, 24, 'niewyraźne widzenie');
INSERT INTO `lang_definitions` VALUES (91840, 686, 24, 'BMI');
INSERT INTO `lang_definitions` VALUES (91841, 687, 24, 'Stan BMI');
INSERT INTO `lang_definitions` VALUES (91842, 689, 24, 'Region ciała');
INSERT INTO `lang_definitions` VALUES (91843, 690, 24, 'strony ciała');
INSERT INTO `lang_definitions` VALUES (91844, 691, 24, 'Strona ciała, jeśli dotyczy');
INSERT INTO `lang_definitions` VALUES (91845, 692, 24, 'Tenderness Bone:');
INSERT INTO `lang_definitions` VALUES (91846, 693, 24, 'Tenderness Bone: Medial kostki');
INSERT INTO `lang_definitions` VALUES (91847, 694, 24, 'Boolean');
INSERT INTO `lang_definitions` VALUES (91848, 696, 24, 'Dół');
INSERT INTO `lang_definitions` VALUES (91849, 697, 24, 'obu uszach');
INSERT INTO `lang_definitions` VALUES (91850, 698, 24, 'oboje uszu');
INSERT INTO `lang_definitions` VALUES (91851, 699, 24, 'dolny');
INSERT INTO `lang_definitions` VALUES (91852, 701, 24, 'BOX 10 Zatrudnienie związane A. ');
INSERT INTO `lang_definitions` VALUES (91853, 702, 24, 'BOX 10 Accident Auto B. ');
INSERT INTO `lang_definitions` VALUES (91854, 703, 24, 'BOX 10 C. Pozostałe Accident ');
INSERT INTO `lang_definitions` VALUES (91855, 706, 24, 'BOX 15. Data choroby sam lub podobny (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (91856, 708, 24, 'BOX 16. Data niezdolny do pracy od (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (91857, 709, 24, 'BOX 16. Data niezdolny do pracy do (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (91858, 710, 24, 'BOX 18. Hospitalizacja z data (rrrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (91859, 711, 24, 'BOX 18. Data Hospitalizacja do (rrrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (91860, 712, 24, 'BOX 20. Jest poza Lab wykorzystywane?');
INSERT INTO `lang_definitions` VALUES (91861, 713, 24, 'BOX 22. Kod ponownego Medicaid (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (91862, 714, 24, 'BOX 23. Przed Nr Authorization ');
INSERT INTO `lang_definitions` VALUES (91863, 715, 24, 'BP');
INSERT INTO `lang_definitions` VALUES (91864, 716, 24, 'rozkurczowego');
INSERT INTO `lang_definitions` VALUES (91865, 717, 24, 'BP skurczowe');
INSERT INTO `lang_definitions` VALUES (91866, 719, 24, 'baryłek dziennie');
INSERT INTO `lang_definitions` VALUES (91867, 721, 24, 'bps');
INSERT INTO `lang_definitions` VALUES (91868, 722, 24, 'portugalski brazylijski');
INSERT INTO `lang_definitions` VALUES (91869, 723, 24, 'pierś');
INSERT INTO `lang_definitions` VALUES (91870, 724, 24, 'Biopsja piersi');
INSERT INTO `lang_definitions` VALUES (91871, 725, 24, 'Absolutorium piersi');
INSERT INTO `lang_definitions` VALUES (91872, 726, 24, 'choroby piersi');
INSERT INTO `lang_definitions` VALUES (91873, 727, 24, 'Egzamin piersi');
INSERT INTO `lang_definitions` VALUES (91874, 728, 24, 'Mass piersi');
INSERT INTO `lang_definitions` VALUES (91875, 730, 24, 'Brzmienie oddech:');
INSERT INTO `lang_definitions` VALUES (91876, 732, 24, 'broken Bones');
INSERT INTO `lang_definitions` VALUES (91877, 734, 24, 'Formularz oskrzeli');
INSERT INTO `lang_definitions` VALUES (91878, 735, 24, 'Znajdź');
INSERT INTO `lang_definitions` VALUES (91879, 736, 24, 'Poszukaj Record');
INSERT INTO `lang_definitions` VALUES (91880, 737, 24, 'Siniaki / krwiak');
INSERT INTO `lang_definitions` VALUES (91881, 739, 24, 'Wybrzuszenia prawo:');
INSERT INTO `lang_definitions` VALUES (91882, 741, 24, 'Pieczenie przy oddawaniu moczu');
INSERT INTO `lang_definitions` VALUES (91883, 742, 24, 'Pieczenie przy oddawaniu moczu');
INSERT INTO `lang_definitions` VALUES (91884, 744, 24, 'zajęty');
INSERT INTO `lang_definitions` VALUES (91885, 745, 24, 'ale jeszcze nie przetworzone.');
INSERT INTO `lang_definitions` VALUES (91886, 746, 24, 'pośladek');
INSERT INTO `lang_definitions` VALUES (91887, 747, 24, 'Pośladków + S.I.');
INSERT INTO `lang_definitions` VALUES (91888, 748, 24, 'przez');
INSERT INTO `lang_definitions` VALUES (91889, 749, 24, 'Przez');
INSERT INTO `lang_definitions` VALUES (91890, 750, 24, 'doustnie');
INSERT INTO `lang_definitions` VALUES (91891, 751, 24, 'Autor / Źródło');
INSERT INTO `lang_definitions` VALUES (91892, 752, 24, 'przez:');
INSERT INTO `lang_definitions` VALUES (91893, 753, 24, 'C');
INSERT INTO `lang_definitions` VALUES (91894, 754, 24, 'CA Certificate for verifying the RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (91895, 755, 24, 'Żywotność pamięci podręcznej (w sekundach)');
INSERT INTO `lang_definitions` VALUES (91896, 756, 24, 'Wyjściowy szablon cache?');
INSERT INTO `lang_definitions` VALUES (91897, 757, 24, 'Spożycie kawy');
INSERT INTO `lang_definitions` VALUES (91898, 758, 24, 'Kalendarz');
INSERT INTO `lang_definitions` VALUES (91899, 759, 24, 'Końcowa Godzina Kalendarza');
INSERT INTO `lang_definitions` VALUES (91900, 760, 24, 'Interwał Kalendarza');
INSERT INTO `lang_definitions` VALUES (91901, 761, 24, 'Ekran Kalendarza');
INSERT INTO `lang_definitions` VALUES (91902, 762, 24, 'Ustawienia Kalendarza');
INSERT INTO `lang_definitions` VALUES (91903, 763, 24, 'Początkowa Godzina Kalendarza');
INSERT INTO `lang_definitions` VALUES (91904, 764, 24, 'Kalendarz UI');
INSERT INTO `lang_definitions` VALUES (91905, 765, 24, 'Podgląd Kalendarza');
INSERT INTO `lang_definitions` VALUES (91906, 766, 24, 'Zadzwoń do addForm () idzie tutaj. Katowice');
INSERT INTO `lang_definitions` VALUES (91907, 767, 24, 'Kalorie');
INSERT INTO `lang_definitions` VALUES (91908, 768, 24, 'Kambodży');
INSERT INTO `lang_definitions` VALUES (91909, 769, 24, 'Camós');
INSERT INTO `lang_definitions` VALUES (91910, 774, 24, 'Anuluj');
INSERT INTO `lang_definitions` VALUES (91911, 775, 24, 'Anuluj zmiany');
INSERT INTO `lang_definitions` VALUES (91912, 776, 24, 'Anulowane');
INSERT INTO `lang_definitions` VALUES (91913, 777, 24, 'Rak');
INSERT INTO `lang_definitions` VALUES (91914, 778, 24, 'Screening Rak Cancer Screening Colon');
INSERT INTO `lang_definitions` VALUES (91915, 779, 24, 'Przesiewowych w kierunku raka: Mammografia');
INSERT INTO `lang_definitions` VALUES (91916, 780, 24, 'Przesiewowych w kierunku raka: Pap Smear');
INSERT INTO `lang_definitions` VALUES (91917, 781, 24, 'Przesiewowych w kierunku raka: Prostate Cancer Screening');
INSERT INTO `lang_definitions` VALUES (91918, 782, 24, 'Nie można dodać ten wpis, ponieważ już istnieje!');
INSERT INTO `lang_definitions` VALUES (91919, 783, 24, 'Nie można dodać / zaktualizować ten wpis bo duplikat już istnieje!');
INSERT INTO `lang_definitions` VALUES (91920, 784, 24, 'nie mogą być archiwizowane, ignorowane');
INSERT INTO `lang_definitions` VALUES (91921, 785, 24, 'nie mogą być konwertowane do formatu JPEG. Być może nie jest zainstalowany ImageMagick?');
INSERT INTO `lang_definitions` VALUES (91922, 786, 24, 'nie mogą być usunięte, zignorowane');
INSERT INTO `lang_definitions` VALUES (91923, 787, 24, 'nie może zostać wyświetlony, ponieważ jej typ inline nie jest obsługiwany przez przeglądarkę.');
INSERT INTO `lang_definitions` VALUES (91924, 788, 24, 'nie może być wyświetlany inline becuase jego typ nie jest obsługiwany przez przeglądarkę');
INSERT INTO `lang_definitions` VALUES (91925, 789, 24, 'nie może być wyświetlany inline becuase jego typ nie jest obsługiwany przez przeglądarkę.');
INSERT INTO `lang_definitions` VALUES (91926, 790, 24, 'Nie można utworzyć');
INSERT INTO `lang_definitions` VALUES (91927, 795, 24, 'Nie można znaleźć ');
INSERT INTO `lang_definitions` VALUES (91928, 796, 24, 'Nie można odnaleźć pliku docelowego');
INSERT INTO `lang_definitions` VALUES (91929, 799, 24, 'Nie można znaleźć pacjenta z SQL-Ledger ID klienta');
INSERT INTO `lang_definitions` VALUES (91930, 800, 24, 'Nie można znaleźć odniesienie dokumentu PostScript w ');
INSERT INTO `lang_definitions` VALUES (91931, 801, 24, 'Nie można znaleźć dostawcę z SQL-Ledger pracownika = ');
INSERT INTO `lang_definitions` VALUES (91932, 802, 24, 'Nie można modyfikować Payments.Undistributed jest ujemna.');
INSERT INTO `lang_definitions` VALUES (91933, 803, 24, 'Nie można otworzyć ');
INSERT INTO `lang_definitions` VALUES (91934, 804, 24, 'Nie może post dla Insurance.The Płacenie Podmiot wybrany jest cierpliwy.');
INSERT INTO `lang_definitions` VALUES (91935, 805, 24, 'Nie może post dla Patient.The Płatniczej wybranego podmiotu jest ubezpieczenie.');
INSERT INTO `lang_definitions` VALUES (91936, 806, 24, 'Nie można Opublikuj Payments.Undistributed jest ujemna.');
INSERT INTO `lang_definitions` VALUES (91937, 807, 24, 'Nie można odczytać');
INSERT INTO `lang_definitions` VALUES (91938, 808, 24, 'Nie można odczytać katalogu');
INSERT INTO `lang_definitions` VALUES (91939, 809, 24, 'Nie można zaktualizować, ponieważ nie jesteś edycji istniejącego wpisu!');
INSERT INTO `lang_definitions` VALUES (91940, 810, 24, 'kapitalizować');
INSERT INTO `lang_definitions` VALUES (91941, 812, 24, 'kapsułka');
INSERT INTO `lang_definitions` VALUES (91942, 813, 24, 'karta');
INSERT INTO `lang_definitions` VALUES (91943, 814, 24, 'Cewnikowanie serca');
INSERT INTO `lang_definitions` VALUES (91944, 815, 24, 'Echo serca');
INSERT INTO `lang_definitions` VALUES (91945, 816, 24, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (91946, 821, 24, 'Chrząstka / chrzęstnych / disc szkoda');
INSERT INTO `lang_definitions` VALUES (91947, 822, 24, 'uszkodzenie chrząstki');
INSERT INTO `lang_definitions` VALUES (91948, 823, 24, 'Cartoid pulsacje nl, nl pedał impulsy');
INSERT INTO `lang_definitions` VALUES (91949, 824, 24, 'gotówka');
INSERT INTO `lang_definitions` VALUES (91950, 825, 24, 'gotówka');
INSERT INTO `lang_definitions` VALUES (91951, 826, 24, 'Rec Pobranie');
INSERT INTO `lang_definitions` VALUES (91952, 827, 24, 'Wpływy gotówkowe przez Dostawcę');
INSERT INTO `lang_definitions` VALUES (91953, 829, 24, 'operacji zaćmy');
INSERT INTO `lang_definitions` VALUES (91954, 830, 24, 'zaćma');
INSERT INTO `lang_definitions` VALUES (91955, 831, 24, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (91956, 832, 24, 'Kategorie dla');
INSERT INTO `lang_definitions` VALUES (91957, 833, 24, 'Kategoria');
INSERT INTO `lang_definitions` VALUES (91958, 834, 24, 'kategoria');
INSERT INTO `lang_definitions` VALUES (91959, 835, 24, 'Kategoria ');
INSERT INTO `lang_definitions` VALUES (91960, 836, 24, 'Szczegóły Kategoria');
INSERT INTO `lang_definitions` VALUES (91961, 837, 24, 'Kategoria Limits');
INSERT INTO `lang_definitions` VALUES (91962, 838, 24, 'Nazwa kategorii');
INSERT INTO `lang_definitions` VALUES (91963, 839, 24, 'Nazwa kategorii jest pusta');
INSERT INTO `lang_definitions` VALUES (91964, 840, 24, 'Kategoria / Nazwa');
INSERT INTO `lang_definitions` VALUES (91965, 841, 24, 'Kaukaski');
INSERT INTO `lang_definitions` VALUES (91966, 842, 24, 'Powoduje Wpływy Drukowanie Encounter / Primary Info Provider');
INSERT INTO `lang_definitions` VALUES (91967, 850, 24, 'CDR');
INSERT INTO `lang_definitions` VALUES (91968, 851, 24, 'Raporty priorytetu przetwarzania CDR');
INSERT INTO `lang_definitions` VALUES (91969, 852, 24, 'komórka');
INSERT INTO `lang_definitions` VALUES (91970, 853, 24, 'cell Phone');
INSERT INTO `lang_definitions` VALUES (91971, 855, 24, 'Numer telefonu komórkowego');
INSERT INTO `lang_definitions` VALUES (91972, 856, 24, 'Central Certyfikacja');
INSERT INTO `lang_definitions` VALUES (91973, 857, 24, 'Central / South American');
INSERT INTO `lang_definitions` VALUES (91974, 858, 24, 'Certificate Authority lokalizacja pliku crt nie może być pusty');
INSERT INTO `lang_definitions` VALUES (91975, 859, 24, 'Certificate Authority klucz lokalizacja pliku nie może być pusty');
INSERT INTO `lang_definitions` VALUES (91976, 860, 24, 'Certyfikat wysłać do RFC 5425 serwer TLS syslog.');
INSERT INTO `lang_definitions` VALUES (91977, 861, 24, 'Certyfikat użytkownika');
INSERT INTO `lang_definitions` VALUES (91978, 862, 24, 'Certyfikaty');
INSERT INTO `lang_definitions` VALUES (91979, 864, 24, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (91980, 865, 24, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (91981, 866, 24, 'zmiana');
INSERT INTO `lang_definitions` VALUES (91982, 867, 24, 'zmiana');
INSERT INTO `lang_definitions` VALUES (91983, 868, 24, 'Zmiana aktywności');
INSERT INTO `lang_definitions` VALUES (91984, 869, 24, 'Zmiana nie powiodło się! CouchDB połączyć błąd?');
INSERT INTO `lang_definitions` VALUES (91985, 870, 24, 'Zmiana w Vision');
INSERT INTO `lang_definitions` VALUES (91986, 871, 24, 'Zmiana w wizji');
INSERT INTO `lang_definitions` VALUES (91987, 872, 24, 'Zmień hasło');
INSERT INTO `lang_definitions` VALUES (91988, 874, 24, 'Zmieniono');
INSERT INTO `lang_definitions` VALUES (91989, 875, 24, 'Zmieniono jelita');
INSERT INTO `lang_definitions` VALUES (91990, 876, 24, 'Zmiana ID pacjenta do dokumentu');
INSERT INTO `lang_definitions` VALUES (91991, 877, 24, 'Charakterystyka');
INSERT INTO `lang_definitions` VALUES (91992, 878, 24, 'Pozostało znaków');
INSERT INTO `lang_definitions` VALUES (91993, 879, 24, 'opłata');
INSERT INTO `lang_definitions` VALUES (91994, 880, 24, 'regulacja ładowania');
INSERT INTO `lang_definitions` VALUES (91995, 881, 24, 'Naładuj Coded');
INSERT INTO `lang_definitions` VALUES (91996, 882, 24, 'opłaty');
INSERT INTO `lang_definitions` VALUES (91997, 883, 24, 'Wykres');
INSERT INTO `lang_definitions` VALUES (91998, 884, 24, 'aktywny Wykres');
INSERT INTO `lang_definitions` VALUES (91999, 885, 24, 'Doba Zgłoś Wykres Aktywność');
INSERT INTO `lang_definitions` VALUES (92000, 886, 24, 'Wykres ID');
INSERT INTO `lang_definitions` VALUES (92001, 887, 24, 'Wykres ID:');
INSERT INTO `lang_definitions` VALUES (92002, 889, 24, 'Działalność Chart');
INSERT INTO `lang_definitions` VALUES (92003, 890, 24, 'Wykres Note');
INSERT INTO `lang_definitions` VALUES (92004, 891, 24, 'Numer Chart');
INSERT INTO `lang_definitions` VALUES (92005, 892, 24, 'Miejsc składowania Wykres');
INSERT INTO `lang_definitions` VALUES (92006, 893, 24, 'Wykres Tracker');
INSERT INTO `lang_definitions` VALUES (92007, 894, 24, 'Wykres Trk');
INSERT INTO `lang_definitions` VALUES (92008, 895, 24, 'Wykresy Wyewidencjonowane');
INSERT INTO `lang_definitions` VALUES (92009, 896, 24, 'wykresy Out');
INSERT INTO `lang_definitions` VALUES (92010, 898, 24, 'sprawdzać');
INSERT INTO `lang_definitions` VALUES (92011, 899, 24, 'sprawdzać');
INSERT INTO `lang_definitions` VALUES (92012, 900, 24, 'Zaznacz wszystko');
INSERT INTO `lang_definitions` VALUES (92013, 902, 24, 'sprawdzić ilość');
INSERT INTO `lang_definitions` VALUES (92014, 903, 24, 'sprawdzić datę');
INSERT INTO `lang_definitions` VALUES (92015, 904, 24, 'Sprawdź różnice w tłumaczeniach z niestandardowej tabeli językowej.');
INSERT INTO `lang_definitions` VALUES (92016, 906, 24, 'Zamelduj się, aby');
INSERT INTO `lang_definitions` VALUES (92017, 907, 24, 'Sprawdź dane wejściowe');
INSERT INTO `lang_definitions` VALUES (92018, 909, 24, 'Sprawdź wyniki laboratoryjne');
INSERT INTO `lang_definitions` VALUES (92019, 910, 24, 'Sprawdź oznaczenie wskazuje recenzja');
INSERT INTO `lang_definitions` VALUES (92020, 911, 24, 'Sprawdź nr');
INSERT INTO `lang_definitions` VALUES (92021, 912, 24, 'Sprawdź numer');
INSERT INTO `lang_definitions` VALUES (92022, 915, 24, 'czek');
INSERT INTO `lang_definitions` VALUES (92023, 916, 24, 'Zaznacz pole wyboru, jeśli jest to zaszyfrowany plik');
INSERT INTO `lang_definitions` VALUES (92024, 917, 24, 'Sprawdź to, jeśli chcesz dostawców, aby zobaczyć wszystkie terminy domyślnie i nie tylko ich własne.');
INSERT INTO `lang_definitions` VALUES (92025, 918, 24, 'Sprawdź się stworzyć problem z tą diagnozą');
INSERT INTO `lang_definitions` VALUES (92026, 919, 24, 'Sprawdź / EOB Data:');
INSERT INTO `lang_definitions` VALUES (92027, 920, 24, 'Sprawdź / EOB nr:');
INSERT INTO `lang_definitions` VALUES (92028, 921, 24, 'Sprawdź / Ref Number');
INSERT INTO `lang_definitions` VALUES (92029, 922, 24, 'Sprawdź / Numer');
INSERT INTO `lang_definitions` VALUES (92030, 923, 24, 'lista wyboru');
INSERT INTO `lang_definitions` VALUES (92031, 924, 24, 'lista wyboru');
INSERT INTO `lang_definitions` VALUES (92032, 925, 24, 'w pole / text');
INSERT INTO `lang_definitions` VALUES (92033, 926, 24, 'W Checkbox / text');
INSERT INTO `lang_definitions` VALUES (92034, 928, 24, 'sprawdzone');
INSERT INTO `lang_definitions` VALUES (92035, 929, 24, 'Sprawdzone box = tak, puste = nie');
INSERT INTO `lang_definitions` VALUES (92036, 932, 24, 'Zamówienie');
INSERT INTO `lang_definitions` VALUES (92037, 933, 24, 'kontrolna');
INSERT INTO `lang_definitions` VALUES (92038, 934, 24, 'pierś');
INSERT INTO `lang_definitions` VALUES (92039, 935, 24, 'CTAB Chest');
INSERT INTO `lang_definitions` VALUES (92040, 936, 24, 'Ból w klatce piersiowej');
INSERT INTO `lang_definitions` VALUES (92041, 937, 24, 'Ból w klatce piersiowej:');
INSERT INTO `lang_definitions` VALUES (92042, 938, 24, 'Bóle w klatce piersiowej');
INSERT INTO `lang_definitions` VALUES (92043, 940, 24, 'Zm.');
INSERT INTO `lang_definitions` VALUES (92044, 942, 24, 'Chief Reklamacja');
INSERT INTO `lang_definitions` VALUES (92045, 943, 24, 'dziecko');
INSERT INTO `lang_definitions` VALUES (92046, 945, 24, 'Stan szczepień dla dzieci (CQM)');
INSERT INTO `lang_definitions` VALUES (92047, 946, 24, 'dreszcze');
INSERT INTO `lang_definitions` VALUES (92048, 947, 24, 'chiński');
INSERT INTO `lang_definitions` VALUES (92049, 948, 24, 'Chiński (uproszczony)');
INSERT INTO `lang_definitions` VALUES (92050, 949, 24, 'Chiński (tradycyjny)');
INSERT INTO `lang_definitions` VALUES (92051, 951, 24, 'Zgody/wybory');
INSERT INTO `lang_definitions` VALUES (92052, 952, 24, 'cholecystektomia');
INSERT INTO `lang_definitions` VALUES (92053, 954, 24, 'Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (92054, 955, 24, 'Wybierz');
INSERT INTO `lang_definitions` VALUES (92055, 956, 24, 'Wybierz sekcję i kliknij element w nim, a następnie w drugiej części zobaczysz związane z nim pozycje jako podświetlone. Możesz kliknąć w tej sekcji, aby dodawać i usuwać relacje.');
INSERT INTO `lang_definitions` VALUES (92056, 957, 24, 'Wybierz kryteria');
INSERT INTO `lang_definitions` VALUES (92057, 959, 24, 'Wybierz z menu Plik');
INSERT INTO `lang_definitions` VALUES (92058, 960, 24, 'Wybierz z listy');
INSERT INTO `lang_definitions` VALUES (92059, 962, 24, 'Wybierz listę');
INSERT INTO `lang_definitions` VALUES (92060, 965, 24, 'Wybierz format wydruku dla tego raportu spotkań.');
INSERT INTO `lang_definitions` VALUES (92061, 967, 24, 'przewlekłe zapalenie oskrzeli');
INSERT INTO `lang_definitions` VALUES (92062, 968, 24, 'Przewlekłe bóle stawów');
INSERT INTO `lang_definitions` VALUES (92063, 969, 24, 'Przewlekła choroba nerek (PChN)');
INSERT INTO `lang_definitions` VALUES (92064, 970, 24, 'Przewlekłe zapalenie błony maziowej / wysięk / stawów / dna');
INSERT INTO `lang_definitions` VALUES (92065, 971, 24, 'Chronic / okresowe');
INSERT INTO `lang_definitions` VALUES (92066, 973, 24, 'Marskość wątroby');
INSERT INTO `lang_definitions` VALUES (92067, 974, 24, 'Marskość wątroby');
INSERT INTO `lang_definitions` VALUES (92068, 975, 24, 'Miasto');
INSERT INTO `lang_definitions` VALUES (92069, 976, 24, 'Nazwa miasta');
INSERT INTO `lang_definitions` VALUES (92070, 977, 24, 'Miasto, Województwo');
INSERT INTO `lang_definitions` VALUES (92071, 978, 24, 'Miasto, Województwo Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (92072, 979, 24, 'Miasto / Województwo');
INSERT INTO `lang_definitions` VALUES (92073, 980, 24, 'twierdzić');
INSERT INTO `lang_definitions` VALUES (92074, 981, 24, 'twierdzić ');
INSERT INTO `lang_definitions` VALUES (92075, 982, 24, 'dochodzić stan');
INSERT INTO `lang_definitions` VALUES (92076, 983, 24, 'Test roszczenia skończy działać');
INSERT INTO `lang_definitions` VALUES (92077, 984, 24, 'Typ roszczenia');
INSERT INTO `lang_definitions` VALUES (92078, 985, 24, 'Roszczenie zostało wygenerowane do pliku');
INSERT INTO `lang_definitions` VALUES (92079, 986, 24, 'Roszczenie zostało wygenerowane do pliku ');
INSERT INTO `lang_definitions` VALUES (92080, 987, 24, 'roszczenia');
INSERT INTO `lang_definitions` VALUES (92081, 988, 24, 'klasyfikacja');
INSERT INTO `lang_definitions` VALUES (92082, 989, 24, 'Wyczyść');
INSERT INTO `lang_definitions` VALUES (92083, 990, 24, 'WYCZYŚĆ AKTYWNEGO PACJENTA');
INSERT INTO `lang_definitions` VALUES (92084, 991, 24, 'Wyczyść wszystko');
INSERT INTO `lang_definitions` VALUES (92085, 992, 24, 'Wyczyść Dane HL7');
INSERT INTO `lang_definitions` VALUES (92086, 993, 24, 'jasne uzasadnienie');
INSERT INTO `lang_definitions` VALUES (92087, 994, 24, 'Clear Cache Smarty');
INSERT INTO `lang_definitions` VALUES (92088, 995, 24, 'Informacje izba rozliczeniowa wymagane EDI 270 tworzenia partii.');
INSERT INTO `lang_definitions` VALUES (92089, 996, 24, 'Numer CLIA');
INSERT INTO `lang_definitions` VALUES (92090, 997, 24, 'Kliknij');
INSERT INTO `lang_definitions` VALUES (92091, 998, 24, 'Kliknij \"wywóz\" eksportowania Kategoria, podkategoria, element danych treści w pliku tekstowym. Jakiekolwiek podobieństwo tego pliku do pliku XML jest czysto przypadkowe. Otwarcia i zamknięcia tagi muszą być w tej samej linii, muszą być pisane małymi literami bez spacji. Importować, poszukaj pliku i kliknij przycisk \"Importuj\". Jeśli dane są całkowicie różne, że połączy się z istniejących danych. Jeśli są podobne nazwy pozycji, stara zostanie utrzymane, a nowy zapisany z numerem dodany do końca.');
INSERT INTO `lang_definitions` VALUES (92092, 999, 24, 'Kliknij miejsce na grafikę, aby dodać nową notatkę, kliknij go ponownie, aby ją usunąć');
INSERT INTO `lang_definitions` VALUES (92093, 1000, 24, 'Kliknij przycisk Pobierz certyfikat, aby pobrać certyfikaty w ssl.zip pliku');
INSERT INTO `lang_definitions` VALUES (92094, 1001, 24, 'kliknij po więcej');
INSERT INTO `lang_definitions` VALUES (92095, 1002, 24, 'Kliknij po więcej szczegółów');
INSERT INTO `lang_definitions` VALUES (92096, 1003, 24, 'Kliknij na podsumowaniu zamówienia');
INSERT INTO `lang_definitions` VALUES (92097, 1004, 24, 'Kliknij na wyniki');
INSERT INTO `lang_definitions` VALUES (92098, 1005, 24, 'Kliknij tutaj');
INSERT INTO `lang_definitions` VALUES (92099, 1006, 24, 'Kliknij tutaj, aby dodać nowego pacjenta.');
INSERT INTO `lang_definitions` VALUES (92100, 1007, 24, 'Kliknij tutaj, aby dodać nowy status szkody i zmiany edycji codzienną aktywność');
INSERT INTO `lang_definitions` VALUES (92101, 1008, 24, 'Kliknij tutaj, aby wybrać datę');
INSERT INTO `lang_definitions` VALUES (92102, 1009, 24, 'Kliknij tutaj, aby wybrać datę i godzinę');
INSERT INTO `lang_definitions` VALUES (92103, 1010, 24, 'Kliknij tutaj, aby wybrać datę rozpoczęcia');
INSERT INTO `lang_definitions` VALUES (92104, 1020, 24, 'kliknij tutaj, aby wyszukać');
INSERT INTO `lang_definitions` VALUES (92105, 1021, 24, 'Kliknij tutaj, aby zaktualizować priorytet, kategoria i nick ustawienia');
INSERT INTO `lang_definitions` VALUES (92106, 1022, 24, 'Kliknij tutaj, aby wyświetlić wszystkie.');
INSERT INTO `lang_definitions` VALUES (92107, 1023, 24, 'Kliknij tutaj, aby wyświetlić i wykres');
INSERT INTO `lang_definitions` VALUES (92108, 1025, 24, 'Kliknij tutaj, aby zobaczyć i wykres wszystkie narządy.');
INSERT INTO `lang_definitions` VALUES (92109, 1026, 24, 'Kliknij tutaj aby zobaczyć szczegóły pacjenta');
INSERT INTO `lang_definitions` VALUES (92110, 1027, 24, 'Kliknij tutaj, aby zobaczyć je wszystkie.');
INSERT INTO `lang_definitions` VALUES (92111, 1028, 24, 'Kliknij tutaj, aby zobaczyć / edytować więcej szczegółów');
INSERT INTO `lang_definitions` VALUES (92112, 1029, 24, 'Kliknij przycisk Instaluj, aby zainstalować wersji bazy danych z tej daty');
INSERT INTO `lang_definitions` VALUES (92113, 1030, 24, 'Kliknij na jednym z pól czasu by zwiększyć jego');
INSERT INTO `lang_definitions` VALUES (92114, 1031, 24, 'Kliknij nazwisko pacjenta otworzyć plik Pacjenta');
INSERT INTO `lang_definitions` VALUES (92115, 1032, 24, 'Kliknij Odśwież, aby zobaczyć wszystkie wyniki, lub proszę kryteriom wejściowych powyżej aby zobaczyć konkretne wyniki.');
INSERT INTO `lang_definitions` VALUES (92116, 1033, 24, 'Kliknij, aby dodać diagnozę');
INSERT INTO `lang_definitions` VALUES (92117, 1034, 24, 'Kliknij, aby dodać nowe elementy');
INSERT INTO `lang_definitions` VALUES (92118, 1035, 24, 'Kliknij, aby dodać nowe konsultacje');
INSERT INTO `lang_definitions` VALUES (92119, 1037, 24, 'Kliknij, aby pobrać');
INSERT INTO `lang_definitions` VALUES (92120, 1038, 24, 'Kliknij, aby edytować');
INSERT INTO `lang_definitions` VALUES (92121, 1039, 24, 'Kliknij, aby edytować opis');
INSERT INTO `lang_definitions` VALUES (92122, 1040, 24, 'Kliknij, aby edytować to wydarzenie');
INSERT INTO `lang_definitions` VALUES (92123, 1041, 24, 'Kliknij aby wygenerować raport');
INSERT INTO `lang_definitions` VALUES (92124, 1043, 24, 'Kliknij, aby wydrukować');
INSERT INTO `lang_definitions` VALUES (92125, 1044, 24, 'Kliknij, aby otrzymać (dodaj) nowa partia');
INSERT INTO `lang_definitions` VALUES (92126, 1045, 24, 'Kliknij, aby wybrać');
INSERT INTO `lang_definitions` VALUES (92127, 1046, 24, 'Kliknij, aby wybrać');
INSERT INTO `lang_definitions` VALUES (92128, 1047, 24, 'Kliknij, aby wybrać przemysł standardowy kod do tej procedury');
INSERT INTO `lang_definitions` VALUES (92129, 1048, 24, 'Kliknij, aby wybrać opcjonalny kod procedury');
INSERT INTO `lang_definitions` VALUES (92130, 1050, 24, 'Kliknij, aby wybrać lub zmienić kod CVX');
INSERT INTO `lang_definitions` VALUES (92131, 1051, 24, 'Kliknij, aby wybrać lub zmienić diagnozę');
INSERT INTO `lang_definitions` VALUES (92132, 1052, 24, 'Kliknij, aby wybrać lub zmienić kody serwisowe');
INSERT INTO `lang_definitions` VALUES (92133, 1053, 24, 'Kliknij, aby wybrać pacjenta');
INSERT INTO `lang_definitions` VALUES (92134, 1054, 24, 'Kliknij, aby wybrać kod związanych');
INSERT INTO `lang_definitions` VALUES (92135, 1055, 24, 'Kliknij, aby wybrać usługi do wykonania, jeśli wynik jest nieprawidłowy');
INSERT INTO `lang_definitions` VALUES (92136, 1056, 24, 'Kliknij, aby wybrać żądaną procedurę');
INSERT INTO `lang_definitions` VALUES (92137, 1057, 24, 'Kliknij, aby posortować');
INSERT INTO `lang_definitions` VALUES (92138, 1058, 24, 'Kliknij aby zobaczyć');
INSERT INTO `lang_definitions` VALUES (92139, 1059, 24, 'Kliknij, aby wyświetlić lub edytować');
INSERT INTO `lang_definitions` VALUES (92140, 1060, 24, 'Kliknij, by zobaczyć / edytować');
INSERT INTO `lang_definitions` VALUES (92141, 1061, 24, 'Kliknij przycisk Zmień, aby uaktualnić wersji bazy danych z tej daty');
INSERT INTO `lang_definitions` VALUES (92142, 1063, 24, 'Kliknij:');
INSERT INTO `lang_definitions` VALUES (92143, 1064, 24, 'Dni wygaśnięcia certyfikatu klienta');
INSERT INTO `lang_definitions` VALUES (92144, 1065, 24, 'Świadectwo okres klient walidacji');
INSERT INTO `lang_definitions` VALUES (92145, 1066, 24, 'Ważności certyfikatu klient powinien być podany numer.');
INSERT INTO `lang_definitions` VALUES (92146, 1067, 24, 'Copy Client');
INSERT INTO `lang_definitions` VALUES (92147, 1069, 24, 'Client medyczny Podsumowanie Historia');
INSERT INTO `lang_definitions` VALUES (92148, 1070, 24, 'Nazwa klienta');
INSERT INTO `lang_definitions` VALUES (92149, 1071, 24, 'Numer Klienta');
INSERT INTO `lang_definitions` VALUES (92150, 1072, 24, 'Client Profile - nowych klientów');
INSERT INTO `lang_definitions` VALUES (92151, 1073, 24, 'Client Profile - Unikalne Klienci');
INSERT INTO `lang_definitions` VALUES (92152, 1074, 24, 'Klienci');
INSERT INTO `lang_definitions` VALUES (92153, 1075, 24, 'Klinika');
INSERT INTO `lang_definitions` VALUES (92154, 1076, 24, 'Copy Clinic');
INSERT INTO `lang_definitions` VALUES (92155, 1077, 24, 'Klinika Daily Record');
INSERT INTO `lang_definitions` VALUES (92156, 1078, 24, 'ID Clinic');
INSERT INTO `lang_definitions` VALUES (92157, 1079, 24, 'kliniczny');
INSERT INTO `lang_definitions` VALUES (92158, 1080, 24, 'Kliniczne reguł decyzyjnych Alert Manager');
INSERT INTO `lang_definitions` VALUES (92159, 1081, 24, 'Historia kliniczna');
INSERT INTO `lang_definitions` VALUES (92160, 1083, 24, 'Plany badań klinicznych');
INSERT INTO `lang_definitions` VALUES (92161, 1084, 24, 'Kliniczne Środki jakości (CQM)');
INSERT INTO `lang_definitions` VALUES (92162, 1087, 24, 'Przypomnienia kliniczne');
INSERT INTO `lang_definitions` VALUES (92163, 1088, 24, 'Doniesienia kliniczne');
INSERT INTO `lang_definitions` VALUES (92164, 1089, 24, 'Clinical Kategoria Rule Action');
INSERT INTO `lang_definitions` VALUES (92165, 1090, 24, 'Clinical Rule Action Item');
INSERT INTO `lang_definitions` VALUES (92166, 1091, 24, 'Metod klinicznych reguły filtrowania');
INSERT INTO `lang_definitions` VALUES (92167, 1092, 24, 'Metod klinicznych docelowe Rule');
INSERT INTO `lang_definitions` VALUES (92168, 1093, 24, 'Zasady kliniczne');
INSERT INTO `lang_definitions` VALUES (92169, 1094, 24, 'Kliniczne Zasady przedziałach wiekowych');
INSERT INTO `lang_definitions` VALUES (92170, 1095, 24, 'Kliniczne Zasady Porównania');
INSERT INTO `lang_definitions` VALUES (92171, 1096, 24, 'Typy kliniczne Zasady Encounter');
INSERT INTO `lang_definitions` VALUES (92172, 1097, 24, 'Zasady kliniczne Przypomnienie Due Opcje');
INSERT INTO `lang_definitions` VALUES (92173, 1098, 24, 'Kliniczne Zasady Opcje inaktywacji Reminder');
INSERT INTO `lang_definitions` VALUES (92174, 1099, 24, 'Kliniczne Zasady Interwały Reminder');
INSERT INTO `lang_definitions` VALUES (92175, 1100, 24, 'Regulamin Metody kliniczne Reminder');
INSERT INTO `lang_definitions` VALUES (92176, 1101, 24, 'Zasady kliniczne Interwały docelowe');
INSERT INTO `lang_definitions` VALUES (92177, 1102, 24, 'kliniczne cele');
INSERT INTO `lang_definitions` VALUES (92178, 1103, 24, 'kliniczny termin');
INSERT INTO `lang_definitions` VALUES (92179, 1104, 24, 'kliniczny termin Kod (-y)');
INSERT INTO `lang_definitions` VALUES (92180, 1106, 24, 'lekarze');
INSERT INTO `lang_definitions` VALUES (92181, 1107, 24, 'Clone');
INSERT INTO `lang_definitions` VALUES (92182, 1108, 24, 'Clone Past wizyta');
INSERT INTO `lang_definitions` VALUES (92183, 1109, 24, 'zamknąć');
INSERT INTO `lang_definitions` VALUES (92184, 1111, 24, 'Zamknij okno');
INSERT INTO `lang_definitions` VALUES (92185, 1112, 24, 'zamknięty');
INSERT INTO `lang_definitions` VALUES (92186, 1113, 24, 'cm');
INSERT INTO `lang_definitions` VALUES (92187, 1114, 24, 'CMS 1500 Marginesy');
INSERT INTO `lang_definitions` VALUES (92188, 1118, 24, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (92189, 1127, 24, 'CN2-12 bez zmian');
INSERT INTO `lang_definitions` VALUES (92190, 1128, 24, 'współfinansowane płatna');
INSERT INTO `lang_definitions` VALUES (92191, 1129, 24, 'Co Pay Paid');
INSERT INTO `lang_definitions` VALUES (92192, 1130, 24, 'CO-PAY');
INSERT INTO `lang_definitions` VALUES (92193, 1131, 24, 'Kod');
INSERT INTO `lang_definitions` VALUES (92194, 1132, 24, 'kod');
INSERT INTO `lang_definitions` VALUES (92195, 1133, 24, 'code Finder');
INSERT INTO `lang_definitions` VALUES (92196, 1134, 24, 'Kod musi być dwa małe litery');
INSERT INTO `lang_definitions` VALUES (92197, 1135, 24, 'Kod lub symbol wskazuje walutę');
INSERT INTO `lang_definitions` VALUES (92198, 1136, 24, 'Tekst code');
INSERT INTO `lang_definitions` VALUES (92199, 1138, 24, 'Typ kodu');
INSERT INTO `lang_definitions` VALUES (92200, 1141, 24, 'Rodzaje kodów');
INSERT INTO `lang_definitions` VALUES (92201, 1142, 24, 'Kod (-y)');
INSERT INTO `lang_definitions` VALUES (92202, 1143, 24, 'Coded');
INSERT INTO `lang_definitions` VALUES (92203, 1144, 24, 'Kody');
INSERT INTO `lang_definitions` VALUES (92204, 1145, 24, 'kodowanie');
INSERT INTO `lang_definitions` VALUES (92205, 1147, 24, 'Gra - żadnych spotkań (zapis, wsome opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (92206, 1148, 24, 'Gra - Moje spotkania (zapis, wsome opcjonalnie)');
INSERT INTO `lang_definitions` VALUES (92207, 1149, 24, 'Kodowanie nie jest upoważniony');
INSERT INTO `lang_definitions` VALUES (92208, 1150, 24, 'kawa');
INSERT INTO `lang_definitions` VALUES (92209, 1152, 24, 'koasekuracja');
INSERT INTO `lang_definitions` VALUES (92210, 1153, 24, 'Coll w / o');
INSERT INTO `lang_definitions` VALUES (92211, 1154, 24, 'Rozwiń');
INSERT INTO `lang_definitions` VALUES (92212, 1155, 24, 'rozwiń');
INSERT INTO `lang_definitions` VALUES (92213, 1156, 24, 'Zwiń wszystko');
INSERT INTO `lang_definitions` VALUES (92214, 1157, 24, 'Zwiń wszystko');
INSERT INTO `lang_definitions` VALUES (92215, 1158, 24, 'zwinąć wszystko');
INSERT INTO `lang_definitions` VALUES (92216, 1160, 24, 'kolekcja data');
INSERT INTO `lang_definitions` VALUES (92217, 1161, 24, 'Kolekcje');
INSERT INTO `lang_definitions` VALUES (92218, 1162, 24, 'Kolekcje Zgłoś');
INSERT INTO `lang_definitions` VALUES (92219, 1163, 24, 'Rak jelita grubego');
INSERT INTO `lang_definitions` VALUES (92220, 1164, 24, 'Colon Cancer Screening');
INSERT INTO `lang_definitions` VALUES (92221, 1165, 24, 'Chirurgia raka okrężnicy');
INSERT INTO `lang_definitions` VALUES (92222, 1166, 24, 'kolonoskopia');
INSERT INTO `lang_definitions` VALUES (92223, 1167, 24, 'kolonoskopia');
INSERT INTO `lang_definitions` VALUES (92224, 1168, 24, 'kolor');
INSERT INTO `lang_definitions` VALUES (92225, 1169, 24, 'Kolor: Skrót');
INSERT INTO `lang_definitions` VALUES (92226, 1170, 24, 'kolumna');
INSERT INTO `lang_definitions` VALUES (92227, 1171, 24, 'kolumny');
INSERT INTO `lang_definitions` VALUES (92228, 1172, 24, 'Dużo Łączenie');
INSERT INTO `lang_definitions` VALUES (92229, 1173, 24, 'przecinek');
INSERT INTO `lang_definitions` VALUES (92230, 1174, 24, 'komentarz');
INSERT INTO `lang_definitions` VALUES (92231, 1175, 24, 'Komentarze');
INSERT INTO `lang_definitions` VALUES (92232, 1176, 24, 'Komentarze do tego wyniku lub zalecenia');
INSERT INTO `lang_definitions` VALUES (92233, 1177, 24, 'Komercyjne Insurance Co');
INSERT INTO `lang_definitions` VALUES (92234, 1178, 24, 'Commit Changes');
INSERT INTO `lang_definitions` VALUES (92235, 1180, 24, 'Komunikacja');
INSERT INTO `lang_definitions` VALUES (92236, 1182, 24, 'spółka');
INSERT INTO `lang_definitions` VALUES (92237, 1183, 24, 'Nazwa firmy');
INSERT INTO `lang_definitions` VALUES (92238, 1184, 24, 'zakończyć');
INSERT INTO `lang_definitions` VALUES (92239, 1186, 24, 'zakończony');
INSERT INTO `lang_definitions` VALUES (92240, 1188, 24, 'Zakończone?');
INSERT INTO `lang_definitions` VALUES (92241, 1190, 24, 'Powikłania przez operatora');
INSERT INTO `lang_definitions` VALUES (92242, 1191, 24, 'Powikłania aborcji');
INSERT INTO `lang_definitions` VALUES (92243, 1192, 24, 'Components');
INSERT INTO `lang_definitions` VALUES (92244, 1193, 24, 'Computer Aided Medical system zamawiania');
INSERT INTO `lang_definitions` VALUES (92245, 1194, 24, 'Wnioski');
INSERT INTO `lang_definitions` VALUES (92246, 1199, 24, 'Konfiguracja');
INSERT INTO `lang_definitions` VALUES (92247, 1200, 24, 'Konfiguracja Export / Import');
INSERT INTO `lang_definitions` VALUES (92248, 1202, 24, 'Apache i LibreEHR użyć po stronie klienta certyfikaty SSL.');
INSERT INTO `lang_definitions` VALUES (92249, 1203, 24, 'Skonfigurować Apache w użyciu klient certyfikaty SSL niepożądane');
INSERT INTO `lang_definitions` VALUES (92250, 1204, 24, 'Apache w użyciu protokołu HTTPS.');
INSERT INTO `lang_definitions` VALUES (92251, 1205, 24, 'Skonfiguruj LIBREEHR używać certyfikatów SSL Client boczne');
INSERT INTO `lang_definitions` VALUES (92252, 1208, 24, 'Potwierdź utworzenie nowego pacjenta');
INSERT INTO `lang_definitions` VALUES (92253, 1209, 24, 'Potwierdź nowe hasło');
INSERT INTO `lang_definitions` VALUES (92254, 1210, 24, 'Potwierdź Płatność');
INSERT INTO `lang_definitions` VALUES (92255, 1214, 24, 'wrodzony');
INSERT INTO `lang_definitions` VALUES (92256, 1215, 24, 'Conjuntiva uczniowie');
INSERT INTO `lang_definitions` VALUES (92257, 1217, 24, 'Połączenia');
INSERT INTO `lang_definitions` VALUES (92258, 1218, 24, 'stały');
INSERT INTO `lang_definitions` VALUES (92259, 1219, 24, 'nazwa stałej');
INSERT INTO `lang_definitions` VALUES (92260, 1220, 24, 'Stała nazwa jest pusta');
INSERT INTO `lang_definitions` VALUES (92261, 1221, 24, 'stałe');
INSERT INTO `lang_definitions` VALUES (92262, 1222, 24, 'zaparcie');
INSERT INTO `lang_definitions` VALUES (92263, 1223, 24, 'konstytucyjny');
INSERT INTO `lang_definitions` VALUES (92264, 1226, 24, 'Konsultacje Skrócony opis');
INSERT INTO `lang_definitions` VALUES (92265, 1227, 24, 'Dane kontaktowe');
INSERT INTO `lang_definitions` VALUES (92266, 1228, 24, 'Kontakt e-mail');
INSERT INTO `lang_definitions` VALUES (92267, 1229, 24, 'Kontakt adres e-mail');
INSERT INTO `lang_definitions` VALUES (92268, 1230, 24, 'Skontaktuj EMR bezpośrednie do subskrypcji usługi wiadomości bezpośrednich phiMail');
INSERT INTO `lang_definitions` VALUES (92269, 1231, 24, 'informacje kontaktowe');
INSERT INTO `lang_definitions` VALUES (92270, 1232, 24, 'soczewki kontaktowe');
INSERT INTO `lang_definitions` VALUES (92271, 1233, 24, 'Skontaktuj się Medical integracji informacji, LLC w http://mi-squared.com dla Lab Wymiany.');
INSERT INTO `lang_definitions` VALUES (92272, 1234, 24, 'Skontaktuj się Medical integracji informacji, LLC w http://mi-squared.com lub ZH zdrowotnej na http://zhservices.com subskrybowania usługi ERX');
INSERT INTO `lang_definitions` VALUES (92273, 1236, 24, 'nazwę kontaktu');
INSERT INTO `lang_definitions` VALUES (92274, 1237, 24, 'Osoba kontaktowa');
INSERT INTO `lang_definitions` VALUES (92275, 1239, 24, 'Kontaktowy numer telefonu');
INSERT INTO `lang_definitions` VALUES (92276, 1240, 24, 'Kontakt ZMG, LLC (zmghealth@gmail.com) subskrybowania usługi ERX');
INSERT INTO `lang_definitions` VALUES (92277, 1241, 24, 'zawierać co najmniej trzy z czterech następujących elementów:');
INSERT INTO `lang_definitions` VALUES (92278, 1242, 24, 'Nazwa grupy pojemnik');
INSERT INTO `lang_definitions` VALUES (92279, 1243, 24, 'zawartość');
INSERT INTO `lang_definitions` VALUES (92280, 1244, 24, 'zawartość');
INSERT INTO `lang_definitions` VALUES (92281, 1245, 24, 'kontekst');
INSERT INTO `lang_definitions` VALUES (92282, 1246, 24, 'Nazwa kontekstu można  \'t być pusty');
INSERT INTO `lang_definitions` VALUES (92283, 1247, 24, 'kontynuować');
INSERT INTO `lang_definitions` VALUES (92284, 1248, 24, 'Ciągłość Dokument Opieki (CCD)');
INSERT INTO `lang_definitions` VALUES (92285, 1249, 24, 'Ciągłość opieki Record (CCR)');
INSERT INTO `lang_definitions` VALUES (92286, 1250, 24, 'Klienci przeciwwskazania');
INSERT INTO `lang_definitions` VALUES (92287, 1251, 24, 'zapobieganie ciąży');
INSERT INTO `lang_definitions` VALUES (92288, 1252, 24, 'problemy Antykoncepcja');
INSERT INTO `lang_definitions` VALUES (92289, 1253, 24, 'Powikłania antykoncepcji (określić)');
INSERT INTO `lang_definitions` VALUES (92290, 1254, 24, 'metoda antykoncepcji');
INSERT INTO `lang_definitions` VALUES (92291, 1255, 24, 'Produkty antykoncepcyjne');
INSERT INTO `lang_definitions` VALUES (92292, 1256, 24, 'Usługi antykoncepcyjne wcześniej rozpoczął');
INSERT INTO `lang_definitions` VALUES (92293, 1257, 24, 'Antykoncepcja Początek');
INSERT INTO `lang_definitions` VALUES (92294, 1258, 24, 'ID Control');
INSERT INTO `lang_definitions` VALUES (92295, 1259, 24, 'Kontrola nr');
INSERT INTO `lang_definitions` VALUES (92296, 1261, 24, 'COPAY');
INSERT INTO `lang_definitions` VALUES (92297, 1262, 24, 'Copay');
INSERT INTO `lang_definitions` VALUES (92298, 1263, 24, 'CoPay');
INSERT INTO `lang_definitions` VALUES (92299, 1264, 24, 'Copay nie pozytywne');
INSERT INTO `lang_definitions` VALUES (92300, 1266, 24, 'Copays');
INSERT INTO `lang_definitions` VALUES (92301, 1267, 24, 'POChP');
INSERT INTO `lang_definitions` VALUES (92302, 1268, 24, 'Kopiowanie stron na wykresie pacjenta');
INSERT INTO `lang_definitions` VALUES (92303, 1269, 24, 'Kopiowanie wartości');
INSERT INTO `lang_definitions` VALUES (92304, 1270, 24, 'Kopiowanie pliku bazy danych. To zajmie trochę czasu ...');
INSERT INTO `lang_definitions` VALUES (92305, 1271, 24, 'Informacje o prawach autorskich');
INSERT INTO `lang_definitions` VALUES (92306, 1273, 24, 'Coronary artery bypass');
INSERT INTO `lang_definitions` VALUES (92307, 1274, 24, 'Coronary pomostów aortalno-wieńcowych (CABG)');
INSERT INTO `lang_definitions` VALUES (92308, 1275, 24, 'Poprawione');
INSERT INTO `lang_definitions` VALUES (92309, 1277, 24, 'sofa baza danych');
INSERT INTO `lang_definitions` VALUES (92310, 1278, 24, 'sofa baza danych połączenie nie powiodło się');
INSERT INTO `lang_definitions` VALUES (92311, 1279, 24, 'sofa baza danych');
INSERT INTO `lang_definitions` VALUES (92312, 1280, 24, 'sofa baza danych nazwa');
INSERT INTO `lang_definitions` VALUES (92313, 1281, 24, 'sofa baza danych nazwa gospodarz');
INSERT INTO `lang_definitions` VALUES (92314, 1282, 24, 'sofa baza danych nazwa hosta');
INSERT INTO `lang_definitions` VALUES (92315, 1308, 24, 'Kraj');
INSERT INTO `lang_definitions` VALUES (92316, 1310, 24, 'Lista krajów');
INSERT INTO `lang_definitions` VALUES (92317, 1313, 24, 'województwo');
INSERT INTO `lang_definitions` VALUES (92318, 1325, 24, 'krem');
INSERT INTO `lang_definitions` VALUES (92319, 1329, 24, 'Utwórz wydarzenie');
INSERT INTO `lang_definitions` VALUES (92320, 1330, 24, 'Utwórz i pobierz pełną kopię zapasową');
INSERT INTO `lang_definitions` VALUES (92321, 1332, 24, 'Utwórz kopię zapasową');
INSERT INTO `lang_definitions` VALUES (92322, 1334, 24, 'Utwórz certyfikat klienta');
INSERT INTO `lang_definitions` VALUES (92323, 1335, 24, 'Utwórz certyfikat SSL dla klienta');
INSERT INTO `lang_definitions` VALUES (92324, 1336, 24, 'Utwórz duplikat');
INSERT INTO `lang_definitions` VALUES (92325, 1340, 24, 'Utwórz nowego pacjenta');
INSERT INTO `lang_definitions` VALUES (92326, 1344, 24, 'Utwórz notatkę o pacjencie');
INSERT INTO `lang_definitions` VALUES (92327, 1346, 24, 'Utwórz wizytę');
INSERT INTO `lang_definitions` VALUES (92328, 1347, 24, 'Utworzono');
INSERT INTO `lang_definitions` VALUES (92329, 1351, 24, 'Autor');
INSERT INTO `lang_definitions` VALUES (92330, 1352, 24, 'kredyt');
INSERT INTO `lang_definitions` VALUES (92331, 1353, 24, 'Karta kredytowa');
INSERT INTO `lang_definitions` VALUES (92332, 1360, 24, 'Eksport do CSV');
INSERT INTO `lang_definitions` VALUES (92333, 1361, 24, 'Plik CSV');
INSERT INTO `lang_definitions` VALUES (92334, 1362, 24, 'Tabele CSV');
INSERT INTO `lang_definitions` VALUES (92335, 1364, 24, 'Kubański');
INSERT INTO `lang_definitions` VALUES (92336, 1365, 24, 'Liczba miejsc dziesiętnych w zapisie waluty');
INSERT INTO `lang_definitions` VALUES (92337, 1366, 24, 'Separator groszy dla waluty');
INSERT INTO `lang_definitions` VALUES (92338, 1368, 24, 'Separator tysiecy dla waluty');
INSERT INTO `lang_definitions` VALUES (92339, 1369, 24, 'Bieżące');
INSERT INTO `lang_definitions` VALUES (92340, 1370, 24, 'Bieżący Alkohol');
INSERT INTO `lang_definitions` VALUES (92341, 1372, 24, 'Bieżące kryteria');
INSERT INTO `lang_definitions` VALUES (92342, 1373, 24, 'Kolor podświetlenia bieżącego dnia');
INSERT INTO `lang_definitions` VALUES (92343, 1374, 24, 'Zacienienie bieżącego dnia');
INSERT INTO `lang_definitions` VALUES (92344, 1375, 24, 'Bieżąca nazwa pliku zmieniona do');
INSERT INTO `lang_definitions` VALUES (92345, 1377, 24, 'Bieżąca lokalizacja');
INSERT INTO `lang_definitions` VALUES (92346, 1378, 24, 'Bieżące leki');
INSERT INTO `lang_definitions` VALUES (92347, 1379, 24, 'Bieżące hasło');
INSERT INTO `lang_definitions` VALUES (92348, 1380, 24, 'Bieżący pacjent');
INSERT INTO `lang_definitions` VALUES (92349, 1386, 24, 'Obecnie aktywny');
INSERT INTO `lang_definitions` VALUES (92350, 1387, 24, 'Obecnie przetwarzany');
INSERT INTO `lang_definitions` VALUES (92351, 1393, 24, 'Indywidualne wprowadzanie');
INSERT INTO `lang_definitions` VALUES (92352, 1394, 24, 'Indywidualna Tabela');
INSERT INTO `lang_definitions` VALUES (92353, 1399, 24, 'Cykl');
INSERT INTO `lang_definitions` VALUES (92354, 1403, 24, 'czeski');
INSERT INTO `lang_definitions` VALUES (92355, 1407, 24, 'Data ur.');
INSERT INTO `lang_definitions` VALUES (92356, 1408, 24, 'codziennie');
INSERT INTO `lang_definitions` VALUES (92357, 1409, 24, 'Codzienne notatki');
INSERT INTO `lang_definitions` VALUES (92358, 1410, 24, 'duński');
INSERT INTO `lang_definitions` VALUES (92359, 1416, 24, 'Błąd danych');
INSERT INTO `lang_definitions` VALUES (92360, 1420, 24, 'Typ danych');
INSERT INTO `lang_definitions` VALUES (92361, 1421, 24, 'Baza danych');
INSERT INTO `lang_definitions` VALUES (92362, 1422, 24, 'Baza danych nie została zainstalowana.');
INSERT INTO `lang_definitions` VALUES (92363, 1423, 24, 'Poprawka do bazy danych');
INSERT INTO `lang_definitions` VALUES (92364, 1424, 24, 'Raport o bazie danych');
INSERT INTO `lang_definitions` VALUES (92365, 1425, 24, 'Zakończono upgrade bazy danych.');
INSERT INTO `lang_definitions` VALUES (92366, 1427, 24, 'Data');
INSERT INTO `lang_definitions` VALUES (92367, 1428, 24, 'DATA');
INSERT INTO `lang_definitions` VALUES (92368, 1431, 24, 'Data podania');
INSERT INTO `lang_definitions` VALUES (92369, 1432, 24, 'Data i godzina pobrania próbki');
INSERT INTO `lang_definitions` VALUES (92370, 1433, 24, 'Data i godzina obserwacji');
INSERT INTO `lang_definitions` VALUES (92371, 1435, 24, 'Data i godzina odbioru próbki');
INSERT INTO `lang_definitions` VALUES (92372, 1436, 24, 'Data nie może być późniejsza, niż dzisiaj');
INSERT INTO `lang_definitions` VALUES (92373, 1437, 24, 'Data pierwszego podania antykoncepcji');
INSERT INTO `lang_definitions` VALUES (92374, 1438, 24, 'Data utworzenia');
INSERT INTO `lang_definitions` VALUES (92375, 1439, 24, 'Data zgonu');
INSERT INTO `lang_definitions` VALUES (92376, 1440, 24, 'Data zniszczenia');
INSERT INTO `lang_definitions` VALUES (92377, 1441, 24, 'Format wyświetlania daty');
INSERT INTO `lang_definitions` VALUES (92378, 1452, 24, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (92379, 1453, 24, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (92380, 1454, 24, 'Data urodzenia');
INSERT INTO `lang_definitions` VALUES (92381, 1455, 24, 'Data wpisu');
INSERT INTO `lang_definitions` VALUES (92382, 1456, 24, 'Data obrażenia');
INSERT INTO `lang_definitions` VALUES (92383, 1458, 24, 'Data płatności rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (92384, 1460, 24, 'Data odpowiedzi');
INSERT INTO `lang_definitions` VALUES (92385, 1461, 24, 'Data raportu');
INSERT INTO `lang_definitions` VALUES (92386, 1462, 24, 'Data usługi');
INSERT INTO `lang_definitions` VALUES (92387, 1463, 24, 'Data usługi');
INSERT INTO `lang_definitions` VALUES (92388, 1464, 24, 'Data usługi = Dzisiaj');
INSERT INTO `lang_definitions` VALUES (92389, 1466, 24, 'Data usługi:');
INSERT INTO `lang_definitions` VALUES (92390, 1467, 24, 'Data podpisu');
INSERT INTO `lang_definitions` VALUES (92391, 1486, 24, 'Dzień');
INSERT INTO `lang_definitions` VALUES (92392, 1487, 24, 'dzień');
INSERT INTO `lang_definitions` VALUES (92393, 1489, 24, 'Widok dnia');
INSERT INTO `lang_definitions` VALUES (92394, 1490, 24, 'Dni');
INSERT INTO `lang_definitions` VALUES (92395, 1492, 24, 'dni');
INSERT INTO `lang_definitions` VALUES (92396, 1493, 24, 'Dni');
INSERT INTO `lang_definitions` VALUES (92397, 1494, 24, 'dni temu');
INSERT INTO `lang_definitions` VALUES (92398, 1502, 24, 'DD/MM/RRRR');
INSERT INTO `lang_definitions` VALUES (92399, 1515, 24, 'Gru');
INSERT INTO `lang_definitions` VALUES (92400, 1517, 24, 'Grudzień');
INSERT INTO `lang_definitions` VALUES (92401, 1522, 24, 'Domyślne');
INSERT INTO `lang_definitions` VALUES (92402, 1526, 24, 'Domyślna siedziba');
INSERT INTO `lang_definitions` VALUES (92403, 1527, 24, 'Domyślny język');
INSERT INTO `lang_definitions` VALUES (92404, 1528, 24, 'Domyślny język, gdy nie udostępniono wyboru.');
INSERT INTO `lang_definitions` VALUES (92405, 1554, 24, 'Usuń');
INSERT INTO `lang_definitions` VALUES (92406, 1555, 24, 'usuń');
INSERT INTO `lang_definitions` VALUES (92407, 1557, 24, 'Usuń kategorię');
INSERT INTO `lang_definitions` VALUES (92408, 1560, 24, 'Usuń grupę');
INSERT INTO `lang_definitions` VALUES (92409, 1561, 24, 'Usuń listę');
INSERT INTO `lang_definitions` VALUES (92410, 1565, 24, 'Usuń wiersz');
INSERT INTO `lang_definitions` VALUES (92411, 1566, 24, 'Usuń zaznaczone');
INSERT INTO `lang_definitions` VALUES (92412, 1568, 24, 'Usuwanie poprawne.');
INSERT INTO `lang_definitions` VALUES (92413, 1569, 24, 'Usuń ten dokument.');
INSERT INTO `lang_definitions` VALUES (92414, 1570, 24, 'Usuń ten formularz.');
INSERT INTO `lang_definitions` VALUES (92415, 1571, 24, 'Usuń tę notatkę.');
INSERT INTO `lang_definitions` VALUES (92416, 1573, 24, 'Usuwanie poprawne.');
INSERT INTO `lang_definitions` VALUES (92417, 1574, 24, 'Usuwanie');
INSERT INTO `lang_definitions` VALUES (92418, 1582, 24, 'Demografia');
INSERT INTO `lang_definitions` VALUES (92419, 1590, 24, 'Dentystyczny');
INSERT INTO `lang_definitions` VALUES (92420, 1592, 24, 'Stomatologiczne');
INSERT INTO `lang_definitions` VALUES (92421, 1609, 24, 'Cel');
INSERT INTO `lang_definitions` VALUES (92422, 1631, 24, 'Diagnoza');
INSERT INTO `lang_definitions` VALUES (92423, 1632, 24, 'Diagnozy');
INSERT INTO `lang_definitions` VALUES (92424, 1633, 24, 'Diagnoza');
INSERT INTO `lang_definitions` VALUES (92425, 1634, 24, 'Kody diagnoz');
INSERT INTO `lang_definitions` VALUES (92426, 1636, 24, 'Data diagnoz');
INSERT INTO `lang_definitions` VALUES (92427, 1638, 24, 'Nazwa diagnoz');
INSERT INTO `lang_definitions` VALUES (92428, 1643, 24, 'Diagnoza:');
INSERT INTO `lang_definitions` VALUES (92429, 1667, 24, 'Wyłącz kalendarz');
INSERT INTO `lang_definitions` VALUES (92430, 1672, 24, 'Wyłącz phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (92431, 1692, 24, 'Ujawnienia');
INSERT INTO `lang_definitions` VALUES (92432, 1733, 24, 'Rozwiedziony/a');
INSERT INTO `lang_definitions` VALUES (92433, 1759, 24, 'Czy kontynuować dodawanie tego pacjenta?');
INSERT INTO `lang_definitions` VALUES (92434, 1762, 24, 'Data ur.');
INSERT INTO `lang_definitions` VALUES (92435, 1763, 24, 'Data ur. niedostępna, jeśli to możliwe proszę wprowadź');
INSERT INTO `lang_definitions` VALUES (92436, 1767, 24, 'Nazwisko i podpis lekarza');
INSERT INTO `lang_definitions` VALUES (92437, 1768, 24, 'Dokument');
INSERT INTO `lang_definitions` VALUES (92438, 1769, 24, 'dokument');
INSERT INTO `lang_definitions` VALUES (92439, 1770, 24, 'Kategorie dokumentu');
INSERT INTO `lang_definitions` VALUES (92440, 1791, 24, 'Dokumenty');
INSERT INTO `lang_definitions` VALUES (92441, 1799, 24, 'Konkubent/a');
INSERT INTO `lang_definitions` VALUES (92442, 1830, 24, 'Dr');
INSERT INTO `lang_definitions` VALUES (92443, 1833, 24, 'Prawo jazdy #');
INSERT INTO `lang_definitions` VALUES (92444, 1834, 24, 'Leki');
INSERT INTO `lang_definitions` VALUES (92445, 1846, 24, 'Leki');
INSERT INTO `lang_definitions` VALUES (92446, 1880, 24, 'czas trwania');
INSERT INTO `lang_definitions` VALUES (92447, 1881, 24, 'Czas trwania');
INSERT INTO `lang_definitions` VALUES (92448, 1882, 24, 'holenderski');
INSERT INTO `lang_definitions` VALUES (92449, 1896, 24, 'EKG');
INSERT INTO `lang_definitions` VALUES (92450, 1904, 24, 'Edycja');
INSERT INTO `lang_definitions` VALUES (92451, 1905, 24, 'edycja');
INSERT INTO `lang_definitions` VALUES (92452, 1931, 24, 'ee the * GNU General Public License for more details. * * You should have received a copy of the GNU General Public License * along with this program; if not, write to the Free ');
INSERT INTO `lang_definitions` VALUES (92453, 1937, 24, 'Łokieć');
INSERT INTO `lang_definitions` VALUES (92454, 1938, 24, 'Problemy z łokciem');
INSERT INTO `lang_definitions` VALUES (92455, 1943, 24, 'Raporty elektroniczne');
INSERT INTO `lang_definitions` VALUES (92456, 1949, 24, 'Email');
INSERT INTO `lang_definitions` VALUES (92457, 1951, 24, 'Adres Email');
INSERT INTO `lang_definitions` VALUES (92458, 1971, 24, 'Osoba kontaktowa');
INSERT INTO `lang_definitions` VALUES (92459, 1972, 24, 'Nazwisko osoby kontaktowej');
INSERT INTO `lang_definitions` VALUES (92460, 1973, 24, 'Telefon do osoby kontaktowej');
INSERT INTO `lang_definitions` VALUES (92461, 1980, 24, 'Tel. do os. kontaktowej');
INSERT INTO `lang_definitions` VALUES (92462, 1983, 24, 'Pracownik');
INSERT INTO `lang_definitions` VALUES (92463, 1984, 24, 'Pracodawca');
INSERT INTO `lang_definitions` VALUES (92464, 1985, 24, 'Adres pracodawcy');
INSERT INTO `lang_definitions` VALUES (92465, 1987, 24, 'Nazwa pracodawcy');
INSERT INTO `lang_definitions` VALUES (92466, 1988, 24, 'PUSTY');
INSERT INTO `lang_definitions` VALUES (92467, 1989, 24, 'Pusty');
INSERT INTO `lang_definitions` VALUES (92468, 2072, 24, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (92469, 2073, 24, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (92470, 2074, 24, 'wizyta');
INSERT INTO `lang_definitions` VALUES (92471, 2075, 24, 'Wizyta ');
INSERT INTO `lang_definitions` VALUES (92472, 2088, 24, 'Historia wizyt');
INSERT INTO `lang_definitions` VALUES (92473, 2096, 24, 'incontro per visita in studio');
INSERT INTO `lang_definitions` VALUES (92474, 2108, 24, 'Statystyka wizyty');
INSERT INTO `lang_definitions` VALUES (92475, 2109, 24, 'Podsumowanie wizyty');
INSERT INTO `lang_definitions` VALUES (92476, 2110, 24, 'Wizytę opisano kodem');
INSERT INTO `lang_definitions` VALUES (92477, 2111, 24, 'Wizyta:');
INSERT INTO `lang_definitions` VALUES (92478, 2113, 24, 'Wizyty');
INSERT INTO `lang_definitions` VALUES (92479, 2114, 24, 'Wizyty i formularze');
INSERT INTO `lang_definitions` VALUES (92480, 2116, 24, 'Wizyta nie autoryzowana');
INSERT INTO `lang_definitions` VALUES (92481, 2117, 24, 'Raport z wizyt');
INSERT INTO `lang_definitions` VALUES (92482, 2118, 24, 'Sekcja wizyt');
INSERT INTO `lang_definitions` VALUES (92483, 2121, 24, 'Koniec');
INSERT INTO `lang_definitions` VALUES (92484, 2123, 24, 'Data końcowa');
INSERT INTO `lang_definitions` VALUES (92485, 2124, 24, 'Data końcowa');
INSERT INTO `lang_definitions` VALUES (92486, 2126, 24, 'Data końcowa powinna być większa od początkowej');
INSERT INTO `lang_definitions` VALUES (92487, 2127, 24, 'Data końcowa:');
INSERT INTO `lang_definitions` VALUES (92488, 2131, 24, 'Czas końcowy');
INSERT INTO `lang_definitions` VALUES (92489, 2141, 24, 'angielski');
INSERT INTO `lang_definitions` VALUES (92490, 2142, 24, 'angielski ');
INSERT INTO `lang_definitions` VALUES (92491, 2143, 24, 'angielski (Indie)');
INSERT INTO `lang_definitions` VALUES (92492, 2144, 24, 'angielski (Standardowy)');
INSERT INTO `lang_definitions` VALUES (92493, 2165, 24, 'Wprowadź powyżej kryteria wyszukiwania');
INSERT INTO `lang_definitions` VALUES (92494, 2167, 24, 'pozycji');
INSERT INTO `lang_definitions` VALUES (92495, 2176, 24, 'Padaczka');
INSERT INTO `lang_definitions` VALUES (92496, 2181, 24, 'Wymaż');
INSERT INTO `lang_definitions` VALUES (92497, 2183, 24, 'Błąd');
INSERT INTO `lang_definitions` VALUES (92498, 2247, 24, 'Stały Pacjent');
INSERT INTO `lang_definitions` VALUES (92499, 2253, 24, 'Zdarzenie');
INSERT INTO `lang_definitions` VALUES (92500, 2273, 24, 'każdego');
INSERT INTO `lang_definitions` VALUES (92501, 2274, 24, 'Każdego');
INSERT INTO `lang_definitions` VALUES (92502, 2275, 24, 'co 3 godz.');
INSERT INTO `lang_definitions` VALUES (92503, 2276, 24, 'co 4 godz.');
INSERT INTO `lang_definitions` VALUES (92504, 2277, 24, 'co 5 godz.');
INSERT INTO `lang_definitions` VALUES (92505, 2278, 24, 'co 6 godz.');
INSERT INTO `lang_definitions` VALUES (92506, 2279, 24, 'co 8 godz.');
INSERT INTO `lang_definitions` VALUES (92507, 2280, 24, 'Co Czwarty');
INSERT INTO `lang_definitions` VALUES (92508, 2281, 24, 'Co Drugi');
INSERT INTO `lang_definitions` VALUES (92509, 2282, 24, 'Co Trzeci');
INSERT INTO `lang_definitions` VALUES (92510, 2286, 24, 'Wyniki badania');
INSERT INTO `lang_definitions` VALUES (92511, 2289, 24, 'Badanie');
INSERT INTO `lang_definitions` VALUES (92512, 2290, 24, 'Data Badania');
INSERT INTO `lang_definitions` VALUES (92513, 2294, 24, 'Za wyjątkiem');
INSERT INTO `lang_definitions` VALUES (92514, 2303, 24, 'Istnieje');
INSERT INTO `lang_definitions` VALUES (92515, 2306, 24, 'Rozwiń');
INSERT INTO `lang_definitions` VALUES (92516, 2307, 24, 'rozwiń');
INSERT INTO `lang_definitions` VALUES (92517, 2308, 24, 'Rozwiń Wszystko');
INSERT INTO `lang_definitions` VALUES (92518, 2311, 24, 'Podgląd Rozszerzony');
INSERT INTO `lang_definitions` VALUES (92519, 2313, 24, 'Koniec Ważności');
INSERT INTO `lang_definitions` VALUES (92520, 2314, 24, 'Data Ważności');
INSERT INTO `lang_definitions` VALUES (92521, 2315, 24, 'Koniec Ważności');
INSERT INTO `lang_definitions` VALUES (92522, 2316, 24, 'koniec ważności w');
INSERT INTO `lang_definitions` VALUES (92523, 2317, 24, 'Eksport');
INSERT INTO `lang_definitions` VALUES (92524, 2318, 24, 'Eksport jako CSV');
INSERT INTO `lang_definitions` VALUES (92525, 2332, 24, 'Zewnętrzny');
INSERT INTO `lang_definitions` VALUES (92526, 2336, 24, 'Ident. zewn');
INSERT INTO `lang_definitions` VALUES (92527, 2337, 24, 'Ident. zewn');
INSERT INTO `lang_definitions` VALUES (92528, 2338, 24, 'Ident. zewn');
INSERT INTO `lang_definitions` VALUES (92529, 2356, 24, 'Ośrodki');
INSERT INTO `lang_definitions` VALUES (92530, 2357, 24, 'Ośrodek');
INSERT INTO `lang_definitions` VALUES (92531, 2358, 24, 'ośrodek');
INSERT INTO `lang_definitions` VALUES (92532, 2372, 24, 'Ośrodek:');
INSERT INTO `lang_definitions` VALUES (92533, 2412, 24, 'Lut');
INSERT INTO `lang_definitions` VALUES (92534, 2413, 24, 'Luty');
INSERT INTO `lang_definitions` VALUES (92535, 2418, 24, 'Opłata');
INSERT INTO `lang_definitions` VALUES (92536, 2419, 24, 'opłata');
INSERT INTO `lang_definitions` VALUES (92537, 2423, 24, 'Opłaty');
INSERT INTO `lang_definitions` VALUES (92538, 2424, 24, 'Kobieta');
INSERT INTO `lang_definitions` VALUES (92539, 2459, 24, 'Nazwa pliku');
INSERT INTO `lang_definitions` VALUES (92540, 2461, 24, 'Pliki');
INSERT INTO `lang_definitions` VALUES (92541, 2468, 24, 'Filtr');
INSERT INTO `lang_definitions` VALUES (92542, 2471, 24, 'wyfiltrowane z');
INSERT INTO `lang_definitions` VALUES (92543, 2472, 24, 'filtry');
INSERT INTO `lang_definitions` VALUES (92544, 2473, 24, 'Filtry');
INSERT INTO `lang_definitions` VALUES (92545, 2474, 24, 'Końcowy');
INSERT INTO `lang_definitions` VALUES (92546, 2475, 24, 'Diagnoza końcowa');
INSERT INTO `lang_definitions` VALUES (92547, 2478, 24, 'Finansowa');
INSERT INTO `lang_definitions` VALUES (92548, 2484, 24, 'Znajdź');
INSERT INTO `lang_definitions` VALUES (92549, 2485, 24, 'Szukaj dostępnych');
INSERT INTO `lang_definitions` VALUES (92550, 2487, 24, 'Znajdź pacjenta');
INSERT INTO `lang_definitions` VALUES (92551, 2493, 24, 'ukończony');
INSERT INTO `lang_definitions` VALUES (92552, 2495, 24, 'Pierwszy');
INSERT INTO `lang_definitions` VALUES (92553, 2497, 24, 'Pierwszy dzień tygodnia');
INSERT INTO `lang_definitions` VALUES (92554, 2498, 24, 'Imię');
INSERT INTO `lang_definitions` VALUES (92555, 2499, 24, 'Imię');
INSERT INTO `lang_definitions` VALUES (92556, 2500, 24, 'Imię:');
INSERT INTO `lang_definitions` VALUES (92557, 2539, 24, 'dla');
INSERT INTO `lang_definitions` VALUES (92558, 2540, 24, 'Dla');
INSERT INTO `lang_definitions` VALUES (92559, 2555, 24, 'danych:');
INSERT INTO `lang_definitions` VALUES (92560, 2560, 24, 'Formularz');
INSERT INTO `lang_definitions` VALUES (92561, 2561, 24, 'Formularz');
INSERT INTO `lang_definitions` VALUES (92562, 2572, 24, 'Formularze');
INSERT INTO `lang_definitions` VALUES (92563, 2575, 24, 'Do przodu');
INSERT INTO `lang_definitions` VALUES (92564, 2587, 24, 'francuski');
INSERT INTO `lang_definitions` VALUES (92565, 2590, 24, 'Częstotliwość');
INSERT INTO `lang_definitions` VALUES (92566, 2593, 24, 'Pią');
INSERT INTO `lang_definitions` VALUES (92567, 2594, 24, 'Piątek');
INSERT INTO `lang_definitions` VALUES (92568, 2595, 24, 'Od');
INSERT INTO `lang_definitions` VALUES (92569, 2596, 24, 'OD');
INSERT INTO `lang_definitions` VALUES (92570, 2597, 24, 'od');
INSERT INTO `lang_definitions` VALUES (92571, 2599, 24, 'Od:');
INSERT INTO `lang_definitions` VALUES (92572, 2600, 24, 'Od: ');
INSERT INTO `lang_definitions` VALUES (92573, 2619, 24, 'Imię i nazwisko');
INSERT INTO `lang_definitions` VALUES (92574, 2687, 24, 'niemiecki');
INSERT INTO `lang_definitions` VALUES (92575, 2700, 24, 'idź');
INSERT INTO `lang_definitions` VALUES (92576, 2701, 24, 'Idź');
INSERT INTO `lang_definitions` VALUES (92577, 2704, 24, 'Idź do');
INSERT INTO `lang_definitions` VALUES (92578, 2722, 24, 'grecki');
INSERT INTO `lang_definitions` VALUES (92579, 2739, 24, 'Dane opiekuna');
INSERT INTO `lang_definitions` VALUES (92580, 2768, 24, 'Głowa');
INSERT INTO `lang_definitions` VALUES (92581, 2778, 24, 'Utrata słuchu');
INSERT INTO `lang_definitions` VALUES (92582, 2779, 24, 'Zawał serca');
INSERT INTO `lang_definitions` VALUES (92583, 2784, 24, 'Operacja serca');
INSERT INTO `lang_definitions` VALUES (92584, 2785, 24, 'Przeszczep serca');
INSERT INTO `lang_definitions` VALUES (92585, 2786, 24, 'SERCE:');
INSERT INTO `lang_definitions` VALUES (92586, 2787, 24, 'Zgaga');
INSERT INTO `lang_definitions` VALUES (92587, 2791, 24, 'hebrajski');
INSERT INTO `lang_definitions` VALUES (92588, 2794, 24, 'Wzrost');
INSERT INTO `lang_definitions` VALUES (92589, 2796, 24, 'Pomoc');
INSERT INTO `lang_definitions` VALUES (92590, 2797, 24, 'pomoc');
INSERT INTO `lang_definitions` VALUES (92591, 2806, 24, 'Zapalenie wątroby A 1');
INSERT INTO `lang_definitions` VALUES (92592, 2807, 24, 'Zapalenie wątroby A 2');
INSERT INTO `lang_definitions` VALUES (92593, 2808, 24, 'Zapalenie wątroby B 1');
INSERT INTO `lang_definitions` VALUES (92594, 2809, 24, 'Zapalenie wątroby B 2');
INSERT INTO `lang_definitions` VALUES (92595, 2810, 24, 'Zapalenie wątroby B 3');
INSERT INTO `lang_definitions` VALUES (92596, 2811, 24, 'tutaj');
INSERT INTO `lang_definitions` VALUES (92597, 2822, 24, 'Ukryty');
INSERT INTO `lang_definitions` VALUES (92598, 2824, 24, 'Ukryj');
INSERT INTO `lang_definitions` VALUES (92599, 2825, 24, 'Ukryj szczegóły');
INSERT INTO `lang_definitions` VALUES (92600, 2828, 24, 'Ukryj menu');
INSERT INTO `lang_definitions` VALUES (92601, 2830, 24, 'Ukryj przypomnienia');
INSERT INTO `lang_definitions` VALUES (92602, 2831, 24, 'Pokaż/ukryj kolumny');
INSERT INTO `lang_definitions` VALUES (92603, 2833, 24, 'Wysoki');
INSERT INTO `lang_definitions` VALUES (92604, 2835, 24, 'hindi');
INSERT INTO `lang_definitions` VALUES (92605, 2840, 24, 'Otrzymano zawiadomienie o HIPAA');
INSERT INTO `lang_definitions` VALUES (92606, 2847, 24, 'Historia');
INSERT INTO `lang_definitions` VALUES (92607, 2855, 24, 'HIV');
INSERT INTO `lang_definitions` VALUES (92608, 2860, 24, 'hmol/l');
INSERT INTO `lang_definitions` VALUES (92609, 2865, 24, 'Główna');
INSERT INTO `lang_definitions` VALUES (92610, 2866, 24, 'Telefon domowy');
INSERT INTO `lang_definitions` VALUES (92611, 2867, 24, 'Numer telefonu domowego');
INSERT INTO `lang_definitions` VALUES (92612, 2868, 24, 'Czy bezdomny?');
INSERT INTO `lang_definitions` VALUES (92613, 2869, 24, 'Bezdomny, itp.');
INSERT INTO `lang_definitions` VALUES (92614, 2870, 24, 'Bezdomny, itp.');
INSERT INTO `lang_definitions` VALUES (92615, 2875, 24, 'Godzina');
INSERT INTO `lang_definitions` VALUES (92616, 2876, 24, 'Godziny');
INSERT INTO `lang_definitions` VALUES (92617, 2884, 24, 'HTML');
INSERT INTO `lang_definitions` VALUES (92618, 2892, 24, 'Nadpobudliwy');
INSERT INTO `lang_definitions` VALUES (92619, 2893, 24, 'Nadciśnienie');
INSERT INTO `lang_definitions` VALUES (92620, 2912, 24, 'Dokument tożsamości');
INSERT INTO `lang_definitions` VALUES (92621, 2936, 24, 'Ignoruj');
INSERT INTO `lang_definitions` VALUES (92622, 2942, 24, 'Szczepienie');
INSERT INTO `lang_definitions` VALUES (92623, 2949, 24, 'Rejestr szczepień');
INSERT INTO `lang_definitions` VALUES (92624, 2953, 24, 'Szczepienia');
INSERT INTO `lang_definitions` VALUES (92625, 2972, 24, 'Poprawiony');
INSERT INTO `lang_definitions` VALUES (92626, 2973, 24, 'w');
INSERT INTO `lang_definitions` VALUES (92627, 2974, 24, 'IN');
INSERT INTO `lang_definitions` VALUES (92628, 2978, 24, 'Dostępny');
INSERT INTO `lang_definitions` VALUES (92629, 3087, 24, 'Ubezpieczenie');
INSERT INTO `lang_definitions` VALUES (92630, 3088, 24, 'ubezpieczenie');
INSERT INTO `lang_definitions` VALUES (92631, 3091, 24, 'saldo ubezpieczenia');
INSERT INTO `lang_definitions` VALUES (92632, 3153, 24, 'Błędna nazwa użytkownika lub hasło');
INSERT INTO `lang_definitions` VALUES (92633, 3162, 24, 'Faktura');
INSERT INTO `lang_definitions` VALUES (92634, 3163, 24, 'faktura');
INSERT INTO `lang_definitions` VALUES (92635, 3166, 24, 'Data faktury');
INSERT INTO `lang_definitions` VALUES (92636, 3167, 24, 'Faktura bez daty');
INSERT INTO `lang_definitions` VALUES (92637, 3168, 24, 'Data faktury');
INSERT INTO `lang_definitions` VALUES (92638, 3198, 24, 'Czy PHP jest w trybie Safe Mode?');
INSERT INTO `lang_definitions` VALUES (92639, 3202, 24, 'Czy plik jest szyfrowany?');
INSERT INTO `lang_definitions` VALUES (92640, 3223, 24, 'Dolegliwości');
INSERT INTO `lang_definitions` VALUES (92641, 3224, 24, 'Dolegliwości (Urazy/Medyczne/Alergie)');
INSERT INTO `lang_definitions` VALUES (92642, 3225, 24, 'Dolegliwości (Urazy/Medyczne/Alergie)');
INSERT INTO `lang_definitions` VALUES (92643, 3226, 24, 'Dolegliwości i Wizyty');
INSERT INTO `lang_definitions` VALUES (92644, 3229, 24, 'Sekcja Dolegliwości');
INSERT INTO `lang_definitions` VALUES (92645, 3230, 24, 'włoski');
INSERT INTO `lang_definitions` VALUES (92646, 3238, 24, 'Sty');
INSERT INTO `lang_definitions` VALUES (92647, 3239, 24, 'Styczeń');
INSERT INTO `lang_definitions` VALUES (92648, 3240, 24, 'Japoński');
INSERT INTO `lang_definitions` VALUES (92649, 3241, 24, 'Żółtaczka');
INSERT INTO `lang_definitions` VALUES (92650, 3248, 24, 'Lip');
INSERT INTO `lang_definitions` VALUES (92651, 3249, 24, 'Lipiec');
INSERT INTO `lang_definitions` VALUES (92652, 3250, 24, 'Cze');
INSERT INTO `lang_definitions` VALUES (92653, 3251, 24, 'Czerwiec');
INSERT INTO `lang_definitions` VALUES (92654, 3253, 24, 'Tylko moje');
INSERT INTO `lang_definitions` VALUES (92655, 3265, 24, 'Słowa kluczowe');
INSERT INTO `lang_definitions` VALUES (92656, 3266, 24, 'kg');
INSERT INTO `lang_definitions` VALUES (92657, 3267, 24, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (92658, 3269, 24, 'Rak nerki');
INSERT INTO `lang_definitions` VALUES (92659, 3271, 24, 'Infekcja nerki');
INSERT INTO `lang_definitions` VALUES (92660, 3272, 24, 'Kamica nerkowa');
INSERT INTO `lang_definitions` VALUES (92661, 3273, 24, 'Transplantacja nerki');
INSERT INTO `lang_definitions` VALUES (92662, 3282, 24, 'Koreański');
INSERT INTO `lang_definitions` VALUES (92663, 3303, 24, 'Etykieta');
INSERT INTO `lang_definitions` VALUES (92664, 3304, 24, 'Etykieta nie może być pusta');
INSERT INTO `lang_definitions` VALUES (92665, 3308, 24, 'Etykiety');
INSERT INTO `lang_definitions` VALUES (92666, 3316, 24, 'Język');
INSERT INTO `lang_definitions` VALUES (92667, 3317, 24, 'Kod języka');
INSERT INTO `lang_definitions` VALUES (92668, 3321, 24, 'Nazwa języka');
INSERT INTO `lang_definitions` VALUES (92669, 3322, 24, 'Język:');
INSERT INTO `lang_definitions` VALUES (92670, 3325, 24, 'Ostatni');
INSERT INTO `lang_definitions` VALUES (92671, 3326, 24, 'Data ostatniej aktywności');
INSERT INTO `lang_definitions` VALUES (92672, 3343, 24, 'Ostatni miesiąc');
INSERT INTO `lang_definitions` VALUES (92673, 3344, 24, 'Nazwisko');
INSERT INTO `lang_definitions` VALUES (92674, 3345, 24, 'Nazwisko');
INSERT INTO `lang_definitions` VALUES (92675, 3346, 24, 'Nazwisko:');
INSERT INTO `lang_definitions` VALUES (92676, 3352, 24, 'Ostatnio zapisany');
INSERT INTO `lang_definitions` VALUES (92677, 3358, 24, 'Ostatnia wizyta');
INSERT INTO `lang_definitions` VALUES (92678, 3373, 24, 'Format pochodny');
INSERT INTO `lang_definitions` VALUES (92679, 3374, 24, 'Edytor formatów');
INSERT INTO `lang_definitions` VALUES (92680, 3375, 24, 'Grupy formatów');
INSERT INTO `lang_definitions` VALUES (92681, 3376, 24, 'Styl formatu');
INSERT INTO `lang_definitions` VALUES (92682, 3378, 24, 'Format dla wizyty');
INSERT INTO `lang_definitions` VALUES (92683, 3379, 24, 'Formaty wyjściowe');
INSERT INTO `lang_definitions` VALUES (92684, 3400, 24, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (92685, 3401, 24, 'Długość');
INSERT INTO `lang_definitions` VALUES (92686, 3403, 24, 'Mniej niż');
INSERT INTO `lang_definitions` VALUES (92687, 3404, 24, 'Mniej niż lub równo');
INSERT INTO `lang_definitions` VALUES (92688, 3406, 24, 'List');
INSERT INTO `lang_definitions` VALUES (92689, 3407, 24, 'Generator listów');
INSERT INTO `lang_definitions` VALUES (92690, 3412, 24, 'Odpowiedzialność');
INSERT INTO `lang_definitions` VALUES (92691, 3413, 24, 'Odpowiedzialność medyczna');
INSERT INTO `lang_definitions` VALUES (92692, 3414, 24, 'Nr dow. os/prawa jazdy');
INSERT INTO `lang_definitions` VALUES (92693, 3438, 24, 'Lista');
INSERT INTO `lang_definitions` VALUES (92694, 3445, 24, 'Lista grup');
INSERT INTO `lang_definitions` VALUES (92695, 3446, 24, 'Lista ubezpieczycieli');
INSERT INTO `lang_definitions` VALUES (92696, 3448, 24, 'Lista pozycji nie może zaczynać się liczbą');
INSERT INTO `lang_definitions` VALUES (92697, 3449, 24, 'Lista pozycji zawierająca błędne znaki');
INSERT INTO `lang_definitions` VALUES (92698, 3451, 24, 'Lista list');
INSERT INTO `lang_definitions` VALUES (92699, 3452, 24, 'Nazwa Listy');
INSERT INTO `lang_definitions` VALUES (92700, 3453, 24, 'Lista nazw nie może zaczynać się liczbą');
INSERT INTO `lang_definitions` VALUES (92701, 3454, 24, 'Lista recept');
INSERT INTO `lang_definitions` VALUES (92702, 3458, 24, 'Listy');
INSERT INTO `lang_definitions` VALUES (92703, 3463, 24, 'Wczytaj kompedium');
INSERT INTO `lang_definitions` VALUES (92704, 3464, 24, 'Wczytaj definicje');
INSERT INTO `lang_definitions` VALUES (92705, 3470, 24, 'Wczytywanie');
INSERT INTO `lang_definitions` VALUES (92706, 3485, 24, 'Zablokowany');
INSERT INTO `lang_definitions` VALUES (92707, 3492, 24, 'Zalogowany');
INSERT INTO `lang_definitions` VALUES (92708, 3493, 24, 'Zalogowany');
INSERT INTO `lang_definitions` VALUES (92709, 3494, 24, 'Wyloguj');
INSERT INTO `lang_definitions` VALUES (92710, 3495, 24, 'Zalogowany');
INSERT INTO `lang_definitions` VALUES (92711, 3496, 24, 'Zalogowany jako');
INSERT INTO `lang_definitions` VALUES (92712, 3497, 24, 'Zalogowany jako: ');
INSERT INTO `lang_definitions` VALUES (92713, 3498, 24, 'Wylogowany');
INSERT INTO `lang_definitions` VALUES (92714, 3499, 24, 'Logowanie');
INSERT INTO `lang_definitions` VALUES (92715, 3500, 24, 'Zaloguj');
INSERT INTO `lang_definitions` VALUES (92716, 3501, 24, 'zaloguj');
INSERT INTO `lang_definitions` VALUES (92717, 3505, 24, 'Wyloguj');
INSERT INTO `lang_definitions` VALUES (92718, 3506, 24, 'wyloguj');
INSERT INTO `lang_definitions` VALUES (92719, 3507, 24, 'Rejestry');
INSERT INTO `lang_definitions` VALUES (92720, 3508, 24, 'Przegląd rejestrów');
INSERT INTO `lang_definitions` VALUES (92721, 3511, 24, 'Partia');
INSERT INTO `lang_definitions` VALUES (92722, 3512, 24, 'Brak numeru partii');
INSERT INTO `lang_definitions` VALUES (92723, 3513, 24, 'Numer partii');
INSERT INTO `lang_definitions` VALUES (92724, 3514, 24, 'Niski');
INSERT INTO `lang_definitions` VALUES (92725, 3515, 24, 'Niski priorytet');
INSERT INTO `lang_definitions` VALUES (92726, 3517, 24, 'Najniższy priorytet');
INSERT INTO `lang_definitions` VALUES (92727, 3520, 24, 'LUNCH');
INSERT INTO `lang_definitions` VALUES (92728, 3521, 24, 'Lunch');
INSERT INTO `lang_definitions` VALUES (92729, 3524, 24, 'PŁUCA:');
INSERT INTO `lang_definitions` VALUES (92730, 3525, 24, 'Płuca:');
INSERT INTO `lang_definitions` VALUES (92731, 3534, 24, 'Główny');
INSERT INTO `lang_definitions` VALUES (92732, 3535, 24, 'Główny adres');
INSERT INTO `lang_definitions` VALUES (92733, 3548, 24, 'Mężczyzna');
INSERT INTO `lang_definitions` VALUES (92734, 3552, 24, 'Mammografia');
INSERT INTO `lang_definitions` VALUES (92735, 3553, 24, 'Zarządzaj');
INSERT INTO `lang_definitions` VALUES (92736, 3556, 24, 'Zarządzaj tłumaczeniami');
INSERT INTO `lang_definitions` VALUES (92737, 3557, 24, 'Zarządzanie');
INSERT INTO `lang_definitions` VALUES (92738, 3561, 24, 'Instrukcja');
INSERT INTO `lang_definitions` VALUES (92739, 3563, 24, 'Producent');
INSERT INTO `lang_definitions` VALUES (92740, 3565, 24, 'Mar');
INSERT INTO `lang_definitions` VALUES (92741, 3568, 24, 'Marzec');
INSERT INTO `lang_definitions` VALUES (92742, 3569, 24, 'Stan cywilny');
INSERT INTO `lang_definitions` VALUES (92743, 3576, 24, 'Żonaty/Zamężna');
INSERT INTO `lang_definitions` VALUES (92744, 3603, 24, 'Maj');
INSERT INTO `lang_definitions` VALUES (92745, 3611, 24, 'Pomiary');
INSERT INTO `lang_definitions` VALUES (92746, 3623, 24, 'Problemy zdrowotne');
INSERT INTO `lang_definitions` VALUES (92747, 3635, 24, 'Lek');
INSERT INTO `lang_definitions` VALUES (92748, 3636, 24, 'Lista Leków na Alergię');
INSERT INTO `lang_definitions` VALUES (92749, 3637, 24, 'Lista leków dla dolegiliwości');
INSERT INTO `lang_definitions` VALUES (92750, 3638, 24, 'Lista leków');
INSERT INTO `lang_definitions` VALUES (92751, 3640, 24, 'Leki');
INSERT INTO `lang_definitions` VALUES (92752, 3641, 24, 'Leki:');
INSERT INTO `lang_definitions` VALUES (92753, 3647, 24, 'Mężczyzna');
INSERT INTO `lang_definitions` VALUES (92754, 3648, 24, 'Mężczyzna i kobieta');
INSERT INTO `lang_definitions` VALUES (92755, 3649, 24, 'Tylko mężczyzna');
INSERT INTO `lang_definitions` VALUES (92756, 3651, 24, 'Menopauza');
INSERT INTO `lang_definitions` VALUES (92757, 3662, 24, 'Centrum wiadomości i przypomnień');
INSERT INTO `lang_definitions` VALUES (92758, 3671, 24, 'Wiadomości');
INSERT INTO `lang_definitions` VALUES (92759, 3679, 24, 'mg');
INSERT INTO `lang_definitions` VALUES (92760, 3687, 24, 'Drugie Imię');
INSERT INTO `lang_definitions` VALUES (92761, 3688, 24, 'Drugie imię');
INSERT INTO `lang_definitions` VALUES (92762, 3703, 24, 'Min');
INSERT INTO `lang_definitions` VALUES (92763, 3704, 24, 'min');
INSERT INTO `lang_definitions` VALUES (92764, 3705, 24, 'Minimalny wiek');
INSERT INTO `lang_definitions` VALUES (92765, 3708, 24, 'Minuta');
INSERT INTO `lang_definitions` VALUES (92766, 3709, 24, 'minuty');
INSERT INTO `lang_definitions` VALUES (92767, 3710, 24, 'Minuty');
INSERT INTO `lang_definitions` VALUES (92768, 3712, 24, 'Pozostałe');
INSERT INTO `lang_definitions` VALUES (92769, 3716, 24, 'Pozostałe');
INSERT INTO `lang_definitions` VALUES (92770, 3727, 24, 'ml');
INSERT INTO `lang_definitions` VALUES (92771, 3729, 24, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (92772, 3734, 24, 'Tel kom.');
INSERT INTO `lang_definitions` VALUES (92773, 3753, 24, 'Pon');
INSERT INTO `lang_definitions` VALUES (92774, 3754, 24, 'Pon do Pt');
INSERT INTO `lang_definitions` VALUES (92775, 3756, 24, 'Poniedziałek');
INSERT INTO `lang_definitions` VALUES (92776, 3758, 24, 'Miesiąc');
INSERT INTO `lang_definitions` VALUES (92777, 3759, 24, 'miesiąc');
INSERT INTO `lang_definitions` VALUES (92778, 3760, 24, 'Widok miesiąca');
INSERT INTO `lang_definitions` VALUES (92779, 3761, 24, 'Miesiąc(e)');
INSERT INTO `lang_definitions` VALUES (92780, 3763, 24, 'Miesiące(-ęcy)');
INSERT INTO `lang_definitions` VALUES (92781, 3771, 24, 'Matka');
INSERT INTO `lang_definitions` VALUES (92782, 3772, 24, 'Imię matki');
INSERT INTO `lang_definitions` VALUES (92783, 3774, 24, 'Usta');
INSERT INTO `lang_definitions` VALUES (92784, 3775, 24, 'Przenieś');
INSERT INTO `lang_definitions` VALUES (92785, 3777, 24, 'W dół');
INSERT INTO `lang_definitions` VALUES (92786, 3779, 24, 'Przenieś do pacjenta');
INSERT INTO `lang_definitions` VALUES (92787, 3780, 24, 'Przenieś do...');
INSERT INTO `lang_definitions` VALUES (92788, 3781, 24, 'W górę');
INSERT INTO `lang_definitions` VALUES (92789, 3783, 24, 'Pan');
INSERT INTO `lang_definitions` VALUES (92790, 3785, 24, 'Pani');
INSERT INTO `lang_definitions` VALUES (92791, 3786, 24, 'Panna');
INSERT INTO `lang_definitions` VALUES (92792, 3810, 24, 'Mięsień');
INSERT INTO `lang_definitions` VALUES (92793, 3811, 24, 'Uraz mięśnia');
INSERT INTO `lang_definitions` VALUES (92794, 3812, 24, 'Zaburzenia mięśniowo-szkieletowe');
INSERT INTO `lang_definitions` VALUES (92795, 3821, 24, 'N/D');
INSERT INTO `lang_definitions` VALUES (92796, 3822, 24, 'n/d');
INSERT INTO `lang_definitions` VALUES (92797, 3823, 24, 'Nazwisko');
INSERT INTO `lang_definitions` VALUES (92798, 3836, 24, 'Nazwa/wartość');
INSERT INTO `lang_definitions` VALUES (92799, 3837, 24, 'Nazwisko:');
INSERT INTO `lang_definitions` VALUES (92800, 3844, 24, 'Narodowość');
INSERT INTO `lang_definitions` VALUES (92801, 3885, 24, 'Nigdy');
INSERT INTO `lang_definitions` VALUES (92802, 3888, 24, 'Nowy');
INSERT INTO `lang_definitions` VALUES (92803, 3889, 24, 'Nowy =>');
INSERT INTO `lang_definitions` VALUES (92804, 3892, 24, 'Nowa Alergia');
INSERT INTO `lang_definitions` VALUES (92805, 3894, 24, 'Nowe Spotkanie');
INSERT INTO `lang_definitions` VALUES (92806, 3895, 24, 'Nowe Kategorie');
INSERT INTO `lang_definitions` VALUES (92807, 3896, 24, 'Nowa Kategoria');
INSERT INTO `lang_definitions` VALUES (92808, 3898, 24, 'Nowa konsultacja');
INSERT INTO `lang_definitions` VALUES (92809, 3900, 24, 'Dodano nową definicję');
INSERT INTO `lang_definitions` VALUES (92810, 3901, 24, 'Nowy Dokument');
INSERT INTO `lang_definitions` VALUES (92811, 3902, 24, 'Nowe Dokumenty');
INSERT INTO `lang_definitions` VALUES (92812, 3904, 24, 'Nowa wizyta');
INSERT INTO `lang_definitions` VALUES (92813, 3905, 24, 'Nowa wizyta utworzona przez');
INSERT INTO `lang_definitions` VALUES (92814, 3906, 24, 'Fromularz nowej wizyty');
INSERT INTO `lang_definitions` VALUES (92815, 3907, 24, 'Nowa wizyta nie autoryzowana');
INSERT INTO `lang_definitions` VALUES (92816, 3910, 24, 'Nowy plik');
INSERT INTO `lang_definitions` VALUES (92817, 3911, 24, 'Nowe pliki');
INSERT INTO `lang_definitions` VALUES (92818, 3912, 24, 'Nowa grupa');
INSERT INTO `lang_definitions` VALUES (92819, 3918, 24, 'Nowe zamówienia');
INSERT INTO `lang_definitions` VALUES (92820, 3920, 24, 'Nowe hasło');
INSERT INTO `lang_definitions` VALUES (92821, 3921, 24, 'Nowy pacjent');
INSERT INTO `lang_definitions` VALUES (92822, 3922, 24, 'NOWY PACJENT');
INSERT INTO `lang_definitions` VALUES (92823, 3930, 24, 'Nowe wyszukiwanie');
INSERT INTO `lang_definitions` VALUES (92824, 3932, 24, 'Nowy użytkownik');
INSERT INTO `lang_definitions` VALUES (92825, 3934, 24, 'Nowa wizyta');
INSERT INTO `lang_definitions` VALUES (92826, 3935, 24, 'Nowy/Wyszukaj');
INSERT INTO `lang_definitions` VALUES (92827, 3962, 24, 'Następny');
INSERT INTO `lang_definitions` VALUES (92828, 3964, 24, 'Następny dzień');
INSERT INTO `lang_definitions` VALUES (92829, 3968, 24, 'Następny tydzień');
INSERT INTO `lang_definitions` VALUES (92830, 3971, 24, 'Pseudonim:');
INSERT INTO `lang_definitions` VALUES (92831, 3975, 24, 'Nie');
INSERT INTO `lang_definitions` VALUES (92832, 3976, 24, 'NIE');
INSERT INTO `lang_definitions` VALUES (92833, 3977, 24, 'Brak dostępu');
INSERT INTO `lang_definitions` VALUES (92834, 3983, 24, 'Brak spotkań.');
INSERT INTO `lang_definitions` VALUES (92835, 3992, 24, 'Brak diagnozy');
INSERT INTO `lang_definitions` VALUES (92836, 3993, 24, 'Nie znaleziono dokumentu');
INSERT INTO `lang_definitions` VALUES (92837, 3995, 24, 'Brak daty końcowej');
INSERT INTO `lang_definitions` VALUES (92838, 3998, 24, 'Brak zdarzeń');
INSERT INTO `lang_definitions` VALUES (92839, 4034, 24, 'Brak notatek');
INSERT INTO `lang_definitions` VALUES (92840, 4036, 24, 'Brak dostępnych przedziałów w tym zakresie dat.');
INSERT INTO `lang_definitions` VALUES (92841, 4053, 24, 'Brak wyników');
INSERT INTO `lang_definitions` VALUES (92842, 4055, 24, 'Brak wyników. Proszę zmienić kryteria wyszukiwania.');
INSERT INTO `lang_definitions` VALUES (92843, 4056, 24, 'Brak przypomnień');
INSERT INTO `lang_definitions` VALUES (92844, 4058, 24, 'Brak wyników');
INSERT INTO `lang_definitions` VALUES (92845, 4059, 24, 'Brak wyników');
INSERT INTO `lang_definitions` VALUES (92846, 4065, 24, 'Nie pokazuj');
INSERT INTO `lang_definitions` VALUES (92847, 4081, 24, 'Nie opłacone');
INSERT INTO `lang_definitions` VALUES (92848, 4089, 24, 'Brak');
INSERT INTO `lang_definitions` VALUES (92849, 4090, 24, 'brak');
INSERT INTO `lang_definitions` VALUES (92850, 4091, 24, 'brak zdefiniowanych');
INSERT INTO `lang_definitions` VALUES (92851, 4093, 24, 'Żaden z powyższych');
INSERT INTO `lang_definitions` VALUES (92852, 4097, 24, 'Zwykły');
INSERT INTO `lang_definitions` VALUES (92853, 4112, 24, 'norweski');
INSERT INTO `lang_definitions` VALUES (92854, 4115, 24, 'Nos');
INSERT INTO `lang_definitions` VALUES (92855, 4116, 24, 'Krwawienie z nosa');
INSERT INTO `lang_definitions` VALUES (92856, 4120, 24, 'Nie dozwolone');
INSERT INTO `lang_definitions` VALUES (92857, 4146, 24, 'nie znaleziono');
INSERT INTO `lang_definitions` VALUES (92858, 4148, 24, 'nie znaleziono!');
INSERT INTO `lang_definitions` VALUES (92859, 4177, 24, 'Brak pozycji');
INSERT INTO `lang_definitions` VALUES (92860, 4185, 24, 'Powiadomienie');
INSERT INTO `lang_definitions` VALUES (92861, 4188, 24, 'Powiadomienia');
INSERT INTO `lang_definitions` VALUES (92862, 4190, 24, 'Lis');
INSERT INTO `lang_definitions` VALUES (92863, 4191, 24, 'Listopad');
INSERT INTO `lang_definitions` VALUES (92864, 4193, 24, 'Drukuję');
INSERT INTO `lang_definitions` VALUES (92865, 4200, 24, 'Numer');
INSERT INTO `lang_definitions` VALUES (92866, 4239, 24, 'Występowanie');
INSERT INTO `lang_definitions` VALUES (92867, 4240, 24, 'Paź');
INSERT INTO `lang_definitions` VALUES (92868, 4241, 24, 'Październik');
INSERT INTO `lang_definitions` VALUES (92869, 4243, 24, 'z');
INSERT INTO `lang_definitions` VALUES (92870, 4244, 24, 'z ilości');
INSERT INTO `lang_definitions` VALUES (92871, 4247, 24, 'Notaki biurowe');
INSERT INTO `lang_definitions` VALUES (92872, 4248, 24, 'Wył');
INSERT INTO `lang_definitions` VALUES (92873, 4250, 24, 'Wizyta');
INSERT INTO `lang_definitions` VALUES (92874, 4267, 24, 'OK');
INSERT INTO `lang_definitions` VALUES (92875, 4270, 24, 'Stary');
INSERT INTO `lang_definitions` VALUES (92876, 4287, 24, 'Wł');
INSERT INTO `lang_definitions` VALUES (92877, 4288, 24, 'Od ręki');
INSERT INTO `lang_definitions` VALUES (92878, 4289, 24, 'Na zamówienie');
INSERT INTO `lang_definitions` VALUES (92879, 4290, 24, 'Na miejscu');
INSERT INTO `lang_definitions` VALUES (92880, 4297, 24, 'Wsparcie techniczne');
INSERT INTO `lang_definitions` VALUES (92881, 4299, 24, 'Tylko aktywne');
INSERT INTO `lang_definitions` VALUES (92882, 4303, 24, 'Tylko nieaktywne');
INSERT INTO `lang_definitions` VALUES (92883, 4304, 24, 'Tylko moje');
INSERT INTO `lang_definitions` VALUES (92884, 4313, 24, 'Początek/Data hospitalizacji');
INSERT INTO `lang_definitions` VALUES (92885, 4315, 24, 'Ups!');
INSERT INTO `lang_definitions` VALUES (92886, 4316, 24, 'Otwórz');
INSERT INTO `lang_definitions` VALUES (92887, 4318, 24, 'Otwórz w nowym oknie');
INSERT INTO `lang_definitions` VALUES (92888, 4329, 24, 'Użytkownicy LibreEHR');
INSERT INTO `lang_definitions` VALUES (92889, 4336, 24, 'Opcjonalne');
INSERT INTO `lang_definitions` VALUES (92890, 4350, 24, 'Opcje');
INSERT INTO `lang_definitions` VALUES (92891, 4351, 24, 'Lub');
INSERT INTO `lang_definitions` VALUES (92892, 4352, 24, 'LUB');
INSERT INTO `lang_definitions` VALUES (92893, 4353, 24, 'lub wybierz');
INSERT INTO `lang_definitions` VALUES (92894, 4360, 24, 'Ustnie');
INSERT INTO `lang_definitions` VALUES (92895, 4363, 24, 'Typy i rezultaty zlecen');
INSERT INTO `lang_definitions` VALUES (92896, 4364, 24, 'Katalog zlecen');
INSERT INTO `lang_definitions` VALUES (92897, 4402, 24, 'Pozostały');
INSERT INTO `lang_definitions` VALUES (92898, 4403, 24, 'pozostały');
INSERT INTO `lang_definitions` VALUES (92899, 4420, 24, 'Pozostałe');
INSERT INTO `lang_definitions` VALUES (92900, 4424, 24, 'NDST');
INSERT INTO `lang_definitions` VALUES (92901, 4425, 24, 'Niedostępny (poza placówką)');
INSERT INTO `lang_definitions` VALUES (92902, 4427, 24, 'Wynik');
INSERT INTO `lang_definitions` VALUES (92903, 4451, 24, 'Ból');
INSERT INTO `lang_definitions` VALUES (92904, 4458, 24, 'Paraliż');
INSERT INTO `lang_definitions` VALUES (92905, 4463, 24, 'Partner');
INSERT INTO `lang_definitions` VALUES (92906, 4472, 24, 'Hasło');
INSERT INTO `lang_definitions` VALUES (92907, 4473, 24, 'Zmiana hasła');
INSERT INTO `lang_definitions` VALUES (92908, 4475, 24, 'Zmiana hasła zakończona powodzeniem.');
INSERT INTO `lang_definitions` VALUES (92909, 4486, 24, 'Hasło:');
INSERT INTO `lang_definitions` VALUES (92910, 4490, 24, 'Przeterminowane');
INSERT INTO `lang_definitions` VALUES (92911, 4491, 24, 'Przeterminowane');
INSERT INTO `lang_definitions` VALUES (92912, 4494, 24, 'Lista wizyt odbytych');
INSERT INTO `lang_definitions` VALUES (92913, 4495, 24, 'Wizyty odbyte');
INSERT INTO `lang_definitions` VALUES (92914, 4496, 24, 'Wizyty odbyte i dokumenty');
INSERT INTO `lang_definitions` VALUES (92915, 4514, 24, 'Pacjent');
INSERT INTO `lang_definitions` VALUES (92916, 4515, 24, 'pacjent');
INSERT INTO `lang_definitions` VALUES (92917, 4516, 24, 'PACJENT');
INSERT INTO `lang_definitions` VALUES (92918, 4517, 24, 'Adres pacjenta');
INSERT INTO `lang_definitions` VALUES (92919, 4518, 24, 'Brak adresu pacjenta');
INSERT INTO `lang_definitions` VALUES (92920, 4550, 24, 'Wyszukiwanie pacjentów');
INSERT INTO `lang_definitions` VALUES (92921, 4551, 24, 'Imię pacjenta');
INSERT INTO `lang_definitions` VALUES (92922, 4558, 24, 'Płeć pacjenta');
INSERT INTO `lang_definitions` VALUES (92923, 4561, 24, 'Historia pacjenta');
INSERT INTO `lang_definitions` VALUES (92924, 4587, 24, 'Problemy zdrowotne pacjenta');
INSERT INTO `lang_definitions` VALUES (92925, 4588, 24, 'Leki przepisane pacjentowi');
INSERT INTO `lang_definitions` VALUES (92926, 4589, 24, 'Nazwisko pacjenta');
INSERT INTO `lang_definitions` VALUES (92927, 4610, 24, 'Zażądaj dokumentacji medycznej');
INSERT INTO `lang_definitions` VALUES (92928, 4611, 24, 'Żądania dokumentacji medycznej');
INSERT INTO `lang_definitions` VALUES (92929, 4613, 24, 'Przypominacz dla pacjenta');
INSERT INTO `lang_definitions` VALUES (92930, 4614, 24, 'Wsadowe przetwarzanie przypominaczy pacjentów');
INSERT INTO `lang_definitions` VALUES (92931, 4615, 24, 'Priorytet procesu tworzącego przypominacze dla pacjentów');
INSERT INTO `lang_definitions` VALUES (92932, 4616, 24, 'Reguły dla przypominaczy dla pacjentów');
INSERT INTO `lang_definitions` VALUES (92933, 4619, 24, 'Przypominacze dla pacjentów');
INSERT INTO `lang_definitions` VALUES (92934, 4630, 24, 'Transakcje pacjenta');
INSERT INTO `lang_definitions` VALUES (92935, 4633, 24, 'Pacjent/Klient');
INSERT INTO `lang_definitions` VALUES (92936, 4634, 24, 'Pacjent:');
INSERT INTO `lang_definitions` VALUES (92937, 4636, 24, 'Pacjenci');
INSERT INTO `lang_definitions` VALUES (92938, 4638, 24, 'Zapłać');
INSERT INTO `lang_definitions` VALUES (92939, 4640, 24, 'Data płatności:');
INSERT INTO `lang_definitions` VALUES (92940, 4641, 24, 'Status płatności');
INSERT INTO `lang_definitions` VALUES (92941, 4642, 24, 'Odbiorca płatności');
INSERT INTO `lang_definitions` VALUES (92942, 4643, 24, 'Płatnik');
INSERT INTO `lang_definitions` VALUES (92943, 4644, 24, 'Rodzaj płatnika');
INSERT INTO `lang_definitions` VALUES (92944, 4647, 24, 'Płatność');
INSERT INTO `lang_definitions` VALUES (92945, 4648, 24, 'płatność');
INSERT INTO `lang_definitions` VALUES (92946, 4669, 24, 'PDF');
INSERT INTO `lang_definitions` VALUES (92947, 4677, 24, 'Oczekuje na wynik');
INSERT INTO `lang_definitions` VALUES (92948, 4678, 24, 'W oczekiwaniu na wynik');
INSERT INTO `lang_definitions` VALUES (92949, 4705, 24, 'Okres');
INSERT INTO `lang_definitions` VALUES (92950, 4718, 24, 'Apteka');
INSERT INTO `lang_definitions` VALUES (92951, 4729, 24, 'Telefon');
INSERT INTO `lang_definitions` VALUES (92952, 4740, 24, 'Światłowstręt');
INSERT INTO `lang_definitions` VALUES (92953, 4741, 24, 'Zdjęcia');
INSERT INTO `lang_definitions` VALUES (92954, 4768, 24, 'Plan');
INSERT INTO `lang_definitions` VALUES (92955, 4779, 24, 'Plan:');
INSERT INTO `lang_definitions` VALUES (92956, 4782, 24, 'Plany');
INSERT INTO `lang_definitions` VALUES (92957, 4900, 24, 'polski');
INSERT INTO `lang_definitions` VALUES (92958, 4917, 24, 'portugalski');
INSERT INTO `lang_definitions` VALUES (92959, 4918, 24, 'portugalski (Brazylia)');
INSERT INTO `lang_definitions` VALUES (92960, 4919, 24, 'portugalski (Europa)');
INSERT INTO `lang_definitions` VALUES (92961, 4938, 24, 'Kod Pocztowy');
INSERT INTO `lang_definitions` VALUES (92962, 4939, 24, 'Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (92963, 4962, 24, 'Pref. kat');
INSERT INTO `lang_definitions` VALUES (92964, 4964, 24, 'Ustawienia');
INSERT INTO `lang_definitions` VALUES (92965, 4972, 24, 'Przedpłata');
INSERT INTO `lang_definitions` VALUES (92966, 4973, 24, 'Recepta');
INSERT INTO `lang_definitions` VALUES (92967, 4979, 24, 'Recepty');
INSERT INTO `lang_definitions` VALUES (92968, 4980, 24, 'Recepty i dawkowanie');
INSERT INTO `lang_definitions` VALUES (92969, 5001, 24, 'Poprzedni');
INSERT INTO `lang_definitions` VALUES (92970, 5003, 24, 'Poprzedni dzień');
INSERT INTO `lang_definitions` VALUES (92971, 5005, 24, 'Poprzedni miesiąc');
INSERT INTO `lang_definitions` VALUES (92972, 5007, 24, 'Cena');
INSERT INTO `lang_definitions` VALUES (92973, 5009, 24, 'Poziom cen');
INSERT INTO `lang_definitions` VALUES (92974, 5010, 24, 'Poziom cen:');
INSERT INTO `lang_definitions` VALUES (92975, 5011, 24, 'Ceny');
INSERT INTO `lang_definitions` VALUES (92976, 5027, 24, 'Drukuj');
INSERT INTO `lang_definitions` VALUES (92977, 5075, 24, 'Problem');
INSERT INTO `lang_definitions` VALUES (92978, 5110, 24, 'Typ procedury');
INSERT INTO `lang_definitions` VALUES (92979, 5113, 24, 'Procedura/Usługa');
INSERT INTO `lang_definitions` VALUES (92980, 5114, 24, 'Procedury');
INSERT INTO `lang_definitions` VALUES (92981, 5115, 24, 'Proces');
INSERT INTO `lang_definitions` VALUES (92982, 5129, 24, 'Produkt');
INSERT INTO `lang_definitions` VALUES (92983, 5132, 24, 'Produkty');
INSERT INTO `lang_definitions` VALUES (92984, 5134, 24, 'Prof.');
INSERT INTO `lang_definitions` VALUES (92985, 5136, 24, 'Rak prostaty');
INSERT INTO `lang_definitions` VALUES (92986, 5138, 24, 'Badanie prostaty');
INSERT INTO `lang_definitions` VALUES (92987, 5149, 24, 'Wpisz poprawny adres email');
INSERT INTO `lang_definitions` VALUES (92988, 5152, 24, 'Gab./Lekarz:');
INSERT INTO `lang_definitions` VALUES (92989, 5153, 24, 'ID gab./lekarza');
INSERT INTO `lang_definitions` VALUES (92990, 5154, 24, 'ID gab./lekarza');
INSERT INTO `lang_definitions` VALUES (92991, 5159, 24, 'Numer gab./lekarza');
INSERT INTO `lang_definitions` VALUES (92992, 5162, 24, 'Gab./Lekarz:');
INSERT INTO `lang_definitions` VALUES (92993, 5163, 24, 'Gabinety/Lekarze');
INSERT INTO `lang_definitions` VALUES (92994, 5245, 24, 'Rasa');
INSERT INTO `lang_definitions` VALUES (92995, 5246, 24, 'Rasa i poch etniczne');
INSERT INTO `lang_definitions` VALUES (92996, 5247, 24, 'Rasa/poch etniczne');
INSERT INTO `lang_definitions` VALUES (92997, 5270, 24, 'Przyczyna');
INSERT INTO `lang_definitions` VALUES (92998, 5272, 24, 'Przyczyna śmierci');
INSERT INTO `lang_definitions` VALUES (92999, 5276, 24, 'Przyczyna/Forma');
INSERT INTO `lang_definitions` VALUES (93000, 5317, 24, 'Dokumentacja');
INSERT INTO `lang_definitions` VALUES (93001, 5348, 24, 'Skierowania');
INSERT INTO `lang_definitions` VALUES (93002, 5350, 24, 'Skierowany przez');
INSERT INTO `lang_definitions` VALUES (93003, 5351, 24, 'Skierowany Przez');
INSERT INTO `lang_definitions` VALUES (93004, 5352, 24, 'Skierowany do');
INSERT INTO `lang_definitions` VALUES (93005, 5353, 24, 'Skierowujący');
INSERT INTO `lang_definitions` VALUES (93006, 5355, 24, 'Diagnoza Skierowującego');
INSERT INTO `lang_definitions` VALUES (93007, 5356, 24, 'Diagnoza skierowującego');
INSERT INTO `lang_definitions` VALUES (93008, 5358, 24, 'Polecający/Kierujący');
INSERT INTO `lang_definitions` VALUES (93009, 5363, 24, 'Odśwież');
INSERT INTO `lang_definitions` VALUES (93010, 5409, 24, 'Przypomnienie');
INSERT INTO `lang_definitions` VALUES (93011, 5413, 24, 'Przypomnienia');
INSERT INTO `lang_definitions` VALUES (93012, 5438, 24, 'Zdarzenie cykliczne');
INSERT INTO `lang_definitions` VALUES (93013, 5440, 24, 'Powt. się');
INSERT INTO `lang_definitions` VALUES (93014, 5446, 24, 'Raport');
INSERT INTO `lang_definitions` VALUES (93015, 5454, 24, 'Wyniki');
INSERT INTO `lang_definitions` VALUES (93016, 5463, 24, 'Raporty');
INSERT INTO `lang_definitions` VALUES (93017, 5485, 24, 'ZAREZERWOWANE');
INSERT INTO `lang_definitions` VALUES (93018, 5486, 24, 'Zarezerwowane');
INSERT INTO `lang_definitions` VALUES (93019, 5496, 24, 'Rozwiązany');
INSERT INTO `lang_definitions` VALUES (93020, 5515, 24, 'Ilość wyników na stronę');
INSERT INTO `lang_definitions` VALUES (93021, 5521, 24, 'Wróć do kalendarza');
INSERT INTO `lang_definitions` VALUES (93022, 5568, 24, 'Reguła');
INSERT INTO `lang_definitions` VALUES (93023, 5569, 24, 'Dodanie reguły');
INSERT INTO `lang_definitions` VALUES (93024, 5570, 24, 'Szczegóły reguły');
INSERT INTO `lang_definitions` VALUES (93025, 5572, 24, 'Edycja reguły');
INSERT INTO `lang_definitions` VALUES (93026, 5575, 24, 'Ustawienie reguły');
INSERT INTO `lang_definitions` VALUES (93027, 5578, 24, 'Reguły');
INSERT INTO `lang_definitions` VALUES (93028, 5580, 24, 'Konfiguracja reguł');
INSERT INTO `lang_definitions` VALUES (93029, 5581, 24, 'Uruchomiona komenda: ');
INSERT INTO `lang_definitions` VALUES (93030, 5582, 24, 'Pęknięcie');
INSERT INTO `lang_definitions` VALUES (93031, 5583, 24, 'Rosyjski');
INSERT INTO `lang_definitions` VALUES (93032, 5601, 24, 'PESEL');
INSERT INTO `lang_definitions` VALUES (93033, 5609, 24, 'Ślina');
INSERT INTO `lang_definitions` VALUES (93034, 5617, 24, 'Sob');
INSERT INTO `lang_definitions` VALUES (93035, 5618, 24, 'Sob &amp; Nie');
INSERT INTO `lang_definitions` VALUES (93036, 5619, 24, 'Sobota');
INSERT INTO `lang_definitions` VALUES (93037, 5620, 24, 'Zapisz');
INSERT INTO `lang_definitions` VALUES (93038, 5621, 24, 'ZAPISZ');
INSERT INTO `lang_definitions` VALUES (93039, 5629, 24, 'Zapisz zmiany');
INSERT INTO `lang_definitions` VALUES (93040, 5630, 24, 'Zapisz formularz');
INSERT INTO `lang_definitions` VALUES (93041, 5631, 24, 'Zapisz szczepienie');
INSERT INTO `lang_definitions` VALUES (93042, 5632, 24, 'Zapisz nowe pole');
INSERT INTO `lang_definitions` VALUES (93043, 5633, 24, 'Zapisz nową grupę');
INSERT INTO `lang_definitions` VALUES (93044, 5634, 24, 'Zapisz nową listę');
INSERT INTO `lang_definitions` VALUES (93045, 5635, 24, 'Zapisz nowy szablon');
INSERT INTO `lang_definitions` VALUES (93046, 5648, 24, 'Skolioza');
INSERT INTO `lang_definitions` VALUES (93047, 5659, 24, 'Szukaj');
INSERT INTO `lang_definitions` VALUES (93048, 5661, 24, 'szukaj');
INSERT INTO `lang_definitions` VALUES (93049, 5662, 24, 'szukaj ponownie');
INSERT INTO `lang_definitions` VALUES (93050, 5663, 24, 'Przeszukaj wszystkie kolumny');
INSERT INTO `lang_definitions` VALUES (93051, 5664, 24, 'Szukaj wg:');
INSERT INTO `lang_definitions` VALUES (93052, 5665, 24, 'Szukaj');
INSERT INTO `lang_definitions` VALUES (93053, 5666, 24, 'Szukaj:');
INSERT INTO `lang_definitions` VALUES (93054, 5667, 24, 'Szukaj w');
INSERT INTO `lang_definitions` VALUES (93055, 5668, 24, 'Szukaj w');
INSERT INTO `lang_definitions` VALUES (93056, 5669, 24, 'Wyszukaj lub dodaj pacjenta');
INSERT INTO `lang_definitions` VALUES (93057, 5676, 24, 'Szukaj tekstu');
INSERT INTO `lang_definitions` VALUES (93058, 5678, 24, 'Szukaj/Dodaj');
INSERT INTO `lang_definitions` VALUES (93059, 5679, 24, 'Szukaj/Dodaj ubezpieczyciela');
INSERT INTO `lang_definitions` VALUES (93060, 5680, 24, 'Szukanie wizyt');
INSERT INTO `lang_definitions` VALUES (93061, 5681, 24, 'Poszukiwanie...');
INSERT INTO `lang_definitions` VALUES (93062, 5698, 24, 'Zabezpieczenia');
INSERT INTO `lang_definitions` VALUES (93063, 5699, 24, 'Wszystkie');
INSERT INTO `lang_definitions` VALUES (93064, 5708, 24, 'Wyb.');
INSERT INTO `lang_definitions` VALUES (93065, 5709, 24, 'Wybierz');
INSERT INTO `lang_definitions` VALUES (93066, 5710, 24, 'wybierz');
INSERT INTO `lang_definitions` VALUES (93067, 5715, 24, 'Wybierz użytkownika');
INSERT INTO `lang_definitions` VALUES (93068, 5716, 24, 'Wybierz wszystko');
INSERT INTO `lang_definitions` VALUES (93069, 5720, 24, 'Wybierz kategorię');
INSERT INTO `lang_definitions` VALUES (93070, 5727, 24, 'Wybierz datę');
INSERT INTO `lang_definitions` VALUES (93071, 5731, 24, 'Wybierz lek');
INSERT INTO `lang_definitions` VALUES (93072, 5732, 24, 'Wybierz leki');
INSERT INTO `lang_definitions` VALUES (93073, 5736, 24, 'Wybierz pole');
INSERT INTO `lang_definitions` VALUES (93074, 5737, 24, 'Wybierz pola');
INSERT INTO `lang_definitions` VALUES (93075, 5738, 24, 'Wybierz do druku');
INSERT INTO `lang_definitions` VALUES (93076, 5739, 24, 'Wybierz szczepienia');
INSERT INTO `lang_definitions` VALUES (93077, 5744, 24, 'Wybierz język');
INSERT INTO `lang_definitions` VALUES (93078, 5771, 24, 'Wyślij');
INSERT INTO `lang_definitions` VALUES (93079, 5772, 24, 'Wyślij przypomnienia');
INSERT INTO `lang_definitions` VALUES (93080, 5774, 24, 'Wysyłanie w toku');
INSERT INTO `lang_definitions` VALUES (93081, 5775, 24, 'Wyślij wiadomość');
INSERT INTO `lang_definitions` VALUES (93082, 5779, 24, 'Wyślij ten plik');
INSERT INTO `lang_definitions` VALUES (93083, 5780, 24, 'Wyślij ten komunikat');
INSERT INTO `lang_definitions` VALUES (93084, 5781, 24, 'Wysłany do');
INSERT INTO `lang_definitions` VALUES (93085, 5784, 24, 'Wysłany do wszystkich');
INSERT INTO `lang_definitions` VALUES (93086, 5788, 24, 'Nadawca');
INSERT INTO `lang_definitions` VALUES (93087, 5789, 24, 'ID nadawcy');
INSERT INTO `lang_definitions` VALUES (93088, 5790, 24, 'ID nadawcy (ISA06)');
INSERT INTO `lang_definitions` VALUES (93089, 5794, 24, 'Wrażliwości');
INSERT INTO `lang_definitions` VALUES (93090, 5795, 24, 'Istotność:');
INSERT INTO `lang_definitions` VALUES (93091, 5797, 24, 'Wysłano');
INSERT INTO `lang_definitions` VALUES (93092, 5812, 24, 'Wrz');
INSERT INTO `lang_definitions` VALUES (93093, 5813, 24, 'W separacji');
INSERT INTO `lang_definitions` VALUES (93094, 5814, 24, 'Wrzesień');
INSERT INTO `lang_definitions` VALUES (93095, 5847, 24, 'Przywróć domyślne');
INSERT INTO `lang_definitions` VALUES (93096, 5855, 24, 'Płeć');
INSERT INTO `lang_definitions` VALUES (93097, 5871, 24, 'Powienien zawierać dwie litery');
INSERT INTO `lang_definitions` VALUES (93098, 5872, 24, 'powienien zawierać 10 cyfr');
INSERT INTO `lang_definitions` VALUES (93099, 5873, 24, 'powinien zawierać wyłącznie 10 cyfr');
INSERT INTO `lang_definitions` VALUES (93100, 5874, 24, 'Ramię');
INSERT INTO `lang_definitions` VALUES (93101, 5875, 24, 'Ramię i obojczyk');
INSERT INTO `lang_definitions` VALUES (93102, 5876, 24, 'Problemy z ramieniem');
INSERT INTO `lang_definitions` VALUES (93103, 5877, 24, 'Pokaż');
INSERT INTO `lang_definitions` VALUES (93104, 5878, 24, 'Pokaż aktywne');
INSERT INTO `lang_definitions` VALUES (93105, 5880, 24, 'Pokaż wszystko');
INSERT INTO `lang_definitions` VALUES (93106, 5883, 24, 'Pokaż wszystkie transakcje');
INSERT INTO `lang_definitions` VALUES (93107, 5884, 24, 'Pokaż jako zajęty');
INSERT INTO `lang_definitions` VALUES (93108, 5889, 24, 'Pokaż dane szczegółowe');
INSERT INTO `lang_definitions` VALUES (93109, 5891, 24, 'Pokaż wykres');
INSERT INTO `lang_definitions` VALUES (93110, 5894, 24, 'Pokaż nieaktywne');
INSERT INTO `lang_definitions` VALUES (93111, 5896, 24, 'Pokaż menu');
INSERT INTO `lang_definitions` VALUES (93112, 5898, 24, 'Pokaż notatki');
INSERT INTO `lang_definitions` VALUES (93113, 5901, 24, 'Pokaż notatki pacjenta');
INSERT INTO `lang_definitions` VALUES (93114, 5905, 24, 'Pokaż przypomnienia');
INSERT INTO `lang_definitions` VALUES (93115, 5906, 24, 'Pokaż raport');
INSERT INTO `lang_definitions` VALUES (93116, 5915, 24, 'Wyświetla');
INSERT INTO `lang_definitions` VALUES (93117, 5920, 24, 'Bliźnięta');
INSERT INTO `lang_definitions` VALUES (93118, 5938, 24, 'Z poważaniem,');
INSERT INTO `lang_definitions` VALUES (93119, 5940, 24, 'Wolny/a');
INSERT INTO `lang_definitions` VALUES (93120, 5946, 24, 'Problemy z zatokami');
INSERT INTO `lang_definitions` VALUES (93121, 5947, 24, 'Operacja zatok');
INSERT INTO `lang_definitions` VALUES (93122, 5959, 24, 'Skóra');
INSERT INTO `lang_definitions` VALUES (93123, 5960, 24, 'Rak skóry');
INSERT INTO `lang_definitions` VALUES (93124, 5961, 24, 'Choroba skóry');
INSERT INTO `lang_definitions` VALUES (93125, 5970, 24, 'słowacki');
INSERT INTO `lang_definitions` VALUES (93126, 5978, 24, 'Bramka SMS');
INSERT INTO `lang_definitions` VALUES (93127, 5979, 24, 'Klucz API bramki SMS');
INSERT INTO `lang_definitions` VALUES (93128, 5980, 24, 'Klucz API bramki SMS');
INSERT INTO `lang_definitions` VALUES (93129, 5981, 24, 'Hasło bramki SMS');
INSERT INTO `lang_definitions` VALUES (93130, 5982, 24, 'Nazwa użytkownika bramki SMS');
INSERT INTO `lang_definitions` VALUES (93131, 5983, 24, 'Powiadomienia SMS');
INSERT INTO `lang_definitions` VALUES (93132, 5984, 24, 'Godziny powiadomień SMS');
INSERT INTO `lang_definitions` VALUES (93133, 6004, 24, 'Chrapanie');
INSERT INTO `lang_definitions` VALUES (93134, 6029, 24, 'Sortuj wg');
INSERT INTO `lang_definitions` VALUES (93135, 6030, 24, 'Sortuj Wg');
INSERT INTO `lang_definitions` VALUES (93136, 6048, 24, 'Źródło');
INSERT INTO `lang_definitions` VALUES (93137, 6049, 24, 'Plik źródłowy');
INSERT INTO `lang_definitions` VALUES (93138, 6050, 24, 'Ścieżka pliku źródłowego');
INSERT INTO `lang_definitions` VALUES (93139, 6057, 24, 'Źródło:');
INSERT INTO `lang_definitions` VALUES (93140, 6062, 24, 'hiszpański');
INSERT INTO `lang_definitions` VALUES (93141, 6111, 24, 'PESEL');
INSERT INTO `lang_definitions` VALUES (93142, 6112, 24, 'Zarządzanie certyfikatem SSL');
INSERT INTO `lang_definitions` VALUES (93143, 6113, 24, 'PESEL');
INSERT INTO `lang_definitions` VALUES (93144, 6124, 24, 'Start');
INSERT INTO `lang_definitions` VALUES (93145, 6128, 24, 'Data początkowa');
INSERT INTO `lang_definitions` VALUES (93146, 6131, 24, 'Data pocz:');
INSERT INTO `lang_definitions` VALUES (93147, 6132, 24, 'Data pocz:');
INSERT INTO `lang_definitions` VALUES (93148, 6133, 24, 'Czas początkowy');
INSERT INTO `lang_definitions` VALUES (93149, 6136, 24, 'Stan');
INSERT INTO `lang_definitions` VALUES (93150, 6151, 24, 'Statystyki');
INSERT INTO `lang_definitions` VALUES (93151, 6152, 24, 'Statystyczne');
INSERT INTO `lang_definitions` VALUES (93152, 6153, 24, 'Status');
INSERT INTO `lang_definitions` VALUES (93153, 6156, 24, 'Bez zmian');
INSERT INTO `lang_definitions` VALUES (93154, 6177, 24, 'Ulica');
INSERT INTO `lang_definitions` VALUES (93155, 6178, 24, 'Nr domu');
INSERT INTO `lang_definitions` VALUES (93156, 6179, 24, 'Ulica i numer');
INSERT INTO `lang_definitions` VALUES (93157, 6180, 24, 'Siła');
INSERT INTO `lang_definitions` VALUES (93158, 6185, 24, 'Udar mózgu');
INSERT INTO `lang_definitions` VALUES (93159, 6191, 24, 'Podkategoria');
INSERT INTO `lang_definitions` VALUES (93160, 6192, 24, 'podkategoria');
INSERT INTO `lang_definitions` VALUES (93161, 6198, 24, 'Zatwierdź');
INSERT INTO `lang_definitions` VALUES (93162, 6199, 24, 'zatwierdź');
INSERT INTO `lang_definitions` VALUES (93163, 6202, 24, 'Zapisz zdarzenie');
INSERT INTO `lang_definitions` VALUES (93164, 6203, 24, 'Zapisz formularz');
INSERT INTO `lang_definitions` VALUES (93165, 6205, 24, 'zatwierdzono');
INSERT INTO `lang_definitions` VALUES (93166, 6206, 24, 'Zatwierdzono przez');
INSERT INTO `lang_definitions` VALUES (93167, 6261, 24, 'Podsumowanie');
INSERT INTO `lang_definitions` VALUES (93168, 6265, 24, 'Nie');
INSERT INTO `lang_definitions` VALUES (93169, 6267, 24, 'Niedziela');
INSERT INTO `lang_definitions` VALUES (93170, 6290, 24, 'Zabiegi');
INSERT INTO `lang_definitions` VALUES (93171, 6291, 24, 'Chirurgia');
INSERT INTO `lang_definitions` VALUES (93172, 6292, 24, 'Lista dolegliwości chirurgicznych');
INSERT INTO `lang_definitions` VALUES (93173, 6300, 24, 'szwedzki');
INSERT INTO `lang_definitions` VALUES (93174, 6509, 24, 'Już istnieje otwarty wniosek o dostarczenie dokumentacji medycznej.');
INSERT INTO `lang_definitions` VALUES (93175, 6629, 24, 'Czw');
INSERT INTO `lang_definitions` VALUES (93176, 6630, 24, 'Czwartek');
INSERT INTO `lang_definitions` VALUES (93177, 6631, 24, 'Czwartek');
INSERT INTO `lang_definitions` VALUES (93178, 6638, 24, 'Czas');
INSERT INTO `lang_definitions` VALUES (93179, 6652, 24, 'Nazwa');
INSERT INTO `lang_definitions` VALUES (93180, 6658, 24, 'Do');
INSERT INTO `lang_definitions` VALUES (93181, 6659, 24, 'DO');
INSERT INTO `lang_definitions` VALUES (93182, 6660, 24, 'do');
INSERT INTO `lang_definitions` VALUES (93183, 6667, 24, 'Widok dla rozliczeń');
INSERT INTO `lang_definitions` VALUES (93184, 6684, 24, 'Aby połączyć to wizytę/konsultacje ze zgłoszoną dolegliwością, kliknij żądaną dolegliwość powyżej, aby podświetlić, a następnie kliknij przycisk [Zapisz]. Przytrzymaj klawisz [Ctrl], aby wybrać wiele problemów.');
INSERT INTO `lang_definitions` VALUES (93185, 6715, 24, 'Dzisiaj');
INSERT INTO `lang_definitions` VALUES (93186, 6716, 24, 'DZISIAJ');
INSERT INTO `lang_definitions` VALUES (93187, 6717, 24, 'dzisiaj');
INSERT INTO `lang_definitions` VALUES (93188, 6728, 24, 'Góra');
INSERT INTO `lang_definitions` VALUES (93189, 6792, 24, 'transakcje');
INSERT INTO `lang_definitions` VALUES (93190, 6793, 24, 'Transakcje');
INSERT INTO `lang_definitions` VALUES (93191, 6840, 24, 'Gruźlica');
INSERT INTO `lang_definitions` VALUES (93192, 6841, 24, 'Wto');
INSERT INTO `lang_definitions` VALUES (93193, 6843, 24, 'Wtorek');
INSERT INTO `lang_definitions` VALUES (93194, 6844, 24, 'Guz');
INSERT INTO `lang_definitions` VALUES (93195, 6845, 24, 'turecki');
INSERT INTO `lang_definitions` VALUES (93196, 6848, 24, 'dwa razy dziennie');
INSERT INTO `lang_definitions` VALUES (93197, 6851, 24, 'Typ');
INSERT INTO `lang_definitions` VALUES (93198, 6866, 24, 'Owrzodzenia');
INSERT INTO `lang_definitions` VALUES (93199, 6877, 24, 'Nieprzypisane');
INSERT INTO `lang_definitions` VALUES (93200, 6924, 24, 'do');
INSERT INTO `lang_definitions` VALUES (93201, 7015, 24, 'Pola użytkownika');
INSERT INTO `lang_definitions` VALUES (93202, 7049, 24, 'Użytkownik');
INSERT INTO `lang_definitions` VALUES (93203, 7055, 24, 'Użytkownik:');
INSERT INTO `lang_definitions` VALUES (93204, 7056, 24, 'Użytkownicy');
INSERT INTO `lang_definitions` VALUES (93205, 7062, 24, 'URLOP');
INSERT INTO `lang_definitions` VALUES (93206, 7063, 24, 'Urlop');
INSERT INTO `lang_definitions` VALUES (93207, 7107, 24, 'Pokaż logi');
INSERT INTO `lang_definitions` VALUES (93208, 7111, 24, 'Pokaż pacjenta');
INSERT INTO `lang_definitions` VALUES (93209, 7123, 24, 'Pokaż/Wydrukuj');
INSERT INTO `lang_definitions` VALUES (93210, 7133, 24, 'Kategoria wizyty:');
INSERT INTO `lang_definitions` VALUES (93211, 7134, 24, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (93212, 7135, 24, 'Data wizyty');
INSERT INTO `lang_definitions` VALUES (93213, 7137, 24, 'Historia formularzy');
INSERT INTO `lang_definitions` VALUES (93214, 7138, 24, 'Historia wizyt');
INSERT INTO `lang_definitions` VALUES (93215, 7140, 24, 'Wizyty');
INSERT INTO `lang_definitions` VALUES (93216, 7184, 24, 'Śro');
INSERT INTO `lang_definitions` VALUES (93217, 7185, 24, 'Środa');
INSERT INTO `lang_definitions` VALUES (93218, 7186, 24, 'Tydzień');
INSERT INTO `lang_definitions` VALUES (93219, 7187, 24, 'tydzień');
INSERT INTO `lang_definitions` VALUES (93220, 7188, 24, 'Widok tygodniowy');
INSERT INTO `lang_definitions` VALUES (93221, 7189, 24, 'Tygodni');
INSERT INTO `lang_definitions` VALUES (93222, 7192, 24, 'Tygodnie');
INSERT INTO `lang_definitions` VALUES (93223, 7193, 24, 'Waga');
INSERT INTO `lang_definitions` VALUES (93224, 7196, 24, 'Zmiana wagi ciała');
INSERT INTO `lang_definitions` VALUES (93225, 7197, 24, 'Utrata wagi ciała');
INSERT INTO `lang_definitions` VALUES (93226, 7199, 24, 'Witamy');
INSERT INTO `lang_definitions` VALUES (93227, 7212, 24, 'Biały');
INSERT INTO `lang_definitions` VALUES (93228, 7213, 24, 'Osoba');
INSERT INTO `lang_definitions` VALUES (93229, 7214, 24, 'Kto odpowiedział?');
INSERT INTO `lang_definitions` VALUES (93230, 7215, 24, 'Wdowiec/a');
INSERT INTO `lang_definitions` VALUES (93231, 7233, 24, 'Świadek');
INSERT INTO `lang_definitions` VALUES (93232, 7234, 24, 'tydz.');
INSERT INTO `lang_definitions` VALUES (93233, 7237, 24, 'Kobieta');
INSERT INTO `lang_definitions` VALUES (93234, 7240, 24, 'Praca');
INSERT INTO `lang_definitions` VALUES (93235, 7242, 24, 'Tel do zakł. pracy');
INSERT INTO `lang_definitions` VALUES (93236, 7243, 24, 'Tel do zakł. pracy');
INSERT INTO `lang_definitions` VALUES (93237, 7247, 24, 'dzień roboczy');
INSERT INTO `lang_definitions` VALUES (93238, 7252, 24, 'Pogorszenie');
INSERT INTO `lang_definitions` VALUES (93239, 7273, 24, 'x Anulowano');
INSERT INTO `lang_definitions` VALUES (93240, 7274, 24, 'x Anulowano');
INSERT INTO `lang_definitions` VALUES (93241, 7285, 24, 'Rok');
INSERT INTO `lang_definitions` VALUES (93242, 7286, 24, 'rok');
INSERT INTO `lang_definitions` VALUES (93243, 7287, 24, 'Widok lat');
INSERT INTO `lang_definitions` VALUES (93244, 7289, 24, 'Lat');
INSERT INTO `lang_definitions` VALUES (93245, 7290, 24, 'Lat lub miesięcy');
INSERT INTO `lang_definitions` VALUES (93246, 7292, 24, 'TAK');
INSERT INTO `lang_definitions` VALUES (93247, 7293, 24, 'Tak');
INSERT INTO `lang_definitions` VALUES (93248, 7294, 24, 'tak');
INSERT INTO `lang_definitions` VALUES (93249, 7295, 24, 'TAK!');
INSERT INTO `lang_definitions` VALUES (93250, 7298, 24, 'Tak/Nie');
INSERT INTO `lang_definitions` VALUES (93251, 7299, 24, 'Tak:');
INSERT INTO `lang_definitions` VALUES (93252, 7389, 24, 'Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (93253, 7390, 24, 'Kod pocztowy');
INSERT INTO `lang_definitions` VALUES (93254, 7391, 24, 'Kod pocztowy/Kraj');
INSERT INTO `lang_definitions` VALUES (93255, 7397, 24, 'wiadomości email nie zostały wysłane');
INSERT INTO `lang_definitions` VALUES (93256, 7401, 24, 'Historia');
INSERT INTO `lang_definitions` VALUES (93257, 7407, 24, 'min');
INSERT INTO `lang_definitions` VALUES (93258, 7408, 24, 'nie znaleziono!');
INSERT INTO `lang_definitions` VALUES (93259, 7411, 24, 'do');
INSERT INTO `lang_definitions` VALUES (93260, 7415, 24, '! Wyszedł bez wizyty');
INSERT INTO `lang_definitions` VALUES (93261, 7418, 24, '# Problem z ubezp./płatnością');
INSERT INTO `lang_definitions` VALUES (93262, 7421, 24, '$ Rozliczono');
INSERT INTO `lang_definitions` VALUES (93263, 7424, 24, '% Anulowano < 24h');
INSERT INTO `lang_definitions` VALUES (93264, 7425, 24, '% Canceled < 24h ');
INSERT INTO `lang_definitions` VALUES (93265, 7438, 24, '* Przypomniano');
INSERT INTO `lang_definitions` VALUES (93266, 7441, 24, '[+] Założono kartę');
INSERT INTO `lang_definitions` VALUES (93267, 7442, 24, '- Brak');
INSERT INTO `lang_definitions` VALUES (93268, 7443, 24, '-- Wszystko --');
INSERT INTO `lang_definitions` VALUES (93269, 7458, 24, '11-14');
INSERT INTO `lang_definitions` VALUES (93270, 7481, 24, 'co drugi');
INSERT INTO `lang_definitions` VALUES (93271, 7489, 24, 'co trzeci');
INSERT INTO `lang_definitions` VALUES (93272, 7504, 24, 'co czwarty');
INSERT INTO `lang_definitions` VALUES (93273, 7509, 24, 'co piąty');
INSERT INTO `lang_definitions` VALUES (93274, 7514, 24, 'co szósty');
INSERT INTO `lang_definitions` VALUES (93275, 7528, 24, '< W pokoju badań');
INSERT INTO `lang_definitions` VALUES (93276, 7529, 24, '> Wypisany');
INSERT INTO `lang_definitions` VALUES (93277, 7531, 24, '? Nie obecny');
INSERT INTO `lang_definitions` VALUES (93278, 7532, 24, '@ Pojawił się');
INSERT INTO `lang_definitions` VALUES (93279, 7533, 24, '[Zmień widok]');
INSERT INTO `lang_definitions` VALUES (93280, 7534, 24, '[Data ostatniej wizyty]');
INSERT INTO `lang_definitions` VALUES (93281, 7535, 24, '[Dni od ostatniej wizyty]');
INSERT INTO `lang_definitions` VALUES (93282, 7538, 24, '[nie zalecane]');
INSERT INTO `lang_definitions` VALUES (93283, 7539, 24, '[Ilość wizyt]');
INSERT INTO `lang_definitions` VALUES (93284, 7540, 24, '[Raporty]');
INSERT INTO `lang_definitions` VALUES (93285, 7541, 24, '[Wybierz wszystkie]');
INSERT INTO `lang_definitions` VALUES (93286, 7544, 24, '[Zobacz Logi]');
INSERT INTO `lang_definitions` VALUES (93287, 7545, 24, '[Raport do wydrukowania]');
INSERT INTO `lang_definitions` VALUES (93288, 7549, 24, '~ Spóźniony');
INSERT INTO `lang_definitions` VALUES (93289, 2167, 25, 'pozycji');
INSERT INTO `lang_definitions` VALUES (93290, 6638, 25, 'Czas');
INSERT INTO `lang_definitions` VALUES (93291, 6997, 25, 'Use Custom Immunisation List');
INSERT INTO `lang_definitions` VALUES (93292, 1, 26, 'Un');
INSERT INTO `lang_definitions` VALUES (93293, 2, 26, 'Numero assegno o identificativo pagamento');
INSERT INTO `lang_definitions` VALUES (93294, 3, 26, 'Un certificato del Client per l\'utente admin');
INSERT INTO `lang_definitions` VALUES (93295, 4, 26, 'Un documento clinico è allegato');
INSERT INTO `lang_definitions` VALUES (93296, 5, 26, 'Un documento clinico è allegato.');
INSERT INTO `lang_definitions` VALUES (93297, 7, 26, 'E\' richiesto un distributore');
INSERT INTO `lang_definitions` VALUES (93298, 8, 26, 'Si dovrebbe aggiungere un modulo GCAC a questa visita.');
INSERT INTO `lang_definitions` VALUES (93299, 9, 26, 'Si richiede il numero del lotto');
INSERT INTO `lang_definitions` VALUES (93300, 10, 26, 'Si richiede il numero del lotto!');
INSERT INTO `lang_definitions` VALUES (93301, 11, 26, 'Lettera minuscola');
INSERT INTO `lang_definitions` VALUES (93302, 12, 26, 'Un numero');
INSERT INTO `lang_definitions` VALUES (93303, 14, 26, 'Esiste già un paziente con lo stesso ID');
INSERT INTO `lang_definitions` VALUES (93304, 15, 26, 'Esiste già un paziente con lo stesso nome');
INSERT INTO `lang_definitions` VALUES (93305, 16, 26, 'Esiste già un paziente con lo stesso CF');
INSERT INTO `lang_definitions` VALUES (93306, 17, 26, 'Un numero positivo mostrerà che molti appuntamenti passati su un widget nella schermata del sommario paziente(un numero negativo mostrerà gli appuntamenti passati nella videata sommario paziente).');
INSERT INTO `lang_definitions` VALUES (93307, 18, 26, 'Un numero positivo mostrerà che molti appuntamenti passati su un widget nella schermata del sommario paziente.');
INSERT INTO `lang_definitions` VALUES (93308, 19, 26, 'Una fonte di riferimento può essere specificata per ogni visita');
INSERT INTO `lang_definitions` VALUES (93309, 20, 26, 'Si richiede il relativo codice IPFF');
INSERT INTO `lang_definitions` VALUES (93310, 21, 26, 'Carattere speciale');
INSERT INTO `lang_definitions` VALUES (93311, 22, 26, 'Valore unico di identificazione per questo campo, non visibile all\'utente');
INSERT INTO `lang_definitions` VALUES (93312, 23, 26, 'Oggi esiste già una visita per questo paziente. Clicca su Cancella per aprire, oppure OK per procedere alla creazione di una nuova visita');
INSERT INTO `lang_definitions` VALUES (93313, 24, 26, 'ante cibum');
INSERT INTO `lang_definitions` VALUES (93314, 25, 26, 'a.m.');
INSERT INTO `lang_definitions` VALUES (93315, 26, 26, 'A/F Giusto livello:');
INSERT INTO `lang_definitions` VALUES (93316, 27, 26, 'AB');
INSERT INTO `lang_definitions` VALUES (93317, 28, 26, 'Abbreviazione');
INSERT INTO `lang_definitions` VALUES (93318, 29, 26, 'Ascesso');
INSERT INTO `lang_definitions` VALUES (93319, 30, 26, 'Addominale');
INSERT INTO `lang_definitions` VALUES (93320, 31, 26, 'Capace di portare pesi per quattro passi');
INSERT INTO `lang_definitions` VALUES (93321, 32, 26, 'Anorm');
INSERT INTO `lang_definitions` VALUES (93322, 33, 26, 'ANORM1');
INSERT INTO `lang_definitions` VALUES (93323, 34, 26, 'Anormale');
INSERT INTO `lang_definitions` VALUES (93324, 35, 26, 'Esame del sangue anormale');
INSERT INTO `lang_definitions` VALUES (93325, 36, 26, 'Ipertricosi anomala');
INSERT INTO `lang_definitions` VALUES (93326, 37, 26, 'Mammogramma anormale');
INSERT INTO `lang_definitions` VALUES (93327, 39, 26, 'Aborto');
INSERT INTO `lang_definitions` VALUES (93328, 40, 26, 'Problemi di aborto');
INSERT INTO `lang_definitions` VALUES (93329, 41, 26, 'Metodo abortivo');
INSERT INTO `lang_definitions` VALUES (93330, 42, 26, 'Categorie relate ad aborto');
INSERT INTO `lang_definitions` VALUES (93331, 43, 26, 'Aborti');
INSERT INTO `lang_definitions` VALUES (93332, 44, 26, 'Informazioni calendario');
INSERT INTO `lang_definitions` VALUES (93333, 46, 26, 'Assenze per diagnosi');
INSERT INTO `lang_definitions` VALUES (93334, 47, 26, 'Accetta compito');
INSERT INTO `lang_definitions` VALUES (93335, 48, 26, 'Accetta pagamento per');
INSERT INTO `lang_definitions` VALUES (93336, 49, 26, 'Accetta pagamento per');
INSERT INTO `lang_definitions` VALUES (93337, 50, 26, 'Accetta compiti');
INSERT INTO `lang_definitions` VALUES (93338, 51, 26, 'Controllo d\'accesso');
INSERT INTO `lang_definitions` VALUES (93339, 52, 26, 'Amministrazione elenchi dei controlli d\'accesso');
INSERT INTO `lang_definitions` VALUES (93340, 53, 26, 'Accesso dati');
INSERT INTO `lang_definitions` VALUES (93341, 54, 26, 'Accesso non consentito');
INSERT INTO `lang_definitions` VALUES (93342, 55, 26, 'Accesso non autorizzato');
INSERT INTO `lang_definitions` VALUES (93343, 56, 26, 'Accedi al Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (93344, 57, 26, 'Infortunio');
INSERT INTO `lang_definitions` VALUES (93345, 59, 26, 'Nome dell\'account');
INSERT INTO `lang_definitions` VALUES (93346, 62, 26, 'Definizione dell\'account');
INSERT INTO `lang_definitions` VALUES (93347, 64, 26, 'Dolori');
INSERT INTO `lang_definitions` VALUES (93348, 65, 26, 'Richiesta di conferma (ISA14');
INSERT INTO `lang_definitions` VALUES (93349, 66, 26, 'Conferme, licenze e certificazioni');
INSERT INTO `lang_definitions` VALUES (93350, 67, 26, 'ACL');
INSERT INTO `lang_definitions` VALUES (93351, 68, 26, 'Amministrazione ACL');
INSERT INTO `lang_definitions` VALUES (93352, 69, 26, 'Amministrazione ACL non autorizzata');
INSERT INTO `lang_definitions` VALUES (93353, 70, 26, 'ACL aggiornato con successo');
INSERT INTO `lang_definitions` VALUES (93354, 71, 26, 'Acne');
INSERT INTO `lang_definitions` VALUES (93355, 72, 26, 'Atto');
INSERT INTO `lang_definitions` VALUES (93356, 73, 26, 'Data Atto');
INSERT INTO `lang_definitions` VALUES (93357, 74, 26, 'Azione');
INSERT INTO `lang_definitions` VALUES (93358, 75, 26, 'Azioni');
INSERT INTO `lang_definitions` VALUES (93359, 77, 26, 'Attiva resoconti CCR/CCD');
INSERT INTO `lang_definitions` VALUES (93360, 78, 26, 'Attivo');
INSERT INTO `lang_definitions` VALUES (93361, 79, 26, 'Allarme attivo');
INSERT INTO `lang_definitions` VALUES (93362, 80, 26, 'Regole di attivazione allarme');
INSERT INTO `lang_definitions` VALUES (93363, 81, 26, 'Promemoria/Allarme attivi');
INSERT INTO `lang_definitions` VALUES (93364, 82, 26, 'Incontro attivo');
INSERT INTO `lang_definitions` VALUES (93365, 84, 26, 'Elenchi attivi');
INSERT INTO `lang_definitions` VALUES (93366, 85, 26, 'Paziente attivo');
INSERT INTO `lang_definitions` VALUES (93367, 86, 26, 'Piani attivi');
INSERT INTO `lang_definitions` VALUES (93368, 87, 26, 'Attività');
INSERT INTO `lang_definitions` VALUES (93369, 88, 26, 'Tipo di attività');
INSERT INTO `lang_definitions` VALUES (93370, 90, 26, 'Intossicazione acuta / Ritiro');
INSERT INTO `lang_definitions` VALUES (93371, 91, 26, 'Manifestazione acuta o condizione cronica');
INSERT INTO `lang_definitions` VALUES (93372, 92, 26, 'Acuto su cronico');
INSERT INTO `lang_definitions` VALUES (93373, 93, 26, 'aggiungi');
INSERT INTO `lang_definitions` VALUES (93374, 94, 26, 'Aggiungi');
INSERT INTO `lang_definitions` VALUES (93375, 95, 26, 'AGGIUNGI');
INSERT INTO `lang_definitions` VALUES (93376, 96, 26, 'Aggiungi un\'Azienda');
INSERT INTO `lang_definitions` VALUES (93377, 98, 26, 'Aggiungi una Farmacia');
INSERT INTO `lang_definitions` VALUES (93378, 100, 26, 'aggiungi un evento per ');
INSERT INTO `lang_definitions` VALUES (93379, 101, 26, 'Aggiungi come nuova nota');
INSERT INTO `lang_definitions` VALUES (93380, 102, 26, 'Aggiungi come Nuovo');
INSERT INTO `lang_definitions` VALUES (93381, 104, 26, 'Aggiungi Pulsanti');
INSERT INTO `lang_definitions` VALUES (93382, 105, 26, 'Aggiungi Pulsanti per caratteri speciali, testi che devono essere mostrati in cima all\'editor per includerli nel testo con un cilck');
INSERT INTO `lang_definitions` VALUES (93383, 106, 26, 'Aggiungi come categoria');
INSERT INTO `lang_definitions` VALUES (93384, 107, 26, 'Aggiungi costante');
INSERT INTO `lang_definitions` VALUES (93385, 108, 26, 'Aggiungi Contesto');
INSERT INTO `lang_definitions` VALUES (93386, 109, 26, 'Aggiungi copagamento');
INSERT INTO `lang_definitions` VALUES (93387, 110, 26, 'Aggiungi Criteri');
INSERT INTO `lang_definitions` VALUES (93388, 111, 26, 'Aggiungi Pulsanti Personalizzati');
INSERT INTO `lang_definitions` VALUES (93389, 112, 26, 'Aggiungere diagnosi');
INSERT INTO `lang_definitions` VALUES (93390, 113, 26, 'Aggiungere farmaco');
INSERT INTO `lang_definitions` VALUES (93391, 114, 26, 'Aggiungere visita');
INSERT INTO `lang_definitions` VALUES (93392, 115, 26, 'Aggiungi incontro/note');
INSERT INTO `lang_definitions` VALUES (93393, 116, 26, 'Aggiungi Sede');
INSERT INTO `lang_definitions` VALUES (93394, 117, 26, 'Aggiungi Campo');
INSERT INTO `lang_definitions` VALUES (93395, 118, 26, 'Aggiungi le linee seguenti al file di configurazione di Apache');
INSERT INTO `lang_definitions` VALUES (93396, 119, 26, 'Aggiungi Gruppo');
INSERT INTO `lang_definitions` VALUES (93397, 120, 26, 'Aggiungi codice ICD');
INSERT INTO `lang_definitions` VALUES (93398, 121, 26, 'Aggiungi Immunizzazione');
INSERT INTO `lang_definitions` VALUES (93399, 122, 26, 'Aggiunte non autorizzate!');
INSERT INTO `lang_definitions` VALUES (93400, 123, 26, 'Aggiungi Problema');
INSERT INTO `lang_definitions` VALUES (93401, 124, 26, 'Aggiunta voce per tenere traccia');
INSERT INTO `lang_definitions` VALUES (93402, 125, 26, 'Aggiungi Lingua');
INSERT INTO `lang_definitions` VALUES (93403, 126, 26, 'Aggiungi Nuovo');
INSERT INTO `lang_definitions` VALUES (93404, 127, 26, 'Aggiungi nuovo');
INSERT INTO `lang_definitions` VALUES (93405, 128, 26, 'Aggiungi nuova categoria ');
INSERT INTO `lang_definitions` VALUES (93406, 129, 26, 'Aggiungi nuovi certificati al file di configurazione di Apache');
INSERT INTO `lang_definitions` VALUES (93407, 130, 26, 'Aggiunta nuovo componente');
INSERT INTO `lang_definitions` VALUES (93408, 131, 26, 'Aggiunta nuovi componenti');
INSERT INTO `lang_definitions` VALUES (93409, 132, 26, 'Aggiungi Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (93410, 133, 26, 'Aggiungi nuovo problema');
INSERT INTO `lang_definitions` VALUES (93411, 134, 26, 'Aggiungi nuovi lotto e transazione');
INSERT INTO `lang_definitions` VALUES (93412, 135, 26, 'Aggiungi Nuova Nota');
INSERT INTO `lang_definitions` VALUES (93413, 136, 26, 'Aggiungi nuova nota');
INSERT INTO `lang_definitions` VALUES (93414, 137, 26, 'Aggiungi Nuovo Partner');
INSERT INTO `lang_definitions` VALUES (93415, 138, 26, 'Aggiungi nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (93416, 140, 26, 'Aggiungi Nota');
INSERT INTO `lang_definitions` VALUES (93417, 141, 26, 'Aggiungi Cartella Paziente');
INSERT INTO `lang_definitions` VALUES (93418, 142, 26, 'Aggiungi Prescrizione');
INSERT INTO `lang_definitions` VALUES (93419, 143, 26, 'Aggiungi Procedura');
INSERT INTO `lang_definitions` VALUES (93420, 144, 26, 'Aggiungi Numero Fornitore');
INSERT INTO `lang_definitions` VALUES (93421, 145, 26, 'Aggiungi Riabilit.');
INSERT INTO `lang_definitions` VALUES (93422, 146, 26, 'Aggiungi Regola');
INSERT INTO `lang_definitions` VALUES (93423, 147, 26, 'Aggiungi a');
INSERT INTO `lang_definitions` VALUES (93424, 148, 26, 'Aggiungi a Lista Medicazioni');
INSERT INTO `lang_definitions` VALUES (93425, 149, 26, 'Aggiungi Livello Top');
INSERT INTO `lang_definitions` VALUES (93426, 150, 26, 'Aggiungi Transazione');
INSERT INTO `lang_definitions` VALUES (93427, 151, 26, 'Aggiungi Utente');
INSERT INTO `lang_definitions` VALUES (93428, 152, 26, 'Aggiungi Utente a Gruppo');
INSERT INTO `lang_definitions` VALUES (93429, 153, 26, 'Aggiungi Modifica eRX');
INSERT INTO `lang_definitions` VALUES (93430, 154, 26, 'Aggiungi/Modifica Transazione Paziente');
INSERT INTO `lang_definitions` VALUES (93431, 155, 26, 'aggiunto');
INSERT INTO `lang_definitions` VALUES (93432, 156, 26, 'Aggiunta di dati personali non autorizzata');
INSERT INTO `lang_definitions` VALUES (93433, 157, 26, 'Aggiunta del prodotto per tenere traccia non riuscito');
INSERT INTO `lang_definitions` VALUES (93434, 158, 26, 'Sindrome di Addison');
INSERT INTO `lang_definitions` VALUES (93435, 159, 26, 'Sindrome di Addison');
INSERT INTO `lang_definitions` VALUES (93436, 160, 26, 'Attributi Aggiuntivi');
INSERT INTO `lang_definitions` VALUES (93437, 161, 26, 'Diagnosi Aggiuntiva:');
INSERT INTO `lang_definitions` VALUES (93438, 162, 26, 'Storia Aggiuntiva');
INSERT INTO `lang_definitions` VALUES (93439, 163, 26, 'Note storiche aggiuntive');
INSERT INTO `lang_definitions` VALUES (93440, 164, 26, 'Informazioni Aggiuntive');
INSERT INTO `lang_definitions` VALUES (93441, 165, 26, 'Laboratori Aggiuntivi');
INSERT INTO `lang_definitions` VALUES (93442, 166, 26, 'Note aggiuntive');
INSERT INTO `lang_definitions` VALUES (93443, 167, 26, 'Note aggiuntive per questo risultato o raccomandazione');
INSERT INTO `lang_definitions` VALUES (93444, 168, 26, 'Note aggiuntive:');
INSERT INTO `lang_definitions` VALUES (93445, 169, 26, 'Note aggiuntive: ');
INSERT INTO `lang_definitions` VALUES (93446, 170, 26, 'Note aggiuntive a X-RAY/ Radiografia');
INSERT INTO `lang_definitions` VALUES (93447, 171, 26, 'Inoltre, il corrispondente statunitense SNOMED pacchetto di estensione può essere importato dopo aver installato l\'Internazionale (versione inglese) SNOMED di rilascio');
INSERT INTO `lang_definitions` VALUES (93448, 172, 26, 'solo aggiunta');
INSERT INTO `lang_definitions` VALUES (93449, 173, 26, 'Indirizzario');
INSERT INTO `lang_definitions` VALUES (93450, 174, 26, 'Indirizzario');
INSERT INTO `lang_definitions` VALUES (93451, 175, 26, 'Indirizzo');
INSERT INTO `lang_definitions` VALUES (93452, 178, 26, 'Indirizzario');
INSERT INTO `lang_definitions` VALUES (93453, 179, 26, 'Campo indirizzo dell\'azienda che fornisce questa procedura');
INSERT INTO `lang_definitions` VALUES (93454, 180, 26, 'Campo indirizzo per il distributore');
INSERT INTO `lang_definitions` VALUES (93455, 181, 26, 'Campo indirizzo per il venditore');
INSERT INTO `lang_definitions` VALUES (93456, 182, 26, 'Tipi di indirizzario');
INSERT INTO `lang_definitions` VALUES (93457, 183, 26, 'Etichetta indirizzo');
INSERT INTO `lang_definitions` VALUES (93458, 187, 26, 'Indirizzo 1');
INSERT INTO `lang_definitions` VALUES (93459, 188, 26, 'Indirizzo 2');
INSERT INTO `lang_definitions` VALUES (93460, 189, 26, 'DESTINATARIO');
INSERT INTO `lang_definitions` VALUES (93461, 190, 26, 'Mod.');
INSERT INTO `lang_definitions` VALUES (93462, 191, 26, 'Quantità di modifica');
INSERT INTO `lang_definitions` VALUES (93463, 192, 26, 'Modifica');
INSERT INTO `lang_definitions` VALUES (93464, 193, 26, 'Modifica');
INSERT INTO `lang_definitions` VALUES (93465, 194, 26, 'Modifica ammont.');
INSERT INTO `lang_definitions` VALUES (93466, 195, 26, 'Ragioni per la modifica');
INSERT INTO `lang_definitions` VALUES (93467, 196, 26, 'Valore di modifica per codice ');
INSERT INTO `lang_definitions` VALUES (93468, 197, 26, 'Modifiche');
INSERT INTO `lang_definitions` VALUES (93469, 198, 26, 'Modifica ammin.');
INSERT INTO `lang_definitions` VALUES (93470, 199, 26, 'Ammin.');
INSERT INTO `lang_definitions` VALUES (93471, 200, 26, 'Email Amministratore');
INSERT INTO `lang_definitions` VALUES (93472, 201, 26, 'Somministrare via');
INSERT INTO `lang_definitions` VALUES (93473, 202, 26, 'Somministrato');
INSERT INTO `lang_definitions` VALUES (93474, 203, 26, 'Somministrato da');
INSERT INTO `lang_definitions` VALUES (93475, 204, 26, 'Somministrato in data');
INSERT INTO `lang_definitions` VALUES (93476, 205, 26, 'Sito amministrato');
INSERT INTO `lang_definitions` VALUES (93477, 206, 26, 'Amministrazione');
INSERT INTO `lang_definitions` VALUES (93478, 207, 26, 'Sito amministrato');
INSERT INTO `lang_definitions` VALUES (93479, 208, 26, 'Amministratori');
INSERT INTO `lang_definitions` VALUES (93480, 209, 26, 'gli Amministratori possono fare tutto');
INSERT INTO `lang_definitions` VALUES (93481, 210, 26, 'Data ammissione');
INSERT INTO `lang_definitions` VALUES (93482, 212, 26, 'Screening e Follow-Up del peso - Adulto');
INSERT INTO `lang_definitions` VALUES (93483, 213, 26, 'Screening e Follow-Up del peso - Adulto (CMQ)');
INSERT INTO `lang_definitions` VALUES (93484, 214, 26, 'Direttiva preliminare');
INSERT INTO `lang_definitions` VALUES (93485, 215, 26, 'Direttive preliminari');
INSERT INTO `lang_definitions` VALUES (93486, 216, 26, 'Avviso direttive preliminari');
INSERT INTO `lang_definitions` VALUES (93487, 218, 26, 'Avanzato');
INSERT INTO `lang_definitions` VALUES (93488, 219, 26, 'Suggerimento');
INSERT INTO `lang_definitions` VALUES (93489, 220, 26, 'Lontano');
INSERT INTO `lang_definitions` VALUES (93490, 221, 26, 'Effetto normale');
INSERT INTO `lang_definitions` VALUES (93491, 222, 26, 'Africani');
INSERT INTO `lang_definitions` VALUES (93492, 223, 26, 'Chiamate fuori orario');
INSERT INTO `lang_definitions` VALUES (93493, 224, 26, 'Dopo la migrazione dai vecchi meccanismi di password in cui le password vengono memorizzate nella tabella utenti senza salti è completo, questo flag deve essere impostato su false in modo che solo l\'autenticazione con il nuovo metodo sia possibile');
INSERT INTO `lang_definitions` VALUES (93494, 225, 26, 'Dopo aver eseguito le configurazioni precedenti, importare il certificato di amministrazione client nel browser e riavviare il server Apache (password vuota)');
INSERT INTO `lang_definitions` VALUES (93495, 226, 26, 'Dopo il salvataggio in PDF, cliccare [Vedi log] per la verifica errori');
INSERT INTO `lang_definitions` VALUES (93496, 227, 26, 'Dopo il salvataggio dei file TEXT, cliccare [Vedi log] per la verifica errori');
INSERT INTO `lang_definitions` VALUES (93497, 228, 26, 'Dopo il salvataggio del lotto, cliccare [Vedi log] per la verifica errori');
INSERT INTO `lang_definitions` VALUES (93498, 229, 26, 'Dopo che la colonna Corrispondenza mostrerà l\'ID paziente selezionato, o 0 per creare.');
INSERT INTO `lang_definitions` VALUES (93499, 230, 26, 'Dopo aver inserito l\'informazione corretta cliccare il tasto Salva');
INSERT INTO `lang_definitions` VALUES (93500, 231, 26, 'Dopo aver caricato clicca il pulsante \"Importa\"');
INSERT INTO `lang_definitions` VALUES (93501, 232, 26, 'Pianificazione convalescenza');
INSERT INTO `lang_definitions` VALUES (93502, 233, 26, 'Nuovamente');
INSERT INTO `lang_definitions` VALUES (93503, 234, 26, 'Età');
INSERT INTO `lang_definitions` VALUES (93504, 235, 26, 'Età per');
INSERT INTO `lang_definitions` VALUES (93505, 236, 26, 'Categoria età');
INSERT INTO `lang_definitions` VALUES (93506, 237, 26, 'Dato età fuori intervallo');
INSERT INTO `lang_definitions` VALUES (93507, 238, 26, 'Visualizzazione formato età');
INSERT INTO `lang_definitions` VALUES (93508, 239, 26, 'Formato età per \"età da\" non valido');
INSERT INTO `lang_definitions` VALUES (93509, 240, 26, 'Formato età per \"età fino a\" non valido');
INSERT INTO `lang_definitions` VALUES (93510, 241, 26, 'Età da');
INSERT INTO `lang_definitions` VALUES (93511, 242, 26, 'Età in anni per visualizzare cambio formato');
INSERT INTO `lang_definitions` VALUES (93512, 243, 26, 'Età massima');
INSERT INTO `lang_definitions` VALUES (93513, 244, 26, 'Età minima');
INSERT INTO `lang_definitions` VALUES (93514, 245, 26, 'Intervallo età');
INSERT INTO `lang_definitions` VALUES (93515, 247, 26, 'Colonne età:');
INSERT INTO `lang_definitions` VALUES (93516, 248, 26, 'Akan');
INSERT INTO `lang_definitions` VALUES (93517, 249, 26, 'Albanese');
INSERT INTO `lang_definitions` VALUES (93518, 250, 26, 'Alcool');
INSERT INTO `lang_definitions` VALUES (93519, 251, 26, 'Consumo di alcool');
INSERT INTO `lang_definitions` VALUES (93520, 252, 26, 'Uso di alcool');
INSERT INTO `lang_definitions` VALUES (93521, 253, 26, 'Allarme su Conteggio');
INSERT INTO `lang_definitions` VALUES (93522, 255, 26, 'Allarmi');
INSERT INTO `lang_definitions` VALUES (93523, 258, 26, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (93524, 259, 26, 'Tutto');
INSERT INTO `lang_definitions` VALUES (93525, 260, 26, 'TUTTO');
INSERT INTO `lang_definitions` VALUES (93526, 261, 26, 'Tutto (Raccolta in Formato A)');
INSERT INTO `lang_definitions` VALUES (93527, 262, 26, 'Tutto (Raccolta in Formato B)');
INSERT INTO `lang_definitions` VALUES (93528, 263, 26, 'Tutto (Cumulativo)');
INSERT INTO `lang_definitions` VALUES (93529, 265, 26, 'Tutti i calcoli di misura automatici (AMC)');
INSERT INTO `lang_definitions` VALUES (93530, 266, 26, 'Tutte le categorie');
INSERT INTO `lang_definitions` VALUES (93531, 267, 26, 'Tutte le misure di qualità clinica (CQM)');
INSERT INTO `lang_definitions` VALUES (93532, 268, 26, 'Tutti i codici');
INSERT INTO `lang_definitions` VALUES (93533, 269, 26, 'Tutta la giornata');
INSERT INTO `lang_definitions` VALUES (93534, 270, 26, 'Evento giornata intera');
INSERT INTO `lang_definitions` VALUES (93535, 271, 26, 'Tutti i campi anagrafici, con ricerca e controllo duplicazioni');
INSERT INTO `lang_definitions` VALUES (93536, 272, 26, 'Tutte le sedi');
INSERT INTO `lang_definitions` VALUES (93537, 273, 26, 'Tutte(i) Lesioni/Problemi/Questioni');
INSERT INTO `lang_definitions` VALUES (93538, 274, 26, 'Tutte le lingue permesse');
INSERT INTO `lang_definitions` VALUES (93539, 275, 26, 'Tutte le ufficiali misure di qualità clinica (CQM) Misura Gruppi');
INSERT INTO `lang_definitions` VALUES (93540, 276, 26, 'Tutto o parte del nome');
INSERT INTO `lang_definitions` VALUES (93541, 277, 26, 'Tutto o parte del cognome');
INSERT INTO `lang_definitions` VALUES (93542, 278, 26, 'Tutto o parte dell\'organizzazione');
INSERT INTO `lang_definitions` VALUES (93543, 279, 26, 'Tutti i pazienti');
INSERT INTO `lang_definitions` VALUES (93544, 280, 26, 'Tutti i prodotti');
INSERT INTO `lang_definitions` VALUES (93545, 281, 26, 'Tutti i fornitori');
INSERT INTO `lang_definitions` VALUES (93546, 282, 26, 'Tutte le revisioni e i negativi:');
INSERT INTO `lang_definitions` VALUES (93547, 283, 26, 'Tutti gli argomenti');
INSERT INTO `lang_definitions` VALUES (93548, 284, 26, 'Tutti gli utenti');
INSERT INTO `lang_definitions` VALUES (93549, 285, 26, 'Allergico/a');
INSERT INTO `lang_definitions` VALUES (93550, 286, 26, 'Allergie');
INSERT INTO `lang_definitions` VALUES (93551, 287, 26, 'Allergie:');
INSERT INTO `lang_definitions` VALUES (93552, 288, 26, 'Allergia');
INSERT INTO `lang_definitions` VALUES (93553, 289, 26, 'Importazione Allergie completata con successo');
INSERT INTO `lang_definitions` VALUES (93554, 290, 26, 'Emissione elenco allergia');
INSERT INTO `lang_definitions` VALUES (93555, 291, 26, 'Reazione allergica');
INSERT INTO `lang_definitions` VALUES (93556, 294, 26, 'Allocare');
INSERT INTO `lang_definitions` VALUES (93557, 295, 26, 'Consenti');
INSERT INTO `lang_definitions` VALUES (93558, 296, 26, 'Permette tutte le lingue disponibili come scelta nel menu di login.');
INSERT INTO `lang_definitions` VALUES (93559, 297, 26, 'Permette la creazione di affermazioni contenenti diagnosi ma non procedure o addebiti. Molti ospedali non lo permettono.');
INSERT INTO `lang_definitions` VALUES (93560, 298, 26, 'Consenti il debug della lingua');
INSERT INTO `lang_definitions` VALUES (93561, 299, 26, 'Consenti email');
INSERT INTO `lang_definitions` VALUES (93562, 300, 26, 'Consenti messaggi email?');
INSERT INTO `lang_definitions` VALUES (93563, 301, 26, 'Consenti email?');
INSERT INTO `lang_definitions` VALUES (93564, 302, 26, 'Consenti notifiche visite');
INSERT INTO `lang_definitions` VALUES (93565, 303, 26, 'Consenti trasmissione di informazioni sanitarie');
INSERT INTO `lang_definitions` VALUES (93566, 304, 26, 'Consenti condivisione informazioni di immunizzazione');
INSERT INTO `lang_definitions` VALUES (93567, 305, 26, 'Consenti uso del registro immunizzazioni');
INSERT INTO `lang_definitions` VALUES (93568, 306, 26, 'Consenti messaggio email');
INSERT INTO `lang_definitions` VALUES (93569, 308, 26, 'Consenti il Portale paziente');
INSERT INTO `lang_definitions` VALUES (93570, 309, 26, 'Consenti SMS');
INSERT INTO `lang_definitions` VALUES (93571, 310, 26, 'Consenti SMS (messaggi di testo)?');
INSERT INTO `lang_definitions` VALUES (93572, 311, 26, 'Consenti l\'attivazione istantanea degli eventi immessi?');
INSERT INTO `lang_definitions` VALUES (93573, 312, 26, 'Consenti messaggi telefonici?');
INSERT INTO `lang_definitions` VALUES (93574, 313, 26, 'Consenti agli utenti la pubblicazione di eventi globali');
INSERT INTO `lang_definitions` VALUES (93575, 314, 26, 'Consenti agli utenti di pubblicare calendari personali');
INSERT INTO `lang_definitions` VALUES (93576, 315, 26, 'Consenti messaggi vocali');
INSERT INTO `lang_definitions` VALUES (93577, 316, 26, 'Consentito');
INSERT INTO `lang_definitions` VALUES (93578, 317, 26, 'Lingue consentite');
INSERT INTO `lang_definitions` VALUES (93579, 318, 26, 'Consentito');
INSERT INTO `lang_definitions` VALUES (93580, 319, 26, 'Consente E-Sign sull\'intero incontro');
INSERT INTO `lang_definitions` VALUES (93581, 320, 26, 'Consente E-Signing nei singoli forms');
INSERT INTO `lang_definitions` VALUES (93582, 321, 26, 'Mail consentite');
INSERT INTO `lang_definitions` VALUES (93583, 322, 26, 'Messaggi vocali consentiti');
INSERT INTO `lang_definitions` VALUES (93584, 323, 26, 'esiste già');
INSERT INTO `lang_definitions` VALUES (93585, 324, 26, 'esiste già');
INSERT INTO `lang_definitions` VALUES (93586, 325, 26, 'Già usato, scegliere un altro identificatore');
INSERT INTO `lang_definitions` VALUES (93587, 326, 26, 'Già usato, scegliere un altro titolo');
INSERT INTO `lang_definitions` VALUES (93588, 327, 26, 'Indirizzo alternativo');
INSERT INTO `lang_definitions` VALUES (93589, 328, 26, 'altera');
INSERT INTO `lang_definitions` VALUES (93590, 329, 26, 'Alternativamente, si può usare la pagina di ricerca per caricare un file di pagamento elettronico (X12 835) ottenuto dal pagante o ente sostitutivo. Puoi fare questo cliccando il bottone \"Sfoglia\" e selezionando il file da caricare, quindi cliccando \"Cerca\" per attuare il caricamento e mostrare il conto corrispondente. In questo caso gli altri parametri menzionati sopra non si applicano e sarnno ignorati. Il caricamento salva il file ma non processa ancora i suoi contenuti -- ciò è fatto separatamente come descritto sotto.');
INSERT INTO `lang_definitions` VALUES (93591, 330, 26, 'AM');
INSERT INTO `lang_definitions` VALUES (93592, 331, 26, 'Programma AM');
INSERT INTO `lang_definitions` VALUES (93593, 332, 26, 'AMC');
INSERT INTO `lang_definitions` VALUES (93594, 333, 26, 'Traccia AMC');
INSERT INTO `lang_definitions` VALUES (93595, 334, 26, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (93596, 335, 26, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (93597, 338, 26, 'Modificare la nota esistente');
INSERT INTO `lang_definitions` VALUES (93598, 339, 26, 'Modificato da');
INSERT INTO `lang_definitions` VALUES (93599, 340, 26, 'Stato modifiche');
INSERT INTO `lang_definitions` VALUES (93600, 341, 26, 'Modifiche');
INSERT INTO `lang_definitions` VALUES (93601, 342, 26, 'Modificati per');
INSERT INTO `lang_definitions` VALUES (93602, 343, 26, 'Indiano americano');
INSERT INTO `lang_definitions` VALUES (93603, 344, 26, 'Indiano americano o nativo dell\'Alaska');
INSERT INTO `lang_definitions` VALUES (93604, 345, 26, 'AMEX');
INSERT INTO `lang_definitions` VALUES (93605, 346, 26, 'Amarico');
INSERT INTO `lang_definitions` VALUES (93606, 347, 26, 'Importo');
INSERT INTO `lang_definitions` VALUES (93607, 348, 26, 'Importo amministrato');
INSERT INTO `lang_definitions` VALUES (93608, 349, 26, 'Importo Spese');
INSERT INTO `lang_definitions` VALUES (93609, 350, 26, 'Importo per conto precedente');
INSERT INTO `lang_definitions` VALUES (93610, 351, 26, 'Importo per questa visita');
INSERT INTO `lang_definitions` VALUES (93611, 352, 26, 'Importo pagato');
INSERT INTO `lang_definitions` VALUES (93612, 353, 26, 'Importo:');
INSERT INTO `lang_definitions` VALUES (93613, 354, 26, 'Importo fatturato');
INSERT INTO `lang_definitions` VALUES (93614, 355, 26, 'La data di fine oltre la data di inizio è richiesta per gli eventi ripetuti!');
INSERT INTO `lang_definitions` VALUES (93615, 357, 26, 'Si è verificato un errore nel salvataggio delle directory di LibreEHR');
INSERT INTO `lang_definitions` VALUES (93616, 358, 26, 'Si è verificato un errore nel salvataggio delle directory di phpGACL');
INSERT INTO `lang_definitions` VALUES (93617, 359, 26, 'Si è verificato un errore nel salvataggio delle directory di SQL_Ledger');
INSERT INTO `lang_definitions` VALUES (93618, 360, 26, 'E\' stato creato e linkato un oggetto GCAC incompleto. E\' necessario completarlo in seguito.');
INSERT INTO `lang_definitions` VALUES (93619, 362, 26, 'Si è verificato un errore inatteso');
INSERT INTO `lang_definitions` VALUES (93620, 363, 26, 'Lettera maiuscola');
INSERT INTO `lang_definitions` VALUES (93621, 365, 26, 'e');
INSERT INTO `lang_definitions` VALUES (93622, 366, 26, 'E');
INSERT INTO `lang_definitions` VALUES (93623, 367, 26, 'e');
INSERT INTO `lang_definitions` VALUES (93624, 368, 26, 'e ');
INSERT INTO `lang_definitions` VALUES (93625, 369, 26, 'e tutti i dati subordinati? Quest\'azione sarà registrata');
INSERT INTO `lang_definitions` VALUES (93626, 370, 26, 'modificatore and');
INSERT INTO `lang_definitions` VALUES (93627, 371, 26, 'e processato.');
INSERT INTO `lang_definitions` VALUES (93628, 372, 26, 'e riavviare il server Apache.');
INSERT INTO `lang_definitions` VALUES (93629, 373, 26, 'e il motivo è');
INSERT INTO `lang_definitions` VALUES (93630, 374, 26, 'Anemia');
INSERT INTO `lang_definitions` VALUES (93631, 375, 26, 'Caviglia');
INSERT INTO `lang_definitions` VALUES (93632, 376, 26, 'Caviglia + tallone');
INSERT INTO `lang_definitions` VALUES (93633, 377, 26, 'Modello di valutazione caviglia');
INSERT INTO `lang_definitions` VALUES (93634, 378, 26, 'Problemi caviglia');
INSERT INTO `lang_definitions` VALUES (93635, 379, 26, 'Spondilite anchilosante');
INSERT INTO `lang_definitions` VALUES (93636, 380, 26, 'Spondilite anchilosante');
INSERT INTO `lang_definitions` VALUES (93637, 381, 26, 'Anoressia');
INSERT INTO `lang_definitions` VALUES (93638, 382, 26, 'Un\'altra azione possibile nella finestra di immissione è la richiesta di fatturazione secondaria. Se si seleziona questa spunta prima del salvataggio, l\'addebito originale sarà riaperto e accodato alla pagina di Fatturazione, e riprocessato nella nuova procedura di fatturazione.');
INSERT INTO `lang_definitions` VALUES (93639, 383, 26, 'ante');
INSERT INTO `lang_definitions` VALUES (93640, 384, 26, 'Ano normale, no masse o cedevolezze');
INSERT INTO `lang_definitions` VALUES (93641, 385, 26, 'Ansia');
INSERT INTO `lang_definitions` VALUES (93642, 386, 26, 'Qualunque');
INSERT INTO `lang_definitions` VALUES (93643, 387, 26, 'Qualunque categoria');
INSERT INTO `lang_definitions` VALUES (93644, 388, 26, 'Parte del codice desiderato o della sua descrizione');
INSERT INTO `lang_definitions` VALUES (93645, 389, 26, 'Parte della specializzazione desiderata');
INSERT INTO `lang_definitions` VALUES (93646, 390, 26, 'Parte del nome o dell\'ID del farmaco');
INSERT INTO `lang_definitions` VALUES (93647, 391, 26, 'Parte del nome o dell\'ID dell\'immunizzazione');
INSERT INTO `lang_definitions` VALUES (93648, 392, 26, 'Parte del nome paziente, o \"cognome,nome\", o \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (93649, 393, 26, 'Qualsiasi altra informazione rilevante');
INSERT INTO `lang_definitions` VALUES (93650, 394, 26, 'Chiave API per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (93651, 395, 26, 'Apnea');
INSERT INTO `lang_definitions` VALUES (93652, 396, 26, 'Aspetto');
INSERT INTO `lang_definitions` VALUES (93653, 397, 26, 'Aspetto:');
INSERT INTO `lang_definitions` VALUES (93654, 398, 26, 'Accoda questa nota');
INSERT INTO `lang_definitions` VALUES (93655, 399, 26, 'Accoda alla nota esistente');
INSERT INTO `lang_definitions` VALUES (93656, 400, 26, 'Accoda a questa nota');
INSERT INTO `lang_definitions` VALUES (93657, 401, 26, 'Accoda a questa nota');
INSERT INTO `lang_definitions` VALUES (93658, 402, 26, 'Appendicectomia');
INSERT INTO `lang_definitions` VALUES (93659, 403, 26, 'appendicectomia');
INSERT INTO `lang_definitions` VALUES (93660, 404, 26, 'Pazienti pertinenti');
INSERT INTO `lang_definitions` VALUES (93661, 405, 26, 'Applicazione');
INSERT INTO `lang_definitions` VALUES (93662, 406, 26, 'Nome dell\'applicazione per la pagina di login e per il titolo della finestra principale');
INSERT INTO `lang_definitions` VALUES (93663, 407, 26, 'Applicazione codice ricezione (GS03 - Se vuoto verrà utilizzato ISA08)');
INSERT INTO `lang_definitions` VALUES (93664, 408, 26, 'Codice invio applicazione (GS02)');
INSERT INTO `lang_definitions` VALUES (93665, 409, 26, 'Titolo applicazione');
INSERT INTO `lang_definitions` VALUES (93666, 410, 26, 'Applica al modello parametri vitali e al diagramma di crescita');
INSERT INTO `lang_definitions` VALUES (93667, 411, 26, 'Applica al modello Vitali');
INSERT INTO `lang_definitions` VALUES (93668, 412, 26, 'Applica i cambiamenti al solo evento corrente, a questa e a tutte le occorrenze future o a tutte?');
INSERT INTO `lang_definitions` VALUES (93669, 413, 26, 'applicare all\'area interessata');
INSERT INTO `lang_definitions` VALUES (93670, 414, 26, 'applicare sulla pelle');
INSERT INTO `lang_definitions` VALUES (93671, 415, 26, 'In applicazione');
INSERT INTO `lang_definitions` VALUES (93672, 416, 26, 'Applicazione patch al sito');
INSERT INTO `lang_definitions` VALUES (93673, 417, 26, 'Appuntamento');
INSERT INTO `lang_definitions` VALUES (93674, 418, 26, 'Data appuntamento');
INSERT INTO `lang_definitions` VALUES (93675, 419, 26, 'Stile visualizzazione appuntamenti');
INSERT INTO `lang_definitions` VALUES (93676, 420, 26, 'Regole Promemoria appuntamento');
INSERT INTO `lang_definitions` VALUES (93677, 421, 26, 'Stato appuntamenti');
INSERT INTO `lang_definitions` VALUES (93678, 422, 26, 'Stati appuntamenti');
INSERT INTO `lang_definitions` VALUES (93679, 423, 26, 'Appuntamento entro');
INSERT INTO `lang_definitions` VALUES (93680, 424, 26, 'Colore appuntamento/evento');
INSERT INTO `lang_definitions` VALUES (93681, 425, 26, 'Appuntamenti');
INSERT INTO `lang_definitions` VALUES (93682, 426, 26, 'Appuntamenti (scrittura facoltativa)');
INSERT INTO `lang_definitions` VALUES (93683, 427, 26, 'Appuntamenti (scrittura facoltativa)');
INSERT INTO `lang_definitions` VALUES (93684, 430, 26, 'Appuntamenti e Incontri');
INSERT INTO `lang_definitions` VALUES (93685, 431, 26, 'Resoconto appuntamenti');
INSERT INTO `lang_definitions` VALUES (93686, 432, 26, 'Resoconto Appuntamenti-Incontri');
INSERT INTO `lang_definitions` VALUES (93687, 434, 26, 'Approva');
INSERT INTO `lang_definitions` VALUES (93688, 435, 26, 'Approva il paziente da Paziente/Cliente->Importare->Attesa approvazione');
INSERT INTO `lang_definitions` VALUES (93689, 436, 26, 'Approvato');
INSERT INTO `lang_definitions` VALUES (93690, 437, 26, 'Amministrazione eventi approvati');
INSERT INTO `lang_definitions` VALUES (93691, 438, 26, 'Approvato con successo');
INSERT INTO `lang_definitions` VALUES (93692, 440, 26, 'Appunt.-Incontri');
INSERT INTO `lang_definitions` VALUES (93693, 441, 26, 'App.nti');
INSERT INTO `lang_definitions` VALUES (93694, 442, 26, 'Apr');
INSERT INTO `lang_definitions` VALUES (93695, 443, 26, 'Aprile');
INSERT INTO `lang_definitions` VALUES (93696, 444, 26, 'Arabo');
INSERT INTO `lang_definitions` VALUES (93697, 445, 26, 'Aragonese');
INSERT INTO `lang_definitions` VALUES (93698, 446, 26, 'Archivio');
INSERT INTO `lang_definitions` VALUES (93699, 447, 26, 'I nomi dei gruppi ad accesso controllato devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (93700, 448, 26, 'I nomi delle categorie di appuntamenti devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (93701, 449, 26, 'I nomi delle categorie di documenti devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (93702, 450, 26, 'Le tariffe vengono addebitate per questo tipo?');
INSERT INTO `lang_definitions` VALUES (93703, 451, 26, 'I titoli delle note paziente devono essere tradotti?');
INSERT INTO `lang_definitions` VALUES (93704, 452, 26, 'I codici memorizzati in tabelle SQL esterne (0-No, 1-ICD10, 2-SNOMED (RF1), 3-SNOMED (RF2))?');
INSERT INTO `lang_definitions` VALUES (93705, 453, 26, 'Si è preparati per completare una nuova GCAC per questa visita?');
INSERT INTO `lang_definitions` VALUES (93706, 454, 26, 'Sei sicuro di voler postare per oggi?');
INSERT INTO `lang_definitions` VALUES (93707, 455, 26, 'Sei sicuro di voler approvare questi eventi?');
INSERT INTO `lang_definitions` VALUES (93708, 457, 26, 'Sei sicuro di voler eliminare completamente questo modulo?');
INSERT INTO `lang_definitions` VALUES (93709, 458, 26, 'Sei sicuro di voler eliminare');
INSERT INTO `lang_definitions` VALUES (93710, 459, 26, 'Sei sicuro di voler eliminare questa informativa?');
INSERT INTO `lang_definitions` VALUES (93711, 460, 26, 'Sei sicuro di voler eliminare questo evento?');
INSERT INTO `lang_definitions` VALUES (93712, 461, 26, 'Sei sicuro di voler eliminare questo elemento dal database?');
INSERT INTO `lang_definitions` VALUES (93713, 462, 26, 'Sei sicuro di voler eliminare questa nota?');
INSERT INTO `lang_definitions` VALUES (93714, 464, 26, 'Sei sicuro di voler modificare questi eventi?');
INSERT INTO `lang_definitions` VALUES (93715, 465, 26, 'Sei sicuro di voler nascondere questi eventi?');
INSERT INTO `lang_definitions` VALUES (93716, 466, 26, 'Sei sicuro di voler trasmettere ancora?');
INSERT INTO `lang_definitions` VALUES (93717, 467, 26, 'Sei sicuro di voler vedere questi eventi?');
INSERT INTO `lang_definitions` VALUES (93718, 468, 26, 'Sei sicuro di voler eliminare l\'intero gruppo chiamato');
INSERT INTO `lang_definitions` VALUES (93719, 469, 26, 'Sei sicuro di voler eliminare tutto l\'elenco');
INSERT INTO `lang_definitions` VALUES (93720, 470, 26, 'Sei sicuro di voler eliminare il campo in');
INSERT INTO `lang_definitions` VALUES (93721, 471, 26, 'Sei sicuro di voler eliminare i campi selezionati?');
INSERT INTO `lang_definitions` VALUES (93722, 472, 26, 'Sei sicuro di voler continuare con queste azioni?');
INSERT INTO `lang_definitions` VALUES (93723, 473, 26, 'Area non specificata');
INSERT INTO `lang_definitions` VALUES (93724, 474, 26, 'Braccio');
INSERT INTO `lang_definitions` VALUES (93725, 475, 26, 'Armenia');
INSERT INTO `lang_definitions` VALUES (93726, 477, 26, 'Aritmia');
INSERT INTO `lang_definitions` VALUES (93727, 478, 26, 'Artrite');
INSERT INTO `lang_definitions` VALUES (93728, 479, 26, 'Artrite / degenerazione articolare');
INSERT INTO `lang_definitions` VALUES (93729, 480, 26, 'Artrite / degenerazione articolare');
INSERT INTO `lang_definitions` VALUES (93730, 481, 26, 'come');
INSERT INTO `lang_definitions` VALUES (93731, 482, 26, 'Come di');
INSERT INTO `lang_definitions` VALUES (93732, 483, 26, 'ASC');
INSERT INTO `lang_definitions` VALUES (93733, 484, 26, 'Asiatico');
INSERT INTO `lang_definitions` VALUES (93734, 485, 26, 'Assamese');
INSERT INTO `lang_definitions` VALUES (93735, 487, 26, 'Valutazione');
INSERT INTO `lang_definitions` VALUES (93736, 488, 26, 'Assegnato a');
INSERT INTO `lang_definitions` VALUES (93737, 489, 26, 'Assistente');
INSERT INTO `lang_definitions` VALUES (93738, 490, 26, 'Asma');
INSERT INTO `lang_definitions` VALUES (93739, 491, 26, 'alle');
INSERT INTO `lang_definitions` VALUES (93740, 492, 26, 'Se selezioni tutto, almeno un parametro di ricerca è richiesto.');
INSERT INTO `lang_definitions` VALUES (93741, 493, 26, 'Allo scafoide');
INSERT INTO `lang_definitions` VALUES (93742, 494, 26, 'Allo scafoide:');
INSERT INTO `lang_definitions` VALUES (93743, 495, 26, 'Squadra di atletica');
INSERT INTO `lang_definitions` VALUES (93744, 496, 26, 'Squadra di atletica');
INSERT INTO `lang_definitions` VALUES (93745, 497, 26, 'Lesione/Atletica');
INSERT INTO `lang_definitions` VALUES (93746, 498, 26, 'ATNA controllo certificato CA');
INSERT INTO `lang_definitions` VALUES (93747, 499, 26, 'ATNA controllo host');
INSERT INTO `lang_definitions` VALUES (93748, 500, 26, 'ATNA controllo certificato locale');
INSERT INTO `lang_definitions` VALUES (93749, 501, 26, 'ATNA controllo porta');
INSERT INTO `lang_definitions` VALUES (93750, 503, 26, 'Attenzione');
INSERT INTO `lang_definitions` VALUES (93751, 504, 26, 'Att. ne');
INSERT INTO `lang_definitions` VALUES (93752, 506, 26, 'Registrazione motore queries CDR');
INSERT INTO `lang_definitions` VALUES (93753, 507, 26, 'Registro di controllo antimanomissione');
INSERT INTO `lang_definitions` VALUES (93754, 508, 26, 'Registro di controllo antimanomissione report');
INSERT INTO `lang_definitions` VALUES (93755, 509, 26, 'Registrazione di controllo backup');
INSERT INTO `lang_definitions` VALUES (93756, 510, 26, 'Registrazione di controllo varie');
INSERT INTO `lang_definitions` VALUES (93757, 511, 26, 'Registrazione di controllo ordini');
INSERT INTO `lang_definitions` VALUES (93758, 512, 26, 'Registrazione di controllo accesso cartelle cliniche');
INSERT INTO `lang_definitions` VALUES (93759, 513, 26, 'Pianificazione del controllo di accesso');
INSERT INTO `lang_definitions` VALUES (93760, 514, 26, 'Registrazione di controllo di Amministrazione sicurezza');
INSERT INTO `lang_definitions` VALUES (93761, 515, 26, 'Seleziona la query del controllo di accesso');
INSERT INTO `lang_definitions` VALUES (93762, 516, 26, 'Ago');
INSERT INTO `lang_definitions` VALUES (93763, 517, 26, 'Agosto');
INSERT INTO `lang_definitions` VALUES (93764, 519, 26, 'Aut');
INSERT INTO `lang_definitions` VALUES (93765, 520, 26, 'Aut/note');
INSERT INTO `lang_definitions` VALUES (93766, 523, 26, 'Autorizzazioni di gruppo');
INSERT INTO `lang_definitions` VALUES (93767, 524, 26, 'Stato autorizzazione');
INSERT INTO `lang_definitions` VALUES (93768, 525, 26, 'Autorizzazioni');
INSERT INTO `lang_definitions` VALUES (93769, 526, 26, 'Autorizza');
INSERT INTO `lang_definitions` VALUES (93770, 527, 26, 'Autorizza - qualsiasi incontro');
INSERT INTO `lang_definitions` VALUES (93771, 528, 26, 'Autorizza - i miei incontri');
INSERT INTO `lang_definitions` VALUES (93772, 529, 26, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (93773, 530, 26, 'Autorizzato');
INSERT INTO `lang_definitions` VALUES (93774, 531, 26, 'Solo autorizzati');
INSERT INTO `lang_definitions` VALUES (93775, 532, 26, 'Invio automatico');
INSERT INTO `lang_definitions` VALUES (93776, 535, 26, 'Crea automaticamente nuovi incontri');
INSERT INTO `lang_definitions` VALUES (93777, 536, 26, 'Generato automaticamente');
INSERT INTO `lang_definitions` VALUES (93778, 537, 26, 'Calcoli delle misure automatici (AMC)');
INSERT INTO `lang_definitions` VALUES (93779, 538, 26, 'Calcoli delle misure automatici (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (93780, 539, 26, 'Calcoli delle misure automatici (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (93781, 542, 26, 'Calcoli delle misure automatici (AMC) monitoraggio');
INSERT INTO `lang_definitions` VALUES (93782, 543, 26, 'Misure automatiche (AMC)');
INSERT INTO `lang_definitions` VALUES (93783, 544, 26, 'Automatico');
INSERT INTO `lang_definitions` VALUES (93784, 546, 26, 'Crea automaticamente un nuovo incontro quando lo status dell\'appuntamento è settato a \"@\" (arrivato).');
INSERT INTO `lang_definitions` VALUES (93785, 549, 26, 'Automobile Medica');
INSERT INTO `lang_definitions` VALUES (93786, 550, 26, 'salvato in automatico');
INSERT INTO `lang_definitions` VALUES (93787, 551, 26, 'Categorie disponibili');
INSERT INTO `lang_definitions` VALUES (93788, 552, 26, 'Tempi disponibili');
INSERT INTO `lang_definitions` VALUES (93789, 553, 26, 'Tracce disponibili');
INSERT INTO `lang_definitions` VALUES (93790, 554, 26, 'Avaric');
INSERT INTO `lang_definitions` VALUES (93791, 555, 26, 'Avery tipo etichette per la stampa di etichette di pazienti da popup a schermo nav sinistra');
INSERT INTO `lang_definitions` VALUES (93792, 556, 26, 'Avestan');
INSERT INTO `lang_definitions` VALUES (93793, 557, 26, 'Media Mensile');
INSERT INTO `lang_definitions` VALUES (93794, 558, 26, 'Avulsione/frattura avulsa');
INSERT INTO `lang_definitions` VALUES (93795, 559, 26, 'Avulsione del malleolo laterale');
INSERT INTO `lang_definitions` VALUES (93796, 560, 26, 'Avulsione del malleolo mediale ');
INSERT INTO `lang_definitions` VALUES (93797, 561, 26, 'Basato sulla consapevolezza');
INSERT INTO `lang_definitions` VALUES (93798, 562, 26, 'Ascellare');
INSERT INTO `lang_definitions` VALUES (93799, 563, 26, 'Aymara');
INSERT INTO `lang_definitions` VALUES (93800, 564, 26, 'Azerbaijani');
INSERT INTO `lang_definitions` VALUES (93801, 565, 26, 'b.i.d(bis in die)');
INSERT INTO `lang_definitions` VALUES (93802, 566, 26, 'Indietro');
INSERT INTO `lang_definitions` VALUES (93803, 567, 26, 'indietro');
INSERT INTO `lang_definitions` VALUES (93804, 568, 26, 'Indietro di 8 visite');
INSERT INTO `lang_definitions` VALUES (93805, 569, 26, 'Indietro di 11 visite');
INSERT INTO `lang_definitions` VALUES (93806, 570, 26, 'Indietro di 5 visite');
INSERT INTO `lang_definitions` VALUES (93807, 571, 26, 'Indietro di 4 visite');
INSERT INTO `lang_definitions` VALUES (93808, 572, 26, 'Indietro di 9 visite');
INSERT INTO `lang_definitions` VALUES (93809, 573, 26, 'Indietro di 1 visita');
INSERT INTO `lang_definitions` VALUES (93810, 574, 26, 'Dolore alla schiena');
INSERT INTO `lang_definitions` VALUES (93811, 575, 26, 'Problemi alla schiena');
INSERT INTO `lang_definitions` VALUES (93812, 576, 26, 'Indietro di 7 visite');
INSERT INTO `lang_definitions` VALUES (93813, 577, 26, 'Indietro di 6 visite');
INSERT INTO `lang_definitions` VALUES (93814, 578, 26, 'Intervento alla schiena');
INSERT INTO `lang_definitions` VALUES (93815, 579, 26, 'Indietro di 10 visite');
INSERT INTO `lang_definitions` VALUES (93816, 580, 26, 'Indietro di 3 visite');
INSERT INTO `lang_definitions` VALUES (93817, 581, 26, 'Indietro alla pagina Admin');
INSERT INTO `lang_definitions` VALUES (93818, 582, 26, 'Torna alle visite');
INSERT INTO `lang_definitions` VALUES (93819, 583, 26, 'Torna al Paziente');
INSERT INTO `lang_definitions` VALUES (93820, 584, 26, 'Torna al Paziente');
INSERT INTO `lang_definitions` VALUES (93821, 585, 26, 'Torna agli utenti');
INSERT INTO `lang_definitions` VALUES (93822, 586, 26, 'Torna alla vista');
INSERT INTO `lang_definitions` VALUES (93823, 587, 26, 'Indietro di 12 visite');
INSERT INTO `lang_definitions` VALUES (93824, 588, 26, 'Indietro di 2 visite');
INSERT INTO `lang_definitions` VALUES (93825, 589, 26, 'Servizi in Background');
INSERT INTO `lang_definitions` VALUES (93826, 590, 26, 'Backup');
INSERT INTO `lang_definitions` VALUES (93827, 591, 26, 'Il file di Backup è stato creato. Ora sarà inviato.');
INSERT INTO `lang_definitions` VALUES (93828, 592, 26, 'Lista di Backup');
INSERT INTO `lang_definitions` VALUES (93829, 593, 26, 'Backup attuato con successo in');
INSERT INTO `lang_definitions` VALUES (93830, 594, 26, 'Assegno non buono');
INSERT INTO `lang_definitions` VALUES (93831, 595, 26, 'Debito insoluto');
INSERT INTO `lang_definitions` VALUES (93832, 596, 26, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (93833, 597, 26, 'Bal');
INSERT INTO `lang_definitions` VALUES (93834, 598, 26, 'Bilancio');
INSERT INTO `lang_definitions` VALUES (93835, 599, 26, 'bilancio');
INSERT INTO `lang_definitions` VALUES (93836, 600, 26, 'Ammont.dovuto');
INSERT INTO `lang_definitions` VALUES (93837, 601, 26, 'Saldo dovuto');
INSERT INTO `lang_definitions` VALUES (93838, 602, 26, 'Bambara');
INSERT INTO `lang_definitions` VALUES (93839, 603, 26, 'Assegno bancario');
INSERT INTO `lang_definitions` VALUES (93840, 604, 26, 'Etichetta Barcode');
INSERT INTO `lang_definitions` VALUES (93841, 605, 26, 'Tipo etichetta Barcode');
INSERT INTO `lang_definitions` VALUES (93842, 606, 26, 'Tipo di codice a barre per la stampa di etichette con codice a barre da popup a schermo di navigazione a sinistra.');
INSERT INTO `lang_definitions` VALUES (93843, 607, 26, 'Base del quinto Metarsale');
INSERT INTO `lang_definitions` VALUES (93844, 608, 26, 'Base del quinto Metarsale');
INSERT INTO `lang_definitions` VALUES (93845, 609, 26, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (93846, 610, 26, 'Basque');
INSERT INTO `lang_definitions` VALUES (93847, 611, 26, 'Batch richiesta');
INSERT INTO `lang_definitions` VALUES (93848, 612, 26, 'Batch strumento di comunicazione');
INSERT INTO `lang_definitions` VALUES (93849, 613, 26, 'Batch entrata pagamenti');
INSERT INTO `lang_definitions` VALUES (93850, 614, 26, 'Batch pagamenti');
INSERT INTO `lang_definitions` VALUES (93851, 615, 26, 'Elaborazione batch avviata, l\'operazione potrebbe richiedere un po \'.');
INSERT INTO `lang_definitions` VALUES (93852, 616, 26, 'Risultati Batch');
INSERT INTO `lang_definitions` VALUES (93853, 617, 26, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (93854, 618, 26, 'Siate pazienti, alcuni file possono richiedere diversi minuti per essere elaborati!');
INSERT INTO `lang_definitions` VALUES (93855, 619, 26, 'perchè quell\'id non esiste.');
INSERT INTO `lang_definitions` VALUES (93856, 620, 26, 'Inizio');
INSERT INTO `lang_definitions` VALUES (93857, 621, 26, 'Data inizio');
INSERT INTO `lang_definitions` VALUES (93858, 623, 26, 'Data inizio del servizio aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (93859, 624, 26, 'Ora del giorno iniziale per gli eventi del calendario.');
INSERT INTO `lang_definitions` VALUES (93860, 625, 26, 'Belarusian');
INSERT INTO `lang_definitions` VALUES (93861, 626, 26, 'Ruttare');
INSERT INTO `lang_definitions` VALUES (93862, 628, 26, 'Bengalese');
INSERT INTO `lang_definitions` VALUES (93863, 629, 26, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (93864, 630, 26, 'tra');
INSERT INTO `lang_definitions` VALUES (93865, 631, 26, 'Bidirezionale');
INSERT INTO `lang_definitions` VALUES (93866, 632, 26, 'Bihari');
INSERT INTO `lang_definitions` VALUES (93867, 633, 26, 'Bilaterale');
INSERT INTO `lang_definitions` VALUES (93868, 634, 26, 'Bilaterale:');
INSERT INTO `lang_definitions` VALUES (93869, 636, 26, 'Data Fattura:');
INSERT INTO `lang_definitions` VALUES (93870, 637, 26, 'Fattura/Raccolta');
INSERT INTO `lang_definitions` VALUES (93871, 638, 26, 'Fatturato');
INSERT INTO `lang_definitions` VALUES (93872, 640, 26, 'In fatturazione');
INSERT INTO `lang_definitions` VALUES (93873, 641, 26, 'Fatturazione(scrittura opzionale)');
INSERT INTO `lang_definitions` VALUES (93874, 642, 26, 'Att. ne fatturazione');
INSERT INTO `lang_definitions` VALUES (93875, 644, 26, 'Codice di fatturazione per il servizio richiesto');
INSERT INTO `lang_definitions` VALUES (93876, 645, 26, 'Codici fatturazione');
INSERT INTO `lang_definitions` VALUES (93877, 646, 26, 'Data fatturazione');
INSERT INTO `lang_definitions` VALUES (93878, 647, 26, 'Reaparto di fatturazione');
INSERT INTO `lang_definitions` VALUES (93879, 648, 26, 'Sede fatturazione');
INSERT INTO `lang_definitions` VALUES (93880, 649, 26, 'Informazioni di fatturazione');
INSERT INTO `lang_definitions` VALUES (93881, 650, 26, 'Località fatturazione');
INSERT INTO `lang_definitions` VALUES (93882, 655, 26, 'Gestore fatturazioni');
INSERT INTO `lang_definitions` VALUES (93883, 656, 26, 'Nota di fatturazione');
INSERT INTO `lang_definitions` VALUES (93884, 657, 26, 'Nota di fatturazione per ');
INSERT INTO `lang_definitions` VALUES (93885, 658, 26, 'Nota di fatturazione:');
INSERT INTO `lang_definitions` VALUES (93886, 659, 26, 'Risultati della coda di fatturazione');
INSERT INTO `lang_definitions` VALUES (93887, 660, 26, 'Resoconto fatturazioni');
INSERT INTO `lang_definitions` VALUES (93888, 661, 26, 'Stato fatturazione');
INSERT INTO `lang_definitions` VALUES (93889, 662, 26, 'Stato fatturazione: Non fatturato');
INSERT INTO `lang_definitions` VALUES (93890, 663, 26, 'fatturare a ');
INSERT INTO `lang_definitions` VALUES (93891, 665, 26, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (93892, 666, 26, 'Data di Nascita');
INSERT INTO `lang_definitions` VALUES (93893, 667, 26, 'Nascita-24 mesi');
INSERT INTO `lang_definitions` VALUES (93894, 668, 26, 'Bislama');
INSERT INTO `lang_definitions` VALUES (93895, 669, 26, 'Nero');
INSERT INTO `lang_definitions` VALUES (93896, 670, 26, 'Polmone nero');
INSERT INTO `lang_definitions` VALUES (93897, 671, 26, 'Nero o Afro Americano');
INSERT INTO `lang_definitions` VALUES (93898, 672, 26, 'Cancro alla vescica');
INSERT INTO `lang_definitions` VALUES (93899, 673, 26, 'Infezione alla vescica');
INSERT INTO `lang_definitions` VALUES (93900, 674, 26, 'Modulo in bianco');
INSERT INTO `lang_definitions` VALUES (93901, 675, 26, 'Problemi di sanguinamento');
INSERT INTO `lang_definitions` VALUES (93902, 676, 26, 'Punti ciechi');
INSERT INTO `lang_definitions` VALUES (93903, 677, 26, 'Gonfiore/meteorismo');
INSERT INTO `lang_definitions` VALUES (93904, 678, 26, 'Bloccato');
INSERT INTO `lang_definitions` VALUES (93905, 679, 26, 'Sangue');
INSERT INTO `lang_definitions` VALUES (93906, 680, 26, 'Pressione sanguigna');
INSERT INTO `lang_definitions` VALUES (93907, 681, 26, 'Pressione sanguigna');
INSERT INTO `lang_definitions` VALUES (93908, 682, 26, 'Naso sanguinante');
INSERT INTO `lang_definitions` VALUES (93909, 683, 26, 'Schermo blu trasversale blu');
INSERT INTO `lang_definitions` VALUES (93910, 684, 26, 'Le linee blu in questo resoconto sono informative. Le linee nere mostrano una informazione precedentemente esistente. Le linee verdi mostrano i cambiamenti che sono stati apportati con successo. Le linee rosse indicano errori, o cambiamenti che non sono stati apportati; queste dovranno essere processate manualmente. Attualmente le richieste respinte e gli storni di pagamento non sono gestiti automaticaente e così appaiono in rosso.');
INSERT INTO `lang_definitions` VALUES (93911, 685, 26, 'Visione offuscata');
INSERT INTO `lang_definitions` VALUES (93912, 686, 26, 'BMI');
INSERT INTO `lang_definitions` VALUES (93913, 687, 26, 'Status BMI');
INSERT INTO `lang_definitions` VALUES (93914, 689, 26, 'Regione corporea');
INSERT INTO `lang_definitions` VALUES (93915, 690, 26, 'Sito corporeo');
INSERT INTO `lang_definitions` VALUES (93916, 691, 26, 'Sito corporeo, se applicabile');
INSERT INTO `lang_definitions` VALUES (93917, 692, 26, 'Dolori ossei');
INSERT INTO `lang_definitions` VALUES (93918, 693, 26, 'Dolori ossei: Malleolo mediale');
INSERT INTO `lang_definitions` VALUES (93919, 694, 26, 'Booleana');
INSERT INTO `lang_definitions` VALUES (93920, 695, 26, 'Bosnian');
INSERT INTO `lang_definitions` VALUES (93921, 696, 26, 'In basso');
INSERT INTO `lang_definitions` VALUES (93922, 697, 26, 'Entrambe le orecchie');
INSERT INTO `lang_definitions` VALUES (93923, 698, 26, 'entrambe le orecchie');
INSERT INTO `lang_definitions` VALUES (93924, 699, 26, 'In basso');
INSERT INTO `lang_definitions` VALUES (93925, 701, 26, 'BOX 10 A. Correlato al lavoro ');
INSERT INTO `lang_definitions` VALUES (93926, 702, 26, 'BOX 10 B. Incidente d\'auto ');
INSERT INTO `lang_definitions` VALUES (93927, 703, 26, 'BOX 10 C. Altro incidente ');
INSERT INTO `lang_definitions` VALUES (93928, 704, 26, 'BOX 14 qualificatore dati');
INSERT INTO `lang_definitions` VALUES (93929, 705, 26, 'BOX 15 altro qualificatore dati');
INSERT INTO `lang_definitions` VALUES (93930, 706, 26, 'BOX 15. Data di malattia uguale o simile (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (93931, 707, 26, 'BOX 15. Data di malattia uguale o simile/Altra data (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (93932, 708, 26, 'BOX 16. Data di inabilità al lavoro dal (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (93933, 709, 26, 'BOX 16. Data inabilità al lavoro fino al (aaaa-mm-gg):');
INSERT INTO `lang_definitions` VALUES (93934, 710, 26, 'BOX 18. Data ospedalizzazione dal (aaaa-mm-gg): ');
INSERT INTO `lang_definitions` VALUES (93935, 711, 26, 'BOX 18. Data ospedalizzazione fino al (aaaa-mm-gg): ');
INSERT INTO `lang_definitions` VALUES (93936, 712, 26, 'BOX 20. Si è utilizzato un Laboratorio esterno?');
INSERT INTO `lang_definitions` VALUES (93937, 713, 26, 'BOX 22. Medicaid Codice ripresentazione (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (93938, 714, 26, 'BOX 23. Autorizzazione precedente Nr. ');
INSERT INTO `lang_definitions` VALUES (93939, 715, 26, 'BP');
INSERT INTO `lang_definitions` VALUES (93940, 716, 26, 'BP Diastolica');
INSERT INTO `lang_definitions` VALUES (93941, 717, 26, 'BP Sistolica');
INSERT INTO `lang_definitions` VALUES (93942, 719, 26, 'Bpd');
INSERT INTO `lang_definitions` VALUES (93943, 721, 26, 'Bps');
INSERT INTO `lang_definitions` VALUES (93944, 722, 26, 'Potoghese Brasiliano');
INSERT INTO `lang_definitions` VALUES (93945, 723, 26, 'Seno');
INSERT INTO `lang_definitions` VALUES (93946, 724, 26, 'Biopsia al seno');
INSERT INTO `lang_definitions` VALUES (93947, 725, 26, 'Seno scarico');
INSERT INTO `lang_definitions` VALUES (93948, 726, 26, 'Malattia del seno');
INSERT INTO `lang_definitions` VALUES (93949, 727, 26, 'Esame mammario');
INSERT INTO `lang_definitions` VALUES (93950, 728, 26, 'Massa dei seni');
INSERT INTO `lang_definitions` VALUES (93951, 730, 26, 'Rumori respiratori:');
INSERT INTO `lang_definitions` VALUES (93952, 731, 26, 'Breton');
INSERT INTO `lang_definitions` VALUES (93953, 732, 26, 'Fratture');
INSERT INTO `lang_definitions` VALUES (93954, 733, 26, 'modulo rottura');
INSERT INTO `lang_definitions` VALUES (93955, 734, 26, 'Forma bronchitica');
INSERT INTO `lang_definitions` VALUES (93956, 735, 26, 'Consulta');
INSERT INTO `lang_definitions` VALUES (93957, 736, 26, 'Consulta i Record');
INSERT INTO `lang_definitions` VALUES (93958, 737, 26, 'Contusione/Ematoma');
INSERT INTO `lang_definitions` VALUES (93959, 738, 26, 'Bulgaro');
INSERT INTO `lang_definitions` VALUES (93960, 739, 26, 'Bulging di destra:');
INSERT INTO `lang_definitions` VALUES (93961, 740, 26, 'Burmese');
INSERT INTO `lang_definitions` VALUES (93962, 741, 26, 'Bruciore alla minzione');
INSERT INTO `lang_definitions` VALUES (93963, 742, 26, 'Bruciore alla minzione');
INSERT INTO `lang_definitions` VALUES (93964, 743, 26, 'Telefono aziendale');
INSERT INTO `lang_definitions` VALUES (93965, 744, 26, 'Occupato');
INSERT INTO `lang_definitions` VALUES (93966, 745, 26, 'ma non ancora processato.');
INSERT INTO `lang_definitions` VALUES (93967, 746, 26, 'Natica');
INSERT INTO `lang_definitions` VALUES (93968, 747, 26, 'Natica + S.I.');
INSERT INTO `lang_definitions` VALUES (93969, 748, 26, 'da');
INSERT INTO `lang_definitions` VALUES (93970, 749, 26, 'Da');
INSERT INTO `lang_definitions` VALUES (93971, 750, 26, 'per via orale');
INSERT INTO `lang_definitions` VALUES (93972, 751, 26, 'Da/Origine');
INSERT INTO `lang_definitions` VALUES (93973, 752, 26, 'Da:');
INSERT INTO `lang_definitions` VALUES (93974, 753, 26, 'C');
INSERT INTO `lang_definitions` VALUES (93975, 754, 26, 'Certificato CA per la verifica del RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (93976, 755, 26, 'Tempo di vita della Cache (in secondi)');
INSERT INTO `lang_definitions` VALUES (93977, 756, 26, 'Cache modelli output?');
INSERT INTO `lang_definitions` VALUES (93978, 757, 26, 'Consumo di caffeina');
INSERT INTO `lang_definitions` VALUES (93979, 758, 26, 'Agenda');
INSERT INTO `lang_definitions` VALUES (93980, 759, 26, 'Ora finale dell\'Agenda');
INSERT INTO `lang_definitions` VALUES (93981, 760, 26, 'Intervallo dell\'Agenda');
INSERT INTO `lang_definitions` VALUES (93982, 761, 26, 'Schermata Agenda');
INSERT INTO `lang_definitions` VALUES (93983, 762, 26, 'Specifiche Agenda');
INSERT INTO `lang_definitions` VALUES (93984, 763, 26, 'Ora iniziale del Agenda');
INSERT INTO `lang_definitions` VALUES (93985, 764, 26, 'UI dell\'Agenda');
INSERT INTO `lang_definitions` VALUES (93986, 765, 26, 'Vista del Agenda');
INSERT INTO `lang_definitions` VALUES (93987, 766, 26, 'La chiamata a addForm() va qui.<br>');
INSERT INTO `lang_definitions` VALUES (93988, 767, 26, 'Calorie');
INSERT INTO `lang_definitions` VALUES (93989, 768, 26, 'Cambogiano');
INSERT INTO `lang_definitions` VALUES (93991, 774, 26, 'Annulla');
INSERT INTO `lang_definitions` VALUES (93992, 775, 26, 'Annulla i cambiamenti');
INSERT INTO `lang_definitions` VALUES (93993, 776, 26, 'Annullato');
INSERT INTO `lang_definitions` VALUES (93994, 777, 26, 'Cancro');
INSERT INTO `lang_definitions` VALUES (93995, 778, 26, 'Screening cancro: screening del cancro al colon');
INSERT INTO `lang_definitions` VALUES (93996, 779, 26, 'Screening cancro: mammografia');
INSERT INTO `lang_definitions` VALUES (93997, 780, 26, 'Screening cancro: pap test');
INSERT INTO `lang_definitions` VALUES (93998, 781, 26, 'Screening cancro: screening del cancro alla prostata');
INSERT INTO `lang_definitions` VALUES (93999, 782, 26, 'Non puoi aggiungere questo elemento perchè esiste già!');
INSERT INTO `lang_definitions` VALUES (94000, 783, 26, 'Non puoi aggiungere/aggiornare questo elemento perchè esiste già un duplicato!');
INSERT INTO `lang_definitions` VALUES (94001, 784, 26, 'non può essere archiviato, ignorato');
INSERT INTO `lang_definitions` VALUES (94002, 785, 26, 'non può essere convertito in JPEG. Forse ImageMagick non è installato?');
INSERT INTO `lang_definitions` VALUES (94003, 786, 26, 'non può essere eliminato, ignorato');
INSERT INTO `lang_definitions` VALUES (94004, 787, 26, 'non può essere mostrato in linea perchè il suo tipo non è supportato dal browser');
INSERT INTO `lang_definitions` VALUES (94005, 788, 26, 'non può essere mostrato in linea perchè il suo tipo non è supportato dal browser');
INSERT INTO `lang_definitions` VALUES (94006, 789, 26, 'non può essere mostrato in linea perchè il suo tipo non è supportato dal browser');
INSERT INTO `lang_definitions` VALUES (94007, 790, 26, 'Impossibile creare');
INSERT INTO `lang_definitions` VALUES (94008, 791, 26, 'Impossibile creare il file');
INSERT INTO `lang_definitions` VALUES (94009, 792, 26, 'Impossibile cancellare(dal server SFTP) il file');
INSERT INTO `lang_definitions` VALUES (94010, 793, 26, 'Impossibile cancellare il file');
INSERT INTO `lang_definitions` VALUES (94011, 794, 26, 'Impossibile determinare la destinazione del nome del file');
INSERT INTO `lang_definitions` VALUES (94012, 795, 26, 'Impossibile trovare ');
INSERT INTO `lang_definitions` VALUES (94013, 796, 26, 'Non trovo il nome del file di destinazione');
INSERT INTO `lang_definitions` VALUES (94014, 799, 26, 'Impossibile trovare il paziente da SQL-Ledger cliente id');
INSERT INTO `lang_definitions` VALUES (94015, 800, 26, 'Impossibile trovare il documento di riferimento in postilla ');
INSERT INTO `lang_definitions` VALUES (94016, 801, 26, 'Impossibile trovare il fornitore di SQL-Ledger dipendente = ');
INSERT INTO `lang_definitions` VALUES (94017, 802, 26, 'Non è possibile modificare i pagamenti. Indistribuiti è negativo.');
INSERT INTO `lang_definitions` VALUES (94018, 803, 26, 'Impossibile aprire ');
INSERT INTO `lang_definitions` VALUES (94019, 804, 26, 'Impossibile inviare all\'assicurazione. L\'entità pagante è il Paziente');
INSERT INTO `lang_definitions` VALUES (94020, 805, 26, 'Impossibile inviare al paziente. L\'entità pagante è l\'Assicurazione');
INSERT INTO `lang_definitions` VALUES (94021, 806, 26, 'Non è possibile registrare i pagamenti. Indistribuiti è negativo.');
INSERT INTO `lang_definitions` VALUES (94022, 807, 26, 'Impossibile leggere');
INSERT INTO `lang_definitions` VALUES (94023, 808, 26, 'Impossibile leggere la directory');
INSERT INTO `lang_definitions` VALUES (94024, 809, 26, 'Impossibile aggiornare perchè non stai aggiornando un elemento esistente!');
INSERT INTO `lang_definitions` VALUES (94025, 810, 26, 'Metti in lettere maiuscole');
INSERT INTO `lang_definitions` VALUES (94026, 811, 26, 'Tutto maiuscolo');
INSERT INTO `lang_definitions` VALUES (94027, 812, 26, 'capsula');
INSERT INTO `lang_definitions` VALUES (94028, 813, 26, 'Carta');
INSERT INTO `lang_definitions` VALUES (94029, 814, 26, 'Caterizzazione Cardiaca');
INSERT INTO `lang_definitions` VALUES (94030, 815, 26, 'Ecocardiogramma');
INSERT INTO `lang_definitions` VALUES (94031, 816, 26, 'Cardiovascolare');
INSERT INTO `lang_definitions` VALUES (94032, 821, 26, 'Cartilagine / condrale / danni al disco');
INSERT INTO `lang_definitions` VALUES (94033, 822, 26, 'Lesione cartilaginea');
INSERT INTO `lang_definitions` VALUES (94034, 823, 26, 'Pulsazioni carotidee');
INSERT INTO `lang_definitions` VALUES (94035, 824, 26, 'cassa');
INSERT INTO `lang_definitions` VALUES (94036, 825, 26, 'Cassa');
INSERT INTO `lang_definitions` VALUES (94037, 826, 26, 'Reg Cassa');
INSERT INTO `lang_definitions` VALUES (94038, 827, 26, 'Incassi dal fornitore');
INSERT INTO `lang_definitions` VALUES (94039, 828, 26, 'Catalan- Valencian');
INSERT INTO `lang_definitions` VALUES (94040, 829, 26, 'Intervento di cataratta');
INSERT INTO `lang_definitions` VALUES (94041, 830, 26, 'Cataratta');
INSERT INTO `lang_definitions` VALUES (94042, 831, 26, 'Categorie');
INSERT INTO `lang_definitions` VALUES (94043, 832, 26, 'Categorie per');
INSERT INTO `lang_definitions` VALUES (94044, 833, 26, 'Categoria');
INSERT INTO `lang_definitions` VALUES (94045, 834, 26, 'categoria');
INSERT INTO `lang_definitions` VALUES (94046, 835, 26, 'Categoria ');
INSERT INTO `lang_definitions` VALUES (94047, 836, 26, 'Dettagli categoria');
INSERT INTO `lang_definitions` VALUES (94048, 837, 26, 'Limiti categoria');
INSERT INTO `lang_definitions` VALUES (94049, 838, 26, 'Nome categoria');
INSERT INTO `lang_definitions` VALUES (94050, 839, 26, 'Il nome della categoria è vuoto');
INSERT INTO `lang_definitions` VALUES (94051, 840, 26, 'Categoria/Titolo');
INSERT INTO `lang_definitions` VALUES (94052, 841, 26, 'Caucasico');
INSERT INTO `lang_definitions` VALUES (94053, 842, 26, 'Provoca incassi per la stampa Incontro / Info Fornitore primario');
INSERT INTO `lang_definitions` VALUES (94054, 846, 26, 'Approvare CCR');
INSERT INTO `lang_definitions` VALUES (94055, 847, 26, 'Revisione paziente CCR');
INSERT INTO `lang_definitions` VALUES (94056, 848, 26, 'Revisiona e approva CCR');
INSERT INTO `lang_definitions` VALUES (94057, 850, 26, 'CDR');
INSERT INTO `lang_definitions` VALUES (94058, 851, 26, 'CDR Reports priorità di elaborazione');
INSERT INTO `lang_definitions` VALUES (94059, 852, 26, 'Cell');
INSERT INTO `lang_definitions` VALUES (94060, 853, 26, 'Cellulare');
INSERT INTO `lang_definitions` VALUES (94061, 854, 26, 'Numero di cellulare');
INSERT INTO `lang_definitions` VALUES (94062, 855, 26, 'Numero di Celulare');
INSERT INTO `lang_definitions` VALUES (94063, 856, 26, 'Certificazione centrale');
INSERT INTO `lang_definitions` VALUES (94064, 857, 26, 'Centro/Sud America');
INSERT INTO `lang_definitions` VALUES (94065, 858, 26, 'Il file crt del certificato dell\'autorità non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (94066, 859, 26, 'Il file key del certificato dell\'autorità non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (94067, 860, 26, 'Certificato da inviare al RFC 5425 TSL syslog server.');
INSERT INTO `lang_definitions` VALUES (94068, 861, 26, 'Cetificato dell\'utente');
INSERT INTO `lang_definitions` VALUES (94069, 862, 26, 'Certificati');
INSERT INTO `lang_definitions` VALUES (94070, 863, 26, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (94071, 864, 26, 'Campione US');
INSERT INTO `lang_definitions` VALUES (94072, 865, 26, 'Campione USVA');
INSERT INTO `lang_definitions` VALUES (94073, 866, 26, 'cambia');
INSERT INTO `lang_definitions` VALUES (94074, 867, 26, 'Cambia');
INSERT INTO `lang_definitions` VALUES (94075, 868, 26, 'Cambio attività');
INSERT INTO `lang_definitions` VALUES (94076, 869, 26, 'Modifica non riuscita! CouchDB collegare errore?');
INSERT INTO `lang_definitions` VALUES (94077, 870, 26, 'Cambiamento nella visione');
INSERT INTO `lang_definitions` VALUES (94078, 871, 26, 'Cambiamento nella visione');
INSERT INTO `lang_definitions` VALUES (94079, 872, 26, 'Cambio Password');
INSERT INTO `lang_definitions` VALUES (94080, 874, 26, 'Cambiato');
INSERT INTO `lang_definitions` VALUES (94081, 875, 26, 'Osso sostituito');
INSERT INTO `lang_definitions` VALUES (94082, 876, 26, 'Cambiare ID paziente per documento');
INSERT INTO `lang_definitions` VALUES (94083, 877, 26, 'Caratteristiche');
INSERT INTO `lang_definitions` VALUES (94084, 878, 26, 'Caratteri rimanenti');
INSERT INTO `lang_definitions` VALUES (94085, 879, 26, 'Spese');
INSERT INTO `lang_definitions` VALUES (94086, 880, 26, 'Aggiustamento spese');
INSERT INTO `lang_definitions` VALUES (94087, 881, 26, 'Codice spesa');
INSERT INTO `lang_definitions` VALUES (94088, 882, 26, 'Spese');
INSERT INTO `lang_definitions` VALUES (94089, 883, 26, 'Tabulato');
INSERT INTO `lang_definitions` VALUES (94090, 884, 26, 'Tabulato Attività');
INSERT INTO `lang_definitions` VALUES (94091, 885, 26, 'Tabulato resoconto Ingresso/uscita');
INSERT INTO `lang_definitions` VALUES (94092, 886, 26, 'ID Tabulato');
INSERT INTO `lang_definitions` VALUES (94093, 887, 26, 'ID Tabulato:');
INSERT INTO `lang_definitions` VALUES (94094, 888, 26, 'Tabulato etichetta');
INSERT INTO `lang_definitions` VALUES (94095, 889, 26, 'Tabulato dell\'Attività della Sede');
INSERT INTO `lang_definitions` VALUES (94096, 890, 26, 'Nota al Tabulato');
INSERT INTO `lang_definitions` VALUES (94097, 891, 26, 'Numero del Tabulato');
INSERT INTO `lang_definitions` VALUES (94098, 892, 26, 'Tabella posizioni di memoria');
INSERT INTO `lang_definitions` VALUES (94099, 893, 26, 'Tracciatura tabelle');
INSERT INTO `lang_definitions` VALUES (94100, 894, 26, 'Tracciatura tabelle');
INSERT INTO `lang_definitions` VALUES (94101, 895, 26, 'Dati estratti');
INSERT INTO `lang_definitions` VALUES (94102, 896, 26, 'Dati usciti');
INSERT INTO `lang_definitions` VALUES (94103, 897, 26, 'Ceceno');
INSERT INTO `lang_definitions` VALUES (94104, 898, 26, 'Assegno');
INSERT INTO `lang_definitions` VALUES (94105, 899, 26, 'Assegno');
INSERT INTO `lang_definitions` VALUES (94106, 900, 26, 'Controlla tutto');
INSERT INTO `lang_definitions` VALUES (94107, 902, 26, 'Importo assegno');
INSERT INTO `lang_definitions` VALUES (94108, 903, 26, 'Data assegno');
INSERT INTO `lang_definitions` VALUES (94109, 904, 26, 'Controlla le differenze di traduzione con la tabella del linguaggio custom');
INSERT INTO `lang_definitions` VALUES (94110, 906, 26, 'Arrivo per');
INSERT INTO `lang_definitions` VALUES (94111, 907, 26, 'Verifica dati di ingresso');
INSERT INTO `lang_definitions` VALUES (94112, 908, 26, 'Spunta gli articoli da grafico');
INSERT INTO `lang_definitions` VALUES (94113, 909, 26, 'Controllo risultati di laboratorio');
INSERT INTO `lang_definitions` VALUES (94114, 910, 26, 'Segno di spunta indica recensione');
INSERT INTO `lang_definitions` VALUES (94115, 911, 26, 'Verifica n.');
INSERT INTO `lang_definitions` VALUES (94116, 912, 26, 'Verifica Numero');
INSERT INTO `lang_definitions` VALUES (94117, 915, 26, 'Pagamento per assegno');
INSERT INTO `lang_definitions` VALUES (94118, 916, 26, 'Spunta la casella se questo è un file criptato');
INSERT INTO `lang_definitions` VALUES (94119, 917, 26, 'Spunta questa se vuoi che gli eroganti vedano tutti gli appuntamenti e non solo i propri.');
INSERT INTO `lang_definitions` VALUES (94120, 918, 26, 'Verifica per creare risultato di questa diagnosi');
INSERT INTO `lang_definitions` VALUES (94121, 919, 26, 'Controllo/EOB data:');
INSERT INTO `lang_definitions` VALUES (94122, 920, 26, 'Controllo/EOB N.:');
INSERT INTO `lang_definitions` VALUES (94123, 921, 26, 'Assegno/Num rif.');
INSERT INTO `lang_definitions` VALUES (94124, 922, 26, 'Assegno/Numero di riferimento');
INSERT INTO `lang_definitions` VALUES (94125, 923, 26, 'Elenco di caselle di spunta');
INSERT INTO `lang_definitions` VALUES (94126, 924, 26, 'elenco di caselle di spunta');
INSERT INTO `lang_definitions` VALUES (94127, 925, 26, 'casella di spunta s/ testo');
INSERT INTO `lang_definitions` VALUES (94128, 926, 26, 'Casella di spunta s/ testo');
INSERT INTO `lang_definitions` VALUES (94129, 927, 26, 'Le caselle di controllo sopra indicano se si desidera rifiutare ed eliminare il file HL7.');
INSERT INTO `lang_definitions` VALUES (94130, 928, 26, 'Spuntato');
INSERT INTO `lang_definitions` VALUES (94131, 929, 26, 'Casella spuntata = si , vuota = no');
INSERT INTO `lang_definitions` VALUES (94132, 931, 26, 'Selezionando la casella di blocco si impedirà ulteriori modifiche in qualsiasi forma di questo incontro.');
INSERT INTO `lang_definitions` VALUES (94133, 932, 26, 'Cassa');
INSERT INTO `lang_definitions` VALUES (94134, 933, 26, 'Somma di controllo');
INSERT INTO `lang_definitions` VALUES (94135, 934, 26, 'Petto');
INSERT INTO `lang_definitions` VALUES (94136, 935, 26, 'Petto CTAB');
INSERT INTO `lang_definitions` VALUES (94137, 936, 26, 'Dolore al petto');
INSERT INTO `lang_definitions` VALUES (94138, 937, 26, 'Dolore al petto:');
INSERT INTO `lang_definitions` VALUES (94139, 938, 26, 'Dolori al petto');
INSERT INTO `lang_definitions` VALUES (94140, 940, 26, 'Chg');
INSERT INTO `lang_definitions` VALUES (94141, 941, 26, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (94142, 942, 26, 'Reclami responsabile');
INSERT INTO `lang_definitions` VALUES (94143, 943, 26, 'Figlio');
INSERT INTO `lang_definitions` VALUES (94144, 945, 26, 'Stato immunizzazione dell\'infanzia (CQM)');
INSERT INTO `lang_definitions` VALUES (94145, 946, 26, 'Brividi');
INSERT INTO `lang_definitions` VALUES (94146, 947, 26, 'Cinese');
INSERT INTO `lang_definitions` VALUES (94147, 948, 26, 'Cinese(Semplificato)');
INSERT INTO `lang_definitions` VALUES (94148, 949, 26, 'Cinese(Tradizionale)');
INSERT INTO `lang_definitions` VALUES (94149, 950, 26, 'Chiropratico');
INSERT INTO `lang_definitions` VALUES (94150, 951, 26, 'Scelte');
INSERT INTO `lang_definitions` VALUES (94151, 952, 26, 'Colicistectomia');
INSERT INTO `lang_definitions` VALUES (94152, 953, 26, 'colicistectomia');
INSERT INTO `lang_definitions` VALUES (94153, 954, 26, 'Colicistectomia');
INSERT INTO `lang_definitions` VALUES (94154, 955, 26, 'Scegli');
INSERT INTO `lang_definitions` VALUES (94155, 956, 26, 'Scegli una sezione e clicca un elemento al suo interno; allora nell\'altra sezione vedrai illuminarsi gli elementi correlati, e puoi cliccare in quella sezione per aggiungere e eliminare relazioni.');
INSERT INTO `lang_definitions` VALUES (94156, 957, 26, 'Scegli i criteri');
INSERT INTO `lang_definitions` VALUES (94157, 958, 26, 'Scegli sacrica o visualizza in linea');
INSERT INTO `lang_definitions` VALUES (94158, 959, 26, 'Scegliere File');
INSERT INTO `lang_definitions` VALUES (94159, 960, 26, 'Scegliere dalla lista');
INSERT INTO `lang_definitions` VALUES (94160, 961, 26, 'Scegli la direzione di pagina');
INSERT INTO `lang_definitions` VALUES (94161, 962, 26, 'Scegli l\'elenco');
INSERT INTO `lang_definitions` VALUES (94162, 963, 26, 'Scegli la dimesione della carta');
INSERT INTO `lang_definitions` VALUES (94163, 964, 26, 'Scegli la lingua di preferenza del PDF');
INSERT INTO `lang_definitions` VALUES (94164, 965, 26, 'Scegli il formato di stampa per questa relazione di incontro.');
INSERT INTO `lang_definitions` VALUES (94165, 967, 26, 'Bronchite Cronica');
INSERT INTO `lang_definitions` VALUES (94166, 968, 26, 'Dolore articolare cronico');
INSERT INTO `lang_definitions` VALUES (94167, 969, 26, 'Dolore cronico al rene (CDK)');
INSERT INTO `lang_definitions` VALUES (94168, 970, 26, 'Sinovite cronica/effusione/dolore articolare/gotta');
INSERT INTO `lang_definitions` VALUES (94169, 971, 26, 'Cronico/Ricorrente');
INSERT INTO `lang_definitions` VALUES (94170, 972, 26, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (94171, 973, 26, 'Cirrosi epatica');
INSERT INTO `lang_definitions` VALUES (94172, 974, 26, 'Cirrosi Epatica');
INSERT INTO `lang_definitions` VALUES (94173, 975, 26, 'Città');
INSERT INTO `lang_definitions` VALUES (94174, 976, 26, 'Nome città');
INSERT INTO `lang_definitions` VALUES (94175, 977, 26, 'Città, Provincia');
INSERT INTO `lang_definitions` VALUES (94176, 978, 26, 'Città, Provincia, CAP');
INSERT INTO `lang_definitions` VALUES (94177, 979, 26, 'Città/Provincia');
INSERT INTO `lang_definitions` VALUES (94178, 980, 26, 'Richiesta');
INSERT INTO `lang_definitions` VALUES (94179, 981, 26, 'Richiesta ');
INSERT INTO `lang_definitions` VALUES (94180, 982, 26, 'Stato richieste');
INSERT INTO `lang_definitions` VALUES (94181, 983, 26, 'Il test della richiesta è stato completato');
INSERT INTO `lang_definitions` VALUES (94182, 984, 26, 'Tipo richiesta');
INSERT INTO `lang_definitions` VALUES (94183, 985, 26, 'La richiesta è stata generata nel file');
INSERT INTO `lang_definitions` VALUES (94184, 986, 26, 'La richiesta è stata generata nel file ');
INSERT INTO `lang_definitions` VALUES (94185, 987, 26, 'Richiesta');
INSERT INTO `lang_definitions` VALUES (94186, 988, 26, 'Classificazione');
INSERT INTO `lang_definitions` VALUES (94187, 989, 26, 'Pulisci');
INSERT INTO `lang_definitions` VALUES (94188, 990, 26, 'CANCELLA PAZIENTE ATTIVO');
INSERT INTO `lang_definitions` VALUES (94189, 991, 26, 'Pulisci tutto');
INSERT INTO `lang_definitions` VALUES (94190, 992, 26, 'Pulisci i dati HL7');
INSERT INTO `lang_definitions` VALUES (94191, 993, 26, 'Pulisci giustificazione');
INSERT INTO `lang_definitions` VALUES (94192, 994, 26, 'Pulisci la cache Smarty');
INSERT INTO `lang_definitions` VALUES (94193, 995, 26, 'Info centro di smistamento necessaria per EDI 270 creazione di batch.');
INSERT INTO `lang_definitions` VALUES (94194, 996, 26, 'Numero CLIA');
INSERT INTO `lang_definitions` VALUES (94195, 997, 26, 'Clicca');
INSERT INTO `lang_definitions` VALUES (94196, 998, 26, 'Clicca \"esporta\" per esportare le Categorie, Subcategorie, Elementi, dati Contenuto in un file di testo. Qualsiasi similitudine di questo file con un file XML è puramente casuale. I tag di apertura e chiusura devono essere sulla stessa linea, in lettera minuscola e senza spazi. Per importare, scegli un file e clicca \"importa\". Se i dati sono completamente diversi, verrà effettuata l\'unione con i dati esistenti. Se ci sono nomi identici, i vecchi saranno mantenuti e i nuovi saranno salvati con un numero alla fine.');
INSERT INTO `lang_definitions` VALUES (94197, 999, 26, 'Clicca un contrassegno sul disegno per aggiungere una nuova annotazione, cliccalo di nuovo per rimuoverlo.');
INSERT INTO `lang_definitions` VALUES (94198, 1000, 26, 'Clicca \"Scarica Certificato\" per scaricare i certificati nel file ssl.zip');
INSERT INTO `lang_definitions` VALUES (94199, 1001, 26, 'clicca per altri dati');
INSERT INTO `lang_definitions` VALUES (94200, 1002, 26, 'Clicca per maggiori dettagli');
INSERT INTO `lang_definitions` VALUES (94201, 1003, 26, 'Clicca per riepilogo dell\'ordine');
INSERT INTO `lang_definitions` VALUES (94202, 1004, 26, 'Clicca per i risultati');
INSERT INTO `lang_definitions` VALUES (94203, 1005, 26, 'Clicca qui');
INSERT INTO `lang_definitions` VALUES (94204, 1006, 26, 'Clicca qui per aggiungere un nuovo paziente');
INSERT INTO `lang_definitions` VALUES (94205, 1007, 26, 'Clicca qui per aggiungere un cambiamento di stauts con nuova lesione e modificare l\'attività giornaliera');
INSERT INTO `lang_definitions` VALUES (94206, 1008, 26, 'Clicca qui per scegliere una data');
INSERT INTO `lang_definitions` VALUES (94207, 1009, 26, 'Clicca qui per scegliere una data e un\'ora');
INSERT INTO `lang_definitions` VALUES (94208, 1010, 26, 'Clicca qui per scegliere una data iniziale');
INSERT INTO `lang_definitions` VALUES (94209, 1011, 26, 'Clicca qui per scegliere ora la data');
INSERT INTO `lang_definitions` VALUES (94210, 1012, 26, 'Clicca qui per scegliere ora la data da');
INSERT INTO `lang_definitions` VALUES (94211, 1013, 26, 'Clicca qui per scegliere ora la data fino a');
INSERT INTO `lang_definitions` VALUES (94212, 1014, 26, 'Clicca qui per configurare questo modulo');
INSERT INTO `lang_definitions` VALUES (94213, 1016, 26, 'Clicca qui per disabilitare questo modulo');
INSERT INTO `lang_definitions` VALUES (94214, 1018, 26, 'Clicca qui per abilitare questo modulo');
INSERT INTO `lang_definitions` VALUES (94215, 1019, 26, 'Clicca qui per installare questo modulo');
INSERT INTO `lang_definitions` VALUES (94216, 1020, 26, 'clicca qui per cercare');
INSERT INTO `lang_definitions` VALUES (94217, 1021, 26, 'clicca qui per aggiornare le specifiche della priorità, categoria e soprannome');
INSERT INTO `lang_definitions` VALUES (94218, 1022, 26, 'Clicca qui per vedere tutto.');
INSERT INTO `lang_definitions` VALUES (94219, 1023, 26, 'Clicca qui per vedere e tracciare il grafico');
INSERT INTO `lang_definitions` VALUES (94220, 1024, 26, 'Clicca qui per visualizzare e tracciare il grafico di tutti i dati lab');
INSERT INTO `lang_definitions` VALUES (94221, 1025, 26, 'Clicca qui per vedere e tracciare il grafico di tutti i \"Vitali\".');
INSERT INTO `lang_definitions` VALUES (94222, 1026, 26, 'Clicca qui per vedere i dettagli del paziente');
INSERT INTO `lang_definitions` VALUES (94223, 1027, 26, 'Clicca qui per vederli tutti.');
INSERT INTO `lang_definitions` VALUES (94224, 1028, 26, 'Clicca qui per visualizzare / modificare ulteriori dettagli');
INSERT INTO `lang_definitions` VALUES (94225, 1029, 26, 'Clicca il pulsante Installa per installare la versione del database dalla data seguente');
INSERT INTO `lang_definitions` VALUES (94226, 1030, 26, 'Clicca su qualsiasi parte dell\'ora per incrementarla');
INSERT INTO `lang_definitions` VALUES (94227, 1031, 26, 'Clicca sul nome del Paziente per aprire la sua scheda');
INSERT INTO `lang_definitions` VALUES (94228, 1032, 26, 'Clicca Rigenera per vedere tutti i risultati, o immetti criteri di ricerca per vedere risultati specifci.');
INSERT INTO `lang_definitions` VALUES (94229, 1033, 26, 'Clicca per aggiungere una diagnosi');
INSERT INTO `lang_definitions` VALUES (94230, 1034, 26, 'Clicca per aggiungere nuove compnenti');
INSERT INTO `lang_definitions` VALUES (94231, 1035, 26, 'Clicca per aggiungere una nuova consulatazione');
INSERT INTO `lang_definitions` VALUES (94232, 1036, 26, 'Clicca per scegliere diagnosi da giustificare.');
INSERT INTO `lang_definitions` VALUES (94233, 1037, 26, 'Clicca per scaricare');
INSERT INTO `lang_definitions` VALUES (94234, 1038, 26, 'Clicca per modificare');
INSERT INTO `lang_definitions` VALUES (94235, 1039, 26, 'Clicca per modificare la descizione');
INSERT INTO `lang_definitions` VALUES (94236, 1040, 26, 'Clicca per modificare questo evento');
INSERT INTO `lang_definitions` VALUES (94237, 1041, 26, 'Clicca per generare il report');
INSERT INTO `lang_definitions` VALUES (94238, 1042, 26, 'Clicca per abbinare il paziente');
INSERT INTO `lang_definitions` VALUES (94239, 1043, 26, 'Clicca per stampare');
INSERT INTO `lang_definitions` VALUES (94240, 1044, 26, 'Clicca per ricevere (aggiungere) un nuovo lotto');
INSERT INTO `lang_definitions` VALUES (94241, 1045, 26, 'Clicca per selezionare');
INSERT INTO `lang_definitions` VALUES (94242, 1046, 26, 'Clicca per Selezionare');
INSERT INTO `lang_definitions` VALUES (94243, 1047, 26, 'Clicca per selezionare un codice standard-commerciale per questa procedura');
INSERT INTO `lang_definitions` VALUES (94244, 1048, 26, 'Clicca per selezionare il codice di procedura opzionale');
INSERT INTO `lang_definitions` VALUES (94245, 1049, 26, 'Clicca per selezionare o cambiare codice');
INSERT INTO `lang_definitions` VALUES (94246, 1050, 26, 'Clicca per selezionare o cambiare il codice CVX');
INSERT INTO `lang_definitions` VALUES (94247, 1051, 26, 'Clicca per selezionare o cambiare le diagnosi');
INSERT INTO `lang_definitions` VALUES (94248, 1052, 26, 'Clicca per selezionare o cambiare i codici delle prestazioni');
INSERT INTO `lang_definitions` VALUES (94249, 1053, 26, 'Clicca per selezionare il paziente');
INSERT INTO `lang_definitions` VALUES (94250, 1054, 26, 'Clicca per selezionare il codice relativo');
INSERT INTO `lang_definitions` VALUES (94251, 1055, 26, 'Clicca per selezionare le prestazioni da attuare se questo risultato è anormale');
INSERT INTO `lang_definitions` VALUES (94252, 1056, 26, 'Clicca per selezionare la procedura desiderata');
INSERT INTO `lang_definitions` VALUES (94253, 1057, 26, 'Clicca per ordinare');
INSERT INTO `lang_definitions` VALUES (94254, 1058, 26, 'Clicca per vedere');
INSERT INTO `lang_definitions` VALUES (94255, 1059, 26, 'Clicca per vedere o modificare');
INSERT INTO `lang_definitions` VALUES (94256, 1060, 26, 'Clicca per vedere/modificare');
INSERT INTO `lang_definitions` VALUES (94257, 1061, 26, 'Clicca il pulsante Aggiorna per aggiornare la versione del database dalla data seguente');
INSERT INTO `lang_definitions` VALUES (94258, 1062, 26, 'Clicca dove indicato sopra per abbinare il paziente.');
INSERT INTO `lang_definitions` VALUES (94259, 1063, 26, 'Click:');
INSERT INTO `lang_definitions` VALUES (94260, 1064, 26, 'Giorni di scadenza del certificato Client');
INSERT INTO `lang_definitions` VALUES (94261, 1065, 26, 'Periodo di validità del certificato Client');
INSERT INTO `lang_definitions` VALUES (94262, 1066, 26, 'La validità del certificato Client dovrebbe essere un numero valido.');
INSERT INTO `lang_definitions` VALUES (94263, 1067, 26, 'Copia per Cliente');
INSERT INTO `lang_definitions` VALUES (94264, 1069, 26, 'Sommario della storia medica del cliente');
INSERT INTO `lang_definitions` VALUES (94265, 1070, 26, 'Nome Cliente');
INSERT INTO `lang_definitions` VALUES (94266, 1071, 26, 'Numero Cliente');
INSERT INTO `lang_definitions` VALUES (94267, 1072, 26, 'Profilo Cliente - Nuovi Clienti');
INSERT INTO `lang_definitions` VALUES (94268, 1073, 26, 'Profilo Cliente - Unici Clienti');
INSERT INTO `lang_definitions` VALUES (94269, 1074, 26, 'Clienti');
INSERT INTO `lang_definitions` VALUES (94270, 1075, 26, 'Ambulatorio');
INSERT INTO `lang_definitions` VALUES (94271, 1076, 26, 'Copia ambulatorio');
INSERT INTO `lang_definitions` VALUES (94272, 1077, 26, 'Registro giornaliero ambulatorio');
INSERT INTO `lang_definitions` VALUES (94273, 1078, 26, 'ID ambulatorio');
INSERT INTO `lang_definitions` VALUES (94274, 1079, 26, 'Ambulatoriale');
INSERT INTO `lang_definitions` VALUES (94275, 1080, 26, 'Gestore delle Regole di allarme per decisioni cliniche.');
INSERT INTO `lang_definitions` VALUES (94276, 1081, 26, 'Anamnesi clinica');
INSERT INTO `lang_definitions` VALUES (94277, 1083, 26, 'Piani clinici');
INSERT INTO `lang_definitions` VALUES (94278, 1084, 26, 'Misure di qualità clinica (CQM)');
INSERT INTO `lang_definitions` VALUES (94279, 1085, 26, 'Misure di qualità clinica (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (94280, 1086, 26, 'Misure di qualità clinica (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (94281, 1087, 26, 'Promemoria clinici');
INSERT INTO `lang_definitions` VALUES (94282, 1088, 26, 'Rapporti Clinici');
INSERT INTO `lang_definitions` VALUES (94283, 1089, 26, 'Categoria azione per la regola clinica');
INSERT INTO `lang_definitions` VALUES (94284, 1090, 26, 'Elemento azione per regola clinica');
INSERT INTO `lang_definitions` VALUES (94285, 1091, 26, 'Metodi filtro per la regola clinica');
INSERT INTO `lang_definitions` VALUES (94286, 1092, 26, 'Metodi obiettivo per la regola clinica');
INSERT INTO `lang_definitions` VALUES (94287, 1093, 26, 'Regole cliniche');
INSERT INTO `lang_definitions` VALUES (94288, 1094, 26, 'Regole cliniche Intervalli di Età');
INSERT INTO `lang_definitions` VALUES (94289, 1095, 26, 'Regole cliniche Confronti');
INSERT INTO `lang_definitions` VALUES (94290, 1096, 26, 'Regole cliniche Tipi di Incontro');
INSERT INTO `lang_definitions` VALUES (94291, 1097, 26, 'Regole cliniche Opzioni promemoria saldo');
INSERT INTO `lang_definitions` VALUES (94292, 1098, 26, 'Regole cliniche Opzioni di disattivazione promemoria');
INSERT INTO `lang_definitions` VALUES (94293, 1099, 26, 'Regole cliniche Intervalli per Promemoria');
INSERT INTO `lang_definitions` VALUES (94294, 1100, 26, 'Regole cliniche Metodi per Promemoria');
INSERT INTO `lang_definitions` VALUES (94295, 1101, 26, 'Regole cliniche Intervalli Obiettivi');
INSERT INTO `lang_definitions` VALUES (94296, 1102, 26, 'Obiettivi clinici');
INSERT INTO `lang_definitions` VALUES (94297, 1103, 26, 'Termine clinico');
INSERT INTO `lang_definitions` VALUES (94298, 1104, 26, 'Codice(i) termine(i) clinico(i)');
INSERT INTO `lang_definitions` VALUES (94299, 1106, 26, 'Clinici(medici)');
INSERT INTO `lang_definitions` VALUES (94300, 1107, 26, 'Clona');
INSERT INTO `lang_definitions` VALUES (94301, 1108, 26, 'Clona Visita passata');
INSERT INTO `lang_definitions` VALUES (94302, 1109, 26, 'Chiudi');
INSERT INTO `lang_definitions` VALUES (94303, 1110, 26, 'Chiudi Finestra');
INSERT INTO `lang_definitions` VALUES (94304, 1111, 26, 'chiudi finestra');
INSERT INTO `lang_definitions` VALUES (94305, 1112, 26, 'Chiuso/a');
INSERT INTO `lang_definitions` VALUES (94306, 1113, 26, 'cm');
INSERT INTO `lang_definitions` VALUES (94307, 1114, 26, 'Margini CMS 1500');
INSERT INTO `lang_definitions` VALUES (94308, 1115, 26, 'CMS 1500 formato modulo carta');
INSERT INTO `lang_definitions` VALUES (94309, 1116, 26, 'CMS 1500: formato Box 31');
INSERT INTO `lang_definitions` VALUES (94310, 1117, 26, 'CMS 1500: Dati nel Box 31(Firma)');
INSERT INTO `lang_definitions` VALUES (94311, 1118, 26, 'ID CMS');
INSERT INTO `lang_definitions` VALUES (94312, 1119, 26, 'CMS portale');
INSERT INTO `lang_definitions` VALUES (94313, 1120, 26, 'CMS accesso al portale');
INSERT INTO `lang_definitions` VALUES (94314, 1121, 26, 'CMS ID accesso al portale');
INSERT INTO `lang_definitions` VALUES (94315, 1122, 26, 'CMS portale non attivato!');
INSERT INTO `lang_definitions` VALUES (94316, 1123, 26, 'CMS Password del portale');
INSERT INTO `lang_definitions` VALUES (94317, 1124, 26, 'CMS Richiesta portale');
INSERT INTO `lang_definitions` VALUES (94318, 1125, 26, 'CMS indirizzo del sito del portale');
INSERT INTO `lang_definitions` VALUES (94319, 1126, 26, 'CMS Nome utente del portale');
INSERT INTO `lang_definitions` VALUES (94320, 1127, 26, 'CN2-12 intatto');
INSERT INTO `lang_definitions` VALUES (94321, 1128, 26, 'Copagamento');
INSERT INTO `lang_definitions` VALUES (94322, 1129, 26, 'Copagamento pagato');
INSERT INTO `lang_definitions` VALUES (94323, 1130, 26, 'COPAGAMENTO');
INSERT INTO `lang_definitions` VALUES (94324, 1131, 26, 'Codice');
INSERT INTO `lang_definitions` VALUES (94325, 1132, 26, 'codice');
INSERT INTO `lang_definitions` VALUES (94326, 1133, 26, 'Cercatore di codice');
INSERT INTO `lang_definitions` VALUES (94327, 1134, 26, 'Il codice deve essere di due lettere minuscole');
INSERT INTO `lang_definitions` VALUES (94328, 1135, 26, 'Codice o simbolo per indicare la moneta');
INSERT INTO `lang_definitions` VALUES (94329, 1136, 26, 'Codice testo');
INSERT INTO `lang_definitions` VALUES (94330, 1137, 26, 'Tipo di Codice');
INSERT INTO `lang_definitions` VALUES (94331, 1138, 26, 'tipo di codice');
INSERT INTO `lang_definitions` VALUES (94332, 1139, 26, 'Tipo di codice non trovato');
INSERT INTO `lang_definitions` VALUES (94333, 1140, 26, 'Tipo di codice non ancora definito');
INSERT INTO `lang_definitions` VALUES (94334, 1141, 26, 'Tipi di Codice');
INSERT INTO `lang_definitions` VALUES (94335, 1142, 26, 'Codice(i)');
INSERT INTO `lang_definitions` VALUES (94336, 1143, 26, 'Codificato');
INSERT INTO `lang_definitions` VALUES (94337, 1144, 26, 'Codici');
INSERT INTO `lang_definitions` VALUES (94338, 1145, 26, 'Codifica');
INSERT INTO `lang_definitions` VALUES (94339, 1146, 26, 'Codificazione (clicca per le istruzioni)');
INSERT INTO `lang_definitions` VALUES (94340, 1147, 26, 'Codifica - eventuali incontri (scrivere, qualche opzione)');
INSERT INTO `lang_definitions` VALUES (94341, 1148, 26, 'Codifica - i miei incontri (scrivere, qualche opzione)');
INSERT INTO `lang_definitions` VALUES (94342, 1149, 26, 'Codifica non autorizzata');
INSERT INTO `lang_definitions` VALUES (94343, 1150, 26, 'Caffè');
INSERT INTO `lang_definitions` VALUES (94344, 1151, 26, 'Utilizzo di caffè');
INSERT INTO `lang_definitions` VALUES (94345, 1152, 26, 'Coassicurazione');
INSERT INTO `lang_definitions` VALUES (94346, 1153, 26, 'Contrai t/s');
INSERT INTO `lang_definitions` VALUES (94347, 1154, 26, 'Contrai');
INSERT INTO `lang_definitions` VALUES (94348, 1155, 26, 'contrai');
INSERT INTO `lang_definitions` VALUES (94349, 1156, 26, 'Contrai Tutto');
INSERT INTO `lang_definitions` VALUES (94350, 1157, 26, 'Contrai tutto');
INSERT INTO `lang_definitions` VALUES (94351, 1158, 26, 'Contrai tutto');
INSERT INTO `lang_definitions` VALUES (94352, 1160, 26, 'Data Raccolta');
INSERT INTO `lang_definitions` VALUES (94353, 1161, 26, 'Raccolte');
INSERT INTO `lang_definitions` VALUES (94354, 1162, 26, 'Resoconto Raccolte');
INSERT INTO `lang_definitions` VALUES (94355, 1163, 26, 'Cancro al Colon');
INSERT INTO `lang_definitions` VALUES (94356, 1164, 26, 'Screening per Cancro al Colon');
INSERT INTO `lang_definitions` VALUES (94357, 1165, 26, 'Intervento per Cancro al Colon');
INSERT INTO `lang_definitions` VALUES (94358, 1166, 26, 'Colonoscopia');
INSERT INTO `lang_definitions` VALUES (94359, 1167, 26, 'colonoscopia');
INSERT INTO `lang_definitions` VALUES (94360, 1168, 26, 'Colore');
INSERT INTO `lang_definitions` VALUES (94361, 1169, 26, 'Colore:Abbr');
INSERT INTO `lang_definitions` VALUES (94362, 1170, 26, 'Colonna');
INSERT INTO `lang_definitions` VALUES (94363, 1171, 26, 'Colonne');
INSERT INTO `lang_definitions` VALUES (94364, 1172, 26, 'Combinazione Lotti');
INSERT INTO `lang_definitions` VALUES (94365, 1173, 26, 'Virgola');
INSERT INTO `lang_definitions` VALUES (94366, 1174, 26, 'Commento');
INSERT INTO `lang_definitions` VALUES (94367, 1175, 26, 'Commenti');
INSERT INTO `lang_definitions` VALUES (94368, 1176, 26, 'Commenti per questo risultato o raccomandazione');
INSERT INTO `lang_definitions` VALUES (94369, 1177, 26, 'Soc. Assicurazione Commerciale');
INSERT INTO `lang_definitions` VALUES (94370, 1178, 26, 'Assegna i Cambiamenti');
INSERT INTO `lang_definitions` VALUES (94371, 1179, 26, 'Comunicazione');
INSERT INTO `lang_definitions` VALUES (94372, 1180, 26, 'Comunicazioni');
INSERT INTO `lang_definitions` VALUES (94373, 1182, 26, 'Società');
INSERT INTO `lang_definitions` VALUES (94374, 1183, 26, 'Nome della Società');
INSERT INTO `lang_definitions` VALUES (94375, 1184, 26, 'Completa');
INSERT INTO `lang_definitions` VALUES (94376, 1186, 26, 'Completato');
INSERT INTO `lang_definitions` VALUES (94377, 1188, 26, 'Completato?');
INSERT INTO `lang_definitions` VALUES (94378, 1190, 26, 'Complicazioni da parte del fornitore servizi');
INSERT INTO `lang_definitions` VALUES (94379, 1191, 26, 'Complicanze di Aborto');
INSERT INTO `lang_definitions` VALUES (94380, 1192, 26, 'Componenti');
INSERT INTO `lang_definitions` VALUES (94381, 1193, 26, 'Computer Aided Medical Sistema di ordinazione');
INSERT INTO `lang_definitions` VALUES (94382, 1194, 26, 'Conclusioni');
INSERT INTO `lang_definitions` VALUES (94383, 1198, 26, 'Config');
INSERT INTO `lang_definitions` VALUES (94384, 1199, 26, 'Configurazione');
INSERT INTO `lang_definitions` VALUES (94385, 1200, 26, 'Esporta/Importa configurazione');
INSERT INTO `lang_definitions` VALUES (94386, 1201, 26, 'Configurazione salvata con successo');
INSERT INTO `lang_definitions` VALUES (94387, 1202, 26, 'Configura Apache e LibreEHR per usare i certificati SSL lato client');
INSERT INTO `lang_definitions` VALUES (94388, 1203, 26, 'Configura Apache per usare certificati SSL lato client');
INSERT INTO `lang_definitions` VALUES (94389, 1204, 26, 'Configura Apache per usare HTTPS');
INSERT INTO `lang_definitions` VALUES (94390, 1205, 26, 'Configura LIBREEHR per usare certificati SSL lato client');
INSERT INTO `lang_definitions` VALUES (94391, 1206, 26, 'Traccia configurazioni');
INSERT INTO `lang_definitions` VALUES (94392, 1207, 26, 'Traccia Configurazioni');
INSERT INTO `lang_definitions` VALUES (94393, 1208, 26, 'Conferma creazione Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (94394, 1209, 26, 'Conferma nuova password');
INSERT INTO `lang_definitions` VALUES (94395, 1210, 26, 'Conferma Pagamento');
INSERT INTO `lang_definitions` VALUES (94396, 1214, 26, 'Congenito(a)');
INSERT INTO `lang_definitions` VALUES (94397, 1215, 26, 'Congiuntiva, pupille');
INSERT INTO `lang_definitions` VALUES (94398, 1216, 26, 'Errore di connessione');
INSERT INTO `lang_definitions` VALUES (94399, 1217, 26, 'Connettori');
INSERT INTO `lang_definitions` VALUES (94400, 1218, 26, 'Costante');
INSERT INTO `lang_definitions` VALUES (94401, 1219, 26, 'nome della costante');
INSERT INTO `lang_definitions` VALUES (94402, 1220, 26, 'Il nome della costante è vuoto');
INSERT INTO `lang_definitions` VALUES (94403, 1221, 26, 'costanti');
INSERT INTO `lang_definitions` VALUES (94404, 1222, 26, 'Costipazione');
INSERT INTO `lang_definitions` VALUES (94405, 1223, 26, 'Costituzionale');
INSERT INTO `lang_definitions` VALUES (94406, 1226, 26, 'Breve Descrizione Consulto');
INSERT INTO `lang_definitions` VALUES (94407, 1227, 26, 'Contatto');
INSERT INTO `lang_definitions` VALUES (94408, 1228, 26, 'Email per contatto');
INSERT INTO `lang_definitions` VALUES (94409, 1229, 26, 'Indirizzo email per contatto');
INSERT INTO `lang_definitions` VALUES (94410, 1230, 26, 'Contattare EMR diretto per iscriversi al servizio phiMail diretto di messaggistica');
INSERT INTO `lang_definitions` VALUES (94411, 1231, 26, 'info contatto');
INSERT INTO `lang_definitions` VALUES (94412, 1232, 26, 'Lenti a contatto');
INSERT INTO `lang_definitions` VALUES (94413, 1233, 26, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (94414, 1234, 26, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (94415, 1236, 26, 'Nome del contatto');
INSERT INTO `lang_definitions` VALUES (94416, 1237, 26, 'Persona per contatto');
INSERT INTO `lang_definitions` VALUES (94417, 1238, 26, 'Contatto telefonico');
INSERT INTO `lang_definitions` VALUES (94418, 1239, 26, 'Numero telefono contatto');
INSERT INTO `lang_definitions` VALUES (94419, 1240, 26, 'Contatta ZMG, LLC (zmghealth@gmail.com) per aderire al servizio eRX');
INSERT INTO `lang_definitions` VALUES (94420, 1241, 26, 'contiene tre o quattro elementi seguenti:');
INSERT INTO `lang_definitions` VALUES (94421, 1242, 26, 'Nome gruppo di contenitore');
INSERT INTO `lang_definitions` VALUES (94422, 1243, 26, 'Contenuto');
INSERT INTO `lang_definitions` VALUES (94423, 1244, 26, 'contenuto');
INSERT INTO `lang_definitions` VALUES (94424, 1245, 26, 'Contesto');
INSERT INTO `lang_definitions` VALUES (94425, 1246, 26, 'Il nome del contesto non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (94426, 1247, 26, 'Continua');
INSERT INTO `lang_definitions` VALUES (94427, 1248, 26, 'Continuità del documento di cura (CCD)');
INSERT INTO `lang_definitions` VALUES (94428, 1249, 26, 'Continuità del registo di cura (CCR)');
INSERT INTO `lang_definitions` VALUES (94429, 1250, 26, 'Contra clienti');
INSERT INTO `lang_definitions` VALUES (94430, 1251, 26, 'Contraccezione');
INSERT INTO `lang_definitions` VALUES (94431, 1252, 26, 'Tematiche contraccezione');
INSERT INTO `lang_definitions` VALUES (94432, 1253, 26, 'Complicanze contraccettive (specificare)');
INSERT INTO `lang_definitions` VALUES (94433, 1254, 26, 'Metodo contraccettivo');
INSERT INTO `lang_definitions` VALUES (94434, 1255, 26, 'Prodotti contraccettivi');
INSERT INTO `lang_definitions` VALUES (94435, 1256, 26, 'Prestazioni per la contraccezionei iniziate precedentemente');
INSERT INTO `lang_definitions` VALUES (94436, 1257, 26, 'Inizio contraccettivi');
INSERT INTO `lang_definitions` VALUES (94437, 1258, 26, 'ID Controllo');
INSERT INTO `lang_definitions` VALUES (94438, 1259, 26, 'Controllo Nr.');
INSERT INTO `lang_definitions` VALUES (94439, 1261, 26, 'COPAGAMENTO');
INSERT INTO `lang_definitions` VALUES (94440, 1262, 26, 'Co-paga');
INSERT INTO `lang_definitions` VALUES (94441, 1263, 26, 'Co-Paga');
INSERT INTO `lang_definitions` VALUES (94442, 1264, 26, 'Co-paga non positivo');
INSERT INTO `lang_definitions` VALUES (94443, 1265, 26, 'Co-paga pagamento');
INSERT INTO `lang_definitions` VALUES (94444, 1266, 26, 'Copagamenti');
INSERT INTO `lang_definitions` VALUES (94445, 1267, 26, 'COPD');
INSERT INTO `lang_definitions` VALUES (94446, 1268, 26, 'Copia le pagine al Tabulato del paziente');
INSERT INTO `lang_definitions` VALUES (94447, 1269, 26, 'Copiare i valori');
INSERT INTO `lang_definitions` VALUES (94448, 1270, 26, 'Sto copiando il file del databse. Ci vorrà un po\' di tempo...');
INSERT INTO `lang_definitions` VALUES (94449, 1271, 26, 'Avviso di Copyright');
INSERT INTO `lang_definitions` VALUES (94450, 1272, 26, 'Cornish');
INSERT INTO `lang_definitions` VALUES (94451, 1273, 26, 'Bypass arteriocoronarico');
INSERT INTO `lang_definitions` VALUES (94452, 1274, 26, 'Intervento di bypass coronarico (CABG)');
INSERT INTO `lang_definitions` VALUES (94453, 1275, 26, 'Corretto');
INSERT INTO `lang_definitions` VALUES (94454, 1276, 26, 'Corsican');
INSERT INTO `lang_definitions` VALUES (94455, 1277, 26, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (94456, 1278, 26, 'CouchDB Connessione fallita.');
INSERT INTO `lang_definitions` VALUES (94457, 1279, 26, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (94458, 1280, 26, 'CouchDB nome Database');
INSERT INTO `lang_definitions` VALUES (94459, 1281, 26, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (94460, 1282, 26, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (94461, 1283, 26, 'CouchDB Log Enable');
INSERT INTO `lang_definitions` VALUES (94462, 1284, 26, 'CouchDB Password');
INSERT INTO `lang_definitions` VALUES (94463, 1285, 26, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (94464, 1286, 26, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (94465, 1287, 26, 'CouchDB salvataggio fallito');
INSERT INTO `lang_definitions` VALUES (94466, 1288, 26, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (94467, 1289, 26, 'Tosse');
INSERT INTO `lang_definitions` VALUES (94468, 1290, 26, 'Tosse:');
INSERT INTO `lang_definitions` VALUES (94469, 1291, 26, 'impossibile connettersi al server');
INSERT INTO `lang_definitions` VALUES (94470, 1293, 26, 'impossibile aprire la tabella');
INSERT INTO `lang_definitions` VALUES (94471, 1294, 26, 'Non è stato possibile leggere il file');
INSERT INTO `lang_definitions` VALUES (94472, 1295, 26, 'Non è stato possibile leggere il file');
INSERT INTO `lang_definitions` VALUES (94473, 1296, 26, 'Non è stato possibile inviare la email per un problema del server ');
INSERT INTO `lang_definitions` VALUES (94474, 1297, 26, 'Impossibile inviare e-mail a causa di un problema del server. ');
INSERT INTO `lang_definitions` VALUES (94475, 1298, 26, 'Non è stato possibile creare la dir del backup:');
INSERT INTO `lang_definitions` VALUES (94476, 1299, 26, 'Non è stato possibile rimuovere la dir:');
INSERT INTO `lang_definitions` VALUES (94477, 1300, 26, 'Non è stato possibile rimuovere il vecchio file di backup:');
INSERT INTO `lang_definitions` VALUES (94478, 1301, 26, 'Non è stato possibile rimuovere il vecchio file di esportazione:');
INSERT INTO `lang_definitions` VALUES (94479, 1302, 26, 'Gestione Coumadin - Monitoraggio');
INSERT INTO `lang_definitions` VALUES (94480, 1303, 26, 'Assist. con metodo');
INSERT INTO `lang_definitions` VALUES (94481, 1304, 26, 'Assistenza');
INSERT INTO `lang_definitions` VALUES (94482, 1305, 26, 'Attività di assistenza');
INSERT INTO `lang_definitions` VALUES (94483, 1306, 26, 'DEFERIMENTO MODULO CONTATORE');
INSERT INTO `lang_definitions` VALUES (94484, 1307, 26, 'Contatore-deferimento');
INSERT INTO `lang_definitions` VALUES (94485, 1308, 26, 'Nazione');
INSERT INTO `lang_definitions` VALUES (94486, 1309, 26, 'Tipo di dato Nazione');
INSERT INTO `lang_definitions` VALUES (94487, 1310, 26, 'Elenco Nazioni');
INSERT INTO `lang_definitions` VALUES (94488, 1311, 26, 'Lista Paesi(scrivere, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (94489, 1312, 26, 'Il nome della nazione dovrebbe essere essere indicato da due lettere. (esempio: Italia è IT)');
INSERT INTO `lang_definitions` VALUES (94490, 1313, 26, 'contea');
INSERT INTO `lang_definitions` VALUES (94491, 1315, 26, 'Buono');
INSERT INTO `lang_definitions` VALUES (94492, 1318, 26, 'CPT');
INSERT INTO `lang_definitions` VALUES (94493, 1319, 26, 'Codice CPT');
INSERT INTO `lang_definitions` VALUES (94494, 1320, 26, 'Codici CPT');
INSERT INTO `lang_definitions` VALUES (94495, 1321, 26, 'CPT4 Procedura/Servizio');
INSERT INTO `lang_definitions` VALUES (94496, 1322, 26, 'CPTII misure delle prestazioni');
INSERT INTO `lang_definitions` VALUES (94497, 1323, 26, 'CQM');
INSERT INTO `lang_definitions` VALUES (94498, 1324, 26, 'Cricchiolii:');
INSERT INTO `lang_definitions` VALUES (94499, 1325, 26, 'crema');
INSERT INTO `lang_definitions` VALUES (94500, 1326, 26, 'Crea un certificato SSL lato Client per ciascun utente o macchina client.');
INSERT INTO `lang_definitions` VALUES (94501, 1327, 26, 'Crea un certificato SSL lato Client o per l\'utente o per l\'hostname client');
INSERT INTO `lang_definitions` VALUES (94502, 1328, 26, 'Crea una nuova traccia');
INSERT INTO `lang_definitions` VALUES (94503, 1329, 26, 'Crea un Evento');
INSERT INTO `lang_definitions` VALUES (94504, 1330, 26, 'Crea e scarica un backup completo');
INSERT INTO `lang_definitions` VALUES (94505, 1331, 26, 'Crea e modifica traccie');
INSERT INTO `lang_definitions` VALUES (94506, 1332, 26, 'Crea backup');
INSERT INTO `lang_definitions` VALUES (94507, 1333, 26, 'Crea batch');
INSERT INTO `lang_definitions` VALUES (94508, 1334, 26, 'Crea Certificato Client');
INSERT INTO `lang_definitions` VALUES (94509, 1335, 26, 'Crea i certificati SSL lato Client');
INSERT INTO `lang_definitions` VALUES (94510, 1336, 26, 'Crea duplicato');
INSERT INTO `lang_definitions` VALUES (94511, 1337, 26, 'Crea incontro');
INSERT INTO `lang_definitions` VALUES (94512, 1338, 26, 'Crea backup Registro eventi');
INSERT INTO `lang_definitions` VALUES (94513, 1339, 26, 'Crea Nuova Tematica');
INSERT INTO `lang_definitions` VALUES (94514, 1340, 26, 'Crea Nuovo paziente');
INSERT INTO `lang_definitions` VALUES (94515, 1341, 26, 'Crea nuova Traccia');
INSERT INTO `lang_definitions` VALUES (94516, 1342, 26, 'Crea le credenziali del Portale Offsite');
INSERT INTO `lang_definitions` VALUES (94517, 1343, 26, 'Crea le credenziali del Portale Onsite');
INSERT INTO `lang_definitions` VALUES (94518, 1344, 26, 'Crea Nota paziente');
INSERT INTO `lang_definitions` VALUES (94519, 1345, 26, 'Crea il certificato di autorità SSL e i certificati del Server');
INSERT INTO `lang_definitions` VALUES (94520, 1346, 26, 'Crea Visita');
INSERT INTO `lang_definitions` VALUES (94521, 1347, 26, 'Creato');
INSERT INTO `lang_definitions` VALUES (94522, 1348, 26, 'Crea file di esportazione');
INSERT INTO `lang_definitions` VALUES (94523, 1349, 26, 'Creazione nuova traccia fallita');
INSERT INTO `lang_definitions` VALUES (94524, 1350, 26, 'La creazione di questo file sulla macchina remota non è riuscita');
INSERT INTO `lang_definitions` VALUES (94525, 1351, 26, 'Creatore');
INSERT INTO `lang_definitions` VALUES (94526, 1352, 26, 'credito');
INSERT INTO `lang_definitions` VALUES (94527, 1353, 26, 'Carta di Credito');
INSERT INTO `lang_definitions` VALUES (94528, 1354, 26, 'Crediti');
INSERT INTO `lang_definitions` VALUES (94529, 1355, 26, 'Cree');
INSERT INTO `lang_definitions` VALUES (94530, 1356, 26, 'Criteri');
INSERT INTO `lang_definitions` VALUES (94531, 1357, 26, 'Croatian');
INSERT INTO `lang_definitions` VALUES (94532, 1358, 26, 'Morbo di Crohn');
INSERT INTO `lang_definitions` VALUES (94533, 1359, 26, 'Morbo di Crohn');
INSERT INTO `lang_definitions` VALUES (94534, 1360, 26, 'Esporta CSV');
INSERT INTO `lang_definitions` VALUES (94535, 1361, 26, 'File CSV');
INSERT INTO `lang_definitions` VALUES (94536, 1362, 26, 'Tabelle CVS');
INSERT INTO `lang_definitions` VALUES (94537, 1363, 26, 'CU.MM(Millimetri cubi)');
INSERT INTO `lang_definitions` VALUES (94538, 1364, 26, 'Cubano');
INSERT INTO `lang_definitions` VALUES (94539, 1365, 26, 'Posti decimali della moneta');
INSERT INTO `lang_definitions` VALUES (94540, 1366, 26, 'Simbolo del punto decimale per la moneta');
INSERT INTO `lang_definitions` VALUES (94541, 1367, 26, 'Indicatore di moneta');
INSERT INTO `lang_definitions` VALUES (94542, 1368, 26, 'Separatore delle migliaia per la moneta');
INSERT INTO `lang_definitions` VALUES (94543, 1369, 26, 'Attuale');
INSERT INTO `lang_definitions` VALUES (94544, 1370, 26, 'Alcool attuale');
INSERT INTO `lang_definitions` VALUES (94545, 1371, 26, 'consultazione attuale');
INSERT INTO `lang_definitions` VALUES (94546, 1372, 26, 'Criteri attuali');
INSERT INTO `lang_definitions` VALUES (94547, 1373, 26, 'Colore del giorno evidenziato attuale');
INSERT INTO `lang_definitions` VALUES (94548, 1374, 26, 'Fumatore quotidiano attuale');
INSERT INTO `lang_definitions` VALUES (94549, 1375, 26, 'Il nome dle file corrente è stato cambiato in');
INSERT INTO `lang_definitions` VALUES (94550, 1376, 26, 'Hash attuale');
INSERT INTO `lang_definitions` VALUES (94551, 1377, 26, 'Collocazione attuale');
INSERT INTO `lang_definitions` VALUES (94552, 1378, 26, 'Farmaci attuali');
INSERT INTO `lang_definitions` VALUES (94553, 1379, 26, 'Password attuale');
INSERT INTO `lang_definitions` VALUES (94554, 1380, 26, 'Paziente attuale');
INSERT INTO `lang_definitions` VALUES (94555, 1381, 26, 'Solo Pt Attuale');
INSERT INTO `lang_definitions` VALUES (94556, 1382, 26, 'Droghe ricreazionali attuali');
INSERT INTO `lang_definitions` VALUES (94557, 1383, 26, 'Fumatore saltuario attuale');
INSERT INTO `lang_definitions` VALUES (94558, 1385, 26, 'Valore attuale');
INSERT INTO `lang_definitions` VALUES (94559, 1386, 26, 'Attualmente attivo');
INSERT INTO `lang_definitions` VALUES (94560, 1387, 26, 'Attualmente in esecuzione');
INSERT INTO `lang_definitions` VALUES (94561, 1388, 26, 'Attualmente non ci sono sedi.');
INSERT INTO `lang_definitions` VALUES (94562, 1389, 26, 'Sindrome di Cushing');
INSERT INTO `lang_definitions` VALUES (94563, 1390, 26, 'Sindrome di Cushing');
INSERT INTO `lang_definitions` VALUES (94564, 1392, 26, 'Personalizzato');
INSERT INTO `lang_definitions` VALUES (94565, 1393, 26, 'Input personalizzato?');
INSERT INTO `lang_definitions` VALUES (94566, 1394, 26, 'Tabella personalizzazione');
INSERT INTO `lang_definitions` VALUES (94567, 1396, 26, 'Codice CVX');
INSERT INTO `lang_definitions` VALUES (94568, 1397, 26, 'Codice mappa CVX');
INSERT INTO `lang_definitions` VALUES (94569, 1398, 26, 'Immunizzazione CVX');
INSERT INTO `lang_definitions` VALUES (94570, 1399, 26, 'Ciclo');
INSERT INTO `lang_definitions` VALUES (94571, 1400, 26, 'CYP');
INSERT INTO `lang_definitions` VALUES (94572, 1401, 26, 'Fattore CYP');
INSERT INTO `lang_definitions` VALUES (94573, 1402, 26, 'Report CYP');
INSERT INTO `lang_definitions` VALUES (94574, 1403, 26, 'Ceco');
INSERT INTO `lang_definitions` VALUES (94575, 1404, 26, 'D');
INSERT INTO `lang_definitions` VALUES (94576, 1405, 26, 'D&C');
INSERT INTO `lang_definitions` VALUES (94577, 1406, 26, 'D&E');
INSERT INTO `lang_definitions` VALUES (94578, 1407, 26, 'D.di N.');
INSERT INTO `lang_definitions` VALUES (94579, 1408, 26, 'Giornaliero');
INSERT INTO `lang_definitions` VALUES (94580, 1409, 26, 'registrazione giornaliera');
INSERT INTO `lang_definitions` VALUES (94581, 1410, 26, 'Danese');
INSERT INTO `lang_definitions` VALUES (94582, 1411, 26, 'La stessa versione dei dati è già presente nel database, vi preghiamo di cambiare il codice e / o descrizione');
INSERT INTO `lang_definitions` VALUES (94583, 1412, 26, 'La stessa versione dei dati è già presente nel database, vi preghiamo di cambiare la costante del nome');
INSERT INTO `lang_definitions` VALUES (94584, 1413, 26, 'Colonne dati');
INSERT INTO `lang_definitions` VALUES (94585, 1416, 26, 'Errore dati');
INSERT INTO `lang_definitions` VALUES (94586, 1417, 26, 'Dati da');
INSERT INTO `lang_definitions` VALUES (94587, 1419, 26, 'dati di tutti gli incontri finora');
INSERT INTO `lang_definitions` VALUES (94588, 1420, 26, 'Tipo dati');
INSERT INTO `lang_definitions` VALUES (94589, 1421, 26, 'Database');
INSERT INTO `lang_definitions` VALUES (94590, 1422, 26, 'Database non installato.');
INSERT INTO `lang_definitions` VALUES (94591, 1423, 26, 'Patch database');
INSERT INTO `lang_definitions` VALUES (94592, 1424, 26, 'Reporting database');
INSERT INTO `lang_definitions` VALUES (94593, 1425, 26, 'Aggiornamento database concluso.');
INSERT INTO `lang_definitions` VALUES (94594, 1426, 26, 'Il numero di colonne deve essere da 1 a 999');
INSERT INTO `lang_definitions` VALUES (94595, 1427, 26, 'Data');
INSERT INTO `lang_definitions` VALUES (94596, 1428, 26, 'DATA');
INSERT INTO `lang_definitions` VALUES (94597, 1429, 26, 'Data e ora Somministrato');
INSERT INTO `lang_definitions` VALUES (94598, 1431, 26, 'Data somministrato');
INSERT INTO `lang_definitions` VALUES (94599, 1432, 26, 'Data e ora della raccolta dei campioni');
INSERT INTO `lang_definitions` VALUES (94600, 1433, 26, 'Data e ora di questa osservazione');
INSERT INTO `lang_definitions` VALUES (94601, 1435, 26, 'Data e ora in cui il campione è stato raccolto');
INSERT INTO `lang_definitions` VALUES (94602, 1436, 26, 'La data non può essere maggiore di Oggi');
INSERT INTO `lang_definitions` VALUES (94603, 1437, 26, 'Data delle prestazioni contraccettive fornite inizialmente');
INSERT INTO `lang_definitions` VALUES (94604, 1438, 26, 'Data creazione');
INSERT INTO `lang_definitions` VALUES (94605, 1439, 26, 'Data decesso');
INSERT INTO `lang_definitions` VALUES (94606, 1440, 26, 'Data distrutta');
INSERT INTO `lang_definitions` VALUES (94607, 1441, 26, 'Formato di visione della data');
INSERT INTO `lang_definitions` VALUES (94608, 1442, 26, 'Il formato della data per \"fine appuntamento\" non è valido');
INSERT INTO `lang_definitions` VALUES (94609, 1443, 26, 'Il formato della data per \"inizio appuntamento\" non è valido');
INSERT INTO `lang_definitions` VALUES (94610, 1444, 26, 'Il formato per \"Prossimo Appuntamento\" non è valido');
INSERT INTO `lang_definitions` VALUES (94611, 1445, 26, 'Il formato per \"non visto dal\" non è valido');
INSERT INTO `lang_definitions` VALUES (94612, 1446, 26, 'Il formato per \"visto dal\" non è valido');
INSERT INTO `lang_definitions` VALUES (94613, 1447, 26, 'Data di immunizzazione dichiarazioni e informazioni fornite');
INSERT INTO `lang_definitions` VALUES (94614, 1448, 26, 'Data mancante per il codice ');
INSERT INTO `lang_definitions` VALUES (94615, 1449, 26, 'Criteri master date');
INSERT INTO `lang_definitions` VALUES (94616, 1450, 26, 'Data del deposito bancario aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (94617, 1451, 26, 'Data di fatturazione');
INSERT INTO `lang_definitions` VALUES (94618, 1452, 26, 'Data di Nascita');
INSERT INTO `lang_definitions` VALUES (94619, 1453, 26, 'Data di nascita');
INSERT INTO `lang_definitions` VALUES (94620, 1454, 26, 'Data DI Nascita');
INSERT INTO `lang_definitions` VALUES (94621, 1455, 26, 'Data di immissione');
INSERT INTO `lang_definitions` VALUES (94622, 1456, 26, 'Data della Lesione');
INSERT INTO `lang_definitions` VALUES (94623, 1458, 26, 'Data del pagamento aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (94624, 1459, 26, 'Data della consultazione');
INSERT INTO `lang_definitions` VALUES (94625, 1460, 26, 'Data della replica');
INSERT INTO `lang_definitions` VALUES (94626, 1461, 26, 'Data del Report');
INSERT INTO `lang_definitions` VALUES (94627, 1462, 26, 'Data della prestazione');
INSERT INTO `lang_definitions` VALUES (94628, 1463, 26, 'Data della prestazione');
INSERT INTO `lang_definitions` VALUES (94629, 1464, 26, 'Data della Prestazione = Oggi');
INSERT INTO `lang_definitions` VALUES (94630, 1465, 26, 'Data della prestazione mm/gg/aaaa');
INSERT INTO `lang_definitions` VALUES (94631, 1466, 26, 'Data della Prestazione:');
INSERT INTO `lang_definitions` VALUES (94632, 1467, 26, 'Data Della Firma');
INSERT INTO `lang_definitions` VALUES (94633, 1468, 26, 'Data di cambiamento di stato');
INSERT INTO `lang_definitions` VALUES (94634, 1469, 26, 'Data di questo ordine');
INSERT INTO `lang_definitions` VALUES (94635, 1470, 26, 'Data di questo rapporto');
INSERT INTO `lang_definitions` VALUES (94636, 1471, 26, 'Data dichiarazione VIS');
INSERT INTO `lang_definitions` VALUES (94637, 1472, 26, 'Data ordinata');
INSERT INTO `lang_definitions` VALUES (94638, 1474, 26, 'Selettore Data');
INSERT INTO `lang_definitions` VALUES (94639, 1475, 26, 'Selettore data');
INSERT INTO `lang_definitions` VALUES (94640, 1476, 26, 'Data Invio');
INSERT INTO `lang_definitions` VALUES (94641, 1477, 26, 'Data del messaggio inviato');
INSERT INTO `lang_definitions` VALUES (94642, 1478, 26, 'Data Ora');
INSERT INTO `lang_definitions` VALUES (94643, 1479, 26, 'Il valore della data non può essere in bianco');
INSERT INTO `lang_definitions` VALUES (94644, 1480, 26, 'Data/Appt');
INSERT INTO `lang_definitions` VALUES (94645, 1481, 26, 'Data/Note');
INSERT INTO `lang_definitions` VALUES (94646, 1482, 26, 'Data/Ultime note');
INSERT INTO `lang_definitions` VALUES (94647, 1483, 26, 'Data/Ora');
INSERT INTO `lang_definitions` VALUES (94648, 1484, 26, 'Data:');
INSERT INTO `lang_definitions` VALUES (94649, 1485, 26, 'Data messaggio di log');
INSERT INTO `lang_definitions` VALUES (94650, 1486, 26, 'Giorno');
INSERT INTO `lang_definitions` VALUES (94651, 1487, 26, 'giorno');
INSERT INTO `lang_definitions` VALUES (94652, 1489, 26, 'Vista giorno');
INSERT INTO `lang_definitions` VALUES (94653, 1490, 26, 'Giorno(i)');
INSERT INTO `lang_definitions` VALUES (94654, 1491, 26, 'Giorno(i) M-F');
INSERT INTO `lang_definitions` VALUES (94655, 1492, 26, 'giorni');
INSERT INTO `lang_definitions` VALUES (94656, 1493, 26, 'Giorni');
INSERT INTO `lang_definitions` VALUES (94657, 1494, 26, 'giorni fa');
INSERT INTO `lang_definitions` VALUES (94658, 1495, 26, 'Giorni e giochi senza risposta');
INSERT INTO `lang_definitions` VALUES (94659, 1496, 26, 'Giorni dall\'ultimo incontro');
INSERT INTO `lang_definitions` VALUES (94660, 1497, 26, 'Giorni mancanti');
INSERT INTO `lang_definitions` VALUES (94661, 1498, 26, 'Giorni per colonna:');
INSERT INTO `lang_definitions` VALUES (94662, 1500, 26, 'Giorni/Col:');
INSERT INTO `lang_definitions` VALUES (94663, 1501, 26, 'DB installato');
INSERT INTO `lang_definitions` VALUES (94664, 1502, 26, 'GG/MM/AAAA');
INSERT INTO `lang_definitions` VALUES (94665, 1503, 26, 'De-Identificazione');
INSERT INTO `lang_definitions` VALUES (94666, 1504, 26, 'Processo di de-identificazione completato');
INSERT INTO `lang_definitions` VALUES (94667, 1505, 26, 'Il processo di de-identificazione è in corso');
INSERT INTO `lang_definitions` VALUES (94668, 1506, 26, 'Il processo di de-identificazione è iniziato ed è in corso in background');
INSERT INTO `lang_definitions` VALUES (94669, 1507, 26, 'I dati de-identificati potrebbero essere incompleti');
INSERT INTO `lang_definitions` VALUES (94670, 1508, 26, 'I file di de-identificazione saranno salvati in');
INSERT INTO `lang_definitions` VALUES (94671, 1509, 26, 'DEA');
INSERT INTO `lang_definitions` VALUES (94672, 1511, 26, 'Non udente');
INSERT INTO `lang_definitions` VALUES (94673, 1512, 26, 'Informazione di debug');
INSERT INTO `lang_definitions` VALUES (94674, 1514, 26, 'Debugging');
INSERT INTO `lang_definitions` VALUES (94675, 1515, 26, 'Dic');
INSERT INTO `lang_definitions` VALUES (94676, 1516, 26, 'DECEDUTO');
INSERT INTO `lang_definitions` VALUES (94677, 1517, 26, 'Dicembre');
INSERT INTO `lang_definitions` VALUES (94678, 1518, 26, 'Libbre decimali o libbre e once separati da # (per esempio 5 # 4)');
INSERT INTO `lang_definitions` VALUES (94679, 1519, 26, 'Rifiutato di specificare');
INSERT INTO `lang_definitions` VALUES (94680, 1520, 26, 'Deducibile');
INSERT INTO `lang_definitions` VALUES (94681, 1521, 26, 'Met. Deducibile');
INSERT INTO `lang_definitions` VALUES (94682, 1522, 26, 'Default');
INSERT INTO `lang_definitions` VALUES (94683, 1523, 26, 'Vista Agenda di Defautl');
INSERT INTO `lang_definitions` VALUES (94684, 1524, 26, 'ID del modulo incontro di default');
INSERT INTO `lang_definitions` VALUES (94685, 1526, 26, 'Sede di default');
INSERT INTO `lang_definitions` VALUES (94686, 1527, 26, 'Lingua di default');
INSERT INTO `lang_definitions` VALUES (94687, 1528, 26, 'Lingua di default in assenza di scelta o permessi');
INSERT INTO `lang_definitions` VALUES (94688, 1529, 26, 'Elenco di default (scrittura, solo-aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (94689, 1530, 26, 'Metodo di default');
INSERT INTO `lang_definitions` VALUES (94690, 1531, 26, 'Giorni di scadenza password di default');
INSERT INTO `lang_definitions` VALUES (94691, 1532, 26, 'Periodo di validità della password in giorni. 0 significa che questa caratteristica è disabilitata.');
INSERT INTO `lang_definitions` VALUES (94692, 1533, 26, 'Paese predefinito del paziente');
INSERT INTO `lang_definitions` VALUES (94693, 1535, 26, 'Priorità predefinita');
INSERT INTO `lang_definitions` VALUES (94694, 1536, 26, 'Erogante predefinito');
INSERT INTO `lang_definitions` VALUES (94695, 1537, 26, 'Intervallo predefinito');
INSERT INTO `lang_definitions` VALUES (94696, 1538, 26, 'Motivo della visita predefinito');
INSERT INTO `lang_definitions` VALUES (94697, 1540, 26, 'Parametri predefiniti');
INSERT INTO `lang_definitions` VALUES (94698, 1541, 26, 'Stato di default del checkbox nuova finestra nell\'elenco pazienti.');
INSERT INTO `lang_definitions` VALUES (94699, 1542, 26, 'Impaginazione di default');
INSERT INTO `lang_definitions` VALUES (94700, 1546, 26, 'Unità di default');
INSERT INTO `lang_definitions` VALUES (94701, 1547, 26, 'Valore di default');
INSERT INTO `lang_definitions` VALUES (94702, 1548, 26, 'Magazzino di default');
INSERT INTO `lang_definitions` VALUES (94703, 1549, 26, 'Partner di default X12');
INSERT INTO `lang_definitions` VALUES (94704, 1550, 26, 'Default/Globale');
INSERT INTO `lang_definitions` VALUES (94705, 1551, 26, 'Canc');
INSERT INTO `lang_definitions` VALUES (94706, 1552, 26, 'canc');
INSERT INTO `lang_definitions` VALUES (94707, 1553, 26, 'Recidiva ritardata (> 12 Mesi)');
INSERT INTO `lang_definitions` VALUES (94708, 1554, 26, 'Elimina');
INSERT INTO `lang_definitions` VALUES (94709, 1555, 26, 'elimina');
INSERT INTO `lang_definitions` VALUES (94710, 1556, 26, 'Elimina le categorie con ID: ');
INSERT INTO `lang_definitions` VALUES (94711, 1557, 26, 'Elimina la categoria');
INSERT INTO `lang_definitions` VALUES (94712, 1559, 26, 'Eliminazione fallita!');
INSERT INTO `lang_definitions` VALUES (94713, 1560, 26, 'Elimina il gruppo');
INSERT INTO `lang_definitions` VALUES (94714, 1561, 26, 'Elimina l\'elenco');
INSERT INTO `lang_definitions` VALUES (94715, 1562, 26, 'Elimina le pagine');
INSERT INTO `lang_definitions` VALUES (94716, 1563, 26, 'Elimina paziente, incontro, modulo, tematica, pagamento, fattura o transazione');
INSERT INTO `lang_definitions` VALUES (94717, 1565, 26, 'Elimina la riga');
INSERT INTO `lang_definitions` VALUES (94718, 1566, 26, 'Elimina gli elementi selezionati');
INSERT INTO `lang_definitions` VALUES (94719, 1567, 26, 'Elimina gli elementi richiesti');
INSERT INTO `lang_definitions` VALUES (94720, 1568, 26, 'Eliminazione riuscita.');
INSERT INTO `lang_definitions` VALUES (94721, 1569, 26, 'Elimina questo documento');
INSERT INTO `lang_definitions` VALUES (94722, 1570, 26, 'Elimina questo modulo');
INSERT INTO `lang_definitions` VALUES (94723, 1571, 26, 'Elimina questa nota');
INSERT INTO `lang_definitions` VALUES (94724, 1572, 26, 'Eliminazione riuscita');
INSERT INTO `lang_definitions` VALUES (94725, 1573, 26, 'Eliminazione riuscita.');
INSERT INTO `lang_definitions` VALUES (94726, 1574, 26, 'Eliminazione');
INSERT INTO `lang_definitions` VALUES (94727, 1575, 26, 'L\'eliminazione di questo evento non può essere annullata. Non può essere recuperata una volta eliminata. Sei sicuro di voler cancellare questo evento?');
INSERT INTO `lang_definitions` VALUES (94728, 1576, 26, 'Consegna confermata');
INSERT INTO `lang_definitions` VALUES (94729, 1577, 26, 'La consegna non è consentita all\'indirizzo diretto specificato.');
INSERT INTO `lang_definitions` VALUES (94730, 1578, 26, 'La consegna non è al momento consentita all\'indirizzo diretto specificato.');
INSERT INTO `lang_definitions` VALUES (94731, 1579, 26, 'La consegna del documento clinico allegato è stata richiesta dal paziente.');
INSERT INTO `lang_definitions` VALUES (94732, 1580, 26, 'La consegna del documento clinico allegato è stata richiesta dal paziente.');
INSERT INTO `lang_definitions` VALUES (94733, 1581, 26, 'Demenza');
INSERT INTO `lang_definitions` VALUES (94734, 1582, 26, 'Demografica');
INSERT INTO `lang_definitions` VALUES (94735, 1583, 26, 'Demografica (scrittura,solo aggiunte opzionale)');
INSERT INTO `lang_definitions` VALUES (94736, 1585, 26, 'Criteri filtro Demografica');
INSERT INTO `lang_definitions` VALUES (94737, 1586, 26, 'Demografica non autorizzata');
INSERT INTO `lang_definitions` VALUES (94738, 1587, 26, 'Demografica non autorizzata.');
INSERT INTO `lang_definitions` VALUES (94739, 1588, 26, 'Negato');
INSERT INTO `lang_definitions` VALUES (94740, 1589, 26, 'Denominatore');
INSERT INTO `lang_definitions` VALUES (94741, 1590, 26, 'Dentale');
INSERT INTO `lang_definitions` VALUES (94742, 1591, 26, 'Lista Tematica Dentale');
INSERT INTO `lang_definitions` VALUES (94743, 1592, 26, 'Tematica dentale');
INSERT INTO `lang_definitions` VALUES (94744, 1593, 26, 'Moduli di dipendenza');
INSERT INTO `lang_definitions` VALUES (94745, 1594, 26, 'Problemi di dipendenza');
INSERT INTO `lang_definitions` VALUES (94746, 1595, 26, 'A seconda del tipo di disegno di legge che si sta testando vedrete HCFA come uscita su una pagina vuota per le fatture HCFA, vedrete molte righe di testo un po \'confuso e informazioni se si sta testando un reclamo X12. Questo testo confuso è il formato EDI X12 4010A. Di tanto in tanto vedrete strani caratteri che assomigliano a tessere o squiglies, questi sono caratteri di controllo come feed pagina e sono normali.');
INSERT INTO `lang_definitions` VALUES (94747, 1596, 26, 'Data deposito');
INSERT INTO `lang_definitions` VALUES (94748, 1597, 26, 'La data del deposito non può essere maggiore di Oggi');
INSERT INTO `lang_definitions` VALUES (94749, 1598, 26, 'Data deposito:');
INSERT INTO `lang_definitions` VALUES (94750, 1599, 26, 'Depresso');
INSERT INTO `lang_definitions` VALUES (94751, 1600, 26, 'Depressione');
INSERT INTO `lang_definitions` VALUES (94752, 1601, 26, 'DESC');
INSERT INTO `lang_definitions` VALUES (94753, 1602, 26, 'Descrizione');
INSERT INTO `lang_definitions` VALUES (94754, 1603, 26, 'descrizione');
INSERT INTO `lang_definitions` VALUES (94755, 1604, 26, 'Descrizione è un testo predefinito');
INSERT INTO `lang_definitions` VALUES (94756, 1605, 26, 'Descrizione dell\'Informativa');
INSERT INTO `lang_definitions` VALUES (94757, 1606, 26, 'Descrizione di questa procedura o del codice risultato');
INSERT INTO `lang_definitions` VALUES (94758, 1607, 26, 'Traduzione della Descrizione');
INSERT INTO `lang_definitions` VALUES (94759, 1608, 26, 'Nome del file desiderato');
INSERT INTO `lang_definitions` VALUES (94760, 1609, 26, 'Destinazione');
INSERT INTO `lang_definitions` VALUES (94761, 1610, 26, 'Nome del file destinazione');
INSERT INTO `lang_definitions` VALUES (94762, 1611, 26, 'Distruggere Lotto');
INSERT INTO `lang_definitions` VALUES (94763, 1612, 26, 'Sto distruggendo...');
INSERT INTO `lang_definitions` VALUES (94764, 1613, 26, 'Distrutto');
INSERT INTO `lang_definitions` VALUES (94765, 1614, 26, 'Farmaci distrutti');
INSERT INTO `lang_definitions` VALUES (94766, 1615, 26, 'Resoconto Farmaci distrutti');
INSERT INTO `lang_definitions` VALUES (94767, 1616, 26, 'Dettaglio');
INSERT INTO `lang_definitions` VALUES (94768, 1617, 26, 'Dettagli');
INSERT INTO `lang_definitions` VALUES (94769, 1619, 26, 'Anormalità dello sviluppo');
INSERT INTO `lang_definitions` VALUES (94770, 1620, 26, 'Diabete');
INSERT INTO `lang_definitions` VALUES (94771, 1621, 26, 'Diabete mellito');
INSERT INTO `lang_definitions` VALUES (94772, 1622, 26, 'Diabete: Gestione della pressione sanguigna (CQM)');
INSERT INTO `lang_definitions` VALUES (94773, 1623, 26, 'Diabete: Esame occhio');
INSERT INTO `lang_definitions` VALUES (94774, 1624, 26, 'Diabete: Esame occhio (CQM)');
INSERT INTO `lang_definitions` VALUES (94775, 1625, 26, 'Diabete: Esame piede');
INSERT INTO `lang_definitions` VALUES (94776, 1626, 26, 'Diabete: Esame piede (CQM)');
INSERT INTO `lang_definitions` VALUES (94777, 1627, 26, 'Diabete: HbA1c scarso controllo (CQM)');
INSERT INTO `lang_definitions` VALUES (94778, 1628, 26, 'Diabete: Emoglobina A1C');
INSERT INTO `lang_definitions` VALUES (94779, 1629, 26, 'Diabete: LDL Gestione e Controllo (CQM)');
INSERT INTO `lang_definitions` VALUES (94780, 1630, 26, 'Diabete: Microalbumina nelle urine');
INSERT INTO `lang_definitions` VALUES (94781, 1631, 26, 'Diag');
INSERT INTO `lang_definitions` VALUES (94782, 1632, 26, 'Diagnosi');
INSERT INTO `lang_definitions` VALUES (94783, 1633, 26, 'Diagnosi');
INSERT INTO `lang_definitions` VALUES (94784, 1634, 26, 'Codice Diagnosi');
INSERT INTO `lang_definitions` VALUES (94785, 1635, 26, 'Codici Diagnosi');
INSERT INTO `lang_definitions` VALUES (94786, 1636, 26, 'Data Diagnosi');
INSERT INTO `lang_definitions` VALUES (94787, 1637, 26, 'La diagnosi deve essere codificata all\'interno di un incontro collegato');
INSERT INTO `lang_definitions` VALUES (94788, 1638, 26, 'Nome Diagnosi');
INSERT INTO `lang_definitions` VALUES (94789, 1639, 26, 'Resoconto Diagnosi');
INSERT INTO `lang_definitions` VALUES (94790, 1640, 26, 'Rapporto diagnosi');
INSERT INTO `lang_definitions` VALUES (94791, 1641, 26, 'Solo rapporto diagnosi');
INSERT INTO `lang_definitions` VALUES (94792, 1642, 26, 'Titolo Diagnosi');
INSERT INTO `lang_definitions` VALUES (94793, 1643, 26, 'Diagnosi:');
INSERT INTO `lang_definitions` VALUES (94794, 1644, 26, 'Diagnosi: ');
INSERT INTO `lang_definitions` VALUES (94795, 1645, 26, 'Test diagnostici:');
INSERT INTO `lang_definitions` VALUES (94796, 1646, 26, 'Chiama');
INSERT INTO `lang_definitions` VALUES (94797, 1647, 26, 'Diaframmi / Cappucci');
INSERT INTO `lang_definitions` VALUES (94798, 1648, 26, 'Diarrea');
INSERT INTO `lang_definitions` VALUES (94799, 1650, 26, 'Dettato');
INSERT INTO `lang_definitions` VALUES (94800, 1651, 26, 'Dettato: ');
INSERT INTO `lang_definitions` VALUES (94801, 1652, 26, 'Hai ricevuto una copia dell\'Avviso HIPPA');
INSERT INTO `lang_definitions` VALUES (94802, 1653, 26, 'Diffuso:');
INSERT INTO `lang_definitions` VALUES (94803, 1654, 26, 'Firmato digitalmente');
INSERT INTO `lang_definitions` VALUES (94804, 1657, 26, 'Mail diretta');
INSERT INTO `lang_definitions` VALUES (94805, 1658, 26, 'Log messaggi diretti');
INSERT INTO `lang_definitions` VALUES (94806, 1659, 26, 'Messaggi diretti ricevuti.');
INSERT INTO `lang_definitions` VALUES (94807, 1660, 26, 'I messaggi diretti non sono al momento disponibili.');
INSERT INTO `lang_definitions` VALUES (94808, 1661, 26, 'Invio messaggi diretti fallito.');
INSERT INTO `lang_definitions` VALUES (94809, 1663, 26, 'Nome Direttore');
INSERT INTO `lang_definitions` VALUES (94810, 1664, 26, 'Eliminazione directory fallita; continuare.');
INSERT INTO `lang_definitions` VALUES (94811, 1665, 26, 'Disabilità');
INSERT INTO `lang_definitions` VALUES (94812, 1666, 26, 'Disabile');
INSERT INTO `lang_definitions` VALUES (94813, 1667, 26, 'Disabilita Agenda');
INSERT INTO `lang_definitions` VALUES (94814, 1668, 26, 'Disattiva tracciatura tabella');
INSERT INTO `lang_definitions` VALUES (94815, 1669, 26, 'Disabilita Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (94816, 1670, 26, 'Disabilita la vecchi ametrica dei Vitali');
INSERT INTO `lang_definitions` VALUES (94817, 1672, 26, 'Disabilita phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (94818, 1673, 26, 'Disabilita Prescrizioni');
INSERT INTO `lang_definitions` VALUES (94819, 1674, 26, 'Disabilita Gruppi Utenti');
INSERT INTO `lang_definitions` VALUES (94820, 1675, 26, 'disabilitato');
INSERT INTO `lang_definitions` VALUES (94821, 1676, 26, 'Disabilitato');
INSERT INTO `lang_definitions` VALUES (94822, 1677, 26, 'Beneficiario disabile sotto i 65 anni con grande gruppo piano sanitario');
INSERT INTO `lang_definitions` VALUES (94823, 1678, 26, 'DISC');
INSERT INTO `lang_definitions` VALUES (94824, 1679, 26, 'Scartare');
INSERT INTO `lang_definitions` VALUES (94825, 1680, 26, 'Scartato');
INSERT INTO `lang_definitions` VALUES (94826, 1681, 26, 'Scarico');
INSERT INTO `lang_definitions` VALUES (94827, 1682, 26, 'Scarico dall\'uretra');
INSERT INTO `lang_definitions` VALUES (94828, 1684, 26, 'Scarico destro');
INSERT INTO `lang_definitions` VALUES (94829, 1685, 26, 'Scarico destro:');
INSERT INTO `lang_definitions` VALUES (94830, 1688, 26, 'Dimesso');
INSERT INTO `lang_definitions` VALUES (94831, 1689, 26, 'info Informativa');
INSERT INTO `lang_definitions` VALUES (94832, 1690, 26, 'Tipo Informativa');
INSERT INTO `lang_definitions` VALUES (94833, 1691, 26, 'Tipi Informativa');
INSERT INTO `lang_definitions` VALUES (94834, 1692, 26, 'Informative');
INSERT INTO `lang_definitions` VALUES (94835, 1694, 26, 'Sconto');
INSERT INTO `lang_definitions` VALUES (94836, 1695, 26, 'Importo sconto');
INSERT INTO `lang_definitions` VALUES (94837, 1696, 26, 'Livello di sconto');
INSERT INTO `lang_definitions` VALUES (94838, 1697, 26, 'Percentuale di sconto');
INSERT INTO `lang_definitions` VALUES (94839, 1698, 26, 'Sconti  a partire da piani finianziari');
INSERT INTO `lang_definitions` VALUES (94840, 1699, 26, 'Sconti in fase di check-out sono inseriti come somme di denaro, al contrario di percentuale.');
INSERT INTO `lang_definitions` VALUES (94841, 1700, 26, 'Risultato discreto');
INSERT INTO `lang_definitions` VALUES (94842, 1701, 26, 'Malattia');
INSERT INTO `lang_definitions` VALUES (94843, 1702, 26, 'Dislocazione');
INSERT INTO `lang_definitions` VALUES (94844, 1703, 26, 'Disp #');
INSERT INTO `lang_definitions` VALUES (94845, 1704, 26, 'Dispaccio');
INSERT INTO `lang_definitions` VALUES (94846, 1705, 26, 'Dispaccio documento ricevuto');
INSERT INTO `lang_definitions` VALUES (94847, 1706, 26, 'Dispensato');
INSERT INTO `lang_definitions` VALUES (94848, 1707, 26, 'Mostra dichiarazioni anticipate nella pagina demografici.');
INSERT INTO `lang_definitions` VALUES (94849, 1708, 26, 'Mostra i documenti');
INSERT INTO `lang_definitions` VALUES (94850, 1709, 26, 'Visualizzare le date di eventi in blocco?');
INSERT INTO `lang_definitions` VALUES (94851, 1710, 26, 'Formato di visualizzazione per i pesi degli Stati Uniti');
INSERT INTO `lang_definitions` VALUES (94852, 1711, 26, 'Mostrare quanti eventi?');
INSERT INTO `lang_definitions` VALUES (94853, 1713, 26, 'Visualizza posizione nel blocco?');
INSERT INTO `lang_definitions` VALUES (94854, 1714, 26, 'Mostrare il nome');
INSERT INTO `lang_definitions` VALUES (94855, 1715, 26, 'Mostrare l\'agenda?');
INSERT INTO `lang_definitions` VALUES (94856, 1718, 26, 'Mostro gli eventi di oggi nel blocco?');
INSERT INTO `lang_definitions` VALUES (94857, 1719, 26, 'Mostro l\'argomento nel blocco');
INSERT INTO `lang_definitions` VALUES (94858, 1720, 26, 'Mostro i prossimi appuntamenti nel blocco?');
INSERT INTO `lang_definitions` VALUES (94859, 1721, 26, 'Colonne mostrate');
INSERT INTO `lang_definitions` VALUES (94860, 1722, 26, 'Sto mostrando il seguente numero di informative più recenti:');
INSERT INTO `lang_definitions` VALUES (94861, 1723, 26, 'Sto mostrando il seguente numero di note più recenti');
INSERT INTO `lang_definitions` VALUES (94862, 1724, 26, 'Sto mostrando il seguente numero di note più recenti:');
INSERT INTO `lang_definitions` VALUES (94863, 1725, 26, 'Distribuzione');
INSERT INTO `lang_definitions` VALUES (94864, 1726, 26, 'Distribuzioni');
INSERT INTO `lang_definitions` VALUES (94865, 1727, 26, 'Distributore');
INSERT INTO `lang_definitions` VALUES (94866, 1728, 26, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (94867, 1729, 26, 'Diverticolite');
INSERT INTO `lang_definitions` VALUES (94868, 1730, 26, 'Intervento per diverticolite');
INSERT INTO `lang_definitions` VALUES (94869, 1731, 26, 'Diverticolite');
INSERT INTO `lang_definitions` VALUES (94870, 1732, 26, 'Intervento per diverticolite');
INSERT INTO `lang_definitions` VALUES (94871, 1733, 26, 'Divorziato(a)');
INSERT INTO `lang_definitions` VALUES (94872, 1734, 26, 'Vertigini:');
INSERT INTO `lang_definitions` VALUES (94873, 1735, 26, 'Non cambiare');
INSERT INTO `lang_definitions` VALUES (94874, 1737, 26, 'Non visualizzare allergie caricate ultimamente');
INSERT INTO `lang_definitions` VALUES (94875, 1739, 26, 'Non visualizzare farmaci caricati ultimamente');
INSERT INTO `lang_definitions` VALUES (94876, 1742, 26, 'Non mostrare il calendario');
INSERT INTO `lang_definitions` VALUES (94877, 1744, 26, 'Non mettere in inventario o vendere alcun prodotto');
INSERT INTO `lang_definitions` VALUES (94878, 1745, 26, 'Non è richiesto che le note siano autorizzate');
INSERT INTO `lang_definitions` VALUES (94879, 1746, 26, 'Non riesumare l\'ordine');
INSERT INTO `lang_definitions` VALUES (94880, 1747, 26, 'non salvare');
INSERT INTO `lang_definitions` VALUES (94881, 1748, 26, 'non sostituire');
INSERT INTO `lang_definitions` VALUES (94882, 1749, 26, 'non fare nulla');
INSERT INTO `lang_definitions` VALUES (94883, 1751, 26, 'Vuoi veramente eliminare');
INSERT INTO `lang_definitions` VALUES (94884, 1752, 26, 'Vuoi veramente eliminare la selezione?');
INSERT INTO `lang_definitions` VALUES (94885, 1753, 26, 'Vuoi veramente eliminare questo gruppo');
INSERT INTO `lang_definitions` VALUES (94886, 1754, 26, 'Vuoi veramente eliminare?');
INSERT INTO `lang_definitions` VALUES (94887, 1755, 26, 'Vuoi continuare?');
INSERT INTO `lang_definitions` VALUES (94888, 1756, 26, 'Vuoi eliminare questo?');
INSERT INTO `lang_definitions` VALUES (94889, 1757, 26, 'Vuoi eliminare?');
INSERT INTO `lang_definitions` VALUES (94890, 1758, 26, 'Vuoi rimuovere questo record?');
INSERT INTO `lang_definitions` VALUES (94891, 1759, 26, 'Vuoi continuare ad aggiungere questo paziente?');
INSERT INTO `lang_definitions` VALUES (94892, 1760, 26, 'Vuoi continuare con il nuovo nome?');
INSERT INTO `lang_definitions` VALUES (94893, 1761, 26, 'Vuoi eliminare DEFINITIVAMENTE questa registrazione di immunizzazione?');
INSERT INTO `lang_definitions` VALUES (94894, 1762, 26, 'DN');
INSERT INTO `lang_definitions` VALUES (94895, 1763, 26, 'DN mancante, se possibile inseriscila');
INSERT INTO `lang_definitions` VALUES (94896, 1764, 26, 'Doc.ti');
INSERT INTO `lang_definitions` VALUES (94897, 1765, 26, 'Dottore');
INSERT INTO `lang_definitions` VALUES (94898, 1766, 26, 'Dottore:');
INSERT INTO `lang_definitions` VALUES (94899, 1767, 26, 'Nome del dottore e firma');
INSERT INTO `lang_definitions` VALUES (94900, 1768, 26, 'Documento');
INSERT INTO `lang_definitions` VALUES (94901, 1769, 26, 'documento');
INSERT INTO `lang_definitions` VALUES (94902, 1770, 26, 'Categorie documenti');
INSERT INTO `lang_definitions` VALUES (94903, 1771, 26, 'La categoria del documento per i risultati di laboratorio non esiste');
INSERT INTO `lang_definitions` VALUES (94904, 1772, 26, 'Nome della categoria del documento per la memorizzazione dei risultati di laboratorio ricevute elettronicamente.');
INSERT INTO `lang_definitions` VALUES (94905, 1774, 26, 'Categoria documento o Scarta');
INSERT INTO `lang_definitions` VALUES (94906, 1775, 26, 'Il documento non può essere spostato al paziente con id');
INSERT INTO `lang_definitions` VALUES (94907, 1777, 26, 'Data del documento');
INSERT INTO `lang_definitions` VALUES (94908, 1778, 26, 'Data del documento e Informativa aggiornata con successo');
INSERT INTO `lang_definitions` VALUES (94909, 1779, 26, 'ID del documento');
INSERT INTO `lang_definitions` VALUES (94910, 1780, 26, 'Documento spostato alla nuova categoria');
INSERT INTO `lang_definitions` VALUES (94911, 1781, 26, 'Documento spostato al paziente con id');
INSERT INTO `lang_definitions` VALUES (94912, 1783, 26, 'Il documento ha superato il controllo di integrità');
INSERT INTO `lang_definitions` VALUES (94913, 1784, 26, 'Metodo di archiviazione documento');
INSERT INTO `lang_definitions` VALUES (94914, 1785, 26, 'Il documento è stato rinominato con successo.');
INSERT INTO `lang_definitions` VALUES (94915, 1786, 26, 'Documento etichettato per l\'incontro con successo');
INSERT INTO `lang_definitions` VALUES (94916, 1787, 26, 'Gestione documentale dei modelli');
INSERT INTO `lang_definitions` VALUES (94917, 1788, 26, 'Modelli documento');
INSERT INTO `lang_definitions` VALUES (94918, 1789, 26, 'Documento(i)');
INSERT INTO `lang_definitions` VALUES (94919, 1790, 26, 'Documento / Archivio immagine');
INSERT INTO `lang_definitions` VALUES (94920, 1791, 26, 'Documenti');
INSERT INTO `lang_definitions` VALUES (94921, 1792, 26, 'Documenti (scrittura solo-aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (94922, 1794, 26, 'DOE');
INSERT INTO `lang_definitions` VALUES (94923, 1796, 26, 'non corrisponde al numero di incontro PV1');
INSERT INTO `lang_definitions` VALUES (94924, 1797, 26, 'non sembra valido');
INSERT INTO `lang_definitions` VALUES (94925, 1798, 26, 'Questo tipo consente codici correlati?');
INSERT INTO `lang_definitions` VALUES (94926, 1799, 26, 'Convivente');
INSERT INTO `lang_definitions` VALUES (94927, 1800, 26, 'Non salvare');
INSERT INTO `lang_definitions` VALUES (94928, 1801, 26, 'Non salvare');
INSERT INTO `lang_definitions` VALUES (94929, 1802, 26, 'Non salvare i cambiamenti');
INSERT INTO `lang_definitions` VALUES (94930, 1803, 26, 'Fatto');
INSERT INTO `lang_definitions` VALUES (94931, 1804, 26, 'Realizzato con:');
INSERT INTO `lang_definitions` VALUES (94932, 1805, 26, 'Fatto. Ora verrà inviato il download.');
INSERT INTO `lang_definitions` VALUES (94933, 1806, 26, 'DOS');
INSERT INTO `lang_definitions` VALUES (94934, 1807, 26, 'Dosaggio');
INSERT INTO `lang_definitions` VALUES (94935, 1809, 26, 'doppio clic per modificare');
INSERT INTO `lang_definitions` VALUES (94936, 1810, 26, 'Visione doppia');
INSERT INTO `lang_definitions` VALUES (94937, 1811, 26, 'Scarica');
INSERT INTO `lang_definitions` VALUES (94938, 1814, 26, 'Scarica comunque');
INSERT INTO `lang_definitions` VALUES (94939, 1815, 26, 'Scaricare file di fatturazione, inviare alla contabilità e contrassegnare come fatturato');
INSERT INTO `lang_definitions` VALUES (94940, 1817, 26, 'Scarica i Certificati');
INSERT INTO `lang_definitions` VALUES (94941, 1818, 26, 'Scarica i dati di configurazione');
INSERT INTO `lang_definitions` VALUES (94942, 1819, 26, 'Carica modello documento per questo paziente e visita');
INSERT INTO `lang_definitions` VALUES (94943, 1820, 26, 'scarica il file criptato');
INSERT INTO `lang_definitions` VALUES (94944, 1823, 26, 'Scarica Offsite Portal file di connessione');
INSERT INTO `lang_definitions` VALUES (94945, 1824, 26, 'Scarica o Elimina il modello');
INSERT INTO `lang_definitions` VALUES (94946, 1825, 26, 'Scarica PDF');
INSERT INTO `lang_definitions` VALUES (94947, 1827, 26, 'Scarica le dichiarazioni selezionate');
INSERT INTO `lang_definitions` VALUES (94948, 1828, 26, 'Controllo Dr');
INSERT INTO `lang_definitions` VALUES (94949, 1829, 26, 'Visita Dr');
INSERT INTO `lang_definitions` VALUES (94950, 1830, 26, 'Dr.');
INSERT INTO `lang_definitions` VALUES (94951, 1831, 26, 'Trascina per spostare');
INSERT INTO `lang_definitions` VALUES (94952, 1832, 26, 'Dribblare');
INSERT INTO `lang_definitions` VALUES (94953, 1833, 26, 'Patente di guida o ID dello stato');
INSERT INTO `lang_definitions` VALUES (94954, 1834, 26, 'Farmaco');
INSERT INTO `lang_definitions` VALUES (94955, 1835, 26, 'Trova farmaci');
INSERT INTO `lang_definitions` VALUES (94956, 1836, 26, 'Forme del farmaco');
INSERT INTO `lang_definitions` VALUES (94957, 1837, 26, 'ID del farmaco mancante!');
INSERT INTO `lang_definitions` VALUES (94958, 1838, 26, 'Intervalli farmaco');
INSERT INTO `lang_definitions` VALUES (94959, 1839, 26, 'Inventario farmaci');
INSERT INTO `lang_definitions` VALUES (94960, 1840, 26, 'Nome farmaco');
INSERT INTO `lang_definitions` VALUES (94961, 1841, 26, 'Vie farmaco');
INSERT INTO `lang_definitions` VALUES (94962, 1845, 26, 'Unità farmaco');
INSERT INTO `lang_definitions` VALUES (94963, 1846, 26, 'Farmaci');
INSERT INTO `lang_definitions` VALUES (94964, 1847, 26, 'Farmaci e prodotti');
INSERT INTO `lang_definitions` VALUES (94965, 1848, 26, 'Bocca secca');
INSERT INTO `lang_definitions` VALUES (94966, 1849, 26, 'DSMIV Diagnosi');
INSERT INTO `lang_definitions` VALUES (94967, 1850, 26, 'DT 1');
INSERT INTO `lang_definitions` VALUES (94968, 1851, 26, 'DT 2');
INSERT INTO `lang_definitions` VALUES (94969, 1852, 26, 'DT 3');
INSERT INTO `lang_definitions` VALUES (94970, 1853, 26, 'DT 4');
INSERT INTO `lang_definitions` VALUES (94971, 1854, 26, 'DT 5');
INSERT INTO `lang_definitions` VALUES (94972, 1855, 26, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (94973, 1856, 26, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (94974, 1857, 26, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (94975, 1858, 26, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (94976, 1859, 26, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (94977, 1860, 26, 'Debito');
INSERT INTO `lang_definitions` VALUES (94978, 1861, 26, 'Data del debito');
INSERT INTO `lang_definitions` VALUES (94979, 1862, 26, 'Data del debito mm/gg/aaaa o aaaa/mm/gg');
INSERT INTO `lang_definitions` VALUES (94980, 1863, 26, 'Data debito:');
INSERT INTO `lang_definitions` VALUES (94981, 1864, 26, 'Debito ins');
INSERT INTO `lang_definitions` VALUES (94982, 1865, 26, 'Debito Parz.');
INSERT INTO `lang_definitions` VALUES (94983, 1866, 26, 'Debiti a breve');
INSERT INTO `lang_definitions` VALUES (94984, 1867, 26, 'Status debito');
INSERT INTO `lang_definitions` VALUES (94985, 1868, 26, 'Aggiornamento status debito');
INSERT INTO `lang_definitions` VALUES (94986, 1869, 26, 'Dumping LibreEHR database');
INSERT INTO `lang_definitions` VALUES (94987, 1870, 26, 'Dumping LibreEHR web directory tree');
INSERT INTO `lang_definitions` VALUES (94988, 1871, 26, 'Dumping phpGACL database');
INSERT INTO `lang_definitions` VALUES (94989, 1872, 26, 'Dumping phpGACL web directory tree');
INSERT INTO `lang_definitions` VALUES (94990, 1873, 26, 'Dumping SQL-Ledger database');
INSERT INTO `lang_definitions` VALUES (94991, 1874, 26, 'Dumping SQL-Ledger web directory tree');
INSERT INTO `lang_definitions` VALUES (94992, 1875, 26, 'Controllo dupl');
INSERT INTO `lang_definitions` VALUES (94993, 1876, 26, 'ID duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (94994, 1877, 26, 'Nome duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (94995, 1878, 26, 'ATTENZIONE DUPLICAZIONE');
INSERT INTO `lang_definitions` VALUES (94996, 1879, 26, 'Potere durevole di avvocato');
INSERT INTO `lang_definitions` VALUES (94997, 1880, 26, 'durata');
INSERT INTO `lang_definitions` VALUES (94998, 1881, 26, 'Durata');
INSERT INTO `lang_definitions` VALUES (94999, 1882, 26, 'Olandese');
INSERT INTO `lang_definitions` VALUES (95000, 1883, 26, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (95001, 1884, 26, 'Disfagia');
INSERT INTO `lang_definitions` VALUES (95002, 1885, 26, 'Dispnea');
INSERT INTO `lang_definitions` VALUES (95003, 1886, 26, 'Disuria');
INSERT INTO `lang_definitions` VALUES (95004, 1887, 26, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (95005, 1888, 26, 'E-prescrizione?');
INSERT INTO `lang_definitions` VALUES (95006, 1889, 26, 'E-Reports');
INSERT INTO `lang_definitions` VALUES (95007, 1890, 26, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (95008, 1892, 26, 'e-Rx Rinnovo');
INSERT INTO `lang_definitions` VALUES (95009, 1893, 26, 'Ogni destinatario deve impostare i propri messaggi come completati.');
INSERT INTO `lang_definitions` VALUES (95010, 1894, 26, 'Prima occorrenza (< 2 mesi)');
INSERT INTO `lang_definitions` VALUES (95011, 1895, 26, 'Orecchie');
INSERT INTO `lang_definitions` VALUES (95012, 1896, 26, 'ECG');
INSERT INTO `lang_definitions` VALUES (95013, 1897, 26, 'Sinistri');
INSERT INTO `lang_definitions` VALUES (95014, 1898, 26, 'Edema');
INSERT INTO `lang_definitions` VALUES (95015, 1899, 26, 'Storico edi');
INSERT INTO `lang_definitions` VALUES (95016, 1900, 26, 'Storico EDI');
INSERT INTO `lang_definitions` VALUES (95017, 1901, 26, 'Storico EDI (con tasse) per memorizzare e interpretare i file di risposta sinistri EDI');
INSERT INTO `lang_definitions` VALUES (95018, 1902, 26, 'EDI-271 carico file');
INSERT INTO `lang_definitions` VALUES (95019, 1903, 26, 'EDI-271 risposta carico file');
INSERT INTO `lang_definitions` VALUES (95020, 1904, 26, 'Modifica');
INSERT INTO `lang_definitions` VALUES (95021, 1905, 26, 'modifica');
INSERT INTO `lang_definitions` VALUES (95022, 1906, 26, 'Modifica Allergie');
INSERT INTO `lang_definitions` VALUES (95023, 1907, 26, 'Modifica Categorie');
INSERT INTO `lang_definitions` VALUES (95024, 1908, 26, 'Modifica Definizioni');
INSERT INTO `lang_definitions` VALUES (95025, 1909, 26, 'Modifica definizioni');
INSERT INTO `lang_definitions` VALUES (95026, 1910, 26, 'Modifica Diagnosi per');
INSERT INTO `lang_definitions` VALUES (95027, 1911, 26, 'Modifica Informativa');
INSERT INTO `lang_definitions` VALUES (95028, 1912, 26, 'Modifica Sedi');
INSERT INTO `lang_definitions` VALUES (95029, 1913, 26, 'Modifica Sede');
INSERT INTO `lang_definitions` VALUES (95030, 1914, 26, 'Modifica Informazioni sede');
INSERT INTO `lang_definitions` VALUES (95031, 1915, 26, 'Strumento specifico di modifica utente informazioni');
INSERT INTO `lang_definitions` VALUES (95032, 1916, 26, 'Modifica file in');
INSERT INTO `lang_definitions` VALUES (95033, 1917, 26, 'Modifica modulo');
INSERT INTO `lang_definitions` VALUES (95034, 1918, 26, 'Modifica Parametri globali');
INSERT INTO `lang_definitions` VALUES (95035, 1919, 26, 'Modifica non autorizzata!');
INSERT INTO `lang_definitions` VALUES (95036, 1920, 26, 'Modifica layout');
INSERT INTO `lang_definitions` VALUES (95037, 1921, 26, 'Modifica elenco');
INSERT INTO `lang_definitions` VALUES (95038, 1922, 26, 'Modifica Pagamento');
INSERT INTO `lang_definitions` VALUES (95039, 1923, 26, 'Modifica Struttura');
INSERT INTO `lang_definitions` VALUES (95040, 1924, 26, 'Modifica Utente');
INSERT INTO `lang_definitions` VALUES (95041, 1925, 26, 'Modifica Paramentri utente');
INSERT INTO `lang_definitions` VALUES (95042, 1926, 26, 'Modifica i tuoi dati inseriti');
INSERT INTO `lang_definitions` VALUES (95043, 1927, 26, 'Modifica fallita');
INSERT INTO `lang_definitions` VALUES (95044, 1928, 26, 'Istruzione');
INSERT INTO `lang_definitions` VALUES (95045, 1929, 26, 'Data istruzione');
INSERT INTO `lang_definitions` VALUES (95046, 1930, 26, 'Materiali istruzione per');
INSERT INTO `lang_definitions` VALUES (95047, 1931, 26, 'Leggi la *GNU General Public License per maggiori dettagli.** Dovresti aver ricevuto una copia della GNU General Public License* in allegato a questo programma: diversamente scrivi alla Free (ndt: Software Foundation?) ');
INSERT INTO `lang_definitions` VALUES (95048, 1932, 26, 'Data effettiva');
INSERT INTO `lang_definitions` VALUES (95049, 1934, 26, 'Efficacia');
INSERT INTO `lang_definitions` VALUES (95050, 1935, 26, 'EIN');
INSERT INTO `lang_definitions` VALUES (95051, 1936, 26, 'Eiaculazioni');
INSERT INTO `lang_definitions` VALUES (95052, 1937, 26, 'Gomito');
INSERT INTO `lang_definitions` VALUES (95053, 1938, 26, 'Problemi al gomito');
INSERT INTO `lang_definitions` VALUES (95054, 1939, 26, 'Elettronico');
INSERT INTO `lang_definitions` VALUES (95055, 1942, 26, 'Mandati elettronici');
INSERT INTO `lang_definitions` VALUES (95056, 1943, 26, 'Reports Elettronico');
INSERT INTO `lang_definitions` VALUES (95057, 1944, 26, 'Ammissibilità');
INSERT INTO `lang_definitions` VALUES (95058, 1945, 26, 'Ammissibilità 270 domanda batch');
INSERT INTO `lang_definitions` VALUES (95059, 1946, 26, 'Risposta ammissibilità');
INSERT INTO `lang_definitions` VALUES (95060, 1947, 26, 'Condizione di ammissibilità per il vaccino per i bambini forniti di vaccino');
INSERT INTO `lang_definitions` VALUES (95061, 1948, 26, 'Idoneo');
INSERT INTO `lang_definitions` VALUES (95062, 1949, 26, 'Email');
INSERT INTO `lang_definitions` VALUES (95063, 1950, 26, 'email');
INSERT INTO `lang_definitions` VALUES (95064, 1951, 26, 'Indirizzo Email');
INSERT INTO `lang_definitions` VALUES (95065, 1952, 26, 'Manca indirizzo Email');
INSERT INTO `lang_definitions` VALUES (95066, 1953, 26, 'Indirizzo email del mittente per i promemoria al paziente. Le repliche ai promemoria al paziente saranno dirette a questo indirizzo. E\' importante usare un indirizzo dal dominio della tua clinica per evitare che i promemoria finiscano nelle cartelle di spam della posta.');
INSERT INTO `lang_definitions` VALUES (95067, 1954, 26, 'Indirizzo email, se alcuno, per ricevere notifiche amministrative.');
INSERT INTO `lang_definitions` VALUES (95068, 1955, 26, 'Indirizzo email, se alcuno, per ricevere messaggi di attivazione utente per ingresso di emergenza.');
INSERT INTO `lang_definitions` VALUES (95069, 1956, 26, 'Autore email');
INSERT INTO `lang_definitions` VALUES (95070, 1957, 26, 'Email da Batchcom');
INSERT INTO `lang_definitions` VALUES (95071, 1958, 26, 'Notifica email');
INSERT INTO `lang_definitions` VALUES (95072, 1959, 26, 'Ore per la Notifica via Email');
INSERT INTO `lang_definitions` VALUES (95073, 1960, 26, 'Report notifica Email');
INSERT INTO `lang_definitions` VALUES (95074, 1961, 26, 'Email inviata prima');
INSERT INTO `lang_definitions` VALUES (95075, 1962, 26, 'Mittente email');
INSERT INTO `lang_definitions` VALUES (95076, 1963, 26, 'Email inviata');
INSERT INTO `lang_definitions` VALUES (95077, 1964, 26, 'Email inviata a');
INSERT INTO `lang_definitions` VALUES (95078, 1965, 26, 'Oggetto dell\'email');
INSERT INTO `lang_definitions` VALUES (95079, 1966, 26, 'Testo dell\'email, tag utilizzabili ***NAME*** , p.es. Gentile Sig. ***NAME***');
INSERT INTO `lang_definitions` VALUES (95080, 1967, 26, 'Testo dell\'email, tag utilizzabili ***NAME*** , p.es. Gentile Sig. ***NAME***{{Non tradurre ***NAME*** questo elemento è una costante.}}');
INSERT INTO `lang_definitions` VALUES (95081, 1968, 26, 'Metodo di trasporto dell\'email');
INSERT INTO `lang_definitions` VALUES (95082, 1969, 26, 'l\'email è stata inviata al seguente indirizzo');
INSERT INTO `lang_definitions` VALUES (95083, 1971, 26, 'Contatto di emergenza');
INSERT INTO `lang_definitions` VALUES (95084, 1972, 26, 'Persona da contattare in caso di emergenza');
INSERT INTO `lang_definitions` VALUES (95085, 1973, 26, 'Numero telefonico per contatto di emergenza');
INSERT INTO `lang_definitions` VALUES (95086, 1974, 26, 'Contraccezione di emergenza');
INSERT INTO `lang_definitions` VALUES (95087, 1975, 26, 'Ingresso di Emergenza');
INSERT INTO `lang_definitions` VALUES (95088, 1976, 26, 'E\' stato scelto l\'Ingresso di Emergenza di ACL. L\'utente è ancora in stato attivo, disattiva l\'utente e attivalo di nuovo quando richiesto durante situazioni di emergenza. Visita Amminitrazione->Utenti per l\'attivazione o disattivazione.');
INSERT INTO `lang_definitions` VALUES (95089, 1977, 26, 'L\'email di attivazione per l\'Ingresso di Emergenza cirdolerà soltanto se sono configurati i seguenti parametri in interface/globals.php');
INSERT INTO `lang_definitions` VALUES (95090, 1978, 26, 'Indirizzo Ingresso di emergenza');
INSERT INTO `lang_definitions` VALUES (95091, 1979, 26, 'Ingresso di Emergenza l\'utente può fare tutto');
INSERT INTO `lang_definitions` VALUES (95092, 1980, 26, 'Telefono di emergenza');
INSERT INTO `lang_definitions` VALUES (95093, 1981, 26, 'Emozionali / Comportamentali Condizioni e complicanze');
INSERT INTO `lang_definitions` VALUES (95094, 1982, 26, 'Enfisema');
INSERT INTO `lang_definitions` VALUES (95095, 1983, 26, 'Impiegato');
INSERT INTO `lang_definitions` VALUES (95096, 1984, 26, 'Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (95097, 1985, 26, 'Indirizzo Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (95098, 1986, 26, 'Dati Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (95099, 1987, 26, 'Nome Datore di lavoro');
INSERT INTO `lang_definitions` VALUES (95100, 1988, 26, 'VUOTO');
INSERT INTO `lang_definitions` VALUES (95101, 1989, 26, 'Vuoto');
INSERT INTO `lang_definitions` VALUES (95102, 1990, 26, 'Valore vuoto nella Password non consentito');
INSERT INTO `lang_definitions` VALUES (95103, 1991, 26, 'Valore vuoto in \"Ora email\"');
INSERT INTO `lang_definitions` VALUES (95104, 1992, 26, 'Valore vuoto in \"Mittente email\"');
INSERT INTO `lang_definitions` VALUES (95105, 1993, 26, 'Valore vuoto in \"Oggetto email\"');
INSERT INTO `lang_definitions` VALUES (95106, 1994, 26, 'Valore vuoto in \"Testo email\"');
INSERT INTO `lang_definitions` VALUES (95107, 1995, 26, 'Valore vuoto in \"Nome del provider\"');
INSERT INTO `lang_definitions` VALUES (95108, 1996, 26, 'Valore vuoto in \"Password\"');
INSERT INTO `lang_definitions` VALUES (95109, 1997, 26, 'Valore vuoto in \"Ora SMS\"');
INSERT INTO `lang_definitions` VALUES (95110, 1998, 26, 'Valore vuoto in \"Testo SMS\"');
INSERT INTO `lang_definitions` VALUES (95111, 1999, 26, 'Valore vuoto in \"Nome utente\"');
INSERT INTO `lang_definitions` VALUES (95112, 2001, 26, 'Abilita');
INSERT INTO `lang_definitions` VALUES (95113, 2006, 26, 'Abilita i suggeirmenti AMC');
INSERT INTO `lang_definitions` VALUES (95114, 2007, 26, 'Abilita AMC Rapporto itemizzazione');
INSERT INTO `lang_definitions` VALUES (95115, 2008, 26, 'Abilita i resoconti AMC');
INSERT INTO `lang_definitions` VALUES (95116, 2009, 26, 'Abilita tracciatura AMC');
INSERT INTO `lang_definitions` VALUES (95117, 2010, 26, 'Abilita modifiche presentate');
INSERT INTO `lang_definitions` VALUES (95118, 2011, 26, 'Abilita revisione ATNA');
INSERT INTO `lang_definitions` VALUES (95119, 2012, 26, 'Abilita crittazione log di registrazione');
INSERT INTO `lang_definitions` VALUES (95120, 2013, 26, 'Abilita registrazione di controllo');
INSERT INTO `lang_definitions` VALUES (95121, 2014, 26, 'Abilita storico accessi e l\'autenticazione del nodo (ATNA).');
INSERT INTO `lang_definitions` VALUES (95122, 2015, 26, 'Abilita i resoconti dei Calcoli delle misure automatizzati (AMC)');
INSERT INTO `lang_definitions` VALUES (95123, 2016, 26, 'Abilita il client SSL');
INSERT INTO `lang_definitions` VALUES (95124, 2017, 26, 'Abilita i certificati SSL di autenticazione client.');
INSERT INTO `lang_definitions` VALUES (95125, 2019, 26, 'Abilita le regole di decisione clinica (CDR)');
INSERT INTO `lang_definitions` VALUES (95126, 2022, 26, 'Abilita i resoconti di Misura della Qualità Clinica (CQM)');
INSERT INTO `lang_definitions` VALUES (95127, 2023, 26, 'Abilita l\'apertura automativa della finestra dei promemoria clinici');
INSERT INTO `lang_definitions` VALUES (95128, 2024, 26, 'Abilita il widget dei promemoria clicnici');
INSERT INTO `lang_definitions` VALUES (95129, 2025, 26, 'Abilita il portale CMS');
INSERT INTO `lang_definitions` VALUES (95130, 2026, 26, 'Abilita CQM rapporto itemizzazione');
INSERT INTO `lang_definitions` VALUES (95131, 2027, 26, 'Abilita i resoconti CQM');
INSERT INTO `lang_definitions` VALUES (95132, 2028, 26, 'Abilita cronologia EDI nel menù di sinistra');
INSERT INTO `lang_definitions` VALUES (95133, 2030, 26, 'Abilita Tariffe nel menu a sinistra');
INSERT INTO `lang_definitions` VALUES (95134, 2031, 26, 'Abilita il supporto Hylafax');
INSERT INTO `lang_definitions` VALUES (95135, 2033, 26, 'Attiva messaggio di stato di importazione per NewCrop ERX');
INSERT INTO `lang_definitions` VALUES (95136, 2034, 26, 'Abilita Itemizzazione del rapporto AMC');
INSERT INTO `lang_definitions` VALUES (95137, 2035, 26, 'Abilita Itemizzazione del rapporto CQM');
INSERT INTO `lang_definitions` VALUES (95138, 2036, 26, 'Abilita Itemizzazione delle regole standard dei report regole cliniche');
INSERT INTO `lang_definitions` VALUES (95139, 2037, 26, 'Abilita il Lab Exchange');
INSERT INTO `lang_definitions` VALUES (95140, 2038, 26, 'Abilita levetta di blocco');
INSERT INTO `lang_definitions` VALUES (95141, 2039, 26, 'Abilita log di upload / download di documenti di CouchDB');
INSERT INTO `lang_definitions` VALUES (95142, 2040, 26, 'Abilita la scrittura dei log di tutte le interrogazioni SQL di tipo SELECT.');
INSERT INTO `lang_definitions` VALUES (95143, 2041, 26, 'Abilita la scrittura dei log delle attività correlate ai backup.');
INSERT INTO `lang_definitions` VALUES (95144, 2042, 26, 'Abilita la scrittura delle relative attività di backup.');
INSERT INTO `lang_definitions` VALUES (95145, 2043, 26, 'Abilita la scrittura dei log delle attività miscellanee.');
INSERT INTO `lang_definitions` VALUES (95146, 2044, 26, 'Abilita la scrittura dei logdelle attività di prescrizione.');
INSERT INTO `lang_definitions` VALUES (95147, 2045, 26, 'Abilita la scrittura dei log delle modificazioni dei record del paziente.');
INSERT INTO `lang_definitions` VALUES (95148, 2046, 26, 'Abiolita la scrittura dei log delle attività di compilazione dell\'agenda.');
INSERT INTO `lang_definitions` VALUES (95149, 2047, 26, 'Abbilita la scrittura dei log delle attività di sicurezza e amministrazione.');
INSERT INTO `lang_definitions` VALUES (95150, 2049, 26, 'Abilita i servizi NewCrop e Rx');
INSERT INTO `lang_definitions` VALUES (95151, 2051, 26, 'Abilita il Portale Paziente Offsite');
INSERT INTO `lang_definitions` VALUES (95152, 2052, 26, 'Abilita il Portale Paziente Offsite.');
INSERT INTO `lang_definitions` VALUES (95153, 2053, 26, 'Abilita il Portale Paziente Onsite');
INSERT INTO `lang_definitions` VALUES (95154, 2055, 26, 'Abilita il Portale Paziente Onsite.');
INSERT INTO `lang_definitions` VALUES (95155, 2056, 26, 'Abilita il widget per i promemoria al paziente');
INSERT INTO `lang_definitions` VALUES (95156, 2057, 26, 'Abilita phiMail servizio di messaggi diretti');
INSERT INTO `lang_definitions` VALUES (95157, 2058, 26, 'Abilita il suggerimento dei dati richiesti per i Calcoli automatici delle misure (AMC)');
INSERT INTO `lang_definitions` VALUES (95158, 2060, 26, 'Abilita i resoconti del monitoraggio della data per i Calcoli automatici delle misure (AMC)');
INSERT INTO `lang_definitions` VALUES (95159, 2061, 26, 'Abilita il supporto per lo scanner');
INSERT INTO `lang_definitions` VALUES (95160, 2062, 26, 'Abilita il report standard di itemizzazione');
INSERT INTO `lang_definitions` VALUES (95161, 2063, 26, 'Abilitare il supporto per l\'open source WordPress Portal da Sunset Sistemi');
INSERT INTO `lang_definitions` VALUES (95162, 2064, 26, 'Abilitare il Medical Information Integration, LLC Lab Service Exchange.');
INSERT INTO `lang_definitions` VALUES (95163, 2065, 26, 'Abilita il supporto LibreEHR per il servizio Scambio LLC Lab');
INSERT INTO `lang_definitions` VALUES (95164, 2066, 26, 'Abilita l\'autenticazione certificato dell\'utente');
INSERT INTO `lang_definitions` VALUES (95165, 2067, 26, 'Abilita il servizio ZMG, LLC eRx');
INSERT INTO `lang_definitions` VALUES (95166, 2068, 26, 'abilitato');
INSERT INTO `lang_definitions` VALUES (95167, 2070, 26, 'Abilita il vecchio pannello \"Costi\" per inserire codici e pagamenti. Non raccomandato, usare invece il Foglio Parcelle.');
INSERT INTO `lang_definitions` VALUES (95168, 2071, 26, 'Inc');
INSERT INTO `lang_definitions` VALUES (95169, 2072, 26, 'Inctr');
INSERT INTO `lang_definitions` VALUES (95170, 2073, 26, 'Incontro');
INSERT INTO `lang_definitions` VALUES (95171, 2074, 26, 'incontro');
INSERT INTO `lang_definitions` VALUES (95172, 2075, 26, 'Incontro ');
INSERT INTO `lang_definitions` VALUES (95173, 2076, 26, 'incontrare ricoverato acuto o ED');
INSERT INTO `lang_definitions` VALUES (95174, 2080, 26, 'dati incontro');
INSERT INTO `lang_definitions` VALUES (95175, 2081, 26, 'Data incontro');
INSERT INTO `lang_definitions` VALUES (95176, 2084, 26, 'Registro incontro EDI');
INSERT INTO `lang_definitions` VALUES (95177, 2086, 26, 'Moduli Incontro');
INSERT INTO `lang_definitions` VALUES (95178, 2087, 26, 'incontro per valutazione salute e comportamento');
INSERT INTO `lang_definitions` VALUES (95179, 2088, 26, 'Storico degli Incontri');
INSERT INTO `lang_definitions` VALUES (95180, 2089, 26, 'ID incontro');
INSERT INTO `lang_definitions` VALUES (95181, 2090, 26, 'incontro per influenza');
INSERT INTO `lang_definitions` VALUES (95182, 2091, 26, 'Numero incontro');
INSERT INTO `lang_definitions` VALUES (95183, 2093, 26, 'incontro di scarico infermieristico');
INSERT INTO `lang_definitions` VALUES (95184, 2094, 26, 'incontro struttura di cura');
INSERT INTO `lang_definitions` VALUES (95185, 2095, 26, 'incontro per terapia occupazionale');
INSERT INTO `lang_definitions` VALUES (95186, 2096, 26, 'incontro per visita in studio');
INSERT INTO `lang_definitions` VALUES (95187, 2097, 26, 'incontro paziente esterno');
INSERT INTO `lang_definitions` VALUES (95188, 2098, 26, 'incontro ambulatoriale w / PCP & Ostetricia e Ginecologia');
INSERT INTO `lang_definitions` VALUES (95189, 2099, 26, 'Dimensione pagina incontri');
INSERT INTO `lang_definitions` VALUES (95190, 2100, 26, 'Pagamento incontro');
INSERT INTO `lang_definitions` VALUES (95191, 2101, 26, 'incontro per gravidanza');
INSERT INTO `lang_definitions` VALUES (95192, 2102, 26, 'incontro di medicina preventiva - consulenza individuale');
INSERT INTO `lang_definitions` VALUES (95193, 2103, 26, 'incontro di medicina preventiva - per pz dai 40 anni in poi');
INSERT INTO `lang_definitions` VALUES (95194, 2104, 26, 'incontro di medicina preventiva consulenza di gruppo');
INSERT INTO `lang_definitions` VALUES (95195, 2105, 26, 'incontro di medicina preventiva consulenza preventiva altre prestazioni');
INSERT INTO `lang_definitions` VALUES (95196, 2106, 26, 'incontro di medicina preventiva prestazioni per dai 18 anni in poi');
INSERT INTO `lang_definitions` VALUES (95197, 2107, 26, 'incontro psichiatrico & psicologico');
INSERT INTO `lang_definitions` VALUES (95198, 2108, 26, 'Statistiche incontri');
INSERT INTO `lang_definitions` VALUES (95199, 2109, 26, 'Riassunto incontri');
INSERT INTO `lang_definitions` VALUES (95200, 2110, 26, 'L\'incontro è stato codificato');
INSERT INTO `lang_definitions` VALUES (95201, 2111, 26, 'Incontro:');
INSERT INTO `lang_definitions` VALUES (95202, 2112, 26, 'Incontro: incontro pz. ricov. non-acuto, pz esterno, o oftalmologia');
INSERT INTO `lang_definitions` VALUES (95203, 2113, 26, 'Incontri');
INSERT INTO `lang_definitions` VALUES (95204, 2114, 26, 'Incontri & Moduli');
INSERT INTO `lang_definitions` VALUES (95205, 2115, 26, 'Incontri &amp; Moduli');
INSERT INTO `lang_definitions` VALUES (95206, 2116, 26, 'Incontri non autorizzati');
INSERT INTO `lang_definitions` VALUES (95207, 2117, 26, 'Resoconto Incontri');
INSERT INTO `lang_definitions` VALUES (95208, 2118, 26, 'Sezione Incontri');
INSERT INTO `lang_definitions` VALUES (95209, 2120, 26, 'Cifratura');
INSERT INTO `lang_definitions` VALUES (95210, 2121, 26, 'Fine');
INSERT INTO `lang_definitions` VALUES (95211, 2122, 26, 'Fine (aaa-mm-gg) ');
INSERT INTO `lang_definitions` VALUES (95212, 2123, 26, 'Data Fine');
INSERT INTO `lang_definitions` VALUES (95213, 2124, 26, 'Data fine');
INSERT INTO `lang_definitions` VALUES (95214, 2126, 26, 'La data di fine deve essere maggiore della data inizio');
INSERT INTO `lang_definitions` VALUES (95215, 2127, 26, 'Data Fine:');
INSERT INTO `lang_definitions` VALUES (95216, 2130, 26, 'Fine del report');
INSERT INTO `lang_definitions` VALUES (95217, 2131, 26, 'Ora fine');
INSERT INTO `lang_definitions` VALUES (95218, 2132, 26, 'Malattia renale in stadio terminale beneficiario in MCP con il piano del gruppo del datore di lavoro');
INSERT INTO `lang_definitions` VALUES (95219, 2133, 26, 'Data conclusione del servizio aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (95220, 2134, 26, 'Fine DOS gg/mm/aaaa, se si desidera inserire un intervallo');
INSERT INTO `lang_definitions` VALUES (95221, 2135, 26, 'Ora finale del giorno per gli eventi dell\'agenda.');
INSERT INTO `lang_definitions` VALUES (95222, 2136, 26, 'Endo anormale del sangue');
INSERT INTO `lang_definitions` VALUES (95223, 2137, 26, 'Endocrino');
INSERT INTO `lang_definitions` VALUES (95224, 2138, 26, 'Endoscopia');
INSERT INTO `lang_definitions` VALUES (95225, 2141, 26, 'Inglese');
INSERT INTO `lang_definitions` VALUES (95226, 2142, 26, 'Inglese ');
INSERT INTO `lang_definitions` VALUES (95227, 2143, 26, 'Inglese (indiano)');
INSERT INTO `lang_definitions` VALUES (95228, 2144, 26, 'Inglese (standard)');
INSERT INTO `lang_definitions` VALUES (95229, 2145, 26, 'Comando enscript usato da Hylafax.');
INSERT INTO `lang_definitions` VALUES (95230, 2146, 26, 'Accertarsi che LibreEHR abbia i privilegi di scrittura nella directory');
INSERT INTO `lang_definitions` VALUES (95231, 2147, 26, 'ENT fuoriuscita');
INSERT INTO `lang_definitions` VALUES (95232, 2148, 26, 'ENT dolore');
INSERT INTO `lang_definitions` VALUES (95233, 2149, 26, 'Inserisci un codice diagnosi per escludere tutte le fatture che non lo contengono');
INSERT INTO `lang_definitions` VALUES (95234, 2150, 26, 'Inserisci modifica ...');
INSERT INTO `lang_definitions` VALUES (95235, 2151, 26, 'Inserisci il corpo della lettera qui');
INSERT INTO `lang_definitions` VALUES (95236, 2152, 26, 'Inserisci password root del Database');
INSERT INTO `lang_definitions` VALUES (95237, 2153, 26, 'Inserisci l\'username root');
INSERT INTO `lang_definitions` VALUES (95238, 2154, 26, 'Inserisci la diagnosi');
INSERT INTO `lang_definitions` VALUES (95239, 2155, 26, 'Inserisci i farmaci');
INSERT INTO `lang_definitions` VALUES (95240, 2156, 26, 'Inserisci incontro');
INSERT INTO `lang_definitions` VALUES (95241, 2157, 26, 'Inserisci numero incontro');
INSERT INTO `lang_definitions` VALUES (95242, 2158, 26, 'Inserisci le immunizzazioni');
INSERT INTO `lang_definitions` VALUES (95243, 2159, 26, 'Inserisci la chiave');
INSERT INTO `lang_definitions` VALUES (95244, 2160, 26, 'Inserisci novi dati');
INSERT INTO `lang_definitions` VALUES (95245, 2161, 26, 'Inserisci il nuovo Stato');
INSERT INTO `lang_definitions` VALUES (95246, 2162, 26, 'Inserisci indirizzo diretto destinatario(i)');
INSERT INTO `lang_definitions` VALUES (95247, 2163, 26, 'Iserisci il codice LOINC per questa procedura');
INSERT INTO `lang_definitions` VALUES (95248, 2164, 26, 'Inserisci il codice di re-identificazione');
INSERT INTO `lang_definitions` VALUES (95249, 2165, 26, 'Inserisci sopra i criteri di ricerca');
INSERT INTO `lang_definitions` VALUES (95250, 2166, 26, 'Inserite per errore');
INSERT INTO `lang_definitions` VALUES (95251, 2167, 26, 'voci');
INSERT INTO `lang_definitions` VALUES (95252, 2168, 26, 'Ambientale');
INSERT INTO `lang_definitions` VALUES (95253, 2169, 26, 'EOB immissione dati');
INSERT INTO `lang_definitions` VALUES (95254, 2170, 26, 'EOB Scrittura - Rimesse elettroniche');
INSERT INTO `lang_definitions` VALUES (95255, 2171, 26, 'EOB Scrittura - Istruzioni');
INSERT INTO `lang_definitions` VALUES (95256, 2172, 26, 'EOB Scrittura - Fattura');
INSERT INTO `lang_definitions` VALUES (95257, 2173, 26, 'EOB Scrittura - Nota paziente');
INSERT INTO `lang_definitions` VALUES (95258, 2174, 26, 'EOB Scrittura - Ricerca');
INSERT INTO `lang_definitions` VALUES (95259, 2176, 26, 'Epilessia');
INSERT INTO `lang_definitions` VALUES (95260, 2178, 26, 'ERA');
INSERT INTO `lang_definitions` VALUES (95261, 2179, 26, 'Files ERA');
INSERT INTO `lang_definitions` VALUES (95262, 2180, 26, 'Pubblicazione ERA');
INSERT INTO `lang_definitions` VALUES (95263, 2181, 26, 'Elimina');
INSERT INTO `lang_definitions` VALUES (95264, 2182, 26, 'Erezioni');
INSERT INTO `lang_definitions` VALUES (95265, 2183, 26, 'Errore');
INSERT INTO `lang_definitions` VALUES (95266, 2184, 26, 'ERRORE');
INSERT INTO `lang_definitions` VALUES (95267, 2185, 26, 'Errore di conferma ricevuta dei risultati del lab');
INSERT INTO `lang_definitions` VALUES (95268, 2187, 26, 'Errore nella ricezione dei risultati dal Network Lab Exchange');
INSERT INTO `lang_definitions` VALUES (95269, 2188, 26, 'Errore nella sellezione del \"Genere\"');
INSERT INTO `lang_definitions` VALUES (95270, 2189, 26, 'Errore nella selezioni di \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (95271, 2190, 26, 'Errore nella selezione del \"Processo\"');
INSERT INTO `lang_definitions` VALUES (95272, 2191, 26, 'Errore nella selezione del \"Gateway SMS\"');
INSERT INTO `lang_definitions` VALUES (95273, 2192, 26, 'Errore nella selezione di \"Ordina per\"');
INSERT INTO `lang_definitions` VALUES (95274, 2193, 26, 'Errore nella compressione del file gzip: ');
INSERT INTO `lang_definitions` VALUES (95275, 2194, 26, 'Errore nella opzione SI o NO');
INSERT INTO `lang_definitions` VALUES (95276, 2195, 26, 'Errore nell\'apertura per la lettura del file scaricato');
INSERT INTO `lang_definitions` VALUES (95277, 2196, 26, 'File di elaborazione errori');
INSERT INTO `lang_definitions` VALUES (95278, 2197, 26, 'Errore di caricamento elaborazione');
INSERT INTO `lang_definitions` VALUES (95279, 2198, 26, 'Errore rimozione messaggio');
INSERT INTO `lang_definitions` VALUES (95280, 2199, 26, 'Errore nel recupero dei risultati dal Network Lab Exchange');
INSERT INTO `lang_definitions` VALUES (95281, 2200, 26, 'Errore nel recupero dei valori.');
INSERT INTO `lang_definitions` VALUES (95282, 2201, 26, 'Errore nel salvataggio del documento');
INSERT INTO `lang_definitions` VALUES (95283, 2202, 26, 'Errore nell\'assegnare il file dei privilegi all\'utente LibreEHR.');
INSERT INTO `lang_definitions` VALUES (95284, 2205, 26, 'errore nella registrazione del modulo!');
INSERT INTO `lang_definitions` VALUES (95285, 2206, 26, 'Errore nel salvataggio sul file');
INSERT INTO `lang_definitions` VALUES (95286, 2208, 26, 'Errore nella scrittura del file');
INSERT INTO `lang_definitions` VALUES (95287, 2209, 26, 'Errore(i) rilevato(i) da nuovi risultati');
INSERT INTO `lang_definitions` VALUES (95288, 2210, 26, 'Errore, il file non esiste');
INSERT INTO `lang_definitions` VALUES (95289, 2211, 26, 'ERRORE, impossibile raccogliere i dati dal server');
INSERT INTO `lang_definitions` VALUES (95290, 2212, 26, 'Errore, impossibile creare un certificato del client');
INSERT INTO `lang_definitions` VALUES (95291, 2213, 26, 'Errore, impossibile creare il certificato admin.p12');
INSERT INTO `lang_definitions` VALUES (95292, 2214, 26, 'Errore, impossibile creare il certificato Certificate Authority');
INSERT INTO `lang_definitions` VALUES (95293, 2215, 26, 'Errore, impossibile creare il certificato del Server');
INSERT INTO `lang_definitions` VALUES (95294, 2216, 26, 'Errore, impossibile aprire il file');
INSERT INTO `lang_definitions` VALUES (95295, 2217, 26, 'Errore, l\'Autenticazione del certificato utente non è abilitata in LibreEHR');
INSERT INTO `lang_definitions` VALUES (95296, 2218, 26, 'Errore. Devi installare il modulo Archive/Tar.php');
INSERT INTO `lang_definitions` VALUES (95297, 2219, 26, 'ERRORE: non si è potuto aprire table.sql, modulo deteriorato?');
INSERT INTO `lang_definitions` VALUES (95298, 2220, 26, 'Errore: ID duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (95299, 2221, 26, 'Erroe: nome duplicato nella linea');
INSERT INTO `lang_definitions` VALUES (95300, 2222, 26, 'ERRORE: Campo');
INSERT INTO `lang_definitions` VALUES (95301, 2223, 26, 'ERRORE: Modulo PHP ZipArchive mancante');
INSERT INTO `lang_definitions` VALUES (95302, 2224, 26, 'ERRORE: Nessuna directory di importazione ICD');
INSERT INTO `lang_definitions` VALUES (95303, 2225, 26, 'Errore: le password non corrispondono. Controlla il testo inserito.');
INSERT INTO `lang_definitions` VALUES (95304, 2226, 26, 'Errore: le password non corrispondono. Controlla il testo inserito.');
INSERT INTO `lang_definitions` VALUES (95305, 2227, 26, 'Errore: Il file non esiste');
INSERT INTO `lang_definitions` VALUES (95306, 2228, 26, 'ERRORE: La variabile che segue contiene caratteri non validi');
INSERT INTO `lang_definitions` VALUES (95307, 2229, 26, 'ERRORE: Impossibile copiare il file');
INSERT INTO `lang_definitions` VALUES (95308, 2230, 26, 'Errore: Impossibile creare l\'archivio scaricabile');
INSERT INTO `lang_definitions` VALUES (95309, 2231, 26, 'ERRORE: Impossibile creare l\'archivio ZIP.');
INSERT INTO `lang_definitions` VALUES (95310, 2232, 26, 'ERRORE: Impossibile estrerre il file.');
INSERT INTO `lang_definitions` VALUES (95311, 2233, 26, 'ERRORE: Impossibile caricare il file nel database.');
INSERT INTO `lang_definitions` VALUES (95312, 2234, 26, 'ERRORE: Impossibile assegnare il numero di versione.');
INSERT INTO `lang_definitions` VALUES (95313, 2235, 26, 'Errori');
INSERT INTO `lang_definitions` VALUES (95314, 2236, 26, 'Status dell\'account eRx');
INSERT INTO `lang_definitions` VALUES (95315, 2237, 26, 'Log eRx');
INSERT INTO `lang_definitions` VALUES (95316, 2238, 26, 'Nome ERX');
INSERT INTO `lang_definitions` VALUES (95317, 2239, 26, 'Password ERX');
INSERT INTO `lang_definitions` VALUES (95318, 2240, 26, 'Ruolo ERX');
INSERT INTO `lang_definitions` VALUES (95319, 2241, 26, 'Utente ERX');
INSERT INTO `lang_definitions` VALUES (95320, 2242, 26, 'Eritema:');
INSERT INTO `lang_definitions` VALUES (95321, 2243, 26, 'eSign');
INSERT INTO `lang_definitions` VALUES (95322, 2244, 26, 'eSign Log');
INSERT INTO `lang_definitions` VALUES (95323, 2245, 26, 'Eschimese');
INSERT INTO `lang_definitions` VALUES (95324, 2246, 26, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (95325, 2247, 26, 'Paziente stabilizzato');
INSERT INTO `lang_definitions` VALUES (95326, 2248, 26, 'Estone');
INSERT INTO `lang_definitions` VALUES (95327, 2249, 26, 'Etnia');
INSERT INTO `lang_definitions` VALUES (95328, 2250, 26, 'Etnia o Razza');
INSERT INTO `lang_definitions` VALUES (95329, 2251, 26, 'Elenco Etnie-Razze (scrittura, solo aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (95330, 2252, 26, 'ETIN');
INSERT INTO `lang_definitions` VALUES (95331, 2253, 26, 'Evento');
INSERT INTO `lang_definitions` VALUES (95332, 2254, 26, 'Inizio Evento');
INSERT INTO `lang_definitions` VALUES (95333, 2255, 26, 'Categoria Evento');
INSERT INTO `lang_definitions` VALUES (95334, 2256, 26, 'Data Evento');
INSERT INTO `lang_definitions` VALUES (95335, 2257, 26, 'Descrizione Evento');
INSERT INTO `lang_definitions` VALUES (95336, 2258, 26, 'Dettagli Evento');
INSERT INTO `lang_definitions` VALUES (95337, 2259, 26, 'L\'evento non si ripete');
INSERT INTO `lang_definitions` VALUES (95338, 2260, 26, 'Durata Evento');
INSERT INTO `lang_definitions` VALUES (95339, 2261, 26, 'Durata Evento in minuti');
INSERT INTO `lang_definitions` VALUES (95340, 2262, 26, 'Costo Evento');
INSERT INTO `lang_definitions` VALUES (95341, 2263, 26, 'Luogo Evento');
INSERT INTO `lang_definitions` VALUES (95342, 2264, 26, 'L\'Evento si ripete ogni');
INSERT INTO `lang_definitions` VALUES (95343, 2265, 26, 'L\'Evento si ripete il');
INSERT INTO `lang_definitions` VALUES (95344, 2266, 26, 'Ora di inizio Evento');
INSERT INTO `lang_definitions` VALUES (95345, 2267, 26, 'Titolo Evento');
INSERT INTO `lang_definitions` VALUES (95346, 2268, 26, 'Titolo Evento');
INSERT INTO `lang_definitions` VALUES (95347, 2269, 26, 'Evento del sito web');
INSERT INTO `lang_definitions` VALUES (95348, 2270, 26, 'Eventi');
INSERT INTO `lang_definitions` VALUES (95349, 2271, 26, 'Eventi per');
INSERT INTO `lang_definitions` VALUES (95350, 2272, 26, 'Eventi aperti in una nuova finestra');
INSERT INTO `lang_definitions` VALUES (95351, 2273, 26, 'ogni');
INSERT INTO `lang_definitions` VALUES (95352, 2274, 26, 'Ogni');
INSERT INTO `lang_definitions` VALUES (95353, 2275, 26, 'ogni 3 ore');
INSERT INTO `lang_definitions` VALUES (95354, 2276, 26, 'ogni 4 ore');
INSERT INTO `lang_definitions` VALUES (95355, 2277, 26, 'ogni 5 ore');
INSERT INTO `lang_definitions` VALUES (95356, 2278, 26, 'ogni 6 ore');
INSERT INTO `lang_definitions` VALUES (95357, 2279, 26, 'ogni 8 ore');
INSERT INTO `lang_definitions` VALUES (95358, 2280, 26, 'Ogni Quarto');
INSERT INTO `lang_definitions` VALUES (95359, 2281, 26, 'Qualsiasi Altro');
INSERT INTO `lang_definitions` VALUES (95360, 2282, 26, 'Ogni Terzo');
INSERT INTO `lang_definitions` VALUES (95361, 2283, 26, 'Ogni, ogni altro, ogni 3.o, ecc.');
INSERT INTO `lang_definitions` VALUES (95362, 2284, 26, 'Pecora');
INSERT INTO `lang_definitions` VALUES (95363, 2285, 26, 'Risultati esame e test');
INSERT INTO `lang_definitions` VALUES (95364, 2286, 26, 'Risultati esame');
INSERT INTO `lang_definitions` VALUES (95365, 2289, 26, 'Effettuazione esame');
INSERT INTO `lang_definitions` VALUES (95366, 2290, 26, 'Data effettuazione esame');
INSERT INTO `lang_definitions` VALUES (95367, 2291, 26, 'Esempio');
INSERT INTO `lang_definitions` VALUES (95368, 2292, 26, 'Esempi');
INSERT INTO `lang_definitions` VALUES (95369, 2293, 26, 'Esami/Test');
INSERT INTO `lang_definitions` VALUES (95370, 2294, 26, 'Eccetto');
INSERT INTO `lang_definitions` VALUES (95371, 2295, 26, 'Pianto eccessivo');
INSERT INTO `lang_definitions` VALUES (95372, 2296, 26, 'Pazienti esclusi');
INSERT INTO `lang_definitions` VALUES (95373, 2297, 26, 'Esclusione');
INSERT INTO `lang_definitions` VALUES (95374, 2298, 26, 'Organizzazione esclusiva fornitore (EPO)');
INSERT INTO `lang_definitions` VALUES (95375, 2299, 26, 'Formato carta esecutivo');
INSERT INTO `lang_definitions` VALUES (95376, 2300, 26, 'Esercizio');
INSERT INTO `lang_definitions` VALUES (95377, 2301, 26, 'Schemi di Esercizio');
INSERT INTO `lang_definitions` VALUES (95378, 2302, 26, 'Schemi di esercizio');
INSERT INTO `lang_definitions` VALUES (95379, 2303, 26, 'Esiste');
INSERT INTO `lang_definitions` VALUES (95380, 2304, 26, 'Esci da Amministrazione');
INSERT INTO `lang_definitions` VALUES (95381, 2305, 26, 'Esp');
INSERT INTO `lang_definitions` VALUES (95382, 2306, 26, 'Espandi');
INSERT INTO `lang_definitions` VALUES (95383, 2307, 26, 'espandi');
INSERT INTO `lang_definitions` VALUES (95384, 2308, 26, 'Espandi Tutto');
INSERT INTO `lang_definitions` VALUES (95385, 2311, 26, 'Vista espansa');
INSERT INTO `lang_definitions` VALUES (95386, 2312, 26, 'Ci si attendeva che form_encounter.pid fosse ');
INSERT INTO `lang_definitions` VALUES (95387, 2313, 26, 'Scadenza');
INSERT INTO `lang_definitions` VALUES (95388, 2314, 26, 'Data Scadenza');
INSERT INTO `lang_definitions` VALUES (95389, 2315, 26, 'Scade');
INSERT INTO `lang_definitions` VALUES (95390, 2316, 26, 'scade entro');
INSERT INTO `lang_definitions` VALUES (95391, 2317, 26, 'Esporta');
INSERT INTO `lang_definitions` VALUES (95392, 2318, 26, 'Esporta come CSV');
INSERT INTO `lang_definitions` VALUES (95393, 2319, 26, 'Esporta Configurazione');
INSERT INTO `lang_definitions` VALUES (95394, 2322, 26, 'Esporta Demografica del paziente');
INSERT INTO `lang_definitions` VALUES (95395, 2323, 26, 'Esporta il Resoconto PQRI');
INSERT INTO `lang_definitions` VALUES (95396, 2325, 26, 'Esporta la selezione come CSV');
INSERT INTO `lang_definitions` VALUES (95397, 2326, 26, 'Esporta la selezione alle Collezioni');
INSERT INTO `lang_definitions` VALUES (95398, 2327, 26, 'Esporta a CSV');
INSERT INTO `lang_definitions` VALUES (95399, 2328, 26, 'Esporta al sistema di fatturazione esterno');
INSERT INTO `lang_definitions` VALUES (95400, 2329, 26, 'Esposizione ai Paesi Esteri');
INSERT INTO `lang_definitions` VALUES (95401, 2330, 26, 'Esposizione ai Paesi Esteri');
INSERT INTO `lang_definitions` VALUES (95402, 2331, 26, 'Tenpo stimato per la raccolta');
INSERT INTO `lang_definitions` VALUES (95403, 2332, 26, 'Esterno');
INSERT INTO `lang_definitions` VALUES (95404, 2334, 26, 'Caricamento dati esterni');
INSERT INTO `lang_definitions` VALUES (95405, 2335, 26, 'Utilità di importazione database esterno');
INSERT INTO `lang_definitions` VALUES (95406, 2336, 26, 'ID esterno');
INSERT INTO `lang_definitions` VALUES (95407, 2337, 26, 'Id esterno');
INSERT INTO `lang_definitions` VALUES (95408, 2338, 26, 'Identificatore esterno');
INSERT INTO `lang_definitions` VALUES (95409, 2339, 26, 'Solo esterno');
INSERT INTO `lang_definitions` VALUES (95410, 2342, 26, 'Riferimento esterno');
INSERT INTO `lang_definitions` VALUES (95411, 2343, 26, 'Riferimento di followups esterni');
INSERT INTO `lang_definitions` VALUES (95412, 2344, 26, 'Riferimento esterno?');
INSERT INTO `lang_definitions` VALUES (95413, 2345, 26, 'Riferimenti esterni');
INSERT INTO `lang_definitions` VALUES (95414, 2346, 26, 'Estrai il file zip');
INSERT INTO `lang_definitions` VALUES (95415, 2347, 26, 'Sto estraendo il file. Questo prenderà un po\' di tempo');
INSERT INTO `lang_definitions` VALUES (95416, 2348, 26, 'Essudato:');
INSERT INTO `lang_definitions` VALUES (95417, 2349, 26, 'Irritazione dell\'occhio');
INSERT INTO `lang_definitions` VALUES (95418, 2350, 26, 'Dolore all\'occhio');
INSERT INTO `lang_definitions` VALUES (95419, 2351, 26, 'Occhio arrossato');
INSERT INTO `lang_definitions` VALUES (95420, 2352, 26, 'Occhi');
INSERT INTO `lang_definitions` VALUES (95421, 2353, 26, 'F');
INSERT INTO `lang_definitions` VALUES (95422, 2354, 26, 'F/H Problemi al sangue');
INSERT INTO `lang_definitions` VALUES (95423, 2355, 26, 'F/H Irsutismo femminile');
INSERT INTO `lang_definitions` VALUES (95424, 2356, 26, 'Sedi');
INSERT INTO `lang_definitions` VALUES (95425, 2357, 26, 'Sede');
INSERT INTO `lang_definitions` VALUES (95426, 2358, 26, 'sede');
INSERT INTO `lang_definitions` VALUES (95427, 2359, 26, 'Amministrazione Sede');
INSERT INTO `lang_definitions` VALUES (95428, 2360, 26, 'Città Sede');
INSERT INTO `lang_definitions` VALUES (95429, 2361, 26, 'Codice Sede');
INSERT INTO `lang_definitions` VALUES (95430, 2362, 26, 'Codice nazione Sede');
INSERT INTO `lang_definitions` VALUES (95431, 2363, 26, 'Fax Sede');
INSERT INTO `lang_definitions` VALUES (95432, 2364, 26, 'Nome Sede');
INSERT INTO `lang_definitions` VALUES (95433, 2365, 26, 'NPI Sede');
INSERT INTO `lang_definitions` VALUES (95434, 2366, 26, 'Telefono Sede');
INSERT INTO `lang_definitions` VALUES (95435, 2367, 26, 'Sede informazioni specifiche dell\'utente');
INSERT INTO `lang_definitions` VALUES (95436, 2368, 26, 'Stato Sede');
INSERT INTO `lang_definitions` VALUES (95437, 2369, 26, 'Via Sede');
INSERT INTO `lang_definitions` VALUES (95438, 2370, 26, 'CAP Sede');
INSERT INTO `lang_definitions` VALUES (95439, 2372, 26, 'Sede:');
INSERT INTO `lang_definitions` VALUES (95440, 2373, 26, 'GUASTO');
INSERT INTO `lang_definitions` VALUES (95441, 2374, 26, 'fallito(a)');
INSERT INTO `lang_definitions` VALUES (95442, 2375, 26, 'Fallito(a)');
INSERT INTO `lang_definitions` VALUES (95443, 2376, 26, 'Pazienti falliti');
INSERT INTO `lang_definitions` VALUES (95444, 2377, 26, 'Aggiunta del paziente al portale fallita');
INSERT INTO `lang_definitions` VALUES (95445, 2378, 26, 'Impossibile calcolare un nome di file unico');
INSERT INTO `lang_definitions` VALUES (95446, 2379, 26, 'Creazione fallita');
INSERT INTO `lang_definitions` VALUES (95447, 2380, 26, 'Impossibile creare la cartella temporanea. CouchDB non funzionerà.');
INSERT INTO `lang_definitions` VALUES (95448, 2382, 26, 'Fallito.');
INSERT INTO `lang_definitions` VALUES (95449, 2383, 26, 'fallimento');
INSERT INTO `lang_definitions` VALUES (95450, 2384, 26, 'Fallimento');
INSERT INTO `lang_definitions` VALUES (95451, 2385, 26, 'AVVISO DI GUASTO: Impossibile inviare messaggio diretto.');
INSERT INTO `lang_definitions` VALUES (95452, 2390, 26, 'Storia familiare');
INSERT INTO `lang_definitions` VALUES (95453, 2391, 26, 'Storia familiare del Glaucoma');
INSERT INTO `lang_definitions` VALUES (95454, 2392, 26, 'Storia familiare:');
INSERT INTO `lang_definitions` VALUES (95455, 2394, 26, 'Pagamento della famiglia');
INSERT INTO `lang_definitions` VALUES (95456, 2395, 26, 'Grandezza famiglia');
INSERT INTO `lang_definitions` VALUES (95457, 2396, 26, 'Immaginazione');
INSERT INTO `lang_definitions` VALUES (95458, 2397, 26, 'Faroese');
INSERT INTO `lang_definitions` VALUES (95459, 2398, 26, 'Persiano');
INSERT INTO `lang_definitions` VALUES (95460, 2400, 26, 'Padre');
INSERT INTO `lang_definitions` VALUES (95461, 2401, 26, 'Storia del padre');
INSERT INTO `lang_definitions` VALUES (95462, 2402, 26, 'Affaticamento');
INSERT INTO `lang_definitions` VALUES (95463, 2403, 26, 'Affaticato');
INSERT INTO `lang_definitions` VALUES (95464, 2404, 26, 'Fax');
INSERT INTO `lang_definitions` VALUES (95465, 2405, 26, 'Conteggio fax');
INSERT INTO `lang_definitions` VALUES (95466, 2406, 26, 'Numero fax');
INSERT INTO `lang_definitions` VALUES (95467, 2408, 26, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (95468, 2409, 26, 'Fax in ingresso');
INSERT INTO `lang_definitions` VALUES (95469, 2410, 26, 'Fax in uscita');
INSERT INTO `lang_definitions` VALUES (95470, 2411, 26, 'Cartteristiche');
INSERT INTO `lang_definitions` VALUES (95471, 2412, 26, 'Feb');
INSERT INTO `lang_definitions` VALUES (95472, 2413, 26, 'Febbraio');
INSERT INTO `lang_definitions` VALUES (95473, 2414, 26, 'FECA');
INSERT INTO `lang_definitions` VALUES (95474, 2415, 26, 'Federal Drug ID');
INSERT INTO `lang_definitions` VALUES (95475, 2416, 26, 'Federal EIN');
INSERT INTO `lang_definitions` VALUES (95476, 2417, 26, 'Federal Tax ID');
INSERT INTO `lang_definitions` VALUES (95477, 2418, 26, 'Parcella');
INSERT INTO `lang_definitions` VALUES (95478, 2419, 26, 'parcella');
INSERT INTO `lang_definitions` VALUES (95479, 2420, 26, 'La parcella non è consentita');
INSERT INTO `lang_definitions` VALUES (95480, 2421, 26, 'Foglio Parcelle');
INSERT INTO `lang_definitions` VALUES (95481, 2422, 26, 'Opzioni folgio parcelle');
INSERT INTO `lang_definitions` VALUES (95482, 2423, 26, 'Parcelle');
INSERT INTO `lang_definitions` VALUES (95483, 2424, 26, 'Femminile');
INSERT INTO `lang_definitions` VALUES (95484, 2425, 26, 'Femminile AP');
INSERT INTO `lang_definitions` VALUES (95485, 2426, 26, 'Preservativi femminili');
INSERT INTO `lang_definitions` VALUES (95486, 2427, 26, 'Femminile G');
INSERT INTO `lang_definitions` VALUES (95487, 2428, 26, 'Femminile LC');
INSERT INTO `lang_definitions` VALUES (95488, 2429, 26, 'Femminile P');
INSERT INTO `lang_definitions` VALUES (95489, 2430, 26, 'Sintomi femminili');
INSERT INTO `lang_definitions` VALUES (95490, 2431, 26, 'Femminile VSC');
INSERT INTO `lang_definitions` VALUES (95491, 2432, 26, 'Recupero');
INSERT INTO `lang_definitions` VALUES (95492, 2433, 26, 'Recupero seguente file dal portale');
INSERT INTO `lang_definitions` VALUES (95493, 2434, 26, 'Febbre');
INSERT INTO `lang_definitions` VALUES (95494, 2435, 26, 'Febbre:');
INSERT INTO `lang_definitions` VALUES (95495, 2436, 26, 'Problemi al sangue');
INSERT INTO `lang_definitions` VALUES (95496, 2437, 26, 'Fibromi');
INSERT INTO `lang_definitions` VALUES (95497, 2438, 26, 'Campo');
INSERT INTO `lang_definitions` VALUES (95498, 2439, 26, 'Il \"nome\" del campo non può essere NULL');
INSERT INTO `lang_definitions` VALUES (95499, 2441, 26, 'Tipo di campo da usare per la nazione datore di lavoro o sottoscrittore nella demografica.');
INSERT INTO `lang_definitions` VALUES (95500, 2442, 26, 'Tipo di campo da usare per lo stato del datore di lavoro o sottoscrittore nella demografica.');
INSERT INTO `lang_definitions` VALUES (95501, 2443, 26, 'Campo(i) mancante(i)!');
INSERT INTO `lang_definitions` VALUES (95502, 2446, 26, 'Fijian');
INSERT INTO `lang_definitions` VALUES (95503, 2447, 26, 'File');
INSERT INTO `lang_definitions` VALUES (95504, 2448, 26, 'file nella directory Documentation per apprendere come automatizzare il processo di creazione del log dei backup');
INSERT INTO `lang_definitions` VALUES (95505, 2449, 26, 'collocazione del file');
INSERT INTO `lang_definitions` VALUES (95506, 2450, 26, 'Gestione del file');
INSERT INTO `lang_definitions` VALUES (95507, 2453, 26, 'Privilegio del file garantito all\'utente LibreEHR.');
INSERT INTO `lang_definitions` VALUES (95508, 2454, 26, 'Recupero file da CouchDB non riuscito');
INSERT INTO `lang_definitions` VALUES (95509, 2455, 26, 'Spazio file');
INSERT INTO `lang_definitions` VALUES (95510, 2456, 26, 'File da caricare');
INSERT INTO `lang_definitions` VALUES (95511, 2457, 26, 'File da Caricare');
INSERT INTO `lang_definitions` VALUES (95512, 2458, 26, 'Un file con lo stesso nome esiste già in:');
INSERT INTO `lang_definitions` VALUES (95513, 2459, 26, 'Nome file');
INSERT INTO `lang_definitions` VALUES (95514, 2460, 26, 'Il nome del file deve finire con \".pdf\"');
INSERT INTO `lang_definitions` VALUES (95515, 2461, 26, 'File');
INSERT INTO `lang_definitions` VALUES (95516, 2462, 26, 'Filippino');
INSERT INTO `lang_definitions` VALUES (95517, 2463, 26, 'Compila qualcuna delle righe successive.');
INSERT INTO `lang_definitions` VALUES (95518, 2464, 26, 'Compila questo solo se stai inviando una notifica email ai pazienti');
INSERT INTO `lang_definitions` VALUES (95519, 2465, 26, 'Compila i valori successivi');
INSERT INTO `lang_definitions` VALUES (95520, 2467, 26, 'Compila la riga');
INSERT INTO `lang_definitions` VALUES (95521, 2468, 26, 'Filtro');
INSERT INTO `lang_definitions` VALUES (95522, 2469, 26, 'Filtro per Costanti');
INSERT INTO `lang_definitions` VALUES (95523, 2470, 26, 'Filtro per Definizioni');
INSERT INTO `lang_definitions` VALUES (95524, 2471, 26, 'filtrato da');
INSERT INTO `lang_definitions` VALUES (95525, 2472, 26, 'filtri');
INSERT INTO `lang_definitions` VALUES (95526, 2473, 26, 'Filtri');
INSERT INTO `lang_definitions` VALUES (95527, 2474, 26, 'Finale');
INSERT INTO `lang_definitions` VALUES (95528, 2475, 26, 'Diagnosi finale');
INSERT INTO `lang_definitions` VALUES (95529, 2476, 26, 'Diagnosi finale dello specialista');
INSERT INTO `lang_definitions` VALUES (95530, 2478, 26, 'Bilancio');
INSERT INTO `lang_definitions` VALUES (95531, 2479, 26, 'Data chiusura bilancio (aaaa-mm-gg)');
INSERT INTO `lang_definitions` VALUES (95532, 2480, 26, 'Resoconto Bilancio - tutto');
INSERT INTO `lang_definitions` VALUES (95533, 2481, 26, 'Resoconto Bilancio - miei incontri');
INSERT INTO `lang_definitions` VALUES (95534, 2482, 26, 'Data revisione Bilancio');
INSERT INTO `lang_definitions` VALUES (95535, 2483, 26, 'Riepilogo finanziario Codice di servizio');
INSERT INTO `lang_definitions` VALUES (95536, 2484, 26, 'Trova');
INSERT INTO `lang_definitions` VALUES (95537, 2485, 26, 'Trova disponibile');
INSERT INTO `lang_definitions` VALUES (95538, 2486, 26, 'Trova appuntamenti disponibili');
INSERT INTO `lang_definitions` VALUES (95539, 2487, 26, 'Trova Paziente');
INSERT INTO `lang_definitions` VALUES (95540, 2488, 26, 'Trova materiale per l\'istruzione del paziente');
INSERT INTO `lang_definitions` VALUES (95541, 2489, 26, 'Sto cercando');
INSERT INTO `lang_definitions` VALUES (95542, 2490, 26, 'Sto cercando per specialista');
INSERT INTO `lang_definitions` VALUES (95543, 2491, 26, 'Bene');
INSERT INTO `lang_definitions` VALUES (95544, 2492, 26, 'Concludi pagamenti');
INSERT INTO `lang_definitions` VALUES (95545, 2493, 26, 'finito');
INSERT INTO `lang_definitions` VALUES (95546, 2494, 26, 'Finnish');
INSERT INTO `lang_definitions` VALUES (95547, 2495, 26, 'Primo');
INSERT INTO `lang_definitions` VALUES (95548, 2497, 26, 'Primo giorno della settimana');
INSERT INTO `lang_definitions` VALUES (95549, 2498, 26, 'Nome');
INSERT INTO `lang_definitions` VALUES (95550, 2499, 26, 'Nome');
INSERT INTO `lang_definitions` VALUES (95551, 2500, 26, 'Nome:');
INSERT INTO `lang_definitions` VALUES (95552, 2501, 26, 'Prima visita o consulto');
INSERT INTO `lang_definitions` VALUES (95553, 2502, 26, 'Nome Cognome');
INSERT INTO `lang_definitions` VALUES (95554, 2503, 26, 'Fitness');
INSERT INTO `lang_definitions` VALUES (95555, 2504, 26, 'livello forma fisica');
INSERT INTO `lang_definitions` VALUES (95556, 2505, 26, 'Livello di forma fisica, per questo giocatore in questo giorno');
INSERT INTO `lang_definitions` VALUES (95557, 2506, 26, 'Test forma fisica');
INSERT INTO `lang_definitions` VALUES (95558, 2507, 26, 'Idoneità a giocare');
INSERT INTO `lang_definitions` VALUES (95559, 2508, 26, 'Correggere le date incontri - qualsiasi incontro');
INSERT INTO `lang_definitions` VALUES (95560, 2509, 26, 'Correggere questo');
INSERT INTO `lang_definitions` VALUES (95561, 2510, 26, 'FL');
INSERT INTO `lang_definitions` VALUES (95562, 2511, 26, 'Flatulenza');
INSERT INTO `lang_definitions` VALUES (95563, 2512, 26, 'Flusso');
INSERT INTO `lang_definitions` VALUES (95564, 2514, 26, 'Influenza stagionale');
INSERT INTO `lang_definitions` VALUES (95565, 2515, 26, 'Influenza Stagionale');
INSERT INTO `lang_definitions` VALUES (95566, 2516, 26, 'Vaccinazione antiinfluenzale');
INSERT INTO `lang_definitions` VALUES (95567, 2517, 26, 'Problema di fluido e elettrolita');
INSERT INTO `lang_definitions` VALUES (95568, 2518, 26, 'FMS');
INSERT INTO `lang_definitions` VALUES (95569, 2519, 26, 'Formato carta');
INSERT INTO `lang_definitions` VALUES (95570, 2520, 26, 'Segui manualmente');
INSERT INTO `lang_definitions` VALUES (95571, 2521, 26, 'Seguire queste istruzioni per l\'installazione o l\'aggiornamento del database seguente');
INSERT INTO `lang_definitions` VALUES (95572, 2522, 26, 'Follow Up');
INSERT INTO `lang_definitions` VALUES (95573, 2524, 26, 'Motivo del Follow Up');
INSERT INTO `lang_definitions` VALUES (95574, 2525, 26, 'La seguente è una nuova costante custom:');
INSERT INTO `lang_definitions` VALUES (95575, 2526, 26, 'La seguente è una nuova lingua custom:');
INSERT INTO `lang_definitions` VALUES (95576, 2527, 26, 'La seguente è una nuova definizione (Lingua, Costante, Definizione):');
INSERT INTO `lang_definitions` VALUES (95577, 2528, 26, 'In seguito righe del registro di controllo che sono state manomesse');
INSERT INTO `lang_definitions` VALUES (95578, 2529, 26, 'Prestazioni di Follow Up');
INSERT INTO `lang_definitions` VALUES (95579, 2530, 26, 'Fallowup specificati');
INSERT INTO `lang_definitions` VALUES (95580, 2531, 26, 'Intolleranza al cibo');
INSERT INTO `lang_definitions` VALUES (95581, 2532, 26, 'Piede');
INSERT INTO `lang_definitions` VALUES (95582, 2533, 26, 'Problemi al piede');
INSERT INTO `lang_definitions` VALUES (95583, 2534, 26, 'Piede:');
INSERT INTO `lang_definitions` VALUES (95584, 2535, 26, 'Lesioni da Football (amer.)');
INSERT INTO `lang_definitions` VALUES (95585, 2536, 26, 'Lesione da Football');
INSERT INTO `lang_definitions` VALUES (95586, 2537, 26, 'Resoconto Lesioni da Football (amer.)');
INSERT INTO `lang_definitions` VALUES (95587, 2538, 26, 'Tipo di calzatura');
INSERT INTO `lang_definitions` VALUES (95588, 2539, 26, 'per');
INSERT INTO `lang_definitions` VALUES (95589, 2540, 26, 'Per');
INSERT INTO `lang_definitions` VALUES (95590, 2541, 26, 'Per codice');
INSERT INTO `lang_definitions` VALUES (95591, 2543, 26, 'Per indicazioni sugli incontri');
INSERT INTO `lang_definitions` VALUES (95592, 2544, 26, 'Per esempio:');
INSERT INTO `lang_definitions` VALUES (95593, 2545, 26, 'For HCFA 02/12 Box 15 is Other Date with a qualifier to specify what the date indicates');
INSERT INTO `lang_definitions` VALUES (95594, 2546, 26, 'For HCFA 02/12 Onset date specified on the Encounter Form needs a qualifier');
INSERT INTO `lang_definitions` VALUES (95595, 2547, 26, 'per fattura');
INSERT INTO `lang_definitions` VALUES (95596, 2548, 26, 'Solo per Medicare, costringe il fornitore di riferimento per essere lo stesso come fornitore di rappresentazione.');
INSERT INTO `lang_definitions` VALUES (95597, 2549, 26, 'per OBR metti numero di ordine');
INSERT INTO `lang_definitions` VALUES (95598, 2550, 26, 'per paziente');
INSERT INTO `lang_definitions` VALUES (95599, 2552, 26, 'Per organismo di cui / Specialista');
INSERT INTO `lang_definitions` VALUES (95600, 2553, 26, 'Per il passato');
INSERT INTO `lang_definitions` VALUES (95601, 2554, 26, 'per variabile');
INSERT INTO `lang_definitions` VALUES (95602, 2555, 26, 'per:');
INSERT INTO `lang_definitions` VALUES (95603, 2556, 26, 'Forza l\'apertura del widget fatturazione');
INSERT INTO `lang_definitions` VALUES (95604, 2557, 26, 'Forza la creazione di un nuovo paziente');
INSERT INTO `lang_definitions` VALUES (95605, 2558, 26, 'Forza visualizzazione');
INSERT INTO `lang_definitions` VALUES (95606, 2559, 26, 'Avambraccio');
INSERT INTO `lang_definitions` VALUES (95607, 2560, 26, 'Modulo');
INSERT INTO `lang_definitions` VALUES (95608, 2561, 26, 'modulo');
INSERT INTO `lang_definitions` VALUES (95609, 2562, 26, 'Modulo elementi non trovati');
INSERT INTO `lang_definitions` VALUES (95610, 2563, 26, 'Modulo firmato con successo');
INSERT INTO `lang_definitions` VALUES (95611, 2564, 26, 'Formato');
INSERT INTO `lang_definitions` VALUES (95612, 2565, 26, 'formato');
INSERT INTO `lang_definitions` VALUES (95613, 2566, 26, 'Formato per visualizzare età');
INSERT INTO `lang_definitions` VALUES (95614, 2567, 26, 'Formato scorretto per NDC');
INSERT INTO `lang_definitions` VALUES (95615, 2568, 26, 'Formato usato per mostrare la maggior parte delle date.');
INSERT INTO `lang_definitions` VALUES (95616, 2569, 26, 'Formato usato per mostrare la maggior parte delle volte.');
INSERT INTO `lang_definitions` VALUES (95617, 2570, 26, 'Resoconto formattato');
INSERT INTO `lang_definitions` VALUES (95618, 2571, 26, 'Ex fumatore');
INSERT INTO `lang_definitions` VALUES (95619, 2572, 26, 'Moduli');
INSERT INTO `lang_definitions` VALUES (95620, 2573, 26, 'Amministrazione Moduli');
INSERT INTO `lang_definitions` VALUES (95621, 2575, 26, 'Inoltrare');
INSERT INTO `lang_definitions` VALUES (95622, 2576, 26, 'Pagine inoltrate via Fax');
INSERT INTO `lang_definitions` VALUES (95623, 2577, 26, 'Inoltrato');
INSERT INTO `lang_definitions` VALUES (95624, 2579, 26, 'Quarto');
INSERT INTO `lang_definitions` VALUES (95625, 2581, 26, 'Frattura');
INSERT INTO `lang_definitions` VALUES (95626, 2582, 26, 'Frattura alla navicula');
INSERT INTO `lang_definitions` VALUES (95627, 2583, 26, 'Frattura malleolo laterale');
INSERT INTO `lang_definitions` VALUES (95628, 2584, 26, 'Frattura malleolo mediale');
INSERT INTO `lang_definitions` VALUES (95629, 2585, 26, 'Frattura, base del quinto metatarsale');
INSERT INTO `lang_definitions` VALUES (95630, 2586, 26, 'Supporto struttura necessario');
INSERT INTO `lang_definitions` VALUES (95631, 2587, 26, 'Francese');
INSERT INTO `lang_definitions` VALUES (95632, 2588, 26, 'Francese (Canadese)');
INSERT INTO `lang_definitions` VALUES (95633, 2589, 26, 'Francese (Standard)');
INSERT INTO `lang_definitions` VALUES (95634, 2590, 26, 'Frequenza');
INSERT INTO `lang_definitions` VALUES (95635, 2591, 26, 'Raffreddori frequenti');
INSERT INTO `lang_definitions` VALUES (95636, 2592, 26, 'Infermità frequenti');
INSERT INTO `lang_definitions` VALUES (95637, 2593, 26, 'Ven');
INSERT INTO `lang_definitions` VALUES (95638, 2594, 26, 'Venerdì');
INSERT INTO `lang_definitions` VALUES (95639, 2595, 26, 'Da');
INSERT INTO `lang_definitions` VALUES (95640, 2596, 26, 'DA');
INSERT INTO `lang_definitions` VALUES (95641, 2597, 26, 'da');
INSERT INTO `lang_definitions` VALUES (95642, 2598, 26, 'La data iniziale non può essere successiva alla data finale');
INSERT INTO `lang_definitions` VALUES (95643, 2599, 26, 'Da:');
INSERT INTO `lang_definitions` VALUES (95644, 2600, 26, 'Da: ');
INSERT INTO `lang_definitions` VALUES (95645, 2601, 26, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (95646, 2602, 26, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (95647, 2603, 26, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (95648, 2604, 26, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (95649, 2605, 26, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (95650, 2606, 26, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (95651, 2607, 26, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (95652, 2608, 26, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (95653, 2609, 26, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (95654, 2610, 26, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (95655, 2611, 26, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (95656, 2612, 26, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (95657, 2613, 26, 'Sportello');
INSERT INTO `lang_definitions` VALUES (95658, 2614, 26, 'Ricevute da Sportello');
INSERT INTO `lang_definitions` VALUES (95659, 2615, 26, 'Resoconto ricevute da sportello');
INSERT INTO `lang_definitions` VALUES (95660, 2616, 26, 'Ricevimento anteriore');
INSERT INTO `lang_definitions` VALUES (95661, 2617, 26, 'Frontale destro:');
INSERT INTO `lang_definitions` VALUES (95662, 2618, 26, 'Fula- Fulah- Pulaar- Pular');
INSERT INTO `lang_definitions` VALUES (95663, 2619, 26, 'Nome completo');
INSERT INTO `lang_definitions` VALUES (95664, 2620, 26, 'Percorso completo alla directory contenente l\'eseguibile MySQL');
INSERT INTO `lang_definitions` VALUES (95665, 2621, 26, 'Percorso completo alla directory contenente l\'eseguibile Perl');
INSERT INTO `lang_definitions` VALUES (95666, 2622, 26, 'Percorso completo alla directory del log dell\'evento backup');
INSERT INTO `lang_definitions` VALUES (95667, 2623, 26, 'Percorso completo alla directory usata per i file temporanei');
INSERT INTO `lang_definitions` VALUES (95668, 2624, 26, 'Full Play');
INSERT INTO `lang_definitions` VALUES (95669, 2625, 26, 'Addestramento completo');
INSERT INTO `lang_definitions` VALUES (95670, 2626, 26, 'Pagamento completato');
INSERT INTO `lang_definitions` VALUES (95671, 2631, 26, 'Futuro');
INSERT INTO `lang_definitions` VALUES (95672, 2633, 26, 'G');
INSERT INTO `lang_definitions` VALUES (95673, 2634, 26, 'G/DL');
INSERT INTO `lang_definitions` VALUES (95674, 2635, 26, 'Galician');
INSERT INTO `lang_definitions` VALUES (95675, 2636, 26, 'Condizione cistifellea');
INSERT INTO `lang_definitions` VALUES (95676, 2637, 26, 'Calcoli biliari');
INSERT INTO `lang_definitions` VALUES (95677, 2638, 26, 'Periodo partita');
INSERT INTO `lang_definitions` VALUES (95678, 2639, 26, 'Partite');
INSERT INTO `lang_definitions` VALUES (95679, 2640, 26, 'Partite mancanti');
INSERT INTO `lang_definitions` VALUES (95680, 2641, 26, 'partite/eventi');
INSERT INTO `lang_definitions` VALUES (95681, 2642, 26, 'Partite/Eventi mancanti');
INSERT INTO `lang_definitions` VALUES (95682, 2643, 26, 'Ganda');
INSERT INTO `lang_definitions` VALUES (95683, 2644, 26, 'Gastrite');
INSERT INTO `lang_definitions` VALUES (95684, 2645, 26, 'Dolore gastrico');
INSERT INTO `lang_definitions` VALUES (95685, 2646, 26, 'Gastrointestinale');
INSERT INTO `lang_definitions` VALUES (95686, 2647, 26, 'Resoconto statistiche GCAC');
INSERT INTO `lang_definitions` VALUES (95687, 2648, 26, 'Stat GCAC');
INSERT INTO `lang_definitions` VALUES (95688, 2649, 26, 'Modulo visita GCAC mancante');
INSERT INTO `lang_definitions` VALUES (95689, 2650, 26, 'Genere');
INSERT INTO `lang_definitions` VALUES (95690, 2651, 26, 'Genere ');
INSERT INTO `lang_definitions` VALUES (95691, 2652, 26, 'Generale');
INSERT INTO `lang_definitions` VALUES (95692, 2653, 26, 'Elenco generale edizione');
INSERT INTO `lang_definitions` VALUES (95693, 2655, 26, 'Categoria Servizio generale');
INSERT INTO `lang_definitions` VALUES (95694, 2656, 26, 'Genera');
INSERT INTO `lang_definitions` VALUES (95695, 2657, 26, 'Genera e scarica CMS 1500 sinistri cartacei');
INSERT INTO `lang_definitions` VALUES (95696, 2658, 26, 'Genera e scarica HCFA 1500 sinistri cartacei');
INSERT INTO `lang_definitions` VALUES (95697, 2659, 26, 'Genera e scarica');
INSERT INTO `lang_definitions` VALUES (95698, 2660, 26, 'Genera e scarica X12 sinistri degli incontri batch');
INSERT INTO `lang_definitions` VALUES (95699, 2663, 26, 'Genera e trasmetti elettronicamente le prescrizioni permesse.');
INSERT INTO `lang_definitions` VALUES (95700, 2664, 26, 'Genera CMS 1500');
INSERT INTO `lang_definitions` VALUES (95701, 2665, 26, 'Genera CMS 1500 in formato PDF');
INSERT INTO `lang_definitions` VALUES (95702, 2666, 26, 'Geenra CMS 15000 in formato TEXT');
INSERT INTO `lang_definitions` VALUES (95703, 2667, 26, 'Genera HCFA');
INSERT INTO `lang_definitions` VALUES (95704, 2668, 26, 'Genera fattura');
INSERT INTO `lang_definitions` VALUES (95705, 2669, 26, 'Genera lettera');
INSERT INTO `lang_definitions` VALUES (95706, 2670, 26, 'Geenra lettera concernente ');
INSERT INTO `lang_definitions` VALUES (95707, 2671, 26, 'Genera resoconto PQRI (Metodo A)');
INSERT INTO `lang_definitions` VALUES (95708, 2672, 26, 'Genera resoconto PQRI (Metodo A) - 2011');
INSERT INTO `lang_definitions` VALUES (95709, 2673, 26, 'Genera resoconto PQRI (Metodo E)');
INSERT INTO `lang_definitions` VALUES (95710, 2674, 26, 'Genera resoconto PQRI (Metodo E) - 2011');
INSERT INTO `lang_definitions` VALUES (95711, 2677, 26, 'Genera resoconto');
INSERT INTO `lang_definitions` VALUES (95712, 2678, 26, 'Genera nome utente e password per');
INSERT INTO `lang_definitions` VALUES (95713, 2679, 26, 'Genera X12');
INSERT INTO `lang_definitions` VALUES (95714, 2680, 26, 'Genera incontro X12');
INSERT INTO `lang_definitions` VALUES (95715, 2682, 26, 'Generato il');
INSERT INTO `lang_definitions` VALUES (95716, 2683, 26, 'Genera');
INSERT INTO `lang_definitions` VALUES (95717, 2684, 26, 'Genitourinario');
INSERT INTO `lang_definitions` VALUES (95718, 2686, 26, 'Georgian');
INSERT INTO `lang_definitions` VALUES (95719, 2687, 26, 'Tedesco');
INSERT INTO `lang_definitions` VALUES (95720, 2691, 26, 'Preleva HL7');
INSERT INTO `lang_definitions` VALUES (95721, 2692, 26, 'Glaucoma');
INSERT INTO `lang_definitions` VALUES (95722, 2693, 26, 'Storico familiare Glaucoma');
INSERT INTO `lang_definitions` VALUES (95723, 2694, 26, 'Globale');
INSERT INTO `lang_definitions` VALUES (95724, 2696, 26, 'ID globale');
INSERT INTO `lang_definitions` VALUES (95725, 2697, 26, 'Parametri globali');
INSERT INTO `lang_definitions` VALUES (95726, 2698, 26, 'Globali');
INSERT INTO `lang_definitions` VALUES (95727, 2699, 26, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (95728, 2700, 26, 'vai');
INSERT INTO `lang_definitions` VALUES (95729, 2701, 26, 'Vai');
INSERT INTO `lang_definitions` VALUES (95730, 2704, 26, 'Vai a');
INSERT INTO `lang_definitions` VALUES (95731, 2705, 26, 'Vai alla settimana del');
INSERT INTO `lang_definitions` VALUES (95732, 2706, 26, 'Vai a Oggi');
INSERT INTO `lang_definitions` VALUES (95733, 2707, 26, 'Obiettivo A');
INSERT INTO `lang_definitions` VALUES (95734, 2708, 26, 'Obiettivi e metodi');
INSERT INTO `lang_definitions` VALUES (95735, 2709, 26, 'Obiettivo B');
INSERT INTO `lang_definitions` VALUES (95736, 2710, 26, 'Obiettivo C');
INSERT INTO `lang_definitions` VALUES (95737, 2711, 26, 'Grado della lesione');
INSERT INTO `lang_definitions` VALUES (95738, 2712, 26, 'Grado:');
INSERT INTO `lang_definitions` VALUES (95739, 2713, 26, 'grammi');
INSERT INTO `lang_definitions` VALUES (95740, 2714, 26, 'Gran Totale');
INSERT INTO `lang_definitions` VALUES (95741, 2715, 26, 'Grandi Totali');
INSERT INTO `lang_definitions` VALUES (95742, 2718, 26, 'Visualizzabile graficamente');
INSERT INTO `lang_definitions` VALUES (95743, 2720, 26, 'maggiore di');
INSERT INTO `lang_definitions` VALUES (95744, 2721, 26, 'maggiore o uguale a');
INSERT INTO `lang_definitions` VALUES (95745, 2722, 26, 'Greco');
INSERT INTO `lang_definitions` VALUES (95746, 2723, 26, 'Greco, moderno');
INSERT INTO `lang_definitions` VALUES (95747, 2724, 26, 'Gruppo');
INSERT INTO `lang_definitions` VALUES (95748, 2725, 26, 'Nome del Gruppo');
INSERT INTO `lang_definitions` VALUES (95749, 2726, 26, 'I nomi dei gruppi non possono essere in bianco');
INSERT INTO `lang_definitions` VALUES (95750, 2727, 26, 'I nomi dei gruppi non possono cominciare con numeri o spazi.');
INSERT INTO `lang_definitions` VALUES (95751, 2728, 26, 'I nomi dei gruppi non possono cominciare con numeri.');
INSERT INTO `lang_definitions` VALUES (95752, 2729, 26, 'Numero del gruppo');
INSERT INTO `lang_definitions` VALUES (95753, 2730, 26, 'Pagamento del Gruppo');
INSERT INTO `lang_definitions` VALUES (95754, 2731, 26, 'Gruppo:');
INSERT INTO `lang_definitions` VALUES (95755, 2732, 26, 'Nomegruppo');
INSERT INTO `lang_definitions` VALUES (95756, 2733, 26, 'Gruppi e controlli di accesso');
INSERT INTO `lang_definitions` VALUES (95757, 2734, 26, 'Tabulato della crescita');
INSERT INTO `lang_definitions` VALUES (95758, 2735, 26, 'Tabulato-Crescita');
INSERT INTO `lang_definitions` VALUES (95759, 2736, 26, 'gocce');
INSERT INTO `lang_definitions` VALUES (95760, 2737, 26, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (95761, 2738, 26, 'Guaraní');
INSERT INTO `lang_definitions` VALUES (95762, 2739, 26, 'Nome del tutore');
INSERT INTO `lang_definitions` VALUES (95763, 2740, 26, 'Gujarati');
INSERT INTO `lang_definitions` VALUES (95764, 2741, 26, 'Esame ginecologico');
INSERT INTO `lang_definitions` VALUES (95765, 2742, 26, 'h');
INSERT INTO `lang_definitions` VALUES (95766, 2743, 26, 'h.s.(hora somni)');
INSERT INTO `lang_definitions` VALUES (95767, 2744, 26, 'H/O Epatiti');
INSERT INTO `lang_definitions` VALUES (95768, 2745, 26, 'è stato eliminata con successo. Qualsiasi categoria se presente è stata spostata sotto');
INSERT INTO `lang_definitions` VALUES (95769, 2746, 26, 'Ematoma / contusione');
INSERT INTO `lang_definitions` VALUES (95770, 2747, 26, 'Stato HAI(Hospital-acquired infection)');
INSERT INTO `lang_definitions` VALUES (95771, 2748, 26, 'Haitian- Haitian Creole');
INSERT INTO `lang_definitions` VALUES (95772, 2750, 26, 'Mano + dita');
INSERT INTO `lang_definitions` VALUES (95773, 2751, 26, 'Problemi alla mano');
INSERT INTO `lang_definitions` VALUES (95774, 2752, 26, 'Hard Disk');
INSERT INTO `lang_definitions` VALUES (95775, 2753, 26, 'Con/senza difficoltà');
INSERT INTO `lang_definitions` VALUES (95776, 2754, 26, 'è stato collegato alla visita');
INSERT INTO `lang_definitions` VALUES (95777, 2755, 26, 'è scaduto');
INSERT INTO `lang_definitions` VALUES (95778, 2756, 26, 'Hash');
INSERT INTO `lang_definitions` VALUES (95779, 2757, 26, 'L\'hash di questo file non esisteva. E\' stato genenrato un nuovo hash.');
INSERT INTO `lang_definitions` VALUES (95780, 2758, 26, 'L\'hash non corrisponde. L\'integrità dei dati è stata compromessa.');
INSERT INTO `lang_definitions` VALUES (95781, 2759, 26, 'Hausa');
INSERT INTO `lang_definitions` VALUES (95782, 2760, 26, 'Hawaiano');
INSERT INTO `lang_definitions` VALUES (95783, 2761, 26, 'Attività Rischiose');
INSERT INTO `lang_definitions` VALUES (95784, 2762, 26, 'Attività rischiose');
INSERT INTO `lang_definitions` VALUES (95785, 2763, 26, 'margine sinistro in punti dell\'HCFA');
INSERT INTO `lang_definitions` VALUES (95786, 2764, 26, 'Margini dell\'HCFA');
INSERT INTO `lang_definitions` VALUES (95787, 2765, 26, 'margine superiore in punti dell\'HCFA');
INSERT INTO `lang_definitions` VALUES (95788, 2766, 26, 'HCPCS procedura/Servizio');
INSERT INTO `lang_definitions` VALUES (95789, 2767, 26, 'lui PostCalendar ');
INSERT INTO `lang_definitions` VALUES (95790, 2768, 26, 'Testa');
INSERT INTO `lang_definitions` VALUES (95791, 2769, 26, 'Circ Testa');
INSERT INTO `lang_definitions` VALUES (95792, 2770, 26, 'Circonferenza della testa');
INSERT INTO `lang_definitions` VALUES (95793, 2771, 26, 'Mal di testa');
INSERT INTO `lang_definitions` VALUES (95794, 2772, 26, 'Mal di testa');
INSERT INTO `lang_definitions` VALUES (95795, 2773, 26, 'operazioni di assistenza sanitaria');
INSERT INTO `lang_definitions` VALUES (95796, 2774, 26, 'operazioni di assistenza sanitaria');
INSERT INTO `lang_definitions` VALUES (95797, 2775, 26, 'Centro medico / Clinica');
INSERT INTO `lang_definitions` VALUES (95798, 2776, 26, 'Organizzazione per il mantenimento della salute');
INSERT INTO `lang_definitions` VALUES (95799, 2777, 26, 'Organizzazione per il mantenimento della salute');
INSERT INTO `lang_definitions` VALUES (95800, 2778, 26, 'Perdita dell\'udito');
INSERT INTO `lang_definitions` VALUES (95801, 2779, 26, 'Attacco cardiaco');
INSERT INTO `lang_definitions` VALUES (95802, 2780, 26, 'Malattia cardiaca');
INSERT INTO `lang_definitions` VALUES (95803, 2781, 26, 'Scompenso cardiaco');
INSERT INTO `lang_definitions` VALUES (95804, 2782, 26, 'Problema cardiaco');
INSERT INTO `lang_definitions` VALUES (95805, 2783, 26, 'Problemi cardiaci');
INSERT INTO `lang_definitions` VALUES (95806, 2784, 26, 'Chirurgia cardiaca');
INSERT INTO `lang_definitions` VALUES (95807, 2785, 26, 'Trapianto cardiaco');
INSERT INTO `lang_definitions` VALUES (95808, 2786, 26, 'CUORE:');
INSERT INTO `lang_definitions` VALUES (95809, 2787, 26, 'Pirosi');
INSERT INTO `lang_definitions` VALUES (95810, 2788, 26, 'Caldo o Freddo');
INSERT INTO `lang_definitions` VALUES (95811, 2789, 26, 'Caldo O Freddo');
INSERT INTO `lang_definitions` VALUES (95812, 2790, 26, 'Fumatore di tabacco pesante');
INSERT INTO `lang_definitions` VALUES (95813, 2791, 26, 'Ebraico');
INSERT INTO `lang_definitions` VALUES (95814, 2792, 26, 'Ebraico (moderno)');
INSERT INTO `lang_definitions` VALUES (95815, 2793, 26, 'HEENT');
INSERT INTO `lang_definitions` VALUES (95816, 2794, 26, 'Altezza');
INSERT INTO `lang_definitions` VALUES (95817, 2795, 26, 'Altezza/Lunghezza');
INSERT INTO `lang_definitions` VALUES (95818, 2796, 26, 'Aiuto');
INSERT INTO `lang_definitions` VALUES (95819, 2797, 26, 'aiuto');
INSERT INTO `lang_definitions` VALUES (95820, 2798, 26, 'Ematemesi');
INSERT INTO `lang_definitions` VALUES (95821, 2799, 26, 'Ematochezia');
INSERT INTO `lang_definitions` VALUES (95822, 2800, 26, 'Ematologico');
INSERT INTO `lang_definitions` VALUES (95823, 2801, 26, 'Ematuria');
INSERT INTO `lang_definitions` VALUES (95824, 2802, 26, 'Emoglobina');
INSERT INTO `lang_definitions` VALUES (95825, 2803, 26, 'Emoglobina A1C');
INSERT INTO `lang_definitions` VALUES (95826, 2804, 26, 'Emottisi');
INSERT INTO `lang_definitions` VALUES (95827, 2805, 26, 'Epatite');
INSERT INTO `lang_definitions` VALUES (95828, 2806, 26, 'Epatite A 1');
INSERT INTO `lang_definitions` VALUES (95829, 2807, 26, 'Epatite A 2');
INSERT INTO `lang_definitions` VALUES (95830, 2808, 26, 'Epatite B 1');
INSERT INTO `lang_definitions` VALUES (95831, 2809, 26, 'Epatite B 2');
INSERT INTO `lang_definitions` VALUES (95832, 2810, 26, 'Epatite B 3');
INSERT INTO `lang_definitions` VALUES (95833, 2811, 26, 'qui');
INSERT INTO `lang_definitions` VALUES (95834, 2812, 26, 'Herero');
INSERT INTO `lang_definitions` VALUES (95835, 2813, 26, 'Riparazione ernia');
INSERT INTO `lang_definitions` VALUES (95836, 2814, 26, 'Disco erniatico');
INSERT INTO `lang_definitions` VALUES (95837, 2815, 26, 'Herpes');
INSERT INTO `lang_definitions` VALUES (95838, 2816, 26, 'Titubanza');
INSERT INTO `lang_definitions` VALUES (95839, 2817, 26, 'Ehi tu. sei stato qui per ');
INSERT INTO `lang_definitions` VALUES (95840, 2818, 26, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (95841, 2819, 26, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (95842, 2820, 26, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (95843, 2821, 26, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (95844, 2822, 26, 'Nascosto');
INSERT INTO `lang_definitions` VALUES (95845, 2823, 26, 'Amministrazione eventi nascosti');
INSERT INTO `lang_definitions` VALUES (95846, 2824, 26, 'Nascondi');
INSERT INTO `lang_definitions` VALUES (95847, 2825, 26, 'Nascondi dettagli');
INSERT INTO `lang_definitions` VALUES (95848, 2826, 26, 'Nascondi E-Sign vuoti nel log del Report');
INSERT INTO `lang_definitions` VALUES (95849, 2827, 26, 'Nascondi le opzioni di cifratura/decifratura nella gestione documento');
INSERT INTO `lang_definitions` VALUES (95850, 2828, 26, 'Nascondi menu');
INSERT INTO `lang_definitions` VALUES (95851, 2830, 26, 'Nascondi promemoria');
INSERT INTO `lang_definitions` VALUES (95852, 2831, 26, 'Nascondi/Scopri Colonne');
INSERT INTO `lang_definitions` VALUES (95853, 2833, 26, 'Alto');
INSERT INTO `lang_definitions` VALUES (95854, 2834, 26, 'Pressione sanguigna alta');
INSERT INTO `lang_definitions` VALUES (95855, 2835, 26, 'Indi');
INSERT INTO `lang_definitions` VALUES (95856, 2836, 26, 'Anca + inguine');
INSERT INTO `lang_definitions` VALUES (95857, 2837, 26, 'Anca e inguine');
INSERT INTO `lang_definitions` VALUES (95858, 2838, 26, 'Problemi all\'anca');
INSERT INTO `lang_definitions` VALUES (95859, 2839, 26, 'Protesi d\'anca');
INSERT INTO `lang_definitions` VALUES (95860, 2840, 26, 'HIPAA notifica ricevuta');
INSERT INTO `lang_definitions` VALUES (95861, 2841, 26, 'Hiri Motu');
INSERT INTO `lang_definitions` VALUES (95862, 2842, 26, 'Irsutismo/Smagliature');
INSERT INTO `lang_definitions` VALUES (95863, 2843, 26, 'Ispanico');
INSERT INTO `lang_definitions` VALUES (95864, 2844, 26, 'Ispanico - Altri (nati in US)');
INSERT INTO `lang_definitions` VALUES (95865, 2845, 26, 'Ispanico - Altri (nati fuori US)');
INSERT INTO `lang_definitions` VALUES (95866, 2846, 26, 'Ispanico o Latino');
INSERT INTO `lang_definitions` VALUES (95867, 2847, 26, 'Storico');
INSERT INTO `lang_definitions` VALUES (95868, 2848, 26, 'Data storico');
INSERT INTO `lang_definitions` VALUES (95869, 2849, 26, 'Dati storici');
INSERT INTO `lang_definitions` VALUES (95870, 2851, 26, 'Storico Murmure');
INSERT INTO `lang_definitions` VALUES (95871, 2852, 26, 'Storico non autorizzato');
INSERT INTO `lang_definitions` VALUES (95872, 2853, 26, 'Storico soffio al cuore');
INSERT INTO `lang_definitions` VALUES (95873, 2854, 26, 'Accessi');
INSERT INTO `lang_definitions` VALUES (95874, 2855, 26, 'HIV');
INSERT INTO `lang_definitions` VALUES (95875, 2858, 26, 'HL7 visualizzatore');
INSERT INTO `lang_definitions` VALUES (95876, 2860, 26, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (95877, 2861, 26, 'Hmong');
INSERT INTO `lang_definitions` VALUES (95878, 2862, 26, 'Tieni premuto [Ctrl] per selezione o deselezione multipla');
INSERT INTO `lang_definitions` VALUES (95879, 2863, 26, 'Tieni premuto Ctrl per selezionare elementi multipli');
INSERT INTO `lang_definitions` VALUES (95880, 2864, 26, 'Tieni premuto Ctrl per selezione squadre multiple');
INSERT INTO `lang_definitions` VALUES (95881, 2865, 26, 'Home');
INSERT INTO `lang_definitions` VALUES (95882, 2866, 26, 'Telefono abitazione');
INSERT INTO `lang_definitions` VALUES (95883, 2867, 26, 'Numero telefono abitazione');
INSERT INTO `lang_definitions` VALUES (95884, 2868, 26, 'Senza tetto o simili?');
INSERT INTO `lang_definitions` VALUES (95885, 2869, 26, 'Senza tetto, etc');
INSERT INTO `lang_definitions` VALUES (95886, 2870, 26, 'Senza tetto, etc');
INSERT INTO `lang_definitions` VALUES (95887, 2871, 26, 'Hooks(Ganci)');
INSERT INTO `lang_definitions` VALUES (95888, 2872, 26, 'Nome dell\'Host');
INSERT INTO `lang_definitions` VALUES (95889, 2873, 26, 'Il nome dell\'Host non può essere vuoto');
INSERT INTO `lang_definitions` VALUES (95890, 2875, 26, 'Ora');
INSERT INTO `lang_definitions` VALUES (95891, 2876, 26, 'Ore');
INSERT INTO `lang_definitions` VALUES (95892, 2878, 26, 'Quando è avvenuta la lesione?');
INSERT INTO `lang_definitions` VALUES (95893, 2879, 26, 'Quando è avvenuta la lesione?:');
INSERT INTO `lang_definitions` VALUES (95894, 2880, 26, 'Quando hanno sentito parlare di noi');
INSERT INTO `lang_definitions` VALUES (95895, 2881, 26, 'Per quanti mesi richiedi gli eventi futuri?');
INSERT INTO `lang_definitions` VALUES (95896, 2882, 26, 'HPI(High Pressure Injection):');
INSERT INTO `lang_definitions` VALUES (95897, 2883, 26, 'HT');
INSERT INTO `lang_definitions` VALUES (95898, 2884, 26, 'HTML');
INSERT INTO `lang_definitions` VALUES (95899, 2885, 26, 'HTML Output?');
INSERT INTO `lang_definitions` VALUES (95900, 2886, 26, 'Collegamento https al supporto LibreEHR per il servizio scambio Lab LLC.');
INSERT INTO `lang_definitions` VALUES (95901, 2887, 26, 'Ungherese');
INSERT INTO `lang_definitions` VALUES (95902, 2888, 26, 'Directory Hylafax');
INSERT INTO `lang_definitions` VALUES (95903, 2889, 26, 'Comando enscript Hylafax');
INSERT INTO `lang_definitions` VALUES (95904, 2890, 26, 'Server Hylafax');
INSERT INTO `lang_definitions` VALUES (95905, 2891, 26, 'Hostname del server Hylafax');
INSERT INTO `lang_definitions` VALUES (95906, 2892, 26, 'Iperattivo');
INSERT INTO `lang_definitions` VALUES (95907, 2893, 26, 'Ipertensione');
INSERT INTO `lang_definitions` VALUES (95908, 2894, 26, 'Ipertensione: Misura della pressione sanguigna');
INSERT INTO `lang_definitions` VALUES (95909, 2895, 26, 'Ipertensione: Misura della pressione sanguigna (CQM)');
INSERT INTO `lang_definitions` VALUES (95910, 2896, 26, 'Ipertiroidismo');
INSERT INTO `lang_definitions` VALUES (95911, 2897, 26, 'Ipertiroidismo');
INSERT INTO `lang_definitions` VALUES (95912, 2898, 26, 'Isterectomia');
INSERT INTO `lang_definitions` VALUES (95913, 2899, 26, 'Io');
INSERT INTO `lang_definitions` VALUES (95914, 2900, 26, 'Sono occupato in questo periodo.');
INSERT INTO `lang_definitions` VALUES (95915, 2901, 26, 'Non ho il permesso di leggere ');
INSERT INTO `lang_definitions` VALUES (95916, 2902, 26, 'ICD');
INSERT INTO `lang_definitions` VALUES (95917, 2903, 26, 'ICD10 diagnosi');
INSERT INTO `lang_definitions` VALUES (95918, 2904, 26, 'ICD10 Procedure/Servizi');
INSERT INTO `lang_definitions` VALUES (95919, 2905, 26, 'ICD9');
INSERT INTO `lang_definitions` VALUES (95920, 2906, 26, 'ICD9 diagnosi');
INSERT INTO `lang_definitions` VALUES (95921, 2907, 26, 'ICD9 Procedure/Servizi');
INSERT INTO `lang_definitions` VALUES (95922, 2908, 26, 'Icelandic');
INSERT INTO `lang_definitions` VALUES (95923, 2909, 26, 'ID');
INSERT INTO `lang_definitions` VALUES (95924, 2910, 26, 'Id');
INSERT INTO `lang_definitions` VALUES (95925, 2911, 26, 'ID non può essere in bianco');
INSERT INTO `lang_definitions` VALUES (95926, 2912, 26, 'ID Carta');
INSERT INTO `lang_definitions` VALUES (95927, 2913, 26, 'IDays');
INSERT INTO `lang_definitions` VALUES (95928, 2914, 26, 'identificato come');
INSERT INTO `lang_definitions` VALUES (95929, 2915, 26, 'identificatore(una parola)');
INSERT INTO `lang_definitions` VALUES (95930, 2916, 26, 'Codice identificativo');
INSERT INTO `lang_definitions` VALUES (95931, 2917, 26, 'Tempo di attesa in secondi per il timeout della sessione');
INSERT INTO `lang_definitions` VALUES (95932, 2918, 26, 'Ido');
INSERT INTO `lang_definitions` VALUES (95933, 2919, 26, 'se tutti i dati per tutte le colonne sono completi per questo modulo');
INSERT INTO `lang_definitions` VALUES (95934, 2920, 26, 'Se si sta usando la motivazione della fatturazione inserisci il tipo di codice diagnostico.');
INSERT INTO `lang_definitions` VALUES (95935, 2921, 26, 'se inserito, seleziona solo quelli che avevano avuto questa prestazione');
INSERT INTO `lang_definitions` VALUES (95936, 2922, 26, 'se è un nome, qualsiasi parte del cognome o del cognome,nome');
INSERT INTO `lang_definitions` VALUES (95937, 2923, 26, 'se pagato da');
INSERT INTO `lang_definitions` VALUES (95938, 2924, 26, 'se la persona è deceduta, allora inserisci la data di morte.');
INSERT INTO `lang_definitions` VALUES (95939, 2925, 26, 'se si utilizza SMTP, il nome dell\'host o l\'indirizzo IP');
INSERT INTO `lang_definitions` VALUES (95940, 2926, 26, 'se si utilizza SMTP, il numero della porta TCP (tipicamente 25).');
INSERT INTO `lang_definitions` VALUES (95941, 2927, 26, 'se disoccupato inserisci Studente');
INSERT INTO `lang_definitions` VALUES (95942, 2928, 26, 'Se AMG è selezionata per la visualizzazione età, passare a solo anni quando i pazienti di età superiore a questo valore in anni');
INSERT INTO `lang_definitions` VALUES (95943, 2929, 26, 'Se si cambia indirizzo per ruolo e-RX sulle ricette mediche elettroniche, può influenzare il flusso di lavoro sulle ricette mediche elettroniche. Se dovete affrontare qualsiasi difficoltà, contattare il fornitore sulle ricette mediche elettroniche.');
INSERT INTO `lang_definitions` VALUES (95944, 2931, 26, 'Se si è scelto di caricare rimesse elettroniche, quindi la finestra di ricerca si è visualizza di nuovo con le fatture corrispondenti dal file X12. È possibile fare clic su uno di questi numeri di fattura (come descritto di seguito), se si desidera effettuare qualche correzione prima che le informazioni rimessa viene applicato. Per applicare le modifiche, fare clic sul pulsante ERA Elabora il file in fondo alla pagina. Questo produrrà una nuova finestra con una relazione dettagliata.');
INSERT INTO `lang_definitions` VALUES (95945, 2932, 26, 'Se è stata inserita una data di pagamento nella pagina di ricerca, questa verrà annullata dalla data di registrazione dei pagamenti e delle rettifiche che sono altrimenti presi dal file di X12. Questo può essere utile per la creazione di report, se si desidera che le ricevute di notifica utilizzino la data di registrazione, piuttosto che lae compagniae di assicurazione. Si noti che questo influenzerà anche le date dei pagamenti precedenti e le regolazioni che vengono messe in rivendicazioni secondarie.');
INSERT INTO `lang_definitions` VALUES (95946, 2933, 26, 'se vuoi cambiare i tipi di dati, o aggiungere righe e colonne');
INSERT INTO `lang_definitions` VALUES (95947, 2934, 26, 'se vuoi aggiornare il database, allora colloca il file zip del database nella seguente directory');
INSERT INTO `lang_definitions` VALUES (95948, 2935, 26, 'Igbo');
INSERT INTO `lang_definitions` VALUES (95949, 2936, 26, 'Ignora');
INSERT INTO `lang_definitions` VALUES (95950, 2937, 26, 'Malattia(e)');
INSERT INTO `lang_definitions` VALUES (95951, 2938, 26, 'IM');
INSERT INTO `lang_definitions` VALUES (95952, 2941, 26, 'Servizio di Imaging');
INSERT INTO `lang_definitions` VALUES (95953, 2942, 26, 'Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95954, 2943, 26, 'Codice Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95955, 2945, 26, 'Data Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95956, 2946, 26, 'Immunizzazione Data di scadenza');
INSERT INTO `lang_definitions` VALUES (95957, 2947, 26, 'Numero del Lotto Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95958, 2948, 26, 'Produttore Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95959, 2949, 26, 'Registro Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (95960, 2950, 26, 'Report Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (95961, 2951, 26, 'Prestazione di Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95962, 2952, 26, 'Titolo Immunizzazione');
INSERT INTO `lang_definitions` VALUES (95963, 2953, 26, 'Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (95964, 2954, 26, 'Immunizza');
INSERT INTO `lang_definitions` VALUES (95965, 2955, 26, 'Immunologico');
INSERT INTO `lang_definitions` VALUES (95966, 2956, 26, 'Impianti');
INSERT INTO `lang_definitions` VALUES (95967, 2957, 26, 'Importa');
INSERT INTO `lang_definitions` VALUES (95968, 2961, 26, 'Importa il certificato nel browser');
INSERT INTO `lang_definitions` VALUES (95969, 2962, 26, 'Importa Configurazione');
INSERT INTO `lang_definitions` VALUES (95970, 2963, 26, 'Importazione differita di time-to-live');
INSERT INTO `lang_definitions` VALUES (95971, 2964, 26, 'Importa Paziente');
INSERT INTO `lang_definitions` VALUES (95972, 2965, 26, 'Importa Demografica Paziente');
INSERT INTO `lang_definitions` VALUES (95973, 2966, 26, 'Codici importanti');
INSERT INTO `lang_definitions` VALUES (95974, 2967, 26, 'IMPORTANTE: Questo strumento di upload è solo per il caricamento di documenti su pazienti che non sono ancora entrati nel sistema. Per caricare i file per i pazienti che già sono stati inseriti nel sistema, si prega di utilizzare lo strumento di caricamento legata all\'interno della schermata di Sommario Paziente.');
INSERT INTO `lang_definitions` VALUES (95975, 2969, 26, 'Importato dalla Contabilità');
INSERT INTO `lang_definitions` VALUES (95976, 2972, 26, 'Migliorato');
INSERT INTO `lang_definitions` VALUES (95977, 2973, 26, 'dentro');
INSERT INTO `lang_definitions` VALUES (95978, 2974, 26, 'DENTRO');
INSERT INTO `lang_definitions` VALUES (95979, 2975, 26, 'in cascun occhio');
INSERT INTO `lang_definitions` VALUES (95980, 2976, 26, 'nell\'occhio sinistro');
INSERT INTO `lang_definitions` VALUES (95981, 2977, 26, 'nella narice');
INSERT INTO `lang_definitions` VALUES (95982, 2978, 26, 'In Studio');
INSERT INTO `lang_definitions` VALUES (95983, 2979, 26, 'nell\'occhio destro');
INSERT INTO `lang_definitions` VALUES (95984, 2980, 26, 'dentro casa');
INSERT INTO `lang_definitions` VALUES (95985, 2981, 26, 'Inattivo');
INSERT INTO `lang_definitions` VALUES (95986, 2982, 26, 'Giorni inattivi');
INSERT INTO `lang_definitions` VALUES (95987, 2983, 26, 'Inbox');
INSERT INTO `lang_definitions` VALUES (95988, 2986, 26, 'Includi somma di controllo');
INSERT INTO `lang_definitions` VALUES (95989, 2987, 26, 'Includi Completati');
INSERT INTO `lang_definitions` VALUES (95990, 2988, 26, 'Inculdi Utenti inattivi');
INSERT INTO `lang_definitions` VALUES (95991, 2989, 26, 'Includi non categorizzati');
INSERT INTO `lang_definitions` VALUES (95992, 2990, 26, 'Includi Dati non strutturati');
INSERT INTO `lang_definitions` VALUES (95993, 2991, 26, 'Includi Vitali');
INSERT INTO `lang_definitions` VALUES (95994, 2992, 26, 'Includi i dati Vitali?');
INSERT INTO `lang_definitions` VALUES (95995, 2993, 26, 'Inclusione');
INSERT INTO `lang_definitions` VALUES (95996, 2994, 26, 'Entrata');
INSERT INTO `lang_definitions` VALUES (95997, 2995, 26, 'Risultati in arrivo che richiedono attenzione:');
INSERT INTO `lang_definitions` VALUES (95998, 2996, 26, 'Incompleto');
INSERT INTO `lang_definitions` VALUES (95999, 2997, 26, 'Trattamento aborto incompleto');
INSERT INTO `lang_definitions` VALUES (96000, 2998, 26, 'Incontinenza');
INSERT INTO `lang_definitions` VALUES (96001, 2999, 26, 'Incorporare i risultati del test clinico di laboratorio nel certificato EHR come dati strutturati.');
INSERT INTO `lang_definitions` VALUES (96002, 3000, 26, 'Password errata!');
INSERT INTO `lang_definitions` VALUES (96003, 3001, 26, 'aumentato:');
INSERT INTO `lang_definitions` VALUES (96004, 3002, 26, 'Copertura assicurativa');
INSERT INTO `lang_definitions` VALUES (96005, 3003, 26, 'Indeterminato');
INSERT INTO `lang_definitions` VALUES (96006, 3004, 26, 'Indiano');
INSERT INTO `lang_definitions` VALUES (96007, 3005, 26, 'Indica anormalità');
INSERT INTO `lang_definitions` VALUES (96008, 3006, 26, 'Indica se questa tematica è attualmente attiva');
INSERT INTO `lang_definitions` VALUES (96009, 3008, 26, 'Indicatore di uso specializzato');
INSERT INTO `lang_definitions` VALUES (96010, 3009, 26, 'Pazienti indigenti');
INSERT INTO `lang_definitions` VALUES (96011, 3010, 26, 'Resoconto pazienti indigenti');
INSERT INTO `lang_definitions` VALUES (96012, 3011, 26, 'Indigenti');
INSERT INTO `lang_definitions` VALUES (96013, 3013, 26, 'Indonesian');
INSERT INTO `lang_definitions` VALUES (96014, 3014, 26, 'Aborto indotto');
INSERT INTO `lang_definitions` VALUES (96015, 3016, 26, 'non ammissibile');
INSERT INTO `lang_definitions` VALUES (96016, 3017, 26, 'Infezione/Ascesso');
INSERT INTO `lang_definitions` VALUES (96017, 3018, 26, 'Infezioni');
INSERT INTO `lang_definitions` VALUES (96018, 3019, 26, 'Cons. Infert.');
INSERT INTO `lang_definitions` VALUES (96019, 3020, 26, 'Infertilità');
INSERT INTO `lang_definitions` VALUES (96020, 3021, 26, 'Influenza 1');
INSERT INTO `lang_definitions` VALUES (96021, 3022, 26, 'Influenza 2');
INSERT INTO `lang_definitions` VALUES (96022, 3023, 26, 'Immunizzazione Influenza per pazienti di età >= 50 anni');
INSERT INTO `lang_definitions` VALUES (96023, 3024, 26, 'Immunizzazione Influenza per pazienti di età >= 50 anni (CQM)');
INSERT INTO `lang_definitions` VALUES (96024, 3025, 26, 'Vaccino influenzale');
INSERT INTO `lang_definitions` VALUES (96025, 3026, 26, 'Info');
INSERT INTO `lang_definitions` VALUES (96026, 3027, 26, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (96027, 3028, 26, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (96028, 3029, 26, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (96029, 3030, 26, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (96030, 3031, 26, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (96031, 3032, 26, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (96032, 3034, 26, 'inalazioni');
INSERT INTO `lang_definitions` VALUES (96033, 3035, 26, 'inalazioni');
INSERT INTO `lang_definitions` VALUES (96034, 3036, 26, 'Trattamento iniziale');
INSERT INTO `lang_definitions` VALUES (96035, 3037, 26, 'Utente Iniziale');
INSERT INTO `lang_definitions` VALUES (96036, 3038, 26, 'Les/Riab');
INSERT INTO `lang_definitions` VALUES (96037, 3039, 26, 'Iniettabile');
INSERT INTO `lang_definitions` VALUES (96038, 3040, 26, 'Iniezione');
INSERT INTO `lang_definitions` VALUES (96039, 3041, 26, 'Parte del corpo lesa');
INSERT INTO `lang_definitions` VALUES (96040, 3042, 26, 'Lesione esterna');
INSERT INTO `lang_definitions` VALUES (96041, 3043, 26, 'Lesione');
INSERT INTO `lang_definitions` VALUES (96042, 3044, 26, 'Meccanismo di lesione');
INSERT INTO `lang_definitions` VALUES (96043, 3045, 26, 'Resoconto rassegna lesioni');
INSERT INTO `lang_definitions` VALUES (96044, 3046, 26, 'Sorveglianza lesione');
INSERT INTO `lang_definitions` VALUES (96045, 3047, 26, 'Tipo lesione');
INSERT INTO `lang_definitions` VALUES (96046, 3048, 26, 'Correlato alla lesione/malattia');
INSERT INTO `lang_definitions` VALUES (96047, 3049, 26, 'In linea');
INSERT INTO `lang_definitions` VALUES (96048, 3050, 26, 'Input non inizia con un segmento MSH');
INSERT INTO `lang_definitions` VALUES (96049, 3051, 26, 'Campi di input');
INSERT INTO `lang_definitions` VALUES (96050, 3052, 26, 'INR');
INSERT INTO `lang_definitions` VALUES (96051, 3053, 26, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (96052, 3054, 26, 'Ins 1 o ins 3');
INSERT INTO `lang_definitions` VALUES (96053, 3055, 26, 'Ins Indirizzi');
INSERT INTO `lang_definitions` VALUES (96054, 3056, 26, 'Ins modifica');
INSERT INTO `lang_definitions` VALUES (96055, 3057, 26, 'Ins accorpamento');
INSERT INTO `lang_definitions` VALUES (96056, 3058, 26, 'Ins codice');
INSERT INTO `lang_definitions` VALUES (96057, 3059, 26, 'Ins Gruppo');
INSERT INTO `lang_definitions` VALUES (96058, 3060, 26, 'Ins Nome');
INSERT INTO `lang_definitions` VALUES (96059, 3061, 26, 'Ins pagato in eccesso');
INSERT INTO `lang_definitions` VALUES (96060, 3062, 26, 'Ins Polizza');
INSERT INTO `lang_definitions` VALUES (96061, 3063, 26, 'Ins rimborso');
INSERT INTO `lang_definitions` VALUES (96062, 3064, 26, 'Ins Sommario');
INSERT INTO `lang_definitions` VALUES (96063, 3065, 26, 'Ins1');
INSERT INTO `lang_definitions` VALUES (96064, 3066, 26, 'Ins2');
INSERT INTO `lang_definitions` VALUES (96065, 3067, 26, 'Ins3');
INSERT INTO `lang_definitions` VALUES (96066, 3068, 26, 'Inserire');
INSERT INTO `lang_definitions` VALUES (96067, 3069, 26, 'Inserimento fallito ');
INSERT INTO `lang_definitions` VALUES (96068, 3070, 26, 'Inserisci vecchi eventi nelle tabelle');
INSERT INTO `lang_definitions` VALUES (96069, 3072, 26, 'Insonnia');
INSERT INTO `lang_definitions` VALUES (96070, 3073, 26, 'Ispeziona il log');
INSERT INTO `lang_definitions` VALUES (96071, 3074, 26, 'Ispezione');
INSERT INTO `lang_definitions` VALUES (96072, 3075, 26, 'Instabilità / Sublussazione');
INSERT INTO `lang_definitions` VALUES (96073, 3076, 26, 'INSTALLA');
INSERT INTO `lang_definitions` VALUES (96074, 3077, 26, 'Installa');
INSERT INTO `lang_definitions` VALUES (96075, 3078, 26, 'Installa il Set di codice');
INSERT INTO `lang_definitions` VALUES (96076, 3079, 26, 'installa DB');
INSERT INTO `lang_definitions` VALUES (96077, 3080, 26, 'Release installata');
INSERT INTO `lang_definitions` VALUES (96078, 3081, 26, 'Date istruzioni');
INSERT INTO `lang_definitions` VALUES (96079, 3082, 26, 'Istruzione');
INSERT INTO `lang_definitions` VALUES (96080, 3084, 26, 'Istruzioni:');
INSERT INTO `lang_definitions` VALUES (96081, 3085, 26, 'Inventario insufficiente per ID del prodotto');
INSERT INTO `lang_definitions` VALUES (96082, 3086, 26, 'Diabete insulino dipendente');
INSERT INTO `lang_definitions` VALUES (96083, 3087, 26, 'Assicurazione');
INSERT INTO `lang_definitions` VALUES (96084, 3088, 26, 'Assicurazione');
INSERT INTO `lang_definitions` VALUES (96085, 3091, 26, 'Saldo assicurazione');
INSERT INTO `lang_definitions` VALUES (96086, 3092, 26, 'Bilancio assicurativo dovuto');
INSERT INTO `lang_definitions` VALUES (96087, 3093, 26, 'Comp di Assicuazione');
INSERT INTO `lang_definitions` VALUES (96088, 3094, 26, 'Compagnie di Assicurazione');
INSERT INTO `lang_definitions` VALUES (96089, 3095, 26, 'Compagnia di Assicurazione');
INSERT INTO `lang_definitions` VALUES (96090, 3096, 26, 'Cerca/Aggiungi Compagnia di Assicurazione');
INSERT INTO `lang_definitions` VALUES (96091, 3098, 26, 'Data assicurazione');
INSERT INTO `lang_definitions` VALUES (96092, 3099, 26, 'Informazioni di Assicurazione nel file');
INSERT INTO `lang_definitions` VALUES (96093, 3100, 26, 'Numeri di Assicuazione');
INSERT INTO `lang_definitions` VALUES (96094, 3101, 26, 'Pagamento Assicurazione');
INSERT INTO `lang_definitions` VALUES (96095, 3103, 26, 'Fornitore Assicurazione');
INSERT INTO `lang_definitions` VALUES (96096, 3104, 26, 'Tipi di assicurazione');
INSERT INTO `lang_definitions` VALUES (96097, 3105, 26, 'Assicurazioni');
INSERT INTO `lang_definitions` VALUES (96098, 3106, 26, 'Assicurato');
INSERT INTO `lang_definitions` VALUES (96099, 3107, 26, 'Conclusione Presa in carico');
INSERT INTO `lang_definitions` VALUES (96100, 3108, 26, 'Data Presa in carico');
INSERT INTO `lang_definitions` VALUES (96101, 3109, 26, 'Declino intellettivo');
INSERT INTO `lang_definitions` VALUES (96102, 3110, 26, 'Interlingua');
INSERT INTO `lang_definitions` VALUES (96103, 3111, 26, 'Interlingue');
INSERT INTO `lang_definitions` VALUES (96104, 3113, 26, 'Errore interno - non è stata selezionata nessuna pagina!');
INSERT INTO `lang_definitions` VALUES (96105, 3114, 26, 'Errore interno - ID del paziente non fornito!');
INSERT INTO `lang_definitions` VALUES (96106, 3115, 26, 'Errore interno nell\'accedere al file caricato!');
INSERT INTO `lang_definitions` VALUES (96107, 3116, 26, 'Errore interno!');
INSERT INTO `lang_definitions` VALUES (96108, 3117, 26, 'Errore interno, non specificato alcun ID droga!');
INSERT INTO `lang_definitions` VALUES (96109, 3118, 26, 'Errore interno: MSH-10 non trovato');
INSERT INTO `lang_definitions` VALUES (96110, 3119, 26, 'Errore interno: reclamo ');
INSERT INTO `lang_definitions` VALUES (96111, 3120, 26, 'Erroe interno: incontro \'');
INSERT INTO `lang_definitions` VALUES (96112, 3121, 26, 'Errore interno: pid o incontro mancante.');
INSERT INTO `lang_definitions` VALUES (96113, 3122, 26, 'Errore interno: non sembra affatto essere in un incontro!');
INSERT INTO `lang_definitions` VALUES (96114, 3123, 26, 'Identificatore interno (pid)');
INSERT INTO `lang_definitions` VALUES (96115, 3126, 26, 'Referenti interni');
INSERT INTO `lang_definitions` VALUES (96116, 3127, 26, 'Tempo interno Raccolta');
INSERT INTO `lang_definitions` VALUES (96117, 3128, 26, 'Tassa internazionale');
INSERT INTO `lang_definitions` VALUES (96118, 3129, 26, 'Interprete');
INSERT INTO `lang_definitions` VALUES (96119, 3130, 26, 'Necessario Interprete?');
INSERT INTO `lang_definitions` VALUES (96120, 3131, 26, 'Malattia interstiziale del polmone');
INSERT INTO `lang_definitions` VALUES (96121, 3132, 26, 'Intervallo');
INSERT INTO `lang_definitions` VALUES (96122, 3133, 26, 'Intervallo (minuti)');
INSERT INTO `lang_definitions` VALUES (96123, 3134, 26, 'Intervallo tra i controlli di messaggi (impostato a zero per controlli solo manuali)');
INSERT INTO `lang_definitions` VALUES (96124, 3135, 26, 'Intervento');
INSERT INTO `lang_definitions` VALUES (96125, 3136, 26, 'Intervento previsto');
INSERT INTO `lang_definitions` VALUES (96126, 3137, 26, 'Intolleranza');
INSERT INTO `lang_definitions` VALUES (96127, 3139, 26, 'intramuscolare');
INSERT INTO `lang_definitions` VALUES (96128, 3140, 26, 'endovenosamente');
INSERT INTO `lang_definitions` VALUES (96129, 3141, 26, 'Introduzione');
INSERT INTO `lang_definitions` VALUES (96130, 3142, 26, 'Inuktitut');
INSERT INTO `lang_definitions` VALUES (96131, 3143, 26, 'Inupiaq');
INSERT INTO `lang_definitions` VALUES (96132, 3144, 26, 'Carattere non valido in');
INSERT INTO `lang_definitions` VALUES (96133, 3146, 26, 'Tipo di codifica dati incapsulati non valido');
INSERT INTO `lang_definitions` VALUES (96134, 3147, 26, 'Lunghezza non valida per');
INSERT INTO `lang_definitions` VALUES (96135, 3148, 26, 'Carattere non-numerico invalido in');
INSERT INTO `lang_definitions` VALUES (96136, 3149, 26, 'Pagatore non valido o mancante nell\'origine per il codice ');
INSERT INTO `lang_definitions` VALUES (96137, 3150, 26, 'Indirizzo del destinatario non valido. Riprova.');
INSERT INTO `lang_definitions` VALUES (96138, 3151, 26, 'Codici Prestazioni non validi');
INSERT INTO `lang_definitions` VALUES (96139, 3152, 26, 'Designazione origine non valida \"');
INSERT INTO `lang_definitions` VALUES (96140, 3153, 26, 'Username o password non validi');
INSERT INTO `lang_definitions` VALUES (96141, 3154, 26, 'AmmontInv');
INSERT INTO `lang_definitions` VALUES (96142, 3155, 26, 'Inventario');
INSERT INTO `lang_definitions` VALUES (96143, 3156, 26, 'Attività di Inventario');
INSERT INTO `lang_definitions` VALUES (96144, 3157, 26, 'Giacenze e vendite di prodotti farmacologici e non');
INSERT INTO `lang_definitions` VALUES (96145, 3158, 26, 'Gicenze e vendite dei soli farmaci');
INSERT INTO `lang_definitions` VALUES (96146, 3159, 26, 'La giacenza non è disponibile per questo ordine.');
INSERT INTO `lang_definitions` VALUES (96147, 3160, 26, 'Elenco giacenze');
INSERT INTO `lang_definitions` VALUES (96148, 3161, 26, 'Transazioni di giacenze');
INSERT INTO `lang_definitions` VALUES (96149, 3162, 26, 'Fattura');
INSERT INTO `lang_definitions` VALUES (96150, 3163, 26, 'fattura');
INSERT INTO `lang_definitions` VALUES (96151, 3164, 26, 'Saldo della fattura');
INSERT INTO `lang_definitions` VALUES (96152, 3165, 26, 'Il saldo della fattura non può essere postato. Nessun incontro creato.');
INSERT INTO `lang_definitions` VALUES (96153, 3166, 26, 'Data fattura');
INSERT INTO `lang_definitions` VALUES (96154, 3167, 26, 'La fattura non ha la data!');
INSERT INTO `lang_definitions` VALUES (96155, 3168, 26, 'Numero fattura');
INSERT INTO `lang_definitions` VALUES (96156, 3169, 26, 'Numero di riferimento fattura');
INSERT INTO `lang_definitions` VALUES (96157, 3170, 26, 'Numero di riferimento fattura pool, se utilizzato');
INSERT INTO `lang_definitions` VALUES (96158, 3171, 26, 'N.riferimento fattura cassa comune');
INSERT INTO `lang_definitions` VALUES (96159, 3172, 26, 'N.Rif.Ft cassa comune');
INSERT INTO `lang_definitions` VALUES (96160, 3173, 26, 'Fattura:');
INSERT INTO `lang_definitions` VALUES (96161, 3174, 26, 'IPPF');
INSERT INTO `lang_definitions` VALUES (96162, 3175, 26, 'IPPF Aborto');
INSERT INTO `lang_definitions` VALUES (96163, 3176, 26, 'IPPF contraccezione');
INSERT INTO `lang_definitions` VALUES (96164, 3177, 26, 'IPPF SRH Dati per');
INSERT INTO `lang_definitions` VALUES (96165, 3178, 26, 'IPPF Report statistiche');
INSERT INTO `lang_definitions` VALUES (96166, 3179, 26, 'IPPF Stati');
INSERT INTO `lang_definitions` VALUES (96167, 3180, 26, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (96168, 3181, 26, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (96169, 3182, 26, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (96170, 3183, 26, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (96171, 3184, 26, 'Irish');
INSERT INTO `lang_definitions` VALUES (96172, 3185, 26, 'Battito cardiaco irregolare');
INSERT INTO `lang_definitions` VALUES (96173, 3186, 26, 'Irritabilità');
INSERT INTO `lang_definitions` VALUES (96174, 3187, 26, 'Irritazione');
INSERT INTO `lang_definitions` VALUES (96175, 3188, 26, 'è una versione diversa di lingua del seguente database');
INSERT INTO `lang_definitions` VALUES (96176, 3189, 26, 'è una versione diversa del seguente database');
INSERT INTO `lang_definitions` VALUES (96177, 3190, 26, 'è una versione più recente del database seguente');
INSERT INTO `lang_definitions` VALUES (96178, 3191, 26, 'è richiesto un campo');
INSERT INTO `lang_definitions` VALUES (96179, 3192, 26, 'è un nodo radice e non può essere eliminato.');
INSERT INTO `lang_definitions` VALUES (96180, 3193, 26, 'è un\'estensione del database seguente');
INSERT INTO `lang_definitions` VALUES (96181, 3194, 26, 'È ok per mappare questi codici CVX a vaccinazioni già esistenti?');
INSERT INTO `lang_definitions` VALUES (96182, 3195, 26, 'è fuori luogo o sconosciuto');
INSERT INTO `lang_definitions` VALUES (96183, 3197, 26, 'non è valido (decimali o frazioni sono OK)');
INSERT INTO `lang_definitions` VALUES (96184, 3198, 26, 'PHP sta usando Safe Mode?');
INSERT INTO `lang_definitions` VALUES (96185, 3200, 26, 'Il testo del layout del modulo deve essere tradotto?');
INSERT INTO `lang_definitions` VALUES (96186, 3201, 26, 'Il testo degli elenchi deve essere tradotto?');
INSERT INTO `lang_definitions` VALUES (96187, 3202, 26, 'Il File è criptato?');
INSERT INTO `lang_definitions` VALUES (96188, 3203, 26, 'È questo un tipo di termine clinico con codice?');
INSERT INTO `lang_definitions` VALUES (96189, 3204, 26, 'Questa è un tipo di diagnosi?');
INSERT INTO `lang_definitions` VALUES (96190, 3205, 26, 'È questo un tipo di problema medico con codice?');
INSERT INTO `lang_definitions` VALUES (96191, 3206, 26, 'È questo un tipo di medicazione?');
INSERT INTO `lang_definitions` VALUES (96192, 3207, 26, 'Questo è un tipo di procedura/servizio?');
INSERT INTO `lang_definitions` VALUES (96193, 3208, 26, 'Questo è attivo?');
INSERT INTO `lang_definitions` VALUES (96194, 3209, 26, 'Questo è un tipo di codice attivo?');
INSERT INTO `lang_definitions` VALUES (96195, 3210, 26, 'Questo è un tipo di codice usato nei sinistri?');
INSERT INTO `lang_definitions` VALUES (96196, 3211, 26, 'Va tutto bene?');
INSERT INTO `lang_definitions` VALUES (96197, 3212, 26, 'Questo tipo è nascosto nel foglio parcella?');
INSERT INTO `lang_definitions` VALUES (96198, 3213, 26, 'è questo utilizzando tabelle sql esterne? se si, scegli il formato');
INSERT INTO `lang_definitions` VALUES (96199, 3214, 26, 'è troppo lungo');
INSERT INTO `lang_definitions` VALUES (96200, 3215, 26, 'ISO 639-2 Code');
INSERT INTO `lang_definitions` VALUES (96201, 3216, 26, 'Tematica');
INSERT INTO `lang_definitions` VALUES (96202, 3217, 26, 'tematica');
INSERT INTO `lang_definitions` VALUES (96203, 3218, 26, 'Data Tematica');
INSERT INTO `lang_definitions` VALUES (96204, 3219, 26, 'ID Tematica');
INSERT INTO `lang_definitions` VALUES (96205, 3220, 26, 'Titolo Tematica');
INSERT INTO `lang_definitions` VALUES (96206, 3221, 26, 'Tipo di Tematica');
INSERT INTO `lang_definitions` VALUES (96207, 3222, 26, 'Tipi di Tematiche');
INSERT INTO `lang_definitions` VALUES (96208, 3223, 26, 'Tematiche');
INSERT INTO `lang_definitions` VALUES (96209, 3224, 26, 'Tematiche (Lesioni/Mediche/Allergie)');
INSERT INTO `lang_definitions` VALUES (96210, 3225, 26, 'Tematiche (Lesioni/Mediche/Allergie):');
INSERT INTO `lang_definitions` VALUES (96211, 3226, 26, 'Tematiche e Incontri');
INSERT INTO `lang_definitions` VALUES (96212, 3227, 26, 'Tematiche e Incontri per');
INSERT INTO `lang_definitions` VALUES (96213, 3228, 26, 'Tematiche non autorizzate');
INSERT INTO `lang_definitions` VALUES (96214, 3229, 26, 'Sezione Tematiche');
INSERT INTO `lang_definitions` VALUES (96215, 3230, 26, 'Italiano');
INSERT INTO `lang_definitions` VALUES (96216, 3231, 26, 'elemento');
INSERT INTO `lang_definitions` VALUES (96217, 3232, 26, 'elemento');
INSERT INTO `lang_definitions` VALUES (96218, 3233, 26, 'elementi');
INSERT INTO `lang_definitions` VALUES (96219, 3234, 26, 'caricamento degli elementi fallito');
INSERT INTO `lang_definitions` VALUES (96220, 3235, 26, 'IU/L');
INSERT INTO `lang_definitions` VALUES (96221, 3236, 26, 'IUD');
INSERT INTO `lang_definitions` VALUES (96222, 3237, 26, 'IV');
INSERT INTO `lang_definitions` VALUES (96223, 3238, 26, 'Gen');
INSERT INTO `lang_definitions` VALUES (96224, 3239, 26, 'Gennaio');
INSERT INTO `lang_definitions` VALUES (96225, 3240, 26, 'Giapponese');
INSERT INTO `lang_definitions` VALUES (96226, 3241, 26, 'Ittero');
INSERT INTO `lang_definitions` VALUES (96227, 3242, 26, 'Javanese');
INSERT INTO `lang_definitions` VALUES (96228, 3243, 26, 'Descrizione lavoro');
INSERT INTO `lang_definitions` VALUES (96229, 3244, 26, 'ID Lavoro');
INSERT INTO `lang_definitions` VALUES (96230, 3245, 26, 'Dislocazion articolari');
INSERT INTO `lang_definitions` VALUES (96231, 3246, 26, 'Dolore articolare');
INSERT INTO `lang_definitions` VALUES (96232, 3247, 26, 'Distorsioni articolari');
INSERT INTO `lang_definitions` VALUES (96233, 3248, 26, 'Lug');
INSERT INTO `lang_definitions` VALUES (96234, 3249, 26, 'Luglio');
INSERT INTO `lang_definitions` VALUES (96235, 3250, 26, 'Giu');
INSERT INTO `lang_definitions` VALUES (96236, 3251, 26, 'Giugno');
INSERT INTO `lang_definitions` VALUES (96237, 3252, 26, 'Appena sotto il controllo informazione c\'è un\'area blu nella quale puoi inserire i tuoi parametri di ricerca. Puoi cercare per nome, numero del tabulato, numero dlel\'incontro o data della prestazione, o qualsiasi combinazione di questi. Puoi anche selezionare se vuoi vedere tutte le fatture, le fatture aperte, o soltanto quelle che sono da saldare (da paziente). Clicca il pulsante Cerca per attivare la ricerca.');
INSERT INTO `lang_definitions` VALUES (96238, 3253, 26, 'Solo i propri');
INSERT INTO `lang_definitions` VALUES (96239, 3254, 26, 'Motivazione voci');
INSERT INTO `lang_definitions` VALUES (96240, 3255, 26, 'Giustifica');
INSERT INTO `lang_definitions` VALUES (96241, 3256, 26, 'Giustifica/Salva');
INSERT INTO `lang_definitions` VALUES (96242, 3257, 26, 'J{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (96243, 3258, 26, 'k, ecco il resto');
INSERT INTO `lang_definitions` VALUES (96244, 3259, 26, 'Kalaallisut, Greenlandic');
INSERT INTO `lang_definitions` VALUES (96245, 3260, 26, 'Kannada');
INSERT INTO `lang_definitions` VALUES (96246, 3261, 26, 'Kanuri');
INSERT INTO `lang_definitions` VALUES (96247, 3262, 26, 'Kashmiri');
INSERT INTO `lang_definitions` VALUES (96248, 3263, 26, 'Kazakh');
INSERT INTO `lang_definitions` VALUES (96249, 3264, 26, 'Chiave');
INSERT INTO `lang_definitions` VALUES (96250, 3265, 26, 'Parole chiave');
INSERT INTO `lang_definitions` VALUES (96251, 3266, 26, 'kg');
INSERT INTO `lang_definitions` VALUES (96252, 3267, 26, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (96253, 3268, 26, 'Khmer');
INSERT INTO `lang_definitions` VALUES (96254, 3269, 26, 'Cancro al rene');
INSERT INTO `lang_definitions` VALUES (96255, 3270, 26, 'Insufficienza renale');
INSERT INTO `lang_definitions` VALUES (96256, 3271, 26, 'Infezione renale');
INSERT INTO `lang_definitions` VALUES (96257, 3272, 26, 'Calcoli renali');
INSERT INTO `lang_definitions` VALUES (96258, 3273, 26, 'Trapianto di rene');
INSERT INTO `lang_definitions` VALUES (96259, 3274, 26, 'Kikuyu, Gikuyu');
INSERT INTO `lang_definitions` VALUES (96260, 3275, 26, 'Kinyarwanda');
INSERT INTO `lang_definitions` VALUES (96261, 3276, 26, 'Kirundi');
INSERT INTO `lang_definitions` VALUES (96262, 3277, 26, 'Ginocchio');
INSERT INTO `lang_definitions` VALUES (96263, 3278, 26, 'Problemi al ginocchio');
INSERT INTO `lang_definitions` VALUES (96264, 3279, 26, 'Sostituzione ginocchio');
INSERT INTO `lang_definitions` VALUES (96265, 3280, 26, 'Komi');
INSERT INTO `lang_definitions` VALUES (96266, 3281, 26, 'Kongo');
INSERT INTO `lang_definitions` VALUES (96267, 3282, 26, 'Coreano');
INSERT INTO `lang_definitions` VALUES (96268, 3283, 26, 'Kurdish');
INSERT INTO `lang_definitions` VALUES (96269, 3284, 26, 'Kwanyama, Kuanyama');
INSERT INTO `lang_definitions` VALUES (96270, 3285, 26, 'Kyrgyz');
INSERT INTO `lang_definitions` VALUES (96271, 3286, 26, 'Lab');
INSERT INTO `lang_definitions` VALUES (96272, 3287, 26, 'Documenti Lab');
INSERT INTO `lang_definitions` VALUES (96273, 3288, 26, 'Indirizzo del sito Lab Exchange');
INSERT INTO `lang_definitions` VALUES (96274, 3289, 26, 'ID del sito Lab Exchange');
INSERT INTO `lang_definitions` VALUES (96275, 3290, 26, 'Lab Exchange Token ID');
INSERT INTO `lang_definitions` VALUES (96276, 3291, 26, 'Ordini Lab');
INSERT INTO `lang_definitions` VALUES (96277, 3292, 26, 'panoramica Lab');
INSERT INTO `lang_definitions` VALUES (96278, 3293, 26, 'Panoramica Lab');
INSERT INTO `lang_definitions` VALUES (96279, 3294, 26, 'Lab stato richiesta');
INSERT INTO `lang_definitions` VALUES (96280, 3295, 26, 'Resoconto Lab');
INSERT INTO `lang_definitions` VALUES (96281, 3296, 26, 'Risutato Lab');
INSERT INTO `lang_definitions` VALUES (96282, 3297, 26, 'Risultati Lab');
INSERT INTO `lang_definitions` VALUES (96283, 3298, 26, 'Nome categoria risultati Lab');
INSERT INTO `lang_definitions` VALUES (96284, 3299, 26, 'Resoconto Risultati lab');
INSERT INTO `lang_definitions` VALUES (96285, 3300, 26, 'Servizio Lab');
INSERT INTO `lang_definitions` VALUES (96286, 3301, 26, 'Risultati test Lab');
INSERT INTO `lang_definitions` VALUES (96287, 3302, 26, 'Lab/File');
INSERT INTO `lang_definitions` VALUES (96288, 3303, 26, 'Etichetta');
INSERT INTO `lang_definitions` VALUES (96289, 3304, 26, 'L\'etichetta non può essere in bianco');
INSERT INTO `lang_definitions` VALUES (96290, 3305, 26, 'C.nne Etichette');
INSERT INTO `lang_definitions` VALUES (96291, 3306, 26, 'Etichetta per questo tipo');
INSERT INTO `lang_definitions` VALUES (96292, 3307, 26, 'Colonne Etichette deve essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (96293, 3308, 26, 'Etichette');
INSERT INTO `lang_definitions` VALUES (96294, 3311, 26, 'Laboratori');
INSERT INTO `lang_definitions` VALUES (96295, 3312, 26, 'Lacerazione / condizioni della pellle');
INSERT INTO `lang_definitions` VALUES (96296, 3313, 26, 'Lacerazione/abrasione');
INSERT INTO `lang_definitions` VALUES (96297, 3315, 26, 'Panorama');
INSERT INTO `lang_definitions` VALUES (96298, 3316, 26, 'Lingua');
INSERT INTO `lang_definitions` VALUES (96299, 3317, 26, 'Codice Lingua');
INSERT INTO `lang_definitions` VALUES (96300, 3318, 26, 'Aggiunta definizione Lingua');
INSERT INTO `lang_definitions` VALUES (96301, 3319, 26, 'Strumento di interfaccia Lingua');
INSERT INTO `lang_definitions` VALUES (96302, 3320, 26, 'Elenco Lingue (scrittura,additiva opzionale)');
INSERT INTO `lang_definitions` VALUES (96303, 3321, 26, 'Nome della Lingua');
INSERT INTO `lang_definitions` VALUES (96304, 3322, 26, 'Lingua:');
INSERT INTO `lang_definitions` VALUES (96305, 3323, 26, 'Lao');
INSERT INTO `lang_definitions` VALUES (96306, 3324, 26, 'Laoziano');
INSERT INTO `lang_definitions` VALUES (96307, 3325, 26, 'Ultimo');
INSERT INTO `lang_definitions` VALUES (96308, 3326, 26, 'Data Ultima attività');
INSERT INTO `lang_definitions` VALUES (96309, 3327, 26, 'Ultima Appendicectomia');
INSERT INTO `lang_definitions` VALUES (96310, 3328, 26, 'Data ultima fattura:');
INSERT INTO `lang_definitions` VALUES (96311, 3329, 26, 'Ultimo esame del seno');
INSERT INTO `lang_definitions` VALUES (96312, 3330, 26, 'Utlimo anno del calendario');
INSERT INTO `lang_definitions` VALUES (96313, 3331, 26, 'Ultimo intervento di cataratta');
INSERT INTO `lang_definitions` VALUES (96314, 3332, 26, 'Ultima colicistectomia');
INSERT INTO `lang_definitions` VALUES (96315, 3333, 26, 'Ultimo incontro');
INSERT INTO `lang_definitions` VALUES (96316, 3334, 26, 'Ultimo esame Ginecologico');
INSERT INTO `lang_definitions` VALUES (96317, 3335, 26, 'Ultimo intervento al cuore');
INSERT INTO `lang_definitions` VALUES (96318, 3336, 26, 'Ultima riparazione di ernia');
INSERT INTO `lang_definitions` VALUES (96319, 3337, 26, 'Ultima sostituzione dell\'anca');
INSERT INTO `lang_definitions` VALUES (96320, 3338, 26, 'Ultima Isterectomia');
INSERT INTO `lang_definitions` VALUES (96321, 3339, 26, 'Ultima sostituzione del ginocchio');
INSERT INTO `lang_definitions` VALUES (96322, 3340, 26, 'Ultimo livello di Fatturato');
INSERT INTO `lang_definitions` VALUES (96323, 3341, 26, 'Ultima mammografia');
INSERT INTO `lang_definitions` VALUES (96324, 3342, 26, 'Ultimo periodo di mestruazioni');
INSERT INTO `lang_definitions` VALUES (96325, 3343, 26, 'Ultimo mese');
INSERT INTO `lang_definitions` VALUES (96326, 3344, 26, 'Cognome');
INSERT INTO `lang_definitions` VALUES (96327, 3345, 26, 'cognome');
INSERT INTO `lang_definitions` VALUES (96328, 3346, 26, 'Cognome:');
INSERT INTO `lang_definitions` VALUES (96329, 3347, 26, 'Ultimo esame fisico');
INSERT INTO `lang_definitions` VALUES (96330, 3348, 26, 'Ultimo esame prostatico');
INSERT INTO `lang_definitions` VALUES (96331, 3349, 26, 'Ultimo esame del retto');
INSERT INTO `lang_definitions` VALUES (96332, 3350, 26, 'Ultima revisione');
INSERT INTO `lang_definitions` VALUES (96333, 3351, 26, 'Ultima prestazione iniziata alle');
INSERT INTO `lang_definitions` VALUES (96334, 3352, 26, 'Ultimo salvataggio');
INSERT INTO `lang_definitions` VALUES (96335, 3353, 26, 'Ultima Sigmoide/Colonscopia');
INSERT INTO `lang_definitions` VALUES (96336, 3355, 26, 'Ultima tonsillectomia');
INSERT INTO `lang_definitions` VALUES (96337, 3356, 26, 'Ultimo aggiornamento da');
INSERT INTO `lang_definitions` VALUES (96338, 3357, 26, 'Utlima verifica il');
INSERT INTO `lang_definitions` VALUES (96339, 3358, 26, 'Ultima visita');
INSERT INTO `lang_definitions` VALUES (96340, 3359, 26, 'Ultimi raggi X');
INSERT INTO `lang_definitions` VALUES (96341, 3360, 26, 'Recidiva tardiva (2-12 Mesi)');
INSERT INTO `lang_definitions` VALUES (96342, 3361, 26, 'Malleolo Laterale');
INSERT INTO `lang_definitions` VALUES (96343, 3362, 26, 'Malleolo laterale:');
INSERT INTO `lang_definitions` VALUES (96344, 3363, 26, 'Lateralità');
INSERT INTO `lang_definitions` VALUES (96345, 3364, 26, 'Lateralità di questa procedura, se applicabile');
INSERT INTO `lang_definitions` VALUES (96346, 3365, 26, 'spostato lateralmente PMI:');
INSERT INTO `lang_definitions` VALUES (96347, 3367, 26, 'Ultima visita o consulto');
INSERT INTO `lang_definitions` VALUES (96348, 3368, 26, 'Latin');
INSERT INTO `lang_definitions` VALUES (96349, 3369, 26, 'Latvian');
INSERT INTO `lang_definitions` VALUES (96350, 3372, 26, 'Layout');
INSERT INTO `lang_definitions` VALUES (96351, 3373, 26, 'Layout di base');
INSERT INTO `lang_definitions` VALUES (96352, 3374, 26, 'Layout Editor');
INSERT INTO `lang_definitions` VALUES (96353, 3375, 26, 'gruppi layout');
INSERT INTO `lang_definitions` VALUES (96354, 3376, 26, 'Stile Layout');
INSERT INTO `lang_definitions` VALUES (96355, 3378, 26, 'Layout-base per il form visite');
INSERT INTO `lang_definitions` VALUES (96356, 3379, 26, 'Layouts');
INSERT INTO `lang_definitions` VALUES (96357, 3380, 26, 'libra');
INSERT INTO `lang_definitions` VALUES (96358, 3381, 26, 'libre');
INSERT INTO `lang_definitions` VALUES (96359, 3382, 26, 'LDL');
INSERT INTO `lang_definitions` VALUES (96360, 3383, 26, 'lascia in bianco se ancora attivo');
INSERT INTO `lang_definitions` VALUES (96361, 3384, 26, 'Lascia in bianco per mantenere Il nome del file originale');
INSERT INTO `lang_definitions` VALUES (96362, 3385, 26, 'Lascia in bianco per mantenere non modificata la password');
INSERT INTO `lang_definitions` VALUES (96363, 3386, 26, 'Lascia messaggio tramite');
INSERT INTO `lang_definitions` VALUES (96364, 3387, 26, 'Lascia il modulo');
INSERT INTO `lang_definitions` VALUES (96365, 3388, 26, 'Lasciando la pass frase in bianco il documento non verrà criptato');
INSERT INTO `lang_definitions` VALUES (96366, 3390, 26, 'Sinistra');
INSERT INTO `lang_definitions` VALUES (96367, 3391, 26, 'Orecchio Sinistro');
INSERT INTO `lang_definitions` VALUES (96368, 3392, 26, 'orecchio sinistro');
INSERT INTO `lang_definitions` VALUES (96369, 3393, 26, 'Margine sinistro (mm)');
INSERT INTO `lang_definitions` VALUES (96370, 3394, 26, 'Sinistra:');
INSERT INTO `lang_definitions` VALUES (96371, 3395, 26, 'Sinistra: ');
INSERT INTO `lang_definitions` VALUES (96372, 3396, 26, 'Dolore alla gamba/Crampi');
INSERT INTO `lang_definitions` VALUES (96373, 3397, 26, 'Legale');
INSERT INTO `lang_definitions` VALUES (96374, 3399, 26, 'Formato carta legale');
INSERT INTO `lang_definitions` VALUES (96375, 3400, 26, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (96376, 3401, 26, 'Lunghezza');
INSERT INTO `lang_definitions` VALUES (96377, 3402, 26, 'Lunghezza del modificatore, 0 se nessuna');
INSERT INTO `lang_definitions` VALUES (96378, 3403, 26, 'Minore di');
INSERT INTO `lang_definitions` VALUES (96379, 3404, 26, 'Minore o uguale a');
INSERT INTO `lang_definitions` VALUES (96380, 3405, 26, 'Infomazioni bassa-privacy (scrittura, solo aggiunte opzionali)');
INSERT INTO `lang_definitions` VALUES (96381, 3406, 26, 'Lettera');
INSERT INTO `lang_definitions` VALUES (96382, 3407, 26, 'Generatore di Lettere');
INSERT INTO `lang_definitions` VALUES (96383, 3408, 26, 'Formato carta da lettera');
INSERT INTO `lang_definitions` VALUES (96384, 3409, 26, 'Intestazione che il dottore firma');
INSERT INTO `lang_definitions` VALUES (96385, 3410, 26, 'Intestazione che il paziente firma');
INSERT INTO `lang_definitions` VALUES (96386, 3411, 26, 'Livello di urgenza');
INSERT INTO `lang_definitions` VALUES (96387, 3412, 26, 'Affidabilità');
INSERT INTO `lang_definitions` VALUES (96388, 3413, 26, 'Affidabilità medica');
INSERT INTO `lang_definitions` VALUES (96389, 3414, 26, 'Licenza/ID');
INSERT INTO `lang_definitions` VALUES (96390, 3419, 26, 'LicensedPrescriber Cognome');
INSERT INTO `lang_definitions` VALUES (96391, 3420, 26, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (96392, 3421, 26, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (96393, 3423, 26, 'Stile di vita');
INSERT INTO `lang_definitions` VALUES (96394, 3424, 26, 'Status stile di vita');
INSERT INTO `lang_definitions` VALUES (96395, 3425, 26, 'Legamento strappo o distorsione');
INSERT INTO `lang_definitions` VALUES (96396, 3426, 26, ' Fumatore di tabacco leggero');
INSERT INTO `lang_definitions` VALUES (96397, 3427, 26, 'Limburgish, Limburgan, Limburger');
INSERT INTO `lang_definitions` VALUES (96398, 3428, 26, 'Limite Di Eventi');
INSERT INTO `lang_definitions` VALUES (96399, 3429, 26, 'limito');
INSERT INTO `lang_definitions` VALUES (96400, 3430, 26, 'Lingala');
INSERT INTO `lang_definitions` VALUES (96401, 3431, 26, 'Collegamento');
INSERT INTO `lang_definitions` VALUES (96402, 3432, 26, 'Collegamento al paziente');
INSERT INTO `lang_definitions` VALUES (96403, 3433, 26, 'Collegato');
INSERT INTO `lang_definitions` VALUES (96404, 3434, 26, 'Documento collegato');
INSERT INTO `lang_definitions` VALUES (96405, 3435, 26, 'Ordine di procedura collegato');
INSERT INTO `lang_definitions` VALUES (96406, 3436, 26, 'collegato al documento');
INSERT INTO `lang_definitions` VALUES (96407, 3437, 26, 'collegato all\'ordine di procedura');
INSERT INTO `lang_definitions` VALUES (96408, 3438, 26, 'Elenco');
INSERT INTO `lang_definitions` VALUES (96409, 3439, 26, 'Elenco a discesa');
INSERT INTO `lang_definitions` VALUES (96410, 3440, 26, 'elenco a discesa');
INSERT INTO `lang_definitions` VALUES (96411, 3441, 26, 'elenco a discesa s/agg');
INSERT INTO `lang_definitions` VALUES (96412, 3442, 26, 'elenco a discesa s/agg');
INSERT INTO `lang_definitions` VALUES (96413, 3443, 26, 'Editor di elenco');
INSERT INTO `lang_definitions` VALUES (96414, 3444, 26, 'Elenco incontri');
INSERT INTO `lang_definitions` VALUES (96415, 3445, 26, 'Elenco gruppi');
INSERT INTO `lang_definitions` VALUES (96416, 3446, 26, 'Elenco Compagnie assicurative');
INSERT INTO `lang_definitions` VALUES (96417, 3448, 26, 'Un elenco di elementi non può cominciare con un numero');
INSERT INTO `lang_definitions` VALUES (96418, 3449, 26, 'L\'elenco degli elementi contiene carattere(i) illegale(i)');
INSERT INTO `lang_definitions` VALUES (96419, 3451, 26, 'Elenco degli elenchi');
INSERT INTO `lang_definitions` VALUES (96420, 3452, 26, 'Nome dell\'elenco');
INSERT INTO `lang_definitions` VALUES (96421, 3453, 26, 'I nomi degli elenchi non posssono cominciare con un numero.');
INSERT INTO `lang_definitions` VALUES (96422, 3454, 26, 'Elenco Prescrizioni');
INSERT INTO `lang_definitions` VALUES (96423, 3455, 26, 'Elenco utilizzato dalla soprastante opzione Tipo di dati nazione.');
INSERT INTO `lang_definitions` VALUES (96424, 3456, 26, 'Elenco utilizzato dalla soprastante opzione Tipo di dati stato.');
INSERT INTO `lang_definitions` VALUES (96425, 3457, 26, 'Porta di ascolto del server syslog 5425 TLS RFC.');
INSERT INTO `lang_definitions` VALUES (96426, 3458, 26, 'Elenchi');
INSERT INTO `lang_definitions` VALUES (96427, 3459, 26, 'Lituano');
INSERT INTO `lang_definitions` VALUES (96428, 3460, 26, 'Testamento');
INSERT INTO `lang_definitions` VALUES (96429, 3461, 26, 'LLL:');
INSERT INTO `lang_definitions` VALUES (96430, 3462, 26, 'LMP');
INSERT INTO `lang_definitions` VALUES (96431, 3463, 26, 'Carico Compendio');
INSERT INTO `lang_definitions` VALUES (96432, 3464, 26, 'Carica Definizioni');
INSERT INTO `lang_definitions` VALUES (96433, 3465, 26, 'Carica configurazione LAB');
INSERT INTO `lang_definitions` VALUES (96434, 3466, 26, 'Carica opzioni di domande OE');
INSERT INTO `lang_definitions` VALUES (96435, 3467, 26, 'Carica definizioni ordine');
INSERT INTO `lang_definitions` VALUES (96436, 3468, 26, 'Carica richieste ordini in entrata');
INSERT INTO `lang_definitions` VALUES (96437, 3469, 26, 'LOAD SUCCESSFUL. Codici inseriti');
INSERT INTO `lang_definitions` VALUES (96438, 3470, 26, 'STO CARICANDO');
INSERT INTO `lang_definitions` VALUES (96439, 3471, 26, 'Sto caricando i file nel database. Ci vorrà un po\' di tempo');
INSERT INTO `lang_definitions` VALUES (96440, 3472, 26, 'LOC');
INSERT INTO `lang_definitions` VALUES (96441, 3473, 26, 'Locale');
INSERT INTO `lang_definitions` VALUES (96442, 3474, 26, 'Contenuto locale');
INSERT INTO `lang_definitions` VALUES (96443, 3475, 26, 'File di sistema locale');
INSERT INTO `lang_definitions` VALUES (96444, 3476, 26, 'Locale');
INSERT INTO `lang_definitions` VALUES (96445, 3477, 26, 'Località');
INSERT INTO `lang_definitions` VALUES (96446, 3478, 26, 'Collocazione');
INSERT INTO `lang_definitions` VALUES (96447, 3479, 26, 'collocazione della macchina libreehr e potrebbe contenere dati sensibili, così si raccomanda di eliminare manualmente i file dopo il suo uso');
INSERT INTO `lang_definitions` VALUES (96448, 3480, 26, 'Collocazione di questo lotto');
INSERT INTO `lang_definitions` VALUES (96449, 3481, 26, 'Collocazione non specificata');
INSERT INTO `lang_definitions` VALUES (96450, 3482, 26, 'Collocazione dove Hylafax immagazzina i fax.');
INSERT INTO `lang_definitions` VALUES (96451, 3483, 26, 'Collocazione dove sono immagazzinate le scansioni.');
INSERT INTO `lang_definitions` VALUES (96452, 3484, 26, 'Collocazione:');
INSERT INTO `lang_definitions` VALUES (96453, 3485, 26, 'Blocca');
INSERT INTO `lang_definitions` VALUES (96454, 3486, 26, 'Bloccare un modulo e-signed individualmente');
INSERT INTO `lang_definitions` VALUES (96455, 3487, 26, 'Bloccare e-signed incontri e i loro moduli');
INSERT INTO `lang_definitions` VALUES (96456, 3488, 26, 'Bloccare?');
INSERT INTO `lang_definitions` VALUES (96457, 3489, 26, 'Bloccato');
INSERT INTO `lang_definitions` VALUES (96458, 3492, 26, 'Ingresso');
INSERT INTO `lang_definitions` VALUES (96459, 3493, 26, 'Log in');
INSERT INTO `lang_definitions` VALUES (96460, 3494, 26, 'Uscita');
INSERT INTO `lang_definitions` VALUES (96461, 3495, 26, 'Entrato');
INSERT INTO `lang_definitions` VALUES (96462, 3496, 26, 'Entrato come');
INSERT INTO `lang_definitions` VALUES (96463, 3497, 26, 'Entrato come: ');
INSERT INTO `lang_definitions` VALUES (96464, 3498, 26, 'Uscito.');
INSERT INTO `lang_definitions` VALUES (96465, 3499, 26, 'Accesso');
INSERT INTO `lang_definitions` VALUES (96466, 3500, 26, 'Login');
INSERT INTO `lang_definitions` VALUES (96467, 3501, 26, 'login');
INSERT INTO `lang_definitions` VALUES (96468, 3502, 26, 'Nome del Login per WordPress per l\'accesso al portale come utente');
INSERT INTO `lang_definitions` VALUES (96469, 3503, 26, 'Login all\'host remoto');
INSERT INTO `lang_definitions` VALUES (96470, 3504, 26, 'Il login a questo host remoto è fallito');
INSERT INTO `lang_definitions` VALUES (96471, 3505, 26, 'Uscita');
INSERT INTO `lang_definitions` VALUES (96472, 3506, 26, 'uscita');
INSERT INTO `lang_definitions` VALUES (96473, 3507, 26, 'Logs');
INSERT INTO `lang_definitions` VALUES (96474, 3508, 26, 'Visore dei Logs');
INSERT INTO `lang_definitions` VALUES (96475, 3510, 26, 'cercare');
INSERT INTO `lang_definitions` VALUES (96476, 3511, 26, 'Lotto');
INSERT INTO `lang_definitions` VALUES (96477, 3512, 26, 'ID del Lotto mancante!');
INSERT INTO `lang_definitions` VALUES (96478, 3513, 26, 'Numero del Lotto');
INSERT INTO `lang_definitions` VALUES (96479, 3514, 26, 'basso');
INSERT INTO `lang_definitions` VALUES (96480, 3515, 26, 'Bassa priorità');
INSERT INTO `lang_definitions` VALUES (96481, 3516, 26, 'Parte inferiore della gamba');
INSERT INTO `lang_definitions` VALUES (96482, 3517, 26, 'Priorità più bassa');
INSERT INTO `lang_definitions` VALUES (96483, 3518, 26, 'Luba-Katanga');
INSERT INTO `lang_definitions` VALUES (96484, 3519, 26, 'Colonna lombare');
INSERT INTO `lang_definitions` VALUES (96485, 3520, 26, 'PRANZO');
INSERT INTO `lang_definitions` VALUES (96486, 3521, 26, 'Pranzo');
INSERT INTO `lang_definitions` VALUES (96487, 3522, 26, 'Cancro al polmone');
INSERT INTO `lang_definitions` VALUES (96488, 3523, 26, 'Intervento per cancro al polmone');
INSERT INTO `lang_definitions` VALUES (96489, 3524, 26, 'POLMONI:');
INSERT INTO `lang_definitions` VALUES (96490, 3525, 26, 'Polmoni:');
INSERT INTO `lang_definitions` VALUES (96491, 3526, 26, 'Lupus');
INSERT INTO `lang_definitions` VALUES (96492, 3527, 26, 'Luxembourgish, Letzeburgesch');
INSERT INTO `lang_definitions` VALUES (96493, 3528, 26, 'M');
INSERT INTO `lang_definitions` VALUES (96494, 3529, 26, 'MA categoria');
INSERT INTO `lang_definitions` VALUES (96495, 3530, 26, 'MA il cliente accetta l\'aborto');
INSERT INTO `lang_definitions` VALUES (96496, 3531, 26, 'MA statistiche');
INSERT INTO `lang_definitions` VALUES (96497, 3532, 26, 'Macedonian');
INSERT INTO `lang_definitions` VALUES (96498, 3533, 26, 'Posta Inviata');
INSERT INTO `lang_definitions` VALUES (96499, 3534, 26, 'Principale');
INSERT INTO `lang_definitions` VALUES (96500, 3535, 26, 'Indirizzo Principale');
INSERT INTO `lang_definitions` VALUES (96501, 3536, 26, 'Parte sup. della schermata del pannello principale');
INSERT INTO `lang_definitions` VALUES (96502, 3537, 26, 'Mantieni attivo l\'elenco delle allergie ai farmaci.');
INSERT INTO `lang_definitions` VALUES (96503, 3538, 26, 'Mantieni attivo l\'elenco dei farmaci.');
INSERT INTO `lang_definitions` VALUES (96504, 3539, 26, 'Mantieni un elenco aggiornato dei problemi delle diagnosi correnti e attive');
INSERT INTO `lang_definitions` VALUES (96505, 3540, 26, 'Esegui le modifiche alle ategorie correnti');
INSERT INTO `lang_definitions` VALUES (96506, 3541, 26, 'Fissa un nuovo appuntamento per');
INSERT INTO `lang_definitions` VALUES (96507, 3542, 26, 'Sii certo \"');
INSERT INTO `lang_definitions` VALUES (96508, 3543, 26, 'Rendere i file di testo in batch per il caricamento di scambio di informazioni e segnerà come fatturati');
INSERT INTO `lang_definitions` VALUES (96509, 3544, 26, 'Malagasy');
INSERT INTO `lang_definitions` VALUES (96510, 3545, 26, 'Malessere:');
INSERT INTO `lang_definitions` VALUES (96511, 3546, 26, 'Malay');
INSERT INTO `lang_definitions` VALUES (96512, 3547, 26, 'Malayalam');
INSERT INTO `lang_definitions` VALUES (96513, 3548, 26, 'Maschio');
INSERT INTO `lang_definitions` VALUES (96514, 3549, 26, 'Preservativi maschili');
INSERT INTO `lang_definitions` VALUES (96515, 3550, 26, 'Maschio VSC');
INSERT INTO `lang_definitions` VALUES (96516, 3551, 26, 'Maltese');
INSERT INTO `lang_definitions` VALUES (96517, 3552, 26, 'Mammografia');
INSERT INTO `lang_definitions` VALUES (96518, 3553, 26, 'gestire');
INSERT INTO `lang_definitions` VALUES (96519, 3554, 26, 'Gestione Hooks(Ganci)');
INSERT INTO `lang_definitions` VALUES (96520, 3555, 26, 'Gestione moduli');
INSERT INTO `lang_definitions` VALUES (96521, 3556, 26, 'Gestione traduzioni');
INSERT INTO `lang_definitions` VALUES (96522, 3557, 26, 'Gestione');
INSERT INTO `lang_definitions` VALUES (96523, 3558, 26, 'Dati obbligatori e specifici');
INSERT INTO `lang_definitions` VALUES (96524, 3559, 26, 'Dati obbligatori o solo specifici, controllo dupl., no ricerca');
INSERT INTO `lang_definitions` VALUES (96525, 3560, 26, 'Dati obbligatori o solo specifici, controllo dupl., e ricerca');
INSERT INTO `lang_definitions` VALUES (96526, 3561, 26, 'Manuale');
INSERT INTO `lang_definitions` VALUES (96527, 3562, 26, 'Scrittura manuale');
INSERT INTO `lang_definitions` VALUES (96528, 3563, 26, 'Produttore');
INSERT INTO `lang_definitions` VALUES (96529, 3564, 26, 'Manx');
INSERT INTO `lang_definitions` VALUES (96530, 3565, 26, 'Mar');
INSERT INTO `lang_definitions` VALUES (96531, 3567, 26, 'Marathi (Marāṭhī)');
INSERT INTO `lang_definitions` VALUES (96532, 3568, 26, 'Marzo');
INSERT INTO `lang_definitions` VALUES (96533, 3569, 26, 'Stato Civile');
INSERT INTO `lang_definitions` VALUES (96534, 3570, 26, 'Segna come fatturato');
INSERT INTO `lang_definitions` VALUES (96535, 3571, 26, 'Segna come fatturato ma salta la fatturazione');
INSERT INTO `lang_definitions` VALUES (96536, 3572, 26, 'Segna come cancellato');
INSERT INTO `lang_definitions` VALUES (96537, 3573, 26, 'Segna come non pagato');
INSERT INTO `lang_definitions` VALUES (96538, 3574, 26, 'Segna questo report come recensione');
INSERT INTO `lang_definitions` VALUES (96539, 3575, 26, 'Segna come cancellato');
INSERT INTO `lang_definitions` VALUES (96540, 3576, 26, 'Sposato');
INSERT INTO `lang_definitions` VALUES (96541, 3577, 26, 'Marshallese');
INSERT INTO `lang_definitions` VALUES (96542, 3578, 26, 'Maschera');
INSERT INTO `lang_definitions` VALUES (96543, 3579, 26, 'Mashera per il Numero di fattura');
INSERT INTO `lang_definitions` VALUES (96544, 3580, 26, 'Maschera per gli IDs del paziente');
INSERT INTO `lang_definitions` VALUES (96545, 3581, 26, 'Maschera per gli IDs dei prodotti');
INSERT INTO `lang_definitions` VALUES (96546, 3582, 26, 'Combaciare');
INSERT INTO `lang_definitions` VALUES (96547, 3583, 26, 'Caso di corrispondenza');
INSERT INTO `lang_definitions` VALUES (96548, 3584, 26, 'Corrispondenza trovata');
INSERT INTO `lang_definitions` VALUES (96549, 3590, 26, 'Matrice');
INSERT INTO `lang_definitions` VALUES (96550, 3591, 26, 'Max');
INSERT INTO `lang_definitions` VALUES (96551, 3592, 26, 'numero di file massimo raggiunto - ricarica i nomi sottostanti');
INSERT INTO `lang_definitions` VALUES (96552, 3594, 26, 'Mascellare destro:');
INSERT INTO `lang_definitions` VALUES (96553, 3595, 26, 'Età massima');
INSERT INTO `lang_definitions` VALUES (96554, 3596, 26, 'Massimo caratteri');
INSERT INTO `lang_definitions` VALUES (96555, 3597, 26, 'Massimo tempo di inattività in secondi prima di logout. Il valore predefinito è 7200 (2 ore).');
INSERT INTO `lang_definitions` VALUES (96556, 3600, 26, 'Massimo inventario ragionevole, 0 se non applicabile');
INSERT INTO `lang_definitions` VALUES (96557, 3601, 26, 'Dimesione massima');
INSERT INTO `lang_definitions` VALUES (96558, 3602, 26, 'Dimesione massima (inserendo 0 permetterà qualsiasi dimensione)');
INSERT INTO `lang_definitions` VALUES (96559, 3603, 26, 'Maggio');
INSERT INTO `lang_definitions` VALUES (96560, 3604, 26, 'MC');
INSERT INTO `lang_definitions` VALUES (96561, 3605, 26, 'mcg');
INSERT INTO `lang_definitions` VALUES (96562, 3607, 26, 'Significa nessuna delle ultime tre password sono consentite quando si cambia una password.');
INSERT INTO `lang_definitions` VALUES (96563, 3609, 26, 'Misura gruppo di codice');
INSERT INTO `lang_definitions` VALUES (96564, 3611, 26, 'Misurazione');
INSERT INTO `lang_definitions` VALUES (96565, 3612, 26, 'Malleolo mediale');
INSERT INTO `lang_definitions` VALUES (96566, 3613, 26, 'Aiuto medico');
INSERT INTO `lang_definitions` VALUES (96567, 3614, 26, 'Medico');
INSERT INTO `lang_definitions` VALUES (96568, 3615, 26, 'Aborto medico');
INSERT INTO `lang_definitions` VALUES (96569, 3616, 26, 'Amministrazione medica');
INSERT INTO `lang_definitions` VALUES (96570, 3617, 26, 'Storia medica');
INSERT INTO `lang_definitions` VALUES (96571, 3618, 26, 'problemi di natura medica');
INSERT INTO `lang_definitions` VALUES (96572, 3619, 26, 'problemi di natura medica');
INSERT INTO `lang_definitions` VALUES (96573, 3620, 26, 'Problema medico');
INSERT INTO `lang_definitions` VALUES (96574, 3621, 26, 'Problema Medico');
INSERT INTO `lang_definitions` VALUES (96575, 3622, 26, 'Lista dei problemi Medici');
INSERT INTO `lang_definitions` VALUES (96576, 3623, 26, 'Problemi medici');
INSERT INTO `lang_definitions` VALUES (96577, 3624, 26, 'Cartella clinica');
INSERT INTO `lang_definitions` VALUES (96578, 3625, 26, 'Cartella clinica #');
INSERT INTO `lang_definitions` VALUES (96579, 3626, 26, 'Cartelle cliniche');
INSERT INTO `lang_definitions` VALUES (96580, 3627, 26, 'Cartelle cliniche inviate');
INSERT INTO `lang_definitions` VALUES (96581, 3629, 26, 'Riepilogo medico dato');
INSERT INTO `lang_definitions` VALUES (96582, 3630, 26, 'Sistema medico');
INSERT INTO `lang_definitions` VALUES (96583, 3631, 26, 'Tipo di medico');
INSERT INTO `lang_definitions` VALUES (96584, 3632, 26, 'Medica / Cronologia (scrittura, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (96585, 3633, 26, 'Assistenza sanitaria statale Parte B');
INSERT INTO `lang_definitions` VALUES (96586, 3634, 26, 'Assistenza sanitaria statale Parte B');
INSERT INTO `lang_definitions` VALUES (96587, 3635, 26, 'Medicazione/Farmaci');
INSERT INTO `lang_definitions` VALUES (96588, 3636, 26, 'Rendere i file di testo in batch per il caricamento di di scambio di informazioni e segnerà come fatturati');
INSERT INTO `lang_definitions` VALUES (96589, 3637, 26, 'Lista problemi delle medicazioni');
INSERT INTO `lang_definitions` VALUES (96590, 3638, 26, 'Lista medicazioni/Farmaci');
INSERT INTO `lang_definitions` VALUES (96591, 3639, 26, 'Riconciliazione farmaci eseguita?');
INSERT INTO `lang_definitions` VALUES (96592, 3640, 26, 'Medicazioni/Farmaci');
INSERT INTO `lang_definitions` VALUES (96593, 3641, 26, 'Medicazioni/Farmaci:');
INSERT INTO `lang_definitions` VALUES (96594, 3642, 26, 'Unità farmaci');
INSERT INTO `lang_definitions` VALUES (96595, 3643, 26, 'Medio');
INSERT INTO `lang_definitions` VALUES (96596, 3644, 26, 'MedlinePlus Connect');
INSERT INTO `lang_definitions` VALUES (96597, 3645, 26, 'Membro Associazione Report Statistiche');
INSERT INTO `lang_definitions` VALUES (96598, 3646, 26, 'Problemi mnestici');
INSERT INTO `lang_definitions` VALUES (96599, 3647, 26, 'Uomo');
INSERT INTO `lang_definitions` VALUES (96600, 3648, 26, 'Uomo e Donna');
INSERT INTO `lang_definitions` VALUES (96601, 3649, 26, 'Soltanto Uomo');
INSERT INTO `lang_definitions` VALUES (96602, 3650, 26, 'Menarca');
INSERT INTO `lang_definitions` VALUES (96603, 3651, 26, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (96604, 3652, 26, 'Flusso mestruale');
INSERT INTO `lang_definitions` VALUES (96605, 3653, 26, 'Frequenza mestruale');
INSERT INTO `lang_definitions` VALUES (96606, 3654, 26, 'Malattia mentale');
INSERT INTO `lang_definitions` VALUES (96607, 3655, 26, 'Menu Text');
INSERT INTO `lang_definitions` VALUES (96608, 3656, 26, 'Menu');
INSERT INTO `lang_definitions` VALUES (96609, 3657, 26, 'Unisci');
INSERT INTO `lang_definitions` VALUES (96610, 3658, 26, 'Unione completa.');
INSERT INTO `lang_definitions` VALUES (96611, 3659, 26, 'Unire i pazienti');
INSERT INTO `lang_definitions` VALUES (96612, 3661, 26, 'Messaggio');
INSERT INTO `lang_definitions` VALUES (96613, 3662, 26, 'Messaggio e Centro promemoria');
INSERT INTO `lang_definitions` VALUES (96614, 3663, 26, 'Il contenuto del messaggio non è testo semplice, così è stato conservato come un documento.');
INSERT INTO `lang_definitions` VALUES (96615, 3664, 26, 'Messaggio dal paziente');
INSERT INTO `lang_definitions` VALUES (96616, 3665, 26, 'Messaggio inviato');
INSERT INTO `lang_definitions` VALUES (96617, 3666, 26, 'Stato del messaggio');
INSERT INTO `lang_definitions` VALUES (96618, 3667, 26, 'Titolo del Messaggio');
INSERT INTO `lang_definitions` VALUES (96619, 3668, 26, 'Messaggio al paziente');
INSERT INTO `lang_definitions` VALUES (96620, 3669, 26, 'Tipo del messaggio');
INSERT INTO `lang_definitions` VALUES (96621, 3670, 26, 'MESSAGGIO:');
INSERT INTO `lang_definitions` VALUES (96622, 3671, 26, 'Messaggi');
INSERT INTO `lang_definitions` VALUES (96623, 3672, 26, 'Messaggi inviati oggi');
INSERT INTO `lang_definitions` VALUES (96624, 3673, 26, 'Metodo');
INSERT INTO `lang_definitions` VALUES (96625, 3674, 26, 'Metodo e Prodotto specifico');
INSERT INTO `lang_definitions` VALUES (96626, 3675, 26, 'Metodo per l\'invio delle email in uscita.');
INSERT INTO `lang_definitions` VALUES (96627, 3676, 26, 'Metodo di distruzione');
INSERT INTO `lang_definitions` VALUES (96628, 3677, 26, 'Mexican/MexAmer/Chicano');
INSERT INTO `lang_definitions` VALUES (96629, 3679, 26, 'mg');
INSERT INTO `lang_definitions` VALUES (96630, 3680, 26, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (96631, 3681, 26, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (96632, 3682, 26, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (96633, 3683, 26, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (96634, 3684, 26, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (96635, 3685, 26, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (96636, 3686, 26, 'mezzo');
INSERT INTO `lang_definitions` VALUES (96637, 3687, 26, 'Secondo Nome');
INSERT INTO `lang_definitions` VALUES (96638, 3688, 26, 'Secondo nome');
INSERT INTO `lang_definitions` VALUES (96639, 3690, 26, 'Prescrittore DEA di medio livello');
INSERT INTO `lang_definitions` VALUES (96640, 3691, 26, 'Nome del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (96641, 3692, 26, 'Cognome del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (96642, 3693, 26, 'Prefisso del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (96643, 3694, 26, 'UPIN del prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (96644, 3695, 26, 'Aspetto');
INSERT INTO `lang_definitions` VALUES (96645, 3696, 26, 'Lavoratore migrante o stagionale?');
INSERT INTO `lang_definitions` VALUES (96646, 3697, 26, 'Migrante/Stagionale');
INSERT INTO `lang_definitions` VALUES (96647, 3698, 26, 'Mil/CU.MM (cm cubo)');
INSERT INTO `lang_definitions` VALUES (96648, 3701, 26, 'MIME Type');
INSERT INTO `lang_definitions` VALUES (96649, 3702, 26, 'Tipo Mime');
INSERT INTO `lang_definitions` VALUES (96650, 3703, 26, 'Min');
INSERT INTO `lang_definitions` VALUES (96651, 3704, 26, 'min');
INSERT INTO `lang_definitions` VALUES (96652, 3705, 26, 'Età minima');
INSERT INTO `lang_definitions` VALUES (96653, 3706, 26, 'Minore sforzo comune + / - sinovite');
INSERT INTO `lang_definitions` VALUES (96654, 3708, 26, 'Minuto');
INSERT INTO `lang_definitions` VALUES (96655, 3709, 26, 'minuti');
INSERT INTO `lang_definitions` VALUES (96656, 3710, 26, 'Minuti');
INSERT INTO `lang_definitions` VALUES (96657, 3712, 26, 'Varie');
INSERT INTO `lang_definitions` VALUES (96658, 3713, 26, 'Opzioni di fatturazione varie');
INSERT INTO `lang_definitions` VALUES (96659, 3714, 26, 'Opzioni di fatturazione varie per HCFA-1500');
INSERT INTO `lang_definitions` VALUES (96660, 3715, 26, 'Opzioni di fatturazione varie per HCFA');
INSERT INTO `lang_definitions` VALUES (96661, 3716, 26, 'Miscellanea');
INSERT INTO `lang_definitions` VALUES (96662, 3717, 26, 'Mancante');
INSERT INTO `lang_definitions` VALUES (96663, 3718, 26, 'mancante');
INSERT INTO `lang_definitions` VALUES (96664, 3719, 26, 'Manca un campo richiesto');
INSERT INTO `lang_definitions` VALUES (96665, 3720, 26, 'Tariffa mancante');
INSERT INTO `lang_definitions` VALUES (96666, 3721, 26, 'Mancano solo i Mods');
INSERT INTO `lang_definitions` VALUES (96667, 3722, 26, 'Mancante o non valido');
INSERT INTO `lang_definitions` VALUES (96668, 3723, 26, 'PID mancante');
INSERT INTO `lang_definitions` VALUES (96669, 3724, 26, 'Data resoconto mancante');
INSERT INTO `lang_definitions` VALUES (96670, 3725, 26, 'Manca lo slash dopo il pagante nel sorgente per il codice ');
INSERT INTO `lang_definitions` VALUES (96671, 3726, 26, 'Misto');
INSERT INTO `lang_definitions` VALUES (96672, 3727, 26, 'ml');
INSERT INTO `lang_definitions` VALUES (96673, 3728, 26, 'MM/GG/AAAA');
INSERT INTO `lang_definitions` VALUES (96674, 3729, 26, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (96675, 3730, 26, 'mmHg');
INSERT INTO `lang_definitions` VALUES (96676, 3731, 26, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (96677, 3732, 26, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (96678, 3733, 26, 'Cellulare');
INSERT INTO `lang_definitions` VALUES (96679, 3734, 26, 'Tel. Cellulare');
INSERT INTO `lang_definitions` VALUES (96680, 3735, 26, 'Mod');
INSERT INTO `lang_definitions` VALUES (96681, 3738, 26, 'Priorità moderata');
INSERT INTO `lang_definitions` VALUES (96682, 3740, 26, 'Moderata/Bassa priorità');
INSERT INTO `lang_definitions` VALUES (96683, 3741, 26, 'Modificatore');
INSERT INTO `lang_definitions` VALUES (96684, 3742, 26, 'Modificatori');
INSERT INTO `lang_definitions` VALUES (96685, 3743, 26, 'Modificare');
INSERT INTO `lang_definitions` VALUES (96686, 3745, 26, 'Modifica Pagamenti');
INSERT INTO `lang_definitions` VALUES (96687, 3746, 26, 'ModLength');
INSERT INTO `lang_definitions` VALUES (96688, 3747, 26, 'Modulo');
INSERT INTO `lang_definitions` VALUES (96689, 3748, 26, 'Directory del modulo non trovata');
INSERT INTO `lang_definitions` VALUES (96690, 3749, 26, 'Installazione Modulo');
INSERT INTO `lang_definitions` VALUES (96691, 3750, 26, 'Nome Modulo');
INSERT INTO `lang_definitions` VALUES (96692, 3751, 26, 'Il nome del Modulo esiste già');
INSERT INTO `lang_definitions` VALUES (96693, 3752, 26, 'Moduli');
INSERT INTO `lang_definitions` VALUES (96694, 3753, 26, 'Lun');
INSERT INTO `lang_definitions` VALUES (96695, 3754, 26, 'Lun fino a Ven');
INSERT INTO `lang_definitions` VALUES (96696, 3755, 26, 'Lun, Mer &amp; Ven');
INSERT INTO `lang_definitions` VALUES (96697, 3756, 26, 'Lunedì');
INSERT INTO `lang_definitions` VALUES (96698, 3757, 26, 'Mongolian');
INSERT INTO `lang_definitions` VALUES (96699, 3758, 26, 'Mese');
INSERT INTO `lang_definitions` VALUES (96700, 3759, 26, 'mese');
INSERT INTO `lang_definitions` VALUES (96701, 3760, 26, 'Vista del Mese');
INSERT INTO `lang_definitions` VALUES (96702, 3761, 26, 'Mese(i)');
INSERT INTO `lang_definitions` VALUES (96703, 3762, 26, 'Entrata mensile');
INSERT INTO `lang_definitions` VALUES (96704, 3763, 26, 'Mesi');
INSERT INTO `lang_definitions` VALUES (96705, 3765, 26, 'Trovati più di 100 record. Restringi i criteri di ricerca.');
INSERT INTO `lang_definitions` VALUES (96706, 3766, 26, 'Trovati più di 50 risultati, rendi più specifica la ricerca.');
INSERT INTO `lang_definitions` VALUES (96707, 3767, 26, 'La maggior parte delle intestazioni di colonna è possibile fare clic per cambiarne l\'ordinamento');
INSERT INTO `lang_definitions` VALUES (96708, 3768, 26, 'Più recenti dal');
INSERT INTO `lang_definitions` VALUES (96709, 3769, 26, 'I più recenti dati di laboratorio:');
INSERT INTO `lang_definitions` VALUES (96710, 3770, 26, 'Vitali più recenti il:');
INSERT INTO `lang_definitions` VALUES (96711, 3771, 26, 'Madre');
INSERT INTO `lang_definitions` VALUES (96712, 3772, 26, 'Nome della Madre');
INSERT INTO `lang_definitions` VALUES (96713, 3773, 26, 'Storia della Madre');
INSERT INTO `lang_definitions` VALUES (96714, 3774, 26, 'Bocca');
INSERT INTO `lang_definitions` VALUES (96715, 3775, 26, 'Sposta');
INSERT INTO `lang_definitions` VALUES (96716, 3776, 26, 'Sposta Documento nella Categoria:');
INSERT INTO `lang_definitions` VALUES (96717, 3777, 26, 'Sposta giù');
INSERT INTO `lang_definitions` VALUES (96718, 3778, 26, 'Spostamento fallito!');
INSERT INTO `lang_definitions` VALUES (96719, 3779, 26, 'Sposta al Paziente');
INSERT INTO `lang_definitions` VALUES (96720, 3780, 26, 'Sposta nel...');
INSERT INTO `lang_definitions` VALUES (96721, 3781, 26, 'Sposta su');
INSERT INTO `lang_definitions` VALUES (96722, 3782, 26, 'Spostare');
INSERT INTO `lang_definitions` VALUES (96723, 3783, 26, 'Sig.');
INSERT INTO `lang_definitions` VALUES (96724, 3784, 26, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (96725, 3785, 26, 'Sig.ra');
INSERT INTO `lang_definitions` VALUES (96726, 3786, 26, 'Sig.na');
INSERT INTO `lang_definitions` VALUES (96727, 3787, 26, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (96728, 3788, 26, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (96729, 3789, 26, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (96730, 3790, 26, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (96731, 3791, 26, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (96732, 3793, 26, 'MSH.8 tipo di messaggio non valido');
INSERT INTO `lang_definitions` VALUES (96733, 3794, 26, 'Codice MSP');
INSERT INTO `lang_definitions` VALUES (96734, 3795, 26, 'Deposito codici MSP');
INSERT INTO `lang_definitions` VALUES (96735, 3796, 26, 'Strumento Multi Lingua');
INSERT INTO `lang_definitions` VALUES (96736, 3797, 26, 'Aree multiple');
INSERT INTO `lang_definitions` VALUES (96737, 3798, 26, 'Più file possono essere caricati contemporaneamente selezionandoli con CTRL + clic o Maiusc + clic.');
INSERT INTO `lang_definitions` VALUES (96738, 3799, 26, 'Lotti multipli');
INSERT INTO `lang_definitions` VALUES (96739, 3800, 26, 'Modificatori multipli possono essere separati da due punti o spazi, massimo di 4 (M1: M2: M3: M4)');
INSERT INTO `lang_definitions` VALUES (96740, 3801, 26, 'Lista multipla di selezione');
INSERT INTO `lang_definitions` VALUES (96741, 3802, 26, 'Multirazziale');
INSERT INTO `lang_definitions` VALUES (96742, 3803, 26, 'Soffio:');
INSERT INTO `lang_definitions` VALUES (96743, 3804, 26, 'Dolore musc');
INSERT INTO `lang_definitions` VALUES (96744, 3805, 26, 'Dolori musc');
INSERT INTO `lang_definitions` VALUES (96745, 3806, 26, 'Arrossamento musc');
INSERT INTO `lang_definitions` VALUES (96746, 3807, 26, 'Rigidità musc');
INSERT INTO `lang_definitions` VALUES (96747, 3808, 26, 'Gonfiore musc');
INSERT INTO `lang_definitions` VALUES (96748, 3809, 26, 'Musc caldo');
INSERT INTO `lang_definitions` VALUES (96749, 3810, 26, 'Muscolo');
INSERT INTO `lang_definitions` VALUES (96750, 3811, 26, 'Lesione muscolare');
INSERT INTO `lang_definitions` VALUES (96751, 3812, 26, 'Muscoloscheletrico');
INSERT INTO `lang_definitions` VALUES (96752, 3813, 26, 'Deve essere vuoto se non si usa l\'autenticazione SMTP');
INSERT INTO `lang_definitions` VALUES (96753, 3814, 26, 'Reciprocamente definito');
INSERT INTO `lang_definitions` VALUES (96754, 3815, 26, 'MVA');
INSERT INTO `lang_definitions` VALUES (96755, 3818, 26, 'Io stesso');
INSERT INTO `lang_definitions` VALUES (96756, 3820, 26, 'Māori');
INSERT INTO `lang_definitions` VALUES (96757, 3821, 26, 'N/D');
INSERT INTO `lang_definitions` VALUES (96758, 3822, 26, 'n/d');
INSERT INTO `lang_definitions` VALUES (96759, 3823, 26, 'Nome');
INSERT INTO `lang_definitions` VALUES (96760, 3825, 26, 'Nome (clicca per ulteriori)');
INSERT INTO `lang_definitions` VALUES (96761, 3826, 26, 'Nome 1');
INSERT INTO `lang_definitions` VALUES (96762, 3827, 26, 'Nome 2');
INSERT INTO `lang_definitions` VALUES (96763, 3828, 26, 'Nome e titolo di Amministratore immunizzazione');
INSERT INTO `lang_definitions` VALUES (96764, 3829, 26, 'Nome in EMR');
INSERT INTO `lang_definitions` VALUES (96765, 3830, 26, 'Name must be like codetype_code_language.pdf, for example icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (96766, 3831, 26, 'Nome dell\'Evento');
INSERT INTO `lang_definitions` VALUES (96767, 3832, 26, 'Nome della Compagnia di assicurazione');
INSERT INTO `lang_definitions` VALUES (96768, 3833, 26, 'Nome del fornitore');
INSERT INTO `lang_definitions` VALUES (96769, 3834, 26, 'Nome del mittente del promemoria per il paziente');
INSERT INTO `lang_definitions` VALUES (96770, 3835, 26, 'Traduzione del nome');
INSERT INTO `lang_definitions` VALUES (96771, 3836, 26, 'Nome/Valore');
INSERT INTO `lang_definitions` VALUES (96772, 3837, 26, 'Nome:');
INSERT INTO `lang_definitions` VALUES (96773, 3838, 26, 'NARICI:');
INSERT INTO `lang_definitions` VALUES (96774, 3839, 26, 'NARICI: destra normale');
INSERT INTO `lang_definitions` VALUES (96775, 3840, 26, 'Mucosa nasale rosa, linea mediana del setto');
INSERT INTO `lang_definitions` VALUES (96776, 3841, 26, 'Note Nazionali');
INSERT INTO `lang_definitions` VALUES (96777, 3842, 26, 'Configura Note Nazionali');
INSERT INTO `lang_definitions` VALUES (96778, 3843, 26, 'Sostituire pulsante Note Nazionali');
INSERT INTO `lang_definitions` VALUES (96779, 3844, 26, 'Nazionalità');
INSERT INTO `lang_definitions` VALUES (96780, 3845, 26, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (96781, 3846, 26, 'Carico dati del nativo');
INSERT INTO `lang_definitions` VALUES (96782, 3847, 26, 'Nativo delle Haway o altre isole del Pacifico');
INSERT INTO `lang_definitions` VALUES (96783, 3851, 26, 'Nauru');
INSERT INTO `lang_definitions` VALUES (96784, 3852, 26, 'Nausea');
INSERT INTO `lang_definitions` VALUES (96785, 3853, 26, 'Navajo, Navaho');
INSERT INTO `lang_definitions` VALUES (96786, 3854, 26, 'Navigazione');
INSERT INTO `lang_definitions` VALUES (96787, 3855, 26, 'Area di navigazione include i moduli incontro');
INSERT INTO `lang_definitions` VALUES (96788, 3856, 26, 'Area di navigazione utilizza tutta l\'altezza del frame');
INSERT INTO `lang_definitions` VALUES (96789, 3857, 26, 'Area di navigazione moduli visita');
INSERT INTO `lang_definitions` VALUES (96790, 3858, 26, 'Ampiezza dell\'Area navigazione');
INSERT INTO `lang_definitions` VALUES (96791, 3859, 26, 'Il menu navigazione è costituito da coppie di pulsanti radio');
INSERT INTO `lang_definitions` VALUES (96792, 3860, 26, 'Il menu navigazione è una vista ad albero');
INSERT INTO `lang_definitions` VALUES (96793, 3861, 26, 'Navigazione usa un menu ad espansione');
INSERT INTO `lang_definitions` VALUES (96794, 3862, 26, 'NDC(National Drug Code)');
INSERT INTO `lang_definitions` VALUES (96795, 3863, 26, 'Data NDC');
INSERT INTO `lang_definitions` VALUES (96796, 3864, 26, 'Numero NDC');
INSERT INTO `lang_definitions` VALUES (96797, 3865, 26, 'Ndonga');
INSERT INTO `lang_definitions` VALUES (96798, 3866, 26, 'Collo');
INSERT INTO `lang_definitions` VALUES (96799, 3867, 26, 'Problemi al collo');
INSERT INTO `lang_definitions` VALUES (96800, 3868, 26, 'Collo flessibile');
INSERT INTO `lang_definitions` VALUES (96801, 3869, 26, 'Occorre inserire una descrizione');
INSERT INTO `lang_definitions` VALUES (96802, 3870, 26, 'Occorre inserire un valore di ritorno');
INSERT INTO `lang_definitions` VALUES (96803, 3871, 26, 'Occorre inserire un identificatore');
INSERT INTO `lang_definitions` VALUES (96804, 3872, 26, 'Occorre inserire un titolo');
INSERT INTO `lang_definitions` VALUES (96805, 3873, 26, 'Occorre inserire Aut');
INSERT INTO `lang_definitions` VALUES (96806, 3874, 26, 'Occorre inseire Motivazione');
INSERT INTO `lang_definitions` VALUES (96807, 3875, 26, 'Occorre fatturazione secondaria');
INSERT INTO `lang_definitions` VALUES (96808, 3876, 26, 'Negativo');
INSERT INTO `lang_definitions` VALUES (96809, 3877, 26, 'Negativi');
INSERT INTO `lang_definitions` VALUES (96810, 3879, 26, 'Nepali');
INSERT INTO `lang_definitions` VALUES (96811, 3880, 26, 'Lesione del nervo');
INSERT INTO `lang_definitions` VALUES (96812, 3881, 26, 'Condizione neurale/danno al nervo');
INSERT INTO `lang_definitions` VALUES (96813, 3882, 26, 'Neuro Intorpidimento');
INSERT INTO `lang_definitions` VALUES (96814, 3883, 26, 'Neuro Debolezza');
INSERT INTO `lang_definitions` VALUES (96815, 3884, 26, 'Neurologico');
INSERT INTO `lang_definitions` VALUES (96816, 3885, 26, 'Mai');
INSERT INTO `lang_definitions` VALUES (96817, 3886, 26, 'Mai Alcohol');
INSERT INTO `lang_definitions` VALUES (96818, 3887, 26, 'Mai Fumatore');
INSERT INTO `lang_definitions` VALUES (96819, 3888, 26, 'Nuovo');
INSERT INTO `lang_definitions` VALUES (96820, 3889, 26, 'Nuovo =>');
INSERT INTO `lang_definitions` VALUES (96821, 3890, 26, 'Nuovi accettatori');
INSERT INTO `lang_definitions` VALUES (96822, 3892, 26, 'Nuova Allegia');
INSERT INTO `lang_definitions` VALUES (96823, 3893, 26, 'Nuova richiesta di modifica');
INSERT INTO `lang_definitions` VALUES (96824, 3894, 26, 'Nuovo Appuntamento');
INSERT INTO `lang_definitions` VALUES (96825, 3895, 26, 'Nuove Categorie');
INSERT INTO `lang_definitions` VALUES (96826, 3896, 26, 'Nuova Categoria');
INSERT INTO `lang_definitions` VALUES (96827, 3897, 26, 'Nuovi Clienti');
INSERT INTO `lang_definitions` VALUES (96828, 3898, 26, 'Nuova Consulenza');
INSERT INTO `lang_definitions` VALUES (96829, 3899, 26, 'Nuova coltura');
INSERT INTO `lang_definitions` VALUES (96830, 3900, 26, 'Nuova definizione del set aggiunta');
INSERT INTO `lang_definitions` VALUES (96831, 3901, 26, 'Nuovo Documento');
INSERT INTO `lang_definitions` VALUES (96832, 3902, 26, 'Nuovi documenti');
INSERT INTO `lang_definitions` VALUES (96833, 3904, 26, 'Nuovo Incontro');
INSERT INTO `lang_definitions` VALUES (96834, 3905, 26, 'Creato nuovo incontro con id');
INSERT INTO `lang_definitions` VALUES (96835, 3906, 26, 'Modulo Nuovo Incontro');
INSERT INTO `lang_definitions` VALUES (96836, 3907, 26, 'Nuovi incontri non autorizzati');
INSERT INTO `lang_definitions` VALUES (96837, 3908, 26, 'Nuovo Inc.');
INSERT INTO `lang_definitions` VALUES (96838, 3909, 26, 'Informazione nuova sede');
INSERT INTO `lang_definitions` VALUES (96839, 3910, 26, 'Nuovo file');
INSERT INTO `lang_definitions` VALUES (96840, 3911, 26, 'Nuovi file');
INSERT INTO `lang_definitions` VALUES (96841, 3912, 26, 'Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (96842, 3913, 26, 'Informazione Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (96843, 3914, 26, 'Nuovo Les/Status');
INSERT INTO `lang_definitions` VALUES (96844, 3916, 26, 'Nuovo Limite di eventi');
INSERT INTO `lang_definitions` VALUES (96845, 3917, 26, 'Nuovo Elenco');
INSERT INTO `lang_definitions` VALUES (96846, 3918, 26, 'Nuovi Ordini');
INSERT INTO `lang_definitions` VALUES (96847, 3919, 26, 'Nuovo Paragrafo');
INSERT INTO `lang_definitions` VALUES (96848, 3920, 26, 'Nuova Password');
INSERT INTO `lang_definitions` VALUES (96849, 3921, 26, 'Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (96850, 3922, 26, 'NUOVO PAZIENTE');
INSERT INTO `lang_definitions` VALUES (96851, 3923, 26, 'Incontro Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (96852, 3924, 26, 'Modulo Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (96853, 3925, 26, 'ID Nuovo Paziente');
INSERT INTO `lang_definitions` VALUES (96854, 3926, 26, 'Nuovo Pagamento');
INSERT INTO `lang_definitions` VALUES (96855, 3927, 26, 'Nuovo accesso al portale');
INSERT INTO `lang_definitions` VALUES (96856, 3928, 26, 'Nuovo Pt');
INSERT INTO `lang_definitions` VALUES (96857, 3929, 26, 'Nuovo risultato dal Lab Exchange');
INSERT INTO `lang_definitions` VALUES (96858, 3930, 26, 'Nuova Ricerca');
INSERT INTO `lang_definitions` VALUES (96859, 3931, 26, 'Nuovi Inserimenti');
INSERT INTO `lang_definitions` VALUES (96860, 3932, 26, 'Nuovo Utente');
INSERT INTO `lang_definitions` VALUES (96861, 3933, 26, 'Nuovo valore');
INSERT INTO `lang_definitions` VALUES (96862, 3934, 26, 'Nuova Visita');
INSERT INTO `lang_definitions` VALUES (96863, 3935, 26, 'Nuovo/Cerca');
INSERT INTO `lang_definitions` VALUES (96864, 3936, 26, 'Stato account Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (96865, 3937, 26, 'Admin Nuovo Gruppo');
INSERT INTO `lang_definitions` VALUES (96866, 3938, 26, 'NewCrop chiamata fallita');
INSERT INTO `lang_definitions` VALUES (96867, 3939, 26, 'NewCrop Medico');
INSERT INTO `lang_definitions` VALUES (96868, 3940, 26, 'NewCrop eRx Account Id');
INSERT INTO `lang_definitions` VALUES (96869, 3944, 26, 'NewCrop eRx nome');
INSERT INTO `lang_definitions` VALUES (96870, 3945, 26, 'NewCrop eRx Partner nome');
INSERT INTO `lang_definitions` VALUES (96871, 3946, 26, 'NewCrop eRx Password');
INSERT INTO `lang_definitions` VALUES (96872, 3947, 26, 'NewCrop eRX Ruolo');
INSERT INTO `lang_definitions` VALUES (96873, 3948, 26, 'NewCrop eRx Ruolo');
INSERT INTO `lang_definitions` VALUES (96874, 3949, 26, 'NewCrop eRx indirizzo del sito');
INSERT INTO `lang_definitions` VALUES (96875, 3950, 26, 'NewCrop eRx SOAP Request Time-To-Live for Allergies');
INSERT INTO `lang_definitions` VALUES (96876, 3951, 26, 'NewCrop eRx SOAP Request Time-To-Live for Medications');
INSERT INTO `lang_definitions` VALUES (96877, 3954, 26, 'NewCrop eRx indirizzo del servizio Web');
INSERT INTO `lang_definitions` VALUES (96878, 3955, 26, 'NewCrop Gestore');
INSERT INTO `lang_definitions` VALUES (96879, 3956, 26, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (96880, 3957, 26, 'NewCrop prescrittore di medio livello');
INSERT INTO `lang_definitions` VALUES (96881, 3958, 26, 'NewCrop Infermiere');
INSERT INTO `lang_definitions` VALUES (96882, 3959, 26, 'NewCrop Medico supervisore');
INSERT INTO `lang_definitions` VALUES (96883, 3960, 26, 'Recente');
INSERT INTO `lang_definitions` VALUES (96884, 3961, 26, 'Giornale');
INSERT INTO `lang_definitions` VALUES (96885, 3962, 26, 'Successivo');
INSERT INTO `lang_definitions` VALUES (96886, 3964, 26, 'Giorno Successivo');
INSERT INTO `lang_definitions` VALUES (96887, 3965, 26, 'Mese Successivo');
INSERT INTO `lang_definitions` VALUES (96888, 3966, 26, 'Mese successivo (mantieni per il menu)');
INSERT INTO `lang_definitions` VALUES (96889, 3967, 26, 'Prossima esecuzione programmata');
INSERT INTO `lang_definitions` VALUES (96890, 3968, 26, 'Settimana Successiva');
INSERT INTO `lang_definitions` VALUES (96891, 3969, 26, 'Anno successivo (mantieni per il menu)');
INSERT INTO `lang_definitions` VALUES (96892, 3970, 26, 'Soprannome');
INSERT INTO `lang_definitions` VALUES (96893, 3971, 26, 'Soprannome');
INSERT INTO `lang_definitions` VALUES (96894, 3973, 26, 'Sudorazione notturna');
INSERT INTO `lang_definitions` VALUES (96895, 3974, 26, 'Nl ext genitali, mucosa vag, cervice');
INSERT INTO `lang_definitions` VALUES (96896, 3975, 26, 'No');
INSERT INTO `lang_definitions` VALUES (96897, 3976, 26, 'NO');
INSERT INTO `lang_definitions` VALUES (96898, 3977, 26, 'Nessun accesso');
INSERT INTO `lang_definitions` VALUES (96899, 3978, 26, 'Nessun promemoria paziente attivo');
INSERT INTO `lang_definitions` VALUES (96900, 3979, 26, 'No adenopatia (richieste due aree)');
INSERT INTO `lang_definitions` VALUES (96901, 3980, 26, 'Nessun tipo di motivo trovato per la rimodulazione di');
INSERT INTO `lang_definitions` VALUES (96902, 3981, 26, 'Nessuna sensibilità pelvica / masse');
INSERT INTO `lang_definitions` VALUES (96903, 3982, 26, 'Nessuna richiesta di modifica disponibile');
INSERT INTO `lang_definitions` VALUES (96904, 3983, 26, 'Nessun Appuntamento');
INSERT INTO `lang_definitions` VALUES (96905, 3984, 26, 'Nessun registro di controllo manomissioni rilevato nell\'intervallo di date selezionato.');
INSERT INTO `lang_definitions` VALUES (96906, 3985, 26, 'Nessun sistema di fatturazione è attualmente attivo');
INSERT INTO `lang_definitions` VALUES (96907, 3986, 26, 'Nessuna fattura trovata da includere nell\'esportazione OFX');
INSERT INTO `lang_definitions` VALUES (96908, 3987, 26, 'Nessuna fattura trovata da includere nell\'esportazione OFX<br>');
INSERT INTO `lang_definitions` VALUES (96909, 3989, 26, 'Non è stato specificato alcun codice!');
INSERT INTO `lang_definitions` VALUES (96910, 3990, 26, 'Nessuna configurazione definita per questo modulo');
INSERT INTO `lang_definitions` VALUES (96911, 3992, 26, 'Nessuna Diagnosi');
INSERT INTO `lang_definitions` VALUES (96912, 3993, 26, 'Nessun Documento trovato');
INSERT INTO `lang_definitions` VALUES (96913, 3994, 26, 'Non è stato possibile creare alcun incontro');
INSERT INTO `lang_definitions` VALUES (96914, 3995, 26, 'Nessuna data di fine');
INSERT INTO `lang_definitions` VALUES (96915, 3996, 26, 'Nessuna immissione trovata, usa il modulo sotto per aggiungere una immissione');
INSERT INTO `lang_definitions` VALUES (96916, 3997, 26, 'Nessun errore trovato');
INSERT INTO `lang_definitions` VALUES (96917, 3998, 26, 'Nessun Evento');
INSERT INTO `lang_definitions` VALUES (96918, 4000, 26, 'Nessun file organizzato per l\'installazione');
INSERT INTO `lang_definitions` VALUES (96919, 4001, 26, 'Non è stato selezionato alcun gruppo');
INSERT INTO `lang_definitions` VALUES (96920, 4002, 26, 'Nessuna Ernia');
INSERT INTO `lang_definitions` VALUES (96921, 4003, 26, 'Nessun Hooks(Ganci) disponibili per questo modulo');
INSERT INTO `lang_definitions` VALUES (96922, 4004, 26, 'Nessun Hooks(Ganci) abilitati per questo modulo');
INSERT INTO `lang_definitions` VALUES (96923, 4005, 26, 'Nessuna Lesione/Malattia');
INSERT INTO `lang_definitions` VALUES (96924, 4006, 26, 'Non trovata alcuna compagnia assicurativa');
INSERT INTO `lang_definitions` VALUES (96925, 4007, 26, 'Nessuno problemi');
INSERT INTO `lang_definitions` VALUES (96926, 4008, 26, 'Nessuno problemi in questo incontro.');
INSERT INTO `lang_definitions` VALUES (96927, 4009, 26, 'Nessun elemento sotto la categoria selezionata');
INSERT INTO `lang_definitions` VALUES (96928, 4010, 26, 'Non è stato selezionato alcun elemento!');
INSERT INTO `lang_definitions` VALUES (96929, 4024, 26, 'Nessun dato Lab documentato.');
INSERT INTO `lang_definitions` VALUES (96930, 4025, 26, 'Nessun file di log esistente per la data selezionata');
INSERT INTO `lang_definitions` VALUES (96931, 4027, 26, 'Non ci sono masse, sensibilità');
INSERT INTO `lang_definitions` VALUES (96932, 4028, 26, 'Non trovato alcun record Paziente corrispondente al codice di Re Identificazione fornito');
INSERT INTO `lang_definitions` VALUES (96933, 4029, 26, 'Nessuna corrispondenza trovata. Prova a cercare di nuovo.');
INSERT INTO `lang_definitions` VALUES (96934, 4030, 26, 'Nessuna corrispondenza trovata.');
INSERT INTO `lang_definitions` VALUES (96935, 4031, 26, 'Nessuna corrispondenza trovata. Creo il nuovo paziente adesso?');
INSERT INTO `lang_definitions` VALUES (96936, 4032, 26, 'Non ha prodotto risultati');
INSERT INTO `lang_definitions` VALUES (96937, 4033, 26, 'Nessun nuovo risultato trovato');
INSERT INTO `lang_definitions` VALUES (96938, 4034, 26, 'Nessuna nota');
INSERT INTO `lang_definitions` VALUES (96939, 4035, 26, 'Nessuna organomegalia');
INSERT INTO `lang_definitions` VALUES (96940, 4036, 26, 'Non è stata trovata alcuna apertura per questo periodo.');
INSERT INTO `lang_definitions` VALUES (96941, 4037, 26, 'Nessun altro numero di telefono elencato');
INSERT INTO `lang_definitions` VALUES (96942, 4038, 26, 'nessun parametro selezionato');
INSERT INTO `lang_definitions` VALUES (96943, 4039, 26, 'Non trovato alcun partner');
INSERT INTO `lang_definitions` VALUES (96944, 4040, 26, 'Non si è trovato alcun record con i criteri di selezione forniti');
INSERT INTO `lang_definitions` VALUES (96945, 4041, 26, 'Non si è trovato alcun record con il cosice di Re-identificazione fornito');
INSERT INTO `lang_definitions` VALUES (96946, 4042, 26, 'Assenza di edema periferico');
INSERT INTO `lang_definitions` VALUES (96947, 4043, 26, 'Nessuna Farmacia trovata');
INSERT INTO `lang_definitions` VALUES (96948, 4044, 26, 'Nessuna Prescrizione trovata');
INSERT INTO `lang_definitions` VALUES (96949, 4045, 26, 'Non presenta malattie/lesioni');
INSERT INTO `lang_definitions` VALUES (96950, 4046, 26, 'Nessuna immissione precedente.');
INSERT INTO `lang_definitions` VALUES (96951, 4047, 26, 'Nessuna attività principale selezionata nella lista struttura');
INSERT INTO `lang_definitions` VALUES (96952, 4048, 26, 'Nessun incontri precedenti.');
INSERT INTO `lang_definitions` VALUES (96953, 4049, 26, 'Non ci sono procedure in questo incontro.');
INSERT INTO `lang_definitions` VALUES (96954, 4051, 26, 'Nessun fornitore trovato');
INSERT INTO `lang_definitions` VALUES (96955, 4052, 26, 'Non ci sono rash o lesioni anomale');
INSERT INTO `lang_definitions` VALUES (96956, 4053, 26, 'Nessun record trovato');
INSERT INTO `lang_definitions` VALUES (96957, 4055, 26, 'Nessun record trovato. Espandi i criteri di ricerca.');
INSERT INTO `lang_definitions` VALUES (96958, 4056, 26, 'Non ci sono promemoria');
INSERT INTO `lang_definitions` VALUES (96959, 4057, 26, 'Nessun Risltato trovato, per i criteri di ricerca soprastanti.');
INSERT INTO `lang_definitions` VALUES (96960, 4058, 26, 'Nessun Risultato');
INSERT INTO `lang_definitions` VALUES (96961, 4059, 26, 'Nessun risultato trovato');
INSERT INTO `lang_definitions` VALUES (96962, 4060, 26, 'Nessun Risultato trovato con la ricerca');
INSERT INTO `lang_definitions` VALUES (96963, 4061, 26, 'Nessun risultato trovato, riprova.');
INSERT INTO `lang_definitions` VALUES (96964, 4062, 26, 'Nessun risultato, prova di nuovo.');
INSERT INTO `lang_definitions` VALUES (96965, 4063, 26, 'Nessun risultato, prova di nuovo.');
INSERT INTO `lang_definitions` VALUES (96966, 4064, 26, 'Nessun settaggio disponibile per questo modulo');
INSERT INTO `lang_definitions` VALUES (96967, 4065, 26, 'Non mostrare');
INSERT INTO `lang_definitions` VALUES (96968, 4066, 26, 'nessuna firma nel file');
INSERT INTO `lang_definitions` VALUES (96969, 4067, 26, 'Nessuna dolorabilità sinusale:');
INSERT INTO `lang_definitions` VALUES (96970, 4068, 26, 'Non ci sono fossette della pelle o noduli della mammella');
INSERT INTO `lang_definitions` VALUES (96971, 4069, 26, 'NOME DEL CONTESTO SENZA TITOLO');
INSERT INTO `lang_definitions` VALUES (96972, 4070, 26, 'Nessuna tabella selezionata! Seleziona tabella.');
INSERT INTO `lang_definitions` VALUES (96973, 4071, 26, 'Non ci sono dolorabilità testicolari, masse');
INSERT INTO `lang_definitions` VALUES (96974, 4072, 26, 'Non si eccita o non si solleva');
INSERT INTO `lang_definitions` VALUES (96975, 4073, 26, 'Nessuna traccia selezionata');
INSERT INTO `lang_definitions` VALUES (96976, 4074, 26, 'Nessuna traccia è stata documentata.');
INSERT INTO `lang_definitions` VALUES (96977, 4075, 26, 'Nessuna Visita');
INSERT INTO `lang_definitions` VALUES (96978, 4076, 26, 'Non è stato documentato nulla per i Vitali');
INSERT INTO `lang_definitions` VALUES (96979, 4077, 26, 'No, Annulla');
INSERT INTO `lang_definitions` VALUES (96980, 4078, 26, 'No-Guasto Assicurazione primaria in automatico');
INSERT INTO `lang_definitions` VALUES (96981, 4079, 26, 'No:');
INSERT INTO `lang_definitions` VALUES (96982, 4080, 26, 'Nicturia');
INSERT INTO `lang_definitions` VALUES (96983, 4081, 26, 'Non Pagato');
INSERT INTO `lang_definitions` VALUES (96984, 4082, 26, 'Nessun Report segnalato');
INSERT INTO `lang_definitions` VALUES (96985, 4083, 26, 'Lasione non specifica');
INSERT INTO `lang_definitions` VALUES (96986, 4084, 26, 'Non-elettronico');
INSERT INTO `lang_definitions` VALUES (96987, 4085, 26, 'Diabete non isulino dipendente');
INSERT INTO `lang_definitions` VALUES (96988, 4086, 26, 'Non-assicurato');
INSERT INTO `lang_definitions` VALUES (96989, 4087, 26, 'Non-SRH Medical');
INSERT INTO `lang_definitions` VALUES (96990, 4088, 26, 'Non-SRH Non-Medical');
INSERT INTO `lang_definitions` VALUES (96991, 4089, 26, 'Nessuno');
INSERT INTO `lang_definitions` VALUES (96992, 4090, 26, 'nessuno');
INSERT INTO `lang_definitions` VALUES (96993, 4091, 26, 'Niente di definito');
INSERT INTO `lang_definitions` VALUES (96994, 4092, 26, 'Nulla è stato documentato');
INSERT INTO `lang_definitions` VALUES (96995, 4093, 26, 'Nessuno dei soprastanti');
INSERT INTO `lang_definitions` VALUES (96996, 4094, 26, 'Nessuna delle riga di distribuzione superiore può essere completamente vuota.');
INSERT INTO `lang_definitions` VALUES (96997, 4095, 26, 'Diabete non insulino dipendente');
INSERT INTO `lang_definitions` VALUES (96998, 4096, 26, 'Norm.');
INSERT INTO `lang_definitions` VALUES (96999, 4097, 26, 'Normale');
INSERT INTO `lang_definitions` VALUES (97000, 4098, 26, 'Normale BL');
INSERT INTO `lang_definitions` VALUES (97001, 4099, 26, 'Esame Cardico Normale:');
INSERT INTO `lang_definitions` VALUES (97002, 4100, 26, 'Esame Cardico Normale: ');
INSERT INTO `lang_definitions` VALUES (97003, 4101, 26, 'Esame polmonare normale:');
INSERT INTO `lang_definitions` VALUES (97004, 4102, 26, 'Esame polmonare normale: ');
INSERT INTO `lang_definitions` VALUES (97005, 4103, 26, 'Visita in studio normale');
INSERT INTO `lang_definitions` VALUES (97006, 4104, 26, 'Orofaringe normale:');
INSERT INTO `lang_definitions` VALUES (97007, 4105, 26, 'Destro normale');
INSERT INTO `lang_definitions` VALUES (97008, 4106, 26, 'Destro normale:');
INSERT INTO `lang_definitions` VALUES (97009, 4107, 26, 'visualizzazione normale');
INSERT INTO `lang_definitions` VALUES (97010, 4108, 26, 'normale:');
INSERT INTO `lang_definitions` VALUES (97011, 4109, 26, 'Normalmente questo dovrebbe essere controllato. Non legato al controllo degli accessi.');
INSERT INTO `lang_definitions` VALUES (97012, 4110, 26, 'North Ndebele');
INSERT INTO `lang_definitions` VALUES (97013, 4111, 26, 'Northern Sami');
INSERT INTO `lang_definitions` VALUES (97014, 4112, 26, 'Norvegese');
INSERT INTO `lang_definitions` VALUES (97015, 4113, 26, 'Norwegian Bokmål');
INSERT INTO `lang_definitions` VALUES (97016, 4114, 26, 'Norwegian Nynorsk');
INSERT INTO `lang_definitions` VALUES (97017, 4115, 26, 'Naso');
INSERT INTO `lang_definitions` VALUES (97018, 4116, 26, 'Epistassi');
INSERT INTO `lang_definitions` VALUES (97019, 4117, 26, 'non una lettera o numero');
INSERT INTO `lang_definitions` VALUES (97020, 4119, 26, 'Non tutti i campi sono richesti per ogni codice o tipo di codice.');
INSERT INTO `lang_definitions` VALUES (97021, 4120, 26, 'Non Consentito');
INSERT INTO `lang_definitions` VALUES (97022, 4121, 26, 'Non è consentito eliminare il gruppo Amministratori');
INSERT INTO `lang_definitions` VALUES (97023, 4122, 26, 'Non Consentito Modificare');
INSERT INTO `lang_definitions` VALUES (97024, 4123, 26, 'Non è permesso disattivare tutti gli oggetti di protezione');
INSERT INTO `lang_definitions` VALUES (97025, 4124, 26, 'Non è consentito disattivare qualsiasi cosa, da ACL amministratori');
INSERT INTO `lang_definitions` VALUES (97026, 4125, 26, 'Non è consentito rimuovere l\'utente amministratore dal gruppo Administrators');
INSERT INTO `lang_definitions` VALUES (97027, 4126, 26, 'Non è consentito rimuovere questo utente dal gruppo Administrators');
INSERT INTO `lang_definitions` VALUES (97028, 4127, 26, 'Non applicabile');
INSERT INTO `lang_definitions` VALUES (97029, 4128, 26, 'Non autorizzato ad accedere al modulo PostCalendar');
INSERT INTO `lang_definitions` VALUES (97030, 4129, 26, 'Non autorizzato');
INSERT INTO `lang_definitions` VALUES (97031, 4130, 26, 'Non Autorizzato');
INSERT INTO `lang_definitions` VALUES (97032, 4131, 26, 'Non autorizzato per questa squadra!');
INSERT INTO `lang_definitions` VALUES (97033, 4132, 26, 'Non autorizzato per questa squadra.');
INSERT INTO `lang_definitions` VALUES (97034, 4133, 26, 'Non autorizzato a gestire gli utenti!');
INSERT INTO `lang_definitions` VALUES (97035, 4134, 26, 'Non autorizzato a firmare i risultati');
INSERT INTO `lang_definitions` VALUES (97036, 4135, 26, 'Non Disponibile');
INSERT INTO `lang_definitions` VALUES (97037, 4137, 26, 'Non fatturato');
INSERT INTO `lang_definitions` VALUES (97038, 4138, 26, 'Non controllato');
INSERT INTO `lang_definitions` VALUES (97039, 4139, 26, 'Non controllato');
INSERT INTO `lang_definitions` VALUES (97040, 4140, 26, 'Non codificato');
INSERT INTO `lang_definitions` VALUES (97041, 4141, 26, 'Non dovuto');
INSERT INTO `lang_definitions` VALUES (97042, 4143, 26, 'Non Esaminato');
INSERT INTO `lang_definitions` VALUES (97043, 4144, 26, 'Non Esaminato:');
INSERT INTO `lang_definitions` VALUES (97044, 4145, 26, 'Non Esaminato: ');
INSERT INTO `lang_definitions` VALUES (97045, 4146, 26, 'non trovato');
INSERT INTO `lang_definitions` VALUES (97046, 4148, 26, 'non trovato!');
INSERT INTO `lang_definitions` VALUES (97047, 4149, 26, 'Non ispanico o latino');
INSERT INTO `lang_definitions` VALUES (97048, 4150, 26, 'Non installato');
INSERT INTO `lang_definitions` VALUES (97049, 4151, 26, 'Non Installato');
INSERT INTO `lang_definitions` VALUES (97050, 4152, 26, 'Non visto dal');
INSERT INTO `lang_definitions` VALUES (97051, 4153, 26, 'Non inviato');
INSERT INTO `lang_definitions` VALUES (97052, 4154, 26, 'Non ancora inviato');
INSERT INTO `lang_definitions` VALUES (97053, 4155, 26, 'Non Specificato');
INSERT INTO `lang_definitions` VALUES (97054, 4156, 26, 'Non Specificato.');
INSERT INTO `lang_definitions` VALUES (97055, 4157, 26, 'Nota');
INSERT INTO `lang_definitions` VALUES (97056, 4158, 26, 'Codici nota');
INSERT INTO `lang_definitions` VALUES (97057, 4159, 26, 'Nota che dopo aver cliccato Installa saranno necessari 5-10 minuti per completare il processo');
INSERT INTO `lang_definitions` VALUES (97058, 4160, 26, 'Nota che dopo aver cliccato Aggiorna saranno necessari 5-10 minuti per completare il processo');
INSERT INTO `lang_definitions` VALUES (97059, 4161, 26, 'Si noti che la registrazione di controllo deve essere attivato al di sopra');
INSERT INTO `lang_definitions` VALUES (97060, 4162, 26, 'Tipo di Nota');
INSERT INTO `lang_definitions` VALUES (97061, 4163, 26, 'Nota: ore 12.00 è PM, non AM');
INSERT INTO `lang_definitions` VALUES (97062, 4164, 26, 'NOTA: Importazione di dati esterni può richiedere più di un\'ora a seconda della configurazione hardware. Per esempio, una delle tabelle di dati contengono i RxNorm superiore a 6 milioni di righe.');
INSERT INTO `lang_definitions` VALUES (97063, 4165, 26, 'NOTA: Solo la Release Biennale Internazionale rilasciata di SNOMED è attualmente supportata');
INSERT INTO `lang_definitions` VALUES (97064, 4166, 26, 'NOTA: Solo la versione completa RxNorm mensile è attualmente supportata');
INSERT INTO `lang_definitions` VALUES (97065, 4168, 26, 'Nota: Questo codice non è stato inserito da un utente autorizzato. Solo i codici autorizzati possono essere caricati sull\'Open Medical Billing Network per essere processati. Se desideri caricare questi codici, seleziona un utente autorizzato qui.');
INSERT INTO `lang_definitions` VALUES (97066, 4170, 26, 'NOTA: Il caricamento di file con nomi duplicati provoca la ridenominzione automatica (per esempio file.jpg diventerà file.1.jpg). I nomi dei file sono considerati unici per paziente, non per categoria.');
INSERT INTO `lang_definitions` VALUES (97067, 4171, 26, 'NOTA: il caricamento di file con nomi duplicati provoca la ridenominzione automatica. Per esempio \'<i>file.jpg</i>\' diventerà \'<i>file.1.jpg</i>\'. I nomi dei file sono considerati unici per paziente, non per categoria.');
INSERT INTO `lang_definitions` VALUES (97068, 4172, 26, 'Note');
INSERT INTO `lang_definitions` VALUES (97069, 4173, 26, 'Note - qualsiasi incontro (scrittura,aggiungi opzionale)');
INSERT INTO `lang_definitions` VALUES (97070, 4174, 26, 'Note - i miei incontri (scrittura,aggiungi opzionale)');
INSERT INTO `lang_definitions` VALUES (97071, 4175, 26, 'Note non autorizzate');
INSERT INTO `lang_definitions` VALUES (97072, 4176, 26, 'Niente in sospeso da approvare');
INSERT INTO `lang_definitions` VALUES (97073, 4177, 26, 'Nessuna Registrazione');
INSERT INTO `lang_definitions` VALUES (97074, 4179, 26, 'Niente da importare per le Allergie');
INSERT INTO `lang_definitions` VALUES (97075, 4180, 26, 'Niente da importare per le Prescrizioni');
INSERT INTO `lang_definitions` VALUES (97076, 4181, 26, 'Ancora niente da mostrare');
INSERT INTO `lang_definitions` VALUES (97077, 4182, 26, 'Non è stato selezionato nulla');
INSERT INTO `lang_definitions` VALUES (97078, 4183, 26, 'Notizia ricevuta');
INSERT INTO `lang_definitions` VALUES (97079, 4184, 26, 'AVVISO:: PostCalendar Inserimento/Modifica');
INSERT INTO `lang_definitions` VALUES (97080, 4185, 26, 'Notifica');
INSERT INTO `lang_definitions` VALUES (97081, 4186, 26, 'Indirizzo email per notifiche');
INSERT INTO `lang_definitions` VALUES (97082, 4188, 26, 'Notifiche');
INSERT INTO `lang_definitions` VALUES (97083, 4189, 26, 'Notificare l\'amministratore circa l\'Inserimento/Modifica evento?');
INSERT INTO `lang_definitions` VALUES (97084, 4190, 26, 'Nov');
INSERT INTO `lang_definitions` VALUES (97085, 4191, 26, 'Novembre');
INSERT INTO `lang_definitions` VALUES (97086, 4192, 26, 'Sto inviando per:');
INSERT INTO `lang_definitions` VALUES (97087, 4193, 26, 'Sto stampando');
INSERT INTO `lang_definitions` VALUES (97088, 4194, 26, 'Ora stampo $stm_count dichiarazioni e aggiornamenti incontri.');
INSERT INTO `lang_definitions` VALUES (97089, 4195, 26, 'Ora stampo $stm_count dichiarazioni e aggiornamenti fatture.');
INSERT INTO `lang_definitions` VALUES (97090, 4196, 26, 'Ora stampo $stm_count dichiarazioni; gli incontri non verranno aggiornati');
INSERT INTO `lang_definitions` VALUES (97091, 4197, 26, 'Ora stampo $stm_count dichiarazioni; le fatture non verranno aggiornate');
INSERT INTO `lang_definitions` VALUES (97092, 4198, 26, 'NPI');
INSERT INTO `lang_definitions` VALUES (97093, 4199, 26, 'NQF');
INSERT INTO `lang_definitions` VALUES (97094, 4200, 26, 'Numero');
INSERT INTO `lang_definitions` VALUES (97095, 4201, 26, 'Numero di laboratori');
INSERT INTO `lang_definitions` VALUES (97096, 4204, 26, 'Numero di colonne della vista per anno.');
INSERT INTO `lang_definitions` VALUES (97097, 4211, 26, 'Numero di giorni che il certificato client è valido.');
INSERT INTO `lang_definitions` VALUES (97098, 4213, 26, 'Numero di cifre dopo il punto decimale per la moneta, di solito 0 o 2.');
INSERT INTO `lang_definitions` VALUES (97099, 4214, 26, 'Numero di incontri da mostrare per pagina.');
INSERT INTO `lang_definitions` VALUES (97100, 4215, 26, 'Numero di partite o eventi mancante, se alcuno');
INSERT INTO `lang_definitions` VALUES (97101, 4216, 26, 'Numero di ore di anticipo per inviare notifiche email.');
INSERT INTO `lang_definitions` VALUES (97102, 4217, 26, 'Numero di ore di anticipo per inviare notifiche telefoniche.');
INSERT INTO `lang_definitions` VALUES (97103, 4218, 26, 'Numero di ore di anticipo per inviare notifiche SMS.');
INSERT INTO `lang_definitions` VALUES (97104, 4221, 26, 'Numero di colonne per la cronologia');
INSERT INTO `lang_definitions` VALUES (97105, 4222, 26, 'Numero di pazienti da visualizzare per pagina nella lista pazienti');
INSERT INTO `lang_definitions` VALUES (97106, 4223, 26, 'Torpore');
INSERT INTO `lang_definitions` VALUES (97107, 4224, 26, 'Numeratore');
INSERT INTO `lang_definitions` VALUES (97108, 4225, 26, 'Ordine di visualizzazione numerico');
INSERT INTO `lang_definitions` VALUES (97109, 4226, 26, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (97110, 4227, 26, 'Nutrizione');
INSERT INTO `lang_definitions` VALUES (97111, 4228, 26, 'Nutritivo');
INSERT INTO `lang_definitions` VALUES (97112, 4229, 26, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (97113, 4230, 26, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (97114, 4231, 26, 'Obesità I');
INSERT INTO `lang_definitions` VALUES (97115, 4232, 26, 'Obesità II');
INSERT INTO `lang_definitions` VALUES (97116, 4233, 26, 'Obesità III');
INSERT INTO `lang_definitions` VALUES (97117, 4234, 26, 'Obiettivo');
INSERT INTO `lang_definitions` VALUES (97118, 4236, 26, 'Occitan');
INSERT INTO `lang_definitions` VALUES (97119, 4237, 26, 'Occupazione');
INSERT INTO `lang_definitions` VALUES (97120, 4239, 26, 'Evento');
INSERT INTO `lang_definitions` VALUES (97121, 4240, 26, 'Ott');
INSERT INTO `lang_definitions` VALUES (97122, 4241, 26, 'Ottobre');
INSERT INTO `lang_definitions` VALUES (97123, 4242, 26, 'OD');
INSERT INTO `lang_definitions` VALUES (97124, 4243, 26, 'di');
INSERT INTO `lang_definitions` VALUES (97125, 4244, 26, 'di quantità');
INSERT INTO `lang_definitions` VALUES (97126, 4245, 26, 'di compresse');
INSERT INTO `lang_definitions` VALUES (97127, 4246, 26, 'del mese ogni');
INSERT INTO `lang_definitions` VALUES (97128, 4247, 26, 'Note Ofc');
INSERT INTO `lang_definitions` VALUES (97129, 4248, 26, 'Spento');
INSERT INTO `lang_definitions` VALUES (97130, 4249, 26, 'Note in studio');
INSERT INTO `lang_definitions` VALUES (97131, 4250, 26, 'Visita in studio');
INSERT INTO `lang_definitions` VALUES (97132, 4251, 26, 'Grppi Misure (CQM) Misure della qualità clinica Ufficiale');
INSERT INTO `lang_definitions` VALUES (97133, 4252, 26, 'Link https del Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (97134, 4253, 26, 'Link https del Portale Paziente offsite(Link paziente)');
INSERT INTO `lang_definitions` VALUES (97135, 4254, 26, 'Password del Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (97136, 4255, 26, 'Password del Portale Paziente offsite (lascia in bianco se non registrato)');
INSERT INTO `lang_definitions` VALUES (97137, 4256, 26, 'ID del Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (97138, 4257, 26, 'ID del Portale Paziente offsite (lascia in bianco se non registrato)');
INSERT INTO `lang_definitions` VALUES (97139, 4258, 26, 'Indirizzo del sito Portale Paziente offsite');
INSERT INTO `lang_definitions` VALUES (97140, 4259, 26, 'Indirizzo del sito Portale Paziente offsite(Link paziente)');
INSERT INTO `lang_definitions` VALUES (97141, 4260, 26, 'Nome utente del Portale Paziente');
INSERT INTO `lang_definitions` VALUES (97142, 4261, 26, 'Nome utente del Portale Paziente (lascia in bianco se non registrato)');
INSERT INTO `lang_definitions` VALUES (97143, 4262, 26, 'Offsite Portal web Service Failed');
INSERT INTO `lang_definitions` VALUES (97144, 4263, 26, 'Progenie');
INSERT INTO `lang_definitions` VALUES (97145, 4264, 26, 'Storia della progenie');
INSERT INTO `lang_definitions` VALUES (97146, 4265, 26, 'pomata');
INSERT INTO `lang_definitions` VALUES (97147, 4266, 26, 'Ojibwe, Ojibwa');
INSERT INTO `lang_definitions` VALUES (97148, 4267, 26, 'OK');
INSERT INTO `lang_definitions` VALUES (97149, 4268, 26, 'OK per chiudere queste altre finestre?');
INSERT INTO `lang_definitions` VALUES (97150, 4269, 26, 'OK per collegare il problema del GCAC');
INSERT INTO `lang_definitions` VALUES (97151, 4270, 26, 'Vecchio');
INSERT INTO `lang_definitions` VALUES (97152, 4271, 26, 'Old Church Slavonic, Church Slavonic, Old Bulgarian');
INSERT INTO `lang_definitions` VALUES (97153, 4272, 26, 'Vecchi Clienti');
INSERT INTO `lang_definitions` VALUES (97154, 4273, 26, 'Nessuna vecchia frattura/malconsolidamento');
INSERT INTO `lang_definitions` VALUES (97155, 4274, 26, 'Layout vecchia maniera senza menu a sinistra');
INSERT INTO `lang_definitions` VALUES (97156, 4275, 26, 'Modulo statico vecchia maniera senza ricerca o controllo duplicati');
INSERT INTO `lang_definitions` VALUES (97157, 4276, 26, 'Vecchio');
INSERT INTO `lang_definitions` VALUES (97158, 4277, 26, 'Ometti');
INSERT INTO `lang_definitions` VALUES (97159, 4278, 26, 'Ometti circonferenza');
INSERT INTO `lang_definitions` VALUES (97160, 4279, 26, 'Ometti informazione datore di lavoro nella demografica pazienti');
INSERT INTO `lang_definitions` VALUES (97161, 4280, 26, 'Ometti datori di lavoro');
INSERT INTO `lang_definitions` VALUES (97162, 4281, 26, 'Ometti il modulo, via e intervallo che diventano parte del dosaggio');
INSERT INTO `lang_definitions` VALUES (97163, 4282, 26, 'Ometti assicurazione e alcune altre cose dal modulo democrafica');
INSERT INTO `lang_definitions` VALUES (97164, 4283, 26, 'Omettere gli utenti interni?');
INSERT INTO `lang_definitions` VALUES (97165, 4284, 26, 'Ometti il metodo di pagamento dal pannello co-pagamento');
INSERT INTO `lang_definitions` VALUES (97166, 4285, 26, 'omettere di auto assegnare');
INSERT INTO `lang_definitions` VALUES (97167, 4286, 26, 'acceso');
INSERT INTO `lang_definitions` VALUES (97168, 4287, 26, 'Acceso');
INSERT INTO `lang_definitions` VALUES (97169, 4288, 26, 'Alla mano');
INSERT INTO `lang_definitions` VALUES (97170, 4289, 26, 'Su ordinazione');
INSERT INTO `lang_definitions` VALUES (97171, 4290, 26, 'Sul posto');
INSERT INTO `lang_definitions` VALUES (97172, 4291, 26, 'Una volta che lo strumento Attività principale è impostato, non dovrebbe essere modificato. Modifica della struttura influenzerà il funzionamento in NewCrop sulle ricette mediche elettroniche.');
INSERT INTO `lang_definitions` VALUES (97173, 4292, 26, 'Dopo aver cambiato la password dovrai effettuare nuovamente l\'ingresso.');
INSERT INTO `lang_definitions` VALUES (97174, 4297, 26, 'Supporto online');
INSERT INTO `lang_definitions` VALUES (97175, 4298, 26, 'Collegamento al supporto online');
INSERT INTO `lang_definitions` VALUES (97176, 4299, 26, 'Solo Attivi');
INSERT INTO `lang_definitions` VALUES (97177, 4300, 26, 'Applicabile solo se il provider o lista fascicolata è stato scelto sopra. PRIMARIA seleziona solo i pazienti che il provider è il fornitore primario. INCONTRO seleziona tutti i pazienti che il provider ha visto.');
INSERT INTO `lang_definitions` VALUES (97178, 4302, 26, 'solo se luogo di fatturazione');
INSERT INTO `lang_definitions` VALUES (97179, 4303, 26, 'Solo Inattivi');
INSERT INTO `lang_definitions` VALUES (97180, 4304, 26, 'Solo i propri');
INSERT INTO `lang_definitions` VALUES (97181, 4305, 26, 'Visualizza solo i codici di segnalazione di diagnosi');
INSERT INTO `lang_definitions` VALUES (97182, 4306, 26, 'Visualizza solo codice servizio di Reporting Finanza codicificati');
INSERT INTO `lang_definitions` VALUES (97183, 4307, 26, 'Caricare solo prescrizioni attive');
INSERT INTO `lang_definitions` VALUES (97184, 4309, 26, 'Insorgenza di sintomi attuali o Malattia');
INSERT INTO `lang_definitions` VALUES (97185, 4310, 26, 'Insorgenza della malattia:');
INSERT INTO `lang_definitions` VALUES (97186, 4311, 26, 'Insorgenza della malattia: ');
INSERT INTO `lang_definitions` VALUES (97187, 4312, 26, 'Insorgenza di Gonfiore:');
INSERT INTO `lang_definitions` VALUES (97188, 4313, 26, 'Data arrivo in ospedale:');
INSERT INTO `lang_definitions` VALUES (97189, 4314, 26, 'Indirizzo del sito del Portale Paziente onsite');
INSERT INTO `lang_definitions` VALUES (97190, 4315, 26, 'Oops!');
INSERT INTO `lang_definitions` VALUES (97191, 4316, 26, 'Aperto');
INSERT INTO `lang_definitions` VALUES (97192, 4318, 26, 'Apri in una nuova finestra');
INSERT INTO `lang_definitions` VALUES (97193, 4319, 26, 'Apri paziente');
INSERT INTO `lang_definitions` VALUES (97194, 4321, 26, 'Apri la visita di oggi');
INSERT INTO `lang_definitions` VALUES (97195, 4322, 26, 'LibreEHR ha già configurato il Certificate Authority.');
INSERT INTO `lang_definitions` VALUES (97196, 4323, 26, 'LibreEHR Categoria Applicazione');
INSERT INTO `lang_definitions` VALUES (97197, 4324, 26, 'Aggiornamento Database di LibreEHR');
INSERT INTO `lang_definitions` VALUES (97198, 4325, 26, 'Aggiornamento Database di LibreEHR per la de-identificazione');
INSERT INTO `lang_definitions` VALUES (97199, 4326, 26, 'LibreEHR non riconosce il file in ingresso nella directory contrib. Questo è più probabile perché è necessario configurare la release nella tabella supported_external_dataloads nel database MySQL.');
INSERT INTO `lang_definitions` VALUES (97200, 4327, 26, 'LibreEHR deve essere configurato per usare i certificati prima che si possano creare i certificati client.');
INSERT INTO `lang_definitions` VALUES (97201, 4328, 26, 'LibreEHR richiede Javascript per attuare l\'autenticazione dell\'utente.');
INSERT INTO `lang_definitions` VALUES (97202, 4329, 26, 'Utenti LibreEHR');
INSERT INTO `lang_definitions` VALUES (97203, 4330, 26, 'Aperture');
INSERT INTO `lang_definitions` VALUES (97204, 4332, 26, 'Oftalmico');
INSERT INTO `lang_definitions` VALUES (97205, 4333, 26, 'Opzione');
INSERT INTO `lang_definitions` VALUES (97206, 4334, 26, 'Opzione per salvare metodo di archiviazione dei documenti.');
INSERT INTO `lang_definitions` VALUES (97207, 4335, 26, 'Opzioni di supporto alla giacenza e vendita di prodotti');
INSERT INTO `lang_definitions` VALUES (97208, 4336, 26, 'Opzionale');
INSERT INTO `lang_definitions` VALUES (97209, 4337, 26, 'Nome di categoria facoltativo per una immagine della ID Card visibile dalla pagina riassunto paziente.');
INSERT INTO `lang_definitions` VALUES (97210, 4338, 26, 'Nome di categoria facoltativo per le foto visibili dalla pagina riassunto paziente.');
INSERT INTO `lang_definitions` VALUES (97211, 4339, 26, 'Nome di categoria facoltativo di un documento collegato dalla pagina riassunto paziente. Consente di vedere le loro ID Card cliccando sul nome del paziente');
INSERT INTO `lang_definitions` VALUES (97212, 4340, 26, 'Intervallo facoltativo di default per immissione manuale dei risultati');
INSERT INTO `lang_definitions` VALUES (97213, 4341, 26, 'Unità facoltativa di default per immissione manuale dei risultati');
INSERT INTO `lang_definitions` VALUES (97214, 4342, 26, 'Nome destinazione opzionale');
INSERT INTO `lang_definitions` VALUES (97215, 4343, 26, 'Nome farmaco opzionale, usare % come carattere jolly');
INSERT INTO `lang_definitions` VALUES (97216, 4344, 26, 'Nome o codice immunizzazione opzionale, usare % come jolly');
INSERT INTO `lang_definitions` VALUES (97217, 4345, 26, 'Informazioni opzionali circa questo evento');
INSERT INTO `lang_definitions` VALUES (97218, 4346, 26, 'Numero lotto opzionale, usare % come carattere jolly');
INSERT INTO `lang_definitions` VALUES (97219, 4347, 26, 'ID numerico paziente, opzionale');
INSERT INTO `lang_definitions` VALUES (97220, 4348, 26, 'Codice procedura opzionale');
INSERT INTO `lang_definitions` VALUES (97221, 4349, 26, 'Procedura opzionale/codice servizio');
INSERT INTO `lang_definitions` VALUES (97222, 4350, 26, 'Opzioni');
INSERT INTO `lang_definitions` VALUES (97223, 4351, 26, 'O');
INSERT INTO `lang_definitions` VALUES (97224, 4352, 26, 'O');
INSERT INTO `lang_definitions` VALUES (97225, 4353, 26, 'o scegli');
INSERT INTO `lang_definitions` VALUES (97226, 4354, 26, 'o clicca e trascina per una selezione più veloce.');
INSERT INTO `lang_definitions` VALUES (97227, 4356, 26, 'o fuori per');
INSERT INTO `lang_definitions` VALUES (97228, 4357, 26, 'oppure seleziona dall\'inventario');
INSERT INTO `lang_definitions` VALUES (97229, 4358, 26, 'o Maiuscolo-click per diminuire');
INSERT INTO `lang_definitions` VALUES (97230, 4359, 26, 'O carica il file ERA:');
INSERT INTO `lang_definitions` VALUES (97231, 4360, 26, 'Orale');
INSERT INTO `lang_definitions` VALUES (97232, 4361, 26, 'Mucosa orale rosa, gola chiara');
INSERT INTO `lang_definitions` VALUES (97233, 4362, 26, 'Ordine');
INSERT INTO `lang_definitions` VALUES (97234, 4363, 26, 'Tipi di ordine e risultati');
INSERT INTO `lang_definitions` VALUES (97235, 4364, 26, 'Catalogo ordine');
INSERT INTO `lang_definitions` VALUES (97236, 4365, 26, 'Data dell\'Ordine');
INSERT INTO `lang_definitions` VALUES (97237, 4366, 26, 'Descrizione ordine');
INSERT INTO `lang_definitions` VALUES (97238, 4367, 26, 'Modulo Ordine');
INSERT INTO `lang_definitions` VALUES (97239, 4368, 26, 'ID Ordine');
INSERT INTO `lang_definitions` VALUES (97240, 4369, 26, 'Ordine deve essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (97241, 4370, 26, 'Nome dell\'Ordine');
INSERT INTO `lang_definitions` VALUES (97242, 4371, 26, 'Priorità dell\'Ordine');
INSERT INTO `lang_definitions` VALUES (97243, 4372, 26, 'Processore ordine');
INSERT INTO `lang_definitions` VALUES (97244, 4373, 26, 'Risultati ordine');
INSERT INTO `lang_definitions` VALUES (97245, 4374, 26, 'Stato Ordine');
INSERT INTO `lang_definitions` VALUES (97246, 4375, 26, 'Stati Ordine');
INSERT INTO `lang_definitions` VALUES (97247, 4376, 26, 'Sommario Ordine');
INSERT INTO `lang_definitions` VALUES (97248, 4377, 26, 'Tracce ordine');
INSERT INTO `lang_definitions` VALUES (97249, 4378, 26, 'Tipo di Ordine');
INSERT INTO `lang_definitions` VALUES (97250, 4380, 26, 'Tipo di Ordine/Risultato');
INSERT INTO `lang_definitions` VALUES (97251, 4381, 26, 'Ordinato');
INSERT INTO `lang_definitions` VALUES (97252, 4382, 26, 'Ordinato da');
INSERT INTO `lang_definitions` VALUES (97253, 4383, 26, 'Procedura Ordine');
INSERT INTO `lang_definitions` VALUES (97254, 4384, 26, 'Fornitore ordinazione');
INSERT INTO `lang_definitions` VALUES (97255, 4385, 26, 'Percorso Ordine');
INSERT INTO `lang_definitions` VALUES (97256, 4386, 26, 'Lesione all\'organo');
INSERT INTO `lang_definitions` VALUES (97257, 4387, 26, 'Organizzazione');
INSERT INTO `lang_definitions` VALUES (97258, 4388, 26, 'Nome Organizzazione');
INSERT INTO `lang_definitions` VALUES (97259, 4389, 26, 'Nome dell\'unità organizzativa');
INSERT INTO `lang_definitions` VALUES (97260, 4390, 26, 'Organizzazioni');
INSERT INTO `lang_definitions` VALUES (97261, 4391, 26, 'Orientato x 3');
INSERT INTO `lang_definitions` VALUES (97262, 4392, 26, 'Originale');
INSERT INTO `lang_definitions` VALUES (97263, 4393, 26, 'Checksum originale');
INSERT INTO `lang_definitions` VALUES (97264, 4394, 26, 'Oriya');
INSERT INTO `lang_definitions` VALUES (97265, 4395, 26, 'Oromo');
INSERT INTO `lang_definitions` VALUES (97266, 4396, 26, 'OROFARINGE: ');
INSERT INTO `lang_definitions` VALUES (97267, 4397, 26, 'Ortopnea');
INSERT INTO `lang_definitions` VALUES (97268, 4398, 26, 'OS');
INSERT INTO `lang_definitions` VALUES (97269, 4399, 26, 'Osteoartrite');
INSERT INTO `lang_definitions` VALUES (97270, 4400, 26, 'Ossetian, Ossetic');
INSERT INTO `lang_definitions` VALUES (97271, 4401, 26, 'Osteopatia');
INSERT INTO `lang_definitions` VALUES (97272, 4402, 26, 'Altro');
INSERT INTO `lang_definitions` VALUES (97273, 4403, 26, 'altro');
INSERT INTO `lang_definitions` VALUES (97274, 4404, 26, 'Altro (specificare)');
INSERT INTO `lang_definitions` VALUES (97275, 4405, 26, 'Altro - Specificato');
INSERT INTO `lang_definitions` VALUES (97276, 4406, 26, 'Altro programma federale');
INSERT INTO `lang_definitions` VALUES (97277, 4407, 26, 'Altro HCFA');
INSERT INTO `lang_definitions` VALUES (97278, 4408, 26, 'Altra lesione non altrimenti specificata');
INSERT INTO `lang_definitions` VALUES (97279, 4409, 26, 'Altra responsabilità civile è primaria');
INSERT INTO `lang_definitions` VALUES (97280, 4410, 26, 'altro mese');
INSERT INTO `lang_definitions` VALUES (97281, 4411, 26, 'Altro programma non federale');
INSERT INTO `lang_definitions` VALUES (97282, 4412, 26, 'Altre Note');
INSERT INTO `lang_definitions` VALUES (97283, 4413, 26, 'Altri Sintomi Pertinenti');
INSERT INTO `lang_definitions` VALUES (97284, 4414, 26, 'Altri Sintomi Pertinenti:');
INSERT INTO `lang_definitions` VALUES (97285, 4415, 26, 'Altre risp pz');
INSERT INTO `lang_definitions` VALUES (97286, 4416, 26, 'Altro stress/sopra le lesioni');
INSERT INTO `lang_definitions` VALUES (97287, 4417, 26, 'Altro intervento');
INSERT INTO `lang_definitions` VALUES (97288, 4418, 26, 'Altro/Aborto correlato generico');
INSERT INTO `lang_definitions` VALUES (97289, 4420, 26, 'Altri');
INSERT INTO `lang_definitions` VALUES (97290, 4421, 26, 'altrimenti distruggerai i riferimenti a/da altri dati esistenti');
INSERT INTO `lang_definitions` VALUES (97291, 4422, 26, 'Regole caviglie di Ottawa');
INSERT INTO `lang_definitions` VALUES (97292, 4423, 26, 'OU');
INSERT INTO `lang_definitions` VALUES (97293, 4424, 26, 'FUORI ufficio');
INSERT INTO `lang_definitions` VALUES (97294, 4425, 26, 'Fuori ufficio');
INSERT INTO `lang_definitions` VALUES (97295, 4426, 26, 'Competenza in uscita');
INSERT INTO `lang_definitions` VALUES (97296, 4427, 26, 'Esito');
INSERT INTO `lang_definitions` VALUES (97297, 4428, 26, 'Outlook');
INSERT INTO `lang_definitions` VALUES (97298, 4429, 26, 'Tipo di uscita');
INSERT INTO `lang_definitions` VALUES (97299, 4430, 26, 'Stato generale di dimissione');
INSERT INTO `lang_definitions` VALUES (97300, 4431, 26, 'IN RITARDO');
INSERT INTO `lang_definitions` VALUES (97301, 4432, 26, 'Abuso');
INSERT INTO `lang_definitions` VALUES (97302, 4433, 26, 'Panoramica');
INSERT INTO `lang_definitions` VALUES (97303, 4434, 26, 'Sovrappeso');
INSERT INTO `lang_definitions` VALUES (97304, 4435, 26, 'Sovrascrivi scelta HIPAA');
INSERT INTO `lang_definitions` VALUES (97305, 4437, 26, 'Saturazione Ossigeno');
INSERT INTO `lang_definitions` VALUES (97306, 4438, 26, 'oz');
INSERT INTO `lang_definitions` VALUES (97307, 4439, 26, 'P');
INSERT INTO `lang_definitions` VALUES (97308, 4440, 26, 'p.c.');
INSERT INTO `lang_definitions` VALUES (97309, 4441, 26, 'p.m.');
INSERT INTO `lang_definitions` VALUES (97310, 4442, 26, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (97311, 4443, 26, 'Delle Isole del Pacifico');
INSERT INTO `lang_definitions` VALUES (97312, 4444, 26, 'Pediatrico');
INSERT INTO `lang_definitions` VALUES (97313, 4445, 26, 'Pagina');
INSERT INTO `lang_definitions` VALUES (97314, 4446, 26, 'Pagine');
INSERT INTO `lang_definitions` VALUES (97315, 4447, 26, 'Pagato');
INSERT INTO `lang_definitions` VALUES (97316, 4448, 26, 'Importo pagato che allocherai');
INSERT INTO `lang_definitions` VALUES (97317, 4449, 26, 'Ammontare pagato');
INSERT INTO `lang_definitions` VALUES (97318, 4450, 26, 'Pagato Via');
INSERT INTO `lang_definitions` VALUES (97319, 4451, 26, 'Dolore');
INSERT INTO `lang_definitions` VALUES (97320, 4453, 26, 'Palpitazione');
INSERT INTO `lang_definitions` VALUES (97321, 4454, 26, 'Panjabi, Punjabi');
INSERT INTO `lang_definitions` VALUES (97322, 4455, 26, 'Pap-Test');
INSERT INTO `lang_definitions` VALUES (97323, 4456, 26, 'Carta');
INSERT INTO `lang_definitions` VALUES (97324, 4457, 26, 'Dimesione carta');
INSERT INTO `lang_definitions` VALUES (97325, 4458, 26, 'Paralisi');
INSERT INTO `lang_definitions` VALUES (97326, 4459, 26, 'Genitore');
INSERT INTO `lang_definitions` VALUES (97327, 4461, 26, 'Analizzare HL7');
INSERT INTO `lang_definitions` VALUES (97328, 4463, 26, 'Partner');
INSERT INTO `lang_definitions` VALUES (97329, 4464, 26, 'Nome del partner');
INSERT INTO `lang_definitions` VALUES (97330, 4466, 26, 'Pashto, Pushto');
INSERT INTO `lang_definitions` VALUES (97331, 4467, 26, 'Frase chiave');
INSERT INTO `lang_definitions` VALUES (97332, 4468, 26, 'Frase chiave per decrittare il documento');
INSERT INTO `lang_definitions` VALUES (97333, 4469, 26, 'Pazienti pregressi');
INSERT INTO `lang_definitions` VALUES (97334, 4470, 26, 'Allarme passivo');
INSERT INTO `lang_definitions` VALUES (97335, 4471, 26, 'Regole di allarme passivo');
INSERT INTO `lang_definitions` VALUES (97336, 4472, 26, 'Password');
INSERT INTO `lang_definitions` VALUES (97337, 4473, 26, 'Modifica Password');
INSERT INTO `lang_definitions` VALUES (97338, 4474, 26, 'Password modificata con successo');
INSERT INTO `lang_definitions` VALUES (97339, 4475, 26, 'Password modificata con successo.');
INSERT INTO `lang_definitions` VALUES (97340, 4476, 26, 'La Password non soddisfa i requisiti minimi e deve contenere almeno tre dei quattro elementi seguenti: un numero, una lettera minuscola, una lettera maiuscola, un carattere speciale (non una lettera o un numero).');
INSERT INTO `lang_definitions` VALUES (97341, 4477, 26, 'Periodo di grazia dalla scadenza della password');
INSERT INTO `lang_definitions` VALUES (97342, 4479, 26, 'Password per Gateway Phone. Servizio Automatizzato VOIP fornito da Maviq. Si prega di visitare http://signup.maviq.com per ulteriori informazioni.');
INSERT INTO `lang_definitions` VALUES (97343, 4480, 26, 'Password per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (97344, 4481, 26, 'Password per il Gateway SMS.');
INSERT INTO `lang_definitions` VALUES (97345, 4482, 26, 'Password dell\'utente sopra');
INSERT INTO `lang_definitions` VALUES (97346, 4483, 26, 'La sicurezza delle password è stata recentemente aggiornata');
INSERT INTO `lang_definitions` VALUES (97347, 4484, 26, 'Password per connettersi al CouchDB');
INSERT INTO `lang_definitions` VALUES (97348, 4485, 26, 'Password troppo corta. Minimo 8 caratteri richiesti.');
INSERT INTO `lang_definitions` VALUES (97349, 4486, 26, 'Password:');
INSERT INTO `lang_definitions` VALUES (97350, 4487, 26, 'La Password non coincide!');
INSERT INTO `lang_definitions` VALUES (97351, 4488, 26, 'Appuntamenti scaduti');
INSERT INTO `lang_definitions` VALUES (97352, 4489, 26, 'Mostra Widget appuntamenti scaduti');
INSERT INTO `lang_definitions` VALUES (97353, 4490, 26, 'Scaduti');
INSERT INTO `lang_definitions` VALUES (97354, 4491, 26, 'Scaduti');
INSERT INTO `lang_definitions` VALUES (97355, 4492, 26, 'Intervallo scaduto(Promemoria clinici)');
INSERT INTO `lang_definitions` VALUES (97356, 4493, 26, 'Intervallo scaduto(Promemoria pazienti)');
INSERT INTO `lang_definitions` VALUES (97357, 4494, 26, 'Elenco incontri precedenti');
INSERT INTO `lang_definitions` VALUES (97358, 4495, 26, 'Incontri precedenti');
INSERT INTO `lang_definitions` VALUES (97359, 4496, 26, 'Incontri e Documenti precedenti');
INSERT INTO `lang_definitions` VALUES (97360, 4497, 26, 'Incontri precedenti per');
INSERT INTO `lang_definitions` VALUES (97361, 4498, 26, 'Incolla dati HL7');
INSERT INTO `lang_definitions` VALUES (97362, 4499, 26, 'Incolla i dati da importare nell\'area sottostante:');
INSERT INTO `lang_definitions` VALUES (97363, 4500, 26, 'Pat');
INSERT INTO `lang_definitions` VALUES (97364, 4502, 26, 'Patch');
INSERT INTO `lang_definitions` VALUES (97365, 4508, 26, 'Path for Event Log Backup');
INSERT INTO `lang_definitions` VALUES (97366, 4509, 26, 'Path to CA Certificate File');
INSERT INTO `lang_definitions` VALUES (97367, 4510, 26, 'Path to CA Key File');
INSERT INTO `lang_definitions` VALUES (97368, 4511, 26, 'Path to MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (97369, 4512, 26, 'Path to Perl Binaries');
INSERT INTO `lang_definitions` VALUES (97370, 4513, 26, 'Path to Temporary Files');
INSERT INTO `lang_definitions` VALUES (97371, 4514, 26, 'Paziente');
INSERT INTO `lang_definitions` VALUES (97372, 4515, 26, 'paziente');
INSERT INTO `lang_definitions` VALUES (97373, 4516, 26, 'PAZIENTE');
INSERT INTO `lang_definitions` VALUES (97374, 4517, 26, 'Indirizzo Paziente');
INSERT INTO `lang_definitions` VALUES (97375, 4518, 26, 'L\'indirizzo del paziente è mancante');
INSERT INTO `lang_definitions` VALUES (97376, 4521, 26, 'Allergie del paziente');
INSERT INTO `lang_definitions` VALUES (97377, 4522, 26, 'Allergie del Paziente');
INSERT INTO `lang_definitions` VALUES (97378, 4523, 26, 'Appuntamento del Paziente');
INSERT INTO `lang_definitions` VALUES (97379, 4524, 26, 'Bilancio del paziente');
INSERT INTO `lang_definitions` VALUES (97380, 4525, 26, 'Paziente Saldo dovuto');
INSERT INTO `lang_definitions` VALUES (97381, 4528, 26, 'ID Tabulato Paziente');
INSERT INTO `lang_definitions` VALUES (97382, 4529, 26, 'Checkout paziente');
INSERT INTO `lang_definitions` VALUES (97383, 4530, 26, 'Checkout paziente ');
INSERT INTO `lang_definitions` VALUES (97384, 4531, 26, 'Città del Paziente');
INSERT INTO `lang_definitions` VALUES (97385, 4532, 26, 'Manca la città del paziente');
INSERT INTO `lang_definitions` VALUES (97386, 4533, 26, 'Comunicazione al Paziente inviata');
INSERT INTO `lang_definitions` VALUES (97387, 4534, 26, 'Comunicazione al Paziente Inviata');
INSERT INTO `lang_definitions` VALUES (97388, 4535, 26, 'Nazione del Paziente');
INSERT INTO `lang_definitions` VALUES (97389, 4536, 26, 'Manca il Paese del paziente. Inoltre non è stato settato di default il Paese del paziente nei settaggi globali');
INSERT INTO `lang_definitions` VALUES (97390, 4537, 26, 'Copertura paziente');
INSERT INTO `lang_definitions` VALUES (97391, 4539, 26, 'Dati del Paziente');
INSERT INTO `lang_definitions` VALUES (97392, 4541, 26, 'Manca la data di nascita del paziente');
INSERT INTO `lang_definitions` VALUES (97393, 4542, 26, 'Dettagli del Paziente');
INSERT INTO `lang_definitions` VALUES (97394, 4543, 26, 'Nasc. Paziente');
INSERT INTO `lang_definitions` VALUES (97395, 4544, 26, 'Documento del Paziente');
INSERT INTO `lang_definitions` VALUES (97396, 4545, 26, 'Educazione del Paziente');
INSERT INTO `lang_definitions` VALUES (97397, 4546, 26, 'Materiali per l\'Educazione del Paziente');
INSERT INTO `lang_definitions` VALUES (97398, 4547, 26, 'Incontro Paziente');
INSERT INTO `lang_definitions` VALUES (97399, 4548, 26, 'Modulo incontro Paziente');
INSERT INTO `lang_definitions` VALUES (97400, 4549, 26, 'Incontri Paziente');
INSERT INTO `lang_definitions` VALUES (97401, 4550, 26, 'Trova Paziente');
INSERT INTO `lang_definitions` VALUES (97402, 4551, 26, 'Nome del Paziente');
INSERT INTO `lang_definitions` VALUES (97403, 4553, 26, 'Manca il nome del paziente');
INSERT INTO `lang_definitions` VALUES (97404, 4558, 26, 'Sesso del Paziente');
INSERT INTO `lang_definitions` VALUES (97405, 4559, 26, 'Manca il sesso del paziente');
INSERT INTO `lang_definitions` VALUES (97406, 4560, 26, 'Il Paziente non ha autorizzato il Portale paziente');
INSERT INTO `lang_definitions` VALUES (97407, 4561, 26, 'Storico del Paziente');
INSERT INTO `lang_definitions` VALUES (97408, 4562, 26, 'Storico / Stile di vita del Paziente');
INSERT INTO `lang_definitions` VALUES (97409, 4563, 26, 'Telefono Casa Paziente');
INSERT INTO `lang_definitions` VALUES (97410, 4564, 26, 'ID Paziente');
INSERT INTO `lang_definitions` VALUES (97411, 4565, 26, 'Id paziente');
INSERT INTO `lang_definitions` VALUES (97412, 4566, 26, 'ID carta Paziente');
INSERT INTO `lang_definitions` VALUES (97413, 4567, 26, 'ID nome categoria Paziente');
INSERT INTO `lang_definitions` VALUES (97414, 4568, 26, 'Immunizzazione Paziente');
INSERT INTO `lang_definitions` VALUES (97415, 4569, 26, 'Informazione del Paziente');
INSERT INTO `lang_definitions` VALUES (97416, 4570, 26, 'Instruzioni del Paziente');
INSERT INTO `lang_definitions` VALUES (97417, 4571, 26, 'Distribuzione assicurativa paziente');
INSERT INTO `lang_definitions` VALUES (97418, 4572, 26, 'Report distribuzione assicurativa del paziente');
INSERT INTO `lang_definitions` VALUES (97419, 4573, 26, 'Tematiche Paziente');
INSERT INTO `lang_definitions` VALUES (97420, 4574, 26, 'Tipo di etichetta per il paziente');
INSERT INTO `lang_definitions` VALUES (97421, 4575, 26, 'Cognome del Paziente');
INSERT INTO `lang_definitions` VALUES (97422, 4577, 26, 'Manca il cognome del paziente');
INSERT INTO `lang_definitions` VALUES (97423, 4581, 26, 'Elenco dei Pazienti');
INSERT INTO `lang_definitions` VALUES (97424, 4582, 26, 'Lista colonne paziente');
INSERT INTO `lang_definitions` VALUES (97425, 4584, 26, 'Lista nuova finestra paziente');
INSERT INTO `lang_definitions` VALUES (97426, 4585, 26, 'Lista dimensione pagina paziente');
INSERT INTO `lang_definitions` VALUES (97427, 4586, 26, 'Revisione errori Paziente');
INSERT INTO `lang_definitions` VALUES (97428, 4587, 26, 'Problemi Medici del Paziente');
INSERT INTO `lang_definitions` VALUES (97429, 4588, 26, 'Medicazioni del Paziente');
INSERT INTO `lang_definitions` VALUES (97430, 4589, 26, 'Nome del Paziente');
INSERT INTO `lang_definitions` VALUES (97431, 4590, 26, 'Nome e Indirizzo del Paziente');
INSERT INTO `lang_definitions` VALUES (97432, 4593, 26, 'Nome del Paziente Richiesto');
INSERT INTO `lang_definitions` VALUES (97433, 4595, 26, 'Nota del Paziente');
INSERT INTO `lang_definitions` VALUES (97434, 4596, 26, 'Tipi di Nota del Paziente');
INSERT INTO `lang_definitions` VALUES (97435, 4597, 26, 'Note del Paziente');
INSERT INTO `lang_definitions` VALUES (97436, 4598, 26, 'Note Paziente (scrittura,aggiungi opzionale)');
INSERT INTO `lang_definitions` VALUES (97437, 4599, 26, 'Numero del Paziente');
INSERT INTO `lang_definitions` VALUES (97438, 4600, 26, 'Pagamento del Paziente');
INSERT INTO `lang_definitions` VALUES (97439, 4602, 26, 'Nome categoria foto Paziente');
INSERT INTO `lang_definitions` VALUES (97440, 4603, 26, 'Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (97441, 4604, 26, 'problema di connessione al portale del paziente');
INSERT INTO `lang_definitions` VALUES (97442, 4605, 26, 'Il Portale del Paziente è spento');
INSERT INTO `lang_definitions` VALUES (97443, 4606, 26, 'Login del Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (97444, 4607, 26, 'Indirizzo web del Portale del Paziente');
INSERT INTO `lang_definitions` VALUES (97445, 4608, 26, 'Resoconto stampato del Paziente');
INSERT INTO `lang_definitions` VALUES (97446, 4609, 26, 'Resoconto stampato del Paziente');
INSERT INTO `lang_definitions` VALUES (97447, 4610, 26, 'Richiesta di record del Paziente');
INSERT INTO `lang_definitions` VALUES (97448, 4611, 26, 'Richiesta di record del Paziente');
INSERT INTO `lang_definitions` VALUES (97449, 4613, 26, 'Promemoria Paziente');
INSERT INTO `lang_definitions` VALUES (97450, 4614, 26, 'Batch job promemoria paziente');
INSERT INTO `lang_definitions` VALUES (97451, 4615, 26, 'Paziente Promemoria Creazione elaborazione prioritaria');
INSERT INTO `lang_definitions` VALUES (97452, 4616, 26, 'Regole per i Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (97453, 4617, 26, 'Email mittente Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (97454, 4618, 26, 'Nome mittente Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (97455, 4619, 26, 'Promemoria al Paziente');
INSERT INTO `lang_definitions` VALUES (97456, 4620, 26, 'Resoconto Paziente');
INSERT INTO `lang_definitions` VALUES (97457, 4621, 26, 'Richiesta del Paziente');
INSERT INTO `lang_definitions` VALUES (97458, 4622, 26, 'Record Medici richiesti dal Paziente');
INSERT INTO `lang_definitions` VALUES (97459, 4623, 26, 'Risultati del Paziente');
INSERT INTO `lang_definitions` VALUES (97460, 4624, 26, 'Stile della ricerca del paziente');
INSERT INTO `lang_definitions` VALUES (97461, 4625, 26, 'Schermata Cerca/Aggiungi Paziente');
INSERT INTO `lang_definitions` VALUES (97462, 4626, 26, 'Specifiche del Paziente');
INSERT INTO `lang_definitions` VALUES (97463, 4627, 26, 'Stato del Paziente');
INSERT INTO `lang_definitions` VALUES (97464, 4629, 26, 'Sommario del Paziente');
INSERT INTO `lang_definitions` VALUES (97465, 4630, 26, 'Transazioni del Paziente');
INSERT INTO `lang_definitions` VALUES (97466, 4631, 26, 'CAP del Paziente');
INSERT INTO `lang_definitions` VALUES (97467, 4632, 26, 'pazienti nel database che corrispondono alla informazione demografica che hai fornito.');
INSERT INTO `lang_definitions` VALUES (97468, 4633, 26, 'Paziente/Cliente');
INSERT INTO `lang_definitions` VALUES (97469, 4634, 26, 'Paziente:');
INSERT INTO `lang_definitions` VALUES (97470, 4635, 26, 'IDPaziente');
INSERT INTO `lang_definitions` VALUES (97471, 4636, 26, 'Pazienti');
INSERT INTO `lang_definitions` VALUES (97472, 4637, 26, 'Pazienti elaborati');
INSERT INTO `lang_definitions` VALUES (97473, 4638, 26, 'Pagare');
INSERT INTO `lang_definitions` VALUES (97474, 4639, 26, 'Prestare attenzione alle caselle di controllo \"Fatto con\". Dopo che le assicurazioni sono state contrassegnate, cominceremo chiedendo al paziente di pagare la quota rimanente, se non si riesce a segnare tutte le assicurazioni, l\'importo residuo non sarà raccolto.Anche se vi è un equilibrio che il paziente deve pagare, è bene impostare la data di scadenza in modo appropriato, in quanto questo influenzerà la lingua che appare sulle dichiarazioni dei pazienti.');
INSERT INTO `lang_definitions` VALUES (97475, 4640, 26, 'Data pagamento');
INSERT INTO `lang_definitions` VALUES (97476, 4641, 26, 'Status pagamento');
INSERT INTO `lang_definitions` VALUES (97477, 4642, 26, 'Nome beneficiario');
INSERT INTO `lang_definitions` VALUES (97478, 4643, 26, 'Pagante');
INSERT INTO `lang_definitions` VALUES (97479, 4644, 26, 'Tipo del pagante');
INSERT INTO `lang_definitions` VALUES (97480, 4645, 26, 'Sta pagando');
INSERT INTO `lang_definitions` VALUES (97481, 4646, 26, 'Entità che paga');
INSERT INTO `lang_definitions` VALUES (97482, 4647, 26, 'Pagamento');
INSERT INTO `lang_definitions` VALUES (97483, 4648, 26, 'pagamento');
INSERT INTO `lang_definitions` VALUES (97484, 4649, 26, 'Codice rimodulazione pagamento');
INSERT INTO `lang_definitions` VALUES (97485, 4650, 26, 'pagamento contro');
INSERT INTO `lang_definitions` VALUES (97486, 4651, 26, 'Importo pagamento');
INSERT INTO `lang_definitions` VALUES (97487, 4652, 26, 'L\'importo del pagamento deve essere numerico');
INSERT INTO `lang_definitions` VALUES (97488, 4653, 26, 'Categoria Pagamento');
INSERT INTO `lang_definitions` VALUES (97489, 4654, 26, 'Data Pagamento');
INSERT INTO `lang_definitions` VALUES (97490, 4655, 26, 'pagamento registrato il');
INSERT INTO `lang_definitions` VALUES (97491, 4656, 26, 'Pagamento da');
INSERT INTO `lang_definitions` VALUES (97492, 4657, 26, 'Gateway di pagamento');
INSERT INTO `lang_definitions` VALUES (97493, 4658, 26, 'Pagamento da');
INSERT INTO `lang_definitions` VALUES (97494, 4659, 26, 'Elenco pagamenti');
INSERT INTO `lang_definitions` VALUES (97495, 4660, 26, 'Metodo Pagamento');
INSERT INTO `lang_definitions` VALUES (97496, 4661, 26, 'Pagamenti ordinati per');
INSERT INTO `lang_definitions` VALUES (97497, 4662, 26, 'Status Pagamenti');
INSERT INTO `lang_definitions` VALUES (97498, 4663, 26, 'Tipo Pagamento');
INSERT INTO `lang_definitions` VALUES (97499, 4664, 26, 'Valore pagamento per il codice ');
INSERT INTO `lang_definitions` VALUES (97500, 4665, 26, 'Pagamenti');
INSERT INTO `lang_definitions` VALUES (97501, 4667, 26, 'PCP');
INSERT INTO `lang_definitions` VALUES (97502, 4668, 26, 'Pct (%) di righe');
INSERT INTO `lang_definitions` VALUES (97503, 4669, 26, 'PDF');
INSERT INTO `lang_definitions` VALUES (97504, 4670, 26, 'PDF Download Dichiarazioni selezionate');
INSERT INTO `lang_definitions` VALUES (97505, 4671, 26, 'Linguaggio PDF');
INSERT INTO `lang_definitions` VALUES (97506, 4672, 26, 'Bacino e Glutei');
INSERT INTO `lang_definitions` VALUES (97507, 4673, 26, 'Pemfigo');
INSERT INTO `lang_definitions` VALUES (97508, 4674, 26, 'Pendente');
INSERT INTO `lang_definitions` VALUES (97509, 4675, 26, 'Approvazioni in sospeso');
INSERT INTO `lang_definitions` VALUES (97510, 4676, 26, 'F/U pendente');
INSERT INTO `lang_definitions` VALUES (97511, 4677, 26, 'Followup pendente');
INSERT INTO `lang_definitions` VALUES (97512, 4678, 26, 'Risultati del followup pendenti');
INSERT INTO `lang_definitions` VALUES (97513, 4679, 26, 'Ordini pendenti');
INSERT INTO `lang_definitions` VALUES (97514, 4680, 26, 'Res pendente');
INSERT INTO `lang_definitions` VALUES (97515, 4681, 26, 'Revisione pendente');
INSERT INTO `lang_definitions` VALUES (97516, 4682, 26, 'In attesa di conteggio Rx');
INSERT INTO `lang_definitions` VALUES (97517, 4684, 26, 'Pennington Firm LibreEHR v');
INSERT INTO `lang_definitions` VALUES (97518, 4685, 26, 'Ulcera Peptica');
INSERT INTO `lang_definitions` VALUES (97519, 4686, 26, 'Per incontro');
INSERT INTO `lang_definitions` VALUES (97520, 4687, 26, 'al minuto');
INSERT INTO `lang_definitions` VALUES (97521, 4688, 26, 'Via Nasale');
INSERT INTO `lang_definitions` VALUES (97522, 4689, 26, 'via nasale');
INSERT INTO `lang_definitions` VALUES (97523, 4690, 26, 'Via Orale');
INSERT INTO `lang_definitions` VALUES (97524, 4691, 26, 'via orale');
INSERT INTO `lang_definitions` VALUES (97525, 4692, 26, 'Via rettale');
INSERT INTO `lang_definitions` VALUES (97526, 4693, 26, 'via rettale');
INSERT INTO `lang_definitions` VALUES (97527, 4694, 26, 'Per cento');
INSERT INTO `lang_definitions` VALUES (97528, 4697, 26, 'Percentile');
INSERT INTO `lang_definitions` VALUES (97529, 4698, 26, 'Perforazione destra:');
INSERT INTO `lang_definitions` VALUES (97530, 4699, 26, 'Attua la ricerca');
INSERT INTO `lang_definitions` VALUES (97531, 4700, 26, 'Attua questa azione');
INSERT INTO `lang_definitions` VALUES (97532, 4701, 26, 'Percentuale della performance');
INSERT INTO `lang_definitions` VALUES (97533, 4703, 26, 'Esecuzione di struttura di laboratorio');
INSERT INTO `lang_definitions` VALUES (97534, 4705, 26, 'Punto');
INSERT INTO `lang_definitions` VALUES (97535, 4706, 26, 'Periodo in giorni durante il quale un utente può effettuare l\'ingresso con una password scaduta.');
INSERT INTO `lang_definitions` VALUES (97536, 4707, 26, 'assistenza perioperatoria');
INSERT INTO `lang_definitions` VALUES (97537, 4708, 26, 'Periferico(a)');
INSERT INTO `lang_definitions` VALUES (97538, 4709, 26, 'Permetti salto password');
INSERT INTO `lang_definitions` VALUES (97539, 4710, 26, 'Persiano');
INSERT INTO `lang_definitions` VALUES (97540, 4711, 26, 'Persian (Farsi)');
INSERT INTO `lang_definitions` VALUES (97541, 4712, 26, 'Persona');
INSERT INTO `lang_definitions` VALUES (97542, 4713, 26, 'Personalizza');
INSERT INTO `lang_definitions` VALUES (97543, 4714, 26, 'PG');
INSERT INTO `lang_definitions` VALUES (97544, 4715, 26, 'Farm');
INSERT INTO `lang_definitions` VALUES (97545, 4716, 26, 'Pharm Com Count');
INSERT INTO `lang_definitions` VALUES (97546, 4717, 26, 'Farmacie');
INSERT INTO `lang_definitions` VALUES (97547, 4718, 26, 'Farmacia');
INSERT INTO `lang_definitions` VALUES (97548, 4719, 26, 'Dispensario della farmacia');
INSERT INTO `lang_definitions` VALUES (97549, 4720, 26, 'Pneumotorace');
INSERT INTO `lang_definitions` VALUES (97550, 4721, 26, 'phiMail Allow CCD Send');
INSERT INTO `lang_definitions` VALUES (97551, 4722, 26, 'phiMail Allow CCR Send');
INSERT INTO `lang_definitions` VALUES (97552, 4723, 26, 'phiMail controllo intervallo messaggi (minuti)');
INSERT INTO `lang_definitions` VALUES (97553, 4724, 26, 'phiMail notifica utente');
INSERT INTO `lang_definitions` VALUES (97554, 4725, 26, 'phiMail Password');
INSERT INTO `lang_definitions` VALUES (97555, 4726, 26, 'phiMail indirizzo del server');
INSERT INTO `lang_definitions` VALUES (97556, 4727, 26, 'phiMail nome utente');
INSERT INTO `lang_definitions` VALUES (97557, 4729, 26, 'Telefono');
INSERT INTO `lang_definitions` VALUES (97558, 4730, 26, 'Elenco choamate telefoniche');
INSERT INTO `lang_definitions` VALUES (97559, 4731, 26, 'Report lista chiamate telefoniche');
INSERT INTO `lang_definitions` VALUES (97560, 4732, 26, 'Cellulare');
INSERT INTO `lang_definitions` VALUES (97561, 4733, 26, 'Password per Gateway Telefonico');
INSERT INTO `lang_definitions` VALUES (97562, 4734, 26, 'URL del Gateway Telefonico');
INSERT INTO `lang_definitions` VALUES (97563, 4735, 26, 'Nome utente per il Gateway Telefonico');
INSERT INTO `lang_definitions` VALUES (97564, 4736, 26, 'Telefono abitazione');
INSERT INTO `lang_definitions` VALUES (97565, 4737, 26, 'Ore per la Notifica via Telefono');
INSERT INTO `lang_definitions` VALUES (97566, 4738, 26, 'Numero di Telefono');
INSERT INTO `lang_definitions` VALUES (97567, 4739, 26, 'Numero di telefono');
INSERT INTO `lang_definitions` VALUES (97568, 4740, 26, 'Fotofobia');
INSERT INTO `lang_definitions` VALUES (97569, 4741, 26, 'Foto');
INSERT INTO `lang_definitions` VALUES (97570, 4742, 26, 'PHP compresso');
INSERT INTO `lang_definitions` VALUES (97571, 4743, 26, 'Il modulo CURL PHP dovrebbe essere abilitato sul server.');
INSERT INTO `lang_definitions` VALUES (97572, 4744, 26, 'PHP estratto');
INSERT INTO `lang_definitions` VALUES (97573, 4745, 26, 'I controlli di accesso php-GACL sono disabilitati');
INSERT INTO `lang_definitions` VALUES (97574, 4746, 26, 'PHP-gacl non è installato');
INSERT INTO `lang_definitions` VALUES (97575, 4747, 26, 'Esame fisico');
INSERT INTO `lang_definitions` VALUES (97576, 4749, 26, 'Richiesta medica');
INSERT INTO `lang_definitions` VALUES (97577, 4750, 26, 'Firma del medico');
INSERT INTO `lang_definitions` VALUES (97578, 4752, 26, 'Medici');
INSERT INTO `lang_definitions` VALUES (97579, 4753, 26, 'scelta');
INSERT INTO `lang_definitions` VALUES (97580, 4754, 26, 'Scelta');
INSERT INTO `lang_definitions` VALUES (97581, 4755, 26, 'Scegli un tema CSS');
INSERT INTO `lang_definitions` VALUES (97582, 4756, 26, 'PID');
INSERT INTO `lang_definitions` VALUES (97583, 4757, 26, 'PID (malattia infiammatoria pelvica)');
INSERT INTO `lang_definitions` VALUES (97584, 4758, 26, 'Dimensione pillola');
INSERT INTO `lang_definitions` VALUES (97585, 4759, 26, 'Pillole');
INSERT INTO `lang_definitions` VALUES (97586, 4760, 26, 'Colloca il file zip del database nella seguente directory se si vuole  installare');
INSERT INTO `lang_definitions` VALUES (97587, 4761, 26, 'Colloca il file zip del database ICD10 nella seguente directory');
INSERT INTO `lang_definitions` VALUES (97588, 4762, 26, 'Colloca il file zip del database ICD9 nella seguente directory');
INSERT INTO `lang_definitions` VALUES (97589, 4763, 26, 'Colloca il file zip del database RxNormal nella seguente directory');
INSERT INTO `lang_definitions` VALUES (97590, 4764, 26, 'Colloca il file zip del database Snomed nella seguente directory');
INSERT INTO `lang_definitions` VALUES (97591, 4765, 26, 'Segnaposto');
INSERT INTO `lang_definitions` VALUES (97592, 4766, 26, 'Segnaposto (Mantiene in bianco le ACL)');
INSERT INTO `lang_definitions` VALUES (97593, 4767, 26, 'Solo testo');
INSERT INTO `lang_definitions` VALUES (97594, 4768, 26, 'Piano');
INSERT INTO `lang_definitions` VALUES (97595, 4771, 26, 'Nome del Piano');
INSERT INTO `lang_definitions` VALUES (97596, 4775, 26, 'Piano prestabilito');
INSERT INTO `lang_definitions` VALUES (97597, 4779, 26, 'Piano:');
INSERT INTO `lang_definitions` VALUES (97598, 4782, 26, 'Piani');
INSERT INTO `lang_definitions` VALUES (97599, 4784, 26, 'Giocatore');
INSERT INTO `lang_definitions` VALUES (97600, 4785, 26, 'Posizione di gioco');
INSERT INTO `lang_definitions` VALUES (97601, 4786, 26, 'Si pega di telefona se qualcuna delle informatìzioni soprastanti non è corretta');
INSERT INTO `lang_definitions` VALUES (97602, 4787, 26, 'Cambiare la Password.');
INSERT INTO `lang_definitions` VALUES (97603, 4788, 26, 'Scegli un file');
INSERT INTO `lang_definitions` VALUES (97604, 4789, 26, 'Scegli un paziente');
INSERT INTO `lang_definitions` VALUES (97605, 4790, 26, 'Scegli dall\'elenco una selezione valida.');
INSERT INTO `lang_definitions` VALUES (97606, 4791, 26, 'Scegli una selezione valida.');
INSERT INTO `lang_definitions` VALUES (97607, 4792, 26, 'Scegli un valore per');
INSERT INTO `lang_definitions` VALUES (97608, 4793, 26, 'Scegli sopra un intervallo di criteri, e clicca Refresh per vedere i risultati');
INSERT INTO `lang_definitions` VALUES (97609, 4794, 26, 'Scegli il file appropriato formattato EDI-271');
INSERT INTO `lang_definitions` VALUES (97610, 4795, 26, 'Clicca il pulsante Scarica per scaricare i data De-identificati');
INSERT INTO `lang_definitions` VALUES (97611, 4796, 26, 'Clicca il pulsante Scarica per scaricare i data Re-identificati');
INSERT INTO `lang_definitions` VALUES (97612, 4797, 26, 'Chiudi questa finestra.');
INSERT INTO `lang_definitions` VALUES (97613, 4798, 26, 'Confronta il nuvo nome');
INSERT INTO `lang_definitions` VALUES (97614, 4800, 26, 'Per favore correggi il valore(i) prima di procedere!');
INSERT INTO `lang_definitions` VALUES (97615, 4801, 26, 'Si prega di creare la seguente directory prima di procedere');
INSERT INTO `lang_definitions` VALUES (97616, 4802, 26, 'Non accettare questa prescrizione a meno che non sia stata ricevuta via facsimile');
INSERT INTO `lang_definitions` VALUES (97617, 4803, 26, 'Non accettare questa prescrizione a meno che non sia stata ricevuta via facsimile');
INSERT INTO `lang_definitions` VALUES (97618, 4804, 26, 'Non usare il pulsante di stop o ricarica del browser mentre sta funzoinando questa pagina a meno che non siano passati più di 10 minuti, così non causerai l\'arresto del processo sul server non consumerai risorse non necessarie.');
INSERT INTO `lang_definitions` VALUES (97619, 4805, 26, 'ATTIVARE ESTENSIONE CURL');
INSERT INTO `lang_definitions` VALUES (97620, 4806, 26, 'ATTIVARE ESTENSIONE OPENSSL');
INSERT INTO `lang_definitions` VALUES (97621, 4807, 26, 'ATTIVARE ESTENSIONE SOAP');
INSERT INTO `lang_definitions` VALUES (97622, 4808, 26, 'ATTIVARE ESTENSIONE XML');
INSERT INTO `lang_definitions` VALUES (97623, 4809, 26, 'Inserisci la data dell\'ultima revisione.');
INSERT INTO `lang_definitions` VALUES (97624, 4810, 26, 'Inserisci una data.');
INSERT INTO `lang_definitions` VALUES (97625, 4811, 26, 'Si prega di inserire una data di scadenza');
INSERT INTO `lang_definitions` VALUES (97626, 4812, 26, 'Inserire un messaggio');
INSERT INTO `lang_definitions` VALUES (97627, 4813, 26, 'Inserisci un importo monetario usando soltanto numeri e un punto decimale.');
INSERT INTO `lang_definitions` VALUES (97628, 4814, 26, 'Inserisci una Nuova Password');
INSERT INTO `lang_definitions` VALUES (97629, 4815, 26, 'Inserisci un titolo!');
INSERT INTO `lang_definitions` VALUES (97630, 4816, 26, 'Inserisci, sopra,  un valido indirizzo diretto.');
INSERT INTO `lang_definitions` VALUES (97631, 4817, 26, 'Si prega di inserire almeno il nome dell\'elemento');
INSERT INTO `lang_definitions` VALUES (97632, 4818, 26, 'Si prega di inserire almeno il nome della traccia');
INSERT INTO `lang_definitions` VALUES (97633, 4819, 26, 'Inserisci il corretto codice di Re-identificazione');
INSERT INTO `lang_definitions` VALUES (97634, 4820, 26, 'Inserire fine data maggiore di inizio data!');
INSERT INTO `lang_definitions` VALUES (97635, 4821, 26, 'Inserisci una nuova stringa di ricerca');
INSERT INTO `lang_definitions` VALUES (97636, 4822, 26, 'Inserisci il corretto codice di Re-identificazione');
INSERT INTO `lang_definitions` VALUES (97637, 4823, 26, 'Inserisci la password');
INSERT INTO `lang_definitions` VALUES (97638, 4824, 26, 'Compila il numero di assegno');
INSERT INTO `lang_definitions` VALUES (97639, 4825, 26, 'Si prega di compilare il Check/Ref Number');
INSERT INTO `lang_definitions` VALUES (97640, 4826, 26, 'Compila la data');
INSERT INTO `lang_definitions` VALUES (97641, 4827, 26, 'Compila l\'importo del pagamento');
INSERT INTO `lang_definitions` VALUES (97642, 4828, 26, 'Compila la categoria del pagamento');
INSERT INTO `lang_definitions` VALUES (97643, 4829, 26, 'Compila il pagamento Da');
INSERT INTO `lang_definitions` VALUES (97644, 4830, 26, 'Compila l\'Invia alla Data');
INSERT INTO `lang_definitions` VALUES (97645, 4831, 26, 'Compilali prima di continuare');
INSERT INTO `lang_definitions` VALUES (97646, 4832, 26, 'Indica il motivo della visita');
INSERT INTO `lang_definitions` VALUES (97647, 4833, 26, 'Inserisci, sopra, i criteri di ricerca, e clic su Invia per far partire il report.');
INSERT INTO `lang_definitions` VALUES (97648, 4834, 26, 'Inserisci i soprastanti criteri di ricerca, e clicca Invia per vedere i risultati.');
INSERT INTO `lang_definitions` VALUES (97649, 4835, 26, 'Inserisci i criteri di ricerca soprastanti, e clicca Invia per vedere i risulati. (I risultati saranno mostrati in una finestra di tipo pop up)');
INSERT INTO `lang_definitions` VALUES (97650, 4836, 26, 'Effettua nuovamente l\'ingresso.');
INSERT INTO `lang_definitions` VALUES (97651, 4837, 26, 'Si noti che questo può durare parecchio tempo, fino a diversi minuti, durante questo tempo il browser potrebbe sembrare non attivo ma generare una fattura è un processo complesso e il tuo browser è semplicemente in attesa di maggiori informazioni.');
INSERT INTO `lang_definitions` VALUES (97652, 4838, 26, 'Nota: usando lettere maiuscole e minuscole si identificano costanti diverse ed è consentita qualsiasi stringa.');
INSERT INTO `lang_definitions` VALUES (97653, 4839, 26, 'Usare soltanto caratteri alfabetici senza spazi');
INSERT INTO `lang_definitions` VALUES (97654, 4840, 26, 'Usa solo caratteri alfabetici senza spazi.');
INSERT INTO `lang_definitions` VALUES (97655, 4841, 26, 'Paga questo importo');
INSERT INTO `lang_definitions` VALUES (97656, 4842, 26, 'Si prega di inserire i file di installazione nella directory seguente');
INSERT INTO `lang_definitions` VALUES (97657, 4843, 26, 'Si prega di fare riferimento al');
INSERT INTO `lang_definitions` VALUES (97658, 4844, 26, 'Ridefinisci la password.');
INSERT INTO `lang_definitions` VALUES (97659, 4845, 26, 'Riavvia il server apache prima di iniziare la de-identificazione');
INSERT INTO `lang_definitions` VALUES (97660, 4846, 26, 'Per favore vedi il PDF allegato.');
INSERT INTO `lang_definitions` VALUES (97661, 4847, 26, 'Si prega selezionare');
INSERT INTO `lang_definitions` VALUES (97662, 4849, 26, 'Seleziona una lingua');
INSERT INTO `lang_definitions` VALUES (97663, 4850, 26, 'Seleziona un Paziente');
INSERT INTO `lang_definitions` VALUES (97664, 4851, 26, 'Si prega di selezionare una funzione di primaria entità affari con la \'partita IVA\' come ID struttura fiscale. Se sei un professionista individuale, utilizzare il Codice Fiscale. Questo è usato per identificare voi nel sistema NewCrop.');
INSERT INTO `lang_definitions` VALUES (97665, 4853, 26, 'Si prega di selezionare un fornitore di procedura');
INSERT INTO `lang_definitions` VALUES (97666, 4854, 26, 'Si prega di selezionare un destinatario');
INSERT INTO `lang_definitions` VALUES (97667, 4855, 26, 'Seleziona una data di inizio e di fine');
INSERT INTO `lang_definitions` VALUES (97668, 4856, 26, 'Si prega di selezionare un destinatario valido');
INSERT INTO `lang_definitions` VALUES (97669, 4857, 26, 'Si prega selezionare il gruppo attivo');
INSERT INTO `lang_definitions` VALUES (97670, 4858, 26, 'Si prega di selezionare un motivo di adeguamento per il codice ');
INSERT INTO `lang_definitions` VALUES (97671, 4859, 26, 'Seleziona un evento');
INSERT INTO `lang_definitions` VALUES (97672, 4860, 26, 'Seleziona qualche opzione di ricerca.');
INSERT INTO `lang_definitions` VALUES (97673, 4863, 26, 'Seleziona almeno una prescrizione!');
INSERT INTO `lang_definitions` VALUES (97674, 4864, 26, 'Seleziona l\'incontro');
INSERT INTO `lang_definitions` VALUES (97675, 4865, 26, 'Seleziona le pagine che desideri copiare o inoltrare:');
INSERT INTO `lang_definitions` VALUES (97676, 4866, 26, 'Seleziona il metodo di pagamento');
INSERT INTO `lang_definitions` VALUES (97677, 4867, 26, 'Seleziona il tipo di pagamento');
INSERT INTO `lang_definitions` VALUES (97678, 4868, 26, 'Seleziona la categoria di visita');
INSERT INTO `lang_definitions` VALUES (97679, 4869, 26, 'Selezionare il partner X12, richiesto per creare il batch 270');
INSERT INTO `lang_definitions` VALUES (97680, 4870, 26, 'Si prega di impostare');
INSERT INTO `lang_definitions` VALUES (97681, 4871, 26, 'Assegna di nuovo 0 alla variabile de_identification_config');
INSERT INTO `lang_definitions` VALUES (97682, 4873, 26, 'Devi riavviare il processo di De-Identificazione');
INSERT INTO `lang_definitions` VALUES (97683, 4874, 26, 'Aggiorna il database LibreEHR per includere le procedure, funzioni e tabelle per la De-Identificazione');
INSERT INTO `lang_definitions` VALUES (97684, 4875, 26, 'Per maggiori dettagli guarda la tabella dei log degli errori della De-Identificazione');
INSERT INTO `lang_definitions` VALUES (97685, 4876, 26, 'Visita tra un po\' di tempo la schermata della De-Identificazione');
INSERT INTO `lang_definitions` VALUES (97686, 4877, 26, 'Visita tra un po\' di tempo la schermata della Re-Identificazione');
INSERT INTO `lang_definitions` VALUES (97687, 4878, 26, 'Visita la schermata tra un po\' di tempo');
INSERT INTO `lang_definitions` VALUES (97688, 4879, 26, 'Plot item');
INSERT INTO `lang_definitions` VALUES (97689, 4880, 26, 'Plot selected Items');
INSERT INTO `lang_definitions` VALUES (97690, 4881, 26, 'Plurale');
INSERT INTO `lang_definitions` VALUES (97691, 4882, 26, 'PM');
INSERT INTO `lang_definitions` VALUES (97692, 4883, 26, 'Programma PM');
INSERT INTO `lang_definitions` VALUES (97693, 4884, 26, 'Metodo Pgmt');
INSERT INTO `lang_definitions` VALUES (97694, 4885, 26, 'PND');
INSERT INTO `lang_definitions` VALUES (97695, 4886, 26, 'Pneumococco Coniugato 1');
INSERT INTO `lang_definitions` VALUES (97696, 4887, 26, 'Pneumococco Coniugato 2');
INSERT INTO `lang_definitions` VALUES (97697, 4888, 26, 'Pneumococco Coniugato 3');
INSERT INTO `lang_definitions` VALUES (97698, 4889, 26, 'Pneumococco Coniugato 4');
INSERT INTO `lang_definitions` VALUES (97699, 4890, 26, 'Vaccino per Pneumococco');
INSERT INTO `lang_definitions` VALUES (97700, 4891, 26, 'Vaccinazione per Pneumococco');
INSERT INTO `lang_definitions` VALUES (97701, 4892, 26, 'Polmonite stato vaccinale per gli anziani');
INSERT INTO `lang_definitions` VALUES (97702, 4893, 26, 'Polmonite stato vaccinale per gli anziani (CQM)');
INSERT INTO `lang_definitions` VALUES (97703, 4894, 26, 'Podologica');
INSERT INTO `lang_definitions` VALUES (97704, 4895, 26, 'Podologia');
INSERT INTO `lang_definitions` VALUES (97705, 4896, 26, 'Punto di servizio (POS)');
INSERT INTO `lang_definitions` VALUES (97706, 4897, 26, 'Regola');
INSERT INTO `lang_definitions` VALUES (97707, 4898, 26, 'Regola Nr');
INSERT INTO `lang_definitions` VALUES (97708, 4899, 26, 'Numero regola');
INSERT INTO `lang_definitions` VALUES (97709, 4900, 26, 'Polacco');
INSERT INTO `lang_definitions` VALUES (97710, 4901, 26, 'Polidipsia');
INSERT INTO `lang_definitions` VALUES (97711, 4902, 26, 'Polipo');
INSERT INTO `lang_definitions` VALUES (97712, 4903, 26, 'Poliuria');
INSERT INTO `lang_definitions` VALUES (97713, 4904, 26, 'Scarso appetito');
INSERT INTO `lang_definitions` VALUES (97714, 4905, 26, 'Cattiva circolazione');
INSERT INTO `lang_definitions` VALUES (97715, 4906, 26, 'Scarso udito');
INSERT INTO `lang_definitions` VALUES (97716, 4907, 26, 'Per vedere questi resoconti è necessario abilitare le finestre popup');
INSERT INTO `lang_definitions` VALUES (97717, 4908, 26, 'Riempio l\'anno con gli eventi?');
INSERT INTO `lang_definitions` VALUES (97718, 4909, 26, 'Popup');
INSERT INTO `lang_definitions` VALUES (97719, 4910, 26, 'Portale');
INSERT INTO `lang_definitions` VALUES (97720, 4911, 26, 'Attività del portale');
INSERT INTO `lang_definitions` VALUES (97721, 4912, 26, 'ID portale');
INSERT INTO `lang_definitions` VALUES (97722, 4913, 26, 'ID del portale non combacia con quello richiesto dal portale!');
INSERT INTO `lang_definitions` VALUES (97723, 4914, 26, 'Manca la password del portale');
INSERT INTO `lang_definitions` VALUES (97724, 4915, 26, 'Richieste al portale');
INSERT INTO `lang_definitions` VALUES (97725, 4916, 26, 'Verticale');
INSERT INTO `lang_definitions` VALUES (97726, 4917, 26, 'Portoghese');
INSERT INTO `lang_definitions` VALUES (97727, 4918, 26, 'Portoghese (Brasiliano)');
INSERT INTO `lang_definitions` VALUES (97728, 4919, 26, 'Portoghese (Europeo)');
INSERT INTO `lang_definitions` VALUES (97729, 4920, 26, 'Codice POS');
INSERT INTO `lang_definitions` VALUES (97730, 4921, 26, 'Posizione');
INSERT INTO `lang_definitions` VALUES (97731, 4922, 26, 'Positivo');
INSERT INTO `lang_definitions` VALUES (97732, 4923, 26, 'Positivi');
INSERT INTO `lang_definitions` VALUES (97733, 4925, 26, 'Messaggio per');
INSERT INTO `lang_definitions` VALUES (97734, 4926, 26, 'Gocciolamento nasale');
INSERT INTO `lang_definitions` VALUES (97735, 4927, 26, 'Pagamenti posticipati');
INSERT INTO `lang_definitions` VALUES (97736, 4928, 26, 'Portchirurgico');
INSERT INTO `lang_definitions` VALUES (97737, 4929, 26, 'Posta alla contabilità e contrassegnare come fatturato');
INSERT INTO `lang_definitions` VALUES (97738, 4930, 26, 'Invio alla data');
INSERT INTO `lang_definitions` VALUES (97739, 4931, 26, 'Invio alla data non può essere maggiore di Oggi');
INSERT INTO `lang_definitions` VALUES (97740, 4932, 26, 'Messaggio Per data deve essere maggiore della data Financial Close.');
INSERT INTO `lang_definitions` VALUES (97741, 4933, 26, 'Cure post-aborto');
INSERT INTO `lang_definitions` VALUES (97742, 4934, 26, 'Contraccezione post-aborto');
INSERT INTO `lang_definitions` VALUES (97743, 4935, 26, 'Consulenza post-aborto');
INSERT INTO `lang_definitions` VALUES (97744, 4936, 26, 'Followup post-aborto');
INSERT INTO `lang_definitions` VALUES (97745, 4937, 26, 'Postale');
INSERT INTO `lang_definitions` VALUES (97746, 4938, 26, 'Codice Postale');
INSERT INTO `lang_definitions` VALUES (97747, 4939, 26, 'Codice postale');
INSERT INTO `lang_definitions` VALUES (97748, 4941, 26, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (97749, 4942, 26, 'PostCalendar Administration');
INSERT INTO `lang_definitions` VALUES (97750, 4943, 26, 'PostCalendar Category Settings');
INSERT INTO `lang_definitions` VALUES (97751, 4944, 26, 'PostCalendar Global Settings');
INSERT INTO `lang_definitions` VALUES (97752, 4945, 26, 'Inviato il');
INSERT INTO `lang_definitions` VALUES (97753, 4946, 26, 'Data di invio');
INSERT INTO `lang_definitions` VALUES (97754, 4947, 26, 'Pos{{Abbreviation for Position}}');
INSERT INTO `lang_definitions` VALUES (97755, 4948, 26, 'Powered by');
INSERT INTO `lang_definitions` VALUES (97756, 4949, 26, 'PPE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (97757, 4950, 26, 'PQRI');
INSERT INTO `lang_definitions` VALUES (97758, 4951, 26, 'PQRI Registry ID');
INSERT INTO `lang_definitions` VALUES (97759, 4952, 26, 'PQRI Registry Name');
INSERT INTO `lang_definitions` VALUES (97760, 4953, 26, 'Pratica');
INSERT INTO `lang_definitions` VALUES (97761, 4954, 26, 'Impostazioni predefinite Pratica');
INSERT INTO `lang_definitions` VALUES (97762, 4955, 26, 'Impostazioni pratica');
INSERT INTO `lang_definitions` VALUES (97763, 4956, 26, 'Professionista/Medico');
INSERT INTO `lang_definitions` VALUES (97764, 4957, 26, 'Pre Partecipazione di valutazione');
INSERT INTO `lang_definitions` VALUES (97765, 4958, 26, 'Pre-pagato');
INSERT INTO `lang_definitions` VALUES (97766, 4959, 26, 'Anticipo');
INSERT INTO `lang_definitions` VALUES (97767, 4960, 26, 'Consulto pre-aborto');
INSERT INTO `lang_definitions` VALUES (97768, 4961, 26, 'Consulenza pre-aborto');
INSERT INTO `lang_definitions` VALUES (97769, 4962, 26, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (97770, 4963, 26, 'Preferenza');
INSERT INTO `lang_definitions` VALUES (97771, 4964, 26, 'Preferenze');
INSERT INTO `lang_definitions` VALUES (97772, 4965, 26, 'Categoria evento preferita');
INSERT INTO `lang_definitions` VALUES (97773, 4966, 26, 'Lingua preferita');
INSERT INTO `lang_definitions` VALUES (97774, 4967, 26, 'Farmacia preferita');
INSERT INTO `lang_definitions` VALUES (97775, 4968, 26, 'Fornitore Organizzazione preferito (PPO)');
INSERT INTO `lang_definitions` VALUES (97776, 4969, 26, 'Test Gravid');
INSERT INTO `lang_definitions` VALUES (97777, 4970, 26, 'Preliminare');
INSERT INTO `lang_definitions` VALUES (97778, 4971, 26, 'Preparazione per eseguire il report');
INSERT INTO `lang_definitions` VALUES (97779, 4972, 26, 'Pre-pagato');
INSERT INTO `lang_definitions` VALUES (97780, 4973, 26, 'Prescrizione');
INSERT INTO `lang_definitions` VALUES (97781, 4974, 26, 'la prescrizione ha raggiunto i suoi limiti di');
INSERT INTO `lang_definitions` VALUES (97782, 4975, 26, 'Storico Prescrizioni');
INSERT INTO `lang_definitions` VALUES (97783, 4976, 26, 'Importazione della Storico Prescrizioni completato regolarmente');
INSERT INTO `lang_definitions` VALUES (97784, 4977, 26, 'Etichetta Prescrizione');
INSERT INTO `lang_definitions` VALUES (97785, 4978, 26, 'Resoconto Prescrizione');
INSERT INTO `lang_definitions` VALUES (97786, 4979, 26, 'Prescrizioni');
INSERT INTO `lang_definitions` VALUES (97787, 4980, 26, 'Prescrizioni e dispense');
INSERT INTO `lang_definitions` VALUES (97788, 4981, 26, 'Prescrizioni e deferimenti ad altri');
INSERT INTO `lang_definitions` VALUES (97789, 4982, 26, 'Prescrizioni e/o rinvii di specialista');
INSERT INTO `lang_definitions` VALUES (97790, 4983, 26, 'Resoconto Prescrizioni');
INSERT INTO `lang_definitions` VALUES (97791, 4984, 26, 'Prescrizioni/Rinvii');
INSERT INTO `lang_definitions` VALUES (97792, 4985, 26, 'Presente');
INSERT INTO `lang_definitions` VALUES (97793, 4986, 26, 'Presentazione Reclamo');
INSERT INTO `lang_definitions` VALUES (97794, 4987, 26, 'Presentazione problema(i)');
INSERT INTO `lang_definitions` VALUES (97795, 4988, 26, 'Premi Continua per proseguire');
INSERT INTO `lang_definitions` VALUES (97796, 4989, 26, 'Diagnosi presunta');
INSERT INTO `lang_definitions` VALUES (97797, 4990, 26, 'Diagnosi presunta dallo specialista');
INSERT INTO `lang_definitions` VALUES (97798, 4991, 26, 'Prec');
INSERT INTO `lang_definitions` VALUES (97799, 4992, 26, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (97800, 4993, 26, 'Mese prec. (vecchio per il menu)');
INSERT INTO `lang_definitions` VALUES (97801, 4994, 26, 'Anno prec. (vecchio per il menu)');
INSERT INTO `lang_definitions` VALUES (97802, 4995, 26, 'Cura preventiva');
INSERT INTO `lang_definitions` VALUES (97803, 4996, 26, 'Prevenzione di riabilitazione');
INSERT INTO `lang_definitions` VALUES (97804, 4998, 26, 'Anteprima Evento');
INSERT INTO `lang_definitions` VALUES (97805, 5000, 26, 'Anteprima di');
INSERT INTO `lang_definitions` VALUES (97806, 5001, 26, 'Precedente');
INSERT INTO `lang_definitions` VALUES (97807, 5002, 26, 'Consulti precedenti');
INSERT INTO `lang_definitions` VALUES (97808, 5003, 26, 'Giorno precedente');
INSERT INTO `lang_definitions` VALUES (97809, 5004, 26, 'Precedente Storico/Screening');
INSERT INTO `lang_definitions` VALUES (97810, 5005, 26, 'Mese precedente');
INSERT INTO `lang_definitions` VALUES (97811, 5006, 26, 'Settimana precedente');
INSERT INTO `lang_definitions` VALUES (97812, 5007, 26, 'Prezzo');
INSERT INTO `lang_definitions` VALUES (97813, 5008, 26, 'Prezzo attualizzazione');
INSERT INTO `lang_definitions` VALUES (97814, 5009, 26, 'Livello di prezzo');
INSERT INTO `lang_definitions` VALUES (97815, 5010, 26, 'Livello di prezzo:');
INSERT INTO `lang_definitions` VALUES (97816, 5011, 26, 'Prezzi');
INSERT INTO `lang_definitions` VALUES (97817, 5012, 26, 'Primario');
INSERT INTO `lang_definitions` VALUES (97818, 5013, 26, 'Affari soggetto principale');
INSERT INTO `lang_definitions` VALUES (97819, 5014, 26, 'Gli affari del soggetto principale ID oneriviene usato come ID account NewCrop sulle ricette mediche. La modifica della struttura influenzerà il funzionamento in NewCrop.');
INSERT INTO `lang_definitions` VALUES (97820, 5022, 26, 'Ass. primaria');
INSERT INTO `lang_definitions` VALUES (97821, 5023, 26, 'Assicurazione primaria');
INSERT INTO `lang_definitions` VALUES (97822, 5024, 26, 'Data assicurazione primaria');
INSERT INTO `lang_definitions` VALUES (97823, 5025, 26, 'Fornitore assicurazione primaria');
INSERT INTO `lang_definitions` VALUES (97824, 5026, 26, 'Fornitore primario');
INSERT INTO `lang_definitions` VALUES (97825, 5027, 26, 'Stampa');
INSERT INTO `lang_definitions` VALUES (97826, 5028, 26, 'Stampa (HTML)');
INSERT INTO `lang_definitions` VALUES (97827, 5029, 26, 'Stampa (PDF)');
INSERT INTO `lang_definitions` VALUES (97828, 5030, 26, 'Stampa modifiche');
INSERT INTO `lang_definitions` VALUES (97829, 5031, 26, 'Stampa ogni incontro');
INSERT INTO `lang_definitions` VALUES (97830, 5032, 26, 'Stampa modulo vuoto di rinvio');
INSERT INTO `lang_definitions` VALUES (97831, 5033, 26, 'Comando di stampa');
INSERT INTO `lang_definitions` VALUES (97832, 5034, 26, 'Data di stampa');
INSERT INTO `lang_definitions` VALUES (97833, 5038, 26, 'Stampa lista intera');
INSERT INTO `lang_definitions` VALUES (97834, 5039, 26, 'Formato stampa');
INSERT INTO `lang_definitions` VALUES (97835, 5040, 26, 'Stampa quattro pannelli');
INSERT INTO `lang_definitions` VALUES (97836, 5042, 26, 'Stampa messaggio');
INSERT INTO `lang_definitions` VALUES (97837, 5043, 26, 'Stampa multipla');
INSERT INTO `lang_definitions` VALUES (97838, 5044, 26, 'Stampa multipla al fax');
INSERT INTO `lang_definitions` VALUES (97839, 5045, 26, 'Stampa nome, firma e data.');
INSERT INTO `lang_definitions` VALUES (97840, 5046, 26, 'Stampa le note');
INSERT INTO `lang_definitions` VALUES (97841, 5047, 26, 'Stampa pagina 1');
INSERT INTO `lang_definitions` VALUES (97842, 5048, 26, 'Stampa pagina 2');
INSERT INTO `lang_definitions` VALUES (97843, 5049, 26, 'Stampa etichetta indirizzi paziente');
INSERT INTO `lang_definitions` VALUES (97844, 5051, 26, 'Stampare le ricevute Fornitore');
INSERT INTO `lang_definitions` VALUES (97845, 5052, 26, 'Stampa il record');
INSERT INTO `lang_definitions` VALUES (97846, 5053, 26, 'Stampa Dichiarazioni selezionate');
INSERT INTO `lang_definitions` VALUES (97847, 5054, 26, 'Stampa record veloci');
INSERT INTO `lang_definitions` VALUES (97848, 5056, 26, 'Stampa questo incontro');
INSERT INTO `lang_definitions` VALUES (97849, 5057, 26, 'Stampa questa nota');
INSERT INTO `lang_definitions` VALUES (97850, 5058, 26, 'Stampa Questa Nota');
INSERT INTO `lang_definitions` VALUES (97851, 5060, 26, 'Stampa al fax');
INSERT INTO `lang_definitions` VALUES (97852, 5061, 26, 'Stama la vista');
INSERT INTO `lang_definitions` VALUES (97853, 5062, 26, 'stampabile');
INSERT INTO `lang_definitions` VALUES (97854, 5063, 26, 'Versione stampabile');
INSERT INTO `lang_definitions` VALUES (97855, 5064, 26, 'Stampato');
INSERT INTO `lang_definitions` VALUES (97856, 5066, 26, 'Risultati della stampa:');
INSERT INTO `lang_definitions` VALUES (97857, 5067, 26, 'Stampa saltata; vedi test di uscita a');
INSERT INTO `lang_definitions` VALUES (97858, 5068, 26, 'Stampa saltata; vedi test di uscita a ');
INSERT INTO `lang_definitions` VALUES (97859, 5069, 26, 'Prior Aut');
INSERT INTO `lang_definitions` VALUES (97860, 5070, 26, 'Modulo Prior Autorizzazione');
INSERT INTO `lang_definitions` VALUES (97861, 5071, 26, 'Prior Visit');
INSERT INTO `lang_definitions` VALUES (97862, 5072, 26, 'Priorità');
INSERT INTO `lang_definitions` VALUES (97863, 5073, 26, 'Priorità ');
INSERT INTO `lang_definitions` VALUES (97864, 5074, 26, 'Privato');
INSERT INTO `lang_definitions` VALUES (97865, 5075, 26, 'Problema');
INSERT INTO `lang_definitions` VALUES (97866, 5076, 26, 'Problema DX');
INSERT INTO `lang_definitions` VALUES (97867, 5077, 26, 'Elenco Problemi');
INSERT INTO `lang_definitions` VALUES (97868, 5078, 26, 'Problemi');
INSERT INTO `lang_definitions` VALUES (97869, 5079, 26, 'Problemi/Tematiche');
INSERT INTO `lang_definitions` VALUES (97870, 5080, 26, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (97871, 5081, 26, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (97872, 5082, 26, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (97873, 5083, 26, 'Proc Rev in attesa');
INSERT INTO `lang_definitions` VALUES (97874, 5084, 26, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (97875, 5085, 26, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (97876, 5086, 26, 'Procedura');
INSERT INTO `lang_definitions` VALUES (97877, 5087, 26, 'Procedura per Siti corporei');
INSERT INTO `lang_definitions` VALUES (97878, 5088, 26, 'Procedura per Risultati Booleani');
INSERT INTO `lang_definitions` VALUES (97879, 5089, 26, 'Codice della Procedura');
INSERT INTO `lang_definitions` VALUES (97880, 5090, 26, 'Codici di procedura');
INSERT INTO `lang_definitions` VALUES (97881, 5091, 26, 'Procedura per Lateralità');
INSERT INTO `lang_definitions` VALUES (97882, 5092, 26, 'Nome Procedura');
INSERT INTO `lang_definitions` VALUES (97883, 5093, 26, 'Ordine di procedura');
INSERT INTO `lang_definitions` VALUES (97884, 5094, 26, 'Ordine di procedura');
INSERT INTO `lang_definitions` VALUES (97885, 5095, 26, 'Ordine di procedura per');
INSERT INTO `lang_definitions` VALUES (97886, 5097, 26, 'Ordini di procedura e Reports');
INSERT INTO `lang_definitions` VALUES (97887, 5098, 26, 'Procedura di selezione');
INSERT INTO `lang_definitions` VALUES (97888, 5099, 26, 'Fornitore di procedura');
INSERT INTO `lang_definitions` VALUES (97889, 5100, 26, 'Fornitore di procedura');
INSERT INTO `lang_definitions` VALUES (97890, 5101, 26, 'Fornitori di procedure');
INSERT INTO `lang_definitions` VALUES (97891, 5102, 26, 'Report di procedura');
INSERT INTO `lang_definitions` VALUES (97892, 5103, 26, 'Procedura Rapporto stato');
INSERT INTO `lang_definitions` VALUES (97893, 5104, 26, 'Risultato anomalo nella procedura');
INSERT INTO `lang_definitions` VALUES (97894, 5105, 26, 'Procedura Rapporto stato');
INSERT INTO `lang_definitions` VALUES (97895, 5106, 26, 'Risultati procedura');
INSERT INTO `lang_definitions` VALUES (97896, 5107, 26, 'Percorsi procedura');
INSERT INTO `lang_definitions` VALUES (97897, 5108, 26, 'Procedura dei tipi di campione');
INSERT INTO `lang_definitions` VALUES (97898, 5109, 26, 'Report statistiche di procedura');
INSERT INTO `lang_definitions` VALUES (97899, 5110, 26, 'Tipo di procedura');
INSERT INTO `lang_definitions` VALUES (97900, 5111, 26, 'Tipi di procedura');
INSERT INTO `lang_definitions` VALUES (97901, 5112, 26, 'Unità di procedura');
INSERT INTO `lang_definitions` VALUES (97902, 5113, 26, 'Procedura/Servizio');
INSERT INTO `lang_definitions` VALUES (97903, 5114, 26, 'Procedure');
INSERT INTO `lang_definitions` VALUES (97904, 5115, 26, 'Elabora');
INSERT INTO `lang_definitions` VALUES (97905, 5116, 26, 'Elaborare e inviare promemoria');
INSERT INTO `lang_definitions` VALUES (97906, 5117, 26, 'Elaborare il file ERA');
INSERT INTO `lang_definitions` VALUES (97907, 5118, 26, 'Elaborare il nuovo file per registro CSV');
INSERT INTO `lang_definitions` VALUES (97908, 5119, 26, 'Elaborare i promemoria');
INSERT INTO `lang_definitions` VALUES (97909, 5120, 26, 'Il processo richiede un pò di tempo');
INSERT INTO `lang_definitions` VALUES (97910, 5121, 26, 'Elaborato');
INSERT INTO `lang_definitions` VALUES (97911, 5122, 26, 'Elaborato da');
INSERT INTO `lang_definitions` VALUES (97912, 5123, 26, 'Elaborato in data');
INSERT INTO `lang_definitions` VALUES (97913, 5124, 26, 'elaborazione completata con successo');
INSERT INTO `lang_definitions` VALUES (97914, 5125, 26, 'Sto elaborando');
INSERT INTO `lang_definitions` VALUES (97915, 5126, 26, 'Elaborazione e invio promemoria ai pazienti');
INSERT INTO `lang_definitions` VALUES (97916, 5127, 26, 'Elaborazione promemoria pazienti');
INSERT INTO `lang_definitions` VALUES (97917, 5128, 26, 'Tempo elaborazione');
INSERT INTO `lang_definitions` VALUES (97918, 5129, 26, 'Prodotto');
INSERT INTO `lang_definitions` VALUES (97919, 5130, 26, 'Prodotto metodo contraccettivo');
INSERT INTO `lang_definitions` VALUES (97920, 5131, 26, 'Produzione');
INSERT INTO `lang_definitions` VALUES (97921, 5132, 26, 'Prodotti');
INSERT INTO `lang_definitions` VALUES (97922, 5133, 26, 'Prodotti ma non farmaci da prescrizione e senza modelli');
INSERT INTO `lang_definitions` VALUES (97923, 5134, 26, 'Prof.');
INSERT INTO `lang_definitions` VALUES (97924, 5135, 26, 'Note sul Progresso');
INSERT INTO `lang_definitions` VALUES (97925, 5136, 26, 'Cancro alla prostata');
INSERT INTO `lang_definitions` VALUES (97926, 5137, 26, 'Screening del cancro alla prostata');
INSERT INTO `lang_definitions` VALUES (97927, 5138, 26, 'Esame della prostata');
INSERT INTO `lang_definitions` VALUES (97928, 5139, 26, 'Problemi alla prostata');
INSERT INTO `lang_definitions` VALUES (97929, 5140, 26, 'Prostata e/o ingross., noduli, molle');
INSERT INTO `lang_definitions` VALUES (97930, 5141, 26, 'Protocollo');
INSERT INTO `lang_definitions` VALUES (97931, 5142, 26, 'Inserisci il percorso assoluto');
INSERT INTO `lang_definitions` VALUES (97932, 5143, 26, 'Inserisci il percorso assoluto del file');
INSERT INTO `lang_definitions` VALUES (97933, 5145, 26, 'Fornisce riassunti clinici per i pazienti per ciascuna visita in studio');
INSERT INTO `lang_definitions` VALUES (97934, 5146, 26, 'Fornisce ai pazienti una copia elettronica con informazioni sul loro stato di salute (inclusi i risultati dei test diagnostici, elenco dei problemi, elenco dei farmaci, allergie), su rchiesta.');
INSERT INTO `lang_definitions` VALUES (97935, 5147, 26, 'Fornire i pazienti con tempestivo accesso elettronico alle loro informazioni sanitarie (compresi i risultati di laboratorio, lista problema, elenchi farmaci, allergie farmaci) entro quattro giorni lavorativi delle informazioni di cui dispone la PE.');
INSERT INTO `lang_definitions` VALUES (97936, 5148, 26, 'Fornire i record al paziente per la visita');
INSERT INTO `lang_definitions` VALUES (97937, 5149, 26, 'Inserisci un indirizzo email valido');
INSERT INTO `lang_definitions` VALUES (97938, 5150, 26, 'E\' stato fornito il riassunto clinico?');
INSERT INTO `lang_definitions` VALUES (97939, 5151, 26, 'Sono state fornite le risorse educative?');
INSERT INTO `lang_definitions` VALUES (97940, 5152, 26, 'Operatore');
INSERT INTO `lang_definitions` VALUES (97941, 5153, 26, 'Id Operatore');
INSERT INTO `lang_definitions` VALUES (97942, 5154, 26, 'ID Operatore');
INSERT INTO `lang_definitions` VALUES (97943, 5155, 26, 'ID Operatore presso la struttura specificata');
INSERT INTO `lang_definitions` VALUES (97944, 5156, 26, 'Errori di corrispondenza dell\'operatore');
INSERT INTO `lang_definitions` VALUES (97945, 5159, 26, 'Numero Operatore');
INSERT INTO `lang_definitions` VALUES (97946, 5160, 26, 'Relazione operatore');
INSERT INTO `lang_definitions` VALUES (97947, 5162, 26, 'Operatore:');
INSERT INTO `lang_definitions` VALUES (97948, 5163, 26, 'Operatori');
INSERT INTO `lang_definitions` VALUES (97949, 5164, 26, 'Operatore NPI');
INSERT INTO `lang_definitions` VALUES (97950, 5165, 26, 'Gli operatori vedono l\'intera agenda');
INSERT INTO `lang_definitions` VALUES (97951, 5166, 26, 'Opr');
INSERT INTO `lang_definitions` VALUES (97952, 5167, 26, 'PSA');
INSERT INTO `lang_definitions` VALUES (97953, 5168, 26, 'Psoriasi');
INSERT INTO `lang_definitions` VALUES (97954, 5169, 26, 'Diagnosi psic.');
INSERT INTO `lang_definitions` VALUES (97955, 5170, 26, 'Farmaco psic.');
INSERT INTO `lang_definitions` VALUES (97956, 5171, 26, 'Psichiatrico');
INSERT INTO `lang_definitions` VALUES (97957, 5172, 26, 'Breve relazione psichiatrica');
INSERT INTO `lang_definitions` VALUES (97958, 5173, 26, 'Diagnosi psichiatrica');
INSERT INTO `lang_definitions` VALUES (97959, 5174, 26, 'Esame psichiatrico');
INSERT INTO `lang_definitions` VALUES (97960, 5175, 26, 'Storia psichiatrica');
INSERT INTO `lang_definitions` VALUES (97961, 5176, 26, 'Presa in carico psichiatrica');
INSERT INTO `lang_definitions` VALUES (97962, 5177, 26, 'Farmaco psichiatrico');
INSERT INTO `lang_definitions` VALUES (97963, 5178, 26, 'Pz %');
INSERT INTO `lang_definitions` VALUES (97964, 5179, 26, 'Pz Note');
INSERT INTO `lang_definitions` VALUES (97965, 5180, 26, 'Pz Note/Aut');
INSERT INTO `lang_definitions` VALUES (97966, 5181, 26, 'Pz sovrapag');
INSERT INTO `lang_definitions` VALUES (97967, 5182, 26, 'Pz Pagato');
INSERT INTO `lang_definitions` VALUES (97968, 5183, 26, 'Pz Richiesta Rec');
INSERT INTO `lang_definitions` VALUES (97969, 5184, 26, 'Pz rimborso');
INSERT INTO `lang_definitions` VALUES (97970, 5185, 26, 'Pz dimesso');
INSERT INTO `lang_definitions` VALUES (97971, 5186, 26, 'Pz Resoconto');
INSERT INTO `lang_definitions` VALUES (97972, 5187, 26, 'Pz Studente, oppure lascia vuoto');
INSERT INTO `lang_definitions` VALUES (97973, 5188, 26, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (97974, 5189, 26, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (97975, 5190, 26, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (97976, 5191, 26, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (97977, 5192, 26, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (97978, 5193, 26, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (97979, 5194, 26, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (97980, 5195, 26, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (97981, 5196, 26, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (97982, 5197, 26, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (97983, 5198, 26, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (97984, 5199, 26, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (97985, 5201, 26, 'Pubblico');
INSERT INTO `lang_definitions` VALUES (97986, 5203, 26, 'Servizio Sanitario Pubblico (PHS) o altro ente federale');
INSERT INTO `lang_definitions` VALUES (97987, 5204, 26, 'Portoricano');
INSERT INTO `lang_definitions` VALUES (97988, 5205, 26, 'Polmonare');
INSERT INTO `lang_definitions` VALUES (97989, 5206, 26, 'Battito');
INSERT INTO `lang_definitions` VALUES (97990, 5207, 26, 'Punjabi');
INSERT INTO `lang_definitions` VALUES (97991, 5208, 26, 'Acquista');
INSERT INTO `lang_definitions` VALUES (97992, 5209, 26, 'Acquista/Restituisci');
INSERT INTO `lang_definitions` VALUES (97993, 5210, 26, 'Acquisti');
INSERT INTO `lang_definitions` VALUES (97994, 5211, 26, 'P{{Justify Header}}');
INSERT INTO `lang_definitions` VALUES (97995, 5212, 26, 'Pāli');
INSERT INTO `lang_definitions` VALUES (97996, 5213, 26, 'q.3h');
INSERT INTO `lang_definitions` VALUES (97997, 5214, 26, 'q.4h');
INSERT INTO `lang_definitions` VALUES (97998, 5215, 26, 'q.5h');
INSERT INTO `lang_definitions` VALUES (97999, 5216, 26, 'q.6h');
INSERT INTO `lang_definitions` VALUES (98000, 5217, 26, 'q.8h');
INSERT INTO `lang_definitions` VALUES (98001, 5218, 26, 'q.d.');
INSERT INTO `lang_definitions` VALUES (98002, 5219, 26, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (98003, 5220, 26, 'QOH (quantità in giacenza)');
INSERT INTO `lang_definitions` VALUES (98004, 5221, 26, 'QOH è inferiore a utilizzo mensile');
INSERT INTO `lang_definitions` VALUES (98005, 5222, 26, 'Qtà');
INSERT INTO `lang_definitions` VALUES (98006, 5223, 26, 'QTA');
INSERT INTO `lang_definitions` VALUES (98007, 5224, 26, 'Qualità');
INSERT INTO `lang_definitions` VALUES (98008, 5225, 26, 'Misure di qualità (CQM)');
INSERT INTO `lang_definitions` VALUES (98009, 5226, 26, 'Quantità');
INSERT INTO `lang_definitions` VALUES (98010, 5227, 26, 'Quantità per NDC (National drug code)');
INSERT INTO `lang_definitions` VALUES (98011, 5228, 26, 'Quantità in giacenza');
INSERT INTO `lang_definitions` VALUES (98012, 5229, 26, 'quantità non sembra utilizzabile');
INSERT INTO `lang_definitions` VALUES (98013, 5230, 26, 'Quechua');
INSERT INTO `lang_definitions` VALUES (98014, 5231, 26, 'Punto Interrogativo');
INSERT INTO `lang_definitions` VALUES (98015, 5232, 26, 'Coda per HCFA processo batch');
INSERT INTO `lang_definitions` VALUES (98016, 5233, 26, 'Coda per HCFA processo batch');
INSERT INTO `lang_definitions` VALUES (98017, 5234, 26, 'Coda per UB-92 processo batch');
INSERT INTO `lang_definitions` VALUES (98018, 5235, 26, 'Coda per UB-92 processo batch e stampa');
INSERT INTO `lang_definitions` VALUES (98019, 5236, 26, 'In coda');
INSERT INTO `lang_definitions` VALUES (98020, 5237, 26, 'Amministrazione Eventi in coda');
INSERT INTO `lang_definitions` VALUES (98021, 5238, 26, 'In coda da');
INSERT INTO `lang_definitions` VALUES (98022, 5240, 26, 'Amministrazione Inserimenti in coda');
INSERT INTO `lang_definitions` VALUES (98023, 5241, 26, 'Smettere');
INSERT INTO `lang_definitions` VALUES (98024, 5242, 26, 'Smettere di bere alcool');
INSERT INTO `lang_definitions` VALUES (98025, 5243, 26, 'R');
INSERT INTO `lang_definitions` VALUES (98026, 5244, 26, 'RA per il paziente, di incontro, o traccia');
INSERT INTO `lang_definitions` VALUES (98027, 5245, 26, 'Razza');
INSERT INTO `lang_definitions` VALUES (98028, 5246, 26, 'Razza ed Etnicità');
INSERT INTO `lang_definitions` VALUES (98029, 5247, 26, 'Razza/Etnicità');
INSERT INTO `lang_definitions` VALUES (98030, 5248, 26, 'Radio');
INSERT INTO `lang_definitions` VALUES (98031, 5249, 26, 'Pulsanti radio');
INSERT INTO `lang_definitions` VALUES (98032, 5251, 26, 'Intervallo');
INSERT INTO `lang_definitions` VALUES (98033, 5252, 26, 'eruzioni cutanee');
INSERT INTO `lang_definitions` VALUES (98034, 5253, 26, 'Tasso');
INSERT INTO `lang_definitions` VALUES (98035, 5254, 26, 'Ratio');
INSERT INTO `lang_definitions` VALUES (98036, 5255, 26, 'Raw Report');
INSERT INTO `lang_definitions` VALUES (98037, 5256, 26, 'Re-Identificazione');
INSERT INTO `lang_definitions` VALUES (98038, 5257, 26, 'Il processo di Re-Identificazione è completato');
INSERT INTO `lang_definitions` VALUES (98039, 5258, 26, 'Il processo di Re-Identificazione è in corso');
INSERT INTO `lang_definitions` VALUES (98040, 5259, 26, 'I file di Re-Identificazione saranno salvati in');
INSERT INTO `lang_definitions` VALUES (98041, 5260, 26, 'Ri-Lesione?');
INSERT INTO `lang_definitions` VALUES (98042, 5261, 26, 'Ri-Apri');
INSERT INTO `lang_definitions` VALUES (98043, 5262, 26, 'Ri-aperto');
INSERT INTO `lang_definitions` VALUES (98044, 5263, 26, 'Reazione');
INSERT INTO `lang_definitions` VALUES (98045, 5264, 26, 'Reazioni');
INSERT INTO `lang_definitions` VALUES (98046, 5265, 26, 'Lettura');
INSERT INTO `lang_definitions` VALUES (98047, 5267, 26, 'Solo lettura per storico');
INSERT INTO `lang_definitions` VALUES (98048, 5268, 26, 'Nome reale');
INSERT INTO `lang_definitions` VALUES (98049, 5269, 26, 'Veramente cancellato');
INSERT INTO `lang_definitions` VALUES (98050, 5270, 26, 'Motivo');
INSERT INTO `lang_definitions` VALUES (98051, 5271, 26, 'Motivo del decesso');
INSERT INTO `lang_definitions` VALUES (98052, 5272, 26, 'Motivo della morte');
INSERT INTO `lang_definitions` VALUES (98053, 5274, 26, 'Motivo di rinvio');
INSERT INTO `lang_definitions` VALUES (98054, 5275, 26, 'Motivo della visita');
INSERT INTO `lang_definitions` VALUES (98055, 5276, 26, 'Motivo/Modulo');
INSERT INTO `lang_definitions` VALUES (98056, 5277, 26, 'Ricevuta');
INSERT INTO `lang_definitions` VALUES (98057, 5278, 26, 'Ricevuta di pagamento');
INSERT INTO `lang_definitions` VALUES (98058, 5279, 26, 'Ricevuta generata');
INSERT INTO `lang_definitions` VALUES (98059, 5280, 26, 'Rapporto Ricevute per metodo di pagamento');
INSERT INTO `lang_definitions` VALUES (98060, 5281, 26, 'Sommario ricevute');
INSERT INTO `lang_definitions` VALUES (98061, 5282, 26, 'Ricevuto');
INSERT INTO `lang_definitions` VALUES (98062, 5283, 26, 'Ricevuto da');
INSERT INTO `lang_definitions` VALUES (98063, 5284, 26, 'Fax ricevuti');
INSERT INTO `lang_definitions` VALUES (98064, 5285, 26, 'Ricevuto, non rivisto');
INSERT INTO `lang_definitions` VALUES (98065, 5286, 26, 'Ricevuto, non rivisto');
INSERT INTO `lang_definitions` VALUES (98066, 5287, 26, 'Ricevente');
INSERT INTO `lang_definitions` VALUES (98067, 5288, 26, 'ID Ricevente');
INSERT INTO `lang_definitions` VALUES (98068, 5289, 26, 'ID Ricevente (ISA08)');
INSERT INTO `lang_definitions` VALUES (98069, 5290, 26, 'ID Qualificatore Ricevente (ISA07)');
INSERT INTO `lang_definitions` VALUES (98070, 5291, 26, 'IDs ricevente');
INSERT INTO `lang_definitions` VALUES (98071, 5292, 26, 'Le utlime tre password non sono consentite');
INSERT INTO `lang_definitions` VALUES (98072, 5293, 26, 'Destinatario');
INSERT INTO `lang_definitions` VALUES (98073, 5294, 26, 'L\'elenco destinatari è vuoto');
INSERT INTO `lang_definitions` VALUES (98074, 5295, 26, 'Nome Destinatario');
INSERT INTO `lang_definitions` VALUES (98075, 5296, 26, 'Destinatario dell\'Informativa');
INSERT INTO `lang_definitions` VALUES (98076, 5297, 26, 'Destinatario richiesto a meno che lo stato sia fatto');
INSERT INTO `lang_definitions` VALUES (98077, 5298, 26, 'Raccomandazione');
INSERT INTO `lang_definitions` VALUES (98078, 5299, 26, 'Raccomandazione per il Follow Up');
INSERT INTO `lang_definitions` VALUES (98079, 5300, 26, 'Raccomandazioni');
INSERT INTO `lang_definitions` VALUES (98080, 5301, 26, 'Raccomandazioni e trattamento');
INSERT INTO `lang_definitions` VALUES (98081, 5302, 26, 'Raccomandazioni dello specialista');
INSERT INTO `lang_definitions` VALUES (98082, 5303, 26, 'Registra');
INSERT INTO `lang_definitions` VALUES (98083, 5304, 26, 'Il record esiste già');
INSERT INTO `lang_definitions` VALUES (98084, 5310, 26, 'Registra e tabula i cambiamenti i cambiamenti nei segni Vitali');
INSERT INTO `lang_definitions` VALUES (98085, 5311, 26, 'Registra la Demografica');
INSERT INTO `lang_definitions` VALUES (98086, 5312, 26, 'Registra Informativa');
INSERT INTO `lang_definitions` VALUES (98087, 5313, 26, 'Registro attività fisica');
INSERT INTO `lang_definitions` VALUES (98088, 5314, 26, 'Registra pagamento');
INSERT INTO `lang_definitions` VALUES (98089, 5315, 26, 'Registra data di richiesta');
INSERT INTO `lang_definitions` VALUES (98090, 5316, 26, 'Record abitudine al fumo per i pazienti di 13 anni o più vecchi.');
INSERT INTO `lang_definitions` VALUES (98091, 5317, 26, 'Records');
INSERT INTO `lang_definitions` VALUES (98092, 5318, 26, 'record trovati');
INSERT INTO `lang_definitions` VALUES (98093, 5319, 26, 'record trovati.');
INSERT INTO `lang_definitions` VALUES (98094, 5320, 26, 'Uso di droga ricreazionale');
INSERT INTO `lang_definitions` VALUES (98095, 5321, 26, 'Droghe ricreazionali');
INSERT INTO `lang_definitions` VALUES (98096, 5322, 26, 'Rettale');
INSERT INTO `lang_definitions` VALUES (98097, 5323, 26, 'Esame rettale');
INSERT INTO `lang_definitions` VALUES (98098, 5324, 26, 'rettalmente');
INSERT INTO `lang_definitions` VALUES (98099, 5325, 26, 'Reindirizzamento');
INSERT INTO `lang_definitions` VALUES (98100, 5326, 26, 'Rossore');
INSERT INTO `lang_definitions` VALUES (98101, 5327, 26, 'ridotto:');
INSERT INTO `lang_definitions` VALUES (98102, 5328, 26, 'Riferimento');
INSERT INTO `lang_definitions` VALUES (98103, 5329, 26, 'Riferimento di');
INSERT INTO `lang_definitions` VALUES (98104, 5330, 26, 'Data riferimento');
INSERT INTO `lang_definitions` VALUES (98105, 5331, 26, 'Riferimento a');
INSERT INTO `lang_definitions` VALUES (98106, 5332, 26, 'Riferimento classificazione (livello di rischio)');
INSERT INTO `lang_definitions` VALUES (98107, 5333, 26, 'Campo di riferimento dei risultati');
INSERT INTO `lang_definitions` VALUES (98108, 5334, 26, 'Motivo del riferimento');
INSERT INTO `lang_definitions` VALUES (98109, 5335, 26, 'Referente');
INSERT INTO `lang_definitions` VALUES (98110, 5336, 26, 'Referente nome e firma');
INSERT INTO `lang_definitions` VALUES (98111, 5337, 26, 'Referente');
INSERT INTO `lang_definitions` VALUES (98112, 5338, 26, 'Competenza di');
INSERT INTO `lang_definitions` VALUES (98113, 5339, 26, 'Scheda competenza');
INSERT INTO `lang_definitions` VALUES (98114, 5340, 26, 'Data competenza');
INSERT INTO `lang_definitions` VALUES (98115, 5341, 26, 'Modulo competenza');
INSERT INTO `lang_definitions` VALUES (98116, 5342, 26, 'MODULO COMPETENZA');
INSERT INTO `lang_definitions` VALUES (98117, 5343, 26, 'ID Competenza');
INSERT INTO `lang_definitions` VALUES (98118, 5345, 26, 'Fonte competenza');
INSERT INTO `lang_definitions` VALUES (98119, 5346, 26, 'Fonte competenza per gli incontri');
INSERT INTO `lang_definitions` VALUES (98120, 5347, 26, 'Competenza delle');
INSERT INTO `lang_definitions` VALUES (98121, 5348, 26, 'Referenze');
INSERT INTO `lang_definitions` VALUES (98122, 5349, 26, 'Report referenze');
INSERT INTO `lang_definitions` VALUES (98123, 5350, 26, 'Riferito da');
INSERT INTO `lang_definitions` VALUES (98124, 5351, 26, 'Riferito da');
INSERT INTO `lang_definitions` VALUES (98125, 5352, 26, 'Riferito a');
INSERT INTO `lang_definitions` VALUES (98126, 5353, 26, 'Referente');
INSERT INTO `lang_definitions` VALUES (98127, 5354, 26, 'Indirizzo referente');
INSERT INTO `lang_definitions` VALUES (98128, 5355, 26, 'Diagnosi referente');
INSERT INTO `lang_definitions` VALUES (98129, 5356, 26, 'Diagnosi referente');
INSERT INTO `lang_definitions` VALUES (98130, 5357, 26, 'Medico di riferimento e pratica');
INSERT INTO `lang_definitions` VALUES (98131, 5358, 26, 'Fornitore referente');
INSERT INTO `lang_definitions` VALUES (98132, 5359, 26, 'Ricarica');
INSERT INTO `lang_definitions` VALUES (98133, 5360, 26, 'Ricariche');
INSERT INTO `lang_definitions` VALUES (98134, 5361, 26, 'ricariche');
INSERT INTO `lang_definitions` VALUES (98135, 5362, 26, 'Riflessi normali');
INSERT INTO `lang_definitions` VALUES (98136, 5363, 26, 'Aggiornare');
INSERT INTO `lang_definitions` VALUES (98137, 5365, 26, 'Aggiornamento promemoria');
INSERT INTO `lang_definitions` VALUES (98138, 5368, 26, 'Ha rifiutato di Indicare');
INSERT INTO `lang_definitions` VALUES (98139, 5369, 26, 'reg_re');
INSERT INTO `lang_definitions` VALUES (98140, 5370, 26, 'registra');
INSERT INTO `lang_definitions` VALUES (98141, 5371, 26, 'Registra');
INSERT INTO `lang_definitions` VALUES (98142, 5372, 26, 'Registrato');
INSERT INTO `lang_definitions` VALUES (98143, 5373, 26, 'registrato');
INSERT INTO `lang_definitions` VALUES (98144, 5374, 26, 'Moduli registrati');
INSERT INTO `lang_definitions` VALUES (98145, 5375, 26, 'Data registrazione');
INSERT INTO `lang_definitions` VALUES (98146, 5376, 26, 'Modulo registrazione');
INSERT INTO `lang_definitions` VALUES (98147, 5377, 26, 'Riabilitazione');
INSERT INTO `lang_definitions` VALUES (98148, 5379, 26, 'Respinto');
INSERT INTO `lang_definitions` VALUES (98149, 5380, 26, 'Potenziale recidiva');
INSERT INTO `lang_definitions` VALUES (98150, 5381, 26, 'Correlato a');
INSERT INTO `lang_definitions` VALUES (98151, 5382, 26, 'Correlato');
INSERT INTO `lang_definitions` VALUES (98152, 5383, 26, 'Tematica correlata');
INSERT INTO `lang_definitions` VALUES (98153, 5384, 26, 'Note paziente correlate');
INSERT INTO `lang_definitions` VALUES (98154, 5385, 26, 'Relazione(i)/Figli');
INSERT INTO `lang_definitions` VALUES (98155, 5386, 26, 'Relazioni');
INSERT INTO `lang_definitions` VALUES (98156, 5387, 26, 'Relazione');
INSERT INTO `lang_definitions` VALUES (98157, 5388, 26, 'Ordine relativo di questa entità');
INSERT INTO `lang_definitions` VALUES (98158, 5389, 26, 'Parenti');
INSERT INTO `lang_definitions` VALUES (98159, 5390, 26, 'Pressione consanguinei');
INSERT INTO `lang_definitions` VALUES (98160, 5391, 26, 'Cancro consanguinei');
INSERT INTO `lang_definitions` VALUES (98161, 5392, 26, 'Diabete consanguinei');
INSERT INTO `lang_definitions` VALUES (98162, 5393, 26, 'Epilessia consanguinei');
INSERT INTO `lang_definitions` VALUES (98163, 5394, 26, 'Cuore consanguinei');
INSERT INTO `lang_definitions` VALUES (98164, 5395, 26, 'Salute mentale consanguinei');
INSERT INTO `lang_definitions` VALUES (98165, 5396, 26, 'Colpo apoplettico consanguinei');
INSERT INTO `lang_definitions` VALUES (98166, 5397, 26, 'Suicidi consanguinei');
INSERT INTO `lang_definitions` VALUES (98167, 5398, 26, 'Tubercolosi consanguinei');
INSERT INTO `lang_definitions` VALUES (98168, 5399, 26, 'Il collegamento alle credenziali sanitarie mancano in questo account utente');
INSERT INTO `lang_definitions` VALUES (98169, 5400, 26, 'ID collegamento sanitario');
INSERT INTO `lang_definitions` VALUES (98170, 5402, 26, 'Data di rilascio');
INSERT INTO `lang_definitions` VALUES (98171, 5403, 26, 'Religione');
INSERT INTO `lang_definitions` VALUES (98172, 5406, 26, 'Nuovo login');
INSERT INTO `lang_definitions` VALUES (98173, 5407, 26, 'Promem');
INSERT INTO `lang_definitions` VALUES (98174, 5408, 26, 'Ricorda la sede selezionata');
INSERT INTO `lang_definitions` VALUES (98175, 5409, 26, 'Promemoria');
INSERT INTO `lang_definitions` VALUES (98176, 5410, 26, 'Intervalli dei promemoria');
INSERT INTO `lang_definitions` VALUES (98177, 5411, 26, 'Promemoria non ancora inviato');
INSERT INTO `lang_definitions` VALUES (98178, 5412, 26, 'Promemoria inviato il');
INSERT INTO `lang_definitions` VALUES (98179, 5413, 26, 'Promemoria');
INSERT INTO `lang_definitions` VALUES (98180, 5414, 26, 'Mandato di');
INSERT INTO `lang_definitions` VALUES (98181, 5415, 26, 'Host remoto');
INSERT INTO `lang_definitions` VALUES (98182, 5416, 26, 'Rimuovi');
INSERT INTO `lang_definitions` VALUES (98183, 5419, 26, 'Rimuovi il gruppo');
INSERT INTO `lang_definitions` VALUES (98184, 5420, 26, 'Rimuovi il modulo del gruppo');
INSERT INTO `lang_definitions` VALUES (98185, 5421, 26, 'Rimuove il supporto per le immunizzazioni');
INSERT INTO `lang_definitions` VALUES (98186, 5422, 26, 'Rimuove il suporto per phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (98187, 5423, 26, 'Rimuove il supporto per le prescrizioni');
INSERT INTO `lang_definitions` VALUES (98188, 5425, 26, 'Rimuove la funzione di tracciato grafico');
INSERT INTO `lang_definitions` VALUES (98189, 5426, 26, 'Calcoli renali');
INSERT INTO `lang_definitions` VALUES (98190, 5427, 26, 'Rinomina');
INSERT INTO `lang_definitions` VALUES (98191, 5428, 26, 'Rinomina il gruppo');
INSERT INTO `lang_definitions` VALUES (98192, 5429, 26, 'Rendering');
INSERT INTO `lang_definitions` VALUES (98193, 5430, 26, 'Fornitore Rendering');
INSERT INTO `lang_definitions` VALUES (98194, 5431, 26, 'Numero fornitore di Rendering');
INSERT INTO `lang_definitions` VALUES (98195, 5432, 26, 'Riordina');
INSERT INTO `lang_definitions` VALUES (98196, 5433, 26, 'Riordina a');
INSERT INTO `lang_definitions` VALUES (98197, 5434, 26, 'Il punto di riordino è stato raggiunto');
INSERT INTO `lang_definitions` VALUES (98198, 5435, 26, 'Punto di riordino, 0 non applicabile');
INSERT INTO `lang_definitions` VALUES (98199, 5436, 26, 'Rip');
INSERT INTO `lang_definitions` VALUES (98200, 5437, 26, 'Ripetere nuova password');
INSERT INTO `lang_definitions` VALUES (98201, 5438, 26, 'Evento ripetuto');
INSERT INTO `lang_definitions` VALUES (98202, 5439, 26, 'Info sulle ripetizioni:');
INSERT INTO `lang_definitions` VALUES (98203, 5440, 26, 'Ripetizioni');
INSERT INTO `lang_definitions` VALUES (98204, 5441, 26, 'SOSTITUIRE');
INSERT INTO `lang_definitions` VALUES (98205, 5442, 26, 'Sostituire lintero set di codici');
INSERT INTO `lang_definitions` VALUES (98206, 5443, 26, 'Sostituire');
INSERT INTO `lang_definitions` VALUES (98207, 5444, 26, 'Data dellla risposta');
INSERT INTO `lang_definitions` VALUES (98208, 5445, 26, 'Risposta da');
INSERT INTO `lang_definitions` VALUES (98209, 5446, 26, 'Resoconto');
INSERT INTO `lang_definitions` VALUES (98210, 5447, 26, 'Resoconto - Clinico');
INSERT INTO `lang_definitions` VALUES (98211, 5449, 26, 'Resoconto per');
INSERT INTO `lang_definitions` VALUES (98212, 5451, 26, 'Relazione finale (Abbandono Cura Data)');
INSERT INTO `lang_definitions` VALUES (98213, 5452, 26, 'La relazione è stata inviata al paziente');
INSERT INTO `lang_definitions` VALUES (98214, 5453, 26, 'Report storico/risultati');
INSERT INTO `lang_definitions` VALUES (98215, 5454, 26, 'Risultati del report');
INSERT INTO `lang_definitions` VALUES (98216, 5455, 26, 'Report risultati/storico');
INSERT INTO `lang_definitions` VALUES (98217, 5456, 26, 'Avvio rapporto (Assunto cura Data)');
INSERT INTO `lang_definitions` VALUES (98218, 5457, 26, 'Stato report');
INSERT INTO `lang_definitions` VALUES (98219, 5458, 26, 'Totale report');
INSERT INTO `lang_definitions` VALUES (98220, 5459, 26, 'Report/Scheda');
INSERT INTO `lang_definitions` VALUES (98221, 5460, 26, 'Refertabile');
INSERT INTO `lang_definitions` VALUES (98222, 5461, 26, 'Segnalato');
INSERT INTO `lang_definitions` VALUES (98223, 5462, 26, 'Data segnalazione');
INSERT INTO `lang_definitions` VALUES (98224, 5463, 26, 'Resoconti');
INSERT INTO `lang_definitions` VALUES (98225, 5465, 26, 'Descrizione richiesta');
INSERT INTO `lang_definitions` VALUES (98226, 5466, 26, 'ID richiesto mancante!');
INSERT INTO `lang_definitions` VALUES (98227, 5467, 26, 'Richiesta ignorata - elaborazione delle richieste è già in esecuzione!');
INSERT INTO `lang_definitions` VALUES (98228, 5469, 26, 'Stato richiesta');
INSERT INTO `lang_definitions` VALUES (98229, 5470, 26, 'Tipo richiesta');
INSERT INTO `lang_definitions` VALUES (98230, 5471, 26, 'Il tipo di richiesta non è implementato');
INSERT INTO `lang_definitions` VALUES (98231, 5472, 26, 'Richiesto da');
INSERT INTO `lang_definitions` VALUES (98232, 5473, 26, 'Data richiesta');
INSERT INTO `lang_definitions` VALUES (98233, 5474, 26, 'Prestazione richiesta');
INSERT INTO `lang_definitions` VALUES (98234, 5475, 26, 'Richiedere una password forte');
INSERT INTO `lang_definitions` VALUES (98235, 5476, 26, 'Richiedere una password unica');
INSERT INTO `lang_definitions` VALUES (98236, 5477, 26, 'Richiesto(a)');
INSERT INTO `lang_definitions` VALUES (98237, 5478, 26, 'Copagamento richiesto');
INSERT INTO `lang_definitions` VALUES (98238, 5479, 26, 'Manca il campo richiesto: scegli il file EDI-271 da caricare.');
INSERT INTO `lang_definitions` VALUES (98239, 5480, 26, 'Campo richiesto mancante: inserisci il nome');
INSERT INTO `lang_definitions` VALUES (98240, 5481, 26, 'Campo richiesto mancante: inserisci il cognome');
INSERT INTO `lang_definitions` VALUES (98241, 5482, 26, 'Campo richiesto mancante: inserisci il nome utente');
INSERT INTO `lang_definitions` VALUES (98242, 5483, 26, 'Campi richiesti');
INSERT INTO `lang_definitions` VALUES (98243, 5484, 26, 'Requisiti');
INSERT INTO `lang_definitions` VALUES (98244, 5485, 26, 'RISERVATO');
INSERT INTO `lang_definitions` VALUES (98245, 5486, 26, 'Riservato');
INSERT INTO `lang_definitions` VALUES (98246, 5487, 26, 'Riservato al fine di definire il Tempo programmato di vancanza');
INSERT INTO `lang_definitions` VALUES (98247, 5488, 26, 'Riservato per definire quando un erogante non è disponibile per successivi appuntamenti.');
INSERT INTO `lang_definitions` VALUES (98248, 5489, 26, 'Riservato per definire quando un evento non si è verificato come specificato.');
INSERT INTO `lang_definitions` VALUES (98249, 5490, 26, 'Riservato per definire quando un erogante potrebbe avere appuntamenti successivi.');
INSERT INTO `lang_definitions` VALUES (98250, 5491, 26, 'Resetta');
INSERT INTO `lang_definitions` VALUES (98251, 5492, 26, 'Resetta le credenziali del portale Offsite');
INSERT INTO `lang_definitions` VALUES (98252, 5493, 26, 'Resetta le credenziali del portale Onsite');
INSERT INTO `lang_definitions` VALUES (98253, 5495, 26, 'Resn');
INSERT INTO `lang_definitions` VALUES (98254, 5496, 26, 'Risolto');
INSERT INTO `lang_definitions` VALUES (98255, 5497, 26, 'Respirazione');
INSERT INTO `lang_definitions` VALUES (98256, 5498, 26, 'Sforzo respiratorio naturale');
INSERT INTO `lang_definitions` VALUES (98257, 5499, 26, 'Respiratorio');
INSERT INTO `lang_definitions` VALUES (98258, 5501, 26, 'Limitare utenti non autorizzati ai servizi di pianificazione stabiliti in utente admin.');
INSERT INTO `lang_definitions` VALUES (98259, 5502, 26, 'Restringi gli utenti alla sede');
INSERT INTO `lang_definitions` VALUES (98260, 5503, 26, 'Addestramento riservato');
INSERT INTO `lang_definitions` VALUES (98261, 5504, 26, 'Risultato');
INSERT INTO `lang_definitions` VALUES (98262, 5505, 26, 'Nome risultato');
INSERT INTO `lang_definitions` VALUES (98263, 5506, 26, 'Stato risultati');
INSERT INTO `lang_definitions` VALUES (98264, 5507, 26, 'Mancano lo status risultati o anormalità');
INSERT INTO `lang_definitions` VALUES (98265, 5508, 26, 'Risultato, usare % come un carattere jolly');
INSERT INTO `lang_definitions` VALUES (98266, 5509, 26, 'Risultati');
INSERT INTO `lang_definitions` VALUES (98267, 5510, 26, 'Risutati e');
INSERT INTO `lang_definitions` VALUES (98268, 5511, 26, 'Risultati trovati per la Ricerca');
INSERT INTO `lang_definitions` VALUES (98269, 5512, 26, 'Gruppo Risultati');
INSERT INTO `lang_definitions` VALUES (98270, 5513, 26, 'Solo risultati');
INSERT INTO `lang_definitions` VALUES (98271, 5514, 26, 'Percorso risultati');
INSERT INTO `lang_definitions` VALUES (98272, 5515, 26, 'Risultati per pagina');
INSERT INTO `lang_definitions` VALUES (98273, 5516, 26, 'Risultati/Dettagli');
INSERT INTO `lang_definitions` VALUES (98274, 5517, 26, 'Esame retinico');
INSERT INTO `lang_definitions` VALUES (98275, 5518, 26, 'Retratto a destra:');
INSERT INTO `lang_definitions` VALUES (98276, 5519, 26, 'Ritorno');
INSERT INTO `lang_definitions` VALUES (98277, 5520, 26, 'Ritorna sopra alla parte con il pagamento');
INSERT INTO `lang_definitions` VALUES (98278, 5521, 26, 'Ritorna all\'agenda');
INSERT INTO `lang_definitions` VALUES (98279, 5522, 26, 'Ritorna al report risultati');
INSERT INTO `lang_definitions` VALUES (98280, 5523, 26, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di ICD10  cliccando sull\'intestazione della sezione ICD10');
INSERT INTO `lang_definitions` VALUES (98281, 5524, 26, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di ICD9  cliccando sull\'intestazione della sezione ICD9');
INSERT INTO `lang_definitions` VALUES (98282, 5525, 26, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di RxNorm  cliccando sull\'intestazione della sezione RXNORM');
INSERT INTO `lang_definitions` VALUES (98283, 5526, 26, 'Torna a questa pagina e sarete in grado di completare il processo di installazione di snomed  cliccando sull\'intestazione della sezione SNOMED');
INSERT INTO `lang_definitions` VALUES (98284, 5527, 26, 'Valore restituito');
INSERT INTO `lang_definitions` VALUES (98285, 5528, 26, 'Visita di ritorno');
INSERT INTO `lang_definitions` VALUES (98286, 5529, 26, 'Ritornato a giocare');
INSERT INTO `lang_definitions` VALUES (98287, 5530, 26, 'Riutilizzo delle tre password precedenti non ammessi!');
INSERT INTO `lang_definitions` VALUES (98288, 5531, 26, 'Revisione');
INSERT INTO `lang_definitions` VALUES (98289, 5532, 26, 'Revisione & approvazione');
INSERT INTO `lang_definitions` VALUES (98290, 5534, 26, 'Recensione di PMH:');
INSERT INTO `lang_definitions` VALUES (98291, 5535, 26, 'Rassegna dei Sistemi');
INSERT INTO `lang_definitions` VALUES (98292, 5536, 26, 'Rassegna dei Sistemi Caselle');
INSERT INTO `lang_definitions` VALUES (98293, 5537, 26, 'Rivisto');
INSERT INTO `lang_definitions` VALUES (98294, 5538, 26, 'Revisione');
INSERT INTO `lang_definitions` VALUES (98295, 5539, 26, 'Artrite reumatoide');
INSERT INTO `lang_definitions` VALUES (98296, 5540, 26, 'Artrite reumatoide');
INSERT INTO `lang_definitions` VALUES (98297, 5541, 26, 'Destro(a)');
INSERT INTO `lang_definitions` VALUES (98298, 5542, 26, 'Orecchio destro');
INSERT INTO `lang_definitions` VALUES (98299, 5543, 26, 'orecchio destro');
INSERT INTO `lang_definitions` VALUES (98300, 5544, 26, 'Margine Destro (mm)');
INSERT INTO `lang_definitions` VALUES (98301, 5545, 26, 'Destro(a):');
INSERT INTO `lang_definitions` VALUES (98302, 5546, 26, 'Ronzio alle orecchie');
INSERT INTO `lang_definitions` VALUES (98303, 5547, 26, 'Ronzio alle orecchie');
INSERT INTO `lang_definitions` VALUES (98304, 5549, 26, 'Fattori di rischio');
INSERT INTO `lang_definitions` VALUES (98305, 5550, 26, 'Livello di rischio');
INSERT INTO `lang_definitions` VALUES (98306, 5551, 26, 'RLL:');
INSERT INTO `lang_definitions` VALUES (98307, 5552, 26, 'ROM');
INSERT INTO `lang_definitions` VALUES (98308, 5553, 26, 'Rumeno');
INSERT INTO `lang_definitions` VALUES (98309, 5554, 26, 'Romansh');
INSERT INTO `lang_definitions` VALUES (98310, 5560, 26, 'Rosa (giocatori)');
INSERT INTO `lang_definitions` VALUES (98311, 5561, 26, 'Via');
INSERT INTO `lang_definitions` VALUES (98312, 5562, 26, 'Via di somministrazione (se applicabile)');
INSERT INTO `lang_definitions` VALUES (98313, 5563, 26, 'Instradato');
INSERT INTO `lang_definitions` VALUES (98314, 5564, 26, 'Righe');
INSERT INTO `lang_definitions` VALUES (98315, 5565, 26, 'RRR senza MOR');
INSERT INTO `lang_definitions` VALUES (98316, 5566, 26, 'Massaggio:');
INSERT INTO `lang_definitions` VALUES (98317, 5567, 26, 'Massaggi:');
INSERT INTO `lang_definitions` VALUES (98318, 5568, 26, 'Regola');
INSERT INTO `lang_definitions` VALUES (98319, 5569, 26, 'Aggiungi regola');
INSERT INTO `lang_definitions` VALUES (98320, 5570, 26, 'Dettaglio regola');
INSERT INTO `lang_definitions` VALUES (98321, 5572, 26, 'Modifica regola');
INSERT INTO `lang_definitions` VALUES (98322, 5575, 26, 'Set regola');
INSERT INTO `lang_definitions` VALUES (98323, 5576, 26, 'Set di regole e piano SET scelte non sono coerenti. Correggi e invia di nuovo.');
INSERT INTO `lang_definitions` VALUES (98324, 5578, 26, 'Regole');
INSERT INTO `lang_definitions` VALUES (98325, 5580, 26, 'Configurazione regole');
INSERT INTO `lang_definitions` VALUES (98326, 5581, 26, 'Comando in esecuzione: ');
INSERT INTO `lang_definitions` VALUES (98327, 5582, 26, 'Rottura/Ernia');
INSERT INTO `lang_definitions` VALUES (98328, 5583, 26, 'Russo');
INSERT INTO `lang_definitions` VALUES (98329, 5584, 26, 'Rx');
INSERT INTO `lang_definitions` VALUES (98330, 5585, 26, 'RX');
INSERT INTO `lang_definitions` VALUES (98331, 5586, 26, 'Rx margine inferiore (px)');
INSERT INTO `lang_definitions` VALUES (98332, 5587, 26, 'Abilita rx DEA #');
INSERT INTO `lang_definitions` VALUES (98333, 5588, 26, 'Abilita rx NPI');
INSERT INTO `lang_definitions` VALUES (98334, 5589, 26, 'Abilita rx stato Lic. #');
INSERT INTO `lang_definitions` VALUES (98335, 5590, 26, 'Rx margine sinistro (px)');
INSERT INTO `lang_definitions` VALUES (98336, 5591, 26, 'Dimensione carta Rx');
INSERT INTO `lang_definitions` VALUES (98337, 5592, 26, 'Rx margine destro (px)');
INSERT INTO `lang_definitions` VALUES (98338, 5593, 26, 'Visualizza Rx DEA #');
INSERT INTO `lang_definitions` VALUES (98339, 5594, 26, 'Visualizza Rx NPI');
INSERT INTO `lang_definitions` VALUES (98340, 5595, 26, 'Visualizza Rx stato Lic. #');
INSERT INTO `lang_definitions` VALUES (98341, 5596, 26, 'Rx Margine superiore (px)');
INSERT INTO `lang_definitions` VALUES (98342, 5597, 26, 'RXCUI Medicazione');
INSERT INTO `lang_definitions` VALUES (98343, 5598, 26, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (98344, 5599, 26, 'Database RxNorm');
INSERT INTO `lang_definitions` VALUES (98345, 5600, 26, 'S');
INSERT INTO `lang_definitions` VALUES (98346, 5601, 26, 'S.S.');
INSERT INTO `lang_definitions` VALUES (98347, 5602, 26, 'S3:');
INSERT INTO `lang_definitions` VALUES (98348, 5603, 26, 'S4:');
INSERT INTO `lang_definitions` VALUES (98349, 5604, 26, 'SA * * Per leggere la licenza leggi docs/license.txt o visita * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (98350, 5605, 26, 'Vendita');
INSERT INTO `lang_definitions` VALUES (98351, 5606, 26, 'Vendite');
INSERT INTO `lang_definitions` VALUES (98352, 5607, 26, 'Vendite per articolo');
INSERT INTO `lang_definitions` VALUES (98353, 5608, 26, 'Vendite per Report dei prodotti');
INSERT INTO `lang_definitions` VALUES (98354, 5609, 26, 'Saliva');
INSERT INTO `lang_definitions` VALUES (98355, 5610, 26, 'Stesso giorno');
INSERT INTO `lang_definitions` VALUES (98356, 5611, 26, 'Samoano');
INSERT INTO `lang_definitions` VALUES (98357, 5612, 26, 'Campione');
INSERT INTO `lang_definitions` VALUES (98358, 5613, 26, 'Tipo sanzione');
INSERT INTO `lang_definitions` VALUES (98359, 5614, 26, 'Sango');
INSERT INTO `lang_definitions` VALUES (98360, 5615, 26, 'Sanskrit (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (98361, 5616, 26, 'Sardinian');
INSERT INTO `lang_definitions` VALUES (98362, 5617, 26, 'Sab');
INSERT INTO `lang_definitions` VALUES (98363, 5618, 26, 'Sab &amp; Dom');
INSERT INTO `lang_definitions` VALUES (98364, 5619, 26, 'Sabato');
INSERT INTO `lang_definitions` VALUES (98365, 5620, 26, 'Salva');
INSERT INTO `lang_definitions` VALUES (98366, 5621, 26, 'SALVA');
INSERT INTO `lang_definitions` VALUES (98367, 5622, 26, 'Salva e chiudi');
INSERT INTO `lang_definitions` VALUES (98368, 5623, 26, 'Salva e cancella richiesta');
INSERT INTO `lang_definitions` VALUES (98369, 5624, 26, 'Salva e distribuisci');
INSERT INTO `lang_definitions` VALUES (98370, 5625, 26, 'Salva e trasmetti');
INSERT INTO `lang_definitions` VALUES (98371, 5626, 26, 'Salva come nuovo');
INSERT INTO `lang_definitions` VALUES (98372, 5627, 26, 'Salva come nuova nota');
INSERT INTO `lang_definitions` VALUES (98373, 5628, 26, 'Salva le configurazioni del certificato');
INSERT INTO `lang_definitions` VALUES (98374, 5629, 26, 'Salva i cambiamenti');
INSERT INTO `lang_definitions` VALUES (98375, 5630, 26, 'Salva il modulo');
INSERT INTO `lang_definitions` VALUES (98376, 5631, 26, 'Salva Immunizzazione');
INSERT INTO `lang_definitions` VALUES (98377, 5632, 26, 'Salva il nuovo campo');
INSERT INTO `lang_definitions` VALUES (98378, 5633, 26, 'Salva il nuovo gruppo');
INSERT INTO `lang_definitions` VALUES (98379, 5634, 26, 'Salva il nuovo elenco');
INSERT INTO `lang_definitions` VALUES (98380, 5635, 26, 'Salva il nuovo aspetto');
INSERT INTO `lang_definitions` VALUES (98381, 5636, 26, 'Salva selezioni di omissione');
INSERT INTO `lang_definitions` VALUES (98382, 5637, 26, 'Salva la demografica del paziente');
INSERT INTO `lang_definitions` VALUES (98383, 5638, 26, 'Salvataggio riuscito per ID grafico');
INSERT INTO `lang_definitions` VALUES (98384, 5639, 26, 'Salva la transazione');
INSERT INTO `lang_definitions` VALUES (98385, 5640, 26, 'Salvato correttamente');
INSERT INTO `lang_definitions` VALUES (98386, 5641, 26, 'Scansito');
INSERT INTO `lang_definitions` VALUES (98387, 5642, 26, 'Nota incontro scansita');
INSERT INTO `lang_definitions` VALUES (98388, 5643, 26, 'Directory della scanner');
INSERT INTO `lang_definitions` VALUES (98389, 5644, 26, 'Scanner In');
INSERT INTO `lang_definitions` VALUES (98390, 5645, 26, 'Programmare');
INSERT INTO `lang_definitions` VALUES (98391, 5646, 26, 'Programma Servizi:');
INSERT INTO `lang_definitions` VALUES (98392, 5647, 26, 'NOTE SCUOLA');
INSERT INTO `lang_definitions` VALUES (98393, 5648, 26, 'Scoliosi');
INSERT INTO `lang_definitions` VALUES (98394, 5649, 26, 'Scottish Gaelic- Gaelic');
INSERT INTO `lang_definitions` VALUES (98395, 5650, 26, 'Screening / Testing');
INSERT INTO `lang_definitions` VALUES (98396, 5651, 26, 'SE');
INSERT INTO `lang_definitions` VALUES (98397, 5652, 26, 'Indirizzo SE');
INSERT INTO `lang_definitions` VALUES (98398, 5653, 26, 'Città SE');
INSERT INTO `lang_definitions` VALUES (98399, 5654, 26, 'Paese SE');
INSERT INTO `lang_definitions` VALUES (98400, 5655, 26, 'Località SE');
INSERT INTO `lang_definitions` VALUES (98401, 5656, 26, 'CAP SE');
INSERT INTO `lang_definitions` VALUES (98402, 5657, 26, 'Stato SE');
INSERT INTO `lang_definitions` VALUES (98403, 5658, 26, 'CAP SE');
INSERT INTO `lang_definitions` VALUES (98404, 5659, 26, 'Cerca');
INSERT INTO `lang_definitions` VALUES (98405, 5661, 26, 'cerca');
INSERT INTO `lang_definitions` VALUES (98406, 5662, 26, 'cerca di nuovo');
INSERT INTO `lang_definitions` VALUES (98407, 5663, 26, 'Cerca in tutte le colonne');
INSERT INTO `lang_definitions` VALUES (98408, 5664, 26, 'Carca per:');
INSERT INTO `lang_definitions` VALUES (98409, 5665, 26, 'Cerca');
INSERT INTO `lang_definitions` VALUES (98410, 5666, 26, 'Cerca:');
INSERT INTO `lang_definitions` VALUES (98411, 5667, 26, 'Cerca In');
INSERT INTO `lang_definitions` VALUES (98412, 5668, 26, 'Cerca in');
INSERT INTO `lang_definitions` VALUES (98413, 5669, 26, 'Cerca o Aggiungi Paziente');
INSERT INTO `lang_definitions` VALUES (98414, 5670, 26, 'Cerca pagamento');
INSERT INTO `lang_definitions` VALUES (98415, 5671, 26, 'Risultati della ricerca');
INSERT INTO `lang_definitions` VALUES (98416, 5672, 26, 'Risultati della ricerca:');
INSERT INTO `lang_definitions` VALUES (98417, 5673, 26, 'Cerca i selezionati');
INSERT INTO `lang_definitions` VALUES (98418, 5674, 26, 'La stringa ricercata non corrisponde con l\'elenco nel database');
INSERT INTO `lang_definitions` VALUES (98419, 5675, 26, 'La stringa ricercata dovrebbe avere almeno tre caratteri');
INSERT INTO `lang_definitions` VALUES (98420, 5676, 26, 'Cerca testo');
INSERT INTO `lang_definitions` VALUES (98421, 5677, 26, 'Cerca gli eventi');
INSERT INTO `lang_definitions` VALUES (98422, 5678, 26, 'Cerca/Aggiungi');
INSERT INTO `lang_definitions` VALUES (98423, 5679, 26, 'Cerca/Aggiungi Assicuratore');
INSERT INTO `lang_definitions` VALUES (98424, 5680, 26, 'Cerca appuntamenti');
INSERT INTO `lang_definitions` VALUES (98425, 5681, 26, 'Ricerca in corso...');
INSERT INTO `lang_definitions` VALUES (98426, 5682, 26, 'Uso delle Cinture di sicurezza');
INSERT INTO `lang_definitions` VALUES (98427, 5683, 26, 'Uso delle cinture di sicurezza');
INSERT INTO `lang_definitions` VALUES (98428, 5684, 26, 'Secondo');
INSERT INTO `lang_definitions` VALUES (98429, 5687, 26, 'Secondario(a)');
INSERT INTO `lang_definitions` VALUES (98430, 5688, 26, 'Assicurazione secondaria');
INSERT INTO `lang_definitions` VALUES (98431, 5689, 26, 'Data assicurazione secondaria');
INSERT INTO `lang_definitions` VALUES (98432, 5690, 26, 'Fornitore assicurazione secondaria');
INSERT INTO `lang_definitions` VALUES (98433, 5691, 26, 'Tipo assistenza sanitaria secondaria');
INSERT INTO `lang_definitions` VALUES (98434, 5693, 26, 'ID sezione');
INSERT INTO `lang_definitions` VALUES (98435, 5694, 26, 'ID sezione e Nome non possono essere vuoti');
INSERT INTO `lang_definitions` VALUES (98436, 5695, 26, 'Nome sezione');
INSERT INTO `lang_definitions` VALUES (98437, 5696, 26, 'Sezione salvata con successo');
INSERT INTO `lang_definitions` VALUES (98438, 5698, 26, 'Sicurezza');
INSERT INTO `lang_definitions` VALUES (98439, 5699, 26, 'Vedi tutto');
INSERT INTO `lang_definitions` VALUES (98440, 5700, 26, 'Vedi autorizzazioni');
INSERT INTO `lang_definitions` VALUES (98441, 5701, 26, 'Vedi Tabulato-Crescita');
INSERT INTO `lang_definitions` VALUES (98442, 5702, 26, 'Vedere i messaggi dalla ultima serie di domande generate');
INSERT INTO `lang_definitions` VALUES (98443, 5704, 26, 'Visto dal');
INSERT INTO `lang_definitions` VALUES (98444, 5705, 26, 'Nome del segmento');
INSERT INTO `lang_definitions` VALUES (98445, 5706, 26, 'Segments Batch Claim');
INSERT INTO `lang_definitions` VALUES (98446, 5707, 26, 'Convulsioni');
INSERT INTO `lang_definitions` VALUES (98447, 5708, 26, 'Sel');
INSERT INTO `lang_definitions` VALUES (98448, 5709, 26, 'Seleziona');
INSERT INTO `lang_definitions` VALUES (98449, 5710, 26, 'seleziona');
INSERT INTO `lang_definitions` VALUES (98450, 5711, 26, 'Seleziona il Componente');
INSERT INTO `lang_definitions` VALUES (98451, 5712, 26, 'Seleziona un Contesto');
INSERT INTO `lang_definitions` VALUES (98452, 5713, 26, 'Selezionare una percentuale delle righe o seleziona le date');
INSERT INTO `lang_definitions` VALUES (98453, 5714, 26, 'Selezionare un intervallo di tempo');
INSERT INTO `lang_definitions` VALUES (98454, 5715, 26, 'Seleziona un Utente');
INSERT INTO `lang_definitions` VALUES (98455, 5716, 26, 'Selziona Tutto');
INSERT INTO `lang_definitions` VALUES (98456, 5717, 26, 'Seleziona la data di modifica');
INSERT INTO `lang_definitions` VALUES (98457, 5718, 26, 'Seleziona le modifiche di stampa');
INSERT INTO `lang_definitions` VALUES (98459, 5720, 26, 'Seleziona una categoria');
INSERT INTO `lang_definitions` VALUES (98460, 5721, 26, 'Seleziona le preferenze di comunicazione');
INSERT INTO `lang_definitions` VALUES (98461, 5722, 26, 'Seleziona le caselle di spunta corrispondenti da eliminare');
INSERT INTO `lang_definitions` VALUES (98462, 5723, 26, 'Seleziona i criteri da rimuovere');
INSERT INTO `lang_definitions` VALUES (98463, 5724, 26, 'Seleziona la tabella CSV');
INSERT INTO `lang_definitions` VALUES (98464, 5725, 26, 'Seleziona i dati che si richiede siano de-identificati');
INSERT INTO `lang_definitions` VALUES (98465, 5726, 26, 'Seleziona i dati da includere tra i dati de-identificati');
INSERT INTO `lang_definitions` VALUES (98466, 5727, 26, 'Seleziona la data');
INSERT INTO `lang_definitions` VALUES (98467, 5728, 26, 'Seleziona la squadra desiderata');
INSERT INTO `lang_definitions` VALUES (98468, 5729, 26, 'Seleziona diagnosi');
INSERT INTO `lang_definitions` VALUES (98469, 5730, 26, 'Seleziona le diagnosi per la richiesta di de-identificazione');
INSERT INTO `lang_definitions` VALUES (98470, 5731, 26, 'Seleziona droga');
INSERT INTO `lang_definitions` VALUES (98471, 5732, 26, 'Seleziona droghe');
INSERT INTO `lang_definitions` VALUES (98472, 5733, 26, 'Seleziona le droghe per la richiesta di de-identificazione');
INSERT INTO `lang_definitions` VALUES (98473, 5734, 26, 'Seleziona il file EDI-271');
INSERT INTO `lang_definitions` VALUES (98474, 5735, 26, 'Seleziona incontri');
INSERT INTO `lang_definitions` VALUES (98475, 5736, 26, 'Seleziona il campo');
INSERT INTO `lang_definitions` VALUES (98476, 5737, 26, 'Seleziona i campi');
INSERT INTO `lang_definitions` VALUES (98477, 5738, 26, 'Seleziona per la stampa');
INSERT INTO `lang_definitions` VALUES (98478, 5739, 26, 'Seleziona Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (98479, 5740, 26, 'Seleziona le immunizzazioni per la richiesta di de-identificazione');
INSERT INTO `lang_definitions` VALUES (98480, 5741, 26, 'Seleziona l\'assicurazione, scrivendo');
INSERT INTO `lang_definitions` VALUES (98481, 5742, 26, 'Seleziona la Tematica');
INSERT INTO `lang_definitions` VALUES (98482, 5743, 26, 'Seleziona gli articolli');
INSERT INTO `lang_definitions` VALUES (98483, 5744, 26, 'Seleziona la lingua');
INSERT INTO `lang_definitions` VALUES (98484, 5745, 26, 'Seleziona una voce');
INSERT INTO `lang_definitions` VALUES (98485, 5746, 26, 'Selezionare uno o più codici di diagnosi per giustificare il servizio');
INSERT INTO `lang_definitions` VALUES (98486, 5747, 26, 'Seleziona uno o più file per il caricamento');
INSERT INTO `lang_definitions` VALUES (98487, 5748, 26, 'Seleziona output');
INSERT INTO `lang_definitions` VALUES (98488, 5750, 26, 'Seleziona richiesta da');
INSERT INTO `lang_definitions` VALUES (98489, 5752, 26, 'Seleziona fonte');
INSERT INTO `lang_definitions` VALUES (98490, 5753, 26, 'Seleziona il Template');
INSERT INTO `lang_definitions` VALUES (98491, 5754, 26, 'Seleziona gli elementi della configurazione da esportare');
INSERT INTO `lang_definitions` VALUES (98492, 5755, 26, 'Selezionare il problema principale responsabile per eventuali eventi persi in questo giorno');
INSERT INTO `lang_definitions` VALUES (98493, 5756, 26, 'Selezionare per stampare le etichette di indirizzo dei pazienti da popup a schermo nav sinistra.');
INSERT INTO `lang_definitions` VALUES (98494, 5757, 26, 'Seleziona traccia');
INSERT INTO `lang_definitions` VALUES (98495, 5759, 26, 'Seleziona Utente');
INSERT INTO `lang_definitions` VALUES (98496, 5760, 26, 'Selziona gli utenti dall\'elenco a discesa');
INSERT INTO `lang_definitions` VALUES (98497, 5761, 26, 'Seleziona quali lingue, se alcuna, può essere scelta all\'ingresso. (pertinente solo se il precedente Consentite tutte le lingue è disattivato)');
INSERT INTO `lang_definitions` VALUES (98498, 5762, 26, 'Seleziona Si per confermare l\'eliminazione del gruppo');
INSERT INTO `lang_definitions` VALUES (98499, 5765, 26, 'Selezionato');
INSERT INTO `lang_definitions` VALUES (98500, 5766, 26, 'Incontro selezionato');
INSERT INTO `lang_definitions` VALUES (98501, 5767, 26, 'La selezione di questo creerà un messaggio che deve essere elaborato da ogni destinatario singolarmente (non si tratta di un\'attività di gruppo).');
INSERT INTO `lang_definitions` VALUES (98502, 5768, 26, 'Se stesso');
INSERT INTO `lang_definitions` VALUES (98503, 5769, 26, 'Pagato da se stesso');
INSERT INTO `lang_definitions` VALUES (98504, 5771, 26, 'Invia');
INSERT INTO `lang_definitions` VALUES (98505, 5772, 26, 'Invia un sollecito datato');
INSERT INTO `lang_definitions` VALUES (98506, 5773, 26, 'Invia un sollecito');
INSERT INTO `lang_definitions` VALUES (98507, 5774, 26, 'Invio in corso');
INSERT INTO `lang_definitions` VALUES (98508, 5775, 26, 'Invia Messaggio');
INSERT INTO `lang_definitions` VALUES (98509, 5776, 26, 'Invia solleciti Batch');
INSERT INTO `lang_definitions` VALUES (98510, 5777, 26, 'Invia promemoria per pazienti per la preferenza del paziente per il trattamento preventivo/follow up di cura.');
INSERT INTO `lang_definitions` VALUES (98511, 5778, 26, 'Invia Sommari con Riferimenti');
INSERT INTO `lang_definitions` VALUES (98512, 5779, 26, 'Invia questo file');
INSERT INTO `lang_definitions` VALUES (98513, 5780, 26, 'Invia questo messaggio');
INSERT INTO `lang_definitions` VALUES (98514, 5781, 26, 'Invia a');
INSERT INTO `lang_definitions` VALUES (98515, 5784, 26, 'Invia a tutti');
INSERT INTO `lang_definitions` VALUES (98516, 5786, 26, 'Invia al portale');
INSERT INTO `lang_definitions` VALUES (98517, 5787, 26, 'Invia al Portale');
INSERT INTO `lang_definitions` VALUES (98518, 5788, 26, 'Mittente');
INSERT INTO `lang_definitions` VALUES (98519, 5789, 26, 'ID mittente');
INSERT INTO `lang_definitions` VALUES (98520, 5790, 26, 'ID mittente (ISA06)');
INSERT INTO `lang_definitions` VALUES (98521, 5791, 26, 'ID Qualificatore mittente (ISA05)');
INSERT INTO `lang_definitions` VALUES (98522, 5792, 26, 'IDs Mittente');
INSERT INTO `lang_definitions` VALUES (98523, 5793, 26, 'Invio a');
INSERT INTO `lang_definitions` VALUES (98524, 5794, 26, 'Sensibilità');
INSERT INTO `lang_definitions` VALUES (98525, 5795, 26, 'Sensibilità:');
INSERT INTO `lang_definitions` VALUES (98526, 5796, 26, 'Esame sensoriale normale');
INSERT INTO `lang_definitions` VALUES (98527, 5797, 26, 'Inviato');
INSERT INTO `lang_definitions` VALUES (98528, 5798, 26, 'Invio - Confermato');
INSERT INTO `lang_definitions` VALUES (98529, 5799, 26, 'Inviato da, lascia vuoto per tutti');
INSERT INTO `lang_definitions` VALUES (98530, 5800, 26, 'Inviato da:');
INSERT INTO `lang_definitions` VALUES (98531, 5801, 26, 'Data invio');
INSERT INTO `lang_definitions` VALUES (98532, 5802, 26, 'Elementi inviati');
INSERT INTO `lang_definitions` VALUES (98533, 5803, 26, 'Inviate le registrazioni mediche?');
INSERT INTO `lang_definitions` VALUES (98534, 5804, 26, 'Inviato con successo');
INSERT INTO `lang_definitions` VALUES (98535, 5807, 26, 'inviato alla stampante.');
INSERT INTO `lang_definitions` VALUES (98536, 5808, 26, 'Inviato a, lascia vuoto per tutti');
INSERT INTO `lang_definitions` VALUES (98537, 5809, 26, 'Inviato a:');
INSERT INTO `lang_definitions` VALUES (98538, 5810, 26, 'Inviato, ma la consegna non è confermata.');
INSERT INTO `lang_definitions` VALUES (98539, 5811, 26, 'Inviato, non ricevuto');
INSERT INTO `lang_definitions` VALUES (98540, 5812, 26, 'Sett');
INSERT INTO `lang_definitions` VALUES (98541, 5813, 26, 'Separato');
INSERT INTO `lang_definitions` VALUES (98542, 5814, 26, 'Settembre');
INSERT INTO `lang_definitions` VALUES (98543, 5815, 26, 'Seq');
INSERT INTO `lang_definitions` VALUES (98544, 5816, 26, 'Sequenza');
INSERT INTO `lang_definitions` VALUES (98545, 5817, 26, 'Serbian');
INSERT INTO `lang_definitions` VALUES (98546, 5818, 26, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (98547, 5819, 26, 'Il server sembra offline');
INSERT INTO `lang_definitions` VALUES (98548, 5820, 26, 'Messaggio del Server:');
INSERT INTO `lang_definitions` VALUES (98549, 5821, 26, 'Prestazione');
INSERT INTO `lang_definitions` VALUES (98550, 5822, 26, 'Categoria della prestazione');
INSERT INTO `lang_definitions` VALUES (98551, 5823, 26, 'Codice della prestazione');
INSERT INTO `lang_definitions` VALUES (98552, 5824, 26, 'Codice di servizio di Reporting Finanziario');
INSERT INTO `lang_definitions` VALUES (98553, 5825, 26, 'Codici delle prestazioni');
INSERT INTO `lang_definitions` VALUES (98554, 5826, 26, 'Data della prestazione');
INSERT INTO `lang_definitions` VALUES (98555, 5827, 26, 'Data della prestazione:');
INSERT INTO `lang_definitions` VALUES (98556, 5829, 26, 'Luogo della prestazione');
INSERT INTO `lang_definitions` VALUES (98557, 5830, 26, 'Nome servizio');
INSERT INTO `lang_definitions` VALUES (98558, 5831, 26, 'Prestazione fornito da specialista');
INSERT INTO `lang_definitions` VALUES (98559, 5832, 26, 'Servizio di Reporting');
INSERT INTO `lang_definitions` VALUES (98560, 5833, 26, 'Solo servizio di reporting');
INSERT INTO `lang_definitions` VALUES (98561, 5834, 26, 'Prestazioni');
INSERT INTO `lang_definitions` VALUES (98562, 5835, 26, 'Prestazioni per categoria');
INSERT INTO `lang_definitions` VALUES (98563, 5836, 26, 'Prestazioni fornite');
INSERT INTO `lang_definitions` VALUES (98564, 5837, 26, 'Prestazioni Fornite');
INSERT INTO `lang_definitions` VALUES (98565, 5838, 26, 'Prestazioni/Prodotti');
INSERT INTO `lang_definitions` VALUES (98566, 5839, 26, 'Tipo di sessione');
INSERT INTO `lang_definitions` VALUES (98567, 5840, 26, 'Assegna');
INSERT INTO `lang_definitions` VALUES (98568, 5841, 26, 'Implementa un cookie di sede per ricordare la sede selezionata tra un ingresso e un altro');
INSERT INTO `lang_definitions` VALUES (98569, 5842, 26, 'Imposta come Completato');
INSERT INTO `lang_definitions` VALUES (98570, 5843, 26, 'Impostare la priorità di elaborazione per i report basati su motori CDR.');
INSERT INTO `lang_definitions` VALUES (98571, 5844, 26, 'Impostare la priorità di elaborazione per la creazione di promemoria per i pazienti (in modalità clinica completa).');
INSERT INTO `lang_definitions` VALUES (98572, 5845, 26, 'Assegna a questo il percorso completo assoluto. Per la creazione certificato SSL del client per l\'HTTPS.');
INSERT INTO `lang_definitions` VALUES (98573, 5846, 26, 'Imposta per');
INSERT INTO `lang_definitions` VALUES (98574, 5847, 26, 'Assegna come default');
INSERT INTO `lang_definitions` VALUES (98575, 5848, 26, 'Assegno il numero di versione al database...');
INSERT INTO `lang_definitions` VALUES (98576, 5849, 26, 'Parametri');
INSERT INTO `lang_definitions` VALUES (98577, 5851, 26, 'Emicrania severa');
INSERT INTO `lang_definitions` VALUES (98578, 5853, 26, 'Severità del dolore');
INSERT INTO `lang_definitions` VALUES (98579, 5854, 26, 'Severità del dolore:');
INSERT INTO `lang_definitions` VALUES (98580, 5855, 26, 'Sesso');
INSERT INTO `lang_definitions` VALUES (98581, 5856, 26, 'Malattia trasmessa sessulamente');
INSERT INTO `lang_definitions` VALUES (98582, 5857, 26, 'SFTP');
INSERT INTO `lang_definitions` VALUES (98583, 5858, 26, 'Sha-1 Hash');
INSERT INTO `lang_definitions` VALUES (98584, 5859, 26, 'Condivisione');
INSERT INTO `lang_definitions` VALUES (98585, 5860, 26, 'Comando della shell per la stampa dal server.');
INSERT INTO `lang_definitions` VALUES (98586, 5862, 26, 'Shona');
INSERT INTO `lang_definitions` VALUES (98587, 5863, 26, 'Breve descrizione');
INSERT INTO `lang_definitions` VALUES (98588, 5864, 26, 'Dispnea');
INSERT INTO `lang_definitions` VALUES (98589, 5865, 26, 'Dspnea');
INSERT INTO `lang_definitions` VALUES (98590, 5866, 26, 'Dispnea 2');
INSERT INTO `lang_definitions` VALUES (98591, 5867, 26, 'Shot Record');
INSERT INTO `lang_definitions` VALUES (98592, 5868, 26, 'Shot Record al:');
INSERT INTO `lang_definitions` VALUES (98593, 5869, 26, 'Deve essere Abilitato');
INSERT INTO `lang_definitions` VALUES (98594, 5870, 26, 'Deve essere del tipo nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (98595, 5871, 26, 'Deve essere di due lettere');
INSERT INTO `lang_definitions` VALUES (98596, 5872, 26, 'deve contenere 10 cifre');
INSERT INTO `lang_definitions` VALUES (98597, 5873, 26, 'deve contenere soltanto 10 cifre');
INSERT INTO `lang_definitions` VALUES (98598, 5874, 26, 'Spalla');
INSERT INTO `lang_definitions` VALUES (98599, 5875, 26, 'Spalla + clavicola');
INSERT INTO `lang_definitions` VALUES (98600, 5876, 26, 'Problemi alla spalla');
INSERT INTO `lang_definitions` VALUES (98601, 5877, 26, 'Mostra');
INSERT INTO `lang_definitions` VALUES (98602, 5878, 26, 'Mostra attivo');
INSERT INTO `lang_definitions` VALUES (98603, 5880, 26, 'Mostra tutto');
INSERT INTO `lang_definitions` VALUES (98604, 5881, 26, 'Mostra tutte le procedure');
INSERT INTO `lang_definitions` VALUES (98605, 5883, 26, 'Mostra tutte le transazioni');
INSERT INTO `lang_definitions` VALUES (98606, 5884, 26, 'Mostra come occupato');
INSERT INTO `lang_definitions` VALUES (98607, 5885, 26, 'Mostra solo autorizzati');
INSERT INTO `lang_definitions` VALUES (98608, 5886, 26, 'Mostra ore disponibili');
INSERT INTO `lang_definitions` VALUES (98609, 5887, 26, 'Mostra sia metrico che US (l\'unità principale è metrica)');
INSERT INTO `lang_definitions` VALUES (98610, 5888, 26, 'Mostra sia US che metrico (l\'unità principale è US)');
INSERT INTO `lang_definitions` VALUES (98611, 5889, 26, 'Mostra i dettagli');
INSERT INTO `lang_definitions` VALUES (98612, 5890, 26, 'Mostrare solo gli errori?');
INSERT INTO `lang_definitions` VALUES (98613, 5891, 26, 'Mostra grafico');
INSERT INTO `lang_definitions` VALUES (98614, 5892, 26, 'Mostra testo sospeso dell\'evento al passaggio del mouse?');
INSERT INTO `lang_definitions` VALUES (98615, 5893, 26, 'Mostrare quanri eventi sulle pagine di amministrazione?');
INSERT INTO `lang_definitions` VALUES (98616, 5894, 26, 'Mostra inattivo');
INSERT INTO `lang_definitions` VALUES (98617, 5896, 26, 'Mostra menu');
INSERT INTO `lang_definitions` VALUES (98618, 5897, 26, 'Mostra solo metrica');
INSERT INTO `lang_definitions` VALUES (98619, 5898, 26, 'Mostra le note');
INSERT INTO `lang_definitions` VALUES (98620, 5900, 26, 'Mostra solo le procedure non omesse');
INSERT INTO `lang_definitions` VALUES (98621, 5901, 26, 'Mostra le note pazienti');
INSERT INTO `lang_definitions` VALUES (98622, 5902, 26, 'Mostra libbre e once');
INSERT INTO `lang_definitions` VALUES (98623, 5903, 26, 'Mostra libbre come valore decimale');
INSERT INTO `lang_definitions` VALUES (98624, 5904, 26, 'Mostra completo principale');
INSERT INTO `lang_definitions` VALUES (98625, 5905, 26, 'Mostra promemoria');
INSERT INTO `lang_definitions` VALUES (98626, 5906, 26, 'Mostra resoconto');
INSERT INTO `lang_definitions` VALUES (98627, 5907, 26, 'Mostra ricerca/inserire link nel blocco?');
INSERT INTO `lang_definitions` VALUES (98628, 5910, 26, 'Visualizza il modulo personalizzato di stato per il widget elenco aggiuntivo (vi chiederà titolo e abbreviazione).');
INSERT INTO `lang_definitions` VALUES (98629, 5911, 26, 'Mostra questa categoria nella schermata di riepilogo paziente, anche se non sono stati inseriti problemi per questa categoria.');
INSERT INTO `lang_definitions` VALUES (98630, 5912, 26, 'Mostra traccia storica');
INSERT INTO `lang_definitions` VALUES (98631, 5913, 26, 'Mostra solo non fatturati');
INSERT INTO `lang_definitions` VALUES (98632, 5914, 26, 'Mostra solo sistema US');
INSERT INTO `lang_definitions` VALUES (98633, 5915, 26, 'Mostrare');
INSERT INTO `lang_definitions` VALUES (98634, 5916, 26, 'Mostra risultati');
INSERT INTO `lang_definitions` VALUES (98635, 5918, 26, 'Storia dei fratelli');
INSERT INTO `lang_definitions` VALUES (98636, 5920, 26, 'Fratelli');
INSERT INTO `lang_definitions` VALUES (98637, 5921, 26, 'Cellule falciformi');
INSERT INTO `lang_definitions` VALUES (98638, 5922, 26, 'Sig');
INSERT INTO `lang_definitions` VALUES (98639, 5923, 26, 'Rettoscopia/Colonscopia');
INSERT INTO `lang_definitions` VALUES (98640, 5924, 26, 'Firma');
INSERT INTO `lang_definitions` VALUES (98641, 5925, 26, 'Firma i risultati di laboratorio (scrittura, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (98642, 5926, 26, 'Firma i risultati');
INSERT INTO `lang_definitions` VALUES (98643, 5927, 26, 'Firma');
INSERT INTO `lang_definitions` VALUES (98644, 5928, 26, 'Firmato sul File');
INSERT INTO `lang_definitions` VALUES (98645, 5929, 26, 'Firma:');
INSERT INTO `lang_definitions` VALUES (98646, 5930, 26, 'Rx firmato');
INSERT INTO `lang_definitions` VALUES (98647, 5932, 26, 'Gonfiore significativo:');
INSERT INTO `lang_definitions` VALUES (98648, 5933, 26, 'Semplificato');
INSERT INTO `lang_definitions` VALUES (98649, 5934, 26, 'Co-Pagamento semplificato');
INSERT INTO `lang_definitions` VALUES (98650, 5935, 26, 'Demografica semplificata');
INSERT INTO `lang_definitions` VALUES (98651, 5936, 26, 'Prescrizioni semplificate');
INSERT INTO `lang_definitions` VALUES (98652, 5937, 26, 'Fin dal');
INSERT INTO `lang_definitions` VALUES (98653, 5938, 26, 'Distinti saluti,');
INSERT INTO `lang_definitions` VALUES (98654, 5939, 26, 'Sindhi');
INSERT INTO `lang_definitions` VALUES (98655, 5940, 26, 'Celibe/Nubile');
INSERT INTO `lang_definitions` VALUES (98656, 5941, 26, 'Elenco a selezione singola');
INSERT INTO `lang_definitions` VALUES (98657, 5942, 26, 'Elenco a selezione singola con la possibilità di aggiungere all\'elenco');
INSERT INTO `lang_definitions` VALUES (98658, 5943, 26, 'Singolare');
INSERT INTO `lang_definitions` VALUES (98659, 5944, 26, 'Sinhala');
INSERT INTO `lang_definitions` VALUES (98660, 5945, 26, 'Sinhala, Sinhalese');
INSERT INTO `lang_definitions` VALUES (98661, 5946, 26, 'Problemi del seno');
INSERT INTO `lang_definitions` VALUES (98662, 5947, 26, 'Chirurgia al seno');
INSERT INTO `lang_definitions` VALUES (98663, 5948, 26, 'CONSISTENZA DEL SENO:');
INSERT INTO `lang_definitions` VALUES (98664, 5949, 26, 'Sinusite');
INSERT INTO `lang_definitions` VALUES (98665, 5950, 26, 'Sito');
INSERT INTO `lang_definitions` VALUES (98666, 5951, 26, 'ID Sito');
INSERT INTO `lang_definitions` VALUES (98667, 5952, 26, 'ID Sito per il Medical Information Integration, LLC Lab Service Exchange.');
INSERT INTO `lang_definitions` VALUES (98668, 5953, 26, 'ID Sito per il supporto LLC Lab Service Exchange LibreEHR.');
INSERT INTO `lang_definitions` VALUES (98669, 5956, 26, 'Dimensione');
INSERT INTO `lang_definitions` VALUES (98670, 5957, 26, 'La dimensione deve essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (98671, 5958, 26, 'Dimensione/Elenco');
INSERT INTO `lang_definitions` VALUES (98672, 5959, 26, 'Cute');
INSERT INTO `lang_definitions` VALUES (98673, 5960, 26, 'Cancro alla pelle');
INSERT INTO `lang_definitions` VALUES (98674, 5961, 26, 'Malattia della pelle');
INSERT INTO `lang_definitions` VALUES (98675, 5962, 26, 'Cute Altro');
INSERT INTO `lang_definitions` VALUES (98676, 5963, 26, 'Salta l\'autorizzazione delle Note del Paziente');
INSERT INTO `lang_definitions` VALUES (98677, 5964, 26, 'Salta la sezione');
INSERT INTO `lang_definitions` VALUES (98678, 5965, 26, 'Salto di SQL-Ledger deposito - non implementato per server Windows');
INSERT INTO `lang_definitions` VALUES (98679, 5967, 26, 'modelli di sonno');
INSERT INTO `lang_definitions` VALUES (98680, 5968, 26, 'modelli di sonno');
INSERT INTO `lang_definitions` VALUES (98681, 5969, 26, 'Sonno');
INSERT INTO `lang_definitions` VALUES (98682, 5970, 26, 'Slovacco');
INSERT INTO `lang_definitions` VALUES (98683, 5971, 26, 'Slovene');
INSERT INTO `lang_definitions` VALUES (98684, 5972, 26, 'Sm debt w/o');
INSERT INTO `lang_definitions` VALUES (98685, 5973, 26, 'Smarty Cache è stata cancellata');
INSERT INTO `lang_definitions` VALUES (98686, 5974, 26, 'Fumatore status corrente sconosciuto');
INSERT INTO `lang_definitions` VALUES (98687, 5976, 26, 'Status fumo');
INSERT INTO `lang_definitions` VALUES (98688, 5977, 26, 'Aut SMS');
INSERT INTO `lang_definitions` VALUES (98689, 5978, 26, 'Gateway SMS');
INSERT INTO `lang_definitions` VALUES (98690, 5979, 26, 'chiave API per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (98691, 5980, 26, 'Chiave API per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (98692, 5981, 26, 'Password per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (98693, 5982, 26, 'Username per il Gateway SMS');
INSERT INTO `lang_definitions` VALUES (98694, 5983, 26, 'Notifica SMS');
INSERT INTO `lang_definitions` VALUES (98695, 5984, 26, 'Ore per la Notifica via SMS');
INSERT INTO `lang_definitions` VALUES (98696, 5985, 26, 'Invia SMS prima della');
INSERT INTO `lang_definitions` VALUES (98697, 5986, 26, 'SMS inviato');
INSERT INTO `lang_definitions` VALUES (98698, 5987, 26, 'Testo SMS, Tag utilizzabili: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> p.es. Gentile Sig. ***NAME***');
INSERT INTO `lang_definitions` VALUES (98699, 5988, 26, 'SMS/Parametri Allarme Email');
INSERT INTO `lang_definitions` VALUES (98700, 5989, 26, 'Password SMTP per l\'autenticazione');
INSERT INTO `lang_definitions` VALUES (98701, 5992, 26, 'Hostname del server SMTP');
INSERT INTO `lang_definitions` VALUES (98702, 5993, 26, 'Numero Porta del server SMTP');
INSERT INTO `lang_definitions` VALUES (98703, 5994, 26, 'Utente SMTP per l\'autenticazione');
INSERT INTO `lang_definitions` VALUES (98704, 5995, 26, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (98705, 5996, 26, 'SNOMED (RF1) Clinical Term');
INSERT INTO `lang_definitions` VALUES (98706, 5997, 26, 'SNOMED (RF1) Diagnosis');
INSERT INTO `lang_definitions` VALUES (98707, 5998, 26, 'SNOMED (RF1) Procedure');
INSERT INTO `lang_definitions` VALUES (98708, 5999, 26, 'SNOMED (RF2) Diagnosis');
INSERT INTO `lang_definitions` VALUES (98709, 6000, 26, 'SNOMED Clinical Term');
INSERT INTO `lang_definitions` VALUES (98710, 6001, 26, 'SNOMED Database');
INSERT INTO `lang_definitions` VALUES (98711, 6002, 26, 'SNOMED Diagnosis');
INSERT INTO `lang_definitions` VALUES (98712, 6003, 26, 'SNOMED Procedure');
INSERT INTO `lang_definitions` VALUES (98713, 6004, 26, 'Russare');
INSERT INTO `lang_definitions` VALUES (98714, 6005, 26, 'SOAP');
INSERT INTO `lang_definitions` VALUES (98715, 6006, 26, 'Difficoltà sociali');
INSERT INTO `lang_definitions` VALUES (98716, 6009, 26, 'Storico sociale:');
INSERT INTO `lang_definitions` VALUES (98717, 6010, 26, 'Numero sicurezza sociale (US)');
INSERT INTO `lang_definitions` VALUES (98718, 6011, 26, 'soluzione');
INSERT INTO `lang_definitions` VALUES (98719, 6012, 26, 'Somali');
INSERT INTO `lang_definitions` VALUES (98720, 6013, 26, 'Contesto somatico');
INSERT INTO `lang_definitions` VALUES (98721, 6014, 26, 'Alcune autorizzazioni non sono state mostrate. Clicca qui per vederle tutte');
INSERT INTO `lang_definitions` VALUES (98722, 6015, 26, 'Alcuni codici non sono stati mostrati.');
INSERT INTO `lang_definitions` VALUES (98723, 6016, 26, 'Alcuni incontri non sono stati nostrati. Clicca qui per vederli tutti.');
INSERT INTO `lang_definitions` VALUES (98724, 6017, 26, 'Si sono verificati alcuni errori durante il processo di de-identificazione');
INSERT INTO `lang_definitions` VALUES (98725, 6018, 26, 'Alcune note non sono state mostrate');
INSERT INTO `lang_definitions` VALUES (98726, 6019, 26, 'Alcune note di ufficio non sono state visualizzate. Clicca qui per visualizzare tutto.');
INSERT INTO `lang_definitions` VALUES (98727, 6020, 26, 'alcune parole');
INSERT INTO `lang_definitions` VALUES (98728, 6021, 26, 'Qualcun altro ha appena cambiato questa visita. Si prega di annullare questa pagina e riprovare.');
INSERT INTO `lang_definitions` VALUES (98729, 6023, 26, 'Qualcosa è andata male. Prova di nuovo.');
INSERT INTO `lang_definitions` VALUES (98730, 6024, 26, 'Intervallo debito in scadenza (promemoria Medico)');
INSERT INTO `lang_definitions` VALUES (98731, 6025, 26, 'Intervallo debito in scadenza (promemoria Paziente)');
INSERT INTO `lang_definitions` VALUES (98732, 6026, 26, 'Gola infiammata');
INSERT INTO `lang_definitions` VALUES (98733, 6027, 26, 'Spiacente nessun appuntamento fissato');
INSERT INTO `lang_definitions` VALUES (98734, 6028, 26, 'Spiacente, c\'è stato un problema nel caricare il file');
INSERT INTO `lang_definitions` VALUES (98735, 6029, 26, 'Ordina per');
INSERT INTO `lang_definitions` VALUES (98736, 6030, 26, 'Ordina Per');
INSERT INTO `lang_definitions` VALUES (98737, 6031, 26, 'Ordina per Checksum');
INSERT INTO `lang_definitions` VALUES (98738, 6032, 26, 'Ordina per Commenti');
INSERT INTO `lang_definitions` VALUES (98739, 6033, 26, 'Ordina per Cont Utente');
INSERT INTO `lang_definitions` VALUES (98740, 6034, 26, 'Ordina per data');
INSERT INTO `lang_definitions` VALUES (98741, 6035, 26, 'Ordina per data/ora');
INSERT INTO `lang_definitions` VALUES (98742, 6036, 26, 'Ordina per eventi');
INSERT INTO `lang_definitions` VALUES (98743, 6037, 26, 'Ordina per gruppi');
INSERT INTO `lang_definitions` VALUES (98744, 6038, 26, 'Ordina per nuovo Checksum');
INSERT INTO `lang_definitions` VALUES (98745, 6039, 26, 'Ordina per vecchio Checksum');
INSERT INTO `lang_definitions` VALUES (98746, 6040, 26, 'Ordinaper IDPaziente');
INSERT INTO `lang_definitions` VALUES (98747, 6041, 26, 'Ordina per successo');
INSERT INTO `lang_definitions` VALUES (98748, 6042, 26, 'Ordina per manomissione data/ora');
INSERT INTO `lang_definitions` VALUES (98749, 6043, 26, 'Ordina per utente');
INSERT INTO `lang_definitions` VALUES (98750, 6044, 26, 'Ordinaper vaccino');
INSERT INTO `lang_definitions` VALUES (98751, 6045, 26, 'Ordina decrescente');
INSERT INTO `lang_definitions` VALUES (98752, 6046, 26, 'Ordinai risultati per');
INSERT INTO `lang_definitions` VALUES (98753, 6047, 26, 'Ordina crescente');
INSERT INTO `lang_definitions` VALUES (98754, 6048, 26, 'Origine');
INSERT INTO `lang_definitions` VALUES (98755, 6049, 26, 'File origine');
INSERT INTO `lang_definitions` VALUES (98756, 6050, 26, 'Percorso del file origine');
INSERT INTO `lang_definitions` VALUES (98757, 6051, 26, 'L\'origine manca del codice ');
INSERT INTO `lang_definitions` VALUES (98758, 6052, 26, 'Lotto origine');
INSERT INTO `lang_definitions` VALUES (98759, 6054, 26, 'Origine paziente');
INSERT INTO `lang_definitions` VALUES (98760, 6055, 26, 'Origine paziente non ha DOB(data di nascita)');
INSERT INTO `lang_definitions` VALUES (98761, 6056, 26, 'Origine paziente non trovata');
INSERT INTO `lang_definitions` VALUES (98762, 6057, 26, 'Origine:');
INSERT INTO `lang_definitions` VALUES (98763, 6058, 26, 'South Ndebele');
INSERT INTO `lang_definitions` VALUES (98764, 6059, 26, 'Southern Sotho');
INSERT INTO `lang_definitions` VALUES (98765, 6060, 26, 'Spazio');
INSERT INTO `lang_definitions` VALUES (98766, 6061, 26, 'SPAZIO');
INSERT INTO `lang_definitions` VALUES (98767, 6062, 26, 'Spagnolo');
INSERT INTO `lang_definitions` VALUES (98768, 6063, 26, 'Spagnolo (Latino Americano)');
INSERT INTO `lang_definitions` VALUES (98769, 6064, 26, 'Spagnolo (Spagna)');
INSERT INTO `lang_definitions` VALUES (98770, 6065, 26, 'Spanish- Castilian');
INSERT INTO `lang_definitions` VALUES (98771, 6066, 26, 'I caratteri speciali non sono ammessi');
INSERT INTO `lang_definitions` VALUES (98772, 6067, 26, 'Trattamento speciale per il modulo Funzioni vitali');
INSERT INTO `lang_definitions` VALUES (98773, 6068, 26, 'Specialista');
INSERT INTO `lang_definitions` VALUES (98774, 6069, 26, 'Nome specialista e firma');
INSERT INTO `lang_definitions` VALUES (98775, 6071, 26, 'Specialità');
INSERT INTO `lang_definitions` VALUES (98776, 6072, 26, 'Sistemi di Specialità');
INSERT INTO `lang_definitions` VALUES (98777, 6073, 26, 'Specialità:');
INSERT INTO `lang_definitions` VALUES (98778, 6074, 26, 'Specifico(a)');
INSERT INTO `lang_definitions` VALUES (98779, 6075, 26, 'Applicazione specifica');
INSERT INTO `lang_definitions` VALUES (98780, 6076, 26, 'Prestazione per la contraccezione specifica');
INSERT INTO `lang_definitions` VALUES (98781, 6077, 26, 'Risultato specifico');
INSERT INTO `lang_definitions` VALUES (98782, 6078, 26, 'Prestazione specifica');
INSERT INTO `lang_definitions` VALUES (98783, 6079, 26, 'Specificato');
INSERT INTO `lang_definitions` VALUES (98784, 6080, 26, 'Specifica il formato per i codici. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98785, 6081, 26, 'Specifica il formato per i codici. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98786, 6082, 26, 'Specifica il formato dei numeri di riferimento del conto. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98787, 6083, 26, 'Specifica il formato dei numeri di riferimento del conto. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98788, 6084, 26, 'Specifica il formato per i campi dei prodotti NDC. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98789, 6085, 26, 'Specifica il formato per i campi dei prodotti NDC. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98790, 6086, 26, 'Specifica il formato per l\'ID del paziente esterno. # = cifra, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98791, 6087, 26, 'Specifica il formato per l\'ID del paziente esterno. # = cifra, @ = alfanumerico, * = qualsiasi carattere. Vuoto se non usato.');
INSERT INTO `lang_definitions` VALUES (98792, 6088, 26, 'Campione');
INSERT INTO `lang_definitions` VALUES (98793, 6089, 26, 'Campione numero/Identificativo');
INSERT INTO `lang_definitions` VALUES (98794, 6090, 26, 'Tipo di campione');
INSERT INTO `lang_definitions` VALUES (98795, 6092, 26, 'Dettato a voce');
INSERT INTO `lang_definitions` VALUES (98796, 6093, 26, 'Spermicida');
INSERT INTO `lang_definitions` VALUES (98797, 6094, 26, 'Splenectomia');
INSERT INTO `lang_definitions` VALUES (98798, 6095, 26, 'Moglie');
INSERT INTO `lang_definitions` VALUES (98799, 6096, 26, 'Storia della moglie');
INSERT INTO `lang_definitions` VALUES (98800, 6097, 26, 'Espettorato');
INSERT INTO `lang_definitions` VALUES (98801, 6098, 26, 'Espettorato:');
INSERT INTO `lang_definitions` VALUES (98802, 6099, 26, 'SQ');
INSERT INTO `lang_definitions` VALUES (98803, 6100, 26, 'sql');
INSERT INTO `lang_definitions` VALUES (98804, 6102, 26, 'Squadra');
INSERT INTO `lang_definitions` VALUES (98805, 6103, 26, 'Composizione squadra');
INSERT INTO `lang_definitions` VALUES (98806, 6104, 26, 'Squadre');
INSERT INTO `lang_definitions` VALUES (98807, 6105, 26, 'SRH');
INSERT INTO `lang_definitions` VALUES (98808, 6106, 26, 'SRH - Pianificazione famigliare');
INSERT INTO `lang_definitions` VALUES (98809, 6107, 26, 'SRH - Senza Pianificazione famigliare');
INSERT INTO `lang_definitions` VALUES (98810, 6108, 26, 'SRH Riferimenti');
INSERT INTO `lang_definitions` VALUES (98811, 6109, 26, 'SRH modulo visita');
INSERT INTO `lang_definitions` VALUES (98812, 6110, 26, 'Srv data');
INSERT INTO `lang_definitions` VALUES (98813, 6111, 26, 'SS');
INSERT INTO `lang_definitions` VALUES (98814, 6112, 26, 'Amministrazione certificato SSL');
INSERT INTO `lang_definitions` VALUES (98815, 6113, 26, 'SSN');
INSERT INTO `lang_definitions` VALUES (98816, 6114, 26, 'Stabilità');
INSERT INTO `lang_definitions` VALUES (98817, 6115, 26, 'Comunicati stampa');
INSERT INTO `lang_definitions` VALUES (98818, 6116, 26, 'Standard');
INSERT INTO `lang_definitions` VALUES (98819, 6117, 26, 'Codice standard');
INSERT INTO `lang_definitions` VALUES (98820, 6118, 26, 'Misure standard');
INSERT INTO `lang_definitions` VALUES (98821, 6119, 26, 'Misure standard (Avvisi attivi)');
INSERT INTO `lang_definitions` VALUES (98822, 6120, 26, 'Misure standard (Avvisi passivi)');
INSERT INTO `lang_definitions` VALUES (98823, 6121, 26, 'Misure standard (Promemoria pazienti)');
INSERT INTO `lang_definitions` VALUES (98824, 6122, 26, 'Nome standard');
INSERT INTO `lang_definitions` VALUES (98825, 6123, 26, 'Standard, semplificato: unico titolo, data di inizio, commenti e una casella di controllo attiva; nessuna diagnosi, occorrenza, data di scadenza, indicato - da o campi sportivi. , Infortunio da sport');
INSERT INTO `lang_definitions` VALUES (98826, 6124, 26, 'Inizio');
INSERT INTO `lang_definitions` VALUES (98827, 6125, 26, 'Inizio (aaaa-mm-gg): ');
INSERT INTO `lang_definitions` VALUES (98828, 6126, 26, 'Avvia un altro report');
INSERT INTO `lang_definitions` VALUES (98829, 6128, 26, 'Data inizio');
INSERT INTO `lang_definitions` VALUES (98830, 6129, 26, 'Data di inizio in questa clinica');
INSERT INTO `lang_definitions` VALUES (98831, 6130, 26, 'La data di inizio non dovrebbe essere maggiore della data di fine');
INSERT INTO `lang_definitions` VALUES (98832, 6131, 26, 'Data inizio:');
INSERT INTO `lang_definitions` VALUES (98833, 6132, 26, 'Data Inizio:');
INSERT INTO `lang_definitions` VALUES (98834, 6133, 26, 'Ora di inizio');
INSERT INTO `lang_definitions` VALUES (98835, 6134, 26, 'Data iniziale');
INSERT INTO `lang_definitions` VALUES (98836, 6135, 26, 'stat');
INSERT INTO `lang_definitions` VALUES (98837, 6136, 26, 'Stato');
INSERT INTO `lang_definitions` VALUES (98838, 6137, 26, 'Stato tipo di dati');
INSERT INTO `lang_definitions` VALUES (98839, 6138, 26, 'State Lic. #');
INSERT INTO `lang_definitions` VALUES (98840, 6139, 26, 'Stato licenza numero');
INSERT INTO `lang_definitions` VALUES (98841, 6140, 26, 'Elenco degli stati');
INSERT INTO `lang_definitions` VALUES (98842, 6141, 26, 'Lista Stato (scrivere, aggiungere solo opzionale)');
INSERT INTO `lang_definitions` VALUES (98843, 6142, 26, 'Stato Lista Widget Campi personalizzati');
INSERT INTO `lang_definitions` VALUES (98844, 6143, 26, 'Stato o Provincia');
INSERT INTO `lang_definitions` VALUES (98845, 6144, 26, 'Stato/Località');
INSERT INTO `lang_definitions` VALUES (98846, 6145, 26, 'Stato/Comune');
INSERT INTO `lang_definitions` VALUES (98847, 6146, 26, 'RIEPILOGO');
INSERT INTO `lang_definitions` VALUES (98848, 6147, 26, 'estratti conto e fatture di aggiornamento.');
INSERT INTO `lang_definitions` VALUES (98849, 6148, 26, 'Riepiloghi inviati:');
INSERT INTO `lang_definitions` VALUES (98850, 6149, 26, 'riepiloghi, le fatture non verranno aggiornate.');
INSERT INTO `lang_definitions` VALUES (98851, 6150, 26, 'Testo statico');
INSERT INTO `lang_definitions` VALUES (98852, 6151, 26, 'Statistica');
INSERT INTO `lang_definitions` VALUES (98853, 6152, 26, 'Statistiche');
INSERT INTO `lang_definitions` VALUES (98854, 6153, 26, 'Status');
INSERT INTO `lang_definitions` VALUES (98855, 6154, 26, 'Stato ammissione');
INSERT INTO `lang_definitions` VALUES (98856, 6155, 26, 'Stato della richiesta');
INSERT INTO `lang_definitions` VALUES (98857, 6156, 26, 'Status quo');
INSERT INTO `lang_definitions` VALUES (98858, 6158, 26, 'STD/AIDS Couns');
INSERT INTO `lang_definitions` VALUES (98859, 6159, 26, 'Resilienza e condizionamento');
INSERT INTO `lang_definitions` VALUES (98860, 6163, 26, 'Procedura per caricare CCR XML');
INSERT INTO `lang_definitions` VALUES (98861, 6164, 26, 'Procedura per installare il database DSM IV');
INSERT INTO `lang_definitions` VALUES (98862, 6165, 26, 'Procedura per installare il database ICD 10');
INSERT INTO `lang_definitions` VALUES (98863, 6166, 26, 'Procedura per installare il database ICD 9');
INSERT INTO `lang_definitions` VALUES (98864, 6167, 26, 'Procedura per installare il database RxNorm');
INSERT INTO `lang_definitions` VALUES (98865, 6168, 26, 'Procedura per installare il database Snomed');
INSERT INTO `lang_definitions` VALUES (98866, 6169, 26, 'rigidità delle articolazioni');
INSERT INTO `lang_definitions` VALUES (98867, 6170, 26, 'Rigidezza');
INSERT INTO `lang_definitions` VALUES (98868, 6171, 26, 'Archivio mesi');
INSERT INTO `lang_definitions` VALUES (98869, 6172, 26, 'Dolori alla stomaco');
INSERT INTO `lang_definitions` VALUES (98870, 6173, 26, 'Stop');
INSERT INTO `lang_definitions` VALUES (98871, 6174, 26, 'Hash memorizzato');
INSERT INTO `lang_definitions` VALUES (98872, 6175, 26, 'Sforzo del muscolo');
INSERT INTO `lang_definitions` VALUES (98873, 6176, 26, 'Fluire');
INSERT INTO `lang_definitions` VALUES (98874, 6177, 26, 'Via');
INSERT INTO `lang_definitions` VALUES (98875, 6178, 26, 'Indirizzo via');
INSERT INTO `lang_definitions` VALUES (98876, 6179, 26, 'Via e numero');
INSERT INTO `lang_definitions` VALUES (98877, 6180, 26, 'Forza');
INSERT INTO `lang_definitions` VALUES (98878, 6181, 26, 'Forza e condizionamento');
INSERT INTO `lang_definitions` VALUES (98879, 6182, 26, 'Streptococco gola');
INSERT INTO `lang_definitions` VALUES (98880, 6183, 26, 'Frattura da stress');
INSERT INTO `lang_definitions` VALUES (98881, 6184, 26, 'Test dello stress');
INSERT INTO `lang_definitions` VALUES (98882, 6185, 26, 'Colpo');
INSERT INTO `lang_definitions` VALUES (98883, 6186, 26, 'Password forte significa almeno 8 caratteri, e con almeno 3 dei seguenti: un numero, una lettera minuscola, una lettera maiuscola, un carattere speciale.');
INSERT INTO `lang_definitions` VALUES (98884, 6187, 26, 'Stile');
INSERT INTO `lang_definitions` VALUES (98885, 6188, 26, 'Stile del modulo usato per aggiungere nuovi pazienti');
INSERT INTO `lang_definitions` VALUES (98886, 6189, 26, 'Sub-categoria');
INSERT INTO `lang_definitions` VALUES (98887, 6190, 26, 'Sub-totale');
INSERT INTO `lang_definitions` VALUES (98888, 6191, 26, 'Subcategoria');
INSERT INTO `lang_definitions` VALUES (98889, 6192, 26, 'subcategoria');
INSERT INTO `lang_definitions` VALUES (98890, 6193, 26, 'sottocutaneamente');
INSERT INTO `lang_definitions` VALUES (98891, 6194, 26, 'Oggetto');
INSERT INTO `lang_definitions` VALUES (98892, 6195, 26, 'Soggettivo');
INSERT INTO `lang_definitions` VALUES (98893, 6196, 26, 'Sublinguale');
INSERT INTO `lang_definitions` VALUES (98894, 6197, 26, 'sublinguale');
INSERT INTO `lang_definitions` VALUES (98895, 6198, 26, 'Invia');
INSERT INTO `lang_definitions` VALUES (98896, 6199, 26, 'invia');
INSERT INTO `lang_definitions` VALUES (98897, 6200, 26, 'Invia tutto il contenuto');
INSERT INTO `lang_definitions` VALUES (98898, 6201, 26, 'Invia');
INSERT INTO `lang_definitions` VALUES (98899, 6202, 26, 'Invia evento');
INSERT INTO `lang_definitions` VALUES (98900, 6203, 26, 'invia modulo');
INSERT INTO `lang_definitions` VALUES (98901, 6204, 26, 'Invia il contenuto selezionato');
INSERT INTO `lang_definitions` VALUES (98902, 6205, 26, 'Inviato da EDI accesso numero (PER06)');
INSERT INTO `lang_definitions` VALUES (98903, 6206, 26, 'Inviato da');
INSERT INTO `lang_definitions` VALUES (98904, 6207, 26, 'Inviato da EDI accesso numero (PER06)');
INSERT INTO `lang_definitions` VALUES (98905, 6208, 26, 'Sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98906, 6209, 26, 'Indirizzo sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98907, 6210, 26, 'Città sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98908, 6211, 26, 'Paese sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98909, 6212, 26, 'Data di nascita sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98910, 6213, 26, 'Datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98911, 6214, 26, 'Datore di lavoro sottoscrittore (SE)');
INSERT INTO `lang_definitions` VALUES (98912, 6215, 26, 'Indirizzo datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98913, 6216, 26, 'Città datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98914, 6217, 26, 'Nazione datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98915, 6218, 26, 'Stato datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98916, 6219, 26, 'Paese datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98917, 6220, 26, 'Codice postale datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98918, 6221, 26, 'Codice postale datore di lavoro sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98919, 6222, 26, 'Nome sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98920, 6223, 26, 'Cognome sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98921, 6224, 26, 'Secondo nome sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98922, 6225, 26, 'Telefono sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98923, 6226, 26, 'Relazioni sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98924, 6227, 26, 'La relazione del sottoscrittore non è sua ma il nome è lo stesso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (98925, 6228, 26, 'La relazione del sottoscrittore non è sua ma il SS è lo stesso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (98926, 6229, 26, 'La relazione del sottoscrittore è sua ma il nome è diverso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (98927, 6230, 26, 'La relazione del sottoscrittore è sua ma il SS è lo diverso! Va bene comunque?');
INSERT INTO `lang_definitions` VALUES (98928, 6231, 26, 'Sesso sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98929, 6232, 26, 'SS sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98930, 6233, 26, 'Stato sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98931, 6234, 26, 'CAP sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98932, 6235, 26, 'Telefono sottoscrittore');
INSERT INTO `lang_definitions` VALUES (98933, 6237, 26, 'Sostituzione');
INSERT INTO `lang_definitions` VALUES (98934, 6238, 26, 'sostituzione consentita');
INSERT INTO `lang_definitions` VALUES (98935, 6240, 26, 'Successo');
INSERT INTO `lang_definitions` VALUES (98936, 6241, 26, 'successo');
INSERT INTO `lang_definitions` VALUES (98937, 6242, 26, 'Conferma ricevimento riuscito dei risultati di laboratorio');
INSERT INTO `lang_definitions` VALUES (98938, 6243, 26, 'Ottenimento con successo dei risultati di laboratorio');
INSERT INTO `lang_definitions` VALUES (98939, 6244, 26, 'Recupero con successo dei risultai di laboratorio');
INSERT INTO `lang_definitions` VALUES (98940, 6246, 26, 'Categoria aggiunta con successo');
INSERT INTO `lang_definitions` VALUES (98941, 6247, 26, 'aggiunto(a) con successo alla categoria.');
INSERT INTO `lang_definitions` VALUES (98942, 6248, 26, 'Eliminato con successo');
INSERT INTO `lang_definitions` VALUES (98943, 6249, 26, 'Importato con successo i dettagli. Approvare il paziente dallo schermo in attesa di approvazione');
INSERT INTO `lang_definitions` VALUES (98944, 6250, 26, 'Installato il database con successo.');
INSERT INTO `lang_definitions` VALUES (98945, 6251, 26, 'Il database seguente è stato installato con successo');
INSERT INTO `lang_definitions` VALUES (98946, 6252, 26, 'Modificato con successo');
INSERT INTO `lang_definitions` VALUES (98947, 6253, 26, 'Salvataggio riuscito. Vuoi allocarlo?');
INSERT INTO `lang_definitions` VALUES (98948, 6254, 26, 'Salvataggio riuscito. Vuoi ripartirlo?');
INSERT INTO `lang_definitions` VALUES (98949, 6256, 26, 'registrato con successo.');
INSERT INTO `lang_definitions` VALUES (98950, 6257, 26, 'Aggiornamento del database riuscito.');
INSERT INTO `lang_definitions` VALUES (98951, 6258, 26, 'Il database seguente è stato aggiornato con successo');
INSERT INTO `lang_definitions` VALUES (98952, 6259, 26, 'con successo.');
INSERT INTO `lang_definitions` VALUES (98953, 6260, 26, 'Suicidio');
INSERT INTO `lang_definitions` VALUES (98954, 6261, 26, 'Sommario');
INSERT INTO `lang_definitions` VALUES (98955, 6262, 26, 'Sommario di');
INSERT INTO `lang_definitions` VALUES (98956, 6265, 26, 'Dom');
INSERT INTO `lang_definitions` VALUES (98957, 6266, 26, 'Sundanese');
INSERT INTO `lang_definitions` VALUES (98958, 6267, 26, 'Domenica');
INSERT INTO `lang_definitions` VALUES (98959, 6268, 26, 'Superbill');
INSERT INTO `lang_definitions` VALUES (98960, 6269, 26, 'Codici Superbill');
INSERT INTO `lang_definitions` VALUES (98961, 6270, 26, 'Amministrazione codici Superbill');
INSERT INTO `lang_definitions` VALUES (98962, 6271, 26, 'Report Superbill');
INSERT INTO `lang_definitions` VALUES (98963, 6272, 26, 'Superbill/Foglio pagamento');
INSERT INTO `lang_definitions` VALUES (98964, 6273, 26, 'Superbills');
INSERT INTO `lang_definitions` VALUES (98965, 6274, 26, 'Superbills, a volte indicato come incontro moduli o slitta Itinerario, sono una parte essenziale della maggior parte delle pratiche mediche.');
INSERT INTO `lang_definitions` VALUES (98966, 6275, 26, 'Superutente');
INSERT INTO `lang_definitions` VALUES (98967, 6276, 26, 'Supervisione');
INSERT INTO `lang_definitions` VALUES (98968, 6278, 26, 'Supervisione Medico DEA');
INSERT INTO `lang_definitions` VALUES (98969, 6279, 26, 'Nome Supervisione Medico');
INSERT INTO `lang_definitions` VALUES (98970, 6280, 26, 'Cognome Supervisione Medico');
INSERT INTO `lang_definitions` VALUES (98971, 6281, 26, 'Supervisione Medico NPI');
INSERT INTO `lang_definitions` VALUES (98972, 6282, 26, 'Supervisione Medico UPIN');
INSERT INTO `lang_definitions` VALUES (98973, 6283, 26, 'Nome struttura fornitore');
INSERT INTO `lang_definitions` VALUES (98974, 6284, 26, 'Supporto eventi del calendario che si applicano a più provider');
INSERT INTO `lang_definitions` VALUES (98975, 6285, 26, 'Supporto esportazione/importazione dei dati di configurazione tramite la pagina Backup.');
INSERT INTO `lang_definitions` VALUES (98976, 6286, 26, 'Supporto Multi-Fornitori Eventi');
INSERT INTO `lang_definitions` VALUES (98977, 6288, 26, 'Supporta solo cifratura/decifratura TrpleDES');
INSERT INTO `lang_definitions` VALUES (98978, 6289, 26, 'Tipo di superficie');
INSERT INTO `lang_definitions` VALUES (98979, 6290, 26, 'Chirurghi');
INSERT INTO `lang_definitions` VALUES (98980, 6291, 26, 'Chirurgia');
INSERT INTO `lang_definitions` VALUES (98981, 6292, 26, 'Emissione lista chirurgica');
INSERT INTO `lang_definitions` VALUES (98982, 6293, 26, 'Sospeso');
INSERT INTO `lang_definitions` VALUES (98983, 6294, 26, 'sospensione');
INSERT INTO `lang_definitions` VALUES (98984, 6295, 26, 'Data Svc');
INSERT INTO `lang_definitions` VALUES (98985, 6296, 26, 'Data Svc:');
INSERT INTO `lang_definitions` VALUES (98986, 6297, 26, 'Swahili');
INSERT INTO `lang_definitions` VALUES (98987, 6298, 26, 'Swati');
INSERT INTO `lang_definitions` VALUES (98988, 6299, 26, 'Sudorazione:');
INSERT INTO `lang_definitions` VALUES (98989, 6300, 26, 'Svedese');
INSERT INTO `lang_definitions` VALUES (98990, 6301, 26, 'Gonfiore');
INSERT INTO `lang_definitions` VALUES (98991, 6302, 26, 'Gonfiore destro');
INSERT INTO `lang_definitions` VALUES (98992, 6303, 26, 'Articolazioni gonfie');
INSERT INTO `lang_definitions` VALUES (98993, 6304, 26, 'Ingrossamento dei linfonodi');
INSERT INTO `lang_definitions` VALUES (98994, 6305, 26, 'Simbolo usato come punto decimale per la moneta. Non usato se i posti decimali sono 0.');
INSERT INTO `lang_definitions` VALUES (98995, 6306, 26, 'Simbolo usato per separare le migliaia nella moneta.');
INSERT INTO `lang_definitions` VALUES (98996, 6307, 26, 'Sintomi');
INSERT INTO `lang_definitions` VALUES (98997, 6308, 26, 'Sincronizza');
INSERT INTO `lang_definitions` VALUES (98998, 6309, 26, 'Sincronizza le traduzioni con la tabella custom della lingua.');
INSERT INTO `lang_definitions` VALUES (98999, 6310, 26, 'Nuova costante custom sincronizzata:');
INSERT INTO `lang_definitions` VALUES (99000, 6311, 26, 'Nuova lingua custom sincronizzata:');
INSERT INTO `lang_definitions` VALUES (99001, 6312, 26, 'Nuova definizione sincronizzata (Lingua, Costante, Definizione):');
INSERT INTO `lang_definitions` VALUES (99002, 6313, 26, 'Sincope');
INSERT INTO `lang_definitions` VALUES (99003, 6314, 26, 'Sorveglianza sindromica');
INSERT INTO `lang_definitions` VALUES (99004, 6315, 26, 'Sorveglianza sindromica - Tematiche non riportate');
INSERT INTO `lang_definitions` VALUES (99005, 6316, 26, 'Relazione di Sorveglianza sindromica');
INSERT INTO `lang_definitions` VALUES (99006, 6317, 26, 'Sinovite, contusione, borsite');
INSERT INTO `lang_definitions` VALUES (99007, 6318, 26, 'Sistema');
INSERT INTO `lang_definitions` VALUES (99008, 6322, 26, 'T');
INSERT INTO `lang_definitions` VALUES (99009, 6323, 26, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (99010, 6324, 26, 'T.V.');
INSERT INTO `lang_definitions` VALUES (99011, 6325, 26, 'Tabella');
INSERT INTO `lang_definitions` VALUES (99012, 6327, 26, 'Creazione della tabella fallita');
INSERT INTO `lang_definitions` VALUES (99013, 6328, 26, 'Aggiornamento Tabella fallito');
INSERT INTO `lang_definitions` VALUES (99014, 6329, 26, 'Tabelle');
INSERT INTO `lang_definitions` VALUES (99015, 6330, 26, 'compressa');
INSERT INTO `lang_definitions` VALUES (99016, 6331, 26, 'Tag per incontro');
INSERT INTO `lang_definitions` VALUES (99017, 6332, 26, 'Tagalog');
INSERT INTO `lang_definitions` VALUES (99018, 6333, 26, 'Tahitian');
INSERT INTO `lang_definitions` VALUES (99019, 6334, 26, 'Tajik');
INSERT INTO `lang_definitions` VALUES (99020, 6335, 26, 'Prendere');
INSERT INTO `lang_definitions` VALUES (99021, 6336, 26, 'Prendere l\'assicurazione dalla casella a tendina');
INSERT INTO `lang_definitions` VALUES (99022, 6337, 26, 'Prendere il pagamento dalla casella a tendina');
INSERT INTO `lang_definitions` VALUES (99023, 6338, 26, 'programma di recupero');
INSERT INTO `lang_definitions` VALUES (99024, 6339, 26, 'prende tempo');
INSERT INTO `lang_definitions` VALUES (99025, 6340, 26, 'Area di navigazione in alto');
INSERT INTO `lang_definitions` VALUES (99026, 6341, 26, 'Tamil');
INSERT INTO `lang_definitions` VALUES (99027, 6342, 26, 'Data manomissione');
INSERT INTO `lang_definitions` VALUES (99028, 6343, 26, 'Tampered Checksum');
INSERT INTO `lang_definitions` VALUES (99029, 6344, 26, 'Destinazione e origine DOB(data nascita) non corrispondono');
INSERT INTO `lang_definitions` VALUES (99030, 6345, 26, 'Destinazione e origine pid non possono essere la stessa cosa!');
INSERT INTO `lang_definitions` VALUES (99031, 6346, 26, 'Destinazione e origine SSN non corrispondono');
INSERT INTO `lang_definitions` VALUES (99032, 6347, 26, 'Data destinazione');
INSERT INTO `lang_definitions` VALUES (99033, 6348, 26, 'Destinazione paziente');
INSERT INTO `lang_definitions` VALUES (99034, 6349, 26, 'Il paziente di destinazione non ha DOB(data di nascita)');
INSERT INTO `lang_definitions` VALUES (99035, 6350, 26, 'Destinazione paziente non trovata');
INSERT INTO `lang_definitions` VALUES (99036, 6351, 26, 'Obiettivo/Azione di gruppo');
INSERT INTO `lang_definitions` VALUES (99037, 6352, 26, 'Tatar');
INSERT INTO `lang_definitions` VALUES (99038, 6354, 26, 'ID imposta');
INSERT INTO `lang_definitions` VALUES (99039, 6355, 26, 'Aliquota d\'imposta');
INSERT INTO `lang_definitions` VALUES (99040, 6356, 26, 'Imposte');
INSERT INTO `lang_definitions` VALUES (99041, 6357, 26, 'Tassonomia');
INSERT INTO `lang_definitions` VALUES (99042, 6358, 26, 'Td');
INSERT INTO `lang_definitions` VALUES (99043, 6359, 26, 'Squadra infortuni: presentazione');
INSERT INTO `lang_definitions` VALUES (99044, 6360, 26, 'Elenco squadra');
INSERT INTO `lang_definitions` VALUES (99045, 6361, 26, 'Visualizza elenco squadra');
INSERT INTO `lang_definitions` VALUES (99046, 6362, 26, 'Squadra/Equipe');
INSERT INTO `lang_definitions` VALUES (99047, 6363, 26, 'Tel');
INSERT INTO `lang_definitions` VALUES (99048, 6364, 26, 'Prefisso telefonico nazione');
INSERT INTO `lang_definitions` VALUES (99049, 6365, 26, 'Telugu');
INSERT INTO `lang_definitions` VALUES (99050, 6366, 26, 'Temp');
INSERT INTO `lang_definitions` VALUES (99051, 6367, 26, 'Sede Temp');
INSERT INTO `lang_definitions` VALUES (99052, 6368, 26, 'Metodo Temp');
INSERT INTO `lang_definitions` VALUES (99053, 6369, 26, 'Temperatura');
INSERT INTO `lang_definitions` VALUES (99054, 6370, 26, 'Modello');
INSERT INTO `lang_definitions` VALUES (99055, 6371, 26, 'Nome modello');
INSERT INTO `lang_definitions` VALUES (99056, 6372, 26, 'Il nome del modello non può partire con un numero.');
INSERT INTO `lang_definitions` VALUES (99057, 6373, 26, 'Modello:');
INSERT INTO `lang_definitions` VALUES (99058, 6374, 26, 'Modelli');
INSERT INTO `lang_definitions` VALUES (99059, 6375, 26, 'Arteria temporale');
INSERT INTO `lang_definitions` VALUES (99060, 6376, 26, 'Lesione al tendine');
INSERT INTO `lang_definitions` VALUES (99061, 6377, 26, 'Tendinite/osis/borsite');
INSERT INTO `lang_definitions` VALUES (99062, 6378, 26, 'Rif.N.Fattura provvisiorio');
INSERT INTO `lang_definitions` VALUES (99063, 6379, 26, 'Terziario');
INSERT INTO `lang_definitions` VALUES (99064, 6380, 26, 'Terza assicurazione');
INSERT INTO `lang_definitions` VALUES (99065, 6381, 26, 'Data terzassicurazione');
INSERT INTO `lang_definitions` VALUES (99066, 6382, 26, 'Fornitore terza assicurazione');
INSERT INTO `lang_definitions` VALUES (99067, 6383, 26, 'Test di programmazione');
INSERT INTO `lang_definitions` VALUES (99068, 6384, 26, 'Test di sistema');
INSERT INTO `lang_definitions` VALUES (99069, 6385, 26, 'Testo');
INSERT INTO `lang_definitions` VALUES (99070, 6386, 26, 'Testo Diagnosi');
INSERT INTO `lang_definitions` VALUES (99071, 6387, 26, 'Campo testo');
INSERT INTO `lang_definitions` VALUES (99072, 6393, 26, 'Data-testo');
INSERT INTO `lang_definitions` VALUES (99073, 6394, 26, 'data-testo');
INSERT INTO `lang_definitions` VALUES (99074, 6395, 26, 'Area di testo');
INSERT INTO `lang_definitions` VALUES (99075, 6396, 26, 'area di testo');
INSERT INTO `lang_definitions` VALUES (99076, 6397, 26, 'Casella di testo');
INSERT INTO `lang_definitions` VALUES (99077, 6398, 26, 'casella di testo');
INSERT INTO `lang_definitions` VALUES (99078, 6399, 26, 'Elenco di caselle di testo');
INSERT INTO `lang_definitions` VALUES (99079, 6400, 26, 'elenco di caselle di testo');
INSERT INTO `lang_definitions` VALUES (99080, 6401, 26, 'Tahilandese');
INSERT INTO `lang_definitions` VALUES (99081, 6402, 26, 'Grazie');
INSERT INTO `lang_definitions` VALUES (99082, 6403, 26, 'Grazie di averci preferito');
INSERT INTO `lang_definitions` VALUES (99083, 6404, 26, 'Il pulsante \"Pulisci\" rimuoverà tutte le annotazioni.');
INSERT INTO `lang_definitions` VALUES (99084, 6405, 26, 'La dichiarazione di cui sopra è fallita');
INSERT INTO `lang_definitions` VALUES (99085, 6406, 26, 'Il certificato del server SSL Apache e chiave pubblica');
INSERT INTO `lang_definitions` VALUES (99086, 6407, 26, 'Il cetificato dell\'Autorità di certificazione');
INSERT INTO `lang_definitions` VALUES (99087, 6408, 26, 'La richiesta del file: ');
INSERT INTO `lang_definitions` VALUES (99088, 6409, 26, 'La compatibilità organizzata del pacchetto estensioni US SNOMED è già stato installato.');
INSERT INTO `lang_definitions` VALUES (99089, 6410, 26, 'La corrispndente chiave privata');
INSERT INTO `lang_definitions` VALUES (99090, 6411, 26, 'Il test di integrità dei dati non è riuscito per il presente modulo');
INSERT INTO `lang_definitions` VALUES (99091, 6413, 26, 'La negazione è il codice');
INSERT INTO `lang_definitions` VALUES (99092, 6414, 26, 'La negazione di gruppo è il codice');
INSERT INTO `lang_definitions` VALUES (99093, 6415, 26, 'Il modulo di destinazione era chiuso');
INSERT INTO `lang_definitions` VALUES (99094, 6416, 26, 'Il modulo di destinazione era chiuso; non posso agire sulla tua slezione.');
INSERT INTO `lang_definitions` VALUES (99095, 6417, 26, 'L\'entità di eseguire questa procedura');
INSERT INTO `lang_definitions` VALUES (99096, 6418, 26, 'Il PE, ospedale ammissibile o CAH che riceve un paziente da un altro contesto di cura o il fornitore di cure o crede che un incontro è rilevante dovrebbe eseguire la riconciliazione farmaci.');
INSERT INTO `lang_definitions` VALUES (99097, 6421, 26, 'Il PE, ospedale o CAH chi transizioni il loro paziente ad un altro contesto di cura o il fornitore di cure o riferisce il loro paziente ad un altro fornitore di cure ammissibile dovrebbero fornire sintesi dei record di cura per ogni transizione di cura e rinvio.');
INSERT INTO `lang_definitions` VALUES (99098, 6422, 26, 'Gli eventi sono stati approvati.');
INSERT INTO `lang_definitions` VALUES (99099, 6423, 26, 'Gli eventi sono stati nascosti.');
INSERT INTO `lang_definitions` VALUES (99100, 6424, 26, 'I dati esportati appaiono nella seguente area di testo. puoi copiarli e incollarli in un email o altra destinazione desiderata.');
INSERT INTO `lang_definitions` VALUES (99101, 6426, 26, 'I dati esportati appaiono nella seguente area di testo. puoi copiarli e incollarli in un email o altra destinazione desiderata.');
INSERT INTO `lang_definitions` VALUES (99102, 6427, 26, 'I dati esportati appaiono nella seguente area di testo. puoi copiarli e incollarli in un email o altra destinazione desiderata.');
INSERT INTO `lang_definitions` VALUES (99103, 6428, 26, 'Il file non può essere salvato nel CouchDB');
INSERT INTO `lang_definitions` VALUES (99104, 6429, 26, 'Non si è potuto rinominare con successo il file, questo errore usualmente è dovuto a problemi di permessi sul sistema di memorizzazione.');
INSERT INTO `lang_definitions` VALUES (99105, 6430, 26, 'Il file non può essere memorizzato con successo, questo errore è di solito correlato a problemi di autorizzazioni sul sistema di archiviazione');
INSERT INTO `lang_definitions` VALUES (99106, 6431, 26, 'Il primo (\"target\") grafico è quello che è considerato il più completo e preciso.Dati demografici e le sessioni per le assicurazioni verranno mantenute.');
INSERT INTO `lang_definitions` VALUES (99107, 6433, 26, 'Il primo passo è quello di aprire un account con il sito web Unified Medical Language System');
INSERT INTO `lang_definitions` VALUES (99108, 6434, 26, 'E\' stato aggiunto il seguente evento di calendario:');
INSERT INTO `lang_definitions` VALUES (99109, 6435, 26, 'E\' stato modificato il seguente evento di calendario:');
INSERT INTO `lang_definitions` VALUES (99110, 6436, 26, 'Le seguenti categorie saranno rimosse dall\'elenco delle categorie');
INSERT INTO `lang_definitions` VALUES (99111, 6437, 26, 'E\' stata installata la seguente release del database');
INSERT INTO `lang_definitions` VALUES (99112, 6438, 26, 'I seguenti documenti sono stati allegati al presente messaggio diretto:');
INSERT INTO `lang_definitions` VALUES (99113, 6439, 26, 'E\' stato caricato il seguente file EDI');
INSERT INTO `lang_definitions` VALUES (99114, 6440, 26, 'E\' attivato il seguente login di emergenza per l\'utente:');
INSERT INTO `lang_definitions` VALUES (99115, 6441, 26, 'Sono avvenuti i seguenti errori');
INSERT INTO `lang_definitions` VALUES (99116, 6442, 26, 'Il campo seguente ha un valore non valido');
INSERT INTO `lang_definitions` VALUES (99117, 6444, 26, 'Sono richiesti i seguenti campi');
INSERT INTO `lang_definitions` VALUES (99118, 6446, 26, 'I campi seguenti sonos stati compilati per inviare la richiesta.');
INSERT INTO `lang_definitions` VALUES (99119, 6447, 26, 'Le seguenti lingue internazionali rilasciate di SNOMED sono supportate');
INSERT INTO `lang_definitions` VALUES (99120, 6448, 26, 'I seguenti problemi hanno gli stessi codici di diagnosi. Questioni dell\'incontro non verranno aggiornate. Si prega di utilizzare, invece, l\'interfaccia di incontro.');
INSERT INTO `lang_definitions` VALUES (99121, 6449, 26, 'L\'hostname della macchina archivio di controllo ATNA.');
INSERT INTO `lang_definitions` VALUES (99122, 6450, 26, 'La finestra iniziale è la pagina di ricerca delle fatture. In testa puoi entrare una origine (p.es. un numero di assegno), la data di pagamento e l\'ammontare dell\'assegno. Il motivo per cui l\'origine e la data di pagamento sono così è che non devi entrarli più e più volte per ciascuna richiesta. L\'ammontare che inserisci decrescerà per ogni fattura che è parte del pagamento, e sperbilmente finirà con zero quando hai finito.');
INSERT INTO `lang_definitions` VALUES (99123, 6451, 26, 'La directory di installazione ha bisogno di essere creata.');
INSERT INTO `lang_definitions` VALUES (99124, 6452, 26, 'La versione di SNOMED internazionale installata non è compatibile con il pacchetto preparato US Extension SNOMED.');
INSERT INTO `lang_definitions` VALUES (99125, 6453, 26, 'La versione di SNOMED Internazionale installata non è aggiornata e non è compatibile con il file US Extension SNOMED preparato.');
INSERT INTO `lang_definitions` VALUES (99126, 6454, 26, 'La versione installata e i file organizzati sono gli stessi.');
INSERT INTO `lang_definitions` VALUES (99127, 6455, 26, 'La versione installata è una versione più recente rispetto ai file organizzato.');
INSERT INTO `lang_definitions` VALUES (99128, 6456, 26, 'L\'etichetta che appare all\'utente sul modulo');
INSERT INTO `lang_definitions` VALUES (99129, 6457, 26, 'La lunghezza non dovrebbe eccedere il seguente numero di caratteri');
INSERT INTO `lang_definitions` VALUES (99130, 6458, 26, 'La fusione non sia avvia finchè SSN e DOB per i due grafici sono identici. DOBs non possono essere vuoti.');
INSERT INTO `lang_definitions` VALUES (99131, 6459, 26, 'Il messaggio non può essere inviato in questo momento.');
INSERT INTO `lang_definitions` VALUES (99132, 6460, 26, 'La nuova categoria sarà una subcategoria di ');
INSERT INTO `lang_definitions` VALUES (99133, 6461, 26, 'La nuova password non può essere la stessa dell\'attuale password');
INSERT INTO `lang_definitions` VALUES (99134, 6462, 26, 'I campi della nuova password non sono gli stessi.');
INSERT INTO `lang_definitions` VALUES (99135, 6463, 26, 'Il numero di file organizzati non è corretto. Posizionare solo i file che si desidera installare/aggiornare.');
INSERT INTO `lang_definitions` VALUES (99136, 6464, 26, 'Il numero di file organizzati non è corretto. Posizionare solo i file che si desidera installare/aggiornare.');
INSERT INTO `lang_definitions` VALUES (99137, 6465, 26, 'La pagina verrà reindirizzata alla Demografica. È possibile modificare il campo del paese e fare clic su fino al nuovo NewCrop.');
INSERT INTO `lang_definitions` VALUES (99138, 6466, 26, 'La password deve essere di almeno otto caratteri, e dovrebbe');
INSERT INTO `lang_definitions` VALUES (99139, 6467, 26, 'La password inserita non è corretta');
INSERT INTO `lang_definitions` VALUES (99140, 6468, 26, 'La richiesta di registrazione del paziente è stata registrata.');
INSERT INTO `lang_definitions` VALUES (99141, 6469, 26, 'I promemoria dei pazienti sono stati inviati');
INSERT INTO `lang_definitions` VALUES (99142, 6470, 26, 'I promemoria dei pazienti sono stati aggiornati');
INSERT INTO `lang_definitions` VALUES (99143, 6471, 26, 'Il paziente non è stato registrato in questo modulo');
INSERT INTO `lang_definitions` VALUES (99144, 6472, 26, 'Il pagamento inviato non può andare sotto questa data. Questo assicura che dopo aver emesso il resoconto finale nessuno invii per date precedenti.');
INSERT INTO `lang_definitions` VALUES (99145, 6473, 26, 'Il portale ha dati per questo paziente e formulario. Caricare ora?');
INSERT INTO `lang_definitions` VALUES (99146, 6474, 26, 'Il feed di dati raw di rilascio può essere ottenuto da');
INSERT INTO `lang_definitions` VALUES (99147, 6475, 26, 'Le restanti informazioni seguenti si applicano solo se stai inviando manualmente, o se stai facendo correzioni manuali.');
INSERT INTO `lang_definitions` VALUES (99148, 6476, 26, 'Il documento richiesto non è presente nella posizione prevista sul filesystem o non ci sono autorizzazioni sufficienti per accedervi');
INSERT INTO `lang_definitions` VALUES (99149, 6477, 26, 'Il documento richiesto non è presente nella collocazione attesa sul filesystem oppure non ci sono sufficienti permessi per accedervi.');
INSERT INTO `lang_definitions` VALUES (99150, 6479, 26, 'Il secondo grafico (\"origine\") avrà le sue sezioni demografia, cronologia e assicurazioni scartati. Gli altri suoi dati saranno uniti nel grafico di destinazione.');
INSERT INTO `lang_definitions` VALUES (99151, 6480, 26, 'Le colonne Origine e Data sono copiate dalla prima pagina, così normalemente non le dovrai toccare. Puoi mettere un ammontare di pagamento nella colonna Paga, una rimodulazione dell\'importo nella colonna Rimodula, o entrambe. Puoi anche cliccare la \"W\" sulla destra per calcolare automaticamente una valore rimodulazione che emetta il promemoria del costo per quell\'elemento della linea.');
INSERT INTO `lang_definitions` VALUES (99152, 6481, 26, 'Le date di rilascio dei file organizzati non sono tutti della stessa versione.');
INSERT INTO `lang_definitions` VALUES (99153, 6482, 26, 'Le revisioni dei file organizzati non sono tutti della stessa versione.');
INSERT INTO `lang_definitions` VALUES (99154, 6483, 26, 'Il pacchetto organizzato US Extension SNOMED può essere installato soltanto dopo aver installato il pacchetto di SNOMED internazionale.');
INSERT INTO `lang_definitions` VALUES (99155, 6484, 26, 'La granularità del tempo dell\'agenda e il più piccolo intervallo in minuti per la durata di un appuntamento (slot).');
INSERT INTO `lang_definitions` VALUES (99156, 6485, 26, 'La traduzione dell\'etichetta che apparirà nela lingua corrente');
INSERT INTO `lang_definitions` VALUES (99157, 6486, 26, 'La traduzione del Titolo che apparirà nella lingua corrente');
INSERT INTO `lang_definitions` VALUES (99158, 6487, 26, 'La traduzione della descrizione nella lingua corrente');
INSERT INTO `lang_definitions` VALUES (99159, 6488, 26, 'Le tabelle delle traduzioni sono sincronizzate');
INSERT INTO `lang_definitions` VALUES (99160, 6489, 26, 'Il tipo di questa entità');
INSERT INTO `lang_definitions` VALUES (99161, 6490, 26, 'Il codice specifico del ventitore identificante questa procedura o risultato');
INSERT INTO `lang_definitions` VALUES (99162, 6491, 26, 'Il file X12, nonché i rapporti di output HTML risultante vengono archiviati nell\'\"era\" della directory di installazione LibreEHR principale. Si vuole fare riferimento a questi archivi di volta in volta. L\'URL è');
INSERT INTO `lang_definitions` VALUES (99163, 6492, 26, 'Il file zip contine i seguenti elementi');
INSERT INTO `lang_definitions` VALUES (99164, 6493, 26, 'Tema');
INSERT INTO `lang_definitions` VALUES (99165, 6494, 26, 'Poi la fornitura di dati raw di rilascio può essere ottenuto da');
INSERT INTO `lang_definitions` VALUES (99166, 6495, 26, 'Terapia iniettiva');
INSERT INTO `lang_definitions` VALUES (99167, 6496, 26, 'Ci sono');
INSERT INTO `lang_definitions` VALUES (99168, 6497, 26, 'Attualmente non ci sono prescrizioni.');
INSERT INTO `lang_definitions` VALUES (99169, 6498, 26, 'Ci sono errori nel tuo inserimento. Sono descritti d seguito.');
INSERT INTO `lang_definitions` VALUES (99170, 6499, 26, 'Ci sono più pazienti con login al portale');
INSERT INTO `lang_definitions` VALUES (99171, 6500, 26, 'Non ci sono grafici estratti.');
INSERT INTO `lang_definitions` VALUES (99172, 6501, 26, 'Non ci sono informative registrate per questo paziente.');
INSERT INTO `lang_definitions` VALUES (99173, 6502, 26, 'Non ci sono nuovi inserimenti');
INSERT INTO `lang_definitions` VALUES (99174, 6503, 26, 'Non ci sono note sul file per questo paziente.');
INSERT INTO `lang_definitions` VALUES (99175, 6504, 26, 'Non ci sono transazioni sul file per questo paziente.');
INSERT INTO `lang_definitions` VALUES (99176, 6505, 26, 'C\'è stato un errore di posta elettronica nell\'invio a');
INSERT INTO `lang_definitions` VALUES (99177, 6506, 26, 'C\'è già una categoria denominata');
INSERT INTO `lang_definitions` VALUES (99178, 6507, 26, 'C\'è già una subcategoria denominata');
INSERT INTO `lang_definitions` VALUES (99179, 6508, 26, 'C\'è già un elemento denominato');
INSERT INTO `lang_definitions` VALUES (99180, 6509, 26, 'C\'è già una richiesta di record del paziente aperta.');
INSERT INTO `lang_definitions` VALUES (99181, 6510, 26, 'Non vi è alcuna voce COA per conto AR ');
INSERT INTO `lang_definitions` VALUES (99182, 6511, 26, 'Non vi è alcuna voce COA per conto di cassa ');
INSERT INTO `lang_definitions` VALUES (99183, 6512, 26, 'Non vi è alcuna voce COA per conto economico ');
INSERT INTO `lang_definitions` VALUES (99184, 6513, 26, 'Non c\'è un paziente corrente');
INSERT INTO `lang_definitions` VALUES (99185, 6514, 26, 'Non ci sono contenuti locali per questo argomento.');
INSERT INTO `lang_definitions` VALUES (99186, 6515, 26, 'Non ci sono corrispondenze per la fattura id');
INSERT INTO `lang_definitions` VALUES (99187, 6516, 26, 'Non ci sono corrispondenze per la fattura id= ');
INSERT INTO `lang_definitions` VALUES (99188, 6517, 26, 'Non vi è alcuna voce componenti per i servizi di ID ');
INSERT INTO `lang_definitions` VALUES (99189, 6518, 26, 'Non vi è alcun paziente con login al portale');
INSERT INTO `lang_definitions` VALUES (99190, 6519, 26, 'C\'è stato un errore nell\'invio del messaggio.');
INSERT INTO `lang_definitions` VALUES (99191, 6520, 26, 'C\'è stato un errore mentre elaboravo la richiesta.');
INSERT INTO `lang_definitions` VALUES (99192, 6521, 26, 'E\' sfuggito un ERRORE in LibreEHR alla seguente stringa');
INSERT INTO `lang_definitions` VALUES (99193, 6522, 26, 'Questi sono i link 2012');
INSERT INTO `lang_definitions` VALUES (99194, 6523, 26, 'Inspessito a destra:');
INSERT INTO `lang_definitions` VALUES (99195, 6524, 26, 'Coscia');
INSERT INTO `lang_definitions` VALUES (99196, 6525, 26, 'Coscia + tendine');
INSERT INTO `lang_definitions` VALUES (99197, 6526, 26, 'Cose di back office che si possono solo leggere');
INSERT INTO `lang_definitions` VALUES (99198, 6527, 26, 'Cose di back office che si possono leggere e inserire, ma non modificare');
INSERT INTO `lang_definitions` VALUES (99199, 6528, 26, 'Cose di back office che si possono leggere e modificare');
INSERT INTO `lang_definitions` VALUES (99200, 6529, 26, 'Cose di back office che si possono leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (99201, 6530, 26, 'Le cose che i medici possono solo leggere');
INSERT INTO `lang_definitions` VALUES (99202, 6531, 26, 'Le cose che i medici possono leggere e inserire, ma non modificare');
INSERT INTO `lang_definitions` VALUES (99203, 6532, 26, 'Le cose che i medici possono leggere e modificare');
INSERT INTO `lang_definitions` VALUES (99204, 6533, 26, 'Le cose che i medici possono leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (99205, 6534, 26, 'Cose che lo sportello può solo leggere');
INSERT INTO `lang_definitions` VALUES (99206, 6535, 26, 'Cose che lo sportello può leggere e inserire ma non modificare');
INSERT INTO `lang_definitions` VALUES (99207, 6536, 26, 'Cose che lo sportello può leggere e modificare');
INSERT INTO `lang_definitions` VALUES (99208, 6537, 26, 'Cose che lo sportello può leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (99209, 6538, 26, 'Cose che i medici possono solo leggere');
INSERT INTO `lang_definitions` VALUES (99210, 6539, 26, 'Cose che i medici possono leggere e inserire ma non modificare');
INSERT INTO `lang_definitions` VALUES (99211, 6540, 26, 'Cose che i medici possono leggere e modificare');
INSERT INTO `lang_definitions` VALUES (99212, 6541, 26, 'Cose che i medici possono leggere e modificare parzialmente');
INSERT INTO `lang_definitions` VALUES (99213, 6542, 26, 'Terzo');
INSERT INTO `lang_definitions` VALUES (99214, 6544, 26, 'Questa azione NON PUO\' essere annullata.');
INSERT INTO `lang_definitions` VALUES (99215, 6545, 26, 'Questa azione non può essere annullata.');
INSERT INTO `lang_definitions` VALUES (99216, 6547, 26, 'Questa azione sarà registrata nei log.');
INSERT INTO `lang_definitions` VALUES (99217, 6549, 26, 'Questo slot appuntamento è già utilizzato, usare comunque?');
INSERT INTO `lang_definitions` VALUES (99218, 6550, 26, 'Questo slot appuntamento non è disponibile, si prega di sceglierne un altro.');
INSERT INTO `lang_definitions` VALUES (99219, 6551, 26, 'Questo anno dell\'agenda');
INSERT INTO `lang_definitions` VALUES (99220, 6552, 26, 'Questa richiesta è stata annullata.');
INSERT INTO `lang_definitions` VALUES (99221, 6553, 26, 'Questa richiesta è stata chiusa.');
INSERT INTO `lang_definitions` VALUES (99222, 6554, 26, 'Questa richiesta è stata respinta. Motivo:');
INSERT INTO `lang_definitions` VALUES (99223, 6555, 26, 'Questa richiesta è stata inoltrata a livello successivo.');
INSERT INTO `lang_definitions` VALUES (99224, 6556, 26, 'Questo tipo di codice non acetta relazioni.');
INSERT INTO `lang_definitions` VALUES (99225, 6557, 26, 'Questo contesto contiene categorie, che saranno eliminate. Vuoi ancora continuare?');
INSERT INTO `lang_definitions` VALUES (99226, 6558, 26, 'Questo determina come gli appuntamenti sono mostrati sul calendario');
INSERT INTO `lang_definitions` VALUES (99227, 6559, 26, 'Questo determina lo schema di colore per gli appuntamenti');
INSERT INTO `lang_definitions` VALUES (99228, 6561, 26, 'Questo Incontro');
INSERT INTO `lang_definitions` VALUES (99229, 6562, 26, 'Questo incontro è stato fatturato. Se avete bisogno di cambiare, deve essere riaperta.');
INSERT INTO `lang_definitions` VALUES (99230, 6563, 26, 'Questo incontro è bloccato. Non puoi aggiungere un nuovo formulario');
INSERT INTO `lang_definitions` VALUES (99231, 6564, 26, 'Questa caratteristica non è ancora disponibile');
INSERT INTO `lang_definitions` VALUES (99232, 6565, 26, 'Questa caratteristica è molto sperimentale e non testata completamente. Usala a tuo rischio!');
INSERT INTO `lang_definitions` VALUES (99233, 6566, 26, 'Qusto numero di fattura è stato cambiato in ');
INSERT INTO `lang_definitions` VALUES (99234, 6569, 26, 'Questa è la tabella che confluirà nel grafico principale e quindi cancellato.');
INSERT INTO `lang_definitions` VALUES (99235, 6571, 26, 'Questa è la tabella principale che deve ricevere i dati uniti.');
INSERT INTO `lang_definitions` VALUES (99236, 6572, 26, 'questa posizione');
INSERT INTO `lang_definitions` VALUES (99237, 6573, 26, 'Questo messaggio non viene salvato automaticamente. Copiare e salvarlo a seconda dei casi per il contenuto.');
INSERT INTO `lang_definitions` VALUES (99238, 6574, 26, 'Questo modulo è utilizzato da ');
INSERT INTO `lang_definitions` VALUES (99239, 6575, 26, 'Questo modulo è in modo test. Il database non sarà cambiato.');
INSERT INTO `lang_definitions` VALUES (99240, 6576, 26, 'Questo modulo promuove un inserimento efficiente di dati EOB.');
INSERT INTO `lang_definitions` VALUES (99241, 6577, 26, 'Questo mese alla Data');
INSERT INTO `lang_definitions` VALUES (99242, 6578, 26, 'Questo ordine è stato trasmesso in');
INSERT INTO `lang_definitions` VALUES (99243, 6579, 26, 'Questa pagina consente di esaminare ciascuno dei dataloads supportati esterni che è possibile installare e aggiornare. Ogni sezione di seguito può essere espanso facendo clic sull\'intestazione della sezione per esaminare lo stato della base di dati di particolare interesse.');
INSERT INTO `lang_definitions` VALUES (99244, 6580, 26, 'Questa pagina è disattivata per motivi di sicurezza.');
INSERT INTO `lang_definitions` VALUES (99245, 6581, 26, 'Questa pagina includerà in linea la pagina di ingresso,così che non dovrai cliccare per il re-ingresso ogni volta.');
INSERT INTO `lang_definitions` VALUES (99246, 6582, 26, 'Questo paziente non ha attività.');
INSERT INTO `lang_definitions` VALUES (99247, 6583, 26, 'Questo ID del paziente è già in uso!');
INSERT INTO `lang_definitions` VALUES (99248, 6584, 26, 'Questo prodotto consente solo un lotto per magazzino.');
INSERT INTO `lang_definitions` VALUES (99249, 6585, 26, 'Questo protocollo non è implementato');
INSERT INTO `lang_definitions` VALUES (99250, 6586, 26, 'Questo rapporto attualmente funziona solo per i codici ICD9.');
INSERT INTO `lang_definitions` VALUES (99251, 6591, 26, 'Questo passaggio genererà un file che dovrai salvare per usi futuri. Il file non può essere generato di nuovo. Vuoi procedere?');
INSERT INTO `lang_definitions` VALUES (99252, 6592, 26, 'Questo utente non è un membro di alcun gruppo');
INSERT INTO `lang_definitions` VALUES (99253, 6593, 26, 'L\'utente riceverà la notifica di nuovi messaggi in arrivo diretti');
INSERT INTO `lang_definitions` VALUES (99254, 6594, 26, 'Questa utility è sperimentale. Eseguire il backup del database e documenti prima di utilizzarlo!');
INSERT INTO `lang_definitions` VALUES (99255, 6595, 26, 'Questa visita dà inizio all\'uso di un nuovo contraccettivo');
INSERT INTO `lang_definitions` VALUES (99256, 6596, 26, 'Questa visita avrà bisogno di un servizio di GCAC modulo, rinvio o una procedura.');
INSERT INTO `lang_definitions` VALUES (99257, 6597, 26, 'Questo era il modulo Vitali più vecchio, ora deprecato.');
INSERT INTO `lang_definitions` VALUES (99258, 6598, 26, 'Questa settimana alla Data');
INSERT INTO `lang_definitions` VALUES (99259, 6600, 26, 'Questo attiverà la segnalazione CCR (Continuity of Record Care) e CCD (Continuità del documento Care).');
INSERT INTO `lang_definitions` VALUES (99260, 6602, 26, 'Questo consentirà la selezione del debugging della lingua (\'dummy\').');
INSERT INTO `lang_definitions` VALUES (99261, 6605, 26, 'Questo sarà un \"ciclo di prova\" senza aggiornamenti dei dati fisici.');
INSERT INTO `lang_definitions` VALUES (99262, 6606, 26, 'Questo creerà un backup in formato tar inviandolo al tuo browser così che tu possa salvarlo');
INSERT INTO `lang_definitions` VALUES (99263, 6607, 26, 'Questo disattiverà la caratteristica di criptare decriptare documenti, e la nasconderà nella Interfaccia Utente.');
INSERT INTO `lang_definitions` VALUES (99264, 6613, 26, 'Questo forzerà il widget delle fatturazioni nella schermata Sommario Paziente a essere sempre aperto.');
INSERT INTO `lang_definitions` VALUES (99265, 6616, 26, 'Questo vi permette di unire due tabelle pazienti in uno. E\' utile quando un paziente è stato duplicato per errore. Se ciò accade spesso, riparare le vostre procedure di ufficio - non eseguire questa routine!');
INSERT INTO `lang_definitions` VALUES (99266, 6617, 26, 'Ciò non vi impedirà di andare al sito di prescrizioni elettroniche.');
INSERT INTO `lang_definitions` VALUES (99267, 6619, 26, 'Questo userà un elenco immunizzazioni personalizzato piuttosto che l\'elenco immunizzazioni standard CVX');
INSERT INTO `lang_definitions` VALUES (99268, 6622, 26, 'Colonna toracica');
INSERT INTO `lang_definitions` VALUES (99269, 6623, 26, 'Thous/CU.MM');
INSERT INTO `lang_definitions` VALUES (99270, 6625, 26, 'Gola');
INSERT INTO `lang_definitions` VALUES (99271, 6626, 26, 'Cancro alla gola');
INSERT INTO `lang_definitions` VALUES (99272, 6627, 26, 'Intervento per cancro alla gola');
INSERT INTO `lang_definitions` VALUES (99273, 6628, 26, 'Trombosi/Stroke');
INSERT INTO `lang_definitions` VALUES (99274, 6629, 26, 'Gio');
INSERT INTO `lang_definitions` VALUES (99275, 6630, 26, 'Giovedì');
INSERT INTO `lang_definitions` VALUES (99276, 6631, 26, 'Giovedì');
INSERT INTO `lang_definitions` VALUES (99277, 6632, 26, 'Tiroide normale');
INSERT INTO `lang_definitions` VALUES (99278, 6633, 26, 'Problemi alla tiroide');
INSERT INTO `lang_definitions` VALUES (99279, 6634, 26, 'TIA');
INSERT INTO `lang_definitions` VALUES (99280, 6636, 26, 'TID');
INSERT INTO `lang_definitions` VALUES (99281, 6638, 26, 'Ora');
INSERT INTO `lang_definitions` VALUES (99282, 6639, 26, 'Formato di presentazione dell\'ora');
INSERT INTO `lang_definitions` VALUES (99283, 6640, 26, 'Incremento temporale da aggiungere (minuti 1-60)');
INSERT INTO `lang_definitions` VALUES (99284, 6641, 26, 'Selezione dell\'ora');
INSERT INTO `lang_definitions` VALUES (99285, 6642, 26, 'Lo slot di tempo è aperto, salvare l\'evento');
INSERT INTO `lang_definitions` VALUES (99286, 6647, 26, 'Ora dell\'evento fissata');
INSERT INTO `lang_definitions` VALUES (99287, 6648, 26, 'Matrice tempi (N/D)');
INSERT INTO `lang_definitions` VALUES (99288, 6649, 26, 'Testo e timestamp');
INSERT INTO `lang_definitions` VALUES (99289, 6650, 26, 'TIN');
INSERT INTO `lang_definitions` VALUES (99290, 6651, 26, 'Tinnito');
INSERT INTO `lang_definitions` VALUES (99291, 6652, 26, 'Titolo');
INSERT INTO `lang_definitions` VALUES (99292, 6653, 26, 'Titolo V');
INSERT INTO `lang_definitions` VALUES (99293, 6654, 26, 'Le ColTit devono essere un numero tra 1 e 999');
INSERT INTO `lang_definitions` VALUES (99294, 6655, 26, 'Titoli');
INSERT INTO `lang_definitions` VALUES (99295, 6656, 26, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (99296, 6657, 26, 'TMs/EAMs/EE, ext nose');
INSERT INTO `lang_definitions` VALUES (99297, 6658, 26, 'A');
INSERT INTO `lang_definitions` VALUES (99298, 6659, 26, 'A');
INSERT INTO `lang_definitions` VALUES (99299, 6660, 26, 'al percorso assoluto del file');
INSERT INTO `lang_definitions` VALUES (99300, 6661, 26, 'al percorso assoluto del file');
INSERT INTO `lang_definitions` VALUES (99301, 6662, 26, 'Per aggiunger note clicca ');
INSERT INTO `lang_definitions` VALUES (99302, 6663, 26, 'Per aggiunger note, clicca qui');
INSERT INTO `lang_definitions` VALUES (99303, 6664, 26, 'Per l\'area interessata');
INSERT INTO `lang_definitions` VALUES (99304, 6665, 26, 'Per l\'area interessata');
INSERT INTO `lang_definitions` VALUES (99305, 6666, 26, 'Per aprire automaticamente il modulo specificato. Alcune squadre sportive qui usano football_injury_audit');
INSERT INTO `lang_definitions` VALUES (99306, 6667, 26, 'Alla vista Fatturazione');
INSERT INTO `lang_definitions` VALUES (99307, 6668, 26, 'alla categoria');
INSERT INTO `lang_definitions` VALUES (99308, 6669, 26, 'Alla vista Clinica');
INSERT INTO `lang_definitions` VALUES (99309, 6670, 26, 'Al copagamento');
INSERT INTO `lang_definitions` VALUES (99310, 6672, 26, 'Per raddoppiare');
INSERT INTO `lang_definitions` VALUES (99311, 6673, 26, 'Per Dems');
INSERT INTO `lang_definitions` VALUES (99312, 6674, 26, 'Per disabilitare i certificati SSL lato Client, commenta le linee sopradette nel file di configurazione di Apache e setta');
INSERT INTO `lang_definitions` VALUES (99313, 6675, 26, 'Per disabilitare l\'HTTPS, commenta le linee sopradette nel file di configurazione di Apache e riavvia il server Apache');
INSERT INTO `lang_definitions` VALUES (99314, 6676, 26, 'Per abiitare i certificati ssl lato Client');
INSERT INTO `lang_definitions` VALUES (99315, 6677, 26, 'Per abilitare i certificati di autentificazione SSL lato Client, dovrebbe essere abilitato l\'HTTPS');
INSERT INTO `lang_definitions` VALUES (99316, 6678, 26, 'Per abilitare solo l\'HTTPS, effettua i sopraddetti cambiamenti e riavvia il server Apache. Se vuoi configurare anche i certificati lato Client, configurali nella prossima sezione.');
INSERT INTO `lang_definitions` VALUES (99317, 6679, 26, 'Alla cifr');
INSERT INTO `lang_definitions` VALUES (99318, 6680, 26, 'Al filtro per sesso');
INSERT INTO `lang_definitions` VALUES (99319, 6681, 26, 'Allo storico');
INSERT INTO `lang_definitions` VALUES (99320, 6682, 26, 'Alle tematiche');
INSERT INTO `lang_definitions` VALUES (99321, 6683, 26, 'Per collegare questo incontro/consulto a una tematica esistente, clicca il ');
INSERT INTO `lang_definitions` VALUES (99322, 6684, 26, 'Per collegare questo incontro/consulto a una tematica esistente, clicca la tematica desiderata soprastante per illuminarla e quindi clicca [Salva. Tieni premuto il pulsante [Ctrl] per selezionare più tematiche.');
INSERT INTO `lang_definitions` VALUES (99323, 6685, 26, 'per entrare di nuovo');
INSERT INTO `lang_definitions` VALUES (99324, 6686, 26, 'Per registrare le informative, clicca');
INSERT INTO `lang_definitions` VALUES (99325, 6687, 26, 'per l\'esecuzione');
INSERT INTO `lang_definitions` VALUES (99326, 6688, 26, 'Per settare l\'accesso https con autentificazione certicata del client, fai quanto segue');
INSERT INTO `lang_definitions` VALUES (99327, 6689, 26, 'Alla Pelle');
INSERT INTO `lang_definitions` VALUES (99328, 6690, 26, 'alla pelle');
INSERT INTO `lang_definitions` VALUES (99329, 6691, 26, 'a questa visita?');
INSERT INTO `lang_definitions` VALUES (99330, 6693, 26, 'A:');
INSERT INTO `lang_definitions` VALUES (99331, 6694, 26, 'A: ');
INSERT INTO `lang_definitions` VALUES (99332, 6695, 26, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (99333, 6696, 26, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (99334, 6697, 26, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (99335, 6698, 26, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (99336, 6699, 26, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (99337, 6700, 26, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (99338, 6703, 26, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (99339, 6704, 26, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (99340, 6705, 26, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (99341, 6706, 26, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (99342, 6707, 26, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (99343, 6708, 26, 'Tabacco');
INSERT INTO `lang_definitions` VALUES (99344, 6709, 26, 'Tabacco Cessazione Intervento');
INSERT INTO `lang_definitions` VALUES (99345, 6710, 26, 'Tabacco Cessazione Intervento (CQM)');
INSERT INTO `lang_definitions` VALUES (99346, 6712, 26, 'Uso tabacco');
INSERT INTO `lang_definitions` VALUES (99347, 6713, 26, 'Valutazione uso del tabacco (CQM)');
INSERT INTO `lang_definitions` VALUES (99348, 6714, 26, 'Valutazione uso del tabacco (CQM)');
INSERT INTO `lang_definitions` VALUES (99349, 6715, 26, 'Oggi');
INSERT INTO `lang_definitions` VALUES (99350, 6716, 26, 'OGGI');
INSERT INTO `lang_definitions` VALUES (99351, 6717, 26, 'oggi');
INSERT INTO `lang_definitions` VALUES (99352, 6718, 26, 'Saldoi di oggi');
INSERT INTO `lang_definitions` VALUES (99353, 6719, 26, 'Spesae di oggi');
INSERT INTO `lang_definitions` VALUES (99354, 6720, 26, 'Data di oggi');
INSERT INTO `lang_definitions` VALUES (99355, 6721, 26, 'Eventi di oggi');
INSERT INTO `lang_definitions` VALUES (99356, 6723, 26, 'ID Token per il Medical Information Integration, LLC Lab Service Exchange.');
INSERT INTO `lang_definitions` VALUES (99357, 6724, 26, 'ID Token per il supporto LLC Lab Service Exchange LibreEHR.');
INSERT INTO `lang_definitions` VALUES (99358, 6726, 26, 'Tonsillectomia');
INSERT INTO `lang_definitions` VALUES (99359, 6728, 26, 'In alto');
INSERT INTO `lang_definitions` VALUES (99360, 6730, 26, 'Argomento');
INSERT INTO `lang_definitions` VALUES (99361, 6731, 26, 'Totale');
INSERT INTO `lang_definitions` VALUES (99362, 6732, 26, 'totale');
INSERT INTO `lang_definitions` VALUES (99363, 6733, 26, 'Totale azioni attive');
INSERT INTO `lang_definitions` VALUES (99364, 6734, 26, 'Totale dei promemoria attivi dopo l\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (99365, 6735, 26, 'Totale dei promemoria attivi prima dell\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (99366, 6737, 26, 'Totale importo dovuto');
INSERT INTO `lang_definitions` VALUES (99367, 6738, 26, 'Totale importo pagato');
INSERT INTO `lang_definitions` VALUES (99368, 6739, 26, 'Totale saldo dovuto');
INSERT INTO `lang_definitions` VALUES (99369, 6740, 26, 'Spesa totale');
INSERT INTO `lang_definitions` VALUES (99370, 6741, 26, 'Totale spese');
INSERT INTO `lang_definitions` VALUES (99371, 6742, 26, 'Totale clienti');
INSERT INTO `lang_definitions` VALUES (99372, 6743, 26, 'Costo totale');
INSERT INTO `lang_definitions` VALUES (99373, 6744, 26, 'Il totale della ripartizione per il seguente numero di assegno non è completo');
INSERT INTO `lang_definitions` VALUES (99374, 6745, 26, 'Entrate totali');
INSERT INTO `lang_definitions` VALUES (99375, 6746, 26, 'Totale dei promemoria inviati via email falliti');
INSERT INTO `lang_definitions` VALUES (99376, 6747, 26, 'Totale dei promemoria inviati via telefono falliti');
INSERT INTO `lang_definitions` VALUES (99377, 6748, 26, 'Totale per');
INSERT INTO `lang_definitions` VALUES (99378, 6749, 26, 'Totale per ');
INSERT INTO `lang_definitions` VALUES (99379, 6750, 26, 'Totale per categoria');
INSERT INTO `lang_definitions` VALUES (99380, 6751, 26, 'Totale dei promemoria non attivati');
INSERT INTO `lang_definitions` VALUES (99381, 6752, 26, 'Totale dei nuovi promemoria');
INSERT INTO `lang_definitions` VALUES (99382, 6753, 26, 'Numero totale appuntamenti');
INSERT INTO `lang_definitions` VALUES (99383, 6755, 26, 'Numero totale di Immunizzazioni');
INSERT INTO `lang_definitions` VALUES (99384, 6756, 26, 'Numero totale di Tematiche');
INSERT INTO `lang_definitions` VALUES (99385, 6758, 26, 'Numero totale di Pazienti');
INSERT INTO `lang_definitions` VALUES (99386, 6760, 26, 'Saldo totale paziente');
INSERT INTO `lang_definitions` VALUES (99387, 6761, 26, 'Totale Pazienti');
INSERT INTO `lang_definitions` VALUES (99388, 6764, 26, 'Totale Record trovati');
INSERT INTO `lang_definitions` VALUES (99389, 6765, 26, 'Totale SRH & Pianificazione familiare');
INSERT INTO `lang_definitions` VALUES (99390, 6766, 26, 'Totale dei promemoria inviati con successo via email');
INSERT INTO `lang_definitions` VALUES (99391, 6767, 26, 'Totale dei promemoria inviati con successo via telefono');
INSERT INTO `lang_definitions` VALUES (99392, 6770, 26, 'Totale dei promemoria non cambiati');
INSERT INTO `lang_definitions` VALUES (99393, 6771, 26, 'Totale dei promemoria non inviati dopo il processo di invio');
INSERT INTO `lang_definitions` VALUES (99394, 6772, 26, 'Totale dei promemoria non inviati dopo l\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (99395, 6773, 26, 'Totale dei promemoria non inviati prima del processo di invio');
INSERT INTO `lang_definitions` VALUES (99396, 6774, 26, 'Totale dei promemoria non inviati prima dell\'aggiornamento');
INSERT INTO `lang_definitions` VALUES (99397, 6775, 26, 'Totale dei promemoria aggiornati');
INSERT INTO `lang_definitions` VALUES (99398, 6776, 26, 'Totali');
INSERT INTO `lang_definitions` VALUES (99399, 6777, 26, 'Totali per');
INSERT INTO `lang_definitions` VALUES (99400, 6778, 26, 'Totali per ');
INSERT INTO `lang_definitions` VALUES (99401, 6780, 26, 'to{{range}}');
INSERT INTO `lang_definitions` VALUES (99402, 6785, 26, 'Tipo Addestramento');
INSERT INTO `lang_definitions` VALUES (99403, 6786, 26, 'Transaz');
INSERT INTO `lang_definitions` VALUES (99404, 6787, 26, 'Transazione');
INSERT INTO `lang_definitions` VALUES (99405, 6788, 26, 'transazione');
INSERT INTO `lang_definitions` VALUES (99406, 6789, 26, 'Transazione fallita, quantità insufficiente nel lotto destinazione');
INSERT INTO `lang_definitions` VALUES (99407, 6790, 26, 'Transazione fallita, la quantità è minore di zero');
INSERT INTO `lang_definitions` VALUES (99408, 6791, 26, 'Tipo di transazione');
INSERT INTO `lang_definitions` VALUES (99409, 6792, 26, 'transazioni');
INSERT INTO `lang_definitions` VALUES (99410, 6793, 26, 'Transazioni');
INSERT INTO `lang_definitions` VALUES (99411, 6794, 26, 'Transazioni (scrittura opzionale)');
INSERT INTO `lang_definitions` VALUES (99412, 6795, 26, 'Transazioni/Riferimenti');
INSERT INTO `lang_definitions` VALUES (99413, 6797, 26, 'Trasferimento');
INSERT INTO `lang_definitions` VALUES (99414, 6798, 26, 'Data trasferimento');
INSERT INTO `lang_definitions` VALUES (99415, 6799, 26, 'Trasferimento fallito, quantità insufficiente nel lotto di origine');
INSERT INTO `lang_definitions` VALUES (99416, 6800, 26, 'Sommario trasferimento');
INSERT INTO `lang_definitions` VALUES (99417, 6801, 26, 'Trasferito a');
INSERT INTO `lang_definitions` VALUES (99418, 6804, 26, 'Trasferimenti');
INSERT INTO `lang_definitions` VALUES (99419, 6806, 26, 'Transizione/Trasferimento di cura?');
INSERT INTO `lang_definitions` VALUES (99420, 6807, 26, 'Traduci Controlli di Accesso dei Gruppi');
INSERT INTO `lang_definitions` VALUES (99421, 6808, 26, 'Traduci Categorie Appuntamenti');
INSERT INTO `lang_definitions` VALUES (99422, 6809, 26, 'Traduci Categorie Documento');
INSERT INTO `lang_definitions` VALUES (99423, 6810, 26, 'Traduci i Layout');
INSERT INTO `lang_definitions` VALUES (99424, 6811, 26, 'Traduci Elenchi');
INSERT INTO `lang_definitions` VALUES (99425, 6812, 26, 'Traduci Titoli nota paziente');
INSERT INTO `lang_definitions` VALUES (99426, 6813, 26, 'traduci questo');
INSERT INTO `lang_definitions` VALUES (99427, 6814, 26, 'Traduzione');
INSERT INTO `lang_definitions` VALUES (99428, 6815, 26, 'Traduzioni');
INSERT INTO `lang_definitions` VALUES (99429, 6816, 26, 'Trasmettere');
INSERT INTO `lang_definitions` VALUES (99430, 6817, 26, 'Trasmissione fallita');
INSERT INTO `lang_definitions` VALUES (99431, 6818, 26, 'Trasmettere agli ordini selezionati');
INSERT INTO `lang_definitions` VALUES (99432, 6819, 26, 'Trauma');
INSERT INTO `lang_definitions` VALUES (99433, 6820, 26, 'Trattamento:');
INSERT INTO `lang_definitions` VALUES (99434, 6822, 26, 'Obiettivi del trattamento');
INSERT INTO `lang_definitions` VALUES (99435, 6823, 26, 'Piano di trattamento');
INSERT INTO `lang_definitions` VALUES (99436, 6824, 26, 'Pianificazione del trattamento');
INSERT INTO `lang_definitions` VALUES (99437, 6825, 26, 'Trattamento ricevuto');
INSERT INTO `lang_definitions` VALUES (99438, 6826, 26, 'Trattamento:');
INSERT INTO `lang_definitions` VALUES (99439, 6827, 26, 'Trattamento: ');
INSERT INTO `lang_definitions` VALUES (99440, 6828, 26, 'Tendenza');
INSERT INTO `lang_definitions` VALUES (99441, 6829, 26, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (99442, 6830, 26, 'Punto di innesco / scomparto sindrome / DOMS / crampi');
INSERT INTO `lang_definitions` VALUES (99443, 6831, 26, 'Trimalleolare');
INSERT INTO `lang_definitions` VALUES (99444, 6832, 26, 'Tronco e addome');
INSERT INTO `lang_definitions` VALUES (99445, 6835, 26, 'Tentativo di creare utenti con nome utente esistente!');
INSERT INTO `lang_definitions` VALUES (99446, 6837, 26, 'tsp');
INSERT INTO `lang_definitions` VALUES (99447, 6839, 26, 'TTS');
INSERT INTO `lang_definitions` VALUES (99448, 6840, 26, 'Tubercolosi');
INSERT INTO `lang_definitions` VALUES (99449, 6841, 26, 'Mar');
INSERT INTO `lang_definitions` VALUES (99450, 6842, 26, 'Mart &amp; Giov');
INSERT INTO `lang_definitions` VALUES (99451, 6843, 26, 'Martedì');
INSERT INTO `lang_definitions` VALUES (99452, 6844, 26, 'Tumore');
INSERT INTO `lang_definitions` VALUES (99453, 6845, 26, 'Turco');
INSERT INTO `lang_definitions` VALUES (99454, 6848, 26, 'due volte al dì');
INSERT INTO `lang_definitions` VALUES (99455, 6850, 26, 'Membrana timpanica');
INSERT INTO `lang_definitions` VALUES (99456, 6851, 26, 'Tipo');
INSERT INTO `lang_definitions` VALUES (99457, 6852, 26, 'Tipo di Id o Nome. Minimo 3 caratteri (incluso gli spazi)');
INSERT INTO `lang_definitions` VALUES (99458, 6853, 26, 'Tipi di colonne mostrate per i risultati della ricerca paziente');
INSERT INTO `lang_definitions` VALUES (99459, 6854, 26, 'Tipo di informativa');
INSERT INTO `lang_definitions` VALUES (99460, 6855, 26, 'Tipo di eventi');
INSERT INTO `lang_definitions` VALUES (99461, 6856, 26, 'Tipo di layout dello schermo');
INSERT INTO `lang_definitions` VALUES (99462, 6857, 26, 'Scrivi o scansiona qui l\'identificatore del paziente');
INSERT INTO `lang_definitions` VALUES (99463, 6858, 26, 'Inserisci il tuo messaggio qui');
INSERT INTO `lang_definitions` VALUES (99464, 6859, 26, 'Tipi di Ordini e Risultati');
INSERT INTO `lang_definitions` VALUES (99465, 6864, 26, 'Codici UCSMC forniti dall\'Università di Calgary Centro di Medicina Sportiva');
INSERT INTO `lang_definitions` VALUES (99466, 6865, 26, 'Ucraino');
INSERT INTO `lang_definitions` VALUES (99467, 6866, 26, 'Ulcerazioni');
INSERT INTO `lang_definitions` VALUES (99468, 6867, 26, 'Colite ulcerosa');
INSERT INTO `lang_definitions` VALUES (99469, 6868, 26, 'Ulcere:');
INSERT INTO `lang_definitions` VALUES (99470, 6871, 26, 'Impossibile creare');
INSERT INTO `lang_definitions` VALUES (99471, 6874, 26, 'Non in grado di corrispondere il pagamento in ar_activity');
INSERT INTO `lang_definitions` VALUES (99472, 6876, 26, 'Non applicato');
INSERT INTO `lang_definitions` VALUES (99473, 6877, 26, 'Non assegnato');
INSERT INTO `lang_definitions` VALUES (99474, 6878, 26, 'Non autorizzato');
INSERT INTO `lang_definitions` VALUES (99475, 6879, 26, 'Accesso non autorizzto alla e-Prescrizione');
INSERT INTO `lang_definitions` VALUES (99476, 6880, 26, 'Accesso non autorizzato.');
INSERT INTO `lang_definitions` VALUES (99477, 6881, 26, 'Non fatturato');
INSERT INTO `lang_definitions` VALUES (99478, 6882, 26, 'Solo non fatturati');
INSERT INTO `lang_definitions` VALUES (99479, 6884, 26, 'sottolinguale');
INSERT INTO `lang_definitions` VALUES (99480, 6885, 26, 'Sottopeso');
INSERT INTO `lang_definitions` VALUES (99481, 6886, 26, 'Non diagnosticato');
INSERT INTO `lang_definitions` VALUES (99482, 6887, 26, 'NON DISTRIBUITO');
INSERT INTO `lang_definitions` VALUES (99483, 6888, 26, 'non distribuito');
INSERT INTO `lang_definitions` VALUES (99484, 6889, 26, 'e non distribuito');
INSERT INTO `lang_definitions` VALUES (99485, 6890, 26, 'Annulla disdetta');
INSERT INTO `lang_definitions` VALUES (99486, 6892, 26, 'Clienti unici');
INSERT INTO `lang_definitions` VALUES (99487, 6893, 26, 'Identificatore leggibile per questo tipo');
INSERT INTO `lang_definitions` VALUES (99488, 6894, 26, 'Nuovi Clienti unici');
INSERT INTO `lang_definitions` VALUES (99489, 6895, 26, 'Identificatore numerico unico per questo tipo');
INSERT INTO `lang_definitions` VALUES (99490, 6896, 26, 'Pazienti visti una volta');
INSERT INTO `lang_definitions` VALUES (99491, 6897, 26, 'Resoconto Pazienti visti una volta');
INSERT INTO `lang_definitions` VALUES (99492, 6898, 26, 'Paz.v. una volta');
INSERT INTO `lang_definitions` VALUES (99493, 6899, 26, 'Unità');
INSERT INTO `lang_definitions` VALUES (99494, 6900, 26, 'Unità');
INSERT INTO `lang_definitions` VALUES (99495, 6901, 26, 'unità');
INSERT INTO `lang_definitions` VALUES (99496, 6902, 26, 'Unità applicabili ai valori dei risultati');
INSERT INTO `lang_definitions` VALUES (99497, 6903, 26, 'Unità per Modulo Visite');
INSERT INTO `lang_definitions` VALUES (99498, 6904, 26, 'Unità deve essere un numero');
INSERT INTO `lang_definitions` VALUES (99499, 6905, 26, 'Unità non definita');
INSERT INTO `lang_definitions` VALUES (99500, 6906, 26, 'Unità/L');
INSERT INTO `lang_definitions` VALUES (99501, 6907, 26, 'Non noto');
INSERT INTO `lang_definitions` VALUES (99502, 6910, 26, 'Non noto se mai fumatore');
INSERT INTO `lang_definitions` VALUES (99503, 6911, 26, 'Sconosciuto o N/D');
INSERT INTO `lang_definitions` VALUES (99504, 6912, 26, 'User id sconosciuto:');
INSERT INTO `lang_definitions` VALUES (99505, 6913, 26, 'scollegare paziente');
INSERT INTO `lang_definitions` VALUES (99506, 6914, 26, 'Compagnia assicurativa senza nome');
INSERT INTO `lang_definitions` VALUES (99507, 6915, 26, 'Non registrato');
INSERT INTO `lang_definitions` VALUES (99508, 6918, 26, 'Deseleziona tutto');
INSERT INTO `lang_definitions` VALUES (99509, 6919, 26, 'Non selezionato');
INSERT INTO `lang_definitions` VALUES (99510, 6920, 26, 'Non specificato');
INSERT INTO `lang_definitions` VALUES (99511, 6921, 26, 'non strutturato');
INSERT INTO `lang_definitions` VALUES (99512, 6922, 26, 'il caricamento del file database NON è SUPPORTATO');
INSERT INTO `lang_definitions` VALUES (99513, 6924, 26, 'fino');
INSERT INTO `lang_definitions` VALUES (99514, 6925, 26, 'archiviazione prematura');
INSERT INTO `lang_definitions` VALUES (99515, 6926, 26, 'Non usato');
INSERT INTO `lang_definitions` VALUES (99516, 6927, 26, 'UOR');
INSERT INTO `lang_definitions` VALUES (99517, 6928, 26, 'Fino a');
INSERT INTO `lang_definitions` VALUES (99518, 6929, 26, 'Prossimi Appuntamenti');
INSERT INTO `lang_definitions` VALUES (99519, 6930, 26, 'Prossimi Eventi');
INSERT INTO `lang_definitions` VALUES (99520, 6931, 26, 'Aggiorna');
INSERT INTO `lang_definitions` VALUES (99521, 6932, 26, 'aggiorna');
INSERT INTO `lang_definitions` VALUES (99522, 6933, 26, 'Aggiornamento attivo');
INSERT INTO `lang_definitions` VALUES (99523, 6934, 26, 'Aggiorna files');
INSERT INTO `lang_definitions` VALUES (99524, 6935, 26, 'Aggiorna info');
INSERT INTO `lang_definitions` VALUES (99525, 6936, 26, 'Aggiorna elenco');
INSERT INTO `lang_definitions` VALUES (99526, 6937, 26, 'Aggiorna il numero del provider');
INSERT INTO `lang_definitions` VALUES (99527, 6938, 26, 'Aggiorna gli elementi selezionati');
INSERT INTO `lang_definitions` VALUES (99528, 6939, 26, 'Aggiorna le seguenti variabili nel file');
INSERT INTO `lang_definitions` VALUES (99529, 6940, 26, 'Aggiorna le informazioni utente.');
INSERT INTO `lang_definitions` VALUES (99530, 6942, 26, 'L\'aggiornamento della democrafica non è autorizzato.');
INSERT INTO `lang_definitions` VALUES (99531, 6943, 26, 'Aggiornamento di default della configurazione globale');
INSERT INTO `lang_definitions` VALUES (99532, 6944, 26, 'Aggiornamento indicatori di versione');
INSERT INTO `lang_definitions` VALUES (99533, 6945, 26, 'AGGIORNA');
INSERT INTO `lang_definitions` VALUES (99534, 6946, 26, 'Aggiorna');
INSERT INTO `lang_definitions` VALUES (99535, 6947, 26, 'Aggiorna il Database');
INSERT INTO `lang_definitions` VALUES (99536, 6948, 26, 'Aggiorna il Database di LibreEHR per includere Procedure, Funzioni e tabelle necessarie al processo di De-identificazione');
INSERT INTO `lang_definitions` VALUES (99537, 6949, 26, 'L\'aggiormamento continuerà');
INSERT INTO `lang_definitions` VALUES (99538, 6950, 26, 'UPIN');
INSERT INTO `lang_definitions` VALUES (99539, 6951, 26, 'Carica');
INSERT INTO `lang_definitions` VALUES (99540, 6954, 26, 'Carica i dati di configurazione');
INSERT INTO `lang_definitions` VALUES (99541, 6955, 26, 'Carica Documento');
INSERT INTO `lang_definitions` VALUES (99542, 6956, 26, 'Caricamento fallito!');
INSERT INTO `lang_definitions` VALUES (99543, 6957, 26, 'Carica immagine in');
INSERT INTO `lang_definitions` VALUES (99544, 6958, 26, 'Carica il file importato:');
INSERT INTO `lang_definitions` VALUES (99545, 6960, 26, 'Carico elaborato con successo');
INSERT INTO `lang_definitions` VALUES (99546, 6961, 26, 'Resoconto caricamento');
INSERT INTO `lang_definitions` VALUES (99547, 6963, 26, 'Carico questo file:');
INSERT INTO `lang_definitions` VALUES (99548, 6964, 26, 'Cliccando su un numero di fattura la \"finestra di registrazione manuale\" appare. Qui è possibile modificare la data di scadenza e le note per la fattura, selezionare l\'utente per il quale stai scrivendo, e selezionare le assicurazioni per la quale tutti i pagamenti previsti sono stati ricevuti. La cosa più importante, per ciascun codice di fatturazione per il quale è stato addebitato un importo, è possibile inserire le informazioni di pagamento e di regolazione.');
INSERT INTO `lang_definitions` VALUES (99549, 6965, 26, 'Al momento della ricerca si sono presentati con una lista delle fatture. È possibile fare clic su uno dei numeri di fattura per aprire una seconda finestra, che è la pagina di immissione dati per la registrazione manuale. Si può anche fare clic sul nome di un paziente se si desidera inserire una nota che il personale front office vedrà quando viene controllato il paziente, ed è possibile selezionare le fatture da visualizzare sulle dichiarazioni dei pazienti e stampare tali dichiarazioni.');
INSERT INTO `lang_definitions` VALUES (99550, 6966, 26, 'braccio superiore');
INSERT INTO `lang_definitions` VALUES (99551, 6968, 26, 'Urgenza');
INSERT INTO `lang_definitions` VALUES (99552, 6970, 26, 'Urina');
INSERT INTO `lang_definitions` VALUES (99553, 6971, 26, 'Gocciolamento di urina');
INSERT INTO `lang_definitions` VALUES (99554, 6972, 26, 'Frequenza urinaria');
INSERT INTO `lang_definitions` VALUES (99555, 6973, 26, 'Esitazione a urinare');
INSERT INTO `lang_definitions` VALUES (99556, 6974, 26, 'Microalbumina urina');
INSERT INTO `lang_definitions` VALUES (99557, 6975, 26, 'Fuoriuscita urina');
INSERT INTO `lang_definitions` VALUES (99558, 6976, 26, 'Urgenza urinaria');
INSERT INTO `lang_definitions` VALUES (99559, 6977, 26, 'URL');
INSERT INTO `lang_definitions` VALUES (99560, 6979, 26, 'URL per il supporto LibreEHR.');
INSERT INTO `lang_definitions` VALUES (99561, 6981, 26, 'URL per il gateway in fonia. Servizio automatico VOIP fornito da Maviq. Per maggiori informazioni viisita http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (99562, 6985, 26, 'Utilizzo');
INSERT INTO `lang_definitions` VALUES (99563, 6986, 26, 'Indicatore di uso (ISA15)');
INSERT INTO `lang_definitions` VALUES (99564, 6987, 26, 'Utilizzare % solo in un campo per ordinare solo su quella colonna');
INSERT INTO `lang_definitions` VALUES (99565, 6988, 26, 'Usare il formato del tempo 24 ore?');
INSERT INTO `lang_definitions` VALUES (99566, 6990, 26, 'Utilizzare la tecnologia certificata EHR per identificare specifici del paziente e di fornire risorse educative tali risorse per il paziente se necessario.');
INSERT INTO `lang_definitions` VALUES (99567, 6991, 26, 'Usa pannello costi');
INSERT INTO `lang_definitions` VALUES (99568, 6992, 26, 'Utilizzare CPOE per gli ordini di farmaci immessi direttamente da qualsiasi operatore sanitario abilitato che può inserire gli ordini in cartella clinica per stato, linee guida locali e professionale.');
INSERT INTO `lang_definitions` VALUES (99569, 6997, 26, 'Usa elenco personalizzato Immunizzazione');
INSERT INTO `lang_definitions` VALUES (99570, 6999, 26, 'Usa un intervallo di dati');
INSERT INTO `lang_definitions` VALUES (99571, 7000, 26, 'Usa Default');
INSERT INTO `lang_definitions` VALUES (99572, 7001, 26, 'Usare l\'opzione Elimina per rimuovere.');
INSERT INTO `lang_definitions` VALUES (99573, 7002, 26, 'Usare lo stile della data internazionale?');
INSERT INTO `lang_definitions` VALUES (99574, 7003, 26, 'Usare nome del file sorgente');
INSERT INTO `lang_definitions` VALUES (99575, 7004, 26, 'Usare i campi seguenti per un acquisto o trasferimento.');
INSERT INTO `lang_definitions` VALUES (99576, 7005, 26, 'Usare questa caratteristica solo per siti installati ex novo. ');
INSERT INTO `lang_definitions` VALUES (99577, 7006, 26, 'Usare argomenti?');
INSERT INTO `lang_definitions` VALUES (99578, 7007, 26, 'Utente');
INSERT INTO `lang_definitions` VALUES (99579, 7009, 26, 'Utente / Gruppo');
INSERT INTO `lang_definitions` VALUES (99580, 7010, 26, 'Amministrazione Utente');
INSERT INTO `lang_definitions` VALUES (99581, 7011, 26, 'Amministrazione Utenti e Sedi');
INSERT INTO `lang_definitions` VALUES (99582, 7012, 26, 'Amministrazione Utenti e Gruppi');
INSERT INTO `lang_definitions` VALUES (99583, 7014, 26, 'Autenticazione certificata dell\'Utente disabilitata');
INSERT INTO `lang_definitions` VALUES (99584, 7015, 26, 'Definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99585, 7016, 26, 'Area11 definita dall\'utente');
INSERT INTO `lang_definitions` VALUES (99586, 7017, 26, 'Area12 definita dall\'utente');
INSERT INTO `lang_definitions` VALUES (99587, 7018, 26, 'Campo definito dal');
INSERT INTO `lang_definitions` VALUES (99588, 7019, 26, 'Elenco 1 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99589, 7020, 26, 'Elenco 2 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99590, 7021, 26, 'Elenco 3 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99591, 7022, 26, 'Elenco 4 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99592, 7023, 26, 'Elenco 5 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99593, 7024, 26, 'Elenco 6 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99594, 7025, 26, 'Elenco 7 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99595, 7026, 26, 'Testo 1 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99596, 7027, 26, 'Testo 2 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99597, 7028, 26, 'Testo 3 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99598, 7029, 26, 'Testo 4 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99599, 7030, 26, 'Testo 5 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99600, 7031, 26, 'Testo 6 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99601, 7032, 26, 'Testo 7 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99602, 7033, 26, 'Testo 8 definito dall\'utente');
INSERT INTO `lang_definitions` VALUES (99603, 7034, 26, 'Nome dell\'utente');
INSERT INTO `lang_definitions` VALUES (99604, 7037, 26, 'Accesso utente (Se 03 sopra, altrimenti lasciare spazi) (ISA02)');
INSERT INTO `lang_definitions` VALUES (99605, 7038, 26, 'Accesso utente indicatore di richiesta (ISA01 ~ uso 00 o 03)');
INSERT INTO `lang_definitions` VALUES (99606, 7039, 26, 'Manuale Utente');
INSERT INTO `lang_definitions` VALUES (99607, 7040, 26, 'Iscrizione Utente');
INSERT INTO `lang_definitions` VALUES (99608, 7041, 26, 'Nome dell\'Utente');
INSERT INTO `lang_definitions` VALUES (99609, 7042, 26, 'Il nome utente o il nome Host non possono essere vuoti');
INSERT INTO `lang_definitions` VALUES (99610, 7043, 26, 'Nome utente o nome Host');
INSERT INTO `lang_definitions` VALUES (99611, 7044, 26, 'Password utente (ISA04 ~ 01 se sopra, altrimenti lasciare spazi)');
INSERT INTO `lang_definitions` VALUES (99612, 7045, 26, 'Password utente richiesto Indicator (ISA03 ~ uso 00 o 01)');
INSERT INTO `lang_definitions` VALUES (99613, 7046, 26, 'Parametri Utente');
INSERT INTO `lang_definitions` VALUES (99614, 7047, 26, 'Parametri specifici dell\'utente');
INSERT INTO `lang_definitions` VALUES (99615, 7048, 26, 'Utente(i) nuova password');
INSERT INTO `lang_definitions` VALUES (99616, 7049, 26, 'Nome utente');
INSERT INTO `lang_definitions` VALUES (99617, 7051, 26, 'Username per il gateway in fonia. Servizio automatizzato fornito da Maviq. Per maggiori informazioni visitare http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (99618, 7052, 26, 'Nome utente per il Gateway SMS.');
INSERT INTO `lang_definitions` VALUES (99619, 7053, 26, 'Nome utente per il Gateway SMS.');
INSERT INTO `lang_definitions` VALUES (99620, 7054, 26, 'Nome utente per connessione al CouchDB');
INSERT INTO `lang_definitions` VALUES (99621, 7055, 26, 'Nome utente:');
INSERT INTO `lang_definitions` VALUES (99622, 7056, 26, 'Utenti');
INSERT INTO `lang_definitions` VALUES (99623, 7057, 26, 'Amministrazione Utenti/Gruppi/Logs');
INSERT INTO `lang_definitions` VALUES (99624, 7058, 26, 'usa il formato php <a href=\"http://php.net/strftime\">strftime</a>');
INSERT INTO `lang_definitions` VALUES (99625, 7059, 26, 'UTIs');
INSERT INTO `lang_definitions` VALUES (99626, 7062, 26, 'VACANZA');
INSERT INTO `lang_definitions` VALUES (99627, 7063, 26, 'Vacanza');
INSERT INTO `lang_definitions` VALUES (99628, 7064, 26, 'Vaccino');
INSERT INTO `lang_definitions` VALUES (99629, 7065, 26, 'Anello vaginale');
INSERT INTO `lang_definitions` VALUES (99630, 7066, 26, 'Commiato');
INSERT INTO `lang_definitions` VALUES (99631, 7067, 26, 'convalida');
INSERT INTO `lang_definitions` VALUES (99632, 7068, 26, 'Valore');
INSERT INTO `lang_definitions` VALUES (99633, 7069, 26, 'Valore 1');
INSERT INTO `lang_definitions` VALUES (99634, 7070, 26, 'Valore 2');
INSERT INTO `lang_definitions` VALUES (99635, 7072, 26, 'Il valore dovrebbe essere numerico');
INSERT INTO `lang_definitions` VALUES (99636, 7073, 26, 'Var1');
INSERT INTO `lang_definitions` VALUES (99637, 7074, 26, 'Var2');
INSERT INTO `lang_definitions` VALUES (99638, 7075, 26, 'variabile a uno per l\'esecuzione di de-identificazione di aggiornamento script');
INSERT INTO `lang_definitions` VALUES (99639, 7076, 26, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (99640, 7077, 26, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (99641, 7078, 26, 'Vene Varicose');
INSERT INTO `lang_definitions` VALUES (99642, 7079, 26, 'Condizione vascolare');
INSERT INTO `lang_definitions` VALUES (99643, 7080, 26, 'Lesione vascolare');
INSERT INTO `lang_definitions` VALUES (99644, 7081, 26, 'Chirurgia vascolare');
INSERT INTO `lang_definitions` VALUES (99645, 7083, 26, 'Venditore');
INSERT INTO `lang_definitions` VALUES (99646, 7084, 26, 'Versione');
INSERT INTO `lang_definitions` VALUES (99647, 7085, 26, 'Vertigine');
INSERT INTO `lang_definitions` VALUES (99648, 7086, 26, 'Amministrazione veterani');
INSERT INTO `lang_definitions` VALUES (99649, 7087, 26, 'Piano amministrazione veterani');
INSERT INTO `lang_definitions` VALUES (99650, 7088, 26, 'VFC');
INSERT INTO `lang_definitions` VALUES (99651, 7089, 26, 'Vietnamita');
INSERT INTO `lang_definitions` VALUES (99652, 7090, 26, 'vedi');
INSERT INTO `lang_definitions` VALUES (99653, 7091, 26, 'Vista');
INSERT INTO `lang_definitions` VALUES (99654, 7092, 26, 'Vedi Allergie');
INSERT INTO `lang_definitions` VALUES (99655, 7093, 26, 'Vedere il file x12-835 ERA');
INSERT INTO `lang_definitions` VALUES (99656, 7094, 26, 'Vedere testo batch claim x12');
INSERT INTO `lang_definitions` VALUES (99657, 7097, 26, 'Vedi Resoconto completo Paziente');
INSERT INTO `lang_definitions` VALUES (99658, 7098, 26, 'Vedere tabelle CSV');
INSERT INTO `lang_definitions` VALUES (99659, 7100, 26, 'Vedi documento');
INSERT INTO `lang_definitions` VALUES (99660, 7101, 26, 'Vedi incontro');
INSERT INTO `lang_definitions` VALUES (99661, 7102, 26, 'Vedere testo ERA x12');
INSERT INTO `lang_definitions` VALUES (99662, 7103, 26, 'Vedere eventi in una finestra popup?');
INSERT INTO `lang_definitions` VALUES (99663, 7104, 26, 'Strumento di visualizzazione delle informazioni utente specifico');
INSERT INTO `lang_definitions` VALUES (99664, 7106, 26, 'Vedere il file locale x12');
INSERT INTO `lang_definitions` VALUES (99665, 7107, 26, 'Visualizza registro');
INSERT INTO `lang_definitions` VALUES (99666, 7108, 26, 'Vista pagina 1');
INSERT INTO `lang_definitions` VALUES (99667, 7109, 26, 'Vista pagina 2');
INSERT INTO `lang_definitions` VALUES (99668, 7110, 26, 'Mostra promemoria passati e futuri');
INSERT INTO `lang_definitions` VALUES (99669, 7111, 26, 'Vista Paziente');
INSERT INTO `lang_definitions` VALUES (99670, 7116, 26, 'Vedi Incontri correlati');
INSERT INTO `lang_definitions` VALUES (99671, 7117, 26, 'Visualizza Report');
INSERT INTO `lang_definitions` VALUES (99672, 7118, 26, 'Visualizza il file README');
INSERT INTO `lang_definitions` VALUES (99673, 7121, 26, 'Vedi/Modifica Allergie');
INSERT INTO `lang_definitions` VALUES (99674, 7122, 26, 'Vedi/Modifica Tematiche');
INSERT INTO `lang_definitions` VALUES (99675, 7123, 26, 'Viedi/Stampa');
INSERT INTO `lang_definitions` VALUES (99676, 7124, 26, 'Vista:');
INSERT INTO `lang_definitions` VALUES (99677, 7125, 26, 'VISA');
INSERT INTO `lang_definitions` VALUES (99678, 7126, 26, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (99679, 7127, 26, 'Danno viscerale/trauma/intervento');
INSERT INTO `lang_definitions` VALUES (99680, 7133, 26, 'Categoria della Visita');
INSERT INTO `lang_definitions` VALUES (99681, 7134, 26, 'Data della Visita');
INSERT INTO `lang_definitions` VALUES (99682, 7135, 26, 'Data della Visita');
INSERT INTO `lang_definitions` VALUES (99683, 7137, 26, 'Moduli Visita');
INSERT INTO `lang_definitions` VALUES (99684, 7138, 26, 'Storico Visite');
INSERT INTO `lang_definitions` VALUES (99685, 7140, 26, 'Visite');
INSERT INTO `lang_definitions` VALUES (99686, 7141, 26, 'Visite dal:');
INSERT INTO `lang_definitions` VALUES (99687, 7142, 26, 'Segni Vitali');
INSERT INTO `lang_definitions` VALUES (99688, 7143, 26, 'Vitali');
INSERT INTO `lang_definitions` VALUES (99689, 7144, 26, 'Vitali (Metrici)');
INSERT INTO `lang_definitions` VALUES (99690, 7145, 26, 'Opzioni per il modulo Vitali');
INSERT INTO `lang_definitions` VALUES (99691, 7146, 26, 'Voce');
INSERT INTO `lang_definitions` VALUES (99692, 7147, 26, 'Voce inviata');
INSERT INTO `lang_definitions` VALUES (99693, 7149, 26, 'Vomito');
INSERT INTO `lang_definitions` VALUES (99694, 7151, 26, 'W');
INSERT INTO `lang_definitions` VALUES (99695, 7152, 26, 'Circ vita');
INSERT INTO `lang_definitions` VALUES (99696, 7153, 26, 'Circonfernza in vita');
INSERT INTO `lang_definitions` VALUES (99697, 7154, 26, 'In attesa');
INSERT INTO `lang_definitions` VALUES (99698, 7155, 26, 'Entrata');
INSERT INTO `lang_definitions` VALUES (99699, 7157, 26, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (99700, 7158, 26, 'Magazzino');
INSERT INTO `lang_definitions` VALUES (99701, 7159, 26, 'Magazzino massimo, 0 se non applicabile');
INSERT INTO `lang_definitions` VALUES (99702, 7160, 26, 'Magazzino minimo. 0 se non applicabile');
INSERT INTO `lang_definitions` VALUES (99703, 7161, 26, 'Magazzini');
INSERT INTO `lang_definitions` VALUES (99704, 7162, 26, 'Caldo');
INSERT INTO `lang_definitions` VALUES (99705, 7163, 26, 'Attenzione');
INSERT INTO `lang_definitions` VALUES (99706, 7164, 26, 'ATTENZIONE');
INSERT INTO `lang_definitions` VALUES (99707, 7166, 26, 'Attenzione: Numero assegno già esistente nel database');
INSERT INTO `lang_definitions` VALUES (99708, 7167, 26, 'Attenzione, il paziente ha codici ambigui nella lista dei problemi!');
INSERT INTO `lang_definitions` VALUES (99709, 7168, 26, 'Attenzione: E\' oggi già stata creata una visita per questo paziente!');
INSERT INTO `lang_definitions` VALUES (99710, 7169, 26, 'ATTENZIONE: Se si utilizza la versione 2012-10-31 spagnolo, notate bene che dovete decomprimerlo una volta prima di metterlo in contrib / SNOMED (questo è perché il file è stato rilasciato  \"double-zip \").');
INSERT INTO `lang_definitions` VALUES (99711, 7170, 26, 'Attenzione: l\'ID paziente non è unico!');
INSERT INTO `lang_definitions` VALUES (99712, 7171, 26, 'ATTENZIONE: Questo sovrascriverà le informazioni della configurazione con i dati del file caricato!');
INSERT INTO `lang_definitions` VALUES (99713, 7173, 26, 'Avvisi di Attenzione');
INSERT INTO `lang_definitions` VALUES (99714, 7175, 26, 'è stato già caricato');
INSERT INTO `lang_definitions` VALUES (99715, 7176, 26, 'non è stato trovato');
INSERT INTO `lang_definitions` VALUES (99716, 7177, 26, 'E\' gradito l\'invito al pagamento di conti dovuti');
INSERT INTO `lang_definitions` VALUES (99717, 7178, 26, 'abbiamo visto il vostro paziente in precedenza per la valutazione e il trattamento presso il nostro ambulatorio psichiatria. Grazie per questo rinvio.');
INSERT INTO `lang_definitions` VALUES (99718, 7179, 26, 'Debolezza');
INSERT INTO `lang_definitions` VALUES (99719, 7181, 26, 'Ricerca Web');
INSERT INTO `lang_definitions` VALUES (99720, 7182, 26, 'Sito Web');
INSERT INTO `lang_definitions` VALUES (99721, 7183, 26, 'Collegamento al sito web del Portale Paziente Onsite.');
INSERT INTO `lang_definitions` VALUES (99722, 7184, 26, 'Mer');
INSERT INTO `lang_definitions` VALUES (99723, 7185, 26, 'Mercoledì');
INSERT INTO `lang_definitions` VALUES (99724, 7186, 26, 'Settimana');
INSERT INTO `lang_definitions` VALUES (99725, 7187, 26, 'settimana');
INSERT INTO `lang_definitions` VALUES (99726, 7188, 26, 'Vista Settimana');
INSERT INTO `lang_definitions` VALUES (99727, 7189, 26, 'Settimana(e)');
INSERT INTO `lang_definitions` VALUES (99728, 7190, 26, 'Esposizione settimanale');
INSERT INTO `lang_definitions` VALUES (99729, 7191, 26, 'settimane');
INSERT INTO `lang_definitions` VALUES (99730, 7192, 26, 'Settimane');
INSERT INTO `lang_definitions` VALUES (99731, 7193, 26, 'Peso');
INSERT INTO `lang_definitions` VALUES (99732, 7194, 26, 'Valutazione del peso e counseling a bambini e adolescenti');
INSERT INTO `lang_definitions` VALUES (99733, 7195, 26, 'Valutazione del peso e counseling a bambini e adolescenti (CMQ)');
INSERT INTO `lang_definitions` VALUES (99734, 7196, 26, 'Cambiamento del Peso');
INSERT INTO `lang_definitions` VALUES (99735, 7197, 26, 'Perdita di Peso');
INSERT INTO `lang_definitions` VALUES (99736, 7198, 26, 'Clinica della perdita di peso');
INSERT INTO `lang_definitions` VALUES (99737, 7199, 26, 'Benvenuto');
INSERT INTO `lang_definitions` VALUES (99738, 7202, 26, 'Cosa bisogna conteggiare?');
INSERT INTO `lang_definitions` VALUES (99739, 7203, 26, 'Respiro affannoso:');
INSERT INTO `lang_definitions` VALUES (99740, 7204, 26, 'Dispnea');
INSERT INTO `lang_definitions` VALUES (99741, 7205, 26, 'Dispnea:');
INSERT INTO `lang_definitions` VALUES (99742, 7208, 26, 'Dove si possono trovare le scansioni correlate o i documenti cartacei?');
INSERT INTO `lang_definitions` VALUES (99743, 7209, 26, 'Se assicurato');
INSERT INTO `lang_definitions` VALUES (99744, 7211, 26, 'Colpo di frusta');
INSERT INTO `lang_definitions` VALUES (99745, 7212, 26, 'Bianca');
INSERT INTO `lang_definitions` VALUES (99746, 7213, 26, 'Chi');
INSERT INTO `lang_definitions` VALUES (99747, 7214, 26, 'Chi ha risposto?');
INSERT INTO `lang_definitions` VALUES (99748, 7215, 26, 'Vedovo(a)');
INSERT INTO `lang_definitions` VALUES (99749, 7216, 26, 'Larghezza');
INSERT INTO `lang_definitions` VALUES (99750, 7217, 26, 'Larghezza in pixel del frame di navigazione sinistro');
INSERT INTO `lang_definitions` VALUES (99751, 7221, 26, 'Se selezionati:');
INSERT INTO `lang_definitions` VALUES (99752, 7222, 26, 'col vecchio nome');
INSERT INTO `lang_definitions` VALUES (99753, 7224, 26, 'A chi possiamo lasciare messaggi?');
INSERT INTO `lang_definitions` VALUES (99754, 7225, 26, 'Trattenuto');
INSERT INTO `lang_definitions` VALUES (99755, 7226, 26, 'entro qualche ora');
INSERT INTO `lang_definitions` VALUES (99756, 7227, 26, 'entro qualche ora:');
INSERT INTO `lang_definitions` VALUES (99757, 7228, 26, 'entro qualche minuto');
INSERT INTO `lang_definitions` VALUES (99758, 7229, 26, 'entro qualche minuto:');
INSERT INTO `lang_definitions` VALUES (99759, 7230, 26, 'Senza servizi');
INSERT INTO `lang_definitions` VALUES (99760, 7231, 26, 'Senza fornitore');
INSERT INTO `lang_definitions` VALUES (99761, 7232, 26, 'Senza Aggiornamento');
INSERT INTO `lang_definitions` VALUES (99762, 7233, 26, 'Testimonianza');
INSERT INTO `lang_definitions` VALUES (99763, 7234, 26, 'sett.');
INSERT INTO `lang_definitions` VALUES (99764, 7235, 26, 'WNL');
INSERT INTO `lang_definitions` VALUES (99765, 7237, 26, 'Donna');
INSERT INTO `lang_definitions` VALUES (99766, 7238, 26, 'Solo donne');
INSERT INTO `lang_definitions` VALUES (99767, 7240, 26, 'Lavoro');
INSERT INTO `lang_definitions` VALUES (99768, 7241, 26, 'NOTE LAVORO');
INSERT INTO `lang_definitions` VALUES (99769, 7242, 26, 'Telefono Lavoro');
INSERT INTO `lang_definitions` VALUES (99770, 7243, 26, 'Numero telefono lavoro');
INSERT INTO `lang_definitions` VALUES (99771, 7244, 26, 'Correlato al lavoro?');
INSERT INTO `lang_definitions` VALUES (99772, 7245, 26, 'Lavoro/Studio/Hobby');
INSERT INTO `lang_definitions` VALUES (99773, 7246, 26, 'Nota Lavoro/Scuola');
INSERT INTO `lang_definitions` VALUES (99774, 7247, 26, 'giono lavorativo');
INSERT INTO `lang_definitions` VALUES (99775, 7248, 26, 'Risarcimento operaio/i');
INSERT INTO `lang_definitions` VALUES (99776, 7249, 26, 'Piano sanitario risarcimento operai');
INSERT INTO `lang_definitions` VALUES (99777, 7250, 26, 'Vecchi lavoratori o coniuge del lavoratore, con piano del gruppo sanitario');
INSERT INTO `lang_definitions` VALUES (99778, 7251, 26, 'Lavorando ... questo può richiedere un minuto.');
INSERT INTO `lang_definitions` VALUES (99779, 7252, 26, 'Peggio');
INSERT INTO `lang_definitions` VALUES (99780, 7253, 26, 'Vuoi l\'importo del saldo da applicare su Account Globale?');
INSERT INTO `lang_definitions` VALUES (99781, 7254, 26, 'Vuoi marcarlo come cancellato?');
INSERT INTO `lang_definitions` VALUES (99782, 7255, 26, 'Vuoi allocarlo?');
INSERT INTO `lang_definitions` VALUES (99783, 7256, 26, 'Vuoi annullare la ripartizione per questo paziente?');
INSERT INTO `lang_definitions` VALUES (99784, 7257, 26, 'Vuoi eliminare la ripartizione del pagamento?');
INSERT INTO `lang_definitions` VALUES (99785, 7258, 26, 'Vuoi eliminare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (99786, 7259, 26, 'Vuoi modificare e completare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (99787, 7260, 26, 'Vuoi modificare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (99788, 7261, 26, 'Vuoi inviare e completare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (99789, 7262, 26, 'Vuoi inviare i pagamenti?');
INSERT INTO `lang_definitions` VALUES (99790, 7263, 26, 'Vuoi salvare?');
INSERT INTO `lang_definitions` VALUES (99791, 7264, 26, 'Polso');
INSERT INTO `lang_definitions` VALUES (99792, 7265, 26, 'Polso e mano');
INSERT INTO `lang_definitions` VALUES (99793, 7266, 26, 'Problemi al polso');
INSERT INTO `lang_definitions` VALUES (99794, 7267, 26, 'scrittura');
INSERT INTO `lang_definitions` VALUES (99795, 7268, 26, 'Cancellare');
INSERT INTO `lang_definitions` VALUES (99796, 7270, 26, 'Imponente');
INSERT INTO `lang_definitions` VALUES (99797, 7271, 26, 'WT');
INSERT INTO `lang_definitions` VALUES (99798, 7273, 26, 'x Cancellato');
INSERT INTO `lang_definitions` VALUES (99799, 7274, 26, 'x Cancellato');
INSERT INTO `lang_definitions` VALUES (99800, 7275, 26, 'Raggi-X');
INSERT INTO `lang_definitions` VALUES (99801, 7276, 26, 'Interpretazione RAGGI-X:');
INSERT INTO `lang_definitions` VALUES (99802, 7277, 26, 'Interpretazione Raggi-X:');
INSERT INTO `lang_definitions` VALUES (99803, 7278, 26, 'solo X12: sostituzione reclamo ');
INSERT INTO `lang_definitions` VALUES (99804, 7279, 26, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (99805, 7280, 26, 'X12 Partners');
INSERT INTO `lang_definitions` VALUES (99806, 7281, 26, 'x12 Text');
INSERT INTO `lang_definitions` VALUES (99807, 7284, 26, 'A');
INSERT INTO `lang_definitions` VALUES (99808, 7285, 26, 'Anno');
INSERT INTO `lang_definitions` VALUES (99809, 7286, 26, 'anno');
INSERT INTO `lang_definitions` VALUES (99810, 7287, 26, 'Vista Annuale');
INSERT INTO `lang_definitions` VALUES (99811, 7288, 26, 'Anno(i)');
INSERT INTO `lang_definitions` VALUES (99812, 7289, 26, 'Anni');
INSERT INTO `lang_definitions` VALUES (99813, 7290, 26, 'Anni o mesi');
INSERT INTO `lang_definitions` VALUES (99814, 7291, 26, 'Anni, mesi e giorni');
INSERT INTO `lang_definitions` VALUES (99815, 7292, 26, 'SI');
INSERT INTO `lang_definitions` VALUES (99816, 7293, 26, 'Si');
INSERT INTO `lang_definitions` VALUES (99817, 7294, 26, 'si');
INSERT INTO `lang_definitions` VALUES (99818, 7295, 26, 'SI!');
INSERT INTO `lang_definitions` VALUES (99819, 7296, 26, 'Si, Elimina e traccia nel log');
INSERT INTO `lang_definitions` VALUES (99820, 7298, 26, 'Si/No');
INSERT INTO `lang_definitions` VALUES (99821, 7299, 26, 'Si:');
INSERT INTO `lang_definitions` VALUES (99822, 7300, 26, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (99823, 7303, 26, 'Stai per sostituire definitivamente il template esistente. Sei sicuro di voler continuare?');
INSERT INTO `lang_definitions` VALUES (99824, 7304, 26, 'Sei nel periodo grazia per l\'ingresso. Cambia la password prima');
INSERT INTO `lang_definitions` VALUES (99825, 7305, 26, 'Non ti è consentito eliminare questo evento');
INSERT INTO `lang_definitions` VALUES (99826, 7306, 26, 'Non ti è consentito modificare questo evento');
INSERT INTO `lang_definitions` VALUES (99827, 7307, 26, 'Non hai l\'autorizzazione per questo');
INSERT INTO `lang_definitions` VALUES (99828, 7308, 26, 'Non sei autorizzato ad accedere a questa squadra.');
INSERT INTO `lang_definitions` VALUES (99829, 7309, 26, 'Non sei autorizzato ad aggiungere/modificare tematiche');
INSERT INTO `lang_definitions` VALUES (99830, 7310, 26, 'Non sei autorizzato a fissare appuntamenti');
INSERT INTO `lang_definitions` VALUES (99831, 7311, 26, 'Non sei autorizzato a vedere questo incontro');
INSERT INTO `lang_definitions` VALUES (99832, 7312, 26, 'Stai scrivendo nei confronti di un vecchio incontro?');
INSERT INTO `lang_definitions` VALUES (99833, 7313, 26, 'Non puoi accedere a questa funzione direttamente');
INSERT INTO `lang_definitions` VALUES (99834, 7314, 26, 'Non puoi accedere a questa pagina direttamente');
INSERT INTO `lang_definitions` VALUES (99835, 7315, 26, 'Non puoi aggiungere un valore vuoto come categoria!');
INSERT INTO `lang_definitions` VALUES (99836, 7316, 26, 'Non puoi aggiungere un valore vuoto come subcategoria!');
INSERT INTO `lang_definitions` VALUES (99837, 7317, 26, 'Non puoi aggiungere un valore in bianco per un elemento!');
INSERT INTO `lang_definitions` VALUES (99838, 7318, 26, 'Non puoi inserire una data futura on un valore di completato pari a SI');
INSERT INTO `lang_definitions` VALUES (99839, 7319, 26, 'Non hai scelto alcuna azione.');
INSERT INTO `lang_definitions` VALUES (99840, 7320, 26, 'Non hai accesso alla vista/modifica di questa nota');
INSERT INTO `lang_definitions` VALUES (99841, 7321, 26, 'Hai tentato di alterare un contenuto bloccato. Rimuovi il blocco se vuoi fare questo. Per sbloccare, rimuovi la linea, \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (99842, 7322, 26, 'Sei uscito con successo.');
INSERT INTO `lang_definitions` VALUES (99843, 7323, 26, 'Puoi caricare solo file di tipo .txt');
INSERT INTO `lang_definitions` VALUES (99844, 7324, 26, 'Opzionalmente è possibile caricare i risultati HL7 da un file');
INSERT INTO `lang_definitions` VALUES (99845, 7325, 26, 'Puoi mettere qui un testo come reclamo di defautl nel modulo Incontro Nuovo Paziente.');
INSERT INTO `lang_definitions` VALUES (99846, 7326, 26, 'Devi inserire una frase chiave per criptare il documento');
INSERT INTO `lang_definitions` VALUES (99847, 7327, 26, 'È necessario inserire la propria password per modificare le password degli utenti. Lascia in bianco per mantenere la password invariata.');
INSERT INTO `lang_definitions` VALUES (99848, 7329, 26, 'Devi prima selezionare o aggiungere un paziente.');
INSERT INTO `lang_definitions` VALUES (99849, 7330, 26, 'Devi prima selezionare o creare un incontro.');
INSERT INTO `lang_definitions` VALUES (99850, 7331, 26, 'Devi selezionare una categoria di visite.');
INSERT INTO `lang_definitions` VALUES (99851, 7332, 26, 'Devi selezionare una categoria di visite.');
INSERT INTO `lang_definitions` VALUES (99852, 7333, 26, 'Devi selezionare qualche campo per continuare.');
INSERT INTO `lang_definitions` VALUES (99853, 7334, 26, 'Si dovrebbe eseguire questo test se questa affermazione sembra generare con successo, ma il file di reclamo effettivo non contiene tutti i dati o solo una parte incompiuta della quantità di dati che essa dovrebbe contenere. E\' ovvio, con affermazioni HCFA perché sono leggibili, con X12 afferma che è un processo più difficile determinare se l\'affermazione è propriamente completa.');
INSERT INTO `lang_definitions` VALUES (99854, 7335, 26, 'Dovresti scegliere almeno un contesto');
INSERT INTO `lang_definitions` VALUES (99855, 7336, 26, 'Dovresti scegliere almeno un fornitore');
INSERT INTO `lang_definitions` VALUES (99856, 7339, 26, 'La data di fine non è valida');
INSERT INTO `lang_definitions` VALUES (99857, 7340, 26, 'L\'evento è stato eliminato.');
INSERT INTO `lang_definitions` VALUES (99858, 7341, 26, 'L\'evento è stato modificato.');
INSERT INTO `lang_definitions` VALUES (99859, 7342, 26, 'L\'evento è stato inserito.');
INSERT INTO `lang_definitions` VALUES (99860, 7343, 26, 'Il file è troppo grande');
INSERT INTO `lang_definitions` VALUES (99861, 7345, 26, 'Il nome dell\'elenco è stato modificato per rispettare i requisiti di denominazione');
INSERT INTO `lang_definitions` VALUES (99862, 7346, 26, 'Il tuo messaggio è stato inviato per la consegna ai');
INSERT INTO `lang_definitions` VALUES (99863, 7347, 26, 'Il nome per questa categoria, procedura o risultato');
INSERT INTO `lang_definitions` VALUES (99864, 7348, 26, 'La tua Password');
INSERT INTO `lang_definitions` VALUES (99865, 7349, 26, 'La tua password è scaduta. Si prega di cambiarla.');
INSERT INTO `lang_definitions` VALUES (99866, 7350, 26, 'La tua password scade il');
INSERT INTO `lang_definitions` VALUES (99867, 7351, 26, 'La tua password scade oggi. Cambia la tua password.');
INSERT INTO `lang_definitions` VALUES (99868, 7353, 26, 'La configurazione PostCalendar è stata reimpostata per utilizzare le impostazioni predefinite.');
INSERT INTO `lang_definitions` VALUES (99869, 7354, 26, 'La configurazione PostCalendar è stata aggiornata.');
INSERT INTO `lang_definitions` VALUES (99870, 7355, 26, 'La frequenza di ripetizione deve essere almeno 1');
INSERT INTO `lang_definitions` VALUES (99871, 7356, 26, 'La frequenza di ripetizione deve essere almeno 1');
INSERT INTO `lang_definitions` VALUES (99872, 7357, 26, 'La data di inizio è maggiore della data di fine');
INSERT INTO `lang_definitions` VALUES (99873, 7358, 26, 'La data di inizio non è valida');
INSERT INTO `lang_definitions` VALUES (99874, 7359, 26, 'L\'inserimento è fallito');
INSERT INTO `lang_definitions` VALUES (99875, 7360, 26, 'aaaa-mm-gg');
INSERT INTO `lang_definitions` VALUES (99876, 7361, 26, 'AAAA-MM-GG');
INSERT INTO `lang_definitions` VALUES (99877, 7362, 26, 'aaaa-mm-gg data associata a questo documento');
INSERT INTO `lang_definitions` VALUES (99878, 7363, 26, 'aaaa-mm-gg data distrutta');
INSERT INTO `lang_definitions` VALUES (99879, 7364, 26, 'aaaa-mm-gg data di nascita');
INSERT INTO `lang_definitions` VALUES (99880, 7365, 26, 'aaaa-mm-gg Data di Nascita');
INSERT INTO `lang_definitions` VALUES (99881, 7366, 26, 'aaaa-mm-gg data di scadenza');
INSERT INTO `lang_definitions` VALUES (99882, 7367, 26, 'aaaa-mm-gg Data di insorgenza o di ospedalizzazione');
INSERT INTO `lang_definitions` VALUES (99883, 7368, 26, 'aaaa-mm-gg data di insorgenza, intervento chirurgico o inizio di farmaci');
INSERT INTO `lang_definitions` VALUES (99884, 7369, 26, 'aaaa-mm-gg data di acquisto o di trasferimento');
INSERT INTO `lang_definitions` VALUES (99885, 7370, 26, 'aaaa-mm-gg data di guarigione o di fine del farmaco');
INSERT INTO `lang_definitions` VALUES (99886, 7371, 26, 'aaaa-mm-gg Data di ritorno a giocare');
INSERT INTO `lang_definitions` VALUES (99887, 7372, 26, 'aaaa-mm-gg data della prestazione');
INSERT INTO `lang_definitions` VALUES (99888, 7373, 26, 'aaaa-mm-gg data di questa lettera');
INSERT INTO `lang_definitions` VALUES (99889, 7374, 26, 'aaaa-mm-gg data del ritorno in campo');
INSERT INTO `lang_definitions` VALUES (99890, 7375, 26, 'aaaa-mm-gg data del documento');
INSERT INTO `lang_definitions` VALUES (99891, 7376, 26, 'aaaa-mm-gg data dell\'evento o data di inizio');
INSERT INTO `lang_definitions` VALUES (99892, 7381, 26, 'aaaa-mm-gg hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (99893, 7382, 26, 'aaaa-mm-gg (24) Ore:minuti');
INSERT INTO `lang_definitions` VALUES (99894, 7383, 26, 'aaaa-mm-gg ultima data di questo evento.');
INSERT INTO `lang_definitions` VALUES (99895, 7387, 26, 'Zero');
INSERT INTO `lang_definitions` VALUES (99896, 7389, 26, 'CAP');
INSERT INTO `lang_definitions` VALUES (99897, 7390, 26, 'Codice Postale');
INSERT INTO `lang_definitions` VALUES (99898, 7391, 26, 'CAP/Nazione');
INSERT INTO `lang_definitions` VALUES (99899, 7392, 26, 'Zulu');
INSERT INTO `lang_definitions` VALUES (99900, 7393, 26, ' ma era ');
INSERT INTO `lang_definitions` VALUES (99901, 7394, 26, ' Impossibile accedere.');
INSERT INTO `lang_definitions` VALUES (99902, 7395, 26, 'Vuoi veramente eliminare');
INSERT INTO `lang_definitions` VALUES (99903, 7396, 26, 'Farmaco');
INSERT INTO `lang_definitions` VALUES (99904, 7397, 26, 'email non inviate');
INSERT INTO `lang_definitions` VALUES (99905, 7398, 26, 'da');
INSERT INTO `lang_definitions` VALUES (99906, 7399, 26, 'è stato creato. ');
INSERT INTO `lang_definitions` VALUES (99907, 7400, 26, 'è stato riaperto.');
INSERT INTO `lang_definitions` VALUES (99908, 7401, 26, 'Storico');
INSERT INTO `lang_definitions` VALUES (99909, 7402, 26, 'non è un numero');
INSERT INTO `lang_definitions` VALUES (99910, 7403, 26, 'è pronto per ri-fatturazione.');
INSERT INTO `lang_definitions` VALUES (99911, 7404, 26, 'LLL:');
INSERT INTO `lang_definitions` VALUES (99912, 7405, 26, 'Lot');
INSERT INTO `lang_definitions` VALUES (99913, 7406, 26, 'Riferimento originale n. della medicazione ');
INSERT INTO `lang_definitions` VALUES (99914, 7407, 26, 'min');
INSERT INTO `lang_definitions` VALUES (99915, 7408, 26, 'non trovato!');
INSERT INTO `lang_definitions` VALUES (99916, 7409, 26, 'Peculiarità in molti browser possono significare che l\'uscita di sotto entra nel vostro schermo a scatti improvvisi e che ci sono lunghe pause di alcuni secondi in cui appare come se le cose potrebbero essere arrestato. Questo non è il caso, alla fine vedrete uscita uscendo riga per riga. Ci può essere una sequenza di numeri che appaiono qui sotto, questo sta ad indicare che, anche se non altro può essere visualizzato non vi è attività in corso. Questi numeri sono inframmezzati con il contenuto della fatturazione e che è normale.');
INSERT INTO `lang_definitions` VALUES (99917, 7410, 26, 'la prescrizione ha raggiunto i suoi limiti di');
INSERT INTO `lang_definitions` VALUES (99918, 7411, 26, 'fino');
INSERT INTO `lang_definitions` VALUES (99919, 7412, 26, 'aggornamento fallito, non presente nel database?');
INSERT INTO `lang_definitions` VALUES (99920, 7413, 26, 'è stato segnato come fatturato soltanto.');
INSERT INTO `lang_definitions` VALUES (99921, 7414, 26, 'è stato accodato con successo.');
INSERT INTO `lang_definitions` VALUES (99922, 7415, 26, '! Left w/o visit');
INSERT INTO `lang_definitions` VALUES (99923, 7416, 26, '\" per codice ');
INSERT INTO `lang_definitions` VALUES (99924, 7417, 26, '\" È\' selezionata nelle impostazioni PostCalendar!');
INSERT INTO `lang_definitions` VALUES (99925, 7418, 26, '# Ins/fin issue');
INSERT INTO `lang_definitions` VALUES (99926, 7419, 26, '# di compresse:');
INSERT INTO `lang_definitions` VALUES (99927, 7420, 26, '$');
INSERT INTO `lang_definitions` VALUES (99928, 7421, 26, '$ Coding done');
INSERT INTO `lang_definitions` VALUES (99929, 7422, 26, '$label (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (99930, 7423, 26, '%');
INSERT INTO `lang_definitions` VALUES (99931, 7424, 26, '% Annullato < 24h');
INSERT INTO `lang_definitions` VALUES (99932, 7425, 26, '% Annullato < 24h ');
INSERT INTO `lang_definitions` VALUES (99933, 7426, 26, 'dovrebbe esistere ma non è così.');
INSERT INTO `lang_definitions` VALUES (99934, 7427, 26, '(% corrisponde a qualsiasi stringa, _ corrisponde a qualsiasi carattere)');
INSERT INTO `lang_definitions` VALUES (99935, 7428, 26, '([ctrl] + clic per selezionare più destinatari)');
INSERT INTO `lang_definitions` VALUES (99936, 7429, 26, '(Indietro)');
INSERT INTO `lang_definitions` VALUES (99937, 7430, 26, '(Clicca per modificare)');
INSERT INTO `lang_definitions` VALUES (99938, 7431, 26, '(L\'invio delle email è immediato, mentre Il VOIP automatico è inviato al fornitore del servizio per ulteriore elaborazione)');
INSERT INTO `lang_definitions` VALUES (99939, 7432, 26, '(Altro)');
INSERT INTO `lang_definitions` VALUES (99940, 7433, 26, '(Nuovo Paziente)');
INSERT INTO `lang_definitions` VALUES (99941, 7434, 26, '(Note e Autorizzazioni)');
INSERT INTO `lang_definitions` VALUES (99942, 7435, 26, '(Note Paziente)');
INSERT INTO `lang_definitions` VALUES (99943, 7436, 26, '(Seleziona una di queste, o scrivi un nuovo titolo)');
INSERT INTO `lang_definitions` VALUES (99944, 7437, 26, '(Maiusc.)Click o trascina per cambiare il valore');
INSERT INTO `lang_definitions` VALUES (99945, 7438, 26, '* Promemoria fatto');
INSERT INTO `lang_definitions` VALUES (99946, 7439, 26, '** Sposta gli interventi alle Tematiche!!');
INSERT INTO `lang_definitions` VALUES (99947, 7440, 26, '*Richiesto');
INSERT INTO `lang_definitions` VALUES (99948, 7441, 26, '+ Chart pulled');
INSERT INTO `lang_definitions` VALUES (99949, 7442, 26, '- Nessuno');
INSERT INTO `lang_definitions` VALUES (99950, 7443, 26, '-- Tutto --');
INSERT INTO `lang_definitions` VALUES (99951, 7444, 26, '--Seleziona Ruolo--');
INSERT INTO `lang_definitions` VALUES (99952, 7445, 26, '.');
INSERT INTO `lang_definitions` VALUES (99953, 7446, 26, '0');
INSERT INTO `lang_definitions` VALUES (99954, 7447, 26, '0-10');
INSERT INTO `lang_definitions` VALUES (99955, 7448, 26, '0-24');
INSERT INTO `lang_definitions` VALUES (99956, 7451, 26, '1');
INSERT INTO `lang_definitions` VALUES (99957, 7452, 26, '1 = Nord America. Vedi http://www.wtng.info/ per un elenco degli altri codici nazionali.');
INSERT INTO `lang_definitions` VALUES (99958, 7453, 26, '1 giorno da ora');
INSERT INTO `lang_definitions` VALUES (99959, 7454, 26, '1 mese da ora');
INSERT INTO `lang_definitions` VALUES (99960, 7455, 26, '1 settimana da ora');
INSERT INTO `lang_definitions` VALUES (99961, 7456, 26, '1 anno da ora');
INSERT INTO `lang_definitions` VALUES (99962, 7457, 26, '1.Riposo 2.Ghiaccio per due giorni 3 Compressione, mantieni il bendaggio a meno che il piede non sviluppi insensibilità o colore pallido. 4.Tieni piede e gamba in alto');
INSERT INTO `lang_definitions` VALUES (99963, 7458, 26, '11-14');
INSERT INTO `lang_definitions` VALUES (99964, 7459, 26, '12 hr');
INSERT INTO `lang_definitions` VALUES (99965, 7460, 26, '15-19');
INSERT INTO `lang_definitions` VALUES (99966, 7462, 26, '2');
INSERT INTO `lang_definitions` VALUES (99967, 7463, 26, '2 giorni da ora');
INSERT INTO `lang_definitions` VALUES (99968, 7464, 26, '2 mesi da ora');
INSERT INTO `lang_definitions` VALUES (99969, 7465, 26, '2 settimane da ora');
INSERT INTO `lang_definitions` VALUES (99970, 7466, 26, '2 anni da ora');
INSERT INTO `lang_definitions` VALUES (99971, 7467, 26, '2-20 anni');
INSERT INTO `lang_definitions` VALUES (99972, 7468, 26, '20-24');
INSERT INTO `lang_definitions` VALUES (99973, 7477, 26, '2111-13');
INSERT INTO `lang_definitions` VALUES (99974, 7478, 26, '24 hr');
INSERT INTO `lang_definitions` VALUES (99975, 7479, 26, '25+');
INSERT INTO `lang_definitions` VALUES (99976, 7480, 26, '25-29');
INSERT INTO `lang_definitions` VALUES (99977, 7481, 26, '2°');
INSERT INTO `lang_definitions` VALUES (99978, 7482, 26, '3 giorni da ora');
INSERT INTO `lang_definitions` VALUES (99979, 7483, 26, '3 mesi');
INSERT INTO `lang_definitions` VALUES (99980, 7484, 26, '3 mesi da ora');
INSERT INTO `lang_definitions` VALUES (99981, 7485, 26, '3 volte al dì');
INSERT INTO `lang_definitions` VALUES (99982, 7486, 26, '3 settimane da ora');
INSERT INTO `lang_definitions` VALUES (99983, 7487, 26, '30-34');
INSERT INTO `lang_definitions` VALUES (99984, 7488, 26, '35-39');
INSERT INTO `lang_definitions` VALUES (99985, 7489, 26, '3°');
INSERT INTO `lang_definitions` VALUES (99986, 7490, 26, '4 giorni da ora');
INSERT INTO `lang_definitions` VALUES (99987, 7491, 26, '4 mesi');
INSERT INTO `lang_definitions` VALUES (99988, 7492, 26, '4 mesi da ora');
INSERT INTO `lang_definitions` VALUES (99989, 7493, 26, '4 volte al dì');
INSERT INTO `lang_definitions` VALUES (99990, 7494, 26, '4 settimane da ora');
INSERT INTO `lang_definitions` VALUES (99991, 7495, 26, '40-44');
INSERT INTO `lang_definitions` VALUES (99992, 7496, 26, '45+');
INSERT INTO `lang_definitions` VALUES (99993, 7497, 26, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (99994, 7498, 26, '466,0, bronchite acuta, NAS');
INSERT INTO `lang_definitions` VALUES (99995, 7499, 26, '486,0, polmonite, acuta');
INSERT INTO `lang_definitions` VALUES (99996, 7500, 26, '491,21, riacutizzazioni BPCO');
INSERT INTO `lang_definitions` VALUES (99997, 7501, 26, '491,8, Bronchite, cronica');
INSERT INTO `lang_definitions` VALUES (99998, 7502, 26, '493,92, asma, Exac acuta.');
INSERT INTO `lang_definitions` VALUES (99999, 7503, 26, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (100000, 7504, 26, '4°');
INSERT INTO `lang_definitions` VALUES (100001, 7505, 26, '5 giorni da ora');
INSERT INTO `lang_definitions` VALUES (100002, 7506, 26, '5 mesi da ora');
INSERT INTO `lang_definitions` VALUES (100003, 7507, 26, '5 settimane da ora');
INSERT INTO `lang_definitions` VALUES (100004, 7508, 26, '519,7, broncospasmo');
INSERT INTO `lang_definitions` VALUES (100005, 7509, 26, '5°');
INSERT INTO `lang_definitions` VALUES (100006, 7510, 26, '6 giorni da ora');
INSERT INTO `lang_definitions` VALUES (100007, 7511, 26, '6 mesi');
INSERT INTO `lang_definitions` VALUES (100008, 7512, 26, '6 mesi da ora');
INSERT INTO `lang_definitions` VALUES (100009, 7513, 26, '6 settimane da ora');
INSERT INTO `lang_definitions` VALUES (100010, 7514, 26, '6°');
INSERT INTO `lang_definitions` VALUES (100011, 7515, 26, '7 mesi da ora');
INSERT INTO `lang_definitions` VALUES (100012, 7516, 26, '8 mesi da ora');
INSERT INTO `lang_definitions` VALUES (100013, 7517, 26, '824,0 frattura, malleolo mediale, chiuso');
INSERT INTO `lang_definitions` VALUES (100014, 7518, 26, '824,2 frattura, malleolo laterale, chiuso');
INSERT INTO `lang_definitions` VALUES (100015, 7519, 26, '824,6 Frattura, Trimalleolar, chiuso');
INSERT INTO `lang_definitions` VALUES (100016, 7520, 26, '825,32 Frattura, dello scafoide (caviglia)');
INSERT INTO `lang_definitions` VALUES (100017, 7521, 26, '825,35 Frattura, Base del quinto (5 °) del metatarso');
INSERT INTO `lang_definitions` VALUES (100018, 7522, 26, '845,00 Distorsione alla caviglia NOS');
INSERT INTO `lang_definitions` VALUES (100019, 7523, 26, '845,01 distorsione mediale (deltoide) Lig.');
INSERT INTO `lang_definitions` VALUES (100020, 7524, 26, '845,02 Distorsione, perone calcaneare');
INSERT INTO `lang_definitions` VALUES (100021, 7525, 26, '9 mesi da ora');
INSERT INTO `lang_definitions` VALUES (100022, 7526, 26, '99212 Stabilizzato - Senza complicazioni');
INSERT INTO `lang_definitions` VALUES (100023, 7527, 26, '99213 Stabilizzato - Bassa complessità');
INSERT INTO `lang_definitions` VALUES (100024, 7528, 26, '< In sala esami');
INSERT INTO `lang_definitions` VALUES (100025, 7529, 26, '> Uscito(a)');
INSERT INTO `lang_definitions` VALUES (100026, 7530, 26, '?');
INSERT INTO `lang_definitions` VALUES (100027, 7531, 26, '? Non mostrare');
INSERT INTO `lang_definitions` VALUES (100028, 7532, 26, '@ Arrivato');
INSERT INTO `lang_definitions` VALUES (100029, 7533, 26, '[Cambia vista]');
INSERT INTO `lang_definitions` VALUES (100030, 7534, 26, '[Data dell\'ultimo incontro]');
INSERT INTO `lang_definitions` VALUES (100031, 7535, 26, '[Giorni dall\'ultimo incontro]');
INSERT INTO `lang_definitions` VALUES (100032, 7536, 26, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (100033, 7537, 26, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (100034, 7538, 26, '[non raccomandato]');
INSERT INTO `lang_definitions` VALUES (100035, 7539, 26, '[Numero di Incontri]');
INSERT INTO `lang_definitions` VALUES (100036, 7540, 26, '[Resoconti]');
INSERT INTO `lang_definitions` VALUES (100037, 7541, 26, '[Seleziona Tutto]');
INSERT INTO `lang_definitions` VALUES (100038, 7542, 26, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (100039, 7543, 26, '[Avvio processo batch]');
INSERT INTO `lang_definitions` VALUES (100040, 7544, 26, '[Vedi Log]');
INSERT INTO `lang_definitions` VALUES (100041, 7545, 26, '[Vedi resoconto stampabile]');
INSERT INTO `lang_definitions` VALUES (100042, 7546, 26, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (100043, 7547, 26, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (100044, 7548, 26, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (100045, 7549, 26, '- Arrivato in ritardo');
INSERT INTO `lang_definitions` VALUES (100046, 1, 27, 'एक');
INSERT INTO `lang_definitions` VALUES (100047, 2, 27, 'एक चेक नंबर या claim नंबर भुगतान की पहचान के लिए');
INSERT INTO `lang_definitions` VALUES (100048, 3, 27, 'एक client certificate computer व्यवस्थापक के लिए');
INSERT INTO `lang_definitions` VALUES (100049, 5, 27, 'एक नैदानिक ​​दस्तावेज संलग्न है');
INSERT INTO `lang_definitions` VALUES (100050, 7, 27, 'एक वितरक की आवश्यकता है');
INSERT INTO `lang_definitions` VALUES (100051, 8, 27, 'एक GCAC visit फार्म इस visit के लिए जोड़ा जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (100052, 9, 27, 'एक lot नंबर की आवश्यकता है');
INSERT INTO `lang_definitions` VALUES (100053, 10, 27, 'एक lot नंबर की आवश्यकता है!');
INSERT INTO `lang_definitions` VALUES (100054, 11, 27, 'एक छोटा अक्षर');
INSERT INTO `lang_definitions` VALUES (100055, 12, 27, 'एक नंबर');
INSERT INTO `lang_definitions` VALUES (100056, 14, 27, 'इस आईडी के साथ एक मरीज ​​पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (100057, 15, 27, 'इस नाम के साथ एक मरीज ​​पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (100058, 16, 27, 'इस SS के साथ एक मरीज ​​पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (100059, 19, 27, 'एक सिफ़ारिश प्रत्येक visit के लिए निर्दिष्ट की जा सकती है.');
INSERT INTO `lang_definitions` VALUES (100060, 20, 27, 'एक संबंधित IPPF कोड की आवश्यकता है!');
INSERT INTO `lang_definitions` VALUES (100061, 21, 27, 'एक विशेष character');
INSERT INTO `lang_definitions` VALUES (100062, 22, 27, 'इस क्षेत्र को पहचान करने के लिए एक अनूठा मूल्य, उपयोगकर्ता नहीं देख सकते हैं');
INSERT INTO `lang_definitions` VALUES (100063, 25, 27, 'प्रात:');
INSERT INTO `lang_definitions` VALUES (100064, 27, 27, 'ए बी');
INSERT INTO `lang_definitions` VALUES (100065, 28, 27, 'संक्षेप');
INSERT INTO `lang_definitions` VALUES (100066, 30, 27, 'उदर');
INSERT INTO `lang_definitions` VALUES (100067, 31, 27, 'वजन चार कदम (4) को सहन करने में सक्षम');
INSERT INTO `lang_definitions` VALUES (100068, 32, 27, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (100069, 33, 27, 'असामान्य 1');
INSERT INTO `lang_definitions` VALUES (100070, 34, 27, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (100071, 35, 27, 'असामान्य रक्त परीक्षण');
INSERT INTO `lang_definitions` VALUES (100072, 36, 27, 'असामान्य बाल विकास');
INSERT INTO `lang_definitions` VALUES (100073, 37, 27, 'असामान्य मेम्मोग्राम');
INSERT INTO `lang_definitions` VALUES (100074, 39, 27, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (100075, 40, 27, 'गर्भपात संबंधित समस्याएं');
INSERT INTO `lang_definitions` VALUES (100076, 41, 27, 'गर्भपात विधि');
INSERT INTO `lang_definitions` VALUES (100077, 42, 27, 'गर्भपात संबंधी श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (100078, 43, 27, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (100079, 44, 27, 'कैलेंडर के बारे में');
INSERT INTO `lang_definitions` VALUES (100080, 46, 27, 'डायग्नोसिस द्वारा absences');
INSERT INTO `lang_definitions` VALUES (100081, 47, 27, 'आवंटित कार्य स्वीकार करें');
INSERT INTO `lang_definitions` VALUES (100082, 48, 27, 'के लिए भुगतान स्वीकार');
INSERT INTO `lang_definitions` VALUES (100083, 49, 27, 'के लिए भुगतान स्वीकार');
INSERT INTO `lang_definitions` VALUES (100084, 50, 27, 'आवंटित कार्य स्वीकार करें');
INSERT INTO `lang_definitions` VALUES (100085, 51, 27, 'एक्सेस नियंत्रण');
INSERT INTO `lang_definitions` VALUES (100086, 52, 27, 'एक्सेस नियंत्रण सूची का प्रशासन');
INSERT INTO `lang_definitions` VALUES (100087, 54, 27, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (100088, 55, 27, 'प्रवेश अनधिकृत');
INSERT INTO `lang_definitions` VALUES (100089, 56, 27, 'अपने रोगी पोर्टल को एक्सेस करिये');
INSERT INTO `lang_definitions` VALUES (100090, 59, 27, 'खातेदार का नाम');
INSERT INTO `lang_definitions` VALUES (100091, 62, 27, 'अच्कोउन्तिंग');
INSERT INTO `lang_definitions` VALUES (100092, 64, 27, 'दर्द');
INSERT INTO `lang_definitions` VALUES (100093, 65, 27, 'आभार का अनुरोध( (आई एश ए14)');
INSERT INTO `lang_definitions` VALUES (100094, 66, 27, 'अच्क्नोव्लेद्ग्मेंट्स, लाइसेंसिंग और प्रमाणन');
INSERT INTO `lang_definitions` VALUES (100095, 67, 27, 'ए सी ल');
INSERT INTO `lang_definitions` VALUES (100096, 68, 27, 'ए सि ल प्रशासन');
INSERT INTO `lang_definitions` VALUES (100097, 69, 27, 'ए सि ल प्रशासन की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (100098, 71, 27, 'मुँहासा');
INSERT INTO `lang_definitions` VALUES (100099, 72, 27, 'कार्य');
INSERT INTO `lang_definitions` VALUES (100100, 73, 27, 'कार्य की तारीख');
INSERT INTO `lang_definitions` VALUES (100101, 74, 27, 'कार्रवाई');
INSERT INTO `lang_definitions` VALUES (100102, 75, 27, 'कार्रवाई');
INSERT INTO `lang_definitions` VALUES (100103, 77, 27, 'सीसीआर / सीसीडी रिपोर्टिंग सक्रिय करना');
INSERT INTO `lang_definitions` VALUES (100104, 78, 27, 'सक्रिय');
INSERT INTO `lang_definitions` VALUES (100105, 79, 27, 'सक्रिय चेतावनी');
INSERT INTO `lang_definitions` VALUES (100106, 80, 27, 'सक्रिय चेतावनी नियम');
INSERT INTO `lang_definitions` VALUES (100107, 81, 27, 'सक्रिय चेतावनियाँ / अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (100108, 82, 27, 'सक्रिय भेंट');
INSERT INTO `lang_definitions` VALUES (100109, 84, 27, 'सक्रिय सूचियाँ');
INSERT INTO `lang_definitions` VALUES (100110, 85, 27, 'सक्रिय रोगी');
INSERT INTO `lang_definitions` VALUES (100111, 86, 27, 'सक्रिय योजनाएं');
INSERT INTO `lang_definitions` VALUES (100112, 87, 27, 'हलचल');
INSERT INTO `lang_definitions` VALUES (100113, 88, 27, 'गतिविधि प्रकार');
INSERT INTO `lang_definitions` VALUES (100114, 90, 27, 'तीव्र नशा / आहरण');
INSERT INTO `lang_definitions` VALUES (100115, 92, 27, 'पुरानी पर तीव्र');
INSERT INTO `lang_definitions` VALUES (100116, 93, 27, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (100117, 94, 27, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (100118, 95, 27, 'जोड़ें');
INSERT INTO `lang_definitions` VALUES (100119, 96, 27, 'एक कंपनी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100120, 98, 27, 'एक फार्मेसी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100121, 100, 27, 'के लिए एक घटना जोड़ें ');
INSERT INTO `lang_definitions` VALUES (100122, 101, 27, 'एक नई टिप्पणी के रूप में जोड़ें');
INSERT INTO `lang_definitions` VALUES (100123, 102, 27, 'नए रूप में जोड़ें');
INSERT INTO `lang_definitions` VALUES (100124, 104, 27, 'बटन जोड़ें');
INSERT INTO `lang_definitions` VALUES (100125, 105, 27, 'Add Buttons for Special Chars,Texts to be Displayed on Top of the Editor for inclusion to the text on a Click');
INSERT INTO `lang_definitions` VALUES (100126, 106, 27, 'श्रेणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100127, 107, 27, 'स्थिर जोड़ें');
INSERT INTO `lang_definitions` VALUES (100128, 108, 27, 'संदर्भ जोड़ें');
INSERT INTO `lang_definitions` VALUES (100129, 109, 27, 'copay जोड़ें');
INSERT INTO `lang_definitions` VALUES (100130, 110, 27, 'मापदंड जोड़ें');
INSERT INTO `lang_definitions` VALUES (100131, 111, 27, 'पसंदीदा बटन जोड़ें');
INSERT INTO `lang_definitions` VALUES (100132, 112, 27, 'निदान जोड़ें');
INSERT INTO `lang_definitions` VALUES (100133, 113, 27, 'दवा जोड़ें');
INSERT INTO `lang_definitions` VALUES (100134, 114, 27, 'भेंट जोड़ें');
INSERT INTO `lang_definitions` VALUES (100135, 115, 27, 'भेंट/टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100136, 116, 27, 'सुविधा केंद्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (100137, 117, 27, 'क्षेत्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (100138, 118, 27, 'अपाचे विन्यास फ़ाइल में निम्नलिखित लाइनें जोड़ें');
INSERT INTO `lang_definitions` VALUES (100139, 119, 27, 'समूह जोड़ें');
INSERT INTO `lang_definitions` VALUES (100140, 120, 27, 'आईसीडी कोड जोड़ें');
INSERT INTO `lang_definitions` VALUES (100141, 121, 27, 'टीकाकरण जोड़ें');
INSERT INTO `lang_definitions` VALUES (100142, 122, 27, 'जोडना अधिकृत नहीं है!');
INSERT INTO `lang_definitions` VALUES (100143, 123, 27, 'अंक जोड़ें');
INSERT INTO `lang_definitions` VALUES (100144, 125, 27, 'भाषा जोड़ें');
INSERT INTO `lang_definitions` VALUES (100145, 126, 27, 'नए जोड़ें');
INSERT INTO `lang_definitions` VALUES (100146, 127, 27, 'नए जोड़ें');
INSERT INTO `lang_definitions` VALUES (100147, 128, 27, 'नई श्रेणी जोड़ें: ');
INSERT INTO `lang_definitions` VALUES (100148, 129, 27, 'अपाचे विन्यास फाइल के लिए नया प्रमाणपत्र जोड़ें');
INSERT INTO `lang_definitions` VALUES (100149, 132, 27, 'नया समूह जोड़ें');
INSERT INTO `lang_definitions` VALUES (100150, 134, 27, 'नया लॉट और लेन - देन जोड़ें');
INSERT INTO `lang_definitions` VALUES (100151, 135, 27, 'नई टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100152, 136, 27, 'नई टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100153, 137, 27, 'नया साथी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100154, 140, 27, 'टिप्पणी जोड़ें');
INSERT INTO `lang_definitions` VALUES (100155, 141, 27, 'रोगी रिकॉर्ड जोड़ें');
INSERT INTO `lang_definitions` VALUES (100156, 142, 27, 'पर्चे जोड़ें');
INSERT INTO `lang_definitions` VALUES (100157, 143, 27, 'प्रक्रिया जोड़ें');
INSERT INTO `lang_definitions` VALUES (100158, 144, 27, 'प्रदाता का नंबर जोड़ें');
INSERT INTO `lang_definitions` VALUES (100159, 145, 27, 'पुनर्वसन जोड़ें');
INSERT INTO `lang_definitions` VALUES (100160, 146, 27, 'नियम जोड़ें');
INSERT INTO `lang_definitions` VALUES (100161, 147, 27, 'में जोड़ें');
INSERT INTO `lang_definitions` VALUES (100162, 148, 27, 'दवा सूची में जोड़ें');
INSERT INTO `lang_definitions` VALUES (100163, 149, 27, 'शीर्ष स्तर जोड़ें');
INSERT INTO `lang_definitions` VALUES (100164, 150, 27, 'लेन - देन जोड़ें');
INSERT INTO `lang_definitions` VALUES (100165, 151, 27, 'उपयोगकर्ता का नाम जोड़ें');
INSERT INTO `lang_definitions` VALUES (100166, 152, 27, 'उपयोगकर्ता को समूह में जोड़ें');
INSERT INTO `lang_definitions` VALUES (100167, 153, 27, 'जोड़ें / संपादित करें eRx');
INSERT INTO `lang_definitions` VALUES (100168, 154, 27, 'रोगी लेनदेन जोड़ें/संपादित करें');
INSERT INTO `lang_definitions` VALUES (100169, 155, 27, 'जोड़ा गया');
INSERT INTO `lang_definitions` VALUES (100170, 156, 27, 'जनसांख्यिकी जोड़ना अधिकृत नहीं है');
INSERT INTO `lang_definitions` VALUES (100171, 158, 27, 'एडिसन Syndrom');
INSERT INTO `lang_definitions` VALUES (100172, 159, 27, 'एडिसन सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (100173, 160, 27, 'अतिरिक्त विशेषताओं');
INSERT INTO `lang_definitions` VALUES (100174, 161, 27, 'अतिरिक्त निदान:');
INSERT INTO `lang_definitions` VALUES (100175, 162, 27, 'अतिरिक्त इतिहास');
INSERT INTO `lang_definitions` VALUES (100176, 163, 27, 'अतिरिक्त इतिहास टिप्पणी');
INSERT INTO `lang_definitions` VALUES (100177, 164, 27, 'अतिरिक्त जानकारी');
INSERT INTO `lang_definitions` VALUES (100178, 165, 27, 'अतिरिक्त लैब्स');
INSERT INTO `lang_definitions` VALUES (100179, 166, 27, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (100180, 167, 27, 'इस परिणाम या सिफारिश के लिए अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (100181, 168, 27, 'अतिरिक्त टिप्पणी');
INSERT INTO `lang_definitions` VALUES (100182, 169, 27, 'अतिरिक्त टिप्पणी ');
INSERT INTO `lang_definitions` VALUES (100183, 170, 27, 'अतिरिक्त एक्स - रे नोट्स:');
INSERT INTO `lang_definitions` VALUES (100184, 171, 27, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release');
INSERT INTO `lang_definitions` VALUES (100185, 172, 27, 'केवल जोड़ें');
INSERT INTO `lang_definitions` VALUES (100186, 173, 27, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (100187, 174, 27, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (100188, 175, 27, 'पता');
INSERT INTO `lang_definitions` VALUES (100189, 178, 27, 'पता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (100190, 179, 27, 'इस प्रक्रिया कर रही कंपनी के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (100191, 180, 27, 'वितरक के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (100192, 181, 27, 'विक्रेता के लिए पता पुस्तिका प्रवेश');
INSERT INTO `lang_definitions` VALUES (100193, 182, 27, 'पता पुस्तिका प्रकार');
INSERT INTO `lang_definitions` VALUES (100194, 187, 27, 'पता 1');
INSERT INTO `lang_definitions` VALUES (100195, 188, 27, 'पता 2');
INSERT INTO `lang_definitions` VALUES (100196, 189, 27, 'पाने वाला');
INSERT INTO `lang_definitions` VALUES (100197, 190, 27, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (100198, 191, 27, 'समायोजन राशि');
INSERT INTO `lang_definitions` VALUES (100199, 192, 27, 'समायोजित करें');
INSERT INTO `lang_definitions` VALUES (100200, 193, 27, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (100201, 194, 27, 'समायोजन राशि');
INSERT INTO `lang_definitions` VALUES (100202, 195, 27, 'समायोजन कारण');
INSERT INTO `lang_definitions` VALUES (100203, 196, 27, 'कोड के लिए समायोजन मूल्य ');
INSERT INTO `lang_definitions` VALUES (100204, 197, 27, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (100205, 198, 27, 'प्रशासक समायोजित');
INSERT INTO `lang_definitions` VALUES (100206, 199, 27, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (100207, 200, 27, 'प्रशासनिक ईमेल एड्रेस');
INSERT INTO `lang_definitions` VALUES (100208, 201, 27, 'के माध्यम प्रशासन');
INSERT INTO `lang_definitions` VALUES (100209, 202, 27, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (100210, 203, 27, 'द्वारा प्रशासित');
INSERT INTO `lang_definitions` VALUES (100211, 205, 27, 'प्रशासित स्थल का');
INSERT INTO `lang_definitions` VALUES (100212, 206, 27, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (100213, 207, 27, 'प्रशासन साइट');
INSERT INTO `lang_definitions` VALUES (100214, 208, 27, 'प्रशासक');
INSERT INTO `lang_definitions` VALUES (100215, 209, 27, 'प्रशासक कुछ भी कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (100216, 210, 27, 'तिथि एडमिट');
INSERT INTO `lang_definitions` VALUES (100217, 212, 27, 'वयस्क वजन जांच और अनुवर्ती');
INSERT INTO `lang_definitions` VALUES (100218, 213, 27, 'वयस्क वजन जांच और अनुवर्ती (CQM)');
INSERT INTO `lang_definitions` VALUES (100219, 214, 27, 'अग्रिम निर्देशक');
INSERT INTO `lang_definitions` VALUES (100220, 215, 27, 'अग्रिम निर्देशों के');
INSERT INTO `lang_definitions` VALUES (100221, 216, 27, 'अग्रिम निर्देशों की चेतावनी');
INSERT INTO `lang_definitions` VALUES (100222, 218, 27, 'उन्नत');
INSERT INTO `lang_definitions` VALUES (100223, 219, 27, 'परामर्श');
INSERT INTO `lang_definitions` VALUES (100224, 221, 27, 'सामान्य को प्रभावित');
INSERT INTO `lang_definitions` VALUES (100225, 223, 27, 'घंटे कॉल के बाद');
INSERT INTO `lang_definitions` VALUES (100226, 224, 27, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible');
INSERT INTO `lang_definitions` VALUES (100227, 225, 27, 'After performing above configurations, import the admin client certificate to the browser and restart Apache server (empty password).');
INSERT INTO `lang_definitions` VALUES (100228, 226, 27, 'पीडीऍफ़ सेव करने के बाद, ऐरर चेक करने के लिये view logs को क्लिक करे');
INSERT INTO `lang_definitions` VALUES (100229, 227, 27, 'टेक्स्ट सेव करने के बाद, ऐरर चेक करने के लिये [View Log] को क्लिक करे');
INSERT INTO `lang_definitions` VALUES (100230, 228, 27, 'अपने बैच सहेजने के बाद, त्रुटियों की जाँच करने के लिए [View Log] क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100231, 230, 27, 'जानकारी सही ढंग से प्रवेश करने के बाद, Save बटन क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100232, 232, 27, 'देखभाल के बाद योजना');
INSERT INTO `lang_definitions` VALUES (100233, 233, 27, 'पुन');
INSERT INTO `lang_definitions` VALUES (100234, 234, 27, 'उम्र');
INSERT INTO `lang_definitions` VALUES (100235, 235, 27, 'के द्वारा उम्र');
INSERT INTO `lang_definitions` VALUES (100236, 236, 27, 'आयु श्रेणी');
INSERT INTO `lang_definitions` VALUES (100237, 237, 27, 'उम्र डेटा सीमा से बाहर है.');
INSERT INTO `lang_definitions` VALUES (100238, 238, 27, 'उम्र प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (100239, 239, 27, 'से उम्र के लिए आयु स्वरूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (100240, 240, 27, 'तक की उम्र के लिए आयु स्वरूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (100241, 241, 27, 'से उम्र');
INSERT INTO `lang_definitions` VALUES (100242, 242, 27, 'प्रदर्शन स्वरूप परिवर्तन के लिए वर्ष में आयु');
INSERT INTO `lang_definitions` VALUES (100243, 243, 27, 'आयु अधिकतम');
INSERT INTO `lang_definitions` VALUES (100244, 244, 27, 'उम्र मिनट');
INSERT INTO `lang_definitions` VALUES (100245, 245, 27, 'आयु सीमा');
INSERT INTO `lang_definitions` VALUES (100246, 247, 27, 'उम्र के कॉलम:');
INSERT INTO `lang_definitions` VALUES (100247, 249, 27, 'अल्बानियन');
INSERT INTO `lang_definitions` VALUES (100248, 250, 27, 'शराब');
INSERT INTO `lang_definitions` VALUES (100249, 251, 27, 'शराब का सेवन');
INSERT INTO `lang_definitions` VALUES (100250, 253, 27, 'चेतावनी गणना');
INSERT INTO `lang_definitions` VALUES (100251, 255, 27, 'चेतावनियाँ');
INSERT INTO `lang_definitions` VALUES (100252, 258, 27, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (100253, 259, 27, 'सब');
INSERT INTO `lang_definitions` VALUES (100254, 260, 27, 'समस्त');
INSERT INTO `lang_definitions` VALUES (100255, 261, 27, 'सभी (Collated स्वरूप ए)');
INSERT INTO `lang_definitions` VALUES (100256, 262, 27, 'सभी (Collated स्वरूप बी)');
INSERT INTO `lang_definitions` VALUES (100257, 263, 27, 'सभी (संचयी)');
INSERT INTO `lang_definitions` VALUES (100258, 266, 27, 'सभी श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (100259, 268, 27, 'सभी संहिताएं');
INSERT INTO `lang_definitions` VALUES (100260, 269, 27, 'सारे दिन');
INSERT INTO `lang_definitions` VALUES (100261, 270, 27, 'सारे दिन का इवेंट');
INSERT INTO `lang_definitions` VALUES (100262, 271, 27, 'सभी जनसांख्यिकी क्षेत्रों,खोज और दोहराव की जांच के साथ');
INSERT INTO `lang_definitions` VALUES (100263, 272, 27, 'सारी सुविधाओं');
INSERT INTO `lang_definitions` VALUES (100264, 273, 27, 'सभी चोट लगने की घटनाएं / समस्याएँ / मुद्दे');
INSERT INTO `lang_definitions` VALUES (100265, 274, 27, 'सारी भाषाओ की अनुमति है');
INSERT INTO `lang_definitions` VALUES (100266, 276, 27, 'पहला नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (100267, 277, 27, 'अंतिम नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (100268, 278, 27, 'संगठन नाम का हिस्सा या पूरा');
INSERT INTO `lang_definitions` VALUES (100269, 280, 27, 'सारे उत्पादों');
INSERT INTO `lang_definitions` VALUES (100270, 281, 27, 'सारे providers');
INSERT INTO `lang_definitions` VALUES (100271, 282, 27, 'सब की समीक्षा की और सब नकारात्मक:');
INSERT INTO `lang_definitions` VALUES (100272, 283, 27, 'सारे विषयों');
INSERT INTO `lang_definitions` VALUES (100273, 284, 27, 'सारे उपयोगकर्ताओं');
INSERT INTO `lang_definitions` VALUES (100274, 285, 27, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (100275, 286, 27, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (100276, 287, 27, 'एलर्जी:');
INSERT INTO `lang_definitions` VALUES (100277, 288, 27, 'एलर्जी');
INSERT INTO `lang_definitions` VALUES (100278, 289, 27, 'एलर्जी आयात सफलतापूर्वक पूरा');
INSERT INTO `lang_definitions` VALUES (100279, 290, 27, 'एलर्जी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (100280, 291, 27, 'एलर्जी रिएक्शन');
INSERT INTO `lang_definitions` VALUES (100281, 294, 27, 'आबंटित करें');
INSERT INTO `lang_definitions` VALUES (100282, 295, 27, 'अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100283, 296, 27, 'लॉग इन पर मेनू पर विकल्प के रूप में सभी उपलब्ध भाषाओं की अनुमति दें.');
INSERT INTO `lang_definitions` VALUES (100284, 297, 27, 'प्रक्रियाओं या शुल्क नहीं बल्कि निदान युक्त दावों के निर्माण की अनुमति दें. अधिकांश क्लीनिक यह नहीं चाहता.');
INSERT INTO `lang_definitions` VALUES (100285, 298, 27, 'भाषा डीबगिंग की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100286, 299, 27, 'ईमेल की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100287, 300, 27, 'ईमेल संदेशों को अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (100288, 301, 27, 'ईमेल की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (100289, 302, 27, 'दावा मुठभेड़ की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100290, 303, 27, 'स्वास्थ्य सूचना एक्सचेंज की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100291, 304, 27, 'टीकाकरण की जानकारी साझा करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100292, 305, 27, 'प्रतिरक्षण रजिस्ट्री उपयोग की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100293, 306, 27, 'मेल संदेश की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100294, 308, 27, 'रोगी पोर्टल की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100295, 309, 27, 'एसएमएस की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100296, 310, 27, 'एसएमएस (पाठ संदेश) की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (100297, 311, 27, 'प्रस्तुत घटनाओं तुरन्त सक्रिय किए जाने की अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (100298, 312, 27, 'टेलीफोन संदेशों को अनुमति दें?');
INSERT INTO `lang_definitions` VALUES (100299, 313, 27, 'उपयोगकर्ताओं को वैश्विक घटनाक्रम प्रकाशित करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100300, 314, 27, 'उपयोगकर्ताओं को व्यक्तिगत कैलेंडर को प्रकाशित करने की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100301, 315, 27, 'वॉयस संदेश की अनुमति दें');
INSERT INTO `lang_definitions` VALUES (100302, 316, 27, 'अनुमति दे दी');
INSERT INTO `lang_definitions` VALUES (100303, 317, 27, 'अनुमति दी भाषाएँ');
INSERT INTO `lang_definitions` VALUES (100304, 318, 27, 'अनुमति दी (ग)');
INSERT INTO `lang_definitions` VALUES (100305, 323, 27, 'पहले से मौजूद है');
INSERT INTO `lang_definitions` VALUES (100306, 324, 27, 'पहले से ही मौजूद है.');
INSERT INTO `lang_definitions` VALUES (100307, 325, 27, 'पहले से ही इस्तेमाल किया, किसी अन्य पहचानकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (100308, 326, 27, 'पहले से ही इस्तेमाल किया, किसी अन्य शीर्षक का चयन करें');
INSERT INTO `lang_definitions` VALUES (100309, 327, 27, 'वैकल्पिक पता');
INSERT INTO `lang_definitions` VALUES (100310, 328, 27, 'बदलना');
INSERT INTO `lang_definitions` VALUES (100311, 329, 27, 'Alternatively, you may use the search page to upload an electronic remittance (X12 835) file that you have obtained from your payer or clearinghouse. You can do this by clicking the Browse button and selecting the file to upload, and then clicking Search to perform the upload and display the corresponding invoices. In this case the other parameters mentioned above do not apply and will be ignored. Uploading saves the file but does not yet process its contents -- that is done separately as described below.');
INSERT INTO `lang_definitions` VALUES (100312, 330, 27, 'पूर्वाह्न');
INSERT INTO `lang_definitions` VALUES (100313, 331, 27, 'पूर्वाह्न कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (100314, 332, 27, 'एएमसी');
INSERT INTO `lang_definitions` VALUES (100315, 333, 27, 'एएमसी ट्रैकिंग');
INSERT INTO `lang_definitions` VALUES (100316, 338, 27, 'मौजूदा नोट में संशोधन');
INSERT INTO `lang_definitions` VALUES (100317, 343, 27, 'अमेरिकी भारतीय');
INSERT INTO `lang_definitions` VALUES (100318, 344, 27, 'अमेरिकी भारतीय या अलास्का मूल निवासी');
INSERT INTO `lang_definitions` VALUES (100319, 346, 27, 'अम्हरी (भाषा)');
INSERT INTO `lang_definitions` VALUES (100320, 347, 27, 'राशि');
INSERT INTO `lang_definitions` VALUES (100321, 348, 27, 'प्रशासित राशि');
INSERT INTO `lang_definitions` VALUES (100322, 349, 27, 'राशि');
INSERT INTO `lang_definitions` VALUES (100323, 350, 27, 'बकाया राशि');
INSERT INTO `lang_definitions` VALUES (100324, 351, 27, 'इश जांच कि राशि');
INSERT INTO `lang_definitions` VALUES (100325, 352, 27, 'प्रदाय राशि');
INSERT INTO `lang_definitions` VALUES (100326, 353, 27, 'राशि:');
INSERT INTO `lang_definitions` VALUES (100327, 354, 27, 'राशि बिल किया');
INSERT INTO `lang_definitions` VALUES (100328, 355, 27, 'बाद में शुरू की तारीख से एक समापन दिनांक, दोहराया घटनाओं के लिए आवश्यक है!');
INSERT INTO `lang_definitions` VALUES (100329, 357, 27, 'LibreEHR वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (100330, 358, 27, 'PhpGACL वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (100331, 359, 27, 'SQL लेजर वेब डायरेक्टरी ट्री डंपिंग समय एक त्रुटि हुई');
INSERT INTO `lang_definitions` VALUES (100332, 360, 27, 'एक अधूरा GCAC मुद्दा बनाया और जोड़ा गया है. किसी को बाद में इसे पूरा करने की आवश्यकता होगी.');
INSERT INTO `lang_definitions` VALUES (100333, 362, 27, 'एक अनपेक्षित त्रुटि हुई है.');
INSERT INTO `lang_definitions` VALUES (100334, 363, 27, 'एक अपरकेस अक्षर');
INSERT INTO `lang_definitions` VALUES (100335, 365, 27, 'और');
INSERT INTO `lang_definitions` VALUES (100336, 366, 27, 'और');
INSERT INTO `lang_definitions` VALUES (100337, 367, 27, 'और');
INSERT INTO `lang_definitions` VALUES (100338, 368, 27, 'और ');
INSERT INTO `lang_definitions` VALUES (100339, 369, 27, 'और सभी अधीनस्थ डेटा? इस क्रिया को लॉग इन किया जाएगा');
INSERT INTO `lang_definitions` VALUES (100340, 370, 27, 'और संशोधक');
INSERT INTO `lang_definitions` VALUES (100341, 371, 27, 'और संसाधित.');
INSERT INTO `lang_definitions` VALUES (100342, 372, 27, 'और Apache सर्वर को पुनरारंभ करें.');
INSERT INTO `lang_definitions` VALUES (100343, 373, 27, 'और कारण है');
INSERT INTO `lang_definitions` VALUES (100344, 374, 27, 'रक्ताल्पता');
INSERT INTO `lang_definitions` VALUES (100345, 375, 27, 'टखना');
INSERT INTO `lang_definitions` VALUES (100346, 376, 27, 'टखने + एड़ी');
INSERT INTO `lang_definitions` VALUES (100347, 377, 27, 'टखने मूल्यांकन प्रपत्र');
INSERT INTO `lang_definitions` VALUES (100348, 378, 27, 'टखने की समस्याएं');
INSERT INTO `lang_definitions` VALUES (100349, 379, 27, 'अचलताकारक Sondlilitis');
INSERT INTO `lang_definitions` VALUES (100350, 380, 27, 'अचलताकारक Spondlilitis');
INSERT INTO `lang_definitions` VALUES (100351, 381, 27, 'अरुचि');
INSERT INTO `lang_definitions` VALUES (100352, 382, 27, 'Another thing you can do in the posting window is request secondary billing. If you select this checkbox before saving, then the original claim will be re-opened and queued on the Billing page, and will be processed during the next billing run.');
INSERT INTO `lang_definitions` VALUES (100353, 383, 27, 'पूर्व');
INSERT INTO `lang_definitions` VALUES (100354, 384, 27, 'गुदा nl, नहीं मलाशय कोमलता / जन');
INSERT INTO `lang_definitions` VALUES (100355, 385, 27, 'चिंता');
INSERT INTO `lang_definitions` VALUES (100356, 386, 27, 'कोई भी');
INSERT INTO `lang_definitions` VALUES (100357, 387, 27, 'कोई भी श्रेणी');
INSERT INTO `lang_definitions` VALUES (100358, 388, 27, 'वांछित कोड या उसके वर्णन के किसी भी भाग');
INSERT INTO `lang_definitions` VALUES (100359, 389, 27, 'वांछित विशेषता के किसी भी भाग');
INSERT INTO `lang_definitions` VALUES (100360, 390, 27, 'दवा आईडी या नशीली दवाओं के नाम का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (100361, 391, 27, 'प्रतिरक्षण आईडी या टीकाकरण के नाम का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (100362, 392, 27, 'रोगी नाम का कोई भी हिस्सा, या  \"पिछले, पहले \", या  \"XY \"');
INSERT INTO `lang_definitions` VALUES (100363, 393, 27, 'कोई भी अन्य प्रासंगिक जानकारी');
INSERT INTO `lang_definitions` VALUES (100364, 394, 27, 'एसएमएस गेटवे के लिए API का चाबी.');
INSERT INTO `lang_definitions` VALUES (100365, 395, 27, 'श्वासरोध');
INSERT INTO `lang_definitions` VALUES (100366, 396, 27, 'उपस्थिति');
INSERT INTO `lang_definitions` VALUES (100367, 397, 27, 'सूरत:');
INSERT INTO `lang_definitions` VALUES (100368, 398, 27, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (100369, 399, 27, 'मौजूदा नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (100370, 400, 27, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (100371, 401, 27, 'इस नोट को जोड़ें');
INSERT INTO `lang_definitions` VALUES (100372, 402, 27, 'उपांत्र - उच्छेदन');
INSERT INTO `lang_definitions` VALUES (100373, 404, 27, 'मरीजों को लागू');
INSERT INTO `lang_definitions` VALUES (100374, 405, 27, 'आवेदन');
INSERT INTO `lang_definitions` VALUES (100375, 406, 27, 'प्रवेश पृष्ठ और मुख्य विंडो शीर्षक के लिए आवेदन नाम.');
INSERT INTO `lang_definitions` VALUES (100376, 407, 27, 'आवेदन रिसीवर संहिता (GS03 - खाली ISA08 उपयोग किया जाएगा)');
INSERT INTO `lang_definitions` VALUES (100377, 408, 27, 'आवेदन प्रेषक संहिता (GS02)');
INSERT INTO `lang_definitions` VALUES (100378, 409, 27, 'आवेदन शीर्षक');
INSERT INTO `lang_definitions` VALUES (100379, 410, 27, 'नब्ज फार्म और ग्रोथ चार्ट पर लागू होता है');
INSERT INTO `lang_definitions` VALUES (100380, 411, 27, 'नब्ज फार्म पर लागू होता है');
INSERT INTO `lang_definitions` VALUES (100381, 412, 27, 'केवल इस और भविष्य की सभी घटनाओं के लिए, या सभी घटनाओं को वर्तमान घटना में परिवर्तन लागू करें?');
INSERT INTO `lang_definitions` VALUES (100382, 413, 27, 'प्रभावित क्षेत्र के लिए लागू');
INSERT INTO `lang_definitions` VALUES (100383, 414, 27, 'त्वचा के लिए लागू');
INSERT INTO `lang_definitions` VALUES (100384, 415, 27, 'लागू करना');
INSERT INTO `lang_definitions` VALUES (100385, 416, 27, 'साइट पर पैच लागू करना');
INSERT INTO `lang_definitions` VALUES (100386, 417, 27, 'नियुक्ति');
INSERT INTO `lang_definitions` VALUES (100387, 418, 27, 'नियुक्ति तिथि');
INSERT INTO `lang_definitions` VALUES (100388, 419, 27, 'नियुक्ति प्रदर्शन शैली');
INSERT INTO `lang_definitions` VALUES (100389, 420, 27, 'नियुक्ति अनुस्मारक नियम');
INSERT INTO `lang_definitions` VALUES (100390, 421, 27, 'नियुक्ति स्थिति');
INSERT INTO `lang_definitions` VALUES (100391, 422, 27, 'नियुक्ति स्थितियां');
INSERT INTO `lang_definitions` VALUES (100392, 423, 27, 'भीतर नियुक्ति');
INSERT INTO `lang_definitions` VALUES (100393, 424, 27, 'नियुक्ति / घटना का रंग');
INSERT INTO `lang_definitions` VALUES (100394, 425, 27, 'नियुक्ति');
INSERT INTO `lang_definitions` VALUES (100395, 426, 27, 'नियुक्ति (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (100396, 427, 27, 'नियुक्ति (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (100397, 430, 27, 'नियुक्ति और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (100398, 431, 27, 'नियुक्ति रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (100399, 432, 27, 'नियुक्तियों मुठभेड़ों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (100400, 434, 27, 'स्वीकृत करें');
INSERT INTO `lang_definitions` VALUES (100401, 436, 27, 'स्वीकृत किया');
INSERT INTO `lang_definitions` VALUES (100402, 437, 27, 'स्वीकृत किया घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (100403, 440, 27, 'Appt-मुठभेड़');
INSERT INTO `lang_definitions` VALUES (100404, 441, 27, 'Appts');
INSERT INTO `lang_definitions` VALUES (100405, 442, 27, 'अप्रैल');
INSERT INTO `lang_definitions` VALUES (100406, 443, 27, 'अप्रैल');
INSERT INTO `lang_definitions` VALUES (100407, 444, 27, 'अरबी भाषा');
INSERT INTO `lang_definitions` VALUES (100408, 446, 27, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (100409, 447, 27, 'क्या एसीएल समूह नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (100410, 448, 27, 'क्या नियुक्ति श्रेणी नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (100411, 449, 27, 'क्या दस्तावेज़ श्रेणी नामों का अनुवाद किया जाना है?');
INSERT INTO `lang_definitions` VALUES (100412, 450, 27, 'क्या इस प्रकार के लिए शुल्क चार्ज किया जाता है ?');
INSERT INTO `lang_definitions` VALUES (100413, 451, 27, 'क्या रोगी नोट खिताब का अनुवाद किया जाना हैं ?');
INSERT INTO `lang_definitions` VALUES (100414, 452, 27, 'क्या कोड बाहरी एसक्यूएल टेबल (0 -NO, 1 - ICD10 , 2 SNOMED ( RF1 ) , 3 SNOMED ( RF2 ) ) में संग्रहीत कर रहे हैं?');
INSERT INTO `lang_definitions` VALUES (100415, 453, 27, 'क्या आप इस यात्रा के लिए एक नया GCAC मुद्दे को पूरा करने के लिए तैयार हैं?');
INSERT INTO `lang_definitions` VALUES (100416, 454, 27, 'क्या आप आज के लिए पोस्ट करने के लिए सहमत है?');
INSERT INTO `lang_definitions` VALUES (100417, 455, 27, 'क्या आप इन घटनाओं को मंजूरी देना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100418, 457, 27, 'क्या आप पूरी तरह से इस फार्म को दूर करना चाहते हैं ?');
INSERT INTO `lang_definitions` VALUES (100419, 459, 27, 'क्या आप इस खुलासे को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100420, 460, 27, 'क्या आप इस घटना को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100421, 461, 27, 'क्या आप डेटाबेस से इस आइटम को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100422, 462, 27, 'क्या आप इस नोट को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100423, 464, 27, 'क्या आप इन घटनाओं को संपादित करना चाहते हैं ?');
INSERT INTO `lang_definitions` VALUES (100424, 465, 27, 'क्या आप इन घटनाओं को छिपाने चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100425, 467, 27, 'क्या आप इन घटनाओं को देखने चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100426, 468, 27, 'क्या आप पूरे नाम समूह को नष्ट करना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (100427, 469, 27, 'क्या आप पूरी सूची को हटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (100428, 470, 27, 'क्या आप क्षेत्र को नष्ट करना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (100429, 471, 27, 'क्या आप चयनित क्षेत्रों को नष्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (100430, 472, 27, 'यदि आप इन कार्यों को जारी रखना चाहते है?');
INSERT INTO `lang_definitions` VALUES (100431, 473, 27, 'क्षेत्र निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (100432, 474, 27, 'बांह');
INSERT INTO `lang_definitions` VALUES (100433, 475, 27, 'आर्मीनियाई');
INSERT INTO `lang_definitions` VALUES (100434, 477, 27, 'arrythmia');
INSERT INTO `lang_definitions` VALUES (100435, 478, 27, 'गठिया');
INSERT INTO `lang_definitions` VALUES (100436, 479, 27, 'गठिया / DEGEN संयुक्त diseas');
INSERT INTO `lang_definitions` VALUES (100437, 480, 27, 'गठिया / DEGEN संयुक्त रोग');
INSERT INTO `lang_definitions` VALUES (100438, 481, 27, 'जैसा');
INSERT INTO `lang_definitions` VALUES (100439, 482, 27, 'के रूप में');
INSERT INTO `lang_definitions` VALUES (100440, 484, 27, 'एशियाई');
INSERT INTO `lang_definitions` VALUES (100441, 487, 27, 'मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (100442, 488, 27, 'को सौंपा');
INSERT INTO `lang_definitions` VALUES (100443, 489, 27, 'सहायक');
INSERT INTO `lang_definitions` VALUES (100444, 490, 27, 'दमा');
INSERT INTO `lang_definitions` VALUES (100445, 491, 27, 'में');
INSERT INTO `lang_definitions` VALUES (100446, 492, 27, 'आप सभी का चयन करें तो कम से कम एक खोज पैरामीटर जरूरी है.');
INSERT INTO `lang_definitions` VALUES (100447, 493, 27, 'Navicular में');
INSERT INTO `lang_definitions` VALUES (100448, 494, 27, ': Navicular में');
INSERT INTO `lang_definitions` VALUES (100449, 495, 27, 'एथलेटिक टीम');
INSERT INTO `lang_definitions` VALUES (100450, 496, 27, 'एथलेटिक टीम');
INSERT INTO `lang_definitions` VALUES (100451, 497, 27, 'एथलेटिक/चोट');
INSERT INTO `lang_definitions` VALUES (100452, 498, 27, 'Atna ऑडिट सीए प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (100453, 499, 27, 'Atna ऑडिट मेजबान');
INSERT INTO `lang_definitions` VALUES (100454, 500, 27, 'Atna ऑडिट स्थानीय प्रमाण पत्र');
INSERT INTO `lang_definitions` VALUES (100455, 501, 27, 'Atna ऑडिट बंदरगाह');
INSERT INTO `lang_definitions` VALUES (100456, 503, 27, 'ध्यान');
INSERT INTO `lang_definitions` VALUES (100457, 504, 27, 'ध्यान');
INSERT INTO `lang_definitions` VALUES (100458, 506, 27, 'ऑडिट सीडीआर इंजन प्रश्न');
INSERT INTO `lang_definitions` VALUES (100459, 509, 27, 'ऑडिट लॉगिंग बैकअप');
INSERT INTO `lang_definitions` VALUES (100460, 510, 27, 'ऑडिट विविध लॉगिंग');
INSERT INTO `lang_definitions` VALUES (100461, 511, 27, 'ऑडिट लॉगिंग आदेश');
INSERT INTO `lang_definitions` VALUES (100462, 512, 27, 'ऑडिट लॉगिंग रोगी रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (100463, 513, 27, 'ऑडिट लॉगिंग निर्धारण');
INSERT INTO `lang_definitions` VALUES (100464, 514, 27, 'ऑडिट लॉगिंग सुरक्षा प्रशासन');
INSERT INTO `lang_definitions` VALUES (100465, 515, 27, 'ऑडिट लॉगिंग चुनिए प्रश्न');
INSERT INTO `lang_definitions` VALUES (100466, 516, 27, 'अगस्त');
INSERT INTO `lang_definitions` VALUES (100467, 517, 27, 'अगस्त');
INSERT INTO `lang_definitions` VALUES (100468, 519, 27, 'प्रमाणीकरण');
INSERT INTO `lang_definitions` VALUES (100469, 520, 27, 'प्रमाणन / नोट्स');
INSERT INTO `lang_definitions` VALUES (100470, 523, 27, 'प्राधिकरण समूह');
INSERT INTO `lang_definitions` VALUES (100471, 524, 27, 'प्राधिकरण स्थिति');
INSERT INTO `lang_definitions` VALUES (100472, 525, 27, 'प्राधिकरण');
INSERT INTO `lang_definitions` VALUES (100473, 526, 27, 'अधिकार देना');
INSERT INTO `lang_definitions` VALUES (100474, 527, 27, 'अधिकृत करें - किसी भी मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (100475, 528, 27, 'अधिकृत - मेरे मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (100476, 529, 27, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (100477, 530, 27, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (100478, 531, 27, 'केवल अधिकृत');
INSERT INTO `lang_definitions` VALUES (100479, 532, 27, 'स्वचालित भेजें');
INSERT INTO `lang_definitions` VALUES (100480, 535, 27, 'नई मुठभेड़ों स्वचालित बनाएँ');
INSERT INTO `lang_definitions` VALUES (100481, 536, 27, 'स्वचालित जनित');
INSERT INTO `lang_definitions` VALUES (100482, 537, 27, 'स्वचालित उपाय गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (100483, 542, 27, 'स्वचालित उपाय गणना (एएमसी) ट्रैकिंग');
INSERT INTO `lang_definitions` VALUES (100484, 543, 27, 'स्वचालित उपाय (एएमसी)');
INSERT INTO `lang_definitions` VALUES (100485, 544, 27, 'स्वचालित');
INSERT INTO `lang_definitions` VALUES (100486, 546, 27, 'स्वचालित रूप से एक नया मुठभेड़ बनाना जब नियुक्ति स्थिति \"@\" (आ गया). सेट किया जाता है.');
INSERT INTO `lang_definitions` VALUES (100487, 549, 27, 'मोटर वाहन चिकित्सा');
INSERT INTO `lang_definitions` VALUES (100488, 550, 27, 'स्वतः सहेजा');
INSERT INTO `lang_definitions` VALUES (100489, 551, 27, 'उपलब्ध श्रेणियों');
INSERT INTO `lang_definitions` VALUES (100490, 552, 27, 'उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (100491, 557, 27, 'औसत मासिक');
INSERT INTO `lang_definitions` VALUES (100492, 558, 27, 'अलगाव / अलगाव फ्रैक्चर');
INSERT INTO `lang_definitions` VALUES (100493, 559, 27, 'अलगाव पार्श्व malleolus');
INSERT INTO `lang_definitions` VALUES (100494, 560, 27, 'अलगाव औसत दर्जे malleolus ');
INSERT INTO `lang_definitions` VALUES (100495, 561, 27, 'जागरूकता आधारित');
INSERT INTO `lang_definitions` VALUES (100496, 562, 27, 'कांख - संबंधी');
INSERT INTO `lang_definitions` VALUES (100497, 565, 27, 'दिन में दो बार');
INSERT INTO `lang_definitions` VALUES (100498, 566, 27, 'वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (100499, 567, 27, 'वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (100500, 568, 27, 'वापस जाएँ आठ दौरा');
INSERT INTO `lang_definitions` VALUES (100501, 569, 27, 'वापस जाएँ ग्यारह दौरा');
INSERT INTO `lang_definitions` VALUES (100502, 570, 27, 'वापस जाएँ पांच दौरा');
INSERT INTO `lang_definitions` VALUES (100503, 571, 27, 'वापस जाएँ चार दौरों');
INSERT INTO `lang_definitions` VALUES (100504, 572, 27, 'वापस जाएँ नौ दौरा');
INSERT INTO `lang_definitions` VALUES (100505, 573, 27, 'वापस जाएँ से एक यात्रा');
INSERT INTO `lang_definitions` VALUES (100506, 574, 27, 'पीठ दर्द');
INSERT INTO `lang_definitions` VALUES (100507, 575, 27, 'पीठ की समस्याएं');
INSERT INTO `lang_definitions` VALUES (100508, 576, 27, 'वापस जाएँ सात दौरा');
INSERT INTO `lang_definitions` VALUES (100509, 577, 27, 'वापस जाएँ छह दौरा');
INSERT INTO `lang_definitions` VALUES (100510, 578, 27, 'सर्जरी पर वापस जाएँ');
INSERT INTO `lang_definitions` VALUES (100511, 579, 27, 'वापस जाएँ दस दौरा');
INSERT INTO `lang_definitions` VALUES (100512, 580, 27, 'वापस जाएँ तीन दौरों');
INSERT INTO `lang_definitions` VALUES (100513, 581, 27, 'व्यवस्थापक पृष्ठ पर वापस');
INSERT INTO `lang_definitions` VALUES (100514, 584, 27, 'मरीज जानकारी पर वापस');
INSERT INTO `lang_definitions` VALUES (100515, 585, 27, 'उपयोगकर्ता पर वापस');
INSERT INTO `lang_definitions` VALUES (100516, 586, 27, 'दृश्य पर वापस');
INSERT INTO `lang_definitions` VALUES (100517, 587, 27, 'वापस जाएँ बारह दौरा');
INSERT INTO `lang_definitions` VALUES (100518, 588, 27, 'वापस जाएँ दो यात्राओं');
INSERT INTO `lang_definitions` VALUES (100519, 589, 27, 'पृष्ठभूमि सेवाएं');
INSERT INTO `lang_definitions` VALUES (100520, 590, 27, 'बैकअप');
INSERT INTO `lang_definitions` VALUES (100521, 591, 27, 'बैकअप फ़ाइल बना दिया गया है. अब डाउनलोड भेज देंगे.');
INSERT INTO `lang_definitions` VALUES (100522, 593, 27, 'सफलतापूर्वक में लिया बैकअप');
INSERT INTO `lang_definitions` VALUES (100523, 594, 27, 'बुरा चेक');
INSERT INTO `lang_definitions` VALUES (100524, 595, 27, 'डूबत कर्ज');
INSERT INTO `lang_definitions` VALUES (100525, 596, 27, 'बहासा इंडोनेशिया');
INSERT INTO `lang_definitions` VALUES (100526, 597, 27, 'शेष');
INSERT INTO `lang_definitions` VALUES (100527, 598, 27, 'शेष');
INSERT INTO `lang_definitions` VALUES (100528, 599, 27, 'शेष');
INSERT INTO `lang_definitions` VALUES (100529, 600, 27, 'शेष राशि');
INSERT INTO `lang_definitions` VALUES (100530, 601, 27, 'शेष रकम');
INSERT INTO `lang_definitions` VALUES (100531, 603, 27, 'बैंक ड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (100532, 607, 27, 'पांचवीं के बेस (5) Metarsal');
INSERT INTO `lang_definitions` VALUES (100533, 608, 27, 'पांचवें (5) Metarsal का आधार:');
INSERT INTO `lang_definitions` VALUES (100534, 611, 27, 'बैच दावा');
INSERT INTO `lang_definitions` VALUES (100535, 612, 27, 'बैच संचार उपकरण');
INSERT INTO `lang_definitions` VALUES (100536, 613, 27, 'बैच भुगतान एंट्री');
INSERT INTO `lang_definitions` VALUES (100537, 614, 27, 'बैच भुगतान');
INSERT INTO `lang_definitions` VALUES (100538, 615, 27, 'बैच संसाधन शुरू किया, इसमें कुछ समय लग सकता है.');
INSERT INTO `lang_definitions` VALUES (100539, 616, 27, 'बैच परिणाम');
INSERT INTO `lang_definitions` VALUES (100540, 617, 27, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (100541, 619, 27, 'क्योंकि वह आईडी मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (100542, 620, 27, 'प्रारंभ करना');
INSERT INTO `lang_definitions` VALUES (100543, 621, 27, 'प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (100544, 623, 27, 'सेवा शुरुआत की तारीख yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (100545, 624, 27, 'दिन के घंटे की शुरुआत कैलेंडर की घटनाओं के लिए');
INSERT INTO `lang_definitions` VALUES (100546, 626, 27, 'डकार');
INSERT INTO `lang_definitions` VALUES (100547, 628, 27, 'बंगाली');
INSERT INTO `lang_definitions` VALUES (100548, 630, 27, 'के बीच');
INSERT INTO `lang_definitions` VALUES (100549, 633, 27, 'द्विपक्षीय');
INSERT INTO `lang_definitions` VALUES (100550, 634, 27, 'द्विपक्षीय:');
INSERT INTO `lang_definitions` VALUES (100551, 636, 27, 'बिल की तारीख:');
INSERT INTO `lang_definitions` VALUES (100552, 637, 27, 'बिल / लीजिए');
INSERT INTO `lang_definitions` VALUES (100553, 638, 27, 'बिल भेजा');
INSERT INTO `lang_definitions` VALUES (100554, 640, 27, 'बिलिंग');
INSERT INTO `lang_definitions` VALUES (100555, 641, 27, 'बिलिंग (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (100556, 642, 27, 'बिलिंग ध्यान दें');
INSERT INTO `lang_definitions` VALUES (100557, 644, 27, 'निवेदित सेवा के लिए बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (100558, 645, 27, 'बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (100559, 646, 27, 'बिलिंग डाटा');
INSERT INTO `lang_definitions` VALUES (100560, 647, 27, 'बिलिंग विभाग');
INSERT INTO `lang_definitions` VALUES (100561, 648, 27, 'बिलिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (100562, 649, 27, 'बिलिंग जानकारी');
INSERT INTO `lang_definitions` VALUES (100563, 650, 27, 'बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (100564, 655, 27, 'बिलिंग प्रबंधक');
INSERT INTO `lang_definitions` VALUES (100565, 656, 27, 'बिलिंग नोट');
INSERT INTO `lang_definitions` VALUES (100566, 657, 27, 'के लिए बिलिंग नोट ');
INSERT INTO `lang_definitions` VALUES (100567, 658, 27, 'बिलिंग नोट:');
INSERT INTO `lang_definitions` VALUES (100568, 659, 27, 'बिलिंग कतार परिणाम:');
INSERT INTO `lang_definitions` VALUES (100569, 660, 27, 'बिलिंग की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (100570, 661, 27, 'बिलिंग स्थिति');
INSERT INTO `lang_definitions` VALUES (100571, 662, 27, 'बिलिंग स्थिति = unbilled');
INSERT INTO `lang_definitions` VALUES (100572, 663, 27, 'के लिए बिल ');
INSERT INTO `lang_definitions` VALUES (100573, 665, 27, 'बायोप्सी');
INSERT INTO `lang_definitions` VALUES (100574, 666, 27, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (100575, 667, 27, 'जन्म - 24 महीने');
INSERT INTO `lang_definitions` VALUES (100576, 669, 27, 'काला');
INSERT INTO `lang_definitions` VALUES (100577, 670, 27, 'ब्लैक लंग');
INSERT INTO `lang_definitions` VALUES (100578, 671, 27, 'काले या अफ्रीकी अमेरिकी');
INSERT INTO `lang_definitions` VALUES (100579, 672, 27, 'मूत्राशय कैंसर');
INSERT INTO `lang_definitions` VALUES (100580, 673, 27, 'मूत्राशय में संक्रमण');
INSERT INTO `lang_definitions` VALUES (100581, 674, 27, 'खाली फार्म');
INSERT INTO `lang_definitions` VALUES (100582, 675, 27, 'रक्त स्राव समस्याएं');
INSERT INTO `lang_definitions` VALUES (100583, 676, 27, 'ब्लाइंड स्पॉट');
INSERT INTO `lang_definitions` VALUES (100584, 677, 27, 'सूजन');
INSERT INTO `lang_definitions` VALUES (100585, 678, 27, 'अवरोधित');
INSERT INTO `lang_definitions` VALUES (100586, 679, 27, 'खून');
INSERT INTO `lang_definitions` VALUES (100587, 680, 27, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (100588, 681, 27, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (100589, 682, 27, 'खूनी नाक');
INSERT INTO `lang_definitions` VALUES (100590, 683, 27, 'ब्लू क्रॉस ब्लू शील्ड');
INSERT INTO `lang_definitions` VALUES (100591, 684, 27, 'Blue lines in this report are informational. Black lines show previously existing information. Green lines show changes that were successfully applied. Red lines indicate errors, or changes that were not applied; these must be processed manually. Currently denied claims and payment reversals are not handled automatically and so will appear in red.');
INSERT INTO `lang_definitions` VALUES (100592, 685, 27, 'धुंधला विजन');
INSERT INTO `lang_definitions` VALUES (100593, 686, 27, 'बीएमआई');
INSERT INTO `lang_definitions` VALUES (100594, 687, 27, 'बीएमआई स्थिति');
INSERT INTO `lang_definitions` VALUES (100595, 689, 27, 'शारीरिक क्षेत्र');
INSERT INTO `lang_definitions` VALUES (100596, 690, 27, 'शरीर साइट');
INSERT INTO `lang_definitions` VALUES (100597, 691, 27, 'शरीर साइट, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (100598, 692, 27, 'अस्थि कोमलता:');
INSERT INTO `lang_definitions` VALUES (100599, 693, 27, 'अस्थि कोमलता: औसत दर्जे Malleolus');
INSERT INTO `lang_definitions` VALUES (100600, 694, 27, 'बूलियन');
INSERT INTO `lang_definitions` VALUES (100601, 696, 27, 'bot');
INSERT INTO `lang_definitions` VALUES (100602, 697, 27, 'दोनों कान');
INSERT INTO `lang_definitions` VALUES (100603, 698, 27, 'दोनों कानों');
INSERT INTO `lang_definitions` VALUES (100604, 699, 27, 'तल');
INSERT INTO `lang_definitions` VALUES (100605, 701, 27, 'बॉक्स 10 ए रोजगार संबंधित ');
INSERT INTO `lang_definitions` VALUES (100606, 702, 27, 'बॉक्स 10 बी वाहन दुर्घटना ');
INSERT INTO `lang_definitions` VALUES (100607, 703, 27, 'बॉक्स 10 सी. अन्य दुर्घटना ');
INSERT INTO `lang_definitions` VALUES (100608, 706, 27, 'बॉक्स 15. एक या समान बीमारी की तिथि (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (100609, 708, 27, 'बॉक्स 16. (Yyyy-mm-dd) से काम करने में असमर्थ दिनांक:');
INSERT INTO `lang_definitions` VALUES (100610, 709, 27, 'बॉक्स 16. (Yyyy-mm-dd) तक काम करने में असमर्थ दिनांक:');
INSERT INTO `lang_definitions` VALUES (100611, 710, 27, 'बॉक्स 18. से अस्पताल में भर्ती होने की तारीख (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (100612, 711, 27, 'बॉक्स 18. तक अस्पताल में भर्ती तिथि (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (100613, 712, 27, 'बॉक्स 20. बाहर लैब का उपयोग किया है?');
INSERT INTO `lang_definitions` VALUES (100614, 713, 27, 'बॉक्स 22. मेडिकेड resubmission संहिता (आईसीडी -9) ');
INSERT INTO `lang_definitions` VALUES (100615, 714, 27, 'बॉक्स 23. पूर्व प्राधिकरण नंबर ');
INSERT INTO `lang_definitions` VALUES (100616, 715, 27, 'रक्तचाप');
INSERT INTO `lang_definitions` VALUES (100617, 716, 27, 'रक्तचाप डायस्टोलिक');
INSERT INTO `lang_definitions` VALUES (100618, 717, 27, 'रक्तचाप सिस्टोलिक');
INSERT INTO `lang_definitions` VALUES (100619, 719, 27, 'बीपीडी');
INSERT INTO `lang_definitions` VALUES (100620, 721, 27, 'बीपीएस');
INSERT INTO `lang_definitions` VALUES (100621, 722, 27, 'ब्राजील पुर्तगाली');
INSERT INTO `lang_definitions` VALUES (100622, 723, 27, 'स्तन');
INSERT INTO `lang_definitions` VALUES (100623, 724, 27, 'स्तन बायोप्सी');
INSERT INTO `lang_definitions` VALUES (100624, 725, 27, 'स्तन निर्वहन');
INSERT INTO `lang_definitions` VALUES (100625, 726, 27, 'स्तन रोग');
INSERT INTO `lang_definitions` VALUES (100626, 727, 27, 'स्तन परीक्षा');
INSERT INTO `lang_definitions` VALUES (100627, 728, 27, 'स्तन मास');
INSERT INTO `lang_definitions` VALUES (100628, 730, 27, 'सांस ध्वनि:');
INSERT INTO `lang_definitions` VALUES (100629, 732, 27, 'टूटी हड्डी');
INSERT INTO `lang_definitions` VALUES (100630, 734, 27, 'ब्रोंकाइटिस पर्चा');
INSERT INTO `lang_definitions` VALUES (100631, 735, 27, 'ब्राउज़ करें');
INSERT INTO `lang_definitions` VALUES (100632, 736, 27, 'रिकार्ड के लिए ब्राउज़ करें');
INSERT INTO `lang_definitions` VALUES (100633, 737, 27, 'रक्तगुल्म/चोट');
INSERT INTO `lang_definitions` VALUES (100634, 739, 27, 'राइट उभार:');
INSERT INTO `lang_definitions` VALUES (100635, 741, 27, 'पेशाब के साथ जलन');
INSERT INTO `lang_definitions` VALUES (100636, 742, 27, 'पेशाब के साथ जलन');
INSERT INTO `lang_definitions` VALUES (100637, 744, 27, 'व्यस्त');
INSERT INTO `lang_definitions` VALUES (100638, 745, 27, 'लेकिन अभी तक क्रियान्वित नहीं.');
INSERT INTO `lang_definitions` VALUES (100639, 746, 27, 'कूल्हे');
INSERT INTO `lang_definitions` VALUES (100640, 747, 27, 'कूल्हे + एस.आई.');
INSERT INTO `lang_definitions` VALUES (100641, 748, 27, 'द्वारा');
INSERT INTO `lang_definitions` VALUES (100642, 749, 27, 'द्वारा');
INSERT INTO `lang_definitions` VALUES (100643, 750, 27, 'मुंह से');
INSERT INTO `lang_definitions` VALUES (100644, 751, 27, 'स्रोत/द्वारा');
INSERT INTO `lang_definitions` VALUES (100645, 752, 27, 'द्वारा:');
INSERT INTO `lang_definitions` VALUES (100646, 753, 27, 'सी');
INSERT INTO `lang_definitions` VALUES (100647, 754, 27, 'सीए प्रमाणपत्र आरएफसी 5425 टीएलएस syslog सर्वर की पुष्टि करने के लिए');
INSERT INTO `lang_definitions` VALUES (100648, 755, 27, 'Cache लाइफटाइम (सेकंड में)');
INSERT INTO `lang_definitions` VALUES (100649, 756, 27, 'Cache टेम्पलेट उत्पादन?');
INSERT INTO `lang_definitions` VALUES (100650, 757, 27, 'कैफीन की खपत');
INSERT INTO `lang_definitions` VALUES (100651, 758, 27, 'कैलेंडर');
INSERT INTO `lang_definitions` VALUES (100652, 759, 27, 'कैलेंडर समाप्त घंटे');
INSERT INTO `lang_definitions` VALUES (100653, 760, 27, 'कैलेंडर अंतराल');
INSERT INTO `lang_definitions` VALUES (100654, 761, 27, 'कैलेंडर स्क्रीन');
INSERT INTO `lang_definitions` VALUES (100655, 762, 27, 'कैलेंडर सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (100656, 763, 27, 'कैलेंडर शुरू घंटे');
INSERT INTO `lang_definitions` VALUES (100657, 764, 27, 'कैलेंडर UI');
INSERT INTO `lang_definitions` VALUES (100658, 765, 27, 'कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (100659, 766, 27, '(AddForm) को बुलाओ यहाँ जाता है <br>');
INSERT INTO `lang_definitions` VALUES (100660, 767, 27, 'कैलोरी');
INSERT INTO `lang_definitions` VALUES (100661, 768, 27, 'कम्बोडियन');
INSERT INTO `lang_definitions` VALUES (100663, 774, 27, 'रद्द करें');
INSERT INTO `lang_definitions` VALUES (100664, 775, 27, 'परिवर्तनों को निरस्त करें');
INSERT INTO `lang_definitions` VALUES (100665, 776, 27, 'रद्द');
INSERT INTO `lang_definitions` VALUES (100666, 777, 27, 'कैंसर');
INSERT INTO `lang_definitions` VALUES (100667, 778, 27, 'कैंसर स्क्रीनिंग: पेट के कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (100668, 779, 27, 'कैंसर स्क्रीनिंग: मैमोग्राम');
INSERT INTO `lang_definitions` VALUES (100669, 780, 27, 'कैंसर स्क्रीनिंग: पैप स्मियर');
INSERT INTO `lang_definitions` VALUES (100670, 781, 27, 'कैंसर स्क्रीनिंग: प्रोस्टेट कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (100671, 782, 27, 'प्रविष्टि नहीं जोड़ सकते हैं क्योंकि यह पहले से ही मौजूद है');
INSERT INTO `lang_definitions` VALUES (100672, 783, 27, 'प्रविष्टि जोड़ / अपडेट नहीं कर सकते क्योंकि एक डुप्लीकेट पहले से मौजूद है');
INSERT INTO `lang_definitions` VALUES (100673, 784, 27, 'संग्रहीत नहीं किया जा सकता नजरअंदाज कर दिया.');
INSERT INTO `lang_definitions` VALUES (100674, 785, 27, 'जेपीईजी में परिवर्तित नहीं किया जा सकता . शायद ImageMagick स्थापित नहीं है ?');
INSERT INTO `lang_definitions` VALUES (100675, 786, 27, 'हटाया नहीं जा सकता , नजरअंदाज कर दिया.');
INSERT INTO `lang_definitions` VALUES (100676, 787, 27, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (100677, 788, 27, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (100678, 789, 27, 'इनलाइन प्रदर्शित नहीं किया जा सकता है क्योंकि इस तरह के प्रकार ब्राउज़र द्वारा समर्थित नहीं है .');
INSERT INTO `lang_definitions` VALUES (100679, 790, 27, 'नहीं बना सकता');
INSERT INTO `lang_definitions` VALUES (100680, 795, 27, 'नहीं मिल सकता ');
INSERT INTO `lang_definitions` VALUES (100681, 796, 27, 'एक गंतव्य फ़ाइल नाम नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (100682, 799, 27, 'एसक्यूएल खाताबही ग्राहक आईडी से मरीज ​​को नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (100683, 800, 27, 'में उपसंहार दस्तावेज़ संदर्भ नहीं मिल सकता है ');
INSERT INTO `lang_definitions` VALUES (100684, 801, 27, 'एसक्यूएल खाताबही कर्मचारी से प्रदाता नहीं खोज सके ');
INSERT INTO `lang_definitions` VALUES (100685, 802, 27, 'Payments. संशोधित नहीं कर सकते Undistributed नकारात्मक है .');
INSERT INTO `lang_definitions` VALUES (100686, 803, 27, 'नहीं खोल सकता ');
INSERT INTO `lang_definitions` VALUES (100687, 804, 27, 'Insurance पोस्ट नहीं कर सकते.चयनित रोगी पैसे भर रहे है.');
INSERT INTO `lang_definitions` VALUES (100688, 805, 27, 'चयनित Patient के लिए पोस्ट नहीं कर सकते.बीमा कंपनी पैसे भर रहे है.');
INSERT INTO `lang_definitions` VALUES (100689, 806, 27, 'Payments पोस्ट नहीं कर सकते Undistributed नकारात्मक है .');
INSERT INTO `lang_definitions` VALUES (100690, 807, 27, 'पढ़ा नहीं जा सकता');
INSERT INTO `lang_definitions` VALUES (100691, 808, 27, 'निर्देशिका पढ़ा नहीं जा सकता');
INSERT INTO `lang_definitions` VALUES (100692, 809, 27, 'अद्यतन नहीं कर सकता क्योंकि आप मौजूदा प्रविष्टि संपादन नहीं कर रहे हैं !');
INSERT INTO `lang_definitions` VALUES (100693, 810, 27, 'कैपिटलाइज़');
INSERT INTO `lang_definitions` VALUES (100694, 812, 27, 'कैप्सूल');
INSERT INTO `lang_definitions` VALUES (100695, 813, 27, 'कार्ड');
INSERT INTO `lang_definitions` VALUES (100696, 814, 27, 'कार्डियक कैथेटेराइज़ेशन');
INSERT INTO `lang_definitions` VALUES (100697, 815, 27, 'कार्डिएक इको');
INSERT INTO `lang_definitions` VALUES (100698, 816, 27, 'कार्डियोवास्कुलर');
INSERT INTO `lang_definitions` VALUES (100699, 821, 27, 'उपास्थि / उपास्थिपरक / डिस्क क्षति');
INSERT INTO `lang_definitions` VALUES (100700, 822, 27, 'उपास्थि चोट');
INSERT INTO `lang_definitions` VALUES (100701, 823, 27, 'Cartoid स्पंदन nl, पेडल दालों nl');
INSERT INTO `lang_definitions` VALUES (100702, 824, 27, 'नकद');
INSERT INTO `lang_definitions` VALUES (100703, 825, 27, 'नकद');
INSERT INTO `lang_definitions` VALUES (100704, 826, 27, 'नकद प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (100705, 827, 27, 'प्रदाता द्वारा नकद प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (100706, 829, 27, 'मोतियाबिंद सर्जरी');
INSERT INTO `lang_definitions` VALUES (100707, 830, 27, 'मोतियाबिंद');
INSERT INTO `lang_definitions` VALUES (100708, 831, 27, 'श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (100709, 832, 27, 'के लिए श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (100710, 833, 27, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (100711, 834, 27, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (100712, 835, 27, 'श्रेणी ');
INSERT INTO `lang_definitions` VALUES (100713, 836, 27, 'श्रेणी विवरण');
INSERT INTO `lang_definitions` VALUES (100714, 837, 27, 'श्रेणी सीमाएं');
INSERT INTO `lang_definitions` VALUES (100715, 838, 27, 'श्रेणी नाम');
INSERT INTO `lang_definitions` VALUES (100716, 839, 27, 'श्रेणी नाम खाली है');
INSERT INTO `lang_definitions` VALUES (100717, 840, 27, 'श्रेणी / शीर्षक');
INSERT INTO `lang_definitions` VALUES (100718, 841, 27, 'कोकेशियान');
INSERT INTO `lang_definitions` VALUES (100719, 842, 27, 'प्राप्तियों को मुठभेड़ / प्राथमिक प्रदाता की जानकारी प्रिंट करने के लिए मजबूर करता है');
INSERT INTO `lang_definitions` VALUES (100720, 850, 27, 'सीडीआर');
INSERT INTO `lang_definitions` VALUES (100721, 851, 27, 'सीडीआर प्रसंस्करण प्राथमिकता रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (100722, 852, 27, 'मोबाइल फ़ोन');
INSERT INTO `lang_definitions` VALUES (100723, 853, 27, 'मोबाइल फ़ोन');
INSERT INTO `lang_definitions` VALUES (100724, 855, 27, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (100725, 856, 27, 'केन्द्रीय प्रमाणन');
INSERT INTO `lang_definitions` VALUES (100726, 857, 27, 'केन्द्रीय / दक्षिण अमेरिका');
INSERT INTO `lang_definitions` VALUES (100727, 858, 27, 'प्रमाणपत्र प्राधिकार CRT फ़ाइल स्थान खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (100728, 859, 27, 'प्रमाणपत्र प्राधिकरण चाबी फ़ाइल स्थान खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (100729, 860, 27, 'आरएफसी 5425 टीएलएस syslog सर्वर को भेजने के लिए प्रमाण पत्र.');
INSERT INTO `lang_definitions` VALUES (100730, 861, 27, 'प्रमाणपत्र प्रयोक्ता');
INSERT INTO `lang_definitions` VALUES (100731, 862, 27, 'प्रमाण पत्र');
INSERT INTO `lang_definitions` VALUES (100732, 864, 27, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (100733, 865, 27, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (100734, 866, 27, 'परिवर्तन');
INSERT INTO `lang_definitions` VALUES (100735, 867, 27, 'परिवर्तन');
INSERT INTO `lang_definitions` VALUES (100736, 868, 27, 'गतिविधि बदलें');
INSERT INTO `lang_definitions` VALUES (100737, 869, 27, 'बदलें विफल रहा है! CouchDB कनेक्ट त्रुटि?');
INSERT INTO `lang_definitions` VALUES (100738, 870, 27, 'दृष्टि में बदलें');
INSERT INTO `lang_definitions` VALUES (100739, 871, 27, 'दृष्टि में बदलें');
INSERT INTO `lang_definitions` VALUES (100740, 872, 27, 'पासवर्ड बदलें');
INSERT INTO `lang_definitions` VALUES (100741, 874, 27, 'बदली गई');
INSERT INTO `lang_definitions` VALUES (100742, 875, 27, 'बदल गया आंत्र');
INSERT INTO `lang_definitions` VALUES (100743, 876, 27, 'दस्तावेज़ के लिए रोगी आईडी बदल रहा है');
INSERT INTO `lang_definitions` VALUES (100744, 877, 27, 'विशेषताएँ');
INSERT INTO `lang_definitions` VALUES (100745, 878, 27, 'वर्ण शेष');
INSERT INTO `lang_definitions` VALUES (100746, 879, 27, 'प्रभार');
INSERT INTO `lang_definitions` VALUES (100747, 880, 27, 'प्रभारी समायोजन');
INSERT INTO `lang_definitions` VALUES (100748, 881, 27, 'Coded प्रभार');
INSERT INTO `lang_definitions` VALUES (100749, 882, 27, 'प्रभार');
INSERT INTO `lang_definitions` VALUES (100750, 883, 27, 'चार्ट');
INSERT INTO `lang_definitions` VALUES (100751, 884, 27, 'चार्ट गतिविधि');
INSERT INTO `lang_definitions` VALUES (100752, 885, 27, 'चार्ट Check-in/out गतिविधि रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (100753, 886, 27, 'चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (100754, 887, 27, 'चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (100755, 889, 27, 'चार्ट स्थान गतिविधि');
INSERT INTO `lang_definitions` VALUES (100756, 890, 27, 'चार्ट नोट');
INSERT INTO `lang_definitions` VALUES (100757, 891, 27, 'चार्ट संख्या');
INSERT INTO `lang_definitions` VALUES (100758, 892, 27, 'चार्ट संग्रहण स्थान');
INSERT INTO `lang_definitions` VALUES (100759, 893, 27, 'चार्ट ट्रैकर');
INSERT INTO `lang_definitions` VALUES (100760, 894, 27, 'चार्ट TRK');
INSERT INTO `lang_definitions` VALUES (100761, 895, 27, 'चार्ट चेक आउट');
INSERT INTO `lang_definitions` VALUES (100762, 896, 27, 'चार्ट आउट');
INSERT INTO `lang_definitions` VALUES (100763, 898, 27, 'चेक');
INSERT INTO `lang_definitions` VALUES (100764, 899, 27, 'चेक');
INSERT INTO `lang_definitions` VALUES (100765, 900, 27, 'सभी की जाँच करें');
INSERT INTO `lang_definitions` VALUES (100766, 902, 27, 'राशि की जांच करें');
INSERT INTO `lang_definitions` VALUES (100767, 903, 27, 'तिथि की जांच करें');
INSERT INTO `lang_definitions` VALUES (100768, 904, 27, 'कस्टम भाषा तालिका के साथ अनुवाद के मतभेद के लिए जाँच करें.');
INSERT INTO `lang_definitions` VALUES (100769, 906, 27, 'जांच करें');
INSERT INTO `lang_definitions` VALUES (100770, 907, 27, 'इनपुट डाटा की जांच करें');
INSERT INTO `lang_definitions` VALUES (100771, 909, 27, 'लैब परिणाम की जाँच करें');
INSERT INTO `lang_definitions` VALUES (100772, 910, 27, 'जाँच का निशान समीक्षा का संकेत है.');
INSERT INTO `lang_definitions` VALUES (100773, 911, 27, 'चेक नंबर');
INSERT INTO `lang_definitions` VALUES (100774, 912, 27, 'चेक नंबर');
INSERT INTO `lang_definitions` VALUES (100775, 915, 27, 'चेक भुगतान');
INSERT INTO `lang_definitions` VALUES (100776, 916, 27, 'यह एक एन्क्रिप्टेड फ़ाइल है तो बॉक्स चेक करें');
INSERT INTO `lang_definitions` VALUES (100777, 917, 27, 'प्रदाताओं को डिफ़ॉल्ट सभी नियुक्तियों दिखाने के लिए और ना की सिर्फ अपने मत की, आप यह चेक करें.');
INSERT INTO `lang_definitions` VALUES (100778, 918, 27, 'इस निदान से समस्या पैदा करने के लिए बॉक्स चेक करें');
INSERT INTO `lang_definitions` VALUES (100779, 919, 27, 'चेक/EOB तिथि');
INSERT INTO `lang_definitions` VALUES (100780, 920, 27, 'चेक/EOB नंबर');
INSERT INTO `lang_definitions` VALUES (100781, 921, 27, 'चेक/संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (100782, 922, 27, 'चेक/संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (100783, 923, 27, 'चेकबॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (100784, 924, 27, 'चेकबॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (100785, 925, 27, 'चेकबॉक्स w / टेक्स्ट');
INSERT INTO `lang_definitions` VALUES (100786, 926, 27, 'चेकबॉक्स w / टेक्स्ट');
INSERT INTO `lang_definitions` VALUES (100787, 928, 27, 'जाँच की');
INSERT INTO `lang_definitions` VALUES (100788, 929, 27, 'जाँच बॉक्स = हाँ, खाली = नहीं');
INSERT INTO `lang_definitions` VALUES (100789, 932, 27, 'जांच');
INSERT INTO `lang_definitions` VALUES (100790, 933, 27, 'checksum');
INSERT INTO `lang_definitions` VALUES (100791, 934, 27, 'छाती');
INSERT INTO `lang_definitions` VALUES (100792, 935, 27, 'छाती CTAB');
INSERT INTO `lang_definitions` VALUES (100793, 936, 27, 'सीने में दर्द');
INSERT INTO `lang_definitions` VALUES (100794, 937, 27, 'सीने में दर्द:');
INSERT INTO `lang_definitions` VALUES (100795, 938, 27, 'सीने में दर्द');
INSERT INTO `lang_definitions` VALUES (100796, 940, 27, 'Chg');
INSERT INTO `lang_definitions` VALUES (100797, 942, 27, 'मुख्य शिकायत');
INSERT INTO `lang_definitions` VALUES (100798, 943, 27, 'बच्चा');
INSERT INTO `lang_definitions` VALUES (100799, 945, 27, 'बचपन प्रतिरक्षण स्थिति (CQM)');
INSERT INTO `lang_definitions` VALUES (100800, 946, 27, 'ठंड लगना');
INSERT INTO `lang_definitions` VALUES (100801, 947, 27, 'चीनी');
INSERT INTO `lang_definitions` VALUES (100802, 948, 27, 'चीनी (सरलीकृत)');
INSERT INTO `lang_definitions` VALUES (100803, 949, 27, 'चीनी (पारंपरिक)');
INSERT INTO `lang_definitions` VALUES (100804, 951, 27, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (100805, 952, 27, 'ऑपरेशन द्वारा पित्ताशय को काट कर निकाल देना');
INSERT INTO `lang_definitions` VALUES (100806, 954, 27, 'ऑपरेशन द्वारा पित्ताशय को काट कर निकाल देना');
INSERT INTO `lang_definitions` VALUES (100807, 955, 27, 'चुनें');
INSERT INTO `lang_definitions` VALUES (100808, 956, 27, 'एक अनुभाग चुनें और इसके भीतर एक आइटम क्लिक करें, तो दूसरे भाग में आप संबंधित वस्तुओं पर प्रकाश डाला देखेंगे, और आप रिश्ते जोड़ने के लिए और नष्ट करने के लिए अनुभाग में क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100809, 957, 27, 'मानदंड चुनें');
INSERT INTO `lang_definitions` VALUES (100810, 959, 27, 'फ़ाइल चुनें');
INSERT INTO `lang_definitions` VALUES (100811, 960, 27, 'सूची से चुनें');
INSERT INTO `lang_definitions` VALUES (100812, 962, 27, 'सूची चुनें');
INSERT INTO `lang_definitions` VALUES (100813, 965, 27, 'इस मुठभेड़ रिपोर्ट के लिए प्रिंट प्रारूप चुनें.');
INSERT INTO `lang_definitions` VALUES (100814, 967, 27, 'क्रोनिक ब्रोन्काइटिस');
INSERT INTO `lang_definitions` VALUES (100815, 968, 27, 'क्रोनिक जोड़ों का दर्द');
INSERT INTO `lang_definitions` VALUES (100816, 969, 27, 'क्रोनिक किडनी रोग (सीकेडी)');
INSERT INTO `lang_definitions` VALUES (100817, 970, 27, 'क्रोनिक synovitis / बहाव / जोड़ों के दर्द / गाउट');
INSERT INTO `lang_definitions` VALUES (100818, 971, 27, 'आवर्तक / क्रोनिक');
INSERT INTO `lang_definitions` VALUES (100819, 973, 27, 'यकृद्दाल्युदर');
INSERT INTO `lang_definitions` VALUES (100820, 974, 27, 'यकृद्दाल्युदर');
INSERT INTO `lang_definitions` VALUES (100821, 975, 27, 'शहर');
INSERT INTO `lang_definitions` VALUES (100822, 976, 27, 'शहर का नाम');
INSERT INTO `lang_definitions` VALUES (100823, 977, 27, 'शहर, राज्य');
INSERT INTO `lang_definitions` VALUES (100824, 978, 27, 'शहर, राज्य ज़िप');
INSERT INTO `lang_definitions` VALUES (100825, 979, 27, 'शहर / राज्य');
INSERT INTO `lang_definitions` VALUES (100826, 980, 27, 'दावा');
INSERT INTO `lang_definitions` VALUES (100827, 981, 27, 'दावा ');
INSERT INTO `lang_definitions` VALUES (100828, 982, 27, 'दावा स्थिति');
INSERT INTO `lang_definitions` VALUES (100829, 983, 27, 'दावा परीक्षण पूरा कर लिया है');
INSERT INTO `lang_definitions` VALUES (100830, 984, 27, 'दावा प्रकार');
INSERT INTO `lang_definitions` VALUES (100831, 985, 27, 'दावा दाखिल करने के लिए उत्पन्न किया गया');
INSERT INTO `lang_definitions` VALUES (100832, 986, 27, 'दावा दाखिल करने के लिए उत्पन्न किया गया ');
INSERT INTO `lang_definitions` VALUES (100833, 987, 27, 'दावा');
INSERT INTO `lang_definitions` VALUES (100834, 988, 27, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (100835, 989, 27, 'साफ़');
INSERT INTO `lang_definitions` VALUES (100836, 990, 27, 'स्पष्ट सक्रिय रोगी');
INSERT INTO `lang_definitions` VALUES (100837, 991, 27, 'सभी साफ़');
INSERT INTO `lang_definitions` VALUES (100838, 992, 27, 'स्पष्ट HL7 के डाटा');
INSERT INTO `lang_definitions` VALUES (100839, 993, 27, 'स्पष्ट औचित्य');
INSERT INTO `lang_definitions` VALUES (100840, 994, 27, 'स्पष्ट समझदार cache');
INSERT INTO `lang_definitions` VALUES (100841, 995, 27, 'क्लीयरिंग हाउस की जानकारी ईडीआई 270 बैच के निर्माण के लिए जरूरी है.');
INSERT INTO `lang_definitions` VALUES (100842, 996, 27, 'CLIA संख्या');
INSERT INTO `lang_definitions` VALUES (100843, 997, 27, 'क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100844, 998, 27, 'Click \'export\' to export your Category, Subcategory, Item, Content data to a text file. Any resemblance of this file to an XML file is purely coincidental. The opening and closing tags must be on the same line, they must be lowercase with no spaces. To import, browse for a file and click \'import\'. If the data is completely different, it will merge with your existing data. If there are similar item names, The old one will be kept and the new one saved with a number added to the end.');
INSERT INTO `lang_definitions` VALUES (100845, 999, 27, 'एक नई टिप्पणी जोड़ने के लिए ग्राफिक पर एक जगह क्लिक करें, इसे निकालने के लिए इसे फिर से क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100846, 1000, 27, 'ssl.zip फ़ाइल में प्रमाण पत्र डाउनलोड करने के लिए प्रमाणपत्र डाउनलोड क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100847, 1001, 27, 'अधिक जानकारी के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100848, 1002, 27, 'अधिक जानकारी के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100849, 1003, 27, 'आदेश सारांश के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100850, 1004, 27, 'परिणामों के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100851, 1005, 27, 'यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100852, 1006, 27, 'एक नए मरीज ​​को जोड़ने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100853, 1007, 27, 'नई चोट परिवर्तन की स्थिति जोड़ने के लिए और दैनिक गतिविधियों को संपादित करने के लिए यहाँ क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100854, 1008, 27, 'एक तिथि का चयन करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100855, 1009, 27, 'एक तारीख और समय का चयन करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100856, 1010, 27, 'एक शुरुआत की तारीख चुनने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100857, 1020, 27, 'खोज करने के लिए यहाँ क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100858, 1021, 27, 'प्राथमिकता, वर्ग और उपनाम सेटिंग को अपडेट करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100859, 1022, 27, 'सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100860, 1023, 27, 'दृश्य और ग्राफ के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100861, 1025, 27, 'सभी नब्ज देखने और ग्राफ के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100862, 1026, 27, 'रोगी विवरण देखने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100863, 1027, 27, 'उन सब को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (100864, 1028, 27, 'अधिक विवरण देखने / संपादित करने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100865, 1029, 27, 'निम्नलिखित तारीख से डेटाबेस रिलीज स्थापित करने के लिए स्थापित बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100866, 1030, 27, 'इसे बढ़ाने के लिए किसी भी समय भागों पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100867, 1031, 27, 'रोगी फ़ाइल खोलने के लिए रोगी का नाम क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100868, 1032, 27, 'सभी परिणाम देखने के लिए ताज़ा बटन क्लिक करें. विशिष्ट परिणामों देखने के लिए ऊपर खोज मापदंड input करें.');
INSERT INTO `lang_definitions` VALUES (100869, 1033, 27, 'एक निदान जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100870, 1034, 27, 'नए घटकों को जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100871, 1035, 27, 'नए परामर्श जोड़ने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100872, 1037, 27, 'डाउनलोड करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100873, 1038, 27, 'संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100874, 1039, 27, 'विवरण को संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100875, 1040, 27, 'इस घटना को संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100876, 1041, 27, 'रिपोर्ट उत्पन्न करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100877, 1043, 27, 'मुद्रित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100878, 1044, 27, 'नया(जोड़) लॉट प्राप्त करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100879, 1045, 27, 'चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100880, 1046, 27, 'चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100881, 1047, 27, 'इस प्रक्रिया के लिए एक उद्योग मानक कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100882, 1048, 27, 'वैकल्पिक प्रक्रिया कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100883, 1050, 27, 'CVX कोड का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100884, 1051, 27, 'निदान का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100885, 1052, 27, 'सेवा कोड का चयन करने या बदलने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100886, 1053, 27, 'रोगी को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100887, 1054, 27, 'संबंधित कोड को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100888, 1055, 27, 'अगर यह परिणाम असामान्य है तो सेवाएं प्रदर्शन करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100889, 1056, 27, 'वांछित प्रक्रिया को चुनने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100890, 1057, 27, 'सॉर्ट करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100891, 1058, 27, 'देखने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100892, 1059, 27, 'देखने या संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100893, 1060, 27, 'देखने या संपादित करने के लिए क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100894, 1061, 27, 'निम्नलिखित तारीख से डेटाबेस रिहाई नवीनीकृत करने के लिए अपग्रेड बटन क्लिक करें');
INSERT INTO `lang_definitions` VALUES (100895, 1063, 27, 'क्लिक करें:');
INSERT INTO `lang_definitions` VALUES (100896, 1064, 27, 'क्लाइंट प्रमाणपत्र समाप्ति दिन');
INSERT INTO `lang_definitions` VALUES (100897, 1065, 27, 'क्लाइंट प्रमाणपत्र की मान्यता अवधि');
INSERT INTO `lang_definitions` VALUES (100898, 1066, 27, 'क्लाइंट प्रमाणपत्र वैधता एक वैध संख्या होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (100899, 1067, 27, 'ग्राहकों का कॉपी');
INSERT INTO `lang_definitions` VALUES (100900, 1069, 27, 'ग्राहकों का चिकित्सा के इतिहास सारांश');
INSERT INTO `lang_definitions` VALUES (100901, 1070, 27, 'ग्राहक का नाम');
INSERT INTO `lang_definitions` VALUES (100902, 1071, 27, 'हमारे ग्राहकों का नंबर');
INSERT INTO `lang_definitions` VALUES (100903, 1072, 27, 'ग्राहक प्रोफाइल - नए ग्राहकों को');
INSERT INTO `lang_definitions` VALUES (100904, 1073, 27, 'ग्राहक प्रोफाइल - अद्वितीय ग्राहक');
INSERT INTO `lang_definitions` VALUES (100905, 1074, 27, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (100906, 1075, 27, 'क्लिनिक');
INSERT INTO `lang_definitions` VALUES (100907, 1076, 27, 'क्लिनिक कॉपी');
INSERT INTO `lang_definitions` VALUES (100908, 1077, 27, 'क्लिनिक डेली रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (100909, 1078, 27, 'क्लिनिक आईडी');
INSERT INTO `lang_definitions` VALUES (100910, 1079, 27, 'नैदानिक');
INSERT INTO `lang_definitions` VALUES (100911, 1080, 27, 'क्लीनिकल निर्णय नियम चेतावनी प्रबंधक');
INSERT INTO `lang_definitions` VALUES (100912, 1081, 27, 'क्लीनिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (100913, 1083, 27, 'क्लीनिकल योजनाएं');
INSERT INTO `lang_definitions` VALUES (100914, 1084, 27, 'क्लीनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (100915, 1087, 27, 'क्लीनिकल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (100916, 1088, 27, 'क्लीनिकल रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (100917, 1089, 27, 'क्लीनिकल नियम कार्रवाई श्रेणी');
INSERT INTO `lang_definitions` VALUES (100918, 1090, 27, 'क्लीनिकल नियम कार्रवाई आइटम');
INSERT INTO `lang_definitions` VALUES (100919, 1091, 27, 'क्लीनिकल नियम फ़िल्टर के तरीके');
INSERT INTO `lang_definitions` VALUES (100920, 1092, 27, 'क्लीनिकल नियम लक्षित तरीके');
INSERT INTO `lang_definitions` VALUES (100921, 1093, 27, 'क्लीनिकल नियम');
INSERT INTO `lang_definitions` VALUES (100922, 1094, 27, 'क्लीनिकल नियम उम्र अंतराल');
INSERT INTO `lang_definitions` VALUES (100923, 1095, 27, 'क्लीनिकल नियम तुलना');
INSERT INTO `lang_definitions` VALUES (100924, 1096, 27, 'क्लीनिकल नियम मुठभेड़ प्रकार');
INSERT INTO `lang_definitions` VALUES (100925, 1097, 27, 'क्लीनिकल नियम अनुस्मारक लंबित विकल्प');
INSERT INTO `lang_definitions` VALUES (100926, 1098, 27, 'क्लीनिकल नियम अनुस्मारक निष्क्रियता विकल्प');
INSERT INTO `lang_definitions` VALUES (100927, 1099, 27, 'क्लीनिकल नियम अनुस्मारक अंतराल');
INSERT INTO `lang_definitions` VALUES (100928, 1100, 27, 'क्लीनिकल नियम अनुस्मारक तरीके');
INSERT INTO `lang_definitions` VALUES (100929, 1101, 27, 'क्लीनिकल नियम लक्षित अंतराल');
INSERT INTO `lang_definitions` VALUES (100930, 1102, 27, 'क्लीनिकल लक्ष्य');
INSERT INTO `lang_definitions` VALUES (100931, 1103, 27, 'क्लीनिकल अवधि');
INSERT INTO `lang_definitions` VALUES (100932, 1104, 27, 'क्लीनिकल अवधि संहिता (ओं)');
INSERT INTO `lang_definitions` VALUES (100933, 1106, 27, 'चिकित्सकों के लिए');
INSERT INTO `lang_definitions` VALUES (100934, 1107, 27, 'क्लोन');
INSERT INTO `lang_definitions` VALUES (100935, 1108, 27, 'पिछले भेंट क्लोन करें');
INSERT INTO `lang_definitions` VALUES (100936, 1109, 27, 'बंद करें');
INSERT INTO `lang_definitions` VALUES (100937, 1111, 27, 'खिड़की बन्द कीजिये');
INSERT INTO `lang_definitions` VALUES (100938, 1112, 27, 'बंद');
INSERT INTO `lang_definitions` VALUES (100939, 1113, 27, 'से.मी.');
INSERT INTO `lang_definitions` VALUES (100940, 1114, 27, 'सीएमएस 1500 मार्जिन्स');
INSERT INTO `lang_definitions` VALUES (100941, 1118, 27, 'सीएमएस आईडी');
INSERT INTO `lang_definitions` VALUES (100942, 1127, 27, 'CN2 -12 बरकरार');
INSERT INTO `lang_definitions` VALUES (100943, 1128, 27, 'सह- पे');
INSERT INTO `lang_definitions` VALUES (100944, 1129, 27, 'सह- पे भुगतान किया');
INSERT INTO `lang_definitions` VALUES (100945, 1130, 27, 'सह- पे');
INSERT INTO `lang_definitions` VALUES (100946, 1131, 27, 'कोड');
INSERT INTO `lang_definitions` VALUES (100947, 1132, 27, 'कोड');
INSERT INTO `lang_definitions` VALUES (100948, 1133, 27, 'कोड खोजक');
INSERT INTO `lang_definitions` VALUES (100949, 1134, 27, 'कोड दो अक्षर लोअरकेस होना चाहिए');
INSERT INTO `lang_definitions` VALUES (100950, 1135, 27, 'मुद्रा संकेत करने के लिए कोड या प्रतीक');
INSERT INTO `lang_definitions` VALUES (100951, 1136, 27, 'कोड पाठ');
INSERT INTO `lang_definitions` VALUES (100952, 1138, 27, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (100953, 1141, 27, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (100954, 1142, 27, 'कोड्स');
INSERT INTO `lang_definitions` VALUES (100955, 1143, 27, 'कोडित किया');
INSERT INTO `lang_definitions` VALUES (100956, 1144, 27, 'कोड्स');
INSERT INTO `lang_definitions` VALUES (100957, 1145, 27, 'कोडिंग');
INSERT INTO `lang_definitions` VALUES (100958, 1147, 27, 'कोडिंग - किसी मुठभेड़ों (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (100959, 1148, 27, 'कोडिंग - मेरे मुठभेड़ों (लिखने, wsome वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (100960, 1149, 27, 'कोडिंग अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (100961, 1150, 27, 'कॉफ़ी');
INSERT INTO `lang_definitions` VALUES (100962, 1152, 27, 'सहबीमा');
INSERT INTO `lang_definitions` VALUES (100963, 1153, 27, 'Coll w / ओ');
INSERT INTO `lang_definitions` VALUES (100964, 1154, 27, 'संकुचित करें');
INSERT INTO `lang_definitions` VALUES (100965, 1155, 27, 'संकुचित करें');
INSERT INTO `lang_definitions` VALUES (100966, 1156, 27, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (100967, 1157, 27, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (100968, 1158, 27, 'सभी संकुचित करें');
INSERT INTO `lang_definitions` VALUES (100969, 1160, 27, 'संग्रह की तिथि');
INSERT INTO `lang_definitions` VALUES (100970, 1161, 27, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (100971, 1162, 27, 'संग्रह रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (100972, 1163, 27, 'पेट के कैंसर');
INSERT INTO `lang_definitions` VALUES (100973, 1164, 27, 'पेट के कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (100974, 1165, 27, 'पेट के कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (100975, 1166, 27, 'बृहदांत्रदर्शन');
INSERT INTO `lang_definitions` VALUES (100976, 1167, 27, 'बृहदांत्रदर्शन');
INSERT INTO `lang_definitions` VALUES (100977, 1168, 27, 'रंग');
INSERT INTO `lang_definitions` VALUES (100978, 1169, 27, 'रंग: Abbr');
INSERT INTO `lang_definitions` VALUES (100979, 1170, 27, 'कॉलम');
INSERT INTO `lang_definitions` VALUES (100980, 1171, 27, 'कॉलम');
INSERT INTO `lang_definitions` VALUES (100981, 1172, 27, 'संयोजन लॉट');
INSERT INTO `lang_definitions` VALUES (100982, 1173, 27, 'अल्पविराम');
INSERT INTO `lang_definitions` VALUES (100983, 1174, 27, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (100984, 1175, 27, 'टिप्पणियां');
INSERT INTO `lang_definitions` VALUES (100985, 1176, 27, 'यह परिणाम या सिफारिश के लिए टिप्पणियाँ');
INSERT INTO `lang_definitions` VALUES (100986, 1177, 27, 'वाणिज्यिक बीमा कंपनी');
INSERT INTO `lang_definitions` VALUES (100987, 1178, 27, 'परिवर्तन कमेटी');
INSERT INTO `lang_definitions` VALUES (100988, 1180, 27, 'संचार');
INSERT INTO `lang_definitions` VALUES (100989, 1182, 27, 'कंपनी');
INSERT INTO `lang_definitions` VALUES (100990, 1183, 27, 'कंपनी का नाम');
INSERT INTO `lang_definitions` VALUES (100991, 1184, 27, 'पूरा');
INSERT INTO `lang_definitions` VALUES (100992, 1186, 27, 'पूरा');
INSERT INTO `lang_definitions` VALUES (100993, 1188, 27, 'पूरे किए?');
INSERT INTO `lang_definitions` VALUES (100994, 1190, 27, 'सेवा प्रदाता द्वारा जटिलताओं');
INSERT INTO `lang_definitions` VALUES (100995, 1191, 27, 'गर्भपात की जटिलताओं');
INSERT INTO `lang_definitions` VALUES (100996, 1192, 27, 'अवयव');
INSERT INTO `lang_definitions` VALUES (100997, 1193, 27, 'कंप्यूटर एडेड मेडिकल आदेश सिस्टम');
INSERT INTO `lang_definitions` VALUES (100998, 1194, 27, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (100999, 1199, 27, 'विन्यास');
INSERT INTO `lang_definitions` VALUES (101000, 1200, 27, 'विन्यास निर्यात / आयात');
INSERT INTO `lang_definitions` VALUES (101001, 1202, 27, 'ग्राहक साइड का SSL प्रमाणपत्र का उपयोग करने के लिए अपाचे और LibreEHR विन्यस्त करें.');
INSERT INTO `lang_definitions` VALUES (101002, 1203, 27, 'ग्राहक साइड SSL प्रमाणपत्र का उपयोग करने के लिए अपाचे कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (101003, 1204, 27, 'HTTPS का उपयोग करने के लिए अपाचे कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (101004, 1205, 27, 'ग्राहक साइड SSL प्रमाणपत्र का उपयोग करने के लिए LIBREEHR कॉन्फ़िगर करें.');
INSERT INTO `lang_definitions` VALUES (101005, 1208, 27, 'नई रोगी बनाने के लिए पुष्टि');
INSERT INTO `lang_definitions` VALUES (101006, 1209, 27, 'नए पासवर्ड की पुष्टि');
INSERT INTO `lang_definitions` VALUES (101007, 1210, 27, 'भुगतान की पुष्टि');
INSERT INTO `lang_definitions` VALUES (101008, 1214, 27, 'जन्मजात');
INSERT INTO `lang_definitions` VALUES (101009, 1215, 27, 'Conjuntiva, पुतली');
INSERT INTO `lang_definitions` VALUES (101010, 1217, 27, 'कनेक्टर्स');
INSERT INTO `lang_definitions` VALUES (101011, 1218, 27, 'स्थिर');
INSERT INTO `lang_definitions` VALUES (101012, 1219, 27, 'स्थिर नाम');
INSERT INTO `lang_definitions` VALUES (101013, 1220, 27, 'स्थिर नाम रिक्त है');
INSERT INTO `lang_definitions` VALUES (101014, 1221, 27, 'स्थिरांक');
INSERT INTO `lang_definitions` VALUES (101015, 1222, 27, 'कब्ज');
INSERT INTO `lang_definitions` VALUES (101016, 1223, 27, 'संवैधानिक');
INSERT INTO `lang_definitions` VALUES (101017, 1226, 27, 'परामर्श संक्षिप्त विवरण');
INSERT INTO `lang_definitions` VALUES (101018, 1227, 27, 'संपर्क');
INSERT INTO `lang_definitions` VALUES (101019, 1228, 27, 'ईमेल संपर्क');
INSERT INTO `lang_definitions` VALUES (101020, 1229, 27, 'ईमेल पता');
INSERT INTO `lang_definitions` VALUES (101021, 1230, 27, 'PhiMail प्रत्यक्ष संदेश सेवा की सदस्यता के लिए ईएमआर प्रत्यक्ष संपर्क करें');
INSERT INTO `lang_definitions` VALUES (101022, 1231, 27, 'संपर्क जानकारी');
INSERT INTO `lang_definitions` VALUES (101023, 1232, 27, 'सम्पर्क लेंस');
INSERT INTO `lang_definitions` VALUES (101024, 1233, 27, 'लैब विनिमय सेवा के लिए http://mi-squared.com मेडिकल इन्फोर्मेशन इंटीग्रेशन, LLC संपर्क करें.');
INSERT INTO `lang_definitions` VALUES (101025, 1234, 27, 'eRX सेवा सदस्यता लेने के लिए ZH हेल्थकेयर http://zhservices.com या http://mi-squared.com मेडिकल इन्फोर्मेशन इंटीग्रेशन, LLC संपर्क करें');
INSERT INTO `lang_definitions` VALUES (101026, 1236, 27, 'संपर्क नाम');
INSERT INTO `lang_definitions` VALUES (101027, 1237, 27, 'संपर्क व्यक्ति');
INSERT INTO `lang_definitions` VALUES (101028, 1239, 27, 'फोन नंबर संपर्क');
INSERT INTO `lang_definitions` VALUES (101029, 1240, 27, 'ERX सेवा सदस्यता लेने के लिए संपर्क ZMG, LLC (zmghealth@gmail.com)');
INSERT INTO `lang_definitions` VALUES (101030, 1241, 27, 'चार निम्नलिखित आइटम के कम से कम तीन होते हैं:');
INSERT INTO `lang_definitions` VALUES (101031, 1242, 27, 'कंटेनर समूह का नाम');
INSERT INTO `lang_definitions` VALUES (101032, 1243, 27, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (101033, 1244, 27, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (101034, 1245, 27, 'प्रसंग');
INSERT INTO `lang_definitions` VALUES (101035, 1246, 27, 'प्रसंग नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (101036, 1247, 27, 'जारी');
INSERT INTO `lang_definitions` VALUES (101037, 1248, 27, 'केयर दस्तावेज़ की निरंतरता (सीसीडी)');
INSERT INTO `lang_definitions` VALUES (101038, 1249, 27, 'केयर रिकार्ड की निरंतरता (सीसीआर)');
INSERT INTO `lang_definitions` VALUES (101039, 1250, 27, 'कॉन्ट्रा ग्राहकों');
INSERT INTO `lang_definitions` VALUES (101040, 1251, 27, 'कंट्रसेपशन');
INSERT INTO `lang_definitions` VALUES (101041, 1252, 27, 'गर्भनिरोध मुद्दे');
INSERT INTO `lang_definitions` VALUES (101042, 1253, 27, 'गर्भनिरोधक जटिलता (बताएं)');
INSERT INTO `lang_definitions` VALUES (101043, 1254, 27, 'गर्भनिरोधक विधि');
INSERT INTO `lang_definitions` VALUES (101044, 1255, 27, 'गर्भनिरोधक उत्पाद');
INSERT INTO `lang_definitions` VALUES (101045, 1256, 27, 'गर्भ निरोधक सेवाओं को पहले से शुरू');
INSERT INTO `lang_definitions` VALUES (101046, 1257, 27, 'निरोधकों प्रारंभ');
INSERT INTO `lang_definitions` VALUES (101047, 1258, 27, 'नियंत्रण आईडी');
INSERT INTO `lang_definitions` VALUES (101048, 1259, 27, 'नियंत्रण नंबर');
INSERT INTO `lang_definitions` VALUES (101049, 1261, 27, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (101050, 1262, 27, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (101051, 1263, 27, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (101052, 1264, 27, 'सह-पे सकारात्मक नहीं');
INSERT INTO `lang_definitions` VALUES (101053, 1266, 27, 'सह-पे');
INSERT INTO `lang_definitions` VALUES (101054, 1267, 27, 'सीओपीडी');
INSERT INTO `lang_definitions` VALUES (101055, 1268, 27, 'रोगी चार्ट के लिए पृष्ठ कॉपी करें');
INSERT INTO `lang_definitions` VALUES (101056, 1269, 27, 'कॉपी मूल्यों');
INSERT INTO `lang_definitions` VALUES (101057, 1270, 27, 'डेटाबेस फाइल कॉपी कर रहा है. कुछ समय ले जाएगा ...');
INSERT INTO `lang_definitions` VALUES (101058, 1271, 27, 'कॉपीराइट सूचना');
INSERT INTO `lang_definitions` VALUES (101059, 1273, 27, 'कोरोनरी धमनी बाईपास');
INSERT INTO `lang_definitions` VALUES (101060, 1274, 27, 'कोरोनरी धमनी बाइपास ग्राफ़्ट (CABG)');
INSERT INTO `lang_definitions` VALUES (101061, 1275, 27, 'सुधारा');
INSERT INTO `lang_definitions` VALUES (101062, 1277, 27, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (101063, 1278, 27, 'CouchDB के कनेक्शन विफल.');
INSERT INTO `lang_definitions` VALUES (101064, 1279, 27, 'CouchDB के डाटाबेस');
INSERT INTO `lang_definitions` VALUES (101065, 1280, 27, 'CouchDB के डेटाबेस का नाम');
INSERT INTO `lang_definitions` VALUES (101066, 1281, 27, 'CouchDB के मेजबान');
INSERT INTO `lang_definitions` VALUES (101067, 1282, 27, 'CouchDB होस्टनाम');
INSERT INTO `lang_definitions` VALUES (101068, 1283, 27, 'CouchDB के प्रवेश सक्षम');
INSERT INTO `lang_definitions` VALUES (101069, 1284, 27, 'CouchDB पासवर्ड');
INSERT INTO `lang_definitions` VALUES (101070, 1285, 27, 'CouchDB के पोर्ट');
INSERT INTO `lang_definitions` VALUES (101071, 1286, 27, 'CouchDB के पोर्ट');
INSERT INTO `lang_definitions` VALUES (101072, 1288, 27, 'CouchDB उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (101073, 1289, 27, 'खाँसी:');
INSERT INTO `lang_definitions` VALUES (101074, 1290, 27, 'खाँसी:');
INSERT INTO `lang_definitions` VALUES (101075, 1294, 27, 'फ़ाइल नहीं पढ़ सका');
INSERT INTO `lang_definitions` VALUES (101076, 1296, 27, 'ईमेल नहीं भेजा जा सका,कारण एक सर्वर की समस्या ');
INSERT INTO `lang_definitions` VALUES (101077, 1297, 27, 'ईमेल नहीं भेजा जा सका,कारण एक सर्वर की समस्या ');
INSERT INTO `lang_definitions` VALUES (101078, 1298, 27, 'बैकअप निर्देशिका नहीं बना सका:');
INSERT INTO `lang_definitions` VALUES (101079, 1299, 27, 'निर्देशिका हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (101080, 1300, 27, 'पुराने बैकअप फ़ाइल हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (101081, 1301, 27, 'पुराने निर्यात फ़ाइल हटा नहीं सका:');
INSERT INTO `lang_definitions` VALUES (101082, 1302, 27, 'Coumadin प्रबंधन - INR निगरानी');
INSERT INTO `lang_definitions` VALUES (101083, 1303, 27, 'विधि द्वारा परामर्श');
INSERT INTO `lang_definitions` VALUES (101084, 1304, 27, 'परामर्श');
INSERT INTO `lang_definitions` VALUES (101085, 1305, 27, 'परामर्श गतिविधियों');
INSERT INTO `lang_definitions` VALUES (101086, 1306, 27, 'जवाबी रेफरल फार्म');
INSERT INTO `lang_definitions` VALUES (101087, 1307, 27, 'जवाबी रेफरल');
INSERT INTO `lang_definitions` VALUES (101088, 1308, 27, 'देश');
INSERT INTO `lang_definitions` VALUES (101089, 1309, 27, 'देश डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (101090, 1310, 27, 'देश सूची');
INSERT INTO `lang_definitions` VALUES (101091, 1311, 27, 'देश सूची (लिखने, addonly वैकल्पिक)');
INSERT INTO `lang_definitions` VALUES (101092, 1312, 27, 'देश का नाम दो अक्षरों में प्रतिनिधित्व होना चाहिए. (उदाहरण: यूनाइटेड स्टेट्स यूएस है)');
INSERT INTO `lang_definitions` VALUES (101093, 1313, 27, 'काउंटी');
INSERT INTO `lang_definitions` VALUES (101094, 1315, 27, 'कूपन');
INSERT INTO `lang_definitions` VALUES (101095, 1318, 27, 'CPT');
INSERT INTO `lang_definitions` VALUES (101096, 1319, 27, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (101097, 1320, 27, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (101098, 1321, 27, 'CPT4 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (101099, 1322, 27, 'CPTII प्रदर्शन मापने के');
INSERT INTO `lang_definitions` VALUES (101100, 1323, 27, 'CQM');
INSERT INTO `lang_definitions` VALUES (101101, 1324, 27, 'crackles:');
INSERT INTO `lang_definitions` VALUES (101102, 1325, 27, 'क्रीम');
INSERT INTO `lang_definitions` VALUES (101103, 1326, 27, 'प्रत्येक उपयोगकर्ता या ग्राहक मशीन के लिए एक क्लाइंट साइड SSL प्रमाणपत्र बनाएं.');
INSERT INTO `lang_definitions` VALUES (101104, 1327, 27, 'एक उपयोगकर्ता या होस्ट नाम के लिए एक क्लाइंट साइड SSL प्रमाणपत्र बनाएं.');
INSERT INTO `lang_definitions` VALUES (101105, 1329, 27, 'एक घटना बनाएँ');
INSERT INTO `lang_definitions` VALUES (101106, 1330, 27, 'पूर्ण बैकअप बनाएँ और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (101107, 1332, 27, 'बैकअप बनाएँ');
INSERT INTO `lang_definitions` VALUES (101108, 1333, 27, 'बैच बनाएँ');
INSERT INTO `lang_definitions` VALUES (101109, 1334, 27, 'क्लाइंट प्रमाणपत्र बनाएं');
INSERT INTO `lang_definitions` VALUES (101110, 1335, 27, 'क्लाइंट साइड SSL प्रमाणपत्र बनाएं');
INSERT INTO `lang_definitions` VALUES (101111, 1336, 27, 'डुप्लिकेट बनाएँ');
INSERT INTO `lang_definitions` VALUES (101112, 1338, 27, 'Eventlog बैकअप बनाएँ');
INSERT INTO `lang_definitions` VALUES (101113, 1339, 27, 'नया मुद्दा बनाएं');
INSERT INTO `lang_definitions` VALUES (101114, 1340, 27, 'नई रोगी बनाएँ');
INSERT INTO `lang_definitions` VALUES (101115, 1342, 27, 'Offsite पोर्टल पहचान बनाएं');
INSERT INTO `lang_definitions` VALUES (101116, 1343, 27, 'ऑनसाइट पोर्टल पहचान बनाएं');
INSERT INTO `lang_definitions` VALUES (101117, 1344, 27, 'रोगी नोट बनाएँ');
INSERT INTO `lang_definitions` VALUES (101118, 1345, 27, 'SSL प्रमाणपत्र प्राधिकरण और सर्वर प्रमाण पत्र बनाएँ.');
INSERT INTO `lang_definitions` VALUES (101119, 1346, 27, 'भेंट बनाएँ');
INSERT INTO `lang_definitions` VALUES (101120, 1347, 27, 'बनाया गया');
INSERT INTO `lang_definitions` VALUES (101121, 1348, 27, 'निर्यात फ़ाइल बना रहा है');
INSERT INTO `lang_definitions` VALUES (101122, 1350, 27, 'रिमोट होस्ट पर यह फ़ाइल बनाने में विफल रहा है');
INSERT INTO `lang_definitions` VALUES (101123, 1351, 27, 'प्रजापति');
INSERT INTO `lang_definitions` VALUES (101124, 1352, 27, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (101125, 1353, 27, 'क्रेडिट कार्ड');
INSERT INTO `lang_definitions` VALUES (101126, 1354, 27, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (101127, 1356, 27, 'मापदंड');
INSERT INTO `lang_definitions` VALUES (101128, 1358, 27, 'Crohn  का रोग');
INSERT INTO `lang_definitions` VALUES (101129, 1359, 27, 'Crohns रोग');
INSERT INTO `lang_definitions` VALUES (101130, 1360, 27, 'सीएसवी निर्यात');
INSERT INTO `lang_definitions` VALUES (101131, 1361, 27, 'CSV फाइल');
INSERT INTO `lang_definitions` VALUES (101132, 1362, 27, 'CSV टेबल्स');
INSERT INTO `lang_definitions` VALUES (101133, 1363, 27, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (101134, 1364, 27, 'क्यूबा');
INSERT INTO `lang_definitions` VALUES (101135, 1365, 27, 'मुद्रा दशमलव स्थान');
INSERT INTO `lang_definitions` VALUES (101136, 1366, 27, 'मुद्रा दशमलव बिंदु प्रतीक');
INSERT INTO `lang_definitions` VALUES (101137, 1367, 27, 'मुद्रा Designator');
INSERT INTO `lang_definitions` VALUES (101138, 1368, 27, 'मुद्रा हजारों विभाजक');
INSERT INTO `lang_definitions` VALUES (101139, 1369, 27, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (101140, 1370, 27, 'वर्तमान शराब');
INSERT INTO `lang_definitions` VALUES (101141, 1371, 27, 'वर्तमान परामर्श');
INSERT INTO `lang_definitions` VALUES (101142, 1372, 27, 'वर्तमान मानदंड');
INSERT INTO `lang_definitions` VALUES (101143, 1373, 27, 'वर्तमान दिन उजागर रंग');
INSERT INTO `lang_definitions` VALUES (101144, 1374, 27, 'वर्तमान में हर दिन धूम्रपान');
INSERT INTO `lang_definitions` VALUES (101145, 1375, 27, 'वर्तमान फ़ाइल नाम बदल गया था');
INSERT INTO `lang_definitions` VALUES (101146, 1376, 27, 'वर्तमान हैश');
INSERT INTO `lang_definitions` VALUES (101147, 1377, 27, 'वर्तमान स्थान');
INSERT INTO `lang_definitions` VALUES (101148, 1378, 27, 'वर्तमान दवाएं');
INSERT INTO `lang_definitions` VALUES (101149, 1379, 27, 'वर्तमान पासवर्ड');
INSERT INTO `lang_definitions` VALUES (101150, 1380, 27, 'वर्तमान रोगी');
INSERT INTO `lang_definitions` VALUES (101151, 1382, 27, 'वर्तमान मनोरंजनात्मक औषध');
INSERT INTO `lang_definitions` VALUES (101152, 1383, 27, 'वर्तमान में कुछ दिन धूम्रपान');
INSERT INTO `lang_definitions` VALUES (101153, 1386, 27, 'वर्तमान में सक्रिय');
INSERT INTO `lang_definitions` VALUES (101154, 1387, 27, 'वर्तमान में चल रहा है');
INSERT INTO `lang_definitions` VALUES (101155, 1388, 27, 'वर्तमान में सुविधाएं नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (101156, 1389, 27, 'सिंड्रोम कुशिंग');
INSERT INTO `lang_definitions` VALUES (101157, 1390, 27, 'सिंड्रोम कुशिंग');
INSERT INTO `lang_definitions` VALUES (101158, 1392, 27, 'रिवाज');
INSERT INTO `lang_definitions` VALUES (101159, 1393, 27, 'कस्टम इनपुट?');
INSERT INTO `lang_definitions` VALUES (101160, 1394, 27, 'कस्टम तालिका');
INSERT INTO `lang_definitions` VALUES (101161, 1396, 27, 'CVX कोड');
INSERT INTO `lang_definitions` VALUES (101162, 1397, 27, 'CVX कोड मैपिंग');
INSERT INTO `lang_definitions` VALUES (101163, 1398, 27, 'CVX टीकाकरण');
INSERT INTO `lang_definitions` VALUES (101164, 1399, 27, 'चक्र');
INSERT INTO `lang_definitions` VALUES (101165, 1400, 27, 'CYP');
INSERT INTO `lang_definitions` VALUES (101166, 1401, 27, 'CYP फैक्टर');
INSERT INTO `lang_definitions` VALUES (101167, 1402, 27, 'CYP रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (101168, 1403, 27, 'चेक देश');
INSERT INTO `lang_definitions` VALUES (101169, 1404, 27, 'डी');
INSERT INTO `lang_definitions` VALUES (101170, 1405, 27, 'डी एंड सी');
INSERT INTO `lang_definitions` VALUES (101171, 1406, 27, 'डी और ई');
INSERT INTO `lang_definitions` VALUES (101172, 1407, 27, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (101173, 1408, 27, 'दैनिक');
INSERT INTO `lang_definitions` VALUES (101174, 1409, 27, 'डेली रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (101175, 1410, 27, 'डेनिश');
INSERT INTO `lang_definitions` VALUES (101176, 1411, 27, 'एक जैसे डेटा डेटाबेस में पहले से ही है, कोड / या वर्णन बदलें');
INSERT INTO `lang_definitions` VALUES (101177, 1412, 27, 'एक जैसे डेटा डेटाबेस में पहले से ही है, कृपया स्थिर नाम बदलें');
INSERT INTO `lang_definitions` VALUES (101178, 1413, 27, 'डेटा कॉलम');
INSERT INTO `lang_definitions` VALUES (101179, 1416, 27, 'डेटा त्रुटि');
INSERT INTO `lang_definitions` VALUES (101180, 1420, 27, 'डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (101181, 1421, 27, 'डेटाबेस');
INSERT INTO `lang_definitions` VALUES (101182, 1422, 27, 'डाटाबेस स्थापित नहीं है.');
INSERT INTO `lang_definitions` VALUES (101183, 1423, 27, 'डाटाबेस पैच');
INSERT INTO `lang_definitions` VALUES (101184, 1424, 27, 'डेटाबेस रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (101185, 1425, 27, 'डेटाबेस नवीनीकरण समाप्त हो गया.');
INSERT INTO `lang_definitions` VALUES (101186, 1426, 27, 'DataCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (101187, 1427, 27, 'तिथि');
INSERT INTO `lang_definitions` VALUES (101188, 1428, 27, 'तिथि');
INSERT INTO `lang_definitions` VALUES (101189, 1429, 27, 'दिनांक और समय प्रशासित');
INSERT INTO `lang_definitions` VALUES (101190, 1431, 27, 'प्रशासित तिथि');
INSERT INTO `lang_definitions` VALUES (101191, 1432, 27, 'नमूना संग्रह की तिथि और समय');
INSERT INTO `lang_definitions` VALUES (101192, 1433, 27, 'इस अवलोकन की तिथि और समय');
INSERT INTO `lang_definitions` VALUES (101193, 1435, 27, 'तिथि और समय नमूना एकत्र किया गया था');
INSERT INTO `lang_definitions` VALUES (101194, 1436, 27, 'तिथि आज से बड़ी नहीं हो सकती');
INSERT INTO `lang_definitions` VALUES (101195, 1437, 27, 'शुरू तिथि गर्भनिरोधक सेवाएं प्रदान की');
INSERT INTO `lang_definitions` VALUES (101196, 1438, 27, 'तिथि निर्माण');
INSERT INTO `lang_definitions` VALUES (101197, 1439, 27, 'मृतक तिथि');
INSERT INTO `lang_definitions` VALUES (101198, 1440, 27, 'तिथि तबाह');
INSERT INTO `lang_definitions` VALUES (101199, 1441, 27, 'तिथि प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (101200, 1442, 27, 'नियुक्ति अंत के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (101201, 1443, 27, 'नियुक्ति प्रारंभ के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (101202, 1444, 27, 'अगले नियुक्ति के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (101203, 1445, 27, 'के बाद से नहीं देखा के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (101204, 1446, 27, 'जब से देखा के लिए तिथि प्रारूप मान्य नहीं है');
INSERT INTO `lang_definitions` VALUES (101205, 1447, 27, 'तिथि प्रतिरक्षण सूचना वक्तव्य निश्चित');
INSERT INTO `lang_definitions` VALUES (101206, 1448, 27, 'कोड के लिए तिथि लापता ');
INSERT INTO `lang_definitions` VALUES (101207, 1449, 27, 'तिथि मास्टर मानदंड');
INSERT INTO `lang_definitions` VALUES (101208, 1450, 27, 'बैंक जमा YYYY-MM-DD की तिथि');
INSERT INTO `lang_definitions` VALUES (101209, 1451, 27, 'बिलिंग की तिथि');
INSERT INTO `lang_definitions` VALUES (101210, 1452, 27, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (101211, 1453, 27, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (101212, 1454, 27, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (101213, 1455, 27, 'प्रवेश की तिथि');
INSERT INTO `lang_definitions` VALUES (101214, 1456, 27, 'चोट की तिथि');
INSERT INTO `lang_definitions` VALUES (101215, 1458, 27, 'भुगतान YYYY-MM-DD की तिथि');
INSERT INTO `lang_definitions` VALUES (101216, 1459, 27, 'सिफ़ारिश की तिथि');
INSERT INTO `lang_definitions` VALUES (101217, 1460, 27, 'उत्तर की तिथि');
INSERT INTO `lang_definitions` VALUES (101218, 1461, 27, 'रिपोर्ट की तिथि');
INSERT INTO `lang_definitions` VALUES (101219, 1462, 27, 'सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (101220, 1463, 27, 'सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (101221, 1464, 27, 'आज = सर्विस की तिथि');
INSERT INTO `lang_definitions` VALUES (101222, 1465, 27, 'सेवा dd / mm / yyyy की तिथि');
INSERT INTO `lang_definitions` VALUES (101223, 1466, 27, 'सेवा की तिथि:');
INSERT INTO `lang_definitions` VALUES (101224, 1467, 27, 'हस्ताक्षर की तिथि');
INSERT INTO `lang_definitions` VALUES (101225, 1468, 27, 'स्थिति को बदलने की तिथि');
INSERT INTO `lang_definitions` VALUES (101226, 1469, 27, 'इस आदेश की तिथि');
INSERT INTO `lang_definitions` VALUES (101227, 1470, 27, 'इस रिपोर्ट की तिथि');
INSERT INTO `lang_definitions` VALUES (101228, 1471, 27, 'VIS बयान की तिथि');
INSERT INTO `lang_definitions` VALUES (101229, 1472, 27, 'तिथि आदेश दिया');
INSERT INTO `lang_definitions` VALUES (101230, 1475, 27, 'तिथि चयनकर्ता');
INSERT INTO `lang_definitions` VALUES (101231, 1476, 27, 'भेजा गया तिथि');
INSERT INTO `lang_definitions` VALUES (101232, 1477, 27, 'तिथि संदेश भेजा गया था');
INSERT INTO `lang_definitions` VALUES (101233, 1479, 27, 'तिथि मान रिक्त नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (101234, 1480, 27, 'तिथि / Appt');
INSERT INTO `lang_definitions` VALUES (101235, 1481, 27, 'तिथि / नोट्स');
INSERT INTO `lang_definitions` VALUES (101236, 1482, 27, 'तिथि / अंतिम की नोट्स');
INSERT INTO `lang_definitions` VALUES (101237, 1483, 27, 'तिथि / समय');
INSERT INTO `lang_definitions` VALUES (101238, 1484, 27, 'तिथि');
INSERT INTO `lang_definitions` VALUES (101239, 1485, 27, 'संदेश लॉग तिथि');
INSERT INTO `lang_definitions` VALUES (101240, 1486, 27, 'दिन');
INSERT INTO `lang_definitions` VALUES (101241, 1487, 27, 'दिन');
INSERT INTO `lang_definitions` VALUES (101242, 1489, 27, 'दिन देखें');
INSERT INTO `lang_definitions` VALUES (101243, 1490, 27, 'दिन');
INSERT INTO `lang_definitions` VALUES (101244, 1491, 27, 'दिन सोमवार - शुक्रवार');
INSERT INTO `lang_definitions` VALUES (101245, 1492, 27, 'दिन');
INSERT INTO `lang_definitions` VALUES (101246, 1493, 27, 'दिन');
INSERT INTO `lang_definitions` VALUES (101247, 1494, 27, 'दिन पहले');
INSERT INTO `lang_definitions` VALUES (101248, 1495, 27, 'दिन और खेल छूटे');
INSERT INTO `lang_definitions` VALUES (101249, 1496, 27, 'पिछले मुठभेड़ से दिन');
INSERT INTO `lang_definitions` VALUES (101250, 1497, 27, 'छूटे दिन');
INSERT INTO `lang_definitions` VALUES (101251, 1498, 27, 'प्रति दिन कॉलम');
INSERT INTO `lang_definitions` VALUES (101252, 1500, 27, 'दिन/Col:');
INSERT INTO `lang_definitions` VALUES (101253, 1501, 27, 'DB स्थापित');
INSERT INTO `lang_definitions` VALUES (101254, 1502, 27, 'DD / MM / YYYY');
INSERT INTO `lang_definitions` VALUES (101255, 1503, 27, 'De Identification');
INSERT INTO `lang_definitions` VALUES (101256, 1504, 27, 'De Identification की प्रक्रिया पूरी हो गई');
INSERT INTO `lang_definitions` VALUES (101257, 1505, 27, 'De Identification की प्रक्रिया चल रही है');
INSERT INTO `lang_definitions` VALUES (101258, 1506, 27, 'De Identification की प्रक्रिया शुरू कर दिई और पृष्ठभूमि में चल रही है');
INSERT INTO `lang_definitions` VALUES (101259, 1507, 27, 'De Identification डेटा शायद पूरा नहीं');
INSERT INTO `lang_definitions` VALUES (101260, 1508, 27, 'में De Identification फ़ाइल सहेजा जाएगा');
INSERT INTO `lang_definitions` VALUES (101261, 1509, 27, 'डीईए');
INSERT INTO `lang_definitions` VALUES (101262, 1511, 27, 'बहरा');
INSERT INTO `lang_definitions` VALUES (101263, 1512, 27, 'डिबग जानकारी');
INSERT INTO `lang_definitions` VALUES (101264, 1514, 27, 'डीबगिंग');
INSERT INTO `lang_definitions` VALUES (101265, 1515, 27, 'दिसम्बर');
INSERT INTO `lang_definitions` VALUES (101266, 1516, 27, 'स्वर्गीय');
INSERT INTO `lang_definitions` VALUES (101267, 1517, 27, 'दिसंबर');
INSERT INTO `lang_definitions` VALUES (101268, 1518, 27, 'दशमलव पाउंड या पाउंड और औंस # द्वारा अलग (जैसे 5 # 4)');
INSERT INTO `lang_definitions` VALUES (101269, 1520, 27, 'कटौती योग्य');
INSERT INTO `lang_definitions` VALUES (101270, 1521, 27, 'कटौती योग्य मुलाकात');
INSERT INTO `lang_definitions` VALUES (101271, 1522, 27, 'डिफ़ॉल्ट');
INSERT INTO `lang_definitions` VALUES (101272, 1523, 27, 'डिफ़ॉल्ट कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (101273, 1524, 27, 'डिफ़ॉल्ट मुठभेड़ पर्चा आईडी');
INSERT INTO `lang_definitions` VALUES (101274, 1526, 27, 'डिफ़ॉल्ट सुविधा');
INSERT INTO `lang_definitions` VALUES (101275, 1527, 27, 'डिफ़ॉल्ट भाषा');
INSERT INTO `lang_definitions` VALUES (101276, 1528, 27, 'डिफ़ॉल्ट भाषा यदि कोई अन्य की अनुमति नहीं है या चुना नहीं जाता है.');
INSERT INTO `lang_definitions` VALUES (101277, 1529, 27, 'डिफ़ॉल्ट सूची (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (101278, 1530, 27, 'डिफ़ॉल्ट विधि');
INSERT INTO `lang_definitions` VALUES (101279, 1531, 27, 'डिफ़ॉल्ट पासवर्ड समाप्त दिन');
INSERT INTO `lang_definitions` VALUES (101280, 1532, 27, 'डिफ़ॉल्ट पासवर्ड समाप्त अवधि दिन में. 0 इसका मतलब है सुविधा अक्षम है.');
INSERT INTO `lang_definitions` VALUES (101281, 1533, 27, 'डिफ़ॉल्ट रोगी देश');
INSERT INTO `lang_definitions` VALUES (101282, 1535, 27, 'डिफ़ॉल्ट प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (101283, 1536, 27, 'डिफ़ॉल्ट प्रदाता');
INSERT INTO `lang_definitions` VALUES (101284, 1537, 27, 'डिफ़ॉल्ट सीमा');
INSERT INTO `lang_definitions` VALUES (101285, 1538, 27, 'भेंट के लिए डिफ़ॉल्ट कारण');
INSERT INTO `lang_definitions` VALUES (101286, 1540, 27, 'डिफ़ॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (101287, 1541, 27, 'रोगी सूची में नई विंडो चेकबॉक्स की डिफ़ॉल्ट स्थिति.');
INSERT INTO `lang_definitions` VALUES (101288, 1542, 27, 'डिफ़ॉल्ट टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (101289, 1546, 27, 'डिफ़ॉल्ट इकाइयों');
INSERT INTO `lang_definitions` VALUES (101290, 1547, 27, 'डिफ़ॉल्ट मूल्य');
INSERT INTO `lang_definitions` VALUES (101291, 1548, 27, 'डिफ़ॉल्ट वेयरहाउस');
INSERT INTO `lang_definitions` VALUES (101292, 1549, 27, 'डिफ़ॉल्ट X 12 साथी');
INSERT INTO `lang_definitions` VALUES (101293, 1550, 27, 'डिफ़ॉल्ट / ग्लोबल');
INSERT INTO `lang_definitions` VALUES (101294, 1551, 27, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101295, 1552, 27, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101296, 1553, 27, 'विलंबित पुनरावर्तन (> 12 मो)');
INSERT INTO `lang_definitions` VALUES (101297, 1554, 27, 'को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101298, 1555, 27, 'हटाना');
INSERT INTO `lang_definitions` VALUES (101299, 1556, 27, 'आईडी (s) के साथ श्रेणियाँ हटाएँ: ');
INSERT INTO `lang_definitions` VALUES (101300, 1557, 27, 'श्रेणी को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101301, 1559, 27, 'को हटाएँ विफल रहा है!');
INSERT INTO `lang_definitions` VALUES (101302, 1560, 27, 'समूह को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101303, 1561, 27, 'सूची को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101304, 1562, 27, 'पृष्ठों को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101305, 1563, 27, 'रोगी, मुठभेड़, फार्म, अंक, दस्तावेज, भुगतान, बिलिंग या लेनदेन हटाएं');
INSERT INTO `lang_definitions` VALUES (101306, 1565, 27, 'पंक्ति हटाएँ');
INSERT INTO `lang_definitions` VALUES (101307, 1566, 27, 'चयनित आइटम हटाएं');
INSERT INTO `lang_definitions` VALUES (101308, 1568, 27, 'को हटाएँ सफल.');
INSERT INTO `lang_definitions` VALUES (101309, 1569, 27, 'इस दस्तावेज़ को हटाएं');
INSERT INTO `lang_definitions` VALUES (101310, 1570, 27, 'इस फार्म को हटाएँ');
INSERT INTO `lang_definitions` VALUES (101311, 1571, 27, 'इस नोट को हटाएं');
INSERT INTO `lang_definitions` VALUES (101312, 1573, 27, 'सफलतापूर्वक नष्ट कर दिया.');
INSERT INTO `lang_definitions` VALUES (101313, 1574, 27, 'हटा रहा है!');
INSERT INTO `lang_definitions` VALUES (101314, 1575, 27, 'इस घटना को एक बार हटाया तो पूर्ववत नहीं किया जा सकता, वह चला गया है, यह ठीक नहीं किया जा सकता! क्या आप इस घटना को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101315, 1576, 27, 'वितरण की पुष्टि');
INSERT INTO `lang_definitions` VALUES (101316, 1578, 27, 'वर्तमान निर्दिष्ट पते पर प्रत्यक्ष वितरण की अनुमति नहीं है!');
INSERT INTO `lang_definitions` VALUES (101317, 1580, 27, 'संलग्न नैदानिक ​​दस्तावेज़ का वितरण, रोगी द्वारा अनुरोध किया गया था!');
INSERT INTO `lang_definitions` VALUES (101318, 1581, 27, 'मनोभ्रंश');
INSERT INTO `lang_definitions` VALUES (101319, 1582, 27, 'जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (101320, 1583, 27, 'जनसांख्यिकी (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (101321, 1585, 27, 'जनसांख्यिकी फ़िल्टर मापदंड');
INSERT INTO `lang_definitions` VALUES (101322, 1586, 27, 'जनसांख्यिकी अधिकृत नहीं.');
INSERT INTO `lang_definitions` VALUES (101323, 1587, 27, 'जनसांख्यिकी अधिकृत नहीं.');
INSERT INTO `lang_definitions` VALUES (101324, 1588, 27, 'से इनकार किया');
INSERT INTO `lang_definitions` VALUES (101325, 1589, 27, 'भाजक');
INSERT INTO `lang_definitions` VALUES (101326, 1590, 27, 'दंत चिकित्सा');
INSERT INTO `lang_definitions` VALUES (101327, 1591, 27, 'दंत चिकित्सा समस्या सूची');
INSERT INTO `lang_definitions` VALUES (101328, 1592, 27, 'दंत चिकित्सा मुद्दों पर');
INSERT INTO `lang_definitions` VALUES (101329, 1595, 27, 'Depending on the type of bill you are testing you will see HCFA like output on a blank page for HCFA bills, you will see many lines of somewhat garbled text and information if you are testing an X12 claim. That garbled text is the X12 EDI 4010A format. Occasionally you will see odd characters that look like dominoes or squiglies, these are control characters such as page feeds and are normal.');
INSERT INTO `lang_definitions` VALUES (101330, 1596, 27, 'जमा तिथि');
INSERT INTO `lang_definitions` VALUES (101331, 1597, 27, 'जमा तिथि आज से बड़ी नहीं हो सकती');
INSERT INTO `lang_definitions` VALUES (101332, 1598, 27, 'जमा तिथि:');
INSERT INTO `lang_definitions` VALUES (101333, 1599, 27, 'अवसादग्रस्त');
INSERT INTO `lang_definitions` VALUES (101334, 1600, 27, 'अवसाद');
INSERT INTO `lang_definitions` VALUES (101335, 1602, 27, 'विवरण');
INSERT INTO `lang_definitions` VALUES (101336, 1603, 27, 'विवरण');
INSERT INTO `lang_definitions` VALUES (101337, 1605, 27, 'प्रकटीकरण का विवरण');
INSERT INTO `lang_definitions` VALUES (101338, 1606, 27, 'इस प्रक्रिया या परिणाम कोड का विवरण');
INSERT INTO `lang_definitions` VALUES (101339, 1607, 27, 'विवरण अनुवाद');
INSERT INTO `lang_definitions` VALUES (101340, 1609, 27, 'गंतव्य');
INSERT INTO `lang_definitions` VALUES (101341, 1610, 27, 'गंतव्य फ़ाइलनाम');
INSERT INTO `lang_definitions` VALUES (101342, 1611, 27, 'लॉट नष्ट');
INSERT INTO `lang_definitions` VALUES (101343, 1612, 27, 'नष्ट ...');
INSERT INTO `lang_definitions` VALUES (101344, 1613, 27, 'नष्ट कर दिया');
INSERT INTO `lang_definitions` VALUES (101345, 1614, 27, 'दवाओं को नष्ट कर दिया!');
INSERT INTO `lang_definitions` VALUES (101346, 1615, 27, 'दवाओं की रिपोर्ट को नष्ट कर दिया!');
INSERT INTO `lang_definitions` VALUES (101347, 1616, 27, 'विवरण');
INSERT INTO `lang_definitions` VALUES (101348, 1617, 27, 'विवरण');
INSERT INTO `lang_definitions` VALUES (101349, 1619, 27, 'विकासात्मक विषमता');
INSERT INTO `lang_definitions` VALUES (101350, 1620, 27, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (101351, 1621, 27, 'बहुमूत्ररोग');
INSERT INTO `lang_definitions` VALUES (101352, 1622, 27, 'मधुमेह: रक्तचाप प्रबंधन (CQM)');
INSERT INTO `lang_definitions` VALUES (101353, 1623, 27, 'मधुमेह: नेत्र परीक्षा');
INSERT INTO `lang_definitions` VALUES (101354, 1624, 27, 'मधुमेह: नेत्र परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (101355, 1625, 27, 'मधुमेह: पैर परीक्षा');
INSERT INTO `lang_definitions` VALUES (101356, 1626, 27, 'मधुमेह: पैर परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (101357, 1627, 27, 'मधुमेह: एचबीए 1 सी खराब नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (101358, 1628, 27, 'मधुमेह: हीमोग्लोबिन ए 1 सी');
INSERT INTO `lang_definitions` VALUES (101359, 1629, 27, 'मधुमेह: एलडीएल प्रबंधन और नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (101360, 1630, 27, 'मधुमेह: मूत्र में Microalbumin');
INSERT INTO `lang_definitions` VALUES (101361, 1631, 27, 'निदान');
INSERT INTO `lang_definitions` VALUES (101362, 1632, 27, 'निदान');
INSERT INTO `lang_definitions` VALUES (101363, 1633, 27, 'निदान');
INSERT INTO `lang_definitions` VALUES (101364, 1634, 27, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (101365, 1636, 27, 'निदान तिथि');
INSERT INTO `lang_definitions` VALUES (101366, 1637, 27, 'निदान एक जुड़े हुए मुठभेड़ में कोडित किया जाना चाहिए');
INSERT INTO `lang_definitions` VALUES (101367, 1638, 27, 'निदान का नाम');
INSERT INTO `lang_definitions` VALUES (101368, 1639, 27, 'निदान की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (101369, 1640, 27, 'निदान रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (101370, 1641, 27, 'केवल निदान रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (101371, 1642, 27, 'निदान शीर्षक');
INSERT INTO `lang_definitions` VALUES (101372, 1643, 27, 'निदान:');
INSERT INTO `lang_definitions` VALUES (101373, 1644, 27, 'निदान: ');
INSERT INTO `lang_definitions` VALUES (101374, 1645, 27, 'नैदानिक टेस्ट:');
INSERT INTO `lang_definitions` VALUES (101375, 1646, 27, 'डायल');
INSERT INTO `lang_definitions` VALUES (101376, 1647, 27, 'Diaphragms / कैप्स');
INSERT INTO `lang_definitions` VALUES (101377, 1648, 27, 'दस्त');
INSERT INTO `lang_definitions` VALUES (101378, 1650, 27, 'श्रुतलेख');
INSERT INTO `lang_definitions` VALUES (101379, 1651, 27, 'श्रुतलेख: ');
INSERT INTO `lang_definitions` VALUES (101380, 1652, 27, 'आपने HIPAA नोटिस की एक प्रति प्राप्त किया है?');
INSERT INTO `lang_definitions` VALUES (101381, 1653, 27, 'फैलाना:');
INSERT INTO `lang_definitions` VALUES (101382, 1654, 27, 'डिजिटली हस्ताक्षरित');
INSERT INTO `lang_definitions` VALUES (101383, 1657, 27, 'प्रत्यक्ष मेल');
INSERT INTO `lang_definitions` VALUES (101384, 1658, 27, 'प्रत्यक्ष संदेश लॉग');
INSERT INTO `lang_definitions` VALUES (101385, 1659, 27, 'प्रत्यक्ष संदेश प्राप्त किया.');
INSERT INTO `lang_definitions` VALUES (101386, 1660, 27, 'प्रत्यक्ष संदेश सेवा वर्तमान में अनुपलब्ध है.');
INSERT INTO `lang_definitions` VALUES (101387, 1661, 27, 'प्रत्यक्ष संदेश भेजने में विफलता .');
INSERT INTO `lang_definitions` VALUES (101388, 1663, 27, 'निर्देशक का नाम');
INSERT INTO `lang_definitions` VALUES (101389, 1664, 27, 'निर्देशिका हटाना विफल, जारी है.');
INSERT INTO `lang_definitions` VALUES (101390, 1665, 27, 'विकलांगता');
INSERT INTO `lang_definitions` VALUES (101391, 1667, 27, 'कैलेंडर निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (101392, 1668, 27, 'चार्ट ट्रैकर निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (101393, 1669, 27, 'टीकाकरण निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (101394, 1670, 27, 'निष्क्रिय करें पुराने मीट्रिक नब्ज पर्चा');
INSERT INTO `lang_definitions` VALUES (101395, 1672, 27, 'phpMyAdmin निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (101396, 1673, 27, 'नुस्खे निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (101397, 1674, 27, 'उपयोगकर्ता समूह निष्क्रिय करें');
INSERT INTO `lang_definitions` VALUES (101398, 1675, 27, 'निष्क्रिय कर दिया');
INSERT INTO `lang_definitions` VALUES (101399, 1676, 27, 'निष्क्रिय कर दिया');
INSERT INTO `lang_definitions` VALUES (101400, 1677, 27, 'बड़े समूह स्वास्थ्य योजना(LGHP) के 65 साल से कम उम्र के लाभार्थी निष्क्रिय करें!');
INSERT INTO `lang_definitions` VALUES (101401, 1678, 27, 'DISC');
INSERT INTO `lang_definitions` VALUES (101402, 1681, 27, 'निर्वहन');
INSERT INTO `lang_definitions` VALUES (101403, 1682, 27, 'मूत्रमार्ग से निर्वहन');
INSERT INTO `lang_definitions` VALUES (101404, 1684, 27, 'राइट निर्वहन');
INSERT INTO `lang_definitions` VALUES (101405, 1685, 27, 'राइट निर्वहन:');
INSERT INTO `lang_definitions` VALUES (101406, 1688, 27, 'छुट्टी दे दी');
INSERT INTO `lang_definitions` VALUES (101407, 1689, 27, 'प्रकटीकरण जानकारी');
INSERT INTO `lang_definitions` VALUES (101408, 1690, 27, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (101409, 1691, 27, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (101410, 1692, 27, 'खुलासे');
INSERT INTO `lang_definitions` VALUES (101411, 1694, 27, 'छूट');
INSERT INTO `lang_definitions` VALUES (101412, 1695, 27, 'छूट राशि');
INSERT INTO `lang_definitions` VALUES (101413, 1696, 27, 'सबसे कम स्तर');
INSERT INTO `lang_definitions` VALUES (101414, 1697, 27, 'छूट के प्रतिशत');
INSERT INTO `lang_definitions` VALUES (101415, 1698, 27, 'मौद्रिक मात्रा में छूट');
INSERT INTO `lang_definitions` VALUES (101416, 1699, 27, 'चेकआउट समय में छूट,धन राशि के रूप में दर्ज कर रहे हैं, प्रतिशत के रूप में नहीं!');
INSERT INTO `lang_definitions` VALUES (101417, 1700, 27, 'असतत नतीजे');
INSERT INTO `lang_definitions` VALUES (101418, 1701, 27, 'रोग');
INSERT INTO `lang_definitions` VALUES (101419, 1702, 27, 'विस्थापन');
INSERT INTO `lang_definitions` VALUES (101420, 1703, 27, 'disp #');
INSERT INTO `lang_definitions` VALUES (101421, 1704, 27, 'भेजना');
INSERT INTO `lang_definitions` VALUES (101422, 1705, 27, 'तक भेजने के प्राप्त दस्तावेज');
INSERT INTO `lang_definitions` VALUES (101423, 1706, 27, 'तिरस्कृत');
INSERT INTO `lang_definitions` VALUES (101424, 1707, 27, 'जनसांख्यिकी पेज में अग्रिम निर्देश प्रदर्शित करें!');
INSERT INTO `lang_definitions` VALUES (101425, 1709, 27, 'घटना ब्लॉक में दिनांक प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (101426, 1710, 27, 'अमेरिका तौल स्वरूप प्रदर्शित करें');
INSERT INTO `lang_definitions` VALUES (101427, 1711, 27, 'कितने घटनाओं को प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (101428, 1713, 27, 'ब्लॉक में स्थान प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (101429, 1714, 27, 'प्रदर्शन नाम');
INSERT INTO `lang_definitions` VALUES (101430, 1715, 27, 'कैलेंडर प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (101431, 1718, 27, 'आज के घटनाओं को ब्लॉक में प्रदर्शित करें?');
INSERT INTO `lang_definitions` VALUES (101432, 1719, 27, 'ब्लॉक में विषय दिखायें?');
INSERT INTO `lang_definitions` VALUES (101433, 1720, 27, 'ब्लॉक में आगामी घटनाएँ दिखायें?');
INSERT INTO `lang_definitions` VALUES (101434, 1721, 27, 'दिखाए गए कॉलम');
INSERT INTO `lang_definitions` VALUES (101435, 1722, 27, 'सबसे हाल ही में के खुलासे की निम्नलिखित संख्या प्रदर्शित हो रही हैं.');
INSERT INTO `lang_definitions` VALUES (101436, 1723, 27, 'सबसे हाल ही में के नोट्स की निम्नलिखित संख्या प्रदर्शित हो रही हैं');
INSERT INTO `lang_definitions` VALUES (101437, 1724, 27, 'सबसे हाल ही में के नोट्स की निम्नलिखित संख्या प्रदर्शित हो रही हैं');
INSERT INTO `lang_definitions` VALUES (101438, 1725, 27, 'वितरण');
INSERT INTO `lang_definitions` VALUES (101439, 1726, 27, 'वितरण');
INSERT INTO `lang_definitions` VALUES (101440, 1727, 27, 'वितरक');
INSERT INTO `lang_definitions` VALUES (101441, 1729, 27, 'विपुटीप्रदाह');
INSERT INTO `lang_definitions` VALUES (101442, 1730, 27, 'विपुटीप्रदाह सर्जरी');
INSERT INTO `lang_definitions` VALUES (101443, 1731, 27, 'विपुटीप्रदाह');
INSERT INTO `lang_definitions` VALUES (101444, 1732, 27, 'विपुटीप्रदाह सर्जरी');
INSERT INTO `lang_definitions` VALUES (101445, 1733, 27, 'तलाकशुदा');
INSERT INTO `lang_definitions` VALUES (101446, 1734, 27, 'चक्कर आना:');
INSERT INTO `lang_definitions` VALUES (101447, 1735, 27, 'न बदलें');
INSERT INTO `lang_definitions` VALUES (101448, 1737, 27, 'NewCrop पर अपलोड की एलर्जी प्रदर्शित नहीं करें');
INSERT INTO `lang_definitions` VALUES (101449, 1739, 27, 'NewCrop पर अपलोड की दवाएं प्रदर्शित नहीं करें');
INSERT INTO `lang_definitions` VALUES (101450, 1742, 27, 'कैलेंडर प्रदर्शित नहीं करें.');
INSERT INTO `lang_definitions` VALUES (101451, 1744, 27, 'कोई भी उत्पाद बेचना नहीं और इनवेंटरी नहीं करें');
INSERT INTO `lang_definitions` VALUES (101452, 1745, 27, 'रोगी नोटों को प्रमाणित होने की आवश्यकता नहीं है');
INSERT INTO `lang_definitions` VALUES (101453, 1746, 27, 'आदेश पुनर्जीवित नहीं करो');
INSERT INTO `lang_definitions` VALUES (101454, 1747, 27, 'न सहेजें');
INSERT INTO `lang_definitions` VALUES (101455, 1748, 27, 'स्थानापन्न मत करें');
INSERT INTO `lang_definitions` VALUES (101456, 1749, 27, 'कुछ न करो');
INSERT INTO `lang_definitions` VALUES (101457, 1751, 27, 'आप वास्तव में मिटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (101458, 1752, 27, 'आप वास्तव में चयन को हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101459, 1753, 27, 'आप वास्तव में इस समूह को हटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (101460, 1755, 27, 'क्या आप जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101461, 1756, 27, 'आप वाकई इसे हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101462, 1757, 27, 'आप हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101463, 1758, 27, 'आप इस रिकॉर्ड को दूर करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101464, 1759, 27, 'आप नए रोगी जोड़ना जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101465, 1760, 27, 'आप नए नाम के साथ जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101466, 1761, 27, 'आप स्थायी रूप से इस प्रतिरक्षण रिकॉर्ड को नष्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (101467, 1762, 27, 'जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (101468, 1763, 27, 'जन्म तिथि यदि संभव हो तो कृपया, दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (101469, 1764, 27, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (101470, 1765, 27, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (101471, 1766, 27, 'डॉक्टर:');
INSERT INTO `lang_definitions` VALUES (101472, 1767, 27, 'डॉक्टर का नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (101473, 1768, 27, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (101474, 1769, 27, 'दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (101475, 1770, 27, 'दस्तावेज़ श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (101476, 1775, 27, 'दस्तावेज़ रोगी आईडी पे स्थानांतरित नहीं किया जा सकता है!');
INSERT INTO `lang_definitions` VALUES (101477, 1777, 27, 'दस्तावेज़ तिथि');
INSERT INTO `lang_definitions` VALUES (101478, 1778, 27, 'दस्तावेज की तारीख और मुद्दा सफलतापूर्वक अपडेट');
INSERT INTO `lang_definitions` VALUES (101479, 1779, 27, 'दस्तावेज़ ID');
INSERT INTO `lang_definitions` VALUES (101480, 1780, 27, 'दस्तावेज नई श्रेणी में ले जाया गया');
INSERT INTO `lang_definitions` VALUES (101481, 1781, 27, 'दस्तावेज़ रोगी आईडी में ले जाया गया');
INSERT INTO `lang_definitions` VALUES (101482, 1783, 27, 'दस्तावेज़ अखंडता जांच पारित कर दिया.');
INSERT INTO `lang_definitions` VALUES (101483, 1784, 27, 'दस्तावेज़ संग्रहण विधि');
INSERT INTO `lang_definitions` VALUES (101484, 1785, 27, 'दस्तावेज़ को सफलतापूर्वक नाम दिया.');
INSERT INTO `lang_definitions` VALUES (101485, 1790, 27, 'दस्तावेज / इमेजिंग स्टोर');
INSERT INTO `lang_definitions` VALUES (101486, 1791, 27, 'दस्तावेज');
INSERT INTO `lang_definitions` VALUES (101487, 1792, 27, 'दस्तावेज़ (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (101488, 1794, 27, 'DOE');
INSERT INTO `lang_definitions` VALUES (101489, 1796, 27, 'PV1 मुठभेड़ संख्या मेल नहीं खाता');
INSERT INTO `lang_definitions` VALUES (101490, 1797, 27, 'मान्य नहीं लगता');
INSERT INTO `lang_definitions` VALUES (101491, 1798, 27, 'इस प्रकार संबंधित कोड की अनुमति है?');
INSERT INTO `lang_definitions` VALUES (101492, 1799, 27, 'घरेलू साथी');
INSERT INTO `lang_definitions` VALUES (101493, 1800, 27, 'नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (101494, 1801, 27, 'नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (101495, 1802, 27, 'परिवर्तन नहीं सहेजें');
INSERT INTO `lang_definitions` VALUES (101496, 1803, 27, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (101497, 1804, 27, 'हो गया:');
INSERT INTO `lang_definitions` VALUES (101498, 1805, 27, 'हो गया. अब डाउनलोड भेज देंगे.');
INSERT INTO `lang_definitions` VALUES (101499, 1806, 27, 'DOS');
INSERT INTO `lang_definitions` VALUES (101500, 1807, 27, 'खुराक');
INSERT INTO `lang_definitions` VALUES (101501, 1809, 27, 'संपादित करने के लिए डबल क्लिक करें');
INSERT INTO `lang_definitions` VALUES (101502, 1810, 27, 'व्दिगुण दृष्टि');
INSERT INTO `lang_definitions` VALUES (101503, 1811, 27, 'डाउनलोड');
INSERT INTO `lang_definitions` VALUES (101504, 1814, 27, 'वैसे भी डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (101505, 1815, 27, 'बिलिंग फ़ाइल डाउनलोड करें लेखांकन मे पोस्ट करें और बिल भेजा मार्क करें!');
INSERT INTO `lang_definitions` VALUES (101506, 1817, 27, 'प्रमाणपत्र डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (101507, 1818, 27, 'डाउनलोड विन्यास डेटा');
INSERT INTO `lang_definitions` VALUES (101508, 1820, 27, 'एन्क्रिप्टेड फाइल को डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (101509, 1825, 27, 'डाउनलोड पीडीएफ');
INSERT INTO `lang_definitions` VALUES (101510, 1827, 27, 'चयनित विवरण डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (101511, 1828, 27, 'डॉ. जाँचें');
INSERT INTO `lang_definitions` VALUES (101512, 1829, 27, 'डॉ. भेंट');
INSERT INTO `lang_definitions` VALUES (101513, 1830, 27, 'डॉ.');
INSERT INTO `lang_definitions` VALUES (101514, 1831, 27, 'शिफ्ट के लिए खींचें');
INSERT INTO `lang_definitions` VALUES (101515, 1832, 27, 'ड्रिब्लिंग');
INSERT INTO `lang_definitions` VALUES (101516, 1833, 27, 'चालक लाइसेंस या राज्य आईडी');
INSERT INTO `lang_definitions` VALUES (101517, 1834, 27, 'दवा');
INSERT INTO `lang_definitions` VALUES (101518, 1835, 27, 'दवा खोजक');
INSERT INTO `lang_definitions` VALUES (101519, 1836, 27, 'दवा फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (101520, 1837, 27, 'दवा आईडी लापता!');
INSERT INTO `lang_definitions` VALUES (101521, 1838, 27, 'दवा अंतराल');
INSERT INTO `lang_definitions` VALUES (101522, 1839, 27, 'दवा सूची');
INSERT INTO `lang_definitions` VALUES (101523, 1840, 27, 'दवा का नाम');
INSERT INTO `lang_definitions` VALUES (101524, 1841, 27, 'दवा मार्ग');
INSERT INTO `lang_definitions` VALUES (101525, 1845, 27, 'दवा इकाइयों');
INSERT INTO `lang_definitions` VALUES (101526, 1846, 27, 'दवा');
INSERT INTO `lang_definitions` VALUES (101527, 1847, 27, 'दवा और उत्पाद');
INSERT INTO `lang_definitions` VALUES (101528, 1848, 27, 'शुष्क मुँह');
INSERT INTO `lang_definitions` VALUES (101529, 1849, 27, 'DSMIV निदान');
INSERT INTO `lang_definitions` VALUES (101530, 1850, 27, 'डीटी 1');
INSERT INTO `lang_definitions` VALUES (101531, 1851, 27, 'डीटी 2');
INSERT INTO `lang_definitions` VALUES (101532, 1852, 27, 'डीटी 3');
INSERT INTO `lang_definitions` VALUES (101533, 1853, 27, 'डीटी 4');
INSERT INTO `lang_definitions` VALUES (101534, 1854, 27, 'डीटी 5');
INSERT INTO `lang_definitions` VALUES (101535, 1855, 27, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (101536, 1856, 27, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (101537, 1857, 27, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (101538, 1858, 27, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (101539, 1859, 27, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (101540, 1860, 27, 'देय');
INSERT INTO `lang_definitions` VALUES (101541, 1861, 27, 'देय तिथि');
INSERT INTO `lang_definitions` VALUES (101542, 1862, 27, 'देय तारीख dd / mm / yyyy या YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (101543, 1863, 27, 'देय तिथि:');
INSERT INTO `lang_definitions` VALUES (101544, 1864, 27, 'देय बीमा');
INSERT INTO `lang_definitions` VALUES (101545, 1865, 27, 'देय रोगी');
INSERT INTO `lang_definitions` VALUES (101546, 1866, 27, 'जल्द ही देय');
INSERT INTO `lang_definitions` VALUES (101547, 1867, 27, 'देय स्थिति');
INSERT INTO `lang_definitions` VALUES (101548, 1868, 27, 'देय स्थिति अपडेट');
INSERT INTO `lang_definitions` VALUES (101549, 1869, 27, 'LibreEHR डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (101550, 1870, 27, 'LibreEHR वेब निर्देशिका वृक्ष डम्पिंग');
INSERT INTO `lang_definitions` VALUES (101551, 1871, 27, 'PhpGACL डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (101552, 1872, 27, 'PhpGACL वेब निर्देशिका वृक्ष डम्पिंग');
INSERT INTO `lang_definitions` VALUES (101553, 1873, 27, 'एसक्यूएल लेजर डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (101554, 1874, 27, 'डम्पिंग एसक्यूएल लेजर वेब निर्देशिका वृक्ष');
INSERT INTO `lang_definitions` VALUES (101555, 1875, 27, 'दोहराया जाँच');
INSERT INTO `lang_definitions` VALUES (101556, 1876, 27, 'लाइन पर दोहराया आईडी');
INSERT INTO `lang_definitions` VALUES (101557, 1877, 27, 'लाइन पर दोहराया नाम');
INSERT INTO `lang_definitions` VALUES (101558, 1878, 27, 'दोहराव चेतावनी');
INSERT INTO `lang_definitions` VALUES (101559, 1879, 27, 'वकील के टिकाऊ शक्ति');
INSERT INTO `lang_definitions` VALUES (101560, 1880, 27, 'अवधि');
INSERT INTO `lang_definitions` VALUES (101561, 1881, 27, 'अवधि');
INSERT INTO `lang_definitions` VALUES (101562, 1882, 27, 'डच देश');
INSERT INTO `lang_definitions` VALUES (101563, 1883, 27, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (101564, 1884, 27, 'निगलने में कठिनाई');
INSERT INTO `lang_definitions` VALUES (101565, 1885, 27, 'श्वासकष्ट:');
INSERT INTO `lang_definitions` VALUES (101566, 1886, 27, 'मूत्रकृच्छता सम्बन्धी');
INSERT INTO `lang_definitions` VALUES (101567, 1888, 27, 'ई पर्चे?');
INSERT INTO `lang_definitions` VALUES (101568, 1889, 27, 'ई की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (101569, 1890, 27, 'ई Rx');
INSERT INTO `lang_definitions` VALUES (101570, 1892, 27, 'ई Rx नवीकरण');
INSERT INTO `lang_definitions` VALUES (101571, 1893, 27, 'प्रत्येक प्राप्तकर्ता,अपने स्वयं के संदेशों को पूरा हो गया के रूप में सेट कर दे');
INSERT INTO `lang_definitions` VALUES (101572, 1894, 27, 'प्रारंभिक पुनरावृत्ति (<2 मो)');
INSERT INTO `lang_definitions` VALUES (101573, 1895, 27, 'कान');
INSERT INTO `lang_definitions` VALUES (101574, 1896, 27, 'ईसीजी');
INSERT INTO `lang_definitions` VALUES (101575, 1897, 27, 'eClaims');
INSERT INTO `lang_definitions` VALUES (101576, 1898, 27, 'सूजन');
INSERT INTO `lang_definitions` VALUES (101577, 1899, 27, 'ईडीआई इतिहास');
INSERT INTO `lang_definitions` VALUES (101578, 1900, 27, 'ईडीआई इतिहास');
INSERT INTO `lang_definitions` VALUES (101579, 1901, 27, 'ईडीआई इतिहास (शुल्क मे) ईडीआई दावा प्रतिक्रिया फ़ाइल भंडारण और व्याख्या के लिए!');
INSERT INTO `lang_definitions` VALUES (101580, 1902, 27, 'ईडीआई-271 फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (101581, 1903, 27, 'ईडीआई-271 रिस्पांस फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (101582, 1904, 27, 'संपादित करें');
INSERT INTO `lang_definitions` VALUES (101583, 1905, 27, 'संपादित करें');
INSERT INTO `lang_definitions` VALUES (101584, 1906, 27, 'संपादित करें एलर्जी');
INSERT INTO `lang_definitions` VALUES (101585, 1907, 27, 'संपादित करें श्रेणियाँ');
INSERT INTO `lang_definitions` VALUES (101586, 1908, 27, 'संपादित करें परिभाषाएँ');
INSERT INTO `lang_definitions` VALUES (101587, 1909, 27, 'संपादित करें परिभाषाएँ');
INSERT INTO `lang_definitions` VALUES (101588, 1910, 27, 'के लिए संपादित करें निदान');
INSERT INTO `lang_definitions` VALUES (101589, 1911, 27, 'संपादित करें प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (101590, 1912, 27, 'संपादित करें सुविधाएं');
INSERT INTO `lang_definitions` VALUES (101591, 1913, 27, 'संपादित करें सुविधा');
INSERT INTO `lang_definitions` VALUES (101592, 1914, 27, 'संपादित करें सुविधा सूचना');
INSERT INTO `lang_definitions` VALUES (101593, 1915, 27, 'संपादित करें सुविधा उपयोगकर्ता विशिष्ट जानकारी');
INSERT INTO `lang_definitions` VALUES (101594, 1916, 27, 'संपादित करें फ़ाइल में');
INSERT INTO `lang_definitions` VALUES (101595, 1917, 27, 'संपादित करें फार्म');
INSERT INTO `lang_definitions` VALUES (101596, 1918, 27, 'संपादित करें वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (101597, 1919, 27, 'संपादन अधिकृत नहीं है!');
INSERT INTO `lang_definitions` VALUES (101598, 1920, 27, 'संपादित करें लेआउट');
INSERT INTO `lang_definitions` VALUES (101599, 1921, 27, 'संपादित करें सूची');
INSERT INTO `lang_definitions` VALUES (101600, 1922, 27, 'संपादित करें पेमेंट');
INSERT INTO `lang_definitions` VALUES (101601, 1923, 27, 'संपादित करें संरचना');
INSERT INTO `lang_definitions` VALUES (101602, 1924, 27, 'उपयोगकर्ता संपादित करें');
INSERT INTO `lang_definitions` VALUES (101603, 1925, 27, 'उपयोगकर्ता सेटिंग्स संपादित करें');
INSERT INTO `lang_definitions` VALUES (101604, 1928, 27, 'शिक्षा');
INSERT INTO `lang_definitions` VALUES (101605, 1929, 27, 'शिक्षा तिथि');
INSERT INTO `lang_definitions` VALUES (101606, 1931, 27, 'अधिक जानकारी के लिए * जीएनयू जनरल पब्लिक लाइसेंस ee. ** आपको इस कार्यक्रम के साथ साथ जीएनयू जनरल पब्लिक लाइसेंस * की एक प्रतिलिपि प्राप्त हुई होगी, नहीं तो, नि: शुल्क के लिए लिख ');
INSERT INTO `lang_definitions` VALUES (101607, 1932, 27, 'प्रभावी तिथि');
INSERT INTO `lang_definitions` VALUES (101608, 1934, 27, 'प्रभाव');
INSERT INTO `lang_definitions` VALUES (101609, 1935, 27, 'ईआईऍन');
INSERT INTO `lang_definitions` VALUES (101610, 1936, 27, 'ejaculations');
INSERT INTO `lang_definitions` VALUES (101611, 1937, 27, 'कोहनी');
INSERT INTO `lang_definitions` VALUES (101612, 1938, 27, 'कोहनी की समस्याएं');
INSERT INTO `lang_definitions` VALUES (101613, 1939, 27, 'इलेक्ट्रोनिक');
INSERT INTO `lang_definitions` VALUES (101614, 1942, 27, 'इलेक्ट्रॉनिक remits');
INSERT INTO `lang_definitions` VALUES (101615, 1943, 27, 'इलेक्ट्रॉनिक रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (101616, 1944, 27, 'पात्रता');
INSERT INTO `lang_definitions` VALUES (101617, 1945, 27, 'पात्रता 270 बैच की जाँच');
INSERT INTO `lang_definitions` VALUES (101618, 1946, 27, 'पात्रता प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (101619, 1947, 27, 'बच्चों के वैक्सीन की आपूर्ति के लिए पात्रता स्थिति');
INSERT INTO `lang_definitions` VALUES (101620, 1948, 27, 'पात्र');
INSERT INTO `lang_definitions` VALUES (101621, 1949, 27, 'ईमेल');
INSERT INTO `lang_definitions` VALUES (101622, 1951, 27, 'ईमेल का पता');
INSERT INTO `lang_definitions` VALUES (101623, 1953, 27, 'रोगी अनुस्मारक के लिए प्रेषक का ईमेल पता. रोगी अनुस्मारक के उत्तरों को इस पते पर भेज दिया जाएगा.अपने क्लिनिक के डोमेन से एक पते का उपयोग करना आवश्यक है. यह रोगी अनुस्मारक को जंक मेल फोल्डर में जाने से रोकने में मदद करता है!');
INSERT INTO `lang_definitions` VALUES (101624, 1954, 27, 'ईमेल पता, यदि कोई हो, प्रशासनिक सूचनाएं प्राप्त करने के लिए.');
INSERT INTO `lang_definitions` VALUES (101625, 1955, 27, 'ईमेल पता, यदि कोई हो, आपातकालीन लॉगिन उपयोगकर्ता सक्रियण संदेश प्राप्त करने के लिए.');
INSERT INTO `lang_definitions` VALUES (101626, 1956, 27, 'ईमेल प्रमाणीकरण');
INSERT INTO `lang_definitions` VALUES (101627, 1957, 27, 'Batchcom से ईमेल');
INSERT INTO `lang_definitions` VALUES (101628, 1958, 27, 'ईमेल सूचना');
INSERT INTO `lang_definitions` VALUES (101629, 1959, 27, 'ईमेल सूचना के घंटे');
INSERT INTO `lang_definitions` VALUES (101630, 1960, 27, 'ईमेल सूचना रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (101631, 1961, 27, 'ईमेल पहले भेजा गया');
INSERT INTO `lang_definitions` VALUES (101632, 1962, 27, 'ईमेल प्रेषक');
INSERT INTO `lang_definitions` VALUES (101633, 1963, 27, 'ईमेल भेजा गया');
INSERT INTO `lang_definitions` VALUES (101634, 1964, 27, 'ईमेल भेजा');
INSERT INTO `lang_definitions` VALUES (101635, 1965, 27, 'ईमेल विषय');
INSERT INTO `lang_definitions` VALUES (101636, 1966, 27, 'ईमेल पाठ, उपयोगी टैग: *** नाम ***, यानी प्रिय *** नाम ***');
INSERT INTO `lang_definitions` VALUES (101637, 1967, 27, 'ईमेल पाठ, उपयोगी टैग: *** नाम ***, यानी प्रिय *** नाम *** {. {अनुवाद नहीं है *** नाम *** यह निरंतर के तत्वों}}');
INSERT INTO `lang_definitions` VALUES (101638, 1968, 27, 'ईमेल परिवहन विधि');
INSERT INTO `lang_definitions` VALUES (101639, 1969, 27, 'ईमेल निम्न पते पर भेजा गया था');
INSERT INTO `lang_definitions` VALUES (101640, 1971, 27, 'आपातकालीन संपर्क');
INSERT INTO `lang_definitions` VALUES (101641, 1972, 27, 'आपातकालीन संपर्क अधिकारी');
INSERT INTO `lang_definitions` VALUES (101642, 1973, 27, 'आपातकालीन संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (101643, 1974, 27, 'आपातकालीन गर्भनिरोधक');
INSERT INTO `lang_definitions` VALUES (101644, 1975, 27, 'इमरजेंसी प्रवेश');
INSERT INTO `lang_definitions` VALUES (101645, 1976, 27, 'इमरजेंसी लॉग इन एसीएल चुना है.अब भी उपयोगकर्ता सक्रिय स्थिति में है, उपयोगकर्ता को निष्क्रिय करें और आपात स्थितियों के दौरान जरूरत पड़ने पर ही सक्रिय करें.सक्रिय या निष्क्रिय करने के लिए के लिए प्रशासन> उपयोगकर्ता मे जाएँ!');
INSERT INTO `lang_definitions` VALUES (101646, 1977, 27, 'इमरजेंसी लॉग इन सक्रियकरण ईमेल परिचालित किया जाएगा जब केवल इंटरफेस / globals.php फ़ाइल में निम्न सेटिंग्स कॉन्फ़िगर किया जाता है!');
INSERT INTO `lang_definitions` VALUES (101647, 1978, 27, 'इमरजेंसी लॉग इन ईमेल पता');
INSERT INTO `lang_definitions` VALUES (101648, 1979, 27, 'इमरजेंसी लॉग इन उपयोगकर्ता कुछ भी कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (101649, 1980, 27, 'आपातकालीन फोन');
INSERT INTO `lang_definitions` VALUES (101650, 1981, 27, 'भावनात्मक / व्यवहार स्थितियां और जटिलताएं');
INSERT INTO `lang_definitions` VALUES (101651, 1982, 27, 'वातस्फीति');
INSERT INTO `lang_definitions` VALUES (101652, 1983, 27, 'कर्मचारी');
INSERT INTO `lang_definitions` VALUES (101653, 1984, 27, 'नियोक्ता');
INSERT INTO `lang_definitions` VALUES (101654, 1985, 27, 'नियोक्ता पता');
INSERT INTO `lang_definitions` VALUES (101655, 1986, 27, 'नियोक्ता डाटा');
INSERT INTO `lang_definitions` VALUES (101656, 1987, 27, 'नियोक्ता का नाम');
INSERT INTO `lang_definitions` VALUES (101657, 1988, 27, 'खाली');
INSERT INTO `lang_definitions` VALUES (101658, 1989, 27, 'खाली');
INSERT INTO `lang_definitions` VALUES (101659, 1990, 27, 'खाली पासवर्ड की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (101660, 1991, 27, 'ईमेल घंटे में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101661, 1992, 27, 'ईमेल प्रेषक में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101662, 1993, 27, 'ईमेल विषय में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101663, 1994, 27, 'ईमेल पाठ में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101664, 1995, 27, 'प्रदाता का नाम में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101665, 1996, 27, 'पासवर्ड में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101666, 1997, 27, 'एसएमएस घंटे में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101667, 1998, 27, 'एसएमएस पाठ में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101668, 1999, 27, 'उपयोगकर्ता नाम में खाली मूल्य');
INSERT INTO `lang_definitions` VALUES (101669, 2006, 27, 'एएमसी उत्साह सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101670, 2008, 27, 'एएमसी रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101671, 2009, 27, 'एएमसी ट्रैकिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101672, 2011, 27, 'ATNA अंकेक्षण सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101673, 2013, 27, 'ऑडिट लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101674, 2014, 27, 'ऑडिट ट्रेल और नोड प्रमाणीकरण (ATNA)सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101675, 2015, 27, 'स्वचालित उपाय गणना सक्रिय करें(एएमसी) रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (101676, 2016, 27, 'क्लाएंट एसएसएल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101677, 2017, 27, 'ग्राहक एसएसएल प्रमाणपत्र प्रमाणन को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101678, 2019, 27, 'नैदानिक ​​निर्णय नियम सक्रिय करें (सीडीआर)');
INSERT INTO `lang_definitions` VALUES (101679, 2022, 27, '(CQM) रिपोर्टिंग क्लीनिकल गुणवत्ता के उपाय सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101680, 2023, 27, 'क्लीनिकल अनुस्मारक पॉपअप सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101681, 2024, 27, 'क्लीनिकल अनुस्मारक विजेट सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101682, 2027, 27, 'CQM रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101683, 2028, 27, 'बाएँ मेनू में ईडीआई इतिहास सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101684, 2030, 27, 'बाएँ मेनू में फीस सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101685, 2031, 27, 'Hylafax समर्थन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101686, 2033, 27, 'NewCrop ERX के लिए आयात स्थिति संदेश सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101687, 2037, 27, 'लैब विनिमय सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101688, 2039, 27, 'CouchDB में दस्तावेज़ अपलोड / डाउनलोड करने के लिए लॉग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101689, 2040, 27, 'सभी SQL चयन प्रश्नों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101690, 2041, 27, 'बैकअप से संबंधित गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101691, 2042, 27, 'सीडीआर इंजन प्रश्नों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101692, 2043, 27, 'विविध गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101693, 2044, 27, 'गतिविधियों आदेश देने की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101694, 2045, 27, 'रोगी रिकॉर्ड संशोधनों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101695, 2046, 27, 'समय निर्धारण गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101696, 2047, 27, 'सुरक्षा और प्रशासन की गतिविधियों की लॉगिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101697, 2049, 27, 'NewCrop ERX सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101698, 2051, 27, 'Offsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101699, 2052, 27, 'Offsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101700, 2053, 27, 'Onsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101701, 2055, 27, 'Onsite रोगी पोर्टल सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101702, 2056, 27, 'रोगी अनुस्मारक विजेट सक्षम करें');
INSERT INTO `lang_definitions` VALUES (101703, 2057, 27, 'PhiMail प्रत्यक्ष संदेश सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101704, 2058, 27, 'स्वचालित उपाय गणना (एएमसी) के लिए आवश्यक डेटा के लिए उत्साह सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101705, 2060, 27, 'स्वचालित उपाय गणना के लिए ट्रैकिंग तिथि (एएमसी) की रिपोर्टिंग सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101706, 2061, 27, 'स्कैनर समर्थन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101707, 2064, 27, 'मैडिकल इन्फोर्मेशन इंटीग्रेशन, LLC लैब विनिमय सेवा को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101708, 2065, 27, 'LibreEHR समर्थन LLC लैब विनिमय सेवा को सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101709, 2066, 27, 'उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101710, 2067, 27, 'ZMG, LLC ERX सेवा सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (101711, 2068, 27, 'सक्रिय किया');
INSERT INTO `lang_definitions` VALUES (101712, 2070, 27, 'Enables the old Charges panel for entering billing codes and payments. Not recommended, use the Fee Sheet instead.');
INSERT INTO `lang_definitions` VALUES (101713, 2071, 27, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (101714, 2072, 27, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (101715, 2073, 27, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (101716, 2074, 27, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (101717, 2075, 27, 'मुठभेड़ ');
INSERT INTO `lang_definitions` VALUES (101718, 2076, 27, 'मुठभेड़ एक्यूट inpatient या ED');
INSERT INTO `lang_definitions` VALUES (101719, 2081, 27, 'मुठभेड़ तिथि');
INSERT INTO `lang_definitions` VALUES (101720, 2084, 27, 'मुठभेड़ ईडीआई रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (101721, 2086, 27, 'मुठभेड़ फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (101722, 2087, 27, 'मुठभेड़ स्वास्थ्य और व्यवहार मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (101723, 2088, 27, 'मुठभेड़ इतिहास');
INSERT INTO `lang_definitions` VALUES (101724, 2089, 27, 'मुठभेड़ आईडी');
INSERT INTO `lang_definitions` VALUES (101725, 2090, 27, 'मुठभेड़ इन्फ्लूएंजा');
INSERT INTO `lang_definitions` VALUES (101726, 2091, 27, 'मुठभेड़ संख्या');
INSERT INTO `lang_definitions` VALUES (101727, 2093, 27, 'मुठभेड़ नर्सिंग छुट्टी के');
INSERT INTO `lang_definitions` VALUES (101728, 2094, 27, 'मुठभेड़ नर्सिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (101729, 2095, 27, 'मुठभेड़ व्यावसायिक चिकित्सा');
INSERT INTO `lang_definitions` VALUES (101730, 2096, 27, 'मुठभेड़ कार्यालय का दौरा');
INSERT INTO `lang_definitions` VALUES (101731, 2097, 27, 'मुठभेड़ आउट पेशेंट');
INSERT INTO `lang_definitions` VALUES (101732, 2098, 27, 'मुठभेड़ आउट पेशेंट डब्ल्यू / पीसीपी और OBGYN');
INSERT INTO `lang_definitions` VALUES (101733, 2099, 27, 'मुठभेड़ पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (101734, 2100, 27, 'मुठभेड़ भुगतान');
INSERT INTO `lang_definitions` VALUES (101735, 2101, 27, 'मुठभेड़ गर्भावस्था');
INSERT INTO `lang_definitions` VALUES (101736, 2102, 27, 'मुठभेड़ निवारक चिकित्सा - व्यक्तिगत परामर्श');
INSERT INTO `lang_definitions` VALUES (101737, 2103, 27, 'मुठभेड़ निवारक चिकित्सा 40 और पुराने');
INSERT INTO `lang_definitions` VALUES (101738, 2104, 27, 'मुठभेड़ निवारक चिकित्सा समूह के परामर्श');
INSERT INTO `lang_definitions` VALUES (101739, 2105, 27, 'मुठभेड़ निवारक चिकित्सा अन्य सेवाएं');
INSERT INTO `lang_definitions` VALUES (101740, 2106, 27, 'मुठभेड़ निवारक चिकित्सा सेवाओं 18 और पुराने');
INSERT INTO `lang_definitions` VALUES (101741, 2107, 27, 'मुठभेड़ मनोरोग और मनोवैज्ञानिक');
INSERT INTO `lang_definitions` VALUES (101742, 2108, 27, 'मुठभेड़ के आँकड़े');
INSERT INTO `lang_definitions` VALUES (101743, 2109, 27, 'मुठभेड़ सारांश');
INSERT INTO `lang_definitions` VALUES (101744, 2110, 27, 'मुठभेड़ कोडित था');
INSERT INTO `lang_definitions` VALUES (101745, 2111, 27, 'मुठभेड़:');
INSERT INTO `lang_definitions` VALUES (101746, 2112, 27, 'मुठभेड़: मुठभेड़ अतीव्र inpt, आउट पेशेंट, या नेत्र विज्ञान के');
INSERT INTO `lang_definitions` VALUES (101747, 2113, 27, 'मुठभेड़');
INSERT INTO `lang_definitions` VALUES (101748, 2114, 27, 'मुठभेड़ और प्रपत्र');
INSERT INTO `lang_definitions` VALUES (101749, 2115, 27, 'मुठभेड़ और प्रपत्र');
INSERT INTO `lang_definitions` VALUES (101750, 2116, 27, 'अधिकृत नहीं मुठभेड़');
INSERT INTO `lang_definitions` VALUES (101751, 2117, 27, 'मुठभेड़ की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (101752, 2118, 27, 'मुठभेड़ धारा');
INSERT INTO `lang_definitions` VALUES (101753, 2120, 27, 'एन्क्रिप्शन');
INSERT INTO `lang_definitions` VALUES (101754, 2121, 27, 'अंत');
INSERT INTO `lang_definitions` VALUES (101755, 2122, 27, 'अंत (YYYY-MM-DD): ');
INSERT INTO `lang_definitions` VALUES (101756, 2123, 27, 'अंत तिथि');
INSERT INTO `lang_definitions` VALUES (101757, 2124, 27, 'अंतिम तिथि');
INSERT INTO `lang_definitions` VALUES (101758, 2126, 27, 'अंतिम तिथि प्रारम्भ तिथि से अधिक होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (101759, 2127, 27, 'अंत तिथि:');
INSERT INTO `lang_definitions` VALUES (101760, 2131, 27, 'अंत समय');
INSERT INTO `lang_definitions` VALUES (101761, 2132, 27, 'कार्यदाता समूह योजना के साथ MCP में अंत मंच वृक्क रोग के लाभार्थी');
INSERT INTO `lang_definitions` VALUES (101762, 2133, 27, 'सेवा समाप्त होने की तिथि YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (101763, 2134, 27, 'खत्म होने वाली DOS dd / mm / yyyy, एक सीमा में प्रवेश करने के लिए!');
INSERT INTO `lang_definitions` VALUES (101764, 2135, 27, 'कैलेंडर की घटनाओं के लिए दिन के समाप्त घंटे.');
INSERT INTO `lang_definitions` VALUES (101765, 2136, 27, 'Endo असामान्य रक्त');
INSERT INTO `lang_definitions` VALUES (101766, 2137, 27, 'अंत: स्त्रावी');
INSERT INTO `lang_definitions` VALUES (101767, 2138, 27, 'अंत: दर्शन');
INSERT INTO `lang_definitions` VALUES (101768, 2141, 27, 'अंग्रेज़ी');
INSERT INTO `lang_definitions` VALUES (101769, 2142, 27, 'अंग्रेज़ी ');
INSERT INTO `lang_definitions` VALUES (101770, 2143, 27, 'अंग्रेजी (भारतीय)');
INSERT INTO `lang_definitions` VALUES (101771, 2144, 27, 'अंग्रेजी (मानक)');
INSERT INTO `lang_definitions` VALUES (101772, 2145, 27, 'Hylafax द्वारा इस्तेमाल किया Enscript आदेश.');
INSERT INTO `lang_definitions` VALUES (101773, 2146, 27, 'LibreEHR के लिए निर्देशिका में लिखने के विशेषाधिकार सुनिश्चित करें!');
INSERT INTO `lang_definitions` VALUES (101774, 2147, 27, 'इ एन टी निर्वहन');
INSERT INTO `lang_definitions` VALUES (101775, 2148, 27, 'इ एन टी दर्द');
INSERT INTO `lang_definitions` VALUES (101776, 2149, 27, 'इसको समाहित नहीं करने वाले सभी चालान बाहर करने के लिए एक निदान कोड दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (101777, 2151, 27, 'यहाँ शरीर के अक्षर दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101778, 2152, 27, 'डाटाबेस रूट पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101779, 2153, 27, 'डाटाबेस जड़ उपयोगकर्ता नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101780, 2154, 27, 'निदान दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101781, 2155, 27, 'दवा दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101782, 2156, 27, 'मुठभेड़ दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101783, 2157, 27, 'मुठभेड़ संख्या दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101784, 2158, 27, 'टीकाकरण दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101785, 2159, 27, 'कुंजी दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101786, 2161, 27, 'नए राज्य दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101787, 2162, 27, 'प्राप्तकर्ता का  \'प्रत्यक्ष पता दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101788, 2164, 27, 'पुनः पहचान कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101789, 2165, 27, 'ऊपर अपने खोज मापदंड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (101790, 2166, 27, 'त्रुटि में दर्ज किया');
INSERT INTO `lang_definitions` VALUES (101791, 2167, 27, 'प्रविष्टियों');
INSERT INTO `lang_definitions` VALUES (101792, 2168, 27, 'पर्यावरण');
INSERT INTO `lang_definitions` VALUES (101793, 2169, 27, 'EOB डाटा एंट्री');
INSERT INTO `lang_definitions` VALUES (101794, 2170, 27, 'EOB पोस्टिंग - इलेक्ट्रॉनिक प्रेषण');
INSERT INTO `lang_definitions` VALUES (101795, 2171, 27, 'EOB पोस्टिंग - निर्देश');
INSERT INTO `lang_definitions` VALUES (101796, 2172, 27, 'EOB पोस्टिंग - चालान');
INSERT INTO `lang_definitions` VALUES (101797, 2173, 27, 'EOB पोस्टिंग - रोगी नोट');
INSERT INTO `lang_definitions` VALUES (101798, 2174, 27, 'EOB पोस्टिंग - खोज');
INSERT INTO `lang_definitions` VALUES (101799, 2176, 27, 'मिर्गी');
INSERT INTO `lang_definitions` VALUES (101800, 2178, 27, 'ERA');
INSERT INTO `lang_definitions` VALUES (101801, 2179, 27, 'ERA फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (101802, 2180, 27, 'ERA पोस्टिंग');
INSERT INTO `lang_definitions` VALUES (101803, 2181, 27, 'मिटाना');
INSERT INTO `lang_definitions` VALUES (101804, 2182, 27, 'इरेक्शन');
INSERT INTO `lang_definitions` VALUES (101805, 2183, 27, 'त्रुटि');
INSERT INTO `lang_definitions` VALUES (101806, 2185, 27, 'प्रयोगशाला के परिणाम प्राप्त होने की त्रुटि की पुष्टि');
INSERT INTO `lang_definitions` VALUES (101807, 2187, 27, 'लैब एक्सचेंज नेटवर्क से प्रयोगशाला के परिणाम प्राप्त करने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101808, 2188, 27, 'लिंग चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101809, 2189, 27, 'HIPAA चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101810, 2190, 27, 'प्रक्रिया चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101811, 2191, 27, 'एसएमएस गेटवे चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101812, 2192, 27, 'छंटनी करें चयन में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101813, 2193, 27, 'फ़ाइल का gzip संपीड़न में त्रुटि: ');
INSERT INTO `lang_definitions` VALUES (101814, 2194, 27, 'हाँ या नहीं विकल्प में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101815, 2195, 27, 'अपलोड की गई फ़ाइल पढ़ने के लिए खोलने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101816, 2196, 27, 'फ़ाइल प्रक्रिया में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101817, 2197, 27, 'अपलोड प्रक्रिया में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101818, 2198, 27, 'त्रुटि संदेश हटा रहा है');
INSERT INTO `lang_definitions` VALUES (101819, 2199, 27, 'लैब एक्सचेंज नेटवर्क से परिणाम पाने में त्रुटि');
INSERT INTO `lang_definitions` VALUES (101820, 2200, 27, 'मूल्यों को पुन: प्राप्त करने में त्रुटि.');
INSERT INTO `lang_definitions` VALUES (101821, 2202, 27, 'LibreEHR उपयोगकर्ता के लिए फ़ाइल विशेषाधिकार देने में त्रुटि.');
INSERT INTO `lang_definitions` VALUES (101822, 2205, 27, 'फॉर्म पंजीकरण करने के दौरान त्रुटि!');
INSERT INTO `lang_definitions` VALUES (101823, 2206, 27, 'फ़ाइल सहेजने के दौरान त्रुटि.');
INSERT INTO `lang_definitions` VALUES (101824, 2208, 27, 'फ़ाइल लिखने के दौरान त्रुटि');
INSERT INTO `lang_definitions` VALUES (101825, 2209, 27, 'त्रुटि (ओं) नए परिणामों का सामना करते समय.');
INSERT INTO `lang_definitions` VALUES (101826, 2210, 27, 'त्रुटि, फ़ाइल मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (101827, 2211, 27, 'त्रुटि, सर्वर से डाटा एकत्र करने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (101828, 2212, 27, 'त्रुटि, क्लाइंट प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (101829, 2213, 27, 'त्रुटि, admin.p12 प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (101830, 2214, 27, 'त्रुटि, प्रमाणपत्र प्राधिकार प्रमाण पत्र नहीं बना सके.');
INSERT INTO `lang_definitions` VALUES (101831, 2215, 27, 'त्रुटि, सर्वर प्रमाणपत्र बनाने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (101832, 2216, 27, 'त्रुटि, को खोलने में असमर्थ फ़ाइल');
INSERT INTO `lang_definitions` VALUES (101833, 2217, 27, 'त्रुटि, उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण LibreEHR में सक्षम नहीं है');
INSERT INTO `lang_definitions` VALUES (101834, 2218, 27, 'त्रुटि. आप संग्रह / Tar.php PHP मॉड्यूल स्थापित करने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (101835, 2219, 27, 'त्रुटि: table.sql, टूटे फार्म को नहीं खोल सकता है?');
INSERT INTO `lang_definitions` VALUES (101836, 2220, 27, 'त्रुटि: लाइन पर आईडी दोहराया');
INSERT INTO `lang_definitions` VALUES (101837, 2221, 27, 'त्रुटि: लाइन पर नाम दोहराया');
INSERT INTO `lang_definitions` VALUES (101838, 2222, 27, 'त्रुटि: फील्ड');
INSERT INTO `lang_definitions` VALUES (101839, 2223, 27, 'त्रुटि: ZipArchive php मॉड्यूल लापता');
INSERT INTO `lang_definitions` VALUES (101840, 2224, 27, 'त्रुटि: आईसीडी आयात निर्देशिका नहीं.');
INSERT INTO `lang_definitions` VALUES (101841, 2225, 27, 'त्रुटि: पासवर्ड मेल नहीं खाते. अपनी टाइपिंग की जांच करें.');
INSERT INTO `lang_definitions` VALUES (101842, 2226, 27, 'त्रुटि: पासवर्ड मेल नहीं खाते. अपनी टाइपिंग की जांच करें.');
INSERT INTO `lang_definitions` VALUES (101843, 2227, 27, 'त्रुटि: फ़ाइल मौजूद नहीं है');
INSERT INTO `lang_definitions` VALUES (101844, 2228, 27, 'त्रुटि: निम्नलिखित चर का अमान्य वर्ण हैं');
INSERT INTO `lang_definitions` VALUES (101845, 2229, 27, 'त्रुटि: फाइल कॉपी करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (101846, 2230, 27, 'त्रुटि: नया संग्रह बनाने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (101847, 2231, 27, 'त्रुटि: ज़िप संग्रह बनाने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (101848, 2232, 27, 'त्रुटि: फ़ाइल निकालने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (101849, 2233, 27, 'त्रुटि: डेटाबेस में फ़ाइल लोड करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (101850, 2234, 27, 'त्रुटि: संस्करण संख्या निर्धारित करने में असमर्थ.');
INSERT INTO `lang_definitions` VALUES (101851, 2235, 27, 'त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (101852, 2236, 27, 'ERX खाते की स्थिति');
INSERT INTO `lang_definitions` VALUES (101853, 2237, 27, 'ERX लॉग्स');
INSERT INTO `lang_definitions` VALUES (101854, 2238, 27, 'ERX नाम');
INSERT INTO `lang_definitions` VALUES (101855, 2239, 27, 'ERX पारण');
INSERT INTO `lang_definitions` VALUES (101856, 2240, 27, 'ERX भूमिका');
INSERT INTO `lang_definitions` VALUES (101857, 2241, 27, 'ERX उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (101858, 2242, 27, 'पर्विल:');
INSERT INTO `lang_definitions` VALUES (101859, 2245, 27, 'एस्किमो');
INSERT INTO `lang_definitions` VALUES (101860, 2247, 27, 'स्थापित रोगी');
INSERT INTO `lang_definitions` VALUES (101861, 2248, 27, 'एस्तोनियावासी');
INSERT INTO `lang_definitions` VALUES (101862, 2249, 27, 'नस्ल');
INSERT INTO `lang_definitions` VALUES (101863, 2250, 27, 'नस्ल या जाति');
INSERT INTO `lang_definitions` VALUES (101864, 2251, 27, 'नस्ल रेस सूची (लिखना addonly, वैकल्पिक )');
INSERT INTO `lang_definitions` VALUES (101865, 2252, 27, 'ETIN');
INSERT INTO `lang_definitions` VALUES (101866, 2253, 27, 'घटना');
INSERT INTO `lang_definitions` VALUES (101867, 2254, 27, 'घटना शुरू होती है');
INSERT INTO `lang_definitions` VALUES (101868, 2255, 27, 'घटना श्रेणी');
INSERT INTO `lang_definitions` VALUES (101869, 2256, 27, 'घटना दिनांक');
INSERT INTO `lang_definitions` VALUES (101870, 2257, 27, 'घटना विवरण');
INSERT INTO `lang_definitions` VALUES (101871, 2258, 27, 'घटना विवरण');
INSERT INTO `lang_definitions` VALUES (101872, 2259, 27, 'घटना दोहराया नहीं करता');
INSERT INTO `lang_definitions` VALUES (101873, 2260, 27, 'घटना अवधि');
INSERT INTO `lang_definitions` VALUES (101874, 2261, 27, 'मिनटों में घटना की अवधि');
INSERT INTO `lang_definitions` VALUES (101875, 2262, 27, 'घटना का शुल्क');
INSERT INTO `lang_definitions` VALUES (101876, 2263, 27, 'घटना स्थान');
INSERT INTO `lang_definitions` VALUES (101877, 2264, 27, 'घटना दोहराता है हर');
INSERT INTO `lang_definitions` VALUES (101878, 2265, 27, 'घटना इस पर दोहराता है');
INSERT INTO `lang_definitions` VALUES (101879, 2266, 27, 'घटना का समय शुरू');
INSERT INTO `lang_definitions` VALUES (101880, 2267, 27, 'घटना शीर्षक');
INSERT INTO `lang_definitions` VALUES (101881, 2268, 27, 'घटना शीर्षक');
INSERT INTO `lang_definitions` VALUES (101882, 2269, 27, 'घटना वेबसाइट');
INSERT INTO `lang_definitions` VALUES (101883, 2270, 27, 'घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (101884, 2271, 27, 'के लिए घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (101885, 2272, 27, 'घटनाक्रम नए विंडो में खुलेगा');
INSERT INTO `lang_definitions` VALUES (101886, 2273, 27, 'हर');
INSERT INTO `lang_definitions` VALUES (101887, 2274, 27, 'हर');
INSERT INTO `lang_definitions` VALUES (101888, 2275, 27, 'हर 3 घंटे');
INSERT INTO `lang_definitions` VALUES (101889, 2276, 27, 'हर 4 घंटे');
INSERT INTO `lang_definitions` VALUES (101890, 2277, 27, 'हर 5 घंटे');
INSERT INTO `lang_definitions` VALUES (101891, 2278, 27, 'हर 6 घंटे');
INSERT INTO `lang_definitions` VALUES (101892, 2279, 27, 'हर 8 घंटे');
INSERT INTO `lang_definitions` VALUES (101893, 2280, 27, 'हर चौथे');
INSERT INTO `lang_definitions` VALUES (101894, 2281, 27, 'हर दूसरे');
INSERT INTO `lang_definitions` VALUES (101895, 2282, 27, 'हर तीसरे');
INSERT INTO `lang_definitions` VALUES (101896, 2283, 27, 'हर, हर दूसरे, हर 3, आदि');
INSERT INTO `lang_definitions` VALUES (101897, 2285, 27, 'परीक्षा और परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (101898, 2286, 27, 'परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (101899, 2289, 27, 'परीक्षा');
INSERT INTO `lang_definitions` VALUES (101900, 2290, 27, 'परीक्षा तिथि');
INSERT INTO `lang_definitions` VALUES (101901, 2291, 27, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (101902, 2292, 27, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (101903, 2293, 27, 'परीक्षा / टेस्ट');
INSERT INTO `lang_definitions` VALUES (101904, 2294, 27, 'को छोड़कर');
INSERT INTO `lang_definitions` VALUES (101905, 2295, 27, 'अत्यधिक फाड़');
INSERT INTO `lang_definitions` VALUES (101906, 2296, 27, 'निकाले गए मरीजों को');
INSERT INTO `lang_definitions` VALUES (101907, 2297, 27, 'अपवर्जन');
INSERT INTO `lang_definitions` VALUES (101908, 2298, 27, 'विशेष प्रदाता संगठन (ईपीओ)');
INSERT INTO `lang_definitions` VALUES (101909, 2299, 27, 'कार्यकारी पेपर आकार');
INSERT INTO `lang_definitions` VALUES (101910, 2300, 27, 'व्यायाम');
INSERT INTO `lang_definitions` VALUES (101911, 2301, 27, 'व्यायाम पैटर्न्स');
INSERT INTO `lang_definitions` VALUES (101912, 2302, 27, 'व्यायाम पैटर्न');
INSERT INTO `lang_definitions` VALUES (101913, 2303, 27, 'मौजूद');
INSERT INTO `lang_definitions` VALUES (101914, 2304, 27, 'प्रशासन की ओर से बाहर निकलें');
INSERT INTO `lang_definitions` VALUES (101915, 2305, 27, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (101916, 2306, 27, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (101917, 2307, 27, 'विस्तृत करें');
INSERT INTO `lang_definitions` VALUES (101918, 2308, 27, 'सभी का विस्तार');
INSERT INTO `lang_definitions` VALUES (101919, 2311, 27, 'विस्तारित देखें');
INSERT INTO `lang_definitions` VALUES (101920, 2312, 27, 'form_encounter.pid होने की उम्मीद ');
INSERT INTO `lang_definitions` VALUES (101921, 2313, 27, 'समाप्ति');
INSERT INTO `lang_definitions` VALUES (101922, 2314, 27, 'समय समाप्ति तिथि');
INSERT INTO `lang_definitions` VALUES (101923, 2315, 27, 'समाप्त हो रहा');
INSERT INTO `lang_definitions` VALUES (101924, 2316, 27, 'में समाप्त हो रहा है');
INSERT INTO `lang_definitions` VALUES (101925, 2317, 27, 'निर्यात');
INSERT INTO `lang_definitions` VALUES (101926, 2318, 27, 'सीएसवी के रूप में निर्यात');
INSERT INTO `lang_definitions` VALUES (101927, 2319, 27, 'निर्यात विन्यास');
INSERT INTO `lang_definitions` VALUES (101928, 2322, 27, 'निर्यात रोगी जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (101929, 2323, 27, 'निर्यात PQRI रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (101930, 2325, 27, 'सीएसवी के रूप में चयनित निर्यात');
INSERT INTO `lang_definitions` VALUES (101931, 2326, 27, 'संग्रह के लिए चयनित निर्यात');
INSERT INTO `lang_definitions` VALUES (101932, 2327, 27, 'सीएसवी निर्यात');
INSERT INTO `lang_definitions` VALUES (101933, 2328, 27, 'बाहरी बिलिंग प्रणाली के लिए निर्यात');
INSERT INTO `lang_definitions` VALUES (101934, 2329, 27, 'विदेशी देशों के लिए एक्सपोजर');
INSERT INTO `lang_definitions` VALUES (101935, 2330, 27, 'विदेशी देशों के लिए एक्सपोजर');
INSERT INTO `lang_definitions` VALUES (101936, 2331, 27, 'एक्सटेंशन समय एकत्रित');
INSERT INTO `lang_definitions` VALUES (101937, 2332, 27, 'बाहरी');
INSERT INTO `lang_definitions` VALUES (101938, 2334, 27, 'बाहरी डेटा लोड');
INSERT INTO `lang_definitions` VALUES (101939, 2335, 27, 'बाहरी डेटाबेस आयात उपयोगिता');
INSERT INTO `lang_definitions` VALUES (101940, 2336, 27, 'बाहरी आईडी');
INSERT INTO `lang_definitions` VALUES (101941, 2337, 27, 'बाहरी आईडी');
INSERT INTO `lang_definitions` VALUES (101942, 2338, 27, 'बाहरी पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (101943, 2339, 27, 'विदेश केवल');
INSERT INTO `lang_definitions` VALUES (101944, 2342, 27, 'बाहरी सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (101945, 2343, 27, 'बाहरी सिफ़ारिश followups');
INSERT INTO `lang_definitions` VALUES (101946, 2344, 27, 'बाहरी सिफ़ारिश?');
INSERT INTO `lang_definitions` VALUES (101947, 2345, 27, 'बाहरी सिफ़ारिशों के');
INSERT INTO `lang_definitions` VALUES (101948, 2346, 27, 'Zip फ़ाइल निकालें');
INSERT INTO `lang_definitions` VALUES (101949, 2347, 27, 'फ़ाइल निकाल रहा है. यह कुछ समय लगेगा ...');
INSERT INTO `lang_definitions` VALUES (101950, 2348, 27, 'पीब:');
INSERT INTO `lang_definitions` VALUES (101951, 2349, 27, 'आंख में जलन');
INSERT INTO `lang_definitions` VALUES (101952, 2350, 27, 'आंख में दर्द');
INSERT INTO `lang_definitions` VALUES (101953, 2351, 27, 'आँख लालिमा');
INSERT INTO `lang_definitions` VALUES (101954, 2352, 27, 'आंखें');
INSERT INTO `lang_definitions` VALUES (101955, 2353, 27, 'एफ');
INSERT INTO `lang_definitions` VALUES (101956, 2354, 27, 'एफ / एच रक्त की समस्याएं');
INSERT INTO `lang_definitions` VALUES (101957, 2355, 27, 'एफ / एच महिला Hirsutism / striae');
INSERT INTO `lang_definitions` VALUES (101958, 2356, 27, 'सुविधाएं');
INSERT INTO `lang_definitions` VALUES (101959, 2357, 27, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (101960, 2358, 27, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (101961, 2359, 27, 'सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (101962, 2360, 27, 'सुविधा शहर');
INSERT INTO `lang_definitions` VALUES (101963, 2361, 27, 'सुविधा कोड');
INSERT INTO `lang_definitions` VALUES (101964, 2362, 27, 'सुविधा देश कोड');
INSERT INTO `lang_definitions` VALUES (101965, 2363, 27, 'सुविधा फैक्स');
INSERT INTO `lang_definitions` VALUES (101966, 2364, 27, 'सुविधा नाम');
INSERT INTO `lang_definitions` VALUES (101967, 2365, 27, 'सुविधा NPI');
INSERT INTO `lang_definitions` VALUES (101968, 2366, 27, 'सुविधा फोन');
INSERT INTO `lang_definitions` VALUES (101969, 2367, 27, 'सुविधा उपयोगकर्ता विशिष्ट जानकारी');
INSERT INTO `lang_definitions` VALUES (101970, 2368, 27, 'सुविधा राज्य');
INSERT INTO `lang_definitions` VALUES (101971, 2369, 27, 'सुविधा स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (101972, 2370, 27, 'सुविधा पिन');
INSERT INTO `lang_definitions` VALUES (101973, 2372, 27, 'सुविधा:');
INSERT INTO `lang_definitions` VALUES (101974, 2373, 27, 'विफल');
INSERT INTO `lang_definitions` VALUES (101975, 2374, 27, 'विफल');
INSERT INTO `lang_definitions` VALUES (101976, 2375, 27, 'विफल');
INSERT INTO `lang_definitions` VALUES (101977, 2380, 27, 'अस्थायी फ़ोल्डर बनाने में विफल. CouchDB काम नहीं करेगा.');
INSERT INTO `lang_definitions` VALUES (101978, 2382, 27, 'विफल.');
INSERT INTO `lang_definitions` VALUES (101979, 2383, 27, 'विफलता');
INSERT INTO `lang_definitions` VALUES (101980, 2390, 27, 'पारिवारिक इतिहास');
INSERT INTO `lang_definitions` VALUES (101981, 2391, 27, 'ग्लूकोमा का पारिवारिक इतिहास');
INSERT INTO `lang_definitions` VALUES (101982, 2392, 27, 'पारिवारिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (101983, 2394, 27, 'पारिवारिक भुगतान');
INSERT INTO `lang_definitions` VALUES (101984, 2395, 27, 'परिवार का आकार');
INSERT INTO `lang_definitions` VALUES (101985, 2396, 27, 'पसंद');
INSERT INTO `lang_definitions` VALUES (101986, 2398, 27, 'फारसी');
INSERT INTO `lang_definitions` VALUES (101987, 2400, 27, 'पिता');
INSERT INTO `lang_definitions` VALUES (101988, 2402, 27, 'थकान');
INSERT INTO `lang_definitions` VALUES (101989, 2403, 27, 'थका हुआ');
INSERT INTO `lang_definitions` VALUES (101990, 2404, 27, 'फैक्स');
INSERT INTO `lang_definitions` VALUES (101991, 2405, 27, 'फैक्स गणना');
INSERT INTO `lang_definitions` VALUES (101992, 2406, 27, 'फैक्स नंबर');
INSERT INTO `lang_definitions` VALUES (101993, 2408, 27, 'फैक्स / स्कैन');
INSERT INTO `lang_definitions` VALUES (101994, 2409, 27, 'फ़ैक्स अंदर');
INSERT INTO `lang_definitions` VALUES (101995, 2410, 27, 'फ़ैक्स बाहर');
INSERT INTO `lang_definitions` VALUES (101996, 2411, 27, 'विशेषताएँ');
INSERT INTO `lang_definitions` VALUES (101997, 2412, 27, 'फरवरी');
INSERT INTO `lang_definitions` VALUES (101998, 2413, 27, 'फरवरी');
INSERT INTO `lang_definitions` VALUES (101999, 2414, 27, 'FECA');
INSERT INTO `lang_definitions` VALUES (102000, 2415, 27, 'फेडरल ड्रग आईडी');
INSERT INTO `lang_definitions` VALUES (102001, 2416, 27, 'फेडरल ईआईऍन');
INSERT INTO `lang_definitions` VALUES (102002, 2417, 27, 'फेडरल कर आईडी');
INSERT INTO `lang_definitions` VALUES (102003, 2418, 27, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (102004, 2419, 27, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (102005, 2420, 27, 'शुल्क की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (102006, 2421, 27, 'शुल्क पत्रक');
INSERT INTO `lang_definitions` VALUES (102007, 2422, 27, 'शुल्क पत्रक विकल्प');
INSERT INTO `lang_definitions` VALUES (102008, 2423, 27, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (102009, 2424, 27, 'महिला');
INSERT INTO `lang_definitions` VALUES (102010, 2425, 27, 'महिला एपी');
INSERT INTO `lang_definitions` VALUES (102011, 2426, 27, 'महिला कंडोम');
INSERT INTO `lang_definitions` VALUES (102012, 2427, 27, 'महिला जी');
INSERT INTO `lang_definitions` VALUES (102013, 2428, 27, 'महिला LC');
INSERT INTO `lang_definitions` VALUES (102014, 2429, 27, 'महिला P');
INSERT INTO `lang_definitions` VALUES (102015, 2430, 27, 'महिला लक्षण');
INSERT INTO `lang_definitions` VALUES (102016, 2431, 27, 'महिला VSC');
INSERT INTO `lang_definitions` VALUES (102017, 2434, 27, 'बुखार');
INSERT INTO `lang_definitions` VALUES (102018, 2435, 27, 'बुखार:');
INSERT INTO `lang_definitions` VALUES (102019, 2436, 27, 'एफ एच रक्त की समस्याएं');
INSERT INTO `lang_definitions` VALUES (102020, 2437, 27, 'फाइब्रॉएड');
INSERT INTO `lang_definitions` VALUES (102021, 2441, 27, 'जनसांख्यिकी में नियोक्ता या ग्राहक के देश के लिए उपयोग करने के लिए फ़ील्ड प्रकार.');
INSERT INTO `lang_definitions` VALUES (102022, 2442, 27, 'जनसांख्यिकी में नियोक्ता या ग्राहक के राज्य के लिए उपयोग करने के लिए फ़ील्ड प्रकार.');
INSERT INTO `lang_definitions` VALUES (102023, 2443, 27, 'फील्ड (ओं) लापता हैं!');
INSERT INTO `lang_definitions` VALUES (102024, 2447, 27, 'फ़ाइल');
INSERT INTO `lang_definitions` VALUES (102025, 2448, 27, 'लॉग बैकअप बनाने की प्रक्रिया को स्वचालित कैसे करें यह जानने के लिए प्रलेखन निर्देशिका में फाइल!');
INSERT INTO `lang_definitions` VALUES (102026, 2449, 27, 'फ़ाइल स्थान');
INSERT INTO `lang_definitions` VALUES (102027, 2450, 27, 'फ़ाइल प्रबंधन');
INSERT INTO `lang_definitions` VALUES (102028, 2453, 27, 'फ़ाइल का विशेषाधिकार LibreEHR उपयोगकर्ता के लिए दीया गया.');
INSERT INTO `lang_definitions` VALUES (102029, 2454, 27, 'CouchDB से फ़ाइल पुनर्प्राप्ति विफल रहा');
INSERT INTO `lang_definitions` VALUES (102030, 2455, 27, 'फ़ाइल कक्ष');
INSERT INTO `lang_definitions` VALUES (102031, 2456, 27, 'अपलोड करने के लिए फ़ाइल');
INSERT INTO `lang_definitions` VALUES (102032, 2457, 27, 'अपलोड करने के लिए फ़ाइल');
INSERT INTO `lang_definitions` VALUES (102033, 2458, 27, 'उसी नाम के साथ फ़ाइल पहले से ही स्थान पर मौजूद है:');
INSERT INTO `lang_definitions` VALUES (102034, 2459, 27, 'फाईल का नाम');
INSERT INTO `lang_definitions` VALUES (102035, 2461, 27, 'फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (102036, 2462, 27, 'फिलिपिनो देश');
INSERT INTO `lang_definitions` VALUES (102037, 2463, 27, 'नीचे की पंक्ति में से कोई भी भरें.');
INSERT INTO `lang_definitions` VALUES (102038, 2464, 27, 'यहां भरें अगर आप रोगियों को ईमेल सूचना भेज रहे हैं!');
INSERT INTO `lang_definitions` VALUES (102039, 2465, 27, 'नीचे दिए गए मूल्यों में भरें');
INSERT INTO `lang_definitions` VALUES (102040, 2467, 27, 'पंक्ति भरें.');
INSERT INTO `lang_definitions` VALUES (102041, 2468, 27, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (102042, 2469, 27, 'स्थिरांक के लिए फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (102043, 2470, 27, 'परिभाषा के लिए फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (102044, 2471, 27, 'से फ़िल्टर किया');
INSERT INTO `lang_definitions` VALUES (102045, 2472, 27, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (102046, 2473, 27, 'फ़िल्टर');
INSERT INTO `lang_definitions` VALUES (102047, 2474, 27, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (102048, 2475, 27, 'अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (102049, 2476, 27, 'विशेषज्ञ द्वारा अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (102050, 2478, 27, 'वित्तीय');
INSERT INTO `lang_definitions` VALUES (102051, 2479, 27, 'वित्तीय बंद तिथि (YYYY-MM-DD)');
INSERT INTO `lang_definitions` VALUES (102052, 2480, 27, 'वित्तीय रिपोर्टिंग - कुछ भी');
INSERT INTO `lang_definitions` VALUES (102053, 2481, 27, 'वित्तीय रिपोर्टिंग - मेरे मुठभेड़ों के');
INSERT INTO `lang_definitions` VALUES (102054, 2482, 27, 'वित्तीय समीक्षा दिनांक');
INSERT INTO `lang_definitions` VALUES (102055, 2483, 27, 'सेवा संहिता द्वारा वित्तीय सारांश');
INSERT INTO `lang_definitions` VALUES (102056, 2484, 27, 'खोजें');
INSERT INTO `lang_definitions` VALUES (102057, 2485, 27, 'उपलब्ध खोजें');
INSERT INTO `lang_definitions` VALUES (102058, 2486, 27, 'उपलब्ध नियुक्तियों खोजें');
INSERT INTO `lang_definitions` VALUES (102059, 2487, 27, 'रोगी खोजें');
INSERT INTO `lang_definitions` VALUES (102060, 2488, 27, 'रोगी शिक्षा सामग्री खोजें');
INSERT INTO `lang_definitions` VALUES (102061, 2489, 27, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (102062, 2490, 27, 'विशेषज्ञ द्वारा निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (102063, 2491, 27, 'जुर्माना');
INSERT INTO `lang_definitions` VALUES (102064, 2492, 27, 'भुगतान समाप्त');
INSERT INTO `lang_definitions` VALUES (102065, 2493, 27, 'समाप्त');
INSERT INTO `lang_definitions` VALUES (102066, 2495, 27, 'पहला');
INSERT INTO `lang_definitions` VALUES (102067, 2497, 27, 'सप्ताह का पहला दिन');
INSERT INTO `lang_definitions` VALUES (102068, 2498, 27, 'पहला नाम');
INSERT INTO `lang_definitions` VALUES (102069, 2499, 27, 'पहला नाम');
INSERT INTO `lang_definitions` VALUES (102070, 2500, 27, 'पहला नाम:');
INSERT INTO `lang_definitions` VALUES (102071, 2503, 27, 'स्वास्थ्य');
INSERT INTO `lang_definitions` VALUES (102072, 2504, 27, 'स्वास्थ्य स्तर');
INSERT INTO `lang_definitions` VALUES (102073, 2505, 27, 'इस दिन पर इस खिलाड़ी के लिए फिटनेस स्तर');
INSERT INTO `lang_definitions` VALUES (102074, 2507, 27, 'खेलने के लिए फिटनेस');
INSERT INTO `lang_definitions` VALUES (102075, 2508, 27, 'मुठभेड़ तिथियाँ तय करें - किसी भी मुठभेड़ों के');
INSERT INTO `lang_definitions` VALUES (102076, 2509, 27, 'इसे ठीक करें');
INSERT INTO `lang_definitions` VALUES (102077, 2510, 27, 'FL');
INSERT INTO `lang_definitions` VALUES (102078, 2511, 27, 'पेट फूलना');
INSERT INTO `lang_definitions` VALUES (102079, 2512, 27, 'प्रवाह');
INSERT INTO `lang_definitions` VALUES (102080, 2514, 27, 'फ्लू के मौसम');
INSERT INTO `lang_definitions` VALUES (102081, 2515, 27, 'फ्लू के मौसम');
INSERT INTO `lang_definitions` VALUES (102082, 2516, 27, 'फ्लू टीकाकरण');
INSERT INTO `lang_definitions` VALUES (102083, 2517, 27, 'तरल और इलेक्ट्रोलाइट समस्या');
INSERT INTO `lang_definitions` VALUES (102084, 2518, 27, 'FMS');
INSERT INTO `lang_definitions` VALUES (102085, 2519, 27, 'फोलियो पेपर आकार');
INSERT INTO `lang_definitions` VALUES (102086, 2520, 27, 'मैन्युअल रूप से पालन करें');
INSERT INTO `lang_definitions` VALUES (102087, 2521, 27, 'निम्नलिखित डेटाबेस को स्थापित करने या उन्नयन करने के लिए इन निर्देशों का पालन करें');
INSERT INTO `lang_definitions` VALUES (102088, 2522, 27, 'फ़ॉलोअप');
INSERT INTO `lang_definitions` VALUES (102089, 2524, 27, 'फ़ॉलोअप कारण');
INSERT INTO `lang_definitions` VALUES (102090, 2525, 27, 'के बाद एक नए कस्टम स्थिर है:');
INSERT INTO `lang_definitions` VALUES (102091, 2526, 27, 'के बाद एक नए कस्टम भाषा है:');
INSERT INTO `lang_definitions` VALUES (102092, 2527, 27, 'के बाद एक नई परिभाषा (भाषा, लगातार, परिभाषा) है:');
INSERT INTO `lang_definitions` VALUES (102093, 2529, 27, 'फॉलोअप सेवाएँ');
INSERT INTO `lang_definitions` VALUES (102094, 2530, 27, 'फ़ॉलोअप के संकेत');
INSERT INTO `lang_definitions` VALUES (102095, 2531, 27, 'खाद्य असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (102096, 2532, 27, 'पैर');
INSERT INTO `lang_definitions` VALUES (102097, 2533, 27, 'पैर की समस्याओं के');
INSERT INTO `lang_definitions` VALUES (102098, 2534, 27, 'पैर:');
INSERT INTO `lang_definitions` VALUES (102099, 2535, 27, 'फुटबॉल चोट लगने की घटनाएं');
INSERT INTO `lang_definitions` VALUES (102100, 2536, 27, 'फुटबॉल चोट');
INSERT INTO `lang_definitions` VALUES (102101, 2537, 27, 'फुटबॉल चोट रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102102, 2538, 27, 'जूते के प्रकार');
INSERT INTO `lang_definitions` VALUES (102103, 2539, 27, 'के लिए');
INSERT INTO `lang_definitions` VALUES (102104, 2540, 27, 'के लिए');
INSERT INTO `lang_definitions` VALUES (102105, 2541, 27, 'कोड के लिए');
INSERT INTO `lang_definitions` VALUES (102106, 2543, 27, 'मुठभेड़ दावों के लिए');
INSERT INTO `lang_definitions` VALUES (102107, 2544, 27, 'उदाहरण के लिए:');
INSERT INTO `lang_definitions` VALUES (102108, 2547, 27, 'चालान के लिए');
INSERT INTO `lang_definitions` VALUES (102109, 2548, 27, 'Medicare के लिए केवल, जिक्र प्रदाता और प्रतिपादन प्रदाता के रूप एक ही होने पर मजबूर करता है.');
INSERT INTO `lang_definitions` VALUES (102110, 2549, 27, 'OBR placer क्रम संख्या के लिए');
INSERT INTO `lang_definitions` VALUES (102111, 2552, 27, 'Referred संगठन / चिकित्सक के लिए');
INSERT INTO `lang_definitions` VALUES (102112, 2553, 27, 'अतीत के लिए');
INSERT INTO `lang_definitions` VALUES (102113, 2554, 27, 'चर के लिए');
INSERT INTO `lang_definitions` VALUES (102114, 2555, 27, 'के लिए:');
INSERT INTO `lang_definitions` VALUES (102115, 2556, 27, 'जबरदस्ती बिलिंग विजेट ओपन करो');
INSERT INTO `lang_definitions` VALUES (102116, 2557, 27, 'जबरदस्ती नए रोगी बनाएँ');
INSERT INTO `lang_definitions` VALUES (102117, 2558, 27, 'जबरदस्ती दिखाएँ');
INSERT INTO `lang_definitions` VALUES (102118, 2559, 27, 'प्रकोष्ठ');
INSERT INTO `lang_definitions` VALUES (102119, 2560, 27, 'प्रपत्र');
INSERT INTO `lang_definitions` VALUES (102120, 2561, 27, 'प्रपत्र');
INSERT INTO `lang_definitions` VALUES (102121, 2564, 27, 'प्रारूप');
INSERT INTO `lang_definitions` VALUES (102122, 2565, 27, 'प्रारूप');
INSERT INTO `lang_definitions` VALUES (102123, 2566, 27, 'उम्र प्रदर्शन के लिए प्रारूप');
INSERT INTO `lang_definitions` VALUES (102124, 2567, 27, 'एनडीसी के लिए गलत प्रारूप');
INSERT INTO `lang_definitions` VALUES (102125, 2568, 27, 'प्रारूप ज्यादातर तिथियाँ प्रदर्शित करने के लिए इस्तेमाल किया.');
INSERT INTO `lang_definitions` VALUES (102126, 2569, 27, 'प्रारूप ज्यादातर समय प्रदर्शित करने के लिए इस्तेमाल किया.');
INSERT INTO `lang_definitions` VALUES (102127, 2570, 27, 'प्रारूपित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102128, 2571, 27, 'पुराना धूम्रपान करनेवाला');
INSERT INTO `lang_definitions` VALUES (102129, 2572, 27, 'फार्म');
INSERT INTO `lang_definitions` VALUES (102130, 2573, 27, 'फार्म प्रशासन');
INSERT INTO `lang_definitions` VALUES (102131, 2575, 27, 'आगे');
INSERT INTO `lang_definitions` VALUES (102132, 2576, 27, 'फैक्स के जरिए फॉरवर्ड पन्ने');
INSERT INTO `lang_definitions` VALUES (102133, 2577, 27, 'अग्रेषित किया');
INSERT INTO `lang_definitions` VALUES (102134, 2579, 27, 'चौथा');
INSERT INTO `lang_definitions` VALUES (102135, 2581, 27, 'अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (102136, 2582, 27, 'Navicula में अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (102137, 2583, 27, 'अस्थिभंग पार्श्व malleolus');
INSERT INTO `lang_definitions` VALUES (102138, 2584, 27, 'अस्थिभंग औसत दर्जे malleolus');
INSERT INTO `lang_definitions` VALUES (102139, 2585, 27, 'फ्रैक्चर, पांचवें आधार (5) metatarsal');
INSERT INTO `lang_definitions` VALUES (102140, 2586, 27, 'आवश्यक फ्रेम समर्थन');
INSERT INTO `lang_definitions` VALUES (102141, 2587, 27, 'फ्रेंच');
INSERT INTO `lang_definitions` VALUES (102142, 2588, 27, 'फ्रेंच (कनाडा)');
INSERT INTO `lang_definitions` VALUES (102143, 2589, 27, 'फ्रेंच (मानक)');
INSERT INTO `lang_definitions` VALUES (102144, 2590, 27, 'आवृत्ति');
INSERT INTO `lang_definitions` VALUES (102145, 2591, 27, 'लगातार जुकाम');
INSERT INTO `lang_definitions` VALUES (102146, 2592, 27, 'लगातार बीमारी');
INSERT INTO `lang_definitions` VALUES (102147, 2593, 27, 'शुक्र');
INSERT INTO `lang_definitions` VALUES (102148, 2594, 27, 'शुक्रवार');
INSERT INTO `lang_definitions` VALUES (102149, 2595, 27, 'से');
INSERT INTO `lang_definitions` VALUES (102150, 2596, 27, 'से');
INSERT INTO `lang_definitions` VALUES (102151, 2597, 27, 'से');
INSERT INTO `lang_definitions` VALUES (102152, 2598, 27, 'से तिथि आज तिथि से बड़ी नहीं हो सकती.');
INSERT INTO `lang_definitions` VALUES (102153, 2599, 27, 'से:');
INSERT INTO `lang_definitions` VALUES (102154, 2600, 27, 'से: ');
INSERT INTO `lang_definitions` VALUES (102155, 2601, 27, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (102156, 2603, 27, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (102157, 2604, 27, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (102158, 2605, 27, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (102159, 2607, 27, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (102160, 2608, 27, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (102161, 2609, 27, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (102162, 2610, 27, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (102163, 2611, 27, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (102164, 2612, 27, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (102165, 2613, 27, 'फ्रंट ऑफिस');
INSERT INTO `lang_definitions` VALUES (102166, 2614, 27, 'फ्रंट ऑफिस प्राप्ति');
INSERT INTO `lang_definitions` VALUES (102167, 2615, 27, 'फ्रंट ऑफिस प्राप्ति की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102168, 2616, 27, 'फ्रंट आरईसी');
INSERT INTO `lang_definitions` VALUES (102169, 2617, 27, 'ललाट दाएँ:');
INSERT INTO `lang_definitions` VALUES (102170, 2619, 27, 'पूरा नाम');
INSERT INTO `lang_definitions` VALUES (102171, 2620, 27, 'MySQL निष्पादनयोग्य वाली निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (102172, 2621, 27, 'पर्ल निष्पादनयोग्य वाली निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (102173, 2622, 27, 'घटना लॉग बैकअप के लिए निर्देशिका के लिए पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (102174, 2623, 27, 'अस्थायी फ़ाइलों में उपयोग करने के लिए निर्देशिका पूर्ण पथ.');
INSERT INTO `lang_definitions` VALUES (102175, 2624, 27, 'पूरा खेल');
INSERT INTO `lang_definitions` VALUES (102176, 2625, 27, 'पूर्ण प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (102177, 2626, 27, 'पूर्णत: चुकता');
INSERT INTO `lang_definitions` VALUES (102178, 2633, 27, 'जी');
INSERT INTO `lang_definitions` VALUES (102179, 2634, 27, 'जी / डीएल');
INSERT INTO `lang_definitions` VALUES (102180, 2636, 27, 'पित्ताशय की स्थिति');
INSERT INTO `lang_definitions` VALUES (102181, 2637, 27, 'पित्त की पथरी');
INSERT INTO `lang_definitions` VALUES (102182, 2638, 27, 'खेल अवधि');
INSERT INTO `lang_definitions` VALUES (102183, 2639, 27, 'खेल');
INSERT INTO `lang_definitions` VALUES (102184, 2640, 27, 'छूटे खेल');
INSERT INTO `lang_definitions` VALUES (102185, 2641, 27, 'खेल / घटनाओं');
INSERT INTO `lang_definitions` VALUES (102186, 2642, 27, 'खेल / घटनाओं के लिए याद');
INSERT INTO `lang_definitions` VALUES (102187, 2644, 27, 'जठरशोथ');
INSERT INTO `lang_definitions` VALUES (102188, 2645, 27, 'जठरांत्र दर्द');
INSERT INTO `lang_definitions` VALUES (102189, 2646, 27, 'जठरांत्र');
INSERT INTO `lang_definitions` VALUES (102190, 2647, 27, 'GCAC सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102191, 2648, 27, 'GCAC आँकड़े');
INSERT INTO `lang_definitions` VALUES (102192, 2649, 27, 'GCAC यात्रा फार्म लापता है');
INSERT INTO `lang_definitions` VALUES (102193, 2650, 27, 'लिंग');
INSERT INTO `lang_definitions` VALUES (102194, 2651, 27, 'लिंग ');
INSERT INTO `lang_definitions` VALUES (102195, 2652, 27, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (102196, 2653, 27, 'सामान्य मुद्दा सूची');
INSERT INTO `lang_definitions` VALUES (102197, 2655, 27, 'सामान्य सेवा श्रेणी');
INSERT INTO `lang_definitions` VALUES (102198, 2657, 27, 'उत्पन्न और डाउनलोड करें सीएमएस 1500 काग़ज़ का दावा');
INSERT INTO `lang_definitions` VALUES (102199, 2658, 27, 'उत्पन्न और डाउनलोड करें HCFA 1500 काग़ज़ का दावा');
INSERT INTO `lang_definitions` VALUES (102200, 2659, 27, 'X 12 बैच पैदा और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (102201, 2660, 27, 'X12 मुठभेड़ दावा बैच पैदा और डाउनलोड करें');
INSERT INTO `lang_definitions` VALUES (102202, 2663, 27, 'इलेक्ट्रॉनिक अनुमत नुस्खे उत्पन्न और संचारित करें.');
INSERT INTO `lang_definitions` VALUES (102203, 2664, 27, 'सीएमएस 1500 उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102204, 2665, 27, 'सीएमएस 1500 पीडीएफ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102205, 2666, 27, 'सीएमएस 1500 पाठ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102206, 2667, 27, 'HCFA उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102207, 2668, 27, 'चालान उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102208, 2669, 27, 'पत्र उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102209, 2670, 27, 'के बारे में पत्र उत्पन्न करें ');
INSERT INTO `lang_definitions` VALUES (102210, 2671, 27, 'PQRI रिपोर्ट उत्पन्न करें (पद्धति A)');
INSERT INTO `lang_definitions` VALUES (102211, 2673, 27, 'PQRI रिपोर्ट उत्पन्न करें (पद्धति E)');
INSERT INTO `lang_definitions` VALUES (102212, 2677, 27, 'रिपोर्ट उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102213, 2678, 27, 'उपयोगकर्ता नाम और पासवर्ड उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102214, 2679, 27, 'X12 उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102215, 2680, 27, 'X12 मुठभेड़ उत्पन्न करें');
INSERT INTO `lang_definitions` VALUES (102216, 2682, 27, 'पर उत्पन्न किया');
INSERT INTO `lang_definitions` VALUES (102217, 2683, 27, 'उत्पन्न करता है');
INSERT INTO `lang_definitions` VALUES (102218, 2684, 27, 'genitourinary');
INSERT INTO `lang_definitions` VALUES (102219, 2687, 27, 'जर्मन');
INSERT INTO `lang_definitions` VALUES (102220, 2691, 27, 'HL7 प्राप्त करें');
INSERT INTO `lang_definitions` VALUES (102221, 2692, 27, 'मोतियाबिंद');
INSERT INTO `lang_definitions` VALUES (102222, 2693, 27, 'ग्लूकोमा परिवार इतिहास');
INSERT INTO `lang_definitions` VALUES (102223, 2694, 27, 'वैश्विक');
INSERT INTO `lang_definitions` VALUES (102224, 2696, 27, 'वैश्विक आईडी');
INSERT INTO `lang_definitions` VALUES (102225, 2697, 27, 'वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (102226, 2698, 27, 'वैश्विक');
INSERT INTO `lang_definitions` VALUES (102227, 2699, 27, 'जीएम / डीएल');
INSERT INTO `lang_definitions` VALUES (102228, 2700, 27, 'जाएँ');
INSERT INTO `lang_definitions` VALUES (102229, 2701, 27, 'जाएँ');
INSERT INTO `lang_definitions` VALUES (102230, 2704, 27, 'पर जाएँ');
INSERT INTO `lang_definitions` VALUES (102231, 2705, 27, 'सप्ताह के पर जाएँ');
INSERT INTO `lang_definitions` VALUES (102232, 2706, 27, 'आज जाएँ');
INSERT INTO `lang_definitions` VALUES (102233, 2707, 27, 'लक्ष्य A');
INSERT INTO `lang_definitions` VALUES (102234, 2708, 27, 'लक्ष्य और तरीके');
INSERT INTO `lang_definitions` VALUES (102235, 2709, 27, 'लक्ष्य B');
INSERT INTO `lang_definitions` VALUES (102236, 2710, 27, 'लक्ष्य C');
INSERT INTO `lang_definitions` VALUES (102237, 2711, 27, 'चोट के ग्रेड');
INSERT INTO `lang_definitions` VALUES (102238, 2712, 27, 'ग्रेड:');
INSERT INTO `lang_definitions` VALUES (102239, 2713, 27, 'ग्राम');
INSERT INTO `lang_definitions` VALUES (102240, 2714, 27, 'महायोग');
INSERT INTO `lang_definitions` VALUES (102241, 2715, 27, 'महायोग');
INSERT INTO `lang_definitions` VALUES (102242, 2718, 27, 'Graphable');
INSERT INTO `lang_definitions` VALUES (102243, 2720, 27, 'से अधिक');
INSERT INTO `lang_definitions` VALUES (102244, 2721, 27, 'इससे बड़ा या इसके बराबर');
INSERT INTO `lang_definitions` VALUES (102245, 2722, 27, 'ग्रीक');
INSERT INTO `lang_definitions` VALUES (102246, 2724, 27, 'समूह');
INSERT INTO `lang_definitions` VALUES (102247, 2725, 27, 'समूह नाम');
INSERT INTO `lang_definitions` VALUES (102248, 2726, 27, 'समूह नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (102249, 2727, 27, 'समूह नाम, संख्या या रिक्त स्थान के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (102250, 2728, 27, 'समूह नाम, संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (102251, 2729, 27, 'समूह संख्या');
INSERT INTO `lang_definitions` VALUES (102252, 2730, 27, 'समूह भुगतान');
INSERT INTO `lang_definitions` VALUES (102253, 2731, 27, 'समूह:');
INSERT INTO `lang_definitions` VALUES (102254, 2732, 27, 'GROUPNAME');
INSERT INTO `lang_definitions` VALUES (102255, 2733, 27, 'समूह और प्रवेश नियंत्रण');
INSERT INTO `lang_definitions` VALUES (102256, 2734, 27, 'विकास तालिका');
INSERT INTO `lang_definitions` VALUES (102257, 2735, 27, 'विकास तालिका');
INSERT INTO `lang_definitions` VALUES (102258, 2736, 27, 'gtts (बूँदें)');
INSERT INTO `lang_definitions` VALUES (102259, 2737, 27, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (102260, 2739, 27, 'अभिभावक नाम');
INSERT INTO `lang_definitions` VALUES (102261, 2741, 27, 'स्त्री रोग परीक्षा');
INSERT INTO `lang_definitions` VALUES (102262, 2742, 27, 'h');
INSERT INTO `lang_definitions` VALUES (102263, 2743, 27, 'H.S.');
INSERT INTO `lang_definitions` VALUES (102264, 2744, 27, 'H / O हेपेटाइटिस');
INSERT INTO `lang_definitions` VALUES (102265, 2745, 27, 'सफलतापूर्वक हटा दिया गया था. वर्तमान में किसी भी उप श्रेणियों को नीचे स्थानांतरित किया है!');
INSERT INTO `lang_definitions` VALUES (102266, 2746, 27, 'Haematoma / चोट');
INSERT INTO `lang_definitions` VALUES (102267, 2747, 27, 'HAI स्थिति');
INSERT INTO `lang_definitions` VALUES (102268, 2750, 27, 'हाथ + उंगलियों');
INSERT INTO `lang_definitions` VALUES (102269, 2751, 27, 'हाथ की समस्याएं');
INSERT INTO `lang_definitions` VALUES (102270, 2752, 27, 'हार्ड डिस्क');
INSERT INTO `lang_definitions` VALUES (102271, 2753, 27, 'कठिनाई w / o');
INSERT INTO `lang_definitions` VALUES (102272, 2754, 27, 'दौरा करने के लिए जोड़ा गया है');
INSERT INTO `lang_definitions` VALUES (102273, 2755, 27, 'समाप्त हो गया है');
INSERT INTO `lang_definitions` VALUES (102274, 2756, 27, 'हैश');
INSERT INTO `lang_definitions` VALUES (102275, 2757, 27, 'हैश इस फ़ाइल के लिए मौजूद नहीं था. एक नया हैश उत्पन्न किया गया था.');
INSERT INTO `lang_definitions` VALUES (102276, 2758, 27, 'हैश से मेल नहीं खाता. डेटा अखंडता समझौता किया गया है.');
INSERT INTO `lang_definitions` VALUES (102277, 2760, 27, 'Hawaiian');
INSERT INTO `lang_definitions` VALUES (102278, 2761, 27, 'खतरनाक गतिविधियों');
INSERT INTO `lang_definitions` VALUES (102279, 2762, 27, 'खतरनाक गतिविधियों');
INSERT INTO `lang_definitions` VALUES (102280, 2763, 27, 'HCFA अंक में मार्जिन छोड़ा');
INSERT INTO `lang_definitions` VALUES (102281, 2764, 27, 'HCFA मार्जिन्स');
INSERT INTO `lang_definitions` VALUES (102282, 2765, 27, 'अंक में HCFA शीर्ष मार्जिन');
INSERT INTO `lang_definitions` VALUES (102283, 2766, 27, 'HCPCS प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (102284, 2767, 27, 'वह PostCalendar ');
INSERT INTO `lang_definitions` VALUES (102285, 2768, 27, 'सिर');
INSERT INTO `lang_definitions` VALUES (102286, 2769, 27, 'सिर परिधि');
INSERT INTO `lang_definitions` VALUES (102287, 2770, 27, 'सिर परिधि');
INSERT INTO `lang_definitions` VALUES (102288, 2771, 27, 'सिरदर्द');
INSERT INTO `lang_definitions` VALUES (102289, 2772, 27, 'सिरदर्द');
INSERT INTO `lang_definitions` VALUES (102290, 2773, 27, 'स्वास्थ्य देखभाल संचालन');
INSERT INTO `lang_definitions` VALUES (102291, 2774, 27, 'स्वास्थ संबंधी संचालन');
INSERT INTO `lang_definitions` VALUES (102292, 2775, 27, 'स्वास्थ्य केन्द्र / क्लिनिक');
INSERT INTO `lang_definitions` VALUES (102293, 2776, 27, 'स्वास्थ्य रखरखाव संगठन');
INSERT INTO `lang_definitions` VALUES (102294, 2777, 27, 'स्वास्थ्य रखरखाव संगठन (HMO) Medicare जोखिम');
INSERT INTO `lang_definitions` VALUES (102295, 2778, 27, 'सुनवाई हानि');
INSERT INTO `lang_definitions` VALUES (102296, 2779, 27, 'दिल का दौरा');
INSERT INTO `lang_definitions` VALUES (102297, 2780, 27, 'दिल की बीमारी');
INSERT INTO `lang_definitions` VALUES (102298, 2781, 27, 'दिल की विफलता');
INSERT INTO `lang_definitions` VALUES (102299, 2782, 27, 'दिल की समस्या');
INSERT INTO `lang_definitions` VALUES (102300, 2783, 27, 'दिल की समस्याओं');
INSERT INTO `lang_definitions` VALUES (102301, 2784, 27, 'दिल की सर्जरी');
INSERT INTO `lang_definitions` VALUES (102302, 2785, 27, 'दिल का प्रत्यारोपण');
INSERT INTO `lang_definitions` VALUES (102303, 2786, 27, 'दिल:');
INSERT INTO `lang_definitions` VALUES (102304, 2787, 27, 'असंतोष');
INSERT INTO `lang_definitions` VALUES (102305, 2788, 27, 'गर्मी या सर्दी');
INSERT INTO `lang_definitions` VALUES (102306, 2789, 27, 'गर्मी या सर्दी');
INSERT INTO `lang_definitions` VALUES (102307, 2790, 27, 'भारी तम्बाकू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (102308, 2791, 27, 'Hebrew');
INSERT INTO `lang_definitions` VALUES (102309, 2793, 27, 'HEENT');
INSERT INTO `lang_definitions` VALUES (102310, 2794, 27, 'ऊंचाई');
INSERT INTO `lang_definitions` VALUES (102311, 2796, 27, 'मदद');
INSERT INTO `lang_definitions` VALUES (102312, 2797, 27, 'मदद');
INSERT INTO `lang_definitions` VALUES (102313, 2798, 27, 'खून की उल्टी');
INSERT INTO `lang_definitions` VALUES (102314, 2799, 27, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (102315, 2800, 27, 'hematologic');
INSERT INTO `lang_definitions` VALUES (102316, 2801, 27, 'रक्तमेह');
INSERT INTO `lang_definitions` VALUES (102317, 2802, 27, 'हीमोग्लोबिन');
INSERT INTO `lang_definitions` VALUES (102318, 2803, 27, 'हीमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (102319, 2804, 27, 'बलगम में खून आना');
INSERT INTO `lang_definitions` VALUES (102320, 2805, 27, 'हेपेटाइटिस');
INSERT INTO `lang_definitions` VALUES (102321, 2806, 27, 'हेपेटाइटिस A1');
INSERT INTO `lang_definitions` VALUES (102322, 2807, 27, 'हेपेटाइटिस A2');
INSERT INTO `lang_definitions` VALUES (102323, 2808, 27, 'हेपेटाइटिस B1');
INSERT INTO `lang_definitions` VALUES (102324, 2809, 27, 'हेपेटाइटिस B2');
INSERT INTO `lang_definitions` VALUES (102325, 2810, 27, 'हेपेटाइटिस B3');
INSERT INTO `lang_definitions` VALUES (102326, 2811, 27, 'यहां');
INSERT INTO `lang_definitions` VALUES (102327, 2813, 27, 'हर्निया की मरम्मत');
INSERT INTO `lang_definitions` VALUES (102328, 2814, 27, 'हर्नियेटेड डिस्क');
INSERT INTO `lang_definitions` VALUES (102329, 2815, 27, 'परिसर्प');
INSERT INTO `lang_definitions` VALUES (102330, 2816, 27, 'संदेह');
INSERT INTO `lang_definitions` VALUES (102331, 2817, 27, 'heyyo. तुम क्या करने के लिए यहां आया ');
INSERT INTO `lang_definitions` VALUES (102332, 2818, 27, 'हिब 1');
INSERT INTO `lang_definitions` VALUES (102333, 2819, 27, 'हिब 2');
INSERT INTO `lang_definitions` VALUES (102334, 2820, 27, 'हिब 3');
INSERT INTO `lang_definitions` VALUES (102335, 2821, 27, 'हिब 4');
INSERT INTO `lang_definitions` VALUES (102336, 2822, 27, 'छिपा हुआ');
INSERT INTO `lang_definitions` VALUES (102337, 2823, 27, 'छिपे हुए घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (102338, 2824, 27, 'छिपाएँ');
INSERT INTO `lang_definitions` VALUES (102339, 2825, 27, 'विवरण छिपाएँ');
INSERT INTO `lang_definitions` VALUES (102340, 2827, 27, 'दस्तावेज़ प्रबंधन में एन्क्रिप्शन / डिक्रिप्शन विकल्प छिपाएँ');
INSERT INTO `lang_definitions` VALUES (102341, 2828, 27, 'मेनू छिपाएँ');
INSERT INTO `lang_definitions` VALUES (102342, 2830, 27, 'अनुस्मारक छुपाएं');
INSERT INTO `lang_definitions` VALUES (102343, 2831, 27, 'स्तंभ छिपाएँ / दिखाएँ');
INSERT INTO `lang_definitions` VALUES (102344, 2833, 27, 'उच्च');
INSERT INTO `lang_definitions` VALUES (102345, 2834, 27, 'उच्च रक्तचाप');
INSERT INTO `lang_definitions` VALUES (102346, 2835, 27, 'हिंदी');
INSERT INTO `lang_definitions` VALUES (102347, 2836, 27, 'कूल्हे + ऊसन्धि');
INSERT INTO `lang_definitions` VALUES (102348, 2837, 27, 'कूल्हे और कमर');
INSERT INTO `lang_definitions` VALUES (102349, 2838, 27, 'कूल्हे की समस्याओं');
INSERT INTO `lang_definitions` VALUES (102350, 2839, 27, 'कूल्हे बदलने');
INSERT INTO `lang_definitions` VALUES (102351, 2840, 27, 'HIPAA नोटिस मिला');
INSERT INTO `lang_definitions` VALUES (102352, 2842, 27, 'अतिरोमता / striae');
INSERT INTO `lang_definitions` VALUES (102353, 2843, 27, 'हिस्पैनिक');
INSERT INTO `lang_definitions` VALUES (102354, 2844, 27, 'हिस्पैनिक - अन्य (अमेरिका में) का जन्म');
INSERT INTO `lang_definitions` VALUES (102355, 2845, 27, 'हिस्पैनिक - अन्य (अमेरिका के बाहर जन्मे)');
INSERT INTO `lang_definitions` VALUES (102356, 2846, 27, 'हिस्पैनिक या लैटिनो');
INSERT INTO `lang_definitions` VALUES (102357, 2847, 27, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (102358, 2848, 27, 'इतिहास डाटा');
INSERT INTO `lang_definitions` VALUES (102359, 2849, 27, 'इतिहास तिथि');
INSERT INTO `lang_definitions` VALUES (102360, 2851, 27, 'बड़बड़ाहट इतिहास');
INSERT INTO `lang_definitions` VALUES (102361, 2852, 27, 'इतिहास अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (102362, 2853, 27, 'दिल बड़बड़ाहट का इतिहास');
INSERT INTO `lang_definitions` VALUES (102363, 2854, 27, 'हिट्स');
INSERT INTO `lang_definitions` VALUES (102364, 2855, 27, 'एचआईवी');
INSERT INTO `lang_definitions` VALUES (102365, 2858, 27, 'HL7 दर्शक');
INSERT INTO `lang_definitions` VALUES (102366, 2860, 27, 'HMOL / L');
INSERT INTO `lang_definitions` VALUES (102367, 2861, 27, 'Hmong');
INSERT INTO `lang_definitions` VALUES (102368, 2862, 27, 'एकाधिक चयन या हटाने के लिए [Ctrl] दबाए रखें');
INSERT INTO `lang_definitions` VALUES (102369, 2863, 27, 'एकाधिक आइटम्स का चयन करने के लिए CTRL दबाए रखें');
INSERT INTO `lang_definitions` VALUES (102370, 2864, 27, 'कई दस्तों का चयन करने के लिए CTRL दबाए रखें');
INSERT INTO `lang_definitions` VALUES (102371, 2865, 27, 'घर');
INSERT INTO `lang_definitions` VALUES (102372, 2866, 27, 'घर का फोन');
INSERT INTO `lang_definitions` VALUES (102373, 2867, 27, 'घर का फोन नंबर');
INSERT INTO `lang_definitions` VALUES (102374, 2868, 27, 'बेघर या समान?');
INSERT INTO `lang_definitions` VALUES (102375, 2869, 27, 'बेघर, आदि');
INSERT INTO `lang_definitions` VALUES (102376, 2870, 27, 'बेघर, आदि');
INSERT INTO `lang_definitions` VALUES (102377, 2872, 27, 'मेजबान नाम');
INSERT INTO `lang_definitions` VALUES (102378, 2873, 27, 'मेजबान नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (102379, 2875, 27, 'घंटा');
INSERT INTO `lang_definitions` VALUES (102380, 2876, 27, 'घंटे');
INSERT INTO `lang_definitions` VALUES (102381, 2878, 27, 'चोट कैसे आया?');
INSERT INTO `lang_definitions` VALUES (102382, 2879, 27, 'चोट कैसे आया?');
INSERT INTO `lang_definitions` VALUES (102383, 2880, 27, 'हमारे बारे में कैसे सुना');
INSERT INTO `lang_definitions` VALUES (102384, 2881, 27, 'आने वाली घटनाओं के लिए क्वेरी करने के लिए कितने महीने आगे?');
INSERT INTO `lang_definitions` VALUES (102385, 2882, 27, 'HPI:');
INSERT INTO `lang_definitions` VALUES (102386, 2883, 27, 'HT');
INSERT INTO `lang_definitions` VALUES (102387, 2884, 27, 'HTML के');
INSERT INTO `lang_definitions` VALUES (102388, 2885, 27, 'HTML उत्पादन?');
INSERT INTO `lang_definitions` VALUES (102389, 2886, 27, 'LibreEHR समर्थन LLC लैब विनिमय सेवा के लिए HTTPS लिंक.');
INSERT INTO `lang_definitions` VALUES (102390, 2887, 27, 'हंगेरी');
INSERT INTO `lang_definitions` VALUES (102391, 2888, 27, 'Hylafax निर्देशिका');
INSERT INTO `lang_definitions` VALUES (102392, 2889, 27, 'Hylafax Enscript कमान');
INSERT INTO `lang_definitions` VALUES (102393, 2890, 27, 'Hylafax सर्वर');
INSERT INTO `lang_definitions` VALUES (102394, 2891, 27, 'Hylafax सर्वर मेजबाननाम.');
INSERT INTO `lang_definitions` VALUES (102395, 2892, 27, 'अतिसक्रिय');
INSERT INTO `lang_definitions` VALUES (102396, 2893, 27, 'अतिरक्तदाब');
INSERT INTO `lang_definitions` VALUES (102397, 2894, 27, 'उच्च रक्तचाप: रक्तचाप मापन');
INSERT INTO `lang_definitions` VALUES (102398, 2895, 27, 'उच्च रक्तचाप: रक्तचाप मापन (CQM)');
INSERT INTO `lang_definitions` VALUES (102399, 2896, 27, 'अतिगलग्रंथिता');
INSERT INTO `lang_definitions` VALUES (102400, 2897, 27, 'अल्पगलग्रंथिता');
INSERT INTO `lang_definitions` VALUES (102401, 2898, 27, 'जरायूच्छेदन');
INSERT INTO `lang_definitions` VALUES (102402, 2899, 27, 'मैं');
INSERT INTO `lang_definitions` VALUES (102403, 2900, 27, 'मैं इस समय के दौरान व्यस्त हूँ.');
INSERT INTO `lang_definitions` VALUES (102404, 2901, 27, 'मुझे पढ़ने के लिए अनुमति नहीं है ');
INSERT INTO `lang_definitions` VALUES (102405, 2902, 27, 'ICD');
INSERT INTO `lang_definitions` VALUES (102406, 2903, 27, 'ICD10 निदान');
INSERT INTO `lang_definitions` VALUES (102407, 2904, 27, 'ICD10 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (102408, 2905, 27, 'ICD9');
INSERT INTO `lang_definitions` VALUES (102409, 2906, 27, 'ICD9 निदान');
INSERT INTO `lang_definitions` VALUES (102410, 2907, 27, 'ICD9 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (102411, 2909, 27, 'ID');
INSERT INTO `lang_definitions` VALUES (102412, 2910, 27, 'ID');
INSERT INTO `lang_definitions` VALUES (102413, 2911, 27, 'ID खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (102414, 2912, 27, 'ID कार्ड');
INSERT INTO `lang_definitions` VALUES (102415, 2913, 27, 'IDays');
INSERT INTO `lang_definitions` VALUES (102416, 2914, 27, 'के रूप में पहचान');
INSERT INTO `lang_definitions` VALUES (102417, 2915, 27, 'पहचानकर्ता (एक शब्द)');
INSERT INTO `lang_definitions` VALUES (102418, 2916, 27, 'कोड की पहचान');
INSERT INTO `lang_definitions` VALUES (102419, 2917, 27, 'निष्क्रिय सत्र मध्यांतर सेकंड');
INSERT INTO `lang_definitions` VALUES (102420, 2919, 27, 'अगर सभी स्तंभों के लिए सभी डेटा इस फार्म के लिए पूरा हो गया है');
INSERT INTO `lang_definitions` VALUES (102421, 2920, 27, 'बिलिंग औचित्य प्रयोग किया जाता है, तो निदान कोड प्रकार का नाम दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (102422, 2921, 27, 'दर्ज किया गया है, तो केवल उन का चयन करें, जिसने इस सेवा का इस्तेमाल किया है!');
INSERT INTO `lang_definitions` VALUES (102423, 2922, 27, 'यदि नाम, अंतिम नाम या LastName, FirstName का कोई भी हिस्सा');
INSERT INTO `lang_definitions` VALUES (102424, 2923, 27, 'द्वारा भुगतान करते हैं तो');
INSERT INTO `lang_definitions` VALUES (102425, 2924, 27, 'व्यक्ति मृत है, तो मृत्यु की तारीख दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (102426, 2925, 27, 'SMTP प्रयोग किया जाता है, तो सर्वर `मेजबाननाम या IP पता है.');
INSERT INTO `lang_definitions` VALUES (102427, 2926, 27, 'SMTP प्रयोग किया जाता है, तो सर्वर `TCP पोर्ट संख्या (आमतौर पर 25) है.');
INSERT INTO `lang_definitions` VALUES (102428, 2927, 27, 'अगर बेरोजगार दर्ज विद्यार्थी');
INSERT INTO `lang_definitions` VALUES (102429, 2928, 27, 'अगर YMD उम्र प्रदर्शन के लिए चुना जाता है, तो वर्षों में स्विच करें जब इस मान से रोगियों बड़े है!');
INSERT INTO `lang_definitions` VALUES (102430, 2929, 27, 'आप ePrescription के लिए ई RX रोल बदलते हैं, तो ePrescription कार्यप्रवाह प्रभावित हो सकता है. आपको किसी भी कठिनाई का सामना करना पड़ता है, तो आप ePrescription विक्रेता से संपर्क करें.');
INSERT INTO `lang_definitions` VALUES (102431, 2931, 27, 'If you have chosen to upload electronic remittances, then the search window redisplays itself with the matching invoices from the X12 file. You may click on any of these invoice numbers (as described below) if you wish to make any corrections before the remittance information is applied. To apply the changes, click the Process ERA File button at the bottom of the page. This will produce a new window with a detailed report.');
INSERT INTO `lang_definitions` VALUES (102432, 2932, 27, 'If you have entered a Pay Date in the search page, this will override the posting date of payments and adjustments that are otherwise taken from the X12 file. This may be useful for reporting purposes, if you want your receipts reporting to use your posting date rather than the insurance company\'s processing date. Note that this will also affect dates of prior payments and adjustments that are put into secondary claims.');
INSERT INTO `lang_definitions` VALUES (102433, 2933, 27, 'यदि आप डेटा प्रकार बदलना चाहते हैं, या पंक्तियाँ या स्तंभ जोड़ना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (102434, 2934, 27, 'यदि आप डेटाबेस नवीनीकरण करना चाहते हैं, तो निम्न निर्देशिका में डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (102435, 2936, 27, 'ध्यान न दें');
INSERT INTO `lang_definitions` VALUES (102436, 2937, 27, 'बीमारी');
INSERT INTO `lang_definitions` VALUES (102437, 2938, 27, 'IM');
INSERT INTO `lang_definitions` VALUES (102438, 2941, 27, 'इमेजिंग सेवा');
INSERT INTO `lang_definitions` VALUES (102439, 2942, 27, 'टीकाकरण');
INSERT INTO `lang_definitions` VALUES (102440, 2943, 27, 'टीकाकरण कोड');
INSERT INTO `lang_definitions` VALUES (102441, 2945, 27, 'टीकाकरण की तिथि');
INSERT INTO `lang_definitions` VALUES (102442, 2946, 27, 'टीकाकरण समाप्ति तिथि');
INSERT INTO `lang_definitions` VALUES (102443, 2947, 27, 'टीकाकरण बहुत संख्या');
INSERT INTO `lang_definitions` VALUES (102444, 2948, 27, 'टीकाकरण निर्माता');
INSERT INTO `lang_definitions` VALUES (102445, 2949, 27, 'टीकाकरण रजिस्ट्री');
INSERT INTO `lang_definitions` VALUES (102446, 2951, 27, 'टीकाकरण सेवा');
INSERT INTO `lang_definitions` VALUES (102447, 2952, 27, 'टीकाकरण शीर्षक');
INSERT INTO `lang_definitions` VALUES (102448, 2953, 27, 'टीकाकरण');
INSERT INTO `lang_definitions` VALUES (102449, 2954, 27, 'बचाव करना');
INSERT INTO `lang_definitions` VALUES (102450, 2955, 27, 'immunologic');
INSERT INTO `lang_definitions` VALUES (102451, 2956, 27, 'समाविष्ट');
INSERT INTO `lang_definitions` VALUES (102452, 2957, 27, 'आयात');
INSERT INTO `lang_definitions` VALUES (102453, 2961, 27, 'ब्राउज़र के लिए प्रमाणपत्र आयात करें.');
INSERT INTO `lang_definitions` VALUES (102454, 2962, 27, 'आयात विन्यास');
INSERT INTO `lang_definitions` VALUES (102455, 2964, 27, 'आयात रोगी');
INSERT INTO `lang_definitions` VALUES (102456, 2965, 27, 'आयात रोगी जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (102457, 2966, 27, 'महत्वपूर्ण संहिताएं');
INSERT INTO `lang_definitions` VALUES (102458, 2967, 27, 'IMPORTANT: This upload tool is only for uploading documents on patients that are not yet entered into the system. To upload files for patients whom already have been entered into the system, please use the upload tool linked within the Patient Summary screen.');
INSERT INTO `lang_definitions` VALUES (102459, 2969, 27, 'लेखांकन से आयातित');
INSERT INTO `lang_definitions` VALUES (102460, 2972, 27, 'उन्नत');
INSERT INTO `lang_definitions` VALUES (102461, 2973, 27, 'में');
INSERT INTO `lang_definitions` VALUES (102462, 2974, 27, 'में');
INSERT INTO `lang_definitions` VALUES (102463, 2975, 27, 'हर आंख में');
INSERT INTO `lang_definitions` VALUES (102464, 2976, 27, 'बाईं आंख में');
INSERT INTO `lang_definitions` VALUES (102465, 2977, 27, 'नथुने में');
INSERT INTO `lang_definitions` VALUES (102466, 2978, 27, 'कार्यालय में');
INSERT INTO `lang_definitions` VALUES (102467, 2979, 27, 'दाहिनी आंख में');
INSERT INTO `lang_definitions` VALUES (102468, 2980, 27, 'घर में');
INSERT INTO `lang_definitions` VALUES (102469, 2981, 27, 'निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (102470, 2982, 27, 'निष्क्रिय दिन');
INSERT INTO `lang_definitions` VALUES (102471, 2983, 27, 'इनबॉक्स');
INSERT INTO `lang_definitions` VALUES (102472, 2986, 27, 'Checksum शामिल करें');
INSERT INTO `lang_definitions` VALUES (102473, 2987, 27, 'पूरे किए गए शामिल करें');
INSERT INTO `lang_definitions` VALUES (102474, 2988, 27, 'निष्क्रिय उपयोगकर्ताओं को शामिल करें');
INSERT INTO `lang_definitions` VALUES (102475, 2989, 27, 'Uncategorized शामिल करें');
INSERT INTO `lang_definitions` VALUES (102476, 2990, 27, 'असंरचित डेटा शामिल');
INSERT INTO `lang_definitions` VALUES (102477, 2991, 27, 'नब्ज शामिल करें');
INSERT INTO `lang_definitions` VALUES (102478, 2992, 27, 'नब्ज डेटा शामिल हैं?');
INSERT INTO `lang_definitions` VALUES (102479, 2993, 27, 'समावेश');
INSERT INTO `lang_definitions` VALUES (102480, 2994, 27, 'आमदनी');
INSERT INTO `lang_definitions` VALUES (102481, 2996, 27, 'अधूरा');
INSERT INTO `lang_definitions` VALUES (102482, 2997, 27, 'अपूर्ण गर्भपात उपचार');
INSERT INTO `lang_definitions` VALUES (102483, 2998, 27, 'असंयमिता');
INSERT INTO `lang_definitions` VALUES (102484, 2999, 27, 'नैदानिक ​​प्रयोगशाला परीक्षण के परिणाम संरचित डेटा के रूप में प्रमाणित EHR प्रौद्योगिकी में शामिल करें.');
INSERT INTO `lang_definitions` VALUES (102485, 3000, 27, 'गलत पासवर्ड!');
INSERT INTO `lang_definitions` VALUES (102486, 3001, 27, 'वृद्धि हुई:');
INSERT INTO `lang_definitions` VALUES (102487, 3002, 27, 'क्षतिपूर्ति बीमा');
INSERT INTO `lang_definitions` VALUES (102488, 3003, 27, 'अनिश्चित');
INSERT INTO `lang_definitions` VALUES (102489, 3004, 27, 'भारतीय');
INSERT INTO `lang_definitions` VALUES (102490, 3005, 27, 'विषमता संकेत करता है');
INSERT INTO `lang_definitions` VALUES (102491, 3006, 27, 'संकेत करता है अगर, यह समस्या इस समय सक्रिय है');
INSERT INTO `lang_definitions` VALUES (102492, 3008, 27, 'विशेष उपयोग के लिए संकेतक');
INSERT INTO `lang_definitions` VALUES (102493, 3009, 27, 'जरूरतमंद मरीजों को');
INSERT INTO `lang_definitions` VALUES (102494, 3010, 27, 'गरीब मरीजों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102495, 3011, 27, 'indigents');
INSERT INTO `lang_definitions` VALUES (102496, 3014, 27, 'प्रेरित गर्भपात');
INSERT INTO `lang_definitions` VALUES (102497, 3016, 27, 'अयोग्य');
INSERT INTO `lang_definitions` VALUES (102498, 3017, 27, 'संक्रमण / फोड़ा');
INSERT INTO `lang_definitions` VALUES (102499, 3018, 27, 'संक्रमण');
INSERT INTO `lang_definitions` VALUES (102500, 3019, 27, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (102501, 3020, 27, 'बांझपन');
INSERT INTO `lang_definitions` VALUES (102502, 3021, 27, 'इन्फ्लुएंजा 1');
INSERT INTO `lang_definitions` VALUES (102503, 3022, 27, 'इन्फ्लुएंजा 2');
INSERT INTO `lang_definitions` VALUES (102504, 3023, 27, 'इन्फ्लूएंजा टीकाकरण के मरीजों के लिए> = 50 साल की उम्र');
INSERT INTO `lang_definitions` VALUES (102505, 3024, 27, 'मरीजों के लिए इन्फ्लूएंजा टीकाकरण> = 50 साल की उम्र (CQM)');
INSERT INTO `lang_definitions` VALUES (102506, 3025, 27, 'इन्फ्लुएंजा वैक्सीन');
INSERT INTO `lang_definitions` VALUES (102507, 3026, 27, 'जानकारी');
INSERT INTO `lang_definitions` VALUES (102508, 3027, 27, 'जानकारी परीक्षण 1');
INSERT INTO `lang_definitions` VALUES (102509, 3028, 27, 'जानकारी परीक्षण 2');
INSERT INTO `lang_definitions` VALUES (102510, 3029, 27, 'जानकारी टेस्ट 3');
INSERT INTO `lang_definitions` VALUES (102511, 3030, 27, 'जानकारी टेस्ट 4');
INSERT INTO `lang_definitions` VALUES (102512, 3031, 27, 'जानकारी परीक्षण 5');
INSERT INTO `lang_definitions` VALUES (102513, 3032, 27, 'जानकारी परीक्षण 6');
INSERT INTO `lang_definitions` VALUES (102514, 3034, 27, 'inhalations');
INSERT INTO `lang_definitions` VALUES (102515, 3035, 27, 'inhilations');
INSERT INTO `lang_definitions` VALUES (102516, 3037, 27, 'प्रारंभिक उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (102517, 3038, 27, 'Inj / पुनर्वसन');
INSERT INTO `lang_definitions` VALUES (102518, 3039, 27, 'injectables');
INSERT INTO `lang_definitions` VALUES (102519, 3040, 27, 'Injection');
INSERT INTO `lang_definitions` VALUES (102520, 3041, 27, 'चोटिल शरीर के अंग');
INSERT INTO `lang_definitions` VALUES (102521, 3042, 27, 'चोटिल बाहर');
INSERT INTO `lang_definitions` VALUES (102522, 3043, 27, 'चोट');
INSERT INTO `lang_definitions` VALUES (102523, 3044, 27, 'चोट तंत्र');
INSERT INTO `lang_definitions` VALUES (102524, 3045, 27, 'चोट अवलोकन रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102525, 3046, 27, 'चोट निगरानी');
INSERT INTO `lang_definitions` VALUES (102526, 3047, 27, 'चोट के प्रकार');
INSERT INTO `lang_definitions` VALUES (102527, 3048, 27, 'चोट / बीमारी से संबंधित');
INSERT INTO `lang_definitions` VALUES (102528, 3050, 27, 'इनपुट एक MSH खंड से शुरू नहीं होता');
INSERT INTO `lang_definitions` VALUES (102529, 3051, 27, 'इनपुट क्षेत्रों');
INSERT INTO `lang_definitions` VALUES (102530, 3052, 27, 'INR');
INSERT INTO `lang_definitions` VALUES (102531, 3053, 27, 'Ins 1');
INSERT INTO `lang_definitions` VALUES (102532, 3054, 27, 'Ins 2 या Ins 3');
INSERT INTO `lang_definitions` VALUES (102533, 3055, 27, 'Ins पता');
INSERT INTO `lang_definitions` VALUES (102534, 3056, 27, 'Ins समायोजित');
INSERT INTO `lang_definitions` VALUES (102535, 3057, 27, 'Ins bundling');
INSERT INTO `lang_definitions` VALUES (102536, 3058, 27, 'Ins कोड');
INSERT INTO `lang_definitions` VALUES (102537, 3059, 27, 'Ins समूह');
INSERT INTO `lang_definitions` VALUES (102538, 3060, 27, 'Ins का नाम');
INSERT INTO `lang_definitions` VALUES (102539, 3061, 27, 'Ins overpaid');
INSERT INTO `lang_definitions` VALUES (102540, 3062, 27, 'Ins नीति');
INSERT INTO `lang_definitions` VALUES (102541, 3063, 27, 'Ins धन वापसी');
INSERT INTO `lang_definitions` VALUES (102542, 3064, 27, 'Ins सारांश');
INSERT INTO `lang_definitions` VALUES (102543, 3065, 27, 'Ins1');
INSERT INTO `lang_definitions` VALUES (102544, 3066, 27, 'Ins2');
INSERT INTO `lang_definitions` VALUES (102545, 3067, 27, 'Ins3');
INSERT INTO `lang_definitions` VALUES (102546, 3069, 27, 'डालें विफल: ');
INSERT INTO `lang_definitions` VALUES (102547, 3070, 27, 'तालिकाओं में पुरानी घटनाओं को डालें');
INSERT INTO `lang_definitions` VALUES (102548, 3072, 27, 'अनिद्रा');
INSERT INTO `lang_definitions` VALUES (102549, 3073, 27, 'प्रवेश का निरीक्षण');
INSERT INTO `lang_definitions` VALUES (102550, 3074, 27, 'निरीक्षण');
INSERT INTO `lang_definitions` VALUES (102551, 3075, 27, 'अस्थिरता / अनुसन्धिच्युति');
INSERT INTO `lang_definitions` VALUES (102552, 3076, 27, 'स्थापित करें');
INSERT INTO `lang_definitions` VALUES (102553, 3077, 27, 'स्थापित करें');
INSERT INTO `lang_definitions` VALUES (102554, 3079, 27, 'DB स्थापित करें');
INSERT INTO `lang_definitions` VALUES (102555, 3080, 27, 'स्थापित प्रकाशनी');
INSERT INTO `lang_definitions` VALUES (102556, 3081, 27, 'निर्देश दिए');
INSERT INTO `lang_definitions` VALUES (102557, 3082, 27, 'निर्देश');
INSERT INTO `lang_definitions` VALUES (102558, 3084, 27, 'निर्देश:');
INSERT INTO `lang_definitions` VALUES (102559, 3085, 27, 'उत्पाद ID के लिए अपर्याप्त सूची');
INSERT INTO `lang_definitions` VALUES (102560, 3086, 27, 'इंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (102561, 3087, 27, 'बीमा');
INSERT INTO `lang_definitions` VALUES (102562, 3088, 27, 'बीमा');
INSERT INTO `lang_definitions` VALUES (102563, 3091, 27, 'बीमा शेष राशि');
INSERT INTO `lang_definitions` VALUES (102564, 3092, 27, 'बीमा शेष राशि लंबित');
INSERT INTO `lang_definitions` VALUES (102565, 3093, 27, 'बीमा COMP');
INSERT INTO `lang_definitions` VALUES (102566, 3094, 27, 'बीमा कंपनियां');
INSERT INTO `lang_definitions` VALUES (102567, 3095, 27, 'इंश्योरेंस कंपनी');
INSERT INTO `lang_definitions` VALUES (102568, 3096, 27, 'इंश्योरेंस कंपनी खोज / जोड़ें');
INSERT INTO `lang_definitions` VALUES (102569, 3098, 27, 'बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (102570, 3099, 27, 'फाइल पर बीमा जानकारी');
INSERT INTO `lang_definitions` VALUES (102571, 3100, 27, 'बीमा अंक');
INSERT INTO `lang_definitions` VALUES (102572, 3101, 27, 'बीमा भुगतान');
INSERT INTO `lang_definitions` VALUES (102573, 3103, 27, 'बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (102574, 3106, 27, 'बीमित');
INSERT INTO `lang_definitions` VALUES (102575, 3107, 27, 'इनटेक निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (102576, 3108, 27, 'इनटेक तिथि');
INSERT INTO `lang_definitions` VALUES (102577, 3109, 27, 'बौद्धिक गिरावट');
INSERT INTO `lang_definitions` VALUES (102578, 3113, 27, 'आंतरिक त्रुटि - पृष्ठों को चयन किया गया नहीं!');
INSERT INTO `lang_definitions` VALUES (102579, 3114, 27, 'आंतरिक त्रुटि - रोगी ID प्रदान नहीं किया गया!');
INSERT INTO `lang_definitions` VALUES (102580, 3115, 27, 'आंतरिक त्रुटि अपलोड की गई फ़ाइल तक पहुँचने में!');
INSERT INTO `lang_definitions` VALUES (102581, 3116, 27, 'आंतरिक त्रुटि!');
INSERT INTO `lang_definitions` VALUES (102582, 3117, 27, 'आंतरिक त्रुटि, दवा ID निर्दिष्ट नहीं!');
INSERT INTO `lang_definitions` VALUES (102583, 3118, 27, 'आंतरिक त्रुटि: MSH-10 नहीं खोज सके');
INSERT INTO `lang_definitions` VALUES (102584, 3119, 27, 'आंतरिक त्रुटि: दावा ');
INSERT INTO `lang_definitions` VALUES (102585, 3120, 27, 'आंतरिक त्रुटि: मुठभेड़ \'');
INSERT INTO `lang_definitions` VALUES (102586, 3121, 27, 'आंतरिक त्रुटि: pid ​​या मुठभेड़ लापता है.');
INSERT INTO `lang_definitions` VALUES (102587, 3122, 27, 'आंतरिक त्रुटि: हम एक मुठभेड़ में हो ऐसा नहीं लगता है!');
INSERT INTO `lang_definitions` VALUES (102588, 3123, 27, 'आंतरिक पहचानकर्ता (pid​​)');
INSERT INTO `lang_definitions` VALUES (102589, 3126, 27, 'आंतरिक सिफ़ारिशों के');
INSERT INTO `lang_definitions` VALUES (102590, 3127, 27, 'आंतरिक समय एकत्रित');
INSERT INTO `lang_definitions` VALUES (102591, 3128, 27, 'अंतर्राष्ट्रीय कर्तव्य');
INSERT INTO `lang_definitions` VALUES (102592, 3129, 27, 'दुभाषिया');
INSERT INTO `lang_definitions` VALUES (102593, 3130, 27, 'दुभाषिए की जरूरत?');
INSERT INTO `lang_definitions` VALUES (102594, 3131, 27, 'अंतरालीय फेफड़े की बीमारी');
INSERT INTO `lang_definitions` VALUES (102595, 3132, 27, 'अंतराल');
INSERT INTO `lang_definitions` VALUES (102596, 3133, 27, 'अंतराल (मिनट)');
INSERT INTO `lang_definitions` VALUES (102597, 3134, 27, 'संदेश जाँच के बीच अंतराल (केवल मैनुअल जाँच के लिए शून्य पर सेट करें)');
INSERT INTO `lang_definitions` VALUES (102598, 3135, 27, 'हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (102599, 3136, 27, 'परंतु हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (102600, 3137, 27, 'असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (102601, 3139, 27, 'अंतर्पेशीय');
INSERT INTO `lang_definitions` VALUES (102602, 3140, 27, 'नसों में');
INSERT INTO `lang_definitions` VALUES (102603, 3141, 27, 'परिचय');
INSERT INTO `lang_definitions` VALUES (102604, 3144, 27, 'अमान्य वर्ण');
INSERT INTO `lang_definitions` VALUES (102605, 3147, 27, 'अमान्य लंबाई');
INSERT INTO `lang_definitions` VALUES (102606, 3148, 27, 'अमान्य गैर संख्यात्मक चरित्र में');
INSERT INTO `lang_definitions` VALUES (102607, 3149, 27, 'कोड के लिए स्रोत में अमान्य या अनुपस्थित दाता ');
INSERT INTO `lang_definitions` VALUES (102608, 3150, 27, 'प्राप्तकर्ता का पता अमान्य. पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (102609, 3151, 27, 'अमान्य सेवा संहिताएं');
INSERT INTO `lang_definitions` VALUES (102610, 3152, 27, 'अवैध स्रोत पद \"');
INSERT INTO `lang_definitions` VALUES (102611, 3153, 27, 'अमान्य उपयोगकर्ता नाम या पासवर्ड');
INSERT INTO `lang_definitions` VALUES (102612, 3154, 27, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (102613, 3155, 27, 'इनवेंटरी');
INSERT INTO `lang_definitions` VALUES (102614, 3156, 27, 'इन्वेंटरी गतिविधि');
INSERT INTO `lang_definitions` VALUES (102615, 3157, 27, 'दवाओं और गैर दवा उत्पादों, दोनों को इन्वेंटरी और बेचते हैं!');
INSERT INTO `lang_definitions` VALUES (102616, 3158, 27, 'केवल दवाओं इन्वेंटरी और बेचते हैं!');
INSERT INTO `lang_definitions` VALUES (102617, 3159, 27, 'इन्वेंटरी इस आदेश के लिए उपलब्ध नहीं है.');
INSERT INTO `lang_definitions` VALUES (102618, 3160, 27, 'इन्वेंट्री सूची');
INSERT INTO `lang_definitions` VALUES (102619, 3161, 27, 'इन्वेंटरी लेनदेन');
INSERT INTO `lang_definitions` VALUES (102620, 3162, 27, 'बीजक');
INSERT INTO `lang_definitions` VALUES (102621, 3163, 27, 'बीजक');
INSERT INTO `lang_definitions` VALUES (102622, 3164, 27, 'चालान शेष');
INSERT INTO `lang_definitions` VALUES (102623, 3165, 27, 'चालान शेष तैनात नहीं किया जा सकता.मुठभेड़ बनाई नहीं गई है.');
INSERT INTO `lang_definitions` VALUES (102624, 3166, 27, 'चालान तिथि');
INSERT INTO `lang_definitions` VALUES (102625, 3167, 27, 'चालान तिथि नहीं है!');
INSERT INTO `lang_definitions` VALUES (102626, 3168, 27, 'चालान संख्या');
INSERT INTO `lang_definitions` VALUES (102627, 3169, 27, 'चालान संदर्भ संख्या');
INSERT INTO `lang_definitions` VALUES (102628, 3170, 27, 'चालान संदर्भ संख्या पूल, अगर इस्तेमाल किया है!');
INSERT INTO `lang_definitions` VALUES (102629, 3171, 27, 'चालान संदर्भ संख्या ताल');
INSERT INTO `lang_definitions` VALUES (102630, 3172, 27, 'चालान Refno तरणताल');
INSERT INTO `lang_definitions` VALUES (102631, 3173, 27, 'चालान:');
INSERT INTO `lang_definitions` VALUES (102632, 3174, 27, 'IPPF');
INSERT INTO `lang_definitions` VALUES (102633, 3175, 27, 'IPPF गर्भपात');
INSERT INTO `lang_definitions` VALUES (102634, 3176, 27, 'IPPF गर्भनिरोध');
INSERT INTO `lang_definitions` VALUES (102635, 3177, 27, 'IPPF SRH डेटा के लिए');
INSERT INTO `lang_definitions` VALUES (102636, 3178, 27, 'IPPF सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102637, 3179, 27, 'IPPF आँकड़े');
INSERT INTO `lang_definitions` VALUES (102638, 3180, 27, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (102639, 3181, 27, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (102640, 3182, 27, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (102641, 3183, 27, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (102642, 3185, 27, 'अनियमित दिल की धड़कन');
INSERT INTO `lang_definitions` VALUES (102643, 3186, 27, 'चिड़चिड़ापन');
INSERT INTO `lang_definitions` VALUES (102644, 3187, 27, 'जलन');
INSERT INTO `lang_definitions` VALUES (102645, 3188, 27, 'निम्नलिखित डेटाबेस की एक अलग भाषा संस्करण है');
INSERT INTO `lang_definitions` VALUES (102646, 3189, 27, 'निम्नलिखित डेटाबेस का एक अलग संस्करण है');
INSERT INTO `lang_definitions` VALUES (102647, 3190, 27, 'निम्नलिखित डेटाबेस के नवीनतम संस्करण है');
INSERT INTO `lang_definitions` VALUES (102648, 3191, 27, 'क्षेत्र जरूरी है.');
INSERT INTO `lang_definitions` VALUES (102649, 3192, 27, 'एक रूट नोड है और नष्ट नहीं किया जा सकता है.');
INSERT INTO `lang_definitions` VALUES (102650, 3193, 27, 'निम्नलिखित डेटाबेस का एक विस्तार है');
INSERT INTO `lang_definitions` VALUES (102651, 3195, 27, 'गलत या अज्ञात है');
INSERT INTO `lang_definitions` VALUES (102652, 3197, 27, '(दशमलव अंश ठीक हैं) वैध नहीं है.');
INSERT INTO `lang_definitions` VALUES (102653, 3198, 27, 'क्या PHP सुरक्षित मोड का उपयोग कर रहा है?');
INSERT INTO `lang_definitions` VALUES (102654, 3200, 27, 'क्या प्रपत्र लेआउट से पाठ अनुवादित किया जा रहा है?');
INSERT INTO `lang_definitions` VALUES (102655, 3201, 27, 'क्या सूची से पाठ अनुवादित किया जा रहा है?');
INSERT INTO `lang_definitions` VALUES (102656, 3202, 27, 'क्या फ़ाइल एन्क्रिप्टेड है?');
INSERT INTO `lang_definitions` VALUES (102657, 3203, 27, 'क्या यह एक नैदानिक ​​शब्द कोड प्रकार है?');
INSERT INTO `lang_definitions` VALUES (102658, 3204, 27, 'क्या यह एक निदान प्रकार है?');
INSERT INTO `lang_definitions` VALUES (102659, 3205, 27, 'क्या यह एक चिकित्सा समस्या कोड प्रकार है?');
INSERT INTO `lang_definitions` VALUES (102660, 3207, 27, 'क्या यह एक प्रक्रिया / सेवा प्रकार है?');
INSERT INTO `lang_definitions` VALUES (102661, 3208, 27, 'क्या यह सक्रिय है?');
INSERT INTO `lang_definitions` VALUES (102662, 3209, 27, 'क्या यह कोड प्रकार सक्रिय है?');
INSERT INTO `lang_definitions` VALUES (102663, 3210, 27, 'क्या यह कोड प्रकार दावों में किया जाता है?');
INSERT INTO `lang_definitions` VALUES (102664, 3212, 27, 'क्या इस प्रकार के शुल्क चादर में छिपा हुआ है?');
INSERT INTO `lang_definitions` VALUES (102665, 3213, 27, 'क्या यह बाहरी SQL तालिकाओं का उपयोग कर रहा है? अगर ऐसा है, तो स्वरूप चुनें.');
INSERT INTO `lang_definitions` VALUES (102666, 3214, 27, 'बहुत लंबा है');
INSERT INTO `lang_definitions` VALUES (102667, 3216, 27, 'समस्या');
INSERT INTO `lang_definitions` VALUES (102668, 3217, 27, 'समस्या');
INSERT INTO `lang_definitions` VALUES (102669, 3218, 27, 'अंक तिथि');
INSERT INTO `lang_definitions` VALUES (102670, 3219, 27, 'समस्या ID');
INSERT INTO `lang_definitions` VALUES (102671, 3220, 27, 'समस्या शीर्षक');
INSERT INTO `lang_definitions` VALUES (102672, 3221, 27, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (102673, 3222, 27, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (102674, 3223, 27, 'समस्या');
INSERT INTO `lang_definitions` VALUES (102675, 3224, 27, 'समस्या (चोट लगने / चिकित्सा / एलर्जी)');
INSERT INTO `lang_definitions` VALUES (102676, 3225, 27, 'समस्या (चोट लगने / चिकित्सा / एलर्जी):');
INSERT INTO `lang_definitions` VALUES (102677, 3226, 27, 'समस्या और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (102678, 3227, 27, 'के लिए समस्या और मुठभेड़ों');
INSERT INTO `lang_definitions` VALUES (102679, 3228, 27, 'समस्या अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (102680, 3229, 27, 'समस्या अनुभाग');
INSERT INTO `lang_definitions` VALUES (102681, 3230, 27, 'Italian');
INSERT INTO `lang_definitions` VALUES (102682, 3231, 27, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (102683, 3232, 27, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (102684, 3233, 27, 'वस्तु');
INSERT INTO `lang_definitions` VALUES (102685, 3234, 27, 'वस्तु विफल लोड');
INSERT INTO `lang_definitions` VALUES (102686, 3235, 27, 'IU / L');
INSERT INTO `lang_definitions` VALUES (102687, 3236, 27, 'IUD');
INSERT INTO `lang_definitions` VALUES (102688, 3237, 27, 'चतुर्थ');
INSERT INTO `lang_definitions` VALUES (102689, 3238, 27, 'जनवरी');
INSERT INTO `lang_definitions` VALUES (102690, 3239, 27, 'जनवरी');
INSERT INTO `lang_definitions` VALUES (102691, 3240, 27, 'जापानी');
INSERT INTO `lang_definitions` VALUES (102692, 3241, 27, 'पीलिया');
INSERT INTO `lang_definitions` VALUES (102693, 3243, 27, 'कार्य विवरण');
INSERT INTO `lang_definitions` VALUES (102694, 3244, 27, 'नौकरी आईडी');
INSERT INTO `lang_definitions` VALUES (102695, 3245, 27, 'जोड़ों का dislocations');
INSERT INTO `lang_definitions` VALUES (102696, 3246, 27, 'जोड़ों का दर्द');
INSERT INTO `lang_definitions` VALUES (102697, 3247, 27, 'जोड़ों की मोच');
INSERT INTO `lang_definitions` VALUES (102698, 3248, 27, 'जुलाई');
INSERT INTO `lang_definitions` VALUES (102699, 3249, 27, 'जुलाई');
INSERT INTO `lang_definitions` VALUES (102700, 3250, 27, 'जून');
INSERT INTO `lang_definitions` VALUES (102701, 3251, 27, 'जून');
INSERT INTO `lang_definitions` VALUES (102702, 3252, 27, 'Just below the check information is a blue area where you put in your search parameters. You can search by patient name, chart number, encounter number or date of service, or any combination of these. You may also select whether you want to see all invoices, open invoices, or only invoices that are due (by the patient). Click the Search button to perform the search.');
INSERT INTO `lang_definitions` VALUES (102703, 3253, 27, 'बस मेरा');
INSERT INTO `lang_definitions` VALUES (102704, 3254, 27, 'औचित्य प्रविष्टियां');
INSERT INTO `lang_definitions` VALUES (102705, 3255, 27, 'औचित्य');
INSERT INTO `lang_definitions` VALUES (102706, 3256, 27, 'औचित्य / सहेजें');
INSERT INTO `lang_definitions` VALUES (102707, 3257, 27, 'J {{शीर्ष औचित्य करें}}');
INSERT INTO `lang_definitions` VALUES (102708, 3258, 27, 'K, बाकी यहाँ है');
INSERT INTO `lang_definitions` VALUES (102709, 3264, 27, 'चाबी');
INSERT INTO `lang_definitions` VALUES (102710, 3265, 27, 'खोजशब्द');
INSERT INTO `lang_definitions` VALUES (102711, 3266, 27, 'किलोग्राम');
INSERT INTO `lang_definitions` VALUES (102712, 3267, 27, 'किग्रा / m ^ 2');
INSERT INTO `lang_definitions` VALUES (102713, 3269, 27, 'गुर्दे के कैंसर');
INSERT INTO `lang_definitions` VALUES (102714, 3270, 27, 'गुर्दे की विफलता');
INSERT INTO `lang_definitions` VALUES (102715, 3271, 27, 'गुर्दे में संक्रमण');
INSERT INTO `lang_definitions` VALUES (102716, 3272, 27, 'गुर्दे की पथरी');
INSERT INTO `lang_definitions` VALUES (102717, 3273, 27, 'गुर्दा प्रत्यारोपण');
INSERT INTO `lang_definitions` VALUES (102718, 3277, 27, 'घुटना');
INSERT INTO `lang_definitions` VALUES (102719, 3278, 27, 'घुटने की समस्याओं');
INSERT INTO `lang_definitions` VALUES (102720, 3279, 27, 'घुटने रिप्लेसमेंट');
INSERT INTO `lang_definitions` VALUES (102721, 3282, 27, 'कोरियाई');
INSERT INTO `lang_definitions` VALUES (102722, 3286, 27, 'लैब');
INSERT INTO `lang_definitions` VALUES (102723, 3288, 27, 'लैब एक्सचेंज साइट पता');
INSERT INTO `lang_definitions` VALUES (102724, 3289, 27, 'लैब एक्सचेंज साइट ID');
INSERT INTO `lang_definitions` VALUES (102725, 3290, 27, 'लैब विनिमय टोकन ID');
INSERT INTO `lang_definitions` VALUES (102726, 3294, 27, 'लैब प्रश्न स्थिति');
INSERT INTO `lang_definitions` VALUES (102727, 3295, 27, 'लैब की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102728, 3296, 27, 'लैब नतीजे');
INSERT INTO `lang_definitions` VALUES (102729, 3297, 27, 'लैब परिणाम');
INSERT INTO `lang_definitions` VALUES (102730, 3299, 27, 'लैब परिणाम की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102731, 3300, 27, 'लैब सेवा');
INSERT INTO `lang_definitions` VALUES (102732, 3301, 27, 'लैब परीक्षण के परिणाम');
INSERT INTO `lang_definitions` VALUES (102733, 3303, 27, 'लेबल');
INSERT INTO `lang_definitions` VALUES (102734, 3304, 27, 'लेबल खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (102735, 3305, 27, 'लेबल Cols');
INSERT INTO `lang_definitions` VALUES (102736, 3306, 27, 'इस प्रकार के लिए लेबल');
INSERT INTO `lang_definitions` VALUES (102737, 3307, 27, 'LabelCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (102738, 3308, 27, 'लेबल');
INSERT INTO `lang_definitions` VALUES (102739, 3311, 27, 'लैब्स');
INSERT INTO `lang_definitions` VALUES (102740, 3312, 27, 'फटन / त्वचा हालत');
INSERT INTO `lang_definitions` VALUES (102741, 3313, 27, 'फटन / घर्षण');
INSERT INTO `lang_definitions` VALUES (102742, 3316, 27, 'भाषा');
INSERT INTO `lang_definitions` VALUES (102743, 3317, 27, 'भाषा कोड');
INSERT INTO `lang_definitions` VALUES (102744, 3318, 27, 'भाषा परिभाषा जोड़े');
INSERT INTO `lang_definitions` VALUES (102745, 3319, 27, 'भाषा इंटरफ़ेस उपकरण');
INSERT INTO `lang_definitions` VALUES (102746, 3320, 27, 'भाषा सूची (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (102747, 3321, 27, 'भाषा का नाम');
INSERT INTO `lang_definitions` VALUES (102748, 3322, 27, 'भाषा:');
INSERT INTO `lang_definitions` VALUES (102749, 3324, 27, 'Laotian');
INSERT INTO `lang_definitions` VALUES (102750, 3325, 27, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (102751, 3326, 27, 'पिछली गतिविधि तिथि');
INSERT INTO `lang_definitions` VALUES (102752, 3328, 27, 'अंतिम बिल की तारीख:');
INSERT INTO `lang_definitions` VALUES (102753, 3330, 27, 'पिछले साल');
INSERT INTO `lang_definitions` VALUES (102754, 3333, 27, 'पिछले मुठभेड़');
INSERT INTO `lang_definitions` VALUES (102755, 3340, 27, 'अंतिम स्तर बिल');
INSERT INTO `lang_definitions` VALUES (102756, 3343, 27, 'पिछले माह');
INSERT INTO `lang_definitions` VALUES (102757, 3344, 27, 'अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (102758, 3345, 27, 'अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (102759, 3346, 27, 'अंतिम नाम:');
INSERT INTO `lang_definitions` VALUES (102760, 3350, 27, 'अंतिम समीक्षित');
INSERT INTO `lang_definitions` VALUES (102761, 3351, 27, 'आखिरी रन, पर शुरू कर दिया');
INSERT INTO `lang_definitions` VALUES (102762, 3352, 27, 'अंतिम सहेजा गया');
INSERT INTO `lang_definitions` VALUES (102763, 3356, 27, 'के द्वारा अंतिम अद्यतन');
INSERT INTO `lang_definitions` VALUES (102764, 3357, 27, 'पर अंतिम सत्यापित किया');
INSERT INTO `lang_definitions` VALUES (102765, 3358, 27, 'पिछली यात्रा के');
INSERT INTO `lang_definitions` VALUES (102766, 3360, 27, 'पिछली पुनरावृत्ति (2-12 मो)');
INSERT INTO `lang_definitions` VALUES (102767, 3361, 27, 'पार्श्विकता Malleolus');
INSERT INTO `lang_definitions` VALUES (102768, 3362, 27, 'पार्श्विकता malleolus:');
INSERT INTO `lang_definitions` VALUES (102769, 3363, 27, 'पार्श्विकता');
INSERT INTO `lang_definitions` VALUES (102770, 3364, 27, 'इस प्रक्रिया की पार्श्विकता, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (102771, 3365, 27, 'पार्श्विक विस्थापित PMI:');
INSERT INTO `lang_definitions` VALUES (102772, 3373, 27, 'लेआउट आधारित');
INSERT INTO `lang_definitions` VALUES (102773, 3374, 27, 'लेआउट संपादक');
INSERT INTO `lang_definitions` VALUES (102774, 3375, 27, 'लेआउट समूह');
INSERT INTO `lang_definitions` VALUES (102775, 3376, 27, 'लेआउट शैली');
INSERT INTO `lang_definitions` VALUES (102776, 3378, 27, 'लेआउट आधारित भेंट फॉर्म्स');
INSERT INTO `lang_definitions` VALUES (102777, 3379, 27, 'लेआउट');
INSERT INTO `lang_definitions` VALUES (102778, 3380, 27, 'lb');
INSERT INTO `lang_definitions` VALUES (102779, 3381, 27, 'lbs');
INSERT INTO `lang_definitions` VALUES (102780, 3382, 27, 'LDL');
INSERT INTO `lang_definitions` VALUES (102781, 3383, 27, 'अगर अभी भी सक्रिय है, तो खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (102782, 3384, 27, 'मूल फ़ाइलनाम रखने के लिए खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (102783, 3385, 27, 'पासवर्ड को अपरिवर्तित रखने के लिए खाली छोड़ दें.');
INSERT INTO `lang_definitions` VALUES (102784, 3386, 27, 'के साथ संदेश छोड़ दें');
INSERT INTO `lang_definitions` VALUES (102785, 3387, 27, 'फार्म छोड़ दें');
INSERT INTO `lang_definitions` VALUES (102786, 3388, 27, 'पास वाक्यांश को खाली छोड़ने से दस्तावेज़ एन्क्रिप्ट नहीं होगा');
INSERT INTO `lang_definitions` VALUES (102787, 3390, 27, 'बाएं');
INSERT INTO `lang_definitions` VALUES (102788, 3391, 27, 'बाएं कान');
INSERT INTO `lang_definitions` VALUES (102789, 3392, 27, 'बाएं कान');
INSERT INTO `lang_definitions` VALUES (102790, 3394, 27, 'बाएं');
INSERT INTO `lang_definitions` VALUES (102791, 3395, 27, 'बाएं ');
INSERT INTO `lang_definitions` VALUES (102792, 3396, 27, 'पैर में दर्द / ऐंठन');
INSERT INTO `lang_definitions` VALUES (102793, 3397, 27, 'कानूनी');
INSERT INTO `lang_definitions` VALUES (102794, 3399, 27, 'कानूनी कागज़ आकार');
INSERT INTO `lang_definitions` VALUES (102795, 3400, 27, 'लिजेंड:');
INSERT INTO `lang_definitions` VALUES (102796, 3401, 27, 'लंबाई');
INSERT INTO `lang_definitions` VALUES (102797, 3402, 27, 'संशोधक की लंबाई, 0 अगर कोई नहीं है');
INSERT INTO `lang_definitions` VALUES (102798, 3403, 27, 'से भी कम');
INSERT INTO `lang_definitions` VALUES (102799, 3404, 27, 'से भी कम या बराबर');
INSERT INTO `lang_definitions` VALUES (102800, 3405, 27, 'कम निजी जानकारी (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (102801, 3406, 27, 'पत्र');
INSERT INTO `lang_definitions` VALUES (102802, 3407, 27, 'पत्र उत्पन्नकर्ता');
INSERT INTO `lang_definitions` VALUES (102803, 3408, 27, 'पत्र कागज आकार');
INSERT INTO `lang_definitions` VALUES (102804, 3409, 27, 'लेटरहेड पर, उस डॉक्टर के हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (102805, 3410, 27, 'लेटरहेड पर, उस मरीज के हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (102806, 3411, 27, 'तात्कालिकता का स्तर');
INSERT INTO `lang_definitions` VALUES (102807, 3412, 27, 'दायित्व');
INSERT INTO `lang_definitions` VALUES (102808, 3413, 27, 'दायित्व मैडिकल');
INSERT INTO `lang_definitions` VALUES (102809, 3414, 27, 'लाइसेंस / ID');
INSERT INTO `lang_definitions` VALUES (102810, 3419, 27, 'LicensedPrescriber अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (102811, 3420, 27, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (102812, 3421, 27, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (102813, 3423, 27, 'जीवन शैली');
INSERT INTO `lang_definitions` VALUES (102814, 3424, 27, 'जीवन शैली स्थिति');
INSERT INTO `lang_definitions` VALUES (102815, 3425, 27, 'अस्थिबंध फटी या मोच');
INSERT INTO `lang_definitions` VALUES (102816, 3426, 27, 'लाइट तम्बाकू धूम्रपान करने वाला');
INSERT INTO `lang_definitions` VALUES (102817, 3428, 27, 'घटनाक्रम की सीमा');
INSERT INTO `lang_definitions` VALUES (102818, 3429, 27, 'सीमाएं');
INSERT INTO `lang_definitions` VALUES (102819, 3431, 27, 'जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (102820, 3432, 27, 'रोगी के लिए जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (102821, 3433, 27, 'जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (102822, 3434, 27, 'जुड़ा हुआ दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (102823, 3435, 27, 'जुड़ा हुआ प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (102824, 3436, 27, 'दस्तावेज़ से जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (102825, 3437, 27, 'प्रक्रिया आदेश से जुड़ा हुआ');
INSERT INTO `lang_definitions` VALUES (102826, 3438, 27, 'सूची');
INSERT INTO `lang_definitions` VALUES (102827, 3439, 27, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (102828, 3440, 27, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (102829, 3441, 27, 'सूची बॉक्स W / जोड़');
INSERT INTO `lang_definitions` VALUES (102830, 3442, 27, 'सूची बॉक्स W / जोड़');
INSERT INTO `lang_definitions` VALUES (102831, 3443, 27, 'सूची संपादक');
INSERT INTO `lang_definitions` VALUES (102832, 3444, 27, 'सूची मुठभेड़ों की');
INSERT INTO `lang_definitions` VALUES (102833, 3445, 27, 'सूची समूहों');
INSERT INTO `lang_definitions` VALUES (102834, 3446, 27, 'सूची बीमा कंपनियों की');
INSERT INTO `lang_definitions` VALUES (102835, 3448, 27, 'सूची आइटम नंबर के साथ शुरू नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (102836, 3449, 27, 'सूची आइटम अवैध चरित्र (o) शामिल हैं.');
INSERT INTO `lang_definitions` VALUES (102837, 3451, 27, 'सूची सूचियों');
INSERT INTO `lang_definitions` VALUES (102838, 3452, 27, 'सूची नाम');
INSERT INTO `lang_definitions` VALUES (102839, 3453, 27, 'सूची के नाम संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (102840, 3454, 27, 'सूची नुस्खे');
INSERT INTO `lang_definitions` VALUES (102841, 3455, 27, 'ऊपर के देश डेटा प्रकार विकल्प द्वारा इस्तेमाल किया हुआ सूची.');
INSERT INTO `lang_definitions` VALUES (102842, 3456, 27, 'ऊपर के राज्य डेटा प्रकार विकल्प द्वारा इस्तेमाल किया हुआ सूची.');
INSERT INTO `lang_definitions` VALUES (102843, 3457, 27, 'आरएफसी 5425 टीएलएस syslog सर्वर के सुनने के बंदरगाह.');
INSERT INTO `lang_definitions` VALUES (102844, 3458, 27, 'सूचियां');
INSERT INTO `lang_definitions` VALUES (102845, 3459, 27, 'लिथुआनियाई');
INSERT INTO `lang_definitions` VALUES (102846, 3460, 27, 'लिविंग विल');
INSERT INTO `lang_definitions` VALUES (102847, 3461, 27, 'LLL:');
INSERT INTO `lang_definitions` VALUES (102848, 3462, 27, 'LMP');
INSERT INTO `lang_definitions` VALUES (102849, 3463, 27, 'संग्रह लोड करें');
INSERT INTO `lang_definitions` VALUES (102850, 3464, 27, 'परिभाषाएँ लोड करें');
INSERT INTO `lang_definitions` VALUES (102851, 3465, 27, 'लैब विन्यास लोड करें');
INSERT INTO `lang_definitions` VALUES (102852, 3466, 27, 'OE प्रश्न विकल्प लोड करें');
INSERT INTO `lang_definitions` VALUES (102853, 3467, 27, 'आदेश परिभाषाएँ लोड करें');
INSERT INTO `lang_definitions` VALUES (102854, 3468, 27, 'आदेश प्रविष्टि प्रश्न लोड करें');
INSERT INTO `lang_definitions` VALUES (102855, 3470, 27, 'लोड हो रहा है');
INSERT INTO `lang_definitions` VALUES (102856, 3471, 27, 'डेटाबेस में फाइल लोड हो रहा. इस में कुछ समय लगेगा ...');
INSERT INTO `lang_definitions` VALUES (102857, 3472, 27, 'नियंत्रण रेखा');
INSERT INTO `lang_definitions` VALUES (102858, 3473, 27, 'स्थानीय');
INSERT INTO `lang_definitions` VALUES (102859, 3476, 27, 'स्थानीय');
INSERT INTO `lang_definitions` VALUES (102860, 3477, 27, 'इलाका');
INSERT INTO `lang_definitions` VALUES (102861, 3478, 27, 'स्थान');
INSERT INTO `lang_definitions` VALUES (102862, 3479, 27, 'libreehr मशीन का स्थान और संवेदनशील डेटा हो सकता है, इसलिए यह मैन्युअल रूप से इसके उपयोग के बाद फ़ाइलों को हटाने की सिफारिश की है');
INSERT INTO `lang_definitions` VALUES (102863, 3480, 27, 'इस स्थल का स्थान');
INSERT INTO `lang_definitions` VALUES (102864, 3481, 27, 'अनिर्दिष्ट स्थान');
INSERT INTO `lang_definitions` VALUES (102865, 3482, 27, 'स्थान, जहां Hylafax फैक्स जमा हो जाते है.');
INSERT INTO `lang_definitions` VALUES (102866, 3483, 27, 'स्थान, जहां स्कैन जमा हो जाते है.');
INSERT INTO `lang_definitions` VALUES (102867, 3484, 27, 'स्थान:');
INSERT INTO `lang_definitions` VALUES (102868, 3485, 27, 'ताला');
INSERT INTO `lang_definitions` VALUES (102869, 3492, 27, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102870, 3493, 27, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102871, 3494, 27, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102872, 3495, 27, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102873, 3496, 27, 'के रूप में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102874, 3497, 27, 'इन के रूप में प्रवेश करें: ');
INSERT INTO `lang_definitions` VALUES (102875, 3498, 27, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102876, 3499, 27, 'प्रवेश कर रहा है');
INSERT INTO `lang_definitions` VALUES (102877, 3500, 27, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102878, 3501, 27, 'में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102879, 3503, 27, 'दूरस्थ मेजबान में प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102880, 3504, 27, 'दूरस्थ मेजबान में प्रवेश विफल रहा है');
INSERT INTO `lang_definitions` VALUES (102881, 3505, 27, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102882, 3506, 27, 'बाहर प्रवेश करें');
INSERT INTO `lang_definitions` VALUES (102883, 3507, 27, 'लॉग्स');
INSERT INTO `lang_definitions` VALUES (102884, 3508, 27, 'लॉग्स दर्शक');
INSERT INTO `lang_definitions` VALUES (102885, 3510, 27, 'झांकना');
INSERT INTO `lang_definitions` VALUES (102886, 3511, 27, 'लॉट');
INSERT INTO `lang_definitions` VALUES (102887, 3512, 27, 'लॉट ID लापता!');
INSERT INTO `lang_definitions` VALUES (102888, 3513, 27, 'लॉट संख्या');
INSERT INTO `lang_definitions` VALUES (102889, 3514, 27, 'कम');
INSERT INTO `lang_definitions` VALUES (102890, 3515, 27, 'कम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (102891, 3516, 27, 'निचले पैर');
INSERT INTO `lang_definitions` VALUES (102892, 3517, 27, 'न्यूनतम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (102893, 3519, 27, 'काठ का रीढ़');
INSERT INTO `lang_definitions` VALUES (102894, 3520, 27, 'दोपहर का भोजन');
INSERT INTO `lang_definitions` VALUES (102895, 3521, 27, 'दोपहर का भोजन');
INSERT INTO `lang_definitions` VALUES (102896, 3522, 27, 'फेफड़ों का कैंसर');
INSERT INTO `lang_definitions` VALUES (102897, 3523, 27, 'फेफड़ों की कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (102898, 3524, 27, 'फेफड़ों:');
INSERT INTO `lang_definitions` VALUES (102899, 3525, 27, 'फेफड़े:');
INSERT INTO `lang_definitions` VALUES (102900, 3526, 27, 'ल्युपस');
INSERT INTO `lang_definitions` VALUES (102901, 3528, 27, 'M');
INSERT INTO `lang_definitions` VALUES (102902, 3529, 27, 'MA श्रेणी');
INSERT INTO `lang_definitions` VALUES (102903, 3530, 27, 'MA क्लाइंट को गर्भपात स्वीकार');
INSERT INTO `lang_definitions` VALUES (102904, 3531, 27, 'MA आँकड़े');
INSERT INTO `lang_definitions` VALUES (102905, 3533, 27, 'भेजी गई मेल');
INSERT INTO `lang_definitions` VALUES (102906, 3534, 27, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (102907, 3535, 27, 'मुख्य पता');
INSERT INTO `lang_definitions` VALUES (102908, 3536, 27, 'मुख्य शीर्ष फलक स्क्रीन');
INSERT INTO `lang_definitions` VALUES (102909, 3537, 27, 'सक्रिय दवा एलर्जी सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (102910, 3538, 27, 'सक्रिय दवा सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (102911, 3539, 27, 'वर्तमान और सक्रिय निदान की अब तक की एक समस्या सूची बनाए.');
INSERT INTO `lang_definitions` VALUES (102912, 3540, 27, 'मौजूदा श्रेणियों में संशोधन करें.');
INSERT INTO `lang_definitions` VALUES (102913, 3541, 27, 'के लिए नई नियुक्ति करें');
INSERT INTO `lang_definitions` VALUES (102914, 3542, 27, 'सुनिश्चित करें');
INSERT INTO `lang_definitions` VALUES (102915, 3543, 27, 'क्लियरिंग हाउस को अपलोड करने और बिल भेजा गया है, के रूप में चिन्हित कर देने के लिए बैच टेक्स्ट फाइल बना रहे है!');
INSERT INTO `lang_definitions` VALUES (102916, 3545, 27, 'अस्वस्थता:');
INSERT INTO `lang_definitions` VALUES (102917, 3548, 27, 'पुस्र्ष');
INSERT INTO `lang_definitions` VALUES (102918, 3549, 27, 'पुरुष कंडोम');
INSERT INTO `lang_definitions` VALUES (102919, 3550, 27, 'पुस्र्ष VSC');
INSERT INTO `lang_definitions` VALUES (102920, 3552, 27, 'मैमोग्राम');
INSERT INTO `lang_definitions` VALUES (102921, 3553, 27, 'प्रबंधित करें');
INSERT INTO `lang_definitions` VALUES (102922, 3556, 27, 'अनुवाद प्रबंधन');
INSERT INTO `lang_definitions` VALUES (102923, 3557, 27, 'प्रबंधन');
INSERT INTO `lang_definitions` VALUES (102924, 3558, 27, 'अनिवार्य और निर्दिष्ट क्षेत्रों के');
INSERT INTO `lang_definitions` VALUES (102925, 3559, 27, 'केवल अनिवार्य या निर्दिष्ट क्षेत्र, DUP की जांच, कोई खोज नहीं');
INSERT INTO `lang_definitions` VALUES (102926, 3560, 27, 'केवल अनिवार्य या निर्दिष्ट क्षेत्र, खोज और DUP चेक');
INSERT INTO `lang_definitions` VALUES (102927, 3561, 27, 'मैनुअल');
INSERT INTO `lang_definitions` VALUES (102928, 3562, 27, 'मैनुअल पोस्टिंग');
INSERT INTO `lang_definitions` VALUES (102929, 3563, 27, 'निर्माता');
INSERT INTO `lang_definitions` VALUES (102930, 3565, 27, 'मार्च');
INSERT INTO `lang_definitions` VALUES (102931, 3568, 27, 'मार्च');
INSERT INTO `lang_definitions` VALUES (102932, 3569, 27, 'वैवाहिक स्थिति');
INSERT INTO `lang_definitions` VALUES (102933, 3571, 27, 'बिल भेजा लेकिन बिलिंग को छोड़ दिया के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (102934, 3572, 27, 'मंजूरी दे दी के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (102935, 3573, 27, 'बिल किया नहीं के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (102936, 3574, 27, 'इन रिपोर्टों की समीक्षा कर दी के रूप में चिह्नित करें');
INSERT INTO `lang_definitions` VALUES (102937, 3575, 27, 'मंजूरी दे दी के रूप में चिह्नित किया');
INSERT INTO `lang_definitions` VALUES (102938, 3576, 27, 'विवाहित');
INSERT INTO `lang_definitions` VALUES (102939, 3578, 27, 'मुखौटा');
INSERT INTO `lang_definitions` VALUES (102940, 3579, 27, 'चालान नंबर के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (102941, 3580, 27, 'रोगी IDs के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (102942, 3581, 27, 'उत्पाद IDs के लिए मास्क');
INSERT INTO `lang_definitions` VALUES (102943, 3582, 27, 'मिलान');
INSERT INTO `lang_definitions` VALUES (102944, 3583, 27, 'केस मिलाएँ');
INSERT INTO `lang_definitions` VALUES (102945, 3591, 27, 'अधिकतम');
INSERT INTO `lang_definitions` VALUES (102946, 3592, 27, 'अधिकतम फ़ाइल गिनती तक पहुँच गया - नीचे नामों को फिर से लोड करें');
INSERT INTO `lang_definitions` VALUES (102947, 3594, 27, 'दाएँ दाढ़ की हड्डी:');
INSERT INTO `lang_definitions` VALUES (102948, 3595, 27, 'अधिकतम आयु');
INSERT INTO `lang_definitions` VALUES (102949, 3596, 27, 'अधिकतम अक्षर');
INSERT INTO `lang_definitions` VALUES (102950, 3597, 27, 'लॉगआउट से पहले, सेकंड में अधिकतम निष्क्रिय समय. डिफ़ॉल्ट 7200 (2 घंटे) है.');
INSERT INTO `lang_definitions` VALUES (102951, 3600, 27, 'अधिकतम उचित सूची, अगर कोई लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (102952, 3601, 27, 'अधिकतम आकार');
INSERT INTO `lang_definitions` VALUES (102953, 3602, 27, 'अधिकतम आकार (कोई भी आकार प्रवेश करने की अनुमति देगा 0 )');
INSERT INTO `lang_definitions` VALUES (102954, 3603, 27, 'मई');
INSERT INTO `lang_definitions` VALUES (102955, 3604, 27, 'MC');
INSERT INTO `lang_definitions` VALUES (102956, 3605, 27, 'मिलीग्राम');
INSERT INTO `lang_definitions` VALUES (102957, 3607, 27, 'इसका मतलब है, एक पासवर्ड बदलने पर पिछले तीन पासवर्ड का उपयोग की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (102958, 3609, 27, 'समूह कोड उपाय');
INSERT INTO `lang_definitions` VALUES (102959, 3611, 27, 'माप');
INSERT INTO `lang_definitions` VALUES (102960, 3612, 27, 'औसत दर्जे की malleolus:');
INSERT INTO `lang_definitions` VALUES (102961, 3613, 27, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (102962, 3614, 27, 'मैडिकल');
INSERT INTO `lang_definitions` VALUES (102963, 3615, 27, 'मैडिकल गर्भपात');
INSERT INTO `lang_definitions` VALUES (102964, 3616, 27, 'मैडिकल प्रशासन');
INSERT INTO `lang_definitions` VALUES (102965, 3617, 27, 'मैडिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (102966, 3618, 27, 'मैडिकल मुद्दा');
INSERT INTO `lang_definitions` VALUES (102967, 3619, 27, 'मैडिकल मुद्दा');
INSERT INTO `lang_definitions` VALUES (102968, 3620, 27, 'मैडिकल समस्या');
INSERT INTO `lang_definitions` VALUES (102969, 3621, 27, 'मैडिकल समस्या');
INSERT INTO `lang_definitions` VALUES (102970, 3622, 27, 'मैडिकल समस्या समस्या सूची');
INSERT INTO `lang_definitions` VALUES (102971, 3623, 27, 'मैडिकल समस्याओं');
INSERT INTO `lang_definitions` VALUES (102972, 3624, 27, 'मैडिकल रिकार्ड');
INSERT INTO `lang_definitions` VALUES (102973, 3625, 27, 'मैडिकल रिकार्ड #');
INSERT INTO `lang_definitions` VALUES (102974, 3626, 27, 'मैडिकल रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (102975, 3627, 27, 'मैडिकल रिकॉर्ड्स भेजे गए');
INSERT INTO `lang_definitions` VALUES (102976, 3629, 27, 'मैडिकल सारांश दिया');
INSERT INTO `lang_definitions` VALUES (102977, 3630, 27, 'मैडिकल प्रणाली');
INSERT INTO `lang_definitions` VALUES (102978, 3631, 27, 'मैडिकल प्रकार');
INSERT INTO `lang_definitions` VALUES (102979, 3632, 27, 'मैडिकल / इतिहास (addonly वैकल्पिक लिखने,)');
INSERT INTO `lang_definitions` VALUES (102980, 3633, 27, 'Medicare भाग B');
INSERT INTO `lang_definitions` VALUES (102981, 3634, 27, 'Medicare संदर्भकर्ता प्रतिपादक है');
INSERT INTO `lang_definitions` VALUES (102982, 3635, 27, 'दवा');
INSERT INTO `lang_definitions` VALUES (102983, 3636, 27, 'दवा एलर्जी की सूची');
INSERT INTO `lang_definitions` VALUES (102984, 3637, 27, 'दवा समस्या सूची');
INSERT INTO `lang_definitions` VALUES (102985, 3638, 27, 'दवा कंपनियों की सूची');
INSERT INTO `lang_definitions` VALUES (102986, 3639, 27, 'दवा सुलह किया?');
INSERT INTO `lang_definitions` VALUES (102987, 3640, 27, 'दवाएं');
INSERT INTO `lang_definitions` VALUES (102988, 3641, 27, 'दवाएं:');
INSERT INTO `lang_definitions` VALUES (102989, 3642, 27, 'चिकित्सा यूनिट्स');
INSERT INTO `lang_definitions` VALUES (102990, 3643, 27, 'माध्यम');
INSERT INTO `lang_definitions` VALUES (102991, 3645, 27, 'सदस्य संघ सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (102992, 3646, 27, 'मेमोरी समस्याएं');
INSERT INTO `lang_definitions` VALUES (102993, 3647, 27, 'पुरूष');
INSERT INTO `lang_definitions` VALUES (102994, 3648, 27, 'पुरुष और महिला');
INSERT INTO `lang_definitions` VALUES (102995, 3649, 27, 'केवल पुरुषों के');
INSERT INTO `lang_definitions` VALUES (102996, 3650, 27, 'रजोदर्शन');
INSERT INTO `lang_definitions` VALUES (102997, 3651, 27, 'रजोनिवृत्ति');
INSERT INTO `lang_definitions` VALUES (102998, 3652, 27, 'मासिक धर्म प्रवाह');
INSERT INTO `lang_definitions` VALUES (102999, 3653, 27, 'मासिक धर्म आवृत्ति');
INSERT INTO `lang_definitions` VALUES (103000, 3654, 27, 'मानसिक बीमारी');
INSERT INTO `lang_definitions` VALUES (103001, 3657, 27, 'मिलाएं');
INSERT INTO `lang_definitions` VALUES (103002, 3658, 27, 'पूरा मिलाएं.');
INSERT INTO `lang_definitions` VALUES (103003, 3659, 27, 'मरीजों को मिलाएं');
INSERT INTO `lang_definitions` VALUES (103004, 3661, 27, 'संदेश');
INSERT INTO `lang_definitions` VALUES (103005, 3662, 27, 'संदेश और अनुस्मारक केंद्र');
INSERT INTO `lang_definitions` VALUES (103006, 3663, 27, 'संदेश सामग्री सादा टेक्स्ट नहीं है इसलिए, यह एक दस्तावेज के रूप में जमा किया गया है!');
INSERT INTO `lang_definitions` VALUES (103007, 3665, 27, 'भेजे गए संदेश');
INSERT INTO `lang_definitions` VALUES (103008, 3666, 27, 'संदेश स्थिति');
INSERT INTO `lang_definitions` VALUES (103009, 3669, 27, 'संदेश प्रकार');
INSERT INTO `lang_definitions` VALUES (103010, 3670, 27, 'संदेश:');
INSERT INTO `lang_definitions` VALUES (103011, 3671, 27, 'संदेश');
INSERT INTO `lang_definitions` VALUES (103012, 3672, 27, 'आपने आज भेजे गए संदेश');
INSERT INTO `lang_definitions` VALUES (103013, 3673, 27, 'विधि');
INSERT INTO `lang_definitions` VALUES (103014, 3674, 27, 'विधि और विशिष्ट उत्पाद');
INSERT INTO `lang_definitions` VALUES (103015, 3675, 27, 'निवर्तमान ईमेल भेजने के लिए विधि.');
INSERT INTO `lang_definitions` VALUES (103016, 3676, 27, 'विनाश की विधि');
INSERT INTO `lang_definitions` VALUES (103017, 3677, 27, 'मैक्सिकन / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (103018, 3679, 27, 'मिलीग्राम');
INSERT INTO `lang_definitions` VALUES (103019, 3680, 27, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (103020, 3681, 27, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (103021, 3682, 27, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (103022, 3683, 27, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (103023, 3684, 27, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (103024, 3685, 27, 'MG / DL');
INSERT INTO `lang_definitions` VALUES (103025, 3686, 27, 'मध्य');
INSERT INTO `lang_definitions` VALUES (103026, 3687, 27, 'मध्य नाम');
INSERT INTO `lang_definitions` VALUES (103027, 3688, 27, 'मध्य नाम');
INSERT INTO `lang_definitions` VALUES (103028, 3690, 27, 'Midlevel prescriber DEA');
INSERT INTO `lang_definitions` VALUES (103029, 3691, 27, 'Midlevel prescriber प्रथम नाम');
INSERT INTO `lang_definitions` VALUES (103030, 3692, 27, 'Midlevel prescriber अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (103031, 3693, 27, 'Midlevel prescriber उपसर्ग');
INSERT INTO `lang_definitions` VALUES (103032, 3694, 27, 'Midlevel prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (103033, 3695, 27, 'Mien');
INSERT INTO `lang_definitions` VALUES (103034, 3696, 27, 'प्रवासी या मौसमी कार्यकर्ता?');
INSERT INTO `lang_definitions` VALUES (103035, 3697, 27, 'प्रवासी / मौसमी');
INSERT INTO `lang_definitions` VALUES (103036, 3698, 27, 'लाख / CU.MM');
INSERT INTO `lang_definitions` VALUES (103037, 3702, 27, 'माइम प्रकार');
INSERT INTO `lang_definitions` VALUES (103038, 3703, 27, 'मिनट');
INSERT INTO `lang_definitions` VALUES (103039, 3704, 27, 'मिनट');
INSERT INTO `lang_definitions` VALUES (103040, 3705, 27, 'न्यूनतम आयु');
INSERT INTO `lang_definitions` VALUES (103041, 3706, 27, 'मामूली जोड़ों का तनाव / - श्लेषक कलाशोथ');
INSERT INTO `lang_definitions` VALUES (103042, 3708, 27, 'मिनट');
INSERT INTO `lang_definitions` VALUES (103043, 3709, 27, 'मिनट');
INSERT INTO `lang_definitions` VALUES (103044, 3710, 27, 'मिनट');
INSERT INTO `lang_definitions` VALUES (103045, 3712, 27, 'विविध');
INSERT INTO `lang_definitions` VALUES (103046, 3713, 27, 'विविध बिलिंग विकल्प');
INSERT INTO `lang_definitions` VALUES (103047, 3714, 27, 'HCFA-1500 के लिए विविध बिलिंग विकल्प');
INSERT INTO `lang_definitions` VALUES (103048, 3715, 27, 'विविध बिलिंग विकल्प HCFA');
INSERT INTO `lang_definitions` VALUES (103049, 3716, 27, 'विविध');
INSERT INTO `lang_definitions` VALUES (103050, 3717, 27, 'छूटे');
INSERT INTO `lang_definitions` VALUES (103051, 3718, 27, 'छूटे हुए');
INSERT INTO `lang_definitions` VALUES (103052, 3719, 27, 'एक आवश्यक फ़ील्ड छूटी');
INSERT INTO `lang_definitions` VALUES (103053, 3720, 27, 'छूटा शुल्क');
INSERT INTO `lang_definitions` VALUES (103054, 3721, 27, 'केवल Mods छूटा');
INSERT INTO `lang_definitions` VALUES (103055, 3722, 27, 'छूटा या अमान्य');
INSERT INTO `lang_definitions` VALUES (103056, 3723, 27, 'छूटे PID​​.');
INSERT INTO `lang_definitions` VALUES (103057, 3724, 27, 'छूटे रिपोर्ट दिनांक');
INSERT INTO `lang_definitions` VALUES (103058, 3725, 27, 'कोड के लिए स्रोत में दाता के बाद स्लैश छूटा ');
INSERT INTO `lang_definitions` VALUES (103059, 3726, 27, 'मिश्रित');
INSERT INTO `lang_definitions` VALUES (103060, 3727, 27, 'मिलीलीटर');
INSERT INTO `lang_definitions` VALUES (103061, 3728, 27, 'MM / DD / YYYY');
INSERT INTO `lang_definitions` VALUES (103062, 3729, 27, 'mm / hg');
INSERT INTO `lang_definitions` VALUES (103063, 3730, 27, 'mmHg');
INSERT INTO `lang_definitions` VALUES (103064, 3731, 27, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (103065, 3732, 27, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (103066, 3733, 27, 'मोबाइल');
INSERT INTO `lang_definitions` VALUES (103067, 3734, 27, 'मोबाइल फोन');
INSERT INTO `lang_definitions` VALUES (103068, 3735, 27, 'MOD');
INSERT INTO `lang_definitions` VALUES (103069, 3738, 27, 'मध्यम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (103070, 3740, 27, 'मध्यम / कम प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (103071, 3741, 27, 'संशोधक');
INSERT INTO `lang_definitions` VALUES (103072, 3742, 27, 'संशोधक');
INSERT INTO `lang_definitions` VALUES (103073, 3743, 27, 'संशोधित करें');
INSERT INTO `lang_definitions` VALUES (103074, 3745, 27, 'भुगतान संशोधित करें');
INSERT INTO `lang_definitions` VALUES (103075, 3746, 27, 'ModLength');
INSERT INTO `lang_definitions` VALUES (103076, 3753, 27, 'सोम');
INSERT INTO `lang_definitions` VALUES (103077, 3754, 27, 'सोम से शुक्र');
INSERT INTO `lang_definitions` VALUES (103078, 3755, 27, 'सोम, बुध और शुक्र');
INSERT INTO `lang_definitions` VALUES (103079, 3756, 27, 'सोमवार');
INSERT INTO `lang_definitions` VALUES (103080, 3758, 27, 'माह');
INSERT INTO `lang_definitions` VALUES (103081, 3759, 27, 'माह');
INSERT INTO `lang_definitions` VALUES (103082, 3760, 27, 'माह दृश्य');
INSERT INTO `lang_definitions` VALUES (103083, 3761, 27, 'महीने (s)');
INSERT INTO `lang_definitions` VALUES (103084, 3762, 27, 'मासिक आय');
INSERT INTO `lang_definitions` VALUES (103085, 3763, 27, 'महीने');
INSERT INTO `lang_definitions` VALUES (103086, 3765, 27, '100 से अधिक रिकॉर्ड पाया. अपने खोज मापदंड को संकीर्ण करें.');
INSERT INTO `lang_definitions` VALUES (103087, 3766, 27, '50 से अधिक परिणाम, अपनी खोज अधिक विशिष्ट करें.');
INSERT INTO `lang_definitions` VALUES (103088, 3767, 27, 'क्रमबद्ध बदलने के लिए अधिकांश कॉलम हेडर क्लिक किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (103089, 3768, 27, 'से अंतिम');
INSERT INTO `lang_definitions` VALUES (103090, 3770, 27, 'से सबसे हाल नब्ज:');
INSERT INTO `lang_definitions` VALUES (103091, 3771, 27, 'माँ');
INSERT INTO `lang_definitions` VALUES (103092, 3772, 27, 'माँ का नाम');
INSERT INTO `lang_definitions` VALUES (103093, 3774, 27, 'मुंह');
INSERT INTO `lang_definitions` VALUES (103094, 3775, 27, 'ले जाएँ');
INSERT INTO `lang_definitions` VALUES (103095, 3776, 27, 'श्रेणी तक ले जाएँ:');
INSERT INTO `lang_definitions` VALUES (103096, 3777, 27, 'नीचे ले जाएँ');
INSERT INTO `lang_definitions` VALUES (103097, 3778, 27, 'ले जाएँ विफल रहा है!');
INSERT INTO `lang_definitions` VALUES (103098, 3779, 27, 'रोगी में ले जाएँ');
INSERT INTO `lang_definitions` VALUES (103099, 3780, 27, 'में ले जाएँ ...');
INSERT INTO `lang_definitions` VALUES (103100, 3781, 27, 'ऊपर ले जाएँ');
INSERT INTO `lang_definitions` VALUES (103101, 3782, 27, 'ले जा रहा है');
INSERT INTO `lang_definitions` VALUES (103102, 3783, 27, 'श्री');
INSERT INTO `lang_definitions` VALUES (103103, 3784, 27, 'MRN (pid​​)');
INSERT INTO `lang_definitions` VALUES (103104, 3785, 27, 'श्रीमती');
INSERT INTO `lang_definitions` VALUES (103105, 3786, 27, 'सुश्री');
INSERT INTO `lang_definitions` VALUES (103106, 3787, 27, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (103107, 3788, 27, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (103108, 3789, 27, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (103109, 3790, 27, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (103110, 3791, 27, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (103111, 3794, 27, 'MSP कोड');
INSERT INTO `lang_definitions` VALUES (103112, 3795, 27, 'MSP परिहार संहिताओं');
INSERT INTO `lang_definitions` VALUES (103113, 3796, 27, 'बहु भाषा उपकरण');
INSERT INTO `lang_definitions` VALUES (103114, 3797, 27, 'कई क्षेत्रों में');
INSERT INTO `lang_definitions` VALUES (103115, 3798, 27, 'एकाधिक फ़ाइलों को Ctrl + क्लिक या SHIFT + क्लिक का उपयोग कर, एक समय में अपलोड किया जा सकता है.');
INSERT INTO `lang_definitions` VALUES (103116, 3799, 27, 'एकाधिक लॉट');
INSERT INTO `lang_definitions` VALUES (103117, 3800, 27, 'एकाधिक संशोधक, कोलन या रिक्त स्थान के द्वारा अलग किया जा सकता है, अधिकतम 4 (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (103118, 3802, 27, 'बहुजातीय');
INSERT INTO `lang_definitions` VALUES (103119, 3803, 27, 'दिल बड़बड़ाहट:');
INSERT INTO `lang_definitions` VALUES (103120, 3804, 27, 'मांसपेशी दर्द');
INSERT INTO `lang_definitions` VALUES (103121, 3805, 27, 'मांसपेशी दर्द');
INSERT INTO `lang_definitions` VALUES (103122, 3806, 27, 'मांसपेशी लाली');
INSERT INTO `lang_definitions` VALUES (103123, 3807, 27, 'मांसपेशी अकड़न');
INSERT INTO `lang_definitions` VALUES (103124, 3808, 27, 'मांसपेशी सूजन');
INSERT INTO `lang_definitions` VALUES (103125, 3809, 27, 'मांसपेशी गर्म');
INSERT INTO `lang_definitions` VALUES (103126, 3810, 27, 'मांसपेशी');
INSERT INTO `lang_definitions` VALUES (103127, 3811, 27, 'मांसपेशी की चोट');
INSERT INTO `lang_definitions` VALUES (103128, 3812, 27, 'पेशीकंकालीय');
INSERT INTO `lang_definitions` VALUES (103129, 3813, 27, 'SMTP प्रमाणीकरण का उपयोग नहीं किया जाता है तो खाली होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (103130, 3814, 27, 'परस्पर में परिभाषित');
INSERT INTO `lang_definitions` VALUES (103131, 3815, 27, 'MVA');
INSERT INTO `lang_definitions` VALUES (103132, 3818, 27, 'मैं स्वयं');
INSERT INTO `lang_definitions` VALUES (103133, 3821, 27, 'N / A');
INSERT INTO `lang_definitions` VALUES (103134, 3822, 27, 'n /');
INSERT INTO `lang_definitions` VALUES (103135, 3823, 27, 'नाम');
INSERT INTO `lang_definitions` VALUES (103136, 3825, 27, 'नाम (अधिक के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (103137, 3826, 27, '1 नाम');
INSERT INTO `lang_definitions` VALUES (103138, 3827, 27, '2 नाम');
INSERT INTO `lang_definitions` VALUES (103139, 3828, 27, 'नाम और प्रतिरक्षण प्रशासक का शीर्षक');
INSERT INTO `lang_definitions` VALUES (103140, 3831, 27, 'घटनाक्रम के नाम');
INSERT INTO `lang_definitions` VALUES (103141, 3832, 27, 'बीमा कंपनी के नाम');
INSERT INTO `lang_definitions` VALUES (103142, 3833, 27, 'प्रदाता के नाम');
INSERT INTO `lang_definitions` VALUES (103143, 3834, 27, 'रोगी अनुस्मारक के लिए भेजने वाले का नाम.');
INSERT INTO `lang_definitions` VALUES (103144, 3835, 27, 'नाम अनुवाद');
INSERT INTO `lang_definitions` VALUES (103145, 3836, 27, 'नाम / मान');
INSERT INTO `lang_definitions` VALUES (103146, 3837, 27, 'नाम:');
INSERT INTO `lang_definitions` VALUES (103147, 3838, 27, 'nares:');
INSERT INTO `lang_definitions` VALUES (103148, 3839, 27, 'Nares: सामान्य दाएँ');
INSERT INTO `lang_definitions` VALUES (103149, 3840, 27, 'अनुनासिक श्लेष्म गुलाबी, सेप्टम midline');
INSERT INTO `lang_definitions` VALUES (103150, 3841, 27, 'नेशन नोट्स');
INSERT INTO `lang_definitions` VALUES (103151, 3842, 27, 'नेशन नोट्स कॉन्फ़िगर');
INSERT INTO `lang_definitions` VALUES (103152, 3843, 27, 'नेशन नोट्स बटन बदलें');
INSERT INTO `lang_definitions` VALUES (103153, 3844, 27, 'राष्ट्रीयता');
INSERT INTO `lang_definitions` VALUES (103154, 3845, 27, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (103155, 3847, 27, 'देशी हवाईयन या अन्य प्रशांत द्वीप');
INSERT INTO `lang_definitions` VALUES (103156, 3852, 27, 'मतली');
INSERT INTO `lang_definitions` VALUES (103157, 3854, 27, 'संचरण');
INSERT INTO `lang_definitions` VALUES (103158, 3855, 27, 'संचरण क्षेत्र मुठभेड़ फार्म शामिल');
INSERT INTO `lang_definitions` VALUES (103159, 3856, 27, 'संचरण क्षेत्र फ़्रेमसेट की पूरी ऊंचाई का उपयोग करता है');
INSERT INTO `lang_definitions` VALUES (103160, 3857, 27, 'संचरण क्षेत्र की यात्रा के फार्म');
INSERT INTO `lang_definitions` VALUES (103161, 3858, 27, 'संचरण क्षेत्र चौड़ाई');
INSERT INTO `lang_definitions` VALUES (103162, 3859, 27, 'संचरण मेनू रेडियो बटन जोड़ी के आकृति की में हैं');
INSERT INTO `lang_definitions` VALUES (103163, 3860, 27, 'संचरण मेनू एक पेड़ की आकृति में है');
INSERT INTO `lang_definitions` VALUES (103164, 3861, 27, 'संचरण एक स्लाइडिंग मेनू की आकृति में है');
INSERT INTO `lang_definitions` VALUES (103165, 3862, 27, 'NDC');
INSERT INTO `lang_definitions` VALUES (103166, 3863, 27, 'NDC डाटा');
INSERT INTO `lang_definitions` VALUES (103167, 3864, 27, 'NDC संख्या');
INSERT INTO `lang_definitions` VALUES (103168, 3866, 27, 'गर्दन की');
INSERT INTO `lang_definitions` VALUES (103169, 3867, 27, 'गर्दन की समस्याओं');
INSERT INTO `lang_definitions` VALUES (103170, 3868, 27, 'गर्दन की कोमलता');
INSERT INTO `lang_definitions` VALUES (103171, 3869, 27, 'एक विवरण दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (103172, 3870, 27, 'एक मान दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (103173, 3871, 27, 'पहचानकर्ता दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (103174, 3872, 27, 'शीर्षक दर्ज करने की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (103175, 3873, 27, 'अधिकृत करने की जरूरत');
INSERT INTO `lang_definitions` VALUES (103176, 3874, 27, 'जस्टिफाई करने की जरूरत');
INSERT INTO `lang_definitions` VALUES (103177, 3875, 27, 'द्वितीयक बिलिंग की जरूरत');
INSERT INTO `lang_definitions` VALUES (103178, 3876, 27, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (103179, 3877, 27, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (103180, 3880, 27, 'तंत्रिका चोट');
INSERT INTO `lang_definitions` VALUES (103181, 3881, 27, 'तंत्रिका की स्थिति / तंत्रिका क्षति');
INSERT INTO `lang_definitions` VALUES (103182, 3882, 27, 'न्यूरो सन्न');
INSERT INTO `lang_definitions` VALUES (103183, 3883, 27, 'न्यूरो कमजोरी');
INSERT INTO `lang_definitions` VALUES (103184, 3884, 27, 'neurologic');
INSERT INTO `lang_definitions` VALUES (103185, 3885, 27, 'कभी नहीं');
INSERT INTO `lang_definitions` VALUES (103186, 3886, 27, 'कभी भी शराब पीने वाला नहीं');
INSERT INTO `lang_definitions` VALUES (103187, 3887, 27, 'कभी भी धूम्रपान करने वाला नहीं');
INSERT INTO `lang_definitions` VALUES (103188, 3888, 27, 'नया');
INSERT INTO `lang_definitions` VALUES (103189, 3889, 27, 'नया =>');
INSERT INTO `lang_definitions` VALUES (103190, 3890, 27, 'नया स्वीकार करने वाल');
INSERT INTO `lang_definitions` VALUES (103191, 3892, 27, 'नई एलर्जी');
INSERT INTO `lang_definitions` VALUES (103192, 3894, 27, 'नई नियुक्ति');
INSERT INTO `lang_definitions` VALUES (103193, 3895, 27, 'नई श्रेणियां');
INSERT INTO `lang_definitions` VALUES (103194, 3896, 27, 'नया श्रेणी');
INSERT INTO `lang_definitions` VALUES (103195, 3897, 27, 'नया ग्राहक');
INSERT INTO `lang_definitions` VALUES (103196, 3898, 27, 'नया परामर्श');
INSERT INTO `lang_definitions` VALUES (103197, 3899, 27, 'New Crop');
INSERT INTO `lang_definitions` VALUES (103198, 3900, 27, 'नई परिभाषा जोड़ी गई');
INSERT INTO `lang_definitions` VALUES (103199, 3901, 27, 'नए दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (103200, 3902, 27, 'नए दस्तावेज़');
INSERT INTO `lang_definitions` VALUES (103201, 3904, 27, 'नई मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103202, 3905, 27, 'ID के साथ बनाई गई नई मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103203, 3906, 27, 'नई मुठभेड़ फार्म');
INSERT INTO `lang_definitions` VALUES (103204, 3907, 27, 'नई मुठभेड़ अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (103205, 3908, 27, 'नई Enctr');
INSERT INTO `lang_definitions` VALUES (103206, 3909, 27, 'नई सुविधा की जानकारी');
INSERT INTO `lang_definitions` VALUES (103207, 3910, 27, 'नई फ़ाइल');
INSERT INTO `lang_definitions` VALUES (103208, 3911, 27, 'नई फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (103209, 3912, 27, 'नया समूह');
INSERT INTO `lang_definitions` VALUES (103210, 3913, 27, 'नया समूह जानकारी');
INSERT INTO `lang_definitions` VALUES (103211, 3914, 27, 'नई Inj / स्थिति');
INSERT INTO `lang_definitions` VALUES (103212, 3916, 27, 'घटनाक्रम की नई सीमा');
INSERT INTO `lang_definitions` VALUES (103213, 3917, 27, 'नई सूची');
INSERT INTO `lang_definitions` VALUES (103214, 3918, 27, 'नए आदेश');
INSERT INTO `lang_definitions` VALUES (103215, 3919, 27, 'नया अनुच्छेद');
INSERT INTO `lang_definitions` VALUES (103216, 3920, 27, 'नया पासवर्ड');
INSERT INTO `lang_definitions` VALUES (103217, 3921, 27, 'नए रोगी');
INSERT INTO `lang_definitions` VALUES (103218, 3922, 27, 'नए रोगी');
INSERT INTO `lang_definitions` VALUES (103219, 3923, 27, 'नया रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103220, 3924, 27, 'नया रोगी फार्म');
INSERT INTO `lang_definitions` VALUES (103221, 3925, 27, 'नया रोगी ID');
INSERT INTO `lang_definitions` VALUES (103222, 3926, 27, 'नया भुगतान');
INSERT INTO `lang_definitions` VALUES (103223, 3928, 27, 'नया Pt');
INSERT INTO `lang_definitions` VALUES (103224, 3929, 27, 'लैब मुद्रा से नए परिणाम');
INSERT INTO `lang_definitions` VALUES (103225, 3930, 27, 'नई खोज');
INSERT INTO `lang_definitions` VALUES (103226, 3931, 27, 'नई प्रस्तुतियाँ');
INSERT INTO `lang_definitions` VALUES (103227, 3932, 27, 'नया उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (103228, 3934, 27, 'नई भेंट');
INSERT INTO `lang_definitions` VALUES (103229, 3935, 27, 'नई / खोज');
INSERT INTO `lang_definitions` VALUES (103230, 3936, 27, 'NewCrop खाते की स्थिति');
INSERT INTO `lang_definitions` VALUES (103231, 3937, 27, 'NewCrop व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (103232, 3938, 27, 'NewCrop कॉल विफल');
INSERT INTO `lang_definitions` VALUES (103233, 3939, 27, 'NewCrop डॉक्टर');
INSERT INTO `lang_definitions` VALUES (103234, 3944, 27, 'NewCrop eRx नाम');
INSERT INTO `lang_definitions` VALUES (103235, 3945, 27, 'NewCrop eRx साथी का नाम');
INSERT INTO `lang_definitions` VALUES (103236, 3946, 27, 'NewCrop eRx पासवर्ड');
INSERT INTO `lang_definitions` VALUES (103237, 3947, 27, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (103238, 3948, 27, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (103239, 3949, 27, 'NewCrop eRx साइट पता');
INSERT INTO `lang_definitions` VALUES (103240, 3954, 27, 'NewCrop eRx वेब सेवा पता');
INSERT INTO `lang_definitions` VALUES (103241, 3955, 27, 'NewCrop प्रबंधक');
INSERT INTO `lang_definitions` VALUES (103242, 3956, 27, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (103243, 3957, 27, 'NewCrop midlevel prescriber');
INSERT INTO `lang_definitions` VALUES (103244, 3958, 27, 'NewCrop नर्स');
INSERT INTO `lang_definitions` VALUES (103245, 3959, 27, 'NewCrop पर्यवेक्षण डॉक्टर');
INSERT INTO `lang_definitions` VALUES (103246, 3961, 27, 'अख़बार');
INSERT INTO `lang_definitions` VALUES (103247, 3962, 27, 'अगला');
INSERT INTO `lang_definitions` VALUES (103248, 3964, 27, 'अगले दिन');
INSERT INTO `lang_definitions` VALUES (103249, 3965, 27, 'अगले महीने');
INSERT INTO `lang_definitions` VALUES (103250, 3966, 27, 'अगले महीने (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (103251, 3967, 27, 'अगला अनुसूचित चलाए');
INSERT INTO `lang_definitions` VALUES (103252, 3968, 27, 'अगले सप्ताह');
INSERT INTO `lang_definitions` VALUES (103253, 3969, 27, 'अगले साल (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (103254, 3971, 27, 'उपनाम');
INSERT INTO `lang_definitions` VALUES (103255, 3973, 27, 'रात को पसीना');
INSERT INTO `lang_definitions` VALUES (103256, 3974, 27, 'Nl ext जननांग, VAG म्यूकोसा, गर्भाशय ग्रीवा');
INSERT INTO `lang_definitions` VALUES (103257, 3975, 27, 'नहीं');
INSERT INTO `lang_definitions` VALUES (103258, 3976, 27, 'नहीं');
INSERT INTO `lang_definitions` VALUES (103259, 3977, 27, 'पहुंच नहीं');
INSERT INTO `lang_definitions` VALUES (103260, 3978, 27, 'सक्रिय रोगी अनुस्मारक नहीं.');
INSERT INTO `lang_definitions` VALUES (103261, 3979, 27, 'ग्रंथिरोग नहीं है (आवश्यक 2 क्षेत्रों)');
INSERT INTO `lang_definitions` VALUES (103262, 3980, 27, 'कोई समायोजन कारण प्रकार मिला नहीं');
INSERT INTO `lang_definitions` VALUES (103263, 3981, 27, 'उपांगीय Tenderness / Masses नहीं है');
INSERT INTO `lang_definitions` VALUES (103264, 3983, 27, 'कोई नियुक्तिया नहीं है');
INSERT INTO `lang_definitions` VALUES (103265, 3985, 27, 'बिलिंग प्रणाली वर्तमान में सक्रिय नहीं है');
INSERT INTO `lang_definitions` VALUES (103266, 3986, 27, 'OFX निर्यात में शामिल करने के लिए, नहीं मिला बिल');
INSERT INTO `lang_definitions` VALUES (103267, 3987, 27, 'OFX निर्यात में शामिल करने के लिए, नहीं मिला बिल <br>');
INSERT INTO `lang_definitions` VALUES (103268, 3989, 27, 'कोड निर्दिष्ट किया गया नहीं था!');
INSERT INTO `lang_definitions` VALUES (103269, 3992, 27, 'कोई निदान नहीं है');
INSERT INTO `lang_definitions` VALUES (103270, 3993, 27, 'कोई दस्तावेज मिला नहीं है');
INSERT INTO `lang_definitions` VALUES (103271, 3994, 27, 'मुठभेड़ नहीं बनाया जा सकता है');
INSERT INTO `lang_definitions` VALUES (103272, 3995, 27, 'कोई अंतिम तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (103273, 3996, 27, 'प्रविष्टियों मिली नहीं, एक प्रविष्टि जोड़ने के लिए नीचे दिए गए फ़ॉर्म का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (103274, 3997, 27, 'कोई त्रुटि मिली नहीं');
INSERT INTO `lang_definitions` VALUES (103275, 3998, 27, 'कोई इवेंट नहीं');
INSERT INTO `lang_definitions` VALUES (103276, 4000, 27, 'स्थापना के लिए कोई फाइल मंचन नहीं');
INSERT INTO `lang_definitions` VALUES (103277, 4001, 27, 'समूह का चयन किया गया नहीं है');
INSERT INTO `lang_definitions` VALUES (103278, 4002, 27, 'हर्निया नहीं है');
INSERT INTO `lang_definitions` VALUES (103279, 4005, 27, 'कोई चोट / बीमारी नहीं है');
INSERT INTO `lang_definitions` VALUES (103280, 4006, 27, 'बीमा कंपनियों नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103281, 4007, 27, 'कोई मुद्दे नहीं');
INSERT INTO `lang_definitions` VALUES (103282, 4008, 27, 'इस मुठभेड़ में कोई मुद्दे नहीं');
INSERT INTO `lang_definitions` VALUES (103283, 4009, 27, 'चयनित श्रेणी में कोई आइटम नहीं');
INSERT INTO `lang_definitions` VALUES (103284, 4010, 27, 'कोई आइटम चयन किया गया नहीं था!');
INSERT INTO `lang_definitions` VALUES (103285, 4025, 27, 'कोई लॉग फ़ाइल चयनित तिथि के लिए मौजूद नहीं हैं');
INSERT INTO `lang_definitions` VALUES (103286, 4027, 27, 'masses, tenderness नहीं है');
INSERT INTO `lang_definitions` VALUES (103287, 4028, 27, 'Re Idenitification कोड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103288, 4029, 27, 'कोई मेल नहीं मिला. फिर से प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (103289, 4030, 27, 'कोई मेल नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103290, 4031, 27, 'कोई मेल नहीं मिला. अब नए रोगी बनाएँ?');
INSERT INTO `lang_definitions` VALUES (103291, 4032, 27, 'मेल खाता रिकॉर्ड नहीं पाया');
INSERT INTO `lang_definitions` VALUES (103292, 4033, 27, 'नया परिणाम नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103293, 4034, 27, 'नोट नहीं है');
INSERT INTO `lang_definitions` VALUES (103294, 4035, 27, 'ogrganomegoly नहीं है');
INSERT INTO `lang_definitions` VALUES (103295, 4036, 27, 'इस अवधि के लिए अवसर नहीं पाए गए.');
INSERT INTO `lang_definitions` VALUES (103296, 4037, 27, 'अन्य फोन नंबर सूचीबद्ध नहीं');
INSERT INTO `lang_definitions` VALUES (103297, 4039, 27, 'पार्टनर्स नहीं मिले');
INSERT INTO `lang_definitions` VALUES (103298, 4040, 27, 'दिए चयन मानदंड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103299, 4041, 27, 'Re identification कोड के लिए कोई रोगी रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103300, 4042, 27, 'कोई परिधीय शोफ नहीं है');
INSERT INTO `lang_definitions` VALUES (103301, 4043, 27, 'फ़ार्मेसियां नहीं मिली');
INSERT INTO `lang_definitions` VALUES (103302, 4044, 27, 'नुस्खे नहीं मिले');
INSERT INTO `lang_definitions` VALUES (103303, 4045, 27, 'बीमारी / चोट नहीं है');
INSERT INTO `lang_definitions` VALUES (103304, 4046, 27, 'पिछली प्रविष्टियां नहीं है.');
INSERT INTO `lang_definitions` VALUES (103305, 4047, 27, 'सुविधा सूची में कोई प्राथमिक व्यापार इकाई चयनित नहीं है');
INSERT INTO `lang_definitions` VALUES (103306, 4048, 27, 'कोई पूर्व मुठभेड़ नहीं है.');
INSERT INTO `lang_definitions` VALUES (103307, 4049, 27, 'इस मुठभेड़ में कोई प्रक्रिया नहीं है.');
INSERT INTO `lang_definitions` VALUES (103308, 4051, 27, 'प्रदाता नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103309, 4052, 27, 'लाल चकत्ते या असामान्य घाव नहीं है.');
INSERT INTO `lang_definitions` VALUES (103310, 4053, 27, 'रिकॉर्ड नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103311, 4055, 27, 'कोई रिकॉर्ड नहीं मिला. आपके खोज मानदंडों का विस्तार करें.');
INSERT INTO `lang_definitions` VALUES (103312, 4056, 27, 'कोई अनुस्मारक नहीं है');
INSERT INTO `lang_definitions` VALUES (103313, 4057, 27, 'ऊपर के खोज मापदंड के लिए कोई परिणाम नहीं मिला.');
INSERT INTO `lang_definitions` VALUES (103314, 4058, 27, 'कोई परिणाम नहीं है');
INSERT INTO `lang_definitions` VALUES (103315, 4059, 27, 'कोई परिणाम नहीं मिले');
INSERT INTO `lang_definitions` VALUES (103316, 4060, 27, 'खोज के लिए कोई परिणाम नहीं मिले');
INSERT INTO `lang_definitions` VALUES (103317, 4061, 27, 'कोई परिणाम नहीं मिले, पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (103318, 4062, 27, 'कोई परिणाम नहीं, कृपया पुनः प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (103319, 4063, 27, 'कोई परिणाम नहीं, कृपया पुनः प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (103320, 4065, 27, 'नहीं दिखाएँ');
INSERT INTO `lang_definitions` VALUES (103321, 4067, 27, 'साइनस Tenderness नहीं है:');
INSERT INTO `lang_definitions` VALUES (103322, 4068, 27, 'त्वचा प्रगर्तन या स्तन पिंड नहीं है:');
INSERT INTO `lang_definitions` VALUES (103323, 4069, 27, 'ऐसी कोई संदर्भ नाम नहीं है:');
INSERT INTO `lang_definitions` VALUES (103324, 4070, 27, 'कोई तालिका चयनित नहीं है! टेबल चुनें.');
INSERT INTO `lang_definitions` VALUES (103325, 4071, 27, 'कोई वृषण Tenderness नहीं है, masses');
INSERT INTO `lang_definitions` VALUES (103326, 4072, 27, 'कोई रोमांच या पलीता नहीं है');
INSERT INTO `lang_definitions` VALUES (103327, 4075, 27, 'कोई यात्रा नहीं है');
INSERT INTO `lang_definitions` VALUES (103328, 4076, 27, 'कोई नब्ज दर्ज किया गया नहीं है.');
INSERT INTO `lang_definitions` VALUES (103329, 4077, 27, 'नहीं, रद्द');
INSERT INTO `lang_definitions` VALUES (103330, 4078, 27, 'कोई बीमा गलती नहीं है ऑटो प्राथमिक है');
INSERT INTO `lang_definitions` VALUES (103331, 4079, 27, 'नहीं:');
INSERT INTO `lang_definitions` VALUES (103332, 4080, 27, 'निशामेह');
INSERT INTO `lang_definitions` VALUES (103333, 4081, 27, 'भुगतान नहीं');
INSERT INTO `lang_definitions` VALUES (103334, 4082, 27, 'गैर प्रतिवेदित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (103335, 4083, 27, 'गैर विशिष्ट चोट');
INSERT INTO `lang_definitions` VALUES (103336, 4084, 27, 'गैर इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (103337, 4085, 27, 'गैर इंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (103338, 4086, 27, 'गैर बीमाकृत');
INSERT INTO `lang_definitions` VALUES (103339, 4087, 27, 'गैर SRH मेडिकल');
INSERT INTO `lang_definitions` VALUES (103340, 4088, 27, 'गैर SRH गैर मेडिकल');
INSERT INTO `lang_definitions` VALUES (103341, 4089, 27, 'कोई नहीं');
INSERT INTO `lang_definitions` VALUES (103342, 4090, 27, 'कोई नहीं');
INSERT INTO `lang_definitions` VALUES (103343, 4091, 27, 'कोई भी परिभाषित नहीं किया');
INSERT INTO `lang_definitions` VALUES (103344, 4092, 27, 'कोई भी प्रलेखित नहीं किया गया है');
INSERT INTO `lang_definitions` VALUES (103345, 4093, 27, 'उपरोक्त में से कोई भी नहीं');
INSERT INTO `lang_definitions` VALUES (103346, 4094, 27, 'शीर्ष वितरण पंक्ति में से कोई भी पूरी तरह से खाली नहीं हो सकता है.');
INSERT INTO `lang_definitions` VALUES (103347, 4095, 27, 'गैरइंसुलिन निर्भर मधुमेह');
INSERT INTO `lang_definitions` VALUES (103348, 4096, 27, 'Nor');
INSERT INTO `lang_definitions` VALUES (103349, 4097, 27, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (103350, 4098, 27, 'सामान्य BL');
INSERT INTO `lang_definitions` VALUES (103351, 4099, 27, 'सामान्य कार्डिएक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (103352, 4100, 27, 'सामान्य कार्डिएक परीक्षा: ');
INSERT INTO `lang_definitions` VALUES (103353, 4101, 27, 'सामान्य फेफड़ों परीक्षा:');
INSERT INTO `lang_definitions` VALUES (103354, 4102, 27, 'सामान्य फेफड़ों परीक्षा: ');
INSERT INTO `lang_definitions` VALUES (103355, 4103, 27, 'सामान्य कार्यालय यात्रा');
INSERT INTO `lang_definitions` VALUES (103356, 4104, 27, 'सामान्य oropharynx:');
INSERT INTO `lang_definitions` VALUES (103357, 4105, 27, 'सामान्य दाएँ');
INSERT INTO `lang_definitions` VALUES (103358, 4106, 27, 'सामान्य दाएँ:');
INSERT INTO `lang_definitions` VALUES (103359, 4107, 27, 'सामान्य दृश्य');
INSERT INTO `lang_definitions` VALUES (103360, 4108, 27, 'सामान्य:');
INSERT INTO `lang_definitions` VALUES (103361, 4109, 27, 'आम तौर पर इसकी जाँच की जानी चाहिए. अभिगम नियंत्रण से संबंधित नहीं है.');
INSERT INTO `lang_definitions` VALUES (103362, 4112, 27, 'नार्वेजियन');
INSERT INTO `lang_definitions` VALUES (103363, 4115, 27, 'नाक');
INSERT INTO `lang_definitions` VALUES (103364, 4116, 27, 'नकसीर');
INSERT INTO `lang_definitions` VALUES (103365, 4117, 27, 'एक अक्षर या संख्या नहीं');
INSERT INTO `lang_definitions` VALUES (103366, 4119, 27, 'सभी क्षेत्रों सभी कोड या कोड प्रकार के लिए आवश्यक नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (103367, 4120, 27, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103368, 4121, 27, 'व्यवस्थापकों के समूह को नष्ट करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103369, 4122, 27, 'संपादित करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103370, 4123, 27, 'सभी सुरक्षा वस्तुओं को निष्क्रिय करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103371, 4124, 27, 'व्यवस्थापकों के ACL से कुछ भी निष्क्रिय करने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103372, 4125, 27, 'व्यवस्थापकों के समूह से व्यवस्थापक उपयोगकर्ता को हटाने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103373, 4126, 27, 'व्यवस्थापकों के समूह से इस उपयोगकर्ता को हटाने की अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103374, 4127, 27, 'लागू नहीं');
INSERT INTO `lang_definitions` VALUES (103375, 4128, 27, 'PostCalendar मॉड्यूल का उपयोग करने के लिए अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (103376, 4129, 27, 'अनुमति नहीं');
INSERT INTO `lang_definitions` VALUES (103377, 4130, 27, 'अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (103378, 4131, 27, 'इस दस्ते के लिए अधिकृत नहीं!');
INSERT INTO `lang_definitions` VALUES (103379, 4132, 27, 'इस दस्ते के लिए अधिकृत नहीं है.');
INSERT INTO `lang_definitions` VALUES (103380, 4133, 27, 'उपयोगकर्ताओं को प्रबंधित करने के लिए अधिकृत नहीं!');
INSERT INTO `lang_definitions` VALUES (103381, 4134, 27, 'परिणामों पर हस्ताक्षर के लिए अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (103382, 4135, 27, 'उपलब्ध नहीं');
INSERT INTO `lang_definitions` VALUES (103383, 4137, 27, 'बिल नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (103384, 4138, 27, 'जाँच नहीं की');
INSERT INTO `lang_definitions` VALUES (103385, 4139, 27, 'बाहर नहीं गए');
INSERT INTO `lang_definitions` VALUES (103386, 4140, 27, 'कोडित नहीं');
INSERT INTO `lang_definitions` VALUES (103387, 4141, 27, 'देय नहीं');
INSERT INTO `lang_definitions` VALUES (103388, 4143, 27, 'जांच नहीं की');
INSERT INTO `lang_definitions` VALUES (103389, 4144, 27, 'जांच नहीं की:');
INSERT INTO `lang_definitions` VALUES (103390, 4145, 27, 'जांच नहीं की: ');
INSERT INTO `lang_definitions` VALUES (103391, 4146, 27, 'नहीं मिला');
INSERT INTO `lang_definitions` VALUES (103392, 4148, 27, 'नहीं मिला!');
INSERT INTO `lang_definitions` VALUES (103393, 4149, 27, 'हिस्पैनिक या लैटिनो नहीं');
INSERT INTO `lang_definitions` VALUES (103394, 4150, 27, 'स्थापित नहीं');
INSERT INTO `lang_definitions` VALUES (103395, 4152, 27, 'के बाद नहीं देखा');
INSERT INTO `lang_definitions` VALUES (103396, 4153, 27, 'नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (103397, 4154, 27, 'अभी तक नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (103398, 4155, 27, 'निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (103399, 4156, 27, 'निर्दिष्ट नहीं.');
INSERT INTO `lang_definitions` VALUES (103400, 4157, 27, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (103401, 4158, 27, 'संहिताएं टिप्पणी');
INSERT INTO `lang_definitions` VALUES (103402, 4159, 27, 'ध्यान दें स्थापित क्लिक करने के बाद पूरी तरह से संसाधित करने के लिए यह 5-10 मिनट का समय ले लेगा');
INSERT INTO `lang_definitions` VALUES (103403, 4160, 27, 'ध्यान दें उन्नयन क्लिक करने के बाद पूरी तरह से संसाधित करने के लिए यह 5-10 मिनट का समय ले लेगा');
INSERT INTO `lang_definitions` VALUES (103404, 4161, 27, 'ऑडिट लॉगिंग सक्रिय करने की जरूरत पर ध्यान दें');
INSERT INTO `lang_definitions` VALUES (103405, 4162, 27, 'ध्यान दें प्रकार');
INSERT INTO `lang_definitions` VALUES (103406, 4163, 27, 'ध्यान दें: 12:00 दोपहर अपराह्न है,पूर्वाह्न नहीं');
INSERT INTO `lang_definitions` VALUES (103407, 4164, 27, 'ध्यान दें: अपने हार्डवेयर विन्यास के आधार पर बाहरी डेटा आयात को एक घंटे से भी अधिक समय लग सकता है. उदाहरण के लिए, RxNorm डेटा तालिकाओं में 6 मिलियन पंक्तियों से अधिक होते हैं.');
INSERT INTO `lang_definitions` VALUES (103408, 4165, 27, 'ध्यान दें: केवल द्विवार्षिक अंतर्राष्ट्रीय Snomed रिलीज वर्तमान में समर्थित है');
INSERT INTO `lang_definitions` VALUES (103409, 4166, 27, 'ध्यान दें: केवल पूर्ण मासिक RxNorm रिलीज वर्तमान में समर्थित है');
INSERT INTO `lang_definitions` VALUES (103410, 4168, 27, 'ध्यान दें: यह कोड एक अधिकृत उपयोगकर्ता द्वारा दर्ज नहीं किया गया था.प्रसंस्करण के लिए केवल अधिकृत कोड ओपन चिकित्सा बिलिंग नेटवर्क पर अपलोड किया जा सकता है. आप इन कोड को अपलोड करना चाहते हैं, तो यहाँ एक अधिकृत उपयोगकर्ता का चयन करें.');
INSERT INTO `lang_definitions` VALUES (103411, 4170, 27, 'ध्यान दें: यदि आप नकली नामों के साथ फाइल अपलोड करते हैं तो स्वचालित रूप से फ़ाइल का नाम बदल दिया जाएगा (उदाहरण के लिए, file.jpg file.1.jpg हो जाएगा). Filenames , रोगी के प्रति अनूठा माना जाता है श्रेणी के अनुसार नहीं.');
INSERT INTO `lang_definitions` VALUES (103412, 4171, 27, 'ध्यान दें: यदि आप नकली नामों के साथ फाइल अपलोड करते हैं तो स्वचालित रूप से फ़ाइल का नाम बदल दिया जाएगा उदाहरण के लिए \'<i> file.jpg </ i>\' <i> file.jpg.1 </ i> \' बन जाएगा. Filenames , रोगी के प्रति अनूठा माना जाता है श्रेणी के अनुसार नहीं.');
INSERT INTO `lang_definitions` VALUES (103413, 4172, 27, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (103414, 4173, 27, 'टिप्पणी - किसी भी मुठभेड़ों के (addonly वैकल्पिक लिखने,)');
INSERT INTO `lang_definitions` VALUES (103415, 4174, 27, 'टिप्पणी - मेरे मुठभेड़ों के (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (103416, 4175, 27, 'टिप्पणी अधिकृत नहीं');
INSERT INTO `lang_definitions` VALUES (103417, 4177, 27, 'रिकॉर्ड कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (103418, 4179, 27, 'एलर्जी के लिए आयात करने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (103419, 4180, 27, 'पर्चे के लिए आयात करने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (103420, 4181, 27, 'दिखाने के लिए कुछ भी नहीं');
INSERT INTO `lang_definitions` VALUES (103421, 4182, 27, 'कुछ भी नहीं चुना गया था');
INSERT INTO `lang_definitions` VALUES (103422, 4184, 27, 'सूचना :: PostCalendar सबमिशन / संशोधन');
INSERT INTO `lang_definitions` VALUES (103423, 4185, 27, 'सूचना');
INSERT INTO `lang_definitions` VALUES (103424, 4186, 27, 'सूचना ईमेल पता');
INSERT INTO `lang_definitions` VALUES (103425, 4188, 27, 'सूचनाएं');
INSERT INTO `lang_definitions` VALUES (103426, 4189, 27, 'घटना सबमिशन / संशोधन के बारे में व्यवस्थापक को सूचित करें?');
INSERT INTO `lang_definitions` VALUES (103427, 4190, 27, 'नवम्बर');
INSERT INTO `lang_definitions` VALUES (103428, 4191, 27, 'नवम्बर');
INSERT INTO `lang_definitions` VALUES (103429, 4192, 27, 'अब के लिए पोस्टिंग:');
INSERT INTO `lang_definitions` VALUES (103430, 4193, 27, 'अब छपाई कर रहा है');
INSERT INTO `lang_definitions` VALUES (103431, 4194, 27, 'अब $ stmt_count बयान छपाई और मुठभेड़ों का अद्यतन कर रहा है.');
INSERT INTO `lang_definitions` VALUES (103432, 4195, 27, 'अब $ stmt_count बयान छपाई और चालान अद्यतन कर रहा है.');
INSERT INTO `lang_definitions` VALUES (103433, 4196, 27, 'अब $ stmt_count बयान छपाई, मुठभेड़ों का अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (103434, 4197, 27, 'अब $ stmt_count बयान छपाई, चालान अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (103435, 4198, 27, 'NPI');
INSERT INTO `lang_definitions` VALUES (103436, 4199, 27, 'NQF');
INSERT INTO `lang_definitions` VALUES (103437, 4200, 27, 'संख्या');
INSERT INTO `lang_definitions` VALUES (103438, 4201, 27, 'संख्या लैब्स');
INSERT INTO `lang_definitions` VALUES (103439, 4204, 27, 'वर्ष दृश्य में स्तंभों की संख्या.');
INSERT INTO `lang_definitions` VALUES (103440, 4211, 27, 'ग्राहक प्रमाणपत्र वैध होने कि दिनों की संख्या.');
INSERT INTO `lang_definitions` VALUES (103441, 4213, 27, 'मुद्रा के लिए दशमलव बिंदु के बाद अंकों की संख्या, आमतौर पर 0 या 2.');
INSERT INTO `lang_definitions` VALUES (103442, 4214, 27, 'प्रति पृष्ठ प्रदर्शित करने के लिए मुठभेड़ों की संख्या.');
INSERT INTO `lang_definitions` VALUES (103443, 4215, 27, 'चूक गए, खेल या घटनाओं की संख्या, यदि कोई हो');
INSERT INTO `lang_definitions` VALUES (103444, 4216, 27, 'ईमेल सूचना भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (103445, 4217, 27, 'फोन अधिसूचना भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (103446, 4218, 27, 'एसएमएस सूचनाएं भेजने के लिए अग्रिम में घंटे की संख्या.');
INSERT INTO `lang_definitions` VALUES (103447, 4221, 27, 'अतीत के इतिहास के स्तम्भों की संख्या');
INSERT INTO `lang_definitions` VALUES (103448, 4222, 27, 'रोगी सूची में प्रति पृष्ठ प्रदर्शित करने के लिए रोगियों की संख्या.');
INSERT INTO `lang_definitions` VALUES (103449, 4223, 27, 'सुन्नता');
INSERT INTO `lang_definitions` VALUES (103450, 4224, 27, 'अंश');
INSERT INTO `lang_definitions` VALUES (103451, 4225, 27, 'संख्यात्मक प्रदर्शन का क्रम');
INSERT INTO `lang_definitions` VALUES (103452, 4227, 27, 'पोषण');
INSERT INTO `lang_definitions` VALUES (103453, 4229, 27, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (103454, 4230, 27, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (103455, 4231, 27, 'मोटापा I');
INSERT INTO `lang_definitions` VALUES (103456, 4232, 27, 'मोटापा II');
INSERT INTO `lang_definitions` VALUES (103457, 4233, 27, 'मोटापा III');
INSERT INTO `lang_definitions` VALUES (103458, 4234, 27, 'लक्ष्य');
INSERT INTO `lang_definitions` VALUES (103459, 4237, 27, 'व्यवसाय');
INSERT INTO `lang_definitions` VALUES (103460, 4239, 27, 'घटना');
INSERT INTO `lang_definitions` VALUES (103461, 4240, 27, 'अक्टूबर');
INSERT INTO `lang_definitions` VALUES (103462, 4241, 27, 'अक्टूबर');
INSERT INTO `lang_definitions` VALUES (103463, 4242, 27, 'OD');
INSERT INTO `lang_definitions` VALUES (103464, 4243, 27, 'की');
INSERT INTO `lang_definitions` VALUES (103465, 4244, 27, 'मात्रा की');
INSERT INTO `lang_definitions` VALUES (103466, 4245, 27, 'गोलियों की');
INSERT INTO `lang_definitions` VALUES (103467, 4246, 27, 'महीने के हर');
INSERT INTO `lang_definitions` VALUES (103468, 4247, 27, 'OFC नोट्स');
INSERT INTO `lang_definitions` VALUES (103469, 4248, 27, 'बंद');
INSERT INTO `lang_definitions` VALUES (103470, 4249, 27, 'कार्यालय नोट्स');
INSERT INTO `lang_definitions` VALUES (103471, 4250, 27, 'कार्यालय यात्रा');
INSERT INTO `lang_definitions` VALUES (103472, 4251, 27, 'आधिकारिक क्लीनिकल क्वालिटी उपाय (CQM) उपाय समूह');
INSERT INTO `lang_definitions` VALUES (103473, 4252, 27, 'रोगी पोर्टल के लिए offsite Https लिंक.');
INSERT INTO `lang_definitions` VALUES (103474, 4253, 27, 'रोगी पोर्टल के लिए offsite Https लिंक. (रोगी लिंक)');
INSERT INTO `lang_definitions` VALUES (103475, 4254, 27, 'Offsite रोगी पोर्टल पारण');
INSERT INTO `lang_definitions` VALUES (103476, 4255, 27, 'Offsite रोगी पोर्टल पारण(पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (103477, 4256, 27, 'Offsite रोगी पोर्टल प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (103478, 4257, 27, 'Offsite रोगी पोर्टल प्रदाता ID (पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (103479, 4258, 27, 'Offsite रोगी पोर्टल साइट पता');
INSERT INTO `lang_definitions` VALUES (103480, 4259, 27, 'Offsite रोगी पोर्टल साइट पता (रोगी लिंक)');
INSERT INTO `lang_definitions` VALUES (103481, 4260, 27, 'Offsite रोगी पोर्टल उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (103482, 4261, 27, 'Offsite रोगी पोर्टल उपयोगकर्ता नाम (पंजीकृत नहीं तो रिक्त डाल).');
INSERT INTO `lang_definitions` VALUES (103483, 4263, 27, 'वंशज');
INSERT INTO `lang_definitions` VALUES (103484, 4265, 27, 'मरहम');
INSERT INTO `lang_definitions` VALUES (103485, 4267, 27, 'ठीक है');
INSERT INTO `lang_definitions` VALUES (103486, 4269, 27, 'दिनांक GCAC मुद्दे से जोड़ने के लिए ठीक है');
INSERT INTO `lang_definitions` VALUES (103487, 4270, 27, 'पुराना');
INSERT INTO `lang_definitions` VALUES (103488, 4272, 27, 'पुराने ग्राहकों के');
INSERT INTO `lang_definitions` VALUES (103489, 4273, 27, 'पुरानी फ्रैक्चर गैर / कुसम्मिलन');
INSERT INTO `lang_definitions` VALUES (103490, 4274, 27, 'बाएँ मेनू के बिना पुरानी शैली लेआउट');
INSERT INTO `lang_definitions` VALUES (103491, 4275, 27, 'खोज या दोहराव जाँच के बिना पुरानी शैली स्थिर फार्म');
INSERT INTO `lang_definitions` VALUES (103492, 4277, 27, 'छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103493, 4278, 27, 'परिधियों छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103494, 4279, 27, 'रोगी जनसांख्यिकी में नियोक्ता जानकारी छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103495, 4280, 27, 'नियोक्ता छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103496, 4281, 27, 'रूप, मार्ग और अंतराल छोड़ दे, जो खुराक का हिस्सा बन गया');
INSERT INTO `lang_definitions` VALUES (103497, 4282, 27, 'जनसांख्यिकी रूप से बीमा और कुछ अन्य चीजों को छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103498, 4283, 27, 'आंतरिक उपयोगकर्ताओं छोड़ दे?');
INSERT INTO `lang_definitions` VALUES (103499, 4284, 27, 'सह भुगतान पैनल से भुगतान की विधि छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103500, 4285, 27, 'autoassign को छोड़ दे');
INSERT INTO `lang_definitions` VALUES (103501, 4286, 27, 'पर');
INSERT INTO `lang_definitions` VALUES (103502, 4287, 27, 'पर');
INSERT INTO `lang_definitions` VALUES (103503, 4288, 27, 'हाथ में');
INSERT INTO `lang_definitions` VALUES (103504, 4289, 27, 'आदेश पर');
INSERT INTO `lang_definitions` VALUES (103505, 4290, 27, 'साइट पर');
INSERT INTO `lang_definitions` VALUES (103506, 4291, 27, 'प्राथमिक व्यापार सुविधा एक बार स्थापित किया तो यह बदलना नहीं चाहिए. सुविधा को बदलना NewCrop ePrescription के कार्यकरण को प्रभावित करेगा.');
INSERT INTO `lang_definitions` VALUES (103507, 4292, 27, 'यदि आप अपना पासवर्ड बदल लें, तो आपको फिर से लॉगिन करना होगा.');
INSERT INTO `lang_definitions` VALUES (103508, 4297, 27, 'ऑनलाइन सहायता');
INSERT INTO `lang_definitions` VALUES (103509, 4298, 27, 'ऑनलाइन सहायता लिंक');
INSERT INTO `lang_definitions` VALUES (103510, 4299, 27, 'केवल सक्रिय');
INSERT INTO `lang_definitions` VALUES (103511, 4300, 27, 'Only applicable if a provider or collated list was chosen above. PRIMARY only selects patients that the provider is the primary provider. ENCOUNTER selects all patients that the provider has seen.');
INSERT INTO `lang_definitions` VALUES (103512, 4302, 27, 'अगर केवल बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (103513, 4303, 27, 'केवल निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (103514, 4304, 27, 'केवल मेरा');
INSERT INTO `lang_definitions` VALUES (103515, 4305, 27, 'केवल निदान रिपोर्टिंग संहिताएं दिखाएँ');
INSERT INTO `lang_definitions` VALUES (103516, 4306, 27, 'केवल सेवा संहिता वित्त संहिताओं रिपोर्टिंग दिखाएँ');
INSERT INTO `lang_definitions` VALUES (103517, 4307, 27, 'केवल सक्रिय नुस्खे अपलोड करें');
INSERT INTO `lang_definitions` VALUES (103518, 4310, 27, 'बीमारी की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (103519, 4311, 27, 'बीमारी की शुरुआत: ');
INSERT INTO `lang_definitions` VALUES (103520, 4312, 27, 'सूजन की शुरुआत:');
INSERT INTO `lang_definitions` VALUES (103521, 4313, 27, 'शुरुआत / अस्पताल. तिथि:');
INSERT INTO `lang_definitions` VALUES (103522, 4314, 27, 'ऑनसाइट रोगी पोर्टल साइट पता');
INSERT INTO `lang_definitions` VALUES (103523, 4315, 27, 'उफ़!');
INSERT INTO `lang_definitions` VALUES (103524, 4316, 27, 'खुला');
INSERT INTO `lang_definitions` VALUES (103525, 4318, 27, 'नई विंडो में खोलें');
INSERT INTO `lang_definitions` VALUES (103526, 4321, 27, 'खोलें आज की भेंट');
INSERT INTO `lang_definitions` VALUES (103527, 4322, 27, 'LibreEHR में पहले से ही एक प्रमाणपत्र प्राधिकार कॉन्फ़िगर है.');
INSERT INTO `lang_definitions` VALUES (103528, 4323, 27, 'LibreEHR आवेदन श्रेणी');
INSERT INTO `lang_definitions` VALUES (103529, 4324, 27, 'LibreEHR डेटाबेस नवीनीकरण');
INSERT INTO `lang_definitions` VALUES (103530, 4325, 27, 'De-IDENTIFICATION के लिए LibreEHR डेटाबेस नवीनीकरण');
INSERT INTO `lang_definitions` VALUES (103531, 4326, 27, 'LibreEHR योगदान निर्देशिका में आने वाली फ़ाइल को नहीं पहचानता है. क्योंकि संभावना यह है, आपको MySQL डाटाबेस में supported_external_dataloads तालिका के रिलीज, विन्यस्त करने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (103532, 4327, 27, 'क्लाइंट प्रमाण पत्र बनाने से पहले LibreEHR प्रमाण पत्र का उपयोग करने के लिए कॉन्फ़िगर किया जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (103533, 4328, 27, 'LibreEHR को उपयोगकर्ता प्रमाणीकरण करने के लिए जावास्क्रिप्ट की आवश्यकता है.');
INSERT INTO `lang_definitions` VALUES (103534, 4329, 27, 'LibreEHR उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (103535, 4330, 27, 'उद्घाटन');
INSERT INTO `lang_definitions` VALUES (103536, 4332, 27, 'ऑप्थाल्मिक');
INSERT INTO `lang_definitions` VALUES (103537, 4333, 27, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (103538, 4334, 27, 'दस्तावेज़ भंडारण की पद्धति सहेजने के लिए विकल्प.');
INSERT INTO `lang_definitions` VALUES (103539, 4335, 27, 'उत्पादों की बिक्री और सूची का समर्थन करने के विकल्प');
INSERT INTO `lang_definitions` VALUES (103540, 4336, 27, 'वैकल्पिक');
INSERT INTO `lang_definitions` VALUES (103541, 4337, 27, 'आईडी कार्ड छवि के लिए वैकल्पिक श्रेणी नाम, रोगी सारांश पृष्ठ पर देखा जा सकता है.');
INSERT INTO `lang_definitions` VALUES (103542, 4338, 27, 'फोटो छवियों के लिए वैकल्पिक श्रेणी नाम रोगी सारांश पृष्ठ में देखा जा सकता है');
INSERT INTO `lang_definitions` VALUES (103543, 4339, 27, 'रोगी सारांश पेज से लिंक करने के लिए एक दस्तावेज़ का वैकल्पिक श्रेणी नाम. आपको उनके आईडी कार्ड देखने के लिए एक रोगी के नाम पर क्लिक करने देता है.');
INSERT INTO `lang_definitions` VALUES (103544, 4340, 27, 'परिणामों को मैनुअल प्रविष्टि करने के लिए वैकल्पिक डिफॉल्ट सीमा');
INSERT INTO `lang_definitions` VALUES (103545, 4341, 27, 'परिणामों को मैनुअल प्रविष्टि करने के लिए वैकल्पिक डिफॉल्ट इकाइयों');
INSERT INTO `lang_definitions` VALUES (103546, 4342, 27, 'वैकल्पिक गंतव्य नाम');
INSERT INTO `lang_definitions` VALUES (103547, 4343, 27, 'वैकल्पिक दवा के नाम, % का उपयोग वाइल्डकार्ड के रूप में करें');
INSERT INTO `lang_definitions` VALUES (103548, 4345, 27, 'इस घटना के बारे में वैकल्पिक जानकारी');
INSERT INTO `lang_definitions` VALUES (103549, 4346, 27, 'वैकल्पिक lot संख्या, % का उपयोग वाइल्डकार्ड के रूप में करें');
INSERT INTO `lang_definitions` VALUES (103550, 4347, 27, 'वैकल्पिक सांख्यिक रोगी ID');
INSERT INTO `lang_definitions` VALUES (103551, 4348, 27, 'वैकल्पिक प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (103552, 4349, 27, 'वैकल्पिक प्रक्रिया / सेवा संहिता');
INSERT INTO `lang_definitions` VALUES (103553, 4350, 27, 'विकल्प');
INSERT INTO `lang_definitions` VALUES (103554, 4351, 27, 'या');
INSERT INTO `lang_definitions` VALUES (103555, 4352, 27, 'या');
INSERT INTO `lang_definitions` VALUES (103556, 4353, 27, 'या चयन करें');
INSERT INTO `lang_definitions` VALUES (103557, 4354, 27, 'या खींचें और क्लिक करें तेजी से चयन के लिए .');
INSERT INTO `lang_definitions` VALUES (103558, 4356, 27, 'या बाहर करने के लिए');
INSERT INTO `lang_definitions` VALUES (103559, 4358, 27, 'या इसे कम करने के लिए Shift-क्लिक करें');
INSERT INTO `lang_definitions` VALUES (103560, 4359, 27, 'या ERA फाइल अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (103561, 4360, 27, 'मौखिक');
INSERT INTO `lang_definitions` VALUES (103562, 4361, 27, 'मौखिक mucosa गुलाबी, गला साफ');
INSERT INTO `lang_definitions` VALUES (103563, 4362, 27, 'आदेश');
INSERT INTO `lang_definitions` VALUES (103564, 4363, 27, 'आदेश और परिणाम के प्रकार');
INSERT INTO `lang_definitions` VALUES (103565, 4364, 27, 'आदेश सूची');
INSERT INTO `lang_definitions` VALUES (103566, 4365, 27, 'आदेश तिथि');
INSERT INTO `lang_definitions` VALUES (103567, 4367, 27, 'से आदेश');
INSERT INTO `lang_definitions` VALUES (103568, 4368, 27, 'आदेश ID');
INSERT INTO `lang_definitions` VALUES (103569, 4369, 27, 'आदेश 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (103570, 4370, 27, 'आदेश नाम');
INSERT INTO `lang_definitions` VALUES (103571, 4371, 27, 'आदेश प्राथमिकताएं');
INSERT INTO `lang_definitions` VALUES (103572, 4372, 27, 'आदेश संसाधक');
INSERT INTO `lang_definitions` VALUES (103573, 4373, 27, 'आदेश परिणाम');
INSERT INTO `lang_definitions` VALUES (103574, 4374, 27, 'आदेश स्थिति');
INSERT INTO `lang_definitions` VALUES (103575, 4375, 27, 'आदेश की स्थिती');
INSERT INTO `lang_definitions` VALUES (103576, 4376, 27, 'आदेश सारांश');
INSERT INTO `lang_definitions` VALUES (103577, 4378, 27, 'आदेश के प्रकार');
INSERT INTO `lang_definitions` VALUES (103578, 4380, 27, 'आदेश / परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (103579, 4381, 27, 'आदेशित');
INSERT INTO `lang_definitions` VALUES (103580, 4382, 27, 'द्वारा आदेश');
INSERT INTO `lang_definitions` VALUES (103581, 4383, 27, 'आदेश दिए प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (103582, 4384, 27, 'आदेश देते प्रदाता');
INSERT INTO `lang_definitions` VALUES (103583, 4385, 27, 'आदेश पथ');
INSERT INTO `lang_definitions` VALUES (103584, 4386, 27, 'अंग चोट');
INSERT INTO `lang_definitions` VALUES (103585, 4387, 27, 'संगठन');
INSERT INTO `lang_definitions` VALUES (103586, 4388, 27, 'संगठन का नाम');
INSERT INTO `lang_definitions` VALUES (103587, 4389, 27, 'संगठन इकाई का नाम');
INSERT INTO `lang_definitions` VALUES (103588, 4390, 27, 'संगठन');
INSERT INTO `lang_definitions` VALUES (103589, 4391, 27, 'केंद्रित x 3');
INSERT INTO `lang_definitions` VALUES (103590, 4392, 27, 'मूल');
INSERT INTO `lang_definitions` VALUES (103591, 4396, 27, 'oropharynx: ');
INSERT INTO `lang_definitions` VALUES (103592, 4397, 27, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (103593, 4398, 27, 'OS');
INSERT INTO `lang_definitions` VALUES (103594, 4399, 27, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (103595, 4402, 27, 'अन्य');
INSERT INTO `lang_definitions` VALUES (103596, 4403, 27, 'अन्य');
INSERT INTO `lang_definitions` VALUES (103597, 4404, 27, 'अन्य ( निर्दिष्ट करें)');
INSERT INTO `lang_definitions` VALUES (103598, 4405, 27, 'अन्य - निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (103599, 4406, 27, 'अन्य संघीय कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (103600, 4407, 27, 'अन्य HCFA');
INSERT INTO `lang_definitions` VALUES (103601, 4408, 27, 'अन्य चोट कहीं निर्दिष्ट नहीं');
INSERT INTO `lang_definitions` VALUES (103602, 4409, 27, 'अन्य देयता बीमा प्राथमिक है');
INSERT INTO `lang_definitions` VALUES (103603, 4410, 27, 'अन्य महीने');
INSERT INTO `lang_definitions` VALUES (103604, 4411, 27, 'अन्य गैर संघीय कार्यक्रमों');
INSERT INTO `lang_definitions` VALUES (103605, 4412, 27, 'अन्य नोट्स');
INSERT INTO `lang_definitions` VALUES (103606, 4413, 27, 'अन्य प्रासंगिक लक्षण');
INSERT INTO `lang_definitions` VALUES (103607, 4414, 27, 'अन्य प्रासंगिक लक्षण:');
INSERT INTO `lang_definitions` VALUES (103608, 4415, 27, 'अन्य pt resp');
INSERT INTO `lang_definitions` VALUES (103609, 4416, 27, 'अन्य तनाव / अतिरिक्त उपयोग चोट');
INSERT INTO `lang_definitions` VALUES (103610, 4417, 27, 'अन्य सर्जिकल');
INSERT INTO `lang_definitions` VALUES (103611, 4418, 27, 'अन्य / सामान्य गर्भपात से संबंधित');
INSERT INTO `lang_definitions` VALUES (103612, 4420, 27, 'दूसरों के');
INSERT INTO `lang_definitions` VALUES (103613, 4421, 27, 'अन्यथा आप मौजूदा डेटा से / संदर्भ नष्ट कर देंगे.');
INSERT INTO `lang_definitions` VALUES (103614, 4422, 27, 'ओटावा टखने नियम');
INSERT INTO `lang_definitions` VALUES (103615, 4423, 27, 'OU');
INSERT INTO `lang_definitions` VALUES (103616, 4424, 27, 'बाहर');
INSERT INTO `lang_definitions` VALUES (103617, 4425, 27, 'कार्यालय से बाहर');
INSERT INTO `lang_definitions` VALUES (103618, 4426, 27, 'आउटबाउंड रेफरल');
INSERT INTO `lang_definitions` VALUES (103619, 4427, 27, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (103620, 4428, 27, 'दृष्टिकोण');
INSERT INTO `lang_definitions` VALUES (103621, 4430, 27, 'छुट्टी की समग्र स्थिति');
INSERT INTO `lang_definitions` VALUES (103622, 4431, 27, 'अतिदेय');
INSERT INTO `lang_definitions` VALUES (103623, 4432, 27, 'अति प्रयोग');
INSERT INTO `lang_definitions` VALUES (103624, 4433, 27, 'अवलोकन');
INSERT INTO `lang_definitions` VALUES (103625, 4434, 27, 'अधिक वजन');
INSERT INTO `lang_definitions` VALUES (103626, 4435, 27, 'HIPAA चुनाव अधिलेखित करें');
INSERT INTO `lang_definitions` VALUES (103627, 4437, 27, 'ऑक्सीजन संतृप्ति');
INSERT INTO `lang_definitions` VALUES (103628, 4438, 27, 'oz');
INSERT INTO `lang_definitions` VALUES (103629, 4439, 27, 'P');
INSERT INTO `lang_definitions` VALUES (103630, 4440, 27, 'p.c.');
INSERT INTO `lang_definitions` VALUES (103631, 4441, 27, 'दोपहर बाद');
INSERT INTO `lang_definitions` VALUES (103632, 4442, 27, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (103633, 4443, 27, 'प्रशांत द्वीप');
INSERT INTO `lang_definitions` VALUES (103634, 4444, 27, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (103635, 4445, 27, 'पृष्ठ');
INSERT INTO `lang_definitions` VALUES (103636, 4446, 27, 'पृष्ठों के');
INSERT INTO `lang_definitions` VALUES (103637, 4447, 27, 'भुगतान किया');
INSERT INTO `lang_definitions` VALUES (103638, 4448, 27, 'आप भुगतान की गई राशि की अनुमति दे देंगे');
INSERT INTO `lang_definitions` VALUES (103639, 4449, 27, 'भुगतान की गई राशि');
INSERT INTO `lang_definitions` VALUES (103640, 4450, 27, 'के माध्यम से भुगतान');
INSERT INTO `lang_definitions` VALUES (103641, 4451, 27, 'दर्द');
INSERT INTO `lang_definitions` VALUES (103642, 4453, 27, 'घबराहट');
INSERT INTO `lang_definitions` VALUES (103643, 4455, 27, 'पैप स्मीयर');
INSERT INTO `lang_definitions` VALUES (103644, 4456, 27, 'काग़ज़');
INSERT INTO `lang_definitions` VALUES (103645, 4457, 27, 'पेपर आकार');
INSERT INTO `lang_definitions` VALUES (103646, 4458, 27, 'पक्षाघात');
INSERT INTO `lang_definitions` VALUES (103647, 4461, 27, 'विश्लेषण HL7');
INSERT INTO `lang_definitions` VALUES (103648, 4463, 27, 'साथी');
INSERT INTO `lang_definitions` VALUES (103649, 4464, 27, 'साथी का नाम');
INSERT INTO `lang_definitions` VALUES (103650, 4467, 27, 'वाक्यांश पास करें');
INSERT INTO `lang_definitions` VALUES (103651, 4468, 27, 'दस्तावेज को डिक्रिप्ट करने के लिए वाक्यांश पास करें');
INSERT INTO `lang_definitions` VALUES (103652, 4469, 27, 'मृत रोगी');
INSERT INTO `lang_definitions` VALUES (103653, 4470, 27, 'निष्क्रिय चेतावनी');
INSERT INTO `lang_definitions` VALUES (103654, 4471, 27, 'निष्क्रिय चेतावनी नियम');
INSERT INTO `lang_definitions` VALUES (103655, 4472, 27, 'पासवर्ड');
INSERT INTO `lang_definitions` VALUES (103656, 4473, 27, 'पासवर्ड परिवर्तन करें');
INSERT INTO `lang_definitions` VALUES (103657, 4474, 27, 'पासवर्ड परिवर्तन सफल');
INSERT INTO `lang_definitions` VALUES (103658, 4475, 27, 'पासवर्ड परिवर्तन सफल');
INSERT INTO `lang_definitions` VALUES (103659, 4476, 27, 'पासवर्ड न्यूनतम आवश्यकताओं को पूरा नहीं करता है और चार निम्न वस्तुओं में से कम से कम तीन को शामिल करना चाहिए: एक नंबर, एक लोअरकेस अक्षर, एक अपरकेस अक्षर, एक विशेष चरित्र (एक अक्षर या संख्या नहीं).');
INSERT INTO `lang_definitions` VALUES (103660, 4477, 27, 'पासवर्ड समाप्त ग्रेस अवधि');
INSERT INTO `lang_definitions` VALUES (103661, 4479, 27, 'फोन प्रवेश द्वार के लिए पासवर्ड. Maviq द्वारा स्वचालित VOIP सेवा प्रदान की . अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (103662, 4480, 27, 'SMS गेटवे के लिए पासवर्ड');
INSERT INTO `lang_definitions` VALUES (103663, 4481, 27, 'SMS गेटवे के लिए पासवर्ड.');
INSERT INTO `lang_definitions` VALUES (103664, 4483, 27, 'पासवर्ड सुरक्षा हाल ही में उन्नत किया गया है.');
INSERT INTO `lang_definitions` VALUES (103665, 4484, 27, 'CouchDB से कनेक्ट करने के लिए पासवर्ड');
INSERT INTO `lang_definitions` VALUES (103666, 4485, 27, 'बहुत छोटा पासवर्ड . आवश्यक न्यूनतम 8 वर्ण.');
INSERT INTO `lang_definitions` VALUES (103667, 4486, 27, 'पासवर्ड:');
INSERT INTO `lang_definitions` VALUES (103668, 4487, 27, 'पासवर्ड मेल नहीं खाते!');
INSERT INTO `lang_definitions` VALUES (103669, 4488, 27, 'अतीत Appoinments');
INSERT INTO `lang_definitions` VALUES (103670, 4489, 27, 'अतीत नियुक्तियां प्रदर्शन विजेट');
INSERT INTO `lang_definitions` VALUES (103671, 4490, 27, 'पिछला देय');
INSERT INTO `lang_definitions` VALUES (103672, 4491, 27, 'पिछला देय');
INSERT INTO `lang_definitions` VALUES (103673, 4492, 27, 'पिछला देय अंतराल (क्लीनिकल अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (103674, 4493, 27, 'पिछला देय अंतराल (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (103675, 4494, 27, 'अतीत मुठभेड़ सूची');
INSERT INTO `lang_definitions` VALUES (103676, 4495, 27, 'अतीत मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103677, 4496, 27, 'अतीत मुठभेड़ और दस्तावेज');
INSERT INTO `lang_definitions` VALUES (103678, 4497, 27, 'के लिए अतीत मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103679, 4498, 27, 'HL7 डेटा चिपकाएँ');
INSERT INTO `lang_definitions` VALUES (103680, 4499, 27, 'नीचे दिए गए पाठ क्षेत्र में आयात करने के लिए डेटा चिपकाएँ:');
INSERT INTO `lang_definitions` VALUES (103681, 4500, 27, 'थपथपाना');
INSERT INTO `lang_definitions` VALUES (103682, 4502, 27, 'पैच');
INSERT INTO `lang_definitions` VALUES (103683, 4508, 27, 'इवेंट लॉग बैकअप के लिए पथ');
INSERT INTO `lang_definitions` VALUES (103684, 4509, 27, 'CA प्रमाणपत्र फ़ाइल के लिए पथ');
INSERT INTO `lang_definitions` VALUES (103685, 4510, 27, 'CA कुंजी फ़ाइल के लिए पथ');
INSERT INTO `lang_definitions` VALUES (103686, 4511, 27, 'MySQL बायनेरिज़ के लिए पथ');
INSERT INTO `lang_definitions` VALUES (103687, 4512, 27, 'पर्ल बायनेरिज़ के लिए पथ');
INSERT INTO `lang_definitions` VALUES (103688, 4513, 27, 'अस्थाई फ़ाइलें के लिए पथ');
INSERT INTO `lang_definitions` VALUES (103689, 4514, 27, 'रोगी');
INSERT INTO `lang_definitions` VALUES (103690, 4515, 27, 'रोगी');
INSERT INTO `lang_definitions` VALUES (103691, 4516, 27, 'रोगी');
INSERT INTO `lang_definitions` VALUES (103692, 4517, 27, 'रोगी का पता');
INSERT INTO `lang_definitions` VALUES (103693, 4518, 27, 'रोगी का पता लापता है');
INSERT INTO `lang_definitions` VALUES (103694, 4521, 27, 'रोगी एलर्जी');
INSERT INTO `lang_definitions` VALUES (103695, 4522, 27, 'रोगी एलर्जी');
INSERT INTO `lang_definitions` VALUES (103696, 4523, 27, 'रोगी की नियुक्ति');
INSERT INTO `lang_definitions` VALUES (103697, 4524, 27, 'रोगी बैलेंस');
INSERT INTO `lang_definitions` VALUES (103698, 4525, 27, 'रोगी देय शेष राशि');
INSERT INTO `lang_definitions` VALUES (103699, 4528, 27, 'रोगी चार्ट आईडी');
INSERT INTO `lang_definitions` VALUES (103700, 4529, 27, 'रोगी चेकआउट');
INSERT INTO `lang_definitions` VALUES (103701, 4530, 27, 'के लिए रोगी चेकआउट ');
INSERT INTO `lang_definitions` VALUES (103702, 4531, 27, 'रोगी शहर');
INSERT INTO `lang_definitions` VALUES (103703, 4532, 27, 'रोगी शहर लापता है.');
INSERT INTO `lang_definitions` VALUES (103704, 4533, 27, 'रोगी संचार भेजा');
INSERT INTO `lang_definitions` VALUES (103705, 4534, 27, 'रोगी संचार भेजा');
INSERT INTO `lang_definitions` VALUES (103706, 4535, 27, 'रोगी देश');
INSERT INTO `lang_definitions` VALUES (103707, 4536, 27, 'रोगी देश लापता है. इसके अलावा आप वैश्विक सेटिंग्स में डिफ़ॉल्ट रोगी देश सेट नहीं किया है');
INSERT INTO `lang_definitions` VALUES (103708, 4537, 27, 'रोगी कवरेज');
INSERT INTO `lang_definitions` VALUES (103709, 4539, 27, 'रोगी डेटा');
INSERT INTO `lang_definitions` VALUES (103710, 4541, 27, 'रोगी जन्म तारीख लापता है.');
INSERT INTO `lang_definitions` VALUES (103711, 4542, 27, 'रोगी का विवरण');
INSERT INTO `lang_definitions` VALUES (103712, 4543, 27, 'रोगी जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (103713, 4544, 27, 'रोगी दस्तावेज');
INSERT INTO `lang_definitions` VALUES (103714, 4545, 27, 'रोगी शिक्षा');
INSERT INTO `lang_definitions` VALUES (103715, 4546, 27, 'रोगी शिक्षा सामग्री');
INSERT INTO `lang_definitions` VALUES (103716, 4547, 27, 'रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103717, 4548, 27, 'रोगी मुठभेड़ पर्चा');
INSERT INTO `lang_definitions` VALUES (103718, 4549, 27, 'रोगी मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103719, 4550, 27, 'रोगी खोजक');
INSERT INTO `lang_definitions` VALUES (103720, 4551, 27, 'रोगी पहला नाम');
INSERT INTO `lang_definitions` VALUES (103721, 4553, 27, 'रोगी पहला नाम लापता है');
INSERT INTO `lang_definitions` VALUES (103722, 4558, 27, 'रोगी लिंग');
INSERT INTO `lang_definitions` VALUES (103723, 4559, 27, 'रोगी लिंग लापता है');
INSERT INTO `lang_definitions` VALUES (103724, 4560, 27, 'रोगी को रोगी पोर्टल अधिकृत नहीं किया गया है.');
INSERT INTO `lang_definitions` VALUES (103725, 4561, 27, 'रोगी इतिहास');
INSERT INTO `lang_definitions` VALUES (103726, 4562, 27, 'रोगी इतिहास / लाइफस्टाइल');
INSERT INTO `lang_definitions` VALUES (103727, 4563, 27, 'रोगी घर फोन');
INSERT INTO `lang_definitions` VALUES (103728, 4564, 27, 'रोगी ID');
INSERT INTO `lang_definitions` VALUES (103729, 4565, 27, 'रोगी ID');
INSERT INTO `lang_definitions` VALUES (103730, 4566, 27, 'रोगी ID कार्ड');
INSERT INTO `lang_definitions` VALUES (103731, 4567, 27, 'रोगी ID श्रेणी का नाम');
INSERT INTO `lang_definitions` VALUES (103732, 4568, 27, 'रोगी टीकाकरण');
INSERT INTO `lang_definitions` VALUES (103733, 4569, 27, 'रोगी सूचना');
INSERT INTO `lang_definitions` VALUES (103734, 4570, 27, 'रोगी निर्देश');
INSERT INTO `lang_definitions` VALUES (103735, 4571, 27, 'रोगी बीमा वितरण');
INSERT INTO `lang_definitions` VALUES (103736, 4572, 27, 'रोगी बीमा वितरण की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (103737, 4573, 27, 'रोगी समस्याएँ');
INSERT INTO `lang_definitions` VALUES (103738, 4575, 27, 'रोगी अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (103739, 4577, 27, 'रोगी अंतिम नाम लापता है');
INSERT INTO `lang_definitions` VALUES (103740, 4581, 27, 'रोगी सूची');
INSERT INTO `lang_definitions` VALUES (103741, 4582, 27, 'रोगी सूची स्तंभ');
INSERT INTO `lang_definitions` VALUES (103742, 4584, 27, 'रोगी सूची नई विंडो');
INSERT INTO `lang_definitions` VALUES (103743, 4585, 27, 'रोगी सूची पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (103744, 4586, 27, 'रोगी देखने का त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (103745, 4587, 27, 'रोगी मेडिकल समस्याएं');
INSERT INTO `lang_definitions` VALUES (103746, 4588, 27, 'रोगी की दवाएं');
INSERT INTO `lang_definitions` VALUES (103747, 4589, 27, 'रोगी का नाम');
INSERT INTO `lang_definitions` VALUES (103748, 4590, 27, 'रोगी का नाम व पता');
INSERT INTO `lang_definitions` VALUES (103749, 4593, 27, 'रोगी का नाम आवश्यक');
INSERT INTO `lang_definitions` VALUES (103750, 4595, 27, 'रोगी नोट');
INSERT INTO `lang_definitions` VALUES (103751, 4596, 27, 'रोगी नोट के प्रकार');
INSERT INTO `lang_definitions` VALUES (103752, 4597, 27, 'रोगी नोट्स');
INSERT INTO `lang_definitions` VALUES (103753, 4598, 27, 'रोगी नोट्स (, addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (103754, 4599, 27, 'रोगी संख्या');
INSERT INTO `lang_definitions` VALUES (103755, 4600, 27, 'रोगी भुगतान');
INSERT INTO `lang_definitions` VALUES (103756, 4602, 27, 'रोगी फोटो श्रेणी का नाम');
INSERT INTO `lang_definitions` VALUES (103757, 4603, 27, 'रोगी पोर्टल');
INSERT INTO `lang_definitions` VALUES (103758, 4605, 27, 'रोगी पोर्टल बंद कर दिया है');
INSERT INTO `lang_definitions` VALUES (103759, 4606, 27, 'रोगी पोर्टल लॉगइन');
INSERT INTO `lang_definitions` VALUES (103760, 4607, 27, 'रोगी पोर्टल वेब पता');
INSERT INTO `lang_definitions` VALUES (103761, 4608, 27, 'रोगी मुद्रित रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (103762, 4609, 27, 'रोगी रिकॉर्ड की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (103763, 4610, 27, 'रोगी रिकॉर्ड अनुरोध');
INSERT INTO `lang_definitions` VALUES (103764, 4611, 27, 'रोगी रिकॉर्ड अनुरोध');
INSERT INTO `lang_definitions` VALUES (103765, 4613, 27, 'रोगी अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (103766, 4614, 27, 'रोगी अनुस्मारक बैच के कार्य');
INSERT INTO `lang_definitions` VALUES (103767, 4615, 27, 'रोगी अनुस्मारक निर्माण प्रसंस्करण प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (103768, 4616, 27, 'रोगी अनुस्मारक नियम');
INSERT INTO `lang_definitions` VALUES (103769, 4617, 27, 'रोगी अनुस्मारक प्रेषक का ईमेल');
INSERT INTO `lang_definitions` VALUES (103770, 4618, 27, 'रोगी अनुस्मारक प्रेषक का नाम');
INSERT INTO `lang_definitions` VALUES (103771, 4619, 27, 'रोगी अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (103772, 4620, 27, 'रोगी की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (103773, 4621, 27, 'रोगी अनुरोध');
INSERT INTO `lang_definitions` VALUES (103774, 4622, 27, 'रोगी अनुरोधित मेडिकल रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (103775, 4623, 27, 'रोगी परिणाम');
INSERT INTO `lang_definitions` VALUES (103776, 4624, 27, 'रोगी खोज परिणाम शैली');
INSERT INTO `lang_definitions` VALUES (103777, 4625, 27, 'रोगी खोज / स्क्रीन जोड़ें');
INSERT INTO `lang_definitions` VALUES (103778, 4626, 27, 'रोगी की स्थापना');
INSERT INTO `lang_definitions` VALUES (103779, 4627, 27, 'रोगी स्टेट');
INSERT INTO `lang_definitions` VALUES (103780, 4629, 27, 'रोगी सारांश');
INSERT INTO `lang_definitions` VALUES (103781, 4630, 27, 'रोगी लेनदेन');
INSERT INTO `lang_definitions` VALUES (103782, 4631, 27, 'रोगी पिन');
INSERT INTO `lang_definitions` VALUES (103783, 4632, 27, 'आपके द्वारा दर्ज, जनसांख्यिकीय जानकारी से मेल खाने वाल रोगी डेटाबेस में.');
INSERT INTO `lang_definitions` VALUES (103784, 4633, 27, 'रोगी / ग्राहक');
INSERT INTO `lang_definitions` VALUES (103785, 4634, 27, 'रोगी:');
INSERT INTO `lang_definitions` VALUES (103786, 4635, 27, 'PatientID');
INSERT INTO `lang_definitions` VALUES (103787, 4636, 27, 'रोगियों के');
INSERT INTO `lang_definitions` VALUES (103788, 4637, 27, 'प्रसंस्कृत रोगियों के');
INSERT INTO `lang_definitions` VALUES (103789, 4638, 27, 'वेतन');
INSERT INTO `lang_definitions` VALUES (103790, 4639, 27, 'Pay attention to the \"Done with\" checkboxes. After the insurances are marked complete then we will start asking the patient to pay the remaining balance; if you fail to mark all of the insurances complete then the remaining amount will not be collected! Also if there is a balance that the patient should pay, then set the due date appropriately, as this will affect the language that appears on patient statements.');
INSERT INTO `lang_definitions` VALUES (103791, 4640, 27, 'भुगतान तिथिें:');
INSERT INTO `lang_definitions` VALUES (103792, 4641, 27, 'वेतन स्थिति');
INSERT INTO `lang_definitions` VALUES (103793, 4642, 27, 'प्राप्तकर्ता का नाम');
INSERT INTO `lang_definitions` VALUES (103794, 4643, 27, 'दाता');
INSERT INTO `lang_definitions` VALUES (103795, 4644, 27, 'भुगतानकर्ता प्रकार');
INSERT INTO `lang_definitions` VALUES (103796, 4645, 27, 'भर रहे');
INSERT INTO `lang_definitions` VALUES (103797, 4646, 27, 'भर रहे एंटिटी');
INSERT INTO `lang_definitions` VALUES (103798, 4647, 27, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (103799, 4648, 27, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (103800, 4649, 27, 'भुगतान एडजस्टमेंट कोड');
INSERT INTO `lang_definitions` VALUES (103801, 4650, 27, 'के खिलाफ भुगतान');
INSERT INTO `lang_definitions` VALUES (103802, 4651, 27, 'भुगतान राशि');
INSERT INTO `lang_definitions` VALUES (103803, 4652, 27, 'भुगतान राशि संख्यात्मक होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (103804, 4653, 27, 'भुगतान श्रेणी');
INSERT INTO `lang_definitions` VALUES (103805, 4654, 27, 'भुगतान की तिथि');
INSERT INTO `lang_definitions` VALUES (103806, 4655, 27, 'पर भुगतान प्रवेश किया');
INSERT INTO `lang_definitions` VALUES (103807, 4656, 27, 'इससे भुगतान');
INSERT INTO `lang_definitions` VALUES (103808, 4657, 27, 'भुगतान द्वार');
INSERT INTO `lang_definitions` VALUES (103809, 4658, 27, 'भुगतान Ins');
INSERT INTO `lang_definitions` VALUES (103810, 4659, 27, 'भुगतान सूची');
INSERT INTO `lang_definitions` VALUES (103811, 4660, 27, 'भुगतान पद्धति');
INSERT INTO `lang_definitions` VALUES (103812, 4661, 27, 'भुगतान छंटनी करें');
INSERT INTO `lang_definitions` VALUES (103813, 4662, 27, 'भुगतान की स्थिति');
INSERT INTO `lang_definitions` VALUES (103814, 4663, 27, 'भुगतान के प्रकार');
INSERT INTO `lang_definitions` VALUES (103815, 4664, 27, 'कोड के लिए भुगतान मूल्य ');
INSERT INTO `lang_definitions` VALUES (103816, 4665, 27, 'भुगतान');
INSERT INTO `lang_definitions` VALUES (103817, 4667, 27, 'PCP');
INSERT INTO `lang_definitions` VALUES (103818, 4668, 27, 'पंक्तियों की pct (%)');
INSERT INTO `lang_definitions` VALUES (103819, 4669, 27, 'PDF');
INSERT INTO `lang_definitions` VALUES (103820, 4670, 27, 'PDF डाउनलोड चयनित वक्तव्य');
INSERT INTO `lang_definitions` VALUES (103821, 4672, 27, 'कमर और कूल्हे');
INSERT INTO `lang_definitions` VALUES (103822, 4673, 27, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (103823, 4674, 27, 'लंबित');
INSERT INTO `lang_definitions` VALUES (103824, 4676, 27, 'लंबित F / U');
INSERT INTO `lang_definitions` VALUES (103825, 4677, 27, 'लंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (103826, 4678, 27, 'परिणाम से फॉलोअप लंबित');
INSERT INTO `lang_definitions` VALUES (103827, 4679, 27, 'लंबित आदेश');
INSERT INTO `lang_definitions` VALUES (103828, 4680, 27, 'लंबित Res');
INSERT INTO `lang_definitions` VALUES (103829, 4681, 27, 'लंबित समीक्षा');
INSERT INTO `lang_definitions` VALUES (103830, 4682, 27, 'लंबित Rx गणना');
INSERT INTO `lang_definitions` VALUES (103831, 4684, 27, 'Pennington फर्म LibreEHR V');
INSERT INTO `lang_definitions` VALUES (103832, 4685, 27, 'पेप्टिक अल्सर रोग');
INSERT INTO `lang_definitions` VALUES (103833, 4686, 27, 'प्रति मुठभेड़');
INSERT INTO `lang_definitions` VALUES (103834, 4687, 27, 'प्रति मिनट');
INSERT INTO `lang_definitions` VALUES (103835, 4688, 27, 'प्रति नथुने');
INSERT INTO `lang_definitions` VALUES (103836, 4689, 27, 'प्रति नथुने');
INSERT INTO `lang_definitions` VALUES (103837, 4690, 27, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (103838, 4691, 27, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (103839, 4692, 27, 'प्रति मलाशय');
INSERT INTO `lang_definitions` VALUES (103840, 4693, 27, 'प्रति मलाशय');
INSERT INTO `lang_definitions` VALUES (103841, 4694, 27, 'प्रतिशत');
INSERT INTO `lang_definitions` VALUES (103842, 4697, 27, 'प्रतिशतक');
INSERT INTO `lang_definitions` VALUES (103843, 4698, 27, 'छिद्रित दाएँ:');
INSERT INTO `lang_definitions` VALUES (103844, 4699, 27, 'खोज करना');
INSERT INTO `lang_definitions` VALUES (103845, 4700, 27, 'यह क्रिया करें');
INSERT INTO `lang_definitions` VALUES (103846, 4701, 27, 'प्रदर्शन का प्रतिशत');
INSERT INTO `lang_definitions` VALUES (103847, 4703, 27, 'काम कर रही प्रयोगशाला सुविधा');
INSERT INTO `lang_definitions` VALUES (103848, 4705, 27, 'अवधि');
INSERT INTO `lang_definitions` VALUES (103849, 4706, 27, 'दिन में अवधि, जहां एक उपयोगकर्ता समाप्त पासवर्ड के साथ प्रवेश कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (103850, 4707, 27, 'perioperative देखभाल');
INSERT INTO `lang_definitions` VALUES (103851, 4708, 27, 'परिधीय');
INSERT INTO `lang_definitions` VALUES (103852, 4709, 27, 'अनसाल्टेड पासवर्ड को अनुमति दें');
INSERT INTO `lang_definitions` VALUES (103853, 4710, 27, 'Persian');
INSERT INTO `lang_definitions` VALUES (103854, 4712, 27, 'व्यक्ति');
INSERT INTO `lang_definitions` VALUES (103855, 4713, 27, 'व्यक्तिगत बनाएं');
INSERT INTO `lang_definitions` VALUES (103856, 4714, 27, 'PG');
INSERT INTO `lang_definitions` VALUES (103857, 4715, 27, 'Pharm');
INSERT INTO `lang_definitions` VALUES (103858, 4716, 27, 'Pharm Com गणना');
INSERT INTO `lang_definitions` VALUES (103859, 4717, 27, 'फ़ार्मेसियां');
INSERT INTO `lang_definitions` VALUES (103860, 4718, 27, 'फार्मेसी');
INSERT INTO `lang_definitions` VALUES (103861, 4719, 27, 'फार्मेसी डिस्पेंसरी');
INSERT INTO `lang_definitions` VALUES (103862, 4720, 27, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (103863, 4723, 27, 'phiMail संदेश अंतराल की जाँच (मिनट)');
INSERT INTO `lang_definitions` VALUES (103864, 4724, 27, 'phiMail अधिसूचना उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (103865, 4725, 27, 'phiMail पारण');
INSERT INTO `lang_definitions` VALUES (103866, 4726, 27, 'phiMail सर्वर पता');
INSERT INTO `lang_definitions` VALUES (103867, 4727, 27, 'phiMail उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (103868, 4729, 27, 'फ़ोन');
INSERT INTO `lang_definitions` VALUES (103869, 4730, 27, 'फोन कॉल की सूची');
INSERT INTO `lang_definitions` VALUES (103870, 4731, 27, 'फोन कॉल की सूची की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (103871, 4733, 27, 'फोन प्रवेश द्वार पारण');
INSERT INTO `lang_definitions` VALUES (103872, 4734, 27, 'फोन प्रवेश द्वार URL');
INSERT INTO `lang_definitions` VALUES (103873, 4735, 27, 'फोन प्रवेश द्वार उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (103874, 4737, 27, 'फोन अधिसूचना घंटे');
INSERT INTO `lang_definitions` VALUES (103875, 4738, 27, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (103876, 4740, 27, 'प्रकाश की असहनीयता');
INSERT INTO `lang_definitions` VALUES (103877, 4741, 27, 'तस्वीरें');
INSERT INTO `lang_definitions` VALUES (103878, 4742, 27, 'PHP संकुचित');
INSERT INTO `lang_definitions` VALUES (103879, 4743, 27, 'PHP CURL मॉड्यूल अपने सर्वर में सक्षम होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (103880, 4744, 27, 'PHP निकाला');
INSERT INTO `lang_definitions` VALUES (103881, 4745, 27, 'PHP-GACL पहुँच नियंत्रण बंद कर दिया हैं');
INSERT INTO `lang_definitions` VALUES (103882, 4746, 27, 'PHP-GACL स्थापित नहीं है');
INSERT INTO `lang_definitions` VALUES (103883, 4747, 27, 'शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (103884, 4749, 27, 'चिकित्सक अनुरोध');
INSERT INTO `lang_definitions` VALUES (103885, 4750, 27, 'चिकित्सक हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (103886, 4752, 27, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (103887, 4753, 27, 'चुनना');
INSERT INTO `lang_definitions` VALUES (103888, 4754, 27, 'चुनना');
INSERT INTO `lang_definitions` VALUES (103889, 4755, 27, 'एक CSS थीम उठाओ.');
INSERT INTO `lang_definitions` VALUES (103890, 4756, 27, 'PID');
INSERT INTO `lang_definitions` VALUES (103891, 4757, 27, 'PID ​​(श्रोणि सूजन बीमारी)');
INSERT INTO `lang_definitions` VALUES (103892, 4758, 27, 'गोली आकार');
INSERT INTO `lang_definitions` VALUES (103893, 4759, 27, 'गोलियां');
INSERT INTO `lang_definitions` VALUES (103894, 4760, 27, 'संस्थापित का विकल्प चाहत है, तो निम्न निर्देशिका में डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (103895, 4761, 27, 'निम्नलिखित निर्देशिका में डाउनलोड किया ICD 10 डेटाबेस ज़िप फाइल रखें');
INSERT INTO `lang_definitions` VALUES (103896, 4762, 27, 'निम्नलिखित निर्देशिका में डाउनलोड किया ICD 9 डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (103897, 4763, 27, 'निम्नलिखित निर्देशिका में डाउनलोड किया RxNorm डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (103898, 4764, 27, 'निम्नलिखित निर्देशिका में डाउनलोड किया Snomed डेटाबेस ज़िप फ़ाइल रखें');
INSERT INTO `lang_definitions` VALUES (103899, 4765, 27, 'प्लेसहोल्डर');
INSERT INTO `lang_definitions` VALUES (103900, 4766, 27, 'प्लेसहोल्डर (रिक्त ACLs बनाए रखता है)');
INSERT INTO `lang_definitions` VALUES (103901, 4767, 27, 'सादा पाठ');
INSERT INTO `lang_definitions` VALUES (103902, 4768, 27, 'योजना');
INSERT INTO `lang_definitions` VALUES (103903, 4771, 27, 'योजना का नाम');
INSERT INTO `lang_definitions` VALUES (103904, 4775, 27, 'योजना तैयार');
INSERT INTO `lang_definitions` VALUES (103905, 4779, 27, 'योजना:');
INSERT INTO `lang_definitions` VALUES (103906, 4782, 27, 'योजनाएं');
INSERT INTO `lang_definitions` VALUES (103907, 4784, 27, 'खिलाड़ी');
INSERT INTO `lang_definitions` VALUES (103908, 4785, 27, 'खेलने का स्थान');
INSERT INTO `lang_definitions` VALUES (103909, 4786, 27, 'जानकारी के ऊपर किसी भी गलत है, तो कॉल करें');
INSERT INTO `lang_definitions` VALUES (103910, 4787, 27, 'अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (103911, 4788, 27, 'एक फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (103912, 4789, 27, 'एक रोगी का चयन करें');
INSERT INTO `lang_definitions` VALUES (103913, 4790, 27, 'सूची से एक वैध चयन करें');
INSERT INTO `lang_definitions` VALUES (103914, 4791, 27, 'एक वैध चयन करें');
INSERT INTO `lang_definitions` VALUES (103915, 4792, 27, 'के लिए एक मूल्य का चयन करें');
INSERT INTO `lang_definitions` VALUES (103916, 4793, 27, 'ऊपर तिथि सीमा मापदंड का चयन करें, और परिणाम देखने के लिए ताज़ा बटन क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (103917, 4794, 27, 'उचित स्वरूपित EDI-271 फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (103918, 4795, 27, 'De Identification डेटा डाउनलोड करने के लिए डाउनलोड बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (103919, 4796, 27, 'De Identification डेटा डाउनलोड करने के लिए डाउनलोड बटन पर क्लिक करें');
INSERT INTO `lang_definitions` VALUES (103920, 4797, 27, 'इस विंडो को बंद करें.');
INSERT INTO `lang_definitions` VALUES (103921, 4798, 27, 'नए नाम की तुलना करें');
INSERT INTO `lang_definitions` VALUES (103922, 4801, 27, 'आगे बढ़ने से पहले निम्न निर्देशिका बनाएँ');
INSERT INTO `lang_definitions` VALUES (103923, 4802, 27, 'इस पर्चे को स्वीकार नहीं करें जब तक यह facimile के माध्यम से प्राप्त न किया जाए');
INSERT INTO `lang_definitions` VALUES (103924, 4803, 27, 'इस पर्चे को स्वीकार नहीं करें जब तक यह facsimile के माध्यम से प्राप्त न किया जाए');
INSERT INTO `lang_definitions` VALUES (103925, 4804, 27, 'आपके ब्राउज़र को रोकने या फिर से लोड करने के बटन का उपयोग न करें जब तक इस पेज के चलने के अधिक से अधिक 10 मिनट गुजर जाए, इससे सर्वर प्रक्रिया पर रोक नहीं होगी और uneccesary संसाधनों की खपत नहीं होगी.');
INSERT INTO `lang_definitions` VALUES (103926, 4805, 27, 'CURL विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (103927, 4806, 27, 'OPENSSL विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (103928, 4807, 27, 'SOAP विस्तार सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (103929, 4808, 27, 'Xml एक्सटेंशन सक्रिय करें');
INSERT INTO `lang_definitions` VALUES (103930, 4809, 27, 'अंतिम समीक्षा के लिए एक तिथि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (103931, 4810, 27, 'एक तिथि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (103932, 4811, 27, 'एक देय तारीख दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103933, 4812, 27, 'एक संदेश दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103934, 4813, 27, 'संख्या और एक दशमलव बिंदु उपयोग कर के एक मौद्रिक राशि दर्ज करें.');
INSERT INTO `lang_definitions` VALUES (103935, 4814, 27, 'एक नया पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103936, 4815, 27, 'एक शीर्षक दर्ज करें!');
INSERT INTO `lang_definitions` VALUES (103937, 4816, 27, 'ऊपर एक वैध प्रत्यक्ष पता दाखिल करें.');
INSERT INTO `lang_definitions` VALUES (103938, 4819, 27, 'सही Re Identification कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103939, 4821, 27, 'नई खोज स्ट्रिंग दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103940, 4822, 27, 'सही Re Identification कोड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103941, 4823, 27, 'पासवर्ड दर्ज करें');
INSERT INTO `lang_definitions` VALUES (103942, 4824, 27, 'चेक संख्या भरें');
INSERT INTO `lang_definitions` VALUES (103943, 4825, 27, 'चेक / रेफरी संख्या भरें');
INSERT INTO `lang_definitions` VALUES (103944, 4826, 27, 'तिथि भरें');
INSERT INTO `lang_definitions` VALUES (103945, 4827, 27, 'भुगतान राशि भरें');
INSERT INTO `lang_definitions` VALUES (103946, 4828, 27, 'भुगतान श्रेणी भरें');
INSERT INTO `lang_definitions` VALUES (103947, 4829, 27, 'इससे भुगतान भरें');
INSERT INTO `lang_definitions` VALUES (103948, 4830, 27, 'तिथि तक पोस्ट भरें');
INSERT INTO `lang_definitions` VALUES (103949, 4831, 27, 'जारी रखने से पहले उन्हें भरें.');
INSERT INTO `lang_definitions` VALUES (103950, 4832, 27, 'कृपया दौरे कारण बताएं');
INSERT INTO `lang_definitions` VALUES (103951, 4833, 27, 'कृपया ऊपर खोज मापदंड भरें, और रिपोर्ट शुरू करने के लिए सबमिट क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (103952, 4834, 27, 'कृपया ऊपर खोज मापदंड भरें, और परिणाम देखने के लिए सबमिट क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (103953, 4835, 27, 'कृपया ऊपर खोज मापदंड भरें, और परिणाम देखने के लिए सबमिट क्लिक करें. (परिणाम एक पॉप अप विंडो में प्रदर्शित किया जाएगा)');
INSERT INTO `lang_definitions` VALUES (103954, 4836, 27, 'फिर से लॉगिन करें.');
INSERT INTO `lang_definitions` VALUES (103955, 4837, 27, 'Please note that this can take a very long time, up to several minutes, your web browser may not appear very active during this time but generating a bill is a complicated process and your web browser is merely waiting for more information.');
INSERT INTO `lang_definitions` VALUES (103956, 4838, 27, 'कृपया ध्यान दें: स्थिरांक, केस संवेदनशील है और कोई भी स्ट्रिंग की अनुमति दी गई है.');
INSERT INTO `lang_definitions` VALUES (103957, 4839, 27, 'केवल वर्णमाला के अक्षरों का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (103958, 4840, 27, 'केवल बिना रिक्त स्थान के वर्णमाला के अक्षरों का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (103959, 4841, 27, 'इस राशि का भुगतान करें');
INSERT INTO `lang_definitions` VALUES (103960, 4842, 27, 'अपने स्थापित फाइलें निम्न निर्देशिका में रखें');
INSERT INTO `lang_definitions` VALUES (103961, 4843, 27, 'कृपया देखें');
INSERT INTO `lang_definitions` VALUES (103962, 4844, 27, 'पासवर्ड रीसेट करें.');
INSERT INTO `lang_definitions` VALUES (103963, 4845, 27, 'De-identification को चलने से पहले अपाचे सर्वर को पुनः प्रारंभ करें');
INSERT INTO `lang_definitions` VALUES (103964, 4847, 27, 'कृपया चुनें');
INSERT INTO `lang_definitions` VALUES (103965, 4849, 27, 'एक भाषा का चयन करें');
INSERT INTO `lang_definitions` VALUES (103966, 4850, 27, 'एक रोगी का चयन करें.');
INSERT INTO `lang_definitions` VALUES (103967, 4851, 27, 'Please select a Primary Business Entity facility with \'Tax ID\' as your facility Tax ID. If you are an individual practitioner, use your tax id. This is used for identifying you in the NewCrop system.');
INSERT INTO `lang_definitions` VALUES (103968, 4854, 27, 'कृपया एक प्राप्तकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (103969, 4855, 27, 'एक प्रारंभ तिथि और समाप्ति तिथि का चयन करें');
INSERT INTO `lang_definitions` VALUES (103970, 4856, 27, 'एक वैध प्राप्तकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (103971, 4858, 27, 'कोड के लिए एक समायोजन कारण का चयन करें ');
INSERT INTO `lang_definitions` VALUES (103972, 4859, 27, 'एक घटना का चयन करें');
INSERT INTO `lang_definitions` VALUES (103973, 4860, 27, 'कोई भी खोज विकल्प चुनें.');
INSERT INTO `lang_definitions` VALUES (103974, 4863, 27, 'कम से कम एक पर्चे का चयन करें!');
INSERT INTO `lang_definitions` VALUES (103975, 4865, 27, 'कॉपी या अग्रेषित करने के लिए वांछित पृष्ठों का चयन करें:');
INSERT INTO `lang_definitions` VALUES (103976, 4866, 27, 'कृपया भुगतान पद्धति का चयन करें');
INSERT INTO `lang_definitions` VALUES (103977, 4867, 27, 'भुगतान के प्रकार का चयन करें.');
INSERT INTO `lang_definitions` VALUES (103978, 4869, 27, '270 बैच बनाने के लिए आवश्यक X12 साथी, का चयन करें');
INSERT INTO `lang_definitions` VALUES (103979, 4870, 27, 'सेट करें');
INSERT INTO `lang_definitions` VALUES (103980, 4871, 27, 'de_identification_config चर को वापस शून्य पर सेट करें');
INSERT INTO `lang_definitions` VALUES (103981, 4873, 27, 'नई De Identification प्रक्रिया शुरू करें');
INSERT INTO `lang_definitions` VALUES (103982, 4874, 27, 'De Identification प्रक्रियाओं, समारोह, टेबल शामिल करने के लिए LibreEHR डाटाबेस अपग्रेड करें');
INSERT INTO `lang_definitions` VALUES (103983, 4875, 27, 'अधिक जानकारी के लिए De Identification त्रुटि लॉग तालिका देखें');
INSERT INTO `lang_definitions` VALUES (103984, 4876, 27, 'कुछ समय के बाद De Identification स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (103985, 4877, 27, 'कुछ समय बाद De Identification स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (103986, 4878, 27, 'कुछ समय के बाद स्क्रीन पर जाएँ');
INSERT INTO `lang_definitions` VALUES (103987, 4881, 27, 'बहुवचन');
INSERT INTO `lang_definitions` VALUES (103988, 4882, 27, 'PM');
INSERT INTO `lang_definitions` VALUES (103989, 4883, 27, 'PM कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (103990, 4884, 27, 'PMT विधि');
INSERT INTO `lang_definitions` VALUES (103991, 4885, 27, 'PND');
INSERT INTO `lang_definitions` VALUES (103992, 4886, 27, 'न्यूमोकोकल संयुग्म 1');
INSERT INTO `lang_definitions` VALUES (103993, 4887, 27, 'न्यूमोकोकल संयुग्म 2');
INSERT INTO `lang_definitions` VALUES (103994, 4888, 27, 'न्यूमोकोकल संयुग्म 3');
INSERT INTO `lang_definitions` VALUES (103995, 4889, 27, 'न्यूमोकोकल संयुग्म 4');
INSERT INTO `lang_definitions` VALUES (103996, 4890, 27, 'न्यूमोकोकल टीका');
INSERT INTO `lang_definitions` VALUES (103997, 4891, 27, 'निमोनिया टीकाकरण');
INSERT INTO `lang_definitions` VALUES (103998, 4892, 27, 'पुराने वयस्कों के लिए निमोनिया टीकाकरण की स्थिति');
INSERT INTO `lang_definitions` VALUES (103999, 4893, 27, 'पुराने वयस्कों के लिए निमोनिया टीकाकरण की स्थिति (CQM)');
INSERT INTO `lang_definitions` VALUES (104000, 4894, 27, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (104001, 4896, 27, 'सेवा के बिंदु (पीओएस)');
INSERT INTO `lang_definitions` VALUES (104002, 4897, 27, 'पॉलिसी');
INSERT INTO `lang_definitions` VALUES (104003, 4898, 27, 'पॉलिसी No');
INSERT INTO `lang_definitions` VALUES (104004, 4899, 27, 'पॉलिसी नंबर');
INSERT INTO `lang_definitions` VALUES (104005, 4900, 27, 'पोलिश देश');
INSERT INTO `lang_definitions` VALUES (104006, 4901, 27, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (104007, 4902, 27, 'polyps');
INSERT INTO `lang_definitions` VALUES (104008, 4903, 27, 'बहुमूत्रता');
INSERT INTO `lang_definitions` VALUES (104009, 4904, 27, 'कमजोर भूख');
INSERT INTO `lang_definitions` VALUES (104010, 4905, 27, 'कमजोर वितरण');
INSERT INTO `lang_definitions` VALUES (104011, 4906, 27, 'कमजोर सुनवाई');
INSERT INTO `lang_definitions` VALUES (104012, 4907, 27, 'इन रिपोर्टों को देखने के लिए पॉप अप सक्रिय होने की जरूरत');
INSERT INTO `lang_definitions` VALUES (104013, 4908, 27, 'घटनाओं के साथ वर्ष दिखाएं?');
INSERT INTO `lang_definitions` VALUES (104014, 4909, 27, 'पॉपअप');
INSERT INTO `lang_definitions` VALUES (104015, 4910, 27, 'पोर्टल');
INSERT INTO `lang_definitions` VALUES (104016, 4911, 27, 'पोर्टल गतिविधि');
INSERT INTO `lang_definitions` VALUES (104017, 4917, 27, 'पुर्तगाली');
INSERT INTO `lang_definitions` VALUES (104018, 4918, 27, 'पुर्तगाली (ब्राजील)');
INSERT INTO `lang_definitions` VALUES (104019, 4919, 27, 'पुर्तगाली (यूरोपीय)');
INSERT INTO `lang_definitions` VALUES (104020, 4920, 27, 'POS कोड');
INSERT INTO `lang_definitions` VALUES (104021, 4922, 27, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (104022, 4923, 27, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (104023, 4925, 27, 'के लिए पोस्ट');
INSERT INTO `lang_definitions` VALUES (104024, 4926, 27, 'नाक ड्रिप');
INSERT INTO `lang_definitions` VALUES (104025, 4927, 27, 'पोस्ट भुगतान');
INSERT INTO `lang_definitions` VALUES (104026, 4928, 27, 'सर्जरी के बाद');
INSERT INTO `lang_definitions` VALUES (104027, 4929, 27, 'बिल भेजा के रूप में लेखा और मार्क को पोस्ट');
INSERT INTO `lang_definitions` VALUES (104028, 4930, 27, 'तिथि तक पोस्ट');
INSERT INTO `lang_definitions` VALUES (104029, 4931, 27, 'तिथि तक पोस्ट आज की तुलना में अधिक नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (104030, 4932, 27, 'तिथि तक पोस्ट वित्तीय समाप्ति तिथि से बड़ा होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (104031, 4933, 27, 'गर्भपात के बाद की देखभाल');
INSERT INTO `lang_definitions` VALUES (104032, 4934, 27, 'गर्भपात के बाद गर्भनिरोध');
INSERT INTO `lang_definitions` VALUES (104033, 4935, 27, 'गर्भपात के बाद परामर्श');
INSERT INTO `lang_definitions` VALUES (104034, 4936, 27, 'गर्भपात के बाद फॉलोअप');
INSERT INTO `lang_definitions` VALUES (104035, 4937, 27, 'डाक का');
INSERT INTO `lang_definitions` VALUES (104036, 4938, 27, 'पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (104037, 4939, 27, 'पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (104038, 4941, 27, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (104039, 4942, 27, 'PostCalendar प्रशासन');
INSERT INTO `lang_definitions` VALUES (104040, 4943, 27, 'PostCalendar श्रेणी सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (104041, 4944, 27, 'PostCalendar वैश्विक सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (104042, 4945, 27, 'पर पोस्ट किया');
INSERT INTO `lang_definitions` VALUES (104043, 4946, 27, 'पोस्टिंग तिथि');
INSERT INTO `lang_definitions` VALUES (104044, 4948, 27, 'द्वारा संचालित');
INSERT INTO `lang_definitions` VALUES (104045, 4949, 27, 'PPE + पिछला Med / सर्जन Hx');
INSERT INTO `lang_definitions` VALUES (104046, 4950, 27, 'PQRI');
INSERT INTO `lang_definitions` VALUES (104047, 4951, 27, 'PQRI रजिस्ट्री ID');
INSERT INTO `lang_definitions` VALUES (104048, 4952, 27, 'PQRI रजिस्ट्री नाम');
INSERT INTO `lang_definitions` VALUES (104049, 4953, 27, 'प्रैक्टिस');
INSERT INTO `lang_definitions` VALUES (104050, 4954, 27, 'प्रैक्टिस डिफ़ॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (104051, 4955, 27, 'अभ्यास सेटिंग');
INSERT INTO `lang_definitions` VALUES (104052, 4956, 27, 'व्यवसायी');
INSERT INTO `lang_definitions` VALUES (104053, 4958, 27, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (104054, 4959, 27, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (104055, 4960, 27, 'पूर्व गर्भपात परामर्श');
INSERT INTO `lang_definitions` VALUES (104056, 4961, 27, 'पूर्व गर्भपात परामर्श');
INSERT INTO `lang_definitions` VALUES (104057, 4962, 27, 'pref Cat');
INSERT INTO `lang_definitions` VALUES (104058, 4964, 27, 'प्राथमिकताएं');
INSERT INTO `lang_definitions` VALUES (104059, 4965, 27, 'पसंदीदा इवेंट श्रेणी');
INSERT INTO `lang_definitions` VALUES (104060, 4966, 27, 'पसंदीदा भाषा');
INSERT INTO `lang_definitions` VALUES (104061, 4967, 27, 'पसंदीदा फार्मेसी');
INSERT INTO `lang_definitions` VALUES (104062, 4968, 27, 'पसंदीदा प्रदाता संगठन (पी.पी.ओ.)');
INSERT INTO `lang_definitions` VALUES (104063, 4969, 27, 'preg टेस्ट');
INSERT INTO `lang_definitions` VALUES (104064, 4970, 27, 'प्रारंभिक');
INSERT INTO `lang_definitions` VALUES (104065, 4971, 27, 'रिपोर्ट चलाने की तैयारी');
INSERT INTO `lang_definitions` VALUES (104066, 4972, 27, 'पूर्व भुगतान');
INSERT INTO `lang_definitions` VALUES (104067, 4973, 27, 'पर्चे');
INSERT INTO `lang_definitions` VALUES (104068, 4974, 27, 'पर्चे की अपनी सीमा तक पहुँच गया है');
INSERT INTO `lang_definitions` VALUES (104069, 4975, 27, 'पर्चे का इतिहास');
INSERT INTO `lang_definitions` VALUES (104070, 4976, 27, 'पर्चे का इतिहास आयात सफलतापूर्वक पूरा');
INSERT INTO `lang_definitions` VALUES (104071, 4977, 27, 'पर्चे लेबल');
INSERT INTO `lang_definitions` VALUES (104072, 4978, 27, 'पर्चे की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104073, 4979, 27, 'पर्चे');
INSERT INTO `lang_definitions` VALUES (104074, 4980, 27, 'पर्चे और बांटना');
INSERT INTO `lang_definitions` VALUES (104075, 4981, 27, 'पर्चे और अन्य रेफरल');
INSERT INTO `lang_definitions` VALUES (104076, 4982, 27, 'विशेषज्ञ द्वारा पर्चे और / या रेफरल');
INSERT INTO `lang_definitions` VALUES (104077, 4983, 27, 'पर्चे की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104078, 4984, 27, 'पर्चे / सिफ़ारिशों की');
INSERT INTO `lang_definitions` VALUES (104079, 4985, 27, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (104080, 4986, 27, 'पेश शिकायत');
INSERT INTO `lang_definitions` VALUES (104081, 4987, 27, 'पेश समस्या (ओं)');
INSERT INTO `lang_definitions` VALUES (104082, 4988, 27, 'दबाएँ आगे बढ़ने के लिए जारी');
INSERT INTO `lang_definitions` VALUES (104083, 4989, 27, 'प्रकल्पित निदान');
INSERT INTO `lang_definitions` VALUES (104084, 4990, 27, 'विशेषज्ञ द्वारा परिकल्पित निदान');
INSERT INTO `lang_definitions` VALUES (104085, 4991, 27, 'पिछला');
INSERT INTO `lang_definitions` VALUES (104086, 4992, 27, 'पिछला Med / Surg Hx');
INSERT INTO `lang_definitions` VALUES (104087, 4993, 27, 'पिछला. माह (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (104088, 4994, 27, 'पिछला. वर्ष (मेनू के लिए पकड़)');
INSERT INTO `lang_definitions` VALUES (104089, 4995, 27, 'निरोधक देखभाल');
INSERT INTO `lang_definitions` VALUES (104090, 4998, 27, 'पूर्वावलोकन इवेंट');
INSERT INTO `lang_definitions` VALUES (104091, 5000, 27, 'का पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (104092, 5001, 27, 'पिछला');
INSERT INTO `lang_definitions` VALUES (104093, 5002, 27, 'पिछले परामर्श');
INSERT INTO `lang_definitions` VALUES (104094, 5003, 27, 'पिछले दिन');
INSERT INTO `lang_definitions` VALUES (104095, 5004, 27, 'पिछले इतिहास / स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (104096, 5005, 27, 'पिछले माह');
INSERT INTO `lang_definitions` VALUES (104097, 5006, 27, 'पिछला सप्ताह');
INSERT INTO `lang_definitions` VALUES (104098, 5007, 27, 'कीमत');
INSERT INTO `lang_definitions` VALUES (104099, 5008, 27, 'कीमत छूट');
INSERT INTO `lang_definitions` VALUES (104100, 5009, 27, 'कीमत स्तर');
INSERT INTO `lang_definitions` VALUES (104101, 5010, 27, 'कीमत स्तर:');
INSERT INTO `lang_definitions` VALUES (104102, 5011, 27, 'कीमतें');
INSERT INTO `lang_definitions` VALUES (104103, 5012, 27, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (104104, 5013, 27, 'प्राथमिक व्यापार इकाई');
INSERT INTO `lang_definitions` VALUES (104105, 5014, 27, 'प्राथमिक व्यापार इकाई कर आईडी NewCrop ePrescription के लिए खाता आईडी के रूप में प्रयोग किया जाता है. सुविधा को बदलना NewCrop के कार्यकरण को प्रभावित करेगा.');
INSERT INTO `lang_definitions` VALUES (104106, 5022, 27, 'प्राथमिक इन्स');
INSERT INTO `lang_definitions` VALUES (104107, 5023, 27, 'प्राथमिक बीमा');
INSERT INTO `lang_definitions` VALUES (104108, 5024, 27, 'प्राथमिक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (104109, 5025, 27, 'प्राथमिक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (104110, 5026, 27, 'प्राथमिक प्रदाता');
INSERT INTO `lang_definitions` VALUES (104111, 5027, 27, 'छापें');
INSERT INTO `lang_definitions` VALUES (104112, 5028, 27, 'छापें (HTML)');
INSERT INTO `lang_definitions` VALUES (104113, 5029, 27, 'छापें (PDF)');
INSERT INTO `lang_definitions` VALUES (104114, 5031, 27, 'कोई भी मुठभेड़ छापें');
INSERT INTO `lang_definitions` VALUES (104115, 5032, 27, 'खाली रेफरल प्रपत्र छापें');
INSERT INTO `lang_definitions` VALUES (104116, 5033, 27, 'आदेश छापें');
INSERT INTO `lang_definitions` VALUES (104117, 5034, 27, 'तिथि छापें');
INSERT INTO `lang_definitions` VALUES (104118, 5039, 27, 'सरूप छापें');
INSERT INTO `lang_definitions` VALUES (104119, 5040, 27, 'चार कक्ष छापें');
INSERT INTO `lang_definitions` VALUES (104120, 5042, 27, 'संदेश छापें');
INSERT INTO `lang_definitions` VALUES (104121, 5043, 27, 'अनेक छापें');
INSERT INTO `lang_definitions` VALUES (104122, 5044, 27, 'फैक्स करने के लिए अनेक प्रिंट');
INSERT INTO `lang_definitions` VALUES (104123, 5045, 27, 'नाम, हस्ताक्षर और तिथि छापें.');
INSERT INTO `lang_definitions` VALUES (104124, 5046, 27, 'नोट्स छापें');
INSERT INTO `lang_definitions` VALUES (104125, 5047, 27, 'पृष्ठ 1 छापें');
INSERT INTO `lang_definitions` VALUES (104126, 5048, 27, 'पृष्ठ 2 छापें');
INSERT INTO `lang_definitions` VALUES (104127, 5051, 27, 'प्रदाता द्वारा प्राप्तियां छापें');
INSERT INTO `lang_definitions` VALUES (104128, 5052, 27, 'अभिलेख छापें');
INSERT INTO `lang_definitions` VALUES (104129, 5053, 27, 'चयनित वक्तव्य छापें');
INSERT INTO `lang_definitions` VALUES (104130, 5054, 27, 'शॉट रिकॉर्ड छापें');
INSERT INTO `lang_definitions` VALUES (104131, 5056, 27, 'यह मुठभेड़ छापें');
INSERT INTO `lang_definitions` VALUES (104132, 5057, 27, 'यह टिप्पणी छापें');
INSERT INTO `lang_definitions` VALUES (104133, 5058, 27, 'यह टिप्पणी छापें');
INSERT INTO `lang_definitions` VALUES (104134, 5060, 27, 'फैक्स करने के लिए छापें');
INSERT INTO `lang_definitions` VALUES (104135, 5061, 27, 'दृश्य छापें');
INSERT INTO `lang_definitions` VALUES (104136, 5062, 27, 'छापने योग्य');
INSERT INTO `lang_definitions` VALUES (104137, 5063, 27, 'छापने योग्य संस्करण');
INSERT INTO `lang_definitions` VALUES (104138, 5064, 27, 'छपी');
INSERT INTO `lang_definitions` VALUES (104139, 5066, 27, 'छपाई परिणाम:');
INSERT INTO `lang_definitions` VALUES (104140, 5067, 27, 'छपाई छोड़ दिया; में परीक्षण उत्पादन देखें');
INSERT INTO `lang_definitions` VALUES (104141, 5068, 27, 'छपाई छोड़ दिया; में परीक्षण उत्पादन देखें ');
INSERT INTO `lang_definitions` VALUES (104142, 5069, 27, 'पूर्व प्राधिकरण');
INSERT INTO `lang_definitions` VALUES (104143, 5070, 27, 'पूर्व प्राधिकरण प्रपत्र');
INSERT INTO `lang_definitions` VALUES (104144, 5071, 27, 'पूर्व भेंट');
INSERT INTO `lang_definitions` VALUES (104145, 5072, 27, 'प्राथमिकता');
INSERT INTO `lang_definitions` VALUES (104146, 5073, 27, 'प्राथमिकता ');
INSERT INTO `lang_definitions` VALUES (104147, 5074, 27, 'निजी');
INSERT INTO `lang_definitions` VALUES (104148, 5075, 27, 'समस्या');
INSERT INTO `lang_definitions` VALUES (104149, 5076, 27, 'समस्या DX');
INSERT INTO `lang_definitions` VALUES (104150, 5077, 27, 'समस्या सूची');
INSERT INTO `lang_definitions` VALUES (104151, 5079, 27, 'समस्याओं / मुद्दों');
INSERT INTO `lang_definitions` VALUES (104152, 5080, 27, 'Proc Bat');
INSERT INTO `lang_definitions` VALUES (104153, 5081, 27, 'Proc Cat');
INSERT INTO `lang_definitions` VALUES (104154, 5082, 27, 'Proc Load');
INSERT INTO `lang_definitions` VALUES (104155, 5083, 27, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (104156, 5084, 27, 'Proc Prov');
INSERT INTO `lang_definitions` VALUES (104157, 5085, 27, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (104158, 5086, 27, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (104159, 5087, 27, 'प्रक्रिया शारीरिक साइटें');
INSERT INTO `lang_definitions` VALUES (104160, 5088, 27, 'प्रक्रिया बूलियन परिणाम');
INSERT INTO `lang_definitions` VALUES (104161, 5089, 27, 'प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (104162, 5090, 27, 'प्रक्रिया संहिता');
INSERT INTO `lang_definitions` VALUES (104163, 5091, 27, 'प्रक्रिया Lateralities');
INSERT INTO `lang_definitions` VALUES (104164, 5092, 27, 'प्रक्रिया का नाम');
INSERT INTO `lang_definitions` VALUES (104165, 5093, 27, 'प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (104166, 5094, 27, 'प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (104167, 5095, 27, 'के लिए प्रक्रिया आदेश');
INSERT INTO `lang_definitions` VALUES (104168, 5097, 27, 'प्रक्रिया के आदेश और रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104169, 5098, 27, 'प्रक्रिया पिकर');
INSERT INTO `lang_definitions` VALUES (104170, 5099, 27, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (104171, 5100, 27, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (104172, 5101, 27, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (104173, 5102, 27, 'प्रक्रिया की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104174, 5103, 27, 'प्रक्रिया रिपोर्ट की स्थितियां');
INSERT INTO `lang_definitions` VALUES (104175, 5104, 27, 'असामान्य प्रक्रिया रिजल्ट');
INSERT INTO `lang_definitions` VALUES (104176, 5105, 27, 'प्रक्रिया नतीजे की स्थितियां');
INSERT INTO `lang_definitions` VALUES (104177, 5106, 27, 'प्रक्रिया का परिणाम');
INSERT INTO `lang_definitions` VALUES (104178, 5107, 27, 'प्रक्रिया मार्ग');
INSERT INTO `lang_definitions` VALUES (104179, 5108, 27, 'प्रक्रिया नमूना प्रकार');
INSERT INTO `lang_definitions` VALUES (104180, 5109, 27, 'प्रक्रिया सांख्यिकी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104181, 5110, 27, 'प्रक्रिया के प्रकार');
INSERT INTO `lang_definitions` VALUES (104182, 5111, 27, 'प्रक्रिया के प्रकार');
INSERT INTO `lang_definitions` VALUES (104183, 5112, 27, 'प्रक्रिया इकाइयां');
INSERT INTO `lang_definitions` VALUES (104184, 5113, 27, 'प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (104185, 5114, 27, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (104186, 5115, 27, 'की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (104187, 5116, 27, 'प्रक्रिया करें और अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (104188, 5117, 27, 'ERA फ़ाइल की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (104189, 5118, 27, 'CSV रिकॉर्ड के लिए नई फ़ाइलों की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (104190, 5119, 27, 'अनुस्मारक की प्रक्रिया करें');
INSERT INTO `lang_definitions` VALUES (104191, 5120, 27, 'इस प्रक्रिया में कुछ समय लगता है');
INSERT INTO `lang_definitions` VALUES (104192, 5121, 27, 'प्रक्रिया किया');
INSERT INTO `lang_definitions` VALUES (104193, 5122, 27, 'द्वारा प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (104194, 5123, 27, 'प्रक्रिया तिथि');
INSERT INTO `lang_definitions` VALUES (104195, 5124, 27, 'सफलतापूर्वक प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (104196, 5125, 27, 'प्रक्रिया कर रहा है');
INSERT INTO `lang_definitions` VALUES (104197, 5126, 27, 'प्रक्रिया कर रहा है और रोगी अनुस्मारक भेज रहा है');
INSERT INTO `lang_definitions` VALUES (104198, 5127, 27, 'रोगी अनुस्मारक प्रक्रिया कर रहा है');
INSERT INTO `lang_definitions` VALUES (104199, 5128, 27, 'प्रक्रिया समय');
INSERT INTO `lang_definitions` VALUES (104200, 5129, 27, 'उत्पाद');
INSERT INTO `lang_definitions` VALUES (104201, 5130, 27, 'उत्पाद गर्भनिरोधक विधि');
INSERT INTO `lang_definitions` VALUES (104202, 5131, 27, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (104203, 5132, 27, 'उत्पाद');
INSERT INTO `lang_definitions` VALUES (104204, 5133, 27, 'उत्पाद लेकिन कोई दवाओं का सेवन नहीं और कोई टेम्पलेट्स नहीं');
INSERT INTO `lang_definitions` VALUES (104205, 5134, 27, 'प्रोफेसर');
INSERT INTO `lang_definitions` VALUES (104206, 5135, 27, 'प्रगति नोट्स');
INSERT INTO `lang_definitions` VALUES (104207, 5136, 27, 'प्रोस्टेट कैंसर');
INSERT INTO `lang_definitions` VALUES (104208, 5137, 27, 'प्रोस्टेट कैंसर स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (104209, 5138, 27, 'प्रोस्टेट परीक्षा');
INSERT INTO `lang_definitions` VALUES (104210, 5139, 27, 'प्रोस्टेट की समस्याएं');
INSERT INTO `lang_definitions` VALUES (104211, 5140, 27, 'प्रोस्टेट w/o enlrgmt, पिंड, tender');
INSERT INTO `lang_definitions` VALUES (104212, 5141, 27, 'प्रोटोकॉल');
INSERT INTO `lang_definitions` VALUES (104213, 5142, 27, 'पूर्ण पथ प्रदान करें');
INSERT INTO `lang_definitions` VALUES (104214, 5143, 27, 'फ़ाइल का पूर्ण पथ प्रदान करें');
INSERT INTO `lang_definitions` VALUES (104215, 5145, 27, 'प्रत्येक कार्यालय के दौरे के लिए रोगियों को नैदानिक ​​सारांश प्रदान प्रदान करें.');
INSERT INTO `lang_definitions` VALUES (104216, 5146, 27, 'Provide patients with an electronic copy of their health information (including diagnostic test results, problem list, medication lists, medication allergies), upon request.');
INSERT INTO `lang_definitions` VALUES (104217, 5147, 27, 'Provide patients with timely electronic access to their health information (including lab results, problem list, medication lists, medication allergies) within four business days of the information being available to the EP.');
INSERT INTO `lang_definitions` VALUES (104218, 5148, 27, 'यात्रा के लिए रोगी को रिकॉर्ड प्रदान करें');
INSERT INTO `lang_definitions` VALUES (104219, 5149, 27, 'मान्य ईमेल पता प्रदान करें');
INSERT INTO `lang_definitions` VALUES (104220, 5150, 27, 'क्लीनिकल सारांश प्रदान की?');
INSERT INTO `lang_definitions` VALUES (104221, 5151, 27, 'शिक्षा संसाधन प्रदान की?');
INSERT INTO `lang_definitions` VALUES (104222, 5152, 27, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (104223, 5153, 27, 'प्रदाता Id');
INSERT INTO `lang_definitions` VALUES (104224, 5154, 27, 'प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (104225, 5155, 27, 'निर्दिष्ट सुविधा प्रदाता ID');
INSERT INTO `lang_definitions` VALUES (104226, 5156, 27, 'प्रदाता मिलान त्रुटियाँ');
INSERT INTO `lang_definitions` VALUES (104227, 5159, 27, 'प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (104228, 5160, 27, 'प्रदाता रिश्ता');
INSERT INTO `lang_definitions` VALUES (104229, 5162, 27, 'प्रदाता:');
INSERT INTO `lang_definitions` VALUES (104230, 5163, 27, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (104231, 5164, 27, 'प्रदाता NPI');
INSERT INTO `lang_definitions` VALUES (104232, 5165, 27, 'प्रदाता पूरा कैलेंडर देखें');
INSERT INTO `lang_definitions` VALUES (104233, 5166, 27, 'prv');
INSERT INTO `lang_definitions` VALUES (104234, 5167, 27, 'PSA');
INSERT INTO `lang_definitions` VALUES (104235, 5168, 27, 'सोरायसिस');
INSERT INTO `lang_definitions` VALUES (104236, 5169, 27, 'मनोवैज्ञानिक निदान');
INSERT INTO `lang_definitions` VALUES (104237, 5170, 27, 'मनोवैज्ञानिक दवा');
INSERT INTO `lang_definitions` VALUES (104238, 5171, 27, 'मानसिक रोगों का');
INSERT INTO `lang_definitions` VALUES (104239, 5172, 27, 'मनोरोग संक्षिप्त पत्र');
INSERT INTO `lang_definitions` VALUES (104240, 5173, 27, 'मनोरोग निदान');
INSERT INTO `lang_definitions` VALUES (104241, 5174, 27, 'मनोरोग परीक्षा');
INSERT INTO `lang_definitions` VALUES (104242, 5175, 27, 'मनोरोग इतिहास');
INSERT INTO `lang_definitions` VALUES (104243, 5176, 27, 'मनोरोग सेवन');
INSERT INTO `lang_definitions` VALUES (104244, 5177, 27, 'मनोरोग चिकित्सा');
INSERT INTO `lang_definitions` VALUES (104245, 5178, 27, 'Pt %');
INSERT INTO `lang_definitions` VALUES (104246, 5179, 27, 'Pt टिप्पणी');
INSERT INTO `lang_definitions` VALUES (104247, 5180, 27, 'Pt टिप्पणी / Auth');
INSERT INTO `lang_definitions` VALUES (104248, 5181, 27, 'Pt अधिक भुगतान');
INSERT INTO `lang_definitions` VALUES (104249, 5182, 27, 'Pt भुगतान किया');
INSERT INTO `lang_definitions` VALUES (104250, 5183, 27, 'Pt Rec अनुरोध');
INSERT INTO `lang_definitions` VALUES (104251, 5184, 27, 'Pt धन वापसी');
INSERT INTO `lang_definitions` VALUES (104252, 5185, 27, 'Pt रिहाई');
INSERT INTO `lang_definitions` VALUES (104253, 5186, 27, 'Pt रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104254, 5187, 27, 'PT छात्र, या खाली छोड़ दें');
INSERT INTO `lang_definitions` VALUES (104255, 5188, 27, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (104256, 5189, 27, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (104257, 5191, 27, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (104258, 5192, 27, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (104259, 5193, 27, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (104260, 5196, 27, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (104261, 5198, 27, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (104262, 5199, 27, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (104263, 5201, 27, 'सार्वजनिक');
INSERT INTO `lang_definitions` VALUES (104264, 5203, 27, 'सार्वजनिक स्वास्थ्य सेवा (PHS) या अन्य संघीय एजेंसी');
INSERT INTO `lang_definitions` VALUES (104265, 5204, 27, 'प्योर्टो रिको');
INSERT INTO `lang_definitions` VALUES (104266, 5205, 27, 'फुफ्फुसीय');
INSERT INTO `lang_definitions` VALUES (104267, 5206, 27, 'नाड़ी');
INSERT INTO `lang_definitions` VALUES (104268, 5207, 27, 'पंजाबी');
INSERT INTO `lang_definitions` VALUES (104269, 5208, 27, 'खरीद');
INSERT INTO `lang_definitions` VALUES (104270, 5209, 27, 'खरीद / वापसी');
INSERT INTO `lang_definitions` VALUES (104271, 5210, 27, 'खरीदारियां');
INSERT INTO `lang_definitions` VALUES (104272, 5211, 27, 'P {{हैडर जस्टिफाई}}');
INSERT INTO `lang_definitions` VALUES (104273, 5213, 27, 'q.3h');
INSERT INTO `lang_definitions` VALUES (104274, 5214, 27, 'q.4h');
INSERT INTO `lang_definitions` VALUES (104275, 5215, 27, 'q.5h');
INSERT INTO `lang_definitions` VALUES (104276, 5216, 27, 'q.6h');
INSERT INTO `lang_definitions` VALUES (104277, 5217, 27, 'q.8h');
INSERT INTO `lang_definitions` VALUES (104278, 5218, 27, 'q.d.');
INSERT INTO `lang_definitions` VALUES (104279, 5219, 27, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (104280, 5220, 27, 'QOH');
INSERT INTO `lang_definitions` VALUES (104281, 5221, 27, 'QOH मासिक उपयोग की तुलना में कम है');
INSERT INTO `lang_definitions` VALUES (104282, 5222, 27, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (104283, 5223, 27, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (104284, 5224, 27, 'गुणवत्ता');
INSERT INTO `lang_definitions` VALUES (104285, 5225, 27, 'गुणवत्ता के उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (104286, 5226, 27, 'मात्रा');
INSERT INTO `lang_definitions` VALUES (104287, 5227, 27, 'NDC के लिए मात्रा');
INSERT INTO `lang_definitions` VALUES (104288, 5228, 27, 'हाथ में मात्रा');
INSERT INTO `lang_definitions` VALUES (104289, 5229, 27, 'मात्रा व्यर्थ लगता है');
INSERT INTO `lang_definitions` VALUES (104290, 5231, 27, 'प्रश्नचिह्न');
INSERT INTO `lang_definitions` VALUES (104291, 5232, 27, 'HCFA बैच प्रक्रिया के लिए कतार');
INSERT INTO `lang_definitions` VALUES (104292, 5233, 27, 'HCFA बैच प्रक्रिया और छपाई के लिए कतार');
INSERT INTO `lang_definitions` VALUES (104293, 5234, 27, 'UB -92 बैच प्रक्रिया के लिए कतार');
INSERT INTO `lang_definitions` VALUES (104294, 5235, 27, 'UB -92 बैच प्रक्रिया और छपाई के लिए कतार');
INSERT INTO `lang_definitions` VALUES (104295, 5236, 27, 'पंक्तिबद्ध');
INSERT INTO `lang_definitions` VALUES (104296, 5237, 27, 'कतारबद्ध घटनाक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (104297, 5238, 27, 'के लिए कतारबद्ध');
INSERT INTO `lang_definitions` VALUES (104298, 5240, 27, 'पंक्तिबद्ध प्रस्तुतियाँ प्रशासन');
INSERT INTO `lang_definitions` VALUES (104299, 5241, 27, 'छोड़ना');
INSERT INTO `lang_definitions` VALUES (104300, 5242, 27, 'शराब छोड़ो');
INSERT INTO `lang_definitions` VALUES (104301, 5243, 27, 'R');
INSERT INTO `lang_definitions` VALUES (104302, 5244, 27, 'रोगी, मुठभेड़, या पता लगाने के लिए RA');
INSERT INTO `lang_definitions` VALUES (104303, 5245, 27, 'नस्ल');
INSERT INTO `lang_definitions` VALUES (104304, 5246, 27, 'नस्ल और राष्ट्रीयता');
INSERT INTO `lang_definitions` VALUES (104305, 5247, 27, 'जाति / जातीयता');
INSERT INTO `lang_definitions` VALUES (104306, 5248, 27, 'रेडियो');
INSERT INTO `lang_definitions` VALUES (104307, 5249, 27, 'रेडियो बटन');
INSERT INTO `lang_definitions` VALUES (104308, 5251, 27, 'सीमा');
INSERT INTO `lang_definitions` VALUES (104309, 5252, 27, 'चकत्ते');
INSERT INTO `lang_definitions` VALUES (104310, 5253, 27, 'दर');
INSERT INTO `lang_definitions` VALUES (104311, 5254, 27, 'अनुपात');
INSERT INTO `lang_definitions` VALUES (104312, 5255, 27, 'कच्चा रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104313, 5256, 27, 'पुन: पहचान');
INSERT INTO `lang_definitions` VALUES (104314, 5257, 27, 'पुन: पहचान की प्रक्रिया पूरा हो गया है');
INSERT INTO `lang_definitions` VALUES (104315, 5258, 27, 'पुन: पहचान की प्रक्रिया चल रही है');
INSERT INTO `lang_definitions` VALUES (104316, 5259, 27, 'पुन: पहचान फ़ाइल सहेजा जाएगा');
INSERT INTO `lang_definitions` VALUES (104317, 5260, 27, 'फिर से चोट?');
INSERT INTO `lang_definitions` VALUES (104318, 5261, 27, 'फिर से खोलने');
INSERT INTO `lang_definitions` VALUES (104319, 5262, 27, 'फिर से खोला');
INSERT INTO `lang_definitions` VALUES (104320, 5263, 27, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (104321, 5264, 27, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (104322, 5265, 27, 'पढ़ना');
INSERT INTO `lang_definitions` VALUES (104323, 5268, 27, 'असल नाम');
INSERT INTO `lang_definitions` VALUES (104324, 5269, 27, 'वास्तव में हटाना');
INSERT INTO `lang_definitions` VALUES (104325, 5270, 27, 'कारण');
INSERT INTO `lang_definitions` VALUES (104326, 5271, 27, 'कारण मृतक');
INSERT INTO `lang_definitions` VALUES (104327, 5272, 27, 'मृत्यु के लिए कारण');
INSERT INTO `lang_definitions` VALUES (104328, 5274, 27, 'संदर्भ के लिए कारण');
INSERT INTO `lang_definitions` VALUES (104329, 5275, 27, 'यात्रा के लिए कारण');
INSERT INTO `lang_definitions` VALUES (104330, 5276, 27, 'कारण / प्रपत्र');
INSERT INTO `lang_definitions` VALUES (104331, 5277, 27, 'प्राप्ति');
INSERT INTO `lang_definitions` VALUES (104332, 5278, 27, 'भुगतान के लिए प्राप्ति');
INSERT INTO `lang_definitions` VALUES (104333, 5279, 27, 'प्राप्ति उत्पन्न');
INSERT INTO `lang_definitions` VALUES (104334, 5280, 27, 'भुगतान की विधि की रिपोर्ट से प्राप्तियां');
INSERT INTO `lang_definitions` VALUES (104335, 5281, 27, 'प्राप्तियां सारांश');
INSERT INTO `lang_definitions` VALUES (104336, 5282, 27, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (104337, 5283, 27, 'के द्वारा प्राप्त किया');
INSERT INTO `lang_definitions` VALUES (104338, 5284, 27, 'फैक्स प्राप्त');
INSERT INTO `lang_definitions` VALUES (104339, 5285, 27, 'प्राप्त, समीक्षा नहीं की');
INSERT INTO `lang_definitions` VALUES (104340, 5287, 27, 'पानेवाला');
INSERT INTO `lang_definitions` VALUES (104341, 5288, 27, 'पानेवाला ID');
INSERT INTO `lang_definitions` VALUES (104342, 5289, 27, 'पानेवाला आईडी (ISA08)');
INSERT INTO `lang_definitions` VALUES (104343, 5290, 27, 'पानेवाला आईडी क्वालीफायर (ISA07)');
INSERT INTO `lang_definitions` VALUES (104344, 5291, 27, 'पानेवाला आईडी के');
INSERT INTO `lang_definitions` VALUES (104345, 5292, 27, 'हाल के तीन पासवर्ड की अनुमति नहीं है.');
INSERT INTO `lang_definitions` VALUES (104346, 5293, 27, 'प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (104347, 5294, 27, 'प्राप्तकर्ता सूची खाली है');
INSERT INTO `lang_definitions` VALUES (104348, 5295, 27, 'प्राप्तकर्ता का नाम');
INSERT INTO `lang_definitions` VALUES (104349, 5296, 27, 'प्रकटीकरण के प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (104350, 5297, 27, 'प्राप्तकर्ता आवश्यक जब तक status हो गया है होता नहीं');
INSERT INTO `lang_definitions` VALUES (104351, 5298, 27, 'सिफारिश');
INSERT INTO `lang_definitions` VALUES (104352, 5299, 27, 'फिर से दौरा के लिए सिफारिश');
INSERT INTO `lang_definitions` VALUES (104353, 5300, 27, 'सिफारिशें');
INSERT INTO `lang_definitions` VALUES (104354, 5301, 27, 'सिफारिशें और उपचार');
INSERT INTO `lang_definitions` VALUES (104355, 5302, 27, 'विशेषज्ञ द्वारा सिफारिशें');
INSERT INTO `lang_definitions` VALUES (104356, 5303, 27, 'रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (104357, 5304, 27, 'रिकॉर्ड पहले से ही मौजूद');
INSERT INTO `lang_definitions` VALUES (104358, 5310, 27, 'महत्वपूर्ण लक्षण में रिकॉर्ड और चार्ट बदल जाता है.');
INSERT INTO `lang_definitions` VALUES (104359, 5311, 27, 'रिकॉर्ड जनसांख्यिकी.');
INSERT INTO `lang_definitions` VALUES (104360, 5312, 27, 'रिकॉर्ड प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (104361, 5313, 27, 'स्वास्थ्य का रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (104362, 5314, 27, 'भुगतान रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (104363, 5315, 27, 'रिकॉर्ड अनुरोध तिथि');
INSERT INTO `lang_definitions` VALUES (104364, 5316, 27, '13 साल की उम्र या पुराने रोगियों के लिए रिकॉर्ड धूम्रपान की स्थिति.');
INSERT INTO `lang_definitions` VALUES (104365, 5317, 27, 'रिकॉर्ड्स');
INSERT INTO `lang_definitions` VALUES (104366, 5318, 27, 'रिकार्ड मिले');
INSERT INTO `lang_definitions` VALUES (104367, 5319, 27, 'रिकार्ड मिले');
INSERT INTO `lang_definitions` VALUES (104368, 5320, 27, 'मनोरंजक दवाओं का उपयोग');
INSERT INTO `lang_definitions` VALUES (104369, 5321, 27, 'मनोरंजनात्मक दवाएं');
INSERT INTO `lang_definitions` VALUES (104370, 5322, 27, 'मलाशय के');
INSERT INTO `lang_definitions` VALUES (104371, 5323, 27, 'मलाशय परीक्षा');
INSERT INTO `lang_definitions` VALUES (104372, 5324, 27, 'मलाशय');
INSERT INTO `lang_definitions` VALUES (104373, 5325, 27, 'पुनप्रेषण');
INSERT INTO `lang_definitions` VALUES (104374, 5326, 27, 'लाली');
INSERT INTO `lang_definitions` VALUES (104375, 5327, 27, 'कम:');
INSERT INTO `lang_definitions` VALUES (104376, 5328, 27, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (104377, 5329, 27, 'द्वारा संदर्भ');
INSERT INTO `lang_definitions` VALUES (104378, 5330, 27, 'संदर्भ तिथि');
INSERT INTO `lang_definitions` VALUES (104379, 5331, 27, 'को संदर्भ');
INSERT INTO `lang_definitions` VALUES (104380, 5332, 27, 'संदर्भ वर्गीकरण (जोखिम स्तर)');
INSERT INTO `lang_definitions` VALUES (104381, 5333, 27, 'परिणामों के संदर्भ सीमा');
INSERT INTO `lang_definitions` VALUES (104382, 5334, 27, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (104383, 5336, 27, 'Referer नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (104384, 5337, 27, 'रेफरल');
INSERT INTO `lang_definitions` VALUES (104385, 5338, 27, 'द्वारा रेफरल');
INSERT INTO `lang_definitions` VALUES (104386, 5339, 27, 'सिफ़ारिश कार्ड');
INSERT INTO `lang_definitions` VALUES (104387, 5340, 27, 'सिफ़ारिश तिथि');
INSERT INTO `lang_definitions` VALUES (104388, 5341, 27, 'सिफ़ारिश पर्चा');
INSERT INTO `lang_definitions` VALUES (104389, 5342, 27, 'रेफरल फार्म');
INSERT INTO `lang_definitions` VALUES (104390, 5343, 27, 'रेफरल आईडी');
INSERT INTO `lang_definitions` VALUES (104391, 5345, 27, 'सिफारिश स्रोत');
INSERT INTO `lang_definitions` VALUES (104392, 5346, 27, 'मुठभेड़ों के लिए सिफारिश स्रोत');
INSERT INTO `lang_definitions` VALUES (104393, 5347, 27, 'को सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (104394, 5348, 27, 'सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (104395, 5349, 27, 'सिफ़ारिश रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104396, 5350, 27, 'द्वारा सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (104397, 5351, 27, 'द्वारा सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (104398, 5352, 27, 'को सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (104399, 5353, 27, 'सिफ़ारिश करनेवाला');
INSERT INTO `lang_definitions` VALUES (104400, 5355, 27, 'सिफारिश करनेवाला से निदान');
INSERT INTO `lang_definitions` VALUES (104401, 5356, 27, 'सिफारिश करनेवाला से निदान');
INSERT INTO `lang_definitions` VALUES (104402, 5357, 27, 'सिफारिश करनेवाला चिकित्सक और प्रैक्टिस');
INSERT INTO `lang_definitions` VALUES (104403, 5358, 27, 'सिफारिश करनेवाला प्रदाता');
INSERT INTO `lang_definitions` VALUES (104404, 5359, 27, 'फिर से भरना');
INSERT INTO `lang_definitions` VALUES (104405, 5360, 27, 'केवल एक बार');
INSERT INTO `lang_definitions` VALUES (104406, 5361, 27, 'केवल एक बार');
INSERT INTO `lang_definitions` VALUES (104407, 5362, 27, 'सामान्य सजगता');
INSERT INTO `lang_definitions` VALUES (104408, 5363, 27, 'ताज़ा करे');
INSERT INTO `lang_definitions` VALUES (104409, 5365, 27, 'अनुस्मारक ताज़ा कर रहा है');
INSERT INTO `lang_definitions` VALUES (104410, 5368, 27, 'स्टेट करने से इनकार कर दिया');
INSERT INTO `lang_definitions` VALUES (104411, 5369, 27, 'reg_re');
INSERT INTO `lang_definitions` VALUES (104412, 5370, 27, 'पंजीकरण');
INSERT INTO `lang_definitions` VALUES (104413, 5372, 27, 'पंजीकृत');
INSERT INTO `lang_definitions` VALUES (104414, 5373, 27, 'पंजीकृत');
INSERT INTO `lang_definitions` VALUES (104415, 5375, 27, 'पंजीकरण की तिथि');
INSERT INTO `lang_definitions` VALUES (104416, 5376, 27, 'पंजीकरण प्रपत्र');
INSERT INTO `lang_definitions` VALUES (104417, 5377, 27, 'पुनर्वास');
INSERT INTO `lang_definitions` VALUES (104418, 5380, 27, 'पलटाना संभावित');
INSERT INTO `lang_definitions` VALUES (104419, 5381, 27, 'से संबंधित हैं');
INSERT INTO `lang_definitions` VALUES (104420, 5382, 27, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (104421, 5383, 27, 'संबंधित मुद्दा');
INSERT INTO `lang_definitions` VALUES (104422, 5384, 27, 'संबंधित रोगी टिप्पणी');
INSERT INTO `lang_definitions` VALUES (104423, 5385, 27, 'रिश्ता / बच्चे');
INSERT INTO `lang_definitions` VALUES (104424, 5386, 27, 'संबंध');
INSERT INTO `lang_definitions` VALUES (104425, 5387, 27, 'संबंध');
INSERT INTO `lang_definitions` VALUES (104426, 5388, 27, 'इस इकाई के सापेक्ष आदेश देने');
INSERT INTO `lang_definitions` VALUES (104427, 5389, 27, 'रिश्तेदार');
INSERT INTO `lang_definitions` VALUES (104428, 5399, 27, 'रिले स्वास्थ्य साख इस उपयोगकर्ता खाते से लापता हैं.');
INSERT INTO `lang_definitions` VALUES (104429, 5400, 27, 'रिले स्वास्थ्य ID');
INSERT INTO `lang_definitions` VALUES (104430, 5402, 27, 'रिलीज़ तिथि');
INSERT INTO `lang_definitions` VALUES (104431, 5403, 27, 'धर्म');
INSERT INTO `lang_definitions` VALUES (104432, 5406, 27, 'दोबारा लॉगिन');
INSERT INTO `lang_definitions` VALUES (104433, 5407, 27, 'Remdr');
INSERT INTO `lang_definitions` VALUES (104434, 5408, 27, 'चयनित सुविधा याद रखें');
INSERT INTO `lang_definitions` VALUES (104435, 5409, 27, 'अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (104436, 5410, 27, 'अनुस्मारक अंतराल');
INSERT INTO `lang_definitions` VALUES (104437, 5411, 27, 'अनुस्मारक अभी तक नहीं भेजा');
INSERT INTO `lang_definitions` VALUES (104438, 5412, 27, 'पर अनुस्मारक भेजा');
INSERT INTO `lang_definitions` VALUES (104439, 5413, 27, 'अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (104440, 5414, 27, 'परिहार');
INSERT INTO `lang_definitions` VALUES (104441, 5415, 27, 'दूरस्थ मेजबान');
INSERT INTO `lang_definitions` VALUES (104442, 5416, 27, 'हटाना');
INSERT INTO `lang_definitions` VALUES (104443, 5419, 27, 'समूह हटाएं');
INSERT INTO `lang_definitions` VALUES (104444, 5420, 27, 'समूह के रूप में निकालें');
INSERT INTO `lang_definitions` VALUES (104445, 5421, 27, 'टीकाकरण के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (104446, 5422, 27, 'PhpMyAdmin के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (104447, 5423, 27, 'नुस्खे के लिए समर्थन निकालता है');
INSERT INTO `lang_definitions` VALUES (104448, 5425, 27, 'चार्ट ट्रैकर सुविधा निकालता है');
INSERT INTO `lang_definitions` VALUES (104449, 5426, 27, 'गुर्दे की पथरी');
INSERT INTO `lang_definitions` VALUES (104450, 5427, 27, 'नाम बदलें');
INSERT INTO `lang_definitions` VALUES (104451, 5428, 27, 'समूह का नाम बदलें');
INSERT INTO `lang_definitions` VALUES (104452, 5429, 27, 'प्रस्तुत कर रहा');
INSERT INTO `lang_definitions` VALUES (104453, 5430, 27, 'प्रस्तुत कर रहा प्रदाता');
INSERT INTO `lang_definitions` VALUES (104454, 5431, 27, 'प्रस्तुत कर रहा प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (104455, 5432, 27, 'पुन: व्यवस्थित करें');
INSERT INTO `lang_definitions` VALUES (104456, 5433, 27, 'पर पुन: व्यवस्थित करें');
INSERT INTO `lang_definitions` VALUES (104457, 5434, 27, 'पुन: व्यवस्थित बिंदु पहुंच गया है');
INSERT INTO `lang_definitions` VALUES (104458, 5435, 27, 'पुन: व्यवस्थित बिंदु, 0 यदि लागू नहीं');
INSERT INTO `lang_definitions` VALUES (104459, 5436, 27, 'Rep');
INSERT INTO `lang_definitions` VALUES (104460, 5437, 27, 'नया पासवर्ड दोहराएँ');
INSERT INTO `lang_definitions` VALUES (104461, 5438, 27, 'घटना दोहराए जाने');
INSERT INTO `lang_definitions` VALUES (104462, 5439, 27, 'जानकारी दोहरा रहा है:');
INSERT INTO `lang_definitions` VALUES (104463, 5440, 27, 'दोहराता है');
INSERT INTO `lang_definitions` VALUES (104464, 5441, 27, 'बदलें');
INSERT INTO `lang_definitions` VALUES (104465, 5444, 27, 'तिथि दें');
INSERT INTO `lang_definitions` VALUES (104466, 5445, 27, 'से उत्तर');
INSERT INTO `lang_definitions` VALUES (104467, 5446, 27, 'रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104468, 5447, 27, 'रिपोर्ट - क्लीनिकल');
INSERT INTO `lang_definitions` VALUES (104469, 5449, 27, 'द्वारा रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (104470, 5453, 27, 'रिपोर्ट इतिहास / परिणाम');
INSERT INTO `lang_definitions` VALUES (104471, 5454, 27, 'रिपोर्ट परिणाम');
INSERT INTO `lang_definitions` VALUES (104472, 5455, 27, 'रिपोर्ट परिणाम / इतिहास');
INSERT INTO `lang_definitions` VALUES (104473, 5457, 27, 'रिपोर्ट स्थिति');
INSERT INTO `lang_definitions` VALUES (104474, 5458, 27, 'रिपोर्ट योग');
INSERT INTO `lang_definitions` VALUES (104475, 5459, 27, 'रिपोर्ट / प्रपत्र');
INSERT INTO `lang_definitions` VALUES (104476, 5460, 27, 'रिपोर्ट योग्य');
INSERT INTO `lang_definitions` VALUES (104477, 5461, 27, 'रिपोर्टेड');
INSERT INTO `lang_definitions` VALUES (104478, 5462, 27, 'रिपोर्टेड तिथि');
INSERT INTO `lang_definitions` VALUES (104479, 5463, 27, 'रिपोर्टें');
INSERT INTO `lang_definitions` VALUES (104480, 5467, 27, 'अनुरोध पर ध्यान नहीं दिया - दावा प्रसंस्करण पहले से ही चल रहा है!');
INSERT INTO `lang_definitions` VALUES (104481, 5474, 27, 'सेवा का अनुरोध');
INSERT INTO `lang_definitions` VALUES (104482, 5475, 27, 'मजबूत पासवर्ड की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (104483, 5476, 27, 'अद्वितीय पासवर्ड की आवश्यकता');
INSERT INTO `lang_definitions` VALUES (104484, 5477, 27, 'अपेक्षित');
INSERT INTO `lang_definitions` VALUES (104485, 5478, 27, 'आवश्यक सह वेतन');
INSERT INTO `lang_definitions` VALUES (104486, 5479, 27, 'आवश्यक फ़ील्ड गुम: अपलोड करने के लिए EDI-271 फ़ाइल का चयन करें');
INSERT INTO `lang_definitions` VALUES (104487, 5480, 27, 'आवश्यक फ़ील्ड गुम: पहला नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (104488, 5481, 27, 'आवश्यक फ़ील्ड गुम: अंतिम नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (104489, 5482, 27, 'आवश्यक फ़ील्ड गुम: उपयोगकर्ता नाम दर्ज करें');
INSERT INTO `lang_definitions` VALUES (104490, 5483, 27, 'आवश्यक फ़ील्ड');
INSERT INTO `lang_definitions` VALUES (104491, 5484, 27, 'आवश्यकताएँ');
INSERT INTO `lang_definitions` VALUES (104492, 5485, 27, 'आरक्षित');
INSERT INTO `lang_definitions` VALUES (104493, 5486, 27, 'आरक्षित');
INSERT INTO `lang_definitions` VALUES (104494, 5487, 27, 'अनुसूचित अवकाश समय को परिभाषित करने के लिए उपयोग के लिए आरक्षित');
INSERT INTO `lang_definitions` VALUES (104495, 5488, 27, 'जब एक प्रदाता के लिए नियुक्तियों उपलब्ध नहीं है, तो परिभाषित करने के आरक्षित.');
INSERT INTO `lang_definitions` VALUES (104496, 5489, 27, 'निर्दिष्ट रूप में घटना घटि नहीं तो परिभाषित करने के लिए आरक्षित.');
INSERT INTO `lang_definitions` VALUES (104497, 5490, 27, 'जब प्रदाता के लिए नियुक्तियों उपलब्ध है, तो परिभाषित करने के लिए आरक्षित.');
INSERT INTO `lang_definitions` VALUES (104498, 5491, 27, 'रीसेट करें');
INSERT INTO `lang_definitions` VALUES (104499, 5492, 27, 'Offsite पोर्टल पहचान रीसेट करें');
INSERT INTO `lang_definitions` VALUES (104500, 5493, 27, 'ऑनसाइट पोर्टल पहचान रीसेट करें');
INSERT INTO `lang_definitions` VALUES (104501, 5495, 27, 'Resn');
INSERT INTO `lang_definitions` VALUES (104502, 5496, 27, 'संकल्प');
INSERT INTO `lang_definitions` VALUES (104503, 5497, 27, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (104504, 5498, 27, 'श्वासयंत्र प्रयास अनुपाजिंत');
INSERT INTO `lang_definitions` VALUES (104505, 5499, 27, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (104506, 5501, 27, 'उपयोगकर्ता व्यवस्थापक में निर्धारित कार्यक्रम सुविधाएं को गैर अधिकृत उपयोगकर्ताओं को सीमित करें.');
INSERT INTO `lang_definitions` VALUES (104507, 5502, 27, 'सुविधाएं के लिए उपयोगकर्ताओं को सीमित');
INSERT INTO `lang_definitions` VALUES (104508, 5503, 27, 'सीमित प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (104509, 5504, 27, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (104510, 5505, 27, 'परिणाम नाम');
INSERT INTO `lang_definitions` VALUES (104511, 5506, 27, 'परिणाम स्थिति');
INSERT INTO `lang_definitions` VALUES (104512, 5507, 27, 'परिणाम स्थिति या विषमता लापता है');
INSERT INTO `lang_definitions` VALUES (104513, 5508, 27, 'परिणामस्वरूप, एक वाइल्डकार्ड के रूप में % का उपयोग');
INSERT INTO `lang_definitions` VALUES (104514, 5509, 27, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (104515, 5510, 27, 'परिणाम और');
INSERT INTO `lang_definitions` VALUES (104516, 5511, 27, 'खोज के लिए परिणाम मिले');
INSERT INTO `lang_definitions` VALUES (104517, 5512, 27, 'परिणाम समूह');
INSERT INTO `lang_definitions` VALUES (104518, 5514, 27, 'परिणाम पथ');
INSERT INTO `lang_definitions` VALUES (104519, 5515, 27, 'प्रति पृष्ठ परिणाम');
INSERT INTO `lang_definitions` VALUES (104520, 5516, 27, 'परिणाम / विवरण');
INSERT INTO `lang_definitions` VALUES (104521, 5517, 27, 'रेटिना परीक्षा');
INSERT INTO `lang_definitions` VALUES (104522, 5518, 27, 'राइट मुकर:');
INSERT INTO `lang_definitions` VALUES (104523, 5519, 27, 'लौटें');
INSERT INTO `lang_definitions` VALUES (104524, 5520, 27, 'अपने भुगतान के साथ ऊपर भाग लौटाएँ');
INSERT INTO `lang_definitions` VALUES (104525, 5521, 27, 'कैलेंडर पर लौटें');
INSERT INTO `lang_definitions` VALUES (104526, 5522, 27, 'परिणाम की रिपोर्ट पर लौटें');
INSERT INTO `lang_definitions` VALUES (104527, 5523, 27, 'इस पृष्ठ पर लौटें और आप ICD10 अनुभाग शीर्षक पर क्लिक करके ICD10 स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (104528, 5524, 27, 'इस पृष्ठ पर लौटें और आप ICD9 अनुभाग शीर्षक पर क्लिक करके ICD9 स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (104529, 5525, 27, 'इस पृष्ठ पर लौटें और आप RXNORM अनुभाग शीर्षक पर क्लिक करके RxNorm स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (104530, 5526, 27, 'इस पृष्ठ पर लौटें और आप SNOMED अनुभाग शीर्षक पर क्लिक करके Snomed स्थापना प्रक्रिया को पूरा करने में सक्षम होगे');
INSERT INTO `lang_definitions` VALUES (104531, 5527, 27, 'मूल्य लौटें');
INSERT INTO `lang_definitions` VALUES (104532, 5528, 27, 'वापसी यात्रा');
INSERT INTO `lang_definitions` VALUES (104533, 5529, 27, 'खेलने वापस');
INSERT INTO `lang_definitions` VALUES (104534, 5530, 27, 'पिछले तीन पासवर्ड के पुन: उपयोग की अनुमति नहीं है!');
INSERT INTO `lang_definitions` VALUES (104535, 5534, 27, 'PMH की समीक्षा करें:');
INSERT INTO `lang_definitions` VALUES (104536, 5535, 27, 'प्रणाली की समीक्षा');
INSERT INTO `lang_definitions` VALUES (104537, 5536, 27, 'सिस्टम जांच की समीक्षा');
INSERT INTO `lang_definitions` VALUES (104538, 5537, 27, 'समीक्षित');
INSERT INTO `lang_definitions` VALUES (104539, 5538, 27, 'संशोधन');
INSERT INTO `lang_definitions` VALUES (104540, 5539, 27, 'Rheumotoid गठिया');
INSERT INTO `lang_definitions` VALUES (104541, 5540, 27, 'Rheumotoid गठिया');
INSERT INTO `lang_definitions` VALUES (104542, 5541, 27, 'दाएँ');
INSERT INTO `lang_definitions` VALUES (104543, 5542, 27, 'दाएँ कान');
INSERT INTO `lang_definitions` VALUES (104544, 5543, 27, 'दाएँ कान');
INSERT INTO `lang_definitions` VALUES (104545, 5545, 27, 'दाएँ');
INSERT INTO `lang_definitions` VALUES (104546, 5546, 27, 'कानों में बज रहा');
INSERT INTO `lang_definitions` VALUES (104547, 5547, 27, 'कानों में बज रहा');
INSERT INTO `lang_definitions` VALUES (104548, 5549, 27, 'जोखिम कारक');
INSERT INTO `lang_definitions` VALUES (104549, 5550, 27, 'जोखिम का स्तर');
INSERT INTO `lang_definitions` VALUES (104550, 5551, 27, 'RLL:');
INSERT INTO `lang_definitions` VALUES (104551, 5552, 27, 'ROM');
INSERT INTO `lang_definitions` VALUES (104552, 5553, 27, 'रोमानियाई देश');
INSERT INTO `lang_definitions` VALUES (104553, 5560, 27, 'रोस्टर');
INSERT INTO `lang_definitions` VALUES (104554, 5561, 27, 'मार्ग');
INSERT INTO `lang_definitions` VALUES (104555, 5562, 27, 'प्रशासन का मार्ग, यदि लागू हो');
INSERT INTO `lang_definitions` VALUES (104556, 5563, 27, 'मार्ग किया');
INSERT INTO `lang_definitions` VALUES (104557, 5564, 27, 'पंक्तियाँ');
INSERT INTO `lang_definitions` VALUES (104558, 5565, 27, 'MOR बिना RRR');
INSERT INTO `lang_definitions` VALUES (104559, 5566, 27, 'रगड़ो:');
INSERT INTO `lang_definitions` VALUES (104560, 5567, 27, 'रगड़ो:');
INSERT INTO `lang_definitions` VALUES (104561, 5568, 27, 'नियम');
INSERT INTO `lang_definitions` VALUES (104562, 5569, 27, 'नियम जोड़ें');
INSERT INTO `lang_definitions` VALUES (104563, 5570, 27, 'नियम विस्तार');
INSERT INTO `lang_definitions` VALUES (104564, 5572, 27, 'नियम संपादित करें');
INSERT INTO `lang_definitions` VALUES (104565, 5575, 27, 'नियम सेट करें');
INSERT INTO `lang_definitions` VALUES (104566, 5578, 27, 'नियम');
INSERT INTO `lang_definitions` VALUES (104567, 5580, 27, 'नियम विन्यास');
INSERT INTO `lang_definitions` VALUES (104568, 5581, 27, 'कमांड चलाने: ');
INSERT INTO `lang_definitions` VALUES (104569, 5582, 27, 'टूटना');
INSERT INTO `lang_definitions` VALUES (104570, 5583, 27, 'रूसी देश');
INSERT INTO `lang_definitions` VALUES (104571, 5584, 27, 'RX');
INSERT INTO `lang_definitions` VALUES (104572, 5585, 27, 'RX');
INSERT INTO `lang_definitions` VALUES (104573, 5586, 27, 'Rx नीचे मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (104574, 5587, 27, 'Rx DEA # सक्षम करें');
INSERT INTO `lang_definitions` VALUES (104575, 5588, 27, 'Rx NPI सक्षम करें');
INSERT INTO `lang_definitions` VALUES (104576, 5589, 27, 'Rx राज्य Lic सक्षम करें. #');
INSERT INTO `lang_definitions` VALUES (104577, 5590, 27, 'Rx वाम मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (104578, 5591, 27, 'Rx पेपर आकार');
INSERT INTO `lang_definitions` VALUES (104579, 5592, 27, 'Rx दाएँ मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (104580, 5593, 27, 'Rx दिखाएँ DEA #');
INSERT INTO `lang_definitions` VALUES (104581, 5594, 27, 'Rx दिखाएँ NPI');
INSERT INTO `lang_definitions` VALUES (104582, 5595, 27, 'Rx दिखाएँ राज्य Lic. #');
INSERT INTO `lang_definitions` VALUES (104583, 5596, 27, 'Rx शीर्ष मार्जिन (px)');
INSERT INTO `lang_definitions` VALUES (104584, 5598, 27, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (104585, 5599, 27, 'RxNorm डाटाबेस');
INSERT INTO `lang_definitions` VALUES (104586, 5600, 27, 'S');
INSERT INTO `lang_definitions` VALUES (104587, 5601, 27, 's.s.');
INSERT INTO `lang_definitions` VALUES (104588, 5602, 27, 'S3:');
INSERT INTO `lang_definitions` VALUES (104589, 5603, 27, 'S4:');
INSERT INTO `lang_definitions` VALUES (104590, 5604, 27, 'SA ** लाइसेंस पढ़ने के लिए पढ़ें Docs / license.txt या कृपया जाओ * http://www.gnu.org/copyleft/gpl.html ** / / / ============ ================================================== =========== / / ');
INSERT INTO `lang_definitions` VALUES (104591, 5605, 27, 'बिक्री');
INSERT INTO `lang_definitions` VALUES (104592, 5606, 27, 'बिक्री');
INSERT INTO `lang_definitions` VALUES (104593, 5607, 27, 'आइटम द्वारा बिक्री');
INSERT INTO `lang_definitions` VALUES (104594, 5608, 27, 'उत्पाद की रिपोर्ट द्वारा बिक्री');
INSERT INTO `lang_definitions` VALUES (104595, 5609, 27, 'लार');
INSERT INTO `lang_definitions` VALUES (104596, 5610, 27, 'उसी दिन');
INSERT INTO `lang_definitions` VALUES (104597, 5611, 27, 'सैमो का (निवासी) या सैमोई (भाषा)');
INSERT INTO `lang_definitions` VALUES (104598, 5612, 27, 'नमूना');
INSERT INTO `lang_definitions` VALUES (104599, 5613, 27, 'स्वीकृति के प्रकार');
INSERT INTO `lang_definitions` VALUES (104600, 5617, 27, 'शनि');
INSERT INTO `lang_definitions` VALUES (104601, 5618, 27, 'शनि औरamp रवि');
INSERT INTO `lang_definitions` VALUES (104602, 5619, 27, 'शनिवार');
INSERT INTO `lang_definitions` VALUES (104603, 5620, 27, 'सहेजें');
INSERT INTO `lang_definitions` VALUES (104604, 5621, 27, 'सहेजें');
INSERT INTO `lang_definitions` VALUES (104605, 5622, 27, 'सहेजें और बंद करें');
INSERT INTO `lang_definitions` VALUES (104606, 5624, 27, 'सहेजें और बांटना');
INSERT INTO `lang_definitions` VALUES (104607, 5625, 27, 'सहेजें और संचारित करें');
INSERT INTO `lang_definitions` VALUES (104608, 5626, 27, 'नए रूप में सहेजें');
INSERT INTO `lang_definitions` VALUES (104609, 5627, 27, 'नए नोट के रूप में सहेजें');
INSERT INTO `lang_definitions` VALUES (104610, 5628, 27, 'प्रमाणपत्र जमावट सहेजें');
INSERT INTO `lang_definitions` VALUES (104611, 5629, 27, 'परिवर्तन सहेजें');
INSERT INTO `lang_definitions` VALUES (104612, 5630, 27, 'प्रपत्र सहेजें');
INSERT INTO `lang_definitions` VALUES (104613, 5631, 27, 'टीकाकरण सहेजें');
INSERT INTO `lang_definitions` VALUES (104614, 5632, 27, 'नई फील्ड सहेजें');
INSERT INTO `lang_definitions` VALUES (104615, 5633, 27, 'नया समूह सहेजें');
INSERT INTO `lang_definitions` VALUES (104616, 5634, 27, 'नई सूची सहेजें');
INSERT INTO `lang_definitions` VALUES (104617, 5635, 27, 'नई टेम्पलेट सहेजें');
INSERT INTO `lang_definitions` VALUES (104618, 5636, 27, 'चयन चूक को सहेजें');
INSERT INTO `lang_definitions` VALUES (104619, 5637, 27, 'रोगी जनसांख्यिकी सहेजें');
INSERT INTO `lang_definitions` VALUES (104620, 5638, 27, 'चार्ट ID के लिए सहेजें सफल');
INSERT INTO `lang_definitions` VALUES (104621, 5639, 27, 'लेनदेन सहेजें');
INSERT INTO `lang_definitions` VALUES (104622, 5641, 27, 'स्कैन किए गए');
INSERT INTO `lang_definitions` VALUES (104623, 5642, 27, 'मुठभेड़ नोट स्कैन किए');
INSERT INTO `lang_definitions` VALUES (104624, 5643, 27, 'स्कैनर निर्देशिका');
INSERT INTO `lang_definitions` VALUES (104625, 5644, 27, 'स्कैनर');
INSERT INTO `lang_definitions` VALUES (104626, 5645, 27, 'अनुसूची');
INSERT INTO `lang_definitions` VALUES (104627, 5646, 27, 'अनुसूची सुविधाएं:');
INSERT INTO `lang_definitions` VALUES (104628, 5647, 27, 'स्कूल नोट');
INSERT INTO `lang_definitions` VALUES (104629, 5648, 27, 'पार्श्वकुब्जता');
INSERT INTO `lang_definitions` VALUES (104630, 5651, 27, 'SE');
INSERT INTO `lang_definitions` VALUES (104631, 5652, 27, 'SE पता');
INSERT INTO `lang_definitions` VALUES (104632, 5653, 27, 'SE सिटी');
INSERT INTO `lang_definitions` VALUES (104633, 5654, 27, 'SE देश');
INSERT INTO `lang_definitions` VALUES (104634, 5655, 27, 'SE लोकैलिटी');
INSERT INTO `lang_definitions` VALUES (104635, 5656, 27, 'SE कोड');
INSERT INTO `lang_definitions` VALUES (104636, 5657, 27, 'SE राज्य');
INSERT INTO `lang_definitions` VALUES (104637, 5658, 27, 'SE ज़िप कोड');
INSERT INTO `lang_definitions` VALUES (104638, 5659, 27, 'खोजें');
INSERT INTO `lang_definitions` VALUES (104639, 5661, 27, 'खोजें');
INSERT INTO `lang_definitions` VALUES (104640, 5662, 27, 'फिर से खोजें');
INSERT INTO `lang_definitions` VALUES (104641, 5663, 27, 'सभी कॉलम खोजें');
INSERT INTO `lang_definitions` VALUES (104642, 5664, 27, 'के द्वारा खोजें:');
INSERT INTO `lang_definitions` VALUES (104643, 5665, 27, 'के लिए खोजें');
INSERT INTO `lang_definitions` VALUES (104644, 5666, 27, 'के लिए खोजें:');
INSERT INTO `lang_definitions` VALUES (104645, 5667, 27, 'में खोजें');
INSERT INTO `lang_definitions` VALUES (104646, 5668, 27, 'में खोजें');
INSERT INTO `lang_definitions` VALUES (104647, 5669, 27, 'खोजें या जोड़ें रोगी');
INSERT INTO `lang_definitions` VALUES (104648, 5670, 27, 'भुगतान खोजें');
INSERT INTO `lang_definitions` VALUES (104649, 5671, 27, 'परिणाम खोजें');
INSERT INTO `lang_definitions` VALUES (104650, 5672, 27, 'परिणाम खोजें:');
INSERT INTO `lang_definitions` VALUES (104651, 5673, 27, 'चुनी गई खोजें');
INSERT INTO `lang_definitions` VALUES (104652, 5674, 27, 'खोज स्ट्रिंग डेटाबेस में सूची के साथ मेल नहीं खाता');
INSERT INTO `lang_definitions` VALUES (104653, 5675, 27, 'खोज स्ट्रिंग कम से कम तीन अक्षर होना चाहिए');
INSERT INTO `lang_definitions` VALUES (104654, 5676, 27, 'खोजें पाठ');
INSERT INTO `lang_definitions` VALUES (104655, 5677, 27, 'घटनाक्रम खोजें');
INSERT INTO `lang_definitions` VALUES (104656, 5678, 27, 'खोजें / जोड़ें');
INSERT INTO `lang_definitions` VALUES (104657, 5679, 27, 'खोजें / बीमाकर्ता जोड़ें');
INSERT INTO `lang_definitions` VALUES (104658, 5680, 27, 'नियुक्तियों के लिए खोजें');
INSERT INTO `lang_definitions` VALUES (104659, 5681, 27, 'खोज रहा है ...');
INSERT INTO `lang_definitions` VALUES (104660, 5682, 27, 'सीट बेल्ट का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (104661, 5683, 27, 'सीट बेल्ट का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (104662, 5684, 27, 'द्वितीय');
INSERT INTO `lang_definitions` VALUES (104663, 5687, 27, 'द्वितीयक');
INSERT INTO `lang_definitions` VALUES (104664, 5688, 27, 'द्वितीयक बीमा');
INSERT INTO `lang_definitions` VALUES (104665, 5689, 27, 'द्वितीयक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (104666, 5690, 27, 'द्वितीयक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (104667, 5691, 27, 'द्वितीयक चिकित्सा प्रकार');
INSERT INTO `lang_definitions` VALUES (104668, 5698, 27, 'सुरक्षा');
INSERT INTO `lang_definitions` VALUES (104669, 5699, 27, 'सभी देखें');
INSERT INTO `lang_definitions` VALUES (104670, 5700, 27, 'प्राधिकरण देखें');
INSERT INTO `lang_definitions` VALUES (104671, 5701, 27, 'ग्रोथ चार्ट देखें');
INSERT INTO `lang_definitions` VALUES (104672, 5702, 27, 'उत्पन्न दावों के अंतिम सेट से संदेश देखें');
INSERT INTO `lang_definitions` VALUES (104673, 5704, 27, 'के बाद से देखा');
INSERT INTO `lang_definitions` VALUES (104674, 5705, 27, 'अनुभाग का नाम');
INSERT INTO `lang_definitions` VALUES (104675, 5706, 27, 'अनुभाग बैच दावा');
INSERT INTO `lang_definitions` VALUES (104676, 5707, 27, 'बरामदगी');
INSERT INTO `lang_definitions` VALUES (104677, 5708, 27, 'Sel');
INSERT INTO `lang_definitions` VALUES (104678, 5709, 27, 'चयन');
INSERT INTO `lang_definitions` VALUES (104679, 5710, 27, 'चयन');
INSERT INTO `lang_definitions` VALUES (104680, 5712, 27, 'एक संदर्भ का चयन करें');
INSERT INTO `lang_definitions` VALUES (104681, 5713, 27, 'एक प्रतिशत पंक्तियों चुनें या या तिथियाँ का चयन करें');
INSERT INTO `lang_definitions` VALUES (104682, 5714, 27, 'एक समय अवधि का चयन करें');
INSERT INTO `lang_definitions` VALUES (104683, 5715, 27, 'एक उपयोगकर्ता का चयन करें');
INSERT INTO `lang_definitions` VALUES (104684, 5716, 27, 'सभी चुनें');
INSERT INTO `lang_definitions` VALUES (104686, 5720, 27, 'श्रेणी का चयन करें');
INSERT INTO `lang_definitions` VALUES (104687, 5722, 27, 'हटाने के लिए संगत चेकबॉक्स चुनें');
INSERT INTO `lang_definitions` VALUES (104688, 5723, 27, 'हटाने के लिए मापदंडों का चयन करें');
INSERT INTO `lang_definitions` VALUES (104689, 5724, 27, 'CSV तालिका का चयन करें');
INSERT INTO `lang_definitions` VALUES (104690, 5725, 27, 'De Identification के लिए आवश्यक डाटा चयन करें');
INSERT INTO `lang_definitions` VALUES (104691, 5726, 27, 'De Identified डेटा में शामिल करने के लिए डेटा चयन करें');
INSERT INTO `lang_definitions` VALUES (104692, 5727, 27, 'तिथि का चयन करें');
INSERT INTO `lang_definitions` VALUES (104693, 5728, 27, 'इच्छित दस्ते का चयन करें');
INSERT INTO `lang_definitions` VALUES (104694, 5729, 27, 'निदान का चयन करें');
INSERT INTO `lang_definitions` VALUES (104695, 5730, 27, 'डी पहचान अनुरोध के लिए निदान का चयन करें');
INSERT INTO `lang_definitions` VALUES (104696, 5731, 27, 'दवाओं का चयन करें');
INSERT INTO `lang_definitions` VALUES (104697, 5732, 27, 'दवाओं का चयन करें');
INSERT INTO `lang_definitions` VALUES (104698, 5733, 27, 'डी पहचान अनुरोध के लिए ड्रग्स का चयन करें');
INSERT INTO `lang_definitions` VALUES (104699, 5734, 27, 'ईडीआई-271 फ़ाइल चुनें');
INSERT INTO `lang_definitions` VALUES (104700, 5736, 27, 'क्षेत्र चुनें');
INSERT INTO `lang_definitions` VALUES (104701, 5737, 27, 'क्षेत्र चुनें');
INSERT INTO `lang_definitions` VALUES (104702, 5738, 27, 'छपाई के लिए चयन करें');
INSERT INTO `lang_definitions` VALUES (104703, 5739, 27, 'टीकाकरण का चयन करें');
INSERT INTO `lang_definitions` VALUES (104704, 5740, 27, 'डी पहचान अनुरोध के लिए टीकाकरण का चयन करें');
INSERT INTO `lang_definitions` VALUES (104705, 5741, 27, 'टाइप करके, बीमा का चयन करें');
INSERT INTO `lang_definitions` VALUES (104706, 5742, 27, 'समस्या चुनें');
INSERT INTO `lang_definitions` VALUES (104707, 5744, 27, 'भाषा चुने');
INSERT INTO `lang_definitions` VALUES (104708, 5745, 27, 'एक का चयन करें');
INSERT INTO `lang_definitions` VALUES (104709, 5746, 27, 'सेवा का औचित्य साबित करने के लिए एक या एक से अधिक निदान कोड का चयन करें');
INSERT INTO `lang_definitions` VALUES (104710, 5747, 27, 'अपलोड करने के लिए एक या एक से अधिक फाइलों का चयन करें');
INSERT INTO `lang_definitions` VALUES (104711, 5754, 27, 'निर्यात करने के लिए विन्यास आइटम्स का चयन करें');
INSERT INTO `lang_definitions` VALUES (104712, 5755, 27, 'इस दिन,चूक गए घटनाओं के लिए मुख्य रूप से जिम्मेदार, मुद्दे का चयन करें');
INSERT INTO `lang_definitions` VALUES (104713, 5759, 27, 'चुनें प्रयोक्ता');
INSERT INTO `lang_definitions` VALUES (104714, 5760, 27, 'ड्रॉपडाउन सूची से उपयोगकर्ता चुनें');
INSERT INTO `lang_definitions` VALUES (104715, 5761, 27, 'कोई भाषा का चयन करें, यदि कोई हो, लॉग इन पर चुना जा सकता है. (केवल उचित अगर ऊपर सभी भाषाएँ बंद कर दिया है तो)');
INSERT INTO `lang_definitions` VALUES (104716, 5762, 27, 'समूह हटाने की पुष्टि करने के लिए हाँ का चयन करें');
INSERT INTO `lang_definitions` VALUES (104717, 5765, 27, 'चयनित');
INSERT INTO `lang_definitions` VALUES (104718, 5766, 27, 'चयनित मुठभेड़');
INSERT INTO `lang_definitions` VALUES (104719, 5767, 27, 'इसका चयन करना एक संदेश पैदा करेगा, लिए जिसे व्यक्तिगत रूप से प्रत्येक प्राप्तकर्ता के द्वारा संसाधित करने की आवश्यकता है. (यह एक समूह काम नहीं है).');
INSERT INTO `lang_definitions` VALUES (104720, 5768, 27, 'स्वयं');
INSERT INTO `lang_definitions` VALUES (104721, 5769, 27, 'स्वयं को अदा करें');
INSERT INTO `lang_definitions` VALUES (104722, 5771, 27, 'भेजें');
INSERT INTO `lang_definitions` VALUES (104723, 5772, 27, 'एक दिनांकित अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (104724, 5773, 27, 'एक अनुस्मारक भेजें');
INSERT INTO `lang_definitions` VALUES (104725, 5774, 27, 'भेजें प्रगति पर');
INSERT INTO `lang_definitions` VALUES (104726, 5775, 27, 'संदेश भेजें');
INSERT INTO `lang_definitions` VALUES (104727, 5776, 27, 'अनुस्मारक बैच भेजें');
INSERT INTO `lang_definitions` VALUES (104728, 5777, 27, 'निवारक / अनुवर्ती कार्रवाई की देखभाल के लिए रोगी वरीयता प्रति रोगियों को अनुस्मारक भेजें.');
INSERT INTO `lang_definitions` VALUES (104729, 5778, 27, 'सिफ़ारिशों के साथ सारांश भेजें');
INSERT INTO `lang_definitions` VALUES (104730, 5779, 27, 'इस फाइल को भेजें');
INSERT INTO `lang_definitions` VALUES (104731, 5780, 27, 'यह संदेश भेजें');
INSERT INTO `lang_definitions` VALUES (104732, 5781, 27, 'को भेजें');
INSERT INTO `lang_definitions` VALUES (104733, 5784, 27, 'सभी को भेजें');
INSERT INTO `lang_definitions` VALUES (104734, 5788, 27, 'प्रेषक');
INSERT INTO `lang_definitions` VALUES (104735, 5789, 27, 'प्रेषक ID');
INSERT INTO `lang_definitions` VALUES (104736, 5790, 27, 'प्रेषक ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (104737, 5791, 27, 'प्रेषक ID क्वालीफायर (ISA05)');
INSERT INTO `lang_definitions` VALUES (104738, 5792, 27, 'प्रेषक IDs के');
INSERT INTO `lang_definitions` VALUES (104739, 5793, 27, 'के लिए भेजा जा रहा है');
INSERT INTO `lang_definitions` VALUES (104740, 5794, 27, 'संवेदनशीलता');
INSERT INTO `lang_definitions` VALUES (104741, 5795, 27, 'संवेदनशीलता:');
INSERT INTO `lang_definitions` VALUES (104742, 5796, 27, 'संवेदी परीक्षा सामान्य');
INSERT INTO `lang_definitions` VALUES (104743, 5797, 27, 'भेजे गए');
INSERT INTO `lang_definitions` VALUES (104744, 5799, 27, 'द्वारा भेजे गए, सभी के लिए खाली छोड़ें');
INSERT INTO `lang_definitions` VALUES (104745, 5801, 27, 'तिथि भेजी गई');
INSERT INTO `lang_definitions` VALUES (104746, 5802, 27, 'आइटम भेजे गए');
INSERT INTO `lang_definitions` VALUES (104747, 5803, 27, 'मेडिकल रिकॉर्ड्स भेजा है?');
INSERT INTO `lang_definitions` VALUES (104748, 5804, 27, 'सफलतापूर्वक भेजा');
INSERT INTO `lang_definitions` VALUES (104749, 5807, 27, 'प्रिंटर के लिए भेजा.');
INSERT INTO `lang_definitions` VALUES (104750, 5808, 27, 'सभी के लिए खाली छोड़ दें, के लिए भेजा');
INSERT INTO `lang_definitions` VALUES (104751, 5810, 27, 'भेजा है, लेकिन अभी तक पुष्टि नहीं की.');
INSERT INTO `lang_definitions` VALUES (104752, 5811, 27, 'भेजा गया, प्राप्त नहीं');
INSERT INTO `lang_definitions` VALUES (104753, 5812, 27, 'सितंबर');
INSERT INTO `lang_definitions` VALUES (104754, 5813, 27, 'अलग किए गए');
INSERT INTO `lang_definitions` VALUES (104755, 5814, 27, 'सितंबर');
INSERT INTO `lang_definitions` VALUES (104756, 5815, 27, 'seq');
INSERT INTO `lang_definitions` VALUES (104757, 5816, 27, 'अनुक्रम');
INSERT INTO `lang_definitions` VALUES (104758, 5818, 27, 'Serv Rep');
INSERT INTO `lang_definitions` VALUES (104759, 5821, 27, 'सेवा');
INSERT INTO `lang_definitions` VALUES (104760, 5822, 27, 'सेवा श्रेणी');
INSERT INTO `lang_definitions` VALUES (104761, 5823, 27, 'सेवा संहिता');
INSERT INTO `lang_definitions` VALUES (104762, 5824, 27, 'सेवा संहिता वित्त रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (104763, 5825, 27, 'सेवा संहिताएं');
INSERT INTO `lang_definitions` VALUES (104764, 5826, 27, 'सेवा दिनांक');
INSERT INTO `lang_definitions` VALUES (104765, 5827, 27, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (104766, 5829, 27, 'सेवा स्थान');
INSERT INTO `lang_definitions` VALUES (104767, 5830, 27, 'सेवा का नाम');
INSERT INTO `lang_definitions` VALUES (104768, 5831, 27, 'विशेषज्ञ द्वारा प्रदान की सेवा');
INSERT INTO `lang_definitions` VALUES (104769, 5832, 27, 'सेवा रिपोर्टिंग');
INSERT INTO `lang_definitions` VALUES (104770, 5833, 27, 'केवल रिपोर्टिंग सेवा');
INSERT INTO `lang_definitions` VALUES (104771, 5834, 27, 'सेवाएं');
INSERT INTO `lang_definitions` VALUES (104772, 5835, 27, 'श्रेणी द्वारा सेवाएं');
INSERT INTO `lang_definitions` VALUES (104773, 5836, 27, 'प्रदान की सेवाएं');
INSERT INTO `lang_definitions` VALUES (104774, 5837, 27, 'प्रदान की सेवाएं');
INSERT INTO `lang_definitions` VALUES (104775, 5838, 27, 'सेवाएं /उत्पादों के');
INSERT INTO `lang_definitions` VALUES (104776, 5839, 27, 'सत्र प्रकार');
INSERT INTO `lang_definitions` VALUES (104777, 5840, 27, 'समूह');
INSERT INTO `lang_definitions` VALUES (104778, 5841, 27, 'लॉगिन के बीच चयनित सुविधा याद करने के लिए एक सुविधा कुकी सेट करें.');
INSERT INTO `lang_definitions` VALUES (104779, 5842, 27, 'पूर्ण के रूप में सेट करें');
INSERT INTO `lang_definitions` VALUES (104780, 5843, 27, 'CDR इंजन आधारित रिपोर्ट के लिए प्रसंस्करण प्राथमिकता सेट करें.');
INSERT INTO `lang_definitions` VALUES (104781, 5844, 27, '(पूर्ण क्लिनिक मोड में) रोगी अनुस्मारक के निर्माण के लिए प्रसंस्करण प्राथमिकता सेट करें.');
INSERT INTO `lang_definitions` VALUES (104782, 5845, 27, 'पूर्ण निरपेक्ष पथ पर सेट करें. HTTPS के लिए ग्राहक SSL प्रमाणपत्र बनाने के लिए.');
INSERT INTO `lang_definitions` VALUES (104783, 5846, 27, 'के लिए सेट');
INSERT INTO `lang_definitions` VALUES (104784, 5847, 27, 'डिफ़ॉल्ट सेट');
INSERT INTO `lang_definitions` VALUES (104785, 5848, 27, 'डेटाबेस में संस्करण संख्या सेट कर रहा है ...');
INSERT INTO `lang_definitions` VALUES (104786, 5849, 27, 'सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (104787, 5851, 27, 'गंभीर माइग्रेन');
INSERT INTO `lang_definitions` VALUES (104788, 5853, 27, 'दर्द की तीव्रता');
INSERT INTO `lang_definitions` VALUES (104789, 5854, 27, 'दर्द की तीव्रता:');
INSERT INTO `lang_definitions` VALUES (104790, 5855, 27, 'लिंग');
INSERT INTO `lang_definitions` VALUES (104791, 5856, 27, 'यौन संचारित रोग');
INSERT INTO `lang_definitions` VALUES (104792, 5857, 27, 'SFTP');
INSERT INTO `lang_definitions` VALUES (104793, 5858, 27, 'शा -1 हैश');
INSERT INTO `lang_definitions` VALUES (104794, 5859, 27, 'सहभाजन');
INSERT INTO `lang_definitions` VALUES (104795, 5860, 27, 'सर्वर से छपाई के लिए शैल कमांड.');
INSERT INTO `lang_definitions` VALUES (104796, 5863, 27, 'लघु विवरण');
INSERT INTO `lang_definitions` VALUES (104797, 5864, 27, 'सांस की तकलीफ');
INSERT INTO `lang_definitions` VALUES (104798, 5865, 27, 'सांस की तकलीफ');
INSERT INTO `lang_definitions` VALUES (104799, 5866, 27, 'सांस की तकलीफ 2');
INSERT INTO `lang_definitions` VALUES (104800, 5867, 27, 'लघु रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (104801, 5868, 27, 'तक लघु रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (104802, 5870, 27, 'nnnnn-nnnn-nn तरह होना चाहिए');
INSERT INTO `lang_definitions` VALUES (104803, 5871, 27, 'दो पत्र होने चाहिए');
INSERT INTO `lang_definitions` VALUES (104804, 5872, 27, '10 अंक होने चाहिए');
INSERT INTO `lang_definitions` VALUES (104805, 5873, 27, 'केवल 10 अंक होने चाहिए');
INSERT INTO `lang_definitions` VALUES (104806, 5874, 27, 'कंधा');
INSERT INTO `lang_definitions` VALUES (104807, 5875, 27, 'कंधा + हंसली');
INSERT INTO `lang_definitions` VALUES (104808, 5876, 27, 'कंधे की समस्या');
INSERT INTO `lang_definitions` VALUES (104809, 5877, 27, 'प्रदर्शन');
INSERT INTO `lang_definitions` VALUES (104810, 5878, 27, 'सक्रिय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104811, 5880, 27, 'सभी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104812, 5881, 27, 'सभी प्रक्रियाओं को दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104813, 5883, 27, 'सभी लेनदेन दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104814, 5884, 27, 'व्यस्त दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104815, 5885, 27, 'केवल अधिकृत दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104816, 5886, 27, 'उपलब्ध समय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104817, 5887, 27, 'अमेरिका और मीट्रिक दोनों दिखाएँ (मुख्य इकाई मीट्रिक है)');
INSERT INTO `lang_definitions` VALUES (104818, 5888, 27, 'अमेरिका और मीट्रिक दोनों दिखाएँ (मुख्य इकाई अमेरिका है)');
INSERT INTO `lang_definitions` VALUES (104819, 5889, 27, 'विवरण दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104820, 5890, 27, 'केवल त्रुटियों को दिखाएँ?');
INSERT INTO `lang_definitions` VALUES (104821, 5891, 27, 'ग्राफ़ दिखाएं');
INSERT INTO `lang_definitions` VALUES (104822, 5892, 27, 'Mouseover पर मँडरा घटना पाठ दिखाएं?');
INSERT INTO `lang_definitions` VALUES (104823, 5893, 27, 'व्यवस्थापक पृष्ठों पर कितने घटनाओं को दिखाएं?');
INSERT INTO `lang_definitions` VALUES (104824, 5894, 27, 'निष्क्रिय दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104825, 5896, 27, 'मेनू दिखाएं');
INSERT INTO `lang_definitions` VALUES (104826, 5897, 27, 'मीट्रिक ही दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104827, 5898, 27, 'टिप्पणी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104828, 5900, 27, 'केवल न छोड़े गए प्रक्रियाओं को दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104829, 5901, 27, 'रोगी टिप्पणी दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104830, 5902, 27, 'पाउंड और औंस दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104831, 5903, 27, 'दशमलव मान के रूप में पाउंड दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104832, 5904, 27, 'प्राथमिक पूरा दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104833, 5905, 27, 'अनुस्मारक दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104834, 5906, 27, 'रिपोर्ट दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104835, 5907, 27, 'खोज / पेश लिंक ब्लॉक में दिखाएँ?');
INSERT INTO `lang_definitions` VALUES (104836, 5910, 27, 'सूची जोड़ें विजेट के लिए कस्टम राज्य प्रपत्र (शीर्षक और संक्षिप्त के लिए पूछेंगे) दिखाएँ.');
INSERT INTO `lang_definitions` VALUES (104837, 5911, 27, 'मरीज ​​सारांश स्क्रीन पर यह श्रेणी दिखाये, भले ही इस श्रेणी के लिए कोई समस्या नहीं दर्ज किया गया है.');
INSERT INTO `lang_definitions` VALUES (104838, 5913, 27, 'केवल unbilled दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104839, 5914, 27, 'अमेरिका ही दिखाएँ');
INSERT INTO `lang_definitions` VALUES (104840, 5915, 27, 'दिखा रहा है');
INSERT INTO `lang_definitions` VALUES (104841, 5916, 27, 'परिणाम दिखा रहा है');
INSERT INTO `lang_definitions` VALUES (104842, 5920, 27, 'सहोदर');
INSERT INTO `lang_definitions` VALUES (104843, 5921, 27, 'सिकल सेल');
INSERT INTO `lang_definitions` VALUES (104844, 5922, 27, 'हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (104845, 5923, 27, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (104846, 5925, 27, 'प्रयोगशाला के परिणाम पर हस्ताक्षर (addonly वैकल्पिक, लिखने)');
INSERT INTO `lang_definitions` VALUES (104847, 5926, 27, 'परिणाम पर हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (104848, 5927, 27, 'हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (104849, 5929, 27, 'हस्ताक्षर:');
INSERT INTO `lang_definitions` VALUES (104850, 5930, 27, 'Rx पर हस्ताक्षर किए');
INSERT INTO `lang_definitions` VALUES (104851, 5932, 27, 'उल्लेखनीय सूजन:');
INSERT INTO `lang_definitions` VALUES (104852, 5933, 27, 'सरलीकृत');
INSERT INTO `lang_definitions` VALUES (104853, 5934, 27, 'सरलीकृत सह भुगतान');
INSERT INTO `lang_definitions` VALUES (104854, 5935, 27, 'सरलीकृत जनसांख्यिकी');
INSERT INTO `lang_definitions` VALUES (104855, 5936, 27, 'सरलीकृत नुस्खे');
INSERT INTO `lang_definitions` VALUES (104856, 5937, 27, 'तब से');
INSERT INTO `lang_definitions` VALUES (104857, 5938, 27, 'निष्ठा से,');
INSERT INTO `lang_definitions` VALUES (104858, 5940, 27, 'एक');
INSERT INTO `lang_definitions` VALUES (104859, 5941, 27, 'एकल चयन सूची');
INSERT INTO `lang_definitions` VALUES (104860, 5942, 27, 'सूची में जोड़ने के क्षमता के साथ एकल चयन सूची');
INSERT INTO `lang_definitions` VALUES (104861, 5943, 27, 'एकमात्र');
INSERT INTO `lang_definitions` VALUES (104862, 5946, 27, 'साइनस की समस्या');
INSERT INTO `lang_definitions` VALUES (104863, 5947, 27, 'साइनस सर्जरी');
INSERT INTO `lang_definitions` VALUES (104864, 5948, 27, 'साइनस Tenderness:');
INSERT INTO `lang_definitions` VALUES (104865, 5949, 27, 'शिरानालशोथ');
INSERT INTO `lang_definitions` VALUES (104866, 5950, 27, 'स्थल');
INSERT INTO `lang_definitions` VALUES (104867, 5951, 27, 'स्थल ID');
INSERT INTO `lang_definitions` VALUES (104868, 5952, 27, 'मैडिकल इन्फोर्मेशन इंटीग्रेशन, LLC लैब विनिमय सेवा के लिए साइट ID.');
INSERT INTO `lang_definitions` VALUES (104869, 5953, 27, 'LibreEHR समर्थन LLC लैब विनिमय सेवा के लिए साइट ID.');
INSERT INTO `lang_definitions` VALUES (104870, 5956, 27, 'आकार');
INSERT INTO `lang_definitions` VALUES (104871, 5957, 27, 'आकार 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (104872, 5958, 27, 'आकार / सूची');
INSERT INTO `lang_definitions` VALUES (104873, 5959, 27, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (104874, 5960, 27, 'त्वचा कैंसर');
INSERT INTO `lang_definitions` VALUES (104875, 5961, 27, 'त्वचा रोग');
INSERT INTO `lang_definitions` VALUES (104876, 5962, 27, 'त्वचा अन्य');
INSERT INTO `lang_definitions` VALUES (104877, 5963, 27, 'रोगी टिप्पणी का प्राधिकरण छोड़ें');
INSERT INTO `lang_definitions` VALUES (104878, 5964, 27, 'अनुभाग छोड़ा जा रहा');
INSERT INTO `lang_definitions` VALUES (104879, 5965, 27, 'SQL लेजर डंप छोड़ा जा रहा - विंडोज सर्वर के लिए लागू नहीं');
INSERT INTO `lang_definitions` VALUES (104880, 5967, 27, 'सोने की प्रवृत्ति');
INSERT INTO `lang_definitions` VALUES (104881, 5968, 27, 'सोने की प्रवृत्ति');
INSERT INTO `lang_definitions` VALUES (104882, 5969, 27, 'शयन');
INSERT INTO `lang_definitions` VALUES (104883, 5970, 27, 'स्लोवाक देश');
INSERT INTO `lang_definitions` VALUES (104884, 5972, 27, 'SM ऋण w / o');
INSERT INTO `lang_definitions` VALUES (104885, 5973, 27, 'समझदार कैश साफ कर दिया गया है');
INSERT INTO `lang_definitions` VALUES (104886, 5974, 27, 'धूम्रपान करनेवाला, वर्तमान स्थिति अज्ञात');
INSERT INTO `lang_definitions` VALUES (104887, 5976, 27, 'धूम्रपान की स्थिति');
INSERT INTO `lang_definitions` VALUES (104888, 5977, 27, 'SMS Auth');
INSERT INTO `lang_definitions` VALUES (104889, 5978, 27, 'SMS गेटवे');
INSERT INTO `lang_definitions` VALUES (104890, 5979, 27, 'SMS गेटवे API कुंजी');
INSERT INTO `lang_definitions` VALUES (104891, 5980, 27, 'SMS गेटवे API कुंजी');
INSERT INTO `lang_definitions` VALUES (104892, 5981, 27, 'SMS गेटवे पारण');
INSERT INTO `lang_definitions` VALUES (104893, 5982, 27, 'SMS गेटवे उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (104894, 5983, 27, 'SMS अधिसूचना');
INSERT INTO `lang_definitions` VALUES (104895, 5984, 27, 'SMS अधिसूचना घंटे');
INSERT INTO `lang_definitions` VALUES (104896, 5985, 27, 'से पहले SMS भेजा');
INSERT INTO `lang_definitions` VALUES (104897, 5986, 27, 'SMS भेजा');
INSERT INTO `lang_definitions` VALUES (104898, 5987, 27, 'SMS पाठ, उपयोगी टैग: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br> i.e. Dear ***NAME***');
INSERT INTO `lang_definitions` VALUES (104899, 5988, 27, 'SMS के / ईमेल अलर्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (104900, 5989, 27, 'प्रमाणीकरण के लिए SMTP पारण');
INSERT INTO `lang_definitions` VALUES (104901, 5992, 27, 'SMTP सर्वर होस्ट नाम');
INSERT INTO `lang_definitions` VALUES (104902, 5993, 27, 'SMTP सर्वर पोर्ट नंबर');
INSERT INTO `lang_definitions` VALUES (104903, 5994, 27, 'प्रमाणीकरण के लिए SMTP उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (104904, 5995, 27, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (104905, 5996, 27, 'SNOMED (RF1) नैदानिक ​​शब्द');
INSERT INTO `lang_definitions` VALUES (104906, 5997, 27, 'SNOMED (RF1) निदान');
INSERT INTO `lang_definitions` VALUES (104907, 5998, 27, 'SNOMED (RF1) प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (104908, 5999, 27, 'SNOMED (RF2) निदान');
INSERT INTO `lang_definitions` VALUES (104909, 6000, 27, 'SNOMED नैदानिक ​​शब्द');
INSERT INTO `lang_definitions` VALUES (104910, 6001, 27, 'SNOMED डाटाबेस');
INSERT INTO `lang_definitions` VALUES (104911, 6002, 27, 'SNOMED निदान');
INSERT INTO `lang_definitions` VALUES (104912, 6003, 27, 'SNOMED प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (104913, 6004, 27, 'खर्राटे');
INSERT INTO `lang_definitions` VALUES (104914, 6005, 27, 'SOAP');
INSERT INTO `lang_definitions` VALUES (104915, 6006, 27, 'सामाजिक कठिनाइयों');
INSERT INTO `lang_definitions` VALUES (104916, 6009, 27, 'सामाजिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (104917, 6010, 27, 'सामाजिक सुरक्षा नंबर');
INSERT INTO `lang_definitions` VALUES (104918, 6011, 27, 'समाधान');
INSERT INTO `lang_definitions` VALUES (104919, 6013, 27, 'सोमेटिक संदर्भ');
INSERT INTO `lang_definitions` VALUES (104920, 6014, 27, 'कुछ प्राधिकरण प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (104921, 6015, 27, 'कुछ कोड प्रदर्शित नहीं.');
INSERT INTO `lang_definitions` VALUES (104922, 6016, 27, 'कुछ मुठभेड़ प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (104923, 6017, 27, 'कुछ त्रुटि De Identification की प्रक्रिया के दौरान उत्पन्न हुई');
INSERT INTO `lang_definitions` VALUES (104924, 6018, 27, 'कुछ नोट्स प्रदर्शित नहीं.');
INSERT INTO `lang_definitions` VALUES (104925, 6019, 27, 'कुछ कार्यालय नोट्स प्रदर्शित नहीं. सभी को देखने के लिए यहां क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (104926, 6020, 27, 'कुछ शब्द');
INSERT INTO `lang_definitions` VALUES (104927, 6023, 27, 'कुछ गलत हो गया. पुन: प्रयास करें.');
INSERT INTO `lang_definitions` VALUES (104928, 6024, 27, 'जल्द ही लंबित अंतराल (क्लीनिकल अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (104929, 6025, 27, 'जल्द ही लंबित अंतराल (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (104930, 6026, 27, 'गले में ख़राश');
INSERT INTO `lang_definitions` VALUES (104931, 6027, 27, 'क्षमा कोई नियुक्ति तय नहीं हो गई है');
INSERT INTO `lang_definitions` VALUES (104932, 6028, 27, 'क्षमा करें, आपकी फ़ाइल अपलोड करने में कोई समस्या थी');
INSERT INTO `lang_definitions` VALUES (104933, 6029, 27, 'क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104934, 6030, 27, 'क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104935, 6031, 27, 'क्रमबद्ध Checksum द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104936, 6032, 27, 'टिप्पणियाँ द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104937, 6033, 27, 'Crt प्रयोक्ता द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104938, 6034, 27, 'तिथि द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104939, 6035, 27, 'तिथि / समय द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104940, 6036, 27, 'घटना द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104941, 6037, 27, 'समूह द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104942, 6040, 27, 'PatientID द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104943, 6041, 27, 'क्रमबद्ध सफलता से');
INSERT INTO `lang_definitions` VALUES (104944, 6043, 27, 'उपयोगकर्ता द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104945, 6044, 27, 'टीकाकरण द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104946, 6045, 27, 'नीचे क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104947, 6046, 27, 'परिणाम द्वारा क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104948, 6047, 27, 'ऊपर क्रमबद्ध करें');
INSERT INTO `lang_definitions` VALUES (104949, 6048, 27, 'स्रोत');
INSERT INTO `lang_definitions` VALUES (104950, 6049, 27, 'स्रोत फ़ाइल');
INSERT INTO `lang_definitions` VALUES (104951, 6050, 27, 'स्रोत फ़ाइल पथ');
INSERT INTO `lang_definitions` VALUES (104952, 6051, 27, 'स्रोत कोड के लिए लापता है ');
INSERT INTO `lang_definitions` VALUES (104953, 6052, 27, 'स्रोत लॉट');
INSERT INTO `lang_definitions` VALUES (104954, 6054, 27, 'स्रोत रोगी');
INSERT INTO `lang_definitions` VALUES (104955, 6055, 27, 'स्रोत रोगी को जन्म तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (104956, 6056, 27, 'स्रोत रोगी नहीं मिला');
INSERT INTO `lang_definitions` VALUES (104957, 6057, 27, 'स्रोत:');
INSERT INTO `lang_definitions` VALUES (104958, 6060, 27, 'अंतरिक्ष');
INSERT INTO `lang_definitions` VALUES (104959, 6061, 27, 'अंतरिक्ष');
INSERT INTO `lang_definitions` VALUES (104960, 6062, 27, 'स्पेनिश देश');
INSERT INTO `lang_definitions` VALUES (104961, 6063, 27, 'स्पेनिश (लैटिन अमेरिकी)');
INSERT INTO `lang_definitions` VALUES (104962, 6064, 27, 'स्पेनिश (स्पेन)');
INSERT INTO `lang_definitions` VALUES (104963, 6066, 27, 'विशेष वर्ण की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (104964, 6067, 27, 'नब्ज प्रपत्र के लिए विशेष उपचार');
INSERT INTO `lang_definitions` VALUES (104965, 6068, 27, 'विशेषज्ञ');
INSERT INTO `lang_definitions` VALUES (104966, 6069, 27, 'विशेषज्ञ का नाम और हस्ताक्षर');
INSERT INTO `lang_definitions` VALUES (104967, 6071, 27, 'विशेषता');
INSERT INTO `lang_definitions` VALUES (104968, 6072, 27, 'विशेषता प्रणाली');
INSERT INTO `lang_definitions` VALUES (104969, 6073, 27, 'विशेषता:');
INSERT INTO `lang_definitions` VALUES (104970, 6074, 27, 'विशिष्ट');
INSERT INTO `lang_definitions` VALUES (104971, 6075, 27, 'विशिष्ट अनुप्रयोग');
INSERT INTO `lang_definitions` VALUES (104972, 6076, 27, 'विशिष्ट गर्भनिरोधक सेवा');
INSERT INTO `lang_definitions` VALUES (104973, 6077, 27, 'विशिष्ट परिणाम');
INSERT INTO `lang_definitions` VALUES (104974, 6078, 27, 'विशिष्ट सेवा');
INSERT INTO `lang_definitions` VALUES (104975, 6079, 27, 'निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (104976, 6080, 27, 'Specifies formatting for codes. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104977, 6081, 27, 'Specifies formatting for codes. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104978, 6082, 27, 'Specifies formatting for invoice reference numbers. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104979, 6083, 27, 'Specifies formatting for invoice reference numbers. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104980, 6084, 27, 'Specifies formatting for product NDC fields. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104981, 6085, 27, 'Specifies formatting for product NDC fields. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104982, 6086, 27, 'Specifies formatting for the external patient ID. # = digit, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104983, 6087, 27, 'Specifies formatting for the external patient ID. # = digit, @ = alpha, * = any character. Empty if not used.');
INSERT INTO `lang_definitions` VALUES (104984, 6088, 27, 'नमूना');
INSERT INTO `lang_definitions` VALUES (104985, 6089, 27, 'नमूना संख्या / पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (104986, 6090, 27, 'नमूना प्रकार');
INSERT INTO `lang_definitions` VALUES (104987, 6092, 27, 'भाषण श्रुतलेख');
INSERT INTO `lang_definitions` VALUES (104988, 6093, 27, 'शुक्राणुनाशक');
INSERT INTO `lang_definitions` VALUES (104989, 6094, 27, 'स्प्लेनेक्टोमी');
INSERT INTO `lang_definitions` VALUES (104990, 6095, 27, 'पति');
INSERT INTO `lang_definitions` VALUES (104991, 6097, 27, 'थूक');
INSERT INTO `lang_definitions` VALUES (104992, 6098, 27, 'थूक:');
INSERT INTO `lang_definitions` VALUES (104993, 6099, 27, 'SQ');
INSERT INTO `lang_definitions` VALUES (104994, 6102, 27, 'दस्ता');
INSERT INTO `lang_definitions` VALUES (104995, 6103, 27, 'दस्ते सदस्यता');
INSERT INTO `lang_definitions` VALUES (104996, 6104, 27, 'दस्ते');
INSERT INTO `lang_definitions` VALUES (104997, 6105, 27, 'SRH');
INSERT INTO `lang_definitions` VALUES (104998, 6106, 27, 'SRH - परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (104999, 6107, 27, 'SRH गैर परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (105000, 6108, 27, 'SRH सिफ़ारिशें');
INSERT INTO `lang_definitions` VALUES (105001, 6109, 27, 'SRH भेंट प्रपत्र');
INSERT INTO `lang_definitions` VALUES (105002, 6110, 27, 'SRV तिथि');
INSERT INTO `lang_definitions` VALUES (105003, 6111, 27, 'SS');
INSERT INTO `lang_definitions` VALUES (105004, 6112, 27, 'SSL प्रमाणपत्र प्रशासन');
INSERT INTO `lang_definitions` VALUES (105005, 6113, 27, 'SSN');
INSERT INTO `lang_definitions` VALUES (105006, 6114, 27, 'स्थिरता');
INSERT INTO `lang_definitions` VALUES (105007, 6115, 27, 'रिलीज स्टेज्ड');
INSERT INTO `lang_definitions` VALUES (105008, 6116, 27, 'मानक');
INSERT INTO `lang_definitions` VALUES (105009, 6117, 27, 'मानक कोड');
INSERT INTO `lang_definitions` VALUES (105010, 6118, 27, 'मानक उपाय');
INSERT INTO `lang_definitions` VALUES (105011, 6119, 27, 'मानक उपाय (सक्रिय अलर्ट)');
INSERT INTO `lang_definitions` VALUES (105012, 6120, 27, 'मानक उपाय (निष्क्रिय अलर्ट)');
INSERT INTO `lang_definitions` VALUES (105013, 6121, 27, 'मानक उपाय (रोगी अनुस्मारक)');
INSERT INTO `lang_definitions` VALUES (105014, 6122, 27, 'मानक नाम');
INSERT INTO `lang_definitions` VALUES (105015, 6123, 27, 'Standard; Simplified: only title, start date, comments and an Active checkbox;no diagnosis, occurrence, end date, referred-by or sports fields. ; Football Injury');
INSERT INTO `lang_definitions` VALUES (105016, 6124, 27, 'प्रारंभ');
INSERT INTO `lang_definitions` VALUES (105017, 6125, 27, 'प्रारंभ (YYYY-MM-DD) : ');
INSERT INTO `lang_definitions` VALUES (105018, 6126, 27, 'एक अन्य रिपोर्ट प्रारंभ');
INSERT INTO `lang_definitions` VALUES (105019, 6128, 27, 'प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (105020, 6129, 27, 'इस क्लिनिक में प्रारंभ तिथि');
INSERT INTO `lang_definitions` VALUES (105021, 6130, 27, 'प्रारंभ तिथि समाप्ति तिथि से बड़ा नहीं होना चाहिए');
INSERT INTO `lang_definitions` VALUES (105022, 6131, 27, 'प्रारंभ तिथि:');
INSERT INTO `lang_definitions` VALUES (105023, 6132, 27, 'प्रारंभ तिथि:');
INSERT INTO `lang_definitions` VALUES (105024, 6133, 27, 'प्रारंभ समय');
INSERT INTO `lang_definitions` VALUES (105025, 6134, 27, 'तिथि शुरू');
INSERT INTO `lang_definitions` VALUES (105026, 6135, 27, 'stat');
INSERT INTO `lang_definitions` VALUES (105027, 6136, 27, 'राज्य');
INSERT INTO `lang_definitions` VALUES (105028, 6137, 27, 'राज्य डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (105029, 6138, 27, 'राज्य एलआईसी. #');
INSERT INTO `lang_definitions` VALUES (105030, 6139, 27, 'राज्य लाइसेंस संख्या');
INSERT INTO `lang_definitions` VALUES (105031, 6140, 27, 'राज्य सूची');
INSERT INTO `lang_definitions` VALUES (105032, 6141, 27, 'राज्य सूची (addonly वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (105033, 6142, 27, 'राज्य सूची विजेट कस्टम फील्ड्स');
INSERT INTO `lang_definitions` VALUES (105034, 6143, 27, 'राज्य या प्रांत');
INSERT INTO `lang_definitions` VALUES (105035, 6144, 27, 'राज्य / इलाका');
INSERT INTO `lang_definitions` VALUES (105036, 6145, 27, 'राज्य / पैरिश');
INSERT INTO `lang_definitions` VALUES (105037, 6146, 27, 'बयान सारांश');
INSERT INTO `lang_definitions` VALUES (105038, 6147, 27, 'बयान और अद्यतन चालान.');
INSERT INTO `lang_definitions` VALUES (105039, 6148, 27, 'भेजे गए बयान:');
INSERT INTO `lang_definitions` VALUES (105040, 6149, 27, 'बयान; चालान अद्यतन नहीं किया जाएगा.');
INSERT INTO `lang_definitions` VALUES (105041, 6150, 27, 'स्टेटिक पाठ');
INSERT INTO `lang_definitions` VALUES (105042, 6151, 27, 'आंकड़े');
INSERT INTO `lang_definitions` VALUES (105043, 6152, 27, 'आँकड़े');
INSERT INTO `lang_definitions` VALUES (105044, 6153, 27, 'स्थिति');
INSERT INTO `lang_definitions` VALUES (105045, 6154, 27, 'प्रवेश की स्थिति');
INSERT INTO `lang_definitions` VALUES (105046, 6155, 27, 'दावे की स्थिति');
INSERT INTO `lang_definitions` VALUES (105047, 6156, 27, 'यथास्थिति');
INSERT INTO `lang_definitions` VALUES (105048, 6158, 27, 'STD / AIDS Couns');
INSERT INTO `lang_definitions` VALUES (105049, 6159, 27, 'Stength और कंडीशनिंग');
INSERT INTO `lang_definitions` VALUES (105050, 6164, 27, 'DSM IV डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (105051, 6165, 27, 'आईसीडी 10 डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (105052, 6166, 27, 'आईसीडी 9 डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (105053, 6167, 27, 'RxNorm डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (105054, 6168, 27, 'Snomed डेटाबेस को स्थापित करने के लिए कदम');
INSERT INTO `lang_definitions` VALUES (105055, 6169, 27, 'कड़े जोड़');
INSERT INTO `lang_definitions` VALUES (105056, 6170, 27, 'कठोरता');
INSERT INTO `lang_definitions` VALUES (105057, 6171, 27, 'स्टॉक महीने');
INSERT INTO `lang_definitions` VALUES (105058, 6172, 27, 'पेट में दर्द');
INSERT INTO `lang_definitions` VALUES (105059, 6174, 27, 'संग्रहित हैश');
INSERT INTO `lang_definitions` VALUES (105060, 6175, 27, 'मांसपेशियों का तनाव');
INSERT INTO `lang_definitions` VALUES (105061, 6176, 27, 'धारा');
INSERT INTO `lang_definitions` VALUES (105062, 6177, 27, 'सड़क');
INSERT INTO `lang_definitions` VALUES (105063, 6178, 27, 'सड़क पता');
INSERT INTO `lang_definitions` VALUES (105064, 6179, 27, 'सड़क और संख्या');
INSERT INTO `lang_definitions` VALUES (105065, 6180, 27, 'शक्ति');
INSERT INTO `lang_definitions` VALUES (105066, 6182, 27, 'strep गले का');
INSERT INTO `lang_definitions` VALUES (105067, 6183, 27, 'तनाव अस्थिभंग');
INSERT INTO `lang_definitions` VALUES (105068, 6184, 27, 'तनाव टेस्ट');
INSERT INTO `lang_definitions` VALUES (105069, 6185, 27, 'स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (105070, 6186, 27, 'मजबूत पासवर्ड का मतलब है कम से कम 8 वर्ण, और निम्न में से कम से कम तीन: एक नंबर, एक छोटा अक्षर, एक अपरकेस पत्र, एक विशेष चरित्र.');
INSERT INTO `lang_definitions` VALUES (105071, 6187, 27, 'शैली');
INSERT INTO `lang_definitions` VALUES (105072, 6188, 27, 'नए रोगियों को जोड़ने के लिए इस्तेमाल की प्रपत्र की शैली');
INSERT INTO `lang_definitions` VALUES (105073, 6189, 27, 'उप-श्रेणी');
INSERT INTO `lang_definitions` VALUES (105074, 6190, 27, 'उप - कुल');
INSERT INTO `lang_definitions` VALUES (105075, 6191, 27, 'उपश्रेणी');
INSERT INTO `lang_definitions` VALUES (105076, 6192, 27, 'उपश्रेणी');
INSERT INTO `lang_definitions` VALUES (105077, 6193, 27, 'subcutaneously');
INSERT INTO `lang_definitions` VALUES (105078, 6194, 27, 'विषय');
INSERT INTO `lang_definitions` VALUES (105079, 6195, 27, 'आत्मनिष्ठ');
INSERT INTO `lang_definitions` VALUES (105080, 6196, 27, 'sublingual');
INSERT INTO `lang_definitions` VALUES (105081, 6197, 27, 'sublingual');
INSERT INTO `lang_definitions` VALUES (105082, 6198, 27, 'जमा करना');
INSERT INTO `lang_definitions` VALUES (105083, 6199, 27, 'जमा करना');
INSERT INTO `lang_definitions` VALUES (105084, 6200, 27, 'सभी सामग्री जमा करें');
INSERT INTO `lang_definitions` VALUES (105085, 6202, 27, 'घटना जमा करें');
INSERT INTO `lang_definitions` VALUES (105086, 6203, 27, 'प्रपत्र जमा करें');
INSERT INTO `lang_definitions` VALUES (105087, 6204, 27, 'चुना गया कंटेन्ट जमा करें');
INSERT INTO `lang_definitions` VALUES (105088, 6205, 27, 'जमा किया');
INSERT INTO `lang_definitions` VALUES (105089, 6206, 27, 'द्वारा जमा किया');
INSERT INTO `lang_definitions` VALUES (105090, 6207, 27, 'जमाकर्ता ईडीआई पहुंच नंबर (PER06)');
INSERT INTO `lang_definitions` VALUES (105091, 6208, 27, 'अभिदाता');
INSERT INTO `lang_definitions` VALUES (105092, 6209, 27, 'अभिदाता पता');
INSERT INTO `lang_definitions` VALUES (105093, 6213, 27, 'अभिदाता नियोक्ता');
INSERT INTO `lang_definitions` VALUES (105094, 6214, 27, 'अभिदाता नियोक्ता (एसई)');
INSERT INTO `lang_definitions` VALUES (105095, 6215, 27, 'अभिदाता नियोक्ता पता');
INSERT INTO `lang_definitions` VALUES (105096, 6216, 27, 'अभिदाता नियोक्ता सिटी');
INSERT INTO `lang_definitions` VALUES (105097, 6217, 27, 'अभिदाता नियोक्ता देश');
INSERT INTO `lang_definitions` VALUES (105098, 6218, 27, 'अभिदाता नियोक्ता राज्य');
INSERT INTO `lang_definitions` VALUES (105099, 6221, 27, 'अभिदाता नियोक्ता पिन कोड');
INSERT INTO `lang_definitions` VALUES (105100, 6225, 27, 'अभिदाता फोन');
INSERT INTO `lang_definitions` VALUES (105101, 6226, 27, 'अभिदाता रिश्ता');
INSERT INTO `lang_definitions` VALUES (105102, 6227, 27, 'अभिदाता संबंध स्वयं नहीं है लेकिन नाम एक ही है! यह वास्तव में ठीक है?');
INSERT INTO `lang_definitions` VALUES (105103, 6228, 27, 'अभिदाता संबंध स्वयं नहीं है लेकिन SS संख्या एक ही है!');
INSERT INTO `lang_definitions` VALUES (105104, 6229, 27, 'अभिदाता संबंध स्वयं है लेकिन नाम अलग है! यह वास्तव में ठीक है?');
INSERT INTO `lang_definitions` VALUES (105105, 6230, 27, 'अभिदाता संबंध स्वयं है लेकिन SS संख्या अलग है!');
INSERT INTO `lang_definitions` VALUES (105106, 6231, 27, 'अभिदाता लिंग');
INSERT INTO `lang_definitions` VALUES (105107, 6237, 27, 'प्रतिस्थापन');
INSERT INTO `lang_definitions` VALUES (105108, 6238, 27, 'अनुमति दी प्रतिस्थापन की');
INSERT INTO `lang_definitions` VALUES (105109, 6240, 27, 'सफलता');
INSERT INTO `lang_definitions` VALUES (105110, 6241, 27, 'सफलता');
INSERT INTO `lang_definitions` VALUES (105111, 6242, 27, 'प्रयोगशाला परिणाम की सफलता की पुष्टि रसीद');
INSERT INTO `lang_definitions` VALUES (105112, 6243, 27, 'प्रयोगशाला के परिणाम प्राप्ति में सफलता');
INSERT INTO `lang_definitions` VALUES (105113, 6244, 27, 'लैब एक्सचेंज नेटवर्क से परिणाम प्राप्ति में सफलता');
INSERT INTO `lang_definitions` VALUES (105114, 6246, 27, 'सफलतापूर्वक श्रेणी जोड़ा');
INSERT INTO `lang_definitions` VALUES (105115, 6247, 27, 'सफलतापूर्वक, श्रेणी में जोड़ा');
INSERT INTO `lang_definitions` VALUES (105116, 6248, 27, 'सफलतापूर्वक नष्ट कर दिया');
INSERT INTO `lang_definitions` VALUES (105117, 6250, 27, 'सफलतापूर्वक डेटाबेस स्थापित.');
INSERT INTO `lang_definitions` VALUES (105118, 6251, 27, 'सफलतापूर्वक निम्न डेटाबेस स्थापित');
INSERT INTO `lang_definitions` VALUES (105119, 6252, 27, 'सफलतापूर्वक संशोधित');
INSERT INTO `lang_definitions` VALUES (105120, 6253, 27, 'सफलतापूर्वक सहेजा गया. आप आवंटित करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (105121, 6254, 27, 'सफलतापूर्वक सहेजा गया. आप वितरित करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105122, 6256, 27, 'सफलतापूर्वक संग्रहीत.');
INSERT INTO `lang_definitions` VALUES (105123, 6257, 27, 'सफलतापूर्वक डेटाबेस का उन्नयन.');
INSERT INTO `lang_definitions` VALUES (105124, 6258, 27, 'सफलतापूर्वक निम्न डेटाबेस उन्नत बनाया');
INSERT INTO `lang_definitions` VALUES (105125, 6259, 27, 'सफलतापूर्वक.');
INSERT INTO `lang_definitions` VALUES (105126, 6260, 27, 'आत्महत्या');
INSERT INTO `lang_definitions` VALUES (105127, 6261, 27, 'सारांश');
INSERT INTO `lang_definitions` VALUES (105128, 6262, 27, 'का सारांश');
INSERT INTO `lang_definitions` VALUES (105129, 6265, 27, 'Sun');
INSERT INTO `lang_definitions` VALUES (105130, 6267, 27, 'रविवार');
INSERT INTO `lang_definitions` VALUES (105131, 6268, 27, 'Superbill');
INSERT INTO `lang_definitions` VALUES (105132, 6269, 27, 'Superbill संहिताएं');
INSERT INTO `lang_definitions` VALUES (105133, 6270, 27, 'Superbill संहिताएं प्रशासन');
INSERT INTO `lang_definitions` VALUES (105134, 6271, 27, 'Superbill रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (105135, 6272, 27, 'Superbill / शुल्क शीट');
INSERT INTO `lang_definitions` VALUES (105136, 6273, 27, 'Superbills');
INSERT INTO `lang_definitions` VALUES (105137, 6274, 27, 'Superbills कभी कभी मुठभेड़ प्रपत्र या रूटिंग स्लिप्स के रूप में संदर्भित किया जाता है, अधिकांश चिकित्सा पद्धतियों का एक आवश्यक हिस्सा हैं.');
INSERT INTO `lang_definitions` VALUES (105138, 6275, 27, 'उत्कृष्ट उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (105139, 6276, 27, 'पर्यवेक्षण');
INSERT INTO `lang_definitions` VALUES (105140, 6278, 27, 'पर्यवेक्षण डॉक्टर डीईए');
INSERT INTO `lang_definitions` VALUES (105141, 6279, 27, 'पर्यवेक्षण डॉक्टर पहले नाम');
INSERT INTO `lang_definitions` VALUES (105142, 6280, 27, 'पर्यवेक्षण डॉक्टर अंतिम नाम');
INSERT INTO `lang_definitions` VALUES (105143, 6281, 27, 'पर्यवेक्षण डॉक्टर NPI');
INSERT INTO `lang_definitions` VALUES (105144, 6282, 27, 'पर्यवेक्षण डॉक्टर UPIN');
INSERT INTO `lang_definitions` VALUES (105145, 6283, 27, 'प्रदायक सुविधा नाम');
INSERT INTO `lang_definitions` VALUES (105146, 6284, 27, 'कई प्रदाताओं पर लागू होने वाली कैलेंडर घटनाओं का समर्थन करें');
INSERT INTO `lang_definitions` VALUES (105147, 6285, 27, 'बैकअप पृष्ठ के माध्यम से विन्यास डेटा का आयात /निर्यात समर्थन करें.');
INSERT INTO `lang_definitions` VALUES (105148, 6286, 27, 'मल्टी प्रदाता घटनाक्रम का समर्थन करें');
INSERT INTO `lang_definitions` VALUES (105149, 6288, 27, 'TripleDES एन्क्रिप्शन / डिक्रिप्शन ही समर्थन करता है.');
INSERT INTO `lang_definitions` VALUES (105150, 6289, 27, 'भूतल के प्रकार');
INSERT INTO `lang_definitions` VALUES (105151, 6290, 27, 'सर्जरी');
INSERT INTO `lang_definitions` VALUES (105152, 6291, 27, 'सर्जरी');
INSERT INTO `lang_definitions` VALUES (105153, 6292, 27, 'सर्जरी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (105154, 6293, 27, 'निलंबित');
INSERT INTO `lang_definitions` VALUES (105155, 6294, 27, 'निलंबन');
INSERT INTO `lang_definitions` VALUES (105156, 6295, 27, 'Svc तिथि');
INSERT INTO `lang_definitions` VALUES (105157, 6296, 27, 'Svc तिथि:');
INSERT INTO `lang_definitions` VALUES (105158, 6299, 27, 'पसीना:');
INSERT INTO `lang_definitions` VALUES (105159, 6300, 27, 'स्वीडिश देश');
INSERT INTO `lang_definitions` VALUES (105160, 6301, 27, 'सूजन');
INSERT INTO `lang_definitions` VALUES (105161, 6302, 27, 'सूजन अधिकार');
INSERT INTO `lang_definitions` VALUES (105162, 6303, 27, 'जोड़ों में सूजन');
INSERT INTO `lang_definitions` VALUES (105163, 6304, 27, 'सूजी हुई लिम्फ नोड्स');
INSERT INTO `lang_definitions` VALUES (105164, 6305, 27, 'मुद्रा के लिए दशमलव बिंदु के रूप में इस्तेमाल किया प्रतीक. दशमलव स्थान 0 है, तो उपयोग नहीं किया जाता.');
INSERT INTO `lang_definitions` VALUES (105165, 6306, 27, 'मुद्रा के लिए हजार अलग करने के लिए इस्तेमाल किया प्रतीक.');
INSERT INTO `lang_definitions` VALUES (105166, 6307, 27, 'लक्षण');
INSERT INTO `lang_definitions` VALUES (105167, 6308, 27, 'समकालित करें');
INSERT INTO `lang_definitions` VALUES (105168, 6309, 27, 'कस्टम भाषा तालिका के साथ अनुवाद समकालित करें.');
INSERT INTO `lang_definitions` VALUES (105169, 6310, 27, 'नए कस्टम निरंतर समकालित करें:');
INSERT INTO `lang_definitions` VALUES (105170, 6311, 27, 'नए कस्टम भाषा समकालित करें:');
INSERT INTO `lang_definitions` VALUES (105171, 6312, 27, 'नई परिभाषा (भाषा, स्थिर, परिभाषा) समकालित करें:');
INSERT INTO `lang_definitions` VALUES (105172, 6313, 27, 'बेहोशी');
INSERT INTO `lang_definitions` VALUES (105173, 6314, 27, 'संलक्षण निगरानी');
INSERT INTO `lang_definitions` VALUES (105174, 6315, 27, 'संलक्षण निगरानी - गैर मुद्दों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (105175, 6316, 27, 'संलक्षण निगरानी रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (105176, 6317, 27, 'श्लेषक कलाशोथ, चोट, स्नेहपुटीशोथ');
INSERT INTO `lang_definitions` VALUES (105177, 6318, 27, 'प्रणाली');
INSERT INTO `lang_definitions` VALUES (105178, 6322, 27, 'T');
INSERT INTO `lang_definitions` VALUES (105179, 6323, 27, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (105180, 6324, 27, 'दूरदर्शन');
INSERT INTO `lang_definitions` VALUES (105181, 6325, 27, 'तालिका');
INSERT INTO `lang_definitions` VALUES (105182, 6327, 27, 'तालिका निर्माण विफल');
INSERT INTO `lang_definitions` VALUES (105183, 6328, 27, 'तालिका अद्यतन विफल');
INSERT INTO `lang_definitions` VALUES (105184, 6330, 27, 'गोली');
INSERT INTO `lang_definitions` VALUES (105185, 6332, 27, 'टेगलॉग');
INSERT INTO `lang_definitions` VALUES (105186, 6335, 27, 'लेना');
INSERT INTO `lang_definitions` VALUES (105187, 6336, 27, 'ड्रॉप डाउन से, बीमा ले');
INSERT INTO `lang_definitions` VALUES (105188, 6337, 27, 'ड्रॉप डाउन से, से भुगतान ले');
INSERT INTO `lang_definitions` VALUES (105189, 6338, 27, 'Takeback');
INSERT INTO `lang_definitions` VALUES (105190, 6339, 27, 'समय लेता है');
INSERT INTO `lang_definitions` VALUES (105191, 6340, 27, 'लंबा नेविगेशन क्षेत्र');
INSERT INTO `lang_definitions` VALUES (105192, 6344, 27, 'लक्ष्य और स्रोत जन्म तिथि से मेल नहीं खाते');
INSERT INTO `lang_definitions` VALUES (105193, 6345, 27, 'लक्ष्य और स्रोत pid ​​मेल नहीं खा सकता!');
INSERT INTO `lang_definitions` VALUES (105194, 6346, 27, 'लक्ष्य और स्रोत SSN मेल नहीं खाते');
INSERT INTO `lang_definitions` VALUES (105195, 6347, 27, 'लक्ष्य तिथि');
INSERT INTO `lang_definitions` VALUES (105196, 6348, 27, 'लक्ष्य रोगी');
INSERT INTO `lang_definitions` VALUES (105197, 6349, 27, 'लक्ष्य रोगी की कोई जन्म तिथि नहीं है');
INSERT INTO `lang_definitions` VALUES (105198, 6350, 27, 'लक्ष्य रोगी नहीं मिला');
INSERT INTO `lang_definitions` VALUES (105199, 6351, 27, 'टारगेट / कार्रवाई समूह');
INSERT INTO `lang_definitions` VALUES (105200, 6354, 27, 'कर आईडी');
INSERT INTO `lang_definitions` VALUES (105201, 6355, 27, 'कर की दर');
INSERT INTO `lang_definitions` VALUES (105202, 6356, 27, 'करों');
INSERT INTO `lang_definitions` VALUES (105203, 6357, 27, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (105204, 6358, 27, 'td');
INSERT INTO `lang_definitions` VALUES (105205, 6359, 27, 'टीम चोट अवलोकन');
INSERT INTO `lang_definitions` VALUES (105206, 6360, 27, 'टीम रोस्टर');
INSERT INTO `lang_definitions` VALUES (105207, 6361, 27, 'टीम रोस्टर देखें');
INSERT INTO `lang_definitions` VALUES (105208, 6362, 27, 'टीम / दस्ते');
INSERT INTO `lang_definitions` VALUES (105209, 6363, 27, 'Tel');
INSERT INTO `lang_definitions` VALUES (105210, 6364, 27, 'देश का टेलीफोन कोड');
INSERT INTO `lang_definitions` VALUES (105211, 6366, 27, 'अस्थायी');
INSERT INTO `lang_definitions` VALUES (105212, 6367, 27, 'अस्थायी स्थान');
INSERT INTO `lang_definitions` VALUES (105213, 6368, 27, 'अस्थायी विधि');
INSERT INTO `lang_definitions` VALUES (105214, 6369, 27, 'तापमान');
INSERT INTO `lang_definitions` VALUES (105215, 6370, 27, 'साँचा');
INSERT INTO `lang_definitions` VALUES (105216, 6371, 27, 'साँचा नाम');
INSERT INTO `lang_definitions` VALUES (105217, 6372, 27, 'साँचा नामों की संख्या के साथ शुरू नहीं कर सकते.');
INSERT INTO `lang_definitions` VALUES (105218, 6373, 27, 'साँचा:');
INSERT INTO `lang_definitions` VALUES (105219, 6374, 27, 'साँचा');
INSERT INTO `lang_definitions` VALUES (105220, 6375, 27, 'लौकिक धमनी');
INSERT INTO `lang_definitions` VALUES (105221, 6376, 27, 'पट्टा चोट');
INSERT INTO `lang_definitions` VALUES (105222, 6377, 27, 'Tendonitis / Osis / स्नेहपुटीशोथ');
INSERT INTO `lang_definitions` VALUES (105223, 6378, 27, 'अंतरिम चालान रेफरी No');
INSERT INTO `lang_definitions` VALUES (105224, 6379, 27, 'तृतीयक');
INSERT INTO `lang_definitions` VALUES (105225, 6380, 27, 'तृतीयक बीमा');
INSERT INTO `lang_definitions` VALUES (105226, 6381, 27, 'तृतीयक बीमा डाटा');
INSERT INTO `lang_definitions` VALUES (105227, 6382, 27, 'तृतीयक बीमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (105228, 6383, 27, 'निर्धारण की परीक्षा');
INSERT INTO `lang_definitions` VALUES (105229, 6384, 27, 'प्रणाली की परीक्षा');
INSERT INTO `lang_definitions` VALUES (105230, 6385, 27, 'पाठ');
INSERT INTO `lang_definitions` VALUES (105231, 6386, 27, 'पाठ निदान');
INSERT INTO `lang_definitions` VALUES (105232, 6387, 27, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (105233, 6393, 27, 'पाठ तारीख');
INSERT INTO `lang_definitions` VALUES (105234, 6394, 27, 'पाठ तारीख');
INSERT INTO `lang_definitions` VALUES (105235, 6395, 27, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (105236, 6396, 27, 'पाठ क्षेत्र');
INSERT INTO `lang_definitions` VALUES (105237, 6397, 27, 'पाठ बॉक्स');
INSERT INTO `lang_definitions` VALUES (105238, 6398, 27, 'पाठ बॉक्स');
INSERT INTO `lang_definitions` VALUES (105239, 6399, 27, 'पाठ बॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (105240, 6400, 27, 'पाठ बॉक्स सूची');
INSERT INTO `lang_definitions` VALUES (105241, 6401, 27, 'Thai');
INSERT INTO `lang_definitions` VALUES (105242, 6402, 27, 'शुक्रिया');
INSERT INTO `lang_definitions` VALUES (105243, 6403, 27, 'चुनने के लिए धन्यवाद');
INSERT INTO `lang_definitions` VALUES (105244, 6404, 27, 'साफ\' बटन सभी एनोटेशन हटा देगा.');
INSERT INTO `lang_definitions` VALUES (105245, 6405, 27, 'उपरोक्त बयान विफल रहा है');
INSERT INTO `lang_definitions` VALUES (105246, 6406, 27, 'अपाचे SSL सर्वर प्रमाणपत्र और सार्वजनिक कुंजी');
INSERT INTO `lang_definitions` VALUES (105247, 6407, 27, 'प्रमाणपत्र प्राधिकारी प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (105248, 6408, 27, 'दावा फाइल: ');
INSERT INTO `lang_definitions` VALUES (105249, 6409, 27, 'अमेरिका एक्सटेंशन की संगत अवस्था SNOMED पैकेज पहले से ही स्थापित किया गया है.');
INSERT INTO `lang_definitions` VALUES (105250, 6410, 27, 'समतुल्य निजी कुंजी');
INSERT INTO `lang_definitions` VALUES (105251, 6413, 27, 'इनकार कोड है');
INSERT INTO `lang_definitions` VALUES (105252, 6414, 27, 'इनकार समूह कोड है');
INSERT INTO `lang_definitions` VALUES (105253, 6415, 27, 'गंतव्य प्रपत्र बंद कर दिया था');
INSERT INTO `lang_definitions` VALUES (105254, 6416, 27, 'गंतव्य प्रपत्र बंद था, मैं आपके चयन पर कार्य नहीं कर सकता.');
INSERT INTO `lang_definitions` VALUES (105255, 6417, 27, 'इस प्रक्रिया का प्रदर्शन करनेवाली संस्था');
INSERT INTO `lang_definitions` VALUES (105256, 6418, 27, 'ईपी, पात्र अस्पताल या CAH, जो मरीज को प्राप्त करता है, एक सेवा सेटिंग से या सेवा प्रदाता से या मुठभेड़ प्रासंगिक है, ऐसा मानता ​​है, उसने Medical Reconciliation करना चाहिए.');
INSERT INTO `lang_definitions` VALUES (105257, 6421, 27, 'ईपी, पात्र अस्पताल या CAH जो अपने रोगी को किसी अन्य सेवा केन्द्र या सेवा प्रदाता के पास स्थानांतरण करता है, या अपने रोगी को किसी अन्य सेवा केन्द्र या सेवा प्रदाता के पास संदर्भित करता है, उनको प्रत्येक स्थानांतरण या संदर्भ के लिए देखभाल रिकॉर्ड का सारांश प्रदान करना चाहिए.');
INSERT INTO `lang_definitions` VALUES (105258, 6422, 27, 'घटना को मंजूरी दे दी गई है.');
INSERT INTO `lang_definitions` VALUES (105259, 6423, 27, 'घटना छिपे हुए हैं.');
INSERT INTO `lang_definitions` VALUES (105260, 6424, 27, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105261, 6426, 27, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105262, 6427, 27, 'निर्यात डेटा नीचे पाठ क्षेत्र में दिखाई देता है. आप एक ईमेल में या किसी भी अन्य इच्छित गंतव्य में यह कॉपी और पेस्ट कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105263, 6428, 27, 'फ़ाइल CouchDB में सहेजा नहीं जा सका.');
INSERT INTO `lang_definitions` VALUES (105264, 6429, 27, 'फ़ाइल का सफलतापूर्वक नाम बदला नहीं जा सकता है, यह त्रुटि आमतौर पर संग्रहण प्रणाली पर अनुमति की समस्या से संबंधित है.');
INSERT INTO `lang_definitions` VALUES (105265, 6430, 27, 'फ़ाइल का सफलतापूर्वक संग्रहीत नहीं किया जा सकता है, यह त्रुटि आमतौर पर संग्रहण प्रणाली पर अनुमति की समस्या से संबंधित है.');
INSERT INTO `lang_definitions` VALUES (105266, 6431, 27, 'प्रथम (\"लक्ष्य\") चार्ट सबसे पूर्ण और सही माना जाता है. जनसांख्यिकी, इतिहास और बीमा वर्ग बनाए रखा जाएगा.');
INSERT INTO `lang_definitions` VALUES (105267, 6433, 27, 'पहला कदम एकीकृत मेडिकल भाषा प्रणाली वेब साइट में खाता खोलने का है.');
INSERT INTO `lang_definitions` VALUES (105268, 6434, 27, 'निम्नलिखित कैलेंडर घटना जोड़ा गया है:');
INSERT INTO `lang_definitions` VALUES (105269, 6435, 27, 'निम्नलिखित कैलेंडर घटना modifed किया गया है:');
INSERT INTO `lang_definitions` VALUES (105270, 6436, 27, 'निम्नलिखित श्रेणियां अपने श्रेणी सूची में से हटा दिया जाएगा');
INSERT INTO `lang_definitions` VALUES (105271, 6437, 27, 'निम्नलिखित डेटाबेस रिहाई वर्तमान में स्थापित है');
INSERT INTO `lang_definitions` VALUES (105272, 6438, 27, 'निम्नलिखित दस्तावेज इस सीधे संदेश से जुड़े थे:');
INSERT INTO `lang_definitions` VALUES (105273, 6439, 27, 'निम्नलिखित EDI फ़ाइल का अपलोड कर दिया गया है');
INSERT INTO `lang_definitions` VALUES (105274, 6440, 27, 'निम्नलिखित इमरजेंसी लॉगिन उपयोगकर्ता सक्रिय है:');
INSERT INTO `lang_definitions` VALUES (105275, 6441, 27, 'निम्न त्रुटियाँ उत्पन्न हुई');
INSERT INTO `lang_definitions` VALUES (105276, 6444, 27, 'निम्नलिखित क्षेत्र आवश्यक हैं');
INSERT INTO `lang_definitions` VALUES (105277, 6446, 27, 'निम्नलिखित क्षेत्र अनुरोध भेजने के लिए भरे जाने है.');
INSERT INTO `lang_definitions` VALUES (105278, 6447, 27, 'निम्नलिखित अंतर्राष्ट्रीय Snomed रिलीज भाषाएँ समर्थित हैं');
INSERT INTO `lang_definitions` VALUES (105279, 6448, 27, 'निम्न समस्याओं के लिए मेल खाते निदान कोड है. मुठभेड़ मुद्दों को अद्यतन नहीं किया जाएगा. बजाय मुठभेड़ इंटरफ़ेस का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (105280, 6449, 27, 'ATNA ऑडिट रिपोजिटरी मशीन का मेजबाननाम.');
INSERT INTO `lang_definitions` VALUES (105281, 6450, 27, 'प्रारंभिक खिड़की चालान खोज पृष्ठ है. शीर्ष पर आप एक स्रोत (जैसे चेक नंबर) , भुगतान तारीख और चेक राशि दर्ज कर सकते हैं. स्रोत और भुगतान की तारीख का कारण, आपको प्रत्येक दावे के लिए, फिर से उन्हें प्रवेश करने की जरूरत नहीं है. आपके द्वारा दर्ज की राशि भुगतान का हिस्सा है और प्रत्येक चालान के लिए कम हो जाएगा और शून्य पर खत्म हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (105282, 6451, 27, 'स्थापना निर्देशिका पैदा किए जाने की जरूरत है.');
INSERT INTO `lang_definitions` VALUES (105283, 6452, 27, 'स्थापित अंतरराष्ट्रीय SNOMED संस्करण staged अमेरिका एक्सटेंशन SNOMED पैकेज के साथ संगत नहीं है.');
INSERT INTO `lang_definitions` VALUES (105284, 6453, 27, 'स्थापित अंतरराष्ट्रीय SNOMED संस्करण पुराना है और staged अमेरिका एक्सटेंशन SNOMED फ़ाइल के साथ संगत नहीं है.');
INSERT INTO `lang_definitions` VALUES (105285, 6454, 27, 'स्थापित संस्करण और staged फ़ाइलें समान हैं.');
INSERT INTO `lang_definitions` VALUES (105286, 6455, 27, 'स्थापित संस्करण staged फ़ाइलों की तुलना में एक अधिक नवीन संस्करण है.');
INSERT INTO `lang_definitions` VALUES (105287, 6456, 27, 'लेबल जो प्रपत्र पर उपयोगकर्ता के लिए प्रकट होता है');
INSERT INTO `lang_definitions` VALUES (105288, 6457, 27, 'अक्षरों की लंबाई संख्या निम्नलिखित से अधिक न हो');
INSERT INTO `lang_definitions` VALUES (105289, 6458, 27, 'मर्ज नहीं चलेंगे, जब तक दो चार्ट्स के लिए SSN और जन्म तिथि समान हो. जन्म तिथि खाली नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (105290, 6459, 27, 'संदेश इस समय नहीं भेजा जा सका.');
INSERT INTO `lang_definitions` VALUES (105291, 6460, 27, 'नई श्रेणी इसकि एक उप श्रेणी हो जाएगा ');
INSERT INTO `lang_definitions` VALUES (105292, 6461, 27, 'नया पासवर्ड वर्तमान पासवर्ड के समान नहीं हो सकता.');
INSERT INTO `lang_definitions` VALUES (105293, 6462, 27, 'नया पासवर्ड क्षेत्र समान नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105294, 6463, 27, 'staged फ़ाइलों की संख्या गलत है. केवल वे फ़ाइल रखना जो आप उन्नयन / स्थापित करना चाहते हैं .');
INSERT INTO `lang_definitions` VALUES (105295, 6464, 27, 'staged फ़ाइलों की संख्या गलत है. केवल वे फ़ाइल रखना जो आप उन्नयन / स्थापित करना चाहते हैं .');
INSERT INTO `lang_definitions` VALUES (105296, 6465, 27, 'पेज जनसांख्यिकी पर पुनः निर्देशित किया जाएगा. आप देश के क्षेत्र को संपादित करें और फिर NewCrop के लिए क्लिक करें.');
INSERT INTO `lang_definitions` VALUES (105297, 6466, 27, 'पासवर्ड कम से कम आठ अक्षरों का होना चाहिए, और');
INSERT INTO `lang_definitions` VALUES (105298, 6468, 27, 'रोगी रिकॉर्ड अनुरोध दर्ज किया गया है');
INSERT INTO `lang_definitions` VALUES (105299, 6469, 27, 'रोगी अनुस्मारक भेज दिया गया है');
INSERT INTO `lang_definitions` VALUES (105300, 6470, 27, 'रोगी अनुस्मारक अद्यतन किया गया है');
INSERT INTO `lang_definitions` VALUES (105301, 6472, 27, 'पोस्ट किया भुगतान इस तिथि से पहले नहीं हो सकता है, अंतिम रिपोर्ट लेने के बाद, पिछले तिथियों के रिपोर्ट पोस्ट नहीं करें.');
INSERT INTO `lang_definitions` VALUES (105302, 6474, 27, 'से कच्चे डेटा फीड रिलीज प्राप्त किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (105303, 6475, 27, 'नीचे दिए गए शेष जानकारी, आप मैन्युअल पोस्ट कर रहे हैं, या आप मैन्युअल सुधार कर रहे हैं केवल तभी लागू होता है.');
INSERT INTO `lang_definitions` VALUES (105304, 6477, 27, 'अनुरोध किया गया दस्तावेज़ फाइल सिस्टम पर उम्मीद स्थान पर मौजूद नहीं है या इसे उपयोग करने के लिए पर्याप्त अनुमतियाँ नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105305, 6479, 27, 'दूसरा (\"स्रोत\") चार्ट जनसांख्यिकी, इतिहास और बीमा वर्गों को बंद कर देगा. उसके अन्य डेटा लक्षित चार्ट में विलय हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (105306, 6480, 27, 'The Source and Date columns are copied from the first page, so normally you will not need to touch those. You can put a payment amount in the Pay column, an adjustment amount in the Adjust column, or both. You can also click the \"W\" on the right to automatically compute an adjustment value that writes off the remainder of the charge for that line item.');
INSERT INTO `lang_definitions` VALUES (105307, 6481, 27, 'मंचन फ़ाइलों की सब रिहाई तिथियाँ वही रिहाई से नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105308, 6482, 27, 'मंचन फ़ाइलों का सब संशोधन, वही रिलीज से नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105309, 6483, 27, 'मंचन किया अमेरिका एक्सटेंशन SNOMED पैकेज स्थापित नहीं किया जा सकता जब तक, अंतर्राष्ट्रीय SNOMED पैकेज स्थापित किया जाय!');
INSERT INTO `lang_definitions` VALUES (105310, 6484, 27, 'कैलेंडर का समय विघटन और नियुक्ति स्लॉट के लिए मिनटों में सबसे छोटा अंतराल.');
INSERT INTO `lang_definitions` VALUES (105311, 6485, 27, 'अनुवादित लेबल वर्तमान भाषा में फार्म पर प्रदर्शित होगा');
INSERT INTO `lang_definitions` VALUES (105312, 6486, 27, 'अनुवादित शीर्षक जो वर्तमान भाषा में प्रदर्शित होगा');
INSERT INTO `lang_definitions` VALUES (105313, 6487, 27, 'वर्तमान भाषा में विवरण का अनुवाद');
INSERT INTO `lang_definitions` VALUES (105314, 6488, 27, 'अनुवाद तालिकाएँ सिंक्रनाइज़ हैं.');
INSERT INTO `lang_definitions` VALUES (105315, 6489, 27, 'इस इकाई के प्रकार');
INSERT INTO `lang_definitions` VALUES (105316, 6490, 27, 'इस प्रक्रिया या परिणाम की पहचान करनेवाला विक्रेता विशेष कोड');
INSERT INTO `lang_definitions` VALUES (105317, 6491, 27, 'X 12 फाइलें और परिणामस्वरूप HTML उत्पादन रिपोर्ट्स मुख्य LibreEHR स्थापना निर्देशिका के \"युग\" उपनिर्देशिका में संग्रहीत हैं. आप समय समय पर इन अभिलेखागार का उल्लेख करना चाहते होगे. यूआरएल है');
INSERT INTO `lang_definitions` VALUES (105318, 6492, 27, 'ज़िप फ़ाइल में निम्न आइटम्स शामिल होंगे');
INSERT INTO `lang_definitions` VALUES (105319, 6493, 27, 'थीम');
INSERT INTO `lang_definitions` VALUES (105320, 6494, 27, 'फिर कच्चा डेटा फीड रिलीज से प्राप्त किया जा सकता है');
INSERT INTO `lang_definitions` VALUES (105321, 6495, 27, 'चिकित्सीय इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (105322, 6496, 27, 'वहाँ हैं');
INSERT INTO `lang_definitions` VALUES (105323, 6497, 27, 'वर्तमान में कोई नुस्खे नहीं');
INSERT INTO `lang_definitions` VALUES (105324, 6498, 27, 'आपके सबमिशन में त्रुटियाँ हैं. ये नीचे उल्लिखित हैं.');
INSERT INTO `lang_definitions` VALUES (105325, 6500, 27, 'चेक आउट किया कोई चार्ट नहीं हैं');
INSERT INTO `lang_definitions` VALUES (105326, 6501, 27, 'इस रोगी के लिए कोई खुलासे दर्ज नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105327, 6502, 27, 'कोई नई प्रस्तुतियाँ नहीं हैं');
INSERT INTO `lang_definitions` VALUES (105328, 6503, 27, 'इस रोगी के लिए फाइल पर कोई टिप्पणी नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105329, 6504, 27, 'इस रोगी के लिए फाइल पर कोई लेनदेन नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105330, 6505, 27, 'के लिए भेजने के लिए एक मेल त्रुटि हैं.');
INSERT INTO `lang_definitions` VALUES (105331, 6506, 27, 'पहले से ही एक श्रेणी नामित है');
INSERT INTO `lang_definitions` VALUES (105332, 6507, 27, 'पहले से ही एक उपश्रेणी नामित है');
INSERT INTO `lang_definitions` VALUES (105333, 6508, 27, 'पहले से ही एक आइटम नामित है');
INSERT INTO `lang_definitions` VALUES (105334, 6509, 27, 'एक रोगी रिकॉर्ड अनुरोध वहां पहले से ही खुला है.');
INSERT INTO `lang_definitions` VALUES (105335, 6510, 27, 'AR खाते के लिए कोई COA प्रविष्टि नहीं है ');
INSERT INTO `lang_definitions` VALUES (105336, 6511, 27, 'नकदी खाते के लिए कोई COA प्रविष्टि नहीं है ');
INSERT INTO `lang_definitions` VALUES (105337, 6512, 27, 'आय खाते के लिए कोई COA प्रविष्टि नहीं है ');
INSERT INTO `lang_definitions` VALUES (105338, 6513, 27, 'वर्तमान रोगी नहीं है');
INSERT INTO `lang_definitions` VALUES (105339, 6515, 27, 'चालान आईडी के लिए कोई मेल नहीं है');
INSERT INTO `lang_definitions` VALUES (105340, 6516, 27, 'चालान आईडी के लिए कोई मेल नहीं है= ');
INSERT INTO `lang_definitions` VALUES (105341, 6517, 27, 'सेवाएँ ID के लिए कोई हिस्से प्रविष्टि नहीं है ');
INSERT INTO `lang_definitions` VALUES (105342, 6519, 27, 'संदेश भेजने में कोई समस्या थी.');
INSERT INTO `lang_definitions` VALUES (105343, 6520, 27, 'आपका अनुरोध संसाधित करते समय एक त्रुटि हुई थी.');
INSERT INTO `lang_definitions` VALUES (105344, 6521, 27, 'निम्न स्ट्रिंग के एक LibreEHR एसक्यूएल भागने की त्रुटि थी');
INSERT INTO `lang_definitions` VALUES (105345, 6522, 27, 'ये 2012 लिंक हैं');
INSERT INTO `lang_definitions` VALUES (105346, 6523, 27, 'दाएँ गाढ़ा:');
INSERT INTO `lang_definitions` VALUES (105347, 6524, 27, 'जांघ');
INSERT INTO `lang_definitions` VALUES (105348, 6525, 27, 'जांघ + हैमस्ट्रिंग');
INSERT INTO `lang_definitions` VALUES (105349, 6526, 27, 'चीजें जो बैक कार्यालय केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (105350, 6527, 27, 'चीजें जो बैक कार्यालय केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105351, 6528, 27, 'चीजें जो बैक कार्यालय पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105352, 6529, 27, 'चीजें जो बैक कार्यालय पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105353, 6530, 27, 'चीजें जो चिकित्सक केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (105354, 6531, 27, 'चीजें जो चिकित्सक केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105355, 6532, 27, 'चीजें जो चिकित्सक पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105356, 6533, 27, 'चीजें जो चिकित्सक पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105357, 6534, 27, 'चीजें जो प्रमुख कार्यालय केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (105358, 6535, 27, 'चीजें जो प्रमुख कार्यालय केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105359, 6536, 27, 'चीजें जो प्रमुख कार्यालय पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105360, 6537, 27, 'चीजें जो प्रमुख कार्यालय पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105361, 6538, 27, 'चीजें जो वैद्य केवल पढ़ सकते हैं');
INSERT INTO `lang_definitions` VALUES (105362, 6539, 27, 'चीजें जो वैद्य केवल पढ़ और प्रविष्टि कर सकते हैं लेकिन संशोधित नहीं कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105363, 6540, 27, 'चीजें जो वैद्य पढ़ सकते हैं और संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105364, 6541, 27, 'चीजें जो वैद्य पढ़ सकते हैं और अंशत: संशोधित कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105365, 6542, 27, 'तृतीय');
INSERT INTO `lang_definitions` VALUES (105366, 6544, 27, 'यह क्रिया पीछे लौट नहीं सकती.');
INSERT INTO `lang_definitions` VALUES (105367, 6545, 27, 'यह क्रिया पीछे लौट नहीं सकती.');
INSERT INTO `lang_definitions` VALUES (105368, 6547, 27, 'यह क्रिया लॉग करेंगे');
INSERT INTO `lang_definitions` VALUES (105369, 6549, 27, 'यह नियुक्ति स्लॉट पहले से ही उपयोग में हैं, फिर भी उपयोग करें');
INSERT INTO `lang_definitions` VALUES (105370, 6550, 27, 'यह नियुक्ति स्लॉट उपलब्ध नहीं है, किसी अन्य का चयन करें.');
INSERT INTO `lang_definitions` VALUES (105371, 6551, 27, 'इस कैलेंडर वर्ष में');
INSERT INTO `lang_definitions` VALUES (105372, 6552, 27, 'यह दावा रद्द कर दिया गया है.');
INSERT INTO `lang_definitions` VALUES (105373, 6553, 27, 'यह दावा बंद कर दिया गया है.');
INSERT INTO `lang_definitions` VALUES (105374, 6554, 27, 'यह दावा इनकार कर दिया गया है. कारण: -');
INSERT INTO `lang_definitions` VALUES (105375, 6555, 27, 'यह दावा अगले स्तर के लिए भेज दिया गया है.');
INSERT INTO `lang_definitions` VALUES (105376, 6556, 27, 'यह कोड टाइप संबंधों को स्वीकार नहीं करता.');
INSERT INTO `lang_definitions` VALUES (105377, 6557, 27, 'इस संदर्भ में वर्ग शामिल हैं जो हटा दिया जाएगा. आप अभी भी जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105378, 6558, 27, 'नियुक्तियों कैलेंडर में कैसे प्रदर्शित हो, यह निर्धारित करता है.');
INSERT INTO `lang_definitions` VALUES (105379, 6559, 27, 'यह नियुक्ति के लिए कौन सा रंग स्कीमा प्रयोग हो, यह निर्धारित करता है.');
INSERT INTO `lang_definitions` VALUES (105380, 6561, 27, 'यह मुठभेड़');
INSERT INTO `lang_definitions` VALUES (105381, 6562, 27, 'इस मुठभेड़ का बिल भेजा गया है. इसे बदलने के लिए, इसे फिर से खोला जाना चाहिए.');
INSERT INTO `lang_definitions` VALUES (105382, 6564, 27, 'यह सुविधा अभी तक उपलब्ध नहीं है');
INSERT INTO `lang_definitions` VALUES (105383, 6565, 27, 'यह सुविधा बहुत प्रयोगात्मक है और पूरी तरह से परीक्षण नहीं किया है. अपने जोखिम पर प्रयोग करें!');
INSERT INTO `lang_definitions` VALUES (105384, 6566, 27, 'चालान संख्या को इस में बदल दिया गया है ');
INSERT INTO `lang_definitions` VALUES (105385, 6569, 27, 'यह चार्ट मुख्य चार्ट में विलय कर दिया जायगा और फिर हटा दिया जायगा.');
INSERT INTO `lang_definitions` VALUES (105386, 6571, 27, 'यह मर्ज किए गए डेटा प्राप्त करने के लिए मुख्य चार्ट है.');
INSERT INTO `lang_definitions` VALUES (105387, 6572, 27, 'इस स्थान');
INSERT INTO `lang_definitions` VALUES (105388, 6575, 27, 'यह मॉड्यूल परीक्षण मोड में है. डेटाबेस बदला नहीं जाएगा.');
INSERT INTO `lang_definitions` VALUES (105389, 6576, 27, 'यह मॉड्यूल EOB डेटा के प्रभावी प्रविष्टि को बढ़ावा देता है.');
INSERT INTO `lang_definitions` VALUES (105390, 6577, 27, 'इस महीने से तिथि तक');
INSERT INTO `lang_definitions` VALUES (105391, 6579, 27, 'यह पृष्ठ आपको, समर्थित बाहरी dataloads की समीक्षा करने की अनुमति देता है जो आप स्थापित और उन्नयन कर सकते हैं.नीचे प्रत्येक खंड का खंड शीर्षक पर क्लिक करके विस्तार किया जा सकता है, विशेष डेटाबेस की स्थिति की समीक्षा करने के लिए.');
INSERT INTO `lang_definitions` VALUES (105392, 6580, 27, 'इस पृष्ठ को सुरक्षा कारणों के लिए निष्क्रिय कर दिया.');
INSERT INTO `lang_definitions` VALUES (105393, 6581, 27, 'यह पृष्ठ इनलाइन प्रवेश पृष्ठ शामिल करेगा, हमे हर बार दोबारा लॉगिन क्लिक करने की जरूरत नहीं है.');
INSERT INTO `lang_definitions` VALUES (105394, 6582, 27, 'इस रोगी की कोई गतिविधि नहीं है.');
INSERT INTO `lang_definitions` VALUES (105395, 6583, 27, 'यह रोगी आईडी पहले से ही उपयोग में है!');
INSERT INTO `lang_definitions` VALUES (105396, 6584, 27, 'यह उत्पाद हर गोदाम में केवल एक लॉट की अनुमति देता है.');
INSERT INTO `lang_definitions` VALUES (105397, 6585, 27, 'यह प्रोटोकॉल लागू नहीं है');
INSERT INTO `lang_definitions` VALUES (105398, 6586, 27, 'यह रिपोर्ट वर्तमान में केवल ICD9 कोड के लिए काम करता है.');
INSERT INTO `lang_definitions` VALUES (105399, 6591, 27, 'यह कदम एक फाइल उत्पन्न करेगा जो आप भविष्य में उपयोग के लिए सहेजें. फाइल फिर से उत्पन्न नहीं हो सकती. क्या आप आगे बढ़ना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105400, 6592, 27, 'यह उपयोगकर्ता किसी भी समूह का सदस्य नहीं है');
INSERT INTO `lang_definitions` VALUES (105401, 6593, 27, 'यह उपयोगकर्ता नए आने वाले सीधे संदेश की सूचना प्राप्त करेंगे');
INSERT INTO `lang_definitions` VALUES (105402, 6594, 27, 'यह सुविधा प्रायोगिक है. यह प्रयोग करने से पहले अपने डेटाबेस और दस्तावेजों का बैकअप लें!');
INSERT INTO `lang_definitions` VALUES (105403, 6595, 27, 'यह दौरे में नए गर्भनिरोधक का उपयोग शुरू होता है');
INSERT INTO `lang_definitions` VALUES (105404, 6596, 27, 'यह दौरे को एक GCAC फार्म, रेफरल या प्रक्रिया सेवा की जरूरत होगी.');
INSERT INTO `lang_definitions` VALUES (105405, 6597, 27, 'यह पुराना केवल मीट्रिक नब्ज फार्म था, अब पदावनत है.');
INSERT INTO `lang_definitions` VALUES (105406, 6598, 27, 'इस सप्ताह से तिथि तक');
INSERT INTO `lang_definitions` VALUES (105407, 6600, 27, 'यह सीसीआर (केयर रिकॉर्ड की निरंतरता) और सीसीडी (केयर दस्तावेज़ की निरंतरता) रिपोर्टिंग को चालू कर पायेगा.');
INSERT INTO `lang_definitions` VALUES (105408, 6602, 27, 'यह डिबगिंग ( \'डमी \') भाषा का चयन करने की अनुमति देगा.');
INSERT INTO `lang_definitions` VALUES (105409, 6605, 27, 'यह भौतिक डेटा अद्यतन के बिना \"चलाना\" हो जाएगा.');
INSERT INTO `lang_definitions` VALUES (105410, 6606, 27, 'यह टार प्रारूप में एक बैकअप बनाएगा और अपने वेब ब्राउज़र को भेज देगा तब आप इसे सहेज सकते हैं');
INSERT INTO `lang_definitions` VALUES (105411, 6607, 27, 'यह दस्तावेज़ एन्क्रिप्शन और डिक्रिप्शन सुविधाओं को निष्क्रिय करेगा, और यूआई में उन्हें छुपा देगा.');
INSERT INTO `lang_definitions` VALUES (105412, 6613, 27, 'यह बिलिंग विजेट रोगी को सारांश स्क्रीन में हमेशा खुला होने के लिए मजबूर करेगा.');
INSERT INTO `lang_definitions` VALUES (105413, 6616, 27, 'यह एक में दो रोगी चार्ट विलय करेगा. यह उपयोगी है जब एक मरीज को गलती से दोहराया गया है. अगर यह अक्सर होता है, तो अपने कार्यालय प्रक्रियाओं को ठीक करें - नियमित रूप से यह चलना नहीं है!');
INSERT INTO `lang_definitions` VALUES (105414, 6617, 27, 'यह e-Prescriptions साइट पर जाने से नहीं रोकेगा.');
INSERT INTO `lang_definitions` VALUES (105415, 6619, 27, 'यह कस्टम टीकाकरण सूची के बजाय मानक CVX टीकाकरण सूची का उपयोग करेगा.');
INSERT INTO `lang_definitions` VALUES (105416, 6622, 27, 'थोरैसिक रीढ़');
INSERT INTO `lang_definitions` VALUES (105417, 6623, 27, 'Thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (105418, 6625, 27, 'गला');
INSERT INTO `lang_definitions` VALUES (105419, 6626, 27, 'गले के कैंसर');
INSERT INTO `lang_definitions` VALUES (105420, 6627, 27, 'गले के कैंसर सर्जरी');
INSERT INTO `lang_definitions` VALUES (105421, 6628, 27, 'घनास्त्रता / स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (105422, 6629, 27, 'गुरु');
INSERT INTO `lang_definitions` VALUES (105423, 6630, 27, 'बृहस्पतिवार');
INSERT INTO `lang_definitions` VALUES (105424, 6631, 27, 'बृहस्पतिवार');
INSERT INTO `lang_definitions` VALUES (105425, 6632, 27, 'थायराइड सामान्य');
INSERT INTO `lang_definitions` VALUES (105426, 6633, 27, 'थायराइड समस्याएं');
INSERT INTO `lang_definitions` VALUES (105427, 6634, 27, 'TIA');
INSERT INTO `lang_definitions` VALUES (105428, 6636, 27, 'TID');
INSERT INTO `lang_definitions` VALUES (105429, 6638, 27, 'समय');
INSERT INTO `lang_definitions` VALUES (105430, 6639, 27, 'समय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (105431, 6640, 27, 'समय वृद्धि जोड़ने के लिए (मिनट 1-60)');
INSERT INTO `lang_definitions` VALUES (105432, 6641, 27, 'समय चयन');
INSERT INTO `lang_definitions` VALUES (105433, 6642, 27, 'समय स्लॉट खुला है, सहेजें.');
INSERT INTO `lang_definitions` VALUES (105434, 6647, 27, 'समयबद्ध घटना');
INSERT INTO `lang_definitions` VALUES (105435, 6648, 27, 'समय सरणी (N / A)');
INSERT INTO `lang_definitions` VALUES (105436, 6649, 27, 'टाइमस्टैम्प और पाठ');
INSERT INTO `lang_definitions` VALUES (105437, 6650, 27, 'TIN');
INSERT INTO `lang_definitions` VALUES (105438, 6651, 27, 'टिनिटस');
INSERT INTO `lang_definitions` VALUES (105439, 6652, 27, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (105440, 6653, 27, 'शीर्षक V');
INSERT INTO `lang_definitions` VALUES (105441, 6654, 27, 'TitleCols 1 और 999 के बीच में होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (105442, 6655, 27, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (105443, 6656, 27, 'TM  \'S:');
INSERT INTO `lang_definitions` VALUES (105444, 6657, 27, 'TMs / EAMs / EE, ext नाक');
INSERT INTO `lang_definitions` VALUES (105445, 6658, 27, 'तक');
INSERT INTO `lang_definitions` VALUES (105446, 6659, 27, 'तक');
INSERT INTO `lang_definitions` VALUES (105447, 6660, 27, 'तक');
INSERT INTO `lang_definitions` VALUES (105448, 6661, 27, 'फ़ाइल का पूर्ण पथ के लिए');
INSERT INTO `lang_definitions` VALUES (105449, 6662, 27, 'नोट जोड़ने के लिए, कृपया क्लिक करें ');
INSERT INTO `lang_definitions` VALUES (105450, 6663, 27, 'नोट जोड़ने के लिए यहां क्लिक करें');
INSERT INTO `lang_definitions` VALUES (105451, 6664, 27, 'प्रभावित क्षेत्र के लिए');
INSERT INTO `lang_definitions` VALUES (105452, 6665, 27, 'प्रभावित क्षेत्र के लिए');
INSERT INTO `lang_definitions` VALUES (105453, 6666, 27, 'स्वचालित रूप से निर्दिष्ट प्रपत्र खोलने के लिए. कुछ खेल की टीमें यहाँ football_injury_audit का उपयोग करती है.');
INSERT INTO `lang_definitions` VALUES (105454, 6667, 27, 'बिलिंग देखने के लिए');
INSERT INTO `lang_definitions` VALUES (105455, 6668, 27, 'श्रेणी के लिए');
INSERT INTO `lang_definitions` VALUES (105456, 6669, 27, 'क्लीनिकल देखने के लिए');
INSERT INTO `lang_definitions` VALUES (105457, 6670, 27, 'copay के लिए');
INSERT INTO `lang_definitions` VALUES (105458, 6672, 27, 'ded\'ble के लिए');
INSERT INTO `lang_definitions` VALUES (105459, 6673, 27, 'Dems के लिए');
INSERT INTO `lang_definitions` VALUES (105460, 6674, 27, 'ग्राहक पक्ष SSL प्रमाणपत्र निष्क्रिय करने के लिए अपाचे विन्यास फाइल और सेट में उपरोक्त पंक्तियों की टिप्पणी करें');
INSERT INTO `lang_definitions` VALUES (105461, 6675, 27, 'HTTPS निष्क्रिय करने के लिए, अपाचे विन्यास फाइल में उपरोक्त पंक्तियों की टिप्पणी करें और अपाचे सर्वर को पुनः आरंभ करें');
INSERT INTO `lang_definitions` VALUES (105462, 6676, 27, 'क्लाइंट पक्ष SSL प्रमाणपत्र सक्रिय करने के लिए');
INSERT INTO `lang_definitions` VALUES (105463, 6677, 27, 'क्लाइंट पक्ष SSL प्रमाणपत्र प्रमाणीकरण सक्रिय करने के लिए, HTTPS सक्रिय होना चाहिए.');
INSERT INTO `lang_definitions` VALUES (105464, 6678, 27, 'केवल HTTPS सक्रिय करने के लिए उपरोक्त परिवर्तन करें और अपाचे सर्वर को पुनः आरंभ करें. यदि आप ग्राहक पक्ष प्रमाण पत्र विन्यस्त करना चाहते हैं, तो अगले भाग में उन्हें विन्यस्त करें.');
INSERT INTO `lang_definitions` VALUES (105465, 6679, 27, 'Enctr करें');
INSERT INTO `lang_definitions` VALUES (105466, 6680, 27, 'सेक्स के द्वारा फिल्टर करने के लिए');
INSERT INTO `lang_definitions` VALUES (105467, 6681, 27, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (105468, 6682, 27, 'मुद्दों के लिए');
INSERT INTO `lang_definitions` VALUES (105469, 6683, 27, 'मुठभेड़ / परामर्श मौजूदा मुद्दे को लिंक करने के लिए, क्लिक करें ');
INSERT INTO `lang_definitions` VALUES (105470, 6684, 27, 'मुठभेड़ / परामर्श मौजूदा मुद्दे को लिंक करने के लिए, उपरोक्त इच्छित मुद्दे पर क्लिक करके हाइलाइट करें और [सेव] क्लिक करें.कई मुद्दों पर चयन करने के लिए [Ctrl] बटन दबाए रखें.');
INSERT INTO `lang_definitions` VALUES (105471, 6685, 27, 'फिर से प्रवेश करने के लिए');
INSERT INTO `lang_definitions` VALUES (105472, 6686, 27, 'खुलासे रिकॉर्ड करने के लिए, कृपया क्लिक करें');
INSERT INTO `lang_definitions` VALUES (105473, 6687, 27, 'चलाने के लिए');
INSERT INTO `lang_definitions` VALUES (105474, 6688, 27, 'क्लाइंट प्रमाण पत्र प्रमाणीकरण के साथ HTTPS पहुँच सेटअप के लिए, निम्न कार्य करें');
INSERT INTO `lang_definitions` VALUES (105475, 6689, 27, 'त्वचा के लिए');
INSERT INTO `lang_definitions` VALUES (105476, 6690, 27, 'त्वचा के लिए');
INSERT INTO `lang_definitions` VALUES (105477, 6691, 27, 'इस दौरे के लिए?');
INSERT INTO `lang_definitions` VALUES (105478, 6693, 27, 'करने के लिए:');
INSERT INTO `lang_definitions` VALUES (105479, 6694, 27, 'करने के लिए: ');
INSERT INTO `lang_definitions` VALUES (105480, 6695, 27, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (105481, 6696, 27, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (105482, 6697, 27, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (105483, 6698, 27, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (105484, 6699, 27, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (105485, 6700, 27, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (105486, 6703, 27, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (105487, 6704, 27, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (105488, 6705, 27, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (105489, 6706, 27, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (105490, 6707, 27, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (105491, 6708, 27, 'तम्बाकू');
INSERT INTO `lang_definitions` VALUES (105492, 6709, 27, 'तम्बाकू बंद हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (105493, 6710, 27, 'तम्बाकू बंद हस्तक्षेप (CQM)');
INSERT INTO `lang_definitions` VALUES (105494, 6712, 27, 'तम्बाकू का उपयोग');
INSERT INTO `lang_definitions` VALUES (105495, 6713, 27, 'तंबाकू का उपयोग आकलन');
INSERT INTO `lang_definitions` VALUES (105496, 6714, 27, 'तंबाकू का उपयोग आकलन (CQM)');
INSERT INTO `lang_definitions` VALUES (105497, 6715, 27, 'आज');
INSERT INTO `lang_definitions` VALUES (105498, 6716, 27, 'आज');
INSERT INTO `lang_definitions` VALUES (105499, 6717, 27, 'आज');
INSERT INTO `lang_definitions` VALUES (105500, 6718, 27, 'आज की शेष राशि');
INSERT INTO `lang_definitions` VALUES (105501, 6719, 27, 'आज का शुल्क');
INSERT INTO `lang_definitions` VALUES (105502, 6720, 27, 'आज की तिथि');
INSERT INTO `lang_definitions` VALUES (105503, 6721, 27, 'आज का घटनाक्रम');
INSERT INTO `lang_definitions` VALUES (105504, 6723, 27, 'मैडिकल इन्फोर्मेशन एकता, LLC लैब विनिमय सेवा के लिए टोकन ID.');
INSERT INTO `lang_definitions` VALUES (105505, 6724, 27, 'LibreEHR समर्थन LLC लैब विनिमय सेवा के लिए टोकन ID.');
INSERT INTO `lang_definitions` VALUES (105506, 6726, 27, 'गलतुण्डिका उच्छेदन');
INSERT INTO `lang_definitions` VALUES (105507, 6728, 27, 'शीर्ष');
INSERT INTO `lang_definitions` VALUES (105508, 6730, 27, 'विषय');
INSERT INTO `lang_definitions` VALUES (105509, 6731, 27, 'संपूर्ण');
INSERT INTO `lang_definitions` VALUES (105510, 6732, 27, 'संपूर्ण');
INSERT INTO `lang_definitions` VALUES (105511, 6733, 27, 'कुल सक्रिय कार्रवाई');
INSERT INTO `lang_definitions` VALUES (105512, 6734, 27, 'अद्यतन करने के बाद कुल सक्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105513, 6735, 27, 'अद्यतन करने से पहले कुल सक्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105514, 6737, 27, 'देय कुल राशि');
INSERT INTO `lang_definitions` VALUES (105515, 6738, 27, 'कुल राशि भुगतान');
INSERT INTO `lang_definitions` VALUES (105516, 6739, 27, 'देय कुल शेष राशि');
INSERT INTO `lang_definitions` VALUES (105517, 6740, 27, 'कुल शुल्क');
INSERT INTO `lang_definitions` VALUES (105518, 6741, 27, 'कुल शुल्क');
INSERT INTO `lang_definitions` VALUES (105519, 6742, 27, 'कुल ग्राहक');
INSERT INTO `lang_definitions` VALUES (105520, 6743, 27, 'कुल मूल्य');
INSERT INTO `lang_definitions` VALUES (105521, 6744, 27, 'निम्नलिखित चेक संख्या के लिए कुल वितरण पूर्ण नहीं है');
INSERT INTO `lang_definitions` VALUES (105522, 6745, 27, 'कुल प्रविष्टियां');
INSERT INTO `lang_definitions` VALUES (105523, 6746, 27, 'ईमेल के माध्यम से भेजा कुल विफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105524, 6747, 27, 'फोन के माध्यम से भेजा कुल विफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105525, 6748, 27, 'के लिए कुल');
INSERT INTO `lang_definitions` VALUES (105526, 6749, 27, 'के लिए कुल ');
INSERT INTO `lang_definitions` VALUES (105527, 6750, 27, 'श्रेणी के लिए कुल');
INSERT INTO `lang_definitions` VALUES (105528, 6751, 27, 'कुल निष्क्रिय अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105529, 6752, 27, 'कुल नई अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105530, 6753, 27, 'नियुक्तियों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (105531, 6755, 27, 'टीकाकरण की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (105532, 6756, 27, 'मामलों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (105533, 6758, 27, 'रोगियों की कुल संख्या');
INSERT INTO `lang_definitions` VALUES (105534, 6760, 27, 'कुल रोगी शेष राशि');
INSERT INTO `lang_definitions` VALUES (105535, 6761, 27, 'कुल रोगी');
INSERT INTO `lang_definitions` VALUES (105536, 6764, 27, 'कुल रिकॉर्ड');
INSERT INTO `lang_definitions` VALUES (105537, 6765, 27, 'कुल SRH और परिवार नियोजन');
INSERT INTO `lang_definitions` VALUES (105538, 6766, 27, 'ईमेल के माध्यम से भेजा कुल सफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105539, 6767, 27, 'फोन के माध्यम से भेजा कुल सफल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105540, 6770, 27, 'कुल अपरिवर्तित अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105541, 6771, 27, 'प्रक्रिया भेजने के बाद नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105542, 6772, 27, 'अद्यतन करने के बाद नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105543, 6773, 27, 'प्रक्रिया भेजने से पहले नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105544, 6774, 27, 'अद्यतन करने से पहले नहीं भेजे गए कुल अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105545, 6775, 27, 'कुल अद्यतन अनुस्मारक');
INSERT INTO `lang_definitions` VALUES (105546, 6776, 27, 'कुलयोग');
INSERT INTO `lang_definitions` VALUES (105547, 6777, 27, 'के लिए कुलयोग');
INSERT INTO `lang_definitions` VALUES (105548, 6778, 27, 'के लिए कुलयोग ');
INSERT INTO `lang_definitions` VALUES (105549, 6780, 27, 'को {{रेंज}}');
INSERT INTO `lang_definitions` VALUES (105550, 6785, 27, 'प्रशिक्षण के प्रकार');
INSERT INTO `lang_definitions` VALUES (105551, 6786, 27, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (105552, 6787, 27, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (105553, 6788, 27, 'लेन - देन');
INSERT INTO `lang_definitions` VALUES (105554, 6789, 27, 'लेन - देन विफल रहा है गंतव्य स्थल में अपर्याप्त मात्रा.');
INSERT INTO `lang_definitions` VALUES (105555, 6790, 27, 'लेन - देन विफल रहा है, मात्रा शून्य से भी कम है');
INSERT INTO `lang_definitions` VALUES (105556, 6791, 27, 'लेन - देन के प्रकार');
INSERT INTO `lang_definitions` VALUES (105557, 6792, 27, 'लेनदेन');
INSERT INTO `lang_definitions` VALUES (105558, 6793, 27, 'लेनदेन');
INSERT INTO `lang_definitions` VALUES (105559, 6794, 27, 'लेनदेन (वैकल्पिक लिखने)');
INSERT INTO `lang_definitions` VALUES (105560, 6795, 27, 'लेनदेन / सिफ़ारिश');
INSERT INTO `lang_definitions` VALUES (105561, 6797, 27, 'स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (105562, 6798, 27, 'स्थानांतरण की तारीख');
INSERT INTO `lang_definitions` VALUES (105563, 6799, 27, 'स्थानांतरण स्रोत बहुत में, अपर्याप्त मात्रा में विफल रहा है');
INSERT INTO `lang_definitions` VALUES (105564, 6800, 27, 'स्थानांतरण सारांश');
INSERT INTO `lang_definitions` VALUES (105565, 6801, 27, 'पर स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (105566, 6804, 27, 'स्थानांतरण');
INSERT INTO `lang_definitions` VALUES (105567, 6806, 27, 'देखभाल के स्थानांतरण / स्थानांतरण?');
INSERT INTO `lang_definitions` VALUES (105568, 6807, 27, 'प्रवेश नियंत्रण समूह अनुवाद');
INSERT INTO `lang_definitions` VALUES (105569, 6808, 27, 'नियुक्ति श्रेणियाँ अनुवाद');
INSERT INTO `lang_definitions` VALUES (105570, 6809, 27, 'दस्तावेज़ श्रेणियाँ अनुवाद');
INSERT INTO `lang_definitions` VALUES (105571, 6810, 27, 'लेआउट अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (105572, 6811, 27, 'सूचियां अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (105573, 6812, 27, 'रोगी नोट टाइटल अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (105574, 6813, 27, 'यह अनुवाद करें');
INSERT INTO `lang_definitions` VALUES (105575, 6814, 27, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (105576, 6815, 27, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (105577, 6816, 27, 'संचारित करें');
INSERT INTO `lang_definitions` VALUES (105578, 6817, 27, 'संचारित विफल रहा');
INSERT INTO `lang_definitions` VALUES (105579, 6818, 27, 'चयनित आदेश संचारित करें');
INSERT INTO `lang_definitions` VALUES (105580, 6819, 27, 'आघात');
INSERT INTO `lang_definitions` VALUES (105581, 6820, 27, 'उपचार');
INSERT INTO `lang_definitions` VALUES (105582, 6822, 27, 'उपचार लक्ष्य');
INSERT INTO `lang_definitions` VALUES (105583, 6823, 27, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (105584, 6824, 27, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (105585, 6825, 27, 'प्राप्त उपचार');
INSERT INTO `lang_definitions` VALUES (105586, 6826, 27, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (105587, 6827, 27, 'उपचार: ');
INSERT INTO `lang_definitions` VALUES (105588, 6828, 27, 'रुझान');
INSERT INTO `lang_definitions` VALUES (105589, 6829, 27, 'trftime ($ month_format, mktime (0, 0, 0, $ , 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (105590, 6830, 27, 'ट्रिगर बिंदु / कम्पार्टमेंट सिंड्रोम / DOMS / ऐंठन');
INSERT INTO `lang_definitions` VALUES (105591, 6831, 27, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (105592, 6832, 27, 'ट्रंक और उदर');
INSERT INTO `lang_definitions` VALUES (105593, 6835, 27, 'मौजूदा उपयोगकर्ता नाम के साथ उपयोगकर्ता बनाने की कोशिश कर रहा है!');
INSERT INTO `lang_definitions` VALUES (105594, 6837, 27, 'चम्मच');
INSERT INTO `lang_definitions` VALUES (105595, 6839, 27, 'TTS');
INSERT INTO `lang_definitions` VALUES (105596, 6840, 27, 'क्षय रोग');
INSERT INTO `lang_definitions` VALUES (105597, 6841, 27, 'मंगल');
INSERT INTO `lang_definitions` VALUES (105598, 6842, 27, 'मंगल और amp');
INSERT INTO `lang_definitions` VALUES (105599, 6843, 27, 'मंगलवार');
INSERT INTO `lang_definitions` VALUES (105600, 6844, 27, 'अर्बुद');
INSERT INTO `lang_definitions` VALUES (105601, 6845, 27, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (105602, 6848, 27, 'प्रतिदिन दो बार');
INSERT INTO `lang_definitions` VALUES (105603, 6850, 27, 'कान की झिल्ली');
INSERT INTO `lang_definitions` VALUES (105604, 6851, 27, 'टाइप');
INSERT INTO `lang_definitions` VALUES (105605, 6852, 27, '(रिक्त स्थानों सहित) टाइप ID या नाम. 3 अक्षर न्यूनतम.');
INSERT INTO `lang_definitions` VALUES (105606, 6853, 27, 'रोगी खोज परिणामों के लिए प्रदर्शित स्तंभों के प्रकार');
INSERT INTO `lang_definitions` VALUES (105607, 6854, 27, 'प्रकटीकरण के प्रकार');
INSERT INTO `lang_definitions` VALUES (105608, 6855, 27, 'घटना के प्रकार');
INSERT INTO `lang_definitions` VALUES (105609, 6856, 27, 'स्क्रीन लेआउट के प्रकार');
INSERT INTO `lang_definitions` VALUES (105610, 6857, 27, 'यहाँ रोगी पहचानकर्ता टाइप या स्कैन करें');
INSERT INTO `lang_definitions` VALUES (105611, 6858, 27, 'यहाँ अपना संदेश टाइप करें');
INSERT INTO `lang_definitions` VALUES (105612, 6859, 27, 'आदेश और परिणाम के प्रकार');
INSERT INTO `lang_definitions` VALUES (105613, 6864, 27, 'कैलगरी विश्वविद्यालय खेल चिकित्सा केन्द्र द्वारा प्रदान की UCSMC कोड');
INSERT INTO `lang_definitions` VALUES (105614, 6865, 27, 'यूक्रेनी देश');
INSERT INTO `lang_definitions` VALUES (105615, 6866, 27, 'ulcerations');
INSERT INTO `lang_definitions` VALUES (105616, 6867, 27, 'सव्रण बृहदांत्रशोथ');
INSERT INTO `lang_definitions` VALUES (105617, 6868, 27, 'अल्सर:');
INSERT INTO `lang_definitions` VALUES (105618, 6871, 27, 'बनाने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (105619, 6874, 27, 'Ar_activity में यह भुगतान का मिलान करने में असमर्थ');
INSERT INTO `lang_definitions` VALUES (105620, 6876, 27, 'अप्रयोजित');
INSERT INTO `lang_definitions` VALUES (105621, 6877, 27, 'सौंपा नहीं');
INSERT INTO `lang_definitions` VALUES (105622, 6878, 27, 'अनाधिकृत');
INSERT INTO `lang_definitions` VALUES (105623, 6879, 27, 'EPrescription को अनाधिकृत पहुँच');
INSERT INTO `lang_definitions` VALUES (105624, 6880, 27, 'अनाधिकृत उपयोग.');
INSERT INTO `lang_definitions` VALUES (105625, 6881, 27, 'unbilled');
INSERT INTO `lang_definitions` VALUES (105626, 6882, 27, 'केवल unbilled');
INSERT INTO `lang_definitions` VALUES (105627, 6884, 27, 'जीभ के नीचे');
INSERT INTO `lang_definitions` VALUES (105628, 6885, 27, 'वजन');
INSERT INTO `lang_definitions` VALUES (105629, 6886, 27, 'undiagnosed');
INSERT INTO `lang_definitions` VALUES (105630, 6887, 27, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (105631, 6888, 27, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (105632, 6889, 27, 'अवितरित है');
INSERT INTO `lang_definitions` VALUES (105633, 6890, 27, 'चेकआउट पूर्ववत्');
INSERT INTO `lang_definitions` VALUES (105634, 6892, 27, 'अद्वितीय ग्राहक');
INSERT INTO `lang_definitions` VALUES (105635, 6893, 27, 'इस प्रकार के लिए अद्वितीय मानव पठनीय पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (105636, 6894, 27, 'अद्वितीय नए ग्राहक');
INSERT INTO `lang_definitions` VALUES (105637, 6895, 27, 'इस प्रकार के लिए अद्वितीय संख्यात्मक पहचानकर्ता');
INSERT INTO `lang_definitions` VALUES (105638, 6896, 27, 'अद्वितीय देखे मरीज');
INSERT INTO `lang_definitions` VALUES (105639, 6897, 27, 'अद्वितीय देखे मरीजों की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (105640, 6898, 27, 'अद्वितीय सपा');
INSERT INTO `lang_definitions` VALUES (105641, 6899, 27, 'इकाई');
INSERT INTO `lang_definitions` VALUES (105642, 6900, 27, 'इकाइयां');
INSERT INTO `lang_definitions` VALUES (105643, 6901, 27, 'इकाइयां');
INSERT INTO `lang_definitions` VALUES (105644, 6902, 27, 'परिणाम मूल्य को लागू इकाइयां');
INSERT INTO `lang_definitions` VALUES (105645, 6903, 27, 'दौरा प्रपत्र के लिए इकाइयां');
INSERT INTO `lang_definitions` VALUES (105646, 6904, 27, 'इकाइयां एक संख्या होनी चाहिए');
INSERT INTO `lang_definitions` VALUES (105647, 6905, 27, 'इकाइयां परिभाषित नहीं');
INSERT INTO `lang_definitions` VALUES (105648, 6906, 27, 'इकाइयां / L');
INSERT INTO `lang_definitions` VALUES (105649, 6907, 27, 'अज्ञात');
INSERT INTO `lang_definitions` VALUES (105650, 6910, 27, 'अज्ञात अगर कभी धूम्रपान किया है');
INSERT INTO `lang_definitions` VALUES (105651, 6911, 27, 'अज्ञात या N / A');
INSERT INTO `lang_definitions` VALUES (105652, 6912, 27, 'अज्ञात उपयोगकर्ता ID:');
INSERT INTO `lang_definitions` VALUES (105653, 6913, 27, 'रोगी की लिंक रद्द');
INSERT INTO `lang_definitions` VALUES (105654, 6914, 27, 'बेनाम बीमा कंपनी');
INSERT INTO `lang_definitions` VALUES (105655, 6915, 27, 'अपंजीकृत');
INSERT INTO `lang_definitions` VALUES (105656, 6918, 27, 'सभी का चयन रद्द');
INSERT INTO `lang_definitions` VALUES (105657, 6919, 27, 'अचयनित');
INSERT INTO `lang_definitions` VALUES (105658, 6920, 27, 'अनिर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (105659, 6921, 27, 'असंरचित');
INSERT INTO `lang_definitions` VALUES (105660, 6922, 27, 'असमर्थित डेटाबेस लोड फ़ाइल');
INSERT INTO `lang_definitions` VALUES (105661, 6924, 27, 'जब तक');
INSERT INTO `lang_definitions` VALUES (105662, 6925, 27, 'अकाल दाखिल');
INSERT INTO `lang_definitions` VALUES (105663, 6926, 27, 'अप्रयुक्त');
INSERT INTO `lang_definitions` VALUES (105664, 6927, 27, 'uor');
INSERT INTO `lang_definitions` VALUES (105665, 6928, 27, 'तक है');
INSERT INTO `lang_definitions` VALUES (105666, 6929, 27, 'आगामी नियुक्तियां');
INSERT INTO `lang_definitions` VALUES (105667, 6930, 27, 'आगामी घटनाएँ');
INSERT INTO `lang_definitions` VALUES (105668, 6931, 27, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (105669, 6932, 27, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (105670, 6933, 27, 'अद्यतन सक्रिय');
INSERT INTO `lang_definitions` VALUES (105671, 6934, 27, 'अद्यतन फ़ाइलें');
INSERT INTO `lang_definitions` VALUES (105672, 6935, 27, 'अद्यतन जानकारी');
INSERT INTO `lang_definitions` VALUES (105673, 6936, 27, 'अद्यतन सूची');
INSERT INTO `lang_definitions` VALUES (105674, 6937, 27, 'अद्यतन प्रदाता संख्या');
INSERT INTO `lang_definitions` VALUES (105675, 6938, 27, 'अद्यतन आइटम चयनित');
INSERT INTO `lang_definitions` VALUES (105676, 6939, 27, 'फ़ाइल में निम्न चर अद्यतन करें');
INSERT INTO `lang_definitions` VALUES (105677, 6940, 27, 'अद्यतन उपयोगकर्ता जानकारी');
INSERT INTO `lang_definitions` VALUES (105678, 6942, 27, 'अद्यतन हो रहा जनसांख्यिकी अधिकृत नहीं है.');
INSERT INTO `lang_definitions` VALUES (105679, 6943, 27, 'वैश्विक विन्यास डिफ़ॉल्ट्स अद्यतन हो रहा है');
INSERT INTO `lang_definitions` VALUES (105680, 6944, 27, 'संस्करण संकेतक अद्यतन हो रहा है');
INSERT INTO `lang_definitions` VALUES (105681, 6945, 27, 'उन्नयन');
INSERT INTO `lang_definitions` VALUES (105682, 6946, 27, 'उन्नयन करें');
INSERT INTO `lang_definitions` VALUES (105683, 6947, 27, 'डेटाबेस उन्नयन');
INSERT INTO `lang_definitions` VALUES (105684, 6948, 27, 'प्रक्रिया, कार्य और तालिकाएँ शामिल करने के लिए LibreEHR डेटाबेस उन्नयन करें. de-identification की प्रक्रिया के लिए आवश्यक है.');
INSERT INTO `lang_definitions` VALUES (105685, 6949, 27, 'उन्नयन जारी रहेगा');
INSERT INTO `lang_definitions` VALUES (105686, 6950, 27, 'UPIN');
INSERT INTO `lang_definitions` VALUES (105687, 6951, 27, 'अपलोड');
INSERT INTO `lang_definitions` VALUES (105688, 6954, 27, 'विन्यास डाटा अपलोड');
INSERT INTO `lang_definitions` VALUES (105689, 6955, 27, 'दस्तावेज़ अपलोड करें');
INSERT INTO `lang_definitions` VALUES (105690, 6956, 27, 'अपलोड असफल!');
INSERT INTO `lang_definitions` VALUES (105691, 6957, 27, 'के लिए तस्वीर अपलोड करें');
INSERT INTO `lang_definitions` VALUES (105692, 6958, 27, 'आयात फ़ाइल अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (105693, 6960, 27, 'अपलोड सफलतापूर्वक संसाधित');
INSERT INTO `lang_definitions` VALUES (105694, 6961, 27, 'अपलोड की रिपोर्ट');
INSERT INTO `lang_definitions` VALUES (105695, 6963, 27, 'इस फाइल को अपलोड करें:');
INSERT INTO `lang_definitions` VALUES (105696, 6964, 27, 'Upon clicking an invoice number the \"manual posting window\" appears. Here you can change the due date and notes for the invoice, select the party for whom you are posting, and select the insurances for which all expected paymants have been received. Most importantly, for each billing code for which an amount was charged, you can enter payment and adjustment information.');
INSERT INTO `lang_definitions` VALUES (105697, 6965, 27, 'Upon searching you are presented with a list of invoices. You may click on one of the invoice numbers to open a second window, which is the data entry page for manual posting. You may also click on a patient name if you want to enter a note that the front office staff will see when the patient checks in, and you may select invoices to appear on patient statements and print those statements.');
INSERT INTO `lang_definitions` VALUES (105698, 6966, 27, 'ऊपरी बांह');
INSERT INTO `lang_definitions` VALUES (105699, 6968, 27, 'अत्यावश्यकता');
INSERT INTO `lang_definitions` VALUES (105700, 6970, 27, 'मूत्र');
INSERT INTO `lang_definitions` VALUES (105701, 6971, 27, 'मूत्र ड्रिब्लिंग');
INSERT INTO `lang_definitions` VALUES (105702, 6972, 27, 'मूत्र फ्रीक्वेंसी');
INSERT INTO `lang_definitions` VALUES (105703, 6973, 27, 'मूत्र संदेह');
INSERT INTO `lang_definitions` VALUES (105704, 6974, 27, 'मूत्र Microalbumin');
INSERT INTO `lang_definitions` VALUES (105705, 6975, 27, 'मूत्र धारा');
INSERT INTO `lang_definitions` VALUES (105706, 6976, 27, 'मूत्र तात्कालिकता');
INSERT INTO `lang_definitions` VALUES (105707, 6977, 27, 'URL');
INSERT INTO `lang_definitions` VALUES (105708, 6979, 27, 'LibreEHR समर्थन के लिए URL.');
INSERT INTO `lang_definitions` VALUES (105709, 6981, 27, 'फोन प्रवेश द्वार के लिए URL. Maviq द्वारा प्रदान की स्वचालित VOIP सेवा. अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (105710, 6985, 27, 'प्रयोग');
INSERT INTO `lang_definitions` VALUES (105711, 6986, 27, 'उपयोग संकेतक (ISA15)');
INSERT INTO `lang_definitions` VALUES (105712, 6987, 27, 'बस उस स्तंभ पर सॉर्ट करने के लिए एक क्षेत्र में अकेले% का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (105713, 6988, 27, '24 घंटे समय स्वरूप का उपयोग करें?');
INSERT INTO `lang_definitions` VALUES (105714, 6990, 27, 'Use certified EHR technology to identify patient-specific education resources and provide those resources to the patient if appropriate.');
INSERT INTO `lang_definitions` VALUES (105715, 6991, 27, 'शुल्क पैनल का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (105716, 6992, 27, 'Use CPOE for medication orders directly entered by any licensed healthcare professional who can enter orders into the medical record per state, local and professional guidelines.');
INSERT INTO `lang_definitions` VALUES (105717, 6997, 27, 'पसंदीदा टीकाकरण सूची का प्रयोग करें');
INSERT INTO `lang_definitions` VALUES (105718, 6999, 27, 'तिथि श्रेणी का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (105719, 7000, 27, 'डिफ़ॉल्ट का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (105720, 7001, 27, 'निकालने के लिए हटाएँ विकल्प का प्रयोग करें.');
INSERT INTO `lang_definitions` VALUES (105721, 7002, 27, 'अंतरराष्ट्रीय तिथि शैली का उपयोग करें?');
INSERT INTO `lang_definitions` VALUES (105722, 7003, 27, 'स्रोत फ़ाइल नाम का उपयोग करें');
INSERT INTO `lang_definitions` VALUES (105723, 7004, 27, 'एक खरीद या हस्तांतरण के लिए नीचे दिए गए फ़ील्ड का उपयोग करें.');
INSERT INTO `lang_definitions` VALUES (105724, 7005, 27, 'केवल नव स्थापित साइटों के साथ इस सुविधा का उपयोग करें, ');
INSERT INTO `lang_definitions` VALUES (105725, 7006, 27, 'विषयों का प्रयोग करें?');
INSERT INTO `lang_definitions` VALUES (105726, 7007, 27, 'उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (105727, 7009, 27, 'उपयोगकर्ता / समूह');
INSERT INTO `lang_definitions` VALUES (105728, 7010, 27, 'उपयोगकर्ता का प्रशासन');
INSERT INTO `lang_definitions` VALUES (105729, 7011, 27, 'उपयोगकर्ता और सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (105730, 7012, 27, 'उपयोगकर्ता और समूह प्रशासन');
INSERT INTO `lang_definitions` VALUES (105731, 7014, 27, 'उपयोगकर्ता प्रमाणपत्र प्रमाणीकरण निष्क्रिय किया जाता है');
INSERT INTO `lang_definitions` VALUES (105732, 7015, 27, 'उपयोगकर्ता परिभाषित');
INSERT INTO `lang_definitions` VALUES (105733, 7016, 27, 'उपयोगकर्ता निर्धारित क्षेत्र 11');
INSERT INTO `lang_definitions` VALUES (105734, 7017, 27, 'उपयोगकर्ता निर्धारित क्षेत्र 12');
INSERT INTO `lang_definitions` VALUES (105735, 7018, 27, 'उपयोगकर्ता निर्धारित फील्ड');
INSERT INTO `lang_definitions` VALUES (105736, 7019, 27, 'उपयोगकर्ता निर्धारित सूची 1');
INSERT INTO `lang_definitions` VALUES (105737, 7020, 27, 'उपयोगकर्ता निर्धारित सूची 2');
INSERT INTO `lang_definitions` VALUES (105738, 7021, 27, 'उपयोगकर्ता निर्धारित सूची 3');
INSERT INTO `lang_definitions` VALUES (105739, 7022, 27, 'उपयोगकर्ता निर्धारित सूची 4');
INSERT INTO `lang_definitions` VALUES (105740, 7023, 27, 'उपयोगकर्ता निर्धारित सूची 5');
INSERT INTO `lang_definitions` VALUES (105741, 7024, 27, 'उपयोगकर्ता निर्धारित सूची 6');
INSERT INTO `lang_definitions` VALUES (105742, 7025, 27, 'उपयोगकर्ता परिभाषित सूची 7');
INSERT INTO `lang_definitions` VALUES (105743, 7026, 27, 'उपयोगकर्ता परिभाषित पाठ 1');
INSERT INTO `lang_definitions` VALUES (105744, 7027, 27, 'उपयोगकर्ता परिभाषित पाठ 2');
INSERT INTO `lang_definitions` VALUES (105745, 7028, 27, 'उपयोगकर्ता परिभाषित पाठ 3');
INSERT INTO `lang_definitions` VALUES (105746, 7029, 27, 'उपयोगकर्ता परिभाषित पाठ 4');
INSERT INTO `lang_definitions` VALUES (105747, 7030, 27, 'उपयोगकर्ता परिभाषित पाठ 5');
INSERT INTO `lang_definitions` VALUES (105748, 7031, 27, 'उपयोगकर्ता परिभाषित पाठ 6');
INSERT INTO `lang_definitions` VALUES (105749, 7032, 27, 'उपयोगकर्ता परिभाषित पाठ 7');
INSERT INTO `lang_definitions` VALUES (105750, 7033, 27, 'उपयोगकर्ता परिभाषित पाठ 8');
INSERT INTO `lang_definitions` VALUES (105751, 7034, 27, 'उपयोगकर्ता का प्रथम नाम');
INSERT INTO `lang_definitions` VALUES (105752, 7037, 27, 'उपयोगकर्ता लॉगऑन (अगर 03 से ऊपर है, बाकी रिक्त स्थान छोड़ दे) (ISA02)');
INSERT INTO `lang_definitions` VALUES (105753, 7038, 27, 'उपयोगकर्ता लॉगऑन आवश्यक संकेतक (ISA01 ~ 00 या 03 का उपयोग करें)');
INSERT INTO `lang_definitions` VALUES (105754, 7039, 27, 'उपयोगकर्ता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (105755, 7040, 27, 'उपयोगकर्ता सदस्यता');
INSERT INTO `lang_definitions` VALUES (105756, 7041, 27, 'उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (105757, 7042, 27, 'उपयोगकर्ता नाम या होस्ट नाम खाली नहीं हो सकता');
INSERT INTO `lang_definitions` VALUES (105758, 7043, 27, 'उपयोगकर्ता या होस्ट नाम');
INSERT INTO `lang_definitions` VALUES (105759, 7044, 27, 'उपयोगकर्ता का पासवर्ड (ISA04 ~ अगर 01 से ऊपर है, बाकी रिक्त स्थान दें)');
INSERT INTO `lang_definitions` VALUES (105760, 7045, 27, 'उपयोगकर्ता पासवर्ड संकेतक आवश्यक (ISA03 ~ 00 या 01 का उपयोग करें)');
INSERT INTO `lang_definitions` VALUES (105761, 7046, 27, 'उपयोगकर्ता सेटिंग्स');
INSERT INTO `lang_definitions` VALUES (105762, 7047, 27, 'उपयोगकर्ता विशिष्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (105763, 7048, 27, 'उपयोगकर्ता  \'नया पासवर्ड');
INSERT INTO `lang_definitions` VALUES (105764, 7049, 27, 'उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (105765, 7051, 27, 'फोन प्रवेश द्वार के लिए उपयोगकर्ता नाम. Maviq द्वारा प्रदान की स्वचालित VOIP सेवा. अधिक जानकारी के लिए http://signup.maviq.com जाएँ.');
INSERT INTO `lang_definitions` VALUES (105766, 7052, 27, 'SMS गेटवे के लिए उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (105767, 7053, 27, 'SMS गेटवे के लिए उपयोगकर्ता नाम.');
INSERT INTO `lang_definitions` VALUES (105768, 7054, 27, 'CouchDB से कनेक्ट करने के लिए उपयोगकर्ता नाम');
INSERT INTO `lang_definitions` VALUES (105769, 7055, 27, 'उपयोगकर्ता नाम:');
INSERT INTO `lang_definitions` VALUES (105770, 7056, 27, 'उपयोगकर्ता');
INSERT INTO `lang_definitions` VALUES (105771, 7057, 27, 'उपयोगकर्ता / समूह / लॉग्स प्रशासन');
INSERT INTO `lang_definitions` VALUES (105772, 7058, 27, 'PHP <a href=\"http://php.net/strftime\"> strftime </ a> प्रारूप का उपयोग करता है');
INSERT INTO `lang_definitions` VALUES (105773, 7059, 27, 'UTIs');
INSERT INTO `lang_definitions` VALUES (105774, 7062, 27, 'छुट्टी');
INSERT INTO `lang_definitions` VALUES (105775, 7063, 27, 'छुट्टी');
INSERT INTO `lang_definitions` VALUES (105776, 7064, 27, 'टीका');
INSERT INTO `lang_definitions` VALUES (105777, 7065, 27, 'योनि अंगूठी');
INSERT INTO `lang_definitions` VALUES (105778, 7066, 27, 'बिदाई का');
INSERT INTO `lang_definitions` VALUES (105779, 7067, 27, 'वैधीकृत करें');
INSERT INTO `lang_definitions` VALUES (105780, 7068, 27, 'मूल्य');
INSERT INTO `lang_definitions` VALUES (105781, 7069, 27, 'मूल्य 1');
INSERT INTO `lang_definitions` VALUES (105782, 7070, 27, 'मूल्य 2');
INSERT INTO `lang_definitions` VALUES (105783, 7072, 27, 'मूल्य एक संख्या होना चाहिए');
INSERT INTO `lang_definitions` VALUES (105784, 7073, 27, 'चर1');
INSERT INTO `lang_definitions` VALUES (105785, 7074, 27, 'चर2');
INSERT INTO `lang_definitions` VALUES (105786, 7075, 27, 'de-identification उन्नयन स्क्रिप्ट को चलाने के लिए एक चर');
INSERT INTO `lang_definitions` VALUES (105787, 7076, 27, 'वेरिसेला 1');
INSERT INTO `lang_definitions` VALUES (105788, 7077, 27, 'वेरिसेला 2');
INSERT INTO `lang_definitions` VALUES (105789, 7078, 27, 'वैरिकाज़ नसों के');
INSERT INTO `lang_definitions` VALUES (105790, 7079, 27, 'संवहनी हालत');
INSERT INTO `lang_definitions` VALUES (105791, 7080, 27, 'संवहनी चोट');
INSERT INTO `lang_definitions` VALUES (105792, 7081, 27, 'संवहनी सर्जरी');
INSERT INTO `lang_definitions` VALUES (105793, 7083, 27, 'विक्रेता');
INSERT INTO `lang_definitions` VALUES (105794, 7084, 27, 'संस्करण');
INSERT INTO `lang_definitions` VALUES (105795, 7085, 27, 'सिर का चक्कर');
INSERT INTO `lang_definitions` VALUES (105796, 7086, 27, 'दिग्गजों का प्रशासन');
INSERT INTO `lang_definitions` VALUES (105797, 7087, 27, 'दिग्गजों का प्रशासन की योजना');
INSERT INTO `lang_definitions` VALUES (105798, 7088, 27, 'VFC');
INSERT INTO `lang_definitions` VALUES (105799, 7089, 27, 'Vietnamese');
INSERT INTO `lang_definitions` VALUES (105800, 7090, 27, 'देखें');
INSERT INTO `lang_definitions` VALUES (105801, 7091, 27, 'देखें');
INSERT INTO `lang_definitions` VALUES (105802, 7092, 27, 'देखें एलर्जी');
INSERT INTO `lang_definitions` VALUES (105803, 7093, 27, 'एक x12-835 काल फ़ाइल देखें');
INSERT INTO `lang_definitions` VALUES (105804, 7094, 27, 'देखें बैच दावा x12 पाठ');
INSERT INTO `lang_definitions` VALUES (105805, 7097, 27, 'व्यापक रोगी की रिपोर्ट देखें');
INSERT INTO `lang_definitions` VALUES (105806, 7098, 27, 'CSV टेबल देखें');
INSERT INTO `lang_definitions` VALUES (105807, 7100, 27, 'देखें दस्तावेज');
INSERT INTO `lang_definitions` VALUES (105808, 7101, 27, 'देखें मुठभेड़');
INSERT INTO `lang_definitions` VALUES (105809, 7102, 27, 'देखें युग x12 पाठ');
INSERT INTO `lang_definitions` VALUES (105810, 7103, 27, 'एक पॉप अप विंडो में घटनाएँ देखें?');
INSERT INTO `lang_definitions` VALUES (105811, 7104, 27, 'सुविधा उपयोगकर्ता विशिष्ट जानकारी देखें');
INSERT INTO `lang_definitions` VALUES (105812, 7106, 27, 'स्थानीय x12 फ़ाइल देखें');
INSERT INTO `lang_definitions` VALUES (105813, 7107, 27, 'देखें लॉग');
INSERT INTO `lang_definitions` VALUES (105814, 7108, 27, 'देखें पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (105815, 7109, 27, 'देखें पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (105816, 7110, 27, 'अतीत और भविष्य अनुस्मारक देखें');
INSERT INTO `lang_definitions` VALUES (105817, 7111, 27, 'रोगी देखें');
INSERT INTO `lang_definitions` VALUES (105818, 7116, 27, 'संबंधित मुठभेड़ देखें');
INSERT INTO `lang_definitions` VALUES (105819, 7117, 27, 'रिपोर्ट देखें');
INSERT INTO `lang_definitions` VALUES (105820, 7118, 27, 'README फाइल देखें');
INSERT INTO `lang_definitions` VALUES (105821, 7121, 27, 'देखें / संपादन करें एलर्जी');
INSERT INTO `lang_definitions` VALUES (105822, 7122, 27, 'देखें / संपादन करें समस्या');
INSERT INTO `lang_definitions` VALUES (105823, 7123, 27, 'देखें / छापें');
INSERT INTO `lang_definitions` VALUES (105824, 7124, 27, 'देखें:');
INSERT INTO `lang_definitions` VALUES (105825, 7125, 27, 'VISA');
INSERT INTO `lang_definitions` VALUES (105826, 7126, 27, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (105827, 7127, 27, 'आंत का नुकसान / आघात / सर्जरी');
INSERT INTO `lang_definitions` VALUES (105828, 7133, 27, 'श्रेणी पर जाएँ:');
INSERT INTO `lang_definitions` VALUES (105829, 7134, 27, 'तिथि पर जाएँ');
INSERT INTO `lang_definitions` VALUES (105830, 7135, 27, 'तिथि पर जाएँ');
INSERT INTO `lang_definitions` VALUES (105831, 7137, 27, 'प्रपत्र पर जाएँ');
INSERT INTO `lang_definitions` VALUES (105832, 7138, 27, 'इतिहास पर जाएँ');
INSERT INTO `lang_definitions` VALUES (105833, 7140, 27, 'दौरा');
INSERT INTO `lang_definitions` VALUES (105834, 7141, 27, 'से दौरा');
INSERT INTO `lang_definitions` VALUES (105835, 7142, 27, 'महत्वपूर्ण लक्षण');
INSERT INTO `lang_definitions` VALUES (105836, 7143, 27, 'नब्ज');
INSERT INTO `lang_definitions` VALUES (105837, 7144, 27, 'नब्ज (मैट्रिक)');
INSERT INTO `lang_definitions` VALUES (105838, 7145, 27, 'नब्ज विकल्प प्रपत्र');
INSERT INTO `lang_definitions` VALUES (105839, 7146, 27, 'आवाज़');
INSERT INTO `lang_definitions` VALUES (105840, 7147, 27, 'आवाज भेजा गया');
INSERT INTO `lang_definitions` VALUES (105841, 7149, 27, 'उल्टी');
INSERT INTO `lang_definitions` VALUES (105842, 7151, 27, 'W');
INSERT INTO `lang_definitions` VALUES (105843, 7152, 27, 'कमर परिधि');
INSERT INTO `lang_definitions` VALUES (105844, 7153, 27, 'कमर परिधि');
INSERT INTO `lang_definitions` VALUES (105845, 7154, 27, 'प्रतीक्षा');
INSERT INTO `lang_definitions` VALUES (105846, 7155, 27, 'चल आना');
INSERT INTO `lang_definitions` VALUES (105847, 7157, 27, 'वॉल्ट Pennington');
INSERT INTO `lang_definitions` VALUES (105848, 7158, 27, 'गोदाम');
INSERT INTO `lang_definitions` VALUES (105849, 7159, 27, 'गोदाम अधिकतम, अगर लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (105850, 7160, 27, 'गोदाम न्यूनतम, अगर लागू नहीं तो 0');
INSERT INTO `lang_definitions` VALUES (105851, 7161, 27, 'गोदामों के');
INSERT INTO `lang_definitions` VALUES (105852, 7162, 27, 'गर्म');
INSERT INTO `lang_definitions` VALUES (105853, 7163, 27, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (105854, 7164, 27, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (105855, 7166, 27, 'चेतावनी, चेक नंबर पहले से ही डेटाबेस में मौजूद');
INSERT INTO `lang_definitions` VALUES (105856, 7167, 27, 'चेतावनी, रोगी की समस्याओं की सूची में अस्पष्ट कोड है!');
INSERT INTO `lang_definitions` VALUES (105857, 7168, 27, 'चेतावनी: एक दौरा पहले से ही आज इस रोगी के लिए बनाया गया था!');
INSERT INTO `lang_definitions` VALUES (105858, 7169, 27, 'चेतावनी: यदि आप 2012/10/31 स्पेनिश संस्करण का उपयोग कर रहे हैं, तो आप contrib / snomed में रखने से पहले एक बार इसे खोल दे (क्योंकि यह जारी की फाइल  \"डबल ज़िपित \" , है).');
INSERT INTO `lang_definitions` VALUES (105859, 7170, 27, 'चेतावनी: रोगी ID अनन्य नहीं है!');
INSERT INTO `lang_definitions` VALUES (105860, 7171, 27, 'चेतावनी: यह अपलोड की गई फ़ाइल के डेटा से, विन्यास जानकारी को अधिलेखित कर देगा!');
INSERT INTO `lang_definitions` VALUES (105861, 7173, 27, 'चेतावनी');
INSERT INTO `lang_definitions` VALUES (105862, 7175, 27, 'पहले से ही अपलोड किया गया था');
INSERT INTO `lang_definitions` VALUES (105863, 7176, 27, 'नहीं मिला');
INSERT INTO `lang_definitions` VALUES (105864, 7177, 27, 'हम शेष राशि के शीघ्र भुगतान की सराहना करते हैं');
INSERT INTO `lang_definitions` VALUES (105865, 7178, 27, 'हमने हमारे आउट पेशेंट मनोरोग क्लिनिक में मूल्यांकन और उपचार के लिए आपके उपरोक्त रोगी को देखा है. इस सिफ़ारिश के लिए धन्यवाद.');
INSERT INTO `lang_definitions` VALUES (105866, 7179, 27, 'कमजोरी');
INSERT INTO `lang_definitions` VALUES (105867, 7181, 27, 'वेब खोज');
INSERT INTO `lang_definitions` VALUES (105868, 7182, 27, 'वेबसाइट');
INSERT INTO `lang_definitions` VALUES (105869, 7183, 27, 'ऑनसाइट रोगी पोर्टल के लिए वेबसाइट लिंक.');
INSERT INTO `lang_definitions` VALUES (105870, 7184, 27, 'बुधवार');
INSERT INTO `lang_definitions` VALUES (105871, 7185, 27, 'बुधवार');
INSERT INTO `lang_definitions` VALUES (105872, 7186, 27, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (105873, 7187, 27, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (105874, 7188, 27, 'सप्ताह दृश्य');
INSERT INTO `lang_definitions` VALUES (105875, 7189, 27, 'सप्ताह (s)');
INSERT INTO `lang_definitions` VALUES (105876, 7190, 27, 'साप्ताहिक एक्सपोज़र');
INSERT INTO `lang_definitions` VALUES (105877, 7191, 27, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (105878, 7192, 27, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (105879, 7193, 27, 'वज़न');
INSERT INTO `lang_definitions` VALUES (105880, 7194, 27, 'बच्चों और किशोरों के लिए वजन आकलन और परामर्श');
INSERT INTO `lang_definitions` VALUES (105881, 7195, 27, 'बच्चों और किशोरों के लिए वजन आकलन और परामर्श (CQM)');
INSERT INTO `lang_definitions` VALUES (105882, 7196, 27, 'वजन में परिवर्तन');
INSERT INTO `lang_definitions` VALUES (105883, 7197, 27, 'वजन घटाने के');
INSERT INTO `lang_definitions` VALUES (105884, 7198, 27, 'वजन घटाने के क्लिनिक');
INSERT INTO `lang_definitions` VALUES (105885, 7199, 27, 'आपका स्वागत है');
INSERT INTO `lang_definitions` VALUES (105886, 7202, 27, 'क्या गिना जा रहा है?');
INSERT INTO `lang_definitions` VALUES (105887, 7203, 27, 'घरघराहट');
INSERT INTO `lang_definitions` VALUES (105888, 7204, 27, 'घरघराहट');
INSERT INTO `lang_definitions` VALUES (105889, 7205, 27, 'घरघराहट:');
INSERT INTO `lang_definitions` VALUES (105890, 7208, 27, 'कहां संबंधित, स्कैन किया हुआ या कागज दस्तावेज़ पाया जा सकता है?');
INSERT INTO `lang_definitions` VALUES (105891, 7209, 27, 'क्या बीमित है');
INSERT INTO `lang_definitions` VALUES (105892, 7211, 27, 'चोट');
INSERT INTO `lang_definitions` VALUES (105893, 7212, 27, 'सफ़ेद');
INSERT INTO `lang_definitions` VALUES (105894, 7213, 27, 'कौन');
INSERT INTO `lang_definitions` VALUES (105895, 7214, 27, 'किसने जवाब दिया?');
INSERT INTO `lang_definitions` VALUES (105896, 7215, 27, 'विधवा');
INSERT INTO `lang_definitions` VALUES (105897, 7216, 27, 'चौडाई');
INSERT INTO `lang_definitions` VALUES (105898, 7217, 27, 'बाएं नेविगेशन फ्रेम की पिक्सल में चौड़ाई.');
INSERT INTO `lang_definitions` VALUES (105899, 7221, 27, 'चयनित के साथ:');
INSERT INTO `lang_definitions` VALUES (105900, 7222, 27, 'पुराने नाम के साथ');
INSERT INTO `lang_definitions` VALUES (105901, 7224, 27, 'किसके साथ हम संदेश छोड़ सकते हैं?');
INSERT INTO `lang_definitions` VALUES (105902, 7225, 27, 'पर रोक लगाई');
INSERT INTO `lang_definitions` VALUES (105903, 7226, 27, 'घंटे के भीतर');
INSERT INTO `lang_definitions` VALUES (105904, 7227, 27, 'घंटे के भीतर:');
INSERT INTO `lang_definitions` VALUES (105905, 7228, 27, 'मिनट के भीतर');
INSERT INTO `lang_definitions` VALUES (105906, 7229, 27, 'मिनट के भीतर:');
INSERT INTO `lang_definitions` VALUES (105907, 7230, 27, 'सुविधा के बिना');
INSERT INTO `lang_definitions` VALUES (105908, 7231, 27, 'प्रदाता के बिना');
INSERT INTO `lang_definitions` VALUES (105909, 7232, 27, 'अद्यतन के बिना');
INSERT INTO `lang_definitions` VALUES (105910, 7233, 27, 'गवाह');
INSERT INTO `lang_definitions` VALUES (105911, 7234, 27, 'सप्ताह');
INSERT INTO `lang_definitions` VALUES (105912, 7235, 27, 'WNL');
INSERT INTO `lang_definitions` VALUES (105913, 7237, 27, 'महिला');
INSERT INTO `lang_definitions` VALUES (105914, 7238, 27, 'केवल महिलाएं');
INSERT INTO `lang_definitions` VALUES (105915, 7240, 27, 'काम');
INSERT INTO `lang_definitions` VALUES (105916, 7241, 27, 'काम टिप्पणी');
INSERT INTO `lang_definitions` VALUES (105917, 7242, 27, 'कार्यालय का फोन');
INSERT INTO `lang_definitions` VALUES (105918, 7243, 27, 'कार्यालय का फ़ोन नंबर');
INSERT INTO `lang_definitions` VALUES (105919, 7244, 27, 'संबंधित काम?');
INSERT INTO `lang_definitions` VALUES (105920, 7245, 27, 'कार्य / शिक्षा / शौक');
INSERT INTO `lang_definitions` VALUES (105921, 7246, 27, 'काम / स्कूल टिप्पणी');
INSERT INTO `lang_definitions` VALUES (105922, 7247, 27, 'कार्यदिवस');
INSERT INTO `lang_definitions` VALUES (105923, 7248, 27, 'कार्यकर्ता मुआवजा');
INSERT INTO `lang_definitions` VALUES (105924, 7249, 27, 'श्रमिक मुआवजा स्वास्थ्य योजना');
INSERT INTO `lang_definitions` VALUES (105925, 7250, 27, 'नियोक्ता समूह स्वास्थ्य योजना के साथ कार्य वृद्ध लाभार्थी या पति');
INSERT INTO `lang_definitions` VALUES (105926, 7251, 27, 'काम चल रहा... इसमें एक मिनट लग सकता हैं.');
INSERT INTO `lang_definitions` VALUES (105927, 7252, 27, 'बदतर');
INSERT INTO `lang_definitions` VALUES (105928, 7253, 27, 'आप ग्लोबल खाते पर शेष राशि लागू करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (105929, 7254, 27, 'आप मंजूर के रूप में उन्हें चिह्नित करना चाहते हैं.');
INSERT INTO `lang_definitions` VALUES (105930, 7255, 27, 'आप आवंटित करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (105931, 7256, 27, 'आप इस मरीज के लिए वितरण रद्द करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105932, 7257, 27, 'आप भुगतान वितरण हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105933, 7258, 27, 'आप भुगतान हटाना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105934, 7259, 27, 'आप भुगतान संशोधित और समाप्त करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (105935, 7260, 27, 'आप भुगतान रूपांतरित करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105936, 7261, 27, 'आप भुगतान पोस्ट और समाप्त करना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (105937, 7262, 27, 'आप भुगतान पोस्ट करना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105938, 7263, 27, 'आप सहेजना चाहेंगे?');
INSERT INTO `lang_definitions` VALUES (105939, 7264, 27, 'कलाई');
INSERT INTO `lang_definitions` VALUES (105940, 7265, 27, 'कलाई और हाथ');
INSERT INTO `lang_definitions` VALUES (105941, 7266, 27, 'कलाई की समस्याएं');
INSERT INTO `lang_definitions` VALUES (105942, 7267, 27, 'लिखना');
INSERT INTO `lang_definitions` VALUES (105943, 7268, 27, 'लिख डालना');
INSERT INTO `lang_definitions` VALUES (105944, 7270, 27, 'wsome');
INSERT INTO `lang_definitions` VALUES (105945, 7271, 27, 'WT');
INSERT INTO `lang_definitions` VALUES (105946, 7273, 27, 'X रद्द');
INSERT INTO `lang_definitions` VALUES (105947, 7274, 27, 'X रद्द');
INSERT INTO `lang_definitions` VALUES (105948, 7275, 27, 'एक्स - रे');
INSERT INTO `lang_definitions` VALUES (105949, 7276, 27, 'एक्सरे व्याख्या:');
INSERT INTO `lang_definitions` VALUES (105950, 7277, 27, 'एक्स रे व्याख्या:');
INSERT INTO `lang_definitions` VALUES (105951, 7278, 27, 'X12 केवल: रिप्लेसमेंट दावा ');
INSERT INTO `lang_definitions` VALUES (105952, 7279, 27, 'X 12 साथी');
INSERT INTO `lang_definitions` VALUES (105953, 7280, 27, 'X12 पार्टनर्स');
INSERT INTO `lang_definitions` VALUES (105954, 7281, 27, 'x12 पाठ');
INSERT INTO `lang_definitions` VALUES (105955, 7284, 27, 'Y');
INSERT INTO `lang_definitions` VALUES (105956, 7285, 27, 'साल');
INSERT INTO `lang_definitions` VALUES (105957, 7286, 27, 'साल');
INSERT INTO `lang_definitions` VALUES (105958, 7287, 27, 'साल दृश्य');
INSERT INTO `lang_definitions` VALUES (105959, 7288, 27, 'साल');
INSERT INTO `lang_definitions` VALUES (105960, 7289, 27, 'साल');
INSERT INTO `lang_definitions` VALUES (105961, 7290, 27, 'साल या महीने');
INSERT INTO `lang_definitions` VALUES (105962, 7291, 27, 'साल, महीने और दिन');
INSERT INTO `lang_definitions` VALUES (105963, 7292, 27, 'हाँ');
INSERT INTO `lang_definitions` VALUES (105964, 7293, 27, 'हां');
INSERT INTO `lang_definitions` VALUES (105965, 7294, 27, 'हां');
INSERT INTO `lang_definitions` VALUES (105966, 7295, 27, 'हाँ!');
INSERT INTO `lang_definitions` VALUES (105967, 7296, 27, 'हाँ, हटाएँ और प्रवेश');
INSERT INTO `lang_definitions` VALUES (105968, 7298, 27, 'हां / नहीं');
INSERT INTO `lang_definitions` VALUES (105969, 7299, 27, 'हाँ:');
INSERT INTO `lang_definitions` VALUES (105970, 7300, 27, 'Yiddish');
INSERT INTO `lang_definitions` VALUES (105971, 7303, 27, 'आप स्थायी रूप से मौजूदा टेम्पलेट को बदलने वाले हैं. क्या आप जारी रखना चाहते हैं?');
INSERT INTO `lang_definitions` VALUES (105972, 7304, 27, 'आप ग्रेस लॉगइन अवधि में हैं. पहले अपने पासवर्ड बदलें');
INSERT INTO `lang_definitions` VALUES (105973, 7305, 27, 'आपको इस घटना को हटाने की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (105974, 7306, 27, 'आपको इस घटना को संपादित करने की अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (105975, 7307, 27, 'आप इस बात के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105976, 7308, 27, 'आप इस दस्ते का उपयोग करने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105977, 7309, 27, 'आप मुद्दों को जोड़ने/संपादन करने के लिए अधिकृत नहीं हैं');
INSERT INTO `lang_definitions` VALUES (105978, 7310, 27, 'आप अपॉइंटमेंट शेड्यूल करने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105979, 7311, 27, 'आप इस मुठभेड़ को देखने के लिए अधिकृत नहीं हैं.');
INSERT INTO `lang_definitions` VALUES (105980, 7312, 27, 'आप एक पुराने मुठभेड़ के खिलाफ पोस्ट कर रहे हैं?');
INSERT INTO `lang_definitions` VALUES (105981, 7313, 27, 'आप सीधे इस फ़ंक्शन का उपयोग नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105982, 7314, 27, 'आप सीधे इस पेज का उपयोग नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105983, 7315, 27, 'आप एक श्रेणी के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (105984, 7316, 27, 'आप एक उपश्रेणी के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (105985, 7317, 27, 'आप एक आइटम के लिए एक खाली मूल्य नहीं जोड़ सकते हैं!');
INSERT INTO `lang_definitions` VALUES (105986, 7318, 27, 'आप पूरा मूल्य YES के साथ एक भविष्य की तिथि प्रवेश नहीं कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105987, 7319, 27, 'आपने किसी भी कार्रवाई का चयन नहीं किया हैं.');
INSERT INTO `lang_definitions` VALUES (105988, 7320, 27, 'आपको यह नोट देखने/संपादन करने के लिए अनुमति नहीं है');
INSERT INTO `lang_definitions` VALUES (105989, 7321, 27, 'आपने अवरोधित सामग्री में परिवर्तन करने का प्रयास किया है. आप ऐसा करना चाहते हैं, तो ताला निकालें. , अनलॉक लाइन निकालने के लिए, \'/ * ताला :: * /\'');
INSERT INTO `lang_definitions` VALUES (105990, 7322, 27, 'आप सफलतापूर्वक लॉग आउट कर चुके.');
INSERT INTO `lang_definitions` VALUES (105991, 7323, 27, 'आप Txt फ़ाइलें अपलोड कर सकते हैं.');
INSERT INTO `lang_definitions` VALUES (105992, 7324, 27, 'आप वैकल्पिक रूप से एक फ़ाइल से HL7 परिणाम अपलोड कर सकते हैं');
INSERT INTO `lang_definitions` VALUES (105993, 7325, 27, 'आप नया रोगी मुठभेड़ फार्म में डिफ़ॉल्ट शिकायत के रूप में यहाँ पाठ डाल सकता है.');
INSERT INTO `lang_definitions` VALUES (105994, 7326, 27, 'आपको दस्तावेज़ एन्क्रिप्ट करने के लिए एक पास वाक्यांश दर्ज करना आवश्यक है');
INSERT INTO `lang_definitions` VALUES (105995, 7327, 27, 'आप उपयोगकर्ता की पासवर्ड को बदलने के लिए अपनी खुद की पासवर्ड दर्ज करें. पासवर्ड अपरिवर्तित रखने के लिए खाली छोड़ दें.');
INSERT INTO `lang_definitions` VALUES (105996, 7329, 27, 'आपको पहले एक रोगी को जोड़ना होगा या चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (105997, 7330, 27, 'आपको पहले एक मुठभेड़ बनाना होगा या चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (105998, 7331, 27, 'आपको एक यात्रा श्रेणी का चयन करना होगा');
INSERT INTO `lang_definitions` VALUES (105999, 7332, 27, 'आपको एक यात्रा श्रेणी का चयन करना होगा.');
INSERT INTO `lang_definitions` VALUES (106000, 7333, 27, 'आपको जारी रखने के लिए कुछ क्षेत्रों का चयन करना होगा.');
INSERT INTO `lang_definitions` VALUES (106001, 7334, 27, 'You should be running this test if this claim appeared to generate successfully but the actual claim file does not contain any data or only an unfinished portion of the amount of data it is supposed to contain. It is obvious with HCFA claims because they are human readable, with X12 claims it is a more difficult process to determine if the claim is properly complete.');
INSERT INTO `lang_definitions` VALUES (106002, 7335, 27, 'आपको कम से कम एक संदर्भ का चयन करना चाहिए');
INSERT INTO `lang_definitions` VALUES (106003, 7336, 27, 'आपको कम से कम एक प्रदाता का चयन करना चाहिए');
INSERT INTO `lang_definitions` VALUES (106004, 7339, 27, 'आपकी समाप्ति तिथि अमान्य है');
INSERT INTO `lang_definitions` VALUES (106005, 7340, 27, 'आपकी घटना हटा दी गई है.');
INSERT INTO `lang_definitions` VALUES (106006, 7341, 27, 'आपकी घटना को संशोधित किया गया है.');
INSERT INTO `lang_definitions` VALUES (106007, 7342, 27, 'आपकी घटना प्रस्तुत कि गई है.');
INSERT INTO `lang_definitions` VALUES (106008, 7343, 27, 'आपकी फ़ाइल बहुत बड़ी है');
INSERT INTO `lang_definitions` VALUES (106009, 7345, 27, 'आपकी सूची का नाम नामकरण आवश्यकताओं को पूरा करने के लिए बदल दिया गया है.');
INSERT INTO `lang_definitions` VALUES (106010, 7346, 27, 'आपका संदेश प्रति वितरण के लिए प्रस्तुत किया गया था');
INSERT INTO `lang_definitions` VALUES (106011, 7347, 27, 'इस श्रेणी, प्रक्रिया या परिणाम के लिए आपका नाम');
INSERT INTO `lang_definitions` VALUES (106012, 7348, 27, 'आपका पासवर्ड');
INSERT INTO `lang_definitions` VALUES (106013, 7349, 27, 'आपका पासवर्ड समाप्त हो गया है. अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (106014, 7350, 27, 'आपका पासवर्ड को समाप्त हो रहा है');
INSERT INTO `lang_definitions` VALUES (106015, 7351, 27, 'आपका पासवर्ड आज समाप्त हो रहा है. अपना पासवर्ड बदल दें.');
INSERT INTO `lang_definitions` VALUES (106016, 7353, 27, 'आपका PostCalendar विन्यास, डिफ़ॉल्ट का उपयोग करने के लिए रीसेट किया गया है.');
INSERT INTO `lang_definitions` VALUES (106017, 7354, 27, 'आपका PostCalendar विन्यास अद्यतन किया गया है.');
INSERT INTO `lang_definitions` VALUES (106018, 7355, 27, 'आपकी दोहराई जाने वाली आवृत्ति एक पूर्णांक होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (106019, 7356, 27, 'आपकी दोहराई जाने वाली आवृत्ति कम से कम 1 होनी चाहिए.');
INSERT INTO `lang_definitions` VALUES (106020, 7357, 27, 'आपकी आरंभ तिथि अपने अंत तिथि से अधिक है');
INSERT INTO `lang_definitions` VALUES (106021, 7358, 27, 'आपकी आरंभ तिथि अमान्य है');
INSERT INTO `lang_definitions` VALUES (106022, 7359, 27, 'आपका सबमिशन असफल रहा.');
INSERT INTO `lang_definitions` VALUES (106023, 7360, 27, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (106024, 7361, 27, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (106025, 7362, 27, 'इस दस्तावेज़ के साथ जुड़े YYYY-MM-DD तिथि');
INSERT INTO `lang_definitions` VALUES (106026, 7363, 27, 'yyyy-mm-dd तिथि नष्ट');
INSERT INTO `lang_definitions` VALUES (106027, 7364, 27, 'yyyy-mm-dd जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (106028, 7365, 27, 'yyyy-mm-dd जन्म तिथि');
INSERT INTO `lang_definitions` VALUES (106029, 7366, 27, 'yyyy-mm-dd समय समाप्ति की तिथि');
INSERT INTO `lang_definitions` VALUES (106030, 7367, 27, 'yyyy-mm-dd शुरुआत या अस्पताल में भर्ती की तिथि');
INSERT INTO `lang_definitions` VALUES (106031, 7368, 27, 'yyyy-mm-dd शुरुआत, सर्जरी या दवा की शुरुआत की तिथि');
INSERT INTO `lang_definitions` VALUES (106032, 7369, 27, 'yyyy-mm-dd खरीद या स्थानांतरण की तिथि');
INSERT INTO `lang_definitions` VALUES (106033, 7370, 27, 'yyyy-mm-dd वसूली या दवा की समाप्ति की तिथि');
INSERT INTO `lang_definitions` VALUES (106034, 7371, 27, 'yyyy-mm-dd खेलने के लिए वापसी की तिथि');
INSERT INTO `lang_definitions` VALUES (106035, 7372, 27, 'yyyy-mm-dd सेवा की तिथि');
INSERT INTO `lang_definitions` VALUES (106036, 7373, 27, 'yyyy-mm-dd इस पत्र की तिथि');
INSERT INTO `lang_definitions` VALUES (106037, 7374, 27, 'yyyy-mm-dd खेलने के लिए लौट आए तिथि');
INSERT INTO `lang_definitions` VALUES (106038, 7375, 27, 'yyyy-mm-dd दस्तावेज़ तिथि');
INSERT INTO `lang_definitions` VALUES (106039, 7376, 27, 'yyyy-mm-dd घटना तिथि या शुरू होने की तिथि');
INSERT INTO `lang_definitions` VALUES (106040, 7381, 27, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (106041, 7382, 27, 'yyyy-mm-dd घंटे (24): मिनट');
INSERT INTO `lang_definitions` VALUES (106042, 7383, 27, 'yyyy-mm-dd इस घटना की अंतिम तिथि');
INSERT INTO `lang_definitions` VALUES (106043, 7387, 27, 'शून्य');
INSERT INTO `lang_definitions` VALUES (106044, 7389, 27, 'पिन');
INSERT INTO `lang_definitions` VALUES (106045, 7390, 27, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (106046, 7391, 27, 'ज़िप / देश:');
INSERT INTO `lang_definitions` VALUES (106047, 7392, 27, 'पिन');
INSERT INTO `lang_definitions` VALUES (106048, 7393, 27, ' लेकिन था ');
INSERT INTO `lang_definitions` VALUES (106049, 7394, 27, ' नहीं पहुंचा जा सका.');
INSERT INTO `lang_definitions` VALUES (106050, 7395, 27, 'आप वास्तव में मिटाना चाहते हैं');
INSERT INTO `lang_definitions` VALUES (106051, 7396, 27, 'दवा');
INSERT INTO `lang_definitions` VALUES (106052, 7397, 27, 'नहीं भेजा ईमेल');
INSERT INTO `lang_definitions` VALUES (106053, 7398, 27, 'से');
INSERT INTO `lang_definitions` VALUES (106054, 7399, 27, 'बनाया गया है. ');
INSERT INTO `lang_definitions` VALUES (106055, 7400, 27, 'फिर से खोल दिया गया है.');
INSERT INTO `lang_definitions` VALUES (106056, 7401, 27, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (106057, 7402, 27, 'एक नंबर नहीं है');
INSERT INTO `lang_definitions` VALUES (106058, 7403, 27, 'फिर से बिलिंग के लिए तैयार है.');
INSERT INTO `lang_definitions` VALUES (106059, 7404, 27, 'LLL:');
INSERT INTO `lang_definitions` VALUES (106060, 7405, 27, 'Lot');
INSERT INTO `lang_definitions` VALUES (106061, 7406, 27, 'Medicaid मूल संदर्भ संख्या ');
INSERT INTO `lang_definitions` VALUES (106062, 7407, 27, 'मिनट');
INSERT INTO `lang_definitions` VALUES (106063, 7408, 27, 'नहीं मिला!');
INSERT INTO `lang_definitions` VALUES (106064, 7409, 27, 'Pecularities in many browsers may mean that the output below enters your screen in sudden jerks and that there are long pauses of several seconds where it appears as though things may have crashed. That is not the case, you will eventually see output coming out line by line. There may be sequential numbers appearing below, this is to indicate that even though nothing else may be displaying there is activity going on. These numbers will be interspersed with the content of the billing and that is normal.');
INSERT INTO `lang_definitions` VALUES (106065, 7410, 27, 'पर्चे की अपनी सीमा तक पहुँच गया है');
INSERT INTO `lang_definitions` VALUES (106066, 7411, 27, 'जब तक');
INSERT INTO `lang_definitions` VALUES (106067, 7412, 27, 'अद्यतन विफल रहा है, डेटाबेस में नहीं ?');
INSERT INTO `lang_definitions` VALUES (106068, 7413, 27, 'केवल बिल भेजा के रूप में चिह्नित किया गया था.');
INSERT INTO `lang_definitions` VALUES (106069, 7414, 27, 'सफलतापूर्वक पंक्तिबद्ध किया गया था.');
INSERT INTO `lang_definitions` VALUES (106070, 7415, 27, '! चला गया w / o दौरा');
INSERT INTO `lang_definitions` VALUES (106071, 7416, 27, 'कोड के लिए');
INSERT INTO `lang_definitions` VALUES (106072, 7417, 27, 'PostCalendar सेटिंग्स में जाँच की है!');
INSERT INTO `lang_definitions` VALUES (106073, 7418, 27, '# Ins / Fin मुद्दा');
INSERT INTO `lang_definitions` VALUES (106074, 7419, 27, '# गोलियों की');
INSERT INTO `lang_definitions` VALUES (106075, 7420, 27, '$');
INSERT INTO `lang_definitions` VALUES (106076, 7421, 27, '$ कोडिंग किया');
INSERT INTO `lang_definitions` VALUES (106077, 7422, 27, '$ लेबल (YYYY-MM-DD): ');
INSERT INTO `lang_definitions` VALUES (106078, 7423, 27, '%');
INSERT INTO `lang_definitions` VALUES (106079, 7424, 27, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (106080, 7425, 27, '% रद्द <24 ');
INSERT INTO `lang_definitions` VALUES (106081, 7426, 27, 'मौजूद होना चाहिए, लेकिन नहीं .');
INSERT INTO `lang_definitions` VALUES (106082, 7427, 27, '(% किसी स्ट्रिंग से मेल खाता है, _ कोई भी वर्ण से मेल खाता है)');
INSERT INTO `lang_definitions` VALUES (106083, 7428, 27, '([Ctrl] + एकाधिक प्राप्तकर्ताओं को चुनने के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (106084, 7429, 27, '(वापस)');
INSERT INTO `lang_definitions` VALUES (106085, 7430, 27, '(संपादित करने के लिए क्लिक करें)');
INSERT INTO `lang_definitions` VALUES (106086, 7431, 27, '(ईमेल वितरण तत्काल है, जबकि ऑटोमेटेड VOIP आगे की प्रक्रिया के लिए सेवा प्रदाता को भेजा है)');
INSERT INTO `lang_definitions` VALUES (106087, 7432, 27, '(अधिक)');
INSERT INTO `lang_definitions` VALUES (106088, 7433, 27, '(नए रोगी)');
INSERT INTO `lang_definitions` VALUES (106089, 7434, 27, '(नोट्स और प्राधिकरण)');
INSERT INTO `lang_definitions` VALUES (106090, 7435, 27, '(रोगी नोट्स)');
INSERT INTO `lang_definitions` VALUES (106091, 7436, 27, '(इनमें से किसी एक का चयन करें, या अपना खुद का शीर्षक लिखें)');
INSERT INTO `lang_definitions` VALUES (106092, 7437, 27, '(शिफ्ट)क्लिक करें या खींचें, मान बदलने के लिए');
INSERT INTO `lang_definitions` VALUES (106093, 7438, 27, '* अनुस्मारक किया');
INSERT INTO `lang_definitions` VALUES (106094, 7439, 27, '** कृपया सर्जरी को समस्याएँ में स्थानांतरित करना!');
INSERT INTO `lang_definitions` VALUES (106095, 7440, 27, '* आवश्यक');
INSERT INTO `lang_definitions` VALUES (106096, 7441, 27, '+ चार्ट निकाला');
INSERT INTO `lang_definitions` VALUES (106097, 7442, 27, '- कोई नहीं');
INSERT INTO `lang_definitions` VALUES (106098, 7443, 27, '- सभी -');
INSERT INTO `lang_definitions` VALUES (106099, 7444, 27, '- रोल का चयन करें -');
INSERT INTO `lang_definitions` VALUES (106100, 7445, 27, '.');
INSERT INTO `lang_definitions` VALUES (106101, 7446, 27, '0');
INSERT INTO `lang_definitions` VALUES (106102, 7447, 27, '0-10');
INSERT INTO `lang_definitions` VALUES (106103, 7448, 27, '0-24');
INSERT INTO `lang_definitions` VALUES (106104, 7451, 27, '1');
INSERT INTO `lang_definitions` VALUES (106105, 7452, 27, '1 = उत्तर अमेरिका. अन्य देश कोड की सूची के लिए http://www.wtng.info/ देखें.');
INSERT INTO `lang_definitions` VALUES (106106, 7453, 27, 'अब से 1 दिन');
INSERT INTO `lang_definitions` VALUES (106107, 7454, 27, 'अब से 1 महीने');
INSERT INTO `lang_definitions` VALUES (106108, 7455, 27, 'अब से 1 सप्ताह');
INSERT INTO `lang_definitions` VALUES (106109, 7456, 27, 'अब से 1 वर्ष');
INSERT INTO `lang_definitions` VALUES (106110, 7457, 27, '1.आराम करें. 2. दो दिनों के लिए बर्फ. 3 संपीड़न, जगह में ड्रेसिंग छोड़ दें. जब तक पैर सुन्न या पीला रंग विकसित नहीं हो 4 पैर उठाओ');
INSERT INTO `lang_definitions` VALUES (106111, 7458, 27, '11-14');
INSERT INTO `lang_definitions` VALUES (106112, 7459, 27, '12 घंटे');
INSERT INTO `lang_definitions` VALUES (106113, 7460, 27, '15-19');
INSERT INTO `lang_definitions` VALUES (106114, 7462, 27, '2');
INSERT INTO `lang_definitions` VALUES (106115, 7463, 27, 'अब से 2 दिन');
INSERT INTO `lang_definitions` VALUES (106116, 7464, 27, 'अब से 2 महीने');
INSERT INTO `lang_definitions` VALUES (106117, 7465, 27, 'अब से 2 सप्ताह');
INSERT INTO `lang_definitions` VALUES (106118, 7466, 27, 'अब से 2 साल');
INSERT INTO `lang_definitions` VALUES (106119, 7467, 27, '2-20 साल');
INSERT INTO `lang_definitions` VALUES (106120, 7468, 27, '20-24');
INSERT INTO `lang_definitions` VALUES (106121, 7477, 27, '2111-13');
INSERT INTO `lang_definitions` VALUES (106122, 7478, 27, '24 घंटा');
INSERT INTO `lang_definitions` VALUES (106123, 7479, 27, '25 +');
INSERT INTO `lang_definitions` VALUES (106124, 7480, 27, '25-29');
INSERT INTO `lang_definitions` VALUES (106125, 7481, 27, '2');
INSERT INTO `lang_definitions` VALUES (106126, 7482, 27, 'अब से 3 दिन');
INSERT INTO `lang_definitions` VALUES (106127, 7483, 27, '3 महीने');
INSERT INTO `lang_definitions` VALUES (106128, 7484, 27, 'अब से 3 महीने');
INSERT INTO `lang_definitions` VALUES (106129, 7485, 27, 'प्रतिदिन 3 बार');
INSERT INTO `lang_definitions` VALUES (106130, 7486, 27, 'अब से 3 सप्ताह');
INSERT INTO `lang_definitions` VALUES (106131, 7487, 27, '30-34');
INSERT INTO `lang_definitions` VALUES (106132, 7488, 27, '35-39');
INSERT INTO `lang_definitions` VALUES (106133, 7489, 27, '3 री');
INSERT INTO `lang_definitions` VALUES (106134, 7490, 27, 'अब से 4 दिन');
INSERT INTO `lang_definitions` VALUES (106135, 7491, 27, '4 महीने');
INSERT INTO `lang_definitions` VALUES (106136, 7492, 27, 'अब से 4 महीने');
INSERT INTO `lang_definitions` VALUES (106137, 7493, 27, 'प्रतिदिन 4 बार');
INSERT INTO `lang_definitions` VALUES (106138, 7494, 27, 'अब से 4 सप्ताह');
INSERT INTO `lang_definitions` VALUES (106139, 7495, 27, '40-44');
INSERT INTO `lang_definitions` VALUES (106140, 7496, 27, '45 +');
INSERT INTO `lang_definitions` VALUES (106141, 7497, 27, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (106142, 7498, 27, '466.0, ब्रोंकाइटिस, तीव्र NOS');
INSERT INTO `lang_definitions` VALUES (106143, 7499, 27, '486.0, निमोनिया, तीव्र');
INSERT INTO `lang_definitions` VALUES (106144, 7500, 27, '491.21, COPD तेज़ हो जाना');
INSERT INTO `lang_definitions` VALUES (106145, 7501, 27, '491.8, ब्रोंकाइटिस, जीर्ण');
INSERT INTO `lang_definitions` VALUES (106146, 7502, 27, '493.92, अस्थमा, तीव्र exac.');
INSERT INTO `lang_definitions` VALUES (106147, 7503, 27, '496.0, COPD');
INSERT INTO `lang_definitions` VALUES (106148, 7504, 27, '4');
INSERT INTO `lang_definitions` VALUES (106149, 7505, 27, 'अब से 5 दिन');
INSERT INTO `lang_definitions` VALUES (106150, 7506, 27, 'अब से 5 महीने');
INSERT INTO `lang_definitions` VALUES (106151, 7507, 27, 'अब से 5 सप्ताह');
INSERT INTO `lang_definitions` VALUES (106152, 7508, 27, '519.7, श्वसनी - आकर्ष');
INSERT INTO `lang_definitions` VALUES (106153, 7509, 27, '5');
INSERT INTO `lang_definitions` VALUES (106154, 7510, 27, 'अब से 6 दिन');
INSERT INTO `lang_definitions` VALUES (106155, 7511, 27, '6 महीने');
INSERT INTO `lang_definitions` VALUES (106156, 7512, 27, 'अब से 6 महीने');
INSERT INTO `lang_definitions` VALUES (106157, 7513, 27, 'अब से 6 सप्ताह');
INSERT INTO `lang_definitions` VALUES (106158, 7514, 27, '6');
INSERT INTO `lang_definitions` VALUES (106159, 7515, 27, 'अब से 7 महीने');
INSERT INTO `lang_definitions` VALUES (106160, 7516, 27, 'अब से 8 महीने');
INSERT INTO `lang_definitions` VALUES (106161, 7517, 27, '824.0 फ्रैक्चर, औसत दर्जे का malleolus, बंद हुआ');
INSERT INTO `lang_definitions` VALUES (106162, 7518, 27, '824.2 फ्रैक्चर, पार्श्व malleolus, बंद');
INSERT INTO `lang_definitions` VALUES (106163, 7519, 27, '824.6 फ्रैक्चर, Trimalleolar, बंद');
INSERT INTO `lang_definitions` VALUES (106164, 7520, 27, '825.32 फ्रैक्चर, Navicular की (टखने)');
INSERT INTO `lang_definitions` VALUES (106165, 7521, 27, '825.35 फ्रैक्चर, पांचवें (5) metatarsal के आधार');
INSERT INTO `lang_definitions` VALUES (106166, 7522, 27, '845.00 टखने की मोच NOS');
INSERT INTO `lang_definitions` VALUES (106167, 7523, 27, '845.01 मोच औसत दर्जे (तिकोना) Lig.');
INSERT INTO `lang_definitions` VALUES (106168, 7524, 27, '845.02 मोच, केलकेनीयल अनुजंघास्थिक');
INSERT INTO `lang_definitions` VALUES (106169, 7525, 27, 'अब से 9 माह');
INSERT INTO `lang_definitions` VALUES (106170, 7526, 27, '99212 स्थापित - सीधी');
INSERT INTO `lang_definitions` VALUES (106171, 7527, 27, '99,213 स्थापित - कम जटिलता');
INSERT INTO `lang_definitions` VALUES (106172, 7528, 27, '<चिकित्सक कक्ष में');
INSERT INTO `lang_definitions` VALUES (106173, 7529, 27, '> बाहर गए');
INSERT INTO `lang_definitions` VALUES (106174, 7530, 27, '?');
INSERT INTO `lang_definitions` VALUES (106175, 7531, 27, '? नहीं आया');
INSERT INTO `lang_definitions` VALUES (106176, 7532, 27, '@ पहुंचे');
INSERT INTO `lang_definitions` VALUES (106177, 7533, 27, '[दृश्य बदलें]');
INSERT INTO `lang_definitions` VALUES (106178, 7534, 27, '[पिछले मुठभेड़ की तिथि]');
INSERT INTO `lang_definitions` VALUES (106179, 7535, 27, '[अंतिम मुठभेड़ के बाद से दिन]');
INSERT INTO `lang_definitions` VALUES (106180, 7536, 27, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (106181, 7537, 27, '[निर्यात OFX]');
INSERT INTO `lang_definitions` VALUES (106182, 7538, 27, '[सिफारिश नहीं]');
INSERT INTO `lang_definitions` VALUES (106183, 7539, 27, '[मुठभेड़ों की संख्या]');
INSERT INTO `lang_definitions` VALUES (106184, 7540, 27, '[रिपोर्टें]');
INSERT INTO `lang_definitions` VALUES (106185, 7541, 27, '[सभी का चयन]');
INSERT INTO `lang_definitions` VALUES (106186, 7542, 27, '[SQL लेजर]');
INSERT INTO `lang_definitions` VALUES (106187, 7543, 27, '[बैच प्रोसेसिंग प्रारंभ]');
INSERT INTO `lang_definitions` VALUES (106188, 7544, 27, '[देखें log]');
INSERT INTO `lang_definitions` VALUES (106189, 7545, 27, '[मुद्रण योग्य रिपोर्ट देखें]');
INSERT INTO `lang_definitions` VALUES (106190, 7546, 27, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (106191, 7547, 27, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (106192, 7548, 27, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (106193, 7549, 27, '~ देर से पहुंचे');
INSERT INTO `lang_definitions` VALUES (106194, 1, 28, 'A');
INSERT INTO `lang_definitions` VALUES (106195, 2, 28, 'Un numar de control sau numarul de identificare a plății');
INSERT INTO `lang_definitions` VALUES (106196, 3, 28, 'Un certificat de autentificare pentru administrator');
INSERT INTO `lang_definitions` VALUES (106197, 5, 28, 'Un document clinic este atasat.');
INSERT INTO `lang_definitions` VALUES (106198, 7, 28, 'Este necesar un distributor');
INSERT INTO `lang_definitions` VALUES (106199, 8, 28, 'o forma de vizita GCAC trebuie adaugata la aceasta vizita');
INSERT INTO `lang_definitions` VALUES (106200, 9, 28, 'Este necesar un numar de lot');
INSERT INTO `lang_definitions` VALUES (106201, 10, 28, 'Este necesar un numar de lot!');
INSERT INTO `lang_definitions` VALUES (106202, 11, 28, 'O litera mica');
INSERT INTO `lang_definitions` VALUES (106203, 12, 28, 'Un numar');
INSERT INTO `lang_definitions` VALUES (106204, 14, 28, 'Un pacient cu acest ID exista deja.');
INSERT INTO `lang_definitions` VALUES (106205, 15, 28, 'Un pacient cu acest nume exista deja.');
INSERT INTO `lang_definitions` VALUES (106206, 16, 28, 'Un pacient cu acest SS exista deja.');
INSERT INTO `lang_definitions` VALUES (106207, 18, 28, 'Un numar pozitiv va arata ca multe programari trecute pe Widget pe ecran in fisa pacientului.');
INSERT INTO `lang_definitions` VALUES (106208, 19, 28, 'O sursa de referinta va fi specificata pentru fiecare vizita.');
INSERT INTO `lang_definitions` VALUES (106209, 20, 28, 'Este necesar un cod IPPF.');
INSERT INTO `lang_definitions` VALUES (106210, 21, 28, 'Un caracter special');
INSERT INTO `lang_definitions` VALUES (106211, 22, 28, 'O valoare unica pentru identificarea acestui camp, dar ne-vizibila de user.');
INSERT INTO `lang_definitions` VALUES (106212, 24, 28, 'a.c.');
INSERT INTO `lang_definitions` VALUES (106213, 25, 28, 'a.m.');
INSERT INTO `lang_definitions` VALUES (106214, 26, 28, 'A/F Nivel dreapta:');
INSERT INTO `lang_definitions` VALUES (106215, 27, 28, 'AB');
INSERT INTO `lang_definitions` VALUES (106216, 28, 28, 'Abreviere');
INSERT INTO `lang_definitions` VALUES (106217, 29, 28, 'Abces:');
INSERT INTO `lang_definitions` VALUES (106218, 30, 28, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (106219, 31, 28, 'Capabil sa suporte greutatea patru (4) etape');
INSERT INTO `lang_definitions` VALUES (106220, 32, 28, 'Abn');
INSERT INTO `lang_definitions` VALUES (106221, 33, 28, 'ABN1');
INSERT INTO `lang_definitions` VALUES (106222, 34, 28, 'Anormal');
INSERT INTO `lang_definitions` VALUES (106223, 35, 28, 'Anormal test de sange');
INSERT INTO `lang_definitions` VALUES (106224, 36, 28, 'Cresterea parului anormala');
INSERT INTO `lang_definitions` VALUES (106225, 37, 28, 'Anormala mamografie');
INSERT INTO `lang_definitions` VALUES (106226, 39, 28, 'Avort');
INSERT INTO `lang_definitions` VALUES (106227, 40, 28, 'Probleme avort');
INSERT INTO `lang_definitions` VALUES (106228, 41, 28, 'Avort metoda');
INSERT INTO `lang_definitions` VALUES (106229, 42, 28, 'Categorii legate de avort');
INSERT INTO `lang_definitions` VALUES (106230, 43, 28, 'Avorturi');
INSERT INTO `lang_definitions` VALUES (106231, 44, 28, 'Despre calendar');
INSERT INTO `lang_definitions` VALUES (106232, 46, 28, 'Absentele de diagnostic');
INSERT INTO `lang_definitions` VALUES (106233, 47, 28, 'Acceptare transfer');
INSERT INTO `lang_definitions` VALUES (106234, 48, 28, 'Acceptare plata pentru');
INSERT INTO `lang_definitions` VALUES (106235, 49, 28, 'Acceptare plata pentru');
INSERT INTO `lang_definitions` VALUES (106236, 50, 28, 'Accepta cesiunea');
INSERT INTO `lang_definitions` VALUES (106237, 51, 28, 'Acces control');
INSERT INTO `lang_definitions` VALUES (106238, 52, 28, 'Acces control lista administratie');
INSERT INTO `lang_definitions` VALUES (106239, 54, 28, 'Acces nepermis');
INSERT INTO `lang_definitions` VALUES (106240, 55, 28, 'Acces neautorizat');
INSERT INTO `lang_definitions` VALUES (106241, 56, 28, 'Accesul pacientului in portal');
INSERT INTO `lang_definitions` VALUES (106242, 59, 28, 'Numele contului');
INSERT INTO `lang_definitions` VALUES (106243, 62, 28, 'Contabilitate');
INSERT INTO `lang_definitions` VALUES (106244, 64, 28, 'Dureri');
INSERT INTO `lang_definitions` VALUES (106245, 65, 28, 'Confirmare solicitant (ISA 14)');
INSERT INTO `lang_definitions` VALUES (106246, 66, 28, 'Confirmare,licentiere si certificare');
INSERT INTO `lang_definitions` VALUES (106247, 67, 28, 'ACL');
INSERT INTO `lang_definitions` VALUES (106248, 68, 28, 'ACL Administrare');
INSERT INTO `lang_definitions` VALUES (106249, 69, 28, 'ACL Admiinistrare neautorizata');
INSERT INTO `lang_definitions` VALUES (106250, 71, 28, 'Acnee');
INSERT INTO `lang_definitions` VALUES (106251, 72, 28, 'Act');
INSERT INTO `lang_definitions` VALUES (106252, 73, 28, 'Actul de date');
INSERT INTO `lang_definitions` VALUES (106253, 74, 28, 'Actiune');
INSERT INTO `lang_definitions` VALUES (106254, 75, 28, 'Actiuni');
INSERT INTO `lang_definitions` VALUES (106255, 77, 28, 'Activare CCR/CCD de raportare');
INSERT INTO `lang_definitions` VALUES (106256, 78, 28, 'Activa');
INSERT INTO `lang_definitions` VALUES (106257, 79, 28, 'Alerta activa');
INSERT INTO `lang_definitions` VALUES (106258, 80, 28, 'Reguli alerta active');
INSERT INTO `lang_definitions` VALUES (106259, 81, 28, 'Alerte active/ memento-uri');
INSERT INTO `lang_definitions` VALUES (106260, 82, 28, 'Intalniri active');
INSERT INTO `lang_definitions` VALUES (106261, 84, 28, 'Liste active');
INSERT INTO `lang_definitions` VALUES (106262, 85, 28, 'Pacienti activi');
INSERT INTO `lang_definitions` VALUES (106263, 86, 28, 'Planuri active');
INSERT INTO `lang_definitions` VALUES (106264, 87, 28, 'Activitate');
INSERT INTO `lang_definitions` VALUES (106265, 88, 28, 'Tipul activitatii');
INSERT INTO `lang_definitions` VALUES (106266, 90, 28, 'Intoxicatie acuta/ retragere');
INSERT INTO `lang_definitions` VALUES (106267, 92, 28, 'Cronica acuta');
INSERT INTO `lang_definitions` VALUES (106268, 93, 28, 'adauga');
INSERT INTO `lang_definitions` VALUES (106269, 94, 28, 'Adauga');
INSERT INTO `lang_definitions` VALUES (106270, 95, 28, 'ADAUGA');
INSERT INTO `lang_definitions` VALUES (106271, 96, 28, 'Adauga o companie');
INSERT INTO `lang_definitions` VALUES (106272, 98, 28, 'Adauga o farmacie');
INSERT INTO `lang_definitions` VALUES (106273, 100, 28, 'Adauga un eveniment pentru ');
INSERT INTO `lang_definitions` VALUES (106274, 101, 28, 'Adauga ca o noua nota');
INSERT INTO `lang_definitions` VALUES (106275, 102, 28, 'Adauga ca nou');
INSERT INTO `lang_definitions` VALUES (106276, 104, 28, 'Adaugati butoane');
INSERT INTO `lang_definitions` VALUES (106277, 105, 28, 'Adăugați butoane pentru caractere speciale, textele să fie afișate în partea de sus a Editor pentru includerea în textul de pe un Click');
INSERT INTO `lang_definitions` VALUES (106278, 106, 28, 'Adauga categorie');
INSERT INTO `lang_definitions` VALUES (106279, 107, 28, 'Adauga constanta');
INSERT INTO `lang_definitions` VALUES (106280, 108, 28, 'Adauga context');
INSERT INTO `lang_definitions` VALUES (106281, 109, 28, 'Adauga coplatitor');
INSERT INTO `lang_definitions` VALUES (106282, 110, 28, 'Adauga criteriu');
INSERT INTO `lang_definitions` VALUES (106283, 111, 28, 'Adauga buton customizat');
INSERT INTO `lang_definitions` VALUES (106284, 112, 28, 'Adauga diagnostic');
INSERT INTO `lang_definitions` VALUES (106285, 113, 28, 'Adauga medicament');
INSERT INTO `lang_definitions` VALUES (106286, 114, 28, 'Adauga intalnire');
INSERT INTO `lang_definitions` VALUES (106287, 115, 28, 'Adauga intalnire/ note');
INSERT INTO `lang_definitions` VALUES (106288, 116, 28, 'Adauga facilitate');
INSERT INTO `lang_definitions` VALUES (106289, 117, 28, 'Adauga domeniu');
INSERT INTO `lang_definitions` VALUES (106290, 118, 28, 'Adăugați următoarele linii în fișierul de configurare Apache');
INSERT INTO `lang_definitions` VALUES (106291, 119, 28, 'Adauga grup');
INSERT INTO `lang_definitions` VALUES (106292, 120, 28, 'Adauga codul ICD');
INSERT INTO `lang_definitions` VALUES (106293, 121, 28, 'Adauga imunitate');
INSERT INTO `lang_definitions` VALUES (106294, 122, 28, 'Adaugare nepermisa');
INSERT INTO `lang_definitions` VALUES (106295, 123, 28, 'Adauga problema');
INSERT INTO `lang_definitions` VALUES (106296, 125, 28, 'Adauga limba');
INSERT INTO `lang_definitions` VALUES (106297, 126, 28, 'Adaugare noua');
INSERT INTO `lang_definitions` VALUES (106298, 127, 28, 'Adaugare noua');
INSERT INTO `lang_definitions` VALUES (106299, 128, 28, 'Adauga categorie noua ');
INSERT INTO `lang_definitions` VALUES (106300, 129, 28, 'Adauga certificat nou in fisierul de configurare Apache');
INSERT INTO `lang_definitions` VALUES (106301, 132, 28, 'Adauga grup nou');
INSERT INTO `lang_definitions` VALUES (106302, 133, 28, 'Adauga noua problema');
INSERT INTO `lang_definitions` VALUES (106303, 134, 28, 'Adauga lot nou si tanzactii');
INSERT INTO `lang_definitions` VALUES (106304, 135, 28, 'Adauga Nota Noua');
INSERT INTO `lang_definitions` VALUES (106305, 136, 28, 'Adauga nota noua');
INSERT INTO `lang_definitions` VALUES (106306, 137, 28, 'Adauga partener nou');
INSERT INTO `lang_definitions` VALUES (106307, 140, 28, 'Adauga nota');
INSERT INTO `lang_definitions` VALUES (106308, 141, 28, 'Adauga inregistrarea pacientului');
INSERT INTO `lang_definitions` VALUES (106309, 142, 28, 'Adauga reteta');
INSERT INTO `lang_definitions` VALUES (106310, 143, 28, 'Adauga procedura');
INSERT INTO `lang_definitions` VALUES (106311, 144, 28, 'Adauga numarul furnizorului');
INSERT INTO `lang_definitions` VALUES (106312, 145, 28, 'Adauga dezintoxicare');
INSERT INTO `lang_definitions` VALUES (106313, 147, 28, 'Adauga la');
INSERT INTO `lang_definitions` VALUES (106314, 148, 28, 'Adauga la lista de medicamente');
INSERT INTO `lang_definitions` VALUES (106315, 149, 28, 'Adauga nivel de top');
INSERT INTO `lang_definitions` VALUES (106316, 150, 28, 'Adauga tranzactie');
INSERT INTO `lang_definitions` VALUES (106317, 151, 28, 'Adauga utilizator');
INSERT INTO `lang_definitions` VALUES (106318, 152, 28, 'Adauga utilizator la grup');
INSERT INTO `lang_definitions` VALUES (106319, 153, 28, 'Adaugare/editare eRX');
INSERT INTO `lang_definitions` VALUES (106320, 154, 28, 'Adaugare/editare tranzacia pacientului');
INSERT INTO `lang_definitions` VALUES (106321, 155, 28, 'Adaugat');
INSERT INTO `lang_definitions` VALUES (106322, 156, 28, 'Adaugarea demografica nu este autorizata');
INSERT INTO `lang_definitions` VALUES (106323, 158, 28, 'Sindrom Addison');
INSERT INTO `lang_definitions` VALUES (106324, 159, 28, 'Sindromul Addison');
INSERT INTO `lang_definitions` VALUES (106325, 160, 28, 'Atribute suplimentare');
INSERT INTO `lang_definitions` VALUES (106326, 161, 28, 'Diagnostic suplimentar');
INSERT INTO `lang_definitions` VALUES (106327, 162, 28, 'Istorie suplimentara');
INSERT INTO `lang_definitions` VALUES (106328, 163, 28, 'Istorie note suplimentara');
INSERT INTO `lang_definitions` VALUES (106329, 164, 28, 'Informatii suplimentare');
INSERT INTO `lang_definitions` VALUES (106330, 165, 28, 'Laboratoare suplimentare');
INSERT INTO `lang_definitions` VALUES (106331, 166, 28, 'Note suplimentare');
INSERT INTO `lang_definitions` VALUES (106332, 167, 28, 'Note suplimentare pentru aceste rezultate sau recomandari');
INSERT INTO `lang_definitions` VALUES (106333, 168, 28, 'Note suplimentare:');
INSERT INTO `lang_definitions` VALUES (106334, 169, 28, 'Note suplimentare: ');
INSERT INTO `lang_definitions` VALUES (106335, 170, 28, 'Note X-RAY suplimenatre');
INSERT INTO `lang_definitions` VALUES (106336, 172, 28, 'Doar adaugare');
INSERT INTO `lang_definitions` VALUES (106337, 174, 28, 'Carte de adrese');
INSERT INTO `lang_definitions` VALUES (106338, 175, 28, 'Adresa');
INSERT INTO `lang_definitions` VALUES (106339, 178, 28, 'Adresa carte');
INSERT INTO `lang_definitions` VALUES (106340, 179, 28, 'Intrare agenda pentru compania care efectueaza aceasta procedura');
INSERT INTO `lang_definitions` VALUES (106341, 180, 28, 'Intrare agenda pentru distribuitor');
INSERT INTO `lang_definitions` VALUES (106342, 181, 28, 'Intrare agenda pentru furnizor');
INSERT INTO `lang_definitions` VALUES (106343, 182, 28, 'Tipuri intrare agenda');
INSERT INTO `lang_definitions` VALUES (106344, 187, 28, 'Adresa 1');
INSERT INTO `lang_definitions` VALUES (106345, 188, 28, 'Adresa 2');
INSERT INTO `lang_definitions` VALUES (106346, 189, 28, 'DESTINATAR');
INSERT INTO `lang_definitions` VALUES (106347, 190, 28, 'Adj');
INSERT INTO `lang_definitions` VALUES (106348, 191, 28, 'Adj suma');
INSERT INTO `lang_definitions` VALUES (106349, 192, 28, 'Ajusta');
INSERT INTO `lang_definitions` VALUES (106350, 193, 28, 'Ajustare');
INSERT INTO `lang_definitions` VALUES (106351, 194, 28, 'Ajustare Amt');
INSERT INTO `lang_definitions` VALUES (106352, 195, 28, 'Motiv de ajustare');
INSERT INTO `lang_definitions` VALUES (106353, 196, 28, 'Ajustare valoare pentru cod ');
INSERT INTO `lang_definitions` VALUES (106354, 197, 28, 'Ajustari');
INSERT INTO `lang_definitions` VALUES (106355, 198, 28, 'Ajustare Adm');
INSERT INTO `lang_definitions` VALUES (106356, 199, 28, 'Admin');
INSERT INTO `lang_definitions` VALUES (106357, 200, 28, 'Admin adresa email');
INSERT INTO `lang_definitions` VALUES (106358, 201, 28, 'Administra prin');
INSERT INTO `lang_definitions` VALUES (106359, 202, 28, 'Administrat');
INSERT INTO `lang_definitions` VALUES (106360, 203, 28, 'Administrat de');
INSERT INTO `lang_definitions` VALUES (106361, 205, 28, 'Site-ul administrat');
INSERT INTO `lang_definitions` VALUES (106362, 206, 28, 'Administrare');
INSERT INTO `lang_definitions` VALUES (106363, 207, 28, 'Administrare site');
INSERT INTO `lang_definitions` VALUES (106364, 208, 28, 'Administratori');
INSERT INTO `lang_definitions` VALUES (106365, 209, 28, 'Administratorii pot face orice');
INSERT INTO `lang_definitions` VALUES (106366, 210, 28, 'Informatii Admin');
INSERT INTO `lang_definitions` VALUES (106367, 212, 28, 'Greutate adulti verificare si urmarire');
INSERT INTO `lang_definitions` VALUES (106368, 213, 28, 'Greutate adulti verificare si urmarire (CQM)');
INSERT INTO `lang_definitions` VALUES (106369, 214, 28, 'Directiva in avans');
INSERT INTO `lang_definitions` VALUES (106370, 215, 28, 'Directive in avans');
INSERT INTO `lang_definitions` VALUES (106371, 216, 28, 'Avertizari directive in avans');
INSERT INTO `lang_definitions` VALUES (106372, 218, 28, 'Avansat');
INSERT INTO `lang_definitions` VALUES (106373, 219, 28, 'Sfat');
INSERT INTO `lang_definitions` VALUES (106374, 221, 28, 'Afecteaza normal');
INSERT INTO `lang_definitions` VALUES (106375, 223, 28, 'Apeluri dupa ora');
INSERT INTO `lang_definitions` VALUES (106376, 226, 28, 'Dupa salvarea PDF-ului,apasa (vezi logo) pentru verificare erori');
INSERT INTO `lang_definitions` VALUES (106377, 227, 28, 'Dupa salvarea fisierului( lor) TEXT,apasa (vezi logo) pentru verificare erori');
INSERT INTO `lang_definitions` VALUES (106378, 228, 28, 'Dupa salvarea grupului,apasa (vezi logo)pentru verificare erori');
INSERT INTO `lang_definitions` VALUES (106379, 230, 28, 'Dupa ce informatia este corect introdusa,apasa butonul Save');
INSERT INTO `lang_definitions` VALUES (106380, 232, 28, 'Plan de ingrijire');
INSERT INTO `lang_definitions` VALUES (106381, 233, 28, 'inca odata');
INSERT INTO `lang_definitions` VALUES (106382, 234, 28, 'Varsta');
INSERT INTO `lang_definitions` VALUES (106383, 235, 28, 'Varsta de');
INSERT INTO `lang_definitions` VALUES (106384, 236, 28, 'Categorie de varsta');
INSERT INTO `lang_definitions` VALUES (106385, 237, 28, 'Datele de varsta sunt in afara intervalului');
INSERT INTO `lang_definitions` VALUES (106386, 238, 28, 'Afisare format varsta');
INSERT INTO `lang_definitions` VALUES (106387, 239, 28, 'Format varsta pentru \"varsta de la\" nu este valid');
INSERT INTO `lang_definitions` VALUES (106388, 240, 28, 'Format varsta pentru \"varsta pana la\" nu este valid');
INSERT INTO `lang_definitions` VALUES (106389, 241, 28, 'Varsta de la');
INSERT INTO `lang_definitions` VALUES (106390, 242, 28, 'Varsta in ani pentru afisare format schimbat');
INSERT INTO `lang_definitions` VALUES (106391, 243, 28, 'Varsta maxima');
INSERT INTO `lang_definitions` VALUES (106392, 244, 28, 'Varsta minima');
INSERT INTO `lang_definitions` VALUES (106393, 245, 28, 'Interval de varsta');
INSERT INTO `lang_definitions` VALUES (106394, 247, 28, 'Imbatranire coloane:');
INSERT INTO `lang_definitions` VALUES (106395, 249, 28, 'Albanez');
INSERT INTO `lang_definitions` VALUES (106396, 250, 28, 'Alcool');
INSERT INTO `lang_definitions` VALUES (106397, 251, 28, 'Consum de alcool');
INSERT INTO `lang_definitions` VALUES (106398, 253, 28, 'Numarul alerta');
INSERT INTO `lang_definitions` VALUES (106399, 255, 28, 'Alerte');
INSERT INTO `lang_definitions` VALUES (106400, 259, 28, 'Toate');
INSERT INTO `lang_definitions` VALUES (106401, 260, 28, 'TOATE');
INSERT INTO `lang_definitions` VALUES (106402, 261, 28, 'Toate (Colationate format A)');
INSERT INTO `lang_definitions` VALUES (106403, 262, 28, 'Toate (Colationate format B)');
INSERT INTO `lang_definitions` VALUES (106404, 263, 28, 'Toate (cumulativ)');
INSERT INTO `lang_definitions` VALUES (106405, 266, 28, 'Toate categoriile');
INSERT INTO `lang_definitions` VALUES (106406, 268, 28, 'Toate codurile');
INSERT INTO `lang_definitions` VALUES (106407, 269, 28, 'Toate zilele');
INSERT INTO `lang_definitions` VALUES (106408, 270, 28, 'Evenimentele zilnice');
INSERT INTO `lang_definitions` VALUES (106409, 271, 28, 'Toate campurile demografice ,cu cautare si dubla verificare');
INSERT INTO `lang_definitions` VALUES (106410, 272, 28, 'Toate facilitatile');
INSERT INTO `lang_definitions` VALUES (106411, 273, 28, 'Toate pagubele/problemele');
INSERT INTO `lang_definitions` VALUES (106412, 274, 28, 'Toate limbile permise');
INSERT INTO `lang_definitions` VALUES (106413, 276, 28, 'Toate sau o parte din prenume');
INSERT INTO `lang_definitions` VALUES (106414, 277, 28, 'Toate sau o parte din numele de familie');
INSERT INTO `lang_definitions` VALUES (106415, 278, 28, 'Totul sau o parte din oragnizatie');
INSERT INTO `lang_definitions` VALUES (106416, 280, 28, 'Toate produsele');
INSERT INTO `lang_definitions` VALUES (106417, 281, 28, 'Toti furnizorii');
INSERT INTO `lang_definitions` VALUES (106418, 283, 28, 'Toate subiectele');
INSERT INTO `lang_definitions` VALUES (106419, 284, 28, 'Toti utilizatorii');
INSERT INTO `lang_definitions` VALUES (106420, 285, 28, 'Alergic');
INSERT INTO `lang_definitions` VALUES (106421, 286, 28, 'Alergii');
INSERT INTO `lang_definitions` VALUES (106422, 287, 28, 'Alergii:');
INSERT INTO `lang_definitions` VALUES (106423, 288, 28, 'Alergie');
INSERT INTO `lang_definitions` VALUES (106424, 289, 28, 'Import alergie finalizat cu succes');
INSERT INTO `lang_definitions` VALUES (106425, 291, 28, 'Reactii alergice');
INSERT INTO `lang_definitions` VALUES (106426, 294, 28, 'Alocat');
INSERT INTO `lang_definitions` VALUES (106427, 295, 28, 'Permite');
INSERT INTO `lang_definitions` VALUES (106428, 296, 28, 'Permiteți toate limbile disponibile ca opțiuni în meniul de autentificare.');
INSERT INTO `lang_definitions` VALUES (106429, 297, 28, 'Permite crearea de cereri care conțin diagnostice, dar nu la proceduri sau taxe. Cele mai multe clinici nu doresc acest lucru.');
INSERT INTO `lang_definitions` VALUES (106430, 299, 28, 'Permiteti email');
INSERT INTO `lang_definitions` VALUES (106431, 300, 28, 'Permiteti mesaje pe email?');
INSERT INTO `lang_definitions` VALUES (106432, 301, 28, 'Permiteti email?');
INSERT INTO `lang_definitions` VALUES (106433, 302, 28, 'Permiteti intalniri creante?');
INSERT INTO `lang_definitions` VALUES (106434, 303, 28, 'Permiteti schimb de informatii despre sanatate');
INSERT INTO `lang_definitions` VALUES (106435, 306, 28, 'Permiteti mesaj pe mail');
INSERT INTO `lang_definitions` VALUES (106436, 308, 28, 'Permiteti portal pacienti');
INSERT INTO `lang_definitions` VALUES (106437, 309, 28, 'Permiteti SMS');
INSERT INTO `lang_definitions` VALUES (106438, 310, 28, 'Permiteti SMS ( mesaj text)?');
INSERT INTO `lang_definitions` VALUES (106439, 311, 28, 'Permiteti evenimentele prezentate sa fie active instant?');
INSERT INTO `lang_definitions` VALUES (106440, 312, 28, 'Permiteti mesaj pe telefon?');
INSERT INTO `lang_definitions` VALUES (106441, 313, 28, 'Permite utilizatorilor să publice Evenimente globale');
INSERT INTO `lang_definitions` VALUES (106442, 314, 28, 'Permite utilizatorilor să publice calendare personale');
INSERT INTO `lang_definitions` VALUES (106443, 315, 28, 'Permiteti mesaj voce?');
INSERT INTO `lang_definitions` VALUES (106444, 316, 28, 'Permis');
INSERT INTO `lang_definitions` VALUES (106445, 317, 28, 'Limbi permise');
INSERT INTO `lang_definitions` VALUES (106446, 318, 28, 'Permis( c)');
INSERT INTO `lang_definitions` VALUES (106447, 323, 28, 'Deja exista');
INSERT INTO `lang_definitions` VALUES (106448, 324, 28, 'Deja exista.');
INSERT INTO `lang_definitions` VALUES (106449, 325, 28, 'Deja folosit,alege alt identificator');
INSERT INTO `lang_definitions` VALUES (106450, 326, 28, 'Deja folosit,alege alt titlu');
INSERT INTO `lang_definitions` VALUES (106451, 327, 28, 'Alt adresa');
INSERT INTO `lang_definitions` VALUES (106452, 328, 28, 'modifica');
INSERT INTO `lang_definitions` VALUES (106453, 329, 28, 'Alternativ, puteți folosi pagina de căutare pentru a încărca un remitențe electronic (X12 835) pe care le-ați obținut de la plătitor sau de centru de informare. Puteți face acest lucru făcând clic pe butonul Browse și selectați fișierul pentru a încărca, și apoi clic pe Căutare pentru a efectua încărcarea și afișa facturile aferente. În acest caz, celelalte parametrii menționați mai sus nu se aplică și vor fi ignorate. Încărcarea salvează fișierul, dar nu prelucrează încă conținutul său - care se face separat așa cum este descris mai jos.');
INSERT INTO `lang_definitions` VALUES (106454, 330, 28, 'AM');
INSERT INTO `lang_definitions` VALUES (106455, 331, 28, 'AM Program');
INSERT INTO `lang_definitions` VALUES (106456, 332, 28, 'AMC');
INSERT INTO `lang_definitions` VALUES (106457, 333, 28, 'Urmarire AMC');
INSERT INTO `lang_definitions` VALUES (106458, 338, 28, 'Se modifica nota existenta');
INSERT INTO `lang_definitions` VALUES (106459, 343, 28, 'American Indian');
INSERT INTO `lang_definitions` VALUES (106460, 344, 28, 'American Indian sau Alaska nascut');
INSERT INTO `lang_definitions` VALUES (106461, 345, 28, 'AMEX');
INSERT INTO `lang_definitions` VALUES (106462, 347, 28, 'Suma');
INSERT INTO `lang_definitions` VALUES (106463, 348, 28, 'Cantitatea administrata');
INSERT INTO `lang_definitions` VALUES (106464, 349, 28, 'Suma taxe');
INSERT INTO `lang_definitions` VALUES (106465, 350, 28, 'Suma pentru soldul anterior');
INSERT INTO `lang_definitions` VALUES (106466, 351, 28, 'Suma pentru aceasta vizita');
INSERT INTO `lang_definitions` VALUES (106467, 352, 28, 'Suma platita');
INSERT INTO `lang_definitions` VALUES (106468, 353, 28, 'Suma');
INSERT INTO `lang_definitions` VALUES (106469, 354, 28, 'Amt facturate');
INSERT INTO `lang_definitions` VALUES (106470, 355, 28, 'O dată de încheiere ulterioară datei de început este necesar pentru evenimente repetate!');
INSERT INTO `lang_definitions` VALUES (106471, 356, 28, 'A aparut o eroare la semnarea formularului');
INSERT INTO `lang_definitions` VALUES (106472, 362, 28, 'A aparut o eroare neasteptata');
INSERT INTO `lang_definitions` VALUES (106473, 363, 28, 'O litera mare');
INSERT INTO `lang_definitions` VALUES (106474, 365, 28, 'Si');
INSERT INTO `lang_definitions` VALUES (106475, 366, 28, 'SI');
INSERT INTO `lang_definitions` VALUES (106476, 367, 28, 'si');
INSERT INTO `lang_definitions` VALUES (106477, 368, 28, 'si ');
INSERT INTO `lang_definitions` VALUES (106478, 369, 28, 'și toate datele subordonate? Această acțiune va fi inregistrata');
INSERT INTO `lang_definitions` VALUES (106479, 370, 28, 'si modifica');
INSERT INTO `lang_definitions` VALUES (106480, 371, 28, 'si prelucrate');
INSERT INTO `lang_definitions` VALUES (106481, 372, 28, 'si reporneste serverul Apache');
INSERT INTO `lang_definitions` VALUES (106482, 373, 28, 'si motivul este');
INSERT INTO `lang_definitions` VALUES (106483, 374, 28, 'Anemie');
INSERT INTO `lang_definitions` VALUES (106484, 375, 28, 'Glezna');
INSERT INTO `lang_definitions` VALUES (106485, 376, 28, 'Glezna+calcai');
INSERT INTO `lang_definitions` VALUES (106486, 377, 28, 'Evaluarea gleznei de la');
INSERT INTO `lang_definitions` VALUES (106487, 378, 28, 'Problemele gleznei');
INSERT INTO `lang_definitions` VALUES (106488, 381, 28, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (106489, 382, 28, 'Un alt lucru care se poate face în fereastra de înregistrare este cererea secundar de facturare. Dacă selectaţi această casetă de selectare, înainte de salvare, apoi cererea iniţială va fi re-deschis şi în coada de aşteptare în pagina de facturare, şi vor fi procesate în timpul următoare de facturare a alerga.');
INSERT INTO `lang_definitions` VALUES (106490, 384, 28, 'Anus nl, nicio sensibilitate rectala/ masa');
INSERT INTO `lang_definitions` VALUES (106491, 385, 28, 'Anxietate');
INSERT INTO `lang_definitions` VALUES (106492, 386, 28, 'Orice');
INSERT INTO `lang_definitions` VALUES (106493, 387, 28, 'Orice categorie');
INSERT INTO `lang_definitions` VALUES (106494, 388, 28, 'Orice parte din codul dorit sau descrierea');
INSERT INTO `lang_definitions` VALUES (106495, 389, 28, 'Orice parte din specialitatea dorita');
INSERT INTO `lang_definitions` VALUES (106496, 390, 28, 'Orice parte din ID medicamentului sau numele medicamentului');
INSERT INTO `lang_definitions` VALUES (106497, 391, 28, 'Orice parte din ID imuniza');
INSERT INTO `lang_definitions` VALUES (106498, 392, 28, 'Orice parte din numele pacientului, sau \'nume,prenume\',sau \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (106499, 393, 28, 'Alte informatii relevante');
INSERT INTO `lang_definitions` VALUES (106500, 395, 28, 'Apnee');
INSERT INTO `lang_definitions` VALUES (106501, 396, 28, 'Aspect');
INSERT INTO `lang_definitions` VALUES (106502, 397, 28, 'Aspect:');
INSERT INTO `lang_definitions` VALUES (106503, 398, 28, 'Adaugati aceasta nota');
INSERT INTO `lang_definitions` VALUES (106504, 399, 28, 'Adaugati la nota existenta');
INSERT INTO `lang_definitions` VALUES (106505, 400, 28, 'Adaugati la aceasta nota');
INSERT INTO `lang_definitions` VALUES (106506, 401, 28, 'Adaugati la aceasta Nota');
INSERT INTO `lang_definitions` VALUES (106507, 402, 28, 'Apendicectomie');
INSERT INTO `lang_definitions` VALUES (106508, 404, 28, 'Pacienti aplicabili');
INSERT INTO `lang_definitions` VALUES (106509, 405, 28, 'Aplicatie');
INSERT INTO `lang_definitions` VALUES (106510, 406, 28, 'Numele pentru pagina de autentificare si principalul titlu al ferestrei');
INSERT INTO `lang_definitions` VALUES (106511, 407, 28, 'Aplicarea Codului Receptor (GS03 - În cazul în care va fi folosit ISA08 goale)');
INSERT INTO `lang_definitions` VALUES (106512, 408, 28, 'Aplicatia cod de expeditor (GS02)');
INSERT INTO `lang_definitions` VALUES (106513, 409, 28, 'Aplicarea titlului');
INSERT INTO `lang_definitions` VALUES (106514, 410, 28, 'Se aplica la semnele vitale si la graficul de crestere');
INSERT INTO `lang_definitions` VALUES (106515, 411, 28, 'Se aplica la semnele vitale de la');
INSERT INTO `lang_definitions` VALUES (106516, 413, 28, 'Aplica la zona afectata');
INSERT INTO `lang_definitions` VALUES (106517, 414, 28, 'Aplica la piele');
INSERT INTO `lang_definitions` VALUES (106518, 415, 28, 'Aplicarea');
INSERT INTO `lang_definitions` VALUES (106519, 416, 28, 'Aplicarea plasturelui la site');
INSERT INTO `lang_definitions` VALUES (106520, 417, 28, 'Programare');
INSERT INTO `lang_definitions` VALUES (106521, 418, 28, 'Data progamare');
INSERT INTO `lang_definitions` VALUES (106522, 419, 28, 'Mod de afisare a programarii');
INSERT INTO `lang_definitions` VALUES (106523, 420, 28, 'Regula de reamintire a programarii');
INSERT INTO `lang_definitions` VALUES (106524, 421, 28, 'Starea programarii');
INSERT INTO `lang_definitions` VALUES (106525, 422, 28, 'Starile programarilor');
INSERT INTO `lang_definitions` VALUES (106526, 423, 28, 'Programare in');
INSERT INTO `lang_definitions` VALUES (106527, 424, 28, 'Culoarea programarii/ evenimentului');
INSERT INTO `lang_definitions` VALUES (106528, 425, 28, 'Progaramari');
INSERT INTO `lang_definitions` VALUES (106529, 426, 28, 'Programari ( optional)');
INSERT INTO `lang_definitions` VALUES (106530, 427, 28, 'Programari (scrieri optionale)');
INSERT INTO `lang_definitions` VALUES (106531, 430, 28, 'Programari si intalniri');
INSERT INTO `lang_definitions` VALUES (106532, 431, 28, 'Raport programari');
INSERT INTO `lang_definitions` VALUES (106533, 432, 28, 'Raport programari-intalniri');
INSERT INTO `lang_definitions` VALUES (106534, 434, 28, 'Aprobari');
INSERT INTO `lang_definitions` VALUES (106535, 436, 28, 'Aprobat');
INSERT INTO `lang_definitions` VALUES (106536, 437, 28, 'Administrare evenimente aprobate');
INSERT INTO `lang_definitions` VALUES (106537, 440, 28, 'Appt-Enc');
INSERT INTO `lang_definitions` VALUES (106538, 441, 28, 'Appts');
INSERT INTO `lang_definitions` VALUES (106539, 442, 28, 'Apr');
INSERT INTO `lang_definitions` VALUES (106540, 443, 28, 'Aprilie');
INSERT INTO `lang_definitions` VALUES (106541, 444, 28, 'Arabic');
INSERT INTO `lang_definitions` VALUES (106542, 446, 28, 'Arhiva');
INSERT INTO `lang_definitions` VALUES (106543, 447, 28, 'Exista');
INSERT INTO `lang_definitions` VALUES (106544, 450, 28, 'Sunt taxele percepute pentru acest tip?');
INSERT INTO `lang_definitions` VALUES (106545, 451, 28, 'Sunt titluri nota de pacienti pentru a fi traduse?');
INSERT INTO `lang_definitions` VALUES (106546, 453, 28, 'Esti pregatit sa completezi o noua GCAC problema pentru aceasta vizita?');
INSERT INTO `lang_definitions` VALUES (106547, 454, 28, 'Esti sigur ca ai postat pentru azi?');
INSERT INTO `lang_definitions` VALUES (106548, 455, 28, 'Esti sigur ca vrei sa aprobi acest eveniment?');
INSERT INTO `lang_definitions` VALUES (106549, 457, 28, 'Sunteți sigur că doriți să eliminați complet acest formular?');
INSERT INTO `lang_definitions` VALUES (106550, 459, 28, 'Sunteți sigur că doriți să ștergeți această dezvăluire?');
INSERT INTO `lang_definitions` VALUES (106551, 460, 28, 'Sunteti sigur ca doriti sa stergeti acest eveniment?');
INSERT INTO `lang_definitions` VALUES (106552, 461, 28, 'Sunteti sigur ca doriti sa stergeti acest articol din baza de date?');
INSERT INTO `lang_definitions` VALUES (106553, 462, 28, 'Sunteti sigur ca doriti sa stergeti aceasta nota?');
INSERT INTO `lang_definitions` VALUES (106554, 464, 28, 'Sunteti sigur ca doriti sa stergeti acest eveniment?');
INSERT INTO `lang_definitions` VALUES (106555, 465, 28, 'Sunteti sigur ca doriti sa ascundeti acest eveniment?');
INSERT INTO `lang_definitions` VALUES (106556, 467, 28, 'Sunteti sigur ca doriti sa vedeti acest eveniment?');
INSERT INTO `lang_definitions` VALUES (106557, 468, 28, 'Sunteti sigur ca doriti sa stergeti intreaga denumire a grupului?');
INSERT INTO `lang_definitions` VALUES (106558, 469, 28, 'Sunteti sigur ca doriti sa stergeti intreaga lista?');
INSERT INTO `lang_definitions` VALUES (106559, 470, 28, 'Sunteți sigur că doriți să ștergeți domeniu în');
INSERT INTO `lang_definitions` VALUES (106560, 471, 28, 'Sunteti sigur ca doriti sa stergeti fisierele selectate?');
INSERT INTO `lang_definitions` VALUES (106561, 472, 28, 'Sunteti sigur ca doriti sa continuati aceasta actiune?');
INSERT INTO `lang_definitions` VALUES (106562, 473, 28, 'Zona nespecificata');
INSERT INTO `lang_definitions` VALUES (106563, 474, 28, 'Brat');
INSERT INTO `lang_definitions` VALUES (106564, 475, 28, 'Armean');
INSERT INTO `lang_definitions` VALUES (106565, 478, 28, 'Artrita');
INSERT INTO `lang_definitions` VALUES (106566, 481, 28, 'ca');
INSERT INTO `lang_definitions` VALUES (106567, 484, 28, 'Asiatic');
INSERT INTO `lang_definitions` VALUES (106568, 487, 28, 'Evaluare');
INSERT INTO `lang_definitions` VALUES (106569, 488, 28, 'Evaluare pentru');
INSERT INTO `lang_definitions` VALUES (106570, 489, 28, 'Asistent');
INSERT INTO `lang_definitions` VALUES (106571, 490, 28, 'Astm');
INSERT INTO `lang_definitions` VALUES (106572, 491, 28, 'ca');
INSERT INTO `lang_definitions` VALUES (106573, 495, 28, 'Echipa atletica');
INSERT INTO `lang_definitions` VALUES (106574, 496, 28, 'Echipa atletica');
INSERT INTO `lang_definitions` VALUES (106575, 497, 28, 'Atletic/rana');
INSERT INTO `lang_definitions` VALUES (106576, 500, 28, 'ATNA certificat local audit');
INSERT INTO `lang_definitions` VALUES (106577, 503, 28, 'Atentie');
INSERT INTO `lang_definitions` VALUES (106578, 504, 28, 'Attn');
INSERT INTO `lang_definitions` VALUES (106579, 516, 28, 'Aug');
INSERT INTO `lang_definitions` VALUES (106580, 517, 28, 'August');
INSERT INTO `lang_definitions` VALUES (106581, 523, 28, 'Autorizatie de grup');
INSERT INTO `lang_definitions` VALUES (106582, 524, 28, 'Statusul autorizatiei');
INSERT INTO `lang_definitions` VALUES (106583, 525, 28, 'Autorizatii');
INSERT INTO `lang_definitions` VALUES (106584, 526, 28, 'Autoriza');
INSERT INTO `lang_definitions` VALUES (106585, 527, 28, 'Autorizeaza-orice intalnire');
INSERT INTO `lang_definitions` VALUES (106586, 528, 28, 'Autorizeaza intalnirea mea');
INSERT INTO `lang_definitions` VALUES (106587, 530, 28, 'Autorizat');
INSERT INTO `lang_definitions` VALUES (106588, 531, 28, 'Doar autorizare');
INSERT INTO `lang_definitions` VALUES (106589, 532, 28, 'Autotrimitere');
INSERT INTO `lang_definitions` VALUES (106590, 535, 28, 'Auto creare intalniri noi');
INSERT INTO `lang_definitions` VALUES (106591, 536, 28, 'Auto generare');
INSERT INTO `lang_definitions` VALUES (106592, 537, 28, 'Calcule automate de masura AMC');
INSERT INTO `lang_definitions` VALUES (106593, 542, 28, 'Urmarire calcule autoamte de masura AMC');
INSERT INTO `lang_definitions` VALUES (106594, 543, 28, 'Masuri automate AMC');
INSERT INTO `lang_definitions` VALUES (106595, 544, 28, 'Automat');
INSERT INTO `lang_definitions` VALUES (106596, 549, 28, 'Automobil medical');
INSERT INTO `lang_definitions` VALUES (106597, 550, 28, 'autosalvare');
INSERT INTO `lang_definitions` VALUES (106598, 551, 28, 'Categorii disponibile');
INSERT INTO `lang_definitions` VALUES (106599, 552, 28, 'Timp disponibil');
INSERT INTO `lang_definitions` VALUES (106600, 557, 28, 'Medie lunara');
INSERT INTO `lang_definitions` VALUES (106601, 558, 28, 'Smulgere/ smulgere fractura');
INSERT INTO `lang_definitions` VALUES (106602, 559, 28, 'Smulgerea maleolei laterale');
INSERT INTO `lang_definitions` VALUES (106603, 560, 28, 'Smulgerea maleolei mediene ');
INSERT INTO `lang_definitions` VALUES (106604, 561, 28, 'Bazate pe gradul de conştientizare');
INSERT INTO `lang_definitions` VALUES (106605, 562, 28, 'Axilar');
INSERT INTO `lang_definitions` VALUES (106606, 566, 28, 'Inapoi');
INSERT INTO `lang_definitions` VALUES (106607, 567, 28, 'inapoi');
INSERT INTO `lang_definitions` VALUES (106608, 568, 28, 'Opt vizite in urma');
INSERT INTO `lang_definitions` VALUES (106609, 569, 28, 'Unsprezece vizite in urma');
INSERT INTO `lang_definitions` VALUES (106610, 570, 28, 'Cinci vizite in urma');
INSERT INTO `lang_definitions` VALUES (106611, 571, 28, 'Patru vizite in urma');
INSERT INTO `lang_definitions` VALUES (106612, 572, 28, 'Noua vizite in urma');
INSERT INTO `lang_definitions` VALUES (106613, 573, 28, 'O vizita in urma');
INSERT INTO `lang_definitions` VALUES (106614, 574, 28, 'Durere de spate');
INSERT INTO `lang_definitions` VALUES (106615, 575, 28, 'Probleme cu spatele');
INSERT INTO `lang_definitions` VALUES (106616, 576, 28, 'Sapte vizite in urma');
INSERT INTO `lang_definitions` VALUES (106617, 577, 28, 'Sase vizite in urma');
INSERT INTO `lang_definitions` VALUES (106618, 578, 28, 'Operatie de spate');
INSERT INTO `lang_definitions` VALUES (106619, 579, 28, 'Zece vizite in urma');
INSERT INTO `lang_definitions` VALUES (106620, 580, 28, 'Trei vizite in urma');
INSERT INTO `lang_definitions` VALUES (106621, 581, 28, 'Inapoi la pagina de Admin');
INSERT INTO `lang_definitions` VALUES (106622, 584, 28, 'Inapoi la pacient');
INSERT INTO `lang_definitions` VALUES (106623, 585, 28, 'Inapoi la utilizator');
INSERT INTO `lang_definitions` VALUES (106624, 586, 28, 'Inapoi la vizualizarea');
INSERT INTO `lang_definitions` VALUES (106625, 587, 28, 'Doisprezece vizite in urma');
INSERT INTO `lang_definitions` VALUES (106626, 588, 28, 'Doua vizite in urma');
INSERT INTO `lang_definitions` VALUES (106627, 589, 28, 'Serviciile de fundal');
INSERT INTO `lang_definitions` VALUES (106628, 590, 28, 'Acoperire');
INSERT INTO `lang_definitions` VALUES (106629, 591, 28, 'Fisierul de rezerva a fost creeat.Acum trimitem descarcarea');
INSERT INTO `lang_definitions` VALUES (106630, 593, 28, 'Acoperirea a fost luata cu succes in');
INSERT INTO `lang_definitions` VALUES (106631, 594, 28, 'Verificare gresita');
INSERT INTO `lang_definitions` VALUES (106632, 595, 28, 'Debit/ datorie rea');
INSERT INTO `lang_definitions` VALUES (106633, 597, 28, 'Bal');
INSERT INTO `lang_definitions` VALUES (106634, 598, 28, 'Balanta');
INSERT INTO `lang_definitions` VALUES (106635, 599, 28, 'balanta');
INSERT INTO `lang_definitions` VALUES (106636, 603, 28, 'Proiectul de banca');
INSERT INTO `lang_definitions` VALUES (106637, 611, 28, 'Cerere lot');
INSERT INTO `lang_definitions` VALUES (106638, 612, 28, 'Instrument de verificare lot');
INSERT INTO `lang_definitions` VALUES (106639, 613, 28, 'Intrare plata lot');
INSERT INTO `lang_definitions` VALUES (106640, 614, 28, 'Platile lotului');
INSERT INTO `lang_definitions` VALUES (106641, 615, 28, 'Procesarea lotului initiata, dureaza un timp');
INSERT INTO `lang_definitions` VALUES (106642, 616, 28, 'Rezultatele lotului');
INSERT INTO `lang_definitions` VALUES (106643, 619, 28, 'pentru ca acest id nu exista');
INSERT INTO `lang_definitions` VALUES (106644, 620, 28, 'incepe');
INSERT INTO `lang_definitions` VALUES (106645, 621, 28, 'data de inceput');
INSERT INTO `lang_definitions` VALUES (106646, 623, 28, 'Data de inceput a serviciului an-luna-zi');
INSERT INTO `lang_definitions` VALUES (106647, 624, 28, 'Ora de inceput din zi pentru calendarul evenimentelor');
INSERT INTO `lang_definitions` VALUES (106648, 630, 28, 'intre');
INSERT INTO `lang_definitions` VALUES (106649, 633, 28, 'bilateral');
INSERT INTO `lang_definitions` VALUES (106650, 634, 28, 'Bilateral:');
INSERT INTO `lang_definitions` VALUES (106651, 636, 28, 'Data facturii');
INSERT INTO `lang_definitions` VALUES (106652, 638, 28, 'facturat');
INSERT INTO `lang_definitions` VALUES (106653, 640, 28, 'Facturare');
INSERT INTO `lang_definitions` VALUES (106654, 648, 28, 'Unitatea de Facturare');
INSERT INTO `lang_definitions` VALUES (106655, 665, 28, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (106656, 666, 28, 'Data nasterii');
INSERT INTO `lang_definitions` VALUES (106657, 667, 28, 'Nastere-24 luni');
INSERT INTO `lang_definitions` VALUES (106658, 669, 28, 'Negru');
INSERT INTO `lang_definitions` VALUES (106659, 670, 28, 'Negru lung');
INSERT INTO `lang_definitions` VALUES (106660, 671, 28, 'Negru sau african american');
INSERT INTO `lang_definitions` VALUES (106661, 672, 28, 'Cancer de sange');
INSERT INTO `lang_definitions` VALUES (106662, 673, 28, 'Infectie in sange');
INSERT INTO `lang_definitions` VALUES (106663, 674, 28, 'Formulare albe');
INSERT INTO `lang_definitions` VALUES (106664, 675, 28, 'Probleme de sangerare');
INSERT INTO `lang_definitions` VALUES (106665, 677, 28, 'Balonare');
INSERT INTO `lang_definitions` VALUES (106666, 678, 28, 'Blocat');
INSERT INTO `lang_definitions` VALUES (106667, 679, 28, 'Sange');
INSERT INTO `lang_definitions` VALUES (106668, 680, 28, 'Tensiune arteriala');
INSERT INTO `lang_definitions` VALUES (106669, 681, 28, 'Tensiune arteriala');
INSERT INTO `lang_definitions` VALUES (106670, 682, 28, 'Sangerare nazala');
INSERT INTO `lang_definitions` VALUES (106671, 686, 28, 'BMI');
INSERT INTO `lang_definitions` VALUES (106672, 687, 28, 'Situatia BMI');
INSERT INTO `lang_definitions` VALUES (106673, 689, 28, 'Regiunea corpului');
INSERT INTO `lang_definitions` VALUES (106674, 692, 28, 'Sensibilitate osoasa');
INSERT INTO `lang_definitions` VALUES (106675, 696, 28, 'Jos');
INSERT INTO `lang_definitions` VALUES (106676, 697, 28, 'Ambele urechi');
INSERT INTO `lang_definitions` VALUES (106677, 698, 28, 'Ambele urechi');
INSERT INTO `lang_definitions` VALUES (106678, 699, 28, 'Buton');
INSERT INTO `lang_definitions` VALUES (106679, 701, 28, 'Casuta 10 A. relatarile angajatului ');
INSERT INTO `lang_definitions` VALUES (106680, 702, 28, 'Casuta 10 B. accident auto ');
INSERT INTO `lang_definitions` VALUES (106681, 703, 28, 'Casuta 10 C. altfel de accident ');
INSERT INTO `lang_definitions` VALUES (106682, 706, 28, 'Casuta 15.Data aceleiasi boli sau similare ( an-luna-zi)');
INSERT INTO `lang_definitions` VALUES (106683, 708, 28, 'Casuta 16. Data de la care nu se lucreaza( an-luna-zi)');
INSERT INTO `lang_definitions` VALUES (106684, 710, 28, 'Casuta 18.Data spitalizarii de la (an-luna-zi) ');
INSERT INTO `lang_definitions` VALUES (106685, 711, 28, 'Casuta 18.Data spitalizarii pana la ( an -luna-zi) ');
INSERT INTO `lang_definitions` VALUES (106686, 712, 28, 'Esta laboratorul de afara folosit?');
INSERT INTO `lang_definitions` VALUES (106687, 715, 28, 'BP');
INSERT INTO `lang_definitions` VALUES (106688, 719, 28, 'Bpd');
INSERT INTO `lang_definitions` VALUES (106689, 721, 28, 'Bps');
INSERT INTO `lang_definitions` VALUES (106690, 722, 28, 'Brazilian portughez');
INSERT INTO `lang_definitions` VALUES (106691, 723, 28, 'San');
INSERT INTO `lang_definitions` VALUES (106692, 724, 28, 'Operatie la san');
INSERT INTO `lang_definitions` VALUES (106693, 727, 28, 'Examen la san');
INSERT INTO `lang_definitions` VALUES (106694, 730, 28, 'Sunetul respiratiei');
INSERT INTO `lang_definitions` VALUES (106695, 732, 28, 'Oase rupte');
INSERT INTO `lang_definitions` VALUES (106696, 734, 28, 'Bronsita de la');
INSERT INTO `lang_definitions` VALUES (106697, 735, 28, 'Rasfoiti');
INSERT INTO `lang_definitions` VALUES (106698, 736, 28, 'Rasfoiti pentru inregistrare');
INSERT INTO `lang_definitions` VALUES (106699, 739, 28, 'Drept bombat');
INSERT INTO `lang_definitions` VALUES (106700, 741, 28, 'Arsura la urinare');
INSERT INTO `lang_definitions` VALUES (106701, 742, 28, 'Arsura la urinare');
INSERT INTO `lang_definitions` VALUES (106702, 744, 28, 'Ocupat');
INSERT INTO `lang_definitions` VALUES (106703, 745, 28, 'dar inca nu e procesat');
INSERT INTO `lang_definitions` VALUES (106704, 746, 28, 'Fesa');
INSERT INTO `lang_definitions` VALUES (106705, 747, 28, 'fesa +S.I.');
INSERT INTO `lang_definitions` VALUES (106706, 748, 28, 'de');
INSERT INTO `lang_definitions` VALUES (106707, 749, 28, 'de');
INSERT INTO `lang_definitions` VALUES (106708, 750, 28, 'de gura');
INSERT INTO `lang_definitions` VALUES (106709, 751, 28, 'de/sursa');
INSERT INTO `lang_definitions` VALUES (106710, 752, 28, 'de:');
INSERT INTO `lang_definitions` VALUES (106711, 753, 28, 'C');
INSERT INTO `lang_definitions` VALUES (106712, 758, 28, 'Calendar');
INSERT INTO `lang_definitions` VALUES (106713, 759, 28, 'Calendar ora sfarsit');
INSERT INTO `lang_definitions` VALUES (106714, 760, 28, 'Interval calendaristic');
INSERT INTO `lang_definitions` VALUES (106715, 761, 28, 'Ecranul calendarului');
INSERT INTO `lang_definitions` VALUES (106716, 762, 28, 'Setarile calendarului');
INSERT INTO `lang_definitions` VALUES (106717, 763, 28, 'Calendar ora de inceput');
INSERT INTO `lang_definitions` VALUES (106718, 764, 28, 'Calendar UI');
INSERT INTO `lang_definitions` VALUES (106719, 765, 28, 'Vederea calendarului');
INSERT INTO `lang_definitions` VALUES (106720, 766, 28, 'Apelul la addForm () merge aici <br>');
INSERT INTO `lang_definitions` VALUES (106721, 767, 28, 'Calorii');
INSERT INTO `lang_definitions` VALUES (106722, 768, 28, 'Cambodgian');
INSERT INTO `lang_definitions` VALUES (106724, 774, 28, 'anulare');
INSERT INTO `lang_definitions` VALUES (106725, 775, 28, 'Schimbari anulate');
INSERT INTO `lang_definitions` VALUES (106726, 776, 28, 'anulare');
INSERT INTO `lang_definitions` VALUES (106727, 777, 28, 'cancer');
INSERT INTO `lang_definitions` VALUES (106728, 778, 28, 'Cancer de colon');
INSERT INTO `lang_definitions` VALUES (106729, 779, 28, 'mamografie');
INSERT INTO `lang_definitions` VALUES (106730, 780, 28, 'Test Papanicolau');
INSERT INTO `lang_definitions` VALUES (106731, 781, 28, 'Cancer de prostata');
INSERT INTO `lang_definitions` VALUES (106732, 782, 28, 'Acesta nu se poate adauga deoarece exista deja');
INSERT INTO `lang_definitions` VALUES (106733, 783, 28, 'aceasta nu se poate adauga deoarece exista deja o copie');
INSERT INTO `lang_definitions` VALUES (106734, 784, 28, 'nu se poate arhiva');
INSERT INTO `lang_definitions` VALUES (106735, 786, 28, 'nu se poate sterge/ignora');
INSERT INTO `lang_definitions` VALUES (106736, 790, 28, 'nu se poate creea');
INSERT INTO `lang_definitions` VALUES (106737, 795, 28, 'nu se gaseste ');
INSERT INTO `lang_definitions` VALUES (106738, 796, 28, 'nu se poate gasi o destinatie a fisierului');
INSERT INTO `lang_definitions` VALUES (106739, 800, 28, 'Imposibil de gasit referinta documentului postscript in ');
INSERT INTO `lang_definitions` VALUES (106740, 803, 28, 'Nu se poate deschide ');
INSERT INTO `lang_definitions` VALUES (106741, 807, 28, 'nu se poate citi');
INSERT INTO `lang_definitions` VALUES (106742, 808, 28, 'nu se poate citi directorul');
INSERT INTO `lang_definitions` VALUES (106743, 809, 28, 'Imposibil de actualizat deoarece nu editaţi o înregistrare existentă!');
INSERT INTO `lang_definitions` VALUES (106744, 810, 28, 'Scrie cu majuscula');
INSERT INTO `lang_definitions` VALUES (106745, 812, 28, 'capsula');
INSERT INTO `lang_definitions` VALUES (106746, 813, 28, 'card');
INSERT INTO `lang_definitions` VALUES (106747, 814, 28, 'catalizator cardiac');
INSERT INTO `lang_definitions` VALUES (106748, 815, 28, 'electrocardiograma');
INSERT INTO `lang_definitions` VALUES (106749, 816, 28, 'cardiovascular');
INSERT INTO `lang_definitions` VALUES (106750, 821, 28, 'Cartilaj/ condrale /leziuni la disc');
INSERT INTO `lang_definitions` VALUES (106751, 822, 28, 'leziune a cartilajului');
INSERT INTO `lang_definitions` VALUES (106752, 824, 28, 'numerar');
INSERT INTO `lang_definitions` VALUES (106753, 825, 28, 'numerar');
INSERT INTO `lang_definitions` VALUES (106754, 826, 28, 'numerar Rec');
INSERT INTO `lang_definitions` VALUES (106755, 827, 28, 'Incasari in numerar de catre furnizor');
INSERT INTO `lang_definitions` VALUES (106756, 829, 28, 'operatie de cataracta');
INSERT INTO `lang_definitions` VALUES (106757, 830, 28, 'cataracta');
INSERT INTO `lang_definitions` VALUES (106758, 831, 28, 'categorii');
INSERT INTO `lang_definitions` VALUES (106759, 832, 28, 'categorii pentru');
INSERT INTO `lang_definitions` VALUES (106760, 833, 28, 'categorie');
INSERT INTO `lang_definitions` VALUES (106761, 834, 28, 'categorie');
INSERT INTO `lang_definitions` VALUES (106762, 835, 28, 'categorie ');
INSERT INTO `lang_definitions` VALUES (106763, 836, 28, 'detalii categorie');
INSERT INTO `lang_definitions` VALUES (106764, 837, 28, 'limite categorie');
INSERT INTO `lang_definitions` VALUES (106765, 838, 28, 'numele categoriei');
INSERT INTO `lang_definitions` VALUES (106766, 839, 28, 'numele categoriei este gol');
INSERT INTO `lang_definitions` VALUES (106767, 840, 28, 'categorie/ titlu');
INSERT INTO `lang_definitions` VALUES (106768, 841, 28, 'caucazian');
INSERT INTO `lang_definitions` VALUES (106769, 850, 28, 'CDR');
INSERT INTO `lang_definitions` VALUES (106770, 852, 28, 'celula');
INSERT INTO `lang_definitions` VALUES (106771, 853, 28, 'telefon celular');
INSERT INTO `lang_definitions` VALUES (106772, 855, 28, 'numar telefon mobil');
INSERT INTO `lang_definitions` VALUES (106773, 856, 28, 'centrul de certificare');
INSERT INTO `lang_definitions` VALUES (106774, 857, 28, 'central/ America de Sud');
INSERT INTO `lang_definitions` VALUES (106775, 858, 28, 'Certificat de autoritatea crt locație fișier nu poate fi gol');
INSERT INTO `lang_definitions` VALUES (106776, 859, 28, 'Certificat de autoritatea cheia locatie fisier nu poate fi gol');
INSERT INTO `lang_definitions` VALUES (106777, 860, 28, 'Certificatu de trimis la RFC 5425TLS server syslog');
INSERT INTO `lang_definitions` VALUES (106778, 861, 28, 'Certificat de utilizator');
INSERT INTO `lang_definitions` VALUES (106779, 862, 28, 'Certificate');
INSERT INTO `lang_definitions` VALUES (106780, 864, 28, 'CampUS');
INSERT INTO `lang_definitions` VALUES (106781, 865, 28, 'CampUSVA');
INSERT INTO `lang_definitions` VALUES (106782, 866, 28, 'modifica');
INSERT INTO `lang_definitions` VALUES (106783, 867, 28, 'Modifica');
INSERT INTO `lang_definitions` VALUES (106784, 868, 28, 'Modifica activitatea');
INSERT INTO `lang_definitions` VALUES (106785, 869, 28, 'Modificare esuata ! eroare de conectare couchDB');
INSERT INTO `lang_definitions` VALUES (106786, 870, 28, 'Modifica in Vision');
INSERT INTO `lang_definitions` VALUES (106787, 871, 28, 'Modifica in Vision');
INSERT INTO `lang_definitions` VALUES (106788, 872, 28, 'Modifica parola');
INSERT INTO `lang_definitions` VALUES (106789, 874, 28, 'Modificat');
INSERT INTO `lang_definitions` VALUES (106790, 875, 28, 'Modificarea intestinului');
INSERT INTO `lang_definitions` VALUES (106791, 876, 28, 'Modifica identitatea pacientului pentru document');
INSERT INTO `lang_definitions` VALUES (106792, 877, 28, 'Caracteristici');
INSERT INTO `lang_definitions` VALUES (106793, 878, 28, 'Caractere ramase');
INSERT INTO `lang_definitions` VALUES (106794, 879, 28, 'Incrca');
INSERT INTO `lang_definitions` VALUES (106795, 880, 28, 'Incarca ajustarea');
INSERT INTO `lang_definitions` VALUES (106796, 881, 28, 'Incarca codul');
INSERT INTO `lang_definitions` VALUES (106797, 882, 28, 'Incarcari');
INSERT INTO `lang_definitions` VALUES (106798, 883, 28, 'Diagrama');
INSERT INTO `lang_definitions` VALUES (106799, 884, 28, 'Activitate diagrama');
INSERT INTO `lang_definitions` VALUES (106800, 885, 28, 'Raport de activitate diagrama verificare intrari/iesiri');
INSERT INTO `lang_definitions` VALUES (106801, 886, 28, 'ID Diagrama');
INSERT INTO `lang_definitions` VALUES (106802, 887, 28, 'ID Diagrama');
INSERT INTO `lang_definitions` VALUES (106803, 889, 28, 'Locatia activitatii diagramei');
INSERT INTO `lang_definitions` VALUES (106804, 890, 28, 'Nota diagrama');
INSERT INTO `lang_definitions` VALUES (106805, 891, 28, 'Numar diagrama');
INSERT INTO `lang_definitions` VALUES (106806, 892, 28, 'Locatie depozitare diagrama');
INSERT INTO `lang_definitions` VALUES (106807, 893, 28, 'Diagrama tractor');
INSERT INTO `lang_definitions` VALUES (106808, 894, 28, 'Diagrama Trk');
INSERT INTO `lang_definitions` VALUES (106809, 895, 28, 'Diagrama verificata');
INSERT INTO `lang_definitions` VALUES (106810, 896, 28, 'Diagrama iesita');
INSERT INTO `lang_definitions` VALUES (106811, 898, 28, 'Verificat');
INSERT INTO `lang_definitions` VALUES (106812, 899, 28, 'verificat');
INSERT INTO `lang_definitions` VALUES (106813, 900, 28, 'Verificare completa');
INSERT INTO `lang_definitions` VALUES (106814, 902, 28, 'Verifica suma');
INSERT INTO `lang_definitions` VALUES (106815, 903, 28, 'Verifica datele');
INSERT INTO `lang_definitions` VALUES (106816, 904, 28, 'Verificaţi pentru diferenţele de traduceri cu limba personalizate tabelul.');
INSERT INTO `lang_definitions` VALUES (106817, 906, 28, 'Verifica in');
INSERT INTO `lang_definitions` VALUES (106818, 907, 28, 'Verifica data de intrare');
INSERT INTO `lang_definitions` VALUES (106819, 909, 28, 'Verifica rezultatele de laborator');
INSERT INTO `lang_definitions` VALUES (106820, 910, 28, 'Marcaj de selectare indica revizuite');
INSERT INTO `lang_definitions` VALUES (106821, 911, 28, 'verifica nr');
INSERT INTO `lang_definitions` VALUES (106822, 912, 28, 'verifica numarul');
INSERT INTO `lang_definitions` VALUES (106823, 915, 28, 'Verifica plata');
INSERT INTO `lang_definitions` VALUES (106824, 916, 28, 'Verifica caseta daca acesta este un fisier neinteles');
INSERT INTO `lang_definitions` VALUES (106825, 917, 28, 'Verifica acest lucru daca doriti ca furnizorii sa vada toate programarile in mod prestabilit si nu doar a lor.');
INSERT INTO `lang_definitions` VALUES (106826, 918, 28, 'Verificati pentru a crea probleme la acest diagnostic.');
INSERT INTO `lang_definitions` VALUES (106827, 919, 28, 'verifica /data EOB');
INSERT INTO `lang_definitions` VALUES (106828, 920, 28, 'Verifica/ nr EOB');
INSERT INTO `lang_definitions` VALUES (106829, 921, 28, 'Selectare /numar ref');
INSERT INTO `lang_definitions` VALUES (106830, 922, 28, 'Selectare/ numar referinta');
INSERT INTO `lang_definitions` VALUES (106831, 923, 28, 'Caseta de selectare');
INSERT INTO `lang_definitions` VALUES (106832, 924, 28, 'caseta de selectare');
INSERT INTO `lang_definitions` VALUES (106833, 925, 28, 'Caseta w/ text');
INSERT INTO `lang_definitions` VALUES (106834, 926, 28, 'Caseta w/ text');
INSERT INTO `lang_definitions` VALUES (106835, 928, 28, 'Verificat');
INSERT INTO `lang_definitions` VALUES (106836, 929, 28, 'Casuta verificata= da, goala=nu');
INSERT INTO `lang_definitions` VALUES (106837, 931, 28, 'Bifarea lacatului va bloca orice modificare ulterioara a orice formulare din aceasta vizita.');
INSERT INTO `lang_definitions` VALUES (106838, 932, 28, 'Verifica cos de produse');
INSERT INTO `lang_definitions` VALUES (106839, 933, 28, 'Suma de verificare');
INSERT INTO `lang_definitions` VALUES (106840, 934, 28, 'Piept');
INSERT INTO `lang_definitions` VALUES (106841, 935, 28, 'CATB piept');
INSERT INTO `lang_definitions` VALUES (106842, 936, 28, 'Durere in piept');
INSERT INTO `lang_definitions` VALUES (106843, 937, 28, 'Durere in piept:');
INSERT INTO `lang_definitions` VALUES (106844, 938, 28, 'Dureri in piept');
INSERT INTO `lang_definitions` VALUES (106845, 942, 28, 'Plangere sef');
INSERT INTO `lang_definitions` VALUES (106846, 943, 28, 'Copil');
INSERT INTO `lang_definitions` VALUES (106847, 945, 28, 'Stare de imunizare din copilarie');
INSERT INTO `lang_definitions` VALUES (106848, 946, 28, 'Frisoane');
INSERT INTO `lang_definitions` VALUES (106849, 947, 28, 'Chineza');
INSERT INTO `lang_definitions` VALUES (106850, 948, 28, 'Chineza ( simplificat)');
INSERT INTO `lang_definitions` VALUES (106851, 949, 28, 'Chineza (traditional)');
INSERT INTO `lang_definitions` VALUES (106852, 951, 28, 'Alegeri');
INSERT INTO `lang_definitions` VALUES (106853, 975, 28, 'Oras');
INSERT INTO `lang_definitions` VALUES (106854, 976, 28, 'Nume Oras');
INSERT INTO `lang_definitions` VALUES (106855, 977, 28, 'Oras, Judet');
INSERT INTO `lang_definitions` VALUES (106856, 978, 28, 'Oras, Cod Postal');
INSERT INTO `lang_definitions` VALUES (106857, 979, 28, 'Oras/Judet');
INSERT INTO `lang_definitions` VALUES (106858, 990, 28, 'Anuleaza Pacientul Activ');
INSERT INTO `lang_definitions` VALUES (106859, 1003, 28, 'Click pentru ordinea sumarului');
INSERT INTO `lang_definitions` VALUES (106860, 1004, 28, 'Click pentru rezultat');
INSERT INTO `lang_definitions` VALUES (106861, 1005, 28, 'Click aici');
INSERT INTO `lang_definitions` VALUES (106862, 1006, 28, 'Apasa aici sa adaugi pacient nou');
INSERT INTO `lang_definitions` VALUES (106863, 1007, 28, 'Apasa aici pentru a adauga noi leziuni modificare stare şi edita activitatea zilnică');
INSERT INTO `lang_definitions` VALUES (106864, 1008, 28, 'Apasa aici pentru a alege data');
INSERT INTO `lang_definitions` VALUES (106865, 1009, 28, 'Apasa aici pentru a alege data si ora');
INSERT INTO `lang_definitions` VALUES (106866, 1010, 28, 'Apasa aici pentru a alege data de inceput');
INSERT INTO `lang_definitions` VALUES (106867, 1020, 28, 'Apasa aici pentru a cauta');
INSERT INTO `lang_definitions` VALUES (106868, 1021, 28, 'Apasa aici pentru a actualiza setarile prioritatilor,categoriei si numelui');
INSERT INTO `lang_definitions` VALUES (106869, 1022, 28, 'Apasa aici pentru a vedea tot');
INSERT INTO `lang_definitions` VALUES (106870, 1026, 28, 'Apasa aici pentru a vizualiza detaliile pacientului');
INSERT INTO `lang_definitions` VALUES (106871, 1027, 28, 'Apasa aici pentru a le vizualiza pe toate');
INSERT INTO `lang_definitions` VALUES (106872, 1028, 28, 'Apasa aici pentru a vizualiza/edita mai multe detalii');
INSERT INTO `lang_definitions` VALUES (106873, 1030, 28, 'Apasati pe oricare dintre parti de timp pentru a-l mari');
INSERT INTO `lang_definitions` VALUES (106874, 1031, 28, 'Apasati pe numele pacientului pentru a deschide dosarul pacientului');
INSERT INTO `lang_definitions` VALUES (106875, 1032, 28, 'Apasa reactualizare pentru a vizualiza toate rezultatele, sau vă rugăm să intrare criteriile de mai sus pentru a vizualiza specifice rezultatele de căutare.');
INSERT INTO `lang_definitions` VALUES (106876, 1033, 28, 'Apasa pentru a aduga diagnostic');
INSERT INTO `lang_definitions` VALUES (106877, 1034, 28, 'Apasa pentru a adauga noi componente');
INSERT INTO `lang_definitions` VALUES (106878, 1035, 28, 'Apasa pentru a adauga o noua consultatie');
INSERT INTO `lang_definitions` VALUES (106879, 1037, 28, 'Apasa pentru a descarca');
INSERT INTO `lang_definitions` VALUES (106880, 1038, 28, 'Apasa pentru a edita');
INSERT INTO `lang_definitions` VALUES (106881, 1039, 28, 'Apasa pentru a edita o descriere');
INSERT INTO `lang_definitions` VALUES (106882, 1040, 28, 'Apasa pentru a edita acest eveniment');
INSERT INTO `lang_definitions` VALUES (106883, 1041, 28, 'Apasa pentru a genera raportul');
INSERT INTO `lang_definitions` VALUES (106884, 1043, 28, 'Apasa pentru a printa');
INSERT INTO `lang_definitions` VALUES (106885, 1044, 28, 'Apasa pentru a primi (adauga) lot nou');
INSERT INTO `lang_definitions` VALUES (106886, 1045, 28, 'Apasa pentru a selecta');
INSERT INTO `lang_definitions` VALUES (106887, 1046, 28, 'Apasa pentru a Selecta');
INSERT INTO `lang_definitions` VALUES (106888, 1047, 28, 'Faceţi clic pentru a selecta un cod standard industrial pentru această procedură');
INSERT INTO `lang_definitions` VALUES (106889, 1069, 28, 'Istoricul sumar (medical) al clientului');
INSERT INTO `lang_definitions` VALUES (106890, 1070, 28, 'Numele clientului');
INSERT INTO `lang_definitions` VALUES (106891, 1071, 28, 'Numarul clientului');
INSERT INTO `lang_definitions` VALUES (106892, 1074, 28, 'Clienti');
INSERT INTO `lang_definitions` VALUES (106893, 1075, 28, 'Clinic');
INSERT INTO `lang_definitions` VALUES (106894, 1079, 28, 'Clinic');
INSERT INTO `lang_definitions` VALUES (106895, 1081, 28, 'Istoric Clinic');
INSERT INTO `lang_definitions` VALUES (106896, 1083, 28, 'Planuri Clinice');
INSERT INTO `lang_definitions` VALUES (106897, 1106, 28, 'Clinicieni');
INSERT INTO `lang_definitions` VALUES (106898, 1108, 28, 'Cloneaza ultima vizita');
INSERT INTO `lang_definitions` VALUES (106899, 1109, 28, 'Inchide fereastra');
INSERT INTO `lang_definitions` VALUES (106900, 1111, 28, 'Inchide fereastra');
INSERT INTO `lang_definitions` VALUES (106901, 1112, 28, 'Inchis');
INSERT INTO `lang_definitions` VALUES (106902, 1113, 28, 'cm');
INSERT INTO `lang_definitions` VALUES (106903, 1150, 28, 'Cafea');
INSERT INTO `lang_definitions` VALUES (106904, 1154, 28, 'Inchide');
INSERT INTO `lang_definitions` VALUES (106905, 1155, 28, 'inchide');
INSERT INTO `lang_definitions` VALUES (106906, 1156, 28, 'Inchide Tot');
INSERT INTO `lang_definitions` VALUES (106907, 1157, 28, 'Inchide tot');
INSERT INTO `lang_definitions` VALUES (106908, 1158, 28, 'inchide toate');
INSERT INTO `lang_definitions` VALUES (106909, 1163, 28, 'Cancer de colon');
INSERT INTO `lang_definitions` VALUES (106910, 1164, 28, 'Imagine cancer de colon');
INSERT INTO `lang_definitions` VALUES (106911, 1165, 28, 'Operatie cancer de colon');
INSERT INTO `lang_definitions` VALUES (106912, 1166, 28, 'Colonoscopie');
INSERT INTO `lang_definitions` VALUES (106913, 1167, 28, 'colonoscopie');
INSERT INTO `lang_definitions` VALUES (106914, 1168, 28, 'Culoare');
INSERT INTO `lang_definitions` VALUES (106915, 1170, 28, 'Coloana');
INSERT INTO `lang_definitions` VALUES (106916, 1171, 28, 'Coloane');
INSERT INTO `lang_definitions` VALUES (106917, 1173, 28, 'Coma');
INSERT INTO `lang_definitions` VALUES (106918, 1174, 28, 'Comentariu');
INSERT INTO `lang_definitions` VALUES (106919, 1175, 28, 'Comentarii');
INSERT INTO `lang_definitions` VALUES (106920, 1176, 28, 'Comentarii pentru acest rezultat sau recomandare');
INSERT INTO `lang_definitions` VALUES (106921, 1180, 28, 'Comunicatii');
INSERT INTO `lang_definitions` VALUES (106922, 1182, 28, 'Companie');
INSERT INTO `lang_definitions` VALUES (106923, 1183, 28, 'Nume companie');
INSERT INTO `lang_definitions` VALUES (106924, 1184, 28, 'Complet');
INSERT INTO `lang_definitions` VALUES (106925, 1186, 28, 'Finalizat');
INSERT INTO `lang_definitions` VALUES (106926, 1188, 28, 'Finalizat?');
INSERT INTO `lang_definitions` VALUES (106927, 1190, 28, 'Complicatiile de la furnizorul de servicii');
INSERT INTO `lang_definitions` VALUES (106928, 1192, 28, 'Componente');
INSERT INTO `lang_definitions` VALUES (106929, 1194, 28, 'Concluzii');
INSERT INTO `lang_definitions` VALUES (106930, 1199, 28, 'Configurare');
INSERT INTO `lang_definitions` VALUES (106931, 1200, 28, 'Configurare Export/Import');
INSERT INTO `lang_definitions` VALUES (106932, 1208, 28, 'Confirma creare Pacient nou');
INSERT INTO `lang_definitions` VALUES (106933, 1209, 28, 'Confirma parola noua');
INSERT INTO `lang_definitions` VALUES (106934, 1226, 28, 'Scurta Descriere a Consultatiei');
INSERT INTO `lang_definitions` VALUES (106935, 1308, 28, 'Tara');
INSERT INTO `lang_definitions` VALUES (106936, 1340, 28, 'Creaza pacient nou');
INSERT INTO `lang_definitions` VALUES (106937, 1346, 28, 'Creare vizita');
INSERT INTO `lang_definitions` VALUES (106938, 1369, 28, 'Curenta');
INSERT INTO `lang_definitions` VALUES (106939, 1379, 28, 'Parola curenta');
INSERT INTO `lang_definitions` VALUES (106940, 1407, 28, 'Data Nasterii');
INSERT INTO `lang_definitions` VALUES (106941, 1421, 28, 'Baza de date');
INSERT INTO `lang_definitions` VALUES (106942, 1422, 28, 'Baza de date nu este instalata');
INSERT INTO `lang_definitions` VALUES (106943, 1427, 28, 'Data');
INSERT INTO `lang_definitions` VALUES (106944, 1428, 28, 'DATA');
INSERT INTO `lang_definitions` VALUES (106945, 1438, 28, 'Data crearii');
INSERT INTO `lang_definitions` VALUES (106946, 1439, 28, 'Data mortii');
INSERT INTO `lang_definitions` VALUES (106947, 1451, 28, 'Data Facturarii');
INSERT INTO `lang_definitions` VALUES (106948, 1452, 28, 'Data nasterii');
INSERT INTO `lang_definitions` VALUES (106949, 1453, 28, 'Data nasterii');
INSERT INTO `lang_definitions` VALUES (106950, 1454, 28, 'Data Nasterii');
INSERT INTO `lang_definitions` VALUES (106951, 1455, 28, 'Data Introducerii');
INSERT INTO `lang_definitions` VALUES (106952, 1456, 28, 'Data Leziunii');
INSERT INTO `lang_definitions` VALUES (106953, 1461, 28, 'Data Raportului');
INSERT INTO `lang_definitions` VALUES (106954, 1462, 28, 'Data Serviciului');
INSERT INTO `lang_definitions` VALUES (106955, 1463, 28, 'Data Serviciului');
INSERT INTO `lang_definitions` VALUES (106956, 1464, 28, 'Data Serviciului = Azi');
INSERT INTO `lang_definitions` VALUES (106957, 1466, 28, 'Data serviciului:');
INSERT INTO `lang_definitions` VALUES (106958, 1467, 28, 'Data semnaturii');
INSERT INTO `lang_definitions` VALUES (106959, 1522, 28, 'Implicit');
INSERT INTO `lang_definitions` VALUES (106960, 1523, 28, 'Vezi calendarul implicit');
INSERT INTO `lang_definitions` VALUES (106961, 1538, 28, 'Motivul implicit al vizitei');
INSERT INTO `lang_definitions` VALUES (106962, 1654, 28, 'Semnat digital');
INSERT INTO `lang_definitions` VALUES (106963, 1667, 28, 'Dezactivarea calendarului');
INSERT INTO `lang_definitions` VALUES (106964, 1668, 28, 'Toate revizuite si negative');
INSERT INTO `lang_definitions` VALUES (106965, 1692, 28, 'Dezvaluiri');
INSERT INTO `lang_definitions` VALUES (106966, 1715, 28, 'Afisezi calendarul?');
INSERT INTO `lang_definitions` VALUES (106967, 1733, 28, 'Divortat');
INSERT INTO `lang_definitions` VALUES (106968, 1742, 28, 'Nu afisa calendarul');
INSERT INTO `lang_definitions` VALUES (106969, 1749, 28, 'nu fa nimic');
INSERT INTO `lang_definitions` VALUES (106970, 1751, 28, 'Sigur vrei sa stergi');
INSERT INTO `lang_definitions` VALUES (106971, 1759, 28, 'Doresti sa continui cu adaugarea acestui pacient nou?');
INSERT INTO `lang_definitions` VALUES (106972, 1762, 28, 'Data Nasterii');
INSERT INTO `lang_definitions` VALUES (106973, 1763, 28, 'Lipseste data nasterii, va rog sa introducerii');
INSERT INTO `lang_definitions` VALUES (106974, 1767, 28, 'Numele doctorului si semnatura');
INSERT INTO `lang_definitions` VALUES (106975, 1791, 28, 'Documente');
INSERT INTO `lang_definitions` VALUES (106976, 1829, 28, 'Dr. Vizita');
INSERT INTO `lang_definitions` VALUES (106977, 1904, 28, 'Modifica');
INSERT INTO `lang_definitions` VALUES (106978, 1905, 28, 'modifica');
INSERT INTO `lang_definitions` VALUES (106979, 1906, 28, 'Modifica Alergiile');
INSERT INTO `lang_definitions` VALUES (106980, 1907, 28, 'Modifica Categoriile');
INSERT INTO `lang_definitions` VALUES (106981, 1908, 28, 'Modifica Definitiile');
INSERT INTO `lang_definitions` VALUES (106982, 1909, 28, 'Modifica definitii');
INSERT INTO `lang_definitions` VALUES (106983, 1971, 28, 'Contact in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (106984, 1972, 28, 'Persoana de contact in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (106985, 1973, 28, 'Telefon in caz de urgenta');
INSERT INTO `lang_definitions` VALUES (106986, 1990, 28, 'Nu este permisa parola goala.');
INSERT INTO `lang_definitions` VALUES (106987, 2009, 28, 'Activare urmarire AMC');
INSERT INTO `lang_definitions` VALUES (106988, 2073, 28, 'Intalnire');
INSERT INTO `lang_definitions` VALUES (106989, 2074, 28, 'Intalnire');
INSERT INTO `lang_definitions` VALUES (106990, 2075, 28, 'Intalnire ');
INSERT INTO `lang_definitions` VALUES (106991, 2080, 28, 'date intalnire');
INSERT INTO `lang_definitions` VALUES (106992, 2081, 28, 'Data intalnirii');
INSERT INTO `lang_definitions` VALUES (106993, 2086, 28, 'Formulare de intalnire');
INSERT INTO `lang_definitions` VALUES (106994, 2088, 28, 'Istoric intalniri');
INSERT INTO `lang_definitions` VALUES (106995, 2089, 28, 'ID intalnire');
INSERT INTO `lang_definitions` VALUES (106996, 2091, 28, 'Numar intalnire');
INSERT INTO `lang_definitions` VALUES (106997, 2108, 28, 'Statistice intalnire');
INSERT INTO `lang_definitions` VALUES (106998, 2109, 28, 'Probleme sumar');
INSERT INTO `lang_definitions` VALUES (106999, 2110, 28, 'Intalnirea a fost codata');
INSERT INTO `lang_definitions` VALUES (107000, 2111, 28, 'Intalnire:');
INSERT INTO `lang_definitions` VALUES (107001, 2113, 28, 'Intalniri');
INSERT INTO `lang_definitions` VALUES (107002, 2114, 28, 'Intalniri si formulare');
INSERT INTO `lang_definitions` VALUES (107003, 2115, 28, 'Intalniri &amp; Formulare');
INSERT INTO `lang_definitions` VALUES (107004, 2116, 28, 'Neautorizat pentru intalniri');
INSERT INTO `lang_definitions` VALUES (107005, 2117, 28, 'Raport intalniri');
INSERT INTO `lang_definitions` VALUES (107006, 2118, 28, 'Sectia intalniri');
INSERT INTO `lang_definitions` VALUES (107007, 2135, 28, 'Oră sfârşit de zi pentru evenimente din calendar');
INSERT INTO `lang_definitions` VALUES (107008, 2167, 28, 'intrari');
INSERT INTO `lang_definitions` VALUES (107009, 2225, 28, 'Eroare: parolele nu se potrivesc. Va rugam sa veridicati introducerea acestora.');
INSERT INTO `lang_definitions` VALUES (107010, 2226, 28, 'Eroare: parolele nu se potrivesc. Va rugam sa veridicati introducerea acestora.');
INSERT INTO `lang_definitions` VALUES (107011, 2243, 28, 'Semneaza electronic');
INSERT INTO `lang_definitions` VALUES (107012, 2244, 28, 'Jurnal semnaturi electronice');
INSERT INTO `lang_definitions` VALUES (107013, 2247, 28, 'Pacient Existent');
INSERT INTO `lang_definitions` VALUES (107014, 2296, 28, 'Pacienti exclusi');
INSERT INTO `lang_definitions` VALUES (107015, 2308, 28, 'Deschide toate');
INSERT INTO `lang_definitions` VALUES (107016, 2334, 28, 'Incarcare date externe');
INSERT INTO `lang_definitions` VALUES (107017, 2336, 28, 'ID Extern');
INSERT INTO `lang_definitions` VALUES (107018, 2356, 28, 'Unitati');
INSERT INTO `lang_definitions` VALUES (107019, 2357, 28, 'Unitate');
INSERT INTO `lang_definitions` VALUES (107020, 2358, 28, 'unitate');
INSERT INTO `lang_definitions` VALUES (107021, 2359, 28, 'Adminitrare Unitate');
INSERT INTO `lang_definitions` VALUES (107022, 2360, 28, 'Oras Unitate');
INSERT INTO `lang_definitions` VALUES (107023, 2361, 28, 'Cod Unitate');
INSERT INTO `lang_definitions` VALUES (107024, 2372, 28, 'Unitate:');
INSERT INTO `lang_definitions` VALUES (107025, 2373, 28, 'ESUARE');
INSERT INTO `lang_definitions` VALUES (107026, 2374, 28, 'esuat');
INSERT INTO `lang_definitions` VALUES (107027, 2375, 28, 'Esuat');
INSERT INTO `lang_definitions` VALUES (107028, 2390, 28, 'Istoric de Familie');
INSERT INTO `lang_definitions` VALUES (107029, 2391, 28, 'Istoric de Familie la Glaucoma');
INSERT INTO `lang_definitions` VALUES (107030, 2392, 28, 'Istoric de Familie:');
INSERT INTO `lang_definitions` VALUES (107031, 2401, 28, 'Istoricul Tatalui');
INSERT INTO `lang_definitions` VALUES (107032, 2421, 28, 'Foaie de taxe');
INSERT INTO `lang_definitions` VALUES (107033, 2422, 28, 'Foaie de taxe Optiuni');
INSERT INTO `lang_definitions` VALUES (107034, 2423, 28, 'Taxe');
INSERT INTO `lang_definitions` VALUES (107035, 2424, 28, 'Feminin');
INSERT INTO `lang_definitions` VALUES (107036, 2461, 28, 'Fisiere');
INSERT INTO `lang_definitions` VALUES (107037, 2464, 28, 'Completeaza aici doar daca se trimit notificari catre pacienti');
INSERT INTO `lang_definitions` VALUES (107038, 2539, 28, 'pentru');
INSERT INTO `lang_definitions` VALUES (107039, 2540, 28, 'Pentru');
INSERT INTO `lang_definitions` VALUES (107040, 2557, 28, 'Creaza pacient nou (fortat)');
INSERT INTO `lang_definitions` VALUES (107041, 2572, 28, 'Formulare');
INSERT INTO `lang_definitions` VALUES (107042, 2619, 28, 'Numele Intreg');
INSERT INTO `lang_definitions` VALUES (107043, 2697, 28, 'Setari globale');
INSERT INTO `lang_definitions` VALUES (107044, 2698, 28, 'Globale');
INSERT INTO `lang_definitions` VALUES (107045, 2739, 28, 'Numele Tutorelui');
INSERT INTO `lang_definitions` VALUES (107046, 2828, 28, 'Ascunde meniul');
INSERT INTO `lang_definitions` VALUES (107047, 2847, 28, 'Istoric');
INSERT INTO `lang_definitions` VALUES (107048, 2865, 28, 'Acasa');
INSERT INTO `lang_definitions` VALUES (107049, 2866, 28, 'Telefon acasa');
INSERT INTO `lang_definitions` VALUES (107050, 2867, 28, 'Numarul de telefon de acasa');
INSERT INTO `lang_definitions` VALUES (107051, 2928, 28, 'Daca YMD este bifat pentru afisarea varstei, schimba in ANI cand sunt pacienti mai in varsta decat valoarea in ani');
INSERT INTO `lang_definitions` VALUES (107052, 2949, 28, 'Registrul de imunizare');
INSERT INTO `lang_definitions` VALUES (107053, 2967, 28, 'IMPORTANT: Aceasta unealta de upload este doar pentru incarcarea documentelor la pacienti care nu sunt INCA introdusi in sistem. Sa incarci fisiere pentru pacienti care sunt deja introdusi in sistem, te rog incarca din unealta din dreptul pacientului.');
INSERT INTO `lang_definitions` VALUES (107054, 3000, 28, 'Parola gresita!');
INSERT INTO `lang_definitions` VALUES (107055, 3009, 28, 'Pacient nevoias');
INSERT INTO `lang_definitions` VALUES (107056, 3023, 28, 'Imunizarea Gripa pentru pacientii> = 50 Ani');
INSERT INTO `lang_definitions` VALUES (107057, 3024, 28, 'Imunizarea Gripa pentru pacientii> = 50 Ani (CQM)');
INSERT INTO `lang_definitions` VALUES (107058, 3025, 28, 'Imunizare vaccin');
INSERT INTO `lang_definitions` VALUES (107059, 3026, 28, 'Info');
INSERT INTO `lang_definitions` VALUES (107060, 3027, 28, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (107061, 3028, 28, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (107062, 3029, 28, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (107063, 3030, 28, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (107064, 3031, 28, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (107065, 3032, 28, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (107066, 3034, 28, 'Inhalatii');
INSERT INTO `lang_definitions` VALUES (107067, 3153, 28, 'Utilizator sau parola gresita');
INSERT INTO `lang_definitions` VALUES (107068, 3214, 28, 'este prea lung');
INSERT INTO `lang_definitions` VALUES (107069, 3216, 28, 'Problema');
INSERT INTO `lang_definitions` VALUES (107070, 3217, 28, 'problema');
INSERT INTO `lang_definitions` VALUES (107071, 3218, 28, 'Data Problemei');
INSERT INTO `lang_definitions` VALUES (107072, 3219, 28, 'ID Problema');
INSERT INTO `lang_definitions` VALUES (107073, 3220, 28, 'Titlul Problemei');
INSERT INTO `lang_definitions` VALUES (107074, 3221, 28, 'Tipul Problemei');
INSERT INTO `lang_definitions` VALUES (107075, 3222, 28, 'Tipuri de Probleme');
INSERT INTO `lang_definitions` VALUES (107076, 3223, 28, 'Probleme');
INSERT INTO `lang_definitions` VALUES (107077, 3224, 28, 'Probleme (Raniri/Medicale/Alergii)');
INSERT INTO `lang_definitions` VALUES (107078, 3225, 28, 'Probleme (Raniri/Medicale/Alergii):');
INSERT INTO `lang_definitions` VALUES (107079, 3226, 28, 'Probleme si Intalniri');
INSERT INTO `lang_definitions` VALUES (107080, 3227, 28, 'Probleme si Intalniri pentru');
INSERT INTO `lang_definitions` VALUES (107081, 3228, 28, 'Neautorizat pentru probleme');
INSERT INTO `lang_definitions` VALUES (107082, 3229, 28, 'Sectiunea Probleme');
INSERT INTO `lang_definitions` VALUES (107083, 3316, 28, 'Limba');
INSERT INTO `lang_definitions` VALUES (107084, 3322, 28, 'Limba:');
INSERT INTO `lang_definitions` VALUES (107085, 3330, 28, 'Ultimul an calendaristic');
INSERT INTO `lang_definitions` VALUES (107086, 3343, 28, 'Ultima Luna');
INSERT INTO `lang_definitions` VALUES (107087, 3344, 28, 'Numele de Familie');
INSERT INTO `lang_definitions` VALUES (107088, 3345, 28, 'Numele de familie');
INSERT INTO `lang_definitions` VALUES (107089, 3346, 28, 'Numele de familie:');
INSERT INTO `lang_definitions` VALUES (107090, 3350, 28, 'Ultima data revizuit');
INSERT INTO `lang_definitions` VALUES (107091, 3352, 28, 'Ultima data salvat');
INSERT INTO `lang_definitions` VALUES (107092, 3357, 28, 'Ultima data verificat pe');
INSERT INTO `lang_definitions` VALUES (107093, 3358, 28, 'Ultima vizita');
INSERT INTO `lang_definitions` VALUES (107094, 3373, 28, 'Formulare');
INSERT INTO `lang_definitions` VALUES (107095, 3378, 28, 'Formulare Vizita din Salbloane');
INSERT INTO `lang_definitions` VALUES (107096, 3379, 28, 'Sabloane');
INSERT INTO `lang_definitions` VALUES (107097, 3385, 28, 'Lasati gol pentru a nu schimba parola.');
INSERT INTO `lang_definitions` VALUES (107098, 3414, 28, 'Serie si nr. buletin');
INSERT INTO `lang_definitions` VALUES (107099, 3435, 28, 'Legatura ordinelor de proceduri');
INSERT INTO `lang_definitions` VALUES (107100, 3436, 28, 'Legatura la document');
INSERT INTO `lang_definitions` VALUES (107101, 3438, 28, 'Lista');
INSERT INTO `lang_definitions` VALUES (107102, 3458, 28, 'Liste');
INSERT INTO `lang_definitions` VALUES (107103, 3470, 28, 'SE INCARCA');
INSERT INTO `lang_definitions` VALUES (107104, 3489, 28, 'Incuiat');
INSERT INTO `lang_definitions` VALUES (107105, 3492, 28, 'Autentificare');
INSERT INTO `lang_definitions` VALUES (107106, 3493, 28, 'Autentificare');
INSERT INTO `lang_definitions` VALUES (107107, 3494, 28, 'Iesire');
INSERT INTO `lang_definitions` VALUES (107108, 3495, 28, 'Autentificat');
INSERT INTO `lang_definitions` VALUES (107109, 3496, 28, 'Autentificat ca');
INSERT INTO `lang_definitions` VALUES (107110, 3497, 28, 'Autentificat ca: ');
INSERT INTO `lang_definitions` VALUES (107111, 3498, 28, 'Iesit.');
INSERT INTO `lang_definitions` VALUES (107112, 3500, 28, 'Autentificare');
INSERT INTO `lang_definitions` VALUES (107113, 3501, 28, 'Autentificare');
INSERT INTO `lang_definitions` VALUES (107114, 3505, 28, 'Iesire');
INSERT INTO `lang_definitions` VALUES (107115, 3506, 28, 'iesire');
INSERT INTO `lang_definitions` VALUES (107116, 3534, 28, 'Principal');
INSERT INTO `lang_definitions` VALUES (107117, 3535, 28, 'Adresa principala');
INSERT INTO `lang_definitions` VALUES (107118, 3536, 28, 'Ecranul principal panoul de sus');
INSERT INTO `lang_definitions` VALUES (107119, 3548, 28, 'Masculin');
INSERT INTO `lang_definitions` VALUES (107120, 3569, 28, 'Stare Civila');
INSERT INTO `lang_definitions` VALUES (107121, 3576, 28, 'Casatorit');
INSERT INTO `lang_definitions` VALUES (107122, 3607, 28, 'Inseamna ca ultimele trei parole nu sunt permise la schimbarea parolei.');
INSERT INTO `lang_definitions` VALUES (107123, 3617, 28, 'Istoric Medical');
INSERT INTO `lang_definitions` VALUES (107124, 3620, 28, 'Problema medicala');
INSERT INTO `lang_definitions` VALUES (107125, 3621, 28, 'Problema Medicala');
INSERT INTO `lang_definitions` VALUES (107126, 3622, 28, 'Problema Medicala Lista de Probleme');
INSERT INTO `lang_definitions` VALUES (107127, 3623, 28, 'Probleme Medicale');
INSERT INTO `lang_definitions` VALUES (107128, 3624, 28, 'Dosar Medical');
INSERT INTO `lang_definitions` VALUES (107129, 3625, 28, 'Dosar Medical #');
INSERT INTO `lang_definitions` VALUES (107130, 3626, 28, 'Inregistrari medicale');
INSERT INTO `lang_definitions` VALUES (107131, 3659, 28, 'Fuziune pacient');
INSERT INTO `lang_definitions` VALUES (107132, 3661, 28, 'Messah');
INSERT INTO `lang_definitions` VALUES (107133, 3662, 28, 'Messaje si centru reminder');
INSERT INTO `lang_definitions` VALUES (107134, 3671, 28, 'Mesaje');
INSERT INTO `lang_definitions` VALUES (107135, 3672, 28, 'Mesaje trimise azi');
INSERT INTO `lang_definitions` VALUES (107136, 3673, 28, 'Metoda');
INSERT INTO `lang_definitions` VALUES (107137, 3713, 28, 'Optiuni diferite de plata');
INSERT INTO `lang_definitions` VALUES (107138, 3714, 28, 'Optiuni diferite de plata pentru HCFA-1500');
INSERT INTO `lang_definitions` VALUES (107139, 3715, 28, 'Optiuni diferite de plata HCFA-1500');
INSERT INTO `lang_definitions` VALUES (107140, 3716, 28, 'Diferite');
INSERT INTO `lang_definitions` VALUES (107141, 3717, 28, 'Uitate');
INSERT INTO `lang_definitions` VALUES (107142, 3771, 28, 'Mama');
INSERT INTO `lang_definitions` VALUES (107143, 3772, 28, 'Numele Mamei');
INSERT INTO `lang_definitions` VALUES (107144, 3773, 28, 'Istoricul Mamei');
INSERT INTO `lang_definitions` VALUES (107145, 3783, 28, 'Dl.');
INSERT INTO `lang_definitions` VALUES (107146, 3785, 28, 'Dna.');
INSERT INTO `lang_definitions` VALUES (107147, 3786, 28, 'Dsoara.');
INSERT INTO `lang_definitions` VALUES (107148, 3823, 28, 'Nume');
INSERT INTO `lang_definitions` VALUES (107149, 3825, 28, 'Nume (click pentru mai mult)');
INSERT INTO `lang_definitions` VALUES (107150, 3826, 28, 'Nume 1');
INSERT INTO `lang_definitions` VALUES (107151, 3827, 28, 'Nume 2');
INSERT INTO `lang_definitions` VALUES (107152, 3837, 28, 'Nume:');
INSERT INTO `lang_definitions` VALUES (107153, 3857, 28, 'Zona de navigare a formularelor vizita');
INSERT INTO `lang_definitions` VALUES (107154, 3904, 28, 'Vizita noua');
INSERT INTO `lang_definitions` VALUES (107155, 3906, 28, 'Formular pentru vizita noua');
INSERT INTO `lang_definitions` VALUES (107156, 3920, 28, 'Parola noua');
INSERT INTO `lang_definitions` VALUES (107157, 3921, 28, 'Pacient nou');
INSERT INTO `lang_definitions` VALUES (107158, 3922, 28, 'PACIENT NOU');
INSERT INTO `lang_definitions` VALUES (107159, 3923, 28, 'Pacient nou (eroare?!)');
INSERT INTO `lang_definitions` VALUES (107160, 3924, 28, 'Formular pacient nou');
INSERT INTO `lang_definitions` VALUES (107161, 3925, 28, 'IDul pacientului nou');
INSERT INTO `lang_definitions` VALUES (107162, 3926, 28, 'Plata noua');
INSERT INTO `lang_definitions` VALUES (107163, 3928, 28, 'PT nou');
INSERT INTO `lang_definitions` VALUES (107164, 3929, 28, 'Rezultate noi de la schimbul de laborator');
INSERT INTO `lang_definitions` VALUES (107165, 3930, 28, 'Cautare noua');
INSERT INTO `lang_definitions` VALUES (107166, 3931, 28, 'Submiteri noi');
INSERT INTO `lang_definitions` VALUES (107167, 3932, 28, 'User nou');
INSERT INTO `lang_definitions` VALUES (107168, 3934, 28, 'Vizita noua');
INSERT INTO `lang_definitions` VALUES (107169, 3935, 28, 'Cautare noua');
INSERT INTO `lang_definitions` VALUES (107170, 3962, 28, 'Urmatorul');
INSERT INTO `lang_definitions` VALUES (107171, 3975, 28, 'Nu');
INSERT INTO `lang_definitions` VALUES (107172, 3976, 28, 'NU');
INSERT INTO `lang_definitions` VALUES (107173, 4031, 28, 'Nu am gasit nimic. Creaza pacient nou?');
INSERT INTO `lang_definitions` VALUES (107174, 4066, 28, 'Nu exista semnaturi pe dosar');
INSERT INTO `lang_definitions` VALUES (107175, 4075, 28, 'Fara vizite');
INSERT INTO `lang_definitions` VALUES (107176, 4103, 28, 'Vizita normala la birou');
INSERT INTO `lang_definitions` VALUES (107177, 4122, 28, 'Interzis modificarea');
INSERT INTO `lang_definitions` VALUES (107178, 4128, 28, 'Nu ai autorizatie pentru a accesa modulul de PostCalendar');
INSERT INTO `lang_definitions` VALUES (107179, 4172, 28, 'Notite');
INSERT INTO `lang_definitions` VALUES (107180, 4175, 28, 'Neautorizat pentru notite');
INSERT INTO `lang_definitions` VALUES (107181, 4177, 28, 'Nu s-a inregistrat nimic');
INSERT INTO `lang_definitions` VALUES (107182, 4184, 28, 'NOTIFICARE: Post calendar prezentarea /modificarea');
INSERT INTO `lang_definitions` VALUES (107183, 4222, 28, 'Afiseaza numarul de pacienti pe pagina in lista pacienti');
INSERT INTO `lang_definitions` VALUES (107184, 4250, 28, 'Vizita la birou');
INSERT INTO `lang_definitions` VALUES (107185, 4292, 28, 'Dupa ce va schimbati parola va trebui sa va re-autentificati.');
INSERT INTO `lang_definitions` VALUES (107186, 4318, 28, 'Deschide intr-o fereastra noua');
INSERT INTO `lang_definitions` VALUES (107187, 4319, 28, 'Deschide pacientul');
INSERT INTO `lang_definitions` VALUES (107188, 4321, 28, 'Deschide vizitele de azi');
INSERT INTO `lang_definitions` VALUES (107189, 4376, 28, 'Ordine sumar');
INSERT INTO `lang_definitions` VALUES (107190, 4402, 28, 'Altele');
INSERT INTO `lang_definitions` VALUES (107191, 4403, 28, 'altele');
INSERT INTO `lang_definitions` VALUES (107192, 4420, 28, 'Altele');
INSERT INTO `lang_definitions` VALUES (107193, 4469, 28, 'Pacienti admisi');
INSERT INTO `lang_definitions` VALUES (107194, 4472, 28, 'Parola');
INSERT INTO `lang_definitions` VALUES (107195, 4473, 28, 'Schimbare parola');
INSERT INTO `lang_definitions` VALUES (107196, 4474, 28, 'Schimbarea parolei a reusit');
INSERT INTO `lang_definitions` VALUES (107197, 4475, 28, 'Schimbarea parolei a reusit.');
INSERT INTO `lang_definitions` VALUES (107198, 4476, 28, 'Parola nu este suficienta. Trebuie sa contina cel putin trei din urmatoarele patru lucruri: un numar, o litera mica, o majuscula, un caracter special (nu o litera sau un numar)');
INSERT INTO `lang_definitions` VALUES (107199, 4482, 28, 'Parola pentru utilizatorul de mai sus');
INSERT INTO `lang_definitions` VALUES (107200, 4483, 28, 'Securitatea parolelor a fost recent intarita.');
INSERT INTO `lang_definitions` VALUES (107201, 4485, 28, 'Parola prea scurta. Minim 8 caractere.');
INSERT INTO `lang_definitions` VALUES (107202, 4486, 28, 'Parola:');
INSERT INTO `lang_definitions` VALUES (107203, 4487, 28, 'Parolele nu se potrivesc!');
INSERT INTO `lang_definitions` VALUES (107204, 4494, 28, 'Lista Vizitelor');
INSERT INTO `lang_definitions` VALUES (107205, 4495, 28, 'Lista Vizitelor');
INSERT INTO `lang_definitions` VALUES (107206, 4496, 28, 'Lista Vizitelor si Documentelor');
INSERT INTO `lang_definitions` VALUES (107207, 4497, 28, 'Lista Vizitelor pentru');
INSERT INTO `lang_definitions` VALUES (107208, 4514, 28, 'Pacient');
INSERT INTO `lang_definitions` VALUES (107209, 4515, 28, 'pacient');
INSERT INTO `lang_definitions` VALUES (107210, 4516, 28, 'PACIENT');
INSERT INTO `lang_definitions` VALUES (107211, 4517, 28, 'Adresa pacientului');
INSERT INTO `lang_definitions` VALUES (107212, 4518, 28, 'Lipseste adresa pacientului');
INSERT INTO `lang_definitions` VALUES (107213, 4521, 28, 'Alergiile pacientului');
INSERT INTO `lang_definitions` VALUES (107214, 4522, 28, 'Alergiile Pacientului');
INSERT INTO `lang_definitions` VALUES (107215, 4543, 28, 'Data nasterii a pacientului');
INSERT INTO `lang_definitions` VALUES (107216, 4547, 28, 'Vizita Pacient');
INSERT INTO `lang_definitions` VALUES (107217, 4548, 28, 'Formular Vizita Pacient');
INSERT INTO `lang_definitions` VALUES (107218, 4549, 28, 'Vizite Pacienti');
INSERT INTO `lang_definitions` VALUES (107219, 4561, 28, 'Istoric Pacient');
INSERT INTO `lang_definitions` VALUES (107220, 4562, 28, 'Istoric Pacient / Stil de Viata');
INSERT INTO `lang_definitions` VALUES (107221, 4610, 28, 'Cereri de inregistrare pacienti');
INSERT INTO `lang_definitions` VALUES (107222, 4619, 28, 'Memento-uri pacient');
INSERT INTO `lang_definitions` VALUES (107223, 4633, 28, 'Pacient/Client');
INSERT INTO `lang_definitions` VALUES (107224, 4634, 28, 'Pacient:');
INSERT INTO `lang_definitions` VALUES (107225, 4635, 28, 'PacientID');
INSERT INTO `lang_definitions` VALUES (107226, 4636, 28, 'Pacienti admisi');
INSERT INTO `lang_definitions` VALUES (107227, 4637, 28, 'Pacienti procesati');
INSERT INTO `lang_definitions` VALUES (107228, 4638, 28, 'Plata');
INSERT INTO `lang_definitions` VALUES (107229, 4640, 28, 'Data platii:');
INSERT INTO `lang_definitions` VALUES (107230, 4641, 28, 'Statusul platii');
INSERT INTO `lang_definitions` VALUES (107231, 4642, 28, 'Numele platitorului');
INSERT INTO `lang_definitions` VALUES (107232, 4647, 28, 'Plata');
INSERT INTO `lang_definitions` VALUES (107233, 4648, 28, 'plata');
INSERT INTO `lang_definitions` VALUES (107234, 4665, 28, 'Plati');
INSERT INTO `lang_definitions` VALUES (107235, 4681, 28, 'Revizuire in asteptare');
INSERT INTO `lang_definitions` VALUES (107236, 4814, 28, 'Va rugam introduceti o parola noua');
INSERT INTO `lang_definitions` VALUES (107237, 4823, 28, 'Va rugam introduceti parola');
INSERT INTO `lang_definitions` VALUES (107238, 4832, 28, 'Specifica motivul vizitei');
INSERT INTO `lang_definitions` VALUES (107239, 4844, 28, 'Va rugam sa va resetati parola.');
INSERT INTO `lang_definitions` VALUES (107240, 4941, 28, 'Post calendar');
INSERT INTO `lang_definitions` VALUES (107241, 4942, 28, 'Administrare post calendar');
INSERT INTO `lang_definitions` VALUES (107242, 4943, 28, 'Post calendar setari categorie');
INSERT INTO `lang_definitions` VALUES (107243, 4944, 28, 'Post calendar setari globale');
INSERT INTO `lang_definitions` VALUES (107244, 4953, 28, 'Practica');
INSERT INTO `lang_definitions` VALUES (107245, 4991, 28, 'Prec');
INSERT INTO `lang_definitions` VALUES (107246, 5001, 28, 'Precedent');
INSERT INTO `lang_definitions` VALUES (107247, 5093, 28, 'Ordinea procedurii');
INSERT INTO `lang_definitions` VALUES (107248, 5094, 28, 'Ordinea procedurii');
INSERT INTO `lang_definitions` VALUES (107249, 5095, 28, 'Ordinea procedurii pentru');
INSERT INTO `lang_definitions` VALUES (107250, 5114, 28, 'Proceduri');
INSERT INTO `lang_definitions` VALUES (107251, 5152, 28, 'Furnizor');
INSERT INTO `lang_definitions` VALUES (107252, 5165, 28, 'Furnizorii vad intregul calendar');
INSERT INTO `lang_definitions` VALUES (107253, 5224, 28, 'Calitate');
INSERT INTO `lang_definitions` VALUES (107254, 5225, 28, 'Masuratori de calitate (CQM)');
INSERT INTO `lang_definitions` VALUES (107255, 5263, 28, 'Reactie');
INSERT INTO `lang_definitions` VALUES (107256, 5264, 28, 'Reactii');
INSERT INTO `lang_definitions` VALUES (107257, 5270, 28, 'Motiv');
INSERT INTO `lang_definitions` VALUES (107258, 5275, 28, 'Motivul vizitei');
INSERT INTO `lang_definitions` VALUES (107259, 5276, 28, 'Motiv/Formular');
INSERT INTO `lang_definitions` VALUES (107260, 5292, 28, 'Nu sunt permise ultimele 3 parole.');
INSERT INTO `lang_definitions` VALUES (107261, 5317, 28, 'Inregistrari');
INSERT INTO `lang_definitions` VALUES (107262, 5348, 28, 'Referinte');
INSERT INTO `lang_definitions` VALUES (107263, 5358, 28, 'Referit de');
INSERT INTO `lang_definitions` VALUES (107264, 5437, 28, 'Repetati parola noua');
INSERT INTO `lang_definitions` VALUES (107265, 5446, 28, 'Raport');
INSERT INTO `lang_definitions` VALUES (107266, 5447, 28, 'Raport - Clinic');
INSERT INTO `lang_definitions` VALUES (107267, 5449, 28, 'Raport intocmit de');
INSERT INTO `lang_definitions` VALUES (107268, 5453, 28, 'Istoric Rapoarte / Rezultate');
INSERT INTO `lang_definitions` VALUES (107269, 5463, 28, 'Rapoarte');
INSERT INTO `lang_definitions` VALUES (107270, 5485, 28, 'REZERVAT');
INSERT INTO `lang_definitions` VALUES (107271, 5486, 28, 'Rezervat');
INSERT INTO `lang_definitions` VALUES (107272, 5528, 28, 'Revenire vizita');
INSERT INTO `lang_definitions` VALUES (107273, 5535, 28, 'Revizuiri ale systemului');
INSERT INTO `lang_definitions` VALUES (107274, 5536, 28, 'Revizuiri ale systemului Verificate');
INSERT INTO `lang_definitions` VALUES (107275, 5578, 28, 'Reguli');
INSERT INTO `lang_definitions` VALUES (107276, 5601, 28, 'CNP');
INSERT INTO `lang_definitions` VALUES (107277, 5620, 28, 'Salveaza');
INSERT INTO `lang_definitions` VALUES (107278, 5621, 28, 'SALVEAZA');
INSERT INTO `lang_definitions` VALUES (107279, 5622, 28, 'Salveaza si inchide');
INSERT INTO `lang_definitions` VALUES (107280, 5623, 28, 'Salveaza si sterge cererea');
INSERT INTO `lang_definitions` VALUES (107281, 5624, 28, 'Salveaza si distribuie');
INSERT INTO `lang_definitions` VALUES (107282, 5625, 28, 'Salveaza si transmite');
INSERT INTO `lang_definitions` VALUES (107283, 5626, 28, 'Salveaza ca nou');
INSERT INTO `lang_definitions` VALUES (107284, 5627, 28, 'Salveaza ca notita noua');
INSERT INTO `lang_definitions` VALUES (107285, 5628, 28, 'Salveaza setarile certificatului');
INSERT INTO `lang_definitions` VALUES (107286, 5629, 28, 'Salveaza schimbarile');
INSERT INTO `lang_definitions` VALUES (107287, 5630, 28, 'Salveaza formularul');
INSERT INTO `lang_definitions` VALUES (107288, 5631, 28, 'Salveaza vaccinarea');
INSERT INTO `lang_definitions` VALUES (107289, 5632, 28, 'Salveaza campul nou');
INSERT INTO `lang_definitions` VALUES (107290, 5633, 28, 'Salveaza grupul nou');
INSERT INTO `lang_definitions` VALUES (107291, 5634, 28, 'Salveaza lista noua');
INSERT INTO `lang_definitions` VALUES (107292, 5635, 28, 'Salveaza sablonul nou');
INSERT INTO `lang_definitions` VALUES (107293, 5636, 28, 'Salveaza selectia de omisiuni');
INSERT INTO `lang_definitions` VALUES (107294, 5637, 28, 'Salveaza informatiile demografice ale pacientului');
INSERT INTO `lang_definitions` VALUES (107295, 5659, 28, 'Cautare');
INSERT INTO `lang_definitions` VALUES (107296, 5661, 28, 'cautare');
INSERT INTO `lang_definitions` VALUES (107297, 5662, 28, 'cauta din nou');
INSERT INTO `lang_definitions` VALUES (107298, 5663, 28, 'Cauta in toate coloanele');
INSERT INTO `lang_definitions` VALUES (107299, 5702, 28, 'Vezi mesaje de la ultimul set de plangeri generate');
INSERT INTO `lang_definitions` VALUES (107300, 5704, 28, 'Vazut din');
INSERT INTO `lang_definitions` VALUES (107301, 5745, 28, 'Alege Una');
INSERT INTO `lang_definitions` VALUES (107302, 5766, 28, 'Intalnirea Selectata');
INSERT INTO `lang_definitions` VALUES (107303, 5795, 28, 'Sensibilitate:');
INSERT INTO `lang_definitions` VALUES (107304, 5834, 28, 'Servicii');
INSERT INTO `lang_definitions` VALUES (107305, 5877, 28, 'Arata');
INSERT INTO `lang_definitions` VALUES (107306, 5878, 28, 'Arata activ');
INSERT INTO `lang_definitions` VALUES (107307, 5880, 28, 'Arata tot');
INSERT INTO `lang_definitions` VALUES (107308, 5896, 28, 'Arata meniul');
INSERT INTO `lang_definitions` VALUES (107309, 5915, 28, 'Afiseaza');
INSERT INTO `lang_definitions` VALUES (107310, 5916, 28, 'Afiseaza rezultatul');
INSERT INTO `lang_definitions` VALUES (107311, 5924, 28, 'Semneaza');
INSERT INTO `lang_definitions` VALUES (107312, 5926, 28, 'Semneaza rezultatele');
INSERT INTO `lang_definitions` VALUES (107313, 5927, 28, 'Semnatura');
INSERT INTO `lang_definitions` VALUES (107314, 5928, 28, 'Semnatura pe dosar');
INSERT INTO `lang_definitions` VALUES (107315, 5929, 28, 'Semnatura:');
INSERT INTO `lang_definitions` VALUES (107316, 5940, 28, 'Necasatorit');
INSERT INTO `lang_definitions` VALUES (107317, 6055, 28, 'Pacientul sursa nu are data de nastere');
INSERT INTO `lang_definitions` VALUES (107318, 6092, 28, 'Dictare discurs');
INSERT INTO `lang_definitions` VALUES (107319, 6113, 28, 'CNP');
INSERT INTO `lang_definitions` VALUES (107320, 6118, 28, 'Masuratori standard');
INSERT INTO `lang_definitions` VALUES (107321, 6119, 28, 'Masuratori standard (Alerte active)');
INSERT INTO `lang_definitions` VALUES (107322, 6120, 28, 'Masuratori standard (Alerte pasive)');
INSERT INTO `lang_definitions` VALUES (107323, 6121, 28, 'Masuratori standard (Alerte pacienti)');
INSERT INTO `lang_definitions` VALUES (107324, 6122, 28, 'Nume standard');
INSERT INTO `lang_definitions` VALUES (107325, 6188, 28, 'Stilul de formular folosit la adaugarea de pacienti noi');
INSERT INTO `lang_definitions` VALUES (107326, 6189, 28, 'Sub categorie');
INSERT INTO `lang_definitions` VALUES (107327, 6190, 28, 'Sub-total');
INSERT INTO `lang_definitions` VALUES (107328, 6191, 28, 'Subcategorie');
INSERT INTO `lang_definitions` VALUES (107329, 6192, 28, 'subcategorie');
INSERT INTO `lang_definitions` VALUES (107330, 6193, 28, 'subcutanat');
INSERT INTO `lang_definitions` VALUES (107331, 6194, 28, 'Subiect');
INSERT INTO `lang_definitions` VALUES (107332, 6195, 28, 'Subiectib');
INSERT INTO `lang_definitions` VALUES (107333, 6260, 28, 'Sinucidere');
INSERT INTO `lang_definitions` VALUES (107334, 6261, 28, 'Sumar');
INSERT INTO `lang_definitions` VALUES (107335, 6262, 28, 'Sumarul');
INSERT INTO `lang_definitions` VALUES (107336, 6265, 28, 'Soare');
INSERT INTO `lang_definitions` VALUES (107337, 6267, 28, 'Duminica');
INSERT INTO `lang_definitions` VALUES (107338, 6563, 28, 'Aceasta vizita este incuiata. Nu se mai pot adauga formulare.');
INSERT INTO `lang_definitions` VALUES (107339, 6593, 28, 'Acest user va primi notificari noi din \"Mesagerie directa\"');
INSERT INTO `lang_definitions` VALUES (107340, 6658, 28, 'La');
INSERT INTO `lang_definitions` VALUES (107341, 6659, 28, 'LA');
INSERT INTO `lang_definitions` VALUES (107342, 6660, 28, 'la');
INSERT INTO `lang_definitions` VALUES (107343, 6669, 28, 'La vedere clinica');
INSERT INTO `lang_definitions` VALUES (107344, 6683, 28, 'Pentru a lega aceasta vizita/consultatie cu o problema existenta, dati click pe ');
INSERT INTO `lang_definitions` VALUES (107345, 6684, 28, 'Pentru a lega aceasta vizita/consultatie cu o problema existenta, dati click pe problema dorita in casuta de mai sus pentru a o selecta si apoi apasati [Salveaza]. Tineti tasta [Ctrl] pentru a selecta mai multe probleme.');
INSERT INTO `lang_definitions` VALUES (107346, 6691, 28, 'la aceasta vizita?');
INSERT INTO `lang_definitions` VALUES (107347, 6693, 28, 'La:');
INSERT INTO `lang_definitions` VALUES (107348, 6694, 28, 'LA_ORAS ');
INSERT INTO `lang_definitions` VALUES (107349, 6695, 28, 'LA_FAX');
INSERT INTO `lang_definitions` VALUES (107350, 6696, 28, 'LA_FNUME');
INSERT INTO `lang_definitions` VALUES (107351, 6697, 28, 'LA_LNUME');
INSERT INTO `lang_definitions` VALUES (107352, 6698, 28, 'LA_MNUME');
INSERT INTO `lang_definitions` VALUES (107353, 6728, 28, 'Sus');
INSERT INTO `lang_definitions` VALUES (107354, 6792, 28, 'tranzactii');
INSERT INTO `lang_definitions` VALUES (107355, 6793, 28, 'tranzactii');
INSERT INTO `lang_definitions` VALUES (107356, 6877, 28, 'Nespecificat');
INSERT INTO `lang_definitions` VALUES (107357, 6878, 28, 'Neautorizat');
INSERT INTO `lang_definitions` VALUES (107358, 7015, 28, 'Definite de utilizator');
INSERT INTO `lang_definitions` VALUES (107359, 7056, 28, 'Utilizatori');
INSERT INTO `lang_definitions` VALUES (107360, 7063, 28, 'Vacanta');
INSERT INTO `lang_definitions` VALUES (107361, 7064, 28, 'Vaccin');
INSERT INTO `lang_definitions` VALUES (107362, 7067, 28, 'valideaza');
INSERT INTO `lang_definitions` VALUES (107363, 7068, 28, 'Valoare');
INSERT INTO `lang_definitions` VALUES (107364, 7069, 28, 'Valoare 1');
INSERT INTO `lang_definitions` VALUES (107365, 7070, 28, 'Valoare 2');
INSERT INTO `lang_definitions` VALUES (107366, 7072, 28, 'Valoarea trebuie sa fie numerica');
INSERT INTO `lang_definitions` VALUES (107367, 7084, 28, 'Versiune');
INSERT INTO `lang_definitions` VALUES (107368, 7090, 28, 'vizualizeaza');
INSERT INTO `lang_definitions` VALUES (107369, 7091, 28, 'Vizualizare');
INSERT INTO `lang_definitions` VALUES (107370, 7092, 28, 'Vezi Alergii');
INSERT INTO `lang_definitions` VALUES (107371, 7100, 28, 'Vezi documentul');
INSERT INTO `lang_definitions` VALUES (107372, 7101, 28, 'Vezi intalnirea');
INSERT INTO `lang_definitions` VALUES (107373, 7107, 28, 'Vezi jurnalul');
INSERT INTO `lang_definitions` VALUES (107374, 7108, 28, 'Vezi pagina 1');
INSERT INTO `lang_definitions` VALUES (107375, 7109, 28, 'Vezi pagina 2');
INSERT INTO `lang_definitions` VALUES (107376, 7111, 28, 'Vezi pacientul');
INSERT INTO `lang_definitions` VALUES (107377, 7117, 28, 'Vezi raportul');
INSERT INTO `lang_definitions` VALUES (107378, 7121, 28, 'Vizualizare/Modificare Alergii');
INSERT INTO `lang_definitions` VALUES (107379, 7122, 28, 'Vizualizare/Modificare problema');
INSERT INTO `lang_definitions` VALUES (107380, 7123, 28, 'Vizualizare/Tiparire');
INSERT INTO `lang_definitions` VALUES (107381, 7124, 28, 'Vizualizare:');
INSERT INTO `lang_definitions` VALUES (107382, 7132, 28, 'Categoria vizitei');
INSERT INTO `lang_definitions` VALUES (107383, 7133, 28, 'Categoria vizite:');
INSERT INTO `lang_definitions` VALUES (107384, 7134, 28, 'Data Vizitei');
INSERT INTO `lang_definitions` VALUES (107385, 7135, 28, 'Data vizitei');
INSERT INTO `lang_definitions` VALUES (107386, 7137, 28, 'Formulare vizita');
INSERT INTO `lang_definitions` VALUES (107387, 7138, 28, 'Istoric vizite');
INSERT INTO `lang_definitions` VALUES (107388, 7140, 28, 'Vizite');
INSERT INTO `lang_definitions` VALUES (107389, 7141, 28, 'Formular vizite');
INSERT INTO `lang_definitions` VALUES (107390, 7142, 28, 'Semne Vitale');
INSERT INTO `lang_definitions` VALUES (107391, 7143, 28, 'Vitale');
INSERT INTO `lang_definitions` VALUES (107392, 7146, 28, 'Voce');
INSERT INTO `lang_definitions` VALUES (107393, 7147, 28, 'Voce Trimis');
INSERT INTO `lang_definitions` VALUES (107394, 7199, 28, 'Bine ati venit');
INSERT INTO `lang_definitions` VALUES (107395, 7212, 28, 'Alb');
INSERT INTO `lang_definitions` VALUES (107396, 7213, 28, 'Cine');
INSERT INTO `lang_definitions` VALUES (107397, 7214, 28, 'Cine a raspuns?');
INSERT INTO `lang_definitions` VALUES (107398, 7215, 28, 'Vaduvit');
INSERT INTO `lang_definitions` VALUES (107399, 7216, 28, 'Latime');
INSERT INTO `lang_definitions` VALUES (107400, 7242, 28, 'Telefon de serviciu');
INSERT INTO `lang_definitions` VALUES (107401, 7263, 28, 'Doriti sa salvati?');
INSERT INTO `lang_definitions` VALUES (107402, 7285, 28, 'An');
INSERT INTO `lang_definitions` VALUES (107403, 7286, 28, 'an');
INSERT INTO `lang_definitions` VALUES (107404, 7287, 28, 'Vedere an');
INSERT INTO `lang_definitions` VALUES (107405, 7288, 28, 'An(i)');
INSERT INTO `lang_definitions` VALUES (107406, 7289, 28, 'Ani');
INSERT INTO `lang_definitions` VALUES (107407, 7290, 28, 'Ani sau luni');
INSERT INTO `lang_definitions` VALUES (107408, 7291, 28, 'Ani, luni si zile');
INSERT INTO `lang_definitions` VALUES (107409, 7292, 28, 'DA');
INSERT INTO `lang_definitions` VALUES (107410, 7293, 28, 'Da');
INSERT INTO `lang_definitions` VALUES (107411, 7294, 28, 'da');
INSERT INTO `lang_definitions` VALUES (107412, 7295, 28, 'DA!');
INSERT INTO `lang_definitions` VALUES (107413, 7296, 28, 'Da, sterge si logheaza');
INSERT INTO `lang_definitions` VALUES (107414, 7298, 28, 'Da/Nu');
INSERT INTO `lang_definitions` VALUES (107415, 7299, 28, 'Da:');
INSERT INTO `lang_definitions` VALUES (107416, 7325, 28, 'Poti pune aici textul implicit de plangere in Nou Pacient');
INSERT INTO `lang_definitions` VALUES (107417, 7331, 28, 'Trebuie sa alegeti o categorie de vizita');
INSERT INTO `lang_definitions` VALUES (107418, 7332, 28, 'Trebuie sa alegeti o categorie de vizita.');
INSERT INTO `lang_definitions` VALUES (107419, 7348, 28, 'Parola dvs');
INSERT INTO `lang_definitions` VALUES (107420, 7349, 28, 'Parola dvs a expirat. Va rugam sa va schimbati parola.');
INSERT INTO `lang_definitions` VALUES (107421, 7350, 28, 'Parola dvs expira pe');
INSERT INTO `lang_definitions` VALUES (107422, 7351, 28, 'Parola dvs expira astazi. Va rugam sa va schimbati parola.');
INSERT INTO `lang_definitions` VALUES (107423, 7430, 28, '(Click pentru modificare)');
INSERT INTO `lang_definitions` VALUES (107424, 7433, 28, '(Pacient nou)');
INSERT INTO `lang_definitions` VALUES (107425, 7483, 28, '3 Luni');
INSERT INTO `lang_definitions` VALUES (107426, 7484, 28, '3 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107427, 7485, 28, 'De 3 ori pe zi');
INSERT INTO `lang_definitions` VALUES (107428, 7486, 28, '3 Saptamani de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107429, 7487, 28, '30-34');
INSERT INTO `lang_definitions` VALUES (107430, 7488, 28, '35-39');
INSERT INTO `lang_definitions` VALUES (107431, 7489, 28, 'Al 3-lea');
INSERT INTO `lang_definitions` VALUES (107432, 7490, 28, '4 Zile de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107433, 7491, 28, '4 Luni');
INSERT INTO `lang_definitions` VALUES (107434, 7492, 28, '4 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107435, 7493, 28, 'De 4 ori pe zi');
INSERT INTO `lang_definitions` VALUES (107436, 7494, 28, '4 Saptamani de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107437, 7495, 28, '40-44');
INSERT INTO `lang_definitions` VALUES (107438, 7496, 28, '45+');
INSERT INTO `lang_definitions` VALUES (107439, 7504, 28, 'Al 4-lea');
INSERT INTO `lang_definitions` VALUES (107440, 7505, 28, '5 zile de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107441, 7506, 28, '5 luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107442, 7507, 28, '5 saptamani de-acum in colo');
INSERT INTO `lang_definitions` VALUES (107443, 7509, 28, 'Al 5-lea');
INSERT INTO `lang_definitions` VALUES (107444, 7510, 28, '6 zile de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107445, 7511, 28, '6 Luni');
INSERT INTO `lang_definitions` VALUES (107446, 7512, 28, '6 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107447, 7513, 28, '6 saptamani de-acum in colo');
INSERT INTO `lang_definitions` VALUES (107448, 7514, 28, 'Al 6-lea');
INSERT INTO `lang_definitions` VALUES (107449, 7515, 28, '7 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107450, 7516, 28, '8 Luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107451, 7525, 28, '9 luni de-acum incolo');
INSERT INTO `lang_definitions` VALUES (107452, 7526, 28, '99212 Stabilit - necomplicat');
INSERT INTO `lang_definitions` VALUES (107453, 7527, 28, '99213 Stabilit - complexitate redusa');
INSERT INTO `lang_definitions` VALUES (107454, 7528, 28, '< In camera de examinare');
INSERT INTO `lang_definitions` VALUES (107455, 7529, 28, '> Verificat');
INSERT INTO `lang_definitions` VALUES (107456, 7530, 28, '?');
INSERT INTO `lang_definitions` VALUES (107457, 7531, 28, '? Nu afisa');
INSERT INTO `lang_definitions` VALUES (107458, 7532, 28, '@ Ajuns');
INSERT INTO `lang_definitions` VALUES (107459, 7533, 28, '[Schimba viewul]');
INSERT INTO `lang_definitions` VALUES (107460, 7534, 28, '[Data ultimei intalniri]');
INSERT INTO `lang_definitions` VALUES (107461, 7535, 28, '[Zile de la ultima intalnire]');
INSERT INTO `lang_definitions` VALUES (107462, 7536, 28, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (107463, 7537, 28, '[Export OFX]');
INSERT INTO `lang_definitions` VALUES (107464, 7538, 28, '[nerecomandat]');
INSERT INTO `lang_definitions` VALUES (107465, 7539, 28, '[Numar de intalniri]');
INSERT INTO `lang_definitions` VALUES (107466, 7540, 28, '[Rapoarte]');
INSERT INTO `lang_definitions` VALUES (107467, 7541, 28, '[Selecteaza tot]');
INSERT INTO `lang_definitions` VALUES (107468, 7542, 28, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (107469, 7543, 28, '[Incepere proces Batch]');
INSERT INTO `lang_definitions` VALUES (107470, 7544, 28, '[Vizualizare Log]');
INSERT INTO `lang_definitions` VALUES (107471, 7545, 28, '[Vizualizare raport printabil]');
INSERT INTO `lang_definitions` VALUES (107472, 7546, 28, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (107473, 7547, 28, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (107474, 7548, 28, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (107475, 7549, 28, '~ Intarziere');
INSERT INTO `lang_definitions` VALUES (107476, 1, 29, 'Một');
INSERT INTO `lang_definitions` VALUES (107477, 2, 29, 'Số séc hoặc số yêu cầu để nhận biết việc thanh toán');
INSERT INTO `lang_definitions` VALUES (107478, 3, 29, 'Một giấy chứng nhận của máy khách cho người quản trị');
INSERT INTO `lang_definitions` VALUES (107479, 4, 29, 'Một tài liệu lâm sàng được đính kèm');
INSERT INTO `lang_definitions` VALUES (107480, 5, 29, 'Một tài liệu lâm sàng được đính kèm.');
INSERT INTO `lang_definitions` VALUES (107481, 7, 29, 'Phải có nhà phân phối');
INSERT INTO `lang_definitions` VALUES (107482, 8, 29, 'Phải thêm vào lần đến khám này một biểu mẫu đến khám GCAC.');
INSERT INTO `lang_definitions` VALUES (107483, 9, 29, 'Phải có số lô sản xuất');
INSERT INTO `lang_definitions` VALUES (107484, 10, 29, 'Phải có số lô sản xuất!');
INSERT INTO `lang_definitions` VALUES (107485, 11, 29, 'Dùng chữ thường');
INSERT INTO `lang_definitions` VALUES (107486, 12, 29, 'Chữ số');
INSERT INTO `lang_definitions` VALUES (107487, 14, 29, 'Đã có bệnh nhân với số chứng minh thư này.');
INSERT INTO `lang_definitions` VALUES (107488, 15, 29, 'Đã có bệnh nhân với tên này.');
INSERT INTO `lang_definitions` VALUES (107489, 16, 29, 'Đã có bệnh nhân với số ASXH này.');
INSERT INTO `lang_definitions` VALUES (107490, 17, 29, 'Một số dương thể hiện bao nhiêu lần hẹn trước đây tại một Tiện ích trong màn hình Tóm lược Bệnh nhân (một số âm thể hiện các lần hẹn trước đây theo thứ tự giảm dần)');
INSERT INTO `lang_definitions` VALUES (107491, 18, 29, 'Một số dương thể hiện bao nhiêu lần hẹn trước đây tại một Tiện ích trong màn hình Tóm lược Bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (107492, 19, 29, 'Có thể chỉ ra nguồn giới thiệu cho mỗi lần đến khám.');
INSERT INTO `lang_definitions` VALUES (107493, 20, 29, 'Phải có mã IPPF liên quan!');
INSERT INTO `lang_definitions` VALUES (107494, 21, 29, 'Ký tự đặc biệt');
INSERT INTO `lang_definitions` VALUES (107495, 22, 29, 'Một giá trị duy nhất để xác định trường này, không hiển thị cho người sử dụng');
INSERT INTO `lang_definitions` VALUES (107496, 23, 29, 'Đã có một lần khám trong này hôm nay cho bệnh nhân này. Bấm \"Hủy bỏ\" để mở nó, hay OK để thực hiện việc tạo lần khám mới.');
INSERT INTO `lang_definitions` VALUES (107497, 24, 29, 'trước khi ăn');
INSERT INTO `lang_definitions` VALUES (107498, 25, 29, 'buổi sáng');
INSERT INTO `lang_definitions` VALUES (107499, 26, 29, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (107500, 27, 29, 'AB');
INSERT INTO `lang_definitions` VALUES (107501, 28, 29, 'Viết tắt');
INSERT INTO `lang_definitions` VALUES (107502, 29, 29, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (107503, 30, 29, 'Bụng');
INSERT INTO `lang_definitions` VALUES (107504, 31, 29, 'Có khả năng Mang Nặng bốn (4) bước:');
INSERT INTO `lang_definitions` VALUES (107505, 32, 29, 'Abn');
INSERT INTO `lang_definitions` VALUES (107506, 33, 29, 'ABN1');
INSERT INTO `lang_definitions` VALUES (107507, 34, 29, 'Bất bình thường');
INSERT INTO `lang_definitions` VALUES (107508, 35, 29, 'Xét nghiệm máu bất thường');
INSERT INTO `lang_definitions` VALUES (107509, 36, 29, 'Tăng trưởng Tóc Bất thường');
INSERT INTO `lang_definitions` VALUES (107510, 37, 29, 'Tuyến vú Bất thường');
INSERT INTO `lang_definitions` VALUES (107511, 39, 29, 'Phá thai');
INSERT INTO `lang_definitions` VALUES (107512, 40, 29, 'Vấn đề Nạo phá thai');
INSERT INTO `lang_definitions` VALUES (107513, 41, 29, 'Phương pháp Phá thai');
INSERT INTO `lang_definitions` VALUES (107514, 42, 29, 'Thể loại Phá thai-Liên quan');
INSERT INTO `lang_definitions` VALUES (107515, 43, 29, 'Phá thai');
INSERT INTO `lang_definitions` VALUES (107516, 44, 29, 'Giới thiệu về lịch');
INSERT INTO `lang_definitions` VALUES (107517, 46, 29, 'Chẩn đoán vắng mặt');
INSERT INTO `lang_definitions` VALUES (107518, 47, 29, 'Chấp nhận Chuyển nhượng');
INSERT INTO `lang_definitions` VALUES (107519, 48, 29, 'Chấp nhận Thanh toán cho');
INSERT INTO `lang_definitions` VALUES (107520, 49, 29, 'Chấp nhận Thanh toán cho');
INSERT INTO `lang_definitions` VALUES (107521, 50, 29, 'Chấp nhận Phần được giao');
INSERT INTO `lang_definitions` VALUES (107522, 51, 29, 'Kiểm soát Truy nhập');
INSERT INTO `lang_definitions` VALUES (107523, 52, 29, 'Quản trị Danh sách Kiểm soát Truy nhập');
INSERT INTO `lang_definitions` VALUES (107524, 53, 29, 'Ngày truy nhập');
INSERT INTO `lang_definitions` VALUES (107525, 54, 29, 'Không được phép truy nhập');
INSERT INTO `lang_definitions` VALUES (107526, 55, 29, 'Không được Cấp phép Truy nhập');
INSERT INTO `lang_definitions` VALUES (107527, 56, 29, 'Cổng thông tin bệnh nhân Truy cập');
INSERT INTO `lang_definitions` VALUES (107528, 57, 29, 'Tai nạn');
INSERT INTO `lang_definitions` VALUES (107529, 59, 29, 'Tên Tài khoản');
INSERT INTO `lang_definitions` VALUES (107530, 62, 29, 'Kế toán');
INSERT INTO `lang_definitions` VALUES (107531, 64, 29, 'Đau nhức');
INSERT INTO `lang_definitions` VALUES (107532, 65, 29, 'Đã yêu cầu Xác nhận (ISA14)');
INSERT INTO `lang_definitions` VALUES (107533, 66, 29, 'Lời cảm ơn, Cấp phép và Chứng chỉ');
INSERT INTO `lang_definitions` VALUES (107534, 67, 29, 'ACL');
INSERT INTO `lang_definitions` VALUES (107535, 68, 29, 'Quản trị ACL');
INSERT INTO `lang_definitions` VALUES (107536, 69, 29, 'Không được quyền Quản trị ACL');
INSERT INTO `lang_definitions` VALUES (107537, 70, 29, 'Cập nhật Thành công ACL');
INSERT INTO `lang_definitions` VALUES (107538, 71, 29, 'Mụn trứng cá');
INSERT INTO `lang_definitions` VALUES (107539, 72, 29, 'Được dùng');
INSERT INTO `lang_definitions` VALUES (107540, 73, 29, 'Ngày Hành động');
INSERT INTO `lang_definitions` VALUES (107541, 74, 29, 'Hành động');
INSERT INTO `lang_definitions` VALUES (107542, 75, 29, 'Những Hoạt động');
INSERT INTO `lang_definitions` VALUES (107543, 77, 29, 'Kích hoạt việc Báo cáo CCR / CCD');
INSERT INTO `lang_definitions` VALUES (107544, 78, 29, 'Có hiệu lực');
INSERT INTO `lang_definitions` VALUES (107545, 79, 29, 'Cảnh báo Đang có hiệu lực');
INSERT INTO `lang_definitions` VALUES (107546, 80, 29, 'Các luật Cảnh báo Đang có hiệu lực');
INSERT INTO `lang_definitions` VALUES (107547, 81, 29, 'Cảnh báo / Nhắc nhở Đang có hiệu lực');
INSERT INTO `lang_definitions` VALUES (107548, 82, 29, 'Lần khám Đang được chọn');
INSERT INTO `lang_definitions` VALUES (107549, 84, 29, 'Danh sách hoạt động');
INSERT INTO `lang_definitions` VALUES (107550, 85, 29, 'Bệnh nhân Đang được chọn');
INSERT INTO `lang_definitions` VALUES (107551, 86, 29, 'Kế hoạch Đang được chọn');
INSERT INTO `lang_definitions` VALUES (107552, 87, 29, 'Hoạt động');
INSERT INTO `lang_definitions` VALUES (107553, 88, 29, 'Loại Hoạt động');
INSERT INTO `lang_definitions` VALUES (107554, 92, 29, 'Cấp tính / mãn tính');
INSERT INTO `lang_definitions` VALUES (107555, 93, 29, 'thêm');
INSERT INTO `lang_definitions` VALUES (107556, 94, 29, 'Thêm');
INSERT INTO `lang_definitions` VALUES (107557, 95, 29, 'THÊM');
INSERT INTO `lang_definitions` VALUES (107558, 96, 29, 'Thêm Công ty');
INSERT INTO `lang_definitions` VALUES (107559, 98, 29, 'Thêm Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (107560, 100, 29, 'thêm một sự kiện cho ');
INSERT INTO `lang_definitions` VALUES (107561, 101, 29, 'Thêm như ghi chú mới');
INSERT INTO `lang_definitions` VALUES (107562, 102, 29, 'Tạo Mới');
INSERT INTO `lang_definitions` VALUES (107563, 104, 29, 'Thêm Các nút');
INSERT INTO `lang_definitions` VALUES (107564, 105, 29, 'Hiển thị phía trên của trình soạn thảo các nút cho các ký tự, văn bản đặc biệt để đưa vào văn bản khi được nhấn');
INSERT INTO `lang_definitions` VALUES (107565, 106, 29, 'Thêm Thể loại');
INSERT INTO `lang_definitions` VALUES (107566, 107, 29, 'Thêm Hằng số');
INSERT INTO `lang_definitions` VALUES (107567, 108, 29, 'Thêm Bối cảnh');
INSERT INTO `lang_definitions` VALUES (107568, 109, 29, 'Thêm Tiền phụ phí');
INSERT INTO `lang_definitions` VALUES (107569, 110, 29, 'Thêm tiêu chí');
INSERT INTO `lang_definitions` VALUES (107570, 111, 29, 'Thêm Nút Tùy chỉnh');
INSERT INTO `lang_definitions` VALUES (107571, 112, 29, 'Thêm Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (107572, 113, 29, 'Thêm Thuốc');
INSERT INTO `lang_definitions` VALUES (107573, 114, 29, 'Thêm Lần khám');
INSERT INTO `lang_definitions` VALUES (107574, 115, 29, 'Thêm lần khám / ghi chú');
INSERT INTO `lang_definitions` VALUES (107575, 116, 29, 'Thêm Cơ sở');
INSERT INTO `lang_definitions` VALUES (107576, 117, 29, 'Thêm Trường');
INSERT INTO `lang_definitions` VALUES (107577, 118, 29, 'Thêm những dòng sau vào tập tin cấu hình Apache');
INSERT INTO `lang_definitions` VALUES (107578, 119, 29, 'Thêm Nhóm');
INSERT INTO `lang_definitions` VALUES (107579, 120, 29, 'Thêm Mã ICD');
INSERT INTO `lang_definitions` VALUES (107580, 121, 29, 'Thêm Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (107581, 122, 29, 'Không được quyền thêm!');
INSERT INTO `lang_definitions` VALUES (107582, 123, 29, 'Thêm Vấn đề');
INSERT INTO `lang_definitions` VALUES (107583, 124, 29, 'Thêm mục để theo dõi');
INSERT INTO `lang_definitions` VALUES (107584, 125, 29, 'Thêm Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (107585, 126, 29, 'Thêm Mới');
INSERT INTO `lang_definitions` VALUES (107586, 127, 29, 'Thêm mới');
INSERT INTO `lang_definitions` VALUES (107587, 128, 29, 'Thêm thể loại mới: ');
INSERT INTO `lang_definitions` VALUES (107588, 129, 29, 'Thêm chứng nhận mới vào tập tin cấu hình Apache');
INSERT INTO `lang_definitions` VALUES (107589, 130, 29, 'Thêm Thành phần Mới');
INSERT INTO `lang_definitions` VALUES (107590, 131, 29, 'Thêm Các Thành phần Mới');
INSERT INTO `lang_definitions` VALUES (107591, 132, 29, 'Thêm Nhóm Mới');
INSERT INTO `lang_definitions` VALUES (107592, 133, 29, 'Thêm Vấn đề Mới');
INSERT INTO `lang_definitions` VALUES (107593, 134, 29, 'Thêm lô hàng và giao dịch mới');
INSERT INTO `lang_definitions` VALUES (107594, 135, 29, 'Thêm Ghi chú Mới');
INSERT INTO `lang_definitions` VALUES (107595, 136, 29, 'Thêm ghi chú mới');
INSERT INTO `lang_definitions` VALUES (107596, 137, 29, 'Thêm Đối tác Mới');
INSERT INTO `lang_definitions` VALUES (107597, 138, 29, 'Thêm Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (107598, 140, 29, 'Thêm Ghi chú');
INSERT INTO `lang_definitions` VALUES (107599, 141, 29, 'Thêm Hồ sơ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107600, 142, 29, 'Thêm Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (107601, 143, 29, 'Thêm Thủ tục');
INSERT INTO `lang_definitions` VALUES (107602, 144, 29, 'Thêm Số của Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (107603, 145, 29, 'Thêm phục hồi chức năng');
INSERT INTO `lang_definitions` VALUES (107604, 146, 29, 'Thêm Quy tắc');
INSERT INTO `lang_definitions` VALUES (107605, 147, 29, 'Thêm vào');
INSERT INTO `lang_definitions` VALUES (107606, 148, 29, 'Thêm vào Danh sách Điều trị');
INSERT INTO `lang_definitions` VALUES (107607, 149, 29, 'Thêm Mức đỉnh');
INSERT INTO `lang_definitions` VALUES (107608, 150, 29, 'Thêm giao dịch');
INSERT INTO `lang_definitions` VALUES (107609, 151, 29, 'Thêm Người dùng');
INSERT INTO `lang_definitions` VALUES (107610, 152, 29, 'Thêm Người dùng vào Nhóm');
INSERT INTO `lang_definitions` VALUES (107611, 153, 29, 'Thêm / Chỉnh sửa eRx');
INSERT INTO `lang_definitions` VALUES (107612, 154, 29, 'Thêm / Chỉnh sửa Giao dịch của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107613, 155, 29, 'đã thêm');
INSERT INTO `lang_definitions` VALUES (107614, 156, 29, 'Không được phép thêm thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (107615, 157, 29, 'Gặp lỗi khi thêm mục để theo dõi');
INSERT INTO `lang_definitions` VALUES (107616, 158, 29, 'Hội chứng Addison');
INSERT INTO `lang_definitions` VALUES (107617, 159, 29, 'Hội chứng Addison');
INSERT INTO `lang_definitions` VALUES (107618, 160, 29, 'Các thuộc tính Bổ sung');
INSERT INTO `lang_definitions` VALUES (107619, 161, 29, 'Các chẩn đoán Bổ sung:');
INSERT INTO `lang_definitions` VALUES (107620, 162, 29, 'Lịch sử Bổ sung');
INSERT INTO `lang_definitions` VALUES (107621, 163, 29, 'Ghi chú lịch sử bổ sung');
INSERT INTO `lang_definitions` VALUES (107622, 164, 29, 'Thông tin Bổ sung');
INSERT INTO `lang_definitions` VALUES (107623, 165, 29, 'Phòng thí nghiệm Bổ sung');
INSERT INTO `lang_definitions` VALUES (107624, 166, 29, 'Ghi chú Bổ sung');
INSERT INTO `lang_definitions` VALUES (107625, 167, 29, 'Ghi chú bổ sung cho kết quả hay khuyến nghị này');
INSERT INTO `lang_definitions` VALUES (107626, 168, 29, 'Ghi chú Bổ sung:');
INSERT INTO `lang_definitions` VALUES (107627, 169, 29, 'Ghi chú Bổ sung: ');
INSERT INTO `lang_definitions` VALUES (107628, 170, 29, 'Ghi chú X-Quang bổ sung:');
INSERT INTO `lang_definitions` VALUES (107629, 171, 29, 'Thêm vào đó, có thể nhập Gói Mở rộng Snomed của Hoa Kỳ tương ứng sau khi cài đặt Bản phát hành Snomed Quốc tế (phiên bản Tiếng Anh).');
INSERT INTO `lang_definitions` VALUES (107630, 172, 29, 'chỉ được thêm');
INSERT INTO `lang_definitions` VALUES (107631, 173, 29, 'Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (107632, 174, 29, 'Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (107633, 175, 29, 'Địa chỉ');
INSERT INTO `lang_definitions` VALUES (107634, 178, 29, 'Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (107635, 179, 29, 'Đầu mục trong sổ địa chỉ cho công ty đang thực hiện thủ tục này');
INSERT INTO `lang_definitions` VALUES (107636, 180, 29, 'Đầu mục trong sổ địa chỉ cho nhà phân phối');
INSERT INTO `lang_definitions` VALUES (107637, 181, 29, 'Đầu mục trong sổ địa chỉ cho người bán');
INSERT INTO `lang_definitions` VALUES (107638, 182, 29, 'Các loại Sổ Địa chỉ');
INSERT INTO `lang_definitions` VALUES (107639, 183, 29, 'Nhãn Địa chỉ');
INSERT INTO `lang_definitions` VALUES (107640, 187, 29, 'Địa chỉ 1');
INSERT INTO `lang_definitions` VALUES (107641, 188, 29, 'Địa chỉ 2');
INSERT INTO `lang_definitions` VALUES (107642, 189, 29, 'ADDRESSEE');
INSERT INTO `lang_definitions` VALUES (107643, 190, 29, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107644, 191, 29, 'Số tiền điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107645, 192, 29, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107646, 193, 29, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107647, 194, 29, 'Số tiền điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107648, 195, 29, 'Các lý do Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107649, 196, 29, 'Điều chỉnh giá trị cho mã ');
INSERT INTO `lang_definitions` VALUES (107650, 197, 29, 'Điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107651, 198, 29, 'Quản trị điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107652, 199, 29, 'Quản trị');
INSERT INTO `lang_definitions` VALUES (107653, 200, 29, 'Địa chỉ email Quản trị viên');
INSERT INTO `lang_definitions` VALUES (107654, 201, 29, 'Quản lý Bằng');
INSERT INTO `lang_definitions` VALUES (107655, 202, 29, 'Được quản trị');
INSERT INTO `lang_definitions` VALUES (107656, 203, 29, 'Được quản trị Bởi');
INSERT INTO `lang_definitions` VALUES (107657, 204, 29, 'Ngày Được quản trị');
INSERT INTO `lang_definitions` VALUES (107658, 205, 29, 'Địa điểm được Quản trị');
INSERT INTO `lang_definitions` VALUES (107659, 206, 29, 'Quản trị');
INSERT INTO `lang_definitions` VALUES (107660, 207, 29, 'Địa điểm Quản trị');
INSERT INTO `lang_definitions` VALUES (107661, 208, 29, 'Quản trị viên');
INSERT INTO `lang_definitions` VALUES (107662, 209, 29, 'Quản trị viên có thể làm bất cứ điều gì');
INSERT INTO `lang_definitions` VALUES (107663, 210, 29, 'Ngày Thừa nhận');
INSERT INTO `lang_definitions` VALUES (107664, 212, 29, 'Sàng lọc và Theo dõi Trọng lượng Người lớn');
INSERT INTO `lang_definitions` VALUES (107665, 213, 29, 'Sàng lọc và Theo dõi Trọng lượng Người lớn (CQM)');
INSERT INTO `lang_definitions` VALUES (107666, 214, 29, 'Chỉ thị Nâng cao');
INSERT INTO `lang_definitions` VALUES (107667, 215, 29, 'Chỉ thị Nâng cao');
INSERT INTO `lang_definitions` VALUES (107668, 216, 29, 'Cảnh báo Chỉ thị Nâng cao');
INSERT INTO `lang_definitions` VALUES (107669, 218, 29, 'Nâng cao');
INSERT INTO `lang_definitions` VALUES (107670, 219, 29, 'Lời khuyên');
INSERT INTO `lang_definitions` VALUES (107671, 221, 29, 'Ảnh hưởng đến bình thường');
INSERT INTO `lang_definitions` VALUES (107672, 222, 29, 'Tiếng/Người Nam Phi');
INSERT INTO `lang_definitions` VALUES (107673, 223, 29, 'Cuộc gọi sau giờ làm việc');
INSERT INTO `lang_definitions` VALUES (107674, 224, 29, 'Sau khi hoàn thành việc di chuyển từ các cơ chế mật khẩu cũ, nơi lưu mật khẩu không có salt trong bảng người dùng, cờ này cần được đặt thành false (sai) để chỉ cho phép xác thực bằng phương pháp mới.');
INSERT INTO `lang_definitions` VALUES (107675, 225, 29, 'Sau khi thực hiện các cấu hình trên, kết nhập chứng chỉ máy khách quản trị vào trình duyệt và khởi động lại máy chủ Apache (mật khẩu rỗng).');
INSERT INTO `lang_definitions` VALUES (107676, 226, 29, 'Sau khi lưu các file PDF, nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (107677, 227, 29, 'Sau khi lưu các tập tin văn bản, nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (107678, 228, 29, 'Sau khi lưu loạt của bạn, hãy nhấp vào [Xem Bản ghi] để kiểm tra lỗi.');
INSERT INTO `lang_definitions` VALUES (107679, 229, 29, 'Sau đó cột \"Phù hợp với\" sẽ hiện mã bệnh nhân được chọn, hay 0 để tạo.');
INSERT INTO `lang_definitions` VALUES (107680, 230, 29, 'Sau khi đã nhập đúng thông tin, hãy nhấp vào nút Lưu.');
INSERT INTO `lang_definitions` VALUES (107681, 231, 29, 'Sau khi Tải lên, bấm nút \"Kết nhập\"');
INSERT INTO `lang_definitions` VALUES (107682, 232, 29, 'Kế hoạch Chăm sóc');
INSERT INTO `lang_definitions` VALUES (107683, 233, 29, 'Lần nữa');
INSERT INTO `lang_definitions` VALUES (107684, 234, 29, 'Tuổi');
INSERT INTO `lang_definitions` VALUES (107685, 235, 29, 'Tuổi Khi');
INSERT INTO `lang_definitions` VALUES (107686, 236, 29, 'Thể loại Tuổi');
INSERT INTO `lang_definitions` VALUES (107687, 237, 29, 'Dữ liệu tuổi vượt khỏi phạm vi.');
INSERT INTO `lang_definitions` VALUES (107688, 238, 29, 'Định dạng Hiển thị Tuổi');
INSERT INTO `lang_definitions` VALUES (107689, 239, 29, 'Định dạng tuổi cho \"tuổi từ bao nhiêu\" là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (107690, 240, 29, 'Định dạng tuổi cho \"tuổi lên đến\" là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (107691, 241, 29, 'Tuổi Từ');
INSERT INTO `lang_definitions` VALUES (107692, 242, 29, 'Tuổi theo Năm để Thay đổi Định dạng Hiển thị');
INSERT INTO `lang_definitions` VALUES (107693, 243, 29, 'Tuổi lớn nhất');
INSERT INTO `lang_definitions` VALUES (107694, 244, 29, 'Tuổi nhỏ nhất');
INSERT INTO `lang_definitions` VALUES (107695, 245, 29, 'Phạm vi Tuổi');
INSERT INTO `lang_definitions` VALUES (107696, 247, 29, 'Cột Tuổi:');
INSERT INTO `lang_definitions` VALUES (107697, 249, 29, 'Tiếng/Người Albany');
INSERT INTO `lang_definitions` VALUES (107698, 250, 29, 'Rượu');
INSERT INTO `lang_definitions` VALUES (107699, 251, 29, 'Lượng cồn hấp thu');
INSERT INTO `lang_definitions` VALUES (107700, 252, 29, 'Sử dụng Rượu');
INSERT INTO `lang_definitions` VALUES (107701, 253, 29, 'Số lần Cảnh báo');
INSERT INTO `lang_definitions` VALUES (107702, 255, 29, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (107703, 258, 29, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (107704, 259, 29, 'Tất cả');
INSERT INTO `lang_definitions` VALUES (107705, 260, 29, 'TẤT CẢ');
INSERT INTO `lang_definitions` VALUES (107706, 261, 29, 'Tất cả (đối chiếu Định dạng A)');
INSERT INTO `lang_definitions` VALUES (107707, 262, 29, 'Tất cả (đối chiếu Định dạng B)');
INSERT INTO `lang_definitions` VALUES (107708, 263, 29, 'Tất cả (Tích lũy)');
INSERT INTO `lang_definitions` VALUES (107709, 265, 29, 'Tất cả Tính toán Đo lường Tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (107710, 266, 29, 'Tất cả Thể loại');
INSERT INTO `lang_definitions` VALUES (107711, 267, 29, 'Tất cả Đo lường Chất lượng Lâm sàng (CQM)');
INSERT INTO `lang_definitions` VALUES (107712, 268, 29, 'Tất cả Mã');
INSERT INTO `lang_definitions` VALUES (107713, 269, 29, 'Cả Ngày');
INSERT INTO `lang_definitions` VALUES (107714, 270, 29, 'Sự kiện trong Cả Ngày');
INSERT INTO `lang_definitions` VALUES (107715, 271, 29, 'Tất cả các trường thông tin cá nhân, tìm kiếm và kiểm tra trùng lặp');
INSERT INTO `lang_definitions` VALUES (107716, 272, 29, 'Tất cả các Cơ sở');
INSERT INTO `lang_definitions` VALUES (107717, 273, 29, 'Tất cả các Chấn thương / Vấn đề / Vấn đề');
INSERT INTO `lang_definitions` VALUES (107718, 274, 29, 'Cho phép Mọi Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (107719, 275, 29, 'Tất cả Nhóm Đo lường CQM (Đo lường Chất lượng Lâm sàng) Chính thức');
INSERT INTO `lang_definitions` VALUES (107720, 276, 29, 'Tất cả hoặc một phần của tên');
INSERT INTO `lang_definitions` VALUES (107721, 277, 29, 'Tất cả hoặc một phần của họ');
INSERT INTO `lang_definitions` VALUES (107722, 278, 29, 'Tất cả hoặc một phần của tổ chức');
INSERT INTO `lang_definitions` VALUES (107723, 279, 29, 'Tất cả Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107724, 280, 29, 'Tất cả Sản phẩm');
INSERT INTO `lang_definitions` VALUES (107725, 281, 29, 'Tất cả các Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (107726, 282, 29, 'Tất cả Đánh giá và Âm tính:');
INSERT INTO `lang_definitions` VALUES (107727, 283, 29, 'Tất cả Chủ đề');
INSERT INTO `lang_definitions` VALUES (107728, 284, 29, 'Tất cả Người dùng');
INSERT INTO `lang_definitions` VALUES (107729, 285, 29, 'Dị ứng');
INSERT INTO `lang_definitions` VALUES (107730, 286, 29, 'Các dị ứng');
INSERT INTO `lang_definitions` VALUES (107731, 287, 29, 'Các dị ứng:');
INSERT INTO `lang_definitions` VALUES (107732, 288, 29, 'Dị ứng');
INSERT INTO `lang_definitions` VALUES (107733, 289, 29, 'Đã hoàn thành kết nhập dị ứng');
INSERT INTO `lang_definitions` VALUES (107734, 290, 29, 'Danh sách Vấn đề Dị ứng');
INSERT INTO `lang_definitions` VALUES (107735, 291, 29, 'Phản ứng Dị ứng');
INSERT INTO `lang_definitions` VALUES (107736, 294, 29, 'Phân phối');
INSERT INTO `lang_definitions` VALUES (107737, 295, 29, 'Cho Phép');
INSERT INTO `lang_definitions` VALUES (107738, 296, 29, 'Cho phép tất cả các ngôn ngữ có sẵn trong phần lựa chọn lúc đăng nhập.');
INSERT INTO `lang_definitions` VALUES (107739, 297, 29, 'Cho phép tạo ra các yêu cầu có chứa chẩn đoán nhưng không có thủ tục hoặc phí. Hầu hết các phòng khám không muốn điều này.');
INSERT INTO `lang_definitions` VALUES (107740, 298, 29, 'Cho phép Gỡ lỗi Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (107741, 299, 29, 'Cho phép Email');
INSERT INTO `lang_definitions` VALUES (107742, 300, 29, 'Cho phép các tin nhắn email?');
INSERT INTO `lang_definitions` VALUES (107743, 301, 29, 'Cho phép Email?');
INSERT INTO `lang_definitions` VALUES (107744, 302, 29, 'Cho phép Yêu cầu Lần khám');
INSERT INTO `lang_definitions` VALUES (107745, 303, 29, 'Cho phép Trao đổi Thông tin Y tế');
INSERT INTO `lang_definitions` VALUES (107746, 304, 29, 'Cho phép Chia sẻ Thông tin Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (107747, 305, 29, 'Cho phép Đăng ký Sử dụng Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (107748, 306, 29, 'Cho phép Gửi Thư');
INSERT INTO `lang_definitions` VALUES (107749, 308, 29, 'Cho phép Cổng thông tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107750, 309, 29, 'Cho phép tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (107751, 310, 29, 'Cho phép tin nhắn SMS (tin nhắn văn bản)?');
INSERT INTO `lang_definitions` VALUES (107752, 311, 29, 'Cho phép các sự kiện trình được thực hiện hoạt động ngay lập tức?');
INSERT INTO `lang_definitions` VALUES (107753, 312, 29, 'Cho phép tin nhắn điện thoại?');
INSERT INTO `lang_definitions` VALUES (107754, 313, 29, 'Cho phép người dùng xuất bản các Sự kiện Tổng thể');
INSERT INTO `lang_definitions` VALUES (107755, 314, 29, 'Cho phép người dùng xuất bản Lịch Cá nhân');
INSERT INTO `lang_definitions` VALUES (107756, 315, 29, 'Cho phép tin nhắn bằng giọng nói');
INSERT INTO `lang_definitions` VALUES (107757, 316, 29, 'Được cho phép');
INSERT INTO `lang_definitions` VALUES (107758, 317, 29, 'Ngôn ngữ Được phép');
INSERT INTO `lang_definitions` VALUES (107759, 318, 29, 'Cho phép (c)');
INSERT INTO `lang_definitions` VALUES (107760, 319, 29, 'Cho phép Chữ ký Điện tử trên toàn bộ lần khám');
INSERT INTO `lang_definitions` VALUES (107761, 320, 29, 'Cho phép Các biểu mẫu Cá nhân Ký điện tử');
INSERT INTO `lang_definitions` VALUES (107762, 321, 29, 'Cho phép Thư');
INSERT INTO `lang_definitions` VALUES (107763, 322, 29, 'Cho phép Hộp thư thoại');
INSERT INTO `lang_definitions` VALUES (107764, 323, 29, 'đã tồn tại');
INSERT INTO `lang_definitions` VALUES (107765, 324, 29, 'đã tồn tại.');
INSERT INTO `lang_definitions` VALUES (107766, 325, 29, 'Đã được dùng, hãy chọn số định danh khác');
INSERT INTO `lang_definitions` VALUES (107767, 326, 29, 'Đã được dùng, hãy chọn tiêu đề khác');
INSERT INTO `lang_definitions` VALUES (107768, 327, 29, 'Địa chỉ khác');
INSERT INTO `lang_definitions` VALUES (107769, 328, 29, 'thay đổi');
INSERT INTO `lang_definitions` VALUES (107770, 329, 29, 'Ngoài ra, bạn có thể sử dụng trang tìm kiếm để tải lên một tập tin chuyển tiền điện tử (X12 835) mà bạn đã thu được từ người trả tiền hoặc ngân hàng của bạn. Bạn có thể làm điều này bằng cách nhấp vào nút Browse và chọn tập tin để tải lên, và sau đó nhấp vào Tìm kiếm để thực hiện việc tải lên và hiển thị hóa đơn tương ứng. Trong trường hợp này các thông số khác được đề cập ở trên không áp dụng và sẽ bị bỏ qua. Việc tải lên lưu các tập tin nhưng không xử lý nội dung của nó -- việc xử lý được thực hiện một cách riêng biệt như mô tả dưới đây.');
INSERT INTO `lang_definitions` VALUES (107771, 330, 29, 'AM');
INSERT INTO `lang_definitions` VALUES (107772, 331, 29, 'Chương trình AM');
INSERT INTO `lang_definitions` VALUES (107773, 332, 29, 'AMC');
INSERT INTO `lang_definitions` VALUES (107774, 333, 29, 'Theo dõi AMC');
INSERT INTO `lang_definitions` VALUES (107775, 334, 29, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (107776, 335, 29, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (107777, 338, 29, 'Sửa đổi Lưu ý Đang có');
INSERT INTO `lang_definitions` VALUES (107778, 339, 29, 'Đã điều chỉnh Từ');
INSERT INTO `lang_definitions` VALUES (107779, 340, 29, 'Trạng thái Đã điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107780, 341, 29, 'Các điều chỉnh');
INSERT INTO `lang_definitions` VALUES (107781, 342, 29, 'Các điều chỉnh cho');
INSERT INTO `lang_definitions` VALUES (107782, 343, 29, 'Mỹ Da Đỏ');
INSERT INTO `lang_definitions` VALUES (107783, 344, 29, 'Mỹ Da Đỏ hoặc người Alaska');
INSERT INTO `lang_definitions` VALUES (107784, 345, 29, 'AMEX');
INSERT INTO `lang_definitions` VALUES (107785, 346, 29, 'Amharic');
INSERT INTO `lang_definitions` VALUES (107786, 347, 29, 'Số tiền');
INSERT INTO `lang_definitions` VALUES (107787, 348, 29, 'Số tiền đã Quản trị');
INSERT INTO `lang_definitions` VALUES (107788, 349, 29, 'Số tiền Phí');
INSERT INTO `lang_definitions` VALUES (107789, 350, 29, 'Số tiền cho Số tiền Còn lại');
INSERT INTO `lang_definitions` VALUES (107790, 351, 29, 'Số tiền cho Lần đến Này');
INSERT INTO `lang_definitions` VALUES (107791, 352, 29, 'Số tiền đã Trả');
INSERT INTO `lang_definitions` VALUES (107792, 353, 29, 'Số tiền:');
INSERT INTO `lang_definitions` VALUES (107793, 354, 29, 'Số tiền đã lập Hóa đơn');
INSERT INTO `lang_definitions` VALUES (107794, 355, 29, 'Các sự kiện lặp lại phải có ngày kết thúc sau ngày bắt đầu!');
INSERT INTO `lang_definitions` VALUES (107795, 356, 29, 'Lỗi xảy ra khi đang ký biểu mẫu đó');
INSERT INTO `lang_definitions` VALUES (107796, 357, 29, 'Một lỗi xảy ra trong khi chép toàn bộ cây thư mục web LibreEHR');
INSERT INTO `lang_definitions` VALUES (107797, 358, 29, 'Một lỗi xảy ra trong khi chép toàn bộ cây thư mục web phpGACL');
INSERT INTO `lang_definitions` VALUES (107798, 359, 29, 'Một lỗi xảy ra trong khi chép toàn bộ cây thư mục web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (107799, 360, 29, 'Đã tạo ra và liên kết một vấn đề GCAC  không đầy đủ. Một người nào đó sẽ phải hoàn thành nó sau này.');
INSERT INTO `lang_definitions` VALUES (107800, 362, 29, 'Đã xảy ra một lỗi bất ngờ.');
INSERT INTO `lang_definitions` VALUES (107801, 363, 29, 'Một ký tự hoa');
INSERT INTO `lang_definitions` VALUES (107802, 365, 29, 'Và');
INSERT INTO `lang_definitions` VALUES (107803, 366, 29, 'VÀ');
INSERT INTO `lang_definitions` VALUES (107804, 367, 29, 'và');
INSERT INTO `lang_definitions` VALUES (107805, 368, 29, 'và ');
INSERT INTO `lang_definitions` VALUES (107806, 369, 29, 'và tất cả các dữ liệu cấp dưới? Hành động này sẽ được ghi nhận');
INSERT INTO `lang_definitions` VALUES (107807, 370, 29, 'và sửa đổi lần');
INSERT INTO `lang_definitions` VALUES (107808, 371, 29, 'và xử lý.');
INSERT INTO `lang_definitions` VALUES (107809, 372, 29, 'và khởi động lại máy chủ Apache.');
INSERT INTO `lang_definitions` VALUES (107810, 373, 29, 'và lý do là');
INSERT INTO `lang_definitions` VALUES (107811, 374, 29, 'Thiếu máu');
INSERT INTO `lang_definitions` VALUES (107812, 375, 29, 'Mắt cá chân');
INSERT INTO `lang_definitions` VALUES (107813, 376, 29, 'Mắt cá chân + gót chân');
INSERT INTO `lang_definitions` VALUES (107814, 377, 29, 'Mẫu Đánh giá Mắt cá chân');
INSERT INTO `lang_definitions` VALUES (107815, 378, 29, 'Vấn đề với Mắt cá chân');
INSERT INTO `lang_definitions` VALUES (107816, 379, 29, 'Cứng khớp Sondlilitis');
INSERT INTO `lang_definitions` VALUES (107817, 380, 29, 'Cứng khớp Spondlilitis');
INSERT INTO `lang_definitions` VALUES (107818, 381, 29, 'Biếng ăn');
INSERT INTO `lang_definitions` VALUES (107819, 382, 29, 'Một việc khác bạn có thể làm trong cửa sổ vào sổ cái là yêu cầu lập hóa đơn thứ cấp. Nếu bạn chọn hộp đánh dấu này trước khi lưu, phiếu yêu cầu gốc sẽ được mở ra lại và xếp hàng vào trang Lập hóa đơn, và sẽ được xử lý vào lần lập hóa đơn kế tiếp.');
INSERT INTO `lang_definitions` VALUES (107820, 383, 29, 'trước');
INSERT INTO `lang_definitions` VALUES (107821, 384, 29, 'Nl hậu môn, trực tràng không đau / khối lượng');
INSERT INTO `lang_definitions` VALUES (107822, 385, 29, 'Lo âu');
INSERT INTO `lang_definitions` VALUES (107823, 386, 29, 'Bất kỳ');
INSERT INTO `lang_definitions` VALUES (107824, 387, 29, 'Bất kỳ loại');
INSERT INTO `lang_definitions` VALUES (107825, 388, 29, 'Bất kỳ phần nào của mã bạn cần hoặc mô tả của nó');
INSERT INTO `lang_definitions` VALUES (107826, 389, 29, 'Bất kỳ phần nào của dấu viết đặc biệt bạn cần');
INSERT INTO `lang_definitions` VALUES (107827, 390, 29, 'Bất kỳ phần nào của mã hoặc tên thuốc');
INSERT INTO `lang_definitions` VALUES (107828, 391, 29, 'Bất kỳ phần nào của mã hoặc tên của tiêm chủng');
INSERT INTO `lang_definitions` VALUES (107829, 392, 29, 'Bất kỳ phần nào của tên bệnh nhân, hoặc \"họ, tên\", hoặc \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (107830, 393, 29, 'Thông tin nào khác có liên quan');
INSERT INTO `lang_definitions` VALUES (107831, 394, 29, 'Khóa API cho Cổng SMS.');
INSERT INTO `lang_definitions` VALUES (107832, 395, 29, 'Ngưng thở');
INSERT INTO `lang_definitions` VALUES (107833, 396, 29, 'Bề ngoài');
INSERT INTO `lang_definitions` VALUES (107834, 397, 29, 'Bề ngoài:');
INSERT INTO `lang_definitions` VALUES (107835, 398, 29, 'Thêm lưu ý này');
INSERT INTO `lang_definitions` VALUES (107836, 399, 29, 'Thêm vào các lưu ý đang có');
INSERT INTO `lang_definitions` VALUES (107837, 400, 29, 'Thêm vào lưu ý này');
INSERT INTO `lang_definitions` VALUES (107838, 401, 29, 'Thêm vào Lưu ý này');
INSERT INTO `lang_definitions` VALUES (107839, 402, 29, 'Ruột thừa');
INSERT INTO `lang_definitions` VALUES (107840, 403, 29, 'ruột thừa');
INSERT INTO `lang_definitions` VALUES (107841, 404, 29, 'Bệnh nhân Phù hợp');
INSERT INTO `lang_definitions` VALUES (107842, 405, 29, 'Ứng dụng');
INSERT INTO `lang_definitions` VALUES (107843, 406, 29, 'Tên ứng dụng cho trang đăng nhập và tiêu đề cửa sổ chính.');
INSERT INTO `lang_definitions` VALUES (107844, 407, 29, 'Mã Người nhận Đơn xin (GS03 - Nếu để trống thì dùng ISA08)');
INSERT INTO `lang_definitions` VALUES (107845, 408, 29, 'Mã Người gửi Đơn xin (GS02)');
INSERT INTO `lang_definitions` VALUES (107846, 409, 29, 'Tiêu đề Ứng dụng');
INSERT INTO `lang_definitions` VALUES (107847, 410, 29, 'Áp dụng cho các biểu mẫu Thể trạng và Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (107848, 411, 29, 'Áp dụng cho biểu mẫu Thể trạng');
INSERT INTO `lang_definitions` VALUES (107849, 412, 29, 'Áp dụng thay đổi chỉ cho sự kiện hiện tại, cho lần này và các lần xuất hiện trong tương lai, hoặc cho tất cả các lần xuất hiện?');
INSERT INTO `lang_definitions` VALUES (107850, 413, 29, 'áp dụng đối với khu vực bị ảnh hưởng');
INSERT INTO `lang_definitions` VALUES (107851, 414, 29, 'áp dụng cho da');
INSERT INTO `lang_definitions` VALUES (107852, 415, 29, 'Đang áp dụng');
INSERT INTO `lang_definitions` VALUES (107853, 416, 29, 'Đang áp dụng bản vá cho trang web');
INSERT INTO `lang_definitions` VALUES (107854, 417, 29, 'Cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107855, 418, 29, 'Cuộc Hẹn ngày');
INSERT INTO `lang_definitions` VALUES (107856, 419, 29, 'Kiểu hiển thị Cuộc Hẹn');
INSERT INTO `lang_definitions` VALUES (107857, 420, 29, 'Nhắc nhở Cuộc Hẹn');
INSERT INTO `lang_definitions` VALUES (107858, 421, 29, 'Tình trạng cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107859, 422, 29, 'Trạng thái cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107860, 423, 29, 'Trong cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107861, 424, 29, 'Màu cho Cuộc hẹn / Sự kiện');
INSERT INTO `lang_definitions` VALUES (107862, 425, 29, 'Các cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107863, 426, 29, 'Các cuộc hẹn (tùy chọn viết)');
INSERT INTO `lang_definitions` VALUES (107864, 427, 29, 'Các cuộc hẹn (tùy chọn viết, viết một phần)');
INSERT INTO `lang_definitions` VALUES (107865, 430, 29, 'Cuộc hẹn và cuộc Gặp');
INSERT INTO `lang_definitions` VALUES (107866, 431, 29, 'Báo cáo Các cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107867, 432, 29, 'Báo cáo Hẹn - Găp');
INSERT INTO `lang_definitions` VALUES (107868, 434, 29, 'Phê duyệt');
INSERT INTO `lang_definitions` VALUES (107869, 435, 29, 'Phê duyệt bệnh nhân tại Bệnh nhân/Khách hàng -> Nhập -> Đang chờ Phê duyệt');
INSERT INTO `lang_definitions` VALUES (107870, 436, 29, 'Đã Phê duyệt');
INSERT INTO `lang_definitions` VALUES (107871, 437, 29, 'Quản trị Sự kiện Phê duyệt');
INSERT INTO `lang_definitions` VALUES (107872, 438, 29, 'Phê duyệt Thành công');
INSERT INTO `lang_definitions` VALUES (107873, 440, 29, 'Appt-ENC');
INSERT INTO `lang_definitions` VALUES (107874, 441, 29, 'Cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (107875, 442, 29, 'Tháng Tư');
INSERT INTO `lang_definitions` VALUES (107876, 443, 29, 'Tháng Tư');
INSERT INTO `lang_definitions` VALUES (107877, 444, 29, 'Tiếng Ả Rập');
INSERT INTO `lang_definitions` VALUES (107878, 446, 29, 'Lưu trữ');
INSERT INTO `lang_definitions` VALUES (107879, 447, 29, 'Có dịch tên nhóm kiểm soát truy cập không?');
INSERT INTO `lang_definitions` VALUES (107880, 448, 29, 'Có dịch tên thể loại cuộc hẹn không?');
INSERT INTO `lang_definitions` VALUES (107881, 449, 29, 'Có dịch tên thể loại tài liệu không?');
INSERT INTO `lang_definitions` VALUES (107882, 450, 29, 'Có tính phí cho loại này không?');
INSERT INTO `lang_definitions` VALUES (107883, 451, 29, 'Có dịch các tiêu đề ghi chú cho bệnh nhân không?');
INSERT INTO `lang_definitions` VALUES (107884, 452, 29, 'Có lưu các mã trong bản SQL bên ngoài không (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (107885, 453, 29, 'Bạn đã chuẩn bị để hoàn thành một vấn đề mới GCAC cho chuyến thăm này?');
INSERT INTO `lang_definitions` VALUES (107886, 454, 29, 'Bạn có chắc chắn vào sổ cái cho hôm nay?');
INSERT INTO `lang_definitions` VALUES (107887, 455, 29, 'Bạn có chắc chắn muốn chấp nhận những sự kiện này?');
INSERT INTO `lang_definitions` VALUES (107888, 457, 29, 'Bạn chắc chắn rằng bạn muốn gỡ bỏ hoàn toàn mẫu này?');
INSERT INTO `lang_definitions` VALUES (107889, 458, 29, 'Bạn có chắc bạn muốn xóa');
INSERT INTO `lang_definitions` VALUES (107890, 459, 29, 'Bạn có chắc bạn muốn xóa Cho Biết này?');
INSERT INTO `lang_definitions` VALUES (107891, 460, 29, 'Bạn có chắc chắn, bạn muốn xoá sự kiện này?');
INSERT INTO `lang_definitions` VALUES (107892, 461, 29, 'Bạn có chắc, bạn muốn xóa mục này từ cơ sở dữ liệu?');
INSERT INTO `lang_definitions` VALUES (107893, 462, 29, 'Bạn có chắc, bạn muốn xóa này lưu ý?');
INSERT INTO `lang_definitions` VALUES (107894, 464, 29, 'Bạn có chắc chắn, bạn muốn chỉnh sửa các sự kiện này?');
INSERT INTO `lang_definitions` VALUES (107895, 465, 29, 'Bạn chắc chắn rằng bạn muốn ẩn những sự kiện này?');
INSERT INTO `lang_definitions` VALUES (107896, 466, 29, 'Bạn có chắc bạn muốn truyền lại nữa?');
INSERT INTO `lang_definitions` VALUES (107897, 467, 29, 'Có chắc chắn bạn muốn xem các sự kiện này?');
INSERT INTO `lang_definitions` VALUES (107898, 468, 29, 'Có chắc bạn muốn xóa toàn bộ nhóm có tên');
INSERT INTO `lang_definitions` VALUES (107899, 469, 29, 'Có chắc bạn muốn xóa toàn bộ danh sách');
INSERT INTO `lang_definitions` VALUES (107900, 470, 29, 'Bạn có chắc bạn muốn xóa các lĩnh vực');
INSERT INTO `lang_definitions` VALUES (107901, 471, 29, 'Bạn có chắc bạn muốn xóa các lĩnh vực được lựa chọn?');
INSERT INTO `lang_definitions` VALUES (107902, 472, 29, 'Bạn có chắc chắn bạn \'d muốn tiếp tục với những hành động này?');
INSERT INTO `lang_definitions` VALUES (107903, 473, 29, 'Khu vực không có quy định');
INSERT INTO `lang_definitions` VALUES (107904, 474, 29, 'Tay');
INSERT INTO `lang_definitions` VALUES (107905, 475, 29, 'Tiếng Armenia');
INSERT INTO `lang_definitions` VALUES (107906, 477, 29, 'Arrythmia');
INSERT INTO `lang_definitions` VALUES (107907, 478, 29, 'Viêm khớp');
INSERT INTO `lang_definitions` VALUES (107908, 479, 29, 'Viêm khớp / Degen doanh diseas');
INSERT INTO `lang_definitions` VALUES (107909, 480, 29, 'Viêm khớp / Degen khớp');
INSERT INTO `lang_definitions` VALUES (107910, 481, 29, 'như');
INSERT INTO `lang_definitions` VALUES (107911, 482, 29, 'Vào Lúc');
INSERT INTO `lang_definitions` VALUES (107912, 484, 29, 'Châu Á');
INSERT INTO `lang_definitions` VALUES (107913, 487, 29, 'Đánh giá (Assessment)');
INSERT INTO `lang_definitions` VALUES (107914, 488, 29, 'Giao Để');
INSERT INTO `lang_definitions` VALUES (107915, 489, 29, 'Trợ lý');
INSERT INTO `lang_definitions` VALUES (107916, 490, 29, 'Hen suyễn');
INSERT INTO `lang_definitions` VALUES (107917, 491, 29, 'tại');
INSERT INTO `lang_definitions` VALUES (107918, 492, 29, 'Ít nhất một tham số tìm kiếm được yêu cầu nếu bạn chọn Tất cả.');
INSERT INTO `lang_definitions` VALUES (107919, 493, 29, 'Tại các Navicular');
INSERT INTO `lang_definitions` VALUES (107920, 494, 29, 'Tại các Navicular:');
INSERT INTO `lang_definitions` VALUES (107921, 495, 29, 'Đội thể dục');
INSERT INTO `lang_definitions` VALUES (107922, 496, 29, 'Đội Thể dục');
INSERT INTO `lang_definitions` VALUES (107923, 497, 29, 'Thuộc thể thao / tai nạn thương tích');
INSERT INTO `lang_definitions` VALUES (107924, 498, 29, 'ATNA kiểm toán CA giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (107925, 499, 29, 'chủ kiểm toán ATNA');
INSERT INTO `lang_definitions` VALUES (107926, 500, 29, 'Giấy chứng nhận kiểm toán khu vực ATNA');
INSERT INTO `lang_definitions` VALUES (107927, 501, 29, 'Cổng kiểm toán ATNA');
INSERT INTO `lang_definitions` VALUES (107928, 503, 29, 'Sự chú ý');
INSERT INTO `lang_definitions` VALUES (107929, 504, 29, 'Attn');
INSERT INTO `lang_definitions` VALUES (107930, 509, 29, 'Sao lưu Kiểm tra đăng nhập');
INSERT INTO `lang_definitions` VALUES (107931, 510, 29, 'Kiểm toán Đăng nhập lộn xộn');
INSERT INTO `lang_definitions` VALUES (107932, 511, 29, 'Kiểm toán đăng nhập Theo');
INSERT INTO `lang_definitions` VALUES (107933, 512, 29, 'Kiểm toán Đăng nhập Ghi Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107934, 513, 29, 'Kiểm toán Đăng nhập Lập kế hoạch');
INSERT INTO `lang_definitions` VALUES (107935, 514, 29, 'Kiểm toán Đăng nhập Cục An ninh');
INSERT INTO `lang_definitions` VALUES (107936, 515, 29, 'Kiểm toán Đăng nhập CHỌN truy vấn');
INSERT INTO `lang_definitions` VALUES (107937, 516, 29, 'Tháng Tám');
INSERT INTO `lang_definitions` VALUES (107938, 517, 29, 'Tháng Tám');
INSERT INTO `lang_definitions` VALUES (107939, 519, 29, 'Quyền');
INSERT INTO `lang_definitions` VALUES (107940, 520, 29, 'Quyền / Ghi chú');
INSERT INTO `lang_definitions` VALUES (107941, 523, 29, 'Nhóm Ủy quyền');
INSERT INTO `lang_definitions` VALUES (107942, 524, 29, 'Trạng thái Ủy quyền');
INSERT INTO `lang_definitions` VALUES (107943, 525, 29, 'Ủy quyền');
INSERT INTO `lang_definitions` VALUES (107944, 526, 29, 'Ủy quyền');
INSERT INTO `lang_definitions` VALUES (107945, 527, 29, 'Ủy quyền - bất kỳ cuộc gặp gỡ');
INSERT INTO `lang_definitions` VALUES (107946, 528, 29, 'Ủy quyền - cuộc gặp gỡ của tôi');
INSERT INTO `lang_definitions` VALUES (107947, 529, 29, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (107948, 530, 29, 'Ủy quyền');
INSERT INTO `lang_definitions` VALUES (107949, 531, 29, 'Ủy quyền Chỉ');
INSERT INTO `lang_definitions` VALUES (107950, 532, 29, 'Gửi tự động');
INSERT INTO `lang_definitions` VALUES (107951, 535, 29, 'Tự động-Tạo cuộc gặp mới');
INSERT INTO `lang_definitions` VALUES (107952, 536, 29, 'Tự động tạo ra');
INSERT INTO `lang_definitions` VALUES (107953, 537, 29, 'Biện pháp tính toán tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (107954, 538, 29, 'Biện pháp tính toán tự động (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (107955, 539, 29, 'Biện pháp tính toán tự động (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (107956, 542, 29, 'Biện pháp tính toán tự động (AMC) Theo dõi');
INSERT INTO `lang_definitions` VALUES (107957, 543, 29, 'Các biện pháp tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (107958, 544, 29, 'Tự động');
INSERT INTO `lang_definitions` VALUES (107959, 546, 29, 'Tự động tạo ra một cuộc gặp gỡ mới khi tình trạng bổ nhiệm được thiết lập để \"@\" (đến).');
INSERT INTO `lang_definitions` VALUES (107960, 549, 29, 'Xe Y Tế Lưu Động');
INSERT INTO `lang_definitions` VALUES (107961, 550, 29, 'tự động lưu');
INSERT INTO `lang_definitions` VALUES (107962, 551, 29, 'Có sẵn loại');
INSERT INTO `lang_definitions` VALUES (107963, 552, 29, 'Thời gian Rảnh');
INSERT INTO `lang_definitions` VALUES (107964, 555, 29, 'Kiểu Nhãn Avery để in nhãn bệnh nhân từ popups trong màn hình điều hướng bên trái');
INSERT INTO `lang_definitions` VALUES (107965, 557, 29, 'Trung bình hàng tháng');
INSERT INTO `lang_definitions` VALUES (107966, 558, 29, 'Sự nhổ lên / gãy xương do giật');
INSERT INTO `lang_definitions` VALUES (107967, 559, 29, 'Sự nhổ lên mắt cá bên');
INSERT INTO `lang_definitions` VALUES (107968, 560, 29, 'Sự nhổ lên mắt cá trung gian ');
INSERT INTO `lang_definitions` VALUES (107969, 561, 29, 'Dựa vào Nhận thức');
INSERT INTO `lang_definitions` VALUES (107970, 562, 29, 'Nách');
INSERT INTO `lang_definitions` VALUES (107971, 565, 29, '2 lần/ngày');
INSERT INTO `lang_definitions` VALUES (107972, 566, 29, 'Quay lại');
INSERT INTO `lang_definitions` VALUES (107973, 567, 29, 'quay lại');
INSERT INTO `lang_definitions` VALUES (107974, 568, 29, '8 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107975, 569, 29, '11 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107976, 570, 29, '5 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107977, 571, 29, '4 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107978, 572, 29, '9 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107979, 573, 29, '1 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107980, 574, 29, 'Đau Lưng');
INSERT INTO `lang_definitions` VALUES (107981, 575, 29, 'Vấn đề về Lưng');
INSERT INTO `lang_definitions` VALUES (107982, 576, 29, '7 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107983, 577, 29, '6 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107984, 578, 29, 'Giải phẫu Lưng');
INSERT INTO `lang_definitions` VALUES (107985, 579, 29, '10 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107986, 580, 29, '3 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107987, 581, 29, 'Quay lại Trang Quản trị');
INSERT INTO `lang_definitions` VALUES (107988, 582, 29, 'Quay lại lần khám');
INSERT INTO `lang_definitions` VALUES (107989, 583, 29, 'Quay lại trang Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107990, 584, 29, 'Quay lại Trang Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (107991, 585, 29, 'Quay lại Trang Người dùng');
INSERT INTO `lang_definitions` VALUES (107992, 586, 29, 'Quay lại Trang Xem');
INSERT INTO `lang_definitions` VALUES (107993, 587, 29, '12 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107994, 588, 29, '2 lần trở lại thăm khám');
INSERT INTO `lang_definitions` VALUES (107995, 589, 29, 'Các dịch vụ Chạy nền');
INSERT INTO `lang_definitions` VALUES (107996, 590, 29, 'Sao lưu');
INSERT INTO `lang_definitions` VALUES (107997, 591, 29, 'Tập tin sao lưu đã được tạo ra. Bây giờ sẽ tải về');
INSERT INTO `lang_definitions` VALUES (107998, 592, 29, 'Danh sách Sao lưu');
INSERT INTO `lang_definitions` VALUES (107999, 593, 29, 'Sao lưu thành công thực hiện trong');
INSERT INTO `lang_definitions` VALUES (108000, 594, 29, 'Chi phiếu không tiền bảo chứng');
INSERT INTO `lang_definitions` VALUES (108001, 595, 29, 'Nợ xấu');
INSERT INTO `lang_definitions` VALUES (108002, 596, 29, 'Tiếng Bahasa In-đô-nê-xia');
INSERT INTO `lang_definitions` VALUES (108003, 597, 29, 'Cân đối');
INSERT INTO `lang_definitions` VALUES (108004, 598, 29, 'Bảng cân đối');
INSERT INTO `lang_definitions` VALUES (108005, 599, 29, 'bảng cân đối');
INSERT INTO `lang_definitions` VALUES (108006, 600, 29, 'Số tiền Thanh toán');
INSERT INTO `lang_definitions` VALUES (108007, 601, 29, 'Số tiền Còn lại');
INSERT INTO `lang_definitions` VALUES (108008, 603, 29, 'Hối phiếu Ngân hàng');
INSERT INTO `lang_definitions` VALUES (108009, 604, 29, 'Nhãn Mã vạch');
INSERT INTO `lang_definitions` VALUES (108010, 605, 29, 'Kiểu Nhãn Mã vạch');
INSERT INTO `lang_definitions` VALUES (108011, 606, 29, 'Kiểu mã vạch để in nhãn mã vạch từ popups trong cửa sổ điều hướng bên trái');
INSERT INTO `lang_definitions` VALUES (108012, 607, 29, 'Cơ sở của Metarsal thứ 5');
INSERT INTO `lang_definitions` VALUES (108013, 608, 29, 'Cơ sở của Metarsal thứ 5:');
INSERT INTO `lang_definitions` VALUES (108014, 611, 29, 'Yêu cầu Hàng loạt');
INSERT INTO `lang_definitions` VALUES (108015, 612, 29, 'Công cụ Truyền thông Hàng loạt');
INSERT INTO `lang_definitions` VALUES (108016, 613, 29, 'Khoản mục Thanh toán Hàng loạt');
INSERT INTO `lang_definitions` VALUES (108017, 614, 29, 'Thanh toán Hàng loạt');
INSERT INTO `lang_definitions` VALUES (108018, 615, 29, 'Xử lý hàng loạt đã được tiến hành; cần một ít thời gian để làm.');
INSERT INTO `lang_definitions` VALUES (108019, 616, 29, 'Kết quả Làm Hàng loạt');
INSERT INTO `lang_definitions` VALUES (108020, 617, 29, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (108021, 618, 29, 'Hãy kiên nhẫn, một số tập tin cần nhiều phút để xử lý');
INSERT INTO `lang_definitions` VALUES (108022, 619, 29, 'bởi vì mã đó không tồn tại.');
INSERT INTO `lang_definitions` VALUES (108023, 620, 29, 'Bắt đầu');
INSERT INTO `lang_definitions` VALUES (108024, 621, 29, 'Ngày Bắt đầu');
INSERT INTO `lang_definitions` VALUES (108025, 623, 29, 'Ngày bắt đầu dịch vụ năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (108026, 624, 29, 'Bắt đầu từ giờ trong ngày cho các lịch sự kiện.');
INSERT INTO `lang_definitions` VALUES (108027, 626, 29, 'Ợ hơi');
INSERT INTO `lang_definitions` VALUES (108028, 628, 29, 'Tiếng/Người Bengal');
INSERT INTO `lang_definitions` VALUES (108029, 630, 29, 'giữa');
INSERT INTO `lang_definitions` VALUES (108030, 631, 29, 'Hai chiều');
INSERT INTO `lang_definitions` VALUES (108031, 633, 29, 'Song phương');
INSERT INTO `lang_definitions` VALUES (108032, 634, 29, 'Song phương:');
INSERT INTO `lang_definitions` VALUES (108033, 636, 29, 'Hóa đơn Ngày:');
INSERT INTO `lang_definitions` VALUES (108034, 637, 29, 'Hóa đơn / Thu tiền');
INSERT INTO `lang_definitions` VALUES (108035, 638, 29, 'Đã gửi hóa đơn');
INSERT INTO `lang_definitions` VALUES (108036, 640, 29, 'Lập hóa đơn');
INSERT INTO `lang_definitions` VALUES (108037, 641, 29, 'Lập hóa đơn (tùy chọn cho ghi)');
INSERT INTO `lang_definitions` VALUES (108038, 642, 29, 'Người nhận Hóa đơn');
INSERT INTO `lang_definitions` VALUES (108039, 644, 29, 'Mã Hóa đơn cho Dịch vụ được Yêu cầu');
INSERT INTO `lang_definitions` VALUES (108040, 645, 29, 'Mã hóa đơn');
INSERT INTO `lang_definitions` VALUES (108041, 646, 29, 'Dữ liệu Hóa đơn');
INSERT INTO `lang_definitions` VALUES (108042, 647, 29, 'Thanh toán cho Bộ phận');
INSERT INTO `lang_definitions` VALUES (108043, 648, 29, 'Thanh toán cho Cơ sở');
INSERT INTO `lang_definitions` VALUES (108044, 649, 29, 'Thông tin Hóa đơn');
INSERT INTO `lang_definitions` VALUES (108045, 650, 29, 'Vị trí nhận Thanh toán');
INSERT INTO `lang_definitions` VALUES (108046, 655, 29, 'Người quản lý Thanh toán');
INSERT INTO `lang_definitions` VALUES (108047, 656, 29, 'Lưu ý Thanh toán');
INSERT INTO `lang_definitions` VALUES (108048, 657, 29, 'Lưu ý Thanh toán cho ');
INSERT INTO `lang_definitions` VALUES (108049, 658, 29, 'Lưu ý Thanh toán:');
INSERT INTO `lang_definitions` VALUES (108050, 659, 29, 'Kết quả hàng đợi thanh toán:');
INSERT INTO `lang_definitions` VALUES (108051, 660, 29, 'Báo cáo Hóa đơn');
INSERT INTO `lang_definitions` VALUES (108052, 661, 29, 'Trạng thái Hóa đơn');
INSERT INTO `lang_definitions` VALUES (108053, 662, 29, 'Tình trạng Hóa đơn = Chưa gửi hóa đơn');
INSERT INTO `lang_definitions` VALUES (108054, 663, 29, 'thanh toán đến ');
INSERT INTO `lang_definitions` VALUES (108055, 665, 29, 'Sinh thiết');
INSERT INTO `lang_definitions` VALUES (108056, 666, 29, 'Ngày sinh');
INSERT INTO `lang_definitions` VALUES (108057, 667, 29, 'Khi sinh-24 tháng');
INSERT INTO `lang_definitions` VALUES (108058, 669, 29, 'Đen');
INSERT INTO `lang_definitions` VALUES (108059, 670, 29, 'Nám Phổi');
INSERT INTO `lang_definitions` VALUES (108060, 671, 29, 'Người da đen hoặc người Mỹ gốc Phi');
INSERT INTO `lang_definitions` VALUES (108061, 672, 29, 'Ung thư Bàng quang');
INSERT INTO `lang_definitions` VALUES (108062, 673, 29, 'Nhiễm trùng Bàng quang');
INSERT INTO `lang_definitions` VALUES (108063, 674, 29, 'Biểu mẫu Trống');
INSERT INTO `lang_definitions` VALUES (108064, 675, 29, 'Vấn đề Chảy máu');
INSERT INTO `lang_definitions` VALUES (108065, 676, 29, 'Điểm Mù');
INSERT INTO `lang_definitions` VALUES (108066, 677, 29, 'Đầy hơi');
INSERT INTO `lang_definitions` VALUES (108067, 678, 29, 'Bị chặn');
INSERT INTO `lang_definitions` VALUES (108068, 679, 29, 'Máu');
INSERT INTO `lang_definitions` VALUES (108069, 680, 29, 'Huyết Áp');
INSERT INTO `lang_definitions` VALUES (108070, 681, 29, 'Huyết áp');
INSERT INTO `lang_definitions` VALUES (108071, 682, 29, 'Chảy Máu cam');
INSERT INTO `lang_definitions` VALUES (108072, 683, 29, 'Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (108073, 684, 29, 'Đường màu xanh trong báo cáo này để cung cấp thông tin. Đường màu đen hiển thị thông tin có trước đây. Đường màu xanh lá cây cho thấy thay đổi đã được áp dụng thành công. Đường màu đỏ chỉ ra sai sót, hoặc thay đổi đã không được áp dụng, chúng phải được xử lý bằng tay. Tuyên bố hiện đang bị từ chối và đảo ngược thanh toán không được xử lý tự động và như vậy sẽ xuất hiện trong màu đỏ.');
INSERT INTO `lang_definitions` VALUES (108074, 685, 29, 'Giảm Thị lực');
INSERT INTO `lang_definitions` VALUES (108075, 686, 29, 'BMI');
INSERT INTO `lang_definitions` VALUES (108076, 687, 29, 'Trạng thái BMI');
INSERT INTO `lang_definitions` VALUES (108077, 689, 29, 'Vùng Cơ thể');
INSERT INTO `lang_definitions` VALUES (108078, 690, 29, 'Điểm trên Cơ thể');
INSERT INTO `lang_definitions` VALUES (108079, 691, 29, 'Điểm trên cơ thể, nếu phù hợp');
INSERT INTO `lang_definitions` VALUES (108080, 692, 29, 'Xương Đau:');
INSERT INTO `lang_definitions` VALUES (108081, 693, 29, 'Đau xương: mắt cá Medial');
INSERT INTO `lang_definitions` VALUES (108082, 694, 29, 'Luận lý');
INSERT INTO `lang_definitions` VALUES (108083, 696, 29, 'Dưới');
INSERT INTO `lang_definitions` VALUES (108084, 697, 29, 'Cả hai tai');
INSERT INTO `lang_definitions` VALUES (108085, 698, 29, 'cả hai tai');
INSERT INTO `lang_definitions` VALUES (108086, 699, 29, 'Dưới');
INSERT INTO `lang_definitions` VALUES (108087, 700, 29, 'Lề Dưới (điểm ảnh)');
INSERT INTO `lang_definitions` VALUES (108088, 701, 29, 'BOX 10 A. Liên quan đến công việc ');
INSERT INTO `lang_definitions` VALUES (108089, 702, 29, 'BOX 10 B. Tai nạn Xe cộ ');
INSERT INTO `lang_definitions` VALUES (108090, 703, 29, 'BOX 10 C. Tai nạn khác ');
INSERT INTO `lang_definitions` VALUES (108091, 706, 29, 'BOX 15. Ngày có bệnh đó hay bệnh tương tự (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (108092, 707, 29, 'BOX 15. Ngày có bệnh đó hay bệnh tương tự/Khác (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (108093, 708, 29, 'BOX 16. Không thể làm việc từ ngày (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (108094, 709, 29, 'BOX 16. Không thể làm việc đến ngày (Năm-tháng-ngày):');
INSERT INTO `lang_definitions` VALUES (108095, 710, 29, 'BOX 18. Nhập viện từ ngày (Năm-tháng-ngày): ');
INSERT INTO `lang_definitions` VALUES (108096, 711, 29, 'BOX 18. Nhập viện đến ngày (Năm-tháng-ngày): ');
INSERT INTO `lang_definitions` VALUES (108097, 712, 29, 'BOX 20. Bên ngoài phòng thí nghiệm được sử dụng?');
INSERT INTO `lang_definitions` VALUES (108098, 713, 29, 'BOX 22. Nộp lại luật y tế (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (108099, 714, 29, 'BOX 23. Trước khi ủy quyền số ');
INSERT INTO `lang_definitions` VALUES (108100, 715, 29, 'Huyết áp');
INSERT INTO `lang_definitions` VALUES (108101, 716, 29, 'Huyết áp tâm trương');
INSERT INTO `lang_definitions` VALUES (108102, 717, 29, 'Huyết áp tâm thu');
INSERT INTO `lang_definitions` VALUES (108103, 719, 29, 'Bpd');
INSERT INTO `lang_definitions` VALUES (108104, 721, 29, 'Bps');
INSERT INTO `lang_definitions` VALUES (108105, 722, 29, 'Tiếng/Người Bồ Đào Nha ở Brazin');
INSERT INTO `lang_definitions` VALUES (108106, 723, 29, 'Vú');
INSERT INTO `lang_definitions` VALUES (108107, 724, 29, 'Sinh thiết Vú');
INSERT INTO `lang_definitions` VALUES (108108, 726, 29, 'Bệnh về Vú');
INSERT INTO `lang_definitions` VALUES (108109, 727, 29, 'Kiểm tra Vú');
INSERT INTO `lang_definitions` VALUES (108110, 728, 29, 'U vú');
INSERT INTO `lang_definitions` VALUES (108111, 730, 29, 'Âm thanh Vú:');
INSERT INTO `lang_definitions` VALUES (108112, 732, 29, 'Gãy Xương');
INSERT INTO `lang_definitions` VALUES (108113, 733, 29, 'dạng gãy');
INSERT INTO `lang_definitions` VALUES (108114, 734, 29, 'Viêm phế quản mẫu');
INSERT INTO `lang_definitions` VALUES (108115, 735, 29, 'Duyệt xem');
INSERT INTO `lang_definitions` VALUES (108116, 736, 29, 'Duyệt Hồ sơ');
INSERT INTO `lang_definitions` VALUES (108117, 737, 29, 'Bầm / tụ máu');
INSERT INTO `lang_definitions` VALUES (108118, 739, 29, 'Phồng phải:');
INSERT INTO `lang_definitions` VALUES (108119, 741, 29, 'Đốt với Đi tiểu');
INSERT INTO `lang_definitions` VALUES (108120, 742, 29, 'Đốt Với ​​Đi tiểu');
INSERT INTO `lang_definitions` VALUES (108121, 743, 29, 'Điện thoại Công việc');
INSERT INTO `lang_definitions` VALUES (108122, 744, 29, 'Bận rộn');
INSERT INTO `lang_definitions` VALUES (108123, 745, 29, 'nhưng chưa được xử lý.');
INSERT INTO `lang_definitions` VALUES (108124, 746, 29, 'Mông');
INSERT INTO `lang_definitions` VALUES (108125, 747, 29, 'Mông + S.I.');
INSERT INTO `lang_definitions` VALUES (108126, 748, 29, 'bởi');
INSERT INTO `lang_definitions` VALUES (108127, 749, 29, 'Bởi');
INSERT INTO `lang_definitions` VALUES (108128, 750, 29, 'bằng miệng');
INSERT INTO `lang_definitions` VALUES (108129, 751, 29, 'Bởi / Nguồn');
INSERT INTO `lang_definitions` VALUES (108130, 752, 29, 'Bởi:');
INSERT INTO `lang_definitions` VALUES (108131, 753, 29, 'C');
INSERT INTO `lang_definitions` VALUES (108132, 754, 29, 'Giấy chứng nhận CA để xác minh máy chủ syslog RFC 5425 TLS.');
INSERT INTO `lang_definitions` VALUES (108133, 755, 29, 'Thời gian lưu trong bộ nhớ đệm (tính bằng giây)');
INSERT INTO `lang_definitions` VALUES (108134, 756, 29, 'Có nhớ đệm kết quả khuôn mẫu?');
INSERT INTO `lang_definitions` VALUES (108135, 757, 29, 'Dùng cà phê');
INSERT INTO `lang_definitions` VALUES (108136, 758, 29, 'Lịch');
INSERT INTO `lang_definitions` VALUES (108137, 759, 29, 'Giờ Kết thúc trong Lịch');
INSERT INTO `lang_definitions` VALUES (108138, 760, 29, 'Thời khoảng trong Lịch');
INSERT INTO `lang_definitions` VALUES (108139, 761, 29, 'Màn hình Lịch');
INSERT INTO `lang_definitions` VALUES (108140, 762, 29, 'Cài đặt Lịch');
INSERT INTO `lang_definitions` VALUES (108141, 763, 29, 'Giờ Bắt đầu trong Lịch');
INSERT INTO `lang_definitions` VALUES (108142, 764, 29, 'Giao diện Lịch');
INSERT INTO `lang_definitions` VALUES (108143, 765, 29, 'Xem Lịch');
INSERT INTO `lang_definitions` VALUES (108144, 766, 29, 'Gọi addForm () ở đây. <br>');
INSERT INTO `lang_definitions` VALUES (108145, 767, 29, 'Năng lượng');
INSERT INTO `lang_definitions` VALUES (108146, 768, 29, 'Tiếng/Người Campuchia');
INSERT INTO `lang_definitions` VALUES (108148, 774, 29, 'Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (108149, 775, 29, 'Hủy bỏ Thay đổi');
INSERT INTO `lang_definitions` VALUES (108150, 776, 29, 'Đã hủy bỏ');
INSERT INTO `lang_definitions` VALUES (108151, 777, 29, 'Ung thư');
INSERT INTO `lang_definitions` VALUES (108152, 778, 29, 'Sàng lọc Ung thư: Sàng lọc Ung thư ruột kết');
INSERT INTO `lang_definitions` VALUES (108153, 779, 29, 'Sàng lọc Ung thư: Chụp nhũ ảnh');
INSERT INTO `lang_definitions` VALUES (108154, 780, 29, 'Sàng lọc Ung thư: Phết tế bào Cổ tử cung');
INSERT INTO `lang_definitions` VALUES (108155, 781, 29, 'Sàng lọc Ung thư: Sàng lọc Ung thư Tuyến tiền liệt');
INSERT INTO `lang_definitions` VALUES (108156, 782, 29, 'Không thể thêm đầu mục này bởi vì đã có nó!');
INSERT INTO `lang_definitions` VALUES (108157, 783, 29, 'Không thể thêm / cập nhật đầu mục này bởi vì đã có bản sao của nó!');
INSERT INTO `lang_definitions` VALUES (108158, 784, 29, 'không thể được lưu trữ, đã bỏ qua');
INSERT INTO `lang_definitions` VALUES (108159, 785, 29, 'không có thể được chuyển đổi sang JPEG. Có lẽ ImageMagick không được cài đặt?');
INSERT INTO `lang_definitions` VALUES (108160, 786, 29, 'không thể bị xóa, đã bỏ qua');
INSERT INTO `lang_definitions` VALUES (108161, 787, 29, 'Không thể hiển thị nội tuyến bởi vì loại của nó không được hỗ trợ bởi trình duyệt.');
INSERT INTO `lang_definitions` VALUES (108162, 788, 29, 'không thể hiển thị nội tuyến bỏi vì loại của nó không được hỗ trợ bởi trình duyệt');
INSERT INTO `lang_definitions` VALUES (108163, 789, 29, 'không thể hiển thị nội tuyến bởi vì loại của nó không được hỗ trợ bởi trình duyệt.');
INSERT INTO `lang_definitions` VALUES (108164, 790, 29, 'Không thể tạo');
INSERT INTO `lang_definitions` VALUES (108165, 791, 29, 'Không thể tạo tập tin');
INSERT INTO `lang_definitions` VALUES (108166, 792, 29, 'Không thể xóa tập tin (từ máy chủ SFTP)');
INSERT INTO `lang_definitions` VALUES (108167, 793, 29, 'Không thể xóa tập tin');
INSERT INTO `lang_definitions` VALUES (108168, 794, 29, 'Không thể xác định một tên tập tin đích');
INSERT INTO `lang_definitions` VALUES (108169, 795, 29, 'Không thể tìm thấy ');
INSERT INTO `lang_definitions` VALUES (108170, 796, 29, 'Không thể tìm thấy một tên tập tin đích');
INSERT INTO `lang_definitions` VALUES (108171, 799, 29, 'Không thể tìm thấy bệnh nhân từ khách hàng id SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (108172, 800, 29, 'Không thể tìm thấy tài liệu tham khảo tài liệu postscript ');
INSERT INTO `lang_definitions` VALUES (108173, 801, 29, 'Không thể tìm thấy nhà cung cấp từ SQL-Ledger nhân viên = ');
INSERT INTO `lang_definitions` VALUES (108174, 802, 29, 'Không thể Sửa đổi cách thanh toán.Không bị phân chia là Tiêu cực.');
INSERT INTO `lang_definitions` VALUES (108175, 803, 29, 'Không thể mở ');
INSERT INTO `lang_definitions` VALUES (108176, 804, 29, 'Không thể Đăng cho Bảo hiểm.Các thực thể Thanh toán được lựa chọn là bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108177, 805, 29, 'Không thể Đăng cho bệnh nhân. Thực thể chi trả chọn là Bảo hiểm.');
INSERT INTO `lang_definitions` VALUES (108178, 806, 29, 'Không thể Đăng Payments.Undistributed là tiêu cực.');
INSERT INTO `lang_definitions` VALUES (108179, 807, 29, 'Không thể đọc');
INSERT INTO `lang_definitions` VALUES (108180, 808, 29, 'Không thể đọc thư mục');
INSERT INTO `lang_definitions` VALUES (108181, 809, 29, 'Không thể cập nhật vì bạn không phải chỉnh sửa một mục nhập hiện tại!');
INSERT INTO `lang_definitions` VALUES (108182, 810, 29, 'Viết hoa');
INSERT INTO `lang_definitions` VALUES (108183, 811, 29, 'Viết hoa hết');
INSERT INTO `lang_definitions` VALUES (108184, 812, 29, 'viên nang');
INSERT INTO `lang_definitions` VALUES (108185, 813, 29, 'Thẻ');
INSERT INTO `lang_definitions` VALUES (108186, 814, 29, 'Đặt ống thông tim');
INSERT INTO `lang_definitions` VALUES (108187, 815, 29, 'Tim Echo');
INSERT INTO `lang_definitions` VALUES (108188, 816, 29, 'Tim mạch');
INSERT INTO `lang_definitions` VALUES (108189, 821, 29, 'Sụn ​​/ chondral / đĩa thiệt hại');
INSERT INTO `lang_definitions` VALUES (108190, 822, 29, 'Sụn ​​bị thương');
INSERT INTO `lang_definitions` VALUES (108191, 823, 29, 'Cartoid rung nl, bàn đạp xung nl');
INSERT INTO `lang_definitions` VALUES (108192, 824, 29, 'tiền mặt');
INSERT INTO `lang_definitions` VALUES (108193, 825, 29, 'Tiền mặt');
INSERT INTO `lang_definitions` VALUES (108194, 826, 29, 'Tiền mặt Rec');
INSERT INTO `lang_definitions` VALUES (108195, 827, 29, 'Giấy biên nhận tiền bởi nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (108196, 829, 29, 'Phẫu thuật Đục thủy tinh thể');
INSERT INTO `lang_definitions` VALUES (108197, 830, 29, 'Đục thủy tinh thể');
INSERT INTO `lang_definitions` VALUES (108198, 831, 29, 'Thể loại');
INSERT INTO `lang_definitions` VALUES (108199, 832, 29, 'Thể loại cho');
INSERT INTO `lang_definitions` VALUES (108200, 833, 29, 'Thể loại');
INSERT INTO `lang_definitions` VALUES (108201, 834, 29, 'thể loại');
INSERT INTO `lang_definitions` VALUES (108202, 835, 29, 'Thể loại ');
INSERT INTO `lang_definitions` VALUES (108203, 836, 29, 'Thể loại Thông tin chi tiết');
INSERT INTO `lang_definitions` VALUES (108204, 837, 29, 'Giới hạn Thể loại');
INSERT INTO `lang_definitions` VALUES (108205, 838, 29, 'Tên Thể loại');
INSERT INTO `lang_definitions` VALUES (108206, 839, 29, 'Tên thể loại đang trống');
INSERT INTO `lang_definitions` VALUES (108207, 840, 29, 'Thể loại / Tiêu đề');
INSERT INTO `lang_definitions` VALUES (108208, 841, 29, 'Da trắng');
INSERT INTO `lang_definitions` VALUES (108209, 842, 29, 'Làm cho Giấy biên nhận In Thông tin Nhà cung cấp / Lần khám Chính');
INSERT INTO `lang_definitions` VALUES (108210, 846, 29, 'CCR Phê duyệt');
INSERT INTO `lang_definitions` VALUES (108211, 847, 29, 'CCr Xem lại Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108212, 848, 29, 'CCR Xem lại và Phê duyệt');
INSERT INTO `lang_definitions` VALUES (108213, 850, 29, 'CDR');
INSERT INTO `lang_definitions` VALUES (108214, 851, 29, 'CDR Ưu tiên Xử lý Báo cáo');
INSERT INTO `lang_definitions` VALUES (108215, 852, 29, 'Di động');
INSERT INTO `lang_definitions` VALUES (108216, 853, 29, 'Điện thoại Di động');
INSERT INTO `lang_definitions` VALUES (108217, 854, 29, 'Số điện thoại di động');
INSERT INTO `lang_definitions` VALUES (108218, 855, 29, 'Số Điện thoại Di động');
INSERT INTO `lang_definitions` VALUES (108219, 856, 29, 'Trung ương chứng nhận');
INSERT INTO `lang_definitions` VALUES (108220, 857, 29, 'Trung / Nam Mỹ');
INSERT INTO `lang_definitions` VALUES (108221, 858, 29, 'Giấy chứng nhận Cơ quan crt tập tin vị trí không thể để trống');
INSERT INTO `lang_definitions` VALUES (108222, 859, 29, 'Vị trí Quyền hành giấy chứng nhận tập tin quan trọng không thể để trống');
INSERT INTO `lang_definitions` VALUES (108223, 860, 29, 'Giấy chứng nhận để gửi RFC 5425 máy chủ syslog TLS.');
INSERT INTO `lang_definitions` VALUES (108224, 861, 29, 'Giấy chứng nhận người sử dụng');
INSERT INTO `lang_definitions` VALUES (108225, 862, 29, 'Giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (108226, 864, 29, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (108227, 865, 29, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (108228, 866, 29, 'thay đổi');
INSERT INTO `lang_definitions` VALUES (108229, 867, 29, 'Thay đổi');
INSERT INTO `lang_definitions` VALUES (108230, 868, 29, 'Hoạt động thay đổi');
INSERT INTO `lang_definitions` VALUES (108231, 869, 29, 'Lỗi khi thay đổi! Có phải kết nối CouchDB bị lỗi?');
INSERT INTO `lang_definitions` VALUES (108232, 870, 29, 'Thay đổi thị lực');
INSERT INTO `lang_definitions` VALUES (108233, 871, 29, 'Thay đổi thị lực');
INSERT INTO `lang_definitions` VALUES (108234, 872, 29, 'Thay đổi Mật khẩu');
INSERT INTO `lang_definitions` VALUES (108235, 874, 29, 'Thay đổi');
INSERT INTO `lang_definitions` VALUES (108236, 875, 29, 'Thay đổi ruột');
INSERT INTO `lang_definitions` VALUES (108237, 876, 29, 'Đang thay đổi mã bệnh nhân cho tài liệu');
INSERT INTO `lang_definitions` VALUES (108238, 877, 29, 'Đặc điểm');
INSERT INTO `lang_definitions` VALUES (108239, 878, 29, 'Số ký tự Còn lại');
INSERT INTO `lang_definitions` VALUES (108240, 879, 29, 'Phí');
INSERT INTO `lang_definitions` VALUES (108241, 880, 29, 'Phí điều chỉnh');
INSERT INTO `lang_definitions` VALUES (108242, 881, 29, 'Mã Phí');
INSERT INTO `lang_definitions` VALUES (108243, 882, 29, 'Phí');
INSERT INTO `lang_definitions` VALUES (108244, 883, 29, 'Biểu đồ');
INSERT INTO `lang_definitions` VALUES (108245, 884, 29, 'Hoạt động biểu đồ');
INSERT INTO `lang_definitions` VALUES (108246, 885, 29, 'Báo cáo hoạt động biểu đồ check-in/out');
INSERT INTO `lang_definitions` VALUES (108247, 886, 29, 'Biểu đồ ID');
INSERT INTO `lang_definitions` VALUES (108248, 887, 29, 'Lập biểu đồ ID:');
INSERT INTO `lang_definitions` VALUES (108249, 888, 29, 'Nhãn Biểu đồ');
INSERT INTO `lang_definitions` VALUES (108250, 889, 29, 'Biểu đồ Bài gửi cuối');
INSERT INTO `lang_definitions` VALUES (108251, 890, 29, 'Lập biểu đồ Lưu ý');
INSERT INTO `lang_definitions` VALUES (108252, 891, 29, 'Biểu đồ số');
INSERT INTO `lang_definitions` VALUES (108253, 892, 29, 'Nơi Lưu trữ Biểu đồ');
INSERT INTO `lang_definitions` VALUES (108254, 893, 29, 'Biểu đồ theo dõi');
INSERT INTO `lang_definitions` VALUES (108255, 894, 29, 'Biểu đồ TRK');
INSERT INTO `lang_definitions` VALUES (108256, 895, 29, 'Biểu đồ kiểm tra ra');
INSERT INTO `lang_definitions` VALUES (108257, 896, 29, 'Bảng xếp hạng Out');
INSERT INTO `lang_definitions` VALUES (108258, 898, 29, 'Kiểm tra');
INSERT INTO `lang_definitions` VALUES (108259, 899, 29, 'kiểm tra');
INSERT INTO `lang_definitions` VALUES (108260, 900, 29, 'Chọn tất cả');
INSERT INTO `lang_definitions` VALUES (108261, 902, 29, 'Kiểm tra Số tiền');
INSERT INTO `lang_definitions` VALUES (108262, 903, 29, 'Kiểm tra ngày');
INSERT INTO `lang_definitions` VALUES (108263, 904, 29, 'Kiểm tra sự khác biệt của bản dịch với bảng ngôn ngữ tùy chỉnh.');
INSERT INTO `lang_definitions` VALUES (108264, 906, 29, 'Đăng ký Để');
INSERT INTO `lang_definitions` VALUES (108265, 907, 29, 'Kiểm tra dữ liệu đầu vào');
INSERT INTO `lang_definitions` VALUES (108266, 908, 29, 'Kiểm tra các mục để vẽ đồ thị');
INSERT INTO `lang_definitions` VALUES (108267, 909, 29, 'Kiểm tra kết quả từ phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (108268, 910, 29, 'Dấu kiểm là đã xem lại');
INSERT INTO `lang_definitions` VALUES (108269, 911, 29, 'Số Chi phiếu');
INSERT INTO `lang_definitions` VALUES (108270, 912, 29, 'Số Chi phiếu');
INSERT INTO `lang_definitions` VALUES (108271, 915, 29, 'Thanh toán bằng Chi phiếu');
INSERT INTO `lang_definitions` VALUES (108272, 916, 29, 'Đánh dấu hộp này nếu đây là một tập tin được mã hóa');
INSERT INTO `lang_definitions` VALUES (108273, 917, 29, 'Đánh dấu ở đây nếu bạn muốn theo mặc định các nhà cung cấp xem được tất cả các cuộc hẹn không chỉ của riêng mình.');
INSERT INTO `lang_definitions` VALUES (108274, 918, 29, 'Đánh dấu để tạo vấn đề cho chẩn đoán này');
INSERT INTO `lang_definitions` VALUES (108275, 919, 29, 'Ngày Chi phiếu / EOB:');
INSERT INTO `lang_definitions` VALUES (108276, 920, 29, 'Số Chi phiếu / EOB:');
INSERT INTO `lang_definitions` VALUES (108277, 921, 29, 'Số Chi phiếu / Tham khảo');
INSERT INTO `lang_definitions` VALUES (108278, 922, 29, 'Số Chi phiếu / Tham khảo');
INSERT INTO `lang_definitions` VALUES (108279, 923, 29, 'Danh sách hộp kiểm');
INSERT INTO `lang_definitions` VALUES (108280, 924, 29, 'hộp kiểm trong danh sách');
INSERT INTO `lang_definitions` VALUES (108281, 925, 29, 'hộp kiểm với văn bản');
INSERT INTO `lang_definitions` VALUES (108282, 926, 29, 'Hộp kiểm với văn bản');
INSERT INTO `lang_definitions` VALUES (108283, 927, 29, 'Các hộp kiểm bên trên cho biết bạn có muốn từ chố và xóa tập tin HL7 đó không.');
INSERT INTO `lang_definitions` VALUES (108284, 928, 29, 'Đã đánh dấu');
INSERT INTO `lang_definitions` VALUES (108285, 929, 29, 'Ô được đánh dấu = có, trống = không có');
INSERT INTO `lang_definitions` VALUES (108286, 931, 29, 'Đánh dấu vào hộp kiểm khóa sẽ ngăn việc sửa đổi sau này trên bắt kỳ biểu mẫu nào trong lần khám này.');
INSERT INTO `lang_definitions` VALUES (108287, 932, 29, 'Tính tiền');
INSERT INTO `lang_definitions` VALUES (108288, 933, 29, 'Tổng kiểm');
INSERT INTO `lang_definitions` VALUES (108289, 934, 29, 'Ngực');
INSERT INTO `lang_definitions` VALUES (108290, 935, 29, 'Ngực CTAB');
INSERT INTO `lang_definitions` VALUES (108291, 936, 29, 'Đau ngực');
INSERT INTO `lang_definitions` VALUES (108292, 937, 29, 'Đau ngực:');
INSERT INTO `lang_definitions` VALUES (108293, 938, 29, 'Cơn đau thắt ngực');
INSERT INTO `lang_definitions` VALUES (108294, 940, 29, 'CHG');
INSERT INTO `lang_definitions` VALUES (108295, 942, 29, 'Giám đốc khiếu nại');
INSERT INTO `lang_definitions` VALUES (108296, 943, 29, 'Con');
INSERT INTO `lang_definitions` VALUES (108297, 945, 29, 'Tình trạng tiêm chủng thời thơ ấu (CQM)');
INSERT INTO `lang_definitions` VALUES (108298, 946, 29, 'Ớn lạnh');
INSERT INTO `lang_definitions` VALUES (108299, 947, 29, 'Tiếng Trung Quốc');
INSERT INTO `lang_definitions` VALUES (108300, 948, 29, 'Chữ Trung Quốc (giản thể)');
INSERT INTO `lang_definitions` VALUES (108301, 949, 29, 'Chữ Trung Quốc (truyền thống)');
INSERT INTO `lang_definitions` VALUES (108302, 951, 29, 'Lựa chọn');
INSERT INTO `lang_definitions` VALUES (108303, 952, 29, 'Cắt túi mật');
INSERT INTO `lang_definitions` VALUES (108304, 953, 29, 'cắt túi mật');
INSERT INTO `lang_definitions` VALUES (108305, 954, 29, 'Cắt túi mật');
INSERT INTO `lang_definitions` VALUES (108306, 955, 29, 'Chọn');
INSERT INTO `lang_definitions` VALUES (108307, 956, 29, 'Chọn một phần và bấm vào một mục bên trong nó, sau đó trong các phần khác, bạn sẽ thấy các mục có liên quan được đánh dấu, và bạn có thể nhấp vào phần đó để thêm và xóa các mối quan hệ.');
INSERT INTO `lang_definitions` VALUES (108308, 957, 29, 'Chọn tiêu chí');
INSERT INTO `lang_definitions` VALUES (108309, 959, 29, 'Chọn Tập tin');
INSERT INTO `lang_definitions` VALUES (108310, 960, 29, 'Chọn từ danh sách');
INSERT INTO `lang_definitions` VALUES (108311, 961, 29, 'Chọn Hướng Bố trí');
INSERT INTO `lang_definitions` VALUES (108312, 962, 29, 'Chọn danh sách');
INSERT INTO `lang_definitions` VALUES (108313, 963, 29, 'Chọn Kích cỡ Giấy');
INSERT INTO `lang_definitions` VALUES (108314, 964, 29, 'Chọn Xác lập ngôn ngữ PDF');
INSERT INTO `lang_definitions` VALUES (108315, 965, 29, 'Chọn định dạng in cho báo cáo cuộc gặp gỡ này.');
INSERT INTO `lang_definitions` VALUES (108316, 967, 29, 'Viêm phế quản Mãn tính');
INSERT INTO `lang_definitions` VALUES (108317, 968, 29, 'Đau khớp mãn tính');
INSERT INTO `lang_definitions` VALUES (108318, 969, 29, 'Bệnh thận mãn tính (CKD)');
INSERT INTO `lang_definitions` VALUES (108319, 970, 29, 'Viêm màng hoạt dịch mãn tính / tràn dịch / liên đau / bệnh gút');
INSERT INTO `lang_definitions` VALUES (108320, 971, 29, 'Mãn tính / tái phát');
INSERT INTO `lang_definitions` VALUES (108321, 973, 29, 'Xơ gan');
INSERT INTO `lang_definitions` VALUES (108322, 974, 29, 'Xơ gan Of The gan');
INSERT INTO `lang_definitions` VALUES (108323, 975, 29, 'Thành phố');
INSERT INTO `lang_definitions` VALUES (108324, 976, 29, 'Tên thành phố');
INSERT INTO `lang_definitions` VALUES (108325, 977, 29, 'Thành phố, Tỉnh');
INSERT INTO `lang_definitions` VALUES (108326, 978, 29, 'Thành phố, Mã Tỉnh');
INSERT INTO `lang_definitions` VALUES (108327, 979, 29, 'Thành phố/ Tỉnh');
INSERT INTO `lang_definitions` VALUES (108328, 980, 29, 'yêu cầu');
INSERT INTO `lang_definitions` VALUES (108329, 981, 29, 'Yêu cầu ');
INSERT INTO `lang_definitions` VALUES (108330, 982, 29, 'Tình trạng Yêu cầu');
INSERT INTO `lang_definitions` VALUES (108331, 983, 29, 'Yêu cầu bồi thường kiểm tra đã hoàn thành');
INSERT INTO `lang_definitions` VALUES (108332, 984, 29, 'Loại Yêu cầu');
INSERT INTO `lang_definitions` VALUES (108333, 985, 29, 'Yêu cầu bồi thường được tạo trong tập tin');
INSERT INTO `lang_definitions` VALUES (108334, 986, 29, 'Yêu cầu bồi thường được tạo trong tập tin ');
INSERT INTO `lang_definitions` VALUES (108335, 987, 29, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (108336, 988, 29, 'Phân loại');
INSERT INTO `lang_definitions` VALUES (108337, 989, 29, 'Xóa');
INSERT INTO `lang_definitions` VALUES (108338, 990, 29, 'BỎ CHỌN BỆNH NHÂN ĐANG CHỌN');
INSERT INTO `lang_definitions` VALUES (108339, 991, 29, 'Bỏ chọn tất cả');
INSERT INTO `lang_definitions` VALUES (108340, 992, 29, 'Rõ ràng HL7 dữ liệu');
INSERT INTO `lang_definitions` VALUES (108341, 993, 29, 'Rõ ràng Giải thích rõ');
INSERT INTO `lang_definitions` VALUES (108342, 994, 29, 'Xoá thông minh Cache');
INSERT INTO `lang_definitions` VALUES (108343, 995, 29, 'Thanh toán bù trừ nhà thông tin cần thiết để tạo EDI hàng loạt 270.');
INSERT INTO `lang_definitions` VALUES (108344, 996, 29, 'Số CLIA');
INSERT INTO `lang_definitions` VALUES (108345, 997, 29, 'Nhấp');
INSERT INTO `lang_definitions` VALUES (108346, 998, 29, 'Nhấp vào \'xuất khẩu\' để xuất khẩu mục, tiểu thể loại, khoản, dữ liệu nội dung vào một tập tin văn bản. Bất kỳ giống nhau của tập tin này vào một tập tin XML là hoàn toàn trùng hợp ngẫu nhiên. Các thẻ mở và đóng cửa phải là trên cùng một dòng, họ phải là chữ thường không có dấu cách. Để nhập khẩu, trình duyệt cho một tập tin và nhấp vào \'nhập khẩu\'. Nếu dữ liệu là hoàn toàn khác nhau, nó sẽ kết hợp với các dữ liệu hiện có của bạn. Nếu có tên mục tương tự, một tuổi sẽ được lưu giữ và mới được lưu với một số được thêm vào cuối cùng.');
INSERT INTO `lang_definitions` VALUES (108347, 999, 29, 'Nhấp vào một điểm trên hình ảnh để thêm một chú thích mới, nhấp vào đó lần nữa để loại bỏ nó');
INSERT INTO `lang_definitions` VALUES (108348, 1000, 29, 'Nhấp vào Tải về Giấy chứng nhận để tải về các giấy chứng nhận trong tập tin ssl.zip');
INSERT INTO `lang_definitions` VALUES (108349, 1001, 29, 'nhấp vào để biết thêm');
INSERT INTO `lang_definitions` VALUES (108350, 1002, 29, 'Nhấp vào để có thêm chi tiết');
INSERT INTO `lang_definitions` VALUES (108351, 1003, 29, 'Nhấp vào để có tóm tắt đặt hàng');
INSERT INTO `lang_definitions` VALUES (108352, 1004, 29, 'Nhấp vào để có kết quả');
INSERT INTO `lang_definitions` VALUES (108353, 1005, 29, 'Nhấp vào đây');
INSERT INTO `lang_definitions` VALUES (108354, 1006, 29, 'Nhấp vào đây để thêm một bệnh nhân mới.');
INSERT INTO `lang_definitions` VALUES (108355, 1007, 29, 'Nhấp vào đây để thêm mới chấn thương, thay đổi tình trạng và chỉnh sửa hoạt động hàng ngày');
INSERT INTO `lang_definitions` VALUES (108356, 1008, 29, 'Nhấp vào đây để chọn một ngày');
INSERT INTO `lang_definitions` VALUES (108357, 1009, 29, 'Nhấp vào đây để chọn ngày và giờ');
INSERT INTO `lang_definitions` VALUES (108358, 1010, 29, 'Nhấp vào đây để chọn ngày bắt đầu');
INSERT INTO `lang_definitions` VALUES (108359, 1011, 29, 'Nhấp vào đây để chọn ngày giờ');
INSERT INTO `lang_definitions` VALUES (108360, 1012, 29, 'Nhấp vào đây để chọn ngày giờ bắt đầu');
INSERT INTO `lang_definitions` VALUES (108361, 1013, 29, 'Nhấp vào đây để chọn ngày giờ kết thúc');
INSERT INTO `lang_definitions` VALUES (108362, 1014, 29, 'Nhấp vào Đây để Xác lập Môdun này');
INSERT INTO `lang_definitions` VALUES (108363, 1016, 29, 'Nhấp vào Đây để Vô hiệu Môdun này');
INSERT INTO `lang_definitions` VALUES (108364, 1018, 29, 'Nhấp vào Đây để Kích hoạt Môdun này');
INSERT INTO `lang_definitions` VALUES (108365, 1019, 29, 'Nhấp vào Đây để Cài đặt Môdun này');
INSERT INTO `lang_definitions` VALUES (108366, 1020, 29, 'nhấp vào đây để tìm kiếm');
INSERT INTO `lang_definitions` VALUES (108367, 1021, 29, 'nhấp vào đây để cập nhật các thiết lập ưu tiên, thể loại và bí danh');
INSERT INTO `lang_definitions` VALUES (108368, 1022, 29, 'Nhấp vào đây để xem tất cả.');
INSERT INTO `lang_definitions` VALUES (108369, 1023, 29, 'Nhấp vào đây để xem và vẽ đồ thị');
INSERT INTO `lang_definitions` VALUES (108370, 1024, 29, 'Nhấp vào đây để xem và vẽ đồ thị tất cả dữ liệu nghiên cứu.');
INSERT INTO `lang_definitions` VALUES (108371, 1025, 29, 'Nhấp vào đây để xem và vẽ đồ thị tất cả các thể trạng.');
INSERT INTO `lang_definitions` VALUES (108372, 1026, 29, 'Nhấp vào đây để xem chi tiết bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108373, 1027, 29, 'Nhấp vào đây để xem tất cả.');
INSERT INTO `lang_definitions` VALUES (108374, 1028, 29, 'Nhấp vào đây để xem/sửa các chi tiết khác');
INSERT INTO `lang_definitions` VALUES (108375, 1029, 29, 'Nhấp nút Cài đặt để cài đặt cơ sở dữ liệu phát hành từ ngày sau đây');
INSERT INTO `lang_definitions` VALUES (108376, 1030, 29, 'Nhấp chuột vào bất kỳ phần nào của thời gian để tăng nó');
INSERT INTO `lang_definitions` VALUES (108377, 1031, 29, 'Nhấp vào Tên Bệnh nhân để Mở Tập tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108378, 1032, 29, 'Nhấp vào Refresh để xem tất cả các kết quả, hay vui lòng nhập vào tiêu chí tìm kiếm ở trên để xem kết quả cụ thể.');
INSERT INTO `lang_definitions` VALUES (108379, 1033, 29, 'Nhấp để thêm chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108380, 1034, 29, 'Nhấp  để thêm các thành phần mới');
INSERT INTO `lang_definitions` VALUES (108381, 1035, 29, 'Nhấp để thêm tham vấn ​​mới');
INSERT INTO `lang_definitions` VALUES (108382, 1036, 29, 'Nhấp để chọn chẩn đoán để khẳng định.');
INSERT INTO `lang_definitions` VALUES (108383, 1037, 29, 'Nhấp để tải về');
INSERT INTO `lang_definitions` VALUES (108384, 1038, 29, 'Nhấp để chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (108385, 1039, 29, 'Nhấp để chỉnh sửa diễn giải');
INSERT INTO `lang_definitions` VALUES (108386, 1040, 29, 'Nhấp vào đây để chỉnh sửa sự kiện này');
INSERT INTO `lang_definitions` VALUES (108387, 1041, 29, 'Nhấp vào đây để tạo ra các báo cáo');
INSERT INTO `lang_definitions` VALUES (108388, 1042, 29, 'Nhấp để tìm bệnh nhân phù hợp');
INSERT INTO `lang_definitions` VALUES (108389, 1043, 29, 'Nhấp vào đây để in');
INSERT INTO `lang_definitions` VALUES (108390, 1044, 29, 'Nhấp vào đây để nhận được (thêm) lô thuốc mới');
INSERT INTO `lang_definitions` VALUES (108391, 1045, 29, 'Nhấp vào đây để chọn');
INSERT INTO `lang_definitions` VALUES (108392, 1046, 29, 'Nhấp vào đây Để Chọn');
INSERT INTO `lang_definitions` VALUES (108393, 1047, 29, 'Nhấp vào đây để chọn một mã số tiêu chuẩn công nghiệp cho thủ tục này');
INSERT INTO `lang_definitions` VALUES (108394, 1048, 29, 'Nhấp vào đây để chọn mã số thủ tục tùy chọn');
INSERT INTO `lang_definitions` VALUES (108395, 1049, 29, 'Nhấp để chọn hay đổi bộ mã');
INSERT INTO `lang_definitions` VALUES (108396, 1050, 29, 'Nhấp vào đây để chọn hoặc thay đổi mã CVX');
INSERT INTO `lang_definitions` VALUES (108397, 1051, 29, 'Nhấp vào đây để lựa chọn hoặc thay đổi chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108398, 1052, 29, 'Nhấp vào đây để lựa chọn hoặc thay đổi mã số dịch vụ');
INSERT INTO `lang_definitions` VALUES (108399, 1053, 29, 'Nhấp vào đây để chọn bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108400, 1054, 29, 'Nhấp vào đây để chọn mã liên quan');
INSERT INTO `lang_definitions` VALUES (108401, 1055, 29, 'Nhấp vào đây để lựa chọn dịch vụ để thực hiện nếu kết quả này là bất thường');
INSERT INTO `lang_definitions` VALUES (108402, 1056, 29, 'Nhấp vào đây để lựa chọn các thủ tục mong muốn');
INSERT INTO `lang_definitions` VALUES (108403, 1057, 29, 'Nhấp để sắp xếp');
INSERT INTO `lang_definitions` VALUES (108404, 1058, 29, 'Nhấp vào đây để xem');
INSERT INTO `lang_definitions` VALUES (108405, 1059, 29, 'Nhấp vào đây để xem hoặc chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (108406, 1060, 29, 'Nhấp vào đây để xem / chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (108407, 1061, 29, 'Nhấp Nâng cấp để nâng cấp cơ sở dữ liệu phát hành từ ngày sau đây');
INSERT INTO `lang_definitions` VALUES (108408, 1062, 29, 'Nhấp chỗ được chỉ ra ở trên để tìm bệnh nhân phù hợp.');
INSERT INTO `lang_definitions` VALUES (108409, 1063, 29, 'Nhấp vào:');
INSERT INTO `lang_definitions` VALUES (108410, 1064, 29, 'Ngày hết hạn Chứng chỉ Máy khách');
INSERT INTO `lang_definitions` VALUES (108411, 1065, 29, 'Thời gian hợp lệ của chứng chỉ máy khách');
INSERT INTO `lang_definitions` VALUES (108412, 1066, 29, 'Sự hợp lệ của chứng chỉ máy khách phải là một con số.');
INSERT INTO `lang_definitions` VALUES (108413, 1067, 29, 'Bản sao cho Khách hàng');
INSERT INTO `lang_definitions` VALUES (108414, 1069, 29, 'Tóm tắt lịch sử điều trị của khách hàng');
INSERT INTO `lang_definitions` VALUES (108415, 1070, 29, 'Tên Khách hàng');
INSERT INTO `lang_definitions` VALUES (108416, 1071, 29, 'Số Khách hàng');
INSERT INTO `lang_definitions` VALUES (108417, 1072, 29, 'Hồ sơ Khách hàng - Khách hàng Mới');
INSERT INTO `lang_definitions` VALUES (108418, 1073, 29, 'Hồ sơ khách hàng - Khách hàng độc đáo');
INSERT INTO `lang_definitions` VALUES (108419, 1074, 29, 'Khách hàng');
INSERT INTO `lang_definitions` VALUES (108420, 1075, 29, 'Phóng khám');
INSERT INTO `lang_definitions` VALUES (108421, 1076, 29, 'Bản sao của Phóng khám');
INSERT INTO `lang_definitions` VALUES (108422, 1077, 29, 'Ghi chép Hàng ngày của Phòng khám');
INSERT INTO `lang_definitions` VALUES (108423, 1078, 29, 'Mã Phòng khám');
INSERT INTO `lang_definitions` VALUES (108424, 1079, 29, 'Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108425, 1080, 29, 'Quyết định Quy định lâm sàng Báo Cáo Quản lý');
INSERT INTO `lang_definitions` VALUES (108426, 1081, 29, 'Lịch sử Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108427, 1083, 29, 'Kế hoạch Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108428, 1084, 29, 'Chất lượng các Biện pháp Lâm sàng (CQM)');
INSERT INTO `lang_definitions` VALUES (108429, 1085, 29, 'Chất lượng các Biện pháp Lâm sàng (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (108430, 1086, 29, 'Chất lượng các Biện pháp Lâm sàng (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (108431, 1087, 29, 'Nhắc nhở Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108432, 1088, 29, 'Báo cáo Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108433, 1089, 29, 'Thể loại Quy tắc Hành động Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108434, 1090, 29, 'Mục Quy tắc Hành động Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108435, 1091, 29, 'Phương pháp lọc Rule lâm sàng');
INSERT INTO `lang_definitions` VALUES (108436, 1092, 29, 'Mục tiêu Phương pháp lâm sàng Rule');
INSERT INTO `lang_definitions` VALUES (108437, 1093, 29, 'Lâm sàng Rules');
INSERT INTO `lang_definitions` VALUES (108438, 1094, 29, 'Lâm sàng Rules Khoảng Tuổi');
INSERT INTO `lang_definitions` VALUES (108439, 1095, 29, 'Các quy tắc so sánh lâm sàng');
INSERT INTO `lang_definitions` VALUES (108440, 1096, 29, 'Các loại quy tắc khám lâm sàng');
INSERT INTO `lang_definitions` VALUES (108441, 1097, 29, 'Tùy chọn nhắc nhở các quy tắc lâm sàng');
INSERT INTO `lang_definitions` VALUES (108442, 1098, 29, 'Tùy chọn khử hoạt nhắc nhở các quy tắc lâm sàng');
INSERT INTO `lang_definitions` VALUES (108443, 1099, 29, 'Nhắc nhở lâm sàng Khoảng Rules');
INSERT INTO `lang_definitions` VALUES (108444, 1100, 29, 'Nhắc nhở lâm sàng phương pháp quy');
INSERT INTO `lang_definitions` VALUES (108445, 1101, 29, 'Lâm sàng Rules Khoảng mục tiêu');
INSERT INTO `lang_definitions` VALUES (108446, 1102, 29, 'Các mục tiêu Lâm sàng');
INSERT INTO `lang_definitions` VALUES (108447, 1106, 29, 'Bác sĩ lâm sàng');
INSERT INTO `lang_definitions` VALUES (108448, 1107, 29, 'Nhân bản');
INSERT INTO `lang_definitions` VALUES (108449, 1108, 29, 'Clone Khách quá khứ');
INSERT INTO `lang_definitions` VALUES (108450, 1109, 29, 'Đóng');
INSERT INTO `lang_definitions` VALUES (108451, 1110, 29, 'Đóng Cửa sổ');
INSERT INTO `lang_definitions` VALUES (108452, 1111, 29, 'đóng cửa sổ');
INSERT INTO `lang_definitions` VALUES (108453, 1112, 29, 'Đã đóng');
INSERT INTO `lang_definitions` VALUES (108454, 1113, 29, 'cm');
INSERT INTO `lang_definitions` VALUES (108455, 1114, 29, 'CMS 1500 Lợi nhuận');
INSERT INTO `lang_definitions` VALUES (108456, 1118, 29, 'Mã CMS');
INSERT INTO `lang_definitions` VALUES (108457, 1127, 29, 'CN2-12 còn nguyên vẹn');
INSERT INTO `lang_definitions` VALUES (108458, 1128, 29, 'Cùng Chi trả');
INSERT INTO `lang_definitions` VALUES (108459, 1129, 29, 'Đã Cùng Chi trả');
INSERT INTO `lang_definitions` VALUES (108460, 1130, 29, 'Cùng Chi trả');
INSERT INTO `lang_definitions` VALUES (108461, 1131, 29, 'Mã số');
INSERT INTO `lang_definitions` VALUES (108462, 1132, 29, 'Mã số');
INSERT INTO `lang_definitions` VALUES (108463, 1133, 29, 'Bộ tìm Mã số');
INSERT INTO `lang_definitions` VALUES (108464, 1134, 29, 'Mã phải là hai chữ cái viết thường');
INSERT INTO `lang_definitions` VALUES (108465, 1135, 29, 'Mã hoặc biểu tượng để chỉ tiền tệ');
INSERT INTO `lang_definitions` VALUES (108466, 1136, 29, 'Văn bản Mã');
INSERT INTO `lang_definitions` VALUES (108467, 1137, 29, 'loại mã');
INSERT INTO `lang_definitions` VALUES (108468, 1138, 29, 'loại mã');
INSERT INTO `lang_definitions` VALUES (108469, 1139, 29, 'Không nhận ra loại mã');
INSERT INTO `lang_definitions` VALUES (108470, 1140, 29, 'Chưa định nghĩa loại mã');
INSERT INTO `lang_definitions` VALUES (108471, 1141, 29, 'Loại Mã');
INSERT INTO `lang_definitions` VALUES (108472, 1142, 29, 'Mã');
INSERT INTO `lang_definitions` VALUES (108473, 1143, 29, 'Đã lập mã');
INSERT INTO `lang_definitions` VALUES (108474, 1144, 29, 'Mã số');
INSERT INTO `lang_definitions` VALUES (108475, 1145, 29, 'Mã hóa');
INSERT INTO `lang_definitions` VALUES (108476, 1146, 29, 'Đang mã (nhấp để học thêm)');
INSERT INTO `lang_definitions` VALUES (108477, 1147, 29, 'Mã hóa - bất kỳ cuộc gặp gỡ (viết, wsome tùy chọn)');
INSERT INTO `lang_definitions` VALUES (108478, 1148, 29, 'Mã hóa - cuộc gặp gỡ của tôi (viết, wsome tùy chọn)');
INSERT INTO `lang_definitions` VALUES (108479, 1149, 29, 'Mã hóa không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (108480, 1150, 29, 'Cà phê');
INSERT INTO `lang_definitions` VALUES (108481, 1151, 29, 'Dùng Cà phê');
INSERT INTO `lang_definitions` VALUES (108482, 1152, 29, 'Đồng bảo hiểm');
INSERT INTO `lang_definitions` VALUES (108483, 1153, 29, 'Sb w / o');
INSERT INTO `lang_definitions` VALUES (108484, 1154, 29, 'Thu gọn');
INSERT INTO `lang_definitions` VALUES (108485, 1155, 29, 'thu gọn');
INSERT INTO `lang_definitions` VALUES (108486, 1156, 29, 'Thu gọn Tất cả');
INSERT INTO `lang_definitions` VALUES (108487, 1157, 29, 'Thu gọn tất cả');
INSERT INTO `lang_definitions` VALUES (108488, 1158, 29, 'thu gọn tất cả');
INSERT INTO `lang_definitions` VALUES (108489, 1161, 29, 'Tổng hợp');
INSERT INTO `lang_definitions` VALUES (108490, 1162, 29, 'Tập hợp các Báo cáo');
INSERT INTO `lang_definitions` VALUES (108491, 1163, 29, 'Ung thư đại tràng');
INSERT INTO `lang_definitions` VALUES (108492, 1164, 29, 'Màn ảnh ung thư đại tràng');
INSERT INTO `lang_definitions` VALUES (108493, 1165, 29, 'Phẫu thuật ung thư đại tràng');
INSERT INTO `lang_definitions` VALUES (108494, 1166, 29, 'Nội soi đại tràng');
INSERT INTO `lang_definitions` VALUES (108495, 1167, 29, 'nội soi đại tràng');
INSERT INTO `lang_definitions` VALUES (108496, 1168, 29, 'Màu sắc');
INSERT INTO `lang_definitions` VALUES (108497, 1169, 29, 'Màu: abbr');
INSERT INTO `lang_definitions` VALUES (108498, 1170, 29, 'Cột');
INSERT INTO `lang_definitions` VALUES (108499, 1171, 29, 'Cột');
INSERT INTO `lang_definitions` VALUES (108500, 1172, 29, 'Phối hợp lô');
INSERT INTO `lang_definitions` VALUES (108501, 1173, 29, 'Dấu Phẩy');
INSERT INTO `lang_definitions` VALUES (108502, 1174, 29, 'Ghi chú');
INSERT INTO `lang_definitions` VALUES (108503, 1175, 29, 'Các ghi chú');
INSERT INTO `lang_definitions` VALUES (108504, 1176, 29, 'Ghi chú / Đề nghị cho kết quả này');
INSERT INTO `lang_definitions` VALUES (108505, 1177, 29, 'Công ty Bảo hiểm Thương mại');
INSERT INTO `lang_definitions` VALUES (108506, 1178, 29, 'Cam kết thay đổi');
INSERT INTO `lang_definitions` VALUES (108507, 1179, 29, 'Truyền thông');
INSERT INTO `lang_definitions` VALUES (108508, 1180, 29, 'Truyền thông');
INSERT INTO `lang_definitions` VALUES (108509, 1182, 29, 'Công ty');
INSERT INTO `lang_definitions` VALUES (108510, 1183, 29, 'Tên công ty');
INSERT INTO `lang_definitions` VALUES (108511, 1184, 29, 'Hoàn thành');
INSERT INTO `lang_definitions` VALUES (108512, 1186, 29, 'Hoàn thành');
INSERT INTO `lang_definitions` VALUES (108513, 1188, 29, 'Hoàn thành?');
INSERT INTO `lang_definitions` VALUES (108514, 1190, 29, 'Các biến chứng bằng cách cung cấp dịch vụ');
INSERT INTO `lang_definitions` VALUES (108515, 1191, 29, 'Các biến chứng của phá thai');
INSERT INTO `lang_definitions` VALUES (108516, 1192, 29, 'Thành phần');
INSERT INTO `lang_definitions` VALUES (108517, 1193, 29, 'Hệ thống đặt hàng Máy Tính y tế Trợ Giúp');
INSERT INTO `lang_definitions` VALUES (108518, 1194, 29, 'Kết luận');
INSERT INTO `lang_definitions` VALUES (108519, 1198, 29, 'Cấu hình');
INSERT INTO `lang_definitions` VALUES (108520, 1199, 29, 'Cấu hình');
INSERT INTO `lang_definitions` VALUES (108521, 1200, 29, 'Kết xuất / Kết nhập Cấu hình');
INSERT INTO `lang_definitions` VALUES (108522, 1201, 29, 'Đã lưu cấu hình thành công');
INSERT INTO `lang_definitions` VALUES (108523, 1202, 29, 'Cấu hình Apache và Imed EMR sử dụng giấy chứng nhận phía khách hàng SSL.');
INSERT INTO `lang_definitions` VALUES (108524, 1203, 29, 'Cấu hình Apache để sử dụng Khách hàng bên SSL giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (108525, 1204, 29, 'Cấu hình Apache để sử dụng HTTPS.');
INSERT INTO `lang_definitions` VALUES (108526, 1205, 29, 'Cấu hình LIBREEHR sử dụng Khách hàng bên SSL giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (108527, 1208, 29, 'Xác nhận bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (108528, 1209, 29, 'Xác nhận mật khẩu mới');
INSERT INTO `lang_definitions` VALUES (108529, 1210, 29, 'Xác nhận thanh toán');
INSERT INTO `lang_definitions` VALUES (108530, 1214, 29, 'Bẩm sinh');
INSERT INTO `lang_definitions` VALUES (108531, 1215, 29, 'Conjuntiva, học sinh');
INSERT INTO `lang_definitions` VALUES (108532, 1216, 29, 'Lỗi kết nối');
INSERT INTO `lang_definitions` VALUES (108533, 1217, 29, 'Các kết nối');
INSERT INTO `lang_definitions` VALUES (108534, 1218, 29, 'Không đổi');
INSERT INTO `lang_definitions` VALUES (108535, 1219, 29, 'không đổi tên');
INSERT INTO `lang_definitions` VALUES (108536, 1220, 29, 'Không đổi tên là trống');
INSERT INTO `lang_definitions` VALUES (108537, 1221, 29, 'hằng số');
INSERT INTO `lang_definitions` VALUES (108538, 1222, 29, 'Táo bón');
INSERT INTO `lang_definitions` VALUES (108539, 1223, 29, 'Trạng thái cơ thể');
INSERT INTO `lang_definitions` VALUES (108540, 1226, 29, 'Mô tả Tóm tắt Tư vấn');
INSERT INTO `lang_definitions` VALUES (108541, 1227, 29, 'Liên hệ');
INSERT INTO `lang_definitions` VALUES (108542, 1228, 29, 'Email liên lạc');
INSERT INTO `lang_definitions` VALUES (108543, 1229, 29, 'Liên hệ Địa chỉ Email');
INSERT INTO `lang_definitions` VALUES (108544, 1230, 29, 'Liên hệ EMR Direct để đăng ký dịch vụ gửi thông điệp phiMail Direct');
INSERT INTO `lang_definitions` VALUES (108545, 1231, 29, 'thông tin liên hệ');
INSERT INTO `lang_definitions` VALUES (108546, 1232, 29, 'Kính áp tròng');
INSERT INTO `lang_definitions` VALUES (108547, 1233, 29, 'Liên hệ Medical Information Integration, LLC tại http://mi-squared.com về Dịch vụ Trao đổi Thí nghiệm.');
INSERT INTO `lang_definitions` VALUES (108548, 1234, 29, 'Liên hệ Medical Information Integration, LLC tại http://mi-squared.com hay ZH Healthcare tại http://zhservices.com để đăng ký dịch vụ eRx service');
INSERT INTO `lang_definitions` VALUES (108549, 1236, 29, 'Tên liên hệ');
INSERT INTO `lang_definitions` VALUES (108550, 1237, 29, 'Người Liên hệ');
INSERT INTO `lang_definitions` VALUES (108551, 1238, 29, 'Điện thoại Liên hệ');
INSERT INTO `lang_definitions` VALUES (108552, 1239, 29, 'Số Điện thoại Liên hệ');
INSERT INTO `lang_definitions` VALUES (108553, 1240, 29, 'Liên hệ ZMG, LLC (zmghealth@gmail.com) để đăng ký dịch vụ eRx');
INSERT INTO `lang_definitions` VALUES (108554, 1241, 29, 'có ít nhất ba trong số bốn mục sau đây:');
INSERT INTO `lang_definitions` VALUES (108555, 1243, 29, 'Nội dung');
INSERT INTO `lang_definitions` VALUES (108556, 1244, 29, 'nội dung');
INSERT INTO `lang_definitions` VALUES (108557, 1245, 29, 'Bối cảnh');
INSERT INTO `lang_definitions` VALUES (108558, 1246, 29, 'Tên ngữ cảnh \'t có thể được sản phẩm nào');
INSERT INTO `lang_definitions` VALUES (108559, 1247, 29, 'Tiếp tục');
INSERT INTO `lang_definitions` VALUES (108560, 1248, 29, 'Tính liên tục của tài liệu chăm sóc (CCD)');
INSERT INTO `lang_definitions` VALUES (108561, 1249, 29, 'Tính liên tục của Ghi Chăm Sóc (CCR)');
INSERT INTO `lang_definitions` VALUES (108562, 1250, 29, 'điều chỉnh Khách hàng');
INSERT INTO `lang_definitions` VALUES (108563, 1251, 29, 'Tránh thai');
INSERT INTO `lang_definitions` VALUES (108564, 1252, 29, 'Vấn đề Tránh thai');
INSERT INTO `lang_definitions` VALUES (108565, 1253, 29, 'Biến chứng thai (ghi rõ)');
INSERT INTO `lang_definitions` VALUES (108566, 1254, 29, 'Phương pháp Tránh thai');
INSERT INTO `lang_definitions` VALUES (108567, 1255, 29, 'Sản phẩm Tránh thai');
INSERT INTO `lang_definitions` VALUES (108568, 1256, 29, 'Dịch vụ ngừa thai trước đó bắt đầu');
INSERT INTO `lang_definitions` VALUES (108569, 1257, 29, 'Bắt đầu Tránh thai');
INSERT INTO `lang_definitions` VALUES (108570, 1258, 29, 'Mã Kiểm soát');
INSERT INTO `lang_definitions` VALUES (108571, 1259, 29, 'Số Kiểm soát');
INSERT INTO `lang_definitions` VALUES (108572, 1261, 29, 'CÙNG CHI TRẢ');
INSERT INTO `lang_definitions` VALUES (108573, 1262, 29, 'Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (108574, 1263, 29, 'Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (108575, 1264, 29, 'Tiền phụ phí không tích cực');
INSERT INTO `lang_definitions` VALUES (108576, 1266, 29, 'Cùng chi trả');
INSERT INTO `lang_definitions` VALUES (108577, 1267, 29, 'COPD');
INSERT INTO `lang_definitions` VALUES (108578, 1268, 29, 'Sao chép các Trang vào Biểu đồ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108579, 1269, 29, 'Sao chép các Giá trị');
INSERT INTO `lang_definitions` VALUES (108580, 1270, 29, 'Đang sao chép tập tin cơ sở dữ liệu. Cần thời gian để làm...');
INSERT INTO `lang_definitions` VALUES (108581, 1271, 29, 'Thông báo Bản quyền');
INSERT INTO `lang_definitions` VALUES (108582, 1273, 29, 'Động mạch vành Bypass');
INSERT INTO `lang_definitions` VALUES (108583, 1274, 29, 'Bypass ghép động mạch vành (CABG)');
INSERT INTO `lang_definitions` VALUES (108584, 1275, 29, 'Đã sửa chữa');
INSERT INTO `lang_definitions` VALUES (108585, 1277, 29, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (108586, 1278, 29, 'Bị lỗi Kết nối tới CouchDB.');
INSERT INTO `lang_definitions` VALUES (108587, 1279, 29, 'Cơ sở dữ liệu CouchDB');
INSERT INTO `lang_definitions` VALUES (108588, 1280, 29, 'Tên cơ sở dữ liệu CouchDB');
INSERT INTO `lang_definitions` VALUES (108589, 1281, 29, 'Máy chủ CouchDB');
INSERT INTO `lang_definitions` VALUES (108590, 1282, 29, 'Tên máy chủ CouchDB');
INSERT INTO `lang_definitions` VALUES (108591, 1283, 29, 'Cho phép Ghi nhật ký CouchDB');
INSERT INTO `lang_definitions` VALUES (108592, 1284, 29, 'Mật khẩu CouchDB');
INSERT INTO `lang_definitions` VALUES (108593, 1285, 29, 'Cổng CouchDB');
INSERT INTO `lang_definitions` VALUES (108594, 1286, 29, 'Cổng CouchDB');
INSERT INTO `lang_definitions` VALUES (108595, 1288, 29, 'Tên Người dùng CouchDB');
INSERT INTO `lang_definitions` VALUES (108596, 1289, 29, 'Ho');
INSERT INTO `lang_definitions` VALUES (108597, 1290, 29, 'Ho:');
INSERT INTO `lang_definitions` VALUES (108598, 1294, 29, 'Không thể đọc tập tin');
INSERT INTO `lang_definitions` VALUES (108599, 1296, 29, 'Không thể gửi email do một vấn đề ở máy chủ, ');
INSERT INTO `lang_definitions` VALUES (108600, 1297, 29, 'Không thể gửi email do một vấn đề ở máy chủ, ');
INSERT INTO `lang_definitions` VALUES (108601, 1298, 29, 'Không thể tạo thư mục sao lưu:');
INSERT INTO `lang_definitions` VALUES (108602, 1299, 29, 'Không thể loại bỏ thư mục:');
INSERT INTO `lang_definitions` VALUES (108603, 1300, 29, 'Không thể loại bỏ tập tin sao lưu cũ:');
INSERT INTO `lang_definitions` VALUES (108604, 1301, 29, 'Không thể loại bỏ tập tin xuất khẩu cũ:');
INSERT INTO `lang_definitions` VALUES (108605, 1302, 29, 'Coumadin Quản lý - Giám sát INR');
INSERT INTO `lang_definitions` VALUES (108606, 1303, 29, 'Couns bằng phương pháp');
INSERT INTO `lang_definitions` VALUES (108607, 1304, 29, 'Tư vấn');
INSERT INTO `lang_definitions` VALUES (108608, 1305, 29, 'Tư vấn hoạt động');
INSERT INTO `lang_definitions` VALUES (108609, 1306, 29, 'MẪU CHỈ ĐỊNH ĐIỀU TRỊ');
INSERT INTO `lang_definitions` VALUES (108610, 1307, 29, 'Counter-Giới Thiệu');
INSERT INTO `lang_definitions` VALUES (108611, 1308, 29, 'Quốc gia');
INSERT INTO `lang_definitions` VALUES (108612, 1309, 29, 'Quốc gia Loại dữ liệu');
INSERT INTO `lang_definitions` VALUES (108613, 1310, 29, 'Quốc gia danh sách');
INSERT INTO `lang_definitions` VALUES (108614, 1311, 29, 'Danh sách quốc gia (viết, thêm tùy chọn)');
INSERT INTO `lang_definitions` VALUES (108615, 1312, 29, 'Quốc gia Tên có đại diện trong hai chữ cái. (Ví dụ: Việt Nam là VN)');
INSERT INTO `lang_definitions` VALUES (108616, 1313, 29, 'Tỉnh lỵ');
INSERT INTO `lang_definitions` VALUES (108617, 1315, 29, 'Phiếu giảm giá');
INSERT INTO `lang_definitions` VALUES (108618, 1318, 29, 'CPT');
INSERT INTO `lang_definitions` VALUES (108619, 1319, 29, 'Mã CPT');
INSERT INTO `lang_definitions` VALUES (108620, 1320, 29, 'Mã CPT');
INSERT INTO `lang_definitions` VALUES (108621, 1321, 29, 'Thủ tục / Dịch vụ CPT4');
INSERT INTO `lang_definitions` VALUES (108622, 1322, 29, 'Đo lường Hiệu năng CPTII');
INSERT INTO `lang_definitions` VALUES (108623, 1323, 29, 'CQM');
INSERT INTO `lang_definitions` VALUES (108624, 1324, 29, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (108625, 1325, 29, 'kem');
INSERT INTO `lang_definitions` VALUES (108626, 1326, 29, 'Tạo ra một giấy chứng nhận Khách hàng bên SSL cho mỗi người dùng hoặc máy khách hàng.');
INSERT INTO `lang_definitions` VALUES (108627, 1327, 29, 'Tạo ra một giấy chứng nhận SSL phía khách hàng cho người sử dụng hoặc một khách hàng tên máy.');
INSERT INTO `lang_definitions` VALUES (108628, 1329, 29, 'Tạo một sự kiện');
INSERT INTO `lang_definitions` VALUES (108629, 1330, 29, 'Tạo và tải về một bản sao lưu đầy đủ');
INSERT INTO `lang_definitions` VALUES (108630, 1332, 29, 'Tạo sao lưu');
INSERT INTO `lang_definitions` VALUES (108631, 1333, 29, 'Tạo hàng loạt');
INSERT INTO `lang_definitions` VALUES (108632, 1334, 29, 'Giấy chứng nhận Khách hàng');
INSERT INTO `lang_definitions` VALUES (108633, 1335, 29, 'Tạo Khách hàng bên SSL giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (108634, 1336, 29, 'Tạo Bản sao chép');
INSERT INTO `lang_definitions` VALUES (108635, 1338, 29, 'Tạo bản Sao lưu Nhật ký sự kiện');
INSERT INTO `lang_definitions` VALUES (108636, 1339, 29, 'Tạo vấn đề mới');
INSERT INTO `lang_definitions` VALUES (108637, 1340, 29, 'Tạo Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (108638, 1342, 29, 'Tạo Giây chứng nhận ngoại vi Portal');
INSERT INTO `lang_definitions` VALUES (108639, 1343, 29, 'Tạo Giây chứng nhận Portal tại chỗ');
INSERT INTO `lang_definitions` VALUES (108640, 1344, 29, 'Lưu ý bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108641, 1345, 29, 'Tạo Cơ quan Giấy chứng nhận SSL và chứng chỉ máy chủ.');
INSERT INTO `lang_definitions` VALUES (108642, 1346, 29, 'Tạo lần Đến khám');
INSERT INTO `lang_definitions` VALUES (108643, 1347, 29, 'Đã tạo');
INSERT INTO `lang_definitions` VALUES (108644, 1348, 29, 'Đang tạo tập tin kết xuất');
INSERT INTO `lang_definitions` VALUES (108645, 1351, 29, 'Đấng Tạo Hóa');
INSERT INTO `lang_definitions` VALUES (108646, 1352, 29, 'tín dụng');
INSERT INTO `lang_definitions` VALUES (108647, 1353, 29, 'Thẻ tín dụng');
INSERT INTO `lang_definitions` VALUES (108648, 1354, 29, 'Các khoản tín dụng');
INSERT INTO `lang_definitions` VALUES (108649, 1356, 29, 'Tiêu chuẩn');
INSERT INTO `lang_definitions` VALUES (108650, 1358, 29, 'Bệnh Crohn \'s');
INSERT INTO `lang_definitions` VALUES (108651, 1359, 29, 'Crohns bệnh');
INSERT INTO `lang_definitions` VALUES (108652, 1360, 29, 'CSV xuất khẩu');
INSERT INTO `lang_definitions` VALUES (108653, 1361, 29, 'Tệp tin CSV');
INSERT INTO `lang_definitions` VALUES (108654, 1362, 29, 'Bảng CSV');
INSERT INTO `lang_definitions` VALUES (108655, 1363, 29, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (108656, 1364, 29, 'Cuban');
INSERT INTO `lang_definitions` VALUES (108657, 1365, 29, 'Số chữ số Thập phân Tiền tệ');
INSERT INTO `lang_definitions` VALUES (108658, 1366, 29, 'Dấu Thập phân Tiền tệ');
INSERT INTO `lang_definitions` VALUES (108659, 1367, 29, 'Biểu tượng Tiền tệ');
INSERT INTO `lang_definitions` VALUES (108660, 1368, 29, 'Dấu tách Hàng ngàn Tiền tệ');
INSERT INTO `lang_definitions` VALUES (108661, 1369, 29, 'Hiện tại');
INSERT INTO `lang_definitions` VALUES (108662, 1370, 29, 'Cồn hiện thời');
INSERT INTO `lang_definitions` VALUES (108663, 1371, 29, 'Tham khảo hiện thời');
INSERT INTO `lang_definitions` VALUES (108664, 1372, 29, 'Tiêu chuẩn hiện thời');
INSERT INTO `lang_definitions` VALUES (108665, 1373, 29, 'Màu đánh dấu ngày hiện thời');
INSERT INTO `lang_definitions` VALUES (108666, 1374, 29, 'Hiện đang còn hút thuốc mỗi ngày');
INSERT INTO `lang_definitions` VALUES (108667, 1375, 29, 'Hiện tại tên tập tin đã được thay đổi thành');
INSERT INTO `lang_definitions` VALUES (108668, 1376, 29, 'Hiện tại Hash');
INSERT INTO `lang_definitions` VALUES (108669, 1377, 29, 'Vị trí Hiện tại');
INSERT INTO `lang_definitions` VALUES (108670, 1378, 29, 'Thuốc Hiện tại');
INSERT INTO `lang_definitions` VALUES (108671, 1379, 29, 'Mật khẩu Hiện tại');
INSERT INTO `lang_definitions` VALUES (108672, 1380, 29, 'Bệnh nhân Hiện tại');
INSERT INTO `lang_definitions` VALUES (108673, 1382, 29, 'Hiện tại giải trí Thuốc');
INSERT INTO `lang_definitions` VALUES (108674, 1383, 29, 'Hiện đang còn hút thuốc không thường xuyên');
INSERT INTO `lang_definitions` VALUES (108675, 1386, 29, 'Đang hoạt động');
INSERT INTO `lang_definitions` VALUES (108676, 1387, 29, 'Đang chạy');
INSERT INTO `lang_definitions` VALUES (108677, 1388, 29, 'Hiện đang không có cơ sở.');
INSERT INTO `lang_definitions` VALUES (108678, 1389, 29, 'Hội chứng cushing');
INSERT INTO `lang_definitions` VALUES (108679, 1390, 29, 'Hội chứng Cushing');
INSERT INTO `lang_definitions` VALUES (108680, 1392, 29, 'Tuỳ chỉnh');
INSERT INTO `lang_definitions` VALUES (108681, 1393, 29, 'Tuỳ chỉnh đầu vào?');
INSERT INTO `lang_definitions` VALUES (108682, 1394, 29, 'Tuỳ chỉnh Bảng');
INSERT INTO `lang_definitions` VALUES (108683, 1396, 29, 'Mã CVX');
INSERT INTO `lang_definitions` VALUES (108684, 1397, 29, 'Ánh xạ Mã CVX');
INSERT INTO `lang_definitions` VALUES (108685, 1398, 29, 'Chủng ngừa CVX');
INSERT INTO `lang_definitions` VALUES (108686, 1399, 29, 'Chu kỳ');
INSERT INTO `lang_definitions` VALUES (108687, 1400, 29, 'CYP');
INSERT INTO `lang_definitions` VALUES (108688, 1401, 29, 'CYP tố');
INSERT INTO `lang_definitions` VALUES (108689, 1402, 29, 'CYP Báo cáo');
INSERT INTO `lang_definitions` VALUES (108690, 1403, 29, 'Czech');
INSERT INTO `lang_definitions` VALUES (108691, 1404, 29, 'D');
INSERT INTO `lang_definitions` VALUES (108692, 1405, 29, 'D & C');
INSERT INTO `lang_definitions` VALUES (108693, 1406, 29, 'D & E');
INSERT INTO `lang_definitions` VALUES (108694, 1407, 29, 'Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (108695, 1408, 29, 'hàng ngày');
INSERT INTO `lang_definitions` VALUES (108696, 1409, 29, 'Bản ghi Hàng ngày');
INSERT INTO `lang_definitions` VALUES (108697, 1410, 29, 'Tiếng/Người Đan Mạch');
INSERT INTO `lang_definitions` VALUES (108698, 1411, 29, 'Dữ liệu tương tự đã có trong cơ sở dữ liệu, xin vui lòng thay đổi mã số và / hoặc mô tả');
INSERT INTO `lang_definitions` VALUES (108699, 1412, 29, 'Dữ liệu tương tự đã có trong cơ sở dữ liệu, hãy thay đổi tên liên tục');
INSERT INTO `lang_definitions` VALUES (108700, 1413, 29, 'Dữ liệu cột');
INSERT INTO `lang_definitions` VALUES (108701, 1416, 29, 'Lỗi Dữ liệu');
INSERT INTO `lang_definitions` VALUES (108702, 1420, 29, 'Loại Dữ liệu');
INSERT INTO `lang_definitions` VALUES (108703, 1421, 29, 'Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (108704, 1422, 29, 'Cơ sở dữ liệu không được cài đặt.');
INSERT INTO `lang_definitions` VALUES (108705, 1423, 29, 'Vá lỗi Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (108706, 1424, 29, 'Việc báo cáo Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (108707, 1425, 29, 'Đã hoàn thành nâng cấp cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (108708, 1426, 29, 'DataCols phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (108709, 1427, 29, 'Ngày');
INSERT INTO `lang_definitions` VALUES (108710, 1428, 29, 'NGÀY');
INSERT INTO `lang_definitions` VALUES (108711, 1431, 29, 'Ngày được quản lý');
INSERT INTO `lang_definitions` VALUES (108712, 1432, 29, 'Ngày và giờ của lần lấy mẫu');
INSERT INTO `lang_definitions` VALUES (108713, 1433, 29, 'Ngày và giờ của lần quan sát này');
INSERT INTO `lang_definitions` VALUES (108714, 1435, 29, 'Ngày và giờ mà mẫu được lấy');
INSERT INTO `lang_definitions` VALUES (108715, 1436, 29, 'Ngày không được lớn hơn Hôm nay');
INSERT INTO `lang_definitions` VALUES (108716, 1437, 29, 'Ngày các dịch vụ tránh thai được bắt đầu cung cấp.');
INSERT INTO `lang_definitions` VALUES (108717, 1438, 29, 'Ngày Tạo');
INSERT INTO `lang_definitions` VALUES (108718, 1439, 29, 'Ngày Qua đời');
INSERT INTO `lang_definitions` VALUES (108719, 1440, 29, 'Ngày Hủy');
INSERT INTO `lang_definitions` VALUES (108720, 1441, 29, 'Định dạng Hiển thị Ngày');
INSERT INTO `lang_definitions` VALUES (108721, 1442, 29, '\"Kết thúc cuộc hẹn\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (108722, 1443, 29, '\"Bắt đầu cuộc hẹn\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (108723, 1444, 29, '\"Cuộc hẹn Tiếp theo\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (108724, 1445, 29, '\"Chưa từng thấy từ\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (108725, 1446, 29, '\"Đã thấy từ\" có định dạng ngày không hợp lệ');
INSERT INTO `lang_definitions` VALUES (108726, 1447, 29, 'Ngày Chủng Ngừa Thông tin Báo cáo Với');
INSERT INTO `lang_definitions` VALUES (108727, 1448, 29, 'Thiếu ngày cho mã số ');
INSERT INTO `lang_definitions` VALUES (108728, 1449, 29, 'Tiêu chuẩn Ngày Chủ đạo');
INSERT INTO `lang_definitions` VALUES (108729, 1450, 29, 'Ngày gửi tiền vào ngân hàng năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (108730, 1451, 29, 'Ngày Lập hóa đơn');
INSERT INTO `lang_definitions` VALUES (108731, 1452, 29, 'Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (108732, 1453, 29, 'Ngày sinh');
INSERT INTO `lang_definitions` VALUES (108733, 1454, 29, 'Ngày sinh');
INSERT INTO `lang_definitions` VALUES (108734, 1455, 29, 'Ngày của Đầu mục');
INSERT INTO `lang_definitions` VALUES (108735, 1456, 29, 'Ngày Bị thương tích');
INSERT INTO `lang_definitions` VALUES (108736, 1458, 29, 'Ngày thanh toán năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (108737, 1459, 29, 'Ngày giới thiệu');
INSERT INTO `lang_definitions` VALUES (108738, 1460, 29, 'Ngày trả lời');
INSERT INTO `lang_definitions` VALUES (108739, 1462, 29, 'Ngày Dịch vụ');
INSERT INTO `lang_definitions` VALUES (108740, 1463, 29, 'Ngày Dịch vụ');
INSERT INTO `lang_definitions` VALUES (108741, 1464, 29, 'Ngày Dịch vụ = Hôm nay');
INSERT INTO `lang_definitions` VALUES (108742, 1465, 29, 'Ngày dịch vụ tháng/ngày/năm');
INSERT INTO `lang_definitions` VALUES (108743, 1466, 29, 'Ngày Dịch vụ:');
INSERT INTO `lang_definitions` VALUES (108744, 1467, 29, 'Ngày Ký');
INSERT INTO `lang_definitions` VALUES (108745, 1469, 29, 'Ngày của đơn hàng này');
INSERT INTO `lang_definitions` VALUES (108746, 1470, 29, 'Ngày của báo cáo này');
INSERT INTO `lang_definitions` VALUES (108747, 1471, 29, 'Ngày Tuyên bố VIS');
INSERT INTO `lang_definitions` VALUES (108748, 1472, 29, 'Ngày yêu cầu');
INSERT INTO `lang_definitions` VALUES (108749, 1475, 29, 'Bộ chọn ngày');
INSERT INTO `lang_definitions` VALUES (108750, 1476, 29, 'Ngày Gửi');
INSERT INTO `lang_definitions` VALUES (108751, 1477, 29, 'Ngày đã Gửi TIn nhắn');
INSERT INTO `lang_definitions` VALUES (108752, 1479, 29, 'Không thể để trống giá trị ngày.');
INSERT INTO `lang_definitions` VALUES (108753, 1480, 29, 'Ngày / Hẹn');
INSERT INTO `lang_definitions` VALUES (108754, 1481, 29, 'Ngày / Ghi chú');
INSERT INTO `lang_definitions` VALUES (108755, 1482, 29, 'Ngày / Ghi chú của cuối');
INSERT INTO `lang_definitions` VALUES (108756, 1483, 29, 'Ngày / Giờ');
INSERT INTO `lang_definitions` VALUES (108757, 1484, 29, 'Ngày:');
INSERT INTO `lang_definitions` VALUES (108758, 1485, 29, 'Bản ghi Tin nhắn có Ngày');
INSERT INTO `lang_definitions` VALUES (108759, 1486, 29, 'Ngày');
INSERT INTO `lang_definitions` VALUES (108760, 1487, 29, 'ngày');
INSERT INTO `lang_definitions` VALUES (108761, 1489, 29, 'Xem theo ngày');
INSERT INTO `lang_definitions` VALUES (108762, 1490, 29, 'Ngày');
INSERT INTO `lang_definitions` VALUES (108763, 1491, 29, 'Ngày M-F');
INSERT INTO `lang_definitions` VALUES (108764, 1492, 29, 'ngày');
INSERT INTO `lang_definitions` VALUES (108765, 1493, 29, 'Ngày');
INSERT INTO `lang_definitions` VALUES (108766, 1494, 29, 'ngày trước');
INSERT INTO `lang_definitions` VALUES (108767, 1495, 29, 'Bỏ lỡ Ngày và Trò chơi');
INSERT INTO `lang_definitions` VALUES (108768, 1496, 29, 'Ngày từ lần khám trước');
INSERT INTO `lang_definitions` VALUES (108769, 1497, 29, 'Ngày bị bỏ lỡ');
INSERT INTO `lang_definitions` VALUES (108770, 1498, 29, 'Ngày mỗi cột:');
INSERT INTO `lang_definitions` VALUES (108771, 1500, 29, 'Ngày / Cột:');
INSERT INTO `lang_definitions` VALUES (108772, 1501, 29, 'đã cài CSDL');
INSERT INTO `lang_definitions` VALUES (108773, 1502, 29, 'DD / MM / YYYY');
INSERT INTO `lang_definitions` VALUES (108774, 1503, 29, 'De Xác định');
INSERT INTO `lang_definitions` VALUES (108775, 1504, 29, 'De Quy trình Xác định được hoàn thành');
INSERT INTO `lang_definitions` VALUES (108776, 1505, 29, 'De Xác định quá trình đang diễn ra');
INSERT INTO `lang_definitions` VALUES (108777, 1506, 29, 'De quá trình nhận dạng được bắt đầu và đang chạy trong nền');
INSERT INTO `lang_definitions` VALUES (108778, 1507, 29, 'De dữ liệu đã xác định có thể không đầy đủ');
INSERT INTO `lang_definitions` VALUES (108779, 1508, 29, 'De-nhận dạng các tập tin sẽ được lưu trong');
INSERT INTO `lang_definitions` VALUES (108780, 1509, 29, 'DEA');
INSERT INTO `lang_definitions` VALUES (108781, 1511, 29, 'Điếc');
INSERT INTO `lang_definitions` VALUES (108782, 1512, 29, 'Gỡ rối Thông tin');
INSERT INTO `lang_definitions` VALUES (108783, 1515, 29, 'Tháng Mười hai');
INSERT INTO `lang_definitions` VALUES (108784, 1516, 29, 'CHẾT');
INSERT INTO `lang_definitions` VALUES (108785, 1517, 29, 'Tháng Mười hai');
INSERT INTO `lang_definitions` VALUES (108786, 1520, 29, 'Được khấu trừ');
INSERT INTO `lang_definitions` VALUES (108787, 1521, 29, 'Được khấu trừ Met');
INSERT INTO `lang_definitions` VALUES (108788, 1522, 29, 'Mặc định');
INSERT INTO `lang_definitions` VALUES (108789, 1523, 29, 'Cách xem Lịch Mặc định');
INSERT INTO `lang_definitions` VALUES (108790, 1524, 29, 'Mã Biểu mẫu Lần khám Mặc định');
INSERT INTO `lang_definitions` VALUES (108791, 1526, 29, 'Cơ sở Mặc định');
INSERT INTO `lang_definitions` VALUES (108792, 1527, 29, 'Ngôn ngữ Mặc định');
INSERT INTO `lang_definitions` VALUES (108793, 1528, 29, 'Ngôn ngữ mặc định nếu không có ngôn ngữ khác được cho phép hoặc lựa chọn.');
INSERT INTO `lang_definitions` VALUES (108794, 1529, 29, 'Danh sách mặc định (tùy chọn cho ghi, chỉ được thêm)');
INSERT INTO `lang_definitions` VALUES (108795, 1530, 29, 'Phương pháp Mặc định');
INSERT INTO `lang_definitions` VALUES (108796, 1531, 29, 'Ngày hết hạn mật khẩu mặc định');
INSERT INTO `lang_definitions` VALUES (108797, 1532, 29, 'Mặc định mật khẩu hết hạn thời gian trong ngày. 0 có nghĩa là tính năng này bị vô hiệu hóa.');
INSERT INTO `lang_definitions` VALUES (108798, 1533, 29, 'Quốc gia Mặc định của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108799, 1536, 29, 'Nhà cung cấp Mặc định');
INSERT INTO `lang_definitions` VALUES (108800, 1537, 29, 'Phạm vi Mặc định');
INSERT INTO `lang_definitions` VALUES (108801, 1538, 29, 'Lý do Mặc định cho Lần khám');
INSERT INTO `lang_definitions` VALUES (108802, 1540, 29, 'Thiết lập mặc định');
INSERT INTO `lang_definitions` VALUES (108803, 1541, 29, 'Trạng thái mặc định của hộp chọn Cửa sổ Mới trong danh sách bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (108804, 1542, 29, 'Khuôn mẫu Mặc định');
INSERT INTO `lang_definitions` VALUES (108805, 1546, 29, 'Đơn vị Mặc định');
INSERT INTO `lang_definitions` VALUES (108806, 1547, 29, 'Giá trị Mặc định');
INSERT INTO `lang_definitions` VALUES (108807, 1548, 29, 'Kho hàng Mặc định');
INSERT INTO `lang_definitions` VALUES (108808, 1549, 29, 'X12 Đối tác Mặc định');
INSERT INTO `lang_definitions` VALUES (108809, 1550, 29, 'Mặc định / Toàn bộ');
INSERT INTO `lang_definitions` VALUES (108810, 1551, 29, 'Del');
INSERT INTO `lang_definitions` VALUES (108811, 1552, 29, 'del');
INSERT INTO `lang_definitions` VALUES (108812, 1553, 29, 'Tái phát trễ (> 12 Tháng)');
INSERT INTO `lang_definitions` VALUES (108813, 1554, 29, 'Xóa');
INSERT INTO `lang_definitions` VALUES (108814, 1555, 29, 'xóa');
INSERT INTO `lang_definitions` VALUES (108815, 1556, 29, 'Xóa danh mục với ID (s): ');
INSERT INTO `lang_definitions` VALUES (108816, 1557, 29, 'Xóa Thể loại');
INSERT INTO `lang_definitions` VALUES (108817, 1560, 29, 'Xóa Nhóm');
INSERT INTO `lang_definitions` VALUES (108818, 1561, 29, 'Xóa Danh sách');
INSERT INTO `lang_definitions` VALUES (108819, 1562, 29, 'Xóa trang');
INSERT INTO `lang_definitions` VALUES (108820, 1563, 29, 'Xóa bệnh nhân, Encounter, Mẫu, Số, tài liệu, thanh toán, Thanh toán hoặc giao dịch');
INSERT INTO `lang_definitions` VALUES (108821, 1565, 29, 'Xóa dòng');
INSERT INTO `lang_definitions` VALUES (108822, 1566, 29, 'Xóa mục được chọn');
INSERT INTO `lang_definitions` VALUES (108823, 1568, 29, 'Xóa thành công.');
INSERT INTO `lang_definitions` VALUES (108824, 1569, 29, 'Xóa tài liệu này');
INSERT INTO `lang_definitions` VALUES (108825, 1570, 29, 'Xóa hình thức này');
INSERT INTO `lang_definitions` VALUES (108826, 1571, 29, 'Xóa ghi chú');
INSERT INTO `lang_definitions` VALUES (108827, 1573, 29, 'Đã xoá thành công.');
INSERT INTO `lang_definitions` VALUES (108828, 1575, 29, 'Không thể hủy bỏ việc xóa sự kiện này. Nó không thể được khôi phục một khi đã bị xóa. Bạn có chắc chắn muốn xóa sự kiện này không?');
INSERT INTO `lang_definitions` VALUES (108829, 1581, 29, 'Sa sút trí tuệ');
INSERT INTO `lang_definitions` VALUES (108830, 1582, 29, 'Thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (108831, 1583, 29, 'Thông tin cá nhân (tùy chọn cho ghi, chỉ được thêm)');
INSERT INTO `lang_definitions` VALUES (108832, 1585, 29, 'Tiêu chí lọc thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (108833, 1586, 29, 'Không cho thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (108834, 1587, 29, 'Không cho thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (108835, 1588, 29, 'Từ chối');
INSERT INTO `lang_definitions` VALUES (108836, 1589, 29, 'Mẫu số');
INSERT INTO `lang_definitions` VALUES (108837, 1590, 29, 'Nha khoa');
INSERT INTO `lang_definitions` VALUES (108838, 1592, 29, 'Nha khoa Các vấn đề');
INSERT INTO `lang_definitions` VALUES (108839, 1595, 29, 'Tùy thuộc vào loại hóa đơn bạn đang thử nghiệm, bạn sẽ thấy HCFA như sản lượng trên một trang trắng cho các hóa đơn HCFA, bạn sẽ thấy nhiều dòng văn bản và thông tin phần nào bị cắt xén nếu bạn đang thử nghiệm một yêu cầu bồi thường X12. Đó văn bản bị cắt xén các định dạng X12 EDI 4010A. Đôi khi bạn sẽ thấy các nhân vật kỳ lạ trông giống như cờ domino hoặc squiglies, đây là những ký tự điều khiển như nguồn cấp dữ liệu trang và là bình thường.');
INSERT INTO `lang_definitions` VALUES (108840, 1596, 29, 'Tiền gửi ngày');
INSERT INTO `lang_definitions` VALUES (108841, 1597, 29, 'Tiền gửi ngày không được lớn hơn Hôm nay');
INSERT INTO `lang_definitions` VALUES (108842, 1598, 29, 'Gửi ngày:');
INSERT INTO `lang_definitions` VALUES (108843, 1599, 29, 'Chán nản');
INSERT INTO `lang_definitions` VALUES (108844, 1600, 29, 'Trầm cảm');
INSERT INTO `lang_definitions` VALUES (108845, 1602, 29, 'Mô tả');
INSERT INTO `lang_definitions` VALUES (108846, 1603, 29, 'mô tả');
INSERT INTO `lang_definitions` VALUES (108847, 1605, 29, 'Mô tả của các Tiết lộ');
INSERT INTO `lang_definitions` VALUES (108848, 1606, 29, 'Mô tả của mã này thủ tục hoặc kết quả');
INSERT INTO `lang_definitions` VALUES (108849, 1607, 29, 'Bản dịch của Mô tả');
INSERT INTO `lang_definitions` VALUES (108850, 1609, 29, 'Điểm đến');
INSERT INTO `lang_definitions` VALUES (108851, 1610, 29, 'Điểm đến Filename');
INSERT INTO `lang_definitions` VALUES (108852, 1611, 29, 'Destroy Nhiều');
INSERT INTO `lang_definitions` VALUES (108853, 1612, 29, 'Phá hủy ...');
INSERT INTO `lang_definitions` VALUES (108854, 1613, 29, 'Bị tiêu hủy');
INSERT INTO `lang_definitions` VALUES (108855, 1614, 29, 'Thuốc bị tiêu hủy');
INSERT INTO `lang_definitions` VALUES (108856, 1615, 29, 'Báo cáo Thuốc đã bị Tiêu hủy');
INSERT INTO `lang_definitions` VALUES (108857, 1616, 29, 'Xem chi tiết');
INSERT INTO `lang_definitions` VALUES (108858, 1617, 29, 'Thông tin chi tiết');
INSERT INTO `lang_definitions` VALUES (108859, 1619, 29, 'Phát triển bất thường');
INSERT INTO `lang_definitions` VALUES (108860, 1620, 29, 'Bệnh tiểu đường');
INSERT INTO `lang_definitions` VALUES (108861, 1621, 29, 'Đái tháo đường');
INSERT INTO `lang_definitions` VALUES (108862, 1622, 29, 'Bệnh tiểu đường: Quản lý Huyết Áp (CQM)');
INSERT INTO `lang_definitions` VALUES (108863, 1623, 29, 'Bệnh tiểu đường: Kiểm tra Mắt');
INSERT INTO `lang_definitions` VALUES (108864, 1624, 29, 'Bệnh tiểu đường: Kiểm tra Mắt (CQM)');
INSERT INTO `lang_definitions` VALUES (108865, 1625, 29, 'Bệnh tiểu đường: Kiểm tra Chân');
INSERT INTO `lang_definitions` VALUES (108866, 1626, 29, 'Bệnh tiểu đường: Kiểm tra Chân (CQM)');
INSERT INTO `lang_definitions` VALUES (108867, 1627, 29, 'Bệnh tiểu đường: HbA1c Poor Control (CQM)');
INSERT INTO `lang_definitions` VALUES (108868, 1628, 29, 'Bệnh tiểu đường: Hemoglobin A1c');
INSERT INTO `lang_definitions` VALUES (108869, 1629, 29, 'Bệnh tiểu đường: Quản lý và Kiểm soát LDL (CQM)');
INSERT INTO `lang_definitions` VALUES (108870, 1630, 29, 'Bệnh tiểu đường: Urine Microalbumin');
INSERT INTO `lang_definitions` VALUES (108871, 1631, 29, 'Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108872, 1633, 29, 'Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108873, 1634, 29, 'Mã Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108874, 1636, 29, 'Ngày Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108875, 1637, 29, 'Chẩn đoán phải được mã hóa thành một cuộc gặp gỡ liên kết');
INSERT INTO `lang_definitions` VALUES (108876, 1638, 29, 'Tên Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108877, 1639, 29, 'Báo cáo Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108878, 1640, 29, 'Việc báo cáo Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108879, 1641, 29, 'Chỉ Báo cáo Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108880, 1642, 29, 'Tiêu đề Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (108881, 1643, 29, 'Chẩn đoán:');
INSERT INTO `lang_definitions` VALUES (108882, 1644, 29, 'Chẩn đoán: ');
INSERT INTO `lang_definitions` VALUES (108883, 1645, 29, 'Xét nghiệm chẩn đoán:');
INSERT INTO `lang_definitions` VALUES (108884, 1646, 29, 'Quay');
INSERT INTO `lang_definitions` VALUES (108885, 1647, 29, 'Màng ngăn / mũ');
INSERT INTO `lang_definitions` VALUES (108886, 1648, 29, 'Tiêu chảy');
INSERT INTO `lang_definitions` VALUES (108887, 1650, 29, 'Lời dặn');
INSERT INTO `lang_definitions` VALUES (108888, 1651, 29, 'Lời dặn: ');
INSERT INTO `lang_definitions` VALUES (108889, 1652, 29, 'Bạn có nhận được một bản sao của Thông Báo HIPAA?');
INSERT INTO `lang_definitions` VALUES (108890, 1653, 29, 'Diffuse:');
INSERT INTO `lang_definitions` VALUES (108891, 1654, 29, 'Đã ký Chữ ký số');
INSERT INTO `lang_definitions` VALUES (108892, 1657, 29, 'Thư trực tiếp');
INSERT INTO `lang_definitions` VALUES (108893, 1663, 29, 'Tên Giám đốc');
INSERT INTO `lang_definitions` VALUES (108894, 1665, 29, 'Người khuyết tật');
INSERT INTO `lang_definitions` VALUES (108895, 1667, 29, 'Vô hiệu hoá Lịch');
INSERT INTO `lang_definitions` VALUES (108896, 1668, 29, 'Vô hiệu hoá Tracker Chart');
INSERT INTO `lang_definitions` VALUES (108897, 1669, 29, 'Vô hiệu hoá Chủng ngừa');
INSERT INTO `lang_definitions` VALUES (108898, 1670, 29, 'Vô hiệu hoá Biểu mẫu Thể trạng Hệ mét Cũ');
INSERT INTO `lang_definitions` VALUES (108899, 1672, 29, 'Vô hiệu hoá phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (108900, 1673, 29, 'Vô hiệu hoá Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (108901, 1674, 29, 'Vô hiệu hóa các Nhóm Người dùng');
INSERT INTO `lang_definitions` VALUES (108902, 1675, 29, 'vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (108903, 1676, 29, 'Vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (108904, 1678, 29, 'DISC');
INSERT INTO `lang_definitions` VALUES (108905, 1681, 29, 'Mủ');
INSERT INTO `lang_definitions` VALUES (108906, 1682, 29, 'Mủ Từ Niệu đạo');
INSERT INTO `lang_definitions` VALUES (108907, 1684, 29, 'Xả phải');
INSERT INTO `lang_definitions` VALUES (108908, 1685, 29, 'Xả phải:');
INSERT INTO `lang_definitions` VALUES (108909, 1689, 29, 'Công bố thông tin');
INSERT INTO `lang_definitions` VALUES (108910, 1690, 29, 'Tiết lộ Loại');
INSERT INTO `lang_definitions` VALUES (108911, 1691, 29, 'Tiết lộ loại');
INSERT INTO `lang_definitions` VALUES (108912, 1692, 29, 'Tiết Lộ');
INSERT INTO `lang_definitions` VALUES (108913, 1694, 29, 'Giảm giá');
INSERT INTO `lang_definitions` VALUES (108914, 1695, 29, 'Số lượng Giá giảm');
INSERT INTO `lang_definitions` VALUES (108915, 1696, 29, 'Mức Giảm giá');
INSERT INTO `lang_definitions` VALUES (108916, 1697, 29, 'Phần trăm Giảm giá');
INSERT INTO `lang_definitions` VALUES (108917, 1698, 29, 'Giá giảm là Số lượng Tiền tệ');
INSERT INTO `lang_definitions` VALUES (108918, 1699, 29, 'Giá giảm tại thời điểm thanh toán được nhập vào là số tiền, ngược lại với tỷ lệ phần trăm.');
INSERT INTO `lang_definitions` VALUES (108919, 1700, 29, 'Rời rạc Kết quả');
INSERT INTO `lang_definitions` VALUES (108920, 1701, 29, 'Bệnh');
INSERT INTO `lang_definitions` VALUES (108921, 1702, 29, 'Phân chia');
INSERT INTO `lang_definitions` VALUES (108922, 1703, 29, 'Số lượng');
INSERT INTO `lang_definitions` VALUES (108923, 1704, 29, 'Công văn');
INSERT INTO `lang_definitions` VALUES (108924, 1705, 29, 'Công văn tài liệu nhận');
INSERT INTO `lang_definitions` VALUES (108925, 1706, 29, 'Phân phát');
INSERT INTO `lang_definitions` VALUES (108926, 1707, 29, 'Hiển thị các chỉ thị nâng cao trong trang thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (108927, 1709, 29, 'Hiển thị ngày sự kiện trong khối?');
INSERT INTO `lang_definitions` VALUES (108928, 1711, 29, 'Hiển thị có bao nhiêu sự kiện?');
INSERT INTO `lang_definitions` VALUES (108929, 1713, 29, 'Hiển thị vị trí trong khối?');
INSERT INTO `lang_definitions` VALUES (108930, 1714, 29, 'Hiển thị Tên');
INSERT INTO `lang_definitions` VALUES (108931, 1715, 29, 'Hiển thị lịch?');
INSERT INTO `lang_definitions` VALUES (108932, 1718, 29, 'Hiển thị ngày hôm nay của các sự kiện trong khối ?');
INSERT INTO `lang_definitions` VALUES (108933, 1719, 29, 'Hiển thị chủ đề trong khối?');
INSERT INTO `lang_definitions` VALUES (108934, 1720, 29, 'Hiển thị các sự kiện sắp tới trong khối?');
INSERT INTO `lang_definitions` VALUES (108935, 1721, 29, 'Hiển thị cột');
INSERT INTO `lang_definitions` VALUES (108936, 1722, 29, 'Hiển thị số lượng của hầu hết các tiết lộ gần đây như sau:');
INSERT INTO `lang_definitions` VALUES (108937, 1723, 29, 'Hiển thị số lượng sau đây của hầu hết các ghi chú gần đây');
INSERT INTO `lang_definitions` VALUES (108938, 1724, 29, 'Hiển thị số lượng của hầu hết các ghi chú gần đây như sau:');
INSERT INTO `lang_definitions` VALUES (108939, 1725, 29, 'Phân phối');
INSERT INTO `lang_definitions` VALUES (108940, 1726, 29, 'Phân phối');
INSERT INTO `lang_definitions` VALUES (108941, 1727, 29, 'Nhà phân phối');
INSERT INTO `lang_definitions` VALUES (108942, 1729, 29, 'Viêm túi thừa');
INSERT INTO `lang_definitions` VALUES (108943, 1730, 29, 'Viêm túi thừa Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (108944, 1731, 29, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (108945, 1732, 29, 'Divirticulitis Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (108946, 1733, 29, 'Ly hôn');
INSERT INTO `lang_definitions` VALUES (108947, 1734, 29, 'Chóng mặt:');
INSERT INTO `lang_definitions` VALUES (108948, 1735, 29, 'Không được thay đổi');
INSERT INTO `lang_definitions` VALUES (108949, 1737, 29, 'Không hiển thị Dị ứng đã tải lên NewCorp');
INSERT INTO `lang_definitions` VALUES (108950, 1739, 29, 'Không hiển thị Điều trị đã tải lên NewCorp');
INSERT INTO `lang_definitions` VALUES (108951, 1742, 29, 'Không hiển thị lịch.');
INSERT INTO `lang_definitions` VALUES (108952, 1744, 29, 'Không kiểm kê và bán bất kỳ sản phẩm nào');
INSERT INTO `lang_definitions` VALUES (108953, 1745, 29, 'Không yêu cầu xác thực ghi chú của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108954, 1746, 29, 'Không Làm tỉnh Order');
INSERT INTO `lang_definitions` VALUES (108955, 1747, 29, 'không lưu');
INSERT INTO `lang_definitions` VALUES (108956, 1748, 29, 'không thay thế');
INSERT INTO `lang_definitions` VALUES (108957, 1749, 29, 'không làm gì cả');
INSERT INTO `lang_definitions` VALUES (108958, 1751, 29, 'Bạn có thực sự muốn xóa');
INSERT INTO `lang_definitions` VALUES (108959, 1752, 29, 'Bạn có thực sự muốn xóa các lựa chọn?');
INSERT INTO `lang_definitions` VALUES (108960, 1753, 29, 'Bạn có thực sự muốn xóa nhóm này');
INSERT INTO `lang_definitions` VALUES (108961, 1755, 29, 'Bạn có muốn tiếp tục không?');
INSERT INTO `lang_definitions` VALUES (108962, 1756, 29, 'Bạn có muốn xóa này?');
INSERT INTO `lang_definitions` VALUES (108963, 1757, 29, 'Bạn có muốn xoá không?');
INSERT INTO `lang_definitions` VALUES (108964, 1758, 29, 'Bạn có muốn loại bỏ hồ sơ này?');
INSERT INTO `lang_definitions` VALUES (108965, 1759, 29, 'Bạn có muốn tiếp tục bổ sung thêm bệnh nhân mới này?');
INSERT INTO `lang_definitions` VALUES (108966, 1760, 29, 'Bạn có muốn tiếp tục với tên mới?');
INSERT INTO `lang_definitions` VALUES (108967, 1761, 29, 'Bạn có muốn vĩnh viễn xóa hồ sơ chủng ngừa này?');
INSERT INTO `lang_definitions` VALUES (108968, 1762, 29, 'Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (108969, 1763, 29, 'Không có Ngày Sinh, vui lòng nhập nếu có thể');
INSERT INTO `lang_definitions` VALUES (108970, 1764, 29, 'Tài liệu');
INSERT INTO `lang_definitions` VALUES (108971, 1765, 29, 'Bác sĩ');
INSERT INTO `lang_definitions` VALUES (108972, 1766, 29, 'Bác sĩ:');
INSERT INTO `lang_definitions` VALUES (108973, 1767, 29, 'Tên và chữ ký của bác sĩ');
INSERT INTO `lang_definitions` VALUES (108974, 1768, 29, 'Tài liệu');
INSERT INTO `lang_definitions` VALUES (108975, 1769, 29, 'tài liệu');
INSERT INTO `lang_definitions` VALUES (108976, 1770, 29, 'Thể loại Tài liệu');
INSERT INTO `lang_definitions` VALUES (108977, 1775, 29, 'Tài liệu không thể chuyển được id bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108978, 1777, 29, 'Ngày giấy tờ');
INSERT INTO `lang_definitions` VALUES (108979, 1778, 29, 'Ngày giấy tờ và vấn đề cập nhật thành công');
INSERT INTO `lang_definitions` VALUES (108980, 1779, 29, 'Tài liệu ID');
INSERT INTO `lang_definitions` VALUES (108981, 1780, 29, 'Tài liệu chuyển thể loại mới');
INSERT INTO `lang_definitions` VALUES (108982, 1781, 29, 'Tài liệu chuyển id bệnh nhân');
INSERT INTO `lang_definitions` VALUES (108983, 1783, 29, 'Tài liệu thông qua kiểm tra tính toàn vẹn.');
INSERT INTO `lang_definitions` VALUES (108984, 1784, 29, 'Phương thức Lưu trữ Tài liệu');
INSERT INTO `lang_definitions` VALUES (108985, 1785, 29, 'Đã đổi tên tài liệu thành công.');
INSERT INTO `lang_definitions` VALUES (108986, 1790, 29, 'Lưu trữ tài liệu / hình ảnh');
INSERT INTO `lang_definitions` VALUES (108987, 1791, 29, 'Tài liệu');
INSERT INTO `lang_definitions` VALUES (108988, 1792, 29, 'Tài liệu (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (108989, 1794, 29, 'DOE');
INSERT INTO `lang_definitions` VALUES (108990, 1798, 29, 'Loại này có cho phép các mã liên quan không?');
INSERT INTO `lang_definitions` VALUES (108991, 1799, 29, 'Trong nước Đối tác');
INSERT INTO `lang_definitions` VALUES (108992, 1800, 29, 'Không lưu lại');
INSERT INTO `lang_definitions` VALUES (108993, 1801, 29, 'Don \'t Save');
INSERT INTO `lang_definitions` VALUES (108994, 1802, 29, 'Don \'t Lưu Thay đổi');
INSERT INTO `lang_definitions` VALUES (108995, 1803, 29, 'Đã xong');
INSERT INTO `lang_definitions` VALUES (108996, 1804, 29, 'Đã xong với:');
INSERT INTO `lang_definitions` VALUES (108997, 1805, 29, 'Đã xong. Bây giờ sẽ gửi bản tải xuống.');
INSERT INTO `lang_definitions` VALUES (108998, 1806, 29, 'DOS');
INSERT INTO `lang_definitions` VALUES (108999, 1807, 29, 'Liều dùng');
INSERT INTO `lang_definitions` VALUES (109000, 1809, 29, 'nhấp đúp chuột vào để chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (109001, 1810, 29, 'Quáng gà');
INSERT INTO `lang_definitions` VALUES (109002, 1811, 29, 'Tải về');
INSERT INTO `lang_definitions` VALUES (109003, 1814, 29, 'Tải về bất cứ lúc nào');
INSERT INTO `lang_definitions` VALUES (109004, 1815, 29, 'Tải tập tin thanh toán, gửi kế toán và nhãn hiệu như lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (109005, 1817, 29, 'Tải về Giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (109006, 1818, 29, 'Tải dữ liệu cấu hình về');
INSERT INTO `lang_definitions` VALUES (109007, 1820, 29, 'tải tập tin được mã hóa về');
INSERT INTO `lang_definitions` VALUES (109008, 1827, 29, 'Tải Các báo cáo Được lựa chọn về');
INSERT INTO `lang_definitions` VALUES (109009, 1828, 29, 'Tiến sĩ Kiểm tra');
INSERT INTO `lang_definitions` VALUES (109010, 1829, 29, 'Tiến sĩ Chơi');
INSERT INTO `lang_definitions` VALUES (109011, 1830, 29, 'Tiến sĩ');
INSERT INTO `lang_definitions` VALUES (109012, 1831, 29, 'Kéo để di chuyển');
INSERT INTO `lang_definitions` VALUES (109013, 1832, 29, 'Đái láu');
INSERT INTO `lang_definitions` VALUES (109014, 1833, 29, 'Giấy phép Lái xe hoặc Số căn cước Tiểu bang');
INSERT INTO `lang_definitions` VALUES (109015, 1834, 29, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (109016, 1835, 29, 'Thuốc Finder');
INSERT INTO `lang_definitions` VALUES (109017, 1836, 29, 'Thuốc Các hình thức');
INSERT INTO `lang_definitions` VALUES (109018, 1837, 29, 'Thiếu Mã Thuốc!');
INSERT INTO `lang_definitions` VALUES (109019, 1838, 29, 'Thời khoảng dùng Thuốc');
INSERT INTO `lang_definitions` VALUES (109020, 1839, 29, 'Thuốc tồn kho');
INSERT INTO `lang_definitions` VALUES (109021, 1840, 29, 'Tên Thuốc');
INSERT INTO `lang_definitions` VALUES (109022, 1841, 29, 'Thuốc Tuyến đường');
INSERT INTO `lang_definitions` VALUES (109023, 1845, 29, 'Thuốc đơn vị');
INSERT INTO `lang_definitions` VALUES (109024, 1846, 29, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (109025, 1847, 29, 'Thuốc và các sản phẩm');
INSERT INTO `lang_definitions` VALUES (109026, 1848, 29, 'Khô Miệng');
INSERT INTO `lang_definitions` VALUES (109027, 1849, 29, 'Chẩn đoán DSMIV');
INSERT INTO `lang_definitions` VALUES (109028, 1850, 29, 'DT 1');
INSERT INTO `lang_definitions` VALUES (109029, 1851, 29, 'DT 2');
INSERT INTO `lang_definitions` VALUES (109030, 1852, 29, 'DT 3');
INSERT INTO `lang_definitions` VALUES (109031, 1853, 29, 'DT 4');
INSERT INTO `lang_definitions` VALUES (109032, 1854, 29, 'DT 5');
INSERT INTO `lang_definitions` VALUES (109033, 1855, 29, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (109034, 1856, 29, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (109035, 1857, 29, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (109036, 1858, 29, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (109037, 1859, 29, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (109038, 1860, 29, 'Nợ');
INSERT INTO `lang_definitions` VALUES (109039, 1861, 29, 'Ngày Tới hạn:');
INSERT INTO `lang_definitions` VALUES (109040, 1862, 29, 'Ngày tới hạn dạng tháng/ngày/năm hoặc năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (109041, 1863, 29, 'Ngày Tới hạn:');
INSERT INTO `lang_definitions` VALUES (109042, 1864, 29, 'Nợ BH');
INSERT INTO `lang_definitions` VALUES (109043, 1865, 29, 'Nợ Pt');
INSERT INTO `lang_definitions` VALUES (109044, 1866, 29, 'Sắp Đến hạn');
INSERT INTO `lang_definitions` VALUES (109045, 1867, 29, 'Tình trạng Nợ');
INSERT INTO `lang_definitions` VALUES (109046, 1868, 29, 'Cập nhật Tình trạng Nợ');
INSERT INTO `lang_definitions` VALUES (109047, 1869, 29, 'Đang chép Cơ sở dữ liệu LibreEHR');
INSERT INTO `lang_definitions` VALUES (109048, 1870, 29, 'Đang chép cây thư mục web LibreEHR');
INSERT INTO `lang_definitions` VALUES (109049, 1871, 29, 'Đang chép cơ sở dữ liệu phpGACL');
INSERT INTO `lang_definitions` VALUES (109050, 1872, 29, 'Đang chép cây thư mục web phpGACL');
INSERT INTO `lang_definitions` VALUES (109051, 1873, 29, 'Đang chép cơ sở dữ liệu SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (109052, 1874, 29, 'Đang chép cây thư mục web SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (109053, 1875, 29, 'Kiểm tra Trùng lặp');
INSERT INTO `lang_definitions` VALUES (109054, 1876, 29, 'Trùng lặp ID trên dòng');
INSERT INTO `lang_definitions` VALUES (109055, 1877, 29, 'Trùng lặp tên trên dòng');
INSERT INTO `lang_definitions` VALUES (109056, 1878, 29, 'CẢNH BÁO TRÙNG LẬP');
INSERT INTO `lang_definitions` VALUES (109057, 1879, 29, 'Durable điện của Luật sư');
INSERT INTO `lang_definitions` VALUES (109058, 1880, 29, 'thời gian');
INSERT INTO `lang_definitions` VALUES (109059, 1881, 29, 'Thời gian');
INSERT INTO `lang_definitions` VALUES (109060, 1882, 29, 'Hà Lan');
INSERT INTO `lang_definitions` VALUES (109061, 1883, 29, 'Dx Rep');
INSERT INTO `lang_definitions` VALUES (109062, 1884, 29, 'Chứng khó nuốt');
INSERT INTO `lang_definitions` VALUES (109063, 1885, 29, 'Khó thở:');
INSERT INTO `lang_definitions` VALUES (109064, 1886, 29, 'Tiểu khó');
INSERT INTO `lang_definitions` VALUES (109065, 1888, 29, 'E-Prescription?');
INSERT INTO `lang_definitions` VALUES (109066, 1890, 29, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (109067, 1892, 29, 'Đổi mới e-Rx');
INSERT INTO `lang_definitions` VALUES (109068, 1893, 29, 'Mỗi người dùng phải đặt tin nhắn của bản thân họ là hoàn thành.');
INSERT INTO `lang_definitions` VALUES (109069, 1894, 29, 'Tái phát nhanh (<2 Tháng)');
INSERT INTO `lang_definitions` VALUES (109070, 1895, 29, 'Tai');
INSERT INTO `lang_definitions` VALUES (109071, 1896, 29, 'ECG');
INSERT INTO `lang_definitions` VALUES (109072, 1897, 29, 'eClaims');
INSERT INTO `lang_definitions` VALUES (109073, 1898, 29, 'Phù');
INSERT INTO `lang_definitions` VALUES (109074, 1902, 29, 'Tải lên Tập tin EDI-271');
INSERT INTO `lang_definitions` VALUES (109075, 1903, 29, 'Tải lên Tập tin Phản hồi EDI-271');
INSERT INTO `lang_definitions` VALUES (109076, 1904, 29, 'Chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (109077, 1905, 29, 'chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (109078, 1906, 29, 'Chỉnh sửa Dị ứng');
INSERT INTO `lang_definitions` VALUES (109079, 1907, 29, 'Chỉnh sửa Thể loại');
INSERT INTO `lang_definitions` VALUES (109080, 1908, 29, 'Chỉnh sửa Định nghĩa');
INSERT INTO `lang_definitions` VALUES (109081, 1909, 29, 'Chỉnh sửa các định nghĩa');
INSERT INTO `lang_definitions` VALUES (109082, 1910, 29, 'Chỉnh sửa Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (109083, 1911, 29, 'Chỉnh sửa Tiết lộ');
INSERT INTO `lang_definitions` VALUES (109084, 1912, 29, 'Chỉnh sửa Cơ sở');
INSERT INTO `lang_definitions` VALUES (109085, 1913, 29, 'Chỉnh sửa Cơ sở');
INSERT INTO `lang_definitions` VALUES (109086, 1914, 29, 'Chỉnh sửa Thông tin Cơ sở');
INSERT INTO `lang_definitions` VALUES (109087, 1915, 29, 'Chỉnh sửa Thông tin Người dùng Riêng cho Cơ sở');
INSERT INTO `lang_definitions` VALUES (109088, 1916, 29, 'Chỉnh sửa Tập tin trong');
INSERT INTO `lang_definitions` VALUES (109089, 1917, 29, 'Chỉnh sửa biểu mẫu');
INSERT INTO `lang_definitions` VALUES (109090, 1918, 29, 'Chỉnh sửa Cài đặt toàn cầu');
INSERT INTO `lang_definitions` VALUES (109091, 1919, 29, 'Không được phép chỉnh sửa!');
INSERT INTO `lang_definitions` VALUES (109092, 1920, 29, 'Chỉnh sửa bố trí');
INSERT INTO `lang_definitions` VALUES (109093, 1921, 29, 'Chỉnh sửa danh sách');
INSERT INTO `lang_definitions` VALUES (109094, 1922, 29, 'Chỉnh sửa Thanh toán');
INSERT INTO `lang_definitions` VALUES (109095, 1923, 29, 'Chỉnh sửa Cấu trúc');
INSERT INTO `lang_definitions` VALUES (109096, 1924, 29, 'Chỉnh sửa Người dùng');
INSERT INTO `lang_definitions` VALUES (109097, 1925, 29, 'Chỉnh sửa Xác lập Người dùng');
INSERT INTO `lang_definitions` VALUES (109098, 1928, 29, 'Giáo dục');
INSERT INTO `lang_definitions` VALUES (109099, 1929, 29, 'Giáo dục ngày');
INSERT INTO `lang_definitions` VALUES (109100, 1931, 29, 'ee * GNU General Public License để biết thêm chi tiết. ** Bạn nên đã nhận được một bản sao của * Giấy phép Công cộng GNU cùng với chương trình này, nếu không, viết thư cho các miễn phí ');
INSERT INTO `lang_definitions` VALUES (109101, 1932, 29, 'Ngày có hiệu lực');
INSERT INTO `lang_definitions` VALUES (109102, 1934, 29, 'Hiệu quả');
INSERT INTO `lang_definitions` VALUES (109103, 1935, 29, 'EIN');
INSERT INTO `lang_definitions` VALUES (109104, 1936, 29, 'Xuất tinh');
INSERT INTO `lang_definitions` VALUES (109105, 1937, 29, 'Khuỷu tay');
INSERT INTO `lang_definitions` VALUES (109106, 1938, 29, 'Elbow vấn đề');
INSERT INTO `lang_definitions` VALUES (109107, 1939, 29, 'Điện tử');
INSERT INTO `lang_definitions` VALUES (109108, 1942, 29, 'Điện tử Remits');
INSERT INTO `lang_definitions` VALUES (109109, 1944, 29, 'Đủ điều kiện');
INSERT INTO `lang_definitions` VALUES (109110, 1945, 29, 'Đủ điều kiện 270 Inquiry hàng loạt');
INSERT INTO `lang_definitions` VALUES (109111, 1946, 29, 'Đủ điều kiện đáp ứng');
INSERT INTO `lang_definitions` VALUES (109112, 1947, 29, 'Tình trạng hội đủ điều kiện cho vắc xin cho trẻ em cung cấp vắc-xin');
INSERT INTO `lang_definitions` VALUES (109113, 1948, 29, 'Đủ điều kiện');
INSERT INTO `lang_definitions` VALUES (109114, 1949, 29, 'Email');
INSERT INTO `lang_definitions` VALUES (109115, 1951, 29, 'Địa chỉ Email');
INSERT INTO `lang_definitions` VALUES (109116, 1953, 29, 'Địa chỉ email của người gửi để nhắc nhở bệnh nhân. Trả lời nhắc nhở bệnh nhân sẽ được hướng dẫn đến địa chỉ này. Điều quan trọng là sử dụng một địa chỉ từ phòng khám của bạn \'s miền để tránh giúp ngăn ngừa nhắc nhở bệnh nhân đi đến các thư mục thư rác.');
INSERT INTO `lang_definitions` VALUES (109117, 1954, 29, 'Địa chỉ email, nếu có, để nhận được thông báo hành chính.');
INSERT INTO `lang_definitions` VALUES (109118, 1955, 29, 'Địa chỉ email, nếu có, để nhận được thông báo khẩn cấp người sử dụng đăng nhập kích hoạt.');
INSERT INTO `lang_definitions` VALUES (109119, 1956, 29, 'Cho Email');
INSERT INTO `lang_definitions` VALUES (109120, 1957, 29, 'Email từ Batchcom');
INSERT INTO `lang_definitions` VALUES (109121, 1958, 29, 'Thông báo bằng Email');
INSERT INTO `lang_definitions` VALUES (109122, 1959, 29, 'Giờ Thông báo bằng Email');
INSERT INTO `lang_definitions` VALUES (109123, 1960, 29, 'Báo cáo Thông báo bằng Email');
INSERT INTO `lang_definitions` VALUES (109124, 1961, 29, 'Gửi email trước');
INSERT INTO `lang_definitions` VALUES (109125, 1962, 29, 'Người gửi Email');
INSERT INTO `lang_definitions` VALUES (109126, 1963, 29, 'Đã gửi Email');
INSERT INTO `lang_definitions` VALUES (109127, 1964, 29, 'Đã gửi Email đến');
INSERT INTO `lang_definitions` VALUES (109128, 1965, 29, 'Tiêu đề email');
INSERT INTO `lang_definitions` VALUES (109129, 1966, 29, 'Nội dung email, Có thể dùng Thẻ: ***NAME***, ví dụ Kính gửi ***NAME***');
INSERT INTO `lang_definitions` VALUES (109130, 1967, 29, 'Nội dung email, Có thể dùng Thẻ: ***NAME***, ví dụ Kính gửi ***NAME***{{Không được dịch thành phần ***NAME*** của hằng số này.}}');
INSERT INTO `lang_definitions` VALUES (109131, 1968, 29, 'Phương pháp Chuyển giao Email');
INSERT INTO `lang_definitions` VALUES (109132, 1969, 29, 'Email đã được gửi đến địa chỉ sau đây');
INSERT INTO `lang_definitions` VALUES (109133, 1971, 29, 'Liên lạc khi Khẩn Cấp');
INSERT INTO `lang_definitions` VALUES (109134, 1972, 29, 'Người Liên hệ khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (109135, 1973, 29, 'Số Điện thoại Liên hệ khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (109136, 1974, 29, 'Ngừa thai Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (109137, 1975, 29, 'Đăng nhập khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (109138, 1976, 29, 'Trường hợp khẩn cấp Đăng nhập ACL được chọn. Người sử dụng vẫn còn trong trạng thái hoạt động, xin vui lòng de-kích hoạt người sử dụng và kích hoạt khi cần thiết trong các tình huống khẩn cấp. Thăm chính -> Người dùng để kích hoạt hoặc de-kích hoạt.');
INSERT INTO `lang_definitions` VALUES (109139, 1977, 29, 'Đăng nhập email kích hoạt khẩn cấp sẽ được lưu hành chỉ khi cài đặt sau đây trong tập tin / globals.php giao diện được cấu hình:');
INSERT INTO `lang_definitions` VALUES (109140, 1978, 29, 'Địa chỉ Email Đăng nhập khẩn cấp');
INSERT INTO `lang_definitions` VALUES (109141, 1979, 29, 'Đăng nhập sử dụng khẩn cấp có thể làm bất cứ điều gì');
INSERT INTO `lang_definitions` VALUES (109142, 1980, 29, 'Điện thoại khi Khẩn cấp');
INSERT INTO `lang_definitions` VALUES (109143, 1982, 29, 'Khí phế thũng (Emphysema)');
INSERT INTO `lang_definitions` VALUES (109144, 1983, 29, 'Nhân viên');
INSERT INTO `lang_definitions` VALUES (109145, 1984, 29, 'Công ty');
INSERT INTO `lang_definitions` VALUES (109146, 1985, 29, 'Địa chỉ Công ty');
INSERT INTO `lang_definitions` VALUES (109147, 1986, 29, 'Dữ liệu Công ty');
INSERT INTO `lang_definitions` VALUES (109148, 1987, 29, 'Tên Công ty');
INSERT INTO `lang_definitions` VALUES (109149, 1988, 29, 'EMPTY');
INSERT INTO `lang_definitions` VALUES (109150, 1989, 29, 'Rỗng');
INSERT INTO `lang_definitions` VALUES (109151, 1991, 29, 'Giá trị sản phẩm nào trong \"Giờ Email\"');
INSERT INTO `lang_definitions` VALUES (109152, 1992, 29, 'Giá trị sản phẩm nào trong \"Tên người gửi Email\"');
INSERT INTO `lang_definitions` VALUES (109153, 1993, 29, 'Có sản phẩm nào giá trị trong \"Chủ đề email\"');
INSERT INTO `lang_definitions` VALUES (109154, 1994, 29, 'Có sản phẩm nào giá trị trong \"Văn bản Email\"');
INSERT INTO `lang_definitions` VALUES (109155, 1995, 29, 'Giá trị sản phẩm nào trong \"Tên của nhà cung cấp\"');
INSERT INTO `lang_definitions` VALUES (109156, 1996, 29, 'Giá trị sản phẩm nào trong \"Mật khẩu\"');
INSERT INTO `lang_definitions` VALUES (109157, 1997, 29, 'Giá trị sản phẩm nào trong \"Giờ SMS\"');
INSERT INTO `lang_definitions` VALUES (109158, 1998, 29, 'Giá trị sản phẩm nào trong \"Tin nhắn văn bản\"');
INSERT INTO `lang_definitions` VALUES (109159, 1999, 29, 'Giá trị sản phẩm nào trong \"Tên\"');
INSERT INTO `lang_definitions` VALUES (109160, 2006, 29, 'Kích hoạt tính năng AMC khiến');
INSERT INTO `lang_definitions` VALUES (109161, 2008, 29, 'Kích hoạt tính năng AMC báo cáo');
INSERT INTO `lang_definitions` VALUES (109162, 2009, 29, 'Kích hoạt tính năng AMC Theo dõi');
INSERT INTO `lang_definitions` VALUES (109163, 2011, 29, 'Kích hoạt tính năng ATNA Kiểm toán');
INSERT INTO `lang_definitions` VALUES (109164, 2013, 29, 'Kích hoạt tính năng Logging Kiểm toán');
INSERT INTO `lang_definitions` VALUES (109165, 2014, 29, 'Kích hoạt tính năng Trail kiểm toán và xác thực Node (ATNA).');
INSERT INTO `lang_definitions` VALUES (109166, 2015, 29, 'Kích hoạt tính năng tự động tính toán đo lường (AMC) Báo cáo');
INSERT INTO `lang_definitions` VALUES (109167, 2016, 29, 'Kích hoạt tính năng khách hàng SSL');
INSERT INTO `lang_definitions` VALUES (109168, 2017, 29, 'Kích hoạt tính năng xác thực giấy chứng nhận SSL khách hàng.');
INSERT INTO `lang_definitions` VALUES (109169, 2019, 29, 'Kích hoạt tính năng Rules quyết định lâm sàng (CDR)');
INSERT INTO `lang_definitions` VALUES (109170, 2022, 29, 'Kích hoạt tính năng lâm sàng Đo lường Chất lượng (CQM) Báo cáo');
INSERT INTO `lang_definitions` VALUES (109171, 2023, 29, 'Kích hoạt tính năng Popup Reminder lâm sàng');
INSERT INTO `lang_definitions` VALUES (109172, 2024, 29, 'Kích hoạt tính năng Widget Reminder lâm sàng');
INSERT INTO `lang_definitions` VALUES (109173, 2027, 29, 'Kích hoạt tính năng CQM báo cáo');
INSERT INTO `lang_definitions` VALUES (109174, 2030, 29, 'Kích hoạt mục Phí trong Trình đơn bên Trái');
INSERT INTO `lang_definitions` VALUES (109175, 2031, 29, 'Kích hoạt tính năng Hylafax Hỗ trợ');
INSERT INTO `lang_definitions` VALUES (109176, 2033, 29, 'Kích hoạt kết nhập tin nhắn trạng thái cho NewCrop erx');
INSERT INTO `lang_definitions` VALUES (109177, 2037, 29, 'Kích hoạt tính năng Lab Trao đổi');
INSERT INTO `lang_definitions` VALUES (109178, 2039, 29, 'Cho phép ghi nhật ký đối với việc tải lên / tải xuống tập tin đến / từ CouchDB');
INSERT INTO `lang_definitions` VALUES (109179, 2040, 29, 'Kích hoạt tính năng đăng nhập của tất cả các truy vấn SQL SELECT.');
INSERT INTO `lang_definitions` VALUES (109180, 2041, 29, 'Cho phép đăng nhập các hoạt động sao lưu liên quan.');
INSERT INTO `lang_definitions` VALUES (109181, 2043, 29, 'Cho phép đăng nhập các hoạt động linh tinh.');
INSERT INTO `lang_definitions` VALUES (109182, 2044, 29, 'Kích hoạt tính năng đăng nhập của các hoạt động đặt hàng.');
INSERT INTO `lang_definitions` VALUES (109183, 2045, 29, 'Kích hoạt tính năng đăng nhập sửa đổi hồ sơ bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (109184, 2046, 29, 'Kích hoạt tính năng đăng nhập của hoạt động lập kế hoạch.');
INSERT INTO `lang_definitions` VALUES (109185, 2047, 29, 'Kích hoạt tính năng đăng nhập của hoạt động an ninh và quản trị.');
INSERT INTO `lang_definitions` VALUES (109186, 2049, 29, 'Kích hoạt tính năng NewCrop eRx Dịch vụ');
INSERT INTO `lang_definitions` VALUES (109187, 2051, 29, 'Kích hoạt tính năng Portal Bệnh nhân ngoại vi');
INSERT INTO `lang_definitions` VALUES (109188, 2052, 29, 'Kích hoạt tính năng Portal Bệnh nhân ngoại vi.');
INSERT INTO `lang_definitions` VALUES (109189, 2053, 29, 'Kích hoạt tính năng Cổng thông tin bệnh nhân tại chỗ');
INSERT INTO `lang_definitions` VALUES (109190, 2055, 29, 'Kích hoạt tính năng Cổng thông tin bệnh nhân tại chỗ.');
INSERT INTO `lang_definitions` VALUES (109191, 2056, 29, 'Kích hoạt tính năng Widget Nhắc nhở bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109192, 2058, 29, 'Kích hoạt tính năng khiến cho tính toán đo lường tự động (AMC) dữ liệu yêu cầu');
INSERT INTO `lang_definitions` VALUES (109193, 2060, 29, 'Kích hoạt tính năng báo cáo ngày theo dõi Đối với các tính toán đo lường tự động (AMC)');
INSERT INTO `lang_definitions` VALUES (109194, 2061, 29, 'Kích hoạt tính năng hỗ trợ quét');
INSERT INTO `lang_definitions` VALUES (109195, 2065, 29, 'Kích hoạt tính năng hỗ trợ LibreEHR LLC Lab Trao đổi dịch vụ.');
INSERT INTO `lang_definitions` VALUES (109196, 2066, 29, 'Cho phép người sử dụng Giấy chứng nhận xác thực');
INSERT INTO `lang_definitions` VALUES (109197, 2067, 29, 'Kích hoạt tính năng ZMG, dịch vụ LLC eRx');
INSERT INTO `lang_definitions` VALUES (109198, 2068, 29, 'kích hoạt');
INSERT INTO `lang_definitions` VALUES (109199, 2070, 29, 'Cho phép bảng Biểu phí cũ để nhập mã số hóa đơn và thanh toán. Không nên dùng, thay vì vậy hãy sử dụng Bảng Phí.');
INSERT INTO `lang_definitions` VALUES (109200, 2071, 29, 'Khám');
INSERT INTO `lang_definitions` VALUES (109201, 2072, 29, 'Khám');
INSERT INTO `lang_definitions` VALUES (109202, 2073, 29, 'Lần khám');
INSERT INTO `lang_definitions` VALUES (109203, 2074, 29, 'lần khám');
INSERT INTO `lang_definitions` VALUES (109204, 2075, 29, 'Lần khám ');
INSERT INTO `lang_definitions` VALUES (109205, 2076, 29, 'gặp phải điều trị nội trú cấp tính hoặc ED');
INSERT INTO `lang_definitions` VALUES (109206, 2081, 29, 'Ngày Khám');
INSERT INTO `lang_definitions` VALUES (109207, 2086, 29, 'Biểu mẫu Khám');
INSERT INTO `lang_definitions` VALUES (109208, 2087, 29, 'đánh giá sức khỏe và hành vi trong lần khám');
INSERT INTO `lang_definitions` VALUES (109209, 2088, 29, 'Lịch sử Khám');
INSERT INTO `lang_definitions` VALUES (109210, 2089, 29, 'Mã Lần khám');
INSERT INTO `lang_definitions` VALUES (109211, 2090, 29, 'gặp phải cúm');
INSERT INTO `lang_definitions` VALUES (109212, 2091, 29, 'Số lượng lần khám');
INSERT INTO `lang_definitions` VALUES (109213, 2093, 29, 'gặp phải xả điều dưỡng');
INSERT INTO `lang_definitions` VALUES (109214, 2094, 29, 'gặp phải cơ sở điều dưỡng');
INSERT INTO `lang_definitions` VALUES (109215, 2095, 29, 'gặp phải lao động trị liệu');
INSERT INTO `lang_definitions` VALUES (109216, 2096, 29, 'gặp phải chuyến thăm văn phòng');
INSERT INTO `lang_definitions` VALUES (109217, 2097, 29, 'gặp phải bệnh nhân ngoại trú');
INSERT INTO `lang_definitions` VALUES (109218, 2098, 29, 'gặp phải bệnh nhân ngoại trú w / PCP & OBGYN');
INSERT INTO `lang_definitions` VALUES (109219, 2099, 29, 'Kích thước Trang Lần khám');
INSERT INTO `lang_definitions` VALUES (109220, 2100, 29, 'Thanh toán Lần khám');
INSERT INTO `lang_definitions` VALUES (109221, 2101, 29, 'gặp phải khi mang thai');
INSERT INTO `lang_definitions` VALUES (109222, 2102, 29, 'gặp y tế dự phòng - tư vấn cá nhân');
INSERT INTO `lang_definitions` VALUES (109223, 2103, 29, 'gặp phải y tế dự phòng 40 tuổi trở lên');
INSERT INTO `lang_definitions` VALUES (109224, 2104, 29, 'gặp phải tư vấn nhóm thuốc phòng ngừa');
INSERT INTO `lang_definitions` VALUES (109225, 2105, 29, 'gặp phải các dịch vụ y tế dự phòng khác');
INSERT INTO `lang_definitions` VALUES (109226, 2106, 29, 'gặp các dịch vụ y tế dự phòng 18 tuổi trở lên');
INSERT INTO `lang_definitions` VALUES (109227, 2107, 29, 'gặp phải tâm thần - tâm lý');
INSERT INTO `lang_definitions` VALUES (109228, 2108, 29, 'Thống kê lần khám');
INSERT INTO `lang_definitions` VALUES (109229, 2109, 29, 'Tóm tắt Lần khám');
INSERT INTO `lang_definitions` VALUES (109230, 2110, 29, 'Lần khám đã được mã hóa');
INSERT INTO `lang_definitions` VALUES (109231, 2111, 29, 'Lần khám:');
INSERT INTO `lang_definitions` VALUES (109232, 2112, 29, 'Gặp phải: gặp phải không inpt cấp tính, bệnh nhân ngoại trú, hoặc nhãn khoa');
INSERT INTO `lang_definitions` VALUES (109233, 2113, 29, 'Lần khám');
INSERT INTO `lang_definitions` VALUES (109234, 2114, 29, 'Lần khám & Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (109235, 2115, 29, 'Lần khám &amp; Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (109236, 2116, 29, 'Gặp không phép');
INSERT INTO `lang_definitions` VALUES (109237, 2117, 29, 'Cuộc gặp gỡ Báo cáo');
INSERT INTO `lang_definitions` VALUES (109238, 2118, 29, 'Cuộc gặp gỡ Mục');
INSERT INTO `lang_definitions` VALUES (109239, 2120, 29, 'Mã hóa');
INSERT INTO `lang_definitions` VALUES (109240, 2121, 29, 'Kết thúc');
INSERT INTO `lang_definitions` VALUES (109241, 2122, 29, 'Kết thúc (năm-tháng-ngày): ');
INSERT INTO `lang_definitions` VALUES (109242, 2123, 29, 'Ngày Kết thúc');
INSERT INTO `lang_definitions` VALUES (109243, 2124, 29, 'Ngày kết thúc');
INSERT INTO `lang_definitions` VALUES (109244, 2126, 29, 'Ngày kết thúc phải sau ngày Bắt đầu');
INSERT INTO `lang_definitions` VALUES (109245, 2127, 29, 'Ngày Kết thúc:');
INSERT INTO `lang_definitions` VALUES (109246, 2131, 29, 'Thời gian Kết thúc');
INSERT INTO `lang_definitions` VALUES (109247, 2133, 29, 'Ngày kết thúc dịch vụ năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (109248, 2134, 29, 'Kết thúc DOS mm / dd / yyyy nếu bạn muốn nhập một dải');
INSERT INTO `lang_definitions` VALUES (109249, 2135, 29, 'Kết thúc giờ trong ngày cho các sự kiện lịch.');
INSERT INTO `lang_definitions` VALUES (109250, 2136, 29, 'Endo bất thường máu');
INSERT INTO `lang_definitions` VALUES (109251, 2137, 29, 'Nội tiết');
INSERT INTO `lang_definitions` VALUES (109252, 2138, 29, 'Nội soi');
INSERT INTO `lang_definitions` VALUES (109253, 2141, 29, 'Tiếng/Người Anh');
INSERT INTO `lang_definitions` VALUES (109254, 2142, 29, 'Tiếng/Người Anh ');
INSERT INTO `lang_definitions` VALUES (109255, 2143, 29, 'Tiếng/Người Anh (Ấn Độ)');
INSERT INTO `lang_definitions` VALUES (109256, 2144, 29, 'Tiếng/Người Anh (Tiêu chuẩn)');
INSERT INTO `lang_definitions` VALUES (109257, 2145, 29, 'Enscript lệnh được sử dụng bởi Hylafax.');
INSERT INTO `lang_definitions` VALUES (109258, 2146, 29, 'Đảm bảo LibreEHR có quyền ghi vào thư mục');
INSERT INTO `lang_definitions` VALUES (109259, 2147, 29, 'ENT Discharge');
INSERT INTO `lang_definitions` VALUES (109260, 2148, 29, 'ENT Pain');
INSERT INTO `lang_definitions` VALUES (109261, 2149, 29, 'Nhập mã chẩn đoán để loại trừ tất cả các hoá đơn không chứa nó');
INSERT INTO `lang_definitions` VALUES (109262, 2151, 29, 'Nhập vào cơ thể của bức thư ở đây');
INSERT INTO `lang_definitions` VALUES (109263, 2152, 29, 'Nhập mật khẩu gốc cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (109264, 2153, 29, 'Nhập Tên đăng nhập cơ sở dữ liệu gốc');
INSERT INTO `lang_definitions` VALUES (109265, 2154, 29, 'Nhập Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (109266, 2155, 29, 'Nhập Thuốc');
INSERT INTO `lang_definitions` VALUES (109267, 2158, 29, 'Nhập Chủng ngừa');
INSERT INTO `lang_definitions` VALUES (109268, 2159, 29, 'Nhập Khóa');
INSERT INTO `lang_definitions` VALUES (109269, 2161, 29, 'Nhập Tiểu bang mới');
INSERT INTO `lang_definitions` VALUES (109270, 2164, 29, 'Nhập mã nhận dạng Re');
INSERT INTO `lang_definitions` VALUES (109271, 2165, 29, 'Nhập tiêu chí tìm kiếm của bạn ở trên');
INSERT INTO `lang_definitions` VALUES (109272, 2167, 29, 'đầu mục');
INSERT INTO `lang_definitions` VALUES (109273, 2168, 29, 'Môi trường');
INSERT INTO `lang_definitions` VALUES (109274, 2169, 29, 'EOB nhập dữ liệu');
INSERT INTO `lang_definitions` VALUES (109275, 2170, 29, 'EOB viết bài - Chuyển tiền điện tử');
INSERT INTO `lang_definitions` VALUES (109276, 2171, 29, 'EOB viết bài - Hướng dẫn');
INSERT INTO `lang_definitions` VALUES (109277, 2172, 29, 'EOB viết bài - Hóa đơn');
INSERT INTO `lang_definitions` VALUES (109278, 2173, 29, 'EOB viết bài - Lưu ý bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109279, 2174, 29, 'EOB viết bài - Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (109280, 2176, 29, 'Bệnh động kinh');
INSERT INTO `lang_definitions` VALUES (109281, 2178, 29, 'ERA');
INSERT INTO `lang_definitions` VALUES (109282, 2180, 29, 'ERA viết bài');
INSERT INTO `lang_definitions` VALUES (109283, 2181, 29, 'Xoá bỏ');
INSERT INTO `lang_definitions` VALUES (109284, 2182, 29, 'Cương cứng');
INSERT INTO `lang_definitions` VALUES (109285, 2183, 29, 'Lôi');
INSERT INTO `lang_definitions` VALUES (109286, 2185, 29, 'Lỗi xác nhận nhận được kết quả phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (109287, 2187, 29, 'Lỗi nhận được kết quả phòng thí nghiệm từ phòng thí nghiệm Exchange mạng');
INSERT INTO `lang_definitions` VALUES (109288, 2188, 29, 'Lỗi trong lựa chọn \"Giới Tính\"');
INSERT INTO `lang_definitions` VALUES (109289, 2189, 29, 'Lỗi trong lựa chọn \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (109290, 2190, 29, 'Lỗi trong lựa chọn \"Quy trình\"');
INSERT INTO `lang_definitions` VALUES (109291, 2191, 29, 'Lỗi trong lựa chọn \"SMS Gateway\"');
INSERT INTO `lang_definitions` VALUES (109292, 2192, 29, 'Lỗi trong \"Sắp xếp theo\" lựa chọn');
INSERT INTO `lang_definitions` VALUES (109293, 2193, 29, 'Lỗi trong gzip nén tập tin: ');
INSERT INTO `lang_definitions` VALUES (109294, 2194, 29, 'Lỗi trong YES hoặc NO tùy chọn');
INSERT INTO `lang_definitions` VALUES (109295, 2195, 29, 'Lỗi mở tải lên tập tin để đọc');
INSERT INTO `lang_definitions` VALUES (109296, 2199, 29, 'Lỗi khi lấy kết quả từ phòng thí nghiệm Exchange Network');
INSERT INTO `lang_definitions` VALUES (109297, 2202, 29, 'Lỗi khi cấp đặc quyền tập tin cho người sử dụng LibreEHR.');
INSERT INTO `lang_definitions` VALUES (109298, 2205, 29, 'lỗi trong khi đăng ký hình thức!');
INSERT INTO `lang_definitions` VALUES (109299, 2206, 29, 'Lỗi trong khi tiết kiệm đến tập tin');
INSERT INTO `lang_definitions` VALUES (109300, 2208, 29, 'Lỗi trong khi ghi vào tập tin');
INSERT INTO `lang_definitions` VALUES (109301, 2210, 29, 'Lỗi, các tập tin không tồn tại');
INSERT INTO `lang_definitions` VALUES (109302, 2211, 29, 'ERROR, không thể để thu thập dữ liệu từ máy chủ');
INSERT INTO `lang_definitions` VALUES (109303, 2212, 29, 'Lỗi, không thể để tạo ra chứng chỉ khách hàng.');
INSERT INTO `lang_definitions` VALUES (109304, 2213, 29, 'Lỗi, không thể tạo ra các giấy chứng nhận admin.p12.');
INSERT INTO `lang_definitions` VALUES (109305, 2214, 29, 'Lỗi, không thể tạo ra các chứng chỉ Certificate Authority.');
INSERT INTO `lang_definitions` VALUES (109306, 2215, 29, 'Lỗi, không thể tạo ra các giấy chứng nhận Server.');
INSERT INTO `lang_definitions` VALUES (109307, 2216, 29, 'Lỗi, không thể mở tập tin');
INSERT INTO `lang_definitions` VALUES (109308, 2217, 29, 'Lỗi, Giấy chứng nhận xác thực người dùng không được kích hoạt trong LibreEHR');
INSERT INTO `lang_definitions` VALUES (109309, 2218, 29, 'Lỗi. Bạn cần phải cài đặt các mô-đun Lưu Trữ / Tar.php php.');
INSERT INTO `lang_definitions` VALUES (109310, 2219, 29, 'LỖI: không thể mở table.sql, hình thức bị hỏng?');
INSERT INTO `lang_definitions` VALUES (109311, 2220, 29, 'Lỗi: ID trùng lặp trên dòng');
INSERT INTO `lang_definitions` VALUES (109312, 2221, 29, 'Lỗi: nhân đôi tên trên đường dây');
INSERT INTO `lang_definitions` VALUES (109313, 2222, 29, 'LỖI: Field');
INSERT INTO `lang_definitions` VALUES (109314, 2223, 29, 'LỖI: Thiếu mô đun ZipArchive PHP');
INSERT INTO `lang_definitions` VALUES (109315, 2224, 29, 'LỖI: Không có thư mục kết nhập ICD.');
INSERT INTO `lang_definitions` VALUES (109316, 2225, 29, 'Lỗi: mật khẩu không trùng. Xin vui lòng kiểm tra việc gõ phím của bạn.');
INSERT INTO `lang_definitions` VALUES (109317, 2226, 29, 'Lỗi: mật khẩu không trùng. Xin vui lòng kiểm tra việc gõ phím của bạn.');
INSERT INTO `lang_definitions` VALUES (109318, 2227, 29, 'Lỗi: tập tin không tồn tại');
INSERT INTO `lang_definitions` VALUES (109319, 2228, 29, 'LỖI: Biến sau đây không chứa ký tự phù hợp');
INSERT INTO `lang_definitions` VALUES (109320, 2229, 29, 'LỖI: Không thể sao chép các tập tin.');
INSERT INTO `lang_definitions` VALUES (109321, 2230, 29, 'Lỗi: Không thể để tạo ra kho lưu trữ tải về');
INSERT INTO `lang_definitions` VALUES (109322, 2231, 29, 'LỖI: Không thể Tạo Lưu trữ Zip.');
INSERT INTO `lang_definitions` VALUES (109323, 2232, 29, 'LỖI: Không thể để trích xuất các tập tin.');
INSERT INTO `lang_definitions` VALUES (109324, 2233, 29, 'LỖI: Không thể tải các tập tin vào cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (109325, 2234, 29, 'LỖI: Không thể để thiết lập số phiên bản.');
INSERT INTO `lang_definitions` VALUES (109326, 2235, 29, 'Lỗi');
INSERT INTO `lang_definitions` VALUES (109327, 2236, 29, 'Trạng thái Tài khoản eRx');
INSERT INTO `lang_definitions` VALUES (109328, 2237, 29, 'Bản ghi eRx');
INSERT INTO `lang_definitions` VALUES (109329, 2238, 29, 'Tên eRx');
INSERT INTO `lang_definitions` VALUES (109330, 2239, 29, 'Mật khẩu ERX');
INSERT INTO `lang_definitions` VALUES (109331, 2240, 29, 'Vai trò ERX');
INSERT INTO `lang_definitions` VALUES (109332, 2241, 29, 'Người dùng ERX');
INSERT INTO `lang_definitions` VALUES (109333, 2242, 29, 'Ban đỏ:');
INSERT INTO `lang_definitions` VALUES (109334, 2245, 29, 'Vùng bắc cực');
INSERT INTO `lang_definitions` VALUES (109335, 2247, 29, 'Bệnh nhân Cũ');
INSERT INTO `lang_definitions` VALUES (109336, 2249, 29, 'Dân tộc');
INSERT INTO `lang_definitions` VALUES (109337, 2250, 29, 'Dân tộc hay chủng tộc');
INSERT INTO `lang_definitions` VALUES (109338, 2251, 29, 'Danh sách Dân tộc-Chủng tộc (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (109339, 2252, 29, 'ETIN');
INSERT INTO `lang_definitions` VALUES (109340, 2253, 29, 'Sự kiện');
INSERT INTO `lang_definitions` VALUES (109341, 2254, 29, 'Sự kiện Bắt đầu');
INSERT INTO `lang_definitions` VALUES (109342, 2255, 29, 'Thể loại Sự kiện');
INSERT INTO `lang_definitions` VALUES (109343, 2256, 29, 'Ngày Sự kiện');
INSERT INTO `lang_definitions` VALUES (109344, 2257, 29, 'Mô tả Sự kiện');
INSERT INTO `lang_definitions` VALUES (109345, 2258, 29, 'Chi tiết Sự kiện');
INSERT INTO `lang_definitions` VALUES (109346, 2259, 29, 'Không lặp lại sự kiện');
INSERT INTO `lang_definitions` VALUES (109347, 2260, 29, 'Thời gian của Sự kiện');
INSERT INTO `lang_definitions` VALUES (109348, 2261, 29, 'Thời gian của sự kiện theo phút');
INSERT INTO `lang_definitions` VALUES (109349, 2262, 29, 'Phí của Sự kiện');
INSERT INTO `lang_definitions` VALUES (109350, 2263, 29, 'Địa điểm của Sự kiện');
INSERT INTO `lang_definitions` VALUES (109351, 2264, 29, 'Lặp lại sự kiện mỗi');
INSERT INTO `lang_definitions` VALUES (109352, 2265, 29, 'Lặp lại sự kiện vào');
INSERT INTO `lang_definitions` VALUES (109353, 2266, 29, 'Thời gian bắt đầu sự kiện');
INSERT INTO `lang_definitions` VALUES (109354, 2267, 29, 'Tiêu đề sự kiện');
INSERT INTO `lang_definitions` VALUES (109355, 2268, 29, 'Tiêu đề Sự kiện');
INSERT INTO `lang_definitions` VALUES (109356, 2269, 29, 'Trang web Sự kiện');
INSERT INTO `lang_definitions` VALUES (109357, 2270, 29, 'Sự kiện');
INSERT INTO `lang_definitions` VALUES (109358, 2271, 29, 'Sự kiện của');
INSERT INTO `lang_definitions` VALUES (109359, 2272, 29, 'Mở sự kiện trong cửa sổ mới');
INSERT INTO `lang_definitions` VALUES (109360, 2273, 29, 'mỗi');
INSERT INTO `lang_definitions` VALUES (109361, 2274, 29, 'Mỗi');
INSERT INTO `lang_definitions` VALUES (109362, 2275, 29, 'mỗi 3 giờ');
INSERT INTO `lang_definitions` VALUES (109363, 2276, 29, 'mỗi 4 giờ');
INSERT INTO `lang_definitions` VALUES (109364, 2277, 29, 'mỗi 5 giờ');
INSERT INTO `lang_definitions` VALUES (109365, 2278, 29, 'mỗi 6 giờ');
INSERT INTO `lang_definitions` VALUES (109366, 2279, 29, 'mỗi 8 giờ');
INSERT INTO `lang_definitions` VALUES (109367, 2280, 29, 'Mỗi Thứ tư');
INSERT INTO `lang_definitions` VALUES (109368, 2281, 29, 'Mỗi vật');
INSERT INTO `lang_definitions` VALUES (109369, 2282, 29, 'Mỗi Thứ ba');
INSERT INTO `lang_definitions` VALUES (109370, 2283, 29, 'Mỗi, mỗi khác, mỗi thứ 3, vv');
INSERT INTO `lang_definitions` VALUES (109371, 2285, 29, 'Kết quả kiểm tra và thử');
INSERT INTO `lang_definitions` VALUES (109372, 2286, 29, 'Kết quả kiểm tra');
INSERT INTO `lang_definitions` VALUES (109373, 2289, 29, 'Kiểm tra');
INSERT INTO `lang_definitions` VALUES (109374, 2290, 29, 'Ngày Kiểm tra');
INSERT INTO `lang_definitions` VALUES (109375, 2291, 29, 'Ví dụ');
INSERT INTO `lang_definitions` VALUES (109376, 2292, 29, 'Ví dụ');
INSERT INTO `lang_definitions` VALUES (109377, 2293, 29, 'Kiểm tra / Xét nghiệm');
INSERT INTO `lang_definitions` VALUES (109378, 2294, 29, 'Loại trừ');
INSERT INTO `lang_definitions` VALUES (109379, 2295, 29, 'Chảy nước mắt sống');
INSERT INTO `lang_definitions` VALUES (109380, 2296, 29, 'Loại trừ bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109381, 2297, 29, 'Loại trừ');
INSERT INTO `lang_definitions` VALUES (109382, 2298, 29, 'Tổ chức độc quyền cung cấp (EPO)');
INSERT INTO `lang_definitions` VALUES (109383, 2299, 29, 'Cỡ Giấy Điều hành (Executive)');
INSERT INTO `lang_definitions` VALUES (109384, 2300, 29, 'Tập thể dục');
INSERT INTO `lang_definitions` VALUES (109385, 2301, 29, 'Cách Tập thể dục');
INSERT INTO `lang_definitions` VALUES (109386, 2302, 29, 'Cách tập thể dục');
INSERT INTO `lang_definitions` VALUES (109387, 2303, 29, 'Tồn tại');
INSERT INTO `lang_definitions` VALUES (109388, 2304, 29, 'Thoát khỏi Quản lý');
INSERT INTO `lang_definitions` VALUES (109389, 2305, 29, 'Exp');
INSERT INTO `lang_definitions` VALUES (109390, 2306, 29, 'Mở rộng');
INSERT INTO `lang_definitions` VALUES (109391, 2307, 29, 'mở rộng');
INSERT INTO `lang_definitions` VALUES (109392, 2308, 29, 'Mở rộng tất cả');
INSERT INTO `lang_definitions` VALUES (109393, 2311, 29, 'Mở rộng Xem');
INSERT INTO `lang_definitions` VALUES (109394, 2312, 29, 'Dự kiến ​​form_encounter.pid được ');
INSERT INTO `lang_definitions` VALUES (109395, 2313, 29, 'Hết hạn');
INSERT INTO `lang_definitions` VALUES (109396, 2314, 29, 'Ngày hết hạn');
INSERT INTO `lang_definitions` VALUES (109397, 2315, 29, 'Ngày hết hạn');
INSERT INTO `lang_definitions` VALUES (109398, 2316, 29, 'hết hiệu lực vào');
INSERT INTO `lang_definitions` VALUES (109399, 2317, 29, 'Kết xuất');
INSERT INTO `lang_definitions` VALUES (109400, 2318, 29, 'Kết xuất như CSV');
INSERT INTO `lang_definitions` VALUES (109401, 2319, 29, 'Kết xuất Cấu hình');
INSERT INTO `lang_definitions` VALUES (109402, 2322, 29, 'Kết xuất Thông tin cá nhân của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109403, 2323, 29, 'Báo cáo Kết xuất PQRI');
INSERT INTO `lang_definitions` VALUES (109404, 2325, 29, 'Kết xuất các mục được chọn theo dạng CSV');
INSERT INTO `lang_definitions` VALUES (109405, 2326, 29, 'Xuất khẩu được lựa chọn để Bộ sưu tập');
INSERT INTO `lang_definitions` VALUES (109406, 2327, 29, 'Xuất khẩu để CSV');
INSERT INTO `lang_definitions` VALUES (109407, 2328, 29, 'Xuất khẩu sang hệ thống thanh toán bên ngoài');
INSERT INTO `lang_definitions` VALUES (109408, 2329, 29, 'Tiếp xúc với nước ngoài');
INSERT INTO `lang_definitions` VALUES (109409, 2330, 29, 'Tiếp xúc nước ngoài');
INSERT INTO `lang_definitions` VALUES (109410, 2331, 29, 'Ext Thời gian thu thập');
INSERT INTO `lang_definitions` VALUES (109411, 2332, 29, 'Bên ngoài');
INSERT INTO `lang_definitions` VALUES (109412, 2334, 29, 'Tải Dữ liệu Bên ngoài');
INSERT INTO `lang_definitions` VALUES (109413, 2335, 29, 'Công cụ Kết nhập Cơ sở dữ liệu Bên ngoài');
INSERT INTO `lang_definitions` VALUES (109414, 2336, 29, 'Số CMND/Hộ chiếu');
INSERT INTO `lang_definitions` VALUES (109415, 2337, 29, 'Số CMND/Hộ chiếu');
INSERT INTO `lang_definitions` VALUES (109416, 2338, 29, 'Số CMND/Hộ chiếu');
INSERT INTO `lang_definitions` VALUES (109417, 2339, 29, 'Chỉ hiện Bên ngoài');
INSERT INTO `lang_definitions` VALUES (109418, 2342, 29, 'Bên ngoài Giới thiệu');
INSERT INTO `lang_definitions` VALUES (109419, 2343, 29, 'Bên ngoài Giới thiệu Theo dõi');
INSERT INTO `lang_definitions` VALUES (109420, 2344, 29, 'Bên ngoài giới thiệu?');
INSERT INTO `lang_definitions` VALUES (109421, 2345, 29, 'Bên ngoài Giới thiệu');
INSERT INTO `lang_definitions` VALUES (109422, 2346, 29, 'Giải nén tập tin zip');
INSERT INTO `lang_definitions` VALUES (109423, 2347, 29, 'Đang giải nén tập tin đó. Việc này cần một ít thời gian...');
INSERT INTO `lang_definitions` VALUES (109424, 2348, 29, 'Dịch rỉ:');
INSERT INTO `lang_definitions` VALUES (109425, 2349, 29, 'Eye kích thích');
INSERT INTO `lang_definitions` VALUES (109426, 2350, 29, 'Mắt đau');
INSERT INTO `lang_definitions` VALUES (109427, 2351, 29, 'Mắt đỏ');
INSERT INTO `lang_definitions` VALUES (109428, 2352, 29, 'Mắt');
INSERT INTO `lang_definitions` VALUES (109429, 2353, 29, 'F');
INSERT INTO `lang_definitions` VALUES (109430, 2354, 29, 'F / H máu vấn đề');
INSERT INTO `lang_definitions` VALUES (109431, 2355, 29, 'F / H Nữ rậm lông / striae');
INSERT INTO `lang_definitions` VALUES (109432, 2356, 29, 'Các cơ sở');
INSERT INTO `lang_definitions` VALUES (109433, 2357, 29, 'Cơ sở');
INSERT INTO `lang_definitions` VALUES (109434, 2358, 29, 'cơ sở');
INSERT INTO `lang_definitions` VALUES (109435, 2359, 29, 'Quản trị Cơ sở');
INSERT INTO `lang_definitions` VALUES (109436, 2360, 29, 'Thành phố của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109437, 2361, 29, 'Mã của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109438, 2362, 29, 'Mã Quốc gia của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109439, 2363, 29, 'Fax của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109440, 2364, 29, 'Tên Cơ sở');
INSERT INTO `lang_definitions` VALUES (109441, 2365, 29, 'NPI của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109442, 2366, 29, 'Điện thoại Cơ sở');
INSERT INTO `lang_definitions` VALUES (109443, 2367, 29, 'Thông tin Người dùng Riêng cho Cơ sở');
INSERT INTO `lang_definitions` VALUES (109444, 2368, 29, 'Tiểu bang của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109445, 2369, 29, 'Đường của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109446, 2370, 29, 'Mã Zip của Cơ sở');
INSERT INTO `lang_definitions` VALUES (109447, 2372, 29, 'Cơ sở:');
INSERT INTO `lang_definitions` VALUES (109448, 2373, 29, 'HƯ HỎNG');
INSERT INTO `lang_definitions` VALUES (109449, 2374, 29, 'đã hỏng');
INSERT INTO `lang_definitions` VALUES (109450, 2375, 29, 'Đã hỏng');
INSERT INTO `lang_definitions` VALUES (109451, 2380, 29, 'Không thể tạo thư mục tạm. CouchDB sẽ không làm việc được.');
INSERT INTO `lang_definitions` VALUES (109452, 2382, 29, 'Đã hỏng.');
INSERT INTO `lang_definitions` VALUES (109453, 2383, 29, 'thất bại');
INSERT INTO `lang_definitions` VALUES (109454, 2390, 29, 'Lịch sử Gia đình');
INSERT INTO `lang_definitions` VALUES (109455, 2391, 29, 'Lịch sử Gia đình của Bệnh tăng nhãn áp');
INSERT INTO `lang_definitions` VALUES (109456, 2392, 29, 'Lịch sử Gia đình:');
INSERT INTO `lang_definitions` VALUES (109457, 2394, 29, 'Gia đình Thanh toán');
INSERT INTO `lang_definitions` VALUES (109458, 2395, 29, 'Số người trong Gia Đình');
INSERT INTO `lang_definitions` VALUES (109459, 2396, 29, 'Đầy màu sắc');
INSERT INTO `lang_definitions` VALUES (109460, 2398, 29, 'Tiếng Farsi');
INSERT INTO `lang_definitions` VALUES (109461, 2400, 29, 'Cha');
INSERT INTO `lang_definitions` VALUES (109462, 2402, 29, 'Mệt mỏi');
INSERT INTO `lang_definitions` VALUES (109463, 2403, 29, 'mệt mỏi');
INSERT INTO `lang_definitions` VALUES (109464, 2404, 29, 'Fax');
INSERT INTO `lang_definitions` VALUES (109465, 2405, 29, 'Đếm fax');
INSERT INTO `lang_definitions` VALUES (109466, 2406, 29, 'Số fax');
INSERT INTO `lang_definitions` VALUES (109467, 2408, 29, 'Fax / Quét');
INSERT INTO `lang_definitions` VALUES (109468, 2409, 29, 'Fax Đến');
INSERT INTO `lang_definitions` VALUES (109469, 2410, 29, 'Fax Đi');
INSERT INTO `lang_definitions` VALUES (109470, 2411, 29, 'Các tính năng');
INSERT INTO `lang_definitions` VALUES (109471, 2412, 29, 'Tháng Hai');
INSERT INTO `lang_definitions` VALUES (109472, 2413, 29, 'Tháng Hai');
INSERT INTO `lang_definitions` VALUES (109473, 2414, 29, 'FECA');
INSERT INTO `lang_definitions` VALUES (109474, 2415, 29, 'Mã Thuốc Liên bang');
INSERT INTO `lang_definitions` VALUES (109475, 2416, 29, 'EIN Liên bang');
INSERT INTO `lang_definitions` VALUES (109476, 2417, 29, 'Mã Thuế Liên bang');
INSERT INTO `lang_definitions` VALUES (109477, 2418, 29, 'Phí');
INSERT INTO `lang_definitions` VALUES (109478, 2419, 29, 'phí');
INSERT INTO `lang_definitions` VALUES (109479, 2420, 29, 'Không cho phép tính phí');
INSERT INTO `lang_definitions` VALUES (109480, 2421, 29, 'Bảng Phí');
INSERT INTO `lang_definitions` VALUES (109481, 2422, 29, 'Tùy chọn Bảng Phí');
INSERT INTO `lang_definitions` VALUES (109482, 2423, 29, 'Phí');
INSERT INTO `lang_definitions` VALUES (109483, 2424, 29, 'Nữ');
INSERT INTO `lang_definitions` VALUES (109484, 2425, 29, 'Nữ AP');
INSERT INTO `lang_definitions` VALUES (109485, 2426, 29, 'Nữ Bao cao su');
INSERT INTO `lang_definitions` VALUES (109486, 2427, 29, 'Nữ G');
INSERT INTO `lang_definitions` VALUES (109487, 2428, 29, 'Nữ LC');
INSERT INTO `lang_definitions` VALUES (109488, 2429, 29, 'Nữ P');
INSERT INTO `lang_definitions` VALUES (109489, 2430, 29, 'Nữ triệu chứng');
INSERT INTO `lang_definitions` VALUES (109490, 2431, 29, 'Nữ VSC');
INSERT INTO `lang_definitions` VALUES (109491, 2434, 29, 'sốt');
INSERT INTO `lang_definitions` VALUES (109492, 2435, 29, 'sốt:');
INSERT INTO `lang_definitions` VALUES (109493, 2436, 29, 'FH máu vấn đề');
INSERT INTO `lang_definitions` VALUES (109494, 2437, 29, 'u xơ tử cung');
INSERT INTO `lang_definitions` VALUES (109495, 2441, 29, 'Loại thông tin để sử dụng cho quốc gia của người sử dụng lao động hoặc người đăng ký trong phần thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (109496, 2442, 29, 'Loại thông tin để sử dụng cho tiểu bang của người sử dụng lao động hoặc người đăng ký trong phần thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (109497, 2443, 29, 'Đang thiếu ô nhập!');
INSERT INTO `lang_definitions` VALUES (109498, 2447, 29, 'Tập tin');
INSERT INTO `lang_definitions` VALUES (109499, 2448, 29, 'trong thư mục Tài liệu để tìm hiểu làm thế nào để tự động hoá quá trình tạo bản sao lưu nhật ký');
INSERT INTO `lang_definitions` VALUES (109500, 2449, 29, 'vị trí tập tin');
INSERT INTO `lang_definitions` VALUES (109501, 2450, 29, 'Quản lý tập tin');
INSERT INTO `lang_definitions` VALUES (109502, 2453, 29, 'Đã gán quyền truy cập hồ sơ cho người sử dụng LibreEHR.');
INSERT INTO `lang_definitions` VALUES (109503, 2454, 29, 'Việc lấy tập tin về từ CouchDB đã thất bại');
INSERT INTO `lang_definitions` VALUES (109504, 2455, 29, 'Phòng Hồ sơ');
INSERT INTO `lang_definitions` VALUES (109505, 2456, 29, 'Tập tin để tải lên');
INSERT INTO `lang_definitions` VALUES (109506, 2458, 29, 'Tập tin có cùng tên đã tồn tại tại vị trí:');
INSERT INTO `lang_definitions` VALUES (109507, 2459, 29, 'tên tập tin');
INSERT INTO `lang_definitions` VALUES (109508, 2461, 29, 'các tập tin');
INSERT INTO `lang_definitions` VALUES (109509, 2462, 29, 'Philippines');
INSERT INTO `lang_definitions` VALUES (109510, 2463, 29, 'Điền vào bất kỳ của Row Dưới đây.');
INSERT INTO `lang_definitions` VALUES (109511, 2464, 29, 'Điền ở đây chỉ khi gửi email thông báo cho bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109512, 2465, 29, 'Điền vào các giá trị dưới đây');
INSERT INTO `lang_definitions` VALUES (109513, 2467, 29, 'Điền vào Row.');
INSERT INTO `lang_definitions` VALUES (109514, 2468, 29, 'Lọc');
INSERT INTO `lang_definitions` VALUES (109515, 2469, 29, 'Lọc cho hằng số');
INSERT INTO `lang_definitions` VALUES (109516, 2470, 29, 'Lọc cho các định nghĩa');
INSERT INTO `lang_definitions` VALUES (109517, 2471, 29, 'đã lọc từ');
INSERT INTO `lang_definitions` VALUES (109518, 2472, 29, 'bộ lọc');
INSERT INTO `lang_definitions` VALUES (109519, 2473, 29, 'Bộ lọc');
INSERT INTO `lang_definitions` VALUES (109520, 2474, 29, 'Cuối cùng');
INSERT INTO `lang_definitions` VALUES (109521, 2475, 29, 'Chẩn đoán Cuối cùng');
INSERT INTO `lang_definitions` VALUES (109522, 2476, 29, 'Chẩn đoán cuối cùng của chuyên gia');
INSERT INTO `lang_definitions` VALUES (109523, 2478, 29, 'Tài chính');
INSERT INTO `lang_definitions` VALUES (109524, 2479, 29, 'Ngày Kết sổ Tài chính (năm-tháng-ngày)');
INSERT INTO `lang_definitions` VALUES (109525, 2480, 29, 'Báo cáo Tài chính - bất cứ điều gì');
INSERT INTO `lang_definitions` VALUES (109526, 2481, 29, 'Báo cáo Tài chính - cuộc gặp gỡ của tôi');
INSERT INTO `lang_definitions` VALUES (109527, 2482, 29, 'Ngày Xem xét Tài chính');
INSERT INTO `lang_definitions` VALUES (109528, 2483, 29, 'Tổng kết Tài chính theo Mã Dịch vụ');
INSERT INTO `lang_definitions` VALUES (109529, 2484, 29, 'Tìm');
INSERT INTO `lang_definitions` VALUES (109530, 2485, 29, 'Tìm Giờ trống');
INSERT INTO `lang_definitions` VALUES (109531, 2486, 29, 'Tìm Cuộc hẹn Hiện có');
INSERT INTO `lang_definitions` VALUES (109532, 2487, 29, 'Tìm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109533, 2488, 29, 'Tìm Vật liệu Giáo dục Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109534, 2489, 29, 'Những phát hiện');
INSERT INTO `lang_definitions` VALUES (109535, 2490, 29, 'Những phát hiện bởi chuyên gia');
INSERT INTO `lang_definitions` VALUES (109536, 2491, 29, 'Mỹ');
INSERT INTO `lang_definitions` VALUES (109537, 2492, 29, 'Kết thúc Thanh toán');
INSERT INTO `lang_definitions` VALUES (109538, 2493, 29, 'đã kết thúc');
INSERT INTO `lang_definitions` VALUES (109539, 2495, 29, 'Lần đầu tiên');
INSERT INTO `lang_definitions` VALUES (109540, 2497, 29, 'Ngày đầu tiên trong tuần');
INSERT INTO `lang_definitions` VALUES (109541, 2498, 29, 'Tên');
INSERT INTO `lang_definitions` VALUES (109542, 2499, 29, 'Tên');
INSERT INTO `lang_definitions` VALUES (109543, 2500, 29, 'Tên:');
INSERT INTO `lang_definitions` VALUES (109544, 2503, 29, 'Thể hình');
INSERT INTO `lang_definitions` VALUES (109545, 2504, 29, 'Thể hình Cấp');
INSERT INTO `lang_definitions` VALUES (109546, 2505, 29, 'Phòng tập thể dục cấp cho máy nghe nhạc này vào ngày này');
INSERT INTO `lang_definitions` VALUES (109547, 2507, 29, 'Phòng tập thể dục để chơi');
INSERT INTO `lang_definitions` VALUES (109548, 2508, 29, 'Sửa chữa gặp phải ngày nào gặp');
INSERT INTO `lang_definitions` VALUES (109549, 2509, 29, 'Sửa lỗi này');
INSERT INTO `lang_definitions` VALUES (109550, 2510, 29, 'FL');
INSERT INTO `lang_definitions` VALUES (109551, 2511, 29, 'đầy hơi');
INSERT INTO `lang_definitions` VALUES (109552, 2512, 29, 'dòng chảy');
INSERT INTO `lang_definitions` VALUES (109553, 2514, 29, 'mùa cúm');
INSERT INTO `lang_definitions` VALUES (109554, 2515, 29, 'Mùa Cúm');
INSERT INTO `lang_definitions` VALUES (109555, 2516, 29, 'cúm tiêm phòng vắc xin');
INSERT INTO `lang_definitions` VALUES (109556, 2517, 29, 'Vấn đề chất lỏng và chất điện phân');
INSERT INTO `lang_definitions` VALUES (109557, 2518, 29, 'FMS');
INSERT INTO `lang_definitions` VALUES (109558, 2519, 29, 'Cỡ Giấy Sổ (Folio)');
INSERT INTO `lang_definitions` VALUES (109559, 2520, 29, 'Thực hiện theo cách thủ công');
INSERT INTO `lang_definitions` VALUES (109560, 2521, 29, 'Theo các chỉ dẫn này để cài đặt hay nâng cấp cơ sở dữ liệu sau đây');
INSERT INTO `lang_definitions` VALUES (109561, 2522, 29, 'Theo Sát');
INSERT INTO `lang_definitions` VALUES (109562, 2524, 29, 'Lý do Theo Sát');
INSERT INTO `lang_definitions` VALUES (109563, 2525, 29, 'Sau đây là một tùy chỉnh mới liên tục:');
INSERT INTO `lang_definitions` VALUES (109564, 2526, 29, 'Sau đây là một ngôn ngữ tùy chỉnh mới:');
INSERT INTO `lang_definitions` VALUES (109565, 2527, 29, 'Sau đây là một định nghĩa mới (Ngôn ngữ, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (109566, 2529, 29, 'Dịch vụ Theo sát');
INSERT INTO `lang_definitions` VALUES (109567, 2530, 29, 'Chỉ định Theo sát');
INSERT INTO `lang_definitions` VALUES (109568, 2531, 29, 'Thực phẩm không chịu được');
INSERT INTO `lang_definitions` VALUES (109569, 2532, 29, 'chân');
INSERT INTO `lang_definitions` VALUES (109570, 2533, 29, 'Các vấn đề về chân');
INSERT INTO `lang_definitions` VALUES (109571, 2534, 29, 'Chân:');
INSERT INTO `lang_definitions` VALUES (109572, 2535, 29, 'Chấn thương do Bóng đá');
INSERT INTO `lang_definitions` VALUES (109573, 2536, 29, 'Chấn thương do Bóng đá');
INSERT INTO `lang_definitions` VALUES (109574, 2537, 29, 'Báo cáo Chấn thương do Bóng đá');
INSERT INTO `lang_definitions` VALUES (109575, 2538, 29, 'Loại Giày dép');
INSERT INTO `lang_definitions` VALUES (109576, 2539, 29, 'cho');
INSERT INTO `lang_definitions` VALUES (109577, 2540, 29, 'Đối với');
INSERT INTO `lang_definitions` VALUES (109578, 2541, 29, 'Đối với các mã');
INSERT INTO `lang_definitions` VALUES (109579, 2543, 29, 'Khiếu nại Encounter');
INSERT INTO `lang_definitions` VALUES (109580, 2544, 29, 'Ví dụ:');
INSERT INTO `lang_definitions` VALUES (109581, 2547, 29, 'cho Hóa đơn');
INSERT INTO `lang_definitions` VALUES (109582, 2548, 29, 'Đối với Medicare chỉ, buộc các nhà cung cấp đề cập đến là tương tự như các nhà cung cấp vẽ.');
INSERT INTO `lang_definitions` VALUES (109583, 2552, 29, 'Đối với Tổ chức Referred / học viên');
INSERT INTO `lang_definitions` VALUES (109584, 2553, 29, 'Đối với quá khứ');
INSERT INTO `lang_definitions` VALUES (109585, 2554, 29, 'cho biến');
INSERT INTO `lang_definitions` VALUES (109586, 2555, 29, 'cho:');
INSERT INTO `lang_definitions` VALUES (109587, 2556, 29, 'Buộc Mở Thành phần Hóa đơn');
INSERT INTO `lang_definitions` VALUES (109588, 2557, 29, 'Buộc Tạo Bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (109589, 2559, 29, 'cẳng tay');
INSERT INTO `lang_definitions` VALUES (109590, 2560, 29, 'Dạng');
INSERT INTO `lang_definitions` VALUES (109591, 2561, 29, 'dạng');
INSERT INTO `lang_definitions` VALUES (109592, 2564, 29, 'Định dạng');
INSERT INTO `lang_definitions` VALUES (109593, 2565, 29, 'định dạng');
INSERT INTO `lang_definitions` VALUES (109594, 2567, 29, 'Định dạng không chính xác cho NDC');
INSERT INTO `lang_definitions` VALUES (109595, 2568, 29, 'Định dạng được sử dụng để hiển thị hầu hết các ngày.');
INSERT INTO `lang_definitions` VALUES (109596, 2569, 29, 'Định dạng được sử dụng để hiển thị hầu hết các thời gian.');
INSERT INTO `lang_definitions` VALUES (109597, 2570, 29, 'Báo cáo đã Định dạng');
INSERT INTO `lang_definitions` VALUES (109598, 2571, 29, 'Đã từng hút thuốc');
INSERT INTO `lang_definitions` VALUES (109599, 2572, 29, 'Các biểu mẫu');
INSERT INTO `lang_definitions` VALUES (109600, 2573, 29, 'Quản trị Các biểu mẫu');
INSERT INTO `lang_definitions` VALUES (109601, 2575, 29, 'Chuyển tiếp');
INSERT INTO `lang_definitions` VALUES (109602, 2576, 29, 'Chuyển tiếp Các trang bằng Fax');
INSERT INTO `lang_definitions` VALUES (109603, 2577, 29, 'Đã chuyển tiếp');
INSERT INTO `lang_definitions` VALUES (109604, 2579, 29, 'Thứ tư');
INSERT INTO `lang_definitions` VALUES (109605, 2581, 29, 'gay xương');
INSERT INTO `lang_definitions` VALUES (109606, 2582, 29, 'Gãy xương ở các Navicula');
INSERT INTO `lang_definitions` VALUES (109607, 2583, 29, 'Gãy xương mắt cá bên');
INSERT INTO `lang_definitions` VALUES (109608, 2584, 29, 'Gãy xương mắt cá trung gian');
INSERT INTO `lang_definitions` VALUES (109609, 2585, 29, 'Gãy xương, cơ sở thứ năm (5) xương bàn chân');
INSERT INTO `lang_definitions` VALUES (109610, 2587, 29, 'Tiếng Pháp');
INSERT INTO `lang_definitions` VALUES (109611, 2588, 29, 'Tiếng Pháp (Canada)');
INSERT INTO `lang_definitions` VALUES (109612, 2589, 29, 'Tiếng Pháp (Chuẩn)');
INSERT INTO `lang_definitions` VALUES (109613, 2590, 29, 'tần số');
INSERT INTO `lang_definitions` VALUES (109614, 2591, 29, 'thường xuyên cảm lạnh');
INSERT INTO `lang_definitions` VALUES (109615, 2592, 29, 'thường xuyên bệnh tật');
INSERT INTO `lang_definitions` VALUES (109616, 2593, 29, 'Thứ 6');
INSERT INTO `lang_definitions` VALUES (109617, 2594, 29, 'Thứ Sáu');
INSERT INTO `lang_definitions` VALUES (109618, 2595, 29, 'Từ');
INSERT INTO `lang_definitions` VALUES (109619, 2596, 29, 'TỪ');
INSERT INTO `lang_definitions` VALUES (109620, 2597, 29, 'từ');
INSERT INTO `lang_definitions` VALUES (109621, 2598, 29, 'Từ ngày không được lớn hơn Đến ngày.');
INSERT INTO `lang_definitions` VALUES (109622, 2599, 29, 'từ:');
INSERT INTO `lang_definitions` VALUES (109623, 2600, 29, 'từ: ');
INSERT INTO `lang_definitions` VALUES (109624, 2601, 29, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (109625, 2603, 29, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (109626, 2604, 29, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (109627, 2605, 29, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (109628, 2607, 29, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (109629, 2608, 29, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (109630, 2609, 29, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (109631, 2610, 29, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (109632, 2611, 29, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (109633, 2612, 29, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (109634, 2613, 29, 'Nhận Bệnh');
INSERT INTO `lang_definitions` VALUES (109635, 2614, 29, 'Giấy biên nhận Nhận Bệnh');
INSERT INTO `lang_definitions` VALUES (109636, 2615, 29, 'Báo cáo Giấy biên nhận Nhận Bệnh');
INSERT INTO `lang_definitions` VALUES (109637, 2616, 29, 'Mặt trận Rec');
INSERT INTO `lang_definitions` VALUES (109638, 2617, 29, 'Trán phải:');
INSERT INTO `lang_definitions` VALUES (109639, 2619, 29, 'Tên đầy đủ');
INSERT INTO `lang_definitions` VALUES (109640, 2620, 29, 'Đường dẫn đầy đủ đến thư mục chứa MySQL thực thi.');
INSERT INTO `lang_definitions` VALUES (109641, 2621, 29, 'Đường dẫn đầy đủ đến thư mục có chứa file thực thi Perl.');
INSERT INTO `lang_definitions` VALUES (109642, 2622, 29, 'Đường dẫn đầy đủ đến thư mục sao lưu bản ghi sự kiện.');
INSERT INTO `lang_definitions` VALUES (109643, 2623, 29, 'Đường dẫn đầy đủ đến thư mục được sử dụng cho các tập tin tạm thời.');
INSERT INTO `lang_definitions` VALUES (109644, 2624, 29, 'Full chơi');
INSERT INTO `lang_definitions` VALUES (109645, 2625, 29, 'Full Đào tạo');
INSERT INTO `lang_definitions` VALUES (109646, 2626, 29, 'Được thanh toán đầy đủ');
INSERT INTO `lang_definitions` VALUES (109647, 2633, 29, 'G');
INSERT INTO `lang_definitions` VALUES (109648, 2634, 29, 'G / DL');
INSERT INTO `lang_definitions` VALUES (109649, 2636, 29, 'Gall Bladder Điều kiện');
INSERT INTO `lang_definitions` VALUES (109650, 2637, 29, 'Gall Stones');
INSERT INTO `lang_definitions` VALUES (109651, 2638, 29, 'Trò chơi Thời gian');
INSERT INTO `lang_definitions` VALUES (109652, 2639, 29, 'Trò chơi');
INSERT INTO `lang_definitions` VALUES (109653, 2640, 29, 'Trò chơi bị bỏ lỡ');
INSERT INTO `lang_definitions` VALUES (109654, 2641, 29, 'trò chơi / sự kiện');
INSERT INTO `lang_definitions` VALUES (109655, 2642, 29, 'Trò chơi / sự kiện bị bỏ lỡ');
INSERT INTO `lang_definitions` VALUES (109656, 2644, 29, 'Vị viêm');
INSERT INTO `lang_definitions` VALUES (109657, 2645, 29, 'Dạ dày Đau');
INSERT INTO `lang_definitions` VALUES (109658, 2646, 29, 'Đường tiêu hóa');
INSERT INTO `lang_definitions` VALUES (109659, 2647, 29, 'GCAC Thống kê Báo cáo');
INSERT INTO `lang_definitions` VALUES (109660, 2648, 29, 'GCAC Thống kê');
INSERT INTO `lang_definitions` VALUES (109661, 2649, 29, 'Hình thức GCAC chuyến thăm được');
INSERT INTO `lang_definitions` VALUES (109662, 2650, 29, 'Giới Tính');
INSERT INTO `lang_definitions` VALUES (109663, 2651, 29, 'Giới Tính ');
INSERT INTO `lang_definitions` VALUES (109664, 2652, 29, 'Chung');
INSERT INTO `lang_definitions` VALUES (109665, 2655, 29, 'Dịch vụ Tổng kyø');
INSERT INTO `lang_definitions` VALUES (109666, 2657, 29, 'Tạo ra và tải về các tuyên bố CMS giấy 1500');
INSERT INTO `lang_definitions` VALUES (109667, 2658, 29, 'Tạo ra và tải về các tuyên bố giấy HCFA 1500');
INSERT INTO `lang_definitions` VALUES (109668, 2659, 29, 'Tạo ra và tải về X12 hàng loạt');
INSERT INTO `lang_definitions` VALUES (109669, 2660, 29, 'Tạo ra và tải về X12 hàng loạt cuộc gặp gỡ yêu cầu bồi thường');
INSERT INTO `lang_definitions` VALUES (109670, 2663, 29, 'Tạo ra và truyền tải quy định cho phép điện tử.');
INSERT INTO `lang_definitions` VALUES (109671, 2664, 29, 'Tạo CMS 1500');
INSERT INTO `lang_definitions` VALUES (109672, 2665, 29, 'Tạo CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (109673, 2666, 29, 'Tạo ra văn bản 1500 CMS');
INSERT INTO `lang_definitions` VALUES (109674, 2667, 29, 'Tạo HCFA');
INSERT INTO `lang_definitions` VALUES (109675, 2668, 29, 'Tạo Hóa đơn');
INSERT INTO `lang_definitions` VALUES (109676, 2669, 29, 'Tạo thư');
INSERT INTO `lang_definitions` VALUES (109677, 2670, 29, 'Tạo thư về ');
INSERT INTO `lang_definitions` VALUES (109678, 2671, 29, 'Tạo PQRI báo cáo (Phương pháp A)');
INSERT INTO `lang_definitions` VALUES (109679, 2673, 29, 'Tạo PQRI báo cáo (Phương pháp E)');
INSERT INTO `lang_definitions` VALUES (109680, 2677, 29, 'Tạo Báo cáo');
INSERT INTO `lang_definitions` VALUES (109681, 2678, 29, 'Tạo Tên đăng nhập và mật khẩu Đối với');
INSERT INTO `lang_definitions` VALUES (109682, 2679, 29, 'Tạo X12');
INSERT INTO `lang_definitions` VALUES (109683, 2680, 29, 'Tạo X12 Encounter');
INSERT INTO `lang_definitions` VALUES (109684, 2682, 29, 'Tạo ra trên');
INSERT INTO `lang_definitions` VALUES (109685, 2683, 29, 'Tạo ra');
INSERT INTO `lang_definitions` VALUES (109686, 2684, 29, 'Sinh dục');
INSERT INTO `lang_definitions` VALUES (109687, 2687, 29, 'Tiếng Đức');
INSERT INTO `lang_definitions` VALUES (109688, 2691, 29, 'Nhận HL7');
INSERT INTO `lang_definitions` VALUES (109689, 2692, 29, 'Bệnh tăng nhãn áp');
INSERT INTO `lang_definitions` VALUES (109690, 2693, 29, 'Bệnh tăng nhãn áp Lịch Sử Gia Đình');
INSERT INTO `lang_definitions` VALUES (109691, 2694, 29, 'Toàn cầu');
INSERT INTO `lang_definitions` VALUES (109692, 2696, 29, 'Toàn cầu ID');
INSERT INTO `lang_definitions` VALUES (109693, 2697, 29, 'Toàn cầu Cài đặt');
INSERT INTO `lang_definitions` VALUES (109694, 2698, 29, 'Toàn bộ');
INSERT INTO `lang_definitions` VALUES (109695, 2699, 29, 'GM / DL');
INSERT INTO `lang_definitions` VALUES (109696, 2700, 29, 'đi');
INSERT INTO `lang_definitions` VALUES (109697, 2701, 29, 'Đi');
INSERT INTO `lang_definitions` VALUES (109698, 2704, 29, 'Tới');
INSERT INTO `lang_definitions` VALUES (109699, 2705, 29, 'Tới tuần');
INSERT INTO `lang_definitions` VALUES (109700, 2706, 29, 'Go Hôm nay');
INSERT INTO `lang_definitions` VALUES (109701, 2711, 29, 'Cấp bậc của thương tích');
INSERT INTO `lang_definitions` VALUES (109702, 2712, 29, 'Lớp:');
INSERT INTO `lang_definitions` VALUES (109703, 2713, 29, 'gram');
INSERT INTO `lang_definitions` VALUES (109704, 2714, 29, 'Tổng cộng');
INSERT INTO `lang_definitions` VALUES (109705, 2715, 29, 'Lớn Tổng số');
INSERT INTO `lang_definitions` VALUES (109706, 2718, 29, 'Lập đồ thị');
INSERT INTO `lang_definitions` VALUES (109707, 2720, 29, 'Lớn hơn');
INSERT INTO `lang_definitions` VALUES (109708, 2721, 29, 'Lớn hơn hoặc bằng');
INSERT INTO `lang_definitions` VALUES (109709, 2722, 29, 'Tiếng Hy Lạp');
INSERT INTO `lang_definitions` VALUES (109710, 2724, 29, 'Nhóm');
INSERT INTO `lang_definitions` VALUES (109711, 2725, 29, 'Tên Nhóm');
INSERT INTO `lang_definitions` VALUES (109712, 2726, 29, 'Tên nhóm không được để trống');
INSERT INTO `lang_definitions` VALUES (109713, 2727, 29, 'Tên nhóm không thể bắt đầu với con số hoặc các khoảng trống');
INSERT INTO `lang_definitions` VALUES (109714, 2728, 29, 'Tên nhóm không thể bắt đầu với những con số.');
INSERT INTO `lang_definitions` VALUES (109715, 2729, 29, 'Số Nhóm');
INSERT INTO `lang_definitions` VALUES (109716, 2730, 29, 'Nhóm Thanh toán');
INSERT INTO `lang_definitions` VALUES (109717, 2731, 29, 'Nhóm:');
INSERT INTO `lang_definitions` VALUES (109718, 2732, 29, 'Tên nhóm');
INSERT INTO `lang_definitions` VALUES (109719, 2733, 29, 'Nhóm và Điều khiển Truy cập');
INSERT INTO `lang_definitions` VALUES (109720, 2734, 29, 'Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (109721, 2735, 29, 'Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (109722, 2736, 29, 'gtts (giọt)');
INSERT INTO `lang_definitions` VALUES (109723, 2737, 29, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (109724, 2739, 29, 'Tên người giám hộ');
INSERT INTO `lang_definitions` VALUES (109725, 2741, 29, 'Phụ khoa thi');
INSERT INTO `lang_definitions` VALUES (109726, 2742, 29, 'giờ');
INSERT INTO `lang_definitions` VALUES (109727, 2743, 29, 'trước khi ngủ');
INSERT INTO `lang_definitions` VALUES (109728, 2744, 29, 'H / O Viêm gan');
INSERT INTO `lang_definitions` VALUES (109729, 2745, 29, 'đã được xoá thành công. Bất kỳ loại phụ hiện nay nếu được di chuyển dưới đây');
INSERT INTO `lang_definitions` VALUES (109730, 2746, 29, 'Haematoma / bầm tím');
INSERT INTO `lang_definitions` VALUES (109731, 2747, 29, 'HAI Status');
INSERT INTO `lang_definitions` VALUES (109732, 2750, 29, 'Tay + ngón tay');
INSERT INTO `lang_definitions` VALUES (109733, 2751, 29, 'Vấn đề với Tay');
INSERT INTO `lang_definitions` VALUES (109734, 2752, 29, 'Ổ đĩa Cứng');
INSERT INTO `lang_definitions` VALUES (109735, 2753, 29, 'Khó khăn w / o');
INSERT INTO `lang_definitions` VALUES (109736, 2754, 29, 'đã được liên kết với lần đến khám');
INSERT INTO `lang_definitions` VALUES (109737, 2755, 29, 'đã hết hạn');
INSERT INTO `lang_definitions` VALUES (109738, 2756, 29, 'Mã băm (Hash)');
INSERT INTO `lang_definitions` VALUES (109739, 2757, 29, 'Không tồn tại mã băm (hash) cho tập tin này. Đã tạo mã băm mới.');
INSERT INTO `lang_definitions` VALUES (109740, 2758, 29, 'Mã băm (Hash) không phù hợp. Tính toàn vẹn dữ liệu đã bị vi phạm.');
INSERT INTO `lang_definitions` VALUES (109741, 2760, 29, 'Tiếng Hawai');
INSERT INTO `lang_definitions` VALUES (109742, 2761, 29, 'Hoạt động Nguy hại');
INSERT INTO `lang_definitions` VALUES (109743, 2762, 29, 'Hoạt động nguy hại');
INSERT INTO `lang_definitions` VALUES (109744, 2763, 29, 'HCFA lề trái tại các điểm');
INSERT INTO `lang_definitions` VALUES (109745, 2764, 29, 'HCFA Lợi nhuận');
INSERT INTO `lang_definitions` VALUES (109746, 2765, 29, 'HCFA trên lề trong điểm');
INSERT INTO `lang_definitions` VALUES (109747, 2766, 29, 'Thủ tục / Dịch vụ HCPCS');
INSERT INTO `lang_definitions` VALUES (109748, 2767, 29, 'he PostCalendar ');
INSERT INTO `lang_definitions` VALUES (109749, 2768, 29, 'Đầu');
INSERT INTO `lang_definitions` VALUES (109750, 2769, 29, 'CV Đầu');
INSERT INTO `lang_definitions` VALUES (109751, 2770, 29, 'Chu vi Đầu');
INSERT INTO `lang_definitions` VALUES (109752, 2771, 29, 'Nhức đầu');
INSERT INTO `lang_definitions` VALUES (109753, 2772, 29, 'Nhức đầu');
INSERT INTO `lang_definitions` VALUES (109754, 2773, 29, 'chăm sóc sức khỏe');
INSERT INTO `lang_definitions` VALUES (109755, 2774, 29, 'Vận Hành Chăm sóc sức khỏe');
INSERT INTO `lang_definitions` VALUES (109756, 2775, 29, 'Trung tâm y tế / phòng khám');
INSERT INTO `lang_definitions` VALUES (109757, 2776, 29, 'Tổ chức duy trì sức khoẻ');
INSERT INTO `lang_definitions` VALUES (109758, 2777, 29, 'Tổ chức bảo trì sức khỏe (HMO) Medicare rủi ro');
INSERT INTO `lang_definitions` VALUES (109759, 2778, 29, 'Giảm Thính lực');
INSERT INTO `lang_definitions` VALUES (109760, 2779, 29, 'Đau Tim');
INSERT INTO `lang_definitions` VALUES (109761, 2780, 29, 'Bệnh Tim');
INSERT INTO `lang_definitions` VALUES (109762, 2781, 29, 'Suy Tim');
INSERT INTO `lang_definitions` VALUES (109763, 2782, 29, 'Vấn đề về Tim');
INSERT INTO `lang_definitions` VALUES (109764, 2783, 29, 'Vấn đề về Tim');
INSERT INTO `lang_definitions` VALUES (109765, 2784, 29, 'Phẫu thuật Tim');
INSERT INTO `lang_definitions` VALUES (109766, 2785, 29, 'Ghép Tim');
INSERT INTO `lang_definitions` VALUES (109767, 2786, 29, 'TIM:');
INSERT INTO `lang_definitions` VALUES (109768, 2787, 29, 'Ợ nóng');
INSERT INTO `lang_definitions` VALUES (109769, 2788, 29, 'Nóng hoặc lạnh');
INSERT INTO `lang_definitions` VALUES (109770, 2789, 29, 'Nóng Hoặc Lạnh');
INSERT INTO `lang_definitions` VALUES (109771, 2791, 29, 'Tiếng Do Thái,');
INSERT INTO `lang_definitions` VALUES (109772, 2793, 29, 'HEENT');
INSERT INTO `lang_definitions` VALUES (109773, 2794, 29, 'Chiều cao');
INSERT INTO `lang_definitions` VALUES (109774, 2796, 29, 'Trợ giúp');
INSERT INTO `lang_definitions` VALUES (109775, 2797, 29, 'giúp đỡ');
INSERT INTO `lang_definitions` VALUES (109776, 2798, 29, 'Nôn ra máu');
INSERT INTO `lang_definitions` VALUES (109777, 2799, 29, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (109778, 2800, 29, 'Huyết học');
INSERT INTO `lang_definitions` VALUES (109779, 2801, 29, 'Tiểu máu');
INSERT INTO `lang_definitions` VALUES (109780, 2802, 29, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (109781, 2803, 29, 'Hb A1c');
INSERT INTO `lang_definitions` VALUES (109782, 2804, 29, 'Ho ra máu');
INSERT INTO `lang_definitions` VALUES (109783, 2805, 29, 'Viêm gan siêu vi');
INSERT INTO `lang_definitions` VALUES (109784, 2806, 29, 'Viêm gan A 1');
INSERT INTO `lang_definitions` VALUES (109785, 2807, 29, 'Viêm gan A 2');
INSERT INTO `lang_definitions` VALUES (109786, 2808, 29, 'Viêm gan B 1');
INSERT INTO `lang_definitions` VALUES (109787, 2809, 29, 'Viêm gan B 2');
INSERT INTO `lang_definitions` VALUES (109788, 2810, 29, 'Viêm gan B 3');
INSERT INTO `lang_definitions` VALUES (109789, 2811, 29, 'đây');
INSERT INTO `lang_definitions` VALUES (109790, 2813, 29, 'Thoát vị sửa chữa');
INSERT INTO `lang_definitions` VALUES (109791, 2814, 29, 'Thoát vị đĩa');
INSERT INTO `lang_definitions` VALUES (109792, 2815, 29, 'Herpes');
INSERT INTO `lang_definitions` VALUES (109793, 2816, 29, 'Sự do dự');
INSERT INTO `lang_definitions` VALUES (109794, 2817, 29, 'heyyo. bạn đã ở đây trong ');
INSERT INTO `lang_definitions` VALUES (109795, 2818, 29, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (109796, 2819, 29, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (109797, 2820, 29, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (109798, 2821, 29, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (109799, 2822, 29, 'Thành viên ẩn danh');
INSERT INTO `lang_definitions` VALUES (109800, 2823, 29, 'Quản Lý Sự kiện Ẩn');
INSERT INTO `lang_definitions` VALUES (109801, 2824, 29, 'Ẩn');
INSERT INTO `lang_definitions` VALUES (109802, 2825, 29, 'Giấu Chi tiết');
INSERT INTO `lang_definitions` VALUES (109803, 2827, 29, 'Ẩn Tùy chọn Mã hóa / Giải mã trong Quản lý Tài liệu');
INSERT INTO `lang_definitions` VALUES (109804, 2828, 29, 'Giấu Trình đơn');
INSERT INTO `lang_definitions` VALUES (109805, 2830, 29, 'Giấu các Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (109806, 2831, 29, 'Giấu/Hiện Các cột');
INSERT INTO `lang_definitions` VALUES (109807, 2833, 29, 'Cao');
INSERT INTO `lang_definitions` VALUES (109808, 2834, 29, 'Cao Huyết áp');
INSERT INTO `lang_definitions` VALUES (109809, 2835, 29, 'Tiếng Hin-ddi');
INSERT INTO `lang_definitions` VALUES (109810, 2836, 29, 'Hông + háng');
INSERT INTO `lang_definitions` VALUES (109811, 2837, 29, 'Hông và háng');
INSERT INTO `lang_definitions` VALUES (109812, 2838, 29, 'Vấn đề Hông');
INSERT INTO `lang_definitions` VALUES (109813, 2839, 29, 'Thay thế Hông');
INSERT INTO `lang_definitions` VALUES (109814, 2840, 29, 'Đã nhận Thông báo HIPAA');
INSERT INTO `lang_definitions` VALUES (109815, 2842, 29, 'Hirsutism/Striae');
INSERT INTO `lang_definitions` VALUES (109816, 2843, 29, 'Tây Ban Nha');
INSERT INTO `lang_definitions` VALUES (109817, 2844, 29, 'Tây Ban Nha - Loại khác (Sinh ra tại Mỹ)');
INSERT INTO `lang_definitions` VALUES (109818, 2845, 29, 'Tây Ban Nha - Loại khác (Sinh ra bên ngoài Mỹ)');
INSERT INTO `lang_definitions` VALUES (109819, 2846, 29, 'Người Tây Ban Nha hoặc La tinh');
INSERT INTO `lang_definitions` VALUES (109820, 2847, 29, 'Lịch sử');
INSERT INTO `lang_definitions` VALUES (109821, 2848, 29, 'Lịch sử Dữ liệu');
INSERT INTO `lang_definitions` VALUES (109822, 2849, 29, 'Lịch sử ngày');
INSERT INTO `lang_definitions` VALUES (109823, 2851, 29, 'Lịch sử Róc Rách');
INSERT INTO `lang_definitions` VALUES (109824, 2852, 29, 'Lịch sử không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (109825, 2853, 29, 'Lịch sử của Róc Rách tim');
INSERT INTO `lang_definitions` VALUES (109826, 2854, 29, 'Lượt truy cập');
INSERT INTO `lang_definitions` VALUES (109827, 2855, 29, 'HIV');
INSERT INTO `lang_definitions` VALUES (109828, 2858, 29, 'Bộ xem HL7');
INSERT INTO `lang_definitions` VALUES (109829, 2860, 29, 'HMOL / L');
INSERT INTO `lang_definitions` VALUES (109830, 2861, 29, 'Tiếng Hmong');
INSERT INTO `lang_definitions` VALUES (109831, 2862, 29, 'Giữ [Ctrl] để lựa chọn nhiều mục hoặc để bỏ chọn');
INSERT INTO `lang_definitions` VALUES (109832, 2863, 29, 'Giữ phím Ctrl để chọn nhiều mục');
INSERT INTO `lang_definitions` VALUES (109833, 2864, 29, 'Giữ phím Ctrl để chọn nhiều đội');
INSERT INTO `lang_definitions` VALUES (109834, 2865, 29, 'Trang chủ');
INSERT INTO `lang_definitions` VALUES (109835, 2866, 29, 'Điện thoại nhà');
INSERT INTO `lang_definitions` VALUES (109836, 2867, 29, 'Số Điện thoại Nhà');
INSERT INTO `lang_definitions` VALUES (109837, 2868, 29, 'Vô gia cư hoặc tương tự?');
INSERT INTO `lang_definitions` VALUES (109838, 2869, 29, 'Vô gia cư, vv');
INSERT INTO `lang_definitions` VALUES (109839, 2870, 29, 'Vô gia cư, vv');
INSERT INTO `lang_definitions` VALUES (109840, 2872, 29, 'Tên Máy chủ');
INSERT INTO `lang_definitions` VALUES (109841, 2873, 29, 'Không thể để trống Tên Máy chủ');
INSERT INTO `lang_definitions` VALUES (109842, 2875, 29, 'Giờ');
INSERT INTO `lang_definitions` VALUES (109843, 2876, 29, 'Giờ');
INSERT INTO `lang_definitions` VALUES (109844, 2878, 29, 'Làm thế nào chấn thương xảy ra?');
INSERT INTO `lang_definitions` VALUES (109845, 2879, 29, 'Làm thế nào chấn thương xảy ra?:');
INSERT INTO `lang_definitions` VALUES (109846, 2880, 29, 'Làm thế nào họ biết về chúng tôi');
INSERT INTO `lang_definitions` VALUES (109847, 2881, 29, 'Truy vấn các sự kiện sắp tới cho bao nhiêu quý?');
INSERT INTO `lang_definitions` VALUES (109848, 2882, 29, 'HPI:');
INSERT INTO `lang_definitions` VALUES (109849, 2883, 29, 'HT');
INSERT INTO `lang_definitions` VALUES (109850, 2884, 29, 'HTML');
INSERT INTO `lang_definitions` VALUES (109851, 2886, 29, 'Https liên kết cho LLC LibreEHR Hỗ trợ dịch vụ Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (109852, 2887, 29, 'Tiếng/Người Hungary');
INSERT INTO `lang_definitions` VALUES (109853, 2888, 29, 'Hylafax mục');
INSERT INTO `lang_definitions` VALUES (109854, 2889, 29, 'Hylafax Enscript lệnh');
INSERT INTO `lang_definitions` VALUES (109855, 2890, 29, 'Hylafax máy chủ');
INSERT INTO `lang_definitions` VALUES (109856, 2891, 29, 'Hylafax máy chủ tên máy.');
INSERT INTO `lang_definitions` VALUES (109857, 2892, 29, 'Hiếu động');
INSERT INTO `lang_definitions` VALUES (109858, 2893, 29, 'Cao huyết áp');
INSERT INTO `lang_definitions` VALUES (109859, 2894, 29, 'Cao huyết áp: Đo Huyết Áp');
INSERT INTO `lang_definitions` VALUES (109860, 2895, 29, 'Cao huyết áp: Đo Huyết Áp (CQM)');
INSERT INTO `lang_definitions` VALUES (109861, 2896, 29, 'Cường giáp');
INSERT INTO `lang_definitions` VALUES (109862, 2897, 29, 'Suy giáp');
INSERT INTO `lang_definitions` VALUES (109863, 2898, 29, 'Cắt bỏ tử cung');
INSERT INTO `lang_definitions` VALUES (109864, 2899, 29, 'Tôi');
INSERT INTO `lang_definitions` VALUES (109865, 2900, 29, 'Tôi bận rộn trong thời gian này.');
INSERT INTO `lang_definitions` VALUES (109866, 2901, 29, 'Tôi không có sự cho phép đọc ');
INSERT INTO `lang_definitions` VALUES (109867, 2902, 29, 'ICD');
INSERT INTO `lang_definitions` VALUES (109868, 2903, 29, 'Chẩn đoán ICD10');
INSERT INTO `lang_definitions` VALUES (109869, 2904, 29, 'Thủ tục / Dịch vụ ICD10');
INSERT INTO `lang_definitions` VALUES (109870, 2905, 29, 'ICD9');
INSERT INTO `lang_definitions` VALUES (109871, 2906, 29, 'Chẩn đoán ICD9');
INSERT INTO `lang_definitions` VALUES (109872, 2907, 29, 'Thủ tục / Dịch vụ ICD9');
INSERT INTO `lang_definitions` VALUES (109873, 2909, 29, 'Mã');
INSERT INTO `lang_definitions` VALUES (109874, 2910, 29, 'Mã');
INSERT INTO `lang_definitions` VALUES (109875, 2911, 29, 'Không thể để trống mã số');
INSERT INTO `lang_definitions` VALUES (109876, 2912, 29, 'CMND');
INSERT INTO `lang_definitions` VALUES (109877, 2913, 29, 'IDays');
INSERT INTO `lang_definitions` VALUES (109878, 2914, 29, 'xác định là');
INSERT INTO `lang_definitions` VALUES (109879, 2915, 29, 'Nhận dạng (một từ)');
INSERT INTO `lang_definitions` VALUES (109880, 2917, 29, 'Giây Timeout phiên nhàn rỗi');
INSERT INTO `lang_definitions` VALUES (109881, 2919, 29, 'Nếu tất cả các dữ liệu cho tất cả các cột được hoàn thành mẫu đơn này');
INSERT INTO `lang_definitions` VALUES (109882, 2920, 29, 'Nếu biện minh thanh toán được sử dụng nhập vào tên của loại mã chẩn đoán.');
INSERT INTO `lang_definitions` VALUES (109883, 2921, 29, 'nếu nhập vào, chỉ chọn những người đã có dịch vụ này');
INSERT INTO `lang_definitions` VALUES (109884, 2922, 29, 'Nếu tên, bất kỳ phần nào của họ hoặc họ, tên');
INSERT INTO `lang_definitions` VALUES (109885, 2923, 29, 'Nếu thanh toán bằng');
INSERT INTO `lang_definitions` VALUES (109886, 2924, 29, 'Nếu đã qua đời, thì nhập vào ngày mất.');
INSERT INTO `lang_definitions` VALUES (109887, 2925, 29, 'Nếu SMTP được dùng, tên máy hoặc địa chỉ IP của máy chủ.');
INSERT INTO `lang_definitions` VALUES (109888, 2926, 29, 'Nếu SMTP được dùng, số cổng TCP của máy chủ (thường là 25).');
INSERT INTO `lang_definitions` VALUES (109889, 2927, 29, 'nếu thất nghiệp thì nhập là Sinh viên');
INSERT INTO `lang_definitions` VALUES (109890, 2929, 29, 'Nếu bạn thay đổi e-RX Vai trò cho ePrescription, nó có thể ảnh hưởng đến công việc ePrescription. Nếu bạn phải đối mặt với bất kỳ khó khăn, hãy liên hệ với nhà cung cấp ePrescription của bạn.');
INSERT INTO `lang_definitions` VALUES (109891, 2931, 29, 'Nếu bạn đã chọn để tải lên chuyển tiền điện tử, sau đó cửa sổ tìm kiếm sẽ hiển thị lại với hoá đơn phù hợp từ các tập tin X12. Bạn có thể click vào bất kỳ của những con số hóa đơn (như mô tả dưới đây) nếu bạn muốn thực hiện bất kỳ chỉnh sửa trước khi thông tin chuyển tiền được áp dụng. Để áp dụng các thay đổi, hãy nhấp vào nút Process File ERA ở dưới cùng của trang. Điều này sẽ tạo ra một cửa sổ mới với một báo cáo chi tiết.');
INSERT INTO `lang_definitions` VALUES (109892, 2932, 29, 'Nếu bạn đã bước vào một ngày phải trả tiền trong các trang tìm kiếm, điều này sẽ ghi đè lên đăng ngày thanh toán và điều chỉnh nếu không được lấy từ các tập tin X12. Điều này có thể hữu ích cho mục đích báo cáo, nếu bạn muốn biên lai của bạn báo cáo sử dụng ngày đăng chứ không phải là công ty bảo hiểm \'s ngày chế biến. Lưu ý rằng điều này cũng sẽ ảnh hưởng đến ngày thanh toán và điều chỉnh trước khi được đưa vào tuyên bố thứ cấp.');
INSERT INTO `lang_definitions` VALUES (109893, 2933, 29, 'Nếu bạn muốn thay đổi các kiểu dữ liệu, hoặc thêm các hàng hoặc cột');
INSERT INTO `lang_definitions` VALUES (109894, 2934, 29, 'Nếu bạn muốn để nâng cấp cơ sở dữ liệu, sau đó đặt các tập tin zip cơ sở dữ liệu trong các thư mục sau đây');
INSERT INTO `lang_definitions` VALUES (109895, 2936, 29, 'Bỏ qua');
INSERT INTO `lang_definitions` VALUES (109896, 2937, 29, 'Bệnh tật');
INSERT INTO `lang_definitions` VALUES (109897, 2938, 29, 'Tiêm bắp');
INSERT INTO `lang_definitions` VALUES (109898, 2941, 29, 'Dịch vụ Hình ảnh');
INSERT INTO `lang_definitions` VALUES (109899, 2942, 29, 'Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109900, 2943, 29, 'Mã Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109901, 2945, 29, 'Ngày Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109902, 2947, 29, 'Số Lô Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109903, 2948, 29, 'Nhà sản xuất Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109904, 2949, 29, 'Số đăng ký Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109905, 2951, 29, 'Dịch vụ Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (109906, 2952, 29, 'Tiêu đề Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109907, 2953, 29, 'Thuốc tiêm');
INSERT INTO `lang_definitions` VALUES (109908, 2954, 29, 'Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (109909, 2955, 29, 'Miễn dịch');
INSERT INTO `lang_definitions` VALUES (109910, 2956, 29, 'Cấy ghép');
INSERT INTO `lang_definitions` VALUES (109911, 2957, 29, 'Kết nhập');
INSERT INTO `lang_definitions` VALUES (109912, 2961, 29, 'Kết nhập giấy chứng nhận vào trình duyệt.');
INSERT INTO `lang_definitions` VALUES (109913, 2962, 29, 'Kết nhập Cấu hình');
INSERT INTO `lang_definitions` VALUES (109914, 2964, 29, 'Kết nhập Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109915, 2965, 29, 'Kết nhập Thông tin cá nhân của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109916, 2966, 29, 'Mã Quan trọng');
INSERT INTO `lang_definitions` VALUES (109917, 2969, 29, 'Kết nhập từ Kế toán');
INSERT INTO `lang_definitions` VALUES (109918, 2972, 29, 'Đã cải thiện');
INSERT INTO `lang_definitions` VALUES (109919, 2973, 29, 'in');
INSERT INTO `lang_definitions` VALUES (109920, 2974, 29, 'TRONG');
INSERT INTO `lang_definitions` VALUES (109921, 2975, 29, 'vào mỗi mắt');
INSERT INTO `lang_definitions` VALUES (109922, 2976, 29, 'vào mắt trái');
INSERT INTO `lang_definitions` VALUES (109923, 2977, 29, 'vào lỗ mũi');
INSERT INTO `lang_definitions` VALUES (109924, 2978, 29, 'Trong Văn phòng');
INSERT INTO `lang_definitions` VALUES (109925, 2979, 29, 'vào mắt phải');
INSERT INTO `lang_definitions` VALUES (109926, 2980, 29, 'trong nhà');
INSERT INTO `lang_definitions` VALUES (109927, 2981, 29, 'Không hoạt động');
INSERT INTO `lang_definitions` VALUES (109928, 2982, 29, 'Ngày Không hoạt động');
INSERT INTO `lang_definitions` VALUES (109929, 2983, 29, 'Hộp thư đến');
INSERT INTO `lang_definitions` VALUES (109930, 2986, 29, 'Bao gồm Tổng kiểm');
INSERT INTO `lang_definitions` VALUES (109931, 2987, 29, 'Bao gồm cái đã hoàn thành');
INSERT INTO `lang_definitions` VALUES (109932, 2988, 29, 'Bao gồm các thành viên không dùng được');
INSERT INTO `lang_definitions` VALUES (109933, 2989, 29, 'Bao gồm cái chưa phân loại');
INSERT INTO `lang_definitions` VALUES (109934, 2990, 29, 'Bao gồm các dữ liệu phi cấu trúc');
INSERT INTO `lang_definitions` VALUES (109935, 2991, 29, 'Bao gồm Thể trạng');
INSERT INTO `lang_definitions` VALUES (109936, 2992, 29, 'Bao gồm các dữ liệu thể trạng?');
INSERT INTO `lang_definitions` VALUES (109937, 2993, 29, 'Việc bao gồm');
INSERT INTO `lang_definitions` VALUES (109938, 2994, 29, 'Thu nhập');
INSERT INTO `lang_definitions` VALUES (109939, 2996, 29, 'Không đầy đủ');
INSERT INTO `lang_definitions` VALUES (109940, 2997, 29, 'Điều trị không đầy đủ phá thai');
INSERT INTO `lang_definitions` VALUES (109941, 2998, 29, 'Tiểu không kiểm soát');
INSERT INTO `lang_definitions` VALUES (109942, 2999, 29, 'Kết hợp các kết quả xét nghiệm phòng thí nghiệm lâm sàng vào công nghệ EHR chứng nhận như là dữ liệu có cấu trúc.');
INSERT INTO `lang_definitions` VALUES (109943, 3001, 29, 'tăng:');
INSERT INTO `lang_definitions` VALUES (109944, 3002, 29, 'Bồi thường bảo hiểm');
INSERT INTO `lang_definitions` VALUES (109945, 3003, 29, 'Không xác định');
INSERT INTO `lang_definitions` VALUES (109946, 3004, 29, 'Ấn Độ');
INSERT INTO `lang_definitions` VALUES (109947, 3005, 29, 'Chỉ bất thường');
INSERT INTO `lang_definitions` VALUES (109948, 3006, 29, 'Cho biết nếu vấn đề này hiện đang hoạt động');
INSERT INTO `lang_definitions` VALUES (109949, 3008, 29, 'Chỉ số cho việc sử dụng chuyên ngành');
INSERT INTO `lang_definitions` VALUES (109950, 3009, 29, 'Nghèo khổ bệnh nhân');
INSERT INTO `lang_definitions` VALUES (109951, 3010, 29, 'Nghèo Bệnh nhân Báo cáo');
INSERT INTO `lang_definitions` VALUES (109952, 3011, 29, 'Indigents');
INSERT INTO `lang_definitions` VALUES (109953, 3014, 29, 'Gây ra phá thai');
INSERT INTO `lang_definitions` VALUES (109954, 3016, 29, 'Không đủ điều kiện');
INSERT INTO `lang_definitions` VALUES (109955, 3017, 29, 'Nhiễm trùng / áp xe');
INSERT INTO `lang_definitions` VALUES (109956, 3018, 29, 'Nhiễm trùng');
INSERT INTO `lang_definitions` VALUES (109957, 3019, 29, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (109958, 3020, 29, 'Vô sinh');
INSERT INTO `lang_definitions` VALUES (109959, 3021, 29, 'Cúm 1');
INSERT INTO `lang_definitions` VALUES (109960, 3022, 29, 'Cúm 2');
INSERT INTO `lang_definitions` VALUES (109961, 3023, 29, 'Chủng ngừa cúm cho bệnh nhân từ 50 tuổi trở lên');
INSERT INTO `lang_definitions` VALUES (109962, 3024, 29, 'Chủng ngừa cúm cho bệnh nhân từ 50 tuổi trở lên (CQM)');
INSERT INTO `lang_definitions` VALUES (109963, 3025, 29, 'Vắc-xin Cúm');
INSERT INTO `lang_definitions` VALUES (109964, 3026, 29, 'Thông tin');
INSERT INTO `lang_definitions` VALUES (109965, 3027, 29, 'Thông tin kiểm tra 1');
INSERT INTO `lang_definitions` VALUES (109966, 3028, 29, 'Thông tin kiểm tra 2');
INSERT INTO `lang_definitions` VALUES (109967, 3029, 29, 'Thông tin kiểm tra 3');
INSERT INTO `lang_definitions` VALUES (109968, 3030, 29, 'Thông tin kiểm tra 4');
INSERT INTO `lang_definitions` VALUES (109969, 3031, 29, 'Thông tin kiểm tra 5');
INSERT INTO `lang_definitions` VALUES (109970, 3032, 29, 'Thông tin kiểm tra 6');
INSERT INTO `lang_definitions` VALUES (109971, 3034, 29, 'hít');
INSERT INTO `lang_definitions` VALUES (109972, 3035, 29, 'inhilations');
INSERT INTO `lang_definitions` VALUES (109973, 3037, 29, 'Ban đầu người sử dụng');
INSERT INTO `lang_definitions` VALUES (109974, 3038, 29, 'Inj / Rehab');
INSERT INTO `lang_definitions` VALUES (109975, 3039, 29, 'Thuốc chích');
INSERT INTO `lang_definitions` VALUES (109976, 3040, 29, 'Tiêm');
INSERT INTO `lang_definitions` VALUES (109977, 3041, 29, 'Bị thương Body Part');
INSERT INTO `lang_definitions` VALUES (109978, 3042, 29, 'Bị thương Out');
INSERT INTO `lang_definitions` VALUES (109979, 3043, 29, 'Chấn thương');
INSERT INTO `lang_definitions` VALUES (109980, 3044, 29, 'Thương tích Cơ chế');
INSERT INTO `lang_definitions` VALUES (109981, 3045, 29, 'Báo cáo tai nạn thương tích Tổng quan');
INSERT INTO `lang_definitions` VALUES (109982, 3046, 29, 'Chấn thương giám sát');
INSERT INTO `lang_definitions` VALUES (109983, 3047, 29, 'Chấn thương Loại');
INSERT INTO `lang_definitions` VALUES (109984, 3048, 29, 'Tai nạn thương tích / bệnh tật liên quan đến');
INSERT INTO `lang_definitions` VALUES (109985, 3051, 29, 'Input Fields');
INSERT INTO `lang_definitions` VALUES (109986, 3052, 29, 'INR');
INSERT INTO `lang_definitions` VALUES (109987, 3053, 29, 'BH 1');
INSERT INTO `lang_definitions` VALUES (109988, 3054, 29, 'BH 2 hay BH 3');
INSERT INTO `lang_definitions` VALUES (109989, 3056, 29, 'Điều chỉnh BH');
INSERT INTO `lang_definitions` VALUES (109990, 3057, 29, 'Bao gộp BH');
INSERT INTO `lang_definitions` VALUES (109991, 3058, 29, 'Mã BH');
INSERT INTO `lang_definitions` VALUES (109992, 3061, 29, 'Trả dư BH');
INSERT INTO `lang_definitions` VALUES (109993, 3063, 29, 'Hoàn trả BH');
INSERT INTO `lang_definitions` VALUES (109994, 3064, 29, 'Tóm tắt BH');
INSERT INTO `lang_definitions` VALUES (109995, 3065, 29, 'BH1');
INSERT INTO `lang_definitions` VALUES (109996, 3066, 29, 'BH2');
INSERT INTO `lang_definitions` VALUES (109997, 3067, 29, 'BH3');
INSERT INTO `lang_definitions` VALUES (109998, 3069, 29, 'Chèn thất bại: ');
INSERT INTO `lang_definitions` VALUES (109999, 3070, 29, 'Chèn các sự kiện cũ vào bảng');
INSERT INTO `lang_definitions` VALUES (110000, 3072, 29, 'Mất ngủ');
INSERT INTO `lang_definitions` VALUES (110001, 3074, 29, 'Kiểm tra');
INSERT INTO `lang_definitions` VALUES (110002, 3075, 29, 'Sự bất ổn / subluxation');
INSERT INTO `lang_definitions` VALUES (110003, 3076, 29, 'CÀI ĐẶT');
INSERT INTO `lang_definitions` VALUES (110004, 3077, 29, 'Cài đặt');
INSERT INTO `lang_definitions` VALUES (110005, 3079, 29, 'cài đặt DB');
INSERT INTO `lang_definitions` VALUES (110006, 3080, 29, 'Bản phát hành Được cài đặt');
INSERT INTO `lang_definitions` VALUES (110007, 3081, 29, 'Hướng dẫn');
INSERT INTO `lang_definitions` VALUES (110008, 3082, 29, 'Hướng dẫn');
INSERT INTO `lang_definitions` VALUES (110009, 3084, 29, 'Hướng dẫn:');
INSERT INTO `lang_definitions` VALUES (110010, 3085, 29, 'Không đủ hàng cho mã sản phẩm');
INSERT INTO `lang_definitions` VALUES (110011, 3086, 29, 'Insulin phụ thuộc Bệnh tiểu đường');
INSERT INTO `lang_definitions` VALUES (110012, 3087, 29, 'Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110013, 3088, 29, 'bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110014, 3091, 29, 'Cân đối Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110015, 3093, 29, 'Cty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110016, 3094, 29, 'Công ty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110017, 3095, 29, 'Công ty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110018, 3096, 29, 'Tìm kiếm / Thêm Công ty Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110019, 3098, 29, 'Dữ liệu Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110020, 3099, 29, 'Thông tin bảo hiểm trong hồ sơ');
INSERT INTO `lang_definitions` VALUES (110021, 3100, 29, 'Số Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110022, 3101, 29, 'Bảo hiểm Thanh toán');
INSERT INTO `lang_definitions` VALUES (110023, 3103, 29, 'Nhà cung cấp Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110024, 3106, 29, 'Đã bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110025, 3107, 29, 'Lượng Kết luận');
INSERT INTO `lang_definitions` VALUES (110026, 3108, 29, 'Intake ngày');
INSERT INTO `lang_definitions` VALUES (110027, 3109, 29, 'Trí tuệ Từ chối');
INSERT INTO `lang_definitions` VALUES (110028, 3113, 29, 'Lỗi nội bộ - không có các trang đã được lựa chọn!');
INSERT INTO `lang_definitions` VALUES (110029, 3114, 29, 'Lỗi nội bộ - ID bệnh nhân không được cung cấp!');
INSERT INTO `lang_definitions` VALUES (110030, 3115, 29, 'Lỗi nội bộ truy cập vào tập tin tải lên!');
INSERT INTO `lang_definitions` VALUES (110031, 3116, 29, 'Lỗi nội bộ!');
INSERT INTO `lang_definitions` VALUES (110032, 3117, 29, 'Lỗi nội bộ, không ID thuốc quy định!');
INSERT INTO `lang_definitions` VALUES (110033, 3119, 29, 'Lỗi nội bộ: yêu cầu bồi thường ');
INSERT INTO `lang_definitions` VALUES (110034, 3120, 29, 'Lỗi nội bộ: cuộc gặp gỡ \'');
INSERT INTO `lang_definitions` VALUES (110035, 3121, 29, 'Lỗi nội bộ: pid hoặc cuộc gặp gỡ là mất tích.');
INSERT INTO `lang_definitions` VALUES (110036, 3123, 29, 'Nhận dạng nội bộ (pid)');
INSERT INTO `lang_definitions` VALUES (110037, 3126, 29, 'Nội bộ Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (110038, 3127, 29, 'Nội bộ Thời gian thu');
INSERT INTO `lang_definitions` VALUES (110039, 3128, 29, 'Quốc tế Duty');
INSERT INTO `lang_definitions` VALUES (110040, 3129, 29, 'Thông dịch viên');
INSERT INTO `lang_definitions` VALUES (110041, 3130, 29, 'Cần thông dịch viên không?');
INSERT INTO `lang_definitions` VALUES (110042, 3131, 29, 'Bệnh kẽ phổi');
INSERT INTO `lang_definitions` VALUES (110043, 3132, 29, 'Khoảng thời gian');
INSERT INTO `lang_definitions` VALUES (110044, 3135, 29, 'Can thiệp');
INSERT INTO `lang_definitions` VALUES (110045, 3137, 29, 'Không khoan dung');
INSERT INTO `lang_definitions` VALUES (110046, 3139, 29, 'tiêm bắp');
INSERT INTO `lang_definitions` VALUES (110047, 3140, 29, 'tĩnh mạch');
INSERT INTO `lang_definitions` VALUES (110048, 3141, 29, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (110049, 3144, 29, 'Không hợp lệ nhân vật trong');
INSERT INTO `lang_definitions` VALUES (110050, 3147, 29, 'Không hợp lệ chiều dài cho');
INSERT INTO `lang_definitions` VALUES (110051, 3148, 29, 'Không hợp lệ nhân vật không phải số');
INSERT INTO `lang_definitions` VALUES (110052, 3149, 29, 'Đối tượng nộp không hợp lệ hoặc thiếu trong mã nguồn cho mã ');
INSERT INTO `lang_definitions` VALUES (110053, 3151, 29, 'Không hợp lệ dịch vụ Mã');
INSERT INTO `lang_definitions` VALUES (110054, 3152, 29, 'Chỉ nguồn không hợp lệ \"');
INSERT INTO `lang_definitions` VALUES (110055, 3154, 29, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (110056, 3155, 29, 'Kiểm kê');
INSERT INTO `lang_definitions` VALUES (110057, 3156, 29, 'Hoạt động Kiểm kê');
INSERT INTO `lang_definitions` VALUES (110058, 3157, 29, 'Kiểm kê và bán cả hai loại thuốc và sản phẩm không là thuốc');
INSERT INTO `lang_definitions` VALUES (110059, 3158, 29, 'Chỉ kiểm kê và bán thuốc');
INSERT INTO `lang_definitions` VALUES (110060, 3159, 29, 'Hàng tồn kho là không có sẵn cho lệnh này.');
INSERT INTO `lang_definitions` VALUES (110061, 3160, 29, 'Hàng tồn kho Danh sách');
INSERT INTO `lang_definitions` VALUES (110062, 3161, 29, 'Kiểm kê giao dịch');
INSERT INTO `lang_definitions` VALUES (110063, 3162, 29, 'Hoá đơn');
INSERT INTO `lang_definitions` VALUES (110064, 3163, 29, 'hóa đơn');
INSERT INTO `lang_definitions` VALUES (110065, 3166, 29, 'Hoá đơn ngày');
INSERT INTO `lang_definitions` VALUES (110066, 3167, 29, 'Hoá đơn đã không có ngày!');
INSERT INTO `lang_definitions` VALUES (110067, 3168, 29, 'Hóa đơn số');
INSERT INTO `lang_definitions` VALUES (110068, 3169, 29, 'Số hóa đơn tham khảo');
INSERT INTO `lang_definitions` VALUES (110069, 3170, 29, 'Hoá đơn tài liệu tham khảo số lượng hồ bơi, nếu được sử dụng');
INSERT INTO `lang_definitions` VALUES (110070, 3171, 29, 'Tập hợp Số Tham chiếu Hóa đơn');
INSERT INTO `lang_definitions` VALUES (110071, 3172, 29, 'Tập hợp Số TC Hóa đơn');
INSERT INTO `lang_definitions` VALUES (110072, 3173, 29, 'Hóa đơn:');
INSERT INTO `lang_definitions` VALUES (110073, 3174, 29, 'IPPF');
INSERT INTO `lang_definitions` VALUES (110074, 3177, 29, 'IPPF SRH Data for');
INSERT INTO `lang_definitions` VALUES (110075, 3178, 29, 'IPPF Statistics Report');
INSERT INTO `lang_definitions` VALUES (110076, 3179, 29, 'IPPF Stats');
INSERT INTO `lang_definitions` VALUES (110077, 3180, 29, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (110078, 3181, 29, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (110079, 3182, 29, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (110080, 3183, 29, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (110081, 3185, 29, 'Không thường xuyên Heart Beat');
INSERT INTO `lang_definitions` VALUES (110082, 3186, 29, 'Khó chịu');
INSERT INTO `lang_definitions` VALUES (110083, 3187, 29, 'Kích thích');
INSERT INTO `lang_definitions` VALUES (110084, 3191, 29, 'là một lĩnh vực cần thiết.');
INSERT INTO `lang_definitions` VALUES (110085, 3192, 29, 'là một nút gốc và không thể bị xóa.');
INSERT INTO `lang_definitions` VALUES (110086, 3197, 29, 'là không hợp lệ (phân số thập phân là OK).');
INSERT INTO `lang_definitions` VALUES (110087, 3198, 29, 'PHP bằng cách sử dụng chế độ Safe Mode?');
INSERT INTO `lang_definitions` VALUES (110088, 3200, 29, 'Có dịch văn bản trong các bố trí biểu mẫu không?');
INSERT INTO `lang_definitions` VALUES (110089, 3201, 29, 'Có dịch văn bản trong các danh sách không?');
INSERT INTO `lang_definitions` VALUES (110090, 3202, 29, 'Đến tập tin được mã hóa?');
INSERT INTO `lang_definitions` VALUES (110091, 3204, 29, 'Đây có phải là một loại chẩn đoán không?');
INSERT INTO `lang_definitions` VALUES (110092, 3212, 29, 'Có giấu loại này trong bảng lệ phí không?');
INSERT INTO `lang_definitions` VALUES (110093, 3214, 29, 'quá dài');
INSERT INTO `lang_definitions` VALUES (110094, 3216, 29, 'Rắc rối');
INSERT INTO `lang_definitions` VALUES (110095, 3217, 29, 'rắc rối');
INSERT INTO `lang_definitions` VALUES (110096, 3218, 29, 'Ngày gặp Rắc rối');
INSERT INTO `lang_definitions` VALUES (110097, 3219, 29, 'Mã số Rắc rối');
INSERT INTO `lang_definitions` VALUES (110098, 3220, 29, 'Tựa đề Rắc rối');
INSERT INTO `lang_definitions` VALUES (110099, 3223, 29, 'Rắc rối');
INSERT INTO `lang_definitions` VALUES (110100, 3224, 29, 'Rắc rối (Chấn thương / Nội khoa / Dị ứng)');
INSERT INTO `lang_definitions` VALUES (110101, 3225, 29, 'Rắc rối (Chấn thương / Nội khoa / Dị ứng):');
INSERT INTO `lang_definitions` VALUES (110102, 3226, 29, 'Rắc rối và Lần khám');
INSERT INTO `lang_definitions` VALUES (110103, 3227, 29, 'Rắc rối và Lần khám của');
INSERT INTO `lang_definitions` VALUES (110104, 3228, 29, 'Các vấn đề không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (110105, 3229, 29, 'Đề mục Rắc rối');
INSERT INTO `lang_definitions` VALUES (110106, 3230, 29, 'Tiếng Ý');
INSERT INTO `lang_definitions` VALUES (110107, 3231, 29, 'Mục');
INSERT INTO `lang_definitions` VALUES (110108, 3232, 29, 'mục');
INSERT INTO `lang_definitions` VALUES (110109, 3234, 29, 'Các mục tải không thành công');
INSERT INTO `lang_definitions` VALUES (110110, 3235, 29, 'IU / L');
INSERT INTO `lang_definitions` VALUES (110111, 3236, 29, 'Vòng tránh thai');
INSERT INTO `lang_definitions` VALUES (110112, 3237, 29, 'Tiêm tĩnh mạch');
INSERT INTO `lang_definitions` VALUES (110113, 3238, 29, 'Tháng Một');
INSERT INTO `lang_definitions` VALUES (110114, 3239, 29, 'Tháng Một');
INSERT INTO `lang_definitions` VALUES (110115, 3240, 29, 'Tiếng Nhật');
INSERT INTO `lang_definitions` VALUES (110116, 3241, 29, 'Vàng da');
INSERT INTO `lang_definitions` VALUES (110117, 3243, 29, 'Mô tả Công việc');
INSERT INTO `lang_definitions` VALUES (110118, 3244, 29, 'Mã Công việc');
INSERT INTO `lang_definitions` VALUES (110119, 3245, 29, 'Phần lệch mạng');
INSERT INTO `lang_definitions` VALUES (110120, 3246, 29, 'Đau khớp');
INSERT INTO `lang_definitions` VALUES (110121, 3247, 29, 'Phần bong gân');
INSERT INTO `lang_definitions` VALUES (110122, 3248, 29, 'Tháng Bảy');
INSERT INTO `lang_definitions` VALUES (110123, 3249, 29, 'Tháng Bảy');
INSERT INTO `lang_definitions` VALUES (110124, 3250, 29, 'Tháng Sáu');
INSERT INTO `lang_definitions` VALUES (110125, 3251, 29, 'Tháng Sáu');
INSERT INTO `lang_definitions` VALUES (110126, 3252, 29, 'Ngay dưới các thông tin kiểm tra là một khu vực màu xanh nơi bạn đặt các thông số tìm kiếm của bạn. Bạn có thể tìm kiếm theo tên bệnh nhân, biểu đồ, gặp phải số hoặc ngày của dịch vụ, hoặc bất kỳ sự kết hợp nào trong số này. Bạn cũng có thể chọn xem bạn có muốn xem tất cả các hoá đơn, hoá đơn mở, hoặc hoá đơn chỉ là do (bệnh nhân). Nhấp vào nút Tìm kiếm để thực hiện tìm kiếm.');
INSERT INTO `lang_definitions` VALUES (110127, 3253, 29, 'Chỉ của Tôi');
INSERT INTO `lang_definitions` VALUES (110128, 3255, 29, 'Biện minh cho');
INSERT INTO `lang_definitions` VALUES (110129, 3256, 29, 'Justify / Lưu');
INSERT INTO `lang_definitions` VALUES (110130, 3258, 29, 'k, đây là phần còn lại');
INSERT INTO `lang_definitions` VALUES (110131, 3264, 29, 'Khóa');
INSERT INTO `lang_definitions` VALUES (110132, 3265, 29, 'Từ khóa');
INSERT INTO `lang_definitions` VALUES (110133, 3266, 29, 'kg');
INSERT INTO `lang_definitions` VALUES (110134, 3267, 29, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (110135, 3269, 29, 'Ung thư Thận');
INSERT INTO `lang_definitions` VALUES (110136, 3270, 29, 'Suy thận');
INSERT INTO `lang_definitions` VALUES (110137, 3271, 29, 'Nhiễm trùng Thận');
INSERT INTO `lang_definitions` VALUES (110138, 3272, 29, 'Sỏi Thận');
INSERT INTO `lang_definitions` VALUES (110139, 3273, 29, 'Ghép Thận');
INSERT INTO `lang_definitions` VALUES (110140, 3277, 29, 'Đầu gối');
INSERT INTO `lang_definitions` VALUES (110141, 3278, 29, 'Vấn đề với đầu gối');
INSERT INTO `lang_definitions` VALUES (110142, 3279, 29, 'Thay thế đầu gối');
INSERT INTO `lang_definitions` VALUES (110143, 3282, 29, 'Tiếng Hàn Quốc');
INSERT INTO `lang_definitions` VALUES (110144, 3286, 29, 'Phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110145, 3288, 29, 'Địa chỉ trang web phòng thí nghiệm Trao đổi');
INSERT INTO `lang_definitions` VALUES (110146, 3289, 29, 'Site ID Lab Trao đổi');
INSERT INTO `lang_definitions` VALUES (110147, 3290, 29, 'Phòng thí nghiệm Trao đổi Mã Số ID');
INSERT INTO `lang_definitions` VALUES (110148, 3294, 29, 'Trạng thái Hỏi Phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110149, 3295, 29, 'Báo cáo Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110150, 3296, 29, 'Kết quả Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110151, 3297, 29, 'Kết quả Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110152, 3299, 29, 'Báo cáo Kết quả Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110153, 3300, 29, 'Dịch vụ Thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110154, 3301, 29, 'Kết quả Phòng thí nghiệm Thử nghiệm');
INSERT INTO `lang_definitions` VALUES (110155, 3303, 29, 'Nhãn');
INSERT INTO `lang_definitions` VALUES (110156, 3304, 29, 'Label không có thể được để trống');
INSERT INTO `lang_definitions` VALUES (110157, 3305, 29, 'Nhãn cột');
INSERT INTO `lang_definitions` VALUES (110158, 3307, 29, 'LabelCols phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (110159, 3308, 29, 'Nhãn');
INSERT INTO `lang_definitions` VALUES (110160, 3311, 29, 'Phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110161, 3312, 29, 'Rách / tình trạng da');
INSERT INTO `lang_definitions` VALUES (110162, 3313, 29, 'Rách / mài mòn');
INSERT INTO `lang_definitions` VALUES (110163, 3316, 29, 'Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (110164, 3317, 29, 'Mã Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (110165, 3318, 29, 'Đã thêm định nghĩa ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (110166, 3319, 29, 'Công cụ Ngôn ngữ Giao diện');
INSERT INTO `lang_definitions` VALUES (110167, 3320, 29, 'Danh sách ngôn ngữ (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (110168, 3321, 29, 'Tên Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (110169, 3322, 29, 'Ngôn ngữ:');
INSERT INTO `lang_definitions` VALUES (110170, 3324, 29, 'Tiếng Lào');
INSERT INTO `lang_definitions` VALUES (110171, 3325, 29, 'Họ');
INSERT INTO `lang_definitions` VALUES (110172, 3326, 29, 'Ngày Hoạt động Trước đây');
INSERT INTO `lang_definitions` VALUES (110173, 3328, 29, 'Ngày Hóa đơn Trước đây:');
INSERT INTO `lang_definitions` VALUES (110174, 3330, 29, 'Năm Ngoái');
INSERT INTO `lang_definitions` VALUES (110175, 3333, 29, 'Lần gặp Trước');
INSERT INTO `lang_definitions` VALUES (110176, 3343, 29, 'Tháng trước');
INSERT INTO `lang_definitions` VALUES (110177, 3344, 29, 'Họ');
INSERT INTO `lang_definitions` VALUES (110178, 3345, 29, 'Họ');
INSERT INTO `lang_definitions` VALUES (110179, 3346, 29, 'Họ:');
INSERT INTO `lang_definitions` VALUES (110180, 3350, 29, 'Lần xem xét Trước đây');
INSERT INTO `lang_definitions` VALUES (110181, 3352, 29, 'Lưu Lần cuối');
INSERT INTO `lang_definitions` VALUES (110182, 3356, 29, 'Cập nhật lần cuối bởi');
INSERT INTO `lang_definitions` VALUES (110183, 3357, 29, 'Xác nhận Lần cuối Ngày');
INSERT INTO `lang_definitions` VALUES (110184, 3358, 29, 'Lần Đến khám cuối');
INSERT INTO `lang_definitions` VALUES (110185, 3360, 29, 'Tái phát chậm (2-12 Tháng)');
INSERT INTO `lang_definitions` VALUES (110186, 3361, 29, 'Bên mắt cá');
INSERT INTO `lang_definitions` VALUES (110187, 3362, 29, 'Bên mắt cá:');
INSERT INTO `lang_definitions` VALUES (110188, 3363, 29, 'Tay thuận');
INSERT INTO `lang_definitions` VALUES (110189, 3364, 29, 'Tay thuận của thủ tục này, nếu áp dụng');
INSERT INTO `lang_definitions` VALUES (110190, 3365, 29, 'bên cửa PMI:');
INSERT INTO `lang_definitions` VALUES (110191, 3373, 29, 'Dựa trên Bố trí');
INSERT INTO `lang_definitions` VALUES (110192, 3374, 29, 'Trình sửa Bố trí');
INSERT INTO `lang_definitions` VALUES (110193, 3375, 29, 'Các nhóm bố trí');
INSERT INTO `lang_definitions` VALUES (110194, 3376, 29, 'Kiểu mẫu Bố trí');
INSERT INTO `lang_definitions` VALUES (110195, 3378, 29, 'Biểu mẫu Đến khám Dựa trên Bố trí');
INSERT INTO `lang_definitions` VALUES (110196, 3379, 29, 'Bố trí');
INSERT INTO `lang_definitions` VALUES (110197, 3380, 29, 'lb');
INSERT INTO `lang_definitions` VALUES (110198, 3381, 29, 'lbs');
INSERT INTO `lang_definitions` VALUES (110199, 3382, 29, 'LDL');
INSERT INTO `lang_definitions` VALUES (110200, 3383, 29, 'để trống nếu vẫn còn đang bị');
INSERT INTO `lang_definitions` VALUES (110201, 3384, 29, 'Để trống Để Giữ Tên tập tin gốc');
INSERT INTO `lang_definitions` VALUES (110202, 3385, 29, 'Để trống để giữ nguyên không thay đổi mật khẩu.');
INSERT INTO `lang_definitions` VALUES (110203, 3386, 29, 'Để lại tin nhắn với');
INSERT INTO `lang_definitions` VALUES (110204, 3387, 29, 'Để lại Mẫu');
INSERT INTO `lang_definitions` VALUES (110205, 3388, 29, 'Bỏ trống cụm từ vượt qua sẽ không mã hóa các tài liệu');
INSERT INTO `lang_definitions` VALUES (110206, 3390, 29, 'Còn lại');
INSERT INTO `lang_definitions` VALUES (110207, 3391, 29, 'Tai Trái');
INSERT INTO `lang_definitions` VALUES (110208, 3392, 29, 'tai trái');
INSERT INTO `lang_definitions` VALUES (110209, 3394, 29, 'Còn lại:');
INSERT INTO `lang_definitions` VALUES (110210, 3395, 29, 'Còn lại: ');
INSERT INTO `lang_definitions` VALUES (110211, 3396, 29, 'Đau chân / chuột rút');
INSERT INTO `lang_definitions` VALUES (110212, 3397, 29, 'Pháp lý');
INSERT INTO `lang_definitions` VALUES (110213, 3400, 29, 'Chú thích:');
INSERT INTO `lang_definitions` VALUES (110214, 3401, 29, 'Chiều dài');
INSERT INTO `lang_definitions` VALUES (110215, 3402, 29, 'Chiều dài của bộ biến đổi, 0 nếu không có');
INSERT INTO `lang_definitions` VALUES (110216, 3403, 29, 'Ít hơn');
INSERT INTO `lang_definitions` VALUES (110217, 3404, 29, 'Ít hơn hoặc bằng');
INSERT INTO `lang_definitions` VALUES (110218, 3405, 29, 'Ít thông tin cá nhân (viết addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (110219, 3406, 29, 'Thư');
INSERT INTO `lang_definitions` VALUES (110220, 3407, 29, 'Thư Generator');
INSERT INTO `lang_definitions` VALUES (110221, 3409, 29, 'Giấy bác sĩ những dấu hiệu');
INSERT INTO `lang_definitions` VALUES (110222, 3410, 29, 'Giấy viết thư mà bệnh nhân có dấu hiệu');
INSERT INTO `lang_definitions` VALUES (110223, 3411, 29, 'Mức độ cấp bách');
INSERT INTO `lang_definitions` VALUES (110224, 3412, 29, 'Trách nhiệm pháp lý');
INSERT INTO `lang_definitions` VALUES (110225, 3413, 29, 'Trách nhiệm pháp lý y tế');
INSERT INTO `lang_definitions` VALUES (110226, 3414, 29, 'Giấy phép/ID');
INSERT INTO `lang_definitions` VALUES (110227, 3419, 29, 'LicensedPrescriber tên cuối cùng');
INSERT INTO `lang_definitions` VALUES (110228, 3420, 29, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (110229, 3421, 29, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (110230, 3423, 29, 'Lối sống');
INSERT INTO `lang_definitions` VALUES (110231, 3424, 29, 'Lối sống tình trạng');
INSERT INTO `lang_definitions` VALUES (110232, 3425, 29, 'Rách hay bong gân dây chằng');
INSERT INTO `lang_definitions` VALUES (110233, 3428, 29, 'Giới hạn của sự kiện');
INSERT INTO `lang_definitions` VALUES (110234, 3431, 29, 'Liên kết');
INSERT INTO `lang_definitions` VALUES (110235, 3433, 29, 'Liên kết');
INSERT INTO `lang_definitions` VALUES (110236, 3436, 29, 'liên kết để tài liệu');
INSERT INTO `lang_definitions` VALUES (110237, 3438, 29, 'Danh sách');
INSERT INTO `lang_definitions` VALUES (110238, 3439, 29, 'Hộp danh sách');
INSERT INTO `lang_definitions` VALUES (110239, 3440, 29, 'hộp danh sách');
INSERT INTO `lang_definitions` VALUES (110240, 3441, 29, 'hộp danh sách w / thêm');
INSERT INTO `lang_definitions` VALUES (110241, 3442, 29, 'Danh sách hộp w / add');
INSERT INTO `lang_definitions` VALUES (110242, 3443, 29, 'Danh sách biên tập');
INSERT INTO `lang_definitions` VALUES (110243, 3444, 29, 'Danh sách gặp');
INSERT INTO `lang_definitions` VALUES (110244, 3445, 29, 'Danh sách các nhóm');
INSERT INTO `lang_definitions` VALUES (110245, 3446, 29, 'Công ty Danh sách Bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110246, 3448, 29, 'Danh sách các mục không thể bắt đầu với một số.');
INSERT INTO `lang_definitions` VALUES (110247, 3449, 29, 'Danh sách các mục có chứa ký tự bất hợp pháp (s).');
INSERT INTO `lang_definitions` VALUES (110248, 3451, 29, 'Danh sách danh sách');
INSERT INTO `lang_definitions` VALUES (110249, 3452, 29, 'Danh sách Name');
INSERT INTO `lang_definitions` VALUES (110250, 3453, 29, 'Tên danh sách không có thể bắt đầu với những con số.');
INSERT INTO `lang_definitions` VALUES (110251, 3454, 29, 'Danh sách Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (110252, 3455, 29, 'Danh sách được sử dụng bởi Quốc gia Loại trên dữ liệu tùy chọn.');
INSERT INTO `lang_definitions` VALUES (110253, 3456, 29, 'Danh sách được sử dụng bởi Nhà nước Loại trên dữ liệu tùy chọn.');
INSERT INTO `lang_definitions` VALUES (110254, 3457, 29, 'Cổng lắng nghe của máy chủ syslog TLS 5425 RFC.');
INSERT INTO `lang_definitions` VALUES (110255, 3458, 29, 'Danh sách');
INSERT INTO `lang_definitions` VALUES (110256, 3460, 29, 'Living Will');
INSERT INTO `lang_definitions` VALUES (110257, 3461, 29, 'LLL:');
INSERT INTO `lang_definitions` VALUES (110258, 3462, 29, 'LMP');
INSERT INTO `lang_definitions` VALUES (110259, 3464, 29, 'Tải định nghĩa');
INSERT INTO `lang_definitions` VALUES (110260, 3470, 29, 'LOADING');
INSERT INTO `lang_definitions` VALUES (110261, 3471, 29, 'Tải tập tin vào cơ sở dữ liệu. Điều này sẽ mất một thời gian ...');
INSERT INTO `lang_definitions` VALUES (110262, 3472, 29, 'LOC');
INSERT INTO `lang_definitions` VALUES (110263, 3473, 29, 'Nội bộ');
INSERT INTO `lang_definitions` VALUES (110264, 3476, 29, 'Địa phương');
INSERT INTO `lang_definitions` VALUES (110265, 3477, 29, 'Nơi');
INSERT INTO `lang_definitions` VALUES (110266, 3478, 29, 'Địa điểm');
INSERT INTO `lang_definitions` VALUES (110267, 3479, 29, 'vị trí của máy libreehr và có thể chứa dữ liệu nhạy cảm, vì vậy nó được khuyến khích để tự xóa các tập tin sau khi sử dụng của nó');
INSERT INTO `lang_definitions` VALUES (110268, 3480, 29, 'Vị trí của rất nhiều này');
INSERT INTO `lang_definitions` VALUES (110269, 3481, 29, 'Vị trí không xác định');
INSERT INTO `lang_definitions` VALUES (110270, 3482, 29, 'Vị trí nơi Hylafax cửa hàng fax.');
INSERT INTO `lang_definitions` VALUES (110271, 3483, 29, 'Vị trí nơi được lưu trữ quét.');
INSERT INTO `lang_definitions` VALUES (110272, 3484, 29, 'Đến từ:');
INSERT INTO `lang_definitions` VALUES (110273, 3485, 29, 'Khóa');
INSERT INTO `lang_definitions` VALUES (110274, 3492, 29, 'Đăng nhập');
INSERT INTO `lang_definitions` VALUES (110275, 3494, 29, 'Thoát');
INSERT INTO `lang_definitions` VALUES (110276, 3495, 29, 'Đăng nhập');
INSERT INTO `lang_definitions` VALUES (110277, 3496, 29, 'Đăng nhập như');
INSERT INTO `lang_definitions` VALUES (110278, 3497, 29, 'Đăng nhập như: ');
INSERT INTO `lang_definitions` VALUES (110279, 3498, 29, 'Đăng xuất.');
INSERT INTO `lang_definitions` VALUES (110280, 3500, 29, 'Đăng nhập');
INSERT INTO `lang_definitions` VALUES (110281, 3501, 29, 'đăng nhập');
INSERT INTO `lang_definitions` VALUES (110282, 3505, 29, 'Đăng xuất');
INSERT INTO `lang_definitions` VALUES (110283, 3506, 29, 'đăng xuất');
INSERT INTO `lang_definitions` VALUES (110284, 3507, 29, 'Các bản ghi');
INSERT INTO `lang_definitions` VALUES (110285, 3508, 29, 'Các bản ghi Viewer');
INSERT INTO `lang_definitions` VALUES (110286, 3510, 29, 'Look Up');
INSERT INTO `lang_definitions` VALUES (110287, 3511, 29, 'Lô hàng');
INSERT INTO `lang_definitions` VALUES (110288, 3512, 29, 'Thiếu Mã Lô hàng!');
INSERT INTO `lang_definitions` VALUES (110289, 3513, 29, 'Số Lô');
INSERT INTO `lang_definitions` VALUES (110290, 3514, 29, 'Thấp');
INSERT INTO `lang_definitions` VALUES (110291, 3516, 29, 'Hạ chân');
INSERT INTO `lang_definitions` VALUES (110292, 3519, 29, 'Thắt lưng cột sống');
INSERT INTO `lang_definitions` VALUES (110293, 3520, 29, 'TRƯA');
INSERT INTO `lang_definitions` VALUES (110294, 3521, 29, 'Ăn trưa');
INSERT INTO `lang_definitions` VALUES (110295, 3522, 29, 'Ung thư phổi');
INSERT INTO `lang_definitions` VALUES (110296, 3523, 29, 'Ung thư phổi phẫu thuật');
INSERT INTO `lang_definitions` VALUES (110297, 3524, 29, 'Phổi:');
INSERT INTO `lang_definitions` VALUES (110298, 3525, 29, 'Phổi:');
INSERT INTO `lang_definitions` VALUES (110299, 3526, 29, 'Lupus');
INSERT INTO `lang_definitions` VALUES (110300, 3528, 29, 'M');
INSERT INTO `lang_definitions` VALUES (110301, 3529, 29, 'MA Thể loại');
INSERT INTO `lang_definitions` VALUES (110302, 3530, 29, 'MA Khách hàng chấp nhận phá thai');
INSERT INTO `lang_definitions` VALUES (110303, 3531, 29, 'MA Thống kê');
INSERT INTO `lang_definitions` VALUES (110304, 3533, 29, 'Đã gửi Thư');
INSERT INTO `lang_definitions` VALUES (110305, 3534, 29, 'Chính');
INSERT INTO `lang_definitions` VALUES (110306, 3535, 29, 'Địa chỉ Chính');
INSERT INTO `lang_definitions` VALUES (110307, 3536, 29, 'Cửa sổ màn hình chính');
INSERT INTO `lang_definitions` VALUES (110308, 3537, 29, 'Duy trì danh sách hoạt động dị ứng thuốc.');
INSERT INTO `lang_definitions` VALUES (110309, 3538, 29, 'Duy trì danh sách thuốc đang hoạt động.');
INSERT INTO `lang_definitions` VALUES (110310, 3539, 29, 'Duy trì một danh sách vấn đề up-to-ngày của chẩn đoán hiện tại và hoạt động.');
INSERT INTO `lang_definitions` VALUES (110311, 3540, 29, 'Sửa đổi danh mục hiện tại.');
INSERT INTO `lang_definitions` VALUES (110312, 3541, 29, 'Hãy bổ nhiệm mới cho');
INSERT INTO `lang_definitions` VALUES (110313, 3542, 29, 'Hãy chắc chắn rằng \"');
INSERT INTO `lang_definitions` VALUES (110314, 3543, 29, 'Các tập tin văn bản hàng loạt để tải lên Clearing House và sẽ đánh dấu như lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (110315, 3545, 29, 'Tình trạng bất ổn:');
INSERT INTO `lang_definitions` VALUES (110316, 3548, 29, 'Nam');
INSERT INTO `lang_definitions` VALUES (110317, 3549, 29, 'Nam Bao cao su');
INSERT INTO `lang_definitions` VALUES (110318, 3550, 29, 'Nam VSC');
INSERT INTO `lang_definitions` VALUES (110319, 3552, 29, 'Chụp quang tuyến vú');
INSERT INTO `lang_definitions` VALUES (110320, 3553, 29, 'Quản lý');
INSERT INTO `lang_definitions` VALUES (110321, 3556, 29, 'Quản lý dịch');
INSERT INTO `lang_definitions` VALUES (110322, 3557, 29, 'Quản lý');
INSERT INTO `lang_definitions` VALUES (110323, 3558, 29, 'Thông tin bắt buộc hoặc được chọn');
INSERT INTO `lang_definitions` VALUES (110324, 3559, 29, 'Chỉ có thông tin bắt buộc hoặc được chọn, kiểm tra trùng lặp, không tìm kiếm');
INSERT INTO `lang_definitions` VALUES (110325, 3560, 29, 'Chỉ có thông tin bắt buộc hoặc được chọn, có tìm kiếm và kiểm tra trùng lặp');
INSERT INTO `lang_definitions` VALUES (110326, 3561, 29, 'Hướng dẫn sử dụng');
INSERT INTO `lang_definitions` VALUES (110327, 3562, 29, 'Hướng dẫn Viết bài');
INSERT INTO `lang_definitions` VALUES (110328, 3563, 29, 'Nhà sản xuất');
INSERT INTO `lang_definitions` VALUES (110329, 3565, 29, 'Tháng Ba');
INSERT INTO `lang_definitions` VALUES (110330, 3568, 29, 'Tháng Ba');
INSERT INTO `lang_definitions` VALUES (110331, 3569, 29, 'Tình trạng Hôn nhân');
INSERT INTO `lang_definitions` VALUES (110332, 3571, 29, 'Đánh dấu là thanh toán lập hoá đơn nhưng bỏ qua');
INSERT INTO `lang_definitions` VALUES (110333, 3572, 29, 'Đánh dấu đã rà phá');
INSERT INTO `lang_definitions` VALUES (110334, 3573, 29, 'Đánh dấu như không lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (110335, 3575, 29, 'Được đánh dấu như xóa');
INSERT INTO `lang_definitions` VALUES (110336, 3576, 29, 'Đã kết hôn');
INSERT INTO `lang_definitions` VALUES (110337, 3578, 29, 'Mask');
INSERT INTO `lang_definitions` VALUES (110338, 3579, 29, 'Mặt nạ cho Số Hóa đơn');
INSERT INTO `lang_definitions` VALUES (110339, 3580, 29, 'Mặt nạ cho Mã Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (110340, 3581, 29, 'Mặt cho Mã Sản phẩm');
INSERT INTO `lang_definitions` VALUES (110341, 3582, 29, 'Phù hợp với');
INSERT INTO `lang_definitions` VALUES (110342, 3591, 29, 'Max');
INSERT INTO `lang_definitions` VALUES (110343, 3594, 29, 'Hàm trên phải:');
INSERT INTO `lang_definitions` VALUES (110344, 3595, 29, 'Tuổi tối đa');
INSERT INTO `lang_definitions` VALUES (110345, 3597, 29, 'Tối đa thời gian nhàn rỗi trong vài giây trước khi đăng xuất. Mặc định là 7.200 (2 giờ).');
INSERT INTO `lang_definitions` VALUES (110346, 3603, 29, 'Tháng Năm');
INSERT INTO `lang_definitions` VALUES (110347, 3604, 29, 'MC');
INSERT INTO `lang_definitions` VALUES (110348, 3605, 29, 'mcg');
INSERT INTO `lang_definitions` VALUES (110349, 3607, 29, 'Phương tiện không có của ba mật khẩu được cho phép khi thay đổi mật khẩu.');
INSERT INTO `lang_definitions` VALUES (110350, 3609, 29, 'Đo Mã Nhóm');
INSERT INTO `lang_definitions` VALUES (110351, 3611, 29, 'Đo lường');
INSERT INTO `lang_definitions` VALUES (110352, 3612, 29, 'Medial mắt cá:');
INSERT INTO `lang_definitions` VALUES (110353, 3613, 29, 'Medicaid');
INSERT INTO `lang_definitions` VALUES (110354, 3614, 29, 'Nội khoa');
INSERT INTO `lang_definitions` VALUES (110355, 3615, 29, 'Phá thai Nội khoa');
INSERT INTO `lang_definitions` VALUES (110356, 3616, 29, 'Quản trị Nội khoa');
INSERT INTO `lang_definitions` VALUES (110357, 3617, 29, 'Lịch sử Nội khoa');
INSERT INTO `lang_definitions` VALUES (110358, 3618, 29, 'Rắc rối Nội khoa');
INSERT INTO `lang_definitions` VALUES (110359, 3619, 29, 'Rắc rối nội khoa');
INSERT INTO `lang_definitions` VALUES (110360, 3620, 29, 'Vấn đề nội khoa');
INSERT INTO `lang_definitions` VALUES (110361, 3623, 29, 'Vấn đề Nội khoa');
INSERT INTO `lang_definitions` VALUES (110362, 3624, 29, 'Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (110363, 3625, 29, 'Số Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (110364, 3626, 29, 'Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (110365, 3627, 29, 'Đã gửi Hồ sơ Nội khoa');
INSERT INTO `lang_definitions` VALUES (110366, 3629, 29, 'Đã đưa Tóm lược Nội khoa');
INSERT INTO `lang_definitions` VALUES (110367, 3630, 29, 'Hệ thống Nội khoa');
INSERT INTO `lang_definitions` VALUES (110368, 3631, 29, 'Loại Nội khoa');
INSERT INTO `lang_definitions` VALUES (110369, 3632, 29, 'Nội khoa / Lịch sử (tùy chọn cho ghi, chỉ được thêm)');
INSERT INTO `lang_definitions` VALUES (110370, 3633, 29, 'Chăm sóc y tế Phần B');
INSERT INTO `lang_definitions` VALUES (110371, 3634, 29, 'Medicare giới thiệu là Renderer');
INSERT INTO `lang_definitions` VALUES (110372, 3635, 29, 'Thuốc men');
INSERT INTO `lang_definitions` VALUES (110373, 3636, 29, 'Danh sách Dị ứng Thuốc');
INSERT INTO `lang_definitions` VALUES (110374, 3638, 29, 'Danh sách Thuốc men');
INSERT INTO `lang_definitions` VALUES (110375, 3639, 29, 'Đã thực hiện Kiểm tra Thuốc men?');
INSERT INTO `lang_definitions` VALUES (110376, 3640, 29, 'Thuốc men');
INSERT INTO `lang_definitions` VALUES (110377, 3641, 29, 'Thuốc men:');
INSERT INTO `lang_definitions` VALUES (110378, 3642, 29, 'Liều Thuốc');
INSERT INTO `lang_definitions` VALUES (110379, 3643, 29, 'Trung bình');
INSERT INTO `lang_definitions` VALUES (110380, 3645, 29, 'Báo cáo Thống kê thành viên Hiệp hội');
INSERT INTO `lang_definitions` VALUES (110381, 3646, 29, 'Bộ nhớ vấn đề');
INSERT INTO `lang_definitions` VALUES (110382, 3647, 29, 'Đàn ông');
INSERT INTO `lang_definitions` VALUES (110383, 3648, 29, 'Đàn ông và phụ nữ');
INSERT INTO `lang_definitions` VALUES (110384, 3649, 29, 'Men Only');
INSERT INTO `lang_definitions` VALUES (110385, 3650, 29, 'Có kinh nguyệt');
INSERT INTO `lang_definitions` VALUES (110386, 3651, 29, 'Thời kỳ mãn kinh');
INSERT INTO `lang_definitions` VALUES (110387, 3652, 29, 'Kinh nguyệt dòng');
INSERT INTO `lang_definitions` VALUES (110388, 3653, 29, 'Kinh nguyệt Tần số');
INSERT INTO `lang_definitions` VALUES (110389, 3654, 29, 'Bệnh tâm thần');
INSERT INTO `lang_definitions` VALUES (110390, 3661, 29, 'Tin nhắn');
INSERT INTO `lang_definitions` VALUES (110391, 3662, 29, 'Trung tâm Tin nhắn và Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (110392, 3665, 29, 'Đã gửi Tin nhắn');
INSERT INTO `lang_definitions` VALUES (110393, 3666, 29, 'Trạng thái Tin nhắn');
INSERT INTO `lang_definitions` VALUES (110394, 3670, 29, 'TIN NHẮN:');
INSERT INTO `lang_definitions` VALUES (110395, 3671, 29, 'Tin nhắn');
INSERT INTO `lang_definitions` VALUES (110396, 3672, 29, 'Tin nhắn bạn đã gửi hôm nay');
INSERT INTO `lang_definitions` VALUES (110397, 3673, 29, 'Phương pháp');
INSERT INTO `lang_definitions` VALUES (110398, 3674, 29, 'Phương pháp và sản phẩm cụ thể');
INSERT INTO `lang_definitions` VALUES (110399, 3675, 29, 'Phương pháp gửi email gửi đi.');
INSERT INTO `lang_definitions` VALUES (110400, 3676, 29, 'Phương pháp hủy diệt');
INSERT INTO `lang_definitions` VALUES (110401, 3677, 29, 'Mexico / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (110402, 3679, 29, 'mg');
INSERT INTO `lang_definitions` VALUES (110403, 3680, 29, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (110404, 3681, 29, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (110405, 3682, 29, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (110406, 3683, 29, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (110407, 3684, 29, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (110408, 3685, 29, 'MG / DL');
INSERT INTO `lang_definitions` VALUES (110409, 3686, 29, 'Tên đệm');
INSERT INTO `lang_definitions` VALUES (110410, 3687, 29, 'Tên đệm');
INSERT INTO `lang_definitions` VALUES (110411, 3688, 29, 'Tên đệm');
INSERT INTO `lang_definitions` VALUES (110412, 3690, 29, 'Midlevel Prescriber DEA');
INSERT INTO `lang_definitions` VALUES (110413, 3691, 29, 'Midlevel tên Prescriber đầu tiên');
INSERT INTO `lang_definitions` VALUES (110414, 3692, 29, 'Midlevel tên Prescriber cuối');
INSERT INTO `lang_definitions` VALUES (110415, 3693, 29, 'Midlevel Prescriber Tiền tố');
INSERT INTO `lang_definitions` VALUES (110416, 3694, 29, 'Midlevel Prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (110417, 3695, 29, 'Vẻ người');
INSERT INTO `lang_definitions` VALUES (110418, 3696, 29, 'Người nhập cư hoặc lao động theo mùa?');
INSERT INTO `lang_definitions` VALUES (110419, 3697, 29, 'Nhập cư/Theo mùa');
INSERT INTO `lang_definitions` VALUES (110420, 3698, 29, 'Triệu / CU.MM');
INSERT INTO `lang_definitions` VALUES (110421, 3702, 29, 'Kiểu MIME');
INSERT INTO `lang_definitions` VALUES (110422, 3703, 29, 'Phút');
INSERT INTO `lang_definitions` VALUES (110423, 3704, 29, 'phút');
INSERT INTO `lang_definitions` VALUES (110424, 3705, 29, 'Tuổi Tối thiểu');
INSERT INTO `lang_definitions` VALUES (110425, 3706, 29, 'Chủng doanh nhỏ + / - viêm màng hoạt dịch');
INSERT INTO `lang_definitions` VALUES (110426, 3708, 29, 'Phút');
INSERT INTO `lang_definitions` VALUES (110427, 3709, 29, 'phút');
INSERT INTO `lang_definitions` VALUES (110428, 3710, 29, 'Phút');
INSERT INTO `lang_definitions` VALUES (110429, 3712, 29, 'L.tinh');
INSERT INTO `lang_definitions` VALUES (110430, 3713, 29, 'Misc Thanh toán Tùy chọn');
INSERT INTO `lang_definitions` VALUES (110431, 3714, 29, 'Misc Thanh toán lựa chọn cho HCFA-1500');
INSERT INTO `lang_definitions` VALUES (110432, 3715, 29, 'Tùy chọn Thanh toán Linh tinh HCFA');
INSERT INTO `lang_definitions` VALUES (110433, 3716, 29, 'Linh tinh');
INSERT INTO `lang_definitions` VALUES (110434, 3717, 29, 'Bị thiếu');
INSERT INTO `lang_definitions` VALUES (110435, 3718, 29, 'thiếu');
INSERT INTO `lang_definitions` VALUES (110436, 3719, 29, 'Thiếu một thông tin cần thiết');
INSERT INTO `lang_definitions` VALUES (110437, 3720, 29, 'Thiếu Phí');
INSERT INTO `lang_definitions` VALUES (110438, 3721, 29, 'Thiếu Mods');
INSERT INTO `lang_definitions` VALUES (110439, 3722, 29, 'Thiếu hoặc Không hợp lệ');
INSERT INTO `lang_definitions` VALUES (110440, 3723, 29, 'Thiếu PID.');
INSERT INTO `lang_definitions` VALUES (110441, 3724, 29, 'Thiếu ngày báo cáo');
INSERT INTO `lang_definitions` VALUES (110442, 3725, 29, 'Thiếu dấu gạch chéo sau khi đối tượng nộp trong mã nguồn cho mã ');
INSERT INTO `lang_definitions` VALUES (110443, 3726, 29, 'Hỗn hợp');
INSERT INTO `lang_definitions` VALUES (110444, 3727, 29, 'ml');
INSERT INTO `lang_definitions` VALUES (110445, 3728, 29, 'MM / DD / YYYY');
INSERT INTO `lang_definitions` VALUES (110446, 3729, 29, 'mm / hg');
INSERT INTO `lang_definitions` VALUES (110447, 3730, 29, 'mmHg');
INSERT INTO `lang_definitions` VALUES (110448, 3731, 29, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (110449, 3732, 29, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (110450, 3733, 29, 'Điện thoại di động');
INSERT INTO `lang_definitions` VALUES (110451, 3734, 29, 'Điện thoại di động');
INSERT INTO `lang_definitions` VALUES (110452, 3735, 29, 'Mod');
INSERT INTO `lang_definitions` VALUES (110453, 3741, 29, 'Modifier');
INSERT INTO `lang_definitions` VALUES (110454, 3742, 29, 'Bộ biến đổi');
INSERT INTO `lang_definitions` VALUES (110455, 3745, 29, 'Sửa đổi khoản thanh toán');
INSERT INTO `lang_definitions` VALUES (110456, 3746, 29, 'Độ dài BBĐ');
INSERT INTO `lang_definitions` VALUES (110457, 3753, 29, 'Thứ 2');
INSERT INTO `lang_definitions` VALUES (110458, 3754, 29, 'Thứ 2 đến Thứ 6');
INSERT INTO `lang_definitions` VALUES (110459, 3755, 29, 'Thứ 2, Thứ 4 &amp; Thứ 6');
INSERT INTO `lang_definitions` VALUES (110460, 3756, 29, 'Thứ Hai');
INSERT INTO `lang_definitions` VALUES (110461, 3758, 29, 'Tháng');
INSERT INTO `lang_definitions` VALUES (110462, 3759, 29, 'tháng');
INSERT INTO `lang_definitions` VALUES (110463, 3760, 29, 'Xem theo Tháng');
INSERT INTO `lang_definitions` VALUES (110464, 3761, 29, 'Tháng');
INSERT INTO `lang_definitions` VALUES (110465, 3762, 29, 'Thu nhập Hàng tháng');
INSERT INTO `lang_definitions` VALUES (110466, 3763, 29, 'Tháng');
INSERT INTO `lang_definitions` VALUES (110467, 3765, 29, 'Hơn 100 hồ sơ được tìm thấy. Hãy thu hẹp tiêu chí tìm kiếm của bạn.');
INSERT INTO `lang_definitions` VALUES (110468, 3766, 29, 'Hơn 50 kết quả, xin vui lòng tìm kiếm của bạn cụ thể hơn.');
INSERT INTO `lang_definitions` VALUES (110469, 3768, 29, 'Gần đây:');
INSERT INTO `lang_definitions` VALUES (110470, 3770, 29, 'Thể trạng gần đây nhất từ:');
INSERT INTO `lang_definitions` VALUES (110471, 3771, 29, 'Mẹ');
INSERT INTO `lang_definitions` VALUES (110472, 3772, 29, 'Tên của mẹ');
INSERT INTO `lang_definitions` VALUES (110473, 3774, 29, 'Miệng');
INSERT INTO `lang_definitions` VALUES (110474, 3775, 29, 'Di chuyển');
INSERT INTO `lang_definitions` VALUES (110475, 3776, 29, 'Di chuyển tài liệu đến Thể loại:');
INSERT INTO `lang_definitions` VALUES (110476, 3777, 29, 'Dời Xuống');
INSERT INTO `lang_definitions` VALUES (110477, 3779, 29, 'Di chuyển đến Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (110478, 3780, 29, 'Di chuyển tới ...');
INSERT INTO `lang_definitions` VALUES (110479, 3781, 29, 'Dời Lên');
INSERT INTO `lang_definitions` VALUES (110480, 3783, 29, 'Ông');
INSERT INTO `lang_definitions` VALUES (110481, 3785, 29, 'Bà');
INSERT INTO `lang_definitions` VALUES (110482, 3786, 29, 'Bà');
INSERT INTO `lang_definitions` VALUES (110483, 3796, 29, 'Multi Language Tool');
INSERT INTO `lang_definitions` VALUES (110484, 3797, 29, 'Nhiều khu vực');
INSERT INTO `lang_definitions` VALUES (110485, 3799, 29, 'Nhiều Rất nhiều');
INSERT INTO `lang_definitions` VALUES (110486, 3802, 29, 'Đa chủng tộc');
INSERT INTO `lang_definitions` VALUES (110487, 3803, 29, 'Thán:');
INSERT INTO `lang_definitions` VALUES (110488, 3804, 29, 'Musc Ache');
INSERT INTO `lang_definitions` VALUES (110489, 3805, 29, 'Musc nhức');
INSERT INTO `lang_definitions` VALUES (110490, 3806, 29, 'Musc Đỏ');
INSERT INTO `lang_definitions` VALUES (110491, 3807, 29, 'Musc độ cứng');
INSERT INTO `lang_definitions` VALUES (110492, 3808, 29, 'Musc sưng');
INSERT INTO `lang_definitions` VALUES (110493, 3809, 29, 'Musc ấm');
INSERT INTO `lang_definitions` VALUES (110494, 3810, 29, 'Cơ bắp');
INSERT INTO `lang_definitions` VALUES (110495, 3811, 29, 'Cơ chấn thương');
INSERT INTO `lang_definitions` VALUES (110496, 3812, 29, 'Cơ xương khớp');
INSERT INTO `lang_definitions` VALUES (110497, 3813, 29, 'Phải có sản phẩm nào nếu không được sử dụng xác thực SMTP.');
INSERT INTO `lang_definitions` VALUES (110498, 3814, 29, 'Lẫn nhau Xác định');
INSERT INTO `lang_definitions` VALUES (110499, 3815, 29, 'MVA');
INSERT INTO `lang_definitions` VALUES (110500, 3818, 29, 'Bản thân tôi');
INSERT INTO `lang_definitions` VALUES (110501, 3821, 29, 'N / A');
INSERT INTO `lang_definitions` VALUES (110502, 3822, 29, 'n / a');
INSERT INTO `lang_definitions` VALUES (110503, 3823, 29, 'Tên');
INSERT INTO `lang_definitions` VALUES (110504, 3825, 29, 'Tên (Nhấn vào đây để biết thêm)');
INSERT INTO `lang_definitions` VALUES (110505, 3826, 29, 'Tên 1');
INSERT INTO `lang_definitions` VALUES (110506, 3827, 29, 'Tên 2');
INSERT INTO `lang_definitions` VALUES (110507, 3828, 29, 'Tên và Chức danh của Người quản trị Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (110508, 3831, 29, 'Tên của Sự kiện');
INSERT INTO `lang_definitions` VALUES (110509, 3832, 29, 'Tên của công ty bảo hiểm');
INSERT INTO `lang_definitions` VALUES (110510, 3833, 29, 'Tên của Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (110511, 3834, 29, 'Tên của người gửi các nhắc nhở bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (110512, 3835, 29, 'Tên dịch');
INSERT INTO `lang_definitions` VALUES (110513, 3836, 29, 'Tên / Giá trị');
INSERT INTO `lang_definitions` VALUES (110514, 3837, 29, 'Tên:');
INSERT INTO `lang_definitions` VALUES (110515, 3838, 29, 'NARES:');
INSERT INTO `lang_definitions` VALUES (110516, 3839, 29, 'NARES: Bình thường phải');
INSERT INTO `lang_definitions` VALUES (110517, 3840, 29, 'Niêm mạc mũi màu hồng, vách ngăn đường giữa');
INSERT INTO `lang_definitions` VALUES (110518, 3841, 29, 'Đất nước Ghi chú');
INSERT INTO `lang_definitions` VALUES (110519, 3842, 29, 'Ghi chú Nation Cấu hình');
INSERT INTO `lang_definitions` VALUES (110520, 3844, 29, 'Quốc tịch');
INSERT INTO `lang_definitions` VALUES (110521, 3845, 29, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (110522, 3847, 29, 'Thổ Dân Hawaii hoặc Người Đảo Thái Bình Dương');
INSERT INTO `lang_definitions` VALUES (110523, 3852, 29, 'Buồn nôn');
INSERT INTO `lang_definitions` VALUES (110524, 3854, 29, 'Vùng chuyển hướng');
INSERT INTO `lang_definitions` VALUES (110525, 3855, 29, 'Vùng chuyển hướng bao gồm các biểu mẫu khám');
INSERT INTO `lang_definitions` VALUES (110526, 3856, 29, 'Vùng chuyển hướng sử dụng hết chiều cao của bộ khung');
INSERT INTO `lang_definitions` VALUES (110527, 3857, 29, 'Các biểu mẫu Đến khám trong Vùng Chuyển hướng');
INSERT INTO `lang_definitions` VALUES (110528, 3858, 29, 'Độ rộng Vùng Chuyển hướng');
INSERT INTO `lang_definitions` VALUES (110529, 3859, 29, 'Danh mục chuyển hướng có các cặp nút chọn');
INSERT INTO `lang_definitions` VALUES (110530, 3860, 29, 'Danh mục chuyển hướng có dạng cây');
INSERT INTO `lang_definitions` VALUES (110531, 3861, 29, 'Vùng chuyển hướng dùng danh mục dạng trượt');
INSERT INTO `lang_definitions` VALUES (110532, 3862, 29, 'NDC');
INSERT INTO `lang_definitions` VALUES (110533, 3864, 29, 'NDC Số');
INSERT INTO `lang_definitions` VALUES (110534, 3866, 29, 'Cổ');
INSERT INTO `lang_definitions` VALUES (110535, 3867, 29, 'Cổ vấn đề');
INSERT INTO `lang_definitions` VALUES (110536, 3868, 29, 'Cổ dẻo');
INSERT INTO `lang_definitions` VALUES (110537, 3869, 29, 'Cần phải nhập một mô tả');
INSERT INTO `lang_definitions` VALUES (110538, 3870, 29, 'Cần phải nhập một giá trị trở lại');
INSERT INTO `lang_definitions` VALUES (110539, 3871, 29, 'Cần nhập định danh');
INSERT INTO `lang_definitions` VALUES (110540, 3872, 29, 'Cần phải nhập tiêu đề');
INSERT INTO `lang_definitions` VALUES (110541, 3873, 29, 'Cần Auth');
INSERT INTO `lang_definitions` VALUES (110542, 3874, 29, 'Nhu cầu Justify');
INSERT INTO `lang_definitions` VALUES (110543, 3875, 29, 'Nhu cầu thanh toán trung học');
INSERT INTO `lang_definitions` VALUES (110544, 3876, 29, 'Tiêu cực');
INSERT INTO `lang_definitions` VALUES (110545, 3877, 29, 'Phủ định');
INSERT INTO `lang_definitions` VALUES (110546, 3880, 29, 'Dây thần kinh bị thương');
INSERT INTO `lang_definitions` VALUES (110547, 3881, 29, 'Tình trạng thần kinh / tổn thương thần kinh');
INSERT INTO `lang_definitions` VALUES (110548, 3882, 29, 'Thần kinh tê');
INSERT INTO `lang_definitions` VALUES (110549, 3883, 29, 'Điểm yếu Thần kinh');
INSERT INTO `lang_definitions` VALUES (110550, 3884, 29, 'Thần kinh');
INSERT INTO `lang_definitions` VALUES (110551, 3885, 29, 'Không bao giờ');
INSERT INTO `lang_definitions` VALUES (110552, 3886, 29, 'Không bao giờ uống rượu');
INSERT INTO `lang_definitions` VALUES (110553, 3887, 29, 'Không bao giờ hút thuốc');
INSERT INTO `lang_definitions` VALUES (110554, 3888, 29, 'Mới');
INSERT INTO `lang_definitions` VALUES (110555, 3889, 29, 'Mới =>');
INSERT INTO `lang_definitions` VALUES (110556, 3890, 29, 'New chất nhận');
INSERT INTO `lang_definitions` VALUES (110557, 3892, 29, 'Dị ứng Mới');
INSERT INTO `lang_definitions` VALUES (110558, 3894, 29, 'Cuộc hẹn Mới');
INSERT INTO `lang_definitions` VALUES (110559, 3895, 29, 'Các thể loại Mới');
INSERT INTO `lang_definitions` VALUES (110560, 3896, 29, 'Thể loại Mới');
INSERT INTO `lang_definitions` VALUES (110561, 3897, 29, 'Các khách hàng Mới');
INSERT INTO `lang_definitions` VALUES (110562, 3898, 29, 'Tư vấn Mới');
INSERT INTO `lang_definitions` VALUES (110563, 3899, 29, 'New Crop');
INSERT INTO `lang_definitions` VALUES (110564, 3900, 29, 'Đã thêm bộ định nghĩa mới');
INSERT INTO `lang_definitions` VALUES (110565, 3901, 29, 'Tài liệu mới');
INSERT INTO `lang_definitions` VALUES (110566, 3904, 29, 'Lần khám Mới');
INSERT INTO `lang_definitions` VALUES (110567, 3905, 29, 'Đã tạo lần khám mới với mã số');
INSERT INTO `lang_definitions` VALUES (110568, 3906, 29, 'Biểu mẫu Lần khám Mới');
INSERT INTO `lang_definitions` VALUES (110569, 3907, 29, 'Không được quyền tạo lần khám mới');
INSERT INTO `lang_definitions` VALUES (110570, 3908, 29, 'Lần khám Mới');
INSERT INTO `lang_definitions` VALUES (110571, 3909, 29, 'Cơ sở thông tin mới');
INSERT INTO `lang_definitions` VALUES (110572, 3912, 29, 'Nhóm Mới');
INSERT INTO `lang_definitions` VALUES (110573, 3913, 29, 'Thông tin Nhóm Mới');
INSERT INTO `lang_definitions` VALUES (110574, 3914, 29, 'New inj / Trạng thái');
INSERT INTO `lang_definitions` VALUES (110575, 3916, 29, 'Giới hạn các sự kiện mới');
INSERT INTO `lang_definitions` VALUES (110576, 3917, 29, 'Danh sách Mới');
INSERT INTO `lang_definitions` VALUES (110577, 3918, 29, 'Đơn đặt hàng Mới');
INSERT INTO `lang_definitions` VALUES (110578, 3919, 29, 'Đoạn văn Mới');
INSERT INTO `lang_definitions` VALUES (110579, 3920, 29, 'Mật khẩu Mới');
INSERT INTO `lang_definitions` VALUES (110580, 3921, 29, 'Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (110581, 3922, 29, 'BỆNH NHÂN MỚI');
INSERT INTO `lang_definitions` VALUES (110582, 3923, 29, 'Lần khám Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (110583, 3924, 29, 'Biểu mẫu Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (110584, 3925, 29, 'Mã Bệnh nhân Mới');
INSERT INTO `lang_definitions` VALUES (110585, 3926, 29, 'Lần thanh toán Mới');
INSERT INTO `lang_definitions` VALUES (110586, 3928, 29, 'New Pt');
INSERT INTO `lang_definitions` VALUES (110587, 3929, 29, 'Kết quả mới từ phòng thí nghiệm Exchange');
INSERT INTO `lang_definitions` VALUES (110588, 3930, 29, 'Tìm kiếm Mới');
INSERT INTO `lang_definitions` VALUES (110589, 3931, 29, 'New Submissions');
INSERT INTO `lang_definitions` VALUES (110590, 3932, 29, 'Người dùng Mới');
INSERT INTO `lang_definitions` VALUES (110591, 3934, 29, 'Lần đến Mới');
INSERT INTO `lang_definitions` VALUES (110592, 3935, 29, 'Thêm / Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (110593, 3936, 29, 'NewCrop Trạng thái Tài khoản');
INSERT INTO `lang_definitions` VALUES (110594, 3937, 29, 'NewCrop Quản trị');
INSERT INTO `lang_definitions` VALUES (110595, 3938, 29, 'NewCrop không gọi được');
INSERT INTO `lang_definitions` VALUES (110596, 3939, 29, 'NewCrop Bác sĩ');
INSERT INTO `lang_definitions` VALUES (110597, 3944, 29, 'NewCrop eRx Tên');
INSERT INTO `lang_definitions` VALUES (110598, 3945, 29, 'NewCrop eRx Tên Đối tác');
INSERT INTO `lang_definitions` VALUES (110599, 3946, 29, 'NewCrop eRx Mật khẩu');
INSERT INTO `lang_definitions` VALUES (110600, 3947, 29, 'Vai trò NewCrop eRX');
INSERT INTO `lang_definitions` VALUES (110601, 3948, 29, 'Vai trò NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (110602, 3949, 29, 'NewCrop eRx Địa chỉ');
INSERT INTO `lang_definitions` VALUES (110603, 3954, 29, 'NewCrop eRx Địa chỉ Dịch vụ Web');
INSERT INTO `lang_definitions` VALUES (110604, 3955, 29, 'NewCrop Người quản lý');
INSERT INTO `lang_definitions` VALUES (110605, 3956, 29, 'NewCrop Đầu mục thuốc');
INSERT INTO `lang_definitions` VALUES (110606, 3957, 29, 'NewCrop midlevel Prescriber');
INSERT INTO `lang_definitions` VALUES (110607, 3958, 29, 'NewCrop Y tá');
INSERT INTO `lang_definitions` VALUES (110608, 3959, 29, 'NewCrop Bác sĩ Giám sát');
INSERT INTO `lang_definitions` VALUES (110609, 3961, 29, 'Báo');
INSERT INTO `lang_definitions` VALUES (110610, 3962, 29, 'Tiếp theo');
INSERT INTO `lang_definitions` VALUES (110611, 3964, 29, 'Ngày Hôm sau');
INSERT INTO `lang_definitions` VALUES (110612, 3965, 29, 'Tháng Sau');
INSERT INTO `lang_definitions` VALUES (110613, 3966, 29, 'Tháng sau (giữ để hiện trình đơn)');
INSERT INTO `lang_definitions` VALUES (110614, 3968, 29, 'Tuần Sau');
INSERT INTO `lang_definitions` VALUES (110615, 3969, 29, 'Năm sau (giữ để hiện trình đơn)');
INSERT INTO `lang_definitions` VALUES (110616, 3971, 29, 'Biệt danh');
INSERT INTO `lang_definitions` VALUES (110617, 3973, 29, 'Đổ Mồ hôi Trộm');
INSERT INTO `lang_definitions` VALUES (110618, 3974, 29, 'Nl ext cơ quan sinh dục, VAG niêm mạc, cổ tử cung');
INSERT INTO `lang_definitions` VALUES (110619, 3975, 29, 'Không');
INSERT INTO `lang_definitions` VALUES (110620, 3976, 29, 'KHÔNG');
INSERT INTO `lang_definitions` VALUES (110621, 3977, 29, 'Không truy cập');
INSERT INTO `lang_definitions` VALUES (110622, 3978, 29, 'Không có nhắc nhở về bệnh nhân đang làm.');
INSERT INTO `lang_definitions` VALUES (110623, 3979, 29, 'Không có adenopathy (2 khu vực cần thiết)');
INSERT INTO `lang_definitions` VALUES (110624, 3980, 29, 'Không có loại điều chỉnh được tìm thấy lý do cho');
INSERT INTO `lang_definitions` VALUES (110625, 3981, 29, 'Không có sự dịu dàng adnexal / khối lượng');
INSERT INTO `lang_definitions` VALUES (110626, 3983, 29, 'Không có cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (110627, 3985, 29, 'Không có hệ thống thanh toán đang hoạt động');
INSERT INTO `lang_definitions` VALUES (110628, 3987, 29, 'Không có Bills tìm thấy để Bao gồm trong OFX xuất khẩu <br>');
INSERT INTO `lang_definitions` VALUES (110629, 3989, 29, 'Không có mã đã được quy định!');
INSERT INTO `lang_definitions` VALUES (110630, 3992, 29, 'Không có chẩn đoán');
INSERT INTO `lang_definitions` VALUES (110631, 3993, 29, 'Các tài liệu tìm thấy');
INSERT INTO `lang_definitions` VALUES (110632, 3995, 29, 'Không có ngày kết thúc');
INSERT INTO `lang_definitions` VALUES (110633, 3996, 29, 'Không có mục được tìm thấy, sử dụng mẫu dưới đây để thêm một mục nhập.');
INSERT INTO `lang_definitions` VALUES (110634, 3997, 29, 'Không có lỗi được tìm thấy');
INSERT INTO `lang_definitions` VALUES (110635, 3998, 29, 'Không có sự kiện');
INSERT INTO `lang_definitions` VALUES (110636, 4001, 29, 'Không có nhóm được lựa chọn');
INSERT INTO `lang_definitions` VALUES (110637, 4002, 29, 'Không thoát vị');
INSERT INTO `lang_definitions` VALUES (110638, 4005, 29, 'Không có thương tích / bệnh tật');
INSERT INTO `lang_definitions` VALUES (110639, 4006, 29, 'Không tìm thấy công ty bảo hiểm nào');
INSERT INTO `lang_definitions` VALUES (110640, 4007, 29, 'Không có rắc rối');
INSERT INTO `lang_definitions` VALUES (110641, 4009, 29, 'Không có mục nào theo thể loại được chọn');
INSERT INTO `lang_definitions` VALUES (110642, 4010, 29, 'Không có mục nào được lựa chọn!');
INSERT INTO `lang_definitions` VALUES (110643, 4025, 29, 'Không có tập tin nhật ký nào cho ngày được chọn');
INSERT INTO `lang_definitions` VALUES (110644, 4027, 29, 'Không có quần chúng, nhạy cảm');
INSERT INTO `lang_definitions` VALUES (110645, 4028, 29, 'Không tìm thấy hồ sơ Bệnh nhân với mã nhận dạng Re đã cho.');
INSERT INTO `lang_definitions` VALUES (110646, 4030, 29, 'Không tìm thấy thông tin đó.');
INSERT INTO `lang_definitions` VALUES (110647, 4031, 29, 'Không tìm thấy thông tin đó. Tạo bệnh nhân mới không?');
INSERT INTO `lang_definitions` VALUES (110648, 4033, 29, 'Không tìm thấy kết quả mới');
INSERT INTO `lang_definitions` VALUES (110649, 4034, 29, 'Không có ghi chú');
INSERT INTO `lang_definitions` VALUES (110650, 4035, 29, 'Không có ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (110651, 4036, 29, 'Không mở được tìm thấy cho giai đoạn này.');
INSERT INTO `lang_definitions` VALUES (110652, 4037, 29, 'Không có số điện thoại khác được liệt kê');
INSERT INTO `lang_definitions` VALUES (110653, 4039, 29, 'Đối tác tìm thấy');
INSERT INTO `lang_definitions` VALUES (110654, 4040, 29, 'Không có hồ sơ bệnh nhân được tìm thấy cho các tiêu chí lựa chọn cho');
INSERT INTO `lang_definitions` VALUES (110655, 4041, 29, 'Không có hồ sơ bệnh nhân được tìm thấy cho mã nhận dạng cho Re');
INSERT INTO `lang_definitions` VALUES (110656, 4042, 29, 'Không có phù ngoại vi');
INSERT INTO `lang_definitions` VALUES (110657, 4043, 29, 'Không Tìm thấy Nhà thuốc nào');
INSERT INTO `lang_definitions` VALUES (110658, 4044, 29, 'Không Tìm thấy Toa thuốc nào');
INSERT INTO `lang_definitions` VALUES (110659, 4045, 29, 'Hiện không có bệnh / chấn thương');
INSERT INTO `lang_definitions` VALUES (110660, 4046, 29, 'Không có đầu mục trước.');
INSERT INTO `lang_definitions` VALUES (110661, 4047, 29, 'Không có Thực thể Kinh doanh Chính nào được trong trong danh sách cơ sở');
INSERT INTO `lang_definitions` VALUES (110662, 4051, 29, 'Không Tìm thấy Nhà cung cấp nào');
INSERT INTO `lang_definitions` VALUES (110663, 4052, 29, 'Không có phát ban hoặc các tổn thương bất thường');
INSERT INTO `lang_definitions` VALUES (110664, 4053, 29, 'Không tìm thấy hồ sơ');
INSERT INTO `lang_definitions` VALUES (110665, 4055, 29, 'Không tìm thấy hồ sơ. Vui lòng mở rộng tiêu chí tìm kiếm của bạn.');
INSERT INTO `lang_definitions` VALUES (110666, 4056, 29, 'Không có nhắc nhở');
INSERT INTO `lang_definitions` VALUES (110667, 4057, 29, 'Không tìm thấy kết quả nào cho tiêu chí tìm kiếm trên.');
INSERT INTO `lang_definitions` VALUES (110668, 4058, 29, 'Không có Kết quả');
INSERT INTO `lang_definitions` VALUES (110669, 4060, 29, 'Không Tìm thấy Kết quả nào');
INSERT INTO `lang_definitions` VALUES (110670, 4062, 29, 'Không có kết quả, vui lòng thử lại.');
INSERT INTO `lang_definitions` VALUES (110671, 4063, 29, 'Không có kết quả, vui lòng thử lại.');
INSERT INTO `lang_definitions` VALUES (110672, 4065, 29, 'Chưa Đến');
INSERT INTO `lang_definitions` VALUES (110673, 4067, 29, 'Không Đau xoang:');
INSERT INTO `lang_definitions` VALUES (110674, 4068, 29, 'Không có dimpling da hoặc các nốt vú');
INSERT INTO `lang_definitions` VALUES (110675, 4069, 29, 'KHÔNG TÊN BỐI CẢNH ĐÓ');
INSERT INTO `lang_definitions` VALUES (110676, 4071, 29, 'Không có đau tinh hoàn, quần chúng');
INSERT INTO `lang_definitions` VALUES (110677, 4072, 29, 'Không có cảm giác mạnh hoặc cố nhấc');
INSERT INTO `lang_definitions` VALUES (110678, 4075, 29, 'Không có chuyến thăm');
INSERT INTO `lang_definitions` VALUES (110679, 4076, 29, 'Chưa ghi nhận thể trạng nào.');
INSERT INTO `lang_definitions` VALUES (110680, 4077, 29, 'Không, Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (110681, 4079, 29, 'Không:');
INSERT INTO `lang_definitions` VALUES (110682, 4080, 29, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (110683, 4081, 29, 'Không trả tiền');
INSERT INTO `lang_definitions` VALUES (110684, 4082, 29, 'Không báo cáo Báo cáo');
INSERT INTO `lang_definitions` VALUES (110685, 4083, 29, 'Không cụ thể chấn thương');
INSERT INTO `lang_definitions` VALUES (110686, 4084, 29, 'Không điện tử');
INSERT INTO `lang_definitions` VALUES (110687, 4085, 29, 'Bệnh tiểu đường phụ thuộc Insulin');
INSERT INTO `lang_definitions` VALUES (110688, 4087, 29, 'SRH y tế');
INSERT INTO `lang_definitions` VALUES (110689, 4088, 29, 'Không SRH Phi Y Tế');
INSERT INTO `lang_definitions` VALUES (110690, 4089, 29, 'Không có');
INSERT INTO `lang_definitions` VALUES (110691, 4090, 29, 'không có');
INSERT INTO `lang_definitions` VALUES (110692, 4091, 29, 'Không xác định');
INSERT INTO `lang_definitions` VALUES (110693, 4092, 29, 'Không có gì được ghi nhận');
INSERT INTO `lang_definitions` VALUES (110694, 4093, 29, 'Không có trong danh sách trên');
INSERT INTO `lang_definitions` VALUES (110695, 4094, 29, 'Hàng phân phối Top thể là hoàn toàn trống.');
INSERT INTO `lang_definitions` VALUES (110696, 4095, 29, 'Noninsulin phụ thuộc Bệnh tiểu đường');
INSERT INTO `lang_definitions` VALUES (110697, 4096, 29, 'Cũng không');
INSERT INTO `lang_definitions` VALUES (110698, 4097, 29, 'Bình thường');
INSERT INTO `lang_definitions` VALUES (110699, 4098, 29, 'Bình thường BL');
INSERT INTO `lang_definitions` VALUES (110700, 4099, 29, 'Kiểm tra Tim Bình thường:');
INSERT INTO `lang_definitions` VALUES (110701, 4100, 29, 'Kiểm tra Tim Bình thường: ');
INSERT INTO `lang_definitions` VALUES (110702, 4101, 29, 'Kiểm tra Phổi Bình thường:');
INSERT INTO `lang_definitions` VALUES (110703, 4102, 29, 'Kiểm tra Phổi Bình thường: ');
INSERT INTO `lang_definitions` VALUES (110704, 4103, 29, 'Lần khám ở Văn phòng Bình thường');
INSERT INTO `lang_definitions` VALUES (110705, 4104, 29, 'Hầu họng Bình thường:');
INSERT INTO `lang_definitions` VALUES (110706, 4105, 29, 'Bên phải Bình thường');
INSERT INTO `lang_definitions` VALUES (110707, 4106, 29, 'Bên phải Bình thường:');
INSERT INTO `lang_definitions` VALUES (110708, 4107, 29, 'Xem Bình thường');
INSERT INTO `lang_definitions` VALUES (110709, 4108, 29, 'bình thường:');
INSERT INTO `lang_definitions` VALUES (110710, 4109, 29, 'Thông thường điều này nên được đánh dấu. Không liên quan đến kiểm soát truy cập.');
INSERT INTO `lang_definitions` VALUES (110711, 4112, 29, 'Tiếng Na Uy');
INSERT INTO `lang_definitions` VALUES (110712, 4115, 29, 'Mũi');
INSERT INTO `lang_definitions` VALUES (110713, 4116, 29, 'Sự chảy máu mũi');
INSERT INTO `lang_definitions` VALUES (110714, 4117, 29, 'không phải là một ký tự hoặc số');
INSERT INTO `lang_definitions` VALUES (110715, 4119, 29, 'Một số mã hay loại mã không yêu cầu tất cả thông tin.');
INSERT INTO `lang_definitions` VALUES (110716, 4120, 29, 'Không được phép');
INSERT INTO `lang_definitions` VALUES (110717, 4121, 29, 'Không được phép xóa nhóm Quản trị viên');
INSERT INTO `lang_definitions` VALUES (110718, 4122, 29, 'Không được phép để chỉnh sửa');
INSERT INTO `lang_definitions` VALUES (110719, 4123, 29, 'Không được phép ngừng hoạt động tất cả các đối tượng bảo mật');
INSERT INTO `lang_definitions` VALUES (110720, 4124, 29, 'Không được phép ngừng hoạt động bất cứ điều gì từ các quản trị viên ACL');
INSERT INTO `lang_definitions` VALUES (110721, 4125, 29, 'Không được phép loại bỏ các người sử dụng quản trị từ các nhóm quản trị viên');
INSERT INTO `lang_definitions` VALUES (110722, 4126, 29, 'Không được phép để loại bỏ người dùng khỏi nhóm quản trị');
INSERT INTO `lang_definitions` VALUES (110723, 4128, 29, 'Không được uỷ quyền truy cập PostCalendar mô-đun');
INSERT INTO `lang_definitions` VALUES (110724, 4129, 29, 'Không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (110725, 4130, 29, 'Không được ủy quyền');
INSERT INTO `lang_definitions` VALUES (110726, 4132, 29, 'Không được uỷ quyền cho đội này.');
INSERT INTO `lang_definitions` VALUES (110727, 4135, 29, 'Không có');
INSERT INTO `lang_definitions` VALUES (110728, 4137, 29, 'Không lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (110729, 4138, 29, 'Không kiểm tra');
INSERT INTO `lang_definitions` VALUES (110730, 4139, 29, 'Không kiểm tra ra');
INSERT INTO `lang_definitions` VALUES (110731, 4141, 29, 'Không Do');
INSERT INTO `lang_definitions` VALUES (110732, 4143, 29, 'Không được kiểm tra');
INSERT INTO `lang_definitions` VALUES (110733, 4144, 29, 'Không được kiểm tra:');
INSERT INTO `lang_definitions` VALUES (110734, 4145, 29, 'Không được kiểm tra: ');
INSERT INTO `lang_definitions` VALUES (110735, 4146, 29, 'không tìm thấy');
INSERT INTO `lang_definitions` VALUES (110736, 4148, 29, 'không tìm thấy!');
INSERT INTO `lang_definitions` VALUES (110737, 4149, 29, 'Không phải gốc Tây Ban Nha hoặc La tinh');
INSERT INTO `lang_definitions` VALUES (110738, 4152, 29, 'Chưa từng thấy từ');
INSERT INTO `lang_definitions` VALUES (110739, 4154, 29, 'Gửi Tuy nhiên,');
INSERT INTO `lang_definitions` VALUES (110740, 4156, 29, 'Không rõ.');
INSERT INTO `lang_definitions` VALUES (110741, 4157, 29, 'Ghi chú');
INSERT INTO `lang_definitions` VALUES (110742, 4158, 29, 'Mã Ghi chú');
INSERT INTO `lang_definitions` VALUES (110743, 4159, 29, 'Lưu ý nó sẽ mất 5-10 phút để hoàn toàn xử lý sau khi bạn nhấp vào Cài đặt');
INSERT INTO `lang_definitions` VALUES (110744, 4160, 29, 'Lưu ý nó sẽ mất 5-10 phút để hoàn toàn xử lý sau khi bạn nhấp vào Nâng cấp');
INSERT INTO `lang_definitions` VALUES (110745, 4161, 29, 'Lưu ý rằng Kiểm toán Đăng nhập cần phải được kích hoạt ở trên');
INSERT INTO `lang_definitions` VALUES (110746, 4162, 29, 'Loại Ghi chú');
INSERT INTO `lang_definitions` VALUES (110747, 4168, 29, 'Lưu ý: Mã này đã không được nhập vào bởi một người dùng có thẩm quyền. Mã số duy nhất được ủy quyền có thể được tải lên Mạng Thanh toán Mở y tế để xử lý. Nếu bạn muốn tải lên các mã số, hãy chọn một người dùng có thẩm quyền ở đây.');
INSERT INTO `lang_definitions` VALUES (110748, 4170, 29, 'Chú ý: Nếu những tập tin đang tải lên có tên trùng với những tập tin đã có sẽ được tự động đổi tên (ví dụ, file.jpg sẽ trở thành file.1.jpg). Việc kiểm tra tên tập tin không trùng lặp được thực hiện cho mỗi bệnh nhân, không phải cho mỗi thể loại.');
INSERT INTO `lang_definitions` VALUES (110749, 4171, 29, 'Chú ý: Nếu những tập tin đang tải lên có tên trùng với những tập tin đã có sẽ được tự động đổi tên (ví dụ, \'<i>file.jpg</i>\' sẽ trở thành \'<i>file.1.jpg</i>\'). Việc kiểm tra tên tập tin không trùng lặp được thực hiện cho mỗi bệnh nhân, không phải cho mỗi thể loại.');
INSERT INTO `lang_definitions` VALUES (110750, 4172, 29, 'Ghi chú');
INSERT INTO `lang_definitions` VALUES (110751, 4173, 29, 'Ghi chú - bất kỳ cuộc gặp gỡ (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (110752, 4174, 29, 'Ghi chú - cuộc gặp gỡ của tôi (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (110753, 4175, 29, 'Ghi chú không được uỷ quyền');
INSERT INTO `lang_definitions` VALUES (110754, 4177, 29, 'Không Ghi nhận gì');
INSERT INTO `lang_definitions` VALUES (110755, 4179, 29, 'Không có Dị ứng để kết nhập');
INSERT INTO `lang_definitions` VALUES (110756, 4180, 29, 'Không có Toa thuốc để kết nhập');
INSERT INTO `lang_definitions` VALUES (110757, 4182, 29, 'Không chọn gì');
INSERT INTO `lang_definitions` VALUES (110758, 4184, 29, 'THÔNG BÁO :: PostCalendar thông tin / Sửa đổi');
INSERT INTO `lang_definitions` VALUES (110759, 4185, 29, 'Thông báo');
INSERT INTO `lang_definitions` VALUES (110760, 4186, 29, 'Địa chỉ khai báo Email');
INSERT INTO `lang_definitions` VALUES (110761, 4188, 29, 'Thông báo');
INSERT INTO `lang_definitions` VALUES (110762, 4189, 29, 'Thông báo cho quản trị Giới thiệu những thông tin sự kiện / Sửa đổi?');
INSERT INTO `lang_definitions` VALUES (110763, 4190, 29, 'Tháng Mười một');
INSERT INTO `lang_definitions` VALUES (110764, 4191, 29, 'Tháng Mười một');
INSERT INTO `lang_definitions` VALUES (110765, 4192, 29, 'Bây giờ gửi bài cho:');
INSERT INTO `lang_definitions` VALUES (110766, 4193, 29, 'Bây giờ in');
INSERT INTO `lang_definitions` VALUES (110767, 4194, 29, 'Bây giờ in báo cáo stmt_count và cập nhật những cuộc gặp gỡ.');
INSERT INTO `lang_definitions` VALUES (110768, 4195, 29, 'Bây giờ in báo cáo stmt_count và cập nhật hoá đơn.');
INSERT INTO `lang_definitions` VALUES (110769, 4196, 29, 'Bây giờ in ấn báo cáo stmt_count, cuộc gặp gỡ sẽ không được cập nhật.');
INSERT INTO `lang_definitions` VALUES (110770, 4197, 29, 'Bây giờ in ấn báo cáo stmt_count, hóa đơn sẽ không được cập nhật.');
INSERT INTO `lang_definitions` VALUES (110771, 4198, 29, 'NPI');
INSERT INTO `lang_definitions` VALUES (110772, 4199, 29, 'NQF');
INSERT INTO `lang_definitions` VALUES (110773, 4200, 29, 'Số');
INSERT INTO `lang_definitions` VALUES (110774, 4201, 29, 'Số phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (110775, 4204, 29, 'Số cột trong xem năm.');
INSERT INTO `lang_definitions` VALUES (110776, 4211, 29, 'Số ngày giấy chứng nhận của khách hàng là hợp lệ.');
INSERT INTO `lang_definitions` VALUES (110777, 4213, 29, 'Số chữ số sau dấu thập phân cho tiền tệ, thường là 0 hoặc 2.');
INSERT INTO `lang_definitions` VALUES (110778, 4214, 29, 'Số lần khám sẽ được hiển thị trên mỗi trang.');
INSERT INTO `lang_definitions` VALUES (110779, 4215, 29, 'Số lượng của trò chơi hoặc các sự kiện bị mất, nếu có');
INSERT INTO `lang_definitions` VALUES (110780, 4216, 29, 'Số giờ trước để gửi các thông báo email.');
INSERT INTO `lang_definitions` VALUES (110781, 4217, 29, 'Số giờ trước để gửi thông báo điện thoại.');
INSERT INTO `lang_definitions` VALUES (110782, 4218, 29, 'Số giờ trước để gửi tin nhắn SMS thông báo.');
INSERT INTO `lang_definitions` VALUES (110783, 4221, 29, 'Số các cột lịch sử trong quá khứ');
INSERT INTO `lang_definitions` VALUES (110784, 4223, 29, 'Tê');
INSERT INTO `lang_definitions` VALUES (110785, 4224, 29, 'Tử số');
INSERT INTO `lang_definitions` VALUES (110786, 4225, 29, 'Chữ số rõ ràng Theo');
INSERT INTO `lang_definitions` VALUES (110787, 4227, 29, 'Dinh dưỡng');
INSERT INTO `lang_definitions` VALUES (110788, 4229, 29, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (110789, 4230, 29, 'O2 Sat');
INSERT INTO `lang_definitions` VALUES (110790, 4231, 29, 'Béo phì tôi');
INSERT INTO `lang_definitions` VALUES (110791, 4232, 29, 'Béo phì II');
INSERT INTO `lang_definitions` VALUES (110792, 4233, 29, 'Béo phì III');
INSERT INTO `lang_definitions` VALUES (110793, 4234, 29, 'Mục tiêu (Objective)');
INSERT INTO `lang_definitions` VALUES (110794, 4237, 29, 'Nghề Nghiệp');
INSERT INTO `lang_definitions` VALUES (110795, 4239, 29, 'Lần xuất hiện');
INSERT INTO `lang_definitions` VALUES (110796, 4240, 29, 'Tháng Mười');
INSERT INTO `lang_definitions` VALUES (110797, 4241, 29, 'Tháng Mười');
INSERT INTO `lang_definitions` VALUES (110798, 4242, 29, 'Mỗi ngày một viên');
INSERT INTO `lang_definitions` VALUES (110799, 4243, 29, 'của');
INSERT INTO `lang_definitions` VALUES (110800, 4244, 29, 'với số lượng');
INSERT INTO `lang_definitions` VALUES (110801, 4245, 29, 'thuốc viên');
INSERT INTO `lang_definitions` VALUES (110802, 4246, 29, 'của mỗi tháng');
INSERT INTO `lang_definitions` VALUES (110803, 4247, 29, 'Ghi chú Vp');
INSERT INTO `lang_definitions` VALUES (110804, 4248, 29, 'Tắt');
INSERT INTO `lang_definitions` VALUES (110805, 4249, 29, 'Ghi chú Văn phòng');
INSERT INTO `lang_definitions` VALUES (110806, 4250, 29, 'Lần Đến Văn phòng');
INSERT INTO `lang_definitions` VALUES (110807, 4251, 29, 'Chất lượng các biện pháp chính thức lâm sàng (CQM) Nhóm Đo lường');
INSERT INTO `lang_definitions` VALUES (110808, 4252, 29, 'Liên kết ngoại vi Https cho Portal bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (110809, 4254, 29, 'Cổng thông tin bệnh nhân ngoại vi mật khẩu');
INSERT INTO `lang_definitions` VALUES (110810, 4255, 29, 'Mật khẩu Portal Bệnh nhân ngoại vi (Đặt Trống Nếu không đăng).');
INSERT INTO `lang_definitions` VALUES (110811, 4258, 29, 'Địa chỉ trang web Cổng thông tin bệnh nhân ngoại vi');
INSERT INTO `lang_definitions` VALUES (110812, 4260, 29, 'Tên đăng nhập Portal Bệnh nhân ngoại vi');
INSERT INTO `lang_definitions` VALUES (110813, 4261, 29, 'Tên đăng nhập Portal Bệnh nhân ngoại vi (Đặt Trống Nếu không đăng).');
INSERT INTO `lang_definitions` VALUES (110814, 4263, 29, 'Con cái');
INSERT INTO `lang_definitions` VALUES (110815, 4265, 29, 'thuốc mỡ');
INSERT INTO `lang_definitions` VALUES (110816, 4267, 29, 'OK');
INSERT INTO `lang_definitions` VALUES (110817, 4269, 29, 'OK để liên kết các vấn đề GCAC ngày');
INSERT INTO `lang_definitions` VALUES (110818, 4270, 29, 'Xưa');
INSERT INTO `lang_definitions` VALUES (110819, 4272, 29, 'Old Khách hàng');
INSERT INTO `lang_definitions` VALUES (110820, 4273, 29, 'Old gãy xương không / malunion');
INSERT INTO `lang_definitions` VALUES (110821, 4274, 29, 'Bố trí với phong cách cũ không có danh mục bên trái');
INSERT INTO `lang_definitions` VALUES (110822, 4275, 29, 'Biễu mẫu tĩnh với phong cách cũ không có tìm kiếm hoặc kiểm tra trùng lặp');
INSERT INTO `lang_definitions` VALUES (110823, 4279, 29, 'Bỏ qua thông tin người sử dụng lao động trong thông tin cá nhân bệnh nhân');
INSERT INTO `lang_definitions` VALUES (110824, 4280, 29, 'Bỏ qua Người sử dụng lao động');
INSERT INTO `lang_definitions` VALUES (110825, 4281, 29, 'Bỏ hình thức, cách dùng và khoảng thời gian là một phần của liều lượng');
INSERT INTO `lang_definitions` VALUES (110826, 4282, 29, 'Bỏ bảo hiểm và một số thứ khác khỏi biểu mẫu thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (110827, 4283, 29, 'Bỏ qua người dùng nội bộ?');
INSERT INTO `lang_definitions` VALUES (110828, 4284, 29, 'Bỏ phương thức thanh toán khỏi bảng đồng chi trả');
INSERT INTO `lang_definitions` VALUES (110829, 4285, 29, 'bỏ qua để autoassign');
INSERT INTO `lang_definitions` VALUES (110830, 4286, 29, 'trên');
INSERT INTO `lang_definitions` VALUES (110831, 4287, 29, 'Bật');
INSERT INTO `lang_definitions` VALUES (110832, 4288, 29, 'Trên Tay');
INSERT INTO `lang_definitions` VALUES (110833, 4289, 29, 'Trong Đơn hàng');
INSERT INTO `lang_definitions` VALUES (110834, 4290, 29, 'Tại Địa điểm');
INSERT INTO `lang_definitions` VALUES (110835, 4291, 29, 'Khi Cơ sở Kinh doanh Chính được chọn, không nên thay đổi nó. Việc thay đổi cơ sở sẽ ảnh hưởng sự hoạt động của NewCrop ePrescription.');
INSERT INTO `lang_definitions` VALUES (110836, 4292, 29, 'Một khi bạn thay đổi mật khẩu của mình, bạn sẽ phải đăng nhập lại.');
INSERT INTO `lang_definitions` VALUES (110837, 4297, 29, 'Hỗ trợ Trực tuyến');
INSERT INTO `lang_definitions` VALUES (110838, 4298, 29, 'Liên kết Hỗ trợ Trực tuyến');
INSERT INTO `lang_definitions` VALUES (110839, 4299, 29, 'Chỉ có cái có hiệu lực');
INSERT INTO `lang_definitions` VALUES (110840, 4302, 29, 'chỉ khi vị trí thanh toán');
INSERT INTO `lang_definitions` VALUES (110841, 4303, 29, 'Chỉ có cái không hiệu lực');
INSERT INTO `lang_definitions` VALUES (110842, 4304, 29, 'Chỉ có Của tôi');
INSERT INTO `lang_definitions` VALUES (110843, 4307, 29, 'Chỉ tải lên các toa thuốc có hiệu lực');
INSERT INTO `lang_definitions` VALUES (110844, 4310, 29, 'Khởi phát bệnh:');
INSERT INTO `lang_definitions` VALUES (110845, 4311, 29, 'Khởi phát bệnh: ');
INSERT INTO `lang_definitions` VALUES (110846, 4312, 29, 'Khởi phát Sưng:');
INSERT INTO `lang_definitions` VALUES (110847, 4313, 29, 'Ngày Khởi phát / Nhập viện:');
INSERT INTO `lang_definitions` VALUES (110848, 4314, 29, 'Địa chỉ Cổng thông tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (110849, 4315, 29, 'Ối!');
INSERT INTO `lang_definitions` VALUES (110850, 4316, 29, 'Mở');
INSERT INTO `lang_definitions` VALUES (110851, 4321, 29, 'Mở Đến khám Hôm nay');
INSERT INTO `lang_definitions` VALUES (110852, 4322, 29, 'LibreEHR đã có một Certificate Authority cấu hình.');
INSERT INTO `lang_definitions` VALUES (110853, 4324, 29, 'LibreEHR Cơ sở dữ liệu Nâng cấp');
INSERT INTO `lang_definitions` VALUES (110854, 4325, 29, 'LibreEHR Nâng cấp cơ sở dữ liệu cho De-nhận dạng');
INSERT INTO `lang_definitions` VALUES (110855, 4327, 29, 'LibreEHR phải được cấu hình để sử dụng giấy chứng nhận trước khi nó có thể tạo các chứng chỉ của khách hàng.');
INSERT INTO `lang_definitions` VALUES (110856, 4328, 29, 'LibreEHR yêu cầu Javascript để thực hiện xác thực người dùng.');
INSERT INTO `lang_definitions` VALUES (110857, 4329, 29, 'LibreEHR Người dùng');
INSERT INTO `lang_definitions` VALUES (110858, 4330, 29, 'Hở');
INSERT INTO `lang_definitions` VALUES (110859, 4332, 29, 'Nhãn khoa');
INSERT INTO `lang_definitions` VALUES (110860, 4333, 29, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (110861, 4335, 29, 'Tùy chọn hỗ trợ theo dõi tồn kho và bán hàng của sản phẩm');
INSERT INTO `lang_definitions` VALUES (110862, 4336, 29, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (110863, 4337, 29, 'Tùy chọn loại tên cho một hình ảnh thẻ ID có thể được xem từ trang tóm tắt bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (110864, 4338, 29, 'Tùy chọn loại tên cho hình ảnh hình ảnh có thể được xem từ trang tóm tắt bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (110865, 4339, 29, 'Tùy chọn loại tên của một tài liệu liên kết đến từ trang tóm tắt bệnh nhân. Cho phép bạn nhấn chuột vào một tên bệnh nhân để xem thẻ ID của họ.');
INSERT INTO `lang_definitions` VALUES (110866, 4340, 29, 'Tùy chọn mặc định phạm vi cho các mục hướng dẫn sử dụng của kết quả');
INSERT INTO `lang_definitions` VALUES (110867, 4341, 29, 'Tùy chọn mặc định đơn vị cho các mục hướng dẫn sử dụng của kết quả');
INSERT INTO `lang_definitions` VALUES (110868, 4342, 29, 'Tùy chọn Tên Đích đến');
INSERT INTO `lang_definitions` VALUES (110869, 4343, 29, 'Tùy chọn tên thuốc, sử dụng % như là một ký tự đại diện');
INSERT INTO `lang_definitions` VALUES (110870, 4345, 29, 'Thông tin thêm về sự kiện này');
INSERT INTO `lang_definitions` VALUES (110871, 4346, 29, 'Rất nhiều số tùy chọn, sử dụng% như là một ký tự đại diện');
INSERT INTO `lang_definitions` VALUES (110872, 4347, 29, 'Tùy chọn số bệnh nhân ID');
INSERT INTO `lang_definitions` VALUES (110873, 4348, 29, 'Tùy chọn thủ tục mã');
INSERT INTO `lang_definitions` VALUES (110874, 4350, 29, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (110875, 4351, 29, 'Hoặc');
INSERT INTO `lang_definitions` VALUES (110876, 4352, 29, 'HOẶC');
INSERT INTO `lang_definitions` VALUES (110877, 4353, 29, 'hoặc chọn');
INSERT INTO `lang_definitions` VALUES (110878, 4354, 29, 'hoặc nhấp chuột và kéo để lựa chọn nhanh hơn.');
INSERT INTO `lang_definitions` VALUES (110879, 4356, 29, 'Hoặc Out To');
INSERT INTO `lang_definitions` VALUES (110880, 4358, 29, 'hoặc Shift-Click để giảm');
INSERT INTO `lang_definitions` VALUES (110881, 4359, 29, 'Hoặc tải lên tập tin ERA:');
INSERT INTO `lang_definitions` VALUES (110882, 4360, 29, 'Uống');
INSERT INTO `lang_definitions` VALUES (110883, 4361, 29, 'Niêm mạc miệng màu hồng, cổ họng rõ ràng');
INSERT INTO `lang_definitions` VALUES (110884, 4362, 29, 'Thứ tự');
INSERT INTO `lang_definitions` VALUES (110885, 4363, 29, 'Trình tự, kết quả loại');
INSERT INTO `lang_definitions` VALUES (110886, 4364, 29, 'Bảng kê Đơn hàng');
INSERT INTO `lang_definitions` VALUES (110887, 4365, 29, 'Ngày Đặt hàng');
INSERT INTO `lang_definitions` VALUES (110888, 4367, 29, 'Đặt hàng Từ');
INSERT INTO `lang_definitions` VALUES (110889, 4369, 29, 'Số thứ tự phải là một con số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (110890, 4370, 29, 'Tên Đơn hàng');
INSERT INTO `lang_definitions` VALUES (110891, 4371, 29, 'Thứ tự Ưu tiên');
INSERT INTO `lang_definitions` VALUES (110892, 4372, 29, 'Trình tự Thủ tục');
INSERT INTO `lang_definitions` VALUES (110893, 4375, 29, 'Trạng thái Đơn hàng');
INSERT INTO `lang_definitions` VALUES (110894, 4378, 29, 'Loại Đặt hàng');
INSERT INTO `lang_definitions` VALUES (110895, 4380, 29, 'Đặt hàng / Kết Quả Thể loại');
INSERT INTO `lang_definitions` VALUES (110896, 4381, 29, 'Đã đặt hàng');
INSERT INTO `lang_definitions` VALUES (110897, 4384, 29, 'Thứ tự cung cấp');
INSERT INTO `lang_definitions` VALUES (110898, 4386, 29, 'Cơ quan tổn thương');
INSERT INTO `lang_definitions` VALUES (110899, 4387, 29, 'Tổ chức');
INSERT INTO `lang_definitions` VALUES (110900, 4388, 29, 'Tên Tổ chức');
INSERT INTO `lang_definitions` VALUES (110901, 4389, 29, 'Tên Đơn vị Tổ chức');
INSERT INTO `lang_definitions` VALUES (110902, 4390, 29, 'Tổ chức');
INSERT INTO `lang_definitions` VALUES (110903, 4391, 29, 'Định hướng x 3');
INSERT INTO `lang_definitions` VALUES (110904, 4392, 29, 'Nguyên gốc');
INSERT INTO `lang_definitions` VALUES (110905, 4396, 29, 'Hầu họng: ');
INSERT INTO `lang_definitions` VALUES (110906, 4397, 29, 'Khó thở');
INSERT INTO `lang_definitions` VALUES (110907, 4398, 29, 'Dung dịch uống');
INSERT INTO `lang_definitions` VALUES (110908, 4399, 29, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (110909, 4402, 29, 'Khác');
INSERT INTO `lang_definitions` VALUES (110910, 4403, 29, 'khác');
INSERT INTO `lang_definitions` VALUES (110911, 4404, 29, 'Khác (ghi rõ)');
INSERT INTO `lang_definitions` VALUES (110912, 4405, 29, 'Khác - Chỉ định');
INSERT INTO `lang_definitions` VALUES (110913, 4406, 29, 'Chương trình Liên Bang khác');
INSERT INTO `lang_definitions` VALUES (110914, 4407, 29, 'Khác HCFA');
INSERT INTO `lang_definitions` VALUES (110915, 4408, 29, 'Các chấn thương khác chưa được chi tiết');
INSERT INTO `lang_definitions` VALUES (110916, 4410, 29, 'khác tháng');
INSERT INTO `lang_definitions` VALUES (110917, 4411, 29, 'Chương trình Không Liên bang Khác');
INSERT INTO `lang_definitions` VALUES (110918, 4412, 29, 'Ghi chú Khác');
INSERT INTO `lang_definitions` VALUES (110919, 4413, 29, 'Các triệu chứng Phù hợp Khác');
INSERT INTO `lang_definitions` VALUES (110920, 4414, 29, 'Các triệu chứng Phù hợp Khác:');
INSERT INTO `lang_definitions` VALUES (110921, 4415, 29, 'Các pt resp khác');
INSERT INTO `lang_definitions` VALUES (110922, 4416, 29, 'Tổn thương do căn thẳng/quá liều khác');
INSERT INTO `lang_definitions` VALUES (110923, 4417, 29, 'Phẫu thuật Khác');
INSERT INTO `lang_definitions` VALUES (110924, 4418, 29, 'Liên quan đến Phá thai Khác/Chung chung');
INSERT INTO `lang_definitions` VALUES (110925, 4420, 29, 'Ngôn ngữ khác');
INSERT INTO `lang_definitions` VALUES (110926, 4421, 29, 'nếu không bạn sẽ phá hủy các tham chiếu đến/từ dữ liệu hiện có.');
INSERT INTO `lang_definitions` VALUES (110927, 4422, 29, 'Ottawa mắt cá Rules');
INSERT INTO `lang_definitions` VALUES (110928, 4423, 29, 'Đường uống');
INSERT INTO `lang_definitions` VALUES (110929, 4424, 29, 'NGOÀI');
INSERT INTO `lang_definitions` VALUES (110930, 4425, 29, 'Ngoài Văn phòng');
INSERT INTO `lang_definitions` VALUES (110931, 4426, 29, 'Giới thiệu Ra ngoài');
INSERT INTO `lang_definitions` VALUES (110932, 4427, 29, 'Kết quả');
INSERT INTO `lang_definitions` VALUES (110933, 4428, 29, 'Outlook');
INSERT INTO `lang_definitions` VALUES (110934, 4431, 29, 'QUÁ HẠN');
INSERT INTO `lang_definitions` VALUES (110935, 4432, 29, 'Việc sử dụng quá');
INSERT INTO `lang_definitions` VALUES (110936, 4434, 29, 'Thừa cân');
INSERT INTO `lang_definitions` VALUES (110937, 4435, 29, 'Ghi đè lên HIPAA sự lựa chọn');
INSERT INTO `lang_definitions` VALUES (110938, 4437, 29, 'Oxygen Saturation');
INSERT INTO `lang_definitions` VALUES (110939, 4439, 29, 'P');
INSERT INTO `lang_definitions` VALUES (110940, 4440, 29, 'sau khi ăn');
INSERT INTO `lang_definitions` VALUES (110941, 4441, 29, 'chiều tối');
INSERT INTO `lang_definitions` VALUES (110942, 4442, 29, 'khi cần');
INSERT INTO `lang_definitions` VALUES (110943, 4443, 29, 'Đảo Thái Bình Dương');
INSERT INTO `lang_definitions` VALUES (110944, 4444, 29, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (110945, 4445, 29, 'Trang');
INSERT INTO `lang_definitions` VALUES (110946, 4446, 29, 'Trang');
INSERT INTO `lang_definitions` VALUES (110947, 4447, 29, 'Trả');
INSERT INTO `lang_definitions` VALUES (110948, 4448, 29, 'Trả số tiền mà bạn sẽ phân bổ');
INSERT INTO `lang_definitions` VALUES (110949, 4450, 29, 'Thanh toán qua');
INSERT INTO `lang_definitions` VALUES (110950, 4451, 29, 'Đau');
INSERT INTO `lang_definitions` VALUES (110951, 4453, 29, 'Sự nhảy động');
INSERT INTO `lang_definitions` VALUES (110952, 4455, 29, 'Pap Smear');
INSERT INTO `lang_definitions` VALUES (110953, 4458, 29, 'Tê liệt');
INSERT INTO `lang_definitions` VALUES (110954, 4461, 29, 'Phân tích cú pháp HL7');
INSERT INTO `lang_definitions` VALUES (110955, 4463, 29, 'Đối tác');
INSERT INTO `lang_definitions` VALUES (110956, 4464, 29, 'Đối tác Tên');
INSERT INTO `lang_definitions` VALUES (110957, 4467, 29, 'Mật khẩu');
INSERT INTO `lang_definitions` VALUES (110958, 4468, 29, 'Mật khẩu để giải mã tài liệu');
INSERT INTO `lang_definitions` VALUES (110959, 4469, 29, 'Bệnh nhân Qua đời');
INSERT INTO `lang_definitions` VALUES (110960, 4470, 29, 'Cảnh báo Thụ động');
INSERT INTO `lang_definitions` VALUES (110961, 4471, 29, 'Quy tắc Cảnh báo Thụ động');
INSERT INTO `lang_definitions` VALUES (110962, 4472, 29, 'Mật khẩu');
INSERT INTO `lang_definitions` VALUES (110963, 4473, 29, 'Thay đổi Mật khẩu');
INSERT INTO `lang_definitions` VALUES (110964, 4475, 29, 'Thay đổi mật khẩu thành công.');
INSERT INTO `lang_definitions` VALUES (110965, 4477, 29, 'Giai đoạn mật khẩu sắp hết hạn');
INSERT INTO `lang_definitions` VALUES (110966, 4479, 29, 'Mật khẩu cho cổng điện thoại. Tự động dịch vụ VoIP được cung cấp bởi Maviq. Vui lòng truy cập http://signup.maviq.com để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (110967, 4480, 29, 'Mật khẩu cho SMS Gateway');
INSERT INTO `lang_definitions` VALUES (110968, 4481, 29, 'Mật khẩu cho SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (110969, 4483, 29, 'Bảo mật mật khẩu gần đây đã được nâng cấp.');
INSERT INTO `lang_definitions` VALUES (110970, 4486, 29, 'Mật khẩu:');
INSERT INTO `lang_definitions` VALUES (110971, 4490, 29, 'Quá hạn');
INSERT INTO `lang_definitions` VALUES (110972, 4491, 29, 'Quá Hạn');
INSERT INTO `lang_definitions` VALUES (110973, 4492, 29, 'Thời khoảng Quá Hạn (Nhắc nhở Lâm sàng)');
INSERT INTO `lang_definitions` VALUES (110974, 4493, 29, 'Thời khoảng Quá Hạn (Nhắc nhở Bệnh nhân)');
INSERT INTO `lang_definitions` VALUES (110975, 4494, 29, 'Danh sách Lần khám Trước đây');
INSERT INTO `lang_definitions` VALUES (110976, 4495, 29, 'Lần khám Trước đây');
INSERT INTO `lang_definitions` VALUES (110977, 4496, 29, 'Lần khám và Tài liệu Trước đây');
INSERT INTO `lang_definitions` VALUES (110978, 4497, 29, 'Lần khám Trước đây của');
INSERT INTO `lang_definitions` VALUES (110979, 4498, 29, 'Dán HL7 Data');
INSERT INTO `lang_definitions` VALUES (110980, 4499, 29, 'Dán dữ liệu để nhập khẩu vào khu vực văn bản dưới đây:');
INSERT INTO `lang_definitions` VALUES (110981, 4500, 29, 'Pat');
INSERT INTO `lang_definitions` VALUES (110982, 4502, 29, 'Bản vá');
INSERT INTO `lang_definitions` VALUES (110983, 4508, 29, 'Con đường cho sao lưu Event Log');
INSERT INTO `lang_definitions` VALUES (110984, 4509, 29, 'Đường dẫn File chứng chỉ CA');
INSERT INTO `lang_definitions` VALUES (110985, 4510, 29, 'Đường dẫn đến File Key CA');
INSERT INTO `lang_definitions` VALUES (110986, 4511, 29, 'Đường dẫn đến MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (110987, 4512, 29, 'Đường dẫn đến Perl Binaries');
INSERT INTO `lang_definitions` VALUES (110988, 4513, 29, 'Đường dẫn đến tập tin tạm thời');
INSERT INTO `lang_definitions` VALUES (110989, 4514, 29, 'Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (110990, 4515, 29, 'bệnh nhân');
INSERT INTO `lang_definitions` VALUES (110991, 4516, 29, 'BỆNH NHÂN');
INSERT INTO `lang_definitions` VALUES (110992, 4521, 29, 'Bệnh nhân dị ứng');
INSERT INTO `lang_definitions` VALUES (110993, 4522, 29, 'Bệnh nhân dị ứng');
INSERT INTO `lang_definitions` VALUES (110994, 4523, 29, 'Bệnh nhân bổ nhiệm');
INSERT INTO `lang_definitions` VALUES (110995, 4528, 29, 'Bệnh nhân biểu đồ ID');
INSERT INTO `lang_definitions` VALUES (110996, 4529, 29, 'Bệnh nhân Thanh toán');
INSERT INTO `lang_definitions` VALUES (110997, 4530, 29, 'Bệnh nhân Thanh toán cho ');
INSERT INTO `lang_definitions` VALUES (110998, 4531, 29, 'Bệnh nhân Thành phố');
INSERT INTO `lang_definitions` VALUES (110999, 4533, 29, 'Bệnh nhân Truyền thông đã gửi');
INSERT INTO `lang_definitions` VALUES (111000, 4534, 29, 'Bệnh nhân Comunication đã gửi');
INSERT INTO `lang_definitions` VALUES (111001, 4535, 29, 'Bệnh nhân Quốc gia');
INSERT INTO `lang_definitions` VALUES (111002, 4539, 29, 'Dữ liệu Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111003, 4541, 29, 'Thiếu Ngày Sinh của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111004, 4542, 29, 'Chi tiết Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111005, 4543, 29, 'Ngày sinh của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111006, 4544, 29, 'Tài liệu của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111007, 4545, 29, 'Nghiên cứu Bệnh lý');
INSERT INTO `lang_definitions` VALUES (111008, 4546, 29, 'Phương tiện Nghiên cứu Bệnh lý');
INSERT INTO `lang_definitions` VALUES (111009, 4547, 29, 'Bệnh nhân gặp');
INSERT INTO `lang_definitions` VALUES (111010, 4548, 29, 'Biểu mẫu Lần khám của Bệnh Nhân');
INSERT INTO `lang_definitions` VALUES (111011, 4549, 29, 'Các lần khám của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111012, 4550, 29, 'Tìm kiếm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111013, 4551, 29, 'Tên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111014, 4553, 29, 'Thiếu tên bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111015, 4558, 29, 'Giới tính của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111016, 4559, 29, 'Thiếu Giới tính của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111017, 4560, 29, 'Bệnh nhân đã không được uỷ quyền là Cổng thông tin bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (111018, 4561, 29, 'Lịch sử Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111019, 4562, 29, 'Lịch sử Bệnh nhân / Lối sống');
INSERT INTO `lang_definitions` VALUES (111020, 4563, 29, 'Điện thoại nhà Bệnh Nhân');
INSERT INTO `lang_definitions` VALUES (111021, 4564, 29, 'Bệnh nhân ID');
INSERT INTO `lang_definitions` VALUES (111022, 4566, 29, 'Bệnh nhân ID card');
INSERT INTO `lang_definitions` VALUES (111023, 4567, 29, 'Tên Thể loại ID bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111024, 4568, 29, 'Bệnh nhân Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (111025, 4569, 29, 'Thông tin Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111026, 4570, 29, 'Hướng dẫn Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111027, 4571, 29, 'Bảo hiểm Phân phối Bệnh Nhân');
INSERT INTO `lang_definitions` VALUES (111028, 4572, 29, 'Báo cáo phân phối bảo hiểm bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111029, 4573, 29, 'Bệnh nhân vấn đề');
INSERT INTO `lang_definitions` VALUES (111030, 4575, 29, 'Bệnh nhân cuối tên');
INSERT INTO `lang_definitions` VALUES (111031, 4581, 29, 'Bệnh nhân Danh sách');
INSERT INTO `lang_definitions` VALUES (111032, 4586, 29, 'Bệnh nhân Lookup lỗi');
INSERT INTO `lang_definitions` VALUES (111033, 4587, 29, 'Bệnh nhân y tế vấn đề');
INSERT INTO `lang_definitions` VALUES (111034, 4588, 29, 'Bệnh nhân thuốc');
INSERT INTO `lang_definitions` VALUES (111035, 4589, 29, 'Tên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111036, 4590, 29, 'Tên và Địa chỉ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111037, 4593, 29, 'Phải có Tên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111038, 4595, 29, 'Ghi chú về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111039, 4596, 29, 'Các loại Ghi chú về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111040, 4597, 29, 'Ghi chú về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111041, 4598, 29, 'Ghi chú Bệnh nhân (tùy chọn cho ghi, chỉ thêm)');
INSERT INTO `lang_definitions` VALUES (111042, 4599, 29, 'Số của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111043, 4600, 29, 'Bệnh nhân Thanh toán');
INSERT INTO `lang_definitions` VALUES (111044, 4602, 29, 'Tên Thể loại ảnh bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111045, 4603, 29, 'Bệnh nhân Portal');
INSERT INTO `lang_definitions` VALUES (111046, 4605, 29, 'Cổng thông tin bệnh nhân bị tắt');
INSERT INTO `lang_definitions` VALUES (111047, 4606, 29, 'Bệnh nhân Cổng Thông tin Đăng nhập');
INSERT INTO `lang_definitions` VALUES (111048, 4607, 29, 'Địa chỉ Web Portal bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111049, 4608, 29, 'Bệnh nhân In Báo cáo');
INSERT INTO `lang_definitions` VALUES (111050, 4609, 29, 'Báo cáo bệnh nhân ghi');
INSERT INTO `lang_definitions` VALUES (111051, 4610, 29, 'Yêu cầu Hồ sơ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111052, 4611, 29, 'Yêu cầu các Hồ sơ Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111053, 4613, 29, 'Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111054, 4614, 29, 'Hàng loạt Việc Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111055, 4616, 29, 'Quy luật Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111056, 4617, 29, 'Email Người gửi Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111057, 4618, 29, 'Tên Người gửi Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111058, 4619, 29, 'Nhắc nhở về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111059, 4620, 29, 'Báo cáo về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111060, 4621, 29, 'Yêu cầu của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111061, 4622, 29, 'Hồ sơ Y tế của Bệnh nhân được Yêu cầu');
INSERT INTO `lang_definitions` VALUES (111062, 4623, 29, 'Kết quả về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111063, 4624, 29, 'Kiểu Kết quả Tìm kiếm về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111064, 4625, 29, 'Màn hình Tìm kiếm / Thêm Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111065, 4626, 29, 'Thiết lập của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111066, 4627, 29, 'Tiểu bang của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111067, 4629, 29, 'Tóm lượt về Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111068, 4630, 29, 'Giao dịch của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111069, 4631, 29, 'Mã Zip của Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111070, 4632, 29, 'bệnh nhân (s) trong cơ sở dữ liệu phù hợp với các thông tin nhân khẩu học mà bạn đã nhập.');
INSERT INTO `lang_definitions` VALUES (111071, 4633, 29, 'Bệnh nhân / Khách hàng');
INSERT INTO `lang_definitions` VALUES (111072, 4634, 29, 'Bệnh nhân:');
INSERT INTO `lang_definitions` VALUES (111073, 4635, 29, 'PatientID');
INSERT INTO `lang_definitions` VALUES (111074, 4636, 29, 'Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111075, 4638, 29, 'Trả');
INSERT INTO `lang_definitions` VALUES (111076, 4639, 29, 'Hãy chú ý \"Done\" hộp kiểm tra. Sau khi bảo hiểm được đánh dấu đầy đủ thì chúng ta sẽ bắt đầu yêu cầu bệnh nhân phải trả số dư còn lại, nếu bạn không đánh dấu tất cả các loại bảo hiểm hoàn thành thì số tiền còn lại sẽ không được thu thập! Ngoài ra nếu có một sự cân bằng mà bệnh nhân phải trả tiền, sau đó thiết lập ngày hết hạn một cách thích hợp, vì điều này sẽ ảnh hưởng đến ngôn ngữ xuất hiện trên báo cáo bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (111077, 4640, 29, 'Trả ngày:');
INSERT INTO `lang_definitions` VALUES (111078, 4641, 29, 'Trả Status');
INSERT INTO `lang_definitions` VALUES (111079, 4642, 29, 'Người nhận thanh toán Name');
INSERT INTO `lang_definitions` VALUES (111080, 4643, 29, 'Đối tượng nộp');
INSERT INTO `lang_definitions` VALUES (111081, 4644, 29, 'Đối tượng nộp Loại');
INSERT INTO `lang_definitions` VALUES (111082, 4645, 29, 'Thanh toán');
INSERT INTO `lang_definitions` VALUES (111083, 4646, 29, 'Thanh toán Entity');
INSERT INTO `lang_definitions` VALUES (111084, 4647, 29, 'Thanh toán');
INSERT INTO `lang_definitions` VALUES (111085, 4648, 29, 'thanh toán');
INSERT INTO `lang_definitions` VALUES (111086, 4649, 29, 'Mã Điều chỉnh Thanh toán');
INSERT INTO `lang_definitions` VALUES (111087, 4651, 29, 'Khoản tiền thanh toán');
INSERT INTO `lang_definitions` VALUES (111088, 4652, 29, 'Khoản tiền thanh toán phải là Numeric');
INSERT INTO `lang_definitions` VALUES (111089, 4653, 29, 'Thanh toán Thể loại');
INSERT INTO `lang_definitions` VALUES (111090, 4654, 29, 'Thanh toán ngày');
INSERT INTO `lang_definitions` VALUES (111091, 4655, 29, 'thanh toán được nhập vào');
INSERT INTO `lang_definitions` VALUES (111092, 4656, 29, 'Thanh toán Từ');
INSERT INTO `lang_definitions` VALUES (111093, 4658, 29, 'Thanh toán Ins');
INSERT INTO `lang_definitions` VALUES (111094, 4659, 29, 'Thanh toán Danh sách');
INSERT INTO `lang_definitions` VALUES (111095, 4660, 29, 'Phương thức thanh toán');
INSERT INTO `lang_definitions` VALUES (111096, 4661, 29, 'Thanh toán Sắp xếp theo');
INSERT INTO `lang_definitions` VALUES (111097, 4662, 29, 'Thanh toán Tình trạng');
INSERT INTO `lang_definitions` VALUES (111098, 4663, 29, 'Loại thanh toán');
INSERT INTO `lang_definitions` VALUES (111099, 4664, 29, 'Giá trị thanh toán cho mã ');
INSERT INTO `lang_definitions` VALUES (111100, 4665, 29, 'Thanh toán');
INSERT INTO `lang_definitions` VALUES (111101, 4667, 29, 'PCP');
INSERT INTO `lang_definitions` VALUES (111102, 4669, 29, 'PDF');
INSERT INTO `lang_definitions` VALUES (111103, 4670, 29, 'PDF Download Báo cáo lựa chọn');
INSERT INTO `lang_definitions` VALUES (111104, 4672, 29, 'Xương chậu và mông');
INSERT INTO `lang_definitions` VALUES (111105, 4673, 29, 'Bịnh có mụt nước trên da');
INSERT INTO `lang_definitions` VALUES (111106, 4674, 29, 'Đang chờ');
INSERT INTO `lang_definitions` VALUES (111107, 4676, 29, 'Đang chờ T / D');
INSERT INTO `lang_definitions` VALUES (111108, 4677, 29, 'Đang chờ Theo dõi');
INSERT INTO `lang_definitions` VALUES (111109, 4678, 29, 'Đang chờ Theo dõi Kết quả');
INSERT INTO `lang_definitions` VALUES (111110, 4679, 29, 'Đơn hàng Đang chờ');
INSERT INTO `lang_definitions` VALUES (111111, 4680, 29, 'Trong khi chờ Res');
INSERT INTO `lang_definitions` VALUES (111112, 4681, 29, 'Đang chờ Xem xét');
INSERT INTO `lang_definitions` VALUES (111113, 4682, 29, 'Trong khi chờ Rx Lượt');
INSERT INTO `lang_definitions` VALUES (111114, 4684, 29, 'Pennington Công ty LibreEHR v');
INSERT INTO `lang_definitions` VALUES (111115, 4685, 29, 'Bệnh loét dạ dày');
INSERT INTO `lang_definitions` VALUES (111116, 4687, 29, 'mỗi phút');
INSERT INTO `lang_definitions` VALUES (111117, 4688, 29, 'Mỗi lỗ mũi');
INSERT INTO `lang_definitions` VALUES (111118, 4689, 29, 'mỗi lỗ mũi');
INSERT INTO `lang_definitions` VALUES (111119, 4690, 29, 'Uống');
INSERT INTO `lang_definitions` VALUES (111120, 4691, 29, 'uống');
INSERT INTO `lang_definitions` VALUES (111121, 4692, 29, 'Nhét hậu môn');
INSERT INTO `lang_definitions` VALUES (111122, 4693, 29, 'mỗi trực tràng');
INSERT INTO `lang_definitions` VALUES (111123, 4694, 29, 'Tỷ lệ phần trăm');
INSERT INTO `lang_definitions` VALUES (111124, 4697, 29, 'Phần Trăm');
INSERT INTO `lang_definitions` VALUES (111125, 4698, 29, 'Đục phải:');
INSERT INTO `lang_definitions` VALUES (111126, 4699, 29, 'Thực hiện Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (111127, 4700, 29, 'Thực hiện hành động này');
INSERT INTO `lang_definitions` VALUES (111128, 4701, 29, 'Hiệu suất Tỷ lệ phần trăm');
INSERT INTO `lang_definitions` VALUES (111129, 4703, 29, 'Thực hiện Cơ sở phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (111130, 4705, 29, 'Dấu chấm');
INSERT INTO `lang_definitions` VALUES (111131, 4706, 29, 'Thời gian trong ngày mà người dùng có thể đăng nhập bằng một mật khẩu hết hạn.');
INSERT INTO `lang_definitions` VALUES (111132, 4707, 29, 'Perioperative Chăm sóc');
INSERT INTO `lang_definitions` VALUES (111133, 4708, 29, 'Thiết bị ngoại vi');
INSERT INTO `lang_definitions` VALUES (111134, 4712, 29, 'Người');
INSERT INTO `lang_definitions` VALUES (111135, 4713, 29, 'Cá nhân');
INSERT INTO `lang_definitions` VALUES (111136, 4714, 29, 'PG');
INSERT INTO `lang_definitions` VALUES (111137, 4715, 29, 'Pharm');
INSERT INTO `lang_definitions` VALUES (111138, 4716, 29, 'Pharm Com Lượt');
INSERT INTO `lang_definitions` VALUES (111139, 4717, 29, 'Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (111140, 4718, 29, 'Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (111141, 4719, 29, 'Dược bệnh xá');
INSERT INTO `lang_definitions` VALUES (111142, 4720, 29, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (111143, 4729, 29, 'Điện thoại');
INSERT INTO `lang_definitions` VALUES (111144, 4730, 29, 'Danh sách cuộc gọi điện thoại');
INSERT INTO `lang_definitions` VALUES (111145, 4733, 29, 'Điện thoại Cổng Mật khẩu');
INSERT INTO `lang_definitions` VALUES (111146, 4734, 29, 'Cổng URL điện thoại');
INSERT INTO `lang_definitions` VALUES (111147, 4735, 29, 'Cổng Tên đăng nhập điện thoại');
INSERT INTO `lang_definitions` VALUES (111148, 4737, 29, 'Thông báo Giờ điện thoại');
INSERT INTO `lang_definitions` VALUES (111149, 4738, 29, 'Số điện thoại');
INSERT INTO `lang_definitions` VALUES (111150, 4740, 29, 'Chứng sợ ánh sáng');
INSERT INTO `lang_definitions` VALUES (111151, 4741, 29, 'Hình ảnh');
INSERT INTO `lang_definitions` VALUES (111152, 4742, 29, 'PHP nén');
INSERT INTO `lang_definitions` VALUES (111153, 4743, 29, 'PHP cURL mô-đun nên được cho phép trong máy chủ của bạn.');
INSERT INTO `lang_definitions` VALUES (111154, 4744, 29, 'đã trích xuất PHP');
INSERT INTO `lang_definitions` VALUES (111155, 4745, 29, 'kiểm soát truy cập được php-GACL tắt');
INSERT INTO `lang_definitions` VALUES (111156, 4746, 29, 'PHP-gacl không được cài đặt');
INSERT INTO `lang_definitions` VALUES (111157, 4747, 29, 'Vật lý thi');
INSERT INTO `lang_definitions` VALUES (111158, 4749, 29, 'Bác sĩ yêu cầu');
INSERT INTO `lang_definitions` VALUES (111159, 4750, 29, 'Bác sĩ Chữ ký');
INSERT INTO `lang_definitions` VALUES (111160, 4752, 29, 'Bác sĩ');
INSERT INTO `lang_definitions` VALUES (111161, 4753, 29, 'chọn');
INSERT INTO `lang_definitions` VALUES (111162, 4754, 29, 'Chọn');
INSERT INTO `lang_definitions` VALUES (111163, 4755, 29, 'Chọn một chủ đề CSS.');
INSERT INTO `lang_definitions` VALUES (111164, 4756, 29, 'PID');
INSERT INTO `lang_definitions` VALUES (111165, 4757, 29, 'PID (viêm vùng chậu)');
INSERT INTO `lang_definitions` VALUES (111166, 4758, 29, 'Pill Size');
INSERT INTO `lang_definitions` VALUES (111167, 4759, 29, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (111168, 4760, 29, 'Đặt file zip cơ sở dữ liệu trong thư mục sau đây nếu muốn tùy chọn để cài đặt');
INSERT INTO `lang_definitions` VALUES (111169, 4765, 29, 'Giữ chỗ');
INSERT INTO `lang_definitions` VALUES (111170, 4766, 29, 'Giữ chỗ (duy trì ACL trống)');
INSERT INTO `lang_definitions` VALUES (111171, 4767, 29, 'Hoàn toàn là Chữ');
INSERT INTO `lang_definitions` VALUES (111172, 4768, 29, 'Kế hoạch (Plan)');
INSERT INTO `lang_definitions` VALUES (111173, 4771, 29, 'Tên Kế hoạch');
INSERT INTO `lang_definitions` VALUES (111174, 4775, 29, 'Kế hoạch Set');
INSERT INTO `lang_definitions` VALUES (111175, 4779, 29, 'Kế hoạch:');
INSERT INTO `lang_definitions` VALUES (111176, 4782, 29, 'Kế hoạch');
INSERT INTO `lang_definitions` VALUES (111177, 4784, 29, 'Thủ');
INSERT INTO `lang_definitions` VALUES (111178, 4785, 29, 'Chơi Chức vụ');
INSERT INTO `lang_definitions` VALUES (111179, 4786, 29, 'Xin vui lòng gọi nếu có của các thông tin trên là không chính xác');
INSERT INTO `lang_definitions` VALUES (111180, 4787, 29, 'Xin vui lòng thay đổi mật khẩu của bạn.');
INSERT INTO `lang_definitions` VALUES (111181, 4788, 29, 'Chọn một tập tin');
INSERT INTO `lang_definitions` VALUES (111182, 4789, 29, 'Vui lòng chọn một bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111183, 4790, 29, 'Hãy chọn một lựa chọn hợp lệ từ danh sách.');
INSERT INTO `lang_definitions` VALUES (111184, 4791, 29, 'Hãy chọn một lựa chọn hợp lệ.');
INSERT INTO `lang_definitions` VALUES (111185, 4792, 29, 'Xin vui lòng lựa chọn một giá trị cho');
INSERT INTO `lang_definitions` VALUES (111186, 4793, 29, 'Xin vui lòng lựa chọn tiêu chuẩn phạm vi ngày ở trên, và nhấn Refresh để xem kết quả.');
INSERT INTO `lang_definitions` VALUES (111187, 4794, 29, 'Xin vui lòng lựa chọn đúng định dạng tệp tin EDI-271');
INSERT INTO `lang_definitions` VALUES (111188, 4795, 29, 'Vui lòng Click vào nút download để tải về De dữ liệu Xác định');
INSERT INTO `lang_definitions` VALUES (111189, 4796, 29, 'Vui lòng Click vào nút download để tải về các dữ liệu Re Xác định');
INSERT INTO `lang_definitions` VALUES (111190, 4797, 29, 'Hãy đóng cửa sổ này.');
INSERT INTO `lang_definitions` VALUES (111191, 4798, 29, 'Xin hãy so sánh tên mới');
INSERT INTO `lang_definitions` VALUES (111192, 4802, 29, 'Xin vui lòng không chấp nhận toa thuốc này, trừ khi nó đã được nhận thông qua facimile.');
INSERT INTO `lang_definitions` VALUES (111193, 4803, 29, 'Xin vui lòng không chấp nhận toa thuốc này, trừ khi nó đã được nhận qua fax.');
INSERT INTO `lang_definitions` VALUES (111194, 4804, 29, 'Xin vui lòng sử dụng trình duyệt của bạn ngừng hoặc tải lại nút trong khi trang đang chạy trừ khi hơn 10 phút đã trôi qua, điều này sẽ không gây ra quá trình dừng lại trên máy chủ và sẽ tiêu thụ tài nguyên uneccesary.');
INSERT INTO `lang_definitions` VALUES (111195, 4809, 29, 'Xin vui lòng nhập một ngày để xem lại lần cuối.');
INSERT INTO `lang_definitions` VALUES (111196, 4810, 29, 'Xin vui lòng nhập một ngày.');
INSERT INTO `lang_definitions` VALUES (111197, 4813, 29, 'Xin vui lòng nhập một số lượng tiền tệ bằng cách sử dụng số duy nhất và là một điểm thập phân.');
INSERT INTO `lang_definitions` VALUES (111198, 4814, 29, 'Nhập mật khẩu mới');
INSERT INTO `lang_definitions` VALUES (111199, 4815, 29, 'Xin vui lòng nhập một tiêu đề!');
INSERT INTO `lang_definitions` VALUES (111200, 4819, 29, 'Xin vui lòng nhập chính xác mã nhận dạng Re');
INSERT INTO `lang_definitions` VALUES (111201, 4821, 29, 'Xin vui lòng nhập chuỗi tìm kiếm mới');
INSERT INTO `lang_definitions` VALUES (111202, 4822, 29, 'Xin vui lòng nhập mã Re Xác định chính xác');
INSERT INTO `lang_definitions` VALUES (111203, 4823, 29, 'Hãy nhập mật khẩu');
INSERT INTO `lang_definitions` VALUES (111204, 4824, 29, 'Điền vào các số Kiểm tra');
INSERT INTO `lang_definitions` VALUES (111205, 4826, 29, 'Xin vui lòng Điền vào các ngày');
INSERT INTO `lang_definitions` VALUES (111206, 4827, 29, 'Xin vui lòng Điền Số tiền thanh toán');
INSERT INTO `lang_definitions` VALUES (111207, 4828, 29, 'Điền vào các loại thanh toán');
INSERT INTO `lang_definitions` VALUES (111208, 4829, 29, 'Điền vào các thanh toán Từ');
INSERT INTO `lang_definitions` VALUES (111209, 4830, 29, 'Điền vào các bài viết Đến ngày');
INSERT INTO `lang_definitions` VALUES (111210, 4831, 29, 'Xin vui lòng điền vào trong trước khi tiếp tục.');
INSERT INTO `lang_definitions` VALUES (111211, 4832, 29, 'Xin cho biết lý do ghé thăm');
INSERT INTO `lang_definitions` VALUES (111212, 4834, 29, 'Xin vui lòng nhập vào tiêu chí tìm kiếm ở trên, và nhấp Gửi để xem kết quả.');
INSERT INTO `lang_definitions` VALUES (111213, 4835, 29, 'Xin vui lòng nhập vào tiêu chí tìm kiếm ở trên, và nhấn Gửi để xem kết quả. (Kết quả sẽ được hiển thị trong một cửa sổ bật lên)');
INSERT INTO `lang_definitions` VALUES (111214, 4836, 29, 'Vui lòng đăng nhập lại.');
INSERT INTO `lang_definitions` VALUES (111215, 4837, 29, 'Xin lưu ý rằng điều này có thể mất một thời gian rất dài, lên đến vài phút, trình duyệt web của bạn không có thể xuất hiện rất tích cực trong thời gian này, nhưng tạo ra một dự luật là một quá trình phức tạp và trình duyệt web của bạn chỉ đơn thuần chờ đợi để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (111216, 4838, 29, 'Lưu ý: hằng số có phân biệt chữ hoa hay thường và chuỗi bất kỳ được cho phép.');
INSERT INTO `lang_definitions` VALUES (111217, 4839, 29, 'Xin vui lòng chỉ sử dụng ký tự chữ cái');
INSERT INTO `lang_definitions` VALUES (111218, 4840, 29, 'Xin vui lòng chỉ sử dụng các ký tự chữ cái không có khoảng cách');
INSERT INTO `lang_definitions` VALUES (111219, 4841, 29, 'Xin vui lòng trả số tiền này');
INSERT INTO `lang_definitions` VALUES (111220, 4843, 29, 'Vui lòng tham khảo tập tin');
INSERT INTO `lang_definitions` VALUES (111221, 4844, 29, 'Vui lòng thiết lập lại mật khẩu.');
INSERT INTO `lang_definitions` VALUES (111222, 4845, 29, 'Hãy khởi động lại máy chủ apache trước khi chơi với de-nhận dạng');
INSERT INTO `lang_definitions` VALUES (111223, 4849, 29, 'Hãy chọn một ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (111224, 4850, 29, 'Chọn một bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (111225, 4851, 29, 'Hãy chọn một cơ sở kinh doanh thực thể tiểu học với \'Tax ID\' là ID Thuế cơ sở của bạn. Nếu bạn là một học viên cá nhân, sử dụng id thuế của bạn. Điều này được sử dụng để xác định bạn trong hệ thống NewCrop.');
INSERT INTO `lang_definitions` VALUES (111226, 4855, 29, 'Hãy chọn một ngày bắt đầu và ngày kết thúc');
INSERT INTO `lang_definitions` VALUES (111227, 4858, 29, 'Hãy chọn một lý do điều chỉnh cho mã ');
INSERT INTO `lang_definitions` VALUES (111228, 4859, 29, 'Hãy chọn một sự kiện');
INSERT INTO `lang_definitions` VALUES (111229, 4860, 29, 'Hãy chọn bất kỳ tùy chọn tìm kiếm.');
INSERT INTO `lang_definitions` VALUES (111230, 4863, 29, 'Vui lòng chọn ít nhất một đơn thuốc!');
INSERT INTO `lang_definitions` VALUES (111231, 4865, 29, 'Hãy chọn trang bạn muốn sao chép hoặc chuyển tiếp:');
INSERT INTO `lang_definitions` VALUES (111232, 4866, 29, 'Chọn Phương thức thanh toán');
INSERT INTO `lang_definitions` VALUES (111233, 4869, 29, 'Xin vui lòng chọn X12 đối tác, cần thiết để tạo ra hàng loạt 270');
INSERT INTO `lang_definitions` VALUES (111234, 4870, 29, 'Xin vui lòng thiết lập');
INSERT INTO `lang_definitions` VALUES (111235, 4871, 29, 'Xin vui lòng thiết lập lại biến de_identification_config không');
INSERT INTO `lang_definitions` VALUES (111236, 4873, 29, 'Hãy bắt đầu quá trình nhận dạng De');
INSERT INTO `lang_definitions` VALUES (111237, 4874, 29, 'Xin vui lòng nâng cấp LibreEHR Cơ sở dữ liệu bao gồm các thủ tục nhận dạng De, chức năng, bảng');
INSERT INTO `lang_definitions` VALUES (111238, 4875, 29, 'Xin vui lòng xem bảng De Xác định lỗi đăng nhập để biết thêm chi tiết');
INSERT INTO `lang_definitions` VALUES (111239, 4876, 29, 'Vui lòng truy cập vào màn hình nhận dạng De sau một thời gian');
INSERT INTO `lang_definitions` VALUES (111240, 4877, 29, 'Vui lòng truy cập vào màn hình nhận dạng Re sau một thời gian');
INSERT INTO `lang_definitions` VALUES (111241, 4878, 29, 'Vui lòng truy cập vào màn hình sau một thời gian');
INSERT INTO `lang_definitions` VALUES (111242, 4882, 29, 'PM');
INSERT INTO `lang_definitions` VALUES (111243, 4883, 29, 'PM Chương trình');
INSERT INTO `lang_definitions` VALUES (111244, 4884, 29, 'Pmt Phương pháp');
INSERT INTO `lang_definitions` VALUES (111245, 4885, 29, 'PND');
INSERT INTO `lang_definitions` VALUES (111246, 4886, 29, 'Liên cầu khuẩn 1');
INSERT INTO `lang_definitions` VALUES (111247, 4887, 29, 'Liên cầu khuẩn 2');
INSERT INTO `lang_definitions` VALUES (111248, 4888, 29, 'Liên cầu khuẩn 3');
INSERT INTO `lang_definitions` VALUES (111249, 4889, 29, 'Liên cầu khuẩn 4');
INSERT INTO `lang_definitions` VALUES (111250, 4890, 29, 'Phế cầu khuẩn Vắc-xin');
INSERT INTO `lang_definitions` VALUES (111251, 4891, 29, 'Viêm phổi tiêm phòng vắc xin');
INSERT INTO `lang_definitions` VALUES (111252, 4892, 29, 'Tình trạng tiêm phòng vắc xin viêm phổi cho những người có tuổi');
INSERT INTO `lang_definitions` VALUES (111253, 4893, 29, 'Tình trạng tiêm phòng vắc xin viêm phổi cho những người có tuổi (CQM)');
INSERT INTO `lang_definitions` VALUES (111254, 4894, 29, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (111255, 4896, 29, 'Điểm dịch vụ (POS)');
INSERT INTO `lang_definitions` VALUES (111256, 4897, 29, 'Chính sách');
INSERT INTO `lang_definitions` VALUES (111257, 4898, 29, 'Chính sách Không có');
INSERT INTO `lang_definitions` VALUES (111258, 4899, 29, 'Số hợp đồng bảo hiểm');
INSERT INTO `lang_definitions` VALUES (111259, 4900, 29, 'Ba Lan');
INSERT INTO `lang_definitions` VALUES (111260, 4901, 29, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (111261, 4902, 29, 'Polyp');
INSERT INTO `lang_definitions` VALUES (111262, 4903, 29, 'Polyuria');
INSERT INTO `lang_definitions` VALUES (111263, 4904, 29, 'Ăn không ngon miệng');
INSERT INTO `lang_definitions` VALUES (111264, 4905, 29, 'Người nghèo lưu hành');
INSERT INTO `lang_definitions` VALUES (111265, 4906, 29, 'Nghèo thính');
INSERT INTO `lang_definitions` VALUES (111266, 4907, 29, 'Cần phải kích hoạt cửa sổ mở lên (pop up) để xem các báo cáo này');
INSERT INTO `lang_definitions` VALUES (111267, 4908, 29, 'Tạo ra cách nhìn một năm với các sự kiện không?');
INSERT INTO `lang_definitions` VALUES (111268, 4909, 29, 'Mở lên (popup)');
INSERT INTO `lang_definitions` VALUES (111269, 4911, 29, 'Hoạt động Cổng thông tin');
INSERT INTO `lang_definitions` VALUES (111270, 4917, 29, 'Tiếng Bồ Đào Nha');
INSERT INTO `lang_definitions` VALUES (111271, 4918, 29, 'Tiếng Bồ Đào Nha (Brazil)');
INSERT INTO `lang_definitions` VALUES (111272, 4919, 29, 'Tiếng Bồ Đào Nha (châu Âu)');
INSERT INTO `lang_definitions` VALUES (111273, 4920, 29, 'Mã POS');
INSERT INTO `lang_definitions` VALUES (111274, 4922, 29, 'Tích cực');
INSERT INTO `lang_definitions` VALUES (111275, 4923, 29, 'Tích cực');
INSERT INTO `lang_definitions` VALUES (111276, 4925, 29, 'Đăng Đối với');
INSERT INTO `lang_definitions` VALUES (111277, 4926, 29, 'Đăng mũi nhỏ giọt');
INSERT INTO `lang_definitions` VALUES (111278, 4927, 29, 'Gửi thanh toán');
INSERT INTO `lang_definitions` VALUES (111279, 4928, 29, 'Đăng phẫu thuật');
INSERT INTO `lang_definitions` VALUES (111280, 4929, 29, 'Đăng kế toán và đánh dấu như lập hoá đơn');
INSERT INTO `lang_definitions` VALUES (111281, 4930, 29, 'Đăng Đến ngày');
INSERT INTO `lang_definitions` VALUES (111282, 4931, 29, 'Đăng Đến ngày không được lớn hơn Hôm nay');
INSERT INTO `lang_definitions` VALUES (111283, 4932, 29, 'Đăng Đến ngày Phải lớn hơn Ngày Đóng tài chính.');
INSERT INTO `lang_definitions` VALUES (111284, 4933, 29, 'Post-Chăm Sóc phá thai');
INSERT INTO `lang_definitions` VALUES (111285, 4934, 29, 'Sau phá thai Ngừa thai');
INSERT INTO `lang_definitions` VALUES (111286, 4935, 29, 'Sau phá thai Tư vấn');
INSERT INTO `lang_definitions` VALUES (111287, 4936, 29, 'Sau phá thai tiếp theo');
INSERT INTO `lang_definitions` VALUES (111288, 4937, 29, 'Bưu chính');
INSERT INTO `lang_definitions` VALUES (111289, 4938, 29, 'Mã bưu chính');
INSERT INTO `lang_definitions` VALUES (111290, 4939, 29, 'Mã bưu chính');
INSERT INTO `lang_definitions` VALUES (111291, 4941, 29, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (111292, 4942, 29, 'PostCalendar Quản trị');
INSERT INTO `lang_definitions` VALUES (111293, 4943, 29, 'Cài đặt PostCalendar Thể loại');
INSERT INTO `lang_definitions` VALUES (111294, 4944, 29, 'PostCalendar Cài đặt toàn cầu');
INSERT INTO `lang_definitions` VALUES (111295, 4945, 29, 'Được đăng trên');
INSERT INTO `lang_definitions` VALUES (111296, 4946, 29, 'Ngày gửi');
INSERT INTO `lang_definitions` VALUES (111297, 4948, 29, 'Powered by:');
INSERT INTO `lang_definitions` VALUES (111298, 4949, 29, 'PPE + Trước Med / Surg HX');
INSERT INTO `lang_definitions` VALUES (111299, 4950, 29, 'PQRI');
INSERT INTO `lang_definitions` VALUES (111300, 4951, 29, 'PQRI Registry ID');
INSERT INTO `lang_definitions` VALUES (111301, 4952, 29, 'PQRI Registry Name');
INSERT INTO `lang_definitions` VALUES (111302, 4953, 29, 'Thực hành');
INSERT INTO `lang_definitions` VALUES (111303, 4954, 29, 'Thiết lập Thực hành Mặc định');
INSERT INTO `lang_definitions` VALUES (111304, 4955, 29, 'Cài đặt Thực hành');
INSERT INTO `lang_definitions` VALUES (111305, 4956, 29, 'Người thực hành');
INSERT INTO `lang_definitions` VALUES (111306, 4959, 29, 'Trước khi thanh toán');
INSERT INTO `lang_definitions` VALUES (111307, 4960, 29, 'Pre-Phá thai Tư vấn');
INSERT INTO `lang_definitions` VALUES (111308, 4961, 29, 'Pre-Phá thai Tư vấn');
INSERT INTO `lang_definitions` VALUES (111309, 4962, 29, 'Loại Ưu tiên');
INSERT INTO `lang_definitions` VALUES (111310, 4964, 29, 'Tùy chọn');
INSERT INTO `lang_definitions` VALUES (111311, 4965, 29, 'Ưu tiên Thể loại Sự kiện');
INSERT INTO `lang_definitions` VALUES (111312, 4966, 29, 'Ưu tiên Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (111313, 4967, 29, 'Ưu tiên Nhà thuốc');
INSERT INTO `lang_definitions` VALUES (111314, 4968, 29, 'Tổ chức Cung cấp Ưu tiên (PPO)');
INSERT INTO `lang_definitions` VALUES (111315, 4969, 29, 'Preg thử nghiệm');
INSERT INTO `lang_definitions` VALUES (111316, 4970, 29, 'Sơ bộ');
INSERT INTO `lang_definitions` VALUES (111317, 4972, 29, 'Trả trước');
INSERT INTO `lang_definitions` VALUES (111318, 4973, 29, 'Toa thuốc');
INSERT INTO `lang_definitions` VALUES (111319, 4974, 29, 'toa thuốc đã đạt đến giới hạn của nó là');
INSERT INTO `lang_definitions` VALUES (111320, 4975, 29, 'Lịch sử Toa thuốc');
INSERT INTO `lang_definitions` VALUES (111321, 4976, 29, 'Đã nhập Lịch sử Toa thuốc thành công');
INSERT INTO `lang_definitions` VALUES (111322, 4977, 29, 'Nhãn Toa thuốc');
INSERT INTO `lang_definitions` VALUES (111323, 4978, 29, 'Báo cáo Toa thuốc');
INSERT INTO `lang_definitions` VALUES (111324, 4979, 29, 'Toa thuốc');
INSERT INTO `lang_definitions` VALUES (111325, 4980, 29, 'Đơn thuốc và Dispensations');
INSERT INTO `lang_definitions` VALUES (111326, 4981, 29, 'Quy định và giới thiệu khác');
INSERT INTO `lang_definitions` VALUES (111327, 4982, 29, 'Quy định và / hoặc giới thiệu của chuyên gia');
INSERT INTO `lang_definitions` VALUES (111328, 4983, 29, 'Quy định Báo cáo');
INSERT INTO `lang_definitions` VALUES (111329, 4984, 29, 'Quy định / Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (111330, 4985, 29, 'Hiện nay');
INSERT INTO `lang_definitions` VALUES (111331, 4986, 29, 'Trình bày khiếu nại');
INSERT INTO `lang_definitions` VALUES (111332, 4988, 29, 'Nhấn Continue để tiếp tục');
INSERT INTO `lang_definitions` VALUES (111333, 4989, 29, 'Giả định chẩn đoán');
INSERT INTO `lang_definitions` VALUES (111334, 4990, 29, 'Giả định chẩn đoán của chuyên gia');
INSERT INTO `lang_definitions` VALUES (111335, 4991, 29, 'Trước');
INSERT INTO `lang_definitions` VALUES (111336, 4992, 29, 'Trước Med / Surg HX');
INSERT INTO `lang_definitions` VALUES (111337, 4993, 29, 'Trước. tháng (giữ cho thực đơn)');
INSERT INTO `lang_definitions` VALUES (111338, 4994, 29, 'Trước. năm (giữ cho thực đơn)');
INSERT INTO `lang_definitions` VALUES (111339, 4995, 29, 'Chăm sóc Phòng ngừa');
INSERT INTO `lang_definitions` VALUES (111340, 4998, 29, 'Xem trước Sự kiện');
INSERT INTO `lang_definitions` VALUES (111341, 5000, 29, 'Xem trước của');
INSERT INTO `lang_definitions` VALUES (111342, 5001, 29, 'Trang trước');
INSERT INTO `lang_definitions` VALUES (111343, 5002, 29, 'Tư vấn Trước đây');
INSERT INTO `lang_definitions` VALUES (111344, 5003, 29, 'Ngày Trước');
INSERT INTO `lang_definitions` VALUES (111345, 5004, 29, 'Lịch sử / Sàng lọc trước');
INSERT INTO `lang_definitions` VALUES (111346, 5005, 29, 'Tháng Trước');
INSERT INTO `lang_definitions` VALUES (111347, 5006, 29, 'Tuần Trước');
INSERT INTO `lang_definitions` VALUES (111348, 5007, 29, 'Giá');
INSERT INTO `lang_definitions` VALUES (111349, 5008, 29, 'Giảm Giá');
INSERT INTO `lang_definitions` VALUES (111350, 5009, 29, 'Mức Giá');
INSERT INTO `lang_definitions` VALUES (111351, 5010, 29, 'Mức Giá:');
INSERT INTO `lang_definitions` VALUES (111352, 5011, 29, 'Giá');
INSERT INTO `lang_definitions` VALUES (111353, 5012, 29, 'Chính');
INSERT INTO `lang_definitions` VALUES (111354, 5013, 29, 'Thực thể Kinh doanh Chính');
INSERT INTO `lang_definitions` VALUES (111355, 5014, 29, 'Mã số thuế của thực thể kinh doanh chính được dùng như mã tài khoản của ePrescription NewCrop. Thay đổi cơ sở sẽ ảnh hưởng đến cách làm việc trong NewCrop.');
INSERT INTO `lang_definitions` VALUES (111356, 5022, 29, 'BH Chính');
INSERT INTO `lang_definitions` VALUES (111357, 5023, 29, 'Bảo hiểm Chính');
INSERT INTO `lang_definitions` VALUES (111358, 5024, 29, 'Dữ liệu Bảo hiểm Chính');
INSERT INTO `lang_definitions` VALUES (111359, 5025, 29, 'Nhà cung cấp Bảo hiểm Chính');
INSERT INTO `lang_definitions` VALUES (111360, 5026, 29, 'Nhà cung cấp Chính');
INSERT INTO `lang_definitions` VALUES (111361, 5027, 29, 'In ấn');
INSERT INTO `lang_definitions` VALUES (111362, 5028, 29, 'In dạng HTML');
INSERT INTO `lang_definitions` VALUES (111363, 5029, 29, 'In dạng PDF');
INSERT INTO `lang_definitions` VALUES (111364, 5031, 29, 'In Bất kỳ Lần khám');
INSERT INTO `lang_definitions` VALUES (111365, 5032, 29, 'In Biểu mẫu Giới thiệu Trống');
INSERT INTO `lang_definitions` VALUES (111366, 5033, 29, 'In lệnh');
INSERT INTO `lang_definitions` VALUES (111367, 5039, 29, 'In Định dạng');
INSERT INTO `lang_definitions` VALUES (111368, 5040, 29, 'In Bốn Bảng điều chỉnh');
INSERT INTO `lang_definitions` VALUES (111369, 5042, 29, 'In thông báo');
INSERT INTO `lang_definitions` VALUES (111370, 5043, 29, 'In nhiều');
INSERT INTO `lang_definitions` VALUES (111371, 5044, 29, 'In Nhiều Để Fax');
INSERT INTO `lang_definitions` VALUES (111372, 5045, 29, 'In tên, ký hiệu, ngày.');
INSERT INTO `lang_definitions` VALUES (111373, 5046, 29, 'In Ghi chú');
INSERT INTO `lang_definitions` VALUES (111374, 5047, 29, 'In trang 1');
INSERT INTO `lang_definitions` VALUES (111375, 5048, 29, 'In trang 2');
INSERT INTO `lang_definitions` VALUES (111376, 5051, 29, 'In Biên nhận theo Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (111377, 5052, 29, 'In Hồ sơ');
INSERT INTO `lang_definitions` VALUES (111378, 5053, 29, 'In báo cáo được lựa chọn');
INSERT INTO `lang_definitions` VALUES (111379, 5054, 29, 'In Ghi Shot');
INSERT INTO `lang_definitions` VALUES (111380, 5056, 29, 'In Lần khám Này');
INSERT INTO `lang_definitions` VALUES (111381, 5057, 29, 'In ghi chú này');
INSERT INTO `lang_definitions` VALUES (111382, 5058, 29, 'In Ghi chú Này');
INSERT INTO `lang_definitions` VALUES (111383, 5060, 29, 'In Để Fax');
INSERT INTO `lang_definitions` VALUES (111384, 5061, 29, 'Xem trước khi In');
INSERT INTO `lang_definitions` VALUES (111385, 5062, 29, 'có thể in');
INSERT INTO `lang_definitions` VALUES (111386, 5063, 29, 'Phiên bản Có thể in');
INSERT INTO `lang_definitions` VALUES (111387, 5064, 29, 'Đã in');
INSERT INTO `lang_definitions` VALUES (111388, 5066, 29, 'Kết quả in ấn:');
INSERT INTO `lang_definitions` VALUES (111389, 5067, 29, 'Đã bỏ qua việc in; hãy xem kết quả thử tại');
INSERT INTO `lang_definitions` VALUES (111390, 5068, 29, 'Đã bỏ qua việc in; hãy xem kết quả thử tại ');
INSERT INTO `lang_definitions` VALUES (111391, 5069, 29, 'Trước khi Auth');
INSERT INTO `lang_definitions` VALUES (111392, 5070, 29, 'Cho Authorization Mẫu khoá');
INSERT INTO `lang_definitions` VALUES (111393, 5072, 29, 'Ưu tiên');
INSERT INTO `lang_definitions` VALUES (111394, 5073, 29, 'Ưu tiên ');
INSERT INTO `lang_definitions` VALUES (111395, 5074, 29, 'Riêng');
INSERT INTO `lang_definitions` VALUES (111396, 5075, 29, 'Vấn đề');
INSERT INTO `lang_definitions` VALUES (111397, 5076, 29, 'Vấn đề DX');
INSERT INTO `lang_definitions` VALUES (111398, 5077, 29, 'Vấn đề Danh sách');
INSERT INTO `lang_definitions` VALUES (111399, 5079, 29, 'Vấn đề / vấn đề');
INSERT INTO `lang_definitions` VALUES (111400, 5080, 29, 'Proc Bát');
INSERT INTO `lang_definitions` VALUES (111401, 5081, 29, 'Proc Cát');
INSERT INTO `lang_definitions` VALUES (111402, 5083, 29, 'Proc Pending Rev');
INSERT INTO `lang_definitions` VALUES (111403, 5085, 29, 'Proc Res');
INSERT INTO `lang_definitions` VALUES (111404, 5086, 29, 'Thủ tục');
INSERT INTO `lang_definitions` VALUES (111405, 5087, 29, 'Thủ tục Body Sites');
INSERT INTO `lang_definitions` VALUES (111406, 5088, 29, 'Kết quả Luận lý của Thủ tục');
INSERT INTO `lang_definitions` VALUES (111407, 5089, 29, 'Mã Thủ tục');
INSERT INTO `lang_definitions` VALUES (111408, 5090, 29, 'Mã Thủ tục');
INSERT INTO `lang_definitions` VALUES (111409, 5091, 29, 'Thủ tục Lateralities');
INSERT INTO `lang_definitions` VALUES (111410, 5093, 29, 'Đặt hàng Thủ tục');
INSERT INTO `lang_definitions` VALUES (111411, 5095, 29, 'Đặt hàng Thủ tục cho');
INSERT INTO `lang_definitions` VALUES (111412, 5102, 29, 'Báo cáo Thủ tục');
INSERT INTO `lang_definitions` VALUES (111413, 5103, 29, 'Trạng thái Báo cáo Thủ tục');
INSERT INTO `lang_definitions` VALUES (111414, 5104, 29, 'Thủ tục Kết quả bất thường');
INSERT INTO `lang_definitions` VALUES (111415, 5105, 29, 'Trạng thái Báo cáo Thủ tục');
INSERT INTO `lang_definitions` VALUES (111416, 5106, 29, 'Kết quả Thủ tục');
INSERT INTO `lang_definitions` VALUES (111417, 5107, 29, 'Các tuyến Thủ tục');
INSERT INTO `lang_definitions` VALUES (111418, 5108, 29, 'Thủ tục Mẫu loại');
INSERT INTO `lang_definitions` VALUES (111419, 5109, 29, 'Thống kê thủ tục Báo cáo');
INSERT INTO `lang_definitions` VALUES (111420, 5110, 29, 'Loại thủ tục');
INSERT INTO `lang_definitions` VALUES (111421, 5111, 29, 'Thủ tục loại');
INSERT INTO `lang_definitions` VALUES (111422, 5112, 29, 'Thủ tục đơn vị');
INSERT INTO `lang_definitions` VALUES (111423, 5114, 29, 'Thủ tục');
INSERT INTO `lang_definitions` VALUES (111424, 5115, 29, 'Quy trình');
INSERT INTO `lang_definitions` VALUES (111425, 5117, 29, 'File quá trình ERA');
INSERT INTO `lang_definitions` VALUES (111426, 5125, 29, 'Chế biến');
INSERT INTO `lang_definitions` VALUES (111427, 5129, 29, 'Sản phẩm');
INSERT INTO `lang_definitions` VALUES (111428, 5130, 29, 'Thai Phương pháp sản phẩm');
INSERT INTO `lang_definitions` VALUES (111429, 5132, 29, 'Sản phẩm');
INSERT INTO `lang_definitions` VALUES (111430, 5133, 29, 'Những sản phẩm không có thuốc theo toa và không có mẫu');
INSERT INTO `lang_definitions` VALUES (111431, 5134, 29, 'Giáo sư');
INSERT INTO `lang_definitions` VALUES (111432, 5135, 29, 'Tiến độ Ghi chú');
INSERT INTO `lang_definitions` VALUES (111433, 5136, 29, 'Ung thư tuyến tiền liệt');
INSERT INTO `lang_definitions` VALUES (111434, 5137, 29, 'Tuyến tiền liệt Ung Thư');
INSERT INTO `lang_definitions` VALUES (111435, 5138, 29, 'Tuyến tiền liệt thi');
INSERT INTO `lang_definitions` VALUES (111436, 5139, 29, 'Tuyến tiền liệt vấn đề');
INSERT INTO `lang_definitions` VALUES (111437, 5140, 29, 'Tuyến tiền liệt w / o enlrgmt, nốt, đấu thầu');
INSERT INTO `lang_definitions` VALUES (111438, 5142, 29, 'Cung cấp đường dẫn tuyệt đối');
INSERT INTO `lang_definitions` VALUES (111439, 5143, 29, 'Cung cấp đường dẫn tuyệt đối của tập tin');
INSERT INTO `lang_definitions` VALUES (111440, 5145, 29, 'Cung cấp bản tóm tắt lâm sàng cho bệnh nhân cho mỗi lần khám văn phòng.');
INSERT INTO `lang_definitions` VALUES (111441, 5146, 29, 'Cung cấp cho bệnh nhân với một bản sao điện tử của thông tin sức khỏe của họ (bao gồm cả kết quả xét nghiệm chẩn đoán, vấn đề danh sách, danh mục thuốc, dị ứng thuốc), theo yêu cầu.');
INSERT INTO `lang_definitions` VALUES (111442, 5147, 29, 'Cung cấp cho bệnh nhân truy cập điện tử kịp thời thông tin sức khỏe của họ (bao gồm cả kết quả phòng thí nghiệm, vấn đề danh sách, danh sách thuốc, dị ứng thuốc) trong vòng bốn ngày làm việc của các thông tin có sẵn để bảo vệ môi trường.');
INSERT INTO `lang_definitions` VALUES (111443, 5148, 29, 'Cung cấp hồ sơ bệnh nhân cho Chơi');
INSERT INTO `lang_definitions` VALUES (111444, 5149, 29, 'Cung cấp địa chỉ email hợp lệ');
INSERT INTO `lang_definitions` VALUES (111445, 5150, 29, 'Cung cấp Tóm tắt thông tin Lâm sàng?');
INSERT INTO `lang_definitions` VALUES (111446, 5151, 29, 'Cung cấp Tài nguyên Giáo dục?');
INSERT INTO `lang_definitions` VALUES (111447, 5152, 29, 'Người Khám');
INSERT INTO `lang_definitions` VALUES (111448, 5156, 29, 'Nhà cung cấp lỗi phù hợp');
INSERT INTO `lang_definitions` VALUES (111449, 5159, 29, 'Nhà cung cấp số');
INSERT INTO `lang_definitions` VALUES (111450, 5162, 29, 'Người Khám:');
INSERT INTO `lang_definitions` VALUES (111451, 5163, 29, 'Các nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (111452, 5164, 29, 'Các nhà cung cấp NPI');
INSERT INTO `lang_definitions` VALUES (111453, 5165, 29, 'Các nhà cung cấp Xem Lịch Toàn bộ');
INSERT INTO `lang_definitions` VALUES (111454, 5166, 29, 'PRV');
INSERT INTO `lang_definitions` VALUES (111455, 5167, 29, 'PSA');
INSERT INTO `lang_definitions` VALUES (111456, 5168, 29, 'Bệnh vẩy nến');
INSERT INTO `lang_definitions` VALUES (111457, 5169, 29, 'Psych Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (111458, 5170, 29, 'Psych thuốc');
INSERT INTO `lang_definitions` VALUES (111459, 5171, 29, 'Tâm thần');
INSERT INTO `lang_definitions` VALUES (111460, 5172, 29, 'Tâm thần học Giới thiệu tóm tắt Thư');
INSERT INTO `lang_definitions` VALUES (111461, 5173, 29, 'Tâm thần chẩn đoán');
INSERT INTO `lang_definitions` VALUES (111462, 5174, 29, 'Tâm thần thi');
INSERT INTO `lang_definitions` VALUES (111463, 5175, 29, 'Tâm thần học Lịch sử');
INSERT INTO `lang_definitions` VALUES (111464, 5176, 29, 'Tâm thần Intake');
INSERT INTO `lang_definitions` VALUES (111465, 5177, 29, 'Tâm thần Thuốc');
INSERT INTO `lang_definitions` VALUES (111466, 5178, 29, 'Pt%');
INSERT INTO `lang_definitions` VALUES (111467, 5179, 29, 'Pt Ghi chú');
INSERT INTO `lang_definitions` VALUES (111468, 5180, 29, 'Pt Ghi chú / Auth');
INSERT INTO `lang_definitions` VALUES (111469, 5181, 29, 'Pt nộp thừa');
INSERT INTO `lang_definitions` VALUES (111470, 5182, 29, 'Pt trả tiền');
INSERT INTO `lang_definitions` VALUES (111471, 5183, 29, 'Pt Rec Request');
INSERT INTO `lang_definitions` VALUES (111472, 5184, 29, 'Pt hoàn');
INSERT INTO `lang_definitions` VALUES (111473, 5185, 29, 'Pt phát hành');
INSERT INTO `lang_definitions` VALUES (111474, 5186, 29, 'Pt Báo cáo');
INSERT INTO `lang_definitions` VALUES (111475, 5187, 29, 'Sinh viên PT, hoặc để trống');
INSERT INTO `lang_definitions` VALUES (111476, 5188, 29, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (111477, 5189, 29, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (111478, 5191, 29, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (111479, 5192, 29, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (111480, 5193, 29, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (111481, 5196, 29, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (111482, 5198, 29, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (111483, 5199, 29, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (111484, 5201, 29, 'Công khai');
INSERT INTO `lang_definitions` VALUES (111485, 5204, 29, 'Puerto Rico');
INSERT INTO `lang_definitions` VALUES (111486, 5205, 29, 'Phổi');
INSERT INTO `lang_definitions` VALUES (111487, 5206, 29, 'Mạch');
INSERT INTO `lang_definitions` VALUES (111488, 5207, 29, 'Tiếng Punjab');
INSERT INTO `lang_definitions` VALUES (111489, 5208, 29, 'Mua hàng');
INSERT INTO `lang_definitions` VALUES (111490, 5209, 29, 'Mua/Trả hàng');
INSERT INTO `lang_definitions` VALUES (111491, 5210, 29, 'Mua hàng');
INSERT INTO `lang_definitions` VALUES (111492, 5213, 29, 'q.3h');
INSERT INTO `lang_definitions` VALUES (111493, 5214, 29, 'q.4h');
INSERT INTO `lang_definitions` VALUES (111494, 5215, 29, 'q.5h');
INSERT INTO `lang_definitions` VALUES (111495, 5216, 29, 'q.6h');
INSERT INTO `lang_definitions` VALUES (111496, 5217, 29, 'q.8h');
INSERT INTO `lang_definitions` VALUES (111497, 5218, 29, '1 lần/ngày');
INSERT INTO `lang_definitions` VALUES (111498, 5219, 29, '4 lần/ngày');
INSERT INTO `lang_definitions` VALUES (111499, 5220, 29, 'QOH');
INSERT INTO `lang_definitions` VALUES (111500, 5221, 29, 'QOH là ít hơn so với sử dụng hàng tháng');
INSERT INTO `lang_definitions` VALUES (111501, 5222, 29, 'Số lượng');
INSERT INTO `lang_definitions` VALUES (111502, 5223, 29, 'QTY');
INSERT INTO `lang_definitions` VALUES (111503, 5224, 29, 'Chất lượng');
INSERT INTO `lang_definitions` VALUES (111504, 5225, 29, 'Các biện pháp chất lượng (CQM)');
INSERT INTO `lang_definitions` VALUES (111505, 5226, 29, 'Số lượng');
INSERT INTO `lang_definitions` VALUES (111506, 5227, 29, 'Số lượng cho NDC');
INSERT INTO `lang_definitions` VALUES (111507, 5228, 29, 'Số lượng On Hand');
INSERT INTO `lang_definitions` VALUES (111508, 5229, 29, 'số lượng có vẻ như không sử dụng được');
INSERT INTO `lang_definitions` VALUES (111509, 5231, 29, 'Chấm hỏi');
INSERT INTO `lang_definitions` VALUES (111510, 5232, 29, 'Xếp hàng cho HCFA chế biến hàng loạt');
INSERT INTO `lang_definitions` VALUES (111511, 5233, 29, 'Xếp hàng cho HCFA xử lý hàng loạt và in ấn');
INSERT INTO `lang_definitions` VALUES (111512, 5234, 29, 'Xếp hàng cho chế biến hàng loạt UB-92');
INSERT INTO `lang_definitions` VALUES (111513, 5235, 29, 'Xếp hàng cho chế biến hàng loạt UB-92 và in ấn');
INSERT INTO `lang_definitions` VALUES (111514, 5236, 29, 'Xếp hàng đợi');
INSERT INTO `lang_definitions` VALUES (111515, 5237, 29, 'Xếp hàng đợi sự kiện Quản trị');
INSERT INTO `lang_definitions` VALUES (111516, 5238, 29, 'Xếp hàng đợi cho');
INSERT INTO `lang_definitions` VALUES (111517, 5240, 29, 'Xếp hàng đợi phản hồi và những đề nghị, gợi ý Quản trị');
INSERT INTO `lang_definitions` VALUES (111518, 5241, 29, 'Đã bỏ');
INSERT INTO `lang_definitions` VALUES (111519, 5242, 29, 'Bỏ Rượu');
INSERT INTO `lang_definitions` VALUES (111520, 5243, 29, 'R');
INSERT INTO `lang_definitions` VALUES (111521, 5245, 29, 'Chủng tộc');
INSERT INTO `lang_definitions` VALUES (111522, 5246, 29, 'Chủng tộc và Dân tộc');
INSERT INTO `lang_definitions` VALUES (111523, 5247, 29, 'Chủng tộc/Dân tộc');
INSERT INTO `lang_definitions` VALUES (111524, 5248, 29, 'Radio');
INSERT INTO `lang_definitions` VALUES (111525, 5249, 29, 'Nút radio');
INSERT INTO `lang_definitions` VALUES (111526, 5251, 29, 'Phạm vi');
INSERT INTO `lang_definitions` VALUES (111527, 5252, 29, 'Phát ban');
INSERT INTO `lang_definitions` VALUES (111528, 5253, 29, 'Tỷ giá');
INSERT INTO `lang_definitions` VALUES (111529, 5254, 29, 'Tỷ lệ');
INSERT INTO `lang_definitions` VALUES (111530, 5255, 29, 'Nguyên Báo cáo');
INSERT INTO `lang_definitions` VALUES (111531, 5256, 29, 'Re Xác định');
INSERT INTO `lang_definitions` VALUES (111532, 5257, 29, 'Re Quy trình Xác định được hoàn thành');
INSERT INTO `lang_definitions` VALUES (111533, 5258, 29, 'Re Xác định quá trình đang diễn ra');
INSERT INTO `lang_definitions` VALUES (111534, 5259, 29, 'Re-xác định tập tin sẽ được lưu trong');
INSERT INTO `lang_definitions` VALUES (111535, 5260, 29, 'Re-tai nạn thương tích?');
INSERT INTO `lang_definitions` VALUES (111536, 5261, 29, 'Mở cửa lại');
INSERT INTO `lang_definitions` VALUES (111537, 5262, 29, 'Đã mở cửa lại');
INSERT INTO `lang_definitions` VALUES (111538, 5263, 29, 'Phản ứng');
INSERT INTO `lang_definitions` VALUES (111539, 5264, 29, 'Phản ứng');
INSERT INTO `lang_definitions` VALUES (111540, 5265, 29, 'Đã đọc');
INSERT INTO `lang_definitions` VALUES (111541, 5268, 29, 'Tên thật');
INSERT INTO `lang_definitions` VALUES (111542, 5269, 29, 'Thực sự xóa');
INSERT INTO `lang_definitions` VALUES (111543, 5270, 29, 'Lý do');
INSERT INTO `lang_definitions` VALUES (111544, 5271, 29, 'Lý do Qua đời');
INSERT INTO `lang_definitions` VALUES (111545, 5272, 29, 'Lý do qua đời');
INSERT INTO `lang_definitions` VALUES (111546, 5274, 29, 'Lý do giới thiệu');
INSERT INTO `lang_definitions` VALUES (111547, 5275, 29, 'Lý do đến khám');
INSERT INTO `lang_definitions` VALUES (111548, 5276, 29, 'Lý do / Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (111549, 5277, 29, 'Biên lai');
INSERT INTO `lang_definitions` VALUES (111550, 5278, 29, 'Biên lai thanh toán');
INSERT INTO `lang_definitions` VALUES (111551, 5279, 29, 'Tiếp nhận được tạo ra');
INSERT INTO `lang_definitions` VALUES (111552, 5280, 29, 'Giấy biên nhận của Báo cáo Phương thức thanh toán');
INSERT INTO `lang_definitions` VALUES (111553, 5281, 29, 'Biên lai Tóm tắt thông tin');
INSERT INTO `lang_definitions` VALUES (111554, 5282, 29, 'Nhận được');
INSERT INTO `lang_definitions` VALUES (111555, 5283, 29, 'Received By');
INSERT INTO `lang_definitions` VALUES (111556, 5284, 29, 'Nhận được fax');
INSERT INTO `lang_definitions` VALUES (111557, 5287, 29, 'Receiver');
INSERT INTO `lang_definitions` VALUES (111558, 5288, 29, 'Nhận ID');
INSERT INTO `lang_definitions` VALUES (111559, 5289, 29, 'Nhận ID (ISA08)');
INSERT INTO `lang_definitions` VALUES (111560, 5290, 29, 'Nhận ID vòng loại (ISA07)');
INSERT INTO `lang_definitions` VALUES (111561, 5292, 29, 'Gần đây mật khẩu không được cho phép.');
INSERT INTO `lang_definitions` VALUES (111562, 5293, 29, 'Người nhận');
INSERT INTO `lang_definitions` VALUES (111563, 5294, 29, 'Danh sách người nhận là rỗng');
INSERT INTO `lang_definitions` VALUES (111564, 5295, 29, 'Tên người nhận');
INSERT INTO `lang_definitions` VALUES (111565, 5296, 29, 'Người nhận của Công khai các');
INSERT INTO `lang_definitions` VALUES (111566, 5298, 29, 'Khuyến nghị');
INSERT INTO `lang_definitions` VALUES (111567, 5300, 29, 'Khuyến nghị');
INSERT INTO `lang_definitions` VALUES (111568, 5301, 29, 'Các khuyến nghị và điều trị');
INSERT INTO `lang_definitions` VALUES (111569, 5302, 29, 'Khuyến nghị của chuyên gia');
INSERT INTO `lang_definitions` VALUES (111570, 5303, 29, 'Ghi');
INSERT INTO `lang_definitions` VALUES (111571, 5304, 29, 'Bản ghi đã tồn tại');
INSERT INTO `lang_definitions` VALUES (111572, 5310, 29, 'Ghi lại và lập biểu đồ thay đổi thể trạng.');
INSERT INTO `lang_definitions` VALUES (111573, 5311, 29, 'Ghi lại thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (111574, 5312, 29, 'Ghi Tiết lộ');
INSERT INTO `lang_definitions` VALUES (111575, 5313, 29, 'Hồ sơ của Fitness');
INSERT INTO `lang_definitions` VALUES (111576, 5314, 29, 'Hồ sơ thanh toán');
INSERT INTO `lang_definitions` VALUES (111577, 5315, 29, 'Ghi lại Yêu cầu ngày');
INSERT INTO `lang_definitions` VALUES (111578, 5316, 29, 'Ghi lại tình trạng hút thuốc cho các bệnh nhân từ 13 tuổi trở lên.');
INSERT INTO `lang_definitions` VALUES (111579, 5317, 29, 'Hồ sơ');
INSERT INTO `lang_definitions` VALUES (111580, 5318, 29, 'hồ sơ được tìm thấy');
INSERT INTO `lang_definitions` VALUES (111581, 5319, 29, 'hồ sơ được tìm thấy.');
INSERT INTO `lang_definitions` VALUES (111582, 5320, 29, 'Việc sử dụng giải trí ma túy');
INSERT INTO `lang_definitions` VALUES (111583, 5321, 29, 'Giải trí Thuốc');
INSERT INTO `lang_definitions` VALUES (111584, 5322, 29, 'Trực tràng');
INSERT INTO `lang_definitions` VALUES (111585, 5323, 29, 'Kiểm tra thực tràng');
INSERT INTO `lang_definitions` VALUES (111586, 5324, 29, 'trực tràng');
INSERT INTO `lang_definitions` VALUES (111587, 5325, 29, 'Chuyển hướng');
INSERT INTO `lang_definitions` VALUES (111588, 5326, 29, 'Đỏ');
INSERT INTO `lang_definitions` VALUES (111589, 5327, 29, 'giảm:');
INSERT INTO `lang_definitions` VALUES (111590, 5328, 29, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111591, 5329, 29, 'Giới thiệu Bởi');
INSERT INTO `lang_definitions` VALUES (111592, 5330, 29, 'Giới thiệu Ngày');
INSERT INTO `lang_definitions` VALUES (111593, 5331, 29, 'Giới thiệu Đến');
INSERT INTO `lang_definitions` VALUES (111594, 5332, 29, 'Phân loại tài liệu tham khảo (mức độ rủi ro)');
INSERT INTO `lang_definitions` VALUES (111595, 5333, 29, 'Phạm vi tham chiếu các kết quả');
INSERT INTO `lang_definitions` VALUES (111596, 5334, 29, 'Tài liệu tham khảo Lý do');
INSERT INTO `lang_definitions` VALUES (111597, 5336, 29, 'Tên và chữ ký người giới thiệu');
INSERT INTO `lang_definitions` VALUES (111598, 5337, 29, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111599, 5338, 29, 'Giới thiệu Bởi');
INSERT INTO `lang_definitions` VALUES (111600, 5339, 29, 'Thẻ Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111601, 5340, 29, 'Ngày Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111602, 5341, 29, 'Biểu mẫu Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111603, 5342, 29, 'BIỂU MẪU GIỚI THIỆU');
INSERT INTO `lang_definitions` VALUES (111604, 5343, 29, 'Mã số Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111605, 5345, 29, 'Nguồn Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111606, 5346, 29, 'Nguồn Giới thiệu cho Lần khám');
INSERT INTO `lang_definitions` VALUES (111607, 5347, 29, 'Giới thiệu Cho');
INSERT INTO `lang_definitions` VALUES (111608, 5348, 29, 'Các giới thiệu');
INSERT INTO `lang_definitions` VALUES (111609, 5349, 29, 'Báo cáo Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111610, 5350, 29, 'Được giới thiệu bởi');
INSERT INTO `lang_definitions` VALUES (111611, 5351, 29, 'Được giới thiệu Bởi');
INSERT INTO `lang_definitions` VALUES (111612, 5352, 29, 'Giới thiệu cho');
INSERT INTO `lang_definitions` VALUES (111613, 5353, 29, 'Giới thiệu');
INSERT INTO `lang_definitions` VALUES (111614, 5355, 29, 'Chẩn đoán của Người giới thiệu');
INSERT INTO `lang_definitions` VALUES (111615, 5356, 29, 'Chẩn đoán của người giới thiệu');
INSERT INTO `lang_definitions` VALUES (111616, 5357, 29, 'Bác sĩ và thực hành giới thiệu');
INSERT INTO `lang_definitions` VALUES (111617, 5358, 29, 'Ưu tiên Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (111618, 5359, 29, 'Mua lại theo toa này');
INSERT INTO `lang_definitions` VALUES (111619, 5360, 29, 'Mua lại theo toa này');
INSERT INTO `lang_definitions` VALUES (111620, 5361, 29, 'mua lại theo toa này');
INSERT INTO `lang_definitions` VALUES (111621, 5362, 29, 'Bình thường phản xạ');
INSERT INTO `lang_definitions` VALUES (111622, 5363, 29, 'Làm mới');
INSERT INTO `lang_definitions` VALUES (111623, 5368, 29, 'Từ chối Để nhà nước');
INSERT INTO `lang_definitions` VALUES (111624, 5369, 29, 'reg_re');
INSERT INTO `lang_definitions` VALUES (111625, 5370, 29, 'đăng ký');
INSERT INTO `lang_definitions` VALUES (111626, 5372, 29, 'Đã đăng ký');
INSERT INTO `lang_definitions` VALUES (111627, 5373, 29, 'đã đăng ký');
INSERT INTO `lang_definitions` VALUES (111628, 5375, 29, 'Ngày đăng ký');
INSERT INTO `lang_definitions` VALUES (111629, 5376, 29, 'Mẫu đăng ký');
INSERT INTO `lang_definitions` VALUES (111630, 5377, 29, 'Phục hồi chức năng');
INSERT INTO `lang_definitions` VALUES (111631, 5381, 29, 'Liên quan Đến');
INSERT INTO `lang_definitions` VALUES (111632, 5382, 29, 'Liên quan');
INSERT INTO `lang_definitions` VALUES (111633, 5383, 29, 'Vấn đề Liên quan');
INSERT INTO `lang_definitions` VALUES (111634, 5385, 29, 'Mối quan hệ / Trẻ em');
INSERT INTO `lang_definitions` VALUES (111635, 5386, 29, 'Sự liên quan');
INSERT INTO `lang_definitions` VALUES (111636, 5387, 29, 'Mối quan hệ');
INSERT INTO `lang_definitions` VALUES (111637, 5388, 29, 'Trật tự của các thực thể này tương đối');
INSERT INTO `lang_definitions` VALUES (111638, 5389, 29, 'Thân nhân');
INSERT INTO `lang_definitions` VALUES (111639, 5399, 29, 'Các thông tin Y tế chuyển tiếp từ tài khoản người dùng này.');
INSERT INTO `lang_definitions` VALUES (111640, 5400, 29, 'ID relay Y tế');
INSERT INTO `lang_definitions` VALUES (111641, 5403, 29, 'Tôn Giáo');
INSERT INTO `lang_definitions` VALUES (111642, 5406, 29, 'Login lần sau');
INSERT INTO `lang_definitions` VALUES (111643, 5407, 29, 'Remdr');
INSERT INTO `lang_definitions` VALUES (111644, 5408, 29, 'Hãy nhớ Cơ sở Đã chọn');
INSERT INTO `lang_definitions` VALUES (111645, 5409, 29, 'Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (111646, 5410, 29, 'Khoảng thời gian nhắc nhở');
INSERT INTO `lang_definitions` VALUES (111647, 5411, 29, 'Chưa Gửi Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (111648, 5412, 29, 'Đã gửi Nhắc nhở ngày');
INSERT INTO `lang_definitions` VALUES (111649, 5413, 29, 'Nhắc nhở');
INSERT INTO `lang_definitions` VALUES (111650, 5414, 29, 'Nộp vào');
INSERT INTO `lang_definitions` VALUES (111651, 5416, 29, 'Loại bỏ');
INSERT INTO `lang_definitions` VALUES (111652, 5419, 29, 'Loại bỏ Nhóm');
INSERT INTO `lang_definitions` VALUES (111653, 5420, 29, 'Loại bỏ Biểu mẫu Nhóm');
INSERT INTO `lang_definitions` VALUES (111654, 5421, 29, 'Loại bỏ hỗ trợ cho chủng ngừa');
INSERT INTO `lang_definitions` VALUES (111655, 5422, 29, 'Loại bỏ hỗ trợ cho phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (111656, 5423, 29, 'Loại bỏ hỗ trợ cho đơn thuốc');
INSERT INTO `lang_definitions` VALUES (111657, 5425, 29, 'Loại bỏ các tính năng Chart Tracker');
INSERT INTO `lang_definitions` VALUES (111658, 5426, 29, 'Thận Stones');
INSERT INTO `lang_definitions` VALUES (111659, 5427, 29, 'Đổi tên');
INSERT INTO `lang_definitions` VALUES (111660, 5428, 29, 'Đổi tên Nhóm');
INSERT INTO `lang_definitions` VALUES (111661, 5429, 29, 'Người lập');
INSERT INTO `lang_definitions` VALUES (111662, 5430, 29, 'Rendering nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (111663, 5431, 29, 'Rendering Số nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (111664, 5432, 29, 'Sắp xếp lại');
INSERT INTO `lang_definitions` VALUES (111665, 5433, 29, 'Sắp xếp lại Đồng');
INSERT INTO `lang_definitions` VALUES (111666, 5434, 29, 'Sắp xếp lại các điểm đã đạt được');
INSERT INTO `lang_definitions` VALUES (111667, 5436, 29, 'Cấp Độ');
INSERT INTO `lang_definitions` VALUES (111668, 5438, 29, 'Lặp đi lặp lại sự kiện');
INSERT INTO `lang_definitions` VALUES (111669, 5439, 29, 'Lặp đi lặp lại Thông tin:');
INSERT INTO `lang_definitions` VALUES (111670, 5440, 29, 'Lặp đi lặp lại');
INSERT INTO `lang_definitions` VALUES (111671, 5444, 29, 'Trả lời ngày');
INSERT INTO `lang_definitions` VALUES (111672, 5445, 29, 'Trả lời Từ');
INSERT INTO `lang_definitions` VALUES (111673, 5446, 29, 'Báo cáo');
INSERT INTO `lang_definitions` VALUES (111674, 5447, 29, 'Báo cáo - lâm sàng');
INSERT INTO `lang_definitions` VALUES (111675, 5449, 29, 'Báo cáo bằng');
INSERT INTO `lang_definitions` VALUES (111676, 5457, 29, 'Báo cáo tình trạng');
INSERT INTO `lang_definitions` VALUES (111677, 5458, 29, 'Báo cáo Tổng số');
INSERT INTO `lang_definitions` VALUES (111678, 5460, 29, 'Có thể báo cáo');
INSERT INTO `lang_definitions` VALUES (111679, 5461, 29, 'Đã báo cáo');
INSERT INTO `lang_definitions` VALUES (111680, 5462, 29, 'Ngày Báo cáo');
INSERT INTO `lang_definitions` VALUES (111681, 5463, 29, 'Báo cáo');
INSERT INTO `lang_definitions` VALUES (111682, 5467, 29, 'Yêu cầu bỏ qua - tuyên bố xử lý đã được chạy!');
INSERT INTO `lang_definitions` VALUES (111683, 5474, 29, 'Yêu cầu dịch vụ');
INSERT INTO `lang_definitions` VALUES (111684, 5475, 29, 'Yêu cầu các mật khẩu mạnh');
INSERT INTO `lang_definitions` VALUES (111685, 5476, 29, 'Yêu cầu mật khẩu độc đáo');
INSERT INTO `lang_definitions` VALUES (111686, 5477, 29, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (111687, 5479, 29, 'Thiếu thông tin phải có: Vui lòng chọn tập tin EDI-271 để tải lên');
INSERT INTO `lang_definitions` VALUES (111688, 5480, 29, 'Thiếu thông tin phải có: Xin vui lòng nhập Tên');
INSERT INTO `lang_definitions` VALUES (111689, 5481, 29, 'Thiếu thông tin phải có: Xin vui lòng nhập Họ');
INSERT INTO `lang_definitions` VALUES (111690, 5482, 29, 'Thiếu thông tin phải có: Xin vui lòng nhập Tên Đăng nhập');
INSERT INTO `lang_definitions` VALUES (111691, 5483, 29, 'Các trường bắt buộc');
INSERT INTO `lang_definitions` VALUES (111692, 5484, 29, 'Yêu cầu');
INSERT INTO `lang_definitions` VALUES (111693, 5485, 29, 'DÀNH RIÊNG');
INSERT INTO `lang_definitions` VALUES (111694, 5486, 29, 'Dành riêng');
INSERT INTO `lang_definitions` VALUES (111695, 5487, 29, 'Dành riêng để định ra Thời gian Nghỉ phép Theo kế hoạch');
INSERT INTO `lang_definitions` VALUES (111696, 5488, 29, 'Dành riêng để định ra thời điểm nhà cung cấp bắt đầu không thể hẹn gặp.');
INSERT INTO `lang_definitions` VALUES (111697, 5489, 29, 'Dành riêng để định ra thời diểm một sự kiện không xảy ra như dự kiến.');
INSERT INTO `lang_definitions` VALUES (111698, 5490, 29, 'Dành riêng để định ra thời điểm nhà cung cấp bắt đầu có thể hẹn gặp.');
INSERT INTO `lang_definitions` VALUES (111699, 5491, 29, 'Thiết lập lại');
INSERT INTO `lang_definitions` VALUES (111700, 5492, 29, 'Thiết lập lại các Giây chứng nhận Portal ngoại vi');
INSERT INTO `lang_definitions` VALUES (111701, 5493, 29, 'Thiết lập lại các Giây chứng nhận Portal tại chỗ');
INSERT INTO `lang_definitions` VALUES (111702, 5495, 29, 'Resn');
INSERT INTO `lang_definitions` VALUES (111703, 5496, 29, 'Đã giải quyết');
INSERT INTO `lang_definitions` VALUES (111704, 5497, 29, 'Hô hấp');
INSERT INTO `lang_definitions` VALUES (111705, 5498, 29, 'Hô hấp nỗ lực unlabored');
INSERT INTO `lang_definitions` VALUES (111706, 5499, 29, 'Hô hấp');
INSERT INTO `lang_definitions` VALUES (111707, 5501, 29, 'Giới hạn người dùng không được ủy quyền vào các cơ sở trong quản trị người dùng.');
INSERT INTO `lang_definitions` VALUES (111708, 5502, 29, 'Hạn chế Người với Cơ sở');
INSERT INTO `lang_definitions` VALUES (111709, 5503, 29, 'Hạn chế đào tạo');
INSERT INTO `lang_definitions` VALUES (111710, 5504, 29, 'Kết quả');
INSERT INTO `lang_definitions` VALUES (111711, 5506, 29, 'Kết quả Status');
INSERT INTO `lang_definitions` VALUES (111712, 5507, 29, 'Kết quả tình trạng hoặc bất thường là mất tích');
INSERT INTO `lang_definitions` VALUES (111713, 5508, 29, 'Kết quả, sử dụng% như là một ký tự đại diện');
INSERT INTO `lang_definitions` VALUES (111714, 5510, 29, 'Kết quả và');
INSERT INTO `lang_definitions` VALUES (111715, 5511, 29, 'Kết quả tìm thấy Đối với Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (111716, 5512, 29, 'Kết quả từ Tập đoàn');
INSERT INTO `lang_definitions` VALUES (111717, 5515, 29, 'Kết quả mỗi trang');
INSERT INTO `lang_definitions` VALUES (111718, 5516, 29, 'Kết quả / chi tiết');
INSERT INTO `lang_definitions` VALUES (111719, 5517, 29, 'Võng mạc thi');
INSERT INTO `lang_definitions` VALUES (111720, 5518, 29, 'Rút lại phải:');
INSERT INTO `lang_definitions` VALUES (111721, 5519, 29, 'Quay trở lại');
INSERT INTO `lang_definitions` VALUES (111722, 5520, 29, 'Quay trở lại ở trên một phần thanh toán của bạn');
INSERT INTO `lang_definitions` VALUES (111723, 5521, 29, 'Trở về lịch');
INSERT INTO `lang_definitions` VALUES (111724, 5527, 29, 'Quay trở lại giá trị gia tăng');
INSERT INTO `lang_definitions` VALUES (111725, 5528, 29, 'Quay trở lại Xem trang');
INSERT INTO `lang_definitions` VALUES (111726, 5529, 29, 'Trả lại để chơi');
INSERT INTO `lang_definitions` VALUES (111727, 5534, 29, 'Đánh giá của PMH:');
INSERT INTO `lang_definitions` VALUES (111728, 5535, 29, 'Đánh giá Các Cơ quan');
INSERT INTO `lang_definitions` VALUES (111729, 5536, 29, 'Đánh giá Việc kiểm tra các Cơ quan');
INSERT INTO `lang_definitions` VALUES (111730, 5537, 29, 'Đánh giá');
INSERT INTO `lang_definitions` VALUES (111731, 5538, 29, 'Sửa đổi');
INSERT INTO `lang_definitions` VALUES (111732, 5539, 29, 'Viêm khớp dạng thấp');
INSERT INTO `lang_definitions` VALUES (111733, 5540, 29, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (111734, 5541, 29, 'Ngay');
INSERT INTO `lang_definitions` VALUES (111735, 5542, 29, 'Tai Phải');
INSERT INTO `lang_definitions` VALUES (111736, 5543, 29, 'tai phải');
INSERT INTO `lang_definitions` VALUES (111737, 5545, 29, 'Bên phải:');
INSERT INTO `lang_definitions` VALUES (111738, 5546, 29, 'Ù tai');
INSERT INTO `lang_definitions` VALUES (111739, 5547, 29, 'Ù tai');
INSERT INTO `lang_definitions` VALUES (111740, 5549, 29, 'Yếu tố Nguy cơ');
INSERT INTO `lang_definitions` VALUES (111741, 5550, 29, 'Mức Rủi ro');
INSERT INTO `lang_definitions` VALUES (111742, 5551, 29, 'RLL:');
INSERT INTO `lang_definitions` VALUES (111743, 5552, 29, 'ROM');
INSERT INTO `lang_definitions` VALUES (111744, 5560, 29, 'Danh sách');
INSERT INTO `lang_definitions` VALUES (111745, 5561, 29, 'Đường dùng');
INSERT INTO `lang_definitions` VALUES (111746, 5562, 29, 'Đường dùng, nếu áp dụng');
INSERT INTO `lang_definitions` VALUES (111747, 5563, 29, 'Được chỉ định dùng');
INSERT INTO `lang_definitions` VALUES (111748, 5564, 29, 'Hàng');
INSERT INTO `lang_definitions` VALUES (111749, 5565, 29, 'RRR mà không MOR');
INSERT INTO `lang_definitions` VALUES (111750, 5566, 29, 'Chà:');
INSERT INTO `lang_definitions` VALUES (111751, 5567, 29, 'Chất chà:');
INSERT INTO `lang_definitions` VALUES (111752, 5568, 29, 'Quy tắc');
INSERT INTO `lang_definitions` VALUES (111753, 5569, 29, 'Thêm Quy tắc');
INSERT INTO `lang_definitions` VALUES (111754, 5570, 29, 'Chi tiết Quy tắc');
INSERT INTO `lang_definitions` VALUES (111755, 5572, 29, 'Chỉnh sửa Quy tắc');
INSERT INTO `lang_definitions` VALUES (111756, 5575, 29, 'Đặt Quy tắc');
INSERT INTO `lang_definitions` VALUES (111757, 5578, 29, 'Quy tắc');
INSERT INTO `lang_definitions` VALUES (111758, 5580, 29, 'Xác lập Quy tắc');
INSERT INTO `lang_definitions` VALUES (111759, 5581, 29, 'Đang Chạy Lệnh: ');
INSERT INTO `lang_definitions` VALUES (111760, 5582, 29, 'Vỡ');
INSERT INTO `lang_definitions` VALUES (111761, 5583, 29, 'Tiếng Nga');
INSERT INTO `lang_definitions` VALUES (111762, 5584, 29, 'Tên thuốc');
INSERT INTO `lang_definitions` VALUES (111763, 5585, 29, 'Tên thuốc');
INSERT INTO `lang_definitions` VALUES (111764, 5598, 29, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (111765, 5599, 29, 'RxNorm Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (111766, 5600, 29, 'S');
INSERT INTO `lang_definitions` VALUES (111767, 5601, 29, 'S.S.');
INSERT INTO `lang_definitions` VALUES (111768, 5602, 29, 'S3:');
INSERT INTO `lang_definitions` VALUES (111769, 5603, 29, 'S4:');
INSERT INTO `lang_definitions` VALUES (111770, 5604, 29, 'SA ** Để đọc các giấy phép xin vui lòng đọc các tài liệu / license.txt hoặc ghé thăm * http://www.gnu.org/copyleft/gpl.html ** / / / ============ ================================================== =========== / / ');
INSERT INTO `lang_definitions` VALUES (111771, 5605, 29, 'Bán');
INSERT INTO `lang_definitions` VALUES (111772, 5606, 29, 'Bán hàng');
INSERT INTO `lang_definitions` VALUES (111773, 5607, 29, 'Doanh số bán Item');
INSERT INTO `lang_definitions` VALUES (111774, 5608, 29, 'Doanh số bán hàng Báo cáo sản phẩm');
INSERT INTO `lang_definitions` VALUES (111775, 5609, 29, 'Nước bọt');
INSERT INTO `lang_definitions` VALUES (111776, 5610, 29, 'Cùng ngày');
INSERT INTO `lang_definitions` VALUES (111777, 5611, 29, 'Samoa');
INSERT INTO `lang_definitions` VALUES (111778, 5612, 29, 'Ví dụ');
INSERT INTO `lang_definitions` VALUES (111779, 5613, 29, 'Xử phạt Loại');
INSERT INTO `lang_definitions` VALUES (111780, 5617, 29, 'Thứ 7');
INSERT INTO `lang_definitions` VALUES (111781, 5618, 29, 'Thứ 7 & CN');
INSERT INTO `lang_definitions` VALUES (111782, 5619, 29, 'Thứ Bảy');
INSERT INTO `lang_definitions` VALUES (111783, 5620, 29, 'Lưu');
INSERT INTO `lang_definitions` VALUES (111784, 5621, 29, 'LƯU');
INSERT INTO `lang_definitions` VALUES (111785, 5622, 29, 'Lưu và Đóng');
INSERT INTO `lang_definitions` VALUES (111786, 5624, 29, 'Lưu và Phát thuốc');
INSERT INTO `lang_definitions` VALUES (111787, 5626, 29, 'Lưu Bản mới');
INSERT INTO `lang_definitions` VALUES (111788, 5627, 29, 'Lưu thành ghi chú mới');
INSERT INTO `lang_definitions` VALUES (111789, 5628, 29, 'Lưu Cài đặt Giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (111790, 5629, 29, 'Lưu Thay đổi');
INSERT INTO `lang_definitions` VALUES (111791, 5630, 29, 'Lưu Biểu mẫu');
INSERT INTO `lang_definitions` VALUES (111792, 5631, 29, 'Lưu Tiêm chủng');
INSERT INTO `lang_definitions` VALUES (111793, 5632, 29, 'Lưu Trường Mới');
INSERT INTO `lang_definitions` VALUES (111794, 5633, 29, 'Lưu Nhóm mới');
INSERT INTO `lang_definitions` VALUES (111795, 5634, 29, 'Lưu Danh sách mới');
INSERT INTO `lang_definitions` VALUES (111796, 5635, 29, 'Lưu khuôn mẫu mới');
INSERT INTO `lang_definitions` VALUES (111797, 5637, 29, 'Lưu Thông tin cá nhân Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111798, 5638, 29, 'Lưu thành công cho ID biểu đồ');
INSERT INTO `lang_definitions` VALUES (111799, 5639, 29, 'Lưu giao dịch');
INSERT INTO `lang_definitions` VALUES (111800, 5641, 29, 'Quét');
INSERT INTO `lang_definitions` VALUES (111801, 5642, 29, 'Quét Encounter Lưu ý');
INSERT INTO `lang_definitions` VALUES (111802, 5643, 29, 'Máy quét thư mục');
INSERT INTO `lang_definitions` VALUES (111803, 5644, 29, 'Máy quét Trong');
INSERT INTO `lang_definitions` VALUES (111804, 5645, 29, 'Lịch trình');
INSERT INTO `lang_definitions` VALUES (111805, 5646, 29, 'Lịch trình thiết bị:');
INSERT INTO `lang_definitions` VALUES (111806, 5647, 29, 'TRƯỜNG GHI CHÚ');
INSERT INTO `lang_definitions` VALUES (111807, 5648, 29, 'Chứng vẹo cột sống');
INSERT INTO `lang_definitions` VALUES (111808, 5651, 29, 'SE');
INSERT INTO `lang_definitions` VALUES (111809, 5652, 29, 'Địa chỉ SE');
INSERT INTO `lang_definitions` VALUES (111810, 5653, 29, 'Thành phố của SE');
INSERT INTO `lang_definitions` VALUES (111811, 5654, 29, 'Quốc gia của SE');
INSERT INTO `lang_definitions` VALUES (111812, 5655, 29, 'Địa phương của SE');
INSERT INTO `lang_definitions` VALUES (111813, 5656, 29, 'Mã Bưu chính của SE');
INSERT INTO `lang_definitions` VALUES (111814, 5657, 29, 'Tiểu bang của SE');
INSERT INTO `lang_definitions` VALUES (111815, 5658, 29, 'Mã Zip của SE');
INSERT INTO `lang_definitions` VALUES (111816, 5659, 29, 'Tìm kiếm');
INSERT INTO `lang_definitions` VALUES (111817, 5661, 29, 'tìm');
INSERT INTO `lang_definitions` VALUES (111818, 5662, 29, 'tìm lần nữa');
INSERT INTO `lang_definitions` VALUES (111819, 5664, 29, 'Tìm theo:');
INSERT INTO `lang_definitions` VALUES (111820, 5665, 29, 'Tìm');
INSERT INTO `lang_definitions` VALUES (111821, 5666, 29, 'Tìm:');
INSERT INTO `lang_definitions` VALUES (111822, 5668, 29, 'Tìm trong');
INSERT INTO `lang_definitions` VALUES (111823, 5669, 29, 'Tìm kiếm hay Thêm bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111824, 5670, 29, 'Tìm kiếm thanh toán');
INSERT INTO `lang_definitions` VALUES (111825, 5672, 29, 'Kết quả tìm kiếm:');
INSERT INTO `lang_definitions` VALUES (111826, 5673, 29, 'Tìm kiếm chọn lọc');
INSERT INTO `lang_definitions` VALUES (111827, 5674, 29, 'Chuỗi tìm kiếm không phù hợp với danh sách trong cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (111828, 5675, 29, 'Chuỗi tìm kiếm nên có ít nhất ba ký tự');
INSERT INTO `lang_definitions` VALUES (111829, 5676, 29, 'Tìm kiếm văn bản');
INSERT INTO `lang_definitions` VALUES (111830, 5677, 29, 'Tìm kiếm các sự kiện');
INSERT INTO `lang_definitions` VALUES (111831, 5678, 29, 'Tìm kiếm /');
INSERT INTO `lang_definitions` VALUES (111832, 5679, 29, 'Tìm kiếm / Thêm hãng bảo hiểm');
INSERT INTO `lang_definitions` VALUES (111833, 5680, 29, 'Tìm kiếm cho các cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (111834, 5681, 29, 'Tìm kiếm ...');
INSERT INTO `lang_definitions` VALUES (111835, 5682, 29, 'Sử dụng Dây an toàn trên xe');
INSERT INTO `lang_definitions` VALUES (111836, 5683, 29, 'Sử dụng dây an toàn trên xe');
INSERT INTO `lang_definitions` VALUES (111837, 5684, 29, 'Thứ hai');
INSERT INTO `lang_definitions` VALUES (111838, 5687, 29, 'Thứ hai');
INSERT INTO `lang_definitions` VALUES (111839, 5688, 29, 'Bảo hiểm Thứ hai');
INSERT INTO `lang_definitions` VALUES (111840, 5689, 29, 'Dữ liệu Bảo hiểm Thứ hai');
INSERT INTO `lang_definitions` VALUES (111841, 5690, 29, 'Nhà cung cấp Bảo hiểm Thứ hai');
INSERT INTO `lang_definitions` VALUES (111842, 5691, 29, 'Loại Chăm sóc Thứ hai');
INSERT INTO `lang_definitions` VALUES (111843, 5698, 29, 'An ninh');
INSERT INTO `lang_definitions` VALUES (111844, 5699, 29, 'Xem Tất cả');
INSERT INTO `lang_definitions` VALUES (111845, 5700, 29, 'Quyền Xem');
INSERT INTO `lang_definitions` VALUES (111846, 5701, 29, 'Xem Biểu đồ Tăng trưởng');
INSERT INTO `lang_definitions` VALUES (111847, 5702, 29, 'Xem tin nhắn từ các thiết lập cuối cùng của tuyên bố tạo ra');
INSERT INTO `lang_definitions` VALUES (111848, 5704, 29, 'Từng thấy kể từ');
INSERT INTO `lang_definitions` VALUES (111849, 5707, 29, 'Động kinh');
INSERT INTO `lang_definitions` VALUES (111850, 5708, 29, 'Sel');
INSERT INTO `lang_definitions` VALUES (111851, 5709, 29, 'Chọn');
INSERT INTO `lang_definitions` VALUES (111852, 5710, 29, 'chọn');
INSERT INTO `lang_definitions` VALUES (111853, 5712, 29, 'Chọn một bối cảnh');
INSERT INTO `lang_definitions` VALUES (111854, 5715, 29, 'Chọn một người dùng');
INSERT INTO `lang_definitions` VALUES (111855, 5716, 29, 'Chọn tất cả');
INSERT INTO `lang_definitions` VALUES (111857, 5720, 29, 'Chọn thể loại');
INSERT INTO `lang_definitions` VALUES (111858, 5722, 29, 'Chọn hộp kiểm tương ứng để xóa');
INSERT INTO `lang_definitions` VALUES (111859, 5723, 29, 'Chọn tiêu chí để Hủy bỏ');
INSERT INTO `lang_definitions` VALUES (111860, 5725, 29, 'Chọn dữ liệu yêu cầu cho De Xác định');
INSERT INTO `lang_definitions` VALUES (111861, 5726, 29, 'Chọn dữ liệu được bao gồm trong De Xác định dữ liệu');
INSERT INTO `lang_definitions` VALUES (111862, 5727, 29, 'Chọn ngày');
INSERT INTO `lang_definitions` VALUES (111863, 5728, 29, 'Chọn đội hình mong muốn');
INSERT INTO `lang_definitions` VALUES (111864, 5729, 29, 'Chọn Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (111865, 5730, 29, 'Chọn Chẩn đoán cho De Xác định yêu cầu');
INSERT INTO `lang_definitions` VALUES (111866, 5731, 29, 'Chọn thuốc');
INSERT INTO `lang_definitions` VALUES (111867, 5732, 29, 'Chọn thuốc');
INSERT INTO `lang_definitions` VALUES (111868, 5733, 29, 'Chọn Thuốc cho De Xác định yêu cầu');
INSERT INTO `lang_definitions` VALUES (111869, 5734, 29, 'Chọn EDI-271 tập tin');
INSERT INTO `lang_definitions` VALUES (111870, 5736, 29, 'Chọn lĩnh vực');
INSERT INTO `lang_definitions` VALUES (111871, 5737, 29, 'Chọn Fields');
INSERT INTO `lang_definitions` VALUES (111872, 5738, 29, 'Chọn để in');
INSERT INTO `lang_definitions` VALUES (111873, 5739, 29, 'Chọn Chủng ngừa');
INSERT INTO `lang_definitions` VALUES (111874, 5740, 29, 'Chọn Chủng ngừa cho De Xác định yêu cầu');
INSERT INTO `lang_definitions` VALUES (111875, 5741, 29, 'Chọn bảo hiểm, bằng cách gõ');
INSERT INTO `lang_definitions` VALUES (111876, 5742, 29, 'Chọn Bản sao');
INSERT INTO `lang_definitions` VALUES (111877, 5744, 29, 'Chọn Ngôn ngữ');
INSERT INTO `lang_definitions` VALUES (111878, 5746, 29, 'Chọn một hay nhiều mã chẩn đoán để xác nhận dịch vụ');
INSERT INTO `lang_definitions` VALUES (111879, 5754, 29, 'Chọn các mục cấu hình để kết xuất');
INSERT INTO `lang_definitions` VALUES (111880, 5755, 29, 'Chọn vấn đề chủ yếu chịu trách nhiệm về bất kỳ sự kiện bị nhỡ vào ngày này');
INSERT INTO `lang_definitions` VALUES (111881, 5759, 29, 'Chọn Người dùng');
INSERT INTO `lang_definitions` VALUES (111882, 5760, 29, 'Chọn Người dùng Từ Danh sách Thả xuống');
INSERT INTO `lang_definitions` VALUES (111883, 5761, 29, 'Chọn ngôn ngữ, nếu có, có thể được lựa chọn lúc đăng nhập. (Chỉ thích hợp nếu tắt Cho phép Mọi Ngôn ngữ ở trên)');
INSERT INTO `lang_definitions` VALUES (111884, 5762, 29, 'Chọn Yes để xác nhận việc xóa nhóm');
INSERT INTO `lang_definitions` VALUES (111885, 5765, 29, 'Được chọn');
INSERT INTO `lang_definitions` VALUES (111886, 5766, 29, 'Lần khám Được chọn');
INSERT INTO `lang_definitions` VALUES (111887, 5767, 29, 'Chọn cái này để tạo một tin nhắn phải được từng người nhận xử lý (đây không phải là công việc nhóm).');
INSERT INTO `lang_definitions` VALUES (111888, 5768, 29, 'Bản thân');
INSERT INTO `lang_definitions` VALUES (111889, 5769, 29, 'Tự trả');
INSERT INTO `lang_definitions` VALUES (111890, 5771, 29, 'Gửi');
INSERT INTO `lang_definitions` VALUES (111891, 5772, 29, 'Gửi một Lời nhắc có Ngày');
INSERT INTO `lang_definitions` VALUES (111892, 5773, 29, 'Gửi một lời nhắc');
INSERT INTO `lang_definitions` VALUES (111893, 5774, 29, 'Đang gửi');
INSERT INTO `lang_definitions` VALUES (111894, 5775, 29, 'Gửi tin nhắn');
INSERT INTO `lang_definitions` VALUES (111895, 5776, 29, 'Gửi Một loạt Lời nhắc');
INSERT INTO `lang_definitions` VALUES (111896, 5777, 29, 'Gửi lời nhắc cho các bệnh nhân theo sở thích của bệnh nhân để phòng ngừa / theo dõi chăm sóc.');
INSERT INTO `lang_definitions` VALUES (111897, 5778, 29, 'Gửi tóm tắt với Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (111898, 5779, 29, 'Gửi tập tin này');
INSERT INTO `lang_definitions` VALUES (111899, 5788, 29, 'Tên người gửi');
INSERT INTO `lang_definitions` VALUES (111900, 5789, 29, 'Tên người gửi ID');
INSERT INTO `lang_definitions` VALUES (111901, 5790, 29, 'Tên người gửi ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (111902, 5791, 29, 'Tên người gửi ID vòng loại (ISA05)');
INSERT INTO `lang_definitions` VALUES (111903, 5794, 29, 'Sự nhạy cảm');
INSERT INTO `lang_definitions` VALUES (111904, 5795, 29, 'Mức nhạy cảm:');
INSERT INTO `lang_definitions` VALUES (111905, 5796, 29, 'Cảm giác kỳ thi bình thường');
INSERT INTO `lang_definitions` VALUES (111906, 5799, 29, 'Người Gửi, Để Trống Là Tất cả');
INSERT INTO `lang_definitions` VALUES (111907, 5801, 29, 'Ngày Gửi');
INSERT INTO `lang_definitions` VALUES (111908, 5802, 29, 'Thư đã Gửi');
INSERT INTO `lang_definitions` VALUES (111909, 5803, 29, 'Gửi hồ sơ y tế?');
INSERT INTO `lang_definitions` VALUES (111910, 5804, 29, 'Gửi thành công');
INSERT INTO `lang_definitions` VALUES (111911, 5807, 29, 'đã gửi đến máy in.');
INSERT INTO `lang_definitions` VALUES (111912, 5808, 29, 'Người Nhận, Để Trống Là Tất cả');
INSERT INTO `lang_definitions` VALUES (111913, 5812, 29, 'Tháng Chín');
INSERT INTO `lang_definitions` VALUES (111914, 5813, 29, 'Ly thân');
INSERT INTO `lang_definitions` VALUES (111915, 5814, 29, 'Tháng Chín');
INSERT INTO `lang_definitions` VALUES (111916, 5815, 29, 'TT');
INSERT INTO `lang_definitions` VALUES (111917, 5816, 29, 'Trình tự');
INSERT INTO `lang_definitions` VALUES (111918, 5821, 29, 'Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111919, 5822, 29, 'Thể loại Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111920, 5823, 29, 'Mã Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111921, 5825, 29, 'Mã Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111922, 5826, 29, 'Ngày Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111923, 5827, 29, 'Ngày Dịch vụ:');
INSERT INTO `lang_definitions` VALUES (111924, 5829, 29, 'Vị trí Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111925, 5831, 29, 'Dịch vụ cung cấp bởi chuyên gia');
INSERT INTO `lang_definitions` VALUES (111926, 5834, 29, 'Dịch vụ');
INSERT INTO `lang_definitions` VALUES (111927, 5835, 29, 'Dịch vụ theo Thể loại');
INSERT INTO `lang_definitions` VALUES (111928, 5836, 29, 'Dịch vụ cung cấp');
INSERT INTO `lang_definitions` VALUES (111929, 5837, 29, 'Dịch vụ cung cấp');
INSERT INTO `lang_definitions` VALUES (111930, 5838, 29, 'Dịch vụ / sản phẩm');
INSERT INTO `lang_definitions` VALUES (111931, 5839, 29, 'Phiên Loại');
INSERT INTO `lang_definitions` VALUES (111932, 5840, 29, 'Thiết lập');
INSERT INTO `lang_definitions` VALUES (111933, 5841, 29, 'Thiết lập một cookie cơ sở để nhớ cơ sở được chọn giữa các lần đăng nhập.');
INSERT INTO `lang_definitions` VALUES (111934, 5845, 29, 'Thiết lập này để đường dẫn tuyệt đối đầy đủ. Đối với việc tạo chứng chỉ máy khách SSL cho HTTPS.');
INSERT INTO `lang_definitions` VALUES (111935, 5846, 29, 'Thiết lập Để');
INSERT INTO `lang_definitions` VALUES (111936, 5847, 29, 'Thiết lập về Mặc định');
INSERT INTO `lang_definitions` VALUES (111937, 5848, 29, 'Thiết lập số phiên bản trong cơ sở dữ liệu ...');
INSERT INTO `lang_definitions` VALUES (111938, 5849, 29, 'Cài đặt');
INSERT INTO `lang_definitions` VALUES (111939, 5851, 29, 'Nghiêm trọng Đau nửa đầu');
INSERT INTO `lang_definitions` VALUES (111940, 5853, 29, 'Mức độ nghiêm trọng of Pain');
INSERT INTO `lang_definitions` VALUES (111941, 5854, 29, 'Mức độ nghiêm trọng of Pain:');
INSERT INTO `lang_definitions` VALUES (111942, 5855, 29, 'Giới tính');
INSERT INTO `lang_definitions` VALUES (111943, 5856, 29, 'Bệnh Truyền qua đường Tình dục');
INSERT INTO `lang_definitions` VALUES (111944, 5858, 29, 'Mã băm (Hash) Sha-1');
INSERT INTO `lang_definitions` VALUES (111945, 5859, 29, 'Chia sẻ');
INSERT INTO `lang_definitions` VALUES (111946, 5860, 29, 'Lệnh hệ thống để in từ máy chủ.');
INSERT INTO `lang_definitions` VALUES (111947, 5864, 29, 'Khó thở');
INSERT INTO `lang_definitions` VALUES (111948, 5865, 29, 'Khó Thở');
INSERT INTO `lang_definitions` VALUES (111949, 5866, 29, 'Khó Thở 2');
INSERT INTO `lang_definitions` VALUES (111950, 5867, 29, 'Shot Ghi');
INSERT INTO `lang_definitions` VALUES (111951, 5868, 29, 'Shot Ghi lại như của:');
INSERT INTO `lang_definitions` VALUES (111952, 5870, 29, 'nên là như nnnnn nnnn-nn');
INSERT INTO `lang_definitions` VALUES (111953, 5871, 29, 'Nên có hai chữ cái');
INSERT INTO `lang_definitions` VALUES (111954, 5872, 29, 'nên chứa 10 chữ số');
INSERT INTO `lang_definitions` VALUES (111955, 5873, 29, 'nên chứa chỉ có 10 chữ số');
INSERT INTO `lang_definitions` VALUES (111956, 5874, 29, 'Vai');
INSERT INTO `lang_definitions` VALUES (111957, 5875, 29, 'Vai + xương đòn');
INSERT INTO `lang_definitions` VALUES (111958, 5876, 29, 'Vai vấn đề');
INSERT INTO `lang_definitions` VALUES (111959, 5877, 29, 'Hiển thị');
INSERT INTO `lang_definitions` VALUES (111960, 5880, 29, 'Hiện tất cả');
INSERT INTO `lang_definitions` VALUES (111961, 5883, 29, 'Tất cả Giao dịch');
INSERT INTO `lang_definitions` VALUES (111962, 5884, 29, 'Hiển thị như Busy');
INSERT INTO `lang_definitions` VALUES (111963, 5885, 29, 'Hiện có thẩm quyền Chỉ');
INSERT INTO `lang_definitions` VALUES (111964, 5886, 29, 'Times có sẵn');
INSERT INTO `lang_definitions` VALUES (111965, 5887, 29, 'Hiện cả hai hệ Mỹ và hệ mét (đơn vị chính là hệ mét)');
INSERT INTO `lang_definitions` VALUES (111966, 5888, 29, 'Hiện cả hai hệ Mỹ và hệ mét (đơn vị chính là hệ Mỹ)');
INSERT INTO `lang_definitions` VALUES (111967, 5889, 29, 'Hiển thị Chi tiết');
INSERT INTO `lang_definitions` VALUES (111968, 5891, 29, 'Hiển thị Đồ thị');
INSERT INTO `lang_definitions` VALUES (111969, 5892, 29, 'Hiện lơ lửng văn bản trên sự kiện mouseover?');
INSERT INTO `lang_definitions` VALUES (111970, 5893, 29, 'Bao nhiêu sự kiện trên trang quản trị?');
INSERT INTO `lang_definitions` VALUES (111971, 5896, 29, 'Hiện Trình đơn');
INSERT INTO `lang_definitions` VALUES (111972, 5897, 29, 'Chỉ hiển thị hệ mét');
INSERT INTO `lang_definitions` VALUES (111973, 5898, 29, 'Hiện Ghi chú');
INSERT INTO `lang_definitions` VALUES (111974, 5901, 29, 'Hiện Ghi chú Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (111975, 5904, 29, 'Hiển thị tiểu học Hoàn thành');
INSERT INTO `lang_definitions` VALUES (111976, 5905, 29, 'Hiện Các nhắc nhở');
INSERT INTO `lang_definitions` VALUES (111977, 5906, 29, 'Hiện Báo cáo');
INSERT INTO `lang_definitions` VALUES (111978, 5907, 29, 'Hiện tìm kiếm / trình liên kết trong khối?');
INSERT INTO `lang_definitions` VALUES (111979, 5910, 29, 'Các hình thức nhà nước tùy chỉnh cho widget danh sách add (sẽ yêu cầu tiêu đề và tên viết tắt).');
INSERT INTO `lang_definitions` VALUES (111980, 5913, 29, 'Hiện Unbilled Chỉ');
INSERT INTO `lang_definitions` VALUES (111981, 5914, 29, 'Hiện chỉ có ở Hoa Kỳ');
INSERT INTO `lang_definitions` VALUES (111982, 5920, 29, 'Anh chị em ruột');
INSERT INTO `lang_definitions` VALUES (111983, 5921, 29, 'Tế bào hình liềm');
INSERT INTO `lang_definitions` VALUES (111984, 5922, 29, 'Sig');
INSERT INTO `lang_definitions` VALUES (111985, 5923, 29, 'Sigma / Soi ruột già');
INSERT INTO `lang_definitions` VALUES (111986, 5925, 29, 'Ký kết quả từ phòng thí nghiệm (ghi, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (111987, 5926, 29, 'Đăng ký Kết quả');
INSERT INTO `lang_definitions` VALUES (111988, 5927, 29, 'Chữ ký');
INSERT INTO `lang_definitions` VALUES (111989, 5929, 29, 'Chữ ký:');
INSERT INTO `lang_definitions` VALUES (111990, 5930, 29, 'Toa thuốc Đã ký');
INSERT INTO `lang_definitions` VALUES (111991, 5932, 29, 'Đáng kể Sưng:');
INSERT INTO `lang_definitions` VALUES (111992, 5934, 29, 'Đơn giản hóa Đồng Chi trả');
INSERT INTO `lang_definitions` VALUES (111993, 5935, 29, 'Đơn giản hóa Thông tin cá nhân');
INSERT INTO `lang_definitions` VALUES (111994, 5936, 29, 'Đơn giản hóa Đơn thuốc');
INSERT INTO `lang_definitions` VALUES (111995, 5937, 29, 'Kể từ khi');
INSERT INTO `lang_definitions` VALUES (111996, 5938, 29, 'Trân trọng,');
INSERT INTO `lang_definitions` VALUES (111997, 5940, 29, 'Độc thân');
INSERT INTO `lang_definitions` VALUES (111998, 5941, 29, 'Single-lựa chọn danh sách');
INSERT INTO `lang_definitions` VALUES (111999, 5942, 29, 'Danh sách lựa chọn duy nhất với khả năng để thêm vào danh sách');
INSERT INTO `lang_definitions` VALUES (112000, 5946, 29, 'Xoang vấn đề');
INSERT INTO `lang_definitions` VALUES (112001, 5947, 29, 'Xoang phẫu thuật');
INSERT INTO `lang_definitions` VALUES (112002, 5948, 29, 'Xoang dịu dàng:');
INSERT INTO `lang_definitions` VALUES (112003, 5949, 29, 'Viêm xoang');
INSERT INTO `lang_definitions` VALUES (112004, 5951, 29, 'Site ID');
INSERT INTO `lang_definitions` VALUES (112005, 5953, 29, 'Site ID LLC LibreEHR Hỗ trợ dịch vụ Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (112006, 5956, 29, 'Kích thước');
INSERT INTO `lang_definitions` VALUES (112007, 5957, 29, 'Kích phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (112008, 5958, 29, 'Kích thước / Danh sách');
INSERT INTO `lang_definitions` VALUES (112009, 5959, 29, 'Da');
INSERT INTO `lang_definitions` VALUES (112010, 5960, 29, 'Ung thư da');
INSERT INTO `lang_definitions` VALUES (112011, 5961, 29, 'Da bệnh');
INSERT INTO `lang_definitions` VALUES (112012, 5962, 29, 'Skin khác');
INSERT INTO `lang_definitions` VALUES (112013, 5963, 29, 'Bỏ qua Việc xác thực cho Ghi chú Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112014, 5964, 29, 'Bỏ qua phần');
INSERT INTO `lang_definitions` VALUES (112015, 5965, 29, 'Bỏ qua bãi chứa SQL-Ledger - không được thực hiện cho máy chủ Windows');
INSERT INTO `lang_definitions` VALUES (112016, 5967, 29, 'Giấc ngủ Patterns');
INSERT INTO `lang_definitions` VALUES (112017, 5968, 29, 'Ngủ mẫu');
INSERT INTO `lang_definitions` VALUES (112018, 5969, 29, 'Ngủ');
INSERT INTO `lang_definitions` VALUES (112019, 5970, 29, 'Tiếng Slovak');
INSERT INTO `lang_definitions` VALUES (112020, 5972, 29, 'Sm nợ w / o');
INSERT INTO `lang_definitions` VALUES (112021, 5973, 29, 'Cache Smarty đã được giải tỏa');
INSERT INTO `lang_definitions` VALUES (112022, 5974, 29, 'Hút thuốc, hiện không biết tình trạng');
INSERT INTO `lang_definitions` VALUES (112023, 5976, 29, 'Tình trạng Hút thuốc');
INSERT INTO `lang_definitions` VALUES (112024, 5977, 29, 'Cho SMS');
INSERT INTO `lang_definitions` VALUES (112025, 5978, 29, 'Cổng tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112026, 5979, 29, 'Khóa API cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112027, 5980, 29, 'Khóa API cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112028, 5981, 29, 'Mật khẩu cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112029, 5982, 29, 'Tên đăng nhập cho Cổng Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112030, 5983, 29, 'Thông báo Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112031, 5984, 29, 'Giờ Thông báo Tin nhắn SMS');
INSERT INTO `lang_definitions` VALUES (112032, 5985, 29, 'Gửi SMS trước');
INSERT INTO `lang_definitions` VALUES (112033, 5986, 29, 'Đã gửi SMS');
INSERT INTO `lang_definitions` VALUES (112034, 5987, 29, 'Nội dung tin nhắn, Có thể dùng thẻ: ***NAME***, ***PROVIDER***, ***DATE***, ***STARTTIME***, ***ENDTIME***<br>Ví dụ Kính gửi ***NAME***');
INSERT INTO `lang_definitions` VALUES (112035, 5988, 29, 'Cài đặt Thông báo Tin nhắn SMS / Email');
INSERT INTO `lang_definitions` VALUES (112036, 5989, 29, 'SMTP mật khẩu cho xác thực');
INSERT INTO `lang_definitions` VALUES (112037, 5992, 29, 'SMTP Server Hostname');
INSERT INTO `lang_definitions` VALUES (112038, 5993, 29, 'SMTP Server Port Number');
INSERT INTO `lang_definitions` VALUES (112039, 5994, 29, 'SMTP tài cho xác thực');
INSERT INTO `lang_definitions` VALUES (112040, 5995, 29, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (112041, 6001, 29, 'SNOMED Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (112042, 6004, 29, 'Ngáy');
INSERT INTO `lang_definitions` VALUES (112043, 6005, 29, 'SOAP');
INSERT INTO `lang_definitions` VALUES (112044, 6006, 29, 'Xã hội khó khăn');
INSERT INTO `lang_definitions` VALUES (112045, 6009, 29, 'Lịch sử xã hội:');
INSERT INTO `lang_definitions` VALUES (112046, 6010, 29, 'Số An Sinh Xã Hội');
INSERT INTO `lang_definitions` VALUES (112047, 6011, 29, 'dung dịch uống');
INSERT INTO `lang_definitions` VALUES (112048, 6013, 29, 'Soma Context');
INSERT INTO `lang_definitions` VALUES (112049, 6014, 29, 'Một số ủy quyền không được hiển thị. Click vào đây để xem tất cả');
INSERT INTO `lang_definitions` VALUES (112050, 6015, 29, 'Một số mã không được hiển thị.');
INSERT INTO `lang_definitions` VALUES (112051, 6016, 29, 'Một số cuộc gặp gỡ không được hiển thị. Click vào đây để xem tất cả.');
INSERT INTO `lang_definitions` VALUES (112052, 6017, 29, 'Một số lỗi đã xảy ra trong quá trình nhận dạng De');
INSERT INTO `lang_definitions` VALUES (112053, 6018, 29, 'Một số lưu ý không được hiển thị.');
INSERT INTO `lang_definitions` VALUES (112054, 6020, 29, 'một số từ');
INSERT INTO `lang_definitions` VALUES (112055, 6023, 29, 'Một cái gì đó đã đi sai. Vui lòng thử lại.');
INSERT INTO `lang_definitions` VALUES (112056, 6024, 29, 'Thời khoảng Sắp Đến hạn (Nhắc nhở Lâm sàng)');
INSERT INTO `lang_definitions` VALUES (112057, 6025, 29, 'Thời khoảng Sắp Đến hạn (Nhắc nhở bệnh nhân)');
INSERT INTO `lang_definitions` VALUES (112058, 6026, 29, 'Đau họng');
INSERT INTO `lang_definitions` VALUES (112059, 6028, 29, 'Xin lỗi, có một vấn đề tải lên tập tin của bạn');
INSERT INTO `lang_definitions` VALUES (112060, 6029, 29, 'Sắp xếp theo');
INSERT INTO `lang_definitions` VALUES (112061, 6030, 29, 'Sắp xếp theo');
INSERT INTO `lang_definitions` VALUES (112062, 6031, 29, 'Sắp xếp bởi Checksum');
INSERT INTO `lang_definitions` VALUES (112063, 6032, 29, 'Sắp xếp bởi bình luận');
INSERT INTO `lang_definitions` VALUES (112064, 6033, 29, 'Sắp xếp bởi người sử dụng màn hình CRT');
INSERT INTO `lang_definitions` VALUES (112065, 6034, 29, 'Sắp xếp theo ngày');
INSERT INTO `lang_definitions` VALUES (112066, 6035, 29, 'Sắp xếp theo ngày / thời gian');
INSERT INTO `lang_definitions` VALUES (112067, 6036, 29, 'Sắp xếp bởi sự kiện');
INSERT INTO `lang_definitions` VALUES (112068, 6037, 29, 'Sắp xếp của Tập đoàn');
INSERT INTO `lang_definitions` VALUES (112069, 6040, 29, 'Sắp xếp bởi PatientID');
INSERT INTO `lang_definitions` VALUES (112070, 6041, 29, 'Sắp xếp bởi thành công');
INSERT INTO `lang_definitions` VALUES (112071, 6043, 29, 'Sắp xếp bởi người');
INSERT INTO `lang_definitions` VALUES (112072, 6044, 29, 'Sắp xếp bởi vắc-xin');
INSERT INTO `lang_definitions` VALUES (112073, 6045, 29, 'Sắp xếp Giảm');
INSERT INTO `lang_definitions` VALUES (112074, 6046, 29, 'Sắp xếp kết quả theo');
INSERT INTO `lang_definitions` VALUES (112075, 6047, 29, 'Sắp xếp Tăng');
INSERT INTO `lang_definitions` VALUES (112076, 6048, 29, 'Nguồn');
INSERT INTO `lang_definitions` VALUES (112077, 6049, 29, 'Tập tin Nguồn');
INSERT INTO `lang_definitions` VALUES (112078, 6050, 29, 'Đường dẫn Tập tin nguồn');
INSERT INTO `lang_definitions` VALUES (112079, 6051, 29, 'Nguồn được cho mã ');
INSERT INTO `lang_definitions` VALUES (112080, 6052, 29, 'Nguồn Lô');
INSERT INTO `lang_definitions` VALUES (112081, 6057, 29, 'Nguồn:');
INSERT INTO `lang_definitions` VALUES (112082, 6060, 29, 'Khoảng trắng');
INSERT INTO `lang_definitions` VALUES (112083, 6061, 29, 'KHOẢNG TRẮNG');
INSERT INTO `lang_definitions` VALUES (112084, 6062, 29, 'Tiếng Tây Ban Nha');
INSERT INTO `lang_definitions` VALUES (112085, 6063, 29, 'Tiếng Tây Ban Nha (Mỹ Latin)');
INSERT INTO `lang_definitions` VALUES (112086, 6064, 29, 'Tiếng Tây Ban Nha (Tây Ban Nha)');
INSERT INTO `lang_definitions` VALUES (112087, 6068, 29, 'Chuyên gia');
INSERT INTO `lang_definitions` VALUES (112088, 6069, 29, 'Tên và chữ ký chuyên gia');
INSERT INTO `lang_definitions` VALUES (112089, 6071, 29, 'Chuyên khoa');
INSERT INTO `lang_definitions` VALUES (112090, 6072, 29, 'Hệ thống Đặc biệt');
INSERT INTO `lang_definitions` VALUES (112091, 6073, 29, 'Chuyên khoa:');
INSERT INTO `lang_definitions` VALUES (112092, 6074, 29, 'Cụ thể');
INSERT INTO `lang_definitions` VALUES (112093, 6075, 29, 'Ứng dụng Cụ thể');
INSERT INTO `lang_definitions` VALUES (112094, 6076, 29, 'Specific Contraceptive Service');
INSERT INTO `lang_definitions` VALUES (112095, 6077, 29, 'Kết quả Cụ thể');
INSERT INTO `lang_definitions` VALUES (112096, 6078, 29, 'Dịch vụ Cụ thể');
INSERT INTO `lang_definitions` VALUES (112097, 6079, 29, 'Quy định');
INSERT INTO `lang_definitions` VALUES (112098, 6080, 29, 'Chỉ định định dạng cho mã số. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112099, 6081, 29, 'Chỉ định định dạng cho mã số. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112100, 6082, 29, 'Chỉ định định dạng cho các số tham chiếu hoá đơn. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112101, 6083, 29, 'Chỉ định định dạng cho các số tham chiếu hoá đơn. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112102, 6084, 29, 'Chỉ định định dạng cho sản phẩm lĩnh vực NDC. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112103, 6085, 29, 'Chỉ định định dạng cho sản phẩm lĩnh vực NDC. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112104, 6086, 29, 'Chỉ định định dạng cho mã số bệnh nhân bên ngoài. # = chữ số, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112105, 6087, 29, 'Chỉ định định dạng cho mã số bệnh nhân bên ngoài. # = chữ số, @ = chữ cái, * = ký tự bất kỳ. Để trống nếu không dùng.');
INSERT INTO `lang_definitions` VALUES (112106, 6088, 29, 'Mẫu');
INSERT INTO `lang_definitions` VALUES (112107, 6089, 29, 'Mẫu số / định danh');
INSERT INTO `lang_definitions` VALUES (112108, 6090, 29, 'Mẫu Loại');
INSERT INTO `lang_definitions` VALUES (112109, 6092, 29, 'Lời dặn của Bác sĩ');
INSERT INTO `lang_definitions` VALUES (112110, 6093, 29, 'Chất diệt tinh trùng');
INSERT INTO `lang_definitions` VALUES (112111, 6094, 29, 'Cắt lách');
INSERT INTO `lang_definitions` VALUES (112112, 6095, 29, 'Vợ/chồng');
INSERT INTO `lang_definitions` VALUES (112113, 6097, 29, 'Đờm');
INSERT INTO `lang_definitions` VALUES (112114, 6098, 29, 'Đờm:');
INSERT INTO `lang_definitions` VALUES (112115, 6099, 29, 'subcutaneous');
INSERT INTO `lang_definitions` VALUES (112116, 6102, 29, 'Squad');
INSERT INTO `lang_definitions` VALUES (112117, 6103, 29, 'Squad thành viên');
INSERT INTO `lang_definitions` VALUES (112118, 6104, 29, 'Đội');
INSERT INTO `lang_definitions` VALUES (112119, 6105, 29, 'SRH');
INSERT INTO `lang_definitions` VALUES (112120, 6106, 29, 'SRH - Kế hoạch hoá gia đình');
INSERT INTO `lang_definitions` VALUES (112121, 6107, 29, 'SRH không Kế hoạch hoá gia đình');
INSERT INTO `lang_definitions` VALUES (112122, 6108, 29, 'SRH Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (112123, 6109, 29, 'SRH Chơi Mẫu');
INSERT INTO `lang_definitions` VALUES (112124, 6110, 29, 'Srv ngày');
INSERT INTO `lang_definitions` VALUES (112125, 6111, 29, 'SS');
INSERT INTO `lang_definitions` VALUES (112126, 6112, 29, 'Quản Lý SSL Certificate');
INSERT INTO `lang_definitions` VALUES (112127, 6113, 29, 'SSN');
INSERT INTO `lang_definitions` VALUES (112128, 6114, 29, 'Ổn định');
INSERT INTO `lang_definitions` VALUES (112129, 6116, 29, 'Tiêu chuẩn');
INSERT INTO `lang_definitions` VALUES (112130, 6117, 29, 'Tiêu chuẩn Mã');
INSERT INTO `lang_definitions` VALUES (112131, 6118, 29, 'Tiêu chuẩn các biện pháp');
INSERT INTO `lang_definitions` VALUES (112132, 6122, 29, 'Tiêu chuẩn Tên');
INSERT INTO `lang_definitions` VALUES (112133, 6124, 29, 'Bắt đầu');
INSERT INTO `lang_definitions` VALUES (112134, 6125, 29, 'Bắt đầu (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (112135, 6128, 29, 'Ngày bắt đầu');
INSERT INTO `lang_definitions` VALUES (112136, 6129, 29, 'Ngày bắt đầu tại Phòng khám này');
INSERT INTO `lang_definitions` VALUES (112137, 6130, 29, 'Ngày bắt đầu không nên lớn hơn Ngày Kết thúc');
INSERT INTO `lang_definitions` VALUES (112138, 6131, 29, 'Ngày bắt đầu:');
INSERT INTO `lang_definitions` VALUES (112139, 6132, 29, 'Ngày bắt đầu:');
INSERT INTO `lang_definitions` VALUES (112140, 6133, 29, 'Thời gian bắt đầu');
INSERT INTO `lang_definitions` VALUES (112141, 6134, 29, 'Ngày bắt đầu');
INSERT INTO `lang_definitions` VALUES (112142, 6135, 29, 'stat');
INSERT INTO `lang_definitions` VALUES (112143, 6136, 29, 'Tiểu bang');
INSERT INTO `lang_definitions` VALUES (112144, 6137, 29, 'Loại Dữ liệu Tiểu bang');
INSERT INTO `lang_definitions` VALUES (112145, 6138, 29, 'Số g.phép Tiểu bang');
INSERT INTO `lang_definitions` VALUES (112146, 6139, 29, 'Số Giấy phép Tiểu bang');
INSERT INTO `lang_definitions` VALUES (112147, 6140, 29, 'Danh sách tiểu bang');
INSERT INTO `lang_definitions` VALUES (112148, 6141, 29, 'Danh sách nhà nước (viết, addonly tùy chọn)');
INSERT INTO `lang_definitions` VALUES (112149, 6142, 29, 'Danh sách Widget nhà nước Tuỳ chỉnh lĩnh vực');
INSERT INTO `lang_definitions` VALUES (112150, 6143, 29, 'Tiểu bang hoặc Tỉnh');
INSERT INTO `lang_definitions` VALUES (112151, 6144, 29, 'Tiểu bang/Địa phương');
INSERT INTO `lang_definitions` VALUES (112152, 6145, 29, 'Tiểu bang/Giáo xứ');
INSERT INTO `lang_definitions` VALUES (112153, 6146, 29, 'BẢNG TÓM TẮT');
INSERT INTO `lang_definitions` VALUES (112154, 6147, 29, 'báo cáo và cập nhật hoá đơn.');
INSERT INTO `lang_definitions` VALUES (112155, 6148, 29, 'Báo cáo đã gửi:');
INSERT INTO `lang_definitions` VALUES (112156, 6149, 29, 'báo cáo, hóa đơn sẽ không được cập nhật.');
INSERT INTO `lang_definitions` VALUES (112157, 6150, 29, 'Tĩnh văn bản');
INSERT INTO `lang_definitions` VALUES (112158, 6151, 29, 'Thống kê');
INSERT INTO `lang_definitions` VALUES (112159, 6152, 29, 'Thống kê');
INSERT INTO `lang_definitions` VALUES (112160, 6153, 29, 'Tình trạng');
INSERT INTO `lang_definitions` VALUES (112161, 6156, 29, 'Hiện trạng');
INSERT INTO `lang_definitions` VALUES (112162, 6158, 29, 'Các Couns STD / AIDS');
INSERT INTO `lang_definitions` VALUES (112163, 6159, 29, 'Stength và điều');
INSERT INTO `lang_definitions` VALUES (112164, 6169, 29, 'Cứng mối nối');
INSERT INTO `lang_definitions` VALUES (112165, 6170, 29, 'Độ cứng');
INSERT INTO `lang_definitions` VALUES (112166, 6171, 29, 'Chứng khoán tháng');
INSERT INTO `lang_definitions` VALUES (112167, 6172, 29, 'Dạ dày Pains');
INSERT INTO `lang_definitions` VALUES (112168, 6174, 29, 'Lưu trữ Hash');
INSERT INTO `lang_definitions` VALUES (112169, 6175, 29, 'Căng thẳng cơ bắp');
INSERT INTO `lang_definitions` VALUES (112170, 6176, 29, 'Dòng');
INSERT INTO `lang_definitions` VALUES (112171, 6177, 29, 'Đường phố');
INSERT INTO `lang_definitions` VALUES (112172, 6178, 29, 'Địa chỉ');
INSERT INTO `lang_definitions` VALUES (112173, 6179, 29, 'Số nhà và Tên đường');
INSERT INTO `lang_definitions` VALUES (112174, 6180, 29, 'Sức mạnh');
INSERT INTO `lang_definitions` VALUES (112175, 6182, 29, 'Strep Throat');
INSERT INTO `lang_definitions` VALUES (112176, 6183, 29, 'Căng thẳng gãy xương');
INSERT INTO `lang_definitions` VALUES (112177, 6184, 29, 'Stress Test');
INSERT INTO `lang_definitions` VALUES (112178, 6185, 29, 'Tai biến mạch máu não');
INSERT INTO `lang_definitions` VALUES (112179, 6186, 29, 'Mạnh mật khẩu có nghĩa là ít nhất 8 ký tự, và ít nhất ba: một số, chữ viết thường, một ký tự hoa, ký tự đặc biệt.');
INSERT INTO `lang_definitions` VALUES (112180, 6188, 29, 'Kiểu biểu mẫu được sử dụng cho việc thêm bệnh nhân mới');
INSERT INTO `lang_definitions` VALUES (112181, 6189, 29, 'Tiểu thể loại');
INSERT INTO `lang_definitions` VALUES (112182, 6190, 29, 'Tổng phụ');
INSERT INTO `lang_definitions` VALUES (112183, 6191, 29, 'Tiểu thể loại');
INSERT INTO `lang_definitions` VALUES (112184, 6192, 29, 'tiểu thể loại');
INSERT INTO `lang_definitions` VALUES (112185, 6193, 29, 'tiêm dưới da');
INSERT INTO `lang_definitions` VALUES (112186, 6194, 29, 'Tiêu đề');
INSERT INTO `lang_definitions` VALUES (112187, 6195, 29, 'Chủ quan (Subjective)');
INSERT INTO `lang_definitions` VALUES (112188, 6196, 29, 'Ngậm dưới lưỡi');
INSERT INTO `lang_definitions` VALUES (112189, 6197, 29, 'ngậm dưới lưỡi');
INSERT INTO `lang_definitions` VALUES (112190, 6198, 29, 'Gửi');
INSERT INTO `lang_definitions` VALUES (112191, 6199, 29, 'gửi');
INSERT INTO `lang_definitions` VALUES (112192, 6200, 29, 'Gửi Tất cả Nội dung');
INSERT INTO `lang_definitions` VALUES (112193, 6202, 29, 'Gửi Sự kiện');
INSERT INTO `lang_definitions` VALUES (112194, 6203, 29, 'gửi biểu mẫu');
INSERT INTO `lang_definitions` VALUES (112195, 6204, 29, 'Gửi Nội dung Được chọn');
INSERT INTO `lang_definitions` VALUES (112196, 6205, 29, 'Đã gửi');
INSERT INTO `lang_definitions` VALUES (112197, 6206, 29, 'Đã gửi bởi');
INSERT INTO `lang_definitions` VALUES (112198, 6207, 29, 'Số truy cập nộp EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (112199, 6208, 29, 'Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112200, 6209, 29, 'Địa chỉ Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112201, 6213, 29, 'Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112202, 6214, 29, 'Công ty của Người đăng ký (SE)');
INSERT INTO `lang_definitions` VALUES (112203, 6215, 29, 'Địa chỉ Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112204, 6216, 29, 'Thành phố Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112205, 6217, 29, 'Quốc gia của Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112206, 6218, 29, 'Tiểu bang của Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112207, 6221, 29, 'Mã Zip của Công ty của Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112208, 6225, 29, 'Điện thoại Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112209, 6226, 29, 'Mối quan hệ Với Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112210, 6227, 29, 'Mối quan hệ được chọn không là \"bản thân\" nhưng tên thì giống! Điều này có thực sự ĐÚNG không?');
INSERT INTO `lang_definitions` VALUES (112211, 6228, 29, 'Mối quan hệ được chọn không là \"bản thân\" nhưng số An sinh Xã hội (SS) thì giống!');
INSERT INTO `lang_definitions` VALUES (112212, 6229, 29, 'Mối quan hệ được chọn là \"bản thân\" nhưng tên thì khác! Điều này có thực sự ĐÚNG không?');
INSERT INTO `lang_definitions` VALUES (112213, 6230, 29, 'Mối quan hệ được chọn là \"bản thân\" nhưng số An sinh Xã hội (SS) thì khác!');
INSERT INTO `lang_definitions` VALUES (112214, 6231, 29, 'Giới tính Người đăng ký');
INSERT INTO `lang_definitions` VALUES (112215, 6237, 29, 'Thay thế');
INSERT INTO `lang_definitions` VALUES (112216, 6238, 29, 'cho phép thay thế');
INSERT INTO `lang_definitions` VALUES (112217, 6240, 29, 'Thành công');
INSERT INTO `lang_definitions` VALUES (112218, 6241, 29, 'thành công');
INSERT INTO `lang_definitions` VALUES (112219, 6242, 29, 'Nhận xác nhận thành công của kết quả phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (112220, 6243, 29, 'Thành công nhận được kết quả phòng thí nghiệm');
INSERT INTO `lang_definitions` VALUES (112221, 6244, 29, 'Kết quả thành công lấy từ phòng thí nghiệm Exchange Network');
INSERT INTO `lang_definitions` VALUES (112222, 6246, 29, 'Bổ sung thành công thể loại');
INSERT INTO `lang_definitions` VALUES (112223, 6247, 29, 'bổ sung thành công vào loại,');
INSERT INTO `lang_definitions` VALUES (112224, 6248, 29, 'Thành công Đã bị xóa');
INSERT INTO `lang_definitions` VALUES (112225, 6250, 29, 'Cài đặt thành công cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (112226, 6252, 29, 'Thành công thay đổi');
INSERT INTO `lang_definitions` VALUES (112227, 6253, 29, 'Thành công Saved.Would bạn muốn Phân bổ?');
INSERT INTO `lang_definitions` VALUES (112228, 6254, 29, 'Thành công Saved.Would bạn thích để phân phối?');
INSERT INTO `lang_definitions` VALUES (112229, 6256, 29, 'thành công được lưu trữ.');
INSERT INTO `lang_definitions` VALUES (112230, 6257, 29, 'Nâng cấp thành công cơ sở dữ liệu.');
INSERT INTO `lang_definitions` VALUES (112231, 6259, 29, 'thành công.');
INSERT INTO `lang_definitions` VALUES (112232, 6260, 29, 'Tự tử');
INSERT INTO `lang_definitions` VALUES (112233, 6261, 29, 'Tóm tắt thông tin');
INSERT INTO `lang_definitions` VALUES (112234, 6262, 29, 'Tóm tắt');
INSERT INTO `lang_definitions` VALUES (112235, 6265, 29, 'CN');
INSERT INTO `lang_definitions` VALUES (112236, 6267, 29, 'Chủ Nhật');
INSERT INTO `lang_definitions` VALUES (112237, 6268, 29, 'Superbill');
INSERT INTO `lang_definitions` VALUES (112238, 6269, 29, 'Superbill Codes');
INSERT INTO `lang_definitions` VALUES (112239, 6270, 29, 'Cục Superbill Codes');
INSERT INTO `lang_definitions` VALUES (112240, 6271, 29, 'Superbill Báo cáo');
INSERT INTO `lang_definitions` VALUES (112241, 6274, 29, 'Superbills, đôi khi được gọi là Gặp Các hình thức định tuyến Váy, là một phần thiết yếu của hầu hết các thực hành y tế.');
INSERT INTO `lang_definitions` VALUES (112242, 6275, 29, 'Superuser');
INSERT INTO `lang_definitions` VALUES (112243, 6276, 29, 'Giám sát');
INSERT INTO `lang_definitions` VALUES (112244, 6278, 29, 'Giám sát Doctor DEA');
INSERT INTO `lang_definitions` VALUES (112245, 6279, 29, 'Giám sát tên bác sĩ đầu tiên');
INSERT INTO `lang_definitions` VALUES (112246, 6280, 29, 'Giám sát tên Doctor cuối');
INSERT INTO `lang_definitions` VALUES (112247, 6281, 29, 'Giám sát Doctor NPI');
INSERT INTO `lang_definitions` VALUES (112248, 6282, 29, 'Giám sát Doctor UPIN');
INSERT INTO `lang_definitions` VALUES (112249, 6283, 29, 'Tên nhà cung cấp cơ sở');
INSERT INTO `lang_definitions` VALUES (112250, 6284, 29, 'Hỗ trợ các sự kiện lịch áp dụng cho nhiều nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (112251, 6285, 29, 'Hỗ trợ kết xuất / kết nhập các dữ liệu cấu hình thông qua trang Backup.');
INSERT INTO `lang_definitions` VALUES (112252, 6286, 29, 'Hỗ trợ Sự kiện Nhiều Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (112253, 6288, 29, 'Hỗ trợ mã hóa / giải mã TripleDES.');
INSERT INTO `lang_definitions` VALUES (112254, 6289, 29, 'Bề mặt Loại');
INSERT INTO `lang_definitions` VALUES (112255, 6290, 29, 'Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (112256, 6291, 29, 'Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (112257, 6293, 29, 'Đình chỉ');
INSERT INTO `lang_definitions` VALUES (112258, 6294, 29, 'đình chỉ');
INSERT INTO `lang_definitions` VALUES (112259, 6295, 29, 'Svc ngày');
INSERT INTO `lang_definitions` VALUES (112260, 6296, 29, 'Svc ngày:');
INSERT INTO `lang_definitions` VALUES (112261, 6299, 29, 'Đổ mồ hôi:');
INSERT INTO `lang_definitions` VALUES (112262, 6300, 29, 'Thụy Điển');
INSERT INTO `lang_definitions` VALUES (112263, 6301, 29, 'Sưng');
INSERT INTO `lang_definitions` VALUES (112264, 6302, 29, 'Sưng phải');
INSERT INTO `lang_definitions` VALUES (112265, 6303, 29, 'Sưng mối nối');
INSERT INTO `lang_definitions` VALUES (112266, 6304, 29, 'Sưng hạch bạch huyết');
INSERT INTO `lang_definitions` VALUES (112267, 6305, 29, 'Biểu tượng được sử dụng như là điểm thập phân cho tiền tệ. Không được sử dụng nếu số chữ số thập phân là 0.');
INSERT INTO `lang_definitions` VALUES (112268, 6306, 29, 'Dấu hiệu dùng để phân cách hàng ngàn cho tiền tệ.');
INSERT INTO `lang_definitions` VALUES (112269, 6307, 29, 'Các triệu chứng');
INSERT INTO `lang_definitions` VALUES (112270, 6308, 29, 'Đồng bộ hóa');
INSERT INTO `lang_definitions` VALUES (112271, 6309, 29, 'Đồng bộ hóa dịch với bảng ngôn ngữ tùy chỉnh.');
INSERT INTO `lang_definitions` VALUES (112272, 6310, 29, 'Đồng bộ mới tùy chỉnh liên tục:');
INSERT INTO `lang_definitions` VALUES (112273, 6311, 29, 'Đồng bộ mới tùy chỉnh ngôn ngữ:');
INSERT INTO `lang_definitions` VALUES (112274, 6312, 29, 'Đồng bộ mới định nghĩa (Ngôn ngữ, Constant, Definition):');
INSERT INTO `lang_definitions` VALUES (112275, 6313, 29, 'Sự bất tỉnh');
INSERT INTO `lang_definitions` VALUES (112276, 6314, 29, 'Hội chứng giám sát');
INSERT INTO `lang_definitions` VALUES (112277, 6315, 29, 'Hội chứng giám sát không báo cáo vấn đề');
INSERT INTO `lang_definitions` VALUES (112278, 6317, 29, 'Viêm màng hoạt dịch, viêm bao hoạt dịch, va đập');
INSERT INTO `lang_definitions` VALUES (112279, 6318, 29, 'Hệ thống');
INSERT INTO `lang_definitions` VALUES (112280, 6322, 29, 'T');
INSERT INTO `lang_definitions` VALUES (112281, 6323, 29, '3 lần/ngày');
INSERT INTO `lang_definitions` VALUES (112282, 6324, 29, 'T.V.');
INSERT INTO `lang_definitions` VALUES (112283, 6325, 29, 'Bảng');
INSERT INTO `lang_definitions` VALUES (112284, 6327, 29, 'Lỗi khi tạo bảng');
INSERT INTO `lang_definitions` VALUES (112285, 6328, 29, 'Lỗi khi cập nhật bảng');
INSERT INTO `lang_definitions` VALUES (112286, 6330, 29, 'viên');
INSERT INTO `lang_definitions` VALUES (112287, 6332, 29, 'Tiếng Tagal');
INSERT INTO `lang_definitions` VALUES (112288, 6335, 29, 'Hãy');
INSERT INTO `lang_definitions` VALUES (112289, 6336, 29, 'Hãy bảo hiểm, từ trên xuống');
INSERT INTO `lang_definitions` VALUES (112290, 6337, 29, 'Hãy thanh toán Từ, từ trên xuống');
INSERT INTO `lang_definitions` VALUES (112291, 6338, 29, 'Takeback');
INSERT INTO `lang_definitions` VALUES (112292, 6339, 29, 'Đưa dài');
INSERT INTO `lang_definitions` VALUES (112293, 6340, 29, 'Vùng Chuyển hướng Cao');
INSERT INTO `lang_definitions` VALUES (112294, 6347, 29, 'Mục tiêu ngày');
INSERT INTO `lang_definitions` VALUES (112295, 6351, 29, 'Nhóm mục tiêu / Hành động');
INSERT INTO `lang_definitions` VALUES (112296, 6354, 29, 'ID thuế');
INSERT INTO `lang_definitions` VALUES (112297, 6355, 29, 'Thuế suất');
INSERT INTO `lang_definitions` VALUES (112298, 6356, 29, 'Thuế');
INSERT INTO `lang_definitions` VALUES (112299, 6357, 29, 'Phân loại tư duy');
INSERT INTO `lang_definitions` VALUES (112300, 6358, 29, 'Td');
INSERT INTO `lang_definitions` VALUES (112301, 6359, 29, 'Tổng quan về đội ngũ chấn thương');
INSERT INTO `lang_definitions` VALUES (112302, 6360, 29, 'Nhóm Roster');
INSERT INTO `lang_definitions` VALUES (112303, 6361, 29, 'Nhóm Roster Xem');
INSERT INTO `lang_definitions` VALUES (112304, 6362, 29, 'Team / Squad');
INSERT INTO `lang_definitions` VALUES (112305, 6363, 29, 'Điện thoại');
INSERT INTO `lang_definitions` VALUES (112306, 6364, 29, 'Mã điện thoại quốc gia');
INSERT INTO `lang_definitions` VALUES (112307, 6366, 29, 'Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (112308, 6367, 29, 'Vị trí đo Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (112309, 6368, 29, 'Phương pháp đo Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (112310, 6369, 29, 'Nhiệt độ');
INSERT INTO `lang_definitions` VALUES (112311, 6370, 29, 'Khuôn mẫu');
INSERT INTO `lang_definitions` VALUES (112312, 6371, 29, 'Tên Khuôn mẫu');
INSERT INTO `lang_definitions` VALUES (112313, 6372, 29, 'Tên khuôn mẫu không có thể bắt đầu với những con số.');
INSERT INTO `lang_definitions` VALUES (112314, 6373, 29, 'Khuôn mẫu:');
INSERT INTO `lang_definitions` VALUES (112315, 6374, 29, 'Khuôn mẫu');
INSERT INTO `lang_definitions` VALUES (112316, 6375, 29, 'Temporal động mạch');
INSERT INTO `lang_definitions` VALUES (112317, 6376, 29, 'Gân chấn thương');
INSERT INTO `lang_definitions` VALUES (112318, 6377, 29, 'Viêm gân / osis / viêm bao hoạt dịch');
INSERT INTO `lang_definitions` VALUES (112319, 6378, 29, 'Dự kiến ​​Hoá đơn Tài liệu tham khảo');
INSERT INTO `lang_definitions` VALUES (112320, 6379, 29, 'Thứ ba');
INSERT INTO `lang_definitions` VALUES (112321, 6380, 29, 'Bảo hiểm Thứ ba');
INSERT INTO `lang_definitions` VALUES (112322, 6381, 29, 'Dữ liệu Bảo hiểm Thứ ba');
INSERT INTO `lang_definitions` VALUES (112323, 6382, 29, 'Nhà cung cấp Bảo hiểm Thứ ba');
INSERT INTO `lang_definitions` VALUES (112324, 6383, 29, 'Lên kế hoạch Xét nghiệm');
INSERT INTO `lang_definitions` VALUES (112325, 6384, 29, 'Kiểm tra hệ thống');
INSERT INTO `lang_definitions` VALUES (112326, 6385, 29, 'Văn bản');
INSERT INTO `lang_definitions` VALUES (112327, 6386, 29, 'Văn bản Chẩn đoán');
INSERT INTO `lang_definitions` VALUES (112328, 6387, 29, 'Trường văn bản');
INSERT INTO `lang_definitions` VALUES (112329, 6393, 29, 'Text-ngày');
INSERT INTO `lang_definitions` VALUES (112330, 6394, 29, 'văn bản ngày');
INSERT INTO `lang_definitions` VALUES (112331, 6395, 29, 'Textarea');
INSERT INTO `lang_definitions` VALUES (112332, 6396, 29, 'textarea');
INSERT INTO `lang_definitions` VALUES (112333, 6397, 29, 'Textbox');
INSERT INTO `lang_definitions` VALUES (112334, 6398, 29, 'textbox');
INSERT INTO `lang_definitions` VALUES (112335, 6399, 29, 'Hộp danh sách');
INSERT INTO `lang_definitions` VALUES (112336, 6400, 29, 'hộp danh sách');
INSERT INTO `lang_definitions` VALUES (112337, 6401, 29, 'Thái');
INSERT INTO `lang_definitions` VALUES (112338, 6402, 29, 'Cảm ơn');
INSERT INTO `lang_definitions` VALUES (112339, 6403, 29, 'Cảm ơn bạn đã lựa chọn');
INSERT INTO `lang_definitions` VALUES (112340, 6404, 29, 'Các nút \'Clear\' sẽ loại bỏ tất cả các chú thích.');
INSERT INTO `lang_definitions` VALUES (112341, 6405, 29, 'Những tuyên bố trên không thành công');
INSERT INTO `lang_definitions` VALUES (112342, 6406, 29, 'Các máy chủ Apache SSL chứng chỉ và khóa công khai');
INSERT INTO `lang_definitions` VALUES (112343, 6407, 29, 'Giấy chứng nhận Certificate Authority');
INSERT INTO `lang_definitions` VALUES (112344, 6408, 29, 'Các tập tin yêu cầu bồi thường: ');
INSERT INTO `lang_definitions` VALUES (112345, 6410, 29, 'Khóa riêng tương ứng');
INSERT INTO `lang_definitions` VALUES (112346, 6413, 29, 'mã tấn công từ chối');
INSERT INTO `lang_definitions` VALUES (112347, 6414, 29, 'mã Nhóm tấn công từ chối');
INSERT INTO `lang_definitions` VALUES (112348, 6415, 29, 'Các hình thức đích đã được đóng lại');
INSERT INTO `lang_definitions` VALUES (112349, 6416, 29, 'Các hình thức đích đã được đóng lại, tôi không thể hành động theo lựa chọn của bạn.');
INSERT INTO `lang_definitions` VALUES (112350, 6418, 29, 'Bảo vệ môi trường, bệnh viện đủ điều kiện hoặc CAH tiếp nhận một bệnh nhân từ một thiết lập khác chăm sóc hoặc nhà cung cấp chăm sóc hoặc tin rằng một cuộc gặp gỡ là có liên quan cần thực hiện hòa giải thuốc.');
INSERT INTO `lang_definitions` VALUES (112351, 6421, 29, 'Bảo vệ môi trường, bệnh viện đủ điều kiện hoặc CAH chuyển tiếp bệnh nhân của họ đến một thiết lập khác chăm sóc hoặc nhà cung cấp chăm sóc hoặc đề cập bệnh nhân của họ đến một nhà cung cấp dịch vụ chăm sóc nên cung cấp bản tóm tắt hồ sơ chăm sóc cho mỗi sự chuyển tiếp chăm sóc hoặc giới thiệu.');
INSERT INTO `lang_definitions` VALUES (112352, 6422, 29, 'Các sự kiện (s) đã được phê duyệt.');
INSERT INTO `lang_definitions` VALUES (112353, 6423, 29, 'Các sự kiện (s) đã được ẩn.');
INSERT INTO `lang_definitions` VALUES (112354, 6424, 29, 'Các dữ liệu xuất khẩu xuất hiện trong vùng văn bản dưới đây. Bạn có thể sao chép và dán nó vào một thư điện tử hoặc bất kỳ điểm đến mong muốn khác.');
INSERT INTO `lang_definitions` VALUES (112355, 6426, 29, 'Các dữ liệu xuất khẩu xuất hiện trong vùng văn bản dưới đây. Bạn có thể sao chép và dán nó vào một thư điện tử hoặc bất kỳ điểm đến mong muốn khác.');
INSERT INTO `lang_definitions` VALUES (112356, 6427, 29, 'Các dữ liệu xuất khẩu xuất hiện trong vùng văn bản dưới đây. Bạn có thể sao chép và dán nó vào một thư điện tử hoặc bất kỳ điểm đến mong muốn khác.');
INSERT INTO `lang_definitions` VALUES (112357, 6429, 29, 'Các tập tin có thể không được thành công đổi tên, lỗi này thường liên quan đến vấn đề quyền truy cập vào hệ thống lưu trữ.');
INSERT INTO `lang_definitions` VALUES (112358, 6434, 29, 'Sự kiện lịch sau đây đã được thêm vào:');
INSERT INTO `lang_definitions` VALUES (112359, 6435, 29, 'Sự kiện lịch sau đây đã được modifed:');
INSERT INTO `lang_definitions` VALUES (112360, 6436, 29, 'Các loại sau đây sẽ được loại bỏ khỏi Danh sách thể loại của bạn');
INSERT INTO `lang_definitions` VALUES (112361, 6437, 29, 'Việc phát hành cơ sở dữ liệu sau đây được cài đặt hiện thời');
INSERT INTO `lang_definitions` VALUES (112362, 6439, 29, 'Các tập tin EDI sau đây đã được tải lên');
INSERT INTO `lang_definitions` VALUES (112363, 6440, 29, 'Thành viên đăng nhập khẩn cấp sau đây được kích hoạt:');
INSERT INTO `lang_definitions` VALUES (112364, 6441, 29, 'Các lỗi sau đây xảy ra');
INSERT INTO `lang_definitions` VALUES (112365, 6444, 29, 'Các lĩnh vực sau đây được yêu cầu');
INSERT INTO `lang_definitions` VALUES (112366, 6446, 29, 'Các lĩnh vực sau đây phải được điền để gửi yêu cầu.');
INSERT INTO `lang_definitions` VALUES (112367, 6449, 29, 'Tên máy của máy ATNA kho kiểm toán.');
INSERT INTO `lang_definitions` VALUES (112368, 6450, 29, 'Cửa sổ ban đầu là trang tìm kiếm hóa đơn. Ở phía trên, bạn có thể nhập vào một nguồn (ví dụ như kiểm tra số), thanh toán ngày và kiểm tra số lượng. Lý do cho các nguồn và ngày trả tiền là để bạn don \'t phải nhập họ và hơn một lần nữa cho mỗi yêu cầu bồi thường. Số tiền mà bạn nhập vào sẽ được giảm cho mỗi hóa đơn được đưa ra một phần thanh toán, và hy vọng sẽ kết thúc tại số không khi bạn đang thực hiện.');
INSERT INTO `lang_definitions` VALUES (112369, 6456, 29, 'Nhãn xuất hiện trên biểu mẫu');
INSERT INTO `lang_definitions` VALUES (112370, 6457, 29, 'Số lượng ký tự không được vượt quá');
INSERT INTO `lang_definitions` VALUES (112371, 6460, 29, 'Thể loại mới sẽ là một thể loại phụ của ');
INSERT INTO `lang_definitions` VALUES (112372, 6461, 29, 'Mật khẩu mới không được trùng với mật khẩu hiện tại.');
INSERT INTO `lang_definitions` VALUES (112373, 6462, 29, 'Các ô nhập mật khẩu mới không giống nhau.');
INSERT INTO `lang_definitions` VALUES (112374, 6465, 29, 'Trang làm việc sẽ được chuyển đến Thông tin cá nhân. Bạn có thể sửa ô nhập quốc gia và nhấp chọn NewCorp lại.');
INSERT INTO `lang_definitions` VALUES (112375, 6466, 29, 'Mật khẩu phải có ít nhất tám ký tự, và không nên');
INSERT INTO `lang_definitions` VALUES (112376, 6468, 29, 'Yêu cầu hồ sơ bệnh nhân đã được ghi nhận.');
INSERT INTO `lang_definitions` VALUES (112377, 6469, 29, 'Nhắc nhở bệnh nhân đã được gửi');
INSERT INTO `lang_definitions` VALUES (112378, 6470, 29, 'Nhắc nhở bệnh nhân đã được cập nhật');
INSERT INTO `lang_definitions` VALUES (112379, 6472, 29, 'Các khoản thanh toán được niêm yết không thể đi dưới date.This này đảm bảo rằng sau khi bài báo cáo cuối cùng không ai cho những ngày trước đó.');
INSERT INTO `lang_definitions` VALUES (112380, 6475, 29, 'Các thông tin còn lại dưới đây chỉ áp dụng nếu bạn gửi bài bằng tay, hoặc nếu bạn đang làm điều chỉnh hướng dẫn sử dụng.');
INSERT INTO `lang_definitions` VALUES (112381, 6477, 29, 'Các tài liệu được yêu cầu là không có mặt tại vị trí mong muốn trên hệ thống tập tin hoặc không có đủ quyền để truy cập nó.');
INSERT INTO `lang_definitions` VALUES (112382, 6480, 29, 'Cột Source và ngày được sao chép từ trang đầu tiên, do đó, thông thường bạn sẽ không cần phải chạm vào những người. Bạn có thể đặt một số tiền thanh toán trong cột phải trả tiền, số tiền điều chỉnh trong cột Điều chỉnh, hoặc cả hai. Bạn cũng có thể nhấp vào \"W\" ở bên phải để tự động tính toán một giá trị điều chỉnh mà viết phần còn lại của phí cho khoản mục đó.');
INSERT INTO `lang_definitions` VALUES (112383, 6484, 29, 'Granularity thời gian của lịch và khoảng thời gian nhỏ nhất trong vài phút cho một khe cắm hẹn.');
INSERT INTO `lang_definitions` VALUES (112384, 6485, 29, 'Nhãn dịch sẽ xuất hiện trên hình thức trong ngôn ngữ hiện tại');
INSERT INTO `lang_definitions` VALUES (112385, 6486, 29, 'Tiêu đề dịch sẽ xuất hiện trong ngôn ngữ hiện tại');
INSERT INTO `lang_definitions` VALUES (112386, 6487, 29, 'Bản dịch của mô tả trong ngôn ngữ hiện tại');
INSERT INTO `lang_definitions` VALUES (112387, 6488, 29, 'Các bảng dịch được đồng bộ.');
INSERT INTO `lang_definitions` VALUES (112388, 6489, 29, 'Các loại thực thể này');
INSERT INTO `lang_definitions` VALUES (112389, 6490, 29, 'Mã nhà cung cấp cụ thể xác định thủ tục này hoặc kết quả');
INSERT INTO `lang_definitions` VALUES (112390, 6491, 29, 'Các X12 tập tin cũng như các báo cáo kết quả đầu ra HTML được lưu trữ trong \"kỷ nguyên\" thư mục con của thư mục cài đặt chính LibreEHR. Bạn sẽ muốn tham khảo những lưu trữ theo thời gian. URL là');
INSERT INTO `lang_definitions` VALUES (112391, 6492, 29, 'Các tập tin zip sẽ bao gồm các mục sau đây');
INSERT INTO `lang_definitions` VALUES (112392, 6493, 29, 'Bảng màu');
INSERT INTO `lang_definitions` VALUES (112393, 6495, 29, 'Điều trị tiêm');
INSERT INTO `lang_definitions` VALUES (112394, 6496, 29, 'Có');
INSERT INTO `lang_definitions` VALUES (112395, 6497, 29, 'Hiện tại không có quy định');
INSERT INTO `lang_definitions` VALUES (112396, 6498, 29, 'Có lỗi với trình của bạn. Chúng được nêu dưới đây.');
INSERT INTO `lang_definitions` VALUES (112397, 6500, 29, 'Không có bảng xếp hạng đã kiểm tra ra.');
INSERT INTO `lang_definitions` VALUES (112398, 6501, 29, 'Không có tiết lộ nào được thu âm cho bệnh nhân này.');
INSERT INTO `lang_definitions` VALUES (112399, 6502, 29, 'Không có phản hồi và những đề nghị, gợi ý mới');
INSERT INTO `lang_definitions` VALUES (112400, 6503, 29, 'Không có ghi chú trong hồ sơ của bệnh nhân này.');
INSERT INTO `lang_definitions` VALUES (112401, 6504, 29, 'Không có giao dịch trong hồ sơ của bệnh nhân này.');
INSERT INTO `lang_definitions` VALUES (112402, 6505, 29, 'Hiện đã có một lỗi khi gửi thư đến');
INSERT INTO `lang_definitions` VALUES (112403, 6506, 29, 'Đã có một thể loại được đặt tên là');
INSERT INTO `lang_definitions` VALUES (112404, 6507, 29, 'Đã là một tiểu thể loại có tên là');
INSERT INTO `lang_definitions` VALUES (112405, 6508, 29, 'Đã có một mục được đặt tên là');
INSERT INTO `lang_definitions` VALUES (112406, 6509, 29, 'Đã có một yêu cầu mở hồ sơ bệnh nhân.');
INSERT INTO `lang_definitions` VALUES (112407, 6510, 29, 'Không có mục COA cho AR tài khoản ');
INSERT INTO `lang_definitions` VALUES (112408, 6511, 29, 'Không có mục COA cho tài khoản tiền mặt ');
INSERT INTO `lang_definitions` VALUES (112409, 6512, 29, 'Không có mục COA cho tài khoản thu nhập ');
INSERT INTO `lang_definitions` VALUES (112410, 6513, 29, 'Không có bệnh nhân hiện tại');
INSERT INTO `lang_definitions` VALUES (112411, 6515, 29, 'Không có trận đấu cho id hóa đơn');
INSERT INTO `lang_definitions` VALUES (112412, 6516, 29, 'Không có trận đấu cho id hóa đơn = ');
INSERT INTO `lang_definitions` VALUES (112413, 6517, 29, 'Có bộ phận không có mục nhập cho các dịch vụ ID ');
INSERT INTO `lang_definitions` VALUES (112414, 6520, 29, 'Có lỗi trong quá trình xử lý yêu cầu của bạn.');
INSERT INTO `lang_definitions` VALUES (112415, 6523, 29, 'Dày phải:');
INSERT INTO `lang_definitions` VALUES (112416, 6524, 29, 'Đùi');
INSERT INTO `lang_definitions` VALUES (112417, 6525, 29, 'Đùi + chấn thương gân kheo');
INSERT INTO `lang_definitions` VALUES (112418, 6527, 29, 'Những điều đó trở lại văn phòng có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (112419, 6528, 29, 'Những điều mà trở lại văn phòng có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (112420, 6531, 29, 'Những điều mà các bác sĩ lâm sàng có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (112421, 6532, 29, 'Những điều mà các bác sĩ lâm sàng có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (112422, 6535, 29, 'Những điều mà tân có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (112423, 6536, 29, 'Những điều mà trước văn phòng có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (112424, 6539, 29, 'Những điều mà bác sĩ có thể đọc và nhập nhưng không thay đổi');
INSERT INTO `lang_definitions` VALUES (112425, 6540, 29, 'Những điều mà các bác sĩ có thể đọc và sửa đổi');
INSERT INTO `lang_definitions` VALUES (112426, 6542, 29, 'Thứ ba');
INSERT INTO `lang_definitions` VALUES (112427, 6544, 29, 'Hành động này KHÔNG THỂ được hoàn tác.');
INSERT INTO `lang_definitions` VALUES (112428, 6545, 29, 'Hành động này không thể được hoàn tác.');
INSERT INTO `lang_definitions` VALUES (112429, 6547, 29, 'Hành động này sẽ được ghi nhận');
INSERT INTO `lang_definitions` VALUES (112430, 6551, 29, 'Năm Nay');
INSERT INTO `lang_definitions` VALUES (112431, 6554, 29, 'Tuyên bố này đã được denied.Reason:');
INSERT INTO `lang_definitions` VALUES (112432, 6555, 29, 'Tuyên bố này đã được chuyển tiếp đến cấp độ tiếp theo.');
INSERT INTO `lang_definitions` VALUES (112433, 6556, 29, 'Đây là loại mã không chấp nhận mối quan hệ.');
INSERT INTO `lang_definitions` VALUES (112434, 6557, 29, 'Bối cảnh này có chứa các loại, trong đó sẽ bị xóa. Bạn vẫn muốn tiếp tục không?');
INSERT INTO `lang_definitions` VALUES (112435, 6558, 29, 'Điều này xác định các cuộc hẹn hiển thị trên lịch.');
INSERT INTO `lang_definitions` VALUES (112436, 6559, 29, 'Điều này xác định lược đồ màu sắc được sử dụng cho cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (112437, 6561, 29, 'Lần khám Này');
INSERT INTO `lang_definitions` VALUES (112438, 6562, 29, 'Đã lập hóa đơn cho lần khám này. Nếu bạn cần phải thay nó, bạn phải xóa lần tính tiền.');
INSERT INTO `lang_definitions` VALUES (112439, 6564, 29, 'Chưa có tính năng này');
INSERT INTO `lang_definitions` VALUES (112440, 6565, 29, 'Tính năng này là rất thử nghiệm và không kiểm tra đầy đủ. Sử dụng tại rủi ro của riêng bạn!');
INSERT INTO `lang_definitions` VALUES (112441, 6566, 29, 'Số hóa đơn này đã được thay đổi thành ');
INSERT INTO `lang_definitions` VALUES (112442, 6572, 29, 'vị trí này');
INSERT INTO `lang_definitions` VALUES (112443, 6575, 29, 'Module này là ở chế độ thử nghiệm. Cơ sở dữ liệu sẽ không được thay đổi.');
INSERT INTO `lang_definitions` VALUES (112444, 6576, 29, 'Module này thúc đẩy mục hiệu quả dữ liệu EOB.');
INSERT INTO `lang_definitions` VALUES (112445, 6577, 29, 'Đầu Tháng đến Nay');
INSERT INTO `lang_definitions` VALUES (112446, 6581, 29, 'Trang này nội tuyến sẽ bao gồm các trang đăng nhập, do đó chúng tôi không phải bấm login lần sau mỗi khi.');
INSERT INTO `lang_definitions` VALUES (112447, 6582, 29, 'Bệnh nhân này không có hoạt động.');
INSERT INTO `lang_definitions` VALUES (112448, 6583, 29, 'ID bệnh nhân đã được sử dụng!');
INSERT INTO `lang_definitions` VALUES (112449, 6584, 29, 'Sản phẩm này chỉ cho phép một trong rất nhiều mỗi kho.');
INSERT INTO `lang_definitions` VALUES (112450, 6591, 29, 'Bước này sẽ tạo ra một tập tin mà bạn có để tiết kiệm để sử dụng trong tương lai. Các tập tin không thể được tạo ra một lần nữa. Bạn có muốn tiếp tục?');
INSERT INTO `lang_definitions` VALUES (112451, 6592, 29, 'Người dùng này không phải là một thành viên của nhóm nào');
INSERT INTO `lang_definitions` VALUES (112452, 6595, 29, 'Chuyến viếng thăm này bắt đầu sử dụng biện pháp tránh thai mới');
INSERT INTO `lang_definitions` VALUES (112453, 6596, 29, 'Chuyến thăm này sẽ cần một dịch vụ, giới thiệu hình thức hoặc thủ tục GCAC.');
INSERT INTO `lang_definitions` VALUES (112454, 6597, 29, 'Đây từng là biểu mẫu Thể trạng cũ chỉ theo hệ mét, giờ không còn phù hợp.');
INSERT INTO `lang_definitions` VALUES (112455, 6598, 29, 'Đầu Tuần đến Nay');
INSERT INTO `lang_definitions` VALUES (112456, 6600, 29, 'Điều này sẽ kích hoạt việc báo cáo CCR (Hồ sơ Sự liên tục Chăm sóc) và CCD (Tài liệu Sự liên tục Chăm sóc).');
INSERT INTO `lang_definitions` VALUES (112457, 6602, 29, 'Điều này sẽ cho phép lựa chọn của việc ngôn ngữ gỡ lỗi (\'giả\').');
INSERT INTO `lang_definitions` VALUES (112458, 6606, 29, 'Điều này sẽ tạo ra một bản sao lưu ở định dạng tar và sau đó gửi nó đến trình duyệt web của bạn để bạn có thể lưu nó');
INSERT INTO `lang_definitions` VALUES (112459, 6607, 29, 'Điều này sẽ tắt các tính năng mã hóa và giải mã tài liệu, và giấu chúng trong giao diện người dùng.');
INSERT INTO `lang_definitions` VALUES (112460, 6613, 29, 'Điều này sẽ buộc các Thành phần Hóa đơn trong màn hình Tóm tắt Bệnh nhân luôn luôn được mở.');
INSERT INTO `lang_definitions` VALUES (112461, 6619, 29, 'Điều này sẽ sử dụng danh sách chủng ngừa tùy chỉnh hơn là danh sách tiêm chủng CVX tiêu chuẩn.');
INSERT INTO `lang_definitions` VALUES (112462, 6622, 29, 'Lồng ngực cột sống');
INSERT INTO `lang_definitions` VALUES (112463, 6623, 29, 'Nghìn / CU.MM');
INSERT INTO `lang_definitions` VALUES (112464, 6625, 29, 'Cổ họng');
INSERT INTO `lang_definitions` VALUES (112465, 6626, 29, 'Cổ họng ung thư');
INSERT INTO `lang_definitions` VALUES (112466, 6627, 29, 'Cổ họng ung thư phẫu thuật');
INSERT INTO `lang_definitions` VALUES (112467, 6628, 29, 'Huyết khối / Tai biến mạch máu não');
INSERT INTO `lang_definitions` VALUES (112468, 6629, 29, 'Thứ 5');
INSERT INTO `lang_definitions` VALUES (112469, 6630, 29, 'Thứ Năm');
INSERT INTO `lang_definitions` VALUES (112470, 6631, 29, 'Thứ Năm');
INSERT INTO `lang_definitions` VALUES (112471, 6632, 29, 'Tuyến giáp bình thường');
INSERT INTO `lang_definitions` VALUES (112472, 6633, 29, 'Tuyến giáp vấn đề');
INSERT INTO `lang_definitions` VALUES (112473, 6634, 29, 'TIA');
INSERT INTO `lang_definitions` VALUES (112474, 6636, 29, 'TID');
INSERT INTO `lang_definitions` VALUES (112475, 6638, 29, 'Thời gian');
INSERT INTO `lang_definitions` VALUES (112476, 6639, 29, 'Định dạng Hiển thị Thời gian');
INSERT INTO `lang_definitions` VALUES (112477, 6640, 29, 'Tăng thời gian cho Add (phút 1-60)');
INSERT INTO `lang_definitions` VALUES (112478, 6641, 29, 'Thời gian lựa chọn');
INSERT INTO `lang_definitions` VALUES (112479, 6647, 29, 'Đặt thời gian sự kiện');
INSERT INTO `lang_definitions` VALUES (112480, 6648, 29, 'Times mảng (N / A)');
INSERT INTO `lang_definitions` VALUES (112481, 6649, 29, 'Dấu thời gian và Tiêu đề');
INSERT INTO `lang_definitions` VALUES (112482, 6650, 29, 'TIN');
INSERT INTO `lang_definitions` VALUES (112483, 6651, 29, 'Ù tai');
INSERT INTO `lang_definitions` VALUES (112484, 6652, 29, 'Danh xưng');
INSERT INTO `lang_definitions` VALUES (112485, 6653, 29, 'Tiêu đề V');
INSERT INTO `lang_definitions` VALUES (112486, 6654, 29, 'TitleCols phải là một số giữa 1 và 999');
INSERT INTO `lang_definitions` VALUES (112487, 6655, 29, 'Danh xưng');
INSERT INTO `lang_definitions` VALUES (112488, 6656, 29, 'TM \'S:');
INSERT INTO `lang_definitions` VALUES (112489, 6657, 29, 'TMS / EAMs / EE, ext mũi');
INSERT INTO `lang_definitions` VALUES (112490, 6658, 29, 'Đến');
INSERT INTO `lang_definitions` VALUES (112491, 6659, 29, 'ĐẾN');
INSERT INTO `lang_definitions` VALUES (112492, 6660, 29, 'để');
INSERT INTO `lang_definitions` VALUES (112493, 6661, 29, 'đường dẫn tuyệt đối của tập tin');
INSERT INTO `lang_definitions` VALUES (112494, 6662, 29, 'Để thêm ghi chú, xin vui lòng bấm vào ');
INSERT INTO `lang_definitions` VALUES (112495, 6663, 29, 'Để thêm ghi chú, xin vui lòng nhấn vào đây');
INSERT INTO `lang_definitions` VALUES (112496, 6664, 29, 'Vùng bị ảnh hưởng');
INSERT INTO `lang_definitions` VALUES (112497, 6665, 29, 'khu vực bị ảnh hưởng');
INSERT INTO `lang_definitions` VALUES (112498, 6666, 29, 'Để tự động mở hình thức quy định. Một số đội thể thao sử dụng football_injury_audit ở đây.');
INSERT INTO `lang_definitions` VALUES (112499, 6667, 29, 'Thanh toán Xem');
INSERT INTO `lang_definitions` VALUES (112500, 6668, 29, 'vào thể loại');
INSERT INTO `lang_definitions` VALUES (112501, 6669, 29, 'Xem lâm sàng');
INSERT INTO `lang_definitions` VALUES (112502, 6670, 29, 'Để tiền phụ phí');
INSERT INTO `lang_definitions` VALUES (112503, 6672, 29, 'Để ded\'ble');
INSERT INTO `lang_definitions` VALUES (112504, 6673, 29, 'Để DEMs');
INSERT INTO `lang_definitions` VALUES (112505, 6674, 29, 'Vô hiệu hoá SSL giấy chứng nhận phía khách hàng, nhận xét trên dòng trong tập tin cấu hình Apache và thiết lập');
INSERT INTO `lang_definitions` VALUES (112506, 6675, 29, 'Vô hiệu hóa HTTPS, bình luận những dòng trên trong tập tin cấu hình Apache và khởi động lại máy chủ Apache.');
INSERT INTO `lang_definitions` VALUES (112507, 6676, 29, 'Để kích hoạt tính năng Khách hàng bên ssl giấy chứng nhận');
INSERT INTO `lang_definitions` VALUES (112508, 6677, 29, 'Kích hoạt tính năng Khách hàng bên xác thực giấy chứng nhận SSL, HTTPS được kích hoạt.');
INSERT INTO `lang_definitions` VALUES (112509, 6678, 29, 'Để kích hoạt HTTPS chỉ, thực hiện các thay đổi trên và khởi động lại máy chủ Apache. Nếu bạn muốn cấu hình giấy chứng nhận phía khách hàng, xin vui lòng cấu hình chúng trong phần tiếp theo.');
INSERT INTO `lang_definitions` VALUES (112510, 6679, 29, 'Để Enctr');
INSERT INTO `lang_definitions` VALUES (112511, 6680, 29, 'Để lọc theo giới tính');
INSERT INTO `lang_definitions` VALUES (112512, 6681, 29, 'Lịch Sử');
INSERT INTO `lang_definitions` VALUES (112513, 6682, 29, 'Để vấn đề');
INSERT INTO `lang_definitions` VALUES (112514, 6683, 29, 'Để liên kết lần khám / tư vấn này đến ​​một rắc rối hiện tại, hãy nhấp vào ');
INSERT INTO `lang_definitions` VALUES (112515, 6684, 29, 'Để liên kết lần khám / tư vấn này đến ​​một rắc rối hiện tại, hãy nhấp vào rắc rối ở trên để đánh dấu nó rồi nhấn [Lưu]. Giữ [Ctrl] để chọn nhiều rắc rối.');
INSERT INTO `lang_definitions` VALUES (112516, 6685, 29, 'để đăng nhập lại');
INSERT INTO `lang_definitions` VALUES (112517, 6686, 29, 'Để ghi lại sự tiết lộ, xin vui lòng bấm vào');
INSERT INTO `lang_definitions` VALUES (112518, 6687, 29, 'để chạy');
INSERT INTO `lang_definitions` VALUES (112519, 6688, 29, 'Để thiết lập truy cập https với xác thực có chứng chỉ của khách hàng, hãy làm như sau');
INSERT INTO `lang_definitions` VALUES (112520, 6689, 29, 'Lên Da');
INSERT INTO `lang_definitions` VALUES (112521, 6690, 29, 'lên da');
INSERT INTO `lang_definitions` VALUES (112522, 6691, 29, 'lần đến này?');
INSERT INTO `lang_definitions` VALUES (112523, 6693, 29, 'Gửi:');
INSERT INTO `lang_definitions` VALUES (112524, 6694, 29, 'Gửi: ');
INSERT INTO `lang_definitions` VALUES (112525, 6695, 29, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (112526, 6696, 29, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (112527, 6697, 29, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (112528, 6698, 29, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (112529, 6699, 29, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (112530, 6700, 29, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (112531, 6703, 29, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (112532, 6704, 29, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (112533, 6705, 29, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (112534, 6706, 29, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (112535, 6707, 29, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (112536, 6708, 29, 'Thuốc lá');
INSERT INTO `lang_definitions` VALUES (112537, 6709, 29, 'Can thiệp Ngưng hút Thuốc lá');
INSERT INTO `lang_definitions` VALUES (112538, 6710, 29, 'Can thiệp Ngưng hút Thuốc lá (CQM)');
INSERT INTO `lang_definitions` VALUES (112539, 6712, 29, 'Hút thuốc lá');
INSERT INTO `lang_definitions` VALUES (112540, 6713, 29, 'Đánh giá Việc hút Thuốc lá');
INSERT INTO `lang_definitions` VALUES (112541, 6714, 29, 'Đánh giá Việc hút Thuốc lá (CQM)');
INSERT INTO `lang_definitions` VALUES (112542, 6715, 29, 'Hôm nay');
INSERT INTO `lang_definitions` VALUES (112543, 6716, 29, 'TODAY');
INSERT INTO `lang_definitions` VALUES (112544, 6717, 29, 'hôm nay');
INSERT INTO `lang_definitions` VALUES (112545, 6718, 29, 'Cân đối trong Hôm nay');
INSERT INTO `lang_definitions` VALUES (112546, 6719, 29, 'Tiền công trong Hôm nay');
INSERT INTO `lang_definitions` VALUES (112547, 6720, 29, 'Ngày Hôm nay');
INSERT INTO `lang_definitions` VALUES (112548, 6721, 29, 'Sự kiện trong Hôm nay');
INSERT INTO `lang_definitions` VALUES (112549, 6724, 29, 'Token ID for the LibreEHR Support LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (112550, 6726, 29, 'Thuật cắt hạch (Tonsillectomy)');
INSERT INTO `lang_definitions` VALUES (112551, 6728, 29, 'Trên');
INSERT INTO `lang_definitions` VALUES (112552, 6730, 29, 'Chủ đề');
INSERT INTO `lang_definitions` VALUES (112553, 6731, 29, 'Tổng số');
INSERT INTO `lang_definitions` VALUES (112554, 6732, 29, 'tổng số');
INSERT INTO `lang_definitions` VALUES (112555, 6733, 29, 'Tổng số hành động có hiệu lực');
INSERT INTO `lang_definitions` VALUES (112556, 6734, 29, 'Tổng số lời nhắc có hiệu lực sau khi cập nhật');
INSERT INTO `lang_definitions` VALUES (112557, 6735, 29, 'Tổng số lời nhắc có hiệu lực trước khi cập nhật');
INSERT INTO `lang_definitions` VALUES (112558, 6737, 29, 'Tổng số tiền còn thiếu');
INSERT INTO `lang_definitions` VALUES (112559, 6738, 29, 'Tổng số Tiền đã Thanh toán');
INSERT INTO `lang_definitions` VALUES (112560, 6740, 29, 'Tổng số Tiền');
INSERT INTO `lang_definitions` VALUES (112561, 6741, 29, 'Tổng số Tiền');
INSERT INTO `lang_definitions` VALUES (112562, 6742, 29, 'Tổng số Khách hàng');
INSERT INTO `lang_definitions` VALUES (112563, 6743, 29, 'Tổng số Chi phí');
INSERT INTO `lang_definitions` VALUES (112564, 6744, 29, 'Tổng phân phối cho các số kiểm tra sau đây là không đầy đủ');
INSERT INTO `lang_definitions` VALUES (112565, 6746, 29, 'Tổng số nhắc nhở không được gửi qua email');
INSERT INTO `lang_definitions` VALUES (112566, 6747, 29, 'Tổng số nhắc nhở không được gửi qua điện thoại');
INSERT INTO `lang_definitions` VALUES (112567, 6748, 29, 'Tổng số cho');
INSERT INTO `lang_definitions` VALUES (112568, 6749, 29, 'Tổng số cho ');
INSERT INTO `lang_definitions` VALUES (112569, 6750, 29, 'Tổng cộng cho thể loại');
INSERT INTO `lang_definitions` VALUES (112570, 6751, 29, 'Tổng bất hoạt nhắc nhở');
INSERT INTO `lang_definitions` VALUES (112571, 6752, 29, 'Tổng mới nhắc nhở');
INSERT INTO `lang_definitions` VALUES (112572, 6755, 29, 'Tổng số của Chích ngừa');
INSERT INTO `lang_definitions` VALUES (112573, 6756, 29, 'Tổng số các vấn đề');
INSERT INTO `lang_definitions` VALUES (112574, 6758, 29, 'Tổng số của bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112575, 6760, 29, 'Tổng số bệnh nhân cân bằng');
INSERT INTO `lang_definitions` VALUES (112576, 6761, 29, 'Tổng số bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112577, 6764, 29, 'Hồ sơ Tổng số được tìm thấy');
INSERT INTO `lang_definitions` VALUES (112578, 6765, 29, 'Tổng số SRH & Kế hoạch hoá gia đình');
INSERT INTO `lang_definitions` VALUES (112579, 6766, 29, 'Tổng số thành công nhắc nhở gửi qua email');
INSERT INTO `lang_definitions` VALUES (112580, 6767, 29, 'Tổng số thành công nhắc nhở gửi qua điện thoại');
INSERT INTO `lang_definitions` VALUES (112581, 6770, 29, 'Tổng không thay đổi nhắc nhở');
INSERT INTO `lang_definitions` VALUES (112582, 6771, 29, 'Tổng số tin nhắn chưa gửi nhắc nhở quá trình sau khi gửi');
INSERT INTO `lang_definitions` VALUES (112583, 6772, 29, 'Tổng số tin nhắn chưa gửi nhắc nhở sau khi cập nhật');
INSERT INTO `lang_definitions` VALUES (112584, 6773, 29, 'Tổng số tin nhắn chưa gửi nhắc nhở quá trình trước khi gửi');
INSERT INTO `lang_definitions` VALUES (112585, 6774, 29, 'Tổng số tin nhắn chưa gửi nhắc nhở trước khi cập nhật');
INSERT INTO `lang_definitions` VALUES (112586, 6775, 29, 'Tổng số cập nhật nhắc nhở');
INSERT INTO `lang_definitions` VALUES (112587, 6776, 29, 'Tổng số');
INSERT INTO `lang_definitions` VALUES (112588, 6777, 29, 'Tổng số của');
INSERT INTO `lang_definitions` VALUES (112589, 6778, 29, 'Tổng số của ');
INSERT INTO `lang_definitions` VALUES (112590, 6785, 29, 'Đào tạo Loại');
INSERT INTO `lang_definitions` VALUES (112591, 6786, 29, 'Giao dịch');
INSERT INTO `lang_definitions` VALUES (112592, 6787, 29, 'Giao dịch');
INSERT INTO `lang_definitions` VALUES (112593, 6788, 29, 'giao dịch');
INSERT INTO `lang_definitions` VALUES (112594, 6789, 29, 'Giao dịch không thành công, không đủ số lượng trong rất nhiều điểm đến');
INSERT INTO `lang_definitions` VALUES (112595, 6790, 29, 'Giao dịch không thành công, số lượng ít hơn không');
INSERT INTO `lang_definitions` VALUES (112596, 6791, 29, 'Giao dịch loại');
INSERT INTO `lang_definitions` VALUES (112597, 6792, 29, 'giao dịch');
INSERT INTO `lang_definitions` VALUES (112598, 6793, 29, 'Giao dịch');
INSERT INTO `lang_definitions` VALUES (112599, 6794, 29, 'Giao dịch (viết tùy chọn)');
INSERT INTO `lang_definitions` VALUES (112600, 6795, 29, 'Các giao dịch / Giới thiệu tham gia');
INSERT INTO `lang_definitions` VALUES (112601, 6797, 29, 'Chuyển');
INSERT INTO `lang_definitions` VALUES (112602, 6799, 29, 'Chuyển giao không thành công, không đủ số lượng trong rất nhiều nguồn');
INSERT INTO `lang_definitions` VALUES (112603, 6804, 29, 'Chuyển');
INSERT INTO `lang_definitions` VALUES (112604, 6806, 29, 'Chuyển tiếp / Chuyển hay Chăm sóc?');
INSERT INTO `lang_definitions` VALUES (112605, 6807, 29, 'Dịch Nhóm Điều khiển Truy cập');
INSERT INTO `lang_definitions` VALUES (112606, 6808, 29, 'Dịch Thể loại Cuộc hẹn');
INSERT INTO `lang_definitions` VALUES (112607, 6809, 29, 'Dịch Thể loại Tài liệu');
INSERT INTO `lang_definitions` VALUES (112608, 6810, 29, 'Dịch các Bố trí');
INSERT INTO `lang_definitions` VALUES (112609, 6811, 29, 'Dịch các Danh sách');
INSERT INTO `lang_definitions` VALUES (112610, 6812, 29, 'Dịch Tựa đề Ghi chú cho Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112611, 6813, 29, 'dịch cái này');
INSERT INTO `lang_definitions` VALUES (112612, 6814, 29, 'Bản dịch');
INSERT INTO `lang_definitions` VALUES (112613, 6815, 29, 'Bản dịch');
INSERT INTO `lang_definitions` VALUES (112614, 6819, 29, 'Chấn thương');
INSERT INTO `lang_definitions` VALUES (112615, 6820, 29, 'Điều trị');
INSERT INTO `lang_definitions` VALUES (112616, 6822, 29, 'Điều trị Mục tiêu');
INSERT INTO `lang_definitions` VALUES (112617, 6823, 29, 'Điều trị Kế hoạch');
INSERT INTO `lang_definitions` VALUES (112618, 6826, 29, 'Điều trị:');
INSERT INTO `lang_definitions` VALUES (112619, 6827, 29, 'Điều trị: ');
INSERT INTO `lang_definitions` VALUES (112620, 6828, 29, 'Mở');
INSERT INTO `lang_definitions` VALUES (112621, 6829, 29, 'trftime (month_format, mktime (0, 0, 0, $ i, 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (112622, 6830, 29, 'Điểm kích hoạt / hội chứng ngăn / DOMS / chuột rút');
INSERT INTO `lang_definitions` VALUES (112623, 6831, 29, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (112624, 6832, 29, 'Trunk và bụng');
INSERT INTO `lang_definitions` VALUES (112625, 6837, 29, 'muỗng cà phê');
INSERT INTO `lang_definitions` VALUES (112626, 6839, 29, 'TTS');
INSERT INTO `lang_definitions` VALUES (112627, 6840, 29, 'Bệnh lao');
INSERT INTO `lang_definitions` VALUES (112628, 6841, 29, 'Thứ 3');
INSERT INTO `lang_definitions` VALUES (112629, 6842, 29, 'Thứ 3 & Thứ 5');
INSERT INTO `lang_definitions` VALUES (112630, 6843, 29, 'Thứ Ba');
INSERT INTO `lang_definitions` VALUES (112631, 6844, 29, 'Ung bướu');
INSERT INTO `lang_definitions` VALUES (112632, 6845, 29, 'Tiếng Thổ Nhĩ Kỳ');
INSERT INTO `lang_definitions` VALUES (112633, 6848, 29, 'hai lần mỗi ngày');
INSERT INTO `lang_definitions` VALUES (112634, 6850, 29, 'Màng nhi');
INSERT INTO `lang_definitions` VALUES (112635, 6851, 29, 'Loại');
INSERT INTO `lang_definitions` VALUES (112636, 6852, 29, 'Id Loại Name.3 tối thiểu ký tự (bao gồm cả khoảng trắng).');
INSERT INTO `lang_definitions` VALUES (112637, 6853, 29, 'Loại cột hiển thị kết quả tìm kiếm bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112638, 6854, 29, 'Loại của Công bố');
INSERT INTO `lang_definitions` VALUES (112639, 6855, 29, 'Loại sự kiện');
INSERT INTO `lang_definitions` VALUES (112640, 6856, 29, 'Loại bố trí màn hình');
INSERT INTO `lang_definitions` VALUES (112641, 6857, 29, 'Nhập hoặc quét nhận dạng bệnh nhân ở đây');
INSERT INTO `lang_definitions` VALUES (112642, 6859, 29, 'Các loại đơn Đặt hàng và Kết quả');
INSERT INTO `lang_definitions` VALUES (112643, 6864, 29, 'UCSMC mã được cung cấp bởi Đại học Calgary Trung tâm Y học Thể Thao');
INSERT INTO `lang_definitions` VALUES (112644, 6866, 29, 'Loét');
INSERT INTO `lang_definitions` VALUES (112645, 6867, 29, 'Viêm loét đại tràng');
INSERT INTO `lang_definitions` VALUES (112646, 6868, 29, 'Loét:');
INSERT INTO `lang_definitions` VALUES (112647, 6871, 29, 'Không thể để tạo ra');
INSERT INTO `lang_definitions` VALUES (112648, 6876, 29, 'Chưa được áp dụng');
INSERT INTO `lang_definitions` VALUES (112649, 6877, 29, 'Chưa chọn');
INSERT INTO `lang_definitions` VALUES (112650, 6879, 29, 'Truy cập trái phép để ePrescription');
INSERT INTO `lang_definitions` VALUES (112651, 6880, 29, 'Truy cập trái phép.');
INSERT INTO `lang_definitions` VALUES (112652, 6882, 29, 'Unbilled Chỉ');
INSERT INTO `lang_definitions` VALUES (112653, 6884, 29, 'dưới lưỡi');
INSERT INTO `lang_definitions` VALUES (112654, 6885, 29, 'Thiếu cân');
INSERT INTO `lang_definitions` VALUES (112655, 6886, 29, 'Không được chẩn đoán');
INSERT INTO `lang_definitions` VALUES (112656, 6887, 29, 'Chưa phân phối');
INSERT INTO `lang_definitions` VALUES (112657, 6888, 29, 'Chưa phân phối');
INSERT INTO `lang_definitions` VALUES (112658, 6889, 29, 'Chưa phân phối được');
INSERT INTO `lang_definitions` VALUES (112659, 6890, 29, 'Xóa lần Tính tiền này');
INSERT INTO `lang_definitions` VALUES (112660, 6892, 29, 'Độc đáo Khách hàng');
INSERT INTO `lang_definitions` VALUES (112661, 6893, 29, 'Con người có thể đọc được định danh duy nhất cho loại này');
INSERT INTO `lang_definitions` VALUES (112662, 6894, 29, 'Bổ sung - Vui học New Khách hàng');
INSERT INTO `lang_definitions` VALUES (112663, 6895, 29, 'Số định danh duy nhất cho loại này');
INSERT INTO `lang_definitions` VALUES (112664, 6896, 29, 'Độc đáo lên Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112665, 6897, 29, 'Bệnh nhân lên độc đáo Báo cáo');
INSERT INTO `lang_definitions` VALUES (112666, 6898, 29, 'Độc đáo SP');
INSERT INTO `lang_definitions` VALUES (112667, 6899, 29, 'Đơn vị');
INSERT INTO `lang_definitions` VALUES (112668, 6900, 29, 'Các đơn vị');
INSERT INTO `lang_definitions` VALUES (112669, 6901, 29, 'cái');
INSERT INTO `lang_definitions` VALUES (112670, 6903, 29, 'Đơn vị cho Biểu mẫu Đến khám');
INSERT INTO `lang_definitions` VALUES (112671, 6904, 29, 'Các đơn vị phải là một số');
INSERT INTO `lang_definitions` VALUES (112672, 6905, 29, 'Các đơn vị không được định nghĩa');
INSERT INTO `lang_definitions` VALUES (112673, 6906, 29, 'Các đơn vị / L');
INSERT INTO `lang_definitions` VALUES (112674, 6907, 29, 'Không biết');
INSERT INTO `lang_definitions` VALUES (112675, 6910, 29, 'Không biết đã hút thuốc bao giờ chưa');
INSERT INTO `lang_definitions` VALUES (112676, 6911, 29, 'Không biết hoặc N/A');
INSERT INTO `lang_definitions` VALUES (112677, 6914, 29, 'Công ty chưa được đặt tên bảo hiểm');
INSERT INTO `lang_definitions` VALUES (112678, 6915, 29, 'Chưa đăng ký');
INSERT INTO `lang_definitions` VALUES (112679, 6918, 29, 'Bỏ chọn tất cả');
INSERT INTO `lang_definitions` VALUES (112680, 6919, 29, 'Không được lựa chọn');
INSERT INTO `lang_definitions` VALUES (112681, 6920, 29, 'Không quy định');
INSERT INTO `lang_definitions` VALUES (112682, 6921, 29, 'không có cấu trúc');
INSERT INTO `lang_definitions` VALUES (112683, 6924, 29, 'cho đến');
INSERT INTO `lang_definitions` VALUES (112684, 6925, 29, 'Không kịp thời nộp hồ sơ');
INSERT INTO `lang_definitions` VALUES (112685, 6926, 29, 'Chưa sử dụng');
INSERT INTO `lang_definitions` VALUES (112686, 6927, 29, 'UOR');
INSERT INTO `lang_definitions` VALUES (112687, 6928, 29, 'Lên đến');
INSERT INTO `lang_definitions` VALUES (112688, 6929, 29, 'Cuộc hẹn Sắp tới');
INSERT INTO `lang_definitions` VALUES (112689, 6930, 29, 'Sự kiện Sắp tới');
INSERT INTO `lang_definitions` VALUES (112690, 6931, 29, 'Cập nhật');
INSERT INTO `lang_definitions` VALUES (112691, 6932, 29, 'cập nhật');
INSERT INTO `lang_definitions` VALUES (112692, 6933, 29, 'Cập nhật Hoạt động');
INSERT INTO `lang_definitions` VALUES (112693, 6934, 29, 'Cập nhật tập tin');
INSERT INTO `lang_definitions` VALUES (112694, 6935, 29, 'Cập nhật Thông tin');
INSERT INTO `lang_definitions` VALUES (112695, 6936, 29, 'Cập nhật Danh sách');
INSERT INTO `lang_definitions` VALUES (112696, 6937, 29, 'Cập nhật Số của Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (112697, 6938, 29, 'Cập nhật Mục được Chọn');
INSERT INTO `lang_definitions` VALUES (112698, 6939, 29, 'Cập nhật các biến sau đây trong tập tin');
INSERT INTO `lang_definitions` VALUES (112699, 6940, 29, 'Cập nhật Thông tin Người dùng');
INSERT INTO `lang_definitions` VALUES (112700, 6942, 29, 'Không được phép cập nhật thông tin cá nhân.');
INSERT INTO `lang_definitions` VALUES (112701, 6946, 29, 'Nâng cấp');
INSERT INTO `lang_definitions` VALUES (112702, 6947, 29, 'Nâng cấp Cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (112703, 6948, 29, 'Việc nâng cấp cơ sở dữ liệu LibreEHR bao gồm các Thủ tục, Chức năng và các bảng cần thiết cho quá trình nhận dạng');
INSERT INTO `lang_definitions` VALUES (112704, 6949, 29, 'Việc nâng cấp sẽ tiếp tục');
INSERT INTO `lang_definitions` VALUES (112705, 6950, 29, 'UPIN');
INSERT INTO `lang_definitions` VALUES (112706, 6951, 29, 'Tải lên');
INSERT INTO `lang_definitions` VALUES (112707, 6954, 29, 'Tải dữ liệu cấu hình lên');
INSERT INTO `lang_definitions` VALUES (112708, 6955, 29, 'Tải Tài liệu lên');
INSERT INTO `lang_definitions` VALUES (112709, 6956, 29, 'Tải lên thất bại!');
INSERT INTO `lang_definitions` VALUES (112710, 6957, 29, 'Tải hình lên');
INSERT INTO `lang_definitions` VALUES (112711, 6958, 29, 'Tải tập tin kết nhập lên:');
INSERT INTO `lang_definitions` VALUES (112712, 6961, 29, 'Báo cáo việc Tải lên');
INSERT INTO `lang_definitions` VALUES (112713, 6963, 29, 'Tải tập tin này lên:');
INSERT INTO `lang_definitions` VALUES (112714, 6964, 29, 'Khi nhấp vào một số hóa đơn \"cửa sổ đăng hướng dẫn sử dụng\" xuất hiện. Ở đây bạn có thể thay đổi vào ngày đáo hạn và ghi chú cho hoá đơn, lựa chọn bên người mà bạn gửi bài, và chọn bảo hiểm cho tất cả paymants dự kiến ​​sẽ nhận được. Quan trọng nhất, cho mỗi mã thanh toán số tiền đã được tính phí, bạn có thể nhập thông tin thanh toán và điều chỉnh.');
INSERT INTO `lang_definitions` VALUES (112715, 6965, 29, 'Khi tìm kiếm bạn đang trình bày với một danh sách các hoá đơn. Bạn có thể click vào một trong các số hoá đơn để mở một cửa sổ thứ hai, đó là nhập dữ liệu trang cho hướng dẫn đăng. Bạn cũng có thể nhấp chuột vào một tên bệnh nhân nếu bạn muốn nhập một lưu ý rằng các nhân viên văn phòng phía trước sẽ nhìn thấy khi bệnh nhân kiểm tra, và bạn có thể chọn các hoá đơn xuất hiện trên báo cáo bệnh nhân và in các báo cáo.');
INSERT INTO `lang_definitions` VALUES (112716, 6966, 29, 'Trên cánh tay');
INSERT INTO `lang_definitions` VALUES (112717, 6968, 29, 'Tình huống khẩn cấp');
INSERT INTO `lang_definitions` VALUES (112718, 6970, 29, 'Nước tiểu');
INSERT INTO `lang_definitions` VALUES (112719, 6971, 29, 'Nước tiểu Dribbling');
INSERT INTO `lang_definitions` VALUES (112720, 6972, 29, 'Nước tiểu Tần số');
INSERT INTO `lang_definitions` VALUES (112721, 6973, 29, 'Nước tiểu do dự');
INSERT INTO `lang_definitions` VALUES (112722, 6974, 29, 'Nước tiểu Microalbumin');
INSERT INTO `lang_definitions` VALUES (112723, 6975, 29, 'Nước tiểu suối');
INSERT INTO `lang_definitions` VALUES (112724, 6976, 29, 'Nước tiểu Tình huống khẩn cấp');
INSERT INTO `lang_definitions` VALUES (112725, 6977, 29, 'URL');
INSERT INTO `lang_definitions` VALUES (112726, 6979, 29, 'URL để tìm hỗ trợ về LibreEHR.');
INSERT INTO `lang_definitions` VALUES (112727, 6981, 29, 'URL cho Gateway điện thoại. Tự động dịch vụ VoIP được cung cấp bởi Maviq. Vui lòng truy cập http://signup.maviq.com để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (112728, 6986, 29, 'Chỉ số sử dụng (ISA15)');
INSERT INTO `lang_definitions` VALUES (112729, 6988, 29, 'Sử dụng 24 giờ định dạng thời gian?');
INSERT INTO `lang_definitions` VALUES (112730, 6990, 29, 'Sử dụng chứng nhận EHR công nghệ để xác định các nguồn tài nguyên giáo dục bệnh nhân cụ thể và cung cấp các nguồn lực cho bệnh nhân nếu thích hợp.');
INSERT INTO `lang_definitions` VALUES (112731, 6991, 29, 'Dùng Bảng Biểu phí');
INSERT INTO `lang_definitions` VALUES (112732, 6992, 29, 'Sử dụng CPOE cho các đơn đặt hàng thuốc trực tiếp vào bất kỳ chuyên viên y tế được cấp phép có thể nhập lệnh vào hồ sơ y tế cho mỗi nhà nước, hướng dẫn địa phương và chuyên nghiệp.');
INSERT INTO `lang_definitions` VALUES (112733, 6997, 29, 'Sử dụng Danh sách Chủng ngừa Tuỳ chỉnh');
INSERT INTO `lang_definitions` VALUES (112734, 6999, 29, 'Sử dụng Phạm vi Ngày');
INSERT INTO `lang_definitions` VALUES (112735, 7000, 29, 'Sử dụng mặc định');
INSERT INTO `lang_definitions` VALUES (112736, 7001, 29, 'Sử dụng Tùy chọn Delete để loại bỏ.');
INSERT INTO `lang_definitions` VALUES (112737, 7002, 29, 'Sử dụng phong cách ngày quốc tế?');
INSERT INTO `lang_definitions` VALUES (112738, 7003, 29, 'Sử dụng tên tập tin nguồn');
INSERT INTO `lang_definitions` VALUES (112739, 7004, 29, 'Sử dụng các trường dưới đây để mua hàng hoặc chuyển giao.');
INSERT INTO `lang_definitions` VALUES (112740, 7005, 29, 'Sử dụng tính năng này chỉ với các trang web mới được cài đặt, ');
INSERT INTO `lang_definitions` VALUES (112741, 7006, 29, 'Sử dụng các chủ đề?');
INSERT INTO `lang_definitions` VALUES (112742, 7007, 29, 'Người dùng');
INSERT INTO `lang_definitions` VALUES (112743, 7009, 29, 'Người dùng / Nhóm');
INSERT INTO `lang_definitions` VALUES (112744, 7010, 29, 'Quản trị Người dùng');
INSERT INTO `lang_definitions` VALUES (112745, 7011, 29, 'Quản trị Người dùng và Cơ sở');
INSERT INTO `lang_definitions` VALUES (112746, 7012, 29, 'Quản trị Người dùng và Nhóm');
INSERT INTO `lang_definitions` VALUES (112747, 7014, 29, 'Giấy chứng nhận xác thực người dùng được vô hiệu hóa');
INSERT INTO `lang_definitions` VALUES (112748, 7015, 29, 'Tự Định nghĩa');
INSERT INTO `lang_definitions` VALUES (112749, 7016, 29, 'Vùng Tự Định nghĩa 11');
INSERT INTO `lang_definitions` VALUES (112750, 7017, 29, 'Vùng Tự Định nghĩa 12');
INSERT INTO `lang_definitions` VALUES (112751, 7018, 29, 'Thông tin Tự Định nghĩa');
INSERT INTO `lang_definitions` VALUES (112752, 7019, 29, 'Danh mục Tự Định nghĩa 1');
INSERT INTO `lang_definitions` VALUES (112753, 7020, 29, 'Danh mục Tự Định nghĩa 2');
INSERT INTO `lang_definitions` VALUES (112754, 7021, 29, 'Danh mục Tự Định nghĩa 3');
INSERT INTO `lang_definitions` VALUES (112755, 7022, 29, 'Danh mục Tự Định nghĩa 4');
INSERT INTO `lang_definitions` VALUES (112756, 7023, 29, 'Danh mục Tự Định nghĩa 5');
INSERT INTO `lang_definitions` VALUES (112757, 7024, 29, 'Danh mục Tự Định nghĩa 6');
INSERT INTO `lang_definitions` VALUES (112758, 7025, 29, 'Danh mục Tự Định nghĩa 7');
INSERT INTO `lang_definitions` VALUES (112759, 7026, 29, 'Văn bản Tự Định nghĩa 1');
INSERT INTO `lang_definitions` VALUES (112760, 7027, 29, 'Văn bản Tự Định nghĩa 2');
INSERT INTO `lang_definitions` VALUES (112761, 7028, 29, 'Văn bản Tự Định nghĩa 3');
INSERT INTO `lang_definitions` VALUES (112762, 7029, 29, 'Văn bản Tự Định nghĩa 4');
INSERT INTO `lang_definitions` VALUES (112763, 7030, 29, 'Văn bản Tự Định nghĩa 5');
INSERT INTO `lang_definitions` VALUES (112764, 7031, 29, 'Văn bản Tự Định nghĩa 6');
INSERT INTO `lang_definitions` VALUES (112765, 7032, 29, 'Văn bản Tự Định nghĩa 7');
INSERT INTO `lang_definitions` VALUES (112766, 7033, 29, 'Văn bản Tự Định nghĩa 8');
INSERT INTO `lang_definitions` VALUES (112767, 7034, 29, 'Người sử dụng Tên');
INSERT INTO `lang_definitions` VALUES (112768, 7039, 29, 'Hướng dẫn sử dụng');
INSERT INTO `lang_definitions` VALUES (112769, 7040, 29, 'Người sử dụng những thành viên');
INSERT INTO `lang_definitions` VALUES (112770, 7041, 29, 'User Name');
INSERT INTO `lang_definitions` VALUES (112771, 7042, 29, 'Tên người dùng hoặc tên máy chủ không thể để trống');
INSERT INTO `lang_definitions` VALUES (112772, 7043, 29, 'Tên người dùng hoặc chủ nhà');
INSERT INTO `lang_definitions` VALUES (112773, 7046, 29, 'Người sử dụng Cài đặt');
INSERT INTO `lang_definitions` VALUES (112774, 7047, 29, 'Thiết lập Của Người dùng');
INSERT INTO `lang_definitions` VALUES (112775, 7049, 29, 'Tên đăng nhập');
INSERT INTO `lang_definitions` VALUES (112776, 7051, 29, 'Tên người dùng cho cổng điện thoại. Tự động dịch vụ VoIP được cung cấp bởi Maviq. Vui lòng truy cập http://signup.maviq.com để biết thêm thông tin.');
INSERT INTO `lang_definitions` VALUES (112777, 7052, 29, 'Tên người dùng cho SMS Gateway');
INSERT INTO `lang_definitions` VALUES (112778, 7053, 29, 'Tên người dùng cho SMS Gateway.');
INSERT INTO `lang_definitions` VALUES (112779, 7055, 29, 'Tên đăng nhập:');
INSERT INTO `lang_definitions` VALUES (112780, 7056, 29, 'Người sử dụng');
INSERT INTO `lang_definitions` VALUES (112781, 7057, 29, 'Người dùng / Nhóm / Logs Quản trị');
INSERT INTO `lang_definitions` VALUES (112782, 7058, 29, 'sử dụng php <a href=\"http://php.net/strftime\"> strftime </ a> định dạng');
INSERT INTO `lang_definitions` VALUES (112783, 7059, 29, 'Nhiễm trùng tiểu');
INSERT INTO `lang_definitions` VALUES (112784, 7062, 29, 'VACATION');
INSERT INTO `lang_definitions` VALUES (112785, 7063, 29, 'Kỳ nghỉ');
INSERT INTO `lang_definitions` VALUES (112786, 7064, 29, 'Vắc-xin');
INSERT INTO `lang_definitions` VALUES (112787, 7065, 29, 'Âm đạo nhẫn');
INSERT INTO `lang_definitions` VALUES (112788, 7066, 29, 'Bài diển văn');
INSERT INTO `lang_definitions` VALUES (112789, 7067, 29, 'xác nhận tính hợp lệ');
INSERT INTO `lang_definitions` VALUES (112790, 7068, 29, 'Giá trị');
INSERT INTO `lang_definitions` VALUES (112791, 7069, 29, 'Giá trị 1');
INSERT INTO `lang_definitions` VALUES (112792, 7070, 29, 'Giá trị 2');
INSERT INTO `lang_definitions` VALUES (112793, 7072, 29, 'Giá trị nên là Numeric');
INSERT INTO `lang_definitions` VALUES (112794, 7073, 29, 'Var1');
INSERT INTO `lang_definitions` VALUES (112795, 7074, 29, 'Var2');
INSERT INTO `lang_definitions` VALUES (112796, 7075, 29, 'biến một để chạy kịch bản nâng cấp de-nhận dạng');
INSERT INTO `lang_definitions` VALUES (112797, 7076, 29, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (112798, 7077, 29, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (112799, 7078, 29, 'Dây tinh mạch trường');
INSERT INTO `lang_definitions` VALUES (112800, 7079, 29, 'Mạch điều kiện');
INSERT INTO `lang_definitions` VALUES (112801, 7080, 29, 'Mạch máu bị thương');
INSERT INTO `lang_definitions` VALUES (112802, 7081, 29, 'Mạch máu Phẫu thuật');
INSERT INTO `lang_definitions` VALUES (112803, 7083, 29, 'Nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (112804, 7084, 29, 'Phiên bản');
INSERT INTO `lang_definitions` VALUES (112805, 7085, 29, 'Vertigo');
INSERT INTO `lang_definitions` VALUES (112806, 7087, 29, 'Cựu chiến binh Kế hoạch');
INSERT INTO `lang_definitions` VALUES (112807, 7088, 29, 'VFC');
INSERT INTO `lang_definitions` VALUES (112808, 7089, 29, 'Tiếng Việt');
INSERT INTO `lang_definitions` VALUES (112809, 7090, 29, 'xem');
INSERT INTO `lang_definitions` VALUES (112810, 7091, 29, 'Xem');
INSERT INTO `lang_definitions` VALUES (112811, 7092, 29, 'Xem Dị ứng');
INSERT INTO `lang_definitions` VALUES (112812, 7097, 29, 'Xem Báo cáo bệnh nhân toàn diện');
INSERT INTO `lang_definitions` VALUES (112813, 7100, 29, 'Xem tài liệu');
INSERT INTO `lang_definitions` VALUES (112814, 7101, 29, 'Xem gặp phải');
INSERT INTO `lang_definitions` VALUES (112815, 7103, 29, 'Xem các sự kiện trong một cửa sổ popup?');
INSERT INTO `lang_definitions` VALUES (112816, 7108, 29, 'Xem Trang 1');
INSERT INTO `lang_definitions` VALUES (112817, 7109, 29, 'Xem Page 2');
INSERT INTO `lang_definitions` VALUES (112818, 7111, 29, 'Xem Bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112819, 7116, 29, 'Xem cuộc gặp gỡ liên quan');
INSERT INTO `lang_definitions` VALUES (112820, 7121, 29, 'Xem / Chỉnh sửa Dị ứng');
INSERT INTO `lang_definitions` VALUES (112821, 7122, 29, 'Xem / chỉnh sửa vấn đề');
INSERT INTO `lang_definitions` VALUES (112822, 7123, 29, 'Xem / In');
INSERT INTO `lang_definitions` VALUES (112823, 7124, 29, 'Xem:');
INSERT INTO `lang_definitions` VALUES (112824, 7125, 29, 'VISA');
INSERT INTO `lang_definitions` VALUES (112825, 7126, 29, 'VISA / MC / AMEX / Dis');
INSERT INTO `lang_definitions` VALUES (112826, 7127, 29, '/ Chấn thương nội tạng thiệt hại / phẫu thuật');
INSERT INTO `lang_definitions` VALUES (112827, 7133, 29, 'Thể loại Đến khám:');
INSERT INTO `lang_definitions` VALUES (112828, 7134, 29, 'Ngày Đến khám');
INSERT INTO `lang_definitions` VALUES (112829, 7135, 29, 'Ngày đến khám');
INSERT INTO `lang_definitions` VALUES (112830, 7137, 29, 'Biểu mẫu Đến khám');
INSERT INTO `lang_definitions` VALUES (112831, 7138, 29, 'Lịch sử Đến khám');
INSERT INTO `lang_definitions` VALUES (112832, 7140, 29, 'Đến khám');
INSERT INTO `lang_definitions` VALUES (112833, 7141, 29, 'Đến khám Từ');
INSERT INTO `lang_definitions` VALUES (112834, 7142, 29, 'Thể trạng');
INSERT INTO `lang_definitions` VALUES (112835, 7143, 29, 'Thể trạng');
INSERT INTO `lang_definitions` VALUES (112836, 7144, 29, 'Thể trạng (Hệ mét)');
INSERT INTO `lang_definitions` VALUES (112837, 7146, 29, 'Lời nhắn');
INSERT INTO `lang_definitions` VALUES (112838, 7147, 29, 'Đã gửi Lời nhắn');
INSERT INTO `lang_definitions` VALUES (112839, 7149, 29, 'Ói mửa');
INSERT INTO `lang_definitions` VALUES (112840, 7151, 29, 'W');
INSERT INTO `lang_definitions` VALUES (112841, 7152, 29, 'CV Eo');
INSERT INTO `lang_definitions` VALUES (112842, 7153, 29, 'Chu vi Eo');
INSERT INTO `lang_definitions` VALUES (112843, 7154, 29, 'Chờ đợi');
INSERT INTO `lang_definitions` VALUES (112844, 7155, 29, 'Đi ngang');
INSERT INTO `lang_definitions` VALUES (112845, 7157, 29, 'Walt Pennington');
INSERT INTO `lang_definitions` VALUES (112846, 7158, 29, 'Kho hàng');
INSERT INTO `lang_definitions` VALUES (112847, 7161, 29, 'Kho');
INSERT INTO `lang_definitions` VALUES (112848, 7162, 29, 'Ấm áp');
INSERT INTO `lang_definitions` VALUES (112849, 7163, 29, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (112850, 7164, 29, 'CẢNH BÁO');
INSERT INTO `lang_definitions` VALUES (112851, 7166, 29, 'Cảnh báo, Số Kiểm tra đã tồn tại trong cơ sở dữ liệu');
INSERT INTO `lang_definitions` VALUES (112852, 7168, 29, 'Cảnh báo: đã tạo ra lần khám cho bệnh nhân này ngày hôm nay!');
INSERT INTO `lang_definitions` VALUES (112853, 7170, 29, 'Cảnh báo: Mã bệnh nhân không phải là duy nhất!');
INSERT INTO `lang_definitions` VALUES (112854, 7171, 29, 'Chú ý: Điều này sẽ ghi đè lên thông tin cấu hình với dữ liệu từ các tập tin được tải lên!');
INSERT INTO `lang_definitions` VALUES (112855, 7173, 29, 'Cảnh báo');
INSERT INTO `lang_definitions` VALUES (112856, 7175, 29, 'đã tải lên');
INSERT INTO `lang_definitions` VALUES (112857, 7177, 29, 'Chúng tôi đánh giá cao thanh toán kịp thời số dư đến hạn');
INSERT INTO `lang_definitions` VALUES (112858, 7178, 29, 'chúng ta đã thấy bệnh nhân trên của bạn để đánh giá và điều trị tại phòng khám ngoại trú tâm thần học của chúng tôi. Cảm ơn bạn đã giới thiệu này.');
INSERT INTO `lang_definitions` VALUES (112859, 7179, 29, 'Điểm yếu');
INSERT INTO `lang_definitions` VALUES (112860, 7181, 29, 'Tìm kiếm Web');
INSERT INTO `lang_definitions` VALUES (112861, 7182, 29, 'Website');
INSERT INTO `lang_definitions` VALUES (112862, 7183, 29, 'Liên kết website Cổng thông tin bệnh nhân tại chỗ.');
INSERT INTO `lang_definitions` VALUES (112863, 7184, 29, 'Thứ 4');
INSERT INTO `lang_definitions` VALUES (112864, 7185, 29, 'Thứ Tư');
INSERT INTO `lang_definitions` VALUES (112865, 7186, 29, 'Tuần');
INSERT INTO `lang_definitions` VALUES (112866, 7187, 29, 'tuần');
INSERT INTO `lang_definitions` VALUES (112867, 7188, 29, 'Xem theo Tuần');
INSERT INTO `lang_definitions` VALUES (112868, 7189, 29, 'Tuần');
INSERT INTO `lang_definitions` VALUES (112869, 7190, 29, 'Hàng tuần Exposures');
INSERT INTO `lang_definitions` VALUES (112870, 7192, 29, 'Tuần');
INSERT INTO `lang_definitions` VALUES (112871, 7193, 29, 'Trọng lượng');
INSERT INTO `lang_definitions` VALUES (112872, 7194, 29, 'Đánh giá Trọng lượng và Tư vấn cho Trẻ em và Thanh thiếu niên');
INSERT INTO `lang_definitions` VALUES (112873, 7195, 29, 'Đánh giá Trọng lượng và Tư vấn cho Trẻ em và Thanh thiếu niên (CQM)');
INSERT INTO `lang_definitions` VALUES (112874, 7196, 29, 'Thay đổi Trọng lượng');
INSERT INTO `lang_definitions` VALUES (112875, 7197, 29, 'Giảm Cân');
INSERT INTO `lang_definitions` VALUES (112876, 7198, 29, 'Phòng khám giảm cân');
INSERT INTO `lang_definitions` VALUES (112877, 7199, 29, 'Chào mừng');
INSERT INTO `lang_definitions` VALUES (112878, 7202, 29, 'Được tính là gì?');
INSERT INTO `lang_definitions` VALUES (112879, 7203, 29, 'Khó thở:');
INSERT INTO `lang_definitions` VALUES (112880, 7204, 29, 'Thở khò khè');
INSERT INTO `lang_definitions` VALUES (112881, 7205, 29, 'Thở khò khè:');
INSERT INTO `lang_definitions` VALUES (112882, 7208, 29, 'Trường hợp có thể có liên quan được quét hoặc tài liệu giấy được tìm thấy?');
INSERT INTO `lang_definitions` VALUES (112883, 7211, 29, 'Cột sống');
INSERT INTO `lang_definitions` VALUES (112884, 7212, 29, 'Da trắng');
INSERT INTO `lang_definitions` VALUES (112885, 7213, 29, 'Ai');
INSERT INTO `lang_definitions` VALUES (112886, 7214, 29, 'Ai trả lời?');
INSERT INTO `lang_definitions` VALUES (112887, 7215, 29, 'Góa chồng/vợ');
INSERT INTO `lang_definitions` VALUES (112888, 7217, 29, 'Độ rộng khung chuyển hướng bên trái, tính theo điểm ảnh');
INSERT INTO `lang_definitions` VALUES (112889, 7221, 29, 'Với lựa chọn:');
INSERT INTO `lang_definitions` VALUES (112890, 7222, 29, 'với tên cũ');
INSERT INTO `lang_definitions` VALUES (112891, 7224, 29, 'Với người mà chúng tôi có thể để lại tin nhắn?');
INSERT INTO `lang_definitions` VALUES (112892, 7225, 29, 'Khấu trừ');
INSERT INTO `lang_definitions` VALUES (112893, 7226, 29, 'trong vòng vài giờ');
INSERT INTO `lang_definitions` VALUES (112894, 7227, 29, 'trong vòng vài giờ:');
INSERT INTO `lang_definitions` VALUES (112895, 7228, 29, 'trong vòng vài phút');
INSERT INTO `lang_definitions` VALUES (112896, 7229, 29, 'trong vòng vài phút:');
INSERT INTO `lang_definitions` VALUES (112897, 7232, 29, 'không Update');
INSERT INTO `lang_definitions` VALUES (112898, 7233, 29, 'Chứng kiến');
INSERT INTO `lang_definitions` VALUES (112899, 7234, 29, 'tuần');
INSERT INTO `lang_definitions` VALUES (112900, 7235, 29, 'WNL');
INSERT INTO `lang_definitions` VALUES (112901, 7237, 29, 'Phụ nữ');
INSERT INTO `lang_definitions` VALUES (112902, 7238, 29, 'Chỉ phụ nữ');
INSERT INTO `lang_definitions` VALUES (112903, 7240, 29, 'Làm việc');
INSERT INTO `lang_definitions` VALUES (112904, 7241, 29, 'Ghi chú công việc');
INSERT INTO `lang_definitions` VALUES (112905, 7242, 29, 'Điện thoại công việc');
INSERT INTO `lang_definitions` VALUES (112906, 7243, 29, 'Số điện thoại Công việc');
INSERT INTO `lang_definitions` VALUES (112907, 7244, 29, 'Liên quan công việc?');
INSERT INTO `lang_definitions` VALUES (112908, 7245, 29, 'Công việc / Giáo dục / Sở thích');
INSERT INTO `lang_definitions` VALUES (112909, 7246, 29, 'Công việc / Trường học Ghi chú');
INSERT INTO `lang_definitions` VALUES (112910, 7247, 29, 'ngày làm việc');
INSERT INTO `lang_definitions` VALUES (112911, 7249, 29, 'Bồi Thường Lao Động Chương Trình Sức Khỏe');
INSERT INTO `lang_definitions` VALUES (112912, 7252, 29, 'Tệ hơn nữa');
INSERT INTO `lang_definitions` VALUES (112913, 7253, 29, 'Bạn có muốn số tiền cân đối để áp dụng cho tài khoản toàn cầu?');
INSERT INTO `lang_definitions` VALUES (112914, 7254, 29, 'Bạn có muốn chúng được đánh dấu như đã xóa.');
INSERT INTO `lang_definitions` VALUES (112915, 7255, 29, 'Bạn có muốn Phân bổ?');
INSERT INTO `lang_definitions` VALUES (112916, 7256, 29, 'Bạn có muốn huỷ bỏ phân phối cho các bệnh nhân này?');
INSERT INTO `lang_definitions` VALUES (112917, 7257, 29, 'Bạn có muốn xóa phân phối thanh toán?');
INSERT INTO `lang_definitions` VALUES (112918, 7258, 29, 'Bạn có muốn xóa thanh toán?');
INSERT INTO `lang_definitions` VALUES (112919, 7259, 29, 'Bạn có muốn Sửa đổi và Kết thúc thanh toán?');
INSERT INTO `lang_definitions` VALUES (112920, 7260, 29, 'Bạn có muốn Sửa đổi khoản thanh toán?');
INSERT INTO `lang_definitions` VALUES (112921, 7261, 29, 'Bạn có muốn đăng bài và Kết thúc thanh toán?');
INSERT INTO `lang_definitions` VALUES (112922, 7262, 29, 'Bạn có muốn Đăng thanh toán?');
INSERT INTO `lang_definitions` VALUES (112923, 7263, 29, 'Bạn có muốn lưu lại không?');
INSERT INTO `lang_definitions` VALUES (112924, 7264, 29, 'Cổ tay');
INSERT INTO `lang_definitions` VALUES (112925, 7265, 29, 'Cổ tay và tay');
INSERT INTO `lang_definitions` VALUES (112926, 7266, 29, 'Cổ tay vấn đề');
INSERT INTO `lang_definitions` VALUES (112927, 7267, 29, 'viết');
INSERT INTO `lang_definitions` VALUES (112928, 7268, 29, 'giảm bớt');
INSERT INTO `lang_definitions` VALUES (112929, 7270, 29, 'wsome');
INSERT INTO `lang_definitions` VALUES (112930, 7271, 29, 'WT');
INSERT INTO `lang_definitions` VALUES (112931, 7273, 29, 'x hủy bỏ');
INSERT INTO `lang_definitions` VALUES (112932, 7274, 29, 'x hủy bỏ');
INSERT INTO `lang_definitions` VALUES (112933, 7275, 29, 'X-quang');
INSERT INTO `lang_definitions` VALUES (112934, 7276, 29, 'Giải thích X-Quang:');
INSERT INTO `lang_definitions` VALUES (112935, 7277, 29, 'Giải thích X-Quang:');
INSERT INTO `lang_definitions` VALUES (112936, 7278, 29, 'Chỉ cho X12: Yêu cầu bồi thường Thay thế ');
INSERT INTO `lang_definitions` VALUES (112937, 7279, 29, 'Đối tác X12');
INSERT INTO `lang_definitions` VALUES (112938, 7280, 29, 'Đối tác X12');
INSERT INTO `lang_definitions` VALUES (112939, 7284, 29, 'Y');
INSERT INTO `lang_definitions` VALUES (112940, 7285, 29, 'Năm');
INSERT INTO `lang_definitions` VALUES (112941, 7286, 29, 'năm');
INSERT INTO `lang_definitions` VALUES (112942, 7287, 29, 'Theo năm');
INSERT INTO `lang_definitions` VALUES (112943, 7288, 29, 'Năm');
INSERT INTO `lang_definitions` VALUES (112944, 7289, 29, 'Năm');
INSERT INTO `lang_definitions` VALUES (112945, 7292, 29, 'CÓ');
INSERT INTO `lang_definitions` VALUES (112946, 7293, 29, 'Có');
INSERT INTO `lang_definitions` VALUES (112947, 7294, 29, 'có');
INSERT INTO `lang_definitions` VALUES (112948, 7295, 29, 'CÓ!');
INSERT INTO `lang_definitions` VALUES (112949, 7296, 29, 'Có, Xóa và Ghi nhận');
INSERT INTO `lang_definitions` VALUES (112950, 7298, 29, 'Có / Không');
INSERT INTO `lang_definitions` VALUES (112951, 7299, 29, 'Có:');
INSERT INTO `lang_definitions` VALUES (112952, 7300, 29, 'Tiếng Yiddish');
INSERT INTO `lang_definitions` VALUES (112953, 7303, 29, 'Bạn là vĩnh viễn thay thế mẫu hiện tại. Bạn có chắc bạn muốn tiếp tục?');
INSERT INTO `lang_definitions` VALUES (112954, 7304, 29, 'Bạn đang trong giai đoạn nhập Grace. Thay đổi mật khẩu của bạn trước khi');
INSERT INTO `lang_definitions` VALUES (112955, 7305, 29, 'Bạn không được phép xoá sự kiện này');
INSERT INTO `lang_definitions` VALUES (112956, 7306, 29, 'Bạn không được phép chỉnh sửa sự kiện này');
INSERT INTO `lang_definitions` VALUES (112957, 7307, 29, 'Bạn không được phép cho việc này.');
INSERT INTO `lang_definitions` VALUES (112958, 7308, 29, 'Bạn không được phép truy cập vào đội hình.');
INSERT INTO `lang_definitions` VALUES (112959, 7309, 29, 'Bạn không được phép thêm / chỉnh sửa các vấn đề');
INSERT INTO `lang_definitions` VALUES (112960, 7310, 29, 'Bạn không được phép lên lịch các cuộc hẹn.');
INSERT INTO `lang_definitions` VALUES (112961, 7311, 29, 'Bạn không được phép để xem cuộc gặp gỡ này.');
INSERT INTO `lang_definitions` VALUES (112962, 7313, 29, 'Bạn không thể truy cập chức năng này trực tiếp.');
INSERT INTO `lang_definitions` VALUES (112963, 7314, 29, 'Bạn không thể truy cập vào trang trực tiếp.');
INSERT INTO `lang_definitions` VALUES (112964, 7315, 29, 'Bạn không thể thêm một giá trị trống cho một danh mục cụ thể!');
INSERT INTO `lang_definitions` VALUES (112965, 7316, 29, 'Bạn không thể thêm một giá trị trống cho tiểu thể loại!');
INSERT INTO `lang_definitions` VALUES (112966, 7317, 29, 'Bạn không thể thêm một giá trị trống cho một mục!');
INSERT INTO `lang_definitions` VALUES (112967, 7318, 29, 'Bạn không thể nhập một ngày trong tương lai với một giá trị hoàn thành của YES.');
INSERT INTO `lang_definitions` VALUES (112968, 7319, 29, 'Bạn đã không chọn bất kỳ hành động.');
INSERT INTO `lang_definitions` VALUES (112969, 7320, 29, 'Bạn không có quyền truy cập để xem / chỉnh sửa ghi chú');
INSERT INTO `lang_definitions` VALUES (112970, 7321, 29, 'Bạn đã cố gắng để làm thay đổi nội dung mà bị khoá. Hủy bỏ các khóa, nếu bạn muốn làm điều này. Để mở khóa, loại bỏ các dòng / * lock :: * / \'');
INSERT INTO `lang_definitions` VALUES (112971, 7322, 29, 'Bạn đã đăng xuất thành công.');
INSERT INTO `lang_definitions` VALUES (112972, 7323, 29, 'Bạn chỉ có thể tải lên các file .txt');
INSERT INTO `lang_definitions` VALUES (112973, 7325, 29, 'Bạn có thể đặt văn bản ở đây là đơn khiếu nại mặc định trong các hình thức gặp bệnh nhân mới.');
INSERT INTO `lang_definitions` VALUES (112974, 7326, 29, 'Bạn phải nhập một chuỗi mật khẩu để mã hóa tài liệu');
INSERT INTO `lang_definitions` VALUES (112975, 7329, 29, 'Trước tiên, bạn phải lựa chọn hoặc thêm một bệnh nhân');
INSERT INTO `lang_definitions` VALUES (112976, 7330, 29, 'Trước tiên, bạn phải lựa chọn hoặc tạo ra một cuộc gặp gỡ.');
INSERT INTO `lang_definitions` VALUES (112977, 7331, 29, 'Bạn phải chọn một thể loại ghé thăm');
INSERT INTO `lang_definitions` VALUES (112978, 7332, 29, 'Bạn phải chọn một thể loại chuyến thăm.');
INSERT INTO `lang_definitions` VALUES (112979, 7333, 29, 'Bạn phải chọn một số lĩnh vực để tiếp tục.');
INSERT INTO `lang_definitions` VALUES (112980, 7334, 29, 'Bạn cần được chạy thử nghiệm này nếu yêu cầu bồi thường này xuất hiện để tạo ra thành công, nhưng các tập tin đòi bồi thường thực tế không chứa bất kỳ dữ liệu hoặc chỉ phần chưa hoàn thành số lượng dữ liệu được cho là để chứa. Rõ ràng với tuyên bố HCFA, vì họ là con người có thể đọc được, với X12 tuyên bố nó là một quá trình khó khăn hơn để xác định nếu yêu cầu bồi thường là đúng hoàn toàn.');
INSERT INTO `lang_definitions` VALUES (112981, 7335, 29, 'Bạn nên chọn ít nhất một bối cảnh');
INSERT INTO `lang_definitions` VALUES (112982, 7336, 29, 'Bạn nên chọn ít nhất một nhà cung cấp');
INSERT INTO `lang_definitions` VALUES (112983, 7339, 29, 'Ngày cuối cùng của bạn là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (112984, 7340, 29, 'Sự kiện của bạn đã bị xóa.');
INSERT INTO `lang_definitions` VALUES (112985, 7341, 29, 'Sự kiện của bạn đã được sửa đổi.');
INSERT INTO `lang_definitions` VALUES (112986, 7342, 29, 'Sự kiện của bạn đã được gửi.');
INSERT INTO `lang_definitions` VALUES (112987, 7343, 29, 'Tập tin của bạn quá lớn');
INSERT INTO `lang_definitions` VALUES (112988, 7345, 29, 'Tên danh sách của bạn đã được thay đổi để đáp ứng các yêu cầu đặt tên.');
INSERT INTO `lang_definitions` VALUES (112989, 7347, 29, 'Tên của bạn cho thể loại này, thủ tục hoặc kết quả');
INSERT INTO `lang_definitions` VALUES (112990, 7349, 29, 'Mật khẩu của bạn hết hạn. Xin vui lòng thay đổi mật khẩu của bạn.');
INSERT INTO `lang_definitions` VALUES (112991, 7350, 29, 'Mật khẩu của bạn Ngày hết hạn trên');
INSERT INTO `lang_definitions` VALUES (112992, 7351, 29, 'Mật khẩu của bạn hết hạn ngày hôm nay. Xin vui lòng thay đổi mật khẩu của bạn.');
INSERT INTO `lang_definitions` VALUES (112993, 7353, 29, 'Cấu hình PostCalendar của bạn đã được thiết lập lại để sử dụng mặc định.');
INSERT INTO `lang_definitions` VALUES (112994, 7354, 29, 'Cấu hình PostCalendar của bạn đã được cập nhật.');
INSERT INTO `lang_definitions` VALUES (112995, 7355, 29, 'Tần số của bạn lặp đi lặp lại phải là số nguyên.');
INSERT INTO `lang_definitions` VALUES (112996, 7356, 29, 'Tần số lặp đi lặp lại của bạn phải có ít nhất 1.');
INSERT INTO `lang_definitions` VALUES (112997, 7357, 29, 'Ngày bắt đầu của bạn lớn hơn so với ngày cuối cùng của bạn');
INSERT INTO `lang_definitions` VALUES (112998, 7358, 29, 'Ngày bắt đầu của bạn là không hợp lệ');
INSERT INTO `lang_definitions` VALUES (112999, 7359, 29, 'Trình của bạn không thành công.');
INSERT INTO `lang_definitions` VALUES (113000, 7360, 29, 'năm-tháng-ngày');
INSERT INTO `lang_definitions` VALUES (113001, 7361, 29, 'NĂM-THÁNG-NGÀY');
INSERT INTO `lang_definitions` VALUES (113002, 7362, 29, 'năm-tháng-ngày ngày được gán cho tài liệu này');
INSERT INTO `lang_definitions` VALUES (113003, 7363, 29, 'năm-tháng-ngày ngày hủy');
INSERT INTO `lang_definitions` VALUES (113004, 7364, 29, 'năm-tháng-ngày ngày sinh');
INSERT INTO `lang_definitions` VALUES (113005, 7365, 29, 'năm-tháng-ngày Ngày Sinh');
INSERT INTO `lang_definitions` VALUES (113006, 7366, 29, 'năm-tháng-ngày ngày hết hạn');
INSERT INTO `lang_definitions` VALUES (113007, 7367, 29, 'năm-tháng-ngày ngày khởi phát hoặc nhập viện');
INSERT INTO `lang_definitions` VALUES (113008, 7368, 29, 'năm-tháng-ngày ngày khởi phát, phẫu thuật, hay bắt đầu điều trị');
INSERT INTO `lang_definitions` VALUES (113009, 7369, 29, 'năm-tháng-ngày ngày mua hoặc chuyển nhượng');
INSERT INTO `lang_definitions` VALUES (113010, 7370, 29, 'năm-tháng-ngày ngày hết bệnh hoặc sự điều trị');
INSERT INTO `lang_definitions` VALUES (113011, 7371, 29, 'năm-tháng-ngày Ngày trở lại để chơi');
INSERT INTO `lang_definitions` VALUES (113012, 7372, 29, 'năm-tháng-ngày Ngày làm dịch vụ');
INSERT INTO `lang_definitions` VALUES (113013, 7373, 29, 'năm-tháng-ngày ngày của lá thư này');
INSERT INTO `lang_definitions` VALUES (113014, 7374, 29, 'năm-tháng-ngày ngày trở lại để chơi');
INSERT INTO `lang_definitions` VALUES (113015, 7375, 29, 'năm-tháng-ngày ngày của tài liệu');
INSERT INTO `lang_definitions` VALUES (113016, 7376, 29, 'năm-tháng-ngày ngày của sự kiện hay bắt đầu từ ngày');
INSERT INTO `lang_definitions` VALUES (113017, 7381, 29, 'năm-tháng-ngày  giờ:phút:giây');
INSERT INTO `lang_definitions` VALUES (113018, 7383, 29, 'năm-tháng-ngày ngày cuối của sự kiện này');
INSERT INTO `lang_definitions` VALUES (113019, 7387, 29, 'Không');
INSERT INTO `lang_definitions` VALUES (113020, 7389, 29, 'Zip');
INSERT INTO `lang_definitions` VALUES (113021, 7390, 29, 'Mã Zip');
INSERT INTO `lang_definitions` VALUES (113022, 7391, 29, 'Zip/Quốc gia:');
INSERT INTO `lang_definitions` VALUES (113023, 7392, 29, 'Tiếng Zulu');
INSERT INTO `lang_definitions` VALUES (113024, 7393, 29, ' nhưng đã ');
INSERT INTO `lang_definitions` VALUES (113025, 7394, 29, ' không thể truy cập.');
INSERT INTO `lang_definitions` VALUES (113026, 7395, 29, 'Bạn có thực sự muốn xóa');
INSERT INTO `lang_definitions` VALUES (113027, 7396, 29, 'Thuốc');
INSERT INTO `lang_definitions` VALUES (113028, 7397, 29, 'email không được gửi');
INSERT INTO `lang_definitions` VALUES (113029, 7398, 29, 'từ');
INSERT INTO `lang_definitions` VALUES (113030, 7399, 29, 'đã được tạo ra. ');
INSERT INTO `lang_definitions` VALUES (113031, 7400, 29, 'đã được mở lại.');
INSERT INTO `lang_definitions` VALUES (113032, 7401, 29, 'Lịch sử');
INSERT INTO `lang_definitions` VALUES (113033, 7402, 29, 'không phải là một số');
INSERT INTO `lang_definitions` VALUES (113034, 7403, 29, 'đã sẵn sàng để thanh toán lại.');
INSERT INTO `lang_definitions` VALUES (113035, 7404, 29, 'LLL:');
INSERT INTO `lang_definitions` VALUES (113036, 7405, 29, 'Rất nhiều');
INSERT INTO `lang_definitions` VALUES (113037, 7406, 29, 'Medicaid gốc tham khảo số ');
INSERT INTO `lang_definitions` VALUES (113038, 7407, 29, 'min');
INSERT INTO `lang_definitions` VALUES (113039, 7408, 29, 'không tìm thấy!');
INSERT INTO `lang_definitions` VALUES (113040, 7409, 29, 'Pecularities trong nhiều trình duyệt có thể có nghĩa rằng đầu ra dưới đây vào màn hình của bạn giật đột ngột và lâu dài có được tạm dừng vài giây mà nó xuất hiện như là mặc dù mọi thứ có thể đã bị rơi. Đó không phải là trường hợp, bạn cuối cùng sẽ thấy sản lượng đến từng dòng. Có thể có số thứ tự xuất hiện bên dưới, điều này là để chỉ ra rằng mặc dù không có gì khác có thể được hiển thị có hoạt động xảy ra. Những con số này sẽ được xen kẽ với các nội dung thanh toán và đó là bình thường.');
INSERT INTO `lang_definitions` VALUES (113041, 7410, 29, 'theo toa đã đạt đến giới hạn của nó về');
INSERT INTO `lang_definitions` VALUES (113042, 7411, 29, 'cho đến khi');
INSERT INTO `lang_definitions` VALUES (113043, 7412, 29, 'update không thành công, không phải trong cơ sở dữ liệu?');
INSERT INTO `lang_definitions` VALUES (113044, 7413, 29, 'được đánh dấu như lập hoá đơn chỉ.');
INSERT INTO `lang_definitions` VALUES (113045, 7414, 29, 'đã được xếp hàng đợi thành công.');
INSERT INTO `lang_definitions` VALUES (113046, 7415, 29, '! Còn lại w / o chuyến thăm');
INSERT INTO `lang_definitions` VALUES (113047, 7416, 29, 'Mã số');
INSERT INTO `lang_definitions` VALUES (113048, 7417, 29, '\" đã được kiểm tra trong cài đặt PostCalendar!');
INSERT INTO `lang_definitions` VALUES (113049, 7418, 29, '# Ins / vây vấn đề');
INSERT INTO `lang_definitions` VALUES (113050, 7419, 29, '# của viên nén:');
INSERT INTO `lang_definitions` VALUES (113051, 7420, 29, '$');
INSERT INTO `lang_definitions` VALUES (113052, 7421, 29, '$ Mã thực hiện');
INSERT INTO `lang_definitions` VALUES (113053, 7422, 29, '$label (năm-tháng-ngày): ');
INSERT INTO `lang_definitions` VALUES (113054, 7423, 29, '%');
INSERT INTO `lang_definitions` VALUES (113055, 7424, 29, '% Hủy bỏ <24h');
INSERT INTO `lang_definitions` VALUES (113056, 7425, 29, '% Hủy bỏ <24h ');
INSERT INTO `lang_definitions` VALUES (113057, 7426, 29, 'phải tồn tại nhưng lại không có.');
INSERT INTO `lang_definitions` VALUES (113058, 7427, 29, '(% để tìm chuỗi bất kỳ, _ để tiềm ký tự bất kỳ)');
INSERT INTO `lang_definitions` VALUES (113059, 7428, 29, '([ctrl] + nhấp để chọn nhiều người nhận)');
INSERT INTO `lang_definitions` VALUES (113060, 7429, 29, '(Quay lại)');
INSERT INTO `lang_definitions` VALUES (113061, 7430, 29, '(Nhấp vào đây để chỉnh sửa)');
INSERT INTO `lang_definitions` VALUES (113062, 7431, 29, '(Việc gửi Email được thực hiện ngay, trong khi VOIP tự động sẽ được gửi đến các nhà cung cấp dịch vụ để xử lý tiếp.)');
INSERT INTO `lang_definitions` VALUES (113063, 7432, 29, '(Nhiều hơn)');
INSERT INTO `lang_definitions` VALUES (113064, 7433, 29, '(Bệnh nhân Mới)');
INSERT INTO `lang_definitions` VALUES (113065, 7434, 29, '(Ghi chú và Ủy quyền)');
INSERT INTO `lang_definitions` VALUES (113066, 7435, 29, '(Ghi chú Bệnh nhân)');
INSERT INTO `lang_definitions` VALUES (113067, 7436, 29, '(Chọn một trong số này, hoặc gõ tiêu đề của riêng bạn)');
INSERT INTO `lang_definitions` VALUES (113068, 7437, 29, '(Giữ Shift) Bấm vào hoặc kéo để thay đổi giá trị');
INSERT INTO `lang_definitions` VALUES (113069, 7438, 29, '* Đã nhắc nhở');
INSERT INTO `lang_definitions` VALUES (113070, 7439, 29, '** Xin di chuyển phẫu thuật đến các Vấn đề!');
INSERT INTO `lang_definitions` VALUES (113071, 7440, 29, '*Yêu cầu');
INSERT INTO `lang_definitions` VALUES (113072, 7441, 29, '+ Đã vẽ biểu đồ');
INSERT INTO `lang_definitions` VALUES (113073, 7442, 29, '- Không có');
INSERT INTO `lang_definitions` VALUES (113074, 7445, 29, '.');
INSERT INTO `lang_definitions` VALUES (113075, 7446, 29, '0');
INSERT INTO `lang_definitions` VALUES (113076, 7447, 29, '0-10');
INSERT INTO `lang_definitions` VALUES (113077, 7448, 29, '0-24');
INSERT INTO `lang_definitions` VALUES (113078, 7451, 29, '1');
INSERT INTO `lang_definitions` VALUES (113079, 7452, 29, '1 = Bắc Mỹ. Xem danh sách các mã quốc gia khác tại http://www.wtng.info/.');
INSERT INTO `lang_definitions` VALUES (113080, 7453, 29, '1 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (113081, 7454, 29, '1 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113082, 7455, 29, '1 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (113083, 7456, 29, '1 Năm Sau');
INSERT INTO `lang_definitions` VALUES (113084, 7457, 29, '1.Nghỉ ngơi 2. Chườm nước đá trong hai ngày 3. Bó chặt, để nguyên băng, trừ khi bàn chân tê dần hoặc chuyển màu nhợt nhạt 4. Nâng cao bàn chân và cẳng chân');
INSERT INTO `lang_definitions` VALUES (113085, 7458, 29, '11-14');
INSERT INTO `lang_definitions` VALUES (113086, 7459, 29, '12 giờ');
INSERT INTO `lang_definitions` VALUES (113087, 7460, 29, '15-19');
INSERT INTO `lang_definitions` VALUES (113088, 7462, 29, '2');
INSERT INTO `lang_definitions` VALUES (113089, 7463, 29, '2 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (113090, 7464, 29, '2 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113091, 7465, 29, '2 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (113092, 7466, 29, '2 Năm Sau');
INSERT INTO `lang_definitions` VALUES (113093, 7468, 29, '20-24');
INSERT INTO `lang_definitions` VALUES (113094, 7477, 29, '2111-13');
INSERT INTO `lang_definitions` VALUES (113095, 7478, 29, '24 giờ');
INSERT INTO `lang_definitions` VALUES (113096, 7479, 29, '25 +');
INSERT INTO `lang_definitions` VALUES (113097, 7480, 29, '25-29');
INSERT INTO `lang_definitions` VALUES (113098, 7481, 29, 'lần thứ 2');
INSERT INTO `lang_definitions` VALUES (113099, 7482, 29, '3 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (113100, 7483, 29, '3 tháng');
INSERT INTO `lang_definitions` VALUES (113101, 7484, 29, '3 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113102, 7485, 29, '3 lần mỗi ngày');
INSERT INTO `lang_definitions` VALUES (113103, 7486, 29, '3 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (113104, 7487, 29, '30-34');
INSERT INTO `lang_definitions` VALUES (113105, 7488, 29, '35-39');
INSERT INTO `lang_definitions` VALUES (113106, 7489, 29, 'lần thứ 3');
INSERT INTO `lang_definitions` VALUES (113107, 7490, 29, '4 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (113108, 7491, 29, '4 tháng');
INSERT INTO `lang_definitions` VALUES (113109, 7492, 29, '4 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113110, 7493, 29, '4 lần mỗi ngày');
INSERT INTO `lang_definitions` VALUES (113111, 7494, 29, '4 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (113112, 7495, 29, '40-44');
INSERT INTO `lang_definitions` VALUES (113113, 7496, 29, '45 +');
INSERT INTO `lang_definitions` VALUES (113114, 7497, 29, '465,9, URI');
INSERT INTO `lang_definitions` VALUES (113115, 7498, 29, '466,0, viêm phế quản cấp tính NOS');
INSERT INTO `lang_definitions` VALUES (113116, 7499, 29, '486,0, viêm phổi, cấp tính');
INSERT INTO `lang_definitions` VALUES (113117, 7500, 29, '491,21, COPD trầm trọng hơn');
INSERT INTO `lang_definitions` VALUES (113118, 7501, 29, '491,8, viêm phế quản, mãn tính');
INSERT INTO `lang_definitions` VALUES (113119, 7502, 29, '493,92, hen suyễn, Exac cấp tính.');
INSERT INTO `lang_definitions` VALUES (113120, 7503, 29, '496,0, COPD');
INSERT INTO `lang_definitions` VALUES (113121, 7504, 29, 'lần thứ 4');
INSERT INTO `lang_definitions` VALUES (113122, 7505, 29, '5 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (113123, 7506, 29, '5 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113124, 7507, 29, '5 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (113125, 7508, 29, '519,7, Co thắt phế quản');
INSERT INTO `lang_definitions` VALUES (113126, 7509, 29, 'lần thứ 5');
INSERT INTO `lang_definitions` VALUES (113127, 7510, 29, '6 Ngày Sau');
INSERT INTO `lang_definitions` VALUES (113128, 7511, 29, '6 tháng');
INSERT INTO `lang_definitions` VALUES (113129, 7512, 29, '6 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113130, 7513, 29, '6 Tuần Sau');
INSERT INTO `lang_definitions` VALUES (113131, 7514, 29, 'lần thứ 6');
INSERT INTO `lang_definitions` VALUES (113132, 7515, 29, '7 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113133, 7516, 29, '8 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113134, 7517, 29, '824,0 Gãy xương, mắt cá giữa, kín');
INSERT INTO `lang_definitions` VALUES (113135, 7518, 29, '824,2 Gãy xương, mắt cá bên, kín');
INSERT INTO `lang_definitions` VALUES (113136, 7519, 29, '824,6 Gãy xương,3 Mắt cá , kín');
INSERT INTO `lang_definitions` VALUES (113137, 7520, 29, '825,32 Gãy xương, Xương ghe (mắt cá)');
INSERT INTO `lang_definitions` VALUES (113138, 7521, 29, '825,35 Gãy xương, cơ sở của 5 (thứ 5) xương bàn chân');
INSERT INTO `lang_definitions` VALUES (113139, 7522, 29, '845,00 mắt cá chân bị bong gân NOS');
INSERT INTO `lang_definitions` VALUES (113140, 7523, 29, '845,01 Bong gân giữa ( cơ Delta)');
INSERT INTO `lang_definitions` VALUES (113141, 7524, 29, '845,02 Bong gân, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (113142, 7525, 29, '9 Tháng Sau');
INSERT INTO `lang_definitions` VALUES (113143, 7526, 29, '99212 Thành lập - không biến chứng');
INSERT INTO `lang_definitions` VALUES (113144, 7527, 29, '99213 Thành lập - Ít phức tạp');
INSERT INTO `lang_definitions` VALUES (113145, 7528, 29, '< Trong phòng kiểm tra');
INSERT INTO `lang_definitions` VALUES (113146, 7529, 29, '> Kiểm tra ra');
INSERT INTO `lang_definitions` VALUES (113147, 7531, 29, '? Không đến');
INSERT INTO `lang_definitions` VALUES (113148, 7532, 29, '@ Đã đến');
INSERT INTO `lang_definitions` VALUES (113149, 7533, 29, '[Thay đổi xem]');
INSERT INTO `lang_definitions` VALUES (113150, 7534, 29, '[Ngày khám trước]');
INSERT INTO `lang_definitions` VALUES (113151, 7535, 29, '[Số ngày từ lần khám trước]');
INSERT INTO `lang_definitions` VALUES (113152, 7536, 29, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (113153, 7537, 29, '[Xuất OFX]');
INSERT INTO `lang_definitions` VALUES (113154, 7538, 29, '[Không nên]');
INSERT INTO `lang_definitions` VALUES (113155, 7539, 29, '[Số lần gặp]');
INSERT INTO `lang_definitions` VALUES (113156, 7540, 29, '[Báo cáo]');
INSERT INTO `lang_definitions` VALUES (113157, 7541, 29, '[Chọn tất cả]');
INSERT INTO `lang_definitions` VALUES (113158, 7542, 29, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (113159, 7543, 29, '[Bắt đầu xử lý theo khối]');
INSERT INTO `lang_definitions` VALUES (113160, 7544, 29, '[Xem Đăng nhập]');
INSERT INTO `lang_definitions` VALUES (113161, 7545, 29, '[Xem Báo cáo có thể in]');
INSERT INTO `lang_definitions` VALUES (113162, 7546, 29, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (113163, 7547, 29, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (113164, 7548, 29, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (113165, 7549, 29, '~ Đến muộn');
INSERT INTO `lang_definitions` VALUES (113166, 7, 30, 'van szukseg egy eloszto');
INSERT INTO `lang_definitions` VALUES (113167, 1, 31, 'nje');
INSERT INTO `lang_definitions` VALUES (113168, 2, 31, 'Numer fature');
INSERT INTO `lang_definitions` VALUES (113169, 3, 31, 'Nje certifikate klienti per perdoruesin me te drejta administrimi');
INSERT INTO `lang_definitions` VALUES (113170, 7, 31, 'Nevojitet nje distributor');
INSERT INTO `lang_definitions` VALUES (113171, 8, 31, 'Nje formular konsulte tek GCAC duhet shtuar tek kjo vizite');
INSERT INTO `lang_definitions` VALUES (113172, 9, 31, 'Numri i lotit nevojitet');
INSERT INTO `lang_definitions` VALUES (113173, 10, 31, 'Numri i lotit nevojitet!');
INSERT INTO `lang_definitions` VALUES (113174, 11, 31, 'shkronje e vogel');
INSERT INTO `lang_definitions` VALUES (113175, 12, 31, 'numer');
INSERT INTO `lang_definitions` VALUES (113176, 14, 31, 'Ne sistem aktualisht egziston nje pacient me kete numer identifikimi (ID).');
INSERT INTO `lang_definitions` VALUES (113177, 15, 31, 'Ne sistem aktualisht egziston nje pacient me kete emer.');
INSERT INTO `lang_definitions` VALUES (113178, 16, 31, 'Nee pacient me kete SS egziston aktualisht.');
INSERT INTO `lang_definitions` VALUES (113179, 19, 31, 'Per cdo vizite mund te specifikohet personi rekomandues.');
INSERT INTO `lang_definitions` VALUES (113180, 20, 31, 'Numri referues IPPF kerkohet!');
INSERT INTO `lang_definitions` VALUES (113181, 21, 31, 'Nje karakter special');
INSERT INTO `lang_definitions` VALUES (113182, 22, 31, 'Nje vlere unike per te identifikuar kete fushe, e padukshme per perduruesin');
INSERT INTO `lang_definitions` VALUES (113183, 24, 31, 'a.c.');
INSERT INTO `lang_definitions` VALUES (113184, 25, 31, 'a.m.');
INSERT INTO `lang_definitions` VALUES (113185, 26, 31, 'A/F Niveli i djathte:');
INSERT INTO `lang_definitions` VALUES (113186, 27, 31, 'AB');
INSERT INTO `lang_definitions` VALUES (113187, 28, 31, 'Shkurtim');
INSERT INTO `lang_definitions` VALUES (113188, 29, 31, 'Abces:');
INSERT INTO `lang_definitions` VALUES (113189, 30, 31, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (113190, 31, 31, 'I Afte te Perballoje Pesha kater (4) hapat:');
INSERT INTO `lang_definitions` VALUES (113191, 32, 31, 'Abn');
INSERT INTO `lang_definitions` VALUES (113192, 33, 31, 'ABN1');
INSERT INTO `lang_definitions` VALUES (113193, 34, 31, 'Anormal');
INSERT INTO `lang_definitions` VALUES (113194, 35, 31, 'Analize gjaku jo normale');
INSERT INTO `lang_definitions` VALUES (113195, 36, 31, 'Rritje flokesh jo normale');
INSERT INTO `lang_definitions` VALUES (113196, 37, 31, 'Mamograme jo normale');
INSERT INTO `lang_definitions` VALUES (113197, 39, 31, 'Abort');
INSERT INTO `lang_definitions` VALUES (113198, 40, 31, 'Probleme aborti');
INSERT INTO `lang_definitions` VALUES (113199, 41, 31, 'Metode aborti');
INSERT INTO `lang_definitions` VALUES (113200, 42, 31, 'Kategori aborti');
INSERT INTO `lang_definitions` VALUES (113201, 43, 31, 'Aborte');
INSERT INTO `lang_definitions` VALUES (113202, 44, 31, 'Rreth kalendarit');
INSERT INTO `lang_definitions` VALUES (113203, 46, 31, 'Mungesa nga diagnoza');
INSERT INTO `lang_definitions` VALUES (113204, 47, 31, 'Prano detyren');
INSERT INTO `lang_definitions` VALUES (113205, 48, 31, 'Prano pagesen per');
INSERT INTO `lang_definitions` VALUES (113206, 49, 31, 'Pranim pagese per');
INSERT INTO `lang_definitions` VALUES (113207, 50, 31, 'Pranon detyren');
INSERT INTO `lang_definitions` VALUES (113208, 51, 31, 'Kontroll aksesi');
INSERT INTO `lang_definitions` VALUES (113209, 52, 31, 'Lista e administrimit te kontrollit te aksesit');
INSERT INTO `lang_definitions` VALUES (113210, 54, 31, 'Aksesi nuk lejohet');
INSERT INTO `lang_definitions` VALUES (113211, 56, 31, 'Akseso portalin e pacientit tuaj');
INSERT INTO `lang_definitions` VALUES (113212, 59, 31, 'Emer llogarie');
INSERT INTO `lang_definitions` VALUES (113213, 62, 31, 'Kontabilitet');
INSERT INTO `lang_definitions` VALUES (113214, 64, 31, 'Dhimbje');
INSERT INTO `lang_definitions` VALUES (113215, 65, 31, 'Kerkohet njohje nga ISA14');
INSERT INTO `lang_definitions` VALUES (113216, 66, 31, 'Njohje, licensim dhe certifikim');
INSERT INTO `lang_definitions` VALUES (113217, 67, 31, 'ACL');
INSERT INTO `lang_definitions` VALUES (113218, 68, 31, 'Administrimi i ACL');
INSERT INTO `lang_definitions` VALUES (113219, 69, 31, 'Nuk shte autorizuar administrimi i ACL');
INSERT INTO `lang_definitions` VALUES (113220, 71, 31, 'Akne');
INSERT INTO `lang_definitions` VALUES (113221, 72, 31, 'Akt');
INSERT INTO `lang_definitions` VALUES (113222, 73, 31, 'Date akti');
INSERT INTO `lang_definitions` VALUES (113223, 74, 31, 'Veprim');
INSERT INTO `lang_definitions` VALUES (113224, 75, 31, 'Veprime');
INSERT INTO `lang_definitions` VALUES (113225, 77, 31, 'Aktivizo rapotimet CCR/CCD');
INSERT INTO `lang_definitions` VALUES (113226, 78, 31, 'Aktiv');
INSERT INTO `lang_definitions` VALUES (113227, 79, 31, 'Lajmerim aktiv');
INSERT INTO `lang_definitions` VALUES (113228, 80, 31, 'Rregulla lajmerimi aktiv');
INSERT INTO `lang_definitions` VALUES (113229, 81, 31, 'Lajmerime/kujtese aktive');
INSERT INTO `lang_definitions` VALUES (113230, 82, 31, 'Takim aktiv');
INSERT INTO `lang_definitions` VALUES (113231, 84, 31, 'Liste aktive');
INSERT INTO `lang_definitions` VALUES (113232, 85, 31, 'Pacient aktive');
INSERT INTO `lang_definitions` VALUES (113233, 86, 31, 'Plane aktive');
INSERT INTO `lang_definitions` VALUES (113234, 87, 31, 'Aktivitet');
INSERT INTO `lang_definitions` VALUES (113235, 88, 31, 'Lloj aktiviteti');
INSERT INTO `lang_definitions` VALUES (113236, 92, 31, 'Kornike akute');
INSERT INTO `lang_definitions` VALUES (113237, 93, 31, 'shto');
INSERT INTO `lang_definitions` VALUES (113238, 94, 31, 'Shto');
INSERT INTO `lang_definitions` VALUES (113239, 95, 31, 'SHTO');
INSERT INTO `lang_definitions` VALUES (113240, 96, 31, 'Shto nje kompani');
INSERT INTO `lang_definitions` VALUES (113241, 98, 31, 'Shto nje farmaci');
INSERT INTO `lang_definitions` VALUES (113242, 100, 31, 'shto nje ngjarje per ');
INSERT INTO `lang_definitions` VALUES (113243, 101, 31, 'Shto si shenim te ri');
INSERT INTO `lang_definitions` VALUES (113244, 102, 31, 'Shto si \"i Ri\"');
INSERT INTO `lang_definitions` VALUES (113245, 104, 31, 'Shto buton');
INSERT INTO `lang_definitions` VALUES (113246, 105, 31, 'Shto Butona per Karakteret e Vecanta, Tekst per tu afishuar ne krye te edituesit per t\'ju shtuar tekstit me ane te Klikimit');
INSERT INTO `lang_definitions` VALUES (113247, 106, 31, 'Shto kategori');
INSERT INTO `lang_definitions` VALUES (113248, 107, 31, 'Shto konstante');
INSERT INTO `lang_definitions` VALUES (113249, 108, 31, 'Shto kontext');
INSERT INTO `lang_definitions` VALUES (113250, 109, 31, 'Shto pagese plani sigurimi');
INSERT INTO `lang_definitions` VALUES (113251, 110, 31, 'Shto kriter');
INSERT INTO `lang_definitions` VALUES (113252, 111, 31, 'Shto buton te modifikueshem');
INSERT INTO `lang_definitions` VALUES (113253, 112, 31, 'Shto diagnoze');
INSERT INTO `lang_definitions` VALUES (113254, 113, 31, 'Shto medikament');
INSERT INTO `lang_definitions` VALUES (113255, 114, 31, 'Shto takim');
INSERT INTO `lang_definitions` VALUES (113256, 115, 31, 'Shto shenime mbi takimin');
INSERT INTO `lang_definitions` VALUES (113257, 116, 31, 'Shto facilitetin');
INSERT INTO `lang_definitions` VALUES (113258, 117, 31, 'Shto fushe');
INSERT INTO `lang_definitions` VALUES (113259, 118, 31, 'Shto linja e meposhteme tek file i konfigurimit te Apache-s');
INSERT INTO `lang_definitions` VALUES (113260, 119, 31, 'Shto Grup');
INSERT INTO `lang_definitions` VALUES (113261, 120, 31, 'Shto kod ICD');
INSERT INTO `lang_definitions` VALUES (113262, 121, 31, 'Shto imunizim');
INSERT INTO `lang_definitions` VALUES (113263, 122, 31, 'Shtimi nuk eshte autorizuar');
INSERT INTO `lang_definitions` VALUES (113264, 123, 31, 'Shto ankese');
INSERT INTO `lang_definitions` VALUES (113265, 125, 31, 'Shto nje gjuhe');
INSERT INTO `lang_definitions` VALUES (113266, 126, 31, 'Shto te Re');
INSERT INTO `lang_definitions` VALUES (113267, 127, 31, 'Shto te re');
INSERT INTO `lang_definitions` VALUES (113268, 128, 31, 'Shto kategori te re: ');
INSERT INTO `lang_definitions` VALUES (113269, 129, 31, 'Shto certifikata te reja tek file i konfigurimit te Apache-s');
INSERT INTO `lang_definitions` VALUES (113270, 132, 31, 'Shto grup te ri');
INSERT INTO `lang_definitions` VALUES (113271, 134, 31, 'Shto nje lot te ri dhe transaksion');
INSERT INTO `lang_definitions` VALUES (113272, 135, 31, 'Shto shenim te ri');
INSERT INTO `lang_definitions` VALUES (113273, 136, 31, 'Shto shenim te ri');
INSERT INTO `lang_definitions` VALUES (113274, 137, 31, 'Shto partner te ri');
INSERT INTO `lang_definitions` VALUES (113275, 140, 31, 'Shto shenim');
INSERT INTO `lang_definitions` VALUES (113276, 141, 31, 'Shto te dhena pacienti');
INSERT INTO `lang_definitions` VALUES (113277, 142, 31, 'Shto recete');
INSERT INTO `lang_definitions` VALUES (113278, 144, 31, 'Shto numer provideri');
INSERT INTO `lang_definitions` VALUES (113279, 145, 31, 'Shto rehabilitim');
INSERT INTO `lang_definitions` VALUES (113280, 146, 31, 'Shto rregull');
INSERT INTO `lang_definitions` VALUES (113281, 147, 31, 'Shto');
INSERT INTO `lang_definitions` VALUES (113282, 148, 31, 'Shto ne listen e mjekimeve');
INSERT INTO `lang_definitions` VALUES (113283, 149, 31, 'Shto nivel maksimal');
INSERT INTO `lang_definitions` VALUES (113284, 150, 31, 'Shto transaksion');
INSERT INTO `lang_definitions` VALUES (113285, 151, 31, 'Shto perdorues');
INSERT INTO `lang_definitions` VALUES (113286, 152, 31, 'Shto perdoruesin tek nje grup');
INSERT INTO `lang_definitions` VALUES (113287, 153, 31, 'Shto/Modifiko eRx');
INSERT INTO `lang_definitions` VALUES (113288, 154, 31, 'Shto/Modifik Transaksionin e Pacientit');
INSERT INTO `lang_definitions` VALUES (113289, 155, 31, 'u shtua');
INSERT INTO `lang_definitions` VALUES (113290, 156, 31, 'Nuk lejohet shtimi i te dhenave demografike.');
INSERT INTO `lang_definitions` VALUES (113291, 158, 31, 'Sindrom Addison-i');
INSERT INTO `lang_definitions` VALUES (113292, 159, 31, 'Sindroma e Addison-it');
INSERT INTO `lang_definitions` VALUES (113293, 160, 31, 'Atribute shtese');
INSERT INTO `lang_definitions` VALUES (113294, 161, 31, 'Diagnoze shtese:');
INSERT INTO `lang_definitions` VALUES (113295, 162, 31, 'Te dhena historike shtese');
INSERT INTO `lang_definitions` VALUES (113296, 163, 31, 'Shenime historike shtese');
INSERT INTO `lang_definitions` VALUES (113297, 164, 31, 'Informacion i metejshem');
INSERT INTO `lang_definitions` VALUES (113298, 165, 31, 'Laboratore shtese');
INSERT INTO `lang_definitions` VALUES (113299, 166, 31, 'Shenime shtese');
INSERT INTO `lang_definitions` VALUES (113300, 168, 31, 'Shenime shtese:');
INSERT INTO `lang_definitions` VALUES (113301, 169, 31, 'Shenime shtese: ');
INSERT INTO `lang_definitions` VALUES (113302, 170, 31, 'Shenime te tjera per examinimin X-RAY:');
INSERT INTO `lang_definitions` VALUES (113303, 172, 31, 'vetem mund te shtohet');
INSERT INTO `lang_definitions` VALUES (113304, 173, 31, 'Liber adresash');
INSERT INTO `lang_definitions` VALUES (113305, 174, 31, 'Liber adresash');
INSERT INTO `lang_definitions` VALUES (113306, 175, 31, 'Adresa');
INSERT INTO `lang_definitions` VALUES (113307, 178, 31, 'Liber adresash');
INSERT INTO `lang_definitions` VALUES (113308, 179, 31, 'Te dhena per adresen e komapnise qe kryen proceduren');
INSERT INTO `lang_definitions` VALUES (113309, 180, 31, 'Te dhena per adresen e distributorit');
INSERT INTO `lang_definitions` VALUES (113310, 181, 31, 'Te dhena per adresen e shitesit');
INSERT INTO `lang_definitions` VALUES (113311, 182, 31, 'Llojet e librit te adresave');
INSERT INTO `lang_definitions` VALUES (113312, 187, 31, 'Adresa 1');
INSERT INTO `lang_definitions` VALUES (113313, 188, 31, 'Adresa 2');
INSERT INTO `lang_definitions` VALUES (113314, 189, 31, 'MARRESI');
INSERT INTO `lang_definitions` VALUES (113315, 190, 31, 'Ndryshim');
INSERT INTO `lang_definitions` VALUES (113316, 191, 31, 'Shuma e ndryshuar');
INSERT INTO `lang_definitions` VALUES (113317, 192, 31, 'Rregullo');
INSERT INTO `lang_definitions` VALUES (113318, 193, 31, 'Rregullim');
INSERT INTO `lang_definitions` VALUES (113319, 194, 31, 'Shuma e rregullimit');
INSERT INTO `lang_definitions` VALUES (113320, 195, 31, 'Arsyeja e rregullimit');
INSERT INTO `lang_definitions` VALUES (113321, 196, 31, 'Vlera e regullimit per kodin ');
INSERT INTO `lang_definitions` VALUES (113322, 197, 31, 'Rregullime');
INSERT INTO `lang_definitions` VALUES (113323, 198, 31, 'Administri rregullime');
INSERT INTO `lang_definitions` VALUES (113324, 199, 31, 'Administrator');
INSERT INTO `lang_definitions` VALUES (113325, 200, 31, 'Emaili i Administratorit');
INSERT INTO `lang_definitions` VALUES (113326, 201, 31, 'Administruar nepermjet');
INSERT INTO `lang_definitions` VALUES (113327, 202, 31, 'E administruar');
INSERT INTO `lang_definitions` VALUES (113328, 203, 31, 'Administruat nga');
INSERT INTO `lang_definitions` VALUES (113329, 206, 31, 'Administrim');
INSERT INTO `lang_definitions` VALUES (113330, 208, 31, 'Administratore');
INSERT INTO `lang_definitions` VALUES (113331, 209, 31, 'Administratoret mund te bejne cdo gje');
INSERT INTO `lang_definitions` VALUES (113332, 212, 31, 'Matje peshe rutine dhe vizite pasuese');
INSERT INTO `lang_definitions` VALUES (113333, 213, 31, 'Matje peshe rutine dhe vizite pasuese (CQM)');
INSERT INTO `lang_definitions` VALUES (113334, 214, 31, 'Direktive e avancuara');
INSERT INTO `lang_definitions` VALUES (113335, 215, 31, 'Direktiva te avancuara');
INSERT INTO `lang_definitions` VALUES (113336, 216, 31, 'Paralajmerim per direktiva te avancuara');
INSERT INTO `lang_definitions` VALUES (113337, 218, 31, 'E avancuar');
INSERT INTO `lang_definitions` VALUES (113338, 219, 31, 'Keshille');
INSERT INTO `lang_definitions` VALUES (113339, 221, 31, 'Ndikon normalisht');
INSERT INTO `lang_definitions` VALUES (113340, 223, 31, 'Telefonata pas orarit te punes');
INSERT INTO `lang_definitions` VALUES (113341, 225, 31, 'Pas kryerjes se konfigurimeve te mesiperme, importoni certifikaten e klientit adminstrator ne browserin e internetit dhe ristartoni serverin Apache (passwordi bosh)');
INSERT INTO `lang_definitions` VALUES (113342, 226, 31, 'Pas ruajtjes se PDF-se, klikoni [Shiko Loget] per te pare per gabime');
INSERT INTO `lang_definitions` VALUES (113343, 227, 31, 'Pas ruajtjes se fileve TEKST, klikoni [Shiko Loget] per te pare per gabime');
INSERT INTO `lang_definitions` VALUES (113344, 228, 31, 'Pasi te keni ruajtur batch-in, kliko \"Shiko Logun\" per te parre gabimet.');
INSERT INTO `lang_definitions` VALUES (113345, 230, 31, 'Pasi te korrigjohen te dhenat, kliko butonin \"Ruaj\".');
INSERT INTO `lang_definitions` VALUES (113346, 233, 31, 'Perseri');
INSERT INTO `lang_definitions` VALUES (113347, 234, 31, 'Mosha');
INSERT INTO `lang_definitions` VALUES (113348, 235, 31, 'Moshe nga');
INSERT INTO `lang_definitions` VALUES (113349, 236, 31, 'Kategoria e moshes');
INSERT INTO `lang_definitions` VALUES (113350, 237, 31, 'Te dhenat mbi moshen jane jashte normave.');
INSERT INTO `lang_definitions` VALUES (113351, 239, 31, 'Formati i moshes per \"forma e moshes\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (113352, 240, 31, 'Formati i moshes per \"mosha deri ne\" nuk eshte i vlefshem');
INSERT INTO `lang_definitions` VALUES (113353, 241, 31, 'Formulari i moshes');
INSERT INTO `lang_definitions` VALUES (113354, 243, 31, 'Mosha maksimale');
INSERT INTO `lang_definitions` VALUES (113355, 244, 31, 'Mosha minimale');
INSERT INTO `lang_definitions` VALUES (113356, 245, 31, 'Intervali i moshes');
INSERT INTO `lang_definitions` VALUES (113357, 247, 31, 'Kollonat e vjetersimit:');
INSERT INTO `lang_definitions` VALUES (113358, 249, 31, 'Shqip');
INSERT INTO `lang_definitions` VALUES (113359, 250, 31, 'Alkol');
INSERT INTO `lang_definitions` VALUES (113360, 251, 31, 'Konsum alkoli');
INSERT INTO `lang_definitions` VALUES (113361, 253, 31, 'Numerim njoftim');
INSERT INTO `lang_definitions` VALUES (113362, 255, 31, 'Njoftime');
INSERT INTO `lang_definitions` VALUES (113363, 258, 31, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (113364, 259, 31, 'Te gjitha');
INSERT INTO `lang_definitions` VALUES (113365, 260, 31, 'TE GJITHA');
INSERT INTO `lang_definitions` VALUES (113366, 261, 31, 'Te gjitha (Sistemim i Formatit A)');
INSERT INTO `lang_definitions` VALUES (113367, 262, 31, 'Te gjitha (Sistemim i Formatit B)');
INSERT INTO `lang_definitions` VALUES (113368, 263, 31, 'Te gjitha ( te grumbulluara)');
INSERT INTO `lang_definitions` VALUES (113369, 266, 31, 'Te gjitha kategorite');
INSERT INTO `lang_definitions` VALUES (113370, 268, 31, 'Te gjitha kodet');
INSERT INTO `lang_definitions` VALUES (113371, 269, 31, 'Gjithe diten');
INSERT INTO `lang_definitions` VALUES (113372, 270, 31, 'Ngjarje pergjate tere dites');
INSERT INTO `lang_definitions` VALUES (113373, 271, 31, 'Te gjitha fushat demografikle, me kerkim dhe verifikim te duplikateve');
INSERT INTO `lang_definitions` VALUES (113374, 272, 31, 'Te gjitha zyrat');
INSERT INTO `lang_definitions` VALUES (113375, 273, 31, 'Te gjitha demtimet/problemet/shqetesimet');
INSERT INTO `lang_definitions` VALUES (113376, 274, 31, 'Lejohen te gjitha gjuhet');
INSERT INTO `lang_definitions` VALUES (113377, 276, 31, 'Emri i plote ose i pjesshem');
INSERT INTO `lang_definitions` VALUES (113378, 277, 31, 'Mbiemri i plote ose i pjesshem');
INSERT INTO `lang_definitions` VALUES (113379, 278, 31, 'Emri i kompanise i plote ose i pjesshem');
INSERT INTO `lang_definitions` VALUES (113380, 280, 31, 'Te gjitha produktet');
INSERT INTO `lang_definitions` VALUES (113381, 281, 31, 'Te gjithe mjeket');
INSERT INTO `lang_definitions` VALUES (113382, 282, 31, 'Te gjitha te egzaminuara dhe negative:');
INSERT INTO `lang_definitions` VALUES (113383, 283, 31, 'Te gjitha temat');
INSERT INTO `lang_definitions` VALUES (113384, 284, 31, 'Te gjithe perdoruesit');
INSERT INTO `lang_definitions` VALUES (113385, 285, 31, 'Alergjik');
INSERT INTO `lang_definitions` VALUES (113386, 286, 31, 'Alergjite');
INSERT INTO `lang_definitions` VALUES (113387, 287, 31, 'Alergjite:');
INSERT INTO `lang_definitions` VALUES (113388, 288, 31, 'Alergji');
INSERT INTO `lang_definitions` VALUES (113389, 289, 31, 'Importimi i te dhenave te alergjive perfundoi me sukses');
INSERT INTO `lang_definitions` VALUES (113390, 291, 31, 'Reaksion alergjik');
INSERT INTO `lang_definitions` VALUES (113391, 294, 31, 'Aloko');
INSERT INTO `lang_definitions` VALUES (113392, 295, 31, 'Lejo');
INSERT INTO `lang_definitions` VALUES (113393, 296, 31, 'Lejo te gjitha gjuhet te jene te pranishme tek menuja gjate logimit.');
INSERT INTO `lang_definitions` VALUES (113394, 297, 31, 'Lejo krijimin e ankesave qe permbajne diagnozen por jo procedurat apo kostot. Shumica e klinikave nuk e pelqejne kete.');
INSERT INTO `lang_definitions` VALUES (113395, 298, 31, 'Lejo kontrollin per gabime te gjuheve');
INSERT INTO `lang_definitions` VALUES (113396, 299, 31, 'Lejo E-mail');
INSERT INTO `lang_definitions` VALUES (113397, 300, 31, 'Lejohet komunikimi me e-mail?');
INSERT INTO `lang_definitions` VALUES (113398, 301, 31, 'Lejohet e-mail?');
INSERT INTO `lang_definitions` VALUES (113399, 302, 31, 'Lejo Ankesat e Takimeve');
INSERT INTO `lang_definitions` VALUES (113400, 303, 31, 'Lejo shkembimin e te dhenave shendetesore');
INSERT INTO `lang_definitions` VALUES (113401, 304, 31, 'Lejo shkembimin e te dhenave mbi vaksinimin');
INSERT INTO `lang_definitions` VALUES (113402, 305, 31, 'Lejo perdorimin e regjistrit te imunizimit');
INSERT INTO `lang_definitions` VALUES (113403, 306, 31, 'Lejo mesazhet postare');
INSERT INTO `lang_definitions` VALUES (113404, 308, 31, 'Lejo portalin e pacientit');
INSERT INTO `lang_definitions` VALUES (113405, 309, 31, 'Lejo SMS');
INSERT INTO `lang_definitions` VALUES (113406, 310, 31, 'Lejo SMS (mesazh tekst)?');
INSERT INTO `lang_definitions` VALUES (113407, 311, 31, 'Lejo qe ngjarjet e shtuara te behen aktive menjehere?');
INSERT INTO `lang_definitions` VALUES (113408, 312, 31, 'Lejohen mesazhet telefonike?');
INSERT INTO `lang_definitions` VALUES (113409, 313, 31, 'Lejo qe perdoruesit te publikojne Ngjarjet Globale?');
INSERT INTO `lang_definitions` VALUES (113410, 314, 31, 'Lejo qe perdoruesit te publikojne Kalendarin Personal');
INSERT INTO `lang_definitions` VALUES (113411, 315, 31, 'Lejo mesazhet zanore');
INSERT INTO `lang_definitions` VALUES (113412, 316, 31, 'Lejuar');
INSERT INTO `lang_definitions` VALUES (113413, 317, 31, 'Gjuhet e lejuara');
INSERT INTO `lang_definitions` VALUES (113414, 318, 31, 'Lejuar(c)');
INSERT INTO `lang_definitions` VALUES (113415, 323, 31, 'Aktualisht ekziston');
INSERT INTO `lang_definitions` VALUES (113416, 324, 31, 'Aktualisht ekziston.');
INSERT INTO `lang_definitions` VALUES (113417, 325, 31, 'Identifikuesi eshte aktualisht ne perdorim, zgjidh nje tjeter');
INSERT INTO `lang_definitions` VALUES (113418, 326, 31, 'Titulli eshte aktualisht ne perdorim, zgjidh nje tjeter');
INSERT INTO `lang_definitions` VALUES (113419, 327, 31, 'Adrese dytesore');
INSERT INTO `lang_definitions` VALUES (113420, 328, 31, 'Alterno');
INSERT INTO `lang_definitions` VALUES (113421, 329, 31, 'Ne menyre alternative,Ju mund te perdorni faqen e kerkimit per te ngarkuar nje cek elektronik (X12 835) qe keni marre nga pale e paguar ose nga zyra e shkembimit te ceqeve. Ju mund ta bene kete duke klikuar tek butoni Shfletoj dhe duke perzgjedhur filen qe doni te ngarkoni, dhe me pas duke kliuar tek Kerko per te bere ngarkimin dhe per te afishuar faturat perkatese. Ne kete rast parametrat e tjere te permendur me siper nuk aplikohen dhe do te injorohen. Procesi i ngarkimit e ruan filen por akoma nuk e proceson permbajtjen e files -- kjo gje kryhet me vehte sic pershkruhet me poshte.');
INSERT INTO `lang_definitions` VALUES (113422, 330, 31, 'AM');
INSERT INTO `lang_definitions` VALUES (113423, 331, 31, 'Programi AM');
INSERT INTO `lang_definitions` VALUES (113424, 332, 31, 'AMC');
INSERT INTO `lang_definitions` VALUES (113425, 333, 31, 'Gjurmimi i AMC');
INSERT INTO `lang_definitions` VALUES (113426, 338, 31, 'Permireso Nyjen Egzistuese');
INSERT INTO `lang_definitions` VALUES (113427, 343, 31, 'Indian Amerikan');
INSERT INTO `lang_definitions` VALUES (113428, 344, 31, 'Indian Amerikan ose Autokton nga Alaska');
INSERT INTO `lang_definitions` VALUES (113429, 345, 31, 'AMEX');
INSERT INTO `lang_definitions` VALUES (113430, 346, 31, 'Amharic');
INSERT INTO `lang_definitions` VALUES (113431, 347, 31, 'Shuma');
INSERT INTO `lang_definitions` VALUES (113432, 349, 31, 'Shuma per tu paguar');
INSERT INTO `lang_definitions` VALUES (113433, 350, 31, 'Shuma e prapambetur');
INSERT INTO `lang_definitions` VALUES (113434, 351, 31, 'Shuma per kete vizite');
INSERT INTO `lang_definitions` VALUES (113435, 352, 31, 'Shuma e paguar');
INSERT INTO `lang_definitions` VALUES (113436, 353, 31, 'Shuma:');
INSERT INTO `lang_definitions` VALUES (113437, 354, 31, 'Shuma e faturuar');
INSERT INTO `lang_definitions` VALUES (113438, 355, 31, 'Data e mbarimit duhet me e vone se data e fillimit per ngjarjet e perseritura!');
INSERT INTO `lang_definitions` VALUES (113439, 357, 31, 'Nje gabim ndodhi gjate marrjes se pemes se struktures se LibreEHR');
INSERT INTO `lang_definitions` VALUES (113440, 358, 31, 'Nje gabim ndodhi gjate marrjes se pemes se struktures se phpGACL');
INSERT INTO `lang_definitions` VALUES (113441, 359, 31, 'Nje gabim ndodhi gjate marrjes se pemes se struktures se SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (113442, 360, 31, 'Nje ceshtjee paplote GCAC eshte krijuar dhe eshte lidhur. Dikush do te duhet ta plotesoje ate me vone.');
INSERT INTO `lang_definitions` VALUES (113443, 362, 31, 'Nje gabim i papritur ka ndodhur.');
INSERT INTO `lang_definitions` VALUES (113444, 363, 31, 'Shkronje e madhe');
INSERT INTO `lang_definitions` VALUES (113445, 365, 31, 'Dhe');
INSERT INTO `lang_definitions` VALUES (113446, 366, 31, 'DHE');
INSERT INTO `lang_definitions` VALUES (113447, 367, 31, 'dhe');
INSERT INTO `lang_definitions` VALUES (113448, 368, 31, 'dhe ');
INSERT INTO `lang_definitions` VALUES (113449, 369, 31, 'dhe te gjithe te dhenat vartese? Veprimi do te logohet.');
INSERT INTO `lang_definitions` VALUES (113450, 370, 31, 'dhe modifikuesi');
INSERT INTO `lang_definitions` VALUES (113451, 371, 31, 'dhe procesuar.');
INSERT INTO `lang_definitions` VALUES (113452, 372, 31, 'ristarto serverin Apache.');
INSERT INTO `lang_definitions` VALUES (113453, 373, 31, 'dhe Arsyeja eshte');
INSERT INTO `lang_definitions` VALUES (113454, 374, 31, 'Anemi');
INSERT INTO `lang_definitions` VALUES (113455, 375, 31, 'Artikulacioni i kycit te kembes');
INSERT INTO `lang_definitions` VALUES (113456, 376, 31, 'Kyci i kembes + thembra');
INSERT INTO `lang_definitions` VALUES (113457, 377, 31, 'Formulari i vleresimit te kycit te kembes');
INSERT INTO `lang_definitions` VALUES (113458, 378, 31, 'Probleme te kycit te kembes');
INSERT INTO `lang_definitions` VALUES (113459, 379, 31, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (113460, 380, 31, 'Artrit i shtylles (Ankylosing Spondylitis)');
INSERT INTO `lang_definitions` VALUES (113461, 381, 31, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (113462, 382, 31, 'Nje tjeter gje qe ju mund te bene tek dritarja e postimit eshte, te kerkoni nje fature dytesore. Ne rast se slektoni checkbox-in perpara ruajtjes, atehere ankesa origjinale do te hapet dhe do te vendoset ne rradhe tek faqja e faturimit, dhe do te procesohet gjate faturimit te rradhes.');
INSERT INTO `lang_definitions` VALUES (113463, 383, 31, 'para');
INSERT INTO `lang_definitions` VALUES (113464, 384, 31, 'nl e anusit, asnje mase/dhimbje rektale');
INSERT INTO `lang_definitions` VALUES (113465, 385, 31, 'Ankth');
INSERT INTO `lang_definitions` VALUES (113466, 386, 31, 'Cfaredo');
INSERT INTO `lang_definitions` VALUES (113467, 387, 31, 'Cfaredo kategorie');
INSERT INTO `lang_definitions` VALUES (113468, 388, 31, 'Cdo pjese e kodit te kerkuar ose pershkrimi i tij');
INSERT INTO `lang_definitions` VALUES (113469, 389, 31, 'Cdo pjese e specialitetit te kerkuar');
INSERT INTO `lang_definitions` VALUES (113470, 390, 31, 'Cdo pjese e kodit identifikues te medikamentit ose emrit');
INSERT INTO `lang_definitions` VALUES (113471, 391, 31, 'Cdo pjese e kodit identifikues te imunizuesit ose te emrit te tij');
INSERT INTO `lang_definitions` VALUES (113472, 392, 31, 'Cdo pjese e emrit te pacientit ose \"Mbiemer, Emer\" ose \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (113473, 394, 31, 'Kodi API per derguesin e SMS-ve.');
INSERT INTO `lang_definitions` VALUES (113474, 395, 31, 'Apnea');
INSERT INTO `lang_definitions` VALUES (113475, 396, 31, 'Paraqitje');
INSERT INTO `lang_definitions` VALUES (113476, 397, 31, 'Paraqitje:');
INSERT INTO `lang_definitions` VALUES (113477, 398, 31, 'Shto kete shenim');
INSERT INTO `lang_definitions` VALUES (113478, 399, 31, 'Shto ne shenimin ekzistues');
INSERT INTO `lang_definitions` VALUES (113479, 400, 31, 'Shto ne kete shenim');
INSERT INTO `lang_definitions` VALUES (113480, 401, 31, 'Shto ne kete shenim');
INSERT INTO `lang_definitions` VALUES (113481, 402, 31, 'Apendoktomi');
INSERT INTO `lang_definitions` VALUES (113482, 404, 31, 'Pacientet e aplikueshem');
INSERT INTO `lang_definitions` VALUES (113483, 406, 31, 'Emri i aplikacionit per faqen e logimit dhe titulli i dritares kryesore.');
INSERT INTO `lang_definitions` VALUES (113484, 407, 31, 'Kodi marres i aplikimit (GS03 - Ne rast banke, ISA08 do te perdoret)');
INSERT INTO `lang_definitions` VALUES (113485, 408, 31, 'Kodi dergues i aplikimit (GS02)');
INSERT INTO `lang_definitions` VALUES (113486, 409, 31, 'Titulli i aplikimit');
INSERT INTO `lang_definitions` VALUES (113487, 410, 31, 'I aplikohet formularit te te dhenave vitale dhe karteles se rritjes');
INSERT INTO `lang_definitions` VALUES (113488, 412, 31, 'Beji ndryshimet vetem per kete event, per kete event dhe te gjitha eventet pasuese apo per te gjitha eventet?');
INSERT INTO `lang_definitions` VALUES (113489, 413, 31, 'apliko mbi zonen e afektuar');
INSERT INTO `lang_definitions` VALUES (113490, 414, 31, 'apliko mbi lekure');
INSERT INTO `lang_definitions` VALUES (113491, 415, 31, 'Apliko');
INSERT INTO `lang_definitions` VALUES (113492, 416, 31, 'Aplikimi i permiresimit ne faqe');
INSERT INTO `lang_definitions` VALUES (113493, 417, 31, 'Orar takimi/vizite');
INSERT INTO `lang_definitions` VALUES (113494, 418, 31, 'Data e orarit te vizites/takimit');
INSERT INTO `lang_definitions` VALUES (113495, 419, 31, 'Stili i afishimit te orarit te takimit/vizites');
INSERT INTO `lang_definitions` VALUES (113496, 420, 31, 'Rregull njoftimi per orarin e takimit/vizites');
INSERT INTO `lang_definitions` VALUES (113497, 421, 31, 'Statusi i orarit te takimit/vizites');
INSERT INTO `lang_definitions` VALUES (113498, 422, 31, 'Statuset e orareve te takimit/vizites');
INSERT INTO `lang_definitions` VALUES (113499, 423, 31, 'Takim ndermjet');
INSERT INTO `lang_definitions` VALUES (113500, 424, 31, 'Ngjyra e Takimit/Njgarjes');
INSERT INTO `lang_definitions` VALUES (113501, 425, 31, 'Orare Takimesh');
INSERT INTO `lang_definitions` VALUES (113502, 426, 31, 'Orare Takimesh (write optional)');
INSERT INTO `lang_definitions` VALUES (113503, 427, 31, 'Orare Takimesh (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (113504, 430, 31, 'Orare takimesh dhe Takime');
INSERT INTO `lang_definitions` VALUES (113505, 431, 31, 'Raport mbi oraret e takimeve');
INSERT INTO `lang_definitions` VALUES (113506, 432, 31, 'Raport oraresh takimi - takimesh');
INSERT INTO `lang_definitions` VALUES (113507, 434, 31, 'Aprovoj');
INSERT INTO `lang_definitions` VALUES (113508, 436, 31, 'Aprovuar');
INSERT INTO `lang_definitions` VALUES (113509, 437, 31, 'Administrimi i ngjarjeve te aprovuara');
INSERT INTO `lang_definitions` VALUES (113510, 440, 31, 'Orar-Takim');
INSERT INTO `lang_definitions` VALUES (113511, 441, 31, 'Orare');
INSERT INTO `lang_definitions` VALUES (113512, 442, 31, 'Prill');
INSERT INTO `lang_definitions` VALUES (113513, 443, 31, 'Prill');
INSERT INTO `lang_definitions` VALUES (113514, 444, 31, 'Arabisht');
INSERT INTO `lang_definitions` VALUES (113515, 447, 31, 'A duhet te perkthehen emrat e grupit te kontrollit te aksesit?');
INSERT INTO `lang_definitions` VALUES (113516, 448, 31, 'A duhet te perkthehen emrat e kategorive te takimit?');
INSERT INTO `lang_definitions` VALUES (113517, 449, 31, 'A duhet te perkthehen emrat e kategorive te dokmentave?');
INSERT INTO `lang_definitions` VALUES (113518, 450, 31, 'Paguhet per kete lloj?');
INSERT INTO `lang_definitions` VALUES (113519, 451, 31, 'A duhet te perkthehen titujt e shenimeve te pacienteve?');
INSERT INTO `lang_definitions` VALUES (113520, 452, 31, 'A jane ruajtur koded ne tabelat e jashtme sql (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (113521, 453, 31, 'A jeni i pregatitur per te plotesuar nje ceshtje te re GCAC per kete vizite?');
INSERT INTO `lang_definitions` VALUES (113522, 454, 31, 'A jeni i sigurte se doni te postoni sot?');
INSERT INTO `lang_definitions` VALUES (113523, 455, 31, 'Jeni te sigurt nese doni te aprovoni keto evente?');
INSERT INTO `lang_definitions` VALUES (113524, 457, 31, 'Jeni te sigurt nese doni ta fshini plotesisht kete formular?');
INSERT INTO `lang_definitions` VALUES (113525, 459, 31, 'Jeni te sigurt nese doni te fshini kete deklarate?');
INSERT INTO `lang_definitions` VALUES (113526, 460, 31, 'Jeni te sigurt nese doni te fshini kete event?');
INSERT INTO `lang_definitions` VALUES (113527, 461, 31, 'Jeni te sigurt nese doni te fshini kete element nga databaza?');
INSERT INTO `lang_definitions` VALUES (113528, 462, 31, 'Jeni te sigurt nese doni te fshini kete shenim?');
INSERT INTO `lang_definitions` VALUES (113529, 464, 31, 'Jeni te sigurt nese doni te ndryshoni keto evente?');
INSERT INTO `lang_definitions` VALUES (113530, 465, 31, 'Jeni te sigurt nese doni te fshihni keto evente?');
INSERT INTO `lang_definitions` VALUES (113531, 467, 31, 'Jeni te sigurt nese doni te shihni keto evente?');
INSERT INTO `lang_definitions` VALUES (113532, 468, 31, 'Jeni te sigurt nese doni te fshini te grupin me emer');
INSERT INTO `lang_definitions` VALUES (113533, 469, 31, 'Jeni te sigurt nese doni te fshini te gjithe listen');
INSERT INTO `lang_definitions` VALUES (113534, 470, 31, 'Jeni te sigurt nese doni te fshini fushen ne');
INSERT INTO `lang_definitions` VALUES (113535, 471, 31, 'Jeni te sigurt nese doni te fshini fushat e zgjedhura?');
INSERT INTO `lang_definitions` VALUES (113536, 472, 31, 'Jeni te sigurt nese doni te vazhdoni me kete veprim?');
INSERT INTO `lang_definitions` VALUES (113537, 473, 31, 'Zone e papercaktuar');
INSERT INTO `lang_definitions` VALUES (113538, 474, 31, 'Krah');
INSERT INTO `lang_definitions` VALUES (113539, 475, 31, 'Armenisht');
INSERT INTO `lang_definitions` VALUES (113540, 477, 31, 'Aritmi');
INSERT INTO `lang_definitions` VALUES (113541, 478, 31, 'Artrit');
INSERT INTO `lang_definitions` VALUES (113542, 479, 31, 'Artrit / semundje e degradimit te nyjeve lidhese');
INSERT INTO `lang_definitions` VALUES (113543, 480, 31, 'Artrit / semundje e degradimit te nyjeve lidhese');
INSERT INTO `lang_definitions` VALUES (113544, 481, 31, 'si');
INSERT INTO `lang_definitions` VALUES (113545, 482, 31, 'sipas');
INSERT INTO `lang_definitions` VALUES (113546, 484, 31, 'aziatik');
INSERT INTO `lang_definitions` VALUES (113547, 487, 31, 'vleresim');
INSERT INTO `lang_definitions` VALUES (113548, 488, 31, 'Caktuar');
INSERT INTO `lang_definitions` VALUES (113549, 489, 31, 'Ndihmes');
INSERT INTO `lang_definitions` VALUES (113550, 490, 31, 'Azme');
INSERT INTO `lang_definitions` VALUES (113551, 491, 31, 'tek');
INSERT INTO `lang_definitions` VALUES (113552, 492, 31, 'Eshte i domosdoshem te pakten nje parameter kerkimi nese zgjidhni \"Te gjitha\".');
INSERT INTO `lang_definitions` VALUES (113553, 493, 31, 'Ne Navikul');
INSERT INTO `lang_definitions` VALUES (113554, 494, 31, 'Ne Navikul:');
INSERT INTO `lang_definitions` VALUES (113555, 495, 31, 'Ekip atletike');
INSERT INTO `lang_definitions` VALUES (113556, 497, 31, 'Demtim atletik');
INSERT INTO `lang_definitions` VALUES (113557, 498, 31, 'certificate CA per auditim ATNA');
INSERT INTO `lang_definitions` VALUES (113558, 499, 31, 'prites per auditimin ATNA');
INSERT INTO `lang_definitions` VALUES (113559, 500, 31, 'certificate lokale per auditim ATNA');
INSERT INTO `lang_definitions` VALUES (113560, 501, 31, 'porte per auditimin ATNA');
INSERT INTO `lang_definitions` VALUES (113561, 503, 31, 'Kujdes');
INSERT INTO `lang_definitions` VALUES (113562, 504, 31, 'Drejtuar');
INSERT INTO `lang_definitions` VALUES (113563, 509, 31, 'Backupe te logeve te auditimit');
INSERT INTO `lang_definitions` VALUES (113564, 510, 31, 'Te ndryshme ne lidhje me loget e auditimit');
INSERT INTO `lang_definitions` VALUES (113565, 511, 31, 'Rradha e logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (113566, 512, 31, 'Logimi i auditimit te te dhenave te pacientit');
INSERT INTO `lang_definitions` VALUES (113567, 513, 31, 'Kalendari i logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (113568, 514, 31, 'Administrimi i sigurese i logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (113569, 515, 31, 'SELECT Query i logimit te auditimit');
INSERT INTO `lang_definitions` VALUES (113570, 516, 31, 'Gusht');
INSERT INTO `lang_definitions` VALUES (113571, 517, 31, 'Gusht');
INSERT INTO `lang_definitions` VALUES (113572, 519, 31, 'Autorizim');
INSERT INTO `lang_definitions` VALUES (113573, 520, 31, 'Autorizim/shenime');
INSERT INTO `lang_definitions` VALUES (113574, 523, 31, 'Grup autorizimi');
INSERT INTO `lang_definitions` VALUES (113575, 524, 31, 'Satusi i autorizimit');
INSERT INTO `lang_definitions` VALUES (113576, 525, 31, 'Autorizime');
INSERT INTO `lang_definitions` VALUES (113577, 526, 31, 'Autorizo');
INSERT INTO `lang_definitions` VALUES (113578, 527, 31, 'Autorizo - cdo takim');
INSERT INTO `lang_definitions` VALUES (113579, 528, 31, 'Autorizo - takimet personale');
INSERT INTO `lang_definitions` VALUES (113580, 530, 31, 'I autorizuar');
INSERT INTO `lang_definitions` VALUES (113581, 531, 31, 'Vetem te autorizuara');
INSERT INTO `lang_definitions` VALUES (113582, 532, 31, 'Dergo automatikisht');
INSERT INTO `lang_definitions` VALUES (113583, 535, 31, 'Krijo automatikisht takime te reja.');
INSERT INTO `lang_definitions` VALUES (113584, 536, 31, 'Te krijuara automatikisht');
INSERT INTO `lang_definitions` VALUES (113585, 537, 31, 'Llogaritje te automatizuara matjesh');
INSERT INTO `lang_definitions` VALUES (113586, 542, 31, 'Llogaritje te automatizuara matjesh (progresive)');
INSERT INTO `lang_definitions` VALUES (113587, 543, 31, 'Matje te automatizuara');
INSERT INTO `lang_definitions` VALUES (113588, 544, 31, 'Automatike');
INSERT INTO `lang_definitions` VALUES (113589, 546, 31, 'Automatikisht krijo nje takim te ri kur statusi i caktimit te takimit eshte \"@\" (arrived).');
INSERT INTO `lang_definitions` VALUES (113590, 549, 31, 'Automjet mjekesor');
INSERT INTO `lang_definitions` VALUES (113591, 550, 31, 'ruajtur automatikisht');
INSERT INTO `lang_definitions` VALUES (113592, 551, 31, 'Kategori te disponueshme');
INSERT INTO `lang_definitions` VALUES (113593, 552, 31, 'Kohe e disponueshme');
INSERT INTO `lang_definitions` VALUES (113594, 557, 31, 'Mesatarja mujore');
INSERT INTO `lang_definitions` VALUES (113595, 558, 31, 'C\'vendosje / frakture e cvendosur');
INSERT INTO `lang_definitions` VALUES (113596, 559, 31, 'C\'vendosje e maleolit lateral');
INSERT INTO `lang_definitions` VALUES (113597, 560, 31, 'C\'vendosje e maleolit medial ');
INSERT INTO `lang_definitions` VALUES (113598, 561, 31, 'E bazuar ne ndergjegjesim');
INSERT INTO `lang_definitions` VALUES (113599, 562, 31, 'Axillary');
INSERT INTO `lang_definitions` VALUES (113600, 565, 31, 'Dy here ne dite (bis in die)');
INSERT INTO `lang_definitions` VALUES (113601, 566, 31, 'Pas');
INSERT INTO `lang_definitions` VALUES (113602, 567, 31, 'pas');
INSERT INTO `lang_definitions` VALUES (113603, 568, 31, '8 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113604, 569, 31, '11 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113605, 570, 31, '5 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113606, 571, 31, '4 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113607, 572, 31, '9 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113608, 573, 31, '1 vizite e shkuar');
INSERT INTO `lang_definitions` VALUES (113609, 574, 31, 'Dhembje e shpines');
INSERT INTO `lang_definitions` VALUES (113610, 575, 31, 'Probleme te shpines');
INSERT INTO `lang_definitions` VALUES (113611, 576, 31, '7 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113612, 577, 31, '6 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113613, 578, 31, 'Nderhyrje kirurgjikale ne shpine');
INSERT INTO `lang_definitions` VALUES (113614, 579, 31, '10 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113615, 580, 31, '3 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113616, 581, 31, 'Kthehu tek faqja e Aministrimit');
INSERT INTO `lang_definitions` VALUES (113617, 584, 31, 'Kthehu tek Pacienti');
INSERT INTO `lang_definitions` VALUES (113618, 585, 31, 'Kthehu tek perdoruesit');
INSERT INTO `lang_definitions` VALUES (113619, 586, 31, 'Kthehu tek Permbledhja');
INSERT INTO `lang_definitions` VALUES (113620, 587, 31, '12 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113621, 588, 31, '2 vizita te shkuara');
INSERT INTO `lang_definitions` VALUES (113622, 590, 31, 'Backup');
INSERT INTO `lang_definitions` VALUES (113623, 591, 31, 'File i backupit eshte krijuar. Tani do te filloje shkarkimi.');
INSERT INTO `lang_definitions` VALUES (113624, 593, 31, 'Backupi u krijua me sukses ne');
INSERT INTO `lang_definitions` VALUES (113625, 594, 31, 'Cek i pavlefshem');
INSERT INTO `lang_definitions` VALUES (113626, 595, 31, 'Borxh i pashleyeshem');
INSERT INTO `lang_definitions` VALUES (113627, 596, 31, 'Bahasa Indonezi');
INSERT INTO `lang_definitions` VALUES (113628, 597, 31, 'Balance');
INSERT INTO `lang_definitions` VALUES (113629, 598, 31, 'Balance');
INSERT INTO `lang_definitions` VALUES (113630, 599, 31, 'balance');
INSERT INTO `lang_definitions` VALUES (113631, 600, 31, 'Shuma e balances');
INSERT INTO `lang_definitions` VALUES (113632, 601, 31, 'Shuma e mbetur per t\'u paguar');
INSERT INTO `lang_definitions` VALUES (113633, 603, 31, 'Draft bankar');
INSERT INTO `lang_definitions` VALUES (113634, 607, 31, 'Baza e Metarsalit te peste (5-te)');
INSERT INTO `lang_definitions` VALUES (113635, 608, 31, 'Baza e Metarsalit te peste (5-te):');
INSERT INTO `lang_definitions` VALUES (113636, 612, 31, 'Utilitet per komunikim ne grup');
INSERT INTO `lang_definitions` VALUES (113637, 613, 31, 'Hyrje per pagese ne grup');
INSERT INTO `lang_definitions` VALUES (113638, 614, 31, 'Pagesa ne grup');
INSERT INTO `lang_definitions` VALUES (113639, 615, 31, 'Procesimin ne grup filloi; kjo do te kerkoje pak kohe.');
INSERT INTO `lang_definitions` VALUES (113640, 616, 31, 'Rezultate e grupit');
INSERT INTO `lang_definitions` VALUES (113641, 617, 31, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (113642, 619, 31, 'sepse kjo ID nuk ekziston.');
INSERT INTO `lang_definitions` VALUES (113643, 620, 31, 'Fillim');
INSERT INTO `lang_definitions` VALUES (113644, 621, 31, 'Data e fillimit');
INSERT INTO `lang_definitions` VALUES (113645, 623, 31, 'Data e fillimit te sherbimit');
INSERT INTO `lang_definitions` VALUES (113646, 624, 31, 'Ora e fillimit te eventeve kalendarike ditore');
INSERT INTO `lang_definitions` VALUES (113647, 626, 31, 'Gromesime');
INSERT INTO `lang_definitions` VALUES (113648, 628, 31, 'Bengali');
INSERT INTO `lang_definitions` VALUES (113649, 630, 31, 'midis');
INSERT INTO `lang_definitions` VALUES (113650, 633, 31, 'Bilaterale');
INSERT INTO `lang_definitions` VALUES (113651, 634, 31, 'Bilaterale:');
INSERT INTO `lang_definitions` VALUES (113652, 636, 31, 'Data e faturimit:');
INSERT INTO `lang_definitions` VALUES (113653, 637, 31, 'Faturim/Mbledhje');
INSERT INTO `lang_definitions` VALUES (113654, 638, 31, 'Faturuar');
INSERT INTO `lang_definitions` VALUES (113655, 640, 31, 'Faturim');
INSERT INTO `lang_definitions` VALUES (113656, 641, 31, 'Faturim (write optional)');
INSERT INTO `lang_definitions` VALUES (113657, 642, 31, 'Ne vemendje te faturimit');
INSERT INTO `lang_definitions` VALUES (113658, 644, 31, 'Kodi i faturimit per sherbimin e kerkuar');
INSERT INTO `lang_definitions` VALUES (113659, 645, 31, 'kodet e faturimit');
INSERT INTO `lang_definitions` VALUES (113660, 646, 31, 'Te dhenat e faturimit');
INSERT INTO `lang_definitions` VALUES (113661, 647, 31, 'Departamenti i faturimit');
INSERT INTO `lang_definitions` VALUES (113662, 648, 31, 'Ndertesa e faturimit');
INSERT INTO `lang_definitions` VALUES (113663, 649, 31, 'Informacioni i faturimit');
INSERT INTO `lang_definitions` VALUES (113664, 650, 31, 'Vendndodhja e faturimit');
INSERT INTO `lang_definitions` VALUES (113665, 655, 31, 'Menaxheri i faturimit');
INSERT INTO `lang_definitions` VALUES (113666, 656, 31, 'Shenime te faturimit');
INSERT INTO `lang_definitions` VALUES (113667, 657, 31, 'Shenime te faturimit per ');
INSERT INTO `lang_definitions` VALUES (113668, 658, 31, 'Shenime te faturimit:');
INSERT INTO `lang_definitions` VALUES (113669, 659, 31, 'Rezultatet e kerkimit te faturimit:');
INSERT INTO `lang_definitions` VALUES (113670, 660, 31, 'Raportet e faturimit');
INSERT INTO `lang_definitions` VALUES (113671, 661, 31, 'Statusi i faturimit');
INSERT INTO `lang_definitions` VALUES (113672, 662, 31, 'Statusi i faturimit = i pa faturuar');
INSERT INTO `lang_definitions` VALUES (113673, 663, 31, 'faturim per ');
INSERT INTO `lang_definitions` VALUES (113674, 665, 31, 'Biopsi');
INSERT INTO `lang_definitions` VALUES (113675, 666, 31, 'Datelindja');
INSERT INTO `lang_definitions` VALUES (113676, 669, 31, 'e zeze');
INSERT INTO `lang_definitions` VALUES (113677, 670, 31, 'Pneumoconiosis \"Mushkeri e zeze\"');
INSERT INTO `lang_definitions` VALUES (113678, 671, 31, 'I zi ose afro-amerikan');
INSERT INTO `lang_definitions` VALUES (113679, 672, 31, 'Kancer i fshikezes urinare');
INSERT INTO `lang_definitions` VALUES (113680, 673, 31, 'Infeksion i fshikezes urinare');
INSERT INTO `lang_definitions` VALUES (113681, 674, 31, 'Formular bosh');
INSERT INTO `lang_definitions` VALUES (113682, 675, 31, 'probleme hemoragjike');
INSERT INTO `lang_definitions` VALUES (113683, 676, 31, 'Pika te padukshme');
INSERT INTO `lang_definitions` VALUES (113684, 677, 31, 'Fryrje');
INSERT INTO `lang_definitions` VALUES (113685, 678, 31, 'I Bllokuar');
INSERT INTO `lang_definitions` VALUES (113686, 679, 31, 'Gjak');
INSERT INTO `lang_definitions` VALUES (113687, 680, 31, 'Tensioni i gjakut');
INSERT INTO `lang_definitions` VALUES (113688, 681, 31, 'Tensioni i gjakut');
INSERT INTO `lang_definitions` VALUES (113689, 682, 31, 'Hemoragji nga hunda');
INSERT INTO `lang_definitions` VALUES (113690, 683, 31, 'Shoqata Blue Cross Blue Shield');
INSERT INTO `lang_definitions` VALUES (113691, 684, 31, 'Linjat me njyre blu ne kete raport jane te karakterit informues. Lnjat me ngjyre te zeze tregojne per informacione egzistuese. Linjat me ngjyre jeshile tregojne per ndryshime qe jane aplikuar me sukses. Linjat me ngjyre te kuqe tregojne per gabime ose ndryshime qe nuk jane aplikuar; keto duhet te procesohen manualisht. Aktualisht, ankesat e refuzuara ose pagesat qe duhen rimbursuar, nuk trajtohen automatikisht per rrjedhoj do te shfaqen me te kuqe.');
INSERT INTO `lang_definitions` VALUES (113692, 685, 31, 'shikim i turbullt');
INSERT INTO `lang_definitions` VALUES (113693, 686, 31, 'Indeksi i mases trupore');
INSERT INTO `lang_definitions` VALUES (113694, 687, 31, 'Gjendja e indeksit te mases trupore');
INSERT INTO `lang_definitions` VALUES (113695, 689, 31, 'zone e trupit');
INSERT INTO `lang_definitions` VALUES (113696, 690, 31, 'pjese e trupit');
INSERT INTO `lang_definitions` VALUES (113697, 691, 31, 'pjese e trupit, nese eshte e pershtatshme');
INSERT INTO `lang_definitions` VALUES (113698, 692, 31, 'Dhimbje kocke:');
INSERT INTO `lang_definitions` VALUES (113699, 693, 31, 'Dhimbje kocke: Maleoli Medial');
INSERT INTO `lang_definitions` VALUES (113700, 694, 31, 'Bolean');
INSERT INTO `lang_definitions` VALUES (113701, 696, 31, 'Larva Parazitesh');
INSERT INTO `lang_definitions` VALUES (113702, 697, 31, 'Te dy veshet');
INSERT INTO `lang_definitions` VALUES (113703, 698, 31, 'te dy veshet');
INSERT INTO `lang_definitions` VALUES (113704, 699, 31, 'Fund');
INSERT INTO `lang_definitions` VALUES (113705, 701, 31, 'Kutia 10 A. Ne lidhje me punen ');
INSERT INTO `lang_definitions` VALUES (113706, 702, 31, 'Kutia 10 B. Aksident automobilistik ');
INSERT INTO `lang_definitions` VALUES (113707, 703, 31, 'Kutia 10 C. Aksident tjeter ');
INSERT INTO `lang_definitions` VALUES (113708, 706, 31, 'Kutia 15. Data e te njejtes semundje apo semundjeje te ngjashme (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (113709, 708, 31, 'Kutia 16. Data e fillimit te paaftesise per te punuar (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (113710, 709, 31, 'Kutia 16. Data e mbarimit te paaftesise per te punuar (vvvv-mm-dd):');
INSERT INTO `lang_definitions` VALUES (113711, 710, 31, 'Kutia 18. Data e shtrimit ne spital (vvvv-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (113712, 711, 31, 'Kutia 18. Data e daljes nga spitali (vvvv-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (113713, 712, 31, 'Kutia 20. Eshte perdorur laborator i jashtem?');
INSERT INTO `lang_definitions` VALUES (113714, 713, 31, 'Kutia 22. Kodi (ICD-9) i ri-aplikimi te te ndihmes mjekesore. ');
INSERT INTO `lang_definitions` VALUES (113715, 714, 31, 'Kutia 23. Nr. i autorizimit te mparshem. ');
INSERT INTO `lang_definitions` VALUES (113716, 715, 31, 'Tensioni arterial');
INSERT INTO `lang_definitions` VALUES (113717, 716, 31, 'Tensioni arterial diastolic');
INSERT INTO `lang_definitions` VALUES (113718, 717, 31, 'Tensioni arterial sistolic');
INSERT INTO `lang_definitions` VALUES (113719, 719, 31, 'TAD');
INSERT INTO `lang_definitions` VALUES (113720, 721, 31, 'TAS');
INSERT INTO `lang_definitions` VALUES (113721, 722, 31, 'Portugalisht');
INSERT INTO `lang_definitions` VALUES (113722, 723, 31, 'Gjoks');
INSERT INTO `lang_definitions` VALUES (113723, 724, 31, 'Biopsi gjoksi');
INSERT INTO `lang_definitions` VALUES (113724, 725, 31, 'Rrjedhje gjoksi');
INSERT INTO `lang_definitions` VALUES (113725, 726, 31, 'Semundje gjoksi');
INSERT INTO `lang_definitions` VALUES (113726, 727, 31, 'Ekzaminim gjoksi');
INSERT INTO `lang_definitions` VALUES (113727, 728, 31, 'Mase gjoksi');
INSERT INTO `lang_definitions` VALUES (113728, 730, 31, 'Zhurma te frymemarrjes:');
INSERT INTO `lang_definitions` VALUES (113729, 732, 31, 'Thyerje e kockave');
INSERT INTO `lang_definitions` VALUES (113730, 734, 31, 'Formular per bronkitin');
INSERT INTO `lang_definitions` VALUES (113731, 735, 31, 'Kerkoj');
INSERT INTO `lang_definitions` VALUES (113732, 736, 31, 'Kerko per te dhenat');
INSERT INTO `lang_definitions` VALUES (113733, 737, 31, 'Hematome');
INSERT INTO `lang_definitions` VALUES (113734, 739, 31, 'Fryerje djathtas:');
INSERT INTO `lang_definitions` VALUES (113735, 741, 31, 'Urinim me djegie');
INSERT INTO `lang_definitions` VALUES (113736, 742, 31, 'Urinim Me Djegie');
INSERT INTO `lang_definitions` VALUES (113737, 744, 31, 'I zene');
INSERT INTO `lang_definitions` VALUES (113738, 745, 31, 'por akoma i paprocesuar.');
INSERT INTO `lang_definitions` VALUES (113739, 746, 31, 'Gluteus');
INSERT INTO `lang_definitions` VALUES (113740, 747, 31, 'Gluteus + Sacro-ileic');
INSERT INTO `lang_definitions` VALUES (113741, 748, 31, 'nga');
INSERT INTO `lang_definitions` VALUES (113742, 749, 31, 'Nga');
INSERT INTO `lang_definitions` VALUES (113743, 750, 31, 'nga goja');
INSERT INTO `lang_definitions` VALUES (113744, 751, 31, 'Nga/Burimi');
INSERT INTO `lang_definitions` VALUES (113745, 752, 31, 'Nga:');
INSERT INTO `lang_definitions` VALUES (113746, 753, 31, 'C');
INSERT INTO `lang_definitions` VALUES (113747, 754, 31, 'Certifikate CA per verifikiin e serverit RFC 5425 TLS syslog');
INSERT INTO `lang_definitions` VALUES (113748, 755, 31, 'Jetegjatesia e kashese ne seconda');
INSERT INTO `lang_definitions` VALUES (113749, 756, 31, 'Ta hedh ne kashe shabllonin e daljes?');
INSERT INTO `lang_definitions` VALUES (113750, 757, 31, 'Konsum kafeine');
INSERT INTO `lang_definitions` VALUES (113751, 758, 31, 'Kalendar');
INSERT INTO `lang_definitions` VALUES (113752, 759, 31, 'Ora kalendarike e mbylljes');
INSERT INTO `lang_definitions` VALUES (113753, 760, 31, 'Interval kalendarik');
INSERT INTO `lang_definitions` VALUES (113754, 761, 31, 'Ekrani i kalendarit');
INSERT INTO `lang_definitions` VALUES (113755, 762, 31, 'Parametrat e kalendarit');
INSERT INTO `lang_definitions` VALUES (113756, 763, 31, 'Ora kalendarike e hapjes');
INSERT INTO `lang_definitions` VALUES (113757, 764, 31, 'Kalendar UI');
INSERT INTO `lang_definitions` VALUES (113758, 765, 31, 'Pamja kalendarike');
INSERT INTO `lang_definitions` VALUES (113759, 766, 31, 'Thirrja per te addForm() shkon ketu.<br>');
INSERT INTO `lang_definitions` VALUES (113760, 767, 31, 'Kalori');
INSERT INTO `lang_definitions` VALUES (113761, 768, 31, 'Kamboxhian');
INSERT INTO `lang_definitions` VALUES (113763, 774, 31, 'Anullo');
INSERT INTO `lang_definitions` VALUES (113764, 775, 31, 'Anullo ndryshimet');
INSERT INTO `lang_definitions` VALUES (113765, 776, 31, 'Anulluar');
INSERT INTO `lang_definitions` VALUES (113766, 777, 31, 'Kancer');
INSERT INTO `lang_definitions` VALUES (113767, 778, 31, 'Egzaminim rutine: Kancer i kolonit');
INSERT INTO `lang_definitions` VALUES (113768, 779, 31, 'Egzaminim rutine: Mamogram');
INSERT INTO `lang_definitions` VALUES (113769, 780, 31, 'Egzaminim rutine: Pap test');
INSERT INTO `lang_definitions` VALUES (113770, 781, 31, 'Egzaminim rutine: Kancer i prostates');
INSERT INTO `lang_definitions` VALUES (113771, 782, 31, 'Nuk mund te shtohen keto te dhena, sepse ekzistojne ne sistem!');
INSERT INTO `lang_definitions` VALUES (113772, 783, 31, 'Nuk mund te shtohen keto te dhena, sepse ekzistojne ne sistem!');
INSERT INTO `lang_definitions` VALUES (113773, 785, 31, 'nuk mund te konvertohet ne JPEG. Ndoshta programi ImageMagick nuk eshte instaluar?');
INSERT INTO `lang_definitions` VALUES (113774, 787, 31, 'nuk mund te afishohet drejt perse-drejti pasi ky lloj nuk suportohet nga browseri.');
INSERT INTO `lang_definitions` VALUES (113775, 788, 31, 'nuk mund te afishohet drejt perse-drejti pasi ky lloj nuk suportohet nga browseri.');
INSERT INTO `lang_definitions` VALUES (113776, 789, 31, 'nuk mund te afishohet drejt perse-drejti pasi ky lloj nuk suportohet nga browseri.');
INSERT INTO `lang_definitions` VALUES (113777, 790, 31, 'Nuk mund te krijohet');
INSERT INTO `lang_definitions` VALUES (113778, 795, 31, 'Nuk gjendet ');
INSERT INTO `lang_definitions` VALUES (113779, 796, 31, 'Nuk gjendet skedari');
INSERT INTO `lang_definitions` VALUES (113780, 799, 31, 'Nuk mund te gjindet klienti nga ID e SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (113781, 800, 31, 'nuk mund te gjindet referenca postscript e dokumentit ne ');
INSERT INTO `lang_definitions` VALUES (113782, 801, 31, 'Nuk mund te provideri nga ID e SQL-Ledger pnedhenes= ');
INSERT INTO `lang_definitions` VALUES (113783, 802, 31, 'Nuk mund te ndryshohen pagesat. Shuma e pashperndare eshte negative.');
INSERT INTO `lang_definitions` VALUES (113784, 803, 31, 'Nuk mund te hapet ');
INSERT INTO `lang_definitions` VALUES (113785, 804, 31, 'Nuk mund te aplikosh per sigurim. Entiteti i zgjedhur per te paguar eshte pacient.');
INSERT INTO `lang_definitions` VALUES (113786, 805, 31, 'Nuk mund te aplikosh per pacienti. Entiteti i zgjedhur per te paguar eshte sigurimi.');
INSERT INTO `lang_definitions` VALUES (113787, 806, 31, 'Nuk mund te aplikohen pagesat. Shuma e pashperndare eshte negative.');
INSERT INTO `lang_definitions` VALUES (113788, 807, 31, 'Nuk mund te lexohet');
INSERT INTO `lang_definitions` VALUES (113789, 808, 31, 'Nuk mund te lexohet direktoria');
INSERT INTO `lang_definitions` VALUES (113790, 809, 31, 'Nuk mund te behen ndryshime pasi nuk po modifikohet nje e dhene ekzistuese!');
INSERT INTO `lang_definitions` VALUES (113791, 810, 31, 'Kapitalizo');
INSERT INTO `lang_definitions` VALUES (113792, 812, 31, 'kapsule');
INSERT INTO `lang_definitions` VALUES (113793, 813, 31, 'karte');
INSERT INTO `lang_definitions` VALUES (113794, 814, 31, 'Kataterizim Kardiak');
INSERT INTO `lang_definitions` VALUES (113795, 815, 31, 'Eko kardiake');
INSERT INTO `lang_definitions` VALUES (113796, 816, 31, 'Kardiovaskulare');
INSERT INTO `lang_definitions` VALUES (113797, 821, 31, 'Kartilago / kondral / demtim i diskut');
INSERT INTO `lang_definitions` VALUES (113798, 822, 31, 'Demtim i kartilagjenit');
INSERT INTO `lang_definitions` VALUES (113799, 823, 31, 'Pulsimet Cartoidale nl, pulsimet pedaluese nl');
INSERT INTO `lang_definitions` VALUES (113800, 824, 31, 'para ne dore');
INSERT INTO `lang_definitions` VALUES (113801, 825, 31, 'Para ne dore');
INSERT INTO `lang_definitions` VALUES (113802, 826, 31, 'Pare ne dore te marra');
INSERT INTO `lang_definitions` VALUES (113803, 827, 31, 'Vertetimi i marrjes se parave nga provideri');
INSERT INTO `lang_definitions` VALUES (113804, 829, 31, 'Kirurgji katarakti');
INSERT INTO `lang_definitions` VALUES (113805, 830, 31, 'Katarkt');
INSERT INTO `lang_definitions` VALUES (113806, 831, 31, 'Kategori');
INSERT INTO `lang_definitions` VALUES (113807, 832, 31, 'Kategori per');
INSERT INTO `lang_definitions` VALUES (113808, 833, 31, 'Kategori');
INSERT INTO `lang_definitions` VALUES (113809, 834, 31, 'kategori');
INSERT INTO `lang_definitions` VALUES (113810, 835, 31, 'Kategori ');
INSERT INTO `lang_definitions` VALUES (113811, 836, 31, 'Detaje te kategorise');
INSERT INTO `lang_definitions` VALUES (113812, 837, 31, 'Limite te kategorise');
INSERT INTO `lang_definitions` VALUES (113813, 838, 31, 'Emri i kategorise');
INSERT INTO `lang_definitions` VALUES (113814, 839, 31, 'Emri i kategorise eshte bosh');
INSERT INTO `lang_definitions` VALUES (113815, 840, 31, 'Kategori/titull');
INSERT INTO `lang_definitions` VALUES (113816, 841, 31, 'kaukazian');
INSERT INTO `lang_definitions` VALUES (113817, 842, 31, 'Shkakton printimin ne recete te informacionit te Takimit/Providerit primar');
INSERT INTO `lang_definitions` VALUES (113818, 850, 31, 'CDR');
INSERT INTO `lang_definitions` VALUES (113819, 852, 31, 'Celular');
INSERT INTO `lang_definitions` VALUES (113820, 853, 31, 'Celular');
INSERT INTO `lang_definitions` VALUES (113821, 855, 31, 'Nr Celulari');
INSERT INTO `lang_definitions` VALUES (113822, 856, 31, 'Certifikim qendror');
INSERT INTO `lang_definitions` VALUES (113823, 857, 31, 'Amerikano Jugor/Qendror');
INSERT INTO `lang_definitions` VALUES (113824, 858, 31, 'Informacion teknik: Certificate Authority crt file location cannot be empty');
INSERT INTO `lang_definitions` VALUES (113825, 859, 31, 'Informacion teknik: Certificate Authority key file location cannot be empty');
INSERT INTO `lang_definitions` VALUES (113826, 860, 31, 'Informacion teknik: Certificate to send to RFC 5425 TLS syslog server.');
INSERT INTO `lang_definitions` VALUES (113827, 861, 31, 'Perdoreus i certifikuar');
INSERT INTO `lang_definitions` VALUES (113828, 862, 31, 'Certifikata');
INSERT INTO `lang_definitions` VALUES (113829, 864, 31, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (113830, 865, 31, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (113831, 866, 31, 'ndrysho');
INSERT INTO `lang_definitions` VALUES (113832, 867, 31, 'Ndrysho');
INSERT INTO `lang_definitions` VALUES (113833, 868, 31, 'Ndrysho aktivitetin');
INSERT INTO `lang_definitions` VALUES (113834, 870, 31, 'Ndryshime ne pamje');
INSERT INTO `lang_definitions` VALUES (113835, 871, 31, 'Ndryshime ne pamje');
INSERT INTO `lang_definitions` VALUES (113836, 874, 31, 'Ndryshuar');
INSERT INTO `lang_definitions` VALUES (113837, 875, 31, 'Zorre e ndryshuar');
INSERT INTO `lang_definitions` VALUES (113838, 877, 31, 'Karakteristika');
INSERT INTO `lang_definitions` VALUES (113839, 878, 31, 'Karaktere te mbetura');
INSERT INTO `lang_definitions` VALUES (113840, 879, 31, 'Komision');
INSERT INTO `lang_definitions` VALUES (113841, 880, 31, 'Rregullimi i komisionit');
INSERT INTO `lang_definitions` VALUES (113842, 881, 31, 'Komision i koduar');
INSERT INTO `lang_definitions` VALUES (113843, 882, 31, 'Komisionet');
INSERT INTO `lang_definitions` VALUES (113844, 883, 31, 'Kartele');
INSERT INTO `lang_definitions` VALUES (113845, 884, 31, 'Aktiviteti i karteles');
INSERT INTO `lang_definitions` VALUES (113846, 885, 31, 'Raport i aktivitetit te karteles');
INSERT INTO `lang_definitions` VALUES (113847, 886, 31, 'ID Kartele');
INSERT INTO `lang_definitions` VALUES (113848, 887, 31, 'ID Kartele:');
INSERT INTO `lang_definitions` VALUES (113849, 889, 31, 'Aktivitete i vendndodhjes se grafikut');
INSERT INTO `lang_definitions` VALUES (113850, 890, 31, 'Shenim ne kartele');
INSERT INTO `lang_definitions` VALUES (113851, 891, 31, 'Numer Kartele');
INSERT INTO `lang_definitions` VALUES (113852, 892, 31, 'Vendndodhjet e ruajtjes se grafikut');
INSERT INTO `lang_definitions` VALUES (113853, 893, 31, 'Ndjekesi i grafikut');
INSERT INTO `lang_definitions` VALUES (113854, 894, 31, 'Ndjekesi i grafikut');
INSERT INTO `lang_definitions` VALUES (113855, 895, 31, 'Grafike te perfunduar');
INSERT INTO `lang_definitions` VALUES (113856, 896, 31, 'Nxirr grafikun');
INSERT INTO `lang_definitions` VALUES (113857, 898, 31, 'Kontroll');
INSERT INTO `lang_definitions` VALUES (113858, 899, 31, 'kontroll');
INSERT INTO `lang_definitions` VALUES (113859, 900, 31, 'Kontrollo gjithshka');
INSERT INTO `lang_definitions` VALUES (113860, 902, 31, 'Kontrollo shumen');
INSERT INTO `lang_definitions` VALUES (113861, 903, 31, 'Kontrollo daten');
INSERT INTO `lang_definitions` VALUES (113862, 904, 31, 'Kontrollo diferencat ne perkthim bazuar ne tabelen e perkthimit');
INSERT INTO `lang_definitions` VALUES (113863, 906, 31, 'Hyrje ne');
INSERT INTO `lang_definitions` VALUES (113864, 907, 31, 'Kontrollo te dhenat hyrese');
INSERT INTO `lang_definitions` VALUES (113865, 909, 31, 'Kontrollo rezultatet e analizave laboratorike');
INSERT INTO `lang_definitions` VALUES (113866, 912, 31, 'Kontrollo numrin');
INSERT INTO `lang_definitions` VALUES (113867, 915, 31, 'Kontrollo pagesen');
INSERT INTO `lang_definitions` VALUES (113868, 916, 31, 'Kontrollo kutine nese ky eshte nje file i koduar');
INSERT INTO `lang_definitions` VALUES (113869, 917, 31, 'Zgjidhe kete nese deshironi qe providert te shikojne te gjitha takimet dhe jo vetem te tyret.');
INSERT INTO `lang_definitions` VALUES (113870, 919, 31, 'Kontrollo/Data EOB:');
INSERT INTO `lang_definitions` VALUES (113871, 920, 31, 'Kontrollo/Nr EOB:');
INSERT INTO `lang_definitions` VALUES (113872, 921, 31, 'Kontrollo/Numer reference');
INSERT INTO `lang_definitions` VALUES (113873, 922, 31, 'Kontrollo/Numer reference');
INSERT INTO `lang_definitions` VALUES (113874, 923, 31, 'Lista e checkbox');
INSERT INTO `lang_definitions` VALUES (113875, 924, 31, 'Lista e checkbox');
INSERT INTO `lang_definitions` VALUES (113876, 925, 31, 'checkbox me tekst');
INSERT INTO `lang_definitions` VALUES (113877, 926, 31, 'checkbox me tekst');
INSERT INTO `lang_definitions` VALUES (113878, 928, 31, 'E selektuar');
INSERT INTO `lang_definitions` VALUES (113879, 929, 31, 'Kuti e selektuar = Po, bosh = jo');
INSERT INTO `lang_definitions` VALUES (113880, 932, 31, 'Checkout');
INSERT INTO `lang_definitions` VALUES (113881, 933, 31, 'Kontrollo shumen');
INSERT INTO `lang_definitions` VALUES (113882, 934, 31, 'Kraharori');
INSERT INTO `lang_definitions` VALUES (113883, 935, 31, 'CTAB kraharori');
INSERT INTO `lang_definitions` VALUES (113884, 936, 31, 'Dhimbje kraharori');
INSERT INTO `lang_definitions` VALUES (113885, 937, 31, 'Dhimbje kraharori:');
INSERT INTO `lang_definitions` VALUES (113886, 938, 31, 'Dhimbje kraharori');
INSERT INTO `lang_definitions` VALUES (113887, 940, 31, 'Chg');
INSERT INTO `lang_definitions` VALUES (113888, 942, 31, 'Ankesa shefit');
INSERT INTO `lang_definitions` VALUES (113889, 943, 31, 'Femije');
INSERT INTO `lang_definitions` VALUES (113890, 945, 31, 'Statusi i vaksinimit pediatrik');
INSERT INTO `lang_definitions` VALUES (113891, 946, 31, 'Ethe');
INSERT INTO `lang_definitions` VALUES (113892, 947, 31, 'Kinez');
INSERT INTO `lang_definitions` VALUES (113893, 948, 31, 'Kinez');
INSERT INTO `lang_definitions` VALUES (113894, 949, 31, 'Kinez');
INSERT INTO `lang_definitions` VALUES (113895, 951, 31, 'Zgjedhje');
INSERT INTO `lang_definitions` VALUES (113896, 952, 31, 'Cholecystectomy');
INSERT INTO `lang_definitions` VALUES (113897, 954, 31, 'Cholecystectomy');
INSERT INTO `lang_definitions` VALUES (113898, 955, 31, 'Zgjidh');
INSERT INTO `lang_definitions` VALUES (113899, 956, 31, 'Zgjidhni nje seksion dhe klikoni nje objekt ne te; me pas ne seksionin tjeter ju do te shikoni objektet e lidhur te ngjyrosur, ju mund te klikoni ne kete seksion dhe te fshini lidhjet.');
INSERT INTO `lang_definitions` VALUES (113900, 957, 31, 'Kritere zgjedhjeje');
INSERT INTO `lang_definitions` VALUES (113901, 962, 31, 'Liste zgjedhjeje');
INSERT INTO `lang_definitions` VALUES (113902, 965, 31, 'Zgjidhni formatin e printimit per kete raport takimi');
INSERT INTO `lang_definitions` VALUES (113903, 967, 31, 'Bronshit kronik');
INSERT INTO `lang_definitions` VALUES (113904, 968, 31, 'Dhimbje kronike e nyjeve');
INSERT INTO `lang_definitions` VALUES (113905, 969, 31, 'Zemundje Kronike e Veshkes (CKD)');
INSERT INTO `lang_definitions` VALUES (113906, 970, 31, 'Chronic synovitis / effusion / joint pain / gout');
INSERT INTO `lang_definitions` VALUES (113907, 971, 31, 'Kronik/perserites');
INSERT INTO `lang_definitions` VALUES (113908, 973, 31, 'Cirrhosis i melcise');
INSERT INTO `lang_definitions` VALUES (113909, 974, 31, 'Cirrhosis i melcise');
INSERT INTO `lang_definitions` VALUES (113910, 975, 31, 'Qytet');
INSERT INTO `lang_definitions` VALUES (113911, 976, 31, 'Emer qyteti');
INSERT INTO `lang_definitions` VALUES (113912, 977, 31, 'Qytet, shtet');
INSERT INTO `lang_definitions` VALUES (113913, 978, 31, 'Qytet, Kod Postar');
INSERT INTO `lang_definitions` VALUES (113914, 979, 31, 'Qytet/Shtet');
INSERT INTO `lang_definitions` VALUES (113915, 980, 31, 'Kerkese');
INSERT INTO `lang_definitions` VALUES (113916, 981, 31, 'Kerkese ');
INSERT INTO `lang_definitions` VALUES (113917, 983, 31, 'Testi i kerkeses perfundoi se egzekutuari');
INSERT INTO `lang_definitions` VALUES (113918, 984, 31, 'Lloj kerkese');
INSERT INTO `lang_definitions` VALUES (113919, 985, 31, 'Kerkesa i gjeneruar tek file');
INSERT INTO `lang_definitions` VALUES (113920, 986, 31, 'Kerkesa i gjeneruar tek file ');
INSERT INTO `lang_definitions` VALUES (113921, 987, 31, 'Kerkesat');
INSERT INTO `lang_definitions` VALUES (113922, 988, 31, 'Klasifikim');
INSERT INTO `lang_definitions` VALUES (113923, 989, 31, 'I qarte');
INSERT INTO `lang_definitions` VALUES (113924, 991, 31, 'Parto gjithshka');
INSERT INTO `lang_definitions` VALUES (113925, 992, 31, 'Pastro te dhenat HL7');
INSERT INTO `lang_definitions` VALUES (113926, 993, 31, 'Arsyetim i qarte');
INSERT INTO `lang_definitions` VALUES (113927, 994, 31, 'Informacion teknik: Clear Smarty Cache');
INSERT INTO `lang_definitions` VALUES (113928, 995, 31, 'Informacion teknik: Clearing house info required for EDI 270 batch creation.');
INSERT INTO `lang_definitions` VALUES (113929, 996, 31, 'Numer CLIA');
INSERT INTO `lang_definitions` VALUES (113930, 997, 31, 'Kliko');
INSERT INTO `lang_definitions` VALUES (113931, 998, 31, 'Kliko \'Eksporto\' per te eksportuar Kategorite, Nen-kategorite, Objektet, Permbajtjen tek nje file tekst. Cdo ngjashmeri e ketij file me nje file XML eshte e rastesishme. Etiketat e hapjes dhe mbylljes duhet te jene ne te njejten linje, duhet te jene me karaktere kapitale dhe pa hapesire. Per te importuar, shfletoni per tek file dhe klikoni tek \'Import\'.Ne rast se te dhenat jane teresisht ndryshe, ato do te inkorporohen me te dhenat egzistuese. Nese ka te emertime objektesh te ngjashme, emrat e vjeter do te mbahen dhe emrat e rinj do te ruhen duke shtuar nje numer ne fundt te tij.');
INSERT INTO `lang_definitions` VALUES (113932, 999, 31, 'Klikoni mbi nje vend ne grafik per te shtuar nje shenim, klikoni perseri per ta hequr ate.');
INSERT INTO `lang_definitions` VALUES (113933, 1000, 31, 'Informacion teknik:');
INSERT INTO `lang_definitions` VALUES (113934, 1001, 31, 'kliko per me shume');
INSERT INTO `lang_definitions` VALUES (113935, 1005, 31, 'Kliko ketu');
INSERT INTO `lang_definitions` VALUES (113936, 1006, 31, 'Kliko ketu per te shtuar nje pacient te ri.');
INSERT INTO `lang_definitions` VALUES (113937, 1007, 31, 'Kliko pr te shtuar nje status te ri ndryshimi te demtimit dhe modifko aktivitetin ditor');
INSERT INTO `lang_definitions` VALUES (113938, 1008, 31, 'Kliko ketu per te zgjedhur nje date');
INSERT INTO `lang_definitions` VALUES (113939, 1009, 31, 'Kliko ketu per te zgjedhur nje date dhe ore');
INSERT INTO `lang_definitions` VALUES (113940, 1010, 31, 'Kliko ketu per te zgjedhur nje date fillimi');
INSERT INTO `lang_definitions` VALUES (113941, 1020, 31, 'Kliko ketu per te kerkuar');
INSERT INTO `lang_definitions` VALUES (113942, 1021, 31, 'kliko ketu per te perditesuar prioritetin, kategorine dhe detajet e nofkes');
INSERT INTO `lang_definitions` VALUES (113943, 1022, 31, 'Kliko ketu per t\'i pare te gjitha.');
INSERT INTO `lang_definitions` VALUES (113944, 1023, 31, 'Kliko ketu per te pare dhe bere grafik');
INSERT INTO `lang_definitions` VALUES (113945, 1025, 31, 'Kliko ketu per te pare dhe bere grafik per te gjitha te rendesishmet.');
INSERT INTO `lang_definitions` VALUES (113946, 1026, 31, 'Kliko ketu per te pare te dhenat e pacientit.');
INSERT INTO `lang_definitions` VALUES (113947, 1027, 31, 'Kliko ketu per ti pare te gjitha.');
INSERT INTO `lang_definitions` VALUES (113948, 1029, 31, 'Informacion teknik: Click Install button to install database release from the following date');
INSERT INTO `lang_definitions` VALUES (113949, 1030, 31, 'Klikoni ne cdo fashe kohore per ta rritur ate');
INSERT INTO `lang_definitions` VALUES (113950, 1031, 31, 'Klikoni Emri i Pacientit per te hapur filen e pacientit');
INSERT INTO `lang_definitions` VALUES (113951, 1032, 31, 'Klikoni Rifresko pe te pare te gjitha rezultatet, ose ju lutem specifkoni kriteret e kerkimit me siper per te pare rezultatet specifike.');
INSERT INTO `lang_definitions` VALUES (113952, 1034, 31, 'Kliko per te shtuar komponente te reja');
INSERT INTO `lang_definitions` VALUES (113953, 1035, 31, 'Kliko per te shtuar konsulta te reja');
INSERT INTO `lang_definitions` VALUES (113954, 1037, 31, 'Kliko per te shkarkuar');
INSERT INTO `lang_definitions` VALUES (113955, 1038, 31, 'Kliko per te modifikuar');
INSERT INTO `lang_definitions` VALUES (113956, 1040, 31, 'Kliko per te modifikuar kete ngjarje');
INSERT INTO `lang_definitions` VALUES (113957, 1041, 31, 'Kliko per te gjeneruar raportin');
INSERT INTO `lang_definitions` VALUES (113958, 1043, 31, 'Kliko per te printuar');
INSERT INTO `lang_definitions` VALUES (113959, 1044, 31, 'Kliko per te marre (shtuar) nje lot te ri');
INSERT INTO `lang_definitions` VALUES (113960, 1045, 31, 'Klik per te zgjedhur');
INSERT INTO `lang_definitions` VALUES (113961, 1046, 31, 'Kliko Per te Zgjedhur');
INSERT INTO `lang_definitions` VALUES (113962, 1047, 31, 'Informacion teknik: Click to select an industry-standard code for this procedure');
INSERT INTO `lang_definitions` VALUES (113963, 1048, 31, 'Kliko per te zgjedhur nje kod procedure opsional');
INSERT INTO `lang_definitions` VALUES (113964, 1050, 31, 'Kliko per te zgjedhur apo ndryshuar kodin CVX');
INSERT INTO `lang_definitions` VALUES (113965, 1051, 31, 'Kliko per te zgjedhur apo ndryshura diagnozat');
INSERT INTO `lang_definitions` VALUES (113966, 1052, 31, 'Kliko per te zgjedhur apo ndryshuar kodet e sherbimit');
INSERT INTO `lang_definitions` VALUES (113967, 1053, 31, 'Kliko per te zgjedhur pacient');
INSERT INTO `lang_definitions` VALUES (113968, 1054, 31, 'Kliko per te zgjedhur kodin e lidhur');
INSERT INTO `lang_definitions` VALUES (113969, 1055, 31, 'Kliko per te zgjedhur sherbimet qe do te kryen ne rast se ky rezultat eshte anormal');
INSERT INTO `lang_definitions` VALUES (113970, 1056, 31, 'Kliko per te zgjedhur proceduren e deshiruar');
INSERT INTO `lang_definitions` VALUES (113971, 1058, 31, 'Kliko per te pare');
INSERT INTO `lang_definitions` VALUES (113972, 1059, 31, 'Kliko per te pare ose modifikuar');
INSERT INTO `lang_definitions` VALUES (113973, 1060, 31, 'Kliko per te pare/modifikuar');
INSERT INTO `lang_definitions` VALUES (113974, 1061, 31, 'Informacion teknik: Click Upgrade button to upgrade database release from the following date');
INSERT INTO `lang_definitions` VALUES (113975, 1063, 31, 'Kliko:');
INSERT INTO `lang_definitions` VALUES (113976, 1064, 31, 'Informacion teknik: Client Certificate Expiration Days');
INSERT INTO `lang_definitions` VALUES (113977, 1065, 31, 'Informacion teknik: Client certificate validation period');
INSERT INTO `lang_definitions` VALUES (113978, 1066, 31, 'Informacion teknik: Client certificate validity should be a valid number.');
INSERT INTO `lang_definitions` VALUES (113979, 1067, 31, 'Kopjim klienti');
INSERT INTO `lang_definitions` VALUES (113980, 1069, 31, 'Permbledhje e historise mjeksore te klientit');
INSERT INTO `lang_definitions` VALUES (113981, 1072, 31, 'Profili i klientit - Klient i ri');
INSERT INTO `lang_definitions` VALUES (113982, 1073, 31, 'Profili i klientit - Klient unik');
INSERT INTO `lang_definitions` VALUES (113983, 1074, 31, 'Kliente');
INSERT INTO `lang_definitions` VALUES (113984, 1075, 31, 'Klinike');
INSERT INTO `lang_definitions` VALUES (113985, 1076, 31, 'Kopjim Klinike');
INSERT INTO `lang_definitions` VALUES (113986, 1077, 31, 'Te dhena ditore te klinikes');
INSERT INTO `lang_definitions` VALUES (113987, 1078, 31, 'ID e klinikes');
INSERT INTO `lang_definitions` VALUES (113988, 1079, 31, 'Klinike');
INSERT INTO `lang_definitions` VALUES (113989, 1080, 31, 'Menaxhuesi i notitifkimit te regullave te vendimarjes klinike');
INSERT INTO `lang_definitions` VALUES (113990, 1083, 31, 'Planet klinike');
INSERT INTO `lang_definitions` VALUES (113991, 1084, 31, 'Masat cilesore klinike (CQM)');
INSERT INTO `lang_definitions` VALUES (113992, 1087, 31, 'Kujtese klinike');
INSERT INTO `lang_definitions` VALUES (113993, 1088, 31, 'Raport klinike');
INSERT INTO `lang_definitions` VALUES (113994, 1089, 31, 'Kategorite e veprimieve te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (113995, 1090, 31, 'Objekt vperimi i rregullave klinike');
INSERT INTO `lang_definitions` VALUES (113996, 1091, 31, 'Metodat e filtrimit te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (113997, 1092, 31, 'Metodat e shenjestres se rregullave klinike');
INSERT INTO `lang_definitions` VALUES (113998, 1093, 31, 'Rregullave klinike');
INSERT INTO `lang_definitions` VALUES (113999, 1094, 31, 'Intervalet e moshes se rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114000, 1095, 31, 'Krahasimet e rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114001, 1096, 31, 'Llojet e takimeve te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114002, 1097, 31, 'Opsionet e kujtesave te detyrave per tu bere te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114003, 1098, 31, 'Opsionet e c\'aktivizimit te kujtesave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114004, 1099, 31, 'Intervalet e kujtesave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114005, 1100, 31, 'Metodat e kujtesave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114006, 1101, 31, 'Intervalet e shenjestrave te rregullave klinike');
INSERT INTO `lang_definitions` VALUES (114007, 1102, 31, 'Shenjestrat klinike');
INSERT INTO `lang_definitions` VALUES (114008, 1106, 31, 'Klinicistet');
INSERT INTO `lang_definitions` VALUES (114009, 1107, 31, 'Klon');
INSERT INTO `lang_definitions` VALUES (114010, 1108, 31, 'Klono viziten e shkurar');
INSERT INTO `lang_definitions` VALUES (114011, 1109, 31, 'Mbyll');
INSERT INTO `lang_definitions` VALUES (114012, 1111, 31, 'mbyll dritare');
INSERT INTO `lang_definitions` VALUES (114013, 1112, 31, 'E mbyllur');
INSERT INTO `lang_definitions` VALUES (114014, 1113, 31, 'cm');
INSERT INTO `lang_definitions` VALUES (114015, 1114, 31, 'Kufijte e CMS 1500');
INSERT INTO `lang_definitions` VALUES (114016, 1118, 31, 'ID e CMS');
INSERT INTO `lang_definitions` VALUES (114017, 1127, 31, 'CN2-12 e paprekur');
INSERT INTO `lang_definitions` VALUES (114018, 1128, 31, 'Pagese e perbashket');
INSERT INTO `lang_definitions` VALUES (114019, 1129, 31, 'Pagese e perbashket e paguar');
INSERT INTO `lang_definitions` VALUES (114020, 1130, 31, 'Pagese e perbashket');
INSERT INTO `lang_definitions` VALUES (114021, 1131, 31, 'Kod');
INSERT INTO `lang_definitions` VALUES (114022, 1132, 31, 'kod');
INSERT INTO `lang_definitions` VALUES (114023, 1133, 31, 'Gjetes i kodit');
INSERT INTO `lang_definitions` VALUES (114024, 1134, 31, 'Kodi duhet te jete dy germa jo kapitale');
INSERT INTO `lang_definitions` VALUES (114025, 1135, 31, 'Kod ose simbol qe tregon monedhen');
INSERT INTO `lang_definitions` VALUES (114026, 1136, 31, 'Teksti i kodit');
INSERT INTO `lang_definitions` VALUES (114027, 1138, 31, 'lloj kodi');
INSERT INTO `lang_definitions` VALUES (114028, 1141, 31, 'Llojet e kodeve');
INSERT INTO `lang_definitions` VALUES (114029, 1143, 31, 'I koduar');
INSERT INTO `lang_definitions` VALUES (114030, 1144, 31, 'Kodet');
INSERT INTO `lang_definitions` VALUES (114031, 1145, 31, 'Kodim');
INSERT INTO `lang_definitions` VALUES (114032, 1147, 31, 'Kodim - i cdo takimi (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (114033, 1148, 31, 'Kodim - i takimit tim (write,wsome optional)');
INSERT INTO `lang_definitions` VALUES (114034, 1149, 31, 'Kodimi nuk eshte autorizuar');
INSERT INTO `lang_definitions` VALUES (114035, 1150, 31, 'Kafe');
INSERT INTO `lang_definitions` VALUES (114036, 1152, 31, 'Sigurim i perbashket');
INSERT INTO `lang_definitions` VALUES (114037, 1153, 31, 'Coll w/o');
INSERT INTO `lang_definitions` VALUES (114038, 1154, 31, 'Permbyllje');
INSERT INTO `lang_definitions` VALUES (114039, 1155, 31, 'permbyllje');
INSERT INTO `lang_definitions` VALUES (114040, 1156, 31, 'Permbyll Gjithshka');
INSERT INTO `lang_definitions` VALUES (114041, 1157, 31, 'Permbyll gjithshka');
INSERT INTO `lang_definitions` VALUES (114042, 1158, 31, 'permbyll gjithshka');
INSERT INTO `lang_definitions` VALUES (114043, 1161, 31, 'Koleksione');
INSERT INTO `lang_definitions` VALUES (114044, 1162, 31, 'Raport koleksionesh');
INSERT INTO `lang_definitions` VALUES (114045, 1163, 31, 'Kancer i zorres');
INSERT INTO `lang_definitions` VALUES (114046, 1164, 31, 'Grafi e kancerit te zorres');
INSERT INTO `lang_definitions` VALUES (114047, 1165, 31, 'Operacion i kancerit te zorres');
INSERT INTO `lang_definitions` VALUES (114048, 1166, 31, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (114049, 1167, 31, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (114050, 1168, 31, 'Ngjyre');
INSERT INTO `lang_definitions` VALUES (114051, 1169, 31, 'Ngjyre:Shkurtim');
INSERT INTO `lang_definitions` VALUES (114052, 1170, 31, 'Kolone');
INSERT INTO `lang_definitions` VALUES (114053, 1171, 31, 'Kolonat');
INSERT INTO `lang_definitions` VALUES (114054, 1172, 31, 'Lote te kombinuara');
INSERT INTO `lang_definitions` VALUES (114055, 1173, 31, 'Presje');
INSERT INTO `lang_definitions` VALUES (114056, 1174, 31, 'Koment');
INSERT INTO `lang_definitions` VALUES (114057, 1175, 31, 'Komente');
INSERT INTO `lang_definitions` VALUES (114058, 1176, 31, 'Komentet e ketij rezultati apo rekomandimi');
INSERT INTO `lang_definitions` VALUES (114059, 1177, 31, 'Commercial Insurance Co.');
INSERT INTO `lang_definitions` VALUES (114060, 1178, 31, 'Bej ndryshimet');
INSERT INTO `lang_definitions` VALUES (114061, 1180, 31, 'Komunikimet');
INSERT INTO `lang_definitions` VALUES (114062, 1182, 31, 'Kompani');
INSERT INTO `lang_definitions` VALUES (114063, 1183, 31, 'Emri i kompanise');
INSERT INTO `lang_definitions` VALUES (114064, 1184, 31, 'I plote');
INSERT INTO `lang_definitions` VALUES (114065, 1186, 31, 'I plotesuar');
INSERT INTO `lang_definitions` VALUES (114066, 1188, 31, 'I plotesuar?');
INSERT INTO `lang_definitions` VALUES (114067, 1190, 31, 'Komplikacione nga ofruesi i sherbimit');
INSERT INTO `lang_definitions` VALUES (114068, 1191, 31, 'Komplikacione aborti');
INSERT INTO `lang_definitions` VALUES (114069, 1192, 31, 'Komponent');
INSERT INTO `lang_definitions` VALUES (114070, 1193, 31, 'Computer Aided Medical Ordering System');
INSERT INTO `lang_definitions` VALUES (114071, 1194, 31, 'Perfundime');
INSERT INTO `lang_definitions` VALUES (114072, 1199, 31, 'Konfigurime');
INSERT INTO `lang_definitions` VALUES (114073, 1200, 31, 'Konfigurime Eksport/Import');
INSERT INTO `lang_definitions` VALUES (114074, 1202, 31, 'Informacion teknik: Configure Apache and LibreEHR to use Client side SSL certificates.');
INSERT INTO `lang_definitions` VALUES (114075, 1203, 31, 'Informacion teknik: Configure Apache to use Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (114076, 1204, 31, 'Informacion teknik: Configure Apache to use HTTPS.');
INSERT INTO `lang_definitions` VALUES (114077, 1205, 31, 'Informacion teknik: Configure LIBREEHR to use Client side SSL certificates');
INSERT INTO `lang_definitions` VALUES (114078, 1208, 31, 'Konfirmo krijimin e pacientit te ri');
INSERT INTO `lang_definitions` VALUES (114079, 1209, 31, 'Konfirmo fjalekalimin e ri');
INSERT INTO `lang_definitions` VALUES (114080, 1210, 31, 'Konfirmo pagesen');
INSERT INTO `lang_definitions` VALUES (114081, 1214, 31, 'Congenital');
INSERT INTO `lang_definitions` VALUES (114082, 1215, 31, 'Conjuntiva, pupils');
INSERT INTO `lang_definitions` VALUES (114083, 1217, 31, 'Lidhesa');
INSERT INTO `lang_definitions` VALUES (114084, 1218, 31, 'Konstante');
INSERT INTO `lang_definitions` VALUES (114085, 1219, 31, 'emer konstante');
INSERT INTO `lang_definitions` VALUES (114086, 1220, 31, 'Emri i konstantes eshte bosh');
INSERT INTO `lang_definitions` VALUES (114087, 1221, 31, 'konstante');
INSERT INTO `lang_definitions` VALUES (114088, 1222, 31, 'Kapsllek');
INSERT INTO `lang_definitions` VALUES (114089, 1223, 31, 'Kushtetuese');
INSERT INTO `lang_definitions` VALUES (114090, 1226, 31, 'Pershkrim i shkurter kushtetues');
INSERT INTO `lang_definitions` VALUES (114091, 1227, 31, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (114092, 1228, 31, 'Kontakti me email');
INSERT INTO `lang_definitions` VALUES (114093, 1229, 31, 'Adresa e kontaktit me email');
INSERT INTO `lang_definitions` VALUES (114094, 1231, 31, 'Info rreth kontaktit');
INSERT INTO `lang_definitions` VALUES (114095, 1232, 31, 'Lente kontakti');
INSERT INTO `lang_definitions` VALUES (114096, 1236, 31, 'Emri i kontaktit');
INSERT INTO `lang_definitions` VALUES (114097, 1237, 31, 'Personi i kontaktit');
INSERT INTO `lang_definitions` VALUES (114098, 1239, 31, 'Numri i telefonit te kontaktit');
INSERT INTO `lang_definitions` VALUES (114099, 1240, 31, 'Kontakto ZMG, LLC (zmghealth@gmail.com) per nenshkrim tek sherbimi eRx');
INSERT INTO `lang_definitions` VALUES (114100, 1241, 31, 'kontakto se paku tre nga kater objektet :');
INSERT INTO `lang_definitions` VALUES (114101, 1243, 31, 'Permbajtje');
INSERT INTO `lang_definitions` VALUES (114102, 1244, 31, 'permbajtje');
INSERT INTO `lang_definitions` VALUES (114103, 1245, 31, 'Kontekst');
INSERT INTO `lang_definitions` VALUES (114104, 1246, 31, 'Emri i kontekstit nuk mund te jete bosh');
INSERT INTO `lang_definitions` VALUES (114105, 1247, 31, 'Vazhdo');
INSERT INTO `lang_definitions` VALUES (114106, 1248, 31, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (114107, 1249, 31, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (114108, 1251, 31, 'Kontraceptim');
INSERT INTO `lang_definitions` VALUES (114109, 1252, 31, 'Ceshtej kontraceptimi');
INSERT INTO `lang_definitions` VALUES (114110, 1253, 31, 'Komplikim kontraceptiv (specifiko)');
INSERT INTO `lang_definitions` VALUES (114111, 1254, 31, 'Metode kontraceptive');
INSERT INTO `lang_definitions` VALUES (114112, 1255, 31, 'Produkte kontraceptive');
INSERT INTO `lang_definitions` VALUES (114113, 1256, 31, 'Sherbime kontraceptive te nisur me pare');
INSERT INTO `lang_definitions` VALUES (114114, 1257, 31, 'Fillim kontracpetivi');
INSERT INTO `lang_definitions` VALUES (114115, 1258, 31, 'ID e kontrollit');
INSERT INTO `lang_definitions` VALUES (114116, 1259, 31, 'Nr. i kontrollit');
INSERT INTO `lang_definitions` VALUES (114117, 1261, 31, 'BASHKE PAGUES');
INSERT INTO `lang_definitions` VALUES (114118, 1262, 31, 'Bashke pagues');
INSERT INTO `lang_definitions` VALUES (114119, 1263, 31, 'BashkePagues');
INSERT INTO `lang_definitions` VALUES (114120, 1264, 31, 'Bashkepagues jo pozitiv');
INSERT INTO `lang_definitions` VALUES (114121, 1266, 31, 'Bashke pagesa');
INSERT INTO `lang_definitions` VALUES (114122, 1267, 31, 'COPD');
INSERT INTO `lang_definitions` VALUES (114123, 1268, 31, 'Kopjoni faqet tek grafiku i pacientit');
INSERT INTO `lang_definitions` VALUES (114124, 1269, 31, 'Kopjoni vlerat');
INSERT INTO `lang_definitions` VALUES (114125, 1270, 31, 'Duke kopjuar filen e databases. Kjo do disa kohe...');
INSERT INTO `lang_definitions` VALUES (114126, 1271, 31, 'Shenim e drejte autori');
INSERT INTO `lang_definitions` VALUES (114127, 1273, 31, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (114128, 1274, 31, 'Coronary Artery Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (114129, 1275, 31, 'I korrigjuar');
INSERT INTO `lang_definitions` VALUES (114130, 1277, 31, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (114131, 1278, 31, 'CouchDB Connection Failed.');
INSERT INTO `lang_definitions` VALUES (114132, 1279, 31, 'CouchDB Database');
INSERT INTO `lang_definitions` VALUES (114133, 1280, 31, 'CouchDB database name');
INSERT INTO `lang_definitions` VALUES (114134, 1281, 31, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (114135, 1282, 31, 'CouchDB HostName');
INSERT INTO `lang_definitions` VALUES (114136, 1283, 31, 'CouchDB Log Enable');
INSERT INTO `lang_definitions` VALUES (114137, 1284, 31, 'CouchDB Password');
INSERT INTO `lang_definitions` VALUES (114138, 1285, 31, 'CouchDB Port');
INSERT INTO `lang_definitions` VALUES (114139, 1286, 31, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (114140, 1288, 31, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (114141, 1289, 31, 'Kolle');
INSERT INTO `lang_definitions` VALUES (114142, 1290, 31, 'Kolle:');
INSERT INTO `lang_definitions` VALUES (114143, 1294, 31, 'Nuk mund te lexoj filen');
INSERT INTO `lang_definitions` VALUES (114144, 1296, 31, 'Nuk mund te dergoj email per nje problem ne server, ');
INSERT INTO `lang_definitions` VALUES (114145, 1297, 31, 'Nuk mund te dergoj email per nje problem ne server. ');
INSERT INTO `lang_definitions` VALUES (114146, 1298, 31, 'Couldn\'t create backup dir:');
INSERT INTO `lang_definitions` VALUES (114147, 1299, 31, 'Couldn\'t remove dir:');
INSERT INTO `lang_definitions` VALUES (114148, 1300, 31, 'Couldn\'t remove old backup file:');
INSERT INTO `lang_definitions` VALUES (114149, 1301, 31, 'Couldn\'t remove old export file:');
INSERT INTO `lang_definitions` VALUES (114150, 1302, 31, 'Coumadin Management - INR Monitoring');
INSERT INTO `lang_definitions` VALUES (114151, 1303, 31, 'Keshillim me metode');
INSERT INTO `lang_definitions` VALUES (114152, 1304, 31, 'Keshillim');
INSERT INTO `lang_definitions` VALUES (114153, 1305, 31, 'aktivitete keshillimi');
INSERT INTO `lang_definitions` VALUES (114154, 1306, 31, 'FORMA E KONDRA-BILETES');
INSERT INTO `lang_definitions` VALUES (114155, 1307, 31, 'Kondra-Bilete');
INSERT INTO `lang_definitions` VALUES (114156, 1308, 31, 'Shtet');
INSERT INTO `lang_definitions` VALUES (114157, 1309, 31, 'Lloji i te dhenave te shtetit');
INSERT INTO `lang_definitions` VALUES (114158, 1310, 31, 'Liste shtetesh');
INSERT INTO `lang_definitions` VALUES (114159, 1311, 31, 'Liste shtetesh (write,addonly optional)');
INSERT INTO `lang_definitions` VALUES (114160, 1312, 31, 'Emri i shtetit duhet te perfaqesoht me dy germa. (Psh. United States eshte US)');
INSERT INTO `lang_definitions` VALUES (114161, 1313, 31, 'Qark');
INSERT INTO `lang_definitions` VALUES (114162, 1315, 31, 'Kupon');
INSERT INTO `lang_definitions` VALUES (114163, 1318, 31, 'CPT');
INSERT INTO `lang_definitions` VALUES (114164, 1319, 31, 'CPT Code');
INSERT INTO `lang_definitions` VALUES (114165, 1320, 31, 'CPT Codes');
INSERT INTO `lang_definitions` VALUES (114166, 1321, 31, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (114167, 1322, 31, 'CPTII Performance Measures');
INSERT INTO `lang_definitions` VALUES (114168, 1323, 31, 'CQM');
INSERT INTO `lang_definitions` VALUES (114169, 1325, 31, 'krem');
INSERT INTO `lang_definitions` VALUES (114170, 1326, 31, 'Krijo nje certifikate SSL ne ane te Klientit per cdo perdorues ose makineri klienti');
INSERT INTO `lang_definitions` VALUES (114171, 1329, 31, 'Krijo nje Ngjarje');
INSERT INTO `lang_definitions` VALUES (114172, 1330, 31, 'Krijo dhe shkarko nje \"backup\" te plote');
INSERT INTO `lang_definitions` VALUES (114173, 1332, 31, 'Krijo Backup');
INSERT INTO `lang_definitions` VALUES (114174, 1333, 31, 'Krijo pakete');
INSERT INTO `lang_definitions` VALUES (114175, 1334, 31, 'Krijo Certifikate Klienti');
INSERT INTO `lang_definitions` VALUES (114176, 1335, 31, 'Krijo certifikate SSL ne ane te klientit');
INSERT INTO `lang_definitions` VALUES (114177, 1336, 31, 'Krijo Duplikim');
INSERT INTO `lang_definitions` VALUES (114178, 1339, 31, 'Krijo ceshtje te re');
INSERT INTO `lang_definitions` VALUES (114179, 1340, 31, 'Krijo Pacient te Ri');
INSERT INTO `lang_definitions` VALUES (114180, 1344, 31, 'Krijo Shenim Pacienti');
INSERT INTO `lang_definitions` VALUES (114181, 1346, 31, 'Krijo Vizite');
INSERT INTO `lang_definitions` VALUES (114182, 1347, 31, 'E Krijuar');
INSERT INTO `lang_definitions` VALUES (114183, 1348, 31, 'Krijo skedar exporti');
INSERT INTO `lang_definitions` VALUES (114184, 1351, 31, 'Krijuesi');
INSERT INTO `lang_definitions` VALUES (114185, 1352, 31, 'kredit');
INSERT INTO `lang_definitions` VALUES (114186, 1353, 31, 'Karte Krediti');
INSERT INTO `lang_definitions` VALUES (114187, 1354, 31, 'Kredite');
INSERT INTO `lang_definitions` VALUES (114188, 6307, 31, 'Simptoma');
INSERT INTO `lang_definitions` VALUES (114189, 6313, 31, 'Sinkop');
INSERT INTO `lang_definitions` VALUES (114190, 6318, 31, 'Sistem');
INSERT INTO `lang_definitions` VALUES (114191, 1, 32, 'A');
INSERT INTO `lang_definitions` VALUES (114192, 2, 32, 'Kontrola čísla nebo číla požadavku k identifikaci platby');
INSERT INTO `lang_definitions` VALUES (114193, 3, 32, 'Klientský certifikát pro správce');
INSERT INTO `lang_definitions` VALUES (114194, 4, 32, 'Je připojen klinický dokument');
INSERT INTO `lang_definitions` VALUES (114195, 5, 32, 'Je připojen klinický dokument');
INSERT INTO `lang_definitions` VALUES (114196, 7, 32, 'Distributor je vyžadován');
INSERT INTO `lang_definitions` VALUES (114197, 8, 32, 'K návštěvě musí být připojen GCAC formulář');
INSERT INTO `lang_definitions` VALUES (114198, 9, 32, 'Požadováno více čísel');
INSERT INTO `lang_definitions` VALUES (114199, 10, 32, 'Požadováno více čísel');
INSERT INTO `lang_definitions` VALUES (114200, 11, 32, 'malé písmeno');
INSERT INTO `lang_definitions` VALUES (114201, 12, 32, 'Číslo');
INSERT INTO `lang_definitions` VALUES (114202, 14, 32, 'Pacient s tímto ID již existuje');
INSERT INTO `lang_definitions` VALUES (114203, 15, 32, 'Pacient tohoto jména již existuje');
INSERT INTO `lang_definitions` VALUES (114204, 16, 32, 'pacient s tímto SS již existuje');
INSERT INTO `lang_definitions` VALUES (114205, 17, 32, 'Kladné číslo  zobrazí předchozí návštěvy ve widgetu souhrnných údajů pacienta. Záporné číslo  zobrazí předchozí návštěvy v sestupném pořadí');
INSERT INTO `lang_definitions` VALUES (114206, 18, 32, 'Kladné číslo  zobrazí předchozí návštěvy ve widgetu souhrnných údajů pacienta.');
INSERT INTO `lang_definitions` VALUES (114207, 19, 32, 'Ka každé návštěvě je nutné zadat zdroj doporučení');
INSERT INTO `lang_definitions` VALUES (114208, 20, 32, 'Je vyžadován související IPPF kód');
INSERT INTO `lang_definitions` VALUES (114209, 21, 32, 'Speciální znak');
INSERT INTO `lang_definitions` VALUES (114210, 22, 32, 'Unikátní identifikátor pole není pro uživatele viditelný');
INSERT INTO `lang_definitions` VALUES (114211, 23, 32, 'Tento pacient má již existující dnešní návštěvu. Volbou CANCEL ji otevřete nebo volnou OK  založíte novou');
INSERT INTO `lang_definitions` VALUES (114212, 24, 32, 'a.c');
INSERT INTO `lang_definitions` VALUES (114213, 25, 32, 'dopoledne');
INSERT INTO `lang_definitions` VALUES (114214, 26, 32, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (114215, 27, 32, 'AB');
INSERT INTO `lang_definitions` VALUES (114216, 28, 32, 'Zkrácení');
INSERT INTO `lang_definitions` VALUES (114217, 29, 32, 'Absces');
INSERT INTO `lang_definitions` VALUES (114218, 30, 32, 'Abdominální');
INSERT INTO `lang_definitions` VALUES (114219, 31, 32, 'Schopnost zatížit (4) kroky');
INSERT INTO `lang_definitions` VALUES (114220, 32, 32, 'Abn');
INSERT INTO `lang_definitions` VALUES (114221, 33, 32, 'ABN1');
INSERT INTO `lang_definitions` VALUES (114222, 34, 32, 'Abnormální');
INSERT INTO `lang_definitions` VALUES (114223, 35, 32, 'Abnormální krevní test');
INSERT INTO `lang_definitions` VALUES (114224, 36, 32, 'Patologie růstu vlasů');
INSERT INTO `lang_definitions` VALUES (114225, 37, 32, 'Patologický mamogram');
INSERT INTO `lang_definitions` VALUES (114226, 39, 32, 'Potrat');
INSERT INTO `lang_definitions` VALUES (114227, 40, 32, 'Potíže související s potraty');
INSERT INTO `lang_definitions` VALUES (114228, 41, 32, 'Metoda potratu');
INSERT INTO `lang_definitions` VALUES (114229, 42, 32, 'Kategorie potratu');
INSERT INTO `lang_definitions` VALUES (114230, 43, 32, 'Potraty');
INSERT INTO `lang_definitions` VALUES (114231, 44, 32, 'O kalendáři');
INSERT INTO `lang_definitions` VALUES (114232, 46, 32, 'Chybí diagnóza');
INSERT INTO `lang_definitions` VALUES (114233, 47, 32, 'Přijmout ustanovení');
INSERT INTO `lang_definitions` VALUES (114234, 48, 32, 'Přijetí platby za');
INSERT INTO `lang_definitions` VALUES (114235, 49, 32, 'Přijetí platby za');
INSERT INTO `lang_definitions` VALUES (114236, 50, 32, 'O kalendáři');
INSERT INTO `lang_definitions` VALUES (114237, 51, 32, 'Kontrola přístupu');
INSERT INTO `lang_definitions` VALUES (114238, 52, 32, 'Správa kontroly přístupu');
INSERT INTO `lang_definitions` VALUES (114239, 53, 32, 'Datum přístupu');
INSERT INTO `lang_definitions` VALUES (114240, 54, 32, 'Přístup není povolen');
INSERT INTO `lang_definitions` VALUES (114241, 55, 32, 'Přístup není autorizován');
INSERT INTO `lang_definitions` VALUES (114242, 56, 32, 'Přístup do pacientského portálu');
INSERT INTO `lang_definitions` VALUES (114243, 57, 32, 'Nehoda');
INSERT INTO `lang_definitions` VALUES (114244, 59, 32, 'Název účtu');
INSERT INTO `lang_definitions` VALUES (114245, 62, 32, 'Účetnictví');
INSERT INTO `lang_definitions` VALUES (114246, 64, 32, 'Bolesti');
INSERT INTO `lang_definitions` VALUES (114247, 65, 32, 'Požadovaná potvrzení');
INSERT INTO `lang_definitions` VALUES (114248, 66, 32, 'Poděkování, licence a certifikace');
INSERT INTO `lang_definitions` VALUES (114249, 67, 32, 'ACL');
INSERT INTO `lang_definitions` VALUES (114250, 68, 32, 'Správa ACL');
INSERT INTO `lang_definitions` VALUES (114251, 69, 32, 'Správa ACL není autorizována');
INSERT INTO `lang_definitions` VALUES (114252, 70, 32, 'Úspěšná aktualizace ACL');
INSERT INTO `lang_definitions` VALUES (114253, 71, 32, 'Akné');
INSERT INTO `lang_definitions` VALUES (114254, 72, 32, 'Výkon');
INSERT INTO `lang_definitions` VALUES (114255, 73, 32, 'Datum výkonu');
INSERT INTO `lang_definitions` VALUES (114256, 74, 32, 'Akce');
INSERT INTO `lang_definitions` VALUES (114257, 75, 32, 'Akce');
INSERT INTO `lang_definitions` VALUES (114258, 77, 32, 'Aktivovat CCR/CCD reporting');
INSERT INTO `lang_definitions` VALUES (114259, 78, 32, 'Aktivní');
INSERT INTO `lang_definitions` VALUES (114260, 79, 32, 'Aktivní upozornění');
INSERT INTO `lang_definitions` VALUES (114261, 80, 32, 'Pravidla pro aktivní upozornění');
INSERT INTO `lang_definitions` VALUES (114262, 81, 32, 'Aktivní upozornění/připomenutí');
INSERT INTO `lang_definitions` VALUES (114263, 82, 32, 'Aktivní vyšetření');
INSERT INTO `lang_definitions` VALUES (114264, 84, 32, 'Aktivní seznam');
INSERT INTO `lang_definitions` VALUES (114265, 85, 32, 'Aktivní pacient');
INSERT INTO `lang_definitions` VALUES (114266, 86, 32, 'Aktivní plány');
INSERT INTO `lang_definitions` VALUES (114267, 87, 32, 'Aktivita');
INSERT INTO `lang_definitions` VALUES (114268, 88, 32, 'Typ aktivity');
INSERT INTO `lang_definitions` VALUES (114269, 90, 32, 'Akutní otrava/odstranění');
INSERT INTO `lang_definitions` VALUES (114270, 91, 32, 'Akutní manifestace chronického onemocnění');
INSERT INTO `lang_definitions` VALUES (114271, 92, 32, 'Akutní nebo chronický');
INSERT INTO `lang_definitions` VALUES (114272, 93, 32, 'Přidat');
INSERT INTO `lang_definitions` VALUES (114273, 94, 32, 'Přidat');
INSERT INTO `lang_definitions` VALUES (114274, 95, 32, 'Přidat');
INSERT INTO `lang_definitions` VALUES (114275, 96, 32, 'Přidat společnost');
INSERT INTO `lang_definitions` VALUES (114276, 98, 32, 'Přidat lékárnu');
INSERT INTO `lang_definitions` VALUES (114277, 100, 32, 'Přidat akci ');
INSERT INTO `lang_definitions` VALUES (114278, 101, 32, 'Přidat novou poznámku');
INSERT INTO `lang_definitions` VALUES (114279, 102, 32, 'Přidat jako nový');
INSERT INTO `lang_definitions` VALUES (114280, 104, 32, 'Přidat tlačítko');
INSERT INTO `lang_definitions` VALUES (114281, 105, 32, 'Přidat tlačítko pro speciální znak, text pro zobrazení v menu editoru');
INSERT INTO `lang_definitions` VALUES (114282, 106, 32, 'Přidat kategorii');
INSERT INTO `lang_definitions` VALUES (114283, 107, 32, 'Přidat konstantu');
INSERT INTO `lang_definitions` VALUES (114284, 108, 32, 'Přidat kontext');
INSERT INTO `lang_definitions` VALUES (114285, 109, 32, 'Přidat spoluplátce');
INSERT INTO `lang_definitions` VALUES (114286, 110, 32, 'Přidat kriteria');
INSERT INTO `lang_definitions` VALUES (114287, 111, 32, 'Přidat volitelné tlačítko');
INSERT INTO `lang_definitions` VALUES (114288, 112, 32, 'Přidat diagnózu');
INSERT INTO `lang_definitions` VALUES (114289, 113, 32, 'Přidat léčivo');
INSERT INTO `lang_definitions` VALUES (114290, 114, 32, 'Přidat vyšetření');
INSERT INTO `lang_definitions` VALUES (114291, 115, 32, 'Přidat vyšetření');
INSERT INTO `lang_definitions` VALUES (114292, 116, 32, 'Přidat zařízení');
INSERT INTO `lang_definitions` VALUES (114293, 117, 32, 'Přidat pole');
INSERT INTO `lang_definitions` VALUES (114294, 118, 32, 'Přidat následující řádky do konfiguračního souboru Apache');
INSERT INTO `lang_definitions` VALUES (114295, 119, 32, 'Přidat skupinu');
INSERT INTO `lang_definitions` VALUES (114296, 120, 32, 'Přidat MKN kód');
INSERT INTO `lang_definitions` VALUES (114297, 121, 32, 'Přidat očkování');
INSERT INTO `lang_definitions` VALUES (114298, 122, 32, 'Není oprávnění přidat !');
INSERT INTO `lang_definitions` VALUES (114299, 123, 32, 'Přidat problém');
INSERT INTO `lang_definitions` VALUES (114300, 124, 32, 'Přidat položku ke sledování');
INSERT INTO `lang_definitions` VALUES (114301, 125, 32, 'Přidat jazyk');
INSERT INTO `lang_definitions` VALUES (114302, 126, 32, 'Přidat nový');
INSERT INTO `lang_definitions` VALUES (114303, 127, 32, 'Přidat nový');
INSERT INTO `lang_definitions` VALUES (114304, 128, 32, 'Přidat novou kategorii ');
INSERT INTO `lang_definitions` VALUES (114305, 129, 32, 'Přidat nový certifikát do konfiguračního souboru Apache');
INSERT INTO `lang_definitions` VALUES (114306, 130, 32, 'Přidat novou součást');
INSERT INTO `lang_definitions` VALUES (114307, 131, 32, 'Přidat nové součásti');
INSERT INTO `lang_definitions` VALUES (114308, 132, 32, 'Přidat novou skupinu');
INSERT INTO `lang_definitions` VALUES (114309, 133, 32, 'Přidat nový problém');
INSERT INTO `lang_definitions` VALUES (114310, 134, 32, 'Přidat nové množství a transakci');
INSERT INTO `lang_definitions` VALUES (114311, 135, 32, 'Přidat novou poznámku');
INSERT INTO `lang_definitions` VALUES (114312, 136, 32, 'Přidat novou poznámku');
INSERT INTO `lang_definitions` VALUES (114313, 137, 32, 'Přidat nového partnera');
INSERT INTO `lang_definitions` VALUES (114314, 138, 32, 'Přidat nového pacienta');
INSERT INTO `lang_definitions` VALUES (114315, 140, 32, 'Přidat poznámku');
INSERT INTO `lang_definitions` VALUES (114316, 141, 32, 'Přidat záznam pacienta');
INSERT INTO `lang_definitions` VALUES (114317, 142, 32, 'Přidat předpis');
INSERT INTO `lang_definitions` VALUES (114318, 143, 32, 'Přidat proceduru');
INSERT INTO `lang_definitions` VALUES (114319, 144, 32, 'Přidat číslo poskytovatele');
INSERT INTO `lang_definitions` VALUES (114320, 145, 32, 'Přidat rehabilitaci');
INSERT INTO `lang_definitions` VALUES (114321, 146, 32, 'Přidat roli');
INSERT INTO `lang_definitions` VALUES (114322, 147, 32, 'Přidat do');
INSERT INTO `lang_definitions` VALUES (114323, 148, 32, 'Přidat do seznamu léků');
INSERT INTO `lang_definitions` VALUES (114324, 149, 32, 'Přidat nejvyšší úroveň');
INSERT INTO `lang_definitions` VALUES (114325, 150, 32, 'Přidat transakci');
INSERT INTO `lang_definitions` VALUES (114326, 151, 32, 'Přidat uživatele');
INSERT INTO `lang_definitions` VALUES (114327, 152, 32, 'Přidat uživatele do skupiny');
INSERT INTO `lang_definitions` VALUES (114328, 153, 32, 'Přidat/editovat eRx');
INSERT INTO `lang_definitions` VALUES (114329, 154, 32, 'Přidat/editovat transakci pacienta');
INSERT INTO `lang_definitions` VALUES (114330, 155, 32, 'Přidáno');
INSERT INTO `lang_definitions` VALUES (114331, 156, 32, 'Přidání demografických údajů není autorizováno');
INSERT INTO `lang_definitions` VALUES (114332, 157, 32, 'Přidání položky ke sledování  selhalo');
INSERT INTO `lang_definitions` VALUES (114333, 158, 32, 'Adissonský syndrom');
INSERT INTO `lang_definitions` VALUES (114334, 159, 32, 'Adissonský syndrom');
INSERT INTO `lang_definitions` VALUES (114335, 160, 32, 'Další atributy');
INSERT INTO `lang_definitions` VALUES (114336, 161, 32, 'Další diagnózy');
INSERT INTO `lang_definitions` VALUES (114337, 162, 32, 'Doplňková anamnéza');
INSERT INTO `lang_definitions` VALUES (114338, 163, 32, 'Doplňující poznámka k anamnéze');
INSERT INTO `lang_definitions` VALUES (114339, 164, 32, 'Doplňující informace');
INSERT INTO `lang_definitions` VALUES (114340, 165, 32, 'Doplňující laboratoře');
INSERT INTO `lang_definitions` VALUES (114341, 166, 32, 'Doplňující poznámky');
INSERT INTO `lang_definitions` VALUES (114342, 167, 32, 'Doplňující poznámky pro tento závěr nebo doporučení');
INSERT INTO `lang_definitions` VALUES (114343, 168, 32, 'Doplňující poznámky');
INSERT INTO `lang_definitions` VALUES (114344, 169, 32, 'Doplňující poznámky ');
INSERT INTO `lang_definitions` VALUES (114345, 170, 32, 'Doplňující poznámky k RDG metodě');
INSERT INTO `lang_definitions` VALUES (114346, 171, 32, 'Additionally, the corresponding US Snomed Extension Package can be imported separately after installing the International (English version) Snomed Release');
INSERT INTO `lang_definitions` VALUES (114347, 173, 32, 'Adresář');
INSERT INTO `lang_definitions` VALUES (114348, 174, 32, 'Adresář');
INSERT INTO `lang_definitions` VALUES (114349, 175, 32, 'Adresa');
INSERT INTO `lang_definitions` VALUES (114350, 178, 32, 'Adresář');
INSERT INTO `lang_definitions` VALUES (114351, 179, 32, 'Adresářový údaj společnosti poskytující tuto proceduru');
INSERT INTO `lang_definitions` VALUES (114352, 180, 32, 'Položka adresáře pro distributora');
INSERT INTO `lang_definitions` VALUES (114353, 181, 32, 'Položka adresáře pro prodejce');
INSERT INTO `lang_definitions` VALUES (114354, 182, 32, 'Typy adresářů');
INSERT INTO `lang_definitions` VALUES (114355, 183, 32, 'Adresní štítek');
INSERT INTO `lang_definitions` VALUES (114356, 187, 32, 'Adresa 1');
INSERT INTO `lang_definitions` VALUES (114357, 188, 32, 'Adresa 2');
INSERT INTO `lang_definitions` VALUES (114358, 189, 32, 'Adresát');
INSERT INTO `lang_definitions` VALUES (114359, 190, 32, 'Adj');
INSERT INTO `lang_definitions` VALUES (114360, 191, 32, 'Adj amount');
INSERT INTO `lang_definitions` VALUES (114361, 192, 32, 'Přizpůsobit');
INSERT INTO `lang_definitions` VALUES (114362, 193, 32, 'Přizpůsobení');
INSERT INTO `lang_definitions` VALUES (114363, 194, 32, 'Přizpůsobit množství');
INSERT INTO `lang_definitions` VALUES (114364, 195, 32, 'Přizpůsobit důvody');
INSERT INTO `lang_definitions` VALUES (114365, 196, 32, 'Přizpůsobit hodnotu kódu ');
INSERT INTO `lang_definitions` VALUES (114366, 197, 32, 'Úpravy');
INSERT INTO `lang_definitions` VALUES (114367, 198, 32, 'Správa přizpůsobení');
INSERT INTO `lang_definitions` VALUES (114368, 199, 32, 'Administrátor');
INSERT INTO `lang_definitions` VALUES (114369, 200, 32, 'E-mail adresa administrátora');
INSERT INTO `lang_definitions` VALUES (114370, 201, 32, 'Spravovat přes');
INSERT INTO `lang_definitions` VALUES (114371, 202, 32, 'Podáván');
INSERT INTO `lang_definitions` VALUES (114372, 203, 32, 'Spravován');
INSERT INTO `lang_definitions` VALUES (114373, 204, 32, 'Spravované datum');
INSERT INTO `lang_definitions` VALUES (114374, 205, 32, 'Spravovaná stránka');
INSERT INTO `lang_definitions` VALUES (114375, 206, 32, 'Správa');
INSERT INTO `lang_definitions` VALUES (114376, 207, 32, 'Správa stránky');
INSERT INTO `lang_definitions` VALUES (114377, 208, 32, 'Administrátoři');
INSERT INTO `lang_definitions` VALUES (114378, 209, 32, 'Administrátor má neomezený přístup');
INSERT INTO `lang_definitions` VALUES (114379, 210, 32, 'Datum přijetí');
INSERT INTO `lang_definitions` VALUES (114380, 212, 32, 'Sledování hmotnosti u dospělých');
INSERT INTO `lang_definitions` VALUES (114381, 213, 32, 'Sledování hmotnosti u dospělých (CQM)');
INSERT INTO `lang_definitions` VALUES (114382, 214, 32, 'Navrhnout opatření');
INSERT INTO `lang_definitions` VALUES (114383, 215, 32, 'Navrhnout opatření');
INSERT INTO `lang_definitions` VALUES (114384, 216, 32, 'Upozornění k navrhovaným opatřením');
INSERT INTO `lang_definitions` VALUES (114385, 218, 32, 'Pokrčočilý');
INSERT INTO `lang_definitions` VALUES (114386, 219, 32, 'Pokyn, ponaučení');
INSERT INTO `lang_definitions` VALUES (114387, 220, 32, 'daleko');
INSERT INTO `lang_definitions` VALUES (114388, 221, 32, 'Affect normal');
INSERT INTO `lang_definitions` VALUES (114389, 222, 32, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (114390, 223, 32, 'Volání po vyhrazených hodinách');
INSERT INTO `lang_definitions` VALUES (114391, 224, 32, 'After migration from the old password mechanisms where passwords are stored in the users table without salt is complete, this flag should be set to false so that only authentication by the new method is possible');
INSERT INTO `lang_definitions` VALUES (114392, 225, 32, 'Po provedení výše zmíněné konfigurace, importujte klientský certifikát do prohlížeče a restartujte Apache server ( prázdné heslo)');
INSERT INTO `lang_definitions` VALUES (114393, 226, 32, 'Po uložení souboru PDF, klikněte na [Prohlédnout log] ke kontrole chyb');
INSERT INTO `lang_definitions` VALUES (114394, 227, 32, 'Po uložení souboru TEXT, klikněte na [Prohlédnout log] ke kontrole chyb');
INSERT INTO `lang_definitions` VALUES (114395, 228, 32, 'Po uložení dávky, klikněte na [Prohlédnout log] ke kontrole chyb');
INSERT INTO `lang_definitions` VALUES (114396, 229, 32, 'Odpovídající sloupec bude poté zobrazovat ID vybraného pacienta, nebo 0 k vytvoření');
INSERT INTO `lang_definitions` VALUES (114397, 230, 32, 'Po vložení správné informace, klikněte na tlačítko Uložit');
INSERT INTO `lang_definitions` VALUES (114398, 231, 32, 'Po nahrání klikněte na tlačítko \" IMPORT\"');
INSERT INTO `lang_definitions` VALUES (114399, 232, 32, 'Plánování následné péče');
INSERT INTO `lang_definitions` VALUES (114400, 233, 32, 'Znovu');
INSERT INTO `lang_definitions` VALUES (114401, 234, 32, 'Věk');
INSERT INTO `lang_definitions` VALUES (114402, 235, 32, 'Dle věku');
INSERT INTO `lang_definitions` VALUES (114403, 236, 32, 'Věková kategorie');
INSERT INTO `lang_definitions` VALUES (114404, 237, 32, 'Zadaný věk je mimo rozsah');
INSERT INTO `lang_definitions` VALUES (114405, 238, 32, 'Formát zobrazení věku');
INSERT INTO `lang_definitions` VALUES (114406, 239, 32, 'Věk zadán ve špatném formátu');
INSERT INTO `lang_definitions` VALUES (114407, 240, 32, 'Horní věková hranice je ve špatném formátu');
INSERT INTO `lang_definitions` VALUES (114408, 241, 32, 'Věk od');
INSERT INTO `lang_definitions` VALUES (114409, 242, 32, 'Věk v letech pro zobrazení změny formátu');
INSERT INTO `lang_definitions` VALUES (114410, 243, 32, 'Věk maximálně');
INSERT INTO `lang_definitions` VALUES (114411, 244, 32, 'Věk minimálně');
INSERT INTO `lang_definitions` VALUES (114412, 245, 32, 'Rozsah věku');
INSERT INTO `lang_definitions` VALUES (114413, 247, 32, 'Sloupce věku');
INSERT INTO `lang_definitions` VALUES (114414, 248, 32, 'Akan');
INSERT INTO `lang_definitions` VALUES (114415, 249, 32, 'Albánský');
INSERT INTO `lang_definitions` VALUES (114416, 250, 32, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (114417, 251, 32, 'Spotřeba alkoholu');
INSERT INTO `lang_definitions` VALUES (114418, 252, 32, 'Užívání alkoholu');
INSERT INTO `lang_definitions` VALUES (114419, 253, 32, 'Počet varování');
INSERT INTO `lang_definitions` VALUES (114420, 255, 32, 'Výstrahy');
INSERT INTO `lang_definitions` VALUES (114421, 258, 32, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (114422, 259, 32, 'Všechno');
INSERT INTO `lang_definitions` VALUES (114423, 260, 32, 'Všechno');
INSERT INTO `lang_definitions` VALUES (114424, 261, 32, 'Všchno ( řazeno ve formátu A )');
INSERT INTO `lang_definitions` VALUES (114425, 262, 32, 'Všchno ( řazeno ve formátu B )');
INSERT INTO `lang_definitions` VALUES (114426, 263, 32, 'Všechno ( úhrnem )');
INSERT INTO `lang_definitions` VALUES (114427, 265, 32, 'Všechny automatizované měřící výpočty ( AMC )');
INSERT INTO `lang_definitions` VALUES (114428, 266, 32, 'Všechny kategorie');
INSERT INTO `lang_definitions` VALUES (114429, 267, 32, 'Všechna měření klinické kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (114430, 268, 32, 'Všechny kódy');
INSERT INTO `lang_definitions` VALUES (114431, 269, 32, 'Všechny dny');
INSERT INTO `lang_definitions` VALUES (114432, 270, 32, 'Všechny denní události');
INSERT INTO `lang_definitions` VALUES (114433, 271, 32, 'Všechny demografické údaje s vyhledáváním a kontrolou duplicit');
INSERT INTO `lang_definitions` VALUES (114434, 272, 32, 'Všechna zařízení');
INSERT INTO `lang_definitions` VALUES (114435, 273, 32, 'Všechny úrazy/problémy/potíže');
INSERT INTO `lang_definitions` VALUES (114436, 274, 32, 'Všechny jazyky povoleny');
INSERT INTO `lang_definitions` VALUES (114437, 275, 32, 'Všechna oficální měření klinické kvality (CQM) Skupiny měření');
INSERT INTO `lang_definitions` VALUES (114438, 276, 32, 'Celé nebo část jména');
INSERT INTO `lang_definitions` VALUES (114439, 277, 32, 'Celé nebo část příjmení');
INSERT INTO `lang_definitions` VALUES (114440, 278, 32, 'Celý nebo část názvu organizace');
INSERT INTO `lang_definitions` VALUES (114441, 279, 32, 'Všichni pacienti');
INSERT INTO `lang_definitions` VALUES (114442, 280, 32, 'Všechny produkty');
INSERT INTO `lang_definitions` VALUES (114443, 281, 32, 'Všichni poskytovatelé');
INSERT INTO `lang_definitions` VALUES (114444, 282, 32, 'Všechny provedené kontroly negativní');
INSERT INTO `lang_definitions` VALUES (114445, 283, 32, 'Všechna témata');
INSERT INTO `lang_definitions` VALUES (114446, 284, 32, 'Všichni uživatelé');
INSERT INTO `lang_definitions` VALUES (114447, 285, 32, 'Alergický');
INSERT INTO `lang_definitions` VALUES (114448, 286, 32, 'Alergie');
INSERT INTO `lang_definitions` VALUES (114449, 287, 32, 'Alergie :');
INSERT INTO `lang_definitions` VALUES (114450, 288, 32, 'Alergie');
INSERT INTO `lang_definitions` VALUES (114451, 289, 32, 'Vložení alergie úspěšně provedeno');
INSERT INTO `lang_definitions` VALUES (114452, 290, 32, 'Seznam alergií');
INSERT INTO `lang_definitions` VALUES (114453, 291, 32, 'Alergická reakce');
INSERT INTO `lang_definitions` VALUES (114454, 294, 32, 'Přidělit');
INSERT INTO `lang_definitions` VALUES (114455, 295, 32, 'Povolit');
INSERT INTO `lang_definitions` VALUES (114456, 296, 32, 'Při přihlášení umožnit výběr ze všech kazyků');
INSERT INTO `lang_definitions` VALUES (114457, 297, 32, 'Umožnit vytvoření požadavků obsahujících diagnózy ale ne procedury nebo ceny. Většina pracovišť toto nevyužívá.');
INSERT INTO `lang_definitions` VALUES (114458, 298, 32, 'Povolit ladění');
INSERT INTO `lang_definitions` VALUES (114459, 299, 32, 'Povolit e-mail');
INSERT INTO `lang_definitions` VALUES (114460, 300, 32, 'Povolit e-mailové zprávy ?');
INSERT INTO `lang_definitions` VALUES (114461, 301, 32, 'Povolit e-mail ?');
INSERT INTO `lang_definitions` VALUES (114462, 302, 32, 'Povolit požadavky na vyšetření');
INSERT INTO `lang_definitions` VALUES (114463, 303, 32, 'Povolit výměnu zdravotních údajů');
INSERT INTO `lang_definitions` VALUES (114464, 304, 32, 'Sdílet informace o očkování');
INSERT INTO `lang_definitions` VALUES (114465, 305, 32, 'Povolit použití očkovacího registru');
INSERT INTO `lang_definitions` VALUES (114466, 306, 32, 'Povolit mailovou zprávu');
INSERT INTO `lang_definitions` VALUES (114467, 308, 32, 'Povolit pacientský portál');
INSERT INTO `lang_definitions` VALUES (114468, 309, 32, 'Povolit SMS');
INSERT INTO `lang_definitions` VALUES (114469, 310, 32, 'Povolit SMS zprávy ?');
INSERT INTO `lang_definitions` VALUES (114470, 311, 32, 'Povolit předložené události jako ihned aktivní ?');
INSERT INTO `lang_definitions` VALUES (114471, 312, 32, 'Povolit telefonické zprávy ?');
INSERT INTO `lang_definitions` VALUES (114472, 313, 32, 'Umožnit uživatelům publikovat globální události');
INSERT INTO `lang_definitions` VALUES (114473, 314, 32, 'Povolit uživateli zveřejnit osobní kalendář');
INSERT INTO `lang_definitions` VALUES (114474, 315, 32, 'Povolit hlasové zprávy');
INSERT INTO `lang_definitions` VALUES (114475, 316, 32, 'Povoleno');
INSERT INTO `lang_definitions` VALUES (114476, 317, 32, 'Povolené jazyky');
INSERT INTO `lang_definitions` VALUES (114477, 318, 32, 'Povoleno (c)');
INSERT INTO `lang_definitions` VALUES (114478, 319, 32, 'Povolit požadavky na vyšetření');
INSERT INTO `lang_definitions` VALUES (114479, 320, 32, 'Umožňuje e-podpis individuálních formulářů');
INSERT INTO `lang_definitions` VALUES (114480, 321, 32, 'Umožňuje mail');
INSERT INTO `lang_definitions` VALUES (114481, 322, 32, 'Umožňuje hlasové zprávy');
INSERT INTO `lang_definitions` VALUES (114482, 323, 32, 'Již existuje');
INSERT INTO `lang_definitions` VALUES (114483, 324, 32, 'Již existuje');
INSERT INTO `lang_definitions` VALUES (114484, 325, 32, 'Již používán, zvolte jiný identifikátor');
INSERT INTO `lang_definitions` VALUES (114485, 326, 32, 'Již používán, zvolte jiný název');
INSERT INTO `lang_definitions` VALUES (114486, 327, 32, 'Alternativní adresa');
INSERT INTO `lang_definitions` VALUES (114487, 328, 32, 'Upravit');
INSERT INTO `lang_definitions` VALUES (114488, 330, 32, 'AM');
INSERT INTO `lang_definitions` VALUES (114489, 331, 32, 'Program AM');
INSERT INTO `lang_definitions` VALUES (114490, 332, 32, 'AMC');
INSERT INTO `lang_definitions` VALUES (114491, 333, 32, 'Sledování AMC');
INSERT INTO `lang_definitions` VALUES (114492, 334, 32, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (114493, 335, 32, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (114494, 338, 32, 'Opravit stávající poznámku');
INSERT INTO `lang_definitions` VALUES (114495, 339, 32, 'Oprava Z');
INSERT INTO `lang_definitions` VALUES (114496, 340, 32, 'Oprava Stav');
INSERT INTO `lang_definitions` VALUES (114497, 341, 32, 'Změny');
INSERT INTO `lang_definitions` VALUES (114498, 342, 32, 'Změny pro');
INSERT INTO `lang_definitions` VALUES (114499, 343, 32, 'American Indian');
INSERT INTO `lang_definitions` VALUES (114500, 344, 32, 'American Indian or Alaska Native');
INSERT INTO `lang_definitions` VALUES (114501, 345, 32, 'AMEX');
INSERT INTO `lang_definitions` VALUES (114502, 346, 32, 'Amharic');
INSERT INTO `lang_definitions` VALUES (114503, 347, 32, 'Množství');
INSERT INTO `lang_definitions` VALUES (114504, 348, 32, 'Spravované množství');
INSERT INTO `lang_definitions` VALUES (114505, 351, 32, 'Částka pro tuto návštěvu');
INSERT INTO `lang_definitions` VALUES (114506, 352, 32, 'Částka zaplacena');
INSERT INTO `lang_definitions` VALUES (114507, 353, 32, 'Částka:');
INSERT INTO `lang_definitions` VALUES (114508, 354, 32, 'Část. zaúčtována');
INSERT INTO `lang_definitions` VALUES (114509, 355, 32, 'Pro opakující se události musí být zadáno konečné datum později než počáteční');
INSERT INTO `lang_definitions` VALUES (114510, 356, 32, 'Chyba při podpisu formuláře');
INSERT INTO `lang_definitions` VALUES (114511, 357, 32, 'Chyba při zálohování stromového webového adresáře LibreEHR');
INSERT INTO `lang_definitions` VALUES (114512, 358, 32, 'Chyba při zálohování stromového webového adresáře phpGACL');
INSERT INTO `lang_definitions` VALUES (114513, 359, 32, 'Chyba při zálohování stromového webového adresáře SQL-Ledger');
INSERT INTO `lang_definitions` VALUES (114514, 360, 32, 'Nekompletní záznam GCAC.  Je potřeba ho později doplnit');
INSERT INTO `lang_definitions` VALUES (114515, 362, 32, 'Vyskytla se neočekávaná chyba');
INSERT INTO `lang_definitions` VALUES (114516, 363, 32, 'Velké písmeno');
INSERT INTO `lang_definitions` VALUES (114517, 365, 32, 'A');
INSERT INTO `lang_definitions` VALUES (114518, 366, 32, 'A');
INSERT INTO `lang_definitions` VALUES (114519, 367, 32, 'a');
INSERT INTO `lang_definitions` VALUES (114520, 368, 32, 'a ');
INSERT INTO `lang_definitions` VALUES (114521, 369, 32, 'a všechna podřízená data ? Tato akce bude logována');
INSERT INTO `lang_definitions` VALUES (114522, 370, 32, 'a modifikátor');
INSERT INTO `lang_definitions` VALUES (114523, 371, 32, 'a zpracováno');
INSERT INTO `lang_definitions` VALUES (114524, 372, 32, 'a restartujte server Apache');
INSERT INTO `lang_definitions` VALUES (114525, 373, 32, 'a příčina je');
INSERT INTO `lang_definitions` VALUES (114526, 374, 32, 'Anémie');
INSERT INTO `lang_definitions` VALUES (114527, 375, 32, 'Hlezno');
INSERT INTO `lang_definitions` VALUES (114528, 376, 32, 'Hlezno + pata');
INSERT INTO `lang_definitions` VALUES (114529, 377, 32, 'Formulář vyšetření hlezna');
INSERT INTO `lang_definitions` VALUES (114530, 378, 32, 'Problémy s hleznem');
INSERT INTO `lang_definitions` VALUES (114531, 379, 32, 'Ankylozující spondylitis');
INSERT INTO `lang_definitions` VALUES (114532, 380, 32, 'Ankylozující spondylitis');
INSERT INTO `lang_definitions` VALUES (114533, 381, 32, 'Anorexie');
INSERT INTO `lang_definitions` VALUES (114534, 382, 32, 'Jinou činnost , kterou zde lze provést je  požadavek na sekundární účtování. Pokud zaškrtnete  tuto položku  před uložením , pak bude původní požadavek znovu otevřen a zařazen na stránku účtů a proveden  v příštím  běhu účtování.');
INSERT INTO `lang_definitions` VALUES (114535, 384, 32, 'Normální tonus  análního sfinkteru, nebolestivý,  reszistence nepřítomná');
INSERT INTO `lang_definitions` VALUES (114536, 385, 32, 'Úzkost');
INSERT INTO `lang_definitions` VALUES (114537, 386, 32, 'Libovolný');
INSERT INTO `lang_definitions` VALUES (114538, 387, 32, 'Libovolná kategorie');
INSERT INTO `lang_definitions` VALUES (114539, 388, 32, 'Libovolná část požadovaného  kódu nebo jeho popis');
INSERT INTO `lang_definitions` VALUES (114540, 389, 32, 'Libovolná část požadované specializace');
INSERT INTO `lang_definitions` VALUES (114541, 390, 32, 'Libovolná část ID nebo názvu léčiva');
INSERT INTO `lang_definitions` VALUES (114542, 391, 32, 'Libovolná část ID nebo názvu očkování');
INSERT INTO `lang_definitions` VALUES (114543, 392, 32, 'Libovolná část  jména pacienta, nebo \"poslední, první, nebo \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (114544, 393, 32, 'Jakákoliv jiná relevantní infotrmace');
INSERT INTO `lang_definitions` VALUES (114545, 394, 32, 'Klíč API pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (114546, 395, 32, 'Apnoe');
INSERT INTO `lang_definitions` VALUES (114547, 396, 32, 'Vzhled');
INSERT INTO `lang_definitions` VALUES (114548, 397, 32, 'Vzhled:');
INSERT INTO `lang_definitions` VALUES (114549, 398, 32, 'Přidat tuto poznámku');
INSERT INTO `lang_definitions` VALUES (114550, 399, 32, 'Přidat k existující poznámce');
INSERT INTO `lang_definitions` VALUES (114551, 400, 32, 'Přidat do této poznámky');
INSERT INTO `lang_definitions` VALUES (114552, 401, 32, 'Přidat do této poznámky');
INSERT INTO `lang_definitions` VALUES (114553, 402, 32, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (114554, 403, 32, 'Appendektomie');
INSERT INTO `lang_definitions` VALUES (114555, 404, 32, 'Vybraní pacienti');
INSERT INTO `lang_definitions` VALUES (114556, 405, 32, 'Program');
INSERT INTO `lang_definitions` VALUES (114557, 406, 32, 'Název programu  pro přihlašovací stránku a název hlavního okna');
INSERT INTO `lang_definitions` VALUES (114558, 407, 32, 'Příjmový kód aplikace ( GS03 - pokud nebude zadáno, bude použit ISA08 )');
INSERT INTO `lang_definitions` VALUES (114559, 408, 32, 'Kód odesílatele aplikace  (GS02)');
INSERT INTO `lang_definitions` VALUES (114560, 409, 32, 'Název aplikace');
INSERT INTO `lang_definitions` VALUES (114561, 410, 32, 'Použitelné na formuláři vitálních funkcí a růstových grafech');
INSERT INTO `lang_definitions` VALUES (114562, 411, 32, 'Použitelné na formuláři vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (114563, 412, 32, 'Aplikovat změny pouze na  aktuální událost, aktuální a všechny budoucí výskyty nebo na všechny výskyty ?');
INSERT INTO `lang_definitions` VALUES (114564, 413, 32, 'aplikovat na postiženou oblast');
INSERT INTO `lang_definitions` VALUES (114565, 414, 32, 'aplikovat na kůži');
INSERT INTO `lang_definitions` VALUES (114566, 415, 32, 'Aplikace');
INSERT INTO `lang_definitions` VALUES (114567, 416, 32, 'Aplikuji  záplatu');
INSERT INTO `lang_definitions` VALUES (114568, 417, 32, 'Návštěva');
INSERT INTO `lang_definitions` VALUES (114569, 418, 32, 'Datum návštěvy');
INSERT INTO `lang_definitions` VALUES (114570, 419, 32, 'Zobrazení návštěvy');
INSERT INTO `lang_definitions` VALUES (114571, 420, 32, 'Pavidlo připomenutí návštěvy');
INSERT INTO `lang_definitions` VALUES (114572, 421, 32, 'Stav návštěvy');
INSERT INTO `lang_definitions` VALUES (114573, 422, 32, 'Stavy návštěv');
INSERT INTO `lang_definitions` VALUES (114574, 423, 32, 'Příjem v období mezi');
INSERT INTO `lang_definitions` VALUES (114575, 424, 32, 'Barva příjmu / události');
INSERT INTO `lang_definitions` VALUES (114576, 425, 32, 'Návštěvy');
INSERT INTO `lang_definitions` VALUES (114577, 426, 32, 'Návštěvy ( volitelné právo zápisu )');
INSERT INTO `lang_definitions` VALUES (114578, 427, 32, 'Návštěvy ( právo zápisu, úplné/částečné )');
INSERT INTO `lang_definitions` VALUES (114579, 430, 32, 'Návštěvy  a vyšetření');
INSERT INTO `lang_definitions` VALUES (114580, 431, 32, 'Report návštěv');
INSERT INTO `lang_definitions` VALUES (114581, 432, 32, 'Návštěvy - vyšetření report');
INSERT INTO `lang_definitions` VALUES (114582, 434, 32, 'Povolit');
INSERT INTO `lang_definitions` VALUES (114583, 435, 32, 'Povolit pacienta z Pacien/Klient ->Import-> Nevyřízená povolení');
INSERT INTO `lang_definitions` VALUES (114584, 436, 32, 'Potvrzeno');
INSERT INTO `lang_definitions` VALUES (114585, 437, 32, 'Správa schválených akcí');
INSERT INTO `lang_definitions` VALUES (114586, 438, 32, 'Úspěšně povoleno');
INSERT INTO `lang_definitions` VALUES (114587, 440, 32, 'Náv - Vyš');
INSERT INTO `lang_definitions` VALUES (114588, 441, 32, 'Návš.');
INSERT INTO `lang_definitions` VALUES (114589, 442, 32, 'Duben');
INSERT INTO `lang_definitions` VALUES (114590, 443, 32, 'Duben');
INSERT INTO `lang_definitions` VALUES (114591, 444, 32, 'Arabský');
INSERT INTO `lang_definitions` VALUES (114592, 445, 32, 'Aragonský');
INSERT INTO `lang_definitions` VALUES (114593, 446, 32, 'Archiv');
INSERT INTO `lang_definitions` VALUES (114594, 447, 32, 'Jsou přeloženy názvy skupin pro kontroly přístupu ?');
INSERT INTO `lang_definitions` VALUES (114595, 448, 32, 'jsou názvy kategorií příjmů k překladu ?');
INSERT INTO `lang_definitions` VALUES (114596, 449, 32, 'Jsou názvy kategorií dokumentů k překladu ?');
INSERT INTO `lang_definitions` VALUES (114597, 450, 32, 'Jsou definovány polpatky pro tento typ ?');
INSERT INTO `lang_definitions` VALUES (114598, 451, 32, 'Jsou názvy poznámek k pacientovi přeloženy ?');
INSERT INTO `lang_definitions` VALUES (114599, 452, 32, 'jsou kódy uloženy v externích SQL tabulkách (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (114600, 453, 32, 'Jste připraveni  dokončit novou GCAG kategorii pro tuto návštěvu ?');
INSERT INTO `lang_definitions` VALUES (114601, 454, 32, 'Jste připraveni k odeslání za dnešek ?');
INSERT INTO `lang_definitions` VALUES (114602, 455, 32, 'Chcete potvrdit tyto akce ?');
INSERT INTO `lang_definitions` VALUES (114603, 457, 32, 'Opravdu chcete kompletně smazat tento formulář ?');
INSERT INTO `lang_definitions` VALUES (114604, 458, 32, 'Jste si jisti smazáním ?');
INSERT INTO `lang_definitions` VALUES (114605, 459, 32, 'Jste si jiti smazáním této položky ?');
INSERT INTO `lang_definitions` VALUES (114606, 460, 32, 'Opravdu chcete smazat tuto událost ?');
INSERT INTO `lang_definitions` VALUES (114607, 461, 32, 'Opravdu chcete smazat tuto položku z databáze ?');
INSERT INTO `lang_definitions` VALUES (114608, 462, 32, 'Opravdu chcete smazat tuto poznámku ?');
INSERT INTO `lang_definitions` VALUES (114609, 464, 32, 'Opravdu chcete upravit tyto události ?');
INSERT INTO `lang_definitions` VALUES (114610, 465, 32, 'Opravdu chcete skrýt tyto události ?');
INSERT INTO `lang_definitions` VALUES (114611, 466, 32, 'Jste si jisti opětovným přenosem ?');
INSERT INTO `lang_definitions` VALUES (114612, 467, 32, 'Opravdu chcete prohlížet tyto události ?');
INSERT INTO `lang_definitions` VALUES (114613, 468, 32, 'Jste si jisti, že chcete odstranit celou skupinu s tímto názvem');
INSERT INTO `lang_definitions` VALUES (114614, 469, 32, 'Opravdu chcete smazat celý seznam ?');
INSERT INTO `lang_definitions` VALUES (114615, 470, 32, 'Opravdu chcete smazat pole v');
INSERT INTO `lang_definitions` VALUES (114616, 471, 32, 'Opravdu chcete smazat vybraná pole ?');
INSERT INTO `lang_definitions` VALUES (114617, 472, 32, 'Opravdu chcete pokračovat v těchto činnostech ?');
INSERT INTO `lang_definitions` VALUES (114618, 473, 32, 'Oblast není upřesněna');
INSERT INTO `lang_definitions` VALUES (114619, 474, 32, 'Paže');
INSERT INTO `lang_definitions` VALUES (114620, 475, 32, 'Arménský');
INSERT INTO `lang_definitions` VALUES (114621, 477, 32, 'Arytmie');
INSERT INTO `lang_definitions` VALUES (114622, 478, 32, 'Arthritis');
INSERT INTO `lang_definitions` VALUES (114623, 479, 32, 'Arthritis / degenartivní kloubní postižení');
INSERT INTO `lang_definitions` VALUES (114624, 480, 32, 'Arthritis / degenartivní kloubní postižení');
INSERT INTO `lang_definitions` VALUES (114625, 481, 32, 'jak');
INSERT INTO `lang_definitions` VALUES (114626, 483, 32, 'ACS');
INSERT INTO `lang_definitions` VALUES (114627, 484, 32, 'Asijský');
INSERT INTO `lang_definitions` VALUES (114628, 485, 32, 'Asamský');
INSERT INTO `lang_definitions` VALUES (114629, 487, 32, 'Zhodnocení');
INSERT INTO `lang_definitions` VALUES (114630, 488, 32, 'Přidelění');
INSERT INTO `lang_definitions` VALUES (114631, 489, 32, 'Asistent');
INSERT INTO `lang_definitions` VALUES (114632, 490, 32, 'Asthma bronchiale');
INSERT INTO `lang_definitions` VALUES (114633, 491, 32, 'v');
INSERT INTO `lang_definitions` VALUES (114634, 492, 32, 'Při výběru všech položek je vyžadován alespoň jeden vyhledávací parametr');
INSERT INTO `lang_definitions` VALUES (114635, 493, 32, 'Na os naviculare');
INSERT INTO `lang_definitions` VALUES (114636, 494, 32, 'Na os naviculare');
INSERT INTO `lang_definitions` VALUES (114637, 495, 32, 'Atletický tým');
INSERT INTO `lang_definitions` VALUES (114638, 496, 32, 'Atletický tým');
INSERT INTO `lang_definitions` VALUES (114639, 497, 32, 'Atletický/Úraz');
INSERT INTO `lang_definitions` VALUES (114640, 498, 32, 'CA certifikát ANTA auditu');
INSERT INTO `lang_definitions` VALUES (114641, 499, 32, 'ANTA audit host');
INSERT INTO `lang_definitions` VALUES (114642, 500, 32, 'Lokální certifikát ANTA auditu');
INSERT INTO `lang_definitions` VALUES (114643, 501, 32, 'Port ANTA auditu');
INSERT INTO `lang_definitions` VALUES (114644, 503, 32, 'Výstraha');
INSERT INTO `lang_definitions` VALUES (114645, 504, 32, 'Výstraha');
INSERT INTO `lang_definitions` VALUES (114646, 506, 32, 'Audit požadavků na CDR');
INSERT INTO `lang_definitions` VALUES (114647, 509, 32, 'Audit logování záloh');
INSERT INTO `lang_definitions` VALUES (114648, 510, 32, 'Audit logování různých');
INSERT INTO `lang_definitions` VALUES (114649, 511, 32, 'Audit logování příkazů');
INSERT INTO `lang_definitions` VALUES (114650, 512, 32, 'Audit logování záznamů pacienta');
INSERT INTO `lang_definitions` VALUES (114651, 513, 32, 'Audit logování plánování');
INSERT INTO `lang_definitions` VALUES (114652, 514, 32, 'Audit logování správy zabezpečení');
INSERT INTO `lang_definitions` VALUES (114653, 515, 32, 'Audit logování vybrané položky');
INSERT INTO `lang_definitions` VALUES (114654, 516, 32, 'Srp');
INSERT INTO `lang_definitions` VALUES (114655, 517, 32, 'Srpen');
INSERT INTO `lang_definitions` VALUES (114656, 519, 32, 'Aut.');
INSERT INTO `lang_definitions` VALUES (114657, 520, 32, 'Aut./poznámky');
INSERT INTO `lang_definitions` VALUES (114658, 523, 32, 'Autorizační skupina');
INSERT INTO `lang_definitions` VALUES (114659, 524, 32, 'Stav autorizace');
INSERT INTO `lang_definitions` VALUES (114660, 525, 32, 'Autorizace');
INSERT INTO `lang_definitions` VALUES (114661, 526, 32, 'Autorizovat');
INSERT INTO `lang_definitions` VALUES (114662, 527, 32, 'Autorizovat - jakékoliv návštěvy');
INSERT INTO `lang_definitions` VALUES (114663, 528, 32, 'Autorizovat - moje návštěvy');
INSERT INTO `lang_definitions` VALUES (114664, 529, 32, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (114665, 530, 32, 'Autorizováno');
INSERT INTO `lang_definitions` VALUES (114666, 531, 32, 'Pouze autorizováno');
INSERT INTO `lang_definitions` VALUES (114667, 532, 32, 'Automatické odeslání');
INSERT INTO `lang_definitions` VALUES (114668, 535, 32, 'Auto - vytvoření nového vyšetření');
INSERT INTO `lang_definitions` VALUES (114669, 536, 32, 'Automaticky generováno');
INSERT INTO `lang_definitions` VALUES (114670, 537, 32, 'Automatizované měřící výpočty ( AMC )');
INSERT INTO `lang_definitions` VALUES (114671, 538, 32, 'Automatizované měřící výpočty ( AMC ) - 2011');
INSERT INTO `lang_definitions` VALUES (114672, 539, 32, 'Automatizované měřící výpočty ( AMC ) - 2014');
INSERT INTO `lang_definitions` VALUES (114673, 542, 32, 'Automatizované měřící výpočty ( AMC ) Sledování');
INSERT INTO `lang_definitions` VALUES (114674, 543, 32, 'Automatizované měření (AMC)');
INSERT INTO `lang_definitions` VALUES (114675, 544, 32, 'Automatický');
INSERT INTO `lang_definitions` VALUES (114676, 546, 32, 'Automaticky vytvořit novou návštěvu pokud je  status návštěvy nastaven na \"@\" (dostavil se)');
INSERT INTO `lang_definitions` VALUES (114677, 550, 32, 'Automaticky uloženo');
INSERT INTO `lang_definitions` VALUES (114678, 551, 32, 'Dostupné kategorie');
INSERT INTO `lang_definitions` VALUES (114679, 552, 32, 'Dostupné časy');
INSERT INTO `lang_definitions` VALUES (114680, 553, 32, 'Dostupné stopy');
INSERT INTO `lang_definitions` VALUES (114681, 554, 32, 'Avarský');
INSERT INTO `lang_definitions` VALUES (114682, 556, 32, 'Avestan');
INSERT INTO `lang_definitions` VALUES (114683, 557, 32, 'Měsíční průměr');
INSERT INTO `lang_definitions` VALUES (114684, 558, 32, 'Avulze / Avulzní zlomenina');
INSERT INTO `lang_definitions` VALUES (114685, 559, 32, 'Avulze laterálního kotníku');
INSERT INTO `lang_definitions` VALUES (114686, 560, 32, 'Avulze mediálního kotníku ');
INSERT INTO `lang_definitions` VALUES (114687, 562, 32, 'Axilární');
INSERT INTO `lang_definitions` VALUES (114688, 563, 32, 'Aymara');
INSERT INTO `lang_definitions` VALUES (114689, 564, 32, 'Azerbaijani');
INSERT INTO `lang_definitions` VALUES (114690, 565, 32, 'dvakrát denně');
INSERT INTO `lang_definitions` VALUES (114691, 566, 32, 'Zpět');
INSERT INTO `lang_definitions` VALUES (114692, 567, 32, 'Zpět');
INSERT INTO `lang_definitions` VALUES (114693, 568, 32, '9 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114694, 569, 32, '11 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114695, 570, 32, '5 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114696, 571, 32, '4 návštěvy zpět');
INSERT INTO `lang_definitions` VALUES (114697, 572, 32, '9 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114698, 573, 32, '1 návštěva zpět');
INSERT INTO `lang_definitions` VALUES (114699, 574, 32, 'Bolest zad');
INSERT INTO `lang_definitions` VALUES (114700, 575, 32, 'Vertebrogenní obtíže');
INSERT INTO `lang_definitions` VALUES (114701, 576, 32, '7 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114702, 577, 32, '6 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114703, 578, 32, 'Spinální chirurgie');
INSERT INTO `lang_definitions` VALUES (114704, 579, 32, '10 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114705, 580, 32, '3 návštěvy zpět');
INSERT INTO `lang_definitions` VALUES (114706, 581, 32, 'Sptátky na stránku administrace');
INSERT INTO `lang_definitions` VALUES (114707, 583, 32, 'Zpět k pacientovi');
INSERT INTO `lang_definitions` VALUES (114708, 584, 32, 'Zpět k pacientovi');
INSERT INTO `lang_definitions` VALUES (114709, 585, 32, 'Zpět k uživateli');
INSERT INTO `lang_definitions` VALUES (114710, 586, 32, 'Zpět na zobrazení');
INSERT INTO `lang_definitions` VALUES (114711, 587, 32, '12 návštěv zpět');
INSERT INTO `lang_definitions` VALUES (114712, 588, 32, '2 návštěvy zpět');
INSERT INTO `lang_definitions` VALUES (114713, 589, 32, 'Služby na pozadí');
INSERT INTO `lang_definitions` VALUES (114714, 590, 32, 'Záloha');
INSERT INTO `lang_definitions` VALUES (114715, 591, 32, 'Záloha byla vytvořena je k dispozici ke stažení');
INSERT INTO `lang_definitions` VALUES (114716, 592, 32, 'Seznam záloh');
INSERT INTO `lang_definitions` VALUES (114717, 593, 32, 'Záloha úspěšně přijata');
INSERT INTO `lang_definitions` VALUES (114718, 594, 32, 'Chybné ověření');
INSERT INTO `lang_definitions` VALUES (114719, 595, 32, 'Chybná pohledávka');
INSERT INTO `lang_definitions` VALUES (114720, 596, 32, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (114721, 597, 32, 'Vyváženost');
INSERT INTO `lang_definitions` VALUES (114722, 598, 32, 'Rovnováha');
INSERT INTO `lang_definitions` VALUES (114723, 599, 32, 'rovnováha');
INSERT INTO `lang_definitions` VALUES (114724, 600, 32, 'Zůstatek množství');
INSERT INTO `lang_definitions` VALUES (114725, 601, 32, 'Debetové saldo');
INSERT INTO `lang_definitions` VALUES (114726, 602, 32, 'Bambara');
INSERT INTO `lang_definitions` VALUES (114727, 604, 32, 'Štítek s čárovým kódem');
INSERT INTO `lang_definitions` VALUES (114728, 605, 32, 'Typ štítku čárového kódu');
INSERT INTO `lang_definitions` VALUES (114729, 606, 32, 'Typ čárového kódu pro tisk štítků z vyskakovacího okna vlevo');
INSERT INTO `lang_definitions` VALUES (114730, 607, 32, 'Base pátého matatarsu');
INSERT INTO `lang_definitions` VALUES (114731, 608, 32, 'Base pátého metatarsu:');
INSERT INTO `lang_definitions` VALUES (114732, 609, 32, 'Bashkir');
INSERT INTO `lang_definitions` VALUES (114733, 610, 32, 'Basque');
INSERT INTO `lang_definitions` VALUES (114734, 611, 32, 'hromadný požadavek');
INSERT INTO `lang_definitions` VALUES (114735, 612, 32, 'Nástroj hromadníé komunikace');
INSERT INTO `lang_definitions` VALUES (114736, 613, 32, 'Hromadný platební příkaz');
INSERT INTO `lang_definitions` VALUES (114737, 614, 32, 'Hromadné platby');
INSERT INTO `lang_definitions` VALUES (114738, 615, 32, 'Dávková zpracování zahájeno. Může to chvíli trvat.');
INSERT INTO `lang_definitions` VALUES (114739, 616, 32, 'Hromadné výsledky');
INSERT INTO `lang_definitions` VALUES (114740, 617, 32, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (114741, 618, 32, 'Počkejte  prosím, některé soubory vyžadují delší zpracování');
INSERT INTO `lang_definitions` VALUES (114742, 619, 32, 'Protože toto ID neexistuje');
INSERT INTO `lang_definitions` VALUES (114743, 620, 32, 'Začátek');
INSERT INTO `lang_definitions` VALUES (114744, 621, 32, 'Počáteční datum');
INSERT INTO `lang_definitions` VALUES (114745, 623, 32, 'Datum zahájení služby RRRR-MM-DD');
INSERT INTO `lang_definitions` VALUES (114746, 624, 32, 'Počáteční hodina dne v kalendáři');
INSERT INTO `lang_definitions` VALUES (114747, 625, 32, 'Belarusian');
INSERT INTO `lang_definitions` VALUES (114748, 626, 32, 'Belching');
INSERT INTO `lang_definitions` VALUES (114749, 628, 32, 'Bengali');
INSERT INTO `lang_definitions` VALUES (114750, 629, 32, 'Bengali- Bangla');
INSERT INTO `lang_definitions` VALUES (114751, 630, 32, 'mezi');
INSERT INTO `lang_definitions` VALUES (114752, 631, 32, 'Obousměrný');
INSERT INTO `lang_definitions` VALUES (114753, 632, 32, 'Bihari');
INSERT INTO `lang_definitions` VALUES (114754, 633, 32, 'Bilaterálně');
INSERT INTO `lang_definitions` VALUES (114755, 634, 32, 'Bilaterálně:');
INSERT INTO `lang_definitions` VALUES (114756, 636, 32, 'Datum zúčtování');
INSERT INTO `lang_definitions` VALUES (114757, 638, 32, 'Zaúčtováno');
INSERT INTO `lang_definitions` VALUES (114758, 640, 32, 'Účtování');
INSERT INTO `lang_definitions` VALUES (114759, 641, 32, 'Účtování ( volitelné právo zápisu)');
INSERT INTO `lang_definitions` VALUES (114760, 644, 32, 'Účetní kód pro požadovanou položku');
INSERT INTO `lang_definitions` VALUES (114761, 645, 32, 'Účetní kódy');
INSERT INTO `lang_definitions` VALUES (114762, 646, 32, 'Účetní data');
INSERT INTO `lang_definitions` VALUES (114763, 647, 32, 'Účetní oddělení');
INSERT INTO `lang_definitions` VALUES (114764, 648, 32, 'Účetní jednotka');
INSERT INTO `lang_definitions` VALUES (114765, 649, 32, 'Účetní informace');
INSERT INTO `lang_definitions` VALUES (114766, 650, 32, 'Účetní místo');
INSERT INTO `lang_definitions` VALUES (114767, 655, 32, 'Účetní manažer');
INSERT INTO `lang_definitions` VALUES (114768, 656, 32, 'Účetní poznámka');
INSERT INTO `lang_definitions` VALUES (114769, 657, 32, 'Účetní poznámka pro ');
INSERT INTO `lang_definitions` VALUES (114770, 658, 32, 'Účetní poznámka');
INSERT INTO `lang_definitions` VALUES (114771, 660, 32, 'Účetní report');
INSERT INTO `lang_definitions` VALUES (114772, 661, 32, 'Účetní status');
INSERT INTO `lang_definitions` VALUES (114773, 662, 32, 'Účetní status=Nezaúčtováno');
INSERT INTO `lang_definitions` VALUES (114774, 663, 32, 'Účtováno do ');
INSERT INTO `lang_definitions` VALUES (114775, 665, 32, 'Biopsie');
INSERT INTO `lang_definitions` VALUES (114776, 666, 32, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (114777, 667, 32, 'Narození-24 měsíců');
INSERT INTO `lang_definitions` VALUES (114778, 668, 32, 'Bislama');
INSERT INTO `lang_definitions` VALUES (114779, 669, 32, 'Černý');
INSERT INTO `lang_definitions` VALUES (114780, 670, 32, 'Antrakóza');
INSERT INTO `lang_definitions` VALUES (114781, 671, 32, 'Černoch nebo Afroameričan');
INSERT INTO `lang_definitions` VALUES (114782, 672, 32, 'Ca močového měchýře');
INSERT INTO `lang_definitions` VALUES (114783, 673, 32, 'Infekce močového měchýře');
INSERT INTO `lang_definitions` VALUES (114784, 674, 32, 'Prázdné formuláře');
INSERT INTO `lang_definitions` VALUES (114785, 675, 32, 'Krvácivé projevy');
INSERT INTO `lang_definitions` VALUES (114786, 676, 32, 'Krevní skvrny');
INSERT INTO `lang_definitions` VALUES (114787, 677, 32, 'Meteorismus');
INSERT INTO `lang_definitions` VALUES (114788, 678, 32, 'Blokováno');
INSERT INTO `lang_definitions` VALUES (114789, 679, 32, 'Krev');
INSERT INTO `lang_definitions` VALUES (114790, 680, 32, 'Krevní tlak');
INSERT INTO `lang_definitions` VALUES (114791, 681, 32, 'Krevní tlak');
INSERT INTO `lang_definitions` VALUES (114792, 682, 32, 'Krvácení z nosu');
INSERT INTO `lang_definitions` VALUES (114793, 684, 32, 'Modré řádky v tomto reportu jsou pouze informativní. Černé řádky zobrazují již dříve existující informace. Zeleně jsou označeny úspěšně aplikované změny. Červeně jsou označeny chyby nebo změny, které se nepodařilo aplikovat ( tyto musí být zpracovány manuálně). Aktuálně odmítnuté požadavky nejsou zahrnuté automaticky a proto jsou označeny červeně.');
INSERT INTO `lang_definitions` VALUES (114794, 685, 32, 'Rozmazaný vizus');
INSERT INTO `lang_definitions` VALUES (114795, 686, 32, 'BMI');
INSERT INTO `lang_definitions` VALUES (114796, 687, 32, 'BMI status');
INSERT INTO `lang_definitions` VALUES (114797, 689, 32, 'Oblast těla');
INSERT INTO `lang_definitions` VALUES (114798, 690, 32, 'Strana těla');
INSERT INTO `lang_definitions` VALUES (114799, 691, 32, 'Strana těla, pokud je potřeba.');
INSERT INTO `lang_definitions` VALUES (114800, 692, 32, 'Kostní bolestivost');
INSERT INTO `lang_definitions` VALUES (114801, 693, 32, 'Kostní bolestivost: Mediální malleolus');
INSERT INTO `lang_definitions` VALUES (114802, 694, 32, 'Boolean');
INSERT INTO `lang_definitions` VALUES (114803, 695, 32, 'Bosnian');
INSERT INTO `lang_definitions` VALUES (114804, 697, 32, 'Obě uši');
INSERT INTO `lang_definitions` VALUES (114805, 698, 32, 'obě uši');
INSERT INTO `lang_definitions` VALUES (114806, 699, 32, 'Dole');
INSERT INTO `lang_definitions` VALUES (114807, 700, 32, 'Dolní hranice (px)');
INSERT INTO `lang_definitions` VALUES (114808, 701, 32, 'BOX 10 A. ve vztahu k zaměstnání ');
INSERT INTO `lang_definitions` VALUES (114809, 702, 32, 'BOX 10 B. Autohavárie ');
INSERT INTO `lang_definitions` VALUES (114810, 703, 32, 'BOX 10 C. Jiná nehoda ');
INSERT INTO `lang_definitions` VALUES (114811, 704, 32, 'BOX 14 kvalifikátor data');
INSERT INTO `lang_definitions` VALUES (114812, 705, 32, 'BOX 15 jiný kvalifikátor data');
INSERT INTO `lang_definitions` VALUES (114813, 706, 32, 'BOX 15. Datum shodného nebo podobného onemocnění (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (114814, 707, 32, 'BOX 15. Datum shodného nebo podobného onemocnění/jiné datum (rrrr-mm-dd):');
INSERT INTO `lang_definitions` VALUES (114815, 708, 32, 'Pracovní neschopnost od (rrrrr-mm-dd)');
INSERT INTO `lang_definitions` VALUES (114816, 709, 32, 'Pracovní neschopnost do (rrrrr-mm-dd)');
INSERT INTO `lang_definitions` VALUES (114817, 710, 32, 'BOX 18. Datum hospitalizace od (rrrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (114818, 711, 32, 'BOX 18. Datum hospitalizace do (rrrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (114819, 712, 32, 'BOX 20. Je použita externí laboratoř ?');
INSERT INTO `lang_definitions` VALUES (114820, 713, 32, 'BOX 22. Kód ICD-9 ');
INSERT INTO `lang_definitions` VALUES (114821, 714, 32, 'BOX 23. Číslo přednostní autorizace ');
INSERT INTO `lang_definitions` VALUES (114822, 715, 32, 'TK');
INSERT INTO `lang_definitions` VALUES (114823, 716, 32, 'TK diastolický');
INSERT INTO `lang_definitions` VALUES (114824, 717, 32, 'TK systolický');
INSERT INTO `lang_definitions` VALUES (114825, 719, 32, 'TKd');
INSERT INTO `lang_definitions` VALUES (114826, 721, 32, 'TKs');
INSERT INTO `lang_definitions` VALUES (114827, 722, 32, 'Brazilská portugalština');
INSERT INTO `lang_definitions` VALUES (114828, 723, 32, 'Prsa');
INSERT INTO `lang_definitions` VALUES (114829, 724, 32, 'Biopsie prsu');
INSERT INTO `lang_definitions` VALUES (114830, 725, 32, 'Výtok z prsní bradavky');
INSERT INTO `lang_definitions` VALUES (114831, 726, 32, 'Onemocnění prsu');
INSERT INTO `lang_definitions` VALUES (114832, 727, 32, 'Vyšetření prsu');
INSERT INTO `lang_definitions` VALUES (114833, 728, 32, 'Hmotnost prsu');
INSERT INTO `lang_definitions` VALUES (114834, 730, 32, 'Dechové akustické fenomeny');
INSERT INTO `lang_definitions` VALUES (114835, 731, 32, 'Breton');
INSERT INTO `lang_definitions` VALUES (114836, 732, 32, 'Kostní zlomeniny');
INSERT INTO `lang_definitions` VALUES (114837, 733, 32, 'poškozený formulář');
INSERT INTO `lang_definitions` VALUES (114838, 734, 32, 'Bronchiální formulář');
INSERT INTO `lang_definitions` VALUES (114839, 735, 32, 'Procházet');
INSERT INTO `lang_definitions` VALUES (114840, 736, 32, 'Vyhledat záznam');
INSERT INTO `lang_definitions` VALUES (114841, 737, 32, 'Podlitina/hemathom');
INSERT INTO `lang_definitions` VALUES (114842, 738, 32, 'Bulharský');
INSERT INTO `lang_definitions` VALUES (114843, 739, 32, 'Prominující doprava:');
INSERT INTO `lang_definitions` VALUES (114844, 740, 32, 'Barmský');
INSERT INTO `lang_definitions` VALUES (114845, 741, 32, 'Pálení při močení');
INSERT INTO `lang_definitions` VALUES (114846, 742, 32, 'Pálení při močení');
INSERT INTO `lang_definitions` VALUES (114847, 743, 32, 'Telefon do zaměstnání');
INSERT INTO `lang_definitions` VALUES (114848, 744, 32, 'Zaneprázněn');
INSERT INTO `lang_definitions` VALUES (114849, 745, 32, 'ale dosud není zpracováno');
INSERT INTO `lang_definitions` VALUES (114850, 746, 32, 'Hýždě');
INSERT INTO `lang_definitions` VALUES (114851, 747, 32, 'Hýždě + SIS');
INSERT INTO `lang_definitions` VALUES (114852, 748, 32, 'kým / čím');
INSERT INTO `lang_definitions` VALUES (114853, 749, 32, 'kým / čím');
INSERT INTO `lang_definitions` VALUES (114854, 750, 32, 'per os');
INSERT INTO `lang_definitions` VALUES (114855, 753, 32, 'C');
INSERT INTO `lang_definitions` VALUES (114856, 754, 32, 'CA certifikát pro verifikaci  RFC 5425 TLS syslog serveru');
INSERT INTO `lang_definitions` VALUES (114857, 755, 32, 'časový cyklus pro cache ( sekundy)');
INSERT INTO `lang_definitions` VALUES (114858, 756, 32, 'Cache template výstup');
INSERT INTO `lang_definitions` VALUES (114859, 757, 32, 'Spotřeba kofeinu');
INSERT INTO `lang_definitions` VALUES (114860, 758, 32, 'Kalendář');
INSERT INTO `lang_definitions` VALUES (114861, 759, 32, 'Poslední hodina kalendáře');
INSERT INTO `lang_definitions` VALUES (114862, 760, 32, 'Kalendářní období');
INSERT INTO `lang_definitions` VALUES (114863, 761, 32, 'Obrazovka kalendáře');
INSERT INTO `lang_definitions` VALUES (114864, 762, 32, 'Nastavení kalendáře');
INSERT INTO `lang_definitions` VALUES (114865, 763, 32, 'První hodina kalendáře');
INSERT INTO `lang_definitions` VALUES (114866, 764, 32, 'Uživatelské rozhraní kalendáře');
INSERT INTO `lang_definitions` VALUES (114867, 765, 32, 'Zobrazení kalendáře');
INSERT INTO `lang_definitions` VALUES (114868, 767, 32, 'Kalorie');
INSERT INTO `lang_definitions` VALUES (114869, 768, 32, 'Kambodžský');
INSERT INTO `lang_definitions` VALUES (114871, 774, 32, 'Zrušit');
INSERT INTO `lang_definitions` VALUES (114872, 775, 32, 'Zrušit změny');
INSERT INTO `lang_definitions` VALUES (114873, 776, 32, 'Zrušeno');
INSERT INTO `lang_definitions` VALUES (114874, 777, 32, 'Onkol. onemocnění');
INSERT INTO `lang_definitions` VALUES (114875, 778, 32, 'Onkologický screening: Screenning Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (114876, 779, 32, 'Onkologický screening: Mammograf');
INSERT INTO `lang_definitions` VALUES (114877, 780, 32, 'Onkologický screening: Výtěr z krku');
INSERT INTO `lang_definitions` VALUES (114878, 781, 32, 'Onkologický screening: Screenning Ca prostaty');
INSERT INTO `lang_definitions` VALUES (114879, 782, 32, 'Nelze přidat položku , protože již existuje');
INSERT INTO `lang_definitions` VALUES (114880, 783, 32, 'Nelze přidat/aktualizovat položku z důvodu existence duplikátu');
INSERT INTO `lang_definitions` VALUES (114881, 784, 32, 'Nelze archivovat, ignorováno.');
INSERT INTO `lang_definitions` VALUES (114882, 785, 32, 'Nelze převést do JPEG, protože ImageMagick není instalováno');
INSERT INTO `lang_definitions` VALUES (114883, 786, 32, 'Nelze smazat, ignorováno');
INSERT INTO `lang_definitions` VALUES (114884, 787, 32, 'Nelze zobrazit v řadě za sebou, protože typ není podporován prohlížečem');
INSERT INTO `lang_definitions` VALUES (114885, 788, 32, 'Nelze zobrazit v řadě za sebou, protože typ není podporován prohlížečem');
INSERT INTO `lang_definitions` VALUES (114886, 789, 32, 'Nelze zobrazit v řadě za sebou, protože typ není podporován prohlížečem');
INSERT INTO `lang_definitions` VALUES (114887, 790, 32, 'Nelze vytvořit');
INSERT INTO `lang_definitions` VALUES (114888, 791, 32, 'Nelze vytvořit soubor');
INSERT INTO `lang_definitions` VALUES (114889, 792, 32, 'Nelze smazat (from SFTP server) soubor');
INSERT INTO `lang_definitions` VALUES (114890, 793, 32, 'Nelze smazat soubor');
INSERT INTO `lang_definitions` VALUES (114891, 794, 32, 'nelze určit jméno cílového souboru');
INSERT INTO `lang_definitions` VALUES (114892, 795, 32, 'Nelze nalézt ');
INSERT INTO `lang_definitions` VALUES (114893, 796, 32, 'Nelze nalézt cílový soubor');
INSERT INTO `lang_definitions` VALUES (114894, 799, 32, 'Nelze najít pacienta z SQL-Ledger customer id');
INSERT INTO `lang_definitions` VALUES (114895, 800, 32, 'Nelze najít odkaz na postcrip dokument v ');
INSERT INTO `lang_definitions` VALUES (114896, 801, 32, 'Nelze najít poskytovatele z SQL-Ledger zaměstnanci ');
INSERT INTO `lang_definitions` VALUES (114897, 802, 32, 'Nelze modifikovat platbu . Bilance je negativní');
INSERT INTO `lang_definitions` VALUES (114898, 803, 32, 'Nelze otevřít ');
INSERT INTO `lang_definitions` VALUES (114899, 804, 32, 'Nelze odeslat ke zpracování pojištění. Plátce je pacient');
INSERT INTO `lang_definitions` VALUES (114900, 805, 32, 'Nelze odeslat . Plátcem je pojišťovna.');
INSERT INTO `lang_definitions` VALUES (114901, 806, 32, 'Nelze odeslat platbu . Bilance je nagativní.');
INSERT INTO `lang_definitions` VALUES (114902, 807, 32, 'Nelze přečíst');
INSERT INTO `lang_definitions` VALUES (114903, 808, 32, 'Nelze vstoupit do adresáře');
INSERT INTO `lang_definitions` VALUES (114904, 809, 32, 'Nelze aktualizovat, protože editujete neexistující položku !');
INSERT INTO `lang_definitions` VALUES (114905, 810, 32, 'Velká písmena');
INSERT INTO `lang_definitions` VALUES (114906, 811, 32, 'Vše vekým písmem');
INSERT INTO `lang_definitions` VALUES (114907, 812, 32, 'capsula');
INSERT INTO `lang_definitions` VALUES (114908, 813, 32, 'Karta');
INSERT INTO `lang_definitions` VALUES (114909, 814, 32, 'Srdeční katetrizace');
INSERT INTO `lang_definitions` VALUES (114910, 815, 32, 'Echokardiografie');
INSERT INTO `lang_definitions` VALUES (114911, 816, 32, 'Kardiovaskulární');
INSERT INTO `lang_definitions` VALUES (114912, 821, 32, 'Chrupavka / chondrální / diskopathie');
INSERT INTO `lang_definitions` VALUES (114913, 822, 32, 'Poranění chrupavky');
INSERT INTO `lang_definitions` VALUES (114914, 823, 32, 'Pulsace karotid  v normě, pulsace a.dorsalis pedis v normě');
INSERT INTO `lang_definitions` VALUES (114915, 824, 32, 'Hotovost');
INSERT INTO `lang_definitions` VALUES (114916, 825, 32, 'Hotovost');
INSERT INTO `lang_definitions` VALUES (114917, 826, 32, 'Příjem hotovosti');
INSERT INTO `lang_definitions` VALUES (114918, 827, 32, 'Hotovost přijatá poskytovatelem');
INSERT INTO `lang_definitions` VALUES (114919, 828, 32, 'Catalan- Valencian');
INSERT INTO `lang_definitions` VALUES (114920, 829, 32, 'Operace šedého zákalu');
INSERT INTO `lang_definitions` VALUES (114921, 830, 32, 'Šedý zákal');
INSERT INTO `lang_definitions` VALUES (114922, 831, 32, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (114923, 832, 32, 'Kategorie pro');
INSERT INTO `lang_definitions` VALUES (114924, 833, 32, 'Kategorie');
INSERT INTO `lang_definitions` VALUES (114925, 834, 32, 'kategorie');
INSERT INTO `lang_definitions` VALUES (114926, 835, 32, 'Kategorie ');
INSERT INTO `lang_definitions` VALUES (114927, 836, 32, 'Detaily kategorie');
INSERT INTO `lang_definitions` VALUES (114928, 837, 32, 'Limity kategorie');
INSERT INTO `lang_definitions` VALUES (114929, 838, 32, 'Název kategorie');
INSERT INTO `lang_definitions` VALUES (114930, 839, 32, 'Chybí název kategorie');
INSERT INTO `lang_definitions` VALUES (114931, 840, 32, 'Kategorie/Název');
INSERT INTO `lang_definitions` VALUES (114932, 841, 32, 'Kavkazský');
INSERT INTO `lang_definitions` VALUES (114933, 846, 32, 'CCR souhlas');
INSERT INTO `lang_definitions` VALUES (114934, 847, 32, 'CCR přehled pacienta');
INSERT INTO `lang_definitions` VALUES (114935, 848, 32, 'CCR přehled and schválení pacienta');
INSERT INTO `lang_definitions` VALUES (114936, 850, 32, 'CDR');
INSERT INTO `lang_definitions` VALUES (114937, 851, 32, 'Priorita zprcování CDR reportu');
INSERT INTO `lang_definitions` VALUES (114938, 852, 32, 'Buňka');
INSERT INTO `lang_definitions` VALUES (114939, 853, 32, 'Mobilní telefon');
INSERT INTO `lang_definitions` VALUES (114940, 854, 32, 'Číslo mobilního telefonu');
INSERT INTO `lang_definitions` VALUES (114941, 855, 32, 'Číslo mobilního telefonu');
INSERT INTO `lang_definitions` VALUES (114942, 856, 32, 'Centrální certifikace');
INSERT INTO `lang_definitions` VALUES (114943, 857, 32, 'Centrální/Jižní Amerika');
INSERT INTO `lang_definitions` VALUES (114944, 858, 32, 'CRT soubor  certifikaqční autority nemůže být prázdný');
INSERT INTO `lang_definitions` VALUES (114945, 859, 32, 'Soubor s klíčem certifikační autority nemůže být prázdý');
INSERT INTO `lang_definitions` VALUES (114946, 860, 32, 'Certifikát k odeslání  na RFC 5425 TLS syslog server');
INSERT INTO `lang_definitions` VALUES (114947, 861, 32, 'Uživatel certifikátu');
INSERT INTO `lang_definitions` VALUES (114948, 862, 32, 'Certifikáty');
INSERT INTO `lang_definitions` VALUES (114949, 863, 32, 'Chamorro');
INSERT INTO `lang_definitions` VALUES (114950, 864, 32, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (114951, 865, 32, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (114952, 866, 32, 'Změna');
INSERT INTO `lang_definitions` VALUES (114953, 867, 32, 'Změna');
INSERT INTO `lang_definitions` VALUES (114954, 868, 32, 'Změnit aktivitu');
INSERT INTO `lang_definitions` VALUES (114955, 869, 32, 'Zněna selhala! Nelze se připojit ke CouchDB');
INSERT INTO `lang_definitions` VALUES (114956, 870, 32, 'Zraková změna');
INSERT INTO `lang_definitions` VALUES (114957, 871, 32, 'Zraková změna');
INSERT INTO `lang_definitions` VALUES (114958, 872, 32, 'Změn hesla');
INSERT INTO `lang_definitions` VALUES (114959, 874, 32, 'Změněno');
INSERT INTO `lang_definitions` VALUES (114960, 875, 32, 'Změny na tračníku');
INSERT INTO `lang_definitions` VALUES (114961, 876, 32, 'Změna ID pacienta pro dokument');
INSERT INTO `lang_definitions` VALUES (114962, 877, 32, 'Vlastnosti');
INSERT INTO `lang_definitions` VALUES (114963, 878, 32, 'Zbývá znaků');
INSERT INTO `lang_definitions` VALUES (114964, 879, 32, 'Poplatek');
INSERT INTO `lang_definitions` VALUES (114965, 880, 32, 'Přizpůsobení platby');
INSERT INTO `lang_definitions` VALUES (114966, 881, 32, 'Zakódovaná platba');
INSERT INTO `lang_definitions` VALUES (114967, 882, 32, 'Poplatky');
INSERT INTO `lang_definitions` VALUES (114968, 883, 32, 'Graf');
INSERT INTO `lang_definitions` VALUES (114969, 884, 32, 'Graf aktivity');
INSERT INTO `lang_definitions` VALUES (114970, 886, 32, 'Graf ID');
INSERT INTO `lang_definitions` VALUES (114971, 887, 32, 'Graf ID:');
INSERT INTO `lang_definitions` VALUES (114972, 888, 32, 'Štítek grafu');
INSERT INTO `lang_definitions` VALUES (114973, 889, 32, 'Graf umístění a aktivit');
INSERT INTO `lang_definitions` VALUES (114974, 890, 32, 'Graf poznámka');
INSERT INTO `lang_definitions` VALUES (114975, 891, 32, 'Číslo grafu');
INSERT INTO `lang_definitions` VALUES (114976, 892, 32, 'Graf umístění úložišť');
INSERT INTO `lang_definitions` VALUES (114977, 897, 32, 'Čečenský');
INSERT INTO `lang_definitions` VALUES (114978, 898, 32, 'Zkontrolovat');
INSERT INTO `lang_definitions` VALUES (114979, 899, 32, 'Zkontrolovat');
INSERT INTO `lang_definitions` VALUES (114980, 900, 32, 'Zkontrolovat vše');
INSERT INTO `lang_definitions` VALUES (114981, 902, 32, 'Zkontrolovat množství');
INSERT INTO `lang_definitions` VALUES (114982, 903, 32, 'Zkontrolovat datum');
INSERT INTO `lang_definitions` VALUES (114983, 904, 32, 'Zkontrolujte rozdíly v překladu podle uživatelské tabulky překladu');
INSERT INTO `lang_definitions` VALUES (114984, 907, 32, 'Zkontrolujte vstupní data');
INSERT INTO `lang_definitions` VALUES (114985, 908, 32, 'Zkontrolujte položky pro zobrazení grafem');
INSERT INTO `lang_definitions` VALUES (114986, 909, 32, 'Zkontrolujte  laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (114987, 910, 32, 'Zkontrolujte položky označené jako prohlédnuté');
INSERT INTO `lang_definitions` VALUES (114988, 911, 32, 'Zkontrolujte číslo');
INSERT INTO `lang_definitions` VALUES (114989, 912, 32, 'Zkontrolujte číslo');
INSERT INTO `lang_definitions` VALUES (114990, 915, 32, 'Zkontrolujte platbu');
INSERT INTO `lang_definitions` VALUES (114991, 916, 32, 'Zaškrtněte pole, pokud se jedná o zašifrovaný soubor');
INSERT INTO `lang_definitions` VALUES (114992, 917, 32, 'Zaškrtněte, pokud chcete, aby poskytovatelé viděli všechny události ve výchozím nastavení a ne jen v jejich vlastním.');
INSERT INTO `lang_definitions` VALUES (114993, 918, 32, 'Zaškrtněte k vytvoření problému z této diagnózy');
INSERT INTO `lang_definitions` VALUES (114994, 923, 32, 'Seznam zaškrtávacích polí');
INSERT INTO `lang_definitions` VALUES (114995, 924, 32, 'Seznam zaškrtávacích polí');
INSERT INTO `lang_definitions` VALUES (114996, 927, 32, 'Výše zobrazená zaškrtávací pole pro odmítnutí nebo smazání HL7 souboru.');
INSERT INTO `lang_definitions` VALUES (114997, 928, 32, 'Označeno');
INSERT INTO `lang_definitions` VALUES (114998, 929, 32, 'Označené pole = ano, prázdné = ne');
INSERT INTO `lang_definitions` VALUES (114999, 931, 32, 'Uzamčení pole  zabrání dalším úpravám formulářů této události');
INSERT INTO `lang_definitions` VALUES (115000, 933, 32, 'Kontrolní součet');
INSERT INTO `lang_definitions` VALUES (115001, 934, 32, 'Hrudník');
INSERT INTO `lang_definitions` VALUES (115002, 935, 32, 'auskultace hrudníku');
INSERT INTO `lang_definitions` VALUES (115003, 936, 32, 'Bolest na hrudi');
INSERT INTO `lang_definitions` VALUES (115004, 937, 32, 'Bolest na hrudi:');
INSERT INTO `lang_definitions` VALUES (115005, 938, 32, 'Bolesti na hrudi');
INSERT INTO `lang_definitions` VALUES (115006, 940, 32, 'Změna');
INSERT INTO `lang_definitions` VALUES (115007, 941, 32, 'Chichewa- Chewa- Nyanja');
INSERT INTO `lang_definitions` VALUES (115008, 942, 32, 'Hlavní obtíže');
INSERT INTO `lang_definitions` VALUES (115009, 943, 32, 'Dítě');
INSERT INTO `lang_definitions` VALUES (115010, 945, 32, 'Dosavadní očkování');
INSERT INTO `lang_definitions` VALUES (115011, 946, 32, 'zimnice');
INSERT INTO `lang_definitions` VALUES (115012, 947, 32, 'Čínský');
INSERT INTO `lang_definitions` VALUES (115013, 948, 32, 'Čínština ( Zjednodušená )');
INSERT INTO `lang_definitions` VALUES (115014, 949, 32, 'Čínština ( Tradiční )');
INSERT INTO `lang_definitions` VALUES (115015, 950, 32, 'chiropraxe');
INSERT INTO `lang_definitions` VALUES (115016, 951, 32, 'Možnosti');
INSERT INTO `lang_definitions` VALUES (115017, 952, 32, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (115018, 953, 32, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (115019, 954, 32, 'Cholecystektomie');
INSERT INTO `lang_definitions` VALUES (115020, 955, 32, 'Zvolit');
INSERT INTO `lang_definitions` VALUES (115021, 956, 32, 'Vyberte si oddíl a klepněte na položku v něm; pak v druhé části uvidíte zvýrazněné související položky. Můžete pak  v tomto oddíle přidávat a odstraňovat vztahy.');
INSERT INTO `lang_definitions` VALUES (115022, 957, 32, 'Zvolte kriteria');
INSERT INTO `lang_definitions` VALUES (115023, 958, 32, 'Zvolte stahování nebo zobrazení za sebou');
INSERT INTO `lang_definitions` VALUES (115024, 959, 32, 'vyberte soubor');
INSERT INTO `lang_definitions` VALUES (115025, 960, 32, 'Vyberte ze seznamu');
INSERT INTO `lang_definitions` VALUES (115026, 961, 32, 'Vyberte směr rozvržení');
INSERT INTO `lang_definitions` VALUES (115027, 962, 32, 'Vyberte seznam');
INSERT INTO `lang_definitions` VALUES (115028, 963, 32, 'Vyberte velikost papíru');
INSERT INTO `lang_definitions` VALUES (115029, 964, 32, 'Zvolte preferovaný jazyk pro PDF');
INSERT INTO `lang_definitions` VALUES (115030, 965, 32, 'Zvolte tiskový formát pro tisk tohoto vyšetření');
INSERT INTO `lang_definitions` VALUES (115031, 967, 32, 'Chronická bronchitis');
INSERT INTO `lang_definitions` VALUES (115032, 968, 32, 'Chronické arthralgie');
INSERT INTO `lang_definitions` VALUES (115033, 969, 32, 'Chronické onemocnění ledvin');
INSERT INTO `lang_definitions` VALUES (115034, 970, 32, 'Chronická synovitis');
INSERT INTO `lang_definitions` VALUES (115035, 971, 32, 'Chronický/Rekurentní');
INSERT INTO `lang_definitions` VALUES (115036, 972, 32, 'Chuvash');
INSERT INTO `lang_definitions` VALUES (115037, 973, 32, 'Jaterní cirhosa');
INSERT INTO `lang_definitions` VALUES (115038, 974, 32, 'Jaterní cirhosa');
INSERT INTO `lang_definitions` VALUES (115039, 975, 32, 'Město');
INSERT INTO `lang_definitions` VALUES (115040, 976, 32, 'Název města');
INSERT INTO `lang_definitions` VALUES (115041, 977, 32, 'Město, Stát');
INSERT INTO `lang_definitions` VALUES (115042, 978, 32, 'Město, Stát, PSČ');
INSERT INTO `lang_definitions` VALUES (115043, 979, 32, 'město/Stát');
INSERT INTO `lang_definitions` VALUES (115044, 980, 32, 'Požadavek');
INSERT INTO `lang_definitions` VALUES (115045, 981, 32, 'Požadavek ');
INSERT INTO `lang_definitions` VALUES (115046, 982, 32, 'Stav zpracování požadavku');
INSERT INTO `lang_definitions` VALUES (115047, 983, 32, 'Ukončen testovací požadavek');
INSERT INTO `lang_definitions` VALUES (115048, 984, 32, 'Typ požadavku');
INSERT INTO `lang_definitions` VALUES (115049, 985, 32, 'Požadavek byl vygenerován  do spisu');
INSERT INTO `lang_definitions` VALUES (115050, 986, 32, 'Požadavek byl vygenerován  do spisu ');
INSERT INTO `lang_definitions` VALUES (115051, 987, 32, 'Požadavky');
INSERT INTO `lang_definitions` VALUES (115052, 988, 32, 'Klasifikace');
INSERT INTO `lang_definitions` VALUES (115053, 989, 32, 'Vymazat');
INSERT INTO `lang_definitions` VALUES (115054, 990, 32, 'Vyčistit data aktivního pacienta');
INSERT INTO `lang_definitions` VALUES (115055, 991, 32, 'Vymazat vše');
INSERT INTO `lang_definitions` VALUES (115056, 992, 32, 'Vymazat HL7 data');
INSERT INTO `lang_definitions` VALUES (115057, 993, 32, 'vyčistit odůvodnění');
INSERT INTO `lang_definitions` VALUES (115058, 994, 32, 'Vyčistit Smarty cache');
INSERT INTO `lang_definitions` VALUES (115059, 995, 32, 'Čistí se domovská informace pro dávku  EDI 270');
INSERT INTO `lang_definitions` VALUES (115060, 996, 32, 'Číslo CLIA');
INSERT INTO `lang_definitions` VALUES (115061, 997, 32, 'Kliknout');
INSERT INTO `lang_definitions` VALUES (115062, 998, 32, 'Klikněte na \"export\" pro export kategorie, podkategorie, položky, údaje o obsahu do textového souboru. Jakákoliv podobnost tohoto souboru s XML souborem, je čistě náhodná. Značky pro otevírání a zavírání musí být na stejném řádku, musí obsahovat malá písmena bez mezer. Chcete-li importovat, vyhledejte soubor a klikněte na \"import\". Pokud se jedná o zcela odlišná data, pak budou sloučena s  již existujícími daty. Pokud existují podobné názvy položek, bude staré názvy zachovány a nové uloženy  s  číslem na konci.');
INSERT INTO `lang_definitions` VALUES (115063, 999, 32, 'Klikem na obrázek přidáte novou poznámku, dalším klikem poznámku smažete');
INSERT INTO `lang_definitions` VALUES (115064, 1000, 32, 'Klikem na Stáhnout cerifikát stáhnete certifikát vsouboru ssl.zip');
INSERT INTO `lang_definitions` VALUES (115065, 1001, 32, 'Klikněte pro další');
INSERT INTO `lang_definitions` VALUES (115066, 1002, 32, 'Klikněte pro více podrobností');
INSERT INTO `lang_definitions` VALUES (115067, 1003, 32, 'Klikněte pro shrnutí objednávky');
INSERT INTO `lang_definitions` VALUES (115068, 1004, 32, 'Klikněte pro výsledky');
INSERT INTO `lang_definitions` VALUES (115069, 1005, 32, 'Klikněte zde');
INSERT INTO `lang_definitions` VALUES (115070, 1006, 32, 'Klikněte zde pro přidání nového pacienta');
INSERT INTO `lang_definitions` VALUES (115071, 1007, 32, 'Kikněte zde k zadání nového stavu úrazových změn a k editaci denních aktivit');
INSERT INTO `lang_definitions` VALUES (115072, 1008, 32, 'Klikněte zde a zvolte datum');
INSERT INTO `lang_definitions` VALUES (115073, 1009, 32, 'Klikněte zde a zvolte datum a čas');
INSERT INTO `lang_definitions` VALUES (115074, 1010, 32, 'Klikněte zde a zvole počáteční datum');
INSERT INTO `lang_definitions` VALUES (115075, 1011, 32, 'Klikněte zde pro volbu času a data');
INSERT INTO `lang_definitions` VALUES (115076, 1012, 32, 'Klikněte zde pro volbu času a data OD');
INSERT INTO `lang_definitions` VALUES (115077, 1013, 32, 'Klikněte zde pro volbu času a data DO');
INSERT INTO `lang_definitions` VALUES (115078, 1014, 32, 'Klikněte zde pro konfiguraci modulu');
INSERT INTO `lang_definitions` VALUES (115079, 1016, 32, 'Klikněte zde pro deaktivaci modulu');
INSERT INTO `lang_definitions` VALUES (115080, 1018, 32, 'Klikněte zde pro aktivaci modulu');
INSERT INTO `lang_definitions` VALUES (115081, 1019, 32, 'Klikněte zde pro instalaci modulu');
INSERT INTO `lang_definitions` VALUES (115082, 1020, 32, 'klikněte zde pro hledání');
INSERT INTO `lang_definitions` VALUES (115083, 1021, 32, 'klikněte zde k aktualizaci priorit, kategorie a přezdívky');
INSERT INTO `lang_definitions` VALUES (115084, 1022, 32, 'Klikněte zde pro zobrazení všech údajů');
INSERT INTO `lang_definitions` VALUES (115085, 1023, 32, 'Klikněte zde pro zobrazení a grafické znázornění');
INSERT INTO `lang_definitions` VALUES (115086, 1024, 32, 'Klikněte zde pro zobrazení a grafické znázornění laboratorních dat');
INSERT INTO `lang_definitions` VALUES (115087, 1025, 32, 'Klikněte zde pro zobrazení a grafické znázornění vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (115088, 1026, 32, 'Klikněte zde pro zobrazení detailů pacienta');
INSERT INTO `lang_definitions` VALUES (115089, 1027, 32, 'Klikem zde zobrazíte všechny');
INSERT INTO `lang_definitions` VALUES (115090, 1028, 32, 'Klikněte zde pro zobrazení/úpravu podrobností');
INSERT INTO `lang_definitions` VALUES (115091, 1029, 32, 'Klikem na INSTALOVAT nainstalujete verzi databáze od následujícího data');
INSERT INTO `lang_definitions` VALUES (115092, 1030, 32, 'Klikněte na jakýkoliv časový úsek k jeho prodloužení');
INSERT INTO `lang_definitions` VALUES (115093, 1031, 32, 'Klikem na jméno pacienta otevřete jeho soubor');
INSERT INTO `lang_definitions` VALUES (115094, 1032, 32, 'Klikem na OBNOVIT zobrazíte všechny výsledky nebo zadejte vyhledávací kriteria pro podrobnější hledání');
INSERT INTO `lang_definitions` VALUES (115095, 1033, 32, 'Klikněte pro přidání diagnózy');
INSERT INTO `lang_definitions` VALUES (115096, 1034, 32, 'Klikem přidáte novou součást');
INSERT INTO `lang_definitions` VALUES (115097, 1035, 32, 'Klikem přidáte novou konzultaci');
INSERT INTO `lang_definitions` VALUES (115098, 1036, 32, 'Klikněte pro výber diagnózy');
INSERT INTO `lang_definitions` VALUES (115099, 1037, 32, 'Klikněte ke stažení');
INSERT INTO `lang_definitions` VALUES (115100, 1038, 32, 'Klikněte pro úpravy');
INSERT INTO `lang_definitions` VALUES (115101, 1039, 32, 'Klikněte pro úpravu popisu');
INSERT INTO `lang_definitions` VALUES (115102, 1040, 32, 'Klikněte pro úpravy této události');
INSERT INTO `lang_definitions` VALUES (115103, 1041, 32, 'Klikněte pro vygenerování zprávy');
INSERT INTO `lang_definitions` VALUES (115104, 1042, 32, 'Klikněte na odpovídajícího pacienta');
INSERT INTO `lang_definitions` VALUES (115105, 1043, 32, 'Klikněte pro tisk');
INSERT INTO `lang_definitions` VALUES (115106, 1044, 32, 'Klikněte pro získání ( přidání ) nového množství');
INSERT INTO `lang_definitions` VALUES (115107, 1045, 32, 'Klikněte pro výběr');
INSERT INTO `lang_definitions` VALUES (115108, 1046, 32, 'Klikněte pro výběr');
INSERT INTO `lang_definitions` VALUES (115109, 1047, 32, 'Klikněte pro výběr standardního kódu této procedury');
INSERT INTO `lang_definitions` VALUES (115110, 1048, 32, 'Klikněte pro výběr volitelného kódu této procedury');
INSERT INTO `lang_definitions` VALUES (115111, 1049, 32, 'Klikněte pro výběr nebo změnu kódování');
INSERT INTO `lang_definitions` VALUES (115112, 1050, 32, 'Klikněte pro výběr nebo změnu CVX kódu');
INSERT INTO `lang_definitions` VALUES (115113, 1051, 32, 'Klikněte pro výběr nebo změnu diagnózy');
INSERT INTO `lang_definitions` VALUES (115114, 1052, 32, 'Klikněte pro výběr nebo změnu kódů služby');
INSERT INTO `lang_definitions` VALUES (115115, 1053, 32, 'Klikněte pro výběr pacienta');
INSERT INTO `lang_definitions` VALUES (115116, 1054, 32, 'Klikněte pro výběr odpovídajícího kódu');
INSERT INTO `lang_definitions` VALUES (115117, 1055, 32, 'Klikněte pro výběr služeb k ověření abnormálních výsledků');
INSERT INTO `lang_definitions` VALUES (115118, 1056, 32, 'Klikněte pro výběr požadované procedury');
INSERT INTO `lang_definitions` VALUES (115119, 1057, 32, 'Klikněte pro seřazení');
INSERT INTO `lang_definitions` VALUES (115120, 1058, 32, 'Klikněte pro zobrazení');
INSERT INTO `lang_definitions` VALUES (115121, 1059, 32, 'Klikněte pro zobrazení nebo úpravy');
INSERT INTO `lang_definitions` VALUES (115122, 1060, 32, 'Klikněte pro zobrazení/úpravy');
INSERT INTO `lang_definitions` VALUES (115123, 1061, 32, 'Klikem na tlačítko AKTUALIZOVAT provedete upgrade databáze od následujícího data');
INSERT INTO `lang_definitions` VALUES (115124, 1062, 32, 'Klikněte výše pro označení odpovídajícího pacienta');
INSERT INTO `lang_definitions` VALUES (115125, 1063, 32, 'Klikněte:');
INSERT INTO `lang_definitions` VALUES (115126, 1064, 32, 'Zbývající dny do expirace klientského certifikátu');
INSERT INTO `lang_definitions` VALUES (115127, 1065, 32, 'Čas pro ověření klienstkého certifikátu');
INSERT INTO `lang_definitions` VALUES (115128, 1066, 32, 'Platnost klienteského certifikátu musí být platné číslo');
INSERT INTO `lang_definitions` VALUES (115129, 1067, 32, 'Kopie pro klienta');
INSERT INTO `lang_definitions` VALUES (115130, 1069, 32, 'Anamnestický souhrn klienta');
INSERT INTO `lang_definitions` VALUES (115131, 1070, 32, 'Jméno klienta');
INSERT INTO `lang_definitions` VALUES (115132, 1071, 32, 'Číslo klienta');
INSERT INTO `lang_definitions` VALUES (115133, 1072, 32, 'Profil klienta - Noví klienti');
INSERT INTO `lang_definitions` VALUES (115134, 1073, 32, 'Profil klienta - Unikátní klienti');
INSERT INTO `lang_definitions` VALUES (115135, 1074, 32, 'Klienti');
INSERT INTO `lang_definitions` VALUES (115136, 1075, 32, 'Klinika');
INSERT INTO `lang_definitions` VALUES (115137, 1076, 32, 'Kopie pro klienta');
INSERT INTO `lang_definitions` VALUES (115138, 1077, 32, 'Denní klinické záznamy');
INSERT INTO `lang_definitions` VALUES (115139, 1078, 32, 'ID kliniky');
INSERT INTO `lang_definitions` VALUES (115140, 1079, 32, 'Klinický');
INSERT INTO `lang_definitions` VALUES (115141, 1081, 32, 'Anamnéza');
INSERT INTO `lang_definitions` VALUES (115142, 1083, 32, 'Klinické plány');
INSERT INTO `lang_definitions` VALUES (115143, 1084, 32, 'Klinická měření kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (115144, 1085, 32, 'Klinická měření kvality (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (115145, 1086, 32, 'Klinická měření kvality (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (115146, 1087, 32, 'Klinické upomínky');
INSERT INTO `lang_definitions` VALUES (115147, 1088, 32, 'Klinická hlášení');
INSERT INTO `lang_definitions` VALUES (115148, 1089, 32, 'Kategorie akcí klinických pravidel');
INSERT INTO `lang_definitions` VALUES (115149, 1090, 32, 'Položka akcí klinických pravidel');
INSERT INTO `lang_definitions` VALUES (115150, 1091, 32, 'Metoda filtrování pro klinická pravidla');
INSERT INTO `lang_definitions` VALUES (115151, 1092, 32, 'Cílová metoda klinických pravidel');
INSERT INTO `lang_definitions` VALUES (115152, 1093, 32, 'Klinická pravidla');
INSERT INTO `lang_definitions` VALUES (115153, 1094, 32, 'Věkový interval klinických pravidel');
INSERT INTO `lang_definitions` VALUES (115154, 1095, 32, 'Porovnání klinických pravidel');
INSERT INTO `lang_definitions` VALUES (115155, 1096, 32, 'Typy klinických pravidel vyšetření');
INSERT INTO `lang_definitions` VALUES (115156, 1102, 32, 'Klinické cíle');
INSERT INTO `lang_definitions` VALUES (115157, 1103, 32, 'Klinický termín');
INSERT INTO `lang_definitions` VALUES (115158, 1104, 32, 'Kódy klinických termínů');
INSERT INTO `lang_definitions` VALUES (115159, 1106, 32, 'klinický pracovník');
INSERT INTO `lang_definitions` VALUES (115160, 1107, 32, 'Vytvořit kopii');
INSERT INTO `lang_definitions` VALUES (115161, 1108, 32, 'Vytvořit kopii poslední návštěvy');
INSERT INTO `lang_definitions` VALUES (115162, 1109, 32, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (115163, 1110, 32, 'Zavřít okno');
INSERT INTO `lang_definitions` VALUES (115164, 1111, 32, 'Zavřít okno');
INSERT INTO `lang_definitions` VALUES (115165, 1112, 32, 'Uzavřeno');
INSERT INTO `lang_definitions` VALUES (115166, 1113, 32, 'cm');
INSERT INTO `lang_definitions` VALUES (115167, 1114, 32, 'CMS 1500 Okraje');
INSERT INTO `lang_definitions` VALUES (115168, 1115, 32, 'CMS 1500 Formát papíru');
INSERT INTO `lang_definitions` VALUES (115169, 1116, 32, 'CMS 1500: BOX 31 Formát');
INSERT INTO `lang_definitions` VALUES (115170, 1117, 32, 'CMS 1500: Datum  v  BOXu 31 ( podpis)');
INSERT INTO `lang_definitions` VALUES (115171, 1118, 32, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (115172, 1119, 32, 'CMS Portál');
INSERT INTO `lang_definitions` VALUES (115173, 1120, 32, 'Přihlášení do CMS Portál');
INSERT INTO `lang_definitions` VALUES (115174, 1121, 32, 'Přihlašovací ID CMS Portálu');
INSERT INTO `lang_definitions` VALUES (115175, 1122, 32, 'CMS Portál není zaveden !');
INSERT INTO `lang_definitions` VALUES (115176, 1123, 32, 'Heslo pro CMS Portál');
INSERT INTO `lang_definitions` VALUES (115177, 1124, 32, 'Požadavek pro CMS Portál');
INSERT INTO `lang_definitions` VALUES (115178, 1125, 32, 'Adresa stránky CMS Portálu');
INSERT INTO `lang_definitions` VALUES (115179, 1126, 32, 'uživatelské jméno CMS Portálu');
INSERT INTO `lang_definitions` VALUES (115180, 1127, 32, 'CN-12 intaktní');
INSERT INTO `lang_definitions` VALUES (115181, 1131, 32, 'Kód');
INSERT INTO `lang_definitions` VALUES (115182, 1132, 32, 'kód');
INSERT INTO `lang_definitions` VALUES (115183, 1133, 32, 'Vyhledávač kódu');
INSERT INTO `lang_definitions` VALUES (115184, 1134, 32, 'Kód je tvořen dvěma malými písmeny');
INSERT INTO `lang_definitions` VALUES (115185, 1135, 32, 'Kód nebo symbol měny');
INSERT INTO `lang_definitions` VALUES (115186, 1136, 32, 'Text kódu');
INSERT INTO `lang_definitions` VALUES (115187, 1137, 32, 'Typ kódu');
INSERT INTO `lang_definitions` VALUES (115188, 1138, 32, 'typ kódu');
INSERT INTO `lang_definitions` VALUES (115189, 1139, 32, 'Typ kódu nebyl rozpoznán');
INSERT INTO `lang_definitions` VALUES (115190, 1140, 32, 'Typ kódu nebyl dosud definován');
INSERT INTO `lang_definitions` VALUES (115191, 1141, 32, 'Typy kódu');
INSERT INTO `lang_definitions` VALUES (115192, 1142, 32, 'Kód (y)');
INSERT INTO `lang_definitions` VALUES (115193, 1143, 32, 'Kódováno');
INSERT INTO `lang_definitions` VALUES (115194, 1144, 32, 'Kódy');
INSERT INTO `lang_definitions` VALUES (115195, 1145, 32, 'Kódování');
INSERT INTO `lang_definitions` VALUES (115196, 1146, 32, 'Kódování ( kliknout pro vzdělávání )');
INSERT INTO `lang_definitions` VALUES (115197, 1147, 32, 'Kódování - libovolné vyšetření ( právo zápisu, vše/částečné)');
INSERT INTO `lang_definitions` VALUES (115198, 1148, 32, 'Kódování - moje vyšetření  ( právo zápisu, vše/částečné)');
INSERT INTO `lang_definitions` VALUES (115199, 1149, 32, 'Není oprávnění ke kódování');
INSERT INTO `lang_definitions` VALUES (115200, 1150, 32, 'Káva');
INSERT INTO `lang_definitions` VALUES (115201, 1151, 32, 'Užívání kávy');
INSERT INTO `lang_definitions` VALUES (115202, 1152, 32, 'Připojištění');
INSERT INTO `lang_definitions` VALUES (115203, 1153, 32, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (115204, 1154, 32, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (115205, 1155, 32, 'Zavřít');
INSERT INTO `lang_definitions` VALUES (115206, 1156, 32, 'Sbalit vše');
INSERT INTO `lang_definitions` VALUES (115207, 1157, 32, 'Sbalit vše');
INSERT INTO `lang_definitions` VALUES (115208, 1158, 32, 'Sbalit vše');
INSERT INTO `lang_definitions` VALUES (115209, 1160, 32, 'Datum sběru');
INSERT INTO `lang_definitions` VALUES (115210, 1161, 32, 'Sběry');
INSERT INTO `lang_definitions` VALUES (115211, 1163, 32, 'Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (115212, 1164, 32, 'Screening Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (115213, 1165, 32, 'Operace Ca tlustého střeva');
INSERT INTO `lang_definitions` VALUES (115214, 1166, 32, 'Kolonoskopie');
INSERT INTO `lang_definitions` VALUES (115215, 1167, 32, 'kolonoskopie');
INSERT INTO `lang_definitions` VALUES (115216, 1168, 32, 'Barva');
INSERT INTO `lang_definitions` VALUES (115217, 1170, 32, 'Sloupec');
INSERT INTO `lang_definitions` VALUES (115218, 1171, 32, 'Sloupce');
INSERT INTO `lang_definitions` VALUES (115219, 1173, 32, 'Čárka');
INSERT INTO `lang_definitions` VALUES (115220, 1174, 32, 'Komentář');
INSERT INTO `lang_definitions` VALUES (115221, 1175, 32, 'Komentáře');
INSERT INTO `lang_definitions` VALUES (115222, 1176, 32, 'Komentáře k tomuto výsledku nebo doporučení');
INSERT INTO `lang_definitions` VALUES (115223, 1177, 32, 'Komerční pojištění');
INSERT INTO `lang_definitions` VALUES (115224, 1178, 32, 'Potvrdit změny');
INSERT INTO `lang_definitions` VALUES (115225, 1179, 32, 'Komunikace');
INSERT INTO `lang_definitions` VALUES (115226, 1180, 32, 'Komunikace');
INSERT INTO `lang_definitions` VALUES (115227, 1182, 32, 'Podnik');
INSERT INTO `lang_definitions` VALUES (115228, 1183, 32, 'Jméno podniku');
INSERT INTO `lang_definitions` VALUES (115229, 1184, 32, 'Dokončit');
INSERT INTO `lang_definitions` VALUES (115230, 1186, 32, 'Dokončeno');
INSERT INTO `lang_definitions` VALUES (115231, 1188, 32, 'Dokončeno ?');
INSERT INTO `lang_definitions` VALUES (115232, 1190, 32, 'Komplikace na straně poskytovatele služby');
INSERT INTO `lang_definitions` VALUES (115233, 1191, 32, 'Komplikace při potratu');
INSERT INTO `lang_definitions` VALUES (115234, 1192, 32, 'Součásti');
INSERT INTO `lang_definitions` VALUES (115235, 1193, 32, 'Elektronické objednávky a žádanky');
INSERT INTO `lang_definitions` VALUES (115236, 1194, 32, 'Závěry');
INSERT INTO `lang_definitions` VALUES (115237, 1198, 32, 'Konfig');
INSERT INTO `lang_definitions` VALUES (115238, 1199, 32, 'Konfigurace');
INSERT INTO `lang_definitions` VALUES (115239, 1200, 32, 'Export/import konfigurace');
INSERT INTO `lang_definitions` VALUES (115240, 1201, 32, 'Konfigurace úspěšně uložena');
INSERT INTO `lang_definitions` VALUES (115241, 1202, 32, 'Nakonfigurujte Apache a LibreEHR pro použití klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (115242, 1203, 32, 'Nakonfigurujte Apache pro použití klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (115243, 1204, 32, 'Nakonfigurujte Apache pro použití HTTPS');
INSERT INTO `lang_definitions` VALUES (115244, 1205, 32, 'Nakonfigurujte LibreEHR pro použití klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (115245, 1208, 32, 'Potvrďte založení nového pacienta');
INSERT INTO `lang_definitions` VALUES (115246, 1209, 32, 'Potvrďte nové heslo');
INSERT INTO `lang_definitions` VALUES (115247, 1210, 32, 'Potvrďte platbu');
INSERT INTO `lang_definitions` VALUES (115248, 1214, 32, 'Kongenitální');
INSERT INTO `lang_definitions` VALUES (115249, 1215, 32, 'Spojivka, zornice');
INSERT INTO `lang_definitions` VALUES (115250, 1216, 32, 'Chyba spojení');
INSERT INTO `lang_definitions` VALUES (115251, 1217, 32, 'Konektory');
INSERT INTO `lang_definitions` VALUES (115252, 1218, 32, 'Konstanta');
INSERT INTO `lang_definitions` VALUES (115253, 1219, 32, 'Název konstanty');
INSERT INTO `lang_definitions` VALUES (115254, 1220, 32, 'Název konstanty je prázdný');
INSERT INTO `lang_definitions` VALUES (115255, 1221, 32, 'Konstanty');
INSERT INTO `lang_definitions` VALUES (115256, 1222, 32, 'Obstipace');
INSERT INTO `lang_definitions` VALUES (115257, 1223, 32, 'Konstituční');
INSERT INTO `lang_definitions` VALUES (115258, 1226, 32, 'Stručný popis konzultace');
INSERT INTO `lang_definitions` VALUES (115259, 1227, 32, 'Kontakt');
INSERT INTO `lang_definitions` VALUES (115260, 1228, 32, 'Kontaktní e-mail');
INSERT INTO `lang_definitions` VALUES (115261, 1229, 32, 'Kontaktní e-mailová adresa');
INSERT INTO `lang_definitions` VALUES (115262, 1230, 32, 'Kontaktujte přímo EMR k odběru služby phiMAil Direct messaging');
INSERT INTO `lang_definitions` VALUES (115263, 1231, 32, 'kontaktní informace');
INSERT INTO `lang_definitions` VALUES (115264, 1232, 32, 'Kontaktní čočky');
INSERT INTO `lang_definitions` VALUES (115265, 1233, 32, 'Contact Medical Information Integration, LLC at http://mi-squared.com for Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (115266, 1234, 32, 'Contact Medical Information Integration, LLC at http://mi-squared.com or ZH Healthcare at http://zhservices.com for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (115267, 1236, 32, 'Kontaktní jméno');
INSERT INTO `lang_definitions` VALUES (115268, 1237, 32, 'Kontaktní osoba');
INSERT INTO `lang_definitions` VALUES (115269, 1238, 32, 'Kontaktní telefon');
INSERT INTO `lang_definitions` VALUES (115270, 1239, 32, 'Kontaktní telefonní číslo');
INSERT INTO `lang_definitions` VALUES (115271, 1240, 32, 'Contact ZMG, LLC (zmghealth@gmail.com) for subscribing the eRx service');
INSERT INTO `lang_definitions` VALUES (115272, 1241, 32, 'obsahovat  minimálně 3 ze 4 následujících položek');
INSERT INTO `lang_definitions` VALUES (115273, 1242, 32, 'Název kontejneru - skupiny');
INSERT INTO `lang_definitions` VALUES (115274, 1243, 32, 'Obash');
INSERT INTO `lang_definitions` VALUES (115275, 1244, 32, 'obsah');
INSERT INTO `lang_definitions` VALUES (115276, 1245, 32, 'Kontaxt');
INSERT INTO `lang_definitions` VALUES (115277, 1246, 32, 'Kontextové jméno nemůže být prázdné');
INSERT INTO `lang_definitions` VALUES (115278, 1247, 32, 'Pokračovat');
INSERT INTO `lang_definitions` VALUES (115279, 1248, 32, 'Continuity of Care Document (CCD)');
INSERT INTO `lang_definitions` VALUES (115280, 1249, 32, 'Continuity of Care Record (CCR)');
INSERT INTO `lang_definitions` VALUES (115281, 1251, 32, 'Antikoncepce');
INSERT INTO `lang_definitions` VALUES (115282, 1253, 32, 'Komplikace antikoncepce ( k upřesnění )');
INSERT INTO `lang_definitions` VALUES (115283, 1254, 32, 'Metoda antikoncepce');
INSERT INTO `lang_definitions` VALUES (115284, 1255, 32, 'Antikoncepční produkty');
INSERT INTO `lang_definitions` VALUES (115285, 1257, 32, 'Antikoncepce od');
INSERT INTO `lang_definitions` VALUES (115286, 1258, 32, 'Kontrolní ID');
INSERT INTO `lang_definitions` VALUES (115287, 1259, 32, 'Kontrolní No.');
INSERT INTO `lang_definitions` VALUES (115288, 1261, 32, 'COPAY');
INSERT INTO `lang_definitions` VALUES (115289, 1262, 32, 'Copay');
INSERT INTO `lang_definitions` VALUES (115290, 1263, 32, 'CoPay');
INSERT INTO `lang_definitions` VALUES (115291, 1267, 32, 'CHOPN');
INSERT INTO `lang_definitions` VALUES (115292, 1268, 32, 'Zkopírovat stránky to grafu pacienta');
INSERT INTO `lang_definitions` VALUES (115293, 1269, 32, 'Kopírovat hodnoty');
INSERT INTO `lang_definitions` VALUES (115294, 1270, 32, 'Kopírování souboru databáze. To vyžaduje určitý čas.');
INSERT INTO `lang_definitions` VALUES (115295, 1271, 32, 'Upozornění na autorská práva');
INSERT INTO `lang_definitions` VALUES (115296, 1272, 32, 'Cornish');
INSERT INTO `lang_definitions` VALUES (115297, 1273, 32, 'Koronární bypass');
INSERT INTO `lang_definitions` VALUES (115298, 1274, 32, 'Aortokoronární bypass  (CABG)');
INSERT INTO `lang_definitions` VALUES (115299, 1275, 32, 'Opraveno');
INSERT INTO `lang_definitions` VALUES (115300, 1276, 32, 'Korsický');
INSERT INTO `lang_definitions` VALUES (115301, 1277, 32, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (115302, 1278, 32, 'Chyba spojení s CouchDB');
INSERT INTO `lang_definitions` VALUES (115303, 1279, 32, 'CouchDB databáze');
INSERT INTO `lang_definitions` VALUES (115304, 1280, 32, 'Jméno CouchDB databáze');
INSERT INTO `lang_definitions` VALUES (115305, 1281, 32, 'CouchDB host');
INSERT INTO `lang_definitions` VALUES (115306, 1282, 32, 'Jméno hosta CouchDB databáze');
INSERT INTO `lang_definitions` VALUES (115307, 1283, 32, 'Logování CouchDB zapnuto');
INSERT INTO `lang_definitions` VALUES (115308, 1284, 32, 'Heslo CouchDB');
INSERT INTO `lang_definitions` VALUES (115309, 1285, 32, 'Port CouchDB');
INSERT INTO `lang_definitions` VALUES (115310, 1286, 32, 'CouchDB port');
INSERT INTO `lang_definitions` VALUES (115311, 1287, 32, 'Uložení CouchDB selhalo');
INSERT INTO `lang_definitions` VALUES (115312, 1288, 32, 'Uživatelské jméno CouchDB');
INSERT INTO `lang_definitions` VALUES (115313, 1289, 32, 'Kašel');
INSERT INTO `lang_definitions` VALUES (115314, 1290, 32, 'Kašel:');
INSERT INTO `lang_definitions` VALUES (115315, 1291, 32, 'nelze se připojit k serveru');
INSERT INTO `lang_definitions` VALUES (115316, 1293, 32, 'nelze otevřít tabulku');
INSERT INTO `lang_definitions` VALUES (115317, 1294, 32, 'Soubor nelze přečíst');
INSERT INTO `lang_definitions` VALUES (115318, 1295, 32, 'nelze číst soubor');
INSERT INTO `lang_definitions` VALUES (115319, 1296, 32, 'Problémy na serveru. E-mail nelze odeslat ');
INSERT INTO `lang_definitions` VALUES (115320, 1297, 32, 'Mail nelze odeslat z důvodu chyby serveru ');
INSERT INTO `lang_definitions` VALUES (115321, 1298, 32, 'Nelze vytvořit adresář pro zálohy');
INSERT INTO `lang_definitions` VALUES (115322, 1299, 32, 'Adresář nelze smazat');
INSERT INTO `lang_definitions` VALUES (115323, 1300, 32, 'Nelze smazat starý soubor zálohy');
INSERT INTO `lang_definitions` VALUES (115324, 1301, 32, 'Nelze smazat starý soubor exportu');
INSERT INTO `lang_definitions` VALUES (115325, 1302, 32, 'Coumadin Management - INR Monitoring');
INSERT INTO `lang_definitions` VALUES (115326, 1304, 32, 'Poradenství');
INSERT INTO `lang_definitions` VALUES (115327, 1305, 32, 'poradenské aktiivty');
INSERT INTO `lang_definitions` VALUES (115328, 1308, 32, 'Země');
INSERT INTO `lang_definitions` VALUES (115329, 1309, 32, 'Typ dat příslušné země');
INSERT INTO `lang_definitions` VALUES (115330, 1310, 32, 'Seznam zemí');
INSERT INTO `lang_definitions` VALUES (115331, 1311, 32, 'Seznam zemí ( na výběr právo zápisu vše/částečně )');
INSERT INTO `lang_definitions` VALUES (115332, 1312, 32, 'Jméno země by mělo být uvedeno dvěma písmeny. ( Příklad: United States - US)');
INSERT INTO `lang_definitions` VALUES (115333, 1313, 32, 'Okres');
INSERT INTO `lang_definitions` VALUES (115334, 1315, 32, 'poukázka');
INSERT INTO `lang_definitions` VALUES (115335, 1318, 32, 'Klinické vyšetření pacienta (KVP)');
INSERT INTO `lang_definitions` VALUES (115336, 1319, 32, 'Kód KVP');
INSERT INTO `lang_definitions` VALUES (115337, 1320, 32, 'KVP kódy');
INSERT INTO `lang_definitions` VALUES (115338, 1321, 32, 'CPT4 Procedure/Service');
INSERT INTO `lang_definitions` VALUES (115339, 1322, 32, 'CPTII Performance Measures');
INSERT INTO `lang_definitions` VALUES (115340, 1323, 32, 'Průběžné řízení jakosti (CQM)');
INSERT INTO `lang_definitions` VALUES (115341, 1324, 32, 'Trhlinky:');
INSERT INTO `lang_definitions` VALUES (115342, 1325, 32, 'krém');
INSERT INTO `lang_definitions` VALUES (115343, 1326, 32, 'Vytvořit klinetský certifikát SSL pro každé zařízení uživatele nebo klienta');
INSERT INTO `lang_definitions` VALUES (115344, 1327, 32, 'Vytvořit klinetský certifikát SSL pro každé jméno hosta uživatele nebo klienta');
INSERT INTO `lang_definitions` VALUES (115345, 1328, 32, 'vytvořit nové sledování');
INSERT INTO `lang_definitions` VALUES (115346, 1329, 32, 'Vytvořit událost');
INSERT INTO `lang_definitions` VALUES (115347, 1330, 32, 'Vytvořit a stáhnout kompletní zálohu');
INSERT INTO `lang_definitions` VALUES (115348, 1331, 32, 'Vytvořit a modifikovat sledování');
INSERT INTO `lang_definitions` VALUES (115349, 1332, 32, 'Vytvořit zálohu');
INSERT INTO `lang_definitions` VALUES (115350, 1333, 32, 'Vytvořit dávku');
INSERT INTO `lang_definitions` VALUES (115351, 1334, 32, 'Vytvořit klientský certifikát');
INSERT INTO `lang_definitions` VALUES (115352, 1335, 32, 'Vytvořit klinetský certifikát SSL');
INSERT INTO `lang_definitions` VALUES (115353, 1336, 32, 'Vytvořit kopii');
INSERT INTO `lang_definitions` VALUES (115354, 1337, 32, 'Vytvořit vyšetření');
INSERT INTO `lang_definitions` VALUES (115355, 1338, 32, 'Vytvořit zálohu protokolu událostí');
INSERT INTO `lang_definitions` VALUES (115356, 1339, 32, 'Založit nový problém');
INSERT INTO `lang_definitions` VALUES (115357, 1340, 32, 'Založit nového pacienta');
INSERT INTO `lang_definitions` VALUES (115358, 1341, 32, 'Vytvořit nové sledování');
INSERT INTO `lang_definitions` VALUES (115359, 1344, 32, 'Vytvořit poznámku k pacientovi');
INSERT INTO `lang_definitions` VALUES (115360, 1345, 32, 'Vytvořit SSL certifikační autoritu a serverové certifikáty');
INSERT INTO `lang_definitions` VALUES (115361, 1346, 32, 'Vytvořit návštěvu');
INSERT INTO `lang_definitions` VALUES (115362, 1347, 32, 'Vytvořeno');
INSERT INTO `lang_definitions` VALUES (115363, 1348, 32, 'Vytváří se soubor exportu');
INSERT INTO `lang_definitions` VALUES (115364, 1349, 32, 'Vytvoření nového sledování selhalo');
INSERT INTO `lang_definitions` VALUES (115365, 1350, 32, 'Vytvoření tohotou souboru u vzdáleného hosta selhalo');
INSERT INTO `lang_definitions` VALUES (115366, 1351, 32, 'Tvůrce');
INSERT INTO `lang_definitions` VALUES (115367, 1352, 32, 'kredit');
INSERT INTO `lang_definitions` VALUES (115368, 1353, 32, 'Kreditní karta');
INSERT INTO `lang_definitions` VALUES (115369, 1354, 32, 'Kredity');
INSERT INTO `lang_definitions` VALUES (115370, 1355, 32, 'Cree');
INSERT INTO `lang_definitions` VALUES (115371, 1356, 32, 'Kritéria');
INSERT INTO `lang_definitions` VALUES (115372, 1357, 32, 'Chorvatský');
INSERT INTO `lang_definitions` VALUES (115373, 1358, 32, 'Crohnova choroba');
INSERT INTO `lang_definitions` VALUES (115374, 1359, 32, 'Crohnova choroba');
INSERT INTO `lang_definitions` VALUES (115375, 1360, 32, 'CSV export');
INSERT INTO `lang_definitions` VALUES (115376, 1361, 32, 'CSV soubor');
INSERT INTO `lang_definitions` VALUES (115377, 1362, 32, 'CSv tabulky');
INSERT INTO `lang_definitions` VALUES (115378, 1363, 32, 'mm3');
INSERT INTO `lang_definitions` VALUES (115379, 1364, 32, 'Kubánský');
INSERT INTO `lang_definitions` VALUES (115380, 1365, 32, 'Desetinná místa měny');
INSERT INTO `lang_definitions` VALUES (115381, 1366, 32, 'Symbol pro oddělení desetinného místa  měny');
INSERT INTO `lang_definitions` VALUES (115382, 1367, 32, 'Symbol měny');
INSERT INTO `lang_definitions` VALUES (115383, 1368, 32, 'Oddělovač tisíců příslušné měny');
INSERT INTO `lang_definitions` VALUES (115384, 1369, 32, 'Aktuální');
INSERT INTO `lang_definitions` VALUES (115385, 1370, 32, 'Aktuální spotřeba alkoholu');
INSERT INTO `lang_definitions` VALUES (115386, 1371, 32, 'Aktuální konsultace');
INSERT INTO `lang_definitions` VALUES (115387, 1372, 32, 'Aktuální kriteria');
INSERT INTO `lang_definitions` VALUES (115388, 1373, 32, 'Barevné zvýraznění aktuálního dne');
INSERT INTO `lang_definitions` VALUES (115389, 1374, 32, 'Aktuálně pravidelný denní kuřák');
INSERT INTO `lang_definitions` VALUES (115390, 1375, 32, 'Aktuální jméno souboru bylo změněno na');
INSERT INTO `lang_definitions` VALUES (115391, 1376, 32, 'Aktuální haš');
INSERT INTO `lang_definitions` VALUES (115392, 1377, 32, 'Aktuální umístění');
INSERT INTO `lang_definitions` VALUES (115393, 1378, 32, 'Současná medikace');
INSERT INTO `lang_definitions` VALUES (115394, 1379, 32, 'Aktuální heslo');
INSERT INTO `lang_definitions` VALUES (115395, 1380, 32, 'Aktuální pacient');
INSERT INTO `lang_definitions` VALUES (115396, 1382, 32, 'Aktuální stav užívání rekreačních drog');
INSERT INTO `lang_definitions` VALUES (115397, 1383, 32, 'Aktuálně příležitosný kuřák');
INSERT INTO `lang_definitions` VALUES (115398, 1385, 32, 'Aktuální hodnota');
INSERT INTO `lang_definitions` VALUES (115399, 1386, 32, 'Aktuálně aktivní');
INSERT INTO `lang_definitions` VALUES (115400, 1387, 32, 'Aktuálně v běhu');
INSERT INTO `lang_definitions` VALUES (115401, 1388, 32, 'V tuto chvíli zde nejsou žádná zařízení');
INSERT INTO `lang_definitions` VALUES (115402, 1389, 32, 'Cushingův syndrom');
INSERT INTO `lang_definitions` VALUES (115403, 1390, 32, 'Cushingův syndrom');
INSERT INTO `lang_definitions` VALUES (115404, 1392, 32, 'Uživatelský');
INSERT INTO `lang_definitions` VALUES (115405, 1393, 32, 'Uživatelský vstup ?');
INSERT INTO `lang_definitions` VALUES (115406, 1394, 32, 'Uživatelská tabulka');
INSERT INTO `lang_definitions` VALUES (115407, 1396, 32, 'CVX Kód');
INSERT INTO `lang_definitions` VALUES (115408, 1397, 32, 'Mapování CVX kódu');
INSERT INTO `lang_definitions` VALUES (115409, 1398, 32, 'CVX imunizace');
INSERT INTO `lang_definitions` VALUES (115410, 1399, 32, 'cyklus');
INSERT INTO `lang_definitions` VALUES (115411, 1400, 32, 'CYP');
INSERT INTO `lang_definitions` VALUES (115412, 1401, 32, 'CYP faktor');
INSERT INTO `lang_definitions` VALUES (115413, 1402, 32, 'CYP hlášení');
INSERT INTO `lang_definitions` VALUES (115414, 1403, 32, 'Český');
INSERT INTO `lang_definitions` VALUES (115415, 1404, 32, 'D');
INSERT INTO `lang_definitions` VALUES (115416, 1405, 32, 'Dilatace a kyretáž');
INSERT INTO `lang_definitions` VALUES (115417, 1406, 32, 'Dieta a cvičení');
INSERT INTO `lang_definitions` VALUES (115418, 1407, 32, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (115419, 1408, 32, 'denně');
INSERT INTO `lang_definitions` VALUES (115420, 1409, 32, 'Denní záznamy');
INSERT INTO `lang_definitions` VALUES (115421, 1410, 32, 'Dánský');
INSERT INTO `lang_definitions` VALUES (115422, 1411, 32, 'Podobné údaje jsoujiž v databázi, změňte prosím kód a / nebo popis');
INSERT INTO `lang_definitions` VALUES (115423, 1412, 32, 'Podobné údaje jsoujiž v databázi, změňte název konstanty');
INSERT INTO `lang_definitions` VALUES (115424, 1413, 32, 'datové sloupce');
INSERT INTO `lang_definitions` VALUES (115425, 1416, 32, 'Chyba dat');
INSERT INTO `lang_definitions` VALUES (115426, 1417, 32, 'Data z');
INSERT INTO `lang_definitions` VALUES (115427, 1420, 32, 'Typy dat');
INSERT INTO `lang_definitions` VALUES (115428, 1421, 32, 'Databáze');
INSERT INTO `lang_definitions` VALUES (115429, 1422, 32, 'Databáze není instalována');
INSERT INTO `lang_definitions` VALUES (115430, 1423, 32, 'Databázová záplata ( patch)');
INSERT INTO `lang_definitions` VALUES (115431, 1424, 32, 'Databázová hlášení');
INSERT INTO `lang_definitions` VALUES (115432, 1425, 32, 'Upgrade databáze úspěšný.');
INSERT INTO `lang_definitions` VALUES (115433, 1426, 32, 'Datové sloupce musí být číslem  mezi 1 a 999');
INSERT INTO `lang_definitions` VALUES (115434, 1427, 32, 'Datum');
INSERT INTO `lang_definitions` VALUES (115435, 1428, 32, 'Datum');
INSERT INTO `lang_definitions` VALUES (115436, 1429, 32, 'Datum a Čas spravovány');
INSERT INTO `lang_definitions` VALUES (115437, 1431, 32, 'Darum spravováno');
INSERT INTO `lang_definitions` VALUES (115438, 1432, 32, 'Datum a čas odběru vzorku');
INSERT INTO `lang_definitions` VALUES (115439, 1433, 32, 'Datum a čas pozorování');
INSERT INTO `lang_definitions` VALUES (115440, 1435, 32, 'Datum a čas získání vzorku');
INSERT INTO `lang_definitions` VALUES (115441, 1436, 32, 'Datum nemůže být  vyšší než dnešní');
INSERT INTO `lang_definitions` VALUES (115442, 1437, 32, 'Datum zahájení antikoncepce');
INSERT INTO `lang_definitions` VALUES (115443, 1438, 32, 'Datum vytvořeno');
INSERT INTO `lang_definitions` VALUES (115444, 1439, 32, 'Datum úmrtí');
INSERT INTO `lang_definitions` VALUES (115445, 1440, 32, 'Datum zničeno');
INSERT INTO `lang_definitions` VALUES (115446, 1441, 32, 'Formát zobrazení data');
INSERT INTO `lang_definitions` VALUES (115447, 1442, 32, 'Formát data pro \"konec návštěvy\" není platný');
INSERT INTO `lang_definitions` VALUES (115448, 1443, 32, 'Formát data pro \"začátek návštěvy\" není platný');
INSERT INTO `lang_definitions` VALUES (115449, 1444, 32, 'Formát data pro \"příští návštěvu\" není platný');
INSERT INTO `lang_definitions` VALUES (115450, 1445, 32, 'Formát data pro \"dosud nepozorováno\" není platný');
INSERT INTO `lang_definitions` VALUES (115451, 1446, 32, 'Formát data pro \"pozorováno od\" není platný');
INSERT INTO `lang_definitions` VALUES (115452, 1447, 32, 'Datum získání informací o stavu Imunizace');
INSERT INTO `lang_definitions` VALUES (115453, 1448, 32, 'Chybí datum pro tento kód ');
INSERT INTO `lang_definitions` VALUES (115454, 1450, 32, 'Datum bankovního vkladu rrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (115455, 1451, 32, 'Datum účtování');
INSERT INTO `lang_definitions` VALUES (115456, 1452, 32, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (115457, 1453, 32, 'datum narození');
INSERT INTO `lang_definitions` VALUES (115458, 1454, 32, 'Datum narození');
INSERT INTO `lang_definitions` VALUES (115459, 1455, 32, 'Datum přístupu');
INSERT INTO `lang_definitions` VALUES (115460, 1456, 32, 'Datum úrazu');
INSERT INTO `lang_definitions` VALUES (115461, 1458, 32, 'datum platby rrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (115462, 1459, 32, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (115463, 1460, 32, 'Datum odpovědi');
INSERT INTO `lang_definitions` VALUES (115464, 1461, 32, 'Datum hlášení');
INSERT INTO `lang_definitions` VALUES (115465, 1462, 32, 'Datum služby');
INSERT INTO `lang_definitions` VALUES (115466, 1463, 32, 'Datum služby');
INSERT INTO `lang_definitions` VALUES (115467, 1464, 32, 'Datum služby = dnes');
INSERT INTO `lang_definitions` VALUES (115468, 1465, 32, 'Datum služby = mm/dd/rrrr');
INSERT INTO `lang_definitions` VALUES (115469, 1466, 32, 'Datum služby:');
INSERT INTO `lang_definitions` VALUES (115470, 1467, 32, 'Datum podpisu');
INSERT INTO `lang_definitions` VALUES (115471, 1468, 32, 'Datum změny  statutu');
INSERT INTO `lang_definitions` VALUES (115472, 1469, 32, 'Datum  tohoto nařízení');
INSERT INTO `lang_definitions` VALUES (115473, 1470, 32, 'Datum tohoto hlášení');
INSERT INTO `lang_definitions` VALUES (115474, 1474, 32, 'Výběr data');
INSERT INTO `lang_definitions` VALUES (115475, 1475, 32, 'Výběr data');
INSERT INTO `lang_definitions` VALUES (115476, 1476, 32, 'datum odesláno');
INSERT INTO `lang_definitions` VALUES (115477, 1477, 32, 'Datum, kdy byla zpráva odeslána');
INSERT INTO `lang_definitions` VALUES (115478, 1478, 32, 'datum čas');
INSERT INTO `lang_definitions` VALUES (115479, 1479, 32, 'Hodnoty data nemohou být prázdné');
INSERT INTO `lang_definitions` VALUES (115480, 1480, 32, 'Datum/Návšt');
INSERT INTO `lang_definitions` VALUES (115481, 1481, 32, 'Datum/Poznámky');
INSERT INTO `lang_definitions` VALUES (115482, 1483, 32, 'Datum/Čas');
INSERT INTO `lang_definitions` VALUES (115483, 1484, 32, 'Datum:');
INSERT INTO `lang_definitions` VALUES (115484, 1485, 32, 'Dated Message Log');
INSERT INTO `lang_definitions` VALUES (115485, 1486, 32, 'Den');
INSERT INTO `lang_definitions` VALUES (115486, 1487, 32, 'den');
INSERT INTO `lang_definitions` VALUES (115487, 1489, 32, 'Denní pohled');
INSERT INTO `lang_definitions` VALUES (115488, 1490, 32, 'Den ( dny)');
INSERT INTO `lang_definitions` VALUES (115489, 1491, 32, 'Den ( dny) Po-Pá');
INSERT INTO `lang_definitions` VALUES (115490, 1492, 32, 'dny');
INSERT INTO `lang_definitions` VALUES (115491, 1493, 32, 'Dny');
INSERT INTO `lang_definitions` VALUES (115492, 1494, 32, 'dny');
INSERT INTO `lang_definitions` VALUES (115493, 1495, 32, 'Dny a hry chybí');
INSERT INTO `lang_definitions` VALUES (115494, 1496, 32, 'Dnů od posledního vyšetření');
INSERT INTO `lang_definitions` VALUES (115495, 1497, 32, 'Dny chybí');
INSERT INTO `lang_definitions` VALUES (115496, 1498, 32, 'Dnů ve sloupci');
INSERT INTO `lang_definitions` VALUES (115497, 1500, 32, 'Dnů/Sloup.:');
INSERT INTO `lang_definitions` VALUES (115498, 1501, 32, 'Databáze je instalována');
INSERT INTO `lang_definitions` VALUES (115499, 1502, 32, 'DD/MM/RRRR');
INSERT INTO `lang_definitions` VALUES (115500, 1503, 32, 'Deidentifikace');
INSERT INTO `lang_definitions` VALUES (115501, 1504, 32, 'Deindentifikační proces dokončen');
INSERT INTO `lang_definitions` VALUES (115502, 1505, 32, 'Deindentifikační proces pokračuje');
INSERT INTO `lang_definitions` VALUES (115503, 1506, 32, 'Deindentifikační proces zahájen a běží na pozadí');
INSERT INTO `lang_definitions` VALUES (115504, 1507, 32, 'Deidentifikovaná data mohou být nekompletní');
INSERT INTO `lang_definitions` VALUES (115505, 1508, 32, 'Deindentifikační soubory budou uloženy v');
INSERT INTO `lang_definitions` VALUES (115506, 1511, 32, 'neslyšící');
INSERT INTO `lang_definitions` VALUES (115507, 1512, 32, 'ladící informace');
INSERT INTO `lang_definitions` VALUES (115508, 1514, 32, 'Ladění');
INSERT INTO `lang_definitions` VALUES (115509, 1515, 32, 'Pros');
INSERT INTO `lang_definitions` VALUES (115510, 1516, 32, 'Zesnulý');
INSERT INTO `lang_definitions` VALUES (115511, 1517, 32, 'Prosinec');
INSERT INTO `lang_definitions` VALUES (115512, 1518, 32, 'desetiny liber nebo libry a unce oddělené #(např. 5#4)');
INSERT INTO `lang_definitions` VALUES (115513, 1519, 32, 'upřesnění odmítnuto');
INSERT INTO `lang_definitions` VALUES (115514, 1520, 32, 'odečítatelný');
INSERT INTO `lang_definitions` VALUES (115515, 1522, 32, 'Výchozí');
INSERT INTO `lang_definitions` VALUES (115516, 1523, 32, 'Výchozí zobrazení kalendáře');
INSERT INTO `lang_definitions` VALUES (115517, 1524, 32, 'Výchozí ID  formuláře vyšetření');
INSERT INTO `lang_definitions` VALUES (115518, 1526, 32, 'Výchozí zařízení');
INSERT INTO `lang_definitions` VALUES (115519, 1527, 32, 'Výchozí jazyk');
INSERT INTO `lang_definitions` VALUES (115520, 1528, 32, 'Výchozí jazyk pokud jiný není povolen nebo zvolen');
INSERT INTO `lang_definitions` VALUES (115521, 1529, 32, 'Výchozí seznam ( na výběr právo zápisovat/přidat');
INSERT INTO `lang_definitions` VALUES (115522, 1530, 32, 'Výchozí metoda');
INSERT INTO `lang_definitions` VALUES (115523, 1531, 32, 'Výchozí počet dnů pro expiraci hesla');
INSERT INTO `lang_definitions` VALUES (115524, 1532, 32, 'Výchozí expirační lhůta hesla ve dnech. 0 znamená, že tato funkce je uzamčena.');
INSERT INTO `lang_definitions` VALUES (115525, 1533, 32, 'Výchozí země pacienta');
INSERT INTO `lang_definitions` VALUES (115526, 1535, 32, 'Výchozí priorita');
INSERT INTO `lang_definitions` VALUES (115527, 1536, 32, 'Výchozí poskytovatel');
INSERT INTO `lang_definitions` VALUES (115528, 1537, 32, 'Výchozí rozsah');
INSERT INTO `lang_definitions` VALUES (115529, 1538, 32, 'Výchozí důvod návštěvy');
INSERT INTO `lang_definitions` VALUES (115530, 1540, 32, 'Výchozí nastavení');
INSERT INTO `lang_definitions` VALUES (115531, 1541, 32, 'Výchozí stav zaškrtávacího pole v novém okně seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (115532, 1542, 32, 'Výchozí šablona');
INSERT INTO `lang_definitions` VALUES (115533, 1546, 32, 'Výchozí jednotky');
INSERT INTO `lang_definitions` VALUES (115534, 1547, 32, 'Výchozí hodnota');
INSERT INTO `lang_definitions` VALUES (115535, 1548, 32, 'Výchozí sklad');
INSERT INTO `lang_definitions` VALUES (115536, 1549, 32, 'Výchozí X12 partner');
INSERT INTO `lang_definitions` VALUES (115537, 1550, 32, 'Výchozí/Globální');
INSERT INTO `lang_definitions` VALUES (115538, 1551, 32, 'Smazat');
INSERT INTO `lang_definitions` VALUES (115539, 1552, 32, 'smazat');
INSERT INTO `lang_definitions` VALUES (115540, 1553, 32, 'Odložené opakování (> 12 Mo)');
INSERT INTO `lang_definitions` VALUES (115541, 1554, 32, 'Smazat');
INSERT INTO `lang_definitions` VALUES (115542, 1555, 32, 'smazat');
INSERT INTO `lang_definitions` VALUES (115543, 1556, 32, 'Smazat kategorie s ID: ');
INSERT INTO `lang_definitions` VALUES (115544, 1557, 32, 'Smazat kategorii');
INSERT INTO `lang_definitions` VALUES (115545, 1559, 32, 'Smazání selhalo !');
INSERT INTO `lang_definitions` VALUES (115546, 1560, 32, 'Smazat skupinu');
INSERT INTO `lang_definitions` VALUES (115547, 1561, 32, 'Smazat seznam');
INSERT INTO `lang_definitions` VALUES (115548, 1562, 32, 'Smazat stránky');
INSERT INTO `lang_definitions` VALUES (115549, 1563, 32, 'Smazat pacienta, vyšetření, formulář, problém, platbu, účtování nebo transakci');
INSERT INTO `lang_definitions` VALUES (115550, 1565, 32, 'Smazat řádek');
INSERT INTO `lang_definitions` VALUES (115551, 1566, 32, 'Smazat vybrané položky');
INSERT INTO `lang_definitions` VALUES (115552, 1567, 32, 'Smazat vybrané požadavky');
INSERT INTO `lang_definitions` VALUES (115553, 1568, 32, 'Smazání úspěšné');
INSERT INTO `lang_definitions` VALUES (115554, 1569, 32, 'Smazat tento dokument');
INSERT INTO `lang_definitions` VALUES (115555, 1570, 32, 'Smazat tento formulář');
INSERT INTO `lang_definitions` VALUES (115556, 1571, 32, 'Smazat tuto poznámku');
INSERT INTO `lang_definitions` VALUES (115557, 1572, 32, 'Úspěšně smazáno');
INSERT INTO `lang_definitions` VALUES (115558, 1573, 32, 'Úspěšně smazáno');
INSERT INTO `lang_definitions` VALUES (115559, 1574, 32, 'Mazání');
INSERT INTO `lang_definitions` VALUES (115560, 1575, 32, 'Odstranění této události nelze vrátit zpět. Není možná následná obnova. Jste si jisti, že chcete smazat tuto událost?');
INSERT INTO `lang_definitions` VALUES (115561, 1576, 32, 'Potvrzeno droučení');
INSERT INTO `lang_definitions` VALUES (115562, 1577, 32, 'Potvrzení není povoleno pro specifikovanou adresu');
INSERT INTO `lang_definitions` VALUES (115563, 1578, 32, 'Potvrzení není aktuálně povoleno pro specifikovanou adresu');
INSERT INTO `lang_definitions` VALUES (115564, 1579, 32, 'Doručení přiloženého klinického dokumetu na vyžádání pacienta.');
INSERT INTO `lang_definitions` VALUES (115565, 1580, 32, 'Doručení přiloženého klinického dokumetu na vyžádání pacienta.');
INSERT INTO `lang_definitions` VALUES (115566, 1581, 32, 'Demence');
INSERT INTO `lang_definitions` VALUES (115567, 1582, 32, 'Demografické údaje');
INSERT INTO `lang_definitions` VALUES (115568, 1583, 32, 'Demografické údaje ( volotelně právo zapisovat/přidat)');
INSERT INTO `lang_definitions` VALUES (115569, 1585, 32, 'Kritéria filtru pro demografické údaje');
INSERT INTO `lang_definitions` VALUES (115570, 1586, 32, 'Demografické údaje nejsou autorizované');
INSERT INTO `lang_definitions` VALUES (115571, 1587, 32, 'Demografické údaje nejsou autorizované');
INSERT INTO `lang_definitions` VALUES (115572, 1588, 32, 'Zamítnuto');
INSERT INTO `lang_definitions` VALUES (115573, 1589, 32, 'Jmenovatel');
INSERT INTO `lang_definitions` VALUES (115574, 1590, 32, 'Stomatologický');
INSERT INTO `lang_definitions` VALUES (115575, 1591, 32, 'Seznam stomatologických obtíží');
INSERT INTO `lang_definitions` VALUES (115576, 1592, 32, 'Stomatologické problémy');
INSERT INTO `lang_definitions` VALUES (115577, 1593, 32, 'Moduly - závislosti');
INSERT INTO `lang_definitions` VALUES (115578, 1594, 32, 'Problémy - závislosti');
INSERT INTO `lang_definitions` VALUES (115579, 1595, 32, 'V závislosti na typu účtu, který testujete, uvidíte HCFA jako výstup na prázdnou stránku v rámci HCFA účtování. Pokud testujete požadavek X12, uvidíte mnoho řádků poněkud zkomolených textů a informací. Zkomolený text je formát X12 EDI 4010A. Občas uvidíte podivné znaky, které vypadají jako kostky domino. Jde o normální kontrolní znaky.');
INSERT INTO `lang_definitions` VALUES (115580, 1596, 32, 'Datum vkladu');
INSERT INTO `lang_definitions` VALUES (115581, 1597, 32, 'datum vkladu nemůže být novější než dnešní.');
INSERT INTO `lang_definitions` VALUES (115582, 1598, 32, 'Datum vkladu:');
INSERT INTO `lang_definitions` VALUES (115583, 1599, 32, 'Depresivní');
INSERT INTO `lang_definitions` VALUES (115584, 1600, 32, 'Deprese');
INSERT INTO `lang_definitions` VALUES (115585, 1602, 32, 'Popis');
INSERT INTO `lang_definitions` VALUES (115586, 1603, 32, 'popis');
INSERT INTO `lang_definitions` VALUES (115587, 1604, 32, 'Popis je výchozí text');
INSERT INTO `lang_definitions` VALUES (115588, 1605, 32, 'Popis odhalení');
INSERT INTO `lang_definitions` VALUES (115589, 1606, 32, 'Popis procedury nebo výsledného kódu');
INSERT INTO `lang_definitions` VALUES (115590, 1607, 32, 'Přklad popisu');
INSERT INTO `lang_definitions` VALUES (115591, 1608, 32, 'Požadované jméno souboru');
INSERT INTO `lang_definitions` VALUES (115592, 1609, 32, 'Cíl');
INSERT INTO `lang_definitions` VALUES (115593, 1610, 32, 'Jméno cílového souboru');
INSERT INTO `lang_definitions` VALUES (115594, 1612, 32, 'Zničit');
INSERT INTO `lang_definitions` VALUES (115595, 1613, 32, 'Zničeno');
INSERT INTO `lang_definitions` VALUES (115596, 1614, 32, 'Zničené léky');
INSERT INTO `lang_definitions` VALUES (115597, 1615, 32, 'Hlášení o zničených lécích');
INSERT INTO `lang_definitions` VALUES (115598, 1616, 32, 'Detail');
INSERT INTO `lang_definitions` VALUES (115599, 1617, 32, 'Detaily');
INSERT INTO `lang_definitions` VALUES (115600, 1619, 32, 'Vývojové abnormality');
INSERT INTO `lang_definitions` VALUES (115601, 1620, 32, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (115602, 1621, 32, 'Diabetes mellitus');
INSERT INTO `lang_definitions` VALUES (115603, 1622, 32, 'Diabetes: sledování krevního tlaku');
INSERT INTO `lang_definitions` VALUES (115604, 1623, 32, 'Diabetes: Oční vyšetření');
INSERT INTO `lang_definitions` VALUES (115605, 1624, 32, 'Diabetes: Oční vyšetření');
INSERT INTO `lang_definitions` VALUES (115606, 1625, 32, 'Diabetes: Vyšetření nohou');
INSERT INTO `lang_definitions` VALUES (115607, 1626, 32, 'Diabetes: Vyšetření nohou');
INSERT INTO `lang_definitions` VALUES (115608, 1627, 32, 'Diabetes: HbA1c kontroly');
INSERT INTO `lang_definitions` VALUES (115609, 1628, 32, 'Diabetes: Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (115610, 1629, 32, 'Diabetes: LDL sledování & kontroly');
INSERT INTO `lang_definitions` VALUES (115611, 1630, 32, 'Diabetes: Microalbuminurie');
INSERT INTO `lang_definitions` VALUES (115612, 1631, 32, 'Diag');
INSERT INTO `lang_definitions` VALUES (115613, 1632, 32, 'Diagnózy');
INSERT INTO `lang_definitions` VALUES (115614, 1633, 32, 'Diagnóza');
INSERT INTO `lang_definitions` VALUES (115615, 1634, 32, 'Kód diagnózy');
INSERT INTO `lang_definitions` VALUES (115616, 1635, 32, 'Kódy diagnóz');
INSERT INTO `lang_definitions` VALUES (115617, 1636, 32, 'Datum diagnózy');
INSERT INTO `lang_definitions` VALUES (115618, 1637, 32, 'Diagnóza musí být kódována k odpovídajícímu vyšetření');
INSERT INTO `lang_definitions` VALUES (115619, 1638, 32, 'Jméno diagnózy');
INSERT INTO `lang_definitions` VALUES (115620, 1639, 32, 'Diagnostické hlášení');
INSERT INTO `lang_definitions` VALUES (115621, 1640, 32, 'Diagnostické hlášení');
INSERT INTO `lang_definitions` VALUES (115622, 1641, 32, 'Pouze diagnostická hlášení');
INSERT INTO `lang_definitions` VALUES (115623, 1642, 32, 'Označení diagnózy');
INSERT INTO `lang_definitions` VALUES (115624, 1643, 32, 'Diagnóza:');
INSERT INTO `lang_definitions` VALUES (115625, 1644, 32, 'Diagnóza: ');
INSERT INTO `lang_definitions` VALUES (115626, 1645, 32, 'Diagnostické testy:');
INSERT INTO `lang_definitions` VALUES (115627, 1646, 32, 'Dialýza');
INSERT INTO `lang_definitions` VALUES (115628, 1648, 32, 'Průjem');
INSERT INTO `lang_definitions` VALUES (115629, 1650, 32, 'Diktát');
INSERT INTO `lang_definitions` VALUES (115630, 1651, 32, 'Diktát: ');
INSERT INTO `lang_definitions` VALUES (115631, 1652, 32, 'Obdrželi jste kopii HIPAA oznámení');
INSERT INTO `lang_definitions` VALUES (115632, 1653, 32, 'Difusní:');
INSERT INTO `lang_definitions` VALUES (115633, 1654, 32, 'Digitálně podepsáno:');
INSERT INTO `lang_definitions` VALUES (115634, 1657, 32, 'Direct mail');
INSERT INTO `lang_definitions` VALUES (115635, 1658, 32, 'Log Direct zpráv');
INSERT INTO `lang_definitions` VALUES (115636, 1659, 32, 'Direct zpráva příijata');
INSERT INTO `lang_definitions` VALUES (115637, 1660, 32, 'Direct zprávy jsou aktuálně nedostupné');
INSERT INTO `lang_definitions` VALUES (115638, 1661, 32, 'Odeslání Direct zprávy selhalo');
INSERT INTO `lang_definitions` VALUES (115639, 1663, 32, 'Jméno ředitele');
INSERT INTO `lang_definitions` VALUES (115640, 1664, 32, 'Mazání adresáře selhalo, pokračuji.');
INSERT INTO `lang_definitions` VALUES (115641, 1665, 32, 'Invalidita');
INSERT INTO `lang_definitions` VALUES (115642, 1666, 32, 'Nepřístupné');
INSERT INTO `lang_definitions` VALUES (115643, 1667, 32, 'Deaktivovat kalendář');
INSERT INTO `lang_definitions` VALUES (115644, 1668, 32, 'Deaktivovat Chart tracker');
INSERT INTO `lang_definitions` VALUES (115645, 1669, 32, 'Deaktivovat');
INSERT INTO `lang_definitions` VALUES (115646, 1670, 32, 'Deaktivovat staré metrické formuláře vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (115647, 1672, 32, 'Deaktivovat phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (115648, 1673, 32, 'Deaktivovat preskripci');
INSERT INTO `lang_definitions` VALUES (115649, 1674, 32, 'Deaktivovat uživatelské skupiny');
INSERT INTO `lang_definitions` VALUES (115650, 1675, 32, 'deaktivováno');
INSERT INTO `lang_definitions` VALUES (115651, 1676, 32, 'Deaktivováno');
INSERT INTO `lang_definitions` VALUES (115652, 1678, 32, 'DISC');
INSERT INTO `lang_definitions` VALUES (115653, 1679, 32, 'zrušit');
INSERT INTO `lang_definitions` VALUES (115654, 1680, 32, 'Zrušeno');
INSERT INTO `lang_definitions` VALUES (115655, 1681, 32, 'Výtok');
INSERT INTO `lang_definitions` VALUES (115656, 1682, 32, 'Výtok z uretry');
INSERT INTO `lang_definitions` VALUES (115657, 1694, 32, 'Sleva');
INSERT INTO `lang_definitions` VALUES (115658, 1695, 32, 'výše slevy');
INSERT INTO `lang_definitions` VALUES (115659, 1696, 32, 'Úroveň slevy');
INSERT INTO `lang_definitions` VALUES (115660, 1697, 32, 'Procentuální sleva');
INSERT INTO `lang_definitions` VALUES (115661, 1698, 32, 'Sleva jako peněžní hodnota');
INSERT INTO `lang_definitions` VALUES (115662, 1699, 32, 'Slevy při platbě jsou stanoveny jako peněžní částka nikoliv procentuálně');
INSERT INTO `lang_definitions` VALUES (115663, 1700, 32, 'Diskrétní výsledky');
INSERT INTO `lang_definitions` VALUES (115664, 1701, 32, 'Onemocnění');
INSERT INTO `lang_definitions` VALUES (115665, 1702, 32, 'Dislokace');
INSERT INTO `lang_definitions` VALUES (115666, 1703, 32, 'Odesl. #');
INSERT INTO `lang_definitions` VALUES (115667, 1704, 32, 'Odeslání');
INSERT INTO `lang_definitions` VALUES (115668, 1705, 32, 'Odeslat přijatý dokument');
INSERT INTO `lang_definitions` VALUES (115669, 1706, 32, 'Vyjmuto');
INSERT INTO `lang_definitions` VALUES (115670, 1707, 32, 'Zobrazit pokročilé instrukce na stránce demografických údajů');
INSERT INTO `lang_definitions` VALUES (115671, 1708, 32, 'Zobrazit dokumenty');
INSERT INTO `lang_definitions` VALUES (115672, 1709, 32, 'Zobrazit termíny události v bloku ?');
INSERT INTO `lang_definitions` VALUES (115673, 1711, 32, 'Zobrazit počet událostí ?');
INSERT INTO `lang_definitions` VALUES (115674, 1713, 32, 'Zobrazit umístěšní v bloku ?');
INSERT INTO `lang_definitions` VALUES (115675, 1714, 32, 'Zobrazit jméno');
INSERT INTO `lang_definitions` VALUES (115676, 1715, 32, 'Zobrazit kalendář ?');
INSERT INTO `lang_definitions` VALUES (115677, 1718, 32, 'Zobrazit dnešní události v bloku ?');
INSERT INTO `lang_definitions` VALUES (115678, 1720, 32, 'Zobrazit nadcházející události v bloku ?');
INSERT INTO `lang_definitions` VALUES (115679, 1721, 32, 'Zobrazit sloupce');
INSERT INTO `lang_definitions` VALUES (115680, 1722, 32, 'Zobrazení následujícího čísla nejčerstvějších publikací');
INSERT INTO `lang_definitions` VALUES (115681, 1723, 32, 'Zobrazení následujícího čísla nejčerstvějších poznámek');
INSERT INTO `lang_definitions` VALUES (115682, 1724, 32, 'Zobrazení následujícího čísla nejčerstvějších poznámek');
INSERT INTO `lang_definitions` VALUES (115683, 1725, 32, 'Distribuce');
INSERT INTO `lang_definitions` VALUES (115684, 1726, 32, 'Distribuce');
INSERT INTO `lang_definitions` VALUES (115685, 1727, 32, 'Distributor');
INSERT INTO `lang_definitions` VALUES (115686, 1729, 32, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (115687, 1730, 32, 'Operace divertikulitidy');
INSERT INTO `lang_definitions` VALUES (115688, 1731, 32, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (115689, 1732, 32, 'Operace divertikulitidy');
INSERT INTO `lang_definitions` VALUES (115690, 1733, 32, 'Rozvedený/á');
INSERT INTO `lang_definitions` VALUES (115691, 1734, 32, 'Vertigo:');
INSERT INTO `lang_definitions` VALUES (115692, 1735, 32, 'Neměnit');
INSERT INTO `lang_definitions` VALUES (115693, 1737, 32, 'Nezobrazovat alergie nahrané do NewCrop');
INSERT INTO `lang_definitions` VALUES (115694, 1739, 32, 'Nezobrazovat medikace nahrané do NewCrop');
INSERT INTO `lang_definitions` VALUES (115695, 1742, 32, 'Nezobrazovat kalendář');
INSERT INTO `lang_definitions` VALUES (115696, 1745, 32, 'Není nutné autorizovat poznámku k pacientovi');
INSERT INTO `lang_definitions` VALUES (115697, 1746, 32, 'Pokyn neresuscitovat');
INSERT INTO `lang_definitions` VALUES (115698, 1747, 32, 'Neukládat');
INSERT INTO `lang_definitions` VALUES (115699, 1748, 32, 'nenahrazovat');
INSERT INTO `lang_definitions` VALUES (115700, 1749, 32, 'nic nedělat');
INSERT INTO `lang_definitions` VALUES (115701, 1751, 32, 'Opravdu chcete smazat');
INSERT INTO `lang_definitions` VALUES (115702, 1752, 32, 'Opravdu chcete smazat výběr ?');
INSERT INTO `lang_definitions` VALUES (115703, 1753, 32, 'Opravdu chcete smazat tuto skupinu');
INSERT INTO `lang_definitions` VALUES (115704, 1754, 32, 'Opravdu chcete smazat ?');
INSERT INTO `lang_definitions` VALUES (115705, 1755, 32, 'Opravdu chcete pokračovat ?');
INSERT INTO `lang_definitions` VALUES (115706, 1756, 32, 'Opravdu to chcete smazat ?');
INSERT INTO `lang_definitions` VALUES (115707, 1757, 32, 'Chcete smazat ?');
INSERT INTO `lang_definitions` VALUES (115708, 1758, 32, 'Chcete odstranit tento záznam ?');
INSERT INTO `lang_definitions` VALUES (115709, 1759, 32, 'Chcete pokračovat v přidání tohoto pacienta ?');
INSERT INTO `lang_definitions` VALUES (115710, 1760, 32, 'Chcete pokračovat s novým jménem ?');
INSERT INTO `lang_definitions` VALUES (115711, 1761, 32, 'Chcete nenávratně smazat tento imunizační záznam ?');
INSERT INTO `lang_definitions` VALUES (115712, 1762, 32, 'Dat.nar.');
INSERT INTO `lang_definitions` VALUES (115713, 1763, 32, 'Dat.nar není zadáno, prosím zadejte jej, je-li to možné');
INSERT INTO `lang_definitions` VALUES (115714, 1764, 32, 'Dokumenty');
INSERT INTO `lang_definitions` VALUES (115715, 1765, 32, 'Lékař');
INSERT INTO `lang_definitions` VALUES (115716, 1766, 32, 'Lékař:');
INSERT INTO `lang_definitions` VALUES (115717, 1767, 32, 'Jméno a podpis lékaře');
INSERT INTO `lang_definitions` VALUES (115718, 1768, 32, 'Dokument');
INSERT INTO `lang_definitions` VALUES (115719, 1769, 32, 'dokument');
INSERT INTO `lang_definitions` VALUES (115720, 1770, 32, 'Kategorie dokumentu');
INSERT INTO `lang_definitions` VALUES (115721, 1771, 32, 'Kategorie dokumentu pro laboratorní výsledky neexistuje');
INSERT INTO `lang_definitions` VALUES (115722, 1772, 32, 'Název kategorie dokumentu pro úložiště elektronicky přijatých laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (115723, 1774, 32, 'Kategorie dokumentu nebo odstranit');
INSERT INTO `lang_definitions` VALUES (115724, 1775, 32, 'Dokument nelze přesunout k ID pacienta');
INSERT INTO `lang_definitions` VALUES (115725, 1777, 32, 'Datum dokumentu');
INSERT INTO `lang_definitions` VALUES (115726, 1778, 32, 'Datum dokumentu a problému úspěšně aktualizováno');
INSERT INTO `lang_definitions` VALUES (115727, 1779, 32, 'ID dokumentu');
INSERT INTO `lang_definitions` VALUES (115728, 1780, 32, 'Dokument přesunut do nové kategorie');
INSERT INTO `lang_definitions` VALUES (115729, 1781, 32, 'Dokument přesunut pod ID pacienta');
INSERT INTO `lang_definitions` VALUES (115730, 1783, 32, 'Kontrola integrity dokumentu úspěšně dokončena');
INSERT INTO `lang_definitions` VALUES (115731, 1784, 32, 'Metoda úložení dokumentu');
INSERT INTO `lang_definitions` VALUES (115732, 1785, 32, 'Dokument byl úspěšně přejmenován');
INSERT INTO `lang_definitions` VALUES (115733, 1786, 32, 'Dokument byl úspěšně připojen k vyšetření');
INSERT INTO `lang_definitions` VALUES (115734, 1787, 32, 'Správa šablon dokumentů');
INSERT INTO `lang_definitions` VALUES (115735, 1788, 32, 'Šablony dokumentů');
INSERT INTO `lang_definitions` VALUES (115736, 1789, 32, 'Dokument(y)');
INSERT INTO `lang_definitions` VALUES (115737, 1790, 32, 'Úložiště pro dokumenty/Obrazová dokumentace');
INSERT INTO `lang_definitions` VALUES (115738, 1791, 32, 'Dokumenty');
INSERT INTO `lang_definitions` VALUES (115739, 1792, 32, 'Dokumenty ( právo zápisovat/přidat volitelně)');
INSERT INTO `lang_definitions` VALUES (115740, 1794, 32, 'Námahová dušnost');
INSERT INTO `lang_definitions` VALUES (115741, 1796, 32, 'Neodpovídá číslu PV1 vyšetření');
INSERT INTO `lang_definitions` VALUES (115742, 1797, 32, 'zřejmě neplatný údaj');
INSERT INTO `lang_definitions` VALUES (115743, 1799, 32, 'Tuzemský partner');
INSERT INTO `lang_definitions` VALUES (115744, 1800, 32, 'Neukládat');
INSERT INTO `lang_definitions` VALUES (115745, 1801, 32, 'Neukládat');
INSERT INTO `lang_definitions` VALUES (115746, 1802, 32, 'Neukládat změny');
INSERT INTO `lang_definitions` VALUES (115747, 1803, 32, 'Hotovo');
INSERT INTO `lang_definitions` VALUES (115748, 1804, 32, 'Hotovo s:');
INSERT INTO `lang_definitions` VALUES (115749, 1805, 32, 'Hotovo. Bude obratem  odesláno ke stažení.');
INSERT INTO `lang_definitions` VALUES (115750, 1807, 32, 'Dávkování');
INSERT INTO `lang_definitions` VALUES (115751, 1809, 32, 'Dvojklik pro editaci');
INSERT INTO `lang_definitions` VALUES (115752, 1810, 32, 'Dvojité  vidění');
INSERT INTO `lang_definitions` VALUES (115753, 1811, 32, 'Stažení');
INSERT INTO `lang_definitions` VALUES (115754, 1814, 32, 'Rozhodně stáhnout');
INSERT INTO `lang_definitions` VALUES (115755, 1815, 32, 'Stáhnout platební údaj, odeslat ke zúčtování a označit jako zuaúčtované');
INSERT INTO `lang_definitions` VALUES (115756, 1817, 32, 'Stáhnout certifikáty');
INSERT INTO `lang_definitions` VALUES (115757, 1818, 32, 'Stáhnout konfigurační data');
INSERT INTO `lang_definitions` VALUES (115758, 1819, 32, 'Stáhnout šablonu dokumentu pro tohoto pacienta a návštěvu');
INSERT INTO `lang_definitions` VALUES (115759, 1820, 32, 'stáhnout  zašifrovaný soubor');
INSERT INTO `lang_definitions` VALUES (115760, 1824, 32, 'Stáhnout nebo smazat šablonu');
INSERT INTO `lang_definitions` VALUES (115761, 1825, 32, 'Stáhnout PDF');
INSERT INTO `lang_definitions` VALUES (115762, 1827, 32, 'Stáhnout vybrané hlášky');
INSERT INTO `lang_definitions` VALUES (115763, 1830, 32, 'Dr.');
INSERT INTO `lang_definitions` VALUES (115764, 1831, 32, 'Zachytit k přetažení');
INSERT INTO `lang_definitions` VALUES (115765, 1832, 32, 'Únik moči');
INSERT INTO `lang_definitions` VALUES (115766, 1833, 32, 'ID řidičského průkazu nebo OP');
INSERT INTO `lang_definitions` VALUES (115767, 1834, 32, 'Lék');
INSERT INTO `lang_definitions` VALUES (115768, 1835, 32, 'Vyhledávač léků');
INSERT INTO `lang_definitions` VALUES (115769, 1836, 32, 'Formuláře léků');
INSERT INTO `lang_definitions` VALUES (115770, 1837, 32, 'Chybí ID léku !');
INSERT INTO `lang_definitions` VALUES (115771, 1838, 32, 'Lékové intervaly podání');
INSERT INTO `lang_definitions` VALUES (115772, 1840, 32, 'Název léku');
INSERT INTO `lang_definitions` VALUES (115773, 1841, 32, 'Způsob podání');
INSERT INTO `lang_definitions` VALUES (115774, 1845, 32, 'Lékové jednotky');
INSERT INTO `lang_definitions` VALUES (115775, 1846, 32, 'Léky');
INSERT INTO `lang_definitions` VALUES (115776, 1847, 32, 'Léky a produkty');
INSERT INTO `lang_definitions` VALUES (115777, 1848, 32, 'Sucho v ústech (xerostomie)');
INSERT INTO `lang_definitions` VALUES (115778, 1849, 32, 'DSMIV Diagnóza');
INSERT INTO `lang_definitions` VALUES (115779, 1850, 32, 'Difterický  tetanus 1');
INSERT INTO `lang_definitions` VALUES (115780, 1851, 32, 'Difterický  tetanus 2');
INSERT INTO `lang_definitions` VALUES (115781, 1852, 32, 'Difterický  tetanus 3');
INSERT INTO `lang_definitions` VALUES (115782, 1853, 32, 'Difterický  tetanus 4');
INSERT INTO `lang_definitions` VALUES (115783, 1854, 32, 'Difterický  tetanus 5');
INSERT INTO `lang_definitions` VALUES (115784, 1861, 32, 'Datum platby');
INSERT INTO `lang_definitions` VALUES (115785, 1862, 32, 'Datum platby mm/dd/rrrrr nebo rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (115786, 1863, 32, 'Datum platby:');
INSERT INTO `lang_definitions` VALUES (115787, 1866, 32, 'Blíží se konec platnosti');
INSERT INTO `lang_definitions` VALUES (115788, 1867, 32, 'Stav platby');
INSERT INTO `lang_definitions` VALUES (115789, 1868, 32, 'Aktualizace stavu platby');
INSERT INTO `lang_definitions` VALUES (115790, 1876, 32, 'Duplicitní ID v řádku');
INSERT INTO `lang_definitions` VALUES (115791, 1877, 32, 'Duplicitní jméno v řádku');
INSERT INTO `lang_definitions` VALUES (115792, 1878, 32, 'VArování duplicity');
INSERT INTO `lang_definitions` VALUES (115793, 1880, 32, 'trvání');
INSERT INTO `lang_definitions` VALUES (115794, 1881, 32, 'Trvání');
INSERT INTO `lang_definitions` VALUES (115795, 1882, 32, 'Holandský');
INSERT INTO `lang_definitions` VALUES (115796, 1884, 32, 'Dysfágie');
INSERT INTO `lang_definitions` VALUES (115797, 1885, 32, 'Dušnost:');
INSERT INTO `lang_definitions` VALUES (115798, 1886, 32, 'Dysurie');
INSERT INTO `lang_definitions` VALUES (115799, 1888, 32, 'E-preskripce ?');
INSERT INTO `lang_definitions` VALUES (115800, 1889, 32, 'E-reporty');
INSERT INTO `lang_definitions` VALUES (115801, 1890, 32, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (115802, 1892, 32, 'e-Rx obnovení');
INSERT INTO `lang_definitions` VALUES (115803, 1893, 32, 'Každý příjemce musí nastavit své vlastní zprávy jako dokončené.');
INSERT INTO `lang_definitions` VALUES (115804, 1894, 32, 'Časná rekurence (<2 Měs)');
INSERT INTO `lang_definitions` VALUES (115805, 1895, 32, 'Uši');
INSERT INTO `lang_definitions` VALUES (115806, 1896, 32, 'EKG');
INSERT INTO `lang_definitions` VALUES (115807, 1897, 32, 'e-žádanky');
INSERT INTO `lang_definitions` VALUES (115808, 1898, 32, 'Edém');
INSERT INTO `lang_definitions` VALUES (115809, 1904, 32, 'Upravit');
INSERT INTO `lang_definitions` VALUES (115810, 1905, 32, 'upravit');
INSERT INTO `lang_definitions` VALUES (115811, 1906, 32, 'Upravit Alergie');
INSERT INTO `lang_definitions` VALUES (115812, 1907, 32, 'Upravit kategorie');
INSERT INTO `lang_definitions` VALUES (115813, 1908, 32, 'Upravit definice');
INSERT INTO `lang_definitions` VALUES (115814, 1909, 32, 'Upravit definice');
INSERT INTO `lang_definitions` VALUES (115815, 1910, 32, 'Upravit diagnózy pro');
INSERT INTO `lang_definitions` VALUES (115816, 1911, 32, 'Upravit zveřejnění');
INSERT INTO `lang_definitions` VALUES (115817, 1912, 32, 'Upravit zařízení');
INSERT INTO `lang_definitions` VALUES (115818, 1913, 32, 'Upravit zařízení');
INSERT INTO `lang_definitions` VALUES (115819, 1914, 32, 'Upravit informace o zařízení');
INSERT INTO `lang_definitions` VALUES (115820, 1915, 32, 'Upravit uživatelské údaje týkající se zařízení');
INSERT INTO `lang_definitions` VALUES (115821, 1916, 32, 'Upravit soubor v');
INSERT INTO `lang_definitions` VALUES (115822, 1917, 32, 'Upravit formulář');
INSERT INTO `lang_definitions` VALUES (115823, 1918, 32, 'Upravit globální nastavení');
INSERT INTO `lang_definitions` VALUES (115824, 1919, 32, 'Úpravy nejsou autorizovány !');
INSERT INTO `lang_definitions` VALUES (115825, 1920, 32, 'Upravit rozvržení');
INSERT INTO `lang_definitions` VALUES (115826, 1921, 32, 'Upravit seznam');
INSERT INTO `lang_definitions` VALUES (115827, 1922, 32, 'Upravit platbu');
INSERT INTO `lang_definitions` VALUES (115828, 1923, 32, 'Upravit strukturu');
INSERT INTO `lang_definitions` VALUES (115829, 1924, 32, 'Upravit uživatele');
INSERT INTO `lang_definitions` VALUES (115830, 1925, 32, 'Upravit uživatelské nastavení');
INSERT INTO `lang_definitions` VALUES (115831, 1926, 32, 'Upravit zadaná data');
INSERT INTO `lang_definitions` VALUES (115832, 1927, 32, 'Úpravy selhaly');
INSERT INTO `lang_definitions` VALUES (115833, 1928, 32, 'Vzdělávání');
INSERT INTO `lang_definitions` VALUES (115834, 1930, 32, 'Vzdělávací materiály pro');
INSERT INTO `lang_definitions` VALUES (115835, 1932, 32, 'Datum účinnosti');
INSERT INTO `lang_definitions` VALUES (115836, 1934, 32, 'účinnost');
INSERT INTO `lang_definitions` VALUES (115837, 1935, 32, 'Identifikační číslo zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (115838, 1936, 32, 'Ejakulace');
INSERT INTO `lang_definitions` VALUES (115839, 1937, 32, 'Loket');
INSERT INTO `lang_definitions` VALUES (115840, 1938, 32, 'Problémy s loktem');
INSERT INTO `lang_definitions` VALUES (115841, 1939, 32, 'Elektronicky');
INSERT INTO `lang_definitions` VALUES (115842, 1942, 32, 'Elektronické převody');
INSERT INTO `lang_definitions` VALUES (115843, 1943, 32, 'Elektronické reporty');
INSERT INTO `lang_definitions` VALUES (115844, 1944, 32, 'Způsobilost');
INSERT INTO `lang_definitions` VALUES (115845, 1948, 32, 'Způsobilý');
INSERT INTO `lang_definitions` VALUES (115846, 1949, 32, 'e-mail');
INSERT INTO `lang_definitions` VALUES (115847, 1950, 32, 'email');
INSERT INTO `lang_definitions` VALUES (115848, 1951, 32, 'emailová adresa');
INSERT INTO `lang_definitions` VALUES (115849, 1952, 32, 'chybí emailová adresa');
INSERT INTO `lang_definitions` VALUES (115850, 1953, 32, 'E-mailová adresa odesílatele upomínek pacientům. Odpovědi na upomínky pacientů budou směrovány na tuto adresu. Je důležité použít adresu z klinické domény, aby se zabránilo přesunu upomínek do spamu.');
INSERT INTO `lang_definitions` VALUES (115851, 1954, 32, 'E-mailová adresa pro příjem upozornění správy');
INSERT INTO `lang_definitions` VALUES (115852, 1955, 32, 'E-mailová adresa pro příjem zpráv nutných k nouzovému uživatelskému přihlášení');
INSERT INTO `lang_definitions` VALUES (115853, 1956, 32, 'E-mail autor.');
INSERT INTO `lang_definitions` VALUES (115854, 1957, 32, 'Batchcom email');
INSERT INTO `lang_definitions` VALUES (115855, 1958, 32, 'E-mailové upozornění');
INSERT INTO `lang_definitions` VALUES (115856, 1959, 32, 'Hodiny e-mailových upozornění');
INSERT INTO `lang_definitions` VALUES (115857, 1960, 32, 'Hlášení emailových upozornění');
INSERT INTO `lang_definitions` VALUES (115858, 1961, 32, 'Nejdřív pošlete e-mail');
INSERT INTO `lang_definitions` VALUES (115859, 1962, 32, 'Odesílatel e-mailu');
INSERT INTO `lang_definitions` VALUES (115860, 1963, 32, 'E-mail odeslán');
INSERT INTO `lang_definitions` VALUES (115861, 1964, 32, 'E-mail odeslán');
INSERT INTO `lang_definitions` VALUES (115862, 1965, 32, 'Předmět e-mailu');
INSERT INTO `lang_definitions` VALUES (115863, 1966, 32, 'Text e-mailu , užívané označení: ***JMÉNO***, např. Vážený/á ***JMÉNO***');
INSERT INTO `lang_definitions` VALUES (115864, 1967, 32, 'Text e-mailu , užívané označení: ***JMÉNO***, např. Vážený/á ***JMÉNO***{{Nepřekládat prvek  ***JMÉNO*** této konstanty}}');
INSERT INTO `lang_definitions` VALUES (115865, 1968, 32, 'metoda přenosu e-mailu');
INSERT INTO `lang_definitions` VALUES (115866, 1969, 32, 'E-mail byl odeslán na následující adresy');
INSERT INTO `lang_definitions` VALUES (115867, 1971, 32, 'Emergency kontakt');
INSERT INTO `lang_definitions` VALUES (115868, 1972, 32, 'Kontaktní osoba emergency');
INSERT INTO `lang_definitions` VALUES (115869, 1973, 32, 'Kontaktní telefon emergency');
INSERT INTO `lang_definitions` VALUES (115870, 1974, 32, 'Nouzová antikoncepce');
INSERT INTO `lang_definitions` VALUES (115871, 1975, 32, 'Nouzové přihlášení');
INSERT INTO `lang_definitions` VALUES (115872, 1976, 32, 'Nouzový login ACL je vybrán.Uživatel je stále v aktivním stavu, prosím deaktivujte uživatele. Aktivujte pouze v naléhavých situacích. Navštivte Sparáva-> Uživatelé pro aktivaci nebo deaktivaci.');
INSERT INTO `lang_definitions` VALUES (115873, 1977, 32, 'Přihlašovací email pro nouzové přihlášení bude zaslán pouze tehdy, pokud jsou nakonfigurovány následující nastavení v souboru  interface/ globals.php :');
INSERT INTO `lang_definitions` VALUES (115874, 1978, 32, 'E-mailová adresa pro nouzové přihlášení');
INSERT INTO `lang_definitions` VALUES (115875, 1979, 32, 'Nouzový uživatel může dělat cokoliv');
INSERT INTO `lang_definitions` VALUES (115876, 1980, 32, 'pohotovostní telefon');
INSERT INTO `lang_definitions` VALUES (115877, 1981, 32, 'Emoční / Behaviorální stav & komplikace');
INSERT INTO `lang_definitions` VALUES (115878, 1982, 32, 'Emfysém');
INSERT INTO `lang_definitions` VALUES (115879, 1983, 32, 'Zaměstnanec');
INSERT INTO `lang_definitions` VALUES (115880, 1984, 32, 'Zaměstnavatel');
INSERT INTO `lang_definitions` VALUES (115881, 1985, 32, 'Adresa zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (115882, 1986, 32, 'Data zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (115883, 1987, 32, 'Jméno zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (115884, 1988, 32, 'PRÁZDNÉ');
INSERT INTO `lang_definitions` VALUES (115885, 1989, 32, 'Prázdné');
INSERT INTO `lang_definitions` VALUES (115886, 1990, 32, 'Prázdné heslo není povoleno');
INSERT INTO `lang_definitions` VALUES (115887, 1991, 32, 'Prázdná hodnota v \"Hodiny e-mailu\"');
INSERT INTO `lang_definitions` VALUES (115888, 1992, 32, 'Prázdná hodnota v \"Odesílatel e-mailu\"');
INSERT INTO `lang_definitions` VALUES (115889, 1993, 32, 'Prázdná hodnota v \"Předmět e-mailu\"');
INSERT INTO `lang_definitions` VALUES (115890, 1994, 32, 'Prázdná hodnota v \"Text e-mailu\"');
INSERT INTO `lang_definitions` VALUES (115891, 1995, 32, 'Prázdná hodnota v \"Jméno poskytovatele\"');
INSERT INTO `lang_definitions` VALUES (115892, 1996, 32, 'Prázdná hodnota v \"Heslo\"');
INSERT INTO `lang_definitions` VALUES (115893, 1997, 32, 'Prázdná hodnota v \"SMS hodiny\"');
INSERT INTO `lang_definitions` VALUES (115894, 1998, 32, 'Prázdná hodnota v \"SMS text\"');
INSERT INTO `lang_definitions` VALUES (115895, 1999, 32, 'Prázdná hodnota v \"Uživatelské jméno\"');
INSERT INTO `lang_definitions` VALUES (115896, 2001, 32, 'Zapnutí');
INSERT INTO `lang_definitions` VALUES (115897, 2006, 32, 'Zapnout AMC výzvy');
INSERT INTO `lang_definitions` VALUES (115898, 2008, 32, 'Zapnout hlášení AMC');
INSERT INTO `lang_definitions` VALUES (115899, 2009, 32, 'Zapnout sledování AMC');
INSERT INTO `lang_definitions` VALUES (115900, 2011, 32, 'Zapnout ATNA audit');
INSERT INTO `lang_definitions` VALUES (115901, 2012, 32, 'Zapnout šifrování  logu auditu');
INSERT INTO `lang_definitions` VALUES (115902, 2013, 32, 'Zapnout audit logování');
INSERT INTO `lang_definitions` VALUES (115903, 2015, 32, 'Zapnout reporting pro  automatizované měřící výpočty ( AMC )');
INSERT INTO `lang_definitions` VALUES (115904, 2016, 32, 'Zapnout klientský SSL');
INSERT INTO `lang_definitions` VALUES (115905, 2017, 32, 'Zapnout autentizaci klienstkého certifikátu SSL');
INSERT INTO `lang_definitions` VALUES (115906, 2019, 32, 'Zapnout Clinical Decision Rules (CDR)');
INSERT INTO `lang_definitions` VALUES (115907, 2022, 32, 'Zapnout reportování měření klinického měření (CQM)');
INSERT INTO `lang_definitions` VALUES (115908, 2023, 32, 'Zapnout vyskakovací okno klinických upozornění');
INSERT INTO `lang_definitions` VALUES (115909, 2024, 32, 'zapnout widget klinických upozornění');
INSERT INTO `lang_definitions` VALUES (115910, 2025, 32, 'zapnout CMS portál');
INSERT INTO `lang_definitions` VALUES (115911, 2027, 32, 'Zapnout reportování CQM');
INSERT INTO `lang_definitions` VALUES (115912, 2028, 32, 'Zapnout historii EDI ( electronic data interchange )  v levém menu');
INSERT INTO `lang_definitions` VALUES (115913, 2030, 32, 'povolit poplatky v levém menu');
INSERT INTO `lang_definitions` VALUES (115914, 2031, 32, 'Zapnout podporu pro Hylafax');
INSERT INTO `lang_definitions` VALUES (115915, 2033, 32, 'zapnout zprávy o stavu importu pro NewCorp erx');
INSERT INTO `lang_definitions` VALUES (115916, 2037, 32, 'Zapnout laboratorní výměnu');
INSERT INTO `lang_definitions` VALUES (115917, 2038, 32, 'Povolit přepínač zámku');
INSERT INTO `lang_definitions` VALUES (115918, 2039, 32, 'povolit log  pro nahrávání/stahování dokumentů do CouchDB');
INSERT INTO `lang_definitions` VALUES (115919, 2040, 32, 'Povolit logování všech SQL SELECT dotazů.');
INSERT INTO `lang_definitions` VALUES (115920, 2041, 32, 'Povolit logování aktivit souvisejících se zálohováním');
INSERT INTO `lang_definitions` VALUES (115921, 2042, 32, 'Povolit logování dotazů CDR ( clinical data repository)');
INSERT INTO `lang_definitions` VALUES (115922, 2043, 32, 'povolit logování různých aktivit.');
INSERT INTO `lang_definitions` VALUES (115923, 2044, 32, 'Povolit logování objednávkových aktivit');
INSERT INTO `lang_definitions` VALUES (115924, 2045, 32, 'Povolit logování modifikací záznamů pacientů');
INSERT INTO `lang_definitions` VALUES (115925, 2046, 32, 'Povolit logování plánovacích aktivit');
INSERT INTO `lang_definitions` VALUES (115926, 2047, 32, 'Povolit logování bezpečnostních a správcovských aktivit');
INSERT INTO `lang_definitions` VALUES (115927, 2049, 32, 'povolit NewCorp eRx službu');
INSERT INTO `lang_definitions` VALUES (115928, 2051, 32, 'Povolit externí pacientský portál');
INSERT INTO `lang_definitions` VALUES (115929, 2052, 32, 'Povolit externí pacientský portál');
INSERT INTO `lang_definitions` VALUES (115930, 2053, 32, 'Povolit interní pacientský portál');
INSERT INTO `lang_definitions` VALUES (115931, 2055, 32, 'Povolit interní pacientský portál');
INSERT INTO `lang_definitions` VALUES (115932, 2056, 32, 'Povolit widget upomínek pacientům.');
INSERT INTO `lang_definitions` VALUES (115933, 2057, 32, 'Povolit službu zpráv direct phiMailu');
INSERT INTO `lang_definitions` VALUES (115934, 2058, 32, 'Povolit výzvy k automatizovaným měřícím výpočtům (AMC)');
INSERT INTO `lang_definitions` VALUES (115935, 2061, 32, 'Povolit podporu skeneru');
INSERT INTO `lang_definitions` VALUES (115936, 2064, 32, 'Povolit Medical information Integration, LLC Lab Exchange service');
INSERT INTO `lang_definitions` VALUES (115937, 2065, 32, 'Povolit podporu LibreEHR pro LLC Lab Exchange služby');
INSERT INTO `lang_definitions` VALUES (115938, 2066, 32, 'Povolit autentizaci uživatelských certifikátů');
INSERT INTO `lang_definitions` VALUES (115939, 2067, 32, 'Povolit ZMG, LLC eRx službu');
INSERT INTO `lang_definitions` VALUES (115940, 2068, 32, 'Povoleno');
INSERT INTO `lang_definitions` VALUES (115941, 2070, 32, 'Povoluje starý panel poplatků pro zadávání účetních kódů a plateb. Nedoporučuje se povolit.');
INSERT INTO `lang_definitions` VALUES (115942, 2071, 32, 'Vyš');
INSERT INTO `lang_definitions` VALUES (115943, 2072, 32, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (115944, 2073, 32, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (115945, 2074, 32, 'vyšetření');
INSERT INTO `lang_definitions` VALUES (115946, 2075, 32, 'Vyšetření ');
INSERT INTO `lang_definitions` VALUES (115947, 2076, 32, 'vyšetření akutního pacienta nebo vyšetření na pohotovosti');
INSERT INTO `lang_definitions` VALUES (115948, 2080, 32, 'data vyšetření');
INSERT INTO `lang_definitions` VALUES (115949, 2081, 32, 'Datum vyšetření');
INSERT INTO `lang_definitions` VALUES (115950, 2084, 32, 'EDI záznam vyšetření');
INSERT INTO `lang_definitions` VALUES (115951, 2086, 32, 'Formulář vyšetření');
INSERT INTO `lang_definitions` VALUES (115952, 2087, 32, 'Vyšetření zdravotního stavu a chování');
INSERT INTO `lang_definitions` VALUES (115953, 2088, 32, 'Historie vyšetření');
INSERT INTO `lang_definitions` VALUES (115954, 2089, 32, 'ID vyšetření');
INSERT INTO `lang_definitions` VALUES (115955, 2090, 32, 'vyšetření chřipky');
INSERT INTO `lang_definitions` VALUES (115956, 2091, 32, 'Číslo vyšetření');
INSERT INTO `lang_definitions` VALUES (115957, 2095, 32, 'vyšetření pro ergoterapii');
INSERT INTO `lang_definitions` VALUES (115958, 2097, 32, 'vyšetření ambulantního pacienta');
INSERT INTO `lang_definitions` VALUES (115959, 2099, 32, 'Vyšetření - velikost papíru');
INSERT INTO `lang_definitions` VALUES (115960, 2100, 32, 'Platba vyšetření');
INSERT INTO `lang_definitions` VALUES (115961, 2101, 32, 'vyšetření těhotné');
INSERT INTO `lang_definitions` VALUES (115962, 2102, 32, 'preventivní vyšetření - individuální poradenství');
INSERT INTO `lang_definitions` VALUES (115963, 2103, 32, 'preventivní vyšetření starších 40 let');
INSERT INTO `lang_definitions` VALUES (115964, 2104, 32, 'preventivní vyšetření - skupinové poradenství');
INSERT INTO `lang_definitions` VALUES (115965, 2105, 32, 'preventivní vyšetření - další služby');
INSERT INTO `lang_definitions` VALUES (115966, 2106, 32, 'preventivní vyšetření starších 18 let');
INSERT INTO `lang_definitions` VALUES (115967, 2107, 32, 'psychiatrické a psychologické vyšetření');
INSERT INTO `lang_definitions` VALUES (115968, 2108, 32, 'Statistiky vyšetření');
INSERT INTO `lang_definitions` VALUES (115969, 2109, 32, 'Souhrn vyšetření');
INSERT INTO `lang_definitions` VALUES (115970, 2110, 32, 'Vyšetření bylo  kódováno');
INSERT INTO `lang_definitions` VALUES (115971, 2111, 32, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (115972, 2112, 32, 'Vyšetření: vyšetření neakutního hospitalizovaného, ambulantního pacienta nebo oftalmologické vyšetření');
INSERT INTO `lang_definitions` VALUES (115973, 2113, 32, 'Vyšetření');
INSERT INTO `lang_definitions` VALUES (115974, 2114, 32, 'Vyšetření a formuláře');
INSERT INTO `lang_definitions` VALUES (115975, 2115, 32, 'Vyšetření a formuláře');
INSERT INTO `lang_definitions` VALUES (115976, 2116, 32, 'Vyšetření nebyla autorizována');
INSERT INTO `lang_definitions` VALUES (115977, 2117, 32, 'Report vyšetření');
INSERT INTO `lang_definitions` VALUES (115978, 2118, 32, 'Sekce vyšetření');
INSERT INTO `lang_definitions` VALUES (115979, 2120, 32, 'Šifrování');
INSERT INTO `lang_definitions` VALUES (115980, 2121, 32, 'Konec');
INSERT INTO `lang_definitions` VALUES (115981, 2122, 32, 'Konec (rrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (115982, 2123, 32, 'Konečné datum');
INSERT INTO `lang_definitions` VALUES (115983, 2124, 32, 'Konečné datum');
INSERT INTO `lang_definitions` VALUES (115984, 2126, 32, 'Konečné datum musí být vyšší než počáteční');
INSERT INTO `lang_definitions` VALUES (115985, 2127, 32, 'Konečné datum:');
INSERT INTO `lang_definitions` VALUES (115986, 2130, 32, 'Konec hlášení');
INSERT INTO `lang_definitions` VALUES (115987, 2131, 32, 'Konečný čas');
INSERT INTO `lang_definitions` VALUES (115988, 2133, 32, 'Datum ukonční služby rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (115989, 2134, 32, 'Datum ukonční služby mm/dd/rrrr pokud chcete zadat rozsah');
INSERT INTO `lang_definitions` VALUES (115990, 2135, 32, 'Konečná denní hodina pro událost kalendáře');
INSERT INTO `lang_definitions` VALUES (115991, 2137, 32, 'endokrinní');
INSERT INTO `lang_definitions` VALUES (115992, 2138, 32, 'Endoskopie');
INSERT INTO `lang_definitions` VALUES (115993, 2141, 32, 'Anglický');
INSERT INTO `lang_definitions` VALUES (115994, 2142, 32, 'Anglický ');
INSERT INTO `lang_definitions` VALUES (115995, 2143, 32, 'Angličtina ( indická )');
INSERT INTO `lang_definitions` VALUES (115996, 2144, 32, 'Angličtina ( standardní )');
INSERT INTO `lang_definitions` VALUES (115997, 2145, 32, 'Enscript příkaz Hylafaxu');
INSERT INTO `lang_definitions` VALUES (115998, 2146, 32, 'Ujistěte se , že LibreEHR má právo zápisu do složky');
INSERT INTO `lang_definitions` VALUES (115999, 2147, 32, 'ORL výtok');
INSERT INTO `lang_definitions` VALUES (116000, 2148, 32, 'Bolest ORL původu');
INSERT INTO `lang_definitions` VALUES (116001, 2150, 32, 'Zadejte opravu');
INSERT INTO `lang_definitions` VALUES (116002, 2151, 32, 'Zadejte zde obsah dopisu');
INSERT INTO `lang_definitions` VALUES (116003, 2152, 32, 'Zadejte root heslo databáze');
INSERT INTO `lang_definitions` VALUES (116004, 2153, 32, 'Zadejte uživatelské jméno root přístupu k  databázi');
INSERT INTO `lang_definitions` VALUES (116005, 2154, 32, 'Zadejte diagnózu');
INSERT INTO `lang_definitions` VALUES (116006, 2155, 32, 'Zadejte  léčivo');
INSERT INTO `lang_definitions` VALUES (116007, 2156, 32, 'Zadejte vyšetření');
INSERT INTO `lang_definitions` VALUES (116008, 2157, 32, 'Zadejte číslo vyšetření');
INSERT INTO `lang_definitions` VALUES (116009, 2158, 32, 'Zadejte očkování');
INSERT INTO `lang_definitions` VALUES (116010, 2159, 32, 'Zadejte klíč');
INSERT INTO `lang_definitions` VALUES (116011, 2160, 32, 'Zadejte nová data');
INSERT INTO `lang_definitions` VALUES (116012, 2161, 32, 'Zadejte nový stát');
INSERT INTO `lang_definitions` VALUES (116013, 2162, 32, 'Zadejte direct adresu příjemce');
INSERT INTO `lang_definitions` VALUES (116014, 2163, 32, 'Zadejte LOINC kód této procedury');
INSERT INTO `lang_definitions` VALUES (116015, 2164, 32, 'Zadejte reidentifikační kód');
INSERT INTO `lang_definitions` VALUES (116016, 2165, 32, 'Výše zadejte vyhledávací kritéria');
INSERT INTO `lang_definitions` VALUES (116017, 2166, 32, 'Chybně zadáno');
INSERT INTO `lang_definitions` VALUES (116018, 2167, 32, 'položky');
INSERT INTO `lang_definitions` VALUES (116019, 2168, 32, 'Vlivy prostředí');
INSERT INTO `lang_definitions` VALUES (116020, 2176, 32, 'Epilepsie');
INSERT INTO `lang_definitions` VALUES (116021, 2178, 32, 'ERA');
INSERT INTO `lang_definitions` VALUES (116022, 2179, 32, 'ERA soubory');
INSERT INTO `lang_definitions` VALUES (116023, 2181, 32, 'Vymazat');
INSERT INTO `lang_definitions` VALUES (116024, 2182, 32, 'Erekce');
INSERT INTO `lang_definitions` VALUES (116025, 2183, 32, 'Chyba');
INSERT INTO `lang_definitions` VALUES (116026, 2184, 32, 'CHYBA');
INSERT INTO `lang_definitions` VALUES (116027, 2185, 32, 'Chyba při potvrzení příjemce  laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (116028, 2187, 32, 'Chyba při získávání výsledků z Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (116029, 2188, 32, 'Chyba ve výběru \"Pohlaví\"');
INSERT INTO `lang_definitions` VALUES (116030, 2189, 32, 'Chyba ve výběru \"HIPPA\"');
INSERT INTO `lang_definitions` VALUES (116031, 2190, 32, 'Chyba ve výběru \"Process\"');
INSERT INTO `lang_definitions` VALUES (116032, 2191, 32, 'Chyba ve výběru \"SMS brány\"');
INSERT INTO `lang_definitions` VALUES (116033, 2192, 32, 'Chyba ve výběru \"Řadit podle\"');
INSERT INTO `lang_definitions` VALUES (116034, 2193, 32, 'Chyba souboru nebo gzip komprese ');
INSERT INTO `lang_definitions` VALUES (116035, 2194, 32, 'Chyba při volně ANO nebo NE');
INSERT INTO `lang_definitions` VALUES (116036, 2195, 32, 'Chyba při otevírání nahraných  dat pro čtení');
INSERT INTO `lang_definitions` VALUES (116037, 2196, 32, 'Chyba při zpracování souboru');
INSERT INTO `lang_definitions` VALUES (116038, 2197, 32, 'Chyba při nahrávání');
INSERT INTO `lang_definitions` VALUES (116039, 2198, 32, 'Chyba při mazání zprávy');
INSERT INTO `lang_definitions` VALUES (116040, 2199, 32, 'Chyba při obdržení výsledků z Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (116041, 2200, 32, 'Chyba při získávání hodnot');
INSERT INTO `lang_definitions` VALUES (116042, 2201, 32, 'Chyba při ukládání dokumentu');
INSERT INTO `lang_definitions` VALUES (116043, 2202, 32, 'Chyba přidělování přístupových práv k souboru pro uživatele LibreEHR');
INSERT INTO `lang_definitions` VALUES (116044, 2205, 32, 'Chyba při registraci formuláře');
INSERT INTO `lang_definitions` VALUES (116045, 2206, 32, 'Chyba při ukládání do souboru');
INSERT INTO `lang_definitions` VALUES (116046, 2208, 32, 'Chyba zápisu do souboru');
INSERT INTO `lang_definitions` VALUES (116047, 2209, 32, 'v nových výsledcích  se objevily chyby');
INSERT INTO `lang_definitions` VALUES (116048, 2210, 32, 'Chyba , soubor neexistuje');
INSERT INTO `lang_definitions` VALUES (116049, 2211, 32, 'CHYBA, nelze shromáždit data ze serveru');
INSERT INTO `lang_definitions` VALUES (116050, 2212, 32, 'Chyba , nelze vytvořit klientský certifikát');
INSERT INTO `lang_definitions` VALUES (116051, 2213, 32, 'Chyba, nelze vytvořit admin.p12 certifikát');
INSERT INTO `lang_definitions` VALUES (116052, 2214, 32, 'Chyba, nelze vytvořit certifikát certifikační autority');
INSERT INTO `lang_definitions` VALUES (116053, 2215, 32, 'Chyba, nelze vytvořit serverový certifikát');
INSERT INTO `lang_definitions` VALUES (116054, 2216, 32, 'Chyba, nelze otevřít soubor');
INSERT INTO `lang_definitions` VALUES (116055, 2217, 32, 'Chyba, ověření uživatelských certifikátů není v LibreEHR povoleno');
INSERT INTO `lang_definitions` VALUES (116056, 2218, 32, 'Chyba, je potřeba nainstalovat modul Archive/Tar.php');
INSERT INTO `lang_definitions` VALUES (116057, 2219, 32, 'CHYBA: nelze otevřít tabulku .sql. Poškozený formulář ?');
INSERT INTO `lang_definitions` VALUES (116058, 2220, 32, 'Chyba: duplicitní ID v řádku');
INSERT INTO `lang_definitions` VALUES (116059, 2221, 32, 'Chyba: duplicitní jméno v řádku');
INSERT INTO `lang_definitions` VALUES (116060, 2222, 32, 'CHYBA: Pole');
INSERT INTO `lang_definitions` VALUES (116061, 2223, 32, 'CHYBA: Chybí modul ZipArchive PHP');
INSERT INTO `lang_definitions` VALUES (116062, 2224, 32, 'CHYBA: Chybí ICD složka pro import');
INSERT INTO `lang_definitions` VALUES (116063, 2225, 32, 'Chyba: hesla si neodpovídají. Prosím, prověďte kontrolu.');
INSERT INTO `lang_definitions` VALUES (116064, 2226, 32, 'Chyba: hesla si neodpovídají. Prosím, prověďte kontrolu.');
INSERT INTO `lang_definitions` VALUES (116065, 2227, 32, 'Chyba: soubor neexistuje');
INSERT INTO `lang_definitions` VALUES (116066, 2228, 32, 'CHYBA: Následující proměnné obsahují  chybné znaky');
INSERT INTO `lang_definitions` VALUES (116067, 2229, 32, 'CHYBA: Nelze kopírovat soubor');
INSERT INTO `lang_definitions` VALUES (116068, 2230, 32, 'Chyba: Nelze vytvořit archiv ke stažení');
INSERT INTO `lang_definitions` VALUES (116069, 2231, 32, 'CHYBA: Nelze vytvořit Zip archiv');
INSERT INTO `lang_definitions` VALUES (116070, 2232, 32, 'CHYBA: nelze rozbalit soubor');
INSERT INTO `lang_definitions` VALUES (116071, 2233, 32, 'CHYBA: Nelze nahrát soubor do databáze');
INSERT INTO `lang_definitions` VALUES (116072, 2234, 32, 'CHYBA: Nelze nastavit číslo verze');
INSERT INTO `lang_definitions` VALUES (116073, 2235, 32, 'Chyby');
INSERT INTO `lang_definitions` VALUES (116074, 2236, 32, 'Stav účtu eRx');
INSERT INTO `lang_definitions` VALUES (116075, 2237, 32, 'eRx logy');
INSERT INTO `lang_definitions` VALUES (116076, 2238, 32, 'ERX jméno');
INSERT INTO `lang_definitions` VALUES (116077, 2239, 32, 'ERX heslo');
INSERT INTO `lang_definitions` VALUES (116078, 2240, 32, 'ERX Role');
INSERT INTO `lang_definitions` VALUES (116079, 2241, 32, 'ERX Uživatel');
INSERT INTO `lang_definitions` VALUES (116080, 2242, 32, 'Erytém');
INSERT INTO `lang_definitions` VALUES (116081, 2243, 32, 'e-Podpis');
INSERT INTO `lang_definitions` VALUES (116082, 2244, 32, 'e-Podpis log');
INSERT INTO `lang_definitions` VALUES (116083, 2245, 32, 'Eskimák');
INSERT INTO `lang_definitions` VALUES (116084, 2246, 32, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (116085, 2247, 32, 'Založený pacient');
INSERT INTO `lang_definitions` VALUES (116086, 2248, 32, 'Estonský');
INSERT INTO `lang_definitions` VALUES (116087, 2249, 32, 'Etnikum');
INSERT INTO `lang_definitions` VALUES (116088, 2250, 32, 'Etnikum nebo rasa');
INSERT INTO `lang_definitions` VALUES (116089, 2251, 32, 'Seznam etnik-ras ( na výběr právo zapisovat/přidat )');
INSERT INTO `lang_definitions` VALUES (116090, 2252, 32, 'ETIN');
INSERT INTO `lang_definitions` VALUES (116091, 2253, 32, 'Událost');
INSERT INTO `lang_definitions` VALUES (116092, 2254, 32, 'Počátek události');
INSERT INTO `lang_definitions` VALUES (116093, 2255, 32, 'Kategorie události');
INSERT INTO `lang_definitions` VALUES (116094, 2256, 32, 'Datum události');
INSERT INTO `lang_definitions` VALUES (116095, 2257, 32, 'Popis události');
INSERT INTO `lang_definitions` VALUES (116096, 2258, 32, 'Detaily události');
INSERT INTO `lang_definitions` VALUES (116097, 2259, 32, 'Neopakující se událost');
INSERT INTO `lang_definitions` VALUES (116098, 2260, 32, 'Trvání události');
INSERT INTO `lang_definitions` VALUES (116099, 2261, 32, 'Trvání události v minutách');
INSERT INTO `lang_definitions` VALUES (116100, 2263, 32, 'Místo události');
INSERT INTO `lang_definitions` VALUES (116101, 2264, 32, 'Opakování události každý');
INSERT INTO `lang_definitions` VALUES (116102, 2266, 32, 'Počáteční čas události');
INSERT INTO `lang_definitions` VALUES (116103, 2267, 32, 'Název události');
INSERT INTO `lang_definitions` VALUES (116104, 2268, 32, 'Název události');
INSERT INTO `lang_definitions` VALUES (116105, 2269, 32, 'Webstránka události');
INSERT INTO `lang_definitions` VALUES (116106, 2270, 32, 'Události');
INSERT INTO `lang_definitions` VALUES (116107, 2271, 32, 'Události pro');
INSERT INTO `lang_definitions` VALUES (116108, 2272, 32, 'Otevření události v novém okně');
INSERT INTO `lang_definitions` VALUES (116109, 2273, 32, 'každ.');
INSERT INTO `lang_definitions` VALUES (116110, 2274, 32, 'každ.');
INSERT INTO `lang_definitions` VALUES (116111, 2275, 32, 'každé 3 hodiny');
INSERT INTO `lang_definitions` VALUES (116112, 2276, 32, 'každé 4 hodiny');
INSERT INTO `lang_definitions` VALUES (116113, 2277, 32, 'každých 5 hodin');
INSERT INTO `lang_definitions` VALUES (116114, 2278, 32, 'každých 6 hodin');
INSERT INTO `lang_definitions` VALUES (116115, 2279, 32, 'každých 8 hodin');
INSERT INTO `lang_definitions` VALUES (116116, 2280, 32, 'Každý čtvrtý');
INSERT INTO `lang_definitions` VALUES (116117, 2281, 32, 'Každý druhý');
INSERT INTO `lang_definitions` VALUES (116118, 2282, 32, 'Každý třetí');
INSERT INTO `lang_definitions` VALUES (116119, 2283, 32, 'Každý, každý druhý, každý třetí, atd.');
INSERT INTO `lang_definitions` VALUES (116120, 2285, 32, 'Výsledky vyšetření a testů');
INSERT INTO `lang_definitions` VALUES (116121, 2286, 32, 'Výsleky všetření');
INSERT INTO `lang_definitions` VALUES (116122, 2289, 32, 'Klinické vyšetření');
INSERT INTO `lang_definitions` VALUES (116123, 2290, 32, 'Den klinického vyšetření');
INSERT INTO `lang_definitions` VALUES (116124, 2291, 32, 'Příklad');
INSERT INTO `lang_definitions` VALUES (116125, 2292, 32, 'Příklady');
INSERT INTO `lang_definitions` VALUES (116126, 2293, 32, 'Vyš/Testy');
INSERT INTO `lang_definitions` VALUES (116127, 2294, 32, 'S výjimkou');
INSERT INTO `lang_definitions` VALUES (116128, 2295, 32, 'Excesivní slzotok');
INSERT INTO `lang_definitions` VALUES (116129, 2296, 32, 'Vyjmutí pacienti');
INSERT INTO `lang_definitions` VALUES (116130, 2297, 32, 'Výjimky');
INSERT INTO `lang_definitions` VALUES (116131, 2298, 32, 'Exclusive Provider Organization (EPO)');
INSERT INTO `lang_definitions` VALUES (116132, 2300, 32, 'Cvičení');
INSERT INTO `lang_definitions` VALUES (116133, 2301, 32, 'Cvičební vzory');
INSERT INTO `lang_definitions` VALUES (116134, 2302, 32, 'Cvičební vzory');
INSERT INTO `lang_definitions` VALUES (116135, 2303, 32, 'Existuje');
INSERT INTO `lang_definitions` VALUES (116136, 2304, 32, 'Odejít z administrace');
INSERT INTO `lang_definitions` VALUES (116137, 2306, 32, 'Rozšířit');
INSERT INTO `lang_definitions` VALUES (116138, 2307, 32, 'rozšířit');
INSERT INTO `lang_definitions` VALUES (116139, 2308, 32, 'Rozšířit vše');
INSERT INTO `lang_definitions` VALUES (116140, 2311, 32, 'Rozšířené zobrazení');
INSERT INTO `lang_definitions` VALUES (116141, 2313, 32, 'Expirace');
INSERT INTO `lang_definitions` VALUES (116142, 2314, 32, 'Datum expirace');
INSERT INTO `lang_definitions` VALUES (116143, 2315, 32, 'Expiruje');
INSERT INTO `lang_definitions` VALUES (116144, 2316, 32, 'expiruje v');
INSERT INTO `lang_definitions` VALUES (116145, 2317, 32, 'Export');
INSERT INTO `lang_definitions` VALUES (116146, 2318, 32, 'Exportovat jako CSV');
INSERT INTO `lang_definitions` VALUES (116147, 2319, 32, 'Export konfigurace');
INSERT INTO `lang_definitions` VALUES (116148, 2322, 32, 'Export  demografických údajů pacienta');
INSERT INTO `lang_definitions` VALUES (116149, 2323, 32, 'Export PQRI reportu');
INSERT INTO `lang_definitions` VALUES (116150, 2325, 32, 'Export vybraných jako CSV');
INSERT INTO `lang_definitions` VALUES (116151, 2327, 32, 'Exportovat do CSV');
INSERT INTO `lang_definitions` VALUES (116152, 2328, 32, 'Exportovat do externího účetního systému');
INSERT INTO `lang_definitions` VALUES (116153, 2332, 32, 'Externí');
INSERT INTO `lang_definitions` VALUES (116154, 2334, 32, 'Externí data načtena');
INSERT INTO `lang_definitions` VALUES (116155, 2335, 32, 'Nástroj improtu externí databáze');
INSERT INTO `lang_definitions` VALUES (116156, 2336, 32, 'Externí ID');
INSERT INTO `lang_definitions` VALUES (116157, 2337, 32, 'Externí Id');
INSERT INTO `lang_definitions` VALUES (116158, 2338, 32, 'Externí identifikátor');
INSERT INTO `lang_definitions` VALUES (116159, 2339, 32, 'Pouze externí');
INSERT INTO `lang_definitions` VALUES (116160, 2342, 32, 'Externí doporučení');
INSERT INTO `lang_definitions` VALUES (116161, 2343, 32, 'Doporučení externích kontrol');
INSERT INTO `lang_definitions` VALUES (116162, 2344, 32, 'Externí doporučení ?');
INSERT INTO `lang_definitions` VALUES (116163, 2345, 32, 'Externí doporučení');
INSERT INTO `lang_definitions` VALUES (116164, 2346, 32, 'Rozbalit .zip soubor');
INSERT INTO `lang_definitions` VALUES (116165, 2347, 32, 'Rozbaluji soubor. To může chvíli trvat...');
INSERT INTO `lang_definitions` VALUES (116166, 2348, 32, 'Exudát');
INSERT INTO `lang_definitions` VALUES (116167, 2349, 32, 'Oční podráždění');
INSERT INTO `lang_definitions` VALUES (116168, 2350, 32, 'Oční bolesti');
INSERT INTO `lang_definitions` VALUES (116169, 2351, 32, 'Oční zarudnutí');
INSERT INTO `lang_definitions` VALUES (116170, 2352, 32, 'Oči');
INSERT INTO `lang_definitions` VALUES (116171, 2353, 32, 'F');
INSERT INTO `lang_definitions` VALUES (116172, 2354, 32, 'RA krevních onemocnění');
INSERT INTO `lang_definitions` VALUES (116173, 2355, 32, 'RA ženského hirsutismu/strií');
INSERT INTO `lang_definitions` VALUES (116174, 2356, 32, 'Zařízení');
INSERT INTO `lang_definitions` VALUES (116175, 2357, 32, 'Zařízení');
INSERT INTO `lang_definitions` VALUES (116176, 2358, 32, 'zařízení');
INSERT INTO `lang_definitions` VALUES (116177, 2359, 32, 'Správa zařízení');
INSERT INTO `lang_definitions` VALUES (116178, 2360, 32, 'Město zařízení');
INSERT INTO `lang_definitions` VALUES (116179, 2361, 32, 'Kód zařízení');
INSERT INTO `lang_definitions` VALUES (116180, 2362, 32, 'Kód země zařízení');
INSERT INTO `lang_definitions` VALUES (116181, 2363, 32, 'Fax zařízení');
INSERT INTO `lang_definitions` VALUES (116182, 2364, 32, 'Jméno zařízení');
INSERT INTO `lang_definitions` VALUES (116183, 2365, 32, 'Identifokační číslo zařízení');
INSERT INTO `lang_definitions` VALUES (116184, 2366, 32, 'Zařízení - Telefon');
INSERT INTO `lang_definitions` VALUES (116185, 2367, 32, 'Specifické uživatelské informace zařízení');
INSERT INTO `lang_definitions` VALUES (116186, 2368, 32, 'Zařízení - Stát');
INSERT INTO `lang_definitions` VALUES (116187, 2369, 32, 'Zařízení -  Ulice');
INSERT INTO `lang_definitions` VALUES (116188, 2370, 32, 'Zařízení - PSČ');
INSERT INTO `lang_definitions` VALUES (116189, 2372, 32, 'Zařízení:');
INSERT INTO `lang_definitions` VALUES (116190, 2373, 32, 'Selhání');
INSERT INTO `lang_definitions` VALUES (116191, 2374, 32, 'Selhání');
INSERT INTO `lang_definitions` VALUES (116192, 2375, 32, 'Selhání');
INSERT INTO `lang_definitions` VALUES (116193, 2376, 32, 'Neuspěšní pacienti');
INSERT INTO `lang_definitions` VALUES (116194, 2377, 32, 'Selhalo přidání pacienta na portál');
INSERT INTO `lang_definitions` VALUES (116195, 2378, 32, 'Selhalo generování unikátního jména souboru');
INSERT INTO `lang_definitions` VALUES (116196, 2379, 32, 'Vytvoření selhalo');
INSERT INTO `lang_definitions` VALUES (116197, 2380, 32, 'Selhalo  vytvoření dočasné složky. CouchDB nebude pracovat');
INSERT INTO `lang_definitions` VALUES (116198, 2382, 32, 'Selhalo');
INSERT INTO `lang_definitions` VALUES (116199, 2383, 32, 'selhání');
INSERT INTO `lang_definitions` VALUES (116200, 2384, 32, 'Selhání');
INSERT INTO `lang_definitions` VALUES (116201, 2385, 32, 'ZPRÁVA O SELHÁNÍ: Odeslání direct zprávy selhalo');
INSERT INTO `lang_definitions` VALUES (116202, 2390, 32, 'Rodinná anamnéza');
INSERT INTO `lang_definitions` VALUES (116203, 2391, 32, 'Rodinná anamnéza glaukomu');
INSERT INTO `lang_definitions` VALUES (116204, 2392, 32, 'Rodinná anamnéza:');
INSERT INTO `lang_definitions` VALUES (116205, 2394, 32, 'Rodinná platba');
INSERT INTO `lang_definitions` VALUES (116206, 2395, 32, 'Počet členů rodiny');
INSERT INTO `lang_definitions` VALUES (116207, 2397, 32, 'Faerské ostrovy');
INSERT INTO `lang_definitions` VALUES (116208, 2398, 32, 'Farsi');
INSERT INTO `lang_definitions` VALUES (116209, 2400, 32, 'Otec');
INSERT INTO `lang_definitions` VALUES (116210, 2401, 32, 'Anamnéza otce');
INSERT INTO `lang_definitions` VALUES (116211, 2402, 32, 'Únava');
INSERT INTO `lang_definitions` VALUES (116212, 2403, 32, 'Unavený');
INSERT INTO `lang_definitions` VALUES (116213, 2404, 32, 'Fax');
INSERT INTO `lang_definitions` VALUES (116214, 2405, 32, 'Počet faxů');
INSERT INTO `lang_definitions` VALUES (116215, 2406, 32, 'Číslo faxu');
INSERT INTO `lang_definitions` VALUES (116216, 2408, 32, 'Fax/Scan');
INSERT INTO `lang_definitions` VALUES (116217, 2409, 32, 'Přijmout faxem');
INSERT INTO `lang_definitions` VALUES (116218, 2410, 32, 'Odeslat faxem');
INSERT INTO `lang_definitions` VALUES (116219, 2411, 32, 'Vlastnosti');
INSERT INTO `lang_definitions` VALUES (116220, 2412, 32, 'Úno');
INSERT INTO `lang_definitions` VALUES (116221, 2413, 32, 'Únor');
INSERT INTO `lang_definitions` VALUES (116222, 2415, 32, 'ID léčiva');
INSERT INTO `lang_definitions` VALUES (116223, 2418, 32, 'Platba');
INSERT INTO `lang_definitions` VALUES (116224, 2419, 32, 'platba');
INSERT INTO `lang_definitions` VALUES (116225, 2420, 32, 'Platba není povolena');
INSERT INTO `lang_definitions` VALUES (116226, 2423, 32, 'Platba');
INSERT INTO `lang_definitions` VALUES (116227, 2424, 32, 'Žena');
INSERT INTO `lang_definitions` VALUES (116228, 2425, 32, 'Angina pectoris u ženy');
INSERT INTO `lang_definitions` VALUES (116229, 2426, 32, 'Ženský kondom');
INSERT INTO `lang_definitions` VALUES (116230, 2430, 32, 'Ženské symptomy');
INSERT INTO `lang_definitions` VALUES (116231, 2433, 32, 'Získávám následující soubor z portálu');
INSERT INTO `lang_definitions` VALUES (116232, 2434, 32, 'Horečka');
INSERT INTO `lang_definitions` VALUES (116233, 2435, 32, 'Horečka:');
INSERT INTO `lang_definitions` VALUES (116234, 2436, 32, 'RA krevních onemocnění');
INSERT INTO `lang_definitions` VALUES (116235, 2437, 32, 'Fibromy');
INSERT INTO `lang_definitions` VALUES (116236, 2438, 32, 'Pole');
INSERT INTO `lang_definitions` VALUES (116237, 2439, 32, 'Položka \'název\' pole nesmí být NULL');
INSERT INTO `lang_definitions` VALUES (116238, 2443, 32, 'Chybějící pole !');
INSERT INTO `lang_definitions` VALUES (116239, 2447, 32, 'Soubor');
INSERT INTO `lang_definitions` VALUES (116240, 2448, 32, 'soubor v adresáři Dokumentace s instrukcemi jak automatizovat proces tvorby backup logů');
INSERT INTO `lang_definitions` VALUES (116241, 2449, 32, 'umístění souboru');
INSERT INTO `lang_definitions` VALUES (116242, 2450, 32, 'Správa souborů');
INSERT INTO `lang_definitions` VALUES (116243, 2453, 32, 'Přístupová práva k souboru přidělena uživateli LibreEHR');
INSERT INTO `lang_definitions` VALUES (116244, 2454, 32, 'Získání souboru z CouchDB selhalo');
INSERT INTO `lang_definitions` VALUES (116245, 2455, 32, 'Spisovna');
INSERT INTO `lang_definitions` VALUES (116246, 2456, 32, 'Soubor k nahrání');
INSERT INTO `lang_definitions` VALUES (116247, 2457, 32, 'Soubor k nahrání');
INSERT INTO `lang_definitions` VALUES (116248, 2458, 32, 'Soubor se stejným jménem  již v umístní existuje:');
INSERT INTO `lang_definitions` VALUES (116249, 2459, 32, 'Jméno souboru');
INSERT INTO `lang_definitions` VALUES (116250, 2460, 32, 'Jméno souboru musí končit \".pdf\"');
INSERT INTO `lang_definitions` VALUES (116251, 2461, 32, 'Soubory');
INSERT INTO `lang_definitions` VALUES (116252, 2463, 32, 'Vyplňte jakýkoliv  z řádků níže.');
INSERT INTO `lang_definitions` VALUES (116253, 2464, 32, 'Zde vyplňte pouze pokud odesíláte notifikace pacientům');
INSERT INTO `lang_definitions` VALUES (116254, 2465, 32, 'Vyplňte hodnoty níže');
INSERT INTO `lang_definitions` VALUES (116255, 2467, 32, 'Vyplňte řádek.');
INSERT INTO `lang_definitions` VALUES (116256, 2468, 32, 'Filtr');
INSERT INTO `lang_definitions` VALUES (116257, 2469, 32, 'Filtr pro konstanty');
INSERT INTO `lang_definitions` VALUES (116258, 2470, 32, 'Filtr pro definice');
INSERT INTO `lang_definitions` VALUES (116259, 2471, 32, 'ziltrováno z');
INSERT INTO `lang_definitions` VALUES (116260, 2472, 32, 'filtry');
INSERT INTO `lang_definitions` VALUES (116261, 2473, 32, 'Filtry');
INSERT INTO `lang_definitions` VALUES (116262, 2474, 32, 'Finální');
INSERT INTO `lang_definitions` VALUES (116263, 2475, 32, 'Konečná diagnóza');
INSERT INTO `lang_definitions` VALUES (116264, 2476, 32, 'Konečná diagnóza specialisty');
INSERT INTO `lang_definitions` VALUES (116265, 2478, 32, 'Finanční');
INSERT INTO `lang_definitions` VALUES (116266, 2479, 32, 'Finančí uzávěrka (rrrrr-mm-dd)');
INSERT INTO `lang_definitions` VALUES (116267, 2480, 32, 'Finančí reportování - cokoliv');
INSERT INTO `lang_definitions` VALUES (116268, 2481, 32, 'Finančí reportování - moje vyšetření');
INSERT INTO `lang_definitions` VALUES (116269, 2482, 32, 'Datum finanční rozvahy');
INSERT INTO `lang_definitions` VALUES (116270, 2483, 32, 'Finanční souhr podle kódu služby');
INSERT INTO `lang_definitions` VALUES (116271, 2484, 32, 'Najít');
INSERT INTO `lang_definitions` VALUES (116272, 2485, 32, 'Najít dostupné');
INSERT INTO `lang_definitions` VALUES (116273, 2486, 32, 'Najít dostupné návštěvy');
INSERT INTO `lang_definitions` VALUES (116274, 2487, 32, 'Najít pacienta');
INSERT INTO `lang_definitions` VALUES (116275, 2488, 32, 'Najít edukační materiály pro pacienty');
INSERT INTO `lang_definitions` VALUES (116276, 2489, 32, 'Nálezy');
INSERT INTO `lang_definitions` VALUES (116277, 2490, 32, 'Nálezy dle specialistů');
INSERT INTO `lang_definitions` VALUES (116278, 2492, 32, 'Ukončit platby');
INSERT INTO `lang_definitions` VALUES (116279, 2493, 32, 'ukončeno');
INSERT INTO `lang_definitions` VALUES (116280, 2494, 32, 'Finský');
INSERT INTO `lang_definitions` VALUES (116281, 2495, 32, 'První');
INSERT INTO `lang_definitions` VALUES (116282, 2497, 32, 'První den týdne');
INSERT INTO `lang_definitions` VALUES (116283, 2498, 32, 'První jméno');
INSERT INTO `lang_definitions` VALUES (116284, 2499, 32, 'První jméno');
INSERT INTO `lang_definitions` VALUES (116285, 2500, 32, 'První jméno:');
INSERT INTO `lang_definitions` VALUES (116286, 2501, 32, 'První návštěva nebo konzultace');
INSERT INTO `lang_definitions` VALUES (116287, 2503, 32, 'Fyzická zdatnost');
INSERT INTO `lang_definitions` VALUES (116288, 2504, 32, 'Úroveň fyzické zdatnosti');
INSERT INTO `lang_definitions` VALUES (116289, 2505, 32, 'Dnenší úroveň fyzické zdatnosti tohoto hráče');
INSERT INTO `lang_definitions` VALUES (116290, 2506, 32, 'Testování fyzické zdatnosti');
INSERT INTO `lang_definitions` VALUES (116291, 2507, 32, 'Fyzikiá zdatnost  a schopnost hrát');
INSERT INTO `lang_definitions` VALUES (116292, 2508, 32, 'Opravit data vyšetření');
INSERT INTO `lang_definitions` VALUES (116293, 2509, 32, 'Opravit to');
INSERT INTO `lang_definitions` VALUES (116294, 2511, 32, 'Flatulence');
INSERT INTO `lang_definitions` VALUES (116295, 2512, 32, 'Tok');
INSERT INTO `lang_definitions` VALUES (116296, 2514, 32, 'Chřipková sezóna');
INSERT INTO `lang_definitions` VALUES (116297, 2515, 32, 'Chřipková sezóna');
INSERT INTO `lang_definitions` VALUES (116298, 2516, 32, 'Očkování proti chřipce');
INSERT INTO `lang_definitions` VALUES (116299, 2517, 32, 'Problémy elektrolytové rovnováhy a bilance tekutin');
INSERT INTO `lang_definitions` VALUES (116300, 2518, 32, 'FMS');
INSERT INTO `lang_definitions` VALUES (116301, 2519, 32, 'Velikost papíru folio');
INSERT INTO `lang_definitions` VALUES (116302, 2520, 32, 'Sledovat manuálně');
INSERT INTO `lang_definitions` VALUES (116303, 2521, 32, 'Postupujte podle instrukcí k instalaci nebo upgradu následující databáze');
INSERT INTO `lang_definitions` VALUES (116304, 2522, 32, 'Sledování');
INSERT INTO `lang_definitions` VALUES (116305, 2524, 32, 'Důvod sledování');
INSERT INTO `lang_definitions` VALUES (116306, 2525, 32, 'Následující  je nová uživatelská konstanta:');
INSERT INTO `lang_definitions` VALUES (116307, 2526, 32, 'Následující je nový uživatelský jazyk:');
INSERT INTO `lang_definitions` VALUES (116308, 2527, 32, 'Následující je nová definice (Jazyk, Konstanta, Definice):');
INSERT INTO `lang_definitions` VALUES (116309, 2529, 32, 'Následné služby');
INSERT INTO `lang_definitions` VALUES (116310, 2531, 32, 'Potravinová intolerance');
INSERT INTO `lang_definitions` VALUES (116311, 2532, 32, 'Noha');
INSERT INTO `lang_definitions` VALUES (116312, 2533, 32, 'Problémy nohou');
INSERT INTO `lang_definitions` VALUES (116313, 2534, 32, 'Noha:');
INSERT INTO `lang_definitions` VALUES (116314, 2535, 32, 'Fotbalové úrazy');
INSERT INTO `lang_definitions` VALUES (116315, 2536, 32, 'Fotbalový úraz');
INSERT INTO `lang_definitions` VALUES (116316, 2537, 32, 'Hlášení  fotbalového poranění');
INSERT INTO `lang_definitions` VALUES (116317, 2538, 32, 'Typ obuvi');
INSERT INTO `lang_definitions` VALUES (116318, 2539, 32, 'pro');
INSERT INTO `lang_definitions` VALUES (116319, 2540, 32, 'Pro');
INSERT INTO `lang_definitions` VALUES (116320, 2541, 32, 'Pro kód');
INSERT INTO `lang_definitions` VALUES (116321, 2543, 32, 'Pro žádanky o vyšetření');
INSERT INTO `lang_definitions` VALUES (116322, 2544, 32, 'Například:');
INSERT INTO `lang_definitions` VALUES (116323, 2547, 32, 'pro fakturu');
INSERT INTO `lang_definitions` VALUES (116324, 2550, 32, 'pro pacienta');
INSERT INTO `lang_definitions` VALUES (116325, 2552, 32, 'Pro pracoviště/lékaře poskytující vyžádanou péči');
INSERT INTO `lang_definitions` VALUES (116326, 2555, 32, 'pro:');
INSERT INTO `lang_definitions` VALUES (116327, 2556, 32, 'Vynutit otevření widgetu účtování');
INSERT INTO `lang_definitions` VALUES (116328, 2557, 32, 'Vynutit vytvoření nového pacienta');
INSERT INTO `lang_definitions` VALUES (116329, 2558, 32, 'Vynutit zobrazení');
INSERT INTO `lang_definitions` VALUES (116330, 2559, 32, 'Předloktí');
INSERT INTO `lang_definitions` VALUES (116331, 2562, 32, 'Element formuláře nenalezen');
INSERT INTO `lang_definitions` VALUES (116332, 2563, 32, 'Formulář úspěšně podepsán');
INSERT INTO `lang_definitions` VALUES (116333, 2564, 32, 'Formát');
INSERT INTO `lang_definitions` VALUES (116334, 2565, 32, 'formát');
INSERT INTO `lang_definitions` VALUES (116335, 2566, 32, 'Formát zobrazení věku');
INSERT INTO `lang_definitions` VALUES (116336, 2567, 32, 'Formát kódu léčiva není korektkní');
INSERT INTO `lang_definitions` VALUES (116337, 2568, 32, 'Formát zobrazení většiny datumových údajů.');
INSERT INTO `lang_definitions` VALUES (116338, 2569, 32, 'Formát zobrazení většiny časových údajů.');
INSERT INTO `lang_definitions` VALUES (116339, 2570, 32, 'Formátované hlášení');
INSERT INTO `lang_definitions` VALUES (116340, 2571, 32, 'Exkuřák');
INSERT INTO `lang_definitions` VALUES (116341, 2572, 32, 'Formuláře');
INSERT INTO `lang_definitions` VALUES (116342, 2573, 32, 'Správa formulářů');
INSERT INTO `lang_definitions` VALUES (116343, 2575, 32, 'Přeposlat');
INSERT INTO `lang_definitions` VALUES (116344, 2576, 32, 'Přeposlat stránky faxem');
INSERT INTO `lang_definitions` VALUES (116345, 2577, 32, 'Přeposláno');
INSERT INTO `lang_definitions` VALUES (116346, 2579, 32, 'Čtvrtý');
INSERT INTO `lang_definitions` VALUES (116347, 2581, 32, 'Zlomenina');
INSERT INTO `lang_definitions` VALUES (116348, 2582, 32, 'Fractura os naviculare');
INSERT INTO `lang_definitions` VALUES (116349, 2583, 32, 'Zlomenina  zevního kotníku');
INSERT INTO `lang_definitions` VALUES (116350, 2584, 32, 'Zlomenina vnitřního kotníku');
INSERT INTO `lang_definitions` VALUES (116351, 2585, 32, 'zlomenina base V (pátého) metatarsu');
INSERT INTO `lang_definitions` VALUES (116352, 2590, 32, 'Frekvence');
INSERT INTO `lang_definitions` VALUES (116353, 2591, 32, 'Časté nachlazení');
INSERT INTO `lang_definitions` VALUES (116354, 2592, 32, 'Častá nemocnost');
INSERT INTO `lang_definitions` VALUES (116355, 2593, 32, 'Pát');
INSERT INTO `lang_definitions` VALUES (116356, 2594, 32, 'Pátek');
INSERT INTO `lang_definitions` VALUES (116357, 2595, 32, 'Z');
INSERT INTO `lang_definitions` VALUES (116358, 2596, 32, 'Z');
INSERT INTO `lang_definitions` VALUES (116359, 2597, 32, 'z/od');
INSERT INTO `lang_definitions` VALUES (116360, 2598, 32, 'Datum OD nemůže být vyšší než DO');
INSERT INTO `lang_definitions` VALUES (116361, 2599, 32, 'Z/Od:');
INSERT INTO `lang_definitions` VALUES (116362, 2600, 32, 'Z/Od: ');
INSERT INTO `lang_definitions` VALUES (116363, 2601, 32, 'Z_MĚSTO');
INSERT INTO `lang_definitions` VALUES (116364, 2602, 32, 'Z_E-MAIL');
INSERT INTO `lang_definitions` VALUES (116365, 2603, 32, 'Z_JMENO');
INSERT INTO `lang_definitions` VALUES (116366, 2604, 32, 'Z_PRIJMENI');
INSERT INTO `lang_definitions` VALUES (116367, 2606, 32, 'Z_TELEFON');
INSERT INTO `lang_definitions` VALUES (116368, 2607, 32, 'Z_MOBIL');
INSERT INTO `lang_definitions` VALUES (116369, 2608, 32, 'Z_POŠTOVNÍ_ADRESA');
INSERT INTO `lang_definitions` VALUES (116370, 2609, 32, 'Z_STÁT');
INSERT INTO `lang_definitions` VALUES (116371, 2610, 32, 'Z_ULICE');
INSERT INTO `lang_definitions` VALUES (116372, 2611, 32, 'Z_NÁZEV');
INSERT INTO `lang_definitions` VALUES (116373, 2613, 32, 'Styk se zákaznky');
INSERT INTO `lang_definitions` VALUES (116374, 2614, 32, 'Styk se zákazníky - příjmy');
INSERT INTO `lang_definitions` VALUES (116375, 2615, 32, 'Styk se zákazníky - příjmy - hlášení');
INSERT INTO `lang_definitions` VALUES (116376, 2617, 32, 'frontálně vpravo:');
INSERT INTO `lang_definitions` VALUES (116377, 2619, 32, 'Celé jméno');
INSERT INTO `lang_definitions` VALUES (116378, 2620, 32, 'Plná cesta k umístění obsahujícímu MySQL spustitelné soubory');
INSERT INTO `lang_definitions` VALUES (116379, 2621, 32, 'Plná cesta k umístění obsahujícímu Perl spustitelné soubory');
INSERT INTO `lang_definitions` VALUES (116380, 2622, 32, 'Plná cesta k umístění pro zálohu logu událostí');
INSERT INTO `lang_definitions` VALUES (116381, 2623, 32, 'Plná cesta k umístění pro dočasné soubory.');
INSERT INTO `lang_definitions` VALUES (116382, 2625, 32, 'Pný trénink');
INSERT INTO `lang_definitions` VALUES (116383, 2626, 32, 'Plně uhrazeno');
INSERT INTO `lang_definitions` VALUES (116384, 2631, 32, 'budoucí');
INSERT INTO `lang_definitions` VALUES (116385, 2633, 32, 'G');
INSERT INTO `lang_definitions` VALUES (116386, 2634, 32, 'G/DL');
INSERT INTO `lang_definitions` VALUES (116387, 2636, 32, 'Stav žlučníku');
INSERT INTO `lang_definitions` VALUES (116388, 2637, 32, 'Cholecystolithiasa');
INSERT INTO `lang_definitions` VALUES (116389, 2639, 32, 'Hry');
INSERT INTO `lang_definitions` VALUES (116390, 2640, 32, 'Hra zmeškána');
INSERT INTO `lang_definitions` VALUES (116391, 2641, 32, 'hry/události');
INSERT INTO `lang_definitions` VALUES (116392, 2642, 32, 'Hry/události zmeškány');
INSERT INTO `lang_definitions` VALUES (116393, 2644, 32, 'Gastritis');
INSERT INTO `lang_definitions` VALUES (116394, 2645, 32, 'Bolesti žaludku');
INSERT INTO `lang_definitions` VALUES (116395, 2646, 32, 'Gastrointestinální');
INSERT INTO `lang_definitions` VALUES (116396, 2647, 32, 'GCAC statistický report');
INSERT INTO `lang_definitions` VALUES (116397, 2648, 32, 'GCAC statistika');
INSERT INTO `lang_definitions` VALUES (116398, 2649, 32, 'GCAC formulář návštěvy chybí');
INSERT INTO `lang_definitions` VALUES (116399, 2650, 32, 'Pohlaví');
INSERT INTO `lang_definitions` VALUES (116400, 2651, 32, 'Pohlaví ');
INSERT INTO `lang_definitions` VALUES (116401, 2652, 32, 'Obecný');
INSERT INTO `lang_definitions` VALUES (116402, 2653, 32, 'Seznam obecných problémů');
INSERT INTO `lang_definitions` VALUES (116403, 2655, 32, 'Kategorie obecné služby');
INSERT INTO `lang_definitions` VALUES (116404, 2656, 32, 'Generovat');
INSERT INTO `lang_definitions` VALUES (116405, 2657, 32, 'Vytvořit a stáhnout CMS 1500 pohledávky');
INSERT INTO `lang_definitions` VALUES (116406, 2658, 32, 'Vytvořit a stáhnout HCFA 1500 pohledávky');
INSERT INTO `lang_definitions` VALUES (116407, 2659, 32, 'Vytvořit a stáhnout X12 dávku');
INSERT INTO `lang_definitions` VALUES (116408, 2660, 32, 'Generovat a stáhnout X12 hromadnou žádankou o vyšetření');
INSERT INTO `lang_definitions` VALUES (116409, 2663, 32, 'Vytvořit a odeslat  medikaci elektronicky');
INSERT INTO `lang_definitions` VALUES (116410, 2664, 32, 'Vytvořit CMS 1500');
INSERT INTO `lang_definitions` VALUES (116411, 2665, 32, 'Vytvořitt CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (116412, 2666, 32, 'Vytvořitt CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (116413, 2667, 32, 'Vytvořit HCFA');
INSERT INTO `lang_definitions` VALUES (116414, 2668, 32, 'Vytvořit fakturu');
INSERT INTO `lang_definitions` VALUES (116415, 2669, 32, 'Vytvořit dopis');
INSERT INTO `lang_definitions` VALUES (116416, 2670, 32, 'Vytvořit sdělení týkající se ');
INSERT INTO `lang_definitions` VALUES (116417, 2671, 32, 'Vytvořit PQRI report ( metoda A )');
INSERT INTO `lang_definitions` VALUES (116418, 2673, 32, 'Vytvořit PQRI report ( metoda E )');
INSERT INTO `lang_definitions` VALUES (116419, 2677, 32, 'Vytvořit report');
INSERT INTO `lang_definitions` VALUES (116420, 2678, 32, 'Vytvořit uživatelské jméno a heslo pro');
INSERT INTO `lang_definitions` VALUES (116421, 2679, 32, 'Vytvořit X12');
INSERT INTO `lang_definitions` VALUES (116422, 2680, 32, 'Vytvořit X12 setkání');
INSERT INTO `lang_definitions` VALUES (116423, 2682, 32, 'Vytvořeno');
INSERT INTO `lang_definitions` VALUES (116424, 2683, 32, 'Generuje');
INSERT INTO `lang_definitions` VALUES (116425, 2684, 32, 'Urogenitální');
INSERT INTO `lang_definitions` VALUES (116426, 2687, 32, 'Němčina');
INSERT INTO `lang_definitions` VALUES (116427, 2691, 32, 'Get HL7');
INSERT INTO `lang_definitions` VALUES (116428, 2692, 32, 'Glaukom');
INSERT INTO `lang_definitions` VALUES (116429, 2693, 32, 'Rodinná anamméza glaukomu');
INSERT INTO `lang_definitions` VALUES (116430, 2694, 32, 'Globální');
INSERT INTO `lang_definitions` VALUES (116431, 2696, 32, 'Globální ID');
INSERT INTO `lang_definitions` VALUES (116432, 2697, 32, 'Globální nastavení');
INSERT INTO `lang_definitions` VALUES (116433, 2698, 32, 'Globální');
INSERT INTO `lang_definitions` VALUES (116434, 2699, 32, 'GM/DL');
INSERT INTO `lang_definitions` VALUES (116435, 2700, 32, 'přejít');
INSERT INTO `lang_definitions` VALUES (116436, 2701, 32, 'Přejít');
INSERT INTO `lang_definitions` VALUES (116437, 2704, 32, 'Přejít na');
INSERT INTO `lang_definitions` VALUES (116438, 2705, 32, 'Přejít do týdne');
INSERT INTO `lang_definitions` VALUES (116439, 2706, 32, 'Přejít na dnešek');
INSERT INTO `lang_definitions` VALUES (116440, 2707, 32, 'Cíl A');
INSERT INTO `lang_definitions` VALUES (116441, 2708, 32, 'Cíle a metody');
INSERT INTO `lang_definitions` VALUES (116442, 2709, 32, 'Cíl B');
INSERT INTO `lang_definitions` VALUES (116443, 2710, 32, 'Cíl C');
INSERT INTO `lang_definitions` VALUES (116444, 2711, 32, 'Stupeň poškození');
INSERT INTO `lang_definitions` VALUES (116445, 2712, 32, 'Stupeň:');
INSERT INTO `lang_definitions` VALUES (116446, 2713, 32, 'gramů');
INSERT INTO `lang_definitions` VALUES (116447, 2720, 32, 'Větší než');
INSERT INTO `lang_definitions` VALUES (116448, 2721, 32, 'Větší nebo rovno');
INSERT INTO `lang_definitions` VALUES (116449, 2722, 32, 'Řečtina');
INSERT INTO `lang_definitions` VALUES (116450, 2723, 32, 'Moderní řečtina');
INSERT INTO `lang_definitions` VALUES (116451, 2724, 32, 'Skupina');
INSERT INTO `lang_definitions` VALUES (116452, 2725, 32, 'Název skupiny');
INSERT INTO `lang_definitions` VALUES (116453, 2726, 32, 'Názvy skupin nemohou být prázdné');
INSERT INTO `lang_definitions` VALUES (116454, 2727, 32, 'Názvy skupin nemohou začínat čísly nebo mezerami');
INSERT INTO `lang_definitions` VALUES (116455, 2728, 32, 'Názvy skupin nemohou začínat čísly');
INSERT INTO `lang_definitions` VALUES (116456, 2729, 32, 'Číslo skupiny');
INSERT INTO `lang_definitions` VALUES (116457, 2730, 32, 'Skupinová platba');
INSERT INTO `lang_definitions` VALUES (116458, 2731, 32, 'Skupina:');
INSERT INTO `lang_definitions` VALUES (116459, 2732, 32, 'Jméno skupiny');
INSERT INTO `lang_definitions` VALUES (116460, 2733, 32, 'Nastavení přístupů a skupin');
INSERT INTO `lang_definitions` VALUES (116461, 2734, 32, 'Růstová křivka');
INSERT INTO `lang_definitions` VALUES (116462, 2735, 32, 'Růstová-křívka');
INSERT INTO `lang_definitions` VALUES (116463, 2736, 32, 'gtt ( kapky )');
INSERT INTO `lang_definitions` VALUES (116464, 2739, 32, 'Jméno opatrovníka');
INSERT INTO `lang_definitions` VALUES (116465, 2741, 32, 'Gynekologické vyšetření');
INSERT INTO `lang_definitions` VALUES (116466, 2742, 32, 'h');
INSERT INTO `lang_definitions` VALUES (116467, 2743, 32, 'h.s');
INSERT INTO `lang_definitions` VALUES (116468, 2744, 32, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (116469, 2745, 32, 'úspěšně smazáno. Všechny přítomné subkategorie byly přesunuty níže.');
INSERT INTO `lang_definitions` VALUES (116470, 2746, 32, 'Hemathom / modřiny');
INSERT INTO `lang_definitions` VALUES (116471, 2747, 32, 'HAI status');
INSERT INTO `lang_definitions` VALUES (116472, 2750, 32, 'Ruka + prsty');
INSERT INTO `lang_definitions` VALUES (116473, 2751, 32, 'Problémy s rukou');
INSERT INTO `lang_definitions` VALUES (116474, 2752, 32, 'Harddisk');
INSERT INTO `lang_definitions` VALUES (116475, 2753, 32, 'Utrpení');
INSERT INTO `lang_definitions` VALUES (116476, 2754, 32, 'připojeno k návštěvě');
INSERT INTO `lang_definitions` VALUES (116477, 2755, 32, 'po lhůtě');
INSERT INTO `lang_definitions` VALUES (116478, 2756, 32, 'Kontrolní součet');
INSERT INTO `lang_definitions` VALUES (116479, 2757, 32, 'Kontrolní součet pro tento soubor neexistuje. Nový kontrolní součet byl vytvořen.');
INSERT INTO `lang_definitions` VALUES (116480, 2758, 32, 'Kontrolní součet nesedí. Integrita dat je v ohrožení');
INSERT INTO `lang_definitions` VALUES (116481, 2761, 32, 'Hazardní aktivity');
INSERT INTO `lang_definitions` VALUES (116482, 2762, 32, 'Hazardní aktivity');
INSERT INTO `lang_definitions` VALUES (116483, 2763, 32, 'HCFA levá hranice v bodech');
INSERT INTO `lang_definitions` VALUES (116484, 2764, 32, 'HCFA hranice');
INSERT INTO `lang_definitions` VALUES (116485, 2765, 32, 'HCFA horní hranice v bodech');
INSERT INTO `lang_definitions` VALUES (116486, 2766, 32, 'HCPCD Procedura/Služba');
INSERT INTO `lang_definitions` VALUES (116487, 2768, 32, 'Hlava');
INSERT INTO `lang_definitions` VALUES (116488, 2769, 32, 'Obvod hlavy');
INSERT INTO `lang_definitions` VALUES (116489, 2770, 32, 'Obvod hlavy');
INSERT INTO `lang_definitions` VALUES (116490, 2771, 32, 'Bolesti hlavy');
INSERT INTO `lang_definitions` VALUES (116491, 2772, 32, 'Cefalgie');
INSERT INTO `lang_definitions` VALUES (116492, 2773, 32, 'Zdravotnické operace');
INSERT INTO `lang_definitions` VALUES (116493, 2774, 32, 'Zdravotnické operace');
INSERT INTO `lang_definitions` VALUES (116494, 2775, 32, 'léčebné centrum/klinika');
INSERT INTO `lang_definitions` VALUES (116495, 2778, 32, 'Hypacusis');
INSERT INTO `lang_definitions` VALUES (116496, 2779, 32, 'Kardiální příhoda');
INSERT INTO `lang_definitions` VALUES (116497, 2780, 32, 'Srdeční onemocnění');
INSERT INTO `lang_definitions` VALUES (116498, 2781, 32, 'Srdeční selhání');
INSERT INTO `lang_definitions` VALUES (116499, 2782, 32, 'Kardiální obtíže');
INSERT INTO `lang_definitions` VALUES (116500, 2783, 32, 'Kardiální obtíže');
INSERT INTO `lang_definitions` VALUES (116501, 2784, 32, 'Kardiochirurgie');
INSERT INTO `lang_definitions` VALUES (116502, 2785, 32, 'Transplantace srdce');
INSERT INTO `lang_definitions` VALUES (116503, 2786, 32, 'SRDCE:');
INSERT INTO `lang_definitions` VALUES (116504, 2787, 32, 'Pálení žáhy');
INSERT INTO `lang_definitions` VALUES (116505, 2788, 32, 'Teplo nebo chlad');
INSERT INTO `lang_definitions` VALUES (116506, 2789, 32, 'Teplo nebo chlad');
INSERT INTO `lang_definitions` VALUES (116507, 2790, 32, 'Velmi silný kuřák');
INSERT INTO `lang_definitions` VALUES (116508, 2791, 32, 'Hebrejština');
INSERT INTO `lang_definitions` VALUES (116509, 2792, 32, 'Hebrejština (moderní)');
INSERT INTO `lang_definitions` VALUES (116510, 2794, 32, 'Výška');
INSERT INTO `lang_definitions` VALUES (116511, 2795, 32, 'Výška/Délka');
INSERT INTO `lang_definitions` VALUES (116512, 2796, 32, 'pomoc');
INSERT INTO `lang_definitions` VALUES (116513, 2797, 32, 'pomoc');
INSERT INTO `lang_definitions` VALUES (116514, 2798, 32, 'Hemathemesa');
INSERT INTO `lang_definitions` VALUES (116515, 2799, 32, 'Krev ve stolici');
INSERT INTO `lang_definitions` VALUES (116516, 2800, 32, 'Hematologický');
INSERT INTO `lang_definitions` VALUES (116517, 2801, 32, 'Hematurie');
INSERT INTO `lang_definitions` VALUES (116518, 2802, 32, 'Hemoglobin');
INSERT INTO `lang_definitions` VALUES (116519, 2803, 32, 'Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (116520, 2804, 32, 'Hemoptýza');
INSERT INTO `lang_definitions` VALUES (116521, 2805, 32, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (116522, 2806, 32, 'Hepatitis A 1');
INSERT INTO `lang_definitions` VALUES (116523, 2807, 32, 'Hepatitis A 2');
INSERT INTO `lang_definitions` VALUES (116524, 2808, 32, 'Hepatitis B 1');
INSERT INTO `lang_definitions` VALUES (116525, 2809, 32, 'Hepatitis B 2');
INSERT INTO `lang_definitions` VALUES (116526, 2810, 32, 'hepatitis B 3');
INSERT INTO `lang_definitions` VALUES (116527, 2811, 32, 'zde');
INSERT INTO `lang_definitions` VALUES (116528, 2813, 32, 'Operace kýly');
INSERT INTO `lang_definitions` VALUES (116529, 2814, 32, 'Hernie disku');
INSERT INTO `lang_definitions` VALUES (116530, 2815, 32, 'Herpes');
INSERT INTO `lang_definitions` VALUES (116531, 2816, 32, 'hesitace ( pohybová váhavost)');
INSERT INTO `lang_definitions` VALUES (116532, 2817, 32, 'Ahoj, byli jste zde pro ');
INSERT INTO `lang_definitions` VALUES (116533, 2818, 32, 'HIB vakcína 1');
INSERT INTO `lang_definitions` VALUES (116534, 2819, 32, 'HIB vakcína 2');
INSERT INTO `lang_definitions` VALUES (116535, 2820, 32, 'HIB vakcína 3');
INSERT INTO `lang_definitions` VALUES (116536, 2821, 32, 'HIB vakcína 4');
INSERT INTO `lang_definitions` VALUES (116537, 2822, 32, 'Skryté');
INSERT INTO `lang_definitions` VALUES (116538, 2823, 32, 'Správa skrytých událostí');
INSERT INTO `lang_definitions` VALUES (116539, 2824, 32, 'Skrýt');
INSERT INTO `lang_definitions` VALUES (116540, 2825, 32, 'Skrýt detaily');
INSERT INTO `lang_definitions` VALUES (116541, 2826, 32, 'Skrýt prázdné logy e-podpisu');
INSERT INTO `lang_definitions` VALUES (116542, 2827, 32, 'Skrýt volby pro šifrování dokumentů');
INSERT INTO `lang_definitions` VALUES (116543, 2828, 32, 'Skrýt nabídku');
INSERT INTO `lang_definitions` VALUES (116544, 2830, 32, 'Skrýt upomínky');
INSERT INTO `lang_definitions` VALUES (116545, 2831, 32, 'Skýt/Zobrazit sloupce');
INSERT INTO `lang_definitions` VALUES (116546, 2833, 32, 'Vysoký');
INSERT INTO `lang_definitions` VALUES (116547, 2834, 32, 'Vysoký krevní tlak');
INSERT INTO `lang_definitions` VALUES (116548, 2836, 32, 'Kyčel + tříslo');
INSERT INTO `lang_definitions` VALUES (116549, 2837, 32, 'Kyčel a tříslo');
INSERT INTO `lang_definitions` VALUES (116550, 2838, 32, 'Problémy s kyčlemi');
INSERT INTO `lang_definitions` VALUES (116551, 2839, 32, 'TEP kyčelního kloubu');
INSERT INTO `lang_definitions` VALUES (116552, 2840, 32, 'HIPAA vyhláška přijata');
INSERT INTO `lang_definitions` VALUES (116553, 2842, 32, 'Hirsutismus/Strie');
INSERT INTO `lang_definitions` VALUES (116554, 2847, 32, 'Anamnéza');
INSERT INTO `lang_definitions` VALUES (116555, 2848, 32, 'Anamnestická data');
INSERT INTO `lang_definitions` VALUES (116556, 2849, 32, 'Datum anamnézy');
INSERT INTO `lang_definitions` VALUES (116557, 2851, 32, 'Anamnéza šelestu');
INSERT INTO `lang_definitions` VALUES (116558, 2852, 32, 'Anamnéza není autorizována');
INSERT INTO `lang_definitions` VALUES (116559, 2853, 32, 'Anamnéza srdečního šelestu');
INSERT INTO `lang_definitions` VALUES (116560, 2855, 32, 'HIV');
INSERT INTO `lang_definitions` VALUES (116561, 2858, 32, 'HL7 prohlížeč');
INSERT INTO `lang_definitions` VALUES (116562, 2860, 32, 'HMOL/L');
INSERT INTO `lang_definitions` VALUES (116563, 2862, 32, 'Stiskněte CTRL pro hromadný výběr');
INSERT INTO `lang_definitions` VALUES (116564, 2863, 32, 'Stiskněte CTRL pro hromadný výběr položek');
INSERT INTO `lang_definitions` VALUES (116565, 2864, 32, 'Stiskněte CTRL pro hromadný výběr oddílů');
INSERT INTO `lang_definitions` VALUES (116566, 2865, 32, 'Domov');
INSERT INTO `lang_definitions` VALUES (116567, 2866, 32, 'Telefon domů');
INSERT INTO `lang_definitions` VALUES (116568, 2867, 32, 'Telefonní číslo domů');
INSERT INTO `lang_definitions` VALUES (116569, 2868, 32, 'Bezdomovec nebo obdobný ?');
INSERT INTO `lang_definitions` VALUES (116570, 2869, 32, 'Bezdomovec, atd.');
INSERT INTO `lang_definitions` VALUES (116571, 2870, 32, 'Bezdomovec, atd.');
INSERT INTO `lang_definitions` VALUES (116572, 2872, 32, 'Hostitelské jméno');
INSERT INTO `lang_definitions` VALUES (116573, 2873, 32, 'Hostitelské jméno nemůže být prázdné');
INSERT INTO `lang_definitions` VALUES (116574, 2875, 32, 'Hodina');
INSERT INTO `lang_definitions` VALUES (116575, 2876, 32, 'Hodiny');
INSERT INTO `lang_definitions` VALUES (116576, 2878, 32, 'Jak došlo ke zranění ?');
INSERT INTO `lang_definitions` VALUES (116577, 2879, 32, 'Jak došlo ke zranění ?');
INSERT INTO `lang_definitions` VALUES (116578, 2880, 32, 'Jak se o nás dozvěděli ?');
INSERT INTO `lang_definitions` VALUES (116579, 2881, 32, 'Kolik měsíců předchází  dotazu na nadcházející události ?');
INSERT INTO `lang_definitions` VALUES (116580, 2882, 32, 'NO:');
INSERT INTO `lang_definitions` VALUES (116581, 2883, 32, 'HT');
INSERT INTO `lang_definitions` VALUES (116582, 2884, 32, 'HTML');
INSERT INTO `lang_definitions` VALUES (116583, 2885, 32, 'HTML výstup ?');
INSERT INTO `lang_definitions` VALUES (116584, 2886, 32, 'Https odkaz na LibreEHR Support LLC Lab Echange Service');
INSERT INTO `lang_definitions` VALUES (116585, 2887, 32, 'Maďarština');
INSERT INTO `lang_definitions` VALUES (116586, 2888, 32, 'Hylafax adresář');
INSERT INTO `lang_definitions` VALUES (116587, 2889, 32, 'Hylafax Enscript příkaz');
INSERT INTO `lang_definitions` VALUES (116588, 2890, 32, 'Hylafax server');
INSERT INTO `lang_definitions` VALUES (116589, 2891, 32, 'Jméno hostitelského Hylafax serveru');
INSERT INTO `lang_definitions` VALUES (116590, 2892, 32, 'Hyperaktivita');
INSERT INTO `lang_definitions` VALUES (116591, 2893, 32, 'Hypertenze');
INSERT INTO `lang_definitions` VALUES (116592, 2894, 32, 'Hypertenze: Měření krevního tlaku');
INSERT INTO `lang_definitions` VALUES (116593, 2895, 32, 'Hypertenze: Měření krevního tlaku (CQM)');
INSERT INTO `lang_definitions` VALUES (116594, 2896, 32, 'Hyperthyreosa');
INSERT INTO `lang_definitions` VALUES (116595, 2897, 32, 'Hypothyreosa');
INSERT INTO `lang_definitions` VALUES (116596, 2898, 32, 'Hysterektomie');
INSERT INTO `lang_definitions` VALUES (116597, 2899, 32, 'Já');
INSERT INTO `lang_definitions` VALUES (116598, 2900, 32, 'Aktuálně jsem zaneprázdněn');
INSERT INTO `lang_definitions` VALUES (116599, 2901, 32, 'Nemám oprávnění ke čtení ');
INSERT INTO `lang_definitions` VALUES (116600, 2902, 32, 'MKN');
INSERT INTO `lang_definitions` VALUES (116601, 2903, 32, 'MKN10 Diagnózy');
INSERT INTO `lang_definitions` VALUES (116602, 2904, 32, 'MKN10 Procedura/Služba');
INSERT INTO `lang_definitions` VALUES (116603, 2905, 32, 'MKN9');
INSERT INTO `lang_definitions` VALUES (116604, 2906, 32, 'MKN9 Diagnózy');
INSERT INTO `lang_definitions` VALUES (116605, 2907, 32, 'MKN9 Procedura/Služba');
INSERT INTO `lang_definitions` VALUES (116606, 2909, 32, 'ID');
INSERT INTO `lang_definitions` VALUES (116607, 2910, 32, 'Id');
INSERT INTO `lang_definitions` VALUES (116608, 2911, 32, 'ID nemůže být prázdné');
INSERT INTO `lang_definitions` VALUES (116609, 2912, 32, 'Občanský průkaz');
INSERT INTO `lang_definitions` VALUES (116610, 2914, 32, 'identifikovaný jako');
INSERT INTO `lang_definitions` VALUES (116611, 2915, 32, 'Identifikátor ( jednoslovně )');
INSERT INTO `lang_definitions` VALUES (116612, 2916, 32, 'Identifikační kód');
INSERT INTO `lang_definitions` VALUES (116613, 2917, 32, 'Timeout pro nečinné sezení v sekundách');
INSERT INTO `lang_definitions` VALUES (116614, 2919, 32, 'Jestliže formulář obsahuje kompletní data pro všechny sloupce');
INSERT INTO `lang_definitions` VALUES (116615, 2921, 32, 'pokud bylo zadáno, vyberte pouze ty kdo využili tuto službu');
INSERT INTO `lang_definitions` VALUES (116616, 2922, 32, 'V případě jména, jakákoliv část příjmení, jména');
INSERT INTO `lang_definitions` VALUES (116617, 2923, 32, 'Pokud platíte');
INSERT INTO `lang_definitions` VALUES (116618, 2924, 32, 'Pokud osoba zemřela, zadejte datum smrti');
INSERT INTO `lang_definitions` VALUES (116619, 2925, 32, 'V případě použití SMTP, zadejte hostitelské jméno serveru nebo IP adresu');
INSERT INTO `lang_definitions` VALUES (116620, 2926, 32, 'V případě použití SMTP, zadejte číslo portu TCP');
INSERT INTO `lang_definitions` VALUES (116621, 2927, 32, 'pokud nezaměstnaný , zadejte student');
INSERT INTO `lang_definitions` VALUES (116622, 2929, 32, 'Pokud měníte e-RX roli pro e-preskripci, může to mít dopady na procesy ePreskripce.');
INSERT INTO `lang_definitions` VALUES (116623, 2930, 32, 'Nebude-li vybráno, bude vytvořen odpovídající pacient');
INSERT INTO `lang_definitions` VALUES (116624, 2933, 32, 'Pokud chcete změnit typ dat nebo přidat sloupce či řádky');
INSERT INTO `lang_definitions` VALUES (116625, 2934, 32, 'Pokud chcete provést upgrade databáze, pak vložte databázový ZIP soubor do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (116626, 2936, 32, 'Ignorovat');
INSERT INTO `lang_definitions` VALUES (116627, 2937, 32, 'Onemocnění');
INSERT INTO `lang_definitions` VALUES (116628, 2938, 32, 'IM');
INSERT INTO `lang_definitions` VALUES (116629, 2941, 32, 'Zobrazovací metody');
INSERT INTO `lang_definitions` VALUES (116630, 2942, 32, 'Očkování');
INSERT INTO `lang_definitions` VALUES (116631, 2943, 32, 'Kód vakcinace');
INSERT INTO `lang_definitions` VALUES (116632, 2945, 32, 'Datum vakcinace');
INSERT INTO `lang_definitions` VALUES (116633, 2946, 32, 'Expirace imunizace');
INSERT INTO `lang_definitions` VALUES (116634, 2948, 32, 'Výobce vakcíny');
INSERT INTO `lang_definitions` VALUES (116635, 2952, 32, 'Název očkování');
INSERT INTO `lang_definitions` VALUES (116636, 2953, 32, 'Očkování');
INSERT INTO `lang_definitions` VALUES (116637, 2954, 32, 'Imunizovat');
INSERT INTO `lang_definitions` VALUES (116638, 2955, 32, 'Imunologický');
INSERT INTO `lang_definitions` VALUES (116639, 2956, 32, 'Implantáty');
INSERT INTO `lang_definitions` VALUES (116640, 2957, 32, 'Import');
INSERT INTO `lang_definitions` VALUES (116641, 2961, 32, 'Importovat certifikát do prohlížeče');
INSERT INTO `lang_definitions` VALUES (116642, 2962, 32, 'Importovat konfiguraci');
INSERT INTO `lang_definitions` VALUES (116643, 2964, 32, 'Importovat pacienta');
INSERT INTO `lang_definitions` VALUES (116644, 2965, 32, 'Importovat identifikační údaje pacienta');
INSERT INTO `lang_definitions` VALUES (116645, 2966, 32, 'Důležité kódy');
INSERT INTO `lang_definitions` VALUES (116646, 2969, 32, 'Importováno z účetnictví');
INSERT INTO `lang_definitions` VALUES (116647, 2972, 32, 'vylepšeno');
INSERT INTO `lang_definitions` VALUES (116648, 2973, 32, 'v');
INSERT INTO `lang_definitions` VALUES (116649, 2974, 32, 'V');
INSERT INTO `lang_definitions` VALUES (116650, 2975, 32, 'v obou očích');
INSERT INTO `lang_definitions` VALUES (116651, 2976, 32, 'v levém oku');
INSERT INTO `lang_definitions` VALUES (116652, 2977, 32, 'v nozdře');
INSERT INTO `lang_definitions` VALUES (116653, 2978, 32, 'V kanceláři');
INSERT INTO `lang_definitions` VALUES (116654, 2979, 32, 'v pravém oku');
INSERT INTO `lang_definitions` VALUES (116655, 2980, 32, 'v domě');
INSERT INTO `lang_definitions` VALUES (116656, 2981, 32, 'Neaktivní');
INSERT INTO `lang_definitions` VALUES (116657, 2982, 32, 'Dny neaktivity');
INSERT INTO `lang_definitions` VALUES (116658, 2983, 32, 'Doručená pošta');
INSERT INTO `lang_definitions` VALUES (116659, 2986, 32, 'Zahrnutí kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (116660, 2987, 32, 'Zahrnuje dokončené');
INSERT INTO `lang_definitions` VALUES (116661, 2988, 32, 'Zahrnuje neaktivní uživatele');
INSERT INTO `lang_definitions` VALUES (116662, 2989, 32, 'Obsahuje nezařazené');
INSERT INTO `lang_definitions` VALUES (116663, 2990, 32, 'Obsahuje nestrukturovaná data');
INSERT INTO `lang_definitions` VALUES (116664, 2991, 32, 'Obsahuje životní funkce');
INSERT INTO `lang_definitions` VALUES (116665, 2992, 32, 'Obsahuje data vitálních funkcí ?');
INSERT INTO `lang_definitions` VALUES (116666, 2993, 32, 'Zařazení');
INSERT INTO `lang_definitions` VALUES (116667, 2994, 32, 'Příjem');
INSERT INTO `lang_definitions` VALUES (116668, 2995, 32, 'Příchozí výsledky vyžadující zvýšenou pozornost:');
INSERT INTO `lang_definitions` VALUES (116669, 2996, 32, 'Nekompletní');
INSERT INTO `lang_definitions` VALUES (116670, 2997, 32, 'Léčba neúplného potratu');
INSERT INTO `lang_definitions` VALUES (116671, 2998, 32, 'Inkontinence');
INSERT INTO `lang_definitions` VALUES (116672, 3000, 32, 'Nesprávné heslo!');
INSERT INTO `lang_definitions` VALUES (116673, 3001, 32, 'zvýšené:');
INSERT INTO `lang_definitions` VALUES (116674, 3003, 32, 'Neurčitý');
INSERT INTO `lang_definitions` VALUES (116675, 3005, 32, 'indikuje abnromalitu');
INSERT INTO `lang_definitions` VALUES (116676, 3006, 32, 'Indikuje aktuální aktivitu problému');
INSERT INTO `lang_definitions` VALUES (116677, 3008, 32, 'Indikátor pro specializovaní užití');
INSERT INTO `lang_definitions` VALUES (116678, 3014, 32, 'Indukovaný potrat');
INSERT INTO `lang_definitions` VALUES (116679, 3016, 32, 'nevhodný');
INSERT INTO `lang_definitions` VALUES (116680, 3017, 32, 'Infekce / Absces');
INSERT INTO `lang_definitions` VALUES (116681, 3018, 32, 'Infekce');
INSERT INTO `lang_definitions` VALUES (116682, 3020, 32, 'Neplodnost');
INSERT INTO `lang_definitions` VALUES (116683, 3021, 32, 'Chřipka 1');
INSERT INTO `lang_definitions` VALUES (116684, 3022, 32, 'Chřipka 2');
INSERT INTO `lang_definitions` VALUES (116685, 3023, 32, 'Očkování proti chřipce pro pacienty starší 50 let');
INSERT INTO `lang_definitions` VALUES (116686, 3024, 32, 'Očkování proti chřipce pro pacienty starší 50 let ( CQM )');
INSERT INTO `lang_definitions` VALUES (116687, 3025, 32, 'Očkovací látka proti chřipce');
INSERT INTO `lang_definitions` VALUES (116688, 3026, 32, 'Info');
INSERT INTO `lang_definitions` VALUES (116689, 3027, 32, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (116690, 3028, 32, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (116691, 3029, 32, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (116692, 3030, 32, 'Info tets 4');
INSERT INTO `lang_definitions` VALUES (116693, 3031, 32, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (116694, 3032, 32, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (116695, 3034, 32, 'inhalace');
INSERT INTO `lang_definitions` VALUES (116696, 3035, 32, 'inhalace');
INSERT INTO `lang_definitions` VALUES (116697, 3036, 32, 'Úvodní léčba');
INSERT INTO `lang_definitions` VALUES (116698, 3037, 32, 'Prvotní uživatel');
INSERT INTO `lang_definitions` VALUES (116699, 3038, 32, 'Inj/Rehab');
INSERT INTO `lang_definitions` VALUES (116700, 3039, 32, 'Inkekční');
INSERT INTO `lang_definitions` VALUES (116701, 3040, 32, 'Injekce');
INSERT INTO `lang_definitions` VALUES (116702, 3041, 32, 'Poraněná část těla');
INSERT INTO `lang_definitions` VALUES (116703, 3042, 32, 'Následky úrazu');
INSERT INTO `lang_definitions` VALUES (116704, 3043, 32, 'Úraz');
INSERT INTO `lang_definitions` VALUES (116705, 3044, 32, 'Úrazový mechanismus');
INSERT INTO `lang_definitions` VALUES (116706, 3045, 32, 'Hlášení o úraze');
INSERT INTO `lang_definitions` VALUES (116707, 3047, 32, 'typ úrazu');
INSERT INTO `lang_definitions` VALUES (116708, 3048, 32, 'vztah k Úrazu/onemocnění');
INSERT INTO `lang_definitions` VALUES (116709, 3049, 32, 'V řadě za sebou');
INSERT INTO `lang_definitions` VALUES (116710, 3051, 32, 'Vstupní pole');
INSERT INTO `lang_definitions` VALUES (116711, 3052, 32, 'INR');
INSERT INTO `lang_definitions` VALUES (116712, 3068, 32, 'Vložit');
INSERT INTO `lang_definitions` VALUES (116713, 3069, 32, 'Vožení selhalo: ');
INSERT INTO `lang_definitions` VALUES (116714, 3070, 32, 'Vložit staré události do tabulky');
INSERT INTO `lang_definitions` VALUES (116715, 3072, 32, 'Nespavost');
INSERT INTO `lang_definitions` VALUES (116716, 3073, 32, 'Prohlédnout log');
INSERT INTO `lang_definitions` VALUES (116717, 3074, 32, 'Inspekce');
INSERT INTO `lang_definitions` VALUES (116718, 3075, 32, 'Instabilita / subluxace');
INSERT INTO `lang_definitions` VALUES (116719, 3076, 32, 'INSTALOVAT');
INSERT INTO `lang_definitions` VALUES (116720, 3077, 32, 'Instalovat');
INSERT INTO `lang_definitions` VALUES (116721, 3078, 32, 'Instalovat sadu kódů');
INSERT INTO `lang_definitions` VALUES (116722, 3079, 32, 'Instalovat DB');
INSERT INTO `lang_definitions` VALUES (116723, 3080, 32, 'Instalované vydání');
INSERT INTO `lang_definitions` VALUES (116724, 3081, 32, 'Poučen');
INSERT INTO `lang_definitions` VALUES (116725, 3082, 32, 'Instrukce');
INSERT INTO `lang_definitions` VALUES (116726, 3084, 32, 'Instrukce:');
INSERT INTO `lang_definitions` VALUES (116727, 3086, 32, 'Diabetes mellitus insulin dependentní');
INSERT INTO `lang_definitions` VALUES (116728, 3087, 32, 'Pojištění');
INSERT INTO `lang_definitions` VALUES (116729, 3088, 32, 'Pojištění');
INSERT INTO `lang_definitions` VALUES (116730, 3091, 32, 'Bilance pojištění');
INSERT INTO `lang_definitions` VALUES (116731, 3094, 32, 'Pojišťovny');
INSERT INTO `lang_definitions` VALUES (116732, 3095, 32, 'Pojišťovna');
INSERT INTO `lang_definitions` VALUES (116733, 3096, 32, 'Hledat/Přidat pojišťovnu');
INSERT INTO `lang_definitions` VALUES (116734, 3098, 32, 'Údaje o pojištění');
INSERT INTO `lang_definitions` VALUES (116735, 3100, 32, 'Čísla pojištění');
INSERT INTO `lang_definitions` VALUES (116736, 3101, 32, 'Platby pojištění');
INSERT INTO `lang_definitions` VALUES (116737, 3103, 32, 'Poskytovatel pojištění');
INSERT INTO `lang_definitions` VALUES (116738, 3104, 32, 'Typy pojištění');
INSERT INTO `lang_definitions` VALUES (116739, 3105, 32, 'Pojištění');
INSERT INTO `lang_definitions` VALUES (116740, 3106, 32, 'Pojištěn');
INSERT INTO `lang_definitions` VALUES (116741, 3107, 32, 'Závěr při příjmu');
INSERT INTO `lang_definitions` VALUES (116742, 3108, 32, 'Datum příjmu');
INSERT INTO `lang_definitions` VALUES (116743, 3109, 32, 'Úbytek intelektu');
INSERT INTO `lang_definitions` VALUES (116744, 3113, 32, 'Vnitřní chyba - nebyly vybrány žádné strany !');
INSERT INTO `lang_definitions` VALUES (116745, 3114, 32, 'Vnitřní chyba - ID pacienta není k dispozici');
INSERT INTO `lang_definitions` VALUES (116746, 3115, 32, 'Vnitřní chyba přístupu k nahranému souboru!');
INSERT INTO `lang_definitions` VALUES (116747, 3116, 32, 'Vnitřní chyba!');
INSERT INTO `lang_definitions` VALUES (116748, 3117, 32, 'Vnitřní chyba, ID medikace nespecifikováno');
INSERT INTO `lang_definitions` VALUES (116749, 3118, 32, 'Vnitřní chyba: Nelze nalézt MSH-10');
INSERT INTO `lang_definitions` VALUES (116750, 3119, 32, 'Vnitřní chyba: požadavek ');
INSERT INTO `lang_definitions` VALUES (116751, 3120, 32, 'Vnitřní chyba: vyšetření');
INSERT INTO `lang_definitions` VALUES (116752, 3121, 32, 'Vnitřní chyba: pid nebo návštěva chybí.');
INSERT INTO `lang_definitions` VALUES (116753, 3123, 32, 'Vnitřní identifikátor (pid)');
INSERT INTO `lang_definitions` VALUES (116754, 3126, 32, 'Interní doporučení');
INSERT INTO `lang_definitions` VALUES (116755, 3128, 32, 'Clo');
INSERT INTO `lang_definitions` VALUES (116756, 3131, 32, 'Intersticiální plicní fibróza');
INSERT INTO `lang_definitions` VALUES (116757, 3132, 32, 'Interval');
INSERT INTO `lang_definitions` VALUES (116758, 3133, 32, 'Interval ( minuty )');
INSERT INTO `lang_definitions` VALUES (116759, 3134, 32, 'Kontrolní interval mezi zprávami ( pro výhradně manuální kontroly nastavte 0 )');
INSERT INTO `lang_definitions` VALUES (116760, 3135, 32, 'Intervence');
INSERT INTO `lang_definitions` VALUES (116761, 3136, 32, 'Poskytnuta intervence');
INSERT INTO `lang_definitions` VALUES (116762, 3137, 32, 'Intolerance');
INSERT INTO `lang_definitions` VALUES (116763, 3139, 32, 'intramusklulárně');
INSERT INTO `lang_definitions` VALUES (116764, 3140, 32, 'intravenózně');
INSERT INTO `lang_definitions` VALUES (116765, 3141, 32, 'Uvedení');
INSERT INTO `lang_definitions` VALUES (116766, 3144, 32, 'Nepřípustný znak v');
INSERT INTO `lang_definitions` VALUES (116767, 3147, 32, 'Nepřípustná délka pro');
INSERT INTO `lang_definitions` VALUES (116768, 3148, 32, 'Nepřípustný nečíselný znak v');
INSERT INTO `lang_definitions` VALUES (116769, 3149, 32, 'Chybný nebo chybějící plátce ');
INSERT INTO `lang_definitions` VALUES (116770, 3150, 32, 'Chybaná adresa příjemce. Zkuste to prosím znova.');
INSERT INTO `lang_definitions` VALUES (116771, 3151, 32, 'Chybné kódy služby');
INSERT INTO `lang_definitions` VALUES (116772, 3152, 32, 'Chybné označení zdroje \"');
INSERT INTO `lang_definitions` VALUES (116773, 3153, 32, 'Chybné uživatelské jméno nebo heslo');
INSERT INTO `lang_definitions` VALUES (116774, 3155, 32, 'Inventarizace');
INSERT INTO `lang_definitions` VALUES (116775, 3156, 32, 'Inventúra');
INSERT INTO `lang_definitions` VALUES (116776, 3157, 32, 'Inventarizace a prodej léčiv a ostatních produktů');
INSERT INTO `lang_definitions` VALUES (116777, 3158, 32, 'Inventarizace a prodej léčiv');
INSERT INTO `lang_definitions` VALUES (116778, 3159, 32, 'Pro tuto objdnávku není dostupná inventarizace');
INSERT INTO `lang_definitions` VALUES (116779, 3160, 32, 'Inventární seznam');
INSERT INTO `lang_definitions` VALUES (116780, 3161, 32, 'Inventarizační transakce');
INSERT INTO `lang_definitions` VALUES (116781, 3162, 32, 'Faktura');
INSERT INTO `lang_definitions` VALUES (116782, 3163, 32, 'faktura');
INSERT INTO `lang_definitions` VALUES (116783, 3166, 32, 'Datum vystavení faktury');
INSERT INTO `lang_definitions` VALUES (116784, 3167, 32, 'Faktura není datována!');
INSERT INTO `lang_definitions` VALUES (116785, 3168, 32, 'Číslo faktury');
INSERT INTO `lang_definitions` VALUES (116786, 3169, 32, 'Referenční číslo faktury');
INSERT INTO `lang_definitions` VALUES (116787, 3173, 32, 'Faktura:');
INSERT INTO `lang_definitions` VALUES (116788, 3180, 32, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (116789, 3181, 32, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (116790, 3182, 32, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (116791, 3183, 32, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (116792, 3185, 32, 'Nepravidelný srdeční rytmus');
INSERT INTO `lang_definitions` VALUES (116793, 3186, 32, 'Dráždivost');
INSERT INTO `lang_definitions` VALUES (116794, 3187, 32, 'Irritace');
INSERT INTO `lang_definitions` VALUES (116795, 3188, 32, 'je rozdílná jazyková verze následující databáze');
INSERT INTO `lang_definitions` VALUES (116796, 3190, 32, 'je novější verze následující databáze');
INSERT INTO `lang_definitions` VALUES (116797, 3191, 32, 'je vyžadovanou položkou.');
INSERT INTO `lang_definitions` VALUES (116798, 3192, 32, 'je klíčovým uzlem a nelze smazat.');
INSERT INTO `lang_definitions` VALUES (116799, 3193, 32, 'je rozšíření následující databáze');
INSERT INTO `lang_definitions` VALUES (116800, 3195, 32, 'je chybné umístění nebo  neznámý původ');
INSERT INTO `lang_definitions` VALUES (116801, 3197, 32, 'neplatné');
INSERT INTO `lang_definitions` VALUES (116802, 3198, 32, 'Běží PHP v bezpečném módu?');
INSERT INTO `lang_definitions` VALUES (116803, 3200, 32, 'Je text z formulářů přeložen?');
INSERT INTO `lang_definitions` VALUES (116804, 3201, 32, 'Je text seznamů přeložen?');
INSERT INTO `lang_definitions` VALUES (116805, 3202, 32, 'Je tento soubor šifrovaný?');
INSERT INTO `lang_definitions` VALUES (116806, 3203, 32, 'Jde o typ kódu pro klinický termín ?');
INSERT INTO `lang_definitions` VALUES (116807, 3204, 32, 'Jde o typ diagnózy ?');
INSERT INTO `lang_definitions` VALUES (116808, 3205, 32, 'Jde o typ kódu pro zdravotní problém ?');
INSERT INTO `lang_definitions` VALUES (116809, 3206, 32, 'Jde o typ medikace ?');
INSERT INTO `lang_definitions` VALUES (116810, 3207, 32, 'Jde o typ procedury/služby ?');
INSERT INTO `lang_definitions` VALUES (116811, 3208, 32, 'Je aktivní ?');
INSERT INTO `lang_definitions` VALUES (116812, 3209, 32, 'Jde o aktivní typ kódu ?');
INSERT INTO `lang_definitions` VALUES (116813, 3210, 32, 'Jde o typ kódu použitý v požadavku ?');
INSERT INTO `lang_definitions` VALUES (116814, 3211, 32, 'Je to opravdu OK ?');
INSERT INTO `lang_definitions` VALUES (116815, 3213, 32, 'jsou použity externí sql tabulky? Pokud ano, vyberte formát.');
INSERT INTO `lang_definitions` VALUES (116816, 3214, 32, 'příliš dlouhé');
INSERT INTO `lang_definitions` VALUES (116817, 3215, 32, 'ISO 639-2 kód');
INSERT INTO `lang_definitions` VALUES (116818, 3216, 32, 'problém');
INSERT INTO `lang_definitions` VALUES (116819, 3217, 32, 'problém');
INSERT INTO `lang_definitions` VALUES (116820, 3218, 32, 'Datum vzniku obtíží');
INSERT INTO `lang_definitions` VALUES (116821, 3219, 32, 'ID problému');
INSERT INTO `lang_definitions` VALUES (116822, 3220, 32, 'Název problému');
INSERT INTO `lang_definitions` VALUES (116823, 3221, 32, 'Typ problému');
INSERT INTO `lang_definitions` VALUES (116824, 3222, 32, 'Typy problémů');
INSERT INTO `lang_definitions` VALUES (116825, 3223, 32, 'Problémy');
INSERT INTO `lang_definitions` VALUES (116826, 3224, 32, 'Problémy (Úrazy/Zdravotní/Alergie)');
INSERT INTO `lang_definitions` VALUES (116827, 3225, 32, 'Problémy (Úrazy/Zdravotní/Alergie)');
INSERT INTO `lang_definitions` VALUES (116828, 3226, 32, 'Problémy a návštěvy');
INSERT INTO `lang_definitions` VALUES (116829, 3227, 32, 'Problémy  a vyšetření pro');
INSERT INTO `lang_definitions` VALUES (116830, 3228, 32, 'problémy neautorizovány');
INSERT INTO `lang_definitions` VALUES (116831, 3229, 32, 'Oblast problémů');
INSERT INTO `lang_definitions` VALUES (116832, 3230, 32, 'Italština');
INSERT INTO `lang_definitions` VALUES (116833, 3231, 32, 'Položka');
INSERT INTO `lang_definitions` VALUES (116834, 3232, 32, 'položka');
INSERT INTO `lang_definitions` VALUES (116835, 3233, 32, 'položky');
INSERT INTO `lang_definitions` VALUES (116836, 3234, 32, 'zavedení položek se nezdařilo');
INSERT INTO `lang_definitions` VALUES (116837, 3235, 32, 'IU/L');
INSERT INTO `lang_definitions` VALUES (116838, 3236, 32, 'IUD');
INSERT INTO `lang_definitions` VALUES (116839, 3237, 32, 'IV');
INSERT INTO `lang_definitions` VALUES (116840, 3238, 32, 'Led');
INSERT INTO `lang_definitions` VALUES (116841, 3239, 32, 'Leden');
INSERT INTO `lang_definitions` VALUES (116842, 3240, 32, 'Japonština');
INSERT INTO `lang_definitions` VALUES (116843, 3243, 32, 'Popis pracovního zařazení');
INSERT INTO `lang_definitions` VALUES (116844, 3244, 32, 'ID zaměstnání');
INSERT INTO `lang_definitions` VALUES (116845, 3245, 32, 'Kloubní dislokace');
INSERT INTO `lang_definitions` VALUES (116846, 3246, 32, 'Kloubní bolest');
INSERT INTO `lang_definitions` VALUES (116847, 3247, 32, 'Vymknutí kloubu');
INSERT INTO `lang_definitions` VALUES (116848, 3248, 32, 'Čerc');
INSERT INTO `lang_definitions` VALUES (116849, 3249, 32, 'Červenec');
INSERT INTO `lang_definitions` VALUES (116850, 3250, 32, 'Čer');
INSERT INTO `lang_definitions` VALUES (116851, 3251, 32, 'Červen');
INSERT INTO `lang_definitions` VALUES (116852, 3252, 32, 'Těsně pod kontrolní informací je modrá oblast pro vložení vyhledávacích parametrů. Můžete vyhledávat podle jména pacienta, čísla grafu, čísla vyšetření nebo data služby. Lze použít i kombinace. Můžete si také vybrat jaké faktury chcete zobrazit. Klepněte na tlačítko Hledat pro  vyhledávání.');
INSERT INTO `lang_definitions` VALUES (116853, 3264, 32, 'Klíč');
INSERT INTO `lang_definitions` VALUES (116854, 3265, 32, 'klíčové slovo');
INSERT INTO `lang_definitions` VALUES (116855, 3266, 32, 'kg');
INSERT INTO `lang_definitions` VALUES (116856, 3267, 32, 'kg/m2');
INSERT INTO `lang_definitions` VALUES (116857, 3269, 32, 'Karcinom ledviny');
INSERT INTO `lang_definitions` VALUES (116858, 3270, 32, 'Renální selhání');
INSERT INTO `lang_definitions` VALUES (116859, 3271, 32, 'Nefritis');
INSERT INTO `lang_definitions` VALUES (116860, 3272, 32, 'Nefrolithiáza');
INSERT INTO `lang_definitions` VALUES (116861, 3273, 32, 'Transplantace ledviny');
INSERT INTO `lang_definitions` VALUES (116862, 3277, 32, 'Koleno');
INSERT INTO `lang_definitions` VALUES (116863, 3278, 32, 'Poruchy kolenního kloubu');
INSERT INTO `lang_definitions` VALUES (116864, 3279, 32, 'Náhrada kolenního kloubu');
INSERT INTO `lang_definitions` VALUES (116865, 3286, 32, 'Lab');
INSERT INTO `lang_definitions` VALUES (116866, 3287, 32, 'Laboratorní dokumenty');
INSERT INTO `lang_definitions` VALUES (116867, 3288, 32, 'Adresa stránky pro sdílení laboratorních informací');
INSERT INTO `lang_definitions` VALUES (116868, 3289, 32, 'ID stránky sdílení laboratorních informací');
INSERT INTO `lang_definitions` VALUES (116869, 3291, 32, 'Laboratorní žádanka');
INSERT INTO `lang_definitions` VALUES (116870, 3292, 32, 'Laboratorní přehled');
INSERT INTO `lang_definitions` VALUES (116871, 3293, 32, 'Laboratorní přehled');
INSERT INTO `lang_definitions` VALUES (116872, 3294, 32, 'Stav laboratorního dotazu');
INSERT INTO `lang_definitions` VALUES (116873, 3295, 32, 'Laboratorní report');
INSERT INTO `lang_definitions` VALUES (116874, 3296, 32, 'Laboratorní výsledek');
INSERT INTO `lang_definitions` VALUES (116875, 3297, 32, 'Laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (116876, 3298, 32, 'Jméno kategorie laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (116877, 3299, 32, 'Report laboratorních výsledků');
INSERT INTO `lang_definitions` VALUES (116878, 3300, 32, 'Laboratorní služba');
INSERT INTO `lang_definitions` VALUES (116879, 3301, 32, 'Výsledky laboratorních testů');
INSERT INTO `lang_definitions` VALUES (116880, 3302, 32, 'Lab/Soubor');
INSERT INTO `lang_definitions` VALUES (116881, 3303, 32, 'Štítek');
INSERT INTO `lang_definitions` VALUES (116882, 3304, 32, 'Štítek nemůže bgýt prázdný');
INSERT INTO `lang_definitions` VALUES (116883, 3306, 32, 'Štítek pro tento typ');
INSERT INTO `lang_definitions` VALUES (116884, 3308, 32, 'Štítky');
INSERT INTO `lang_definitions` VALUES (116885, 3311, 32, 'Laboratoře');
INSERT INTO `lang_definitions` VALUES (116886, 3312, 32, 'Lacerace / stav kůže');
INSERT INTO `lang_definitions` VALUES (116887, 3313, 32, 'Lacerace/abraze');
INSERT INTO `lang_definitions` VALUES (116888, 3316, 32, 'Jazyk');
INSERT INTO `lang_definitions` VALUES (116889, 3317, 32, 'Kód jazyka');
INSERT INTO `lang_definitions` VALUES (116890, 3318, 32, 'Přidána jazyková definice');
INSERT INTO `lang_definitions` VALUES (116891, 3319, 32, 'Nástroj jazykového rozhraní');
INSERT INTO `lang_definitions` VALUES (116892, 3320, 32, 'Seznam jazyků ( na výběr právo zápisovat / přidat )');
INSERT INTO `lang_definitions` VALUES (116893, 3321, 32, 'Jméno jazyku');
INSERT INTO `lang_definitions` VALUES (116894, 3322, 32, 'Jazyk:');
INSERT INTO `lang_definitions` VALUES (116895, 3325, 32, 'Poslední');
INSERT INTO `lang_definitions` VALUES (116896, 3326, 32, 'Datum poslední aktivity');
INSERT INTO `lang_definitions` VALUES (116897, 3328, 32, 'Poslední datum platby:');
INSERT INTO `lang_definitions` VALUES (116898, 3329, 32, 'Poslední vyšetření prsou');
INSERT INTO `lang_definitions` VALUES (116899, 3330, 32, 'Minulý kalendářní rok');
INSERT INTO `lang_definitions` VALUES (116900, 3333, 32, 'Minulé vyšetření');
INSERT INTO `lang_definitions` VALUES (116901, 3334, 32, 'Poslední gynekologické vyšetření');
INSERT INTO `lang_definitions` VALUES (116902, 3341, 32, 'Poslední mamografické vyšetření');
INSERT INTO `lang_definitions` VALUES (116903, 3342, 32, 'Poslední menstruace');
INSERT INTO `lang_definitions` VALUES (116904, 3343, 32, 'Minulý mesíc');
INSERT INTO `lang_definitions` VALUES (116905, 3344, 32, 'Příjmení');
INSERT INTO `lang_definitions` VALUES (116906, 3345, 32, 'Příjmení');
INSERT INTO `lang_definitions` VALUES (116907, 3346, 32, 'Příjmení:');
INSERT INTO `lang_definitions` VALUES (116908, 3347, 32, 'Poslední fyzikální vyšetření');
INSERT INTO `lang_definitions` VALUES (116909, 3348, 32, 'Poslední vyšetření prostaty');
INSERT INTO `lang_definitions` VALUES (116910, 3349, 32, 'Poslední vyšetření per rectum');
INSERT INTO `lang_definitions` VALUES (116911, 3350, 32, 'Poslední zhodnocení');
INSERT INTO `lang_definitions` VALUES (116912, 3351, 32, 'Naposledy spuštěno v');
INSERT INTO `lang_definitions` VALUES (116913, 3352, 32, 'Naposledy uloženo');
INSERT INTO `lang_definitions` VALUES (116914, 3353, 32, 'Poslední Sigmoideo/koloskopie');
INSERT INTO `lang_definitions` VALUES (116915, 3356, 32, 'Naposledy aktualizováno');
INSERT INTO `lang_definitions` VALUES (116916, 3357, 32, 'Naposledy ověřeno');
INSERT INTO `lang_definitions` VALUES (116917, 3358, 32, 'Poslední návštěva');
INSERT INTO `lang_definitions` VALUES (116918, 3359, 32, 'Poslední RTG');
INSERT INTO `lang_definitions` VALUES (116919, 3360, 32, 'Poslední rekurence (2-12 měs)');
INSERT INTO `lang_definitions` VALUES (116920, 3361, 32, 'Zevní kotník');
INSERT INTO `lang_definitions` VALUES (116921, 3362, 32, 'Zevní kotník:');
INSERT INTO `lang_definitions` VALUES (116922, 3363, 32, 'Lateralita');
INSERT INTO `lang_definitions` VALUES (116923, 3364, 32, 'Lateralita této procedury ( pokud je použitelné)');
INSERT INTO `lang_definitions` VALUES (116924, 3367, 32, 'Poslední návštěva nebo konzultace');
INSERT INTO `lang_definitions` VALUES (116925, 3372, 32, 'Rozvržení');
INSERT INTO `lang_definitions` VALUES (116926, 3374, 32, 'Úpravy rozvržení');
INSERT INTO `lang_definitions` VALUES (116927, 3375, 32, 'Skupiny rozvržení');
INSERT INTO `lang_definitions` VALUES (116928, 3379, 32, 'Rozvržení');
INSERT INTO `lang_definitions` VALUES (116929, 3380, 32, 'libra');
INSERT INTO `lang_definitions` VALUES (116930, 3381, 32, 'liber');
INSERT INTO `lang_definitions` VALUES (116931, 3382, 32, 'LDL');
INSERT INTO `lang_definitions` VALUES (116932, 3383, 32, 'nechte prázdné pokud je stále aktivní');
INSERT INTO `lang_definitions` VALUES (116933, 3384, 32, 'Ponechte prázdné pro zachování původního jména souboru');
INSERT INTO `lang_definitions` VALUES (116934, 3385, 32, 'ponechte prázdné pro zachování původního hesla');
INSERT INTO `lang_definitions` VALUES (116935, 3386, 32, 'Zanechte zprávu s');
INSERT INTO `lang_definitions` VALUES (116936, 3387, 32, 'Odejít z formuláře');
INSERT INTO `lang_definitions` VALUES (116937, 3388, 32, 'Pokdu nezadáte heslo, dokument nebude šifrován');
INSERT INTO `lang_definitions` VALUES (116938, 3390, 32, 'Levý');
INSERT INTO `lang_definitions` VALUES (116939, 3391, 32, 'Levé ucho');
INSERT INTO `lang_definitions` VALUES (116940, 3392, 32, 'levé ucho');
INSERT INTO `lang_definitions` VALUES (116941, 3393, 32, 'Levý okraj (mm)');
INSERT INTO `lang_definitions` VALUES (116942, 3394, 32, 'Vlevo:');
INSERT INTO `lang_definitions` VALUES (116943, 3395, 32, 'Vlevo: ');
INSERT INTO `lang_definitions` VALUES (116944, 3396, 32, 'Bolest dolní končetiny/křeče');
INSERT INTO `lang_definitions` VALUES (116945, 3399, 32, 'Legal formát papíru');
INSERT INTO `lang_definitions` VALUES (116946, 3400, 32, 'Legenda:');
INSERT INTO `lang_definitions` VALUES (116947, 3401, 32, 'Délka');
INSERT INTO `lang_definitions` VALUES (116948, 3402, 32, 'Délka modifikátoru, 0= žádná');
INSERT INTO `lang_definitions` VALUES (116949, 3403, 32, 'Menší než');
INSERT INTO `lang_definitions` VALUES (116950, 3404, 32, 'Menší nebo rovno');
INSERT INTO `lang_definitions` VALUES (116951, 3405, 32, 'Méně citlivé informace ( volitelně právo zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (116952, 3406, 32, 'Dopis');
INSERT INTO `lang_definitions` VALUES (116953, 3407, 32, 'Generátor dopisu');
INSERT INTO `lang_definitions` VALUES (116954, 3408, 32, 'Formát papíru Dopis');
INSERT INTO `lang_definitions` VALUES (116955, 3409, 32, 'Místo pro podpis lékaře');
INSERT INTO `lang_definitions` VALUES (116956, 3410, 32, 'Místo pro podpis pacienta');
INSERT INTO `lang_definitions` VALUES (116957, 3411, 32, 'Stupeň naléhavosti');
INSERT INTO `lang_definitions` VALUES (116958, 3412, 32, 'Odpovědnost');
INSERT INTO `lang_definitions` VALUES (116959, 3413, 32, 'Lékařská odpovědnost');
INSERT INTO `lang_definitions` VALUES (116960, 3414, 32, 'ID/Licence');
INSERT INTO `lang_definitions` VALUES (116961, 3423, 32, 'Životní styl');
INSERT INTO `lang_definitions` VALUES (116962, 3424, 32, 'Charakter životního stylu');
INSERT INTO `lang_definitions` VALUES (116963, 3425, 32, 'Ruptura nebo distenze ligamenta');
INSERT INTO `lang_definitions` VALUES (116964, 3426, 32, 'Lehký kuřák');
INSERT INTO `lang_definitions` VALUES (116965, 3428, 32, 'Limit událostí');
INSERT INTO `lang_definitions` VALUES (116966, 3429, 32, 'Limity');
INSERT INTO `lang_definitions` VALUES (116967, 3431, 32, 'Odkaz');
INSERT INTO `lang_definitions` VALUES (116968, 3432, 32, 'Odkaz na pacienta');
INSERT INTO `lang_definitions` VALUES (116969, 3433, 32, 'Napojený');
INSERT INTO `lang_definitions` VALUES (116970, 3434, 32, 'Napojený dokument');
INSERT INTO `lang_definitions` VALUES (116971, 3435, 32, 'Napojená žádanka o výkon');
INSERT INTO `lang_definitions` VALUES (116972, 3436, 32, 'napojeno na dokument');
INSERT INTO `lang_definitions` VALUES (116973, 3437, 32, 'napojeno na objednávku výkonu');
INSERT INTO `lang_definitions` VALUES (116974, 3438, 32, 'Seznam');
INSERT INTO `lang_definitions` VALUES (116975, 3439, 32, 'Pole seznamu');
INSERT INTO `lang_definitions` VALUES (116976, 3440, 32, 'pole seznamu');
INSERT INTO `lang_definitions` VALUES (116977, 3441, 32, 'pole seznamu zapis./přidat');
INSERT INTO `lang_definitions` VALUES (116978, 3442, 32, 'Pole seznamu zapis./přid.');
INSERT INTO `lang_definitions` VALUES (116979, 3443, 32, 'Editor seznamu');
INSERT INTO `lang_definitions` VALUES (116980, 3444, 32, 'Seznam vyšetření');
INSERT INTO `lang_definitions` VALUES (116981, 3445, 32, 'Seznam skupin');
INSERT INTO `lang_definitions` VALUES (116982, 3446, 32, 'Seznam pojišťoven');
INSERT INTO `lang_definitions` VALUES (116983, 3448, 32, 'Položka seznamu nemůže začínat číslem');
INSERT INTO `lang_definitions` VALUES (116984, 3449, 32, 'Položka seznamu obsahuje neplatné znaky');
INSERT INTO `lang_definitions` VALUES (116985, 3451, 32, 'Výsledek hledání v seznamu');
INSERT INTO `lang_definitions` VALUES (116986, 3452, 32, 'Jméno seznamu');
INSERT INTO `lang_definitions` VALUES (116987, 3453, 32, 'Jména seznamů nemohou začínat čísly');
INSERT INTO `lang_definitions` VALUES (116988, 3454, 32, 'Seznam předpisů a receptů');
INSERT INTO `lang_definitions` VALUES (116989, 3457, 32, 'Naslouchající port RFC 5425 TLS Syslog serveru');
INSERT INTO `lang_definitions` VALUES (116990, 3458, 32, 'Seznamy');
INSERT INTO `lang_definitions` VALUES (116991, 3460, 32, 'Rozhodnutí o pokračování přístrojové podpory vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (116992, 3461, 32, 'LLL:');
INSERT INTO `lang_definitions` VALUES (116993, 3462, 32, 'Poslední mestruace');
INSERT INTO `lang_definitions` VALUES (116994, 3463, 32, 'Nahrát  přehled');
INSERT INTO `lang_definitions` VALUES (116995, 3464, 32, 'Nahrát definice');
INSERT INTO `lang_definitions` VALUES (116996, 3465, 32, 'Nahrát laboratorní konfiguraci');
INSERT INTO `lang_definitions` VALUES (116997, 3466, 32, 'Nahrát volby OE otázek');
INSERT INTO `lang_definitions` VALUES (116998, 3467, 32, 'Nahrát deficinice objednávek');
INSERT INTO `lang_definitions` VALUES (116999, 3469, 32, 'ÚSPĚŠNĚ NAHRÁNO. Kódy vloženy');
INSERT INTO `lang_definitions` VALUES (117000, 3470, 32, 'NAHRÁVÁNÍ');
INSERT INTO `lang_definitions` VALUES (117001, 3471, 32, 'Nahrávání dat do databáze může chvíli trvat...');
INSERT INTO `lang_definitions` VALUES (117002, 3473, 32, 'Lokální');
INSERT INTO `lang_definitions` VALUES (117003, 3474, 32, 'Lokální obsah');
INSERT INTO `lang_definitions` VALUES (117004, 3475, 32, 'Lokální souborový systém');
INSERT INTO `lang_definitions` VALUES (117005, 3477, 32, 'Lokalita');
INSERT INTO `lang_definitions` VALUES (117006, 3478, 32, 'Umístění');
INSERT INTO `lang_definitions` VALUES (117007, 3479, 32, 'umístění PC s LibreEHR a může obsahovat citlivá data. Doporučujeme data ručně smazat po jejich použití.');
INSERT INTO `lang_definitions` VALUES (117008, 3481, 32, 'Umístění nespecifikováno');
INSERT INTO `lang_definitions` VALUES (117009, 3482, 32, 'Umístění pro ukládání faxů HylaFax');
INSERT INTO `lang_definitions` VALUES (117010, 3483, 32, 'Umístění pro ukládání skenovaných dokumentů');
INSERT INTO `lang_definitions` VALUES (117011, 3484, 32, 'Umístění:');
INSERT INTO `lang_definitions` VALUES (117012, 3485, 32, 'Zamknout');
INSERT INTO `lang_definitions` VALUES (117013, 3486, 32, 'Individuální uzamčení e-podepsaného formuláře');
INSERT INTO `lang_definitions` VALUES (117014, 3487, 32, 'Uzamčení e-podepsaných vyšetření a jejich formulářů');
INSERT INTO `lang_definitions` VALUES (117015, 3488, 32, 'Zamknout ?');
INSERT INTO `lang_definitions` VALUES (117016, 3489, 32, 'Uzamčeno');
INSERT INTO `lang_definitions` VALUES (117017, 3492, 32, 'Přihlášení');
INSERT INTO `lang_definitions` VALUES (117018, 3493, 32, 'Přihlášení');
INSERT INTO `lang_definitions` VALUES (117019, 3494, 32, 'Odhlášení');
INSERT INTO `lang_definitions` VALUES (117020, 3495, 32, 'Přihlášen');
INSERT INTO `lang_definitions` VALUES (117021, 3496, 32, 'Přihlášen jako');
INSERT INTO `lang_definitions` VALUES (117022, 3497, 32, 'Přihlášen jako: ');
INSERT INTO `lang_definitions` VALUES (117023, 3498, 32, 'Odhlášen.');
INSERT INTO `lang_definitions` VALUES (117024, 3499, 32, 'Protokolování');
INSERT INTO `lang_definitions` VALUES (117025, 3500, 32, 'Přihlášení do systému');
INSERT INTO `lang_definitions` VALUES (117026, 3501, 32, 'přihlášení do systému');
INSERT INTO `lang_definitions` VALUES (117027, 3502, 32, 'Přihlašovací jméno uživatele WordPress pro přístup k portálu');
INSERT INTO `lang_definitions` VALUES (117028, 3503, 32, 'Přihlášení k vzdáleného hostu');
INSERT INTO `lang_definitions` VALUES (117029, 3504, 32, 'Přihlášení k vzdáleného hostu selhalo');
INSERT INTO `lang_definitions` VALUES (117030, 3505, 32, 'Odhlášení');
INSERT INTO `lang_definitions` VALUES (117031, 3506, 32, 'odhlášení');
INSERT INTO `lang_definitions` VALUES (117032, 3507, 32, 'Protokoly');
INSERT INTO `lang_definitions` VALUES (117033, 3508, 32, 'Prohlížeč protokolů');
INSERT INTO `lang_definitions` VALUES (117034, 3510, 32, 'Vyhledat');
INSERT INTO `lang_definitions` VALUES (117035, 3514, 32, 'Nízký');
INSERT INTO `lang_definitions` VALUES (117036, 3515, 32, 'Nízká priorita');
INSERT INTO `lang_definitions` VALUES (117037, 3516, 32, 'Bérec a noha');
INSERT INTO `lang_definitions` VALUES (117038, 3517, 32, 'Nejnižší priorita');
INSERT INTO `lang_definitions` VALUES (117039, 3519, 32, 'Bederní páteř');
INSERT INTO `lang_definitions` VALUES (117040, 3520, 32, 'OBĚD');
INSERT INTO `lang_definitions` VALUES (117041, 3521, 32, 'Oběd');
INSERT INTO `lang_definitions` VALUES (117042, 3522, 32, 'Karcinom plic');
INSERT INTO `lang_definitions` VALUES (117043, 3523, 32, 'Operace plicního karcinomu');
INSERT INTO `lang_definitions` VALUES (117044, 3524, 32, 'PLÍCE:');
INSERT INTO `lang_definitions` VALUES (117045, 3525, 32, 'plíce:');
INSERT INTO `lang_definitions` VALUES (117046, 3526, 32, 'Lupus');
INSERT INTO `lang_definitions` VALUES (117047, 3528, 32, 'M');
INSERT INTO `lang_definitions` VALUES (117048, 3529, 32, 'Kategorie MA');
INSERT INTO `lang_definitions` VALUES (117049, 3533, 32, 'Pošta odeslána');
INSERT INTO `lang_definitions` VALUES (117050, 3534, 32, 'Hlavní');
INSERT INTO `lang_definitions` VALUES (117051, 3535, 32, 'Hlavní adresa');
INSERT INTO `lang_definitions` VALUES (117052, 3536, 32, 'Hlavní část obrazovky');
INSERT INTO `lang_definitions` VALUES (117053, 3538, 32, 'Zachovat list aktivní medikace');
INSERT INTO `lang_definitions` VALUES (117054, 3540, 32, 'Modifikovat aktuální kategorie');
INSERT INTO `lang_definitions` VALUES (117055, 3541, 32, 'Vytvořit novou návštěvu pro');
INSERT INTO `lang_definitions` VALUES (117056, 3542, 32, 'Ověřte si \"');
INSERT INTO `lang_definitions` VALUES (117057, 3545, 32, 'Malátnost:');
INSERT INTO `lang_definitions` VALUES (117058, 3548, 32, 'Muž');
INSERT INTO `lang_definitions` VALUES (117059, 3549, 32, 'Mužský kondom');
INSERT INTO `lang_definitions` VALUES (117060, 3550, 32, 'Mužský VSC');
INSERT INTO `lang_definitions` VALUES (117061, 3552, 32, 'Mamograf');
INSERT INTO `lang_definitions` VALUES (117062, 3553, 32, 'Spravovat');
INSERT INTO `lang_definitions` VALUES (117063, 3555, 32, 'Spravovat moduly');
INSERT INTO `lang_definitions` VALUES (117064, 3556, 32, 'Spravovat překlady');
INSERT INTO `lang_definitions` VALUES (117065, 3557, 32, 'Management');
INSERT INTO `lang_definitions` VALUES (117066, 3558, 32, 'Povinná a specifikovaná pole');
INSERT INTO `lang_definitions` VALUES (117067, 3561, 32, 'Manuál');
INSERT INTO `lang_definitions` VALUES (117068, 3562, 32, 'Manuální odeslání');
INSERT INTO `lang_definitions` VALUES (117069, 3563, 32, 'Výrobce');
INSERT INTO `lang_definitions` VALUES (117070, 3568, 32, 'Březen');
INSERT INTO `lang_definitions` VALUES (117071, 3569, 32, 'Rodinný stav');
INSERT INTO `lang_definitions` VALUES (117072, 3570, 32, 'Oznčit jako vyúčtované');
INSERT INTO `lang_definitions` VALUES (117073, 3571, 32, 'Oznčit jako vyúčtované, ale přeskoč účtování');
INSERT INTO `lang_definitions` VALUES (117074, 3572, 32, 'Označ jako vyčištěné');
INSERT INTO `lang_definitions` VALUES (117075, 3573, 32, 'Označ jako nevyúčtované');
INSERT INTO `lang_definitions` VALUES (117076, 3574, 32, 'Označ tyto reporty jako prohlédnuté');
INSERT INTO `lang_definitions` VALUES (117077, 3575, 32, 'Označ jako vyčištěné');
INSERT INTO `lang_definitions` VALUES (117078, 3576, 32, 'Ženatý/vdaná');
INSERT INTO `lang_definitions` VALUES (117079, 3578, 32, 'Maska');
INSERT INTO `lang_definitions` VALUES (117080, 3579, 32, 'Maska pro čísla faktur');
INSERT INTO `lang_definitions` VALUES (117081, 3580, 32, 'Maska pro ID Pacientů');
INSERT INTO `lang_definitions` VALUES (117082, 3581, 32, 'Maska pro ID produktů');
INSERT INTO `lang_definitions` VALUES (117083, 3582, 32, 'Shoda');
INSERT INTO `lang_definitions` VALUES (117084, 3584, 32, 'Nalezena shoda');
INSERT INTO `lang_definitions` VALUES (117085, 3591, 32, 'Max');
INSERT INTO `lang_definitions` VALUES (117086, 3592, 32, 'dosažen maximální počet souborů - znovu nahrát níže uvedená jména');
INSERT INTO `lang_definitions` VALUES (117087, 3594, 32, 'Maxilárně vpravo');
INSERT INTO `lang_definitions` VALUES (117088, 3595, 32, 'Maximální věk');
INSERT INTO `lang_definitions` VALUES (117089, 3596, 32, 'Maximum znaků');
INSERT INTO `lang_definitions` VALUES (117090, 3597, 32, 'Maximální čas nečinnosti v sekundách před odhlášením. Výchozí hodnota je 7200 ( 2 hodiny)');
INSERT INTO `lang_definitions` VALUES (117091, 3600, 32, 'Maximální rozumný inventář, 0 pokud není použito');
INSERT INTO `lang_definitions` VALUES (117092, 3601, 32, 'Maximální velikost');
INSERT INTO `lang_definitions` VALUES (117093, 3602, 32, 'Maximální velikost ( zadání 0 umožní jakoukoliv velikost)');
INSERT INTO `lang_definitions` VALUES (117094, 3603, 32, 'Květen');
INSERT INTO `lang_definitions` VALUES (117095, 3607, 32, 'Žádné z posledních tří hesel nelze použít při změně hesla.');
INSERT INTO `lang_definitions` VALUES (117096, 3609, 32, 'Kód  skupiny měření');
INSERT INTO `lang_definitions` VALUES (117097, 3612, 32, 'Vnitřní kotník');
INSERT INTO `lang_definitions` VALUES (117098, 3614, 32, 'Lékařský');
INSERT INTO `lang_definitions` VALUES (117099, 3615, 32, 'UPT -umělé přerušení těhotenství');
INSERT INTO `lang_definitions` VALUES (117100, 3617, 32, 'Anamnéza');
INSERT INTO `lang_definitions` VALUES (117101, 3618, 32, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (117102, 3619, 32, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (117103, 3620, 32, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (117104, 3621, 32, 'Zdravotní problém');
INSERT INTO `lang_definitions` VALUES (117105, 3622, 32, 'Seznam zdravotních problémů');
INSERT INTO `lang_definitions` VALUES (117106, 3623, 32, 'Zdravotní problémy');
INSERT INTO `lang_definitions` VALUES (117107, 3624, 32, 'Zdravotní záznam');
INSERT INTO `lang_definitions` VALUES (117108, 3625, 32, 'Zdravotní záznam #');
INSERT INTO `lang_definitions` VALUES (117109, 3626, 32, 'Zdravotní záznamy');
INSERT INTO `lang_definitions` VALUES (117110, 3627, 32, 'Zdravotní záznamy odeslány');
INSERT INTO `lang_definitions` VALUES (117111, 3629, 32, 'Souhrnná zpráva ybal vydána');
INSERT INTO `lang_definitions` VALUES (117112, 3630, 32, 'Medicínský systém');
INSERT INTO `lang_definitions` VALUES (117113, 3632, 32, 'Anamnéza ( volitelně právo zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (117114, 3633, 32, 'Zdravotní péče část B');
INSERT INTO `lang_definitions` VALUES (117115, 3634, 32, 'Poskytovatel vyžádané péče je změněn');
INSERT INTO `lang_definitions` VALUES (117116, 3635, 32, 'Medikace');
INSERT INTO `lang_definitions` VALUES (117117, 3637, 32, 'Seznam zdravotních obtíží');
INSERT INTO `lang_definitions` VALUES (117118, 3638, 32, 'Seznam léků');
INSERT INTO `lang_definitions` VALUES (117119, 3639, 32, 'Provedena korekce medikace ?');
INSERT INTO `lang_definitions` VALUES (117120, 3640, 32, 'Medikace');
INSERT INTO `lang_definitions` VALUES (117121, 3641, 32, 'Medikace:');
INSERT INTO `lang_definitions` VALUES (117122, 3643, 32, 'Střed');
INSERT INTO `lang_definitions` VALUES (117123, 3644, 32, 'Spojení s MedlinePlus');
INSERT INTO `lang_definitions` VALUES (117124, 3646, 32, 'Mnestické problémy');
INSERT INTO `lang_definitions` VALUES (117125, 3647, 32, 'Muž');
INSERT INTO `lang_definitions` VALUES (117126, 3648, 32, 'Muž a Žena');
INSERT INTO `lang_definitions` VALUES (117127, 3649, 32, 'Pouze muž');
INSERT INTO `lang_definitions` VALUES (117128, 3650, 32, 'Menarche');
INSERT INTO `lang_definitions` VALUES (117129, 3651, 32, 'Menopausa');
INSERT INTO `lang_definitions` VALUES (117130, 3652, 32, 'Mentruační krvácení');
INSERT INTO `lang_definitions` VALUES (117131, 3653, 32, 'Frekvence menstruace');
INSERT INTO `lang_definitions` VALUES (117132, 3654, 32, 'Mentální onemocnění');
INSERT INTO `lang_definitions` VALUES (117133, 3655, 32, 'Text nabídky');
INSERT INTO `lang_definitions` VALUES (117134, 3656, 32, 'Nabídky');
INSERT INTO `lang_definitions` VALUES (117135, 3657, 32, 'Sloučit');
INSERT INTO `lang_definitions` VALUES (117136, 3658, 32, 'Sloučení kompletní');
INSERT INTO `lang_definitions` VALUES (117137, 3659, 32, 'Sloučit pacienty');
INSERT INTO `lang_definitions` VALUES (117138, 3661, 32, 'Zpráva');
INSERT INTO `lang_definitions` VALUES (117139, 3662, 32, 'Centrum zpráv a upomínek');
INSERT INTO `lang_definitions` VALUES (117140, 3663, 32, 'Obsah zprávy není prostý text a musí být uložen jako dokument.');
INSERT INTO `lang_definitions` VALUES (117141, 3664, 32, 'Zpráva od pacienta');
INSERT INTO `lang_definitions` VALUES (117142, 3665, 32, 'Zpráva odeslána');
INSERT INTO `lang_definitions` VALUES (117143, 3666, 32, 'Stav zprávy');
INSERT INTO `lang_definitions` VALUES (117144, 3667, 32, 'Název zprávy');
INSERT INTO `lang_definitions` VALUES (117145, 3668, 32, 'Zpráva pro pacienta');
INSERT INTO `lang_definitions` VALUES (117146, 3669, 32, 'Typ zprávy');
INSERT INTO `lang_definitions` VALUES (117147, 3670, 32, 'ZPRÁVA:');
INSERT INTO `lang_definitions` VALUES (117148, 3671, 32, 'Zprávy');
INSERT INTO `lang_definitions` VALUES (117149, 3672, 32, 'Dnešní odeslané zprávy');
INSERT INTO `lang_definitions` VALUES (117150, 3673, 32, 'Metoda');
INSERT INTO `lang_definitions` VALUES (117151, 3674, 32, 'Metoda a specifický produkt');
INSERT INTO `lang_definitions` VALUES (117152, 3675, 32, 'Metoda odesílání emailů.');
INSERT INTO `lang_definitions` VALUES (117153, 3676, 32, 'Metoda likvidace');
INSERT INTO `lang_definitions` VALUES (117154, 3679, 32, 'mg');
INSERT INTO `lang_definitions` VALUES (117155, 3680, 32, 'mg/cm3');
INSERT INTO `lang_definitions` VALUES (117156, 3681, 32, 'mg/2cm3');
INSERT INTO `lang_definitions` VALUES (117157, 3682, 32, 'mg/3cm3');
INSERT INTO `lang_definitions` VALUES (117158, 3683, 32, 'mg/4cm3');
INSERT INTO `lang_definitions` VALUES (117159, 3684, 32, 'mg/5cm3');
INSERT INTO `lang_definitions` VALUES (117160, 3685, 32, 'mg/100ml');
INSERT INTO `lang_definitions` VALUES (117161, 3686, 32, 'Prostřední');
INSERT INTO `lang_definitions` VALUES (117162, 3687, 32, 'Prostřední jméno');
INSERT INTO `lang_definitions` VALUES (117163, 3688, 32, 'Prostřední jméno');
INSERT INTO `lang_definitions` VALUES (117164, 3696, 32, 'Migrující nebo sezónní pracovník ?');
INSERT INTO `lang_definitions` VALUES (117165, 3697, 32, 'Migrující/sezónní');
INSERT INTO `lang_definitions` VALUES (117166, 3701, 32, 'MIME typ');
INSERT INTO `lang_definitions` VALUES (117167, 3702, 32, 'Mime typ');
INSERT INTO `lang_definitions` VALUES (117168, 3703, 32, 'Min');
INSERT INTO `lang_definitions` VALUES (117169, 3704, 32, 'min');
INSERT INTO `lang_definitions` VALUES (117170, 3705, 32, 'Minimální věk');
INSERT INTO `lang_definitions` VALUES (117171, 3706, 32, 'Lehká kloubní distenze +/- synovitis');
INSERT INTO `lang_definitions` VALUES (117172, 3708, 32, 'Minuta');
INSERT INTO `lang_definitions` VALUES (117173, 3709, 32, 'Minuty');
INSERT INTO `lang_definitions` VALUES (117174, 3710, 32, 'Minuty');
INSERT INTO `lang_definitions` VALUES (117175, 3716, 32, 'Různé');
INSERT INTO `lang_definitions` VALUES (117176, 3717, 32, 'Zmeškáno');
INSERT INTO `lang_definitions` VALUES (117177, 3718, 32, 'chybí');
INSERT INTO `lang_definitions` VALUES (117178, 3719, 32, 'Chybí povinné soubory');
INSERT INTO `lang_definitions` VALUES (117179, 3722, 32, 'Chybějící nebo nesprávný');
INSERT INTO `lang_definitions` VALUES (117180, 3724, 32, 'Chybí datum hlášení');
INSERT INTO `lang_definitions` VALUES (117181, 3725, 32, 'Chybí lomítko za údajem plátce ');
INSERT INTO `lang_definitions` VALUES (117182, 3726, 32, 'Smíšený');
INSERT INTO `lang_definitions` VALUES (117183, 3727, 32, 'ml');
INSERT INTO `lang_definitions` VALUES (117184, 3728, 32, 'MM/DD/RRRR');
INSERT INTO `lang_definitions` VALUES (117185, 3729, 32, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (117186, 3730, 32, 'mmhg');
INSERT INTO `lang_definitions` VALUES (117187, 3733, 32, 'Mobilní');
INSERT INTO `lang_definitions` VALUES (117188, 3734, 32, 'Mobilní telefon');
INSERT INTO `lang_definitions` VALUES (117189, 3735, 32, 'Mod');
INSERT INTO `lang_definitions` VALUES (117190, 3738, 32, 'Střední priorita');
INSERT INTO `lang_definitions` VALUES (117191, 3740, 32, 'Střední /Nízká priorita');
INSERT INTO `lang_definitions` VALUES (117192, 3741, 32, 'Modifikátor');
INSERT INTO `lang_definitions` VALUES (117193, 3742, 32, 'Modifikátory');
INSERT INTO `lang_definitions` VALUES (117194, 3743, 32, 'Modifikovat');
INSERT INTO `lang_definitions` VALUES (117195, 3745, 32, 'Modifikovat platbu');
INSERT INTO `lang_definitions` VALUES (117196, 3747, 32, 'Modul');
INSERT INTO `lang_definitions` VALUES (117197, 3748, 32, 'Adresář modulů nenalezen');
INSERT INTO `lang_definitions` VALUES (117198, 3749, 32, 'Instalátor modulů');
INSERT INTO `lang_definitions` VALUES (117199, 3750, 32, 'Jméno modulu');
INSERT INTO `lang_definitions` VALUES (117200, 3751, 32, 'Jméno modulu již existuje');
INSERT INTO `lang_definitions` VALUES (117201, 3752, 32, 'Moduly');
INSERT INTO `lang_definitions` VALUES (117202, 3753, 32, 'Pon');
INSERT INTO `lang_definitions` VALUES (117203, 3754, 32, 'Od Pon do Pá');
INSERT INTO `lang_definitions` VALUES (117204, 3755, 32, 'Pon,Stře &amp; Pá');
INSERT INTO `lang_definitions` VALUES (117205, 3756, 32, 'Pondělí');
INSERT INTO `lang_definitions` VALUES (117206, 3758, 32, 'Měsíc');
INSERT INTO `lang_definitions` VALUES (117207, 3759, 32, 'měsíc');
INSERT INTO `lang_definitions` VALUES (117208, 3760, 32, 'Měsíční zobrazení');
INSERT INTO `lang_definitions` VALUES (117209, 3761, 32, 'Měsíce');
INSERT INTO `lang_definitions` VALUES (117210, 3762, 32, 'Měsíční příjem');
INSERT INTO `lang_definitions` VALUES (117211, 3765, 32, 'Nalezeno více než 100 záznamů. Omezte vyhledávací kritéria');
INSERT INTO `lang_definitions` VALUES (117212, 3766, 32, 'Více než 50 výsledků, prosím zpřesněte vyhledávání');
INSERT INTO `lang_definitions` VALUES (117213, 3767, 32, 'Většina záhlaví sloupců umožňuje klikem třídit obsah sloupce');
INSERT INTO `lang_definitions` VALUES (117214, 3768, 32, 'Nejnovější z');
INSERT INTO `lang_definitions` VALUES (117215, 3769, 32, 'Nejnovější laboratorní data:');
INSERT INTO `lang_definitions` VALUES (117216, 3770, 32, 'Nejnovější vitální funkce z:');
INSERT INTO `lang_definitions` VALUES (117217, 3771, 32, 'Matka');
INSERT INTO `lang_definitions` VALUES (117218, 3772, 32, 'Jméno matky');
INSERT INTO `lang_definitions` VALUES (117219, 3773, 32, 'Anamnéza matky');
INSERT INTO `lang_definitions` VALUES (117220, 3774, 32, 'Ústa');
INSERT INTO `lang_definitions` VALUES (117221, 3775, 32, 'Přemístit');
INSERT INTO `lang_definitions` VALUES (117222, 3776, 32, 'Přesunout dokument do kategorie:');
INSERT INTO `lang_definitions` VALUES (117223, 3777, 32, 'Přesunout dolů');
INSERT INTO `lang_definitions` VALUES (117224, 3778, 32, 'Přesun selhal');
INSERT INTO `lang_definitions` VALUES (117225, 3779, 32, 'Přesunout k pacientovi');
INSERT INTO `lang_definitions` VALUES (117226, 3780, 32, 'Přesunout k...');
INSERT INTO `lang_definitions` VALUES (117227, 3781, 32, 'Přesunout výše');
INSERT INTO `lang_definitions` VALUES (117228, 3782, 32, 'Přesouvání');
INSERT INTO `lang_definitions` VALUES (117229, 3783, 32, 'Pan');
INSERT INTO `lang_definitions` VALUES (117230, 3785, 32, 'Paní');
INSERT INTO `lang_definitions` VALUES (117231, 3786, 32, 'Slečna');
INSERT INTO `lang_definitions` VALUES (117232, 3787, 32, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (117233, 3788, 32, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (117234, 3789, 32, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (117235, 3790, 32, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (117236, 3791, 32, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (117237, 3793, 32, 'Typ zprávy MSH.8 není platný');
INSERT INTO `lang_definitions` VALUES (117238, 3794, 32, 'Kód MSP');
INSERT INTO `lang_definitions` VALUES (117239, 3796, 32, 'Vícejazyčné nástroje');
INSERT INTO `lang_definitions` VALUES (117240, 3797, 32, 'Vícečetné oblasti');
INSERT INTO `lang_definitions` VALUES (117241, 3798, 32, 'CTRL+Click nebo SHIFT+Click umožní nahrání více souborů v jednom okamžiku');
INSERT INTO `lang_definitions` VALUES (117242, 3800, 32, 'Vícero modifikátorů (max 4) může být odděleno dvojtečkou nebo mezerou (M1:M2:M3:M4)');
INSERT INTO `lang_definitions` VALUES (117243, 3801, 32, 'Seznam s vícečetným výberem');
INSERT INTO `lang_definitions` VALUES (117244, 3802, 32, 'Multirasový');
INSERT INTO `lang_definitions` VALUES (117245, 3803, 32, 'Šelest:');
INSERT INTO `lang_definitions` VALUES (117246, 3804, 32, 'Myalgie');
INSERT INTO `lang_definitions` VALUES (117247, 3805, 32, 'Myalgie');
INSERT INTO `lang_definitions` VALUES (117248, 3806, 32, 'Zarudnutí nad svalem');
INSERT INTO `lang_definitions` VALUES (117249, 3807, 32, 'Svalová ztuhlost');
INSERT INTO `lang_definitions` VALUES (117250, 3808, 32, 'Edém svalový');
INSERT INTO `lang_definitions` VALUES (117251, 3810, 32, 'Sval');
INSERT INTO `lang_definitions` VALUES (117252, 3811, 32, 'Svalové poranění');
INSERT INTO `lang_definitions` VALUES (117253, 3812, 32, 'Muskuloskeletální');
INSERT INTO `lang_definitions` VALUES (117254, 3813, 32, 'Musí být prázdné, pokud není využívána SMTP autentifikace.');
INSERT INTO `lang_definitions` VALUES (117255, 3814, 32, 'Vzájemně definováno');
INSERT INTO `lang_definitions` VALUES (117256, 3821, 32, 'N/A');
INSERT INTO `lang_definitions` VALUES (117257, 3822, 32, 'n/a');
INSERT INTO `lang_definitions` VALUES (117258, 3823, 32, 'Jméno');
INSERT INTO `lang_definitions` VALUES (117259, 3825, 32, 'Jméno ( kliknout pro detaily )');
INSERT INTO `lang_definitions` VALUES (117260, 3826, 32, 'Jméno 1');
INSERT INTO `lang_definitions` VALUES (117261, 3827, 32, 'Jméno 2');
INSERT INTO `lang_definitions` VALUES (117262, 3828, 32, 'Jméno a titul administrátora očkování');
INSERT INTO `lang_definitions` VALUES (117263, 3829, 32, 'Jméno v EMR');
INSERT INTO `lang_definitions` VALUES (117264, 3830, 32, 'Jméno musí být ve formátu codetype_code_language.pdf, např. icd9_274.11_en.pdf');
INSERT INTO `lang_definitions` VALUES (117265, 3831, 32, 'Jméno událostí');
INSERT INTO `lang_definitions` VALUES (117266, 3832, 32, 'Jméno poskytovatele pojištění');
INSERT INTO `lang_definitions` VALUES (117267, 3833, 32, 'Jméno poskytovatele');
INSERT INTO `lang_definitions` VALUES (117268, 3834, 32, 'Jméno odesílatele pro upomínky pacientům');
INSERT INTO `lang_definitions` VALUES (117269, 3835, 32, 'Jméno překladu');
INSERT INTO `lang_definitions` VALUES (117270, 3836, 32, 'Jméno/Hodnota');
INSERT INTO `lang_definitions` VALUES (117271, 3837, 32, 'Jméno:');
INSERT INTO `lang_definitions` VALUES (117272, 3838, 32, 'NARES:');
INSERT INTO `lang_definitions` VALUES (117273, 3840, 32, 'Nosní sliznice růžová, septum ve střední čáře');
INSERT INTO `lang_definitions` VALUES (117274, 3841, 32, 'Poznámky k národnosti');
INSERT INTO `lang_definitions` VALUES (117275, 3842, 32, 'Konfigurace poznámek k národnosti');
INSERT INTO `lang_definitions` VALUES (117276, 3844, 32, 'Státní příslušnost');
INSERT INTO `lang_definitions` VALUES (117277, 3845, 32, 'Poznámky k národnosti');
INSERT INTO `lang_definitions` VALUES (117278, 3852, 32, 'Nausea');
INSERT INTO `lang_definitions` VALUES (117279, 3854, 32, 'Navigace');
INSERT INTO `lang_definitions` VALUES (117280, 3855, 32, 'Naváděcí oblast zahrnuje  formuláře vyšetření');
INSERT INTO `lang_definitions` VALUES (117281, 3856, 32, 'Navigační oblast používá plnou výšku rámců');
INSERT INTO `lang_definitions` VALUES (117282, 3857, 32, 'Navigační oblast formuláře návštěv');
INSERT INTO `lang_definitions` VALUES (117283, 3858, 32, 'Šířka navigační oblasti');
INSERT INTO `lang_definitions` VALUES (117284, 3859, 32, 'Navigační menu obsahuje páry přepínačů');
INSERT INTO `lang_definitions` VALUES (117285, 3860, 32, 'Navigační menu je zobrazeno stromově');
INSERT INTO `lang_definitions` VALUES (117286, 3861, 32, 'K navigaci je použito posuvné menu');
INSERT INTO `lang_definitions` VALUES (117287, 3866, 32, 'Krk a šíje');
INSERT INTO `lang_definitions` VALUES (117288, 3867, 32, 'Problémy se šíji');
INSERT INTO `lang_definitions` VALUES (117289, 3868, 32, 'Pohyblivost šíje');
INSERT INTO `lang_definitions` VALUES (117290, 3869, 32, 'Je potřeba zadat popis');
INSERT INTO `lang_definitions` VALUES (117291, 3870, 32, 'Je potřeba zadat návratovou hodnotu');
INSERT INTO `lang_definitions` VALUES (117292, 3871, 32, 'Je potřeba zadat identifikátor');
INSERT INTO `lang_definitions` VALUES (117293, 3872, 32, 'Je potřeba zadat název');
INSERT INTO `lang_definitions` VALUES (117294, 3873, 32, 'Potřeba autorizace');
INSERT INTO `lang_definitions` VALUES (117295, 3874, 32, 'Potřeba zdůvodnění');
INSERT INTO `lang_definitions` VALUES (117296, 3875, 32, 'Potřeba dalšího vyúčtování');
INSERT INTO `lang_definitions` VALUES (117297, 3876, 32, 'Negativní');
INSERT INTO `lang_definitions` VALUES (117298, 3877, 32, 'Negativy');
INSERT INTO `lang_definitions` VALUES (117299, 3880, 32, 'Nervové poranění');
INSERT INTO `lang_definitions` VALUES (117300, 3881, 32, 'Stav nervu / nervové poranění');
INSERT INTO `lang_definitions` VALUES (117301, 3882, 32, 'Necitlivost');
INSERT INTO `lang_definitions` VALUES (117302, 3883, 32, 'Slabost svalová');
INSERT INTO `lang_definitions` VALUES (117303, 3884, 32, 'Neurologický');
INSERT INTO `lang_definitions` VALUES (117304, 3885, 32, 'Nikdy');
INSERT INTO `lang_definitions` VALUES (117305, 3886, 32, 'Abstinent');
INSERT INTO `lang_definitions` VALUES (117306, 3887, 32, 'Nekuřák');
INSERT INTO `lang_definitions` VALUES (117307, 3888, 32, 'Nový');
INSERT INTO `lang_definitions` VALUES (117308, 3889, 32, 'Nový =>');
INSERT INTO `lang_definitions` VALUES (117309, 3890, 32, 'Nový příjemci');
INSERT INTO `lang_definitions` VALUES (117310, 3892, 32, 'Nová alergie');
INSERT INTO `lang_definitions` VALUES (117311, 3893, 32, 'Nový požadavek na změnu');
INSERT INTO `lang_definitions` VALUES (117312, 3894, 32, 'Nové vyšetření');
INSERT INTO `lang_definitions` VALUES (117313, 3895, 32, 'Nové kategorie');
INSERT INTO `lang_definitions` VALUES (117314, 3896, 32, 'Nová kategorie');
INSERT INTO `lang_definitions` VALUES (117315, 3897, 32, 'Noví klienti');
INSERT INTO `lang_definitions` VALUES (117316, 3898, 32, 'Nová konzultace');
INSERT INTO `lang_definitions` VALUES (117317, 3900, 32, 'Nová sada definicí přidána');
INSERT INTO `lang_definitions` VALUES (117318, 3901, 32, 'Nový dokument');
INSERT INTO `lang_definitions` VALUES (117319, 3902, 32, 'Nové dokumenty');
INSERT INTO `lang_definitions` VALUES (117320, 3904, 32, 'Nové vyšetření');
INSERT INTO `lang_definitions` VALUES (117321, 3905, 32, 'Nové vyšetření vytvořeno s ID');
INSERT INTO `lang_definitions` VALUES (117322, 3906, 32, 'Nový formulář vyšetření');
INSERT INTO `lang_definitions` VALUES (117323, 3907, 32, 'Nová vyšetření nejsou autorizována');
INSERT INTO `lang_definitions` VALUES (117324, 3908, 32, 'Nové vyš.');
INSERT INTO `lang_definitions` VALUES (117325, 3909, 32, 'Nová informace o zařízení');
INSERT INTO `lang_definitions` VALUES (117326, 3910, 32, 'Nový soubor');
INSERT INTO `lang_definitions` VALUES (117327, 3911, 32, 'Nové soubory');
INSERT INTO `lang_definitions` VALUES (117328, 3912, 32, 'Nová skupina');
INSERT INTO `lang_definitions` VALUES (117329, 3913, 32, 'Nová informace o skupině');
INSERT INTO `lang_definitions` VALUES (117330, 3916, 32, 'Nový limit událostí');
INSERT INTO `lang_definitions` VALUES (117331, 3917, 32, 'Nový seznam');
INSERT INTO `lang_definitions` VALUES (117332, 3918, 32, 'Nové objednávky');
INSERT INTO `lang_definitions` VALUES (117333, 3919, 32, 'Nový odstavec');
INSERT INTO `lang_definitions` VALUES (117334, 3920, 32, 'Nové heslo');
INSERT INTO `lang_definitions` VALUES (117335, 3921, 32, 'Nový pacient');
INSERT INTO `lang_definitions` VALUES (117336, 3922, 32, 'NOVÝ PACIENT');
INSERT INTO `lang_definitions` VALUES (117337, 3923, 32, 'Nové vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (117338, 3924, 32, 'Nový formulář pacienta');
INSERT INTO `lang_definitions` VALUES (117339, 3925, 32, 'Nové ID pacienta');
INSERT INTO `lang_definitions` VALUES (117340, 3926, 32, 'Nová platba');
INSERT INTO `lang_definitions` VALUES (117341, 3927, 32, 'Nové přihlášení k portálu');
INSERT INTO `lang_definitions` VALUES (117342, 3929, 32, 'Nové laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (117343, 3930, 32, 'Nové vyhledávání');
INSERT INTO `lang_definitions` VALUES (117344, 3931, 32, 'Nové podání');
INSERT INTO `lang_definitions` VALUES (117345, 3932, 32, 'Nový uživatel');
INSERT INTO `lang_definitions` VALUES (117346, 3933, 32, 'Nová hodnota');
INSERT INTO `lang_definitions` VALUES (117347, 3934, 32, 'Nová návštěva');
INSERT INTO `lang_definitions` VALUES (117348, 3935, 32, 'Nový/Hledat');
INSERT INTO `lang_definitions` VALUES (117349, 3960, 32, 'Novější');
INSERT INTO `lang_definitions` VALUES (117350, 3961, 32, 'Noviny');
INSERT INTO `lang_definitions` VALUES (117351, 3962, 32, 'Další');
INSERT INTO `lang_definitions` VALUES (117352, 3964, 32, 'Další den');
INSERT INTO `lang_definitions` VALUES (117353, 3965, 32, 'Příští měsíc');
INSERT INTO `lang_definitions` VALUES (117354, 3966, 32, 'Příští měsíc ( podrž pro nabídku )');
INSERT INTO `lang_definitions` VALUES (117355, 3967, 32, 'Nově plánovaná série');
INSERT INTO `lang_definitions` VALUES (117356, 3968, 32, 'Příští týden');
INSERT INTO `lang_definitions` VALUES (117357, 3969, 32, 'Příští rok ( podržet pro nabídku)');
INSERT INTO `lang_definitions` VALUES (117358, 3970, 32, 'Přezdívka');
INSERT INTO `lang_definitions` VALUES (117359, 3971, 32, 'Přezdívka');
INSERT INTO `lang_definitions` VALUES (117360, 3973, 32, 'Noční pocení');
INSERT INTO `lang_definitions` VALUES (117361, 3975, 32, 'Ne');
INSERT INTO `lang_definitions` VALUES (117362, 3976, 32, 'NE');
INSERT INTO `lang_definitions` VALUES (117363, 3977, 32, 'Nepřístupné');
INSERT INTO `lang_definitions` VALUES (117364, 3978, 32, 'Žádná aktivní pacientské upomínky');
INSERT INTO `lang_definitions` VALUES (117365, 3979, 32, 'Bez adenopathie ( vyžadovány 2 oblasti )');
INSERT INTO `lang_definitions` VALUES (117366, 3980, 32, 'Nenalezeno žádné upřesnění pro');
INSERT INTO `lang_definitions` VALUES (117367, 3981, 32, 'Adnexa bez rezistence');
INSERT INTO `lang_definitions` VALUES (117368, 3982, 32, 'Žádné dostupné požadavky na změnu');
INSERT INTO `lang_definitions` VALUES (117369, 3983, 32, 'Žádné návštěvy');
INSERT INTO `lang_definitions` VALUES (117370, 3985, 32, 'Žádný účetní systém není aktuálně aktivní');
INSERT INTO `lang_definitions` VALUES (117371, 3986, 32, 'Žádné účty nezahrnují OFX export');
INSERT INTO `lang_definitions` VALUES (117372, 3987, 32, 'Žádné účty nezahrnují OFX export<br>');
INSERT INTO `lang_definitions` VALUES (117373, 3989, 32, 'Nespecifikován žádný kód');
INSERT INTO `lang_definitions` VALUES (117374, 3990, 32, 'Tento modul nemá definovánu žádnou konfiguraci');
INSERT INTO `lang_definitions` VALUES (117375, 3992, 32, 'Žádná diagnóza');
INSERT INTO `lang_definitions` VALUES (117376, 3993, 32, 'Nenalezen žádný dokument');
INSERT INTO `lang_definitions` VALUES (117377, 3994, 32, 'Nelze vytvořit žádné vyšetření');
INSERT INTO `lang_definitions` VALUES (117378, 3995, 32, 'Žádné konečné datum');
INSERT INTO `lang_definitions` VALUES (117379, 3996, 32, 'Nenalezeny žádné položky. Použijte formulář níže pro jejich zadání.');
INSERT INTO `lang_definitions` VALUES (117380, 3997, 32, 'Chyby nenalezeny :-)');
INSERT INTO `lang_definitions` VALUES (117381, 3998, 32, 'Žádné události');
INSERT INTO `lang_definitions` VALUES (117382, 4000, 32, 'Žádné soubory k instalaci');
INSERT INTO `lang_definitions` VALUES (117383, 4001, 32, 'Žádná skupina nebyla vybrána');
INSERT INTO `lang_definitions` VALUES (117384, 4002, 32, 'Bez hernie');
INSERT INTO `lang_definitions` VALUES (117385, 4005, 32, 'Žádný úraz/choroba');
INSERT INTO `lang_definitions` VALUES (117386, 4006, 32, 'Nenalezena žádná pojišťovna');
INSERT INTO `lang_definitions` VALUES (117387, 4007, 32, 'Žádné problémy');
INSERT INTO `lang_definitions` VALUES (117388, 4008, 32, 'Toto vyšetření bez problémů');
INSERT INTO `lang_definitions` VALUES (117389, 4009, 32, 'Žádné položky pro vybranou kategorii');
INSERT INTO `lang_definitions` VALUES (117390, 4010, 32, 'Žádné položky nebyly vybrány');
INSERT INTO `lang_definitions` VALUES (117391, 4024, 32, 'Žádná laboratorní data nebyla zdokumentována');
INSERT INTO `lang_definitions` VALUES (117392, 4025, 32, 'Pro zadané datum neexistuje žádný log soubor');
INSERT INTO `lang_definitions` VALUES (117393, 4027, 32, 'Bez rezistence, bez zvýšené citlivosti');
INSERT INTO `lang_definitions` VALUES (117394, 4028, 32, 'Źádný odpovídající pacient nenalezen pro zadaný Re identifikační kód');
INSERT INTO `lang_definitions` VALUES (117395, 4029, 32, 'Žádná shoda. Zkuste hledání opakovat.');
INSERT INTO `lang_definitions` VALUES (117396, 4030, 32, 'Nic nenalezeno');
INSERT INTO `lang_definitions` VALUES (117397, 4031, 32, 'Nic nenalezeno. Vytvořit nového pacienta ?');
INSERT INTO `lang_definitions` VALUES (117398, 4032, 32, 'Nenalezeny žádné odpovídající záznamy');
INSERT INTO `lang_definitions` VALUES (117399, 4033, 32, 'Žádné nové výsledky nebyly  nalezeny');
INSERT INTO `lang_definitions` VALUES (117400, 4034, 32, 'Žádné poznámky');
INSERT INTO `lang_definitions` VALUES (117401, 4035, 32, 'Bez organomegalie');
INSERT INTO `lang_definitions` VALUES (117402, 4037, 32, 'Nejsou uvedena žádná jiná telefonní čísla');
INSERT INTO `lang_definitions` VALUES (117403, 4038, 32, 'Nebyly vybrány žádné parametry');
INSERT INTO `lang_definitions` VALUES (117404, 4039, 32, 'Nenalezeni žádní partneři');
INSERT INTO `lang_definitions` VALUES (117405, 4040, 32, 'Zádné záznamy o pacientech nebyly pro vybraná kritéria nalezeny');
INSERT INTO `lang_definitions` VALUES (117406, 4041, 32, 'Źádný pacientský záznam nenalezen pro zadaný Re identifikační kód');
INSERT INTO `lang_definitions` VALUES (117407, 4042, 32, 'Bez periferního edému');
INSERT INTO `lang_definitions` VALUES (117408, 4043, 32, 'Žádné lékárny nenalezeny');
INSERT INTO `lang_definitions` VALUES (117409, 4044, 32, 'Žádné recepety nebyly nalezeny');
INSERT INTO `lang_definitions` VALUES (117410, 4045, 32, 'Žádné poranění/onemocnění');
INSERT INTO `lang_definitions` VALUES (117411, 4046, 32, 'Žádné oředchozí položky.');
INSERT INTO `lang_definitions` VALUES (117412, 4048, 32, 'Žádná předchozí vyšetření');
INSERT INTO `lang_definitions` VALUES (117413, 4049, 32, 'Žádné procedury pro toto vyšetření');
INSERT INTO `lang_definitions` VALUES (117414, 4051, 32, 'Žádní poskytovatelé nenalezeni');
INSERT INTO `lang_definitions` VALUES (117415, 4052, 32, 'Žádná vyrážka nebo abnormální léze');
INSERT INTO `lang_definitions` VALUES (117416, 4053, 32, 'Žádné záznamy nenalezeny');
INSERT INTO `lang_definitions` VALUES (117417, 4055, 32, 'Žádné záznamy nenalezeny. Rozšiřte vyhledávací kritéria.');
INSERT INTO `lang_definitions` VALUES (117418, 4056, 32, 'Žádné upomínky.');
INSERT INTO `lang_definitions` VALUES (117419, 4057, 32, 'Žádné výsledky pro výše uvedená vyhledávací kritéria nenalezeny');
INSERT INTO `lang_definitions` VALUES (117420, 4058, 32, 'Žádné výsledky');
INSERT INTO `lang_definitions` VALUES (117421, 4059, 32, 'Žádné výsledky nenalezeny');
INSERT INTO `lang_definitions` VALUES (117422, 4060, 32, 'Žádné výsledky  vyhledávání');
INSERT INTO `lang_definitions` VALUES (117423, 4061, 32, 'Žádné výsledky nenalezeny. Zkuste znovu.');
INSERT INTO `lang_definitions` VALUES (117424, 4062, 32, 'Žádné výsledky. Zkuste znovu.');
INSERT INTO `lang_definitions` VALUES (117425, 4063, 32, 'Žádné výsledky. Zkuste znovu.');
INSERT INTO `lang_definitions` VALUES (117426, 4064, 32, 'Žádné možnosti nastavení pro tento modul');
INSERT INTO `lang_definitions` VALUES (117427, 4066, 32, 'Soubor bez podpisů');
INSERT INTO `lang_definitions` VALUES (117428, 4067, 32, 'PND nebolestivé');
INSERT INTO `lang_definitions` VALUES (117429, 4068, 32, 'Žádné vpáčení kůže nebo prsní uzly');
INSERT INTO `lang_definitions` VALUES (117430, 4070, 32, 'Žádná tabulka nebyla vybrána. Vyberte tabulku.');
INSERT INTO `lang_definitions` VALUES (117431, 4071, 32, 'Varlata nebolestivé , bez rezistence');
INSERT INTO `lang_definitions` VALUES (117432, 4075, 32, 'Žádná návštěva');
INSERT INTO `lang_definitions` VALUES (117433, 4076, 32, 'Vitální funkce nebyly dokumentovány');
INSERT INTO `lang_definitions` VALUES (117434, 4077, 32, 'Ne. Zrušit.');
INSERT INTO `lang_definitions` VALUES (117435, 4080, 32, 'Nicturie');
INSERT INTO `lang_definitions` VALUES (117436, 4081, 32, 'Nezaplaceno');
INSERT INTO `lang_definitions` VALUES (117437, 4083, 32, 'Neupřesněné poranění');
INSERT INTO `lang_definitions` VALUES (117438, 4085, 32, 'Non Insulin Dependentní DM');
INSERT INTO `lang_definitions` VALUES (117439, 4086, 32, 'Neporaněný');
INSERT INTO `lang_definitions` VALUES (117440, 4091, 32, 'Nedefinováno');
INSERT INTO `lang_definitions` VALUES (117441, 4092, 32, 'Nebylo zdokumentováno');
INSERT INTO `lang_definitions` VALUES (117442, 4093, 32, 'Nic z výše uvedených');
INSERT INTO `lang_definitions` VALUES (117443, 4094, 32, 'Žádný z horních řádků nemůže být prázdný');
INSERT INTO `lang_definitions` VALUES (117444, 4095, 32, 'Non Insulin  dependentní diabetes');
INSERT INTO `lang_definitions` VALUES (117445, 4097, 32, 'Normální');
INSERT INTO `lang_definitions` VALUES (117446, 4099, 32, 'Normální kardiologické vyšetření :');
INSERT INTO `lang_definitions` VALUES (117447, 4100, 32, 'Normální kardiologické vyšetření : ');
INSERT INTO `lang_definitions` VALUES (117448, 4101, 32, 'Normální vyšetření plic:');
INSERT INTO `lang_definitions` VALUES (117449, 4102, 32, 'Normální vyšetření plic: ');
INSERT INTO `lang_definitions` VALUES (117450, 4104, 32, 'Oropharynx BPN:');
INSERT INTO `lang_definitions` VALUES (117451, 4107, 32, 'Normální zobrazení');
INSERT INTO `lang_definitions` VALUES (117452, 4108, 32, 'normální:');
INSERT INTO `lang_definitions` VALUES (117453, 4109, 32, 'Normálně by mělo být označeno. Bez vztahu ke kontrole přístupu.');
INSERT INTO `lang_definitions` VALUES (117454, 4115, 32, 'Nos');
INSERT INTO `lang_definitions` VALUES (117455, 4116, 32, 'Krvácení z nosu');
INSERT INTO `lang_definitions` VALUES (117456, 4117, 32, 'ne písmena nebo čísla');
INSERT INTO `lang_definitions` VALUES (117457, 4119, 32, 'Ne všechna pole jsou povinná pro všechny kódy a typy.');
INSERT INTO `lang_definitions` VALUES (117458, 4120, 32, 'Není možné');
INSERT INTO `lang_definitions` VALUES (117459, 4121, 32, 'Není možné smazat  skupinu Správce');
INSERT INTO `lang_definitions` VALUES (117460, 4122, 32, 'Úpravy nejsou dovoleny');
INSERT INTO `lang_definitions` VALUES (117461, 4123, 32, 'Není dovoleno inaktivovat všechny bezpečností objekty');
INSERT INTO `lang_definitions` VALUES (117462, 4124, 32, 'Není dovoleno inaktivovat cokoliv z ACL Správce.');
INSERT INTO `lang_definitions` VALUES (117463, 4125, 32, 'Není dovoleno odstranit správce ze skupiny Administrators');
INSERT INTO `lang_definitions` VALUES (117464, 4126, 32, 'Není dovoleno odstranit tohoto uživatele ze skupiny Administrators');
INSERT INTO `lang_definitions` VALUES (117465, 4127, 32, 'Nelze provést');
INSERT INTO `lang_definitions` VALUES (117466, 4128, 32, 'Nyní oprávnění pro přístup k PostCalendar modulu');
INSERT INTO `lang_definitions` VALUES (117467, 4129, 32, 'Chybí oprávnění');
INSERT INTO `lang_definitions` VALUES (117468, 4130, 32, 'Chybí oprávnění');
INSERT INTO `lang_definitions` VALUES (117469, 4131, 32, 'Chybí oprávnění pro tuto skupinu!');
INSERT INTO `lang_definitions` VALUES (117470, 4132, 32, 'Chybí oprávnění pro tuto skupinu.');
INSERT INTO `lang_definitions` VALUES (117471, 4133, 32, 'Není oprávnění spravovat uživatele.');
INSERT INTO `lang_definitions` VALUES (117472, 4134, 32, 'Chybí oprávnění podepisovat výsledky');
INSERT INTO `lang_definitions` VALUES (117473, 4135, 32, 'Nedostupný');
INSERT INTO `lang_definitions` VALUES (117474, 4137, 32, 'Nazaúčtováno');
INSERT INTO `lang_definitions` VALUES (117475, 4140, 32, 'Není kódováno');
INSERT INTO `lang_definitions` VALUES (117476, 4143, 32, 'Vyšetření neprovedeno');
INSERT INTO `lang_definitions` VALUES (117477, 4144, 32, 'Vyšetření neprovedeno:');
INSERT INTO `lang_definitions` VALUES (117478, 4145, 32, 'Vyšetření neprovedeno: ');
INSERT INTO `lang_definitions` VALUES (117479, 4146, 32, 'nenalezeno');
INSERT INTO `lang_definitions` VALUES (117480, 4148, 32, 'nenalezeno!');
INSERT INTO `lang_definitions` VALUES (117481, 4150, 32, 'Nenainstalováno');
INSERT INTO `lang_definitions` VALUES (117482, 4151, 32, 'Nenainstalováno');
INSERT INTO `lang_definitions` VALUES (117483, 4152, 32, 'Nepozorováno od');
INSERT INTO `lang_definitions` VALUES (117484, 4153, 32, 'Neodesláno');
INSERT INTO `lang_definitions` VALUES (117485, 4154, 32, 'Dosud neodesláno');
INSERT INTO `lang_definitions` VALUES (117486, 4155, 32, 'Nespecifikováno');
INSERT INTO `lang_definitions` VALUES (117487, 4156, 32, 'Nespecifikováno.');
INSERT INTO `lang_definitions` VALUES (117488, 4157, 32, 'Poznámka');
INSERT INTO `lang_definitions` VALUES (117489, 4158, 32, 'Kódy poznámek');
INSERT INTO `lang_definitions` VALUES (117490, 4159, 32, 'Počítejte s tím, že proces instalace může trvat 5-10 minut');
INSERT INTO `lang_definitions` VALUES (117491, 4160, 32, 'Počítejte s tím, že proces aktualizace může trvat 5-10 minut');
INSERT INTO `lang_definitions` VALUES (117492, 4162, 32, 'Typ poznámky');
INSERT INTO `lang_definitions` VALUES (117493, 4164, 32, 'Poznámka: Import externích dat může trvat více než hodinu v závislosti na konfiguraci hardwaru. Příklad:  datové rabulky RxNorm obsahují více než 6 milionů řádků.');
INSERT INTO `lang_definitions` VALUES (117494, 4168, 32, 'Poznámka: Tento kód nebyl zadán oprávněným uživatelem. Pouze autorizované kódy mohou být nahrány do sítě Open Medical Billing pro zpracování. Pokud chcete nahrát tyto kódy, prosím vyberte oprávněného uživatele zde.');
INSERT INTO `lang_definitions` VALUES (117495, 4170, 32, 'Poznámka: Nahrávání souborů s duplicitními názvy způsobí, že soubory budou automaticky přejmenovány (například file.jpg bude file.1.jpg). Názvy souborů jsou považovány za unikátní v rámci  pacienta a ne kategorie.');
INSERT INTO `lang_definitions` VALUES (117496, 4171, 32, 'Poznámka: Nahrávání souborů s duplicitními názvy způsobí, že soubory budou automaticky přejmenovány. Například \'<i>file.jpg</i>\' bude \'<i>file.jpg1</i>\'.  Názvy souborů jsou považovány za unikátní v rámci  pacienta a ne kategorie.');
INSERT INTO `lang_definitions` VALUES (117497, 4172, 32, 'Poznámky');
INSERT INTO `lang_definitions` VALUES (117498, 4173, 32, 'Poznámky - jakékoliv vyšetření ( volitelně zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (117499, 4174, 32, 'Poznámky - moje vyšetření ( volitelně zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (117500, 4175, 32, 'Poznámky nejsou autorizovány');
INSERT INTO `lang_definitions` VALUES (117501, 4176, 32, 'Nic nečeká na schválení');
INSERT INTO `lang_definitions` VALUES (117502, 4177, 32, 'Nic nezapsaáno');
INSERT INTO `lang_definitions` VALUES (117503, 4179, 32, 'Nic k importu do alergií');
INSERT INTO `lang_definitions` VALUES (117504, 4180, 32, 'Nic k importu do preskripcí');
INSERT INTO `lang_definitions` VALUES (117505, 4181, 32, 'Nic k zobrazení');
INSERT INTO `lang_definitions` VALUES (117506, 4182, 32, 'Nebylo nic vybráno');
INSERT INTO `lang_definitions` VALUES (117507, 4183, 32, 'Přijato oznámení');
INSERT INTO `lang_definitions` VALUES (117508, 4185, 32, 'Oznámení');
INSERT INTO `lang_definitions` VALUES (117509, 4186, 32, 'E-mail pro oznámení');
INSERT INTO `lang_definitions` VALUES (117510, 4188, 32, 'Oznámení');
INSERT INTO `lang_definitions` VALUES (117511, 4190, 32, 'Lis');
INSERT INTO `lang_definitions` VALUES (117512, 4191, 32, 'Listopad');
INSERT INTO `lang_definitions` VALUES (117513, 4192, 32, 'Probíhá odesílání pro');
INSERT INTO `lang_definitions` VALUES (117514, 4193, 32, 'Probíhá tisk');
INSERT INTO `lang_definitions` VALUES (117515, 4200, 32, 'Číslo');
INSERT INTO `lang_definitions` VALUES (117516, 4201, 32, 'Číslo lab.');
INSERT INTO `lang_definitions` VALUES (117517, 4204, 32, 'Počet sloupců v ročním zobrazení');
INSERT INTO `lang_definitions` VALUES (117518, 4211, 32, 'Počet dnů platnosti klientského certifikátu');
INSERT INTO `lang_definitions` VALUES (117519, 4213, 32, 'Počet desetinných míst měny . Obvykle 0-2');
INSERT INTO `lang_definitions` VALUES (117520, 4214, 32, 'Počet vyšetření ke zobrazení na stránce.');
INSERT INTO `lang_definitions` VALUES (117521, 4216, 32, 'Kolik hodin předem odesílat e-mailová oznámení ?');
INSERT INTO `lang_definitions` VALUES (117522, 4217, 32, 'Kolik hodin předem odesílat telefonická oznámení ?');
INSERT INTO `lang_definitions` VALUES (117523, 4218, 32, 'Kolik hodin předem odesílat SMS oznámení ?');
INSERT INTO `lang_definitions` VALUES (117524, 4222, 32, 'Počet pacientů v seznamu ke zobrazení na stránce');
INSERT INTO `lang_definitions` VALUES (117525, 4223, 32, 'Necitlivost');
INSERT INTO `lang_definitions` VALUES (117526, 4225, 32, 'Pořadí čísleného zobrazení');
INSERT INTO `lang_definitions` VALUES (117527, 4227, 32, 'Nutrice');
INSERT INTO `lang_definitions` VALUES (117528, 4228, 32, 'Nutriční');
INSERT INTO `lang_definitions` VALUES (117529, 4229, 32, 'O.A.F.V');
INSERT INTO `lang_definitions` VALUES (117530, 4230, 32, 'Saturace O2');
INSERT INTO `lang_definitions` VALUES (117531, 4231, 32, 'Obezita I');
INSERT INTO `lang_definitions` VALUES (117532, 4232, 32, 'Obezita II');
INSERT INTO `lang_definitions` VALUES (117533, 4233, 32, 'Obezita III');
INSERT INTO `lang_definitions` VALUES (117534, 4240, 32, 'Říj');
INSERT INTO `lang_definitions` VALUES (117535, 4241, 32, 'Říjen');
INSERT INTO `lang_definitions` VALUES (117536, 4244, 32, 'množství');
INSERT INTO `lang_definitions` VALUES (117537, 4245, 32, 'tablet');
INSERT INTO `lang_definitions` VALUES (117538, 4246, 32, 'každého měsíce');
INSERT INTO `lang_definitions` VALUES (117539, 4248, 32, 'Vypnuto');
INSERT INTO `lang_definitions` VALUES (117540, 4251, 32, 'Oficiální skupiny měření pro Měření klinické kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (117541, 4252, 32, 'Offsite Https odkaz pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (117542, 4253, 32, 'Offsite Https odkaz pro pacientský portál. (Odkaz pro pacienty)');
INSERT INTO `lang_definitions` VALUES (117543, 4254, 32, 'Offsite heslo pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (117544, 4255, 32, 'Offsite heslo pro pacientský portál ( Nechte prázdné pokud nejste registrováni)');
INSERT INTO `lang_definitions` VALUES (117545, 4256, 32, 'Offsite ID Poskytovatele pro pacientský portál ( Nechte prázdné pokud nejste registrováni)');
INSERT INTO `lang_definitions` VALUES (117546, 4257, 32, 'Offsite ID Poskytovatele pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (117547, 4258, 32, 'Offsite adresa stránky pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (117548, 4259, 32, 'Offsite adresa stránky pro pacientský portál (Odkaz pro pacienta)');
INSERT INTO `lang_definitions` VALUES (117549, 4260, 32, 'Offsite uživatelské jsméno pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (117550, 4261, 32, 'Offsite uživatelské jsméno pro pacientský portál ( Nechte prázdné pokud nejste registrováni)');
INSERT INTO `lang_definitions` VALUES (117551, 4262, 32, 'Offsite webové sloužby portálu selhaly');
INSERT INTO `lang_definitions` VALUES (117552, 4263, 32, 'Potomci');
INSERT INTO `lang_definitions` VALUES (117553, 4264, 32, 'RA: děti');
INSERT INTO `lang_definitions` VALUES (117554, 4265, 32, 'mast');
INSERT INTO `lang_definitions` VALUES (117555, 4267, 32, 'OK');
INSERT INTO `lang_definitions` VALUES (117556, 4268, 32, 'OK pro zavření vyskakovacího okna?');
INSERT INTO `lang_definitions` VALUES (117557, 4270, 32, 'Starý');
INSERT INTO `lang_definitions` VALUES (117558, 4272, 32, 'Staří klienti');
INSERT INTO `lang_definitions` VALUES (117559, 4274, 32, 'Starý typ rozvržení bez  levého menu');
INSERT INTO `lang_definitions` VALUES (117560, 4275, 32, 'Starý typ statického formuláře vez vyhledávání nebo kontroly duplikací');
INSERT INTO `lang_definitions` VALUES (117561, 4276, 32, 'Starší');
INSERT INTO `lang_definitions` VALUES (117562, 4277, 32, 'Vynechat');
INSERT INTO `lang_definitions` VALUES (117563, 4278, 32, 'Vynechat okraje');
INSERT INTO `lang_definitions` VALUES (117564, 4279, 32, 'Vynechat informace o zaměstnavateli v identifikačních údajích pacienta');
INSERT INTO `lang_definitions` VALUES (117565, 4280, 32, 'Vynechat zaměstnavatele');
INSERT INTO `lang_definitions` VALUES (117566, 4281, 32, 'Vynechat formu, cestu a interval dávkování');
INSERT INTO `lang_definitions` VALUES (117567, 4282, 32, 'Vynechat pojištění a některé další identifikační údaje');
INSERT INTO `lang_definitions` VALUES (117568, 4283, 32, 'vynechat vnitřní uživatele ?');
INSERT INTO `lang_definitions` VALUES (117569, 4284, 32, 'Vynechat metodu a platbu na Co-Pay panelu');
INSERT INTO `lang_definitions` VALUES (117570, 4285, 32, 'vynechat automatické přidělení');
INSERT INTO `lang_definitions` VALUES (117571, 4286, 32, 'na');
INSERT INTO `lang_definitions` VALUES (117572, 4287, 32, 'Zapnuto');
INSERT INTO `lang_definitions` VALUES (117573, 4288, 32, 'Na ruce');
INSERT INTO `lang_definitions` VALUES (117574, 4289, 32, 'Na objednávce');
INSERT INTO `lang_definitions` VALUES (117575, 4290, 32, 'Na stránce');
INSERT INTO `lang_definitions` VALUES (117576, 4291, 32, 'Primary Business Facility by po nastavení již nemělo být následně měněno. Změna zařízení bude mít vliv na práci s NewCrop e-recepty.');
INSERT INTO `lang_definitions` VALUES (117577, 4292, 32, 'Po změně hesla se musíte znovu přihlásit');
INSERT INTO `lang_definitions` VALUES (117578, 4297, 32, 'Podpora online');
INSERT INTO `lang_definitions` VALUES (117579, 4298, 32, 'Odkaz na podporu online');
INSERT INTO `lang_definitions` VALUES (117580, 4299, 32, 'Pouze aktivní');
INSERT INTO `lang_definitions` VALUES (117581, 4302, 32, 'pouze v případě účtovacího místa');
INSERT INTO `lang_definitions` VALUES (117582, 4303, 32, 'Pouze inaktivní');
INSERT INTO `lang_definitions` VALUES (117583, 4304, 32, 'Pouze mé');
INSERT INTO `lang_definitions` VALUES (117584, 4305, 32, 'Zobrazit pouze kódy pro hlášení diagnóz');
INSERT INTO `lang_definitions` VALUES (117585, 4307, 32, 'Pouze nahrát aktivní presripce');
INSERT INTO `lang_definitions` VALUES (117586, 4309, 32, 'Počátek aktuálních symptomů nebo choroby');
INSERT INTO `lang_definitions` VALUES (117587, 4310, 32, 'Počátek choroby:');
INSERT INTO `lang_definitions` VALUES (117588, 4311, 32, 'Počátek choroby: ');
INSERT INTO `lang_definitions` VALUES (117589, 4312, 32, 'Počátek otoků:');
INSERT INTO `lang_definitions` VALUES (117590, 4313, 32, 'Počátek/datum hospitalizace');
INSERT INTO `lang_definitions` VALUES (117591, 4314, 32, 'Onsite adresa stránky pacientského portálu');
INSERT INTO `lang_definitions` VALUES (117592, 4315, 32, 'A jéje !');
INSERT INTO `lang_definitions` VALUES (117593, 4316, 32, 'Otevřít');
INSERT INTO `lang_definitions` VALUES (117594, 4318, 32, 'Otevřít v novém okně');
INSERT INTO `lang_definitions` VALUES (117595, 4319, 32, 'Otevřít pacienta');
INSERT INTO `lang_definitions` VALUES (117596, 4321, 32, 'Otevřít dnešní návštěvu');
INSERT INTO `lang_definitions` VALUES (117597, 4322, 32, 'Certifikační autorita je již v LibreEHR  konfigurována.');
INSERT INTO `lang_definitions` VALUES (117598, 4324, 32, 'Upgrade databáze LibreEHR');
INSERT INTO `lang_definitions` VALUES (117599, 4325, 32, 'Upgrade databáze LibreEHR pro deidentifikaci');
INSERT INTO `lang_definitions` VALUES (117600, 4326, 32, 'LibreEHR nepoznává příchozí soubor v adresáři contrib. To je s největší pravděpodobností proto, že je třeba konfigurovat release v tabulce supported_external_dataloads v databázi MySQL.');
INSERT INTO `lang_definitions` VALUES (117601, 4327, 32, 'Před vytvořením klientských certifikátů  musí být LibreEHR konfigurováno pro  využití certifikátů');
INSERT INTO `lang_definitions` VALUES (117602, 4328, 32, 'LibreEHR vyžaduje Javascript k ověření uživatele.');
INSERT INTO `lang_definitions` VALUES (117603, 4329, 32, 'Uživatelé LibreEHR');
INSERT INTO `lang_definitions` VALUES (117604, 4330, 32, 'Zahájení');
INSERT INTO `lang_definitions` VALUES (117605, 4332, 32, 'Oční');
INSERT INTO `lang_definitions` VALUES (117606, 4333, 32, 'Možnost');
INSERT INTO `lang_definitions` VALUES (117607, 4334, 32, 'Možnost uložení metody pro úložiště dokumentů.');
INSERT INTO `lang_definitions` VALUES (117608, 4335, 32, 'Možnosti invetury a prodeje produktů');
INSERT INTO `lang_definitions` VALUES (117609, 4336, 32, 'Volitelně');
INSERT INTO `lang_definitions` VALUES (117610, 4337, 32, 'Volitelné jméno kategorie obrázku občanského průkazu pro zobrazení na souhrnné stránce pacienta');
INSERT INTO `lang_definitions` VALUES (117611, 4338, 32, 'Volitelné jméno kategorie fotografií  pro zobrazení na souhrnné stránce pacienta');
INSERT INTO `lang_definitions` VALUES (117612, 4340, 32, 'Volitelný výchozí rozsah pro manuální zadávání výsledků');
INSERT INTO `lang_definitions` VALUES (117613, 4341, 32, 'Volitelné výchozí jednotky pro manuální zadávání výsledků');
INSERT INTO `lang_definitions` VALUES (117614, 4342, 32, 'Volitelné jméno cílového umístění');
INSERT INTO `lang_definitions` VALUES (117615, 4343, 32, 'Volitelné jméno léku . Použijte symbol % jako zástupný znak.');
INSERT INTO `lang_definitions` VALUES (117616, 4344, 32, 'Volitelné jméno nebo kód imunizace. Použijte symbol % jako zástupný znak.');
INSERT INTO `lang_definitions` VALUES (117617, 4345, 32, 'Volitelné informace o této události');
INSERT INTO `lang_definitions` VALUES (117618, 4346, 32, 'Volitelné číslené množství. Použijte symbol % jako zástupný znak.');
INSERT INTO `lang_definitions` VALUES (117619, 4347, 32, 'Volitelné číselné ID pacienta');
INSERT INTO `lang_definitions` VALUES (117620, 4348, 32, 'Volitelný kód procedury');
INSERT INTO `lang_definitions` VALUES (117621, 4349, 32, 'Volitelný kód procedury/služby');
INSERT INTO `lang_definitions` VALUES (117622, 4350, 32, 'Možnosti');
INSERT INTO `lang_definitions` VALUES (117623, 4351, 32, 'Nebo');
INSERT INTO `lang_definitions` VALUES (117624, 4352, 32, 'NEBO');
INSERT INTO `lang_definitions` VALUES (117625, 4353, 32, 'nebo vybrat');
INSERT INTO `lang_definitions` VALUES (117626, 4354, 32, 'nebo kliknout a táhnout pro rychlejší výběr');
INSERT INTO `lang_definitions` VALUES (117627, 4357, 32, 'nebo vyber z inventáře');
INSERT INTO `lang_definitions` VALUES (117628, 4358, 32, 'nebo pro snížení použijte klávesu Shift');
INSERT INTO `lang_definitions` VALUES (117629, 4359, 32, 'Nebo nahrát ERA soubor:');
INSERT INTO `lang_definitions` VALUES (117630, 4360, 32, 'Orálně');
INSERT INTO `lang_definitions` VALUES (117631, 4361, 32, 'orální sliznice klidná, růžová , hrdlo čisté');
INSERT INTO `lang_definitions` VALUES (117632, 4362, 32, 'Pořadí');
INSERT INTO `lang_definitions` VALUES (117633, 4363, 32, 'Typy objednávek a výsledků');
INSERT INTO `lang_definitions` VALUES (117634, 4364, 32, 'Objednávkový katalog');
INSERT INTO `lang_definitions` VALUES (117635, 4365, 32, 'Datum objednávky');
INSERT INTO `lang_definitions` VALUES (117636, 4366, 32, 'Popis objednávky');
INSERT INTO `lang_definitions` VALUES (117637, 4367, 32, 'Objednat z');
INSERT INTO `lang_definitions` VALUES (117638, 4368, 32, 'ID objednávky');
INSERT INTO `lang_definitions` VALUES (117639, 4369, 32, 'Objednávka musí být číslem  mezi 1- 999');
INSERT INTO `lang_definitions` VALUES (117640, 4370, 32, 'Jméno objednávky');
INSERT INTO `lang_definitions` VALUES (117641, 4371, 32, 'Objednávkové priority');
INSERT INTO `lang_definitions` VALUES (117642, 4373, 32, 'Výsledky objednávek');
INSERT INTO `lang_definitions` VALUES (117643, 4374, 32, 'Stav objednávky');
INSERT INTO `lang_definitions` VALUES (117644, 4375, 32, 'Stavy objednávky');
INSERT INTO `lang_definitions` VALUES (117645, 4376, 32, 'Souhrn objednávky');
INSERT INTO `lang_definitions` VALUES (117646, 4377, 32, 'Sledování objednávky');
INSERT INTO `lang_definitions` VALUES (117647, 4378, 32, 'Typ objednávky');
INSERT INTO `lang_definitions` VALUES (117648, 4380, 32, 'Typ Objednávky/Výsledku');
INSERT INTO `lang_definitions` VALUES (117649, 4381, 32, 'Objednáno');
INSERT INTO `lang_definitions` VALUES (117650, 4382, 32, 'Řateno podle');
INSERT INTO `lang_definitions` VALUES (117651, 4383, 32, 'Objednaná procedura');
INSERT INTO `lang_definitions` VALUES (117652, 4384, 32, 'Žadatel');
INSERT INTO `lang_definitions` VALUES (117653, 4385, 32, 'Cesta objednávek');
INSERT INTO `lang_definitions` VALUES (117654, 4386, 32, 'Orgánové poranění');
INSERT INTO `lang_definitions` VALUES (117655, 4387, 32, 'Organizace');
INSERT INTO `lang_definitions` VALUES (117656, 4388, 32, 'Jméno organizace');
INSERT INTO `lang_definitions` VALUES (117657, 4389, 32, 'Jméno organizační jednotky');
INSERT INTO `lang_definitions` VALUES (117658, 4390, 32, 'Organizace');
INSERT INTO `lang_definitions` VALUES (117659, 4391, 32, 'orientovaný x 3');
INSERT INTO `lang_definitions` VALUES (117660, 4392, 32, 'Originální');
INSERT INTO `lang_definitions` VALUES (117661, 4393, 32, 'Originální Checksum');
INSERT INTO `lang_definitions` VALUES (117662, 4396, 32, 'NOSOHLTAN: ');
INSERT INTO `lang_definitions` VALUES (117663, 4397, 32, 'Ortopnoe');
INSERT INTO `lang_definitions` VALUES (117664, 4398, 32, 'OS');
INSERT INTO `lang_definitions` VALUES (117665, 4399, 32, 'Osteoarthrósa');
INSERT INTO `lang_definitions` VALUES (117666, 4401, 32, 'Osteopatie');
INSERT INTO `lang_definitions` VALUES (117667, 4402, 32, 'Jiný');
INSERT INTO `lang_definitions` VALUES (117668, 4403, 32, 'jiný');
INSERT INTO `lang_definitions` VALUES (117669, 4404, 32, 'Jiný (upřesněte)');
INSERT INTO `lang_definitions` VALUES (117670, 4405, 32, 'Jiný - upřesněný');
INSERT INTO `lang_definitions` VALUES (117671, 4408, 32, 'Jiné poranění nebylo jinde specifikováno');
INSERT INTO `lang_definitions` VALUES (117672, 4410, 32, 'jiný měsíc');
INSERT INTO `lang_definitions` VALUES (117673, 4412, 32, 'Jiné poznámky');
INSERT INTO `lang_definitions` VALUES (117674, 4413, 32, 'Jiné související příznaky');
INSERT INTO `lang_definitions` VALUES (117675, 4414, 32, 'Jiné související příznaky:');
INSERT INTO `lang_definitions` VALUES (117676, 4416, 32, 'Jiné poranění související s přepětím/přetížením');
INSERT INTO `lang_definitions` VALUES (117677, 4417, 32, 'Jiný chirurgický');
INSERT INTO `lang_definitions` VALUES (117678, 4420, 32, 'Jiní');
INSERT INTO `lang_definitions` VALUES (117679, 4421, 32, 'jinak zničíte odkazy na existující data.');
INSERT INTO `lang_definitions` VALUES (117680, 4424, 32, 'MIMO');
INSERT INTO `lang_definitions` VALUES (117681, 4425, 32, 'Mimo pracoviště');
INSERT INTO `lang_definitions` VALUES (117682, 4427, 32, 'Závěr');
INSERT INTO `lang_definitions` VALUES (117683, 4428, 32, 'Outlook');
INSERT INTO `lang_definitions` VALUES (117684, 4429, 32, 'Typ výstupu');
INSERT INTO `lang_definitions` VALUES (117685, 4430, 32, 'Propuštění - celkový stav');
INSERT INTO `lang_definitions` VALUES (117686, 4432, 32, 'Nadužívání');
INSERT INTO `lang_definitions` VALUES (117687, 4433, 32, 'Přehled');
INSERT INTO `lang_definitions` VALUES (117688, 4434, 32, 'Nadváha');
INSERT INTO `lang_definitions` VALUES (117689, 4435, 32, 'Přepsat HIPPA volby');
INSERT INTO `lang_definitions` VALUES (117690, 4437, 32, 'Saturace O2');
INSERT INTO `lang_definitions` VALUES (117691, 4438, 32, 'oz');
INSERT INTO `lang_definitions` VALUES (117692, 4439, 32, 'P');
INSERT INTO `lang_definitions` VALUES (117693, 4441, 32, 'odpoledne');
INSERT INTO `lang_definitions` VALUES (117694, 4444, 32, 'Pediatrický');
INSERT INTO `lang_definitions` VALUES (117695, 4445, 32, 'Strana');
INSERT INTO `lang_definitions` VALUES (117696, 4446, 32, 'Stránky');
INSERT INTO `lang_definitions` VALUES (117697, 4447, 32, 'Zaplaceno');
INSERT INTO `lang_definitions` VALUES (117698, 4449, 32, 'Zaplaceno');
INSERT INTO `lang_definitions` VALUES (117699, 4450, 32, 'Placeno přes');
INSERT INTO `lang_definitions` VALUES (117700, 4451, 32, 'Bolest');
INSERT INTO `lang_definitions` VALUES (117701, 4453, 32, 'Palpitace');
INSERT INTO `lang_definitions` VALUES (117702, 4455, 32, 'Mázek');
INSERT INTO `lang_definitions` VALUES (117703, 4456, 32, 'Papír');
INSERT INTO `lang_definitions` VALUES (117704, 4457, 32, 'Velikost papíru');
INSERT INTO `lang_definitions` VALUES (117705, 4458, 32, 'Paralýza');
INSERT INTO `lang_definitions` VALUES (117706, 4463, 32, 'Partner');
INSERT INTO `lang_definitions` VALUES (117707, 4464, 32, 'Jméno partnera');
INSERT INTO `lang_definitions` VALUES (117708, 4467, 32, 'Heslo');
INSERT INTO `lang_definitions` VALUES (117709, 4468, 32, 'Heslo zašifrovaného dokumentu');
INSERT INTO `lang_definitions` VALUES (117710, 4469, 32, 'Předchozí pacienti');
INSERT INTO `lang_definitions` VALUES (117711, 4472, 32, 'Heslo');
INSERT INTO `lang_definitions` VALUES (117712, 4473, 32, 'Změna hesla');
INSERT INTO `lang_definitions` VALUES (117713, 4474, 32, 'Změna hesla úspěšná');
INSERT INTO `lang_definitions` VALUES (117714, 4475, 32, 'Změna hesla úspěšná');
INSERT INTO `lang_definitions` VALUES (117715, 4476, 32, 'Heslo nesplňuje minimální požadavky. Mělo by obsahovat alespoň tři ze čtyř následujících položek: číslo, malé písmeno, velké písmeno, speciální znak (ne písmeno nebo číslo).');
INSERT INTO `lang_definitions` VALUES (117716, 4477, 32, 'Doba platnosti hesla');
INSERT INTO `lang_definitions` VALUES (117717, 4479, 32, 'Heslo pro telefonní bránu. Automatizované VOIP služby poskytované Maviq. Prosím, navštivte http://signup.maviq.com pro více informací.');
INSERT INTO `lang_definitions` VALUES (117718, 4480, 32, 'Heslo pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (117719, 4481, 32, 'Heslo pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (117720, 4482, 32, 'Heslo výše uvedeného uživatele');
INSERT INTO `lang_definitions` VALUES (117721, 4483, 32, 'Bezpečností nastavení hesla bylo právě upgradováno');
INSERT INTO `lang_definitions` VALUES (117722, 4484, 32, 'Heslo pro připojení ke CouchDB');
INSERT INTO `lang_definitions` VALUES (117723, 4485, 32, 'Heslo je příliš krátké. Požadováno minimálně 8 znaků.');
INSERT INTO `lang_definitions` VALUES (117724, 4486, 32, 'Heslo:');
INSERT INTO `lang_definitions` VALUES (117725, 4487, 32, 'Heslo nesouhlasí');
INSERT INTO `lang_definitions` VALUES (117726, 4488, 32, 'Poslední vyšetření');
INSERT INTO `lang_definitions` VALUES (117727, 4489, 32, 'Widget pro zobrazení posledních vyšetření');
INSERT INTO `lang_definitions` VALUES (117728, 4494, 32, 'Seznam posledních vyšetření');
INSERT INTO `lang_definitions` VALUES (117729, 4495, 32, 'Poslední vyšetření');
INSERT INTO `lang_definitions` VALUES (117730, 4496, 32, 'Poslední vyšetření a dokumenty');
INSERT INTO `lang_definitions` VALUES (117731, 4497, 32, 'Poslední vyšetření pro');
INSERT INTO `lang_definitions` VALUES (117732, 4498, 32, 'Vložit HL7 data');
INSERT INTO `lang_definitions` VALUES (117733, 4499, 32, 'Vložit data k importu do textové oblasti níže');
INSERT INTO `lang_definitions` VALUES (117734, 4502, 32, 'Záplata');
INSERT INTO `lang_definitions` VALUES (117735, 4508, 32, 'Cesta pro zálohu logu událostí');
INSERT INTO `lang_definitions` VALUES (117736, 4509, 32, 'Cesta k souboru CA certifikátu');
INSERT INTO `lang_definitions` VALUES (117737, 4510, 32, 'Cesta k souboru CA klíče');
INSERT INTO `lang_definitions` VALUES (117738, 4511, 32, 'Cesta k MySQL spustitelným souborům');
INSERT INTO `lang_definitions` VALUES (117739, 4512, 32, 'Cesta k Perl spustitelným souborům');
INSERT INTO `lang_definitions` VALUES (117740, 4513, 32, 'Cesta k dočasným souborům');
INSERT INTO `lang_definitions` VALUES (117741, 4514, 32, 'Pacient');
INSERT INTO `lang_definitions` VALUES (117742, 4515, 32, 'pacient');
INSERT INTO `lang_definitions` VALUES (117743, 4516, 32, 'PACIENT');
INSERT INTO `lang_definitions` VALUES (117744, 4517, 32, 'Adresa pacienta');
INSERT INTO `lang_definitions` VALUES (117745, 4518, 32, 'Chybí adresa pacienta');
INSERT INTO `lang_definitions` VALUES (117746, 4521, 32, 'Alergie pacienta');
INSERT INTO `lang_definitions` VALUES (117747, 4522, 32, 'Alergie pacienta');
INSERT INTO `lang_definitions` VALUES (117748, 4523, 32, 'Návštěva pacienta');
INSERT INTO `lang_definitions` VALUES (117749, 4528, 32, 'ID grafu pacienta');
INSERT INTO `lang_definitions` VALUES (117750, 4531, 32, 'Město bydliště pacienta');
INSERT INTO `lang_definitions` VALUES (117751, 4532, 32, 'Město bydliště pacienta chybí');
INSERT INTO `lang_definitions` VALUES (117752, 4533, 32, 'Komunikace pacienta odeslána');
INSERT INTO `lang_definitions` VALUES (117753, 4534, 32, 'Komunikace pacienta odeslána');
INSERT INTO `lang_definitions` VALUES (117754, 4535, 32, 'Země pobytu pacienta');
INSERT INTO `lang_definitions` VALUES (117755, 4536, 32, 'Země pobytu pacienta chybí. Současně nemáte nastavenou výchozí zemi pacienta v globálním nastavení.');
INSERT INTO `lang_definitions` VALUES (117756, 4539, 32, 'Data pacienta');
INSERT INTO `lang_definitions` VALUES (117757, 4541, 32, 'Datum narození pacienta chybí');
INSERT INTO `lang_definitions` VALUES (117758, 4542, 32, 'Detaily pacienta');
INSERT INTO `lang_definitions` VALUES (117759, 4543, 32, 'Dat. nar. pacienta');
INSERT INTO `lang_definitions` VALUES (117760, 4544, 32, 'Dokument pacienta');
INSERT INTO `lang_definitions` VALUES (117761, 4545, 32, 'Edukace pacienta');
INSERT INTO `lang_definitions` VALUES (117762, 4546, 32, 'Materiály pro edukaci pacienta');
INSERT INTO `lang_definitions` VALUES (117763, 4547, 32, 'Vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (117764, 4548, 32, 'Formulář vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (117765, 4549, 32, 'Vyšetření pacienta');
INSERT INTO `lang_definitions` VALUES (117766, 4550, 32, 'Vyhledávání pacientů');
INSERT INTO `lang_definitions` VALUES (117767, 4551, 32, 'Jméno pacienta');
INSERT INTO `lang_definitions` VALUES (117768, 4553, 32, 'Jméno pacienta chybí');
INSERT INTO `lang_definitions` VALUES (117769, 4558, 32, 'Pohlaví pacienta');
INSERT INTO `lang_definitions` VALUES (117770, 4559, 32, 'Pohlaví pacienta chybí');
INSERT INTO `lang_definitions` VALUES (117771, 4560, 32, 'Pacient nemá oprávnění pro pacientský portál');
INSERT INTO `lang_definitions` VALUES (117772, 4561, 32, 'Anamnéza pacienta');
INSERT INTO `lang_definitions` VALUES (117773, 4562, 32, 'Anamnéza / Životní styl pacienta');
INSERT INTO `lang_definitions` VALUES (117774, 4563, 32, 'Pacient - Telefon domů');
INSERT INTO `lang_definitions` VALUES (117775, 4564, 32, 'ID pacienta');
INSERT INTO `lang_definitions` VALUES (117776, 4565, 32, 'ID pacienta');
INSERT INTO `lang_definitions` VALUES (117777, 4566, 32, 'Občanský průkaz pacienta');
INSERT INTO `lang_definitions` VALUES (117778, 4567, 32, 'Název kategorie ID pacienta');
INSERT INTO `lang_definitions` VALUES (117779, 4568, 32, 'Imunizace pacienta');
INSERT INTO `lang_definitions` VALUES (117780, 4569, 32, 'Informace pacientovi');
INSERT INTO `lang_definitions` VALUES (117781, 4570, 32, 'Instrukce pacientovi');
INSERT INTO `lang_definitions` VALUES (117782, 4573, 32, 'Problémy pacienta');
INSERT INTO `lang_definitions` VALUES (117783, 4574, 32, 'Typ štítku pacienta');
INSERT INTO `lang_definitions` VALUES (117784, 4575, 32, 'Příjmení pacienta');
INSERT INTO `lang_definitions` VALUES (117785, 4577, 32, 'Příjmení pacienta chybí');
INSERT INTO `lang_definitions` VALUES (117786, 4581, 32, 'Seznam pacientů');
INSERT INTO `lang_definitions` VALUES (117787, 4582, 32, 'Sloupce seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (117788, 4584, 32, 'Nové okno seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (117789, 4585, 32, 'Velikost stránky seznamu pacientů');
INSERT INTO `lang_definitions` VALUES (117790, 4586, 32, 'Chyba vyhledávání pacienta');
INSERT INTO `lang_definitions` VALUES (117791, 4587, 32, 'Zdravotní problémy pacienta');
INSERT INTO `lang_definitions` VALUES (117792, 4588, 32, 'Medikace pacienta');
INSERT INTO `lang_definitions` VALUES (117793, 4589, 32, 'Jméno pacienta');
INSERT INTO `lang_definitions` VALUES (117794, 4590, 32, 'Jméno a adresa pacienta');
INSERT INTO `lang_definitions` VALUES (117795, 4593, 32, 'Jméno pacienta je povinné');
INSERT INTO `lang_definitions` VALUES (117796, 4595, 32, 'Poznámka k pacientovi');
INSERT INTO `lang_definitions` VALUES (117797, 4596, 32, 'Typ poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (117798, 4597, 32, 'Poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (117799, 4598, 32, 'Poznámky k pacientovi ( volitelně právo zapisovat, přidat)');
INSERT INTO `lang_definitions` VALUES (117800, 4599, 32, 'Číslo pacienta');
INSERT INTO `lang_definitions` VALUES (117801, 4600, 32, 'Platba pacienta');
INSERT INTO `lang_definitions` VALUES (117802, 4602, 32, 'Název kategorie fotografie pacienta');
INSERT INTO `lang_definitions` VALUES (117803, 4603, 32, 'Pacientský portál');
INSERT INTO `lang_definitions` VALUES (117804, 4604, 32, 'Problémy připojení k pacientskému portálu');
INSERT INTO `lang_definitions` VALUES (117805, 4605, 32, 'Pacientský portál je vypnutý');
INSERT INTO `lang_definitions` VALUES (117806, 4606, 32, 'Přihlášení k pacientskému portálu');
INSERT INTO `lang_definitions` VALUES (117807, 4607, 32, 'Webová adresa pacientského portálu');
INSERT INTO `lang_definitions` VALUES (117808, 4608, 32, 'Tištěná zpráva pacienta');
INSERT INTO `lang_definitions` VALUES (117809, 4609, 32, 'Zpráva se záznamy pacienta');
INSERT INTO `lang_definitions` VALUES (117810, 4610, 32, 'Požadavek na záznamy pacienta');
INSERT INTO `lang_definitions` VALUES (117811, 4611, 32, 'Požadavek na záznamy pacienta');
INSERT INTO `lang_definitions` VALUES (117812, 4613, 32, 'Pacientská připomínka');
INSERT INTO `lang_definitions` VALUES (117813, 4614, 32, 'Dávkové zpracování pacientských připomínek');
INSERT INTO `lang_definitions` VALUES (117814, 4615, 32, 'Priorita tvorby pacientských připomínek');
INSERT INTO `lang_definitions` VALUES (117815, 4616, 32, 'Pravidla pacientských připomínek');
INSERT INTO `lang_definitions` VALUES (117816, 4617, 32, 'E-mail odesílatele pro upomínky pacientům');
INSERT INTO `lang_definitions` VALUES (117817, 4618, 32, 'Jméno odesílatele pro upomínky pacientům');
INSERT INTO `lang_definitions` VALUES (117818, 4619, 32, 'Pacientské připomínky');
INSERT INTO `lang_definitions` VALUES (117819, 4620, 32, 'Zpráva pacienta');
INSERT INTO `lang_definitions` VALUES (117820, 4621, 32, 'Požadavek pacienta');
INSERT INTO `lang_definitions` VALUES (117821, 4622, 32, 'Lékařská zpráva vyžádaná pacientem');
INSERT INTO `lang_definitions` VALUES (117822, 4623, 32, 'Výsledky pacienta');
INSERT INTO `lang_definitions` VALUES (117823, 4624, 32, 'Styl vyhledávání  výsedků pacienta');
INSERT INTO `lang_definitions` VALUES (117824, 4625, 32, 'Obrazovka pro Hledání/Přidání paceinta');
INSERT INTO `lang_definitions` VALUES (117825, 4626, 32, 'Nastavení pacienta');
INSERT INTO `lang_definitions` VALUES (117826, 4627, 32, 'Stav pacienta');
INSERT INTO `lang_definitions` VALUES (117827, 4629, 32, 'Souhrn pacienta');
INSERT INTO `lang_definitions` VALUES (117828, 4630, 32, 'Transakce pacienta');
INSERT INTO `lang_definitions` VALUES (117829, 4632, 32, 'Pacienti v databázi odpovídající zadaným demografickým údajům.');
INSERT INTO `lang_definitions` VALUES (117830, 4633, 32, 'Pacient/Klient');
INSERT INTO `lang_definitions` VALUES (117831, 4634, 32, 'Pacient:');
INSERT INTO `lang_definitions` VALUES (117832, 4635, 32, 'PacientID');
INSERT INTO `lang_definitions` VALUES (117833, 4636, 32, 'Pacienti');
INSERT INTO `lang_definitions` VALUES (117834, 4637, 32, 'Pacienti zpracováni');
INSERT INTO `lang_definitions` VALUES (117835, 4640, 32, 'Datum platby:');
INSERT INTO `lang_definitions` VALUES (117836, 4641, 32, 'Stav platby');
INSERT INTO `lang_definitions` VALUES (117837, 4643, 32, 'Plátce');
INSERT INTO `lang_definitions` VALUES (117838, 4644, 32, 'Typ plátce');
INSERT INTO `lang_definitions` VALUES (117839, 4647, 32, 'Platba');
INSERT INTO `lang_definitions` VALUES (117840, 4648, 32, 'platba');
INSERT INTO `lang_definitions` VALUES (117841, 4668, 32, 'proc. % řádků');
INSERT INTO `lang_definitions` VALUES (117842, 4669, 32, 'PDF');
INSERT INTO `lang_definitions` VALUES (117843, 4670, 32, 'Stažení vybraných prohlášení ve formátu PDF');
INSERT INTO `lang_definitions` VALUES (117844, 4671, 32, 'Jazyk PDF');
INSERT INTO `lang_definitions` VALUES (117845, 4672, 32, 'Pánev a hýždě');
INSERT INTO `lang_definitions` VALUES (117846, 4673, 32, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (117847, 4674, 32, 'Nevyřízený/á');
INSERT INTO `lang_definitions` VALUES (117848, 4675, 32, 'Nevyřízená schválení');
INSERT INTO `lang_definitions` VALUES (117849, 4677, 32, 'Zbývající vyšetření');
INSERT INTO `lang_definitions` VALUES (117850, 4679, 32, 'Nevyřízené objednávky');
INSERT INTO `lang_definitions` VALUES (117851, 4685, 32, 'Vředová choroba gastroduodenální');
INSERT INTO `lang_definitions` VALUES (117852, 4686, 32, 'Za vyšetření');
INSERT INTO `lang_definitions` VALUES (117853, 4687, 32, 'za minutu');
INSERT INTO `lang_definitions` VALUES (117854, 4688, 32, 'Intransaálně');
INSERT INTO `lang_definitions` VALUES (117855, 4689, 32, 'intranasálně');
INSERT INTO `lang_definitions` VALUES (117856, 4690, 32, 'Perorálně');
INSERT INTO `lang_definitions` VALUES (117857, 4691, 32, 'perorálně');
INSERT INTO `lang_definitions` VALUES (117858, 4692, 32, 'Per rectum');
INSERT INTO `lang_definitions` VALUES (117859, 4693, 32, 'per rectum');
INSERT INTO `lang_definitions` VALUES (117860, 4694, 32, 'Procento');
INSERT INTO `lang_definitions` VALUES (117861, 4697, 32, 'Percentil');
INSERT INTO `lang_definitions` VALUES (117862, 4698, 32, 'Perforace vpravo');
INSERT INTO `lang_definitions` VALUES (117863, 4699, 32, 'Vyhledat');
INSERT INTO `lang_definitions` VALUES (117864, 4700, 32, 'Provést tuto akci');
INSERT INTO `lang_definitions` VALUES (117865, 4703, 32, 'Vyšetřující laboratoř');
INSERT INTO `lang_definitions` VALUES (117866, 4705, 32, 'Tečka');
INSERT INTO `lang_definitions` VALUES (117867, 4706, 32, 'Časové období během kterého se lze přihlásit s expirovaným heslem');
INSERT INTO `lang_definitions` VALUES (117868, 4707, 32, 'Peroperační péče');
INSERT INTO `lang_definitions` VALUES (117869, 4708, 32, 'Periferní');
INSERT INTO `lang_definitions` VALUES (117870, 4712, 32, 'Osoba');
INSERT INTO `lang_definitions` VALUES (117871, 4713, 32, 'Personalizace');
INSERT INTO `lang_definitions` VALUES (117872, 4717, 32, 'Lékárny');
INSERT INTO `lang_definitions` VALUES (117873, 4718, 32, 'Lékárna');
INSERT INTO `lang_definitions` VALUES (117874, 4720, 32, 'Pneumothorax');
INSERT INTO `lang_definitions` VALUES (117875, 4721, 32, 'phiMail umožňuje odesáílání CCD');
INSERT INTO `lang_definitions` VALUES (117876, 4722, 32, 'phiMail umožňuje odesáílání CCR');
INSERT INTO `lang_definitions` VALUES (117877, 4723, 32, 'Intreval kontroly zpráv phiMailu v minutách');
INSERT INTO `lang_definitions` VALUES (117878, 4724, 32, 'Uživatel notifikací phiMailu');
INSERT INTO `lang_definitions` VALUES (117879, 4725, 32, 'heslo pro phiMail');
INSERT INTO `lang_definitions` VALUES (117880, 4726, 32, 'adresa serveru phiMailu');
INSERT INTO `lang_definitions` VALUES (117881, 4727, 32, 'uživatelské jméno phiServeru');
INSERT INTO `lang_definitions` VALUES (117882, 4729, 32, 'Telefon');
INSERT INTO `lang_definitions` VALUES (117883, 4730, 32, 'Seznam telefonních hovorů');
INSERT INTO `lang_definitions` VALUES (117884, 4733, 32, 'Heslo pro telefonní bránu');
INSERT INTO `lang_definitions` VALUES (117885, 4734, 32, 'URL telefonní brány');
INSERT INTO `lang_definitions` VALUES (117886, 4735, 32, 'Uživatelské jméno telefonní brány');
INSERT INTO `lang_definitions` VALUES (117887, 4736, 32, 'Telefon domů');
INSERT INTO `lang_definitions` VALUES (117888, 4737, 32, 'Hodiny telefonických upozornění');
INSERT INTO `lang_definitions` VALUES (117889, 4738, 32, 'Telefonní číslo');
INSERT INTO `lang_definitions` VALUES (117890, 4739, 32, 'Telefonní číslo');
INSERT INTO `lang_definitions` VALUES (117891, 4740, 32, 'Fotofobie');
INSERT INTO `lang_definitions` VALUES (117892, 4741, 32, 'Fotografie');
INSERT INTO `lang_definitions` VALUES (117893, 4742, 32, 'PHP komprimováno');
INSERT INTO `lang_definitions` VALUES (117894, 4743, 32, 'Kód PHP CURL musí být na vašem serveru zapnut');
INSERT INTO `lang_definitions` VALUES (117895, 4744, 32, 'PHP extrahováno');
INSERT INTO `lang_definitions` VALUES (117896, 4745, 32, 'kontrola přístupu php-GACL je vypnuta');
INSERT INTO `lang_definitions` VALUES (117897, 4746, 32, 'PHP-gacl není instalováno');
INSERT INTO `lang_definitions` VALUES (117898, 4747, 32, 'Fyzikální vyšetření');
INSERT INTO `lang_definitions` VALUES (117899, 4749, 32, 'Požadavek lékaře');
INSERT INTO `lang_definitions` VALUES (117900, 4750, 32, 'Podpis lékaře');
INSERT INTO `lang_definitions` VALUES (117901, 4752, 32, 'Lékaři');
INSERT INTO `lang_definitions` VALUES (117902, 4753, 32, 'vybrat');
INSERT INTO `lang_definitions` VALUES (117903, 4754, 32, 'vybrat');
INSERT INTO `lang_definitions` VALUES (117904, 4755, 32, 'Vybrat CSS téma');
INSERT INTO `lang_definitions` VALUES (117905, 4757, 32, 'Zánětlivé onemocnění v oblasti pánve');
INSERT INTO `lang_definitions` VALUES (117906, 4758, 32, 'Velikost tablety');
INSERT INTO `lang_definitions` VALUES (117907, 4759, 32, 'Tablety');
INSERT INTO `lang_definitions` VALUES (117908, 4760, 32, 'Pro instalaci umístěte databázový .zip soubor v následujícím adresáři');
INSERT INTO `lang_definitions` VALUES (117909, 4761, 32, 'Přesuňte stažený .zip soubor ICD10 do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (117910, 4762, 32, 'Přesuňte stažený .zip soubor ICD9 do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (117911, 4763, 32, 'Přesuňte stažený .zip soubor RxNorm do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (117912, 4764, 32, 'Přesuňte stažený .zip soubor Snomed do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (117913, 4767, 32, 'Prostý text');
INSERT INTO `lang_definitions` VALUES (117914, 4768, 32, 'Plán');
INSERT INTO `lang_definitions` VALUES (117915, 4771, 32, 'Jméno plánu');
INSERT INTO `lang_definitions` VALUES (117916, 4779, 32, 'Plán:');
INSERT INTO `lang_definitions` VALUES (117917, 4782, 32, 'Plány:');
INSERT INTO `lang_definitions` VALUES (117918, 4784, 32, 'Hráč');
INSERT INTO `lang_definitions` VALUES (117919, 4785, 32, 'Herní pozice');
INSERT INTO `lang_definitions` VALUES (117920, 4786, 32, 'Prosím volejte pokud je něktará výše uvedená informace neplatná');
INSERT INTO `lang_definitions` VALUES (117921, 4787, 32, 'Prosím změňte  heslo.');
INSERT INTO `lang_definitions` VALUES (117922, 4788, 32, 'Prosím  vyberte soubor');
INSERT INTO `lang_definitions` VALUES (117923, 4789, 32, 'Prosím zvolte pacienta');
INSERT INTO `lang_definitions` VALUES (117924, 4790, 32, 'Prosím proveďte platný výběr ze seznamu');
INSERT INTO `lang_definitions` VALUES (117925, 4791, 32, 'Prosím proveďte platný výběr.');
INSERT INTO `lang_definitions` VALUES (117926, 4792, 32, 'Prosím vyberte hodnotu pro');
INSERT INTO `lang_definitions` VALUES (117927, 4793, 32, 'Prosím vyberte rozsah období a klikněte na Obnovit pro zobrazení výsledků.');
INSERT INTO `lang_definitions` VALUES (117928, 4794, 32, 'Prosím vyberte správně formátovaný EDI-271 soubor.');
INSERT INTO `lang_definitions` VALUES (117929, 4795, 32, 'Klikněte na Stáhnout pro stažení deidentifikovaných dat');
INSERT INTO `lang_definitions` VALUES (117930, 4796, 32, 'Klikněte na Stáhnout pro stažení reidentifikovaných dat');
INSERT INTO `lang_definitions` VALUES (117931, 4797, 32, 'Prosím zavřete okno.');
INSERT INTO `lang_definitions` VALUES (117932, 4798, 32, 'Prosím porovnejte nové jméno');
INSERT INTO `lang_definitions` VALUES (117933, 4800, 32, 'Prosím opravte hodnoty před aplikováním změn!');
INSERT INTO `lang_definitions` VALUES (117934, 4801, 32, 'Prosím vytvořte následující adresář před dalším krokem');
INSERT INTO `lang_definitions` VALUES (117935, 4804, 32, 'Prosím nepoužívetje tlačítko pro aktualizaci  nebo obnovení ve vašem prohlížeči pro  tuto stránku před uplynutím minimálně 10 minut.');
INSERT INTO `lang_definitions` VALUES (117936, 4805, 32, 'PROSÍM ZAPNĚTE CURL ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (117937, 4806, 32, 'PROSÍM ZAPNĚTE CURL ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (117938, 4807, 32, 'PROSÍM ZAPNĚTE SOAP ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (117939, 4808, 32, 'PROSÍM ZAPNĚTE XML ROZŠÍŘENÍ');
INSERT INTO `lang_definitions` VALUES (117940, 4810, 32, 'Prosím zadejte datum.');
INSERT INTO `lang_definitions` VALUES (117941, 4812, 32, 'Prosím zadejte zprávu');
INSERT INTO `lang_definitions` VALUES (117942, 4813, 32, 'Prosím zadejte peněžní obnos za použití pouze znaků čísel a desetinnmého místa');
INSERT INTO `lang_definitions` VALUES (117943, 4814, 32, 'Prosím zadejte nové heslo');
INSERT INTO `lang_definitions` VALUES (117944, 4815, 32, 'Prosím zadejte název!');
INSERT INTO `lang_definitions` VALUES (117945, 4816, 32, 'Prosím zadejte platnou Direct Adresu výše.');
INSERT INTO `lang_definitions` VALUES (117946, 4817, 32, 'Prosím zadejte alespoň jméno položky');
INSERT INTO `lang_definitions` VALUES (117947, 4819, 32, 'Prosím zadejte platný reidentifikační kód');
INSERT INTO `lang_definitions` VALUES (117948, 4820, 32, 'Prosím zadejte koncové datum vyšší než datum počáteční !');
INSERT INTO `lang_definitions` VALUES (117949, 4821, 32, 'Prosím zadejte nový řetězec k vyhledávání');
INSERT INTO `lang_definitions` VALUES (117950, 4822, 32, 'Prosím zadejte platný reidentifikační kód');
INSERT INTO `lang_definitions` VALUES (117951, 4823, 32, 'Prosím zadejte heslo');
INSERT INTO `lang_definitions` VALUES (117952, 4824, 32, 'Prosím vyplňte číslo ověření');
INSERT INTO `lang_definitions` VALUES (117953, 4826, 32, 'Prosím vyplňte datum');
INSERT INTO `lang_definitions` VALUES (117954, 4827, 32, 'Prosím vyplňte platební obnos');
INSERT INTO `lang_definitions` VALUES (117955, 4828, 32, 'Prosím vyplňte kategorii platby');
INSERT INTO `lang_definitions` VALUES (117956, 4831, 32, 'Prosím vyplňte je  před pokračováním.');
INSERT INTO `lang_definitions` VALUES (117957, 4832, 32, 'Prosím označte důvod návštěvy');
INSERT INTO `lang_definitions` VALUES (117958, 4833, 32, 'Prosím vložte výše vyhledávací kritéria a klikem na Odeslat zahajte generování zprávy');
INSERT INTO `lang_definitions` VALUES (117959, 4834, 32, 'Prosím vložte výše vyhledávací kritéria a klikem na Odeslat přejděte k prohlížení výsledků.');
INSERT INTO `lang_definitions` VALUES (117960, 4835, 32, 'Prosím vložte výše vyhledávací kritéria a klikem na Odeslat přejděte k prohlížení výsledků (Výsledky budou zobrazeny ve vyskakovacím okně).');
INSERT INTO `lang_definitions` VALUES (117961, 4836, 32, 'Prosím znovu se přihlaste.');
INSERT INTO `lang_definitions` VALUES (117962, 4837, 32, 'Vezměte prosím na vědomí, že generování vyúčtování je složitý proces a může trvat velmi dlouho (až několik minut). Váš webový prohlížeč se může zdát neaktivní.');
INSERT INTO `lang_definitions` VALUES (117963, 4838, 32, 'Vezměte na vědomí , že konstanty jsou citlivé na velikost písmen a je povolen libovolný řetězec');
INSERT INTO `lang_definitions` VALUES (117964, 4839, 32, 'Prosím použijte pouze písmena');
INSERT INTO `lang_definitions` VALUES (117965, 4840, 32, 'Prosím použijte pouze písmena bez mezer');
INSERT INTO `lang_definitions` VALUES (117966, 4841, 32, 'Prosím zaplaťte tento obnos');
INSERT INTO `lang_definitions` VALUES (117967, 4842, 32, 'Prosím přesuňte instalační soubory do následujícího adresáře');
INSERT INTO `lang_definitions` VALUES (117968, 4844, 32, 'Resetujte heslo');
INSERT INTO `lang_definitions` VALUES (117969, 4845, 32, 'Restartujte Apache server před zahájením deidentifikace.');
INSERT INTO `lang_definitions` VALUES (117970, 4846, 32, 'Podívejte se do přiloženého PDF');
INSERT INTO `lang_definitions` VALUES (117971, 4847, 32, 'Prosím vyberte');
INSERT INTO `lang_definitions` VALUES (117972, 4849, 32, 'Prosím vyberte jazyk');
INSERT INTO `lang_definitions` VALUES (117973, 4850, 32, 'Prosím vyberte pacienta');
INSERT INTO `lang_definitions` VALUES (117974, 4853, 32, 'Prosím vyberte poskytovatele výkonu');
INSERT INTO `lang_definitions` VALUES (117975, 4854, 32, 'Prosím vyberte příjemce');
INSERT INTO `lang_definitions` VALUES (117976, 4855, 32, 'Prosím vyberte počáteční a koncové datum');
INSERT INTO `lang_definitions` VALUES (117977, 4856, 32, 'Prosím vyberte platného příjemce');
INSERT INTO `lang_definitions` VALUES (117978, 4857, 32, 'Prosím vyberte aktivní skupinu');
INSERT INTO `lang_definitions` VALUES (117979, 4858, 32, 'Prosím vyberte upřesňující důvod pro kód ');
INSERT INTO `lang_definitions` VALUES (117980, 4859, 32, 'Prosím vyberte událost');
INSERT INTO `lang_definitions` VALUES (117981, 4860, 32, 'Prosím vyberte libovolnou volbu vyhledávání.');
INSERT INTO `lang_definitions` VALUES (117982, 4863, 32, 'Prosím vyberte minimálně jednu preskripci');
INSERT INTO `lang_definitions` VALUES (117983, 4864, 32, 'Prosím vyberte vyšetření');
INSERT INTO `lang_definitions` VALUES (117984, 4865, 32, 'Prosím vyberte požadované stranky ke kopírování nebo přeposlání:');
INSERT INTO `lang_definitions` VALUES (117985, 4866, 32, 'Prosím vyberte platební metodu');
INSERT INTO `lang_definitions` VALUES (117986, 4867, 32, 'Prosím vyberte typ platby.');
INSERT INTO `lang_definitions` VALUES (117987, 4868, 32, 'Prosím zvolte kategorii návštěvy');
INSERT INTO `lang_definitions` VALUES (117988, 4870, 32, 'Prosím znastavte');
INSERT INTO `lang_definitions` VALUES (117989, 4871, 32, 'Prosím nastavte proměnnou de-identification_config zpět na 0');
INSERT INTO `lang_definitions` VALUES (117990, 4873, 32, 'Prosím zahajte nový proces deidentifikace');
INSERT INTO `lang_definitions` VALUES (117991, 4874, 32, 'Prosím upgradujte LibreEHR databázi pro zahrnutí deidentifikačních procedur, funkcí a tabulek.');
INSERT INTO `lang_definitions` VALUES (117992, 4875, 32, 'Prosím koukněte do logu chyb deidentifikace pro více podrobností');
INSERT INTO `lang_definitions` VALUES (117993, 4876, 32, 'Prosím přejděte za chvíli na na obrazovku deidentifikace');
INSERT INTO `lang_definitions` VALUES (117994, 4877, 32, 'Prosím přejděte za chvíli na obrazovku reidentifikace');
INSERT INTO `lang_definitions` VALUES (117995, 4878, 32, 'Prosím přejděte za chvíli na obrazovku');
INSERT INTO `lang_definitions` VALUES (117996, 4890, 32, 'Pneumokoková vakcína');
INSERT INTO `lang_definitions` VALUES (117997, 4891, 32, 'Pneumonie - vakcinace');
INSERT INTO `lang_definitions` VALUES (117998, 4892, 32, 'Pneumonie - vakcinančí status pro starší dospělé');
INSERT INTO `lang_definitions` VALUES (117999, 4893, 32, 'Pneumonie - vakcinančí status pro starší dospělé (CQM)');
INSERT INTO `lang_definitions` VALUES (118000, 4894, 32, 'Podiatrický');
INSERT INTO `lang_definitions` VALUES (118001, 4895, 32, 'Podiatrie');
INSERT INTO `lang_definitions` VALUES (118002, 4901, 32, 'Polydipsie');
INSERT INTO `lang_definitions` VALUES (118003, 4902, 32, 'Polypy');
INSERT INTO `lang_definitions` VALUES (118004, 4903, 32, 'Polyurie');
INSERT INTO `lang_definitions` VALUES (118005, 4904, 32, 'Nechutenství');
INSERT INTO `lang_definitions` VALUES (118006, 4905, 32, 'Oběhová nedostatečnost');
INSERT INTO `lang_definitions` VALUES (118007, 4906, 32, 'Hypacusis');
INSERT INTO `lang_definitions` VALUES (118008, 4907, 32, 'K prohlížení reportu musí být zapnuta vyskakovací okna');
INSERT INTO `lang_definitions` VALUES (118009, 4909, 32, 'Vyskakovací okna');
INSERT INTO `lang_definitions` VALUES (118010, 4910, 32, 'Portál');
INSERT INTO `lang_definitions` VALUES (118011, 4911, 32, 'Aktivity portálu');
INSERT INTO `lang_definitions` VALUES (118012, 4912, 32, 'ID portálu');
INSERT INTO `lang_definitions` VALUES (118013, 4913, 32, 'Portál ID  neodpovídá  požadavku z protálu !');
INSERT INTO `lang_definitions` VALUES (118014, 4914, 32, 'Chybí heslo pro portál');
INSERT INTO `lang_definitions` VALUES (118015, 4915, 32, 'Portálové požadavky');
INSERT INTO `lang_definitions` VALUES (118016, 4916, 32, 'Portrét');
INSERT INTO `lang_definitions` VALUES (118017, 4921, 32, 'Pozice');
INSERT INTO `lang_definitions` VALUES (118018, 4922, 32, 'Pozitivní');
INSERT INTO `lang_definitions` VALUES (118019, 4926, 32, 'Zadní rýma ( Post nasal drip )');
INSERT INTO `lang_definitions` VALUES (118020, 4928, 32, 'Pooperační');
INSERT INTO `lang_definitions` VALUES (118021, 4930, 32, 'Odeslat k datu');
INSERT INTO `lang_definitions` VALUES (118022, 4933, 32, 'Popotratová péče');
INSERT INTO `lang_definitions` VALUES (118023, 4934, 32, 'Popotratová antikoncepce');
INSERT INTO `lang_definitions` VALUES (118024, 4936, 32, 'Sledování po potratu');
INSERT INTO `lang_definitions` VALUES (118025, 4937, 32, 'Poštovní');
INSERT INTO `lang_definitions` VALUES (118026, 4938, 32, 'Poštovní kód');
INSERT INTO `lang_definitions` VALUES (118027, 4939, 32, 'Poštovní kód');
INSERT INTO `lang_definitions` VALUES (118028, 4945, 32, 'Odesláno na');
INSERT INTO `lang_definitions` VALUES (118029, 4953, 32, 'Praxe');
INSERT INTO `lang_definitions` VALUES (118030, 4954, 32, 'Výchozí nastavení praxe');
INSERT INTO `lang_definitions` VALUES (118031, 4955, 32, 'Nastavení praxe');
INSERT INTO `lang_definitions` VALUES (118032, 4963, 32, 'Volba');
INSERT INTO `lang_definitions` VALUES (118033, 4964, 32, 'Volby');
INSERT INTO `lang_definitions` VALUES (118034, 4965, 32, 'Preferovaná kategorie událostí');
INSERT INTO `lang_definitions` VALUES (118035, 4966, 32, 'Preferovaný jazyk');
INSERT INTO `lang_definitions` VALUES (118036, 4967, 32, 'Preferovaná lékárna');
INSERT INTO `lang_definitions` VALUES (118037, 4969, 32, 'Těhotenský test');
INSERT INTO `lang_definitions` VALUES (118038, 4970, 32, 'Předběžný');
INSERT INTO `lang_definitions` VALUES (118039, 4971, 32, 'Přípravy pro generování zprávy');
INSERT INTO `lang_definitions` VALUES (118040, 4973, 32, 'Předpis');
INSERT INTO `lang_definitions` VALUES (118041, 4975, 32, 'Historie předpisů');
INSERT INTO `lang_definitions` VALUES (118042, 4976, 32, 'Import historie předpisů úspěšně dokončen');
INSERT INTO `lang_definitions` VALUES (118043, 4977, 32, 'Označení předpisu');
INSERT INTO `lang_definitions` VALUES (118044, 4979, 32, 'Preskripce');
INSERT INTO `lang_definitions` VALUES (118045, 4985, 32, 'Současný');
INSERT INTO `lang_definitions` VALUES (118046, 4986, 32, 'Stěžuje si');
INSERT INTO `lang_definitions` VALUES (118047, 4987, 32, 'Uvádí potíže(e)');
INSERT INTO `lang_definitions` VALUES (118048, 4988, 32, 'Zmáčkněte Pokračovat pro provedení');
INSERT INTO `lang_definitions` VALUES (118049, 4989, 32, 'Pracovní diagnóza');
INSERT INTO `lang_definitions` VALUES (118050, 4990, 32, 'Pracovní diagnóza dle specialistů');
INSERT INTO `lang_definitions` VALUES (118051, 4991, 32, 'Předch.');
INSERT INTO `lang_definitions` VALUES (118052, 4992, 32, 'Předch. Med/Oper Hx');
INSERT INTO `lang_definitions` VALUES (118053, 4993, 32, 'Předch. měs. (podržte pro nabídku)');
INSERT INTO `lang_definitions` VALUES (118054, 4994, 32, 'Předch. rok (podržte pro nabídku)');
INSERT INTO `lang_definitions` VALUES (118055, 4995, 32, 'Preventivní péče');
INSERT INTO `lang_definitions` VALUES (118056, 4998, 32, 'Náhled události');
INSERT INTO `lang_definitions` VALUES (118057, 5000, 32, 'Náhled');
INSERT INTO `lang_definitions` VALUES (118058, 5001, 32, 'Předchozí');
INSERT INTO `lang_definitions` VALUES (118059, 5002, 32, 'Předchozí konzultace');
INSERT INTO `lang_definitions` VALUES (118060, 5003, 32, 'Předchozí den');
INSERT INTO `lang_definitions` VALUES (118061, 5004, 32, 'Předchozí historie/Screening');
INSERT INTO `lang_definitions` VALUES (118062, 5005, 32, 'Předchozí měsíc');
INSERT INTO `lang_definitions` VALUES (118063, 5006, 32, 'Předchozí týden');
INSERT INTO `lang_definitions` VALUES (118064, 5007, 32, 'Cena');
INSERT INTO `lang_definitions` VALUES (118065, 5009, 32, 'Cenová úroveň');
INSERT INTO `lang_definitions` VALUES (118066, 5010, 32, 'Cenová úroveň:');
INSERT INTO `lang_definitions` VALUES (118067, 5011, 32, 'Ceny');
INSERT INTO `lang_definitions` VALUES (118068, 5012, 32, 'Primární');
INSERT INTO `lang_definitions` VALUES (118069, 5022, 32, 'Primární poj');
INSERT INTO `lang_definitions` VALUES (118070, 5023, 32, 'Primární pojištění');
INSERT INTO `lang_definitions` VALUES (118071, 5024, 32, 'Data primárního pojištění');
INSERT INTO `lang_definitions` VALUES (118072, 5025, 32, 'Poskytovatel primárního pojištění');
INSERT INTO `lang_definitions` VALUES (118073, 5026, 32, 'Primární poskytovatel');
INSERT INTO `lang_definitions` VALUES (118074, 5027, 32, 'Tisk');
INSERT INTO `lang_definitions` VALUES (118075, 5028, 32, 'Tisk (HTML)');
INSERT INTO `lang_definitions` VALUES (118076, 5029, 32, 'Print (PDF)');
INSERT INTO `lang_definitions` VALUES (118077, 5030, 32, 'Tiskové změny');
INSERT INTO `lang_definitions` VALUES (118078, 5031, 32, 'Tisk libovolného vyšetření');
INSERT INTO `lang_definitions` VALUES (118079, 5032, 32, 'Tisk prázdného poukazu na ošetření');
INSERT INTO `lang_definitions` VALUES (118080, 5033, 32, 'Tiskový příkaz');
INSERT INTO `lang_definitions` VALUES (118081, 5034, 32, 'Datum tisku');
INSERT INTO `lang_definitions` VALUES (118082, 5039, 32, 'Tiskový formát');
INSERT INTO `lang_definitions` VALUES (118083, 5042, 32, 'Tisková zpráva');
INSERT INTO `lang_definitions` VALUES (118084, 5043, 32, 'Vícečetný tisk');
INSERT INTO `lang_definitions` VALUES (118085, 5046, 32, 'Tisk poznámek');
INSERT INTO `lang_definitions` VALUES (118086, 5047, 32, 'Tisk strany 1');
INSERT INTO `lang_definitions` VALUES (118087, 5048, 32, 'Tisk strany 2');
INSERT INTO `lang_definitions` VALUES (118088, 5049, 32, 'Tisk adresního štítku pacienta');
INSERT INTO `lang_definitions` VALUES (118089, 5052, 32, 'Tisk záznamu');
INSERT INTO `lang_definitions` VALUES (118090, 5053, 32, 'Tisk vybraných záznamů');
INSERT INTO `lang_definitions` VALUES (118091, 5056, 32, 'Tisk tohoto vyšetření');
INSERT INTO `lang_definitions` VALUES (118092, 5057, 32, 'Tisk této poznámky');
INSERT INTO `lang_definitions` VALUES (118093, 5058, 32, 'Tisk této poznámky');
INSERT INTO `lang_definitions` VALUES (118094, 5061, 32, 'Tiskové zobrazení');
INSERT INTO `lang_definitions` VALUES (118095, 5064, 32, 'Vytištěno');
INSERT INTO `lang_definitions` VALUES (118096, 5066, 32, 'Tisk výsledků:');
INSERT INTO `lang_definitions` VALUES (118097, 5067, 32, 'Tisk vynechán, viz testovací výstup v');
INSERT INTO `lang_definitions` VALUES (118098, 5068, 32, 'Tisk vynechán, viz testovací výstup v ');
INSERT INTO `lang_definitions` VALUES (118099, 5072, 32, 'Priorita');
INSERT INTO `lang_definitions` VALUES (118100, 5073, 32, 'Priorita ');
INSERT INTO `lang_definitions` VALUES (118101, 5074, 32, 'Soukromý');
INSERT INTO `lang_definitions` VALUES (118102, 5075, 32, 'Problém');
INSERT INTO `lang_definitions` VALUES (118103, 5077, 32, 'Seznam problémů');
INSERT INTO `lang_definitions` VALUES (118104, 5078, 32, 'Problémy');
INSERT INTO `lang_definitions` VALUES (118105, 5081, 32, 'Kat. proc.');
INSERT INTO `lang_definitions` VALUES (118106, 5085, 32, 'Proc. výsl.');
INSERT INTO `lang_definitions` VALUES (118107, 5086, 32, 'Procedura');
INSERT INTO `lang_definitions` VALUES (118108, 5087, 32, 'Strana těla pro aplikaci procedury');
INSERT INTO `lang_definitions` VALUES (118109, 5089, 32, 'Kód procedury');
INSERT INTO `lang_definitions` VALUES (118110, 5090, 32, 'Kódy procedury');
INSERT INTO `lang_definitions` VALUES (118111, 5091, 32, 'Lateralizace procedury');
INSERT INTO `lang_definitions` VALUES (118112, 5092, 32, 'Název procedury');
INSERT INTO `lang_definitions` VALUES (118113, 5098, 32, 'Výběr procedury');
INSERT INTO `lang_definitions` VALUES (118114, 5099, 32, 'Poskytovatel procedury');
INSERT INTO `lang_definitions` VALUES (118115, 5100, 32, 'Poskytovatel procedury');
INSERT INTO `lang_definitions` VALUES (118116, 5101, 32, 'Poskytovatelé procedury');
INSERT INTO `lang_definitions` VALUES (118117, 5102, 32, 'Report procedury');
INSERT INTO `lang_definitions` VALUES (118118, 5104, 32, 'Abnormální výsledek procedury');
INSERT INTO `lang_definitions` VALUES (118119, 5105, 32, 'Stavy výsledku procedury');
INSERT INTO `lang_definitions` VALUES (118120, 5106, 32, 'Výsledky procedury');
INSERT INTO `lang_definitions` VALUES (118121, 5107, 32, 'Cesty procedury');
INSERT INTO `lang_definitions` VALUES (118122, 5108, 32, 'Typy vzorků procedury');
INSERT INTO `lang_definitions` VALUES (118123, 5109, 32, 'Report statistik procedur');
INSERT INTO `lang_definitions` VALUES (118124, 5110, 32, 'Typ procedury');
INSERT INTO `lang_definitions` VALUES (118125, 5111, 32, 'Typy  procedury');
INSERT INTO `lang_definitions` VALUES (118126, 5116, 32, 'Zpracovat a odeslat upomínku');
INSERT INTO `lang_definitions` VALUES (118127, 5117, 32, 'Zpracovat ERA soubor');
INSERT INTO `lang_definitions` VALUES (118128, 5118, 32, 'Zpracovat nové soubory pro CSV záznamy');
INSERT INTO `lang_definitions` VALUES (118129, 5119, 32, 'Zpracovat upomínky');
INSERT INTO `lang_definitions` VALUES (118130, 5120, 32, 'Zpracování bude chvíli trvat');
INSERT INTO `lang_definitions` VALUES (118131, 5121, 32, 'Zpracováno');
INSERT INTO `lang_definitions` VALUES (118132, 5122, 32, 'Zpracoval/a :');
INSERT INTO `lang_definitions` VALUES (118133, 5123, 32, 'Datum zpracování');
INSERT INTO `lang_definitions` VALUES (118134, 5124, 32, 'Úspěšně zpracováno');
INSERT INTO `lang_definitions` VALUES (118135, 5125, 32, 'Zpracovávání');
INSERT INTO `lang_definitions` VALUES (118136, 5126, 32, 'Zpracování a odesální upomínek pacientům');
INSERT INTO `lang_definitions` VALUES (118137, 5127, 32, 'Zpracovávání upomínek pacientům');
INSERT INTO `lang_definitions` VALUES (118138, 5128, 32, 'Čas zpracování');
INSERT INTO `lang_definitions` VALUES (118139, 5129, 32, 'Produkt');
INSERT INTO `lang_definitions` VALUES (118140, 5131, 32, 'Produkce');
INSERT INTO `lang_definitions` VALUES (118141, 5132, 32, 'Produkty');
INSERT INTO `lang_definitions` VALUES (118142, 5135, 32, 'Poznámky k průběhu');
INSERT INTO `lang_definitions` VALUES (118143, 5136, 32, 'Karcinom prostaty');
INSERT INTO `lang_definitions` VALUES (118144, 5137, 32, 'Screening karcinomu prostaty');
INSERT INTO `lang_definitions` VALUES (118145, 5138, 32, 'Vyšetření prostaty');
INSERT INTO `lang_definitions` VALUES (118146, 5139, 32, 'Prostatické obtíže');
INSERT INTO `lang_definitions` VALUES (118147, 5140, 32, 'Prostata nezvětšená,nebolestivá  bez nodulů');
INSERT INTO `lang_definitions` VALUES (118148, 5141, 32, 'Protokol');
INSERT INTO `lang_definitions` VALUES (118149, 5142, 32, 'Zadejte absolutní cestu');
INSERT INTO `lang_definitions` VALUES (118150, 5143, 32, 'Zadejte absolutní cestu k souboru');
INSERT INTO `lang_definitions` VALUES (118151, 5145, 32, 'Poskytuje klinický souhrn pro každou návštěvu pacienta');
INSERT INTO `lang_definitions` VALUES (118152, 5146, 32, 'Na vyžádání poskytuje elektronickou kopii zdravotních informací pacientů ( zahrnuje výsledky diagnostických testů, seznam problémů, seznam medikace, lékové alergie ).');
INSERT INTO `lang_definitions` VALUES (118153, 5149, 32, 'Zadat platnou e-mailovou adresu');
INSERT INTO `lang_definitions` VALUES (118154, 5150, 32, 'Je poskytnut klinický souhrn ?');
INSERT INTO `lang_definitions` VALUES (118155, 5151, 32, 'Jsou poskytnuty edukační zdroje ?');
INSERT INTO `lang_definitions` VALUES (118156, 5152, 32, 'Poskytovatel');
INSERT INTO `lang_definitions` VALUES (118157, 5153, 32, 'ID poskytovatele');
INSERT INTO `lang_definitions` VALUES (118158, 5154, 32, 'ID poskytovatele');
INSERT INTO `lang_definitions` VALUES (118159, 5159, 32, 'Číslo poskytovatele');
INSERT INTO `lang_definitions` VALUES (118160, 5160, 32, 'Vztahy s poskytovatelem');
INSERT INTO `lang_definitions` VALUES (118161, 5162, 32, 'Poskytovatel:');
INSERT INTO `lang_definitions` VALUES (118162, 5163, 32, 'Poskytovatelé');
INSERT INTO `lang_definitions` VALUES (118163, 5169, 32, 'Psych. diagnóza');
INSERT INTO `lang_definitions` VALUES (118164, 5170, 32, 'Psych. medikace');
INSERT INTO `lang_definitions` VALUES (118165, 5171, 32, 'Psychiatrický');
INSERT INTO `lang_definitions` VALUES (118166, 5173, 32, 'Psychiatrická diagnóza');
INSERT INTO `lang_definitions` VALUES (118167, 5174, 32, 'Psychiatrické vyšetření');
INSERT INTO `lang_definitions` VALUES (118168, 5175, 32, 'Psychiatrická anamnéza');
INSERT INTO `lang_definitions` VALUES (118169, 5177, 32, 'Psychiatrická medikace');
INSERT INTO `lang_definitions` VALUES (118170, 5178, 32, '% pac.');
INSERT INTO `lang_definitions` VALUES (118171, 5179, 32, 'Pac. poznámky');
INSERT INTO `lang_definitions` VALUES (118172, 5180, 32, 'Pac. poznámky/auth.');
INSERT INTO `lang_definitions` VALUES (118173, 5181, 32, 'Pac. přeplatky');
INSERT INTO `lang_definitions` VALUES (118174, 5188, 32, 'PT_MESTO');
INSERT INTO `lang_definitions` VALUES (118175, 5189, 32, 'PT_DATNAR');
INSERT INTO `lang_definitions` VALUES (118176, 5190, 32, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (118177, 5191, 32, 'PT_JMENO');
INSERT INTO `lang_definitions` VALUES (118178, 5192, 32, 'PT_PRIJMENI');
INSERT INTO `lang_definitions` VALUES (118179, 5193, 32, 'PT_JMENO2');
INSERT INTO `lang_definitions` VALUES (118180, 5194, 32, 'PT_MOBIL');
INSERT INTO `lang_definitions` VALUES (118181, 5195, 32, 'PT_TEL_DOMU');
INSERT INTO `lang_definitions` VALUES (118182, 5196, 32, 'PT_PSC');
INSERT INTO `lang_definitions` VALUES (118183, 5198, 32, 'PT_STAT');
INSERT INTO `lang_definitions` VALUES (118184, 5199, 32, 'PT_ULICE');
INSERT INTO `lang_definitions` VALUES (118185, 5201, 32, 'Veřejný');
INSERT INTO `lang_definitions` VALUES (118186, 5205, 32, 'Pulmonální');
INSERT INTO `lang_definitions` VALUES (118187, 5206, 32, 'Pulz');
INSERT INTO `lang_definitions` VALUES (118188, 5208, 32, 'Nákup');
INSERT INTO `lang_definitions` VALUES (118189, 5210, 32, 'Nákupy');
INSERT INTO `lang_definitions` VALUES (118190, 5213, 32, 'á 3h');
INSERT INTO `lang_definitions` VALUES (118191, 5214, 32, 'á 4h');
INSERT INTO `lang_definitions` VALUES (118192, 5215, 32, 'á 5h');
INSERT INTO `lang_definitions` VALUES (118193, 5216, 32, 'á 6h');
INSERT INTO `lang_definitions` VALUES (118194, 5217, 32, 'á 8h');
INSERT INTO `lang_definitions` VALUES (118195, 5218, 32, 'denně');
INSERT INTO `lang_definitions` VALUES (118196, 5222, 32, 'Množ.');
INSERT INTO `lang_definitions` VALUES (118197, 5223, 32, 'MNOŽ..');
INSERT INTO `lang_definitions` VALUES (118198, 5224, 32, 'Kvalita');
INSERT INTO `lang_definitions` VALUES (118199, 5225, 32, 'Měření kvality (CQM)');
INSERT INTO `lang_definitions` VALUES (118200, 5226, 32, 'Kvantita');
INSERT INTO `lang_definitions` VALUES (118201, 5229, 32, 'Množství zřejmě nelze použít');
INSERT INTO `lang_definitions` VALUES (118202, 5231, 32, 'Označení otázky');
INSERT INTO `lang_definitions` VALUES (118203, 5232, 32, 'Fronta dávkového zpracování HCFA');
INSERT INTO `lang_definitions` VALUES (118204, 5233, 32, 'Fronta dávkového zpracování a tisku HCFA');
INSERT INTO `lang_definitions` VALUES (118205, 5234, 32, 'Fronta dávkového zpracování UB-92');
INSERT INTO `lang_definitions` VALUES (118206, 5235, 32, 'Fronta dávkového zpracování a tisku UB-92');
INSERT INTO `lang_definitions` VALUES (118207, 5236, 32, 'Čeká na zpracování');
INSERT INTO `lang_definitions` VALUES (118208, 5237, 32, 'Správa událostí ke zpracování');
INSERT INTO `lang_definitions` VALUES (118209, 5241, 32, 'Ukončit');
INSERT INTO `lang_definitions` VALUES (118210, 5242, 32, 'Abstinence od');
INSERT INTO `lang_definitions` VALUES (118211, 5245, 32, 'Rasa');
INSERT INTO `lang_definitions` VALUES (118212, 5246, 32, 'Rasa a etnikum');
INSERT INTO `lang_definitions` VALUES (118213, 5247, 32, 'Rasa/Etnikum');
INSERT INTO `lang_definitions` VALUES (118214, 5249, 32, 'Radio tlačítka (přepínače)');
INSERT INTO `lang_definitions` VALUES (118215, 5251, 32, 'Rozmezí');
INSERT INTO `lang_definitions` VALUES (118216, 5252, 32, 'Vyrážky');
INSERT INTO `lang_definitions` VALUES (118217, 5254, 32, 'Poměr');
INSERT INTO `lang_definitions` VALUES (118218, 5256, 32, 'Reidentifikace');
INSERT INTO `lang_definitions` VALUES (118219, 5257, 32, 'Proces reidentifikace je kompletní');
INSERT INTO `lang_definitions` VALUES (118220, 5258, 32, 'Proces reidentifikace stále běží');
INSERT INTO `lang_definitions` VALUES (118221, 5259, 32, 'Redidentifikační soubory budou uloženy v');
INSERT INTO `lang_definitions` VALUES (118222, 5260, 32, 'Opakované poranění ?');
INSERT INTO `lang_definitions` VALUES (118223, 5261, 32, 'Znovuotevření');
INSERT INTO `lang_definitions` VALUES (118224, 5262, 32, 'Znovu otevřeno');
INSERT INTO `lang_definitions` VALUES (118225, 5263, 32, 'Reakce');
INSERT INTO `lang_definitions` VALUES (118226, 5264, 32, 'Reakce');
INSERT INTO `lang_definitions` VALUES (118227, 5265, 32, 'Číst');
INSERT INTO `lang_definitions` VALUES (118228, 5267, 32, 'Anamnéze pouze ke čtení');
INSERT INTO `lang_definitions` VALUES (118229, 5268, 32, 'Skutečné jméno');
INSERT INTO `lang_definitions` VALUES (118230, 5269, 32, 'Skutečně smazat');
INSERT INTO `lang_definitions` VALUES (118231, 5270, 32, 'Důvod');
INSERT INTO `lang_definitions` VALUES (118232, 5272, 32, 'Přičina smrti');
INSERT INTO `lang_definitions` VALUES (118233, 5274, 32, 'Důvod odeslání');
INSERT INTO `lang_definitions` VALUES (118234, 5275, 32, 'Důvod návštěvy');
INSERT INTO `lang_definitions` VALUES (118235, 5276, 32, 'Důvod/Formulář');
INSERT INTO `lang_definitions` VALUES (118236, 5277, 32, 'Příjmový doklad');
INSERT INTO `lang_definitions` VALUES (118237, 5278, 32, 'Příjmový doklad pro platbu');
INSERT INTO `lang_definitions` VALUES (118238, 5279, 32, 'Příjmový doklad vygenerován');
INSERT INTO `lang_definitions` VALUES (118239, 5280, 32, 'Hlášení příjmových dokladů dle platební metody');
INSERT INTO `lang_definitions` VALUES (118240, 5281, 32, 'Souhrn platebních dokladů');
INSERT INTO `lang_definitions` VALUES (118241, 5282, 32, 'Přijato');
INSERT INTO `lang_definitions` VALUES (118242, 5283, 32, 'Přijato kým');
INSERT INTO `lang_definitions` VALUES (118243, 5284, 32, 'Přijaté faxy');
INSERT INTO `lang_definitions` VALUES (118244, 5285, 32, 'Přijato, neprohlíženo');
INSERT INTO `lang_definitions` VALUES (118245, 5287, 32, 'Příjemce');
INSERT INTO `lang_definitions` VALUES (118246, 5288, 32, 'ID příjemce');
INSERT INTO `lang_definitions` VALUES (118247, 5289, 32, 'ID příjemce (ISA08)');
INSERT INTO `lang_definitions` VALUES (118248, 5291, 32, 'ID příjemce');
INSERT INTO `lang_definitions` VALUES (118249, 5292, 32, 'Poslední 3 hesla nejsou povolena');
INSERT INTO `lang_definitions` VALUES (118250, 5293, 32, 'Příjemce');
INSERT INTO `lang_definitions` VALUES (118251, 5294, 32, 'Seznam příjemců je prázdný');
INSERT INTO `lang_definitions` VALUES (118252, 5295, 32, 'Jméno příjemce');
INSERT INTO `lang_definitions` VALUES (118253, 5298, 32, 'Doporučení');
INSERT INTO `lang_definitions` VALUES (118254, 5299, 32, 'Doporučení pro návaznou péči');
INSERT INTO `lang_definitions` VALUES (118255, 5300, 32, 'Doporučení');
INSERT INTO `lang_definitions` VALUES (118256, 5301, 32, 'Doporučení a léčba');
INSERT INTO `lang_definitions` VALUES (118257, 5302, 32, 'Doporučení dle specialisty');
INSERT INTO `lang_definitions` VALUES (118258, 5303, 32, 'Záznam');
INSERT INTO `lang_definitions` VALUES (118259, 5304, 32, 'Záznam již existuje');
INSERT INTO `lang_definitions` VALUES (118260, 5310, 32, 'Změny  v záznamech a grafech vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (118261, 5311, 32, 'Záznam demografických údajů');
INSERT INTO `lang_definitions` VALUES (118262, 5314, 32, 'Záznam platby');
INSERT INTO `lang_definitions` VALUES (118263, 5315, 32, 'Záznam data požadavku');
INSERT INTO `lang_definitions` VALUES (118264, 5316, 32, 'Zaznamenat kuřáctví pacientů starších 13 let');
INSERT INTO `lang_definitions` VALUES (118265, 5317, 32, 'Záznamy');
INSERT INTO `lang_definitions` VALUES (118266, 5318, 32, 'záznamy nalezeny');
INSERT INTO `lang_definitions` VALUES (118267, 5319, 32, 'záznamy nalezeny.');
INSERT INTO `lang_definitions` VALUES (118268, 5320, 32, 'Rekreační užívání drog');
INSERT INTO `lang_definitions` VALUES (118269, 5321, 32, 'Rekreační drogy');
INSERT INTO `lang_definitions` VALUES (118270, 5322, 32, 'Rektální');
INSERT INTO `lang_definitions` VALUES (118271, 5323, 32, 'Rektální vyšetření');
INSERT INTO `lang_definitions` VALUES (118272, 5324, 32, 'rektálně');
INSERT INTO `lang_definitions` VALUES (118273, 5325, 32, 'Přesměrování');
INSERT INTO `lang_definitions` VALUES (118274, 5326, 32, 'Zarudnutí');
INSERT INTO `lang_definitions` VALUES (118275, 5327, 32, 'Redukovaný:');
INSERT INTO `lang_definitions` VALUES (118276, 5328, 32, 'Odeslat');
INSERT INTO `lang_definitions` VALUES (118277, 5329, 32, 'Odeslat kým');
INSERT INTO `lang_definitions` VALUES (118278, 5330, 32, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (118279, 5331, 32, 'Odeslat kam');
INSERT INTO `lang_definitions` VALUES (118280, 5333, 32, 'Rozsah referenčních hodnot výsledků');
INSERT INTO `lang_definitions` VALUES (118281, 5335, 32, 'Odesílající');
INSERT INTO `lang_definitions` VALUES (118282, 5336, 32, 'Jméno a podpis odesílajícího');
INSERT INTO `lang_definitions` VALUES (118283, 5337, 32, 'Odeslání');
INSERT INTO `lang_definitions` VALUES (118284, 5340, 32, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (118285, 5357, 32, 'Odesílající lékař a praxe');
INSERT INTO `lang_definitions` VALUES (118286, 5358, 32, 'Odesílající poskytovatel');
INSERT INTO `lang_definitions` VALUES (118287, 5362, 32, 'Normální reflexy');
INSERT INTO `lang_definitions` VALUES (118288, 5363, 32, 'Obnovit');
INSERT INTO `lang_definitions` VALUES (118289, 5365, 32, 'Obnova upomínek');
INSERT INTO `lang_definitions` VALUES (118290, 5370, 32, 'registrace');
INSERT INTO `lang_definitions` VALUES (118291, 5372, 32, 'Registrován');
INSERT INTO `lang_definitions` VALUES (118292, 5373, 32, 'registrován');
INSERT INTO `lang_definitions` VALUES (118293, 5374, 32, 'Registrované moduly');
INSERT INTO `lang_definitions` VALUES (118294, 5375, 32, 'Datum registrace');
INSERT INTO `lang_definitions` VALUES (118295, 5376, 32, 'Registrační formulář');
INSERT INTO `lang_definitions` VALUES (118296, 5377, 32, 'Rehabilitace');
INSERT INTO `lang_definitions` VALUES (118297, 5379, 32, 'Odmítnuto');
INSERT INTO `lang_definitions` VALUES (118298, 5380, 32, 'Možnost relapsu');
INSERT INTO `lang_definitions` VALUES (118299, 5381, 32, 'Související s');
INSERT INTO `lang_definitions` VALUES (118300, 5382, 32, 'Související');
INSERT INTO `lang_definitions` VALUES (118301, 5383, 32, 'Související problém');
INSERT INTO `lang_definitions` VALUES (118302, 5384, 32, 'Související poznámky pacienta');
INSERT INTO `lang_definitions` VALUES (118303, 5385, 32, 'Vztahy/Děti');
INSERT INTO `lang_definitions` VALUES (118304, 5386, 32, 'Vztahy');
INSERT INTO `lang_definitions` VALUES (118305, 5387, 32, 'Vztah');
INSERT INTO `lang_definitions` VALUES (118306, 5388, 32, 'Relativní zařazení této entity');
INSERT INTO `lang_definitions` VALUES (118307, 5389, 32, 'Příbuzní');
INSERT INTO `lang_definitions` VALUES (118308, 5390, 32, 'Hypertenze v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118309, 5391, 32, 'Karcinom v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118310, 5392, 32, 'Diabetes v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118311, 5393, 32, 'Epilepsie v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118312, 5394, 32, 'Srdeční choroby v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118313, 5395, 32, 'Duševní choroby v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118314, 5396, 32, 'CMP v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118315, 5397, 32, 'Sebevraždy v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118316, 5398, 32, 'TBC v příbuzenstvu');
INSERT INTO `lang_definitions` VALUES (118317, 5402, 32, 'Datum vydání');
INSERT INTO `lang_definitions` VALUES (118318, 5403, 32, 'Náboženství');
INSERT INTO `lang_definitions` VALUES (118319, 5406, 32, 'Znovupřihlášení');
INSERT INTO `lang_definitions` VALUES (118320, 5407, 32, 'Upom.');
INSERT INTO `lang_definitions` VALUES (118321, 5408, 32, 'Zapamatovat vybrané zařízení');
INSERT INTO `lang_definitions` VALUES (118322, 5409, 32, 'Upozornění');
INSERT INTO `lang_definitions` VALUES (118323, 5410, 32, 'Intervaly upozornění');
INSERT INTO `lang_definitions` VALUES (118324, 5411, 32, 'Upomínky nejsou dosud nastavené');
INSERT INTO `lang_definitions` VALUES (118325, 5413, 32, 'Upomínky');
INSERT INTO `lang_definitions` VALUES (118326, 5415, 32, 'Vzdálený host');
INSERT INTO `lang_definitions` VALUES (118327, 5416, 32, 'Smazat');
INSERT INTO `lang_definitions` VALUES (118328, 5419, 32, 'Smazat skupinu');
INSERT INTO `lang_definitions` VALUES (118329, 5420, 32, 'Smazat formulář skupiny');
INSERT INTO `lang_definitions` VALUES (118330, 5421, 32, 'Smaže podporu pro imunizace');
INSERT INTO `lang_definitions` VALUES (118331, 5422, 32, 'Smaže podporu pro phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (118332, 5423, 32, 'Smaže podporu preskrice');
INSERT INTO `lang_definitions` VALUES (118333, 5426, 32, 'Nefrolithiáza');
INSERT INTO `lang_definitions` VALUES (118334, 5427, 32, 'Přejmenovat');
INSERT INTO `lang_definitions` VALUES (118335, 5428, 32, 'Přejmenovat skupinu');
INSERT INTO `lang_definitions` VALUES (118336, 5432, 32, 'Přeobjednat');
INSERT INTO `lang_definitions` VALUES (118337, 5436, 32, 'Opak.');
INSERT INTO `lang_definitions` VALUES (118338, 5437, 32, 'Opakovat nové heslo');
INSERT INTO `lang_definitions` VALUES (118339, 5438, 32, 'Opakující se událost');
INSERT INTO `lang_definitions` VALUES (118340, 5439, 32, 'Opakující se informace:');
INSERT INTO `lang_definitions` VALUES (118341, 5441, 32, 'NAHRADIT');
INSERT INTO `lang_definitions` VALUES (118342, 5442, 32, 'nahradit celou sadu kódů');
INSERT INTO `lang_definitions` VALUES (118343, 5443, 32, 'nahrazeno');
INSERT INTO `lang_definitions` VALUES (118344, 5444, 32, 'Datum odpovědi');
INSERT INTO `lang_definitions` VALUES (118345, 5445, 32, 'Odpověď od');
INSERT INTO `lang_definitions` VALUES (118346, 5446, 32, 'Zpráva');
INSERT INTO `lang_definitions` VALUES (118347, 5447, 32, 'Klinická zpráva');
INSERT INTO `lang_definitions` VALUES (118348, 5463, 32, 'Zprávy');
INSERT INTO `lang_definitions` VALUES (118349, 5465, 32, 'Vyžádat si popis');
INSERT INTO `lang_definitions` VALUES (118350, 5466, 32, 'Chybí požadavek na ID !');
INSERT INTO `lang_definitions` VALUES (118351, 5467, 32, 'Požadavek ignorován - zpracování požadavku již probíhá !');
INSERT INTO `lang_definitions` VALUES (118352, 5469, 32, 'Stav požadavku');
INSERT INTO `lang_definitions` VALUES (118353, 5470, 32, 'Typ požadavku');
INSERT INTO `lang_definitions` VALUES (118354, 5471, 32, 'Typ požadavku není implementován');
INSERT INTO `lang_definitions` VALUES (118355, 5472, 32, 'Požadováno kým');
INSERT INTO `lang_definitions` VALUES (118356, 5473, 32, 'Požadované datum');
INSERT INTO `lang_definitions` VALUES (118357, 5474, 32, 'Požadovaná služba');
INSERT INTO `lang_definitions` VALUES (118358, 5475, 32, 'Je vyžadováno silné heslo');
INSERT INTO `lang_definitions` VALUES (118359, 5476, 32, 'Je vyžadováno unikátní heslo');
INSERT INTO `lang_definitions` VALUES (118360, 5477, 32, 'Vyžadováno');
INSERT INTO `lang_definitions` VALUES (118361, 5479, 32, 'Chybí požadované pole. Vyberte prosím EDI-271 soubor k nahrání');
INSERT INTO `lang_definitions` VALUES (118362, 5480, 32, 'Chybí požadované pole: Prosím  zadejte  jméno');
INSERT INTO `lang_definitions` VALUES (118363, 5481, 32, 'Chybí požadované pole: Prosím  zadejte  příjmení');
INSERT INTO `lang_definitions` VALUES (118364, 5482, 32, 'Chybí požadované pole: Prosím  zadejte  uživatelské jméno');
INSERT INTO `lang_definitions` VALUES (118365, 5483, 32, 'Požadovaná pole');
INSERT INTO `lang_definitions` VALUES (118366, 5484, 32, 'Požadavky');
INSERT INTO `lang_definitions` VALUES (118367, 5485, 32, 'REZERVOVÁNO');
INSERT INTO `lang_definitions` VALUES (118368, 5486, 32, 'Rezervováno');
INSERT INTO `lang_definitions` VALUES (118369, 5491, 32, 'Reset');
INSERT INTO `lang_definitions` VALUES (118370, 5496, 32, 'Vyřešeno');
INSERT INTO `lang_definitions` VALUES (118371, 5497, 32, 'Respirace');
INSERT INTO `lang_definitions` VALUES (118372, 5499, 32, 'Respirační');
INSERT INTO `lang_definitions` VALUES (118373, 5504, 32, 'Výsledek');
INSERT INTO `lang_definitions` VALUES (118374, 5505, 32, 'Jméno výsledku');
INSERT INTO `lang_definitions` VALUES (118375, 5506, 32, 'Stav výsledku');
INSERT INTO `lang_definitions` VALUES (118376, 5508, 32, 'Výsledek, použijte % jako zástupný znak');
INSERT INTO `lang_definitions` VALUES (118377, 5509, 32, 'Výsledky');
INSERT INTO `lang_definitions` VALUES (118378, 5510, 32, 'Výsledky a');
INSERT INTO `lang_definitions` VALUES (118379, 5512, 32, 'Skupiny výsledků');
INSERT INTO `lang_definitions` VALUES (118380, 5513, 32, 'Pouze výsledky');
INSERT INTO `lang_definitions` VALUES (118381, 5514, 32, 'Cesta k výsledkům');
INSERT INTO `lang_definitions` VALUES (118382, 5515, 32, 'Výsledků na stránku');
INSERT INTO `lang_definitions` VALUES (118383, 5516, 32, 'Výsledky/Detaily');
INSERT INTO `lang_definitions` VALUES (118384, 5517, 32, 'Vyšetření sítnice');
INSERT INTO `lang_definitions` VALUES (118385, 5521, 32, 'Návrat do kalendáře');
INSERT INTO `lang_definitions` VALUES (118386, 5530, 32, 'Opětovné použití 3 předchozích hesel není možné!');
INSERT INTO `lang_definitions` VALUES (118387, 5532, 32, 'Posoudit & Schválit');
INSERT INTO `lang_definitions` VALUES (118388, 5537, 32, 'Zhodnoceno');
INSERT INTO `lang_definitions` VALUES (118389, 5538, 32, 'Revize');
INSERT INTO `lang_definitions` VALUES (118390, 5539, 32, 'Revmatodiní artritis');
INSERT INTO `lang_definitions` VALUES (118391, 5540, 32, 'Revmatodiní artritis');
INSERT INTO `lang_definitions` VALUES (118392, 5542, 32, 'Pravé ucho');
INSERT INTO `lang_definitions` VALUES (118393, 5543, 32, 'pravé ucho');
INSERT INTO `lang_definitions` VALUES (118394, 5546, 32, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (118395, 5547, 32, 'Tinnitus');
INSERT INTO `lang_definitions` VALUES (118396, 5549, 32, 'Rizikové faktory');
INSERT INTO `lang_definitions` VALUES (118397, 5550, 32, 'Úroveň rizika');
INSERT INTO `lang_definitions` VALUES (118398, 5552, 32, 'Rozsah pohybu (ROM)');
INSERT INTO `lang_definitions` VALUES (118399, 5561, 32, 'Cesta');
INSERT INTO `lang_definitions` VALUES (118400, 5564, 32, 'Řádky');
INSERT INTO `lang_definitions` VALUES (118401, 5568, 32, 'Pravidlo');
INSERT INTO `lang_definitions` VALUES (118402, 5569, 32, 'Přidání pravidla');
INSERT INTO `lang_definitions` VALUES (118403, 5570, 32, 'Detail pravidla');
INSERT INTO `lang_definitions` VALUES (118404, 5572, 32, 'Editace pravidla');
INSERT INTO `lang_definitions` VALUES (118405, 5578, 32, 'Pravidla');
INSERT INTO `lang_definitions` VALUES (118406, 5580, 32, 'Konfigurace pravidel');
INSERT INTO `lang_definitions` VALUES (118407, 5581, 32, 'Běžící příkaz: ');
INSERT INTO `lang_definitions` VALUES (118408, 5582, 32, 'Ruptura');
INSERT INTO `lang_definitions` VALUES (118409, 5605, 32, 'Prodej');
INSERT INTO `lang_definitions` VALUES (118410, 5606, 32, 'Prodeje');
INSERT INTO `lang_definitions` VALUES (118411, 5607, 32, 'Prodeje po položkách');
INSERT INTO `lang_definitions` VALUES (118412, 5610, 32, 'Stejný den');
INSERT INTO `lang_definitions` VALUES (118413, 5612, 32, 'Vzorek');
INSERT INTO `lang_definitions` VALUES (118414, 5617, 32, 'Sob');
INSERT INTO `lang_definitions` VALUES (118415, 5618, 32, 'Sob &amp; Ned');
INSERT INTO `lang_definitions` VALUES (118416, 5619, 32, 'Sobota');
INSERT INTO `lang_definitions` VALUES (118417, 5620, 32, 'Uložit');
INSERT INTO `lang_definitions` VALUES (118418, 5621, 32, 'ULOŽIT');
INSERT INTO `lang_definitions` VALUES (118419, 5622, 32, 'Uložit a zavřít');
INSERT INTO `lang_definitions` VALUES (118420, 5623, 32, 'Uložit a smazat požadavek');
INSERT INTO `lang_definitions` VALUES (118421, 5626, 32, 'Uožit jako nový');
INSERT INTO `lang_definitions` VALUES (118422, 5627, 32, 'Uložit jako novou poznámku');
INSERT INTO `lang_definitions` VALUES (118423, 5628, 32, 'Uložit nastavení certifikátů');
INSERT INTO `lang_definitions` VALUES (118424, 5629, 32, 'Uožit změny');
INSERT INTO `lang_definitions` VALUES (118425, 5630, 32, 'Uložit formulář');
INSERT INTO `lang_definitions` VALUES (118426, 5631, 32, 'Uložit imunizace');
INSERT INTO `lang_definitions` VALUES (118427, 5632, 32, 'Uložit nové pole');
INSERT INTO `lang_definitions` VALUES (118428, 5633, 32, 'Uložit novou skupinu');
INSERT INTO `lang_definitions` VALUES (118429, 5634, 32, 'Uložit nový seznam');
INSERT INTO `lang_definitions` VALUES (118430, 5635, 32, 'Uložit novou šablonu');
INSERT INTO `lang_definitions` VALUES (118431, 5637, 32, 'Uložit personální údaje pacienta');
INSERT INTO `lang_definitions` VALUES (118432, 5639, 32, 'Uložit transakci');
INSERT INTO `lang_definitions` VALUES (118433, 5640, 32, 'Úspěšně uloženo');
INSERT INTO `lang_definitions` VALUES (118434, 5641, 32, 'Skenováno');
INSERT INTO `lang_definitions` VALUES (118435, 5642, 32, 'Skenovaná poznámka k vyšetření');
INSERT INTO `lang_definitions` VALUES (118436, 5643, 32, 'Adresář pro skener');
INSERT INTO `lang_definitions` VALUES (118437, 5645, 32, 'plán/plánovat');
INSERT INTO `lang_definitions` VALUES (118438, 5648, 32, 'Skolióza');
INSERT INTO `lang_definitions` VALUES (118439, 5650, 32, 'Screening/ Testování');
INSERT INTO `lang_definitions` VALUES (118440, 5652, 32, 'SE Adresa');
INSERT INTO `lang_definitions` VALUES (118441, 5653, 32, 'SE Město');
INSERT INTO `lang_definitions` VALUES (118442, 5654, 32, 'SE Země');
INSERT INTO `lang_definitions` VALUES (118443, 5655, 32, 'SE Lokalita');
INSERT INTO `lang_definitions` VALUES (118444, 5656, 32, 'SE Poštovní kód');
INSERT INTO `lang_definitions` VALUES (118445, 5657, 32, 'SE Stát');
INSERT INTO `lang_definitions` VALUES (118446, 5658, 32, 'SE Zip Kód');
INSERT INTO `lang_definitions` VALUES (118447, 5659, 32, 'Hledat');
INSERT INTO `lang_definitions` VALUES (118448, 5661, 32, 'hledat');
INSERT INTO `lang_definitions` VALUES (118449, 5662, 32, 'hledat znovu');
INSERT INTO `lang_definitions` VALUES (118450, 5663, 32, 'Hledat ve všech sloupcích');
INSERT INTO `lang_definitions` VALUES (118451, 5667, 32, 'Hledat v');
INSERT INTO `lang_definitions` VALUES (118452, 5668, 32, 'Hledat v');
INSERT INTO `lang_definitions` VALUES (118453, 5669, 32, 'Hledat nebo Přidat pacienta');
INSERT INTO `lang_definitions` VALUES (118454, 5670, 32, 'Hledat platbu');
INSERT INTO `lang_definitions` VALUES (118455, 5671, 32, 'Výsledky vyhledávání');
INSERT INTO `lang_definitions` VALUES (118456, 5672, 32, 'Výsledky vyhledávání:');
INSERT INTO `lang_definitions` VALUES (118457, 5673, 32, 'Hledat vybrané');
INSERT INTO `lang_definitions` VALUES (118458, 5674, 32, 'Vyhledávaný řetězec neodpovídá položkám v databázi');
INSERT INTO `lang_definitions` VALUES (118459, 5675, 32, 'Vyhledávaný řetězec by měl mít minimálně 3 znaky');
INSERT INTO `lang_definitions` VALUES (118460, 5676, 32, 'Hledat text');
INSERT INTO `lang_definitions` VALUES (118461, 5677, 32, 'Hledat události');
INSERT INTO `lang_definitions` VALUES (118462, 5678, 32, 'Hledat/Přidat');
INSERT INTO `lang_definitions` VALUES (118463, 5680, 32, 'Hledání návštěvy');
INSERT INTO `lang_definitions` VALUES (118464, 5681, 32, 'Hledám...');
INSERT INTO `lang_definitions` VALUES (118465, 5684, 32, 'Druhý');
INSERT INTO `lang_definitions` VALUES (118466, 5687, 32, 'Sekundární');
INSERT INTO `lang_definitions` VALUES (118467, 5693, 32, 'ID sekce');
INSERT INTO `lang_definitions` VALUES (118468, 5694, 32, 'ID a název sekce nemohou být prázdné');
INSERT INTO `lang_definitions` VALUES (118469, 5695, 32, 'Jméno sekce');
INSERT INTO `lang_definitions` VALUES (118470, 5696, 32, 'Sekce úspěšně uložena');
INSERT INTO `lang_definitions` VALUES (118471, 5698, 32, 'Bezpečnost');
INSERT INTO `lang_definitions` VALUES (118472, 5699, 32, 'Prohlédnout vše');
INSERT INTO `lang_definitions` VALUES (118473, 5700, 32, 'Prohlédnout autorizace');
INSERT INTO `lang_definitions` VALUES (118474, 5701, 32, 'Prohlédnout  růstový graf');
INSERT INTO `lang_definitions` VALUES (118475, 5702, 32, 'Prohlédnout zprávy z naposledy generované sady požadavků');
INSERT INTO `lang_definitions` VALUES (118476, 5704, 32, 'Pozorováno od');
INSERT INTO `lang_definitions` VALUES (118477, 5705, 32, 'Jméno segmentu');
INSERT INTO `lang_definitions` VALUES (118478, 5707, 32, 'Křeče');
INSERT INTO `lang_definitions` VALUES (118479, 5708, 32, 'Vyb.');
INSERT INTO `lang_definitions` VALUES (118480, 5709, 32, 'Vybrat');
INSERT INTO `lang_definitions` VALUES (118481, 5710, 32, 'vybrat');
INSERT INTO `lang_definitions` VALUES (118482, 5711, 32, 'Vybrat součást');
INSERT INTO `lang_definitions` VALUES (118483, 5712, 32, 'Vybrat kontext');
INSERT INTO `lang_definitions` VALUES (118484, 5713, 32, 'Vybrat procenta z řádků nebo vybrat datum');
INSERT INTO `lang_definitions` VALUES (118485, 5714, 32, 'Vybrat časové rozpětí');
INSERT INTO `lang_definitions` VALUES (118486, 5715, 32, 'Vybrat uživatele');
INSERT INTO `lang_definitions` VALUES (118487, 5716, 32, 'Vybrat vše');
INSERT INTO `lang_definitions` VALUES (118488, 5717, 32, 'Vybrat datum změny');
INSERT INTO `lang_definitions` VALUES (118489, 5718, 32, 'Vybrat změny k tisku');
INSERT INTO `lang_definitions` VALUES (118491, 5720, 32, 'Vybrat  kategorii');
INSERT INTO `lang_definitions` VALUES (118492, 5721, 32, 'Vybrat komunikační volby');
INSERT INTO `lang_definitions` VALUES (118493, 5722, 32, 'Vybrat odpovídající checkboxy k vymazání');
INSERT INTO `lang_definitions` VALUES (118494, 5723, 32, 'Vybrat kritéria ke smazání');
INSERT INTO `lang_definitions` VALUES (118495, 5724, 32, 'Vybrat CSV tabulku');
INSERT INTO `lang_definitions` VALUES (118496, 5725, 32, 'Vybrat data nutná pro reidentifikaci');
INSERT INTO `lang_definitions` VALUES (118497, 5726, 32, 'Vybrat data pro zahrnutí do deidentifikace');
INSERT INTO `lang_definitions` VALUES (118498, 5727, 32, 'Vybrat datum');
INSERT INTO `lang_definitions` VALUES (118499, 5729, 32, 'Vybrat diagnózu');
INSERT INTO `lang_definitions` VALUES (118500, 5730, 32, 'Vybrat diagnózu pro deidentifikační požadavek');
INSERT INTO `lang_definitions` VALUES (118501, 5731, 32, 'Vybrat léčivo');
INSERT INTO `lang_definitions` VALUES (118502, 5732, 32, 'Vybrat léčiva');
INSERT INTO `lang_definitions` VALUES (118503, 5733, 32, 'Vybrat léčiva pro deidentifikační požadavek');
INSERT INTO `lang_definitions` VALUES (118504, 5734, 32, 'Vybrat EDI-271 soubor');
INSERT INTO `lang_definitions` VALUES (118505, 5735, 32, 'Vybrat vyšetření');
INSERT INTO `lang_definitions` VALUES (118506, 5736, 32, 'Vybrat pole');
INSERT INTO `lang_definitions` VALUES (118507, 5737, 32, 'Vybrat pole');
INSERT INTO `lang_definitions` VALUES (118508, 5738, 32, 'Vybrat pro tisk');
INSERT INTO `lang_definitions` VALUES (118509, 5739, 32, 'Vybrat imunizace');
INSERT INTO `lang_definitions` VALUES (118510, 5740, 32, 'Vybrat imunizace pro deidentifikační požadavek');
INSERT INTO `lang_definitions` VALUES (118511, 5742, 32, 'Vybrat problém');
INSERT INTO `lang_definitions` VALUES (118512, 5743, 32, 'Vybrat položky');
INSERT INTO `lang_definitions` VALUES (118513, 5744, 32, 'Vybrat jazyk');
INSERT INTO `lang_definitions` VALUES (118514, 5746, 32, 'Vyberte jeden nebo více kódů diagnóz pro zdůvodnění služby');
INSERT INTO `lang_definitions` VALUES (118515, 5747, 32, 'Vyberte jeden nebo více souborů k nahrátí');
INSERT INTO `lang_definitions` VALUES (118516, 5748, 32, 'Vybrat výstup');
INSERT INTO `lang_definitions` VALUES (118517, 5750, 32, 'Vyberte kým požadováno');
INSERT INTO `lang_definitions` VALUES (118518, 5752, 32, 'Vybrat zdroj');
INSERT INTO `lang_definitions` VALUES (118519, 5753, 32, 'Vybrat šablonu');
INSERT INTO `lang_definitions` VALUES (118520, 5754, 32, 'Vybrat položky konfigurace k exportu');
INSERT INTO `lang_definitions` VALUES (118521, 5756, 32, 'Vyberte tisk adresního štítku pacienta z vyskakovacího okna v levé části obrazovky');
INSERT INTO `lang_definitions` VALUES (118522, 5759, 32, 'Vybrat uživatele');
INSERT INTO `lang_definitions` VALUES (118523, 5760, 32, 'Vyberte uživatele ze seznamu');
INSERT INTO `lang_definitions` VALUES (118524, 5761, 32, 'Vyberte jazyky pro přihlašování');
INSERT INTO `lang_definitions` VALUES (118525, 5762, 32, 'Vyberte ANO pro smazání skupiny');
INSERT INTO `lang_definitions` VALUES (118526, 5765, 32, 'Vybráno');
INSERT INTO `lang_definitions` VALUES (118527, 5766, 32, 'Vybrané  vyšetření');
INSERT INTO `lang_definitions` VALUES (118528, 5769, 32, 'Samoplátce');
INSERT INTO `lang_definitions` VALUES (118529, 5771, 32, 'Odeslat');
INSERT INTO `lang_definitions` VALUES (118530, 5774, 32, 'Odesílání probíhá');
INSERT INTO `lang_definitions` VALUES (118531, 5775, 32, 'Odeslat zprávu');
INSERT INTO `lang_definitions` VALUES (118532, 5776, 32, 'Odeslat připomenutí hromadně');
INSERT INTO `lang_definitions` VALUES (118533, 5779, 32, 'Odeslat tento soubor');
INSERT INTO `lang_definitions` VALUES (118534, 5780, 32, 'Odeslat tuto zprávu');
INSERT INTO `lang_definitions` VALUES (118535, 5781, 32, 'Odeslat komu');
INSERT INTO `lang_definitions` VALUES (118536, 5784, 32, 'Odeslat všem');
INSERT INTO `lang_definitions` VALUES (118537, 5786, 32, 'Odeslat na portál');
INSERT INTO `lang_definitions` VALUES (118538, 5787, 32, 'Odeslat na portál');
INSERT INTO `lang_definitions` VALUES (118539, 5788, 32, 'Odesílatel');
INSERT INTO `lang_definitions` VALUES (118540, 5789, 32, 'ID odesílatele');
INSERT INTO `lang_definitions` VALUES (118541, 5790, 32, 'ID odesílatele (ISA06)');
INSERT INTO `lang_definitions` VALUES (118542, 5792, 32, 'ID odesílatele');
INSERT INTO `lang_definitions` VALUES (118543, 5793, 32, 'Odesílání komu');
INSERT INTO `lang_definitions` VALUES (118544, 5795, 32, 'Citlivost:');
INSERT INTO `lang_definitions` VALUES (118545, 5796, 32, 'Vyšetření čití bpn');
INSERT INTO `lang_definitions` VALUES (118546, 5797, 32, 'Odesláno');
INSERT INTO `lang_definitions` VALUES (118547, 5798, 32, 'Odesláno - Potvrzeno');
INSERT INTO `lang_definitions` VALUES (118548, 5799, 32, 'Odesláno kým, ponechte prázdné pro výběr všech');
INSERT INTO `lang_definitions` VALUES (118549, 5800, 32, 'Odesláno kým:');
INSERT INTO `lang_definitions` VALUES (118550, 5801, 32, 'Datum odeslání');
INSERT INTO `lang_definitions` VALUES (118551, 5803, 32, 'Odeslané lékařské zprávy ?');
INSERT INTO `lang_definitions` VALUES (118552, 5804, 32, 'Odesláno úspěšně');
INSERT INTO `lang_definitions` VALUES (118553, 5807, 32, 'odesláno do tiskárny');
INSERT INTO `lang_definitions` VALUES (118554, 5808, 32, 'Odesláno komu, nechte prázdné pro výběr všech');
INSERT INTO `lang_definitions` VALUES (118555, 5809, 32, 'Odesláno komu:');
INSERT INTO `lang_definitions` VALUES (118556, 5810, 32, 'Odesláno, ale doručení nebylo dosud potvrzeno.');
INSERT INTO `lang_definitions` VALUES (118557, 5811, 32, 'Odesláno, nepřijato');
INSERT INTO `lang_definitions` VALUES (118558, 5812, 32, 'Zář.');
INSERT INTO `lang_definitions` VALUES (118559, 5813, 32, 'Odloučený');
INSERT INTO `lang_definitions` VALUES (118560, 5814, 32, 'Září');
INSERT INTO `lang_definitions` VALUES (118561, 5819, 32, 'Server může být offline');
INSERT INTO `lang_definitions` VALUES (118562, 5820, 32, 'Zpráva serveru:');
INSERT INTO `lang_definitions` VALUES (118563, 5821, 32, 'Služba');
INSERT INTO `lang_definitions` VALUES (118564, 5822, 32, 'Kategorie služby');
INSERT INTO `lang_definitions` VALUES (118565, 5823, 32, 'Kód služby');
INSERT INTO `lang_definitions` VALUES (118566, 5825, 32, 'Kódy služeb');
INSERT INTO `lang_definitions` VALUES (118567, 5826, 32, 'Datum služby');
INSERT INTO `lang_definitions` VALUES (118568, 5827, 32, 'Datum služby :');
INSERT INTO `lang_definitions` VALUES (118569, 5829, 32, 'Umístění služby');
INSERT INTO `lang_definitions` VALUES (118570, 5830, 32, 'Název služby');
INSERT INTO `lang_definitions` VALUES (118571, 5831, 32, 'Služba poskytovaná specialistou');
INSERT INTO `lang_definitions` VALUES (118572, 5834, 32, 'Služby');
INSERT INTO `lang_definitions` VALUES (118573, 5835, 32, 'Služby podle kategorie');
INSERT INTO `lang_definitions` VALUES (118574, 5836, 32, 'Služby poskytnuté');
INSERT INTO `lang_definitions` VALUES (118575, 5837, 32, 'Služby poskytnuté');
INSERT INTO `lang_definitions` VALUES (118576, 5838, 32, 'Služby/Produkty');
INSERT INTO `lang_definitions` VALUES (118577, 5839, 32, 'Typ sezení');
INSERT INTO `lang_definitions` VALUES (118578, 5840, 32, 'Nastavit');
INSERT INTO `lang_definitions` VALUES (118579, 5843, 32, 'Nastavit prioritu zpracování pro CDR zprávy');
INSERT INTO `lang_definitions` VALUES (118580, 5844, 32, 'Nastavit prioritu zpracování pro pacientské připomínky ( v plném klinickém módu)');
INSERT INTO `lang_definitions` VALUES (118581, 5847, 32, 'Nastavit na výchozí');
INSERT INTO `lang_definitions` VALUES (118582, 5848, 32, 'Nastavení čísla verze v databázi');
INSERT INTO `lang_definitions` VALUES (118583, 5849, 32, 'Nastavení');
INSERT INTO `lang_definitions` VALUES (118584, 5851, 32, 'Těžká migréna');
INSERT INTO `lang_definitions` VALUES (118585, 5853, 32, 'Stupeň bolesti');
INSERT INTO `lang_definitions` VALUES (118586, 5854, 32, 'Stupeň bolesti');
INSERT INTO `lang_definitions` VALUES (118587, 5855, 32, 'Pohlaví');
INSERT INTO `lang_definitions` VALUES (118588, 5856, 32, 'Sexuálně přenosné choroby');
INSERT INTO `lang_definitions` VALUES (118589, 5859, 32, 'Sdílení');
INSERT INTO `lang_definitions` VALUES (118590, 5863, 32, 'Krátký popis');
INSERT INTO `lang_definitions` VALUES (118591, 5864, 32, 'Dušnost');
INSERT INTO `lang_definitions` VALUES (118592, 5865, 32, 'Dušnost');
INSERT INTO `lang_definitions` VALUES (118593, 5866, 32, 'Dušnost 2');
INSERT INTO `lang_definitions` VALUES (118594, 5869, 32, 'Mělo by být povoleno');
INSERT INTO `lang_definitions` VALUES (118595, 5870, 32, 'Mělo by být jako nnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (118596, 5871, 32, 'Mělo by obsahovat 2 písmena');
INSERT INTO `lang_definitions` VALUES (118597, 5872, 32, 'Má obsahovat 10 čísel');
INSERT INTO `lang_definitions` VALUES (118598, 5873, 32, 'Má obsahovat pouze 10 čísel');
INSERT INTO `lang_definitions` VALUES (118599, 5874, 32, 'Rameno');
INSERT INTO `lang_definitions` VALUES (118600, 5875, 32, 'Rameno + klíční kost');
INSERT INTO `lang_definitions` VALUES (118601, 5876, 32, 'Problémy s ramenem');
INSERT INTO `lang_definitions` VALUES (118602, 5877, 32, 'Zobrazit');
INSERT INTO `lang_definitions` VALUES (118603, 5878, 32, 'Zobrazit aktivní');
INSERT INTO `lang_definitions` VALUES (118604, 5880, 32, 'Zobrazit vše');
INSERT INTO `lang_definitions` VALUES (118605, 5881, 32, 'Zobrazit všechny procedury');
INSERT INTO `lang_definitions` VALUES (118606, 5883, 32, 'Zobrazit všechny transakce');
INSERT INTO `lang_definitions` VALUES (118607, 5884, 32, 'Zobrazit jako zaneprázdněný');
INSERT INTO `lang_definitions` VALUES (118608, 5885, 32, 'Zobrazit pouze oprávněné');
INSERT INTO `lang_definitions` VALUES (118609, 5886, 32, 'Zobrazit dostupné časy');
INSERT INTO `lang_definitions` VALUES (118610, 5887, 32, 'Zobrazit jak US tak metrické jednotky ( hlavní jednotky jsou metrické)');
INSERT INTO `lang_definitions` VALUES (118611, 5888, 32, 'Zobrazit jak US tak metrické jednotky ( hlavní jednotky jsou US)');
INSERT INTO `lang_definitions` VALUES (118612, 5889, 32, 'Zobrazit detaily');
INSERT INTO `lang_definitions` VALUES (118613, 5890, 32, 'Zobrazit pouze chyby ?');
INSERT INTO `lang_definitions` VALUES (118614, 5891, 32, 'Zobrazit graf');
INSERT INTO `lang_definitions` VALUES (118615, 5892, 32, 'Zobrazit plovoucí text při přejetí myší ?');
INSERT INTO `lang_definitions` VALUES (118616, 5893, 32, 'Kolik událostí zobrazit na stránce správy ?');
INSERT INTO `lang_definitions` VALUES (118617, 5894, 32, 'Zobrazit neaktivní');
INSERT INTO `lang_definitions` VALUES (118618, 5896, 32, 'Zobrazit menu');
INSERT INTO `lang_definitions` VALUES (118619, 5897, 32, 'Zobrazit pouze metrické');
INSERT INTO `lang_definitions` VALUES (118620, 5898, 32, 'Zobrazit poznámky');
INSERT INTO `lang_definitions` VALUES (118621, 5901, 32, 'Zobrazit poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (118622, 5905, 32, 'Zobrazit připomínky');
INSERT INTO `lang_definitions` VALUES (118623, 5906, 32, 'Zobrazit zprávu');
INSERT INTO `lang_definitions` VALUES (118624, 5915, 32, 'Zobrazení');
INSERT INTO `lang_definitions` VALUES (118625, 5916, 32, 'Zobrazení výsledků');
INSERT INTO `lang_definitions` VALUES (118626, 5918, 32, 'RA - sourozenci');
INSERT INTO `lang_definitions` VALUES (118627, 5920, 32, 'Sourozenci');
INSERT INTO `lang_definitions` VALUES (118628, 5923, 32, 'Sigmoideo - colonoskopie');
INSERT INTO `lang_definitions` VALUES (118629, 5927, 32, 'Podpis');
INSERT INTO `lang_definitions` VALUES (118630, 5929, 32, 'Podpis:');
INSERT INTO `lang_definitions` VALUES (118631, 5932, 32, 'Významný otok:');
INSERT INTO `lang_definitions` VALUES (118632, 5933, 32, 'Zjednodušeně');
INSERT INTO `lang_definitions` VALUES (118633, 5935, 32, 'Zjednodušené personální údaje');
INSERT INTO `lang_definitions` VALUES (118634, 5936, 32, 'Zjednodušené preskripce');
INSERT INTO `lang_definitions` VALUES (118635, 5937, 32, 'Od');
INSERT INTO `lang_definitions` VALUES (118636, 5938, 32, 'Srdečně,');
INSERT INTO `lang_definitions` VALUES (118637, 5946, 32, 'Problémy PND');
INSERT INTO `lang_definitions` VALUES (118638, 5947, 32, 'Chirurgie PND');
INSERT INTO `lang_definitions` VALUES (118639, 5948, 32, 'Citlivost PND');
INSERT INTO `lang_definitions` VALUES (118640, 5949, 32, 'Sinusitis');
INSERT INTO `lang_definitions` VALUES (118641, 5950, 32, 'Stránka');
INSERT INTO `lang_definitions` VALUES (118642, 5951, 32, 'ID stránky');
INSERT INTO `lang_definitions` VALUES (118643, 5957, 32, 'Velikost musí být číslo mezi 1 -999');
INSERT INTO `lang_definitions` VALUES (118644, 5958, 32, 'Velikost/Seznam');
INSERT INTO `lang_definitions` VALUES (118645, 5959, 32, 'Kůže');
INSERT INTO `lang_definitions` VALUES (118646, 5960, 32, 'Kožní nádor');
INSERT INTO `lang_definitions` VALUES (118647, 5961, 32, 'Kožní onemocnění');
INSERT INTO `lang_definitions` VALUES (118648, 5963, 32, 'Přeskočit ověření poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (118649, 5964, 32, 'Vynechávám sekci');
INSERT INTO `lang_definitions` VALUES (118650, 5967, 32, 'Kvalita spánku');
INSERT INTO `lang_definitions` VALUES (118651, 5968, 32, 'Kvalita spánku');
INSERT INTO `lang_definitions` VALUES (118652, 5969, 32, 'Spánek');
INSERT INTO `lang_definitions` VALUES (118653, 5974, 32, 'Aktuální stav kuřáctví neznámý');
INSERT INTO `lang_definitions` VALUES (118654, 5976, 32, 'Kuřáctví');
INSERT INTO `lang_definitions` VALUES (118655, 5977, 32, 'SMS opráv.');
INSERT INTO `lang_definitions` VALUES (118656, 5978, 32, 'SMS brána');
INSERT INTO `lang_definitions` VALUES (118657, 5979, 32, 'API klíč SMS brány');
INSERT INTO `lang_definitions` VALUES (118658, 5980, 32, 'API klíč SMS brány');
INSERT INTO `lang_definitions` VALUES (118659, 5981, 32, 'Heslo SMS brány');
INSERT INTO `lang_definitions` VALUES (118660, 5982, 32, 'Uživatelské jméno pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (118661, 5983, 32, 'SMS upozornění');
INSERT INTO `lang_definitions` VALUES (118662, 5984, 32, 'Hodiny pro SMS upozornění');
INSERT INTO `lang_definitions` VALUES (118663, 5985, 32, 'Odeslat SMS před');
INSERT INTO `lang_definitions` VALUES (118664, 5986, 32, 'SMS odeslána');
INSERT INTO `lang_definitions` VALUES (118665, 5988, 32, 'SMS/Email upozornění bylo odesláno');
INSERT INTO `lang_definitions` VALUES (118666, 5989, 32, 'SMTP heslo pro ověření');
INSERT INTO `lang_definitions` VALUES (118667, 5992, 32, 'Jméno hosta SMTP serveru');
INSERT INTO `lang_definitions` VALUES (118668, 5993, 32, 'Číslo portu SMTP serveru');
INSERT INTO `lang_definitions` VALUES (118669, 5994, 32, 'Ověření uživatele SMTP');
INSERT INTO `lang_definitions` VALUES (118670, 6004, 32, 'chrápání');
INSERT INTO `lang_definitions` VALUES (118671, 6005, 32, 'SOZD');
INSERT INTO `lang_definitions` VALUES (118672, 6006, 32, 'Sociální rozdíly');
INSERT INTO `lang_definitions` VALUES (118673, 6009, 32, 'SA');
INSERT INTO `lang_definitions` VALUES (118674, 6011, 32, 'řešení');
INSERT INTO `lang_definitions` VALUES (118675, 6015, 32, 'Některé kódy nebyly zobrazeny.');
INSERT INTO `lang_definitions` VALUES (118676, 6016, 32, 'Některá vyšetření nebyla zobrazena. Klikem zde zobrazíte vše.');
INSERT INTO `lang_definitions` VALUES (118677, 6017, 32, 'Během identifikace se objevily chyby.');
INSERT INTO `lang_definitions` VALUES (118678, 6018, 32, 'Některé poznámky nebyly zobrazeny');
INSERT INTO `lang_definitions` VALUES (118679, 6021, 32, 'Někdo jiný změnil tuto návštěvu. Zruště stránku a zkuste to znovu.');
INSERT INTO `lang_definitions` VALUES (118680, 6023, 32, 'Něco se pokazilo :-) Zkuste to znovu');
INSERT INTO `lang_definitions` VALUES (118681, 6026, 32, 'Bolesti v krku');
INSERT INTO `lang_definitions` VALUES (118682, 6028, 32, 'Omouváme se , ale došlo k problému při nahrávání souboru.');
INSERT INTO `lang_definitions` VALUES (118683, 6029, 32, 'Seřadit podle');
INSERT INTO `lang_definitions` VALUES (118684, 6030, 32, 'Seřadit podle');
INSERT INTO `lang_definitions` VALUES (118685, 6031, 32, 'Seřadit podle kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (118686, 6032, 32, 'Seřadit podle komentářů');
INSERT INTO `lang_definitions` VALUES (118687, 6034, 32, 'Seřadit podle data');
INSERT INTO `lang_definitions` VALUES (118688, 6035, 32, 'Seřadit podle data/času');
INSERT INTO `lang_definitions` VALUES (118689, 6036, 32, 'Seřadit podle události');
INSERT INTO `lang_definitions` VALUES (118690, 6037, 32, 'Seřadit podle skupiny');
INSERT INTO `lang_definitions` VALUES (118691, 6038, 32, 'Seřadit podle nového kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (118692, 6039, 32, 'Seřadit podle strarého kontrolního součtu');
INSERT INTO `lang_definitions` VALUES (118693, 6040, 32, 'Seřadit podle ID Pacienta');
INSERT INTO `lang_definitions` VALUES (118694, 6043, 32, 'Seřadit podle uživatele');
INSERT INTO `lang_definitions` VALUES (118695, 6044, 32, 'Seřadit podle vakcíny');
INSERT INTO `lang_definitions` VALUES (118696, 6045, 32, 'Seřadit sestupně');
INSERT INTO `lang_definitions` VALUES (118697, 6046, 32, 'Seřadit výsledky podle');
INSERT INTO `lang_definitions` VALUES (118698, 6047, 32, 'Seřadit vzestupně');
INSERT INTO `lang_definitions` VALUES (118699, 6048, 32, 'Zdroj');
INSERT INTO `lang_definitions` VALUES (118700, 6049, 32, 'Zdrojový soubor');
INSERT INTO `lang_definitions` VALUES (118701, 6050, 32, 'Cesta ke zdrojovému souboru');
INSERT INTO `lang_definitions` VALUES (118702, 6051, 32, 'Pro kód chybí zdroj ');
INSERT INTO `lang_definitions` VALUES (118703, 6052, 32, 'Zdrojové množství');
INSERT INTO `lang_definitions` VALUES (118704, 6054, 32, 'Zdrojový pacient');
INSERT INTO `lang_definitions` VALUES (118705, 6055, 32, 'Zdrojový pacient nemá datum narození');
INSERT INTO `lang_definitions` VALUES (118706, 6056, 32, 'Zdrojový pacient nenalezen');
INSERT INTO `lang_definitions` VALUES (118707, 6057, 32, 'Zdroj:');
INSERT INTO `lang_definitions` VALUES (118708, 6060, 32, 'Prostor');
INSERT INTO `lang_definitions` VALUES (118709, 6061, 32, 'PROSTOR');
INSERT INTO `lang_definitions` VALUES (118710, 6066, 32, 'Nejsou povoleny speciální znaky');
INSERT INTO `lang_definitions` VALUES (118711, 6068, 32, 'Specialista');
INSERT INTO `lang_definitions` VALUES (118712, 6069, 32, 'Jméno a podpis specialisty');
INSERT INTO `lang_definitions` VALUES (118713, 6071, 32, 'Specializace');
INSERT INTO `lang_definitions` VALUES (118714, 6073, 32, 'Specializace:');
INSERT INTO `lang_definitions` VALUES (118715, 6074, 32, 'Specifický');
INSERT INTO `lang_definitions` VALUES (118716, 6077, 32, 'Specifické výsledky');
INSERT INTO `lang_definitions` VALUES (118717, 6078, 32, 'Specifická služba');
INSERT INTO `lang_definitions` VALUES (118718, 6079, 32, 'Specifikováno');
INSERT INTO `lang_definitions` VALUES (118719, 6088, 32, 'Vzorek');
INSERT INTO `lang_definitions` VALUES (118720, 6089, 32, 'číslo/identifikátor vzorku');
INSERT INTO `lang_definitions` VALUES (118721, 6090, 32, 'Typ vzorku');
INSERT INTO `lang_definitions` VALUES (118722, 6093, 32, 'Spermicid');
INSERT INTO `lang_definitions` VALUES (118723, 6094, 32, 'Splenektomie');
INSERT INTO `lang_definitions` VALUES (118724, 6095, 32, 'manžel(ka)');
INSERT INTO `lang_definitions` VALUES (118725, 6112, 32, 'Správa SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (118726, 6114, 32, 'Stabilita');
INSERT INTO `lang_definitions` VALUES (118727, 6117, 32, 'Standarní kód');
INSERT INTO `lang_definitions` VALUES (118728, 6118, 32, 'Standardní měření');
INSERT INTO `lang_definitions` VALUES (118729, 6119, 32, 'Standardní měření (aktivní upozornění)');
INSERT INTO `lang_definitions` VALUES (118730, 6120, 32, 'Standardní měření (pasivní upozornění)');
INSERT INTO `lang_definitions` VALUES (118731, 6121, 32, 'Standardní měření (Pacientské upomínky)');
INSERT INTO `lang_definitions` VALUES (118732, 6122, 32, 'Standardní jméno');
INSERT INTO `lang_definitions` VALUES (118733, 6124, 32, 'Začátek');
INSERT INTO `lang_definitions` VALUES (118734, 6125, 32, 'Začátek (rrrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (118735, 6126, 32, 'Začít jinou zprávu');
INSERT INTO `lang_definitions` VALUES (118736, 6128, 32, 'Datum počátku');
INSERT INTO `lang_definitions` VALUES (118737, 6129, 32, 'Počáteční datum této kliniky');
INSERT INTO `lang_definitions` VALUES (118738, 6130, 32, 'Počáteční datum by nemělo být vyšší než koncové');
INSERT INTO `lang_definitions` VALUES (118739, 6131, 32, 'Počáteční datum:');
INSERT INTO `lang_definitions` VALUES (118740, 6132, 32, 'Počáteční datum:');
INSERT INTO `lang_definitions` VALUES (118741, 6133, 32, 'Čas začátku:');
INSERT INTO `lang_definitions` VALUES (118742, 6134, 32, 'Počáteční datum:');
INSERT INTO `lang_definitions` VALUES (118743, 6144, 32, 'Stát/Lokalita');
INSERT INTO `lang_definitions` VALUES (118744, 6150, 32, 'Statický text');
INSERT INTO `lang_definitions` VALUES (118745, 6151, 32, 'Statistika');
INSERT INTO `lang_definitions` VALUES (118746, 6154, 32, 'Stav přijetí');
INSERT INTO `lang_definitions` VALUES (118747, 6155, 32, 'Stav požadavku');
INSERT INTO `lang_definitions` VALUES (118748, 6164, 32, 'Kroky instalace DCM IV databáze');
INSERT INTO `lang_definitions` VALUES (118749, 6165, 32, 'Kroky instalace ICD 10 databáze');
INSERT INTO `lang_definitions` VALUES (118750, 6166, 32, 'Kroky instalace ICD 9 databáze');
INSERT INTO `lang_definitions` VALUES (118751, 6167, 32, 'Kroky instalace RxNorm databáze');
INSERT INTO `lang_definitions` VALUES (118752, 6168, 32, 'Kroky instalace Snomed databáze');
INSERT INTO `lang_definitions` VALUES (118753, 6169, 32, 'kloubní ztuhlost');
INSERT INTO `lang_definitions` VALUES (118754, 6170, 32, 'ztuhlost');
INSERT INTO `lang_definitions` VALUES (118755, 6172, 32, 'Bolesti břicha');
INSERT INTO `lang_definitions` VALUES (118756, 6175, 32, 'Svalové napětí');
INSERT INTO `lang_definitions` VALUES (118757, 6176, 32, 'Proud');
INSERT INTO `lang_definitions` VALUES (118758, 6177, 32, 'Ulice');
INSERT INTO `lang_definitions` VALUES (118759, 6178, 32, 'Adresa ulice');
INSERT INTO `lang_definitions` VALUES (118760, 6179, 32, 'Ulice a číslo');
INSERT INTO `lang_definitions` VALUES (118761, 6180, 32, 'Síla');
INSERT INTO `lang_definitions` VALUES (118762, 6182, 32, 'Streptokoková pharyngitis');
INSERT INTO `lang_definitions` VALUES (118763, 6185, 32, 'CMP');
INSERT INTO `lang_definitions` VALUES (118764, 6186, 32, 'Silné heslo znamená alespoň 8 znaků a alespoň tři znaky jako jsou : číslo, malé písmeno, velké písmeno, speciální znak.');
INSERT INTO `lang_definitions` VALUES (118765, 6187, 32, 'Styl');
INSERT INTO `lang_definitions` VALUES (118766, 6189, 32, 'Podkategorie');
INSERT INTO `lang_definitions` VALUES (118767, 6191, 32, 'Podkategorie');
INSERT INTO `lang_definitions` VALUES (118768, 6192, 32, 'podkategorie');
INSERT INTO `lang_definitions` VALUES (118769, 6193, 32, 'podkožně');
INSERT INTO `lang_definitions` VALUES (118770, 6195, 32, 'Subjektivně');
INSERT INTO `lang_definitions` VALUES (118771, 6196, 32, 'Sublinguálně');
INSERT INTO `lang_definitions` VALUES (118772, 6197, 32, 'sublinguálně');
INSERT INTO `lang_definitions` VALUES (118773, 6237, 32, 'Substituce');
INSERT INTO `lang_definitions` VALUES (118774, 6240, 32, 'Úspěch');
INSERT INTO `lang_definitions` VALUES (118775, 6241, 32, 'úspěch');
INSERT INTO `lang_definitions` VALUES (118776, 6242, 32, 'Příjem laboratorních výsledků byl úspěšně potvrzen');
INSERT INTO `lang_definitions` VALUES (118777, 6243, 32, 'Laboratorní výsledky úspěšně přijaty');
INSERT INTO `lang_definitions` VALUES (118778, 6246, 32, 'Kategorie úspěšně přidána');
INSERT INTO `lang_definitions` VALUES (118779, 6247, 32, 'přidání do kategorie bylo úspěšné');
INSERT INTO `lang_definitions` VALUES (118780, 6248, 32, 'Úspěšně smazáno');
INSERT INTO `lang_definitions` VALUES (118781, 6250, 32, 'Databáze byla úspěšně  instalována.');
INSERT INTO `lang_definitions` VALUES (118782, 6251, 32, 'Následující databáze byla úspěšně instalována.');
INSERT INTO `lang_definitions` VALUES (118783, 6252, 32, 'Úspěšně modifikováno');
INSERT INTO `lang_definitions` VALUES (118784, 6253, 32, 'Úspěšně uloženo. Chcete alokovat ?');
INSERT INTO `lang_definitions` VALUES (118785, 6254, 32, 'Úspěšně uloženo. Chcete distribuovat ?');
INSERT INTO `lang_definitions` VALUES (118786, 6256, 32, 'Úspěšně uloženo.');
INSERT INTO `lang_definitions` VALUES (118787, 6257, 32, 'Upgrade databáze byl úspěšný.');
INSERT INTO `lang_definitions` VALUES (118788, 6258, 32, 'Upgrade následující databáze byl úspěšný.');
INSERT INTO `lang_definitions` VALUES (118789, 6259, 32, 'úspěšně.');
INSERT INTO `lang_definitions` VALUES (118790, 6260, 32, 'Sebevražda');
INSERT INTO `lang_definitions` VALUES (118791, 6261, 32, 'Souhrn');
INSERT INTO `lang_definitions` VALUES (118792, 6262, 32, 'Souhrn');
INSERT INTO `lang_definitions` VALUES (118793, 6265, 32, 'Ne');
INSERT INTO `lang_definitions` VALUES (118794, 6267, 32, 'Neděle');
INSERT INTO `lang_definitions` VALUES (118795, 6289, 32, 'Typ povrchu');
INSERT INTO `lang_definitions` VALUES (118796, 6290, 32, 'Operace');
INSERT INTO `lang_definitions` VALUES (118797, 6291, 32, 'Operace');
INSERT INTO `lang_definitions` VALUES (118798, 6299, 32, 'Pocení:');
INSERT INTO `lang_definitions` VALUES (118799, 6301, 32, 'Otok');
INSERT INTO `lang_definitions` VALUES (118800, 6303, 32, 'Otok kloubů');
INSERT INTO `lang_definitions` VALUES (118801, 6304, 32, 'Lymfadenopatie');
INSERT INTO `lang_definitions` VALUES (118802, 6305, 32, 'Symbol pro oddělení desetinného místa měny. Nepoužije se pokud je desetinné místo 0.');
INSERT INTO `lang_definitions` VALUES (118803, 6306, 32, 'Symbol pro oddělení tisíců měny.');
INSERT INTO `lang_definitions` VALUES (118804, 6307, 32, 'Přiznaky');
INSERT INTO `lang_definitions` VALUES (118805, 6308, 32, 'Synchronizace');
INSERT INTO `lang_definitions` VALUES (118806, 6313, 32, 'Synkopa');
INSERT INTO `lang_definitions` VALUES (118807, 6318, 32, 'Systém');
INSERT INTO `lang_definitions` VALUES (118808, 6325, 32, 'Tabulka');
INSERT INTO `lang_definitions` VALUES (118809, 6327, 32, 'Vytvoření tabulky selhalo');
INSERT INTO `lang_definitions` VALUES (118810, 6328, 32, 'Aktualizace tabulky selhalo');
INSERT INTO `lang_definitions` VALUES (118811, 6329, 32, 'Tabulky');
INSERT INTO `lang_definitions` VALUES (118812, 6364, 32, 'Mezinárodní předvolba');
INSERT INTO `lang_definitions` VALUES (118813, 6369, 32, 'Teplota');
INSERT INTO `lang_definitions` VALUES (118814, 6370, 32, 'Šablona');
INSERT INTO `lang_definitions` VALUES (118815, 6371, 32, 'Jméno šablony');
INSERT INTO `lang_definitions` VALUES (118816, 6372, 32, 'Jména šablon nemohou začínat čísly');
INSERT INTO `lang_definitions` VALUES (118817, 6373, 32, 'Šablona:');
INSERT INTO `lang_definitions` VALUES (118818, 6374, 32, 'Šablony');
INSERT INTO `lang_definitions` VALUES (118819, 6375, 32, 'Arteria temporalis');
INSERT INTO `lang_definitions` VALUES (118820, 6376, 32, 'Poranění šlachy');
INSERT INTO `lang_definitions` VALUES (118821, 6386, 32, 'Textová diagnóza');
INSERT INTO `lang_definitions` VALUES (118822, 6387, 32, 'Textové pole');
INSERT INTO `lang_definitions` VALUES (118823, 6395, 32, 'Textová oblast');
INSERT INTO `lang_definitions` VALUES (118824, 6396, 32, 'textová oblast');
INSERT INTO `lang_definitions` VALUES (118825, 6402, 32, 'Děkujeme');
INSERT INTO `lang_definitions` VALUES (118826, 6403, 32, 'Děkujeme, že jste si vybrali');
INSERT INTO `lang_definitions` VALUES (118827, 6404, 32, 'Tlačítko \"Vyčistit\" odstraní všechny anotace');
INSERT INTO `lang_definitions` VALUES (118828, 6616, 32, 'To sloučí dva grafy pacienta do jednoho. To je užitečné v případě, že pacient byl kopírován omylem. Pokud se tak stane často, opravte vaše  procedury.');
INSERT INTO `lang_definitions` VALUES (118829, 6617, 32, 'Toto vám nezabrání v přechodu na stránku e-Preskripce');
INSERT INTO `lang_definitions` VALUES (118830, 6619, 32, 'Bude použit přednostně  uživatelský list vakcinací před jeho standardní CVX formou');
INSERT INTO `lang_definitions` VALUES (118831, 6622, 32, 'Hrudní páteř');
INSERT INTO `lang_definitions` VALUES (118832, 6625, 32, 'Dutina ústní');
INSERT INTO `lang_definitions` VALUES (118833, 6626, 32, 'Karcinom dutiny ústní');
INSERT INTO `lang_definitions` VALUES (118834, 6627, 32, 'Operace karcinomu dutiny ústní');
INSERT INTO `lang_definitions` VALUES (118835, 6628, 32, 'Trombóza/CMP');
INSERT INTO `lang_definitions` VALUES (118836, 6629, 32, 'Čt');
INSERT INTO `lang_definitions` VALUES (118837, 6630, 32, 'Čtvrtek');
INSERT INTO `lang_definitions` VALUES (118838, 6631, 32, 'Čtvrtek');
INSERT INTO `lang_definitions` VALUES (118839, 6632, 32, 'Štítná žláza bpn.');
INSERT INTO `lang_definitions` VALUES (118840, 6633, 32, 'Problémy se štítnou žlázou');
INSERT INTO `lang_definitions` VALUES (118841, 6638, 32, 'Čas');
INSERT INTO `lang_definitions` VALUES (118842, 6639, 32, 'Formát zobrazení');
INSERT INTO `lang_definitions` VALUES (118843, 6640, 32, 'Čas pro přidání (1-60 minut)');
INSERT INTO `lang_definitions` VALUES (118844, 6641, 32, 'Výběr času');
INSERT INTO `lang_definitions` VALUES (118845, 6642, 32, 'Otevřená časová pozice, ukládám událost.');
INSERT INTO `lang_definitions` VALUES (118846, 6647, 32, 'Načasované události');
INSERT INTO `lang_definitions` VALUES (118847, 6649, 32, 'Časová značka a text');
INSERT INTO `lang_definitions` VALUES (118848, 6655, 32, 'Tituly');
INSERT INTO `lang_definitions` VALUES (118849, 6661, 32, 'do absolutní cesty k souboru');
INSERT INTO `lang_definitions` VALUES (118850, 6662, 32, 'Klikněte pro přidání poznámek ');
INSERT INTO `lang_definitions` VALUES (118851, 6663, 32, 'Klikněte zde pro přidání poznámek');
INSERT INTO `lang_definitions` VALUES (118852, 6664, 32, 'Do dotčené oblasti');
INSERT INTO `lang_definitions` VALUES (118853, 6665, 32, 'do dotčené oblasti');
INSERT INTO `lang_definitions` VALUES (118854, 6668, 32, 'do kategorie');
INSERT INTO `lang_definitions` VALUES (118855, 6671, 32, 'Musí být zadáno pozdější datum než datum od !');
INSERT INTO `lang_definitions` VALUES (118856, 6674, 32, 'Pro vypnutí klientských SSL certifikátů, zakomentujte výše uvedené řádky v konfiguraci Appache a nastavte');
INSERT INTO `lang_definitions` VALUES (118857, 6675, 32, 'Pro vypnutí HTTP, zakomentujte výše uvedené řádky v konfiguraci Appache a restartujte Apache server');
INSERT INTO `lang_definitions` VALUES (118858, 6676, 32, 'Pro povolení klientských SSL certifikátů');
INSERT INTO `lang_definitions` VALUES (118859, 6677, 32, 'Pro zapnutí ověření klientských SSL certifikátů musí být zapnuto HTTPS');
INSERT INTO `lang_definitions` VALUES (118860, 6678, 32, 'Pro povolení pouze  HTTPS, proveďte výše uvedené změny a restartujte server Apache. Chcete-li nastavit také klientské certifikáty, prosím nakonfigurujte je  v další sekci.');
INSERT INTO `lang_definitions` VALUES (118861, 6680, 32, 'Filtorovat podle pohlaví');
INSERT INTO `lang_definitions` VALUES (118862, 6683, 32, 'Pro propojení tohoto vyšetření /konzultace s existujícím problémem klikněte ');
INSERT INTO `lang_definitions` VALUES (118863, 6684, 32, 'Pro propojení tohoto vyšetření /konzultace s existujícím problémem klikem označte požadovaný problém a klikněte na [Uložit]. Pro výběr  více problému držte stisknutou klávesu [Ctrl].');
INSERT INTO `lang_definitions` VALUES (118864, 6685, 32, 'přihlásit se znovu');
INSERT INTO `lang_definitions` VALUES (118865, 6688, 32, 'Pro nastavení http přístupu přes klientský certifikát proveďte následující');
INSERT INTO `lang_definitions` VALUES (118866, 6691, 32, 'k této návštěvě ?');
INSERT INTO `lang_definitions` VALUES (118867, 6692, 32, 'K nahrátí dokumentu CCR u již existujícího pacienta použijte volbu v  Souhrnném okno pacienta->Dokumenty. Pro nahrátí dokumentů nového pacienta použijte  volbu Různé->Nový dokument.');
INSERT INTO `lang_definitions` VALUES (118868, 6693, 32, 'Do:');
INSERT INTO `lang_definitions` VALUES (118869, 6694, 32, 'Do: ');
INSERT INTO `lang_definitions` VALUES (118870, 6708, 32, 'Tabák');
INSERT INTO `lang_definitions` VALUES (118871, 6711, 32, 'Užívání tabákových výrobků');
INSERT INTO `lang_definitions` VALUES (118872, 6712, 32, 'Užívání tabákových výrobků');
INSERT INTO `lang_definitions` VALUES (118873, 6715, 32, 'Dnes');
INSERT INTO `lang_definitions` VALUES (118874, 6716, 32, 'DNES');
INSERT INTO `lang_definitions` VALUES (118875, 6717, 32, 'dnes');
INSERT INTO `lang_definitions` VALUES (118876, 6718, 32, 'Dnešní bilance');
INSERT INTO `lang_definitions` VALUES (118877, 6719, 32, 'Dnešní platby');
INSERT INTO `lang_definitions` VALUES (118878, 6720, 32, 'Dnešní datum');
INSERT INTO `lang_definitions` VALUES (118879, 6721, 32, 'Dnešní události');
INSERT INTO `lang_definitions` VALUES (118880, 6722, 32, 'Přepnout vše');
INSERT INTO `lang_definitions` VALUES (118881, 6726, 32, 'Tonsilektomie');
INSERT INTO `lang_definitions` VALUES (118882, 6727, 32, 'tonsilektomie');
INSERT INTO `lang_definitions` VALUES (118883, 6728, 32, 'Nahoře');
INSERT INTO `lang_definitions` VALUES (118884, 6729, 32, 'Horní okraj (mm)');
INSERT INTO `lang_definitions` VALUES (118885, 6730, 32, 'Téma');
INSERT INTO `lang_definitions` VALUES (118886, 6731, 32, 'Celkový');
INSERT INTO `lang_definitions` VALUES (118887, 6732, 32, 'celkový');
INSERT INTO `lang_definitions` VALUES (118888, 6738, 32, 'Celkově zaplacené množství');
INSERT INTO `lang_definitions` VALUES (118889, 6740, 32, 'Celková platba');
INSERT INTO `lang_definitions` VALUES (118890, 6741, 32, 'Celkem platby');
INSERT INTO `lang_definitions` VALUES (118891, 6742, 32, 'Celkem klientů');
INSERT INTO `lang_definitions` VALUES (118892, 6743, 32, 'Celkové náklady');
INSERT INTO `lang_definitions` VALUES (118893, 6746, 32, 'Celkem neúspěšně odeslaných  mailových upomínek');
INSERT INTO `lang_definitions` VALUES (118894, 6748, 32, 'Celkem za');
INSERT INTO `lang_definitions` VALUES (118895, 6749, 32, 'Celkem za ');
INSERT INTO `lang_definitions` VALUES (118896, 6750, 32, 'Celkem za kategorii');
INSERT INTO `lang_definitions` VALUES (118897, 6752, 32, 'Celkem nových upomínek');
INSERT INTO `lang_definitions` VALUES (118898, 6753, 32, 'Celkový počet návštěv');
INSERT INTO `lang_definitions` VALUES (118899, 6755, 32, 'Celkový počet imunizací');
INSERT INTO `lang_definitions` VALUES (118900, 6756, 32, 'Celkový počet problémů');
INSERT INTO `lang_definitions` VALUES (118901, 6758, 32, 'Celkový počet pacientů');
INSERT INTO `lang_definitions` VALUES (118902, 6761, 32, 'Celkem pacientů');
INSERT INTO `lang_definitions` VALUES (118903, 6764, 32, 'Celkem nalezených záznamů');
INSERT INTO `lang_definitions` VALUES (118904, 6766, 32, 'Celkem úspěšně odeslaných e-mailových upomínek');
INSERT INTO `lang_definitions` VALUES (118905, 6776, 32, 'Součty');
INSERT INTO `lang_definitions` VALUES (118906, 6777, 32, 'Součty pro');
INSERT INTO `lang_definitions` VALUES (118907, 6784, 32, 'Sledování');
INSERT INTO `lang_definitions` VALUES (118908, 6785, 32, 'Typ tréninku');
INSERT INTO `lang_definitions` VALUES (118909, 6786, 32, 'Provést transakci');
INSERT INTO `lang_definitions` VALUES (118910, 6787, 32, 'Transakce');
INSERT INTO `lang_definitions` VALUES (118911, 6788, 32, 'transakce');
INSERT INTO `lang_definitions` VALUES (118912, 6790, 32, 'Transakce selhala, množství je menší než 0');
INSERT INTO `lang_definitions` VALUES (118913, 6791, 32, 'Typ transakce');
INSERT INTO `lang_definitions` VALUES (118914, 6792, 32, 'transactions');
INSERT INTO `lang_definitions` VALUES (118915, 6793, 32, 'Transakce');
INSERT INTO `lang_definitions` VALUES (118916, 6794, 32, 'Transakce (volitelně zapisovat)');
INSERT INTO `lang_definitions` VALUES (118917, 6795, 32, 'Transakce/Doporučení');
INSERT INTO `lang_definitions` VALUES (118918, 6797, 32, 'Převod');
INSERT INTO `lang_definitions` VALUES (118919, 6798, 32, 'Datum převodu');
INSERT INTO `lang_definitions` VALUES (118920, 6800, 32, 'Souhrn při předání');
INSERT INTO `lang_definitions` VALUES (118921, 6801, 32, 'Převod do/k');
INSERT INTO `lang_definitions` VALUES (118922, 6804, 32, 'Převody');
INSERT INTO `lang_definitions` VALUES (118923, 6806, 32, 'Přesun/Převod péče ?');
INSERT INTO `lang_definitions` VALUES (118924, 6807, 32, 'Přeložit skupiny pro kontrolu přístupu');
INSERT INTO `lang_definitions` VALUES (118925, 6808, 32, 'Přeložit kategorie návštěv');
INSERT INTO `lang_definitions` VALUES (118926, 6809, 32, 'Přeložit kategorie dokumentů');
INSERT INTO `lang_definitions` VALUES (118927, 6810, 32, 'Přeložit rozhraní');
INSERT INTO `lang_definitions` VALUES (118928, 6811, 32, 'Přeložit seznamy');
INSERT INTO `lang_definitions` VALUES (118929, 6812, 32, 'Přeložit název poznámky k pacientovi');
INSERT INTO `lang_definitions` VALUES (118930, 6813, 32, 'přeložit');
INSERT INTO `lang_definitions` VALUES (118931, 6814, 32, 'Překlad');
INSERT INTO `lang_definitions` VALUES (118932, 6815, 32, 'Překlady');
INSERT INTO `lang_definitions` VALUES (118933, 6816, 32, 'Odeslat');
INSERT INTO `lang_definitions` VALUES (118934, 6817, 32, 'Odeslání selhalo');
INSERT INTO `lang_definitions` VALUES (118935, 6818, 32, 'Odeslat vybrané objednávky');
INSERT INTO `lang_definitions` VALUES (118936, 6819, 32, 'Trauma');
INSERT INTO `lang_definitions` VALUES (118937, 6820, 32, 'Léčba');
INSERT INTO `lang_definitions` VALUES (118938, 6822, 32, 'Léčebné cíle');
INSERT INTO `lang_definitions` VALUES (118939, 6823, 32, 'Léčebný plán');
INSERT INTO `lang_definitions` VALUES (118940, 6824, 32, 'Plánovaná léčba');
INSERT INTO `lang_definitions` VALUES (118941, 6825, 32, 'Léčba podána');
INSERT INTO `lang_definitions` VALUES (118942, 6826, 32, 'Léčba:');
INSERT INTO `lang_definitions` VALUES (118943, 6827, 32, 'Léčba: ');
INSERT INTO `lang_definitions` VALUES (118944, 6828, 32, 'Tendence');
INSERT INTO `lang_definitions` VALUES (118945, 6830, 32, 'Trigger point / kompartment syndrom / DOMS / křeče');
INSERT INTO `lang_definitions` VALUES (118946, 6831, 32, 'Trimaleolární');
INSERT INTO `lang_definitions` VALUES (118947, 6832, 32, 'Trup a břicho');
INSERT INTO `lang_definitions` VALUES (118948, 6833, 32, 'Důvěryhodné adresy direct Emailu');
INSERT INTO `lang_definitions` VALUES (118949, 6834, 32, 'Důvěryhodné e-maily');
INSERT INTO `lang_definitions` VALUES (118950, 6835, 32, 'Pokus o vytvoření uživatele s již existujícím uživatelským jménem.');
INSERT INTO `lang_definitions` VALUES (118951, 6840, 32, 'Tuberkulóza');
INSERT INTO `lang_definitions` VALUES (118952, 6841, 32, 'Út');
INSERT INTO `lang_definitions` VALUES (118953, 6842, 32, 'Út &amp; Čt');
INSERT INTO `lang_definitions` VALUES (118954, 6843, 32, 'Úterý');
INSERT INTO `lang_definitions` VALUES (118955, 6844, 32, 'Nádor');
INSERT INTO `lang_definitions` VALUES (118956, 6848, 32, 'dvakrát denně');
INSERT INTO `lang_definitions` VALUES (118957, 6850, 32, 'Bubínek');
INSERT INTO `lang_definitions` VALUES (118958, 6851, 32, 'Typ');
INSERT INTO `lang_definitions` VALUES (118959, 6852, 32, 'Zadejte ID nebo Jméno. Minimálně 3 znaky včetně mezer.');
INSERT INTO `lang_definitions` VALUES (118960, 6853, 32, 'Typy sloupců zobrazených ve výsledcích hledání pacienta');
INSERT INTO `lang_definitions` VALUES (118961, 6854, 32, 'Způsob odhalení');
INSERT INTO `lang_definitions` VALUES (118962, 6855, 32, 'Typ událostí');
INSERT INTO `lang_definitions` VALUES (118963, 6856, 32, 'Typ rozvržení obrazovky');
INSERT INTO `lang_definitions` VALUES (118964, 6857, 32, 'Zde napiště nebo naskenujte identifikátor pacienta');
INSERT INTO `lang_definitions` VALUES (118965, 6858, 32, 'Zde napiště svou zprávu');
INSERT INTO `lang_definitions` VALUES (118966, 6859, 32, 'Typy objednávek a výsledků');
INSERT INTO `lang_definitions` VALUES (118967, 6866, 32, 'Ulcerace');
INSERT INTO `lang_definitions` VALUES (118968, 6867, 32, 'Collitis ulcerosa');
INSERT INTO `lang_definitions` VALUES (118969, 6868, 32, 'Vředy:');
INSERT INTO `lang_definitions` VALUES (118970, 6869, 32, 'Chyba přístupu k adresáři');
INSERT INTO `lang_definitions` VALUES (118971, 6870, 32, 'Chyba přístupu k URL');
INSERT INTO `lang_definitions` VALUES (118972, 6871, 32, 'Nelze vytvořit');
INSERT INTO `lang_definitions` VALUES (118973, 6872, 32, 'Nelze vytvořit podadresář s dokumenty pacienta');
INSERT INTO `lang_definitions` VALUES (118974, 6873, 32, 'Nelze najít data v tomto souboru');
INSERT INTO `lang_definitions` VALUES (118975, 6875, 32, 'Nelze upravit konfiguraci aplikace. Prosím přidejte právo zápisu k');
INSERT INTO `lang_definitions` VALUES (118976, 6876, 32, 'Nepoužito');
INSERT INTO `lang_definitions` VALUES (118977, 6877, 32, 'Nepřiřazeno');
INSERT INTO `lang_definitions` VALUES (118978, 6878, 32, 'Chybí oprávnění');
INSERT INTO `lang_definitions` VALUES (118979, 6879, 32, 'Neoprávněný přístup do ePreskripce');
INSERT INTO `lang_definitions` VALUES (118980, 6880, 32, 'Neoprávněný přístup.');
INSERT INTO `lang_definitions` VALUES (118981, 6881, 32, 'Nazaúčtováno');
INSERT INTO `lang_definitions` VALUES (118982, 6882, 32, 'Pouze nezaúčtováno');
INSERT INTO `lang_definitions` VALUES (118983, 6884, 32, 'pod jazykem');
INSERT INTO `lang_definitions` VALUES (118984, 6885, 32, 'Podváha');
INSERT INTO `lang_definitions` VALUES (118985, 6886, 32, 'Nediagnostikovaný');
INSERT INTO `lang_definitions` VALUES (118986, 6887, 32, 'Nedistribuovaný');
INSERT INTO `lang_definitions` VALUES (118987, 6892, 32, 'Unikátní klienti');
INSERT INTO `lang_definitions` VALUES (118988, 6894, 32, 'Unikátní nový klient');
INSERT INTO `lang_definitions` VALUES (118989, 6895, 32, 'Unikátní číslelný identifikátor pro tento typ');
INSERT INTO `lang_definitions` VALUES (118990, 6896, 32, 'Unikátní vyšetření pacienti');
INSERT INTO `lang_definitions` VALUES (118991, 6899, 32, 'Jednotka');
INSERT INTO `lang_definitions` VALUES (118992, 6900, 32, 'Jednotky');
INSERT INTO `lang_definitions` VALUES (118993, 6901, 32, 'jednotky');
INSERT INTO `lang_definitions` VALUES (118994, 6902, 32, 'Jednotky použité pro výsledky');
INSERT INTO `lang_definitions` VALUES (118995, 6903, 32, 'Jednotky pro formuláře návštěv');
INSERT INTO `lang_definitions` VALUES (118996, 6904, 32, 'Jednotky musí být čísla');
INSERT INTO `lang_definitions` VALUES (118997, 6905, 32, 'Jednotky nejsou definované');
INSERT INTO `lang_definitions` VALUES (118998, 6906, 32, 'Jednotky/L');
INSERT INTO `lang_definitions` VALUES (118999, 6907, 32, 'Neznámý');
INSERT INTO `lang_definitions` VALUES (119000, 6908, 32, 'neznámý (viz log)');
INSERT INTO `lang_definitions` VALUES (119001, 6910, 32, 'Neznámo, zda kdy kouřil/a');
INSERT INTO `lang_definitions` VALUES (119002, 6911, 32, 'Neznámý nebo N/A');
INSERT INTO `lang_definitions` VALUES (119003, 6912, 32, 'Neznámé ID uživatele');
INSERT INTO `lang_definitions` VALUES (119004, 6913, 32, 'odpojit pacienta');
INSERT INTO `lang_definitions` VALUES (119005, 6915, 32, 'Neregistrováno');
INSERT INTO `lang_definitions` VALUES (119006, 6916, 32, 'Neregistrované moduly');
INSERT INTO `lang_definitions` VALUES (119007, 6918, 32, 'Zrušit výběr všeho');
INSERT INTO `lang_definitions` VALUES (119008, 6919, 32, 'Nevybráno');
INSERT INTO `lang_definitions` VALUES (119009, 6920, 32, 'Nespecifikováno');
INSERT INTO `lang_definitions` VALUES (119010, 6921, 32, 'nestrukturalizováno');
INSERT INTO `lang_definitions` VALUES (119011, 6922, 32, 'NEPODPOROVANÝ databázový soubor k nahrátí');
INSERT INTO `lang_definitions` VALUES (119012, 6924, 32, 'dokud');
INSERT INTO `lang_definitions` VALUES (119013, 6926, 32, 'Nepoužívá se');
INSERT INTO `lang_definitions` VALUES (119014, 6928, 32, 'do');
INSERT INTO `lang_definitions` VALUES (119015, 6929, 32, 'Nadcházející návštěvy');
INSERT INTO `lang_definitions` VALUES (119016, 6930, 32, 'Nadcházející  události');
INSERT INTO `lang_definitions` VALUES (119017, 6931, 32, 'Aktualizace');
INSERT INTO `lang_definitions` VALUES (119018, 6932, 32, 'Aktualizace');
INSERT INTO `lang_definitions` VALUES (119019, 6933, 32, 'Aktivní aktualizace');
INSERT INTO `lang_definitions` VALUES (119020, 6934, 32, 'Aktualizace souborů');
INSERT INTO `lang_definitions` VALUES (119021, 6936, 32, 'Aktualizace seznamu');
INSERT INTO `lang_definitions` VALUES (119022, 6937, 32, 'Aktualizace čísla poskytovatele');
INSERT INTO `lang_definitions` VALUES (119023, 6938, 32, 'Aktualizace vybraných položek');
INSERT INTO `lang_definitions` VALUES (119024, 6939, 32, 'Aktualizace následujících proměnných v souboru.');
INSERT INTO `lang_definitions` VALUES (119025, 6940, 32, 'Aktualizace uživatelských informací.');
INSERT INTO `lang_definitions` VALUES (119026, 6942, 32, 'Aktualizace demografických údajů není povolena.');
INSERT INTO `lang_definitions` VALUES (119027, 6943, 32, 'Aktualizace výchozích globálních nastavení');
INSERT INTO `lang_definitions` VALUES (119028, 6944, 32, 'Aktualizace indikátorů verze');
INSERT INTO `lang_definitions` VALUES (119029, 6946, 32, 'Upgrade');
INSERT INTO `lang_definitions` VALUES (119030, 6947, 32, 'Aktualizace databáze');
INSERT INTO `lang_definitions` VALUES (119031, 6948, 32, 'Aktualizace LibreEHR zahrnující procedury, funkce a tabulky potřebné pro deidentifikaci.');
INSERT INTO `lang_definitions` VALUES (119032, 6949, 32, 'Upgrade bude pokračovat');
INSERT INTO `lang_definitions` VALUES (119033, 6951, 32, 'Nahrát');
INSERT INTO `lang_definitions` VALUES (119034, 6952, 32, 'Nahrát šablonu');
INSERT INTO `lang_definitions` VALUES (119035, 6953, 32, 'Nahrát a instalovat');
INSERT INTO `lang_definitions` VALUES (119036, 6954, 32, 'Nahrát data konfigurace');
INSERT INTO `lang_definitions` VALUES (119037, 6955, 32, 'Nahrát dokument');
INSERT INTO `lang_definitions` VALUES (119038, 6956, 32, 'Nahrání selhalo!');
INSERT INTO `lang_definitions` VALUES (119039, 6957, 32, 'Nahrát obrázek do');
INSERT INTO `lang_definitions` VALUES (119040, 6958, 32, 'Nahrát soubor importu:');
INSERT INTO `lang_definitions` VALUES (119041, 6959, 32, 'Nahrát edukační materiál ve formátu .PDF do');
INSERT INTO `lang_definitions` VALUES (119042, 6960, 32, 'Nahrání proběhlo úspěšně');
INSERT INTO `lang_definitions` VALUES (119043, 6961, 32, 'Nahrát zprávu');
INSERT INTO `lang_definitions` VALUES (119044, 6962, 32, 'nahrát soubor .xml  do kategorie CCR');
INSERT INTO `lang_definitions` VALUES (119045, 6963, 32, 'Nahrát tento soubor:');
INSERT INTO `lang_definitions` VALUES (119046, 6968, 32, 'Naléhavost');
INSERT INTO `lang_definitions` VALUES (119047, 6970, 32, 'Moč');
INSERT INTO `lang_definitions` VALUES (119048, 6971, 32, 'Dribbling moči');
INSERT INTO `lang_definitions` VALUES (119049, 6972, 32, 'Frekvence močení');
INSERT INTO `lang_definitions` VALUES (119050, 6973, 32, 'Opožděná mikce');
INSERT INTO `lang_definitions` VALUES (119051, 6974, 32, 'Microalbuminurie');
INSERT INTO `lang_definitions` VALUES (119052, 6975, 32, 'Proud moči');
INSERT INTO `lang_definitions` VALUES (119053, 6976, 32, 'Močová urgence');
INSERT INTO `lang_definitions` VALUES (119054, 6977, 32, 'URL');
INSERT INTO `lang_definitions` VALUES (119055, 6979, 32, 'URL podpory LibreEHR.');
INSERT INTO `lang_definitions` VALUES (119056, 6981, 32, 'URL pro telefonní bránu. Automatická VOIP služba poskytovaná Maviq. Please visit http://signup.maviq.com for more information.');
INSERT INTO `lang_definitions` VALUES (119057, 6982, 32, 'URL stránky WordPressu podporující portál');
INSERT INTO `lang_definitions` VALUES (119058, 6985, 32, 'Použití');
INSERT INTO `lang_definitions` VALUES (119059, 6986, 32, 'Použít indikátor (ISA15)');
INSERT INTO `lang_definitions` VALUES (119060, 6987, 32, 'Pro setřídění obsahu sloupce použijte znak %');
INSERT INTO `lang_definitions` VALUES (119061, 6988, 32, 'Použít 24 hodinový formát ?');
INSERT INTO `lang_definitions` VALUES (119062, 6991, 32, 'Použít panel poplatků');
INSERT INTO `lang_definitions` VALUES (119063, 6997, 32, 'Použít vlastní imunizační seznam');
INSERT INTO `lang_definitions` VALUES (119064, 6999, 32, 'Použít datumové rozmezí');
INSERT INTO `lang_definitions` VALUES (119065, 7000, 32, 'Použít výchozí');
INSERT INTO `lang_definitions` VALUES (119066, 7001, 32, 'Použít volbu SMAZAT pro odstranění');
INSERT INTO `lang_definitions` VALUES (119067, 7002, 32, 'Použít styl mezinárodního data?');
INSERT INTO `lang_definitions` VALUES (119068, 7003, 32, 'Použít jméno zdrojového souboru');
INSERT INTO `lang_definitions` VALUES (119069, 7004, 32, 'Pro nákup nebo převod použijte  pole níže');
INSERT INTO `lang_definitions` VALUES (119070, 7005, 32, 'Tuto vlastnost použít pouze v případě instalace nových stránek ');
INSERT INTO `lang_definitions` VALUES (119071, 7007, 32, 'Uživatelé');
INSERT INTO `lang_definitions` VALUES (119072, 7009, 32, 'Uživatelé/Skupiny');
INSERT INTO `lang_definitions` VALUES (119073, 7010, 32, 'Správa uživatelů');
INSERT INTO `lang_definitions` VALUES (119074, 7011, 32, 'Správa uživatelů a zařízení');
INSERT INTO `lang_definitions` VALUES (119075, 7012, 32, 'Správa skupin a uživatelů');
INSERT INTO `lang_definitions` VALUES (119076, 7013, 32, 'Uživatel nemůže být smazán');
INSERT INTO `lang_definitions` VALUES (119077, 7014, 32, 'Ověření certifikátu uživatele není povoleno');
INSERT INTO `lang_definitions` VALUES (119078, 7015, 32, 'Uživatelsky definováno');
INSERT INTO `lang_definitions` VALUES (119079, 7016, 32, 'Uživatelsky definovaná oblast 11');
INSERT INTO `lang_definitions` VALUES (119080, 7017, 32, 'Uživatelsky definovaná oblast 12');
INSERT INTO `lang_definitions` VALUES (119081, 7018, 32, 'Uživatelsky definované pole');
INSERT INTO `lang_definitions` VALUES (119082, 7019, 32, 'Uživatelsky definovaný seznam 1');
INSERT INTO `lang_definitions` VALUES (119083, 7020, 32, 'Uživatelsky definovaný seznam 2');
INSERT INTO `lang_definitions` VALUES (119084, 7021, 32, 'Uživatelsky definovaný seznam 3');
INSERT INTO `lang_definitions` VALUES (119085, 7022, 32, 'Uživatelsky definovaný seznam 4');
INSERT INTO `lang_definitions` VALUES (119086, 7023, 32, 'Uživatelsky definovaný seznam 5');
INSERT INTO `lang_definitions` VALUES (119087, 7024, 32, 'Uživatelsky definovaný seznam 6');
INSERT INTO `lang_definitions` VALUES (119088, 7025, 32, 'Uživatelsky definovaný seznam 7');
INSERT INTO `lang_definitions` VALUES (119089, 7026, 32, 'Uživatelsky definovaný text 1');
INSERT INTO `lang_definitions` VALUES (119090, 7027, 32, 'Uživatelsky definovaný text 2');
INSERT INTO `lang_definitions` VALUES (119091, 7028, 32, 'Uživatelsky definovaný text 3');
INSERT INTO `lang_definitions` VALUES (119092, 7029, 32, 'Uživatelsky definovaný text 4');
INSERT INTO `lang_definitions` VALUES (119093, 7030, 32, 'Uživatelsky definovaný text 5');
INSERT INTO `lang_definitions` VALUES (119094, 7031, 32, 'Uživatelsky definovaný text 6');
INSERT INTO `lang_definitions` VALUES (119095, 7032, 32, 'Uživatelsky definovaný text 7');
INSERT INTO `lang_definitions` VALUES (119096, 7033, 32, 'Uživatelsky definovaný text 8');
INSERT INTO `lang_definitions` VALUES (119097, 7034, 32, 'Jméno uživatele');
INSERT INTO `lang_definitions` VALUES (119098, 7039, 32, 'Uživatelský manuál');
INSERT INTO `lang_definitions` VALUES (119099, 7040, 32, 'Členství uživatele');
INSERT INTO `lang_definitions` VALUES (119100, 7041, 32, 'Uživatelské jméno');
INSERT INTO `lang_definitions` VALUES (119101, 7042, 32, 'Jméno uživatele nebo hosta nesmí být prázdné');
INSERT INTO `lang_definitions` VALUES (119102, 7043, 32, 'Jméno uživatele nebo hosta');
INSERT INTO `lang_definitions` VALUES (119103, 7046, 32, 'Uživatelské nastavení');
INSERT INTO `lang_definitions` VALUES (119104, 7047, 32, 'Specifické uživatelsé nastavení');
INSERT INTO `lang_definitions` VALUES (119105, 7048, 32, 'Nové heslo uživatele');
INSERT INTO `lang_definitions` VALUES (119106, 7049, 32, 'Uživatelské jméno');
INSERT INTO `lang_definitions` VALUES (119107, 7052, 32, 'Uživatelské jméno pro SMS bránu');
INSERT INTO `lang_definitions` VALUES (119108, 7053, 32, 'Uživatelské jméno pro SMS bránu.');
INSERT INTO `lang_definitions` VALUES (119109, 7054, 32, 'Uživatelské jméno:');
INSERT INTO `lang_definitions` VALUES (119110, 7055, 32, 'Uživatelské jméno:');
INSERT INTO `lang_definitions` VALUES (119111, 7056, 32, 'Uživatelé');
INSERT INTO `lang_definitions` VALUES (119112, 7057, 32, 'Správa Uživatelů/Skupin/Logů');
INSERT INTO `lang_definitions` VALUES (119113, 7058, 32, 'použití php <a href=\"http://php.net/strftime\">strftime</a> formát');
INSERT INTO `lang_definitions` VALUES (119114, 7062, 32, 'DOVLENÁ');
INSERT INTO `lang_definitions` VALUES (119115, 7063, 32, 'Dovolená');
INSERT INTO `lang_definitions` VALUES (119116, 7064, 32, 'Vakcína');
INSERT INTO `lang_definitions` VALUES (119117, 7067, 32, 'ověřit platnost');
INSERT INTO `lang_definitions` VALUES (119118, 7068, 32, 'Hodnota');
INSERT INTO `lang_definitions` VALUES (119119, 7069, 32, 'Hodnota 1');
INSERT INTO `lang_definitions` VALUES (119120, 7070, 32, 'Hodnota 2');
INSERT INTO `lang_definitions` VALUES (119121, 7072, 32, 'Hodnota musí být numerická');
INSERT INTO `lang_definitions` VALUES (119122, 7073, 32, 'Var1');
INSERT INTO `lang_definitions` VALUES (119123, 7074, 32, 'Var2');
INSERT INTO `lang_definitions` VALUES (119124, 7076, 32, 'Varicella 1');
INSERT INTO `lang_definitions` VALUES (119125, 7077, 32, 'Varicella 2');
INSERT INTO `lang_definitions` VALUES (119126, 7078, 32, 'Varixy');
INSERT INTO `lang_definitions` VALUES (119127, 7079, 32, 'Stav cévního systému');
INSERT INTO `lang_definitions` VALUES (119128, 7080, 32, 'Cévní poranění');
INSERT INTO `lang_definitions` VALUES (119129, 7081, 32, 'Cévní chirurgie');
INSERT INTO `lang_definitions` VALUES (119130, 7083, 32, 'Prodejce');
INSERT INTO `lang_definitions` VALUES (119131, 7084, 32, 'Verze');
INSERT INTO `lang_definitions` VALUES (119132, 7090, 32, 'zobrazit');
INSERT INTO `lang_definitions` VALUES (119133, 7091, 32, 'Zobrazit');
INSERT INTO `lang_definitions` VALUES (119134, 7092, 32, 'Zobrazit alergie');
INSERT INTO `lang_definitions` VALUES (119135, 7093, 32, 'Zobrazit x12-835 ERA soubor');
INSERT INTO `lang_definitions` VALUES (119136, 7094, 32, 'Zobrazit x12 text hromadného požadavku');
INSERT INTO `lang_definitions` VALUES (119137, 7097, 32, 'Zobrazit kompletní zprávu pacienta');
INSERT INTO `lang_definitions` VALUES (119138, 7098, 32, 'Zobrazit CSV tabulky');
INSERT INTO `lang_definitions` VALUES (119139, 7100, 32, 'Zobrazit dokument');
INSERT INTO `lang_definitions` VALUES (119140, 7101, 32, 'Zobrazit návštěvu');
INSERT INTO `lang_definitions` VALUES (119141, 7102, 32, 'Zobrazit ERA x12 text');
INSERT INTO `lang_definitions` VALUES (119142, 7103, 32, 'Zobrazit události ve vyskakovacím okně');
INSERT INTO `lang_definitions` VALUES (119143, 7104, 32, 'Zobrazit specifické uživatelské informace o zařízení');
INSERT INTO `lang_definitions` VALUES (119144, 7106, 32, 'Zobrazit lokální x12 soubor');
INSERT INTO `lang_definitions` VALUES (119145, 7107, 32, 'Zobrazit log');
INSERT INTO `lang_definitions` VALUES (119146, 7108, 32, 'Zobrazit stranu 1');
INSERT INTO `lang_definitions` VALUES (119147, 7109, 32, 'Zobrazit stranu 2');
INSERT INTO `lang_definitions` VALUES (119148, 7110, 32, 'Zobrazit předešlé a budoucí upomínky');
INSERT INTO `lang_definitions` VALUES (119149, 7111, 32, 'Zobrazit pacienta');
INSERT INTO `lang_definitions` VALUES (119150, 7116, 32, 'Zobrazit související návštěvy');
INSERT INTO `lang_definitions` VALUES (119151, 7117, 32, 'Zobrazit report');
INSERT INTO `lang_definitions` VALUES (119152, 7118, 32, 'Zobrazit soubor README');
INSERT INTO `lang_definitions` VALUES (119153, 7121, 32, 'Zobrazit/upravit alergie');
INSERT INTO `lang_definitions` VALUES (119154, 7122, 32, 'Zobrazit/upravit problém');
INSERT INTO `lang_definitions` VALUES (119155, 7123, 32, 'Zobrazit/Tisk');
INSERT INTO `lang_definitions` VALUES (119156, 7124, 32, 'Zobrazení:');
INSERT INTO `lang_definitions` VALUES (119157, 7127, 32, 'Orgánové poškození/trauma/operace');
INSERT INTO `lang_definitions` VALUES (119158, 7132, 32, 'Kategorie návštěvy:');
INSERT INTO `lang_definitions` VALUES (119159, 7133, 32, 'Kategorie návštěvy:');
INSERT INTO `lang_definitions` VALUES (119160, 7134, 32, 'Datum návštěvy');
INSERT INTO `lang_definitions` VALUES (119161, 7135, 32, 'Datum návštěvy');
INSERT INTO `lang_definitions` VALUES (119162, 7137, 32, 'Formuláře návštěv');
INSERT INTO `lang_definitions` VALUES (119163, 7138, 32, 'Historie návštěv');
INSERT INTO `lang_definitions` VALUES (119164, 7140, 32, 'Návštěvy');
INSERT INTO `lang_definitions` VALUES (119165, 7141, 32, 'Návštěvy od');
INSERT INTO `lang_definitions` VALUES (119166, 7143, 32, 'Vitální funkce');
INSERT INTO `lang_definitions` VALUES (119167, 7144, 32, 'Vitální funkce (metric)');
INSERT INTO `lang_definitions` VALUES (119168, 7145, 32, 'Volby formuláře vitálních funkcí');
INSERT INTO `lang_definitions` VALUES (119169, 7146, 32, 'Hlas');
INSERT INTO `lang_definitions` VALUES (119170, 7147, 32, 'Hlasová zpráva odeslána');
INSERT INTO `lang_definitions` VALUES (119171, 7149, 32, 'Zvracení');
INSERT INTO `lang_definitions` VALUES (119172, 7152, 32, 'Obv. pasu');
INSERT INTO `lang_definitions` VALUES (119173, 7153, 32, 'Obvod pasu');
INSERT INTO `lang_definitions` VALUES (119174, 7154, 32, 'Čekání');
INSERT INTO `lang_definitions` VALUES (119175, 7158, 32, 'Skladiště');
INSERT INTO `lang_definitions` VALUES (119176, 7159, 32, 'Skladiště maximum, 0 pokud není použito');
INSERT INTO `lang_definitions` VALUES (119177, 7160, 32, 'Skladiště minimum, 0 pokud není použito');
INSERT INTO `lang_definitions` VALUES (119178, 7161, 32, 'Skladiště');
INSERT INTO `lang_definitions` VALUES (119179, 7162, 32, 'Teplo(ý)');
INSERT INTO `lang_definitions` VALUES (119180, 7163, 32, 'Varování');
INSERT INTO `lang_definitions` VALUES (119181, 7164, 32, 'VAROVÁNÍ');
INSERT INTO `lang_definitions` VALUES (119182, 7166, 32, 'Varování: Zkontrolujte zda číslo již existuje v databázi.');
INSERT INTO `lang_definitions` VALUES (119183, 7167, 32, 'Varování: Seznam problémů pacienta obsahuje nejednoznačné kódy!');
INSERT INTO `lang_definitions` VALUES (119184, 7168, 32, 'Varování: Tento pacient má již dnes jednu návštěvu založenou !');
INSERT INTO `lang_definitions` VALUES (119185, 7170, 32, 'Varování: ID Pacienta není unikátní');
INSERT INTO `lang_definitions` VALUES (119186, 7171, 32, 'VAROVÁNÍ: Dojde k přepisu konfigurace daty z nahrávaného souboru !!!');
INSERT INTO `lang_definitions` VALUES (119187, 7173, 32, 'Varování');
INSERT INTO `lang_definitions` VALUES (119188, 7175, 32, 'bylo již nahráno');
INSERT INTO `lang_definitions` VALUES (119189, 7176, 32, 'nenalezeno');
INSERT INTO `lang_definitions` VALUES (119190, 7177, 32, 'Ceníme si rychlé platby');
INSERT INTO `lang_definitions` VALUES (119191, 7178, 32, 'měli jsme v ambulantní psychiatrické  péči výše uvedeného pacienta. Děkujeme za doporučení.');
INSERT INTO `lang_definitions` VALUES (119192, 7179, 32, 'Slabost');
INSERT INTO `lang_definitions` VALUES (119193, 7181, 32, 'Webové vyhledávání');
INSERT INTO `lang_definitions` VALUES (119194, 7183, 32, 'webový odkaz pro onsite Pacientský portál');
INSERT INTO `lang_definitions` VALUES (119195, 7184, 32, 'Stře');
INSERT INTO `lang_definitions` VALUES (119196, 7185, 32, 'Středa');
INSERT INTO `lang_definitions` VALUES (119197, 7186, 32, 'Týden');
INSERT INTO `lang_definitions` VALUES (119198, 7187, 32, 'týden');
INSERT INTO `lang_definitions` VALUES (119199, 7188, 32, 'Týdenní zobrazení');
INSERT INTO `lang_definitions` VALUES (119200, 7189, 32, 'Týden(y)');
INSERT INTO `lang_definitions` VALUES (119201, 7190, 32, 'Týdenní expozice');
INSERT INTO `lang_definitions` VALUES (119202, 7191, 32, 'týdny');
INSERT INTO `lang_definitions` VALUES (119203, 7192, 32, 'Týdny');
INSERT INTO `lang_definitions` VALUES (119204, 7193, 32, 'Hmotnost');
INSERT INTO `lang_definitions` VALUES (119205, 7196, 32, 'Změna hmotnosti');
INSERT INTO `lang_definitions` VALUES (119206, 7197, 32, 'Úbytek hmotnosti');
INSERT INTO `lang_definitions` VALUES (119207, 7199, 32, 'Vítejte');
INSERT INTO `lang_definitions` VALUES (119208, 7202, 32, 'Co je zahrnuto?');
INSERT INTO `lang_definitions` VALUES (119209, 7203, 32, 'Pískoty, vrzoty:');
INSERT INTO `lang_definitions` VALUES (119210, 7204, 32, 'Stridor');
INSERT INTO `lang_definitions` VALUES (119211, 7205, 32, 'Stridor:');
INSERT INTO `lang_definitions` VALUES (119212, 7207, 32, 'Po dokončení klikněte na Odeslat ( níže) pro provedení změn.');
INSERT INTO `lang_definitions` VALUES (119213, 7208, 32, 'Kde lze nalézt související skenované nebo papírové dokumenty ?');
INSERT INTO `lang_definitions` VALUES (119214, 7212, 32, 'Bilý');
INSERT INTO `lang_definitions` VALUES (119215, 7213, 32, 'Kdo');
INSERT INTO `lang_definitions` VALUES (119216, 7214, 32, 'Kdo odpověděl?');
INSERT INTO `lang_definitions` VALUES (119217, 7215, 32, 'Ovdovělý(á)');
INSERT INTO `lang_definitions` VALUES (119218, 7216, 32, 'Šířka');
INSERT INTO `lang_definitions` VALUES (119219, 7217, 32, 'šířka levého navigačního rámce v pixelech');
INSERT INTO `lang_definitions` VALUES (119220, 7220, 32, 's preferovaným jazykem');
INSERT INTO `lang_definitions` VALUES (119221, 7221, 32, 'S vybraným:');
INSERT INTO `lang_definitions` VALUES (119222, 7222, 32, 'se starým jménem');
INSERT INTO `lang_definitions` VALUES (119223, 7224, 32, 'Komu lze zanechat zprávu ?');
INSERT INTO `lang_definitions` VALUES (119224, 7225, 32, 'Odepřeno');
INSERT INTO `lang_definitions` VALUES (119225, 7226, 32, 'během hodin');
INSERT INTO `lang_definitions` VALUES (119226, 7227, 32, 'během hodin:');
INSERT INTO `lang_definitions` VALUES (119227, 7228, 32, 'během minut');
INSERT INTO `lang_definitions` VALUES (119228, 7229, 32, 'během minut:');
INSERT INTO `lang_definitions` VALUES (119229, 7230, 32, 'Bez zařízení');
INSERT INTO `lang_definitions` VALUES (119230, 7231, 32, 'Bez poskytovatele');
INSERT INTO `lang_definitions` VALUES (119231, 7232, 32, 'Bez aktualizace');
INSERT INTO `lang_definitions` VALUES (119232, 7233, 32, 'Svědek');
INSERT INTO `lang_definitions` VALUES (119233, 7237, 32, 'Žena');
INSERT INTO `lang_definitions` VALUES (119234, 7238, 32, 'Pouze ženy');
INSERT INTO `lang_definitions` VALUES (119235, 7240, 32, 'Práce');
INSERT INTO `lang_definitions` VALUES (119236, 7241, 32, 'PRACOVNÍ POZNÁMKA');
INSERT INTO `lang_definitions` VALUES (119237, 7242, 32, 'Telefon do práce');
INSERT INTO `lang_definitions` VALUES (119238, 7243, 32, 'Telefonní číslo  do práce ?');
INSERT INTO `lang_definitions` VALUES (119239, 7244, 32, 'Související s prací ?');
INSERT INTO `lang_definitions` VALUES (119240, 7245, 32, 'Zaměstnání/Vzdělání/Koníčky');
INSERT INTO `lang_definitions` VALUES (119241, 7246, 32, 'Zaměstnání/Škola poznámka');
INSERT INTO `lang_definitions` VALUES (119242, 7247, 32, 'Pracovní den');
INSERT INTO `lang_definitions` VALUES (119243, 7251, 32, 'Makám...zkrátka mi to bude chvilku trvat');
INSERT INTO `lang_definitions` VALUES (119244, 7252, 32, 'Horší');
INSERT INTO `lang_definitions` VALUES (119245, 7254, 32, 'Chcete je označit jako  vyčištěné ?');
INSERT INTO `lang_definitions` VALUES (119246, 7256, 32, 'Přejete si zrušit distribuci této platby ?');
INSERT INTO `lang_definitions` VALUES (119247, 7257, 32, 'Přejete si odstranit platební distribuci ?');
INSERT INTO `lang_definitions` VALUES (119248, 7258, 32, 'Přejete si odstranit platby ?');
INSERT INTO `lang_definitions` VALUES (119249, 7259, 32, 'Přejete si upravit a ukončit platby ?');
INSERT INTO `lang_definitions` VALUES (119250, 7260, 32, 'Přejete si upravit platby ?');
INSERT INTO `lang_definitions` VALUES (119251, 7261, 32, 'Přejete si odeslat a ukončit platby ?');
INSERT INTO `lang_definitions` VALUES (119252, 7262, 32, 'Přejete si odeslat platby ?');
INSERT INTO `lang_definitions` VALUES (119253, 7263, 32, 'Přejete si uložit ?');
INSERT INTO `lang_definitions` VALUES (119254, 7264, 32, 'Zápěstí');
INSERT INTO `lang_definitions` VALUES (119255, 7265, 32, 'Zápěstí a ruka');
INSERT INTO `lang_definitions` VALUES (119256, 7266, 32, 'Problémy se zápěstím');
INSERT INTO `lang_definitions` VALUES (119257, 7267, 32, 'zapsat');
INSERT INTO `lang_definitions` VALUES (119258, 7269, 32, 'Zapsat jedenkrát');
INSERT INTO `lang_definitions` VALUES (119259, 7273, 32, 'x zrušeno');
INSERT INTO `lang_definitions` VALUES (119260, 7274, 32, 'x zrušeno');
INSERT INTO `lang_definitions` VALUES (119261, 7275, 32, 'RTG');
INSERT INTO `lang_definitions` VALUES (119262, 7276, 32, 'Zhodnocení RTG:');
INSERT INTO `lang_definitions` VALUES (119263, 7277, 32, 'Zhodnocení RTG:');
INSERT INTO `lang_definitions` VALUES (119264, 7278, 32, 'X12 pouze : Změna požadavku ');
INSERT INTO `lang_definitions` VALUES (119265, 7279, 32, 'X12 Partner');
INSERT INTO `lang_definitions` VALUES (119266, 7280, 32, 'X12 Partneři');
INSERT INTO `lang_definitions` VALUES (119267, 7281, 32, 'x12 text');
INSERT INTO `lang_definitions` VALUES (119268, 7285, 32, 'Rok');
INSERT INTO `lang_definitions` VALUES (119269, 7286, 32, 'rok');
INSERT INTO `lang_definitions` VALUES (119270, 7287, 32, 'Roční zobrazení');
INSERT INTO `lang_definitions` VALUES (119271, 7288, 32, 'Rok(y)');
INSERT INTO `lang_definitions` VALUES (119272, 7289, 32, 'Roky');
INSERT INTO `lang_definitions` VALUES (119273, 7290, 32, 'Roky a měsíce');
INSERT INTO `lang_definitions` VALUES (119274, 7291, 32, 'Roky, měsíce a dny');
INSERT INTO `lang_definitions` VALUES (119275, 7292, 32, 'ANO');
INSERT INTO `lang_definitions` VALUES (119276, 7293, 32, 'Ano');
INSERT INTO `lang_definitions` VALUES (119277, 7294, 32, 'ano');
INSERT INTO `lang_definitions` VALUES (119278, 7295, 32, 'ANO !');
INSERT INTO `lang_definitions` VALUES (119279, 7296, 32, 'Ano, Smazat a logovat');
INSERT INTO `lang_definitions` VALUES (119280, 7298, 32, 'Ano/Ne');
INSERT INTO `lang_definitions` VALUES (119281, 7299, 32, 'Ano:');
INSERT INTO `lang_definitions` VALUES (119282, 7303, 32, 'Chcete přepsat stávající šablonu. Jste se jistí ?');
INSERT INTO `lang_definitions` VALUES (119283, 7304, 32, 'Jste v ochranné přihlašovací lhůtě. Nejpre změňte své heslo.');
INSERT INTO `lang_definitions` VALUES (119284, 7305, 32, 'Nemáte oprávnění mazat tuto událost');
INSERT INTO `lang_definitions` VALUES (119285, 7306, 32, 'Nemáte povolení k úpravám této události');
INSERT INTO `lang_definitions` VALUES (119286, 7307, 32, 'Nemáte oprávnění k této činnosti');
INSERT INTO `lang_definitions` VALUES (119287, 7308, 32, 'Nejste oprávněni k přístupu  k této skupině.');
INSERT INTO `lang_definitions` VALUES (119288, 7309, 32, 'Nejste oprávněni k přidávání/editaci problémů.');
INSERT INTO `lang_definitions` VALUES (119289, 7310, 32, 'Nejste oprávnění k objednávání vyšetření.');
INSERT INTO `lang_definitions` VALUES (119290, 7311, 32, 'Nejste oprávněni prohlížet toto vyšetření.');
INSERT INTO `lang_definitions` VALUES (119291, 7312, 32, 'Odesíláte znovu staré vyšetření ?');
INSERT INTO `lang_definitions` VALUES (119292, 7313, 32, 'K této funkci nelze přistupovat přímo.');
INSERT INTO `lang_definitions` VALUES (119293, 7314, 32, 'K této stránce nelze přistupovat přímo.');
INSERT INTO `lang_definitions` VALUES (119294, 7315, 32, 'Pro tuto kategorii nelze zadat prázdnou hodnotu !');
INSERT INTO `lang_definitions` VALUES (119295, 7316, 32, 'Pro tuto subkategorii nelze zadat prázdnou hodnotu !');
INSERT INTO `lang_definitions` VALUES (119296, 7317, 32, 'Pro tuto položku nelze zadat prázdnou hodnotu !');
INSERT INTO `lang_definitions` VALUES (119297, 7319, 32, 'Není vybrána žádná akce');
INSERT INTO `lang_definitions` VALUES (119298, 7320, 32, 'Nejste oprávněni prohlížet/editovat tuto poznámku');
INSERT INTO `lang_definitions` VALUES (119299, 7321, 32, 'Pokoušíte se upravit zamčený obsah. Odemkněte dokument odstraněním řádku \'/*lock::*/\'');
INSERT INTO `lang_definitions` VALUES (119300, 7322, 32, 'Odhlášení bylo úspěšné');
INSERT INTO `lang_definitions` VALUES (119301, 7323, 32, 'Lze nahrávat pouze .txt soubory');
INSERT INTO `lang_definitions` VALUES (119302, 7324, 32, 'Volitelně můžete nahrát HL7 výsledek ze souboru');
INSERT INTO `lang_definitions` VALUES (119303, 7325, 32, 'Zde můžete vložit text jako popis hlavního problému pacienta');
INSERT INTO `lang_definitions` VALUES (119304, 7326, 32, 'Pro kódování dokumentu musíte zadat heslo');
INSERT INTO `lang_definitions` VALUES (119305, 7327, 32, 'Pro změnu uživatelských hesel musíte zadat své vlastní heslo. Prázdné heslo neprovede žádnou změnu');
INSERT INTO `lang_definitions` VALUES (119306, 7329, 32, 'Nejprve musíte zvolit nebo přidat pacienta');
INSERT INTO `lang_definitions` VALUES (119307, 7330, 32, 'Nejprve musíte zvolit nebo vytvořit vyšetření');
INSERT INTO `lang_definitions` VALUES (119308, 7331, 32, 'Musíte zvolit kategorii návštěvy');
INSERT INTO `lang_definitions` VALUES (119309, 7332, 32, 'Musíte zvolit kategorii návštěvy');
INSERT INTO `lang_definitions` VALUES (119310, 7333, 32, 'Pro pokračování musíte zvolit některé pole');
INSERT INTO `lang_definitions` VALUES (119311, 7335, 32, 'Musíte zvolit nejméně jeden kontext');
INSERT INTO `lang_definitions` VALUES (119312, 7336, 32, 'Musíte vybrat nejméně jednoho poskytovatele');
INSERT INTO `lang_definitions` VALUES (119313, 7338, 32, 'Vaše klinická zpráva');
INSERT INTO `lang_definitions` VALUES (119314, 7339, 32, 'Vaše konečné datum je chybné');
INSERT INTO `lang_definitions` VALUES (119315, 7340, 32, 'Vaše událost byla smazána');
INSERT INTO `lang_definitions` VALUES (119316, 7341, 32, 'Vaše událost byla upravena.');
INSERT INTO `lang_definitions` VALUES (119317, 7342, 32, 'Vaše událost byla odeslána');
INSERT INTO `lang_definitions` VALUES (119318, 7343, 32, 'Váš soubor je příliž velký');
INSERT INTO `lang_definitions` VALUES (119319, 7344, 32, 'Vaše laboratorní výsledky');
INSERT INTO `lang_definitions` VALUES (119320, 7345, 32, 'Vaše jméno musí být změněno, aby splňovalo požadavky');
INSERT INTO `lang_definitions` VALUES (119321, 7346, 32, 'Vaše zpráva byla předána k odeslání pro');
INSERT INTO `lang_definitions` VALUES (119322, 7347, 32, 'Vaše jméno pro tuto kategorii, proceduru nebo výsledek.');
INSERT INTO `lang_definitions` VALUES (119323, 7348, 32, 'Vaše heslo');
INSERT INTO `lang_definitions` VALUES (119324, 7349, 32, 'Vaše heslo expirovalo. Změňte jej.');
INSERT INTO `lang_definitions` VALUES (119325, 7350, 32, 'Vaše heslo expiruje');
INSERT INTO `lang_definitions` VALUES (119326, 7351, 32, 'Vaše heslo dnes expiruje. Změňte jej.');
INSERT INTO `lang_definitions` VALUES (119327, 7352, 32, 'Vaše heslo je váš podpis');
INSERT INTO `lang_definitions` VALUES (119328, 7353, 32, 'Vaše konfigurace PostCalendar byla resetována na výchozí nastavení');
INSERT INTO `lang_definitions` VALUES (119329, 7354, 32, 'Vaše konfigurace PostCalendar byla aktualizována');
INSERT INTO `lang_definitions` VALUES (119330, 7355, 32, 'Vaše opakovací frekvence musí být celé číslo');
INSERT INTO `lang_definitions` VALUES (119331, 7356, 32, 'Vaše frekvence opakování musí být nejméně 1');
INSERT INTO `lang_definitions` VALUES (119332, 7357, 32, 'Vaše počáteční datum je vyšší naž končené');
INSERT INTO `lang_definitions` VALUES (119333, 7358, 32, 'Vaše počáteční datum je neplatné');
INSERT INTO `lang_definitions` VALUES (119334, 7359, 32, 'Vaše podání selhalo.');
INSERT INTO `lang_definitions` VALUES (119335, 7360, 32, 'rrrr-mm-dd');
INSERT INTO `lang_definitions` VALUES (119336, 7361, 32, 'RRRR-MM-DD');
INSERT INTO `lang_definitions` VALUES (119337, 7362, 32, 'rrrr-mm-dd datum spojené s tímto dokumentem');
INSERT INTO `lang_definitions` VALUES (119338, 7363, 32, 'rrrr-mm-dd datum zničeno');
INSERT INTO `lang_definitions` VALUES (119339, 7364, 32, 'rrrr-mm-dd datum narození');
INSERT INTO `lang_definitions` VALUES (119340, 7365, 32, 'rrrr-mm-dd Datum narození');
INSERT INTO `lang_definitions` VALUES (119341, 7366, 32, 'rrrr-mm-dd datum expirace');
INSERT INTO `lang_definitions` VALUES (119342, 7367, 32, 'rrrr-mm-dd Datum začátku hospitalizace');
INSERT INTO `lang_definitions` VALUES (119343, 7368, 32, 'rrrr-mm-dd datum počátku, operace nebo začátku medikace');
INSERT INTO `lang_definitions` VALUES (119344, 7369, 32, 'rrrr-mm-dd datum nákupu nebo převodu');
INSERT INTO `lang_definitions` VALUES (119345, 7370, 32, 'rrrr-mm-dd datum úzdravy nebo ukončení medikace');
INSERT INTO `lang_definitions` VALUES (119346, 7372, 32, 'rrrr-mm-dd Datum služby');
INSERT INTO `lang_definitions` VALUES (119347, 7373, 32, 'rrrr-mm-dd  datum tohoto dopisu');
INSERT INTO `lang_definitions` VALUES (119348, 7375, 32, 'rrrr-mm-dd datum dokumentu');
INSERT INTO `lang_definitions` VALUES (119349, 7376, 32, 'rrrr-mm-dd  datum události nebo datum počátku');
INSERT INTO `lang_definitions` VALUES (119350, 7377, 32, 'rrrr-mm-dd H:m Datum ukončení');
INSERT INTO `lang_definitions` VALUES (119351, 7378, 32, 'rrrr-mm-dd H:m Datum ukončení');
INSERT INTO `lang_definitions` VALUES (119352, 7379, 32, 'rrrr-mm-dd H:m Datum počátku');
INSERT INTO `lang_definitions` VALUES (119353, 7380, 32, 'rrrr-mm-dd H:m Datum počátku');
INSERT INTO `lang_definitions` VALUES (119354, 7381, 32, 'rrrr-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (119355, 7382, 32, 'rrrr-mm-dd Hodiny(24):minuty');
INSERT INTO `lang_definitions` VALUES (119356, 7383, 32, 'rrrr-mm-dd poslední datum této události');
INSERT INTO `lang_definitions` VALUES (119357, 7387, 32, 'Nula');
INSERT INTO `lang_definitions` VALUES (119358, 7389, 32, 'Zip');
INSERT INTO `lang_definitions` VALUES (119359, 7390, 32, 'Zip kód');
INSERT INTO `lang_definitions` VALUES (119360, 7391, 32, 'Zip/Země');
INSERT INTO `lang_definitions` VALUES (119361, 7394, 32, ' nelze otevřít pro chybu přístupu.');
INSERT INTO `lang_definitions` VALUES (119362, 7395, 32, 'Opravdu chcete smazat');
INSERT INTO `lang_definitions` VALUES (119363, 7396, 32, 'Léčivo');
INSERT INTO `lang_definitions` VALUES (119364, 7397, 32, 'emaily odeslány');
INSERT INTO `lang_definitions` VALUES (119365, 7398, 32, 'z');
INSERT INTO `lang_definitions` VALUES (119366, 7399, 32, 'vytvořeno ');
INSERT INTO `lang_definitions` VALUES (119367, 7400, 32, 'znovuotevřeno');
INSERT INTO `lang_definitions` VALUES (119368, 7401, 32, 'Historie');
INSERT INTO `lang_definitions` VALUES (119369, 7402, 32, 'není číslo');
INSERT INTO `lang_definitions` VALUES (119370, 7403, 32, 'připraveno pro znovuzaúčtování');
INSERT INTO `lang_definitions` VALUES (119371, 7408, 32, 'nenalezeno !');
INSERT INTO `lang_definitions` VALUES (119372, 7411, 32, 'dokud');
INSERT INTO `lang_definitions` VALUES (119373, 7412, 32, 'aktualizace selhala. Chybějící položka databáze ?');
INSERT INTO `lang_definitions` VALUES (119374, 7413, 32, 'úspěšně označeno jako pouze zaúčtované');
INSERT INTO `lang_definitions` VALUES (119375, 7414, 32, 'úspěšně zařazeno');
INSERT INTO `lang_definitions` VALUES (119376, 7416, 32, '\" pro kód');
INSERT INTO `lang_definitions` VALUES (119377, 7417, 32, '\" je zatrženo v nastavení PostCalendar!');
INSERT INTO `lang_definitions` VALUES (119378, 7419, 32, '# tablet:');
INSERT INTO `lang_definitions` VALUES (119379, 7421, 32, '$ Kódování dokončeno');
INSERT INTO `lang_definitions` VALUES (119380, 7422, 32, '$popis(rrrr-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (119381, 7424, 32, '% Zrušeno <  24h');
INSERT INTO `lang_definitions` VALUES (119382, 7425, 32, '% Zrušeno <  24h ');
INSERT INTO `lang_definitions` VALUES (119383, 7426, 32, '\' měl by existovat, ale není tomu tak.');
INSERT INTO `lang_definitions` VALUES (119384, 7427, 32, '(% odpovídá libovolnému řetězci, _ odpovídá libovolnému znaku)');
INSERT INTO `lang_definitions` VALUES (119385, 7428, 32, '([ctrl] + klik pro výběr více příjemců)');
INSERT INTO `lang_definitions` VALUES (119386, 7429, 32, '(Zpět)');
INSERT INTO `lang_definitions` VALUES (119387, 7430, 32, '(Kliknout pro úpravy)');
INSERT INTO `lang_definitions` VALUES (119388, 7431, 32, '(E-mail je doručen  okamžitě. Mezitím je automatický VOIP odeslán poskytovateli služeb pro další zpracování.)');
INSERT INTO `lang_definitions` VALUES (119389, 7432, 32, '(Více)');
INSERT INTO `lang_definitions` VALUES (119390, 7433, 32, '(Nový pacient)');
INSERT INTO `lang_definitions` VALUES (119391, 7434, 32, '(Poznámky a oprávnění)');
INSERT INTO `lang_definitions` VALUES (119392, 7435, 32, '(Poznámky pacienta)');
INSERT INTO `lang_definitions` VALUES (119393, 7436, 32, '(Vyberte některý název nebo  napišete svůj vlastní)');
INSERT INTO `lang_definitions` VALUES (119394, 7437, 32, 'Klávesa Shift nebo táhnout pro změnu položky');
INSERT INTO `lang_definitions` VALUES (119395, 7438, 32, '* Připomínka vytvořena');
INSERT INTO `lang_definitions` VALUES (119396, 7439, 32, '**Přesuňte prosím operace do problémů');
INSERT INTO `lang_definitions` VALUES (119397, 7440, 32, '*Požadováno');
INSERT INTO `lang_definitions` VALUES (119398, 7442, 32, '- Nic');
INSERT INTO `lang_definitions` VALUES (119399, 7443, 32, '--Vše--');
INSERT INTO `lang_definitions` VALUES (119400, 7444, 32, '-- Vybrat roli--');
INSERT INTO `lang_definitions` VALUES (119401, 7453, 32, 'Zítra');
INSERT INTO `lang_definitions` VALUES (119402, 7454, 32, 'Za měsíc');
INSERT INTO `lang_definitions` VALUES (119403, 7455, 32, 'Za týden');
INSERT INTO `lang_definitions` VALUES (119404, 7456, 32, 'Za 1 rok');
INSERT INTO `lang_definitions` VALUES (119405, 7457, 32, '1. Klid 2. Dva dny ledovat 3. Komprese dokud  nedojde ke změně barvy kůže nebo necitlivosti 4. Zvýšená poloha končetiny');
INSERT INTO `lang_definitions` VALUES (119406, 7459, 32, '12 hodin');
INSERT INTO `lang_definitions` VALUES (119407, 7461, 32, 'první');
INSERT INTO `lang_definitions` VALUES (119408, 7463, 32, 'Za 2 dny');
INSERT INTO `lang_definitions` VALUES (119409, 7464, 32, 'Za 2 měsíce');
INSERT INTO `lang_definitions` VALUES (119410, 7465, 32, 'Za 2 týdny');
INSERT INTO `lang_definitions` VALUES (119411, 7466, 32, 'Za 2 roky');
INSERT INTO `lang_definitions` VALUES (119412, 7467, 32, '2-20 let');
INSERT INTO `lang_definitions` VALUES (119413, 7478, 32, '24 hodin');
INSERT INTO `lang_definitions` VALUES (119414, 7481, 32, 'druhý');
INSERT INTO `lang_definitions` VALUES (119415, 7482, 32, 'Za 3 dny');
INSERT INTO `lang_definitions` VALUES (119416, 7483, 32, '3 měsíce');
INSERT INTO `lang_definitions` VALUES (119417, 7484, 32, 'Za 3 měsíce');
INSERT INTO `lang_definitions` VALUES (119418, 7485, 32, '3x denně');
INSERT INTO `lang_definitions` VALUES (119419, 7486, 32, 'Za 3 týdny');
INSERT INTO `lang_definitions` VALUES (119420, 7489, 32, 'třetí');
INSERT INTO `lang_definitions` VALUES (119421, 7490, 32, 'Za 4 dny');
INSERT INTO `lang_definitions` VALUES (119422, 7491, 32, '4 měsíce');
INSERT INTO `lang_definitions` VALUES (119423, 7492, 32, 'Za 4 měsíce');
INSERT INTO `lang_definitions` VALUES (119424, 7493, 32, '4x denně');
INSERT INTO `lang_definitions` VALUES (119425, 7494, 32, 'Za 4 týdny');
INSERT INTO `lang_definitions` VALUES (119426, 7498, 32, '466.0, Bronchitis acuta');
INSERT INTO `lang_definitions` VALUES (119427, 7499, 32, '486.0, akutní pneumonie');
INSERT INTO `lang_definitions` VALUES (119428, 7500, 32, '491.21, exacerbace CHOPN');
INSERT INTO `lang_definitions` VALUES (119429, 7501, 32, '491.8, Bronchitis chronica');
INSERT INTO `lang_definitions` VALUES (119430, 7502, 32, '493.92, Asthma, akutní exacerbace');
INSERT INTO `lang_definitions` VALUES (119431, 7503, 32, '496.0, CHOPN');
INSERT INTO `lang_definitions` VALUES (119432, 7504, 32, 'čtvrtý');
INSERT INTO `lang_definitions` VALUES (119433, 7505, 32, 'Za 5 dnů');
INSERT INTO `lang_definitions` VALUES (119434, 7506, 32, 'Za 5 měsíců');
INSERT INTO `lang_definitions` VALUES (119435, 7507, 32, 'Za 5 týdnů');
INSERT INTO `lang_definitions` VALUES (119436, 7508, 32, '519.7, Bronchospasmus');
INSERT INTO `lang_definitions` VALUES (119437, 7509, 32, 'pátý');
INSERT INTO `lang_definitions` VALUES (119438, 7510, 32, 'za 6 dnů');
INSERT INTO `lang_definitions` VALUES (119439, 7511, 32, '6 měsíců');
INSERT INTO `lang_definitions` VALUES (119440, 7512, 32, 'za 6 měsíců');
INSERT INTO `lang_definitions` VALUES (119441, 7513, 32, 'Za 6 týdnů');
INSERT INTO `lang_definitions` VALUES (119442, 7514, 32, 'šestý');
INSERT INTO `lang_definitions` VALUES (119443, 7515, 32, 'za 7 měsíců');
INSERT INTO `lang_definitions` VALUES (119444, 7516, 32, 'za 8 měsíců');
INSERT INTO `lang_definitions` VALUES (119445, 7517, 32, '824.0 Fraktura mediálního malleolu , uzavřená');
INSERT INTO `lang_definitions` VALUES (119446, 7518, 32, '824.2 Fraktura zevního kotníku , uzavřená');
INSERT INTO `lang_definitions` VALUES (119447, 7519, 32, '824.6 uzavřená trimaleolární zklomenina');
INSERT INTO `lang_definitions` VALUES (119448, 7520, 32, '825.32 Fraktura Os naviculare ( kotník )');
INSERT INTO `lang_definitions` VALUES (119449, 7521, 32, '825.35 Fraktura baze V metatarsu');
INSERT INTO `lang_definitions` VALUES (119450, 7522, 32, '845.00 distorze NOS');
INSERT INTO `lang_definitions` VALUES (119451, 7523, 32, '845.01 Distorze Medial (Deltoid) Lig.');
INSERT INTO `lang_definitions` VALUES (119452, 7524, 32, '845.02 Distorze, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (119453, 7525, 32, 'Za 9 měsíců');
INSERT INTO `lang_definitions` VALUES (119454, 7528, 32, '< na vyšetřovně');
INSERT INTO `lang_definitions` VALUES (119455, 7531, 32, '? Nezobrazovat');
INSERT INTO `lang_definitions` VALUES (119456, 7532, 32, '@ dostavil se');
INSERT INTO `lang_definitions` VALUES (119457, 7533, 32, '[Změnit zobrazení]');
INSERT INTO `lang_definitions` VALUES (119458, 7534, 32, '[Datum posledního vyšetření]');
INSERT INTO `lang_definitions` VALUES (119459, 7535, 32, '[Počet dnů od posledního vyšetření]');
INSERT INTO `lang_definitions` VALUES (119460, 7536, 32, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (119461, 7538, 32, '[nedoporučuje se]');
INSERT INTO `lang_definitions` VALUES (119462, 7539, 32, '[Počet vyšetření]');
INSERT INTO `lang_definitions` VALUES (119463, 7540, 32, '[Reporty]');
INSERT INTO `lang_definitions` VALUES (119464, 7541, 32, '[Vybrat vše]');
INSERT INTO `lang_definitions` VALUES (119465, 7543, 32, '[Zahájit dávkové zpracování]');
INSERT INTO `lang_definitions` VALUES (119466, 7544, 32, '[Zobrazit log]');
INSERT INTO `lang_definitions` VALUES (119467, 7545, 32, '[Zobrazit tištěný report]');
INSERT INTO `lang_definitions` VALUES (119468, 7549, 32, '~ pozdní příchod');
INSERT INTO `lang_definitions` VALUES (119469, 1, 33, 'А');
INSERT INTO `lang_definitions` VALUES (119470, 2, 33, 'Номер чеку та ідентифікаційний номер платежу');
INSERT INTO `lang_definitions` VALUES (119471, 3, 33, 'Сертифікат клієнта для користувача admin');
INSERT INTO `lang_definitions` VALUES (119472, 4, 33, 'Медичний документ приєднано');
INSERT INTO `lang_definitions` VALUES (119473, 5, 33, 'Медичний документ приєднано.');
INSERT INTO `lang_definitions` VALUES (119474, 7, 33, 'Вимагається дистрибютор');
INSERT INTO `lang_definitions` VALUES (119475, 8, 33, 'GCAC форма повина бути додана до цього відвідування.');
INSERT INTO `lang_definitions` VALUES (119476, 9, 33, 'Вимагається номер партії');
INSERT INTO `lang_definitions` VALUES (119477, 10, 33, 'Вимагається номер партії');
INSERT INTO `lang_definitions` VALUES (119478, 11, 33, 'Літера нижнього реєстру');
INSERT INTO `lang_definitions` VALUES (119479, 12, 33, 'Номер');
INSERT INTO `lang_definitions` VALUES (119480, 14, 33, 'Пацієнт з цим ID вже існує');
INSERT INTO `lang_definitions` VALUES (119481, 15, 33, 'Пацієнт з цим іменем вже існує');
INSERT INTO `lang_definitions` VALUES (119482, 16, 33, 'Пацієнт з цим SS (інд. податк. ном.) вже існує');
INSERT INTO `lang_definitions` VALUES (119483, 17, 33, 'Додатнє число покаже кількість попередніх прийомів на віджеті у вікні з загальною інформацією про пацієнта (негативне число покаже послідовність прийомів в порядку спадання)');
INSERT INTO `lang_definitions` VALUES (119484, 18, 33, 'Додатнє число покаже кількість попередніх прийомів на віджеті у вікні з загальною інформацією про пацієнта.');
INSERT INTO `lang_definitions` VALUES (119485, 19, 33, 'Джерело направлення може вимагатися при кожному відвідуванні');
INSERT INTO `lang_definitions` VALUES (119486, 20, 33, 'Відповідний код IPPF є необхідним!');
INSERT INTO `lang_definitions` VALUES (119487, 21, 33, 'Спеціальний символ');
INSERT INTO `lang_definitions` VALUES (119488, 22, 33, 'Унікальне значення ідентифікації цього поля, не видиме для користувача');
INSERT INTO `lang_definitions` VALUES (119489, 23, 33, 'Для цього пацієнта існує запис про візит на сьогдні. Натисніть Відмінити щоб відкрити існуючий та ОК щоб створити ще один новий');
INSERT INTO `lang_definitions` VALUES (119490, 24, 33, 'Перед їжею');
INSERT INTO `lang_definitions` VALUES (119491, 25, 33, 'До полудня');
INSERT INTO `lang_definitions` VALUES (119492, 26, 33, 'A/F Рівень');
INSERT INTO `lang_definitions` VALUES (119493, 27, 33, 'Астматичний бронхіт');
INSERT INTO `lang_definitions` VALUES (119494, 28, 33, 'Скорочення');
INSERT INTO `lang_definitions` VALUES (119495, 29, 33, 'Абсцес');
INSERT INTO `lang_definitions` VALUES (119496, 30, 33, 'Черевний');
INSERT INTO `lang_definitions` VALUES (119497, 31, 33, 'Здатність переносити вагу (4 фази):');
INSERT INTO `lang_definitions` VALUES (119498, 32, 33, 'Аномальний');
INSERT INTO `lang_definitions` VALUES (119499, 33, 33, 'Відхилення від норми 1');
INSERT INTO `lang_definitions` VALUES (119500, 34, 33, 'Аномальний, з відхиленням від норми');
INSERT INTO `lang_definitions` VALUES (119501, 35, 33, 'Аналіз крові з відхиленням від норми');
INSERT INTO `lang_definitions` VALUES (119502, 36, 33, 'Аномальний ріст волосся');
INSERT INTO `lang_definitions` VALUES (119503, 37, 33, 'Мамограма з відхиленням від норми');
INSERT INTO `lang_definitions` VALUES (119504, 39, 33, 'Переривання вагітності');
INSERT INTO `lang_definitions` VALUES (119505, 40, 33, 'Проблеми переривання вагітності');
INSERT INTO `lang_definitions` VALUES (119506, 41, 33, 'Методи переривання вагітності');
INSERT INTO `lang_definitions` VALUES (119507, 42, 33, 'Категорії пов\'язані з перериванням вагітності');
INSERT INTO `lang_definitions` VALUES (119508, 43, 33, 'Аборти');
INSERT INTO `lang_definitions` VALUES (119509, 44, 33, 'Про календар');
INSERT INTO `lang_definitions` VALUES (119510, 46, 33, 'Відсутність за діагнозом');
INSERT INTO `lang_definitions` VALUES (119511, 47, 33, 'Прийняти призначення');
INSERT INTO `lang_definitions` VALUES (119512, 48, 33, 'Прийняти оплату за');
INSERT INTO `lang_definitions` VALUES (119513, 49, 33, 'Прийняти оплату за');
INSERT INTO `lang_definitions` VALUES (119514, 50, 33, 'Особа, що приймає призначення');
INSERT INTO `lang_definitions` VALUES (119515, 51, 33, 'Контроль доступу');
INSERT INTO `lang_definitions` VALUES (119516, 52, 33, 'Адміністрування через список управління доступом (ACL)');
INSERT INTO `lang_definitions` VALUES (119517, 53, 33, 'Дата доступу');
INSERT INTO `lang_definitions` VALUES (119518, 54, 33, 'Доступ не дозволено');
INSERT INTO `lang_definitions` VALUES (119519, 55, 33, 'Не уповноважений для доступу');
INSERT INTO `lang_definitions` VALUES (119520, 56, 33, 'Доступ до Вашого Порталу Пацієнта');
INSERT INTO `lang_definitions` VALUES (119521, 57, 33, 'Нещасний випадок');
INSERT INTO `lang_definitions` VALUES (119522, 59, 33, 'Назва облікового запису');
INSERT INTO `lang_definitions` VALUES (119523, 62, 33, 'Облік');
INSERT INTO `lang_definitions` VALUES (119524, 64, 33, 'Болі');
INSERT INTO `lang_definitions` VALUES (119525, 65, 33, 'Запит на підтвердження');
INSERT INTO `lang_definitions` VALUES (119526, 66, 33, 'Підтвердження, ліцензії та сертифікати');
INSERT INTO `lang_definitions` VALUES (119527, 67, 33, 'Керування доступом');
INSERT INTO `lang_definitions` VALUES (119528, 68, 33, 'Управління списком контролю доступу');
INSERT INTO `lang_definitions` VALUES (119529, 69, 33, 'Управління списком контролю доступу не дозволено');
INSERT INTO `lang_definitions` VALUES (119530, 70, 33, 'Список контролю доступу оновлено успішно');
INSERT INTO `lang_definitions` VALUES (119531, 71, 33, 'Акне');
INSERT INTO `lang_definitions` VALUES (119532, 72, 33, 'Акт');
INSERT INTO `lang_definitions` VALUES (119533, 73, 33, 'Дата підписання акту');
INSERT INTO `lang_definitions` VALUES (119534, 74, 33, 'Дія');
INSERT INTO `lang_definitions` VALUES (119535, 75, 33, 'Дії');
INSERT INTO `lang_definitions` VALUES (119536, 77, 33, 'Активувати повідомлення CCR / CCD');
INSERT INTO `lang_definitions` VALUES (119537, 78, 33, 'Активний');
INSERT INTO `lang_definitions` VALUES (119538, 79, 33, 'Активне повідомлення');
INSERT INTO `lang_definitions` VALUES (119539, 80, 33, 'Правила передачі активних повідомлень');
INSERT INTO `lang_definitions` VALUES (119540, 81, 33, 'Поточні сповіщення / нагадування');
INSERT INTO `lang_definitions` VALUES (119541, 82, 33, 'Активне звернення');
INSERT INTO `lang_definitions` VALUES (119542, 84, 33, 'Поточна зустріч');
INSERT INTO `lang_definitions` VALUES (119543, 85, 33, 'Поточний пацієнт');
INSERT INTO `lang_definitions` VALUES (119544, 86, 33, 'Поточні програми');
INSERT INTO `lang_definitions` VALUES (119545, 87, 33, 'Діяльність');
INSERT INTO `lang_definitions` VALUES (119546, 88, 33, 'Вид діяльності');
INSERT INTO `lang_definitions` VALUES (119547, 90, 33, 'Гостра інтоксикація / абстіненція');
INSERT INTO `lang_definitions` VALUES (119548, 91, 33, 'Гострий прояв хронічного захворювання');
INSERT INTO `lang_definitions` VALUES (119549, 92, 33, 'Гострий або хронічний');
INSERT INTO `lang_definitions` VALUES (119550, 93, 33, 'додати');
INSERT INTO `lang_definitions` VALUES (119551, 94, 33, 'Додати');
INSERT INTO `lang_definitions` VALUES (119552, 95, 33, 'ДОДАТИ');
INSERT INTO `lang_definitions` VALUES (119553, 96, 33, 'Додати компанію');
INSERT INTO `lang_definitions` VALUES (119554, 98, 33, 'Додати аптеку');
INSERT INTO `lang_definitions` VALUES (119555, 100, 33, 'додати подію для ');
INSERT INTO `lang_definitions` VALUES (119556, 101, 33, 'Додати як новий запис');
INSERT INTO `lang_definitions` VALUES (119557, 102, 33, 'Додати як новий пункт');
INSERT INTO `lang_definitions` VALUES (119558, 104, 33, 'Додати кнопки');
INSERT INTO `lang_definitions` VALUES (119559, 105, 33, 'Додати кнопки для спеціальних діаграм, текстів для відображення вгорі Редактора для включення в текст при натисканні');
INSERT INTO `lang_definitions` VALUES (119560, 106, 33, 'Додати категорію');
INSERT INTO `lang_definitions` VALUES (119561, 107, 33, 'Додати константу');
INSERT INTO `lang_definitions` VALUES (119562, 108, 33, 'Додати режим роботи');
INSERT INTO `lang_definitions` VALUES (119563, 109, 33, 'Додати оплату пацієнта');
INSERT INTO `lang_definitions` VALUES (119564, 110, 33, 'Додати критерії');
INSERT INTO `lang_definitions` VALUES (119565, 111, 33, 'Додати кнопку користувача');
INSERT INTO `lang_definitions` VALUES (119566, 112, 33, 'Додати діагноз');
INSERT INTO `lang_definitions` VALUES (119567, 113, 33, 'Додати ліки');
INSERT INTO `lang_definitions` VALUES (119568, 114, 33, 'Додати звернення');
INSERT INTO `lang_definitions` VALUES (119569, 115, 33, 'Додати звернення / запис');
INSERT INTO `lang_definitions` VALUES (119570, 116, 33, 'Додати медичний заклад');
INSERT INTO `lang_definitions` VALUES (119571, 117, 33, 'Додати поле');
INSERT INTO `lang_definitions` VALUES (119572, 118, 33, 'Додайте наступні рядки в конфігураційний файл Apache');
INSERT INTO `lang_definitions` VALUES (119573, 119, 33, 'Додати групу');
INSERT INTO `lang_definitions` VALUES (119574, 120, 33, 'Додати код МКХ (Міжнародної класифікації захворювань)');
INSERT INTO `lang_definitions` VALUES (119575, 121, 33, 'Додати вакцинацію');
INSERT INTO `lang_definitions` VALUES (119576, 122, 33, 'Добавлення не дозволено');
INSERT INTO `lang_definitions` VALUES (119577, 123, 33, 'Додати проблему');
INSERT INTO `lang_definitions` VALUES (119578, 124, 33, 'Додати елемент для відслідковування');
INSERT INTO `lang_definitions` VALUES (119579, 125, 33, 'Додати мову');
INSERT INTO `lang_definitions` VALUES (119580, 126, 33, 'Додати Нове');
INSERT INTO `lang_definitions` VALUES (119581, 127, 33, 'Додати нове');
INSERT INTO `lang_definitions` VALUES (119582, 128, 33, 'Додати нову категорію ');
INSERT INTO `lang_definitions` VALUES (119583, 129, 33, 'Додати нові сертифікати в конфігураційний файл Apache');
INSERT INTO `lang_definitions` VALUES (119584, 130, 33, 'Додати новий компонент');
INSERT INTO `lang_definitions` VALUES (119585, 131, 33, 'Додати нові компоненти');
INSERT INTO `lang_definitions` VALUES (119586, 132, 33, 'Додати нову групу');
INSERT INTO `lang_definitions` VALUES (119587, 133, 33, 'Додати нову проблему');
INSERT INTO `lang_definitions` VALUES (119588, 134, 33, 'Додати нову партію чи транзакцію');
INSERT INTO `lang_definitions` VALUES (119589, 135, 33, 'Додати Новий Запис');
INSERT INTO `lang_definitions` VALUES (119590, 136, 33, 'Додати новий запис');
INSERT INTO `lang_definitions` VALUES (119591, 137, 33, 'Додати нового партнера');
INSERT INTO `lang_definitions` VALUES (119592, 138, 33, 'Додати нового пацієнта');
INSERT INTO `lang_definitions` VALUES (119593, 140, 33, 'Додати запис');
INSERT INTO `lang_definitions` VALUES (119594, 141, 33, 'Додати запис пацієнта');
INSERT INTO `lang_definitions` VALUES (119595, 142, 33, 'Додати призначення/рецепт');
INSERT INTO `lang_definitions` VALUES (119596, 143, 33, 'Дадати процедуру');
INSERT INTO `lang_definitions` VALUES (119597, 144, 33, 'Додати номер постачальника');
INSERT INTO `lang_definitions` VALUES (119598, 145, 33, 'Додати реабілітацію');
INSERT INTO `lang_definitions` VALUES (119599, 146, 33, 'Додати правило');
INSERT INTO `lang_definitions` VALUES (119600, 147, 33, 'Додати до');
INSERT INTO `lang_definitions` VALUES (119601, 148, 33, 'Додати до списку препаратів');
INSERT INTO `lang_definitions` VALUES (119602, 149, 33, 'Додати верхній рівень');
INSERT INTO `lang_definitions` VALUES (119603, 150, 33, 'Додати транзакцію');
INSERT INTO `lang_definitions` VALUES (119604, 151, 33, 'Додати користувача');
INSERT INTO `lang_definitions` VALUES (119605, 152, 33, 'Додати користувача до групи');
INSERT INTO `lang_definitions` VALUES (119606, 153, 33, 'Додати / змінити eRx (електронне призначення лікаря/рецепт)');
INSERT INTO `lang_definitions` VALUES (119607, 154, 33, 'Додати / змінити транзакцію по пацієнтові');
INSERT INTO `lang_definitions` VALUES (119608, 155, 33, 'доповнено');
INSERT INTO `lang_definitions` VALUES (119609, 156, 33, 'Додавання персональних даних не дозволено.');
INSERT INTO `lang_definitions` VALUES (119610, 157, 33, 'Додати елемент для відслідковування не вдалося');
INSERT INTO `lang_definitions` VALUES (119611, 158, 33, 'Синдром Еддісона');
INSERT INTO `lang_definitions` VALUES (119612, 159, 33, 'Синдром Еддісона');
INSERT INTO `lang_definitions` VALUES (119613, 160, 33, 'Додаткові елементи');
INSERT INTO `lang_definitions` VALUES (119614, 161, 33, 'Додатковий діагноз:');
INSERT INTO `lang_definitions` VALUES (119615, 162, 33, 'Додатковий анамнез');
INSERT INTO `lang_definitions` VALUES (119616, 163, 33, 'Додаткові записи в історію хвороби');
INSERT INTO `lang_definitions` VALUES (119617, 164, 33, 'Додаткова інформація');
INSERT INTO `lang_definitions` VALUES (119618, 165, 33, 'Додаткові лабораторні дослідження');
INSERT INTO `lang_definitions` VALUES (119619, 166, 33, 'Додаткові примітки');
INSERT INTO `lang_definitions` VALUES (119620, 167, 33, 'Додаткові примітки для цих результатів чи рекомендацій');
INSERT INTO `lang_definitions` VALUES (119621, 168, 33, 'Додаткові примітки:');
INSERT INTO `lang_definitions` VALUES (119622, 169, 33, 'Додаткові примітки: ');
INSERT INTO `lang_definitions` VALUES (119623, 170, 33, 'Додаткові записи до рентген-дослідження:');
INSERT INTO `lang_definitions` VALUES (119624, 171, 33, 'Додтково, пакет розширення SNOMED (відповідний для США) може бути імпортовано окремо після встановлення версї SNOMED Міжнародний (англійська версія)');
INSERT INTO `lang_definitions` VALUES (119625, 172, 33, 'тільки додавання');
INSERT INTO `lang_definitions` VALUES (119626, 173, 33, 'Адресний довідник');
INSERT INTO `lang_definitions` VALUES (119627, 174, 33, 'Адресний довідник');
INSERT INTO `lang_definitions` VALUES (119628, 175, 33, 'Адреса');
INSERT INTO `lang_definitions` VALUES (119629, 178, 33, 'Адресний довідник');
INSERT INTO `lang_definitions` VALUES (119630, 179, 33, 'Запис в адресному довіднику для компанії, що виконує цю операцію');
INSERT INTO `lang_definitions` VALUES (119631, 180, 33, 'Запис адресному довіднику для дистрибютора');
INSERT INTO `lang_definitions` VALUES (119632, 181, 33, 'Запис адресному довіднику для виробника');
INSERT INTO `lang_definitions` VALUES (119633, 182, 33, 'Види адресних довідників');
INSERT INTO `lang_definitions` VALUES (119634, 183, 33, 'Адресна мітка');
INSERT INTO `lang_definitions` VALUES (119635, 187, 33, 'Адреса 1');
INSERT INTO `lang_definitions` VALUES (119636, 188, 33, 'Адреса 2');
INSERT INTO `lang_definitions` VALUES (119637, 189, 33, 'АДРЕСАТ');
INSERT INTO `lang_definitions` VALUES (119638, 190, 33, 'Коригувати');
INSERT INTO `lang_definitions` VALUES (119639, 191, 33, 'Кількість коригувань');
INSERT INTO `lang_definitions` VALUES (119640, 192, 33, 'Коригувати');
INSERT INTO `lang_definitions` VALUES (119641, 193, 33, 'Коригування');
INSERT INTO `lang_definitions` VALUES (119642, 194, 33, 'Кільк. коригувань');
INSERT INTO `lang_definitions` VALUES (119643, 195, 33, 'Причини коригування');
INSERT INTO `lang_definitions` VALUES (119644, 196, 33, 'Значення коригування для коду ');
INSERT INTO `lang_definitions` VALUES (119645, 197, 33, 'Виправлення');
INSERT INTO `lang_definitions` VALUES (119646, 198, 33, 'Налаштування адм.');
INSERT INTO `lang_definitions` VALUES (119647, 199, 33, 'Адмін.');
INSERT INTO `lang_definitions` VALUES (119648, 200, 33, 'Електронна адреса admin');
INSERT INTO `lang_definitions` VALUES (119649, 201, 33, 'Виконувати через');
INSERT INTO `lang_definitions` VALUES (119650, 202, 33, 'Налаштований');
INSERT INTO `lang_definitions` VALUES (119651, 203, 33, 'Налаштований через');
INSERT INTO `lang_definitions` VALUES (119652, 204, 33, 'Дата адміністрування');
INSERT INTO `lang_definitions` VALUES (119653, 205, 33, 'Адміністрований сайт');
INSERT INTO `lang_definitions` VALUES (119654, 206, 33, 'Адміністрування');
INSERT INTO `lang_definitions` VALUES (119655, 207, 33, 'Адміністрування сайту');
INSERT INTO `lang_definitions` VALUES (119656, 208, 33, 'Адміністратори');
INSERT INTO `lang_definitions` VALUES (119657, 209, 33, 'Адміністратори мають необмежений доступ');
INSERT INTO `lang_definitions` VALUES (119658, 210, 33, 'Дата згоди');
INSERT INTO `lang_definitions` VALUES (119659, 212, 33, 'Скрінінг ваги дорослого та диспансерне обстеження');
INSERT INTO `lang_definitions` VALUES (119660, 213, 33, 'Скрінінг ваги дорослого та диспансерне обстеження (CQM)');
INSERT INTO `lang_definitions` VALUES (119661, 214, 33, 'Попередня інструкція');
INSERT INTO `lang_definitions` VALUES (119662, 215, 33, 'Попередні інструкції');
INSERT INTO `lang_definitions` VALUES (119663, 216, 33, 'Попередження про попередню інструкції');
INSERT INTO `lang_definitions` VALUES (119664, 218, 33, 'Вдосконалений');
INSERT INTO `lang_definitions` VALUES (119665, 219, 33, 'Порада');
INSERT INTO `lang_definitions` VALUES (119666, 220, 33, 'Здалеку');
INSERT INTO `lang_definitions` VALUES (119667, 221, 33, 'Вплинути на норму');
INSERT INTO `lang_definitions` VALUES (119668, 222, 33, 'Африкаанс');
INSERT INTO `lang_definitions` VALUES (119669, 223, 33, 'Дзвінки в неробочий час');
INSERT INTO `lang_definitions` VALUES (119670, 224, 33, 'Коли завершено міграцію зі старого механізму паролів де вони зберігаються в таблиці користувачів і без солі, цей прапоець повинен бути встановлений в FALSE, після чого буде можлива лише аутентифікація за новим методом');
INSERT INTO `lang_definitions` VALUES (119671, 225, 33, 'Після завершення вказаних налаштувань імпортуйте сертифікат клієнта admin в браузер і перезавантажте сервер Apache (порожній пароль).');
INSERT INTO `lang_definitions` VALUES (119672, 226, 33, 'Після збереження PDF натисніть [Перегляд журналу] для перевірки помилок.');
INSERT INTO `lang_definitions` VALUES (119673, 227, 33, 'Після збереження файлу (файлів) TEXT натисніть [Перегляд журналу] для перевірки помилок.');
INSERT INTO `lang_definitions` VALUES (119674, 228, 33, 'Після збереження пакета натисніть [Перегляд журналу] для перевірки помилок.');
INSERT INTO `lang_definitions` VALUES (119675, 229, 33, 'Після цього стовбець Співпадіння буде показувати ID вибраного пацієнта, або 0 для створення');
INSERT INTO `lang_definitions` VALUES (119676, 230, 33, 'Після правильного введення інформації натисніть кнопку Зберегти.');
INSERT INTO `lang_definitions` VALUES (119677, 231, 33, 'Після вивантаження натисніть кнопку \"Імпорт\"');
INSERT INTO `lang_definitions` VALUES (119678, 232, 33, 'Планування догляду за виздоровлюючим');
INSERT INTO `lang_definitions` VALUES (119679, 233, 33, 'Повторно');
INSERT INTO `lang_definitions` VALUES (119680, 234, 33, 'Вік');
INSERT INTO `lang_definitions` VALUES (119681, 235, 33, 'Вік за');
INSERT INTO `lang_definitions` VALUES (119682, 236, 33, 'Вікова категорія');
INSERT INTO `lang_definitions` VALUES (119683, 237, 33, 'Дані по віку відсутні');
INSERT INTO `lang_definitions` VALUES (119684, 238, 33, 'Формат відображення віку');
INSERT INTO `lang_definitions` VALUES (119685, 239, 33, 'Формат віку \"вік від\" не дійсний');
INSERT INTO `lang_definitions` VALUES (119686, 240, 33, 'Формат віку \"вік до\" не дійсний');
INSERT INTO `lang_definitions` VALUES (119687, 241, 33, 'Вік від');
INSERT INTO `lang_definitions` VALUES (119688, 242, 33, 'Вік в роках щоб відобразити зміну формату');
INSERT INTO `lang_definitions` VALUES (119689, 243, 33, 'Вік макс');
INSERT INTO `lang_definitions` VALUES (119690, 244, 33, 'Вік мін');
INSERT INTO `lang_definitions` VALUES (119691, 245, 33, 'Віковий діапазон');
INSERT INTO `lang_definitions` VALUES (119692, 247, 33, 'Стовпці віку:');
INSERT INTO `lang_definitions` VALUES (119693, 249, 33, 'Албанська');
INSERT INTO `lang_definitions` VALUES (119694, 250, 33, 'Алкоголь');
INSERT INTO `lang_definitions` VALUES (119695, 251, 33, 'Вживання алкоголю');
INSERT INTO `lang_definitions` VALUES (119696, 252, 33, 'Використання алкоголю');
INSERT INTO `lang_definitions` VALUES (119697, 253, 33, 'Кількість повідомлень');
INSERT INTO `lang_definitions` VALUES (119698, 255, 33, 'Сповіщення');
INSERT INTO `lang_definitions` VALUES (119699, 258, 33, 'Алеутський');
INSERT INTO `lang_definitions` VALUES (119700, 259, 33, 'Всі');
INSERT INTO `lang_definitions` VALUES (119701, 260, 33, 'Всі');
INSERT INTO `lang_definitions` VALUES (119702, 261, 33, 'Всі (формат зіставлення A)');
INSERT INTO `lang_definitions` VALUES (119703, 262, 33, 'Всі (формат зіставлення B)');
INSERT INTO `lang_definitions` VALUES (119704, 263, 33, 'Всі (сукупні)');
INSERT INTO `lang_definitions` VALUES (119705, 265, 33, 'Всі автоматично розраховані одиниці (АРО)');
INSERT INTO `lang_definitions` VALUES (119706, 266, 33, 'Всі категорії');
INSERT INTO `lang_definitions` VALUES (119707, 268, 33, 'Всі коди');
INSERT INTO `lang_definitions` VALUES (119708, 269, 33, 'Весь день');
INSERT INTO `lang_definitions` VALUES (119709, 270, 33, 'Подія на весь день');
INSERT INTO `lang_definitions` VALUES (119710, 271, 33, 'Всі поля персональних даних з пошуком і перевіркою на повтори');
INSERT INTO `lang_definitions` VALUES (119711, 272, 33, 'Всі об\'єкти');
INSERT INTO `lang_definitions` VALUES (119712, 273, 33, 'Всі травми / Проблеми / аспекти');
INSERT INTO `lang_definitions` VALUES (119713, 274, 33, 'Дозволені всі мови');
INSERT INTO `lang_definitions` VALUES (119714, 276, 33, 'Ім\'я або його фрагмент');
INSERT INTO `lang_definitions` VALUES (119715, 277, 33, 'Прізвище або його фрагмент');
INSERT INTO `lang_definitions` VALUES (119716, 278, 33, 'Назва організації або фрагмент назви');
INSERT INTO `lang_definitions` VALUES (119717, 279, 33, 'Всі пацієнти');
INSERT INTO `lang_definitions` VALUES (119718, 280, 33, 'Вся продукція');
INSERT INTO `lang_definitions` VALUES (119719, 281, 33, 'Всі провайдери');
INSERT INTO `lang_definitions` VALUES (119720, 282, 33, 'Всі були розглянуті і негативні');
INSERT INTO `lang_definitions` VALUES (119721, 283, 33, 'Всі розділи');
INSERT INTO `lang_definitions` VALUES (119722, 284, 33, 'Всі користувачі');
INSERT INTO `lang_definitions` VALUES (119723, 285, 33, 'Алергічний');
INSERT INTO `lang_definitions` VALUES (119724, 286, 33, 'Алергії');
INSERT INTO `lang_definitions` VALUES (119725, 287, 33, 'Алергії:');
INSERT INTO `lang_definitions` VALUES (119726, 288, 33, 'Алергія');
INSERT INTO `lang_definitions` VALUES (119727, 289, 33, 'Імпорт інформації про алергії успішно завершено');
INSERT INTO `lang_definitions` VALUES (119728, 290, 33, 'Перелік відомих алергій');
INSERT INTO `lang_definitions` VALUES (119729, 291, 33, 'Алергічна реакція');
INSERT INTO `lang_definitions` VALUES (119730, 294, 33, 'Внести');
INSERT INTO `lang_definitions` VALUES (119731, 295, 33, 'Дозволити');
INSERT INTO `lang_definitions` VALUES (119732, 296, 33, 'Дозволити вибирати всі доступні мови в меню входу в систему.');
INSERT INTO `lang_definitions` VALUES (119733, 297, 33, 'Дозволяє створення заявок які містять діагнози, але не процедури чи оплати. Для більшості клінік це не потрібно.');
INSERT INTO `lang_definitions` VALUES (119734, 298, 33, 'Дозволити налагодження мови');
INSERT INTO `lang_definitions` VALUES (119735, 299, 33, 'Дозволити e-mail');
INSERT INTO `lang_definitions` VALUES (119736, 300, 33, 'Дозволити електронні повідомлення?');
INSERT INTO `lang_definitions` VALUES (119737, 301, 33, 'Дозволити e-mail?');
INSERT INTO `lang_definitions` VALUES (119738, 302, 33, 'Дозволити запит звернення');
INSERT INTO `lang_definitions` VALUES (119739, 303, 33, 'Дозволити обмін інформацією про здоров\'я');
INSERT INTO `lang_definitions` VALUES (119740, 304, 33, 'Дозволити обмін інформацією про вакцинацію');
INSERT INTO `lang_definitions` VALUES (119741, 305, 33, 'Дозволити використання реєстру вакцинації');
INSERT INTO `lang_definitions` VALUES (119742, 306, 33, 'Дозволити передачу повідомлень поштою');
INSERT INTO `lang_definitions` VALUES (119743, 308, 33, 'Дозволити портал пацієнтів');
INSERT INTO `lang_definitions` VALUES (119744, 309, 33, 'Дозволити СМС');
INSERT INTO `lang_definitions` VALUES (119745, 310, 33, 'Дозволити СМС (текстове повідомлення)');
INSERT INTO `lang_definitions` VALUES (119746, 311, 33, 'Дозволити негайну активацію поточних подій?');
INSERT INTO `lang_definitions` VALUES (119747, 312, 33, 'Дозволити телефонні повідомлення?');
INSERT INTO `lang_definitions` VALUES (119748, 313, 33, 'Дозволити користувачам опубліковувати загальні події');
INSERT INTO `lang_definitions` VALUES (119749, 314, 33, 'Дозволити користувачам опубліковувати персональний календар');
INSERT INTO `lang_definitions` VALUES (119750, 315, 33, 'Дозволити голосові повідомлення');
INSERT INTO `lang_definitions` VALUES (119751, 316, 33, 'Дозволено');
INSERT INTO `lang_definitions` VALUES (119752, 317, 33, 'Дозволені мови');
INSERT INTO `lang_definitions` VALUES (119753, 318, 33, 'Дозволено');
INSERT INTO `lang_definitions` VALUES (119754, 319, 33, 'Дозволяє Е-підпис для вмісту випадку');
INSERT INTO `lang_definitions` VALUES (119755, 320, 33, 'Дозволяє Е-підписування індивідуальних форм');
INSERT INTO `lang_definitions` VALUES (119756, 321, 33, 'Дозволяє пошту');
INSERT INTO `lang_definitions` VALUES (119757, 322, 33, 'Дозволяє голосові повідомлення');
INSERT INTO `lang_definitions` VALUES (119758, 323, 33, 'вже існує');
INSERT INTO `lang_definitions` VALUES (119759, 324, 33, 'вже існує.');
INSERT INTO `lang_definitions` VALUES (119760, 325, 33, 'Вже використовується, виберіть інший ідентифікатор');
INSERT INTO `lang_definitions` VALUES (119761, 326, 33, 'Вже використовується, виберіть інший заголовок');
INSERT INTO `lang_definitions` VALUES (119762, 327, 33, 'Альтернативна адреса');
INSERT INTO `lang_definitions` VALUES (119763, 328, 33, 'інший');
INSERT INTO `lang_definitions` VALUES (119764, 329, 33, 'Також можна використовувати сторінку пошуку для завантаження файлу електронного грошового переказу (X12 835), який ви отримали від платника або розрахункового центру. Це можна зробити, натиснувши кнопку \"Огляд\" і вибравши файл для завантаження, а потім натиснувши Пошук, щоб виконати завантаження і відображення відповідних рахунків-фактур. У цьому випадку інші параметри, зазначені вище, не застосовуються, і будуть проігноровані. Завантаження зберігає файл, але ще не обробляє його вміст - це буде зроблено окремо, як описано нижче.');
INSERT INTO `lang_definitions` VALUES (119765, 330, 33, 'До полудня');
INSERT INTO `lang_definitions` VALUES (119766, 331, 33, 'Ранкова програма');
INSERT INTO `lang_definitions` VALUES (119767, 332, 33, 'Автоматичний розрахунок одиниць (АРО)');
INSERT INTO `lang_definitions` VALUES (119768, 333, 33, 'Відстеження АРО');
INSERT INTO `lang_definitions` VALUES (119769, 334, 33, 'АРО-2011');
INSERT INTO `lang_definitions` VALUES (119770, 335, 33, 'АРО-2014');
INSERT INTO `lang_definitions` VALUES (119771, 338, 33, 'Виправити існуючий запис');
INSERT INTO `lang_definitions` VALUES (119772, 339, 33, 'Форма покращення');
INSERT INTO `lang_definitions` VALUES (119773, 340, 33, 'Стан покращення');
INSERT INTO `lang_definitions` VALUES (119774, 341, 33, 'Покращення');
INSERT INTO `lang_definitions` VALUES (119775, 342, 33, 'Покращення для');
INSERT INTO `lang_definitions` VALUES (119776, 343, 33, 'Американський індіанець');
INSERT INTO `lang_definitions` VALUES (119777, 344, 33, 'Американський індіанець або уродженець Аляски');
INSERT INTO `lang_definitions` VALUES (119778, 345, 33, 'AMEX (Амерікан Експрес)');
INSERT INTO `lang_definitions` VALUES (119779, 346, 33, 'Амхарська');
INSERT INTO `lang_definitions` VALUES (119780, 347, 33, 'Сума');
INSERT INTO `lang_definitions` VALUES (119781, 348, 33, 'Сума керована');
INSERT INTO `lang_definitions` VALUES (119782, 349, 33, 'Підсумковий платіж');
INSERT INTO `lang_definitions` VALUES (119783, 350, 33, 'Сума минулого балансу');
INSERT INTO `lang_definitions` VALUES (119784, 351, 33, 'Сума для цього відвідування');
INSERT INTO `lang_definitions` VALUES (119785, 352, 33, 'Виплачена сума');
INSERT INTO `lang_definitions` VALUES (119786, 353, 33, 'Сума:');
INSERT INTO `lang_definitions` VALUES (119787, 354, 33, 'Кільк. рахунків');
INSERT INTO `lang_definitions` VALUES (119788, 355, 33, 'Для повторюваних подій дата кінця повинна бути пізніше дати початку!');
INSERT INTO `lang_definitions` VALUES (119789, 356, 33, 'При підписуванні форми сталася помилка');
INSERT INTO `lang_definitions` VALUES (119790, 357, 33, 'При формуванні дампу дерева веб-каталогу LibreEHR сталася помилка');
INSERT INTO `lang_definitions` VALUES (119791, 358, 33, 'Під час формування дампу дерева веб-каталогу phpGACL сталася помилка');
INSERT INTO `lang_definitions` VALUES (119792, 359, 33, 'Під час формування дампу дерева веб-каталогу для регістра SQL сталася помилка');
INSERT INTO `lang_definitions` VALUES (119793, 360, 33, 'Створено незавершену категорію GCAC. ЇЇ необхідно заверити пізніше');
INSERT INTO `lang_definitions` VALUES (119794, 362, 33, 'Непередбачена помилка.');
INSERT INTO `lang_definitions` VALUES (119795, 363, 33, 'Буква верхнього реєстру');
INSERT INTO `lang_definitions` VALUES (119796, 365, 33, 'і');
INSERT INTO `lang_definitions` VALUES (119797, 366, 33, 'І');
INSERT INTO `lang_definitions` VALUES (119798, 367, 33, 'і');
INSERT INTO `lang_definitions` VALUES (119799, 368, 33, 'і ');
INSERT INTO `lang_definitions` VALUES (119800, 369, 33, 'і всі додаткові дані? Цю дію буде запротоколовано');
INSERT INTO `lang_definitions` VALUES (119801, 370, 33, 'і модифіковані');
INSERT INTO `lang_definitions` VALUES (119802, 371, 33, 'і оброблені.');
INSERT INTO `lang_definitions` VALUES (119803, 372, 33, 'і перезавантажте сервер Apache.');
INSERT INTO `lang_definitions` VALUES (119804, 373, 33, 'і Причина полягає в');
INSERT INTO `lang_definitions` VALUES (119805, 374, 33, 'Анемія');
INSERT INTO `lang_definitions` VALUES (119806, 375, 33, 'Гомілковостопний суглоб');
INSERT INTO `lang_definitions` VALUES (119807, 376, 33, 'Гомілковостопний суглоб + п\'ята');
INSERT INTO `lang_definitions` VALUES (119808, 377, 33, 'Бланк обстеження гомілковостопного суглоба');
INSERT INTO `lang_definitions` VALUES (119809, 378, 33, 'Проблеми гомілковостопного суглоба');
INSERT INTO `lang_definitions` VALUES (119810, 379, 33, 'Анкілозуючий спондиліт');
INSERT INTO `lang_definitions` VALUES (119811, 380, 33, 'Анкілозуючий спондиліт');
INSERT INTO `lang_definitions` VALUES (119812, 381, 33, 'Анорексія');
INSERT INTO `lang_definitions` VALUES (119813, 382, 33, 'У вікні відправки також можна зробити повторний запит рахунку. Якщо ви виберете цю кнопку перед збереженням, то на сторінці рахунків буде знову відкрито початковий запит, поставлено в чергу і буде опрацьовано при наступному запуску сторінки рахунків.');
INSERT INTO `lang_definitions` VALUES (119814, 383, 33, 'частка');
INSERT INTO `lang_definitions` VALUES (119815, 384, 33, 'Тонус анального сфінктера звичайний, безболісний, пухлинних утворень немає');
INSERT INTO `lang_definitions` VALUES (119816, 385, 33, 'Тривожність');
INSERT INTO `lang_definitions` VALUES (119817, 386, 33, 'Будь-який');
INSERT INTO `lang_definitions` VALUES (119818, 387, 33, 'Будь-яка категорія');
INSERT INTO `lang_definitions` VALUES (119819, 388, 33, 'Будь-який фрагмент необхідного коду або його опису');
INSERT INTO `lang_definitions` VALUES (119820, 389, 33, 'Будь-який фрагмент назви необхідної спеціальності');
INSERT INTO `lang_definitions` VALUES (119821, 390, 33, 'Будь-який фрагмент назви медикаменту');
INSERT INTO `lang_definitions` VALUES (119822, 391, 33, 'Будь-який фрагмент назви вакцинації');
INSERT INTO `lang_definitions` VALUES (119823, 392, 33, 'Будь-який фрагмент ПІБ пацієнта, чи \"прізвище, імя\", чи \"А-Я\"');
INSERT INTO `lang_definitions` VALUES (119824, 393, 33, 'Будь-яка інша відповідна інформація');
INSERT INTO `lang_definitions` VALUES (119825, 394, 33, 'Ключ API для шлюзу СМС');
INSERT INTO `lang_definitions` VALUES (119826, 395, 33, 'Апое');
INSERT INTO `lang_definitions` VALUES (119827, 396, 33, 'Зовнішній вигляд');
INSERT INTO `lang_definitions` VALUES (119828, 397, 33, 'Зовнішній вигляд:');
INSERT INTO `lang_definitions` VALUES (119829, 398, 33, 'Додати цей запис');
INSERT INTO `lang_definitions` VALUES (119830, 399, 33, 'Додати до існуючої записи');
INSERT INTO `lang_definitions` VALUES (119831, 400, 33, 'Додати до цього запису');
INSERT INTO `lang_definitions` VALUES (119832, 401, 33, 'Додати до цього запису');
INSERT INTO `lang_definitions` VALUES (119833, 402, 33, 'Апендектомія');
INSERT INTO `lang_definitions` VALUES (119834, 403, 33, 'апендектомія');
INSERT INTO `lang_definitions` VALUES (119835, 404, 33, 'Відповідні пацієнти');
INSERT INTO `lang_definitions` VALUES (119836, 405, 33, 'Програма');
INSERT INTO `lang_definitions` VALUES (119837, 406, 33, 'Ім\'я програми для сторінки входу і основного заголовка вікна.');
INSERT INTO `lang_definitions` VALUES (119838, 407, 33, 'Код отримувача програми (GS03 - Якщо бланк ISA08 буде використовуватися)');
INSERT INTO `lang_definitions` VALUES (119839, 408, 33, 'Код відправника програми (GS02)');
INSERT INTO `lang_definitions` VALUES (119840, 409, 33, 'Назва програми');
INSERT INTO `lang_definitions` VALUES (119841, 410, 33, 'Застосовується у формі життєво важливих показників та діаграмі фізичного розвитку');
INSERT INTO `lang_definitions` VALUES (119842, 411, 33, 'Застосовується у формі життєво важливих показників');
INSERT INTO `lang_definitions` VALUES (119843, 412, 33, 'Застосувати зміни лише до поточного події чи до всіх подальших дій?');
INSERT INTO `lang_definitions` VALUES (119844, 413, 33, 'нанести на уражені ділянки');
INSERT INTO `lang_definitions` VALUES (119845, 414, 33, 'нанести на шкіру');
INSERT INTO `lang_definitions` VALUES (119846, 415, 33, 'Застосування');
INSERT INTO `lang_definitions` VALUES (119847, 416, 33, 'Застосувати виправлення до сайту');
INSERT INTO `lang_definitions` VALUES (119848, 417, 33, 'Запис на прийом');
INSERT INTO `lang_definitions` VALUES (119849, 418, 33, 'Дата прийому');
INSERT INTO `lang_definitions` VALUES (119850, 419, 33, 'Стиль відображення запису на прийом');
INSERT INTO `lang_definitions` VALUES (119851, 420, 33, 'Правило нагадування про запис на прийом');
INSERT INTO `lang_definitions` VALUES (119852, 421, 33, 'Статус прийому');
INSERT INTO `lang_definitions` VALUES (119853, 422, 33, 'Статуси прийому');
INSERT INTO `lang_definitions` VALUES (119854, 423, 33, 'Запис на прийом за період');
INSERT INTO `lang_definitions` VALUES (119855, 424, 33, 'Колір для прийому/події');
INSERT INTO `lang_definitions` VALUES (119856, 425, 33, 'Записи на прийом');
INSERT INTO `lang_definitions` VALUES (119857, 426, 33, 'Записи на прийом (право запису - на вибір)');
INSERT INTO `lang_definitions` VALUES (119858, 427, 33, 'Записи на прийом (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (119859, 430, 33, 'Записи на прийом і звертання');
INSERT INTO `lang_definitions` VALUES (119860, 431, 33, 'Звіт про прийоми');
INSERT INTO `lang_definitions` VALUES (119861, 432, 33, 'Звіт про прийоми-звертання');
INSERT INTO `lang_definitions` VALUES (119862, 434, 33, 'Підтвердити');
INSERT INTO `lang_definitions` VALUES (119863, 435, 33, 'Підтвердити пацієнта з Пацієнт/Клієнт->Імпорт->Оцікує підтвердження');
INSERT INTO `lang_definitions` VALUES (119864, 436, 33, 'Підтверджено');
INSERT INTO `lang_definitions` VALUES (119865, 437, 33, 'Керування підтвердженими подіями');
INSERT INTO `lang_definitions` VALUES (119866, 438, 33, 'Підтверджено успішно');
INSERT INTO `lang_definitions` VALUES (119867, 440, 33, 'Прийоми-зустрічі');
INSERT INTO `lang_definitions` VALUES (119868, 441, 33, 'Прийоми-зустрічі');
INSERT INTO `lang_definitions` VALUES (119869, 442, 33, 'Квіт.');
INSERT INTO `lang_definitions` VALUES (119870, 443, 33, 'Квітень');
INSERT INTO `lang_definitions` VALUES (119871, 444, 33, 'Арабська');
INSERT INTO `lang_definitions` VALUES (119872, 445, 33, 'Арагонська');
INSERT INTO `lang_definitions` VALUES (119873, 446, 33, 'Архів');
INSERT INTO `lang_definitions` VALUES (119874, 447, 33, 'Чи треба перекладати назви груп управління доступом?');
INSERT INTO `lang_definitions` VALUES (119875, 448, 33, 'Чи треба перекладати назви категорій прийому?');
INSERT INTO `lang_definitions` VALUES (119876, 449, 33, 'Чи треба перекладати назви категорій документів?');
INSERT INTO `lang_definitions` VALUES (119877, 450, 33, 'Для цього типу оплата передбачена?');
INSERT INTO `lang_definitions` VALUES (119878, 451, 33, 'Чи треба перекладати заголовки запису по пацієнту?');
INSERT INTO `lang_definitions` VALUES (119879, 452, 33, 'Чи зберігаються коди в зовнішніх таблицях SQL (0-ні, 1-МКБ-10, 2-SNOMED (RF1), 3-SNOMED (RF2))?');
INSERT INTO `lang_definitions` VALUES (119880, 453, 33, 'Чи Ви готові завершити нову GCAC категорію для цього візиту?');
INSERT INTO `lang_definitions` VALUES (119881, 454, 33, 'Чи Ви готові зробити запис за сьогодні?');
INSERT INTO `lang_definitions` VALUES (119882, 455, 33, 'Чи Ви готові підтвердити ці події?');
INSERT INTO `lang_definitions` VALUES (119883, 457, 33, 'Чи Ви готові повністю видалити цю форму?');
INSERT INTO `lang_definitions` VALUES (119884, 459, 33, 'Чи Ви готові видалити цю публікацію?');
INSERT INTO `lang_definitions` VALUES (119885, 460, 33, 'Чи Ви готові видалити цю подію?');
INSERT INTO `lang_definitions` VALUES (119886, 461, 33, 'Чи Ви готові видалити цей пункт з бази даних?');
INSERT INTO `lang_definitions` VALUES (119887, 462, 33, 'Чи Ви готові видалити цей запис?');
INSERT INTO `lang_definitions` VALUES (119888, 464, 33, 'Чи Ви готові змінити ці події?');
INSERT INTO `lang_definitions` VALUES (119889, 465, 33, 'Чи Ви готові приховати ці події?');
INSERT INTO `lang_definitions` VALUES (119890, 467, 33, 'Чи Ви готові відкрити ці події?');
INSERT INTO `lang_definitions` VALUES (119891, 468, 33, 'Чи Ви готові видалити всю групу?');
INSERT INTO `lang_definitions` VALUES (119892, 469, 33, 'Чи Ви готові видалити список цілком?');
INSERT INTO `lang_definitions` VALUES (119893, 470, 33, 'Чи Ви готові видалити поля в');
INSERT INTO `lang_definitions` VALUES (119894, 471, 33, 'Чи Ви готові видалити вибрані поля?');
INSERT INTO `lang_definitions` VALUES (119895, 472, 33, 'Чи Ви готові продовжити ці дії?');
INSERT INTO `lang_definitions` VALUES (119896, 473, 33, 'Не вказана область');
INSERT INTO `lang_definitions` VALUES (119897, 474, 33, 'Рука');
INSERT INTO `lang_definitions` VALUES (119898, 475, 33, 'Вірменська');
INSERT INTO `lang_definitions` VALUES (119899, 477, 33, 'Аритмія');
INSERT INTO `lang_definitions` VALUES (119900, 478, 33, 'Артрит');
INSERT INTO `lang_definitions` VALUES (119901, 479, 33, 'Артрит / деструктивне захворювання суглобів');
INSERT INTO `lang_definitions` VALUES (119902, 480, 33, 'Артрит / деструктивне захворювання суглобів');
INSERT INTO `lang_definitions` VALUES (119903, 481, 33, 'як');
INSERT INTO `lang_definitions` VALUES (119904, 482, 33, 'Як з');
INSERT INTO `lang_definitions` VALUES (119905, 484, 33, 'Азіатський');
INSERT INTO `lang_definitions` VALUES (119906, 485, 33, 'Асамський');
INSERT INTO `lang_definitions` VALUES (119907, 487, 33, 'Оцінка');
INSERT INTO `lang_definitions` VALUES (119908, 488, 33, 'Призначено');
INSERT INTO `lang_definitions` VALUES (119909, 489, 33, 'Асистент');
INSERT INTO `lang_definitions` VALUES (119910, 490, 33, 'Астма');
INSERT INTO `lang_definitions` VALUES (119911, 491, 33, 'в');
INSERT INTO `lang_definitions` VALUES (119912, 492, 33, 'Якщо Ви вибрали \"Все\", то хоча б один параметр пошуку необхідний');
INSERT INTO `lang_definitions` VALUES (119913, 493, 33, 'У човноподібній кістці');
INSERT INTO `lang_definitions` VALUES (119914, 494, 33, 'У човноподібній кістці:');
INSERT INTO `lang_definitions` VALUES (119915, 495, 33, 'Спортивна команда');
INSERT INTO `lang_definitions` VALUES (119916, 496, 33, 'Спортивна команда');
INSERT INTO `lang_definitions` VALUES (119917, 497, 33, 'Спортивна/травма');
INSERT INTO `lang_definitions` VALUES (119918, 498, 33, 'Сертифікат CA аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (119919, 499, 33, 'Хост аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (119920, 500, 33, 'Місцевий сертифікат для аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (119921, 501, 33, 'Порт аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (119922, 503, 33, 'Увага');
INSERT INTO `lang_definitions` VALUES (119923, 504, 33, 'Увага');
INSERT INTO `lang_definitions` VALUES (119924, 506, 33, 'Аудит інструменту CDR-запитів');
INSERT INTO `lang_definitions` VALUES (119925, 507, 33, 'Аудит журналу розтину');
INSERT INTO `lang_definitions` VALUES (119926, 508, 33, 'Аудит журналу звіту про розтин');
INSERT INTO `lang_definitions` VALUES (119927, 509, 33, 'Резервне копіювання журналу аудиту');
INSERT INTO `lang_definitions` VALUES (119928, 510, 33, 'Різноманітна реєстрація аудиту');
INSERT INTO `lang_definitions` VALUES (119929, 511, 33, 'Призначення журналу аудиту');
INSERT INTO `lang_definitions` VALUES (119930, 512, 33, 'Аудит журнал записів пацієнта');
INSERT INTO `lang_definitions` VALUES (119931, 513, 33, 'Планування Аудит реєстрації');
INSERT INTO `lang_definitions` VALUES (119932, 514, 33, 'Аудит реєстрація управління безпекою');
INSERT INTO `lang_definitions` VALUES (119933, 515, 33, 'Аудит реєстрація запиту SELECT');
INSERT INTO `lang_definitions` VALUES (119934, 516, 33, 'Серп.');
INSERT INTO `lang_definitions` VALUES (119935, 517, 33, 'Серпень');
INSERT INTO `lang_definitions` VALUES (119936, 519, 33, 'Авторизувати');
INSERT INTO `lang_definitions` VALUES (119937, 520, 33, 'Авторизувати / Записи');
INSERT INTO `lang_definitions` VALUES (119938, 523, 33, 'Авторизована група');
INSERT INTO `lang_definitions` VALUES (119939, 524, 33, 'Статус авторизації');
INSERT INTO `lang_definitions` VALUES (119940, 525, 33, 'Авторизація');
INSERT INTO `lang_definitions` VALUES (119941, 526, 33, 'Дозволити');
INSERT INTO `lang_definitions` VALUES (119942, 527, 33, 'Дозволити - будь-які звернення');
INSERT INTO `lang_definitions` VALUES (119943, 528, 33, 'Дозволити - мої звернення');
INSERT INTO `lang_definitions` VALUES (119944, 529, 33, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (119945, 530, 33, 'Уповноважений');
INSERT INTO `lang_definitions` VALUES (119946, 531, 33, 'Тільки уповноважений');
INSERT INTO `lang_definitions` VALUES (119947, 532, 33, 'Автоматична відправка');
INSERT INTO `lang_definitions` VALUES (119948, 535, 33, 'Створити нове звернення автоматично');
INSERT INTO `lang_definitions` VALUES (119949, 536, 33, 'Авто-створені');
INSERT INTO `lang_definitions` VALUES (119950, 537, 33, 'Автоматичний розрахунок одиниць вимірювання (AMC)');
INSERT INTO `lang_definitions` VALUES (119951, 538, 33, 'Автоматичний розрахунок одиниць вимірювання (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (119952, 539, 33, 'Автоматичний розрахунок одиниць вимірювання (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (119953, 542, 33, 'Відстеження автоматичного розрахунку одиниць вимірювання (AMC)');
INSERT INTO `lang_definitions` VALUES (119954, 543, 33, 'Автоматична одиниця виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (119955, 544, 33, 'Автоматично');
INSERT INTO `lang_definitions` VALUES (119956, 546, 33, 'Створює нове звернення автоматично, коли статус прийому встановлюється на \"@\" (прибув).');
INSERT INTO `lang_definitions` VALUES (119957, 549, 33, 'Медицина автокатастроф');
INSERT INTO `lang_definitions` VALUES (119958, 550, 33, 'автоматично збережений');
INSERT INTO `lang_definitions` VALUES (119959, 551, 33, 'Доступні категорії');
INSERT INTO `lang_definitions` VALUES (119960, 552, 33, 'Доступний час');
INSERT INTO `lang_definitions` VALUES (119961, 553, 33, 'Доступні треки');
INSERT INTO `lang_definitions` VALUES (119962, 554, 33, 'Аварський');
INSERT INTO `lang_definitions` VALUES (119963, 555, 33, 'Мітки Авері для друку етикетоа для пацієнтів в лівому вікні навігації');
INSERT INTO `lang_definitions` VALUES (119964, 556, 33, 'Авестійська');
INSERT INTO `lang_definitions` VALUES (119965, 557, 33, 'Всередньому щомісячно');
INSERT INTO `lang_definitions` VALUES (119966, 558, 33, 'Розрив/перелом з авульсією');
INSERT INTO `lang_definitions` VALUES (119967, 559, 33, 'Авульсія латеральної щиколотки');
INSERT INTO `lang_definitions` VALUES (119968, 560, 33, 'Авульсія медіальної кісточки ');
INSERT INTO `lang_definitions` VALUES (119969, 561, 33, 'На основі інформованості');
INSERT INTO `lang_definitions` VALUES (119970, 562, 33, 'Пахвовий');
INSERT INTO `lang_definitions` VALUES (119971, 563, 33, 'Аймара');
INSERT INTO `lang_definitions` VALUES (119972, 564, 33, 'Азербайджанська');
INSERT INTO `lang_definitions` VALUES (119973, 565, 33, 'двічі на день');
INSERT INTO `lang_definitions` VALUES (119974, 566, 33, 'Назад');
INSERT INTO `lang_definitions` VALUES (119975, 567, 33, 'назад');
INSERT INTO `lang_definitions` VALUES (119976, 568, 33, 'Вісім відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119977, 569, 33, 'Одинадцять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119978, 570, 33, 'П\'ять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119979, 571, 33, 'Чотири відвідування назад');
INSERT INTO `lang_definitions` VALUES (119980, 572, 33, 'Дев\'ять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119981, 573, 33, 'Одне відвідування назад');
INSERT INTO `lang_definitions` VALUES (119982, 574, 33, 'Спинний біль');
INSERT INTO `lang_definitions` VALUES (119983, 575, 33, 'Проблеми з спиною');
INSERT INTO `lang_definitions` VALUES (119984, 576, 33, 'Сім відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119985, 577, 33, 'Шість відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119986, 578, 33, 'Хірургія хребта');
INSERT INTO `lang_definitions` VALUES (119987, 579, 33, 'Десять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119988, 580, 33, 'Три відвідування назад');
INSERT INTO `lang_definitions` VALUES (119989, 581, 33, 'Назад до сторінки адміністрування');
INSERT INTO `lang_definitions` VALUES (119990, 582, 33, 'Назад до випадку');
INSERT INTO `lang_definitions` VALUES (119991, 583, 33, 'Назад до пацієнта');
INSERT INTO `lang_definitions` VALUES (119992, 584, 33, 'Назад до пацієнта');
INSERT INTO `lang_definitions` VALUES (119993, 585, 33, 'Назад до користувачів');
INSERT INTO `lang_definitions` VALUES (119994, 586, 33, 'Назад до перегляду');
INSERT INTO `lang_definitions` VALUES (119995, 587, 33, 'Дванадцять відвідувань назад');
INSERT INTO `lang_definitions` VALUES (119996, 588, 33, 'Два відвідування назад');
INSERT INTO `lang_definitions` VALUES (119997, 589, 33, 'Фонові сервіси');
INSERT INTO `lang_definitions` VALUES (119998, 590, 33, 'Резервна копія');
INSERT INTO `lang_definitions` VALUES (119999, 591, 33, 'Файл резервного копіювання створено.Теперь буде розпочато вивантаження.');
INSERT INTO `lang_definitions` VALUES (120000, 592, 33, 'Список резервних копій');
INSERT INTO `lang_definitions` VALUES (120001, 593, 33, 'Резервна копія прийнята');
INSERT INTO `lang_definitions` VALUES (120002, 594, 33, 'Фальшивий чек');
INSERT INTO `lang_definitions` VALUES (120003, 595, 33, 'Найбільший борг');
INSERT INTO `lang_definitions` VALUES (120004, 596, 33, 'Бахаса Індонезія');
INSERT INTO `lang_definitions` VALUES (120005, 597, 33, 'Баланс');
INSERT INTO `lang_definitions` VALUES (120006, 598, 33, 'Баланс');
INSERT INTO `lang_definitions` VALUES (120007, 599, 33, 'баланс');
INSERT INTO `lang_definitions` VALUES (120008, 600, 33, 'Баланс (кільк.)');
INSERT INTO `lang_definitions` VALUES (120009, 601, 33, 'Дебетове сальдо');
INSERT INTO `lang_definitions` VALUES (120010, 603, 33, 'Банківський розрахунок');
INSERT INTO `lang_definitions` VALUES (120011, 604, 33, 'Мітка з штрихкодом');
INSERT INTO `lang_definitions` VALUES (120012, 605, 33, 'Тип мітки з штрихкодом');
INSERT INTO `lang_definitions` VALUES (120013, 606, 33, 'Тип штрихкоду для друку міток з штрихкодом в лівому вікні навігації');
INSERT INTO `lang_definitions` VALUES (120014, 607, 33, 'Основа п\'ятої (5-ї) метатарсальної кістки');
INSERT INTO `lang_definitions` VALUES (120015, 608, 33, 'Основа п\'ятої (5-ї) метатарсальної кістки:');
INSERT INTO `lang_definitions` VALUES (120016, 609, 33, 'Башкирська');
INSERT INTO `lang_definitions` VALUES (120017, 610, 33, 'Баскська');
INSERT INTO `lang_definitions` VALUES (120018, 611, 33, 'Пакетна вимога');
INSERT INTO `lang_definitions` VALUES (120019, 612, 33, 'Інструмент пакетної передачі даних');
INSERT INTO `lang_definitions` VALUES (120020, 613, 33, 'Введення групової оплати');
INSERT INTO `lang_definitions` VALUES (120021, 614, 33, 'Групові оплати');
INSERT INTO `lang_definitions` VALUES (120022, 615, 33, 'Ініційована пакетна обробка; вона може зайнятий час.');
INSERT INTO `lang_definitions` VALUES (120023, 616, 33, 'Пакетні результати');
INSERT INTO `lang_definitions` VALUES (120024, 617, 33, 'Пакетна передача');
INSERT INTO `lang_definitions` VALUES (120025, 618, 33, 'Зачекайте, обробка декількох файлів займе кілька хвилин!');
INSERT INTO `lang_definitions` VALUES (120026, 619, 33, 'оскільки дане id не існує.');
INSERT INTO `lang_definitions` VALUES (120027, 620, 33, 'Початок');
INSERT INTO `lang_definitions` VALUES (120028, 621, 33, 'Дата початку');
INSERT INTO `lang_definitions` VALUES (120029, 623, 33, 'Дата початку обслуговування рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (120030, 624, 33, 'Початкова година дня для календарних подій.');
INSERT INTO `lang_definitions` VALUES (120031, 625, 33, 'Білоруська');
INSERT INTO `lang_definitions` VALUES (120032, 626, 33, 'Відрижка');
INSERT INTO `lang_definitions` VALUES (120033, 628, 33, 'Бенгальська');
INSERT INTO `lang_definitions` VALUES (120034, 630, 33, 'між');
INSERT INTO `lang_definitions` VALUES (120035, 631, 33, 'Двонаправлений');
INSERT INTO `lang_definitions` VALUES (120036, 632, 33, 'Біхарі');
INSERT INTO `lang_definitions` VALUES (120037, 633, 33, 'Білатерально');
INSERT INTO `lang_definitions` VALUES (120038, 634, 33, 'Білатерально:');
INSERT INTO `lang_definitions` VALUES (120039, 636, 33, 'Дата рахунку:');
INSERT INTO `lang_definitions` VALUES (120040, 637, 33, 'Рахунки / підрахунок');
INSERT INTO `lang_definitions` VALUES (120041, 638, 33, 'Сплачений');
INSERT INTO `lang_definitions` VALUES (120042, 640, 33, 'Рахунки');
INSERT INTO `lang_definitions` VALUES (120043, 641, 33, 'Рахунки (право запису - на вибір)');
INSERT INTO `lang_definitions` VALUES (120044, 642, 33, 'Попередження по платежу');
INSERT INTO `lang_definitions` VALUES (120045, 644, 33, 'Білінговий код для запитуваної послуги');
INSERT INTO `lang_definitions` VALUES (120046, 645, 33, 'Білінгові коди');
INSERT INTO `lang_definitions` VALUES (120047, 646, 33, 'Дата платежу');
INSERT INTO `lang_definitions` VALUES (120048, 647, 33, 'Розрахункове відділення');
INSERT INTO `lang_definitions` VALUES (120049, 648, 33, 'Розрахунковий об\'єкт');
INSERT INTO `lang_definitions` VALUES (120050, 649, 33, 'Інформація по розрахунках');
INSERT INTO `lang_definitions` VALUES (120051, 650, 33, 'Розміщення бухгалтерії');
INSERT INTO `lang_definitions` VALUES (120052, 655, 33, 'Менеджер по розрахунках');
INSERT INTO `lang_definitions` VALUES (120053, 656, 33, 'Розрахунковий запис');
INSERT INTO `lang_definitions` VALUES (120054, 657, 33, 'Розрахунковий запис для ');
INSERT INTO `lang_definitions` VALUES (120055, 658, 33, 'Розрахунковий запис:');
INSERT INTO `lang_definitions` VALUES (120056, 659, 33, 'Результати запиту по розрахунках');
INSERT INTO `lang_definitions` VALUES (120057, 660, 33, 'Звіт по розрахунках');
INSERT INTO `lang_definitions` VALUES (120058, 661, 33, 'Статус рахунку');
INSERT INTO `lang_definitions` VALUES (120059, 662, 33, 'Статус рахунку = не оплачений');
INSERT INTO `lang_definitions` VALUES (120060, 663, 33, 'рахунок в ');
INSERT INTO `lang_definitions` VALUES (120061, 665, 33, 'Біопсія');
INSERT INTO `lang_definitions` VALUES (120062, 666, 33, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (120063, 667, 33, 'Народжений-24 місяці');
INSERT INTO `lang_definitions` VALUES (120064, 669, 33, 'Чорношкірий');
INSERT INTO `lang_definitions` VALUES (120065, 670, 33, 'Антракоз');
INSERT INTO `lang_definitions` VALUES (120066, 671, 33, 'Чорношкірий або афро-американець');
INSERT INTO `lang_definitions` VALUES (120067, 672, 33, 'Рак сечового міхура');
INSERT INTO `lang_definitions` VALUES (120068, 673, 33, 'Інфекції сечового міхура');
INSERT INTO `lang_definitions` VALUES (120069, 674, 33, 'Порожні бланки');
INSERT INTO `lang_definitions` VALUES (120070, 675, 33, 'Проблеми кровотечі');
INSERT INTO `lang_definitions` VALUES (120071, 676, 33, 'Сліпі плями');
INSERT INTO `lang_definitions` VALUES (120072, 677, 33, 'Вздуття живота');
INSERT INTO `lang_definitions` VALUES (120073, 678, 33, 'Блокований');
INSERT INTO `lang_definitions` VALUES (120074, 679, 33, 'Кров');
INSERT INTO `lang_definitions` VALUES (120075, 680, 33, 'Артеріальний тиск');
INSERT INTO `lang_definitions` VALUES (120076, 681, 33, 'Артеріальний тиск');
INSERT INTO `lang_definitions` VALUES (120077, 682, 33, 'Носова кровотеча');
INSERT INTO `lang_definitions` VALUES (120078, 683, 33, 'Медичне страхове товариство \"Синій Хрест і Синій Щит\"');
INSERT INTO `lang_definitions` VALUES (120079, 684, 33, 'Сині рядки в цьому звіті є довідковими. Чорні рядки показують інформацію, яка існувала раніше. Зелені рядки показують зміни, які були успішно внесені. Червоні лінії позначають помилки або зміни, які не були зроблені; вони повинні бути виконані вручну. В даний час відхилення вимоги і відкат оплати автоматично не обробляються, і тому вони будуть відображатися червоним.');
INSERT INTO `lang_definitions` VALUES (120080, 685, 33, 'Нечіткий зір');
INSERT INTO `lang_definitions` VALUES (120081, 686, 33, 'ІМТ - індекс маси тіла');
INSERT INTO `lang_definitions` VALUES (120082, 687, 33, 'Статус ІМТ');
INSERT INTO `lang_definitions` VALUES (120083, 689, 33, 'Область тіла');
INSERT INTO `lang_definitions` VALUES (120084, 690, 33, 'Ділянка тіла');
INSERT INTO `lang_definitions` VALUES (120085, 691, 33, 'Ділянка тіла, якщо застосовується');
INSERT INTO `lang_definitions` VALUES (120086, 692, 33, 'Кісткова крихкість:');
INSERT INTO `lang_definitions` VALUES (120087, 693, 33, 'Кісткова крихкість: медіальна кісточка');
INSERT INTO `lang_definitions` VALUES (120088, 694, 33, 'Булевий');
INSERT INTO `lang_definitions` VALUES (120089, 695, 33, 'Боснійська');
INSERT INTO `lang_definitions` VALUES (120090, 696, 33, 'Низ');
INSERT INTO `lang_definitions` VALUES (120091, 697, 33, 'Обидва вуха');
INSERT INTO `lang_definitions` VALUES (120092, 698, 33, 'обидва вуха');
INSERT INTO `lang_definitions` VALUES (120093, 699, 33, 'Нижній');
INSERT INTO `lang_definitions` VALUES (120094, 700, 33, 'Нижнє поле (рх)');
INSERT INTO `lang_definitions` VALUES (120095, 701, 33, 'ПОЛЕ 10 A. Виробнича травма ');
INSERT INTO `lang_definitions` VALUES (120096, 702, 33, 'ПОЛЕ 10 B. Автомобільна травма ');
INSERT INTO `lang_definitions` VALUES (120097, 703, 33, 'ПОЛЕ 10 C. Інші пошкодження ');
INSERT INTO `lang_definitions` VALUES (120098, 704, 33, 'ПОЛЕ 14 Визначник дати');
INSERT INTO `lang_definitions` VALUES (120099, 705, 33, 'ПОЛЕ 15 Інший визначник дати');
INSERT INTO `lang_definitions` VALUES (120100, 706, 33, 'ПОЛЕ 15. Дата того самого чи схожого захворювання (рік-місяць-число)');
INSERT INTO `lang_definitions` VALUES (120101, 707, 33, 'ПОЛЕ 15. Дата того самого чи схожого захворювання / Інша дата (рік-місяць-число)');
INSERT INTO `lang_definitions` VALUES (120102, 708, 33, 'ПОЛЕ 16. Непрацездатний з дати (рік-місяць-число):');
INSERT INTO `lang_definitions` VALUES (120103, 709, 33, 'ПОЛЕ 16. Непрацездатний до дати (рік-місяць-число):');
INSERT INTO `lang_definitions` VALUES (120104, 710, 33, 'ПОЛЕ 18. Дата госпіталізації з (рік-місяць-число): ');
INSERT INTO `lang_definitions` VALUES (120105, 711, 33, 'ПОЛЕ 18. Госпіталізація до дати (рік-місяць-число): ');
INSERT INTO `lang_definitions` VALUES (120106, 712, 33, 'ПОЛЕ 20. Зовнішня лабораторія використовується?');
INSERT INTO `lang_definitions` VALUES (120107, 713, 33, 'ПОЛЕ 22. Код повторно наданої медичної допомоги (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (120108, 714, 33, 'ПОЛЕ 23. Номер попередньої авторизації ');
INSERT INTO `lang_definitions` VALUES (120109, 715, 33, 'Кров\'яний тиск');
INSERT INTO `lang_definitions` VALUES (120110, 716, 33, 'Діастолічний АТ');
INSERT INTO `lang_definitions` VALUES (120111, 717, 33, 'Систолічний АТ');
INSERT INTO `lang_definitions` VALUES (120112, 719, 33, 'АТд');
INSERT INTO `lang_definitions` VALUES (120113, 721, 33, 'АТс');
INSERT INTO `lang_definitions` VALUES (120114, 722, 33, 'Португалець бразильського походження');
INSERT INTO `lang_definitions` VALUES (120115, 723, 33, 'Молочна залоза');
INSERT INTO `lang_definitions` VALUES (120116, 724, 33, 'Біопсія молочної залози');
INSERT INTO `lang_definitions` VALUES (120117, 725, 33, 'Виділення з соска');
INSERT INTO `lang_definitions` VALUES (120118, 726, 33, 'Захворювання молочної залози');
INSERT INTO `lang_definitions` VALUES (120119, 727, 33, 'Обстеження молочної залози');
INSERT INTO `lang_definitions` VALUES (120120, 728, 33, 'Новоутворення молочної залози');
INSERT INTO `lang_definitions` VALUES (120121, 730, 33, 'Шуми при диханні:');
INSERT INTO `lang_definitions` VALUES (120122, 731, 33, 'Бретонська');
INSERT INTO `lang_definitions` VALUES (120123, 732, 33, 'Пошкодження скелета');
INSERT INTO `lang_definitions` VALUES (120124, 733, 33, 'пошкоджена форма');
INSERT INTO `lang_definitions` VALUES (120125, 734, 33, 'Форма бронхіту');
INSERT INTO `lang_definitions` VALUES (120126, 735, 33, 'Переглянути');
INSERT INTO `lang_definitions` VALUES (120127, 736, 33, 'Переглянути для запису');
INSERT INTO `lang_definitions` VALUES (120128, 737, 33, 'Забій / гематома');
INSERT INTO `lang_definitions` VALUES (120129, 738, 33, 'Болгарська');
INSERT INTO `lang_definitions` VALUES (120130, 739, 33, 'Набряк з правого боку:');
INSERT INTO `lang_definitions` VALUES (120131, 740, 33, 'Бірманський');
INSERT INTO `lang_definitions` VALUES (120132, 741, 33, 'Печіння при сечовипусканні');
INSERT INTO `lang_definitions` VALUES (120133, 742, 33, 'Печіння при сечовипусканні');
INSERT INTO `lang_definitions` VALUES (120134, 743, 33, 'Робочий телефон');
INSERT INTO `lang_definitions` VALUES (120135, 744, 33, 'Зайнятий');
INSERT INTO `lang_definitions` VALUES (120136, 745, 33, 'але ще не оброблено.');
INSERT INTO `lang_definitions` VALUES (120137, 746, 33, 'Сідниці');
INSERT INTO `lang_definitions` VALUES (120138, 747, 33, 'Сідниці + S.I.');
INSERT INTO `lang_definitions` VALUES (120139, 748, 33, 'через');
INSERT INTO `lang_definitions` VALUES (120140, 749, 33, 'Через');
INSERT INTO `lang_definitions` VALUES (120141, 750, 33, 'перорально');
INSERT INTO `lang_definitions` VALUES (120142, 751, 33, 'Через / Джерело');
INSERT INTO `lang_definitions` VALUES (120143, 752, 33, 'Через:');
INSERT INTO `lang_definitions` VALUES (120144, 753, 33, 'С');
INSERT INTO `lang_definitions` VALUES (120145, 754, 33, 'Сертифікат CA для підтвердження сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (120146, 755, 33, 'Час життя кешу (в секундах)');
INSERT INTO `lang_definitions` VALUES (120147, 756, 33, 'Шаблон кешу виконаний?');
INSERT INTO `lang_definitions` VALUES (120148, 757, 33, 'Вживання кофеїну');
INSERT INTO `lang_definitions` VALUES (120149, 758, 33, 'Календар');
INSERT INTO `lang_definitions` VALUES (120150, 759, 33, 'Календарний години закінчення');
INSERT INTO `lang_definitions` VALUES (120151, 760, 33, 'Календарний період');
INSERT INTO `lang_definitions` VALUES (120152, 761, 33, 'Відображення календаря');
INSERT INTO `lang_definitions` VALUES (120153, 762, 33, 'Налаштування календаря');
INSERT INTO `lang_definitions` VALUES (120154, 763, 33, 'Час початку реєстрації');
INSERT INTO `lang_definitions` VALUES (120155, 764, 33, 'Вигляд календаря користувача');
INSERT INTO `lang_definitions` VALUES (120156, 765, 33, 'Перегляд календаря');
INSERT INTO `lang_definitions` VALUES (120157, 766, 33, 'Виклик addForm () робиться тут. <br>');
INSERT INTO `lang_definitions` VALUES (120158, 767, 33, 'Калорії');
INSERT INTO `lang_definitions` VALUES (120159, 768, 33, 'Камбоджійський');
INSERT INTO `lang_definitions` VALUES (120161, 774, 33, 'Скасувати');
INSERT INTO `lang_definitions` VALUES (120162, 775, 33, 'Скасувати зміни');
INSERT INTO `lang_definitions` VALUES (120163, 776, 33, 'Скасовано');
INSERT INTO `lang_definitions` VALUES (120164, 777, 33, 'Рак');
INSERT INTO `lang_definitions` VALUES (120165, 778, 33, 'Скринінг раку: скринінг раку товстого кишечника');
INSERT INTO `lang_definitions` VALUES (120166, 779, 33, 'Скринінг раку: мамографія');
INSERT INTO `lang_definitions` VALUES (120167, 780, 33, 'Скринінгу раку: Мазок Папаніколау');
INSERT INTO `lang_definitions` VALUES (120168, 781, 33, 'Скринінг раку: скринінг раку передміхурової залози');
INSERT INTO `lang_definitions` VALUES (120169, 782, 33, 'Не вдалося додати цей запис, оскільки він вже існує!');
INSERT INTO `lang_definitions` VALUES (120170, 783, 33, 'Не вдалося додати / поновити цей запис, оскільки дублікат вже існує!');
INSERT INTO `lang_definitions` VALUES (120171, 784, 33, 'не може бути досягнуто, проігноровано');
INSERT INTO `lang_definitions` VALUES (120172, 785, 33, 'Не вдалося перетворити в JPEG. Можливо не встановлено програму ImageMagick?');
INSERT INTO `lang_definitions` VALUES (120173, 786, 33, 'не може бути видаено, проігноровано');
INSERT INTO `lang_definitions` VALUES (120174, 787, 33, 'Не може бути відображений в мережі тому, що його тип не підтримується браузером.');
INSERT INTO `lang_definitions` VALUES (120175, 788, 33, 'Не може бути відображений в мережі тому, що його тип не підтримується браузером.');
INSERT INTO `lang_definitions` VALUES (120176, 789, 33, 'Не може бути відображений в мережі тому, що його тип не підтримується браузером.');
INSERT INTO `lang_definitions` VALUES (120177, 790, 33, 'Не вдалося створити');
INSERT INTO `lang_definitions` VALUES (120178, 795, 33, 'Не вдалося знайти ');
INSERT INTO `lang_definitions` VALUES (120179, 796, 33, 'Не вдається знайти призначене ім\'я файлу');
INSERT INTO `lang_definitions` VALUES (120180, 799, 33, 'Не вдалося знайти пацієнта за ID користувача в SQL-реєстрі');
INSERT INTO `lang_definitions` VALUES (120181, 800, 33, 'Не вдалося знайти посилання на документ postscript в ');
INSERT INTO `lang_definitions` VALUES (120182, 801, 33, 'Не вдалося знайти фахівця з SQL-реєстру службовців ');
INSERT INTO `lang_definitions` VALUES (120183, 802, 33, 'Не вдається змінити платежі. Залишок негативний.');
INSERT INTO `lang_definitions` VALUES (120184, 803, 33, 'Неможливо відрити ');
INSERT INTO `lang_definitions` VALUES (120185, 804, 33, 'Не вдалося відправити для страхування. Обраною особою для платежу є пацієнт.');
INSERT INTO `lang_definitions` VALUES (120186, 805, 33, 'Не вдалося відправити пацієнту. Обраним об\'єктом для платежу є страховка.');
INSERT INTO `lang_definitions` VALUES (120187, 806, 33, 'Не вдається відправити платежі. Залишок негативний.');
INSERT INTO `lang_definitions` VALUES (120188, 807, 33, 'Неможливо прочитати');
INSERT INTO `lang_definitions` VALUES (120189, 808, 33, 'Неможливо прочитати директорію');
INSERT INTO `lang_definitions` VALUES (120190, 809, 33, 'Не вдалося оновити, тому що ви не відредагували існуючий запис!');
INSERT INTO `lang_definitions` VALUES (120191, 810, 33, 'З великої літери');
INSERT INTO `lang_definitions` VALUES (120192, 811, 33, 'Все з великої літери');
INSERT INTO `lang_definitions` VALUES (120193, 812, 33, 'капсула');
INSERT INTO `lang_definitions` VALUES (120194, 813, 33, 'Карта');
INSERT INTO `lang_definitions` VALUES (120195, 814, 33, 'Коронарне зондування');
INSERT INTO `lang_definitions` VALUES (120196, 815, 33, 'ЕхоКГ');
INSERT INTO `lang_definitions` VALUES (120197, 816, 33, 'Серцево-судинний');
INSERT INTO `lang_definitions` VALUES (120198, 821, 33, 'Пошкодження хряща / суглоба / диска');
INSERT INTO `lang_definitions` VALUES (120199, 822, 33, 'Травма хряща');
INSERT INTO `lang_definitions` VALUES (120200, 823, 33, 'Каротидна пульсація в нормі, пульс на стопахв нормі');
INSERT INTO `lang_definitions` VALUES (120201, 824, 33, 'готівка');
INSERT INTO `lang_definitions` VALUES (120202, 825, 33, 'Готівка');
INSERT INTO `lang_definitions` VALUES (120203, 826, 33, 'Поступлення готівки');
INSERT INTO `lang_definitions` VALUES (120204, 827, 33, 'Поступлення готівки через провайдера');
INSERT INTO `lang_definitions` VALUES (120205, 828, 33, 'Каталонсько-Валенсійський');
INSERT INTO `lang_definitions` VALUES (120206, 829, 33, 'Хірургія катаракти');
INSERT INTO `lang_definitions` VALUES (120207, 830, 33, 'Катаракта');
INSERT INTO `lang_definitions` VALUES (120208, 831, 33, 'Категорії');
INSERT INTO `lang_definitions` VALUES (120209, 832, 33, 'Категорії для');
INSERT INTO `lang_definitions` VALUES (120210, 833, 33, 'Категорія');
INSERT INTO `lang_definitions` VALUES (120211, 834, 33, 'категорія');
INSERT INTO `lang_definitions` VALUES (120212, 835, 33, 'категорія ');
INSERT INTO `lang_definitions` VALUES (120213, 836, 33, 'Відомості про категорію');
INSERT INTO `lang_definitions` VALUES (120214, 837, 33, 'Обмеження по категорії');
INSERT INTO `lang_definitions` VALUES (120215, 838, 33, 'Назва категорії');
INSERT INTO `lang_definitions` VALUES (120216, 839, 33, 'Назва категорії пуста');
INSERT INTO `lang_definitions` VALUES (120217, 840, 33, 'Категорія / заголовок');
INSERT INTO `lang_definitions` VALUES (120218, 841, 33, 'Кавказець');
INSERT INTO `lang_definitions` VALUES (120219, 842, 33, 'Підтверджені підстави для виводу інформації по звертанню чи первинному спеціалісту');
INSERT INTO `lang_definitions` VALUES (120220, 846, 33, 'CCR: Затвердити');
INSERT INTO `lang_definitions` VALUES (120221, 847, 33, 'CCR: Переглянути пацієнта');
INSERT INTO `lang_definitions` VALUES (120222, 848, 33, 'CCR: Переглянути і затвердити');
INSERT INTO `lang_definitions` VALUES (120223, 850, 33, 'CDR');
INSERT INTO `lang_definitions` VALUES (120224, 851, 33, 'Порядок обробки звітів CDR');
INSERT INTO `lang_definitions` VALUES (120225, 852, 33, 'Клітина');
INSERT INTO `lang_definitions` VALUES (120226, 853, 33, 'Мобільний телефон');
INSERT INTO `lang_definitions` VALUES (120227, 855, 33, 'Номер мобільного телефону');
INSERT INTO `lang_definitions` VALUES (120228, 856, 33, 'Основний сертифікат');
INSERT INTO `lang_definitions` VALUES (120229, 857, 33, 'Уродженець центральної чи південної Америки');
INSERT INTO `lang_definitions` VALUES (120230, 858, 33, 'Розташування файлу Сертифікату Авторизації crt не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (120231, 859, 33, 'Розташування файлу Сертифікату Авторизації key не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (120232, 860, 33, 'Сертифікат для відправки на сервер syslog RFC 5425 TLS');
INSERT INTO `lang_definitions` VALUES (120233, 861, 33, 'Сертифікат користувача');
INSERT INTO `lang_definitions` VALUES (120234, 862, 33, 'Сертифікати');
INSERT INTO `lang_definitions` VALUES (120235, 863, 33, 'Чаморро');
INSERT INTO `lang_definitions` VALUES (120236, 864, 33, 'Програма медичного обслуговування членів сімей військовослужбовців Америки');
INSERT INTO `lang_definitions` VALUES (120237, 865, 33, 'Програма медичного обслуговування членів сімей військовослужбовців Америки');
INSERT INTO `lang_definitions` VALUES (120238, 866, 33, 'змінити');
INSERT INTO `lang_definitions` VALUES (120239, 867, 33, 'Змінити');
INSERT INTO `lang_definitions` VALUES (120240, 868, 33, 'Змінити діяльність');
INSERT INTO `lang_definitions` VALUES (120241, 869, 33, 'Помилка внесення змін! Помилка підключення до CouchDB?');
INSERT INTO `lang_definitions` VALUES (120242, 870, 33, 'Зміни зору');
INSERT INTO `lang_definitions` VALUES (120243, 871, 33, 'Зміни зору');
INSERT INTO `lang_definitions` VALUES (120244, 872, 33, 'Змінити пароль');
INSERT INTO `lang_definitions` VALUES (120245, 874, 33, 'Змінений');
INSERT INTO `lang_definitions` VALUES (120246, 875, 33, 'Змінений кишечник');
INSERT INTO `lang_definitions` VALUES (120247, 876, 33, 'Зміна ID пацієнта для документів');
INSERT INTO `lang_definitions` VALUES (120248, 877, 33, 'Особливості');
INSERT INTO `lang_definitions` VALUES (120249, 878, 33, 'залишилось символів');
INSERT INTO `lang_definitions` VALUES (120250, 879, 33, 'Оплата');
INSERT INTO `lang_definitions` VALUES (120251, 880, 33, 'Коригування оплати');
INSERT INTO `lang_definitions` VALUES (120252, 881, 33, 'Код оплати');
INSERT INTO `lang_definitions` VALUES (120253, 882, 33, 'Оплати');
INSERT INTO `lang_definitions` VALUES (120254, 883, 33, 'Карта/діаграма');
INSERT INTO `lang_definitions` VALUES (120255, 884, 33, 'Активністьдіаграми');
INSERT INTO `lang_definitions` VALUES (120256, 885, 33, 'Розрахункова діаграма звіту про діяльність');
INSERT INTO `lang_definitions` VALUES (120257, 886, 33, 'ID карти');
INSERT INTO `lang_definitions` VALUES (120258, 887, 33, 'ID карти:');
INSERT INTO `lang_definitions` VALUES (120259, 888, 33, 'Мітка картки');
INSERT INTO `lang_definitions` VALUES (120260, 889, 33, 'Активність розміщення карти');
INSERT INTO `lang_definitions` VALUES (120261, 890, 33, 'Запис в карті');
INSERT INTO `lang_definitions` VALUES (120262, 891, 33, 'Номер картки');
INSERT INTO `lang_definitions` VALUES (120263, 892, 33, 'Місце зберігання карти');
INSERT INTO `lang_definitions` VALUES (120264, 893, 33, 'Відстеження карти');
INSERT INTO `lang_definitions` VALUES (120265, 894, 33, 'Відстеж. карти');
INSERT INTO `lang_definitions` VALUES (120266, 895, 33, 'Закриті перевірені карти');
INSERT INTO `lang_definitions` VALUES (120267, 896, 33, 'Закриті карти');
INSERT INTO `lang_definitions` VALUES (120268, 897, 33, 'Чеченська');
INSERT INTO `lang_definitions` VALUES (120269, 898, 33, 'Перевірити');
INSERT INTO `lang_definitions` VALUES (120270, 899, 33, 'перевірити');
INSERT INTO `lang_definitions` VALUES (120271, 900, 33, 'вибрати всі');
INSERT INTO `lang_definitions` VALUES (120272, 902, 33, 'Перевірити кількість');
INSERT INTO `lang_definitions` VALUES (120273, 903, 33, 'Дата перевірки');
INSERT INTO `lang_definitions` VALUES (120274, 904, 33, 'Перевірити відмінності перекладів за допомогою мовної таблиці користувача.');
INSERT INTO `lang_definitions` VALUES (120275, 906, 33, 'Позначте по');
INSERT INTO `lang_definitions` VALUES (120276, 907, 33, 'Позначте дані вводу');
INSERT INTO `lang_definitions` VALUES (120277, 908, 33, 'Перевірити елементи на графіку');
INSERT INTO `lang_definitions` VALUES (120278, 909, 33, 'Перевірка лабораторних результатів');
INSERT INTO `lang_definitions` VALUES (120279, 910, 33, 'Позначка свідчить про перегляд');
INSERT INTO `lang_definitions` VALUES (120280, 911, 33, 'Позначте №');
INSERT INTO `lang_definitions` VALUES (120281, 912, 33, 'Позначте номер');
INSERT INTO `lang_definitions` VALUES (120282, 915, 33, 'Позначте оплату');
INSERT INTO `lang_definitions` VALUES (120283, 916, 33, 'Якщо файл є зашифрований, відзначте це поле');
INSERT INTO `lang_definitions` VALUES (120284, 917, 33, 'Позначте тут, якщо потрібно, щоб фахівці бачили всі записи на прийом за замовчуванням, а не тільки свої власні.');
INSERT INTO `lang_definitions` VALUES (120285, 918, 33, 'Позначте щоб створити проблему з цього діагноза');
INSERT INTO `lang_definitions` VALUES (120286, 919, 33, 'Дата реєстрації або EOB:');
INSERT INTO `lang_definitions` VALUES (120287, 920, 33, 'Номер реєстрації або EOB:');
INSERT INTO `lang_definitions` VALUES (120288, 921, 33, 'Номер рег. / Напр.');
INSERT INTO `lang_definitions` VALUES (120289, 922, 33, 'Номер реєстрації або напряму');
INSERT INTO `lang_definitions` VALUES (120290, 923, 33, 'Група прапорців з множинним вибором');
INSERT INTO `lang_definitions` VALUES (120291, 924, 33, 'список прапорців');
INSERT INTO `lang_definitions` VALUES (120292, 925, 33, 'прапорець з текстом');
INSERT INTO `lang_definitions` VALUES (120293, 926, 33, 'Прапорець з текстом');
INSERT INTO `lang_definitions` VALUES (120294, 927, 33, 'Прапорець вище показує чи Ви бажаєте відхилити і видалити HL7 файл');
INSERT INTO `lang_definitions` VALUES (120295, 928, 33, 'перевірений');
INSERT INTO `lang_definitions` VALUES (120296, 929, 33, 'Прапорець є = так, пусто = ні');
INSERT INTO `lang_definitions` VALUES (120297, 931, 33, 'Встановлення прапорця блокування забороняє будь-які майбутні зміни форм у цьому випадку.');
INSERT INTO `lang_definitions` VALUES (120298, 932, 33, 'Розрахунок');
INSERT INTO `lang_definitions` VALUES (120299, 933, 33, 'Контрольна сума');
INSERT INTO `lang_definitions` VALUES (120300, 934, 33, 'Груди');
INSERT INTO `lang_definitions` VALUES (120301, 935, 33, 'Двостороння аускультація грудної клітки');
INSERT INTO `lang_definitions` VALUES (120302, 936, 33, 'Біль у грудях');
INSERT INTO `lang_definitions` VALUES (120303, 937, 33, 'Біль у грудях:');
INSERT INTO `lang_definitions` VALUES (120304, 938, 33, 'Болі в грудях');
INSERT INTO `lang_definitions` VALUES (120305, 940, 33, 'Змін.');
INSERT INTO `lang_definitions` VALUES (120306, 942, 33, 'Основна скарга');
INSERT INTO `lang_definitions` VALUES (120307, 943, 33, 'дитина');
INSERT INTO `lang_definitions` VALUES (120308, 945, 33, 'Статус дитячої імунізації (СДІ)');
INSERT INTO `lang_definitions` VALUES (120309, 946, 33, 'Озноби');
INSERT INTO `lang_definitions` VALUES (120310, 947, 33, 'Китайська');
INSERT INTO `lang_definitions` VALUES (120311, 948, 33, 'Китайська (спрощена)');
INSERT INTO `lang_definitions` VALUES (120312, 949, 33, 'Китайська (традиційна)');
INSERT INTO `lang_definitions` VALUES (120313, 950, 33, 'Мануальний терапевт');
INSERT INTO `lang_definitions` VALUES (120314, 951, 33, 'Вибірково');
INSERT INTO `lang_definitions` VALUES (120315, 952, 33, 'холецистектомія');
INSERT INTO `lang_definitions` VALUES (120316, 953, 33, 'Холецистектомія');
INSERT INTO `lang_definitions` VALUES (120317, 954, 33, 'холецистектомія');
INSERT INTO `lang_definitions` VALUES (120318, 955, 33, 'Виберіть');
INSERT INTO `lang_definitions` VALUES (120319, 956, 33, 'Виберіть розділ і клацніть у ньому на пункт; потім в іншому розділі побачите пов\'язані виділені пункти, і зможете клікнути в цьому розділі для додавання або видалення зв\"язків.');
INSERT INTO `lang_definitions` VALUES (120320, 957, 33, 'Виберіть критерій');
INSERT INTO `lang_definitions` VALUES (120321, 958, 33, 'Виберіть Завантажити або вбудоване вiдтворення');
INSERT INTO `lang_definitions` VALUES (120322, 959, 33, 'Виберіть файл');
INSERT INTO `lang_definitions` VALUES (120323, 960, 33, 'Виберіть з списку');
INSERT INTO `lang_definitions` VALUES (120324, 961, 33, 'Виберіть напрямок компоновки');
INSERT INTO `lang_definitions` VALUES (120325, 962, 33, 'Виберіть список');
INSERT INTO `lang_definitions` VALUES (120326, 963, 33, 'Виберіть розмір паперу');
INSERT INTO `lang_definitions` VALUES (120327, 964, 33, 'Виберіть мовні вподобання для PDF');
INSERT INTO `lang_definitions` VALUES (120328, 965, 33, 'Виберіть формат друку для звіту по цьому зверненню.');
INSERT INTO `lang_definitions` VALUES (120329, 967, 33, 'хронічний бронхіт');
INSERT INTO `lang_definitions` VALUES (120330, 968, 33, 'Хронічні суглобові болі');
INSERT INTO `lang_definitions` VALUES (120331, 969, 33, 'Хронічна ниркова недостатність (ХНН)');
INSERT INTO `lang_definitions` VALUES (120332, 970, 33, 'Хронічний синовіїт / випіт / суглобний біль / подагра');
INSERT INTO `lang_definitions` VALUES (120333, 971, 33, 'Хронічний / рецедивний');
INSERT INTO `lang_definitions` VALUES (120334, 972, 33, 'Чуваш');
INSERT INTO `lang_definitions` VALUES (120335, 973, 33, 'Цироз печінки');
INSERT INTO `lang_definitions` VALUES (120336, 974, 33, 'Цироз печінки');
INSERT INTO `lang_definitions` VALUES (120337, 975, 33, 'Місто');
INSERT INTO `lang_definitions` VALUES (120338, 976, 33, 'Назва міста');
INSERT INTO `lang_definitions` VALUES (120339, 977, 33, 'Місто, область');
INSERT INTO `lang_definitions` VALUES (120340, 978, 33, 'Місто, поштовий індекс');
INSERT INTO `lang_definitions` VALUES (120341, 979, 33, 'Місто / Область');
INSERT INTO `lang_definitions` VALUES (120342, 980, 33, 'Вимога');
INSERT INTO `lang_definitions` VALUES (120343, 981, 33, 'Вимога ');
INSERT INTO `lang_definitions` VALUES (120344, 982, 33, 'Стан вимоги');
INSERT INTO `lang_definitions` VALUES (120345, 983, 33, 'Тест на вимогу завершено');
INSERT INTO `lang_definitions` VALUES (120346, 984, 33, 'Тип вимоги');
INSERT INTO `lang_definitions` VALUES (120347, 985, 33, 'Вимога була згенерована в файл');
INSERT INTO `lang_definitions` VALUES (120348, 986, 33, 'Вимога була згенерована в файл ');
INSERT INTO `lang_definitions` VALUES (120349, 987, 33, 'Вимоги');
INSERT INTO `lang_definitions` VALUES (120350, 988, 33, 'Класифікація');
INSERT INTO `lang_definitions` VALUES (120351, 989, 33, 'Очистити');
INSERT INTO `lang_definitions` VALUES (120352, 990, 33, 'Очистити акивного пацієнта');
INSERT INTO `lang_definitions` VALUES (120353, 991, 33, 'Очистити все');
INSERT INTO `lang_definitions` VALUES (120354, 992, 33, 'Очистити HL7 дані');
INSERT INTO `lang_definitions` VALUES (120355, 993, 33, 'Чітке обгрунтування');
INSERT INTO `lang_definitions` VALUES (120356, 994, 33, 'Очистити кеш Smarty');
INSERT INTO `lang_definitions` VALUES (120357, 995, 33, 'Для створення пакету EDI 270 потрібна точна домашня інформація');
INSERT INTO `lang_definitions` VALUES (120358, 996, 33, 'Номер CLIA');
INSERT INTO `lang_definitions` VALUES (120359, 997, 33, 'Натисніть');
INSERT INTO `lang_definitions` VALUES (120360, 998, 33, 'Натисніть \"Експорт\", щоб експортувати категорію, підкатегорію, пункт, дані вмісту в текстовий файл. Будь-яка подібність цього файлу з файлом XML є чисто випадковою. Відкриті та закриті теги повинні бути в одному рядку, в нижньому регістрі без пропусків. Для імпорту знайдіть файл та натисніть \"Імпорт\". Якщо дані зовсім інші, він об\'єднається з існуючими даними. Якщо є схожі найменування пунктів, старий буде залишений, а новий збережений з додаванням в кінці номера.');
INSERT INTO `lang_definitions` VALUES (120361, 999, 33, 'Клацніть місце в графіку для додавання нової анотації, клікніть його ще раз для видалення');
INSERT INTO `lang_definitions` VALUES (120362, 1000, 33, 'Натисніть Завантажити сертифікат для завантаження сертифікатів в файл ssl.zip');
INSERT INTO `lang_definitions` VALUES (120363, 1001, 33, 'клацніть для подробиць');
INSERT INTO `lang_definitions` VALUES (120364, 1002, 33, 'Натисніть для більш детальної інформації');
INSERT INTO `lang_definitions` VALUES (120365, 1003, 33, 'Натисніть дя підсумку по замовленню');
INSERT INTO `lang_definitions` VALUES (120366, 1004, 33, 'Натисніть для результатів');
INSERT INTO `lang_definitions` VALUES (120367, 1005, 33, 'Натисніть тут');
INSERT INTO `lang_definitions` VALUES (120368, 1006, 33, 'Натисніть тут для додавання нового пацієнта.');
INSERT INTO `lang_definitions` VALUES (120369, 1007, 33, 'Клікніть тут для додавання зміненого статусу нової травми і змініть щоденну активність');
INSERT INTO `lang_definitions` VALUES (120370, 1008, 33, 'Натисніть тут для вибору дати');
INSERT INTO `lang_definitions` VALUES (120371, 1009, 33, 'Натисніть тут для вибору дати і часу');
INSERT INTO `lang_definitions` VALUES (120372, 1010, 33, 'Натисніть тут для вибору початкової дати');
INSERT INTO `lang_definitions` VALUES (120373, 1020, 33, 'натисніть тут для пошуку');
INSERT INTO `lang_definitions` VALUES (120374, 1021, 33, 'клікніть тут, щоб оновити пріоритет, категорію і параметри настройки нікнейму');
INSERT INTO `lang_definitions` VALUES (120375, 1022, 33, 'Натисніть тут, щоб переглянути всі');
INSERT INTO `lang_definitions` VALUES (120376, 1023, 33, 'Натисніть тут для перегляду і графічного представлення');
INSERT INTO `lang_definitions` VALUES (120377, 1025, 33, 'Натисніть тут для перегляду та графічного представлення всіх життєво важливих показників.');
INSERT INTO `lang_definitions` VALUES (120378, 1026, 33, 'Клікніть тут для перегляду відомостей про пацієнта');
INSERT INTO `lang_definitions` VALUES (120379, 1027, 33, 'Натисніть тут для перегляду їх всіх.');
INSERT INTO `lang_definitions` VALUES (120380, 1028, 33, 'Натисніть тут щоб переглянути/змінити детальну інформацію');
INSERT INTO `lang_definitions` VALUES (120381, 1029, 33, 'Натисніть кнопку Встановити для установки версії бази даних з вказаної дати');
INSERT INTO `lang_definitions` VALUES (120382, 1030, 33, 'Клацніть по будь-якій частині часу для її збільшення');
INSERT INTO `lang_definitions` VALUES (120383, 1031, 33, 'Натисніть на Імя Пацієнта, щоб відкрити Файл Пацієнта');
INSERT INTO `lang_definitions` VALUES (120384, 1032, 33, 'Натисніть Оновити для огляду всіх результатів, або введіть вище критерій пошуку для перегляду окремих результатів.');
INSERT INTO `lang_definitions` VALUES (120385, 1033, 33, 'Натисніть щоб додати діагноз');
INSERT INTO `lang_definitions` VALUES (120386, 1034, 33, 'Натисніть для додавання нових компонентів');
INSERT INTO `lang_definitions` VALUES (120387, 1035, 33, 'Клацніть для додавання нової консультації');
INSERT INTO `lang_definitions` VALUES (120388, 1037, 33, 'Натисніть для завантаження');
INSERT INTO `lang_definitions` VALUES (120389, 1038, 33, 'Натисніть для редагування');
INSERT INTO `lang_definitions` VALUES (120390, 1039, 33, 'Натисніть для редагування опису');
INSERT INTO `lang_definitions` VALUES (120391, 1040, 33, 'Клацніть для зміни цієї події');
INSERT INTO `lang_definitions` VALUES (120392, 1041, 33, 'Натисніть щоб генерувати звіт');
INSERT INTO `lang_definitions` VALUES (120393, 1043, 33, 'Натисніть для друку');
INSERT INTO `lang_definitions` VALUES (120394, 1044, 33, 'Клацніть для отримання (додавання) нової партії');
INSERT INTO `lang_definitions` VALUES (120395, 1045, 33, 'Натисніть для вибору');
INSERT INTO `lang_definitions` VALUES (120396, 1046, 33, 'Натисніть для вибору');
INSERT INTO `lang_definitions` VALUES (120397, 1047, 33, 'Натисніть для вибору стандартного коду для цієї процедури');
INSERT INTO `lang_definitions` VALUES (120398, 1048, 33, 'Натисніть для вибору опціонального коду процедури');
INSERT INTO `lang_definitions` VALUES (120399, 1050, 33, 'Натисніть для вибору або зміни коду вакцинації');
INSERT INTO `lang_definitions` VALUES (120400, 1051, 33, 'Натисніть для вибору або зміни діагнозу');
INSERT INTO `lang_definitions` VALUES (120401, 1052, 33, 'Натисніть для вибору або зміни кодів послуг');
INSERT INTO `lang_definitions` VALUES (120402, 1053, 33, 'Натисніть для вибору пацієнта');
INSERT INTO `lang_definitions` VALUES (120403, 1054, 33, 'Натисніть для вибору пов\'язаного коду');
INSERT INTO `lang_definitions` VALUES (120404, 1055, 33, 'Якщо цей результат дає відхилення від норми, клацніть для вибору надання допомоги');
INSERT INTO `lang_definitions` VALUES (120405, 1056, 33, 'Клацніть для вибору необхідної процедури');
INSERT INTO `lang_definitions` VALUES (120406, 1057, 33, 'Натисніть для сортування');
INSERT INTO `lang_definitions` VALUES (120407, 1058, 33, 'Натисніть для перегляду');
INSERT INTO `lang_definitions` VALUES (120408, 1059, 33, 'Натисніть для перегляду або зміни');
INSERT INTO `lang_definitions` VALUES (120409, 1060, 33, 'Натисніть для перегляду / зміни');
INSERT INTO `lang_definitions` VALUES (120410, 1061, 33, 'Натисніть кнопку Модернізувати для модернізації версії бази даних з вказаної дати');
INSERT INTO `lang_definitions` VALUES (120411, 1063, 33, 'Натисніть:');
INSERT INTO `lang_definitions` VALUES (120412, 1064, 33, 'Термін дії Сертифіката Клієнта в днях');
INSERT INTO `lang_definitions` VALUES (120413, 1065, 33, 'Допустимий період терміну дії Сертифіката клієнта');
INSERT INTO `lang_definitions` VALUES (120414, 1066, 33, 'Дійсний Сертифіката клієнта повиненн бути допустимим номером.');
INSERT INTO `lang_definitions` VALUES (120415, 1067, 33, 'Копія для клієнта');
INSERT INTO `lang_definitions` VALUES (120416, 1069, 33, 'Виписка з історії хвороби пацієнта');
INSERT INTO `lang_definitions` VALUES (120417, 1070, 33, 'Ім\'я клієнта');
INSERT INTO `lang_definitions` VALUES (120418, 1071, 33, 'Номер клієнта');
INSERT INTO `lang_definitions` VALUES (120419, 1072, 33, 'Клієнтський профіль - нові клієнти');
INSERT INTO `lang_definitions` VALUES (120420, 1073, 33, 'Клієнтський профіль - унікальні клієнти');
INSERT INTO `lang_definitions` VALUES (120421, 1074, 33, 'Клієнти');
INSERT INTO `lang_definitions` VALUES (120422, 1075, 33, 'Клініка');
INSERT INTO `lang_definitions` VALUES (120423, 1076, 33, 'Копія для клініки');
INSERT INTO `lang_definitions` VALUES (120424, 1077, 33, 'Щоденні записи в клініці');
INSERT INTO `lang_definitions` VALUES (120425, 1078, 33, 'ID клініки');
INSERT INTO `lang_definitions` VALUES (120426, 1079, 33, 'Клінічний');
INSERT INTO `lang_definitions` VALUES (120427, 1080, 33, 'Менеджер тривожних сповіщень для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120428, 1081, 33, 'Історія хвороби');
INSERT INTO `lang_definitions` VALUES (120429, 1083, 33, 'Клінічні програми');
INSERT INTO `lang_definitions` VALUES (120430, 1084, 33, 'Клінічна одиниця вимірювання якості (CQM)');
INSERT INTO `lang_definitions` VALUES (120431, 1087, 33, 'Клінічні нагадування');
INSERT INTO `lang_definitions` VALUES (120432, 1088, 33, 'Клінічні звіти');
INSERT INTO `lang_definitions` VALUES (120433, 1089, 33, 'Категорія діяльності для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120434, 1090, 33, 'О\"бєкт впливу для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120435, 1091, 33, 'Методи фільтрації для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120436, 1092, 33, 'Цільові методи для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120437, 1093, 33, 'Клінічні правила');
INSERT INTO `lang_definitions` VALUES (120438, 1094, 33, 'Вікові інтревали для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120439, 1095, 33, 'Порівняння для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120440, 1096, 33, 'Типи звертань для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120441, 1097, 33, 'Клінічні правила варіантів виконання нагадування');
INSERT INTO `lang_definitions` VALUES (120442, 1098, 33, 'Варіанти зняття нагадувань для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120443, 1099, 33, 'Методи нагадувагь для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120444, 1100, 33, 'Методи нагадувань для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120445, 1101, 33, 'Плановані інтервали для клінічних правил');
INSERT INTO `lang_definitions` VALUES (120446, 1102, 33, 'Клінічні цілі');
INSERT INTO `lang_definitions` VALUES (120447, 1103, 33, 'Клінічний темін');
INSERT INTO `lang_definitions` VALUES (120448, 1104, 33, 'Код(и) клінічного терміну');
INSERT INTO `lang_definitions` VALUES (120449, 1106, 33, 'Клініцисти');
INSERT INTO `lang_definitions` VALUES (120450, 1107, 33, 'клонувати');
INSERT INTO `lang_definitions` VALUES (120451, 1108, 33, 'Клонувати минуле відвідування');
INSERT INTO `lang_definitions` VALUES (120452, 1109, 33, 'Закрити');
INSERT INTO `lang_definitions` VALUES (120453, 1111, 33, 'закрити вікно');
INSERT INTO `lang_definitions` VALUES (120454, 1112, 33, 'Закритий');
INSERT INTO `lang_definitions` VALUES (120455, 1113, 33, 'см');
INSERT INTO `lang_definitions` VALUES (120456, 1114, 33, 'Поля CMS 1500');
INSERT INTO `lang_definitions` VALUES (120457, 1118, 33, 'ID для CMS');
INSERT INTO `lang_definitions` VALUES (120458, 1127, 33, 'Неушкоджений CN2-12');
INSERT INTO `lang_definitions` VALUES (120459, 1128, 33, 'Доплата');
INSERT INTO `lang_definitions` VALUES (120460, 1129, 33, 'Доплату внесено');
INSERT INTO `lang_definitions` VALUES (120461, 1130, 33, 'ДОПЛАТА');
INSERT INTO `lang_definitions` VALUES (120462, 1131, 33, 'Код');
INSERT INTO `lang_definitions` VALUES (120463, 1132, 33, 'код');
INSERT INTO `lang_definitions` VALUES (120464, 1133, 33, 'Пошук коду');
INSERT INTO `lang_definitions` VALUES (120465, 1134, 33, 'Код повинен мати дві літери в нижньому регістрі');
INSERT INTO `lang_definitions` VALUES (120466, 1135, 33, 'Код або символ для позначення валюти');
INSERT INTO `lang_definitions` VALUES (120467, 1136, 33, 'Текст Коду');
INSERT INTO `lang_definitions` VALUES (120468, 1138, 33, 'тип коду');
INSERT INTO `lang_definitions` VALUES (120469, 1141, 33, 'Типи Кодів');
INSERT INTO `lang_definitions` VALUES (120470, 1142, 33, 'Код(и)');
INSERT INTO `lang_definitions` VALUES (120471, 1143, 33, 'Кодовано');
INSERT INTO `lang_definitions` VALUES (120472, 1144, 33, 'Коди');
INSERT INTO `lang_definitions` VALUES (120473, 1145, 33, 'Індексація');
INSERT INTO `lang_definitions` VALUES (120474, 1147, 33, 'Індексація - будь-які звернення (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (120475, 1148, 33, 'Індексація - мої звернення (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (120476, 1149, 33, 'Доступ до шифрування не дозволено');
INSERT INTO `lang_definitions` VALUES (120477, 1150, 33, 'Кава');
INSERT INTO `lang_definitions` VALUES (120478, 1152, 33, 'Спільне страхування');
INSERT INTO `lang_definitions` VALUES (120479, 1153, 33, 'Згорнути');
INSERT INTO `lang_definitions` VALUES (120480, 1154, 33, 'Згорнути');
INSERT INTO `lang_definitions` VALUES (120481, 1155, 33, 'приховати');
INSERT INTO `lang_definitions` VALUES (120482, 1156, 33, 'Згорнути Все');
INSERT INTO `lang_definitions` VALUES (120483, 1157, 33, 'Згорнути все');
INSERT INTO `lang_definitions` VALUES (120484, 1158, 33, 'згорнути всі');
INSERT INTO `lang_definitions` VALUES (120485, 1160, 33, 'Дата збору');
INSERT INTO `lang_definitions` VALUES (120486, 1161, 33, 'Збори');
INSERT INTO `lang_definitions` VALUES (120487, 1162, 33, 'Звіт за зборами');
INSERT INTO `lang_definitions` VALUES (120488, 1163, 33, 'Рак товстого кишечника');
INSERT INTO `lang_definitions` VALUES (120489, 1164, 33, 'Скринінг раку товстого кишечника');
INSERT INTO `lang_definitions` VALUES (120490, 1165, 33, 'Хірургія раку товстого кишечника');
INSERT INTO `lang_definitions` VALUES (120491, 1166, 33, 'Колоноскопія');
INSERT INTO `lang_definitions` VALUES (120492, 1167, 33, 'колоноскопія');
INSERT INTO `lang_definitions` VALUES (120493, 1168, 33, 'колір');
INSERT INTO `lang_definitions` VALUES (120494, 1169, 33, 'Колір: скор.');
INSERT INTO `lang_definitions` VALUES (120495, 1170, 33, 'стовпець');
INSERT INTO `lang_definitions` VALUES (120496, 1171, 33, 'стовпці');
INSERT INTO `lang_definitions` VALUES (120497, 1172, 33, 'Об\'єднані партії');
INSERT INTO `lang_definitions` VALUES (120498, 1173, 33, 'кома');
INSERT INTO `lang_definitions` VALUES (120499, 1174, 33, 'Коментар');
INSERT INTO `lang_definitions` VALUES (120500, 1175, 33, 'Коментарі');
INSERT INTO `lang_definitions` VALUES (120501, 1176, 33, 'Коментарі для цього результату або рекомендації');
INSERT INTO `lang_definitions` VALUES (120502, 1177, 33, 'Компанія комерційного страхування.');
INSERT INTO `lang_definitions` VALUES (120503, 1178, 33, 'завершені зміни');
INSERT INTO `lang_definitions` VALUES (120504, 1180, 33, 'зв\'язок');
INSERT INTO `lang_definitions` VALUES (120505, 1182, 33, 'компанія');
INSERT INTO `lang_definitions` VALUES (120506, 1183, 33, 'Найменування компанії');
INSERT INTO `lang_definitions` VALUES (120507, 1184, 33, 'завершити');
INSERT INTO `lang_definitions` VALUES (120508, 1186, 33, 'завершене');
INSERT INTO `lang_definitions` VALUES (120509, 1188, 33, 'Завершене?');
INSERT INTO `lang_definitions` VALUES (120510, 1190, 33, 'Ускладнення по спеціалістах, що надають послуги');
INSERT INTO `lang_definitions` VALUES (120511, 1191, 33, 'Ускладнення аборту');
INSERT INTO `lang_definitions` VALUES (120512, 1192, 33, 'Компоненти');
INSERT INTO `lang_definitions` VALUES (120513, 1193, 33, 'Автоматизована система медичних призначень');
INSERT INTO `lang_definitions` VALUES (120514, 1194, 33, 'Висновки');
INSERT INTO `lang_definitions` VALUES (120515, 1199, 33, 'Налаштування');
INSERT INTO `lang_definitions` VALUES (120516, 1200, 33, 'Налаштування експорту / імпорту');
INSERT INTO `lang_definitions` VALUES (120517, 1202, 33, 'Налаштувати Apache і LibreEHR для використання сертифікатів SSL клієнта.');
INSERT INTO `lang_definitions` VALUES (120518, 1203, 33, 'Налаштувати Apache для використання сертифікатів SSL на стороні клієнта');
INSERT INTO `lang_definitions` VALUES (120519, 1204, 33, 'Налаштувати Apache для використання HTTPS.');
INSERT INTO `lang_definitions` VALUES (120520, 1205, 33, 'Налаштувати LibreEHR для використання сертифікатів SSL клієнта.');
INSERT INTO `lang_definitions` VALUES (120521, 1208, 33, 'Підтвердіть реєстрацію нового пацієнта');
INSERT INTO `lang_definitions` VALUES (120522, 1209, 33, 'Підтвердіть новий пароль');
INSERT INTO `lang_definitions` VALUES (120523, 1210, 33, 'Підтвердіть оплату');
INSERT INTO `lang_definitions` VALUES (120524, 1214, 33, 'Вроджений');
INSERT INTO `lang_definitions` VALUES (120525, 1215, 33, 'Коньюктива, зіниці');
INSERT INTO `lang_definitions` VALUES (120526, 1217, 33, 'Конектор');
INSERT INTO `lang_definitions` VALUES (120527, 1218, 33, 'Константа');
INSERT INTO `lang_definitions` VALUES (120528, 1219, 33, 'найменування константи');
INSERT INTO `lang_definitions` VALUES (120529, 1220, 33, 'Найменування константи пусте');
INSERT INTO `lang_definitions` VALUES (120530, 1221, 33, 'константи');
INSERT INTO `lang_definitions` VALUES (120531, 1222, 33, 'Закреп');
INSERT INTO `lang_definitions` VALUES (120532, 1223, 33, 'Загальносистемне');
INSERT INTO `lang_definitions` VALUES (120533, 1226, 33, 'Короткий опис консультації');
INSERT INTO `lang_definitions` VALUES (120534, 1227, 33, 'Контакт');
INSERT INTO `lang_definitions` VALUES (120535, 1228, 33, 'Контактний e-mail');
INSERT INTO `lang_definitions` VALUES (120536, 1229, 33, 'Контактна адреса e-mail');
INSERT INTO `lang_definitions` VALUES (120537, 1230, 33, 'Зв\'язатися з EMR Direct для підписки на службу повідомлень phiMail Direct');
INSERT INTO `lang_definitions` VALUES (120538, 1231, 33, 'контактна іформація');
INSERT INTO `lang_definitions` VALUES (120539, 1232, 33, 'Контактні лінзи');
INSERT INTO `lang_definitions` VALUES (120540, 1233, 33, 'Зв\'язатися з Medical Information Integration, LLC на http://mi-squared.com для служби Lab Exchange.');
INSERT INTO `lang_definitions` VALUES (120541, 1234, 33, 'Зв\'язатися з Medical Information Integration, LLC на http://mi-squared.com чи ZH Healthcare на http://zhservices.com для підписки на службу eRx');
INSERT INTO `lang_definitions` VALUES (120542, 1236, 33, 'контактна особа');
INSERT INTO `lang_definitions` VALUES (120543, 1237, 33, 'Контактна особа');
INSERT INTO `lang_definitions` VALUES (120544, 1239, 33, 'Контактний номер телефону');
INSERT INTO `lang_definitions` VALUES (120545, 1240, 33, 'Зверніться на ZMG, LLC (zmghealth@gmail.com) для підписки на послугу eRx');
INSERT INTO `lang_definitions` VALUES (120546, 1241, 33, 'містить, принаймні, три з чотирьох наступних пунктів:');
INSERT INTO `lang_definitions` VALUES (120547, 1242, 33, 'Ім\'я Контейнеру-Групи');
INSERT INTO `lang_definitions` VALUES (120548, 1243, 33, 'Зміст');
INSERT INTO `lang_definitions` VALUES (120549, 1244, 33, 'зміст');
INSERT INTO `lang_definitions` VALUES (120550, 1245, 33, 'Контекст');
INSERT INTO `lang_definitions` VALUES (120551, 1246, 33, 'Найменування контексту не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (120552, 1247, 33, 'Тривати');
INSERT INTO `lang_definitions` VALUES (120553, 1248, 33, 'Стандартизований медичний документ (HL7 CCD)');
INSERT INTO `lang_definitions` VALUES (120554, 1249, 33, 'Стандартизований медичний запис (HL7 CCR)');
INSERT INTO `lang_definitions` VALUES (120555, 1250, 33, 'Взаємні клієнти');
INSERT INTO `lang_definitions` VALUES (120556, 1251, 33, 'Контрацепція');
INSERT INTO `lang_definitions` VALUES (120557, 1252, 33, 'Аспекти контрацепції');
INSERT INTO `lang_definitions` VALUES (120558, 1253, 33, 'Ускладнення контрацепції (вказати)');
INSERT INTO `lang_definitions` VALUES (120559, 1254, 33, 'Спосіб контрацепції');
INSERT INTO `lang_definitions` VALUES (120560, 1255, 33, 'Контрацептивні вироби');
INSERT INTO `lang_definitions` VALUES (120561, 1256, 33, 'Попередньо розпочаті послуги з контрацепції');
INSERT INTO `lang_definitions` VALUES (120562, 1257, 33, 'Початок контрацепції');
INSERT INTO `lang_definitions` VALUES (120563, 1258, 33, 'Контрольний ID');
INSERT INTO `lang_definitions` VALUES (120564, 1259, 33, 'Контрольнийномер');
INSERT INTO `lang_definitions` VALUES (120565, 1261, 33, 'ДОПЛАТА');
INSERT INTO `lang_definitions` VALUES (120566, 1262, 33, 'Доплата');
INSERT INTO `lang_definitions` VALUES (120567, 1263, 33, 'Доплата');
INSERT INTO `lang_definitions` VALUES (120568, 1264, 33, 'Доплата не передбачається');
INSERT INTO `lang_definitions` VALUES (120569, 1266, 33, 'Доплати');
INSERT INTO `lang_definitions` VALUES (120570, 1267, 33, 'ХОЗЛ');
INSERT INTO `lang_definitions` VALUES (120571, 1268, 33, 'Копіювати сторінки в карту пацієнта');
INSERT INTO `lang_definitions` VALUES (120572, 1269, 33, 'Копіювати значення');
INSERT INTO `lang_definitions` VALUES (120573, 1270, 33, 'Копіювання файлу бази даних. Це займе деякий час ...');
INSERT INTO `lang_definitions` VALUES (120574, 1271, 33, 'Повідомлення про авторські права');
INSERT INTO `lang_definitions` VALUES (120575, 1273, 33, 'Коронарне шунтування');
INSERT INTO `lang_definitions` VALUES (120576, 1274, 33, 'Коронарне шунтування трансплантатом');
INSERT INTO `lang_definitions` VALUES (120577, 1275, 33, 'Виправлене');
INSERT INTO `lang_definitions` VALUES (120578, 1277, 33, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (120579, 1278, 33, 'CouchDB Збій підключення');
INSERT INTO `lang_definitions` VALUES (120580, 1279, 33, 'CouchDB База даних');
INSERT INTO `lang_definitions` VALUES (120581, 1280, 33, 'CouchDB ім\'я бази даних');
INSERT INTO `lang_definitions` VALUES (120582, 1281, 33, 'CouchDB хост');
INSERT INTO `lang_definitions` VALUES (120583, 1282, 33, 'CouchDB ім\'я хоста');
INSERT INTO `lang_definitions` VALUES (120584, 1283, 33, 'CouchDB логи увімкнено');
INSERT INTO `lang_definitions` VALUES (120585, 1284, 33, 'CouchDB пароль');
INSERT INTO `lang_definitions` VALUES (120586, 1285, 33, 'CouchDB порт');
INSERT INTO `lang_definitions` VALUES (120587, 1286, 33, 'CouchDB порт');
INSERT INTO `lang_definitions` VALUES (120588, 1288, 33, 'CouchDB ім\'я користувача');
INSERT INTO `lang_definitions` VALUES (120589, 1289, 33, 'Кашель');
INSERT INTO `lang_definitions` VALUES (120590, 1290, 33, 'Кашель:');
INSERT INTO `lang_definitions` VALUES (120591, 1294, 33, 'Не вдалося прочитати файл');
INSERT INTO `lang_definitions` VALUES (120592, 1296, 33, 'Не вдалося відправити email через проблеми сервера, ');
INSERT INTO `lang_definitions` VALUES (120593, 1297, 33, 'Не вдалося відправити email через проблеми сервера. ');
INSERT INTO `lang_definitions` VALUES (120594, 1298, 33, 'Не вдалося створити директорію резервного копіювання:');
INSERT INTO `lang_definitions` VALUES (120595, 1299, 33, 'Не вдалося видалити директорію:');
INSERT INTO `lang_definitions` VALUES (120596, 1300, 33, 'Не вдалося видалити старий файл резервного копіювання:');
INSERT INTO `lang_definitions` VALUES (120597, 1301, 33, 'Не вдалося видалити старий файл експорту:');
INSERT INTO `lang_definitions` VALUES (120598, 1302, 33, 'Менеджмент Кумадіна - контроль міжнародного нормалізаційного індексу');
INSERT INTO `lang_definitions` VALUES (120599, 1303, 33, 'Реком. за способом');
INSERT INTO `lang_definitions` VALUES (120600, 1304, 33, 'Консультування');
INSERT INTO `lang_definitions` VALUES (120601, 1305, 33, 'Консультативна робота');
INSERT INTO `lang_definitions` VALUES (120602, 1306, 33, 'ОБЛІКОВА ФОРМА НАПРАВЛЕННЯ');
INSERT INTO `lang_definitions` VALUES (120603, 1307, 33, 'Обліковий направлення');
INSERT INTO `lang_definitions` VALUES (120604, 1308, 33, 'Країна');
INSERT INTO `lang_definitions` VALUES (120605, 1309, 33, 'Тип даних по країні');
INSERT INTO `lang_definitions` VALUES (120606, 1310, 33, 'Список країн');
INSERT INTO `lang_definitions` VALUES (120607, 1311, 33, 'Список країн (на вибір - право записувати все/частково)');
INSERT INTO `lang_definitions` VALUES (120608, 1312, 33, 'Найменування країни має бути представлено двома буквами. (Наприклад: Сполучені штати позначено US)');
INSERT INTO `lang_definitions` VALUES (120609, 1313, 33, 'країна');
INSERT INTO `lang_definitions` VALUES (120610, 1315, 33, 'Купон');
INSERT INTO `lang_definitions` VALUES (120611, 1318, 33, 'Клінічне обстеження хворого (КОХ)');
INSERT INTO `lang_definitions` VALUES (120612, 1319, 33, 'Код (КОХ)');
INSERT INTO `lang_definitions` VALUES (120613, 1320, 33, 'Коди (КОХ)');
INSERT INTO `lang_definitions` VALUES (120614, 1321, 33, 'КОХ4 Процедури/Послуги');
INSERT INTO `lang_definitions` VALUES (120615, 1322, 33, 'КОХІІ вимірювання продуктивності');
INSERT INTO `lang_definitions` VALUES (120616, 1323, 33, 'Безперервне управління якістю (CQM)');
INSERT INTO `lang_definitions` VALUES (120617, 1324, 33, 'Вологі хрипи:');
INSERT INTO `lang_definitions` VALUES (120618, 1325, 33, 'крем');
INSERT INTO `lang_definitions` VALUES (120619, 1326, 33, 'Створити сертифікат SSL клієнта для кожного користувача або клієнтської машини.');
INSERT INTO `lang_definitions` VALUES (120620, 1327, 33, 'Створити сертифікат SSL клієнта або для користувача, або для імені клієнта.');
INSERT INTO `lang_definitions` VALUES (120621, 1329, 33, 'Створити подію');
INSERT INTO `lang_definitions` VALUES (120622, 1330, 33, 'Створити і завантажити повну резервну копію');
INSERT INTO `lang_definitions` VALUES (120623, 1332, 33, 'Створити резервну копію');
INSERT INTO `lang_definitions` VALUES (120624, 1333, 33, 'Створити партію');
INSERT INTO `lang_definitions` VALUES (120625, 1334, 33, 'Створити клієнтський сертифікат');
INSERT INTO `lang_definitions` VALUES (120626, 1335, 33, 'Створити сертифікати SSL на стороні клієнта.');
INSERT INTO `lang_definitions` VALUES (120627, 1336, 33, 'Створити дублікат');
INSERT INTO `lang_definitions` VALUES (120628, 1338, 33, 'Створити резервне копіювання журналу подій');
INSERT INTO `lang_definitions` VALUES (120629, 1339, 33, 'Створити нову проблему');
INSERT INTO `lang_definitions` VALUES (120630, 1340, 33, 'Оформити нового пацієнта');
INSERT INTO `lang_definitions` VALUES (120631, 1342, 33, 'Створити повноваження для зовнішнього порталу');
INSERT INTO `lang_definitions` VALUES (120632, 1343, 33, 'Створити повноваження для внутрішнього порталу');
INSERT INTO `lang_definitions` VALUES (120633, 1344, 33, 'Створити запис по пацієнтові');
INSERT INTO `lang_definitions` VALUES (120634, 1345, 33, 'Створює довірений сертифікат SSL і сертифікати сервера.');
INSERT INTO `lang_definitions` VALUES (120635, 1346, 33, 'Створити відвідування');
INSERT INTO `lang_definitions` VALUES (120636, 1347, 33, 'Створено');
INSERT INTO `lang_definitions` VALUES (120637, 1348, 33, 'Створення файлу експорту');
INSERT INTO `lang_definitions` VALUES (120638, 1350, 33, 'Збій створення цього файлу на віддаленому хості');
INSERT INTO `lang_definitions` VALUES (120639, 1351, 33, 'Творець');
INSERT INTO `lang_definitions` VALUES (120640, 1352, 33, 'кредит');
INSERT INTO `lang_definitions` VALUES (120641, 1353, 33, 'Кредитна карта');
INSERT INTO `lang_definitions` VALUES (120642, 1354, 33, 'Кредити');
INSERT INTO `lang_definitions` VALUES (120643, 1356, 33, 'Критерій');
INSERT INTO `lang_definitions` VALUES (120644, 1358, 33, 'Хвороба Крона');
INSERT INTO `lang_definitions` VALUES (120645, 1359, 33, 'Хвороба Крона');
INSERT INTO `lang_definitions` VALUES (120646, 1360, 33, 'Експорт CSV');
INSERT INTO `lang_definitions` VALUES (120647, 1361, 33, 'файл CSV');
INSERT INTO `lang_definitions` VALUES (120648, 1362, 33, 'таблиці CSV');
INSERT INTO `lang_definitions` VALUES (120649, 1363, 33, 'куб.мм');
INSERT INTO `lang_definitions` VALUES (120650, 1364, 33, 'Кубинець');
INSERT INTO `lang_definitions` VALUES (120651, 1365, 33, 'Розміщення десяткового знаку для валюти');
INSERT INTO `lang_definitions` VALUES (120652, 1366, 33, 'Символ десяткового знаку для валюти');
INSERT INTO `lang_definitions` VALUES (120653, 1367, 33, 'грошовий визначник');
INSERT INTO `lang_definitions` VALUES (120654, 1368, 33, 'Роздільник тисячної валюти');
INSERT INTO `lang_definitions` VALUES (120655, 1369, 33, 'Поточне');
INSERT INTO `lang_definitions` VALUES (120656, 1370, 33, 'Поточне вживання алкоголю');
INSERT INTO `lang_definitions` VALUES (120657, 1371, 33, 'Поточна констультація');
INSERT INTO `lang_definitions` VALUES (120658, 1372, 33, 'Поточний критерій');
INSERT INTO `lang_definitions` VALUES (120659, 1373, 33, 'Колір виділення поточного дня');
INSERT INTO `lang_definitions` VALUES (120660, 1374, 33, 'Палить кожного дня на даний час');
INSERT INTO `lang_definitions` VALUES (120661, 1375, 33, 'Поточне ім\'я файлу було змінено на');
INSERT INTO `lang_definitions` VALUES (120662, 1376, 33, 'Поточний хеш');
INSERT INTO `lang_definitions` VALUES (120663, 1377, 33, 'Поточне місце перебування');
INSERT INTO `lang_definitions` VALUES (120664, 1378, 33, 'поточні препарати');
INSERT INTO `lang_definitions` VALUES (120665, 1379, 33, 'Поточний пароль');
INSERT INTO `lang_definitions` VALUES (120666, 1380, 33, 'Поточний пацієнт');
INSERT INTO `lang_definitions` VALUES (120667, 1382, 33, 'Поточні рекреаційні наркотики');
INSERT INTO `lang_definitions` VALUES (120668, 1383, 33, 'Палить не кожен день на даний час');
INSERT INTO `lang_definitions` VALUES (120669, 1386, 33, 'Активний на даний час');
INSERT INTO `lang_definitions` VALUES (120670, 1387, 33, 'В даний час виконується');
INSERT INTO `lang_definitions` VALUES (120671, 1388, 33, 'В даний час допомога не надається');
INSERT INTO `lang_definitions` VALUES (120672, 1389, 33, 'синдром Кушинга');
INSERT INTO `lang_definitions` VALUES (120673, 1390, 33, 'синдром Кушинга');
INSERT INTO `lang_definitions` VALUES (120674, 1392, 33, 'Користувальницький');
INSERT INTO `lang_definitions` VALUES (120675, 1393, 33, 'Користувальницький ввід?');
INSERT INTO `lang_definitions` VALUES (120676, 1394, 33, 'Користувальницька таблиця');
INSERT INTO `lang_definitions` VALUES (120677, 1396, 33, 'Код вакцинації (CVX)');
INSERT INTO `lang_definitions` VALUES (120678, 1397, 33, 'Відображення коду вакцинації (CVX)');
INSERT INTO `lang_definitions` VALUES (120679, 1398, 33, 'CVX вакцинація');
INSERT INTO `lang_definitions` VALUES (120680, 1399, 33, 'Цикл');
INSERT INTO `lang_definitions` VALUES (120681, 1400, 33, 'Цитохром P450');
INSERT INTO `lang_definitions` VALUES (120682, 1401, 33, 'Фактор цитохрому P450');
INSERT INTO `lang_definitions` VALUES (120683, 1402, 33, 'Повідомлення про цитохром P450');
INSERT INTO `lang_definitions` VALUES (120684, 1403, 33, 'Чеська');
INSERT INTO `lang_definitions` VALUES (120685, 1404, 33, 'Дата');
INSERT INTO `lang_definitions` VALUES (120686, 1405, 33, 'Розширення та кюретаж');
INSERT INTO `lang_definitions` VALUES (120687, 1406, 33, 'Дієта та фізичне навантаження');
INSERT INTO `lang_definitions` VALUES (120688, 1407, 33, 'Дата нар.');
INSERT INTO `lang_definitions` VALUES (120689, 1408, 33, 'щоденно');
INSERT INTO `lang_definitions` VALUES (120690, 1409, 33, 'Щоденний запис');
INSERT INTO `lang_definitions` VALUES (120691, 1410, 33, 'Данська');
INSERT INTO `lang_definitions` VALUES (120692, 1411, 33, 'Подібні дані вже є в базі даних, змініть код і / або опис');
INSERT INTO `lang_definitions` VALUES (120693, 1412, 33, 'Подібні дані вже є в базі даних, змініть ім\'я константи');
INSERT INTO `lang_definitions` VALUES (120694, 1413, 33, 'Стовп. даних');
INSERT INTO `lang_definitions` VALUES (120695, 1416, 33, 'Помилка в даних');
INSERT INTO `lang_definitions` VALUES (120696, 1420, 33, 'Тип даних');
INSERT INTO `lang_definitions` VALUES (120697, 1421, 33, 'База даних');
INSERT INTO `lang_definitions` VALUES (120698, 1422, 33, 'База даних не встановлена.');
INSERT INTO `lang_definitions` VALUES (120699, 1423, 33, 'Виправлення бази даних');
INSERT INTO `lang_definitions` VALUES (120700, 1424, 33, 'Звіти бази даних');
INSERT INTO `lang_definitions` VALUES (120701, 1425, 33, 'Оновлення бази даних завершено.');
INSERT INTO `lang_definitions` VALUES (120702, 1426, 33, 'Стовпці даних повинні бути числом між 1 і 999');
INSERT INTO `lang_definitions` VALUES (120703, 1427, 33, 'Дата');
INSERT INTO `lang_definitions` VALUES (120704, 1428, 33, 'ДАТА');
INSERT INTO `lang_definitions` VALUES (120705, 1429, 33, 'Керовані дата і час');
INSERT INTO `lang_definitions` VALUES (120706, 1431, 33, 'Керована дата');
INSERT INTO `lang_definitions` VALUES (120707, 1432, 33, 'Дата і час взяття зразка');
INSERT INTO `lang_definitions` VALUES (120708, 1433, 33, 'Дата і час цього спостереження');
INSERT INTO `lang_definitions` VALUES (120709, 1435, 33, 'Дата і час, коли біовзірець був зібраний');
INSERT INTO `lang_definitions` VALUES (120710, 1436, 33, 'Дата не може бути дальшою ніж сьогоднішня');
INSERT INTO `lang_definitions` VALUES (120711, 1437, 33, 'Дата спочатку наданої послуги по контрацепції');
INSERT INTO `lang_definitions` VALUES (120712, 1438, 33, 'Дата створення');
INSERT INTO `lang_definitions` VALUES (120713, 1439, 33, 'Дата смерті');
INSERT INTO `lang_definitions` VALUES (120714, 1440, 33, 'Дата знищення');
INSERT INTO `lang_definitions` VALUES (120715, 1441, 33, 'Формат відображення дати');
INSERT INTO `lang_definitions` VALUES (120716, 1442, 33, 'Формат дати для \"Закінчення прийому\" не допустимий');
INSERT INTO `lang_definitions` VALUES (120717, 1443, 33, 'Формат дати для \"Початок прийому\" не допустимий');
INSERT INTO `lang_definitions` VALUES (120718, 1444, 33, 'Формат дати для \"Наступний прийом\" не допустимий');
INSERT INTO `lang_definitions` VALUES (120719, 1445, 33, 'Формат дати для \"не бачив з\" не допустимий');
INSERT INTO `lang_definitions` VALUES (120720, 1446, 33, 'Формат дати для \"з тих пір бачив\" не допустимий');
INSERT INTO `lang_definitions` VALUES (120721, 1447, 33, 'Надані інформаційні заявки про дату проведення вакцинації');
INSERT INTO `lang_definitions` VALUES (120722, 1448, 33, 'Дата для коду пропущена ');
INSERT INTO `lang_definitions` VALUES (120723, 1449, 33, 'Основний критерій дати');
INSERT INTO `lang_definitions` VALUES (120724, 1450, 33, 'Дата банківського внеску рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (120725, 1451, 33, 'Дата рахунку');
INSERT INTO `lang_definitions` VALUES (120726, 1452, 33, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (120727, 1453, 33, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (120728, 1454, 33, 'Дата народження');
INSERT INTO `lang_definitions` VALUES (120729, 1455, 33, 'Дата поступлення');
INSERT INTO `lang_definitions` VALUES (120730, 1456, 33, 'Дата травми');
INSERT INTO `lang_definitions` VALUES (120731, 1458, 33, 'Дата оплати рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (120732, 1459, 33, 'Дата направлення');
INSERT INTO `lang_definitions` VALUES (120733, 1460, 33, 'Дата відповіді');
INSERT INTO `lang_definitions` VALUES (120734, 1461, 33, 'Дата звіту');
INSERT INTO `lang_definitions` VALUES (120735, 1462, 33, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (120736, 1463, 33, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (120737, 1464, 33, 'Дата послуги = сьогодні');
INSERT INTO `lang_definitions` VALUES (120738, 1465, 33, 'Дата послуги мм / дд / рррр');
INSERT INTO `lang_definitions` VALUES (120739, 1466, 33, 'Дата послуги:');
INSERT INTO `lang_definitions` VALUES (120740, 1467, 33, 'Дата підписання');
INSERT INTO `lang_definitions` VALUES (120741, 1468, 33, 'Дата зіни статусу');
INSERT INTO `lang_definitions` VALUES (120742, 1469, 33, 'Дата цього призначення');
INSERT INTO `lang_definitions` VALUES (120743, 1470, 33, 'Дата цього звіту');
INSERT INTO `lang_definitions` VALUES (120744, 1471, 33, 'Дата заявки по видимому набору інформації');
INSERT INTO `lang_definitions` VALUES (120745, 1472, 33, 'Призначена дати');
INSERT INTO `lang_definitions` VALUES (120746, 1475, 33, 'селектор дати');
INSERT INTO `lang_definitions` VALUES (120747, 1476, 33, 'Дата відправлення');
INSERT INTO `lang_definitions` VALUES (120748, 1477, 33, 'Дата коли повідомлення було вислане');
INSERT INTO `lang_definitions` VALUES (120749, 1479, 33, 'Значення дати не може бути порожнім.');
INSERT INTO `lang_definitions` VALUES (120750, 1480, 33, 'Дата / призн.');
INSERT INTO `lang_definitions` VALUES (120751, 1481, 33, 'Дата / запису');
INSERT INTO `lang_definitions` VALUES (120752, 1482, 33, 'Остання дата або записи');
INSERT INTO `lang_definitions` VALUES (120753, 1483, 33, 'Дата / час');
INSERT INTO `lang_definitions` VALUES (120754, 1484, 33, 'Дата:');
INSERT INTO `lang_definitions` VALUES (120755, 1485, 33, 'датовані повідомлення журналу');
INSERT INTO `lang_definitions` VALUES (120756, 1486, 33, 'День');
INSERT INTO `lang_definitions` VALUES (120757, 1487, 33, 'день');
INSERT INTO `lang_definitions` VALUES (120758, 1489, 33, 'Огляд за день');
INSERT INTO `lang_definitions` VALUES (120759, 1490, 33, 'Днів');
INSERT INTO `lang_definitions` VALUES (120760, 1491, 33, 'Дні Пн-Пт');
INSERT INTO `lang_definitions` VALUES (120761, 1492, 33, 'дні');
INSERT INTO `lang_definitions` VALUES (120762, 1493, 33, 'Дні');
INSERT INTO `lang_definitions` VALUES (120763, 1494, 33, 'днів тому');
INSERT INTO `lang_definitions` VALUES (120764, 1495, 33, 'Дні і проекти пропущені');
INSERT INTO `lang_definitions` VALUES (120765, 1496, 33, 'Днів від останнього звернення');
INSERT INTO `lang_definitions` VALUES (120766, 1497, 33, 'пропущені дні');
INSERT INTO `lang_definitions` VALUES (120767, 1498, 33, 'Днів в стовпці:');
INSERT INTO `lang_definitions` VALUES (120768, 1500, 33, 'Дні / стовп.:');
INSERT INTO `lang_definitions` VALUES (120769, 1501, 33, 'БД встановлена');
INSERT INTO `lang_definitions` VALUES (120770, 1502, 33, 'ДД-ММ-РРРР');
INSERT INTO `lang_definitions` VALUES (120771, 1503, 33, 'Деідентифікація');
INSERT INTO `lang_definitions` VALUES (120772, 1504, 33, 'Процес деідентифікації завершений');
INSERT INTO `lang_definitions` VALUES (120773, 1505, 33, 'Триває обробка деідентіфікаціі');
INSERT INTO `lang_definitions` VALUES (120774, 1506, 33, 'Обробка деідентіфікаціі запущена і йде у фоновому режимі');
INSERT INTO `lang_definitions` VALUES (120775, 1507, 33, 'Дані деідентіфікаціі не можуть бути виконані');
INSERT INTO `lang_definitions` VALUES (120776, 1508, 33, 'Файли деідентіфікаціі будуть збережені в');
INSERT INTO `lang_definitions` VALUES (120777, 1509, 33, 'Управління з контролю за поширенням наркотиків');
INSERT INTO `lang_definitions` VALUES (120778, 1511, 33, 'Глухий');
INSERT INTO `lang_definitions` VALUES (120779, 1512, 33, 'Відлагоджувальна інформація');
INSERT INTO `lang_definitions` VALUES (120780, 1514, 33, 'Відлагодження');
INSERT INTO `lang_definitions` VALUES (120781, 1515, 33, 'Грудень');
INSERT INTO `lang_definitions` VALUES (120782, 1516, 33, 'ПОМЕРЛІ');
INSERT INTO `lang_definitions` VALUES (120783, 1517, 33, 'Грудень');
INSERT INTO `lang_definitions` VALUES (120784, 1518, 33, 'Десятки фунтів або фунтів і унцій, розділених # (наприклад, 5 # 4)');
INSERT INTO `lang_definitions` VALUES (120785, 1520, 33, 'Відрахування');
INSERT INTO `lang_definitions` VALUES (120786, 1521, 33, 'Виконання відрахувань');
INSERT INTO `lang_definitions` VALUES (120787, 1522, 33, 'За замовчуванням');
INSERT INTO `lang_definitions` VALUES (120788, 1523, 33, 'Вид календаря за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120789, 1524, 33, 'ID форми звернення за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120790, 1526, 33, 'Послуга за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120791, 1527, 33, 'Мова за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120792, 1528, 33, 'Мова за замовчуванням якщо іншої не дозволено або не вибрано.');
INSERT INTO `lang_definitions` VALUES (120793, 1529, 33, 'Список за замовчуванням (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (120794, 1530, 33, 'Метод за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120795, 1531, 33, 'Закінчення строку дії пароля за замовчуванням.');
INSERT INTO `lang_definitions` VALUES (120796, 1532, 33, 'Закінчення строку дії пароля в днях за замовчуванням. 0 означає, що ця функція відключена.');
INSERT INTO `lang_definitions` VALUES (120797, 1533, 33, 'Країна пацієнта за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120798, 1535, 33, 'Пріоритет за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120799, 1536, 33, 'Спеціаліст по замовчуванню');
INSERT INTO `lang_definitions` VALUES (120800, 1537, 33, 'Діапазон за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120801, 1538, 33, 'Причина відвідування за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120802, 1540, 33, 'Налаштування за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120803, 1541, 33, 'Стан за замовчуванням прапорців в списку пацієнтів для нового вікна');
INSERT INTO `lang_definitions` VALUES (120804, 1542, 33, 'Шаблон за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120805, 1546, 33, 'Одиниці виміру за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120806, 1547, 33, 'Значення за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120807, 1548, 33, 'Склад за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120808, 1549, 33, 'Партнер X12 за замовчуванням');
INSERT INTO `lang_definitions` VALUES (120809, 1550, 33, 'За замовчуванням / глобально');
INSERT INTO `lang_definitions` VALUES (120810, 1551, 33, 'Видалити');
INSERT INTO `lang_definitions` VALUES (120811, 1552, 33, 'видалити');
INSERT INTO `lang_definitions` VALUES (120812, 1553, 33, 'Затримка повторення (> 12 міс.)');
INSERT INTO `lang_definitions` VALUES (120813, 1554, 33, 'Видалити');
INSERT INTO `lang_definitions` VALUES (120814, 1555, 33, 'видалити');
INSERT INTO `lang_definitions` VALUES (120815, 1556, 33, 'Видалити категорії з ID: ');
INSERT INTO `lang_definitions` VALUES (120816, 1557, 33, 'Видалити категорію');
INSERT INTO `lang_definitions` VALUES (120817, 1559, 33, 'Збій видалення!');
INSERT INTO `lang_definitions` VALUES (120818, 1560, 33, 'Видалити групу');
INSERT INTO `lang_definitions` VALUES (120819, 1561, 33, 'Видалити список');
INSERT INTO `lang_definitions` VALUES (120820, 1562, 33, 'Видалити сторінки');
INSERT INTO `lang_definitions` VALUES (120821, 1563, 33, 'Видалити пацієнта, звернення, форму, проблему, документ, оплату, рахунок або транзакцію');
INSERT INTO `lang_definitions` VALUES (120822, 1565, 33, 'Видалити рядок');
INSERT INTO `lang_definitions` VALUES (120823, 1566, 33, 'Видалити вибрані пункти');
INSERT INTO `lang_definitions` VALUES (120824, 1568, 33, 'Видалення завершено.');
INSERT INTO `lang_definitions` VALUES (120825, 1569, 33, 'Видалити цей документ');
INSERT INTO `lang_definitions` VALUES (120826, 1570, 33, 'Видалити цю форму');
INSERT INTO `lang_definitions` VALUES (120827, 1571, 33, 'Видалити цей запис');
INSERT INTO `lang_definitions` VALUES (120828, 1573, 33, 'Видалення успішно виконано.');
INSERT INTO `lang_definitions` VALUES (120829, 1574, 33, 'Видалення');
INSERT INTO `lang_definitions` VALUES (120830, 1575, 33, 'Видалення цієї події не може бути відмінено. Відновлення буде неможливим після завершення. Ви дійсно хочете видалити цю подію?');
INSERT INTO `lang_definitions` VALUES (120831, 1576, 33, 'Доставку підтверджено');
INSERT INTO `lang_definitions` VALUES (120832, 1578, 33, 'В даний час не допускається доставка до зазначеного Direct Address.');
INSERT INTO `lang_definitions` VALUES (120833, 1580, 33, 'Паієнт зробив запит на доставку приєднаного клінічного документу');
INSERT INTO `lang_definitions` VALUES (120834, 1581, 33, 'Деменція');
INSERT INTO `lang_definitions` VALUES (120835, 1582, 33, 'Персональні дані');
INSERT INTO `lang_definitions` VALUES (120836, 1583, 33, 'Персональні дані (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (120837, 1585, 33, 'Критерій відбору персональних даних');
INSERT INTO `lang_definitions` VALUES (120838, 1586, 33, 'Немає дозволу на доступ до персональних даних');
INSERT INTO `lang_definitions` VALUES (120839, 1587, 33, 'Немає дозволу на доступ до персональних даних.');
INSERT INTO `lang_definitions` VALUES (120840, 1588, 33, 'Заборонено');
INSERT INTO `lang_definitions` VALUES (120841, 1589, 33, 'Знаменник');
INSERT INTO `lang_definitions` VALUES (120842, 1590, 33, 'Стоматологічний');
INSERT INTO `lang_definitions` VALUES (120843, 1591, 33, 'Перелік стоматологічних проблем');
INSERT INTO `lang_definitions` VALUES (120844, 1592, 33, 'Стоматологічні проблеми');
INSERT INTO `lang_definitions` VALUES (120845, 1595, 33, 'При перевірці вимоги X 12, в залежності від типу, рахунки HCFA будуть виглядати як вивід порожньої сторінки, побачите багато рядків з дещо спотвореним текстом та інформацією. Цей спотворений текст є форматом X 12 EDI 4010A. Іноді будете бачити дивні символи, які виглядають як доміно або хвилясто, це керуючі символи, такі як подача сторінки і є звичайними.');
INSERT INTO `lang_definitions` VALUES (120846, 1596, 33, 'Дата внесення');
INSERT INTO `lang_definitions` VALUES (120847, 1597, 33, 'Дата внесення не може бути пізніше сьогоднішньої');
INSERT INTO `lang_definitions` VALUES (120848, 1598, 33, 'Дата внесення:');
INSERT INTO `lang_definitions` VALUES (120849, 1599, 33, 'Пригнічений');
INSERT INTO `lang_definitions` VALUES (120850, 1600, 33, 'Депресія');
INSERT INTO `lang_definitions` VALUES (120851, 1602, 33, 'Опис');
INSERT INTO `lang_definitions` VALUES (120852, 1603, 33, 'опис');
INSERT INTO `lang_definitions` VALUES (120853, 1605, 33, 'Опис публікації');
INSERT INTO `lang_definitions` VALUES (120854, 1606, 33, 'Опис цієї методики або код результату');
INSERT INTO `lang_definitions` VALUES (120855, 1607, 33, 'Переклад опису');
INSERT INTO `lang_definitions` VALUES (120856, 1609, 33, 'Місце призначення');
INSERT INTO `lang_definitions` VALUES (120857, 1610, 33, 'Призначене ім\'я файлу');
INSERT INTO `lang_definitions` VALUES (120858, 1611, 33, 'Знищити партію');
INSERT INTO `lang_definitions` VALUES (120859, 1612, 33, 'Знищити ...');
INSERT INTO `lang_definitions` VALUES (120860, 1613, 33, 'Знищений');
INSERT INTO `lang_definitions` VALUES (120861, 1614, 33, 'Знищені препарати');
INSERT INTO `lang_definitions` VALUES (120862, 1615, 33, 'Звіт по знищенню препаратів');
INSERT INTO `lang_definitions` VALUES (120863, 1616, 33, 'Подробиця');
INSERT INTO `lang_definitions` VALUES (120864, 1617, 33, 'Подробиці');
INSERT INTO `lang_definitions` VALUES (120865, 1619, 33, 'Прогресуюче відхилення від норми');
INSERT INTO `lang_definitions` VALUES (120866, 1620, 33, 'Діабет');
INSERT INTO `lang_definitions` VALUES (120867, 1621, 33, 'Цукровий діабет');
INSERT INTO `lang_definitions` VALUES (120868, 1622, 33, 'Діабет: контроль артеріального тиску');
INSERT INTO `lang_definitions` VALUES (120869, 1623, 33, 'Діабет: офтальмологічне дослідження');
INSERT INTO `lang_definitions` VALUES (120870, 1624, 33, 'Діабет: офтальмологічне дослідження');
INSERT INTO `lang_definitions` VALUES (120871, 1625, 33, 'Діабет: дослідження стоп');
INSERT INTO `lang_definitions` VALUES (120872, 1626, 33, 'Діабет: дослідження стоп');
INSERT INTO `lang_definitions` VALUES (120873, 1627, 33, 'Діабет: нагляд за бідними HbA1c');
INSERT INTO `lang_definitions` VALUES (120874, 1628, 33, 'Діабет: гемоглобін A1C');
INSERT INTO `lang_definitions` VALUES (120875, 1629, 33, 'Діабет: контроль ліпопротеїну низької щільності');
INSERT INTO `lang_definitions` VALUES (120876, 1630, 33, 'Діабет: мікроальбумін сечі');
INSERT INTO `lang_definitions` VALUES (120877, 1631, 33, 'Д-з');
INSERT INTO `lang_definitions` VALUES (120878, 1632, 33, 'Діагнози');
INSERT INTO `lang_definitions` VALUES (120879, 1633, 33, 'Діагноз');
INSERT INTO `lang_definitions` VALUES (120880, 1634, 33, 'Код діагнозу');
INSERT INTO `lang_definitions` VALUES (120881, 1636, 33, 'Дата діагнозу');
INSERT INTO `lang_definitions` VALUES (120882, 1637, 33, 'Для зв\"язку з зверненням діагноз повинен мати код');
INSERT INTO `lang_definitions` VALUES (120883, 1638, 33, 'Найменування діагнозу');
INSERT INTO `lang_definitions` VALUES (120884, 1639, 33, 'Звіт про діагноз');
INSERT INTO `lang_definitions` VALUES (120885, 1640, 33, 'Звітність про діагноз');
INSERT INTO `lang_definitions` VALUES (120886, 1641, 33, 'Лише звітність про діагноз');
INSERT INTO `lang_definitions` VALUES (120887, 1642, 33, 'Назва діагнозу');
INSERT INTO `lang_definitions` VALUES (120888, 1643, 33, 'Діагноз:');
INSERT INTO `lang_definitions` VALUES (120889, 1644, 33, 'Діагноз: ');
INSERT INTO `lang_definitions` VALUES (120890, 1645, 33, 'Діагностичні тести:');
INSERT INTO `lang_definitions` VALUES (120891, 1646, 33, 'Діаліз');
INSERT INTO `lang_definitions` VALUES (120892, 1647, 33, 'Діафрагми/кришки');
INSERT INTO `lang_definitions` VALUES (120893, 1648, 33, 'Діарея');
INSERT INTO `lang_definitions` VALUES (120894, 1650, 33, 'Диктування');
INSERT INTO `lang_definitions` VALUES (120895, 1651, 33, 'Диктування: ');
INSERT INTO `lang_definitions` VALUES (120896, 1652, 33, 'Ви отримали копію повідомлення HIPAA?');
INSERT INTO `lang_definitions` VALUES (120897, 1653, 33, 'Дифундувати:');
INSERT INTO `lang_definitions` VALUES (120898, 1654, 33, 'Цифровий підпис');
INSERT INTO `lang_definitions` VALUES (120899, 1657, 33, 'Direct-пошта');
INSERT INTO `lang_definitions` VALUES (120900, 1658, 33, 'Лог Direct-повідомлень');
INSERT INTO `lang_definitions` VALUES (120901, 1659, 33, 'Отримано Direct-повідомлення');
INSERT INTO `lang_definitions` VALUES (120902, 1660, 33, 'Direct-повідомлення наразі недосяжні.');
INSERT INTO `lang_definitions` VALUES (120903, 1661, 33, 'Збій надсилання Direct-повідомлення');
INSERT INTO `lang_definitions` VALUES (120904, 1663, 33, 'Прізвище керівника');
INSERT INTO `lang_definitions` VALUES (120905, 1664, 33, 'Збій видалення каталога; продовження.');
INSERT INTO `lang_definitions` VALUES (120906, 1665, 33, 'Непрацездатність');
INSERT INTO `lang_definitions` VALUES (120907, 1667, 33, 'Відключити календар');
INSERT INTO `lang_definitions` VALUES (120908, 1668, 33, 'Відключити відстеження карти');
INSERT INTO `lang_definitions` VALUES (120909, 1669, 33, 'Відключити вакцинацію');
INSERT INTO `lang_definitions` VALUES (120910, 1670, 33, 'Відключити стару метричну форму ЖВО');
INSERT INTO `lang_definitions` VALUES (120911, 1672, 33, 'Відключити phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (120912, 1673, 33, 'Вимкнути призначення');
INSERT INTO `lang_definitions` VALUES (120913, 1674, 33, 'Відключити користувальницькі групи');
INSERT INTO `lang_definitions` VALUES (120914, 1675, 33, 'вимкнено');
INSERT INTO `lang_definitions` VALUES (120915, 1676, 33, 'Вимкнено');
INSERT INTO `lang_definitions` VALUES (120916, 1677, 33, 'Вимкнено Отримувачі доходів менше 65 років з планом \"здоров\"я для великих груп\" (LGHP)');
INSERT INTO `lang_definitions` VALUES (120917, 1678, 33, 'Сигнальний комплекс, індукуючий смерть');
INSERT INTO `lang_definitions` VALUES (120918, 1681, 33, 'Виділення');
INSERT INTO `lang_definitions` VALUES (120919, 1682, 33, 'Виділення з уретри');
INSERT INTO `lang_definitions` VALUES (120920, 1684, 33, 'Виділіть правильно');
INSERT INTO `lang_definitions` VALUES (120921, 1685, 33, 'Виділіть правильно:');
INSERT INTO `lang_definitions` VALUES (120922, 1688, 33, 'Виділіть');
INSERT INTO `lang_definitions` VALUES (120923, 1689, 33, 'Опублікована інформація');
INSERT INTO `lang_definitions` VALUES (120924, 1690, 33, 'Тип публікування');
INSERT INTO `lang_definitions` VALUES (120925, 1691, 33, 'Типи публікування');
INSERT INTO `lang_definitions` VALUES (120926, 1692, 33, 'Публікації');
INSERT INTO `lang_definitions` VALUES (120927, 1694, 33, 'Знижка');
INSERT INTO `lang_definitions` VALUES (120928, 1695, 33, 'Розмір знижки');
INSERT INTO `lang_definitions` VALUES (120929, 1696, 33, 'Рівень знижки');
INSERT INTO `lang_definitions` VALUES (120930, 1697, 33, 'Відсоток знижки');
INSERT INTO `lang_definitions` VALUES (120931, 1698, 33, 'Знижка як грошова величина');
INSERT INTO `lang_definitions` VALUES (120932, 1699, 33, 'Знижка на розрахунковий час вводиться як грошова сума, а не відсотки.');
INSERT INTO `lang_definitions` VALUES (120933, 1700, 33, 'Окремий результат');
INSERT INTO `lang_definitions` VALUES (120934, 1701, 33, 'Хвороба');
INSERT INTO `lang_definitions` VALUES (120935, 1702, 33, 'Вивих');
INSERT INTO `lang_definitions` VALUES (120936, 1703, 33, 'Відпр. #');
INSERT INTO `lang_definitions` VALUES (120937, 1704, 33, 'Відправлення');
INSERT INTO `lang_definitions` VALUES (120938, 1705, 33, 'Відправлення отриманого документа');
INSERT INTO `lang_definitions` VALUES (120939, 1706, 33, 'Розподілений');
INSERT INTO `lang_definitions` VALUES (120940, 1707, 33, 'Відображати розширені інструкції на сторінці персональних даних.');
INSERT INTO `lang_definitions` VALUES (120941, 1709, 33, 'Відображати дати подій в блоці?');
INSERT INTO `lang_definitions` VALUES (120942, 1710, 33, 'Формат виводу для системи мір США');
INSERT INTO `lang_definitions` VALUES (120943, 1711, 33, 'Скільки подій відображати?');
INSERT INTO `lang_definitions` VALUES (120944, 1713, 33, 'Відображати розміщення в блоці?');
INSERT INTO `lang_definitions` VALUES (120945, 1714, 33, 'Псевдонім');
INSERT INTO `lang_definitions` VALUES (120946, 1715, 33, 'Відображати календар?');
INSERT INTO `lang_definitions` VALUES (120947, 1718, 33, 'Відображати сьогоднішні події в блоці?');
INSERT INTO `lang_definitions` VALUES (120948, 1719, 33, 'Відображати розділ в блоці?');
INSERT INTO `lang_definitions` VALUES (120949, 1720, 33, 'Відображати майбутні події в блоці?');
INSERT INTO `lang_definitions` VALUES (120950, 1721, 33, 'Показані колонки');
INSERT INTO `lang_definitions` VALUES (120951, 1722, 33, 'Відображення наступної кількості останніх публікацій:');
INSERT INTO `lang_definitions` VALUES (120952, 1723, 33, 'Відображення вказаної кількості останніх записів');
INSERT INTO `lang_definitions` VALUES (120953, 1724, 33, 'Відображення вказаної кількості останніх записів:');
INSERT INTO `lang_definitions` VALUES (120954, 1725, 33, 'Розподіл');
INSERT INTO `lang_definitions` VALUES (120955, 1726, 33, 'Розподіли');
INSERT INTO `lang_definitions` VALUES (120956, 1727, 33, 'Постачальник');
INSERT INTO `lang_definitions` VALUES (120957, 1729, 33, 'Дивертикуліт');
INSERT INTO `lang_definitions` VALUES (120958, 1730, 33, 'Хірургія Дівертікуліта');
INSERT INTO `lang_definitions` VALUES (120959, 1731, 33, 'Дивертикуліт');
INSERT INTO `lang_definitions` VALUES (120960, 1732, 33, 'Хірургія Дівертікуліта');
INSERT INTO `lang_definitions` VALUES (120961, 1733, 33, 'Розлучений');
INSERT INTO `lang_definitions` VALUES (120962, 1734, 33, 'Запаморочення:');
INSERT INTO `lang_definitions` VALUES (120963, 1735, 33, 'Не змінювати');
INSERT INTO `lang_definitions` VALUES (120964, 1737, 33, 'Не показувати алергію завантажену до NewCrop');
INSERT INTO `lang_definitions` VALUES (120965, 1739, 33, 'Не показувати ліки завантажені до NewCrop');
INSERT INTO `lang_definitions` VALUES (120966, 1742, 33, 'Не показувати календар.');
INSERT INTO `lang_definitions` VALUES (120967, 1744, 33, 'Не інвентаризувати і не реалізовувати ніяку продукцію');
INSERT INTO `lang_definitions` VALUES (120968, 1745, 33, 'Не вимагає повноважень для записів про пацієнта');
INSERT INTO `lang_definitions` VALUES (120969, 1746, 33, 'Не реанімувати порядок');
INSERT INTO `lang_definitions` VALUES (120970, 1747, 33, 'не зберігати');
INSERT INTO `lang_definitions` VALUES (120971, 1748, 33, 'не замінювати');
INSERT INTO `lang_definitions` VALUES (120972, 1749, 33, 'нічого не робити');
INSERT INTO `lang_definitions` VALUES (120973, 1751, 33, 'Дійсно потрібно видалити');
INSERT INTO `lang_definitions` VALUES (120974, 1752, 33, 'Дійсно потрібно видалити вибране?');
INSERT INTO `lang_definitions` VALUES (120975, 1753, 33, 'Дійсно потрібно видалити цю групу');
INSERT INTO `lang_definitions` VALUES (120976, 1755, 33, 'Продовжити?');
INSERT INTO `lang_definitions` VALUES (120977, 1756, 33, 'Це потрібно видалити?');
INSERT INTO `lang_definitions` VALUES (120978, 1757, 33, 'Видалити?');
INSERT INTO `lang_definitions` VALUES (120979, 1758, 33, 'Видалити цей запис?');
INSERT INTO `lang_definitions` VALUES (120980, 1759, 33, 'Продовжити додавання нового пацієнта?');
INSERT INTO `lang_definitions` VALUES (120981, 1760, 33, 'Продовжити з новим найменуванням?');
INSERT INTO `lang_definitions` VALUES (120982, 1761, 33, 'Цей запис по вакціінаціі потрібно видалити НАЗАВЖДИ?');
INSERT INTO `lang_definitions` VALUES (120983, 1762, 33, 'Дата / нар.');
INSERT INTO `lang_definitions` VALUES (120984, 1763, 33, 'Дата народження пропущена, при можливості вкажіть');
INSERT INTO `lang_definitions` VALUES (120985, 1764, 33, 'Документи');
INSERT INTO `lang_definitions` VALUES (120986, 1765, 33, 'Лікар');
INSERT INTO `lang_definitions` VALUES (120987, 1766, 33, 'Лікар:');
INSERT INTO `lang_definitions` VALUES (120988, 1767, 33, 'Прізвище та підпис лікаря');
INSERT INTO `lang_definitions` VALUES (120989, 1768, 33, 'Документ');
INSERT INTO `lang_definitions` VALUES (120990, 1769, 33, 'документ');
INSERT INTO `lang_definitions` VALUES (120991, 1770, 33, 'Категорії документа');
INSERT INTO `lang_definitions` VALUES (120992, 1775, 33, 'Документ не може бути переміщений для пацієнта з ID');
INSERT INTO `lang_definitions` VALUES (120993, 1777, 33, 'Дата документа');
INSERT INTO `lang_definitions` VALUES (120994, 1778, 33, 'Дата документа і питання успішно оновлені');
INSERT INTO `lang_definitions` VALUES (120995, 1779, 33, 'ID документу');
INSERT INTO `lang_definitions` VALUES (120996, 1780, 33, 'Документ переміщено в нову категорію');
INSERT INTO `lang_definitions` VALUES (120997, 1781, 33, 'Документ переміщено до пацієнта з ID');
INSERT INTO `lang_definitions` VALUES (120998, 1783, 33, 'Документ пройшов перевірку цілісності.');
INSERT INTO `lang_definitions` VALUES (120999, 1784, 33, 'Метод збереження документу');
INSERT INTO `lang_definitions` VALUES (121000, 1785, 33, 'Документ успішно перейменований.');
INSERT INTO `lang_definitions` VALUES (121001, 1790, 33, 'Збереження документа / зображення');
INSERT INTO `lang_definitions` VALUES (121002, 1791, 33, 'Документи');
INSERT INTO `lang_definitions` VALUES (121003, 1792, 33, 'Документи (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (121004, 1794, 33, 'Задишка при фізичному навантаженні');
INSERT INTO `lang_definitions` VALUES (121005, 1796, 33, 'не відповідає PV1 числу звернень');
INSERT INTO `lang_definitions` VALUES (121006, 1797, 33, 'здається, не дійсні');
INSERT INTO `lang_definitions` VALUES (121007, 1798, 33, 'Цей тип допускає пов\'язані коди?');
INSERT INTO `lang_definitions` VALUES (121008, 1799, 33, 'Вітчизняний партнер');
INSERT INTO `lang_definitions` VALUES (121009, 1800, 33, 'Не зберігати');
INSERT INTO `lang_definitions` VALUES (121010, 1801, 33, 'Не зберігати');
INSERT INTO `lang_definitions` VALUES (121011, 1802, 33, 'Не зберігати зміни');
INSERT INTO `lang_definitions` VALUES (121012, 1803, 33, 'Готово');
INSERT INTO `lang_definitions` VALUES (121013, 1804, 33, 'Виконано з:');
INSERT INTO `lang_definitions` VALUES (121014, 1805, 33, 'Готово. Тепер буде відправлене ​​завантаження.');
INSERT INTO `lang_definitions` VALUES (121015, 1806, 33, 'Доз.');
INSERT INTO `lang_definitions` VALUES (121016, 1807, 33, 'Дозування');
INSERT INTO `lang_definitions` VALUES (121017, 1809, 33, 'двічі клацніть для редагування');
INSERT INTO `lang_definitions` VALUES (121018, 1810, 33, 'Двоїння в очах');
INSERT INTO `lang_definitions` VALUES (121019, 1811, 33, 'Завантажити');
INSERT INTO `lang_definitions` VALUES (121020, 1814, 33, 'Завантажити в будь-якому разі');
INSERT INTO `lang_definitions` VALUES (121021, 1815, 33, 'Завантажує файл рахунку, вносить в баланс і маркує як оплату');
INSERT INTO `lang_definitions` VALUES (121022, 1817, 33, 'Завантажити сертифікати');
INSERT INTO `lang_definitions` VALUES (121023, 1818, 33, 'Завантажити дані налаштувань');
INSERT INTO `lang_definitions` VALUES (121024, 1820, 33, 'завантажити шифрований файл');
INSERT INTO `lang_definitions` VALUES (121025, 1825, 33, 'Завантажити PDF');
INSERT INTO `lang_definitions` VALUES (121026, 1827, 33, 'Завантажити вибрані заявки');
INSERT INTO `lang_definitions` VALUES (121027, 1828, 33, 'Перевірка лікаря');
INSERT INTO `lang_definitions` VALUES (121028, 1829, 33, 'Відвідування лікаря');
INSERT INTO `lang_definitions` VALUES (121029, 1830, 33, 'Д-р');
INSERT INTO `lang_definitions` VALUES (121030, 1831, 33, 'Препарат для переміщення');
INSERT INTO `lang_definitions` VALUES (121031, 1832, 33, 'Підтікання сечі');
INSERT INTO `lang_definitions` VALUES (121032, 1833, 33, 'Водійські права або державний ID');
INSERT INTO `lang_definitions` VALUES (121033, 1834, 33, 'Препарат');
INSERT INTO `lang_definitions` VALUES (121034, 1835, 33, 'Пошуковик препаратів');
INSERT INTO `lang_definitions` VALUES (121035, 1836, 33, 'Форми препаратів');
INSERT INTO `lang_definitions` VALUES (121036, 1837, 33, 'ID препарату пропущений!');
INSERT INTO `lang_definitions` VALUES (121037, 1838, 33, 'Частота прийому препарату');
INSERT INTO `lang_definitions` VALUES (121038, 1839, 33, 'Облік препарату');
INSERT INTO `lang_definitions` VALUES (121039, 1840, 33, 'Найменування препарату');
INSERT INTO `lang_definitions` VALUES (121040, 1841, 33, 'Спосіб введення препарату');
INSERT INTO `lang_definitions` VALUES (121041, 1845, 33, 'Одиниці виміру препарату');
INSERT INTO `lang_definitions` VALUES (121042, 1846, 33, 'Препарати');
INSERT INTO `lang_definitions` VALUES (121043, 1847, 33, 'Препарати та вироби');
INSERT INTO `lang_definitions` VALUES (121044, 1848, 33, 'Сухість у роті');
INSERT INTO `lang_definitions` VALUES (121045, 1849, 33, 'DSMIV діагноз');
INSERT INTO `lang_definitions` VALUES (121046, 1850, 33, 'Дифтеритичний тетанус 1');
INSERT INTO `lang_definitions` VALUES (121047, 1851, 33, 'Дифтеритичний тетанус 2');
INSERT INTO `lang_definitions` VALUES (121048, 1852, 33, 'Дифтеритичний тетанус 3');
INSERT INTO `lang_definitions` VALUES (121049, 1853, 33, 'Дифтеритичний тетанус 4');
INSERT INTO `lang_definitions` VALUES (121050, 1854, 33, 'Дифтеритичний тетанус 5');
INSERT INTO `lang_definitions` VALUES (121051, 1855, 33, 'АКДС 1');
INSERT INTO `lang_definitions` VALUES (121052, 1856, 33, 'АКДС 2');
INSERT INTO `lang_definitions` VALUES (121053, 1857, 33, 'АКДС 3');
INSERT INTO `lang_definitions` VALUES (121054, 1858, 33, 'АКДС 4');
INSERT INTO `lang_definitions` VALUES (121055, 1859, 33, 'АКДС 5');
INSERT INTO `lang_definitions` VALUES (121056, 1860, 33, 'належний');
INSERT INTO `lang_definitions` VALUES (121057, 1861, 33, 'Дата оплати');
INSERT INTO `lang_definitions` VALUES (121058, 1862, 33, 'Дата оплати мм/дд/рррр або рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (121059, 1863, 33, 'Дата оплати:');
INSERT INTO `lang_definitions` VALUES (121060, 1864, 33, 'Термін стах.');
INSERT INTO `lang_definitions` VALUES (121061, 1865, 33, 'Термін опл.');
INSERT INTO `lang_definitions` VALUES (121062, 1866, 33, 'Термін дії підходить до завершення');
INSERT INTO `lang_definitions` VALUES (121063, 1867, 33, 'Призначений статус');
INSERT INTO `lang_definitions` VALUES (121064, 1868, 33, 'Оновлення статусу оплати');
INSERT INTO `lang_definitions` VALUES (121065, 1869, 33, 'Формування дампу бази даних LibreEHR');
INSERT INTO `lang_definitions` VALUES (121066, 1870, 33, 'Формування дампу дерева веб-каталогу LibreEHR');
INSERT INTO `lang_definitions` VALUES (121067, 1871, 33, 'Формування дампу бази даних phpGACL');
INSERT INTO `lang_definitions` VALUES (121068, 1872, 33, 'Формування дампу дерева веб-каталогу phpGACL');
INSERT INTO `lang_definitions` VALUES (121069, 1873, 33, 'Формування дампу бази даних регістра SQL');
INSERT INTO `lang_definitions` VALUES (121070, 1874, 33, 'Формування дампу дерева веб-каталогу регістра SQL');
INSERT INTO `lang_definitions` VALUES (121071, 1875, 33, 'Перевірка на дублювання');
INSERT INTO `lang_definitions` VALUES (121072, 1876, 33, 'Дубльований ID в рядку');
INSERT INTO `lang_definitions` VALUES (121073, 1877, 33, 'Дублювання ім’я в рядку');
INSERT INTO `lang_definitions` VALUES (121074, 1878, 33, 'ПОПЕРЕДЖЕННЯ ПРО ДУБЛЮВАННЯ');
INSERT INTO `lang_definitions` VALUES (121075, 1879, 33, 'Тривала довіреність');
INSERT INTO `lang_definitions` VALUES (121076, 1880, 33, 'тривалість');
INSERT INTO `lang_definitions` VALUES (121077, 1881, 33, 'Тривалість');
INSERT INTO `lang_definitions` VALUES (121078, 1882, 33, 'Голландська');
INSERT INTO `lang_definitions` VALUES (121079, 1883, 33, 'Звіт Dx');
INSERT INTO `lang_definitions` VALUES (121080, 1884, 33, 'Дисфагія');
INSERT INTO `lang_definitions` VALUES (121081, 1885, 33, 'Задишка');
INSERT INTO `lang_definitions` VALUES (121082, 1886, 33, 'Розлад сечовипускання');
INSERT INTO `lang_definitions` VALUES (121083, 1888, 33, 'Е-Призначення?');
INSERT INTO `lang_definitions` VALUES (121084, 1889, 33, 'Е-Звіт');
INSERT INTO `lang_definitions` VALUES (121085, 1890, 33, 'e-Rx');
INSERT INTO `lang_definitions` VALUES (121086, 1892, 33, 'Відновлення e-Rx');
INSERT INTO `lang_definitions` VALUES (121087, 1893, 33, 'Кожен одержувач повинен встановити свої поідомлення як завершені');
INSERT INTO `lang_definitions` VALUES (121088, 1894, 33, 'Ранній рецидив (2 міс)');
INSERT INTO `lang_definitions` VALUES (121089, 1895, 33, 'Вуха');
INSERT INTO `lang_definitions` VALUES (121090, 1896, 33, 'ЕКГ');
INSERT INTO `lang_definitions` VALUES (121091, 1897, 33, 'eClaims');
INSERT INTO `lang_definitions` VALUES (121092, 1898, 33, 'Набряк');
INSERT INTO `lang_definitions` VALUES (121093, 1899, 33, 'edi історія');
INSERT INTO `lang_definitions` VALUES (121094, 1900, 33, 'edi історія');
INSERT INTO `lang_definitions` VALUES (121095, 1901, 33, 'Історія EDI (по оплатах) для зберігання та інтерпретації файлів відповідей EDI претензій');
INSERT INTO `lang_definitions` VALUES (121096, 1902, 33, 'Завантаження файлу EDI-271');
INSERT INTO `lang_definitions` VALUES (121097, 1903, 33, 'Завантаження файлу-відповіді EDI-271');
INSERT INTO `lang_definitions` VALUES (121098, 1904, 33, 'Редагувати');
INSERT INTO `lang_definitions` VALUES (121099, 1905, 33, 'редагувати');
INSERT INTO `lang_definitions` VALUES (121100, 1906, 33, 'Редагувати алергії');
INSERT INTO `lang_definitions` VALUES (121101, 1907, 33, 'Редагувати категорії');
INSERT INTO `lang_definitions` VALUES (121102, 1908, 33, 'Редагувати визначення');
INSERT INTO `lang_definitions` VALUES (121103, 1909, 33, 'Редагувати визначення');
INSERT INTO `lang_definitions` VALUES (121104, 1910, 33, 'Редагувати діагнози для');
INSERT INTO `lang_definitions` VALUES (121105, 1911, 33, 'Редагувати пояснення');
INSERT INTO `lang_definitions` VALUES (121106, 1912, 33, 'Редагувати медичні заклади');
INSERT INTO `lang_definitions` VALUES (121107, 1913, 33, 'Редагувати медичний заклад');
INSERT INTO `lang_definitions` VALUES (121108, 1914, 33, 'Редагувати інформацію про медичний заклад');
INSERT INTO `lang_definitions` VALUES (121109, 1915, 33, 'Редагувати інформацію про користувача специфічну для медичного закладу');
INSERT INTO `lang_definitions` VALUES (121110, 1916, 33, 'Редагувати файл в');
INSERT INTO `lang_definitions` VALUES (121111, 1917, 33, 'Редагувати форму');
INSERT INTO `lang_definitions` VALUES (121112, 1918, 33, 'Редагувати глобальні настройки');
INSERT INTO `lang_definitions` VALUES (121113, 1919, 33, 'Редагування не дозволено');
INSERT INTO `lang_definitions` VALUES (121114, 1920, 33, 'Редагувати макет');
INSERT INTO `lang_definitions` VALUES (121115, 1921, 33, 'Редагувати список');
INSERT INTO `lang_definitions` VALUES (121116, 1922, 33, 'Редагувати платіж');
INSERT INTO `lang_definitions` VALUES (121117, 1923, 33, 'Редагувати структуру');
INSERT INTO `lang_definitions` VALUES (121118, 1924, 33, 'Редагувати користувача');
INSERT INTO `lang_definitions` VALUES (121119, 1925, 33, 'Редагувати настройки користувача');
INSERT INTO `lang_definitions` VALUES (121120, 1928, 33, 'Освіта');
INSERT INTO `lang_definitions` VALUES (121121, 1929, 33, 'Дата отримання освіти');
INSERT INTO `lang_definitions` VALUES (121122, 1931, 33, 'ел. ред. * Детальніше див Ліцензію на вільне програмне забезпечення GNU. ** Разом з цією програмою ви повинні були отримати примірник GPL GNU *; Якщо ні, то пишіть у вільному ');
INSERT INTO `lang_definitions` VALUES (121123, 1932, 33, 'Фактична дата');
INSERT INTO `lang_definitions` VALUES (121124, 1934, 33, 'ефективність');
INSERT INTO `lang_definitions` VALUES (121125, 1935, 33, 'Ідентифікаційний номер роботодавця');
INSERT INTO `lang_definitions` VALUES (121126, 1936, 33, 'Еякуляції');
INSERT INTO `lang_definitions` VALUES (121127, 1937, 33, 'Лікоть');
INSERT INTO `lang_definitions` VALUES (121128, 1938, 33, 'проблеми ліктя');
INSERT INTO `lang_definitions` VALUES (121129, 1939, 33, 'Електронний');
INSERT INTO `lang_definitions` VALUES (121130, 1942, 33, 'Електронні перекази');
INSERT INTO `lang_definitions` VALUES (121131, 1943, 33, 'Електронні звіти');
INSERT INTO `lang_definitions` VALUES (121132, 1944, 33, 'Придатність');
INSERT INTO `lang_definitions` VALUES (121133, 1945, 33, 'Придатність 270 пакетного запиту');
INSERT INTO `lang_definitions` VALUES (121134, 1946, 33, 'Прийнятність відповіді');
INSERT INTO `lang_definitions` VALUES (121135, 1947, 33, 'Право на статус Вакцини для Дітей для поствленої вакцини');
INSERT INTO `lang_definitions` VALUES (121136, 1948, 33, 'Придатний');
INSERT INTO `lang_definitions` VALUES (121137, 1949, 33, 'e-mail');
INSERT INTO `lang_definitions` VALUES (121138, 1951, 33, 'Адреса e-mail');
INSERT INTO `lang_definitions` VALUES (121139, 1953, 33, 'Адреса електронної пошти відправника для нагадування пацієнта. Відповіді на нагадування пацієнтові будуть відправлені на цю адресу. Важливо використовувати адресу вашої клініки, щоб уникнути збору нагадувань в папці небажаної пошти');
INSERT INTO `lang_definitions` VALUES (121140, 1954, 33, 'Адреса e-mail, якщо є, для отримання адміністративних повідомлень.');
INSERT INTO `lang_definitions` VALUES (121141, 1955, 33, 'Адреса e-mail, якщо є, для отриманняекстрених повідомлень про активацію логінокористувача.');
INSERT INTO `lang_definitions` VALUES (121142, 1956, 33, 'Авторизована Email');
INSERT INTO `lang_definitions` VALUES (121143, 1957, 33, 'E-mail від пакетної обробки');
INSERT INTO `lang_definitions` VALUES (121144, 1958, 33, 'Email сповіщення');
INSERT INTO `lang_definitions` VALUES (121145, 1959, 33, 'Години email сповіщення');
INSERT INTO `lang_definitions` VALUES (121146, 1960, 33, 'Звіт email сповіщення');
INSERT INTO `lang_definitions` VALUES (121147, 1961, 33, 'Надіслати e-mail перед');
INSERT INTO `lang_definitions` VALUES (121148, 1962, 33, 'Відправник e-mail');
INSERT INTO `lang_definitions` VALUES (121149, 1963, 33, 'Відправлення e-mail');
INSERT INTO `lang_definitions` VALUES (121150, 1964, 33, 'Email відправлено до');
INSERT INTO `lang_definitions` VALUES (121151, 1965, 33, 'Тема e-mail');
INSERT INTO `lang_definitions` VALUES (121152, 1966, 33, 'Текст e-mail, вживаються позначення: ***ІМ\'Я***, напр. Шановний ***ІМ\'Я***');
INSERT INTO `lang_definitions` VALUES (121153, 1967, 33, 'Текст e-mail, вживаються позначення: ***NAME***, напр. Шановний ***NAME***{{Не перекладайте ***NAME*** елемент цієї константи.}}');
INSERT INTO `lang_definitions` VALUES (121154, 1968, 33, 'Метод передачі e-mail');
INSERT INTO `lang_definitions` VALUES (121155, 1969, 33, 'E-mail відправлений за наступними адресами');
INSERT INTO `lang_definitions` VALUES (121156, 1971, 33, 'Екстренний зв\"язок');
INSERT INTO `lang_definitions` VALUES (121157, 1972, 33, 'Контактна особа для екстренного зв\"язку');
INSERT INTO `lang_definitions` VALUES (121158, 1973, 33, 'Номер телефону для екстреного зв\'язку');
INSERT INTO `lang_definitions` VALUES (121159, 1974, 33, 'Екстренна контрацепція');
INSERT INTO `lang_definitions` VALUES (121160, 1975, 33, 'Вхід в систему в надзвичайній ситуації');
INSERT INTO `lang_definitions` VALUES (121161, 1976, 33, 'Обрано надзвичайний вхід в систему ACL. Користувач все ще в активному стані, прохання деактивувати цього користувача та активувати, за необхідності, при надзвичайній ситуації. Для активації або деактивації див. Адміністрування-> Користувачі.');
INSERT INTO `lang_definitions` VALUES (121162, 1977, 33, 'Надзвичайний e-mail активації входу в систему буде задіяний, лише якщо у файлі interface/globals.php задані наступні параметри:');
INSERT INTO `lang_definitions` VALUES (121163, 1978, 33, 'Адреса e-mail надзвичайного входу в систему');
INSERT INTO `lang_definitions` VALUES (121164, 1979, 33, 'Користувач надзвичайного входу в систему може робити все');
INSERT INTO `lang_definitions` VALUES (121165, 1980, 33, 'Екстренний телефон');
INSERT INTO `lang_definitions` VALUES (121166, 1981, 33, 'Емоційні / поведінкові умови і ускладнення');
INSERT INTO `lang_definitions` VALUES (121167, 1982, 33, 'Емфізема');
INSERT INTO `lang_definitions` VALUES (121168, 1983, 33, 'Службовець');
INSERT INTO `lang_definitions` VALUES (121169, 1984, 33, 'Роботодавець');
INSERT INTO `lang_definitions` VALUES (121170, 1985, 33, 'Адреса роботодавця');
INSERT INTO `lang_definitions` VALUES (121171, 1986, 33, 'Дата прийому на роботу');
INSERT INTO `lang_definitions` VALUES (121172, 1987, 33, 'Ім\"я роботодавця');
INSERT INTO `lang_definitions` VALUES (121173, 1988, 33, 'ПОРОЖНЬО');
INSERT INTO `lang_definitions` VALUES (121174, 1989, 33, 'Пусте');
INSERT INTO `lang_definitions` VALUES (121175, 1990, 33, 'Порожній пароль не дозволений');
INSERT INTO `lang_definitions` VALUES (121176, 1991, 33, 'Пусте значення в \"Час e-mail\"');
INSERT INTO `lang_definitions` VALUES (121177, 1992, 33, 'Пусте значення в \"Відправник e-mail\"');
INSERT INTO `lang_definitions` VALUES (121178, 1993, 33, 'Пусте значення в \"Тема e-mail\"');
INSERT INTO `lang_definitions` VALUES (121179, 1994, 33, 'Пусте значення в \"Текст e-mail\"');
INSERT INTO `lang_definitions` VALUES (121180, 1995, 33, 'Пусте значення для \"Прізвище фахівця\"');
INSERT INTO `lang_definitions` VALUES (121181, 1996, 33, 'Пусте значення в \"Пароль\"');
INSERT INTO `lang_definitions` VALUES (121182, 1997, 33, 'Пусте значення в \"Час SMS\"');
INSERT INTO `lang_definitions` VALUES (121183, 1998, 33, 'Пусте значення в \"Текст SMS\"');
INSERT INTO `lang_definitions` VALUES (121184, 1999, 33, 'Пусте значення для \"Ім\'я користувача\"');
INSERT INTO `lang_definitions` VALUES (121185, 2006, 33, 'Увімкнути виклик AMC');
INSERT INTO `lang_definitions` VALUES (121186, 2008, 33, 'Увімкнути звіт AMC');
INSERT INTO `lang_definitions` VALUES (121187, 2009, 33, 'Увімкнути відстеження AMC');
INSERT INTO `lang_definitions` VALUES (121188, 2011, 33, 'Увімкнути аудит ATNA');
INSERT INTO `lang_definitions` VALUES (121189, 2013, 33, 'Увімкнути аудит запису інформації');
INSERT INTO `lang_definitions` VALUES (121190, 2014, 33, 'Увімкнути відстеження аудиту та ідентифікації приладу (ATNA).');
INSERT INTO `lang_definitions` VALUES (121191, 2015, 33, 'Увімкнути звітність автоматичного обчислення одиниці виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (121192, 2016, 33, 'Увімкнути сертифікат клієнта SSL');
INSERT INTO `lang_definitions` VALUES (121193, 2017, 33, 'Вмикає ідентифікацію сертифіката SSL для клієнта.');
INSERT INTO `lang_definitions` VALUES (121194, 2019, 33, 'Увімкнути клінічні правила висновків (CDR)');
INSERT INTO `lang_definitions` VALUES (121195, 2022, 33, 'Увімкнути звітністність про клінічну оцінку якості (CQM)');
INSERT INTO `lang_definitions` VALUES (121196, 2023, 33, 'Увімкнути спливаючі клінічні нагадування');
INSERT INTO `lang_definitions` VALUES (121197, 2024, 33, 'Увімкнути міні-додаток для клінічних нагадувань');
INSERT INTO `lang_definitions` VALUES (121198, 2027, 33, 'Увімкнути звітністність про клінічну оцінку якості (CQM)');
INSERT INTO `lang_definitions` VALUES (121199, 2028, 33, 'Увімкнути EDI історію в меню зліва');
INSERT INTO `lang_definitions` VALUES (121200, 2030, 33, 'Увімкнути оплати в лівому меню');
INSERT INTO `lang_definitions` VALUES (121201, 2031, 33, 'Увімкнути підтримку Hylafax');
INSERT INTO `lang_definitions` VALUES (121202, 2033, 33, 'Увімкнути імпорт статусного повідомлення для NewCrop ERX');
INSERT INTO `lang_definitions` VALUES (121203, 2037, 33, 'Увімкнути лабораторний обмін');
INSERT INTO `lang_definitions` VALUES (121204, 2039, 33, 'Увімкнути журнал завантаження/вивантаження документів для CouchDB');
INSERT INTO `lang_definitions` VALUES (121205, 2040, 33, 'Увімкнути журнал всіх запитів SELECT SQL.');
INSERT INTO `lang_definitions` VALUES (121206, 2041, 33, 'Увімкнути журнал активності, пов\'язаної з резервним копіюванням.');
INSERT INTO `lang_definitions` VALUES (121207, 2042, 33, 'Увімкнути журнал запитів CDR Engine.\'');
INSERT INTO `lang_definitions` VALUES (121208, 2043, 33, 'Увімкнути журнал змішаної активності.');
INSERT INTO `lang_definitions` VALUES (121209, 2044, 33, 'Увімкнути журнал активності призначень.');
INSERT INTO `lang_definitions` VALUES (121210, 2045, 33, 'Увімкнути журнал модифікацій записів про пацієнтів.');
INSERT INTO `lang_definitions` VALUES (121211, 2046, 33, 'Увімкнути журнал активності планування.');
INSERT INTO `lang_definitions` VALUES (121212, 2047, 33, 'Увімкнути журнал активності безпеки і адміністрування.');
INSERT INTO `lang_definitions` VALUES (121213, 2049, 33, 'Увімкнути службу NewCrop eRx');
INSERT INTO `lang_definitions` VALUES (121214, 2051, 33, 'Увімкнути портал для зовнішніх пацієнтів');
INSERT INTO `lang_definitions` VALUES (121215, 2052, 33, 'Увімкнути портал для зовнішніх пацієнтів.');
INSERT INTO `lang_definitions` VALUES (121216, 2053, 33, 'Увімкнути портал для внутрійшіх пацієнтів');
INSERT INTO `lang_definitions` VALUES (121217, 2055, 33, 'Увімкнути портал внутрійшіх пацієнтів.');
INSERT INTO `lang_definitions` VALUES (121218, 2056, 33, 'Увімкнути віджет нагадувань для пацієнтів');
INSERT INTO `lang_definitions` VALUES (121219, 2057, 33, 'Увімкнути сервіс повідомлень phiMail Direct');
INSERT INTO `lang_definitions` VALUES (121220, 2058, 33, 'Увімкнути запрошення вводу дати для автоматичного обчислення одиниці виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (121221, 2060, 33, 'Увімкнути звітність про відстеження дати для автоматичного обчислення одиниці виміру (AMC)');
INSERT INTO `lang_definitions` VALUES (121222, 2061, 33, 'Увімкнути підтримку сканера');
INSERT INTO `lang_definitions` VALUES (121223, 2064, 33, 'Увімкнутии послуги Medical Information Integration, LLC Lab Exchange Service.');
INSERT INTO `lang_definitions` VALUES (121224, 2065, 33, 'Вмикає підтримку LibreEHR службою лабораторного обміну LLC.');
INSERT INTO `lang_definitions` VALUES (121225, 2066, 33, 'Увімкнути аутентифікацію користувача сертифіката');
INSERT INTO `lang_definitions` VALUES (121226, 2067, 33, 'Увімкнути службу eRx для ZMG, LLC');
INSERT INTO `lang_definitions` VALUES (121227, 2068, 33, 'увімкнено');
INSERT INTO `lang_definitions` VALUES (121228, 2070, 33, 'Вмикає стару панель з оплатою для введення кодів рахунків і платежів. Не рекомендується,краще використовуйте список оплати.');
INSERT INTO `lang_definitions` VALUES (121229, 2071, 33, 'Зверн.');
INSERT INTO `lang_definitions` VALUES (121230, 2072, 33, 'Звернення');
INSERT INTO `lang_definitions` VALUES (121231, 2073, 33, 'Звернення');
INSERT INTO `lang_definitions` VALUES (121232, 2074, 33, 'звернення');
INSERT INTO `lang_definitions` VALUES (121233, 2075, 33, 'Звернення ');
INSERT INTO `lang_definitions` VALUES (121234, 2076, 33, 'екстрене надходження пацієнта в стаціонар або в відділення невідкладної допомоги');
INSERT INTO `lang_definitions` VALUES (121235, 2081, 33, 'Дата звернення');
INSERT INTO `lang_definitions` VALUES (121236, 2084, 33, 'EDI запис звернення');
INSERT INTO `lang_definitions` VALUES (121237, 2086, 33, 'форми звернення');
INSERT INTO `lang_definitions` VALUES (121238, 2087, 33, 'Звернення з приводу здоров\'я і стану');
INSERT INTO `lang_definitions` VALUES (121239, 2088, 33, 'Хронологія звернень');
INSERT INTO `lang_definitions` VALUES (121240, 2089, 33, 'ID звернення');
INSERT INTO `lang_definitions` VALUES (121241, 2090, 33, 'стикатися з грипом');
INSERT INTO `lang_definitions` VALUES (121242, 2091, 33, 'Кількість звернень');
INSERT INTO `lang_definitions` VALUES (121243, 2093, 33, 'звернення до медсестри з приводу виписки');
INSERT INTO `lang_definitions` VALUES (121244, 2094, 33, 'звернення для медсестринських послуг');
INSERT INTO `lang_definitions` VALUES (121245, 2095, 33, 'звернення для трудотерапії');
INSERT INTO `lang_definitions` VALUES (121246, 2096, 33, 'звернення для відвідування кабінетів');
INSERT INTO `lang_definitions` VALUES (121247, 2097, 33, 'амбулаторне звернення');
INSERT INTO `lang_definitions` VALUES (121248, 2098, 33, 'амбулаторне звернення w/PCP & obgyn');
INSERT INTO `lang_definitions` VALUES (121249, 2099, 33, 'Розмір сторінки звернення');
INSERT INTO `lang_definitions` VALUES (121250, 2100, 33, 'Оплата звернення');
INSERT INTO `lang_definitions` VALUES (121251, 2101, 33, 'Звернення з приводу вагітності');
INSERT INTO `lang_definitions` VALUES (121252, 2102, 33, 'звернення з приводу профогляду -індивідуальна співбесіда');
INSERT INTO `lang_definitions` VALUES (121253, 2103, 33, 'звернення з приводу профогляду в 40 років і старше');
INSERT INTO `lang_definitions` VALUES (121254, 2104, 33, 'звернення з приводу профогляду для групової співбесіди');
INSERT INTO `lang_definitions` VALUES (121255, 2105, 33, 'звернення з приводу профогляду для інших послуг');
INSERT INTO `lang_definitions` VALUES (121256, 2106, 33, 'звернення з приводу профогляду в 18 років і старше');
INSERT INTO `lang_definitions` VALUES (121257, 2107, 33, 'звернення до психіатра і психолога');
INSERT INTO `lang_definitions` VALUES (121258, 2108, 33, 'Статистика звернення');
INSERT INTO `lang_definitions` VALUES (121259, 2109, 33, 'Підсумок звернення');
INSERT INTO `lang_definitions` VALUES (121260, 2110, 33, 'Звернення було закодоване');
INSERT INTO `lang_definitions` VALUES (121261, 2111, 33, 'Звернення:');
INSERT INTO `lang_definitions` VALUES (121262, 2112, 33, 'Звернення: при плановому надходженні пацієнта в стаціонар, амбулаторне або до окуліста');
INSERT INTO `lang_definitions` VALUES (121263, 2113, 33, 'Звернення');
INSERT INTO `lang_definitions` VALUES (121264, 2114, 33, 'Звернення та форми');
INSERT INTO `lang_definitions` VALUES (121265, 2115, 33, 'Звернення &amp; Форми');
INSERT INTO `lang_definitions` VALUES (121266, 2116, 33, 'Доступ до звернень не дозволено');
INSERT INTO `lang_definitions` VALUES (121267, 2117, 33, 'Звіт по зверненнях');
INSERT INTO `lang_definitions` VALUES (121268, 2118, 33, 'Розділ звернень');
INSERT INTO `lang_definitions` VALUES (121269, 2120, 33, 'Шифрування');
INSERT INTO `lang_definitions` VALUES (121270, 2121, 33, 'Кінець');
INSERT INTO `lang_definitions` VALUES (121271, 2122, 33, 'Закінчення (рррр-мм-дд): ');
INSERT INTO `lang_definitions` VALUES (121272, 2123, 33, 'Кінцева дата');
INSERT INTO `lang_definitions` VALUES (121273, 2124, 33, 'Кінцева дата');
INSERT INTO `lang_definitions` VALUES (121274, 2126, 33, 'Кінцева дата повинна бути пізніше початкової');
INSERT INTO `lang_definitions` VALUES (121275, 2127, 33, 'Кінцева дата:');
INSERT INTO `lang_definitions` VALUES (121276, 2131, 33, 'Кінцевий час');
INSERT INTO `lang_definitions` VALUES (121277, 2132, 33, 'Термінальній стадії ниркової хвороби одержувача при моноцитарному хематоксичному білку з груповому плані роботодавця');
INSERT INTO `lang_definitions` VALUES (121278, 2133, 33, 'Кінцева дата надання послуги рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (121279, 2134, 33, 'Кінцева дата надання послуг (мм/дд/рррр), якщо бажаєте ввести діапазон');
INSERT INTO `lang_definitions` VALUES (121280, 2135, 33, 'Завершальна годину дня для календарних подій.');
INSERT INTO `lang_definitions` VALUES (121281, 2136, 33, 'Ендо аномальна кров');
INSERT INTO `lang_definitions` VALUES (121282, 2137, 33, 'Ендокринна');
INSERT INTO `lang_definitions` VALUES (121283, 2138, 33, 'Ендоскопія');
INSERT INTO `lang_definitions` VALUES (121284, 2141, 33, 'Англійська');
INSERT INTO `lang_definitions` VALUES (121285, 2142, 33, 'Англійська ');
INSERT INTO `lang_definitions` VALUES (121286, 2143, 33, 'Англійська (індійський)');
INSERT INTO `lang_definitions` VALUES (121287, 2144, 33, 'Англійська (стандартний)');
INSERT INTO `lang_definitions` VALUES (121288, 2145, 33, 'Кодувати команду, використовуючи Hylafax.');
INSERT INTO `lang_definitions` VALUES (121289, 2146, 33, 'Переконайтеся, що LibreEHR має право запису в каталог');
INSERT INTO `lang_definitions` VALUES (121290, 2147, 33, 'ЛОР відділення');
INSERT INTO `lang_definitions` VALUES (121291, 2148, 33, 'Отоларингологічні болі');
INSERT INTO `lang_definitions` VALUES (121292, 2149, 33, 'Введіть код діагнозу для виключення всіх рахунків, що не містять його');
INSERT INTO `lang_definitions` VALUES (121293, 2151, 33, 'Введіть тут вміст листа');
INSERT INTO `lang_definitions` VALUES (121294, 2152, 33, 'Введіть пароль для основної бази даних');
INSERT INTO `lang_definitions` VALUES (121295, 2153, 33, 'Введіть ім\'я користувача основної бази даних');
INSERT INTO `lang_definitions` VALUES (121296, 2154, 33, 'Введіть діагноз');
INSERT INTO `lang_definitions` VALUES (121297, 2155, 33, 'Введіть препарати');
INSERT INTO `lang_definitions` VALUES (121298, 2156, 33, 'Введіть звернення');
INSERT INTO `lang_definitions` VALUES (121299, 2157, 33, 'Введіть номер звернення');
INSERT INTO `lang_definitions` VALUES (121300, 2158, 33, 'Введіть вакцинацію');
INSERT INTO `lang_definitions` VALUES (121301, 2159, 33, 'Введіть ключ');
INSERT INTO `lang_definitions` VALUES (121302, 2161, 33, 'Введіть нову область (край)');
INSERT INTO `lang_definitions` VALUES (121303, 2162, 33, 'Введіть Direct-адресу отримувача');
INSERT INTO `lang_definitions` VALUES (121304, 2164, 33, 'Введіть цей код повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (121305, 2165, 33, 'Вище введіть критерій пошуку');
INSERT INTO `lang_definitions` VALUES (121306, 2166, 33, 'Помилкове введення');
INSERT INTO `lang_definitions` VALUES (121307, 2167, 33, 'вхідні');
INSERT INTO `lang_definitions` VALUES (121308, 2168, 33, 'Навколишній');
INSERT INTO `lang_definitions` VALUES (121309, 2169, 33, 'Введення даних пояснення витрат (EOB)');
INSERT INTO `lang_definitions` VALUES (121310, 2170, 33, 'Відправлення EOB - електронні перекази');
INSERT INTO `lang_definitions` VALUES (121311, 2171, 33, 'Відправлення EOB - інструкції');
INSERT INTO `lang_definitions` VALUES (121312, 2172, 33, 'Відправлення EOB - рахунок');
INSERT INTO `lang_definitions` VALUES (121313, 2173, 33, 'Відправлення EOB - запис по пацієнтові');
INSERT INTO `lang_definitions` VALUES (121314, 2174, 33, 'Відправлення EOB - пошук');
INSERT INTO `lang_definitions` VALUES (121315, 2176, 33, 'Епілепсія');
INSERT INTO `lang_definitions` VALUES (121316, 2178, 33, 'ERA (Європейська асоціація фахівців в області захворювань нирок)');
INSERT INTO `lang_definitions` VALUES (121317, 2179, 33, 'ERA файли');
INSERT INTO `lang_definitions` VALUES (121318, 2180, 33, 'Відправлення в ERA');
INSERT INTO `lang_definitions` VALUES (121319, 2181, 33, 'Анулювати');
INSERT INTO `lang_definitions` VALUES (121320, 2182, 33, 'Ерекції');
INSERT INTO `lang_definitions` VALUES (121321, 2183, 33, 'Помилка');
INSERT INTO `lang_definitions` VALUES (121322, 2185, 33, 'Підтвердження помилки при отриманні лабораторних результатів');
INSERT INTO `lang_definitions` VALUES (121323, 2187, 33, 'Помилка отримання лабораторних результатів з Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (121324, 2188, 33, 'Помилка у виборі \"Стать\"');
INSERT INTO `lang_definitions` VALUES (121325, 2189, 33, 'Помилка у виборі \"HIPAA\"');
INSERT INTO `lang_definitions` VALUES (121326, 2190, 33, 'Помилка у виборі \"Обробка\"');
INSERT INTO `lang_definitions` VALUES (121327, 2191, 33, 'Помилка у виборі \"Шлюз SMS\"');
INSERT INTO `lang_definitions` VALUES (121328, 2192, 33, 'Помилка у виборі \"Сортувати по\"');
INSERT INTO `lang_definitions` VALUES (121329, 2193, 33, 'Помилка GZIP-стиснення файлу: ');
INSERT INTO `lang_definitions` VALUES (121330, 2194, 33, 'Помилка для опції ТАК чи НІ');
INSERT INTO `lang_definitions` VALUES (121331, 2195, 33, 'Помилка відкриття для читання завантаженого файлу');
INSERT INTO `lang_definitions` VALUES (121332, 2196, 33, 'Помилка обробки файлу');
INSERT INTO `lang_definitions` VALUES (121333, 2197, 33, 'Помилка обробки вивантаження');
INSERT INTO `lang_definitions` VALUES (121334, 2198, 33, 'Помилка при видаленні повідомлення');
INSERT INTO `lang_definitions` VALUES (121335, 2199, 33, 'Помилка отримання результатів з Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (121336, 2200, 33, 'Помилка отримання значень.');
INSERT INTO `lang_definitions` VALUES (121337, 2202, 33, 'Помилка при наданні прав доступу до файлу для користувача LibreEHR.');
INSERT INTO `lang_definitions` VALUES (121338, 2205, 33, 'помилка при реєстрації форми!');
INSERT INTO `lang_definitions` VALUES (121339, 2206, 33, 'Помилка збереження в файл');
INSERT INTO `lang_definitions` VALUES (121340, 2208, 33, 'Помилка запису в файл');
INSERT INTO `lang_definitions` VALUES (121341, 2209, 33, 'в нових результатах зустрічаються помилки(а)');
INSERT INTO `lang_definitions` VALUES (121342, 2210, 33, 'Помилка, файл не існує');
INSERT INTO `lang_definitions` VALUES (121343, 2211, 33, 'ПОМИЛКА, неможливо зібрати дані з сервера');
INSERT INTO `lang_definitions` VALUES (121344, 2212, 33, 'Помилка, неможливо створити клієнтський сертифікат');
INSERT INTO `lang_definitions` VALUES (121345, 2213, 33, 'Помилка, неможливо створити сертифікат admin.p12.');
INSERT INTO `lang_definitions` VALUES (121346, 2214, 33, 'Помилка, неможливо створити довірений Центр Сертифікації.');
INSERT INTO `lang_definitions` VALUES (121347, 2215, 33, 'Помилка, неможливо створити сертифікат сервера.');
INSERT INTO `lang_definitions` VALUES (121348, 2216, 33, 'Помилка, неможливо відкрити файл');
INSERT INTO `lang_definitions` VALUES (121349, 2217, 33, 'Помилка, в LibreEHR не включена аутентифікація сертифіката користувача');
INSERT INTO `lang_definitions` VALUES (121350, 2218, 33, 'Помилка, необхідно встановити модуль php Archive/Tar.php.');
INSERT INTO `lang_definitions` VALUES (121351, 2219, 33, 'ПОМИЛКА: не вдалося відкрити table.sql, пошкоджено форму?');
INSERT INTO `lang_definitions` VALUES (121352, 2220, 33, 'Помилка: в рядку дублюється ID');
INSERT INTO `lang_definitions` VALUES (121353, 2221, 33, 'Помилка: в рядку дублюється ім\'я');
INSERT INTO `lang_definitions` VALUES (121354, 2222, 33, 'ПОМИЛКА: поле');
INSERT INTO `lang_definitions` VALUES (121355, 2223, 33, 'ПОМИЛКА: пропущений архів PHP для ZipArchive');
INSERT INTO `lang_definitions` VALUES (121356, 2224, 33, 'ПОМИЛКА: немає каталогу імпорту ICD');
INSERT INTO `lang_definitions` VALUES (121357, 2225, 33, 'Помилка: невідповідний пароль. Перевірте введені дані.');
INSERT INTO `lang_definitions` VALUES (121358, 2226, 33, 'Помилка: невідповідний пароль. Перевірте введені дані.');
INSERT INTO `lang_definitions` VALUES (121359, 2227, 33, 'Помилка: файл не існує');
INSERT INTO `lang_definitions` VALUES (121360, 2228, 33, 'ПОМИЛКА: Наступна зміна містить неприпустимі символи.');
INSERT INTO `lang_definitions` VALUES (121361, 2229, 33, 'ПОМИЛКА: неможливо скопіювати цей файл.');
INSERT INTO `lang_definitions` VALUES (121362, 2230, 33, 'Помилка: створення архіву завантаження не доступно');
INSERT INTO `lang_definitions` VALUES (121363, 2231, 33, 'Помилка: створення архіву Zip не доступно.');
INSERT INTO `lang_definitions` VALUES (121364, 2232, 33, 'ПОМИЛКА: вилучення цього файлу не доступно.');
INSERT INTO `lang_definitions` VALUES (121365, 2233, 33, 'ПОМИЛКА: завантаження цього файлу в базу даних не доступно.');
INSERT INTO `lang_definitions` VALUES (121366, 2234, 33, 'ПОМИЛКА: установка номера версії не доступна.');
INSERT INTO `lang_definitions` VALUES (121367, 2235, 33, 'Помилки');
INSERT INTO `lang_definitions` VALUES (121368, 2236, 33, 'Статус аккаунта сервісу eRx');
INSERT INTO `lang_definitions` VALUES (121369, 2237, 33, 'Журнали длясервісу eRx');
INSERT INTO `lang_definitions` VALUES (121370, 2238, 33, 'Ім\'я для сервісу eRx');
INSERT INTO `lang_definitions` VALUES (121371, 2239, 33, 'Пароль для сервісу eRx');
INSERT INTO `lang_definitions` VALUES (121372, 2240, 33, 'Роль для сервісу eRx');
INSERT INTO `lang_definitions` VALUES (121373, 2241, 33, 'Користувач сервісу eRx');
INSERT INTO `lang_definitions` VALUES (121374, 2242, 33, 'Еритема:');
INSERT INTO `lang_definitions` VALUES (121375, 2245, 33, 'Ескімоський');
INSERT INTO `lang_definitions` VALUES (121376, 2247, 33, 'Зареєстрований пацієнт');
INSERT INTO `lang_definitions` VALUES (121377, 2248, 33, 'Естонська');
INSERT INTO `lang_definitions` VALUES (121378, 2249, 33, 'Етнічна приналежність');
INSERT INTO `lang_definitions` VALUES (121379, 2250, 33, 'Етнічна приналежність або раса');
INSERT INTO `lang_definitions` VALUES (121380, 2251, 33, 'Список етносів-рас (на вибір - право записувати /добавляти)');
INSERT INTO `lang_definitions` VALUES (121381, 2252, 33, 'Електронно/паперовий ідентифікаційний номер (ETIN)');
INSERT INTO `lang_definitions` VALUES (121382, 2253, 33, 'Подія');
INSERT INTO `lang_definitions` VALUES (121383, 2254, 33, 'Початок події');
INSERT INTO `lang_definitions` VALUES (121384, 2255, 33, 'Категорія події');
INSERT INTO `lang_definitions` VALUES (121385, 2256, 33, 'Дата події');
INSERT INTO `lang_definitions` VALUES (121386, 2257, 33, 'Опис події');
INSERT INTO `lang_definitions` VALUES (121387, 2258, 33, 'Відомості про подію');
INSERT INTO `lang_definitions` VALUES (121388, 2259, 33, 'Подія не повторюється');
INSERT INTO `lang_definitions` VALUES (121389, 2260, 33, 'Тривалість події');
INSERT INTO `lang_definitions` VALUES (121390, 2261, 33, 'Тривалість події в хвилинах');
INSERT INTO `lang_definitions` VALUES (121391, 2262, 33, 'Оплата за фактом');
INSERT INTO `lang_definitions` VALUES (121392, 2263, 33, 'Місце проведення');
INSERT INTO `lang_definitions` VALUES (121393, 2264, 33, 'Подія повторюється кожні');
INSERT INTO `lang_definitions` VALUES (121394, 2265, 33, 'Подія повторюється в');
INSERT INTO `lang_definitions` VALUES (121395, 2266, 33, 'Початковий час події');
INSERT INTO `lang_definitions` VALUES (121396, 2267, 33, 'Позначення події');
INSERT INTO `lang_definitions` VALUES (121397, 2268, 33, 'Позначення події');
INSERT INTO `lang_definitions` VALUES (121398, 2269, 33, 'Фактична веб-сайт');
INSERT INTO `lang_definitions` VALUES (121399, 2270, 33, 'Події');
INSERT INTO `lang_definitions` VALUES (121400, 2271, 33, 'Події для');
INSERT INTO `lang_definitions` VALUES (121401, 2272, 33, 'Відкривати події в новому вікні');
INSERT INTO `lang_definitions` VALUES (121402, 2273, 33, 'кожен');
INSERT INTO `lang_definitions` VALUES (121403, 2274, 33, 'Кожні');
INSERT INTO `lang_definitions` VALUES (121404, 2275, 33, 'кожні 3 години');
INSERT INTO `lang_definitions` VALUES (121405, 2276, 33, 'кожні 4 години');
INSERT INTO `lang_definitions` VALUES (121406, 2277, 33, 'кожні 5 годин');
INSERT INTO `lang_definitions` VALUES (121407, 2278, 33, 'кожні 6 годин');
INSERT INTO `lang_definitions` VALUES (121408, 2279, 33, 'кожні 8 годин');
INSERT INTO `lang_definitions` VALUES (121409, 2280, 33, 'Кожен четвертий');
INSERT INTO `lang_definitions` VALUES (121410, 2281, 33, 'Кожен другий');
INSERT INTO `lang_definitions` VALUES (121411, 2282, 33, 'Кожен третій');
INSERT INTO `lang_definitions` VALUES (121412, 2283, 33, 'Кожен, кожен другий, кожен третій і т.д.');
INSERT INTO `lang_definitions` VALUES (121413, 2285, 33, 'Результати досліджень і аналізів');
INSERT INTO `lang_definitions` VALUES (121414, 2286, 33, 'Результати обстеження');
INSERT INTO `lang_definitions` VALUES (121415, 2289, 33, 'Обстеження');
INSERT INTO `lang_definitions` VALUES (121416, 2290, 33, 'Дата обстеження');
INSERT INTO `lang_definitions` VALUES (121417, 2291, 33, 'приклад');
INSERT INTO `lang_definitions` VALUES (121418, 2292, 33, 'Приклади');
INSERT INTO `lang_definitions` VALUES (121419, 2293, 33, 'Обстеження/Аналізи');
INSERT INTO `lang_definitions` VALUES (121420, 2294, 33, 'За винятком');
INSERT INTO `lang_definitions` VALUES (121421, 2295, 33, 'Сльозоточивість');
INSERT INTO `lang_definitions` VALUES (121422, 2296, 33, 'виключені пацієнти');
INSERT INTO `lang_definitions` VALUES (121423, 2297, 33, 'Виняток');
INSERT INTO `lang_definitions` VALUES (121424, 2298, 33, 'Ліцензований спеціалізована установа (EPO)');
INSERT INTO `lang_definitions` VALUES (121425, 2299, 33, 'Встановлена форма документу');
INSERT INTO `lang_definitions` VALUES (121426, 2300, 33, 'Вправа');
INSERT INTO `lang_definitions` VALUES (121427, 2301, 33, 'Приклади вправ');
INSERT INTO `lang_definitions` VALUES (121428, 2302, 33, 'Приклади вправ');
INSERT INTO `lang_definitions` VALUES (121429, 2303, 33, 'Існуючий');
INSERT INTO `lang_definitions` VALUES (121430, 2304, 33, 'Вийти з адміністрування');
INSERT INTO `lang_definitions` VALUES (121431, 2305, 33, 'Розгорнути');
INSERT INTO `lang_definitions` VALUES (121432, 2306, 33, 'Розгорнути');
INSERT INTO `lang_definitions` VALUES (121433, 2307, 33, 'розгорнути');
INSERT INTO `lang_definitions` VALUES (121434, 2308, 33, 'Розгорнути все');
INSERT INTO `lang_definitions` VALUES (121435, 2311, 33, 'Розгорнутий вигляд');
INSERT INTO `lang_definitions` VALUES (121436, 2312, 33, 'Відмітьте form_encounter.pid для  ');
INSERT INTO `lang_definitions` VALUES (121437, 2313, 33, 'Термін дії');
INSERT INTO `lang_definitions` VALUES (121438, 2314, 33, 'Дата придатності');
INSERT INTO `lang_definitions` VALUES (121439, 2315, 33, 'Простерміновано');
INSERT INTO `lang_definitions` VALUES (121440, 2316, 33, 'протерміновано на');
INSERT INTO `lang_definitions` VALUES (121441, 2317, 33, 'Експорт');
INSERT INTO `lang_definitions` VALUES (121442, 2318, 33, 'Експортувати як CSV');
INSERT INTO `lang_definitions` VALUES (121443, 2319, 33, 'Експорт конфігурації');
INSERT INTO `lang_definitions` VALUES (121444, 2322, 33, 'Експорт персональних даних пацієнта');
INSERT INTO `lang_definitions` VALUES (121445, 2323, 33, 'Експорт звіту PQRI');
INSERT INTO `lang_definitions` VALUES (121446, 2325, 33, 'Експортувати вибране, як CSV');
INSERT INTO `lang_definitions` VALUES (121447, 2326, 33, 'Експортувати обране для збору');
INSERT INTO `lang_definitions` VALUES (121448, 2327, 33, 'Експортувати в CSV');
INSERT INTO `lang_definitions` VALUES (121449, 2328, 33, 'Експорт в зовнішню систему обліку рахунків');
INSERT INTO `lang_definitions` VALUES (121450, 2329, 33, 'Поїздки за кордон');
INSERT INTO `lang_definitions` VALUES (121451, 2330, 33, 'Поїздки за кордон');
INSERT INTO `lang_definitions` VALUES (121452, 2331, 33, 'Додатковий час збору');
INSERT INTO `lang_definitions` VALUES (121453, 2332, 33, 'Зовнішній');
INSERT INTO `lang_definitions` VALUES (121454, 2334, 33, 'Зовнішні дані завантажуються');
INSERT INTO `lang_definitions` VALUES (121455, 2335, 33, 'Утиліта імпорту зовнішньої бази даних');
INSERT INTO `lang_definitions` VALUES (121456, 2336, 33, 'Зовнішній ID');
INSERT INTO `lang_definitions` VALUES (121457, 2337, 33, 'Зовнішній id');
INSERT INTO `lang_definitions` VALUES (121458, 2338, 33, 'Зовнішній ідентифікатор');
INSERT INTO `lang_definitions` VALUES (121459, 2339, 33, 'Тільки зовнішній');
INSERT INTO `lang_definitions` VALUES (121460, 2342, 33, 'Зовнішнє направлення');
INSERT INTO `lang_definitions` VALUES (121461, 2343, 33, 'Контроль зовнішнього направлення');
INSERT INTO `lang_definitions` VALUES (121462, 2344, 33, 'Направлення зовнішнє?');
INSERT INTO `lang_definitions` VALUES (121463, 2345, 33, 'Зовнішні направлення');
INSERT INTO `lang_definitions` VALUES (121464, 2346, 33, 'Витягнення файлу zip');
INSERT INTO `lang_definitions` VALUES (121465, 2347, 33, 'Файл витягується. Це займе якийсь час ...');
INSERT INTO `lang_definitions` VALUES (121466, 2348, 33, 'Відокремлюване:');
INSERT INTO `lang_definitions` VALUES (121467, 2349, 33, 'Подразнення очей');
INSERT INTO `lang_definitions` VALUES (121468, 2350, 33, 'Біль в очах');
INSERT INTO `lang_definitions` VALUES (121469, 2351, 33, 'Гіперемія очей');
INSERT INTO `lang_definitions` VALUES (121470, 2352, 33, 'Очі');
INSERT INTO `lang_definitions` VALUES (121471, 2353, 33, 'F');
INSERT INTO `lang_definitions` VALUES (121472, 2354, 33, 'Сімейна історія гематологічних проблем');
INSERT INTO `lang_definitions` VALUES (121473, 2355, 33, 'Сімейна історія жіночого Гірсутизму / Розтяжок');
INSERT INTO `lang_definitions` VALUES (121474, 2356, 33, 'Медичні заклади');
INSERT INTO `lang_definitions` VALUES (121475, 2357, 33, 'Медичний заклад');
INSERT INTO `lang_definitions` VALUES (121476, 2358, 33, 'медичний заклад');
INSERT INTO `lang_definitions` VALUES (121477, 2359, 33, 'Адміністрація медзакладу');
INSERT INTO `lang_definitions` VALUES (121478, 2360, 33, 'Місто розміщення медзакладу');
INSERT INTO `lang_definitions` VALUES (121479, 2361, 33, 'Код медзакладу');
INSERT INTO `lang_definitions` VALUES (121480, 2362, 33, 'Код країни медзакладу');
INSERT INTO `lang_definitions` VALUES (121481, 2363, 33, 'Факс медзакладу');
INSERT INTO `lang_definitions` VALUES (121482, 2364, 33, 'Назва медзакладу');
INSERT INTO `lang_definitions` VALUES (121483, 2365, 33, 'Загальнодержавний номер-ідентифікатор медзакладу');
INSERT INTO `lang_definitions` VALUES (121484, 2366, 33, 'Телефон медзакладу');
INSERT INTO `lang_definitions` VALUES (121485, 2367, 33, 'Інформація про користувача специфічна для медзакладу');
INSERT INTO `lang_definitions` VALUES (121486, 2368, 33, 'Область (край) медзакладу');
INSERT INTO `lang_definitions` VALUES (121487, 2369, 33, 'Вулиця медзакладу');
INSERT INTO `lang_definitions` VALUES (121488, 2370, 33, 'Поштовий індекс медзакладу');
INSERT INTO `lang_definitions` VALUES (121489, 2372, 33, 'Медичний заклад:');
INSERT INTO `lang_definitions` VALUES (121490, 2373, 33, 'Невдача');
INSERT INTO `lang_definitions` VALUES (121491, 2374, 33, 'невдало');
INSERT INTO `lang_definitions` VALUES (121492, 2375, 33, 'Невдало');
INSERT INTO `lang_definitions` VALUES (121493, 2380, 33, 'Неадвча при створенні тимчасової папки. CouchDB не буде працювати.');
INSERT INTO `lang_definitions` VALUES (121494, 2382, 33, 'Невдало.');
INSERT INTO `lang_definitions` VALUES (121495, 2383, 33, 'збій');
INSERT INTO `lang_definitions` VALUES (121496, 2390, 33, 'Сімейний анамнез');
INSERT INTO `lang_definitions` VALUES (121497, 2391, 33, 'Сімейний анамнез по глаукомі');
INSERT INTO `lang_definitions` VALUES (121498, 2392, 33, 'Сімейний анамнез:');
INSERT INTO `lang_definitions` VALUES (121499, 2394, 33, 'Сімейна оплата');
INSERT INTO `lang_definitions` VALUES (121500, 2395, 33, 'Членів сім\'ї');
INSERT INTO `lang_definitions` VALUES (121501, 2396, 33, 'Уява');
INSERT INTO `lang_definitions` VALUES (121502, 2398, 33, 'Фарсі');
INSERT INTO `lang_definitions` VALUES (121503, 2400, 33, 'Батько');
INSERT INTO `lang_definitions` VALUES (121504, 2402, 33, 'Стомлюваність');
INSERT INTO `lang_definitions` VALUES (121505, 2403, 33, 'Стомлений');
INSERT INTO `lang_definitions` VALUES (121506, 2404, 33, 'Факс');
INSERT INTO `lang_definitions` VALUES (121507, 2405, 33, 'Кількість факсів');
INSERT INTO `lang_definitions` VALUES (121508, 2406, 33, 'Номер факсу');
INSERT INTO `lang_definitions` VALUES (121509, 2408, 33, 'Факс/сканер');
INSERT INTO `lang_definitions` VALUES (121510, 2409, 33, 'Прийняти через факс');
INSERT INTO `lang_definitions` VALUES (121511, 2410, 33, 'Надіслати через факс');
INSERT INTO `lang_definitions` VALUES (121512, 2411, 33, 'Можливості');
INSERT INTO `lang_definitions` VALUES (121513, 2412, 33, 'Лют.');
INSERT INTO `lang_definitions` VALUES (121514, 2413, 33, 'Лютий');
INSERT INTO `lang_definitions` VALUES (121515, 2414, 33, 'Номер державного страхування найманих працівників');
INSERT INTO `lang_definitions` VALUES (121516, 2415, 33, 'Державний ідентифікаційний код препарату');
INSERT INTO `lang_definitions` VALUES (121517, 2416, 33, 'Державний електронний ідентифікаційний номер');
INSERT INTO `lang_definitions` VALUES (121518, 2417, 33, 'Державний податковий ідентифікаційний код');
INSERT INTO `lang_definitions` VALUES (121519, 2418, 33, 'Плата');
INSERT INTO `lang_definitions` VALUES (121520, 2419, 33, 'плата');
INSERT INTO `lang_definitions` VALUES (121521, 2420, 33, 'Плата не дозволена');
INSERT INTO `lang_definitions` VALUES (121522, 2421, 33, 'Платіжний лист');
INSERT INTO `lang_definitions` VALUES (121523, 2422, 33, 'Варіанти платіжних відомостей');
INSERT INTO `lang_definitions` VALUES (121524, 2423, 33, 'Платежі');
INSERT INTO `lang_definitions` VALUES (121525, 2424, 33, 'Жіноча');
INSERT INTO `lang_definitions` VALUES (121526, 2425, 33, 'Жіноча стенокардія');
INSERT INTO `lang_definitions` VALUES (121527, 2426, 33, 'Жіночі презервативи');
INSERT INTO `lang_definitions` VALUES (121528, 2427, 33, 'Жіночий G');
INSERT INTO `lang_definitions` VALUES (121529, 2428, 33, 'Жіночий LC');
INSERT INTO `lang_definitions` VALUES (121530, 2429, 33, 'Жіночий P');
INSERT INTO `lang_definitions` VALUES (121531, 2430, 33, 'Жіночі симптоми');
INSERT INTO `lang_definitions` VALUES (121532, 2431, 33, 'Жіноча довільна хірургічна контрацепція');
INSERT INTO `lang_definitions` VALUES (121533, 2434, 33, 'Лихоманка');
INSERT INTO `lang_definitions` VALUES (121534, 2435, 33, 'Лихоманка:');
INSERT INTO `lang_definitions` VALUES (121535, 2436, 33, 'Сімейна історія проблем крові ');
INSERT INTO `lang_definitions` VALUES (121536, 2437, 33, 'Фіброми');
INSERT INTO `lang_definitions` VALUES (121537, 2441, 33, 'Тип поля для використання країни роботодавця або споживача в персональних даних.');
INSERT INTO `lang_definitions` VALUES (121538, 2442, 33, 'Тип поля для використання області (краю) роботодавця або споживача в персональних даних.');
INSERT INTO `lang_definitions` VALUES (121539, 2443, 33, 'Пропущено поле(я)!');
INSERT INTO `lang_definitions` VALUES (121540, 2447, 33, 'Файл');
INSERT INTO `lang_definitions` VALUES (121541, 2448, 33, 'файл в директорії Documentation для вивчення, як автоматизувати процес створення журналу резервного копіювання');
INSERT INTO `lang_definitions` VALUES (121542, 2449, 33, 'розташування файлу');
INSERT INTO `lang_definitions` VALUES (121543, 2450, 33, 'Управління файлом');
INSERT INTO `lang_definitions` VALUES (121544, 2453, 33, 'Право на файл, надане користувачеві LibreEHR.');
INSERT INTO `lang_definitions` VALUES (121545, 2454, 33, 'Невдача при отриманні файлу з CouchDB');
INSERT INTO `lang_definitions` VALUES (121546, 2455, 33, 'Реєстратура');
INSERT INTO `lang_definitions` VALUES (121547, 2456, 33, 'Файл для вивантаження');
INSERT INTO `lang_definitions` VALUES (121548, 2457, 33, 'Файл для вивантаження');
INSERT INTO `lang_definitions` VALUES (121549, 2458, 33, 'В цьому місці вже є файл з таким ім\'ям:');
INSERT INTO `lang_definitions` VALUES (121550, 2459, 33, 'Ім\'я файлу');
INSERT INTO `lang_definitions` VALUES (121551, 2461, 33, 'Файли');
INSERT INTO `lang_definitions` VALUES (121552, 2462, 33, 'Філіппінська');
INSERT INTO `lang_definitions` VALUES (121553, 2463, 33, 'Заповніть нижче будь-який з рядків');
INSERT INTO `lang_definitions` VALUES (121554, 2464, 33, 'Заповніть тут, тільки якщо відправляєте пацієнтові повідомлення через e-mail');
INSERT INTO `lang_definitions` VALUES (121555, 2465, 33, 'Заповніть значення нижче');
INSERT INTO `lang_definitions` VALUES (121556, 2467, 33, 'Заповніть цей рядок.');
INSERT INTO `lang_definitions` VALUES (121557, 2468, 33, 'Фільтр');
INSERT INTO `lang_definitions` VALUES (121558, 2469, 33, 'Фільтр для констант');
INSERT INTO `lang_definitions` VALUES (121559, 2470, 33, 'Фільтр для визначень');
INSERT INTO `lang_definitions` VALUES (121560, 2471, 33, 'фільтровано з');
INSERT INTO `lang_definitions` VALUES (121561, 2472, 33, 'фільтри');
INSERT INTO `lang_definitions` VALUES (121562, 2473, 33, 'Фільтри');
INSERT INTO `lang_definitions` VALUES (121563, 2474, 33, 'Кінцевий');
INSERT INTO `lang_definitions` VALUES (121564, 2475, 33, 'Остаточний діагноз');
INSERT INTO `lang_definitions` VALUES (121565, 2476, 33, 'Остаточний діагноз фахівця');
INSERT INTO `lang_definitions` VALUES (121566, 2478, 33, 'Фінансовий');
INSERT INTO `lang_definitions` VALUES (121567, 2479, 33, 'Дата фінансового закриття (рррр-мм-дд)');
INSERT INTO `lang_definitions` VALUES (121568, 2480, 33, 'Фінансове повідомлення – будь-яке');
INSERT INTO `lang_definitions` VALUES (121569, 2481, 33, 'Фінансове повідомлення - мої звернення');
INSERT INTO `lang_definitions` VALUES (121570, 2482, 33, 'Дата фінансового розгляду');
INSERT INTO `lang_definitions` VALUES (121571, 2483, 33, 'Фінансові підсумки по кодах послуг');
INSERT INTO `lang_definitions` VALUES (121572, 2484, 33, 'Знайти');
INSERT INTO `lang_definitions` VALUES (121573, 2485, 33, 'Знайти доступні');
INSERT INTO `lang_definitions` VALUES (121574, 2486, 33, 'Знайти доступні записи на прийом');
INSERT INTO `lang_definitions` VALUES (121575, 2487, 33, 'Знайти пацієнта');
INSERT INTO `lang_definitions` VALUES (121576, 2488, 33, 'Знайти рекомендовані матеріали для пацієнта');
INSERT INTO `lang_definitions` VALUES (121577, 2489, 33, 'Знайдене');
INSERT INTO `lang_definitions` VALUES (121578, 2490, 33, 'Знайдене по спеціалісту');
INSERT INTO `lang_definitions` VALUES (121579, 2491, 33, 'Штраф');
INSERT INTO `lang_definitions` VALUES (121580, 2492, 33, 'Остаточні платежі');
INSERT INTO `lang_definitions` VALUES (121581, 2493, 33, 'завершено');
INSERT INTO `lang_definitions` VALUES (121582, 2495, 33, 'Ім\'я');
INSERT INTO `lang_definitions` VALUES (121583, 2497, 33, 'Перший день тижня');
INSERT INTO `lang_definitions` VALUES (121584, 2498, 33, 'Ім\'я');
INSERT INTO `lang_definitions` VALUES (121585, 2499, 33, 'Ім\'я');
INSERT INTO `lang_definitions` VALUES (121586, 2500, 33, 'Ім\'я:');
INSERT INTO `lang_definitions` VALUES (121587, 2503, 33, 'Фізична підготовка');
INSERT INTO `lang_definitions` VALUES (121588, 2504, 33, 'Рівень фізичної підготовки');
INSERT INTO `lang_definitions` VALUES (121589, 2505, 33, 'Рівень фізичної підготовки для цього гравця в цей день');
INSERT INTO `lang_definitions` VALUES (121590, 2507, 33, 'Фізична підготовка до гри');
INSERT INTO `lang_definitions` VALUES (121591, 2508, 33, 'Зафіксувати дати звернення - будь-які звернення');
INSERT INTO `lang_definitions` VALUES (121592, 2509, 33, 'Зафіксуйте це');
INSERT INTO `lang_definitions` VALUES (121593, 2510, 33, 'Флорида');
INSERT INTO `lang_definitions` VALUES (121594, 2511, 33, 'Метеоризм');
INSERT INTO `lang_definitions` VALUES (121595, 2512, 33, 'Потік');
INSERT INTO `lang_definitions` VALUES (121596, 2514, 33, 'Епідемічний сезон');
INSERT INTO `lang_definitions` VALUES (121597, 2515, 33, 'Епідемічний сезон');
INSERT INTO `lang_definitions` VALUES (121598, 2516, 33, 'Щеплення від грипу');
INSERT INTO `lang_definitions` VALUES (121599, 2517, 33, 'Проблема водно-електролітного балансу');
INSERT INTO `lang_definitions` VALUES (121600, 2518, 33, 'FMS');
INSERT INTO `lang_definitions` VALUES (121601, 2519, 33, 'Розміри паперу Фоліо');
INSERT INTO `lang_definitions` VALUES (121602, 2520, 33, 'Виконати вручну');
INSERT INTO `lang_definitions` VALUES (121603, 2521, 33, 'Дотримуйтесь цих інструкцій щоб встановити чи оновити наступну базу даних');
INSERT INTO `lang_definitions` VALUES (121604, 2522, 33, 'Подальше');
INSERT INTO `lang_definitions` VALUES (121605, 2524, 33, 'Ввиявлена ​​причина');
INSERT INTO `lang_definitions` VALUES (121606, 2525, 33, 'Далі нова константа користувача:');
INSERT INTO `lang_definitions` VALUES (121607, 2526, 33, 'Далі нова мова користувача:');
INSERT INTO `lang_definitions` VALUES (121608, 2527, 33, 'Далі нове визначення (мова, константа, визначення):');
INSERT INTO `lang_definitions` VALUES (121609, 2529, 33, 'Надавані види допомоги');
INSERT INTO `lang_definitions` VALUES (121610, 2530, 33, 'Вказуються в подальшому');
INSERT INTO `lang_definitions` VALUES (121611, 2531, 33, 'Відраза до їжі');
INSERT INTO `lang_definitions` VALUES (121612, 2532, 33, 'Стопа');
INSERT INTO `lang_definitions` VALUES (121613, 2533, 33, 'Проблеми стоп');
INSERT INTO `lang_definitions` VALUES (121614, 2534, 33, 'Стопа:');
INSERT INTO `lang_definitions` VALUES (121615, 2535, 33, 'Футбольні травми');
INSERT INTO `lang_definitions` VALUES (121616, 2536, 33, 'Футбольна травма');
INSERT INTO `lang_definitions` VALUES (121617, 2537, 33, 'Повідомлення про футбольну травмі');
INSERT INTO `lang_definitions` VALUES (121618, 2538, 33, 'Тип взуття');
INSERT INTO `lang_definitions` VALUES (121619, 2539, 33, 'для');
INSERT INTO `lang_definitions` VALUES (121620, 2540, 33, 'Для');
INSERT INTO `lang_definitions` VALUES (121621, 2541, 33, 'Для коду');
INSERT INTO `lang_definitions` VALUES (121622, 2543, 33, 'Для вимог щодо поводження');
INSERT INTO `lang_definitions` VALUES (121623, 2544, 33, 'Наприклад:');
INSERT INTO `lang_definitions` VALUES (121624, 2547, 33, 'для рахунку');
INSERT INTO `lang_definitions` VALUES (121625, 2548, 33, 'Лише для Medicare, викликає консультанта як призначеного лікаря.');
INSERT INTO `lang_definitions` VALUES (121626, 2549, 33, 'місце для номеру призначення OBR');
INSERT INTO `lang_definitions` VALUES (121627, 2552, 33, 'Для напрямних установ/практикуючих лікарів');
INSERT INTO `lang_definitions` VALUES (121628, 2553, 33, 'Для минулих');
INSERT INTO `lang_definitions` VALUES (121629, 2554, 33, 'для змінних');
INSERT INTO `lang_definitions` VALUES (121630, 2555, 33, 'для:');
INSERT INTO `lang_definitions` VALUES (121631, 2556, 33, 'Примусове відкриття білінгового віджету');
INSERT INTO `lang_definitions` VALUES (121632, 2557, 33, 'Примусове оформлення нового пацієнта');
INSERT INTO `lang_definitions` VALUES (121633, 2558, 33, 'Примусовий показ');
INSERT INTO `lang_definitions` VALUES (121634, 2559, 33, 'Передпліччя');
INSERT INTO `lang_definitions` VALUES (121635, 2560, 33, 'Форма');
INSERT INTO `lang_definitions` VALUES (121636, 2561, 33, 'форма');
INSERT INTO `lang_definitions` VALUES (121637, 2564, 33, 'Формат');
INSERT INTO `lang_definitions` VALUES (121638, 2565, 33, 'формат');
INSERT INTO `lang_definitions` VALUES (121639, 2566, 33, 'Формат відображення віку');
INSERT INTO `lang_definitions` VALUES (121640, 2567, 33, 'Неправильний формат для державного коду медпрепарату (NDC)');
INSERT INTO `lang_definitions` VALUES (121641, 2568, 33, 'Формат, який використовується для відображення більшості дат.');
INSERT INTO `lang_definitions` VALUES (121642, 2569, 33, 'Формат, який використовується для відображення більшості часових інтервалів.');
INSERT INTO `lang_definitions` VALUES (121643, 2570, 33, 'Відформатований звіт');
INSERT INTO `lang_definitions` VALUES (121644, 2571, 33, 'Колишній курець');
INSERT INTO `lang_definitions` VALUES (121645, 2572, 33, 'Форми');
INSERT INTO `lang_definitions` VALUES (121646, 2573, 33, 'Управління формами');
INSERT INTO `lang_definitions` VALUES (121647, 2575, 33, 'Вперед');
INSERT INTO `lang_definitions` VALUES (121648, 2576, 33, 'Переслати факсом');
INSERT INTO `lang_definitions` VALUES (121649, 2577, 33, 'Перенаправлений');
INSERT INTO `lang_definitions` VALUES (121650, 2579, 33, 'Четвертий');
INSERT INTO `lang_definitions` VALUES (121651, 2581, 33, 'Перелом');
INSERT INTO `lang_definitions` VALUES (121652, 2582, 33, 'Перелом човноподібної кістки');
INSERT INTO `lang_definitions` VALUES (121653, 2583, 33, 'Перелом латеральної щиколотки');
INSERT INTO `lang_definitions` VALUES (121654, 2584, 33, 'Перелом медіальної кісточки');
INSERT INTO `lang_definitions` VALUES (121655, 2585, 33, 'Перелом основа п\'ятої (5-й) метатарсальной кістки');
INSERT INTO `lang_definitions` VALUES (121656, 2586, 33, 'Вимагається підтримка фреймів');
INSERT INTO `lang_definitions` VALUES (121657, 2587, 33, 'Французька');
INSERT INTO `lang_definitions` VALUES (121658, 2588, 33, 'Французька (канадійська)');
INSERT INTO `lang_definitions` VALUES (121659, 2589, 33, 'Французька (стандартна)');
INSERT INTO `lang_definitions` VALUES (121660, 2590, 33, 'Частота');
INSERT INTO `lang_definitions` VALUES (121661, 2591, 33, 'Часті застуди');
INSERT INTO `lang_definitions` VALUES (121662, 2592, 33, 'Часті захворювання');
INSERT INTO `lang_definitions` VALUES (121663, 2593, 33, 'Пт');
INSERT INTO `lang_definitions` VALUES (121664, 2594, 33, 'П\'ятниця');
INSERT INTO `lang_definitions` VALUES (121665, 2595, 33, 'З');
INSERT INTO `lang_definitions` VALUES (121666, 2596, 33, 'З');
INSERT INTO `lang_definitions` VALUES (121667, 2597, 33, 'від');
INSERT INTO `lang_definitions` VALUES (121668, 2598, 33, 'Дата \"з\" не може бути пізніше дати \"по\".');
INSERT INTO `lang_definitions` VALUES (121669, 2599, 33, 'З:');
INSERT INTO `lang_definitions` VALUES (121670, 2600, 33, 'З: ');
INSERT INTO `lang_definitions` VALUES (121671, 2601, 33, 'З_МІСТО');
INSERT INTO `lang_definitions` VALUES (121672, 2603, 33, 'З_ІМ\'Я');
INSERT INTO `lang_definitions` VALUES (121673, 2604, 33, 'З_ПРІЗВИЩЕ');
INSERT INTO `lang_definitions` VALUES (121674, 2605, 33, 'З_ПО-БАТЬКОВІ');
INSERT INTO `lang_definitions` VALUES (121675, 2607, 33, 'З_ТЕЛЕФОН');
INSERT INTO `lang_definitions` VALUES (121676, 2608, 33, 'З_ПОШТОВА_АДРЕСА');
INSERT INTO `lang_definitions` VALUES (121677, 2609, 33, 'З_ШТАТ');
INSERT INTO `lang_definitions` VALUES (121678, 2610, 33, 'З_ВУЛИЦЯ');
INSERT INTO `lang_definitions` VALUES (121679, 2611, 33, 'З_НАЗВА');
INSERT INTO `lang_definitions` VALUES (121680, 2612, 33, 'З_ПРОЩАННЯ');
INSERT INTO `lang_definitions` VALUES (121681, 2613, 33, 'Реєстратура');
INSERT INTO `lang_definitions` VALUES (121682, 2614, 33, 'Прийом в реєстратурі');
INSERT INTO `lang_definitions` VALUES (121683, 2615, 33, 'Звіт про прийом в реєстратурі');
INSERT INTO `lang_definitions` VALUES (121684, 2616, 33, 'Первинний запис');
INSERT INTO `lang_definitions` VALUES (121685, 2617, 33, 'Передній правий');
INSERT INTO `lang_definitions` VALUES (121686, 2619, 33, 'Повне ім\'я');
INSERT INTO `lang_definitions` VALUES (121687, 2620, 33, 'Повний шлях до каталогу, що містить виконувані файли MySQL.');
INSERT INTO `lang_definitions` VALUES (121688, 2621, 33, 'Повний шлях до каталогу, що містить виконувані файли Perl.');
INSERT INTO `lang_definitions` VALUES (121689, 2622, 33, 'Повний шлях до каталогу для резервної копії журналу подій.');
INSERT INTO `lang_definitions` VALUES (121690, 2623, 33, 'Повний шлях до каталогу для тимчасових файлів.');
INSERT INTO `lang_definitions` VALUES (121691, 2624, 33, 'Повне відтворення');
INSERT INTO `lang_definitions` VALUES (121692, 2625, 33, 'Повне навчання');
INSERT INTO `lang_definitions` VALUES (121693, 2626, 33, 'Повна оплата');
INSERT INTO `lang_definitions` VALUES (121694, 2633, 33, 'Г');
INSERT INTO `lang_definitions` VALUES (121695, 2634, 33, 'г/дл');
INSERT INTO `lang_definitions` VALUES (121696, 2636, 33, 'Стан жовчного міхура');
INSERT INTO `lang_definitions` VALUES (121697, 2637, 33, 'Жовчно-кам\'яна хвороба');
INSERT INTO `lang_definitions` VALUES (121698, 2638, 33, 'Тривалість відтворення');
INSERT INTO `lang_definitions` VALUES (121699, 2639, 33, 'Ігри');
INSERT INTO `lang_definitions` VALUES (121700, 2640, 33, 'Ігри пропущено');
INSERT INTO `lang_definitions` VALUES (121701, 2641, 33, 'ігри/події');
INSERT INTO `lang_definitions` VALUES (121702, 2642, 33, 'Ігри/події пропущено');
INSERT INTO `lang_definitions` VALUES (121703, 2644, 33, 'Гастрит');
INSERT INTO `lang_definitions` VALUES (121704, 2645, 33, 'Біль при гастриті');
INSERT INTO `lang_definitions` VALUES (121705, 2646, 33, 'Органи шлунково-кишкового тракту');
INSERT INTO `lang_definitions` VALUES (121706, 2647, 33, 'Статистичний звіт GCAC');
INSERT INTO `lang_definitions` VALUES (121707, 2648, 33, 'Статистика GCAC');
INSERT INTO `lang_definitions` VALUES (121708, 2649, 33, 'Форма відвідування GCAC пропущена');
INSERT INTO `lang_definitions` VALUES (121709, 2650, 33, 'Стать');
INSERT INTO `lang_definitions` VALUES (121710, 2651, 33, 'Стать ');
INSERT INTO `lang_definitions` VALUES (121711, 2652, 33, 'Загальне');
INSERT INTO `lang_definitions` VALUES (121712, 2653, 33, 'Загальний список проблем');
INSERT INTO `lang_definitions` VALUES (121713, 2655, 33, 'Категорія основної послуги');
INSERT INTO `lang_definitions` VALUES (121714, 2657, 33, 'Створити і завантажити паперову вимога CMS 1500');
INSERT INTO `lang_definitions` VALUES (121715, 2658, 33, 'Створити і завантажити паперові вимогу HCFA 1500');
INSERT INTO `lang_definitions` VALUES (121716, 2659, 33, 'Створити і завантажити пакет X12');
INSERT INTO `lang_definitions` VALUES (121717, 2660, 33, 'Створити і завантажити пакет X12 для звернення');
INSERT INTO `lang_definitions` VALUES (121718, 2663, 33, 'Створює і передає в електронному вигляді дозволені призначення.');
INSERT INTO `lang_definitions` VALUES (121719, 2664, 33, 'Створити CMS 1500');
INSERT INTO `lang_definitions` VALUES (121720, 2665, 33, 'Створити CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (121721, 2666, 33, 'Створити CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (121722, 2667, 33, 'Створити HCFA');
INSERT INTO `lang_definitions` VALUES (121723, 2668, 33, 'Створити рахунок');
INSERT INTO `lang_definitions` VALUES (121724, 2669, 33, 'Створити лист');
INSERT INTO `lang_definitions` VALUES (121725, 2670, 33, 'Створити лист з питання ');
INSERT INTO `lang_definitions` VALUES (121726, 2671, 33, 'Створити звіт PQRI (Метод A)');
INSERT INTO `lang_definitions` VALUES (121727, 2673, 33, 'Створити звіт PQRI (Метод E)');
INSERT INTO `lang_definitions` VALUES (121728, 2677, 33, 'Створити звіт');
INSERT INTO `lang_definitions` VALUES (121729, 2678, 33, 'Створює ім\'я користувача та пароль для');
INSERT INTO `lang_definitions` VALUES (121730, 2679, 33, 'Створити X12');
INSERT INTO `lang_definitions` VALUES (121731, 2680, 33, 'Створити звернення X12');
INSERT INTO `lang_definitions` VALUES (121732, 2682, 33, 'Створити в');
INSERT INTO `lang_definitions` VALUES (121733, 2683, 33, 'Створено');
INSERT INTO `lang_definitions` VALUES (121734, 2684, 33, 'Сечостатева');
INSERT INTO `lang_definitions` VALUES (121735, 2687, 33, 'Німецька');
INSERT INTO `lang_definitions` VALUES (121736, 2691, 33, 'Отримати HL7');
INSERT INTO `lang_definitions` VALUES (121737, 2692, 33, 'Глаукома');
INSERT INTO `lang_definitions` VALUES (121738, 2693, 33, 'Сімейний анамнез по глаукомі');
INSERT INTO `lang_definitions` VALUES (121739, 2694, 33, 'Глобальне');
INSERT INTO `lang_definitions` VALUES (121740, 2696, 33, 'Глобальний ID');
INSERT INTO `lang_definitions` VALUES (121741, 2697, 33, 'Глобальні налаштування');
INSERT INTO `lang_definitions` VALUES (121742, 2698, 33, 'Глобальні змінні');
INSERT INTO `lang_definitions` VALUES (121743, 2699, 33, 'гр/дл');
INSERT INTO `lang_definitions` VALUES (121744, 2700, 33, 'далі');
INSERT INTO `lang_definitions` VALUES (121745, 2701, 33, 'Далі');
INSERT INTO `lang_definitions` VALUES (121746, 2704, 33, 'Перейти в');
INSERT INTO `lang_definitions` VALUES (121747, 2705, 33, 'Перейти до тижня');
INSERT INTO `lang_definitions` VALUES (121748, 2706, 33, 'Перейти до сьогодні');
INSERT INTO `lang_definitions` VALUES (121749, 2707, 33, 'Мета А');
INSERT INTO `lang_definitions` VALUES (121750, 2708, 33, 'Мета і методи');
INSERT INTO `lang_definitions` VALUES (121751, 2709, 33, 'Мета В');
INSERT INTO `lang_definitions` VALUES (121752, 2710, 33, 'Мета С');
INSERT INTO `lang_definitions` VALUES (121753, 2711, 33, 'Тяжкість травми');
INSERT INTO `lang_definitions` VALUES (121754, 2712, 33, 'Ступінь');
INSERT INTO `lang_definitions` VALUES (121755, 2713, 33, 'грами');
INSERT INTO `lang_definitions` VALUES (121756, 2714, 33, 'Загальна сума');
INSERT INTO `lang_definitions` VALUES (121757, 2715, 33, 'Загальні суми');
INSERT INTO `lang_definitions` VALUES (121758, 2718, 33, 'Выдображається графічно');
INSERT INTO `lang_definitions` VALUES (121759, 2720, 33, 'Більше, ніж');
INSERT INTO `lang_definitions` VALUES (121760, 2721, 33, 'Більше, ніж або дорівнює');
INSERT INTO `lang_definitions` VALUES (121761, 2722, 33, 'Грецька');
INSERT INTO `lang_definitions` VALUES (121762, 2724, 33, 'Група');
INSERT INTO `lang_definitions` VALUES (121763, 2725, 33, 'Ім\'я групи');
INSERT INTO `lang_definitions` VALUES (121764, 2726, 33, 'Імена груп не можуть бути порожніми');
INSERT INTO `lang_definitions` VALUES (121765, 2727, 33, 'Імена групи не можуть починатися з числа або пробілу.');
INSERT INTO `lang_definitions` VALUES (121766, 2728, 33, 'Імена групи не можуть починатися з чисел.');
INSERT INTO `lang_definitions` VALUES (121767, 2729, 33, 'Номер групи');
INSERT INTO `lang_definitions` VALUES (121768, 2730, 33, 'Групова оплата');
INSERT INTO `lang_definitions` VALUES (121769, 2731, 33, 'Група:');
INSERT INTO `lang_definitions` VALUES (121770, 2732, 33, 'Ім\'я групи');
INSERT INTO `lang_definitions` VALUES (121771, 2733, 33, 'Групи і керування доступом');
INSERT INTO `lang_definitions` VALUES (121772, 2734, 33, 'Крива зростання');
INSERT INTO `lang_definitions` VALUES (121773, 2735, 33, 'Діаграма зростання');
INSERT INTO `lang_definitions` VALUES (121774, 2736, 33, 'gtts (краплі)');
INSERT INTO `lang_definitions` VALUES (121775, 2737, 33, 'Гуамській');
INSERT INTO `lang_definitions` VALUES (121776, 2739, 33, 'Прізвище опікуна');
INSERT INTO `lang_definitions` VALUES (121777, 2741, 33, 'Гінекологічне обстеження');
INSERT INTO `lang_definitions` VALUES (121778, 2742, 33, 'год.');
INSERT INTO `lang_definitions` VALUES (121779, 2743, 33, 'час сну');
INSERT INTO `lang_definitions` VALUES (121780, 2744, 33, 'H/O Гепатити ');
INSERT INTO `lang_definitions` VALUES (121781, 2745, 33, 'був успішно знищений. Будь-які підкатегорії,якщо представлені, були переміщені нижче');
INSERT INTO `lang_definitions` VALUES (121782, 2746, 33, 'Гематома / забій');
INSERT INTO `lang_definitions` VALUES (121783, 2747, 33, 'Стан інгібування гемаглютинації');
INSERT INTO `lang_definitions` VALUES (121784, 2750, 33, 'Рука+ пальці');
INSERT INTO `lang_definitions` VALUES (121785, 2751, 33, 'Проблеми рук');
INSERT INTO `lang_definitions` VALUES (121786, 2752, 33, 'Жорсткий диск');
INSERT INTO `lang_definitions` VALUES (121787, 2753, 33, 'Без труднощів');
INSERT INTO `lang_definitions` VALUES (121788, 2754, 33, 'було зв\'язано з відвідуванням');
INSERT INTO `lang_definitions` VALUES (121789, 2755, 33, 'з вичерпаним терміном');
INSERT INTO `lang_definitions` VALUES (121790, 2756, 33, 'Хеш');
INSERT INTO `lang_definitions` VALUES (121791, 2757, 33, 'Для цього файлу хеш не існує. Буде створений новий хеш.');
INSERT INTO `lang_definitions` VALUES (121792, 2758, 33, 'Хеш не співпадає. Цілісність даних була скомпрометована.');
INSERT INTO `lang_definitions` VALUES (121793, 2760, 33, 'Гавайський');
INSERT INTO `lang_definitions` VALUES (121794, 2761, 33, 'Небезпечна діяльність');
INSERT INTO `lang_definitions` VALUES (121795, 2762, 33, 'Небезпечна діяльність');
INSERT INTO `lang_definitions` VALUES (121796, 2763, 33, 'Ліве поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (121797, 2764, 33, 'Поля HCFA');
INSERT INTO `lang_definitions` VALUES (121798, 2765, 33, 'Верхнє поле HCFA в точках');
INSERT INTO `lang_definitions` VALUES (121799, 2766, 33, 'HCPCS Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (121800, 2767, 33, 'він вніс в календар ');
INSERT INTO `lang_definitions` VALUES (121801, 2768, 33, 'Голова');
INSERT INTO `lang_definitions` VALUES (121802, 2769, 33, 'Окр. голови');
INSERT INTO `lang_definitions` VALUES (121803, 2770, 33, 'Окружність голови');
INSERT INTO `lang_definitions` VALUES (121804, 2771, 33, 'Головний біль');
INSERT INTO `lang_definitions` VALUES (121805, 2772, 33, 'Головні болі');
INSERT INTO `lang_definitions` VALUES (121806, 2773, 33, 'Медичні операції');
INSERT INTO `lang_definitions` VALUES (121807, 2774, 33, 'Заходи з охорони здоров\'я');
INSERT INTO `lang_definitions` VALUES (121808, 2775, 33, 'Медичний центр / клініка');
INSERT INTO `lang_definitions` VALUES (121809, 2776, 33, 'Установа з надання медичної допомоги');
INSERT INTO `lang_definitions` VALUES (121810, 2777, 33, 'Страховий ризик для установ з надання медичної допомоги');
INSERT INTO `lang_definitions` VALUES (121811, 2778, 33, 'Втрата слуху');
INSERT INTO `lang_definitions` VALUES (121812, 2779, 33, 'інфаркт міокарда');
INSERT INTO `lang_definitions` VALUES (121813, 2780, 33, 'Вада серця');
INSERT INTO `lang_definitions` VALUES (121814, 2781, 33, 'Серцева недостатність');
INSERT INTO `lang_definitions` VALUES (121815, 2782, 33, 'Кардіальна проблема');
INSERT INTO `lang_definitions` VALUES (121816, 2783, 33, 'Кардіальні проблеми');
INSERT INTO `lang_definitions` VALUES (121817, 2784, 33, 'Кардіохірургія');
INSERT INTO `lang_definitions` VALUES (121818, 2785, 33, 'Пересадка серця');
INSERT INTO `lang_definitions` VALUES (121819, 2786, 33, 'СЕРЦЕ:');
INSERT INTO `lang_definitions` VALUES (121820, 2787, 33, 'Печія');
INSERT INTO `lang_definitions` VALUES (121821, 2788, 33, 'Жар або остуда');
INSERT INTO `lang_definitions` VALUES (121822, 2789, 33, 'Жар або остуда');
INSERT INTO `lang_definitions` VALUES (121823, 2790, 33, 'Завзятий курець');
INSERT INTO `lang_definitions` VALUES (121824, 2791, 33, 'Іврит');
INSERT INTO `lang_definitions` VALUES (121825, 2793, 33, 'ЛОР');
INSERT INTO `lang_definitions` VALUES (121826, 2794, 33, 'Ріст');
INSERT INTO `lang_definitions` VALUES (121827, 2796, 33, 'Довідка');
INSERT INTO `lang_definitions` VALUES (121828, 2797, 33, 'довідка');
INSERT INTO `lang_definitions` VALUES (121829, 2798, 33, 'Блювота кров\'ю');
INSERT INTO `lang_definitions` VALUES (121830, 2799, 33, 'Кров\'яні випорожнення');
INSERT INTO `lang_definitions` VALUES (121831, 2800, 33, 'Гематологія');
INSERT INTO `lang_definitions` VALUES (121832, 2801, 33, 'Гематурія');
INSERT INTO `lang_definitions` VALUES (121833, 2802, 33, 'Гемоглобін');
INSERT INTO `lang_definitions` VALUES (121834, 2803, 33, 'Гемоглобін А1С');
INSERT INTO `lang_definitions` VALUES (121835, 2804, 33, 'Кровохаркання');
INSERT INTO `lang_definitions` VALUES (121836, 2805, 33, 'Гепатит');
INSERT INTO `lang_definitions` VALUES (121837, 2806, 33, 'Гепатит А 1');
INSERT INTO `lang_definitions` VALUES (121838, 2807, 33, 'Гепатит А 2');
INSERT INTO `lang_definitions` VALUES (121839, 2808, 33, 'Гепатит В 1');
INSERT INTO `lang_definitions` VALUES (121840, 2809, 33, 'Гепатит В 2');
INSERT INTO `lang_definitions` VALUES (121841, 2810, 33, 'Гепатит В 3');
INSERT INTO `lang_definitions` VALUES (121842, 2811, 33, 'тут');
INSERT INTO `lang_definitions` VALUES (121843, 2813, 33, 'Герніопластика');
INSERT INTO `lang_definitions` VALUES (121844, 2814, 33, 'Грижа диску');
INSERT INTO `lang_definitions` VALUES (121845, 2815, 33, 'Герпес');
INSERT INTO `lang_definitions` VALUES (121846, 2816, 33, 'Утруднений початок сечовипускання');
INSERT INTO `lang_definitions` VALUES (121847, 2817, 33, 'гей, Ви тут для ');
INSERT INTO `lang_definitions` VALUES (121848, 2818, 33, 'Hib-вакцина 1');
INSERT INTO `lang_definitions` VALUES (121849, 2819, 33, 'Hib-вакцина 2');
INSERT INTO `lang_definitions` VALUES (121850, 2820, 33, 'Hib-вакцина 3');
INSERT INTO `lang_definitions` VALUES (121851, 2821, 33, 'Hib-вакцина 4');
INSERT INTO `lang_definitions` VALUES (121852, 2822, 33, 'Прихований');
INSERT INTO `lang_definitions` VALUES (121853, 2823, 33, 'Управління прихованими подіями');
INSERT INTO `lang_definitions` VALUES (121854, 2824, 33, 'Приховати');
INSERT INTO `lang_definitions` VALUES (121855, 2825, 33, 'Приховати деталі');
INSERT INTO `lang_definitions` VALUES (121856, 2827, 33, 'Приховати опції шифрування/дешифрування у керуванні документом');
INSERT INTO `lang_definitions` VALUES (121857, 2828, 33, 'Приховати меню');
INSERT INTO `lang_definitions` VALUES (121858, 2830, 33, 'Приховати нагадування');
INSERT INTO `lang_definitions` VALUES (121859, 2831, 33, 'Приховати/показати стовпці');
INSERT INTO `lang_definitions` VALUES (121860, 2833, 33, 'Висока');
INSERT INTO `lang_definitions` VALUES (121861, 2834, 33, 'Підвищений артеріальний тиск');
INSERT INTO `lang_definitions` VALUES (121862, 2835, 33, 'Хінді');
INSERT INTO `lang_definitions` VALUES (121863, 2836, 33, 'Стегно+пах');
INSERT INTO `lang_definitions` VALUES (121864, 2837, 33, 'Стегно і пах');
INSERT INTO `lang_definitions` VALUES (121865, 2838, 33, 'Проблеми стегна');
INSERT INTO `lang_definitions` VALUES (121866, 2839, 33, 'Заміщення тазостегнового суглоба');
INSERT INTO `lang_definitions` VALUES (121867, 2840, 33, 'Отримувати повідомлення HIPAA (звітність і безпека медичного страхування)');
INSERT INTO `lang_definitions` VALUES (121868, 2842, 33, 'Гірсутизм/Стріе');
INSERT INTO `lang_definitions` VALUES (121869, 2843, 33, 'Латиноамериканець');
INSERT INTO `lang_definitions` VALUES (121870, 2844, 33, 'Латиноамериканець - інше (народжений у США)');
INSERT INTO `lang_definitions` VALUES (121871, 2845, 33, 'Латиноамериканець - інше (народжений не у США)');
INSERT INTO `lang_definitions` VALUES (121872, 2846, 33, 'Латиноамериканець або Латино');
INSERT INTO `lang_definitions` VALUES (121873, 2847, 33, 'Хронологія');
INSERT INTO `lang_definitions` VALUES (121874, 2848, 33, 'Дата збору анамнезу');
INSERT INTO `lang_definitions` VALUES (121875, 2849, 33, 'Дата анамнезу');
INSERT INTO `lang_definitions` VALUES (121876, 2851, 33, 'Шум в анамнезі');
INSERT INTO `lang_definitions` VALUES (121877, 2852, 33, 'Хронологія не дозволена');
INSERT INTO `lang_definitions` VALUES (121878, 2853, 33, 'Анамнез шуму серця');
INSERT INTO `lang_definitions` VALUES (121879, 2854, 33, 'Співпадіння');
INSERT INTO `lang_definitions` VALUES (121880, 2855, 33, 'ВІЛ');
INSERT INTO `lang_definitions` VALUES (121881, 2858, 33, 'Оглядач HL7');
INSERT INTO `lang_definitions` VALUES (121882, 2860, 33, 'нмоль/л');
INSERT INTO `lang_definitions` VALUES (121883, 2861, 33, 'Хмонг');
INSERT INTO `lang_definitions` VALUES (121884, 2862, 33, 'Утримуйте Ctrl для вибору декількох елементів');
INSERT INTO `lang_definitions` VALUES (121885, 2863, 33, 'Утримуйте Ctrl для вибору декількох груп');
INSERT INTO `lang_definitions` VALUES (121886, 2864, 33, 'Утримуйте [Ctrl] для множинного вибору або для зняття вибору');
INSERT INTO `lang_definitions` VALUES (121887, 2865, 33, 'На головну');
INSERT INTO `lang_definitions` VALUES (121888, 2866, 33, 'Домашній телефон');
INSERT INTO `lang_definitions` VALUES (121889, 2867, 33, 'Номер домашнього телефону');
INSERT INTO `lang_definitions` VALUES (121890, 2868, 33, 'Бездомний або подібне?');
INSERT INTO `lang_definitions` VALUES (121891, 2869, 33, 'Бездомний і т.д.');
INSERT INTO `lang_definitions` VALUES (121892, 2870, 33, 'Бездомний і т.д.');
INSERT INTO `lang_definitions` VALUES (121893, 2872, 33, 'Ім\'я вузла');
INSERT INTO `lang_definitions` VALUES (121894, 2873, 33, 'Ім\'я вузла не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (121895, 2875, 33, 'Година');
INSERT INTO `lang_definitions` VALUES (121896, 2876, 33, 'Години');
INSERT INTO `lang_definitions` VALUES (121897, 2878, 33, 'Як сталася травма?');
INSERT INTO `lang_definitions` VALUES (121898, 2879, 33, 'Як сталася травма?');
INSERT INTO `lang_definitions` VALUES (121899, 2880, 33, 'Як Ви дізналися про нас?');
INSERT INTO `lang_definitions` VALUES (121900, 2881, 33, 'Скільки місяців передуватимуть майбутнім заходам?');
INSERT INTO `lang_definitions` VALUES (121901, 2882, 33, 'Анамнез супутніх захворювань:');
INSERT INTO `lang_definitions` VALUES (121902, 2883, 33, 'Пересадка серця');
INSERT INTO `lang_definitions` VALUES (121903, 2884, 33, 'HTML');
INSERT INTO `lang_definitions` VALUES (121904, 2885, 33, 'HTML вивід?');
INSERT INTO `lang_definitions` VALUES (121905, 2886, 33, 'Https посилання для підтримки LibreEHR службою лаб. обміну LLC.');
INSERT INTO `lang_definitions` VALUES (121906, 2887, 33, 'Угорська');
INSERT INTO `lang_definitions` VALUES (121907, 2888, 33, 'Каталог Hylafax');
INSERT INTO `lang_definitions` VALUES (121908, 2889, 33, 'Команда шифрування Hylafax');
INSERT INTO `lang_definitions` VALUES (121909, 2890, 33, 'Сервер Hylafax');
INSERT INTO `lang_definitions` VALUES (121910, 2891, 33, 'Ім\'я вузла сервера Hylafax');
INSERT INTO `lang_definitions` VALUES (121911, 2892, 33, 'Гиперактивний');
INSERT INTO `lang_definitions` VALUES (121912, 2893, 33, 'Гіпертензія');
INSERT INTO `lang_definitions` VALUES (121913, 2894, 33, 'Артеріальна гіпертензія: одиниця виміру артеріального тиску');
INSERT INTO `lang_definitions` VALUES (121914, 2895, 33, 'Артеріальна гіпертензія: одиниця виміру артеріального тиску (CQM)');
INSERT INTO `lang_definitions` VALUES (121915, 2896, 33, 'Гіпертиреоз');
INSERT INTO `lang_definitions` VALUES (121916, 2897, 33, 'Гіпертиреоз');
INSERT INTO `lang_definitions` VALUES (121917, 2898, 33, 'Гістеректомия');
INSERT INTO `lang_definitions` VALUES (121918, 2899, 33, 'Я');
INSERT INTO `lang_definitions` VALUES (121919, 2900, 33, 'Я зайнятий в цей період часу.');
INSERT INTO `lang_definitions` VALUES (121920, 2901, 33, 'У мене немає доступу на читання ');
INSERT INTO `lang_definitions` VALUES (121921, 2902, 33, 'МКХ');
INSERT INTO `lang_definitions` VALUES (121922, 2903, 33, 'МКХ10 Діагноз');
INSERT INTO `lang_definitions` VALUES (121923, 2904, 33, 'МКХ10 Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (121924, 2905, 33, 'МКХ9');
INSERT INTO `lang_definitions` VALUES (121925, 2906, 33, 'МКХ9 Діагноз');
INSERT INTO `lang_definitions` VALUES (121926, 2907, 33, 'МКХ9 Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (121927, 2909, 33, 'ID');
INSERT INTO `lang_definitions` VALUES (121928, 2910, 33, 'Id');
INSERT INTO `lang_definitions` VALUES (121929, 2911, 33, 'ID не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (121930, 2912, 33, 'ID Картка');
INSERT INTO `lang_definitions` VALUES (121931, 2913, 33, 'ID дні');
INSERT INTO `lang_definitions` VALUES (121932, 2914, 33, 'ідентифікувати як');
INSERT INTO `lang_definitions` VALUES (121933, 2915, 33, 'ідентифікатор (одне слово)');
INSERT INTO `lang_definitions` VALUES (121934, 2916, 33, 'Ідентифікаційний код');
INSERT INTO `lang_definitions` VALUES (121935, 2917, 33, 'Секунд сесійного простою');
INSERT INTO `lang_definitions` VALUES (121936, 2919, 33, 'Якщо для цієї форми всі дані для всіх стовпців заповнені');
INSERT INTO `lang_definitions` VALUES (121937, 2920, 33, 'При використанні білінгової реабілітації введіть найменування типу коду для діагнозу.');
INSERT INTO `lang_definitions` VALUES (121938, 2921, 33, 'якщо вводите, то вибирайте лише ті, які мають цю службу');
INSERT INTO `lang_definitions` VALUES (121939, 2922, 33, 'Якщо найменування, то будь-яка частина прізвища або прізвище, ім\'я');
INSERT INTO `lang_definitions` VALUES (121940, 2923, 33, 'якщо оплачено через');
INSERT INTO `lang_definitions` VALUES (121941, 2924, 33, 'Якщо людина померла, то введіть дату смерті.');
INSERT INTO `lang_definitions` VALUES (121942, 2925, 33, 'При використанні SMTP ім\'я вузла сервера або ІР адреса');
INSERT INTO `lang_definitions` VALUES (121943, 2926, 33, 'При використанні SMTP номер порту TCP сервера (зазвичай 25).');
INSERT INTO `lang_definitions` VALUES (121944, 2927, 33, 'якщо не працює, то введіть Student');
INSERT INTO `lang_definitions` VALUES (121945, 2928, 33, 'Якщо РМД вибрано для відображення віку, перейдіть лише на Роки, якщо пацієнти старше цього значення в роках');
INSERT INTO `lang_definitions` VALUES (121946, 2929, 33, 'Якщо Ви змінюєте e-RX Role для ePrescription, то це може вплинути на технологічний процес ePrescription. Якщо ви стикаєтеся з будь-якими труднощами, контактуйте зі своїм ePrescription постачальником.');
INSERT INTO `lang_definitions` VALUES (121947, 2931, 33, 'Якщо Ви вибрали завантаження електронних грошових переказів, то потім вікно пошуку відображається повторно з відповідними рахунками з файлу X 12. Ви можете клікнути будь-який номер цього рахунку (як описано нижче), якщо Ви бажаєте зробити які-небудь коректування перед тим, як інформація грошового переказу буде застосована. Щоб застосувати зміни, клацають кнопку Обробити ERA Файл внизу сторінки. Це відкриє нове вікно з детальним повідомленням.');
INSERT INTO `lang_definitions` VALUES (121948, 2932, 33, 'Якщо Ви ввели дату оплати на сторінці пошуку, це перевизначить дату обліку платежів і коректування, що взяті з файлу X12. Такі дії можуть виявитися зручними для звітності, якщо Вам потрібно чеки, де зазначено вашу дата надсилання замість дати обробки страховою компанією. Зауважте, що це також впливатиме на дати попередніх платежів і коректувань, що розміщені у вторинній заявці.');
INSERT INTO `lang_definitions` VALUES (121949, 2933, 33, 'Якщо потрібно змінити типи даних або додати рядки або стовпці');
INSERT INTO `lang_definitions` VALUES (121950, 2934, 33, 'Якщо потрібно модернізувати базу даних, то перемістіть файл zip бази даних в наступну директорію');
INSERT INTO `lang_definitions` VALUES (121951, 2936, 33, 'Ігнорувати');
INSERT INTO `lang_definitions` VALUES (121952, 2937, 33, 'Захворювання');
INSERT INTO `lang_definitions` VALUES (121953, 2938, 33, 'Терапевт');
INSERT INTO `lang_definitions` VALUES (121954, 2941, 33, 'Сервіс обробки зображень');
INSERT INTO `lang_definitions` VALUES (121955, 2942, 33, 'Вакцинація');
INSERT INTO `lang_definitions` VALUES (121956, 2943, 33, 'Код вакцинації');
INSERT INTO `lang_definitions` VALUES (121957, 2945, 33, 'Дата вакцинації');
INSERT INTO `lang_definitions` VALUES (121958, 2946, 33, 'Дата закінчення терміну вакцинації');
INSERT INTO `lang_definitions` VALUES (121959, 2947, 33, 'Номер партії вакцини');
INSERT INTO `lang_definitions` VALUES (121960, 2948, 33, 'Виробник вакцини');
INSERT INTO `lang_definitions` VALUES (121961, 2949, 33, 'Реєстрація вакцинації');
INSERT INTO `lang_definitions` VALUES (121962, 2951, 33, 'Послуга вакцинації');
INSERT INTO `lang_definitions` VALUES (121963, 2952, 33, 'Назва вакцинації');
INSERT INTO `lang_definitions` VALUES (121964, 2953, 33, 'Вакцинації');
INSERT INTO `lang_definitions` VALUES (121965, 2954, 33, 'Вакцинувати');
INSERT INTO `lang_definitions` VALUES (121966, 2955, 33, 'Імунологія');
INSERT INTO `lang_definitions` VALUES (121967, 2956, 33, 'Імплантанти');
INSERT INTO `lang_definitions` VALUES (121968, 2957, 33, 'Імпорт');
INSERT INTO `lang_definitions` VALUES (121969, 2961, 33, 'Імпортувати сертификат у браузері.');
INSERT INTO `lang_definitions` VALUES (121970, 2962, 33, 'Налаштування імпорту');
INSERT INTO `lang_definitions` VALUES (121971, 2964, 33, 'Імпортувати пацієнта');
INSERT INTO `lang_definitions` VALUES (121972, 2965, 33, 'Імпорт особистих даних пацієнта');
INSERT INTO `lang_definitions` VALUES (121973, 2966, 33, 'Важливі коди');
INSERT INTO `lang_definitions` VALUES (121974, 2967, 33, 'ВАЖЛИВО: Цей інструмент вивантаження призначений лише для вивантаження документів для пацієнтів, що їх не введено для системи. Для вивантаження файлів для пацієнтів, що введені до системи, будь-ласка, використовуйте інтсрумент вивантаження, що знаходиться в панелі загальної інформації про пацієнта');
INSERT INTO `lang_definitions` VALUES (121975, 2969, 33, 'Імпортований з акаунту');
INSERT INTO `lang_definitions` VALUES (121976, 2972, 33, 'Нормалізований');
INSERT INTO `lang_definitions` VALUES (121977, 2973, 33, 'у');
INSERT INTO `lang_definitions` VALUES (121978, 2974, 33, 'У');
INSERT INTO `lang_definitions` VALUES (121979, 2975, 33, 'у кожне око');
INSERT INTO `lang_definitions` VALUES (121980, 2976, 33, 'у ліве око');
INSERT INTO `lang_definitions` VALUES (121981, 2977, 33, 'назально');
INSERT INTO `lang_definitions` VALUES (121982, 2978, 33, 'У кабінеті');
INSERT INTO `lang_definitions` VALUES (121983, 2979, 33, 'у праве око');
INSERT INTO `lang_definitions` VALUES (121984, 2980, 33, 'вдома');
INSERT INTO `lang_definitions` VALUES (121985, 2981, 33, 'Недіючий');
INSERT INTO `lang_definitions` VALUES (121986, 2982, 33, 'Вихідні дні');
INSERT INTO `lang_definitions` VALUES (121987, 2983, 33, 'Вхідна поштова скринька');
INSERT INTO `lang_definitions` VALUES (121988, 2986, 33, 'Включити захист контрольною сумою');
INSERT INTO `lang_definitions` VALUES (121989, 2987, 33, 'Включити повністю');
INSERT INTO `lang_definitions` VALUES (121990, 2988, 33, 'Включити неактивних користувачів');
INSERT INTO `lang_definitions` VALUES (121991, 2989, 33, 'Включити некатегоризованих');
INSERT INTO `lang_definitions` VALUES (121992, 2990, 33, 'Включити неструктуровані дані');
INSERT INTO `lang_definitions` VALUES (121993, 2991, 33, 'Включити життєво важливі показники');
INSERT INTO `lang_definitions` VALUES (121994, 2992, 33, 'Включити життєво важливі параметри?');
INSERT INTO `lang_definitions` VALUES (121995, 2993, 33, 'Включення');
INSERT INTO `lang_definitions` VALUES (121996, 2994, 33, 'Дохід');
INSERT INTO `lang_definitions` VALUES (121997, 2996, 33, 'Неповний');
INSERT INTO `lang_definitions` VALUES (121998, 2997, 33, 'Незавершене перерване лікування');
INSERT INTO `lang_definitions` VALUES (121999, 2998, 33, 'Нестримання');
INSERT INTO `lang_definitions` VALUES (122000, 2999, 33, 'Включити результати клінічних лабораторних анализів у сертификовану технологію EHR, як структуровані дані.');
INSERT INTO `lang_definitions` VALUES (122001, 3000, 33, 'Неправильний пароль!');
INSERT INTO `lang_definitions` VALUES (122002, 3001, 33, 'збільшений:');
INSERT INTO `lang_definitions` VALUES (122003, 3002, 33, 'Компенсаційне страхування');
INSERT INTO `lang_definitions` VALUES (122004, 3003, 33, 'Невизначений');
INSERT INTO `lang_definitions` VALUES (122005, 3004, 33, 'Індійський');
INSERT INTO `lang_definitions` VALUES (122006, 3005, 33, 'Вказує відхилення від норми');
INSERT INTO `lang_definitions` VALUES (122007, 3006, 33, 'Вказує, що ця проблема у даний час активна');
INSERT INTO `lang_definitions` VALUES (122008, 3008, 33, 'Індикатор для спеціалізовоного використання');
INSERT INTO `lang_definitions` VALUES (122009, 3009, 33, 'Малозабезпечені пацієнти');
INSERT INTO `lang_definitions` VALUES (122010, 3010, 33, 'Звіт щодо малозабезпечених пацієнтів');
INSERT INTO `lang_definitions` VALUES (122011, 3011, 33, 'Малозабезпечені');
INSERT INTO `lang_definitions` VALUES (122012, 3014, 33, 'Що викликають аборт');
INSERT INTO `lang_definitions` VALUES (122013, 3016, 33, 'Непідходящий');
INSERT INTO `lang_definitions` VALUES (122014, 3017, 33, 'Інфекція/абсцес');
INSERT INTO `lang_definitions` VALUES (122015, 3018, 33, 'Інфекції');
INSERT INTO `lang_definitions` VALUES (122016, 3019, 33, 'Конс. по беспл.');
INSERT INTO `lang_definitions` VALUES (122017, 3020, 33, 'Беспліддя');
INSERT INTO `lang_definitions` VALUES (122018, 3021, 33, 'Грип 1');
INSERT INTO `lang_definitions` VALUES (122019, 3022, 33, 'Грип 2');
INSERT INTO `lang_definitions` VALUES (122020, 3023, 33, 'Протигрипозна вакцинація для пацієнтів віком >= 50 років');
INSERT INTO `lang_definitions` VALUES (122021, 3024, 33, 'Протигрипозна вакцинація для пацієнтів віком >= 50 років (CQM)');
INSERT INTO `lang_definitions` VALUES (122022, 3025, 33, 'Протигрипозна вакцинація');
INSERT INTO `lang_definitions` VALUES (122023, 3026, 33, 'Інф.');
INSERT INTO `lang_definitions` VALUES (122024, 3027, 33, 'Інф. тест 1');
INSERT INTO `lang_definitions` VALUES (122025, 3028, 33, 'Інф. тест 2');
INSERT INTO `lang_definitions` VALUES (122026, 3029, 33, 'Інф. тест 3');
INSERT INTO `lang_definitions` VALUES (122027, 3030, 33, 'Інф. тест 4');
INSERT INTO `lang_definitions` VALUES (122028, 3031, 33, 'Інф. тест 5');
INSERT INTO `lang_definitions` VALUES (122029, 3032, 33, 'Інф. тест 6');
INSERT INTO `lang_definitions` VALUES (122030, 3034, 33, 'інгаляції');
INSERT INTO `lang_definitions` VALUES (122031, 3035, 33, 'інгаляції');
INSERT INTO `lang_definitions` VALUES (122032, 3037, 33, 'Початковий користувач');
INSERT INTO `lang_definitions` VALUES (122033, 3038, 33, 'Травм./реаб.');
INSERT INTO `lang_definitions` VALUES (122034, 3039, 33, 'Що вводиться');
INSERT INTO `lang_definitions` VALUES (122035, 3040, 33, 'Ін\'єкція');
INSERT INTO `lang_definitions` VALUES (122036, 3041, 33, 'Пошкоджена частина тіла');
INSERT INTO `lang_definitions` VALUES (122037, 3042, 33, 'Наслідки пошкодження');
INSERT INTO `lang_definitions` VALUES (122038, 3043, 33, 'Травма');
INSERT INTO `lang_definitions` VALUES (122039, 3044, 33, 'Механізм травми');
INSERT INTO `lang_definitions` VALUES (122040, 3045, 33, 'Оглядовий звіт про травму');
INSERT INTO `lang_definitions` VALUES (122041, 3046, 33, 'Травматологічне дослідження');
INSERT INTO `lang_definitions` VALUES (122042, 3047, 33, 'Тип травми');
INSERT INTO `lang_definitions` VALUES (122043, 3048, 33, 'Травма або супутнє захворювання');
INSERT INTO `lang_definitions` VALUES (122044, 3050, 33, 'Введені дані не починаються з MSH сегменту');
INSERT INTO `lang_definitions` VALUES (122045, 3051, 33, 'Шляхи введення');
INSERT INTO `lang_definitions` VALUES (122046, 3052, 33, 'Міжнародний нормалізаційний індекс (INR)');
INSERT INTO `lang_definitions` VALUES (122047, 3053, 33, 'Вст. 1');
INSERT INTO `lang_definitions` VALUES (122048, 3054, 33, 'Вст. 2 чи вст. 3');
INSERT INTO `lang_definitions` VALUES (122049, 3055, 33, 'Вст. Адресу');
INSERT INTO `lang_definitions` VALUES (122050, 3056, 33, 'Вст. корр.');
INSERT INTO `lang_definitions` VALUES (122051, 3057, 33, 'Вст. скріплення');
INSERT INTO `lang_definitions` VALUES (122052, 3058, 33, 'Вст. код');
INSERT INTO `lang_definitions` VALUES (122053, 3059, 33, 'Вст. Групу');
INSERT INTO `lang_definitions` VALUES (122054, 3060, 33, 'Вст. Ім\"я');
INSERT INTO `lang_definitions` VALUES (122055, 3061, 33, 'Вст. переплати');
INSERT INTO `lang_definitions` VALUES (122056, 3062, 33, 'Вст. Поліс');
INSERT INTO `lang_definitions` VALUES (122057, 3063, 33, 'Вст. повернення');
INSERT INTO `lang_definitions` VALUES (122058, 3064, 33, 'Вст.підсумкова');
INSERT INTO `lang_definitions` VALUES (122059, 3065, 33, 'Вст.1');
INSERT INTO `lang_definitions` VALUES (122060, 3066, 33, 'Вст.2');
INSERT INTO `lang_definitions` VALUES (122061, 3067, 33, 'Вст.3');
INSERT INTO `lang_definitions` VALUES (122062, 3069, 33, 'Вставка дала збій ');
INSERT INTO `lang_definitions` VALUES (122063, 3070, 33, 'Вставка старих подій у таблиці');
INSERT INTO `lang_definitions` VALUES (122064, 3072, 33, 'Безсоння');
INSERT INTO `lang_definitions` VALUES (122065, 3073, 33, 'Перевірити логи');
INSERT INTO `lang_definitions` VALUES (122066, 3074, 33, 'Експертиза');
INSERT INTO `lang_definitions` VALUES (122067, 3075, 33, 'Нестійкий / підвивих');
INSERT INTO `lang_definitions` VALUES (122068, 3076, 33, 'ВСТАНОВИТИ');
INSERT INTO `lang_definitions` VALUES (122069, 3077, 33, 'Встановити');
INSERT INTO `lang_definitions` VALUES (122070, 3079, 33, 'Встановити БД');
INSERT INTO `lang_definitions` VALUES (122071, 3080, 33, 'Встановлений реліз');
INSERT INTO `lang_definitions` VALUES (122072, 3081, 33, 'Інструктований');
INSERT INTO `lang_definitions` VALUES (122073, 3082, 33, 'Інструкція');
INSERT INTO `lang_definitions` VALUES (122074, 3084, 33, 'Інструкції:');
INSERT INTO `lang_definitions` VALUES (122075, 3085, 33, 'ID товару не відповідає переліку');
INSERT INTO `lang_definitions` VALUES (122076, 3086, 33, 'Інсулінозалежний діабет');
INSERT INTO `lang_definitions` VALUES (122077, 3087, 33, 'Страхівка');
INSERT INTO `lang_definitions` VALUES (122078, 3088, 33, 'страхівка');
INSERT INTO `lang_definitions` VALUES (122079, 3091, 33, 'Баланс страхівки');
INSERT INTO `lang_definitions` VALUES (122080, 3092, 33, 'Баланс страхівки належить');
INSERT INTO `lang_definitions` VALUES (122081, 3093, 33, 'Страхова комп.');
INSERT INTO `lang_definitions` VALUES (122082, 3094, 33, 'Страхові компанії');
INSERT INTO `lang_definitions` VALUES (122083, 3095, 33, 'Страхова компанія');
INSERT INTO `lang_definitions` VALUES (122084, 3096, 33, 'Пошук/добавлення страхової компанії');
INSERT INTO `lang_definitions` VALUES (122085, 3098, 33, 'Дата страхування');
INSERT INTO `lang_definitions` VALUES (122086, 3099, 33, 'Інформація щодо страхування у файлі');
INSERT INTO `lang_definitions` VALUES (122087, 3100, 33, 'Номери страхівки');
INSERT INTO `lang_definitions` VALUES (122088, 3101, 33, 'Оплата страхівки');
INSERT INTO `lang_definitions` VALUES (122089, 3103, 33, 'Страховик');
INSERT INTO `lang_definitions` VALUES (122090, 3106, 33, 'Застрахований');
INSERT INTO `lang_definitions` VALUES (122091, 3107, 33, 'Результат прийому');
INSERT INTO `lang_definitions` VALUES (122092, 3108, 33, 'Дата прийому');
INSERT INTO `lang_definitions` VALUES (122093, 3109, 33, 'Зниження інтелекту');
INSERT INTO `lang_definitions` VALUES (122094, 3113, 33, 'Внутрішня помилка - невибрані сторінки!');
INSERT INTO `lang_definitions` VALUES (122095, 3114, 33, 'Внутрішня помилка - не надано ID пацієнта!');
INSERT INTO `lang_definitions` VALUES (122096, 3115, 33, 'Внутрішня помилка щодо права доступу вивантаженого файлу!');
INSERT INTO `lang_definitions` VALUES (122097, 3116, 33, 'Внутрішня помилка!');
INSERT INTO `lang_definitions` VALUES (122098, 3117, 33, 'Внутрішня помилка, невказаний ID препарату!');
INSERT INTO `lang_definitions` VALUES (122099, 3118, 33, 'Внутрішня помилка: не можу знайти MSH-10');
INSERT INTO `lang_definitions` VALUES (122100, 3119, 33, 'Внутрішня помилка: вимога ');
INSERT INTO `lang_definitions` VALUES (122101, 3120, 33, 'Внутрішня помилка: звернення \'');
INSERT INTO `lang_definitions` VALUES (122102, 3121, 33, 'Внутрішня помилка:пропущений pid або звернення.');
INSERT INTO `lang_definitions` VALUES (122103, 3122, 33, 'Внутрішня помилка: ми не можемо сподіватись на звернення!');
INSERT INTO `lang_definitions` VALUES (122104, 3123, 33, 'Внутрішній ідентификатор (pid)');
INSERT INTO `lang_definitions` VALUES (122105, 3126, 33, 'Внутрішнє напавлення');
INSERT INTO `lang_definitions` VALUES (122106, 3127, 33, 'Затрачений внутрішній час');
INSERT INTO `lang_definitions` VALUES (122107, 3128, 33, 'Міжнародні Обов\'язки');
INSERT INTO `lang_definitions` VALUES (122108, 3129, 33, 'Перекладач');
INSERT INTO `lang_definitions` VALUES (122109, 3130, 33, 'Потрібен перекладач?');
INSERT INTO `lang_definitions` VALUES (122110, 3131, 33, 'Інтерстиціальний пневмоконіоз');
INSERT INTO `lang_definitions` VALUES (122111, 3132, 33, 'Інтервал');
INSERT INTO `lang_definitions` VALUES (122112, 3133, 33, 'Інтервал (хвилини)');
INSERT INTO `lang_definitions` VALUES (122113, 3134, 33, 'Інтервал між перевіркою повідомлень (встаньвіть в 0 для ручної перевірки)');
INSERT INTO `lang_definitions` VALUES (122114, 3135, 33, 'Втручання');
INSERT INTO `lang_definitions` VALUES (122115, 3136, 33, 'Надане втручання');
INSERT INTO `lang_definitions` VALUES (122116, 3137, 33, 'Непереносимість');
INSERT INTO `lang_definitions` VALUES (122117, 3139, 33, 'внутрішньом\'язовий');
INSERT INTO `lang_definitions` VALUES (122118, 3140, 33, 'внутрішньовенозний');
INSERT INTO `lang_definitions` VALUES (122119, 3141, 33, 'Вступ');
INSERT INTO `lang_definitions` VALUES (122120, 3144, 33, 'Недопустимий символ в');
INSERT INTO `lang_definitions` VALUES (122121, 3147, 33, 'Недопустимий символ для');
INSERT INTO `lang_definitions` VALUES (122122, 3148, 33, 'Недопустимий нецифровий символ в');
INSERT INTO `lang_definitions` VALUES (122123, 3149, 33, 'Недопустимий або пропущений платник в джерелі для коду ');
INSERT INTO `lang_definitions` VALUES (122124, 3150, 33, 'Недопустима адреса отримувача. Спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (122125, 3151, 33, 'Недійсні коди послуг');
INSERT INTO `lang_definitions` VALUES (122126, 3152, 33, 'Недопустиме визначення джерела \"');
INSERT INTO `lang_definitions` VALUES (122127, 3153, 33, 'Недопустиме ім\"я користувача або пароль');
INSERT INTO `lang_definitions` VALUES (122128, 3154, 33, 'Інвент.кіл.');
INSERT INTO `lang_definitions` VALUES (122129, 3155, 33, 'Товарно-матеріальні цінності');
INSERT INTO `lang_definitions` VALUES (122130, 3156, 33, 'Діяльність товарно-матеріальних цінностей');
INSERT INTO `lang_definitions` VALUES (122131, 3157, 33, 'Враховується і реалізується як лікарська, так і нелікарська продукція');
INSERT INTO `lang_definitions` VALUES (122132, 3158, 33, 'Лише товарно-матеріальні цінності та препарати для видачі');
INSERT INTO `lang_definitions` VALUES (122133, 3159, 33, 'Для цього призначення склад недоступний.');
INSERT INTO `lang_definitions` VALUES (122134, 3160, 33, 'Список товарно-матеріальних цінностей');
INSERT INTO `lang_definitions` VALUES (122135, 3161, 33, 'Транзакції щодо інвентаризації');
INSERT INTO `lang_definitions` VALUES (122136, 3162, 33, 'Рахунок');
INSERT INTO `lang_definitions` VALUES (122137, 3163, 33, 'рахунок');
INSERT INTO `lang_definitions` VALUES (122138, 3164, 33, 'Баланс рахунку');
INSERT INTO `lang_definitions` VALUES (122139, 3165, 33, 'Баланс рахунку не може бути внесений. Немає створеного звернення.');
INSERT INTO `lang_definitions` VALUES (122140, 3166, 33, 'Дата рахунку');
INSERT INTO `lang_definitions` VALUES (122141, 3167, 33, 'Не має дати на рахунку!');
INSERT INTO `lang_definitions` VALUES (122142, 3168, 33, 'Номер рахунку');
INSERT INTO `lang_definitions` VALUES (122143, 3169, 33, 'Вихідний номер рахунку');
INSERT INTO `lang_definitions` VALUES (122144, 3170, 33, 'Об\'єднання вихідного номера рахунку, якщо використовується');
INSERT INTO `lang_definitions` VALUES (122145, 3171, 33, 'Об\'єднання вихідного номера рахунку');
INSERT INTO `lang_definitions` VALUES (122146, 3172, 33, 'Об\'єднання вих. номера рахунку');
INSERT INTO `lang_definitions` VALUES (122147, 3173, 33, 'Рахунок:');
INSERT INTO `lang_definitions` VALUES (122148, 3174, 33, 'МФПС');
INSERT INTO `lang_definitions` VALUES (122149, 3175, 33, 'МФПС аборт');
INSERT INTO `lang_definitions` VALUES (122150, 3176, 33, 'МФПС контрацепція');
INSERT INTO `lang_definitions` VALUES (122151, 3177, 33, 'Дані сексуального і репродуктивного здоров\'я МФПС для');
INSERT INTO `lang_definitions` VALUES (122152, 3178, 33, 'Статистичний звіт МФПС');
INSERT INTO `lang_definitions` VALUES (122153, 3179, 33, 'Статистика МФПС');
INSERT INTO `lang_definitions` VALUES (122154, 3180, 33, 'ІПВ 1');
INSERT INTO `lang_definitions` VALUES (122155, 3181, 33, 'ІПВ 2');
INSERT INTO `lang_definitions` VALUES (122156, 3182, 33, 'ІПВ 3');
INSERT INTO `lang_definitions` VALUES (122157, 3183, 33, 'ІПВ 4');
INSERT INTO `lang_definitions` VALUES (122158, 3185, 33, 'Аритмія');
INSERT INTO `lang_definitions` VALUES (122159, 3186, 33, 'Дратівливість');
INSERT INTO `lang_definitions` VALUES (122160, 3187, 33, 'Роздратування');
INSERT INTO `lang_definitions` VALUES (122161, 3188, 33, 'є версія наступної бази даних з іншою мовою');
INSERT INTO `lang_definitions` VALUES (122162, 3189, 33, 'є інша версія наступної бази даних');
INSERT INTO `lang_definitions` VALUES (122163, 3190, 33, 'є новіша версія наступної бази даних');
INSERT INTO `lang_definitions` VALUES (122164, 3191, 33, 'є обов\'язковим полем');
INSERT INTO `lang_definitions` VALUES (122165, 3192, 33, 'є вузлом root і не може бути видалений.');
INSERT INTO `lang_definitions` VALUES (122166, 3193, 33, 'є розширення наступної бази даних');
INSERT INTO `lang_definitions` VALUES (122167, 3195, 33, 'невідповідний чи невідомий');
INSERT INTO `lang_definitions` VALUES (122168, 3197, 33, 'не дійсний (десяткова частина OK).');
INSERT INTO `lang_definitions` VALUES (122169, 3198, 33, 'PHP використовує безпечний режим?');
INSERT INTO `lang_definitions` VALUES (122170, 3200, 33, 'Є текстом з макетів форми для перекладу?');
INSERT INTO `lang_definitions` VALUES (122171, 3201, 33, 'Є текстом з списку для перекладу?');
INSERT INTO `lang_definitions` VALUES (122172, 3202, 33, 'Цей файл закодований?');
INSERT INTO `lang_definitions` VALUES (122173, 3203, 33, 'Це є кодом типу клінічного терміну');
INSERT INTO `lang_definitions` VALUES (122174, 3204, 33, 'Це є типом діагнозу?');
INSERT INTO `lang_definitions` VALUES (122175, 3205, 33, 'Це є кодом типу медичної проблеми?');
INSERT INTO `lang_definitions` VALUES (122176, 3207, 33, 'Це є типом процедури/послуги?');
INSERT INTO `lang_definitions` VALUES (122177, 3208, 33, 'Це активне?');
INSERT INTO `lang_definitions` VALUES (122178, 3209, 33, 'Цей тип коду активний?');
INSERT INTO `lang_definitions` VALUES (122179, 3210, 33, 'Цей тип коду використовується у вимогах?');
INSERT INTO `lang_definitions` VALUES (122180, 3212, 33, 'Цей тип у листі оплати невидимий?');
INSERT INTO `lang_definitions` VALUES (122181, 3213, 33, 'Чи використовується зовнішня SQL таблиця? Якщо так, виберіть формат.');
INSERT INTO `lang_definitions` VALUES (122182, 3214, 33, 'надто довгий');
INSERT INTO `lang_definitions` VALUES (122183, 3216, 33, 'Проблема');
INSERT INTO `lang_definitions` VALUES (122184, 3217, 33, 'проблема');
INSERT INTO `lang_definitions` VALUES (122185, 3218, 33, 'Дата проблеми');
INSERT INTO `lang_definitions` VALUES (122186, 3219, 33, 'ID проблеми');
INSERT INTO `lang_definitions` VALUES (122187, 3220, 33, 'Назва проблеми');
INSERT INTO `lang_definitions` VALUES (122188, 3221, 33, 'Тип проблеми');
INSERT INTO `lang_definitions` VALUES (122189, 3222, 33, 'Типи проблеми');
INSERT INTO `lang_definitions` VALUES (122190, 3223, 33, 'Проблеми');
INSERT INTO `lang_definitions` VALUES (122191, 3224, 33, 'Проблеми (травми/терапія/алергія)');
INSERT INTO `lang_definitions` VALUES (122192, 3225, 33, 'Проблеми (травми/терапія/алергія):');
INSERT INTO `lang_definitions` VALUES (122193, 3226, 33, 'Проблеми та звернення');
INSERT INTO `lang_definitions` VALUES (122194, 3227, 33, 'Проблеми та звернення для');
INSERT INTO `lang_definitions` VALUES (122195, 3228, 33, 'Доступ до проблем не авторизований');
INSERT INTO `lang_definitions` VALUES (122196, 3229, 33, 'Розділ проблем');
INSERT INTO `lang_definitions` VALUES (122197, 3230, 33, 'Італійська');
INSERT INTO `lang_definitions` VALUES (122198, 3231, 33, 'Елемент');
INSERT INTO `lang_definitions` VALUES (122199, 3232, 33, 'елемент');
INSERT INTO `lang_definitions` VALUES (122200, 3233, 33, 'Елементів');
INSERT INTO `lang_definitions` VALUES (122201, 3234, 33, 'Завантаження елементів дало збій');
INSERT INTO `lang_definitions` VALUES (122202, 3235, 33, 'МЕ/л');
INSERT INTO `lang_definitions` VALUES (122203, 3236, 33, 'ВМС');
INSERT INTO `lang_definitions` VALUES (122204, 3237, 33, 'В/в');
INSERT INTO `lang_definitions` VALUES (122205, 3238, 33, 'Січ');
INSERT INTO `lang_definitions` VALUES (122206, 3239, 33, 'Січень');
INSERT INTO `lang_definitions` VALUES (122207, 3240, 33, 'Японський');
INSERT INTO `lang_definitions` VALUES (122208, 3241, 33, 'Жовтуха');
INSERT INTO `lang_definitions` VALUES (122209, 3243, 33, 'Опис роботи');
INSERT INTO `lang_definitions` VALUES (122210, 3244, 33, 'ID роботи');
INSERT INTO `lang_definitions` VALUES (122211, 3245, 33, 'Вивих суглоба');
INSERT INTO `lang_definitions` VALUES (122212, 3246, 33, 'Біль суглоба');
INSERT INTO `lang_definitions` VALUES (122213, 3247, 33, 'Розтягнення суглоба');
INSERT INTO `lang_definitions` VALUES (122214, 3248, 33, 'Лип');
INSERT INTO `lang_definitions` VALUES (122215, 3249, 33, 'Липень');
INSERT INTO `lang_definitions` VALUES (122216, 3250, 33, 'Черв');
INSERT INTO `lang_definitions` VALUES (122217, 3251, 33, 'Червень');
INSERT INTO `lang_definitions` VALUES (122218, 3252, 33, 'Трохи нижче в синій області знаходиться реєстраційна інформація, куди ви помістили параметри пошуку. Можете шукати по імені пацієнта, номеру карти, номеру звернення або даті надання допомоги або будь-якій їх комбінації. Також можете вибрати, чи хочете бачити всі рахунки, відкриті або лише виставлені (по пацієнтові). Клацніть кнопку пошуку для для виконання.');
INSERT INTO `lang_definitions` VALUES (122219, 3253, 33, 'Лише для мене');
INSERT INTO `lang_definitions` VALUES (122220, 3254, 33, 'Підтверджені записи');
INSERT INTO `lang_definitions` VALUES (122221, 3255, 33, 'Підтвердити');
INSERT INTO `lang_definitions` VALUES (122222, 3256, 33, 'Підтвердити/Зберегти');
INSERT INTO `lang_definitions` VALUES (122223, 3257, 33, 'J{{Підтвердити заголовок}}');
INSERT INTO `lang_definitions` VALUES (122224, 3258, 33, 'к, ось решта');
INSERT INTO `lang_definitions` VALUES (122225, 3264, 33, 'Ключ');
INSERT INTO `lang_definitions` VALUES (122226, 3265, 33, 'Ключові слова');
INSERT INTO `lang_definitions` VALUES (122227, 3266, 33, 'кг');
INSERT INTO `lang_definitions` VALUES (122228, 3267, 33, 'кг/м^2');
INSERT INTO `lang_definitions` VALUES (122229, 3269, 33, 'Рак нирки');
INSERT INTO `lang_definitions` VALUES (122230, 3270, 33, 'Ниркова недостатність');
INSERT INTO `lang_definitions` VALUES (122231, 3271, 33, 'Ниркова інфекція');
INSERT INTO `lang_definitions` VALUES (122232, 3272, 33, 'НКХ');
INSERT INTO `lang_definitions` VALUES (122233, 3273, 33, 'Нирковий трансплантант');
INSERT INTO `lang_definitions` VALUES (122234, 3277, 33, 'Коліно');
INSERT INTO `lang_definitions` VALUES (122235, 3278, 33, 'Проблеми коліна');
INSERT INTO `lang_definitions` VALUES (122236, 3279, 33, 'Заміна колінного суглобу');
INSERT INTO `lang_definitions` VALUES (122237, 3282, 33, 'Корейький');
INSERT INTO `lang_definitions` VALUES (122238, 3286, 33, 'Лаб');
INSERT INTO `lang_definitions` VALUES (122239, 3288, 33, 'Адреса сайту лабораторного обміну');
INSERT INTO `lang_definitions` VALUES (122240, 3289, 33, 'ID сайту лабораторного обміну');
INSERT INTO `lang_definitions` VALUES (122241, 3290, 33, 'Символьный ID лабораторного обміну');
INSERT INTO `lang_definitions` VALUES (122242, 3294, 33, 'Статус лабораторного запиту');
INSERT INTO `lang_definitions` VALUES (122243, 3295, 33, 'Лабораторний звіт');
INSERT INTO `lang_definitions` VALUES (122244, 3296, 33, 'Лабораторний результат');
INSERT INTO `lang_definitions` VALUES (122245, 3297, 33, 'Лабораторні результати');
INSERT INTO `lang_definitions` VALUES (122246, 3299, 33, 'Звіт про лабораторні результати');
INSERT INTO `lang_definitions` VALUES (122247, 3300, 33, 'Лабораторна послуга');
INSERT INTO `lang_definitions` VALUES (122248, 3301, 33, 'Результати лабораторних тестів');
INSERT INTO `lang_definitions` VALUES (122249, 3303, 33, 'Позначка');
INSERT INTO `lang_definitions` VALUES (122250, 3304, 33, 'Позначка не повинна бути пустою');
INSERT INTO `lang_definitions` VALUES (122251, 3305, 33, 'Стовпці позначки');
INSERT INTO `lang_definitions` VALUES (122252, 3306, 33, 'Позначка для цього типу');
INSERT INTO `lang_definitions` VALUES (122253, 3307, 33, 'Стовпці позначки повинні бути числом між 1 та 999');
INSERT INTO `lang_definitions` VALUES (122254, 3308, 33, 'Позначки');
INSERT INTO `lang_definitions` VALUES (122255, 3311, 33, 'Лабораторії');
INSERT INTO `lang_definitions` VALUES (122256, 3312, 33, 'Рвана рана / стан шкіри');
INSERT INTO `lang_definitions` VALUES (122257, 3313, 33, 'Розрив/садно');
INSERT INTO `lang_definitions` VALUES (122258, 3316, 33, 'Мова');
INSERT INTO `lang_definitions` VALUES (122259, 3317, 33, 'Код мови');
INSERT INTO `lang_definitions` VALUES (122260, 3318, 33, 'Додано визначення мови');
INSERT INTO `lang_definitions` VALUES (122261, 3319, 33, 'Інтерфейсний інструмент мови');
INSERT INTO `lang_definitions` VALUES (122262, 3320, 33, 'Список мов (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (122263, 3321, 33, 'Назва мови');
INSERT INTO `lang_definitions` VALUES (122264, 3322, 33, 'Мова:');
INSERT INTO `lang_definitions` VALUES (122265, 3324, 33, 'Лаотський');
INSERT INTO `lang_definitions` VALUES (122266, 3325, 33, 'Прізвище');
INSERT INTO `lang_definitions` VALUES (122267, 3326, 33, 'Дата останньої активності');
INSERT INTO `lang_definitions` VALUES (122268, 3328, 33, 'Дата останнього рахунку:');
INSERT INTO `lang_definitions` VALUES (122269, 3330, 33, 'Минулий календарний рік');
INSERT INTO `lang_definitions` VALUES (122270, 3333, 33, 'Останнє звернення');
INSERT INTO `lang_definitions` VALUES (122271, 3340, 33, 'Останній обрахований рівень');
INSERT INTO `lang_definitions` VALUES (122272, 3343, 33, 'Минулий місяць');
INSERT INTO `lang_definitions` VALUES (122273, 3344, 33, 'Прізвище');
INSERT INTO `lang_definitions` VALUES (122274, 3345, 33, 'Прізвище');
INSERT INTO `lang_definitions` VALUES (122275, 3346, 33, 'Прізвище:');
INSERT INTO `lang_definitions` VALUES (122276, 3350, 33, 'Останній перегляд');
INSERT INTO `lang_definitions` VALUES (122277, 3351, 33, 'Останнього разу виконувавася о');
INSERT INTO `lang_definitions` VALUES (122278, 3352, 33, 'Останнє збереження');
INSERT INTO `lang_definitions` VALUES (122279, 3356, 33, 'Останнє поновлення через');
INSERT INTO `lang_definitions` VALUES (122280, 3357, 33, 'Остання перевірка у');
INSERT INTO `lang_definitions` VALUES (122281, 3358, 33, 'Останній візит');
INSERT INTO `lang_definitions` VALUES (122282, 3360, 33, 'Останнє повернення (2-12 міс.)');
INSERT INTO `lang_definitions` VALUES (122283, 3361, 33, 'Латеральна кісточка');
INSERT INTO `lang_definitions` VALUES (122284, 3362, 33, 'Латеральна кісточка:');
INSERT INTO `lang_definitions` VALUES (122285, 3363, 33, 'Латеральність');
INSERT INTO `lang_definitions` VALUES (122286, 3364, 33, 'Латеральність цієї методики, якщо можливо');
INSERT INTO `lang_definitions` VALUES (122287, 3365, 33, 'Латеральна дисплазія після ОІМ:');
INSERT INTO `lang_definitions` VALUES (122288, 3373, 33, 'На основі макету');
INSERT INTO `lang_definitions` VALUES (122289, 3374, 33, 'Редактор макету');
INSERT INTO `lang_definitions` VALUES (122290, 3375, 33, 'Групи макету');
INSERT INTO `lang_definitions` VALUES (122291, 3376, 33, 'Стиль макету');
INSERT INTO `lang_definitions` VALUES (122292, 3378, 33, 'Форми обробки візитів на основі макету');
INSERT INTO `lang_definitions` VALUES (122293, 3379, 33, 'Макети');
INSERT INTO `lang_definitions` VALUES (122294, 3380, 33, 'фунт');
INSERT INTO `lang_definitions` VALUES (122295, 3381, 33, 'Фунти');
INSERT INTO `lang_definitions` VALUES (122296, 3382, 33, 'ЛПНП');
INSERT INTO `lang_definitions` VALUES (122297, 3383, 33, 'залишіть поле пустим, якщо все ще активне');
INSERT INTO `lang_definitions` VALUES (122298, 3384, 33, 'Для збереження вихідного імені файлу залишіть поле пустим');
INSERT INTO `lang_definitions` VALUES (122299, 3385, 33, 'Для збереження попереднього паролю залишіть поле пустим');
INSERT INTO `lang_definitions` VALUES (122300, 3386, 33, 'Залишіть повідомлення з');
INSERT INTO `lang_definitions` VALUES (122301, 3387, 33, 'Залишіть форму');
INSERT INTO `lang_definitions` VALUES (122302, 3388, 33, 'Пуста контрольна фраза не шифрує цей документ');
INSERT INTO `lang_definitions` VALUES (122303, 3390, 33, 'Лівий');
INSERT INTO `lang_definitions` VALUES (122304, 3391, 33, 'Ліве вухо');
INSERT INTO `lang_definitions` VALUES (122305, 3392, 33, 'ліве вухо');
INSERT INTO `lang_definitions` VALUES (122306, 3394, 33, 'Лівий:');
INSERT INTO `lang_definitions` VALUES (122307, 3395, 33, 'Лівий: ');
INSERT INTO `lang_definitions` VALUES (122308, 3396, 33, 'Біль у нозі/Судома');
INSERT INTO `lang_definitions` VALUES (122309, 3397, 33, 'Законний');
INSERT INTO `lang_definitions` VALUES (122310, 3399, 33, 'Формат паперу Legal');
INSERT INTO `lang_definitions` VALUES (122311, 3400, 33, 'Легенда:');
INSERT INTO `lang_definitions` VALUES (122312, 3401, 33, 'Довжина');
INSERT INTO `lang_definitions` VALUES (122313, 3402, 33, 'Довжина модифікатора, якщо не задана, то 0');
INSERT INTO `lang_definitions` VALUES (122314, 3403, 33, 'Менше ніж');
INSERT INTO `lang_definitions` VALUES (122315, 3404, 33, 'Менше ніж або рівна до');
INSERT INTO `lang_definitions` VALUES (122316, 3405, 33, 'Менш закрита інформація (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (122317, 3406, 33, 'Лист');
INSERT INTO `lang_definitions` VALUES (122318, 3407, 33, 'Генератор листа');
INSERT INTO `lang_definitions` VALUES (122319, 3408, 33, 'Формат паперу Letter');
INSERT INTO `lang_definitions` VALUES (122320, 3409, 33, 'Фірмовий бланк, який підписує лікар');
INSERT INTO `lang_definitions` VALUES (122321, 3410, 33, 'Фірмовий бланк, який підписує пацієнт');
INSERT INTO `lang_definitions` VALUES (122322, 3411, 33, 'Рівень терміновості');
INSERT INTO `lang_definitions` VALUES (122323, 3412, 33, 'Відповідальність');
INSERT INTO `lang_definitions` VALUES (122324, 3413, 33, 'Медична відповідальність');
INSERT INTO `lang_definitions` VALUES (122325, 3414, 33, 'Ліцензія/ID');
INSERT INTO `lang_definitions` VALUES (122326, 3419, 33, 'Прізвище ліцензованого відповідального');
INSERT INTO `lang_definitions` VALUES (122327, 3420, 33, 'NPI ліцензованого відповідального');
INSERT INTO `lang_definitions` VALUES (122328, 3421, 33, 'UPIN ліцензованого відповідального');
INSERT INTO `lang_definitions` VALUES (122329, 3423, 33, 'Спосіб життя');
INSERT INTO `lang_definitions` VALUES (122330, 3424, 33, 'Статус способу життя');
INSERT INTO `lang_definitions` VALUES (122331, 3425, 33, 'Розрив або розтягнення зв\'язки');
INSERT INTO `lang_definitions` VALUES (122332, 3426, 33, 'Курить небагато');
INSERT INTO `lang_definitions` VALUES (122333, 3428, 33, 'Обмеження подій');
INSERT INTO `lang_definitions` VALUES (122334, 3429, 33, 'Обмеження');
INSERT INTO `lang_definitions` VALUES (122335, 3431, 33, 'Посилання');
INSERT INTO `lang_definitions` VALUES (122336, 3432, 33, 'Посилання пацієнтові');
INSERT INTO `lang_definitions` VALUES (122337, 3433, 33, 'Приєднаний');
INSERT INTO `lang_definitions` VALUES (122338, 3434, 33, 'Приєднаний документ');
INSERT INTO `lang_definitions` VALUES (122339, 3435, 33, 'Приєднана процедура призначення');
INSERT INTO `lang_definitions` VALUES (122340, 3436, 33, 'Посилання на документ');
INSERT INTO `lang_definitions` VALUES (122341, 3437, 33, 'Посилання на призначену процедуру');
INSERT INTO `lang_definitions` VALUES (122342, 3438, 33, 'Список');
INSERT INTO `lang_definitions` VALUES (122343, 3439, 33, 'Поле зі списком');
INSERT INTO `lang_definitions` VALUES (122344, 3440, 33, 'поле зі списком');
INSERT INTO `lang_definitions` VALUES (122345, 3441, 33, 'поле зі списком з/доб.');
INSERT INTO `lang_definitions` VALUES (122346, 3442, 33, 'Поле зі списком з/доб.');
INSERT INTO `lang_definitions` VALUES (122347, 3443, 33, 'Редактор списку');
INSERT INTO `lang_definitions` VALUES (122348, 3444, 33, 'Список звернень');
INSERT INTO `lang_definitions` VALUES (122349, 3445, 33, 'Список груп');
INSERT INTO `lang_definitions` VALUES (122350, 3446, 33, 'Список страхових компаній');
INSERT INTO `lang_definitions` VALUES (122351, 3448, 33, 'Елементи списку не можуть починатися з числа');
INSERT INTO `lang_definitions` VALUES (122352, 3449, 33, 'Елементи списку містять заборонені символ(и).');
INSERT INTO `lang_definitions` VALUES (122353, 3451, 33, 'Вивести списки');
INSERT INTO `lang_definitions` VALUES (122354, 3452, 33, 'Назва списку');
INSERT INTO `lang_definitions` VALUES (122355, 3453, 33, 'Назва списку не може починатися з чисел');
INSERT INTO `lang_definitions` VALUES (122356, 3454, 33, 'Вивести призначення');
INSERT INTO `lang_definitions` VALUES (122357, 3455, 33, 'Список використовується через вищезгаданий варіант типу даних для країни.');
INSERT INTO `lang_definitions` VALUES (122358, 3456, 33, 'Список використовується через вищезгаданий варіант типа даних для області.');
INSERT INTO `lang_definitions` VALUES (122359, 3457, 33, 'Прослухуваний порт сервера syslog TLS RFC 5425.');
INSERT INTO `lang_definitions` VALUES (122360, 3458, 33, 'Списки');
INSERT INTO `lang_definitions` VALUES (122361, 3459, 33, 'Литовська');
INSERT INTO `lang_definitions` VALUES (122362, 3460, 33, 'Прижиттєвий заповіт');
INSERT INTO `lang_definitions` VALUES (122363, 3461, 33, 'LLL:');
INSERT INTO `lang_definitions` VALUES (122364, 3462, 33, 'Остання менструація');
INSERT INTO `lang_definitions` VALUES (122365, 3463, 33, 'Завантажити повний перелік');
INSERT INTO `lang_definitions` VALUES (122366, 3464, 33, 'Завантажити визначення');
INSERT INTO `lang_definitions` VALUES (122367, 3465, 33, 'Завантажити налаштування лабораторії');
INSERT INTO `lang_definitions` VALUES (122368, 3466, 33, 'Завантажити налаштування питань ОЕ');
INSERT INTO `lang_definitions` VALUES (122369, 3467, 33, 'Завантажити визначення призначення');
INSERT INTO `lang_definitions` VALUES (122370, 3468, 33, 'Завантажити питання вмісту призначення');
INSERT INTO `lang_definitions` VALUES (122371, 3470, 33, 'ЗАВАНТАЖЕННЯ');
INSERT INTO `lang_definitions` VALUES (122372, 3471, 33, 'Завантаження файлів у базу даних. Це займе деякий час…');
INSERT INTO `lang_definitions` VALUES (122373, 3472, 33, 'Знижене розуміння');
INSERT INTO `lang_definitions` VALUES (122374, 3473, 33, 'Локально');
INSERT INTO `lang_definitions` VALUES (122375, 3476, 33, 'Локальний');
INSERT INTO `lang_definitions` VALUES (122376, 3477, 33, 'Місцерозташування');
INSERT INTO `lang_definitions` VALUES (122377, 3478, 33, 'Розміщення');
INSERT INTO `lang_definitions` VALUES (122378, 3479, 33, 'Розташування машини libreehr може містити секретні дані, тому рекомендується вручну видалити їх після використання');
INSERT INTO `lang_definitions` VALUES (122379, 3480, 33, 'Розміщення цієї партії');
INSERT INTO `lang_definitions` VALUES (122380, 3481, 33, 'Невизначене розміщення');
INSERT INTO `lang_definitions` VALUES (122381, 3482, 33, 'Місце, де Hylafax зберігає факси.');
INSERT INTO `lang_definitions` VALUES (122382, 3483, 33, 'Місце, де зберігаються сканограми.');
INSERT INTO `lang_definitions` VALUES (122383, 3484, 33, 'Розміщення:');
INSERT INTO `lang_definitions` VALUES (122384, 3485, 33, 'Заблокувати');
INSERT INTO `lang_definitions` VALUES (122385, 3492, 33, 'Увійти');
INSERT INTO `lang_definitions` VALUES (122386, 3493, 33, 'Увійти');
INSERT INTO `lang_definitions` VALUES (122387, 3494, 33, 'Вийти');
INSERT INTO `lang_definitions` VALUES (122388, 3495, 33, 'Увійшов');
INSERT INTO `lang_definitions` VALUES (122389, 3496, 33, 'Увійшов як');
INSERT INTO `lang_definitions` VALUES (122390, 3497, 33, 'Увійшов як: ');
INSERT INTO `lang_definitions` VALUES (122391, 3498, 33, 'Вийшов.');
INSERT INTO `lang_definitions` VALUES (122392, 3499, 33, 'Вхід');
INSERT INTO `lang_definitions` VALUES (122393, 3500, 33, 'Логін');
INSERT INTO `lang_definitions` VALUES (122394, 3501, 33, 'логін');
INSERT INTO `lang_definitions` VALUES (122395, 3503, 33, 'Логін до віддаленого хоста');
INSERT INTO `lang_definitions` VALUES (122396, 3504, 33, 'Невдалий вхід до цього віддаленого хоста');
INSERT INTO `lang_definitions` VALUES (122397, 3505, 33, 'Вийти');
INSERT INTO `lang_definitions` VALUES (122398, 3506, 33, 'вийти');
INSERT INTO `lang_definitions` VALUES (122399, 3507, 33, 'Журнали');
INSERT INTO `lang_definitions` VALUES (122400, 3508, 33, 'Оглядач журналів');
INSERT INTO `lang_definitions` VALUES (122401, 3510, 33, 'Знайти');
INSERT INTO `lang_definitions` VALUES (122402, 3511, 33, 'Партія');
INSERT INTO `lang_definitions` VALUES (122403, 3512, 33, 'Пропущений ID партії');
INSERT INTO `lang_definitions` VALUES (122404, 3513, 33, 'Номер партії');
INSERT INTO `lang_definitions` VALUES (122405, 3514, 33, 'Низький');
INSERT INTO `lang_definitions` VALUES (122406, 3515, 33, 'Низький пріоритет');
INSERT INTO `lang_definitions` VALUES (122407, 3516, 33, 'Вкорочена нога');
INSERT INTO `lang_definitions` VALUES (122408, 3517, 33, 'Найнижчий пріоритет');
INSERT INTO `lang_definitions` VALUES (122409, 3519, 33, 'Поперековий відділ хребта');
INSERT INTO `lang_definitions` VALUES (122410, 3520, 33, 'ОБІД');
INSERT INTO `lang_definitions` VALUES (122411, 3521, 33, 'Обід');
INSERT INTO `lang_definitions` VALUES (122412, 3522, 33, 'Рак легень');
INSERT INTO `lang_definitions` VALUES (122413, 3523, 33, 'Хірургія раку легень');
INSERT INTO `lang_definitions` VALUES (122414, 3524, 33, 'ЛЕГЕНІ:');
INSERT INTO `lang_definitions` VALUES (122415, 3525, 33, 'Легені:');
INSERT INTO `lang_definitions` VALUES (122416, 3526, 33, 'Вовчак');
INSERT INTO `lang_definitions` VALUES (122417, 3528, 33, 'М');
INSERT INTO `lang_definitions` VALUES (122418, 3529, 33, 'Категорія МА');
INSERT INTO `lang_definitions` VALUES (122419, 3530, 33, 'Відмова прийому клієнта MA');
INSERT INTO `lang_definitions` VALUES (122420, 3531, 33, 'Статистика MA');
INSERT INTO `lang_definitions` VALUES (122421, 3533, 33, 'Відправка пошти');
INSERT INTO `lang_definitions` VALUES (122422, 3534, 33, 'Основний');
INSERT INTO `lang_definitions` VALUES (122423, 3535, 33, 'Основна адреса');
INSERT INTO `lang_definitions` VALUES (122424, 3536, 33, 'Основна область екрану');
INSERT INTO `lang_definitions` VALUES (122425, 3537, 33, 'Список основної активної медикаментозної алергії.');
INSERT INTO `lang_definitions` VALUES (122426, 3538, 33, 'Список основного активного медикаментозного лікування.');
INSERT INTO `lang_definitions` VALUES (122427, 3539, 33, 'Підтримує оновлений список проблем для поточних і активних діагнозів.');
INSERT INTO `lang_definitions` VALUES (122428, 3540, 33, 'Створює зміни в поточних категоріях.');
INSERT INTO `lang_definitions` VALUES (122429, 3541, 33, 'Створити новий запис на прийом для');
INSERT INTO `lang_definitions` VALUES (122430, 3542, 33, 'Переконайтеся, що \"');
INSERT INTO `lang_definitions` VALUES (122431, 3543, 33, 'Створення пакетних текстових файлів для завантаження в інформаційний центр, і буде позначеним як рахунок');
INSERT INTO `lang_definitions` VALUES (122432, 3545, 33, 'Дискомфорт:');
INSERT INTO `lang_definitions` VALUES (122433, 3548, 33, 'Чоловіча');
INSERT INTO `lang_definitions` VALUES (122434, 3549, 33, 'Чоловічі презервативи');
INSERT INTO `lang_definitions` VALUES (122435, 3550, 33, 'Чоловічий VSC');
INSERT INTO `lang_definitions` VALUES (122436, 3552, 33, 'Маммографія');
INSERT INTO `lang_definitions` VALUES (122437, 3553, 33, 'Керування');
INSERT INTO `lang_definitions` VALUES (122438, 3556, 33, 'Керування перекладами');
INSERT INTO `lang_definitions` VALUES (122439, 3557, 33, 'Керівний склад');
INSERT INTO `lang_definitions` VALUES (122440, 3558, 33, 'Обов\'язкові й особливі поля');
INSERT INTO `lang_definitions` VALUES (122441, 3559, 33, 'Лише обов\'язкові чи особливі поля, з перевіркою на повтори, без пошуку');
INSERT INTO `lang_definitions` VALUES (122442, 3560, 33, 'Лише обов\'язкові чи особливі поля, з пошуком та перевіркою на повтори');
INSERT INTO `lang_definitions` VALUES (122443, 3561, 33, 'Керівництво');
INSERT INTO `lang_definitions` VALUES (122444, 3562, 33, 'Відправка вручну');
INSERT INTO `lang_definitions` VALUES (122445, 3563, 33, 'Виробник');
INSERT INTO `lang_definitions` VALUES (122446, 3565, 33, 'Бер');
INSERT INTO `lang_definitions` VALUES (122447, 3568, 33, 'Березень');
INSERT INTO `lang_definitions` VALUES (122448, 3569, 33, 'Сімейний стан');
INSERT INTO `lang_definitions` VALUES (122449, 3571, 33, 'Помітити як сплачене, але пропустіть виставлений рахунок');
INSERT INTO `lang_definitions` VALUES (122450, 3572, 33, 'Помітити як очищене');
INSERT INTO `lang_definitions` VALUES (122451, 3573, 33, 'Помітити як неоплачене');
INSERT INTO `lang_definitions` VALUES (122452, 3574, 33, 'Помітити ці звіти як переглянуті');
INSERT INTO `lang_definitions` VALUES (122453, 3575, 33, 'Помітити як очищене');
INSERT INTO `lang_definitions` VALUES (122454, 3576, 33, 'Одружений');
INSERT INTO `lang_definitions` VALUES (122455, 3578, 33, 'Маска');
INSERT INTO `lang_definitions` VALUES (122456, 3579, 33, 'Маска для номерів рахунків');
INSERT INTO `lang_definitions` VALUES (122457, 3580, 33, 'Маска для ID пацієнта');
INSERT INTO `lang_definitions` VALUES (122458, 3581, 33, 'Маска для ID продукції');
INSERT INTO `lang_definitions` VALUES (122459, 3582, 33, 'Відповідність');
INSERT INTO `lang_definitions` VALUES (122460, 3583, 33, 'Відповідність вибору');
INSERT INTO `lang_definitions` VALUES (122461, 3591, 33, 'Максимум');
INSERT INTO `lang_definitions` VALUES (122462, 3592, 33, 'досягнуто максимальне число файлів - перезавантажте названі нижче');
INSERT INTO `lang_definitions` VALUES (122463, 3594, 33, 'Пахвова область справа:');
INSERT INTO `lang_definitions` VALUES (122464, 3595, 33, 'Максимальний вік');
INSERT INTO `lang_definitions` VALUES (122465, 3596, 33, 'Максимум символів');
INSERT INTO `lang_definitions` VALUES (122466, 3597, 33, 'Максимальний простій в секундах до входу в систему.');
INSERT INTO `lang_definitions` VALUES (122467, 3600, 33, 'Максимально розумні запаси, 0, якщо не застосовно');
INSERT INTO `lang_definitions` VALUES (122468, 3601, 33, 'Максимальний розмір');
INSERT INTO `lang_definitions` VALUES (122469, 3602, 33, 'Максимальний розмір (щоб дозволити довільний розмір, введіть 0)');
INSERT INTO `lang_definitions` VALUES (122470, 3603, 33, 'Травень');
INSERT INTO `lang_definitions` VALUES (122471, 3604, 33, 'Мікроскопія і виділення культури');
INSERT INTO `lang_definitions` VALUES (122472, 3605, 33, 'мкг');
INSERT INTO `lang_definitions` VALUES (122473, 3607, 33, 'Означає, що жоден з трьох останніх паролів не дозволений для заміни паролю.');
INSERT INTO `lang_definitions` VALUES (122474, 3609, 33, 'Код групи одиниць виміру');
INSERT INTO `lang_definitions` VALUES (122475, 3611, 33, 'Система заходів');
INSERT INTO `lang_definitions` VALUES (122476, 3612, 33, 'Внутрішня область кісточки');
INSERT INTO `lang_definitions` VALUES (122477, 3613, 33, 'Медична допомога');
INSERT INTO `lang_definitions` VALUES (122478, 3614, 33, 'Медичний');
INSERT INTO `lang_definitions` VALUES (122479, 3615, 33, 'Медичний аборт');
INSERT INTO `lang_definitions` VALUES (122480, 3616, 33, 'Медична адміністрація');
INSERT INTO `lang_definitions` VALUES (122481, 3617, 33, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (122482, 3618, 33, 'Медичний результат');
INSERT INTO `lang_definitions` VALUES (122483, 3619, 33, 'Медичний результат');
INSERT INTO `lang_definitions` VALUES (122484, 3620, 33, 'Медична проблема');
INSERT INTO `lang_definitions` VALUES (122485, 3621, 33, 'Медична проблема');
INSERT INTO `lang_definitions` VALUES (122486, 3622, 33, 'Перелік медичних проблем');
INSERT INTO `lang_definitions` VALUES (122487, 3623, 33, 'Медичні проблеми');
INSERT INTO `lang_definitions` VALUES (122488, 3624, 33, 'Медичний запис');
INSERT INTO `lang_definitions` VALUES (122489, 3625, 33, 'Медичний запис #');
INSERT INTO `lang_definitions` VALUES (122490, 3626, 33, 'Медичні записи');
INSERT INTO `lang_definitions` VALUES (122491, 3627, 33, 'Медичні записи відправлені');
INSERT INTO `lang_definitions` VALUES (122492, 3629, 33, 'Медичний звіт надано');
INSERT INTO `lang_definitions` VALUES (122493, 3630, 33, 'Медична система');
INSERT INTO `lang_definitions` VALUES (122494, 3631, 33, 'Тип лікування');
INSERT INTO `lang_definitions` VALUES (122495, 3632, 33, 'Захворювання /анамнез (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (122496, 3633, 33, 'Частина В безкоштовної медичної допомоги');
INSERT INTO `lang_definitions` VALUES (122497, 3634, 33, 'Реферрер Medicare є засобом візуалізації');
INSERT INTO `lang_definitions` VALUES (122498, 3635, 33, 'Препарат');
INSERT INTO `lang_definitions` VALUES (122499, 3636, 33, 'Список медикаментозної алергії');
INSERT INTO `lang_definitions` VALUES (122500, 3637, 33, 'Перелік медикаментозних проблем');
INSERT INTO `lang_definitions` VALUES (122501, 3638, 33, 'Список ліків');
INSERT INTO `lang_definitions` VALUES (122502, 3639, 33, 'Узгоджене лікування виконане?');
INSERT INTO `lang_definitions` VALUES (122503, 3640, 33, 'Медикаменти');
INSERT INTO `lang_definitions` VALUES (122504, 3641, 33, 'Медикаменти:');
INSERT INTO `lang_definitions` VALUES (122505, 3642, 33, 'Одиниці випуску медикаменту');
INSERT INTO `lang_definitions` VALUES (122506, 3643, 33, 'По-батькові');
INSERT INTO `lang_definitions` VALUES (122507, 3645, 33, 'Статистичний звіт члена Асоціації');
INSERT INTO `lang_definitions` VALUES (122508, 3646, 33, 'Проблеми пам\'яті');
INSERT INTO `lang_definitions` VALUES (122509, 3647, 33, 'Чоловіки');
INSERT INTO `lang_definitions` VALUES (122510, 3648, 33, 'Чоловіки та жінки');
INSERT INTO `lang_definitions` VALUES (122511, 3649, 33, 'Лише чоловіки');
INSERT INTO `lang_definitions` VALUES (122512, 3650, 33, 'Менархе');
INSERT INTO `lang_definitions` VALUES (122513, 3651, 33, 'Менопауза');
INSERT INTO `lang_definitions` VALUES (122514, 3652, 33, 'Рясна менструація');
INSERT INTO `lang_definitions` VALUES (122515, 3653, 33, 'Менструальний цикл');
INSERT INTO `lang_definitions` VALUES (122516, 3654, 33, 'Психічне захворювання');
INSERT INTO `lang_definitions` VALUES (122517, 3657, 33, 'Об\"єднати');
INSERT INTO `lang_definitions` VALUES (122518, 3658, 33, 'Об\"єднання завершено.');
INSERT INTO `lang_definitions` VALUES (122519, 3659, 33, 'Об\"єднати пацієнтів');
INSERT INTO `lang_definitions` VALUES (122520, 3661, 33, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (122521, 3662, 33, 'Центр повідомлень і нагадувань');
INSERT INTO `lang_definitions` VALUES (122522, 3663, 33, 'Вміст повідомлення не є звичайним текстом, тому буде збережений як документ');
INSERT INTO `lang_definitions` VALUES (122523, 3665, 33, 'Надіслане повідомлення');
INSERT INTO `lang_definitions` VALUES (122524, 3666, 33, 'Статус повідомлення');
INSERT INTO `lang_definitions` VALUES (122525, 3669, 33, 'Тип повідомлення');
INSERT INTO `lang_definitions` VALUES (122526, 3670, 33, 'ПОВІДОМЛЕННЯ:');
INSERT INTO `lang_definitions` VALUES (122527, 3671, 33, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (122528, 3672, 33, 'Повідомлення, які Ви надліслали сьогодні');
INSERT INTO `lang_definitions` VALUES (122529, 3673, 33, 'Метод');
INSERT INTO `lang_definitions` VALUES (122530, 3674, 33, 'Метод і певний результат');
INSERT INTO `lang_definitions` VALUES (122531, 3675, 33, 'Метод для відправлення вихідних e-mail.');
INSERT INTO `lang_definitions` VALUES (122532, 3676, 33, 'Метод знищення');
INSERT INTO `lang_definitions` VALUES (122533, 3677, 33, 'Мексиканець/американець мексиканського походження/чикано');
INSERT INTO `lang_definitions` VALUES (122534, 3679, 33, 'мг');
INSERT INTO `lang_definitions` VALUES (122535, 3680, 33, 'мг/1куб.см.');
INSERT INTO `lang_definitions` VALUES (122536, 3681, 33, 'мг/2куб.см.');
INSERT INTO `lang_definitions` VALUES (122537, 3682, 33, 'мг/3куб.см.');
INSERT INTO `lang_definitions` VALUES (122538, 3683, 33, 'мг/4куб.см.');
INSERT INTO `lang_definitions` VALUES (122539, 3684, 33, 'мг/5куб.см.');
INSERT INTO `lang_definitions` VALUES (122540, 3685, 33, 'мг/дл');
INSERT INTO `lang_definitions` VALUES (122541, 3686, 33, 'Середній');
INSERT INTO `lang_definitions` VALUES (122542, 3687, 33, 'По-батькові');
INSERT INTO `lang_definitions` VALUES (122543, 3688, 33, 'По-батькові');
INSERT INTO `lang_definitions` VALUES (122544, 3690, 33, 'Специаліст DEA середнього рівня');
INSERT INTO `lang_definitions` VALUES (122545, 3691, 33, 'Ім\'я відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (122546, 3692, 33, 'Прізвище відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (122547, 3693, 33, 'Ініціали відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (122548, 3694, 33, 'UPIN відповідального середнього рівня');
INSERT INTO `lang_definitions` VALUES (122549, 3695, 33, 'Вираз обличчя');
INSERT INTO `lang_definitions` VALUES (122550, 3696, 33, 'Мігрант чи сезонний робочий?');
INSERT INTO `lang_definitions` VALUES (122551, 3697, 33, 'Мігрант /сезонний робочий');
INSERT INTO `lang_definitions` VALUES (122552, 3698, 33, 'млн/куб.мм');
INSERT INTO `lang_definitions` VALUES (122553, 3702, 33, 'Mime-тип');
INSERT INTO `lang_definitions` VALUES (122554, 3703, 33, 'Мін');
INSERT INTO `lang_definitions` VALUES (122555, 3704, 33, 'мін');
INSERT INTO `lang_definitions` VALUES (122556, 3705, 33, 'Мінімальний вік');
INSERT INTO `lang_definitions` VALUES (122557, 3706, 33, 'Легке розтягнення суглоба +/- синовіїт');
INSERT INTO `lang_definitions` VALUES (122558, 3708, 33, 'Хвилина');
INSERT INTO `lang_definitions` VALUES (122559, 3709, 33, 'хвилини');
INSERT INTO `lang_definitions` VALUES (122560, 3710, 33, 'Хвилини');
INSERT INTO `lang_definitions` VALUES (122561, 3712, 33, 'Інше');
INSERT INTO `lang_definitions` VALUES (122562, 3713, 33, 'Варіанти інших рахунків');
INSERT INTO `lang_definitions` VALUES (122563, 3714, 33, 'Варіанти інших рахунків для HCFA-1500');
INSERT INTO `lang_definitions` VALUES (122564, 3715, 33, 'Варіанти інших рахунків HCFA');
INSERT INTO `lang_definitions` VALUES (122565, 3716, 33, 'Різне');
INSERT INTO `lang_definitions` VALUES (122566, 3717, 33, 'Пропущений');
INSERT INTO `lang_definitions` VALUES (122567, 3718, 33, 'пропущений');
INSERT INTO `lang_definitions` VALUES (122568, 3719, 33, 'Пропущене обов\'язкове поле');
INSERT INTO `lang_definitions` VALUES (122569, 3720, 33, 'Пропущена оплата');
INSERT INTO `lang_definitions` VALUES (122570, 3721, 33, 'Пропущений лише модифікатор');
INSERT INTO `lang_definitions` VALUES (122571, 3722, 33, 'Пропущений чи недійсний');
INSERT INTO `lang_definitions` VALUES (122572, 3723, 33, 'Пропущений PID.');
INSERT INTO `lang_definitions` VALUES (122573, 3724, 33, 'Пропущена дата звіту');
INSERT INTO `lang_definitions` VALUES (122574, 3725, 33, 'Пропущений слеш після платника для коду ');
INSERT INTO `lang_definitions` VALUES (122575, 3726, 33, 'Змішаний');
INSERT INTO `lang_definitions` VALUES (122576, 3727, 33, 'мл');
INSERT INTO `lang_definitions` VALUES (122577, 3728, 33, 'ММ/ДД/РРРР');
INSERT INTO `lang_definitions` VALUES (122578, 3729, 33, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (122579, 3730, 33, 'мм. рт. ст.');
INSERT INTO `lang_definitions` VALUES (122580, 3731, 33, 'Частота материнської смертності 1');
INSERT INTO `lang_definitions` VALUES (122581, 3732, 33, 'Частота материнської смертності 2');
INSERT INTO `lang_definitions` VALUES (122582, 3733, 33, 'Мобильний');
INSERT INTO `lang_definitions` VALUES (122583, 3734, 33, 'Мобильний телефон');
INSERT INTO `lang_definitions` VALUES (122584, 3735, 33, 'Модиф.');
INSERT INTO `lang_definitions` VALUES (122585, 3738, 33, 'Пріоритет стримування');
INSERT INTO `lang_definitions` VALUES (122586, 3740, 33, 'Стримування/низький пріоритет');
INSERT INTO `lang_definitions` VALUES (122587, 3741, 33, 'Модифікатор');
INSERT INTO `lang_definitions` VALUES (122588, 3742, 33, 'Модифікатори');
INSERT INTO `lang_definitions` VALUES (122589, 3743, 33, 'Змінений');
INSERT INTO `lang_definitions` VALUES (122590, 3745, 33, 'Змінені платежі');
INSERT INTO `lang_definitions` VALUES (122591, 3746, 33, 'Дов.модиф.');
INSERT INTO `lang_definitions` VALUES (122592, 3753, 33, 'Пон.');
INSERT INTO `lang_definitions` VALUES (122593, 3754, 33, 'з Пон по Пт');
INSERT INTO `lang_definitions` VALUES (122594, 3755, 33, 'Пн, Ср &amp; Пт');
INSERT INTO `lang_definitions` VALUES (122595, 3756, 33, 'Понеділок');
INSERT INTO `lang_definitions` VALUES (122596, 3758, 33, 'Місяць');
INSERT INTO `lang_definitions` VALUES (122597, 3759, 33, 'місяць');
INSERT INTO `lang_definitions` VALUES (122598, 3760, 33, 'Огляд за місяць');
INSERT INTO `lang_definitions` VALUES (122599, 3761, 33, 'Місяць(і)');
INSERT INTO `lang_definitions` VALUES (122600, 3762, 33, 'Щомісячний дохід');
INSERT INTO `lang_definitions` VALUES (122601, 3763, 33, 'Місяці');
INSERT INTO `lang_definitions` VALUES (122602, 3765, 33, 'Знайдено понад 100 записів. Будь-ласка, уточніть критерії пошуку.');
INSERT INTO `lang_definitions` VALUES (122603, 3766, 33, 'Понад 50 результатів. Будь-ласка, конкретизуйте пошук.');
INSERT INTO `lang_definitions` VALUES (122604, 3767, 33, 'Клацніть на заголовку, щоб змінити порядок сортування в стовбці (працює для більшості стовбців).');
INSERT INTO `lang_definitions` VALUES (122605, 3768, 33, 'Найновіший з');
INSERT INTO `lang_definitions` VALUES (122606, 3770, 33, 'Найновіші життєво-важливі показники від:');
INSERT INTO `lang_definitions` VALUES (122607, 3771, 33, 'Мати');
INSERT INTO `lang_definitions` VALUES (122608, 3772, 33, 'Прізвище матері');
INSERT INTO `lang_definitions` VALUES (122609, 3774, 33, 'Рот');
INSERT INTO `lang_definitions` VALUES (122610, 3775, 33, 'Перемістити');
INSERT INTO `lang_definitions` VALUES (122611, 3776, 33, 'Перемістити документ в категорію:');
INSERT INTO `lang_definitions` VALUES (122612, 3777, 33, 'Перемістіть вниз');
INSERT INTO `lang_definitions` VALUES (122613, 3778, 33, 'Збій переміщення!');
INSERT INTO `lang_definitions` VALUES (122614, 3779, 33, 'Перемістити до піцієнта');
INSERT INTO `lang_definitions` VALUES (122615, 3780, 33, 'Перемістити до:');
INSERT INTO `lang_definitions` VALUES (122616, 3781, 33, 'Перемістити вище');
INSERT INTO `lang_definitions` VALUES (122617, 3782, 33, 'Переміщення');
INSERT INTO `lang_definitions` VALUES (122618, 3783, 33, 'Пан');
INSERT INTO `lang_definitions` VALUES (122619, 3784, 33, 'MRN (pid)');
INSERT INTO `lang_definitions` VALUES (122620, 3785, 33, 'Пані');
INSERT INTO `lang_definitions` VALUES (122621, 3786, 33, 'Панна');
INSERT INTO `lang_definitions` VALUES (122622, 3787, 33, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (122623, 3788, 33, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (122624, 3789, 33, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (122625, 3790, 33, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (122626, 3791, 33, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (122627, 3794, 33, 'Код MSP');
INSERT INTO `lang_definitions` VALUES (122628, 3795, 33, 'Код зменшення MSP');
INSERT INTO `lang_definitions` VALUES (122629, 3796, 33, 'Інструментарій пеекладу');
INSERT INTO `lang_definitions` VALUES (122630, 3797, 33, 'Множинні ділянки');
INSERT INTO `lang_definitions` VALUES (122631, 3798, 33, 'Кілька файлів можна вивантажити одночасно, вибираючи їх за допомогою CTRL+Click чи SHIFT+Click.');
INSERT INTO `lang_definitions` VALUES (122632, 3799, 33, 'Декілька партій');
INSERT INTO `lang_definitions` VALUES (122633, 3800, 33, 'Складні модифікатори можна відокремлювати двокрапками або проміжками, максимально 4 (М1:М2:М3:М4)');
INSERT INTO `lang_definitions` VALUES (122634, 3802, 33, 'Багатонаціональний');
INSERT INTO `lang_definitions` VALUES (122635, 3803, 33, 'Шум:');
INSERT INTO `lang_definitions` VALUES (122636, 3804, 33, 'М\'язовий біль');
INSERT INTO `lang_definitions` VALUES (122637, 3805, 33, 'М\'язові болі');
INSERT INTO `lang_definitions` VALUES (122638, 3806, 33, 'Гіперемія шкіри над м\'язом');
INSERT INTO `lang_definitions` VALUES (122639, 3807, 33, 'М\'язова регідність');
INSERT INTO `lang_definitions` VALUES (122640, 3808, 33, 'Опухлість м\'за');
INSERT INTO `lang_definitions` VALUES (122641, 3809, 33, 'Гіпертермія в ділянці м\'за');
INSERT INTO `lang_definitions` VALUES (122642, 3810, 33, 'М\'язовий');
INSERT INTO `lang_definitions` VALUES (122643, 3811, 33, 'Ураження м\'за');
INSERT INTO `lang_definitions` VALUES (122644, 3812, 33, 'Кістково-м\'язовий');
INSERT INTO `lang_definitions` VALUES (122645, 3813, 33, 'Якщо ідентифікація через SMPT не використовується, то має бути порожнім');
INSERT INTO `lang_definitions` VALUES (122646, 3814, 33, 'Визначається спільно');
INSERT INTO `lang_definitions` VALUES (122647, 3815, 33, 'ДТП');
INSERT INTO `lang_definitions` VALUES (122648, 3818, 33, 'самостійно');
INSERT INTO `lang_definitions` VALUES (122649, 3821, 33, 'Не застос.');
INSERT INTO `lang_definitions` VALUES (122650, 3822, 33, 'не застос.');
INSERT INTO `lang_definitions` VALUES (122651, 3823, 33, 'ПІБ');
INSERT INTO `lang_definitions` VALUES (122652, 3825, 33, 'Назва (клацніть для уточнення)');
INSERT INTO `lang_definitions` VALUES (122653, 3826, 33, 'Назва 1');
INSERT INTO `lang_definitions` VALUES (122654, 3827, 33, 'Назва 2');
INSERT INTO `lang_definitions` VALUES (122655, 3828, 33, 'Назва і заголовок органу, що керує імунізацію');
INSERT INTO `lang_definitions` VALUES (122656, 3831, 33, 'Назва подій');
INSERT INTO `lang_definitions` VALUES (122657, 3832, 33, 'Назва страхової компанії');
INSERT INTO `lang_definitions` VALUES (122658, 3833, 33, 'Прізвище спеціаліста');
INSERT INTO `lang_definitions` VALUES (122659, 3834, 33, 'Прізвище того, хто відправляє нагадування для пацієнта');
INSERT INTO `lang_definitions` VALUES (122660, 3835, 33, 'Переклад назви');
INSERT INTO `lang_definitions` VALUES (122661, 3836, 33, 'Назва/значення');
INSERT INTO `lang_definitions` VALUES (122662, 3837, 33, 'Назва:');
INSERT INTO `lang_definitions` VALUES (122663, 3838, 33, 'НІЗДРІ:');
INSERT INTO `lang_definitions` VALUES (122664, 3839, 33, 'НІЗДРІ: Справа в нормі');
INSERT INTO `lang_definitions` VALUES (122665, 3840, 33, 'Слизова носа рожева, перегородка посередині');
INSERT INTO `lang_definitions` VALUES (122666, 3841, 33, 'Записи в національній нотації');
INSERT INTO `lang_definitions` VALUES (122667, 3842, 33, 'Налаштування записів в національній нотації');
INSERT INTO `lang_definitions` VALUES (122668, 3843, 33, 'Кнопки заміни записів в національній нотації');
INSERT INTO `lang_definitions` VALUES (122669, 3844, 33, 'Національність');
INSERT INTO `lang_definitions` VALUES (122670, 3845, 33, 'Записи в національній нотації');
INSERT INTO `lang_definitions` VALUES (122671, 3847, 33, 'Корінний гаваєць або інший житель островів Тихого Океану');
INSERT INTO `lang_definitions` VALUES (122672, 3852, 33, 'Нудота');
INSERT INTO `lang_definitions` VALUES (122673, 3854, 33, 'Навігація');
INSERT INTO `lang_definitions` VALUES (122674, 3855, 33, 'Область навігації включає варіанти звернення');
INSERT INTO `lang_definitions` VALUES (122675, 3856, 33, 'Область навігації використовує всю висоту вікна');
INSERT INTO `lang_definitions` VALUES (122676, 3857, 33, 'Форми відвідування для області навігації');
INSERT INTO `lang_definitions` VALUES (122677, 3858, 33, 'Ширина області навігації');
INSERT INTO `lang_definitions` VALUES (122678, 3859, 33, 'Меню навігації складається з кількох пар перемикачів');
INSERT INTO `lang_definitions` VALUES (122679, 3860, 33, 'Навігаційне меню у вигляді дерева');
INSERT INTO `lang_definitions` VALUES (122680, 3861, 33, 'Навігація використовує меню-слайдер');
INSERT INTO `lang_definitions` VALUES (122681, 3862, 33, 'NDC');
INSERT INTO `lang_definitions` VALUES (122682, 3863, 33, 'Дані NDC');
INSERT INTO `lang_definitions` VALUES (122683, 3864, 33, 'Номер NDC');
INSERT INTO `lang_definitions` VALUES (122684, 3866, 33, 'Шия');
INSERT INTO `lang_definitions` VALUES (122685, 3867, 33, 'Проблеми з шиєю');
INSERT INTO `lang_definitions` VALUES (122686, 3868, 33, 'Гнучкість шиї');
INSERT INTO `lang_definitions` VALUES (122687, 3869, 33, 'Необхідно ввести опис');
INSERT INTO `lang_definitions` VALUES (122688, 3870, 33, 'Необхідно ввести повернене значення');
INSERT INTO `lang_definitions` VALUES (122689, 3871, 33, 'Необхідно ввести ідентифікатор');
INSERT INTO `lang_definitions` VALUES (122690, 3872, 33, 'Необхідно ввести назву');
INSERT INTO `lang_definitions` VALUES (122691, 3873, 33, 'Потребує авторизації');
INSERT INTO `lang_definitions` VALUES (122692, 3874, 33, 'Потребує підтвердження');
INSERT INTO `lang_definitions` VALUES (122693, 3875, 33, 'Потребує повторного виставлення рахунку');
INSERT INTO `lang_definitions` VALUES (122694, 3876, 33, 'Негативний');
INSERT INTO `lang_definitions` VALUES (122695, 3877, 33, 'Заперечення');
INSERT INTO `lang_definitions` VALUES (122696, 3880, 33, 'Ушкодження нерва');
INSERT INTO `lang_definitions` VALUES (122697, 3881, 33, 'Неврологічний статус / ушкодження нерва');
INSERT INTO `lang_definitions` VALUES (122698, 3882, 33, 'Заціпеніння');
INSERT INTO `lang_definitions` VALUES (122699, 3883, 33, 'Слабкість');
INSERT INTO `lang_definitions` VALUES (122700, 3884, 33, 'Неврологічний');
INSERT INTO `lang_definitions` VALUES (122701, 3885, 33, 'Ніколи');
INSERT INTO `lang_definitions` VALUES (122702, 3886, 33, 'Не вживав алкоголь');
INSERT INTO `lang_definitions` VALUES (122703, 3887, 33, 'Не палив');
INSERT INTO `lang_definitions` VALUES (122704, 3888, 33, 'Новий');
INSERT INTO `lang_definitions` VALUES (122705, 3889, 33, 'Новий =>');
INSERT INTO `lang_definitions` VALUES (122706, 3890, 33, 'Нові отримувачі');
INSERT INTO `lang_definitions` VALUES (122707, 3892, 33, 'Новий вид аллергії');
INSERT INTO `lang_definitions` VALUES (122708, 3894, 33, 'Новий запис на прийом');
INSERT INTO `lang_definitions` VALUES (122709, 3895, 33, 'Нові категорії');
INSERT INTO `lang_definitions` VALUES (122710, 3896, 33, 'Нова категорія');
INSERT INTO `lang_definitions` VALUES (122711, 3897, 33, 'Нові клієнти');
INSERT INTO `lang_definitions` VALUES (122712, 3898, 33, 'Нова консультація');
INSERT INTO `lang_definitions` VALUES (122713, 3899, 33, 'Нова група');
INSERT INTO `lang_definitions` VALUES (122714, 3900, 33, 'Доданий новий набір визначень');
INSERT INTO `lang_definitions` VALUES (122715, 3901, 33, 'Новий документ');
INSERT INTO `lang_definitions` VALUES (122716, 3902, 33, 'Нові документи');
INSERT INTO `lang_definitions` VALUES (122717, 3904, 33, 'Нове звернення');
INSERT INTO `lang_definitions` VALUES (122718, 3905, 33, 'Нове звернення створене з id');
INSERT INTO `lang_definitions` VALUES (122719, 3906, 33, 'Нова форма звернення');
INSERT INTO `lang_definitions` VALUES (122720, 3907, 33, 'Доступ до нових звертань не дозволено');
INSERT INTO `lang_definitions` VALUES (122721, 3908, 33, 'Нове звертання');
INSERT INTO `lang_definitions` VALUES (122722, 3909, 33, 'Інформація про новий медичний заклад');
INSERT INTO `lang_definitions` VALUES (122723, 3910, 33, 'Новий файл');
INSERT INTO `lang_definitions` VALUES (122724, 3911, 33, 'Нові файли');
INSERT INTO `lang_definitions` VALUES (122725, 3912, 33, 'Нова група');
INSERT INTO `lang_definitions` VALUES (122726, 3913, 33, 'Інформація щодо нової групи');
INSERT INTO `lang_definitions` VALUES (122727, 3914, 33, 'Нове введення/стан');
INSERT INTO `lang_definitions` VALUES (122728, 3916, 33, 'Нове обмеження подій');
INSERT INTO `lang_definitions` VALUES (122729, 3917, 33, 'Новий список');
INSERT INTO `lang_definitions` VALUES (122730, 3918, 33, 'Нові призначення');
INSERT INTO `lang_definitions` VALUES (122731, 3919, 33, 'Новий пункт (розділ)');
INSERT INTO `lang_definitions` VALUES (122732, 3920, 33, 'Новий пароль');
INSERT INTO `lang_definitions` VALUES (122733, 3921, 33, 'Новий пацієнт');
INSERT INTO `lang_definitions` VALUES (122734, 3922, 33, 'НОВИЙ ПАЦІЄНТ');
INSERT INTO `lang_definitions` VALUES (122735, 3923, 33, 'Звернення нового пацієнта');
INSERT INTO `lang_definitions` VALUES (122736, 3924, 33, 'Нова форма пацієнта');
INSERT INTO `lang_definitions` VALUES (122737, 3925, 33, 'ID нового пацієнта');
INSERT INTO `lang_definitions` VALUES (122738, 3926, 33, 'Нова оплата');
INSERT INTO `lang_definitions` VALUES (122739, 3928, 33, 'Новий пункт');
INSERT INTO `lang_definitions` VALUES (122740, 3929, 33, 'Нові результати з Lab Exchange');
INSERT INTO `lang_definitions` VALUES (122741, 3930, 33, 'Новий пошук');
INSERT INTO `lang_definitions` VALUES (122742, 3931, 33, 'Новий розгляд');
INSERT INTO `lang_definitions` VALUES (122743, 3932, 33, 'Новий користувач');
INSERT INTO `lang_definitions` VALUES (122744, 3934, 33, 'Новий візит');
INSERT INTO `lang_definitions` VALUES (122745, 3935, 33, 'Новий/Пошук');
INSERT INTO `lang_definitions` VALUES (122746, 3936, 33, 'Статус рахунка NewCrop');
INSERT INTO `lang_definitions` VALUES (122747, 3937, 33, 'Адміністрація NewCrop');
INSERT INTO `lang_definitions` VALUES (122748, 3938, 33, 'Виклик NewCrop дав збій');
INSERT INTO `lang_definitions` VALUES (122749, 3939, 33, 'Лікар NewCrop');
INSERT INTO `lang_definitions` VALUES (122750, 3944, 33, 'Найменування eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122751, 3945, 33, 'Наименування партнера eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122752, 3946, 33, 'Пароль eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122753, 3947, 33, 'Рівень доступу eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122754, 3948, 33, 'Рівень доступу eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122755, 3949, 33, 'Адреса вузла eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122756, 3954, 33, 'Адреса веб-служби eRx NewCrop');
INSERT INTO `lang_definitions` VALUES (122757, 3955, 33, 'Менеджер NewCrop');
INSERT INTO `lang_definitions` VALUES (122758, 3956, 33, 'Мед. запис для NewCrop');
INSERT INTO `lang_definitions` VALUES (122759, 3957, 33, 'Фахівець середнього рівня NewCrop з правом призначення рецептурних препаратів');
INSERT INTO `lang_definitions` VALUES (122760, 3958, 33, 'Медсестра NewCrop');
INSERT INTO `lang_definitions` VALUES (122761, 3959, 33, 'Контролюючий лікар NewCrop');
INSERT INTO `lang_definitions` VALUES (122762, 3961, 33, 'Газета');
INSERT INTO `lang_definitions` VALUES (122763, 3962, 33, 'Наступний');
INSERT INTO `lang_definitions` VALUES (122764, 3964, 33, 'Наступний день');
INSERT INTO `lang_definitions` VALUES (122765, 3965, 33, 'Наступний місяць');
INSERT INTO `lang_definitions` VALUES (122766, 3966, 33, 'Наступний місяць (утримайте для меню)');
INSERT INTO `lang_definitions` VALUES (122767, 3967, 33, 'Наступний запланований запуск');
INSERT INTO `lang_definitions` VALUES (122768, 3968, 33, 'Наступний тиждень');
INSERT INTO `lang_definitions` VALUES (122769, 3969, 33, 'Наступний рік (утримайте для меню)');
INSERT INTO `lang_definitions` VALUES (122770, 3971, 33, 'Псевдонім');
INSERT INTO `lang_definitions` VALUES (122771, 3973, 33, 'Пітливість вночі');
INSERT INTO `lang_definitions` VALUES (122772, 3974, 33, 'Nl зовнішніх статевих органів, слизової вагіни, шийки матки');
INSERT INTO `lang_definitions` VALUES (122773, 3975, 33, 'Ні');
INSERT INTO `lang_definitions` VALUES (122774, 3976, 33, 'НІ');
INSERT INTO `lang_definitions` VALUES (122775, 3977, 33, 'Немає доступу');
INSERT INTO `lang_definitions` VALUES (122776, 3978, 33, 'Активних нагадувань для пацієнта немає.');
INSERT INTO `lang_definitions` VALUES (122777, 3979, 33, 'Аденопатії немає (обов\'язково 2 ділянки)');
INSERT INTO `lang_definitions` VALUES (122778, 3980, 33, 'Не знайдено типу причини для коригування');
INSERT INTO `lang_definitions` VALUES (122779, 3981, 33, 'Немає болючості/новоутворень у придатках');
INSERT INTO `lang_definitions` VALUES (122780, 3983, 33, 'Записів на прийом немає');
INSERT INTO `lang_definitions` VALUES (122781, 3985, 33, 'На даний час біллінгова система є неактивною');
INSERT INTO `lang_definitions` VALUES (122782, 3986, 33, 'Для включення в експорт OFX рахунків не виявлено');
INSERT INTO `lang_definitions` VALUES (122783, 3987, 33, 'Для включення в експорт OFX рахунків не виявлено<br>');
INSERT INTO `lang_definitions` VALUES (122784, 3989, 33, 'Не вказаний код!');
INSERT INTO `lang_definitions` VALUES (122785, 3992, 33, 'Нема діагноза');
INSERT INTO `lang_definitions` VALUES (122786, 3993, 33, 'Жодних документів не знайдено');
INSERT INTO `lang_definitions` VALUES (122787, 3994, 33, 'Жодних звернень не було створено');
INSERT INTO `lang_definitions` VALUES (122788, 3995, 33, 'Немає кінцевої дати');
INSERT INTO `lang_definitions` VALUES (122789, 3996, 33, 'Жодного запису не знайдено. Використовуйте подану нижче форму, щоби добавити запис.');
INSERT INTO `lang_definitions` VALUES (122790, 3997, 33, 'Помилок не знайдено');
INSERT INTO `lang_definitions` VALUES (122791, 3998, 33, 'Жодних подій немає.');
INSERT INTO `lang_definitions` VALUES (122792, 4000, 33, 'Жодних файлів на етапі встановлення');
INSERT INTO `lang_definitions` VALUES (122793, 4001, 33, 'Жодна група не обрана.');
INSERT INTO `lang_definitions` VALUES (122794, 4002, 33, 'Немає жодних гриж.');
INSERT INTO `lang_definitions` VALUES (122795, 4005, 33, 'Без травми/захворювань');
INSERT INTO `lang_definitions` VALUES (122796, 4006, 33, 'Не знайдені страхові компанії');
INSERT INTO `lang_definitions` VALUES (122797, 4007, 33, 'Проблем немає');
INSERT INTO `lang_definitions` VALUES (122798, 4008, 33, 'Для цього звернення проблем немає');
INSERT INTO `lang_definitions` VALUES (122799, 4009, 33, 'У вибраній категорії немає пунктів');
INSERT INTO `lang_definitions` VALUES (122800, 4010, 33, 'Не обраний жодний пункт!');
INSERT INTO `lang_definitions` VALUES (122801, 4025, 33, 'Жодного зареєстрованого файлу немає на обрану датн');
INSERT INTO `lang_definitions` VALUES (122802, 4027, 33, 'Немає новоутворень, болючості');
INSERT INTO `lang_definitions` VALUES (122803, 4028, 33, 'Для наданого Re коду індентифікації немає відповідного запису щодо пацієнта.');
INSERT INTO `lang_definitions` VALUES (122804, 4029, 33, 'Жодного співпадіння. Спробуйте пошукати знову.');
INSERT INTO `lang_definitions` VALUES (122805, 4030, 33, 'Співпадінь не виявлено.');
INSERT INTO `lang_definitions` VALUES (122806, 4031, 33, 'Співпадінь не виявлено. Оформити нового пацієнта?');
INSERT INTO `lang_definitions` VALUES (122807, 4032, 33, 'Жодних відповідних записів не знайдено');
INSERT INTO `lang_definitions` VALUES (122808, 4033, 33, 'Нових результатів не виявлено');
INSERT INTO `lang_definitions` VALUES (122809, 4034, 33, 'Немає записів');
INSERT INTO `lang_definitions` VALUES (122810, 4035, 33, 'Органомегалія не простежується');
INSERT INTO `lang_definitions` VALUES (122811, 4036, 33, 'За цей період жодних відкритих не виявлено');
INSERT INTO `lang_definitions` VALUES (122812, 4037, 33, 'Жодних інших телефонних номерів немає.');
INSERT INTO `lang_definitions` VALUES (122813, 4039, 33, 'Партнерів не знайдено');
INSERT INTO `lang_definitions` VALUES (122814, 4040, 33, 'Для поданих критеріїв вибору жодного запису щодо паціента не знайдено.');
INSERT INTO `lang_definitions` VALUES (122815, 4041, 33, 'Для поданого Re коду індентифікації жодного запису щодо пацієнта не знайдено.');
INSERT INTO `lang_definitions` VALUES (122816, 4042, 33, 'Немає перифирійних набряків.');
INSERT INTO `lang_definitions` VALUES (122817, 4043, 33, 'Жодної аптеки не знайдено');
INSERT INTO `lang_definitions` VALUES (122818, 4044, 33, 'Призначень не знайдено');
INSERT INTO `lang_definitions` VALUES (122819, 4045, 33, 'Захворювань/травм не представлено');
INSERT INTO `lang_definitions` VALUES (122820, 4046, 33, 'Відсутні попередні введення.');
INSERT INTO `lang_definitions` VALUES (122821, 4047, 33, 'Жоден медичний заклад не визначено як Основний');
INSERT INTO `lang_definitions` VALUES (122822, 4048, 33, 'Немає попередніх звернень');
INSERT INTO `lang_definitions` VALUES (122823, 4049, 33, 'Немає процедур для цього звернення');
INSERT INTO `lang_definitions` VALUES (122824, 4051, 33, 'Не знайдено спеціалістів');
INSERT INTO `lang_definitions` VALUES (122825, 4052, 33, 'Немає висипу або аномальних уражень.');
INSERT INTO `lang_definitions` VALUES (122826, 4053, 33, 'Записів не знайдено.');
INSERT INTO `lang_definitions` VALUES (122827, 4055, 33, 'Жодних записів не втявлено. Розширте критерії пошуку.');
INSERT INTO `lang_definitions` VALUES (122828, 4056, 33, 'Нагадувань немає');
INSERT INTO `lang_definitions` VALUES (122829, 4057, 33, 'Для зазначених критеріїв пошуку результатів не знайдено.');
INSERT INTO `lang_definitions` VALUES (122830, 4058, 33, 'Результатів немає');
INSERT INTO `lang_definitions` VALUES (122831, 4059, 33, 'Результатів не знайдено');
INSERT INTO `lang_definitions` VALUES (122832, 4060, 33, 'Під час пошуку результатів не знайдено.');
INSERT INTO `lang_definitions` VALUES (122833, 4061, 33, 'Результатів не знайдено, спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (122834, 4062, 33, 'Результатів немає, спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (122835, 4063, 33, 'Результатів немає, спробуйте ще раз.');
INSERT INTO `lang_definitions` VALUES (122836, 4065, 33, 'Не показувати');
INSERT INTO `lang_definitions` VALUES (122837, 4067, 33, 'Пазухи неболючі:');
INSERT INTO `lang_definitions` VALUES (122838, 4068, 33, 'Не спостерігається заглибин на шкірі чи вузлів на грудях');
INSERT INTO `lang_definitions` VALUES (122839, 4069, 33, 'ТАКОГО КОНТЕКСТНОГО ІМЕНІ НЕМАЄ');
INSERT INTO `lang_definitions` VALUES (122840, 4070, 33, 'Таблицю не вибрано! Виберіть таблицю.');
INSERT INTO `lang_definitions` VALUES (122841, 4071, 33, 'Яєчка неболючі, новоутворень немає');
INSERT INTO `lang_definitions` VALUES (122842, 4072, 33, 'Немає тремтіння і підйомів');
INSERT INTO `lang_definitions` VALUES (122843, 4075, 33, 'Немає відвідувань');
INSERT INTO `lang_definitions` VALUES (122844, 4076, 33, 'Життєво важливі показники не зареєстровані.');
INSERT INTO `lang_definitions` VALUES (122845, 4077, 33, 'Ні, відмінити');
INSERT INTO `lang_definitions` VALUES (122846, 4078, 33, 'Страхування автотранспортного засобу незалежно від винуватця зіткнення є первинним');
INSERT INTO `lang_definitions` VALUES (122847, 4079, 33, 'Нет:');
INSERT INTO `lang_definitions` VALUES (122848, 4080, 33, 'Ніктурія, нічна поліурія');
INSERT INTO `lang_definitions` VALUES (122849, 4081, 33, 'Не оплачено');
INSERT INTO `lang_definitions` VALUES (122850, 4082, 33, 'Ненаданий звіт');
INSERT INTO `lang_definitions` VALUES (122851, 4083, 33, 'Пошкодження невизначеного типу');
INSERT INTO `lang_definitions` VALUES (122852, 4084, 33, 'Неелектроннтй');
INSERT INTO `lang_definitions` VALUES (122853, 4085, 33, 'Не-інсулінонезалежний діабет');
INSERT INTO `lang_definitions` VALUES (122854, 4086, 33, 'Не застрахований');
INSERT INTO `lang_definitions` VALUES (122855, 4087, 33, 'Медичні аспекти, не пов\'язані з сексуальним і репродуктивним здоров\"ям');
INSERT INTO `lang_definitions` VALUES (122856, 4088, 33, 'Немедичні аспекти, не пов\'язані з сексуальним і репродуктивним здоров\"ям');
INSERT INTO `lang_definitions` VALUES (122857, 4089, 33, 'Немає');
INSERT INTO `lang_definitions` VALUES (122858, 4090, 33, 'немає');
INSERT INTO `lang_definitions` VALUES (122859, 4091, 33, 'Не визначено');
INSERT INTO `lang_definitions` VALUES (122860, 4092, 33, 'Жоден не зареєстрований');
INSERT INTO `lang_definitions` VALUES (122861, 4093, 33, 'Жоден із зазначеного вище');
INSERT INTO `lang_definitions` VALUES (122862, 4094, 33, 'Жодна лінійка не повинна залишатися повністю пустою');
INSERT INTO `lang_definitions` VALUES (122863, 4095, 33, 'Не-інсулінонезалежний діабет');
INSERT INTO `lang_definitions` VALUES (122864, 4096, 33, 'Також ні');
INSERT INTO `lang_definitions` VALUES (122865, 4097, 33, 'Звичайний');
INSERT INTO `lang_definitions` VALUES (122866, 4098, 33, 'Звичайний рахунок');
INSERT INTO `lang_definitions` VALUES (122867, 4099, 33, 'Звичайне кардіологічне обстеження:');
INSERT INTO `lang_definitions` VALUES (122868, 4100, 33, 'Звичайне кардіологічне обстеження: ');
INSERT INTO `lang_definitions` VALUES (122869, 4101, 33, 'Звичайне пульмонологічне обстеження:');
INSERT INTO `lang_definitions` VALUES (122870, 4102, 33, 'Звичайне пульмонологічне обстеження: ');
INSERT INTO `lang_definitions` VALUES (122871, 4103, 33, 'Звичайний візит в кабінет лікаря');
INSERT INTO `lang_definitions` VALUES (122872, 4104, 33, 'Звичайна ротоглотка (мезофарінкс):');
INSERT INTO `lang_definitions` VALUES (122873, 4105, 33, 'Звичайний справа');
INSERT INTO `lang_definitions` VALUES (122874, 4106, 33, 'Звичайний справа:');
INSERT INTO `lang_definitions` VALUES (122875, 4107, 33, 'Звичайний вигляд');
INSERT INTO `lang_definitions` VALUES (122876, 4108, 33, 'звичайний:');
INSERT INTO `lang_definitions` VALUES (122877, 4109, 33, 'Зазвичай, повинно бути перевірено. Не пов\'язано з контролем доступу.');
INSERT INTO `lang_definitions` VALUES (122878, 4112, 33, 'Норвезька');
INSERT INTO `lang_definitions` VALUES (122879, 4115, 33, 'Ніс');
INSERT INTO `lang_definitions` VALUES (122880, 4116, 33, 'Носова кровотеча');
INSERT INTO `lang_definitions` VALUES (122881, 4117, 33, 'немає букви чи цифри');
INSERT INTO `lang_definitions` VALUES (122882, 4119, 33, 'Для кодів чи їх типів потрібні не всі поля.');
INSERT INTO `lang_definitions` VALUES (122883, 4120, 33, 'Не дозволено');
INSERT INTO `lang_definitions` VALUES (122884, 4121, 33, 'Не дозволено видаляти групу адміністраторів');
INSERT INTO `lang_definitions` VALUES (122885, 4122, 33, 'Редагування не дозволено');
INSERT INTO `lang_definitions` VALUES (122886, 4123, 33, 'Інактивація всіх об\'єктів безпеки не дозволена');
INSERT INTO `lang_definitions` VALUES (122887, 4124, 33, 'Не дозволено інактивувати те, що стосується адміністраторів управління доступом (ACL)');
INSERT INTO `lang_definitions` VALUES (122888, 4125, 33, 'Видаляти користувача admin з групи адміністраторів не дозволено');
INSERT INTO `lang_definitions` VALUES (122889, 4126, 33, 'Видаляти цього користувача з групи адміністраторів не дозволено');
INSERT INTO `lang_definitions` VALUES (122890, 4127, 33, 'Не відповідний');
INSERT INTO `lang_definitions` VALUES (122891, 4128, 33, 'Доступ до модуля PostCalendar не дозволений');
INSERT INTO `lang_definitions` VALUES (122892, 4129, 33, 'Доступу немає');
INSERT INTO `lang_definitions` VALUES (122893, 4130, 33, 'Доступу немає');
INSERT INTO `lang_definitions` VALUES (122894, 4131, 33, 'Для цієї групи доступу немає!');
INSERT INTO `lang_definitions` VALUES (122895, 4132, 33, 'Для цієї групи доступу немає.');
INSERT INTO `lang_definitions` VALUES (122896, 4133, 33, 'Для керування користувачами доступу немає!');
INSERT INTO `lang_definitions` VALUES (122897, 4134, 33, 'Для підписування результатів доступу немає');
INSERT INTO `lang_definitions` VALUES (122898, 4135, 33, 'Не доступно');
INSERT INTO `lang_definitions` VALUES (122899, 4137, 33, 'Рахунок не виставлено');
INSERT INTO `lang_definitions` VALUES (122900, 4138, 33, 'Не зареєстровано');
INSERT INTO `lang_definitions` VALUES (122901, 4139, 33, 'Не перевірено');
INSERT INTO `lang_definitions` VALUES (122902, 4140, 33, 'Не закодовано');
INSERT INTO `lang_definitions` VALUES (122903, 4141, 33, 'Не підлягає');
INSERT INTO `lang_definitions` VALUES (122904, 4143, 33, 'Не обстежений');
INSERT INTO `lang_definitions` VALUES (122905, 4144, 33, 'Не обстежений:');
INSERT INTO `lang_definitions` VALUES (122906, 4145, 33, 'Не обстежений: ');
INSERT INTO `lang_definitions` VALUES (122907, 4146, 33, 'не знайдений');
INSERT INTO `lang_definitions` VALUES (122908, 4148, 33, 'не знайдений!');
INSERT INTO `lang_definitions` VALUES (122909, 4149, 33, 'Не виходець з Іспанії чи з Латинської Америки');
INSERT INTO `lang_definitions` VALUES (122910, 4150, 33, 'Не встановлено');
INSERT INTO `lang_definitions` VALUES (122911, 4152, 33, 'Не бачив з');
INSERT INTO `lang_definitions` VALUES (122912, 4153, 33, 'Не відправлено');
INSERT INTO `lang_definitions` VALUES (122913, 4154, 33, 'Ще не відправлено');
INSERT INTO `lang_definitions` VALUES (122914, 4155, 33, 'Не задано');
INSERT INTO `lang_definitions` VALUES (122915, 4156, 33, 'Не задано.');
INSERT INTO `lang_definitions` VALUES (122916, 4157, 33, 'Примітка');
INSERT INTO `lang_definitions` VALUES (122917, 4158, 33, 'Коди приміток');
INSERT INTO `lang_definitions` VALUES (122918, 4159, 33, 'Зауважте, що 5-10 хвилин необхідно для повної обробки інформаціїї посля того, як ви натиснете \"Встановити\"');
INSERT INTO `lang_definitions` VALUES (122919, 4160, 33, 'Зауважте, що 5-10 хвилин необхідно для повної обробки інформаціїї посля того, як ви натиснете \"Оновити\"');
INSERT INTO `lang_definitions` VALUES (122920, 4161, 33, 'Зауважте, що аудит логів повинен бути включений вище');
INSERT INTO `lang_definitions` VALUES (122921, 4162, 33, 'Тип запису');
INSERT INTO `lang_definitions` VALUES (122922, 4163, 33, 'Примітка: полудень 12:00 є \"після полудня\" а не \"зранку\"');
INSERT INTO `lang_definitions` VALUES (122923, 4164, 33, 'ПРИМІТКА: Імпортування зовнішніх даних може тривати більше години, залежно від вашого апаратного забезпечення. Для прикладу, одна таблиця даних RxNorm містить більше 6 мільйонів рядків.');
INSERT INTO `lang_definitions` VALUES (122924, 4165, 33, 'ПРИМІТКА: зараз підтримується лише міжнарожний випуск Snomed з двома виходами на рік');
INSERT INTO `lang_definitions` VALUES (122925, 4166, 33, 'ПРИМІТКА: підтримується лише повний щомісячний випуск RxNorm');
INSERT INTO `lang_definitions` VALUES (122926, 4168, 33, 'Примітка: цей код був введений неавторизованим користувачем. Тільки дозволені коди можуть вводитися у Відкриту Біллінгову Медичну Сітку для обробки. Якщо хочете завантажити ці коди, виберіть тут авторизованого користувача.');
INSERT INTO `lang_definitions` VALUES (122927, 4170, 33, 'ПРИМІТКА: завантаження файлів з одинаковими назвами призведе до автоматичної зміни файлів (наприклад, file.jpg стане file.1.jpg). Назви файлів вважаються унікальними для одного паціента, а не для кожної категорії.');
INSERT INTO `lang_definitions` VALUES (122928, 4171, 33, 'Примітка: завантаження файлів з одинаковими назвами призведе до автоматичного перейменування файлів. Наприклад, \' file.jpg\' стане \' file.jpg.1\'. Назви файлів вважаються унікальними для одного паціента, а не для кожної категорії.');
INSERT INTO `lang_definitions` VALUES (122929, 4172, 33, 'Записи');
INSERT INTO `lang_definitions` VALUES (122930, 4173, 33, 'Записи - будь-які звернення (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (122931, 4174, 33, 'Записи - мои звернення (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (122932, 4175, 33, 'Доступ до записів не дозволений');
INSERT INTO `lang_definitions` VALUES (122933, 4177, 33, 'Нічого не записано');
INSERT INTO `lang_definitions` VALUES (122934, 4179, 33, 'Нічого імпортувати в алергії');
INSERT INTO `lang_definitions` VALUES (122935, 4180, 33, 'Нічого імпортувати в призначення');
INSERT INTO `lang_definitions` VALUES (122936, 4181, 33, 'Нічого показувати');
INSERT INTO `lang_definitions` VALUES (122937, 4182, 33, 'Нічого не обрано');
INSERT INTO `lang_definitions` VALUES (122938, 4184, 33, 'ПОПЕРЕДЖЕННЯ:: надання чи зміна PostCalendar');
INSERT INTO `lang_definitions` VALUES (122939, 4185, 33, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (122940, 4186, 33, 'Адреса e-mail для повідомлення');
INSERT INTO `lang_definitions` VALUES (122941, 4188, 33, 'Повідомлення');
INSERT INTO `lang_definitions` VALUES (122942, 4189, 33, 'Повідомити адміністратора про вказані чи змінені події?');
INSERT INTO `lang_definitions` VALUES (122943, 4190, 33, 'Лист.');
INSERT INTO `lang_definitions` VALUES (122944, 4191, 33, 'Листопад');
INSERT INTO `lang_definitions` VALUES (122945, 4192, 33, 'Нова відтправка для:');
INSERT INTO `lang_definitions` VALUES (122946, 4193, 33, 'Друкується');
INSERT INTO `lang_definitions` VALUES (122947, 4194, 33, 'Друкуються заявки $stmt_count і оновленні звернення.');
INSERT INTO `lang_definitions` VALUES (122948, 4195, 33, 'Друкуються заявки $stmt_count і оновленні рахунки.');
INSERT INTO `lang_definitions` VALUES (122949, 4196, 33, 'Друкуються заявки $stmt_count; звернення не будуть обновлятися.');
INSERT INTO `lang_definitions` VALUES (122950, 4197, 33, 'Друкуються заявки $stmt_count; рахунки не будуть обновлятися.');
INSERT INTO `lang_definitions` VALUES (122951, 4198, 33, 'NPI');
INSERT INTO `lang_definitions` VALUES (122952, 4199, 33, 'NQF');
INSERT INTO `lang_definitions` VALUES (122953, 4200, 33, 'Номер');
INSERT INTO `lang_definitions` VALUES (122954, 4201, 33, 'Номер лаб.');
INSERT INTO `lang_definitions` VALUES (122955, 4204, 33, 'Кількість стовпчиків в огляді за рік.');
INSERT INTO `lang_definitions` VALUES (122956, 4211, 33, 'Кількість днів, впродовж яких сертифікат клієнта дійсний.');
INSERT INTO `lang_definitions` VALUES (122957, 4213, 33, 'Кількість цифр після десяткової коми для грошей, зазвичай 0 або 2.');
INSERT INTO `lang_definitions` VALUES (122958, 4214, 33, 'Кількість відображених на сторінці звернень.');
INSERT INTO `lang_definitions` VALUES (122959, 4215, 33, 'Кількість пропущених ігор або подій, якщо такі мали місце');
INSERT INTO `lang_definitions` VALUES (122960, 4216, 33, 'Кількість годин на відправку e-mail повідомлень.');
INSERT INTO `lang_definitions` VALUES (122961, 4217, 33, 'Кількість годин на відправку телефонограм.');
INSERT INTO `lang_definitions` VALUES (122962, 4218, 33, 'Кількість годин на відправку SMC-повідомлень.');
INSERT INTO `lang_definitions` VALUES (122963, 4221, 33, 'Кількість стовпчиків для анамнезу.');
INSERT INTO `lang_definitions` VALUES (122964, 4222, 33, 'Кількість пацієнтів для відображення на одній сторінці списку пацієнтів.');
INSERT INTO `lang_definitions` VALUES (122965, 4223, 33, 'Заціпеніння, нечутливість');
INSERT INTO `lang_definitions` VALUES (122966, 4224, 33, 'Нумератор');
INSERT INTO `lang_definitions` VALUES (122967, 4225, 33, 'Порядок відображення чисел');
INSERT INTO `lang_definitions` VALUES (122968, 4227, 33, 'Харчування');
INSERT INTO `lang_definitions` VALUES (122969, 4229, 33, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (122970, 4230, 33, 'Насичений киснем');
INSERT INTO `lang_definitions` VALUES (122971, 4231, 33, 'Ожиріння I ст.');
INSERT INTO `lang_definitions` VALUES (122972, 4232, 33, 'Ожиріння IІ ст.');
INSERT INTO `lang_definitions` VALUES (122973, 4233, 33, 'Ожиріння IІІ ст.');
INSERT INTO `lang_definitions` VALUES (122974, 4234, 33, 'Об\'єктивно');
INSERT INTO `lang_definitions` VALUES (122975, 4237, 33, 'Професія');
INSERT INTO `lang_definitions` VALUES (122976, 4239, 33, 'Випадок');
INSERT INTO `lang_definitions` VALUES (122977, 4240, 33, 'Жов.');
INSERT INTO `lang_definitions` VALUES (122978, 4241, 33, 'Жовтень');
INSERT INTO `lang_definitions` VALUES (122979, 4242, 33, 'OD');
INSERT INTO `lang_definitions` VALUES (122980, 4243, 33, 'з');
INSERT INTO `lang_definitions` VALUES (122981, 4244, 33, 'з кількості');
INSERT INTO `lang_definitions` VALUES (122982, 4245, 33, 'таблеток');
INSERT INTO `lang_definitions` VALUES (122983, 4246, 33, 'кожний місяць');
INSERT INTO `lang_definitions` VALUES (122984, 4247, 33, 'Служб. записи');
INSERT INTO `lang_definitions` VALUES (122985, 4248, 33, 'Вимкнений');
INSERT INTO `lang_definitions` VALUES (122986, 4249, 33, 'Службові записи');
INSERT INTO `lang_definitions` VALUES (122987, 4250, 33, 'Відвідування кабінету');
INSERT INTO `lang_definitions` VALUES (122988, 4251, 33, 'Групи порівняння для офіційної клінічної одиниці вимірювання якості (CQM)');
INSERT INTO `lang_definitions` VALUES (122989, 4252, 33, 'Зовнішній Https-лінк для порталу пацієнта.');
INSERT INTO `lang_definitions` VALUES (122990, 4253, 33, 'Зовнішній Https-лнік для порталу пацієнта. (Портал пацієнта)');
INSERT INTO `lang_definitions` VALUES (122991, 4254, 33, 'Зовнішній пароль порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (122992, 4255, 33, 'Зовнішній пароль порталу пацієнтів (якщо не зареєстровані, то залишіть незаповненим)');
INSERT INTO `lang_definitions` VALUES (122993, 4256, 33, 'ID спеціаліста порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (122994, 4257, 33, 'ID спеціаліста порталу пацієнтів (якщо не зареєстровані, то залишіть незаповненим)');
INSERT INTO `lang_definitions` VALUES (122995, 4258, 33, 'Зовнішня адреса сайту порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (122996, 4259, 33, 'Зовнішня адреса сайту порталу пацієнтів (Зв\'язок пацієнта)');
INSERT INTO `lang_definitions` VALUES (122997, 4260, 33, 'Зовнішнє ім\'я користувача порталу пацієнтів');
INSERT INTO `lang_definitions` VALUES (122998, 4261, 33, 'Зовнішнє ім\'я користувача порталу пацієнтів (якщо не зареєстровані, то залишіть незаповненим)');
INSERT INTO `lang_definitions` VALUES (122999, 4263, 33, 'Потомство');
INSERT INTO `lang_definitions` VALUES (123000, 4265, 33, 'мазь');
INSERT INTO `lang_definitions` VALUES (123001, 4267, 33, 'OK');
INSERT INTO `lang_definitions` VALUES (123002, 4269, 33, 'OK для зв\'язку з цією датованою проблемою GCAC');
INSERT INTO `lang_definitions` VALUES (123003, 4270, 33, 'Старий');
INSERT INTO `lang_definitions` VALUES (123004, 4272, 33, 'Колишні клієнти');
INSERT INTO `lang_definitions` VALUES (123005, 4273, 33, 'Нестарий перелом / неправильне зростання тканин після перелому');
INSERT INTO `lang_definitions` VALUES (123006, 4274, 33, 'Макет старого стилю без меню зліва');
INSERT INTO `lang_definitions` VALUES (123007, 4275, 33, 'Статична форма старого стилю без пошуку чи перевірки на дублювання');
INSERT INTO `lang_definitions` VALUES (123008, 4277, 33, 'Пропустити');
INSERT INTO `lang_definitions` VALUES (123009, 4278, 33, 'Пропустити контури');
INSERT INTO `lang_definitions` VALUES (123010, 4279, 33, 'Пропускати інформацію про місце роботи в особистих даних пацієнта');
INSERT INTO `lang_definitions` VALUES (123011, 4280, 33, 'Пропустіть місце роботи');
INSERT INTO `lang_definitions` VALUES (123012, 4281, 33, 'Пропускати форму, спосіб і частоту введення, які надалі стають частиною дозування');
INSERT INTO `lang_definitions` VALUES (123013, 4282, 33, 'Пропускати інформацію про страхування і деякі інші пункти форми персональних даних');
INSERT INTO `lang_definitions` VALUES (123014, 4283, 33, 'Виключити внутрішніх користувачів?');
INSERT INTO `lang_definitions` VALUES (123015, 4284, 33, 'Виключення способу оплати з панелі доплати');
INSERT INTO `lang_definitions` VALUES (123016, 4285, 33, 'пропустити для автоматичного призначення');
INSERT INTO `lang_definitions` VALUES (123017, 4286, 33, 'в');
INSERT INTO `lang_definitions` VALUES (123018, 4287, 33, 'в');
INSERT INTO `lang_definitions` VALUES (123019, 4288, 33, 'на руках');
INSERT INTO `lang_definitions` VALUES (123020, 4289, 33, 'При призначенні');
INSERT INTO `lang_definitions` VALUES (123021, 4290, 33, 'на місці');
INSERT INTO `lang_definitions` VALUES (123022, 4291, 33, 'Після установки Основного медичного закладу його не можна змінювати. Зміна компонента вплине на роботу в ePrescription NewCrop.');
INSERT INTO `lang_definitions` VALUES (123023, 4292, 33, 'Після зміни свого пароля ви повинні повторно ввійти в систему.');
INSERT INTO `lang_definitions` VALUES (123024, 4297, 33, 'Підтримка он-лайн');
INSERT INTO `lang_definitions` VALUES (123025, 4298, 33, 'Посилання підтримки он-лайн');
INSERT INTO `lang_definitions` VALUES (123026, 4299, 33, 'Тільки активні');
INSERT INTO `lang_definitions` VALUES (123027, 4300, 33, 'Застосовується лише якщо спеціаліст або порівняльний список були попередньо вибрані. ПЕРВИННИЙ виберіть пацієнтів, для яких спеціаліст є первинним спеціалістом. ЗВЕРНЕННЯ виберіть всіх пацієнтів які відвідували спеціаліста');
INSERT INTO `lang_definitions` VALUES (123028, 4302, 33, 'Тільки для розміщення рахунків');
INSERT INTO `lang_definitions` VALUES (123029, 4303, 33, 'Тільки неактивні');
INSERT INTO `lang_definitions` VALUES (123030, 4304, 33, 'Тільки мої');
INSERT INTO `lang_definitions` VALUES (123031, 4305, 33, 'Показувати лише коди звітності по діагнозах');
INSERT INTO `lang_definitions` VALUES (123032, 4306, 33, 'Показувати лише сервісні коди кодів фінансової звітності');
INSERT INTO `lang_definitions` VALUES (123033, 4307, 33, 'Тільки для вивантаження активних призначень');
INSERT INTO `lang_definitions` VALUES (123034, 4310, 33, 'Початок захворювання:');
INSERT INTO `lang_definitions` VALUES (123035, 4311, 33, 'Початок захворювання: ');
INSERT INTO `lang_definitions` VALUES (123036, 4312, 33, 'Поява новоутворення (пухл.):');
INSERT INTO `lang_definitions` VALUES (123037, 4313, 33, 'Дата поч./госп.');
INSERT INTO `lang_definitions` VALUES (123038, 4314, 33, 'Адреса сайту для портала внутрішніх пацієнтів');
INSERT INTO `lang_definitions` VALUES (123039, 4315, 33, 'Невдача!');
INSERT INTO `lang_definitions` VALUES (123040, 4316, 33, 'Відкрити');
INSERT INTO `lang_definitions` VALUES (123041, 4318, 33, 'Відкрити в новому вікні');
INSERT INTO `lang_definitions` VALUES (123042, 4321, 33, 'Відкрити відвідування за сьогодні');
INSERT INTO `lang_definitions` VALUES (123043, 4322, 33, 'LibreEHR вже має налаштований довірений сертификат.');
INSERT INTO `lang_definitions` VALUES (123044, 4323, 33, 'LibreEHR категорія додатку');
INSERT INTO `lang_definitions` VALUES (123045, 4324, 33, 'Модернізація бази даних LibreEHR');
INSERT INTO `lang_definitions` VALUES (123046, 4325, 33, 'Модернізація бази даних LibreEHR для деідентифікації');
INSERT INTO `lang_definitions` VALUES (123047, 4326, 33, 'LibreEHR не розпізнає файл у вхідному каталозі. Вірогідно, Вам слід налаштувати реліз в supported_external_dataloads таблиці MySQL бази даних.');
INSERT INTO `lang_definitions` VALUES (123048, 4327, 33, 'До того, як LibreEHR зможе створювати сертифікати клієнта, його необхідно налаштувати для використання сертифікатів.');
INSERT INTO `lang_definitions` VALUES (123049, 4328, 33, 'Для підтвердження користувача LibreEHR необхідно дозволити Javascript.');
INSERT INTO `lang_definitions` VALUES (123050, 4329, 33, 'Користувачі LibreEHR');
INSERT INTO `lang_definitions` VALUES (123051, 4330, 33, 'Вступ');
INSERT INTO `lang_definitions` VALUES (123052, 4332, 33, 'Очний');
INSERT INTO `lang_definitions` VALUES (123053, 4333, 33, 'Опція');
INSERT INTO `lang_definitions` VALUES (123054, 4334, 33, 'Опції способу збереження сховища документів.');
INSERT INTO `lang_definitions` VALUES (123055, 4335, 33, 'Опція для підтримки інвентаризації і реалізації матеріальних цінностей');
INSERT INTO `lang_definitions` VALUES (123056, 4336, 33, 'Необов\'язковий');
INSERT INTO `lang_definitions` VALUES (123057, 4337, 33, 'Необов\'язкова назва категорії для ID-карти зображення, яке можна проглянути на сторінці інформації про пациента.');
INSERT INTO `lang_definitions` VALUES (123058, 4338, 33, 'Необов\'язкова назва категорії для фото-зображень, яке можна проглянути на сторінці інформації про пациента.');
INSERT INTO `lang_definitions` VALUES (123059, 4339, 33, 'Необов\'язкова назва категорії документа, щоби приєднатися до сторінки даних про пацієнта. Клікніть на имені пацієнта, щоби побачити його ID-карту.');
INSERT INTO `lang_definitions` VALUES (123060, 4340, 33, 'Необов\'язковий діапазон \"за замовчуванням\" для ручного внесення результатів');
INSERT INTO `lang_definitions` VALUES (123061, 4341, 33, 'Необов\'язкові одиниці вимірювання для ручного внесення результатів');
INSERT INTO `lang_definitions` VALUES (123062, 4342, 33, 'Необов\'язкове місце призначення');
INSERT INTO `lang_definitions` VALUES (123063, 4343, 33, 'Необов\'язкова назва препарата, використовуйте % як знак підстановки');
INSERT INTO `lang_definitions` VALUES (123064, 4345, 33, 'Необов\'язкова інформація про цю подію');
INSERT INTO `lang_definitions` VALUES (123065, 4346, 33, 'Необов\'язкова кількість партії, використовуйте % як знак підстановки');
INSERT INTO `lang_definitions` VALUES (123066, 4347, 33, 'Необов\'язковий чиловий ID пацієнта');
INSERT INTO `lang_definitions` VALUES (123067, 4348, 33, 'Необов\'язковий код методики');
INSERT INTO `lang_definitions` VALUES (123068, 4349, 33, 'Необов\'язковий код процедури/послуги');
INSERT INTO `lang_definitions` VALUES (123069, 4350, 33, 'Опції');
INSERT INTO `lang_definitions` VALUES (123070, 4351, 33, 'чи');
INSERT INTO `lang_definitions` VALUES (123071, 4352, 33, 'ЧИ');
INSERT INTO `lang_definitions` VALUES (123072, 4353, 33, 'або змініть');
INSERT INTO `lang_definitions` VALUES (123073, 4354, 33, 'або натисніть і тягніть для швидшого виділення.');
INSERT INTO `lang_definitions` VALUES (123074, 4356, 33, 'чи для');
INSERT INTO `lang_definitions` VALUES (123075, 4358, 33, 'або утримуйте Shift для зменшення');
INSERT INTO `lang_definitions` VALUES (123076, 4359, 33, 'або обновіть файл ERA:');
INSERT INTO `lang_definitions` VALUES (123077, 4360, 33, 'Перорально');
INSERT INTO `lang_definitions` VALUES (123078, 4361, 33, 'слизова порожнини рота рожева, глотка чиста');
INSERT INTO `lang_definitions` VALUES (123079, 4362, 33, 'Призначення');
INSERT INTO `lang_definitions` VALUES (123080, 4363, 33, 'Види призначення і результату');
INSERT INTO `lang_definitions` VALUES (123081, 4364, 33, 'Каталог призначень');
INSERT INTO `lang_definitions` VALUES (123082, 4365, 33, 'Дата призначення');
INSERT INTO `lang_definitions` VALUES (123083, 4367, 33, 'призначення від');
INSERT INTO `lang_definitions` VALUES (123084, 4368, 33, 'ID призначення');
INSERT INTO `lang_definitions` VALUES (123085, 4369, 33, 'Призначення повинно бути пронумерованим від 1 до 999');
INSERT INTO `lang_definitions` VALUES (123086, 4370, 33, 'Найменування призначення');
INSERT INTO `lang_definitions` VALUES (123087, 4371, 33, 'Пріоритет призначення');
INSERT INTO `lang_definitions` VALUES (123088, 4372, 33, 'Обробник призначень');
INSERT INTO `lang_definitions` VALUES (123089, 4373, 33, 'Результати призначення');
INSERT INTO `lang_definitions` VALUES (123090, 4374, 33, 'Статус призначення');
INSERT INTO `lang_definitions` VALUES (123091, 4375, 33, 'Статуси призначення');
INSERT INTO `lang_definitions` VALUES (123092, 4376, 33, 'Заключення по призначенню');
INSERT INTO `lang_definitions` VALUES (123093, 4378, 33, 'Вид призначення');
INSERT INTO `lang_definitions` VALUES (123094, 4380, 33, 'Вид призначення/виконання');
INSERT INTO `lang_definitions` VALUES (123095, 4381, 33, 'Призначено');
INSERT INTO `lang_definitions` VALUES (123096, 4382, 33, 'Призначено по');
INSERT INTO `lang_definitions` VALUES (123097, 4383, 33, 'Призначена процедура');
INSERT INTO `lang_definitions` VALUES (123098, 4384, 33, 'Спеціаліст, що призначає.');
INSERT INTO `lang_definitions` VALUES (123099, 4385, 33, 'Шлях призначення');
INSERT INTO `lang_definitions` VALUES (123100, 4386, 33, 'Ураження органу.');
INSERT INTO `lang_definitions` VALUES (123101, 4387, 33, 'Організація');
INSERT INTO `lang_definitions` VALUES (123102, 4388, 33, 'Назва організації');
INSERT INTO `lang_definitions` VALUES (123103, 4389, 33, 'Назва підрозділу організації');
INSERT INTO `lang_definitions` VALUES (123104, 4390, 33, 'Організації');
INSERT INTO `lang_definitions` VALUES (123105, 4391, 33, 'Орієнтований х 3');
INSERT INTO `lang_definitions` VALUES (123106, 4392, 33, 'Оригінал');
INSERT INTO `lang_definitions` VALUES (123107, 4396, 33, 'РОТОГЛОТКА: ');
INSERT INTO `lang_definitions` VALUES (123108, 4397, 33, 'Ортопне');
INSERT INTO `lang_definitions` VALUES (123109, 4398, 33, 'OS');
INSERT INTO `lang_definitions` VALUES (123110, 4399, 33, 'Остеоартрити');
INSERT INTO `lang_definitions` VALUES (123111, 4402, 33, 'Інше');
INSERT INTO `lang_definitions` VALUES (123112, 4403, 33, 'інше');
INSERT INTO `lang_definitions` VALUES (123113, 4404, 33, 'інше (вказати)');
INSERT INTO `lang_definitions` VALUES (123114, 4405, 33, 'Інше - вказане');
INSERT INTO `lang_definitions` VALUES (123115, 4406, 33, 'Інша державна програма');
INSERT INTO `lang_definitions` VALUES (123116, 4407, 33, 'Інша Фінансова Адміністрація охорони здоров\'я');
INSERT INTO `lang_definitions` VALUES (123117, 4408, 33, 'Інші незазначені пошкодження');
INSERT INTO `lang_definitions` VALUES (123118, 4409, 33, 'Інше джерело страхування має першочергове значення');
INSERT INTO `lang_definitions` VALUES (123119, 4410, 33, 'інший місяць');
INSERT INTO `lang_definitions` VALUES (123120, 4411, 33, 'Інші незагальнодержавні програми');
INSERT INTO `lang_definitions` VALUES (123121, 4412, 33, 'Інші записи');
INSERT INTO `lang_definitions` VALUES (123122, 4413, 33, 'Інші доречні симптоми');
INSERT INTO `lang_definitions` VALUES (123123, 4414, 33, 'Інші доречні симптоми:');
INSERT INTO `lang_definitions` VALUES (123124, 4415, 33, 'Інший відповідний пункт');
INSERT INTO `lang_definitions` VALUES (123125, 4416, 33, 'Інші впливи/загальне ураження');
INSERT INTO `lang_definitions` VALUES (123126, 4417, 33, 'Інші оперативні втручання');
INSERT INTO `lang_definitions` VALUES (123127, 4418, 33, 'Інші/пов\'язані з периванням вагітності');
INSERT INTO `lang_definitions` VALUES (123128, 4420, 33, 'Інші');
INSERT INTO `lang_definitions` VALUES (123129, 4421, 33, 'в іншому випадку ви порушуєте посилання на/з існуючу(ої) дату(и).');
INSERT INTO `lang_definitions` VALUES (123130, 4422, 33, 'Правила для радіографії щиколотки (Оттава)');
INSERT INTO `lang_definitions` VALUES (123131, 4423, 33, 'OU');
INSERT INTO `lang_definitions` VALUES (123132, 4424, 33, 'НЕ ПРАЦЮЄ');
INSERT INTO `lang_definitions` VALUES (123133, 4425, 33, 'НЕ НА МІСЦІ');
INSERT INTO `lang_definitions` VALUES (123134, 4426, 33, 'Направлення закордон');
INSERT INTO `lang_definitions` VALUES (123135, 4427, 33, 'Наслідок');
INSERT INTO `lang_definitions` VALUES (123136, 4428, 33, 'Спостереження');
INSERT INTO `lang_definitions` VALUES (123137, 4430, 33, 'Загальний стан виділень');
INSERT INTO `lang_definitions` VALUES (123138, 4431, 33, 'ЗАПІЗНІЛИЙ');
INSERT INTO `lang_definitions` VALUES (123139, 4432, 33, 'Зловживання');
INSERT INTO `lang_definitions` VALUES (123140, 4433, 33, 'Загальне представлення');
INSERT INTO `lang_definitions` VALUES (123141, 4434, 33, 'Надмірна вага');
INSERT INTO `lang_definitions` VALUES (123142, 4435, 33, 'Переписати вибір HIPAA (Закон про звітність і безпеку медичного страхування)');
INSERT INTO `lang_definitions` VALUES (123143, 4437, 33, 'Насичення киснем');
INSERT INTO `lang_definitions` VALUES (123144, 4439, 33, 'Р');
INSERT INTO `lang_definitions` VALUES (123145, 4440, 33, 'проц.');
INSERT INTO `lang_definitions` VALUES (123146, 4441, 33, 'після полудня');
INSERT INTO `lang_definitions` VALUES (123147, 4442, 33, 'за необхідністю');
INSERT INTO `lang_definitions` VALUES (123148, 4443, 33, 'Житель тихоокеанських островів');
INSERT INTO `lang_definitions` VALUES (123149, 4444, 33, 'Педіатричний');
INSERT INTO `lang_definitions` VALUES (123150, 4445, 33, 'Сторінка');
INSERT INTO `lang_definitions` VALUES (123151, 4446, 33, 'Сторінки');
INSERT INTO `lang_definitions` VALUES (123152, 4447, 33, 'Оплачуваний');
INSERT INTO `lang_definitions` VALUES (123153, 4448, 33, 'Сума оплати, яку ви внесете');
INSERT INTO `lang_definitions` VALUES (123154, 4449, 33, 'Сума оплати');
INSERT INTO `lang_definitions` VALUES (123155, 4450, 33, 'Оплатити через');
INSERT INTO `lang_definitions` VALUES (123156, 4451, 33, 'Біль');
INSERT INTO `lang_definitions` VALUES (123157, 4453, 33, 'Сильне серцибиття');
INSERT INTO `lang_definitions` VALUES (123158, 4455, 33, 'Мазок Папаніколау');
INSERT INTO `lang_definitions` VALUES (123159, 4456, 33, 'Папір');
INSERT INTO `lang_definitions` VALUES (123160, 4457, 33, 'Розмір паперу');
INSERT INTO `lang_definitions` VALUES (123161, 4458, 33, 'Параліч');
INSERT INTO `lang_definitions` VALUES (123162, 4461, 33, 'Обробка HL7');
INSERT INTO `lang_definitions` VALUES (123163, 4463, 33, 'Партнер');
INSERT INTO `lang_definitions` VALUES (123164, 4464, 33, 'Найменування партнера');
INSERT INTO `lang_definitions` VALUES (123165, 4467, 33, 'Пароль');
INSERT INTO `lang_definitions` VALUES (123166, 4468, 33, 'Пароль для розшифрування документа');
INSERT INTO `lang_definitions` VALUES (123167, 4469, 33, 'Передані пацієнти');
INSERT INTO `lang_definitions` VALUES (123168, 4470, 33, 'Пасивне сповіщення');
INSERT INTO `lang_definitions` VALUES (123169, 4471, 33, 'Правила пасивних сповіщень');
INSERT INTO `lang_definitions` VALUES (123170, 4472, 33, 'Пароль');
INSERT INTO `lang_definitions` VALUES (123171, 4473, 33, 'Зміна пароля');
INSERT INTO `lang_definitions` VALUES (123172, 4474, 33, 'Пароль успішно змінено');
INSERT INTO `lang_definitions` VALUES (123173, 4475, 33, 'Пароль успішно змінено.');
INSERT INTO `lang_definitions` VALUES (123174, 4476, 33, 'Пароль не відповідає мінімальним вимогам і повинен містити не менше трьох з наступних чотирьох елементів: цифри, прописні літери, великі літери, спеціальні символи.');
INSERT INTO `lang_definitions` VALUES (123175, 4477, 33, 'Термін дії пароля');
INSERT INTO `lang_definitions` VALUES (123176, 4479, 33, 'Пароль для телефонного шлюза. Автоматизована служба VOIP надана через Maviq. Перегляньте http://signup.maviq.com для отримання додаткової інформації.');
INSERT INTO `lang_definitions` VALUES (123177, 4480, 33, 'Пароль для шлюза SMS');
INSERT INTO `lang_definitions` VALUES (123178, 4481, 33, 'Пароль для шлюза SMS.');
INSERT INTO `lang_definitions` VALUES (123179, 4483, 33, 'Надійність пароля недавно удосконалена.');
INSERT INTO `lang_definitions` VALUES (123180, 4484, 33, 'Пароль для підключення до CouchDB');
INSERT INTO `lang_definitions` VALUES (123181, 4485, 33, 'Пароль занадто короткий. Вимагається не менше 8 символів.');
INSERT INTO `lang_definitions` VALUES (123182, 4486, 33, 'Пароль:');
INSERT INTO `lang_definitions` VALUES (123183, 4487, 33, 'Паролі на співпадають!');
INSERT INTO `lang_definitions` VALUES (123184, 4488, 33, 'Минулі записи на прийом');
INSERT INTO `lang_definitions` VALUES (123185, 4489, 33, 'Віджет відображення минулих записів на прийом');
INSERT INTO `lang_definitions` VALUES (123186, 4490, 33, 'Прострочено');
INSERT INTO `lang_definitions` VALUES (123187, 4491, 33, 'Прострочено');
INSERT INTO `lang_definitions` VALUES (123188, 4492, 33, 'Найбільший інтервал очікування (клінічні нагадування)');
INSERT INTO `lang_definitions` VALUES (123189, 4493, 33, 'Найбільший інтервал очікування (нагадування для пацієнта)');
INSERT INTO `lang_definitions` VALUES (123190, 4494, 33, 'Список попередніх звертань');
INSERT INTO `lang_definitions` VALUES (123191, 4495, 33, 'Попередні звертання');
INSERT INTO `lang_definitions` VALUES (123192, 4496, 33, 'Попередні звертання і документи');
INSERT INTO `lang_definitions` VALUES (123193, 4497, 33, 'Прошлые обращения для');
INSERT INTO `lang_definitions` VALUES (123194, 4498, 33, 'Вставка HL7 даних');
INSERT INTO `lang_definitions` VALUES (123195, 4499, 33, 'Вставте дані для імпорту в текстове поле нижче:');
INSERT INTO `lang_definitions` VALUES (123196, 4500, 33, 'Придатний');
INSERT INTO `lang_definitions` VALUES (123197, 4502, 33, 'Виправлення');
INSERT INTO `lang_definitions` VALUES (123198, 4508, 33, 'Шлях для резервного копіювання журнала подій');
INSERT INTO `lang_definitions` VALUES (123199, 4509, 33, 'Шлях до файла сертифіката CA');
INSERT INTO `lang_definitions` VALUES (123200, 4510, 33, 'Шлях до файла ключа CA');
INSERT INTO `lang_definitions` VALUES (123201, 4511, 33, 'Шлях до бібліотек MySQL');
INSERT INTO `lang_definitions` VALUES (123202, 4512, 33, 'Шлях до бібліотек Perl');
INSERT INTO `lang_definitions` VALUES (123203, 4513, 33, 'Шлях до каталогу тимчасових файлів');
INSERT INTO `lang_definitions` VALUES (123204, 4514, 33, 'Пацієнт');
INSERT INTO `lang_definitions` VALUES (123205, 4515, 33, 'пацієнт');
INSERT INTO `lang_definitions` VALUES (123206, 4516, 33, 'ПАЦІЄНТ');
INSERT INTO `lang_definitions` VALUES (123207, 4517, 33, 'Адреса пацієнта');
INSERT INTO `lang_definitions` VALUES (123208, 4518, 33, 'Не вказано адресу пацієнта');
INSERT INTO `lang_definitions` VALUES (123209, 4521, 33, 'Алергії пацієнта');
INSERT INTO `lang_definitions` VALUES (123210, 4522, 33, 'Алергії пацієнта');
INSERT INTO `lang_definitions` VALUES (123211, 4523, 33, 'Запис на прийом');
INSERT INTO `lang_definitions` VALUES (123212, 4524, 33, 'Баланс пацієнта');
INSERT INTO `lang_definitions` VALUES (123213, 4525, 33, 'Баланс пацієнта відповідно');
INSERT INTO `lang_definitions` VALUES (123214, 4528, 33, 'ID карти пацієнта');
INSERT INTO `lang_definitions` VALUES (123215, 4529, 33, 'Перевірка пацієнта');
INSERT INTO `lang_definitions` VALUES (123216, 4530, 33, 'Перевірка пацієнта на ');
INSERT INTO `lang_definitions` VALUES (123217, 4531, 33, 'Місто проживання пацієнта');
INSERT INTO `lang_definitions` VALUES (123218, 4532, 33, 'Не вказано місто пацієнта');
INSERT INTO `lang_definitions` VALUES (123219, 4533, 33, 'Встановлення зв\'язку з пацієнтом.');
INSERT INTO `lang_definitions` VALUES (123220, 4534, 33, 'Встановлення зв\'язку з пацієнтом.');
INSERT INTO `lang_definitions` VALUES (123221, 4535, 33, 'Країна проживання пацієнта.');
INSERT INTO `lang_definitions` VALUES (123222, 4536, 33, 'Не вказана країна проживання пацієнта.Ви також не втановили країни проживання пацієнта \"за замовчуванням\" в меню Глобальні Налаштування');
INSERT INTO `lang_definitions` VALUES (123223, 4537, 33, 'Сфера діяльності пацієнта');
INSERT INTO `lang_definitions` VALUES (123224, 4539, 33, 'Дані пацієнта');
INSERT INTO `lang_definitions` VALUES (123225, 4541, 33, 'Відсутня дата народження пацієнта');
INSERT INTO `lang_definitions` VALUES (123226, 4542, 33, 'Відомості про пацієнта');
INSERT INTO `lang_definitions` VALUES (123227, 4543, 33, 'Дата народження пацієнта');
INSERT INTO `lang_definitions` VALUES (123228, 4544, 33, 'Документ пацієнта');
INSERT INTO `lang_definitions` VALUES (123229, 4545, 33, 'Освіта пацієнта');
INSERT INTO `lang_definitions` VALUES (123230, 4546, 33, 'Відомості про освіту пацієнта');
INSERT INTO `lang_definitions` VALUES (123231, 4547, 33, 'Звернення пацієнта');
INSERT INTO `lang_definitions` VALUES (123232, 4548, 33, 'Форма звернення пацієнта');
INSERT INTO `lang_definitions` VALUES (123233, 4549, 33, 'Звернення пацієнта');
INSERT INTO `lang_definitions` VALUES (123234, 4550, 33, 'Вказівник пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (123235, 4551, 33, 'Ім\'я пацієнта');
INSERT INTO `lang_definitions` VALUES (123236, 4553, 33, 'Відсутнє ім\'я пацієнта');
INSERT INTO `lang_definitions` VALUES (123237, 4558, 33, 'Стать пацієнта');
INSERT INTO `lang_definitions` VALUES (123238, 4559, 33, 'Стать пацієнта не вказана');
INSERT INTO `lang_definitions` VALUES (123239, 4560, 33, 'Пацієнту не дозволений доступ до портала.');
INSERT INTO `lang_definitions` VALUES (123240, 4561, 33, 'Анамнез пацієнта');
INSERT INTO `lang_definitions` VALUES (123241, 4562, 33, 'Анамнез/спосіб життя пацієнта');
INSERT INTO `lang_definitions` VALUES (123242, 4563, 33, 'Домашній телефон пацієнта');
INSERT INTO `lang_definitions` VALUES (123243, 4564, 33, 'ID пацієнта');
INSERT INTO `lang_definitions` VALUES (123244, 4565, 33, 'Id пацієнта');
INSERT INTO `lang_definitions` VALUES (123245, 4566, 33, 'ID карти пацієнта');
INSERT INTO `lang_definitions` VALUES (123246, 4567, 33, 'Найменування категорії для ID пацієнта');
INSERT INTO `lang_definitions` VALUES (123247, 4568, 33, 'Вакцинація пацієнта');
INSERT INTO `lang_definitions` VALUES (123248, 4569, 33, 'Інформація про пацієнта');
INSERT INTO `lang_definitions` VALUES (123249, 4570, 33, 'Вказівки для пацієнта');
INSERT INTO `lang_definitions` VALUES (123250, 4571, 33, 'Здійснення страхування пацієнта');
INSERT INTO `lang_definitions` VALUES (123251, 4572, 33, 'Звіт про надану страховку пацієнта');
INSERT INTO `lang_definitions` VALUES (123252, 4573, 33, 'Проблеми пацієнта');
INSERT INTO `lang_definitions` VALUES (123253, 4575, 33, 'Прізвище пацієнта');
INSERT INTO `lang_definitions` VALUES (123254, 4577, 33, 'Відсутнє прізвище пацієнта');
INSERT INTO `lang_definitions` VALUES (123255, 4581, 33, 'Список пацієнтів');
INSERT INTO `lang_definitions` VALUES (123256, 4582, 33, 'Стовбці списку пацієнтів');
INSERT INTO `lang_definitions` VALUES (123257, 4584, 33, 'Нове вікно списку пацієнтів');
INSERT INTO `lang_definitions` VALUES (123258, 4585, 33, 'Розмір паперу списку пацієнтів');
INSERT INTO `lang_definitions` VALUES (123259, 4586, 33, 'Помилки пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (123260, 4587, 33, 'Медичні проблеми пацієнта');
INSERT INTO `lang_definitions` VALUES (123261, 4588, 33, 'Медикаменти для пацієнта');
INSERT INTO `lang_definitions` VALUES (123262, 4589, 33, 'Ім\'я пацієнта');
INSERT INTO `lang_definitions` VALUES (123263, 4590, 33, 'Прізвище і адреса пацієнта');
INSERT INTO `lang_definitions` VALUES (123264, 4593, 33, 'Обов\'язково вкажіть прізвище пацієнта');
INSERT INTO `lang_definitions` VALUES (123265, 4595, 33, 'Запис щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (123266, 4596, 33, 'Види записів щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (123267, 4597, 33, 'Записи щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (123268, 4598, 33, 'Записи щодо пацієнта (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (123269, 4599, 33, 'Номер пацієнта');
INSERT INTO `lang_definitions` VALUES (123270, 4600, 33, 'Виконавча оплата для пацієнта');
INSERT INTO `lang_definitions` VALUES (123271, 4602, 33, 'Найменування категорії для фотографії пацієнта');
INSERT INTO `lang_definitions` VALUES (123272, 4603, 33, 'Портал пацієнта');
INSERT INTO `lang_definitions` VALUES (123273, 4605, 33, 'Портал пацієнта відключений');
INSERT INTO `lang_definitions` VALUES (123274, 4606, 33, 'Вхід в портал пацієнта');
INSERT INTO `lang_definitions` VALUES (123275, 4607, 33, 'Веб-адреса портала пацієнта');
INSERT INTO `lang_definitions` VALUES (123276, 4608, 33, 'Друкований звіт про пацієнта');
INSERT INTO `lang_definitions` VALUES (123277, 4609, 33, 'Реєстраційний звіт про пацієнта');
INSERT INTO `lang_definitions` VALUES (123278, 4610, 33, 'Реєстраційний запит про пацієнта');
INSERT INTO `lang_definitions` VALUES (123279, 4611, 33, 'Реєстраційні запити про пацієнта');
INSERT INTO `lang_definitions` VALUES (123280, 4613, 33, 'Нагадування про пацієнта');
INSERT INTO `lang_definitions` VALUES (123281, 4614, 33, 'Групова обробка нагадуваннь про пацієнтів');
INSERT INTO `lang_definitions` VALUES (123282, 4615, 33, 'Створення послідовності обробки нагадувань про пацієнтів');
INSERT INTO `lang_definitions` VALUES (123283, 4616, 33, 'Правила нагадування про пацієнта');
INSERT INTO `lang_definitions` VALUES (123284, 4617, 33, 'E-mail відправника нагадувань про пацієнта');
INSERT INTO `lang_definitions` VALUES (123285, 4618, 33, 'Прізвище відправника нагадувань про пацієнта');
INSERT INTO `lang_definitions` VALUES (123286, 4619, 33, 'Нагадування про пацієнта');
INSERT INTO `lang_definitions` VALUES (123287, 4620, 33, 'Звіт про пацієнта');
INSERT INTO `lang_definitions` VALUES (123288, 4621, 33, 'Запит про пацієнта');
INSERT INTO `lang_definitions` VALUES (123289, 4622, 33, 'Історії хвороби пацієнта, на які був запит');
INSERT INTO `lang_definitions` VALUES (123290, 4623, 33, 'Результати щодо пацієнта');
INSERT INTO `lang_definitions` VALUES (123291, 4624, 33, 'Стиль проведення пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (123292, 4625, 33, 'Вікно Пошуку/Добавлення пацієнта');
INSERT INTO `lang_definitions` VALUES (123293, 4626, 33, 'Налаштування по пацієнту');
INSERT INTO `lang_definitions` VALUES (123294, 4627, 33, 'Стан пацієнта');
INSERT INTO `lang_definitions` VALUES (123295, 4629, 33, 'Резюме по пацієнту');
INSERT INTO `lang_definitions` VALUES (123296, 4630, 33, 'Транзакції по пацієнту');
INSERT INTO `lang_definitions` VALUES (123297, 4631, 33, 'Поштовий індекс пацієнта');
INSERT INTO `lang_definitions` VALUES (123298, 4632, 33, 'пацієнт(и) в базі даних, якому(яким) відповідає введена демографічна інформація.');
INSERT INTO `lang_definitions` VALUES (123299, 4633, 33, 'Пацієнт/відвідувач');
INSERT INTO `lang_definitions` VALUES (123300, 4634, 33, 'Пацієнт:');
INSERT INTO `lang_definitions` VALUES (123301, 4635, 33, 'ID пацієнта');
INSERT INTO `lang_definitions` VALUES (123302, 4636, 33, 'Пацієнти');
INSERT INTO `lang_definitions` VALUES (123303, 4637, 33, 'Оброблені пацієнти');
INSERT INTO `lang_definitions` VALUES (123304, 4638, 33, 'Оплата');
INSERT INTO `lang_definitions` VALUES (123305, 4639, 33, 'Зверніть увагу на віконечко  \"Зроблено\". Після завершення заповнення страховки ми будемо просити пацієнта оплатити залишок. Якщо вам не вдалося заповнити всю страховку, то сума, що залишилася не буде врахована! Також, якщо є сума, яку пацієнт повинен сплатити, встановіть визначений термін оплати, оскільки він впливатиме на визначення офіційного балансу для пацієнта.');
INSERT INTO `lang_definitions` VALUES (123306, 4640, 33, 'Дата оплати:');
INSERT INTO `lang_definitions` VALUES (123307, 4641, 33, 'Статус оплати');
INSERT INTO `lang_definitions` VALUES (123308, 4642, 33, 'Найменування одержувача платежу');
INSERT INTO `lang_definitions` VALUES (123309, 4643, 33, 'Платник');
INSERT INTO `lang_definitions` VALUES (123310, 4644, 33, 'Тип платника');
INSERT INTO `lang_definitions` VALUES (123311, 4645, 33, 'Платіж');
INSERT INTO `lang_definitions` VALUES (123312, 4646, 33, 'Особа, яка оплачує');
INSERT INTO `lang_definitions` VALUES (123313, 4647, 33, 'Оплата');
INSERT INTO `lang_definitions` VALUES (123314, 4648, 33, 'оплата');
INSERT INTO `lang_definitions` VALUES (123315, 4649, 33, 'Код корегування оплати');
INSERT INTO `lang_definitions` VALUES (123316, 4650, 33, 'Оплата в порівнянні з');
INSERT INTO `lang_definitions` VALUES (123317, 4651, 33, 'Сума до оплати');
INSERT INTO `lang_definitions` VALUES (123318, 4652, 33, 'Сума до оплати повинна бути в цифрах');
INSERT INTO `lang_definitions` VALUES (123319, 4653, 33, 'Категорія оплати');
INSERT INTO `lang_definitions` VALUES (123320, 4654, 33, 'Дата платежу');
INSERT INTO `lang_definitions` VALUES (123321, 4655, 33, 'оплата, внесена на');
INSERT INTO `lang_definitions` VALUES (123322, 4656, 33, 'Оплата від');
INSERT INTO `lang_definitions` VALUES (123323, 4657, 33, 'Шлюз оплати');
INSERT INTO `lang_definitions` VALUES (123324, 4658, 33, 'Вст. оплати');
INSERT INTO `lang_definitions` VALUES (123325, 4659, 33, 'Список оплати');
INSERT INTO `lang_definitions` VALUES (123326, 4660, 33, 'Метод оплати');
INSERT INTO `lang_definitions` VALUES (123327, 4661, 33, 'Сортування оплати за');
INSERT INTO `lang_definitions` VALUES (123328, 4662, 33, 'Статус оплати');
INSERT INTO `lang_definitions` VALUES (123329, 4663, 33, 'Тип оплати');
INSERT INTO `lang_definitions` VALUES (123330, 4664, 33, 'Значення оплати для кода ');
INSERT INTO `lang_definitions` VALUES (123331, 4665, 33, 'Платежі');
INSERT INTO `lang_definitions` VALUES (123332, 4667, 33, 'Файл PCP');
INSERT INTO `lang_definitions` VALUES (123333, 4668, 33, 'Відс. (%) рядків');
INSERT INTO `lang_definitions` VALUES (123334, 4669, 33, 'Файл PDF');
INSERT INTO `lang_definitions` VALUES (123335, 4670, 33, 'Завантажити вибрані заявки як PDF');
INSERT INTO `lang_definitions` VALUES (123336, 4672, 33, 'Ділянка таза і сідниць');
INSERT INTO `lang_definitions` VALUES (123337, 4673, 33, 'Пухирчатка');
INSERT INTO `lang_definitions` VALUES (123338, 4674, 33, 'Незакінчений');
INSERT INTO `lang_definitions` VALUES (123339, 4676, 33, 'Очікуючий прод.');
INSERT INTO `lang_definitions` VALUES (123340, 4677, 33, 'Очікуючий продовження');
INSERT INTO `lang_definitions` VALUES (123341, 4678, 33, 'Очікування нових даних результатів');
INSERT INTO `lang_definitions` VALUES (123342, 4679, 33, 'Очікування призначень');
INSERT INTO `lang_definitions` VALUES (123343, 4680, 33, 'Очікуючий дослідження');
INSERT INTO `lang_definitions` VALUES (123344, 4681, 33, 'Очікуючі огляду');
INSERT INTO `lang_definitions` VALUES (123345, 4682, 33, 'Очікуючий підрахунку Rx');
INSERT INTO `lang_definitions` VALUES (123346, 4684, 33, 'LibreEHR для фірми Pennington v');
INSERT INTO `lang_definitions` VALUES (123347, 4685, 33, 'Виразкова хвороба');
INSERT INTO `lang_definitions` VALUES (123348, 4686, 33, 'По зверненню');
INSERT INTO `lang_definitions` VALUES (123349, 4687, 33, 'на хвилину');
INSERT INTO `lang_definitions` VALUES (123350, 4688, 33, 'Через ніздрю');
INSERT INTO `lang_definitions` VALUES (123351, 4689, 33, 'Через ніздрю');
INSERT INTO `lang_definitions` VALUES (123352, 4690, 33, 'Перорально');
INSERT INTO `lang_definitions` VALUES (123353, 4691, 33, 'перорально');
INSERT INTO `lang_definitions` VALUES (123354, 4692, 33, 'Ректально');
INSERT INTO `lang_definitions` VALUES (123355, 4693, 33, 'ректально');
INSERT INTO `lang_definitions` VALUES (123356, 4694, 33, 'Процент');
INSERT INTO `lang_definitions` VALUES (123357, 4697, 33, 'Процентиль');
INSERT INTO `lang_definitions` VALUES (123358, 4698, 33, 'Перфорований справа:');
INSERT INTO `lang_definitions` VALUES (123359, 4699, 33, 'Здійснити пошук');
INSERT INTO `lang_definitions` VALUES (123360, 4700, 33, 'Виконати цю дію');
INSERT INTO `lang_definitions` VALUES (123361, 4701, 33, 'Подати в процентах');
INSERT INTO `lang_definitions` VALUES (123362, 4703, 33, 'Виконання лабораторних послуг');
INSERT INTO `lang_definitions` VALUES (123363, 4705, 33, 'Період');
INSERT INTO `lang_definitions` VALUES (123364, 4706, 33, 'Період (в днях), коли користувач може ввійти в систему з паролем, термін дії якого закінчився.');
INSERT INTO `lang_definitions` VALUES (123365, 4707, 33, 'Передопераційне лікування');
INSERT INTO `lang_definitions` VALUES (123366, 4708, 33, 'Периферійний');
INSERT INTO `lang_definitions` VALUES (123367, 4709, 33, 'Дозволити \"непосолені\" паролі');
INSERT INTO `lang_definitions` VALUES (123368, 4710, 33, 'Персидська');
INSERT INTO `lang_definitions` VALUES (123369, 4712, 33, 'Людина, особа');
INSERT INTO `lang_definitions` VALUES (123370, 4713, 33, 'Персоналізація');
INSERT INTO `lang_definitions` VALUES (123371, 4714, 33, 'PG');
INSERT INTO `lang_definitions` VALUES (123372, 4715, 33, 'Апт.');
INSERT INTO `lang_definitions` VALUES (123373, 4716, 33, 'Загальн. апт. рахунок');
INSERT INTO `lang_definitions` VALUES (123374, 4717, 33, 'Аптеки');
INSERT INTO `lang_definitions` VALUES (123375, 4718, 33, 'Аптека');
INSERT INTO `lang_definitions` VALUES (123376, 4719, 33, 'Аптечне відділення');
INSERT INTO `lang_definitions` VALUES (123377, 4720, 33, 'Пневмоторакс');
INSERT INTO `lang_definitions` VALUES (123378, 4723, 33, 'Інтервал перевірки повідомлень (хвилин) phiMail');
INSERT INTO `lang_definitions` VALUES (123379, 4724, 33, 'попередження користувача phiMail');
INSERT INTO `lang_definitions` VALUES (123380, 4725, 33, 'Пароль phiMail');
INSERT INTO `lang_definitions` VALUES (123381, 4726, 33, 'Адреса серверу phiMail');
INSERT INTO `lang_definitions` VALUES (123382, 4727, 33, 'Ім\'я користувача phiMail');
INSERT INTO `lang_definitions` VALUES (123383, 4729, 33, 'Телефон');
INSERT INTO `lang_definitions` VALUES (123384, 4730, 33, 'Список телефонних дзвінків');
INSERT INTO `lang_definitions` VALUES (123385, 4731, 33, 'Звіт списку дзвінків');
INSERT INTO `lang_definitions` VALUES (123386, 4733, 33, 'Пароль для телефонного шлюзу');
INSERT INTO `lang_definitions` VALUES (123387, 4734, 33, 'URL для телефонного шлюзу');
INSERT INTO `lang_definitions` VALUES (123388, 4735, 33, 'Ім\'я користувача для телефонного шлюзу');
INSERT INTO `lang_definitions` VALUES (123389, 4737, 33, 'Час телефонограми');
INSERT INTO `lang_definitions` VALUES (123390, 4738, 33, 'Номер телефону');
INSERT INTO `lang_definitions` VALUES (123391, 4740, 33, 'Боязнь світла');
INSERT INTO `lang_definitions` VALUES (123392, 4741, 33, 'Фото');
INSERT INTO `lang_definitions` VALUES (123393, 4742, 33, 'стиснутий PHP');
INSERT INTO `lang_definitions` VALUES (123394, 4743, 33, 'PHP CURL модуль на вашому сервері повинен бути включений');
INSERT INTO `lang_definitions` VALUES (123395, 4744, 33, 'PHP витягнений');
INSERT INTO `lang_definitions` VALUES (123396, 4745, 33, 'Управління доступом php-GACL відключено');
INSERT INTO `lang_definitions` VALUES (123397, 4746, 33, 'PHP-gacl не встановлений');
INSERT INTO `lang_definitions` VALUES (123398, 4747, 33, 'Фізикальне обстеження');
INSERT INTO `lang_definitions` VALUES (123399, 4749, 33, 'Лікакський запит');
INSERT INTO `lang_definitions` VALUES (123400, 4750, 33, 'Підпис лікаря');
INSERT INTO `lang_definitions` VALUES (123401, 4752, 33, 'Лікарі');
INSERT INTO `lang_definitions` VALUES (123402, 4753, 33, 'вибрати');
INSERT INTO `lang_definitions` VALUES (123403, 4754, 33, 'Вибрати');
INSERT INTO `lang_definitions` VALUES (123404, 4755, 33, 'Вибрати тему CSS');
INSERT INTO `lang_definitions` VALUES (123405, 4756, 33, 'Пац.ID');
INSERT INTO `lang_definitions` VALUES (123406, 4757, 33, 'ЗЗМТ (Запальне захворювання малого тазу)');
INSERT INTO `lang_definitions` VALUES (123407, 4758, 33, 'Розмір таблетки');
INSERT INTO `lang_definitions` VALUES (123408, 4759, 33, 'Таблетки');
INSERT INTO `lang_definitions` VALUES (123409, 4760, 33, 'Якщо потрібна ця опція для установки, розмістіть файл zip бази даних в наступну директорію');
INSERT INTO `lang_definitions` VALUES (123410, 4761, 33, 'Помістіть завантажені zip-файли ICD 10 бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (123411, 4762, 33, 'Помістіть завантажені zip-файли ICD 9 бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (123412, 4763, 33, 'Помістіть завантажені zip-файли RxNorm бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (123413, 4764, 33, 'Помістіть завантажені zip-файли Snomed 10 бази даних в наступний каталог');
INSERT INTO `lang_definitions` VALUES (123414, 4765, 33, 'Заповнювач');
INSERT INTO `lang_definitions` VALUES (123415, 4766, 33, 'Заповнювач (підтримує пустий ACLs)');
INSERT INTO `lang_definitions` VALUES (123416, 4767, 33, 'Простий текст');
INSERT INTO `lang_definitions` VALUES (123417, 4768, 33, 'План');
INSERT INTO `lang_definitions` VALUES (123418, 4771, 33, 'Назва плану');
INSERT INTO `lang_definitions` VALUES (123419, 4775, 33, 'Установка плану');
INSERT INTO `lang_definitions` VALUES (123420, 4779, 33, 'План:');
INSERT INTO `lang_definitions` VALUES (123421, 4782, 33, 'Плани');
INSERT INTO `lang_definitions` VALUES (123422, 4784, 33, 'Гравець');
INSERT INTO `lang_definitions` VALUES (123423, 4785, 33, 'Ігрова позиція');
INSERT INTO `lang_definitions` VALUES (123424, 4786, 33, 'Подзвоніть, якщо будь-яка вищезгадана інформація є неправильною');
INSERT INTO `lang_definitions` VALUES (123425, 4787, 33, 'Будь-ласка, змініть ваш пароль');
INSERT INTO `lang_definitions` VALUES (123426, 4788, 33, 'Будь-ласка, виберіть файл');
INSERT INTO `lang_definitions` VALUES (123427, 4789, 33, 'Будь-ласка, виберіть пацієнта');
INSERT INTO `lang_definitions` VALUES (123428, 4790, 33, 'Будь-ласка, зробіть допустимий вибір зі списку');
INSERT INTO `lang_definitions` VALUES (123429, 4791, 33, 'Будь-ласка, зробіть допустимий вибір');
INSERT INTO `lang_definitions` VALUES (123430, 4792, 33, 'Будь-ласка, виберіть значення для');
INSERT INTO `lang_definitions` VALUES (123431, 4793, 33, 'Будь-ласка, виберіть критерії діапазону дат вище і натисніть Оновити, щоб переглянути результати');
INSERT INTO `lang_definitions` VALUES (123432, 4794, 33, 'Будь-ласка, виберіть відповідний EDI-271 відформатований файл');
INSERT INTO `lang_definitions` VALUES (123433, 4795, 33, 'Будь-ласка, натисніть Завантажити, щоб завантажити дані де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (123434, 4796, 33, 'Будь-ласка, натисніть Завантажити, щоб завантажити дані повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (123435, 4797, 33, 'Будь-ласка, закрийте це вікно');
INSERT INTO `lang_definitions` VALUES (123436, 4798, 33, 'Будь-ласка, порівняйте нове ім\'я');
INSERT INTO `lang_definitions` VALUES (123437, 4801, 33, 'Будь-ласка, створіть наступний каталог перед обробкою');
INSERT INTO `lang_definitions` VALUES (123438, 4802, 33, 'Будь-ласка, не приймайте це призначення якщо воно не було отримане у вигляді факсіміле');
INSERT INTO `lang_definitions` VALUES (123439, 4803, 33, 'Будь-ласка, не приймайте це призначення якщо воно не було отримане у вигляді факсіміле');
INSERT INTO `lang_definitions` VALUES (123440, 4804, 33, 'Будь-ласка, не використовуйте клавішу зупинки чи перезавантаження вашого браузера, поки виконується ця сторінка якщо не пройшло більше 10 хвилин, це не зупинить процес на сервері і буде споживати непотрібні ресурси');
INSERT INTO `lang_definitions` VALUES (123441, 4805, 33, 'БУДЬ-ЛАСКА,ВКЛЮЧІТЬ CURL РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (123442, 4806, 33, 'БУДЬ-ЛАСКА,ВКЛЮЧІТЬ OPENSSL РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (123443, 4807, 33, 'БУДЬ-ЛАСКА, ВКЛЮЧІТЬ СООП РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (123444, 4808, 33, 'БУДЬ-ЛАСКА, ВКЛЮЧІТЬ XML РОЗШИРЕННЯ');
INSERT INTO `lang_definitions` VALUES (123445, 4809, 33, 'Будь-ласка, введіть дату Останнього Перегляду');
INSERT INTO `lang_definitions` VALUES (123446, 4810, 33, 'Будь-ласка, введіть дату');
INSERT INTO `lang_definitions` VALUES (123447, 4811, 33, 'Будь-ласка, введіть відповідну дату');
INSERT INTO `lang_definitions` VALUES (123448, 4812, 33, 'Будь-ласка, введіть повідомлення');
INSERT INTO `lang_definitions` VALUES (123449, 4813, 33, 'Будь-ласка, введіть грошову суму використовуючи лише цифри і десятковий дріб');
INSERT INTO `lang_definitions` VALUES (123450, 4814, 33, 'Будь-ласка, введіть новий пароль');
INSERT INTO `lang_definitions` VALUES (123451, 4815, 33, 'Будь-ласка, введіть назву!');
INSERT INTO `lang_definitions` VALUES (123452, 4819, 33, 'Будь-ласка, введіть правильний код повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (123453, 4821, 33, 'Будь-ласка, введіть новий критерій пошуку');
INSERT INTO `lang_definitions` VALUES (123454, 4822, 33, 'Будь-ласка, введіть цей правильний код повторної ідентифікації');
INSERT INTO `lang_definitions` VALUES (123455, 4823, 33, 'Будь-ласка, введіть пароль');
INSERT INTO `lang_definitions` VALUES (123456, 4824, 33, 'Будь-ласка, заповніть номер чеку');
INSERT INTO `lang_definitions` VALUES (123457, 4825, 33, 'Будь-ласка, заповніть номер/шифр чеку');
INSERT INTO `lang_definitions` VALUES (123458, 4826, 33, 'Будь-ласка, заповніть дату');
INSERT INTO `lang_definitions` VALUES (123459, 4827, 33, 'Будь-ласка, заповніть суму платежу');
INSERT INTO `lang_definitions` VALUES (123460, 4828, 33, 'Будь-ласка, заповніть категорію платежу');
INSERT INTO `lang_definitions` VALUES (123461, 4829, 33, 'Будь-ласка, заповніть форму платежу');
INSERT INTO `lang_definitions` VALUES (123462, 4830, 33, 'Будь-ласка, заповніть відправку до дати');
INSERT INTO `lang_definitions` VALUES (123463, 4831, 33, 'Будь-ласка, заповніть їх перед продовженням');
INSERT INTO `lang_definitions` VALUES (123464, 4832, 33, 'Вкажіть причину візиту');
INSERT INTO `lang_definitions` VALUES (123465, 4833, 33, 'Будь-ласка, введіть вище критерії пошуку і натисніть Підтвердити щоб розпочати звіт');
INSERT INTO `lang_definitions` VALUES (123466, 4834, 33, 'Будь-ласка, введіть вище критерії пошуку і натисніть Підтвердити щоб переглянути результати');
INSERT INTO `lang_definitions` VALUES (123467, 4835, 33, 'Будь-ласка, введіть вище критерії пошуку і натисніть Підтвердити щоб переглянути результати (результати будуть відображені у спливаючому вікні');
INSERT INTO `lang_definitions` VALUES (123468, 4836, 33, 'Будь-ласка, увійдіть в систему заново');
INSERT INTO `lang_definitions` VALUES (123469, 4837, 33, 'Будь-ласка, зауважте, що це може зайняти багато часу, до кількох хвилин. Ваш браузер може бути неактивним під час цього, але створення рахунку є складним процесом і ваш браузер просто чекає на додаткову інформацію');
INSERT INTO `lang_definitions` VALUES (123470, 4838, 33, 'Будь-ласка, зауважте, константи є чутливими до регістру і будь-які рядки дозволяються');
INSERT INTO `lang_definitions` VALUES (123471, 4839, 33, 'Будь-ласка, використовуйте лише алфавітні символи');
INSERT INTO `lang_definitions` VALUES (123472, 4840, 33, 'Будь-ласка, використовуйте лише алфавітні символи без пробілів');
INSERT INTO `lang_definitions` VALUES (123473, 4841, 33, 'Будь-ласка, оплатіть цю суму');
INSERT INTO `lang_definitions` VALUES (123474, 4842, 33, 'Будь-ласка, розмістіть інсталяційні файли у наступному каталозі');
INSERT INTO `lang_definitions` VALUES (123475, 4843, 33, 'Будь-ласка, зверніться до');
INSERT INTO `lang_definitions` VALUES (123476, 4844, 33, 'Будь-ласка, встановіть пароль знову');
INSERT INTO `lang_definitions` VALUES (123477, 4845, 33, 'Будь-ласка, перезапустіть сервер перед виконанням де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (123478, 4847, 33, 'Будь-ласка, виберіть');
INSERT INTO `lang_definitions` VALUES (123479, 4849, 33, 'Будь-ласка, виберіть мову');
INSERT INTO `lang_definitions` VALUES (123480, 4850, 33, 'Будь-ласка, виберіть пацієнта');
INSERT INTO `lang_definitions` VALUES (123481, 4851, 33, 'Будь-ласка, виберіть основний об\'єкт суб\'єкта господарювання за допомогою \"Tax ID\". Якщо ви є приватним лікарем, використайте ваш tax id. Це служить для ідентифікації вас у системі NewCrop.');
INSERT INTO `lang_definitions` VALUES (123482, 4854, 33, 'Будь-ласка, виберіть одержувача');
INSERT INTO `lang_definitions` VALUES (123483, 4855, 33, 'Будь-ласка, виберіть дату початку і дату завершення');
INSERT INTO `lang_definitions` VALUES (123484, 4856, 33, 'Будь-ласка, виберіть дійсного одержувача');
INSERT INTO `lang_definitions` VALUES (123485, 4858, 33, 'Будь-ласка, виберіть причину коректування для кода ');
INSERT INTO `lang_definitions` VALUES (123486, 4859, 33, 'Будь-ласка, виберіть подію');
INSERT INTO `lang_definitions` VALUES (123487, 4860, 33, 'Будь-ласка, виберіть будь-яку опцію пошуку');
INSERT INTO `lang_definitions` VALUES (123488, 4863, 33, 'Будь-ласка, виберіть хоча б одне призначення!');
INSERT INTO `lang_definitions` VALUES (123489, 4865, 33, 'Будь-ласка, виберіть необхідні сторінки для копіювання чи далі:');
INSERT INTO `lang_definitions` VALUES (123490, 4866, 33, 'Будь-ласка, виберіть метод оплати');
INSERT INTO `lang_definitions` VALUES (123491, 4867, 33, 'Будь-ласка, виберіть тип оплати.');
INSERT INTO `lang_definitions` VALUES (123492, 4869, 33, 'Будь-ласка, виберіть партнера X12, необхідного для створення пакета 270');
INSERT INTO `lang_definitions` VALUES (123493, 4870, 33, 'Встановіть');
INSERT INTO `lang_definitions` VALUES (123494, 4871, 33, 'Будь-ласка, встановіть змінну de_identification_config назад на нуль');
INSERT INTO `lang_definitions` VALUES (123495, 4873, 33, 'Будь-ласка, запустіть новий процес де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (123496, 4874, 33, 'Будь-ласка, оновіть LibreEHR базу даних щоб включити методики де-ідентифікації, функції, таблиці');
INSERT INTO `lang_definitions` VALUES (123497, 4875, 33, 'Будь-ласка, перегляньте лог-таблицю помилок з де-ідентифікації для отримання деталей');
INSERT INTO `lang_definitions` VALUES (123498, 4876, 33, 'Будь-ласка, перейдіть на екран де-ідентифікації через деякий час');
INSERT INTO `lang_definitions` VALUES (123499, 4877, 33, 'Будь-ласка, перейдіть на екран повторної ідентифікації через деякий час');
INSERT INTO `lang_definitions` VALUES (123500, 4878, 33, 'Будь-ласка, перейдіть на екран через деякий час');
INSERT INTO `lang_definitions` VALUES (123501, 4881, 33, 'Множинний');
INSERT INTO `lang_definitions` VALUES (123502, 4882, 33, 'Після обіду');
INSERT INTO `lang_definitions` VALUES (123503, 4883, 33, 'Післяобідня програма');
INSERT INTO `lang_definitions` VALUES (123504, 4884, 33, 'Pmt метод');
INSERT INTO `lang_definitions` VALUES (123505, 4885, 33, 'Синдром нічного апное');
INSERT INTO `lang_definitions` VALUES (123506, 4886, 33, 'Кон\'югований з пневмококом 1');
INSERT INTO `lang_definitions` VALUES (123507, 4887, 33, 'Кон\'югований з пневмококом 2');
INSERT INTO `lang_definitions` VALUES (123508, 4888, 33, 'Кон\'югований з пневмококом 3');
INSERT INTO `lang_definitions` VALUES (123509, 4889, 33, 'Кон\'югований з пневмококом 4');
INSERT INTO `lang_definitions` VALUES (123510, 4890, 33, 'Пневмококова вакцина');
INSERT INTO `lang_definitions` VALUES (123511, 4891, 33, 'Вакцинація від пневмонії');
INSERT INTO `lang_definitions` VALUES (123512, 4892, 33, 'Статус вакцинації від пневмонії для літніх дорослих');
INSERT INTO `lang_definitions` VALUES (123513, 4893, 33, 'Статус вакцинації від пневмонії для літніх дорослих (CQM)');
INSERT INTO `lang_definitions` VALUES (123514, 4894, 33, 'Ортопедичний');
INSERT INTO `lang_definitions` VALUES (123515, 4896, 33, 'Місце надання допомоги (POS)');
INSERT INTO `lang_definitions` VALUES (123516, 4897, 33, 'Поліс');
INSERT INTO `lang_definitions` VALUES (123517, 4898, 33, 'Номер поліса');
INSERT INTO `lang_definitions` VALUES (123518, 4899, 33, 'Номер поліса');
INSERT INTO `lang_definitions` VALUES (123519, 4900, 33, 'Польська');
INSERT INTO `lang_definitions` VALUES (123520, 4901, 33, 'Полідипсія');
INSERT INTO `lang_definitions` VALUES (123521, 4902, 33, 'Поліпи');
INSERT INTO `lang_definitions` VALUES (123522, 4903, 33, 'Поліурія');
INSERT INTO `lang_definitions` VALUES (123523, 4904, 33, 'Поганий апетит');
INSERT INTO `lang_definitions` VALUES (123524, 4905, 33, 'Порушення кровообігу');
INSERT INTO `lang_definitions` VALUES (123525, 4906, 33, 'Поганий слух');
INSERT INTO `lang_definitions` VALUES (123526, 4907, 33, 'Замітки мають бути включені, щоб бути відображеними в цих звітах');
INSERT INTO `lang_definitions` VALUES (123527, 4908, 33, 'Ззаповнити річний огляд подіями?');
INSERT INTO `lang_definitions` VALUES (123528, 4909, 33, 'Спливаючі вікна');
INSERT INTO `lang_definitions` VALUES (123529, 4910, 33, 'Портал');
INSERT INTO `lang_definitions` VALUES (123530, 4911, 33, 'Активність порталу');
INSERT INTO `lang_definitions` VALUES (123531, 4917, 33, 'Португальська');
INSERT INTO `lang_definitions` VALUES (123532, 4918, 33, 'Португальська (бразильська)');
INSERT INTO `lang_definitions` VALUES (123533, 4919, 33, 'Португальська (європейська)');
INSERT INTO `lang_definitions` VALUES (123534, 4920, 33, 'POS код');
INSERT INTO `lang_definitions` VALUES (123535, 4922, 33, 'Позитивний');
INSERT INTO `lang_definitions` VALUES (123536, 4923, 33, 'Точно');
INSERT INTO `lang_definitions` VALUES (123537, 4925, 33, 'Відправити для');
INSERT INTO `lang_definitions` VALUES (123538, 4926, 33, 'Краплі в ніс');
INSERT INTO `lang_definitions` VALUES (123539, 4927, 33, 'Відправити платіж');
INSERT INTO `lang_definitions` VALUES (123540, 4928, 33, 'Післяопераційний');
INSERT INTO `lang_definitions` VALUES (123541, 4929, 33, 'Відправити для фінансової обробки і помітити як оплачене');
INSERT INTO `lang_definitions` VALUES (123542, 4930, 33, 'Оплачено на дату');
INSERT INTO `lang_definitions` VALUES (123543, 4931, 33, 'Дата оплати не може бути пізніше сьогоднішнього дня');
INSERT INTO `lang_definitions` VALUES (123544, 4932, 33, 'Дата оплати має бути пізніше дати фінансового закриття');
INSERT INTO `lang_definitions` VALUES (123545, 4933, 33, 'Лікування після аботру');
INSERT INTO `lang_definitions` VALUES (123546, 4934, 33, 'Контрацепція після аборту');
INSERT INTO `lang_definitions` VALUES (123547, 4935, 33, 'Консультація після аборту');
INSERT INTO `lang_definitions` VALUES (123548, 4936, 33, 'Наслідки аборту');
INSERT INTO `lang_definitions` VALUES (123549, 4937, 33, 'Поштовий');
INSERT INTO `lang_definitions` VALUES (123550, 4938, 33, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (123551, 4939, 33, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (123552, 4941, 33, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (123553, 4942, 33, 'Адміністрування PostCalendar');
INSERT INTO `lang_definitions` VALUES (123554, 4943, 33, 'Налаштування категорії PostCalendar');
INSERT INTO `lang_definitions` VALUES (123555, 4944, 33, 'Загальні налаштування PostCalendar');
INSERT INTO `lang_definitions` VALUES (123556, 4945, 33, 'Опубліковано в');
INSERT INTO `lang_definitions` VALUES (123557, 4946, 33, 'Дата відправки');
INSERT INTO `lang_definitions` VALUES (123558, 4948, 33, 'Живиться від');
INSERT INTO `lang_definitions` VALUES (123559, 4949, 33, 'PRE + Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (123560, 4950, 33, 'PQRI');
INSERT INTO `lang_definitions` VALUES (123561, 4951, 33, 'Реєстраційний ID для PQRI');
INSERT INTO `lang_definitions` VALUES (123562, 4952, 33, 'Реєстраційне ім\'я для PQRI');
INSERT INTO `lang_definitions` VALUES (123563, 4953, 33, 'Лікарська практика');
INSERT INTO `lang_definitions` VALUES (123564, 4954, 33, 'Налаштування лікарської практики по замовчуванню');
INSERT INTO `lang_definitions` VALUES (123565, 4955, 33, 'Налаштування лікарької практики');
INSERT INTO `lang_definitions` VALUES (123566, 4956, 33, 'Практикуючий лікар');
INSERT INTO `lang_definitions` VALUES (123567, 4958, 33, 'Передоплата');
INSERT INTO `lang_definitions` VALUES (123568, 4959, 33, 'Передоплата');
INSERT INTO `lang_definitions` VALUES (123569, 4960, 33, 'Консультація перед абортом');
INSERT INTO `lang_definitions` VALUES (123570, 4961, 33, 'Консультування перед абортом');
INSERT INTO `lang_definitions` VALUES (123571, 4962, 33, 'Pref Cat');
INSERT INTO `lang_definitions` VALUES (123572, 4964, 33, 'Уподобання');
INSERT INTO `lang_definitions` VALUES (123573, 4965, 33, 'Категорія події, якій надається перевага');
INSERT INTO `lang_definitions` VALUES (123574, 4966, 33, 'Мова, якій надається перевага');
INSERT INTO `lang_definitions` VALUES (123575, 4967, 33, 'Аптека, якій надається перевага');
INSERT INTO `lang_definitions` VALUES (123576, 4968, 33, 'Постачальник медичних послуг, якому надається перевага (PPO)');
INSERT INTO `lang_definitions` VALUES (123577, 4969, 33, 'Тест на визначення вагітності');
INSERT INTO `lang_definitions` VALUES (123578, 4970, 33, 'Попередній');
INSERT INTO `lang_definitions` VALUES (123579, 4971, 33, 'Підготовка до запуску звіту');
INSERT INTO `lang_definitions` VALUES (123580, 4972, 33, 'Передоплата');
INSERT INTO `lang_definitions` VALUES (123581, 4973, 33, 'Призначення');
INSERT INTO `lang_definitions` VALUES (123582, 4974, 33, 'призначення досягло свого ліміту');
INSERT INTO `lang_definitions` VALUES (123583, 4975, 33, 'Історія призначень');
INSERT INTO `lang_definitions` VALUES (123584, 4976, 33, 'Імпорт історії призначень успішно завершено');
INSERT INTO `lang_definitions` VALUES (123585, 4977, 33, 'Мітка призначення');
INSERT INTO `lang_definitions` VALUES (123586, 4978, 33, 'Звіт про призначення');
INSERT INTO `lang_definitions` VALUES (123587, 4979, 33, 'Призначення');
INSERT INTO `lang_definitions` VALUES (123588, 4980, 33, 'Призначення і виконання');
INSERT INTO `lang_definitions` VALUES (123589, 4981, 33, 'Призначення та інші направлення');
INSERT INTO `lang_definitions` VALUES (123590, 4982, 33, 'Призначення і/або направлення спеціалістом');
INSERT INTO `lang_definitions` VALUES (123591, 4983, 33, 'Звіт про призначення');
INSERT INTO `lang_definitions` VALUES (123592, 4984, 33, 'Призначення/направлення');
INSERT INTO `lang_definitions` VALUES (123593, 4985, 33, 'Присутній');
INSERT INTO `lang_definitions` VALUES (123594, 4986, 33, 'Присутні скарги');
INSERT INTO `lang_definitions` VALUES (123595, 4987, 33, 'Присутня проблема(и)');
INSERT INTO `lang_definitions` VALUES (123596, 4988, 33, 'Нажміть Продовжити для обробки');
INSERT INTO `lang_definitions` VALUES (123597, 4989, 33, 'Гаданий діагноз');
INSERT INTO `lang_definitions` VALUES (123598, 4990, 33, 'Гаданий діагноз по спеціалісту');
INSERT INTO `lang_definitions` VALUES (123599, 4991, 33, 'Попер.');
INSERT INTO `lang_definitions` VALUES (123600, 4992, 33, 'Prev Med/Surg Hx');
INSERT INTO `lang_definitions` VALUES (123601, 4993, 33, 'Попередній місяць (утримуйте для меню)');
INSERT INTO `lang_definitions` VALUES (123602, 4994, 33, 'Попередній рік (утримуйте для меню)');
INSERT INTO `lang_definitions` VALUES (123603, 4995, 33, 'Профілактичне лікування');
INSERT INTO `lang_definitions` VALUES (123604, 4998, 33, 'Попередній перегляд події');
INSERT INTO `lang_definitions` VALUES (123605, 5000, 33, 'Попередній перегляд');
INSERT INTO `lang_definitions` VALUES (123606, 5001, 33, 'Попередній');
INSERT INTO `lang_definitions` VALUES (123607, 5002, 33, 'Попередні консультації');
INSERT INTO `lang_definitions` VALUES (123608, 5003, 33, 'Попередній день');
INSERT INTO `lang_definitions` VALUES (123609, 5004, 33, 'Попередня історія/огляд');
INSERT INTO `lang_definitions` VALUES (123610, 5005, 33, 'Попередній місяць');
INSERT INTO `lang_definitions` VALUES (123611, 5006, 33, 'Попередній тиждень');
INSERT INTO `lang_definitions` VALUES (123612, 5007, 33, 'Ціна');
INSERT INTO `lang_definitions` VALUES (123613, 5008, 33, 'Знижка на ціну');
INSERT INTO `lang_definitions` VALUES (123614, 5009, 33, 'Рівень цін');
INSERT INTO `lang_definitions` VALUES (123615, 5010, 33, 'Рівень цін:');
INSERT INTO `lang_definitions` VALUES (123616, 5011, 33, 'Ціни');
INSERT INTO `lang_definitions` VALUES (123617, 5012, 33, 'Основний');
INSERT INTO `lang_definitions` VALUES (123618, 5013, 33, 'Первинний суб\'єкт господарювання');
INSERT INTO `lang_definitions` VALUES (123619, 5014, 33, 'tax id первинного суб\'єкта господарювання використовується як id фінансового аналізу для NewCrop ePrescription. Зміна медичного закладу вплине на роботу в NewCrop.');
INSERT INTO `lang_definitions` VALUES (123620, 5022, 33, 'Основне страх.');
INSERT INTO `lang_definitions` VALUES (123621, 5023, 33, 'Основне страхування');
INSERT INTO `lang_definitions` VALUES (123622, 5024, 33, 'Дата основного страхування');
INSERT INTO `lang_definitions` VALUES (123623, 5025, 33, 'Основний страхувальник');
INSERT INTO `lang_definitions` VALUES (123624, 5026, 33, 'Основний спеціаліст');
INSERT INTO `lang_definitions` VALUES (123625, 5027, 33, 'Друк');
INSERT INTO `lang_definitions` VALUES (123626, 5028, 33, 'Друк (HTML)');
INSERT INTO `lang_definitions` VALUES (123627, 5029, 33, 'Друк (PDF)');
INSERT INTO `lang_definitions` VALUES (123628, 5031, 33, 'Друкувати будь-яке звернення');
INSERT INTO `lang_definitions` VALUES (123629, 5032, 33, 'Друкувати пусту форму направлення');
INSERT INTO `lang_definitions` VALUES (123630, 5033, 33, 'Команда друку');
INSERT INTO `lang_definitions` VALUES (123631, 5034, 33, 'Дата друку');
INSERT INTO `lang_definitions` VALUES (123632, 5039, 33, 'Формат друку');
INSERT INTO `lang_definitions` VALUES (123633, 5040, 33, 'Друк чотирьох панелей');
INSERT INTO `lang_definitions` VALUES (123634, 5042, 33, 'Друк повідомлення');
INSERT INTO `lang_definitions` VALUES (123635, 5043, 33, 'Багаторазовий друк');
INSERT INTO `lang_definitions` VALUES (123636, 5044, 33, 'Багаторазовий вивід на факс');
INSERT INTO `lang_definitions` VALUES (123637, 5045, 33, 'Друкувати назва, підпис і дата друку');
INSERT INTO `lang_definitions` VALUES (123638, 5046, 33, 'Друк записів');
INSERT INTO `lang_definitions` VALUES (123639, 5047, 33, 'Друк сторінки 1');
INSERT INTO `lang_definitions` VALUES (123640, 5048, 33, 'Друк сторінки 2');
INSERT INTO `lang_definitions` VALUES (123641, 5051, 33, 'Друк рецептів по спеціалісту');
INSERT INTO `lang_definitions` VALUES (123642, 5052, 33, 'Друкувати запис');
INSERT INTO `lang_definitions` VALUES (123643, 5053, 33, 'Друк вибраних заявок');
INSERT INTO `lang_definitions` VALUES (123644, 5054, 33, 'Друк частини запису');
INSERT INTO `lang_definitions` VALUES (123645, 5056, 33, 'Друкувати це звернення');
INSERT INTO `lang_definitions` VALUES (123646, 5057, 33, 'Друкувати цей запис');
INSERT INTO `lang_definitions` VALUES (123647, 5058, 33, 'Друкувати цей запис');
INSERT INTO `lang_definitions` VALUES (123648, 5060, 33, 'Виводити на факс');
INSERT INTO `lang_definitions` VALUES (123649, 5061, 33, 'Вид друку');
INSERT INTO `lang_definitions` VALUES (123650, 5062, 33, 'для друку');
INSERT INTO `lang_definitions` VALUES (123651, 5063, 33, 'Версія для друку');
INSERT INTO `lang_definitions` VALUES (123652, 5064, 33, 'Надрукований');
INSERT INTO `lang_definitions` VALUES (123653, 5066, 33, 'Результати друку:');
INSERT INTO `lang_definitions` VALUES (123654, 5067, 33, 'Друк пропущений; див. тестовий вивід в');
INSERT INTO `lang_definitions` VALUES (123655, 5068, 33, 'Друк пропущений; див. тестовий вивід в ');
INSERT INTO `lang_definitions` VALUES (123656, 5069, 33, 'Попередня аутентифікація');
INSERT INTO `lang_definitions` VALUES (123657, 5070, 33, 'Форма попередньої аутентифікації');
INSERT INTO `lang_definitions` VALUES (123658, 5071, 33, 'Попередній візит');
INSERT INTO `lang_definitions` VALUES (123659, 5072, 33, 'Пріоритет');
INSERT INTO `lang_definitions` VALUES (123660, 5073, 33, 'Пріоритет ');
INSERT INTO `lang_definitions` VALUES (123661, 5074, 33, 'Конфіденційний');
INSERT INTO `lang_definitions` VALUES (123662, 5075, 33, 'Проблема');
INSERT INTO `lang_definitions` VALUES (123663, 5076, 33, 'Проблема DX');
INSERT INTO `lang_definitions` VALUES (123664, 5077, 33, 'Список проблем');
INSERT INTO `lang_definitions` VALUES (123665, 5079, 33, 'Проблеми/питання');
INSERT INTO `lang_definitions` VALUES (123666, 5080, 33, 'Проц. Бат');
INSERT INTO `lang_definitions` VALUES (123667, 5081, 33, 'Проц. Кат.');
INSERT INTO `lang_definitions` VALUES (123668, 5082, 33, 'Проц. Завантаження');
INSERT INTO `lang_definitions` VALUES (123669, 5083, 33, 'Проц. Очік. Перегл.');
INSERT INTO `lang_definitions` VALUES (123670, 5084, 33, 'Проц. Пост.');
INSERT INTO `lang_definitions` VALUES (123671, 5085, 33, 'Проц. Рез.');
INSERT INTO `lang_definitions` VALUES (123672, 5086, 33, 'Процедура');
INSERT INTO `lang_definitions` VALUES (123673, 5087, 33, 'Ділянки тіла для процедури');
INSERT INTO `lang_definitions` VALUES (123674, 5088, 33, 'Логічні результати процедури');
INSERT INTO `lang_definitions` VALUES (123675, 5089, 33, 'Код процедури');
INSERT INTO `lang_definitions` VALUES (123676, 5090, 33, 'Коди процедур');
INSERT INTO `lang_definitions` VALUES (123677, 5091, 33, 'Латералізація процедури');
INSERT INTO `lang_definitions` VALUES (123678, 5092, 33, 'Назва процедури');
INSERT INTO `lang_definitions` VALUES (123679, 5093, 33, 'Призначення процедури');
INSERT INTO `lang_definitions` VALUES (123680, 5094, 33, 'Призначення процедури');
INSERT INTO `lang_definitions` VALUES (123681, 5095, 33, 'Призначення процедури для');
INSERT INTO `lang_definitions` VALUES (123682, 5097, 33, 'Призначення і звіти по процедурі');
INSERT INTO `lang_definitions` VALUES (123683, 5098, 33, 'Вибір процедури');
INSERT INTO `lang_definitions` VALUES (123684, 5099, 33, 'Спеціаліст по процедурі');
INSERT INTO `lang_definitions` VALUES (123685, 5100, 33, 'Спеціаліст по процедурі');
INSERT INTO `lang_definitions` VALUES (123686, 5101, 33, 'Спеціалісти по процедурі');
INSERT INTO `lang_definitions` VALUES (123687, 5102, 33, 'Звіт по процедурі');
INSERT INTO `lang_definitions` VALUES (123688, 5103, 33, 'Статуси звіту процедури');
INSERT INTO `lang_definitions` VALUES (123689, 5104, 33, 'Відхилення результату процедури від норми');
INSERT INTO `lang_definitions` VALUES (123690, 5105, 33, 'Статуси звіту процедури');
INSERT INTO `lang_definitions` VALUES (123691, 5106, 33, 'Результати процедури');
INSERT INTO `lang_definitions` VALUES (123692, 5107, 33, 'Шляхи процедури');
INSERT INTO `lang_definitions` VALUES (123693, 5108, 33, 'Тип біозразка для процедури');
INSERT INTO `lang_definitions` VALUES (123694, 5109, 33, 'Статистичний звіт по процедурі');
INSERT INTO `lang_definitions` VALUES (123695, 5110, 33, 'Тип процедури');
INSERT INTO `lang_definitions` VALUES (123696, 5111, 33, 'Типи процедури');
INSERT INTO `lang_definitions` VALUES (123697, 5112, 33, 'Частини процедури');
INSERT INTO `lang_definitions` VALUES (123698, 5113, 33, 'Процедура/Послуга');
INSERT INTO `lang_definitions` VALUES (123699, 5114, 33, 'Процедури');
INSERT INTO `lang_definitions` VALUES (123700, 5115, 33, 'Обробити');
INSERT INTO `lang_definitions` VALUES (123701, 5116, 33, 'Обробити і послати нагадування');
INSERT INTO `lang_definitions` VALUES (123702, 5117, 33, 'Обробка файлу ERA');
INSERT INTO `lang_definitions` VALUES (123703, 5118, 33, 'Обробити нові файли з CSV-записами');
INSERT INTO `lang_definitions` VALUES (123704, 5119, 33, 'Обробити нагадування');
INSERT INTO `lang_definitions` VALUES (123705, 5120, 33, 'Обробка займе деякий час');
INSERT INTO `lang_definitions` VALUES (123706, 5121, 33, 'Оброблений');
INSERT INTO `lang_definitions` VALUES (123707, 5122, 33, 'Оброблений з');
INSERT INTO `lang_definitions` VALUES (123708, 5123, 33, 'Оброблена дата');
INSERT INTO `lang_definitions` VALUES (123709, 5124, 33, 'оброблено успішно');
INSERT INTO `lang_definitions` VALUES (123710, 5125, 33, 'Обробка');
INSERT INTO `lang_definitions` VALUES (123711, 5126, 33, 'Обробка і відсилання нагадувань для пацієнтів');
INSERT INTO `lang_definitions` VALUES (123712, 5127, 33, 'Обробка нагадувань для пацієнів');
INSERT INTO `lang_definitions` VALUES (123713, 5128, 33, 'Час обробки');
INSERT INTO `lang_definitions` VALUES (123714, 5129, 33, 'Виготовлення');
INSERT INTO `lang_definitions` VALUES (123715, 5130, 33, 'Виготовлення засобу контрацепції');
INSERT INTO `lang_definitions` VALUES (123716, 5131, 33, 'Виготовлення');
INSERT INTO `lang_definitions` VALUES (123717, 5132, 33, 'Виготовлено');
INSERT INTO `lang_definitions` VALUES (123718, 5133, 33, 'Виготовлено, але не ліків за рецептом і без шаблонів');
INSERT INTO `lang_definitions` VALUES (123719, 5134, 33, 'Проф.');
INSERT INTO `lang_definitions` VALUES (123720, 5135, 33, 'Обробка записів');
INSERT INTO `lang_definitions` VALUES (123721, 5136, 33, 'Рак передміхурової залози');
INSERT INTO `lang_definitions` VALUES (123722, 5137, 33, 'Скринінг раку простати');
INSERT INTO `lang_definitions` VALUES (123723, 5138, 33, 'Огляд простати');
INSERT INTO `lang_definitions` VALUES (123724, 5139, 33, 'Проблеми з простатою');
INSERT INTO `lang_definitions` VALUES (123725, 5140, 33, 'Простата без збільшень, вузлів, чутлива');
INSERT INTO `lang_definitions` VALUES (123726, 5141, 33, 'Протокол');
INSERT INTO `lang_definitions` VALUES (123727, 5142, 33, 'Надайте абсолютний шлях');
INSERT INTO `lang_definitions` VALUES (123728, 5143, 33, 'Надайте абсолютний шлях до файлу');
INSERT INTO `lang_definitions` VALUES (123729, 5145, 33, 'Надання клінічних резюме по пацієнтах, для кожного відвідування кабінету.');
INSERT INTO `lang_definitions` VALUES (123730, 5146, 33, 'Надання пацієнтам за запитом електронної копії їхньої медичної інформації (в тому числі результати діагностики, список питань, списки ліків, засоби від алергій).');
INSERT INTO `lang_definitions` VALUES (123731, 5147, 33, 'Надання пацієнтам своєчасного електронний доступу до їхньої медичної інформації (в тому числі результати лабораторних аналізів, список питань, списки ліків, засоби від алергії) протягом чотирьох робочих днів з інформацією, доступною EP.');
INSERT INTO `lang_definitions` VALUES (123732, 5148, 33, 'Забезпечити запис для пацієнтів на відвідування');
INSERT INTO `lang_definitions` VALUES (123733, 5149, 33, 'Надайте правильну адресу електронної пошти');
INSERT INTO `lang_definitions` VALUES (123734, 5150, 33, 'Надати клінічну інформацію?');
INSERT INTO `lang_definitions` VALUES (123735, 5151, 33, 'Надати освітні(й) ресурс(и)?');
INSERT INTO `lang_definitions` VALUES (123736, 5152, 33, 'Спеціаліст');
INSERT INTO `lang_definitions` VALUES (123737, 5153, 33, 'ID спеціаліста');
INSERT INTO `lang_definitions` VALUES (123738, 5154, 33, 'ID спеціаліста');
INSERT INTO `lang_definitions` VALUES (123739, 5155, 33, 'ID спеціаліста і визначений медзаклад');
INSERT INTO `lang_definitions` VALUES (123740, 5156, 33, 'Помилки відповідності спеціаліста');
INSERT INTO `lang_definitions` VALUES (123741, 5159, 33, 'Номер спеціаліста');
INSERT INTO `lang_definitions` VALUES (123742, 5160, 33, 'Взаємозв\"язок спеціалістів');
INSERT INTO `lang_definitions` VALUES (123743, 5162, 33, 'Спеціаліст:');
INSERT INTO `lang_definitions` VALUES (123744, 5163, 33, 'Спеціалісти');
INSERT INTO `lang_definitions` VALUES (123745, 5164, 33, 'Спеціалісти NPI');
INSERT INTO `lang_definitions` VALUES (123746, 5165, 33, 'Спеціалісти бачать вміст календаря');
INSERT INTO `lang_definitions` VALUES (123747, 5166, 33, 'Prv');
INSERT INTO `lang_definitions` VALUES (123748, 5167, 33, 'PSA');
INSERT INTO `lang_definitions` VALUES (123749, 5168, 33, 'Псоріаз');
INSERT INTO `lang_definitions` VALUES (123750, 5169, 33, 'Псих. діагноз');
INSERT INTO `lang_definitions` VALUES (123751, 5170, 33, 'Псих. Лікування');
INSERT INTO `lang_definitions` VALUES (123752, 5171, 33, 'Психіатричний');
INSERT INTO `lang_definitions` VALUES (123753, 5172, 33, 'Короткий психіатричний лист');
INSERT INTO `lang_definitions` VALUES (123754, 5173, 33, 'Психіатричний діагноз');
INSERT INTO `lang_definitions` VALUES (123755, 5174, 33, 'Психіатричний огляд');
INSERT INTO `lang_definitions` VALUES (123756, 5175, 33, 'Психіатричний анамнез');
INSERT INTO `lang_definitions` VALUES (123757, 5176, 33, 'Вживання психотропних препаратів');
INSERT INTO `lang_definitions` VALUES (123758, 5177, 33, 'Психіатричний препарат');
INSERT INTO `lang_definitions` VALUES (123759, 5178, 33, 'Проц. %');
INSERT INTO `lang_definitions` VALUES (123760, 5179, 33, 'Проц. записів');
INSERT INTO `lang_definitions` VALUES (123761, 5180, 33, 'Проц. записів/дозв.');
INSERT INTO `lang_definitions` VALUES (123762, 5181, 33, 'Проц. переплати');
INSERT INTO `lang_definitions` VALUES (123763, 5182, 33, 'Проц. оплати');
INSERT INTO `lang_definitions` VALUES (123764, 5183, 33, 'Проц. запиту реєстр.');
INSERT INTO `lang_definitions` VALUES (123765, 5184, 33, 'Проц. відшкодувань');
INSERT INTO `lang_definitions` VALUES (123766, 5185, 33, 'Проц. релізу');
INSERT INTO `lang_definitions` VALUES (123767, 5186, 33, 'Проц. звіту');
INSERT INTO `lang_definitions` VALUES (123768, 5187, 33, 'PT студента або залиште пустим');
INSERT INTO `lang_definitions` VALUES (123769, 5188, 33, 'PT МІСТО');
INSERT INTO `lang_definitions` VALUES (123770, 5189, 33, 'PT_ДАТАНАРОДЖ');
INSERT INTO `lang_definitions` VALUES (123771, 5191, 33, 'PT ІМ\'Я');
INSERT INTO `lang_definitions` VALUES (123772, 5192, 33, 'PT ПРІЗВИЩЕ');
INSERT INTO `lang_definitions` VALUES (123773, 5193, 33, 'PT_ПОБАТЬОВІ');
INSERT INTO `lang_definitions` VALUES (123774, 5196, 33, 'PT ПОШТОВИЙ');
INSERT INTO `lang_definitions` VALUES (123775, 5198, 33, 'PT КРАЇНА');
INSERT INTO `lang_definitions` VALUES (123776, 5199, 33, 'PT ВУЛИЦЯ');
INSERT INTO `lang_definitions` VALUES (123777, 5201, 33, 'Громадський');
INSERT INTO `lang_definitions` VALUES (123778, 5203, 33, 'Служба охорони здоров\'я (PHS) чи ішна державна установа');
INSERT INTO `lang_definitions` VALUES (123779, 5204, 33, 'Пуерториканський');
INSERT INTO `lang_definitions` VALUES (123780, 5205, 33, 'Легеневий');
INSERT INTO `lang_definitions` VALUES (123781, 5206, 33, 'Пульс');
INSERT INTO `lang_definitions` VALUES (123782, 5207, 33, 'Панджабський');
INSERT INTO `lang_definitions` VALUES (123783, 5208, 33, 'Покупка');
INSERT INTO `lang_definitions` VALUES (123784, 5209, 33, 'Покупка/повернення');
INSERT INTO `lang_definitions` VALUES (123785, 5210, 33, 'Покупки');
INSERT INTO `lang_definitions` VALUES (123786, 5211, 33, 'P{{Вирівнювання заголовка}}');
INSERT INTO `lang_definitions` VALUES (123787, 5213, 33, 'кожні 3 години');
INSERT INTO `lang_definitions` VALUES (123788, 5214, 33, 'кожні 4 години');
INSERT INTO `lang_definitions` VALUES (123789, 5215, 33, 'кожні 5 годин');
INSERT INTO `lang_definitions` VALUES (123790, 5216, 33, 'кожні 6 годин');
INSERT INTO `lang_definitions` VALUES (123791, 5217, 33, 'кожні 8 годин');
INSERT INTO `lang_definitions` VALUES (123792, 5218, 33, 'кожний день');
INSERT INTO `lang_definitions` VALUES (123793, 5219, 33, 'чотири рази на день');
INSERT INTO `lang_definitions` VALUES (123794, 5220, 33, 'QOH');
INSERT INTO `lang_definitions` VALUES (123795, 5221, 33, 'QOH менше, ніж щомісячне вживання');
INSERT INTO `lang_definitions` VALUES (123796, 5222, 33, 'Qty');
INSERT INTO `lang_definitions` VALUES (123797, 5223, 33, 'QTY');
INSERT INTO `lang_definitions` VALUES (123798, 5224, 33, 'Якість');
INSERT INTO `lang_definitions` VALUES (123799, 5225, 33, 'Оцінка якості (CQM)');
INSERT INTO `lang_definitions` VALUES (123800, 5226, 33, 'Кількість');
INSERT INTO `lang_definitions` VALUES (123801, 5227, 33, 'Кількість для NDC');
INSERT INTO `lang_definitions` VALUES (123802, 5228, 33, 'Наявна кількість');
INSERT INTO `lang_definitions` VALUES (123803, 5229, 33, 'кількість, що є непридатною');
INSERT INTO `lang_definitions` VALUES (123804, 5231, 33, 'Знак запитання');
INSERT INTO `lang_definitions` VALUES (123805, 5232, 33, 'Черга на пакетну обробку HCFA');
INSERT INTO `lang_definitions` VALUES (123806, 5233, 33, 'Черга на пакетну обробку і друк HCFA');
INSERT INTO `lang_definitions` VALUES (123807, 5234, 33, 'Черга на пакетну обробку UB-92');
INSERT INTO `lang_definitions` VALUES (123808, 5235, 33, 'Черга на пакетну обробку і друк UB-92');
INSERT INTO `lang_definitions` VALUES (123809, 5236, 33, 'У черзі');
INSERT INTO `lang_definitions` VALUES (123810, 5237, 33, 'Управління подіями в черзі');
INSERT INTO `lang_definitions` VALUES (123811, 5238, 33, 'У черзі на');
INSERT INTO `lang_definitions` VALUES (123812, 5240, 33, 'Управління матеріалами в черзі');
INSERT INTO `lang_definitions` VALUES (123813, 5241, 33, 'Вихід');
INSERT INTO `lang_definitions` VALUES (123814, 5242, 33, 'Колишній алкоголік');
INSERT INTO `lang_definitions` VALUES (123815, 5243, 33, 'R');
INSERT INTO `lang_definitions` VALUES (123816, 5244, 33, 'RA для пацієнта, звернення чи запису');
INSERT INTO `lang_definitions` VALUES (123817, 5245, 33, 'Раса');
INSERT INTO `lang_definitions` VALUES (123818, 5246, 33, 'Раса та етнос');
INSERT INTO `lang_definitions` VALUES (123819, 5247, 33, 'Раса/етнос');
INSERT INTO `lang_definitions` VALUES (123820, 5248, 33, 'Радіо');
INSERT INTO `lang_definitions` VALUES (123821, 5249, 33, 'Кнопки перемикання');
INSERT INTO `lang_definitions` VALUES (123822, 5251, 33, 'Діапазон');
INSERT INTO `lang_definitions` VALUES (123823, 5252, 33, 'Висип');
INSERT INTO `lang_definitions` VALUES (123824, 5253, 33, 'Швидкість');
INSERT INTO `lang_definitions` VALUES (123825, 5254, 33, 'Співвідношення');
INSERT INTO `lang_definitions` VALUES (123826, 5255, 33, 'Необроблений звіт');
INSERT INTO `lang_definitions` VALUES (123827, 5256, 33, 'Повторна ідентифікація');
INSERT INTO `lang_definitions` VALUES (123828, 5257, 33, 'Процес повторної ідентифікації завершений');
INSERT INTO `lang_definitions` VALUES (123829, 5258, 33, 'Процес повторної ідентифікації триває');
INSERT INTO `lang_definitions` VALUES (123830, 5259, 33, 'Файли повторної ідентифікації будуть збережені у');
INSERT INTO `lang_definitions` VALUES (123831, 5260, 33, 'Повторна травма?');
INSERT INTO `lang_definitions` VALUES (123832, 5261, 33, 'Повторне відкриття');
INSERT INTO `lang_definitions` VALUES (123833, 5262, 33, 'Відкритий повторно');
INSERT INTO `lang_definitions` VALUES (123834, 5263, 33, 'Реакція');
INSERT INTO `lang_definitions` VALUES (123835, 5264, 33, 'Реакції');
INSERT INTO `lang_definitions` VALUES (123836, 5265, 33, 'Читати');
INSERT INTO `lang_definitions` VALUES (123837, 5268, 33, 'Справжнє ім\'я');
INSERT INTO `lang_definitions` VALUES (123838, 5269, 33, 'Справді видалити');
INSERT INTO `lang_definitions` VALUES (123839, 5270, 33, 'Причина');
INSERT INTO `lang_definitions` VALUES (123840, 5271, 33, 'Помер з причини');
INSERT INTO `lang_definitions` VALUES (123841, 5272, 33, 'Причина смерті');
INSERT INTO `lang_definitions` VALUES (123842, 5274, 33, 'Причина для направлення');
INSERT INTO `lang_definitions` VALUES (123843, 5275, 33, 'Причина для візиту');
INSERT INTO `lang_definitions` VALUES (123844, 5276, 33, 'Причина/форма');
INSERT INTO `lang_definitions` VALUES (123845, 5277, 33, 'Квитанція');
INSERT INTO `lang_definitions` VALUES (123846, 5278, 33, 'Квитанція для оплати');
INSERT INTO `lang_definitions` VALUES (123847, 5279, 33, 'Квитанція створена');
INSERT INTO `lang_definitions` VALUES (123848, 5280, 33, 'Квитанція по вказуванню методу оплати');
INSERT INTO `lang_definitions` VALUES (123849, 5281, 33, 'Підсумкові надходження');
INSERT INTO `lang_definitions` VALUES (123850, 5282, 33, 'Отриманий');
INSERT INTO `lang_definitions` VALUES (123851, 5283, 33, 'Отриманий через');
INSERT INTO `lang_definitions` VALUES (123852, 5284, 33, 'Отримані факси');
INSERT INTO `lang_definitions` VALUES (123853, 5285, 33, 'Отримано, не переглянуто');
INSERT INTO `lang_definitions` VALUES (123854, 5287, 33, 'Одержувач');
INSERT INTO `lang_definitions` VALUES (123855, 5288, 33, 'ID одержувача');
INSERT INTO `lang_definitions` VALUES (123856, 5289, 33, 'ID одержувача (ISA08)');
INSERT INTO `lang_definitions` VALUES (123857, 5290, 33, 'Визначник ID одержувача (ISA07)');
INSERT INTO `lang_definitions` VALUES (123858, 5291, 33, 'ID-и одержувача');
INSERT INTO `lang_definitions` VALUES (123859, 5292, 33, 'Останні три паролі не дозволені');
INSERT INTO `lang_definitions` VALUES (123860, 5293, 33, 'Отримувач');
INSERT INTO `lang_definitions` VALUES (123861, 5294, 33, 'Список отримувачів порожній');
INSERT INTO `lang_definitions` VALUES (123862, 5295, 33, 'Ім\'я отримувача');
INSERT INTO `lang_definitions` VALUES (123863, 5296, 33, 'Адресат опублікованої інформації');
INSERT INTO `lang_definitions` VALUES (123864, 5297, 33, 'Вимагається отримувач аждопоки статус є \"Готово\"');
INSERT INTO `lang_definitions` VALUES (123865, 5298, 33, 'Рекомендація');
INSERT INTO `lang_definitions` VALUES (123866, 5299, 33, 'Рекомендація по завершенню');
INSERT INTO `lang_definitions` VALUES (123867, 5300, 33, 'Рекомендації');
INSERT INTO `lang_definitions` VALUES (123868, 5301, 33, 'Рекомендації і лікування');
INSERT INTO `lang_definitions` VALUES (123869, 5302, 33, 'Рекомендації по спеціалісту');
INSERT INTO `lang_definitions` VALUES (123870, 5303, 33, 'Запис');
INSERT INTO `lang_definitions` VALUES (123871, 5304, 33, 'Запис вже існує');
INSERT INTO `lang_definitions` VALUES (123872, 5310, 33, 'Зміна запису і карти по життєво-важливих функціях.');
INSERT INTO `lang_definitions` VALUES (123873, 5311, 33, 'Записувати демографічні дані');
INSERT INTO `lang_definitions` VALUES (123874, 5312, 33, 'Публікація запису');
INSERT INTO `lang_definitions` VALUES (123875, 5313, 33, 'Запис про тренованість');
INSERT INTO `lang_definitions` VALUES (123876, 5314, 33, 'Записати оплату');
INSERT INTO `lang_definitions` VALUES (123877, 5315, 33, 'Записати дату запиту');
INSERT INTO `lang_definitions` VALUES (123878, 5316, 33, 'Запис про куріння для пацієнтів 13 років і старше.');
INSERT INTO `lang_definitions` VALUES (123879, 5317, 33, 'Записи');
INSERT INTO `lang_definitions` VALUES (123880, 5318, 33, 'знайдено записи');
INSERT INTO `lang_definitions` VALUES (123881, 5319, 33, 'знайдено записи.');
INSERT INTO `lang_definitions` VALUES (123882, 5320, 33, 'Нерегулярне вживання наркотиків (для розваг)');
INSERT INTO `lang_definitions` VALUES (123883, 5321, 33, 'Нерегулярні (рекреаційні) наркотики');
INSERT INTO `lang_definitions` VALUES (123884, 5322, 33, 'Ректальний');
INSERT INTO `lang_definitions` VALUES (123885, 5323, 33, 'Ректальний огляд');
INSERT INTO `lang_definitions` VALUES (123886, 5324, 33, 'ректально');
INSERT INTO `lang_definitions` VALUES (123887, 5325, 33, 'Перенаправлення');
INSERT INTO `lang_definitions` VALUES (123888, 5326, 33, 'Почервоніння');
INSERT INTO `lang_definitions` VALUES (123889, 5327, 33, 'зменшений:');
INSERT INTO `lang_definitions` VALUES (123890, 5328, 33, 'Посилатись');
INSERT INTO `lang_definitions` VALUES (123891, 5329, 33, 'Посилатись через');
INSERT INTO `lang_definitions` VALUES (123892, 5330, 33, 'Дата посилання');
INSERT INTO `lang_definitions` VALUES (123893, 5331, 33, 'Посилатись на');
INSERT INTO `lang_definitions` VALUES (123894, 5332, 33, 'Класифікація направлень (рівень ризику)');
INSERT INTO `lang_definitions` VALUES (123895, 5333, 33, 'Діапазон результатів направлень');
INSERT INTO `lang_definitions` VALUES (123896, 5334, 33, 'Причина направлення');
INSERT INTO `lang_definitions` VALUES (123897, 5336, 33, 'Ім\'я і підпис того, хто направляє');
INSERT INTO `lang_definitions` VALUES (123898, 5337, 33, 'Направлення');
INSERT INTO `lang_definitions` VALUES (123899, 5338, 33, 'Направлення через');
INSERT INTO `lang_definitions` VALUES (123900, 5339, 33, 'Талон направлення');
INSERT INTO `lang_definitions` VALUES (123901, 5340, 33, 'Дата направлення');
INSERT INTO `lang_definitions` VALUES (123902, 5341, 33, 'Форма направлення');
INSERT INTO `lang_definitions` VALUES (123903, 5342, 33, 'ФОРМА НАПРАВЛЕННЯ');
INSERT INTO `lang_definitions` VALUES (123904, 5343, 33, 'ID направлення');
INSERT INTO `lang_definitions` VALUES (123905, 5345, 33, 'Джерело направлення');
INSERT INTO `lang_definitions` VALUES (123906, 5346, 33, 'Джерело направлення для звернень');
INSERT INTO `lang_definitions` VALUES (123907, 5347, 33, 'Направлення до');
INSERT INTO `lang_definitions` VALUES (123908, 5348, 33, 'Направлення');
INSERT INTO `lang_definitions` VALUES (123909, 5349, 33, 'Звіт направлення');
INSERT INTO `lang_definitions` VALUES (123910, 5350, 33, 'Направлений через');
INSERT INTO `lang_definitions` VALUES (123911, 5351, 33, 'Направлений Через');
INSERT INTO `lang_definitions` VALUES (123912, 5352, 33, 'Направлений до');
INSERT INTO `lang_definitions` VALUES (123913, 5353, 33, 'Хто направив');
INSERT INTO `lang_definitions` VALUES (123914, 5355, 33, 'Діагноз при направленні');
INSERT INTO `lang_definitions` VALUES (123915, 5356, 33, 'Діагноз при направленні');
INSERT INTO `lang_definitions` VALUES (123916, 5357, 33, 'Лікар, який направив і лікарська практика');
INSERT INTO `lang_definitions` VALUES (123917, 5358, 33, 'Спеціаліст, який направив');
INSERT INTO `lang_definitions` VALUES (123918, 5359, 33, 'Повторно заповнювати');
INSERT INTO `lang_definitions` VALUES (123919, 5360, 33, 'Повторно заповнені');
INSERT INTO `lang_definitions` VALUES (123920, 5361, 33, 'повторно заповнені');
INSERT INTO `lang_definitions` VALUES (123921, 5362, 33, 'Рефлекси нормальні');
INSERT INTO `lang_definitions` VALUES (123922, 5363, 33, 'Оновити');
INSERT INTO `lang_definitions` VALUES (123923, 5365, 33, 'Оновлені нагадування');
INSERT INTO `lang_definitions` VALUES (123924, 5368, 33, 'Відмовлено встановлювати');
INSERT INTO `lang_definitions` VALUES (123925, 5369, 33, 'reg_re');
INSERT INTO `lang_definitions` VALUES (123926, 5370, 33, 'реєструвати');
INSERT INTO `lang_definitions` VALUES (123927, 5372, 33, 'Зареєстрований');
INSERT INTO `lang_definitions` VALUES (123928, 5373, 33, 'зареєстрований');
INSERT INTO `lang_definitions` VALUES (123929, 5375, 33, 'Дата реєстрації');
INSERT INTO `lang_definitions` VALUES (123930, 5376, 33, 'Форма реєстрації');
INSERT INTO `lang_definitions` VALUES (123931, 5377, 33, 'Реабілітація');
INSERT INTO `lang_definitions` VALUES (123932, 5380, 33, 'Можливість рецидиву');
INSERT INTO `lang_definitions` VALUES (123933, 5381, 33, 'Зв\'язати з');
INSERT INTO `lang_definitions` VALUES (123934, 5382, 33, 'Пов\'язані');
INSERT INTO `lang_definitions` VALUES (123935, 5383, 33, 'Пов\'язані питання');
INSERT INTO `lang_definitions` VALUES (123936, 5384, 33, 'Пов\'язані замітки про пацієнта');
INSERT INTO `lang_definitions` VALUES (123937, 5385, 33, 'Родич(і)/діти');
INSERT INTO `lang_definitions` VALUES (123938, 5386, 33, 'Родичі');
INSERT INTO `lang_definitions` VALUES (123939, 5387, 33, 'Взаємовідносини');
INSERT INTO `lang_definitions` VALUES (123940, 5388, 33, 'Відносний порядок цього об\'єкта');
INSERT INTO `lang_definitions` VALUES (123941, 5389, 33, 'Родинні');
INSERT INTO `lang_definitions` VALUES (123942, 5399, 33, 'Повноваження Relay Health відсутні в цьому обліковому записі користувача.');
INSERT INTO `lang_definitions` VALUES (123943, 5400, 33, 'Relay Health ID');
INSERT INTO `lang_definitions` VALUES (123944, 5402, 33, 'Дата випуску');
INSERT INTO `lang_definitions` VALUES (123945, 5403, 33, 'Релігія');
INSERT INTO `lang_definitions` VALUES (123946, 5406, 33, 'Повторно увійти в систему');
INSERT INTO `lang_definitions` VALUES (123947, 5407, 33, 'Нагадув.');
INSERT INTO `lang_definitions` VALUES (123948, 5408, 33, 'Запам\'ятати вибраний медичний заклад');
INSERT INTO `lang_definitions` VALUES (123949, 5409, 33, 'Нагадування');
INSERT INTO `lang_definitions` VALUES (123950, 5410, 33, 'Інтервали нагадування');
INSERT INTO `lang_definitions` VALUES (123951, 5411, 33, 'Нагадування ще не надіслано');
INSERT INTO `lang_definitions` VALUES (123952, 5412, 33, 'Нагадування надіслано');
INSERT INTO `lang_definitions` VALUES (123953, 5413, 33, 'Нагадування');
INSERT INTO `lang_definitions` VALUES (123954, 5414, 33, 'ПЕРЕВЕСТИ В');
INSERT INTO `lang_definitions` VALUES (123955, 5415, 33, 'Віддалений хост');
INSERT INTO `lang_definitions` VALUES (123956, 5416, 33, 'Видалити');
INSERT INTO `lang_definitions` VALUES (123957, 5419, 33, 'Видалити групу');
INSERT INTO `lang_definitions` VALUES (123958, 5420, 33, 'Видалити форму групи');
INSERT INTO `lang_definitions` VALUES (123959, 5421, 33, 'Відключає підтримку для імунізації');
INSERT INTO `lang_definitions` VALUES (123960, 5422, 33, 'Відключає підтримку для phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (123961, 5423, 33, 'Відключає підтримку для призначень');
INSERT INTO `lang_definitions` VALUES (123962, 5425, 33, 'Видаляє функцію відслідковування карти');
INSERT INTO `lang_definitions` VALUES (123963, 5426, 33, 'Ниркові камені');
INSERT INTO `lang_definitions` VALUES (123964, 5427, 33, 'Переіменовувати');
INSERT INTO `lang_definitions` VALUES (123965, 5428, 33, 'Переіменовувати групу');
INSERT INTO `lang_definitions` VALUES (123966, 5429, 33, 'Відображення');
INSERT INTO `lang_definitions` VALUES (123967, 5430, 33, 'Призначений спеціаліст');
INSERT INTO `lang_definitions` VALUES (123968, 5431, 33, 'Номер призначеного спеціаліста');
INSERT INTO `lang_definitions` VALUES (123969, 5432, 33, 'Переназначити');
INSERT INTO `lang_definitions` VALUES (123970, 5433, 33, 'Переназначити на');
INSERT INTO `lang_definitions` VALUES (123971, 5434, 33, 'Вказівка по переназначенню виконана');
INSERT INTO `lang_definitions` VALUES (123972, 5435, 33, 'Вказівка по переназначенню, 0 якщо не стосується');
INSERT INTO `lang_definitions` VALUES (123973, 5436, 33, 'Повт.');
INSERT INTO `lang_definitions` VALUES (123974, 5437, 33, 'Повторити новий пароль');
INSERT INTO `lang_definitions` VALUES (123975, 5438, 33, 'Повторювана подія');
INSERT INTO `lang_definitions` VALUES (123976, 5439, 33, 'Повторювана інформація');
INSERT INTO `lang_definitions` VALUES (123977, 5440, 33, 'Повторює');
INSERT INTO `lang_definitions` VALUES (123978, 5441, 33, 'ЗАМІНИТИ');
INSERT INTO `lang_definitions` VALUES (123979, 5444, 33, 'Дата відповіді');
INSERT INTO `lang_definitions` VALUES (123980, 5445, 33, 'Форма відповіді');
INSERT INTO `lang_definitions` VALUES (123981, 5446, 33, 'Звіт');
INSERT INTO `lang_definitions` VALUES (123982, 5447, 33, 'Звіт - клінічний');
INSERT INTO `lang_definitions` VALUES (123983, 5449, 33, 'Звіт по');
INSERT INTO `lang_definitions` VALUES (123984, 5453, 33, 'Звіт Історія/Результати');
INSERT INTO `lang_definitions` VALUES (123985, 5454, 33, 'Звіт Результати');
INSERT INTO `lang_definitions` VALUES (123986, 5455, 33, 'Звіт Результати/Історія');
INSERT INTO `lang_definitions` VALUES (123987, 5457, 33, 'Статус звіту');
INSERT INTO `lang_definitions` VALUES (123988, 5458, 33, 'Сумарний звіт');
INSERT INTO `lang_definitions` VALUES (123989, 5459, 33, 'Звіт/Форма');
INSERT INTO `lang_definitions` VALUES (123990, 5460, 33, 'Звітний');
INSERT INTO `lang_definitions` VALUES (123991, 5461, 33, 'Повідомлений');
INSERT INTO `lang_definitions` VALUES (123992, 5462, 33, 'Звітна дата');
INSERT INTO `lang_definitions` VALUES (123993, 5463, 33, 'Звіти');
INSERT INTO `lang_definitions` VALUES (123994, 5467, 33, 'Запрос проігноровано -- обробка вимоги вже виконується');
INSERT INTO `lang_definitions` VALUES (123995, 5474, 33, 'Запит на послугу');
INSERT INTO `lang_definitions` VALUES (123996, 5475, 33, 'Обов\'язково надійні паролі');
INSERT INTO `lang_definitions` VALUES (123997, 5476, 33, 'Обов\'язково унікальні паролі');
INSERT INTO `lang_definitions` VALUES (123998, 5477, 33, 'Обов\'язковий');
INSERT INTO `lang_definitions` VALUES (123999, 5478, 33, 'Обов\'язкова доплата');
INSERT INTO `lang_definitions` VALUES (124000, 5479, 33, 'Обов\'язкове поле пропущене: Будь-ласка, виберіть EDI-271 файл для завантаження');
INSERT INTO `lang_definitions` VALUES (124001, 5480, 33, 'Обов\'язкове поле пропущене: Будь-ласка, введіть ім\'я');
INSERT INTO `lang_definitions` VALUES (124002, 5481, 33, 'Обов\'язкове поле пропущене: Будь-ласка, введіть прізвище');
INSERT INTO `lang_definitions` VALUES (124003, 5482, 33, 'Обов\'язкове поле пропущене: Будь-ласка, введіть ім\'я користувача');
INSERT INTO `lang_definitions` VALUES (124004, 5483, 33, 'Обов\'язкові поля');
INSERT INTO `lang_definitions` VALUES (124005, 5484, 33, 'Вимоги');
INSERT INTO `lang_definitions` VALUES (124006, 5485, 33, 'ЗАРЕЗЕРВОВАНИЙ');
INSERT INTO `lang_definitions` VALUES (124007, 5486, 33, 'Зарезервований');
INSERT INTO `lang_definitions` VALUES (124008, 5487, 33, 'Зарезевовано для використання в наданні запланованого періоду відпустки');
INSERT INTO `lang_definitions` VALUES (124009, 5488, 33, 'Зарезервовано для обмеження, з якого часу до спеціаліста запис на прийом не доступний');
INSERT INTO `lang_definitions` VALUES (124010, 5489, 33, 'Зарезервовано для визначення, коли подія не трапляється як зазначено');
INSERT INTO `lang_definitions` VALUES (124011, 5490, 33, 'Заерезервовано для визначення, коли спеціаліст може мати час для прийому');
INSERT INTO `lang_definitions` VALUES (124012, 5491, 33, 'Скидання');
INSERT INTO `lang_definitions` VALUES (124013, 5492, 33, 'Скинути загальні параметри для зовнішнього порталу');
INSERT INTO `lang_definitions` VALUES (124014, 5493, 33, 'Скинути місцеві параметри для внутрішнього порталу');
INSERT INTO `lang_definitions` VALUES (124015, 5495, 33, 'Resn');
INSERT INTO `lang_definitions` VALUES (124016, 5496, 33, 'Вирішений');
INSERT INTO `lang_definitions` VALUES (124017, 5497, 33, 'Дихання');
INSERT INTO `lang_definitions` VALUES (124018, 5498, 33, 'Незначна задишка');
INSERT INTO `lang_definitions` VALUES (124019, 5499, 33, 'Дихальний');
INSERT INTO `lang_definitions` VALUES (124020, 5501, 33, 'Обмежити доступ несанкціонованих користувачів до налаштувань розкладів медичних закладів в адмінпанелі користувача.');
INSERT INTO `lang_definitions` VALUES (124021, 5502, 33, 'Обмежити доступ користувачів по медичних закладах');
INSERT INTO `lang_definitions` VALUES (124022, 5503, 33, 'Обмежене навчання');
INSERT INTO `lang_definitions` VALUES (124023, 5504, 33, 'Результат');
INSERT INTO `lang_definitions` VALUES (124024, 5505, 33, 'Ім\"я результату');
INSERT INTO `lang_definitions` VALUES (124025, 5506, 33, 'Статус результату');
INSERT INTO `lang_definitions` VALUES (124026, 5507, 33, 'Статус результату чи відхилення від норми відсутнє');
INSERT INTO `lang_definitions` VALUES (124027, 5508, 33, 'Результат, використання % як знак підстановки');
INSERT INTO `lang_definitions` VALUES (124028, 5509, 33, 'Результати');
INSERT INTO `lang_definitions` VALUES (124029, 5510, 33, 'Результати і');
INSERT INTO `lang_definitions` VALUES (124030, 5511, 33, 'Результати знайдені в ході пошуку');
INSERT INTO `lang_definitions` VALUES (124031, 5512, 33, 'Група результатів');
INSERT INTO `lang_definitions` VALUES (124032, 5514, 33, 'Шлях результатів');
INSERT INTO `lang_definitions` VALUES (124033, 5515, 33, 'Результатів на сторінці');
INSERT INTO `lang_definitions` VALUES (124034, 5516, 33, 'Результати/Деталі');
INSERT INTO `lang_definitions` VALUES (124035, 5517, 33, 'Огляд сітківки');
INSERT INTO `lang_definitions` VALUES (124036, 5518, 33, 'Відмовляти у праві:');
INSERT INTO `lang_definitions` VALUES (124037, 5519, 33, 'Повертати');
INSERT INTO `lang_definitions` VALUES (124038, 5520, 33, 'Повертати вказану вище частину з вашою оплатою');
INSERT INTO `lang_definitions` VALUES (124039, 5521, 33, 'Повернутися до календаря');
INSERT INTO `lang_definitions` VALUES (124040, 5522, 33, 'Повернутися до звіту \"Результати\"');
INSERT INTO `lang_definitions` VALUES (124041, 5523, 33, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення ICD10, клацнувши на заголовку розділу ICD10');
INSERT INTO `lang_definitions` VALUES (124042, 5524, 33, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення ICD9, клацнувши на заголовку розділу ICD9');
INSERT INTO `lang_definitions` VALUES (124043, 5525, 33, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення RxNorm, клацнувши на заголовку розділу RXNORM');
INSERT INTO `lang_definitions` VALUES (124044, 5526, 33, 'Поверніться до цієї сторінки і Ви зможете завершити процес встанвлення Snomed, клацнувши на заголовку розділу SNOMED');
INSERT INTO `lang_definitions` VALUES (124045, 5527, 33, 'Повернути значення');
INSERT INTO `lang_definitions` VALUES (124046, 5528, 33, 'Повернути візит');
INSERT INTO `lang_definitions` VALUES (124047, 5529, 33, 'Знову виконувати');
INSERT INTO `lang_definitions` VALUES (124048, 5530, 33, 'Повторне використання трьох попередніх паролів не дозволено!');
INSERT INTO `lang_definitions` VALUES (124049, 5534, 33, 'Огляд анамнезу перенесених захворювань');
INSERT INTO `lang_definitions` VALUES (124050, 5535, 33, 'Огляд по системах');
INSERT INTO `lang_definitions` VALUES (124051, 5536, 33, 'Огляд вибору систем');
INSERT INTO `lang_definitions` VALUES (124052, 5537, 33, 'Переглянутий');
INSERT INTO `lang_definitions` VALUES (124053, 5538, 33, 'Перегляд');
INSERT INTO `lang_definitions` VALUES (124054, 5539, 33, 'Ревматоїдний артрит');
INSERT INTO `lang_definitions` VALUES (124055, 5540, 33, 'Ревматоїдний артрит');
INSERT INTO `lang_definitions` VALUES (124056, 5541, 33, 'Правий');
INSERT INTO `lang_definitions` VALUES (124057, 5542, 33, 'Праве Вухо');
INSERT INTO `lang_definitions` VALUES (124058, 5543, 33, 'праве вухо');
INSERT INTO `lang_definitions` VALUES (124059, 5545, 33, 'Правий:');
INSERT INTO `lang_definitions` VALUES (124060, 5546, 33, 'Дзвін у вухах');
INSERT INTO `lang_definitions` VALUES (124061, 5547, 33, 'Дзвін у вухах');
INSERT INTO `lang_definitions` VALUES (124062, 5549, 33, 'Фактори ризику');
INSERT INTO `lang_definitions` VALUES (124063, 5550, 33, 'Рівень ризику');
INSERT INTO `lang_definitions` VALUES (124064, 5551, 33, 'RLL:');
INSERT INTO `lang_definitions` VALUES (124065, 5552, 33, 'ROM');
INSERT INTO `lang_definitions` VALUES (124066, 5553, 33, 'Румунська');
INSERT INTO `lang_definitions` VALUES (124067, 5560, 33, 'Реєстр');
INSERT INTO `lang_definitions` VALUES (124068, 5561, 33, 'Шлях');
INSERT INTO `lang_definitions` VALUES (124069, 5562, 33, 'Спосіб застосування, якщо це може бути застосовано');
INSERT INTO `lang_definitions` VALUES (124070, 5563, 33, 'Маршрутизований');
INSERT INTO `lang_definitions` VALUES (124071, 5564, 33, 'Рядки');
INSERT INTO `lang_definitions` VALUES (124072, 5565, 33, 'RRR без MOR');
INSERT INTO `lang_definitions` VALUES (124073, 5566, 33, 'Шум тертя:');
INSERT INTO `lang_definitions` VALUES (124074, 5567, 33, 'Шуми тертя:');
INSERT INTO `lang_definitions` VALUES (124075, 5568, 33, 'Правило');
INSERT INTO `lang_definitions` VALUES (124076, 5569, 33, 'Додати правило');
INSERT INTO `lang_definitions` VALUES (124077, 5570, 33, 'Інформація про правило');
INSERT INTO `lang_definitions` VALUES (124078, 5572, 33, 'Змінити правило');
INSERT INTO `lang_definitions` VALUES (124079, 5575, 33, 'Набір правил');
INSERT INTO `lang_definitions` VALUES (124080, 5578, 33, 'Правила');
INSERT INTO `lang_definitions` VALUES (124081, 5580, 33, 'Налаштування правил');
INSERT INTO `lang_definitions` VALUES (124082, 5581, 33, 'Запуск команди: ');
INSERT INTO `lang_definitions` VALUES (124083, 5582, 33, 'Розрив');
INSERT INTO `lang_definitions` VALUES (124084, 5583, 33, 'Російська');
INSERT INTO `lang_definitions` VALUES (124085, 5584, 33, 'Rx');
INSERT INTO `lang_definitions` VALUES (124086, 5585, 33, 'RX');
INSERT INTO `lang_definitions` VALUES (124087, 5586, 33, 'Rx нижнє поле (px)');
INSERT INTO `lang_definitions` VALUES (124088, 5587, 33, 'Rx включити DEA #');
INSERT INTO `lang_definitions` VALUES (124089, 5588, 33, 'Rx включити NPI');
INSERT INTO `lang_definitions` VALUES (124090, 5589, 33, 'Rx включити State Lic. #');
INSERT INTO `lang_definitions` VALUES (124091, 5590, 33, 'Rx ліве поле (px)');
INSERT INTO `lang_definitions` VALUES (124092, 5591, 33, 'Rx розмір сторінки');
INSERT INTO `lang_definitions` VALUES (124093, 5592, 33, 'Rx праве поле');
INSERT INTO `lang_definitions` VALUES (124094, 5593, 33, 'Rx показати');
INSERT INTO `lang_definitions` VALUES (124095, 5594, 33, 'Rx показати');
INSERT INTO `lang_definitions` VALUES (124096, 5595, 33, 'Rx показати стан');
INSERT INTO `lang_definitions` VALUES (124097, 5596, 33, 'Rx верхнє поле (px)');
INSERT INTO `lang_definitions` VALUES (124098, 5598, 33, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (124099, 5599, 33, 'RxNorm база даних');
INSERT INTO `lang_definitions` VALUES (124100, 5600, 33, 'S');
INSERT INTO `lang_definitions` VALUES (124101, 5601, 33, 'Інд. податк. номер');
INSERT INTO `lang_definitions` VALUES (124102, 5602, 33, 'S3:');
INSERT INTO `lang_definitions` VALUES (124103, 5603, 33, 'S4:');
INSERT INTO `lang_definitions` VALUES (124104, 5604, 33, 'SА ** щоб прочитати ліцензію, будь ласка, прочитайте docs/license.txt або відвідайте * http://www.gnu.org/copyleft/gpl.html * */ //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (124105, 5605, 33, 'Продаж');
INSERT INTO `lang_definitions` VALUES (124106, 5606, 33, 'Продажі');
INSERT INTO `lang_definitions` VALUES (124107, 5607, 33, 'Продажі поштучно');
INSERT INTO `lang_definitions` VALUES (124108, 5608, 33, 'Звіт по реалізації продукту');
INSERT INTO `lang_definitions` VALUES (124109, 5609, 33, 'Слина');
INSERT INTO `lang_definitions` VALUES (124110, 5610, 33, 'В той самий день');
INSERT INTO `lang_definitions` VALUES (124111, 5611, 33, 'Самоа');
INSERT INTO `lang_definitions` VALUES (124112, 5612, 33, 'Зразок');
INSERT INTO `lang_definitions` VALUES (124113, 5613, 33, 'Тип санкції');
INSERT INTO `lang_definitions` VALUES (124114, 5617, 33, 'Суб.');
INSERT INTO `lang_definitions` VALUES (124115, 5618, 33, 'Суб. &amp; Нед.');
INSERT INTO `lang_definitions` VALUES (124116, 5619, 33, 'Субота');
INSERT INTO `lang_definitions` VALUES (124117, 5620, 33, 'Зберегти');
INSERT INTO `lang_definitions` VALUES (124118, 5621, 33, 'ЗБЕРЕГТИ');
INSERT INTO `lang_definitions` VALUES (124119, 5622, 33, 'Зберегти і закрити');
INSERT INTO `lang_definitions` VALUES (124120, 5624, 33, 'Зберегти і внести');
INSERT INTO `lang_definitions` VALUES (124121, 5625, 33, 'Зберегти і передати');
INSERT INTO `lang_definitions` VALUES (124122, 5626, 33, 'Зберегти як новий');
INSERT INTO `lang_definitions` VALUES (124123, 5627, 33, 'Зберегти як новий запис');
INSERT INTO `lang_definitions` VALUES (124124, 5628, 33, 'Зберегти параметри сертифікатів');
INSERT INTO `lang_definitions` VALUES (124125, 5629, 33, 'Зберегти зміни');
INSERT INTO `lang_definitions` VALUES (124126, 5630, 33, 'Зберегти форму');
INSERT INTO `lang_definitions` VALUES (124127, 5631, 33, 'Зберегти імунізацію');
INSERT INTO `lang_definitions` VALUES (124128, 5632, 33, 'Зберегти нове поле');
INSERT INTO `lang_definitions` VALUES (124129, 5633, 33, 'Зберегти нову групу');
INSERT INTO `lang_definitions` VALUES (124130, 5634, 33, 'Зберегти новий список');
INSERT INTO `lang_definitions` VALUES (124131, 5635, 33, 'Зберегти новий шаблон');
INSERT INTO `lang_definitions` VALUES (124132, 5636, 33, 'Зберегти пропущені виділення');
INSERT INTO `lang_definitions` VALUES (124133, 5637, 33, 'Зберегти персональні дані пацієнта');
INSERT INTO `lang_definitions` VALUES (124134, 5638, 33, 'Збереження виконано успішно для карти з ID');
INSERT INTO `lang_definitions` VALUES (124135, 5639, 33, 'Зберегти транзакцію');
INSERT INTO `lang_definitions` VALUES (124136, 5641, 33, 'Переглянуто');
INSERT INTO `lang_definitions` VALUES (124137, 5642, 33, 'Переглянутий запис за зверненням');
INSERT INTO `lang_definitions` VALUES (124138, 5643, 33, 'Переглянута директорія');
INSERT INTO `lang_definitions` VALUES (124139, 5644, 33, 'Переглянуто в');
INSERT INTO `lang_definitions` VALUES (124140, 5645, 33, 'Розклад');
INSERT INTO `lang_definitions` VALUES (124141, 5646, 33, 'Розклади медичних закладів:');
INSERT INTO `lang_definitions` VALUES (124142, 5647, 33, 'ШКІЛЬНИЙ ЗАПИС');
INSERT INTO `lang_definitions` VALUES (124143, 5648, 33, 'Сколіоз');
INSERT INTO `lang_definitions` VALUES (124144, 5651, 33, 'SE');
INSERT INTO `lang_definitions` VALUES (124145, 5652, 33, 'Адреса SE');
INSERT INTO `lang_definitions` VALUES (124146, 5653, 33, 'Місто SE');
INSERT INTO `lang_definitions` VALUES (124147, 5654, 33, 'Країна SE');
INSERT INTO `lang_definitions` VALUES (124148, 5655, 33, 'Розташування SE');
INSERT INTO `lang_definitions` VALUES (124149, 5656, 33, 'Поштовий індекс SE');
INSERT INTO `lang_definitions` VALUES (124150, 5657, 33, 'Штат SE');
INSERT INTO `lang_definitions` VALUES (124151, 5658, 33, 'Поштовий індекс SE');
INSERT INTO `lang_definitions` VALUES (124152, 5659, 33, 'Пошук');
INSERT INTO `lang_definitions` VALUES (124153, 5661, 33, 'пошук');
INSERT INTO `lang_definitions` VALUES (124154, 5662, 33, 'повторити пошук');
INSERT INTO `lang_definitions` VALUES (124155, 5663, 33, 'Шукати в усіх стовбцях');
INSERT INTO `lang_definitions` VALUES (124156, 5664, 33, 'Пошук по:');
INSERT INTO `lang_definitions` VALUES (124157, 5665, 33, 'Пошук для');
INSERT INTO `lang_definitions` VALUES (124158, 5666, 33, 'Пошук для:');
INSERT INTO `lang_definitions` VALUES (124159, 5667, 33, 'Пошук в');
INSERT INTO `lang_definitions` VALUES (124160, 5668, 33, 'Пошук в');
INSERT INTO `lang_definitions` VALUES (124161, 5669, 33, 'Шукати або Добавити пацієнта');
INSERT INTO `lang_definitions` VALUES (124162, 5670, 33, 'Пошук оплати');
INSERT INTO `lang_definitions` VALUES (124163, 5671, 33, 'Результати пошуку');
INSERT INTO `lang_definitions` VALUES (124164, 5672, 33, 'Результати пошуку:');
INSERT INTO `lang_definitions` VALUES (124165, 5673, 33, 'Вибраний пошук');
INSERT INTO `lang_definitions` VALUES (124166, 5674, 33, 'Рядок пошуку не збігається зі списком в базі даних');
INSERT INTO `lang_definitions` VALUES (124167, 5675, 33, 'Рядок пошуку повинен мати принаймні три символи');
INSERT INTO `lang_definitions` VALUES (124168, 5676, 33, 'Текстовой пошук');
INSERT INTO `lang_definitions` VALUES (124169, 5677, 33, 'Пошук події');
INSERT INTO `lang_definitions` VALUES (124170, 5678, 33, 'Знайти/Додати');
INSERT INTO `lang_definitions` VALUES (124171, 5679, 33, 'Знайти/Додати страховика');
INSERT INTO `lang_definitions` VALUES (124172, 5680, 33, 'Пошук для записів на прийом');
INSERT INTO `lang_definitions` VALUES (124173, 5681, 33, 'Йде пошук ...');
INSERT INTO `lang_definitions` VALUES (124174, 5682, 33, 'Використання ременя безпеки');
INSERT INTO `lang_definitions` VALUES (124175, 5683, 33, 'Використання ременя безпеки');
INSERT INTO `lang_definitions` VALUES (124176, 5684, 33, 'Другий');
INSERT INTO `lang_definitions` VALUES (124177, 5687, 33, 'Повторний');
INSERT INTO `lang_definitions` VALUES (124178, 5688, 33, 'Повторна страховка');
INSERT INTO `lang_definitions` VALUES (124179, 5689, 33, 'Дата повторної страховки');
INSERT INTO `lang_definitions` VALUES (124180, 5690, 33, 'Постачальник повторної страховки');
INSERT INTO `lang_definitions` VALUES (124181, 5691, 33, 'Тип повторної медичної допомоги');
INSERT INTO `lang_definitions` VALUES (124182, 5698, 33, 'Безпека');
INSERT INTO `lang_definitions` VALUES (124183, 5699, 33, 'Переглянути всі');
INSERT INTO `lang_definitions` VALUES (124184, 5700, 33, 'Показати дозволи');
INSERT INTO `lang_definitions` VALUES (124185, 5701, 33, 'Показати карту фізичного розвитку');
INSERT INTO `lang_definitions` VALUES (124186, 5702, 33, 'Показати повідомлення з останньої групи створених вимог');
INSERT INTO `lang_definitions` VALUES (124187, 5704, 33, 'Показати, починаючи з');
INSERT INTO `lang_definitions` VALUES (124188, 5705, 33, 'Ім\"я сегменту');
INSERT INTO `lang_definitions` VALUES (124189, 5706, 33, 'Пакетна вимога сегментів');
INSERT INTO `lang_definitions` VALUES (124190, 5707, 33, 'Пароксизм');
INSERT INTO `lang_definitions` VALUES (124191, 5708, 33, 'Вибр.');
INSERT INTO `lang_definitions` VALUES (124192, 5709, 33, 'Вибрати');
INSERT INTO `lang_definitions` VALUES (124193, 5710, 33, 'вибрати');
INSERT INTO `lang_definitions` VALUES (124194, 5712, 33, 'Вибрати контекст');
INSERT INTO `lang_definitions` VALUES (124195, 5713, 33, 'Виберіть відсоток рядків чи виберіть дати');
INSERT INTO `lang_definitions` VALUES (124196, 5714, 33, 'Вибрати проміжок часу');
INSERT INTO `lang_definitions` VALUES (124197, 5715, 33, 'Вибрати користувача');
INSERT INTO `lang_definitions` VALUES (124198, 5716, 33, 'Вибрати все');
INSERT INTO `lang_definitions` VALUES (124200, 5720, 33, 'Вибрати категорію');
INSERT INTO `lang_definitions` VALUES (124201, 5722, 33, 'Виберіть відповідний перемикач для видалення');
INSERT INTO `lang_definitions` VALUES (124202, 5723, 33, 'Виберіть критерій для видалення');
INSERT INTO `lang_definitions` VALUES (124203, 5724, 33, 'Виберіть CSV таблицю');
INSERT INTO `lang_definitions` VALUES (124204, 5725, 33, 'Виберіть потрібну інформацію для де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (124205, 5726, 33, 'Виберіть інформацію для включення в дані по де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (124206, 5727, 33, 'Виберіть інформцію');
INSERT INTO `lang_definitions` VALUES (124207, 5728, 33, 'Виберіть необхідну групу');
INSERT INTO `lang_definitions` VALUES (124208, 5729, 33, 'Виберіть діагноз');
INSERT INTO `lang_definitions` VALUES (124209, 5730, 33, 'Виберіть діагноз для запиту щодо де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (124210, 5731, 33, 'Виберіть препарат');
INSERT INTO `lang_definitions` VALUES (124211, 5732, 33, 'Виберіть препарати');
INSERT INTO `lang_definitions` VALUES (124212, 5733, 33, 'Виберіть препарати для запиту щодо де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (124213, 5734, 33, 'Виберіть файл EDI-271');
INSERT INTO `lang_definitions` VALUES (124214, 5736, 33, 'Виберіть поле');
INSERT INTO `lang_definitions` VALUES (124215, 5737, 33, 'Виберіть поля');
INSERT INTO `lang_definitions` VALUES (124216, 5738, 33, 'Вибір для друку');
INSERT INTO `lang_definitions` VALUES (124217, 5739, 33, 'Виберіть вакцинацію');
INSERT INTO `lang_definitions` VALUES (124218, 5740, 33, 'Виберіть вакцинацію для запиту щодо де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (124219, 5741, 33, 'Виберіть страховку, друком');
INSERT INTO `lang_definitions` VALUES (124220, 5742, 33, 'Виберіть проблему');
INSERT INTO `lang_definitions` VALUES (124221, 5744, 33, 'Виберіть мову');
INSERT INTO `lang_definitions` VALUES (124222, 5745, 33, 'Виберіть один');
INSERT INTO `lang_definitions` VALUES (124223, 5746, 33, 'Виберіть один чи більше діагностичних кодів, щоб обгрунтувати послугу');
INSERT INTO `lang_definitions` VALUES (124224, 5747, 33, 'Виберіть один чи більше файлів для вивантаження');
INSERT INTO `lang_definitions` VALUES (124225, 5754, 33, 'Виберіть елементи конфігурації для експорту');
INSERT INTO `lang_definitions` VALUES (124226, 5755, 33, 'Виберіть проблему, яка є головною причиною будь-якої пропущеної події в цей день');
INSERT INTO `lang_definitions` VALUES (124227, 5759, 33, 'Виберіть користувача');
INSERT INTO `lang_definitions` VALUES (124228, 5760, 33, 'Виберіть користувачів зі списку');
INSERT INTO `lang_definitions` VALUES (124229, 5761, 33, 'Виберіть, які мови з доступних можуть бути обрані при вході в систему (застосовується, лише якщо вище відключено вибір з усіх мов)');
INSERT INTO `lang_definitions` VALUES (124230, 5762, 33, 'Виберіть Так для підтвердження видалення групи');
INSERT INTO `lang_definitions` VALUES (124231, 5765, 33, 'Обраний');
INSERT INTO `lang_definitions` VALUES (124232, 5766, 33, 'Обране звернення');
INSERT INTO `lang_definitions` VALUES (124233, 5767, 33, 'Вибір цього пункту створить повідомлення, яке повинне бути опрацьоване кожним одержувачем індивідуально (це не групове завдання)');
INSERT INTO `lang_definitions` VALUES (124234, 5768, 33, 'Самостійно');
INSERT INTO `lang_definitions` VALUES (124235, 5769, 33, 'Сплатити самостійно');
INSERT INTO `lang_definitions` VALUES (124236, 5771, 33, 'Надіслати');
INSERT INTO `lang_definitions` VALUES (124237, 5772, 33, 'Надіслати застаріле нагадування');
INSERT INTO `lang_definitions` VALUES (124238, 5773, 33, 'Надіслати нагадування');
INSERT INTO `lang_definitions` VALUES (124239, 5774, 33, 'Надіслати на обробку');
INSERT INTO `lang_definitions` VALUES (124240, 5775, 33, 'Надіслати повідомлення');
INSERT INTO `lang_definitions` VALUES (124241, 5776, 33, 'Надіслати пакет нагадувань');
INSERT INTO `lang_definitions` VALUES (124242, 5777, 33, 'Надіслати нагадування пацієнтам щодо профілактики або подальшого лікування через вибір пацієнта.');
INSERT INTO `lang_definitions` VALUES (124243, 5778, 33, 'Надіслати підсумки за напрямами');
INSERT INTO `lang_definitions` VALUES (124244, 5779, 33, 'Надіслати цей файл');
INSERT INTO `lang_definitions` VALUES (124245, 5780, 33, 'Надіслати це повідомлення');
INSERT INTO `lang_definitions` VALUES (124246, 5781, 33, 'Надіслати до');
INSERT INTO `lang_definitions` VALUES (124247, 5784, 33, 'Надіслати усім');
INSERT INTO `lang_definitions` VALUES (124248, 5788, 33, 'Відправник');
INSERT INTO `lang_definitions` VALUES (124249, 5789, 33, 'ID відправника');
INSERT INTO `lang_definitions` VALUES (124250, 5790, 33, 'ID відправника (ISA06)');
INSERT INTO `lang_definitions` VALUES (124251, 5791, 33, 'Визначник ID відправника (ISA05)');
INSERT INTO `lang_definitions` VALUES (124252, 5792, 33, 'ID-и відправника');
INSERT INTO `lang_definitions` VALUES (124253, 5793, 33, 'Надсилання до');
INSERT INTO `lang_definitions` VALUES (124254, 5794, 33, 'Конфіденційність');
INSERT INTO `lang_definitions` VALUES (124255, 5795, 33, 'Конфіденційність:');
INSERT INTO `lang_definitions` VALUES (124256, 5796, 33, 'Дослідження чутливості в нормі');
INSERT INTO `lang_definitions` VALUES (124257, 5797, 33, 'Надіслано');
INSERT INTO `lang_definitions` VALUES (124258, 5799, 33, 'Надіслано (ким), залишити порожнім для всіх');
INSERT INTO `lang_definitions` VALUES (124259, 5801, 33, 'Дата відправки');
INSERT INTO `lang_definitions` VALUES (124260, 5802, 33, 'Надіслати елементи');
INSERT INTO `lang_definitions` VALUES (124261, 5803, 33, 'Надіслати медичні записи?');
INSERT INTO `lang_definitions` VALUES (124262, 5804, 33, 'Відправлено успішно');
INSERT INTO `lang_definitions` VALUES (124263, 5807, 33, 'відправлено на друк.');
INSERT INTO `lang_definitions` VALUES (124264, 5808, 33, 'Надіслано (кому), залишити порожнім для всіх');
INSERT INTO `lang_definitions` VALUES (124265, 5810, 33, 'Надіслано, але доставка ще не підтверджена.');
INSERT INTO `lang_definitions` VALUES (124266, 5811, 33, 'Надіслано, але не отримано');
INSERT INTO `lang_definitions` VALUES (124267, 5812, 33, 'Вер.');
INSERT INTO `lang_definitions` VALUES (124268, 5813, 33, 'Окремий');
INSERT INTO `lang_definitions` VALUES (124269, 5814, 33, 'Вересень');
INSERT INTO `lang_definitions` VALUES (124270, 5815, 33, 'Посл.');
INSERT INTO `lang_definitions` VALUES (124271, 5816, 33, 'Послідовність');
INSERT INTO `lang_definitions` VALUES (124272, 5818, 33, 'Звіт про послугу');
INSERT INTO `lang_definitions` VALUES (124273, 5821, 33, 'Послуга');
INSERT INTO `lang_definitions` VALUES (124274, 5822, 33, 'Категорія послуги');
INSERT INTO `lang_definitions` VALUES (124275, 5823, 33, 'Код послуги');
INSERT INTO `lang_definitions` VALUES (124276, 5824, 33, 'Код послуги фінансової звітності');
INSERT INTO `lang_definitions` VALUES (124277, 5825, 33, 'Коди послуги');
INSERT INTO `lang_definitions` VALUES (124278, 5826, 33, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (124279, 5827, 33, 'Дата послуги:');
INSERT INTO `lang_definitions` VALUES (124280, 5829, 33, 'Місце надання послуги');
INSERT INTO `lang_definitions` VALUES (124281, 5830, 33, 'Ім\"я сервісу');
INSERT INTO `lang_definitions` VALUES (124282, 5831, 33, 'Послуги, що надаються спеціалістом');
INSERT INTO `lang_definitions` VALUES (124283, 5832, 33, 'Звітність по послугах');
INSERT INTO `lang_definitions` VALUES (124284, 5833, 33, 'Лише звітність по послугах');
INSERT INTO `lang_definitions` VALUES (124285, 5834, 33, 'Послуги');
INSERT INTO `lang_definitions` VALUES (124286, 5835, 33, 'Послуги по категоріях');
INSERT INTO `lang_definitions` VALUES (124287, 5836, 33, 'Надано допомогу');
INSERT INTO `lang_definitions` VALUES (124288, 5837, 33, 'Надано допомогу');
INSERT INTO `lang_definitions` VALUES (124289, 5838, 33, 'Послуги/Продукція');
INSERT INTO `lang_definitions` VALUES (124290, 5839, 33, 'Тип сесії');
INSERT INTO `lang_definitions` VALUES (124291, 5840, 33, 'Встановити');
INSERT INTO `lang_definitions` VALUES (124292, 5841, 33, 'Задати cookie медичного закладу для запам\'ятовування обраного медичного закладу між входами в систему.');
INSERT INTO `lang_definitions` VALUES (124293, 5842, 33, 'Помітити як завершений');
INSERT INTO `lang_definitions` VALUES (124294, 5843, 33, 'Встановити пріоритет обробки звітів, що базуються на CDR-рушії');
INSERT INTO `lang_definitions` VALUES (124295, 5844, 33, 'Встановити пріоритет обробки для створення нагадувань для пацієнтів (у повному клінічному режимі)');
INSERT INTO `lang_definitions` VALUES (124296, 5845, 33, 'Задати повний шлях. Щоб створити клієнтський сертифікат SSL для HTTPS.');
INSERT INTO `lang_definitions` VALUES (124297, 5846, 33, 'Встановити в');
INSERT INTO `lang_definitions` VALUES (124298, 5847, 33, 'Встановити за замовчуванням');
INSERT INTO `lang_definitions` VALUES (124299, 5848, 33, 'Налаштування номера версії в базі даних ...');
INSERT INTO `lang_definitions` VALUES (124300, 5849, 33, 'Налаштування');
INSERT INTO `lang_definitions` VALUES (124301, 5851, 33, 'Сильна мігрень');
INSERT INTO `lang_definitions` VALUES (124302, 5853, 33, 'Ступінь болю');
INSERT INTO `lang_definitions` VALUES (124303, 5854, 33, 'Ступінь болю:');
INSERT INTO `lang_definitions` VALUES (124304, 5855, 33, 'Стать');
INSERT INTO `lang_definitions` VALUES (124305, 5856, 33, 'Захворювання, що передається статевим шляхом');
INSERT INTO `lang_definitions` VALUES (124306, 5857, 33, 'SFTP');
INSERT INTO `lang_definitions` VALUES (124307, 5858, 33, 'Хеш Sha-1');
INSERT INTO `lang_definitions` VALUES (124308, 5859, 33, 'Спільне використання');
INSERT INTO `lang_definitions` VALUES (124309, 5860, 33, 'Команда shell для друку з сервера.');
INSERT INTO `lang_definitions` VALUES (124310, 5863, 33, 'Короткий опис');
INSERT INTO `lang_definitions` VALUES (124311, 5864, 33, 'Утруднене дихання');
INSERT INTO `lang_definitions` VALUES (124312, 5865, 33, 'Утруднене дихання');
INSERT INTO `lang_definitions` VALUES (124313, 5866, 33, 'Утруднене дихання 2');
INSERT INTO `lang_definitions` VALUES (124314, 5867, 33, 'Короткий запис');
INSERT INTO `lang_definitions` VALUES (124315, 5868, 33, 'Короткий запис як:');
INSERT INTO `lang_definitions` VALUES (124316, 5870, 33, 'повинно бути подібно nnnnn-nnnn-nn');
INSERT INTO `lang_definitions` VALUES (124317, 5871, 33, 'Повинно бути у дві букви');
INSERT INTO `lang_definitions` VALUES (124318, 5872, 33, 'повинно містити 10 цифр');
INSERT INTO `lang_definitions` VALUES (124319, 5873, 33, 'повинно містити тільки 10 цифр');
INSERT INTO `lang_definitions` VALUES (124320, 5874, 33, 'Плече');
INSERT INTO `lang_definitions` VALUES (124321, 5875, 33, 'Плече + ключиця');
INSERT INTO `lang_definitions` VALUES (124322, 5876, 33, 'Проблеми плеча');
INSERT INTO `lang_definitions` VALUES (124323, 5877, 33, 'Показати');
INSERT INTO `lang_definitions` VALUES (124324, 5878, 33, 'Показати активні');
INSERT INTO `lang_definitions` VALUES (124325, 5880, 33, 'Показати все');
INSERT INTO `lang_definitions` VALUES (124326, 5881, 33, 'Показати всі процедури');
INSERT INTO `lang_definitions` VALUES (124327, 5883, 33, 'Показати всі транзакції');
INSERT INTO `lang_definitions` VALUES (124328, 5884, 33, 'Показувати як зайнятий');
INSERT INTO `lang_definitions` VALUES (124329, 5885, 33, 'Показати тільки дозволене');
INSERT INTO `lang_definitions` VALUES (124330, 5886, 33, 'Показати доступний час');
INSERT INTO `lang_definitions` VALUES (124331, 5887, 33, 'Показати і US, і метричні (основними є метричні одиниці)');
INSERT INTO `lang_definitions` VALUES (124332, 5888, 33, 'Показати і US, і метричні (основними є US одиниці)');
INSERT INTO `lang_definitions` VALUES (124333, 5889, 33, 'Показати деталі');
INSERT INTO `lang_definitions` VALUES (124334, 5890, 33, 'Показати лише помилки?');
INSERT INTO `lang_definitions` VALUES (124335, 5891, 33, 'Показати графік');
INSERT INTO `lang_definitions` VALUES (124336, 5892, 33, 'При наведенні мишки показувати спливаючий текст за подією?');
INSERT INTO `lang_definitions` VALUES (124337, 5893, 33, 'Показувати скільки подій на адміністративних сторінках?');
INSERT INTO `lang_definitions` VALUES (124338, 5894, 33, 'Показати неактивні');
INSERT INTO `lang_definitions` VALUES (124339, 5896, 33, 'Показати меню');
INSERT INTO `lang_definitions` VALUES (124340, 5897, 33, 'Показати тільки метричні');
INSERT INTO `lang_definitions` VALUES (124341, 5898, 33, 'Показати записи');
INSERT INTO `lang_definitions` VALUES (124342, 5900, 33, 'Показати лише процедури, що не приховані');
INSERT INTO `lang_definitions` VALUES (124343, 5901, 33, 'Показати записи по пацієнту');
INSERT INTO `lang_definitions` VALUES (124344, 5902, 33, 'Показувати фунти і унції');
INSERT INTO `lang_definitions` VALUES (124345, 5903, 33, 'Показувати фунти як десяткові дроби');
INSERT INTO `lang_definitions` VALUES (124346, 5904, 33, 'Показати основне завершення');
INSERT INTO `lang_definitions` VALUES (124347, 5905, 33, 'Показати нагадування');
INSERT INTO `lang_definitions` VALUES (124348, 5906, 33, 'Показати звіт');
INSERT INTO `lang_definitions` VALUES (124349, 5907, 33, 'Показувати в блоці посилання шукати/подати?');
INSERT INTO `lang_definitions` VALUES (124350, 5910, 33, 'Показати індивідуальну форму стану для віджету списку добавлення (буде запит на заголовок і скорочення).');
INSERT INTO `lang_definitions` VALUES (124351, 5911, 33, 'Показувати цю категорію у вікні з сумарною інформацією про пацієнта, навіть, якщо жодної проблеми по цій категорії не введено');
INSERT INTO `lang_definitions` VALUES (124352, 5913, 33, 'Показати тільки оплачені');
INSERT INTO `lang_definitions` VALUES (124353, 5914, 33, 'Показати тільки US');
INSERT INTO `lang_definitions` VALUES (124354, 5915, 33, 'Показ');
INSERT INTO `lang_definitions` VALUES (124355, 5916, 33, 'Показати результат');
INSERT INTO `lang_definitions` VALUES (124356, 5920, 33, 'Рідні брати/сестри');
INSERT INTO `lang_definitions` VALUES (124357, 5921, 33, 'Серповидна клітина');
INSERT INTO `lang_definitions` VALUES (124358, 5922, 33, 'Сиг');
INSERT INTO `lang_definitions` VALUES (124359, 5923, 33, 'Сигмо/колоноскопія');
INSERT INTO `lang_definitions` VALUES (124360, 5925, 33, 'Показати лабораторні результати (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (124361, 5926, 33, 'Підписати результати');
INSERT INTO `lang_definitions` VALUES (124362, 5927, 33, 'Підпис');
INSERT INTO `lang_definitions` VALUES (124363, 5929, 33, 'Підпис:');
INSERT INTO `lang_definitions` VALUES (124364, 5930, 33, 'Підписано Rx');
INSERT INTO `lang_definitions` VALUES (124365, 5932, 33, 'Значна пухлина');
INSERT INTO `lang_definitions` VALUES (124366, 5933, 33, 'Спрощено');
INSERT INTO `lang_definitions` VALUES (124367, 5934, 33, 'Проста доплата');
INSERT INTO `lang_definitions` VALUES (124368, 5935, 33, 'Скорочені персональні дані');
INSERT INTO `lang_definitions` VALUES (124369, 5936, 33, 'Скорочені призначення');
INSERT INTO `lang_definitions` VALUES (124370, 5937, 33, 'з');
INSERT INTO `lang_definitions` VALUES (124371, 5938, 33, 'З повагою,');
INSERT INTO `lang_definitions` VALUES (124372, 5940, 33, 'Окремий');
INSERT INTO `lang_definitions` VALUES (124373, 5941, 33, 'Список вибору');
INSERT INTO `lang_definitions` VALUES (124374, 5942, 33, 'Список вибору з можливістю додавання пунктів');
INSERT INTO `lang_definitions` VALUES (124375, 5943, 33, 'Одиничний');
INSERT INTO `lang_definitions` VALUES (124376, 5946, 33, 'Проблеми пазух');
INSERT INTO `lang_definitions` VALUES (124377, 5947, 33, 'Хірургія пазух');
INSERT INTO `lang_definitions` VALUES (124378, 5948, 33, 'ЧУТЛИВІСТЬ ПАЗУХ:');
INSERT INTO `lang_definitions` VALUES (124379, 5949, 33, 'Синусит');
INSERT INTO `lang_definitions` VALUES (124380, 5950, 33, 'Сайт');
INSERT INTO `lang_definitions` VALUES (124381, 5951, 33, 'ID сайту');
INSERT INTO `lang_definitions` VALUES (124382, 5952, 33, 'ID сайту для сервісів Інтеграції медичної інформації, обміну даними лабораторних досліджень (LLC).');
INSERT INTO `lang_definitions` VALUES (124383, 5953, 33, 'ID сайту для підтримки LibreEHR служби обміну даними лабораторних досліджень LLC.');
INSERT INTO `lang_definitions` VALUES (124384, 5956, 33, 'Розмір');
INSERT INTO `lang_definitions` VALUES (124385, 5957, 33, 'Розмір повинен бути числом між 1 і 999');
INSERT INTO `lang_definitions` VALUES (124386, 5958, 33, 'Розмір/Список');
INSERT INTO `lang_definitions` VALUES (124387, 5959, 33, 'Шкіра');
INSERT INTO `lang_definitions` VALUES (124388, 5960, 33, 'Рак шкіри');
INSERT INTO `lang_definitions` VALUES (124389, 5961, 33, 'Шкірне захворювання');
INSERT INTO `lang_definitions` VALUES (124390, 5962, 33, 'Інші шкірні прояви');
INSERT INTO `lang_definitions` VALUES (124391, 5963, 33, 'Пропустити дозвіл для записів по пацієнтові');
INSERT INTO `lang_definitions` VALUES (124392, 5964, 33, 'Пропущений розділ');
INSERT INTO `lang_definitions` VALUES (124393, 5965, 33, 'Пропущений дамп регістра SQL - не застосовується для сервера Windows');
INSERT INTO `lang_definitions` VALUES (124394, 5967, 33, 'Паттерн сну');
INSERT INTO `lang_definitions` VALUES (124395, 5968, 33, 'Паттерн сну');
INSERT INTO `lang_definitions` VALUES (124396, 5969, 33, 'Сон');
INSERT INTO `lang_definitions` VALUES (124397, 5970, 33, 'Словацька');
INSERT INTO `lang_definitions` VALUES (124398, 5972, 33, 'См борг без');
INSERT INTO `lang_definitions` VALUES (124399, 5973, 33, 'Кеш Smarty очищений');
INSERT INTO `lang_definitions` VALUES (124400, 5974, 33, 'Курець, поточний статус невідомий');
INSERT INTO `lang_definitions` VALUES (124401, 5976, 33, 'Статус курця');
INSERT INTO `lang_definitions` VALUES (124402, 5977, 33, 'Дозв. SMS');
INSERT INTO `lang_definitions` VALUES (124403, 5978, 33, 'Шлюз SMS');
INSERT INTO `lang_definitions` VALUES (124404, 5979, 33, 'Ключ API для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (124405, 5980, 33, 'Ключ API для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (124406, 5981, 33, 'Пароль для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (124407, 5982, 33, 'Ім\'я користувача для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (124408, 5983, 33, 'Повідомлення про SMS');
INSERT INTO `lang_definitions` VALUES (124409, 5984, 33, 'Години повідомлення про SMS');
INSERT INTO `lang_definitions` VALUES (124410, 5985, 33, 'Відправляти SMS перед');
INSERT INTO `lang_definitions` VALUES (124411, 5986, 33, 'SMS відправлено');
INSERT INTO `lang_definitions` VALUES (124412, 5987, 33, 'Текст SMS, вживаються теги: ***ІМ\'Я***, ***СПЕЦІАЛІСТ***, ***ДАТА***, ***ЧАС ПОЧАТКУ***, ***ЧАС ЗАКІНЧЕННЯ*** <br> напр. Шановний ***ІМ\'Я***');
INSERT INTO `lang_definitions` VALUES (124413, 5988, 33, 'Параметри настройки повідомлення SMS / e-mail');
INSERT INTO `lang_definitions` VALUES (124414, 5989, 33, 'Пароль SMTP для аутентифікації');
INSERT INTO `lang_definitions` VALUES (124415, 5992, 33, 'Ім\'я вузла сервера SMTP');
INSERT INTO `lang_definitions` VALUES (124416, 5993, 33, 'Номер порту для сервера SMTP');
INSERT INTO `lang_definitions` VALUES (124417, 5994, 33, 'Користувач SMTP для аутентифікації');
INSERT INTO `lang_definitions` VALUES (124418, 5995, 33, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (124419, 5996, 33, 'SNOMED (RF1) клінічний термін');
INSERT INTO `lang_definitions` VALUES (124420, 5997, 33, 'SNOMED (RF1) діагноз');
INSERT INTO `lang_definitions` VALUES (124421, 5998, 33, 'SNOMED (RF1) процедура');
INSERT INTO `lang_definitions` VALUES (124422, 5999, 33, 'SNOMED (RF2) діагноз');
INSERT INTO `lang_definitions` VALUES (124423, 6000, 33, 'SNOMED клінічний термін');
INSERT INTO `lang_definitions` VALUES (124424, 6001, 33, 'База даних SNOMED');
INSERT INTO `lang_definitions` VALUES (124425, 6002, 33, 'SNOMED діагноз');
INSERT INTO `lang_definitions` VALUES (124426, 6003, 33, 'SNOMED процедура');
INSERT INTO `lang_definitions` VALUES (124427, 6004, 33, 'Хропіння');
INSERT INTO `lang_definitions` VALUES (124428, 6005, 33, 'СООП');
INSERT INTO `lang_definitions` VALUES (124429, 6006, 33, 'Труднощі спілкування');
INSERT INTO `lang_definitions` VALUES (124430, 6009, 33, 'Соціальний анамнез:');
INSERT INTO `lang_definitions` VALUES (124431, 6010, 33, 'Ідентифікаційний номер платника податків');
INSERT INTO `lang_definitions` VALUES (124432, 6011, 33, 'розчин');
INSERT INTO `lang_definitions` VALUES (124433, 6013, 33, 'Соматичний стан');
INSERT INTO `lang_definitions` VALUES (124434, 6014, 33, 'Деякі дозволи не відображені. Натисніть тут для перегляду всіх.');
INSERT INTO `lang_definitions` VALUES (124435, 6015, 33, 'Деякі коди не відображаються.');
INSERT INTO `lang_definitions` VALUES (124436, 6016, 33, 'Деякі звернення не були відображені. Натисніть тут для перегляду всіх.');
INSERT INTO `lang_definitions` VALUES (124437, 6017, 33, 'Під час процесу де-ідентіфікаціі трапилася помилка');
INSERT INTO `lang_definitions` VALUES (124438, 6018, 33, 'Деякі записи не відображаються.');
INSERT INTO `lang_definitions` VALUES (124439, 6019, 33, 'Деякі офісні примітк не відображається. Клацніть тут, щоб переглянути всі.');
INSERT INTO `lang_definitions` VALUES (124440, 6020, 33, 'деякі слова');
INSERT INTO `lang_definitions` VALUES (124441, 6023, 33, 'Трапилась помилка. Спробуйте знову.');
INSERT INTO `lang_definitions` VALUES (124442, 6024, 33, 'Найкоротший інтервал очікування (клінічні нагадування)');
INSERT INTO `lang_definitions` VALUES (124443, 6025, 33, 'Найкоротший інтервал очікування (нагадування для пацієнта)');
INSERT INTO `lang_definitions` VALUES (124444, 6026, 33, 'Хворе горло');
INSERT INTO `lang_definitions` VALUES (124445, 6027, 33, 'Вибачне, призначень не зафіксовано');
INSERT INTO `lang_definitions` VALUES (124446, 6028, 33, 'На жаль, виникла проблема при оновленні вашого файлу');
INSERT INTO `lang_definitions` VALUES (124447, 6029, 33, 'Сортувати за');
INSERT INTO `lang_definitions` VALUES (124448, 6030, 33, 'Сортувати за');
INSERT INTO `lang_definitions` VALUES (124449, 6031, 33, 'Сортувати за контрольною сумою');
INSERT INTO `lang_definitions` VALUES (124450, 6032, 33, 'Сортувати за коментарями');
INSERT INTO `lang_definitions` VALUES (124451, 6033, 33, 'Сортувати за користувачами Crt');
INSERT INTO `lang_definitions` VALUES (124452, 6034, 33, 'Сортувати за датою');
INSERT INTO `lang_definitions` VALUES (124453, 6035, 33, 'Сортувати за датою/часом');
INSERT INTO `lang_definitions` VALUES (124454, 6036, 33, 'Сортувати за подією');
INSERT INTO `lang_definitions` VALUES (124455, 6037, 33, 'Сортувати за групою');
INSERT INTO `lang_definitions` VALUES (124456, 6040, 33, 'Сортувати за ID пацієнта');
INSERT INTO `lang_definitions` VALUES (124457, 6041, 33, 'Сортувати за виконанням');
INSERT INTO `lang_definitions` VALUES (124458, 6043, 33, 'Сортувати за користувачем');
INSERT INTO `lang_definitions` VALUES (124459, 6044, 33, 'Сортувати за вакциною');
INSERT INTO `lang_definitions` VALUES (124460, 6045, 33, 'Сортувати у спадному порядку');
INSERT INTO `lang_definitions` VALUES (124461, 6046, 33, 'Сортувати результат за');
INSERT INTO `lang_definitions` VALUES (124462, 6047, 33, 'Сортувати у висхідному порядку');
INSERT INTO `lang_definitions` VALUES (124463, 6048, 33, 'Джерело');
INSERT INTO `lang_definitions` VALUES (124464, 6049, 33, 'Вихідний файл');
INSERT INTO `lang_definitions` VALUES (124465, 6050, 33, 'Шлях вихідного файлу');
INSERT INTO `lang_definitions` VALUES (124466, 6051, 33, 'Відсутній код джерела ');
INSERT INTO `lang_definitions` VALUES (124467, 6052, 33, 'Джерело партії');
INSERT INTO `lang_definitions` VALUES (124468, 6054, 33, 'Вихідний пацієнт');
INSERT INTO `lang_definitions` VALUES (124469, 6055, 33, 'Для вихідного пацієнта не вказано дату народження');
INSERT INTO `lang_definitions` VALUES (124470, 6056, 33, 'Вихідного пацієнта не знайдено');
INSERT INTO `lang_definitions` VALUES (124471, 6057, 33, 'Джерело:');
INSERT INTO `lang_definitions` VALUES (124472, 6060, 33, 'Простір');
INSERT INTO `lang_definitions` VALUES (124473, 6061, 33, 'ПРОСТІР');
INSERT INTO `lang_definitions` VALUES (124474, 6062, 33, 'Іспанська');
INSERT INTO `lang_definitions` VALUES (124475, 6063, 33, 'Іспанська (Латинська Америка)');
INSERT INTO `lang_definitions` VALUES (124476, 6064, 33, 'Іспанська (Іспанія)');
INSERT INTO `lang_definitions` VALUES (124477, 6066, 33, 'Спеціальні символи не дозволені');
INSERT INTO `lang_definitions` VALUES (124478, 6067, 33, 'Спеціальне лікування у форму життєво-важливих показників');
INSERT INTO `lang_definitions` VALUES (124479, 6068, 33, 'Спеціаліст');
INSERT INTO `lang_definitions` VALUES (124480, 6069, 33, 'Прізвище та підпис спеціаліста');
INSERT INTO `lang_definitions` VALUES (124481, 6071, 33, 'Спеціальність');
INSERT INTO `lang_definitions` VALUES (124482, 6072, 33, 'Спеціальні системи');
INSERT INTO `lang_definitions` VALUES (124483, 6073, 33, 'Спеціальність:');
INSERT INTO `lang_definitions` VALUES (124484, 6074, 33, 'Спеціальний');
INSERT INTO `lang_definitions` VALUES (124485, 6075, 33, 'Спеціальний додаток');
INSERT INTO `lang_definitions` VALUES (124486, 6076, 33, 'Спеціальна послуга по контрацепції');
INSERT INTO `lang_definitions` VALUES (124487, 6077, 33, 'Спеціальний результат');
INSERT INTO `lang_definitions` VALUES (124488, 6078, 33, 'Спеціальна послуга');
INSERT INTO `lang_definitions` VALUES (124489, 6079, 33, 'Конкретний');
INSERT INTO `lang_definitions` VALUES (124490, 6080, 33, 'Спеціальне форматування для кодів. # =цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124491, 6081, 33, 'Спеціальне форматування для кодів. # = цифра, @ = альфа, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124492, 6082, 33, 'Спеціальне форматування для номерів рахунків із посилань. # = цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124493, 6083, 33, 'Спеціальне форматування для номерів рахунків із посилання. # = цифра, @ = альфа, * = будь-який символ, Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124494, 6084, 33, 'Спеціальне форматування для полів послуги NDC. # = цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124495, 6085, 33, 'Спеціальне форматування для полів послуги NDC. # = цифра, @ = альфа, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124496, 6086, 33, 'Спеціальне форматування для зовнішнього ID пацієнта. # = цифра, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124497, 6087, 33, 'Спеціальне форматування для зовнішнього ID пацієнта. # = цифра, @ = альфа, * = будь-який символ. Якщо не використовується, то пусто.');
INSERT INTO `lang_definitions` VALUES (124498, 6088, 33, 'Екземпляри');
INSERT INTO `lang_definitions` VALUES (124499, 6089, 33, 'Номер/ідентифікатор екземпляра');
INSERT INTO `lang_definitions` VALUES (124500, 6090, 33, 'Тип зразка');
INSERT INTO `lang_definitions` VALUES (124501, 6092, 33, 'Усне диктування');
INSERT INTO `lang_definitions` VALUES (124502, 6093, 33, 'Сперміциди');
INSERT INTO `lang_definitions` VALUES (124503, 6094, 33, 'Спленектомія');
INSERT INTO `lang_definitions` VALUES (124504, 6095, 33, 'Чоловік, дружина');
INSERT INTO `lang_definitions` VALUES (124505, 6097, 33, 'Мокрота');
INSERT INTO `lang_definitions` VALUES (124506, 6098, 33, 'Мокрота:');
INSERT INTO `lang_definitions` VALUES (124507, 6099, 33, 'SQ');
INSERT INTO `lang_definitions` VALUES (124508, 6102, 33, 'Відділення');
INSERT INTO `lang_definitions` VALUES (124509, 6103, 33, 'Склад відділення');
INSERT INTO `lang_definitions` VALUES (124510, 6104, 33, 'Відділення');
INSERT INTO `lang_definitions` VALUES (124511, 6105, 33, 'SRH');
INSERT INTO `lang_definitions` VALUES (124512, 6106, 33, 'SRH - планування сім\'ї');
INSERT INTO `lang_definitions` VALUES (124513, 6107, 33, 'SRH без планування сім\'ї');
INSERT INTO `lang_definitions` VALUES (124514, 6108, 33, 'Направлення для SRH');
INSERT INTO `lang_definitions` VALUES (124515, 6109, 33, 'Форма відвідування SRH');
INSERT INTO `lang_definitions` VALUES (124516, 6110, 33, 'Дата послуги');
INSERT INTO `lang_definitions` VALUES (124517, 6111, 33, 'Інд. податк. номер');
INSERT INTO `lang_definitions` VALUES (124518, 6112, 33, 'Управління сертифікатом SSL');
INSERT INTO `lang_definitions` VALUES (124519, 6113, 33, 'Інд. податк. номер');
INSERT INTO `lang_definitions` VALUES (124520, 6114, 33, 'Стійкість');
INSERT INTO `lang_definitions` VALUES (124521, 6115, 33, 'Етапний випуск');
INSERT INTO `lang_definitions` VALUES (124522, 6116, 33, 'Стандартний');
INSERT INTO `lang_definitions` VALUES (124523, 6117, 33, 'Стандартний код');
INSERT INTO `lang_definitions` VALUES (124524, 6118, 33, 'Стандартні одиниці виміру');
INSERT INTO `lang_definitions` VALUES (124525, 6119, 33, 'Стандартні одиниці виміру (активні нагадування)');
INSERT INTO `lang_definitions` VALUES (124526, 6120, 33, 'Стандартні одиниці виміру (пасивні нагадування)');
INSERT INTO `lang_definitions` VALUES (124527, 6121, 33, 'Стандартні одиниці виміру (нагадування про пацієнта)');
INSERT INTO `lang_definitions` VALUES (124528, 6122, 33, 'Стандартне найменування');
INSERT INTO `lang_definitions` VALUES (124529, 6123, 33, 'Стандартний, Спрощений: лише назва, дата початку, коментарі і позначка \"Активність\", немає діагнозу, прояви, дата закінчення,направлений або спортивні майданчики. ; Футбольна травма');
INSERT INTO `lang_definitions` VALUES (124530, 6124, 33, 'Початок');
INSERT INTO `lang_definitions` VALUES (124531, 6125, 33, 'Початок (рррр-мм-дд): ');
INSERT INTO `lang_definitions` VALUES (124532, 6126, 33, 'Розпочати інший звіт');
INSERT INTO `lang_definitions` VALUES (124533, 6128, 33, 'Дата початку');
INSERT INTO `lang_definitions` VALUES (124534, 6129, 33, 'Дата первісного звернення в цю клініку');
INSERT INTO `lang_definitions` VALUES (124535, 6130, 33, 'Дата початку не повинна бути пізніше дати закінчення');
INSERT INTO `lang_definitions` VALUES (124536, 6131, 33, 'Початкова дата:');
INSERT INTO `lang_definitions` VALUES (124537, 6132, 33, 'Початкова дата:');
INSERT INTO `lang_definitions` VALUES (124538, 6133, 33, 'Початковий час');
INSERT INTO `lang_definitions` VALUES (124539, 6134, 33, 'Початкова дата');
INSERT INTO `lang_definitions` VALUES (124540, 6135, 33, 'стат.');
INSERT INTO `lang_definitions` VALUES (124541, 6136, 33, 'Область');
INSERT INTO `lang_definitions` VALUES (124542, 6137, 33, 'Тип даних для області');
INSERT INTO `lang_definitions` VALUES (124543, 6138, 33, 'Державна ліц. #');
INSERT INTO `lang_definitions` VALUES (124544, 6139, 33, 'Державний номер ліцензії');
INSERT INTO `lang_definitions` VALUES (124545, 6140, 33, 'Список областей');
INSERT INTO `lang_definitions` VALUES (124546, 6141, 33, 'Список областей (на вибір - право записувати/добавляти)');
INSERT INTO `lang_definitions` VALUES (124547, 6142, 33, 'Користувацікі поля віджета списку областей');
INSERT INTO `lang_definitions` VALUES (124548, 6143, 33, 'Область або провінція');
INSERT INTO `lang_definitions` VALUES (124549, 6144, 33, 'Область/розташування');
INSERT INTO `lang_definitions` VALUES (124550, 6145, 33, 'Область/район');
INSERT INTO `lang_definitions` VALUES (124551, 6146, 33, 'ПІДСУМКОВА ЗАЯВКА');
INSERT INTO `lang_definitions` VALUES (124552, 6147, 33, 'заявки та оновлені рахунки.');
INSERT INTO `lang_definitions` VALUES (124553, 6148, 33, 'Відправлені заявки:');
INSERT INTO `lang_definitions` VALUES (124554, 6149, 33, 'заявки; рахунки не будуть оновлені.');
INSERT INTO `lang_definitions` VALUES (124555, 6150, 33, 'Статичний текст');
INSERT INTO `lang_definitions` VALUES (124556, 6151, 33, 'Статистичні дані');
INSERT INTO `lang_definitions` VALUES (124557, 6152, 33, 'Стат.');
INSERT INTO `lang_definitions` VALUES (124558, 6153, 33, 'Статус');
INSERT INTO `lang_definitions` VALUES (124559, 6154, 33, 'Статус прийому');
INSERT INTO `lang_definitions` VALUES (124560, 6155, 33, 'Стан вимоги');
INSERT INTO `lang_definitions` VALUES (124561, 6156, 33, 'Статус кво');
INSERT INTO `lang_definitions` VALUES (124562, 6158, 33, 'Конс. ЗПСШ/СНІД');
INSERT INTO `lang_definitions` VALUES (124563, 6159, 33, 'Сила і Фізична форма');
INSERT INTO `lang_definitions` VALUES (124564, 6164, 33, 'Кроки для встановлення DSM IV бази даних');
INSERT INTO `lang_definitions` VALUES (124565, 6165, 33, 'Кроки для встановлення ICD 10 бази даних');
INSERT INTO `lang_definitions` VALUES (124566, 6166, 33, 'Кроки для встановлення ICD 9 бази даних');
INSERT INTO `lang_definitions` VALUES (124567, 6167, 33, 'Кроки для встановлення RxNorm бази даних');
INSERT INTO `lang_definitions` VALUES (124568, 6168, 33, 'Кроки для встановлення Snomed бази даних');
INSERT INTO `lang_definitions` VALUES (124569, 6169, 33, 'Нерухомість суглобів');
INSERT INTO `lang_definitions` VALUES (124570, 6170, 33, 'Нерухомість');
INSERT INTO `lang_definitions` VALUES (124571, 6171, 33, 'Стандартні місяці');
INSERT INTO `lang_definitions` VALUES (124572, 6172, 33, 'Болі у шлунку');
INSERT INTO `lang_definitions` VALUES (124573, 6174, 33, 'Збережений хеш');
INSERT INTO `lang_definitions` VALUES (124574, 6175, 33, 'Розтягування м\'язи');
INSERT INTO `lang_definitions` VALUES (124575, 6176, 33, 'Розбризкування');
INSERT INTO `lang_definitions` VALUES (124576, 6177, 33, 'Вулиця');
INSERT INTO `lang_definitions` VALUES (124577, 6178, 33, 'Адреса вулиці');
INSERT INTO `lang_definitions` VALUES (124578, 6179, 33, 'Вулиця і номер');
INSERT INTO `lang_definitions` VALUES (124579, 6180, 33, 'Сила');
INSERT INTO `lang_definitions` VALUES (124580, 6182, 33, 'Гострий фарингіт');
INSERT INTO `lang_definitions` VALUES (124581, 6183, 33, 'Стресовий перелом');
INSERT INTO `lang_definitions` VALUES (124582, 6184, 33, 'Навантажувальна проба');
INSERT INTO `lang_definitions` VALUES (124583, 6185, 33, 'Інсульт');
INSERT INTO `lang_definitions` VALUES (124584, 6186, 33, 'Надійний пароль має принаймні 8 символів і одночасно три з наступних умов: число, буква в нижньому регістрі, буква у верхньому регістрі, спеціальний символ.');
INSERT INTO `lang_definitions` VALUES (124585, 6187, 33, 'Стиль');
INSERT INTO `lang_definitions` VALUES (124586, 6188, 33, 'Для додавання нового пацієнта використовується стиль форми');
INSERT INTO `lang_definitions` VALUES (124587, 6189, 33, 'Підкатегорія');
INSERT INTO `lang_definitions` VALUES (124588, 6190, 33, 'Проміжний підсумок');
INSERT INTO `lang_definitions` VALUES (124589, 6191, 33, 'Підкатегорія');
INSERT INTO `lang_definitions` VALUES (124590, 6192, 33, 'підкатегорія');
INSERT INTO `lang_definitions` VALUES (124591, 6193, 33, 'підшкірно');
INSERT INTO `lang_definitions` VALUES (124592, 6194, 33, 'Суб\'єкт');
INSERT INTO `lang_definitions` VALUES (124593, 6195, 33, 'Суб\'єктивно');
INSERT INTO `lang_definitions` VALUES (124594, 6196, 33, 'Підязиковий');
INSERT INTO `lang_definitions` VALUES (124595, 6197, 33, 'підязиковий');
INSERT INTO `lang_definitions` VALUES (124596, 6198, 33, 'Підтвердити');
INSERT INTO `lang_definitions` VALUES (124597, 6199, 33, 'підтвердити');
INSERT INTO `lang_definitions` VALUES (124598, 6200, 33, 'Подати весь зміст');
INSERT INTO `lang_definitions` VALUES (124599, 6202, 33, 'Подати подію');
INSERT INTO `lang_definitions` VALUES (124600, 6203, 33, 'податии форму');
INSERT INTO `lang_definitions` VALUES (124601, 6204, 33, 'Подати вибраний зміст');
INSERT INTO `lang_definitions` VALUES (124602, 6205, 33, 'подане');
INSERT INTO `lang_definitions` VALUES (124603, 6206, 33, 'Подане (ким)');
INSERT INTO `lang_definitions` VALUES (124604, 6207, 33, 'Подати номер доступу EDI (PER06)');
INSERT INTO `lang_definitions` VALUES (124605, 6208, 33, 'Підписувач');
INSERT INTO `lang_definitions` VALUES (124606, 6209, 33, 'Адреса підписувача');
INSERT INTO `lang_definitions` VALUES (124607, 6213, 33, 'Місце роботи підписувача');
INSERT INTO `lang_definitions` VALUES (124608, 6214, 33, 'Роботодавець підписувача (SE)');
INSERT INTO `lang_definitions` VALUES (124609, 6215, 33, 'Адреса місця роботи підписувача');
INSERT INTO `lang_definitions` VALUES (124610, 6216, 33, 'Місто роботодавця підписувача');
INSERT INTO `lang_definitions` VALUES (124611, 6217, 33, 'Країна роботодавця підписувача');
INSERT INTO `lang_definitions` VALUES (124612, 6218, 33, 'Область місця роботи підписувача');
INSERT INTO `lang_definitions` VALUES (124613, 6221, 33, 'Поштовий індекс роботодавця підписувача');
INSERT INTO `lang_definitions` VALUES (124614, 6225, 33, 'Телефон підписувача');
INSERT INTO `lang_definitions` VALUES (124615, 6226, 33, 'Звязки підписувача');
INSERT INTO `lang_definitions` VALUES (124616, 6227, 33, 'Родинні звязки підписувача різні, але імя те ж! Це вірно?');
INSERT INTO `lang_definitions` VALUES (124617, 6228, 33, 'Родинні звязки підписувача різні, але номер SS (соц.страх.) той же!');
INSERT INTO `lang_definitions` VALUES (124618, 6229, 33, 'Родинні звязки підписувача одні, але імя інше! Це вірно?');
INSERT INTO `lang_definitions` VALUES (124619, 6230, 33, 'Родинні звязки підписувача одні, але номер SS (соц.страх.) інший!');
INSERT INTO `lang_definitions` VALUES (124620, 6231, 33, 'Стать підписувача');
INSERT INTO `lang_definitions` VALUES (124621, 6237, 33, 'Заміна');
INSERT INTO `lang_definitions` VALUES (124622, 6238, 33, 'заміна дозволена');
INSERT INTO `lang_definitions` VALUES (124623, 6240, 33, 'Успішно');
INSERT INTO `lang_definitions` VALUES (124624, 6241, 33, 'успішно');
INSERT INTO `lang_definitions` VALUES (124625, 6242, 33, 'Підтвердження успішного отримання лабораторного результату');
INSERT INTO `lang_definitions` VALUES (124626, 6243, 33, 'Успішне отримання лабораторних результатів');
INSERT INTO `lang_definitions` VALUES (124627, 6244, 33, 'Успішне отримання лабораторних результатів з Lab Exchange Network');
INSERT INTO `lang_definitions` VALUES (124628, 6246, 33, 'Категорія успішно додана');
INSERT INTO `lang_definitions` VALUES (124629, 6247, 33, 'Категорія успішно додана,');
INSERT INTO `lang_definitions` VALUES (124630, 6248, 33, 'Видалено успішно');
INSERT INTO `lang_definitions` VALUES (124631, 6250, 33, 'База даних успішно встановлена.');
INSERT INTO `lang_definitions` VALUES (124632, 6251, 33, 'Успішно встановлена наступна база даних');
INSERT INTO `lang_definitions` VALUES (124633, 6252, 33, 'Змінено успішно');
INSERT INTO `lang_definitions` VALUES (124634, 6253, 33, 'Збережено успішно. Хочете внести?');
INSERT INTO `lang_definitions` VALUES (124635, 6254, 33, 'Збережено успішно. Хочете надати?');
INSERT INTO `lang_definitions` VALUES (124636, 6256, 33, 'збережено успішно.');
INSERT INTO `lang_definitions` VALUES (124637, 6257, 33, 'База даних успішно оновлена.');
INSERT INTO `lang_definitions` VALUES (124638, 6258, 33, 'іспішно оновлена наступна база даних');
INSERT INTO `lang_definitions` VALUES (124639, 6259, 33, 'успішно.');
INSERT INTO `lang_definitions` VALUES (124640, 6260, 33, 'Суїцид');
INSERT INTO `lang_definitions` VALUES (124641, 6261, 33, 'Підсумок');
INSERT INTO `lang_definitions` VALUES (124642, 6262, 33, 'Підсумок по');
INSERT INTO `lang_definitions` VALUES (124643, 6265, 33, 'Нед.');
INSERT INTO `lang_definitions` VALUES (124644, 6267, 33, 'Неділя');
INSERT INTO `lang_definitions` VALUES (124645, 6268, 33, 'Superbill (суперрахунок)');
INSERT INTO `lang_definitions` VALUES (124646, 6269, 33, 'Коди Superbill');
INSERT INTO `lang_definitions` VALUES (124647, 6270, 33, 'Управління кодами Superbill');
INSERT INTO `lang_definitions` VALUES (124648, 6271, 33, 'Звіт Superbill');
INSERT INTO `lang_definitions` VALUES (124649, 6272, 33, 'Superbill / Бланк оплати');
INSERT INTO `lang_definitions` VALUES (124650, 6273, 33, 'Superbill');
INSERT INTO `lang_definitions` VALUES (124651, 6274, 33, 'Superbills, також відомі як форми звернень або бланки направлень, є невід\'ємною частиною більшості випадків лікарської практики.');
INSERT INTO `lang_definitions` VALUES (124652, 6275, 33, 'Суперкористувач');
INSERT INTO `lang_definitions` VALUES (124653, 6276, 33, 'Керівник/відповідальний');
INSERT INTO `lang_definitions` VALUES (124654, 6278, 33, 'Відповідальний лікар DEA');
INSERT INTO `lang_definitions` VALUES (124655, 6279, 33, 'Ім\'я відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (124656, 6280, 33, 'Прізвище відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (124657, 6281, 33, 'NPI відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (124658, 6282, 33, 'UPIN відповідального лікаря');
INSERT INTO `lang_definitions` VALUES (124659, 6283, 33, 'Найменування медзакладу-постачальника послуги');
INSERT INTO `lang_definitions` VALUES (124660, 6284, 33, 'Підтримує календарні події, які одночасно призначаються кільком спеціалістам');
INSERT INTO `lang_definitions` VALUES (124661, 6285, 33, 'Підтримує експорт/імпорт конфігураційних даних через сторінку резервного копіювання.');
INSERT INTO `lang_definitions` VALUES (124662, 6286, 33, 'Підтримує події багатьох провайдерів');
INSERT INTO `lang_definitions` VALUES (124663, 6288, 33, 'Підтримує тільки TripleDES шифрування/дешифрування');
INSERT INTO `lang_definitions` VALUES (124664, 6289, 33, 'Тип поверхні');
INSERT INTO `lang_definitions` VALUES (124665, 6290, 33, 'Операції');
INSERT INTO `lang_definitions` VALUES (124666, 6291, 33, 'Операція');
INSERT INTO `lang_definitions` VALUES (124667, 6292, 33, 'Перелік проблем хірургічних втручань');
INSERT INTO `lang_definitions` VALUES (124668, 6293, 33, 'Підтримувані');
INSERT INTO `lang_definitions` VALUES (124669, 6294, 33, 'суспензія');
INSERT INTO `lang_definitions` VALUES (124670, 6295, 33, 'Дата Svc');
INSERT INTO `lang_definitions` VALUES (124671, 6296, 33, 'Дата Svc:');
INSERT INTO `lang_definitions` VALUES (124672, 6299, 33, 'Пітливість:');
INSERT INTO `lang_definitions` VALUES (124673, 6300, 33, 'Шведська');
INSERT INTO `lang_definitions` VALUES (124674, 6301, 33, 'Набряк');
INSERT INTO `lang_definitions` VALUES (124675, 6302, 33, 'Набряк справа');
INSERT INTO `lang_definitions` VALUES (124676, 6303, 33, 'Набряки на суглобах');
INSERT INTO `lang_definitions` VALUES (124677, 6304, 33, 'Збільшені лімфовузли');
INSERT INTO `lang_definitions` VALUES (124678, 6305, 33, 'Символ, що використовується як десяткова кома для валют. Не використовуйте, якщо десяткових знаків 0).');
INSERT INTO `lang_definitions` VALUES (124679, 6306, 33, 'Символ, що використовується для відділення тисяч для валют.');
INSERT INTO `lang_definitions` VALUES (124680, 6307, 33, 'Симптоми');
INSERT INTO `lang_definitions` VALUES (124681, 6308, 33, 'Синхронізувати');
INSERT INTO `lang_definitions` VALUES (124682, 6309, 33, 'Синхронізувати переклади з індивідуальною мовною таблицею.');
INSERT INTO `lang_definitions` VALUES (124683, 6310, 33, 'Нова індивідуальна синхронізована константа:');
INSERT INTO `lang_definitions` VALUES (124684, 6311, 33, 'Нова користувальницька синхронізована мова:');
INSERT INTO `lang_definitions` VALUES (124685, 6312, 33, 'Нове синхронізоване визначення (мова, константа, визначення):');
INSERT INTO `lang_definitions` VALUES (124686, 6313, 33, 'Непритомність');
INSERT INTO `lang_definitions` VALUES (124687, 6314, 33, 'Посиндромне дослідження');
INSERT INTO `lang_definitions` VALUES (124688, 6315, 33, 'Посиндромне дослідження - неповідомлені аспекти');
INSERT INTO `lang_definitions` VALUES (124689, 6316, 33, 'Звіт про посиндромне дослідження');
INSERT INTO `lang_definitions` VALUES (124690, 6317, 33, 'Синовіїт, тендовагініт, бурсит');
INSERT INTO `lang_definitions` VALUES (124691, 6318, 33, 'Система');
INSERT INTO `lang_definitions` VALUES (124692, 6322, 33, 'T');
INSERT INTO `lang_definitions` VALUES (124693, 6323, 33, 'тричі на день');
INSERT INTO `lang_definitions` VALUES (124694, 6324, 33, 'T.V.');
INSERT INTO `lang_definitions` VALUES (124695, 6325, 33, 'Таблиця');
INSERT INTO `lang_definitions` VALUES (124696, 6327, 33, 'Створення таблиці дало збій');
INSERT INTO `lang_definitions` VALUES (124697, 6328, 33, 'Оновлення таблиці дало збій');
INSERT INTO `lang_definitions` VALUES (124698, 6330, 33, 'таблетка');
INSERT INTO `lang_definitions` VALUES (124699, 6332, 33, 'Тагальська');
INSERT INTO `lang_definitions` VALUES (124700, 6335, 33, 'Прийом');
INSERT INTO `lang_definitions` VALUES (124701, 6336, 33, 'Виберіть страховку із спадаючого списку');
INSERT INTO `lang_definitions` VALUES (124702, 6337, 33, 'Виберіть оплату із спадаючого списку');
INSERT INTO `lang_definitions` VALUES (124703, 6338, 33, 'Повернення');
INSERT INTO `lang_definitions` VALUES (124704, 6339, 33, 'Займає час');
INSERT INTO `lang_definitions` VALUES (124705, 6340, 33, 'Максимальна область навігації');
INSERT INTO `lang_definitions` VALUES (124706, 6344, 33, 'Цільова і вихідна дата народження не співпадають');
INSERT INTO `lang_definitions` VALUES (124707, 6345, 33, 'Цільовий і вихідний PID не можуть бути однаковими!');
INSERT INTO `lang_definitions` VALUES (124708, 6346, 33, 'Цільовий і вихідний SSN не співпадають');
INSERT INTO `lang_definitions` VALUES (124709, 6347, 33, 'Цільова дата');
INSERT INTO `lang_definitions` VALUES (124710, 6348, 33, 'Намічений пацієнт');
INSERT INTO `lang_definitions` VALUES (124711, 6349, 33, 'Для наміченого пацієнта не вказано дату народження');
INSERT INTO `lang_definitions` VALUES (124712, 6350, 33, 'Нміченого пацієнта не знайдено');
INSERT INTO `lang_definitions` VALUES (124713, 6351, 33, 'Цільові/Дієві групи');
INSERT INTO `lang_definitions` VALUES (124714, 6354, 33, 'ID податку');
INSERT INTO `lang_definitions` VALUES (124715, 6355, 33, 'Ставка оподаткування');
INSERT INTO `lang_definitions` VALUES (124716, 6356, 33, 'Податки');
INSERT INTO `lang_definitions` VALUES (124717, 6357, 33, 'Систематизація');
INSERT INTO `lang_definitions` VALUES (124718, 6358, 33, 'Td');
INSERT INTO `lang_definitions` VALUES (124719, 6359, 33, 'Огляд травматологічної бригади');
INSERT INTO `lang_definitions` VALUES (124720, 6360, 33, 'Склад бригади');
INSERT INTO `lang_definitions` VALUES (124721, 6361, 33, 'Перегляд складу бригади');
INSERT INTO `lang_definitions` VALUES (124722, 6362, 33, 'Бригада/відділення');
INSERT INTO `lang_definitions` VALUES (124723, 6363, 33, 'Тел.');
INSERT INTO `lang_definitions` VALUES (124724, 6364, 33, 'Телефонний код країни');
INSERT INTO `lang_definitions` VALUES (124725, 6366, 33, 'Темп');
INSERT INTO `lang_definitions` VALUES (124726, 6367, 33, 'Місце вимірювання температури');
INSERT INTO `lang_definitions` VALUES (124727, 6368, 33, 'Метод вимірювання температури');
INSERT INTO `lang_definitions` VALUES (124728, 6369, 33, 'Температура');
INSERT INTO `lang_definitions` VALUES (124729, 6370, 33, 'Шаблон');
INSERT INTO `lang_definitions` VALUES (124730, 6371, 33, 'Ім\'я шаблону');
INSERT INTO `lang_definitions` VALUES (124731, 6372, 33, 'Імена шаблонів не повинні починатися з цифр.');
INSERT INTO `lang_definitions` VALUES (124732, 6373, 33, 'Шаблон:');
INSERT INTO `lang_definitions` VALUES (124733, 6374, 33, 'Шаблони');
INSERT INTO `lang_definitions` VALUES (124734, 6375, 33, 'Скронева артерія');
INSERT INTO `lang_definitions` VALUES (124735, 6376, 33, 'Травма сухожилля');
INSERT INTO `lang_definitions` VALUES (124736, 6377, 33, 'Тенденіт / остеомієліт / бурсит');
INSERT INTO `lang_definitions` VALUES (124737, 6378, 33, 'Попередній рахунок для номера');
INSERT INTO `lang_definitions` VALUES (124738, 6379, 33, 'Третя');
INSERT INTO `lang_definitions` VALUES (124739, 6380, 33, 'Спеціалізована страховка');
INSERT INTO `lang_definitions` VALUES (124740, 6381, 33, 'Дата спеціального страхування');
INSERT INTO `lang_definitions` VALUES (124741, 6382, 33, 'Постачальник спеціального страхування');
INSERT INTO `lang_definitions` VALUES (124742, 6383, 33, 'План обстеження');
INSERT INTO `lang_definitions` VALUES (124743, 6384, 33, 'Принципи обстеження');
INSERT INTO `lang_definitions` VALUES (124744, 6385, 33, 'Текст');
INSERT INTO `lang_definitions` VALUES (124745, 6386, 33, 'Описовий діагноз');
INSERT INTO `lang_definitions` VALUES (124746, 6387, 33, 'Поле з текстом');
INSERT INTO `lang_definitions` VALUES (124747, 6393, 33, 'Текст-дата');
INSERT INTO `lang_definitions` VALUES (124748, 6394, 33, 'текст-дата');
INSERT INTO `lang_definitions` VALUES (124749, 6395, 33, 'Текстова область');
INSERT INTO `lang_definitions` VALUES (124750, 6396, 33, 'текстова область');
INSERT INTO `lang_definitions` VALUES (124751, 6397, 33, 'Текстове поле');
INSERT INTO `lang_definitions` VALUES (124752, 6398, 33, 'текстове поле');
INSERT INTO `lang_definitions` VALUES (124753, 6399, 33, 'Список текстових полів');
INSERT INTO `lang_definitions` VALUES (124754, 6400, 33, 'список текстових полів');
INSERT INTO `lang_definitions` VALUES (124755, 6401, 33, 'Тайський');
INSERT INTO `lang_definitions` VALUES (124756, 6402, 33, 'Дякуємо');
INSERT INTO `lang_definitions` VALUES (124757, 6403, 33, 'Дякуємо за Ваш вибір');
INSERT INTO `lang_definitions` VALUES (124758, 6404, 33, 'Кнопка \'Очистити\' видалить всі анотації.');
INSERT INTO `lang_definitions` VALUES (124759, 6405, 33, 'Вказана вище заявка дала збій');
INSERT INTO `lang_definitions` VALUES (124760, 6406, 33, 'Сертифікат SSL сервера Apache і загальнодоступний ключ');
INSERT INTO `lang_definitions` VALUES (124761, 6407, 33, 'Довірений сертифікат Certificate');
INSERT INTO `lang_definitions` VALUES (124762, 6408, 33, 'Необхідний файл: ');
INSERT INTO `lang_definitions` VALUES (124763, 6409, 33, 'Сумісний актуальний пакет розширення SNOMED для США вже встановлений.');
INSERT INTO `lang_definitions` VALUES (124764, 6410, 33, 'Відповідний особистий ключ');
INSERT INTO `lang_definitions` VALUES (124765, 6413, 33, 'ось код відмови');
INSERT INTO `lang_definitions` VALUES (124766, 6414, 33, 'ось код групи відмови');
INSERT INTO `lang_definitions` VALUES (124767, 6415, 33, 'Форма місця призначення була закрита');
INSERT INTO `lang_definitions` VALUES (124768, 6416, 33, 'Форма місця призначення була закрита, не вдалося активувати ваш вибір.');
INSERT INTO `lang_definitions` VALUES (124769, 6417, 33, 'Об\'єкт, що виконує цю процедуру');
INSERT INTO `lang_definitions` VALUES (124770, 6418, 33, 'Звернення в EP, уповноважену лікарню або CAH, які отримують пацієнта з інших місць лікування або інших фахівців, або повинна виконувати подальше лікування.');
INSERT INTO `lang_definitions` VALUES (124771, 6421, 33, 'Уповноважені фахівці, лікарні або центри здороя, які переводять своїх пацієнтів для медичної допомоги в установи з іншим управлінням або фахівцями, або направляють своїх пацієнтів до іншого медичного фахівця, повинні надати медичну виписку для кожного переведення або направлення.');
INSERT INTO `lang_definitions` VALUES (124772, 6422, 33, 'Ця подія (ї) була прийнята.');
INSERT INTO `lang_definitions` VALUES (124773, 6423, 33, 'Ця подія (ї) приховані.');
INSERT INTO `lang_definitions` VALUES (124774, 6424, 33, 'Дані експорту подані в текстовій області нижче. Можете скопіювати і вставити в email чи будь-яке інше необхідне місце призначення.');
INSERT INTO `lang_definitions` VALUES (124775, 6426, 33, 'Дані експорту подані в текстовій області нижче. Можете скопіювати і вставити в email чи будь-яке інше необхідне місце призначення.');
INSERT INTO `lang_definitions` VALUES (124776, 6427, 33, 'Дані експорту подані в текстовій області нижче. Можете скопіювати і вставити їх в email чи будь-яке інше необхідне місце призначення.');
INSERT INTO `lang_definitions` VALUES (124777, 6428, 33, 'Файл не може бути збережений у CouchDB.');
INSERT INTO `lang_definitions` VALUES (124778, 6429, 33, 'Цей файл не вдалося перейменувати, ця помилка зазвичай пов\'язана з проблемами прав доступу в систему зберігання.');
INSERT INTO `lang_definitions` VALUES (124779, 6430, 33, 'Файл не може бути успішно збережений. Ця помилка звачайно стосується проблем з правими доступу до системи сховища (накопичувача)');
INSERT INTO `lang_definitions` VALUES (124780, 6431, 33, 'Першим (\"цільовим\") записом є той, який вважається найбільш повним та точним. Дані демографічного, історичного та страхового розділів для нього будуть збережені.');
INSERT INTO `lang_definitions` VALUES (124781, 6433, 33, 'перший крок - відкрити обліковий запис на веб-сайті системи Уніфікованої Медичної Мови (UMLS)');
INSERT INTO `lang_definitions` VALUES (124782, 6434, 33, 'Наступні календарні події були додані:');
INSERT INTO `lang_definitions` VALUES (124783, 6435, 33, 'Наступні календарні події були змінені:');
INSERT INTO `lang_definitions` VALUES (124784, 6436, 33, 'Наступні категорії будуть видалені з вашого списку категорій');
INSERT INTO `lang_definitions` VALUES (124785, 6437, 33, 'В даний час встановлена ​​наступна версія бази даних.');
INSERT INTO `lang_definitions` VALUES (124786, 6438, 33, 'Наступні документи були прикріплені до цього Direct-повідомлення:');
INSERT INTO `lang_definitions` VALUES (124787, 6439, 33, 'Наступний файл EDI був оновлений');
INSERT INTO `lang_definitions` VALUES (124788, 6440, 33, 'Активований наступний користувач термінового входу в систему:');
INSERT INTO `lang_definitions` VALUES (124789, 6441, 33, 'Сталася наступна помилка');
INSERT INTO `lang_definitions` VALUES (124790, 6444, 33, 'Наступні поля є обов\'язковими');
INSERT INTO `lang_definitions` VALUES (124791, 6446, 33, 'Для відправки запиту повинні бути заповнені такі поля.');
INSERT INTO `lang_definitions` VALUES (124792, 6447, 33, 'Підтримуються наступні міжнародні мовні випуски SNOMED');
INSERT INTO `lang_definitions` VALUES (124793, 6448, 33, 'Наступні проблеми мають ті ж коди діагнозу. Проблеми по звертанню не будуть оновлюватися. Будь ласка, скористайтеся інтерфейсом звертання.');
INSERT INTO `lang_definitions` VALUES (124794, 6449, 33, 'Ім\'я вузла на архівному комп\'ютері для аудиту ATNA');
INSERT INTO `lang_definitions` VALUES (124795, 6450, 33, 'Початкове вікно є сторінкою пошуку рахунку. Вгорі ви можете ввести джерело (наприклад, номер чека), дату оплати та суму чека. Причина для вводу джерела і дати оплати полягає у тому, що вам не доведеться вводити їх багато разів для кожної вимоги. Кількість, яку ви вводитимете, буде збільшуватися при кожному рахунку, який буде частиною платні, і врешті становитиме нуль, коли оплата буде завершена.');
INSERT INTO `lang_definitions` VALUES (124796, 6451, 33, 'Каталог встановлення повинен бути створений.');
INSERT INTO `lang_definitions` VALUES (124797, 6452, 33, 'Встановлена міжнародна версія SNOMED не сумісна з актуальним пакетом розширення SNOMED для США.');
INSERT INTO `lang_definitions` VALUES (124798, 6453, 33, 'Встановлена міжнародна версія SNOMED є застарілою і не сумісна з актуальним пакетом розширення SNOMED для США.');
INSERT INTO `lang_definitions` VALUES (124799, 6454, 33, 'Встановлена версія і встановлювані файли ідентичні.');
INSERT INTO `lang_definitions` VALUES (124800, 6455, 33, 'Встановлена версія є новішою ніж встановлювані файли.');
INSERT INTO `lang_definitions` VALUES (124801, 6456, 33, 'Мітка, яка з\'являється для цього користувача у формі');
INSERT INTO `lang_definitions` VALUES (124802, 6457, 33, 'Довжина не повинна перевищувати наступної кількості символів');
INSERT INTO `lang_definitions` VALUES (124803, 6458, 33, 'Об\"єднання не може бути запущено, оскільки SSN та дата народження для двох записів ідентичні. Дана народження не може бути порожньою.');
INSERT INTO `lang_definitions` VALUES (124804, 6459, 33, 'Повідомлення в даний час не може бути надіслане.');
INSERT INTO `lang_definitions` VALUES (124805, 6460, 33, 'Нова категорія буде підкатегорією для ');
INSERT INTO `lang_definitions` VALUES (124806, 6461, 33, 'Новий пароль не може бути таким же, як поточний.');
INSERT INTO `lang_definitions` VALUES (124807, 6462, 33, 'Поля нового пароля відрізняються.');
INSERT INTO `lang_definitions` VALUES (124808, 6463, 33, 'Кількість актуальних файлів невірна. Помістіть лише файл, який ви хочете встановити / оновити.');
INSERT INTO `lang_definitions` VALUES (124809, 6464, 33, 'Некоректна кількість оброблюваних файлів. Розмістіть лише файли, які Ви бажаєте встановити/оновити.');
INSERT INTO `lang_definitions` VALUES (124810, 6465, 33, 'Ця сторінка буде перенаправлена на Персональні дані. Ви можете відредагувати поле із країною та повернутися на NewCrop знову.');
INSERT INTO `lang_definitions` VALUES (124811, 6466, 33, 'Пароль повинен бути довжиною не менше вісім символів і повинен');
INSERT INTO `lang_definitions` VALUES (124812, 6468, 33, 'Запит на запис для пацієнта був виконаний.');
INSERT INTO `lang_definitions` VALUES (124813, 6469, 33, 'Нагадування пацієнтові відправлені');
INSERT INTO `lang_definitions` VALUES (124814, 6470, 33, 'Нагадування пацієнтові оновлені');
INSERT INTO `lang_definitions` VALUES (124815, 6472, 33, 'Введені платежі не можуть бути пізніше цієї дати. Це означає, що після здійснення завершального звіту ніхто не введе попередню дату.');
INSERT INTO `lang_definitions` VALUES (124816, 6474, 33, 'Надані необроблені дані можуть бути отримані з');
INSERT INTO `lang_definitions` VALUES (124817, 6475, 33, 'Відомості, наведені нижче, застосовуються, тільки якщо ви вручну публікуєте або виправляєте.');
INSERT INTO `lang_definitions` VALUES (124818, 6477, 33, 'Запитаний документ відсутній в очікуваному місці файлової системи або немає достатніх прав доступу до нього.');
INSERT INTO `lang_definitions` VALUES (124819, 6479, 33, 'Дані демографічного, історичного та страхового розділів другого (\"вхідного\") запису будуть видалені. Інші дані будуть об\"єднані з цільовим записом.');
INSERT INTO `lang_definitions` VALUES (124820, 6480, 33, 'Стовпці Джерело і Дата копіюються з першої сторінки, так що, зазвичай, їх не потрібно чіпати. Можете помістити суму платежу в стовпці Оплата, скориговану суму в стовпці Змінити (або обидві). Можна також натиснути на «W» справа для автоматичного застосування вартості, що списує залишок ціни для цієї позиції.');
INSERT INTO `lang_definitions` VALUES (124821, 6481, 33, 'Не всі дати підставлених файлів від однакового випуску.');
INSERT INTO `lang_definitions` VALUES (124822, 6482, 33, 'Не всі редакції підставлених файлів від однакового випуску.');
INSERT INTO `lang_definitions` VALUES (124823, 6484, 33, 'Тимчасова деталізація календаря і найменший інтервал у хвилинах для вставки запису на прийом.');
INSERT INTO `lang_definitions` VALUES (124824, 6485, 33, 'Перекладена мітка, яка виводиться у формі на поточній мові');
INSERT INTO `lang_definitions` VALUES (124825, 6486, 33, 'Перекладений заголовок, який буде виводиться на поточній мові');
INSERT INTO `lang_definitions` VALUES (124826, 6487, 33, 'Переклад опису на поточну мову');
INSERT INTO `lang_definitions` VALUES (124827, 6488, 33, 'Таблиці перекладів синхронізовані.');
INSERT INTO `lang_definitions` VALUES (124828, 6489, 33, 'Тип цього об\'єкта');
INSERT INTO `lang_definitions` VALUES (124829, 6490, 33, 'Код виробника, що ідентифікує цю процедуру або результат');
INSERT INTO `lang_definitions` VALUES (124830, 6491, 33, 'Файли X12, а також отримані звіти виводу HTML, архівуються в підкаталозі \"era\" основної директорії інсталяції LibreEHR. Слід звертатися час від часу до цих архівів. URL-адреса');
INSERT INTO `lang_definitions` VALUES (124831, 6492, 33, 'Файл zip буде містити наступні пункти');
INSERT INTO `lang_definitions` VALUES (124832, 6493, 33, 'Тема');
INSERT INTO `lang_definitions` VALUES (124833, 6494, 33, 'Тоді надані необроблені дані можуть бути отримані з');
INSERT INTO `lang_definitions` VALUES (124834, 6495, 33, 'Терапевтичні ін\'єкції');
INSERT INTO `lang_definitions` VALUES (124835, 6496, 33, 'Є');
INSERT INTO `lang_definitions` VALUES (124836, 6497, 33, 'В даний час немає призначень');
INSERT INTO `lang_definitions` VALUES (124837, 6498, 33, 'Є помилки з вашим поданням. Вони показані нижче.');
INSERT INTO `lang_definitions` VALUES (124838, 6500, 33, 'Виписаних карт немає.');
INSERT INTO `lang_definitions` VALUES (124839, 6501, 33, 'Для цього пацієнта публікацій не зареєстровано.');
INSERT INTO `lang_definitions` VALUES (124840, 6502, 33, 'Нових заявок немає');
INSERT INTO `lang_definitions` VALUES (124841, 6503, 33, 'Для цього пацієнта немає записів у файл.');
INSERT INTO `lang_definitions` VALUES (124842, 6504, 33, 'Для цього пацієнта немає транзакцій в файл.');
INSERT INTO `lang_definitions` VALUES (124843, 6505, 33, 'Виникла помилка відправки пошти');
INSERT INTO `lang_definitions` VALUES (124844, 6506, 33, 'Категорія вже поіменована');
INSERT INTO `lang_definitions` VALUES (124845, 6507, 33, 'Підкатегорія вже поіменована');
INSERT INTO `lang_definitions` VALUES (124846, 6508, 33, 'Елемент вже поіменований');
INSERT INTO `lang_definitions` VALUES (124847, 6509, 33, 'Запит на запис для пацієнта вже відкритий.');
INSERT INTO `lang_definitions` VALUES (124848, 6510, 33, 'Немає введених COA для аккаунта AR ');
INSERT INTO `lang_definitions` VALUES (124849, 6511, 33, 'Немає введених COA для аккаунта кешу ');
INSERT INTO `lang_definitions` VALUES (124850, 6512, 33, 'Немає введених COA для вхідного аккаунта ');
INSERT INTO `lang_definitions` VALUES (124851, 6513, 33, 'Немає жодного поточного пацієнта');
INSERT INTO `lang_definitions` VALUES (124852, 6515, 33, 'Немає відповідності для рахунку з id');
INSERT INTO `lang_definitions` VALUES (124853, 6516, 33, 'Немає відповідності для рахунку з id = ');
INSERT INTO `lang_definitions` VALUES (124854, 6517, 33, 'Немає введення частини для ID послуг ');
INSERT INTO `lang_definitions` VALUES (124855, 6519, 33, 'Були проблеми з відправкою повідомлення.');
INSERT INTO `lang_definitions` VALUES (124856, 6520, 33, 'При обробці вашого запиту виникла помилка.');
INSERT INTO `lang_definitions` VALUES (124857, 6521, 33, 'В наступному рядку є помилка LibreEHR SQL');
INSERT INTO `lang_definitions` VALUES (124858, 6522, 33, 'Є 2012 посилань');
INSERT INTO `lang_definitions` VALUES (124859, 6523, 33, 'Ущільнення справа');
INSERT INTO `lang_definitions` VALUES (124860, 6524, 33, 'Стегно');
INSERT INTO `lang_definitions` VALUES (124861, 6525, 33, 'Стегно і підколінна ямка');
INSERT INTO `lang_definitions` VALUES (124862, 6526, 33, 'Об\'єкти, які відділ документації (канцелярія) може лише читати');
INSERT INTO `lang_definitions` VALUES (124863, 6527, 33, 'Об\'єкти, які відділ документації (канцелярія) може читати і вводити, але не може змінювати');
INSERT INTO `lang_definitions` VALUES (124864, 6528, 33, 'Об\'єкти, які відділ документації (канцелярія) може читати і змінювати');
INSERT INTO `lang_definitions` VALUES (124865, 6529, 33, 'Об\'єкти, які відділ документації (канцелярія) може читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (124866, 6530, 33, 'Об\'єкти, які клініцисти можуть лише читати');
INSERT INTO `lang_definitions` VALUES (124867, 6531, 33, 'Об\'єкти, які клініцисти можуть читати і вводити, але не можуть змінювати');
INSERT INTO `lang_definitions` VALUES (124868, 6532, 33, 'Об\'єкти, які клініцисти можуть читати і змінювати');
INSERT INTO `lang_definitions` VALUES (124869, 6533, 33, 'Об\'єкти, які клініцисти можуть читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (124870, 6534, 33, 'Об\'єкти, які реєстратура може лише читати');
INSERT INTO `lang_definitions` VALUES (124871, 6535, 33, 'Об\'єкти, які реєстратура може читати і вводити, але не може змінювати');
INSERT INTO `lang_definitions` VALUES (124872, 6536, 33, 'Об\'єкти, які реєстратура може читати і змінювати');
INSERT INTO `lang_definitions` VALUES (124873, 6537, 33, 'Об\'єкти, які реєстратура може читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (124874, 6538, 33, 'Об\'єкти, які лікарі можуть лише читати');
INSERT INTO `lang_definitions` VALUES (124875, 6539, 33, 'Об\'єкти, які лікарі можуть читати і вводити, але не можуть змінювати');
INSERT INTO `lang_definitions` VALUES (124876, 6540, 33, 'Об\'єкти, які лікарі можуть читати і змінювати');
INSERT INTO `lang_definitions` VALUES (124877, 6541, 33, 'Об\'єкти, які лікарі можуть читати і частково змінювати');
INSERT INTO `lang_definitions` VALUES (124878, 6542, 33, 'Третій');
INSERT INTO `lang_definitions` VALUES (124879, 6544, 33, 'Ця дія НЕ МОЖЕ БУТИ скасованою.');
INSERT INTO `lang_definitions` VALUES (124880, 6545, 33, 'Ця дія не може бути скасованою.');
INSERT INTO `lang_definitions` VALUES (124881, 6547, 33, 'Цю дію буде зареєстровано');
INSERT INTO `lang_definitions` VALUES (124882, 6549, 33, 'Цей інтервал прийому вже використовується, вибрати його незважаючи на це?');
INSERT INTO `lang_definitions` VALUES (124883, 6550, 33, 'Вказаний інтервал запису на прийом не існує, виберіть інший.');
INSERT INTO `lang_definitions` VALUES (124884, 6551, 33, 'Цей календарний рік');
INSERT INTO `lang_definitions` VALUES (124885, 6552, 33, 'Цю вимогу було скасовано.');
INSERT INTO `lang_definitions` VALUES (124886, 6553, 33, 'Ця вимога була закрита.');
INSERT INTO `lang_definitions` VALUES (124887, 6554, 33, 'Ця вимога була знехтувана. Причина:-');
INSERT INTO `lang_definitions` VALUES (124888, 6555, 33, 'Цю вимогу було надіслано на наступний рівень.');
INSERT INTO `lang_definitions` VALUES (124889, 6556, 33, 'Цей тип коду не приймає залежності.');
INSERT INTO `lang_definitions` VALUES (124890, 6557, 33, 'Цей контекст містить категорії, які будуть видалені. Все ще потрібно продовжити?');
INSERT INTO `lang_definitions` VALUES (124891, 6558, 33, 'Це визначає, як записи на прийом відображаються в календарі.');
INSERT INTO `lang_definitions` VALUES (124892, 6559, 33, 'Це визначає, яка схема кольорів використовується для запису на прийом');
INSERT INTO `lang_definitions` VALUES (124893, 6561, 33, 'Це звернення');
INSERT INTO `lang_definitions` VALUES (124894, 6562, 33, 'Для цього зверненню було здійснено нарахування. Якщо Ви бажаєте внести змінити, відчиніть його повторно.');
INSERT INTO `lang_definitions` VALUES (124895, 6564, 33, 'Ця опція відсутня');
INSERT INTO `lang_definitions` VALUES (124896, 6565, 33, 'Цей компонент є експериментальним і тестований не повністю. Використовуйте його на свій власний ризик!');
INSERT INTO `lang_definitions` VALUES (124897, 6566, 33, 'Цей номер рахунку було змінено на ');
INSERT INTO `lang_definitions` VALUES (124898, 6569, 33, 'Це запис, який буде об\'єднано з основним записом, а потім видалено.');
INSERT INTO `lang_definitions` VALUES (124899, 6571, 33, 'Це основний запис, який отримає об\'єднані дані.');
INSERT INTO `lang_definitions` VALUES (124900, 6572, 33, 'це розміщення');
INSERT INTO `lang_definitions` VALUES (124901, 6575, 33, 'Цей модуль працює в тестовому режимі. База даних не буде змінена.');
INSERT INTO `lang_definitions` VALUES (124902, 6576, 33, 'Цей модуль підтримує ефективне введення даних EOB.');
INSERT INTO `lang_definitions` VALUES (124903, 6577, 33, 'Це місяць до дати');
INSERT INTO `lang_definitions` VALUES (124904, 6579, 33, 'Ця сторінка дозволяє Вам переглянути кожен з підтримуваних зовнішніх сховищ даних що Ви їх можете встановити чи оновити. Кожну секцію можна розгорнути, клацнувши на її заголовку, щоб переглянути статус відповідної бази даних.');
INSERT INTO `lang_definitions` VALUES (124905, 6580, 33, 'Ця сторінка відключена з міркувань безпеки.');
INSERT INTO `lang_definitions` VALUES (124906, 6581, 33, 'Ця сторінка буде включати вбудований вхід в систему, щоб не робити це кожного разу.');
INSERT INTO `lang_definitions` VALUES (124907, 6582, 33, 'Цей пацієнт не активний.');
INSERT INTO `lang_definitions` VALUES (124908, 6583, 33, 'Цей ID пацієнта вже використовуєтьсяі!');
INSERT INTO `lang_definitions` VALUES (124909, 6584, 33, 'Цей продукт допускає тільки одну партію на складі');
INSERT INTO `lang_definitions` VALUES (124910, 6585, 33, 'Цей протокол не реалізований');
INSERT INTO `lang_definitions` VALUES (124911, 6586, 33, 'Цей звіт зараз працює лише для ICD9 кодів.');
INSERT INTO `lang_definitions` VALUES (124912, 6591, 33, 'На цьому кроці буде створений файл, який потрібно зберегти для подальшого використання. Цей файл не може бути створений повторно.Чи бажаєте продовжити?');
INSERT INTO `lang_definitions` VALUES (124913, 6592, 33, 'Цей користувач не є членом жодної групи');
INSERT INTO `lang_definitions` VALUES (124914, 6593, 33, 'Цей користувач буде отримувати повідомлення про нові вхідні Direct-повідомлення');
INSERT INTO `lang_definitions` VALUES (124915, 6594, 33, 'Ця утиліта є експериментальною. Зробіть резервну копію бази даних і документів перед її використанням!');
INSERT INTO `lang_definitions` VALUES (124916, 6595, 33, 'Це відвідування починає застосування нової контрацепції');
INSERT INTO `lang_definitions` VALUES (124917, 6596, 33, 'Для цього візиту необхідна форма GCAC, надання направлення або процедури.');
INSERT INTO `lang_definitions` VALUES (124918, 6597, 33, 'Це старий варіант виключно метричної форми життєво важливих показників, в даний час застаріла.');
INSERT INTO `lang_definitions` VALUES (124919, 6598, 33, 'Цей тиждень до дати');
INSERT INTO `lang_definitions` VALUES (124920, 6600, 33, 'Це активує повідомлення CCR (безперервність медичного запису) і CCD (безперервність медичного документу).');
INSERT INTO `lang_definitions` VALUES (124921, 6602, 33, 'Це дозволяє вибір налагоджувальної мови (\'підставної\').');
INSERT INTO `lang_definitions` VALUES (124922, 6605, 33, 'Це буде \"сухий запуск\" без фізичного оновлення даних.');
INSERT INTO `lang_definitions` VALUES (124923, 6606, 33, 'Це дозволяє створити резервну копію у форматі tar і потім надіслати на ваш веб-браузер, таким чином що ви зможете її зберегти');
INSERT INTO `lang_definitions` VALUES (124924, 6607, 33, 'Функція шифрування і дешифрування документа буде дезактивована і захована в UI.');
INSERT INTO `lang_definitions` VALUES (124925, 6613, 33, 'Завдяки цьому Віджет Рахунків буде завжди відкритим у вікні \"Сумарно по пацієнту\".');
INSERT INTO `lang_definitions` VALUES (124926, 6616, 33, 'Це дозволить об\'єднати два записи про пацієнта в один. Це корисно, коли запис про пацієнта був помилково продубльований. Якщо це відбувається часто, слід внести зміни в порядок діловодства. Дана функція є не для регулярного використання!');
INSERT INTO `lang_definitions` VALUES (124927, 6617, 33, 'Це не завадить вашому переходу на сайт е-призначень.');
INSERT INTO `lang_definitions` VALUES (124928, 6619, 33, 'Користувацький список вакцинацій, а не стандартний список вакцинацій CVX буде використаний.');
INSERT INTO `lang_definitions` VALUES (124929, 6622, 33, 'Грудний відділ хребта');
INSERT INTO `lang_definitions` VALUES (124930, 6623, 33, 'Тис./куб.мм');
INSERT INTO `lang_definitions` VALUES (124931, 6625, 33, 'Гортань');
INSERT INTO `lang_definitions` VALUES (124932, 6626, 33, 'Рак гортані');
INSERT INTO `lang_definitions` VALUES (124933, 6627, 33, 'Хірургія раку гортані');
INSERT INTO `lang_definitions` VALUES (124934, 6628, 33, 'Тромбоз/інсульт');
INSERT INTO `lang_definitions` VALUES (124935, 6629, 33, 'Чт.');
INSERT INTO `lang_definitions` VALUES (124936, 6630, 33, 'Четвер');
INSERT INTO `lang_definitions` VALUES (124937, 6631, 33, 'Четвер');
INSERT INTO `lang_definitions` VALUES (124938, 6632, 33, 'Щитовидна залоза в нормі');
INSERT INTO `lang_definitions` VALUES (124939, 6633, 33, 'Проблеми щитовидної залози');
INSERT INTO `lang_definitions` VALUES (124940, 6634, 33, 'TIA');
INSERT INTO `lang_definitions` VALUES (124941, 6636, 33, 'TID');
INSERT INTO `lang_definitions` VALUES (124942, 6638, 33, 'Час');
INSERT INTO `lang_definitions` VALUES (124943, 6639, 33, 'Формат відображення часу');
INSERT INTO `lang_definitions` VALUES (124944, 6640, 33, 'Величина часу для додавання (1-60 хвилин)');
INSERT INTO `lang_definitions` VALUES (124945, 6641, 33, 'Вибір часу');
INSERT INTO `lang_definitions` VALUES (124946, 6642, 33, 'Цей інтервал відкритий, зберігайте подію');
INSERT INTO `lang_definitions` VALUES (124947, 6647, 33, 'Одночасна подія');
INSERT INTO `lang_definitions` VALUES (124948, 6648, 33, 'Набір часів (N/A)');
INSERT INTO `lang_definitions` VALUES (124949, 6649, 33, 'Часова мітка і текст');
INSERT INTO `lang_definitions` VALUES (124950, 6650, 33, 'TIN');
INSERT INTO `lang_definitions` VALUES (124951, 6651, 33, 'шум у вухах');
INSERT INTO `lang_definitions` VALUES (124952, 6652, 33, 'Назва');
INSERT INTO `lang_definitions` VALUES (124953, 6653, 33, 'Назва V');
INSERT INTO `lang_definitions` VALUES (124954, 6654, 33, 'Стовпці назви повинні бути чилом між 1 і 999');
INSERT INTO `lang_definitions` VALUES (124955, 6655, 33, 'Назви');
INSERT INTO `lang_definitions` VALUES (124956, 6656, 33, 'TM\'S:');
INSERT INTO `lang_definitions` VALUES (124957, 6657, 33, 'Зовнішній ніс, TMs/EAMs/EE');
INSERT INTO `lang_definitions` VALUES (124958, 6658, 33, 'по');
INSERT INTO `lang_definitions` VALUES (124959, 6659, 33, 'ДО');
INSERT INTO `lang_definitions` VALUES (124960, 6660, 33, 'до');
INSERT INTO `lang_definitions` VALUES (124961, 6661, 33, 'в абсолютному шляху файлу');
INSERT INTO `lang_definitions` VALUES (124962, 6662, 33, 'Натисніть для додавання записів ');
INSERT INTO `lang_definitions` VALUES (124963, 6663, 33, 'натисніть тут для додавання записів');
INSERT INTO `lang_definitions` VALUES (124964, 6664, 33, 'На уражену область');
INSERT INTO `lang_definitions` VALUES (124965, 6665, 33, 'на уражену область');
INSERT INTO `lang_definitions` VALUES (124966, 6666, 33, 'Для автоматичного відкриття зазначеної форми. Деякі спортивні команди тут використовують football_injury_audit.');
INSERT INTO `lang_definitions` VALUES (124967, 6667, 33, 'В представлення Рахунок');
INSERT INTO `lang_definitions` VALUES (124968, 6668, 33, 'в категорії');
INSERT INTO `lang_definitions` VALUES (124969, 6669, 33, 'В Клінічне представлення');
INSERT INTO `lang_definitions` VALUES (124970, 6670, 33, 'в доплату');
INSERT INTO `lang_definitions` VALUES (124971, 6672, 33, 'To ded\'ble');
INSERT INTO `lang_definitions` VALUES (124972, 6673, 33, 'В електронну службу передачі цифрових повідомлень');
INSERT INTO `lang_definitions` VALUES (124973, 6674, 33, 'Для відключення сертифікатів SSL на стороні клієнта закоментуйте вищевказані рядки в конфігураційному файлі Apache і встановіть');
INSERT INTO `lang_definitions` VALUES (124974, 6675, 33, 'Для відключення HTTPS закоментуйте вищевказані рядки в конфігураційному файлі Apache і перезавантажте сервер Apache.');
INSERT INTO `lang_definitions` VALUES (124975, 6676, 33, 'Для включення сертифікатів ssl на стороні клієнта');
INSERT INTO `lang_definitions` VALUES (124976, 6677, 33, 'Для включення перевірки сертифікатів SSL на стороні клієнта повинен бути включений HTTPS');
INSERT INTO `lang_definitions` VALUES (124977, 6678, 33, 'Для включення тільки HTTPS, зробіть зазначені вище зміни і перезавантажте сервер Apache. Якщо хочете також налаштувати сертифікати на стороні клієнта, налаштуйте їх в наступному розділі.');
INSERT INTO `lang_definitions` VALUES (124978, 6679, 33, 'Для зверн.');
INSERT INTO `lang_definitions` VALUES (124979, 6680, 33, 'Фільтрувати по статті');
INSERT INTO `lang_definitions` VALUES (124980, 6681, 33, 'В анамнез');
INSERT INTO `lang_definitions` VALUES (124981, 6682, 33, 'До проблем');
INSERT INTO `lang_definitions` VALUES (124982, 6683, 33, 'Щоб зв\'язувати дане звернення/консультацію з наявною проблемою, натисніть тут ');
INSERT INTO `lang_definitions` VALUES (124983, 6684, 33, 'Щоб зв\'язати дане звернення/консультацію з існуючою проблемою клікніть вище потрібну проблему і натисніть [Зберегти]. Для вибору декількох проблем утримуйте клавішу [Ctrl].');
INSERT INTO `lang_definitions` VALUES (124984, 6685, 33, 'для повторного входу в систему');
INSERT INTO `lang_definitions` VALUES (124985, 6686, 33, 'Клацніть для опублікування запису');
INSERT INTO `lang_definitions` VALUES (124986, 6687, 33, 'для запуску');
INSERT INTO `lang_definitions` VALUES (124987, 6688, 33, 'Для організації доступу https з перевіркою сертифіката клієнта зробіть наступне');
INSERT INTO `lang_definitions` VALUES (124988, 6689, 33, 'Нашкірно');
INSERT INTO `lang_definitions` VALUES (124989, 6690, 33, 'нашкірно');
INSERT INTO `lang_definitions` VALUES (124990, 6691, 33, 'у це відвідування?');
INSERT INTO `lang_definitions` VALUES (124991, 6693, 33, 'До:');
INSERT INTO `lang_definitions` VALUES (124992, 6694, 33, 'До: ');
INSERT INTO `lang_definitions` VALUES (124993, 6695, 33, 'ДО_МІСТО');
INSERT INTO `lang_definitions` VALUES (124994, 6696, 33, 'ДО_ФАКС');
INSERT INTO `lang_definitions` VALUES (124995, 6697, 33, 'ДО_ІМ\"Я');
INSERT INTO `lang_definitions` VALUES (124996, 6698, 33, 'ДО_ПРІЗВИЩЕ');
INSERT INTO `lang_definitions` VALUES (124997, 6699, 33, 'ДО_ПО-БАТЬКОВІ');
INSERT INTO `lang_definitions` VALUES (124998, 6700, 33, 'ДО_УСТАНОВА');
INSERT INTO `lang_definitions` VALUES (124999, 6703, 33, 'ДО_ПОШТОВА_АДРЕСА');
INSERT INTO `lang_definitions` VALUES (125000, 6704, 33, 'ДО_ОБЛАСТЬ');
INSERT INTO `lang_definitions` VALUES (125001, 6705, 33, 'ДО_ВУЛИЦЯ');
INSERT INTO `lang_definitions` VALUES (125002, 6706, 33, 'ДО_НАЗВА');
INSERT INTO `lang_definitions` VALUES (125003, 6707, 33, 'ДО_ПРОЩАННЯ');
INSERT INTO `lang_definitions` VALUES (125004, 6708, 33, 'Тютюн');
INSERT INTO `lang_definitions` VALUES (125005, 6709, 33, 'Втручання з припинення тютюнопаління');
INSERT INTO `lang_definitions` VALUES (125006, 6710, 33, 'Втручання з припинення тютюнопаління (CQM)');
INSERT INTO `lang_definitions` VALUES (125007, 6712, 33, 'Використання тютюну');
INSERT INTO `lang_definitions` VALUES (125008, 6713, 33, 'Оцінка використання тютюну');
INSERT INTO `lang_definitions` VALUES (125009, 6714, 33, 'Оцінка використання тютюну (CQM)');
INSERT INTO `lang_definitions` VALUES (125010, 6715, 33, 'Сьогодні');
INSERT INTO `lang_definitions` VALUES (125011, 6716, 33, 'СЬОГОДНІ');
INSERT INTO `lang_definitions` VALUES (125012, 6717, 33, 'сьогодні');
INSERT INTO `lang_definitions` VALUES (125013, 6718, 33, 'Сьогоднішній баланс');
INSERT INTO `lang_definitions` VALUES (125014, 6719, 33, 'Сьогоднішні зміни');
INSERT INTO `lang_definitions` VALUES (125015, 6720, 33, 'Сьогоднішня дата');
INSERT INTO `lang_definitions` VALUES (125016, 6721, 33, 'Сьогоднішні події');
INSERT INTO `lang_definitions` VALUES (125017, 6723, 33, 'Token ID для підтримки Інтеграції Медичної Інформації, послуги обміну лабораторними даними LLC');
INSERT INTO `lang_definitions` VALUES (125018, 6724, 33, 'Token ID для підтримки LibreEHR послуги обміну лабораторними даними LLC');
INSERT INTO `lang_definitions` VALUES (125019, 6726, 33, 'Тонзилектомія');
INSERT INTO `lang_definitions` VALUES (125020, 6728, 33, 'Верх');
INSERT INTO `lang_definitions` VALUES (125021, 6730, 33, 'Розділ');
INSERT INTO `lang_definitions` VALUES (125022, 6731, 33, 'Всього');
INSERT INTO `lang_definitions` VALUES (125023, 6732, 33, 'всього');
INSERT INTO `lang_definitions` VALUES (125024, 6733, 33, 'Всього активних дій');
INSERT INTO `lang_definitions` VALUES (125025, 6734, 33, 'Всього активних нагадувань після оновлення');
INSERT INTO `lang_definitions` VALUES (125026, 6735, 33, 'Всього активних нагадувань до оновлення');
INSERT INTO `lang_definitions` VALUES (125027, 6737, 33, 'Підлягає всього');
INSERT INTO `lang_definitions` VALUES (125028, 6738, 33, 'Всього до оплатити');
INSERT INTO `lang_definitions` VALUES (125029, 6739, 33, 'Всього Заборгованість');
INSERT INTO `lang_definitions` VALUES (125030, 6740, 33, 'Загальний платіж');
INSERT INTO `lang_definitions` VALUES (125031, 6741, 33, 'Загальні платежі');
INSERT INTO `lang_definitions` VALUES (125032, 6742, 33, 'Всього клієнтів');
INSERT INTO `lang_definitions` VALUES (125033, 6743, 33, 'Загальна вартість');
INSERT INTO `lang_definitions` VALUES (125034, 6744, 33, 'Підсумкова кількість для подальшої перевірки надано не повністю');
INSERT INTO `lang_definitions` VALUES (125035, 6745, 33, 'всього елементів');
INSERT INTO `lang_definitions` VALUES (125036, 6746, 33, 'Всього невдалих нагадувань, що були відправлені по e-mail');
INSERT INTO `lang_definitions` VALUES (125037, 6747, 33, 'Всього невдалих нагадувань по телефону');
INSERT INTO `lang_definitions` VALUES (125038, 6748, 33, 'Всього для');
INSERT INTO `lang_definitions` VALUES (125039, 6749, 33, 'Всього для ');
INSERT INTO `lang_definitions` VALUES (125040, 6750, 33, 'Всього для категорії');
INSERT INTO `lang_definitions` VALUES (125041, 6751, 33, 'Всього неактивованих нагадувань');
INSERT INTO `lang_definitions` VALUES (125042, 6752, 33, 'Всього нових нагадувань');
INSERT INTO `lang_definitions` VALUES (125043, 6753, 33, 'Загальна кількість записів на прийом');
INSERT INTO `lang_definitions` VALUES (125044, 6755, 33, 'Загальна кількість вакцинацій');
INSERT INTO `lang_definitions` VALUES (125045, 6756, 33, 'Загальна кількість результатів');
INSERT INTO `lang_definitions` VALUES (125046, 6758, 33, 'Загальна кількість пацієнтів');
INSERT INTO `lang_definitions` VALUES (125047, 6760, 33, 'Підсумковий баланс по пацієнтам');
INSERT INTO `lang_definitions` VALUES (125048, 6761, 33, 'Всього пацієнтів');
INSERT INTO `lang_definitions` VALUES (125049, 6764, 33, 'Всього знайдених записів');
INSERT INTO `lang_definitions` VALUES (125050, 6765, 33, 'Загальне SRH і планування сім\'ї');
INSERT INTO `lang_definitions` VALUES (125051, 6766, 33, 'Всього успішних нагадувань, відправлених через email');
INSERT INTO `lang_definitions` VALUES (125052, 6767, 33, 'Всього успішних нагадувань, відправлених через телефон');
INSERT INTO `lang_definitions` VALUES (125053, 6770, 33, 'Всього незмінених нагадувань');
INSERT INTO `lang_definitions` VALUES (125054, 6771, 33, 'Всього невідправлених нагадувань після запуску процесу відправки');
INSERT INTO `lang_definitions` VALUES (125055, 6772, 33, 'Всього невідправлених нагадувань після оновлення');
INSERT INTO `lang_definitions` VALUES (125056, 6773, 33, 'Всього невідправлених нагадувань до запуску процесу відправки');
INSERT INTO `lang_definitions` VALUES (125057, 6774, 33, 'Всього невідправлених нагадувань до оновлення');
INSERT INTO `lang_definitions` VALUES (125058, 6775, 33, 'Всього оновлених нагадувань');
INSERT INTO `lang_definitions` VALUES (125059, 6776, 33, 'Підсумки');
INSERT INTO `lang_definitions` VALUES (125060, 6777, 33, 'Всього для');
INSERT INTO `lang_definitions` VALUES (125061, 6778, 33, 'Всього для ');
INSERT INTO `lang_definitions` VALUES (125062, 6780, 33, 'до{{range}}');
INSERT INTO `lang_definitions` VALUES (125063, 6785, 33, 'Тип навчання');
INSERT INTO `lang_definitions` VALUES (125064, 6786, 33, 'Провести');
INSERT INTO `lang_definitions` VALUES (125065, 6787, 33, 'Транзакція');
INSERT INTO `lang_definitions` VALUES (125066, 6788, 33, 'транзакція');
INSERT INTO `lang_definitions` VALUES (125067, 6789, 33, 'Транзакція дала збій, недостатня кількість в призначуваній партії');
INSERT INTO `lang_definitions` VALUES (125068, 6790, 33, 'Транзакція дала збій, кількість менша нуля');
INSERT INTO `lang_definitions` VALUES (125069, 6791, 33, 'Тип транзакції');
INSERT INTO `lang_definitions` VALUES (125070, 6792, 33, 'транзакції');
INSERT INTO `lang_definitions` VALUES (125071, 6793, 33, 'Транзакції');
INSERT INTO `lang_definitions` VALUES (125072, 6794, 33, 'Транзакції (право запису - на вибір)');
INSERT INTO `lang_definitions` VALUES (125073, 6795, 33, 'Транзакції/направлення');
INSERT INTO `lang_definitions` VALUES (125074, 6797, 33, 'Передати');
INSERT INTO `lang_definitions` VALUES (125075, 6798, 33, 'Дата передачі');
INSERT INTO `lang_definitions` VALUES (125076, 6799, 33, 'Передача дала збій, недостатня кількість у вихідній партії');
INSERT INTO `lang_definitions` VALUES (125077, 6800, 33, 'Сумарна інформація про передачу');
INSERT INTO `lang_definitions` VALUES (125078, 6801, 33, 'Передати до');
INSERT INTO `lang_definitions` VALUES (125079, 6804, 33, 'Передачі');
INSERT INTO `lang_definitions` VALUES (125080, 6806, 33, 'Зміна/передача медичної допомоги?');
INSERT INTO `lang_definitions` VALUES (125081, 6807, 33, 'Групи управління доступом до перекладу');
INSERT INTO `lang_definitions` VALUES (125082, 6808, 33, 'Переводити категорії прийому');
INSERT INTO `lang_definitions` VALUES (125083, 6809, 33, 'Переводити категорії документа');
INSERT INTO `lang_definitions` VALUES (125084, 6810, 33, 'Переводити макети');
INSERT INTO `lang_definitions` VALUES (125085, 6811, 33, 'Переводити списки');
INSERT INTO `lang_definitions` VALUES (125086, 6812, 33, 'Переводити заголовки записів по пацієнтах');
INSERT INTO `lang_definitions` VALUES (125087, 6813, 33, 'перекласти це');
INSERT INTO `lang_definitions` VALUES (125088, 6814, 33, 'Переклад');
INSERT INTO `lang_definitions` VALUES (125089, 6815, 33, 'Переклади');
INSERT INTO `lang_definitions` VALUES (125090, 6816, 33, 'Передати');
INSERT INTO `lang_definitions` VALUES (125091, 6817, 33, 'Збій передачі');
INSERT INTO `lang_definitions` VALUES (125092, 6818, 33, 'Передати вибрані накази');
INSERT INTO `lang_definitions` VALUES (125093, 6819, 33, 'Травма');
INSERT INTO `lang_definitions` VALUES (125094, 6820, 33, 'Лікування');
INSERT INTO `lang_definitions` VALUES (125095, 6822, 33, 'Мета лікування');
INSERT INTO `lang_definitions` VALUES (125096, 6823, 33, 'План лікування');
INSERT INTO `lang_definitions` VALUES (125097, 6824, 33, 'Планування лікування');
INSERT INTO `lang_definitions` VALUES (125098, 6825, 33, 'Лікування отримано');
INSERT INTO `lang_definitions` VALUES (125099, 6826, 33, 'Лікування:');
INSERT INTO `lang_definitions` VALUES (125100, 6827, 33, 'Лікування: ');
INSERT INTO `lang_definitions` VALUES (125101, 6828, 33, 'Динаміка');
INSERT INTO `lang_definitions` VALUES (125102, 6829, 33, 'trftime($month_format, mktime(0, 0, 0, $i, 1, 2000)) ); $month_value');
INSERT INTO `lang_definitions` VALUES (125103, 6830, 33, 'Пускова точка / синдром здавлення / DOMS / судома');
INSERT INTO `lang_definitions` VALUES (125104, 6831, 33, 'Трімаляр');
INSERT INTO `lang_definitions` VALUES (125105, 6832, 33, 'Торс і живіт');
INSERT INTO `lang_definitions` VALUES (125106, 6835, 33, 'Спроба створити користувача з ім\"ям, що вже використовується!');
INSERT INTO `lang_definitions` VALUES (125107, 6837, 33, 'ч.л.');
INSERT INTO `lang_definitions` VALUES (125108, 6839, 33, 'TTS');
INSERT INTO `lang_definitions` VALUES (125109, 6840, 33, 'Туберкульоз');
INSERT INTO `lang_definitions` VALUES (125110, 6841, 33, 'Вт.');
INSERT INTO `lang_definitions` VALUES (125111, 6842, 33, 'Вт. &amp; Чт.');
INSERT INTO `lang_definitions` VALUES (125112, 6843, 33, 'Вівторок');
INSERT INTO `lang_definitions` VALUES (125113, 6844, 33, 'Новоутворення');
INSERT INTO `lang_definitions` VALUES (125114, 6845, 33, 'Турецька');
INSERT INTO `lang_definitions` VALUES (125115, 6848, 33, 'Двічі на день');
INSERT INTO `lang_definitions` VALUES (125116, 6850, 33, 'Барабанна перетинка');
INSERT INTO `lang_definitions` VALUES (125117, 6851, 33, 'Тип');
INSERT INTO `lang_definitions` VALUES (125118, 6852, 33, 'Введіть id або ім\'я. Мінімум 3 символи (включаючи пробіли).');
INSERT INTO `lang_definitions` VALUES (125119, 6853, 33, 'Тип стовпців, які відображаються для результатів пошуку пацієнта');
INSERT INTO `lang_definitions` VALUES (125120, 6854, 33, 'Тип публікації');
INSERT INTO `lang_definitions` VALUES (125121, 6855, 33, 'Тип подій');
INSERT INTO `lang_definitions` VALUES (125122, 6856, 33, 'Тип макета екрану');
INSERT INTO `lang_definitions` VALUES (125123, 6857, 33, 'Введіть або переглядайте ідентифікатор пацієнта тут');
INSERT INTO `lang_definitions` VALUES (125124, 6858, 33, 'Тип Вашого повідомлення тут');
INSERT INTO `lang_definitions` VALUES (125125, 6859, 33, 'Типи призначень і результатів');
INSERT INTO `lang_definitions` VALUES (125126, 6864, 33, 'Коди UCSMC надані через Університет Спортивного Медичного Центру Калгарі');
INSERT INTO `lang_definitions` VALUES (125127, 6865, 33, 'Українська');
INSERT INTO `lang_definitions` VALUES (125128, 6866, 33, 'Виразки');
INSERT INTO `lang_definitions` VALUES (125129, 6867, 33, 'Виразковий коліт');
INSERT INTO `lang_definitions` VALUES (125130, 6868, 33, 'Виразки:');
INSERT INTO `lang_definitions` VALUES (125131, 6871, 33, 'Неможливо створити');
INSERT INTO `lang_definitions` VALUES (125132, 6874, 33, 'Неможливо знайти цю оплату в ar_activity');
INSERT INTO `lang_definitions` VALUES (125133, 6876, 33, 'Не підходить');
INSERT INTO `lang_definitions` VALUES (125134, 6877, 33, 'Не вказано');
INSERT INTO `lang_definitions` VALUES (125135, 6878, 33, 'Несанкціонований');
INSERT INTO `lang_definitions` VALUES (125136, 6879, 33, 'Несанкціонований доступ до ePrescription');
INSERT INTO `lang_definitions` VALUES (125137, 6880, 33, 'Несанкціонований доступ.');
INSERT INTO `lang_definitions` VALUES (125138, 6881, 33, 'Без рахунків');
INSERT INTO `lang_definitions` VALUES (125139, 6882, 33, 'Лише без рахунків');
INSERT INTO `lang_definitions` VALUES (125140, 6884, 33, 'під язик');
INSERT INTO `lang_definitions` VALUES (125141, 6885, 33, 'Схуднення');
INSERT INTO `lang_definitions` VALUES (125142, 6886, 33, 'Недіагностованою');
INSERT INTO `lang_definitions` VALUES (125143, 6887, 33, 'НЕРОЗПОДІЛЕНЕ');
INSERT INTO `lang_definitions` VALUES (125144, 6888, 33, 'Нерозподілене');
INSERT INTO `lang_definitions` VALUES (125145, 6889, 33, 'Невиплачених є');
INSERT INTO `lang_definitions` VALUES (125146, 6890, 33, 'Нерозподілене є');
INSERT INTO `lang_definitions` VALUES (125147, 6892, 33, 'Унікальні клієнти');
INSERT INTO `lang_definitions` VALUES (125148, 6893, 33, 'Унікальний ідентифікатор для цього типу, придатний для читаєтння людиною');
INSERT INTO `lang_definitions` VALUES (125149, 6894, 33, 'Унікальні нові клієнти');
INSERT INTO `lang_definitions` VALUES (125150, 6895, 33, 'Унікальний числовий ідентифікатор для цього типу');
INSERT INTO `lang_definitions` VALUES (125151, 6896, 33, 'Індивідуальний огляд пацієнта');
INSERT INTO `lang_definitions` VALUES (125152, 6897, 33, 'Звіт про індивідуальний огляд пацієнта');
INSERT INTO `lang_definitions` VALUES (125153, 6898, 33, 'Індивідуальна периферична сатурація');
INSERT INTO `lang_definitions` VALUES (125154, 6899, 33, 'Одиниця виміру');
INSERT INTO `lang_definitions` VALUES (125155, 6900, 33, 'Одиниці виміру');
INSERT INTO `lang_definitions` VALUES (125156, 6901, 33, 'од. вим.');
INSERT INTO `lang_definitions` VALUES (125157, 6902, 33, 'Одиниці можна застосувати до значення результату');
INSERT INTO `lang_definitions` VALUES (125158, 6903, 33, 'Одиниці виміру для форм відвідування');
INSERT INTO `lang_definitions` VALUES (125159, 6904, 33, 'Одиниці виміру повинні бути числом');
INSERT INTO `lang_definitions` VALUES (125160, 6905, 33, 'Одиниці виміру не визначені');
INSERT INTO `lang_definitions` VALUES (125161, 6906, 33, 'Одиниця виміру / Л');
INSERT INTO `lang_definitions` VALUES (125162, 6907, 33, 'Невідомий');
INSERT INTO `lang_definitions` VALUES (125163, 6910, 33, 'Невідомо, навіть якщо палить');
INSERT INTO `lang_definitions` VALUES (125164, 6911, 33, 'Невідомо чи N/A');
INSERT INTO `lang_definitions` VALUES (125165, 6912, 33, 'Невідомий id користувача:');
INSERT INTO `lang_definitions` VALUES (125166, 6913, 33, 'від\'єднати пацієнта');
INSERT INTO `lang_definitions` VALUES (125167, 6914, 33, 'Неназвана страхова компанія');
INSERT INTO `lang_definitions` VALUES (125168, 6915, 33, 'Незареєстровані');
INSERT INTO `lang_definitions` VALUES (125169, 6918, 33, 'Зняти всі виділення');
INSERT INTO `lang_definitions` VALUES (125170, 6919, 33, 'Не вибраний');
INSERT INTO `lang_definitions` VALUES (125171, 6920, 33, 'Незазначені');
INSERT INTO `lang_definitions` VALUES (125172, 6921, 33, 'неструктуроване');
INSERT INTO `lang_definitions` VALUES (125173, 6922, 33, 'НЕПІДТРИМУВАНИЙ файл завантаження бази даних');
INSERT INTO `lang_definitions` VALUES (125174, 6924, 33, 'до');
INSERT INTO `lang_definitions` VALUES (125175, 6925, 33, 'Невчасний запис');
INSERT INTO `lang_definitions` VALUES (125176, 6926, 33, 'Невикористовуване');
INSERT INTO `lang_definitions` VALUES (125177, 6927, 33, 'Вимога термінового втручання');
INSERT INTO `lang_definitions` VALUES (125178, 6928, 33, 'Включаючи до');
INSERT INTO `lang_definitions` VALUES (125179, 6929, 33, 'Найближчий запис на прийом');
INSERT INTO `lang_definitions` VALUES (125180, 6930, 33, 'Майбутні події');
INSERT INTO `lang_definitions` VALUES (125181, 6931, 33, 'Оновити');
INSERT INTO `lang_definitions` VALUES (125182, 6932, 33, 'оновити');
INSERT INTO `lang_definitions` VALUES (125183, 6933, 33, 'Оновлення активне');
INSERT INTO `lang_definitions` VALUES (125184, 6934, 33, 'Оновити файли');
INSERT INTO `lang_definitions` VALUES (125185, 6935, 33, 'Оновити інф.');
INSERT INTO `lang_definitions` VALUES (125186, 6936, 33, 'Оновити список');
INSERT INTO `lang_definitions` VALUES (125187, 6937, 33, 'Оновити номер спеціаліста');
INSERT INTO `lang_definitions` VALUES (125188, 6938, 33, 'Оновити вибрані об\'єкти');
INSERT INTO `lang_definitions` VALUES (125189, 6939, 33, 'Оновлює наступні змінні у файлі');
INSERT INTO `lang_definitions` VALUES (125190, 6940, 33, 'Оновлює інформацію про користувача');
INSERT INTO `lang_definitions` VALUES (125191, 6942, 33, 'Оновлення персональних даних не дозволено.');
INSERT INTO `lang_definitions` VALUES (125192, 6943, 33, 'Оновлення загальних параметрів налаштування по-замовчуванню');
INSERT INTO `lang_definitions` VALUES (125193, 6944, 33, 'Оновлення номеру версії');
INSERT INTO `lang_definitions` VALUES (125194, 6945, 33, 'МОДЕРНІЗАЦІЯ');
INSERT INTO `lang_definitions` VALUES (125195, 6946, 33, 'Модернізація');
INSERT INTO `lang_definitions` VALUES (125196, 6947, 33, 'Модернізація бази даних');
INSERT INTO `lang_definitions` VALUES (125197, 6948, 33, 'Модернізує базу даних LibreEHR для включення методик, функцій і таблиць, необхідних для процесу де-ідентифікації');
INSERT INTO `lang_definitions` VALUES (125198, 6949, 33, 'Модернізація буде продовжена');
INSERT INTO `lang_definitions` VALUES (125199, 6950, 33, 'Унікальний лікарський ідентифікаційний номер (UPIN)');
INSERT INTO `lang_definitions` VALUES (125200, 6951, 33, 'Вивантажити');
INSERT INTO `lang_definitions` VALUES (125201, 6954, 33, 'Вивантажити конфігураційні дані');
INSERT INTO `lang_definitions` VALUES (125202, 6955, 33, 'Вивантажити документ');
INSERT INTO `lang_definitions` VALUES (125203, 6956, 33, 'Збій вивантаження!');
INSERT INTO `lang_definitions` VALUES (125204, 6957, 33, 'Вивантажити зображення у');
INSERT INTO `lang_definitions` VALUES (125205, 6958, 33, 'Вивантажити файл імпорту:');
INSERT INTO `lang_definitions` VALUES (125206, 6960, 33, 'Вивантажено успішно');
INSERT INTO `lang_definitions` VALUES (125207, 6961, 33, 'Вивантажити звіт');
INSERT INTO `lang_definitions` VALUES (125208, 6963, 33, 'Вивантажити цей файл:');
INSERT INTO `lang_definitions` VALUES (125209, 6964, 33, 'Після кліку на номері рахунку з\'являється \"вікно ручної реєстрації\". Тут Ви можете змінити дату оплати та нотатки по рахунку, вибрати учасника, для кого реєструєте і, страховку, для якої повинні бути отримані всі можливі платежі. Особливо важливо те, що для кожного коду рахунку, для якого була змінена сума, можна ввести платіж та інформацію щодо коригування.');
INSERT INTO `lang_definitions` VALUES (125210, 6965, 33, 'При пошуку ви побачите список рахунків. Можете клікнути на одному з номерів рахунків для відкриття другого вікна, яке є сторінкою введення даних для ручної реєстрації. Також можете клікнути на ім\'я пацієнта, якщо потрібно ввести запис, який при реєстрації пацієнта побачать співробітники реєстратури, і ви зможете вибрати запрошення появи рахунків для заявок по пацієнту та їх друк.');
INSERT INTO `lang_definitions` VALUES (125211, 6966, 33, 'Верхня кінцівка');
INSERT INTO `lang_definitions` VALUES (125212, 6968, 33, 'Імперативні позиви');
INSERT INTO `lang_definitions` VALUES (125213, 6970, 33, 'Сеча');
INSERT INTO `lang_definitions` VALUES (125214, 6971, 33, 'Підтікання сечі');
INSERT INTO `lang_definitions` VALUES (125215, 6972, 33, 'прискорене сечовипускання');
INSERT INTO `lang_definitions` VALUES (125216, 6973, 33, 'Ослаблений напір струменя сечі');
INSERT INTO `lang_definitions` VALUES (125217, 6974, 33, 'мікроальбумін сечі');
INSERT INTO `lang_definitions` VALUES (125218, 6975, 33, 'Потік сечі');
INSERT INTO `lang_definitions` VALUES (125219, 6976, 33, 'Невідкладність позиву на сечовипускання');
INSERT INTO `lang_definitions` VALUES (125220, 6977, 33, 'URL');
INSERT INTO `lang_definitions` VALUES (125221, 6979, 33, 'URL для підтримки LibreEHR.');
INSERT INTO `lang_definitions` VALUES (125222, 6981, 33, 'URL для телефонного шлюзу. Автоматизована служба VOIP надана через Maviq. Відвідайте http://signup.maviq.com для отримання додаткової інформації.');
INSERT INTO `lang_definitions` VALUES (125223, 6985, 33, 'Використання');
INSERT INTO `lang_definitions` VALUES (125224, 6986, 33, 'Індикатор використання (ISA15)');
INSERT INTO `lang_definitions` VALUES (125225, 6987, 33, 'Використовуйте лише % в полі, щоб сортувати по цьому стовпці');
INSERT INTO `lang_definitions` VALUES (125226, 6988, 33, 'Використовувати 24-годинний формат часу?');
INSERT INTO `lang_definitions` VALUES (125227, 6990, 33, 'Використовуйте сертифіковані технології EHR для виявлення освітніх ресурсів конкретному пацієнту і, якщо це необхідно, надання їх пацієнтові.');
INSERT INTO `lang_definitions` VALUES (125228, 6991, 33, 'Використання панелі платежу');
INSERT INTO `lang_definitions` VALUES (125229, 6992, 33, 'Використовуйте CPOE для лікарських призначень, зроблених безпосередньо будь-яким дипломованим фахівцем, який може робити призначення в медичній карті згідно державних, місцевих та професійних керівних принципів.');
INSERT INTO `lang_definitions` VALUES (125230, 6997, 33, 'Використовувати користувацький список вакцинації');
INSERT INTO `lang_definitions` VALUES (125231, 6999, 33, 'Використовувати діапазон дат');
INSERT INTO `lang_definitions` VALUES (125232, 7000, 33, 'Використовувати за замовчуванням');
INSERT INTO `lang_definitions` VALUES (125233, 7001, 33, 'Використовуйте опцію Видалити для видалення.');
INSERT INTO `lang_definitions` VALUES (125234, 7002, 33, 'Використовувати міжнародний стиль дат?');
INSERT INTO `lang_definitions` VALUES (125235, 7003, 33, 'Використовуйте ім\'я вихідного файлу');
INSERT INTO `lang_definitions` VALUES (125236, 7004, 33, 'Використовуйте поля нижче для отримання або передачі.');
INSERT INTO `lang_definitions` VALUES (125237, 7005, 33, 'Використовуйте цю можливість тільки для наново встановлених сайтів, ');
INSERT INTO `lang_definitions` VALUES (125238, 7006, 33, 'Використовувати розділи?');
INSERT INTO `lang_definitions` VALUES (125239, 7007, 33, 'Користувач');
INSERT INTO `lang_definitions` VALUES (125240, 7009, 33, 'Користувач / групи');
INSERT INTO `lang_definitions` VALUES (125241, 7010, 33, 'управління користувачем');
INSERT INTO `lang_definitions` VALUES (125242, 7011, 33, 'Управління користувачем і медичним закладом');
INSERT INTO `lang_definitions` VALUES (125243, 7012, 33, 'Управління користувачем і групою');
INSERT INTO `lang_definitions` VALUES (125244, 7014, 33, 'Перевірка сертифіката користувача відключена');
INSERT INTO `lang_definitions` VALUES (125245, 7015, 33, 'Визначено користувачем');
INSERT INTO `lang_definitions` VALUES (125246, 7016, 33, 'Область 11, визначена користувачем');
INSERT INTO `lang_definitions` VALUES (125247, 7017, 33, 'Область 12, визначена користувачем');
INSERT INTO `lang_definitions` VALUES (125248, 7018, 33, 'Поле, визначене користувачем');
INSERT INTO `lang_definitions` VALUES (125249, 7019, 33, 'Список 1, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125250, 7020, 33, 'Список 2, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125251, 7021, 33, 'Список 3, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125252, 7022, 33, 'Список 4, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125253, 7023, 33, 'Список 5, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125254, 7024, 33, 'Список 6, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125255, 7025, 33, 'Список 7, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125256, 7026, 33, 'Текст 1, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125257, 7027, 33, 'Текст 2, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125258, 7028, 33, 'Текст 3, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125259, 7029, 33, 'Текст 4, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125260, 7030, 33, 'Текст 5, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125261, 7031, 33, 'Текст 6, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125262, 7032, 33, 'Текст 7, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125263, 7033, 33, 'Текст 8, визначений користувачем');
INSERT INTO `lang_definitions` VALUES (125264, 7034, 33, 'Ім\'я користувача');
INSERT INTO `lang_definitions` VALUES (125265, 7037, 33, 'Вхід користувача (якщо 03 вище, інакше залинити пробіл) (ISA02)');
INSERT INTO `lang_definitions` VALUES (125266, 7038, 33, 'Обов\'язковий вказівник входу користувача (ISA01~ використовувати 00 чи 03)');
INSERT INTO `lang_definitions` VALUES (125267, 7039, 33, 'Керівництво користувача');
INSERT INTO `lang_definitions` VALUES (125268, 7040, 33, 'Групи користувачів');
INSERT INTO `lang_definitions` VALUES (125269, 7041, 33, 'Ім\'я користувача (логін)');
INSERT INTO `lang_definitions` VALUES (125270, 7042, 33, 'Ім\'я користувача або хоста не може бути порожнім');
INSERT INTO `lang_definitions` VALUES (125271, 7043, 33, 'Ім\'я користувача або хоста');
INSERT INTO `lang_definitions` VALUES (125272, 7044, 33, 'Пароль користувача (ISA04~ якщо 01 вище, інакше залинити пробіл)');
INSERT INTO `lang_definitions` VALUES (125273, 7045, 33, 'Обов\'язковий вказівник паролю користувача (ISA03~ використовувати 00 чи 01)');
INSERT INTO `lang_definitions` VALUES (125274, 7046, 33, 'Налаштування користувача');
INSERT INTO `lang_definitions` VALUES (125275, 7047, 33, 'Особливі налаштування користувача');
INSERT INTO `lang_definitions` VALUES (125276, 7048, 33, 'Новий пароль користувачів');
INSERT INTO `lang_definitions` VALUES (125277, 7049, 33, 'Ім\'я користувача (логін)');
INSERT INTO `lang_definitions` VALUES (125278, 7051, 33, 'Ім\'я користувача (логін) для телефонного шлюзу. Автоматизована служба VOIP надана через Maviq. Відвідайте http://signup.maviq.com для отримання додаткової інформації.');
INSERT INTO `lang_definitions` VALUES (125279, 7052, 33, 'Ім\'я користувача для шлюзу SMS');
INSERT INTO `lang_definitions` VALUES (125280, 7053, 33, 'Ім\'я користувача для шлюзу SMS.');
INSERT INTO `lang_definitions` VALUES (125281, 7054, 33, 'Ім\'я користувача для підключення до CouchDB');
INSERT INTO `lang_definitions` VALUES (125282, 7055, 33, 'Ім\'я користувача (логін):');
INSERT INTO `lang_definitions` VALUES (125283, 7056, 33, 'Користувачі');
INSERT INTO `lang_definitions` VALUES (125284, 7057, 33, 'Управління користувачами / групами / реєстрацією');
INSERT INTO `lang_definitions` VALUES (125285, 7058, 33, 'використовуйте формат php <a href=\"http://php.net/strftime\"> strftime </a>');
INSERT INTO `lang_definitions` VALUES (125286, 7059, 33, 'ІМП');
INSERT INTO `lang_definitions` VALUES (125287, 7062, 33, 'ВІДПУСТКА');
INSERT INTO `lang_definitions` VALUES (125288, 7063, 33, 'Відпустка');
INSERT INTO `lang_definitions` VALUES (125289, 7064, 33, 'Вакцина');
INSERT INTO `lang_definitions` VALUES (125290, 7065, 33, 'Контрацептивна вагінальне кільце');
INSERT INTO `lang_definitions` VALUES (125291, 7066, 33, 'Прощальне слово');
INSERT INTO `lang_definitions` VALUES (125292, 7067, 33, 'допустимий');
INSERT INTO `lang_definitions` VALUES (125293, 7068, 33, 'Значення');
INSERT INTO `lang_definitions` VALUES (125294, 7069, 33, 'Значення 1');
INSERT INTO `lang_definitions` VALUES (125295, 7070, 33, 'Значення 2');
INSERT INTO `lang_definitions` VALUES (125296, 7072, 33, 'Значення має бути цифровим');
INSERT INTO `lang_definitions` VALUES (125297, 7073, 33, 'Змінна 1');
INSERT INTO `lang_definitions` VALUES (125298, 7074, 33, 'Змінна 2');
INSERT INTO `lang_definitions` VALUES (125299, 7075, 33, 'єдина змінна для запуску скрипта модернізації деідентіфікаціі');
INSERT INTO `lang_definitions` VALUES (125300, 7076, 33, 'Вітряна віспа 1');
INSERT INTO `lang_definitions` VALUES (125301, 7077, 33, 'Вітряна віспа 2');
INSERT INTO `lang_definitions` VALUES (125302, 7078, 33, 'Варикозно розширені вени');
INSERT INTO `lang_definitions` VALUES (125303, 7079, 33, 'Стан судин');
INSERT INTO `lang_definitions` VALUES (125304, 7080, 33, 'Пошкодження судин');
INSERT INTO `lang_definitions` VALUES (125305, 7081, 33, 'Ангіохірург');
INSERT INTO `lang_definitions` VALUES (125306, 7083, 33, 'Виробник');
INSERT INTO `lang_definitions` VALUES (125307, 7084, 33, 'Версія');
INSERT INTO `lang_definitions` VALUES (125308, 7085, 33, 'Запаморочення');
INSERT INTO `lang_definitions` VALUES (125309, 7086, 33, 'Адміністрація ветеранів');
INSERT INTO `lang_definitions` VALUES (125310, 7087, 33, 'Урядова програма для ветеранів');
INSERT INTO `lang_definitions` VALUES (125311, 7088, 33, 'Дитяча вакцина (VFC)');
INSERT INTO `lang_definitions` VALUES (125312, 7089, 33, 'В\'єтнамська');
INSERT INTO `lang_definitions` VALUES (125313, 7090, 33, 'вид');
INSERT INTO `lang_definitions` VALUES (125314, 7091, 33, 'Вид');
INSERT INTO `lang_definitions` VALUES (125315, 7092, 33, 'Перегляд алергії');
INSERT INTO `lang_definitions` VALUES (125316, 7093, 33, 'Перегляд x12-835 ERA файлу');
INSERT INTO `lang_definitions` VALUES (125317, 7094, 33, 'Перегляд тексту пакетної вимоги x12');
INSERT INTO `lang_definitions` VALUES (125318, 7097, 33, 'Перегляд короткого звіту по пацієнту');
INSERT INTO `lang_definitions` VALUES (125319, 7098, 33, 'Перегляд CSV таблиць');
INSERT INTO `lang_definitions` VALUES (125320, 7100, 33, 'Перегляд документа');
INSERT INTO `lang_definitions` VALUES (125321, 7101, 33, 'Перегляд звернення');
INSERT INTO `lang_definitions` VALUES (125322, 7102, 33, 'Перегляд тексту ERA x12');
INSERT INTO `lang_definitions` VALUES (125323, 7103, 33, 'Переглянути події у спливаючому вікні?');
INSERT INTO `lang_definitions` VALUES (125324, 7104, 33, 'Переглянути інформацію користувача специфічну до медзакладу');
INSERT INTO `lang_definitions` VALUES (125325, 7106, 33, 'Перегляд локального x12 файлу');
INSERT INTO `lang_definitions` VALUES (125326, 7107, 33, 'Перегляд журналу');
INSERT INTO `lang_definitions` VALUES (125327, 7108, 33, 'Переглянути сторінку 1');
INSERT INTO `lang_definitions` VALUES (125328, 7109, 33, 'Переглянути сторінку 2');
INSERT INTO `lang_definitions` VALUES (125329, 7110, 33, 'Перегляд минулі і майбутні нагадування');
INSERT INTO `lang_definitions` VALUES (125330, 7111, 33, 'Перегляд пацієнта');
INSERT INTO `lang_definitions` VALUES (125331, 7116, 33, 'Перегляд пов\'язаних звернень');
INSERT INTO `lang_definitions` VALUES (125332, 7117, 33, 'Перегляд звіту');
INSERT INTO `lang_definitions` VALUES (125333, 7118, 33, 'Перегляд файлу README');
INSERT INTO `lang_definitions` VALUES (125334, 7121, 33, 'Перегляд/редагування алергій');
INSERT INTO `lang_definitions` VALUES (125335, 7122, 33, 'Перегляд/редагування проблеми');
INSERT INTO `lang_definitions` VALUES (125336, 7123, 33, 'Перегляд/Друк');
INSERT INTO `lang_definitions` VALUES (125337, 7124, 33, 'Переглянути:');
INSERT INTO `lang_definitions` VALUES (125338, 7125, 33, 'VISA');
INSERT INTO `lang_definitions` VALUES (125339, 7126, 33, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (125340, 7127, 33, 'Пошкодження внутрішніх органів / травма / оперативне втручання');
INSERT INTO `lang_definitions` VALUES (125341, 7133, 33, 'Категорія відвідування:');
INSERT INTO `lang_definitions` VALUES (125342, 7134, 33, 'Дата відвідування');
INSERT INTO `lang_definitions` VALUES (125343, 7135, 33, 'дата відвідування');
INSERT INTO `lang_definitions` VALUES (125344, 7137, 33, 'Форма відвідування');
INSERT INTO `lang_definitions` VALUES (125345, 7138, 33, 'Хронологія відвідувань');
INSERT INTO `lang_definitions` VALUES (125346, 7140, 33, 'Відвідування');
INSERT INTO `lang_definitions` VALUES (125347, 7141, 33, 'Форми відвідувань');
INSERT INTO `lang_definitions` VALUES (125348, 7142, 33, 'Позначення життєво важливих показників');
INSERT INTO `lang_definitions` VALUES (125349, 7143, 33, 'Життєво важливі показники');
INSERT INTO `lang_definitions` VALUES (125350, 7144, 33, 'Життєво важливі показники (метричні)');
INSERT INTO `lang_definitions` VALUES (125351, 7145, 33, 'Налаштування для життєво важливих показників');
INSERT INTO `lang_definitions` VALUES (125352, 7146, 33, 'Голосове');
INSERT INTO `lang_definitions` VALUES (125353, 7147, 33, 'Телефонограма');
INSERT INTO `lang_definitions` VALUES (125354, 7149, 33, 'Блювота');
INSERT INTO `lang_definitions` VALUES (125355, 7151, 33, 'W');
INSERT INTO `lang_definitions` VALUES (125356, 7152, 33, 'Окр. талії');
INSERT INTO `lang_definitions` VALUES (125357, 7153, 33, 'Окружність талії');
INSERT INTO `lang_definitions` VALUES (125358, 7154, 33, 'Очікування');
INSERT INTO `lang_definitions` VALUES (125359, 7155, 33, 'Без попереднього запису');
INSERT INTO `lang_definitions` VALUES (125360, 7157, 33, 'Уолт Пеннінгтон');
INSERT INTO `lang_definitions` VALUES (125361, 7158, 33, 'Склад');
INSERT INTO `lang_definitions` VALUES (125362, 7159, 33, 'Складський максимум, 0, якщо не застосовується');
INSERT INTO `lang_definitions` VALUES (125363, 7160, 33, 'Складський мінімум, 0, якщо не застосовується');
INSERT INTO `lang_definitions` VALUES (125364, 7161, 33, 'Склади');
INSERT INTO `lang_definitions` VALUES (125365, 7162, 33, 'Жар');
INSERT INTO `lang_definitions` VALUES (125366, 7163, 33, 'Попередження');
INSERT INTO `lang_definitions` VALUES (125367, 7164, 33, 'ПОПЕРЕДЖЕННЯ');
INSERT INTO `lang_definitions` VALUES (125368, 7166, 33, 'Попередження, реєстраційний номер вже є в базі даних');
INSERT INTO `lang_definitions` VALUES (125369, 7167, 33, 'Попередження, пацієнт має неоднозначні коди в списку проблем!');
INSERT INTO `lang_definitions` VALUES (125370, 7168, 33, 'Попередження: відвідування для цього пацієнта вже створено!');
INSERT INTO `lang_definitions` VALUES (125371, 7169, 33, 'УВАГА: Якщо ви використовуєте іспанську версію від 2012-10-31, то зверніть увагу - необхідно розпакувати його один раз перед установкою в SNOMED (це тому, що файл в релізі був \"двічі заархівований \").');
INSERT INTO `lang_definitions` VALUES (125372, 7170, 33, 'Попередження: ID пацієнта не унікальний!');
INSERT INTO `lang_definitions` VALUES (125373, 7171, 33, 'ПОПЕРЕДЖЕННЯ: конфігураційна інформація буде переписана з дати цього завантаженого файлу!');
INSERT INTO `lang_definitions` VALUES (125374, 7173, 33, 'Попередження');
INSERT INTO `lang_definitions` VALUES (125375, 7175, 33, 'вже завантажений');
INSERT INTO `lang_definitions` VALUES (125376, 7176, 33, 'не було знайдено');
INSERT INTO `lang_definitions` VALUES (125377, 7177, 33, 'Ми високо цінуємо своєчасну виплату заборгованостей');
INSERT INTO `lang_definitions` VALUES (125378, 7178, 33, 'ми подбали про зазначеного пацієнта, провівши амбулаторно обстеження і лікування в нашій клініці психіатрії. Дякуємо за цей направлення.');
INSERT INTO `lang_definitions` VALUES (125379, 7179, 33, 'Слабкість');
INSERT INTO `lang_definitions` VALUES (125380, 7181, 33, 'Пошук в інтернеті');
INSERT INTO `lang_definitions` VALUES (125381, 7182, 33, 'Веб-сайт');
INSERT INTO `lang_definitions` VALUES (125382, 7183, 33, 'Посилання на веб-сайт для внутрішнього порталу пацієнтів.');
INSERT INTO `lang_definitions` VALUES (125383, 7184, 33, 'Сер.');
INSERT INTO `lang_definitions` VALUES (125384, 7185, 33, 'Середа');
INSERT INTO `lang_definitions` VALUES (125385, 7186, 33, 'Тиждень');
INSERT INTO `lang_definitions` VALUES (125386, 7187, 33, 'тиждень');
INSERT INTO `lang_definitions` VALUES (125387, 7188, 33, 'Огляд за тиждень');
INSERT INTO `lang_definitions` VALUES (125388, 7189, 33, 'Тиждень(ні)');
INSERT INTO `lang_definitions` VALUES (125389, 7190, 33, 'Щотижневе подання');
INSERT INTO `lang_definitions` VALUES (125390, 7191, 33, 'тижні');
INSERT INTO `lang_definitions` VALUES (125391, 7192, 33, 'Тижні');
INSERT INTO `lang_definitions` VALUES (125392, 7193, 33, 'Вага');
INSERT INTO `lang_definitions` VALUES (125393, 7194, 33, 'Оцінка ваги та рекомендації для дітей і підлітків');
INSERT INTO `lang_definitions` VALUES (125394, 7195, 33, 'Оцінка ваги та рекомендації для дітей і підлітків (CQM)');
INSERT INTO `lang_definitions` VALUES (125395, 7196, 33, 'Зміна ваги');
INSERT INTO `lang_definitions` VALUES (125396, 7197, 33, 'Втрата ваги');
INSERT INTO `lang_definitions` VALUES (125397, 7198, 33, 'Клініка схуднення');
INSERT INTO `lang_definitions` VALUES (125398, 7199, 33, 'Ласкаво просимо');
INSERT INTO `lang_definitions` VALUES (125399, 7202, 33, 'Що має бути підраховано?');
INSERT INTO `lang_definitions` VALUES (125400, 7203, 33, 'Стридорозне дихання:');
INSERT INTO `lang_definitions` VALUES (125401, 7204, 33, 'Хрипи');
INSERT INTO `lang_definitions` VALUES (125402, 7205, 33, 'Хрипи:');
INSERT INTO `lang_definitions` VALUES (125403, 7208, 33, 'Де можна знайти пов\'язані скановані або паперові документи?');
INSERT INTO `lang_definitions` VALUES (125404, 7209, 33, 'Якщо застраховано');
INSERT INTO `lang_definitions` VALUES (125405, 7211, 33, 'Хлистова травма');
INSERT INTO `lang_definitions` VALUES (125406, 7212, 33, 'Білий');
INSERT INTO `lang_definitions` VALUES (125407, 7213, 33, 'Хто');
INSERT INTO `lang_definitions` VALUES (125408, 7214, 33, 'Хто відповідає?');
INSERT INTO `lang_definitions` VALUES (125409, 7215, 33, 'Овдовіла(ий)');
INSERT INTO `lang_definitions` VALUES (125410, 7216, 33, 'Ширина');
INSERT INTO `lang_definitions` VALUES (125411, 7217, 33, 'Ширина в пікселях для меню навігації зліва.');
INSERT INTO `lang_definitions` VALUES (125412, 7221, 33, 'З вибраним:');
INSERT INTO `lang_definitions` VALUES (125413, 7222, 33, 'з старою назвою');
INSERT INTO `lang_definitions` VALUES (125414, 7224, 33, 'З ким можна залишити повідомлення?');
INSERT INTO `lang_definitions` VALUES (125415, 7225, 33, 'Відкласти');
INSERT INTO `lang_definitions` VALUES (125416, 7226, 33, 'протягом годин');
INSERT INTO `lang_definitions` VALUES (125417, 7227, 33, 'протягом годин:');
INSERT INTO `lang_definitions` VALUES (125418, 7228, 33, 'протягом хвилин');
INSERT INTO `lang_definitions` VALUES (125419, 7229, 33, 'протягом хвилин:');
INSERT INTO `lang_definitions` VALUES (125420, 7230, 33, 'Без медичного закладу');
INSERT INTO `lang_definitions` VALUES (125421, 7231, 33, 'Без спеціаліста');
INSERT INTO `lang_definitions` VALUES (125422, 7232, 33, 'Без поновлення');
INSERT INTO `lang_definitions` VALUES (125423, 7233, 33, 'Інспектор');
INSERT INTO `lang_definitions` VALUES (125424, 7234, 33, 'тиж.');
INSERT INTO `lang_definitions` VALUES (125425, 7235, 33, 'У межах норми');
INSERT INTO `lang_definitions` VALUES (125426, 7237, 33, 'Жінка');
INSERT INTO `lang_definitions` VALUES (125427, 7238, 33, 'Тільки жінок');
INSERT INTO `lang_definitions` VALUES (125428, 7240, 33, 'Робота');
INSERT INTO `lang_definitions` VALUES (125429, 7241, 33, 'РОБОЧИЙ ЗАПИС');
INSERT INTO `lang_definitions` VALUES (125430, 7242, 33, 'Робочий телефон');
INSERT INTO `lang_definitions` VALUES (125431, 7243, 33, 'Номер робочого телефону');
INSERT INTO `lang_definitions` VALUES (125432, 7244, 33, 'Пов\'язано з роботою?');
INSERT INTO `lang_definitions` VALUES (125433, 7245, 33, 'Робота / освіта / хобі');
INSERT INTO `lang_definitions` VALUES (125434, 7246, 33, 'Робочий / шкільний запис');
INSERT INTO `lang_definitions` VALUES (125435, 7247, 33, 'робочий день');
INSERT INTO `lang_definitions` VALUES (125436, 7248, 33, 'Компенсація працівників');
INSERT INTO `lang_definitions` VALUES (125437, 7249, 33, 'Програма Охорони Здоров\'я працівників');
INSERT INTO `lang_definitions` VALUES (125438, 7250, 33, 'Спадкоємці працездатного віку або чоловік чи дружина з планом групи здоров\'я роботодавців');
INSERT INTO `lang_definitions` VALUES (125439, 7251, 33, 'Працюю...це може зайняти час.');
INSERT INTO `lang_definitions` VALUES (125440, 7252, 33, 'Найгірший');
INSERT INTO `lang_definitions` VALUES (125441, 7253, 33, 'Хочете використовувати решту суми в загальному рахунку?');
INSERT INTO `lang_definitions` VALUES (125442, 7254, 33, 'Хочете маркувати їх як очищені?');
INSERT INTO `lang_definitions` VALUES (125443, 7255, 33, 'Хочете внести?');
INSERT INTO `lang_definitions` VALUES (125444, 7256, 33, 'Хочете скасувати подання для цього пацієнта?');
INSERT INTO `lang_definitions` VALUES (125445, 7257, 33, 'Хочете видалити надання оплати?');
INSERT INTO `lang_definitions` VALUES (125446, 7258, 33, 'Хочете видалити платежі?');
INSERT INTO `lang_definitions` VALUES (125447, 7259, 33, 'Хочете змінити або завершити платіж?');
INSERT INTO `lang_definitions` VALUES (125448, 7260, 33, 'Хочете змінити платіж?');
INSERT INTO `lang_definitions` VALUES (125449, 7261, 33, 'Хочете відправити і завершити платіж?');
INSERT INTO `lang_definitions` VALUES (125450, 7262, 33, 'Хочете відправити платіж?');
INSERT INTO `lang_definitions` VALUES (125451, 7263, 33, 'Хочете зберегти?');
INSERT INTO `lang_definitions` VALUES (125452, 7264, 33, 'Зап\'ястя');
INSERT INTO `lang_definitions` VALUES (125453, 7265, 33, 'Зап\'ястя і рука');
INSERT INTO `lang_definitions` VALUES (125454, 7266, 33, 'Проблеми зап\'ястя');
INSERT INTO `lang_definitions` VALUES (125455, 7267, 33, 'записувати');
INSERT INTO `lang_definitions` VALUES (125456, 7268, 33, 'без запису');
INSERT INTO `lang_definitions` VALUES (125457, 7270, 33, 'записувати частково');
INSERT INTO `lang_definitions` VALUES (125458, 7271, 33, 'WT');
INSERT INTO `lang_definitions` VALUES (125459, 7273, 33, 'Скасоване x');
INSERT INTO `lang_definitions` VALUES (125460, 7274, 33, 'Скасоване x');
INSERT INTO `lang_definitions` VALUES (125461, 7275, 33, 'Рентген. дослідження');
INSERT INTO `lang_definitions` VALUES (125462, 7276, 33, 'Інтерпретація РЕНГЕНІВСЬКОГО дослідження:');
INSERT INTO `lang_definitions` VALUES (125463, 7277, 33, 'Інтерпретація ренг. дослідження:');
INSERT INTO `lang_definitions` VALUES (125464, 7278, 33, 'Тільки X12: вимога заміни ');
INSERT INTO `lang_definitions` VALUES (125465, 7279, 33, 'Партнер X12');
INSERT INTO `lang_definitions` VALUES (125466, 7280, 33, 'Партнери X12');
INSERT INTO `lang_definitions` VALUES (125467, 7281, 33, 'Текст X12');
INSERT INTO `lang_definitions` VALUES (125468, 7284, 33, 'р.');
INSERT INTO `lang_definitions` VALUES (125469, 7285, 33, 'Рік');
INSERT INTO `lang_definitions` VALUES (125470, 7286, 33, 'рік');
INSERT INTO `lang_definitions` VALUES (125471, 7287, 33, 'Огляд за рік');
INSERT INTO `lang_definitions` VALUES (125472, 7288, 33, 'Рік(роки)');
INSERT INTO `lang_definitions` VALUES (125473, 7289, 33, 'Роки');
INSERT INTO `lang_definitions` VALUES (125474, 7290, 33, 'Роки чи місяці');
INSERT INTO `lang_definitions` VALUES (125475, 7291, 33, 'Роки, місяці і дні');
INSERT INTO `lang_definitions` VALUES (125476, 7292, 33, 'ТАК');
INSERT INTO `lang_definitions` VALUES (125477, 7293, 33, 'Так');
INSERT INTO `lang_definitions` VALUES (125478, 7294, 33, 'так');
INSERT INTO `lang_definitions` VALUES (125479, 7295, 33, 'ТАК!');
INSERT INTO `lang_definitions` VALUES (125480, 7296, 33, 'Так, Видалити і зареєструвати');
INSERT INTO `lang_definitions` VALUES (125481, 7298, 33, 'Так/Ні');
INSERT INTO `lang_definitions` VALUES (125482, 7299, 33, 'Так:');
INSERT INTO `lang_definitions` VALUES (125483, 7300, 33, 'Ідиш');
INSERT INTO `lang_definitions` VALUES (125484, 7303, 33, 'Робиться спроба назавжди замінити існуючий шаблон. Упевнені, що потрібно продовжити?');
INSERT INTO `lang_definitions` VALUES (125485, 7304, 33, 'Дія пароля для входу в систему зберігає. Змініть пароль до');
INSERT INTO `lang_definitions` VALUES (125486, 7305, 33, 'У вас немає права на видалення цієї події');
INSERT INTO `lang_definitions` VALUES (125487, 7306, 33, 'У вас немає права на зміну цієї події');
INSERT INTO `lang_definitions` VALUES (125488, 7307, 33, 'Це вам не дозволено.');
INSERT INTO `lang_definitions` VALUES (125489, 7308, 33, 'Доступ до цієї групи вам не дозволено.');
INSERT INTO `lang_definitions` VALUES (125490, 7309, 33, 'Вам не дозволено додавання/зміна проблем');
INSERT INTO `lang_definitions` VALUES (125491, 7310, 33, 'Вам не дозволено планувати записи на прийом.');
INSERT INTO `lang_definitions` VALUES (125492, 7311, 33, 'Для перегляду цього звернення ви не авторизовані.');
INSERT INTO `lang_definitions` VALUES (125493, 7312, 33, 'Ви вводите знову старий випадок?');
INSERT INTO `lang_definitions` VALUES (125494, 7313, 33, 'У вас немає прямого доступу до цієї функції.');
INSERT INTO `lang_definitions` VALUES (125495, 7314, 33, 'У вас немає прямого доступу до цієї сторінки.');
INSERT INTO `lang_definitions` VALUES (125496, 7315, 33, 'Ви не можете додати пусте значення для категорії!');
INSERT INTO `lang_definitions` VALUES (125497, 7316, 33, 'Ви не можете додати пусте значення для підкатегорії!');
INSERT INTO `lang_definitions` VALUES (125498, 7317, 33, 'Для цього елемента додати порожнє значення неможливо!');
INSERT INTO `lang_definitions` VALUES (125499, 7318, 33, 'Не можна ввести майбутню дату із значенням завершення Так.');
INSERT INTO `lang_definitions` VALUES (125500, 7319, 33, 'Ви не вибрали жодної дії.');
INSERT INTO `lang_definitions` VALUES (125501, 7320, 33, 'Ви не маєте доступу для перегляду / зміни цього запису');
INSERT INTO `lang_definitions` VALUES (125502, 7321, 33, 'Ви намагалися змінити заблокований вміст. Якщо це необхідно зробити, то зніміть блокування. Для розблокування видаліть рядок \'/ *lock::* / \'');
INSERT INTO `lang_definitions` VALUES (125503, 7322, 33, 'Ви закінчили сеанс роботи.');
INSERT INTO `lang_definitions` VALUES (125504, 7323, 33, 'Ви можете завантажувати лише файли .txt');
INSERT INTO `lang_definitions` VALUES (125505, 7324, 33, 'Ви можете додатково завантажити HL7 результати з файлу');
INSERT INTO `lang_definitions` VALUES (125506, 7325, 33, 'Можете вставити тут текст, як скаргу за замовчуванням для форми звертання пацієнта.');
INSERT INTO `lang_definitions` VALUES (125507, 7326, 33, 'Ви повинні ввести пароль для шифрування цього документа');
INSERT INTO `lang_definitions` VALUES (125508, 7327, 33, 'Ви повинні ввести свій пароль для зміни паролів користувачів. Залиште порожнім, щоб залишити пароль незмінними.');
INSERT INTO `lang_definitions` VALUES (125509, 7329, 33, 'Спочатку потрібно вибрати або додати пацієнта.');
INSERT INTO `lang_definitions` VALUES (125510, 7330, 33, 'Перш за все, необхідно вибрати або створити звертання.');
INSERT INTO `lang_definitions` VALUES (125511, 7331, 33, 'Потрібно вибрати категорію візиту');
INSERT INTO `lang_definitions` VALUES (125512, 7332, 33, 'Потрібно вибрати категорію візиту');
INSERT INTO `lang_definitions` VALUES (125513, 7333, 33, 'Для продовження ви повинні вибрати деякі поля.');
INSERT INTO `lang_definitions` VALUES (125514, 7334, 33, 'Якщо з\'явилася ця вимога, то для успішного створення потрібно запустити цей тест, але сам потрібний файл не містить ніяких даних або тільки незавершені частини суми даних, передбачуваних для включення. Це очевидніше з вимогами HCFA, бо вони зручніші для читання для людиною, тоді як для вимог X12 є більш складним процес визначення, чи підготовлена вимога належним чином.');
INSERT INTO `lang_definitions` VALUES (125515, 7335, 33, 'Потрібно вибрати, принаймні, один контекст');
INSERT INTO `lang_definitions` VALUES (125516, 7336, 33, 'Необхідно вибрати хоча б одного фахівця');
INSERT INTO `lang_definitions` VALUES (125517, 7339, 33, 'Неправильна дата закінчення');
INSERT INTO `lang_definitions` VALUES (125518, 7340, 33, 'Вашу подію видалено.');
INSERT INTO `lang_definitions` VALUES (125519, 7341, 33, 'Вашу подію змінено.');
INSERT INTO `lang_definitions` VALUES (125520, 7342, 33, 'Подія була подана до розгляду.');
INSERT INTO `lang_definitions` VALUES (125521, 7343, 33, 'Ваш файл занадто великий');
INSERT INTO `lang_definitions` VALUES (125522, 7345, 33, 'Ваше ім\'я списку було змінено для задоволення вимог стосовно назв');
INSERT INTO `lang_definitions` VALUES (125523, 7346, 33, 'Ваше повідомлення було подано для доставки до');
INSERT INTO `lang_definitions` VALUES (125524, 7347, 33, 'Ваша назва для цієї категорії, методики або результату');
INSERT INTO `lang_definitions` VALUES (125525, 7348, 33, 'Ваш пароль');
INSERT INTO `lang_definitions` VALUES (125526, 7349, 33, 'Термін дії пароля минув. Змініть пароль.');
INSERT INTO `lang_definitions` VALUES (125527, 7350, 33, 'Термін дії пароля минув на');
INSERT INTO `lang_definitions` VALUES (125528, 7351, 33, 'Термін дії пароля минув сьогодні. Змініть пароль.');
INSERT INTO `lang_definitions` VALUES (125529, 7353, 33, 'Ваші налаштування PostCalendar скинуті до налаштувань за-замовчуванням.');
INSERT INTO `lang_definitions` VALUES (125530, 7354, 33, 'Налаштування PostCalendar оновлені.');
INSERT INTO `lang_definitions` VALUES (125531, 7355, 33, 'Частота повторення повинна бути цілим числом.');
INSERT INTO `lang_definitions` VALUES (125532, 7356, 33, 'Частота повторення повинна бути, принаймні, 1.');
INSERT INTO `lang_definitions` VALUES (125533, 7357, 33, 'Ваша початкова дата пізніше кінцевої');
INSERT INTO `lang_definitions` VALUES (125534, 7358, 33, 'Ваша початкова дата недопустима');
INSERT INTO `lang_definitions` VALUES (125535, 7359, 33, 'Ваше представлення дало збій.');
INSERT INTO `lang_definitions` VALUES (125536, 7360, 33, 'рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125537, 7361, 33, 'РРРР-ММ-ДД');
INSERT INTO `lang_definitions` VALUES (125538, 7362, 33, 'дата рррр-мм-дд прив\'язана до цього документа');
INSERT INTO `lang_definitions` VALUES (125539, 7363, 33, 'дата рррр-мм-дд знищена');
INSERT INTO `lang_definitions` VALUES (125540, 7364, 33, 'дата народження рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125541, 7365, 33, 'Дата народження рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125542, 7366, 33, 'дата закінчення строку дії рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125543, 7367, 33, 'Дата появи або госпіталізації рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125544, 7368, 33, 'Дата появи, оперативного втручання або початку лікування рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125545, 7369, 33, 'Дата отримання або передачі рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125546, 7370, 33, 'Дата одужання або закінчення лікування рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125547, 7371, 33, 'Дата повернення до гри рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125548, 7372, 33, 'Дата надання допомоги рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125549, 7373, 33, 'дата цього листа рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125550, 7374, 33, 'дата повернення до гри рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125551, 7375, 33, 'дата реєстрації рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125552, 7376, 33, 'дата події або початку рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125553, 7381, 33, 'рррр-мм-дд гг:хх:сс');
INSERT INTO `lang_definitions` VALUES (125554, 7382, 33, 'yyyy-mm-dd години(24):хвилини');
INSERT INTO `lang_definitions` VALUES (125555, 7383, 33, 'остання дата цієї події рррр-мм-дд');
INSERT INTO `lang_definitions` VALUES (125556, 7387, 33, 'нульовий');
INSERT INTO `lang_definitions` VALUES (125557, 7389, 33, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (125558, 7390, 33, 'Поштовий індекс');
INSERT INTO `lang_definitions` VALUES (125559, 7391, 33, 'Індекс/Країна');
INSERT INTO `lang_definitions` VALUES (125560, 7392, 33, 'Зулуська');
INSERT INTO `lang_definitions` VALUES (125561, 7393, 33, ' але було ');
INSERT INTO `lang_definitions` VALUES (125562, 7394, 33, ' отримати доступ не вдалося.');
INSERT INTO `lang_definitions` VALUES (125563, 7395, 33, 'Дійсно потрібно видалити');
INSERT INTO `lang_definitions` VALUES (125564, 7396, 33, 'Препарат');
INSERT INTO `lang_definitions` VALUES (125565, 7397, 33, 'email-повідомлення не відправлені');
INSERT INTO `lang_definitions` VALUES (125566, 7398, 33, 'від');
INSERT INTO `lang_definitions` VALUES (125567, 7399, 33, 'повинна бути створена. ');
INSERT INTO `lang_definitions` VALUES (125568, 7400, 33, 'повинна бути повторно відкрита.');
INSERT INTO `lang_definitions` VALUES (125569, 7401, 33, 'Анамнез');
INSERT INTO `lang_definitions` VALUES (125570, 7402, 33, 'це не число');
INSERT INTO `lang_definitions` VALUES (125571, 7403, 33, 'готово для повторного рахунку.');
INSERT INTO `lang_definitions` VALUES (125572, 7404, 33, 'LLL:');
INSERT INTO `lang_definitions` VALUES (125573, 7405, 33, 'партія');
INSERT INTO `lang_definitions` VALUES (125574, 7406, 33, 'Номер офіційного медичного посилання. ');
INSERT INTO `lang_definitions` VALUES (125575, 7407, 33, 'мінімум');
INSERT INTO `lang_definitions` VALUES (125576, 7408, 33, 'не знайдено!');
INSERT INTO `lang_definitions` VALUES (125577, 7409, 33, 'Особливості багатьох браузерів можуть припускати вивід нижче краю екрану з раптовими ривками і довгі паузи по кілька секунд, коли здається, що робота завершилася збоєм. Це не так, через деякий час ви побачите вивід результату рядок за рядком. Він може бути послідовністю номерів, що з\'являються нижче - це вказує, що навіть якщо нічого відобрати, обробка триває. Ці числа будуть перемежовуватися з вмістом рахунків і це нормально.');
INSERT INTO `lang_definitions` VALUES (125578, 7410, 33, 'термін дії призначення минув');
INSERT INTO `lang_definitions` VALUES (125579, 7411, 33, 'до');
INSERT INTO `lang_definitions` VALUES (125580, 7412, 33, 'оновлення дало збій, не в базі даних?');
INSERT INTO `lang_definitions` VALUES (125581, 7413, 33, 'маркований тільки як рахунок.');
INSERT INTO `lang_definitions` VALUES (125582, 7414, 33, 'було включено в чергу.');
INSERT INTO `lang_definitions` VALUES (125583, 7415, 33, '! Пішов без відвідування');
INSERT INTO `lang_definitions` VALUES (125584, 7416, 33, '\" для коду');
INSERT INTO `lang_definitions` VALUES (125585, 7417, 33, '\" означає ВІДМІЧЕНІ в параметрах налаштування PostCalendar!');
INSERT INTO `lang_definitions` VALUES (125586, 7418, 33, '# Вст. / Пошук проблеми');
INSERT INTO `lang_definitions` VALUES (125587, 7419, 33, '# З таблеток:');
INSERT INTO `lang_definitions` VALUES (125588, 7420, 33, '$');
INSERT INTO `lang_definitions` VALUES (125589, 7421, 33, '$ Індексовані');
INSERT INTO `lang_definitions` VALUES (125590, 7422, 33, '$ мітка (рррр-мм-дд) ');
INSERT INTO `lang_definitions` VALUES (125591, 7423, 33, '%');
INSERT INTO `lang_definitions` VALUES (125592, 7424, 33, '% Скасоване < 24 години');
INSERT INTO `lang_definitions` VALUES (125593, 7425, 33, '% Скасоване < 24 години ');
INSERT INTO `lang_definitions` VALUES (125594, 7426, 33, '\' немає, а має бути присутнім.');
INSERT INTO `lang_definitions` VALUES (125595, 7427, 33, '(% відповідає довільному рядку, _ відповідає довільному символу)');
INSERT INTO `lang_definitions` VALUES (125596, 7428, 33, '(утримуйте [ctrl] при кліку щоб вибрати кількох отримувачів)');
INSERT INTO `lang_definitions` VALUES (125597, 7429, 33, '(Назад)');
INSERT INTO `lang_definitions` VALUES (125598, 7430, 33, '(Клікніть для редагування)');
INSERT INTO `lang_definitions` VALUES (125599, 7431, 33, '(Доставка електронної пошти виконується негайно, в той час як автоматизований VOIP відправляється постачальнику послуг для подальшої обробки.)');
INSERT INTO `lang_definitions` VALUES (125600, 7432, 33, '(Детальніше)');
INSERT INTO `lang_definitions` VALUES (125601, 7433, 33, '(Новий Пацієнт)');
INSERT INTO `lang_definitions` VALUES (125602, 7434, 33, '(Записи і повноваження)');
INSERT INTO `lang_definitions` VALUES (125603, 7435, 33, '(Записи про пацієнта)');
INSERT INTO `lang_definitions` VALUES (125604, 7436, 33, '(Виберіть одну з, або введіть свою назву)');
INSERT INTO `lang_definitions` VALUES (125605, 7437, 33, 'Для зміни значення клікніть, утримуючи Shift, або виділіть мишкою');
INSERT INTO `lang_definitions` VALUES (125606, 7438, 33, '* З нагадуванням');
INSERT INTO `lang_definitions` VALUES (125607, 7439, 33, '** Перемістіть хірургію в проблеми!');
INSERT INTO `lang_definitions` VALUES (125608, 7440, 33, '* Обов\'язкове');
INSERT INTO `lang_definitions` VALUES (125609, 7441, 33, '+ Карту витягнено');
INSERT INTO `lang_definitions` VALUES (125610, 7442, 33, '- Ні');
INSERT INTO `lang_definitions` VALUES (125611, 7443, 33, '-- Всі --');
INSERT INTO `lang_definitions` VALUES (125612, 7444, 33, '-- Виберіть роль --');
INSERT INTO `lang_definitions` VALUES (125613, 7445, 33, '.');
INSERT INTO `lang_definitions` VALUES (125614, 7446, 33, '0');
INSERT INTO `lang_definitions` VALUES (125615, 7447, 33, '0-10');
INSERT INTO `lang_definitions` VALUES (125616, 7448, 33, '0-24');
INSERT INTO `lang_definitions` VALUES (125617, 7451, 33, '1');
INSERT INTO `lang_definitions` VALUES (125618, 7452, 33, '1 = Північна Америка. Перерахування кодів інших країн див. на http://www.wtng.info/');
INSERT INTO `lang_definitions` VALUES (125619, 7453, 33, '1 день від тепер');
INSERT INTO `lang_definitions` VALUES (125620, 7454, 33, '1 місяць від тепер');
INSERT INTO `lang_definitions` VALUES (125621, 7455, 33, '1 тиждень від тепер');
INSERT INTO `lang_definitions` VALUES (125622, 7456, 33, '1 рік від тепер');
INSERT INTO `lang_definitions` VALUES (125623, 7457, 33, '1. Спокій 2. Холод протягом двох днів 3. Компресія, зберігайте пов\'язку на місці, якщо не розвивається оніміння або блідість ноги 4. Підняте положення ноги і фіксація');
INSERT INTO `lang_definitions` VALUES (125624, 7458, 33, '11-14');
INSERT INTO `lang_definitions` VALUES (125625, 7459, 33, '12 hr');
INSERT INTO `lang_definitions` VALUES (125626, 7460, 33, '15-19');
INSERT INTO `lang_definitions` VALUES (125627, 7462, 33, '2');
INSERT INTO `lang_definitions` VALUES (125628, 7463, 33, '2 дні від тепер');
INSERT INTO `lang_definitions` VALUES (125629, 7464, 33, '2 місяці від тепер');
INSERT INTO `lang_definitions` VALUES (125630, 7465, 33, '2 тижні від тепер');
INSERT INTO `lang_definitions` VALUES (125631, 7466, 33, '2 роки від тепер');
INSERT INTO `lang_definitions` VALUES (125632, 7467, 33, '2-20 рокіів');
INSERT INTO `lang_definitions` VALUES (125633, 7468, 33, '20-24');
INSERT INTO `lang_definitions` VALUES (125634, 7477, 33, '2111-13');
INSERT INTO `lang_definitions` VALUES (125635, 7478, 33, '24 год.');
INSERT INTO `lang_definitions` VALUES (125636, 7479, 33, '25+');
INSERT INTO `lang_definitions` VALUES (125637, 7480, 33, '25-29');
INSERT INTO `lang_definitions` VALUES (125638, 7481, 33, 'другий');
INSERT INTO `lang_definitions` VALUES (125639, 7482, 33, '3 дні від тепер');
INSERT INTO `lang_definitions` VALUES (125640, 7483, 33, '3 місяці');
INSERT INTO `lang_definitions` VALUES (125641, 7484, 33, '3 місяці від тепер');
INSERT INTO `lang_definitions` VALUES (125642, 7485, 33, 'тричі на день');
INSERT INTO `lang_definitions` VALUES (125643, 7486, 33, '3 тижні від тепер');
INSERT INTO `lang_definitions` VALUES (125644, 7487, 33, '30-34');
INSERT INTO `lang_definitions` VALUES (125645, 7488, 33, '35-39');
INSERT INTO `lang_definitions` VALUES (125646, 7489, 33, 'третій');
INSERT INTO `lang_definitions` VALUES (125647, 7490, 33, '4 дні від тепер');
INSERT INTO `lang_definitions` VALUES (125648, 7491, 33, '4 місяці');
INSERT INTO `lang_definitions` VALUES (125649, 7492, 33, '4 місяці від тепер');
INSERT INTO `lang_definitions` VALUES (125650, 7493, 33, '4 рази в день');
INSERT INTO `lang_definitions` VALUES (125651, 7494, 33, '4 тижні від тепер');
INSERT INTO `lang_definitions` VALUES (125652, 7495, 33, '40-44');
INSERT INTO `lang_definitions` VALUES (125653, 7496, 33, '45+');
INSERT INTO `lang_definitions` VALUES (125654, 7497, 33, '465.9, URI');
INSERT INTO `lang_definitions` VALUES (125655, 7498, 33, '466.0, бронхіт, органонеспецифічні, гострий');
INSERT INTO `lang_definitions` VALUES (125656, 7499, 33, '486.0, пневмонія, гостра');
INSERT INTO `lang_definitions` VALUES (125657, 7500, 33, '491.21, ХОЗЛ, загострення');
INSERT INTO `lang_definitions` VALUES (125658, 7501, 33, '491.8, бронхіт, хронічний');
INSERT INTO `lang_definitions` VALUES (125659, 7502, 33, '493.92, астма, гострий Exac.');
INSERT INTO `lang_definitions` VALUES (125660, 7503, 33, '496.0, ХОЗЛ');
INSERT INTO `lang_definitions` VALUES (125661, 7504, 33, '4-й');
INSERT INTO `lang_definitions` VALUES (125662, 7505, 33, '5 днів від тепер');
INSERT INTO `lang_definitions` VALUES (125663, 7506, 33, '5 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (125664, 7507, 33, '5 тижнів від тепер');
INSERT INTO `lang_definitions` VALUES (125665, 7508, 33, '519.7, Бронхоспазм');
INSERT INTO `lang_definitions` VALUES (125666, 7509, 33, '5-й');
INSERT INTO `lang_definitions` VALUES (125667, 7510, 33, '6 днів від тепер');
INSERT INTO `lang_definitions` VALUES (125668, 7511, 33, '6 місяців');
INSERT INTO `lang_definitions` VALUES (125669, 7512, 33, '6 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (125670, 7513, 33, '6 тижнів від тепер');
INSERT INTO `lang_definitions` VALUES (125671, 7514, 33, '6-й');
INSERT INTO `lang_definitions` VALUES (125672, 7515, 33, '7 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (125673, 7516, 33, '8 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (125674, 7517, 33, '824.0 Перелом медіальної кісточки, закритий');
INSERT INTO `lang_definitions` VALUES (125675, 7518, 33, '824.2 Перелом латеральної щиколотки, закритий');
INSERT INTO `lang_definitions` VALUES (125676, 7519, 33, '824.6 Трехлодижечний перелом, закритий');
INSERT INTO `lang_definitions` VALUES (125677, 7520, 33, '825.32 Перелом човноподібної кістки (кісточка)');
INSERT INTO `lang_definitions` VALUES (125678, 7521, 33, '825.35 Перелом підстави п\'ятої (5-й) метатарзальной кістки');
INSERT INTO `lang_definitions` VALUES (125679, 7522, 33, '845.00 Розтягування щиколотки NOS');
INSERT INTO `lang_definitions` VALUES (125680, 7523, 33, '845.01 Розтягування середньої (дельтоподібного) зв\'язки');
INSERT INTO `lang_definitions` VALUES (125681, 7524, 33, '845.02 Розтягування малогомілкової п\'яткової');
INSERT INTO `lang_definitions` VALUES (125682, 7525, 33, '9 місяців від тепер');
INSERT INTO `lang_definitions` VALUES (125683, 7526, 33, '99212 встановлений - нескладний');
INSERT INTO `lang_definitions` VALUES (125684, 7527, 33, '99213 встановлений - низької складності');
INSERT INTO `lang_definitions` VALUES (125685, 7528, 33, '< В кабінеті досліджень');
INSERT INTO `lang_definitions` VALUES (125686, 7529, 33, '> Перевірено');
INSERT INTO `lang_definitions` VALUES (125687, 7530, 33, '?');
INSERT INTO `lang_definitions` VALUES (125688, 7531, 33, '? Не показувати');
INSERT INTO `lang_definitions` VALUES (125689, 7532, 33, '@ Прибув');
INSERT INTO `lang_definitions` VALUES (125690, 7533, 33, '[Змінити вид]');
INSERT INTO `lang_definitions` VALUES (125691, 7534, 33, '[Дата останнього звернення]');
INSERT INTO `lang_definitions` VALUES (125692, 7535, 33, '[Днів від останнього звернення]');
INSERT INTO `lang_definitions` VALUES (125693, 7536, 33, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (125694, 7537, 33, '[Експорт OFX]');
INSERT INTO `lang_definitions` VALUES (125695, 7538, 33, '[не рекомендовано]');
INSERT INTO `lang_definitions` VALUES (125696, 7539, 33, '[Кількість звернень]');
INSERT INTO `lang_definitions` VALUES (125697, 7540, 33, '[Звіти]');
INSERT INTO `lang_definitions` VALUES (125698, 7541, 33, '[Вибрати все]');
INSERT INTO `lang_definitions` VALUES (125699, 7542, 33, '[SQL-реєстрований]');
INSERT INTO `lang_definitions` VALUES (125700, 7543, 33, '[Запуск пакетної обробки]');
INSERT INTO `lang_definitions` VALUES (125701, 7544, 33, '[Переглянути журнал]');
INSERT INTO `lang_definitions` VALUES (125702, 7545, 33, '[Перегляд звіту для друку]');
INSERT INTO `lang_definitions` VALUES (125703, 7546, 33, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (125704, 7547, 33, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (125705, 7548, 33, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (125706, 7549, 33, '~ Пізнє прибуття');
INSERT INTO `lang_definitions` VALUES (125707, 9, 34, 'লট নম্বর দরকার');
INSERT INTO `lang_definitions` VALUES (125708, 10, 34, 'লট নম্বর দরকার !');
INSERT INTO `lang_definitions` VALUES (125709, 11, 34, 'ছোট অক্ষর');
INSERT INTO `lang_definitions` VALUES (125710, 12, 34, 'নম্বর');
INSERT INTO `lang_definitions` VALUES (125711, 14, 34, 'এই ID র পেশেন্ট মজুত আছে');
INSERT INTO `lang_definitions` VALUES (125712, 15, 34, 'এই নামের পেশেন্ট মজুত আছে');
INSERT INTO `lang_definitions` VALUES (125713, 16, 34, 'এই আধার এর পেশেন্ট মজুত আছে');
INSERT INTO `lang_definitions` VALUES (125714, 21, 34, 'একটি স্পেশাল ক্যারেক্টার');
INSERT INTO `lang_definitions` VALUES (125715, 47, 34, 'Assignment গ্রহণ করুন');
INSERT INTO `lang_definitions` VALUES (125716, 48, 34, 'Payment যার জন্য গ্রহণ করা হল');
INSERT INTO `lang_definitions` VALUES (125717, 49, 34, 'Payment যার জন্য গ্রহণ করা হল');
INSERT INTO `lang_definitions` VALUES (125718, 50, 34, 'Assignment গ্রহণ করুন');
INSERT INTO `lang_definitions` VALUES (125719, 54, 34, 'Access বর্জিত');
INSERT INTO `lang_definitions` VALUES (125720, 55, 34, 'আপনি Access করতে পারবেন না');
INSERT INTO `lang_definitions` VALUES (125721, 56, 34, 'পেশেন্ট পোর্টাল এক্সেস করুন');
INSERT INTO `lang_definitions` VALUES (125722, 59, 34, 'Account নাম');
INSERT INTO `lang_definitions` VALUES (125723, 93, 34, 'অ্যাড');
INSERT INTO `lang_definitions` VALUES (125724, 94, 34, 'অ্যাড');
INSERT INTO `lang_definitions` VALUES (125725, 95, 34, 'অ্যাড');
INSERT INTO `lang_definitions` VALUES (125726, 96, 34, 'কম্পানি অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125727, 98, 34, 'ফার্মেসী অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125728, 101, 34, 'নতুন নোট অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125729, 102, 34, 'নতুন অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125730, 104, 34, 'বোতাম অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125731, 116, 34, 'শাখা অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125732, 119, 34, 'গ্রুপ অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125733, 120, 34, 'ICD কোড অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125734, 122, 34, 'আপনার অ্যাড করার অথরিটি নেই');
INSERT INTO `lang_definitions` VALUES (125735, 123, 34, 'Issue অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125736, 125, 34, 'ভাষা অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125737, 126, 34, 'নতুন অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125738, 127, 34, 'নতুন অ্যাড করুন');
INSERT INTO `lang_definitions` VALUES (125739, 128, 34, 'নতুন ক্যাটাগরি অ্যাড করুন ');
INSERT INTO `lang_definitions` VALUES (125740, 758, 34, 'ক্যালেন্ডার');
INSERT INTO `lang_definitions` VALUES (125741, 2498, 34, 'প্রথম নাম');
INSERT INTO `lang_definitions` VALUES (125742, 2499, 34, 'প্রথম নাম');
INSERT INTO `lang_definitions` VALUES (125743, 2500, 34, 'প্রথম নাম:');
INSERT INTO `lang_definitions` VALUES (125744, 2593, 34, 'শুক্র');
INSERT INTO `lang_definitions` VALUES (125745, 2594, 34, 'শুক্রবার');
INSERT INTO `lang_definitions` VALUES (125746, 2694, 34, 'গ্লোবাল');
INSERT INTO `lang_definitions` VALUES (125747, 2696, 34, 'গ্লোবাল ID');
INSERT INTO `lang_definitions` VALUES (125748, 2697, 34, 'গ্লোবাল সেটিং');
INSERT INTO `lang_definitions` VALUES (125749, 2698, 34, 'গ্লোবাল');
INSERT INTO `lang_definitions` VALUES (125750, 3325, 34, 'শেষ');
INSERT INTO `lang_definitions` VALUES (125751, 3328, 34, 'শেষ বিল ডেট:');
INSERT INTO `lang_definitions` VALUES (125752, 3333, 34, 'শেষ ভিসিট');
INSERT INTO `lang_definitions` VALUES (125753, 3343, 34, 'আগের মাস');
INSERT INTO `lang_definitions` VALUES (125754, 3344, 34, 'পদবী');
INSERT INTO `lang_definitions` VALUES (125755, 3345, 34, 'পদবী');
INSERT INTO `lang_definitions` VALUES (125756, 3346, 34, 'পদবী:');
INSERT INTO `lang_definitions` VALUES (125757, 3358, 34, 'শেষ ভিসিট');
INSERT INTO `lang_definitions` VALUES (125758, 3665, 34, 'মেসেজ পাঠানো হল');
INSERT INTO `lang_definitions` VALUES (125759, 3666, 34, 'মেসেজ এর দশা');
INSERT INTO `lang_definitions` VALUES (125760, 3669, 34, 'মেসেজ এর প্রকার');
INSERT INTO `lang_definitions` VALUES (125761, 3670, 34, 'মেসেজ:');
INSERT INTO `lang_definitions` VALUES (125762, 3671, 34, 'মেসেজ');
INSERT INTO `lang_definitions` VALUES (125763, 3672, 34, 'মেসেজ যা আজ পাঠানো হল');
INSERT INTO `lang_definitions` VALUES (125764, 3673, 34, 'পদ্ধতি');
INSERT INTO `lang_definitions` VALUES (125765, 3675, 34, 'outgoing ইমেল পাঠানোর পদ্ধতি');
INSERT INTO `lang_definitions` VALUES (125766, 3676, 34, 'বিনাশ এর পদ্ধতি');
INSERT INTO `lang_definitions` VALUES (125767, 3686, 34, 'মাঝের');
INSERT INTO `lang_definitions` VALUES (125768, 3687, 34, 'মাঝের নাম');
INSERT INTO `lang_definitions` VALUES (125769, 3688, 34, 'মাঝের নাম');
INSERT INTO `lang_definitions` VALUES (125770, 3708, 34, 'মিনিট');
INSERT INTO `lang_definitions` VALUES (125771, 3756, 34, 'সোমবার');
INSERT INTO `lang_definitions` VALUES (125772, 4589, 34, 'পেশেন্ট এর নাম');
INSERT INTO `lang_definitions` VALUES (125773, 4590, 34, 'পেশেন্ট এর নাম ও ঠিকানা');
INSERT INTO `lang_definitions` VALUES (125774, 4593, 34, 'পেশেন্ট এর নাম জরুরি');
INSERT INTO `lang_definitions` VALUES (125775, 4595, 34, 'পেশেন্ট নোট');
INSERT INTO `lang_definitions` VALUES (125776, 4596, 34, 'পেমেন্ট নোট প্রকার');
INSERT INTO `lang_definitions` VALUES (125777, 4597, 34, 'পেশেন্ট নোট');
INSERT INTO `lang_definitions` VALUES (125778, 4603, 34, 'পেশেন্ট পোর্টাল');
INSERT INTO `lang_definitions` VALUES (125779, 4629, 34, 'পেশেন্ট সামারি');
INSERT INTO `lang_definitions` VALUES (125780, 4633, 34, 'পেশেন্ট/ক্লায়েন্ট');
INSERT INTO `lang_definitions` VALUES (125781, 4634, 34, 'পেশেন্ট:');
INSERT INTO `lang_definitions` VALUES (125782, 4647, 34, 'পেমেন্ট');
INSERT INTO `lang_definitions` VALUES (125783, 5617, 34, 'শনি');
INSERT INTO `lang_definitions` VALUES (125784, 5619, 34, 'শনিবার');
INSERT INTO `lang_definitions` VALUES (125785, 5620, 34, 'সেভ');
INSERT INTO `lang_definitions` VALUES (125786, 5621, 34, 'সেভ');
INSERT INTO `lang_definitions` VALUES (125787, 5622, 34, 'সেভ এবং বন্ধ');
INSERT INTO `lang_definitions` VALUES (125788, 5624, 34, 'সেভ এবং দিয়ে দিন');
INSERT INTO `lang_definitions` VALUES (125789, 5625, 34, 'সেভ এবং চালান করুন');
INSERT INTO `lang_definitions` VALUES (125790, 5626, 34, 'নতুন হিসেবে সেভ করুন');
INSERT INTO `lang_definitions` VALUES (125791, 5627, 34, 'নতুন নোট হিসেবে সেভ করুন');
INSERT INTO `lang_definitions` VALUES (125792, 5628, 34, 'সার্টিফিকেট সেটিং সেভ করুন');
INSERT INTO `lang_definitions` VALUES (125793, 5629, 34, 'বদল সেভ করুন');
INSERT INTO `lang_definitions` VALUES (125794, 5630, 34, 'ফর্ম সেভ করুন');
INSERT INTO `lang_definitions` VALUES (125795, 6267, 34, 'রবিবার');
INSERT INTO `lang_definitions` VALUES (125796, 6631, 34, 'গুরুবার');
INSERT INTO `lang_definitions` VALUES (125797, 6843, 34, 'মঙ্গলবার');
INSERT INTO `lang_definitions` VALUES (125798, 7185, 34, 'বুধবার');
INSERT INTO `lang_definitions` VALUES (125799, 7528, 34, '< Exam রুমে আছে');
INSERT INTO `lang_definitions` VALUES (125800, 7529, 34, '> বেরিয়ে গেছে');
INSERT INTO `lang_definitions` VALUES (125801, 7531, 34, '? পেশেন্ট আসে নি');
INSERT INTO `lang_definitions` VALUES (125802, 7532, 34, '@ পৌঁছেগেছে');
INSERT INTO `lang_definitions` VALUES (125803, 7533, 34, '[ভিউ বদলান]');
INSERT INTO `lang_definitions` VALUES (125804, 7534, 34, '[শেষ Encounter এর তারিখ]');
INSERT INTO `lang_definitions` VALUES (125805, 7535, 34, '[শেষ Encounter থেকে দিন]');
INSERT INTO `lang_definitions` VALUES (125806, 7537, 34, '[OFX এক্সপোর্ট করুন]');
INSERT INTO `lang_definitions` VALUES (125807, 7538, 34, '[recommended নয়]');
INSERT INTO `lang_definitions` VALUES (125808, 7539, 34, '[Encounter এর সংখ্যা]');
INSERT INTO `lang_definitions` VALUES (125809, 7540, 34, '[রিপোর্ট]');
INSERT INTO `lang_definitions` VALUES (125810, 7541, 34, '[সব সিলেক্ট করুন]');
INSERT INTO `lang_definitions` VALUES (125811, 7543, 34, '[ব্যাচ প্রসেসিং আরম্ভ করুন]');
INSERT INTO `lang_definitions` VALUES (125812, 7544, 34, '[লগ দেখুন]');
INSERT INTO `lang_definitions` VALUES (125813, 7545, 34, '[Printable রিপোর্ট দেখুন]');
INSERT INTO `lang_definitions` VALUES (125814, 7549, 34, '~ দেরিতে এসেছে');
INSERT INTO `lang_definitions` VALUES (125815, 1, 35, 'A');
INSERT INTO `lang_definitions` VALUES (125816, 2, 35, 'Tšeki või nõude number maksmise tuvastamiseks');
INSERT INTO `lang_definitions` VALUES (125817, 3, 35, 'Admin kasutaja kliendisertifikaat');
INSERT INTO `lang_definitions` VALUES (125818, 7, 35, 'Edasimüüja on vajalik');
INSERT INTO `lang_definitions` VALUES (125819, 8, 35, 'Selle visiidi jaoks peaks lisama GCAC vormi');
INSERT INTO `lang_definitions` VALUES (125820, 9, 35, 'Partiinumber on vajalik');
INSERT INTO `lang_definitions` VALUES (125821, 10, 35, 'Partiinumber on hädavajalik!');
INSERT INTO `lang_definitions` VALUES (125822, 11, 35, 'Väiketäht');
INSERT INTO `lang_definitions` VALUES (125823, 12, 35, 'Number');
INSERT INTO `lang_definitions` VALUES (125824, 14, 35, 'Sellise ID-ga patsient on juba olemas');
INSERT INTO `lang_definitions` VALUES (125825, 15, 35, 'Sellise nimega patsient on juba olemas');
INSERT INTO `lang_definitions` VALUES (125826, 16, 35, 'Sellise SS numbriga patsient juba eksisteerib');
INSERT INTO `lang_definitions` VALUES (125827, 18, 35, 'Positiivne number näitab nii mitu eelnevat visiiti Patsiendi Koondlehe Moodulis');
INSERT INTO `lang_definitions` VALUES (125828, 19, 35, 'Suunava allika võib määratleda iga visiidi jaoks');
INSERT INTO `lang_definitions` VALUES (125829, 20, 35, 'Vajalik on seotud IPPF kood!');
INSERT INTO `lang_definitions` VALUES (125830, 21, 35, 'spetsiaalsümbol');
INSERT INTO `lang_definitions` VALUES (125831, 22, 35, 'Unikaalne väärtus selle välja jaoks, pole kasutajale nähtav');
INSERT INTO `lang_definitions` VALUES (125832, 24, 35, '?enne sööki');
INSERT INTO `lang_definitions` VALUES (125833, 25, 35, 'enne lõunat');
INSERT INTO `lang_definitions` VALUES (125834, 26, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (125835, 27, 35, 'Aadressiraamat');
INSERT INTO `lang_definitions` VALUES (125836, 28, 35, 'Lühend');
INSERT INTO `lang_definitions` VALUES (125837, 29, 35, 'Abstsess:');
INSERT INTO `lang_definitions` VALUES (125838, 30, 35, 'Abdominaalne');
INSERT INTO `lang_definitions` VALUES (125839, 31, 35, 'On võimeline kandma raskust neli (4) sammu edasi:');
INSERT INTO `lang_definitions` VALUES (125840, 32, 35, 'Ebanormaalne');
INSERT INTO `lang_definitions` VALUES (125841, 33, 35, 'Ebanormaalne 1');
INSERT INTO `lang_definitions` VALUES (125842, 34, 35, 'Ebanormaalne');
INSERT INTO `lang_definitions` VALUES (125843, 35, 35, 'Ebanormaalne vereanalüüs');
INSERT INTO `lang_definitions` VALUES (125844, 36, 35, 'Ebanormaalne juuksekasv');
INSERT INTO `lang_definitions` VALUES (125845, 37, 35, 'Ebanormaalne mammogramm');
INSERT INTO `lang_definitions` VALUES (125846, 39, 35, 'Abort');
INSERT INTO `lang_definitions` VALUES (125847, 40, 35, 'Abordiprobleemid');
INSERT INTO `lang_definitions` VALUES (125848, 41, 35, 'Abordi meetod');
INSERT INTO `lang_definitions` VALUES (125849, 42, 35, 'Abordiga seotud kategooriad');
INSERT INTO `lang_definitions` VALUES (125850, 43, 35, 'Abordid');
INSERT INTO `lang_definitions` VALUES (125851, 44, 35, 'Teave kalendri kohta');
INSERT INTO `lang_definitions` VALUES (125852, 46, 35, '?Puudused Diagnoosi järgi');
INSERT INTO `lang_definitions` VALUES (125853, 47, 35, '?Nõustu Ülesandega');
INSERT INTO `lang_definitions` VALUES (125854, 48, 35, 'Aksepteeri makse');
INSERT INTO `lang_definitions` VALUES (125855, 49, 35, 'Aksepteeri makse');
INSERT INTO `lang_definitions` VALUES (125856, 50, 35, '?Nõustub ülesandega');
INSERT INTO `lang_definitions` VALUES (125857, 51, 35, 'Ligipääsu kontroll');
INSERT INTO `lang_definitions` VALUES (125858, 52, 35, 'Ligipääsu kontrolli loendi administreerimine');
INSERT INTO `lang_definitions` VALUES (125859, 54, 35, 'Ligipääs keelatud');
INSERT INTO `lang_definitions` VALUES (125860, 55, 35, 'Ligipääs Ei ole Lubatud');
INSERT INTO `lang_definitions` VALUES (125861, 56, 35, 'Suundu oma patsiendi portaali');
INSERT INTO `lang_definitions` VALUES (125862, 59, 35, 'Konto nimi');
INSERT INTO `lang_definitions` VALUES (125863, 62, 35, 'Arvepidamine');
INSERT INTO `lang_definitions` VALUES (125864, 64, 35, 'Valud');
INSERT INTO `lang_definitions` VALUES (125865, 65, 35, 'Küsiti kinnitust (ISA14)');
INSERT INTO `lang_definitions` VALUES (125866, 66, 35, 'Kinnitused, Litsensid ja Sertifikaadid');
INSERT INTO `lang_definitions` VALUES (125867, 67, 35, 'ACL(Ligipääsu kontrolli loend)');
INSERT INTO `lang_definitions` VALUES (125868, 68, 35, 'ACL administreerimine');
INSERT INTO `lang_definitions` VALUES (125869, 69, 35, 'ACL administreerimine pole lubatud');
INSERT INTO `lang_definitions` VALUES (125870, 71, 35, 'Akne');
INSERT INTO `lang_definitions` VALUES (125871, 72, 35, 'Leping');
INSERT INTO `lang_definitions` VALUES (125872, 73, 35, 'Lepingu koostamise kuupäev');
INSERT INTO `lang_definitions` VALUES (125873, 74, 35, 'Tegevus');
INSERT INTO `lang_definitions` VALUES (125874, 75, 35, 'Tegevused');
INSERT INTO `lang_definitions` VALUES (125875, 77, 35, 'Aktiveeri CCR/CCD raport');
INSERT INTO `lang_definitions` VALUES (125876, 78, 35, 'Aktiivne');
INSERT INTO `lang_definitions` VALUES (125877, 79, 35, 'Aktiivne hoiatus');
INSERT INTO `lang_definitions` VALUES (125878, 80, 35, 'Aktiivsete hoiatuste reeglid');
INSERT INTO `lang_definitions` VALUES (125879, 81, 35, 'Aktiivsed hoiatused/meeldetuletused');
INSERT INTO `lang_definitions` VALUES (125880, 82, 35, 'Aktiivne Visiit');
INSERT INTO `lang_definitions` VALUES (125881, 84, 35, 'Aktiivsed loendid');
INSERT INTO `lang_definitions` VALUES (125882, 85, 35, 'Aktiivne patsient');
INSERT INTO `lang_definitions` VALUES (125883, 86, 35, 'Aktiivsed ruumid');
INSERT INTO `lang_definitions` VALUES (125884, 87, 35, 'Tegevus');
INSERT INTO `lang_definitions` VALUES (125885, 88, 35, 'Tegevuse tüüp');
INSERT INTO `lang_definitions` VALUES (125886, 90, 35, 'Akuutne mürgistus/Eemaldamine');
INSERT INTO `lang_definitions` VALUES (125887, 92, 35, 'Akuutne või krooniline');
INSERT INTO `lang_definitions` VALUES (125888, 93, 35, 'lisa');
INSERT INTO `lang_definitions` VALUES (125889, 94, 35, 'Lisa');
INSERT INTO `lang_definitions` VALUES (125890, 95, 35, 'LISA');
INSERT INTO `lang_definitions` VALUES (125891, 96, 35, 'Lisa firma');
INSERT INTO `lang_definitions` VALUES (125892, 98, 35, 'Lisa apteek');
INSERT INTO `lang_definitions` VALUES (125893, 100, 35, 'lisa juht ');
INSERT INTO `lang_definitions` VALUES (125894, 101, 35, 'Lisa uue märkusena');
INSERT INTO `lang_definitions` VALUES (125895, 102, 35, 'Lisa kui uus');
INSERT INTO `lang_definitions` VALUES (125896, 104, 35, 'Lisa nuppe');
INSERT INTO `lang_definitions` VALUES (125897, 105, 35, 'Lisa nuppe spetssümbolite, -teksti kohta mida näidatakse tekstiredaktori kohal hiirevajutusega teksti sisestamiseks');
INSERT INTO `lang_definitions` VALUES (125898, 106, 35, 'Lisa Kategooria');
INSERT INTO `lang_definitions` VALUES (125899, 107, 35, 'Lisa Konstant');
INSERT INTO `lang_definitions` VALUES (125900, 108, 35, 'Lisa Kontekst');
INSERT INTO `lang_definitions` VALUES (125901, 109, 35, 'Lisa Lisatasud');
INSERT INTO `lang_definitions` VALUES (125902, 110, 35, 'Lisa Kriteeriumid');
INSERT INTO `lang_definitions` VALUES (125903, 111, 35, 'Lisa kohandatud Nupp');
INSERT INTO `lang_definitions` VALUES (125904, 112, 35, 'Lisa Diagnoos');
INSERT INTO `lang_definitions` VALUES (125905, 113, 35, 'Lisa Ravim');
INSERT INTO `lang_definitions` VALUES (125906, 114, 35, 'Lisa Visiit');
INSERT INTO `lang_definitions` VALUES (125907, 115, 35, 'Lisa visiit/märkmed');
INSERT INTO `lang_definitions` VALUES (125908, 116, 35, 'Lisa asutus');
INSERT INTO `lang_definitions` VALUES (125909, 117, 35, 'Lisa Väli');
INSERT INTO `lang_definitions` VALUES (125910, 118, 35, 'Lisa järgmised read Apache serveri konfiguratsioonifaili');
INSERT INTO `lang_definitions` VALUES (125911, 119, 35, 'Lisa Rühm');
INSERT INTO `lang_definitions` VALUES (125912, 120, 35, 'Lisa ICD kood');
INSERT INTO `lang_definitions` VALUES (125913, 121, 35, 'Lisa Immuniseerimine');
INSERT INTO `lang_definitions` VALUES (125914, 122, 35, 'Lisamine pole lubatud!');
INSERT INTO `lang_definitions` VALUES (125915, 123, 35, '?Lisa probleem');
INSERT INTO `lang_definitions` VALUES (125916, 125, 35, 'Lisa keel');
INSERT INTO `lang_definitions` VALUES (125917, 126, 35, 'Lisa uus');
INSERT INTO `lang_definitions` VALUES (125918, 127, 35, 'Lisa uus');
INSERT INTO `lang_definitions` VALUES (125919, 128, 35, 'Lisa uus kategooria ');
INSERT INTO `lang_definitions` VALUES (125920, 129, 35, 'Lisa uued sertifikaadid Apache serveri konfiguratsioonifaili');
INSERT INTO `lang_definitions` VALUES (125921, 132, 35, 'Lisa uus rühm');
INSERT INTO `lang_definitions` VALUES (125922, 134, 35, 'Lisa uus seeria ja tegevus');
INSERT INTO `lang_definitions` VALUES (125923, 135, 35, 'Lisa uus märkus');
INSERT INTO `lang_definitions` VALUES (125924, 136, 35, 'Lisa uus märkus');
INSERT INTO `lang_definitions` VALUES (125925, 137, 35, 'Lisa uus partner');
INSERT INTO `lang_definitions` VALUES (125926, 140, 35, 'Lisa märge');
INSERT INTO `lang_definitions` VALUES (125927, 141, 35, 'Lisa Patsiendikirje');
INSERT INTO `lang_definitions` VALUES (125928, 142, 35, 'Lisa retsept');
INSERT INTO `lang_definitions` VALUES (125929, 143, 35, 'Lisa Protseduur');
INSERT INTO `lang_definitions` VALUES (125930, 144, 35, 'Lisa Saatja number');
INSERT INTO `lang_definitions` VALUES (125931, 145, 35, 'Lisa Rehabilitatsioon');
INSERT INTO `lang_definitions` VALUES (125932, 146, 35, 'Lisa Reegel');
INSERT INTO `lang_definitions` VALUES (125933, 147, 35, 'Lisa');
INSERT INTO `lang_definitions` VALUES (125934, 148, 35, 'Lisa Ravimiteloendisse');
INSERT INTO `lang_definitions` VALUES (125935, 149, 35, 'Lisa ülemine tase');
INSERT INTO `lang_definitions` VALUES (125936, 150, 35, 'Lisa tegevus');
INSERT INTO `lang_definitions` VALUES (125937, 151, 35, 'Lisa Kasutaja');
INSERT INTO `lang_definitions` VALUES (125938, 152, 35, 'Lisa kasutaja rühma');
INSERT INTO `lang_definitions` VALUES (125939, 153, 35, 'Lisa/Muuda eRx');
INSERT INTO `lang_definitions` VALUES (125940, 154, 35, 'Lisa/Muuda Patsiendi tegevust');
INSERT INTO `lang_definitions` VALUES (125941, 155, 35, 'lisatud');
INSERT INTO `lang_definitions` VALUES (125942, 156, 35, 'Demograafiliste andmete lisamine keelatud');
INSERT INTO `lang_definitions` VALUES (125943, 158, 35, 'Addisoni Sündroom');
INSERT INTO `lang_definitions` VALUES (125944, 159, 35, 'Addisoni Sündroom');
INSERT INTO `lang_definitions` VALUES (125945, 160, 35, 'Lisaatribuudid');
INSERT INTO `lang_definitions` VALUES (125946, 161, 35, 'Lisadiagnoos:');
INSERT INTO `lang_definitions` VALUES (125947, 162, 35, 'Lisaanamnees');
INSERT INTO `lang_definitions` VALUES (125948, 163, 35, 'Lisaandmed haiguslukku');
INSERT INTO `lang_definitions` VALUES (125949, 164, 35, 'Lisainfo');
INSERT INTO `lang_definitions` VALUES (125950, 165, 35, 'Lisalaborid');
INSERT INTO `lang_definitions` VALUES (125951, 166, 35, 'Lisamärkmed');
INSERT INTO `lang_definitions` VALUES (125952, 167, 35, 'Lisamärkmed selle tulemuse kohta või soovitused');
INSERT INTO `lang_definitions` VALUES (125953, 168, 35, 'Lisamärkmed:');
INSERT INTO `lang_definitions` VALUES (125954, 169, 35, 'Lisamärkmed: ');
INSERT INTO `lang_definitions` VALUES (125955, 170, 35, 'Lisamärkmed röntgenpildile:');
INSERT INTO `lang_definitions` VALUES (125956, 172, 35, 'ainult lisamine');
INSERT INTO `lang_definitions` VALUES (125957, 173, 35, 'Aadr.Rmt.');
INSERT INTO `lang_definitions` VALUES (125958, 174, 35, 'Aadr.Raamat');
INSERT INTO `lang_definitions` VALUES (125959, 175, 35, 'Aadress');
INSERT INTO `lang_definitions` VALUES (125960, 178, 35, 'Aadressiraamat');
INSERT INTO `lang_definitions` VALUES (125961, 179, 35, 'Aadressiraamatu sissekanne seda protseduuri teostava ettevõtte kohta');
INSERT INTO `lang_definitions` VALUES (125962, 180, 35, 'Aadressiraamatu sissekanne edasimüüja kohta');
INSERT INTO `lang_definitions` VALUES (125963, 181, 35, 'Aadressiraamatu sissekanne tootja kohta');
INSERT INTO `lang_definitions` VALUES (125964, 182, 35, 'Aadressiraamatu tüübid');
INSERT INTO `lang_definitions` VALUES (125965, 187, 35, 'Aadress1');
INSERT INTO `lang_definitions` VALUES (125966, 188, 35, 'Aadress2');
INSERT INTO `lang_definitions` VALUES (125967, 189, 35, 'AADRESS');
INSERT INTO `lang_definitions` VALUES (125968, 190, 35, 'Muuda');
INSERT INTO `lang_definitions` VALUES (125969, 191, 35, 'Muuda kogust');
INSERT INTO `lang_definitions` VALUES (125970, 192, 35, 'Muuda');
INSERT INTO `lang_definitions` VALUES (125971, 193, 35, 'Muutmine');
INSERT INTO `lang_definitions` VALUES (125972, 194, 35, 'Koguse muutmine');
INSERT INTO `lang_definitions` VALUES (125973, 195, 35, 'Muutmise põhjused');
INSERT INTO `lang_definitions` VALUES (125974, 196, 35, 'Koodi muutmise väärtus ');
INSERT INTO `lang_definitions` VALUES (125975, 197, 35, 'Muutmised');
INSERT INTO `lang_definitions` VALUES (125976, 198, 35, 'Admini muutmine');
INSERT INTO `lang_definitions` VALUES (125977, 199, 35, 'Admin');
INSERT INTO `lang_definitions` VALUES (125978, 200, 35, 'Admini E-mail');
INSERT INTO `lang_definitions` VALUES (125979, 201, 35, 'Manustamisviis');
INSERT INTO `lang_definitions` VALUES (125980, 202, 35, 'Manustatud');
INSERT INTO `lang_definitions` VALUES (125981, 203, 35, 'Manustas');
INSERT INTO `lang_definitions` VALUES (125982, 205, 35, 'Manustamiskoht');
INSERT INTO `lang_definitions` VALUES (125983, 206, 35, 'Administreerimine');
INSERT INTO `lang_definitions` VALUES (125984, 207, 35, 'Admini Leht');
INSERT INTO `lang_definitions` VALUES (125985, 208, 35, 'Administraatorid');
INSERT INTO `lang_definitions` VALUES (125986, 209, 35, 'Administraatorid saavad kõike teha');
INSERT INTO `lang_definitions` VALUES (125987, 210, 35, 'Tunnistuse Kuupäev');
INSERT INTO `lang_definitions` VALUES (125988, 212, 35, 'Täiskasvanu kaalujälgimine');
INSERT INTO `lang_definitions` VALUES (125989, 213, 35, 'Täiskasvanu kaalujälgimine (CQM)');
INSERT INTO `lang_definitions` VALUES (125990, 214, 35, 'Eelnev juhtnöör');
INSERT INTO `lang_definitions` VALUES (125991, 215, 35, 'Eelnevad juhtnöörid');
INSERT INTO `lang_definitions` VALUES (125992, 216, 35, 'Eelnevate juhtnööride hoiatus');
INSERT INTO `lang_definitions` VALUES (125993, 218, 35, 'Edasijõudnud');
INSERT INTO `lang_definitions` VALUES (125994, 219, 35, 'Nõuanne');
INSERT INTO `lang_definitions` VALUES (125995, 221, 35, 'Mõjutada normaalset');
INSERT INTO `lang_definitions` VALUES (125996, 223, 35, 'Peale tunde helistamisi');
INSERT INTO `lang_definitions` VALUES (125997, 225, 35, 'Pärast ülaltoodud konfigureerimiste tegemist impordi admini kliendisertifikaat browserisse ja tee Apache serverile restart (parool jäta tühjaks)');
INSERT INTO `lang_definitions` VALUES (125998, 226, 35, 'Pärast PDF salvestamist vajutage vigade kontrollimiseks [Vaata Logi]');
INSERT INTO `lang_definitions` VALUES (125999, 227, 35, 'Pärast TEXT faili(de) salvestamist vajutage vigade kontrollimiseks [Vaata Logi]');
INSERT INTO `lang_definitions` VALUES (126000, 228, 35, 'Pärast enda paketi salvestamist vajutage vigade kontrollimiseks [Vaata Logi]');
INSERT INTO `lang_definitions` VALUES (126001, 230, 35, 'Pärast õiget info sisestust vajuta nuppu Salvesta');
INSERT INTO `lang_definitions` VALUES (126002, 232, 35, 'Hoolitsusjärgne Planeerimine');
INSERT INTO `lang_definitions` VALUES (126003, 233, 35, 'Veelkord');
INSERT INTO `lang_definitions` VALUES (126004, 234, 35, 'Vanus');
INSERT INTO `lang_definitions` VALUES (126005, 235, 35, 'Vanus');
INSERT INTO `lang_definitions` VALUES (126006, 236, 35, 'Vanuse kategooria');
INSERT INTO `lang_definitions` VALUES (126007, 237, 35, 'Vanus asub piiridest väljas');
INSERT INTO `lang_definitions` VALUES (126008, 238, 35, 'Vanuse Näitamise Formaat');
INSERT INTO `lang_definitions` VALUES (126009, 239, 35, 'Vanuse formaat ei sobi \'vanus alates\' jaoks');
INSERT INTO `lang_definitions` VALUES (126010, 240, 35, 'Vanuse formaat ei sobi \'vanus kuni\' jaoks');
INSERT INTO `lang_definitions` VALUES (126011, 241, 35, 'Vanus alates');
INSERT INTO `lang_definitions` VALUES (126012, 242, 35, 'Vanus aastates Näitamise Formaadi Muutmiseks');
INSERT INTO `lang_definitions` VALUES (126013, 243, 35, 'Vanus max');
INSERT INTO `lang_definitions` VALUES (126014, 244, 35, 'Vanus min');
INSERT INTO `lang_definitions` VALUES (126015, 245, 35, 'Vanusepiirid');
INSERT INTO `lang_definitions` VALUES (126016, 247, 35, 'Vananemise tulbad:');
INSERT INTO `lang_definitions` VALUES (126017, 249, 35, 'Albaanlane');
INSERT INTO `lang_definitions` VALUES (126018, 250, 35, 'Alkohol');
INSERT INTO `lang_definitions` VALUES (126019, 251, 35, 'Alkoholi tarbimine');
INSERT INTO `lang_definitions` VALUES (126020, 253, 35, 'Hoiatuste arv');
INSERT INTO `lang_definitions` VALUES (126021, 255, 35, 'Hoiatused');
INSERT INTO `lang_definitions` VALUES (126022, 258, 35, 'ALEUT');
INSERT INTO `lang_definitions` VALUES (126023, 259, 35, 'Kõik');
INSERT INTO `lang_definitions` VALUES (126024, 260, 35, 'KÕIK');
INSERT INTO `lang_definitions` VALUES (126025, 261, 35, 'Kõik (koondatud formaat A)');
INSERT INTO `lang_definitions` VALUES (126026, 262, 35, 'Kõik (koondatud formaat B)');
INSERT INTO `lang_definitions` VALUES (126027, 263, 35, 'Kõik (kumulatiivne)');
INSERT INTO `lang_definitions` VALUES (126028, 266, 35, 'Kõik kategooriad');
INSERT INTO `lang_definitions` VALUES (126029, 268, 35, 'Kõik koodid');
INSERT INTO `lang_definitions` VALUES (126030, 269, 35, 'Terve päev');
INSERT INTO `lang_definitions` VALUES (126031, 270, 35, 'Terve päeva sündmus');
INSERT INTO `lang_definitions` VALUES (126032, 271, 35, 'Kõik demograafilised väljad koos otsingu ja duplikaatide kontrolliga');
INSERT INTO `lang_definitions` VALUES (126033, 272, 35, 'Kõik asutused');
INSERT INTO `lang_definitions` VALUES (126034, 273, 35, 'Kõik kahjustused/probleemid/häired');
INSERT INTO `lang_definitions` VALUES (126035, 274, 35, 'Kõik keeled on lubatud');
INSERT INTO `lang_definitions` VALUES (126036, 276, 35, 'Terve eesnimi või selle osa');
INSERT INTO `lang_definitions` VALUES (126037, 277, 35, 'Terve perekonnanimi või selle osa');
INSERT INTO `lang_definitions` VALUES (126038, 278, 35, 'Terve organisatsioon või selle osa');
INSERT INTO `lang_definitions` VALUES (126039, 280, 35, 'Kõik tooted');
INSERT INTO `lang_definitions` VALUES (126040, 281, 35, 'Kõik suunajad');
INSERT INTO `lang_definitions` VALUES (126041, 282, 35, 'Kõik läbi vaadatud ja negatiivsed:');
INSERT INTO `lang_definitions` VALUES (126042, 283, 35, 'Kõik teemad');
INSERT INTO `lang_definitions` VALUES (126043, 284, 35, 'Kõik kasutajad');
INSERT INTO `lang_definitions` VALUES (126044, 285, 35, 'Allergiline');
INSERT INTO `lang_definitions` VALUES (126045, 286, 35, 'Allergiad');
INSERT INTO `lang_definitions` VALUES (126046, 287, 35, 'Allergiad:');
INSERT INTO `lang_definitions` VALUES (126047, 288, 35, 'Allergia');
INSERT INTO `lang_definitions` VALUES (126048, 289, 35, 'Allergia import lõpetati edukalt');
INSERT INTO `lang_definitions` VALUES (126049, 290, 35, 'Allergia Probleemide Loend');
INSERT INTO `lang_definitions` VALUES (126050, 291, 35, 'Allergiline reaktsioon');
INSERT INTO `lang_definitions` VALUES (126051, 294, 35, 'Tuvasta');
INSERT INTO `lang_definitions` VALUES (126052, 295, 35, 'Luba');
INSERT INTO `lang_definitions` VALUES (126053, 296, 35, 'Luba sisselogimise menüüs kõikide võimalike keelte valik');
INSERT INTO `lang_definitions` VALUES (126054, 297, 35, 'Luba diagnoose sisaldavate nõuete loomist kuid ilma protseduuride või hindadeta. Enamus kliinikuid ei soovi seda.');
INSERT INTO `lang_definitions` VALUES (126055, 298, 35, 'Luba silutav keel');
INSERT INTO `lang_definitions` VALUES (126056, 299, 35, 'Luba e-mail');
INSERT INTO `lang_definitions` VALUES (126057, 300, 35, 'Luba e-maili teated?');
INSERT INTO `lang_definitions` VALUES (126058, 301, 35, 'Luba e-mail?');
INSERT INTO `lang_definitions` VALUES (126059, 302, 35, 'Luba visiidinõuded');
INSERT INTO `lang_definitions` VALUES (126060, 303, 35, 'Luba tervisealane infovahetus');
INSERT INTO `lang_definitions` VALUES (126061, 304, 35, 'Luba immuniseerimiste info jagamine');
INSERT INTO `lang_definitions` VALUES (126062, 305, 35, 'Luba immuniseerimste registri kasutamine');
INSERT INTO `lang_definitions` VALUES (126063, 306, 35, 'Luba teated posti teel');
INSERT INTO `lang_definitions` VALUES (126064, 308, 35, 'Luba patsientide portaal');
INSERT INTO `lang_definitions` VALUES (126065, 309, 35, 'Luba SMS saatmine');
INSERT INTO `lang_definitions` VALUES (126066, 310, 35, 'Luba SMS (tekstisõnumite) saatmine?');
INSERT INTO `lang_definitions` VALUES (126067, 311, 35, 'Luba saadetud juhtumite kohene muutmine aktiivseks?');
INSERT INTO `lang_definitions` VALUES (126068, 312, 35, 'Luba teated telefoni teel?');
INSERT INTO `lang_definitions` VALUES (126069, 313, 35, 'Luba kasutajatel luua globaalseid sündmusi');
INSERT INTO `lang_definitions` VALUES (126070, 314, 35, 'Luba kasutajatel luua personaalseid kalendreid');
INSERT INTO `lang_definitions` VALUES (126071, 315, 35, 'Luba häälsõnumid');
INSERT INTO `lang_definitions` VALUES (126072, 316, 35, 'Lubatud');
INSERT INTO `lang_definitions` VALUES (126073, 317, 35, 'Lubatud keeled');
INSERT INTO `lang_definitions` VALUES (126074, 318, 35, 'Lubatud(c)');
INSERT INTO `lang_definitions` VALUES (126075, 323, 35, 'juba olemas');
INSERT INTO `lang_definitions` VALUES (126076, 324, 35, 'juba olemas.');
INSERT INTO `lang_definitions` VALUES (126077, 325, 35, 'On juba kasutusel, vali teistsugune tähistus');
INSERT INTO `lang_definitions` VALUES (126078, 326, 35, 'On juba kasutusel, vali teistsugune pealkiri');
INSERT INTO `lang_definitions` VALUES (126079, 327, 35, 'Alt aadress');
INSERT INTO `lang_definitions` VALUES (126080, 328, 35, 'muuda');
INSERT INTO `lang_definitions` VALUES (126081, 329, 35, 'Alternatiivis võid kasutada otsingulehte enda maksja või arvelduskoja poolt antud elektroonse ülekande (X12 835) faili üleslaadimiseks. Saad teha seda vajutades Otsi nuppu ja valides üleslaadmiseks faili, seejärel vajutades Otsing toimub üleslaadimine ning vastavate arvete näitamine. Sel juhul teised ülalmainitud parameetrid ei rakendu ja neid ignoreeritaks. Üleslaadimine salvestab küll faili kuid ei töötle selle sisu – seda saab teha eraldi nagu allpool kirjeldatud.');
INSERT INTO `lang_definitions` VALUES (126082, 330, 35, 'enne lõunat');
INSERT INTO `lang_definitions` VALUES (126083, 331, 35, 'AM programm');
INSERT INTO `lang_definitions` VALUES (126084, 332, 35, 'AMC');
INSERT INTO `lang_definitions` VALUES (126085, 333, 35, 'AMC jälgimine');
INSERT INTO `lang_definitions` VALUES (126086, 338, 35, 'Muuda olemasolevat märget');
INSERT INTO `lang_definitions` VALUES (126087, 343, 35, 'Ameerika indiaanlane');
INSERT INTO `lang_definitions` VALUES (126088, 344, 35, 'Ameerika indiaanlane või Alaska pärismaalane');
INSERT INTO `lang_definitions` VALUES (126089, 345, 35, 'AMEX');
INSERT INTO `lang_definitions` VALUES (126090, 346, 35, 'Amhaar');
INSERT INTO `lang_definitions` VALUES (126091, 347, 35, 'Summa');
INSERT INTO `lang_definitions` VALUES (126092, 348, 35, 'Manustatud Kogus');
INSERT INTO `lang_definitions` VALUES (126093, 349, 35, 'Summa suurus');
INSERT INTO `lang_definitions` VALUES (126094, 350, 35, 'Möödunud bilansi summa');
INSERT INTO `lang_definitions` VALUES (126095, 351, 35, 'Hulk selle visiidi jaoks');
INSERT INTO `lang_definitions` VALUES (126096, 352, 35, 'Makstud summa');
INSERT INTO `lang_definitions` VALUES (126097, 353, 35, 'Hulk:');
INSERT INTO `lang_definitions` VALUES (126098, 354, 35, 'Arve summa');
INSERT INTO `lang_definitions` VALUES (126099, 355, 35, 'Korduvate ürituste jaoks peab lõpuaeg olema hiljem kui algusaeg');
INSERT INTO `lang_definitions` VALUES (126100, 357, 35, 'LibreEHR veebikataloogi puu dumpingul tekkis mingi viga');
INSERT INTO `lang_definitions` VALUES (126101, 358, 35, 'phpGACL veebikataloogi puu dumpingul tekkis mingi viga');
INSERT INTO `lang_definitions` VALUES (126102, 359, 35, 'SQL-Ledger veebikataloogi puu dumpingul tekkis mingi viga');
INSERT INTO `lang_definitions` VALUES (126103, 360, 35, 'Loodi ja lingati osaline GCAC probleem. Hiljem peab keegi selle lõpetama.');
INSERT INTO `lang_definitions` VALUES (126104, 362, 35, 'Tekkis mingi ootamatu viga.');
INSERT INTO `lang_definitions` VALUES (126105, 363, 35, 'Suurtäht');
INSERT INTO `lang_definitions` VALUES (126106, 365, 35, 'Ja');
INSERT INTO `lang_definitions` VALUES (126107, 366, 35, 'JA');
INSERT INTO `lang_definitions` VALUES (126108, 367, 35, 'ja');
INSERT INTO `lang_definitions` VALUES (126109, 368, 35, 'ja ');
INSERT INTO `lang_definitions` VALUES (126110, 369, 35, 'ja kõik alamandmed? See tegevus logitakse.');
INSERT INTO `lang_definitions` VALUES (126111, 370, 35, 'ja modifikaator');
INSERT INTO `lang_definitions` VALUES (126112, 371, 35, 'ja töödeldi.');
INSERT INTO `lang_definitions` VALUES (126113, 372, 35, 'ja taaskäivita Apache server.');
INSERT INTO `lang_definitions` VALUES (126114, 373, 35, 'ja põhjus on');
INSERT INTO `lang_definitions` VALUES (126115, 374, 35, 'Aneemia');
INSERT INTO `lang_definitions` VALUES (126116, 375, 35, 'Pahkluu');
INSERT INTO `lang_definitions` VALUES (126117, 376, 35, 'Pahkluu + kand');
INSERT INTO `lang_definitions` VALUES (126118, 377, 35, 'Pahkluu uuringu vorm');
INSERT INTO `lang_definitions` VALUES (126119, 378, 35, 'Pahkluu probleemid');
INSERT INTO `lang_definitions` VALUES (126120, 379, 35, 'Ankylosing Spondylitis (selgroo krooniline põletik)');
INSERT INTO `lang_definitions` VALUES (126121, 380, 35, 'Ankylosing Spondylitis');
INSERT INTO `lang_definitions` VALUES (126122, 381, 35, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (126123, 382, 35, 'Teine asi mida saad kirjutamisaknas teha on sekundaarse arve küsimine. Kui valid enne salvestamist selle valikukasti, siis algne arve taasavatakse ja kutsutakse Maksmise lehele ning kasutatakse järgmises arvekoostamise protsessis');
INSERT INTO `lang_definitions` VALUES (126124, 383, 35, 'eelnevalt');
INSERT INTO `lang_definitions` VALUES (126125, 384, 35, 'Pärak normis, ei esine rektaalset tundlikkust/väljasopistust');
INSERT INTO `lang_definitions` VALUES (126126, 385, 35, 'Ärevus');
INSERT INTO `lang_definitions` VALUES (126127, 386, 35, 'Igasugune');
INSERT INTO `lang_definitions` VALUES (126128, 387, 35, 'Igasugune kategooria');
INSERT INTO `lang_definitions` VALUES (126129, 388, 35, 'Igasugune soovitud kood või selle kirjeldus');
INSERT INTO `lang_definitions` VALUES (126130, 389, 35, 'Igasugune soovitud eriala osa');
INSERT INTO `lang_definitions` VALUES (126131, 390, 35, 'Igasugune ravimi id osa või vaktsineerimise nimetus');
INSERT INTO `lang_definitions` VALUES (126132, 391, 35, 'Igasugune vaktsineerimise id osa või vaktsineerimise nimetus');
INSERT INTO `lang_definitions` VALUES (126133, 392, 35, 'Igasugune patsiendi nime osa või “perenimi,eesnimi“, või “X-Y“');
INSERT INTO `lang_definitions` VALUES (126134, 393, 35, 'Igasugune muu Asjakohane Informatsioon');
INSERT INTO `lang_definitions` VALUES (126135, 394, 35, 'API võti SMS värava jaoks.');
INSERT INTO `lang_definitions` VALUES (126136, 395, 35, 'Apnea');
INSERT INTO `lang_definitions` VALUES (126137, 396, 35, 'Välimus');
INSERT INTO `lang_definitions` VALUES (126138, 397, 35, 'Välimus:');
INSERT INTO `lang_definitions` VALUES (126139, 398, 35, 'Lisa see märkus');
INSERT INTO `lang_definitions` VALUES (126140, 399, 35, 'Lisa olemasolevale märkusele');
INSERT INTO `lang_definitions` VALUES (126141, 400, 35, 'Lisa sellele märkusele');
INSERT INTO `lang_definitions` VALUES (126142, 401, 35, 'Lisa Sellele Märkusele');
INSERT INTO `lang_definitions` VALUES (126143, 402, 35, 'Apendektoomia');
INSERT INTO `lang_definitions` VALUES (126144, 404, 35, 'Sobivad Patsiendid');
INSERT INTO `lang_definitions` VALUES (126145, 405, 35, 'Rakendus');
INSERT INTO `lang_definitions` VALUES (126146, 406, 35, 'Sisselogimisakna rakenduse nimi ja põhiakna pealkiri.');
INSERT INTO `lang_definitions` VALUES (126147, 407, 35, 'Rakenduse vastuvõtja kood (GS03 – kui on tühi kasutatakse ISA08)');
INSERT INTO `lang_definitions` VALUES (126148, 408, 35, 'Rakenduse saatja kood (GS02)');
INSERT INTO `lang_definitions` VALUES (126149, 409, 35, 'Rakenduse pealkiri');
INSERT INTO `lang_definitions` VALUES (126150, 410, 35, 'Kasutatakse Elunäitajate vormi ja Kasvukaardi puhul');
INSERT INTO `lang_definitions` VALUES (126151, 411, 35, 'Lisandub Elunäitajate vormile');
INSERT INTO `lang_definitions` VALUES (126152, 412, 35, 'Lisa muutused ainult sellele toimingele, sellele ja kõigile järgmistele juhtumitele või kõigile juhtumitele?');
INSERT INTO `lang_definitions` VALUES (126153, 413, 35, 'lisa mõjutatud alale');
INSERT INTO `lang_definitions` VALUES (126154, 414, 35, 'lisa nahale');
INSERT INTO `lang_definitions` VALUES (126155, 415, 35, 'Lisamine-panemine');
INSERT INTO `lang_definitions` VALUES (126156, 416, 35, 'Lisa saidile parandus');
INSERT INTO `lang_definitions` VALUES (126157, 417, 35, 'Visiidiaeg');
INSERT INTO `lang_definitions` VALUES (126158, 418, 35, 'Visiidi kuupäev');
INSERT INTO `lang_definitions` VALUES (126159, 419, 35, 'Visiidi näitamisviis');
INSERT INTO `lang_definitions` VALUES (126160, 420, 35, 'Visiidi meeldetuletuse reegel');
INSERT INTO `lang_definitions` VALUES (126161, 421, 35, 'Visiidi seis');
INSERT INTO `lang_definitions` VALUES (126162, 422, 35, 'Visiidi seisud');
INSERT INTO `lang_definitions` VALUES (126163, 423, 35, 'Visiidiaeg perioodil');
INSERT INTO `lang_definitions` VALUES (126164, 424, 35, 'Visiidi/Toimingu värvus');
INSERT INTO `lang_definitions` VALUES (126165, 425, 35, 'Visiidid');
INSERT INTO `lang_definitions` VALUES (126166, 426, 35, 'Visiidid (kirjutamine pole vajalik)');
INSERT INTO `lang_definitions` VALUES (126167, 427, 35, 'Visiidid (kirjutamine, wsome pole vajalik)');
INSERT INTO `lang_definitions` VALUES (126168, 430, 35, 'Visiidid ja Pöördumised');
INSERT INTO `lang_definitions` VALUES (126169, 431, 35, 'Visiitide raport');
INSERT INTO `lang_definitions` VALUES (126170, 432, 35, 'Visiitide-pöördumiste raport');
INSERT INTO `lang_definitions` VALUES (126171, 434, 35, 'Kinnita');
INSERT INTO `lang_definitions` VALUES (126172, 436, 35, 'Kinnitatud');
INSERT INTO `lang_definitions` VALUES (126173, 437, 35, 'Kinnitatud Toimingute administreerimine');
INSERT INTO `lang_definitions` VALUES (126174, 440, 35, 'Vis-Toim');
INSERT INTO `lang_definitions` VALUES (126175, 441, 35, 'Vis.');
INSERT INTO `lang_definitions` VALUES (126176, 442, 35, 'Apr');
INSERT INTO `lang_definitions` VALUES (126177, 443, 35, 'Aprill');
INSERT INTO `lang_definitions` VALUES (126178, 444, 35, 'Araabia');
INSERT INTO `lang_definitions` VALUES (126179, 446, 35, 'Arhiiv');
INSERT INTO `lang_definitions` VALUES (126180, 447, 35, 'Kas ligipääsu kontrollrühma nimesid tõlgitakse?');
INSERT INTO `lang_definitions` VALUES (126181, 448, 35, 'Kas visiitide kategoorianimesid tõlgitakse?');
INSERT INTO `lang_definitions` VALUES (126182, 449, 35, 'Kas dokumentide kategoorianimesid tõlgitakse?');
INSERT INTO `lang_definitions` VALUES (126183, 450, 35, 'Kas selle tüübi jaoks arve koostatakse?');
INSERT INTO `lang_definitions` VALUES (126184, 451, 35, 'Kas patsiendi märkuste pealkirjad tõlgitakse?');
INSERT INTO `lang_definitions` VALUES (126185, 452, 35, 'Kas koodid säilitatakse väliste SQL tabelites (0-Ei,1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2))?');
INSERT INTO `lang_definitions` VALUES (126186, 453, 35, 'Kas oled valmis selle visiidi jaoks koostama täiesti uue GCAC probleemi?');
INSERT INTO `lang_definitions` VALUES (126187, 454, 35, 'Soovid kindlasti tänaseks postitada?');
INSERT INTO `lang_definitions` VALUES (126188, 455, 35, 'Soovid kindlasti need toimingud kinnitada?');
INSERT INTO `lang_definitions` VALUES (126189, 457, 35, 'Soovid kindlasti selle vormi täielikult eemaldada?');
INSERT INTO `lang_definitions` VALUES (126190, 459, 35, 'Soovid kindlasti selle teate kustutada?');
INSERT INTO `lang_definitions` VALUES (126191, 460, 35, 'Soovid kindlasti seda toimingut kustutada?');
INSERT INTO `lang_definitions` VALUES (126192, 461, 35, 'Soovid kindlasti selle asja andmebaasist kustutada?');
INSERT INTO `lang_definitions` VALUES (126193, 462, 35, 'Soovid kindlasti selle märkuse kustutada?');
INSERT INTO `lang_definitions` VALUES (126194, 464, 35, 'Soovid kindlasti neid toiminguid muuta?');
INSERT INTO `lang_definitions` VALUES (126195, 465, 35, 'Soovid kindlasti need toimingud ära peita?');
INSERT INTO `lang_definitions` VALUES (126196, 467, 35, 'Soovid kindlasti neid toiminguid vaadata?');
INSERT INTO `lang_definitions` VALUES (126197, 468, 35, 'Soovid kindlasti kustutada rühma mille nimeks on');
INSERT INTO `lang_definitions` VALUES (126198, 469, 35, 'Soovid kindlasti kogu loendi kustutada?');
INSERT INTO `lang_definitions` VALUES (126199, 470, 35, 'Soovid kindlasti kustutada selle väja');
INSERT INTO `lang_definitions` VALUES (126200, 471, 35, 'Soovid kindlasti valitud väljad kustutada?');
INSERT INTO `lang_definitions` VALUES (126201, 472, 35, 'Oled kindel nende tegevuste jätkamise soovis?');
INSERT INTO `lang_definitions` VALUES (126202, 473, 35, 'Piirkonda pole valitud');
INSERT INTO `lang_definitions` VALUES (126203, 474, 35, 'Käsi');
INSERT INTO `lang_definitions` VALUES (126204, 475, 35, 'Armeenlane');
INSERT INTO `lang_definitions` VALUES (126205, 477, 35, 'Arütmia');
INSERT INTO `lang_definitions` VALUES (126206, 478, 35, 'Artriit');
INSERT INTO `lang_definitions` VALUES (126207, 479, 35, 'Artriit / degeneratiivne liigeste haigus');
INSERT INTO `lang_definitions` VALUES (126208, 480, 35, 'Artriit / degeneratiivne liigeste haigus');
INSERT INTO `lang_definitions` VALUES (126209, 481, 35, 'nagu');
INSERT INTO `lang_definitions` VALUES (126210, 482, 35, 'Nagu');
INSERT INTO `lang_definitions` VALUES (126211, 484, 35, 'Asiaat');
INSERT INTO `lang_definitions` VALUES (126212, 487, 35, 'Hindamine');
INSERT INTO `lang_definitions` VALUES (126213, 488, 35, 'Määratud');
INSERT INTO `lang_definitions` VALUES (126214, 489, 35, 'Assistent');
INSERT INTO `lang_definitions` VALUES (126215, 490, 35, 'Astma');
INSERT INTO `lang_definitions` VALUES (126216, 491, 35, 'juures');
INSERT INTO `lang_definitions` VALUES (126217, 492, 35, 'Vajalik on vähemalt üks otsinguparameeter kui valid Kõik.');
INSERT INTO `lang_definitions` VALUES (126218, 493, 35, 'Randme juures');
INSERT INTO `lang_definitions` VALUES (126219, 494, 35, 'Randme juures:');
INSERT INTO `lang_definitions` VALUES (126220, 495, 35, 'Kergejõustiku meeskond');
INSERT INTO `lang_definitions` VALUES (126221, 496, 35, 'Kergejõustiku Meeskond');
INSERT INTO `lang_definitions` VALUES (126222, 497, 35, 'Sport/Trauma');
INSERT INTO `lang_definitions` VALUES (126223, 498, 35, 'ATNA auditi CA sertifikaat');
INSERT INTO `lang_definitions` VALUES (126224, 499, 35, 'ATNA auditi vastuvõtja');
INSERT INTO `lang_definitions` VALUES (126225, 500, 35, 'ATNA auditi lokaalne sertifikaat');
INSERT INTO `lang_definitions` VALUES (126226, 501, 35, 'ATNA auditi port');
INSERT INTO `lang_definitions` VALUES (126227, 503, 35, 'Tähelepanu');
INSERT INTO `lang_definitions` VALUES (126228, 504, 35, 'NB');
INSERT INTO `lang_definitions` VALUES (126229, 509, 35, 'Kopeerimiste logimise audit');
INSERT INTO `lang_definitions` VALUES (126230, 510, 35, 'Mitmesuguste logimiste audit');
INSERT INTO `lang_definitions` VALUES (126231, 511, 35, 'Logimiskorra audit');
INSERT INTO `lang_definitions` VALUES (126232, 512, 35, 'Patsiendi haigusloo logimise audit');
INSERT INTO `lang_definitions` VALUES (126233, 513, 35, 'Planeerimise logimise audit');
INSERT INTO `lang_definitions` VALUES (126234, 514, 35, 'Turvalisuse haldamise logimise audit');
INSERT INTO `lang_definitions` VALUES (126235, 515, 35, 'SELECT päringu logimise audit');
INSERT INTO `lang_definitions` VALUES (126236, 516, 35, 'Aug');
INSERT INTO `lang_definitions` VALUES (126237, 517, 35, 'August');
INSERT INTO `lang_definitions` VALUES (126238, 519, 35, 'Autoris');
INSERT INTO `lang_definitions` VALUES (126239, 520, 35, 'Autoris/märkmed');
INSERT INTO `lang_definitions` VALUES (126240, 523, 35, 'Autoriseerimise rühm');
INSERT INTO `lang_definitions` VALUES (126241, 524, 35, 'Autoriseerimise seis');
INSERT INTO `lang_definitions` VALUES (126242, 525, 35, 'Autoriseerimised');
INSERT INTO `lang_definitions` VALUES (126243, 526, 35, 'Luba');
INSERT INTO `lang_definitions` VALUES (126244, 527, 35, 'Luba – igasugused kohtumised');
INSERT INTO `lang_definitions` VALUES (126245, 528, 35, 'Luba – minu kohtumised');
INSERT INTO `lang_definitions` VALUES (126246, 529, 35, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (126247, 530, 35, 'Lubatud');
INSERT INTO `lang_definitions` VALUES (126248, 531, 35, 'Lubatud ainult');
INSERT INTO `lang_definitions` VALUES (126249, 532, 35, 'Saada automaatselt');
INSERT INTO `lang_definitions` VALUES (126250, 535, 35, 'Loo automaatselt uued kohtumised');
INSERT INTO `lang_definitions` VALUES (126251, 536, 35, 'Automaatselt loodud');
INSERT INTO `lang_definitions` VALUES (126252, 537, 35, 'Automaatsed Väärtuste Arvutamised (AMC)');
INSERT INTO `lang_definitions` VALUES (126253, 542, 35, 'Automaatse Väärtuste Arvutamise (AMC) Jälgimine');
INSERT INTO `lang_definitions` VALUES (126254, 543, 35, 'Automaatsed Väärtused (AMC)');
INSERT INTO `lang_definitions` VALUES (126255, 544, 35, 'Automaatne');
INSERT INTO `lang_definitions` VALUES (126256, 546, 35, 'Automaatselt loo uus kohtumine kui visiidi sesi on märgitud „@“ (kohal).');
INSERT INTO `lang_definitions` VALUES (126257, 549, 35, 'Kiirabiauto');
INSERT INTO `lang_definitions` VALUES (126258, 550, 35, 'automaatselt salvestatud');
INSERT INTO `lang_definitions` VALUES (126259, 551, 35, 'Võimalikud kategooriad');
INSERT INTO `lang_definitions` VALUES (126260, 552, 35, 'Võimalikud ajad');
INSERT INTO `lang_definitions` VALUES (126261, 557, 35, 'Kuu keskmine');
INSERT INTO `lang_definitions` VALUES (126262, 558, 35, 'Luumurd / lahtine luumurd');
INSERT INTO `lang_definitions` VALUES (126263, 559, 35, 'Laterale malleoluse luumurd');
INSERT INTO `lang_definitions` VALUES (126264, 560, 35, 'Medial malleoluse luumurd ');
INSERT INTO `lang_definitions` VALUES (126265, 561, 35, 'Informeeritusel põhinev');
INSERT INTO `lang_definitions` VALUES (126266, 562, 35, 'Axillaarne');
INSERT INTO `lang_definitions` VALUES (126267, 565, 35, '2x päevas');
INSERT INTO `lang_definitions` VALUES (126268, 566, 35, 'Tagasi');
INSERT INTO `lang_definitions` VALUES (126269, 567, 35, 'tagasi');
INSERT INTO `lang_definitions` VALUES (126270, 568, 35, 'Tagasi kaheksa visiiti');
INSERT INTO `lang_definitions` VALUES (126271, 569, 35, 'Tagasi üksteist visiiti');
INSERT INTO `lang_definitions` VALUES (126272, 570, 35, 'Tagasi viis visiiti');
INSERT INTO `lang_definitions` VALUES (126273, 571, 35, 'Tagasi neli visiiti');
INSERT INTO `lang_definitions` VALUES (126274, 572, 35, 'Tagasi üheksa visiiti');
INSERT INTO `lang_definitions` VALUES (126275, 573, 35, 'Tagasi üks visiit');
INSERT INTO `lang_definitions` VALUES (126276, 574, 35, 'Seljavalu');
INSERT INTO `lang_definitions` VALUES (126277, 575, 35, 'Seljaprobleemid');
INSERT INTO `lang_definitions` VALUES (126278, 576, 35, 'Tagasi seitse visiiti');
INSERT INTO `lang_definitions` VALUES (126279, 577, 35, 'Tagasi kuus visiiti');
INSERT INTO `lang_definitions` VALUES (126280, 578, 35, 'Seljakirurgia');
INSERT INTO `lang_definitions` VALUES (126281, 579, 35, 'Tagasi kümme visiiti');
INSERT INTO `lang_definitions` VALUES (126282, 580, 35, 'Tagasi kolm visiiti');
INSERT INTO `lang_definitions` VALUES (126283, 581, 35, 'Tagasi Admini lehele');
INSERT INTO `lang_definitions` VALUES (126284, 584, 35, 'Tagasi Patsiendi juurde');
INSERT INTO `lang_definitions` VALUES (126285, 585, 35, 'Tagasi Kasutajate juurde');
INSERT INTO `lang_definitions` VALUES (126286, 586, 35, 'Tagasi Vaatesse');
INSERT INTO `lang_definitions` VALUES (126287, 587, 35, 'Tagasi kaksteist visiiti');
INSERT INTO `lang_definitions` VALUES (126288, 588, 35, 'Tagasi kaks visiiti');
INSERT INTO `lang_definitions` VALUES (126289, 589, 35, 'Taustateenused');
INSERT INTO `lang_definitions` VALUES (126290, 590, 35, 'Reservkoopia');
INSERT INTO `lang_definitions` VALUES (126291, 591, 35, 'Reservkoopia fail on loodud. Nüüd saadetakse allalaadimine.');
INSERT INTO `lang_definitions` VALUES (126292, 593, 35, 'Reservkoopia saadeti edukalt');
INSERT INTO `lang_definitions` VALUES (126293, 594, 35, 'Kattetta tshekk');
INSERT INTO `lang_definitions` VALUES (126294, 595, 35, 'Lootusetu võlg');
INSERT INTO `lang_definitions` VALUES (126295, 596, 35, 'Bahasa Indoneesia');
INSERT INTO `lang_definitions` VALUES (126296, 597, 35, 'Bal');
INSERT INTO `lang_definitions` VALUES (126297, 598, 35, 'Saldo (jääk)');
INSERT INTO `lang_definitions` VALUES (126298, 599, 35, 'Saldo (jääk)');
INSERT INTO `lang_definitions` VALUES (126299, 600, 35, 'dummy');
INSERT INTO `lang_definitions` VALUES (126300, 601, 35, 'Laenujääk');
INSERT INTO `lang_definitions` VALUES (126301, 603, 35, 'Pangaveksel');
INSERT INTO `lang_definitions` VALUES (126302, 607, 35, 'Viienda (5.) metarsaali alus');
INSERT INTO `lang_definitions` VALUES (126303, 608, 35, 'Viienda (5.) metarsaali alus:');
INSERT INTO `lang_definitions` VALUES (126304, 611, 35, 'Nõuete Pakett');
INSERT INTO `lang_definitions` VALUES (126305, 612, 35, 'Kommunikeerumisvahendite pakett');
INSERT INTO `lang_definitions` VALUES (126306, 613, 35, 'Maksesissekannete pakett');
INSERT INTO `lang_definitions` VALUES (126307, 614, 35, 'Maksetepakett');
INSERT INTO `lang_definitions` VALUES (126308, 615, 35, 'Alustati paketi töötlemist; see võib kaua kesta');
INSERT INTO `lang_definitions` VALUES (126309, 616, 35, 'Tulemuste pakett');
INSERT INTO `lang_definitions` VALUES (126310, 617, 35, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (126311, 619, 35, 'kuna selline id puudub.');
INSERT INTO `lang_definitions` VALUES (126312, 620, 35, 'Algus');
INSERT INTO `lang_definitions` VALUES (126313, 621, 35, 'Alguskuupäev');
INSERT INTO `lang_definitions` VALUES (126314, 623, 35, 'Teenuse alustamiskuupäev yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (126315, 624, 35, 'Kalendri toimingute päeva alustamistund');
INSERT INTO `lang_definitions` VALUES (126316, 626, 35, 'Röhitsused');
INSERT INTO `lang_definitions` VALUES (126317, 628, 35, 'Bengali');
INSERT INTO `lang_definitions` VALUES (126318, 630, 35, 'vahel');
INSERT INTO `lang_definitions` VALUES (126319, 633, 35, 'Bilateraalne');
INSERT INTO `lang_definitions` VALUES (126320, 634, 35, 'Bilateraalne:');
INSERT INTO `lang_definitions` VALUES (126321, 636, 35, 'Arveldamise kuupäev:');
INSERT INTO `lang_definitions` VALUES (126322, 637, 35, 'Arve/arveldamine');
INSERT INTO `lang_definitions` VALUES (126323, 638, 35, 'Arveldatud');
INSERT INTO `lang_definitions` VALUES (126324, 640, 35, 'Arveldamine');
INSERT INTO `lang_definitions` VALUES (126325, 641, 35, 'Arveldamine (kirjutamine vabatahtlik)');
INSERT INTO `lang_definitions` VALUES (126326, 642, 35, 'Arvelduse NB');
INSERT INTO `lang_definitions` VALUES (126327, 644, 35, 'Arvelduskood soovitud teenusele');
INSERT INTO `lang_definitions` VALUES (126328, 645, 35, 'Arveldamise koodid');
INSERT INTO `lang_definitions` VALUES (126329, 646, 35, 'Arveldamise kuupäev:');
INSERT INTO `lang_definitions` VALUES (126330, 647, 35, 'Arveldusosakond');
INSERT INTO `lang_definitions` VALUES (126331, 648, 35, 'Arveldusasutus');
INSERT INTO `lang_definitions` VALUES (126332, 649, 35, 'Arveldusinfo');
INSERT INTO `lang_definitions` VALUES (126333, 650, 35, 'Arveldamiskoht');
INSERT INTO `lang_definitions` VALUES (126334, 655, 35, 'Arveldamise juht');
INSERT INTO `lang_definitions` VALUES (126335, 656, 35, 'Arveldamismärge');
INSERT INTO `lang_definitions` VALUES (126336, 657, 35, 'Arveldamismärge ');
INSERT INTO `lang_definitions` VALUES (126337, 658, 35, 'Arveldamismärge:');
INSERT INTO `lang_definitions` VALUES (126338, 659, 35, 'Arvelduspäringu tulemused:');
INSERT INTO `lang_definitions` VALUES (126339, 660, 35, 'Arveldamisraport');
INSERT INTO `lang_definitions` VALUES (126340, 661, 35, 'Arveldamise seis');
INSERT INTO `lang_definitions` VALUES (126341, 662, 35, 'Arveldamise seis = arveldamata');
INSERT INTO `lang_definitions` VALUES (126342, 663, 35, 'arveldus ');
INSERT INTO `lang_definitions` VALUES (126343, 665, 35, 'Biopsia');
INSERT INTO `lang_definitions` VALUES (126344, 666, 35, 'Sünnikuupäev');
INSERT INTO `lang_definitions` VALUES (126345, 667, 35, 'Sünd-24 kuud');
INSERT INTO `lang_definitions` VALUES (126346, 669, 35, 'Must (neeger)');
INSERT INTO `lang_definitions` VALUES (126347, 670, 35, 'Tumenenud kops');
INSERT INTO `lang_definitions` VALUES (126348, 671, 35, 'Neeger või Afroameeriklane');
INSERT INTO `lang_definitions` VALUES (126349, 672, 35, 'Kusepõie vähk');
INSERT INTO `lang_definitions` VALUES (126350, 673, 35, 'Kusepõie infektsioonid');
INSERT INTO `lang_definitions` VALUES (126351, 674, 35, 'Tühjad Vormid');
INSERT INTO `lang_definitions` VALUES (126352, 675, 35, 'Veritsemisprobleemid');
INSERT INTO `lang_definitions` VALUES (126353, 676, 35, 'Pimedad punktid');
INSERT INTO `lang_definitions` VALUES (126354, 677, 35, 'Puhitus');
INSERT INTO `lang_definitions` VALUES (126355, 678, 35, 'Blokeeritud');
INSERT INTO `lang_definitions` VALUES (126356, 679, 35, 'Veri');
INSERT INTO `lang_definitions` VALUES (126357, 680, 35, 'Vererõhk');
INSERT INTO `lang_definitions` VALUES (126358, 681, 35, 'Vererõhk');
INSERT INTO `lang_definitions` VALUES (126359, 682, 35, 'Verine nina');
INSERT INTO `lang_definitions` VALUES (126360, 683, 35, 'Meditsiiniline kindlustusfirma Sinine rist');
INSERT INTO `lang_definitions` VALUES (126361, 684, 35, 'Selle raporti sinised read on informatiivsed. Mustad read näitavad juba varem olemasolnud infot. Rohelised read näitavad edukalt rakendatud muudatusi. Punased read näitavad vigu või muutusi mida ei ole veel rakendatud; need tuleb käsitsi töödelda. Hetkel keelatud maksenõudeid ja maksetühistamisi ei toimetata automaatselt ja näidatakse seega punasena.');
INSERT INTO `lang_definitions` VALUES (126362, 685, 35, 'Hägustunud nägemine');
INSERT INTO `lang_definitions` VALUES (126363, 686, 35, 'BMI');
INSERT INTO `lang_definitions` VALUES (126364, 687, 35, 'BMI Olek');
INSERT INTO `lang_definitions` VALUES (126365, 689, 35, 'Keha Piirkond');
INSERT INTO `lang_definitions` VALUES (126366, 690, 35, 'Koht kehal');
INSERT INTO `lang_definitions` VALUES (126367, 691, 35, 'Koht kehal, kui võimalik');
INSERT INTO `lang_definitions` VALUES (126368, 692, 35, 'Luunõrkus:');
INSERT INTO `lang_definitions` VALUES (126369, 693, 35, 'Luunõrkus: Medial Malleolus');
INSERT INTO `lang_definitions` VALUES (126370, 694, 35, 'Boolean (Kahendmuutuja)');
INSERT INTO `lang_definitions` VALUES (126371, 696, 35, 'Robot');
INSERT INTO `lang_definitions` VALUES (126372, 697, 35, 'Mõlemad kõrvad');
INSERT INTO `lang_definitions` VALUES (126373, 698, 35, 'mõlemad kõrvad');
INSERT INTO `lang_definitions` VALUES (126374, 699, 35, 'Põhi');
INSERT INTO `lang_definitions` VALUES (126375, 701, 35, 'BOX 10A. Töötamisega seotud ');
INSERT INTO `lang_definitions` VALUES (126376, 702, 35, 'BOX 10B. Autoavarii ');
INSERT INTO `lang_definitions` VALUES (126377, 703, 35, 'BOX 10C. Muu õnnetus ');
INSERT INTO `lang_definitions` VALUES (126378, 706, 35, 'BOX 15. Sama või sarnase haiguse kuupäev (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (126379, 708, 35, 'BOX 16. Töövõimetuse kuupäev alates (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (126380, 709, 35, 'BOX 16. Töövõimetuse kuupäev kuni (yyyy-mm-dd):');
INSERT INTO `lang_definitions` VALUES (126381, 710, 35, 'BOX 18. Hospitaliseerimise kuupäev alates (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (126382, 711, 35, 'BOX 18. Hospitaliseerimise kuupäev kuni (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (126383, 712, 35, 'BOX 20. Kas kasutatakse välislaborit?');
INSERT INTO `lang_definitions` VALUES (126384, 713, 35, 'BOX 22. Medicaid taassaatmise kood (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (126385, 714, 35, 'BOX 23. Eelmine Autoriseerimise Nr. ');
INSERT INTO `lang_definitions` VALUES (126386, 715, 35, 'Vererõhk');
INSERT INTO `lang_definitions` VALUES (126387, 716, 35, 'Diastoolne vererõhk');
INSERT INTO `lang_definitions` VALUES (126388, 717, 35, 'Süstoolne vererõhk');
INSERT INTO `lang_definitions` VALUES (126389, 719, 35, 'Bpd');
INSERT INTO `lang_definitions` VALUES (126390, 721, 35, 'Bps');
INSERT INTO `lang_definitions` VALUES (126391, 722, 35, 'Brasiilia portugallane');
INSERT INTO `lang_definitions` VALUES (126392, 723, 35, 'Rind');
INSERT INTO `lang_definitions` VALUES (126393, 724, 35, 'Rinnabiopsia');
INSERT INTO `lang_definitions` VALUES (126394, 725, 35, 'Rinna eritis');
INSERT INTO `lang_definitions` VALUES (126395, 726, 35, 'Rinna haigus');
INSERT INTO `lang_definitions` VALUES (126396, 727, 35, 'Rinnauuring');
INSERT INTO `lang_definitions` VALUES (126397, 728, 35, 'Rinnamass');
INSERT INTO `lang_definitions` VALUES (126398, 730, 35, 'Rinna helid:');
INSERT INTO `lang_definitions` VALUES (126399, 732, 35, 'Murtud luud');
INSERT INTO `lang_definitions` VALUES (126400, 734, 35, 'Bronhiidi vorm');
INSERT INTO `lang_definitions` VALUES (126401, 735, 35, 'Otsi');
INSERT INTO `lang_definitions` VALUES (126402, 736, 35, 'Otsi haiguslugu');
INSERT INTO `lang_definitions` VALUES (126403, 737, 35, 'Verevalum / hematoom');
INSERT INTO `lang_definitions` VALUES (126404, 739, 35, 'Paistetus Paremal:');
INSERT INTO `lang_definitions` VALUES (126405, 741, 35, 'Põletus urineerimisel');
INSERT INTO `lang_definitions` VALUES (126406, 742, 35, 'Põletus urineerimisel');
INSERT INTO `lang_definitions` VALUES (126407, 744, 35, 'Toimetab');
INSERT INTO `lang_definitions` VALUES (126408, 745, 35, 'kuid pole veel töödeldud.');
INSERT INTO `lang_definitions` VALUES (126409, 746, 35, 'Tuhar');
INSERT INTO `lang_definitions` VALUES (126410, 747, 35, 'Tuhar + SI side');
INSERT INTO `lang_definitions` VALUES (126411, 748, 35, 'juures');
INSERT INTO `lang_definitions` VALUES (126412, 749, 35, 'Juures');
INSERT INTO `lang_definitions` VALUES (126413, 750, 35, 'suu juures');
INSERT INTO `lang_definitions` VALUES (126414, 751, 35, 'Juures/Allikas');
INSERT INTO `lang_definitions` VALUES (126415, 752, 35, 'Juures:');
INSERT INTO `lang_definitions` VALUES (126416, 753, 35, 'C');
INSERT INTO `lang_definitions` VALUES (126417, 754, 35, 'CA sertifikaat RFC 542 TLS syslog serveri tuvastamiseks');
INSERT INTO `lang_definitions` VALUES (126418, 755, 35, 'Puhvri eluiga (sekundites)');
INSERT INTO `lang_definitions` VALUES (126419, 756, 35, 'Lugeda mallivälimus puhvrisse?');
INSERT INTO `lang_definitions` VALUES (126420, 757, 35, 'Koffeiini tarbimine');
INSERT INTO `lang_definitions` VALUES (126421, 758, 35, 'Kalender');
INSERT INTO `lang_definitions` VALUES (126422, 759, 35, 'Kalendri lõputund');
INSERT INTO `lang_definitions` VALUES (126423, 760, 35, 'Kalendri intervall');
INSERT INTO `lang_definitions` VALUES (126424, 761, 35, 'Kalendri aken');
INSERT INTO `lang_definitions` VALUES (126425, 762, 35, 'Kalendri määrangud');
INSERT INTO `lang_definitions` VALUES (126426, 763, 35, 'Kalendri algustund');
INSERT INTO `lang_definitions` VALUES (126427, 764, 35, 'Kalendri kasutajavaade');
INSERT INTO `lang_definitions` VALUES (126428, 765, 35, 'Kalendrivaade');
INSERT INTO `lang_definitions` VALUES (126429, 766, 35, 'addForm() kutsung läheb siia.<br>');
INSERT INTO `lang_definitions` VALUES (126430, 767, 35, 'Kalorid');
INSERT INTO `lang_definitions` VALUES (126431, 768, 35, 'Gamobdzalane');
INSERT INTO `lang_definitions` VALUES (126433, 774, 35, 'Katkesta');
INSERT INTO `lang_definitions` VALUES (126434, 775, 35, 'Katkesta Muutmine');
INSERT INTO `lang_definitions` VALUES (126435, 776, 35, 'Katkestatud');
INSERT INTO `lang_definitions` VALUES (126436, 777, 35, 'Vähk');
INSERT INTO `lang_definitions` VALUES (126437, 778, 35, 'Vähiuuring: Jämesoolevähi uuring');
INSERT INTO `lang_definitions` VALUES (126438, 779, 35, 'Vähiuuring: Mammogramm');
INSERT INTO `lang_definitions` VALUES (126439, 780, 35, 'Vähiuuring: Pap äie');
INSERT INTO `lang_definitions` VALUES (126440, 781, 35, 'Vähiuuring: Eesnäärmevähi uuring');
INSERT INTO `lang_definitions` VALUES (126441, 782, 35, 'Ei saa seda sisestust lisada kuna see juba eksisteerib!');
INSERT INTO `lang_definitions` VALUES (126442, 783, 35, 'Ei saa seda sisestust lisada/uuendada kuna duplikaat juba eksisteerib!');
INSERT INTO `lang_definitions` VALUES (126443, 784, 35, 'ei saa arhiveerida, ignoreeriti');
INSERT INTO `lang_definitions` VALUES (126444, 785, 35, 'ei saa JPEG formaati muuta. Võimalik et ImageMagick pole installitud?');
INSERT INTO `lang_definitions` VALUES (126445, 786, 35, 'ei saa kustutada, ignoreeriti');
INSERT INTO `lang_definitions` VALUES (126446, 787, 35, 'ei saa reastatult näidata kuna selle tüüp ei ole lehtseja poolt toetatud.');
INSERT INTO `lang_definitions` VALUES (126447, 788, 35, 'ei saa reastatult näidata kuna selle tüüp ei ole lehtseja poolt toetatud');
INSERT INTO `lang_definitions` VALUES (126448, 789, 35, 'ei saa reastatult näidata kuna selle tüüp ei ole lehtseja poolt toetatud.');
INSERT INTO `lang_definitions` VALUES (126449, 790, 35, 'Ei saa luua');
INSERT INTO `lang_definitions` VALUES (126450, 795, 35, 'Ei leia ');
INSERT INTO `lang_definitions` VALUES (126451, 796, 35, 'Ei leia faili sihtnime');
INSERT INTO `lang_definitions` VALUES (126452, 799, 35, 'Ei leita sellist patsiendi kliendi id-d SQL-Finantsmoodulis');
INSERT INTO `lang_definitions` VALUES (126453, 800, 35, 'Ei leita viidet postscript dokumendile ');
INSERT INTO `lang_definitions` VALUES (126454, 801, 35, 'Ei leita sellist patsiendi kliendi id-d SQL-Finantsmoodulis ');
INSERT INTO `lang_definitions` VALUES (126455, 802, 35, 'Ei saa Maksmisi Muuta. Jagatav on Negatiivne.');
INSERT INTO `lang_definitions` VALUES (126456, 803, 35, 'Ei saa avada ');
INSERT INTO `lang_definitions` VALUES (126457, 807, 35, 'Ei saa lugeda');
INSERT INTO `lang_definitions` VALUES (126458, 808, 35, 'Ei saa kausta lugeda');
INSERT INTO `lang_definitions` VALUES (126459, 809, 35, 'Ei saa uuendada kuna sa ei töötle olemasolevat sisestust');
INSERT INTO `lang_definitions` VALUES (126460, 810, 35, 'Suurtähtedeks');
INSERT INTO `lang_definitions` VALUES (126461, 812, 35, 'kapsul');
INSERT INTO `lang_definitions` VALUES (126462, 813, 35, 'Kaart');
INSERT INTO `lang_definitions` VALUES (126463, 814, 35, 'Südame katetreerimine');
INSERT INTO `lang_definitions` VALUES (126464, 815, 35, 'Südame Ultraheli');
INSERT INTO `lang_definitions` VALUES (126465, 816, 35, 'Kardiovaskulaarne');
INSERT INTO `lang_definitions` VALUES (126466, 821, 35, 'Kõhre / luu / diski kahjustus');
INSERT INTO `lang_definitions` VALUES (126467, 822, 35, 'Kõhre vigastus');
INSERT INTO `lang_definitions` VALUES (126468, 824, 35, 'sularaha');
INSERT INTO `lang_definitions` VALUES (126469, 825, 35, 'Sularaha');
INSERT INTO `lang_definitions` VALUES (126470, 827, 35, 'Sularahaarve Saatjalt');
INSERT INTO `lang_definitions` VALUES (126471, 829, 35, 'Katarakti Kirurgia');
INSERT INTO `lang_definitions` VALUES (126472, 830, 35, 'Kataraktid');
INSERT INTO `lang_definitions` VALUES (126473, 831, 35, 'Kategooriad');
INSERT INTO `lang_definitions` VALUES (126474, 832, 35, 'Kategooriad');
INSERT INTO `lang_definitions` VALUES (126475, 833, 35, 'Kategooria');
INSERT INTO `lang_definitions` VALUES (126476, 834, 35, 'kategooria');
INSERT INTO `lang_definitions` VALUES (126477, 835, 35, 'Kategooria ');
INSERT INTO `lang_definitions` VALUES (126478, 836, 35, 'Kategooria detailid');
INSERT INTO `lang_definitions` VALUES (126479, 837, 35, 'Kategooria Piirid');
INSERT INTO `lang_definitions` VALUES (126480, 838, 35, 'Kategooria nimetus');
INSERT INTO `lang_definitions` VALUES (126481, 839, 35, 'Kategooria nimetus on tühi');
INSERT INTO `lang_definitions` VALUES (126482, 840, 35, 'Kategooria/Pealkiri');
INSERT INTO `lang_definitions` VALUES (126483, 841, 35, 'Kaukaaslane');
INSERT INTO `lang_definitions` VALUES (126484, 850, 35, 'CDR');
INSERT INTO `lang_definitions` VALUES (126485, 852, 35, 'Mobiil');
INSERT INTO `lang_definitions` VALUES (126486, 853, 35, 'Mobiiltelefon');
INSERT INTO `lang_definitions` VALUES (126487, 855, 35, 'Mobiiltelefoni number');
INSERT INTO `lang_definitions` VALUES (126488, 856, 35, 'Keskne Sertifitseerimine');
INSERT INTO `lang_definitions` VALUES (126489, 857, 35, 'Kesk/Lõuna-Ameeriklane');
INSERT INTO `lang_definitions` VALUES (126490, 861, 35, 'Sertifikaadi Kasutaja');
INSERT INTO `lang_definitions` VALUES (126491, 862, 35, 'Sertifikaadid');
INSERT INTO `lang_definitions` VALUES (126492, 866, 35, 'muuda');
INSERT INTO `lang_definitions` VALUES (126493, 867, 35, 'Muuda');
INSERT INTO `lang_definitions` VALUES (126494, 868, 35, 'Muuda Tegevust');
INSERT INTO `lang_definitions` VALUES (126495, 870, 35, 'Nägemismuutus');
INSERT INTO `lang_definitions` VALUES (126496, 871, 35, 'Nägemismuutus');
INSERT INTO `lang_definitions` VALUES (126497, 874, 35, 'Muutunud');
INSERT INTO `lang_definitions` VALUES (126498, 877, 35, 'Omadused');
INSERT INTO `lang_definitions` VALUES (126499, 878, 35, 'Märke jäänud');
INSERT INTO `lang_definitions` VALUES (126500, 883, 35, 'Kaart');
INSERT INTO `lang_definitions` VALUES (126501, 884, 35, 'Kaardi Tegevused');
INSERT INTO `lang_definitions` VALUES (126502, 885, 35, 'Kaardi Tegevuste Raport');
INSERT INTO `lang_definitions` VALUES (126503, 886, 35, 'Kaardi ID');
INSERT INTO `lang_definitions` VALUES (126504, 887, 35, 'Kaardi ID:');
INSERT INTO `lang_definitions` VALUES (126505, 889, 35, 'Kaardi Asukoha Tegevus');
INSERT INTO `lang_definitions` VALUES (126506, 890, 35, 'Kaardi Märge');
INSERT INTO `lang_definitions` VALUES (126507, 891, 35, 'Kaardi Number');
INSERT INTO `lang_definitions` VALUES (126508, 892, 35, 'Kaardi Hoiukohad');
INSERT INTO `lang_definitions` VALUES (126509, 893, 35, 'Kaardi Jälgija');
INSERT INTO `lang_definitions` VALUES (126510, 894, 35, 'Kaardi Jlg');
INSERT INTO `lang_definitions` VALUES (126511, 895, 35, 'Kaardid Väljastatud');
INSERT INTO `lang_definitions` VALUES (126512, 896, 35, 'Kaardid Väljas');
INSERT INTO `lang_definitions` VALUES (126513, 898, 35, 'Kontroll');
INSERT INTO `lang_definitions` VALUES (126514, 899, 35, 'kontrolli');
INSERT INTO `lang_definitions` VALUES (126515, 900, 35, 'Kontrolli kõik');
INSERT INTO `lang_definitions` VALUES (126516, 2, 36, 'شماره چک یا شماره پرونده برای پیگیری پرداخت');
INSERT INTO `lang_definitions` VALUES (126517, 5, 36, 'یک سند بالینی پیوست شده است.');
INSERT INTO `lang_definitions` VALUES (126518, 7, 36, 'توزیع کننده ای مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (126519, 8, 36, 'یک فرم ملاقات GCAC باید به این ملاقات اضافه شده است.');
INSERT INTO `lang_definitions` VALUES (126520, 9, 36, 'شماره سری مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (126521, 10, 36, 'شماره سری مورد نیاز است!');
INSERT INTO `lang_definitions` VALUES (126522, 11, 36, 'یک حرف کوچک');
INSERT INTO `lang_definitions` VALUES (126523, 12, 36, 'یک شماره');
INSERT INTO `lang_definitions` VALUES (126524, 14, 36, 'اکنون بیماری با این شماره شناسایی وجود دارد.');
INSERT INTO `lang_definitions` VALUES (126525, 15, 36, 'اکنون بیماری با این نام وجود دارد.');
INSERT INTO `lang_definitions` VALUES (126526, 16, 36, 'اکنون بیماری با این کد ملی وجود دارد.');
INSERT INTO `lang_definitions` VALUES (126527, 19, 36, 'ممکن است منبع ارجاعی برای هر ویزیت مشخص شده باشد.');
INSERT INTO `lang_definitions` VALUES (126528, 20, 36, 'به یک کد IPPF مرتبط نیاز است!');
INSERT INTO `lang_definitions` VALUES (126529, 21, 36, 'یک حرف ویژه');
INSERT INTO `lang_definitions` VALUES (126530, 22, 36, 'یک مقدار منحصر به فرد برای شناسایی این فیلد، برای کاربر قابل مشاهده نیست');
INSERT INTO `lang_definitions` VALUES (126531, 24, 36, 'پیش از غذا');
INSERT INTO `lang_definitions` VALUES (126532, 25, 36, 'صبح');
INSERT INTO `lang_definitions` VALUES (126533, 28, 36, 'مخفف');
INSERT INTO `lang_definitions` VALUES (126534, 29, 36, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (126535, 30, 36, 'Abdominal');
INSERT INTO `lang_definitions` VALUES (126536, 31, 36, 'قادر به تحمل وزن چهار (4) مرحله:');
INSERT INTO `lang_definitions` VALUES (126537, 34, 36, 'ناهنجار');
INSERT INTO `lang_definitions` VALUES (126538, 35, 36, 'آزمایش خون ناهنجار');
INSERT INTO `lang_definitions` VALUES (126539, 36, 36, 'رشد موی ناهنجار');
INSERT INTO `lang_definitions` VALUES (126540, 37, 36, 'ماموگرام ناهنجار');
INSERT INTO `lang_definitions` VALUES (126541, 39, 36, 'سقط جنین');
INSERT INTO `lang_definitions` VALUES (126542, 40, 36, 'مسائل مربوط به سقط جنین');
INSERT INTO `lang_definitions` VALUES (126543, 41, 36, 'روش سقط جنین');
INSERT INTO `lang_definitions` VALUES (126544, 42, 36, 'دسته بندی های مربوط به سقط جنین');
INSERT INTO `lang_definitions` VALUES (126545, 43, 36, 'سقط جنین ها');
INSERT INTO `lang_definitions` VALUES (126546, 44, 36, 'در باره زمانبندی');
INSERT INTO `lang_definitions` VALUES (126547, 46, 36, 'غیبت ها بر اساس تشخیص');
INSERT INTO `lang_definitions` VALUES (126548, 47, 36, 'پذیرش واگذاری');
INSERT INTO `lang_definitions` VALUES (126549, 48, 36, 'پذیرش پرداخت برای');
INSERT INTO `lang_definitions` VALUES (126550, 49, 36, 'پذیرش پرداخت برای');
INSERT INTO `lang_definitions` VALUES (126551, 50, 36, 'حواله می پذیرد');
INSERT INTO `lang_definitions` VALUES (126552, 51, 36, 'کنترل دسترسی');
INSERT INTO `lang_definitions` VALUES (126553, 52, 36, 'مدیریت لیست کنترل دسترسی');
INSERT INTO `lang_definitions` VALUES (126554, 54, 36, 'دسترسی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (126555, 55, 36, 'دسترسی مجاز نیست');
INSERT INTO `lang_definitions` VALUES (126556, 56, 36, 'دسترسی به پورتال بیمار');
INSERT INTO `lang_definitions` VALUES (126557, 59, 36, 'نام حساب');
INSERT INTO `lang_definitions` VALUES (126558, 62, 36, 'حسابداری');
INSERT INTO `lang_definitions` VALUES (126559, 64, 36, 'دردها');
INSERT INTO `lang_definitions` VALUES (126560, 66, 36, 'قدردانی، صدور مجوز و گواهینامه');
INSERT INTO `lang_definitions` VALUES (126561, 71, 36, 'Acne');
INSERT INTO `lang_definitions` VALUES (126562, 74, 36, 'اقدام');
INSERT INTO `lang_definitions` VALUES (126563, 75, 36, 'اقدامات');
INSERT INTO `lang_definitions` VALUES (126564, 78, 36, 'فعال');
INSERT INTO `lang_definitions` VALUES (126565, 79, 36, 'هشدار فعال');
INSERT INTO `lang_definitions` VALUES (126566, 80, 36, 'قواعد هشدار فعال');
INSERT INTO `lang_definitions` VALUES (126567, 81, 36, 'هشدارها/یادآورهای فعال');
INSERT INTO `lang_definitions` VALUES (126568, 82, 36, 'ویزیت فعال');
INSERT INTO `lang_definitions` VALUES (126569, 84, 36, 'لیست های فعال');
INSERT INTO `lang_definitions` VALUES (126570, 85, 36, 'بیماران فعال');
INSERT INTO `lang_definitions` VALUES (126571, 86, 36, 'طرح های فعال');
INSERT INTO `lang_definitions` VALUES (126572, 87, 36, 'فعالیت');
INSERT INTO `lang_definitions` VALUES (126573, 88, 36, 'نوع فعالیت');
INSERT INTO `lang_definitions` VALUES (126574, 90, 36, 'مسمومیت / محرومیت حاد');
INSERT INTO `lang_definitions` VALUES (126575, 92, 36, 'حاد بر روی مزمن');
INSERT INTO `lang_definitions` VALUES (126576, 93, 36, 'جدید');
INSERT INTO `lang_definitions` VALUES (126577, 94, 36, 'جدید');
INSERT INTO `lang_definitions` VALUES (126578, 95, 36, 'جدید');
INSERT INTO `lang_definitions` VALUES (126579, 96, 36, 'شرکت جدید');
INSERT INTO `lang_definitions` VALUES (126580, 98, 36, 'داروخانه جدید');
INSERT INTO `lang_definitions` VALUES (126581, 100, 36, 'رویداد جدید ');
INSERT INTO `lang_definitions` VALUES (126582, 101, 36, 'یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (126583, 102, 36, 'اضافه کردن به عنوان جدید');
INSERT INTO `lang_definitions` VALUES (126584, 104, 36, 'اضافه کردن دکمه');
INSERT INTO `lang_definitions` VALUES (126585, 105, 36, 'برای کاراکتر های خاص دکمه اضافه کنید، متون در بالای ویرایشگر نمایش داده میشوند تا با کلیک کردن دکمه در داخل متن گنجاده شوند');
INSERT INTO `lang_definitions` VALUES (126586, 106, 36, 'رده جدید');
INSERT INTO `lang_definitions` VALUES (126587, 107, 36, 'عدد ثابت جدید');
INSERT INTO `lang_definitions` VALUES (126588, 108, 36, 'مفهوم جدید');
INSERT INTO `lang_definitions` VALUES (126589, 109, 36, 'فرانشیز جدید');
INSERT INTO `lang_definitions` VALUES (126590, 110, 36, 'معیار جدید');
INSERT INTO `lang_definitions` VALUES (126591, 111, 36, 'دکمه دلخواه جدید');
INSERT INTO `lang_definitions` VALUES (126592, 112, 36, 'تشخیص جدید');
INSERT INTO `lang_definitions` VALUES (126593, 113, 36, 'داروی جدید');
INSERT INTO `lang_definitions` VALUES (126594, 114, 36, 'ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (126595, 115, 36, 'ویزیت/یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (126596, 116, 36, 'درمانگاه جدید');
INSERT INTO `lang_definitions` VALUES (126597, 117, 36, 'فیلد جدید');
INSERT INTO `lang_definitions` VALUES (126598, 118, 36, 'خطوط زیر را به فایل تنظیمات آپاچی اضافه کن');
INSERT INTO `lang_definitions` VALUES (126599, 119, 36, 'گروه جدید');
INSERT INTO `lang_definitions` VALUES (126600, 121, 36, 'ایمن سازی جدید');
INSERT INTO `lang_definitions` VALUES (126601, 122, 36, 'اضافه کردن مجاز نیست!');
INSERT INTO `lang_definitions` VALUES (126602, 123, 36, 'مسئله جدید');
INSERT INTO `lang_definitions` VALUES (126603, 125, 36, 'زبان جدید');
INSERT INTO `lang_definitions` VALUES (126604, 126, 36, 'جدید');
INSERT INTO `lang_definitions` VALUES (126605, 127, 36, 'جدید');
INSERT INTO `lang_definitions` VALUES (126606, 128, 36, 'افزودن دسته بندی جدید ');
INSERT INTO `lang_definitions` VALUES (126607, 129, 36, 'افزودن گواهینامه های جدید به فایل تنظیمات آپاچی');
INSERT INTO `lang_definitions` VALUES (126608, 132, 36, 'افزودن گروه جدید');
INSERT INTO `lang_definitions` VALUES (126609, 134, 36, 'افزودن شماره سری و معامله');
INSERT INTO `lang_definitions` VALUES (126610, 135, 36, 'افزودن یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (126611, 136, 36, 'افزودن یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (126612, 137, 36, 'افزودن شریک زندگی جدید');
INSERT INTO `lang_definitions` VALUES (126613, 140, 36, 'یادداشت جدید');
INSERT INTO `lang_definitions` VALUES (126614, 141, 36, 'سابقه بیمار جدید');
INSERT INTO `lang_definitions` VALUES (126615, 142, 36, 'نسخه جدید');
INSERT INTO `lang_definitions` VALUES (126616, 143, 36, 'افزودن رویه');
INSERT INTO `lang_definitions` VALUES (126617, 144, 36, 'شماره ارائه دهنده جدید خدمات');
INSERT INTO `lang_definitions` VALUES (126618, 145, 36, 'بازتوانی جدید');
INSERT INTO `lang_definitions` VALUES (126619, 146, 36, 'قاعده جدید');
INSERT INTO `lang_definitions` VALUES (126620, 147, 36, 'افزودن به');
INSERT INTO `lang_definitions` VALUES (126621, 148, 36, 'افزودن به لیست داروها');
INSERT INTO `lang_definitions` VALUES (126622, 149, 36, 'افزودن به سطح بالا');
INSERT INTO `lang_definitions` VALUES (126623, 150, 36, 'تراکنش جدید');
INSERT INTO `lang_definitions` VALUES (126624, 151, 36, 'کاربر جدید');
INSERT INTO `lang_definitions` VALUES (126625, 152, 36, 'افزودن کاربر به گروه');
INSERT INTO `lang_definitions` VALUES (126626, 153, 36, 'افزودن/ویرایش نسخه الکترونیکی‌');
INSERT INTO `lang_definitions` VALUES (126627, 154, 36, 'افزودن/ویرایش تراکنش بیمار');
INSERT INTO `lang_definitions` VALUES (126628, 155, 36, 'اضافه شده');
INSERT INTO `lang_definitions` VALUES (126629, 156, 36, 'اضافه کردن اطلاعات دموگرافیک مجاز نیست.');
INSERT INTO `lang_definitions` VALUES (126630, 158, 36, 'سندروم آدیسون');
INSERT INTO `lang_definitions` VALUES (126631, 159, 36, 'سندروم آدیسون');
INSERT INTO `lang_definitions` VALUES (126632, 160, 36, 'ویژگیهای بیشتر');
INSERT INTO `lang_definitions` VALUES (126633, 161, 36, 'تشخیص های بیشتر:');
INSERT INTO `lang_definitions` VALUES (126634, 162, 36, 'سوابق دیگر');
INSERT INTO `lang_definitions` VALUES (126635, 163, 36, 'یادداشت سوابق بیشتر');
INSERT INTO `lang_definitions` VALUES (126636, 164, 36, 'اطلاعات بیشتر');
INSERT INTO `lang_definitions` VALUES (126637, 165, 36, 'آزمایشات بیشتر');
INSERT INTO `lang_definitions` VALUES (126638, 166, 36, 'یادداشت های بیشتر');
INSERT INTO `lang_definitions` VALUES (126639, 167, 36, 'یادداشت های بیشتر برای این یافته یا توصیه');
INSERT INTO `lang_definitions` VALUES (126640, 168, 36, 'یادداشت های بیشتر:');
INSERT INTO `lang_definitions` VALUES (126641, 169, 36, 'یادداشت های بیشتر: ');
INSERT INTO `lang_definitions` VALUES (126642, 170, 36, 'یادداشت های بیشترمربوط با تصاویرX-RAY:');
INSERT INTO `lang_definitions` VALUES (126643, 173, 36, 'کتابچه آدرس ها');
INSERT INTO `lang_definitions` VALUES (126644, 174, 36, 'کتابچه آدرس ها');
INSERT INTO `lang_definitions` VALUES (126645, 175, 36, 'آدرس');
INSERT INTO `lang_definitions` VALUES (126646, 178, 36, 'کتابچه آدرس ها');
INSERT INTO `lang_definitions` VALUES (126647, 182, 36, 'انواع کتابهای آدرس');
INSERT INTO `lang_definitions` VALUES (126648, 187, 36, 'آدرس 1');
INSERT INTO `lang_definitions` VALUES (126649, 188, 36, 'آدرس 2');
INSERT INTO `lang_definitions` VALUES (126650, 190, 36, 'اصلاح');
INSERT INTO `lang_definitions` VALUES (126651, 191, 36, 'اصلاح مبلغ');
INSERT INTO `lang_definitions` VALUES (126652, 192, 36, 'اصلاح');
INSERT INTO `lang_definitions` VALUES (126653, 193, 36, 'اصلاح');
INSERT INTO `lang_definitions` VALUES (126654, 194, 36, 'اصلاح مبلغ');
INSERT INTO `lang_definitions` VALUES (126655, 195, 36, 'دلایل اصلاح');
INSERT INTO `lang_definitions` VALUES (126656, 197, 36, 'اصلاحات');
INSERT INTO `lang_definitions` VALUES (126657, 199, 36, 'مدیر نرم افزار');
INSERT INTO `lang_definitions` VALUES (126658, 200, 36, 'آدرس پست الکترونیکی مدیر نرم افزار');
INSERT INTO `lang_definitions` VALUES (126659, 201, 36, 'مدیریت از طریق');
INSERT INTO `lang_definitions` VALUES (126660, 202, 36, 'مدیریت شده توسط');
INSERT INTO `lang_definitions` VALUES (126661, 203, 36, 'مدیریت شده توسط');
INSERT INTO `lang_definitions` VALUES (126662, 205, 36, 'سایت مدیریت شده');
INSERT INTO `lang_definitions` VALUES (126663, 206, 36, 'مدیریت');
INSERT INTO `lang_definitions` VALUES (126664, 207, 36, 'سایت مدیریت');
INSERT INTO `lang_definitions` VALUES (126665, 208, 36, 'مدیران');
INSERT INTO `lang_definitions` VALUES (126666, 209, 36, 'مدیران قادر به انجام کاری نیستند');
INSERT INTO `lang_definitions` VALUES (126667, 210, 36, 'تاریخ بستری');
INSERT INTO `lang_definitions` VALUES (126668, 212, 36, 'پایش و پیگیری وزن فرد بالغ');
INSERT INTO `lang_definitions` VALUES (126669, 213, 36, 'پایش و پیگیری وزن فرد بالغ (CQM)');
INSERT INTO `lang_definitions` VALUES (126670, 214, 36, 'دستورالعمل پیشرفته');
INSERT INTO `lang_definitions` VALUES (126671, 215, 36, 'دستورالعمل های پیشرفته');
INSERT INTO `lang_definitions` VALUES (126672, 216, 36, 'هشدار دستورالعمل های پیشرفته');
INSERT INTO `lang_definitions` VALUES (126673, 218, 36, 'پیشرفته');
INSERT INTO `lang_definitions` VALUES (126674, 219, 36, 'توصیه');
INSERT INTO `lang_definitions` VALUES (126675, 221, 36, 'Affect normal');
INSERT INTO `lang_definitions` VALUES (126676, 226, 36, 'پس از ذخیره فایل PDF، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (126677, 227, 36, 'پس از ذخیره \"فایل متنی\"، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (126678, 228, 36, 'پس از ذخیره \"دستورات دسته ای\"، برای بررسی‌ اشتباهات [مشاهده صورت عملیات] را کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (126679, 233, 36, 'مجددا');
INSERT INTO `lang_definitions` VALUES (126680, 234, 36, 'سن');
INSERT INTO `lang_definitions` VALUES (126681, 236, 36, 'طبقه بندی سنی');
INSERT INTO `lang_definitions` VALUES (126682, 237, 36, 'داده مربوط به سن خارج از محدوده سنی مجاز است.');
INSERT INTO `lang_definitions` VALUES (126683, 239, 36, 'فرمت سن برای\" سن از\" غیرمعتبر است');
INSERT INTO `lang_definitions` VALUES (126684, 240, 36, 'فرمت سن برای\" تا سن\" غیر معتبراست.');
INSERT INTO `lang_definitions` VALUES (126685, 241, 36, 'سن از');
INSERT INTO `lang_definitions` VALUES (126686, 243, 36, 'حداکثر سن');
INSERT INTO `lang_definitions` VALUES (126687, 244, 36, 'حداقل سن');
INSERT INTO `lang_definitions` VALUES (126688, 245, 36, 'محدوده سنی');
INSERT INTO `lang_definitions` VALUES (126689, 249, 36, 'آلبانیایی');
INSERT INTO `lang_definitions` VALUES (126690, 250, 36, 'الکل');
INSERT INTO `lang_definitions` VALUES (126691, 251, 36, 'مصرف الکل');
INSERT INTO `lang_definitions` VALUES (126692, 253, 36, 'هشدار تعداد');
INSERT INTO `lang_definitions` VALUES (126693, 255, 36, 'هشدارها');
INSERT INTO `lang_definitions` VALUES (126694, 259, 36, 'همه');
INSERT INTO `lang_definitions` VALUES (126695, 260, 36, 'همه');
INSERT INTO `lang_definitions` VALUES (126696, 266, 36, 'همه طبقه بندی ها');
INSERT INTO `lang_definitions` VALUES (126697, 268, 36, 'همه کدها');
INSERT INTO `lang_definitions` VALUES (126698, 269, 36, 'هر روز');
INSERT INTO `lang_definitions` VALUES (126699, 270, 36, 'رویداد برای همه روز');
INSERT INTO `lang_definitions` VALUES (126700, 271, 36, 'همه خصیصه های فردی، و گزینه های جستجو و کپی');
INSERT INTO `lang_definitions` VALUES (126701, 272, 36, 'همه درمانگاه ها');
INSERT INTO `lang_definitions` VALUES (126702, 273, 36, 'همه صدمات/مشکلات/مسائل');
INSERT INTO `lang_definitions` VALUES (126703, 274, 36, 'همه زبان های مجاز');
INSERT INTO `lang_definitions` VALUES (126704, 276, 36, 'همه یا بخشی از نام');
INSERT INTO `lang_definitions` VALUES (126705, 277, 36, 'همه یا بخشی از نام خانوادگی');
INSERT INTO `lang_definitions` VALUES (126706, 278, 36, 'همه یا بخشی از سازمان');
INSERT INTO `lang_definitions` VALUES (126707, 280, 36, 'همه محصولات');
INSERT INTO `lang_definitions` VALUES (126708, 281, 36, 'همه ارائه دهندگان خدمات');
INSERT INTO `lang_definitions` VALUES (126709, 282, 36, 'همه بررسی‌ شده و منفی‌ :');
INSERT INTO `lang_definitions` VALUES (126710, 283, 36, 'همه عناوین');
INSERT INTO `lang_definitions` VALUES (126711, 284, 36, 'همه کاربران');
INSERT INTO `lang_definitions` VALUES (126712, 285, 36, 'حساسیت');
INSERT INTO `lang_definitions` VALUES (126713, 286, 36, 'حساسیت ها');
INSERT INTO `lang_definitions` VALUES (126714, 287, 36, 'حساسیت ها:');
INSERT INTO `lang_definitions` VALUES (126715, 288, 36, 'حساسیت');
INSERT INTO `lang_definitions` VALUES (126716, 289, 36, 'ورود آلرژی با موفقیت به پایان رسید');
INSERT INTO `lang_definitions` VALUES (126717, 291, 36, 'واکنش آلرژی');
INSERT INTO `lang_definitions` VALUES (126718, 294, 36, 'اختصاص');
INSERT INTO `lang_definitions` VALUES (126719, 295, 36, 'اجازه');
INSERT INTO `lang_definitions` VALUES (126720, 298, 36, 'اجازه رفع اشکال زبان');
INSERT INTO `lang_definitions` VALUES (126721, 299, 36, 'اجازه ایمیل');
INSERT INTO `lang_definitions` VALUES (126722, 300, 36, 'اجازه پیام های ایمیل؟');
INSERT INTO `lang_definitions` VALUES (126723, 301, 36, 'اجازه ایمیل؟');
INSERT INTO `lang_definitions` VALUES (126724, 303, 36, 'اجازه تبادل اطلاعات پزشکی');
INSERT INTO `lang_definitions` VALUES (126725, 304, 36, 'اجازه به اشتراک گذاشتن اطلاعات واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (126726, 305, 36, 'اجازه استفاده از رجیستری واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (126727, 306, 36, 'اجازه نامه');
INSERT INTO `lang_definitions` VALUES (126728, 308, 36, 'اجازه پورتال بیمار');
INSERT INTO `lang_definitions` VALUES (126729, 309, 36, 'اجازه SMS');
INSERT INTO `lang_definitions` VALUES (126730, 310, 36, 'اجازه SMS (پیام های متنی)؟');
INSERT INTO `lang_definitions` VALUES (126731, 312, 36, 'اجازه پیام تلفنی؟');
INSERT INTO `lang_definitions` VALUES (126732, 313, 36, 'اجازه کاربران برای انتشار وقایع سراسری');
INSERT INTO `lang_definitions` VALUES (126733, 314, 36, 'اجازه کاربران برای انتشار تقویم های شخصی');
INSERT INTO `lang_definitions` VALUES (126734, 315, 36, 'اجازه پیام صوتی');
INSERT INTO `lang_definitions` VALUES (126735, 316, 36, 'مجاز');
INSERT INTO `lang_definitions` VALUES (126736, 317, 36, 'زبان های مجاز');
INSERT INTO `lang_definitions` VALUES (126737, 323, 36, 'از قبل وجود دارد');
INSERT INTO `lang_definitions` VALUES (126738, 324, 36, 'از قبل وجود دارد.');
INSERT INTO `lang_definitions` VALUES (126739, 325, 36, 'پیش از این استفاده شده است، شناسه دیگری انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (126740, 326, 36, 'پیش از این استفاده شده است، عنوان دیگری انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (126741, 330, 36, 'روز');
INSERT INTO `lang_definitions` VALUES (126742, 347, 36, 'مقدار');
INSERT INTO `lang_definitions` VALUES (126743, 348, 36, 'مقدار تهیه شده');
INSERT INTO `lang_definitions` VALUES (126744, 351, 36, 'مبلغ بابت این ملاقات');
INSERT INTO `lang_definitions` VALUES (126745, 352, 36, 'مبلغ پرداخت شده');
INSERT INTO `lang_definitions` VALUES (126746, 353, 36, 'مبلغ:');
INSERT INTO `lang_definitions` VALUES (126747, 365, 36, 'و');
INSERT INTO `lang_definitions` VALUES (126748, 366, 36, 'و');
INSERT INTO `lang_definitions` VALUES (126749, 367, 36, 'و');
INSERT INTO `lang_definitions` VALUES (126750, 368, 36, 'و ');
INSERT INTO `lang_definitions` VALUES (126751, 374, 36, 'کم خونی');
INSERT INTO `lang_definitions` VALUES (126752, 375, 36, 'مچ پا');
INSERT INTO `lang_definitions` VALUES (126753, 376, 36, 'مچ پا + پاشنه');
INSERT INTO `lang_definitions` VALUES (126754, 377, 36, 'فرم ارزیابی مچ پا');
INSERT INTO `lang_definitions` VALUES (126755, 378, 36, 'مشکلات مچ پا');
INSERT INTO `lang_definitions` VALUES (126756, 379, 36, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (126757, 380, 36, 'Ankylosing Spondlilitis');
INSERT INTO `lang_definitions` VALUES (126758, 381, 36, 'Anorexia');
INSERT INTO `lang_definitions` VALUES (126759, 384, 36, 'معاینه مقعد نرمال، عدم وجود حساسیت در لمس و توده');
INSERT INTO `lang_definitions` VALUES (126760, 385, 36, 'اضطراب');
INSERT INTO `lang_definitions` VALUES (126761, 386, 36, 'هر');
INSERT INTO `lang_definitions` VALUES (126762, 387, 36, 'هر دسته بندی');
INSERT INTO `lang_definitions` VALUES (126763, 395, 36, 'آپنه');
INSERT INTO `lang_definitions` VALUES (126764, 398, 36, 'پیوست این یادداشت');
INSERT INTO `lang_definitions` VALUES (126765, 399, 36, 'پیوست به یادداشت موجود');
INSERT INTO `lang_definitions` VALUES (126766, 400, 36, 'پیوست به این یادداشت');
INSERT INTO `lang_definitions` VALUES (126767, 401, 36, 'پیوست به این یادداشت');
INSERT INTO `lang_definitions` VALUES (126768, 402, 36, 'برداشتن اپاندیس');
INSERT INTO `lang_definitions` VALUES (126769, 417, 36, 'قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (126770, 418, 36, 'تاریخ قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (126771, 419, 36, 'سبک نمایش قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (126772, 420, 36, 'قاعده یادآوری قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (126773, 421, 36, 'وضعیت قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (126774, 422, 36, 'وضعیت های قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (126775, 423, 36, 'قرار ملاقات در ضمن');
INSERT INTO `lang_definitions` VALUES (126776, 424, 36, 'رنگ قرار ملاقات/رویداد');
INSERT INTO `lang_definitions` VALUES (126777, 425, 36, 'قرار ملاقات ها');
INSERT INTO `lang_definitions` VALUES (126778, 434, 36, 'تصویب');
INSERT INTO `lang_definitions` VALUES (126779, 436, 36, 'تصویب شده');
INSERT INTO `lang_definitions` VALUES (126780, 442, 36, 'آوریل');
INSERT INTO `lang_definitions` VALUES (126781, 443, 36, 'آوریل');
INSERT INTO `lang_definitions` VALUES (126782, 447, 36, 'آیا نام گروه های کنترل دسترسی باید ترجمه شوند؟');
INSERT INTO `lang_definitions` VALUES (126783, 453, 36, 'آیا آماده تکمیل یک مسئله GCAC جدید برای این ملاقات هستید؟');
INSERT INTO `lang_definitions` VALUES (126784, 475, 36, 'ارمنی');
INSERT INTO `lang_definitions` VALUES (126785, 477, 36, 'آریتمی');
INSERT INTO `lang_definitions` VALUES (126786, 478, 36, 'آرتروز');
INSERT INTO `lang_definitions` VALUES (126787, 479, 36, 'Arthritis / degen joint diseas');
INSERT INTO `lang_definitions` VALUES (126788, 480, 36, 'Arthritis / degen joint disease');
INSERT INTO `lang_definitions` VALUES (126789, 484, 36, 'آسیایی');
INSERT INTO `lang_definitions` VALUES (126790, 487, 36, 'ارزیابی');
INSERT INTO `lang_definitions` VALUES (126791, 488, 36, 'محول شده به');
INSERT INTO `lang_definitions` VALUES (126792, 489, 36, 'دستیار');
INSERT INTO `lang_definitions` VALUES (126793, 490, 36, 'آسم');
INSERT INTO `lang_definitions` VALUES (126794, 491, 36, 'در');
INSERT INTO `lang_definitions` VALUES (126795, 493, 36, 'At the Navicular');
INSERT INTO `lang_definitions` VALUES (126796, 494, 36, 'At the Navicular:');
INSERT INTO `lang_definitions` VALUES (126797, 497, 36, 'Athletic/Injury');
INSERT INTO `lang_definitions` VALUES (126798, 503, 36, 'توجه');
INSERT INTO `lang_definitions` VALUES (126799, 504, 36, 'توجه');
INSERT INTO `lang_definitions` VALUES (126800, 516, 36, 'اوت');
INSERT INTO `lang_definitions` VALUES (126801, 517, 36, 'اوت');
INSERT INTO `lang_definitions` VALUES (126802, 523, 36, 'گروه مجوز');
INSERT INTO `lang_definitions` VALUES (126803, 524, 36, 'وضعیت مجوز');
INSERT INTO `lang_definitions` VALUES (126804, 525, 36, 'مجوزها');
INSERT INTO `lang_definitions` VALUES (126805, 526, 36, 'اجازه دادن');
INSERT INTO `lang_definitions` VALUES (126806, 530, 36, 'مجاز');
INSERT INTO `lang_definitions` VALUES (126807, 531, 36, 'مجاز تنها');
INSERT INTO `lang_definitions` VALUES (126808, 558, 36, 'Avulsion / avulsion fracture');
INSERT INTO `lang_definitions` VALUES (126809, 560, 36, 'Avulsion medial malleolus ');
INSERT INTO `lang_definitions` VALUES (126810, 562, 36, 'Axillary');
INSERT INTO `lang_definitions` VALUES (126811, 565, 36, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (126812, 568, 36, 'هشت ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126813, 569, 36, 'یازده ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126814, 570, 36, 'پنج ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126815, 571, 36, 'چهار ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126816, 572, 36, 'نه‌ ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126817, 573, 36, 'یک ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126818, 574, 36, 'کمر درد');
INSERT INTO `lang_definitions` VALUES (126819, 575, 36, 'مشکلات کمر');
INSERT INTO `lang_definitions` VALUES (126820, 576, 36, 'هفت ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126821, 577, 36, 'شش ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126822, 578, 36, 'عمل جراحی پشت');
INSERT INTO `lang_definitions` VALUES (126823, 579, 36, 'ده ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126824, 580, 36, 'سه ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126825, 581, 36, 'بازگشت به صفحه مدیریت');
INSERT INTO `lang_definitions` VALUES (126826, 584, 36, 'بازگشت به پرونده بیمار');
INSERT INTO `lang_definitions` VALUES (126827, 585, 36, 'بازگشت به صفحه کاربران');
INSERT INTO `lang_definitions` VALUES (126828, 587, 36, 'دوازده ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126829, 588, 36, 'دو ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (126830, 590, 36, 'نسخه پشتیبان');
INSERT INTO `lang_definitions` VALUES (126831, 594, 36, 'چک بی‌ محل');
INSERT INTO `lang_definitions` VALUES (126832, 595, 36, 'بدهی بد');
INSERT INTO `lang_definitions` VALUES (126833, 607, 36, 'Base of fifth (5th) Metarsal');
INSERT INTO `lang_definitions` VALUES (126834, 608, 36, 'Base of fifth (5th) Metarsal:');
INSERT INTO `lang_definitions` VALUES (126835, 614, 36, 'پرداخت های دسته ای');
INSERT INTO `lang_definitions` VALUES (126836, 616, 36, 'نتایج دسته ای');
INSERT INTO `lang_definitions` VALUES (126837, 621, 36, 'از تاریخ');
INSERT INTO `lang_definitions` VALUES (126838, 630, 36, 'بین');
INSERT INTO `lang_definitions` VALUES (126839, 633, 36, 'دو طرفه');
INSERT INTO `lang_definitions` VALUES (126840, 634, 36, 'دو طرفه:');
INSERT INTO `lang_definitions` VALUES (126841, 636, 36, 'تاریخ صورتحساب:');
INSERT INTO `lang_definitions` VALUES (126842, 638, 36, 'صورتحساب صادر شد');
INSERT INTO `lang_definitions` VALUES (126843, 640, 36, 'حسابداری');
INSERT INTO `lang_definitions` VALUES (126844, 641, 36, 'حسابداری (نوشتن اختیاری است)');
INSERT INTO `lang_definitions` VALUES (126845, 642, 36, 'توجه حسابداری');
INSERT INTO `lang_definitions` VALUES (126846, 644, 36, 'کد حسابداری برای سرویس های درخواست شده');
INSERT INTO `lang_definitions` VALUES (126847, 645, 36, 'کدهای حسابداری');
INSERT INTO `lang_definitions` VALUES (126848, 646, 36, 'ارقام حسابداری');
INSERT INTO `lang_definitions` VALUES (126849, 647, 36, 'گروه حسابداری');
INSERT INTO `lang_definitions` VALUES (126850, 648, 36, 'صادرکننده صورت حساب');
INSERT INTO `lang_definitions` VALUES (126851, 649, 36, 'اطلاعات حسابداری');
INSERT INTO `lang_definitions` VALUES (126852, 650, 36, 'محل صدور صورت حساب');
INSERT INTO `lang_definitions` VALUES (126853, 655, 36, 'مدیر حسابداری');
INSERT INTO `lang_definitions` VALUES (126854, 656, 36, 'یادداشت حسابداری');
INSERT INTO `lang_definitions` VALUES (126855, 657, 36, 'یادداشت حسابداری برای ');
INSERT INTO `lang_definitions` VALUES (126856, 658, 36, 'یادداشت حسابداری:');
INSERT INTO `lang_definitions` VALUES (126857, 660, 36, 'گزارش حسابداری');
INSERT INTO `lang_definitions` VALUES (126858, 661, 36, 'وضعیت حسابداری');
INSERT INTO `lang_definitions` VALUES (126859, 662, 36, 'وضعیت حسابداری = صورتحساب صادر نشده');
INSERT INTO `lang_definitions` VALUES (126860, 663, 36, 'صدور صورت حساب ');
INSERT INTO `lang_definitions` VALUES (126861, 665, 36, 'نمونه برداری');
INSERT INTO `lang_definitions` VALUES (126862, 666, 36, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (126863, 669, 36, 'سیاه');
INSERT INTO `lang_definitions` VALUES (126864, 670, 36, 'ریه سیاه');
INSERT INTO `lang_definitions` VALUES (126865, 671, 36, 'سیاه یا آمریکایی آفریقایی تبار');
INSERT INTO `lang_definitions` VALUES (126866, 672, 36, 'سرطان مثانه');
INSERT INTO `lang_definitions` VALUES (126867, 673, 36, 'عفونت مثانه');
INSERT INTO `lang_definitions` VALUES (126868, 674, 36, 'فرم های خالی');
INSERT INTO `lang_definitions` VALUES (126869, 675, 36, 'مشکلات خونریزی');
INSERT INTO `lang_definitions` VALUES (126870, 676, 36, 'نقاط کور');
INSERT INTO `lang_definitions` VALUES (126871, 677, 36, 'نفخ شکم');
INSERT INTO `lang_definitions` VALUES (126872, 678, 36, 'مسدود شده');
INSERT INTO `lang_definitions` VALUES (126873, 679, 36, 'خون');
INSERT INTO `lang_definitions` VALUES (126874, 680, 36, 'فشار خون');
INSERT INTO `lang_definitions` VALUES (126875, 681, 36, 'فشار خون');
INSERT INTO `lang_definitions` VALUES (126876, 682, 36, 'بینی خونین');
INSERT INTO `lang_definitions` VALUES (126877, 685, 36, 'تاری دید');
INSERT INTO `lang_definitions` VALUES (126878, 686, 36, 'شاخص توده بدن');
INSERT INTO `lang_definitions` VALUES (126879, 687, 36, 'وضعیت شاخص توده بدن');
INSERT INTO `lang_definitions` VALUES (126880, 689, 36, 'ناحیه بدن');
INSERT INTO `lang_definitions` VALUES (126881, 692, 36, 'Bone Tenderness:');
INSERT INTO `lang_definitions` VALUES (126882, 693, 36, 'Bone Tenderness: Medial Malleolus');
INSERT INTO `lang_definitions` VALUES (126883, 696, 36, 'پایین');
INSERT INTO `lang_definitions` VALUES (126884, 697, 36, 'هر دو گوش');
INSERT INTO `lang_definitions` VALUES (126885, 698, 36, 'هر دو گوش');
INSERT INTO `lang_definitions` VALUES (126886, 699, 36, 'پایین');
INSERT INTO `lang_definitions` VALUES (126887, 722, 36, 'پرتغالی برزیل');
INSERT INTO `lang_definitions` VALUES (126888, 723, 36, 'سینه');
INSERT INTO `lang_definitions` VALUES (126889, 724, 36, 'بیوپسی سینه');
INSERT INTO `lang_definitions` VALUES (126890, 725, 36, 'ترشح سینه');
INSERT INTO `lang_definitions` VALUES (126891, 726, 36, 'بیماری سینه');
INSERT INTO `lang_definitions` VALUES (126892, 727, 36, 'معاینه سینه');
INSERT INTO `lang_definitions` VALUES (126893, 730, 36, 'صداهای تنفسی:');
INSERT INTO `lang_definitions` VALUES (126894, 732, 36, 'شکستگی استخوان');
INSERT INTO `lang_definitions` VALUES (126895, 734, 36, 'فرم برونشیت');
INSERT INTO `lang_definitions` VALUES (126896, 737, 36, 'کبودی / هماتوم');
INSERT INTO `lang_definitions` VALUES (126897, 739, 36, 'متورم راست:');
INSERT INTO `lang_definitions` VALUES (126898, 741, 36, 'سوزش ادرار');
INSERT INTO `lang_definitions` VALUES (126899, 742, 36, 'سوزش ادرار');
INSERT INTO `lang_definitions` VALUES (126900, 744, 36, 'مشغول');
INSERT INTO `lang_definitions` VALUES (126901, 745, 36, 'اما هنوز پردازش نشده.');
INSERT INTO `lang_definitions` VALUES (126902, 746, 36, 'باسن');
INSERT INTO `lang_definitions` VALUES (126903, 748, 36, 'توسط');
INSERT INTO `lang_definitions` VALUES (126904, 749, 36, 'توسط');
INSERT INTO `lang_definitions` VALUES (126905, 750, 36, 'توسط دهان');
INSERT INTO `lang_definitions` VALUES (126906, 751, 36, 'توسط/منبع');
INSERT INTO `lang_definitions` VALUES (126907, 752, 36, 'برای:');
INSERT INTO `lang_definitions` VALUES (126908, 758, 36, 'تقویم');
INSERT INTO `lang_definitions` VALUES (126909, 759, 36, 'ساعت پایان تقویم');
INSERT INTO `lang_definitions` VALUES (126910, 761, 36, 'صفحه نمایش تقویم');
INSERT INTO `lang_definitions` VALUES (126911, 762, 36, 'تنظیمات تقویم');
INSERT INTO `lang_definitions` VALUES (126912, 763, 36, 'ساعت شروع تقویم');
INSERT INTO `lang_definitions` VALUES (126913, 765, 36, 'نمایش تقویم');
INSERT INTO `lang_definitions` VALUES (126914, 767, 36, 'کالری');
INSERT INTO `lang_definitions` VALUES (126915, 768, 36, 'کامبوج');
INSERT INTO `lang_definitions` VALUES (126916, 774, 36, 'لغو');
INSERT INTO `lang_definitions` VALUES (126917, 775, 36, 'لغو تغییرات');
INSERT INTO `lang_definitions` VALUES (126918, 776, 36, 'لغو شد');
INSERT INTO `lang_definitions` VALUES (126919, 777, 36, 'سرطان');
INSERT INTO `lang_definitions` VALUES (126920, 790, 36, 'ایجاد نمی توان کرد');
INSERT INTO `lang_definitions` VALUES (126921, 795, 36, 'پیدا نمی توان کرد ');
INSERT INTO `lang_definitions` VALUES (126922, 814, 36, 'Cardiac Catheterization');
INSERT INTO `lang_definitions` VALUES (126923, 815, 36, 'Cardiac Echo');
INSERT INTO `lang_definitions` VALUES (126924, 816, 36, 'Cardiovascular');
INSERT INTO `lang_definitions` VALUES (126925, 821, 36, 'Cartilage / chondral / disc damage');
INSERT INTO `lang_definitions` VALUES (126926, 822, 36, 'Cartilage injury');
INSERT INTO `lang_definitions` VALUES (126927, 823, 36, 'Cartoid pulsations nl, pedal pulses nl');
INSERT INTO `lang_definitions` VALUES (126928, 824, 36, 'پول نقد');
INSERT INTO `lang_definitions` VALUES (126929, 825, 36, 'پول نقد');
INSERT INTO `lang_definitions` VALUES (126930, 829, 36, 'جراحی آب مروارید');
INSERT INTO `lang_definitions` VALUES (126931, 830, 36, 'آب مروارید');
INSERT INTO `lang_definitions` VALUES (126932, 831, 36, 'دسته بندی ها');
INSERT INTO `lang_definitions` VALUES (126933, 832, 36, 'دسته بندی ها برای');
INSERT INTO `lang_definitions` VALUES (126934, 833, 36, 'دسته بندی');
INSERT INTO `lang_definitions` VALUES (126935, 834, 36, 'دسته بندی');
INSERT INTO `lang_definitions` VALUES (126936, 835, 36, 'دسته بندی ');
INSERT INTO `lang_definitions` VALUES (126937, 836, 36, 'جزئیات دسته بندی');
INSERT INTO `lang_definitions` VALUES (126938, 837, 36, 'محدوده دسته بندی');
INSERT INTO `lang_definitions` VALUES (126939, 838, 36, 'نام دسته بندی');
INSERT INTO `lang_definitions` VALUES (126940, 839, 36, 'نام دسته بندی خالی است');
INSERT INTO `lang_definitions` VALUES (126941, 840, 36, 'دسته بندی/عنوان');
INSERT INTO `lang_definitions` VALUES (126942, 853, 36, 'تلفن همراه');
INSERT INTO `lang_definitions` VALUES (126943, 855, 36, 'شماره تلفن همراه');
INSERT INTO `lang_definitions` VALUES (126944, 862, 36, 'گواهینامه ها');
INSERT INTO `lang_definitions` VALUES (126945, 866, 36, 'تغییر');
INSERT INTO `lang_definitions` VALUES (126946, 867, 36, 'تغییر');
INSERT INTO `lang_definitions` VALUES (126947, 868, 36, 'تغییر فعالیت');
INSERT INTO `lang_definitions` VALUES (126948, 870, 36, 'تغییر در بینایی');
INSERT INTO `lang_definitions` VALUES (126949, 871, 36, 'تغییر در بینایی');
INSERT INTO `lang_definitions` VALUES (126950, 874, 36, 'تغییر');
INSERT INTO `lang_definitions` VALUES (126951, 877, 36, 'مشخصات');
INSERT INTO `lang_definitions` VALUES (126952, 878, 36, 'حروف باقی مانده');
INSERT INTO `lang_definitions` VALUES (126953, 879, 36, 'هزینه');
INSERT INTO `lang_definitions` VALUES (126954, 880, 36, 'تصحیح شارژ');
INSERT INTO `lang_definitions` VALUES (126955, 881, 36, 'شارژ کد شده');
INSERT INTO `lang_definitions` VALUES (126956, 882, 36, 'شارژ ها');
INSERT INTO `lang_definitions` VALUES (126957, 883, 36, 'پرونده');
INSERT INTO `lang_definitions` VALUES (126958, 884, 36, 'تغییرات پرونده');
INSERT INTO `lang_definitions` VALUES (126959, 885, 36, 'تاریخچه تحویل دادن و پس گرفتن پرونده');
INSERT INTO `lang_definitions` VALUES (126960, 886, 36, 'شناسه پرونده');
INSERT INTO `lang_definitions` VALUES (126961, 887, 36, 'شناسه پرونده:');
INSERT INTO `lang_definitions` VALUES (126962, 891, 36, 'شماره پرونده');
INSERT INTO `lang_definitions` VALUES (126963, 892, 36, 'محل ذخیره پرونده');
INSERT INTO `lang_definitions` VALUES (126964, 893, 36, 'ردیاب پرونده');
INSERT INTO `lang_definitions` VALUES (126965, 895, 36, 'پرونده های تحویل داده شده');
INSERT INTO `lang_definitions` VALUES (126966, 898, 36, 'چک');
INSERT INTO `lang_definitions` VALUES (126967, 899, 36, 'چک');
INSERT INTO `lang_definitions` VALUES (126968, 900, 36, 'چک همه');
INSERT INTO `lang_definitions` VALUES (126969, 902, 36, 'مبلغ چک');
INSERT INTO `lang_definitions` VALUES (126970, 903, 36, 'تاریخ چک');
INSERT INTO `lang_definitions` VALUES (126971, 904, 36, 'تفاوت ترجمه را با جدول زبان های مخصوص بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (126972, 906, 36, 'بررسی به');
INSERT INTO `lang_definitions` VALUES (126973, 907, 36, 'بررسی داده های ورودی');
INSERT INTO `lang_definitions` VALUES (126974, 909, 36, 'بررسی نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (126975, 912, 36, 'شماره چک');
INSERT INTO `lang_definitions` VALUES (126976, 915, 36, 'پرداخت چک');
INSERT INTO `lang_definitions` VALUES (126977, 916, 36, 'این گزینه را علامت بزنید اگر این یک فایل رمزگذاری شده است');
INSERT INTO `lang_definitions` VALUES (126978, 917, 36, 'این گزینه را علامت بزنید اگر شما می خواهید ارائه دهندگان خدمات پزشکی به طور پیش فرض قرار ملاقات همه بیماران را ببینند و نه فقط مال خود را.');
INSERT INTO `lang_definitions` VALUES (126979, 919, 36, 'تاریخ چک / توضیح مزایا:');
INSERT INTO `lang_definitions` VALUES (126980, 920, 36, 'شماره چک / توضیح مزایا:');
INSERT INTO `lang_definitions` VALUES (126981, 921, 36, 'شماره چک / مرجع');
INSERT INTO `lang_definitions` VALUES (126982, 922, 36, 'شماره چک / مرجع');
INSERT INTO `lang_definitions` VALUES (126983, 923, 36, 'فهرست گزینه ها');
INSERT INTO `lang_definitions` VALUES (126984, 924, 36, 'فهرست گزینه ها');
INSERT INTO `lang_definitions` VALUES (126985, 925, 36, 'گزینه با متن');
INSERT INTO `lang_definitions` VALUES (126986, 926, 36, 'گزینه با متن');
INSERT INTO `lang_definitions` VALUES (126987, 928, 36, 'علامت زده شده');
INSERT INTO `lang_definitions` VALUES (126988, 929, 36, 'گزینه علامت زده شده = بله، خالی = هیچ');
INSERT INTO `lang_definitions` VALUES (126989, 932, 36, 'مرخص شدن');
INSERT INTO `lang_definitions` VALUES (126990, 933, 36, 'شماره کنترل');
INSERT INTO `lang_definitions` VALUES (126991, 934, 36, 'قفسه سینه');
INSERT INTO `lang_definitions` VALUES (126992, 936, 36, 'درد قفسه سینه');
INSERT INTO `lang_definitions` VALUES (126993, 937, 36, 'درد قفسه سینه:');
INSERT INTO `lang_definitions` VALUES (126994, 938, 36, 'دردهای قفسه سینه');
INSERT INTO `lang_definitions` VALUES (126995, 942, 36, 'شکایت اصلی');
INSERT INTO `lang_definitions` VALUES (126996, 943, 36, 'کودک');
INSERT INTO `lang_definitions` VALUES (126997, 946, 36, 'لرز');
INSERT INTO `lang_definitions` VALUES (126998, 947, 36, 'چینی');
INSERT INTO `lang_definitions` VALUES (126999, 948, 36, 'چینی (ساده شده)');
INSERT INTO `lang_definitions` VALUES (127000, 949, 36, 'چینی (سنتی)');
INSERT INTO `lang_definitions` VALUES (127001, 951, 36, 'گزینه ها');
INSERT INTO `lang_definitions` VALUES (127002, 955, 36, 'انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (127003, 957, 36, 'معیار را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (127004, 962, 36, 'فهرست را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (127005, 967, 36, 'برونشیت مزمن');
INSERT INTO `lang_definitions` VALUES (127006, 968, 36, 'درد مفاصل مزمن');
INSERT INTO `lang_definitions` VALUES (127007, 969, 36, 'Chronic Kidney Disease (CKD)');
INSERT INTO `lang_definitions` VALUES (127008, 970, 36, 'Chronic synovitis / effusion / joint pain / gout');
INSERT INTO `lang_definitions` VALUES (127009, 971, 36, 'Chronic/Recurrent');
INSERT INTO `lang_definitions` VALUES (127010, 973, 36, 'Cirrhosis of the Liver');
INSERT INTO `lang_definitions` VALUES (127011, 974, 36, 'Cirrhosis Of The Liver');
INSERT INTO `lang_definitions` VALUES (127012, 975, 36, 'شهر');
INSERT INTO `lang_definitions` VALUES (127013, 976, 36, 'نام شهر');
INSERT INTO `lang_definitions` VALUES (127014, 977, 36, 'شهر، استان');
INSERT INTO `lang_definitions` VALUES (127015, 978, 36, 'شهر، استان, کد پستی');
INSERT INTO `lang_definitions` VALUES (127016, 979, 36, 'شهر/استان');
INSERT INTO `lang_definitions` VALUES (127017, 980, 36, 'مطالبه');
INSERT INTO `lang_definitions` VALUES (127018, 981, 36, 'مطالبه ');
INSERT INTO `lang_definitions` VALUES (127019, 983, 36, 'آزمون مطالبه به اتمام رسانده');
INSERT INTO `lang_definitions` VALUES (127020, 984, 36, 'نوع مطالبه');
INSERT INTO `lang_definitions` VALUES (127021, 985, 36, 'مطالبه تبدیل به فایل شد');
INSERT INTO `lang_definitions` VALUES (127022, 986, 36, 'مطالبه تبدیل به فایل شد ');
INSERT INTO `lang_definitions` VALUES (127023, 987, 36, 'مطالبات');
INSERT INTO `lang_definitions` VALUES (127024, 988, 36, 'طبقه بندی');
INSERT INTO `lang_definitions` VALUES (127025, 989, 36, 'پاک کردن');
INSERT INTO `lang_definitions` VALUES (127026, 991, 36, 'پاک کردن همه');
INSERT INTO `lang_definitions` VALUES (127027, 993, 36, 'پاک کردن توجیه');
INSERT INTO `lang_definitions` VALUES (127028, 994, 36, 'پاک کردن حافظه نهان Smarty');
INSERT INTO `lang_definitions` VALUES (127029, 997, 36, 'کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127030, 1037, 36, 'برای دانلود کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127031, 1038, 36, 'برای ویرایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127032, 1043, 36, 'برای چاپ کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127033, 1045, 36, 'برای انتخاب کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127034, 1046, 36, 'برای انتخاب کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127035, 1051, 36, 'برای انتخاب یا تغییر تشخیص کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127036, 1052, 36, 'برای انتخاب یا تغییر کد خدمات کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127037, 1053, 36, 'برای انتخاب بیمار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127038, 1054, 36, 'برای انتخاب کد مربوطه کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127039, 1055, 36, 'اگر این نتیجه غیر طبیعی است، برای انتخاب و انجام خدمات کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127040, 1056, 36, 'برای انتخاب روش مورد نظر کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127041, 1058, 36, 'برای مشاهده کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127042, 1059, 36, 'برای مشاهده یا ویرایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127043, 1060, 36, 'برای مشاهده/ویرایش کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127044, 1061, 36, 'برای ارتقاء انتشار پایگاه داده ها از تاریخ زیر دکمه به روز رسانی را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127045, 1063, 36, 'کلیک کنید:');
INSERT INTO `lang_definitions` VALUES (127046, 1067, 36, 'نسخه مراجع');
INSERT INTO `lang_definitions` VALUES (127047, 1069, 36, 'خلاصه تاریخچه طبی مراجع');
INSERT INTO `lang_definitions` VALUES (127048, 1070, 36, 'نام مراجع');
INSERT INTO `lang_definitions` VALUES (127049, 1071, 36, 'شماره مراجع');
INSERT INTO `lang_definitions` VALUES (127050, 1074, 36, 'مشتریان');
INSERT INTO `lang_definitions` VALUES (127051, 1075, 36, 'درمانگاه');
INSERT INTO `lang_definitions` VALUES (127052, 1076, 36, 'نسخه کلینیک');
INSERT INTO `lang_definitions` VALUES (127053, 1077, 36, 'رکورد روزانه کلینیک');
INSERT INTO `lang_definitions` VALUES (127054, 1078, 36, 'شناسه کلینیک');
INSERT INTO `lang_definitions` VALUES (127055, 1079, 36, 'درمانی');
INSERT INTO `lang_definitions` VALUES (127056, 1087, 36, 'یادآورهای بالینی');
INSERT INTO `lang_definitions` VALUES (127057, 1088, 36, 'گزارش های بالینی');
INSERT INTO `lang_definitions` VALUES (127058, 1102, 36, 'اهداف درمانی');
INSERT INTO `lang_definitions` VALUES (127059, 1106, 36, 'پزشکان');
INSERT INTO `lang_definitions` VALUES (127060, 1107, 36, 'کپی‌');
INSERT INTO `lang_definitions` VALUES (127061, 1108, 36, 'کپی‌ ملاقات گذشته');
INSERT INTO `lang_definitions` VALUES (127062, 1109, 36, 'بستن');
INSERT INTO `lang_definitions` VALUES (127063, 1111, 36, 'بستن این صفحه');
INSERT INTO `lang_definitions` VALUES (127064, 1112, 36, 'بسته شده');
INSERT INTO `lang_definitions` VALUES (127065, 1131, 36, 'کد');
INSERT INTO `lang_definitions` VALUES (127066, 1132, 36, 'کد');
INSERT INTO `lang_definitions` VALUES (127067, 1138, 36, 'انواع کد');
INSERT INTO `lang_definitions` VALUES (127068, 1141, 36, 'انواع کد');
INSERT INTO `lang_definitions` VALUES (127069, 1143, 36, 'کد شده');
INSERT INTO `lang_definitions` VALUES (127070, 1144, 36, 'کدها');
INSERT INTO `lang_definitions` VALUES (127071, 1145, 36, 'کد نویسی');
INSERT INTO `lang_definitions` VALUES (127072, 1150, 36, 'قهوه');
INSERT INTO `lang_definitions` VALUES (127073, 1154, 36, 'کوچک کردن');
INSERT INTO `lang_definitions` VALUES (127074, 1155, 36, 'کوچک کردن');
INSERT INTO `lang_definitions` VALUES (127075, 1156, 36, 'کوچک کردن همه');
INSERT INTO `lang_definitions` VALUES (127076, 1157, 36, 'کوچک کردن همه');
INSERT INTO `lang_definitions` VALUES (127077, 1158, 36, 'کوچک کردن همه');
INSERT INTO `lang_definitions` VALUES (127078, 1161, 36, 'مجموعه');
INSERT INTO `lang_definitions` VALUES (127079, 1162, 36, 'گزارش مجموعه');
INSERT INTO `lang_definitions` VALUES (127080, 1166, 36, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (127081, 1167, 36, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (127082, 1168, 36, 'رنگ');
INSERT INTO `lang_definitions` VALUES (127083, 1170, 36, 'ستون');
INSERT INTO `lang_definitions` VALUES (127084, 1171, 36, 'ستونها');
INSERT INTO `lang_definitions` VALUES (127085, 1173, 36, 'ویرگول');
INSERT INTO `lang_definitions` VALUES (127086, 1174, 36, 'توضیح');
INSERT INTO `lang_definitions` VALUES (127087, 1175, 36, 'توضیحات');
INSERT INTO `lang_definitions` VALUES (127088, 1178, 36, 'تصدیق تغییرات');
INSERT INTO `lang_definitions` VALUES (127089, 1180, 36, 'ارتباطات');
INSERT INTO `lang_definitions` VALUES (127090, 1182, 36, 'شرکت');
INSERT INTO `lang_definitions` VALUES (127091, 1183, 36, 'نام شرکت');
INSERT INTO `lang_definitions` VALUES (127092, 1184, 36, 'کامل');
INSERT INTO `lang_definitions` VALUES (127093, 1186, 36, 'تکمیل شده');
INSERT INTO `lang_definitions` VALUES (127094, 1188, 36, 'تکمیل شد؟');
INSERT INTO `lang_definitions` VALUES (127095, 1191, 36, 'عوارض سقط جنین');
INSERT INTO `lang_definitions` VALUES (127096, 1194, 36, 'نتایج');
INSERT INTO `lang_definitions` VALUES (127097, 1199, 36, 'تنظیمات');
INSERT INTO `lang_definitions` VALUES (127098, 1208, 36, 'تایید ایجاد بیمار جدید');
INSERT INTO `lang_definitions` VALUES (127099, 1209, 36, 'تایید رمز عبور جدید');
INSERT INTO `lang_definitions` VALUES (127100, 1210, 36, 'تایید پرداخت');
INSERT INTO `lang_definitions` VALUES (127101, 1214, 36, 'مادر زادی');
INSERT INTO `lang_definitions` VALUES (127102, 1217, 36, 'اتصال دهنده ها');
INSERT INTO `lang_definitions` VALUES (127103, 1218, 36, 'عدد ثابت');
INSERT INTO `lang_definitions` VALUES (127104, 1219, 36, 'نام عدد ثابت');
INSERT INTO `lang_definitions` VALUES (127105, 1220, 36, 'نام عدد ثابت خالی است');
INSERT INTO `lang_definitions` VALUES (127106, 1221, 36, 'اعدادثابت');
INSERT INTO `lang_definitions` VALUES (127107, 1222, 36, 'یبوست');
INSERT INTO `lang_definitions` VALUES (127108, 1223, 36, 'در قانون اساسی');
INSERT INTO `lang_definitions` VALUES (127109, 1226, 36, 'شرح مختصر مشاوره');
INSERT INTO `lang_definitions` VALUES (127110, 1227, 36, 'تماس');
INSERT INTO `lang_definitions` VALUES (127111, 1228, 36, 'آدرس پست الکترونیکی');
INSERT INTO `lang_definitions` VALUES (127112, 1229, 36, 'آدرس ایمیل فرد آشنا');
INSERT INTO `lang_definitions` VALUES (127113, 1231, 36, 'اطلاعات فرد آشنا');
INSERT INTO `lang_definitions` VALUES (127114, 1232, 36, 'لنز');
INSERT INTO `lang_definitions` VALUES (127115, 1236, 36, 'نام فرد آشنا');
INSERT INTO `lang_definitions` VALUES (127116, 1237, 36, 'فرد آشنا');
INSERT INTO `lang_definitions` VALUES (127117, 1239, 36, 'شماره تلفن فرد آشنا');
INSERT INTO `lang_definitions` VALUES (127118, 1243, 36, 'محتوا');
INSERT INTO `lang_definitions` VALUES (127119, 1244, 36, 'محتوا');
INSERT INTO `lang_definitions` VALUES (127120, 1245, 36, 'زمینه');
INSERT INTO `lang_definitions` VALUES (127121, 1247, 36, 'ادامه');
INSERT INTO `lang_definitions` VALUES (127122, 1248, 36, 'سند تداوم مراقبت (CCD)');
INSERT INTO `lang_definitions` VALUES (127123, 1249, 36, 'سابقه تداوم مراقبت (CCR)');
INSERT INTO `lang_definitions` VALUES (127124, 1251, 36, 'پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (127125, 1252, 36, 'مسائل مربوط به پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (127126, 1253, 36, 'عوارض پیشگیری از بارداری (مشخص کنید)');
INSERT INTO `lang_definitions` VALUES (127127, 1254, 36, 'روشهای پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (127128, 1255, 36, 'محصولات پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (127129, 1258, 36, 'شناسه کنترل');
INSERT INTO `lang_definitions` VALUES (127130, 1259, 36, 'شماره کنترل');
INSERT INTO `lang_definitions` VALUES (127131, 1261, 36, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (127132, 1262, 36, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (127133, 1263, 36, 'فرانشیز');
INSERT INTO `lang_definitions` VALUES (127134, 1266, 36, 'فرانشیز ها');
INSERT INTO `lang_definitions` VALUES (127135, 1267, 36, 'COPD');
INSERT INTO `lang_definitions` VALUES (127136, 1273, 36, 'Coronary Artery Bypass');
INSERT INTO `lang_definitions` VALUES (127137, 1274, 36, 'Coronary Artery Bypass Graft (CABG)');
INSERT INTO `lang_definitions` VALUES (127138, 1289, 36, 'سرفه');
INSERT INTO `lang_definitions` VALUES (127139, 1290, 36, 'سرفه:');
INSERT INTO `lang_definitions` VALUES (127140, 1304, 36, 'مشاوره');
INSERT INTO `lang_definitions` VALUES (127141, 1305, 36, 'فعالیت های مشاوره');
INSERT INTO `lang_definitions` VALUES (127142, 1306, 36, 'فرم پاسخ ارجاع');
INSERT INTO `lang_definitions` VALUES (127143, 1307, 36, 'پاسخ ارجاع');
INSERT INTO `lang_definitions` VALUES (127144, 1308, 36, 'کشور');
INSERT INTO `lang_definitions` VALUES (127145, 1310, 36, 'فهرست کشورها');
INSERT INTO `lang_definitions` VALUES (127146, 1313, 36, 'بخش');
INSERT INTO `lang_definitions` VALUES (127147, 1315, 36, 'کوپن');
INSERT INTO `lang_definitions` VALUES (127148, 1325, 36, 'کرم');
INSERT INTO `lang_definitions` VALUES (127149, 1329, 36, 'ایجاد یک رویداد');
INSERT INTO `lang_definitions` VALUES (127150, 1330, 36, 'ایجاد و دانلود یک نسخه ی پشتیبان کامل');
INSERT INTO `lang_definitions` VALUES (127151, 1332, 36, 'ایجاد پشتیبان گیری');
INSERT INTO `lang_definitions` VALUES (127152, 1336, 36, 'ایجاد کپی');
INSERT INTO `lang_definitions` VALUES (127153, 1338, 36, 'تهیه نسخه پشتیبان از ثبت رویدادها');
INSERT INTO `lang_definitions` VALUES (127154, 1339, 36, 'ایجاد مسئله جدید');
INSERT INTO `lang_definitions` VALUES (127155, 1340, 36, 'ایجاد بیمار جدید');
INSERT INTO `lang_definitions` VALUES (127156, 1346, 36, 'ایجاد یک ملاقات');
INSERT INTO `lang_definitions` VALUES (127157, 1347, 36, 'ایجاد شد');
INSERT INTO `lang_definitions` VALUES (127158, 1351, 36, 'ایجاد کننده');
INSERT INTO `lang_definitions` VALUES (127159, 1352, 36, 'اعتبار');
INSERT INTO `lang_definitions` VALUES (127160, 1353, 36, 'کارت اعتباری');
INSERT INTO `lang_definitions` VALUES (127161, 1354, 36, 'اعتبارات');
INSERT INTO `lang_definitions` VALUES (127162, 1356, 36, 'معیارها');
INSERT INTO `lang_definitions` VALUES (127163, 1358, 36, 'Crohn\'s Disease');
INSERT INTO `lang_definitions` VALUES (127164, 1359, 36, 'Crohns Disease');
INSERT INTO `lang_definitions` VALUES (127165, 1369, 36, 'کنونی');
INSERT INTO `lang_definitions` VALUES (127166, 1370, 36, 'الکل کنونی');
INSERT INTO `lang_definitions` VALUES (127167, 1371, 36, 'مشاوره جاری');
INSERT INTO `lang_definitions` VALUES (127168, 1372, 36, 'شرایط جاری');
INSERT INTO `lang_definitions` VALUES (127169, 1377, 36, 'مکان جاری');
INSERT INTO `lang_definitions` VALUES (127170, 1378, 36, 'داروهای جاری');
INSERT INTO `lang_definitions` VALUES (127171, 1379, 36, 'رمز عبور جاری');
INSERT INTO `lang_definitions` VALUES (127172, 1380, 36, 'بیمار جاری');
INSERT INTO `lang_definitions` VALUES (127173, 1382, 36, 'مواد مخدر تفریحی جاری');
INSERT INTO `lang_definitions` VALUES (127174, 1388, 36, 'در حال حاضر درمانگاهی وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (127175, 1389, 36, 'Cushing Syndrom');
INSERT INTO `lang_definitions` VALUES (127176, 1390, 36, 'Cushing Syndrome');
INSERT INTO `lang_definitions` VALUES (127177, 1407, 36, 'تولد');
INSERT INTO `lang_definitions` VALUES (127178, 1408, 36, 'روزانه');
INSERT INTO `lang_definitions` VALUES (127179, 1409, 36, 'رکورد روزانه');
INSERT INTO `lang_definitions` VALUES (127180, 1410, 36, 'دانمارکی');
INSERT INTO `lang_definitions` VALUES (127181, 1413, 36, 'ستون های داده ها');
INSERT INTO `lang_definitions` VALUES (127182, 1416, 36, 'خطا در داده ها');
INSERT INTO `lang_definitions` VALUES (127183, 1420, 36, 'نوع داده');
INSERT INTO `lang_definitions` VALUES (127184, 1421, 36, 'پایگاه داده ها');
INSERT INTO `lang_definitions` VALUES (127185, 1422, 36, 'پایگاه داده ها نصب نشده است.');
INSERT INTO `lang_definitions` VALUES (127186, 1423, 36, 'پچ پایگاه داده');
INSERT INTO `lang_definitions` VALUES (127187, 1424, 36, 'گزارش پایگاه داده ها');
INSERT INTO `lang_definitions` VALUES (127188, 1425, 36, 'ارتقاء پایگاه داده ها به پایان رسید.');
INSERT INTO `lang_definitions` VALUES (127189, 1427, 36, 'تاریخ');
INSERT INTO `lang_definitions` VALUES (127190, 1428, 36, 'تاریخ');
INSERT INTO `lang_definitions` VALUES (127191, 1431, 36, 'تاریخ تجویز');
INSERT INTO `lang_definitions` VALUES (127192, 1432, 36, 'تاریخ و زمان جمع آوری نمونه');
INSERT INTO `lang_definitions` VALUES (127193, 1433, 36, 'تاریخ و زمان این مشاهده');
INSERT INTO `lang_definitions` VALUES (127194, 1435, 36, 'تاریخ و زمانی که نمونه جمع آوری شد');
INSERT INTO `lang_definitions` VALUES (127195, 1438, 36, 'تاریخ ایجاد');
INSERT INTO `lang_definitions` VALUES (127196, 1439, 36, 'تاریخ فوت');
INSERT INTO `lang_definitions` VALUES (127197, 1440, 36, 'تاریخ تخریب');
INSERT INTO `lang_definitions` VALUES (127198, 1451, 36, 'تاریخ صورتحساب');
INSERT INTO `lang_definitions` VALUES (127199, 1452, 36, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (127200, 1453, 36, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (127201, 1454, 36, 'تاریخ تولد');
INSERT INTO `lang_definitions` VALUES (127202, 1455, 36, 'تاریخ ورود');
INSERT INTO `lang_definitions` VALUES (127203, 1456, 36, 'تاریخ آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (127204, 1459, 36, 'تاریخ ارجاع');
INSERT INTO `lang_definitions` VALUES (127205, 1460, 36, 'تاریخ پاسخ');
INSERT INTO `lang_definitions` VALUES (127206, 1462, 36, 'تاریخ خدمات');
INSERT INTO `lang_definitions` VALUES (127207, 1463, 36, 'تاریخ خدمات');
INSERT INTO `lang_definitions` VALUES (127208, 1464, 36, 'تاریخ خدمات = امروز');
INSERT INTO `lang_definitions` VALUES (127209, 1466, 36, 'تاریخ خدمت:');
INSERT INTO `lang_definitions` VALUES (127210, 1467, 36, 'تاریخ امضاء');
INSERT INTO `lang_definitions` VALUES (127211, 1469, 36, 'تاریخ این دستور');
INSERT INTO `lang_definitions` VALUES (127212, 1470, 36, 'تاریخ این گزارش');
INSERT INTO `lang_definitions` VALUES (127213, 1472, 36, 'تاریخ سفارش');
INSERT INTO `lang_definitions` VALUES (127214, 1475, 36, 'انتخاب تاریخ');
INSERT INTO `lang_definitions` VALUES (127215, 1476, 36, 'تاریخ ارسال');
INSERT INTO `lang_definitions` VALUES (127216, 1477, 36, 'تاریخ ارسال پیام');
INSERT INTO `lang_definitions` VALUES (127217, 1479, 36, 'تاریخ نمی تواند خالی.');
INSERT INTO `lang_definitions` VALUES (127218, 1480, 36, 'تاریخ/قرار ملاقات');
INSERT INTO `lang_definitions` VALUES (127219, 1481, 36, 'تاریخ/یادداشت ها');
INSERT INTO `lang_definitions` VALUES (127220, 1484, 36, 'تاریخ:');
INSERT INTO `lang_definitions` VALUES (127221, 1485, 36, 'فهرست مورخ رویداد پیام ها');
INSERT INTO `lang_definitions` VALUES (127222, 1486, 36, 'روزانه');
INSERT INTO `lang_definitions` VALUES (127223, 1487, 36, 'روز');
INSERT INTO `lang_definitions` VALUES (127224, 1489, 36, 'نمای روزانه');
INSERT INTO `lang_definitions` VALUES (127225, 1490, 36, 'روز(ها)');
INSERT INTO `lang_definitions` VALUES (127226, 1492, 36, 'روز');
INSERT INTO `lang_definitions` VALUES (127227, 1493, 36, 'روزها');
INSERT INTO `lang_definitions` VALUES (127228, 1494, 36, 'روزهای قبل');
INSERT INTO `lang_definitions` VALUES (127229, 1495, 36, 'روزها و بازی های از دست رفته');
INSERT INTO `lang_definitions` VALUES (127230, 1497, 36, 'روزهای از دست رفته');
INSERT INTO `lang_definitions` VALUES (127231, 1498, 36, 'تعداد روز ها در هر ستون:');
INSERT INTO `lang_definitions` VALUES (127232, 1511, 36, 'ناشنوا');
INSERT INTO `lang_definitions` VALUES (127233, 1512, 36, 'اطلاعات برای اشکالزدایی');
INSERT INTO `lang_definitions` VALUES (127234, 1515, 36, 'دسامبر');
INSERT INTO `lang_definitions` VALUES (127235, 1516, 36, 'مرحوم');
INSERT INTO `lang_definitions` VALUES (127236, 1517, 36, 'دسامبر');
INSERT INTO `lang_definitions` VALUES (127237, 1522, 36, 'پیش فرض');
INSERT INTO `lang_definitions` VALUES (127238, 1526, 36, 'درمانگاه پیش فرض');
INSERT INTO `lang_definitions` VALUES (127239, 1538, 36, 'دلیل پیش فرض برای ملاقات');
INSERT INTO `lang_definitions` VALUES (127240, 1540, 36, 'تنظیمات پیش فرض');
INSERT INTO `lang_definitions` VALUES (127241, 1541, 36, 'حالت پیش فرض برای گزینه صفحه جدید در فهرست بیماران.');
INSERT INTO `lang_definitions` VALUES (127242, 1546, 36, 'واحد های پیش فرض');
INSERT INTO `lang_definitions` VALUES (127243, 1547, 36, 'مقدار پیش فرض');
INSERT INTO `lang_definitions` VALUES (127244, 1548, 36, 'انبار پیش فرض');
INSERT INTO `lang_definitions` VALUES (127245, 1551, 36, 'حذف');
INSERT INTO `lang_definitions` VALUES (127246, 1552, 36, 'حذف');
INSERT INTO `lang_definitions` VALUES (127247, 1554, 36, 'حذف');
INSERT INTO `lang_definitions` VALUES (127248, 1555, 36, 'حذف');
INSERT INTO `lang_definitions` VALUES (127249, 1556, 36, 'حذف دسته بندی ها با شناسه (ها): ');
INSERT INTO `lang_definitions` VALUES (127250, 1557, 36, 'حذف دسته بندی');
INSERT INTO `lang_definitions` VALUES (127251, 1560, 36, 'حذف گروه');
INSERT INTO `lang_definitions` VALUES (127252, 1561, 36, 'حذف لیست');
INSERT INTO `lang_definitions` VALUES (127253, 1562, 36, 'حذف صفحات');
INSERT INTO `lang_definitions` VALUES (127254, 1565, 36, 'حذف سطر');
INSERT INTO `lang_definitions` VALUES (127255, 1566, 36, 'حذف اقلام انتخاب شده');
INSERT INTO `lang_definitions` VALUES (127256, 1568, 36, 'حذف موفقیت آمیز بود.');
INSERT INTO `lang_definitions` VALUES (127257, 1569, 36, 'این سند را حذف کنید');
INSERT INTO `lang_definitions` VALUES (127258, 1570, 36, 'این فرم را حذف کنید');
INSERT INTO `lang_definitions` VALUES (127259, 1571, 36, 'این یادداشت را حذف کنید');
INSERT INTO `lang_definitions` VALUES (127260, 1573, 36, 'با موفقیت حذف شد.');
INSERT INTO `lang_definitions` VALUES (127261, 1581, 36, 'زوال عقل');
INSERT INTO `lang_definitions` VALUES (127262, 1582, 36, 'آمار دموگرافیک');
INSERT INTO `lang_definitions` VALUES (127263, 1583, 36, 'آمار دموگرافیک (نوشتن، اضافه کردن تنها اختیاری است)');
INSERT INTO `lang_definitions` VALUES (127264, 1585, 36, 'ضوابط فیلتر آمار دموگرافیک');
INSERT INTO `lang_definitions` VALUES (127265, 1586, 36, 'آمار دموگرافیک مجاز نیست');
INSERT INTO `lang_definitions` VALUES (127266, 1587, 36, 'آمار دموگرافیک مجاز نیست.');
INSERT INTO `lang_definitions` VALUES (127267, 1588, 36, 'رد شد');
INSERT INTO `lang_definitions` VALUES (127268, 1589, 36, 'مخرج');
INSERT INTO `lang_definitions` VALUES (127269, 1590, 36, 'دندانپزشکی');
INSERT INTO `lang_definitions` VALUES (127270, 1592, 36, 'مسائل مربوط به دندانپزشکی');
INSERT INTO `lang_definitions` VALUES (127271, 1596, 36, 'تاریخ واریز');
INSERT INTO `lang_definitions` VALUES (127272, 1597, 36, 'تاریخ واریز نمی تواند بزرگتر از امروز باشد');
INSERT INTO `lang_definitions` VALUES (127273, 1598, 36, 'تاریخ واریز:');
INSERT INTO `lang_definitions` VALUES (127274, 1599, 36, 'افسرده');
INSERT INTO `lang_definitions` VALUES (127275, 1600, 36, 'افسردگی');
INSERT INTO `lang_definitions` VALUES (127276, 1602, 36, 'شرح');
INSERT INTO `lang_definitions` VALUES (127277, 1603, 36, 'شرح');
INSERT INTO `lang_definitions` VALUES (127278, 1605, 36, 'شرح افشاء نامه');
INSERT INTO `lang_definitions` VALUES (127279, 1607, 36, 'ترجمه شرح');
INSERT INTO `lang_definitions` VALUES (127280, 1609, 36, 'مقصد');
INSERT INTO `lang_definitions` VALUES (127281, 1610, 36, 'نام فایل مقصد');
INSERT INTO `lang_definitions` VALUES (127282, 1612, 36, 'نابود کردن ...');
INSERT INTO `lang_definitions` VALUES (127283, 1613, 36, 'نابود شده');
INSERT INTO `lang_definitions` VALUES (127284, 1614, 36, 'مواد مخدر نابود شده');
INSERT INTO `lang_definitions` VALUES (127285, 1615, 36, 'گزارش مواد مخدر نابود شده');
INSERT INTO `lang_definitions` VALUES (127286, 1616, 36, 'جزئیات');
INSERT INTO `lang_definitions` VALUES (127287, 1617, 36, 'جزئیات');
INSERT INTO `lang_definitions` VALUES (127288, 1620, 36, 'دیابت');
INSERT INTO `lang_definitions` VALUES (127289, 1623, 36, 'دیابت: معاینه چشم');
INSERT INTO `lang_definitions` VALUES (127290, 1624, 36, 'دیابت: معاینه چشم (CQM)');
INSERT INTO `lang_definitions` VALUES (127291, 1625, 36, 'دیابت: معاینه پا');
INSERT INTO `lang_definitions` VALUES (127292, 1626, 36, 'دیابت: معاینه پا (CQM)');
INSERT INTO `lang_definitions` VALUES (127293, 1627, 36, 'Diabetes: HbA1c Poor Control (CQM)');
INSERT INTO `lang_definitions` VALUES (127294, 1628, 36, 'Diabetes: Hemoglobin A1C');
INSERT INTO `lang_definitions` VALUES (127295, 1629, 36, 'Diabetes: LDL Management & Control (CQM)');
INSERT INTO `lang_definitions` VALUES (127296, 1630, 36, 'Diabetes: Urine Microalbumin');
INSERT INTO `lang_definitions` VALUES (127297, 1631, 36, 'تشخیص');
INSERT INTO `lang_definitions` VALUES (127298, 1632, 36, 'تشخیص ها');
INSERT INTO `lang_definitions` VALUES (127299, 1633, 36, 'تشخیص');
INSERT INTO `lang_definitions` VALUES (127300, 1634, 36, 'کد تشخیص');
INSERT INTO `lang_definitions` VALUES (127301, 1636, 36, 'تاریخ تشخیص');
INSERT INTO `lang_definitions` VALUES (127302, 1638, 36, 'نام تشخیص');
INSERT INTO `lang_definitions` VALUES (127303, 1639, 36, 'گزارش تشخیص');
INSERT INTO `lang_definitions` VALUES (127304, 1640, 36, 'گزارشگری تشخیص');
INSERT INTO `lang_definitions` VALUES (127305, 1641, 36, 'فقط گزارشگری تشخیص');
INSERT INTO `lang_definitions` VALUES (127306, 1642, 36, 'عنوان تشخیص');
INSERT INTO `lang_definitions` VALUES (127307, 1643, 36, 'تشخیص:');
INSERT INTO `lang_definitions` VALUES (127308, 1644, 36, 'تشخیص: ');
INSERT INTO `lang_definitions` VALUES (127309, 1645, 36, 'تست های تشخیصی:');
INSERT INTO `lang_definitions` VALUES (127310, 1647, 36, 'Diaphragms/Caps');
INSERT INTO `lang_definitions` VALUES (127311, 1648, 36, 'اسهال');
INSERT INTO `lang_definitions` VALUES (127312, 1650, 36, 'دیکته کردن');
INSERT INTO `lang_definitions` VALUES (127313, 1651, 36, 'دیکته کردن: ');
INSERT INTO `lang_definitions` VALUES (127314, 1654, 36, 'امضا دیجیتالی');
INSERT INTO `lang_definitions` VALUES (127315, 1657, 36, 'پست مستقیم');
INSERT INTO `lang_definitions` VALUES (127316, 1663, 36, 'نام مدیر');
INSERT INTO `lang_definitions` VALUES (127317, 1665, 36, 'از کار افتادگی');
INSERT INTO `lang_definitions` VALUES (127318, 1667, 36, 'غیر فعال کردن تقویم');
INSERT INTO `lang_definitions` VALUES (127319, 1668, 36, 'غیر فعال کردن ردیاب پرونده');
INSERT INTO `lang_definitions` VALUES (127320, 1669, 36, 'غیر فعال کردن واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127321, 1670, 36, 'غیر فعال کردن فرم قدیمی علائم حیاتی به سیستم متری');
INSERT INTO `lang_definitions` VALUES (127322, 1672, 36, 'غیر فعال کردن از phpMyAdmin');
INSERT INTO `lang_definitions` VALUES (127323, 1673, 36, 'غیر فعال کردن نسخه ها');
INSERT INTO `lang_definitions` VALUES (127324, 1674, 36, 'غیر فعال کردن گروه های کاربری');
INSERT INTO `lang_definitions` VALUES (127325, 1675, 36, 'از کار افتاده');
INSERT INTO `lang_definitions` VALUES (127326, 1676, 36, 'از کار افتاده');
INSERT INTO `lang_definitions` VALUES (127327, 1681, 36, 'Discharge');
INSERT INTO `lang_definitions` VALUES (127328, 1682, 36, 'ترشح از مجرای خروجی مثانه');
INSERT INTO `lang_definitions` VALUES (127329, 1689, 36, 'اطلاعات افشاء');
INSERT INTO `lang_definitions` VALUES (127330, 1690, 36, 'نوع افشاء');
INSERT INTO `lang_definitions` VALUES (127331, 1691, 36, 'انواع افشاء');
INSERT INTO `lang_definitions` VALUES (127332, 1692, 36, 'فاش سازی ها');
INSERT INTO `lang_definitions` VALUES (127333, 1694, 36, 'تخفیف');
INSERT INTO `lang_definitions` VALUES (127334, 1695, 36, 'مبلغ تخفیف');
INSERT INTO `lang_definitions` VALUES (127335, 1696, 36, 'سطح تخفیف');
INSERT INTO `lang_definitions` VALUES (127336, 1697, 36, 'درصد تخفیف');
INSERT INTO `lang_definitions` VALUES (127337, 1698, 36, 'تخفیف به صورت مبلغ پولی');
INSERT INTO `lang_definitions` VALUES (127338, 1699, 36, 'میزان تخفیف در زمان مرخص شدن بیمار با درج مبلغ وارد شود، نه به صورت درصد.');
INSERT INTO `lang_definitions` VALUES (127339, 1701, 36, 'بیماری');
INSERT INTO `lang_definitions` VALUES (127340, 1702, 36, 'دررفتگی');
INSERT INTO `lang_definitions` VALUES (127341, 1704, 36, 'اعزام');
INSERT INTO `lang_definitions` VALUES (127342, 1705, 36, 'اعزام سند دریافتی');
INSERT INTO `lang_definitions` VALUES (127343, 1706, 36, 'توزیع');
INSERT INTO `lang_definitions` VALUES (127344, 1707, 36, 'نمایش دستورات پیشاپیش در صفحه اطلاعات دموگرافیک.');
INSERT INTO `lang_definitions` VALUES (127345, 1709, 36, 'نمایش تاریخ رویداد در بلوک؟');
INSERT INTO `lang_definitions` VALUES (127346, 1711, 36, 'نمایش تعداد رویدادها؟');
INSERT INTO `lang_definitions` VALUES (127347, 1713, 36, 'نمایش مکان در بلوک؟');
INSERT INTO `lang_definitions` VALUES (127348, 1714, 36, 'نمایش نام');
INSERT INTO `lang_definitions` VALUES (127349, 1715, 36, 'نمایش تقویم؟');
INSERT INTO `lang_definitions` VALUES (127350, 1718, 36, 'نمایش حوادث امروز در بلوک؟');
INSERT INTO `lang_definitions` VALUES (127351, 1719, 36, 'نمایش موضوع در بلوک؟');
INSERT INTO `lang_definitions` VALUES (127352, 1720, 36, 'نمایش رویدادهای آینده در بلوک؟');
INSERT INTO `lang_definitions` VALUES (127353, 1721, 36, 'ستون نمایش داده شده');
INSERT INTO `lang_definitions` VALUES (127354, 1722, 36, 'نمایش این تعداد از افشاگریهای اخیر:');
INSERT INTO `lang_definitions` VALUES (127355, 1723, 36, 'نمایش این تعداد از یادداشت های اخیر');
INSERT INTO `lang_definitions` VALUES (127356, 1724, 36, 'نمایش این تعداد از یادداشت های اخیر:');
INSERT INTO `lang_definitions` VALUES (127357, 1725, 36, 'توزیع');
INSERT INTO `lang_definitions` VALUES (127358, 1726, 36, 'توزیع ها');
INSERT INTO `lang_definitions` VALUES (127359, 1727, 36, 'توزیع کننده');
INSERT INTO `lang_definitions` VALUES (127360, 1729, 36, 'Diverticulitis');
INSERT INTO `lang_definitions` VALUES (127361, 1730, 36, 'Diverticulitis Surgery');
INSERT INTO `lang_definitions` VALUES (127362, 1731, 36, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (127363, 1732, 36, 'Divirticulitis Surgery');
INSERT INTO `lang_definitions` VALUES (127364, 1733, 36, 'طلاق رسمی');
INSERT INTO `lang_definitions` VALUES (127365, 1734, 36, 'سرگیجه:');
INSERT INTO `lang_definitions` VALUES (127366, 1735, 36, 'تغییر ندهید');
INSERT INTO `lang_definitions` VALUES (127367, 1737, 36, 'آلرژی ارسال شده به NewCrop را نمایش ندهید');
INSERT INTO `lang_definitions` VALUES (127368, 1739, 36, 'داروهای ارسال شده NewCrop را نمایش ندهید');
INSERT INTO `lang_definitions` VALUES (127369, 1742, 36, 'تقویم را نشان ندهید.');
INSERT INTO `lang_definitions` VALUES (127370, 1744, 36, 'هیچ محصولی را ذخیره نکرده و نفروشید');
INSERT INTO `lang_definitions` VALUES (127371, 1745, 36, 'ملزوم نکنید که یادداشت های بیمار مجاز شود');
INSERT INTO `lang_definitions` VALUES (127372, 1746, 36, 'رضایت نامه شخصی');
INSERT INTO `lang_definitions` VALUES (127373, 1747, 36, 'ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (127374, 1748, 36, 'جایگزین نکنید');
INSERT INTO `lang_definitions` VALUES (127375, 1749, 36, 'کاری انجام ندهید');
INSERT INTO `lang_definitions` VALUES (127376, 1751, 36, 'آیا واقعا می خواهید حذف کنید');
INSERT INTO `lang_definitions` VALUES (127377, 1752, 36, 'آیا واقعا می خواهید این گزینش را پاک کنید؟');
INSERT INTO `lang_definitions` VALUES (127378, 1753, 36, 'آیا واقعا می خواهید این گروه را حذف کنید');
INSERT INTO `lang_definitions` VALUES (127379, 1755, 36, 'آیا می خواهید ادامه دهید؟');
INSERT INTO `lang_definitions` VALUES (127380, 1756, 36, 'آیا می خواهید این را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (127381, 1757, 36, 'آیا می خواهید حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (127382, 1758, 36, 'آیا می خواهید این رکورد را حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (127383, 1759, 36, 'آیا میخواهید به اضافه کردن این بیمار جدید ادامه دهید؟');
INSERT INTO `lang_definitions` VALUES (127384, 1760, 36, 'آیا میخواهید با این نام جدید ادامه دهید؟');
INSERT INTO `lang_definitions` VALUES (127385, 1761, 36, 'آیا می خواهید این سابقه واکسیناسیون را برای همیشه حذف کنید؟');
INSERT INTO `lang_definitions` VALUES (127386, 1762, 36, 'تولد');
INSERT INTO `lang_definitions` VALUES (127387, 1763, 36, 'تاریخ تولد قید نشده، لطفا در صورت امکان وارد نمایید');
INSERT INTO `lang_definitions` VALUES (127388, 1764, 36, 'اسناد');
INSERT INTO `lang_definitions` VALUES (127389, 1765, 36, 'دکتر');
INSERT INTO `lang_definitions` VALUES (127390, 1766, 36, 'دکتر:');
INSERT INTO `lang_definitions` VALUES (127391, 1767, 36, 'نام و امضای دکتر');
INSERT INTO `lang_definitions` VALUES (127392, 1768, 36, 'سند');
INSERT INTO `lang_definitions` VALUES (127393, 1769, 36, 'سند');
INSERT INTO `lang_definitions` VALUES (127394, 1770, 36, 'دسته بندی های اسناد');
INSERT INTO `lang_definitions` VALUES (127395, 1775, 36, 'سند به شناسه بیمار منتقل نمی شود');
INSERT INTO `lang_definitions` VALUES (127396, 1777, 36, 'تاریخ سند');
INSERT INTO `lang_definitions` VALUES (127397, 1778, 36, 'تاریخ و مسئله سند با موفقیت به روز شد');
INSERT INTO `lang_definitions` VALUES (127398, 1779, 36, 'شناسه سند');
INSERT INTO `lang_definitions` VALUES (127399, 1780, 36, 'سند به دسته بندی جدید نقل مکان کرد');
INSERT INTO `lang_definitions` VALUES (127400, 1781, 36, 'سند به شناسه بیمار نقل مکان کرد');
INSERT INTO `lang_definitions` VALUES (127401, 1783, 36, 'درستی‌ فایل تصدیق شد.');
INSERT INTO `lang_definitions` VALUES (127402, 1784, 36, 'روش ذخیره سازی سند');
INSERT INTO `lang_definitions` VALUES (127403, 1785, 36, 'سند با موفقیت تغییر نام داد.');
INSERT INTO `lang_definitions` VALUES (127404, 1790, 36, 'ذخیره سند/تصویربرداری');
INSERT INTO `lang_definitions` VALUES (127405, 1791, 36, 'اسناد');
INSERT INTO `lang_definitions` VALUES (127406, 1792, 36, 'اسناد (نوشتن، اضافه کردن تنها اختیاری)');
INSERT INTO `lang_definitions` VALUES (127407, 1798, 36, 'آیا این نوع اجازه کدهای مربوطه را می دهد؟');
INSERT INTO `lang_definitions` VALUES (127408, 1799, 36, 'شریک زندگی');
INSERT INTO `lang_definitions` VALUES (127409, 1800, 36, 'ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (127410, 1801, 36, 'ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (127411, 1802, 36, 'تغییرات را ذخیره نکنید');
INSERT INTO `lang_definitions` VALUES (127412, 1803, 36, 'انجام شد');
INSERT INTO `lang_definitions` VALUES (127413, 1804, 36, 'انجام شده با:');
INSERT INTO `lang_definitions` VALUES (127414, 1805, 36, 'انجام شد. حالا دانلود ارسال خواهد شد.');
INSERT INTO `lang_definitions` VALUES (127415, 1806, 36, 'تاریخ درمان');
INSERT INTO `lang_definitions` VALUES (127416, 1807, 36, 'مقدار مصرف');
INSERT INTO `lang_definitions` VALUES (127417, 1809, 36, 'برای ویرایش دوبار کلیک کنید');
INSERT INTO `lang_definitions` VALUES (127418, 1810, 36, 'دید دوگانه');
INSERT INTO `lang_definitions` VALUES (127419, 1811, 36, 'دانلود');
INSERT INTO `lang_definitions` VALUES (127420, 1814, 36, 'در هر حال دانلود کنید');
INSERT INTO `lang_definitions` VALUES (127421, 1829, 36, 'ملاقات دکتر');
INSERT INTO `lang_definitions` VALUES (127422, 1830, 36, 'دکتر');
INSERT INTO `lang_definitions` VALUES (127423, 1832, 36, 'Dribbling');
INSERT INTO `lang_definitions` VALUES (127424, 1834, 36, 'دارو');
INSERT INTO `lang_definitions` VALUES (127425, 1835, 36, 'جستجوگر دارو');
INSERT INTO `lang_definitions` VALUES (127426, 1836, 36, 'فرم های دارو');
INSERT INTO `lang_definitions` VALUES (127427, 1837, 36, 'شناسه دارو خالی‌ هست!');
INSERT INTO `lang_definitions` VALUES (127428, 1838, 36, 'فواصل استفاده دارو');
INSERT INTO `lang_definitions` VALUES (127429, 1839, 36, 'فهرست موجودی دارو');
INSERT INTO `lang_definitions` VALUES (127430, 1840, 36, 'نام دارو');
INSERT INTO `lang_definitions` VALUES (127431, 1841, 36, 'مسیرهای دارو');
INSERT INTO `lang_definitions` VALUES (127432, 1845, 36, 'واحدهای دارو');
INSERT INTO `lang_definitions` VALUES (127433, 1846, 36, 'داروها');
INSERT INTO `lang_definitions` VALUES (127434, 1847, 36, 'داروها و محصولات');
INSERT INTO `lang_definitions` VALUES (127435, 1848, 36, 'خشکی دهان');
INSERT INTO `lang_definitions` VALUES (127436, 1860, 36, 'ناشی از');
INSERT INTO `lang_definitions` VALUES (127437, 1861, 36, 'تاریخ مقرر');
INSERT INTO `lang_definitions` VALUES (127438, 1863, 36, 'تاریخ مقرر:');
INSERT INTO `lang_definitions` VALUES (127439, 1875, 36, 'چک تکراری');
INSERT INTO `lang_definitions` VALUES (127440, 1880, 36, 'مدت زمان');
INSERT INTO `lang_definitions` VALUES (127441, 1881, 36, 'مدت زمان');
INSERT INTO `lang_definitions` VALUES (127442, 1882, 36, 'هلندی');
INSERT INTO `lang_definitions` VALUES (127443, 1884, 36, 'Dysphagia');
INSERT INTO `lang_definitions` VALUES (127444, 1885, 36, 'Dyspnea:');
INSERT INTO `lang_definitions` VALUES (127445, 1886, 36, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (127446, 1893, 36, 'هر گیرنده باید خودش پیامش را به عنوان تکمیل شده تنظیم کند.');
INSERT INTO `lang_definitions` VALUES (127447, 1896, 36, 'نوار قلب');
INSERT INTO `lang_definitions` VALUES (127448, 1898, 36, 'ادم');
INSERT INTO `lang_definitions` VALUES (127449, 1904, 36, 'ویرایش');
INSERT INTO `lang_definitions` VALUES (127450, 1905, 36, 'ویرایش');
INSERT INTO `lang_definitions` VALUES (127451, 1906, 36, 'ویرایش آلرژی ها');
INSERT INTO `lang_definitions` VALUES (127452, 1907, 36, 'ویرایش دسته بندی ها');
INSERT INTO `lang_definitions` VALUES (127453, 1908, 36, 'ویرایش تعاریف');
INSERT INTO `lang_definitions` VALUES (127454, 1909, 36, 'ویرایش تعاریف');
INSERT INTO `lang_definitions` VALUES (127455, 1910, 36, 'ویرایش تشخیص ها برای');
INSERT INTO `lang_definitions` VALUES (127456, 1911, 36, 'ویرایش افشاء');
INSERT INTO `lang_definitions` VALUES (127457, 1912, 36, 'ویرایش درمانگاه ها');
INSERT INTO `lang_definitions` VALUES (127458, 1913, 36, 'ویرایش درمانگاه');
INSERT INTO `lang_definitions` VALUES (127459, 1914, 36, 'ویرایش اطلاعات درمانگاه');
INSERT INTO `lang_definitions` VALUES (127460, 1916, 36, 'ویرایش فایل در');
INSERT INTO `lang_definitions` VALUES (127461, 1917, 36, 'ویرایش فرم');
INSERT INTO `lang_definitions` VALUES (127462, 1918, 36, 'ویرایش تنظیمات سراسری');
INSERT INTO `lang_definitions` VALUES (127463, 1919, 36, 'ویرایش مجاز نیست!');
INSERT INTO `lang_definitions` VALUES (127464, 1920, 36, 'ویرایش چیدمان');
INSERT INTO `lang_definitions` VALUES (127465, 1921, 36, 'ویرایش لیست');
INSERT INTO `lang_definitions` VALUES (127466, 1922, 36, 'ویرایش پرداخت');
INSERT INTO `lang_definitions` VALUES (127467, 1923, 36, 'ویرایش ساختار');
INSERT INTO `lang_definitions` VALUES (127468, 1924, 36, 'ویرایش کاربر');
INSERT INTO `lang_definitions` VALUES (127469, 1925, 36, 'ویرایش تنظیمات کاربر');
INSERT INTO `lang_definitions` VALUES (127470, 1928, 36, 'آموزش');
INSERT INTO `lang_definitions` VALUES (127471, 1929, 36, 'تاریخ آموزش');
INSERT INTO `lang_definitions` VALUES (127472, 1932, 36, 'تاریخ اجرا');
INSERT INTO `lang_definitions` VALUES (127473, 1934, 36, 'اثربخشی');
INSERT INTO `lang_definitions` VALUES (127474, 1935, 36, 'کد اقتصادی');
INSERT INTO `lang_definitions` VALUES (127475, 1936, 36, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (127476, 1937, 36, 'Elbow');
INSERT INTO `lang_definitions` VALUES (127477, 1938, 36, 'Elbow Problems');
INSERT INTO `lang_definitions` VALUES (127478, 1939, 36, 'الکترونیکی');
INSERT INTO `lang_definitions` VALUES (127479, 1944, 36, 'واجد شرایط بودن');
INSERT INTO `lang_definitions` VALUES (127480, 1948, 36, 'واجد شرایط');
INSERT INTO `lang_definitions` VALUES (127481, 1949, 36, 'پست الکترونیک');
INSERT INTO `lang_definitions` VALUES (127482, 1951, 36, 'آدرس ایمیل');
INSERT INTO `lang_definitions` VALUES (127483, 1956, 36, 'اجازه ایمیل');
INSERT INTO `lang_definitions` VALUES (127484, 1958, 36, 'آگاه سازی با ایمیل');
INSERT INTO `lang_definitions` VALUES (127485, 1959, 36, 'ساعت هشدار با ایمیل');
INSERT INTO `lang_definitions` VALUES (127486, 1960, 36, 'گزارش هشدار با ایمیل');
INSERT INTO `lang_definitions` VALUES (127487, 1961, 36, 'ارسال ایمیل قبل از');
INSERT INTO `lang_definitions` VALUES (127488, 1962, 36, 'فرستنده ایمیل');
INSERT INTO `lang_definitions` VALUES (127489, 1963, 36, 'ایمیل ارسال شد');
INSERT INTO `lang_definitions` VALUES (127490, 1964, 36, 'ایمیل ارسال شد به');
INSERT INTO `lang_definitions` VALUES (127491, 1965, 36, 'عنوان ایمیل');
INSERT INTO `lang_definitions` VALUES (127492, 1971, 36, 'تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (127493, 1972, 36, 'شخص برای تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (127494, 1973, 36, 'شماره تلفن برای تماس اضطراری');
INSERT INTO `lang_definitions` VALUES (127495, 1974, 36, 'قرص های ضد بارداری اضطراری');
INSERT INTO `lang_definitions` VALUES (127496, 1975, 36, 'ورود اضطراری به سیستم');
INSERT INTO `lang_definitions` VALUES (127497, 1976, 36, 'ورود اضطراری ACL انتخاب شده است. این کاربر هنوز فعال است. لطفا این کاربر را غیر فعال کنید و آن را در موقعیت اضطراری و مورد نیاز فعال سازید. برای فعال و غیر فعال سازی حساب کاربری به قسمت \"مدیریت > کاربری\" مراجعه کنید.');
INSERT INTO `lang_definitions` VALUES (127498, 1980, 36, 'تلفن اضطراری');
INSERT INTO `lang_definitions` VALUES (127499, 1982, 36, 'آمفیزم');
INSERT INTO `lang_definitions` VALUES (127500, 1983, 36, 'کارمند');
INSERT INTO `lang_definitions` VALUES (127501, 1984, 36, 'کارفرما');
INSERT INTO `lang_definitions` VALUES (127502, 1985, 36, 'آدرس کارفرما');
INSERT INTO `lang_definitions` VALUES (127503, 1986, 36, 'داده های کارفرما');
INSERT INTO `lang_definitions` VALUES (127504, 1987, 36, 'نام کارفرما');
INSERT INTO `lang_definitions` VALUES (127505, 1988, 36, 'خالی');
INSERT INTO `lang_definitions` VALUES (127506, 1989, 36, 'خالی');
INSERT INTO `lang_definitions` VALUES (127507, 1991, 36, '\"ساعت ایمیل\" خالیست');
INSERT INTO `lang_definitions` VALUES (127508, 1992, 36, '\"فرستنده ایمیل\" خالیست');
INSERT INTO `lang_definitions` VALUES (127509, 1993, 36, '\"موضوع ایمیل\" خالیست');
INSERT INTO `lang_definitions` VALUES (127510, 1994, 36, '\"متن ایمیل\" خالیست');
INSERT INTO `lang_definitions` VALUES (127511, 1995, 36, '\"نام ارائه دهنده\" خالیست');
INSERT INTO `lang_definitions` VALUES (127512, 1996, 36, '\"رمز عبور\" خالیست');
INSERT INTO `lang_definitions` VALUES (127513, 1997, 36, '\"ساعت SMS\" خالیست');
INSERT INTO `lang_definitions` VALUES (127514, 1998, 36, '\"متن SMS\" خالیست');
INSERT INTO `lang_definitions` VALUES (127515, 1999, 36, '\"نام کاربری\" خالیست');
INSERT INTO `lang_definitions` VALUES (127516, 2072, 36, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (127517, 2073, 36, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (127518, 2074, 36, 'ویزیت');
INSERT INTO `lang_definitions` VALUES (127519, 2075, 36, 'ویزیت ');
INSERT INTO `lang_definitions` VALUES (127520, 2081, 36, 'تاریخ ویزیت');
INSERT INTO `lang_definitions` VALUES (127521, 2086, 36, 'فرم های ویزیت');
INSERT INTO `lang_definitions` VALUES (127522, 2088, 36, 'سابقه ویزیت');
INSERT INTO `lang_definitions` VALUES (127523, 2089, 36, 'شناسه ویزیت');
INSERT INTO `lang_definitions` VALUES (127524, 2091, 36, 'شماره ویزیت');
INSERT INTO `lang_definitions` VALUES (127525, 2096, 36, 'ویزیت بیمار در مطب');
INSERT INTO `lang_definitions` VALUES (127526, 2097, 36, 'ویزیت بیمار سرپایی');
INSERT INTO `lang_definitions` VALUES (127527, 2100, 36, 'پرداخت ویزیت');
INSERT INTO `lang_definitions` VALUES (127528, 2108, 36, 'آمار ویزیت');
INSERT INTO `lang_definitions` VALUES (127529, 2109, 36, 'خلاصه ویزیت');
INSERT INTO `lang_definitions` VALUES (127530, 2110, 36, 'ویزیت کد بندی شد');
INSERT INTO `lang_definitions` VALUES (127531, 2111, 36, 'ویزیت:');
INSERT INTO `lang_definitions` VALUES (127532, 2113, 36, 'ویزیت ها');
INSERT INTO `lang_definitions` VALUES (127533, 2114, 36, 'فرمها و ویزیت ها');
INSERT INTO `lang_definitions` VALUES (127534, 2115, 36, 'فرمها و ویزیت ها');
INSERT INTO `lang_definitions` VALUES (127535, 2116, 36, 'ویزیت ها مجاز نیستند');
INSERT INTO `lang_definitions` VALUES (127536, 2117, 36, 'گزارش ویزیت');
INSERT INTO `lang_definitions` VALUES (127537, 2118, 36, 'قسمت ویزیت');
INSERT INTO `lang_definitions` VALUES (127538, 2120, 36, 'رمزگذاری');
INSERT INTO `lang_definitions` VALUES (127539, 2121, 36, 'پایان');
INSERT INTO `lang_definitions` VALUES (127540, 2122, 36, 'پایان (yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (127541, 2123, 36, 'تا تاریخ');
INSERT INTO `lang_definitions` VALUES (127542, 2124, 36, 'تا تاریخ');
INSERT INTO `lang_definitions` VALUES (127543, 2127, 36, 'تا تاریخ:');
INSERT INTO `lang_definitions` VALUES (127544, 2131, 36, 'تا زمان');
INSERT INTO `lang_definitions` VALUES (127545, 2136, 36, 'Endo Abnormal Blood');
INSERT INTO `lang_definitions` VALUES (127546, 2137, 36, 'Endocrine');
INSERT INTO `lang_definitions` VALUES (127547, 2138, 36, 'آندوسکوپی');
INSERT INTO `lang_definitions` VALUES (127548, 2141, 36, 'انگلیسی');
INSERT INTO `lang_definitions` VALUES (127549, 2142, 36, 'انگلیسی ');
INSERT INTO `lang_definitions` VALUES (127550, 2143, 36, 'انگلیسی (هند)');
INSERT INTO `lang_definitions` VALUES (127551, 2144, 36, 'انگلیسی (استاندارد)');
INSERT INTO `lang_definitions` VALUES (127552, 2147, 36, 'ENT Discharge');
INSERT INTO `lang_definitions` VALUES (127553, 2148, 36, 'ENT Pain');
INSERT INTO `lang_definitions` VALUES (127554, 2154, 36, 'تشخیص بیماری را وارد کنید');
INSERT INTO `lang_definitions` VALUES (127555, 2155, 36, 'داروها ها را وارد کنید');
INSERT INTO `lang_definitions` VALUES (127556, 2158, 36, 'این واکسیناسیون ها را وارد کنید');
INSERT INTO `lang_definitions` VALUES (127557, 2159, 36, 'کلید رمز را وارد کنید');
INSERT INTO `lang_definitions` VALUES (127558, 2161, 36, 'وضعیت جدید را وارد کنید');
INSERT INTO `lang_definitions` VALUES (127559, 2165, 36, 'شرایط جستجوخود را در بالا وارد کنید');
INSERT INTO `lang_definitions` VALUES (127560, 2167, 36, 'رکورد');
INSERT INTO `lang_definitions` VALUES (127561, 2168, 36, 'محیط زیستی');
INSERT INTO `lang_definitions` VALUES (127562, 2176, 36, 'صرع');
INSERT INTO `lang_definitions` VALUES (127563, 2181, 36, 'پاک کن');
INSERT INTO `lang_definitions` VALUES (127564, 2182, 36, 'سیخ شدن');
INSERT INTO `lang_definitions` VALUES (127565, 2183, 36, 'اشتباه');
INSERT INTO `lang_definitions` VALUES (127566, 2225, 36, 'اشتباه: رمزهای عبور با هم مطابقت ندارند. لطفا تایپ حروف را بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (127567, 2226, 36, 'اشتباه: رمزهای عبور با هم مطابقت ندارند. لطفا تایپ حروف را بررسی کنید.');
INSERT INTO `lang_definitions` VALUES (127568, 2235, 36, 'اشتباهات');
INSERT INTO `lang_definitions` VALUES (127569, 2242, 36, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (127570, 2245, 36, 'اسکیمو');
INSERT INTO `lang_definitions` VALUES (127571, 2247, 36, 'بیمار با سابقه مشخص');
INSERT INTO `lang_definitions` VALUES (127572, 2249, 36, 'قومیت');
INSERT INTO `lang_definitions` VALUES (127573, 2250, 36, 'قومیت یا نژاد');
INSERT INTO `lang_definitions` VALUES (127574, 2251, 36, 'فهرست قومیت - نژاد (نوشتن، اضافه کردن تنها اختیاری)');
INSERT INTO `lang_definitions` VALUES (127575, 2253, 36, 'رویداد');
INSERT INTO `lang_definitions` VALUES (127576, 2254, 36, 'رویداد آغاز می شود');
INSERT INTO `lang_definitions` VALUES (127577, 2255, 36, 'دسته بندی رویداد');
INSERT INTO `lang_definitions` VALUES (127578, 2256, 36, 'تاریخ رویداد');
INSERT INTO `lang_definitions` VALUES (127579, 2257, 36, 'توضیحات رویداد');
INSERT INTO `lang_definitions` VALUES (127580, 2258, 36, 'جزئیات رویداد');
INSERT INTO `lang_definitions` VALUES (127581, 2259, 36, 'رویداد تکرار نمی شود');
INSERT INTO `lang_definitions` VALUES (127582, 2260, 36, 'طول مدت رویداد');
INSERT INTO `lang_definitions` VALUES (127583, 2261, 36, 'طول مدت زمان رویداد به دقیقه');
INSERT INTO `lang_definitions` VALUES (127584, 2262, 36, 'هزینه رویداد');
INSERT INTO `lang_definitions` VALUES (127585, 2263, 36, 'محل رویداد');
INSERT INTO `lang_definitions` VALUES (127586, 2264, 36, 'تکرار رویداد هر');
INSERT INTO `lang_definitions` VALUES (127587, 2265, 36, 'تکرار رویداد');
INSERT INTO `lang_definitions` VALUES (127588, 2266, 36, 'زمان شروع رویداد');
INSERT INTO `lang_definitions` VALUES (127589, 2267, 36, 'عنوان رویداد');
INSERT INTO `lang_definitions` VALUES (127590, 2268, 36, 'عنوان رویداد');
INSERT INTO `lang_definitions` VALUES (127591, 2269, 36, 'وب سایت رویداد');
INSERT INTO `lang_definitions` VALUES (127592, 2270, 36, 'رویدادها');
INSERT INTO `lang_definitions` VALUES (127593, 2271, 36, 'رویدادهای');
INSERT INTO `lang_definitions` VALUES (127594, 2272, 36, 'رویدادها را در صفحه جدید باز میشوند');
INSERT INTO `lang_definitions` VALUES (127595, 2273, 36, 'هر');
INSERT INTO `lang_definitions` VALUES (127596, 2274, 36, 'هر');
INSERT INTO `lang_definitions` VALUES (127597, 2275, 36, 'هر ۳ ساعت');
INSERT INTO `lang_definitions` VALUES (127598, 2276, 36, 'هر ۴ ساعت');
INSERT INTO `lang_definitions` VALUES (127599, 2277, 36, 'هر ۵ ساعت');
INSERT INTO `lang_definitions` VALUES (127600, 2278, 36, 'هر ۶ ساعت');
INSERT INTO `lang_definitions` VALUES (127601, 2279, 36, 'هر ۸ ساعت');
INSERT INTO `lang_definitions` VALUES (127602, 2281, 36, 'یکی‌ در میان');
INSERT INTO `lang_definitions` VALUES (127603, 2285, 36, 'معاینه و نتایج آزمون');
INSERT INTO `lang_definitions` VALUES (127604, 2286, 36, 'نتایج معاینه');
INSERT INTO `lang_definitions` VALUES (127605, 2289, 36, 'معاینه');
INSERT INTO `lang_definitions` VALUES (127606, 2290, 36, 'تاریخ معاینه');
INSERT INTO `lang_definitions` VALUES (127607, 2291, 36, 'مثال');
INSERT INTO `lang_definitions` VALUES (127608, 2292, 36, 'مثالها');
INSERT INTO `lang_definitions` VALUES (127609, 2293, 36, 'معاینه/آزمونها');
INSERT INTO `lang_definitions` VALUES (127610, 2294, 36, 'بجز');
INSERT INTO `lang_definitions` VALUES (127611, 2297, 36, 'حذف');
INSERT INTO `lang_definitions` VALUES (127612, 2300, 36, 'ورزش');
INSERT INTO `lang_definitions` VALUES (127613, 2301, 36, 'الگوهای ورزش');
INSERT INTO `lang_definitions` VALUES (127614, 2302, 36, 'الگوهای ورزش');
INSERT INTO `lang_definitions` VALUES (127615, 2303, 36, 'وجود دارد');
INSERT INTO `lang_definitions` VALUES (127616, 2304, 36, 'خروج از مدیریت نرم افزار');
INSERT INTO `lang_definitions` VALUES (127617, 2306, 36, 'گسترش');
INSERT INTO `lang_definitions` VALUES (127618, 2307, 36, 'گسترش');
INSERT INTO `lang_definitions` VALUES (127619, 2308, 36, 'گسترش همه');
INSERT INTO `lang_definitions` VALUES (127620, 2311, 36, 'نمایش گسترده');
INSERT INTO `lang_definitions` VALUES (127621, 2313, 36, 'انقضاء');
INSERT INTO `lang_definitions` VALUES (127622, 2314, 36, 'تاریخ انقضاء');
INSERT INTO `lang_definitions` VALUES (127623, 2315, 36, 'منقضی می شود');
INSERT INTO `lang_definitions` VALUES (127624, 2316, 36, 'منقضی می شود در');
INSERT INTO `lang_definitions` VALUES (127625, 2317, 36, 'صادر کردن');
INSERT INTO `lang_definitions` VALUES (127626, 2318, 36, 'صادر کردن به صورت CSV');
INSERT INTO `lang_definitions` VALUES (127627, 2322, 36, 'صادر کردن جمعیت شناسی بیمار');
INSERT INTO `lang_definitions` VALUES (127628, 2325, 36, 'صادر کردن انتخاب شده به صورت CSV');
INSERT INTO `lang_definitions` VALUES (127629, 2327, 36, 'صادر کردن به CSV');
INSERT INTO `lang_definitions` VALUES (127630, 2328, 36, 'صادر کردن به سیستم حسابداری خارجی');
INSERT INTO `lang_definitions` VALUES (127631, 2329, 36, 'قرار گرفتن در معرض کشورهای خارجی');
INSERT INTO `lang_definitions` VALUES (127632, 2330, 36, 'قرار گرفتن در معرض کشورهای خارجی');
INSERT INTO `lang_definitions` VALUES (127633, 2332, 36, 'بیرونی');
INSERT INTO `lang_definitions` VALUES (127634, 2334, 36, 'بارهای داده های بیرونی');
INSERT INTO `lang_definitions` VALUES (127635, 2335, 36, 'ابزار واردات پایگاه داده های بیرونی');
INSERT INTO `lang_definitions` VALUES (127636, 2336, 36, 'شناسه بیرونی');
INSERT INTO `lang_definitions` VALUES (127637, 2337, 36, 'شناسه بیرونی');
INSERT INTO `lang_definitions` VALUES (127638, 2338, 36, 'شناسه بیرونی');
INSERT INTO `lang_definitions` VALUES (127639, 2339, 36, 'فقط بیرونی');
INSERT INTO `lang_definitions` VALUES (127640, 2342, 36, 'ارجاع بیرونی');
INSERT INTO `lang_definitions` VALUES (127641, 2343, 36, 'پیگیری ارجاع بیرونی');
INSERT INTO `lang_definitions` VALUES (127642, 2344, 36, 'ارجاع بیرونی؟');
INSERT INTO `lang_definitions` VALUES (127643, 2345, 36, 'ارجاعات بیرونی');
INSERT INTO `lang_definitions` VALUES (127644, 2346, 36, 'استخراج فایل ZIP');
INSERT INTO `lang_definitions` VALUES (127645, 2347, 36, 'در حال استخراج فایل. این کار کمی طول می کشد ...');
INSERT INTO `lang_definitions` VALUES (127646, 2349, 36, 'سوزش چشم');
INSERT INTO `lang_definitions` VALUES (127647, 2350, 36, 'درد چشم');
INSERT INTO `lang_definitions` VALUES (127648, 2351, 36, 'قرمزی چشم');
INSERT INTO `lang_definitions` VALUES (127649, 2352, 36, 'چشم ها');
INSERT INTO `lang_definitions` VALUES (127650, 2354, 36, 'F/H Blood Problems');
INSERT INTO `lang_definitions` VALUES (127651, 2355, 36, 'F/H Female Hirsutism/Striae');
INSERT INTO `lang_definitions` VALUES (127652, 2356, 36, 'درمانگاه ها');
INSERT INTO `lang_definitions` VALUES (127653, 2357, 36, 'درمانگاه');
INSERT INTO `lang_definitions` VALUES (127654, 2358, 36, 'درمانگاه');
INSERT INTO `lang_definitions` VALUES (127655, 2359, 36, 'مدیریت درمانگاه');
INSERT INTO `lang_definitions` VALUES (127656, 2360, 36, 'شهر درمانگاه');
INSERT INTO `lang_definitions` VALUES (127657, 2361, 36, 'کد درمانگاه');
INSERT INTO `lang_definitions` VALUES (127658, 2362, 36, 'کد کشوری درمانگاه');
INSERT INTO `lang_definitions` VALUES (127659, 2363, 36, 'نمابر درمانگاه');
INSERT INTO `lang_definitions` VALUES (127660, 2364, 36, 'نام درمانگاه');
INSERT INTO `lang_definitions` VALUES (127661, 2365, 36, 'شماره پروانه بهره برداری');
INSERT INTO `lang_definitions` VALUES (127662, 2366, 36, 'شماره تلفن درمانگاه');
INSERT INTO `lang_definitions` VALUES (127663, 2368, 36, 'وضعیت درمانگاه');
INSERT INTO `lang_definitions` VALUES (127664, 2369, 36, 'خیابان درمانگاه');
INSERT INTO `lang_definitions` VALUES (127665, 2370, 36, 'کد پستی درمانگاه');
INSERT INTO `lang_definitions` VALUES (127666, 2372, 36, 'درمانگاه:');
INSERT INTO `lang_definitions` VALUES (127667, 2383, 36, 'عدم موفقیت');
INSERT INTO `lang_definitions` VALUES (127668, 2390, 36, 'سابقه خانوادگی');
INSERT INTO `lang_definitions` VALUES (127669, 2391, 36, 'سابقه خانوادگی گلوکوم');
INSERT INTO `lang_definitions` VALUES (127670, 2392, 36, 'سابقه خانوادگی:');
INSERT INTO `lang_definitions` VALUES (127671, 2394, 36, 'پرداخت های خانواده');
INSERT INTO `lang_definitions` VALUES (127672, 2395, 36, 'تعداد افراد خانواده');
INSERT INTO `lang_definitions` VALUES (127673, 2398, 36, 'فارسی');
INSERT INTO `lang_definitions` VALUES (127674, 2400, 36, 'پدر');
INSERT INTO `lang_definitions` VALUES (127675, 2402, 36, 'خستگی');
INSERT INTO `lang_definitions` VALUES (127676, 2403, 36, 'خسته');
INSERT INTO `lang_definitions` VALUES (127677, 2404, 36, 'فکس');
INSERT INTO `lang_definitions` VALUES (127678, 2405, 36, 'شمارش فکس');
INSERT INTO `lang_definitions` VALUES (127679, 2406, 36, 'شماره فکس');
INSERT INTO `lang_definitions` VALUES (127680, 2411, 36, 'ویژگی ها');
INSERT INTO `lang_definitions` VALUES (127681, 2412, 36, 'فوریه');
INSERT INTO `lang_definitions` VALUES (127682, 2413, 36, 'فوریه');
INSERT INTO `lang_definitions` VALUES (127683, 2418, 36, 'هزینه');
INSERT INTO `lang_definitions` VALUES (127684, 2419, 36, 'هزینه');
INSERT INTO `lang_definitions` VALUES (127685, 2420, 36, 'هزینه مجاز نمی باشد');
INSERT INTO `lang_definitions` VALUES (127686, 2421, 36, 'جدول هزینه');
INSERT INTO `lang_definitions` VALUES (127687, 2422, 36, 'گزینه های جدول هزینه');
INSERT INTO `lang_definitions` VALUES (127688, 2423, 36, 'هزینه ها');
INSERT INTO `lang_definitions` VALUES (127689, 2424, 36, 'زن');
INSERT INTO `lang_definitions` VALUES (127690, 2434, 36, 'تب');
INSERT INTO `lang_definitions` VALUES (127691, 2435, 36, ':تب:');
INSERT INTO `lang_definitions` VALUES (127692, 2447, 36, 'پرونده');
INSERT INTO `lang_definitions` VALUES (127693, 2456, 36, 'فایلی برای آپلود');
INSERT INTO `lang_definitions` VALUES (127694, 2461, 36, 'پرونده ها');
INSERT INTO `lang_definitions` VALUES (127695, 2468, 36, 'فیلتر');
INSERT INTO `lang_definitions` VALUES (127696, 2472, 36, 'فیلترها');
INSERT INTO `lang_definitions` VALUES (127697, 2473, 36, 'فیلترها');
INSERT INTO `lang_definitions` VALUES (127698, 2474, 36, 'نهایی');
INSERT INTO `lang_definitions` VALUES (127699, 2475, 36, 'تشخیص نهایی');
INSERT INTO `lang_definitions` VALUES (127700, 2476, 36, 'تشخیص نهایی متخصص');
INSERT INTO `lang_definitions` VALUES (127701, 2478, 36, 'مالی');
INSERT INTO `lang_definitions` VALUES (127702, 2482, 36, 'تاریخ بررسی مالی');
INSERT INTO `lang_definitions` VALUES (127703, 2483, 36, 'شرح مختصر مالی بر اساس کد خدمات');
INSERT INTO `lang_definitions` VALUES (127704, 2484, 36, 'جستجو');
INSERT INTO `lang_definitions` VALUES (127705, 2485, 36, 'جستجوی وقت آزاد');
INSERT INTO `lang_definitions` VALUES (127706, 2486, 36, 'جستجوی وقت ملاقات آزاد');
INSERT INTO `lang_definitions` VALUES (127707, 2487, 36, 'جستجوی بیمار');
INSERT INTO `lang_definitions` VALUES (127708, 2488, 36, 'یافتن مطالب آموزشی بیمار');
INSERT INTO `lang_definitions` VALUES (127709, 2489, 36, 'یافته ها');
INSERT INTO `lang_definitions` VALUES (127710, 2490, 36, 'یافته های متخصص');
INSERT INTO `lang_definitions` VALUES (127711, 2492, 36, 'پایان پرداخت');
INSERT INTO `lang_definitions` VALUES (127712, 2493, 36, 'به پایان رسیده');
INSERT INTO `lang_definitions` VALUES (127713, 2497, 36, 'روز اول هفته');
INSERT INTO `lang_definitions` VALUES (127714, 2498, 36, 'نام');
INSERT INTO `lang_definitions` VALUES (127715, 2499, 36, 'نام');
INSERT INTO `lang_definitions` VALUES (127716, 2500, 36, 'نام:');
INSERT INTO `lang_definitions` VALUES (127717, 2503, 36, 'آمادگی جسمی');
INSERT INTO `lang_definitions` VALUES (127718, 2504, 36, 'سطح آمادگی جسمی');
INSERT INTO `lang_definitions` VALUES (127719, 2505, 36, 'سطح آمادگی جسمی این بازیکن در این روز');
INSERT INTO `lang_definitions` VALUES (127720, 2507, 36, 'آمادگی جسمی برای بازی');
INSERT INTO `lang_definitions` VALUES (127721, 2514, 36, 'Flu season');
INSERT INTO `lang_definitions` VALUES (127722, 2515, 36, 'Flu Season');
INSERT INTO `lang_definitions` VALUES (127723, 2516, 36, 'Flu Vaccination');
INSERT INTO `lang_definitions` VALUES (127724, 2517, 36, 'Fluid and electrolyte problem');
INSERT INTO `lang_definitions` VALUES (127725, 2529, 36, 'پیگیری خدمات');
INSERT INTO `lang_definitions` VALUES (127726, 2530, 36, 'پیگیری ها قید شده اند');
INSERT INTO `lang_definitions` VALUES (127727, 2531, 36, 'عدم تحمل غذایی');
INSERT INTO `lang_definitions` VALUES (127728, 2532, 36, 'پا');
INSERT INTO `lang_definitions` VALUES (127729, 2533, 36, 'مشکلات پا');
INSERT INTO `lang_definitions` VALUES (127730, 2534, 36, 'پا:');
INSERT INTO `lang_definitions` VALUES (127731, 2535, 36, 'آسیب دیدگی های فوتبال');
INSERT INTO `lang_definitions` VALUES (127732, 2537, 36, 'گزارش آسیب دیدگی های فوتبال');
INSERT INTO `lang_definitions` VALUES (127733, 2538, 36, 'نوع کفش');
INSERT INTO `lang_definitions` VALUES (127734, 2539, 36, 'برای');
INSERT INTO `lang_definitions` VALUES (127735, 2540, 36, 'برای');
INSERT INTO `lang_definitions` VALUES (127736, 2541, 36, 'برای کد');
INSERT INTO `lang_definitions` VALUES (127737, 2544, 36, 'برای مثال:');
INSERT INTO `lang_definitions` VALUES (127738, 2547, 36, 'برای فاکتور');
INSERT INTO `lang_definitions` VALUES (127739, 2554, 36, 'برای متغیر');
INSERT INTO `lang_definitions` VALUES (127740, 2555, 36, 'برای:');
INSERT INTO `lang_definitions` VALUES (127741, 2559, 36, 'بازو');
INSERT INTO `lang_definitions` VALUES (127742, 2560, 36, 'فرم');
INSERT INTO `lang_definitions` VALUES (127743, 2564, 36, 'قالب');
INSERT INTO `lang_definitions` VALUES (127744, 2565, 36, 'قالب');
INSERT INTO `lang_definitions` VALUES (127745, 2570, 36, 'گزارش فرمت شده');
INSERT INTO `lang_definitions` VALUES (127746, 2571, 36, 'سیگاری سابق');
INSERT INTO `lang_definitions` VALUES (127747, 2572, 36, 'فرم ها');
INSERT INTO `lang_definitions` VALUES (127748, 2573, 36, 'مدیریت فرم ها');
INSERT INTO `lang_definitions` VALUES (127749, 2575, 36, 'فرستادن');
INSERT INTO `lang_definitions` VALUES (127750, 2576, 36, 'فرستادن صفحات از طریق فکس');
INSERT INTO `lang_definitions` VALUES (127751, 2577, 36, 'فرستاده شده');
INSERT INTO `lang_definitions` VALUES (127752, 2579, 36, 'چهارم');
INSERT INTO `lang_definitions` VALUES (127753, 2581, 36, 'شکستگی');
INSERT INTO `lang_definitions` VALUES (127754, 2582, 36, 'شکستگی نویکل');
INSERT INTO `lang_definitions` VALUES (127755, 2583, 36, 'شکستگی قوزک جانبی');
INSERT INTO `lang_definitions` VALUES (127756, 2584, 36, 'شکستگی قوزک داخلی');
INSERT INTO `lang_definitions` VALUES (127757, 2585, 36, 'شکستگی قاعده متاتارس پنجم');
INSERT INTO `lang_definitions` VALUES (127758, 2587, 36, 'فرانسوی');
INSERT INTO `lang_definitions` VALUES (127759, 2588, 36, 'فرانسوی (کانادا)');
INSERT INTO `lang_definitions` VALUES (127760, 2589, 36, 'فرانسوی (استاندارد)');
INSERT INTO `lang_definitions` VALUES (127761, 2590, 36, 'فرکانس');
INSERT INTO `lang_definitions` VALUES (127762, 2591, 36, 'سرماخوردگیهای مکرر');
INSERT INTO `lang_definitions` VALUES (127763, 2592, 36, 'بیماری های مکرر');
INSERT INTO `lang_definitions` VALUES (127764, 2593, 36, 'جمعه');
INSERT INTO `lang_definitions` VALUES (127765, 2594, 36, 'جمعه');
INSERT INTO `lang_definitions` VALUES (127766, 2595, 36, 'از');
INSERT INTO `lang_definitions` VALUES (127767, 2596, 36, 'از');
INSERT INTO `lang_definitions` VALUES (127768, 2597, 36, 'از');
INSERT INTO `lang_definitions` VALUES (127769, 2599, 36, 'از:');
INSERT INTO `lang_definitions` VALUES (127770, 2600, 36, 'از: ');
INSERT INTO `lang_definitions` VALUES (127771, 2613, 36, 'دفتر جلو');
INSERT INTO `lang_definitions` VALUES (127772, 2614, 36, 'رسیدهای دفتر جلو');
INSERT INTO `lang_definitions` VALUES (127773, 2615, 36, 'گزارش رسیدهای دفتر جلو');
INSERT INTO `lang_definitions` VALUES (127774, 2617, 36, 'پیشانی راست:');
INSERT INTO `lang_definitions` VALUES (127775, 2619, 36, 'نام کامل');
INSERT INTO `lang_definitions` VALUES (127776, 2620, 36, 'مسیر کامل دایرکتوری حاوی اجرایی های MySQL.');
INSERT INTO `lang_definitions` VALUES (127777, 2621, 36, 'مسیر کامل دایرکتوری حاوی اجرایی های Perl.');
INSERT INTO `lang_definitions` VALUES (127778, 2622, 36, 'مسیر کامل دایرکتوری تهیه پشتیبان رویدادها.');
INSERT INTO `lang_definitions` VALUES (127779, 2623, 36, 'مسیر کامل دایرکتوری برای فایل های موقت.');
INSERT INTO `lang_definitions` VALUES (127780, 2624, 36, 'پخش کامل');
INSERT INTO `lang_definitions` VALUES (127781, 2625, 36, 'آموزشی کامل');
INSERT INTO `lang_definitions` VALUES (127782, 2626, 36, 'کاملا پرداخت شده');
INSERT INTO `lang_definitions` VALUES (127783, 2636, 36, 'Gall Bladder Condition');
INSERT INTO `lang_definitions` VALUES (127784, 2637, 36, 'Gall Stones');
INSERT INTO `lang_definitions` VALUES (127785, 2644, 36, 'ورم معده');
INSERT INTO `lang_definitions` VALUES (127786, 2645, 36, 'درد معده');
INSERT INTO `lang_definitions` VALUES (127787, 2646, 36, 'دستگاه گوارش');
INSERT INTO `lang_definitions` VALUES (127788, 2649, 36, 'فرم ملاقات GCAC از دست رفته است');
INSERT INTO `lang_definitions` VALUES (127789, 2650, 36, 'جنس');
INSERT INTO `lang_definitions` VALUES (127790, 2651, 36, 'جنس ');
INSERT INTO `lang_definitions` VALUES (127791, 2652, 36, 'عمومی');
INSERT INTO `lang_definitions` VALUES (127792, 2668, 36, 'ایجاد فاکتور');
INSERT INTO `lang_definitions` VALUES (127793, 2669, 36, 'ایجاد نامه');
INSERT INTO `lang_definitions` VALUES (127794, 2670, 36, 'ایجاد نامه در مورد ');
INSERT INTO `lang_definitions` VALUES (127795, 2677, 36, 'ایجاد گزارش');
INSERT INTO `lang_definitions` VALUES (127796, 2684, 36, 'Genitourinary');
INSERT INTO `lang_definitions` VALUES (127797, 2687, 36, 'آلمانی');
INSERT INTO `lang_definitions` VALUES (127798, 2692, 36, 'گلوکوم یا آب سیاه');
INSERT INTO `lang_definitions` VALUES (127799, 2693, 36, 'تاریخچه خانوادگی گلوکوم یا آب سیاه');
INSERT INTO `lang_definitions` VALUES (127800, 2694, 36, 'سراسری');
INSERT INTO `lang_definitions` VALUES (127801, 2696, 36, 'شناسه سراسری');
INSERT INTO `lang_definitions` VALUES (127802, 2697, 36, 'تنظیمات سراسری');
INSERT INTO `lang_definitions` VALUES (127803, 2698, 36, 'تنظیمات سراسری');
INSERT INTO `lang_definitions` VALUES (127804, 2700, 36, 'برو');
INSERT INTO `lang_definitions` VALUES (127805, 2701, 36, 'برو');
INSERT INTO `lang_definitions` VALUES (127806, 2704, 36, 'برو به');
INSERT INTO `lang_definitions` VALUES (127807, 2705, 36, 'برو به هفته');
INSERT INTO `lang_definitions` VALUES (127808, 2706, 36, 'برو به امروز');
INSERT INTO `lang_definitions` VALUES (127809, 2711, 36, 'درجه آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (127810, 2712, 36, 'درجه:');
INSERT INTO `lang_definitions` VALUES (127811, 2713, 36, 'گرم');
INSERT INTO `lang_definitions` VALUES (127812, 2714, 36, 'جمع کل');
INSERT INTO `lang_definitions` VALUES (127813, 2715, 36, 'جمع کل');
INSERT INTO `lang_definitions` VALUES (127814, 2720, 36, 'بزرگتر از');
INSERT INTO `lang_definitions` VALUES (127815, 2721, 36, 'بزرگتر از یا مساوی با');
INSERT INTO `lang_definitions` VALUES (127816, 2722, 36, 'یونانی');
INSERT INTO `lang_definitions` VALUES (127817, 2724, 36, 'گروه');
INSERT INTO `lang_definitions` VALUES (127818, 2725, 36, 'نام گروه');
INSERT INTO `lang_definitions` VALUES (127819, 2726, 36, 'نام گروه نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (127820, 2727, 36, 'نام گروه نمی تواند با اعداد یا فاصله شروع می شود.');
INSERT INTO `lang_definitions` VALUES (127821, 2728, 36, 'نام گروه نمی تواند با اعداد شروع می شود.');
INSERT INTO `lang_definitions` VALUES (127822, 2729, 36, 'شماره گروه');
INSERT INTO `lang_definitions` VALUES (127823, 2730, 36, 'پرداخت گروه');
INSERT INTO `lang_definitions` VALUES (127824, 2731, 36, 'گروه:');
INSERT INTO `lang_definitions` VALUES (127825, 2732, 36, 'نام گروه');
INSERT INTO `lang_definitions` VALUES (127826, 2733, 36, 'گروه ها و کنترلهای دسترسی');
INSERT INTO `lang_definitions` VALUES (127827, 2734, 36, 'نمودار رشد');
INSERT INTO `lang_definitions` VALUES (127828, 2735, 36, 'نمودار رشد');
INSERT INTO `lang_definitions` VALUES (127829, 2739, 36, 'نام قیم');
INSERT INTO `lang_definitions` VALUES (127830, 2741, 36, 'Gynecological Exam');
INSERT INTO `lang_definitions` VALUES (127831, 2743, 36, 'h.s.');
INSERT INTO `lang_definitions` VALUES (127832, 2744, 36, 'H/O Hepatitis');
INSERT INTO `lang_definitions` VALUES (127833, 2746, 36, 'Haematoma / bruising');
INSERT INTO `lang_definitions` VALUES (127834, 2750, 36, 'دست + انگشتان');
INSERT INTO `lang_definitions` VALUES (127835, 2751, 36, 'مشکلات دست');
INSERT INTO `lang_definitions` VALUES (127836, 2754, 36, 'به ملاقات مربوط شده است');
INSERT INTO `lang_definitions` VALUES (127837, 2755, 36, 'منقضی شده است');
INSERT INTO `lang_definitions` VALUES (127838, 2760, 36, 'اهل هاوایی');
INSERT INTO `lang_definitions` VALUES (127839, 2761, 36, 'فعالیت های خطرناک');
INSERT INTO `lang_definitions` VALUES (127840, 2762, 36, 'فعالیت های خطرناک');
INSERT INTO `lang_definitions` VALUES (127841, 2768, 36, 'سر');
INSERT INTO `lang_definitions` VALUES (127842, 2769, 36, 'دور سر');
INSERT INTO `lang_definitions` VALUES (127843, 2770, 36, 'دور سر');
INSERT INTO `lang_definitions` VALUES (127844, 2771, 36, 'سردرد');
INSERT INTO `lang_definitions` VALUES (127845, 2772, 36, 'سردرد ها');
INSERT INTO `lang_definitions` VALUES (127846, 2773, 36, 'عملیات بهداشتی و درمانی');
INSERT INTO `lang_definitions` VALUES (127847, 2774, 36, 'عملیات بهداشتی و درمانی');
INSERT INTO `lang_definitions` VALUES (127848, 2775, 36, 'مرکز بهداشتی/درمانگاه');
INSERT INTO `lang_definitions` VALUES (127849, 2778, 36, 'از دست دادن شنوایی');
INSERT INTO `lang_definitions` VALUES (127850, 2779, 36, 'سکته قلبی');
INSERT INTO `lang_definitions` VALUES (127851, 2780, 36, 'بیماری قلبی');
INSERT INTO `lang_definitions` VALUES (127852, 2781, 36, 'نارسایی قلب');
INSERT INTO `lang_definitions` VALUES (127853, 2782, 36, 'مشکل قلبی');
INSERT INTO `lang_definitions` VALUES (127854, 2783, 36, 'مشکلات قلبی');
INSERT INTO `lang_definitions` VALUES (127855, 2784, 36, 'جراحی قلب');
INSERT INTO `lang_definitions` VALUES (127856, 2785, 36, 'پیوند قلب');
INSERT INTO `lang_definitions` VALUES (127857, 2786, 36, 'قلب:');
INSERT INTO `lang_definitions` VALUES (127858, 2787, 36, 'سوزش معده');
INSERT INTO `lang_definitions` VALUES (127859, 2788, 36, 'گرما یا سرما');
INSERT INTO `lang_definitions` VALUES (127860, 2789, 36, 'گرما یا سرما');
INSERT INTO `lang_definitions` VALUES (127861, 2791, 36, 'زبان عبری');
INSERT INTO `lang_definitions` VALUES (127862, 2794, 36, 'ارتفاع');
INSERT INTO `lang_definitions` VALUES (127863, 2796, 36, 'کمک');
INSERT INTO `lang_definitions` VALUES (127864, 2797, 36, 'کمک');
INSERT INTO `lang_definitions` VALUES (127865, 2798, 36, 'هماتمز/خونی');
INSERT INTO `lang_definitions` VALUES (127866, 2799, 36, 'هماتوشزی/ادرار خونی');
INSERT INTO `lang_definitions` VALUES (127867, 2800, 36, 'هماتولوژیک');
INSERT INTO `lang_definitions` VALUES (127868, 2801, 36, 'هماچوری');
INSERT INTO `lang_definitions` VALUES (127869, 2802, 36, 'هموگلوبین');
INSERT INTO `lang_definitions` VALUES (127870, 2803, 36, 'هموگلوبین A1c');
INSERT INTO `lang_definitions` VALUES (127871, 2804, 36, 'هموپتیزی/استفراغ خونی');
INSERT INTO `lang_definitions` VALUES (127872, 2805, 36, 'هپاتیت');
INSERT INTO `lang_definitions` VALUES (127873, 2806, 36, 'هپاتیت A 1');
INSERT INTO `lang_definitions` VALUES (127874, 2807, 36, 'هپاتیت A 2');
INSERT INTO `lang_definitions` VALUES (127875, 2808, 36, 'هپاتیت B 1');
INSERT INTO `lang_definitions` VALUES (127876, 2809, 36, 'هپاتیت B 2');
INSERT INTO `lang_definitions` VALUES (127877, 2810, 36, 'هپاتیت B 3');
INSERT INTO `lang_definitions` VALUES (127878, 2811, 36, 'اینجا');
INSERT INTO `lang_definitions` VALUES (127879, 2813, 36, 'ترمیم فتق');
INSERT INTO `lang_definitions` VALUES (127880, 2814, 36, 'Herniated Disc');
INSERT INTO `lang_definitions` VALUES (127881, 2815, 36, 'تبخال');
INSERT INTO `lang_definitions` VALUES (127882, 2816, 36, 'تردید');
INSERT INTO `lang_definitions` VALUES (127883, 2822, 36, 'پنهانی');
INSERT INTO `lang_definitions` VALUES (127884, 2823, 36, 'مدیریت رویدادهای پنهان');
INSERT INTO `lang_definitions` VALUES (127885, 2824, 36, 'پنهان کردن');
INSERT INTO `lang_definitions` VALUES (127886, 2825, 36, 'پنهان جزئیات');
INSERT INTO `lang_definitions` VALUES (127887, 2828, 36, 'پنهان کردن منو');
INSERT INTO `lang_definitions` VALUES (127888, 2830, 36, 'پنهان یادآوری ها');
INSERT INTO `lang_definitions` VALUES (127889, 2831, 36, 'پنهان/نمایش ستون ها');
INSERT INTO `lang_definitions` VALUES (127890, 2833, 36, 'بالا');
INSERT INTO `lang_definitions` VALUES (127891, 2834, 36, 'فشار خون بالا');
INSERT INTO `lang_definitions` VALUES (127892, 2835, 36, 'هندی');
INSERT INTO `lang_definitions` VALUES (127893, 2836, 36, 'لگن خاصره + کشاله ران');
INSERT INTO `lang_definitions` VALUES (127894, 2837, 36, 'لگن خاصره و کشاله ران');
INSERT INTO `lang_definitions` VALUES (127895, 2838, 36, 'مشکلات لگن خاصره');
INSERT INTO `lang_definitions` VALUES (127896, 2839, 36, 'تعویض لگن خاصره');
INSERT INTO `lang_definitions` VALUES (127897, 2840, 36, 'اطلاعیه HIPAA رسید');
INSERT INTO `lang_definitions` VALUES (127898, 2843, 36, 'هیسپانیک');
INSERT INTO `lang_definitions` VALUES (127899, 2844, 36, 'هیسپانیک - دیگر (متولد در آمریکا)');
INSERT INTO `lang_definitions` VALUES (127900, 2845, 36, 'هیسپانیک - دیگر (متولد خارج از آمریکا)');
INSERT INTO `lang_definitions` VALUES (127901, 2846, 36, 'هیسپانیک یا آمریکای لاتین');
INSERT INTO `lang_definitions` VALUES (127902, 2847, 36, 'تاریخچه پزشکی');
INSERT INTO `lang_definitions` VALUES (127903, 2848, 36, 'اطلاعات سابقه');
INSERT INTO `lang_definitions` VALUES (127904, 2849, 36, 'تاریخ سابقه');
INSERT INTO `lang_definitions` VALUES (127905, 2851, 36, 'سابقه مورمور');
INSERT INTO `lang_definitions` VALUES (127906, 2852, 36, 'سوابق مجاز نیست');
INSERT INTO `lang_definitions` VALUES (127907, 2853, 36, 'سابقه مورمور قلب');
INSERT INTO `lang_definitions` VALUES (127908, 2854, 36, 'تعداد بازدید ها');
INSERT INTO `lang_definitions` VALUES (127909, 2865, 36, 'منزل');
INSERT INTO `lang_definitions` VALUES (127910, 2866, 36, 'تلفن منزل');
INSERT INTO `lang_definitions` VALUES (127911, 2867, 36, 'شماره تلفن منزل');
INSERT INTO `lang_definitions` VALUES (127912, 2868, 36, 'بی خانمان و یا مشابه؟');
INSERT INTO `lang_definitions` VALUES (127913, 2869, 36, 'بی خانمان، و غیره');
INSERT INTO `lang_definitions` VALUES (127914, 2870, 36, 'بی خانمان، و غیره.');
INSERT INTO `lang_definitions` VALUES (127915, 2875, 36, 'ساعت');
INSERT INTO `lang_definitions` VALUES (127916, 2876, 36, 'ساعتها');
INSERT INTO `lang_definitions` VALUES (127917, 2878, 36, 'چگونه آسیب رخ داد؟');
INSERT INTO `lang_definitions` VALUES (127918, 2879, 36, 'چگونه آسیب رخ داد؟:');
INSERT INTO `lang_definitions` VALUES (127919, 2880, 36, 'آنها چگونه با ما آشنا شدند');
INSERT INTO `lang_definitions` VALUES (127920, 2884, 36, 'HTML');
INSERT INTO `lang_definitions` VALUES (127921, 2892, 36, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (127922, 2893, 36, 'بیماری فشار خون');
INSERT INTO `lang_definitions` VALUES (127923, 2894, 36, 'Hypertension: Blood Pressure Measurement');
INSERT INTO `lang_definitions` VALUES (127924, 2895, 36, 'Hypertension: Blood Pressure Measurement (CQM)');
INSERT INTO `lang_definitions` VALUES (127925, 2896, 36, 'پرکاری تیرویید');
INSERT INTO `lang_definitions` VALUES (127926, 2897, 36, 'کم کاری تیرویید');
INSERT INTO `lang_definitions` VALUES (127927, 2898, 36, 'Hysterectomy');
INSERT INTO `lang_definitions` VALUES (127928, 2900, 36, 'من در این زمان مشغول هستم.');
INSERT INTO `lang_definitions` VALUES (127929, 2901, 36, 'من اجازه خواندن ندارم ');
INSERT INTO `lang_definitions` VALUES (127930, 2902, 36, 'ICD');
INSERT INTO `lang_definitions` VALUES (127931, 2909, 36, 'شناسه');
INSERT INTO `lang_definitions` VALUES (127932, 2910, 36, 'شناسه');
INSERT INTO `lang_definitions` VALUES (127933, 2911, 36, 'شناسه نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (127934, 2912, 36, 'کارت شناسایی');
INSERT INTO `lang_definitions` VALUES (127935, 2927, 36, 'اگر بیکار، قید کنید دانشجو');
INSERT INTO `lang_definitions` VALUES (127936, 2942, 36, 'واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127937, 2943, 36, 'کد های واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127938, 2945, 36, 'تاریخ واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127939, 2948, 36, 'تولید کننده واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127940, 2949, 36, 'رجیستری واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127941, 2951, 36, 'خدمات واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127942, 2952, 36, 'عنوان واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127943, 2953, 36, 'واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (127944, 2954, 36, 'تزریق واکسن');
INSERT INTO `lang_definitions` VALUES (127945, 2955, 36, 'Immunologic');
INSERT INTO `lang_definitions` VALUES (127946, 2956, 36, 'Implants');
INSERT INTO `lang_definitions` VALUES (127947, 2957, 36, 'وارد کردن');
INSERT INTO `lang_definitions` VALUES (127948, 2962, 36, 'وارد کردن تنظیمات');
INSERT INTO `lang_definitions` VALUES (127949, 2964, 36, 'وارد کردن بیمار');
INSERT INTO `lang_definitions` VALUES (127950, 2965, 36, 'وارد کردن آمار جمعیتی بیمار');
INSERT INTO `lang_definitions` VALUES (127951, 2966, 36, 'کدهای مهم');
INSERT INTO `lang_definitions` VALUES (127952, 2969, 36, 'وارد شده از حسابداری');
INSERT INTO `lang_definitions` VALUES (127953, 2972, 36, 'بهبود یافته');
INSERT INTO `lang_definitions` VALUES (127954, 2973, 36, 'در');
INSERT INTO `lang_definitions` VALUES (127955, 2974, 36, 'در');
INSERT INTO `lang_definitions` VALUES (127956, 2975, 36, 'در هر چشم');
INSERT INTO `lang_definitions` VALUES (127957, 2976, 36, 'در چشم چپ');
INSERT INTO `lang_definitions` VALUES (127958, 2977, 36, 'در سوراخ بینی');
INSERT INTO `lang_definitions` VALUES (127959, 2978, 36, 'در دفتر');
INSERT INTO `lang_definitions` VALUES (127960, 2979, 36, 'در چشم راست');
INSERT INTO `lang_definitions` VALUES (127961, 2981, 36, 'غیر فعال');
INSERT INTO `lang_definitions` VALUES (127962, 2982, 36, 'روز های غیر فعال');
INSERT INTO `lang_definitions` VALUES (127963, 2983, 36, 'صندوق دریافت');
INSERT INTO `lang_definitions` VALUES (127964, 2986, 36, 'شامل شماره کنترل');
INSERT INTO `lang_definitions` VALUES (127965, 2987, 36, 'شامل تکمیل شدگان');
INSERT INTO `lang_definitions` VALUES (127966, 2988, 36, 'شامل کاربران غیر فعال');
INSERT INTO `lang_definitions` VALUES (127967, 2989, 36, 'شامل دسته بندی نشدگان');
INSERT INTO `lang_definitions` VALUES (127968, 2990, 36, 'شامل داده های بدون ساختار');
INSERT INTO `lang_definitions` VALUES (127969, 2991, 36, 'شامل علائم حیاتی');
INSERT INTO `lang_definitions` VALUES (127970, 2992, 36, 'شامل اطلاعات علائم حیاتی؟');
INSERT INTO `lang_definitions` VALUES (127971, 2993, 36, 'شامل بودن');
INSERT INTO `lang_definitions` VALUES (127972, 2994, 36, 'درامد');
INSERT INTO `lang_definitions` VALUES (127973, 2996, 36, 'ناقص');
INSERT INTO `lang_definitions` VALUES (127974, 2997, 36, 'Incomplete Abortion Treatment');
INSERT INTO `lang_definitions` VALUES (127975, 3001, 36, 'افزایش یافته:');
INSERT INTO `lang_definitions` VALUES (127976, 3002, 36, 'بیمه جبران خسارت');
INSERT INTO `lang_definitions` VALUES (127977, 3003, 36, 'نا مشخص');
INSERT INTO `lang_definitions` VALUES (127978, 3004, 36, 'هندی');
INSERT INTO `lang_definitions` VALUES (127979, 3005, 36, 'نشان دهنده اختلال');
INSERT INTO `lang_definitions` VALUES (127980, 3009, 36, 'بیماران مبتلا به تهی دست');
INSERT INTO `lang_definitions` VALUES (127981, 3010, 36, 'گزارش بیماران تهی دست');
INSERT INTO `lang_definitions` VALUES (127982, 3011, 36, 'تهی دستان');
INSERT INTO `lang_definitions` VALUES (127983, 3014, 36, 'سقط جنین عمدی');
INSERT INTO `lang_definitions` VALUES (127984, 3016, 36, 'فاقد شرایط لازم');
INSERT INTO `lang_definitions` VALUES (127985, 3017, 36, 'عفونت/آبسه');
INSERT INTO `lang_definitions` VALUES (127986, 3018, 36, 'عفونت ها');
INSERT INTO `lang_definitions` VALUES (127987, 3020, 36, 'نازایی');
INSERT INTO `lang_definitions` VALUES (127988, 3021, 36, 'آنفلوانزا ۱');
INSERT INTO `lang_definitions` VALUES (127989, 3022, 36, 'آنفلوانزا ۲');
INSERT INTO `lang_definitions` VALUES (127990, 3025, 36, 'واکسن آنفولانزا');
INSERT INTO `lang_definitions` VALUES (127991, 3026, 36, 'اطلاعات');
INSERT INTO `lang_definitions` VALUES (127992, 3027, 36, 'اطلاعات آزمون ۱');
INSERT INTO `lang_definitions` VALUES (127993, 3028, 36, 'اطلاعات آزمون ۲');
INSERT INTO `lang_definitions` VALUES (127994, 3029, 36, 'اطلاعات آزمون ۳');
INSERT INTO `lang_definitions` VALUES (127995, 3030, 36, 'اطلاعات آزمون ۴');
INSERT INTO `lang_definitions` VALUES (127996, 3031, 36, 'اطلاعات آزمون ۵');
INSERT INTO `lang_definitions` VALUES (127997, 3032, 36, 'اطلاعات آزمون ۶');
INSERT INTO `lang_definitions` VALUES (127998, 3034, 36, 'استنشاق');
INSERT INTO `lang_definitions` VALUES (127999, 3037, 36, 'کاربر اولیه');
INSERT INTO `lang_definitions` VALUES (128000, 3039, 36, 'تزریقی');
INSERT INTO `lang_definitions` VALUES (128001, 3040, 36, 'تزریق');
INSERT INTO `lang_definitions` VALUES (128002, 3043, 36, 'آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (128003, 3044, 36, 'سازوکار آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (128004, 3045, 36, 'گزارش بررسی اجمالی آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (128005, 3046, 36, 'مراقبت از آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (128006, 3047, 36, 'نوع آسیب دیدگی');
INSERT INTO `lang_definitions` VALUES (128007, 3051, 36, 'زمینه های ورودی');
INSERT INTO `lang_definitions` VALUES (128008, 3053, 36, 'بیمه ۱');
INSERT INTO `lang_definitions` VALUES (128009, 3054, 36, 'بیمه ۲ یا ۳');
INSERT INTO `lang_definitions` VALUES (128010, 3056, 36, 'بیمه تنظیم');
INSERT INTO `lang_definitions` VALUES (128011, 3057, 36, 'بسته بندی های بیمه');
INSERT INTO `lang_definitions` VALUES (128012, 3058, 36, 'کد های بیمه');
INSERT INTO `lang_definitions` VALUES (128013, 3061, 36, 'اضافه پرداخت بیمه');
INSERT INTO `lang_definitions` VALUES (128014, 3063, 36, 'بازپرداخت بیمه');
INSERT INTO `lang_definitions` VALUES (128015, 3064, 36, 'شرح مختصر بیمه');
INSERT INTO `lang_definitions` VALUES (128016, 3065, 36, 'بیمه ۱');
INSERT INTO `lang_definitions` VALUES (128017, 3066, 36, 'بیمه ۲');
INSERT INTO `lang_definitions` VALUES (128018, 3067, 36, 'بیمه ۳');
INSERT INTO `lang_definitions` VALUES (128019, 3072, 36, 'بیخوابی');
INSERT INTO `lang_definitions` VALUES (128020, 3074, 36, 'بازرسی');
INSERT INTO `lang_definitions` VALUES (128021, 3076, 36, 'نصب');
INSERT INTO `lang_definitions` VALUES (128022, 3077, 36, 'نصب');
INSERT INTO `lang_definitions` VALUES (128023, 3079, 36, 'نصب پایگاه داده ها');
INSERT INTO `lang_definitions` VALUES (128024, 3081, 36, 'دستور داده شده');
INSERT INTO `lang_definitions` VALUES (128025, 3082, 36, 'دستور العمل');
INSERT INTO `lang_definitions` VALUES (128026, 3084, 36, 'دستورالعمل ها:');
INSERT INTO `lang_definitions` VALUES (128027, 3087, 36, 'بیمه');
INSERT INTO `lang_definitions` VALUES (128028, 3088, 36, 'بیمه');
INSERT INTO `lang_definitions` VALUES (128029, 3091, 36, 'تراز بیمه');
INSERT INTO `lang_definitions` VALUES (128030, 3092, 36, 'مانده معوق بیمه');
INSERT INTO `lang_definitions` VALUES (128031, 3093, 36, 'شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (128032, 3094, 36, 'شرکت های بیمه');
INSERT INTO `lang_definitions` VALUES (128033, 3095, 36, 'شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (128034, 3096, 36, 'جستجو/اضافه کردن شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (128035, 3098, 36, 'داده های بیمه');
INSERT INTO `lang_definitions` VALUES (128036, 3099, 36, 'اطلاعات مربوط به بیمه در پرونده');
INSERT INTO `lang_definitions` VALUES (128037, 3100, 36, 'شماره های بیمه');
INSERT INTO `lang_definitions` VALUES (128038, 3101, 36, 'پرداخت بیمه');
INSERT INTO `lang_definitions` VALUES (128039, 3103, 36, 'ارائه دهنده خدمات بیمه');
INSERT INTO `lang_definitions` VALUES (128040, 3106, 36, 'بیمه شده');
INSERT INTO `lang_definitions` VALUES (128041, 3126, 36, 'معارفه داخلی');
INSERT INTO `lang_definitions` VALUES (128042, 3127, 36, 'زمان داخلی جمع آوری شده');
INSERT INTO `lang_definitions` VALUES (128043, 3128, 36, 'وظیفه بین المللی');
INSERT INTO `lang_definitions` VALUES (128044, 3129, 36, 'مترجم');
INSERT INTO `lang_definitions` VALUES (128045, 3130, 36, 'مترجم نیاز است؟');
INSERT INTO `lang_definitions` VALUES (128046, 3132, 36, 'فاصله');
INSERT INTO `lang_definitions` VALUES (128047, 3135, 36, 'مداخله');
INSERT INTO `lang_definitions` VALUES (128048, 3137, 36, 'عدم تحمل');
INSERT INTO `lang_definitions` VALUES (128049, 3139, 36, 'intramuscularly');
INSERT INTO `lang_definitions` VALUES (128050, 3140, 36, 'intravenously');
INSERT INTO `lang_definitions` VALUES (128051, 3141, 36, 'مقدمه');
INSERT INTO `lang_definitions` VALUES (128052, 3155, 36, 'موجودی');
INSERT INTO `lang_definitions` VALUES (128053, 3156, 36, 'تغییرات موجودی');
INSERT INTO `lang_definitions` VALUES (128054, 3157, 36, 'موجودی و فروش محصولات دارویی و غیر دارویی');
INSERT INTO `lang_definitions` VALUES (128055, 3158, 36, 'موجودی و فروش محصولات دارویی');
INSERT INTO `lang_definitions` VALUES (128056, 3159, 36, 'موجودی برای این سفارش در دسترس نیست.');
INSERT INTO `lang_definitions` VALUES (128057, 3160, 36, 'فهرست موجودی');
INSERT INTO `lang_definitions` VALUES (128058, 3161, 36, 'لیست تراکنش ها');
INSERT INTO `lang_definitions` VALUES (128059, 3216, 36, 'مسئله');
INSERT INTO `lang_definitions` VALUES (128060, 3217, 36, 'مسئله');
INSERT INTO `lang_definitions` VALUES (128061, 3218, 36, 'تاریخ مسئله');
INSERT INTO `lang_definitions` VALUES (128062, 3219, 36, 'شناسه مسئله');
INSERT INTO `lang_definitions` VALUES (128063, 3220, 36, 'عنوان مسئله');
INSERT INTO `lang_definitions` VALUES (128064, 3223, 36, 'مسائل');
INSERT INTO `lang_definitions` VALUES (128065, 3224, 36, 'مسائل (صدمات/پزشکی/آلرژی)');
INSERT INTO `lang_definitions` VALUES (128066, 3225, 36, 'مسائل (صدمات/پزشکی/آلرژی):');
INSERT INTO `lang_definitions` VALUES (128067, 3226, 36, 'مسائل و برخوردها');
INSERT INTO `lang_definitions` VALUES (128068, 3227, 36, 'مسائل و برخوردها');
INSERT INTO `lang_definitions` VALUES (128069, 3228, 36, 'مسائل مجاز نیست');
INSERT INTO `lang_definitions` VALUES (128070, 3229, 36, 'قسمت موضوعات');
INSERT INTO `lang_definitions` VALUES (128071, 3230, 36, 'ایتالیایی');
INSERT INTO `lang_definitions` VALUES (128072, 3231, 36, 'فقره');
INSERT INTO `lang_definitions` VALUES (128073, 3232, 36, 'فقره');
INSERT INTO `lang_definitions` VALUES (128074, 3233, 36, 'اقلام');
INSERT INTO `lang_definitions` VALUES (128075, 3238, 36, 'ژانویه');
INSERT INTO `lang_definitions` VALUES (128076, 3239, 36, 'ژانویه');
INSERT INTO `lang_definitions` VALUES (128077, 3240, 36, 'ژاپنی');
INSERT INTO `lang_definitions` VALUES (128078, 3241, 36, 'یرقان');
INSERT INTO `lang_definitions` VALUES (128079, 3243, 36, 'شرح کار');
INSERT INTO `lang_definitions` VALUES (128080, 3244, 36, 'شناسه کار');
INSERT INTO `lang_definitions` VALUES (128081, 3245, 36, 'دررفتگی مفصل');
INSERT INTO `lang_definitions` VALUES (128082, 3246, 36, 'درد مفصل');
INSERT INTO `lang_definitions` VALUES (128083, 3248, 36, 'ژوئیه');
INSERT INTO `lang_definitions` VALUES (128084, 3249, 36, 'ژوئیه');
INSERT INTO `lang_definitions` VALUES (128085, 3250, 36, 'ژوئن');
INSERT INTO `lang_definitions` VALUES (128086, 3251, 36, 'ژوئن');
INSERT INTO `lang_definitions` VALUES (128087, 3252, 36, 'منطقه آبی رنگ زیر بررسی اطلاعات برای وارد کردن پارامتر های جستجو میباشد. شما می توانید بر اساس نام بیمار، شماره پرونده، و شماره یا تاریخ خدمات پزشکی‌ جستجوکنید، و یا هر ترکیبی از این پارامتر ها. شما همچنین می توانید انتخاب کنید که همه ی فاکتورها، فاکتورها باز، و یا فاکتورهایی را که موعدشان سر رسیده (برای هر بیمار) را انتخاب کنید. جستجو را با کلیک کردن دکمه جستجو شروع کنید.');
INSERT INTO `lang_definitions` VALUES (128088, 3253, 36, 'تنها مال من');
INSERT INTO `lang_definitions` VALUES (128089, 3255, 36, 'توجیه');
INSERT INTO `lang_definitions` VALUES (128090, 3256, 36, 'توجیه/ذخیره');
INSERT INTO `lang_definitions` VALUES (128091, 3264, 36, 'کلید');
INSERT INTO `lang_definitions` VALUES (128092, 3265, 36, 'کلمات کلیدی');
INSERT INTO `lang_definitions` VALUES (128093, 3266, 36, 'kg');
INSERT INTO `lang_definitions` VALUES (128094, 3267, 36, 'kg/m^2');
INSERT INTO `lang_definitions` VALUES (128095, 3269, 36, 'سرطان کلیه');
INSERT INTO `lang_definitions` VALUES (128096, 3270, 36, 'نارسایی کلیه');
INSERT INTO `lang_definitions` VALUES (128097, 3271, 36, 'عفونت های کلیوی');
INSERT INTO `lang_definitions` VALUES (128098, 3272, 36, 'سنگ کلیه');
INSERT INTO `lang_definitions` VALUES (128099, 3273, 36, 'پیوند کلیه');
INSERT INTO `lang_definitions` VALUES (128100, 3277, 36, 'زانو');
INSERT INTO `lang_definitions` VALUES (128101, 3278, 36, 'مشکلات زانو');
INSERT INTO `lang_definitions` VALUES (128102, 3279, 36, 'جایگزینی زانو');
INSERT INTO `lang_definitions` VALUES (128103, 3282, 36, 'کره ای');
INSERT INTO `lang_definitions` VALUES (128104, 3286, 36, 'ازمایشگاه');
INSERT INTO `lang_definitions` VALUES (128105, 3295, 36, 'گزارش آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (128106, 3296, 36, 'نتیجه آزمایشگاه');
INSERT INTO `lang_definitions` VALUES (128107, 3297, 36, 'نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (128108, 3299, 36, 'گزارش نتایج آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (128109, 3300, 36, 'خدمات آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (128110, 3301, 36, 'نتایج تست آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (128111, 3303, 36, 'برچسب');
INSERT INTO `lang_definitions` VALUES (128112, 3304, 36, 'برچسب نمی تواند خالی باشد');
INSERT INTO `lang_definitions` VALUES (128113, 3305, 36, 'ستون های برچسب');
INSERT INTO `lang_definitions` VALUES (128114, 3306, 36, 'برچسب برای این نوع');
INSERT INTO `lang_definitions` VALUES (128115, 3308, 36, 'برچسب ها');
INSERT INTO `lang_definitions` VALUES (128116, 3311, 36, 'آزمایشگاه ها');
INSERT INTO `lang_definitions` VALUES (128117, 3312, 36, 'پارگی/بیماری پوستی');
INSERT INTO `lang_definitions` VALUES (128118, 3313, 36, 'پارگی/سایش');
INSERT INTO `lang_definitions` VALUES (128119, 3316, 36, 'زبان');
INSERT INTO `lang_definitions` VALUES (128120, 3317, 36, 'کد زبان');
INSERT INTO `lang_definitions` VALUES (128121, 3321, 36, 'نام زبان');
INSERT INTO `lang_definitions` VALUES (128122, 3322, 36, 'زبان:');
INSERT INTO `lang_definitions` VALUES (128123, 3324, 36, 'لائوسی');
INSERT INTO `lang_definitions` VALUES (128124, 3325, 36, 'آخرین');
INSERT INTO `lang_definitions` VALUES (128125, 3326, 36, 'تاریخ آخرین فعالیت');
INSERT INTO `lang_definitions` VALUES (128126, 3328, 36, 'تاریخ آخرین صورت حساب:');
INSERT INTO `lang_definitions` VALUES (128127, 3330, 36, 'سال گذشته تقویمی');
INSERT INTO `lang_definitions` VALUES (128128, 3333, 36, 'ویزیت آخر');
INSERT INTO `lang_definitions` VALUES (128129, 3343, 36, 'ماه گذشته');
INSERT INTO `lang_definitions` VALUES (128130, 3344, 36, 'نام خانوادگی');
INSERT INTO `lang_definitions` VALUES (128131, 3345, 36, 'نام خانوادگی');
INSERT INTO `lang_definitions` VALUES (128132, 3346, 36, 'نام خانوادگی:');
INSERT INTO `lang_definitions` VALUES (128133, 3350, 36, 'آخرین نقد و مرور');
INSERT INTO `lang_definitions` VALUES (128134, 3352, 36, 'آخرین ذخیره');
INSERT INTO `lang_definitions` VALUES (128135, 3356, 36, 'آخرین به روز رسانی توسط');
INSERT INTO `lang_definitions` VALUES (128136, 3357, 36, 'آخرین بار تایید شده در');
INSERT INTO `lang_definitions` VALUES (128137, 3358, 36, 'آخرین ملاقات');
INSERT INTO `lang_definitions` VALUES (128138, 3361, 36, 'Lateral Malleolus');
INSERT INTO `lang_definitions` VALUES (128139, 3362, 36, 'Lateral malleolus:');
INSERT INTO `lang_definitions` VALUES (128140, 3378, 36, 'فرم ملاقات براساس چیدمان');
INSERT INTO `lang_definitions` VALUES (128141, 3379, 36, 'طرح بندی/قالب ها');
INSERT INTO `lang_definitions` VALUES (128142, 3380, 36, 'lb');
INSERT INTO `lang_definitions` VALUES (128143, 3381, 36, 'lbs');
INSERT INTO `lang_definitions` VALUES (128144, 3382, 36, 'LDL');
INSERT INTO `lang_definitions` VALUES (128145, 3386, 36, 'ارسال پیغام به');
INSERT INTO `lang_definitions` VALUES (128146, 3390, 36, 'چپ');
INSERT INTO `lang_definitions` VALUES (128147, 3391, 36, 'گوش چپ');
INSERT INTO `lang_definitions` VALUES (128148, 3392, 36, 'گوش چپ');
INSERT INTO `lang_definitions` VALUES (128149, 3394, 36, 'چپ:');
INSERT INTO `lang_definitions` VALUES (128150, 3395, 36, 'چپ: ');
INSERT INTO `lang_definitions` VALUES (128151, 3396, 36, 'درد/گرفتگی پا');
INSERT INTO `lang_definitions` VALUES (128152, 3397, 36, 'حقوقی');
INSERT INTO `lang_definitions` VALUES (128153, 3399, 36, 'اندازه مقاله حقوقی');
INSERT INTO `lang_definitions` VALUES (128154, 3400, 36, 'شرح:');
INSERT INTO `lang_definitions` VALUES (128155, 3401, 36, 'طول');
INSERT INTO `lang_definitions` VALUES (128156, 3403, 36, 'کمتر از');
INSERT INTO `lang_definitions` VALUES (128157, 3404, 36, 'کمتر از یا مساوی با');
INSERT INTO `lang_definitions` VALUES (128158, 3406, 36, 'نامه');
INSERT INTO `lang_definitions` VALUES (128159, 3407, 36, 'مولد نامه');
INSERT INTO `lang_definitions` VALUES (128160, 3408, 36, 'اندازه کاغذ نامه');
INSERT INTO `lang_definitions` VALUES (128161, 3409, 36, 'سربرگی که دکتر امضاء می‌کند');
INSERT INTO `lang_definitions` VALUES (128162, 3410, 36, 'سربرگی که بیمار امضاء می‌کند');
INSERT INTO `lang_definitions` VALUES (128163, 3411, 36, 'سطح فوریت');
INSERT INTO `lang_definitions` VALUES (128164, 3412, 36, 'مسئولیت');
INSERT INTO `lang_definitions` VALUES (128165, 3414, 36, 'مجوز/ شناسه');
INSERT INTO `lang_definitions` VALUES (128166, 3423, 36, 'شیوه زندگی');
INSERT INTO `lang_definitions` VALUES (128167, 3424, 36, 'وضعیت شیوه زندگی');
INSERT INTO `lang_definitions` VALUES (128168, 3429, 36, 'محدودیت های');
INSERT INTO `lang_definitions` VALUES (128169, 3431, 36, 'لینک');
INSERT INTO `lang_definitions` VALUES (128170, 3432, 36, 'لینک به بیمار');
INSERT INTO `lang_definitions` VALUES (128171, 3433, 36, 'لینک شده است');
INSERT INTO `lang_definitions` VALUES (128172, 3436, 36, 'لینک شده به سند');
INSERT INTO `lang_definitions` VALUES (128173, 3438, 36, 'فهرست');
INSERT INTO `lang_definitions` VALUES (128174, 3439, 36, 'جعبه لیست');
INSERT INTO `lang_definitions` VALUES (128175, 3440, 36, 'جعبه لیست');
INSERT INTO `lang_definitions` VALUES (128176, 3441, 36, 'جعبه لیست با افزودن');
INSERT INTO `lang_definitions` VALUES (128177, 3442, 36, 'جعبه لیست با افزودن');
INSERT INTO `lang_definitions` VALUES (128178, 3458, 36, 'لیست ها');
INSERT INTO `lang_definitions` VALUES (128179, 3473, 36, 'محلی');
INSERT INTO `lang_definitions` VALUES (128180, 3476, 36, 'محلی');
INSERT INTO `lang_definitions` VALUES (128181, 3477, 36, 'محل');
INSERT INTO `lang_definitions` VALUES (128182, 3478, 36, 'مکان');
INSERT INTO `lang_definitions` VALUES (128183, 3492, 36, 'ورود');
INSERT INTO `lang_definitions` VALUES (128184, 3493, 36, 'ورود');
INSERT INTO `lang_definitions` VALUES (128185, 3494, 36, 'خروج');
INSERT INTO `lang_definitions` VALUES (128186, 3495, 36, 'عضو آنلاین');
INSERT INTO `lang_definitions` VALUES (128187, 3496, 36, 'وارد شده به عنوان');
INSERT INTO `lang_definitions` VALUES (128188, 3497, 36, 'وارد شده به عنوان: ');
INSERT INTO `lang_definitions` VALUES (128189, 3498, 36, 'خارج شده اید.');
INSERT INTO `lang_definitions` VALUES (128190, 3499, 36, 'پیگیری رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (128191, 3500, 36, 'ورود');
INSERT INTO `lang_definitions` VALUES (128192, 3501, 36, 'ورود');
INSERT INTO `lang_definitions` VALUES (128193, 3505, 36, 'خروج');
INSERT INTO `lang_definitions` VALUES (128194, 3506, 36, 'خروج');
INSERT INTO `lang_definitions` VALUES (128195, 3507, 36, 'فهرست رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (128196, 3508, 36, 'بیننده فهرست رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (128197, 3514, 36, 'پایین');
INSERT INTO `lang_definitions` VALUES (128198, 3516, 36, 'ساق پا');
INSERT INTO `lang_definitions` VALUES (128199, 3519, 36, 'ستون فقرات کمری');
INSERT INTO `lang_definitions` VALUES (128200, 3520, 36, 'ناهار');
INSERT INTO `lang_definitions` VALUES (128201, 3521, 36, 'ناهار');
INSERT INTO `lang_definitions` VALUES (128202, 3522, 36, 'سرطان ریه');
INSERT INTO `lang_definitions` VALUES (128203, 3523, 36, 'جراحی سرطان ریه');
INSERT INTO `lang_definitions` VALUES (128204, 3524, 36, 'ریه ها:');
INSERT INTO `lang_definitions` VALUES (128205, 3525, 36, 'ریه ها:');
INSERT INTO `lang_definitions` VALUES (128206, 3533, 36, 'پست ارسال شد');
INSERT INTO `lang_definitions` VALUES (128207, 3534, 36, 'اصلی');
INSERT INTO `lang_definitions` VALUES (128208, 3535, 36, 'آدرس اصلی');
INSERT INTO `lang_definitions` VALUES (128209, 3542, 36, 'مطمئن شوید که \"');
INSERT INTO `lang_definitions` VALUES (128210, 3545, 36, 'کسالت:');
INSERT INTO `lang_definitions` VALUES (128211, 3548, 36, 'مرد');
INSERT INTO `lang_definitions` VALUES (128212, 3549, 36, 'کاندوم مرد');
INSERT INTO `lang_definitions` VALUES (128213, 3559, 36, 'تنها خصیصه های اجباری یا مشخص شده، بررسی اطللاعات تکراری, و بدون جستجو');
INSERT INTO `lang_definitions` VALUES (128214, 3560, 36, 'تنها خصیصه های اجباری یا مشخص شده، بررسی اطللاعات تکراری, و جستجو');
INSERT INTO `lang_definitions` VALUES (128215, 3561, 36, 'راهنما');
INSERT INTO `lang_definitions` VALUES (128216, 3565, 36, 'مارس');
INSERT INTO `lang_definitions` VALUES (128217, 3568, 36, 'مارس');
INSERT INTO `lang_definitions` VALUES (128218, 3569, 36, 'وضع تأهل');
INSERT INTO `lang_definitions` VALUES (128219, 3571, 36, 'به عنوان صورتحساب صادر شده علامت زده ولی‌ به قسمت صورتحساب نرو');
INSERT INTO `lang_definitions` VALUES (128220, 3572, 36, 'به عنوان پاک شده علامت بزن');
INSERT INTO `lang_definitions` VALUES (128221, 3573, 36, 'به عنوان صورتحساب صادر نشده علامت بزن');
INSERT INTO `lang_definitions` VALUES (128222, 3575, 36, 'به عنوان پاک شده علامت بزن');
INSERT INTO `lang_definitions` VALUES (128223, 3576, 36, 'متاهل');
INSERT INTO `lang_definitions` VALUES (128224, 3578, 36, 'ماسک');
INSERT INTO `lang_definitions` VALUES (128225, 3579, 36, 'ماسک برای شماره های فاکتور');
INSERT INTO `lang_definitions` VALUES (128226, 3580, 36, 'ماسک برای شناسه های بیمار');
INSERT INTO `lang_definitions` VALUES (128227, 3581, 36, 'ماسک برای شناسه های محصول');
INSERT INTO `lang_definitions` VALUES (128228, 3582, 36, 'تطابق');
INSERT INTO `lang_definitions` VALUES (128229, 3591, 36, 'حداکثر');
INSERT INTO `lang_definitions` VALUES (128230, 3594, 36, 'فک بالا سمت راست:');
INSERT INTO `lang_definitions` VALUES (128231, 3595, 36, 'حداکثر سن');
INSERT INTO `lang_definitions` VALUES (128232, 3596, 36, 'حداکثر تعداد حروف');
INSERT INTO `lang_definitions` VALUES (128233, 3601, 36, 'حداکثر اندازه');
INSERT INTO `lang_definitions` VALUES (128234, 3602, 36, 'حداکثر اندازه (وارد کردن صفر اجازه هر اندازه یی را می دهد)');
INSERT INTO `lang_definitions` VALUES (128235, 3603, 36, 'مه');
INSERT INTO `lang_definitions` VALUES (128236, 3605, 36, 'mcg');
INSERT INTO `lang_definitions` VALUES (128237, 3611, 36, 'اندازه گیری');
INSERT INTO `lang_definitions` VALUES (128238, 3616, 36, 'مدیریت خدمات بهداشتی درمانی');
INSERT INTO `lang_definitions` VALUES (128239, 3617, 36, 'سوابق پزشکی');
INSERT INTO `lang_definitions` VALUES (128240, 3618, 36, 'مسئله پزشکی');
INSERT INTO `lang_definitions` VALUES (128241, 3619, 36, 'مسئله پزشکی');
INSERT INTO `lang_definitions` VALUES (128242, 3620, 36, 'مشکل پزشکی');
INSERT INTO `lang_definitions` VALUES (128243, 3623, 36, 'مشکلات پزشکی');
INSERT INTO `lang_definitions` VALUES (128244, 3624, 36, 'پرونده پزشکی');
INSERT INTO `lang_definitions` VALUES (128245, 3625, 36, 'شماره پرونده پزشکی');
INSERT INTO `lang_definitions` VALUES (128246, 3626, 36, 'پرونده های پزشکی');
INSERT INTO `lang_definitions` VALUES (128247, 3627, 36, 'پرونده های پزشکی ارسال شده');
INSERT INTO `lang_definitions` VALUES (128248, 3629, 36, 'خلاصه اطلاعت پزشکی‌ داده شده');
INSERT INTO `lang_definitions` VALUES (128249, 3630, 36, 'سیستم پزشکی');
INSERT INTO `lang_definitions` VALUES (128250, 3631, 36, 'نوع پزشکی');
INSERT INTO `lang_definitions` VALUES (128251, 3635, 36, 'مصرف دارو');
INSERT INTO `lang_definitions` VALUES (128252, 3636, 36, 'فهرست آلرژی دارویی');
INSERT INTO `lang_definitions` VALUES (128253, 3638, 36, 'فهرست داروها');
INSERT INTO `lang_definitions` VALUES (128254, 3639, 36, 'بازنگری داروها انجام شد؟');
INSERT INTO `lang_definitions` VALUES (128255, 3640, 36, 'داروها');
INSERT INTO `lang_definitions` VALUES (128256, 3641, 36, 'داروها:');
INSERT INTO `lang_definitions` VALUES (128257, 3642, 36, 'واحدهای پزشکی');
INSERT INTO `lang_definitions` VALUES (128258, 3643, 36, 'متوسط');
INSERT INTO `lang_definitions` VALUES (128259, 3646, 36, 'مشکلات حافظه');
INSERT INTO `lang_definitions` VALUES (128260, 3647, 36, 'مردان');
INSERT INTO `lang_definitions` VALUES (128261, 3648, 36, 'مردان و زنان');
INSERT INTO `lang_definitions` VALUES (128262, 3649, 36, 'تنها مردان');
INSERT INTO `lang_definitions` VALUES (128263, 3651, 36, 'يائسگي');
INSERT INTO `lang_definitions` VALUES (128264, 3654, 36, 'بیماری های روانی');
INSERT INTO `lang_definitions` VALUES (128265, 3661, 36, 'پیام');
INSERT INTO `lang_definitions` VALUES (128266, 3662, 36, 'مرکز پیام و یادآوری');
INSERT INTO `lang_definitions` VALUES (128267, 3665, 36, 'پیام فرستاده شده');
INSERT INTO `lang_definitions` VALUES (128268, 3666, 36, 'وضعیت پیام');
INSERT INTO `lang_definitions` VALUES (128269, 3670, 36, 'پیام:');
INSERT INTO `lang_definitions` VALUES (128270, 3671, 36, 'پیام ها');
INSERT INTO `lang_definitions` VALUES (128271, 3672, 36, 'پیام هایی که شما امروز فرستاده اید');
INSERT INTO `lang_definitions` VALUES (128272, 3673, 36, 'روش');
INSERT INTO `lang_definitions` VALUES (128273, 3675, 36, 'روش ارسال ایمیل های خروجی.');
INSERT INTO `lang_definitions` VALUES (128274, 3679, 36, 'میلی گرم');
INSERT INTO `lang_definitions` VALUES (128275, 3680, 36, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (128276, 3681, 36, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (128277, 3682, 36, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (128278, 3683, 36, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (128279, 3684, 36, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (128280, 3685, 36, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (128281, 3686, 36, 'متوسط');
INSERT INTO `lang_definitions` VALUES (128282, 3687, 36, 'نام میانی');
INSERT INTO `lang_definitions` VALUES (128283, 3688, 36, 'نام میانی');
INSERT INTO `lang_definitions` VALUES (128284, 3696, 36, 'کارگر مهاجر یا فصلی؟');
INSERT INTO `lang_definitions` VALUES (128285, 3697, 36, 'مهاجر/فصلی');
INSERT INTO `lang_definitions` VALUES (128286, 3703, 36, 'حداقل');
INSERT INTO `lang_definitions` VALUES (128287, 3704, 36, 'حداقل');
INSERT INTO `lang_definitions` VALUES (128288, 3705, 36, 'حداقل سن');
INSERT INTO `lang_definitions` VALUES (128289, 3706, 36, 'Minor joint strain +/- synovitis');
INSERT INTO `lang_definitions` VALUES (128290, 3708, 36, 'دقیقه');
INSERT INTO `lang_definitions` VALUES (128291, 3709, 36, 'دقیقه');
INSERT INTO `lang_definitions` VALUES (128292, 3710, 36, 'دقیقه');
INSERT INTO `lang_definitions` VALUES (128293, 3712, 36, 'متفرقه');
INSERT INTO `lang_definitions` VALUES (128294, 3716, 36, 'متفرقه');
INSERT INTO `lang_definitions` VALUES (128295, 3727, 36, 'ml');
INSERT INTO `lang_definitions` VALUES (128296, 3728, 36, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (128297, 3729, 36, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (128298, 3730, 36, 'mmHg');
INSERT INTO `lang_definitions` VALUES (128299, 3733, 36, 'موبایل');
INSERT INTO `lang_definitions` VALUES (128300, 3734, 36, 'تلفن همراه');
INSERT INTO `lang_definitions` VALUES (128301, 3753, 36, 'دوشنبه');
INSERT INTO `lang_definitions` VALUES (128302, 3755, 36, 'دوشنبه، چهارشنبه و جمعه');
INSERT INTO `lang_definitions` VALUES (128303, 3756, 36, 'دوشنبه');
INSERT INTO `lang_definitions` VALUES (128304, 3758, 36, 'ماهیانه');
INSERT INTO `lang_definitions` VALUES (128305, 3759, 36, 'ماه');
INSERT INTO `lang_definitions` VALUES (128306, 3761, 36, 'ماه (ها)');
INSERT INTO `lang_definitions` VALUES (128307, 3762, 36, 'درآمد ماهانه');
INSERT INTO `lang_definitions` VALUES (128308, 3763, 36, 'ماه ها');
INSERT INTO `lang_definitions` VALUES (128309, 3771, 36, 'مادر');
INSERT INTO `lang_definitions` VALUES (128310, 3772, 36, 'نام مادر');
INSERT INTO `lang_definitions` VALUES (128311, 3774, 36, 'دهان');
INSERT INTO `lang_definitions` VALUES (128312, 3775, 36, 'انتقال');
INSERT INTO `lang_definitions` VALUES (128313, 3776, 36, 'انتقال سند به دسته بندی ها:');
INSERT INTO `lang_definitions` VALUES (128314, 3777, 36, 'انتقال به پایین');
INSERT INTO `lang_definitions` VALUES (128315, 3779, 36, 'انتقال به بیمار');
INSERT INTO `lang_definitions` VALUES (128316, 3780, 36, 'انتقال به ...');
INSERT INTO `lang_definitions` VALUES (128317, 3781, 36, 'انتقال به بالا');
INSERT INTO `lang_definitions` VALUES (128318, 3783, 36, 'آقای');
INSERT INTO `lang_definitions` VALUES (128319, 3785, 36, 'خانم');
INSERT INTO `lang_definitions` VALUES (128320, 3786, 36, 'دوشیزه');
INSERT INTO `lang_definitions` VALUES (128321, 3796, 36, 'ابزار چند زبانه');
INSERT INTO `lang_definitions` VALUES (128322, 3803, 36, 'Murmur:');
INSERT INTO `lang_definitions` VALUES (128323, 3804, 36, 'Musc Ache');
INSERT INTO `lang_definitions` VALUES (128324, 3805, 36, 'Musc Aches');
INSERT INTO `lang_definitions` VALUES (128325, 3806, 36, 'Musc Redness');
INSERT INTO `lang_definitions` VALUES (128326, 3807, 36, 'Musc Stiffness');
INSERT INTO `lang_definitions` VALUES (128327, 3808, 36, 'Musc Swelling');
INSERT INTO `lang_definitions` VALUES (128328, 3809, 36, 'Musc Warm');
INSERT INTO `lang_definitions` VALUES (128329, 3810, 36, 'Muscle');
INSERT INTO `lang_definitions` VALUES (128330, 3811, 36, 'Muscle injury');
INSERT INTO `lang_definitions` VALUES (128331, 3812, 36, 'Musculoskeletal');
INSERT INTO `lang_definitions` VALUES (128332, 3818, 36, 'خودم');
INSERT INTO `lang_definitions` VALUES (128333, 3823, 36, 'نام');
INSERT INTO `lang_definitions` VALUES (128334, 3825, 36, 'نام (برای اطلاعات بیشتر کلیک کنید)');
INSERT INTO `lang_definitions` VALUES (128335, 3826, 36, 'نام ۱');
INSERT INTO `lang_definitions` VALUES (128336, 3827, 36, 'نام ۲');
INSERT INTO `lang_definitions` VALUES (128337, 3828, 36, 'نام و عنوان مدیر واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (128338, 3831, 36, 'نام حوادث');
INSERT INTO `lang_definitions` VALUES (128339, 3832, 36, 'نام شرکت بیمه');
INSERT INTO `lang_definitions` VALUES (128340, 3833, 36, 'نام ارائه دهنده خدمات پزشکی');
INSERT INTO `lang_definitions` VALUES (128341, 3834, 36, 'نام فرستنده یادآورهای بیمار.');
INSERT INTO `lang_definitions` VALUES (128342, 3835, 36, 'نام ترجمه');
INSERT INTO `lang_definitions` VALUES (128343, 3836, 36, 'نام / مقدار');
INSERT INTO `lang_definitions` VALUES (128344, 3840, 36, 'Nasal mucosa pink, septum midline');
INSERT INTO `lang_definitions` VALUES (128345, 3852, 36, 'Nausea');
INSERT INTO `lang_definitions` VALUES (128346, 3857, 36, 'فرم ملاقات براساس منطقه هدايت');
INSERT INTO `lang_definitions` VALUES (128347, 3881, 36, 'Neural condition / nerve damage');
INSERT INTO `lang_definitions` VALUES (128348, 3882, 36, 'Neuro Numbness');
INSERT INTO `lang_definitions` VALUES (128349, 3883, 36, 'Neuro Weakness');
INSERT INTO `lang_definitions` VALUES (128350, 3884, 36, 'Neurologic');
INSERT INTO `lang_definitions` VALUES (128351, 3888, 36, 'جدید');
INSERT INTO `lang_definitions` VALUES (128352, 3889, 36, 'جدید =>');
INSERT INTO `lang_definitions` VALUES (128353, 3892, 36, 'آلرژی جدید');
INSERT INTO `lang_definitions` VALUES (128354, 3894, 36, 'وقت ملاقات جدید');
INSERT INTO `lang_definitions` VALUES (128355, 3895, 36, 'دسته بندی های جدید');
INSERT INTO `lang_definitions` VALUES (128356, 3896, 36, 'دسته بندی جدید');
INSERT INTO `lang_definitions` VALUES (128357, 3897, 36, 'مشتری جدید');
INSERT INTO `lang_definitions` VALUES (128358, 3898, 36, 'مشاوره جدید');
INSERT INTO `lang_definitions` VALUES (128359, 3900, 36, 'مجموعه تعاریف جدید اضافه شد');
INSERT INTO `lang_definitions` VALUES (128360, 3901, 36, 'سند جدید');
INSERT INTO `lang_definitions` VALUES (128361, 3904, 36, 'ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (128362, 3906, 36, 'فرم ویزیت جدید');
INSERT INTO `lang_definitions` VALUES (128363, 3909, 36, 'اطلاعات درمانگاه جدید');
INSERT INTO `lang_definitions` VALUES (128364, 3912, 36, 'گروه جدید');
INSERT INTO `lang_definitions` VALUES (128365, 3913, 36, 'اطلاعات گروه جدید');
INSERT INTO `lang_definitions` VALUES (128366, 3914, 36, 'مصدومیت/وضعیت جدید');
INSERT INTO `lang_definitions` VALUES (128367, 3917, 36, 'لیست جدید');
INSERT INTO `lang_definitions` VALUES (128368, 3918, 36, 'سفارشات جدید');
INSERT INTO `lang_definitions` VALUES (128369, 3919, 36, 'پاراگراف جدید');
INSERT INTO `lang_definitions` VALUES (128370, 3920, 36, 'رمز عبور جدید');
INSERT INTO `lang_definitions` VALUES (128371, 3921, 36, 'بیمار جدید');
INSERT INTO `lang_definitions` VALUES (128372, 3922, 36, 'بیمار جدید');
INSERT INTO `lang_definitions` VALUES (128373, 3924, 36, 'فرم بیمار جدید');
INSERT INTO `lang_definitions` VALUES (128374, 3925, 36, 'شناسه بیمار جدید');
INSERT INTO `lang_definitions` VALUES (128375, 3926, 36, 'پرداخت جدید');
INSERT INTO `lang_definitions` VALUES (128376, 3928, 36, 'بیمار جدید');
INSERT INTO `lang_definitions` VALUES (128377, 3929, 36, 'نتایج جدید از تبادل الکترونیکی آزمایشگاهی');
INSERT INTO `lang_definitions` VALUES (128378, 3930, 36, 'جستجوی جدید');
INSERT INTO `lang_definitions` VALUES (128379, 3931, 36, 'مطالب ارسالی های جدید');
INSERT INTO `lang_definitions` VALUES (128380, 3932, 36, 'کاربر جدید');
INSERT INTO `lang_definitions` VALUES (128381, 3934, 36, 'ملاقات جدید پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128382, 3935, 36, 'جدید/جستجو');
INSERT INTO `lang_definitions` VALUES (128383, 3937, 36, 'مدیریت NewCrop');
INSERT INTO `lang_definitions` VALUES (128384, 3961, 36, 'روزنامه');
INSERT INTO `lang_definitions` VALUES (128385, 3962, 36, 'بعدی');
INSERT INTO `lang_definitions` VALUES (128386, 3964, 36, 'روز بعد');
INSERT INTO `lang_definitions` VALUES (128387, 3965, 36, 'ماه بعد');
INSERT INTO `lang_definitions` VALUES (128388, 3966, 36, 'ماه بعد (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (128389, 3968, 36, 'هفته بعد');
INSERT INTO `lang_definitions` VALUES (128390, 3969, 36, 'سال بعد (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (128391, 3971, 36, 'نام مستعار');
INSERT INTO `lang_definitions` VALUES (128392, 3973, 36, 'تعریق شبانه');
INSERT INTO `lang_definitions` VALUES (128393, 3975, 36, 'خیر');
INSERT INTO `lang_definitions` VALUES (128394, 3976, 36, 'خیر');
INSERT INTO `lang_definitions` VALUES (128395, 3977, 36, 'بدون دسترسی');
INSERT INTO `lang_definitions` VALUES (128396, 3978, 36, 'این بیمار یادآور فعالی ندارد.');
INSERT INTO `lang_definitions` VALUES (128397, 3983, 36, 'قرارهای ملاقات وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (128398, 3985, 36, 'سیستم صدور صورتحسابی در حال حاضر فعال نیست');
INSERT INTO `lang_definitions` VALUES (128399, 4032, 36, 'پرونده ای مطابق جستجو پیدا نشد');
INSERT INTO `lang_definitions` VALUES (128400, 4033, 36, 'نتیجه جدیدی پیدا نشد');
INSERT INTO `lang_definitions` VALUES (128401, 4034, 36, 'یادداشتی وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128402, 4056, 36, 'یاد آوری وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128403, 4058, 36, 'نتیجه ای وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128404, 4060, 36, 'نتیجه ای برای جستجو پیدا نشد');
INSERT INTO `lang_definitions` VALUES (128405, 4061, 36, 'نتیجه ای پیدا نشد، لطفا دوباره سعی کنید.');
INSERT INTO `lang_definitions` VALUES (128406, 4062, 36, 'بی نتیجه، لطفا دوباره سعی کنید.');
INSERT INTO `lang_definitions` VALUES (128407, 4063, 36, 'بی نتیجه، لطفا دوباره سعی کنید.');
INSERT INTO `lang_definitions` VALUES (128408, 4065, 36, 'غیبت');
INSERT INTO `lang_definitions` VALUES (128409, 4069, 36, 'نام چنین چهار چوبی وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128410, 4075, 36, 'بدون ملاقات پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128411, 4076, 36, 'هیچ علائم حیاتی ثبت نشده است.');
INSERT INTO `lang_definitions` VALUES (128412, 4080, 36, 'Nocturia');
INSERT INTO `lang_definitions` VALUES (128413, 4085, 36, 'Non-Insulin Dependent Diabetes');
INSERT INTO `lang_definitions` VALUES (128414, 4089, 36, 'هیچ موردی');
INSERT INTO `lang_definitions` VALUES (128415, 4090, 36, 'هیچ موردی');
INSERT INTO `lang_definitions` VALUES (128416, 4091, 36, 'هیچک موردی تعریف نشده');
INSERT INTO `lang_definitions` VALUES (128417, 4092, 36, 'هیچ مطلبی ثبت نشده است');
INSERT INTO `lang_definitions` VALUES (128418, 4093, 36, 'هیچکدام از موارد فوق');
INSERT INTO `lang_definitions` VALUES (128419, 4097, 36, 'عادی');
INSERT INTO `lang_definitions` VALUES (128420, 4099, 36, 'معاینه قلبی طبیعی:');
INSERT INTO `lang_definitions` VALUES (128421, 4100, 36, 'معاینه قلبی طبیعی: ');
INSERT INTO `lang_definitions` VALUES (128422, 4101, 36, 'معاینه ریه طبیعی:');
INSERT INTO `lang_definitions` VALUES (128423, 4102, 36, 'معاینه ریه طبیعی: ');
INSERT INTO `lang_definitions` VALUES (128424, 4103, 36, 'ملاقات پزشکی‌ عادی');
INSERT INTO `lang_definitions` VALUES (128425, 4107, 36, 'نمایش عادی');
INSERT INTO `lang_definitions` VALUES (128426, 4108, 36, 'نرمال:');
INSERT INTO `lang_definitions` VALUES (128427, 4109, 36, 'معمولا باید علامت زده شود. به کنترل دسترسی ارتباط ندارد.');
INSERT INTO `lang_definitions` VALUES (128428, 4112, 36, 'نروژی');
INSERT INTO `lang_definitions` VALUES (128429, 4115, 36, 'بینی');
INSERT INTO `lang_definitions` VALUES (128430, 4116, 36, 'خون دماغ');
INSERT INTO `lang_definitions` VALUES (128431, 4120, 36, 'مجاز نیست');
INSERT INTO `lang_definitions` VALUES (128432, 4129, 36, 'مجاز نیست');
INSERT INTO `lang_definitions` VALUES (128433, 4130, 36, 'مجاز نیست');
INSERT INTO `lang_definitions` VALUES (128434, 4135, 36, 'موجود نیست');
INSERT INTO `lang_definitions` VALUES (128435, 4138, 36, 'علامت زده نشده');
INSERT INTO `lang_definitions` VALUES (128436, 4140, 36, 'کد گذاری نشده');
INSERT INTO `lang_definitions` VALUES (128437, 4143, 36, 'معاینه نشد');
INSERT INTO `lang_definitions` VALUES (128438, 4144, 36, 'معاینه نشد:');
INSERT INTO `lang_definitions` VALUES (128439, 4145, 36, 'معاینه نشد: ');
INSERT INTO `lang_definitions` VALUES (128440, 4146, 36, 'پیدا نشد');
INSERT INTO `lang_definitions` VALUES (128441, 4148, 36, 'پیدا نشد!');
INSERT INTO `lang_definitions` VALUES (128442, 4150, 36, 'نصب نشده');
INSERT INTO `lang_definitions` VALUES (128443, 4154, 36, 'هنوز ارسال نشده');
INSERT INTO `lang_definitions` VALUES (128444, 4156, 36, 'معین نشده.');
INSERT INTO `lang_definitions` VALUES (128445, 4157, 36, 'یادداشت');
INSERT INTO `lang_definitions` VALUES (128446, 4158, 36, 'کد یادداشت ها');
INSERT INTO `lang_definitions` VALUES (128447, 4162, 36, 'نوع یادداشت');
INSERT INTO `lang_definitions` VALUES (128448, 4172, 36, 'یادداشت ها');
INSERT INTO `lang_definitions` VALUES (128449, 4175, 36, 'یادداشت ها مجاز نیستند');
INSERT INTO `lang_definitions` VALUES (128450, 4177, 36, 'چیزی ضبط نشده');
INSERT INTO `lang_definitions` VALUES (128451, 4179, 36, 'آلرژی برای وارد کردن وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128452, 4180, 36, 'نسخه ای برای وارد کردن وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128453, 4181, 36, 'چیزی برای نشان دادن وجود ندارد');
INSERT INTO `lang_definitions` VALUES (128454, 4182, 36, 'چیزی انتخاب نشده');
INSERT INTO `lang_definitions` VALUES (128455, 4185, 36, 'اطلاعیه');
INSERT INTO `lang_definitions` VALUES (128456, 4186, 36, 'آدرس ایمیل برای ارسال اطلاعیه');
INSERT INTO `lang_definitions` VALUES (128457, 4188, 36, 'اطلاعیه ها');
INSERT INTO `lang_definitions` VALUES (128458, 4190, 36, 'نوامبر');
INSERT INTO `lang_definitions` VALUES (128459, 4191, 36, 'نوامبر');
INSERT INTO `lang_definitions` VALUES (128460, 4192, 36, 'در حال ارسال برای:');
INSERT INTO `lang_definitions` VALUES (128461, 4193, 36, 'در حال چاپ');
INSERT INTO `lang_definitions` VALUES (128462, 4200, 36, 'تعداد');
INSERT INTO `lang_definitions` VALUES (128463, 4204, 36, 'تعداد ستون ها در نمای سالیانه.');
INSERT INTO `lang_definitions` VALUES (128464, 4216, 36, 'از چند ساعت قبل اطلاعیه ایمیلی ارسال شود.');
INSERT INTO `lang_definitions` VALUES (128465, 4217, 36, 'از چند ساعت قبل اطلاعیه تلفنی ارسال شود.');
INSERT INTO `lang_definitions` VALUES (128466, 4218, 36, 'از چند ساعت قبل اطلاعیه SMS ارسال شود.');
INSERT INTO `lang_definitions` VALUES (128467, 4223, 36, 'بی حسی');
INSERT INTO `lang_definitions` VALUES (128468, 4224, 36, 'صورت کسر');
INSERT INTO `lang_definitions` VALUES (128469, 4227, 36, 'تغذیه');
INSERT INTO `lang_definitions` VALUES (128470, 4231, 36, 'چاقی I');
INSERT INTO `lang_definitions` VALUES (128471, 4232, 36, 'چاقی II');
INSERT INTO `lang_definitions` VALUES (128472, 4233, 36, 'چاقی III');
INSERT INTO `lang_definitions` VALUES (128473, 4234, 36, 'عینی');
INSERT INTO `lang_definitions` VALUES (128474, 4237, 36, 'اشتغال');
INSERT INTO `lang_definitions` VALUES (128475, 4239, 36, 'واقعه');
INSERT INTO `lang_definitions` VALUES (128476, 4240, 36, 'اکتبر');
INSERT INTO `lang_definitions` VALUES (128477, 4241, 36, 'اکتبر');
INSERT INTO `lang_definitions` VALUES (128478, 4243, 36, 'از');
INSERT INTO `lang_definitions` VALUES (128479, 4244, 36, 'از تعداد');
INSERT INTO `lang_definitions` VALUES (128480, 4245, 36, 'از قرص های');
INSERT INTO `lang_definitions` VALUES (128481, 4247, 36, 'یادداشت های اداری');
INSERT INTO `lang_definitions` VALUES (128482, 4248, 36, 'خاموش');
INSERT INTO `lang_definitions` VALUES (128483, 4249, 36, 'یادداشت های اداری');
INSERT INTO `lang_definitions` VALUES (128484, 4250, 36, 'ویزیت عادی');
INSERT INTO `lang_definitions` VALUES (128485, 4263, 36, 'اولاد');
INSERT INTO `lang_definitions` VALUES (128486, 4265, 36, 'پماد');
INSERT INTO `lang_definitions` VALUES (128487, 4267, 36, 'تأیید');
INSERT INTO `lang_definitions` VALUES (128488, 4273, 36, 'Old fracture non / malunion');
INSERT INTO `lang_definitions` VALUES (128489, 4275, 36, 'سبک استاتیک قدیمی بدون جستجو و یا بررسی اطللاعات تکراری');
INSERT INTO `lang_definitions` VALUES (128490, 4288, 36, 'در دست');
INSERT INTO `lang_definitions` VALUES (128491, 4289, 36, 'در سفارش');
INSERT INTO `lang_definitions` VALUES (128492, 4290, 36, 'در سایت');
INSERT INTO `lang_definitions` VALUES (128493, 4297, 36, 'پشتیبانی آنلاین');
INSERT INTO `lang_definitions` VALUES (128494, 4298, 36, 'لینک پشتیبانی آنلاین');
INSERT INTO `lang_definitions` VALUES (128495, 4299, 36, 'تنها فعال');
INSERT INTO `lang_definitions` VALUES (128496, 4302, 36, 'فقط در صورتی که محل صدور صورت حساب باشد');
INSERT INTO `lang_definitions` VALUES (128497, 4303, 36, 'فقط غیر فعال');
INSERT INTO `lang_definitions` VALUES (128498, 4304, 36, 'فقط مال من');
INSERT INTO `lang_definitions` VALUES (128499, 4310, 36, 'شروع بیماری:');
INSERT INTO `lang_definitions` VALUES (128500, 4311, 36, 'شروع بیماری: ');
INSERT INTO `lang_definitions` VALUES (128501, 4312, 36, 'شروع تورم:');
INSERT INTO `lang_definitions` VALUES (128502, 4316, 36, 'باز');
INSERT INTO `lang_definitions` VALUES (128503, 4318, 36, 'درصفحه جدید باز کنید');
INSERT INTO `lang_definitions` VALUES (128504, 4321, 36, 'ملاقات پزشکی‌ امروز را باز کنید');
INSERT INTO `lang_definitions` VALUES (128505, 4332, 36, 'Opthalmic');
INSERT INTO `lang_definitions` VALUES (128506, 4350, 36, 'تنظیمات اختیاری');
INSERT INTO `lang_definitions` VALUES (128507, 4351, 36, 'یا');
INSERT INTO `lang_definitions` VALUES (128508, 4352, 36, 'یا');
INSERT INTO `lang_definitions` VALUES (128509, 4353, 36, 'یا انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (128510, 4360, 36, 'از راه دهان');
INSERT INTO `lang_definitions` VALUES (128511, 4362, 36, 'سفارش');
INSERT INTO `lang_definitions` VALUES (128512, 4363, 36, 'سفارش و نوع نتایج');
INSERT INTO `lang_definitions` VALUES (128513, 4364, 36, 'کاتالوگ سفارش');
INSERT INTO `lang_definitions` VALUES (128514, 4365, 36, 'تاریخ سفارش');
INSERT INTO `lang_definitions` VALUES (128515, 4367, 36, 'فرم سفارش');
INSERT INTO `lang_definitions` VALUES (128516, 4369, 36, 'سفارش باید یک عدد بین ۱ و ۹۹۹ باشد');
INSERT INTO `lang_definitions` VALUES (128517, 4370, 36, 'نام روی سفارش');
INSERT INTO `lang_definitions` VALUES (128518, 4371, 36, 'اولویت سفارش');
INSERT INTO `lang_definitions` VALUES (128519, 4372, 36, 'پردازنده سفارش');
INSERT INTO `lang_definitions` VALUES (128520, 4375, 36, 'وضعیت سفارش');
INSERT INTO `lang_definitions` VALUES (128521, 4378, 36, 'نوع سفارش');
INSERT INTO `lang_definitions` VALUES (128522, 4380, 36, 'نوع سفارش/نتیجه');
INSERT INTO `lang_definitions` VALUES (128523, 4381, 36, 'سفارش شده');
INSERT INTO `lang_definitions` VALUES (128524, 4384, 36, 'خدمات بهداشتی سفارش دهنده');
INSERT INTO `lang_definitions` VALUES (128525, 4386, 36, 'آسیب اعضای بدن');
INSERT INTO `lang_definitions` VALUES (128526, 4387, 36, 'سازمان');
INSERT INTO `lang_definitions` VALUES (128527, 4388, 36, 'نام سازمان');
INSERT INTO `lang_definitions` VALUES (128528, 4389, 36, 'نام واحد سازمانی');
INSERT INTO `lang_definitions` VALUES (128529, 4390, 36, 'سازمانها');
INSERT INTO `lang_definitions` VALUES (128530, 4392, 36, 'اصلی');
INSERT INTO `lang_definitions` VALUES (128531, 4396, 36, 'OROPHARYNX: ');
INSERT INTO `lang_definitions` VALUES (128532, 4397, 36, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (128533, 4398, 36, 'OS');
INSERT INTO `lang_definitions` VALUES (128534, 4399, 36, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (128535, 4402, 36, 'دیگر');
INSERT INTO `lang_definitions` VALUES (128536, 4403, 36, 'دیگر');
INSERT INTO `lang_definitions` VALUES (128537, 4404, 36, 'دیگر - مشخص کنید');
INSERT INTO `lang_definitions` VALUES (128538, 4405, 36, 'دیگر - قید شده');
INSERT INTO `lang_definitions` VALUES (128539, 4406, 36, 'برنامه دولتی دیگر');
INSERT INTO `lang_definitions` VALUES (128540, 4408, 36, 'آسیب دیگری که جایی قید نشده');
INSERT INTO `lang_definitions` VALUES (128541, 4409, 36, 'بیمه مسئولیت دیگر اصلی‌ هست');
INSERT INTO `lang_definitions` VALUES (128542, 4410, 36, 'ماه دیگر');
INSERT INTO `lang_definitions` VALUES (128543, 4411, 36, 'برنامه های غیر دولتی دیگر');
INSERT INTO `lang_definitions` VALUES (128544, 4412, 36, 'یادداشت های دیگر');
INSERT INTO `lang_definitions` VALUES (128545, 4413, 36, 'علائم مربوطه دیگر');
INSERT INTO `lang_definitions` VALUES (128546, 4414, 36, 'علائم مربوطه دیگر:');
INSERT INTO `lang_definitions` VALUES (128547, 4415, 36, 'پاسخ دیگر بیمار');
INSERT INTO `lang_definitions` VALUES (128548, 4416, 36, 'آسیب ناشی از استرس/زیاده روی دیگر');
INSERT INTO `lang_definitions` VALUES (128549, 4417, 36, 'جراحی دیگر');
INSERT INTO `lang_definitions` VALUES (128550, 4418, 36, 'Other/Generic Abortion-Related');
INSERT INTO `lang_definitions` VALUES (128551, 4420, 36, 'دیگران');
INSERT INTO `lang_definitions` VALUES (128552, 4424, 36, 'بیرون');
INSERT INTO `lang_definitions` VALUES (128553, 4425, 36, 'خارج از دفتر');
INSERT INTO `lang_definitions` VALUES (128554, 4427, 36, 'نتیجه');
INSERT INTO `lang_definitions` VALUES (128555, 4428, 36, 'چشم انداز');
INSERT INTO `lang_definitions` VALUES (128556, 4431, 36, 'عقب افتاده');
INSERT INTO `lang_definitions` VALUES (128557, 4432, 36, 'استفاده بیش از حد');
INSERT INTO `lang_definitions` VALUES (128558, 4433, 36, 'بررسی اجمالی');
INSERT INTO `lang_definitions` VALUES (128559, 4434, 36, 'اضافه وزن');
INSERT INTO `lang_definitions` VALUES (128560, 4437, 36, 'اشباع اکسیژن');
INSERT INTO `lang_definitions` VALUES (128561, 4443, 36, 'اهالی جزایر اقیانوس آرام');
INSERT INTO `lang_definitions` VALUES (128562, 4445, 36, 'صفحه');
INSERT INTO `lang_definitions` VALUES (128563, 4446, 36, 'صفحات');
INSERT INTO `lang_definitions` VALUES (128564, 4447, 36, 'پرداخت شده');
INSERT INTO `lang_definitions` VALUES (128565, 4448, 36, 'مبلغ پرداختی که اختصاص داده شده');
INSERT INTO `lang_definitions` VALUES (128566, 4449, 36, 'مبلغ پرداخت شده');
INSERT INTO `lang_definitions` VALUES (128567, 4450, 36, 'پرداخت شده از طریق');
INSERT INTO `lang_definitions` VALUES (128568, 4451, 36, 'درد');
INSERT INTO `lang_definitions` VALUES (128569, 4453, 36, 'Palpitation');
INSERT INTO `lang_definitions` VALUES (128570, 4455, 36, 'پاپ اسمیر');
INSERT INTO `lang_definitions` VALUES (128571, 4456, 36, 'کاغذ');
INSERT INTO `lang_definitions` VALUES (128572, 4457, 36, 'اندازه کاغذ');
INSERT INTO `lang_definitions` VALUES (128573, 4458, 36, 'فلج');
INSERT INTO `lang_definitions` VALUES (128574, 4463, 36, 'همکار');
INSERT INTO `lang_definitions` VALUES (128575, 4464, 36, 'نام همکار');
INSERT INTO `lang_definitions` VALUES (128576, 4467, 36, 'رمز عبور');
INSERT INTO `lang_definitions` VALUES (128577, 4468, 36, 'رمز عبور برای رمزگشایی سند');
INSERT INTO `lang_definitions` VALUES (128578, 4469, 36, 'بیماران تصویب شده');
INSERT INTO `lang_definitions` VALUES (128579, 4470, 36, 'هشدار منفعل');
INSERT INTO `lang_definitions` VALUES (128580, 4471, 36, 'قوانین هشدار منفعل');
INSERT INTO `lang_definitions` VALUES (128581, 4472, 36, 'رمز عبور');
INSERT INTO `lang_definitions` VALUES (128582, 4473, 36, 'تغییر رمز عبور');
INSERT INTO `lang_definitions` VALUES (128583, 4475, 36, 'موفقیت تغییر رمز ورود');
INSERT INTO `lang_definitions` VALUES (128584, 4477, 36, 'رمز عبور مهلت انقضاء');
INSERT INTO `lang_definitions` VALUES (128585, 4479, 36, 'رمز عبور برای وب سایت دروازه تلفن. خدمات خودکار VOIP توسط Maviq ارائه شده است. لطفا برای کسب اطلاعات بیشتر به این سایت مراجعه کنید. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (128586, 4483, 36, 'امنیت رمز عبور به تازگی ارتقا یافته.');
INSERT INTO `lang_definitions` VALUES (128587, 4486, 36, 'رمز عبور:');
INSERT INTO `lang_definitions` VALUES (128588, 4490, 36, 'موعد انجام');
INSERT INTO `lang_definitions` VALUES (128589, 4491, 36, 'موعد انجام');
INSERT INTO `lang_definitions` VALUES (128590, 4494, 36, 'لیست ویزیت های پیشین');
INSERT INTO `lang_definitions` VALUES (128591, 4514, 36, 'بیمار');
INSERT INTO `lang_definitions` VALUES (128592, 4515, 36, 'بیمار');
INSERT INTO `lang_definitions` VALUES (128593, 4516, 36, 'بیمار');
INSERT INTO `lang_definitions` VALUES (128594, 4517, 36, 'آدرس بیمار');
INSERT INTO `lang_definitions` VALUES (128595, 4518, 36, 'آدرس بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (128596, 4521, 36, 'آلرژی های بیمار');
INSERT INTO `lang_definitions` VALUES (128597, 4522, 36, 'آلرژی های بیمار');
INSERT INTO `lang_definitions` VALUES (128598, 4523, 36, 'قرار ملاقات بیمار');
INSERT INTO `lang_definitions` VALUES (128599, 4524, 36, 'موازنه بیمار');
INSERT INTO `lang_definitions` VALUES (128600, 4525, 36, 'مانده معوق بیمار');
INSERT INTO `lang_definitions` VALUES (128601, 4528, 36, 'شناسه پرونده بیمار');
INSERT INTO `lang_definitions` VALUES (128602, 4529, 36, 'مرخص شدن بیمار');
INSERT INTO `lang_definitions` VALUES (128603, 4530, 36, 'مرخص شدن بیمار برای ');
INSERT INTO `lang_definitions` VALUES (128604, 4531, 36, 'شهر بیمار');
INSERT INTO `lang_definitions` VALUES (128605, 4533, 36, 'ارتباطات بیمار ارسال شد');
INSERT INTO `lang_definitions` VALUES (128606, 4534, 36, 'ارتباطات بیمار ارسال شد');
INSERT INTO `lang_definitions` VALUES (128607, 4535, 36, 'کشور بیمار');
INSERT INTO `lang_definitions` VALUES (128608, 4539, 36, 'داده های بیمار');
INSERT INTO `lang_definitions` VALUES (128609, 4541, 36, 'تاریخ تولد بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (128610, 4542, 36, 'جزئیات بیمار');
INSERT INTO `lang_definitions` VALUES (128611, 4543, 36, 'تاریخ تولد بیمار');
INSERT INTO `lang_definitions` VALUES (128612, 4544, 36, 'سند بیمار');
INSERT INTO `lang_definitions` VALUES (128613, 4545, 36, 'آموزش بیمار');
INSERT INTO `lang_definitions` VALUES (128614, 4546, 36, 'امکانات آموزشی بیمار');
INSERT INTO `lang_definitions` VALUES (128615, 4550, 36, 'بیمار یاب');
INSERT INTO `lang_definitions` VALUES (128616, 4551, 36, 'نام بیمار');
INSERT INTO `lang_definitions` VALUES (128617, 4553, 36, 'نام بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (128618, 4558, 36, 'جنس بیمار');
INSERT INTO `lang_definitions` VALUES (128619, 4559, 36, 'جنس بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (128620, 4561, 36, 'سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (128621, 4562, 36, 'سابقه/سبک زندگی بیمار');
INSERT INTO `lang_definitions` VALUES (128622, 4563, 36, 'تلفن خانه بیمار');
INSERT INTO `lang_definitions` VALUES (128623, 4564, 36, 'شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (128624, 4565, 36, 'شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (128625, 4566, 36, 'کارت شناسایی بیمار');
INSERT INTO `lang_definitions` VALUES (128626, 4568, 36, 'واکسیناسیون بیمار');
INSERT INTO `lang_definitions` VALUES (128627, 4569, 36, 'اطلاعات بیمار');
INSERT INTO `lang_definitions` VALUES (128628, 4570, 36, 'دستورالعمل های بیمار');
INSERT INTO `lang_definitions` VALUES (128629, 4573, 36, 'مسائل بیمار');
INSERT INTO `lang_definitions` VALUES (128630, 4575, 36, 'نام خانوادگی بیمار');
INSERT INTO `lang_definitions` VALUES (128631, 4577, 36, 'نام خانوادگی بیمار در دست نیست');
INSERT INTO `lang_definitions` VALUES (128632, 4581, 36, 'فهرست بیماران');
INSERT INTO `lang_definitions` VALUES (128633, 4582, 36, 'ستونهای فهرست بیماران');
INSERT INTO `lang_definitions` VALUES (128634, 4584, 36, 'صفحه جدید فهرست بیماران');
INSERT INTO `lang_definitions` VALUES (128635, 4587, 36, 'مشکلات پزشکی بیمار');
INSERT INTO `lang_definitions` VALUES (128636, 4588, 36, 'داروهای بیمار');
INSERT INTO `lang_definitions` VALUES (128637, 4589, 36, 'نام بیمار');
INSERT INTO `lang_definitions` VALUES (128638, 4590, 36, 'نام و آدرس بیمار');
INSERT INTO `lang_definitions` VALUES (128639, 4593, 36, 'نام بیمار ضروریست');
INSERT INTO `lang_definitions` VALUES (128640, 4595, 36, 'یادداشت بیمار');
INSERT INTO `lang_definitions` VALUES (128641, 4596, 36, 'نوع یادداشت بیمار');
INSERT INTO `lang_definitions` VALUES (128642, 4597, 36, 'یادداشت های بیمار');
INSERT INTO `lang_definitions` VALUES (128643, 4598, 36, 'یادداشت های بیمار (نوشتن، اضافه کردن تنها اختیاریست)');
INSERT INTO `lang_definitions` VALUES (128644, 4599, 36, 'شماره بیمار');
INSERT INTO `lang_definitions` VALUES (128645, 4600, 36, 'پرداخت بیمار');
INSERT INTO `lang_definitions` VALUES (128646, 4608, 36, 'گزارش چاپ شده بیمار');
INSERT INTO `lang_definitions` VALUES (128647, 4609, 36, 'گزارش سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (128648, 4610, 36, 'درخواست سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (128649, 4611, 36, 'درخواست سوابق بیمار');
INSERT INTO `lang_definitions` VALUES (128650, 4613, 36, 'یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (128651, 4616, 36, 'قواعد یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (128652, 4617, 36, 'ایمیل فرستنده یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (128653, 4618, 36, 'نام فرستنده یادآوری بیمار');
INSERT INTO `lang_definitions` VALUES (128654, 4619, 36, 'یادآورهای بیمار');
INSERT INTO `lang_definitions` VALUES (128655, 4620, 36, 'گزارش بیمار');
INSERT INTO `lang_definitions` VALUES (128656, 4621, 36, 'درخواست بیمار');
INSERT INTO `lang_definitions` VALUES (128657, 4622, 36, 'بیمار درخواست سوابق پزشکی کرد');
INSERT INTO `lang_definitions` VALUES (128658, 4623, 36, 'نتایج بیمار');
INSERT INTO `lang_definitions` VALUES (128659, 4624, 36, 'سبک نتیجه های جست و جو بیمار');
INSERT INTO `lang_definitions` VALUES (128660, 4625, 36, 'صفحه جستجو/افزودن بیمار');
INSERT INTO `lang_definitions` VALUES (128661, 4626, 36, 'تنظیمات بیمار');
INSERT INTO `lang_definitions` VALUES (128662, 4627, 36, 'استان بیمار');
INSERT INTO `lang_definitions` VALUES (128663, 4629, 36, 'خلاصه مشخصات بیمار');
INSERT INTO `lang_definitions` VALUES (128664, 4630, 36, 'تراکنش های بیمار');
INSERT INTO `lang_definitions` VALUES (128665, 4631, 36, 'کد پستی بیمار');
INSERT INTO `lang_definitions` VALUES (128666, 4633, 36, 'بیمار/ارباب رجوع');
INSERT INTO `lang_definitions` VALUES (128667, 4634, 36, 'بیمار');
INSERT INTO `lang_definitions` VALUES (128668, 4635, 36, 'شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (128669, 4636, 36, 'بیماران');
INSERT INTO `lang_definitions` VALUES (128670, 4638, 36, 'پرداخت');
INSERT INTO `lang_definitions` VALUES (128671, 4639, 36, 'به گزینه های \"انجام شده با\" توجه کنید. پس از دریافت و علامت زدن همه پرداختهای بیمه‌ از بیمار درخواست پرداخت مبلغ باقی مانده خواهد شد. در غیر این صورت مبلغ باقی مانده جمع آوری نمی شود! همچنین اگر مبلغ باقی مانده یی وجود دارد که بیمار باید پرداخت کند، مهلت مناسبی برای پرداخت باید قید شود که روی لحن و انشأ صورت حساب بیمار تاثیر گذار میباشد.');
INSERT INTO `lang_definitions` VALUES (128672, 4640, 36, 'تاریخ پرداخت:');
INSERT INTO `lang_definitions` VALUES (128673, 4641, 36, 'وضعیت پرداخت');
INSERT INTO `lang_definitions` VALUES (128674, 4642, 36, 'نام گیرنده');
INSERT INTO `lang_definitions` VALUES (128675, 4643, 36, 'پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (128676, 4644, 36, 'نوع پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (128677, 4645, 36, 'پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (128678, 4646, 36, 'نهاد پرداخت کننده');
INSERT INTO `lang_definitions` VALUES (128679, 4647, 36, 'پرداخت');
INSERT INTO `lang_definitions` VALUES (128680, 4648, 36, 'پرداخت');
INSERT INTO `lang_definitions` VALUES (128681, 4649, 36, 'کد اصلاح پرداخت');
INSERT INTO `lang_definitions` VALUES (128682, 4650, 36, 'پرداخت در مقابل');
INSERT INTO `lang_definitions` VALUES (128683, 4651, 36, 'مبلغ پرداخت');
INSERT INTO `lang_definitions` VALUES (128684, 4652, 36, 'مبلغ پرداخت باید عدد باشد');
INSERT INTO `lang_definitions` VALUES (128685, 4653, 36, 'دسته بندی پرداخت');
INSERT INTO `lang_definitions` VALUES (128686, 4654, 36, 'تاریخ پرداخت');
INSERT INTO `lang_definitions` VALUES (128687, 4655, 36, 'پرداخت وارد شده در');
INSERT INTO `lang_definitions` VALUES (128688, 4656, 36, 'پرداخت از');
INSERT INTO `lang_definitions` VALUES (128689, 4659, 36, 'فهرست پرداخت');
INSERT INTO `lang_definitions` VALUES (128690, 4660, 36, 'روش پرداخت');
INSERT INTO `lang_definitions` VALUES (128691, 4661, 36, 'مرتب سازی پرداخت بر اساس');
INSERT INTO `lang_definitions` VALUES (128692, 4662, 36, 'وضعیت پرداخت');
INSERT INTO `lang_definitions` VALUES (128693, 4663, 36, 'نوع پرداخت');
INSERT INTO `lang_definitions` VALUES (128694, 4664, 36, 'ارزش پرداخت برای کد ');
INSERT INTO `lang_definitions` VALUES (128695, 4665, 36, 'پرداخت ها');
INSERT INTO `lang_definitions` VALUES (128696, 4672, 36, 'Pelvis and buttock');
INSERT INTO `lang_definitions` VALUES (128697, 4673, 36, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (128698, 4674, 36, 'در انتظار');
INSERT INTO `lang_definitions` VALUES (128699, 4677, 36, 'در انتظار پیگیری');
INSERT INTO `lang_definitions` VALUES (128700, 4679, 36, 'در انتظار دستورات');
INSERT INTO `lang_definitions` VALUES (128701, 4681, 36, 'در انتظار بررسی');
INSERT INTO `lang_definitions` VALUES (128702, 4685, 36, 'Peptic Ulcer Disease');
INSERT INTO `lang_definitions` VALUES (128703, 4688, 36, 'Per Nostril');
INSERT INTO `lang_definitions` VALUES (128704, 4689, 36, 'per nostril');
INSERT INTO `lang_definitions` VALUES (128705, 4690, 36, 'Per Oris');
INSERT INTO `lang_definitions` VALUES (128706, 4691, 36, 'per oris');
INSERT INTO `lang_definitions` VALUES (128707, 4692, 36, 'Per Rectum');
INSERT INTO `lang_definitions` VALUES (128708, 4693, 36, 'per rectum');
INSERT INTO `lang_definitions` VALUES (128709, 4694, 36, 'در صد');
INSERT INTO `lang_definitions` VALUES (128710, 4697, 36, 'در صد');
INSERT INTO `lang_definitions` VALUES (128711, 4699, 36, 'انجام جستجو');
INSERT INTO `lang_definitions` VALUES (128712, 4700, 36, 'انجام این عمل');
INSERT INTO `lang_definitions` VALUES (128713, 4701, 36, 'درصد عملکرد');
INSERT INTO `lang_definitions` VALUES (128714, 4705, 36, 'مدت زمان');
INSERT INTO `lang_definitions` VALUES (128715, 4707, 36, 'Perioperative Care');
INSERT INTO `lang_definitions` VALUES (128716, 4708, 36, 'Peripheral');
INSERT INTO `lang_definitions` VALUES (128717, 4712, 36, 'شخص');
INSERT INTO `lang_definitions` VALUES (128718, 4713, 36, 'شخصی کردن');
INSERT INTO `lang_definitions` VALUES (128719, 4717, 36, 'داروخانه');
INSERT INTO `lang_definitions` VALUES (128720, 4718, 36, 'داروخانه');
INSERT INTO `lang_definitions` VALUES (128721, 4720, 36, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (128722, 4729, 36, 'تلفن');
INSERT INTO `lang_definitions` VALUES (128723, 4730, 36, 'فهرست تماس های تلفن');
INSERT INTO `lang_definitions` VALUES (128724, 4731, 36, 'گزارش فهرست تماس های تلفن');
INSERT INTO `lang_definitions` VALUES (128725, 4737, 36, 'ساعت هشدار تلفن');
INSERT INTO `lang_definitions` VALUES (128726, 4738, 36, 'شماره تلفن');
INSERT INTO `lang_definitions` VALUES (128727, 4740, 36, 'Photophobia');
INSERT INTO `lang_definitions` VALUES (128728, 4741, 36, 'عکس ها');
INSERT INTO `lang_definitions` VALUES (128729, 4747, 36, 'معاینه پزشکی');
INSERT INTO `lang_definitions` VALUES (128730, 4749, 36, 'درخواست پزشک');
INSERT INTO `lang_definitions` VALUES (128731, 4750, 36, 'امضاء پزشک');
INSERT INTO `lang_definitions` VALUES (128732, 4752, 36, 'پزشکان');
INSERT INTO `lang_definitions` VALUES (128733, 4753, 36, 'انتخاب');
INSERT INTO `lang_definitions` VALUES (128734, 4754, 36, 'انتخاب');
INSERT INTO `lang_definitions` VALUES (128735, 4756, 36, 'PID');
INSERT INTO `lang_definitions` VALUES (128736, 4757, 36, 'PID (Pelvic Inflammatory Disease)');
INSERT INTO `lang_definitions` VALUES (128737, 4758, 36, 'اندازه قرص');
INSERT INTO `lang_definitions` VALUES (128738, 4759, 36, 'قرص');
INSERT INTO `lang_definitions` VALUES (128739, 4765, 36, 'نگهدارنده جای');
INSERT INTO `lang_definitions` VALUES (128740, 4767, 36, 'متن ساده');
INSERT INTO `lang_definitions` VALUES (128741, 4768, 36, 'طرح');
INSERT INTO `lang_definitions` VALUES (128742, 4771, 36, 'نام طرح');
INSERT INTO `lang_definitions` VALUES (128743, 4775, 36, 'مجموعه طرح ها');
INSERT INTO `lang_definitions` VALUES (128744, 4779, 36, 'طرح:');
INSERT INTO `lang_definitions` VALUES (128745, 4782, 36, 'طرح ها');
INSERT INTO `lang_definitions` VALUES (128746, 4784, 36, 'بازیکن');
INSERT INTO `lang_definitions` VALUES (128747, 4824, 36, 'لطفا شماره چک را وارد کنید');
INSERT INTO `lang_definitions` VALUES (128748, 4825, 36, 'لطفا شماره چک / مرجع را وارد کنید');
INSERT INTO `lang_definitions` VALUES (128749, 4826, 36, 'لطفا تاریخ را قید کنید');
INSERT INTO `lang_definitions` VALUES (128750, 4827, 36, 'لطفا مبلغ پرداخت را قید کنید');
INSERT INTO `lang_definitions` VALUES (128751, 4828, 36, 'لطفا دسته بندی پرداخت را قید کنید');
INSERT INTO `lang_definitions` VALUES (128752, 4829, 36, 'لطفا فرم پرداخت را پر کنید');
INSERT INTO `lang_definitions` VALUES (128753, 4831, 36, 'لطفا قبل از ادامه آنها را پر کنید.');
INSERT INTO `lang_definitions` VALUES (128754, 4832, 36, 'لطفا دلیل ملاقات را شرح دهید');
INSERT INTO `lang_definitions` VALUES (128755, 4834, 36, 'برای دیدن نتایج لطفا معیار جستجو را در بالا وارد کرده، و روی ارسال کلیک کنید.');
INSERT INTO `lang_definitions` VALUES (128756, 4835, 36, 'برای دیدن نتایج لطفا معیار جستجو را در بالا وارد کرده، و روی ارسال کلیک کنید. (نتایج در یک صفحه جدید نمایش داده خواهد شد)');
INSERT INTO `lang_definitions` VALUES (128757, 4836, 36, 'لطفا دوباره وارد سیستم شوید.');
INSERT INTO `lang_definitions` VALUES (128758, 4876, 36, 'لطفا پس از مدتی از صفحه \"فسخ شناسایی\" دیدار کنید');
INSERT INTO `lang_definitions` VALUES (128759, 4877, 36, 'لطفا پس از مدتی از صفحه \"شناسایی مجدد\" دیدار کنید');
INSERT INTO `lang_definitions` VALUES (128760, 4878, 36, 'لطفا پس از مدتی از این صفحه دیدار کنید');
INSERT INTO `lang_definitions` VALUES (128761, 4881, 36, 'Plural');
INSERT INTO `lang_definitions` VALUES (128762, 4882, 36, 'عصر');
INSERT INTO `lang_definitions` VALUES (128763, 4885, 36, 'PND');
INSERT INTO `lang_definitions` VALUES (128764, 4886, 36, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (128765, 4887, 36, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (128766, 4888, 36, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (128767, 4889, 36, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (128768, 4890, 36, 'Pneumococcal Vaccine');
INSERT INTO `lang_definitions` VALUES (128769, 4894, 36, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (128770, 4897, 36, 'پوشش بیمه');
INSERT INTO `lang_definitions` VALUES (128771, 4898, 36, 'شماره انحصاری پوشش بیمه');
INSERT INTO `lang_definitions` VALUES (128772, 4899, 36, 'شماره انحصاری پوشش بیمه');
INSERT INTO `lang_definitions` VALUES (128773, 4900, 36, 'لهستانی');
INSERT INTO `lang_definitions` VALUES (128774, 4901, 36, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (128775, 4902, 36, 'پولیپ');
INSERT INTO `lang_definitions` VALUES (128776, 4903, 36, 'Polyuria');
INSERT INTO `lang_definitions` VALUES (128777, 4904, 36, 'کم اشتهایی');
INSERT INTO `lang_definitions` VALUES (128778, 4905, 36, 'گردش خون ضعیف');
INSERT INTO `lang_definitions` VALUES (128779, 4906, 36, 'شنوایی ضعیف');
INSERT INTO `lang_definitions` VALUES (128780, 4910, 36, 'پورتال');
INSERT INTO `lang_definitions` VALUES (128781, 4911, 36, 'فعالیت درسایت پورتال');
INSERT INTO `lang_definitions` VALUES (128782, 4917, 36, 'پرتغالی');
INSERT INTO `lang_definitions` VALUES (128783, 4918, 36, 'پرتغالی (برزیلی)');
INSERT INTO `lang_definitions` VALUES (128784, 4919, 36, 'پرتغالی (اروپایی)');
INSERT INTO `lang_definitions` VALUES (128785, 4922, 36, 'مثبت');
INSERT INTO `lang_definitions` VALUES (128786, 4923, 36, 'مثبت ها');
INSERT INTO `lang_definitions` VALUES (128787, 4925, 36, 'ارسال برای');
INSERT INTO `lang_definitions` VALUES (128788, 4926, 36, 'Post Nasal Drip');
INSERT INTO `lang_definitions` VALUES (128789, 4927, 36, 'درج پرداخت');
INSERT INTO `lang_definitions` VALUES (128790, 4928, 36, 'Post surgical');
INSERT INTO `lang_definitions` VALUES (128791, 4937, 36, 'پستی');
INSERT INTO `lang_definitions` VALUES (128792, 4938, 36, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (128793, 4939, 36, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (128794, 4953, 36, 'دفتر پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128795, 4954, 36, 'تنظیم پیش فرض دفتر');
INSERT INTO `lang_definitions` VALUES (128796, 4955, 36, 'تنظیمات دفتر پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128797, 4956, 36, 'پزشک');
INSERT INTO `lang_definitions` VALUES (128798, 4958, 36, 'پیش پرداخت');
INSERT INTO `lang_definitions` VALUES (128799, 4959, 36, 'پیش پرداخت');
INSERT INTO `lang_definitions` VALUES (128800, 4964, 36, 'تنظیمات');
INSERT INTO `lang_definitions` VALUES (128801, 4965, 36, 'دسته بندی رویداد انتخابی');
INSERT INTO `lang_definitions` VALUES (128802, 4966, 36, 'زبان انتخابی');
INSERT INTO `lang_definitions` VALUES (128803, 4967, 36, 'داروخانه انتخابی');
INSERT INTO `lang_definitions` VALUES (128804, 4970, 36, 'مقدماتی');
INSERT INTO `lang_definitions` VALUES (128805, 4972, 36, 'پیش پرداخت');
INSERT INTO `lang_definitions` VALUES (128806, 4973, 36, 'نسخه');
INSERT INTO `lang_definitions` VALUES (128807, 4975, 36, 'تاریخچه نسخه');
INSERT INTO `lang_definitions` VALUES (128808, 4977, 36, 'برچسب نسخه');
INSERT INTO `lang_definitions` VALUES (128809, 4978, 36, 'گزارش نسخه');
INSERT INTO `lang_definitions` VALUES (128810, 4979, 36, 'نسخه ها');
INSERT INTO `lang_definitions` VALUES (128811, 4980, 36, 'نسخه ها و مقدرات');
INSERT INTO `lang_definitions` VALUES (128812, 4981, 36, 'نسخه ها و معارفه های دیگر');
INSERT INTO `lang_definitions` VALUES (128813, 4983, 36, 'گزارش نسخه ها');
INSERT INTO `lang_definitions` VALUES (128814, 4984, 36, 'تجویزها / ارجاعات');
INSERT INTO `lang_definitions` VALUES (128815, 4989, 36, 'تشخیص محتمل');
INSERT INTO `lang_definitions` VALUES (128816, 4991, 36, 'قبلی');
INSERT INTO `lang_definitions` VALUES (128817, 4993, 36, 'ماه گذشته (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (128818, 4994, 36, 'سال گذشته (برای منو نگه دارید)');
INSERT INTO `lang_definitions` VALUES (128819, 4995, 36, 'مراقبت پیشگیرانه');
INSERT INTO `lang_definitions` VALUES (128820, 4998, 36, 'پیش نمایش رویداد');
INSERT INTO `lang_definitions` VALUES (128821, 5000, 36, 'پیش نمایش');
INSERT INTO `lang_definitions` VALUES (128822, 5001, 36, 'قبلی');
INSERT INTO `lang_definitions` VALUES (128823, 5002, 36, 'مشورت قبلی');
INSERT INTO `lang_definitions` VALUES (128824, 5003, 36, 'روز گذشته');
INSERT INTO `lang_definitions` VALUES (128825, 5005, 36, 'ماه گذشته');
INSERT INTO `lang_definitions` VALUES (128826, 5006, 36, 'هفته گذشته');
INSERT INTO `lang_definitions` VALUES (128827, 5007, 36, 'قیمت');
INSERT INTO `lang_definitions` VALUES (128828, 5008, 36, 'تنزیل قیمت');
INSERT INTO `lang_definitions` VALUES (128829, 5009, 36, 'سطح قیمت');
INSERT INTO `lang_definitions` VALUES (128830, 5010, 36, 'سطح قیمت:');
INSERT INTO `lang_definitions` VALUES (128831, 5011, 36, 'قیمت ها');
INSERT INTO `lang_definitions` VALUES (128832, 5012, 36, 'اصلی');
INSERT INTO `lang_definitions` VALUES (128833, 5013, 36, 'واحد تجاری اصلی');
INSERT INTO `lang_definitions` VALUES (128834, 5022, 36, 'بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (128835, 5023, 36, 'بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (128836, 5024, 36, 'اطلاعات بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (128837, 5025, 36, 'ارائه دهنده خدمات بیمه اصلی');
INSERT INTO `lang_definitions` VALUES (128838, 5026, 36, 'ارائه دهنده خدمات اصلی');
INSERT INTO `lang_definitions` VALUES (128839, 5027, 36, 'چاپ');
INSERT INTO `lang_definitions` VALUES (128840, 5028, 36, 'چاپ (HTML)');
INSERT INTO `lang_definitions` VALUES (128841, 5029, 36, 'چاپ (PDF)');
INSERT INTO `lang_definitions` VALUES (128842, 5032, 36, 'چاپ فرم ارجاع خالی');
INSERT INTO `lang_definitions` VALUES (128843, 5033, 36, 'دستور چاپ');
INSERT INTO `lang_definitions` VALUES (128844, 5042, 36, 'پیام چاپ');
INSERT INTO `lang_definitions` VALUES (128845, 5043, 36, 'چاپ های متعدد');
INSERT INTO `lang_definitions` VALUES (128846, 5044, 36, 'چاپ های متعدد به فکس');
INSERT INTO `lang_definitions` VALUES (128847, 5046, 36, 'چاپ یادداشت ها');
INSERT INTO `lang_definitions` VALUES (128848, 5047, 36, 'چاپ صفحه 1');
INSERT INTO `lang_definitions` VALUES (128849, 5048, 36, 'چاپ صفحه 2');
INSERT INTO `lang_definitions` VALUES (128850, 5053, 36, 'چاپ عبارت انتخاب شده');
INSERT INTO `lang_definitions` VALUES (128851, 5056, 36, 'چاپ این ویزیت');
INSERT INTO `lang_definitions` VALUES (128852, 5057, 36, 'چاپ این یادداشت');
INSERT INTO `lang_definitions` VALUES (128853, 5058, 36, 'چاپ این یادداشت');
INSERT INTO `lang_definitions` VALUES (128854, 5062, 36, 'قابل چاپ');
INSERT INTO `lang_definitions` VALUES (128855, 5063, 36, 'نسخه قابل چاپ');
INSERT INTO `lang_definitions` VALUES (128856, 5064, 36, 'چاپ شده');
INSERT INTO `lang_definitions` VALUES (128857, 5066, 36, 'در حال چاپ نتایج:');
INSERT INTO `lang_definitions` VALUES (128858, 5071, 36, 'ملاقات قبلی');
INSERT INTO `lang_definitions` VALUES (128859, 5072, 36, 'اولویت');
INSERT INTO `lang_definitions` VALUES (128860, 5073, 36, 'اولویت ');
INSERT INTO `lang_definitions` VALUES (128861, 5074, 36, 'خصوصی');
INSERT INTO `lang_definitions` VALUES (128862, 5075, 36, 'مشکل');
INSERT INTO `lang_definitions` VALUES (128863, 5077, 36, 'لیست مشکلات');
INSERT INTO `lang_definitions` VALUES (128864, 5079, 36, 'مشکلات/مسائل');
INSERT INTO `lang_definitions` VALUES (128865, 5086, 36, 'رویه');
INSERT INTO `lang_definitions` VALUES (128866, 5089, 36, 'کد رویه');
INSERT INTO `lang_definitions` VALUES (128867, 5090, 36, 'کدهای رویه');
INSERT INTO `lang_definitions` VALUES (128868, 5092, 36, 'نام رویه');
INSERT INTO `lang_definitions` VALUES (128869, 5093, 36, 'دستور رویه');
INSERT INTO `lang_definitions` VALUES (128870, 5094, 36, 'دستور رویه');
INSERT INTO `lang_definitions` VALUES (128871, 5095, 36, 'دستور رویه برای');
INSERT INTO `lang_definitions` VALUES (128872, 5097, 36, 'گزارشات و دستورات رویه');
INSERT INTO `lang_definitions` VALUES (128873, 5099, 36, 'فراهم کننده رویه');
INSERT INTO `lang_definitions` VALUES (128874, 5100, 36, 'فراهم کننده رویه');
INSERT INTO `lang_definitions` VALUES (128875, 5101, 36, 'فراهم کنندگان رویه');
INSERT INTO `lang_definitions` VALUES (128876, 5102, 36, 'گزارش رویه');
INSERT INTO `lang_definitions` VALUES (128877, 5103, 36, 'وضعیتهای گزارش رویه');
INSERT INTO `lang_definitions` VALUES (128878, 5104, 36, 'نتیجه رویه غیر طبیعی');
INSERT INTO `lang_definitions` VALUES (128879, 5105, 36, 'وضعیت های نتایج رویه');
INSERT INTO `lang_definitions` VALUES (128880, 5106, 36, 'نتایج رویه');
INSERT INTO `lang_definitions` VALUES (128881, 5108, 36, 'انواع نمونه مورد استفاده در رویه');
INSERT INTO `lang_definitions` VALUES (128882, 5109, 36, 'گزارش آماری رویه');
INSERT INTO `lang_definitions` VALUES (128883, 5110, 36, 'نوع اقدام پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128884, 5111, 36, 'انواع اقدامات پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128885, 5112, 36, 'واحد رویه');
INSERT INTO `lang_definitions` VALUES (128886, 5113, 36, 'رویه / خدمات');
INSERT INTO `lang_definitions` VALUES (128887, 5114, 36, 'اقدامات پزشکی‌');
INSERT INTO `lang_definitions` VALUES (128888, 5115, 36, 'پروسه');
INSERT INTO `lang_definitions` VALUES (128889, 5116, 36, 'پردازش و ارسال یادآورها');
INSERT INTO `lang_definitions` VALUES (128890, 5117, 36, 'پردازش فایل ERA');
INSERT INTO `lang_definitions` VALUES (128891, 5119, 36, 'پردازش یادآورها');
INSERT INTO `lang_definitions` VALUES (128892, 5120, 36, 'پردازش به مقداری زمان نیاز دارد');
INSERT INTO `lang_definitions` VALUES (128893, 5121, 36, 'پردازش');
INSERT INTO `lang_definitions` VALUES (128894, 5122, 36, 'پردازش شده');
INSERT INTO `lang_definitions` VALUES (128895, 5123, 36, 'تاریخ پردازش');
INSERT INTO `lang_definitions` VALUES (128896, 5124, 36, 'با موفقیت مورد پردازش قرار گرفت');
INSERT INTO `lang_definitions` VALUES (128897, 5125, 36, 'پردازش');
INSERT INTO `lang_definitions` VALUES (128898, 5126, 36, 'در حال پردازش و ارسال یادآورهای بیمار');
INSERT INTO `lang_definitions` VALUES (128899, 5127, 36, 'در حال پردازش یادآورهای بیمار');
INSERT INTO `lang_definitions` VALUES (128900, 5128, 36, 'زمان پردازش');
INSERT INTO `lang_definitions` VALUES (128901, 5129, 36, 'محصول');
INSERT INTO `lang_definitions` VALUES (128902, 5135, 36, 'پیشرفت معالجات');
INSERT INTO `lang_definitions` VALUES (128903, 5136, 36, 'سرطان پروستات');
INSERT INTO `lang_definitions` VALUES (128904, 5137, 36, 'آزمون سرطان پروستات');
INSERT INTO `lang_definitions` VALUES (128905, 5138, 36, 'معاینه پروستات');
INSERT INTO `lang_definitions` VALUES (128906, 5140, 36, 'Prostate w/o enlrgmt, nodules, tender');
INSERT INTO `lang_definitions` VALUES (128907, 5145, 36, 'خلاصه های بالینی بیماران را برای هر یک از ملاقاتهایشان ارائه کنید.');
INSERT INTO `lang_definitions` VALUES (128908, 5148, 36, 'ارائه سوابق به بیمار برای ملاقات');
INSERT INTO `lang_definitions` VALUES (128909, 5152, 36, 'ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (128910, 5154, 36, 'شناسه ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (128911, 5159, 36, 'شماره ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (128912, 5162, 36, 'ارائه دهنده خدمات:');
INSERT INTO `lang_definitions` VALUES (128913, 5163, 36, 'ارائه دهندگان خدمات');
INSERT INTO `lang_definitions` VALUES (128914, 5167, 36, 'PSA');
INSERT INTO `lang_definitions` VALUES (128915, 5168, 36, 'Psoriasis');
INSERT INTO `lang_definitions` VALUES (128916, 5169, 36, 'تشخیص روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128917, 5170, 36, 'داروی روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128918, 5171, 36, 'روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128919, 5172, 36, 'نامه مختصر روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128920, 5173, 36, 'تشخیص روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128921, 5174, 36, 'معاینه روانی');
INSERT INTO `lang_definitions` VALUES (128922, 5175, 36, 'تاریخچه روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128923, 5177, 36, 'داروی روانپزشکی');
INSERT INTO `lang_definitions` VALUES (128924, 5179, 36, 'یادداشت های بیمار');
INSERT INTO `lang_definitions` VALUES (128925, 5180, 36, 'یادداشت ها/ تاییدهای بیمار');
INSERT INTO `lang_definitions` VALUES (128926, 5181, 36, 'اضافه پرداختی بیمار');
INSERT INTO `lang_definitions` VALUES (128927, 5182, 36, 'پرداختی بیمار');
INSERT INTO `lang_definitions` VALUES (128928, 5183, 36, 'درخواست سابقه بیمار');
INSERT INTO `lang_definitions` VALUES (128929, 5184, 36, 'بازپرداخت بیمار');
INSERT INTO `lang_definitions` VALUES (128930, 5185, 36, 'مرخص شدن بیمار');
INSERT INTO `lang_definitions` VALUES (128931, 5186, 36, 'گزارش بیمار');
INSERT INTO `lang_definitions` VALUES (128932, 5187, 36, 'دانشجوی بیمار، یا خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (128933, 5201, 36, 'عمومی');
INSERT INTO `lang_definitions` VALUES (128934, 5204, 36, 'پورتوریکویی');
INSERT INTO `lang_definitions` VALUES (128935, 5205, 36, 'ریوی');
INSERT INTO `lang_definitions` VALUES (128936, 5206, 36, 'نبض');
INSERT INTO `lang_definitions` VALUES (128937, 5207, 36, 'پنجابی');
INSERT INTO `lang_definitions` VALUES (128938, 5208, 36, 'خرید');
INSERT INTO `lang_definitions` VALUES (128939, 5209, 36, 'خرید/پس دادن');
INSERT INTO `lang_definitions` VALUES (128940, 5210, 36, 'خریدها');
INSERT INTO `lang_definitions` VALUES (128941, 5213, 36, 'q.3h');
INSERT INTO `lang_definitions` VALUES (128942, 5214, 36, 'q.4h');
INSERT INTO `lang_definitions` VALUES (128943, 5215, 36, 'q.5h');
INSERT INTO `lang_definitions` VALUES (128944, 5216, 36, 'q.6h');
INSERT INTO `lang_definitions` VALUES (128945, 5217, 36, 'q.8h');
INSERT INTO `lang_definitions` VALUES (128946, 5218, 36, 'q.d.');
INSERT INTO `lang_definitions` VALUES (128947, 5219, 36, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (128948, 5220, 36, 'QOH');
INSERT INTO `lang_definitions` VALUES (128949, 5245, 36, 'نژاد');
INSERT INTO `lang_definitions` VALUES (128950, 5246, 36, 'نژاد و قومیت');
INSERT INTO `lang_definitions` VALUES (128951, 5247, 36, 'نژاد/قومیت');
INSERT INTO `lang_definitions` VALUES (128952, 5248, 36, 'رادیو');
INSERT INTO `lang_definitions` VALUES (128953, 5251, 36, 'محدوده');
INSERT INTO `lang_definitions` VALUES (128954, 5252, 36, 'Rashes');
INSERT INTO `lang_definitions` VALUES (128955, 5253, 36, 'نرخ');
INSERT INTO `lang_definitions` VALUES (128956, 5254, 36, 'نسبت');
INSERT INTO `lang_definitions` VALUES (128957, 5255, 36, 'گزارش اولیه');
INSERT INTO `lang_definitions` VALUES (128958, 5263, 36, 'واکنش');
INSERT INTO `lang_definitions` VALUES (128959, 5264, 36, 'واکنش ها');
INSERT INTO `lang_definitions` VALUES (128960, 5265, 36, 'خواندن');
INSERT INTO `lang_definitions` VALUES (128961, 5268, 36, 'نام واقعی');
INSERT INTO `lang_definitions` VALUES (128962, 5269, 36, 'واقعا حذف کنید');
INSERT INTO `lang_definitions` VALUES (128963, 5270, 36, 'دلیل');
INSERT INTO `lang_definitions` VALUES (128964, 5271, 36, 'دلیل مرگ');
INSERT INTO `lang_definitions` VALUES (128965, 5272, 36, 'دلیل مرگ');
INSERT INTO `lang_definitions` VALUES (128966, 5274, 36, 'دلیل مراجعه');
INSERT INTO `lang_definitions` VALUES (128967, 5275, 36, 'دلیل ملاقات');
INSERT INTO `lang_definitions` VALUES (128968, 5276, 36, 'دلیل/فرم');
INSERT INTO `lang_definitions` VALUES (128969, 5296, 36, 'گیرنده افشاء نامه');
INSERT INTO `lang_definitions` VALUES (128970, 5300, 36, 'توصیه ها');
INSERT INTO `lang_definitions` VALUES (128971, 5301, 36, 'توصیه ها و درمان');
INSERT INTO `lang_definitions` VALUES (128972, 5302, 36, 'توصیه های متخصص');
INSERT INTO `lang_definitions` VALUES (128973, 5303, 36, 'سابقه');
INSERT INTO `lang_definitions` VALUES (128974, 5312, 36, 'ثبت افشاء نامه');
INSERT INTO `lang_definitions` VALUES (128975, 5317, 36, 'سوابق');
INSERT INTO `lang_definitions` VALUES (128976, 5318, 36, 'سوابق یافت شد');
INSERT INTO `lang_definitions` VALUES (128977, 5319, 36, 'سوابق یافت شد.');
INSERT INTO `lang_definitions` VALUES (128978, 5320, 36, 'استفاده از مواد مخدر تفریحی');
INSERT INTO `lang_definitions` VALUES (128979, 5321, 36, 'مواد مخدر تفریحی');
INSERT INTO `lang_definitions` VALUES (128980, 5322, 36, 'مقعدی');
INSERT INTO `lang_definitions` VALUES (128981, 5323, 36, 'معاینه مقعد');
INSERT INTO `lang_definitions` VALUES (128982, 5324, 36, 'از راه مقعد');
INSERT INTO `lang_definitions` VALUES (128983, 5326, 36, 'سرخی');
INSERT INTO `lang_definitions` VALUES (128984, 5327, 36, 'کاهش یافته:');
INSERT INTO `lang_definitions` VALUES (128985, 5328, 36, 'ارجاع');
INSERT INTO `lang_definitions` VALUES (128986, 5329, 36, 'ارجاع توسط');
INSERT INTO `lang_definitions` VALUES (128987, 5330, 36, 'تاریخ ارجاع');
INSERT INTO `lang_definitions` VALUES (128988, 5331, 36, 'ارجاع به');
INSERT INTO `lang_definitions` VALUES (128989, 5332, 36, 'تقسیم بندی ارجاع (سطح خطر)');
INSERT INTO `lang_definitions` VALUES (128990, 5333, 36, 'محدوده نتایج ارجاع');
INSERT INTO `lang_definitions` VALUES (128991, 5334, 36, 'دلیل ارجاع');
INSERT INTO `lang_definitions` VALUES (128992, 5336, 36, 'نام و امضاء ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (128993, 5337, 36, 'ارجاع');
INSERT INTO `lang_definitions` VALUES (128994, 5338, 36, 'ارجاع بر اساس');
INSERT INTO `lang_definitions` VALUES (128995, 5339, 36, 'کارت ارجاع');
INSERT INTO `lang_definitions` VALUES (128996, 5340, 36, 'تاریخ ارجاع');
INSERT INTO `lang_definitions` VALUES (128997, 5341, 36, 'فرم ارچاع');
INSERT INTO `lang_definitions` VALUES (128998, 5342, 36, 'فرم ارجاع');
INSERT INTO `lang_definitions` VALUES (128999, 5343, 36, 'شناسه ارچاع');
INSERT INTO `lang_definitions` VALUES (129000, 5345, 36, 'منبع ارجاع');
INSERT INTO `lang_definitions` VALUES (129001, 5347, 36, 'ارچاع به');
INSERT INTO `lang_definitions` VALUES (129002, 5348, 36, 'معارفه ها');
INSERT INTO `lang_definitions` VALUES (129003, 5349, 36, 'گزارش معارفه ها');
INSERT INTO `lang_definitions` VALUES (129004, 5350, 36, 'معرفی شده توسط');
INSERT INTO `lang_definitions` VALUES (129005, 5351, 36, 'معرفی شده توسط');
INSERT INTO `lang_definitions` VALUES (129006, 5352, 36, 'معرفی شده به');
INSERT INTO `lang_definitions` VALUES (129007, 5353, 36, 'معرفی کننده');
INSERT INTO `lang_definitions` VALUES (129008, 5355, 36, 'تشخیص ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (129009, 5356, 36, 'تشخیص ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (129010, 5357, 36, 'دکتر و کلینیک ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (129011, 5358, 36, 'دکتر ارجاع دهنده');
INSERT INTO `lang_definitions` VALUES (129012, 5359, 36, 'پر کردن مجدد');
INSERT INTO `lang_definitions` VALUES (129013, 5360, 36, 'پر کردن مجدد');
INSERT INTO `lang_definitions` VALUES (129014, 5361, 36, 'پر کردن مجدد');
INSERT INTO `lang_definitions` VALUES (129015, 5362, 36, 'Reflexes normal');
INSERT INTO `lang_definitions` VALUES (129016, 5363, 36, 'تازه کردن');
INSERT INTO `lang_definitions` VALUES (129017, 5365, 36, 'تازه کردن یادآورها');
INSERT INTO `lang_definitions` VALUES (129018, 5368, 36, 'خودداری از بیان');
INSERT INTO `lang_definitions` VALUES (129019, 5370, 36, 'ثبت نام');
INSERT INTO `lang_definitions` VALUES (129020, 5372, 36, 'ثبت نام کرده');
INSERT INTO `lang_definitions` VALUES (129021, 5373, 36, 'ثبت نام کرده');
INSERT INTO `lang_definitions` VALUES (129022, 5375, 36, 'تاریخ ثبت نام');
INSERT INTO `lang_definitions` VALUES (129023, 5376, 36, 'فرم ثبت نام');
INSERT INTO `lang_definitions` VALUES (129024, 5381, 36, 'مرتبط به');
INSERT INTO `lang_definitions` VALUES (129025, 5382, 36, 'مرتبط');
INSERT INTO `lang_definitions` VALUES (129026, 5383, 36, 'مسائل مربوط');
INSERT INTO `lang_definitions` VALUES (129027, 5385, 36, 'رابطه (ها) / کودکان');
INSERT INTO `lang_definitions` VALUES (129028, 5386, 36, 'روابط');
INSERT INTO `lang_definitions` VALUES (129029, 5387, 36, 'رابطه');
INSERT INTO `lang_definitions` VALUES (129030, 5389, 36, 'بستگان');
INSERT INTO `lang_definitions` VALUES (129031, 5402, 36, 'تاریخ مرخص شدن');
INSERT INTO `lang_definitions` VALUES (129032, 5403, 36, 'مذهب');
INSERT INTO `lang_definitions` VALUES (129033, 5406, 36, 'ورود دوباره به سیستم');
INSERT INTO `lang_definitions` VALUES (129034, 5409, 36, 'یادآوری');
INSERT INTO `lang_definitions` VALUES (129035, 5410, 36, 'فواصل یادآوری ها');
INSERT INTO `lang_definitions` VALUES (129036, 5412, 36, 'یادآوری فرستاده شد');
INSERT INTO `lang_definitions` VALUES (129037, 5413, 36, 'یادآوری ها');
INSERT INTO `lang_definitions` VALUES (129038, 5426, 36, 'Renal Stones');
INSERT INTO `lang_definitions` VALUES (129039, 5438, 36, 'تکرار رویداد');
INSERT INTO `lang_definitions` VALUES (129040, 5439, 36, 'تکرار اطلاعات:');
INSERT INTO `lang_definitions` VALUES (129041, 5440, 36, 'تکرارها');
INSERT INTO `lang_definitions` VALUES (129042, 5444, 36, 'تاریخ پاسخ');
INSERT INTO `lang_definitions` VALUES (129043, 5445, 36, 'پاسخ از');
INSERT INTO `lang_definitions` VALUES (129044, 5446, 36, 'گزارش');
INSERT INTO `lang_definitions` VALUES (129045, 5447, 36, 'گزارش - بالینی');
INSERT INTO `lang_definitions` VALUES (129046, 5449, 36, 'گزارش توسط');
INSERT INTO `lang_definitions` VALUES (129047, 5457, 36, 'وضعیت گزارش');
INSERT INTO `lang_definitions` VALUES (129048, 5458, 36, 'گزارش مجموع');
INSERT INTO `lang_definitions` VALUES (129049, 5459, 36, 'گزارش از');
INSERT INTO `lang_definitions` VALUES (129050, 5460, 36, 'قابل گزارش');
INSERT INTO `lang_definitions` VALUES (129051, 5461, 36, 'گزارش شده');
INSERT INTO `lang_definitions` VALUES (129052, 5462, 36, 'تاریخ گزارش');
INSERT INTO `lang_definitions` VALUES (129053, 5463, 36, 'گزارش ها');
INSERT INTO `lang_definitions` VALUES (129054, 5474, 36, 'سرویس درخواست شده');
INSERT INTO `lang_definitions` VALUES (129055, 5475, 36, 'ملزم به کلمات عبور قوی');
INSERT INTO `lang_definitions` VALUES (129056, 5476, 36, 'ملزم به کلمه عبور منحصر به فرد');
INSERT INTO `lang_definitions` VALUES (129057, 5477, 36, 'ضروری');
INSERT INTO `lang_definitions` VALUES (129058, 5483, 36, 'فیلدهای لازم');
INSERT INTO `lang_definitions` VALUES (129059, 5484, 36, 'الزامات');
INSERT INTO `lang_definitions` VALUES (129060, 5485, 36, 'رزرو شده');
INSERT INTO `lang_definitions` VALUES (129061, 5486, 36, 'رزرو شده');
INSERT INTO `lang_definitions` VALUES (129062, 5491, 36, 'تنظیم مجدد');
INSERT INTO `lang_definitions` VALUES (129063, 5492, 36, 'تنظیم مجدد اعتبارنامه پورتال برای خارج از سایت');
INSERT INTO `lang_definitions` VALUES (129064, 5493, 36, 'تنظیم مجدد اعتبارنامه پورتال برای داخل سایت');
INSERT INTO `lang_definitions` VALUES (129065, 5496, 36, 'حل و فصل شد');
INSERT INTO `lang_definitions` VALUES (129066, 5497, 36, 'تنفس');
INSERT INTO `lang_definitions` VALUES (129067, 5499, 36, 'تنفسی');
INSERT INTO `lang_definitions` VALUES (129068, 5504, 36, 'نتیجه');
INSERT INTO `lang_definitions` VALUES (129069, 5506, 36, 'نتیجه وضعیت');
INSERT INTO `lang_definitions` VALUES (129070, 5507, 36, 'وضعیت نتیجه یا اختلالات خالی‌ هست');
INSERT INTO `lang_definitions` VALUES (129071, 5510, 36, 'نتایج و');
INSERT INTO `lang_definitions` VALUES (129072, 5511, 36, 'نتایج جستجو یافت شد');
INSERT INTO `lang_definitions` VALUES (129073, 5512, 36, 'نتایج گروه');
INSERT INTO `lang_definitions` VALUES (129074, 5515, 36, 'تعداد نتایج در هر صفحه');
INSERT INTO `lang_definitions` VALUES (129075, 5516, 36, 'نتایج/جزئیات');
INSERT INTO `lang_definitions` VALUES (129076, 5517, 36, 'معاینه شبکیه');
INSERT INTO `lang_definitions` VALUES (129077, 5519, 36, 'بازگشت');
INSERT INTO `lang_definitions` VALUES (129078, 5521, 36, 'بازگشت به تقویم');
INSERT INTO `lang_definitions` VALUES (129079, 5528, 36, 'ملاقات مجدد');
INSERT INTO `lang_definitions` VALUES (129080, 5535, 36, 'بررسی سیستم ها');
INSERT INTO `lang_definitions` VALUES (129081, 5536, 36, 'چک لیست بررسی سیستم ها');
INSERT INTO `lang_definitions` VALUES (129082, 5537, 36, 'بررسی شد');
INSERT INTO `lang_definitions` VALUES (129083, 5539, 36, 'Rheumatoid Arthritis');
INSERT INTO `lang_definitions` VALUES (129084, 5540, 36, 'Rheumotoid Arthritis');
INSERT INTO `lang_definitions` VALUES (129085, 5541, 36, 'راست');
INSERT INTO `lang_definitions` VALUES (129086, 5542, 36, 'گوش راست');
INSERT INTO `lang_definitions` VALUES (129087, 5543, 36, 'گوش راست');
INSERT INTO `lang_definitions` VALUES (129088, 5545, 36, 'راست:');
INSERT INTO `lang_definitions` VALUES (129089, 5546, 36, 'زنگ زدن در گوش');
INSERT INTO `lang_definitions` VALUES (129090, 5547, 36, 'زنگ زدن در گوش');
INSERT INTO `lang_definitions` VALUES (129091, 5549, 36, 'عوامل خطر');
INSERT INTO `lang_definitions` VALUES (129092, 5550, 36, 'سطح خطر');
INSERT INTO `lang_definitions` VALUES (129093, 5553, 36, 'رومانیایی');
INSERT INTO `lang_definitions` VALUES (129094, 5564, 36, 'ردیف');
INSERT INTO `lang_definitions` VALUES (129095, 5568, 36, 'قاعده');
INSERT INTO `lang_definitions` VALUES (129096, 5569, 36, 'قاعده جدید');
INSERT INTO `lang_definitions` VALUES (129097, 5570, 36, 'جزئیات قاعده');
INSERT INTO `lang_definitions` VALUES (129098, 5572, 36, 'قاعده ویرایش');
INSERT INTO `lang_definitions` VALUES (129099, 5575, 36, 'مجموعه قواعد');
INSERT INTO `lang_definitions` VALUES (129100, 5578, 36, 'قواعد');
INSERT INTO `lang_definitions` VALUES (129101, 5580, 36, 'تنظیمات قواعد');
INSERT INTO `lang_definitions` VALUES (129102, 5581, 36, 'دستور در حال اجرا: ');
INSERT INTO `lang_definitions` VALUES (129103, 5582, 36, 'پارگی');
INSERT INTO `lang_definitions` VALUES (129104, 5583, 36, 'روسی');
INSERT INTO `lang_definitions` VALUES (129105, 5584, 36, 'Rx');
INSERT INTO `lang_definitions` VALUES (129106, 5585, 36, 'RX');
INSERT INTO `lang_definitions` VALUES (129107, 5601, 36, 'کد ملی‌');
INSERT INTO `lang_definitions` VALUES (129108, 5602, 36, 'S3:');
INSERT INTO `lang_definitions` VALUES (129109, 5603, 36, 'S4:');
INSERT INTO `lang_definitions` VALUES (129110, 5604, 36, 'SA ** برای خواندن مجوز لطفا به این اسناد مراجعه کنید docs/license.txt یا http://www.gnu.org/copyleft/gpl.html ** //========================================================================= // ');
INSERT INTO `lang_definitions` VALUES (129111, 5605, 36, 'فروش');
INSERT INTO `lang_definitions` VALUES (129112, 5606, 36, 'فروش');
INSERT INTO `lang_definitions` VALUES (129113, 5607, 36, 'فروش بر اساس آیتم ها');
INSERT INTO `lang_definitions` VALUES (129114, 5608, 36, 'فروش بر اساس گزارش محصول');
INSERT INTO `lang_definitions` VALUES (129115, 5609, 36, 'بزاق');
INSERT INTO `lang_definitions` VALUES (129116, 5610, 36, 'همان روز');
INSERT INTO `lang_definitions` VALUES (129117, 5611, 36, 'اهل جزیره ساموا');
INSERT INTO `lang_definitions` VALUES (129118, 5612, 36, 'نمونه');
INSERT INTO `lang_definitions` VALUES (129119, 5613, 36, 'نوع تحریم');
INSERT INTO `lang_definitions` VALUES (129120, 5617, 36, 'شنبه');
INSERT INTO `lang_definitions` VALUES (129121, 5618, 36, 'شنبه و یکشنبه');
INSERT INTO `lang_definitions` VALUES (129122, 5619, 36, 'شنبه');
INSERT INTO `lang_definitions` VALUES (129123, 5620, 36, 'ذخیره');
INSERT INTO `lang_definitions` VALUES (129124, 5621, 36, 'ذخیره');
INSERT INTO `lang_definitions` VALUES (129125, 5622, 36, 'ذخیره و بستن');
INSERT INTO `lang_definitions` VALUES (129126, 5624, 36, 'ذخیره و توزیع');
INSERT INTO `lang_definitions` VALUES (129127, 5626, 36, 'ذخیره به عنوان جدید');
INSERT INTO `lang_definitions` VALUES (129128, 5628, 36, 'ذخیره تنظیمات گواهینامه');
INSERT INTO `lang_definitions` VALUES (129129, 5629, 36, 'ذخیره تغییرات');
INSERT INTO `lang_definitions` VALUES (129130, 5630, 36, 'ذخیره فرم');
INSERT INTO `lang_definitions` VALUES (129131, 5631, 36, 'ذخیره واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (129132, 5633, 36, 'ذخیره گروه جدید');
INSERT INTO `lang_definitions` VALUES (129133, 5634, 36, 'ذخیره لیست جدید');
INSERT INTO `lang_definitions` VALUES (129134, 5639, 36, 'ذخیره تراکنش');
INSERT INTO `lang_definitions` VALUES (129135, 5652, 36, 'آدرس SE');
INSERT INTO `lang_definitions` VALUES (129136, 5653, 36, 'شهر SE');
INSERT INTO `lang_definitions` VALUES (129137, 5654, 36, 'کشور SE');
INSERT INTO `lang_definitions` VALUES (129138, 5655, 36, 'محله SE');
INSERT INTO `lang_definitions` VALUES (129139, 5656, 36, 'کد پستی SE');
INSERT INTO `lang_definitions` VALUES (129140, 5657, 36, 'استان SE');
INSERT INTO `lang_definitions` VALUES (129141, 5658, 36, 'کد پستی SE');
INSERT INTO `lang_definitions` VALUES (129142, 5659, 36, 'جستجو');
INSERT INTO `lang_definitions` VALUES (129143, 5661, 36, 'جستجو');
INSERT INTO `lang_definitions` VALUES (129144, 5662, 36, 'جستجوی مجدد');
INSERT INTO `lang_definitions` VALUES (129145, 5663, 36, 'جستجو تمام ستون ها');
INSERT INTO `lang_definitions` VALUES (129146, 5664, 36, 'جستجو بر اساس:');
INSERT INTO `lang_definitions` VALUES (129147, 5665, 36, 'جستجو برای');
INSERT INTO `lang_definitions` VALUES (129148, 5666, 36, 'جستجو برای:');
INSERT INTO `lang_definitions` VALUES (129149, 5668, 36, 'جستجو در');
INSERT INTO `lang_definitions` VALUES (129150, 5669, 36, 'جستجو یا بیمار جدید');
INSERT INTO `lang_definitions` VALUES (129151, 5670, 36, 'جستجوی پرداخت ها');
INSERT INTO `lang_definitions` VALUES (129152, 5671, 36, 'نتیجه های جستجو');
INSERT INTO `lang_definitions` VALUES (129153, 5672, 36, 'نتیجه های جستجو:');
INSERT INTO `lang_definitions` VALUES (129154, 5673, 36, 'انتخاب جستجو');
INSERT INTO `lang_definitions` VALUES (129155, 5676, 36, 'متن جستجو');
INSERT INTO `lang_definitions` VALUES (129156, 5677, 36, 'جستجوی رویدادها');
INSERT INTO `lang_definitions` VALUES (129157, 5678, 36, 'جستجو/افزودن');
INSERT INTO `lang_definitions` VALUES (129158, 5679, 36, 'جستجو/افزودن بیمه');
INSERT INTO `lang_definitions` VALUES (129159, 5680, 36, 'جستجوی قرار ملاقات ها');
INSERT INTO `lang_definitions` VALUES (129160, 5681, 36, 'جستجو ...');
INSERT INTO `lang_definitions` VALUES (129161, 5682, 36, 'استفاده از کمربند ایمنی');
INSERT INTO `lang_definitions` VALUES (129162, 5683, 36, 'استفاده از کمربند ایمنی');
INSERT INTO `lang_definitions` VALUES (129163, 5684, 36, 'دوم');
INSERT INTO `lang_definitions` VALUES (129164, 5687, 36, 'ثانوی');
INSERT INTO `lang_definitions` VALUES (129165, 5688, 36, 'بیمه ثانوی');
INSERT INTO `lang_definitions` VALUES (129166, 5689, 36, 'اطلاعات بیمه ثانوی');
INSERT INTO `lang_definitions` VALUES (129167, 5690, 36, 'ارائه دهنده بیمه ثانوی');
INSERT INTO `lang_definitions` VALUES (129168, 5691, 36, 'نوع Medicare ثانوی');
INSERT INTO `lang_definitions` VALUES (129169, 5698, 36, 'امنیت');
INSERT INTO `lang_definitions` VALUES (129170, 5699, 36, 'دیدن همه');
INSERT INTO `lang_definitions` VALUES (129171, 5700, 36, 'دیدن مجوز');
INSERT INTO `lang_definitions` VALUES (129172, 5707, 36, 'Seizures');
INSERT INTO `lang_definitions` VALUES (129173, 5708, 36, 'گزیدن');
INSERT INTO `lang_definitions` VALUES (129174, 5709, 36, 'گزیدن');
INSERT INTO `lang_definitions` VALUES (129175, 5710, 36, 'گزیدن');
INSERT INTO `lang_definitions` VALUES (129176, 5712, 36, 'انتخاب یک زمینه');
INSERT INTO `lang_definitions` VALUES (129177, 5714, 36, 'انتخاب مدت زمان');
INSERT INTO `lang_definitions` VALUES (129178, 5715, 36, 'انتخاب یک کاربر');
INSERT INTO `lang_definitions` VALUES (129179, 5716, 36, 'انتخاب همه');
INSERT INTO `lang_definitions` VALUES (129180, 5722, 36, 'گزینه های مربوطه را انتخاب کنید تا حذف شوند');
INSERT INTO `lang_definitions` VALUES (129181, 5727, 36, 'انتخاب تاریخ');
INSERT INTO `lang_definitions` VALUES (129182, 5728, 36, 'گزیدن اکیپ');
INSERT INTO `lang_definitions` VALUES (129183, 5729, 36, 'گزیدن تشخیص بیماری');
INSERT INTO `lang_definitions` VALUES (129184, 5731, 36, 'انتخاب دارو');
INSERT INTO `lang_definitions` VALUES (129185, 5732, 36, 'انتخاب داروها');
INSERT INTO `lang_definitions` VALUES (129186, 5736, 36, 'انتخاب پارامتر');
INSERT INTO `lang_definitions` VALUES (129187, 5737, 36, 'انتخاب پارامترها');
INSERT INTO `lang_definitions` VALUES (129188, 5738, 36, 'برای چاپ انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (129189, 5739, 36, 'انتخاب واکسیناسیون');
INSERT INTO `lang_definitions` VALUES (129190, 5742, 36, 'انتخاب مسئله');
INSERT INTO `lang_definitions` VALUES (129191, 5744, 36, 'انتخاب زبان');
INSERT INTO `lang_definitions` VALUES (129192, 5746, 36, 'انتخاب یک یا چند کد تشخیص برای توجیه خدمات');
INSERT INTO `lang_definitions` VALUES (129193, 5759, 36, 'انتخاب کاربر');
INSERT INTO `lang_definitions` VALUES (129194, 5760, 36, 'کاربران را از فهرست کرکره ای انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (129195, 5762, 36, 'برای تایید حذف گروه بله را انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (129196, 5765, 36, 'منتخب');
INSERT INTO `lang_definitions` VALUES (129197, 5766, 36, 'ویزیت انتخاب شده');
INSERT INTO `lang_definitions` VALUES (129198, 5768, 36, 'شخصی‌');
INSERT INTO `lang_definitions` VALUES (129199, 5769, 36, 'پرداخت شخصی‌');
INSERT INTO `lang_definitions` VALUES (129200, 5771, 36, 'ارسال');
INSERT INTO `lang_definitions` VALUES (129201, 5772, 36, 'ارسال یادآوری مورخ');
INSERT INTO `lang_definitions` VALUES (129202, 5773, 36, 'ارسال یادآوری');
INSERT INTO `lang_definitions` VALUES (129203, 5774, 36, 'ارسال در حال انجام');
INSERT INTO `lang_definitions` VALUES (129204, 5775, 36, 'ارسال پیام');
INSERT INTO `lang_definitions` VALUES (129205, 5776, 36, 'ارسال دسته یادآوری ها');
INSERT INTO `lang_definitions` VALUES (129206, 5777, 36, 'ارسال یادآوری به بیماران طبق اولویت بیمار برای پیشگیری/پیگیری مراقبت.');
INSERT INTO `lang_definitions` VALUES (129207, 5778, 36, 'ارسال خلاصه ها با معارفه ها');
INSERT INTO `lang_definitions` VALUES (129208, 5779, 36, 'ارسال این پرونده');
INSERT INTO `lang_definitions` VALUES (129209, 5780, 36, 'ارسال این پیام');
INSERT INTO `lang_definitions` VALUES (129210, 5781, 36, 'ارسال به');
INSERT INTO `lang_definitions` VALUES (129211, 5784, 36, 'ارسال به همه');
INSERT INTO `lang_definitions` VALUES (129212, 5788, 36, 'فرستنده');
INSERT INTO `lang_definitions` VALUES (129213, 5789, 36, 'فرستنده شناسه');
INSERT INTO `lang_definitions` VALUES (129214, 5794, 36, 'حساسیت');
INSERT INTO `lang_definitions` VALUES (129215, 5795, 36, 'حساسیت:');
INSERT INTO `lang_definitions` VALUES (129216, 5796, 36, 'معاینه حسی نرمال');
INSERT INTO `lang_definitions` VALUES (129217, 5799, 36, 'ارسال شده توسط; اگر برای همه, خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (129218, 5801, 36, 'تاریخ ارسال');
INSERT INTO `lang_definitions` VALUES (129219, 5802, 36, 'ارسال شده');
INSERT INTO `lang_definitions` VALUES (129220, 5803, 36, 'ارسال مدارک پزشکی؟');
INSERT INTO `lang_definitions` VALUES (129221, 5804, 36, 'با موفقیت ارسال شد');
INSERT INTO `lang_definitions` VALUES (129222, 5807, 36, 'به چاپگر فرستاده شد.');
INSERT INTO `lang_definitions` VALUES (129223, 5808, 36, 'ارسال شده به; اگر برای همه, خالی بگذارید');
INSERT INTO `lang_definitions` VALUES (129224, 5812, 36, 'سپتامبر');
INSERT INTO `lang_definitions` VALUES (129225, 5813, 36, 'جدا از هم');
INSERT INTO `lang_definitions` VALUES (129226, 5814, 36, 'سپتامبر');
INSERT INTO `lang_definitions` VALUES (129227, 5816, 36, 'ترتیب');
INSERT INTO `lang_definitions` VALUES (129228, 5821, 36, 'خدمت');
INSERT INTO `lang_definitions` VALUES (129229, 5822, 36, 'دسته بندی خدمت');
INSERT INTO `lang_definitions` VALUES (129230, 5823, 36, 'کد خدمت');
INSERT INTO `lang_definitions` VALUES (129231, 5824, 36, 'گزارش مالی کد خدمت');
INSERT INTO `lang_definitions` VALUES (129232, 5825, 36, 'کد های خدمت');
INSERT INTO `lang_definitions` VALUES (129233, 5826, 36, 'تاریخ خدمت');
INSERT INTO `lang_definitions` VALUES (129234, 5827, 36, 'تاریخ خدمت:');
INSERT INTO `lang_definitions` VALUES (129235, 5829, 36, 'محل ارائه خدمات');
INSERT INTO `lang_definitions` VALUES (129236, 5831, 36, 'خدمت ارائه شده توسط متخصص');
INSERT INTO `lang_definitions` VALUES (129237, 5832, 36, 'گزارش خدمت');
INSERT INTO `lang_definitions` VALUES (129238, 5833, 36, 'گزارش خدمات تنها');
INSERT INTO `lang_definitions` VALUES (129239, 5834, 36, 'خدمات');
INSERT INTO `lang_definitions` VALUES (129240, 5835, 36, 'خدمات بر اساس دسته بندی');
INSERT INTO `lang_definitions` VALUES (129241, 5836, 36, 'خدمات ارائه شده');
INSERT INTO `lang_definitions` VALUES (129242, 5837, 36, 'خدمات ارائه شده');
INSERT INTO `lang_definitions` VALUES (129243, 5838, 36, 'خدمات / محصولات');
INSERT INTO `lang_definitions` VALUES (129244, 5851, 36, 'میگرن شدید');
INSERT INTO `lang_definitions` VALUES (129245, 5853, 36, 'شدت درد');
INSERT INTO `lang_definitions` VALUES (129246, 5854, 36, 'شدت درد:');
INSERT INTO `lang_definitions` VALUES (129247, 5855, 36, 'جنس');
INSERT INTO `lang_definitions` VALUES (129248, 5856, 36, 'بیماری آمیزشی');
INSERT INTO `lang_definitions` VALUES (129249, 5859, 36, 'اشتراک');
INSERT INTO `lang_definitions` VALUES (129250, 5864, 36, 'تنگی نفس');
INSERT INTO `lang_definitions` VALUES (129251, 5865, 36, 'تنگی نفس');
INSERT INTO `lang_definitions` VALUES (129252, 5866, 36, 'تنگی نفس 2');
INSERT INTO `lang_definitions` VALUES (129253, 5874, 36, 'شانه');
INSERT INTO `lang_definitions` VALUES (129254, 5875, 36, 'شانه + ترقوه');
INSERT INTO `lang_definitions` VALUES (129255, 5876, 36, 'مشکلات شانه');
INSERT INTO `lang_definitions` VALUES (129256, 5877, 36, 'نمایش');
INSERT INTO `lang_definitions` VALUES (129257, 5878, 36, 'نمایش یادداشت های فعال');
INSERT INTO `lang_definitions` VALUES (129258, 5880, 36, 'نمایش همه');
INSERT INTO `lang_definitions` VALUES (129259, 5883, 36, 'نمایش همه تراکنش ها');
INSERT INTO `lang_definitions` VALUES (129260, 5884, 36, 'مشغول نشان بده');
INSERT INTO `lang_definitions` VALUES (129261, 5885, 36, 'تنها نمایش دارای مجوز');
INSERT INTO `lang_definitions` VALUES (129262, 5886, 36, 'زمان قابل استفاده را نشان بده');
INSERT INTO `lang_definitions` VALUES (129263, 5894, 36, 'نمایش یادداشت های غیر فعال');
INSERT INTO `lang_definitions` VALUES (129264, 5896, 36, 'نمایش منو');
INSERT INTO `lang_definitions` VALUES (129265, 5897, 36, 'نمایش به متریک');
INSERT INTO `lang_definitions` VALUES (129266, 5898, 36, 'نمایش یادداشت ها');
INSERT INTO `lang_definitions` VALUES (129267, 5901, 36, 'نمایش یادداشت های بیمار');
INSERT INTO `lang_definitions` VALUES (129268, 5904, 36, 'نمایش اولیه کامل');
INSERT INTO `lang_definitions` VALUES (129269, 5905, 36, 'نمایش یادآوری ها');
INSERT INTO `lang_definitions` VALUES (129270, 5913, 36, 'تنها صورتحساب صادر نشده را نشان بده');
INSERT INTO `lang_definitions` VALUES (129271, 5914, 36, 'تنها ایالات متحده را نشان بده');
INSERT INTO `lang_definitions` VALUES (129272, 5915, 36, 'نمایش');
INSERT INTO `lang_definitions` VALUES (129273, 5920, 36, 'خواهر و برادر');
INSERT INTO `lang_definitions` VALUES (129274, 5921, 36, 'Sickle Cell');
INSERT INTO `lang_definitions` VALUES (129275, 5923, 36, 'Sigmoid/Colonoscopy');
INSERT INTO `lang_definitions` VALUES (129276, 5926, 36, 'نتایج را امضا کنید');
INSERT INTO `lang_definitions` VALUES (129277, 5927, 36, 'امضا');
INSERT INTO `lang_definitions` VALUES (129278, 5929, 36, 'امضا:');
INSERT INTO `lang_definitions` VALUES (129279, 5937, 36, 'پس از');
INSERT INTO `lang_definitions` VALUES (129280, 5938, 36, 'با احترام،');
INSERT INTO `lang_definitions` VALUES (129281, 5940, 36, 'مجرد');
INSERT INTO `lang_definitions` VALUES (129282, 5946, 36, 'مشکلات سینوسی');
INSERT INTO `lang_definitions` VALUES (129283, 5947, 36, 'جراحی سینوس');
INSERT INTO `lang_definitions` VALUES (129284, 5949, 36, 'سینوزیت');
INSERT INTO `lang_definitions` VALUES (129285, 5951, 36, 'شناسه سایت');
INSERT INTO `lang_definitions` VALUES (129286, 5956, 36, 'اندازه');
INSERT INTO `lang_definitions` VALUES (129287, 5959, 36, 'پوست');
INSERT INTO `lang_definitions` VALUES (129288, 5960, 36, 'سرطان پوست');
INSERT INTO `lang_definitions` VALUES (129289, 5961, 36, 'بیماری های پوستی');
INSERT INTO `lang_definitions` VALUES (129290, 5967, 36, 'الگوهای خواب');
INSERT INTO `lang_definitions` VALUES (129291, 5968, 36, 'الگوهای خواب');
INSERT INTO `lang_definitions` VALUES (129292, 5969, 36, 'خوابیدن');
INSERT INTO `lang_definitions` VALUES (129293, 5970, 36, 'اسلواکی');
INSERT INTO `lang_definitions` VALUES (129294, 5973, 36, 'حافظه نهان Smarty پاک شد');
INSERT INTO `lang_definitions` VALUES (129295, 5976, 36, 'وضعیت سیگار کشیدن');
INSERT INTO `lang_definitions` VALUES (129296, 5977, 36, 'اجازه SMS');
INSERT INTO `lang_definitions` VALUES (129297, 5983, 36, 'هشدار از طریق SMS');
INSERT INTO `lang_definitions` VALUES (129298, 5984, 36, 'ساعت هشدار از طریق SMS');
INSERT INTO `lang_definitions` VALUES (129299, 5985, 36, 'ارسال SMS قبل از');
INSERT INTO `lang_definitions` VALUES (129300, 5986, 36, 'SMS ارسال شد');
INSERT INTO `lang_definitions` VALUES (129301, 6004, 36, 'خرناس');
INSERT INTO `lang_definitions` VALUES (129302, 6005, 36, 'فرم پیشرفت معالجات SOAP');
INSERT INTO `lang_definitions` VALUES (129303, 6029, 36, 'مرتب سازی بر اساس');
INSERT INTO `lang_definitions` VALUES (129304, 6030, 36, 'مرتب سازی بر اساس');
INSERT INTO `lang_definitions` VALUES (129305, 6031, 36, 'چیدمان بر اساس شماره کنترل');
INSERT INTO `lang_definitions` VALUES (129306, 6034, 36, 'مرتب سازی بر اساس تاریخ');
INSERT INTO `lang_definitions` VALUES (129307, 6035, 36, 'مرتب سازی بر اساس تاریخ/زمان');
INSERT INTO `lang_definitions` VALUES (129308, 6036, 36, 'مرتب سازی بر اساس رویداد');
INSERT INTO `lang_definitions` VALUES (129309, 6037, 36, 'مرتب سازی بر اساس گروه');
INSERT INTO `lang_definitions` VALUES (129310, 6040, 36, 'مرتب سازی بر اساس شناسه بیمار');
INSERT INTO `lang_definitions` VALUES (129311, 6041, 36, 'مرتب سازی بر اساس موفقیت');
INSERT INTO `lang_definitions` VALUES (129312, 6043, 36, 'مرتب سازی بر اساس کاربر');
INSERT INTO `lang_definitions` VALUES (129313, 6044, 36, 'مرتب سازی بر اساس واکسن');
INSERT INTO `lang_definitions` VALUES (129314, 6045, 36, 'مرتب سازی به پایین');
INSERT INTO `lang_definitions` VALUES (129315, 6046, 36, 'مرتب سازی نتایج بر اساس');
INSERT INTO `lang_definitions` VALUES (129316, 6047, 36, 'مرتب کردن به بالا');
INSERT INTO `lang_definitions` VALUES (129317, 6048, 36, 'منبع');
INSERT INTO `lang_definitions` VALUES (129318, 6049, 36, 'پرونده منبع');
INSERT INTO `lang_definitions` VALUES (129319, 6050, 36, 'مسیر فایل پرونده منبع');
INSERT INTO `lang_definitions` VALUES (129320, 6057, 36, 'منبع:');
INSERT INTO `lang_definitions` VALUES (129321, 6060, 36, 'فاصله');
INSERT INTO `lang_definitions` VALUES (129322, 6061, 36, 'فاصله');
INSERT INTO `lang_definitions` VALUES (129323, 6062, 36, 'اسپانیایی');
INSERT INTO `lang_definitions` VALUES (129324, 6063, 36, 'اسپانیایی (آمریکای لاتین)');
INSERT INTO `lang_definitions` VALUES (129325, 6064, 36, 'اسپانیایی (اسپانیا)');
INSERT INTO `lang_definitions` VALUES (129326, 6068, 36, 'متخصص');
INSERT INTO `lang_definitions` VALUES (129327, 6069, 36, 'نام و امضاء متخصص');
INSERT INTO `lang_definitions` VALUES (129328, 6071, 36, 'تخصص');
INSERT INTO `lang_definitions` VALUES (129329, 6072, 36, 'سیستم های تخصصی');
INSERT INTO `lang_definitions` VALUES (129330, 6073, 36, 'تخصص:');
INSERT INTO `lang_definitions` VALUES (129331, 6074, 36, 'ویژه');
INSERT INTO `lang_definitions` VALUES (129332, 6075, 36, 'کاربرد ویژه');
INSERT INTO `lang_definitions` VALUES (129333, 6076, 36, 'خدمات ویژه پیشگیری از بارداری');
INSERT INTO `lang_definitions` VALUES (129334, 6077, 36, 'نتایج ویژه');
INSERT INTO `lang_definitions` VALUES (129335, 6078, 36, 'خدمات ویژه');
INSERT INTO `lang_definitions` VALUES (129336, 6079, 36, 'مشخص شده');
INSERT INTO `lang_definitions` VALUES (129337, 6088, 36, 'نمونه');
INSERT INTO `lang_definitions` VALUES (129338, 6089, 36, 'تعداد/شناسه نمونه');
INSERT INTO `lang_definitions` VALUES (129339, 6090, 36, 'نوع نمونه');
INSERT INTO `lang_definitions` VALUES (129340, 6092, 36, 'دیکته کردن گفتار');
INSERT INTO `lang_definitions` VALUES (129341, 6095, 36, 'همسر');
INSERT INTO `lang_definitions` VALUES (129342, 6097, 36, 'Sputum');
INSERT INTO `lang_definitions` VALUES (129343, 6098, 36, 'Sputum:');
INSERT INTO `lang_definitions` VALUES (129344, 6099, 36, 'SQ');
INSERT INTO `lang_definitions` VALUES (129345, 6102, 36, 'اکیپ');
INSERT INTO `lang_definitions` VALUES (129346, 6103, 36, 'عضویت در اکیپ');
INSERT INTO `lang_definitions` VALUES (129347, 6104, 36, 'اکیپ های');
INSERT INTO `lang_definitions` VALUES (129348, 6109, 36, 'فرم ملاقات SRH');
INSERT INTO `lang_definitions` VALUES (129349, 6113, 36, 'کد ملی‌');
INSERT INTO `lang_definitions` VALUES (129350, 6114, 36, 'ثبات');
INSERT INTO `lang_definitions` VALUES (129351, 6115, 36, 'انتشار در چند مرحله');
INSERT INTO `lang_definitions` VALUES (129352, 6116, 36, 'استاندارد');
INSERT INTO `lang_definitions` VALUES (129353, 6117, 36, 'کد استاندارد');
INSERT INTO `lang_definitions` VALUES (129354, 6118, 36, 'اقدامات استاندارد');
INSERT INTO `lang_definitions` VALUES (129355, 6122, 36, 'نام استاندارد');
INSERT INTO `lang_definitions` VALUES (129356, 6124, 36, 'شروع');
INSERT INTO `lang_definitions` VALUES (129357, 6125, 36, 'شروع (YYYY-MM-DD): ');
INSERT INTO `lang_definitions` VALUES (129358, 6128, 36, 'تاریخ شروع');
INSERT INTO `lang_definitions` VALUES (129359, 6129, 36, 'تاریخ شروع در این کلینیک');
INSERT INTO `lang_definitions` VALUES (129360, 6131, 36, 'از تاریخ:');
INSERT INTO `lang_definitions` VALUES (129361, 6132, 36, 'از تاریخ:');
INSERT INTO `lang_definitions` VALUES (129362, 6133, 36, 'az زمان');
INSERT INTO `lang_definitions` VALUES (129363, 6134, 36, 'از تاریخ');
INSERT INTO `lang_definitions` VALUES (129364, 6136, 36, 'استان');
INSERT INTO `lang_definitions` VALUES (129365, 6151, 36, 'آمار و ارقام');
INSERT INTO `lang_definitions` VALUES (129366, 6152, 36, 'آمار');
INSERT INTO `lang_definitions` VALUES (129367, 6153, 36, 'وضعیت');
INSERT INTO `lang_definitions` VALUES (129368, 6156, 36, 'وضع موجود');
INSERT INTO `lang_definitions` VALUES (129369, 6169, 36, 'مفاصل سفت');
INSERT INTO `lang_definitions` VALUES (129370, 6170, 36, 'سفتی');
INSERT INTO `lang_definitions` VALUES (129371, 6172, 36, 'دردهای معده');
INSERT INTO `lang_definitions` VALUES (129372, 6175, 36, 'فشار عضلانی');
INSERT INTO `lang_definitions` VALUES (129373, 6177, 36, 'خیابان');
INSERT INTO `lang_definitions` VALUES (129374, 6178, 36, 'آدرس خیابان');
INSERT INTO `lang_definitions` VALUES (129375, 6179, 36, 'خیابان و پلاک');
INSERT INTO `lang_definitions` VALUES (129376, 6180, 36, 'قدرت');
INSERT INTO `lang_definitions` VALUES (129377, 6182, 36, 'گلودرد استرپتوکوکی');
INSERT INTO `lang_definitions` VALUES (129378, 6183, 36, 'شکستگی ناشی از فشار');
INSERT INTO `lang_definitions` VALUES (129379, 6184, 36, 'تست استرس');
INSERT INTO `lang_definitions` VALUES (129380, 6185, 36, 'سکته مغزی');
INSERT INTO `lang_definitions` VALUES (129381, 6194, 36, 'موضوع');
INSERT INTO `lang_definitions` VALUES (129382, 6195, 36, 'ذهنی');
INSERT INTO `lang_definitions` VALUES (129383, 6196, 36, 'زیر زبانی');
INSERT INTO `lang_definitions` VALUES (129384, 6197, 36, 'زیر زبانی');
INSERT INTO `lang_definitions` VALUES (129385, 6198, 36, 'ارسال');
INSERT INTO `lang_definitions` VALUES (129386, 6199, 36, 'ارسال');
INSERT INTO `lang_definitions` VALUES (129387, 6200, 36, 'ارسال تمام مطالب');
INSERT INTO `lang_definitions` VALUES (129388, 6202, 36, 'ارسال رویداد');
INSERT INTO `lang_definitions` VALUES (129389, 6203, 36, 'ارسال فرم');
INSERT INTO `lang_definitions` VALUES (129390, 6204, 36, 'ارسال محتوای انتخاب شده');
INSERT INTO `lang_definitions` VALUES (129391, 6205, 36, 'ارسال شده');
INSERT INTO `lang_definitions` VALUES (129392, 6206, 36, 'ارسال شده توسط');
INSERT INTO `lang_definitions` VALUES (129393, 6208, 36, 'بیمه گر');
INSERT INTO `lang_definitions` VALUES (129394, 6209, 36, 'نشانی بیمه گر');
INSERT INTO `lang_definitions` VALUES (129395, 6213, 36, 'کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (129396, 6214, 36, 'کارفرمای بیمه گر(SE)');
INSERT INTO `lang_definitions` VALUES (129397, 6215, 36, 'آدرس کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (129398, 6216, 36, 'شهر کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (129399, 6217, 36, 'کشور کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (129400, 6218, 36, 'استان کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (129401, 6221, 36, 'کد پستی کارفرمای بیمه گر');
INSERT INTO `lang_definitions` VALUES (129402, 6225, 36, 'تلفن بیمه گر');
INSERT INTO `lang_definitions` VALUES (129403, 6226, 36, 'نسبت بیمه گر');
INSERT INTO `lang_definitions` VALUES (129404, 6231, 36, 'جنسیت مشترک');
INSERT INTO `lang_definitions` VALUES (129405, 6237, 36, 'جایگزینی');
INSERT INTO `lang_definitions` VALUES (129406, 6238, 36, 'جایگزینی مجاز است');
INSERT INTO `lang_definitions` VALUES (129407, 6240, 36, 'موفقیت');
INSERT INTO `lang_definitions` VALUES (129408, 6241, 36, 'موفقیت');
INSERT INTO `lang_definitions` VALUES (129409, 6246, 36, 'دسته بندی با موفقیت اضافه شد');
INSERT INTO `lang_definitions` VALUES (129410, 6247, 36, 'با موفقیت به دسته بندی اضافه شد');
INSERT INTO `lang_definitions` VALUES (129411, 6248, 36, 'با موفقیت حذف شد');
INSERT INTO `lang_definitions` VALUES (129412, 6250, 36, 'پایگاه داده ها با موفقیت نصب شد.');
INSERT INTO `lang_definitions` VALUES (129413, 6251, 36, 'پایگاه داده های زیر با موفقیت نصب شد');
INSERT INTO `lang_definitions` VALUES (129414, 6259, 36, 'با موفقیت.');
INSERT INTO `lang_definitions` VALUES (129415, 6260, 36, 'خود کشی');
INSERT INTO `lang_definitions` VALUES (129416, 6261, 36, 'خلاصه');
INSERT INTO `lang_definitions` VALUES (129417, 6262, 36, 'خلاصه ای از');
INSERT INTO `lang_definitions` VALUES (129418, 6265, 36, 'یکشنبه');
INSERT INTO `lang_definitions` VALUES (129419, 6267, 36, 'یکشنبه');
INSERT INTO `lang_definitions` VALUES (129420, 6289, 36, 'نوع سطح');
INSERT INTO `lang_definitions` VALUES (129421, 6290, 36, 'اعمال جراحی');
INSERT INTO `lang_definitions` VALUES (129422, 6291, 36, 'عمل جراحی');
INSERT INTO `lang_definitions` VALUES (129423, 6293, 36, 'معلق');
INSERT INTO `lang_definitions` VALUES (129424, 6294, 36, 'تعلیق');
INSERT INTO `lang_definitions` VALUES (129425, 6295, 36, 'تاریخ خدمات');
INSERT INTO `lang_definitions` VALUES (129426, 6296, 36, 'تاریخ خدمات:');
INSERT INTO `lang_definitions` VALUES (129427, 6299, 36, 'عرق کردن:');
INSERT INTO `lang_definitions` VALUES (129428, 6300, 36, 'سوئدی');
INSERT INTO `lang_definitions` VALUES (129429, 6301, 36, 'ورم');
INSERT INTO `lang_definitions` VALUES (129430, 6302, 36, 'سمت راست تورم');
INSERT INTO `lang_definitions` VALUES (129431, 6303, 36, 'تورم مفاصل');
INSERT INTO `lang_definitions` VALUES (129432, 6304, 36, 'تورم غدد لنفاوی');
INSERT INTO `lang_definitions` VALUES (129433, 6318, 36, 'سیستم');
INSERT INTO `lang_definitions` VALUES (129434, 6323, 36, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (129435, 6324, 36, 'تلویزیون');
INSERT INTO `lang_definitions` VALUES (129436, 6325, 36, 'جدول');
INSERT INTO `lang_definitions` VALUES (129437, 6327, 36, 'ایجاد جدول ناموفق بود');
INSERT INTO `lang_definitions` VALUES (129438, 6328, 36, 'جدول به روز رسانی ناموفق بود');
INSERT INTO `lang_definitions` VALUES (129439, 6332, 36, 'تاگالوگ');
INSERT INTO `lang_definitions` VALUES (129440, 6354, 36, 'شناسه مالیات');
INSERT INTO `lang_definitions` VALUES (129441, 6355, 36, 'نرخ مالیات');
INSERT INTO `lang_definitions` VALUES (129442, 6356, 36, 'عوارض');
INSERT INTO `lang_definitions` VALUES (129443, 6357, 36, 'طبقه بندی');
INSERT INTO `lang_definitions` VALUES (129444, 6373, 36, 'الگو:');
INSERT INTO `lang_definitions` VALUES (129445, 6374, 36, 'قالب ها');
INSERT INTO `lang_definitions` VALUES (129446, 6375, 36, 'شریان تمپورال');
INSERT INTO `lang_definitions` VALUES (129447, 6376, 36, 'آسیب دیدگی تاندون');
INSERT INTO `lang_definitions` VALUES (129448, 6379, 36, 'سوم');
INSERT INTO `lang_definitions` VALUES (129449, 6380, 36, 'بیمه سوم');
INSERT INTO `lang_definitions` VALUES (129450, 6381, 36, 'اطلاعات بیمه سوم');
INSERT INTO `lang_definitions` VALUES (129451, 6382, 36, 'ارائه دهنده بیمه سوم');
INSERT INTO `lang_definitions` VALUES (129452, 6383, 36, 'برنامه ریزی آزمون');
INSERT INTO `lang_definitions` VALUES (129453, 6384, 36, 'آزمون سیستم');
INSERT INTO `lang_definitions` VALUES (129454, 6385, 36, 'متن');
INSERT INTO `lang_definitions` VALUES (129455, 6386, 36, 'متن تشخیص بیماری');
INSERT INTO `lang_definitions` VALUES (129456, 6387, 36, 'زمینه متن');
INSERT INTO `lang_definitions` VALUES (129457, 6393, 36, 'تاریخ متن');
INSERT INTO `lang_definitions` VALUES (129458, 6394, 36, 'تاریخ متن');
INSERT INTO `lang_definitions` VALUES (129459, 6402, 36, 'با تشکر از شما');
INSERT INTO `lang_definitions` VALUES (129460, 6403, 36, 'با تشکر از شما برای انتخاب');
INSERT INTO `lang_definitions` VALUES (129461, 6444, 36, 'موارد ذیل مورد نیاز است');
INSERT INTO `lang_definitions` VALUES (129462, 6446, 36, 'موارد ذیل باید پر شوئد تا درخواست ارسال شود.');
INSERT INTO `lang_definitions` VALUES (129463, 6450, 36, 'صفحه اول برای جستجوی فاکتور است. در بالای صفحه، میتوانید یک مرجع اطلاعات (مثلا شماره چک)، تاریخ پرداخت و مبلغ چک را وارد کنید. دلیل قید مرجع اطلاعات و تاریخ پرداخت آن است که مجبور نباشید آنها را مجددا برای هر مطالبه وارد کنید. مبلغ وارد شده برای هر فاکتور بر اساس هر صورت حساب پرداختی مربوطه کاهش میابد، و انشاءالله سرانجام به صفر می‌رسد.');
INSERT INTO `lang_definitions` VALUES (129464, 6500, 36, 'هیچ پرونده‌ پزشکی‌ به متقاضی داده نشده');
INSERT INTO `lang_definitions` VALUES (129465, 6501, 36, 'هیچ افشاء نامه ای برای این بیمار وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (129466, 6503, 36, 'یادداشتی برای این بیمار در فایل وجود ندارد.');
INSERT INTO `lang_definitions` VALUES (129467, 6524, 36, 'ران');
INSERT INTO `lang_definitions` VALUES (129468, 6525, 36, 'ران + عضلات عقب ران');
INSERT INTO `lang_definitions` VALUES (129469, 6542, 36, 'سومین');
INSERT INTO `lang_definitions` VALUES (129470, 6572, 36, 'این مکان');
INSERT INTO `lang_definitions` VALUES (129471, 6595, 36, 'این ملاقات آغاز استفاده از پیشگیری بارداری جدید میباشد');
INSERT INTO `lang_definitions` VALUES (129472, 6596, 36, 'این ملاقات نیازمند فرم GCAC، و مراجعه یا خدمات پزشکی دارد.');
INSERT INTO `lang_definitions` VALUES (129473, 6622, 36, 'ستون فقرات');
INSERT INTO `lang_definitions` VALUES (129474, 6625, 36, 'گلو');
INSERT INTO `lang_definitions` VALUES (129475, 6626, 36, 'سرطان گلو');
INSERT INTO `lang_definitions` VALUES (129476, 6627, 36, 'جراحی سرطان گلو');
INSERT INTO `lang_definitions` VALUES (129477, 6628, 36, 'ترومبوز/سکته مغزی');
INSERT INTO `lang_definitions` VALUES (129478, 6629, 36, 'پنجشنبه');
INSERT INTO `lang_definitions` VALUES (129479, 6630, 36, 'پنجشنبه');
INSERT INTO `lang_definitions` VALUES (129480, 6631, 36, 'پنجشنبه');
INSERT INTO `lang_definitions` VALUES (129481, 6632, 36, 'تیروئید طبیعی');
INSERT INTO `lang_definitions` VALUES (129482, 6633, 36, 'مشکلات تیروئید');
INSERT INTO `lang_definitions` VALUES (129483, 6638, 36, 'زمان');
INSERT INTO `lang_definitions` VALUES (129484, 6639, 36, 'سبک نمایش زمان');
INSERT INTO `lang_definitions` VALUES (129485, 6641, 36, 'انتخاب زمان');
INSERT INTO `lang_definitions` VALUES (129486, 6651, 36, 'زنگ زدن گوش');
INSERT INTO `lang_definitions` VALUES (129487, 6652, 36, 'عنوان');
INSERT INTO `lang_definitions` VALUES (129488, 6655, 36, 'عناوین');
INSERT INTO `lang_definitions` VALUES (129489, 6658, 36, 'به');
INSERT INTO `lang_definitions` VALUES (129490, 6659, 36, 'تا');
INSERT INTO `lang_definitions` VALUES (129491, 6660, 36, 'تا');
INSERT INTO `lang_definitions` VALUES (129492, 6663, 36, 'برای اضافه کردن یادداشت، لطفا اینجا را کلیک کنید');
INSERT INTO `lang_definitions` VALUES (129493, 6667, 36, 'به نمایش صدور صورت حساب');
INSERT INTO `lang_definitions` VALUES (129494, 6668, 36, 'به دسته');
INSERT INTO `lang_definitions` VALUES (129495, 6669, 36, 'به نمایش بالینی');
INSERT INTO `lang_definitions` VALUES (129496, 6681, 36, 'به تاریخچه');
INSERT INTO `lang_definitions` VALUES (129497, 6682, 36, 'به مسائل');
INSERT INTO `lang_definitions` VALUES (129498, 6685, 36, 'برای ورود دوباره');
INSERT INTO `lang_definitions` VALUES (129499, 6686, 36, 'برای ضبط افشاء، لطفا کلیک کنید');
INSERT INTO `lang_definitions` VALUES (129500, 6689, 36, 'به پوست');
INSERT INTO `lang_definitions` VALUES (129501, 6690, 36, 'به پوست');
INSERT INTO `lang_definitions` VALUES (129502, 6691, 36, 'به این ملاقات؟');
INSERT INTO `lang_definitions` VALUES (129503, 6693, 36, 'به:');
INSERT INTO `lang_definitions` VALUES (129504, 6694, 36, 'به: ');
INSERT INTO `lang_definitions` VALUES (129505, 6708, 36, 'تنباکو');
INSERT INTO `lang_definitions` VALUES (129506, 6712, 36, 'مصرف دخانیات');
INSERT INTO `lang_definitions` VALUES (129507, 6713, 36, 'ارزیابی مصرف دخانیات');
INSERT INTO `lang_definitions` VALUES (129508, 6715, 36, 'امروز');
INSERT INTO `lang_definitions` VALUES (129509, 6716, 36, 'امروز');
INSERT INTO `lang_definitions` VALUES (129510, 6717, 36, 'امروز');
INSERT INTO `lang_definitions` VALUES (129511, 6728, 36, 'بالا');
INSERT INTO `lang_definitions` VALUES (129512, 6730, 36, 'مبحث');
INSERT INTO `lang_definitions` VALUES (129513, 6731, 36, 'مجموعا');
INSERT INTO `lang_definitions` VALUES (129514, 6732, 36, 'مجموعا');
INSERT INTO `lang_definitions` VALUES (129515, 6739, 36, 'مانده معوق کل');
INSERT INTO `lang_definitions` VALUES (129516, 6744, 36, 'گزینه توزیع کامل برای این شماره چک پر نشده');
INSERT INTO `lang_definitions` VALUES (129517, 6787, 36, 'تراکنش');
INSERT INTO `lang_definitions` VALUES (129518, 6788, 36, 'تراکنش');
INSERT INTO `lang_definitions` VALUES (129519, 6790, 36, 'تراکنش ناموفق، مقدار کمتر از صفر است');
INSERT INTO `lang_definitions` VALUES (129520, 6791, 36, 'نوع تراکنش');
INSERT INTO `lang_definitions` VALUES (129521, 6792, 36, 'تراکنش ها');
INSERT INTO `lang_definitions` VALUES (129522, 6793, 36, 'تراکنش ها');
INSERT INTO `lang_definitions` VALUES (129523, 6794, 36, 'تراکنش ها (نوشتن اختیاری)');
INSERT INTO `lang_definitions` VALUES (129524, 6795, 36, 'تراکنش ها/ارجاعات');
INSERT INTO `lang_definitions` VALUES (129525, 6807, 36, 'گروههای کنترل دسترسی ترجمه شود');
INSERT INTO `lang_definitions` VALUES (129526, 6819, 36, 'اسیب');
INSERT INTO `lang_definitions` VALUES (129527, 6820, 36, 'درمان');
INSERT INTO `lang_definitions` VALUES (129528, 6822, 36, 'اهداف درمان');
INSERT INTO `lang_definitions` VALUES (129529, 6823, 36, 'طرح درمانی');
INSERT INTO `lang_definitions` VALUES (129530, 6826, 36, 'درمان:');
INSERT INTO `lang_definitions` VALUES (129531, 6827, 36, 'درمان: ');
INSERT INTO `lang_definitions` VALUES (129532, 6828, 36, 'روند');
INSERT INTO `lang_definitions` VALUES (129533, 6840, 36, 'سل');
INSERT INTO `lang_definitions` VALUES (129534, 6841, 36, 'سه‌شنبه');
INSERT INTO `lang_definitions` VALUES (129535, 6842, 36, 'سه شنبه و پنجشنبه');
INSERT INTO `lang_definitions` VALUES (129536, 6843, 36, 'سه‌شنبه');
INSERT INTO `lang_definitions` VALUES (129537, 6844, 36, 'غده');
INSERT INTO `lang_definitions` VALUES (129538, 6845, 36, 'ترکی');
INSERT INTO `lang_definitions` VALUES (129539, 6848, 36, 'دو بار در روز');
INSERT INTO `lang_definitions` VALUES (129540, 6851, 36, 'نوع');
INSERT INTO `lang_definitions` VALUES (129541, 6854, 36, 'نوع افشاء');
INSERT INTO `lang_definitions` VALUES (129542, 6855, 36, 'نوع رویدادها');
INSERT INTO `lang_definitions` VALUES (129543, 6856, 36, 'نوع چیدمان بندی صفحه نمایش');
INSERT INTO `lang_definitions` VALUES (129544, 6857, 36, 'شناسه بیمار را اینجا تایپ یا اسکن کنید');
INSERT INTO `lang_definitions` VALUES (129545, 6858, 36, 'پیام خود را اینجا تایپ کنید');
INSERT INTO `lang_definitions` VALUES (129546, 6859, 36, 'انواع سفارشات و نتایج');
INSERT INTO `lang_definitions` VALUES (129547, 6865, 36, 'اوکراینی');
INSERT INTO `lang_definitions` VALUES (129548, 6866, 36, 'زخمها');
INSERT INTO `lang_definitions` VALUES (129549, 6868, 36, 'زخمها:');
INSERT INTO `lang_definitions` VALUES (129550, 6877, 36, 'معین نشده');
INSERT INTO `lang_definitions` VALUES (129551, 6878, 36, 'غیر مجاز');
INSERT INTO `lang_definitions` VALUES (129552, 6880, 36, 'دسترسی غیر مجاز.');
INSERT INTO `lang_definitions` VALUES (129553, 6884, 36, 'زیر زبان');
INSERT INTO `lang_definitions` VALUES (129554, 6885, 36, 'کم وزنی');
INSERT INTO `lang_definitions` VALUES (129555, 6890, 36, 'لغو \"مرخص شدن\"');
INSERT INTO `lang_definitions` VALUES (129556, 6899, 36, 'واحد');
INSERT INTO `lang_definitions` VALUES (129557, 6900, 36, 'واحدها');
INSERT INTO `lang_definitions` VALUES (129558, 6901, 36, 'واحدها');
INSERT INTO `lang_definitions` VALUES (129559, 6903, 36, 'واحدهای فرم های ملاقات');
INSERT INTO `lang_definitions` VALUES (129560, 6907, 36, 'مجهول');
INSERT INTO `lang_definitions` VALUES (129561, 6924, 36, 'تا');
INSERT INTO `lang_definitions` VALUES (129562, 6925, 36, 'بایگانی نابهنگام');
INSERT INTO `lang_definitions` VALUES (129563, 6928, 36, 'تاحدود');
INSERT INTO `lang_definitions` VALUES (129564, 6933, 36, 'به روز رسانی یادداشت های فعال');
INSERT INTO `lang_definitions` VALUES (129565, 6934, 36, 'به روز رسانی فایل');
INSERT INTO `lang_definitions` VALUES (129566, 6935, 36, 'به روز رسانی اطلاعات');
INSERT INTO `lang_definitions` VALUES (129567, 6936, 36, 'به روز رسانی لیست');
INSERT INTO `lang_definitions` VALUES (129568, 6937, 36, 'روز رسانی شماره ارائه دهنده خدمات');
INSERT INTO `lang_definitions` VALUES (129569, 6938, 36, 'بروز رسانی اقلام انتخاب شده');
INSERT INTO `lang_definitions` VALUES (129570, 6939, 36, 'بروز رسانی متغیرهای زیر در فایل');
INSERT INTO `lang_definitions` VALUES (129571, 6940, 36, 'به بروز رسانی اطلاعات کاربری');
INSERT INTO `lang_definitions` VALUES (129572, 6965, 36, 'پس از جستجو لیست فاکتورها به شما ارائه میشود. شما میتوانید روی یکی از شماره فاکتورها کلیک کنید تا صفحه دومی‌ برای وارد کردن اطلاعات و ارسال دستی باز شود. همچنین برای وارد کردن یاد داشت می توانید روی نام یک بیمار کلیک کنید تا کارکنان دفتر جلو در زمان پذیرش بیمار آن را ببینند. همچنین می توانید فاکتورهایی‌ را انتخاب کنید تا در صورت حسابهای بیماران قید شده و آن صورت حسابها را چاپ کنید.');
INSERT INTO `lang_definitions` VALUES (129573, 6966, 36, 'بازو');
INSERT INTO `lang_definitions` VALUES (129574, 6968, 36, 'ضرورت');
INSERT INTO `lang_definitions` VALUES (129575, 6970, 36, 'ادرار');
INSERT INTO `lang_definitions` VALUES (129576, 6972, 36, 'فرکانس ادرار');
INSERT INTO `lang_definitions` VALUES (129577, 6981, 36, 'آدرس وب سایت برای دروازه تلفن. خدمات خودکار VOIP توسط Maviq ارائه شده است. لطفا برای کسب اطلاعات بیشتر به این سایت مراجعه کنید. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (129578, 6999, 36, 'حدود تاریخ استفاده');
INSERT INTO `lang_definitions` VALUES (129579, 7007, 36, 'کاربر');
INSERT INTO `lang_definitions` VALUES (129580, 7009, 36, 'کاربر/گروه ها');
INSERT INTO `lang_definitions` VALUES (129581, 7010, 36, 'مدیریت کاربر');
INSERT INTO `lang_definitions` VALUES (129582, 7015, 36, 'تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129583, 7016, 36, 'منطقه ۱۱ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129584, 7017, 36, 'منطقه ۱۲ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129585, 7018, 36, 'زمینه تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129586, 7019, 36, 'لیست ۱ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129587, 7020, 36, 'لیست ۲ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129588, 7021, 36, 'لیست ۳ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129589, 7022, 36, 'لیست ۴ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129590, 7023, 36, 'لیست ۵ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129591, 7024, 36, 'لیست ۶ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129592, 7025, 36, 'لیست ۷ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129593, 7026, 36, 'متن ۱ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129594, 7027, 36, 'متن ۲ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129595, 7028, 36, 'متن ۳ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129596, 7029, 36, 'متن ۴ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129597, 7030, 36, 'متن ۵ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129598, 7031, 36, 'متن ۶ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129599, 7032, 36, 'متن ۷ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129600, 7033, 36, 'متن ۸ تعریف شده توسط کاربر');
INSERT INTO `lang_definitions` VALUES (129601, 7034, 36, 'نام کاربر');
INSERT INTO `lang_definitions` VALUES (129602, 7039, 36, 'کتابچه راهنمای کاربر');
INSERT INTO `lang_definitions` VALUES (129603, 7040, 36, 'تاریخ عضویت کاربر');
INSERT INTO `lang_definitions` VALUES (129604, 7041, 36, 'نام کاربر');
INSERT INTO `lang_definitions` VALUES (129605, 7043, 36, 'نام کاربر یا میزبان');
INSERT INTO `lang_definitions` VALUES (129606, 7046, 36, 'تنظیمات کاربر');
INSERT INTO `lang_definitions` VALUES (129607, 7047, 36, 'تنظیمات خاص کاربر');
INSERT INTO `lang_definitions` VALUES (129608, 7049, 36, 'نام کاربری برای وب سایت دروازه تلفن. خدمات خودکار VOIP توسط Maviq ارائه شده است. لطفا برای کسب اطلاعات بیشتر به این سایت مراجعه کنید. http://signup.maviq.com');
INSERT INTO `lang_definitions` VALUES (129609, 7055, 36, 'نام کاربری:');
INSERT INTO `lang_definitions` VALUES (129610, 7056, 36, 'کاربران');
INSERT INTO `lang_definitions` VALUES (129611, 7057, 36, 'کاربران/گروه ها/اداره گزارشا‌ت');
INSERT INTO `lang_definitions` VALUES (129612, 7062, 36, 'مرخصی');
INSERT INTO `lang_definitions` VALUES (129613, 7063, 36, 'مرخصی');
INSERT INTO `lang_definitions` VALUES (129614, 7064, 36, 'واکسن');
INSERT INTO `lang_definitions` VALUES (129615, 7067, 36, 'تایید اعتبار');
INSERT INTO `lang_definitions` VALUES (129616, 7068, 36, 'ارزش');
INSERT INTO `lang_definitions` VALUES (129617, 7083, 36, 'فروشنده');
INSERT INTO `lang_definitions` VALUES (129618, 7089, 36, 'ویتنامی');
INSERT INTO `lang_definitions` VALUES (129619, 7090, 36, 'مشاهده');
INSERT INTO `lang_definitions` VALUES (129620, 7091, 36, 'مشاهده');
INSERT INTO `lang_definitions` VALUES (129621, 7092, 36, 'مشاهده آلرژی');
INSERT INTO `lang_definitions` VALUES (129622, 7097, 36, 'مشاهده گزارش جامع بیمار');
INSERT INTO `lang_definitions` VALUES (129623, 7100, 36, 'مشاهده سند');
INSERT INTO `lang_definitions` VALUES (129624, 7107, 36, 'مشاهده رویدادها/عملیات');
INSERT INTO `lang_definitions` VALUES (129625, 7108, 36, 'مشاهده صفحه ۱');
INSERT INTO `lang_definitions` VALUES (129626, 7109, 36, 'نمایش صفحه ۲');
INSERT INTO `lang_definitions` VALUES (129627, 7110, 36, 'نمایش یادآورهای گذشته و آینده');
INSERT INTO `lang_definitions` VALUES (129628, 7111, 36, 'مشاهده بیمار');
INSERT INTO `lang_definitions` VALUES (129629, 7116, 36, 'برخوردهای مرتبط');
INSERT INTO `lang_definitions` VALUES (129630, 7121, 36, 'مشاهده/ویرایش آلرژی');
INSERT INTO `lang_definitions` VALUES (129631, 7122, 36, 'مشاهده/ویرایش مسئله');
INSERT INTO `lang_definitions` VALUES (129632, 7123, 36, 'مشاهده/چاپ');
INSERT INTO `lang_definitions` VALUES (129633, 7124, 36, 'مشاهده:');
INSERT INTO `lang_definitions` VALUES (129634, 7133, 36, 'دسته بندی ملاقات:');
INSERT INTO `lang_definitions` VALUES (129635, 7134, 36, 'تاریخ ملاقات');
INSERT INTO `lang_definitions` VALUES (129636, 7135, 36, 'تاریخ ملاقات');
INSERT INTO `lang_definitions` VALUES (129637, 7137, 36, 'فرم های ملاقات');
INSERT INTO `lang_definitions` VALUES (129638, 7138, 36, 'تاریخچه ملاقات');
INSERT INTO `lang_definitions` VALUES (129639, 7140, 36, 'ملاقات ها');
INSERT INTO `lang_definitions` VALUES (129640, 7142, 36, 'علایم حیاتی');
INSERT INTO `lang_definitions` VALUES (129641, 7143, 36, 'علایم حیاتی');
INSERT INTO `lang_definitions` VALUES (129642, 7146, 36, 'صدا');
INSERT INTO `lang_definitions` VALUES (129643, 7147, 36, 'صدا ارسال شد');
INSERT INTO `lang_definitions` VALUES (129644, 7149, 36, 'استفراغ');
INSERT INTO `lang_definitions` VALUES (129645, 7153, 36, 'دور کمر');
INSERT INTO `lang_definitions` VALUES (129646, 7154, 36, 'انتظار');
INSERT INTO `lang_definitions` VALUES (129647, 7155, 36, 'بدون وقت قبلی');
INSERT INTO `lang_definitions` VALUES (129648, 7158, 36, 'انبار کالا');
INSERT INTO `lang_definitions` VALUES (129649, 7161, 36, 'انبارهای کالا');
INSERT INTO `lang_definitions` VALUES (129650, 7162, 36, 'گرم');
INSERT INTO `lang_definitions` VALUES (129651, 7163, 36, 'هشدار');
INSERT INTO `lang_definitions` VALUES (129652, 7164, 36, 'هشدار');
INSERT INTO `lang_definitions` VALUES (129653, 7166, 36, 'هشدار، این شماره چک از قبل در پایگاه داده وجود داشته');
INSERT INTO `lang_definitions` VALUES (129654, 7168, 36, 'هشدار: امروز قبلا یک ملاقات برای این بیمار ساخته شد!');
INSERT INTO `lang_definitions` VALUES (129655, 7170, 36, 'هشدار: شناسه بیمار منحصر به فرد نیست!');
INSERT INTO `lang_definitions` VALUES (129656, 7173, 36, 'هشدارها');
INSERT INTO `lang_definitions` VALUES (129657, 7179, 36, 'ضعف');
INSERT INTO `lang_definitions` VALUES (129658, 7181, 36, 'جستجو در اینترنت');
INSERT INTO `lang_definitions` VALUES (129659, 7182, 36, 'سایت اینترنتی');
INSERT INTO `lang_definitions` VALUES (129660, 7184, 36, 'چهارشنبه');
INSERT INTO `lang_definitions` VALUES (129661, 7185, 36, 'چهارشنبه');
INSERT INTO `lang_definitions` VALUES (129662, 7186, 36, 'هفتگی');
INSERT INTO `lang_definitions` VALUES (129663, 7187, 36, 'هفته');
INSERT INTO `lang_definitions` VALUES (129664, 7188, 36, 'نمایش هفته ای');
INSERT INTO `lang_definitions` VALUES (129665, 7189, 36, 'هفته (ها)');
INSERT INTO `lang_definitions` VALUES (129666, 7190, 36, 'مواجهه شده هفتگی');
INSERT INTO `lang_definitions` VALUES (129667, 7192, 36, 'هفته ها');
INSERT INTO `lang_definitions` VALUES (129668, 7193, 36, 'وزن');
INSERT INTO `lang_definitions` VALUES (129669, 7194, 36, 'ارزیابی وزن و مشاوره برای کودکان و جوانان');
INSERT INTO `lang_definitions` VALUES (129670, 7196, 36, 'تغییر وزن');
INSERT INTO `lang_definitions` VALUES (129671, 7198, 36, 'کلینیک کاهش وزن');
INSERT INTO `lang_definitions` VALUES (129672, 7199, 36, 'خوش آمدید');
INSERT INTO `lang_definitions` VALUES (129673, 7203, 36, 'خس خس:');
INSERT INTO `lang_definitions` VALUES (129674, 7204, 36, 'خس خس سینه');
INSERT INTO `lang_definitions` VALUES (129675, 7205, 36, 'خس خس سینه:');
INSERT INTO `lang_definitions` VALUES (129676, 7212, 36, 'سفید');
INSERT INTO `lang_definitions` VALUES (129677, 7213, 36, 'هویت');
INSERT INTO `lang_definitions` VALUES (129678, 7214, 36, 'چه کسی پاسخ داد؟');
INSERT INTO `lang_definitions` VALUES (129679, 7215, 36, 'بیوه');
INSERT INTO `lang_definitions` VALUES (129680, 7216, 36, 'عرض');
INSERT INTO `lang_definitions` VALUES (129681, 7226, 36, 'در عرض چند ساعت');
INSERT INTO `lang_definitions` VALUES (129682, 7227, 36, 'در عرض چند ساعت:');
INSERT INTO `lang_definitions` VALUES (129683, 7228, 36, 'در عرض چند دقیقه');
INSERT INTO `lang_definitions` VALUES (129684, 7229, 36, 'در عرض چند دقیقه:');
INSERT INTO `lang_definitions` VALUES (129685, 7233, 36, 'شاهد');
INSERT INTO `lang_definitions` VALUES (129686, 7237, 36, 'زنان');
INSERT INTO `lang_definitions` VALUES (129687, 7238, 36, 'فقط برای خانمها');
INSERT INTO `lang_definitions` VALUES (129688, 7240, 36, 'کار');
INSERT INTO `lang_definitions` VALUES (129689, 7241, 36, 'یادداشت کار');
INSERT INTO `lang_definitions` VALUES (129690, 7242, 36, 'تلفن محل کار');
INSERT INTO `lang_definitions` VALUES (129691, 7243, 36, 'شماره تلفن محل کار');
INSERT INTO `lang_definitions` VALUES (129692, 7244, 36, 'مرتبط به کار؟');
INSERT INTO `lang_definitions` VALUES (129693, 7245, 36, 'کار/آموزش/سرگرمی');
INSERT INTO `lang_definitions` VALUES (129694, 7246, 36, 'یادداشت کار/مدرسه');
INSERT INTO `lang_definitions` VALUES (129695, 7247, 36, 'روز کاری');
INSERT INTO `lang_definitions` VALUES (129696, 7252, 36, 'بدتر');
INSERT INTO `lang_definitions` VALUES (129697, 7264, 36, 'مچ دست');
INSERT INTO `lang_definitions` VALUES (129698, 7265, 36, 'دست و مچ دست');
INSERT INTO `lang_definitions` VALUES (129699, 7266, 36, 'مشکلات مچ دست');
INSERT INTO `lang_definitions` VALUES (129700, 7267, 36, 'نوشتن');
INSERT INTO `lang_definitions` VALUES (129701, 7268, 36, 'کسر کردن');
INSERT INTO `lang_definitions` VALUES (129702, 7273, 36, 'x لغو شد');
INSERT INTO `lang_definitions` VALUES (129703, 7274, 36, 'x لغو شد');
INSERT INTO `lang_definitions` VALUES (129704, 7275, 36, 'آزمون اشعه ایکس');
INSERT INTO `lang_definitions` VALUES (129705, 7276, 36, 'تفسیر آزمون اشعه ایکس:');
INSERT INTO `lang_definitions` VALUES (129706, 7277, 36, 'تفسیر آزمون اشعه ایکس:');
INSERT INTO `lang_definitions` VALUES (129707, 7285, 36, 'سال');
INSERT INTO `lang_definitions` VALUES (129708, 7286, 36, 'سال');
INSERT INTO `lang_definitions` VALUES (129709, 7287, 36, 'نمایش سالیانه');
INSERT INTO `lang_definitions` VALUES (129710, 7288, 36, 'سال (ها)');
INSERT INTO `lang_definitions` VALUES (129711, 7289, 36, 'سال');
INSERT INTO `lang_definitions` VALUES (129712, 7292, 36, 'آری');
INSERT INTO `lang_definitions` VALUES (129713, 7293, 36, 'آری');
INSERT INTO `lang_definitions` VALUES (129714, 7294, 36, 'آری');
INSERT INTO `lang_definitions` VALUES (129715, 7295, 36, 'آری!');
INSERT INTO `lang_definitions` VALUES (129716, 7296, 36, 'آری، حذف و Log');
INSERT INTO `lang_definitions` VALUES (129717, 7298, 36, 'آری/خیر');
INSERT INTO `lang_definitions` VALUES (129718, 7299, 36, 'آری:');
INSERT INTO `lang_definitions` VALUES (129719, 7300, 36, 'ییدیش');
INSERT INTO `lang_definitions` VALUES (129720, 7329, 36, 'شما اول باید یک بیمار را انتخاب و یا اضافه کنید.');
INSERT INTO `lang_definitions` VALUES (129721, 7330, 36, 'شما اول باید یک ویزیت را انتخاب و یا اضافه کنید.');
INSERT INTO `lang_definitions` VALUES (129722, 7331, 36, 'شما باید یک دسته بندی ملاقات انتخاب کنید');
INSERT INTO `lang_definitions` VALUES (129723, 7332, 36, 'شما باید یک دسته بندی ملاقات انتخاب کنید.');
INSERT INTO `lang_definitions` VALUES (129724, 7387, 36, 'صفر');
INSERT INTO `lang_definitions` VALUES (129725, 7389, 36, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (129726, 7390, 36, 'کد پستی');
INSERT INTO `lang_definitions` VALUES (129727, 7391, 36, 'کد پستی/کشور:');
INSERT INTO `lang_definitions` VALUES (129728, 7392, 36, 'زولویی');
INSERT INTO `lang_definitions` VALUES (129729, 7394, 36, ' قابل دسترسی نیست.');
INSERT INTO `lang_definitions` VALUES (129730, 7395, 36, 'آیا واقعا می خواهید را حذف کنید');
INSERT INTO `lang_definitions` VALUES (129731, 7396, 36, 'دارو');
INSERT INTO `lang_definitions` VALUES (129732, 7397, 36, 'ایمیل ها فرستاده نشدند');
INSERT INTO `lang_definitions` VALUES (129733, 7398, 36, 'از');
INSERT INTO `lang_definitions` VALUES (129734, 7399, 36, 'ایجاد شده است. ');
INSERT INTO `lang_definitions` VALUES (129735, 7400, 36, 'دوباره باز شده است.');
INSERT INTO `lang_definitions` VALUES (129736, 7401, 36, 'تاریخچه');
INSERT INTO `lang_definitions` VALUES (129737, 7402, 36, 'یک عدد نیست');
INSERT INTO `lang_definitions` VALUES (129738, 7403, 36, 'آماده برای صدور صورت حساب مجدد است.');
INSERT INTO `lang_definitions` VALUES (129739, 7408, 36, 'یافت نشد!');
INSERT INTO `lang_definitions` VALUES (129740, 7411, 36, 'تا');
INSERT INTO `lang_definitions` VALUES (129741, 7412, 36, 'به روز رسانی نا موفق بود، در پایگاه داده ها نیست؟');
INSERT INTO `lang_definitions` VALUES (129742, 7415, 36, '! انصراف از ویزیت');
INSERT INTO `lang_definitions` VALUES (129743, 7417, 36, '\" در تنظیمات ارسال تقویم علامت زده شده!');
INSERT INTO `lang_definitions` VALUES (129744, 7418, 36, '# مسائل بیمه/مالی');
INSERT INTO `lang_definitions` VALUES (129745, 7419, 36, 'تعداد قرص ها:');
INSERT INTO `lang_definitions` VALUES (129746, 7421, 36, '$ کدگذاری انجام شد');
INSERT INTO `lang_definitions` VALUES (129747, 7424, 36, '٪ لغو >۲۴ ساعت قبل از ملاقات');
INSERT INTO `lang_definitions` VALUES (129748, 7425, 36, '٪ لغو >۲۴ ساعت قبل از ملاقات ');
INSERT INTO `lang_definitions` VALUES (129749, 7428, 36, '(برای انتخاب چندین گیرنده [CTRL] + کلیک کنید)');
INSERT INTO `lang_definitions` VALUES (129750, 7429, 36, '(بازگشت)');
INSERT INTO `lang_definitions` VALUES (129751, 7430, 36, '(برای ویرایش کلیک کنید.)');
INSERT INTO `lang_definitions` VALUES (129752, 7432, 36, '(بیشتر)');
INSERT INTO `lang_definitions` VALUES (129753, 7433, 36, '(بیمار جدید)');
INSERT INTO `lang_definitions` VALUES (129754, 7434, 36, '(یادداشت ها و مجوزها)');
INSERT INTO `lang_definitions` VALUES (129755, 7435, 36, '(یادداشت های بیمار)');
INSERT INTO `lang_definitions` VALUES (129756, 7436, 36, '(یکی از اینها را انتخاب، یا عنوان خودتان را تایپ کنید)');
INSERT INTO `lang_definitions` VALUES (129757, 7438, 36, '* یادآوری شد');
INSERT INTO `lang_definitions` VALUES (129758, 7439, 36, '** لطفا جراحی ها را به مسائل تبدیل کنید!');
INSERT INTO `lang_definitions` VALUES (129759, 7440, 36, '* ضروری');
INSERT INTO `lang_definitions` VALUES (129760, 7441, 36, '+ پرونده آورده شد');
INSERT INTO `lang_definitions` VALUES (129761, 7442, 36, '- هیچ');
INSERT INTO `lang_definitions` VALUES (129762, 7445, 36, '.');
INSERT INTO `lang_definitions` VALUES (129763, 7446, 36, '0');
INSERT INTO `lang_definitions` VALUES (129764, 7447, 36, '۰-۱۰');
INSERT INTO `lang_definitions` VALUES (129765, 7448, 36, '۰-۲۴');
INSERT INTO `lang_definitions` VALUES (129766, 7451, 36, '1');
INSERT INTO `lang_definitions` VALUES (129767, 7453, 36, '۱ روز دیگر');
INSERT INTO `lang_definitions` VALUES (129768, 7454, 36, '۱ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129769, 7455, 36, '۱ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (129770, 7456, 36, '۱ سال دیگر');
INSERT INTO `lang_definitions` VALUES (129771, 7458, 36, '۱۱-۱۴');
INSERT INTO `lang_definitions` VALUES (129772, 7459, 36, '۱۲ ساعت');
INSERT INTO `lang_definitions` VALUES (129773, 7460, 36, '۱۵-۱۹');
INSERT INTO `lang_definitions` VALUES (129774, 7462, 36, '2');
INSERT INTO `lang_definitions` VALUES (129775, 7463, 36, '۲ روز دیگر');
INSERT INTO `lang_definitions` VALUES (129776, 7464, 36, '۲ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129777, 7465, 36, '۲ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (129778, 7466, 36, '۲ سال دیگر');
INSERT INTO `lang_definitions` VALUES (129779, 7468, 36, '۲۰-۲۴');
INSERT INTO `lang_definitions` VALUES (129780, 7477, 36, '۲۱۱۱-۱۳');
INSERT INTO `lang_definitions` VALUES (129781, 7479, 36, '۲۵+');
INSERT INTO `lang_definitions` VALUES (129782, 7480, 36, '۲۵-۲۹');
INSERT INTO `lang_definitions` VALUES (129783, 7482, 36, '۳ روز دیگر');
INSERT INTO `lang_definitions` VALUES (129784, 7483, 36, '۳ ماه');
INSERT INTO `lang_definitions` VALUES (129785, 7484, 36, '۳ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129786, 7485, 36, '۳ بار در روز');
INSERT INTO `lang_definitions` VALUES (129787, 7486, 36, '۳ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (129788, 7487, 36, '۳۰-۳۴');
INSERT INTO `lang_definitions` VALUES (129789, 7488, 36, '۳۵-۳۹');
INSERT INTO `lang_definitions` VALUES (129790, 7490, 36, '۴ روز دیگر');
INSERT INTO `lang_definitions` VALUES (129791, 7491, 36, '۴ ماه');
INSERT INTO `lang_definitions` VALUES (129792, 7492, 36, '۴ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129793, 7493, 36, '۴ بار در روز');
INSERT INTO `lang_definitions` VALUES (129794, 7494, 36, '۴ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (129795, 7495, 36, '۴۰-۴۴');
INSERT INTO `lang_definitions` VALUES (129796, 7496, 36, '۴۵+');
INSERT INTO `lang_definitions` VALUES (129797, 7505, 36, '۵ روز دیگر');
INSERT INTO `lang_definitions` VALUES (129798, 7506, 36, '۵ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129799, 7507, 36, '۵ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (129800, 7510, 36, '۶ روز دیگر');
INSERT INTO `lang_definitions` VALUES (129801, 7511, 36, '۶ ماه');
INSERT INTO `lang_definitions` VALUES (129802, 7512, 36, '۶ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129803, 7513, 36, '۶ هفته دیگر');
INSERT INTO `lang_definitions` VALUES (129804, 7515, 36, '۷ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129805, 7516, 36, '۸ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129806, 7525, 36, '۹ ماه دیگر');
INSERT INTO `lang_definitions` VALUES (129807, 7528, 36, '< در اتاق معاینه');
INSERT INTO `lang_definitions` VALUES (129808, 7529, 36, '> مرخص شد');
INSERT INTO `lang_definitions` VALUES (129809, 7531, 36, '? غیبت');
INSERT INTO `lang_definitions` VALUES (129810, 7532, 36, '@ مراجعه کرد');
INSERT INTO `lang_definitions` VALUES (129811, 7533, 36, '[تغییر نمایش]');
INSERT INTO `lang_definitions` VALUES (129812, 7538, 36, '[توصیه نمی شود]');
INSERT INTO `lang_definitions` VALUES (129813, 7540, 36, '[گزارش ها]');
INSERT INTO `lang_definitions` VALUES (129814, 7541, 36, '[انتخاب همه]');
INSERT INTO `lang_definitions` VALUES (129815, 7544, 36, '[نمایش صورت عملیات]');
INSERT INTO `lang_definitions` VALUES (129816, 7545, 36, '[نمایش گزارش چاپی]');
INSERT INTO `lang_definitions` VALUES (129817, 7549, 36, '~ تأخیر');
INSERT INTO `lang_definitions` VALUES (129818, 1, 37, 'A');
INSERT INTO `lang_definitions` VALUES (129819, 2, 37, 'Reikalingas sąskaitos ar paraiškos numeris identifikuojant apmokėjimą');
INSERT INTO `lang_definitions` VALUES (129820, 3, 37, 'Kliento sertifikatas skirtas sistemos administratoriui');
INSERT INTO `lang_definitions` VALUES (129821, 4, 37, 'Klinikinis dokumentas pridėtas.');
INSERT INTO `lang_definitions` VALUES (129822, 5, 37, 'Klinikinis dokumentas pridėtas.');
INSERT INTO `lang_definitions` VALUES (129823, 7, 37, 'Platintojas privalomas');
INSERT INTO `lang_definitions` VALUES (129824, 8, 37, 'Prie šio vizito reikalinga pridėti GCAC formą');
INSERT INTO `lang_definitions` VALUES (129825, 9, 37, 'Reikalingas partijos numeris');
INSERT INTO `lang_definitions` VALUES (129826, 10, 37, 'Reikalingas partijos numeris!');
INSERT INTO `lang_definitions` VALUES (129827, 11, 37, 'Apatinio registro raidė');
INSERT INTO `lang_definitions` VALUES (129828, 12, 37, 'Skaičius');
INSERT INTO `lang_definitions` VALUES (129829, 14, 37, 'Pacientas su tokiu asmens kodu jau yra');
INSERT INTO `lang_definitions` VALUES (129830, 15, 37, 'Pacientas su tokiu vardu jau yra');
INSERT INTO `lang_definitions` VALUES (129831, 16, 37, 'Pacientas su tokiu socialinio draudimo numeriu jau yra');
INSERT INTO `lang_definitions` VALUES (129832, 21, 37, 'Specialus simbolis');
INSERT INTO `lang_definitions` VALUES (129833, 23, 37, 'Toks vizitas jau yra sukurtas šiam pacientui. Paspauskite \"Atšaukti\", kad tęsti, arba \"Gerai\", kad sukurti naują vizitą');
INSERT INTO `lang_definitions` VALUES (129834, 29, 37, 'Abscesas:');
INSERT INTO `lang_definitions` VALUES (129835, 34, 37, 'Nukrypimas nuo normos');
INSERT INTO `lang_definitions` VALUES (129836, 35, 37, 'Patologiniai kraujo tyrimų rezultatai');
INSERT INTO `lang_definitions` VALUES (129837, 36, 37, 'Patologinis plaukų augimas');
INSERT INTO `lang_definitions` VALUES (129838, 37, 37, 'Patologinė mamograma');
INSERT INTO `lang_definitions` VALUES (129839, 39, 37, 'Abortas');
INSERT INTO `lang_definitions` VALUES (129840, 40, 37, 'Aborto problemos');
INSERT INTO `lang_definitions` VALUES (129841, 41, 37, 'Nėštumo nutraukimo metodas');
INSERT INTO `lang_definitions` VALUES (129842, 42, 37, 'Abortas - susijusios kategorijos');
INSERT INTO `lang_definitions` VALUES (129843, 43, 37, 'Abortai');
INSERT INTO `lang_definitions` VALUES (129844, 44, 37, 'Apie kalendorių');
INSERT INTO `lang_definitions` VALUES (129845, 46, 37, 'Neatvykimai, suskirstyti pagal diagnozę');
INSERT INTO `lang_definitions` VALUES (129846, 47, 37, 'Priimti paskyrimą');
INSERT INTO `lang_definitions` VALUES (129847, 48, 37, 'Priimti mokėjimą už');
INSERT INTO `lang_definitions` VALUES (129848, 49, 37, 'Priimti mokėjimą už');
INSERT INTO `lang_definitions` VALUES (129849, 50, 37, 'Priimti paskyrimą');
INSERT INTO `lang_definitions` VALUES (129850, 52, 37, 'Prieigos kontrolės sąrašo administravimas');
INSERT INTO `lang_definitions` VALUES (129851, 53, 37, 'Prieigos data');
INSERT INTO `lang_definitions` VALUES (129852, 54, 37, 'Prieiga neleidžiama');
INSERT INTO `lang_definitions` VALUES (129853, 55, 37, 'Prieiga nepatvirtinta');
INSERT INTO `lang_definitions` VALUES (129854, 56, 37, 'Prisijungti prie savo pacientų portalo');
INSERT INTO `lang_definitions` VALUES (129855, 59, 37, 'Paskyros pavadinimas');
INSERT INTO `lang_definitions` VALUES (129856, 91, 37, 'Lėtinės ligos ūminė apraiška');
INSERT INTO `lang_definitions` VALUES (129857, 128, 37, 'Nauja kategorija: ');
INSERT INTO `lang_definitions` VALUES (129858, 130, 37, 'Naujas komponentas');
INSERT INTO `lang_definitions` VALUES (129859, 131, 37, 'NAuji komponentai');
INSERT INTO `lang_definitions` VALUES (129860, 132, 37, 'Nauja grupė');
INSERT INTO `lang_definitions` VALUES (129861, 138, 37, 'Naujas pacientas');
INSERT INTO `lang_definitions` VALUES (129862, 140, 37, 'Naujas paciento įrašas');
INSERT INTO `lang_definitions` VALUES (129863, 146, 37, 'Nauja taisyklė');
INSERT INTO `lang_definitions` VALUES (129864, 151, 37, 'Naujas vartotojas');
INSERT INTO `lang_definitions` VALUES (129865, 159, 37, 'Adisono sindromas');
INSERT INTO `lang_definitions` VALUES (129866, 164, 37, 'Papildoma informacija');
INSERT INTO `lang_definitions` VALUES (129867, 175, 37, 'Adresas');
INSERT INTO `lang_definitions` VALUES (129868, 199, 37, 'Administratorius');
INSERT INTO `lang_definitions` VALUES (129869, 200, 37, 'Administratoriaus elektroninis paštas');
INSERT INTO `lang_definitions` VALUES (129870, 208, 37, 'Administratoriai');
INSERT INTO `lang_definitions` VALUES (129871, 234, 37, 'Amžius');
INSERT INTO `lang_definitions` VALUES (129872, 250, 37, 'Alkoholis');
INSERT INTO `lang_definitions` VALUES (129873, 251, 37, 'Alkoholio suvartojimas');
INSERT INTO `lang_definitions` VALUES (129874, 252, 37, 'Alkoholio vartojimas');
INSERT INTO `lang_definitions` VALUES (129875, 1, 39, '一つの');
INSERT INTO `lang_definitions` VALUES (129876, 2, 39, '支払を識別するための小切手番号もしくは請求番号');
INSERT INTO `lang_definitions` VALUES (129877, 3, 39, '管理者のためのクライアント証明');
INSERT INTO `lang_definitions` VALUES (129878, 4, 39, '医療文書が添付されます。');
INSERT INTO `lang_definitions` VALUES (129879, 5, 39, '医療文書が添付されます。');
INSERT INTO `lang_definitions` VALUES (129880, 7, 39, 'ディストリビューターが必要です。');
INSERT INTO `lang_definitions` VALUES (129881, 8, 39, 'GCAC訪問フォームは今回の訪問で追加されました');
INSERT INTO `lang_definitions` VALUES (129882, 9, 39, 'ロット番号が必要です');
INSERT INTO `lang_definitions` VALUES (129883, 10, 39, 'ロット番号が必要です！');
INSERT INTO `lang_definitions` VALUES (129884, 11, 39, '小文字で入力');
INSERT INTO `lang_definitions` VALUES (129885, 12, 39, '数量');
INSERT INTO `lang_definitions` VALUES (129886, 14, 39, 'このＩＤの患者は既に存在します。');
INSERT INTO `lang_definitions` VALUES (129887, 15, 39, 'この名前の患者は既に存在します。');
INSERT INTO `lang_definitions` VALUES (129888, 16, 39, 'このSSの患者は既に存在します。');
INSERT INTO `lang_definitions` VALUES (129889, 17, 39, '正の数は、（負の数が降順に過去の予定が表示されます）患者概要]画面にウィジェット上でその多くの過去の予定が表示されます');
INSERT INTO `lang_definitions` VALUES (129890, 18, 39, '正の数は、患者の概要]画面にウィジェット上でその多くの過去の予定が表示されます。');
INSERT INTO `lang_definitions` VALUES (129891, 19, 39, '照会元は、各訪問のために指定されてもよい。');
INSERT INTO `lang_definitions` VALUES (129892, 20, 39, '関連するIPPFコードが必要です');
INSERT INTO `lang_definitions` VALUES (129893, 21, 39, '特殊文字');
INSERT INTO `lang_definitions` VALUES (129894, 22, 39, 'ユニークな値は、ユーザーには見えないこのフィールドを識別するために');
INSERT INTO `lang_definitions` VALUES (129895, 23, 39, '訪問は、すでに今日この患者のために存在しています。新しいものを作成することを続行するためにそれを開くために、キャンセル、または[OK]をクリックします。');
INSERT INTO `lang_definitions` VALUES (129896, 24, 39, 'a.c.');
INSERT INTO `lang_definitions` VALUES (129897, 25, 39, '午前');
INSERT INTO `lang_definitions` VALUES (129898, 26, 39, 'A/F Level Right:');
INSERT INTO `lang_definitions` VALUES (129899, 27, 39, 'AB');
INSERT INTO `lang_definitions` VALUES (129900, 28, 39, '略語');
INSERT INTO `lang_definitions` VALUES (129901, 29, 39, '膿瘍：');
INSERT INTO `lang_definitions` VALUES (129902, 30, 39, '腹部');
INSERT INTO `lang_definitions` VALUES (129903, 31, 39, '：重量を4（4）の手順に耐え');
INSERT INTO `lang_definitions` VALUES (129904, 32, 39, 'ABN');
INSERT INTO `lang_definitions` VALUES (129905, 33, 39, 'ABN1');
INSERT INTO `lang_definitions` VALUES (129906, 34, 39, '異常な');
INSERT INTO `lang_definitions` VALUES (129907, 35, 39, '異常な血液検査');
INSERT INTO `lang_definitions` VALUES (129908, 36, 39, '異常な髪の成長');
INSERT INTO `lang_definitions` VALUES (129909, 37, 39, '異常マンモグラム');
INSERT INTO `lang_definitions` VALUES (129910, 39, 39, '中絶');
INSERT INTO `lang_definitions` VALUES (129911, 40, 39, '妊娠中絶の問題');
INSERT INTO `lang_definitions` VALUES (129912, 41, 39, '妊娠中絶の方法');
INSERT INTO `lang_definitions` VALUES (129913, 42, 39, '妊娠中絶-関連カテゴリ');
INSERT INTO `lang_definitions` VALUES (129914, 43, 39, '中絶');
INSERT INTO `lang_definitions` VALUES (129915, 44, 39, 'カレンダーについて');
INSERT INTO `lang_definitions` VALUES (129916, 46, 39, '診断で欠席');
INSERT INTO `lang_definitions` VALUES (129917, 47, 39, '割り当てを受け入れる');
INSERT INTO `lang_definitions` VALUES (129918, 48, 39, 'のための支払いを受け入れる');
INSERT INTO `lang_definitions` VALUES (129919, 49, 39, 'のための支払いを受け入れる');
INSERT INTO `lang_definitions` VALUES (129920, 50, 39, '割り当てを受け入れ');
INSERT INTO `lang_definitions` VALUES (129921, 51, 39, 'アクセス制御');
INSERT INTO `lang_definitions` VALUES (129922, 52, 39, 'アクセス制御リストの管理');
INSERT INTO `lang_definitions` VALUES (129923, 53, 39, 'アクセス日');
INSERT INTO `lang_definitions` VALUES (129924, 54, 39, 'アクセスは許可されていません');
INSERT INTO `lang_definitions` VALUES (129925, 55, 39, 'アクセスは認証されていません');
INSERT INTO `lang_definitions` VALUES (129926, 56, 39, '患者ポータルへアクセス');
INSERT INTO `lang_definitions` VALUES (129927, 57, 39, '事故');
INSERT INTO `lang_definitions` VALUES (129928, 59, 39, 'アカウント名');
INSERT INTO `lang_definitions` VALUES (129929, 62, 39, 'アカウント管理');
INSERT INTO `lang_definitions` VALUES (129930, 64, 39, '痛み');
INSERT INTO `lang_definitions` VALUES (129931, 65, 39, '謝辞要求（ISA14）');
INSERT INTO `lang_definitions` VALUES (129932, 66, 39, '謝辞、ライセンスと認証');
INSERT INTO `lang_definitions` VALUES (129933, 67, 39, 'アクセス制限（ACL）');
INSERT INTO `lang_definitions` VALUES (129934, 68, 39, 'アクセス管理（ACL）');
INSERT INTO `lang_definitions` VALUES (129935, 69, 39, 'アクセス管理（ACL）は認証されていません');
INSERT INTO `lang_definitions` VALUES (129936, 70, 39, 'ACLが更新されました');
INSERT INTO `lang_definitions` VALUES (129937, 71, 39, 'にきび');
INSERT INTO `lang_definitions` VALUES (129938, 72, 39, '行為');
INSERT INTO `lang_definitions` VALUES (129939, 73, 39, '法律日');
INSERT INTO `lang_definitions` VALUES (129940, 74, 39, 'アクション');
INSERT INTO `lang_definitions` VALUES (129941, 75, 39, 'アクション');
INSERT INTO `lang_definitions` VALUES (129942, 77, 39, 'CCR / CCDレポートをアクティブに');
INSERT INTO `lang_definitions` VALUES (129943, 78, 39, '有効');
INSERT INTO `lang_definitions` VALUES (129944, 79, 39, '有効なアラート');
INSERT INTO `lang_definitions` VALUES (129945, 80, 39, '有効なアラートルール');
INSERT INTO `lang_definitions` VALUES (129946, 81, 39, '有効なアラート/予告');
INSERT INTO `lang_definitions` VALUES (129947, 82, 39, '有効な来院者');
INSERT INTO `lang_definitions` VALUES (129948, 84, 39, '有効なリスト');
INSERT INTO `lang_definitions` VALUES (129949, 85, 39, '有効な患者');
INSERT INTO `lang_definitions` VALUES (129950, 86, 39, '有効なプラン');
INSERT INTO `lang_definitions` VALUES (129951, 87, 39, 'アクティビティ');
INSERT INTO `lang_definitions` VALUES (129952, 88, 39, 'アクティビティタイプ');
INSERT INTO `lang_definitions` VALUES (129953, 90, 39, '急性中毒/退会');
INSERT INTO `lang_definitions` VALUES (129954, 91, 39, '慢性疾患の急性顕現');
INSERT INTO `lang_definitions` VALUES (129955, 92, 39, '慢性に急性');
INSERT INTO `lang_definitions` VALUES (129956, 93, 39, '追加');
INSERT INTO `lang_definitions` VALUES (129957, 94, 39, '追加');
INSERT INTO `lang_definitions` VALUES (129958, 95, 39, '追加');
INSERT INTO `lang_definitions` VALUES (129959, 96, 39, '会社を追加');
INSERT INTO `lang_definitions` VALUES (129960, 98, 39, '薬局を追加');
INSERT INTO `lang_definitions` VALUES (129961, 100, 39, 'イベントを追加 ');
INSERT INTO `lang_definitions` VALUES (129962, 101, 39, '新規ノートの追加');
INSERT INTO `lang_definitions` VALUES (129963, 102, 39, '新規追加');
INSERT INTO `lang_definitions` VALUES (129964, 104, 39, 'ボタン追加');
INSERT INTO `lang_definitions` VALUES (129965, 105, 39, '特殊文字用のボタンを追加し、テキストはをクリックして上のテキストに含めるためのエディタの上部に表示する');
INSERT INTO `lang_definitions` VALUES (129966, 106, 39, 'カテゴリ追加');
INSERT INTO `lang_definitions` VALUES (129967, 107, 39, '定数追加');
INSERT INTO `lang_definitions` VALUES (129968, 108, 39, 'コンテキスト追加');
INSERT INTO `lang_definitions` VALUES (129969, 109, 39, 'Copayを追加');
INSERT INTO `lang_definitions` VALUES (129970, 110, 39, '抽出の追加');
INSERT INTO `lang_definitions` VALUES (129971, 111, 39, 'カスタムボタン追加');
INSERT INTO `lang_definitions` VALUES (129972, 112, 39, '診断を追加');
INSERT INTO `lang_definitions` VALUES (129973, 113, 39, '薬の追加');
INSERT INTO `lang_definitions` VALUES (129974, 114, 39, '来院者の追加');
INSERT INTO `lang_definitions` VALUES (129975, 115, 39, '来院者・ノートの追加');
INSERT INTO `lang_definitions` VALUES (129976, 116, 39, '施術院の追加');
INSERT INTO `lang_definitions` VALUES (129977, 117, 39, 'フィールドの追加');
INSERT INTO `lang_definitions` VALUES (129978, 118, 39, 'Apache 設定への要点を追加');
INSERT INTO `lang_definitions` VALUES (129979, 119, 39, 'グループの追加');
INSERT INTO `lang_definitions` VALUES (129980, 120, 39, 'ICDコードの追加');
INSERT INTO `lang_definitions` VALUES (129981, 121, 39, '免疫を追加');
INSERT INTO `lang_definitions` VALUES (129982, 122, 39, '追加は許可されていません！');
INSERT INTO `lang_definitions` VALUES (129983, 123, 39, '問題の追加');
INSERT INTO `lang_definitions` VALUES (129984, 124, 39, '追跡するためにアイテムを追加します。');
INSERT INTO `lang_definitions` VALUES (129985, 125, 39, '言語の追加');
INSERT INTO `lang_definitions` VALUES (129986, 126, 39, '新規追加');
INSERT INTO `lang_definitions` VALUES (129987, 127, 39, '新規追加');
INSERT INTO `lang_definitions` VALUES (129988, 128, 39, '新規カテゴリの追加 ');
INSERT INTO `lang_definitions` VALUES (129989, 129, 39, 'Apache 設定へ新規認証局を追加');
INSERT INTO `lang_definitions` VALUES (129990, 130, 39, '新規コンポーネント追加');
INSERT INTO `lang_definitions` VALUES (129991, 131, 39, '新規コンポーネント追加');
INSERT INTO `lang_definitions` VALUES (129992, 132, 39, '新規グループ追加');
INSERT INTO `lang_definitions` VALUES (129993, 133, 39, '新規問題を追加');
INSERT INTO `lang_definitions` VALUES (129994, 134, 39, '新規ロット及び課金の追加');
INSERT INTO `lang_definitions` VALUES (129995, 135, 39, '新規ノート追加');
INSERT INTO `lang_definitions` VALUES (129996, 136, 39, '新規ノート追加');
INSERT INTO `lang_definitions` VALUES (129997, 137, 39, '新規パートナーの追加');
INSERT INTO `lang_definitions` VALUES (129998, 138, 39, '新規患者の追加');
INSERT INTO `lang_definitions` VALUES (129999, 140, 39, 'ノート追加');
INSERT INTO `lang_definitions` VALUES (130000, 141, 39, '患者レコードの追加');
INSERT INTO `lang_definitions` VALUES (130001, 142, 39, '処方箋を追加');
INSERT INTO `lang_definitions` VALUES (130002, 143, 39, '手順を追加');
INSERT INTO `lang_definitions` VALUES (130003, 144, 39, '提供者番号を追加します。');
INSERT INTO `lang_definitions` VALUES (130004, 145, 39, 'リハビリを追加');
INSERT INTO `lang_definitions` VALUES (130005, 146, 39, 'ルール追加');
INSERT INTO `lang_definitions` VALUES (130006, 147, 39, '追加');
INSERT INTO `lang_definitions` VALUES (130007, 148, 39, '薬リストの追加');
INSERT INTO `lang_definitions` VALUES (130008, 149, 39, 'トップレベル追加');
INSERT INTO `lang_definitions` VALUES (130009, 150, 39, '課金決裁追加');
INSERT INTO `lang_definitions` VALUES (130010, 151, 39, 'ユーザー追加');
INSERT INTO `lang_definitions` VALUES (130011, 152, 39, 'グループへユーザー追加');
INSERT INTO `lang_definitions` VALUES (130012, 153, 39, '追加/編集ERX');
INSERT INTO `lang_definitions` VALUES (130013, 154, 39, '決済の追加/編集');
INSERT INTO `lang_definitions` VALUES (130014, 155, 39, '追加済み');
INSERT INTO `lang_definitions` VALUES (130015, 156, 39, '基本データの追加は認証されていません');
INSERT INTO `lang_definitions` VALUES (130016, 157, 39, 'アイテムのトラック追加に失敗');
INSERT INTO `lang_definitions` VALUES (130017, 158, 39, 'アディソン症候群');
INSERT INTO `lang_definitions` VALUES (130018, 159, 39, 'アディソン症候群');
INSERT INTO `lang_definitions` VALUES (130019, 160, 39, '追加属性');
INSERT INTO `lang_definitions` VALUES (130020, 161, 39, '追加の診断：');
INSERT INTO `lang_definitions` VALUES (130021, 162, 39, '履歴の追加');
INSERT INTO `lang_definitions` VALUES (130022, 163, 39, '履歴ノートの追加');
INSERT INTO `lang_definitions` VALUES (130023, 164, 39, '情報の追加');
INSERT INTO `lang_definitions` VALUES (130024, 165, 39, 'ラボの追加');
INSERT INTO `lang_definitions` VALUES (130025, 166, 39, 'ノートの追加');
INSERT INTO `lang_definitions` VALUES (130026, 167, 39, '該当結果または該当についての追加');
INSERT INTO `lang_definitions` VALUES (130027, 168, 39, 'ノートの追加');
INSERT INTO `lang_definitions` VALUES (130028, 169, 39, 'ノートの追加 ');
INSERT INTO `lang_definitions` VALUES (130029, 170, 39, 'レントゲンノートの追加');
INSERT INTO `lang_definitions` VALUES (130030, 171, 39, 'さらに、対応する米国SNOMED拡張パッケージにはインターナショナル（英語版）をインストールした後、別々にインポートすることができますSNOMEDリリース');
INSERT INTO `lang_definitions` VALUES (130031, 172, 39, 'addonly');
INSERT INTO `lang_definitions` VALUES (130032, 173, 39, '住所録');
INSERT INTO `lang_definitions` VALUES (130033, 174, 39, '住所録');
INSERT INTO `lang_definitions` VALUES (130034, 175, 39, '住所録');
INSERT INTO `lang_definitions` VALUES (130035, 178, 39, '住所録');
INSERT INTO `lang_definitions` VALUES (130036, 179, 39, 'この手順を実行する会社のアドレス帳のエントリ');
INSERT INTO `lang_definitions` VALUES (130037, 180, 39, 'ディストリビューターのためのアドレス帳のエントリ');
INSERT INTO `lang_definitions` VALUES (130038, 181, 39, 'ベンダーのためのアドレス帳のエントリ');
INSERT INTO `lang_definitions` VALUES (130039, 182, 39, '住所録タイプ');
INSERT INTO `lang_definitions` VALUES (130040, 183, 39, '住所ラベル');
INSERT INTO `lang_definitions` VALUES (130041, 187, 39, '住所１');
INSERT INTO `lang_definitions` VALUES (130042, 188, 39, '住所２');
INSERT INTO `lang_definitions` VALUES (130043, 189, 39, '宛先');
INSERT INTO `lang_definitions` VALUES (130044, 190, 39, '調整');
INSERT INTO `lang_definitions` VALUES (130045, 191, 39, '金額調整');
INSERT INTO `lang_definitions` VALUES (130046, 192, 39, '調整');
INSERT INTO `lang_definitions` VALUES (130047, 193, 39, '調整');
INSERT INTO `lang_definitions` VALUES (130048, 194, 39, '調整AMTの');
INSERT INTO `lang_definitions` VALUES (130049, 195, 39, '調整理由');
INSERT INTO `lang_definitions` VALUES (130050, 196, 39, 'コー​​ドの調整値 ');
INSERT INTO `lang_definitions` VALUES (130051, 197, 39, '調整');
INSERT INTO `lang_definitions` VALUES (130052, 198, 39, 'アドリアマイシン調整');
INSERT INTO `lang_definitions` VALUES (130053, 199, 39, '管理者');
INSERT INTO `lang_definitions` VALUES (130054, 200, 39, '管理者のメールアドレス');
INSERT INTO `lang_definitions` VALUES (130055, 201, 39, '管理者宛');
INSERT INTO `lang_definitions` VALUES (130056, 202, 39, '管理者');
INSERT INTO `lang_definitions` VALUES (130057, 203, 39, '管理者');
INSERT INTO `lang_definitions` VALUES (130058, 204, 39, '管理日');
INSERT INTO `lang_definitions` VALUES (130059, 205, 39, '管理者のウェブサイト');
INSERT INTO `lang_definitions` VALUES (130060, 206, 39, '管理者');
INSERT INTO `lang_definitions` VALUES (130061, 207, 39, '管理者のウェブサイト');
INSERT INTO `lang_definitions` VALUES (130062, 208, 39, '管理者');
INSERT INTO `lang_definitions` VALUES (130063, 209, 39, '管理可能な事由');
INSERT INTO `lang_definitions` VALUES (130064, 210, 39, '管理日');
INSERT INTO `lang_definitions` VALUES (130065, 212, 39, '大人の体重のスクリーニングおよびフォローアップ');
INSERT INTO `lang_definitions` VALUES (130066, 213, 39, '大人の体重は、スクリーニングおよびフォローアップ（CQM）');
INSERT INTO `lang_definitions` VALUES (130067, 214, 39, '事前指示');
INSERT INTO `lang_definitions` VALUES (130068, 215, 39, '事前指示');
INSERT INTO `lang_definitions` VALUES (130069, 216, 39, 'アドバンスディレクティブの警告');
INSERT INTO `lang_definitions` VALUES (130070, 218, 39, '高度な');
INSERT INTO `lang_definitions` VALUES (130071, 219, 39, 'アドバイス');
INSERT INTO `lang_definitions` VALUES (130072, 220, 39, '遠く');
INSERT INTO `lang_definitions` VALUES (130073, 221, 39, '正常な影響を与える');
INSERT INTO `lang_definitions` VALUES (130074, 222, 39, 'アフリカーンス語');
INSERT INTO `lang_definitions` VALUES (130075, 223, 39, '時間の通話の後');
INSERT INTO `lang_definitions` VALUES (130076, 224, 39, 'パスワードは、塩なしにusersテーブルに格納されている古いパスワードメカニズムからの移行が完了した後に新たな方式による認証のみが可能なように、このフラグをfalseに設定する必要があります');
INSERT INTO `lang_definitions` VALUES (130077, 225, 39, '上記の設定を行った後、ブラウザに管理クライアント証明書をインポートし、Apacheサーバ（空のパスワード）を再起動します。');
INSERT INTO `lang_definitions` VALUES (130078, 226, 39, 'PDFファイルを保存した後、エラーをチェックし、[ログの表示]をクリックします。');
INSERT INTO `lang_definitions` VALUES (130079, 227, 39, 'テキストフ​​ァイル（複数可）を保存した後、エラーをチェックするために、[ログの表示]をクリックします。');
INSERT INTO `lang_definitions` VALUES (130080, 228, 39, 'あなたのバッチを保存した後、エラーをチェックするために、[ログの表示]をクリックします。');
INSERT INTO `lang_definitions` VALUES (130081, 229, 39, 'その後一致列を作成するために選択された患者ID、または0が表示されます。');
INSERT INTO `lang_definitions` VALUES (130082, 230, 39, '情報が正しく入力された後、[保存]ボタンをクリックします。');
INSERT INTO `lang_definitions` VALUES (130083, 231, 39, 'ボタンをクリックしてアップロードした後「インポート」');
INSERT INTO `lang_definitions` VALUES (130084, 232, 39, 'アフターケアプランニング');
INSERT INTO `lang_definitions` VALUES (130085, 233, 39, '再び');
INSERT INTO `lang_definitions` VALUES (130086, 234, 39, '年齢');
INSERT INTO `lang_definitions` VALUES (130087, 235, 39, '年齢');
INSERT INTO `lang_definitions` VALUES (130088, 236, 39, '年齢層');
INSERT INTO `lang_definitions` VALUES (130089, 237, 39, '年齢データが範囲外です');
INSERT INTO `lang_definitions` VALUES (130090, 238, 39, '年齢表示形式');
INSERT INTO `lang_definitions` VALUES (130091, 239, 39, '年齢表示型が異常です');
INSERT INTO `lang_definitions` VALUES (130092, 240, 39, '年齢上限が異常です');
INSERT INTO `lang_definitions` VALUES (130093, 241, 39, '下限の年齢');
INSERT INTO `lang_definitions` VALUES (130094, 242, 39, '年齢表示形式の変更');
INSERT INTO `lang_definitions` VALUES (130095, 243, 39, '年齢最大値');
INSERT INTO `lang_definitions` VALUES (130096, 244, 39, '年齢最小値');
INSERT INTO `lang_definitions` VALUES (130097, 245, 39, '年齢範囲');
INSERT INTO `lang_definitions` VALUES (130098, 247, 39, 'エージング列：');
INSERT INTO `lang_definitions` VALUES (130099, 248, 39, 'アカン語');
INSERT INTO `lang_definitions` VALUES (130100, 249, 39, 'アルバニア語');
INSERT INTO `lang_definitions` VALUES (130101, 250, 39, 'アルコール');
INSERT INTO `lang_definitions` VALUES (130102, 251, 39, 'アルコールの消費');
INSERT INTO `lang_definitions` VALUES (130103, 252, 39, '飲酒歴');
INSERT INTO `lang_definitions` VALUES (130104, 253, 39, 'アラート回数');
INSERT INTO `lang_definitions` VALUES (130105, 255, 39, 'アラート');
INSERT INTO `lang_definitions` VALUES (130106, 258, 39, 'アレウト族');
INSERT INTO `lang_definitions` VALUES (130107, 259, 39, '全て');
INSERT INTO `lang_definitions` VALUES (130108, 260, 39, '全て');
INSERT INTO `lang_definitions` VALUES (130109, 261, 39, 'すべて（丁合いのフォーマットA）');
INSERT INTO `lang_definitions` VALUES (130110, 262, 39, 'すべて（丁合いフォーマットB）');
INSERT INTO `lang_definitions` VALUES (130111, 263, 39, 'すべて（累計）');
INSERT INTO `lang_definitions` VALUES (130112, 265, 39, 'すべての自動メジャー計算（AMC）');
INSERT INTO `lang_definitions` VALUES (130113, 266, 39, 'すべてのカテゴリ');
INSERT INTO `lang_definitions` VALUES (130114, 267, 39, 'すべての臨床品質尺度（CQM）');
INSERT INTO `lang_definitions` VALUES (130115, 268, 39, 'すべてのコード');
INSERT INTO `lang_definitions` VALUES (130116, 269, 39, '終日');
INSERT INTO `lang_definitions` VALUES (130117, 270, 39, '終日イベント');
INSERT INTO `lang_definitions` VALUES (130118, 271, 39, '検索と重複チェックを持つすべての人口統計フィールド、');
INSERT INTO `lang_definitions` VALUES (130119, 272, 39, '全ての施設');
INSERT INTO `lang_definitions` VALUES (130120, 273, 39, 'すべての負傷/問題/課題');
INSERT INTO `lang_definitions` VALUES (130121, 274, 39, '全ての言語を許可');
INSERT INTO `lang_definitions` VALUES (130122, 275, 39, 'すべての公式臨床品質尺度（CQM）メジャーグループ');
INSERT INTO `lang_definitions` VALUES (130123, 276, 39, '最初の名前のすべてまたは一部');
INSERT INTO `lang_definitions` VALUES (130124, 277, 39, '姓の全部または一部');
INSERT INTO `lang_definitions` VALUES (130125, 278, 39, '組織のすべてまたは一部');
INSERT INTO `lang_definitions` VALUES (130126, 279, 39, '全ての患者');
INSERT INTO `lang_definitions` VALUES (130127, 280, 39, '全てのプロダクト');
INSERT INTO `lang_definitions` VALUES (130128, 281, 39, '全てのプロバイダー');
INSERT INTO `lang_definitions` VALUES (130129, 282, 39, '全ての参照者及び陰性');
INSERT INTO `lang_definitions` VALUES (130130, 283, 39, '全てのトピック');
INSERT INTO `lang_definitions` VALUES (130131, 284, 39, '全てのユーザー');
INSERT INTO `lang_definitions` VALUES (130132, 285, 39, 'アレルギー疾患');
INSERT INTO `lang_definitions` VALUES (130133, 286, 39, 'アレルギー');
INSERT INTO `lang_definitions` VALUES (130134, 287, 39, 'アレルギー');
INSERT INTO `lang_definitions` VALUES (130135, 288, 39, 'アレルギー');
INSERT INTO `lang_definitions` VALUES (130136, 289, 39, 'アレルギーのインポートは正常に行われました');
INSERT INTO `lang_definitions` VALUES (130137, 290, 39, 'アレルギー問題リスト');
INSERT INTO `lang_definitions` VALUES (130138, 291, 39, 'アレルギー反応');
INSERT INTO `lang_definitions` VALUES (130139, 294, 39, '割り当て');
INSERT INTO `lang_definitions` VALUES (130140, 295, 39, '許可');
INSERT INTO `lang_definitions` VALUES (130141, 296, 39, 'メニューの選択肢として使用可能なすべての言語は、ログイン時に許可します。');
INSERT INTO `lang_definitions` VALUES (130142, 297, 39, 'の診断ではなく、手順や料金を含む特許請求の範囲の作成を許可します。ほとんどのクリニックはこれをしたくない。');
INSERT INTO `lang_definitions` VALUES (130143, 298, 39, '許可するデバッグ言語');
INSERT INTO `lang_definitions` VALUES (130144, 299, 39, '許可されたメールアドレス');
INSERT INTO `lang_definitions` VALUES (130145, 300, 39, 'メール送信を許可しますか？');
INSERT INTO `lang_definitions` VALUES (130146, 301, 39, 'メールを許可しますか？');
INSERT INTO `lang_definitions` VALUES (130147, 302, 39, '出会い請求を許可');
INSERT INTO `lang_definitions` VALUES (130148, 303, 39, '医療情報交換を可能にする');
INSERT INTO `lang_definitions` VALUES (130149, 304, 39, '許可免疫情報の共有');
INSERT INTO `lang_definitions` VALUES (130150, 305, 39, '免疫レジストリ使用を許可');
INSERT INTO `lang_definitions` VALUES (130151, 306, 39, 'メールメッセージを許可する');
INSERT INTO `lang_definitions` VALUES (130152, 308, 39, '患者のポータルを許可する');
INSERT INTO `lang_definitions` VALUES (130153, 309, 39, 'SMS許可');
INSERT INTO `lang_definitions` VALUES (130154, 310, 39, 'SMS（テキスト送信）の許可？');
INSERT INTO `lang_definitions` VALUES (130155, 311, 39, '追加したイベントを直ちに有効にしますか？');
INSERT INTO `lang_definitions` VALUES (130156, 312, 39, '留守電を許可しますか？');
INSERT INTO `lang_definitions` VALUES (130157, 313, 39, 'ユーザーがグローバルイベントを公開できるように');
INSERT INTO `lang_definitions` VALUES (130158, 314, 39, 'ユーザーが個人的なカレンダーを公開できるように');
INSERT INTO `lang_definitions` VALUES (130159, 315, 39, '留守電を許可');
INSERT INTO `lang_definitions` VALUES (130160, 316, 39, '許可済み');
INSERT INTO `lang_definitions` VALUES (130161, 317, 39, '許可された言語');
INSERT INTO `lang_definitions` VALUES (130162, 318, 39, '許可');
INSERT INTO `lang_definitions` VALUES (130163, 319, 39, '通院者に電子サインを許可');
INSERT INTO `lang_definitions` VALUES (130164, 320, 39, 'E-署名個々のフォームを許可します');
INSERT INTO `lang_definitions` VALUES (130165, 321, 39, 'メールの許可');
INSERT INTO `lang_definitions` VALUES (130166, 322, 39, '留守電の許可');
INSERT INTO `lang_definitions` VALUES (130167, 323, 39, '既に存在しています');
INSERT INTO `lang_definitions` VALUES (130168, 324, 39, '既に存在しています');
INSERT INTO `lang_definitions` VALUES (130169, 325, 39, '利用済みです。別の識別子を選択してください');
INSERT INTO `lang_definitions` VALUES (130170, 326, 39, '利用済みです。別のタイトルを選択してください');
INSERT INTO `lang_definitions` VALUES (130171, 327, 39, '別の住所');
INSERT INTO `lang_definitions` VALUES (130172, 328, 39, '変更する');
INSERT INTO `lang_definitions` VALUES (130173, 329, 39, '別の方法として、あなたはあなたの支払またはクリアリングハウスから入手した電子送金（X12 835）ファイルをアップロードする検索ページを使用することができます。 [参照]ボタンをクリックし、アップロードするファイルを選択してから、アップロードを実行すると、対応する請求書を表示するには検索をクリックすることでこれを行うことができます。この場合は、上記の他のパラメータが適用されず、無視されます。アップロードは、ファイルが保存されますが、まだその内容は処理されません - 下記のように別々に行われている。');
INSERT INTO `lang_definitions` VALUES (130174, 330, 39, 'AM');
INSERT INTO `lang_definitions` VALUES (130175, 331, 39, 'AMプログラム');
INSERT INTO `lang_definitions` VALUES (130176, 332, 39, 'AMC');
INSERT INTO `lang_definitions` VALUES (130177, 333, 39, 'AMCの追跡');
INSERT INTO `lang_definitions` VALUES (130178, 334, 39, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (130179, 335, 39, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (130180, 338, 39, '既存のノートを改正');
INSERT INTO `lang_definitions` VALUES (130181, 339, 39, 'から改正');
INSERT INTO `lang_definitions` VALUES (130182, 340, 39, '改正ステータス');
INSERT INTO `lang_definitions` VALUES (130183, 341, 39, '改正');
INSERT INTO `lang_definitions` VALUES (130184, 342, 39, 'のための改正');
INSERT INTO `lang_definitions` VALUES (130185, 343, 39, 'アメリカ先住民');
INSERT INTO `lang_definitions` VALUES (130186, 344, 39, 'アメリカインディアンまたはアラスカ先住民');
INSERT INTO `lang_definitions` VALUES (130187, 345, 39, 'AMEX');
INSERT INTO `lang_definitions` VALUES (130188, 346, 39, 'アムハラ語');
INSERT INTO `lang_definitions` VALUES (130189, 347, 39, '小計');
INSERT INTO `lang_definitions` VALUES (130190, 348, 39, 'の投与量');
INSERT INTO `lang_definitions` VALUES (130191, 349, 39, '請求額');
INSERT INTO `lang_definitions` VALUES (130192, 350, 39, '過去の残高の金額');
INSERT INTO `lang_definitions` VALUES (130193, 351, 39, '今回の小計');
INSERT INTO `lang_definitions` VALUES (130194, 352, 39, '支払額');
INSERT INTO `lang_definitions` VALUES (130195, 353, 39, '小計');
INSERT INTO `lang_definitions` VALUES (130196, 354, 39, 'AMT請求された');
INSERT INTO `lang_definitions` VALUES (130197, 355, 39, '開始日よりも後の終了日は、繰り返しイベントのために必要です！');
INSERT INTO `lang_definitions` VALUES (130198, 356, 39, 'エラーがフォームに署名が発生しました');
INSERT INTO `lang_definitions` VALUES (130199, 357, 39, 'LibreEHRウェブディレクトリツリーをダンプ中にエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (130200, 358, 39, 'phpGACLウェブディレクトリツリーをダンプ中にエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (130201, 359, 39, 'SQL-元帳のWebディレクトリツリーをダンプ中にエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (130202, 360, 39, '不完全GCAC問題が作成され、リンクされている。誰かが後でそれを完了する必要があります。');
INSERT INTO `lang_definitions` VALUES (130203, 362, 39, '予期しないエラーが発生しました。');
INSERT INTO `lang_definitions` VALUES (130204, 363, 39, '大文字');
INSERT INTO `lang_definitions` VALUES (130205, 367, 39, 'と');
INSERT INTO `lang_definitions` VALUES (130206, 368, 39, 'と ');
INSERT INTO `lang_definitions` VALUES (130207, 369, 39, 'とすべての下位データ？このアクションは記録されます');
INSERT INTO `lang_definitions` VALUES (130208, 370, 39, 'と修飾子');
INSERT INTO `lang_definitions` VALUES (130209, 371, 39, 'および処理さ。');
INSERT INTO `lang_definitions` VALUES (130210, 372, 39, '及び Apache サーバーの再起動');
INSERT INTO `lang_definitions` VALUES (130211, 373, 39, 'そしてその理由は、');
INSERT INTO `lang_definitions` VALUES (130212, 374, 39, '貧血');
INSERT INTO `lang_definitions` VALUES (130213, 375, 39, '足首');
INSERT INTO `lang_definitions` VALUES (130214, 376, 39, '足首+ヒール');
INSERT INTO `lang_definitions` VALUES (130215, 377, 39, '足首評価書式');
INSERT INTO `lang_definitions` VALUES (130216, 378, 39, '足首の問題');
INSERT INTO `lang_definitions` VALUES (130217, 379, 39, '強直性Sondlilitis');
INSERT INTO `lang_definitions` VALUES (130218, 380, 39, '強直性Spondlilitis');
INSERT INTO `lang_definitions` VALUES (130219, 381, 39, '食欲不振');
INSERT INTO `lang_definitions` VALUES (130220, 382, 39, '転記]ウィンドウで行うことができますもう一つは、二次の課金を要求している。あなたが保存する前にこのチェックボックスを選択した場合は、元の主張は再オープンし、課金ページにキューイングされ、そして次の請求の実行中に処理されますされます。');
INSERT INTO `lang_definitions` VALUES (130221, 383, 39, 'アンティ');
INSERT INTO `lang_definitions` VALUES (130222, 384, 39, '肛門のNL、無直腸優しさ/質量');
INSERT INTO `lang_definitions` VALUES (130223, 385, 39, '不安');
INSERT INTO `lang_definitions` VALUES (130224, 387, 39, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (130225, 388, 39, '目的のコードまたはその説明のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (130226, 389, 39, '希望する専門のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (130227, 390, 39, '薬物idまたは薬剤名のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (130228, 391, 39, '免疫IDまたは免疫名のいずれかの部分');
INSERT INTO `lang_definitions` VALUES (130229, 392, 39, '患者名の任意の部分、または「最後、最初の \"、または「XY \"');
INSERT INTO `lang_definitions` VALUES (130230, 393, 39, 'Anyother関連情報');
INSERT INTO `lang_definitions` VALUES (130231, 394, 39, 'SMSゲートウェイのAPI鍵');
INSERT INTO `lang_definitions` VALUES (130232, 395, 39, '無呼吸');
INSERT INTO `lang_definitions` VALUES (130233, 396, 39, '外観');
INSERT INTO `lang_definitions` VALUES (130234, 397, 39, '外観');
INSERT INTO `lang_definitions` VALUES (130235, 398, 39, 'このノートの追加');
INSERT INTO `lang_definitions` VALUES (130236, 399, 39, '既存ノートへの追加');
INSERT INTO `lang_definitions` VALUES (130237, 400, 39, 'このノートの追加');
INSERT INTO `lang_definitions` VALUES (130238, 401, 39, 'このノートの追加');
INSERT INTO `lang_definitions` VALUES (130239, 402, 39, '虫垂切除術');
INSERT INTO `lang_definitions` VALUES (130240, 403, 39, '虫垂切除術');
INSERT INTO `lang_definitions` VALUES (130241, 404, 39, '該当患者');
INSERT INTO `lang_definitions` VALUES (130242, 405, 39, 'アプリケーション');
INSERT INTO `lang_definitions` VALUES (130243, 406, 39, 'ログインページとメインウィンドウタイトルのアプリケーション名。');
INSERT INTO `lang_definitions` VALUES (130244, 407, 39, 'アプリケーションレシーバーコード（GS03 - 空白ISA08を使用する場合）');
INSERT INTO `lang_definitions` VALUES (130245, 408, 39, 'アプリケーション送信者コード（GS02）');
INSERT INTO `lang_definitions` VALUES (130246, 409, 39, 'アプリケーション名');
INSERT INTO `lang_definitions` VALUES (130247, 410, 39, 'バイタルフォームと成長チャートに適用されます');
INSERT INTO `lang_definitions` VALUES (130248, 411, 39, 'バイタルフォームに適用されます');
INSERT INTO `lang_definitions` VALUES (130249, 412, 39, '唯一、これとすべての将来の発生に、またはすべての出現に現在のイベントへの変更を適用しますか？');
INSERT INTO `lang_definitions` VALUES (130250, 413, 39, '患部に適用されます');
INSERT INTO `lang_definitions` VALUES (130251, 414, 39, '皮膚に適用されます');
INSERT INTO `lang_definitions` VALUES (130252, 415, 39, '適用');
INSERT INTO `lang_definitions` VALUES (130253, 416, 39, 'サイトへのパッチの適用');
INSERT INTO `lang_definitions` VALUES (130254, 417, 39, '任命');
INSERT INTO `lang_definitions` VALUES (130255, 418, 39, '予約日');
INSERT INTO `lang_definitions` VALUES (130256, 419, 39, 'アポイントの表示スタイル');
INSERT INTO `lang_definitions` VALUES (130257, 420, 39, '予定のリマインダールール');
INSERT INTO `lang_definitions` VALUES (130258, 421, 39, '予定の状況');
INSERT INTO `lang_definitions` VALUES (130259, 422, 39, '予定のステータス');
INSERT INTO `lang_definitions` VALUES (130260, 423, 39, '内の選任');
INSERT INTO `lang_definitions` VALUES (130261, 424, 39, '選任/イベントの色');
INSERT INTO `lang_definitions` VALUES (130262, 425, 39, '予定');
INSERT INTO `lang_definitions` VALUES (130263, 426, 39, '予定（オプション書き込み）');
INSERT INTO `lang_definitions` VALUES (130264, 427, 39, '予定（書き込み、オプショナルwsome）');
INSERT INTO `lang_definitions` VALUES (130265, 430, 39, '予定との出会い');
INSERT INTO `lang_definitions` VALUES (130266, 431, 39, '予定レポート');
INSERT INTO `lang_definitions` VALUES (130267, 432, 39, '予定-出会いレポート');
INSERT INTO `lang_definitions` VALUES (130268, 434, 39, '承認する');
INSERT INTO `lang_definitions` VALUES (130269, 435, 39, '患者/クライアント - >インポート - >承認待ちから患者を承認');
INSERT INTO `lang_definitions` VALUES (130270, 436, 39, '到着');
INSERT INTO `lang_definitions` VALUES (130271, 438, 39, '正常に到着しました');
INSERT INTO `lang_definitions` VALUES (130272, 443, 39, '４月');
INSERT INTO `lang_definitions` VALUES (130273, 444, 39, 'アラビア人');
INSERT INTO `lang_definitions` VALUES (130274, 445, 39, 'アルゴン人');
INSERT INTO `lang_definitions` VALUES (130275, 446, 39, 'アーカイブ');
INSERT INTO `lang_definitions` VALUES (130276, 447, 39, 'アクセスコントロールグループ名は翻訳されましたか？');
INSERT INTO `lang_definitions` VALUES (130277, 448, 39, '予約カテゴリー名は翻訳されましたか？');
INSERT INTO `lang_definitions` VALUES (130278, 450, 39, 'このタイプの課金は済みましたか？');
INSERT INTO `lang_definitions` VALUES (130279, 451, 39, '患者のノートタイトルは翻訳されましたか？');
INSERT INTO `lang_definitions` VALUES (130280, 454, 39, '本日の投函でよろしいですか？');
INSERT INTO `lang_definitions` VALUES (130281, 455, 39, 'これらのイベントは完了しましたか？');
INSERT INTO `lang_definitions` VALUES (130282, 457, 39, 'このフォームから完全に削除しても良いですか？');
INSERT INTO `lang_definitions` VALUES (130283, 458, 39, '本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (130284, 460, 39, 'このイベントを本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (130285, 461, 39, 'このアイテムをデータベースから本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (130286, 462, 39, 'このノートを本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (130287, 464, 39, 'これらのイベントを編集してもよろしいですか？');
INSERT INTO `lang_definitions` VALUES (130288, 465, 39, 'これらのイベントを非表示設定しますか？');
INSERT INTO `lang_definitions` VALUES (130289, 466, 39, '再度送信しますか？');
INSERT INTO `lang_definitions` VALUES (130290, 467, 39, 'イベントを再度閲覧しますか？');
INSERT INTO `lang_definitions` VALUES (130291, 474, 39, '腕');
INSERT INTO `lang_definitions` VALUES (130292, 475, 39, 'アルメニア人');
INSERT INTO `lang_definitions` VALUES (130293, 477, 39, '不整脈');
INSERT INTO `lang_definitions` VALUES (130294, 478, 39, '関節炎');
INSERT INTO `lang_definitions` VALUES (130295, 484, 39, 'アジア人');
INSERT INTO `lang_definitions` VALUES (130296, 485, 39, 'アッサム語');
INSERT INTO `lang_definitions` VALUES (130297, 487, 39, '評価');
INSERT INTO `lang_definitions` VALUES (130298, 488, 39, '指定先');
INSERT INTO `lang_definitions` VALUES (130299, 489, 39, '介助');
INSERT INTO `lang_definitions` VALUES (130300, 490, 39, '喘息');
INSERT INTO `lang_definitions` VALUES (130301, 495, 39, 'アスレチックチーム');
INSERT INTO `lang_definitions` VALUES (130302, 496, 39, 'アスレチックチーム');
INSERT INTO `lang_definitions` VALUES (130303, 497, 39, 'アスレチック/傷害');
INSERT INTO `lang_definitions` VALUES (130304, 503, 39, '注意');
INSERT INTO `lang_definitions` VALUES (130305, 516, 39, '８月');
INSERT INTO `lang_definitions` VALUES (130306, 517, 39, '８月');
INSERT INTO `lang_definitions` VALUES (130307, 519, 39, '認証');
INSERT INTO `lang_definitions` VALUES (130308, 520, 39, '認証/ノート');
INSERT INTO `lang_definitions` VALUES (130309, 523, 39, '権限グループ');
INSERT INTO `lang_definitions` VALUES (130310, 524, 39, '認証ステータス');
INSERT INTO `lang_definitions` VALUES (130311, 525, 39, '権限');
INSERT INTO `lang_definitions` VALUES (130312, 526, 39, '認証');
INSERT INTO `lang_definitions` VALUES (130313, 527, 39, '認証ー来院者');
INSERT INTO `lang_definitions` VALUES (130314, 528, 39, '認証ー来院者');
INSERT INTO `lang_definitions` VALUES (130315, 529, 39, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (130316, 530, 39, '認証済み');
INSERT INTO `lang_definitions` VALUES (130317, 531, 39, '認証済みのみ');
INSERT INTO `lang_definitions` VALUES (130318, 532, 39, '自動送信');
INSERT INTO `lang_definitions` VALUES (130319, 535, 39, '来院者自動作成');
INSERT INTO `lang_definitions` VALUES (130320, 536, 39, '自動生成されました');
INSERT INTO `lang_definitions` VALUES (130321, 544, 39, '自動的');
INSERT INTO `lang_definitions` VALUES (130322, 550, 39, '自動保存');
INSERT INTO `lang_definitions` VALUES (130323, 551, 39, '利用可能なカテゴリ');
INSERT INTO `lang_definitions` VALUES (130324, 552, 39, '利用可能な時間帯');
INSERT INTO `lang_definitions` VALUES (130325, 553, 39, '利用可能なトラック');
INSERT INTO `lang_definitions` VALUES (130326, 554, 39, 'アヴァル語');
INSERT INTO `lang_definitions` VALUES (130327, 556, 39, 'アヴェスター語');
INSERT INTO `lang_definitions` VALUES (130328, 557, 39, '月平均');
INSERT INTO `lang_definitions` VALUES (130329, 562, 39, '腋窩');
INSERT INTO `lang_definitions` VALUES (130330, 563, 39, 'アイマラ語');
INSERT INTO `lang_definitions` VALUES (130331, 564, 39, 'アゼルバイジャン人');
INSERT INTO `lang_definitions` VALUES (130332, 566, 39, '戻る');
INSERT INTO `lang_definitions` VALUES (130333, 567, 39, '戻る');
INSERT INTO `lang_definitions` VALUES (130334, 568, 39, '８度前に戻る');
INSERT INTO `lang_definitions` VALUES (130335, 569, 39, '11度前に戻る');
INSERT INTO `lang_definitions` VALUES (130336, 570, 39, '5度前に戻る');
INSERT INTO `lang_definitions` VALUES (130337, 571, 39, '4度前に戻る');
INSERT INTO `lang_definitions` VALUES (130338, 572, 39, '9度前に戻る');
INSERT INTO `lang_definitions` VALUES (130339, 573, 39, '初回に戻る');
INSERT INTO `lang_definitions` VALUES (130340, 574, 39, '病状');
INSERT INTO `lang_definitions` VALUES (130341, 575, 39, '問題');
INSERT INTO `lang_definitions` VALUES (130342, 576, 39, '7度前に戻る');
INSERT INTO `lang_definitions` VALUES (130343, 577, 39, '6度前に戻る');
INSERT INTO `lang_definitions` VALUES (130344, 578, 39, '外科に戻る');
INSERT INTO `lang_definitions` VALUES (130345, 579, 39, '10度前に戻る');
INSERT INTO `lang_definitions` VALUES (130346, 580, 39, '3度前に戻る');
INSERT INTO `lang_definitions` VALUES (130347, 581, 39, '管理画面へ戻る');
INSERT INTO `lang_definitions` VALUES (130348, 582, 39, '来院者画面へ戻る');
INSERT INTO `lang_definitions` VALUES (130349, 583, 39, '患者画面へ戻る');
INSERT INTO `lang_definitions` VALUES (130350, 584, 39, '患者画面へ戻る');
INSERT INTO `lang_definitions` VALUES (130351, 585, 39, 'ユーザーへ戻る');
INSERT INTO `lang_definitions` VALUES (130352, 586, 39, 'ビューへ戻る');
INSERT INTO `lang_definitions` VALUES (130353, 587, 39, '12度前に戻る');
INSERT INTO `lang_definitions` VALUES (130354, 588, 39, '２度前に戻る');
INSERT INTO `lang_definitions` VALUES (130355, 589, 39, 'バックグラウンドサービス');
INSERT INTO `lang_definitions` VALUES (130356, 590, 39, 'バックアップ');
INSERT INTO `lang_definitions` VALUES (130357, 591, 39, 'バックアップが作成されました。引き続きダウンロードします');
INSERT INTO `lang_definitions` VALUES (130358, 592, 39, 'バックアップリスト');
INSERT INTO `lang_definitions` VALUES (130359, 597, 39, '対価');
INSERT INTO `lang_definitions` VALUES (130360, 598, 39, '対価');
INSERT INTO `lang_definitions` VALUES (130361, 599, 39, '対価');
INSERT INTO `lang_definitions` VALUES (130362, 600, 39, '対価');
INSERT INTO `lang_definitions` VALUES (130363, 601, 39, '対価期限');
INSERT INTO `lang_definitions` VALUES (130364, 604, 39, 'バーコードラベル');
INSERT INTO `lang_definitions` VALUES (130365, 605, 39, 'バーコードラベルタイプ');
INSERT INTO `lang_definitions` VALUES (130366, 609, 39, 'バシキール語');
INSERT INTO `lang_definitions` VALUES (130367, 611, 39, 'バッチ請求');
INSERT INTO `lang_definitions` VALUES (130368, 612, 39, 'バッチコミュニケーションツール');
INSERT INTO `lang_definitions` VALUES (130369, 613, 39, 'バッチ支払エントリ');
INSERT INTO `lang_definitions` VALUES (130370, 615, 39, 'バッチ処理を開始しました。しばらく時間がかかる場合があります。');
INSERT INTO `lang_definitions` VALUES (130371, 616, 39, 'バッチ結果');
INSERT INTO `lang_definitions` VALUES (130372, 619, 39, '従ってこのIDはありません');
INSERT INTO `lang_definitions` VALUES (130373, 620, 39, '開始日');
INSERT INTO `lang_definitions` VALUES (130374, 621, 39, '開始日');
INSERT INTO `lang_definitions` VALUES (130375, 623, 39, 'サービス開始日 yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (130376, 625, 39, 'ベラルーシ人');
INSERT INTO `lang_definitions` VALUES (130377, 628, 39, 'ベンガル人');
INSERT INTO `lang_definitions` VALUES (130378, 630, 39, '間');
INSERT INTO `lang_definitions` VALUES (130379, 632, 39, 'ビハール語');
INSERT INTO `lang_definitions` VALUES (130380, 636, 39, '支払日');
INSERT INTO `lang_definitions` VALUES (130381, 640, 39, '支払');
INSERT INTO `lang_definitions` VALUES (130382, 661, 39, '支払状況');
INSERT INTO `lang_definitions` VALUES (130383, 666, 39, '誕生日');
INSERT INTO `lang_definitions` VALUES (130384, 669, 39, '黒');
INSERT INTO `lang_definitions` VALUES (130385, 671, 39, '黒人またはアフリカ系アメリカ人');
INSERT INTO `lang_definitions` VALUES (130386, 674, 39, 'ブランクフォーム');
INSERT INTO `lang_definitions` VALUES (130387, 675, 39, '出血に関する異常');
INSERT INTO `lang_definitions` VALUES (130388, 676, 39, '不可視箇所');
INSERT INTO `lang_definitions` VALUES (130389, 678, 39, '制限済み');
INSERT INTO `lang_definitions` VALUES (130390, 679, 39, '血液');
INSERT INTO `lang_definitions` VALUES (130391, 680, 39, '血圧');
INSERT INTO `lang_definitions` VALUES (130392, 681, 39, '血圧');
INSERT INTO `lang_definitions` VALUES (130393, 682, 39, '鼻血');
INSERT INTO `lang_definitions` VALUES (130394, 686, 39, 'BMI');
INSERT INTO `lang_definitions` VALUES (130395, 687, 39, 'BMIステータス');
INSERT INTO `lang_definitions` VALUES (130396, 689, 39, '体部');
INSERT INTO `lang_definitions` VALUES (130397, 690, 39, '体側');
INSERT INTO `lang_definitions` VALUES (130398, 692, 39, '骨の圧痛：');
INSERT INTO `lang_definitions` VALUES (130399, 695, 39, 'ボスニア人');
INSERT INTO `lang_definitions` VALUES (130400, 697, 39, '両耳');
INSERT INTO `lang_definitions` VALUES (130401, 698, 39, '両耳');
INSERT INTO `lang_definitions` VALUES (130402, 700, 39, '下マージン（PX）');
INSERT INTO `lang_definitions` VALUES (130403, 719, 39, '血圧拡張期');
INSERT INTO `lang_definitions` VALUES (130404, 722, 39, 'ブラジル系ポルトガル人');
INSERT INTO `lang_definitions` VALUES (130405, 723, 39, '胸');
INSERT INTO `lang_definitions` VALUES (130406, 724, 39, '乳房生検');
INSERT INTO `lang_definitions` VALUES (130407, 730, 39, '呼吸音');
INSERT INTO `lang_definitions` VALUES (130408, 731, 39, 'ブルトン語');
INSERT INTO `lang_definitions` VALUES (130409, 732, 39, '骨折');
INSERT INTO `lang_definitions` VALUES (130410, 735, 39, '閲覧');
INSERT INTO `lang_definitions` VALUES (130411, 736, 39, '記録閲覧');
INSERT INTO `lang_definitions` VALUES (130412, 738, 39, 'ブルガリア人');
INSERT INTO `lang_definitions` VALUES (130413, 743, 39, '職場の電話番号');
INSERT INTO `lang_definitions` VALUES (130414, 748, 39, 'で');
INSERT INTO `lang_definitions` VALUES (130415, 749, 39, 'で');
INSERT INTO `lang_definitions` VALUES (130416, 750, 39, '口で');
INSERT INTO `lang_definitions` VALUES (130417, 752, 39, 'による:');
INSERT INTO `lang_definitions` VALUES (130418, 754, 39, 'RFC5425 TLS syslog サーバーの許諾済みCA認証局');
INSERT INTO `lang_definitions` VALUES (130419, 755, 39, 'キャッシュ有効時間 (秒指定)');
INSERT INTO `lang_definitions` VALUES (130420, 758, 39, 'カレンダー');
INSERT INTO `lang_definitions` VALUES (130421, 759, 39, 'カレンダー：閉店時間');
INSERT INTO `lang_definitions` VALUES (130422, 760, 39, 'カレンダー：定期');
INSERT INTO `lang_definitions` VALUES (130423, 761, 39, 'カレンダー画面');
INSERT INTO `lang_definitions` VALUES (130424, 762, 39, 'カレンダー設定');
INSERT INTO `lang_definitions` VALUES (130425, 763, 39, 'カレンダー：開業時間');
INSERT INTO `lang_definitions` VALUES (130426, 764, 39, 'カレンダーUI');
INSERT INTO `lang_definitions` VALUES (130427, 765, 39, 'カレンダー表示');
INSERT INTO `lang_definitions` VALUES (130428, 767, 39, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (130429, 768, 39, 'カンボジア人');
INSERT INTO `lang_definitions` VALUES (130431, 774, 39, '取り消し');
INSERT INTO `lang_definitions` VALUES (130432, 775, 39, '取り消し変更');
INSERT INTO `lang_definitions` VALUES (130433, 776, 39, 'キャンセル済み');
INSERT INTO `lang_definitions` VALUES (130434, 777, 39, '癌');
INSERT INTO `lang_definitions` VALUES (130435, 778, 39, 'がん検診：大腸がん検診');
INSERT INTO `lang_definitions` VALUES (130436, 779, 39, 'がん検診：マンモグラフィー');
INSERT INTO `lang_definitions` VALUES (130437, 780, 39, 'がん検診：子宮がん検診');
INSERT INTO `lang_definitions` VALUES (130438, 790, 39, '作成できません');
INSERT INTO `lang_definitions` VALUES (130439, 791, 39, 'ファイルを作成できません');
INSERT INTO `lang_definitions` VALUES (130440, 793, 39, 'ファイルを削除できません');
INSERT INTO `lang_definitions` VALUES (130441, 795, 39, '見つかりません ');
INSERT INTO `lang_definitions` VALUES (130442, 796, 39, '指定ファイル名が見つかりません');
INSERT INTO `lang_definitions` VALUES (130443, 803, 39, '開けません ');
INSERT INTO `lang_definitions` VALUES (130444, 807, 39, '読み出しできません');
INSERT INTO `lang_definitions` VALUES (130445, 808, 39, 'ディレクトリーが読めません');
INSERT INTO `lang_definitions` VALUES (130446, 810, 39, '大文字化');
INSERT INTO `lang_definitions` VALUES (130447, 811, 39, 'すべて大文字化');
INSERT INTO `lang_definitions` VALUES (130448, 812, 39, 'カプセル');
INSERT INTO `lang_definitions` VALUES (130449, 813, 39, 'カード');
INSERT INTO `lang_definitions` VALUES (130450, 814, 39, '心臓カテーテル');
INSERT INTO `lang_definitions` VALUES (130451, 815, 39, '心エコー');
INSERT INTO `lang_definitions` VALUES (130452, 816, 39, '心血管');
INSERT INTO `lang_definitions` VALUES (130453, 821, 39, '軟骨/軟骨/ディスク損傷');
INSERT INTO `lang_definitions` VALUES (130454, 822, 39, '軟骨損傷');
INSERT INTO `lang_definitions` VALUES (130455, 824, 39, '現金');
INSERT INTO `lang_definitions` VALUES (130456, 825, 39, '現金');
INSERT INTO `lang_definitions` VALUES (130457, 827, 39, '提供者によって現金受取');
INSERT INTO `lang_definitions` VALUES (130458, 828, 39, 'カタロニア語 - バレンシア');
INSERT INTO `lang_definitions` VALUES (130459, 829, 39, '白内障の手術');
INSERT INTO `lang_definitions` VALUES (130460, 830, 39, '白内障');
INSERT INTO `lang_definitions` VALUES (130461, 831, 39, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (130462, 832, 39, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (130463, 833, 39, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (130464, 834, 39, 'カテゴリー');
INSERT INTO `lang_definitions` VALUES (130465, 835, 39, 'カテゴリー ');
INSERT INTO `lang_definitions` VALUES (130466, 836, 39, 'カテゴリー詳細');
INSERT INTO `lang_definitions` VALUES (130467, 837, 39, 'カテゴリー制限');
INSERT INTO `lang_definitions` VALUES (130468, 838, 39, 'カテゴリー名');
INSERT INTO `lang_definitions` VALUES (130469, 839, 39, 'カテゴリー名が空欄です');
INSERT INTO `lang_definitions` VALUES (130470, 840, 39, 'カテゴリー/タイトル');
INSERT INTO `lang_definitions` VALUES (130471, 841, 39, '白人');
INSERT INTO `lang_definitions` VALUES (130472, 842, 39, '出会い/一次提供情報を印刷するために領収書を引き起こす');
INSERT INTO `lang_definitions` VALUES (130473, 846, 39, 'CCRは承認');
INSERT INTO `lang_definitions` VALUES (130474, 847, 39, 'CCR患者レビュー');
INSERT INTO `lang_definitions` VALUES (130475, 848, 39, 'CCRレビューと承認');
INSERT INTO `lang_definitions` VALUES (130476, 850, 39, 'CDR');
INSERT INTO `lang_definitions` VALUES (130477, 851, 39, 'CDRは、処理優先を報告');
INSERT INTO `lang_definitions` VALUES (130478, 852, 39, '携帯電話');
INSERT INTO `lang_definitions` VALUES (130479, 853, 39, '携帯電話');
INSERT INTO `lang_definitions` VALUES (130480, 854, 39, '携帯電話番号');
INSERT INTO `lang_definitions` VALUES (130481, 855, 39, '携帯電話番号');
INSERT INTO `lang_definitions` VALUES (130482, 856, 39, '中央認証局');
INSERT INTO `lang_definitions` VALUES (130483, 857, 39, '中央南アメリカ人');
INSERT INTO `lang_definitions` VALUES (130484, 858, 39, 'CA認証 .crt ファイルの指定先が空欄ではありません');
INSERT INTO `lang_definitions` VALUES (130485, 859, 39, 'CA認証 .key ファイルの指定先が空欄ではありません');
INSERT INTO `lang_definitions` VALUES (130486, 860, 39, 'RFC 5425 TLS syslog サーバーへ認証許諾中');
INSERT INTO `lang_definitions` VALUES (130487, 861, 39, '認証されたユーザー');
INSERT INTO `lang_definitions` VALUES (130488, 862, 39, '認証局');
INSERT INTO `lang_definitions` VALUES (130489, 863, 39, 'チャモロ');
INSERT INTO `lang_definitions` VALUES (130490, 864, 39, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (130491, 865, 39, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (130492, 866, 39, '変更');
INSERT INTO `lang_definitions` VALUES (130493, 867, 39, '変更');
INSERT INTO `lang_definitions` VALUES (130494, 868, 39, 'アクティビティの変更');
INSERT INTO `lang_definitions` VALUES (130495, 869, 39, '変更に失敗しました！ CouchDBは、エラーを接続する？');
INSERT INTO `lang_definitions` VALUES (130496, 870, 39, 'ビジョンの変更');
INSERT INTO `lang_definitions` VALUES (130497, 871, 39, 'ビジョンの変化');
INSERT INTO `lang_definitions` VALUES (130498, 872, 39, 'パスワード変更');
INSERT INTO `lang_definitions` VALUES (130499, 874, 39, '変更済み');
INSERT INTO `lang_definitions` VALUES (130500, 875, 39, '変更された腸');
INSERT INTO `lang_definitions` VALUES (130501, 876, 39, 'ドキュメントの為の患者IDの変更');
INSERT INTO `lang_definitions` VALUES (130502, 877, 39, '特徴');
INSERT INTO `lang_definitions` VALUES (130503, 878, 39, '残りの文字');
INSERT INTO `lang_definitions` VALUES (130504, 879, 39, '変更');
INSERT INTO `lang_definitions` VALUES (130505, 880, 39, '調整');
INSERT INTO `lang_definitions` VALUES (130506, 881, 39, '充電コード化');
INSERT INTO `lang_definitions` VALUES (130507, 882, 39, '課金');
INSERT INTO `lang_definitions` VALUES (130508, 883, 39, 'チャート');
INSERT INTO `lang_definitions` VALUES (130509, 884, 39, 'チャート活動');
INSERT INTO `lang_definitions` VALUES (130510, 885, 39, 'チャートチェックイン/アウト活動報告');
INSERT INTO `lang_definitions` VALUES (130511, 886, 39, 'チャートID');
INSERT INTO `lang_definitions` VALUES (130512, 887, 39, 'チャートID:');
INSERT INTO `lang_definitions` VALUES (130513, 888, 39, 'チャートラベル');
INSERT INTO `lang_definitions` VALUES (130514, 889, 39, 'チャートの場所アクティビティ');
INSERT INTO `lang_definitions` VALUES (130515, 890, 39, 'チャートノート');
INSERT INTO `lang_definitions` VALUES (130516, 891, 39, 'チャート番号');
INSERT INTO `lang_definitions` VALUES (130517, 892, 39, 'チャート保存場所');
INSERT INTO `lang_definitions` VALUES (130518, 893, 39, 'チャートトラッカー');
INSERT INTO `lang_definitions` VALUES (130519, 894, 39, 'チャートトラック');
INSERT INTO `lang_definitions` VALUES (130520, 895, 39, 'チャートがチェックアウト');
INSERT INTO `lang_definitions` VALUES (130521, 896, 39, 'アウトチャート');
INSERT INTO `lang_definitions` VALUES (130522, 897, 39, 'チェチェン人');
INSERT INTO `lang_definitions` VALUES (130523, 898, 39, '確認');
INSERT INTO `lang_definitions` VALUES (130524, 899, 39, '確認');
INSERT INTO `lang_definitions` VALUES (130525, 900, 39, 'すべて確認');
INSERT INTO `lang_definitions` VALUES (130526, 902, 39, '小計額の確認');
INSERT INTO `lang_definitions` VALUES (130527, 903, 39, '日付確認');
INSERT INTO `lang_definitions` VALUES (130528, 904, 39, 'カスタム言語テーブルと翻訳の違いを確認してください。');
INSERT INTO `lang_definitions` VALUES (130529, 906, 39, 'にチェックイン');
INSERT INTO `lang_definitions` VALUES (130530, 907, 39, '入力日確認');
INSERT INTO `lang_definitions` VALUES (130531, 908, 39, 'グラフに項目を確認してください');
INSERT INTO `lang_definitions` VALUES (130532, 909, 39, '検査結果を確認してください');
INSERT INTO `lang_definitions` VALUES (130533, 910, 39, 'チェックマークが見直しを示している');
INSERT INTO `lang_definitions` VALUES (130534, 911, 39, '確認番号');
INSERT INTO `lang_definitions` VALUES (130535, 912, 39, '確認場の具');
INSERT INTO `lang_definitions` VALUES (130536, 915, 39, '支払額確認');
INSERT INTO `lang_definitions` VALUES (130537, 916, 39, 'これは暗号化されたファイルの場合はチェックボックスをオンにします');
INSERT INTO `lang_definitions` VALUES (130538, 917, 39, 'あなたはプロバイダがデフォルトとちょうど彼らの自身のないことで、すべての予定を表示したい場合は、これを確認してください。');
INSERT INTO `lang_definitions` VALUES (130539, 918, 39, 'この診断から問題を作成することを確認');
INSERT INTO `lang_definitions` VALUES (130540, 919, 39, '/ EOB日付を確認してください：');
INSERT INTO `lang_definitions` VALUES (130541, 920, 39, 'チェック/ EOB番号：');
INSERT INTO `lang_definitions` VALUES (130542, 921, 39, '/参照番号を確認してください');
INSERT INTO `lang_definitions` VALUES (130543, 922, 39, '/参照番号を確認してください');
INSERT INTO `lang_definitions` VALUES (130544, 923, 39, 'チェックボックスリスト');
INSERT INTO `lang_definitions` VALUES (130545, 924, 39, 'チェックボックスリスト');
INSERT INTO `lang_definitions` VALUES (130546, 925, 39, 'テキスト/ Wチェックボックス');
INSERT INTO `lang_definitions` VALUES (130547, 926, 39, 'テキスト/ Wチェックボックス');
INSERT INTO `lang_definitions` VALUES (130548, 927, 39, 'あなたが拒否し、HL7ファイルを削除する場合はチェックボックスは上記を示す。');
INSERT INTO `lang_definitions` VALUES (130549, 928, 39, 'チェック');
INSERT INTO `lang_definitions` VALUES (130550, 929, 39, 'チェックボックス=はい、空=なし');
INSERT INTO `lang_definitions` VALUES (130551, 931, 39, 'ロックチェックボックスをチェックすると、この出会いの任意のフォーム上の任意のfuther編集を防ぐことができます。');
INSERT INTO `lang_definitions` VALUES (130552, 932, 39, 'チェックアウト');
INSERT INTO `lang_definitions` VALUES (130553, 933, 39, 'チェックサム');
INSERT INTO `lang_definitions` VALUES (130554, 934, 39, '胸');
INSERT INTO `lang_definitions` VALUES (130555, 935, 39, 'チェストCTAB');
INSERT INTO `lang_definitions` VALUES (130556, 936, 39, '胸の痛み');
INSERT INTO `lang_definitions` VALUES (130557, 937, 39, '胸の痛み：');
INSERT INTO `lang_definitions` VALUES (130558, 938, 39, '胸の痛み');
INSERT INTO `lang_definitions` VALUES (130559, 940, 39, 'CHG');
INSERT INTO `lang_definitions` VALUES (130560, 941, 39, 'Chichewa- Chewa-ニャンジャ語');
INSERT INTO `lang_definitions` VALUES (130561, 942, 39, '主訴');
INSERT INTO `lang_definitions` VALUES (130562, 943, 39, '子供');
INSERT INTO `lang_definitions` VALUES (130563, 945, 39, '小児期の予防接種ステータス（CQM）');
INSERT INTO `lang_definitions` VALUES (130564, 946, 39, '寒気');
INSERT INTO `lang_definitions` VALUES (130565, 947, 39, '中国人');
INSERT INTO `lang_definitions` VALUES (130566, 948, 39, '簡体字');
INSERT INTO `lang_definitions` VALUES (130567, 949, 39, '繁体字');
INSERT INTO `lang_definitions` VALUES (130568, 950, 39, 'カイロプラクティック');
INSERT INTO `lang_definitions` VALUES (130569, 951, 39, '選択肢');
INSERT INTO `lang_definitions` VALUES (130570, 952, 39, '胆嚢摘出術');
INSERT INTO `lang_definitions` VALUES (130571, 953, 39, '胆嚢摘出術');
INSERT INTO `lang_definitions` VALUES (130572, 954, 39, 'Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (130573, 955, 39, '選択');
INSERT INTO `lang_definitions` VALUES (130574, 956, 39, 'セクションを選択して、その中の項目をクリックします。その後、他のセクションでは、関連する項目がハイライト表示さ​​れ、あなたが関係を追加および削除するために、そのセクションでクリックすることができます。');
INSERT INTO `lang_definitions` VALUES (130575, 957, 39, '抽出字句選択');
INSERT INTO `lang_definitions` VALUES (130576, 958, 39, 'ダウンロードを選択するか、インラインで表示');
INSERT INTO `lang_definitions` VALUES (130577, 959, 39, 'ファイル選択');
INSERT INTO `lang_definitions` VALUES (130578, 960, 39, 'リストから選択');
INSERT INTO `lang_definitions` VALUES (130579, 961, 39, 'レイアウト方向を選択してください');
INSERT INTO `lang_definitions` VALUES (130580, 962, 39, 'リスト選択');
INSERT INTO `lang_definitions` VALUES (130581, 963, 39, '用紙サイズ');
INSERT INTO `lang_definitions` VALUES (130582, 964, 39, 'PDF言語設定選択');
INSERT INTO `lang_definitions` VALUES (130583, 965, 39, 'この出会いレポートの印刷形式を選択してください。');
INSERT INTO `lang_definitions` VALUES (130584, 967, 39, '慢性気管支炎');
INSERT INTO `lang_definitions` VALUES (130585, 968, 39, '慢性関節痛');
INSERT INTO `lang_definitions` VALUES (130586, 969, 39, '慢性腎臓病（CKD）');
INSERT INTO `lang_definitions` VALUES (130587, 970, 39, '慢性滑膜炎/胸水/関節痛/痛風');
INSERT INTO `lang_definitions` VALUES (130588, 971, 39, '慢性/再発');
INSERT INTO `lang_definitions` VALUES (130589, 972, 39, 'チュバシュ');
INSERT INTO `lang_definitions` VALUES (130590, 973, 39, '肝硬変');
INSERT INTO `lang_definitions` VALUES (130591, 974, 39, '肝硬変');
INSERT INTO `lang_definitions` VALUES (130592, 975, 39, '市町村');
INSERT INTO `lang_definitions` VALUES (130593, 976, 39, '市町村名');
INSERT INTO `lang_definitions` VALUES (130594, 977, 39, '市県');
INSERT INTO `lang_definitions` VALUES (130595, 978, 39, '市県郵便番号');
INSERT INTO `lang_definitions` VALUES (130596, 979, 39, '市/県');
INSERT INTO `lang_definitions` VALUES (130597, 980, 39, 'クレーム');
INSERT INTO `lang_definitions` VALUES (130598, 981, 39, 'クレーム ');
INSERT INTO `lang_definitions` VALUES (130599, 982, 39, 'クレーム状況');
INSERT INTO `lang_definitions` VALUES (130600, 983, 39, 'クレームテストが実行を完了しました');
INSERT INTO `lang_definitions` VALUES (130601, 984, 39, 'クレームタイプ');
INSERT INTO `lang_definitions` VALUES (130602, 985, 39, 'クレームはファイルに生成されました');
INSERT INTO `lang_definitions` VALUES (130603, 986, 39, 'クレームはファイルに生成されました ');
INSERT INTO `lang_definitions` VALUES (130604, 987, 39, 'クレーム');
INSERT INTO `lang_definitions` VALUES (130605, 988, 39, 'クラス分け');
INSERT INTO `lang_definitions` VALUES (130606, 989, 39, 'クリア');
INSERT INTO `lang_definitions` VALUES (130607, 990, 39, 'アクティブな患者をクリア');
INSERT INTO `lang_definitions` VALUES (130608, 991, 39, 'すべてクリア');
INSERT INTO `lang_definitions` VALUES (130609, 992, 39, 'クリアHL7データ');
INSERT INTO `lang_definitions` VALUES (130610, 993, 39, '明確な正当化');
INSERT INTO `lang_definitions` VALUES (130611, 994, 39, 'Smartyキャッシュクリア');
INSERT INTO `lang_definitions` VALUES (130612, 995, 39, 'EDI 270バッチ作成に必要な社内情報をクリア。');
INSERT INTO `lang_definitions` VALUES (130613, 996, 39, 'CLIA 番号');
INSERT INTO `lang_definitions` VALUES (130614, 997, 39, 'クリック');
INSERT INTO `lang_definitions` VALUES (130615, 998, 39, 'テキストフ​​ァイルにカテゴリ、サブカテゴリ、アイテム、コンテンツデータをエクスポートする「輸出」をクリックしてください。 XMLファイルには、このファイルの任意の類似点とは一切関係ありません。開始タグと終了タグが同じライン上にある必要があり、彼らはスペースなしで小文字する必要があります。インポートするには、ファイルを参照し、「インポート」をクリックします。データは完全に異なっている場合、それはあなたの既存のデータとマージします。類似の項目名がある場合は、古いものが保持され、新しいものが最後に追加で保存。');
INSERT INTO `lang_definitions` VALUES (130616, 999, 39, '新しい注釈を追加するには、グラフィック上のスポットをクリックして、それを削除するには、もう一度それをクリック');
INSERT INTO `lang_definitions` VALUES (130617, 1000, 39, 'ファイルssl.zip内の証明書をダウンロードする証明書のダウンロード]をクリックします');
INSERT INTO `lang_definitions` VALUES (130618, 1001, 39, 'クリックして次へ');
INSERT INTO `lang_definitions` VALUES (130619, 1002, 39, 'クリックして詳細へ');
INSERT INTO `lang_definitions` VALUES (130620, 1003, 39, 'クリックして注文サマリーへ');
INSERT INTO `lang_definitions` VALUES (130621, 1004, 39, 'クリックして結果へ');
INSERT INTO `lang_definitions` VALUES (130622, 1005, 39, 'ここをクリック');
INSERT INTO `lang_definitions` VALUES (130623, 1006, 39, '新しい患者の追加');
INSERT INTO `lang_definitions` VALUES (130624, 1007, 39, 'クリックして新しい傷害ステータス変更を追加、日々の活動を編集します');
INSERT INTO `lang_definitions` VALUES (130625, 1008, 39, '日付の選択');
INSERT INTO `lang_definitions` VALUES (130626, 1009, 39, '日付と時間の選択');
INSERT INTO `lang_definitions` VALUES (130627, 1010, 39, '開始日の選択');
INSERT INTO `lang_definitions` VALUES (130628, 1011, 39, '日付時間の選択');
INSERT INTO `lang_definitions` VALUES (130629, 1012, 39, '開始日時時間の選択');
INSERT INTO `lang_definitions` VALUES (130630, 1013, 39, '終了日時時間の選択');
INSERT INTO `lang_definitions` VALUES (130631, 1014, 39, 'このモジュールを構成するには、ここをクリックします');
INSERT INTO `lang_definitions` VALUES (130632, 1016, 39, 'このモジュールを無効にするには、ここをクリックします');
INSERT INTO `lang_definitions` VALUES (130633, 1018, 39, 'このモジュールを有効にするには、ここをクリックします');
INSERT INTO `lang_definitions` VALUES (130634, 1019, 39, 'このモジュールをインストールするには、ここをクリック');
INSERT INTO `lang_definitions` VALUES (130635, 1020, 39, '検索');
INSERT INTO `lang_definitions` VALUES (130636, 1021, 39, '優先順位、カテゴリとニックネームの設定を更新するためにはこちらをクリック');
INSERT INTO `lang_definitions` VALUES (130637, 1022, 39, '全表示');
INSERT INTO `lang_definitions` VALUES (130638, 1023, 39, '全グラフの表示');
INSERT INTO `lang_definitions` VALUES (130639, 1024, 39, '全ラボデータの表示');
INSERT INTO `lang_definitions` VALUES (130640, 1025, 39, '全バイタルの表示');
INSERT INTO `lang_definitions` VALUES (130641, 1026, 39, '患者の詳細表示');
INSERT INTO `lang_definitions` VALUES (130642, 1027, 39, 'それらすべてを見るにはここをクリックしてください。');
INSERT INTO `lang_definitions` VALUES (130643, 1028, 39, 'より多くの詳細を編集/表示するにはここをクリック');
INSERT INTO `lang_definitions` VALUES (130644, 1029, 39, '次の日からデータベース·リリースをインストールするには、[インストール]ボタンをクリックして');
INSERT INTO `lang_definitions` VALUES (130645, 1030, 39, 'それを高めるために、時間の部分のいずれかをクリック');
INSERT INTO `lang_definitions` VALUES (130646, 1031, 39, '患者のファイルを開くには患者名をクリックして');
INSERT INTO `lang_definitions` VALUES (130647, 1032, 39, 'すべての結果を表示する、または特定の結果を表示するには、上記の入力検索条件を喜ばせるために、[更新]をクリックします。');
INSERT INTO `lang_definitions` VALUES (130648, 1033, 39, '診断を追加します');
INSERT INTO `lang_definitions` VALUES (130649, 1034, 39, '新しいコンポーネントを追加します');
INSERT INTO `lang_definitions` VALUES (130650, 1035, 39, '新しい相談を追加します');
INSERT INTO `lang_definitions` VALUES (130651, 1036, 39, '正当化するために診断を選択する場合にクリックします。');
INSERT INTO `lang_definitions` VALUES (130652, 1037, 39, 'クリックしてダウンロード');
INSERT INTO `lang_definitions` VALUES (130653, 1038, 39, '編集');
INSERT INTO `lang_definitions` VALUES (130654, 1039, 39, '詳細の編集');
INSERT INTO `lang_definitions` VALUES (130655, 1040, 39, 'このイベントの編集');
INSERT INTO `lang_definitions` VALUES (130656, 1041, 39, 'レポートの生成');
INSERT INTO `lang_definitions` VALUES (130657, 1042, 39, '該当患者表示');
INSERT INTO `lang_definitions` VALUES (130658, 1043, 39, '印刷');
INSERT INTO `lang_definitions` VALUES (130659, 1044, 39, '受信（追加）をクリックして新しいロット');
INSERT INTO `lang_definitions` VALUES (130660, 1045, 39, '選択');
INSERT INTO `lang_definitions` VALUES (130661, 1046, 39, '選択');
INSERT INTO `lang_definitions` VALUES (130662, 1047, 39, 'この手順のための業界標準のコードをクリックして選択します');
INSERT INTO `lang_definitions` VALUES (130663, 1048, 39, 'オプションの手順のコードをクリックして選択します');
INSERT INTO `lang_definitions` VALUES (130664, 1049, 39, '選択またはコーディング変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (130665, 1050, 39, 'CVXコードを選択または変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (130666, 1051, 39, '診断を選択または変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (130667, 1052, 39, 'サービスコードを選択したり、変更するにはクリック');
INSERT INTO `lang_definitions` VALUES (130668, 1053, 39, '選択する患者をクリック');
INSERT INTO `lang_definitions` VALUES (130669, 1054, 39, '選択する関連コードをクリック');
INSERT INTO `lang_definitions` VALUES (130670, 1055, 39, 'この結果が異常である場合に実行するサービスをクリックして選択します');
INSERT INTO `lang_definitions` VALUES (130671, 1056, 39, '希望の手順をクリックして選択します');
INSERT INTO `lang_definitions` VALUES (130672, 1057, 39, 'ソート');
INSERT INTO `lang_definitions` VALUES (130673, 1058, 39, '閲覧');
INSERT INTO `lang_definitions` VALUES (130674, 1059, 39, '閲覧または編集');
INSERT INTO `lang_definitions` VALUES (130675, 1060, 39, '閲覧/編集');
INSERT INTO `lang_definitions` VALUES (130676, 1062, 39, '患者に合わせて上に示した場所をクリックします。');
INSERT INTO `lang_definitions` VALUES (130677, 1063, 39, 'クリック');
INSERT INTO `lang_definitions` VALUES (130678, 1064, 39, 'クライアント証明書の有効期限日数');
INSERT INTO `lang_definitions` VALUES (130679, 1065, 39, 'クライアント証明書の有効期間');
INSERT INTO `lang_definitions` VALUES (130680, 1066, 39, 'クライアント証明書の有効性は有効な数値でなければなりません。');
INSERT INTO `lang_definitions` VALUES (130681, 1067, 39, 'クライアントコピー');
INSERT INTO `lang_definitions` VALUES (130682, 1069, 39, 'クライアント病歴サマリー');
INSERT INTO `lang_definitions` VALUES (130683, 1070, 39, 'クライアント名');
INSERT INTO `lang_definitions` VALUES (130684, 1071, 39, 'クライアント番号');
INSERT INTO `lang_definitions` VALUES (130685, 1072, 39, 'クライアントプロファイル - 新規クライアント');
INSERT INTO `lang_definitions` VALUES (130686, 1073, 39, 'クライアントプロファイル - ユニークなクライアント');
INSERT INTO `lang_definitions` VALUES (130687, 1074, 39, 'クライアント');
INSERT INTO `lang_definitions` VALUES (130688, 1075, 39, 'クリニック');
INSERT INTO `lang_definitions` VALUES (130689, 1076, 39, 'クリニックのコピー');
INSERT INTO `lang_definitions` VALUES (130690, 1077, 39, 'クリニックデイリー·レコード');
INSERT INTO `lang_definitions` VALUES (130691, 1078, 39, 'クリニックID');
INSERT INTO `lang_definitions` VALUES (130692, 1079, 39, '臨床の');
INSERT INTO `lang_definitions` VALUES (130693, 1080, 39, '臨床決定ルールアラートマネージャ');
INSERT INTO `lang_definitions` VALUES (130694, 1081, 39, '病歴');
INSERT INTO `lang_definitions` VALUES (130695, 1083, 39, '臨床計画');
INSERT INTO `lang_definitions` VALUES (130696, 1084, 39, '臨床品質尺度（CQM）');
INSERT INTO `lang_definitions` VALUES (130697, 1085, 39, '臨床品質尺度（CQM） - 2011');
INSERT INTO `lang_definitions` VALUES (130698, 1086, 39, '臨床品質尺度（CQM） - 2014');
INSERT INTO `lang_definitions` VALUES (130699, 1087, 39, '通院予定');
INSERT INTO `lang_definitions` VALUES (130700, 1088, 39, '通院レポート');
INSERT INTO `lang_definitions` VALUES (130701, 1089, 39, '臨床ルールの動作カテゴリ');
INSERT INTO `lang_definitions` VALUES (130702, 1090, 39, '臨床ルールのアクションアイテム');
INSERT INTO `lang_definitions` VALUES (130703, 1091, 39, '臨床ルールのフィルタメソッド');
INSERT INTO `lang_definitions` VALUES (130704, 1092, 39, '臨床ルールのターゲットメソッド');
INSERT INTO `lang_definitions` VALUES (130705, 1093, 39, '臨床ルール');
INSERT INTO `lang_definitions` VALUES (130706, 1094, 39, '臨床ルール年齢間隔');
INSERT INTO `lang_definitions` VALUES (130707, 1095, 39, '臨床ルールの比較');
INSERT INTO `lang_definitions` VALUES (130708, 1096, 39, '臨床ルールタイプの出会い');
INSERT INTO `lang_definitions` VALUES (130709, 1097, 39, '臨床ルールリマインダーためのオプション');
INSERT INTO `lang_definitions` VALUES (130710, 1098, 39, '臨床ルールリマインダー不活性化のオプション');
INSERT INTO `lang_definitions` VALUES (130711, 1099, 39, '臨床ルールリマインダー間隔');
INSERT INTO `lang_definitions` VALUES (130712, 1100, 39, '臨床ルールリマインダー方法');
INSERT INTO `lang_definitions` VALUES (130713, 1101, 39, '臨床ルールターゲット間隔');
INSERT INTO `lang_definitions` VALUES (130714, 1102, 39, '臨床目標');
INSERT INTO `lang_definitions` VALUES (130715, 1103, 39, '臨床用語');
INSERT INTO `lang_definitions` VALUES (130716, 1104, 39, '臨床用語コード（単数または複数）');
INSERT INTO `lang_definitions` VALUES (130717, 1106, 39, '臨床医');
INSERT INTO `lang_definitions` VALUES (130718, 1107, 39, '複製');
INSERT INTO `lang_definitions` VALUES (130719, 1108, 39, '過去の訪問の複製');
INSERT INTO `lang_definitions` VALUES (130720, 1109, 39, '閉じる');
INSERT INTO `lang_definitions` VALUES (130721, 1110, 39, 'ウインドウを閉じる');
INSERT INTO `lang_definitions` VALUES (130722, 1111, 39, 'ウインドウを閉じる');
INSERT INTO `lang_definitions` VALUES (130723, 1112, 39, '閉じる');
INSERT INTO `lang_definitions` VALUES (130724, 1113, 39, 'cm');
INSERT INTO `lang_definitions` VALUES (130725, 1114, 39, 'CMS 1500マージン');
INSERT INTO `lang_definitions` VALUES (130726, 1115, 39, 'CMS 1500紙フォーム·フォーマット');
INSERT INTO `lang_definitions` VALUES (130727, 1116, 39, 'CMS 1500：ボックス31フォーマット');
INSERT INTO `lang_definitions` VALUES (130728, 1117, 39, 'CMS 1500：ボックス31日付（シグネチャ）');
INSERT INTO `lang_definitions` VALUES (130729, 1118, 39, 'CMS ID');
INSERT INTO `lang_definitions` VALUES (130730, 1119, 39, 'CMSポータル');
INSERT INTO `lang_definitions` VALUES (130731, 1120, 39, 'CMSポータルログイン');
INSERT INTO `lang_definitions` VALUES (130732, 1121, 39, 'CMSポータルログインID');
INSERT INTO `lang_definitions` VALUES (130733, 1122, 39, 'CMSポータルが有効になっていません！');
INSERT INTO `lang_definitions` VALUES (130734, 1123, 39, 'CMSポータルのパスワード');
INSERT INTO `lang_definitions` VALUES (130735, 1124, 39, 'CMSポータルリクエスト');
INSERT INTO `lang_definitions` VALUES (130736, 1125, 39, 'CMSポータルサイトアドレス');
INSERT INTO `lang_definitions` VALUES (130737, 1126, 39, 'CMSポータルユーザー名');
INSERT INTO `lang_definitions` VALUES (130738, 1127, 39, 'そのままCN2-12');
INSERT INTO `lang_definitions` VALUES (130739, 1128, 39, '共同ペイ');
INSERT INTO `lang_definitions` VALUES (130740, 1129, 39, '共同ペイ·有料');
INSERT INTO `lang_definitions` VALUES (130741, 1130, 39, 'CO-PAY');
INSERT INTO `lang_definitions` VALUES (130742, 1131, 39, 'コー​​ド');
INSERT INTO `lang_definitions` VALUES (130743, 1132, 39, 'コー​​ド');
INSERT INTO `lang_definitions` VALUES (130744, 1133, 39, 'コー​​ドファインダー');
INSERT INTO `lang_definitions` VALUES (130745, 1134, 39, 'コー​​ドは、2つの文字の小文字にする必要があります');
INSERT INTO `lang_definitions` VALUES (130746, 1135, 39, 'コー​​ドまたは通貨を示す記号');
INSERT INTO `lang_definitions` VALUES (130747, 1136, 39, 'コー​​ドテキスト');
INSERT INTO `lang_definitions` VALUES (130748, 1137, 39, 'コー​​ドタイプ');
INSERT INTO `lang_definitions` VALUES (130749, 1138, 39, 'コー​​ドタイプ');
INSERT INTO `lang_definitions` VALUES (130750, 1139, 39, 'コー​​ドタイプが認識されない');
INSERT INTO `lang_definitions` VALUES (130751, 1140, 39, 'コー​​ドタイプはまだ定義されていない');
INSERT INTO `lang_definitions` VALUES (130752, 1141, 39, 'コー​​ドタイプ');
INSERT INTO `lang_definitions` VALUES (130753, 1142, 39, 'コー​​ド（単数または複数）');
INSERT INTO `lang_definitions` VALUES (130754, 1143, 39, 'コー​​ド化');
INSERT INTO `lang_definitions` VALUES (130755, 1144, 39, 'コー​​ド');
INSERT INTO `lang_definitions` VALUES (130756, 1145, 39, 'コー​​ディング');
INSERT INTO `lang_definitions` VALUES (130757, 1146, 39, 'コー​​ディング（教育内容はこちら）');
INSERT INTO `lang_definitions` VALUES (130758, 1147, 39, 'コー​​ディング - どんな出会いが（書き込み、オプショナルwsome）');
INSERT INTO `lang_definitions` VALUES (130759, 1148, 39, 'コー​​ディング - 私の出会い（書き込みを、オプショナルwsome）');
INSERT INTO `lang_definitions` VALUES (130760, 1149, 39, '許可されていないコーディング');
INSERT INTO `lang_definitions` VALUES (130761, 1150, 39, 'コー​​ヒー');
INSERT INTO `lang_definitions` VALUES (130762, 1151, 39, 'コー​​ヒーを使用');
INSERT INTO `lang_definitions` VALUES (130763, 1152, 39, '共同保険');
INSERT INTO `lang_definitions` VALUES (130764, 1153, 39, 'コルW / O');
INSERT INTO `lang_definitions` VALUES (130765, 1154, 39, '伸縮');
INSERT INTO `lang_definitions` VALUES (130766, 1155, 39, '伸縮');
INSERT INTO `lang_definitions` VALUES (130767, 1156, 39, '全伸縮');
INSERT INTO `lang_definitions` VALUES (130768, 1157, 39, '全伸縮');
INSERT INTO `lang_definitions` VALUES (130769, 1158, 39, '全伸縮');
INSERT INTO `lang_definitions` VALUES (130770, 1160, 39, '収集日');
INSERT INTO `lang_definitions` VALUES (130771, 1161, 39, 'コレクション');
INSERT INTO `lang_definitions` VALUES (130772, 1162, 39, 'コレクションレポート');
INSERT INTO `lang_definitions` VALUES (130773, 1163, 39, '大腸癌');
INSERT INTO `lang_definitions` VALUES (130774, 1164, 39, '結腸癌スクリーニング');
INSERT INTO `lang_definitions` VALUES (130775, 1165, 39, '大腸癌手術');
INSERT INTO `lang_definitions` VALUES (130776, 1166, 39, '大腸内視鏡検査');
INSERT INTO `lang_definitions` VALUES (130777, 1167, 39, '大腸内視鏡検査');
INSERT INTO `lang_definitions` VALUES (130778, 1168, 39, 'カラー');
INSERT INTO `lang_definitions` VALUES (130779, 1169, 39, 'カラー：略称');
INSERT INTO `lang_definitions` VALUES (130780, 1170, 39, 'カラム');
INSERT INTO `lang_definitions` VALUES (130781, 1171, 39, 'カラム');
INSERT INTO `lang_definitions` VALUES (130782, 1172, 39, 'ロットを組み合わせる');
INSERT INTO `lang_definitions` VALUES (130783, 1173, 39, 'カンマ');
INSERT INTO `lang_definitions` VALUES (130784, 1174, 39, 'コメント');
INSERT INTO `lang_definitions` VALUES (130785, 1175, 39, 'コメント');
INSERT INTO `lang_definitions` VALUES (130786, 1176, 39, 'この結果や勧告のコメント');
INSERT INTO `lang_definitions` VALUES (130787, 1177, 39, '企業向け損害保険株式会社');
INSERT INTO `lang_definitions` VALUES (130788, 1178, 39, '変更のコミット');
INSERT INTO `lang_definitions` VALUES (130789, 1179, 39, '通信');
INSERT INTO `lang_definitions` VALUES (130790, 1180, 39, 'コミュニケーション');
INSERT INTO `lang_definitions` VALUES (130791, 1182, 39, '会社');
INSERT INTO `lang_definitions` VALUES (130792, 1183, 39, '会社名');
INSERT INTO `lang_definitions` VALUES (130793, 1184, 39, '完了');
INSERT INTO `lang_definitions` VALUES (130794, 1186, 39, '完了');
INSERT INTO `lang_definitions` VALUES (130795, 1188, 39, '完了？');
INSERT INTO `lang_definitions` VALUES (130796, 1190, 39, 'サービスプロバイダによって合併症');
INSERT INTO `lang_definitions` VALUES (130797, 1191, 39, '中絶の合併症');
INSERT INTO `lang_definitions` VALUES (130798, 1192, 39, 'コンポーネント');
INSERT INTO `lang_definitions` VALUES (130800, 1194, 39, '結論');
INSERT INTO `lang_definitions` VALUES (130801, 1198, 39, '設定');
INSERT INTO `lang_definitions` VALUES (130802, 1199, 39, '設定');
INSERT INTO `lang_definitions` VALUES (130803, 1200, 39, '設定 エキスポート/インポート');
INSERT INTO `lang_definitions` VALUES (130804, 1201, 39, '設定は正しく保存されました');
INSERT INTO `lang_definitions` VALUES (130805, 1202, 39, 'クライアント側のSSL証明書を使用するようにApacheとLibreEHRを設定します。');
INSERT INTO `lang_definitions` VALUES (130806, 1203, 39, 'apache を 端末側SSL認証で設定');
INSERT INTO `lang_definitions` VALUES (130807, 1204, 39, 'apache を HTTPS 利用で設定');
INSERT INTO `lang_definitions` VALUES (130808, 1205, 39, 'LIBREEHR を 端末側SSL認証で設定');
INSERT INTO `lang_definitions` VALUES (130809, 1206, 39, 'トラックの設定');
INSERT INTO `lang_definitions` VALUES (130810, 1207, 39, 'トラックの設定');
INSERT INTO `lang_definitions` VALUES (130811, 1208, 39, '新規患者作成の完了');
INSERT INTO `lang_definitions` VALUES (130812, 1209, 39, '新規パスワードの完了');
INSERT INTO `lang_definitions` VALUES (130813, 1210, 39, '支払完了');
INSERT INTO `lang_definitions` VALUES (130814, 1214, 39, '先天性の');
INSERT INTO `lang_definitions` VALUES (130815, 1215, 39, 'Conjuntiva、生徒');
INSERT INTO `lang_definitions` VALUES (130816, 1216, 39, '接続エラー');
INSERT INTO `lang_definitions` VALUES (130817, 1217, 39, '接続');
INSERT INTO `lang_definitions` VALUES (130818, 1218, 39, 'コンスタント');
INSERT INTO `lang_definitions` VALUES (130819, 1219, 39, 'コンスタント名');
INSERT INTO `lang_definitions` VALUES (130820, 1220, 39, 'コンスタント名が空白です');
INSERT INTO `lang_definitions` VALUES (130821, 1221, 39, '定数');
INSERT INTO `lang_definitions` VALUES (130822, 1222, 39, '便秘');
INSERT INTO `lang_definitions` VALUES (130823, 1223, 39, '憲法上の');
INSERT INTO `lang_definitions` VALUES (130824, 1226, 39, 'コンサルテーション簡単な説明');
INSERT INTO `lang_definitions` VALUES (130825, 1227, 39, '連絡先');
INSERT INTO `lang_definitions` VALUES (130826, 1228, 39, '連絡先電子メール');
INSERT INTO `lang_definitions` VALUES (130827, 1229, 39, '連絡先電子メールアドレス');
INSERT INTO `lang_definitions` VALUES (130828, 1230, 39, 'お問い合わせEMRダイレクトphiMailダイレクトメッセージサービスに加入する');
INSERT INTO `lang_definitions` VALUES (130829, 1231, 39, '連絡先情報');
INSERT INTO `lang_definitions` VALUES (130830, 1232, 39, 'コンタクトレンズ');
INSERT INTO `lang_definitions` VALUES (130831, 1233, 39, 'ラボエクスチェンジサービスのためのhttp://mi-squared.comでのお問い合わせ医療情報の統合、LLC。');
INSERT INTO `lang_definitions` VALUES (130832, 1234, 39, 'ERXサービスを購読するhttp://zhservices.comでhttp://mi-squared.comまたはZHヘルスケアで医療情報の統合、LLCにお問い合わせください');
INSERT INTO `lang_definitions` VALUES (130833, 1236, 39, '連絡先名前');
INSERT INTO `lang_definitions` VALUES (130834, 1237, 39, '連絡者');
INSERT INTO `lang_definitions` VALUES (130835, 1238, 39, '連絡先電話番号');
INSERT INTO `lang_definitions` VALUES (130836, 1239, 39, '連絡先電話番号');
INSERT INTO `lang_definitions` VALUES (130837, 1240, 39, 'ERXサービスを購読に関するお問い合わせZMG、LLC（zmghealth@gmail.com）');
INSERT INTO `lang_definitions` VALUES (130838, 1241, 39, '4以下の項目のうち少なくとも3が含まれています。');
INSERT INTO `lang_definitions` VALUES (130839, 1242, 39, 'コンテナグループ名');
INSERT INTO `lang_definitions` VALUES (130840, 1243, 39, 'コンテント');
INSERT INTO `lang_definitions` VALUES (130841, 1244, 39, 'コンテキスト');
INSERT INTO `lang_definitions` VALUES (130842, 1245, 39, 'コンテキスト');
INSERT INTO `lang_definitions` VALUES (130843, 1246, 39, 'コンテキスト名は空白にはできません');
INSERT INTO `lang_definitions` VALUES (130844, 1247, 39, '続く');
INSERT INTO `lang_definitions` VALUES (130845, 1248, 39, 'ケア文書の連続性（CCD）');
INSERT INTO `lang_definitions` VALUES (130846, 1249, 39, 'ケア記録（CCR）の継続性');
INSERT INTO `lang_definitions` VALUES (130847, 1250, 39, 'コントラクライアント');
INSERT INTO `lang_definitions` VALUES (130848, 1251, 39, '避妊');
INSERT INTO `lang_definitions` VALUES (130849, 1252, 39, '避妊の問題');
INSERT INTO `lang_definitions` VALUES (130850, 1253, 39, '避妊合併症（指定）');
INSERT INTO `lang_definitions` VALUES (130851, 1254, 39, '避妊方法');
INSERT INTO `lang_definitions` VALUES (130852, 1255, 39, '避妊製品');
INSERT INTO `lang_definitions` VALUES (130853, 1256, 39, '避妊サービスは、以前に開始した');
INSERT INTO `lang_definitions` VALUES (130854, 1257, 39, '避妊スタート');
INSERT INTO `lang_definitions` VALUES (130855, 1258, 39, 'コントロールID');
INSERT INTO `lang_definitions` VALUES (130856, 1259, 39, 'コントロール番号');
INSERT INTO `lang_definitions` VALUES (130857, 1261, 39, 'COPAY');
INSERT INTO `lang_definitions` VALUES (130858, 1262, 39, 'Copay');
INSERT INTO `lang_definitions` VALUES (130859, 1263, 39, 'CoPay');
INSERT INTO `lang_definitions` VALUES (130860, 1264, 39, '正でないCopay');
INSERT INTO `lang_definitions` VALUES (130861, 1265, 39, 'Copay有料');
INSERT INTO `lang_definitions` VALUES (130862, 1266, 39, 'Copays');
INSERT INTO `lang_definitions` VALUES (130863, 1267, 39, 'COPD');
INSERT INTO `lang_definitions` VALUES (130864, 1268, 39, '患者チャートにコピーページ');
INSERT INTO `lang_definitions` VALUES (130865, 1269, 39, 'コピー値');
INSERT INTO `lang_definitions` VALUES (130866, 1270, 39, 'データベースファイルをコピーする。これにはしばらく時間がかかります...');
INSERT INTO `lang_definitions` VALUES (130867, 1271, 39, '著作権表示');
INSERT INTO `lang_definitions` VALUES (130868, 1272, 39, 'コー​​ニッシュ');
INSERT INTO `lang_definitions` VALUES (130869, 1273, 39, '冠動脈バイパス');
INSERT INTO `lang_definitions` VALUES (130870, 1274, 39, '冠動脈バイパス移植（CABG）');
INSERT INTO `lang_definitions` VALUES (130871, 1275, 39, '修正された');
INSERT INTO `lang_definitions` VALUES (130872, 1276, 39, 'コルシカの');
INSERT INTO `lang_definitions` VALUES (130873, 1277, 39, 'CouchDBの');
INSERT INTO `lang_definitions` VALUES (130874, 1278, 39, 'CouchDBの接続が失敗しました。');
INSERT INTO `lang_definitions` VALUES (130875, 1279, 39, 'CouchDBのデータベース');
INSERT INTO `lang_definitions` VALUES (130876, 1280, 39, 'CouchDBのデータベース名');
INSERT INTO `lang_definitions` VALUES (130877, 1281, 39, 'CouchDBのホスト');
INSERT INTO `lang_definitions` VALUES (130878, 1282, 39, 'CouchDBのホスト名');
INSERT INTO `lang_definitions` VALUES (130879, 1283, 39, 'CouchDBのログの有効化');
INSERT INTO `lang_definitions` VALUES (130880, 1284, 39, 'CouchDBのパスワード');
INSERT INTO `lang_definitions` VALUES (130881, 1285, 39, 'CouchDBのポート');
INSERT INTO `lang_definitions` VALUES (130882, 1286, 39, 'CouchDBのポート');
INSERT INTO `lang_definitions` VALUES (130883, 1287, 39, 'CouchDBは失敗したセーブ');
INSERT INTO `lang_definitions` VALUES (130884, 1288, 39, 'のCouchDBのUserName');
INSERT INTO `lang_definitions` VALUES (130885, 1289, 39, '咳');
INSERT INTO `lang_definitions` VALUES (130886, 1290, 39, '咳：');
INSERT INTO `lang_definitions` VALUES (130887, 1291, 39, 'サーバーへ接続できません');
INSERT INTO `lang_definitions` VALUES (130888, 1293, 39, 'テーブルを開けません');
INSERT INTO `lang_definitions` VALUES (130889, 1294, 39, 'ファイルを読めません');
INSERT INTO `lang_definitions` VALUES (130890, 1295, 39, 'このファイルを読めません');
INSERT INTO `lang_definitions` VALUES (130891, 1296, 39, 'サーバー障害によりメールを送信できません ');
INSERT INTO `lang_definitions` VALUES (130892, 1297, 39, 'サーバー障害によりメールを送信できません ');
INSERT INTO `lang_definitions` VALUES (130893, 1298, 39, 'バックアップ先のディレクトリを作成できません');
INSERT INTO `lang_definitions` VALUES (130894, 1299, 39, 'ディレクトリを削除できません');
INSERT INTO `lang_definitions` VALUES (130895, 1300, 39, '過去のバックアップファイルを削除できません');
INSERT INTO `lang_definitions` VALUES (130896, 1301, 39, '過去のエクスポートファイルを削除できません');
INSERT INTO `lang_definitions` VALUES (130897, 1302, 39, 'ワーファリン管理 - INRのモニタリング');
INSERT INTO `lang_definitions` VALUES (130898, 1303, 39, '法によるCouns');
INSERT INTO `lang_definitions` VALUES (130899, 1304, 39, 'カウンセリング');
INSERT INTO `lang_definitions` VALUES (130900, 1305, 39, 'カウンセリング活動');
INSERT INTO `lang_definitions` VALUES (130901, 1306, 39, 'COUNTERの紹介FORM');
INSERT INTO `lang_definitions` VALUES (130902, 1307, 39, 'カウンター紹介');
INSERT INTO `lang_definitions` VALUES (130903, 1308, 39, '国');
INSERT INTO `lang_definitions` VALUES (130904, 1309, 39, '国別日時表示形式');
INSERT INTO `lang_definitions` VALUES (130905, 1310, 39, '国リスト');
INSERT INTO `lang_definitions` VALUES (130906, 1311, 39, '国リスト（追記可能）');
INSERT INTO `lang_definitions` VALUES (130907, 1313, 39, '国');
INSERT INTO `lang_definitions` VALUES (130908, 1315, 39, 'クーポン');
INSERT INTO `lang_definitions` VALUES (130909, 1318, 39, 'CPT');
INSERT INTO `lang_definitions` VALUES (130910, 1319, 39, 'CPTコード');
INSERT INTO `lang_definitions` VALUES (130911, 1320, 39, 'CPTコード');
INSERT INTO `lang_definitions` VALUES (130912, 1324, 39, '湿性ラ音');
INSERT INTO `lang_definitions` VALUES (130913, 1325, 39, 'クリーム');
INSERT INTO `lang_definitions` VALUES (130914, 1327, 39, 'ユーザーまたはクライアントホスト名のどちらかのクライアント側のSSL証明書を作成します。');
INSERT INTO `lang_definitions` VALUES (130915, 1328, 39, '新規トラック作成');
INSERT INTO `lang_definitions` VALUES (130916, 1329, 39, 'イベント作成');
INSERT INTO `lang_definitions` VALUES (130917, 1330, 39, '完全バックアップの作成及びダウンロード');
INSERT INTO `lang_definitions` VALUES (130918, 1331, 39, 'トラックの作成及び改変');
INSERT INTO `lang_definitions` VALUES (130919, 1332, 39, 'バクアップ作成');
INSERT INTO `lang_definitions` VALUES (130920, 1333, 39, 'バッチ作成');
INSERT INTO `lang_definitions` VALUES (130921, 1334, 39, 'クライアント認証作成');
INSERT INTO `lang_definitions` VALUES (130922, 1335, 39, 'クライアント側SSL認証作成');
INSERT INTO `lang_definitions` VALUES (130923, 1336, 39, 'デュプリケイト作成');
INSERT INTO `lang_definitions` VALUES (130924, 1337, 39, '来院者作成');
INSERT INTO `lang_definitions` VALUES (130925, 1338, 39, 'イベントログバックアップ作成');
INSERT INTO `lang_definitions` VALUES (130926, 1339, 39, '新規問題作成');
INSERT INTO `lang_definitions` VALUES (130927, 1340, 39, '新規患者作成の完了');
INSERT INTO `lang_definitions` VALUES (130928, 1341, 39, '新規トラック作成');
INSERT INTO `lang_definitions` VALUES (130929, 1344, 39, '患者ノート作成');
INSERT INTO `lang_definitions` VALUES (130930, 1345, 39, 'SSL認証及びサーバー認証作成');
INSERT INTO `lang_definitions` VALUES (130931, 1346, 39, '訪問先作成');
INSERT INTO `lang_definitions` VALUES (130932, 1347, 39, '作成された');
INSERT INTO `lang_definitions` VALUES (130933, 1348, 39, 'エキスポートファイル作成');
INSERT INTO `lang_definitions` VALUES (130934, 1349, 39, '新規トラック作成異常');
INSERT INTO `lang_definitions` VALUES (130935, 1350, 39, 'リモートホストでのファイル作成に失敗');
INSERT INTO `lang_definitions` VALUES (130936, 1351, 39, '作成者');
INSERT INTO `lang_definitions` VALUES (130937, 1352, 39, 'クレジット');
INSERT INTO `lang_definitions` VALUES (130938, 1353, 39, 'クレジットカード');
INSERT INTO `lang_definitions` VALUES (130939, 1354, 39, 'クレジット');
INSERT INTO `lang_definitions` VALUES (130940, 1356, 39, '抽出文字');
INSERT INTO `lang_definitions` VALUES (130941, 1357, 39, 'クロアチア人');
INSERT INTO `lang_definitions` VALUES (130942, 1358, 39, 'クローン病');
INSERT INTO `lang_definitions` VALUES (130943, 1359, 39, 'クローン病');
INSERT INTO `lang_definitions` VALUES (130944, 1360, 39, 'CSVエキスポート');
INSERT INTO `lang_definitions` VALUES (130945, 1361, 39, 'CSVファイル');
INSERT INTO `lang_definitions` VALUES (130946, 1362, 39, 'CSVテーブル');
INSERT INTO `lang_definitions` VALUES (130947, 1364, 39, 'キューバ人');
INSERT INTO `lang_definitions` VALUES (130948, 1365, 39, '通貨小数点以下の桁数');
INSERT INTO `lang_definitions` VALUES (130949, 1366, 39, '通貨小数点記号');
INSERT INTO `lang_definitions` VALUES (130950, 1367, 39, '通貨指定子');
INSERT INTO `lang_definitions` VALUES (130951, 1368, 39, '通貨桁区切り');
INSERT INTO `lang_definitions` VALUES (130952, 1369, 39, 'カレント');
INSERT INTO `lang_definitions` VALUES (130953, 1370, 39, '現在の飲酒量');
INSERT INTO `lang_definitions` VALUES (130954, 1371, 39, '現在の相談');
INSERT INTO `lang_definitions` VALUES (130955, 1372, 39, '現在の抽出字句');
INSERT INTO `lang_definitions` VALUES (130956, 1374, 39, '現在の日常喫煙者');
INSERT INTO `lang_definitions` VALUES (130957, 1375, 39, '現在のファイル名の変更先');
INSERT INTO `lang_definitions` VALUES (130958, 1376, 39, '現在のハッシュ');
INSERT INTO `lang_definitions` VALUES (130959, 1377, 39, '現住所');
INSERT INTO `lang_definitions` VALUES (130960, 1379, 39, '現在のパスワード');
INSERT INTO `lang_definitions` VALUES (130961, 1380, 39, '現在の患者');
INSERT INTO `lang_definitions` VALUES (130962, 1383, 39, '現在の時々喫煙者');
INSERT INTO `lang_definitions` VALUES (130963, 1385, 39, '現在の値');
INSERT INTO `lang_definitions` VALUES (130964, 1386, 39, '現在のアクティブ');
INSERT INTO `lang_definitions` VALUES (130965, 1387, 39, '日常的走行量');
INSERT INTO `lang_definitions` VALUES (130966, 1388, 39, '現在の通院はありません');
INSERT INTO `lang_definitions` VALUES (130967, 1389, 39, 'クッシング症候群');
INSERT INTO `lang_definitions` VALUES (130968, 1390, 39, 'クッシング症候群');
INSERT INTO `lang_definitions` VALUES (130969, 1392, 39, 'カスタム');
INSERT INTO `lang_definitions` VALUES (130970, 1393, 39, 'カスタムインプット');
INSERT INTO `lang_definitions` VALUES (130971, 1394, 39, 'カスタムテーブル');
INSERT INTO `lang_definitions` VALUES (130972, 1403, 39, 'チェコ人');
INSERT INTO `lang_definitions` VALUES (130973, 1404, 39, 'D');
INSERT INTO `lang_definitions` VALUES (130974, 1405, 39, '拡張＆掻爬術');
INSERT INTO `lang_definitions` VALUES (130975, 1406, 39, '拡張＆切除');
INSERT INTO `lang_definitions` VALUES (130976, 1407, 39, '誕生日');
INSERT INTO `lang_definitions` VALUES (130977, 1408, 39, '毎日');
INSERT INTO `lang_definitions` VALUES (130978, 1409, 39, '日誌');
INSERT INTO `lang_definitions` VALUES (130979, 1410, 39, 'デンマーク語.');
INSERT INTO `lang_definitions` VALUES (130980, 1416, 39, 'データエラー');
INSERT INTO `lang_definitions` VALUES (130981, 1420, 39, 'データ種別');
INSERT INTO `lang_definitions` VALUES (130982, 1421, 39, 'データベースアップグレード');
INSERT INTO `lang_definitions` VALUES (130983, 1422, 39, 'データベースがインストールされていません');
INSERT INTO `lang_definitions` VALUES (130984, 1423, 39, 'データベースパッチ');
INSERT INTO `lang_definitions` VALUES (130985, 1424, 39, 'データベースレポート出力');
INSERT INTO `lang_definitions` VALUES (130986, 1425, 39, 'データベース更新完了');
INSERT INTO `lang_definitions` VALUES (130987, 1426, 39, 'データカラムは１から999までです');
INSERT INTO `lang_definitions` VALUES (130988, 1427, 39, '日付');
INSERT INTO `lang_definitions` VALUES (130989, 1428, 39, '日付');
INSERT INTO `lang_definitions` VALUES (130990, 1429, 39, '日付と時間　管理向け');
INSERT INTO `lang_definitions` VALUES (130991, 1431, 39, '日付　管理向け');
INSERT INTO `lang_definitions` VALUES (130992, 1438, 39, '日付作成');
INSERT INTO `lang_definitions` VALUES (130993, 1441, 39, '日付表示フォーマット');
INSERT INTO `lang_definitions` VALUES (130994, 1451, 39, '課金日');
INSERT INTO `lang_definitions` VALUES (130995, 1452, 39, '誕生日');
INSERT INTO `lang_definitions` VALUES (130996, 1453, 39, '誕生日');
INSERT INTO `lang_definitions` VALUES (130997, 1454, 39, '誕生日');
INSERT INTO `lang_definitions` VALUES (130998, 1455, 39, '入力日');
INSERT INTO `lang_definitions` VALUES (130999, 1458, 39, '支払日 yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (131000, 1460, 39, '返信日');
INSERT INTO `lang_definitions` VALUES (131001, 1461, 39, 'レポート日');
INSERT INTO `lang_definitions` VALUES (131002, 1462, 39, 'サービス日');
INSERT INTO `lang_definitions` VALUES (131003, 1463, 39, 'サービス日');
INSERT INTO `lang_definitions` VALUES (131004, 1464, 39, 'サービス日 = 今日');
INSERT INTO `lang_definitions` VALUES (131005, 1465, 39, 'サービス日 mm/dd/yyyy');
INSERT INTO `lang_definitions` VALUES (131006, 1466, 39, 'サービス日:');
INSERT INTO `lang_definitions` VALUES (131007, 1467, 39, 'サイン日');
INSERT INTO `lang_definitions` VALUES (131008, 1468, 39, 'ステータス変更日');
INSERT INTO `lang_definitions` VALUES (131009, 1469, 39, '該当オーダー日');
INSERT INTO `lang_definitions` VALUES (131010, 1470, 39, '該当レポート日');
INSERT INTO `lang_definitions` VALUES (131011, 1472, 39, '日時指定済み');
INSERT INTO `lang_definitions` VALUES (131012, 1474, 39, '日時選択');
INSERT INTO `lang_definitions` VALUES (131013, 1475, 39, '日時選択');
INSERT INTO `lang_definitions` VALUES (131014, 1476, 39, '日付送信');
INSERT INTO `lang_definitions` VALUES (131015, 1478, 39, '日付時間');
INSERT INTO `lang_definitions` VALUES (131016, 1479, 39, '日付は空白にできません');
INSERT INTO `lang_definitions` VALUES (131017, 1481, 39, '日付/ノート');
INSERT INTO `lang_definitions` VALUES (131018, 1482, 39, '日付/ノート終端');
INSERT INTO `lang_definitions` VALUES (131019, 1483, 39, '日付/時間');
INSERT INTO `lang_definitions` VALUES (131020, 1484, 39, '日付:');
INSERT INTO `lang_definitions` VALUES (131021, 1486, 39, '日');
INSERT INTO `lang_definitions` VALUES (131022, 1487, 39, '日');
INSERT INTO `lang_definitions` VALUES (131023, 1490, 39, '日');
INSERT INTO `lang_definitions` VALUES (131024, 1492, 39, '日');
INSERT INTO `lang_definitions` VALUES (131025, 1493, 39, '日');
INSERT INTO `lang_definitions` VALUES (131026, 1494, 39, '日前');
INSERT INTO `lang_definitions` VALUES (131027, 1501, 39, 'DBインストール済み');
INSERT INTO `lang_definitions` VALUES (131028, 1502, 39, 'DD/MM/YYYY');
INSERT INTO `lang_definitions` VALUES (131029, 1512, 39, 'デバッグ情報');
INSERT INTO `lang_definitions` VALUES (131030, 1514, 39, 'デバッグ中');
INSERT INTO `lang_definitions` VALUES (131031, 1515, 39, '12月');
INSERT INTO `lang_definitions` VALUES (131032, 1517, 39, '12月');
INSERT INTO `lang_definitions` VALUES (131033, 1522, 39, '通常');
INSERT INTO `lang_definitions` VALUES (131034, 1523, 39, '通常カレンダー表示');
INSERT INTO `lang_definitions` VALUES (131035, 1524, 39, '通常来院者表示ID');
INSERT INTO `lang_definitions` VALUES (131036, 1526, 39, '通常施術院');
INSERT INTO `lang_definitions` VALUES (131037, 1527, 39, '通常言語');
INSERT INTO `lang_definitions` VALUES (131038, 1530, 39, '通常メソッド');
INSERT INTO `lang_definitions` VALUES (131039, 1531, 39, '通常パスワード失効期限日');
INSERT INTO `lang_definitions` VALUES (131040, 1533, 39, '通常患者所在国');
INSERT INTO `lang_definitions` VALUES (131041, 1547, 39, 'デフォルト値');
INSERT INTO `lang_definitions` VALUES (131042, 1551, 39, '削除');
INSERT INTO `lang_definitions` VALUES (131043, 1552, 39, '削除');
INSERT INTO `lang_definitions` VALUES (131044, 1554, 39, '削除');
INSERT INTO `lang_definitions` VALUES (131045, 1555, 39, '削除');
INSERT INTO `lang_definitions` VALUES (131046, 1556, 39, '削除:ID及びカテゴリー ');
INSERT INTO `lang_definitions` VALUES (131047, 1557, 39, '削除;カテゴリー');
INSERT INTO `lang_definitions` VALUES (131048, 1559, 39, '削除できません!');
INSERT INTO `lang_definitions` VALUES (131049, 1560, 39, 'グループ削除');
INSERT INTO `lang_definitions` VALUES (131050, 1561, 39, 'リスト削除');
INSERT INTO `lang_definitions` VALUES (131051, 1562, 39, 'ページ削除');
INSERT INTO `lang_definitions` VALUES (131052, 1565, 39, '列削除');
INSERT INTO `lang_definitions` VALUES (131053, 1566, 39, '選択アイテム削除');
INSERT INTO `lang_definitions` VALUES (131054, 1567, 39, '選択リクエスト削除');
INSERT INTO `lang_definitions` VALUES (131055, 1568, 39, '削除できました');
INSERT INTO `lang_definitions` VALUES (131056, 1569, 39, 'このドキュメントを削除');
INSERT INTO `lang_definitions` VALUES (131057, 1570, 39, 'このフォームを削除');
INSERT INTO `lang_definitions` VALUES (131058, 1571, 39, 'このノートを削除');
INSERT INTO `lang_definitions` VALUES (131059, 1572, 39, '正常に削除できました');
INSERT INTO `lang_definitions` VALUES (131060, 1573, 39, '正常に削除できました');
INSERT INTO `lang_definitions` VALUES (131061, 1582, 39, '一般表示項目');
INSERT INTO `lang_definitions` VALUES (131062, 1583, 39, '一般表示項目（追記オプション）');
INSERT INTO `lang_definitions` VALUES (131063, 1585, 39, '一般表示項目:抽出済み');
INSERT INTO `lang_definitions` VALUES (131064, 1586, 39, '一般表示項目は認証されていません');
INSERT INTO `lang_definitions` VALUES (131065, 1587, 39, '一般表示項目は認証されていません');
INSERT INTO `lang_definitions` VALUES (131066, 1588, 39, '禁止');
INSERT INTO `lang_definitions` VALUES (131067, 1590, 39, '歯科');
INSERT INTO `lang_definitions` VALUES (131068, 1591, 39, '歯科問題リスト');
INSERT INTO `lang_definitions` VALUES (131069, 1592, 39, '歯科問題リスト');
INSERT INTO `lang_definitions` VALUES (131070, 1596, 39, '預託日');
INSERT INTO `lang_definitions` VALUES (131071, 1597, 39, '入金日を今日より大きくすることはできません');
INSERT INTO `lang_definitions` VALUES (131072, 1598, 39, 'デポジット日：');
INSERT INTO `lang_definitions` VALUES (131073, 1599, 39, 'うつ病の');
INSERT INTO `lang_definitions` VALUES (131074, 1600, 39, 'うつ病');
INSERT INTO `lang_definitions` VALUES (131075, 1602, 39, '説明');
INSERT INTO `lang_definitions` VALUES (131076, 1603, 39, '説明');
INSERT INTO `lang_definitions` VALUES (131077, 1604, 39, '説明は、デフォルトのテキストです');
INSERT INTO `lang_definitions` VALUES (131078, 1605, 39, '情報開示の説明');
INSERT INTO `lang_definitions` VALUES (131079, 1606, 39, 'この手順または結果コードの説明');
INSERT INTO `lang_definitions` VALUES (131080, 1607, 39, '説明の翻訳');
INSERT INTO `lang_definitions` VALUES (131081, 1608, 39, '希望のファイル名');
INSERT INTO `lang_definitions` VALUES (131082, 1609, 39, '宛先');
INSERT INTO `lang_definitions` VALUES (131083, 1610, 39, 'コピー先のファイル名');
INSERT INTO `lang_definitions` VALUES (131084, 1611, 39, 'ロットを破壊');
INSERT INTO `lang_definitions` VALUES (131085, 1612, 39, '破壊します...');
INSERT INTO `lang_definitions` VALUES (131086, 1613, 39, '破壊されました');
INSERT INTO `lang_definitions` VALUES (131087, 1614, 39, '破壊された薬剤');
INSERT INTO `lang_definitions` VALUES (131088, 1615, 39, '破壊された医薬品レポート');
INSERT INTO `lang_definitions` VALUES (131089, 1616, 39, '詳細');
INSERT INTO `lang_definitions` VALUES (131090, 1620, 39, '糖尿病');
INSERT INTO `lang_definitions` VALUES (131091, 1633, 39, '診断');
INSERT INTO `lang_definitions` VALUES (131092, 1634, 39, '診断コード');
INSERT INTO `lang_definitions` VALUES (131093, 1635, 39, '診断コード');
INSERT INTO `lang_definitions` VALUES (131094, 1636, 39, '診断日');
INSERT INTO `lang_definitions` VALUES (131095, 1638, 39, '診断名');
INSERT INTO `lang_definitions` VALUES (131096, 1639, 39, '診断レポート');
INSERT INTO `lang_definitions` VALUES (131097, 1640, 39, '診断レポート');
INSERT INTO `lang_definitions` VALUES (131098, 1641, 39, '診断レポートのみ');
INSERT INTO `lang_definitions` VALUES (131099, 1642, 39, '診断タイトル');
INSERT INTO `lang_definitions` VALUES (131100, 1643, 39, '診断：');
INSERT INTO `lang_definitions` VALUES (131101, 1644, 39, '診断： ');
INSERT INTO `lang_definitions` VALUES (131102, 1645, 39, '診断テスト：');
INSERT INTO `lang_definitions` VALUES (131103, 1646, 39, 'ダイヤル');
INSERT INTO `lang_definitions` VALUES (131104, 1647, 39, 'ダイヤフラム/キャップ');
INSERT INTO `lang_definitions` VALUES (131105, 1648, 39, '下痢');
INSERT INTO `lang_definitions` VALUES (131106, 1650, 39, '口述筆記');
INSERT INTO `lang_definitions` VALUES (131107, 1653, 39, 'びまん：');
INSERT INTO `lang_definitions` VALUES (131108, 1654, 39, 'デジタル署名');
INSERT INTO `lang_definitions` VALUES (131109, 1657, 39, 'ダイレクトメール');
INSERT INTO `lang_definitions` VALUES (131110, 1658, 39, 'ダイレクトメッセージログ');
INSERT INTO `lang_definitions` VALUES (131111, 1659, 39, 'ダイレクトメッセージを受信しました。');
INSERT INTO `lang_definitions` VALUES (131112, 1660, 39, 'ダイレクトメッセージは現在使用できません。');
INSERT INTO `lang_definitions` VALUES (131113, 1661, 39, 'ダイレクトメッセージは失敗を送信します。');
INSERT INTO `lang_definitions` VALUES (131114, 1663, 39, 'ディレクター名');
INSERT INTO `lang_definitions` VALUES (131115, 1664, 39, 'ディレクトリが削除できませんでした。継続しています。');
INSERT INTO `lang_definitions` VALUES (131116, 1665, 39, '廃疾');
INSERT INTO `lang_definitions` VALUES (131117, 1667, 39, 'カレンダー無効');
INSERT INTO `lang_definitions` VALUES (131118, 1668, 39, 'チャートトラッカー無効');
INSERT INTO `lang_definitions` VALUES (131119, 1672, 39, 'phpMyAdmin無効');
INSERT INTO `lang_definitions` VALUES (131120, 1674, 39, 'ユーザーグループ無効');
INSERT INTO `lang_definitions` VALUES (131121, 1675, 39, '使用禁止');
INSERT INTO `lang_definitions` VALUES (131122, 1676, 39, '無効');
INSERT INTO `lang_definitions` VALUES (131123, 1681, 39, '放出');
INSERT INTO `lang_definitions` VALUES (131124, 1682, 39, '尿道からの排出');
INSERT INTO `lang_definitions` VALUES (131125, 1684, 39, '右放電');
INSERT INTO `lang_definitions` VALUES (131126, 1685, 39, '右放電：');
INSERT INTO `lang_definitions` VALUES (131127, 1714, 39, '表示名');
INSERT INTO `lang_definitions` VALUES (131128, 1729, 39, '憩室炎');
INSERT INTO `lang_definitions` VALUES (131129, 1730, 39, '憩室炎の手術');
INSERT INTO `lang_definitions` VALUES (131130, 1731, 39, '憩室炎');
INSERT INTO `lang_definitions` VALUES (131131, 1732, 39, '憩室炎の手術');
INSERT INTO `lang_definitions` VALUES (131132, 1733, 39, '離婚');
INSERT INTO `lang_definitions` VALUES (131133, 1734, 39, 'めまい：');
INSERT INTO `lang_definitions` VALUES (131134, 1751, 39, '本当に削除しますか');
INSERT INTO `lang_definitions` VALUES (131135, 1752, 39, '本当にこの選択を削除しますか？');
INSERT INTO `lang_definitions` VALUES (131136, 1753, 39, '本当にこのグループを削除しますか？');
INSERT INTO `lang_definitions` VALUES (131137, 1754, 39, '本当に削除しますか？');
INSERT INTO `lang_definitions` VALUES (131138, 1755, 39, '本当に継続しますか？');
INSERT INTO `lang_definitions` VALUES (131139, 1756, 39, '本当にこれを削除しますか？');
INSERT INTO `lang_definitions` VALUES (131140, 1757, 39, '削除しますか？');
INSERT INTO `lang_definitions` VALUES (131141, 1758, 39, 'このレコードを削除しますか？');
INSERT INTO `lang_definitions` VALUES (131142, 1759, 39, '新規患者を継続して追加しますか？');
INSERT INTO `lang_definitions` VALUES (131143, 1760, 39, '新規名前を継続して追加しますか？');
INSERT INTO `lang_definitions` VALUES (131144, 1762, 39, '誕生日');
INSERT INTO `lang_definitions` VALUES (131145, 1763, 39, '誕生日がありません。入力してください。');
INSERT INTO `lang_definitions` VALUES (131146, 1764, 39, '医者');
INSERT INTO `lang_definitions` VALUES (131147, 1765, 39, '医者');
INSERT INTO `lang_definitions` VALUES (131148, 1766, 39, '医者');
INSERT INTO `lang_definitions` VALUES (131149, 1767, 39, '医者の指名および署名');
INSERT INTO `lang_definitions` VALUES (131150, 1768, 39, '文書');
INSERT INTO `lang_definitions` VALUES (131151, 1769, 39, '文書');
INSERT INTO `lang_definitions` VALUES (131152, 1770, 39, '文書カテゴリー');
INSERT INTO `lang_definitions` VALUES (131153, 1771, 39, 'ラボレザルトの文書カテゴリーが存在しません');
INSERT INTO `lang_definitions` VALUES (131154, 1772, 39, 'ラボレザルトを受信しました。');
INSERT INTO `lang_definitions` VALUES (131155, 1777, 39, '文書日時');
INSERT INTO `lang_definitions` VALUES (131156, 1779, 39, '文書ID');
INSERT INTO `lang_definitions` VALUES (131157, 1780, 39, '文書を新規カテゴリへ移動しました');
INSERT INTO `lang_definitions` VALUES (131158, 1781, 39, '文書を患者IDへ移動しました');
INSERT INTO `lang_definitions` VALUES (131159, 1784, 39, '文書保管メソッド');
INSERT INTO `lang_definitions` VALUES (131160, 1785, 39, '文書名を変更しました');
INSERT INTO `lang_definitions` VALUES (131161, 1786, 39, '文書を来院者に付与しました');
INSERT INTO `lang_definitions` VALUES (131162, 1787, 39, '文書定型管理');
INSERT INTO `lang_definitions` VALUES (131163, 1788, 39, '文書定型');
INSERT INTO `lang_definitions` VALUES (131164, 1789, 39, '文書');
INSERT INTO `lang_definitions` VALUES (131165, 1790, 39, '文書/イメージ 保存');
INSERT INTO `lang_definitions` VALUES (131166, 1791, 39, '文書');
INSERT INTO `lang_definitions` VALUES (131167, 1792, 39, '文書(追記オプション)');
INSERT INTO `lang_definitions` VALUES (131168, 1799, 39, '婚姻者');
INSERT INTO `lang_definitions` VALUES (131169, 1803, 39, '完了。ダウンロードを続けて送信');
INSERT INTO `lang_definitions` VALUES (131170, 1804, 39, '完了:');
INSERT INTO `lang_definitions` VALUES (131171, 1805, 39, '完了。ダウンロードを続けて送信');
INSERT INTO `lang_definitions` VALUES (131172, 1806, 39, '診察日');
INSERT INTO `lang_definitions` VALUES (131173, 1809, 39, 'ダブルクリックで編集');
INSERT INTO `lang_definitions` VALUES (131174, 1811, 39, 'ダウンロード');
INSERT INTO `lang_definitions` VALUES (131175, 1828, 39, '医師確認');
INSERT INTO `lang_definitions` VALUES (131176, 1829, 39, '医師来診');
INSERT INTO `lang_definitions` VALUES (131177, 1830, 39, '医者');
INSERT INTO `lang_definitions` VALUES (131178, 1831, 39, 'ドラッグして移動');
INSERT INTO `lang_definitions` VALUES (131179, 1834, 39, '薬');
INSERT INTO `lang_definitions` VALUES (131180, 1835, 39, '薬検索');
INSERT INTO `lang_definitions` VALUES (131181, 1836, 39, '薬フォーム');
INSERT INTO `lang_definitions` VALUES (131182, 1837, 39, '薬品IDがありません');
INSERT INTO `lang_definitions` VALUES (131183, 1840, 39, '薬品名');
INSERT INTO `lang_definitions` VALUES (131184, 1846, 39, '薬品');
INSERT INTO `lang_definitions` VALUES (131185, 1847, 39, '薬品および薬剤');
INSERT INTO `lang_definitions` VALUES (131186, 1848, 39, 'ドライマウス');
INSERT INTO `lang_definitions` VALUES (131187, 1849, 39, 'DSM-IV Diagnosis');
INSERT INTO `lang_definitions` VALUES (131188, 1850, 39, 'DT 1');
INSERT INTO `lang_definitions` VALUES (131189, 1851, 39, 'DT 2');
INSERT INTO `lang_definitions` VALUES (131190, 1852, 39, 'DT 3');
INSERT INTO `lang_definitions` VALUES (131191, 1853, 39, 'DT 4');
INSERT INTO `lang_definitions` VALUES (131192, 1854, 39, 'DT 5');
INSERT INTO `lang_definitions` VALUES (131193, 1855, 39, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (131194, 1856, 39, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (131195, 1857, 39, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (131196, 1858, 39, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (131197, 1859, 39, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (131198, 1860, 39, '経過');
INSERT INTO `lang_definitions` VALUES (131199, 1861, 39, '経過日');
INSERT INTO `lang_definitions` VALUES (131200, 1862, 39, '経過日 mm/dd/yyyy または yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (131201, 1863, 39, '経過日:');
INSERT INTO `lang_definitions` VALUES (131202, 1880, 39, '間隔');
INSERT INTO `lang_definitions` VALUES (131203, 1881, 39, '間隔');
INSERT INTO `lang_definitions` VALUES (131204, 1896, 39, '心電図');
INSERT INTO `lang_definitions` VALUES (131205, 1904, 39, '編集');
INSERT INTO `lang_definitions` VALUES (131206, 1905, 39, '編集');
INSERT INTO `lang_definitions` VALUES (131207, 1906, 39, 'アレルギー編集');
INSERT INTO `lang_definitions` VALUES (131208, 1907, 39, 'カテゴリー編集');
INSERT INTO `lang_definitions` VALUES (131209, 1912, 39, '来院所編集');
INSERT INTO `lang_definitions` VALUES (131210, 1913, 39, '来院所編集');
INSERT INTO `lang_definitions` VALUES (131211, 1914, 39, '来院所情報編集');
INSERT INTO `lang_definitions` VALUES (131212, 1915, 39, '院所指定者情報編集');
INSERT INTO `lang_definitions` VALUES (131213, 1918, 39, 'グローバル設定編集');
INSERT INTO `lang_definitions` VALUES (131214, 1919, 39, '編集権限がありません!');
INSERT INTO `lang_definitions` VALUES (131215, 1920, 39, 'レイアウト編集');
INSERT INTO `lang_definitions` VALUES (131216, 1921, 39, 'リスト編集');
INSERT INTO `lang_definitions` VALUES (131217, 1922, 39, '支払編集');
INSERT INTO `lang_definitions` VALUES (131218, 1923, 39, '構造編集');
INSERT INTO `lang_definitions` VALUES (131219, 1924, 39, 'ユーザー編集');
INSERT INTO `lang_definitions` VALUES (131220, 1925, 39, 'ユーザー設定編集');
INSERT INTO `lang_definitions` VALUES (131221, 1949, 39, '電子メール');
INSERT INTO `lang_definitions` VALUES (131222, 1950, 39, '電子メール');
INSERT INTO `lang_definitions` VALUES (131223, 1951, 39, '電子メールアドレス');
INSERT INTO `lang_definitions` VALUES (131224, 1952, 39, '電子メールアドレスがありません');
INSERT INTO `lang_definitions` VALUES (131225, 1956, 39, '電子メール認証');
INSERT INTO `lang_definitions` VALUES (131226, 1958, 39, '電子メール通知');
INSERT INTO `lang_definitions` VALUES (131227, 1959, 39, '電子メール通知時間');
INSERT INTO `lang_definitions` VALUES (131228, 1960, 39, '電子メール通知レポート');
INSERT INTO `lang_definitions` VALUES (131229, 1962, 39, '電子メール送信者');
INSERT INTO `lang_definitions` VALUES (131230, 1963, 39, '電子メール送信');
INSERT INTO `lang_definitions` VALUES (131231, 1964, 39, '電子メール宛先');
INSERT INTO `lang_definitions` VALUES (131232, 1965, 39, '電子メール件名');
INSERT INTO `lang_definitions` VALUES (131233, 1971, 39, '緊急連絡先');
INSERT INTO `lang_definitions` VALUES (131234, 1972, 39, '緊急連絡者');
INSERT INTO `lang_definitions` VALUES (131235, 1973, 39, '研究連絡電話番号');
INSERT INTO `lang_definitions` VALUES (131236, 1975, 39, '緊急ログイン');
INSERT INTO `lang_definitions` VALUES (131237, 1978, 39, '緊急ログインメールアドレス');
INSERT INTO `lang_definitions` VALUES (131238, 1979, 39, '緊急ログインユーザーは全て操作できます');
INSERT INTO `lang_definitions` VALUES (131239, 1980, 39, '緊急電話番号');
INSERT INTO `lang_definitions` VALUES (131240, 1982, 39, '肺気腫');
INSERT INTO `lang_definitions` VALUES (131241, 1983, 39, '雇用者');
INSERT INTO `lang_definitions` VALUES (131242, 1984, 39, '雇用主');
INSERT INTO `lang_definitions` VALUES (131243, 1985, 39, '雇用主住所');
INSERT INTO `lang_definitions` VALUES (131244, 1986, 39, '雇用日');
INSERT INTO `lang_definitions` VALUES (131245, 1987, 39, '雇用主名前');
INSERT INTO `lang_definitions` VALUES (131246, 1988, 39, '空');
INSERT INTO `lang_definitions` VALUES (131247, 1989, 39, '空');
INSERT INTO `lang_definitions` VALUES (131248, 1990, 39, 'パスワード空白は無効です');
INSERT INTO `lang_definitions` VALUES (131249, 1991, 39, '電子メール送信時間が空白です');
INSERT INTO `lang_definitions` VALUES (131250, 1992, 39, '電子メール宛先が空白です');
INSERT INTO `lang_definitions` VALUES (131251, 1993, 39, '電子メール件名が空白です');
INSERT INTO `lang_definitions` VALUES (131252, 1994, 39, '電子メール本文が空白です');
INSERT INTO `lang_definitions` VALUES (131253, 1995, 39, '電子メール送信主が空白です');
INSERT INTO `lang_definitions` VALUES (131254, 1996, 39, 'パスワードの値が空白です');
INSERT INTO `lang_definitions` VALUES (131255, 1997, 39, 'SMS送信時間が空白です');
INSERT INTO `lang_definitions` VALUES (131256, 1998, 39, 'SMS本文が空白です');
INSERT INTO `lang_definitions` VALUES (131257, 1999, 39, 'ユーザーネームが空白です');
INSERT INTO `lang_definitions` VALUES (131258, 2001, 39, '有効');
INSERT INTO `lang_definitions` VALUES (131259, 2008, 39, 'AMCレポートを有効にします');
INSERT INTO `lang_definitions` VALUES (131260, 2009, 39, 'AMCトラッキングを有効にします');
INSERT INTO `lang_definitions` VALUES (131261, 2016, 39, 'SSL端末接続が可能です');
INSERT INTO `lang_definitions` VALUES (131262, 2017, 39, 'SSL端末の認証接続が可能です');
INSERT INTO `lang_definitions` VALUES (131263, 2025, 39, 'CMSポータルが可能です');
INSERT INTO `lang_definitions` VALUES (131264, 2027, 39, 'CQMレポートを有効にします');
INSERT INTO `lang_definitions` VALUES (131265, 2031, 39, 'Hylafax サポート可能');
INSERT INTO `lang_definitions` VALUES (131266, 2033, 39, 'NewCrop erxのインポートステータスメッセージを有効にします');
INSERT INTO `lang_definitions` VALUES (131267, 2034, 39, 'AMCレポートの内訳を有効にします');
INSERT INTO `lang_definitions` VALUES (131268, 2035, 39, 'CQMレポートの内訳を有効にします');
INSERT INTO `lang_definitions` VALUES (131269, 2036, 39, '標準的な臨床規則レポートの内訳を有効にします');
INSERT INTO `lang_definitions` VALUES (131270, 2038, 39, 'ロックトグルを有効にします');
INSERT INTO `lang_definitions` VALUES (131271, 2039, 39, 'CouchDBのにドキュメントのアップロード/ダウンロードのログを有効にします');
INSERT INTO `lang_definitions` VALUES (131272, 2040, 39, 'すべてのSQLのSELECTクエリのログを有効にします。');
INSERT INTO `lang_definitions` VALUES (131273, 2041, 39, 'バックアップ関連の活動のログを有効にします。');
INSERT INTO `lang_definitions` VALUES (131274, 2061, 39, 'スキャナーサポート可能');
INSERT INTO `lang_definitions` VALUES (131275, 2130, 39, '終了日：');
INSERT INTO `lang_definitions` VALUES (131276, 2131, 39, '終了時刻');
INSERT INTO `lang_definitions` VALUES (131277, 2141, 39, '英語');
INSERT INTO `lang_definitions` VALUES (131278, 2142, 39, '英語 ');
INSERT INTO `lang_definitions` VALUES (131279, 2143, 39, '英語（インド）');
INSERT INTO `lang_definitions` VALUES (131280, 2144, 39, '英語（一般）');
INSERT INTO `lang_definitions` VALUES (131281, 2155, 39, '薬剤を入力してください');
INSERT INTO `lang_definitions` VALUES (131282, 2158, 39, '予防接種を入力してください');
INSERT INTO `lang_definitions` VALUES (131283, 2159, 39, 'キーを入力してください');
INSERT INTO `lang_definitions` VALUES (131284, 2160, 39, '新しいデータを入力してください');
INSERT INTO `lang_definitions` VALUES (131285, 2161, 39, '新しい状態を入力してください');
INSERT INTO `lang_definitions` VALUES (131286, 2163, 39, 'この手順についてLOINCコードを入力してください');
INSERT INTO `lang_definitions` VALUES (131287, 2164, 39, '再識別コードを入力してください');
INSERT INTO `lang_definitions` VALUES (131288, 2167, 39, 'エントリー');
INSERT INTO `lang_definitions` VALUES (131289, 2168, 39, '環境の');
INSERT INTO `lang_definitions` VALUES (131290, 2181, 39, '消去');
INSERT INTO `lang_definitions` VALUES (131291, 2183, 39, 'エラー');
INSERT INTO `lang_definitions` VALUES (131292, 2184, 39, 'エラー');
INSERT INTO `lang_definitions` VALUES (131293, 2190, 39, '「プロセス」の選択でエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (131294, 2194, 39, 'YESまたはNOオプションでエラーが発生しました');
INSERT INTO `lang_definitions` VALUES (131295, 2196, 39, 'エラー処理ファイル');
INSERT INTO `lang_definitions` VALUES (131296, 2198, 39, 'エラーメッセージの削除');
INSERT INTO `lang_definitions` VALUES (131297, 2200, 39, '値を取得中にエラーが発生しました。');
INSERT INTO `lang_definitions` VALUES (131298, 2235, 39, 'エラー');
INSERT INTO `lang_definitions` VALUES (131299, 2245, 39, 'エスキモー人');
INSERT INTO `lang_definitions` VALUES (131300, 2246, 39, 'スペイン人');
INSERT INTO `lang_definitions` VALUES (131301, 2247, 39, '発行済み患者');
INSERT INTO `lang_definitions` VALUES (131302, 2248, 39, 'エストニア人');
INSERT INTO `lang_definitions` VALUES (131303, 2249, 39, 'エスニック人');
INSERT INTO `lang_definitions` VALUES (131304, 2250, 39, 'エスニック及び人種');
INSERT INTO `lang_definitions` VALUES (131305, 2251, 39, 'エスニック及び人種(追記オプション)');
INSERT INTO `lang_definitions` VALUES (131306, 2253, 39, 'イベント');
INSERT INTO `lang_definitions` VALUES (131307, 2254, 39, 'イベント開始');
INSERT INTO `lang_definitions` VALUES (131308, 2255, 39, 'イベントカテゴリー');
INSERT INTO `lang_definitions` VALUES (131309, 2256, 39, 'イベント日付');
INSERT INTO `lang_definitions` VALUES (131310, 2257, 39, 'イベント概要');
INSERT INTO `lang_definitions` VALUES (131311, 2258, 39, 'イベント詳細');
INSERT INTO `lang_definitions` VALUES (131312, 2259, 39, 'イベントは繰り返しません');
INSERT INTO `lang_definitions` VALUES (131313, 2260, 39, 'イベント間隔');
INSERT INTO `lang_definitions` VALUES (131314, 2261, 39, 'イベント間隔(分)');
INSERT INTO `lang_definitions` VALUES (131315, 2262, 39, 'イベント料');
INSERT INTO `lang_definitions` VALUES (131316, 2263, 39, 'イベント場所');
INSERT INTO `lang_definitions` VALUES (131317, 2264, 39, 'イベントリピート毎');
INSERT INTO `lang_definitions` VALUES (131318, 2265, 39, 'イベントリピート');
INSERT INTO `lang_definitions` VALUES (131319, 2266, 39, 'イベント開始時間');
INSERT INTO `lang_definitions` VALUES (131320, 2267, 39, 'イベントタイトル');
INSERT INTO `lang_definitions` VALUES (131321, 2268, 39, 'イベントタイトル');
INSERT INTO `lang_definitions` VALUES (131322, 2269, 39, 'イベントウェブサイト');
INSERT INTO `lang_definitions` VALUES (131323, 2270, 39, 'イベント');
INSERT INTO `lang_definitions` VALUES (131324, 2272, 39, 'イベントを新規ウインドウで開く');
INSERT INTO `lang_definitions` VALUES (131325, 2273, 39, '毎');
INSERT INTO `lang_definitions` VALUES (131326, 2274, 39, '毎');
INSERT INTO `lang_definitions` VALUES (131327, 2275, 39, '3時間毎');
INSERT INTO `lang_definitions` VALUES (131328, 2276, 39, '4時間毎');
INSERT INTO `lang_definitions` VALUES (131329, 2277, 39, '5時間毎');
INSERT INTO `lang_definitions` VALUES (131330, 2278, 39, '6時間毎');
INSERT INTO `lang_definitions` VALUES (131331, 2279, 39, '8時間毎');
INSERT INTO `lang_definitions` VALUES (131332, 2280, 39, '4回毎');
INSERT INTO `lang_definitions` VALUES (131333, 2281, 39, 'その都度');
INSERT INTO `lang_definitions` VALUES (131334, 2282, 39, '3回毎');
INSERT INTO `lang_definitions` VALUES (131335, 2285, 39, '練習及び試験レザルト');
INSERT INTO `lang_definitions` VALUES (131336, 2286, 39, '練習レザルト');
INSERT INTO `lang_definitions` VALUES (131337, 2289, 39, '練習レザルト');
INSERT INTO `lang_definitions` VALUES (131338, 2290, 39, '練習日');
INSERT INTO `lang_definitions` VALUES (131339, 2291, 39, 'サンプル');
INSERT INTO `lang_definitions` VALUES (131340, 2292, 39, 'サンプル');
INSERT INTO `lang_definitions` VALUES (131341, 2293, 39, '試験/テスト');
INSERT INTO `lang_definitions` VALUES (131342, 2300, 39, '運動');
INSERT INTO `lang_definitions` VALUES (131343, 2301, 39, '運動パターン');
INSERT INTO `lang_definitions` VALUES (131344, 2302, 39, '運動パターン');
INSERT INTO `lang_definitions` VALUES (131345, 2305, 39, '経験');
INSERT INTO `lang_definitions` VALUES (131346, 2306, 39, '展開');
INSERT INTO `lang_definitions` VALUES (131347, 2307, 39, '展開');
INSERT INTO `lang_definitions` VALUES (131348, 2308, 39, '全て展開');
INSERT INTO `lang_definitions` VALUES (131349, 2313, 39, '有効期限');
INSERT INTO `lang_definitions` VALUES (131350, 2314, 39, '有効期限');
INSERT INTO `lang_definitions` VALUES (131351, 2315, 39, '有効期限');
INSERT INTO `lang_definitions` VALUES (131352, 2317, 39, 'エクスポート');
INSERT INTO `lang_definitions` VALUES (131353, 2318, 39, 'CSVでエクスポート');
INSERT INTO `lang_definitions` VALUES (131354, 2319, 39, '設定のエクスポート');
INSERT INTO `lang_definitions` VALUES (131355, 2322, 39, '患者一般表示項目のエクスポート');
INSERT INTO `lang_definitions` VALUES (131356, 2325, 39, '選択済みをCSVでエクスポート');
INSERT INTO `lang_definitions` VALUES (131357, 2327, 39, 'CSVへエクスポート');
INSERT INTO `lang_definitions` VALUES (131358, 2328, 39, '外部課金システムへエクスポート');
INSERT INTO `lang_definitions` VALUES (131359, 2332, 39, '外部');
INSERT INTO `lang_definitions` VALUES (131360, 2334, 39, '外部データ読み込み');
INSERT INTO `lang_definitions` VALUES (131361, 2335, 39, '外部データベースインポートユーティリティー');
INSERT INTO `lang_definitions` VALUES (131362, 2336, 39, '外部ID');
INSERT INTO `lang_definitions` VALUES (131363, 2337, 39, '外部ID');
INSERT INTO `lang_definitions` VALUES (131364, 2338, 39, '外部識別子');
INSERT INTO `lang_definitions` VALUES (131365, 2339, 39, '外部のみ');
INSERT INTO `lang_definitions` VALUES (131366, 2346, 39, 'ZIPファイル展開');
INSERT INTO `lang_definitions` VALUES (131367, 2347, 39, 'ファイル展開中…しばらくお待ちください');
INSERT INTO `lang_definitions` VALUES (131368, 2349, 39, '眼刺激性');
INSERT INTO `lang_definitions` VALUES (131369, 2350, 39, '目疾患');
INSERT INTO `lang_definitions` VALUES (131370, 2352, 39, '目');
INSERT INTO `lang_definitions` VALUES (131371, 2356, 39, '病院');
INSERT INTO `lang_definitions` VALUES (131372, 2379, 39, '作成失敗');
INSERT INTO `lang_definitions` VALUES (131373, 2382, 39, '失敗しました。');
INSERT INTO `lang_definitions` VALUES (131374, 2383, 39, '失敗');
INSERT INTO `lang_definitions` VALUES (131375, 2384, 39, '失敗');
INSERT INTO `lang_definitions` VALUES (131376, 2400, 39, '父親');
INSERT INTO `lang_definitions` VALUES (131377, 2402, 39, '倦怠感');
INSERT INTO `lang_definitions` VALUES (131378, 2403, 39, '疲労');
INSERT INTO `lang_definitions` VALUES (131379, 2404, 39, 'ファックス');
INSERT INTO `lang_definitions` VALUES (131380, 2405, 39, 'ファックス枚数');
INSERT INTO `lang_definitions` VALUES (131381, 2406, 39, 'ファックス番号');
INSERT INTO `lang_definitions` VALUES (131382, 2408, 39, 'ファックス/スキャン');
INSERT INTO `lang_definitions` VALUES (131383, 2409, 39, 'FAX受信');
INSERT INTO `lang_definitions` VALUES (131384, 2410, 39, 'FAX送信');
INSERT INTO `lang_definitions` VALUES (131385, 2411, 39, '特徴');
INSERT INTO `lang_definitions` VALUES (131386, 2412, 39, '2月');
INSERT INTO `lang_definitions` VALUES (131387, 2413, 39, '2月');
INSERT INTO `lang_definitions` VALUES (131388, 2423, 39, '報酬');
INSERT INTO `lang_definitions` VALUES (131389, 2424, 39, '女性');
INSERT INTO `lang_definitions` VALUES (131390, 2426, 39, '女性用コンドーム');
INSERT INTO `lang_definitions` VALUES (131391, 2435, 39, '発熱');
INSERT INTO `lang_definitions` VALUES (131392, 2438, 39, 'フィールド');
INSERT INTO `lang_definitions` VALUES (131393, 2446, 39, 'フィジー人');
INSERT INTO `lang_definitions` VALUES (131394, 2447, 39, 'ファイル更新');
INSERT INTO `lang_definitions` VALUES (131395, 2449, 39, 'ファイル位置');
INSERT INTO `lang_definitions` VALUES (131396, 2450, 39, 'ファイル管理');
INSERT INTO `lang_definitions` VALUES (131397, 2456, 39, '送信ファイル');
INSERT INTO `lang_definitions` VALUES (131398, 2457, 39, '送信ファイル');
INSERT INTO `lang_definitions` VALUES (131399, 2459, 39, 'ファイル名');
INSERT INTO `lang_definitions` VALUES (131400, 2460, 39, 'ファイル名の末尾は”.pdf”が必要です');
INSERT INTO `lang_definitions` VALUES (131401, 2461, 39, 'ファイル位置');
INSERT INTO `lang_definitions` VALUES (131402, 2462, 39, 'フィリピン人');
INSERT INTO `lang_definitions` VALUES (131403, 2468, 39, 'フィルター');
INSERT INTO `lang_definitions` VALUES (131404, 2472, 39, 'フィルター');
INSERT INTO `lang_definitions` VALUES (131405, 2473, 39, 'フィルター');
INSERT INTO `lang_definitions` VALUES (131406, 2493, 39, '完了');
INSERT INTO `lang_definitions` VALUES (131407, 2494, 39, 'フィンランド語');
INSERT INTO `lang_definitions` VALUES (131408, 2495, 39, '最初');
INSERT INTO `lang_definitions` VALUES (131409, 2497, 39, '週の最初の日');
INSERT INTO `lang_definitions` VALUES (131410, 2498, 39, 'ファーストネーム');
INSERT INTO `lang_definitions` VALUES (131411, 2499, 39, 'ファーストネーム');
INSERT INTO `lang_definitions` VALUES (131412, 2500, 39, 'ファーストネーム：');
INSERT INTO `lang_definitions` VALUES (131413, 2501, 39, '初来院または相談');
INSERT INTO `lang_definitions` VALUES (131414, 2502, 39, '名前苗字');
INSERT INTO `lang_definitions` VALUES (131415, 2503, 39, 'フィットネス');
INSERT INTO `lang_definitions` VALUES (131416, 2504, 39, 'フィットネスレベル');
INSERT INTO `lang_definitions` VALUES (131417, 2512, 39, 'フロー');
INSERT INTO `lang_definitions` VALUES (131418, 2532, 39, '足');
INSERT INTO `lang_definitions` VALUES (131419, 2564, 39, '書式');
INSERT INTO `lang_definitions` VALUES (131420, 2571, 39, '喫煙経験者');
INSERT INTO `lang_definitions` VALUES (131421, 2581, 39, '骨折');
INSERT INTO `lang_definitions` VALUES (131422, 2583, 39, '外果骨折');
INSERT INTO `lang_definitions` VALUES (131423, 2584, 39, '内果骨折');
INSERT INTO `lang_definitions` VALUES (131424, 2588, 39, 'フランス人(カナダ系)');
INSERT INTO `lang_definitions` VALUES (131425, 2589, 39, 'フランス人(一般)');
INSERT INTO `lang_definitions` VALUES (131426, 2590, 39, '周期');
INSERT INTO `lang_definitions` VALUES (131427, 2593, 39, '金');
INSERT INTO `lang_definitions` VALUES (131428, 2594, 39, '金曜日');
INSERT INTO `lang_definitions` VALUES (131429, 2595, 39, 'From');
INSERT INTO `lang_definitions` VALUES (131430, 2596, 39, '送信元');
INSERT INTO `lang_definitions` VALUES (131431, 2597, 39, 'から');
INSERT INTO `lang_definitions` VALUES (131432, 2598, 39, 'から');
INSERT INTO `lang_definitions` VALUES (131433, 2599, 39, '送信元:');
INSERT INTO `lang_definitions` VALUES (131434, 2600, 39, '送信元: ');
INSERT INTO `lang_definitions` VALUES (131435, 2635, 39, 'ガリシア語');
INSERT INTO `lang_definitions` VALUES (131436, 2637, 39, '胆石');
INSERT INTO `lang_definitions` VALUES (131437, 2641, 39, 'ゲーム/イベント');
INSERT INTO `lang_definitions` VALUES (131438, 2643, 39, 'ガンダ語');
INSERT INTO `lang_definitions` VALUES (131439, 2644, 39, '胃炎');
INSERT INTO `lang_definitions` VALUES (131440, 2645, 39, '胃の痛み');
INSERT INTO `lang_definitions` VALUES (131441, 2646, 39, '胃腸');
INSERT INTO `lang_definitions` VALUES (131442, 2647, 39, 'GCAC統計レポート');
INSERT INTO `lang_definitions` VALUES (131443, 2648, 39, 'GCAC統計');
INSERT INTO `lang_definitions` VALUES (131444, 2649, 39, 'GCAC訪問フォームが欠落しています');
INSERT INTO `lang_definitions` VALUES (131445, 2650, 39, '性別');
INSERT INTO `lang_definitions` VALUES (131446, 2651, 39, '性別 ');
INSERT INTO `lang_definitions` VALUES (131447, 2652, 39, '総合');
INSERT INTO `lang_definitions` VALUES (131448, 2653, 39, '総合問題リスト');
INSERT INTO `lang_definitions` VALUES (131449, 2656, 39, '生成');
INSERT INTO `lang_definitions` VALUES (131450, 2668, 39, 'インボイス作成');
INSERT INTO `lang_definitions` VALUES (131451, 2669, 39, 'レター作成');
INSERT INTO `lang_definitions` VALUES (131452, 2670, 39, 'レター挨拶作成 ');
INSERT INTO `lang_definitions` VALUES (131453, 2683, 39, '生成');
INSERT INTO `lang_definitions` VALUES (131454, 2684, 39, '泌尿生殖器');
INSERT INTO `lang_definitions` VALUES (131455, 2687, 39, 'ドイツ語');
INSERT INTO `lang_definitions` VALUES (131456, 2698, 39, '全般');
INSERT INTO `lang_definitions` VALUES (131457, 2713, 39, 'グラム');
INSERT INTO `lang_definitions` VALUES (131458, 2714, 39, '総合計');
INSERT INTO `lang_definitions` VALUES (131459, 2715, 39, '総合計');
INSERT INTO `lang_definitions` VALUES (131460, 2722, 39, 'ギリシャ人');
INSERT INTO `lang_definitions` VALUES (131461, 2724, 39, 'グループ');
INSERT INTO `lang_definitions` VALUES (131462, 2725, 39, 'グループ名');
INSERT INTO `lang_definitions` VALUES (131463, 2731, 39, 'グループ');
INSERT INTO `lang_definitions` VALUES (131464, 2732, 39, 'グループ名');
INSERT INTO `lang_definitions` VALUES (131465, 2752, 39, 'ハードディスク');
INSERT INTO `lang_definitions` VALUES (131466, 2760, 39, 'ハワイ人');
INSERT INTO `lang_definitions` VALUES (131467, 2768, 39, '頭');
INSERT INTO `lang_definitions` VALUES (131468, 2771, 39, '頭痛');
INSERT INTO `lang_definitions` VALUES (131469, 2772, 39, '頭痛');
INSERT INTO `lang_definitions` VALUES (131470, 2780, 39, '心臓病');
INSERT INTO `lang_definitions` VALUES (131471, 2781, 39, '心不全');
INSERT INTO `lang_definitions` VALUES (131472, 2784, 39, '心臓外科');
INSERT INTO `lang_definitions` VALUES (131473, 2791, 39, 'ヘブライ人');
INSERT INTO `lang_definitions` VALUES (131474, 2794, 39, '身長');
INSERT INTO `lang_definitions` VALUES (131475, 2795, 39, '身長/長さ');
INSERT INTO `lang_definitions` VALUES (131476, 2796, 39, 'ヘルプ');
INSERT INTO `lang_definitions` VALUES (131477, 2797, 39, 'ヘルプ');
INSERT INTO `lang_definitions` VALUES (131478, 2798, 39, '吐血');
INSERT INTO `lang_definitions` VALUES (131479, 2799, 39, '血便排泄');
INSERT INTO `lang_definitions` VALUES (131480, 2800, 39, '血液学');
INSERT INTO `lang_definitions` VALUES (131481, 2801, 39, '血尿');
INSERT INTO `lang_definitions` VALUES (131482, 2802, 39, 'ヘモグロビン');
INSERT INTO `lang_definitions` VALUES (131483, 2803, 39, 'ヘモグロビン A1C');
INSERT INTO `lang_definitions` VALUES (131484, 2804, 39, '喀血');
INSERT INTO `lang_definitions` VALUES (131485, 2805, 39, '肝炎');
INSERT INTO `lang_definitions` VALUES (131486, 2806, 39, 'A型肝炎1');
INSERT INTO `lang_definitions` VALUES (131487, 2807, 39, 'A型肝炎2');
INSERT INTO `lang_definitions` VALUES (131488, 2808, 39, 'B型肝炎1');
INSERT INTO `lang_definitions` VALUES (131489, 2809, 39, 'B型肝炎2');
INSERT INTO `lang_definitions` VALUES (131490, 2810, 39, 'B型肝炎3');
INSERT INTO `lang_definitions` VALUES (131491, 2812, 39, 'ヘレロ語');
INSERT INTO `lang_definitions` VALUES (131492, 2814, 39, '椎間板ヘルニア');
INSERT INTO `lang_definitions` VALUES (131493, 2815, 39, 'ヘルペス');
INSERT INTO `lang_definitions` VALUES (131494, 2816, 39, 'ためらい');
INSERT INTO `lang_definitions` VALUES (131495, 2818, 39, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (131496, 2819, 39, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (131497, 2820, 39, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (131498, 2821, 39, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (131499, 2824, 39, '隠す');
INSERT INTO `lang_definitions` VALUES (131500, 2825, 39, '詳細を隠す');
INSERT INTO `lang_definitions` VALUES (131501, 2828, 39, 'メニューを隠す');
INSERT INTO `lang_definitions` VALUES (131502, 2830, 39, 'リマインダーを隠す');
INSERT INTO `lang_definitions` VALUES (131503, 2833, 39, '高い');
INSERT INTO `lang_definitions` VALUES (131504, 2834, 39, '高血圧');
INSERT INTO `lang_definitions` VALUES (131505, 2843, 39, 'ヒスパニック');
INSERT INTO `lang_definitions` VALUES (131506, 2846, 39, 'ヒスパニックまたはラテン');
INSERT INTO `lang_definitions` VALUES (131507, 2847, 39, '履歴');
INSERT INTO `lang_definitions` VALUES (131508, 2848, 39, '履歴データ');
INSERT INTO `lang_definitions` VALUES (131509, 2849, 39, '履歴日時');
INSERT INTO `lang_definitions` VALUES (131510, 2851, 39, '履歴番号');
INSERT INTO `lang_definitions` VALUES (131511, 2855, 39, 'HIV');
INSERT INTO `lang_definitions` VALUES (131512, 2858, 39, 'HL7ビュアー');
INSERT INTO `lang_definitions` VALUES (131513, 2861, 39, 'フモン語');
INSERT INTO `lang_definitions` VALUES (131514, 2863, 39, '複数の項目を選択するにはCtrlキーを押しながら');
INSERT INTO `lang_definitions` VALUES (131515, 2865, 39, 'ホーム');
INSERT INTO `lang_definitions` VALUES (131516, 2866, 39, '自宅');
INSERT INTO `lang_definitions` VALUES (131517, 2867, 39, '自宅電話番号');
INSERT INTO `lang_definitions` VALUES (131518, 2868, 39, 'ホームレス(同様に)');
INSERT INTO `lang_definitions` VALUES (131519, 2869, 39, 'ホームレス等');
INSERT INTO `lang_definitions` VALUES (131520, 2870, 39, 'ホームレス等');
INSERT INTO `lang_definitions` VALUES (131521, 2872, 39, 'ホスト名');
INSERT INTO `lang_definitions` VALUES (131522, 2873, 39, 'ホスト名は空にできません');
INSERT INTO `lang_definitions` VALUES (131523, 2875, 39, '時間');
INSERT INTO `lang_definitions` VALUES (131524, 2876, 39, '時間');
INSERT INTO `lang_definitions` VALUES (131525, 2887, 39, 'ハンガリー語');
INSERT INTO `lang_definitions` VALUES (131526, 2888, 39, 'Hylafax 電話帳');
INSERT INTO `lang_definitions` VALUES (131527, 2890, 39, 'Hylafax サーバー');
INSERT INTO `lang_definitions` VALUES (131528, 2891, 39, 'Hylafax サーバー ホスト名');
INSERT INTO `lang_definitions` VALUES (131529, 2893, 39, '高血圧');
INSERT INTO `lang_definitions` VALUES (131530, 2897, 39, '甲状腺機能低下症');
INSERT INTO `lang_definitions` VALUES (131531, 2900, 39, 'この時間は多忙です');
INSERT INTO `lang_definitions` VALUES (131532, 2901, 39, '読み込み権限がありません ');
INSERT INTO `lang_definitions` VALUES (131533, 2902, 39, 'ICD');
INSERT INTO `lang_definitions` VALUES (131534, 2909, 39, 'ID');
INSERT INTO `lang_definitions` VALUES (131535, 2911, 39, 'IDは空白にできません');
INSERT INTO `lang_definitions` VALUES (131536, 2912, 39, 'IDカード');
INSERT INTO `lang_definitions` VALUES (131537, 2915, 39, '識別子（一句）');
INSERT INTO `lang_definitions` VALUES (131538, 2925, 39, 'SMTPで利用するサーバーホスト名またはIPアドレス');
INSERT INTO `lang_definitions` VALUES (131539, 2926, 39, 'SMTPで利用するTCPポート番号(通常 25)');
INSERT INTO `lang_definitions` VALUES (131540, 2927, 39, '非雇用の場合は学生');
INSERT INTO `lang_definitions` VALUES (131541, 2936, 39, '否定');
INSERT INTO `lang_definitions` VALUES (131542, 2937, 39, '持病');
INSERT INTO `lang_definitions` VALUES (131543, 2938, 39, 'IM');
INSERT INTO `lang_definitions` VALUES (131544, 2941, 39, 'イメージサービス');
INSERT INTO `lang_definitions` VALUES (131545, 2942, 39, '免疫');
INSERT INTO `lang_definitions` VALUES (131546, 2943, 39, '免疫コード');
INSERT INTO `lang_definitions` VALUES (131547, 2953, 39, '免疫化');
INSERT INTO `lang_definitions` VALUES (131548, 2956, 39, 'インプラント');
INSERT INTO `lang_definitions` VALUES (131549, 2957, 39, 'インポート');
INSERT INTO `lang_definitions` VALUES (131550, 2962, 39, '設定のインポート');
INSERT INTO `lang_definitions` VALUES (131551, 2964, 39, '患者のインポート');
INSERT INTO `lang_definitions` VALUES (131552, 2967, 39, '重要：このアップロードツールは、システムに入力されていない患者ドキュメントのみアップロードするためのものです。システム入力済の患者のファイルをアップロードするには、患者のサマリー画面内のリンクよりアップロードツールを使用してください。');
INSERT INTO `lang_definitions` VALUES (131553, 2972, 39, '加速する');
INSERT INTO `lang_definitions` VALUES (131554, 2978, 39, 'オフィス内');
INSERT INTO `lang_definitions` VALUES (131555, 2983, 39, '受信箱');
INSERT INTO `lang_definitions` VALUES (131556, 2986, 39, 'チェックサム含む');
INSERT INTO `lang_definitions` VALUES (131557, 2991, 39, 'バイタル含む');
INSERT INTO `lang_definitions` VALUES (131558, 2996, 39, '非完全');
INSERT INTO `lang_definitions` VALUES (131559, 3004, 39, 'インド人');
INSERT INTO `lang_definitions` VALUES (131560, 3005, 39, '異常を示します');
INSERT INTO `lang_definitions` VALUES (131561, 3006, 39, 'この問題は、現在アクティブであるかどうかを示します');
INSERT INTO `lang_definitions` VALUES (131562, 3008, 39, '専門的な使用のためのインジケータ');
INSERT INTO `lang_definitions` VALUES (131563, 3009, 39, '貧しい患者');
INSERT INTO `lang_definitions` VALUES (131564, 3010, 39, '貧しい患者レポート');
INSERT INTO `lang_definitions` VALUES (131565, 3013, 39, 'インドネシア語');
INSERT INTO `lang_definitions` VALUES (131566, 3014, 39, '人工流産');
INSERT INTO `lang_definitions` VALUES (131567, 3016, 39, '不適格');
INSERT INTO `lang_definitions` VALUES (131568, 3017, 39, '感染/膿瘍');
INSERT INTO `lang_definitions` VALUES (131569, 3018, 39, '感染症');
INSERT INTO `lang_definitions` VALUES (131570, 3020, 39, '不妊');
INSERT INTO `lang_definitions` VALUES (131571, 3027, 39, 'Info test 1');
INSERT INTO `lang_definitions` VALUES (131572, 3028, 39, 'Info test 2');
INSERT INTO `lang_definitions` VALUES (131573, 3029, 39, 'Info test 3');
INSERT INTO `lang_definitions` VALUES (131574, 3030, 39, 'Info test 4');
INSERT INTO `lang_definitions` VALUES (131575, 3031, 39, 'Info test 5');
INSERT INTO `lang_definitions` VALUES (131576, 3032, 39, 'Info test 6');
INSERT INTO `lang_definitions` VALUES (131577, 3040, 39, '注射');
INSERT INTO `lang_definitions` VALUES (131578, 3043, 39, '傷害');
INSERT INTO `lang_definitions` VALUES (131579, 3065, 39, 'Ins1');
INSERT INTO `lang_definitions` VALUES (131580, 3066, 39, 'Ins2');
INSERT INTO `lang_definitions` VALUES (131581, 3067, 39, 'Ins3');
INSERT INTO `lang_definitions` VALUES (131582, 3068, 39, '挿入');
INSERT INTO `lang_definitions` VALUES (131583, 3070, 39, 'テーブルに古いイベントを挿入します');
INSERT INTO `lang_definitions` VALUES (131584, 3072, 39, '不眠症');
INSERT INTO `lang_definitions` VALUES (131585, 3073, 39, 'ログ検査');
INSERT INTO `lang_definitions` VALUES (131586, 3074, 39, '検査');
INSERT INTO `lang_definitions` VALUES (131587, 3076, 39, 'インストール');
INSERT INTO `lang_definitions` VALUES (131588, 3077, 39, 'インストール');
INSERT INTO `lang_definitions` VALUES (131589, 3078, 39, 'コードセットのインストール');
INSERT INTO `lang_definitions` VALUES (131590, 3079, 39, 'DBのインストール');
INSERT INTO `lang_definitions` VALUES (131591, 3087, 39, '保険');
INSERT INTO `lang_definitions` VALUES (131592, 3088, 39, '保険');
INSERT INTO `lang_definitions` VALUES (131593, 3093, 39, '保険会社');
INSERT INTO `lang_definitions` VALUES (131594, 3094, 39, '保険会社');
INSERT INTO `lang_definitions` VALUES (131595, 3095, 39, '保険会社');
INSERT INTO `lang_definitions` VALUES (131596, 3104, 39, '保険形式');
INSERT INTO `lang_definitions` VALUES (131597, 3105, 39, '保険');
INSERT INTO `lang_definitions` VALUES (131598, 3116, 39, '内部エラー');
INSERT INTO `lang_definitions` VALUES (131599, 3118, 39, '内部エラー：MSH-10が見つかりません');
INSERT INTO `lang_definitions` VALUES (131600, 3129, 39, '通訳');
INSERT INTO `lang_definitions` VALUES (131601, 3130, 39, '通訳が必要？');
INSERT INTO `lang_definitions` VALUES (131602, 3132, 39, '間隔');
INSERT INTO `lang_definitions` VALUES (131603, 3133, 39, '間隔(分)');
INSERT INTO `lang_definitions` VALUES (131604, 3135, 39, '介入');
INSERT INTO `lang_definitions` VALUES (131605, 3142, 39, 'イヌクティトゥト語');
INSERT INTO `lang_definitions` VALUES (131606, 3143, 39, 'イヌピアック語');
INSERT INTO `lang_definitions` VALUES (131607, 3144, 39, '不明文字がある');
INSERT INTO `lang_definitions` VALUES (131608, 3147, 39, '長さ違い');
INSERT INTO `lang_definitions` VALUES (131609, 3151, 39, 'サービスコード異常');
INSERT INTO `lang_definitions` VALUES (131610, 3153, 39, 'ユーザー名あるいはパスワードに誤りがあります');
INSERT INTO `lang_definitions` VALUES (131611, 3155, 39, '持ち物');
INSERT INTO `lang_definitions` VALUES (131612, 3160, 39, '持ち物リスト');
INSERT INTO `lang_definitions` VALUES (131613, 3162, 39, '見積もり');
INSERT INTO `lang_definitions` VALUES (131614, 3163, 39, '見積もり');
INSERT INTO `lang_definitions` VALUES (131615, 3173, 39, '見積もり:');
INSERT INTO `lang_definitions` VALUES (131616, 3174, 39, '国際家族計画連盟');
INSERT INTO `lang_definitions` VALUES (131617, 3180, 39, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (131618, 3181, 39, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (131619, 3182, 39, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (131620, 3183, 39, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (131621, 3184, 39, 'アイリッシュ');
INSERT INTO `lang_definitions` VALUES (131622, 3198, 39, 'PHPがセーフモードで実行されていますか？');
INSERT INTO `lang_definitions` VALUES (131623, 3202, 39, 'ファイルは暗号化されていますか？');
INSERT INTO `lang_definitions` VALUES (131624, 3205, 39, '医学的問題のコードタイプですか？');
INSERT INTO `lang_definitions` VALUES (131625, 3208, 39, '有効ですか？');
INSERT INTO `lang_definitions` VALUES (131626, 3211, 39, 'これでよろしいですか？');
INSERT INTO `lang_definitions` VALUES (131627, 3214, 39, 'では長すぎます');
INSERT INTO `lang_definitions` VALUES (131628, 3215, 39, 'ISO 639-2 Code');
INSERT INTO `lang_definitions` VALUES (131629, 3216, 39, '問題');
INSERT INTO `lang_definitions` VALUES (131630, 3217, 39, '問題');
INSERT INTO `lang_definitions` VALUES (131631, 3218, 39, '問題日');
INSERT INTO `lang_definitions` VALUES (131632, 3219, 39, '問題ID');
INSERT INTO `lang_definitions` VALUES (131633, 3220, 39, '課題');
INSERT INTO `lang_definitions` VALUES (131634, 3221, 39, '課題タイプ');
INSERT INTO `lang_definitions` VALUES (131635, 3222, 39, '課題タイプ');
INSERT INTO `lang_definitions` VALUES (131636, 3223, 39, '問題内容');
INSERT INTO `lang_definitions` VALUES (131637, 3230, 39, 'イタリア人');
INSERT INTO `lang_definitions` VALUES (131638, 3231, 39, 'アイテム');
INSERT INTO `lang_definitions` VALUES (131639, 3232, 39, 'アイテム');
INSERT INTO `lang_definitions` VALUES (131640, 3233, 39, 'アイテム');
INSERT INTO `lang_definitions` VALUES (131641, 3237, 39, '点滴静脈注射');
INSERT INTO `lang_definitions` VALUES (131642, 3238, 39, '一月');
INSERT INTO `lang_definitions` VALUES (131643, 3239, 39, '一月');
INSERT INTO `lang_definitions` VALUES (131644, 3240, 39, '日本語');
INSERT INTO `lang_definitions` VALUES (131645, 3242, 39, 'ジャワ人');
INSERT INTO `lang_definitions` VALUES (131646, 3243, 39, '仕事概略');
INSERT INTO `lang_definitions` VALUES (131647, 3244, 39, '仕事ID');
INSERT INTO `lang_definitions` VALUES (131648, 3248, 39, '6月');
INSERT INTO `lang_definitions` VALUES (131649, 3249, 39, '6月');
INSERT INTO `lang_definitions` VALUES (131650, 3250, 39, '7月');
INSERT INTO `lang_definitions` VALUES (131651, 3251, 39, '7月');
INSERT INTO `lang_definitions` VALUES (131652, 3255, 39, '適正値');
INSERT INTO `lang_definitions` VALUES (131653, 3256, 39, '適正値/保存');
INSERT INTO `lang_definitions` VALUES (131654, 3264, 39, 'キー');
INSERT INTO `lang_definitions` VALUES (131655, 3265, 39, 'キーワード');
INSERT INTO `lang_definitions` VALUES (131656, 3266, 39, 'キログラム');
INSERT INTO `lang_definitions` VALUES (131657, 3267, 39, '平方キログラム');
INSERT INTO `lang_definitions` VALUES (131658, 3269, 39, '小児がん');
INSERT INTO `lang_definitions` VALUES (131659, 3270, 39, '小児不全');
INSERT INTO `lang_definitions` VALUES (131660, 3272, 39, '腎臓結石');
INSERT INTO `lang_definitions` VALUES (131661, 3273, 39, '腎臓移植');
INSERT INTO `lang_definitions` VALUES (131662, 3275, 39, 'キニヤルワンダ語');
INSERT INTO `lang_definitions` VALUES (131663, 3276, 39, 'キルンディ語');
INSERT INTO `lang_definitions` VALUES (131664, 3277, 39, '肘');
INSERT INTO `lang_definitions` VALUES (131665, 3278, 39, 'ひじ故障');
INSERT INTO `lang_definitions` VALUES (131666, 3279, 39, 'ひじ置換');
INSERT INTO `lang_definitions` VALUES (131667, 3280, 39, 'コミ語');
INSERT INTO `lang_definitions` VALUES (131668, 3281, 39, 'コンゴ人');
INSERT INTO `lang_definitions` VALUES (131669, 3282, 39, '韓国人');
INSERT INTO `lang_definitions` VALUES (131670, 3286, 39, 'ラボ');
INSERT INTO `lang_definitions` VALUES (131671, 3287, 39, 'ラボ書類');
INSERT INTO `lang_definitions` VALUES (131672, 3303, 39, 'ラベル');
INSERT INTO `lang_definitions` VALUES (131673, 3304, 39, 'ラベルは空白にできません');
INSERT INTO `lang_definitions` VALUES (131674, 3305, 39, 'ラベルカラム数');
INSERT INTO `lang_definitions` VALUES (131675, 3308, 39, 'ラベル');
INSERT INTO `lang_definitions` VALUES (131676, 3311, 39, 'ラボ');
INSERT INTO `lang_definitions` VALUES (131677, 3315, 39, 'ランドスケープ');
INSERT INTO `lang_definitions` VALUES (131678, 3316, 39, '言語');
INSERT INTO `lang_definitions` VALUES (131679, 3317, 39, '言語コード');
INSERT INTO `lang_definitions` VALUES (131680, 3318, 39, '言語定義を追加しました');
INSERT INTO `lang_definitions` VALUES (131681, 3319, 39, '言語インターフェースツール');
INSERT INTO `lang_definitions` VALUES (131682, 3321, 39, '言語名');
INSERT INTO `lang_definitions` VALUES (131683, 3322, 39, '言語:');
INSERT INTO `lang_definitions` VALUES (131684, 3325, 39, '最後');
INSERT INTO `lang_definitions` VALUES (131685, 3326, 39, '最終活動日');
INSERT INTO `lang_definitions` VALUES (131686, 3327, 39, '最終虫垂');
INSERT INTO `lang_definitions` VALUES (131687, 3328, 39, '前回の請求日：');
INSERT INTO `lang_definitions` VALUES (131688, 3329, 39, '最終乳房検査');
INSERT INTO `lang_definitions` VALUES (131689, 3331, 39, '最後の白内障手術');
INSERT INTO `lang_definitions` VALUES (131690, 3332, 39, '最終胆嚢摘出術');
INSERT INTO `lang_definitions` VALUES (131691, 3343, 39, '最終月');
INSERT INTO `lang_definitions` VALUES (131692, 3344, 39, '名');
INSERT INTO `lang_definitions` VALUES (131693, 3345, 39, '名');
INSERT INTO `lang_definitions` VALUES (131694, 3346, 39, '名');
INSERT INTO `lang_definitions` VALUES (131695, 3352, 39, '最終保存');
INSERT INTO `lang_definitions` VALUES (131696, 3356, 39, '最終更新日');
INSERT INTO `lang_definitions` VALUES (131697, 3358, 39, '最終訪問日');
INSERT INTO `lang_definitions` VALUES (131698, 3359, 39, '最後のレントゲン');
INSERT INTO `lang_definitions` VALUES (131699, 3368, 39, 'ラテン人');
INSERT INTO `lang_definitions` VALUES (131700, 3369, 39, 'ラトビア人');
INSERT INTO `lang_definitions` VALUES (131701, 3372, 39, 'レイアウト');
INSERT INTO `lang_definitions` VALUES (131702, 3374, 39, 'レイアウト編集');
INSERT INTO `lang_definitions` VALUES (131703, 3376, 39, 'レイアウトスタイル');
INSERT INTO `lang_definitions` VALUES (131704, 3379, 39, 'レイアウト');
INSERT INTO `lang_definitions` VALUES (131705, 3380, 39, 'lb');
INSERT INTO `lang_definitions` VALUES (131706, 3381, 39, 'lbs');
INSERT INTO `lang_definitions` VALUES (131707, 3390, 39, '左');
INSERT INTO `lang_definitions` VALUES (131708, 3391, 39, '左耳');
INSERT INTO `lang_definitions` VALUES (131709, 3393, 39, '左マージン(mm)');
INSERT INTO `lang_definitions` VALUES (131710, 3394, 39, '左:');
INSERT INTO `lang_definitions` VALUES (131711, 3395, 39, '左: ');
INSERT INTO `lang_definitions` VALUES (131712, 3397, 39, 'リーガル');
INSERT INTO `lang_definitions` VALUES (131713, 3399, 39, 'リーガル紙サイズ');
INSERT INTO `lang_definitions` VALUES (131714, 3401, 39, '長さ');
INSERT INTO `lang_definitions` VALUES (131715, 3406, 39, 'レター');
INSERT INTO `lang_definitions` VALUES (131716, 3407, 39, 'レター生成');
INSERT INTO `lang_definitions` VALUES (131717, 3408, 39, 'レター用紙サイズ');
INSERT INTO `lang_definitions` VALUES (131718, 3414, 39, 'ライセンス/ID');
INSERT INTO `lang_definitions` VALUES (131719, 3423, 39, 'ライフスタイル');
INSERT INTO `lang_definitions` VALUES (131720, 3431, 39, 'リンク');
INSERT INTO `lang_definitions` VALUES (131721, 3438, 39, 'リスト');
INSERT INTO `lang_definitions` VALUES (131722, 3439, 39, 'リストボックス');
INSERT INTO `lang_definitions` VALUES (131723, 3440, 39, 'リストボックス');
INSERT INTO `lang_definitions` VALUES (131724, 3443, 39, '一覧編集');
INSERT INTO `lang_definitions` VALUES (131725, 3445, 39, 'グループ一覧');
INSERT INTO `lang_definitions` VALUES (131726, 3459, 39, 'リトアニア人');
INSERT INTO `lang_definitions` VALUES (131727, 3470, 39, '読み込み中');
INSERT INTO `lang_definitions` VALUES (131728, 3476, 39, '場所');
INSERT INTO `lang_definitions` VALUES (131729, 3492, 39, 'ログイン');
INSERT INTO `lang_definitions` VALUES (131730, 3493, 39, 'ログイン');
INSERT INTO `lang_definitions` VALUES (131731, 3494, 39, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (131732, 3495, 39, 'ログイン中');
INSERT INTO `lang_definitions` VALUES (131733, 3496, 39, 'ログイン名');
INSERT INTO `lang_definitions` VALUES (131734, 3497, 39, 'ログイン名 ');
INSERT INTO `lang_definitions` VALUES (131735, 3498, 39, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (131736, 3499, 39, 'ログイン中');
INSERT INTO `lang_definitions` VALUES (131737, 3500, 39, 'ログイン');
INSERT INTO `lang_definitions` VALUES (131738, 3501, 39, 'ログイン');
INSERT INTO `lang_definitions` VALUES (131739, 3505, 39, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (131740, 3506, 39, 'ログアウト');
INSERT INTO `lang_definitions` VALUES (131741, 3522, 39, '肺がん');
INSERT INTO `lang_definitions` VALUES (131742, 3523, 39, '肺がん外科手術');
INSERT INTO `lang_definitions` VALUES (131743, 3524, 39, '肺');
INSERT INTO `lang_definitions` VALUES (131744, 3525, 39, '肺');
INSERT INTO `lang_definitions` VALUES (131745, 3533, 39, 'メール送信済み');
INSERT INTO `lang_definitions` VALUES (131746, 3534, 39, 'メイン');
INSERT INTO `lang_definitions` VALUES (131747, 3535, 39, '主住所');
INSERT INTO `lang_definitions` VALUES (131748, 3548, 39, '男性');
INSERT INTO `lang_definitions` VALUES (131749, 3549, 39, '男性用コンドーム');
INSERT INTO `lang_definitions` VALUES (131750, 3552, 39, '乳房');
INSERT INTO `lang_definitions` VALUES (131751, 3561, 39, 'マニュアル');
INSERT INTO `lang_definitions` VALUES (131752, 3568, 39, '3月');
INSERT INTO `lang_definitions` VALUES (131753, 3576, 39, '結婚');
INSERT INTO `lang_definitions` VALUES (131754, 3582, 39, '該当');
INSERT INTO `lang_definitions` VALUES (131755, 3591, 39, '最大');
INSERT INTO `lang_definitions` VALUES (131756, 3603, 39, '5月');
INSERT INTO `lang_definitions` VALUES (131757, 3614, 39, '医療');
INSERT INTO `lang_definitions` VALUES (131758, 3617, 39, '医療受診');
INSERT INTO `lang_definitions` VALUES (131759, 3624, 39, '診察歴');
INSERT INTO `lang_definitions` VALUES (131760, 3625, 39, '診察歴');
INSERT INTO `lang_definitions` VALUES (131761, 3626, 39, '診察歴');
INSERT INTO `lang_definitions` VALUES (131762, 3627, 39, '診察歴');
INSERT INTO `lang_definitions` VALUES (131763, 3647, 39, '男性');
INSERT INTO `lang_definitions` VALUES (131764, 3648, 39, '男女');
INSERT INTO `lang_definitions` VALUES (131765, 3649, 39, '男性のみ');
INSERT INTO `lang_definitions` VALUES (131766, 3650, 39, '初潮');
INSERT INTO `lang_definitions` VALUES (131767, 3651, 39, '閉経');
INSERT INTO `lang_definitions` VALUES (131768, 3652, 39, '月経出血');
INSERT INTO `lang_definitions` VALUES (131769, 3653, 39, '月経頻度');
INSERT INTO `lang_definitions` VALUES (131770, 3654, 39, '精神障害');
INSERT INTO `lang_definitions` VALUES (131771, 3655, 39, 'メニューテキスト');
INSERT INTO `lang_definitions` VALUES (131772, 3656, 39, 'メニュー');
INSERT INTO `lang_definitions` VALUES (131773, 3657, 39, 'マージ');
INSERT INTO `lang_definitions` VALUES (131774, 3661, 39, 'メッセージ');
INSERT INTO `lang_definitions` VALUES (131775, 3665, 39, 'メッセージ送信');
INSERT INTO `lang_definitions` VALUES (131776, 3666, 39, 'メッセージ状況');
INSERT INTO `lang_definitions` VALUES (131777, 3667, 39, 'メッセージタイトル');
INSERT INTO `lang_definitions` VALUES (131778, 3668, 39, '患者へのメッセージ');
INSERT INTO `lang_definitions` VALUES (131779, 3670, 39, 'メッセージ:');
INSERT INTO `lang_definitions` VALUES (131780, 3671, 39, 'メッセージ');
INSERT INTO `lang_definitions` VALUES (131781, 3672, 39, '本日送信したメッセージ');
INSERT INTO `lang_definitions` VALUES (131782, 3677, 39, 'メキシコ人');
INSERT INTO `lang_definitions` VALUES (131783, 3679, 39, 'mg');
INSERT INTO `lang_definitions` VALUES (131784, 3680, 39, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (131785, 3681, 39, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (131786, 3682, 39, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (131787, 3683, 39, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (131788, 3684, 39, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (131789, 3685, 39, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (131790, 3686, 39, '中間');
INSERT INTO `lang_definitions` VALUES (131791, 3687, 39, 'ミドルネーム');
INSERT INTO `lang_definitions` VALUES (131792, 3688, 39, 'ミドルネーム');
INSERT INTO `lang_definitions` VALUES (131793, 3701, 39, 'MIME Type');
INSERT INTO `lang_definitions` VALUES (131794, 3702, 39, 'MimeType');
INSERT INTO `lang_definitions` VALUES (131795, 3703, 39, '最小');
INSERT INTO `lang_definitions` VALUES (131796, 3704, 39, '最小');
INSERT INTO `lang_definitions` VALUES (131797, 3705, 39, '最低年齢');
INSERT INTO `lang_definitions` VALUES (131798, 3708, 39, '分');
INSERT INTO `lang_definitions` VALUES (131799, 3709, 39, '分');
INSERT INTO `lang_definitions` VALUES (131800, 3710, 39, '分');
INSERT INTO `lang_definitions` VALUES (131801, 3712, 39, 'その他');
INSERT INTO `lang_definitions` VALUES (131802, 3716, 39, 'その他');
INSERT INTO `lang_definitions` VALUES (131803, 3726, 39, '混合');
INSERT INTO `lang_definitions` VALUES (131804, 3727, 39, 'ml');
INSERT INTO `lang_definitions` VALUES (131805, 3728, 39, 'MM/DD/YYYY');
INSERT INTO `lang_definitions` VALUES (131806, 3729, 39, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (131807, 3730, 39, 'mmHg');
INSERT INTO `lang_definitions` VALUES (131808, 3731, 39, 'MMR 1');
INSERT INTO `lang_definitions` VALUES (131809, 3732, 39, 'MMR 2');
INSERT INTO `lang_definitions` VALUES (131810, 3733, 39, '携帯');
INSERT INTO `lang_definitions` VALUES (131811, 3734, 39, '携帯電話番号');
INSERT INTO `lang_definitions` VALUES (131812, 3747, 39, 'モジュール');
INSERT INTO `lang_definitions` VALUES (131813, 3748, 39, 'モジュールディレクトリがありません');
INSERT INTO `lang_definitions` VALUES (131814, 3749, 39, 'モジュールインストーラー');
INSERT INTO `lang_definitions` VALUES (131815, 3750, 39, 'モジュール名');
INSERT INTO `lang_definitions` VALUES (131816, 3751, 39, 'モジュール名は既に使われています');
INSERT INTO `lang_definitions` VALUES (131817, 3752, 39, 'モジュール');
INSERT INTO `lang_definitions` VALUES (131818, 3753, 39, '月');
INSERT INTO `lang_definitions` VALUES (131819, 3754, 39, '月から金');
INSERT INTO `lang_definitions` VALUES (131820, 3755, 39, '月水金');
INSERT INTO `lang_definitions` VALUES (131821, 3756, 39, '月曜日');
INSERT INTO `lang_definitions` VALUES (131822, 3757, 39, 'モンゴル人');
INSERT INTO `lang_definitions` VALUES (131823, 3758, 39, '月');
INSERT INTO `lang_definitions` VALUES (131824, 3759, 39, '月');
INSERT INTO `lang_definitions` VALUES (131825, 3760, 39, '月表');
INSERT INTO `lang_definitions` VALUES (131826, 3761, 39, '月');
INSERT INTO `lang_definitions` VALUES (131827, 3762, 39, '月収');
INSERT INTO `lang_definitions` VALUES (131828, 3763, 39, '月');
INSERT INTO `lang_definitions` VALUES (131829, 3771, 39, '母親');
INSERT INTO `lang_definitions` VALUES (131830, 3772, 39, '母親の名前');
INSERT INTO `lang_definitions` VALUES (131831, 3774, 39, '口');
INSERT INTO `lang_definitions` VALUES (131832, 3775, 39, '移動');
INSERT INTO `lang_definitions` VALUES (131833, 3776, 39, '書類をカテゴリへ移動');
INSERT INTO `lang_definitions` VALUES (131834, 3777, 39, '下へ');
INSERT INTO `lang_definitions` VALUES (131835, 3778, 39, '移動不可');
INSERT INTO `lang_definitions` VALUES (131836, 3779, 39, '患者へ移動');
INSERT INTO `lang_definitions` VALUES (131837, 3780, 39, '移動中...');
INSERT INTO `lang_definitions` VALUES (131838, 3781, 39, '上へ');
INSERT INTO `lang_definitions` VALUES (131839, 3782, 39, '移動中...');
INSERT INTO `lang_definitions` VALUES (131840, 3783, 39, 'Mr.');
INSERT INTO `lang_definitions` VALUES (131841, 3785, 39, 'Mrs.');
INSERT INTO `lang_definitions` VALUES (131842, 3786, 39, 'Ms.');
INSERT INTO `lang_definitions` VALUES (131843, 3796, 39, '多言語ツール');
INSERT INTO `lang_definitions` VALUES (131844, 3810, 39, '筋肉');
INSERT INTO `lang_definitions` VALUES (131845, 3821, 39, '該当なし');
INSERT INTO `lang_definitions` VALUES (131846, 3822, 39, '該当なし');
INSERT INTO `lang_definitions` VALUES (131847, 3823, 39, '名前');
INSERT INTO `lang_definitions` VALUES (131848, 3826, 39, '名前１');
INSERT INTO `lang_definitions` VALUES (131849, 3827, 39, '名前２');
INSERT INTO `lang_definitions` VALUES (131850, 3831, 39, 'イベント名');
INSERT INTO `lang_definitions` VALUES (131851, 3833, 39, 'プロバイダ名');
INSERT INTO `lang_definitions` VALUES (131852, 3837, 39, '名前:');
INSERT INTO `lang_definitions` VALUES (131853, 3858, 39, 'ナビゲーションエリアの幅');
INSERT INTO `lang_definitions` VALUES (131854, 3866, 39, '首');
INSERT INTO `lang_definitions` VALUES (131855, 3867, 39, '首故障');
INSERT INTO `lang_definitions` VALUES (131856, 3873, 39, '要認証');
INSERT INTO `lang_definitions` VALUES (131857, 3874, 39, '要適合');
INSERT INTO `lang_definitions` VALUES (131858, 3875, 39, '要補助課金');
INSERT INTO `lang_definitions` VALUES (131859, 3876, 39, '否定');
INSERT INTO `lang_definitions` VALUES (131860, 3877, 39, '否定');
INSERT INTO `lang_definitions` VALUES (131861, 3879, 39, 'ネパール人');
INSERT INTO `lang_definitions` VALUES (131862, 3883, 39, '精神的虚脱');
INSERT INTO `lang_definitions` VALUES (131863, 3886, 39, '非アルコール');
INSERT INTO `lang_definitions` VALUES (131864, 3887, 39, '非喫煙');
INSERT INTO `lang_definitions` VALUES (131865, 3888, 39, '新規');
INSERT INTO `lang_definitions` VALUES (131866, 3901, 39, '新規書類');
INSERT INTO `lang_definitions` VALUES (131867, 3902, 39, '新規書類');
INSERT INTO `lang_definitions` VALUES (131868, 3904, 39, '新規来院者');
INSERT INTO `lang_definitions` VALUES (131869, 3905, 39, '新規来院者(ID付与済み)');
INSERT INTO `lang_definitions` VALUES (131870, 3906, 39, '新規来院者フォーム');
INSERT INTO `lang_definitions` VALUES (131871, 3907, 39, '新規来院者非認定');
INSERT INTO `lang_definitions` VALUES (131872, 3909, 39, '新施術院情報');
INSERT INTO `lang_definitions` VALUES (131873, 3910, 39, '新規ファイル');
INSERT INTO `lang_definitions` VALUES (131874, 3911, 39, '新規ファイル');
INSERT INTO `lang_definitions` VALUES (131875, 3912, 39, '新規グループ');
INSERT INTO `lang_definitions` VALUES (131876, 3913, 39, '新規グループ情報');
INSERT INTO `lang_definitions` VALUES (131877, 3917, 39, '新規リスト');
INSERT INTO `lang_definitions` VALUES (131878, 3918, 39, '新規注文');
INSERT INTO `lang_definitions` VALUES (131879, 3919, 39, '新規パラグラフ');
INSERT INTO `lang_definitions` VALUES (131880, 3920, 39, '新規パスワード');
INSERT INTO `lang_definitions` VALUES (131881, 3921, 39, '新規患者');
INSERT INTO `lang_definitions` VALUES (131882, 3922, 39, '新規患者');
INSERT INTO `lang_definitions` VALUES (131883, 3923, 39, '新規患者来院者');
INSERT INTO `lang_definitions` VALUES (131884, 3924, 39, '新規患者フォーム');
INSERT INTO `lang_definitions` VALUES (131885, 3925, 39, '新規患者ID');
INSERT INTO `lang_definitions` VALUES (131886, 3926, 39, '新規支払');
INSERT INTO `lang_definitions` VALUES (131887, 3930, 39, '新規検索');
INSERT INTO `lang_definitions` VALUES (131888, 3932, 39, '新規ユーザー');
INSERT INTO `lang_definitions` VALUES (131889, 3933, 39, '新規値');
INSERT INTO `lang_definitions` VALUES (131890, 3934, 39, '新規訪問');
INSERT INTO `lang_definitions` VALUES (131891, 3935, 39, '新規/検索');
INSERT INTO `lang_definitions` VALUES (131892, 3962, 39, '次');
INSERT INTO `lang_definitions` VALUES (131893, 3964, 39, '翌月');
INSERT INTO `lang_definitions` VALUES (131894, 3965, 39, '来月');
INSERT INTO `lang_definitions` VALUES (131895, 3968, 39, '翌週');
INSERT INTO `lang_definitions` VALUES (131896, 3970, 39, 'ニックネーム');
INSERT INTO `lang_definitions` VALUES (131897, 3971, 39, 'ニックネーム');
INSERT INTO `lang_definitions` VALUES (131898, 3973, 39, '夜汗');
INSERT INTO `lang_definitions` VALUES (131899, 3975, 39, 'いいえ');
INSERT INTO `lang_definitions` VALUES (131900, 3976, 39, 'いいえ');
INSERT INTO `lang_definitions` VALUES (131901, 3977, 39, 'ノーアクセス');
INSERT INTO `lang_definitions` VALUES (131902, 3978, 39, '有効な患者の予定はありません');
INSERT INTO `lang_definitions` VALUES (131903, 3983, 39, '予約はありません');
INSERT INTO `lang_definitions` VALUES (131904, 3997, 39, 'エラーはありません');
INSERT INTO `lang_definitions` VALUES (131905, 3998, 39, 'イベントはありません');
INSERT INTO `lang_definitions` VALUES (131906, 4001, 39, 'グループが選択されていません');
INSERT INTO `lang_definitions` VALUES (131907, 4002, 39, 'ヘルニア無し');
INSERT INTO `lang_definitions` VALUES (131908, 4006, 39, '保険会社がありません');
INSERT INTO `lang_definitions` VALUES (131909, 4007, 39, '問題ありません');
INSERT INTO `lang_definitions` VALUES (131910, 4008, 39, 'この来院では問題ありません');
INSERT INTO `lang_definitions` VALUES (131911, 4009, 39, '選択されたカテゴリにはアイテムがありません');
INSERT INTO `lang_definitions` VALUES (131912, 4010, 39, 'アイテムが選択されていません');
INSERT INTO `lang_definitions` VALUES (131913, 4024, 39, 'ラボデータ書類がありません');
INSERT INTO `lang_definitions` VALUES (131914, 4025, 39, '選択日にはログファイルがありません');
INSERT INTO `lang_definitions` VALUES (131915, 4029, 39, '該当がありません。もう一度');
INSERT INTO `lang_definitions` VALUES (131916, 4030, 39, '該当がありませんでした。');
INSERT INTO `lang_definitions` VALUES (131917, 4031, 39, '該当がありません。新規患者を作成しますか？');
INSERT INTO `lang_definitions` VALUES (131918, 4032, 39, '一致するレコードがありません');
INSERT INTO `lang_definitions` VALUES (131919, 4033, 39, '新規レザルトがありません');
INSERT INTO `lang_definitions` VALUES (131920, 4034, 39, 'ノートがありません');
INSERT INTO `lang_definitions` VALUES (131921, 4038, 39, 'パラメーターが選択されていません');
INSERT INTO `lang_definitions` VALUES (131922, 4039, 39, 'パートナーがみつかりません');
INSERT INTO `lang_definitions` VALUES (131923, 4040, 39, '選択された抽出設定では患者記録がありません');
INSERT INTO `lang_definitions` VALUES (131924, 4041, 39, '設定された識別コードでは患者記録がありません');
INSERT INTO `lang_definitions` VALUES (131925, 4043, 39, '調剤薬局がありません');
INSERT INTO `lang_definitions` VALUES (131926, 4046, 39, '前のエントリーがありません');
INSERT INTO `lang_definitions` VALUES (131927, 4053, 39, 'レコードがありません');
INSERT INTO `lang_definitions` VALUES (131928, 4055, 39, 'レコードがありません。抽出範囲を拡大してください');
INSERT INTO `lang_definitions` VALUES (131929, 4056, 39, 'リマインダーがありません');
INSERT INTO `lang_definitions` VALUES (131930, 4057, 39, '指定された抽出条件ではリザルトがありません');
INSERT INTO `lang_definitions` VALUES (131931, 4058, 39, 'リザルトがありません');
INSERT INTO `lang_definitions` VALUES (131932, 4059, 39, 'リザルトがありませんでした');
INSERT INTO `lang_definitions` VALUES (131933, 4060, 39, '検索からはリザルトがありません');
INSERT INTO `lang_definitions` VALUES (131934, 4061, 39, 'リザルトがありません。もう一度');
INSERT INTO `lang_definitions` VALUES (131935, 4062, 39, 'リザルトがありません。もう一度');
INSERT INTO `lang_definitions` VALUES (131936, 4063, 39, 'リザルトがありません。もう一度');
INSERT INTO `lang_definitions` VALUES (131937, 4064, 39, 'このモジュールには設定がありません');
INSERT INTO `lang_definitions` VALUES (131938, 4066, 39, 'ファイルに署名がありません');
INSERT INTO `lang_definitions` VALUES (131939, 4069, 39, 'コンテキスト名がありません');
INSERT INTO `lang_definitions` VALUES (131940, 4070, 39, 'テーブルが選択されていません。テーブルを選択してください');
INSERT INTO `lang_definitions` VALUES (131941, 4073, 39, 'トラックがしていされていません');
INSERT INTO `lang_definitions` VALUES (131942, 4074, 39, 'トラックは書面化されていません');
INSERT INTO `lang_definitions` VALUES (131943, 4075, 39, '訪問無し');
INSERT INTO `lang_definitions` VALUES (131944, 4076, 39, 'バイタルは書面化されていません');
INSERT INTO `lang_definitions` VALUES (131945, 4077, 39, 'キャンセル');
INSERT INTO `lang_definitions` VALUES (131946, 4079, 39, 'いいえ');
INSERT INTO `lang_definitions` VALUES (131947, 4081, 39, '未払い');
INSERT INTO `lang_definitions` VALUES (131948, 4089, 39, '無し');
INSERT INTO `lang_definitions` VALUES (131949, 4090, 39, '無し');
INSERT INTO `lang_definitions` VALUES (131950, 4091, 39, '指定なし');
INSERT INTO `lang_definitions` VALUES (131951, 4092, 39, '書面化されていません');
INSERT INTO `lang_definitions` VALUES (131952, 4093, 39, '以降はありません');
INSERT INTO `lang_definitions` VALUES (131953, 4097, 39, '普通');
INSERT INTO `lang_definitions` VALUES (131954, 4108, 39, '普通:');
INSERT INTO `lang_definitions` VALUES (131955, 4112, 39, 'ノルウェー人');
INSERT INTO `lang_definitions` VALUES (131956, 4115, 39, '鼻');
INSERT INTO `lang_definitions` VALUES (131957, 4120, 39, '未許可');
INSERT INTO `lang_definitions` VALUES (131958, 4121, 39, '管理者グループへは削除は許可されていません');
INSERT INTO `lang_definitions` VALUES (131959, 4122, 39, '編集は許可されていません');
INSERT INTO `lang_definitions` VALUES (131960, 4129, 39, '許可されていません');
INSERT INTO `lang_definitions` VALUES (131961, 4130, 39, '許可されていません');
INSERT INTO `lang_definitions` VALUES (131962, 4133, 39, 'ユーザー管理を許可されていません');
INSERT INTO `lang_definitions` VALUES (131963, 4135, 39, 'ありません');
INSERT INTO `lang_definitions` VALUES (131964, 4137, 39, '支払われていません');
INSERT INTO `lang_definitions` VALUES (131965, 4146, 39, '見つかりません');
INSERT INTO `lang_definitions` VALUES (131966, 4148, 39, '見つかりません!');
INSERT INTO `lang_definitions` VALUES (131967, 4149, 39, 'ヒスパニックまたはラテン系ではありません');
INSERT INTO `lang_definitions` VALUES (131968, 4150, 39, 'インストールされていません');
INSERT INTO `lang_definitions` VALUES (131969, 4151, 39, 'インストールされていません');
INSERT INTO `lang_definitions` VALUES (131970, 4153, 39, '送信されていません');
INSERT INTO `lang_definitions` VALUES (131971, 4155, 39, '指定されていません');
INSERT INTO `lang_definitions` VALUES (131972, 4156, 39, '指定されていません');
INSERT INTO `lang_definitions` VALUES (131973, 4181, 39, '表示するものがありません');
INSERT INTO `lang_definitions` VALUES (131974, 4185, 39, '通知');
INSERT INTO `lang_definitions` VALUES (131975, 4186, 39, '通知先電子メールアドレス');
INSERT INTO `lang_definitions` VALUES (131976, 4188, 39, '通知');
INSERT INTO `lang_definitions` VALUES (131977, 4190, 39, '11月');
INSERT INTO `lang_definitions` VALUES (131978, 4191, 39, '11月');
INSERT INTO `lang_definitions` VALUES (131979, 4193, 39, '印刷中');
INSERT INTO `lang_definitions` VALUES (131980, 4200, 39, '番号');
INSERT INTO `lang_definitions` VALUES (131981, 4240, 39, '10月');
INSERT INTO `lang_definitions` VALUES (131982, 4241, 39, '10月');
INSERT INTO `lang_definitions` VALUES (131983, 4267, 39, 'OK');
INSERT INTO `lang_definitions` VALUES (131984, 4268, 39, 'ポップアップウインドウを閉じますか？');
INSERT INTO `lang_definitions` VALUES (131985, 4270, 39, '古い');
INSERT INTO `lang_definitions` VALUES (131986, 4276, 39, 'オーダー');
INSERT INTO `lang_definitions` VALUES (131987, 4277, 39, '省略');
INSERT INTO `lang_definitions` VALUES (131988, 4297, 39, 'オンラインサポート');
INSERT INTO `lang_definitions` VALUES (131989, 4298, 39, 'オンラインサポートリンク');
INSERT INTO `lang_definitions` VALUES (131990, 4304, 39, '自分のみ');
INSERT INTO `lang_definitions` VALUES (131991, 4315, 39, 'なんてことだ！');
INSERT INTO `lang_definitions` VALUES (131992, 4316, 39, '開く');
INSERT INTO `lang_definitions` VALUES (131993, 4318, 39, '新規ウインドウで開く');
INSERT INTO `lang_definitions` VALUES (131994, 4319, 39, '新規患者');
INSERT INTO `lang_definitions` VALUES (131995, 4321, 39, '今日の訪問先を開く');
INSERT INTO `lang_definitions` VALUES (131996, 4324, 39, 'LibreEHRデータベースアップグレード');
INSERT INTO `lang_definitions` VALUES (131997, 4329, 39, 'LibreEHRユーザー');
INSERT INTO `lang_definitions` VALUES (131998, 4333, 39, 'オプション');
INSERT INTO `lang_definitions` VALUES (131999, 4347, 39, 'オプション: 患者ID番号');
INSERT INTO `lang_definitions` VALUES (132000, 4350, 39, 'オプション');
INSERT INTO `lang_definitions` VALUES (132001, 4352, 39, 'OR');
INSERT INTO `lang_definitions` VALUES (132002, 4353, 39, 'または選択');
INSERT INTO `lang_definitions` VALUES (132003, 4362, 39, '注文');
INSERT INTO `lang_definitions` VALUES (132004, 4364, 39, '注文カタログ');
INSERT INTO `lang_definitions` VALUES (132005, 4365, 39, '注文日');
INSERT INTO `lang_definitions` VALUES (132006, 4366, 39, '注文概要');
INSERT INTO `lang_definitions` VALUES (132007, 4367, 39, '注文フォーム');
INSERT INTO `lang_definitions` VALUES (132008, 4368, 39, '注文ID');
INSERT INTO `lang_definitions` VALUES (132009, 4370, 39, '注文名');
INSERT INTO `lang_definitions` VALUES (132010, 4371, 39, '注文優先度');
INSERT INTO `lang_definitions` VALUES (132011, 4373, 39, '注文結果');
INSERT INTO `lang_definitions` VALUES (132012, 4374, 39, '注文状況');
INSERT INTO `lang_definitions` VALUES (132013, 4376, 39, '注文歴');
INSERT INTO `lang_definitions` VALUES (132014, 4377, 39, '注文トラック');
INSERT INTO `lang_definitions` VALUES (132015, 4378, 39, '注文タイプ');
INSERT INTO `lang_definitions` VALUES (132016, 4380, 39, '注文/結果タイプ');
INSERT INTO `lang_definitions` VALUES (132017, 4381, 39, '注文済み');
INSERT INTO `lang_definitions` VALUES (132018, 4382, 39, '注文者');
INSERT INTO `lang_definitions` VALUES (132019, 4387, 39, '組織');
INSERT INTO `lang_definitions` VALUES (132020, 4388, 39, '組織名');
INSERT INTO `lang_definitions` VALUES (132021, 4389, 39, '組織団体名');
INSERT INTO `lang_definitions` VALUES (132022, 4390, 39, '書式');
INSERT INTO `lang_definitions` VALUES (132023, 4392, 39, 'オリジナル');
INSERT INTO `lang_definitions` VALUES (132024, 4393, 39, 'オリジナルチェックサム');
INSERT INTO `lang_definitions` VALUES (132025, 4403, 39, 'その他');
INSERT INTO `lang_definitions` VALUES (132026, 4425, 39, 'オフィス外(外回り)');
INSERT INTO `lang_definitions` VALUES (132027, 4427, 39, '転帰');
INSERT INTO `lang_definitions` VALUES (132028, 4428, 39, 'Outlook');
INSERT INTO `lang_definitions` VALUES (132029, 4445, 39, 'ページ');
INSERT INTO `lang_definitions` VALUES (132030, 4447, 39, '支払済み');
INSERT INTO `lang_definitions` VALUES (132031, 4450, 39, '支払手段');
INSERT INTO `lang_definitions` VALUES (132032, 4451, 39, '病状');
INSERT INTO `lang_definitions` VALUES (132033, 4453, 39, '動悸');
INSERT INTO `lang_definitions` VALUES (132034, 4456, 39, '用紙');
INSERT INTO `lang_definitions` VALUES (132035, 4457, 39, '用紙サイズ');
INSERT INTO `lang_definitions` VALUES (132036, 4459, 39, '両親');
INSERT INTO `lang_definitions` VALUES (132037, 4463, 39, 'パートナー');
INSERT INTO `lang_definitions` VALUES (132038, 4464, 39, 'パートナー名');
INSERT INTO `lang_definitions` VALUES (132039, 4467, 39, '暗号文字列');
INSERT INTO `lang_definitions` VALUES (132040, 4468, 39, '書類暗号解除用暗号文字列');
INSERT INTO `lang_definitions` VALUES (132041, 4469, 39, '許諾済み患者');
INSERT INTO `lang_definitions` VALUES (132042, 4472, 39, 'パスワード');
INSERT INTO `lang_definitions` VALUES (132043, 4473, 39, 'パスワード変更');
INSERT INTO `lang_definitions` VALUES (132044, 4474, 39, 'パスワードは変更されました');
INSERT INTO `lang_definitions` VALUES (132045, 4475, 39, 'パスワードは変更されました');
INSERT INTO `lang_definitions` VALUES (132046, 4480, 39, 'SMS Gateway の為のパスワード');
INSERT INTO `lang_definitions` VALUES (132047, 4481, 39, 'SMS Gateway の為のパスワード');
INSERT INTO `lang_definitions` VALUES (132048, 4483, 39, 'パスワード保護は正常にアップグレードされました');
INSERT INTO `lang_definitions` VALUES (132049, 4485, 39, 'パスワードは8文字以上で設定してください');
INSERT INTO `lang_definitions` VALUES (132050, 4486, 39, 'パスワード:');
INSERT INTO `lang_definitions` VALUES (132051, 4487, 39, 'パスワードが一致していません');
INSERT INTO `lang_definitions` VALUES (132052, 4490, 39, '期日経過');
INSERT INTO `lang_definitions` VALUES (132053, 4491, 39, '期日経過');
INSERT INTO `lang_definitions` VALUES (132054, 4508, 39, 'Path for Event Log Backup');
INSERT INTO `lang_definitions` VALUES (132055, 4509, 39, 'Path to CA Certificate File');
INSERT INTO `lang_definitions` VALUES (132056, 4510, 39, 'Path to CA Key File');
INSERT INTO `lang_definitions` VALUES (132057, 4511, 39, 'Path to MySQL Binaries');
INSERT INTO `lang_definitions` VALUES (132058, 4512, 39, 'Path to Perl Binaries');
INSERT INTO `lang_definitions` VALUES (132059, 4513, 39, 'Path to Temporary Files');
INSERT INTO `lang_definitions` VALUES (132060, 4514, 39, '患者');
INSERT INTO `lang_definitions` VALUES (132061, 4515, 39, '患者');
INSERT INTO `lang_definitions` VALUES (132062, 4516, 39, '患者');
INSERT INTO `lang_definitions` VALUES (132063, 4517, 39, '患者の住所');
INSERT INTO `lang_definitions` VALUES (132064, 4518, 39, '患者の住所が未指定です');
INSERT INTO `lang_definitions` VALUES (132065, 4521, 39, '患者のアレルギー');
INSERT INTO `lang_definitions` VALUES (132066, 4522, 39, '患者のアレルギー');
INSERT INTO `lang_definitions` VALUES (132067, 4523, 39, '患者の予約');
INSERT INTO `lang_definitions` VALUES (132068, 4531, 39, '患者の所在市');
INSERT INTO `lang_definitions` VALUES (132069, 4532, 39, '患者の所在市がありません');
INSERT INTO `lang_definitions` VALUES (132070, 4534, 39, '患者の所在国');
INSERT INTO `lang_definitions` VALUES (132071, 4539, 39, '患者の来院日');
INSERT INTO `lang_definitions` VALUES (132072, 4541, 39, '患者の誕生日がありません');
INSERT INTO `lang_definitions` VALUES (132073, 4542, 39, '患者詳細');
INSERT INTO `lang_definitions` VALUES (132074, 4543, 39, '患者の誕生日');
INSERT INTO `lang_definitions` VALUES (132075, 4544, 39, '患者の書類');
INSERT INTO `lang_definitions` VALUES (132076, 4545, 39, '患者の学歴');
INSERT INTO `lang_definitions` VALUES (132077, 4550, 39, '患者検索');
INSERT INTO `lang_definitions` VALUES (132078, 4551, 39, '患者の名');
INSERT INTO `lang_definitions` VALUES (132079, 4553, 39, '患者名がありません');
INSERT INTO `lang_definitions` VALUES (132080, 4558, 39, '患者の性別');
INSERT INTO `lang_definitions` VALUES (132081, 4559, 39, '患者の性別がありません');
INSERT INTO `lang_definitions` VALUES (132082, 4561, 39, '患者の往診履歴');
INSERT INTO `lang_definitions` VALUES (132083, 4562, 39, '患者の履歴/ライフスタイル');
INSERT INTO `lang_definitions` VALUES (132084, 4563, 39, '患者の自宅電話番号');
INSERT INTO `lang_definitions` VALUES (132085, 4564, 39, '患者ID');
INSERT INTO `lang_definitions` VALUES (132086, 4565, 39, '患者ID');
INSERT INTO `lang_definitions` VALUES (132087, 4566, 39, '患者IDカード');
INSERT INTO `lang_definitions` VALUES (132088, 4567, 39, '患者IDカードカテゴリ名');
INSERT INTO `lang_definitions` VALUES (132089, 4569, 39, '患者情報');
INSERT INTO `lang_definitions` VALUES (132090, 4573, 39, '患者病状');
INSERT INTO `lang_definitions` VALUES (132091, 4575, 39, '患者姓');
INSERT INTO `lang_definitions` VALUES (132092, 4577, 39, '患者の姓がありません');
INSERT INTO `lang_definitions` VALUES (132093, 4581, 39, '患者リスト');
INSERT INTO `lang_definitions` VALUES (132094, 4589, 39, '患者姓名');
INSERT INTO `lang_definitions` VALUES (132095, 4590, 39, '患者姓名と住所');
INSERT INTO `lang_definitions` VALUES (132096, 4593, 39, '患者の姓名が必要です');
INSERT INTO `lang_definitions` VALUES (132097, 4595, 39, '患者ノート');
INSERT INTO `lang_definitions` VALUES (132098, 4596, 39, '患者ノートタイプ');
INSERT INTO `lang_definitions` VALUES (132099, 4597, 39, '患者ノート');
INSERT INTO `lang_definitions` VALUES (132100, 4598, 39, '患者ノート(追記のみ)');
INSERT INTO `lang_definitions` VALUES (132101, 4599, 39, '患者番号');
INSERT INTO `lang_definitions` VALUES (132102, 4624, 39, '患者検索結果スタイル');
INSERT INTO `lang_definitions` VALUES (132103, 4634, 39, '患者:');
INSERT INTO `lang_definitions` VALUES (132104, 4635, 39, '患者ID');
INSERT INTO `lang_definitions` VALUES (132105, 4636, 39, '患者一覧');
INSERT INTO `lang_definitions` VALUES (132106, 4648, 39, '支払');
INSERT INTO `lang_definitions` VALUES (132107, 4671, 39, 'PDFの言語');
INSERT INTO `lang_definitions` VALUES (132108, 4674, 39, '保留中');
INSERT INTO `lang_definitions` VALUES (132109, 4710, 39, 'ペルシャ人');
INSERT INTO `lang_definitions` VALUES (132110, 4711, 39, 'ペルシャ人');
INSERT INTO `lang_definitions` VALUES (132111, 4712, 39, '個人');
INSERT INTO `lang_definitions` VALUES (132112, 4713, 39, '個人化');
INSERT INTO `lang_definitions` VALUES (132113, 4715, 39, '薬学');
INSERT INTO `lang_definitions` VALUES (132114, 4717, 39, '調剤薬局');
INSERT INTO `lang_definitions` VALUES (132115, 4718, 39, '調剤薬局');
INSERT INTO `lang_definitions` VALUES (132116, 4729, 39, '電話');
INSERT INTO `lang_definitions` VALUES (132117, 4730, 39, '通話履歴リスト');
INSERT INTO `lang_definitions` VALUES (132118, 4731, 39, '通話履歴リスト');
INSERT INTO `lang_definitions` VALUES (132119, 4732, 39, '電話番号');
INSERT INTO `lang_definitions` VALUES (132120, 4733, 39, '電話ゲートウェイパスワード');
INSERT INTO `lang_definitions` VALUES (132121, 4734, 39, '電話ゲートウェイURL');
INSERT INTO `lang_definitions` VALUES (132122, 4735, 39, '電話ゲートウェイユーザー名');
INSERT INTO `lang_definitions` VALUES (132123, 4736, 39, '自宅番号');
INSERT INTO `lang_definitions` VALUES (132124, 4738, 39, '電話番号');
INSERT INTO `lang_definitions` VALUES (132125, 4739, 39, '電話番号');
INSERT INTO `lang_definitions` VALUES (132126, 4740, 39, '写真恐怖症');
INSERT INTO `lang_definitions` VALUES (132127, 4741, 39, '写真');
INSERT INTO `lang_definitions` VALUES (132128, 4742, 39, 'PHP圧縮済');
INSERT INTO `lang_definitions` VALUES (132129, 4743, 39, 'PHP CURL モジュールを有効にしてください');
INSERT INTO `lang_definitions` VALUES (132130, 4744, 39, 'PHP 展開済み');
INSERT INTO `lang_definitions` VALUES (132131, 4746, 39, 'PHP-gaclはインストールされていません');
INSERT INTO `lang_definitions` VALUES (132132, 4752, 39, '医師');
INSERT INTO `lang_definitions` VALUES (132133, 4759, 39, '錠剤');
INSERT INTO `lang_definitions` VALUES (132134, 4767, 39, 'プレーンテキスト');
INSERT INTO `lang_definitions` VALUES (132135, 4768, 39, 'プラン');
INSERT INTO `lang_definitions` VALUES (132136, 4771, 39, 'プラン名');
INSERT INTO `lang_definitions` VALUES (132137, 4779, 39, 'プラン:');
INSERT INTO `lang_definitions` VALUES (132138, 4782, 39, 'プラン');
INSERT INTO `lang_definitions` VALUES (132139, 4787, 39, 'パスワードを変更してください');
INSERT INTO `lang_definitions` VALUES (132140, 4788, 39, 'ファイルを選択してください');
INSERT INTO `lang_definitions` VALUES (132141, 4789, 39, '患者を選択してください');
INSERT INTO `lang_definitions` VALUES (132142, 4790, 39, 'リストから正しい選択をしてください');
INSERT INTO `lang_definitions` VALUES (132143, 4791, 39, '正しい選択をしてください');
INSERT INTO `lang_definitions` VALUES (132144, 4792, 39, '正しい値を選んでください');
INSERT INTO `lang_definitions` VALUES (132145, 4797, 39, 'ウインドウを閉じてください');
INSERT INTO `lang_definitions` VALUES (132146, 4798, 39, '新規名称を比較してください');
INSERT INTO `lang_definitions` VALUES (132147, 4800, 39, '処理前に値を直してください');
INSERT INTO `lang_definitions` VALUES (132148, 4801, 39, '処理前にディレクトリを作成してください');
INSERT INTO `lang_definitions` VALUES (132149, 4805, 39, 'CURL拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (132150, 4806, 39, 'OPENSSL拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (132151, 4807, 39, 'SOAP拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (132152, 4808, 39, 'XML拡張を有効にしてください');
INSERT INTO `lang_definitions` VALUES (132153, 4810, 39, '日付を入力してください');
INSERT INTO `lang_definitions` VALUES (132154, 4812, 39, 'メッセージを入力してください');
INSERT INTO `lang_definitions` VALUES (132155, 4814, 39, '新規パスワードを入力してください');
INSERT INTO `lang_definitions` VALUES (132156, 4815, 39, 'タイトルを入力してください');
INSERT INTO `lang_definitions` VALUES (132157, 4816, 39, '正確な住所を入力してください');
INSERT INTO `lang_definitions` VALUES (132158, 4817, 39, 'アイテム名をもう少し入力してください');
INSERT INTO `lang_definitions` VALUES (132159, 4818, 39, 'トラック名をもう少し入力してください');
INSERT INTO `lang_definitions` VALUES (132160, 4820, 39, '終了日は開始日以後に設定してください');
INSERT INTO `lang_definitions` VALUES (132161, 4821, 39, '新規検索文字列を入力してください');
INSERT INTO `lang_definitions` VALUES (132162, 4823, 39, '新規パスワードを入力してください');
INSERT INTO `lang_definitions` VALUES (132163, 4824, 39, 'チェック番号を入力してください');
INSERT INTO `lang_definitions` VALUES (132164, 4826, 39, '日付を入力してください');
INSERT INTO `lang_definitions` VALUES (132165, 4827, 39, '支払合計を入力してください');
INSERT INTO `lang_definitions` VALUES (132166, 4828, 39, '支払カテゴリを入力してください');
INSERT INTO `lang_definitions` VALUES (132167, 4829, 39, '支払元を入力してください');
INSERT INTO `lang_definitions` VALUES (132168, 4836, 39, '再ログインしてください');
INSERT INTO `lang_definitions` VALUES (132169, 4839, 39, 'アルファベットのみです');
INSERT INTO `lang_definitions` VALUES (132170, 4840, 39, '空白無しのアルファベットのみです');
INSERT INTO `lang_definitions` VALUES (132171, 4841, 39, 'この合計額を支払ってください');
INSERT INTO `lang_definitions` VALUES (132172, 4842, 39, 'インストールファイルを指定のディレクトリに設置してください');
INSERT INTO `lang_definitions` VALUES (132173, 4844, 39, 'パスワードをリセットしてください');
INSERT INTO `lang_definitions` VALUES (132174, 4847, 39, '選択してください');
INSERT INTO `lang_definitions` VALUES (132175, 4849, 39, '言語を選択してください');
INSERT INTO `lang_definitions` VALUES (132176, 4850, 39, '患者を選択してください');
INSERT INTO `lang_definitions` VALUES (132177, 4854, 39, '受領者を選択してください');
INSERT INTO `lang_definitions` VALUES (132178, 4855, 39, '開始日と終了日を選択してください');
INSERT INTO `lang_definitions` VALUES (132179, 4857, 39, 'アクティブグループを選択');
INSERT INTO `lang_definitions` VALUES (132180, 4859, 39, 'イベントを選択してください');
INSERT INTO `lang_definitions` VALUES (132181, 4881, 39, '複数');
INSERT INTO `lang_definitions` VALUES (132182, 4882, 39, '午後');
INSERT INTO `lang_definitions` VALUES (132183, 4886, 39, 'Pneumococcal Conjugate 1');
INSERT INTO `lang_definitions` VALUES (132184, 4887, 39, 'Pneumococcal Conjugate 2');
INSERT INTO `lang_definitions` VALUES (132185, 4888, 39, 'Pneumococcal Conjugate 3');
INSERT INTO `lang_definitions` VALUES (132186, 4889, 39, 'Pneumococcal Conjugate 4');
INSERT INTO `lang_definitions` VALUES (132187, 4897, 39, 'ポリシー');
INSERT INTO `lang_definitions` VALUES (132188, 4898, 39, 'ポリシー番号');
INSERT INTO `lang_definitions` VALUES (132189, 4899, 39, 'ポリシー番号');
INSERT INTO `lang_definitions` VALUES (132190, 4900, 39, 'ポーランド人');
INSERT INTO `lang_definitions` VALUES (132191, 4909, 39, 'ポップアップ');
INSERT INTO `lang_definitions` VALUES (132192, 4910, 39, 'ポータル');
INSERT INTO `lang_definitions` VALUES (132193, 4912, 39, 'ポータルID');
INSERT INTO `lang_definitions` VALUES (132194, 4913, 39, 'ポータルIDは要求されたポータルと一致しません');
INSERT INTO `lang_definitions` VALUES (132195, 4914, 39, 'ポータルパスワードがありません');
INSERT INTO `lang_definitions` VALUES (132196, 4915, 39, 'ポータルリクエスト');
INSERT INTO `lang_definitions` VALUES (132197, 4916, 39, '縦向き');
INSERT INTO `lang_definitions` VALUES (132198, 4917, 39, 'ポルトガル人');
INSERT INTO `lang_definitions` VALUES (132199, 4918, 39, 'ブラジル人');
INSERT INTO `lang_definitions` VALUES (132200, 4919, 39, 'ポルトガル人(ヨーロッパ系)');
INSERT INTO `lang_definitions` VALUES (132201, 4920, 39, 'POS Code');
INSERT INTO `lang_definitions` VALUES (132202, 4921, 39, '位置');
INSERT INTO `lang_definitions` VALUES (132203, 4922, 39, 'ポジティブ');
INSERT INTO `lang_definitions` VALUES (132204, 4923, 39, 'ポジティブ');
INSERT INTO `lang_definitions` VALUES (132205, 4925, 39, '投函先');
INSERT INTO `lang_definitions` VALUES (132206, 4937, 39, '郵便');
INSERT INTO `lang_definitions` VALUES (132207, 4938, 39, '郵便番号');
INSERT INTO `lang_definitions` VALUES (132208, 4939, 39, '郵便番号');
INSERT INTO `lang_definitions` VALUES (132209, 4946, 39, '投函日');
INSERT INTO `lang_definitions` VALUES (132210, 4948, 39, 'Powered by');
INSERT INTO `lang_definitions` VALUES (132211, 4953, 39, '教練');
INSERT INTO `lang_definitions` VALUES (132212, 4954, 39, '教練基本設定');
INSERT INTO `lang_definitions` VALUES (132213, 4955, 39, '教練設定');
INSERT INTO `lang_definitions` VALUES (132214, 4956, 39, '教練者');
INSERT INTO `lang_definitions` VALUES (132215, 4958, 39, '先払い');
INSERT INTO `lang_definitions` VALUES (132216, 4963, 39, '設定');
INSERT INTO `lang_definitions` VALUES (132217, 4964, 39, '設定');
INSERT INTO `lang_definitions` VALUES (132218, 4965, 39, '優先するイベントカテゴリー');
INSERT INTO `lang_definitions` VALUES (132219, 4966, 39, '優先する言語');
INSERT INTO `lang_definitions` VALUES (132220, 4967, 39, '優先する薬局');
INSERT INTO `lang_definitions` VALUES (132221, 4972, 39, '前納');
INSERT INTO `lang_definitions` VALUES (132222, 4973, 39, '処方');
INSERT INTO `lang_definitions` VALUES (132223, 4974, 39, '処方箋は、その上限に達しています');
INSERT INTO `lang_definitions` VALUES (132224, 4975, 39, '処方履歴');
INSERT INTO `lang_definitions` VALUES (132225, 4976, 39, '処方履歴のインポートが正常に完了しました');
INSERT INTO `lang_definitions` VALUES (132226, 4977, 39, '調剤ラベル');
INSERT INTO `lang_definitions` VALUES (132227, 4978, 39, '処方レポート');
INSERT INTO `lang_definitions` VALUES (132228, 4979, 39, '処方箋');
INSERT INTO `lang_definitions` VALUES (132229, 4983, 39, '処方箋レポート');
INSERT INTO `lang_definitions` VALUES (132230, 4984, 39, '処方箋/紹介');
INSERT INTO `lang_definitions` VALUES (132231, 4985, 39, 'プレゼント');
INSERT INTO `lang_definitions` VALUES (132232, 5001, 39, '前');
INSERT INTO `lang_definitions` VALUES (132233, 5061, 39, '印刷表示');
INSERT INTO `lang_definitions` VALUES (132234, 5062, 39, '印刷可能');
INSERT INTO `lang_definitions` VALUES (132235, 5063, 39, '印刷可能表示');
INSERT INTO `lang_definitions` VALUES (132236, 5114, 39, '処置');
INSERT INTO `lang_definitions` VALUES (132237, 5205, 39, '肺');
INSERT INTO `lang_definitions` VALUES (132238, 5206, 39, '脈拍');
INSERT INTO `lang_definitions` VALUES (132239, 5207, 39, 'パンジャブ語');
INSERT INTO `lang_definitions` VALUES (132240, 5208, 39, '購入');
INSERT INTO `lang_definitions` VALUES (132241, 5209, 39, '購入/戻ります');
INSERT INTO `lang_definitions` VALUES (132242, 5210, 39, '購入');
INSERT INTO `lang_definitions` VALUES (132243, 5245, 39, '人種');
INSERT INTO `lang_definitions` VALUES (132244, 5246, 39, '人種と民族');
INSERT INTO `lang_definitions` VALUES (132245, 5247, 39, '人種/民族');
INSERT INTO `lang_definitions` VALUES (132246, 5248, 39, 'ラジオ');
INSERT INTO `lang_definitions` VALUES (132247, 5249, 39, 'ラジオボタン');
INSERT INTO `lang_definitions` VALUES (132248, 5251, 39, '宗教');
INSERT INTO `lang_definitions` VALUES (132249, 5363, 39, '更新');
INSERT INTO `lang_definitions` VALUES (132250, 5369, 39, '登録');
INSERT INTO `lang_definitions` VALUES (132251, 5370, 39, '登録');
INSERT INTO `lang_definitions` VALUES (132252, 5371, 39, '登録されました');
INSERT INTO `lang_definitions` VALUES (132253, 5372, 39, '登録されました');
INSERT INTO `lang_definitions` VALUES (132254, 5373, 39, '登録されているモジュール');
INSERT INTO `lang_definitions` VALUES (132255, 5374, 39, '登録日');
INSERT INTO `lang_definitions` VALUES (132256, 5375, 39, '登録フォーム');
INSERT INTO `lang_definitions` VALUES (132257, 5376, 39, 'リハビリテーション');
INSERT INTO `lang_definitions` VALUES (132258, 5377, 39, '拒否');
INSERT INTO `lang_definitions` VALUES (132259, 5379, 39, '再発の可能性');
INSERT INTO `lang_definitions` VALUES (132260, 5381, 39, '関連');
INSERT INTO `lang_definitions` VALUES (132261, 5382, 39, '関連問題');
INSERT INTO `lang_definitions` VALUES (132262, 5383, 39, '関連患者の注意事項');
INSERT INTO `lang_definitions` VALUES (132263, 5409, 39, 'リマインダー');
INSERT INTO `lang_definitions` VALUES (132264, 5413, 39, 'リマインダー');
INSERT INTO `lang_definitions` VALUES (132265, 5426, 39, '腎臓結石');
INSERT INTO `lang_definitions` VALUES (132266, 5427, 39, '名前変更');
INSERT INTO `lang_definitions` VALUES (132267, 5428, 39, 'グループ名変更');
INSERT INTO `lang_definitions` VALUES (132268, 5429, 39, 'レンダリング');
INSERT INTO `lang_definitions` VALUES (132269, 5430, 39, 'レンダリングプロバイダ');
INSERT INTO `lang_definitions` VALUES (132270, 5431, 39, 'レンダリングプロバイダー数');
INSERT INTO `lang_definitions` VALUES (132271, 5432, 39, '並べ替え');
INSERT INTO `lang_definitions` VALUES (132272, 5446, 39, 'レポート');
INSERT INTO `lang_definitions` VALUES (132273, 5457, 39, 'レポートステータス');
INSERT INTO `lang_definitions` VALUES (132274, 5475, 39, '強いパスワードが必須です');
INSERT INTO `lang_definitions` VALUES (132275, 5476, 39, 'ユニークなパスワードが必須です');
INSERT INTO `lang_definitions` VALUES (132276, 5477, 39, '必須');
INSERT INTO `lang_definitions` VALUES (132277, 5491, 39, 'リセット');
INSERT INTO `lang_definitions` VALUES (132278, 5584, 39, '医療用医薬品');
INSERT INTO `lang_definitions` VALUES (132279, 5585, 39, '医療用医薬品');
INSERT INTO `lang_definitions` VALUES (132280, 5605, 39, '販売');
INSERT INTO `lang_definitions` VALUES (132281, 5606, 39, '販売');
INSERT INTO `lang_definitions` VALUES (132282, 5607, 39, 'アイテム別売上高');
INSERT INTO `lang_definitions` VALUES (132283, 5608, 39, '製品別売上高レポート');
INSERT INTO `lang_definitions` VALUES (132284, 5609, 39, '唾液');
INSERT INTO `lang_definitions` VALUES (132285, 5610, 39, '同日');
INSERT INTO `lang_definitions` VALUES (132286, 5611, 39, 'サモア語');
INSERT INTO `lang_definitions` VALUES (132287, 5612, 39, 'サンプル');
INSERT INTO `lang_definitions` VALUES (132288, 5616, 39, 'サルデーニャ語');
INSERT INTO `lang_definitions` VALUES (132289, 5619, 39, '土曜日');
INSERT INTO `lang_definitions` VALUES (132290, 5620, 39, '保存');
INSERT INTO `lang_definitions` VALUES (132291, 5621, 39, '保存');
INSERT INTO `lang_definitions` VALUES (132292, 5622, 39, '保存して閉じる');
INSERT INTO `lang_definitions` VALUES (132293, 5627, 39, '新規ノートとして保存');
INSERT INTO `lang_definitions` VALUES (132294, 5633, 39, '新規グループを保存');
INSERT INTO `lang_definitions` VALUES (132295, 5634, 39, '新規名称リストを保存');
INSERT INTO `lang_definitions` VALUES (132296, 5635, 39, '新規テンプレート保存');
INSERT INTO `lang_definitions` VALUES (132297, 5640, 39, '保存成功しました');
INSERT INTO `lang_definitions` VALUES (132298, 5641, 39, 'スキャン');
INSERT INTO `lang_definitions` VALUES (132299, 5643, 39, 'スキャナのディレクトリ');
INSERT INTO `lang_definitions` VALUES (132300, 5645, 39, 'スケジュール');
INSERT INTO `lang_definitions` VALUES (132301, 5659, 39, '検索');
INSERT INTO `lang_definitions` VALUES (132302, 5669, 39, '患者検索・追加');
INSERT INTO `lang_definitions` VALUES (132303, 5671, 39, '検索結果');
INSERT INTO `lang_definitions` VALUES (132304, 5672, 39, '検索結果：');
INSERT INTO `lang_definitions` VALUES (132305, 5676, 39, '検索テキスト');
INSERT INTO `lang_definitions` VALUES (132306, 5678, 39, '検索/追加');
INSERT INTO `lang_definitions` VALUES (132307, 5680, 39, '予定検索');
INSERT INTO `lang_definitions` VALUES (132308, 5681, 39, '検索中...');
INSERT INTO `lang_definitions` VALUES (132309, 5698, 39, 'セキュリティ');
INSERT INTO `lang_definitions` VALUES (132310, 5699, 39, '全て見る');
INSERT INTO `lang_definitions` VALUES (132311, 5709, 39, '選択');
INSERT INTO `lang_definitions` VALUES (132312, 5710, 39, '選択');
INSERT INTO `lang_definitions` VALUES (132313, 5716, 39, 'すべて選択');
INSERT INTO `lang_definitions` VALUES (132314, 5720, 39, 'カテゴリ選択');
INSERT INTO `lang_definitions` VALUES (132315, 5724, 39, 'CSVテーブル選択');
INSERT INTO `lang_definitions` VALUES (132316, 5731, 39, '薬剤選択');
INSERT INTO `lang_definitions` VALUES (132317, 5732, 39, '薬剤選択');
INSERT INTO `lang_definitions` VALUES (132318, 5736, 39, 'フィールド選択');
INSERT INTO `lang_definitions` VALUES (132319, 5737, 39, 'フィールド選択');
INSERT INTO `lang_definitions` VALUES (132320, 5744, 39, '言語選択');
INSERT INTO `lang_definitions` VALUES (132321, 5748, 39, '出力選択');
INSERT INTO `lang_definitions` VALUES (132322, 5752, 39, 'ソース選択');
INSERT INTO `lang_definitions` VALUES (132323, 5753, 39, 'テンプレート選択');
INSERT INTO `lang_definitions` VALUES (132324, 5771, 39, '送信');
INSERT INTO `lang_definitions` VALUES (132325, 5775, 39, '送信メッセージ');
INSERT INTO `lang_definitions` VALUES (132326, 5784, 39, '全てに送信');
INSERT INTO `lang_definitions` VALUES (132327, 5788, 39, '送信者');
INSERT INTO `lang_definitions` VALUES (132328, 5789, 39, '送信者ＩＤ');
INSERT INTO `lang_definitions` VALUES (132329, 5801, 39, '送信日');
INSERT INTO `lang_definitions` VALUES (132330, 5814, 39, '9月');
INSERT INTO `lang_definitions` VALUES (132331, 5821, 39, 'サービス');
INSERT INTO `lang_definitions` VALUES (132332, 5822, 39, 'サービスカテゴリ');
INSERT INTO `lang_definitions` VALUES (132333, 5823, 39, 'サービスコード');
INSERT INTO `lang_definitions` VALUES (132334, 5825, 39, 'サービスコード');
INSERT INTO `lang_definitions` VALUES (132335, 5830, 39, 'サービス名');
INSERT INTO `lang_definitions` VALUES (132336, 5832, 39, 'サービスレポート');
INSERT INTO `lang_definitions` VALUES (132337, 5833, 39, 'サービスレポートのみ');
INSERT INTO `lang_definitions` VALUES (132338, 5834, 39, 'サービス');
INSERT INTO `lang_definitions` VALUES (132339, 5839, 39, 'セッションタイプ');
INSERT INTO `lang_definitions` VALUES (132340, 5849, 39, '設定');
INSERT INTO `lang_definitions` VALUES (132341, 5855, 39, '性別');
INSERT INTO `lang_definitions` VALUES (132342, 5877, 39, '表示');
INSERT INTO `lang_definitions` VALUES (132343, 5880, 39, '全て表示');
INSERT INTO `lang_definitions` VALUES (132344, 5889, 39, '詳細表示');
INSERT INTO `lang_definitions` VALUES (132345, 5891, 39, 'グラフを表示');
INSERT INTO `lang_definitions` VALUES (132346, 5896, 39, 'メニューを表示');
INSERT INTO `lang_definitions` VALUES (132347, 5898, 39, 'ノートを表示');
INSERT INTO `lang_definitions` VALUES (132348, 5901, 39, '患者ノートを表示');
INSERT INTO `lang_definitions` VALUES (132349, 5905, 39, 'リマインダーを表示');
INSERT INTO `lang_definitions` VALUES (132350, 5906, 39, 'レポートを表示');
INSERT INTO `lang_definitions` VALUES (132351, 5912, 39, 'タスク履歴表示');
INSERT INTO `lang_definitions` VALUES (132352, 5914, 39, 'USのみ表示');
INSERT INTO `lang_definitions` VALUES (132353, 5956, 39, 'サイズ');
INSERT INTO `lang_definitions` VALUES (132354, 5976, 39, '喫煙状態');
INSERT INTO `lang_definitions` VALUES (132355, 5977, 39, 'SMS認証');
INSERT INTO `lang_definitions` VALUES (132356, 5978, 39, 'SMSゲートウェイ');
INSERT INTO `lang_definitions` VALUES (132357, 5981, 39, 'SMSゲートウェイパスワード');
INSERT INTO `lang_definitions` VALUES (132358, 5982, 39, 'SMSゲートウェイユーザ名');
INSERT INTO `lang_definitions` VALUES (132359, 5983, 39, 'SMS通知');
INSERT INTO `lang_definitions` VALUES (132360, 5989, 39, 'SMTP認証パスワード');
INSERT INTO `lang_definitions` VALUES (132361, 5992, 39, 'SMTPサーバーホスト名');
INSERT INTO `lang_definitions` VALUES (132362, 5993, 39, 'SMTPサーバーポート番号');
INSERT INTO `lang_definitions` VALUES (132363, 5994, 39, 'SMTP認証ユーザー');
INSERT INTO `lang_definitions` VALUES (132364, 6034, 39, '日付順でソート');
INSERT INTO `lang_definitions` VALUES (132365, 6036, 39, 'イベント順でソート');
INSERT INTO `lang_definitions` VALUES (132366, 6037, 39, 'グループ順でソート');
INSERT INTO `lang_definitions` VALUES (132367, 6040, 39, '患者番号順でソート');
INSERT INTO `lang_definitions` VALUES (132368, 6043, 39, 'ユーザー順でソート');
INSERT INTO `lang_definitions` VALUES (132369, 6048, 39, 'ソース');
INSERT INTO `lang_definitions` VALUES (132370, 6049, 39, 'ソースファイル');
INSERT INTO `lang_definitions` VALUES (132371, 6050, 39, 'ソースファイルパス');
INSERT INTO `lang_definitions` VALUES (132372, 6054, 39, '感染患者');
INSERT INTO `lang_definitions` VALUES (132373, 6060, 39, 'スペース');
INSERT INTO `lang_definitions` VALUES (132374, 6088, 39, '検体');
INSERT INTO `lang_definitions` VALUES (132375, 6089, 39, '検体番号/識別子');
INSERT INTO `lang_definitions` VALUES (132376, 6090, 39, '検体の種類');
INSERT INTO `lang_definitions` VALUES (132377, 6092, 39, '音声ディクテーション');
INSERT INTO `lang_definitions` VALUES (132378, 6093, 39, '殺精子剤');
INSERT INTO `lang_definitions` VALUES (132379, 6094, 39, '脾臓摘出術');
INSERT INTO `lang_definitions` VALUES (132380, 6095, 39, '配偶者');
INSERT INTO `lang_definitions` VALUES (132381, 6096, 39, '配偶者の歴史');
INSERT INTO `lang_definitions` VALUES (132382, 6097, 39, '喀痰');
INSERT INTO `lang_definitions` VALUES (132383, 6098, 39, '喀痰:');
INSERT INTO `lang_definitions` VALUES (132384, 6100, 39, 'sql');
INSERT INTO `lang_definitions` VALUES (132385, 6102, 39, '分隊');
INSERT INTO `lang_definitions` VALUES (132386, 6103, 39, '分隊会員');
INSERT INTO `lang_definitions` VALUES (132387, 6104, 39, '分隊');
INSERT INTO `lang_definitions` VALUES (132388, 6124, 39, '開始');
INSERT INTO `lang_definitions` VALUES (132389, 6125, 39, '開始(yyyy-mm-dd): ');
INSERT INTO `lang_definitions` VALUES (132390, 6128, 39, '開始日');
INSERT INTO `lang_definitions` VALUES (132391, 6131, 39, '開始日:');
INSERT INTO `lang_definitions` VALUES (132392, 6132, 39, '開始日:');
INSERT INTO `lang_definitions` VALUES (132393, 6133, 39, '開始時刻:');
INSERT INTO `lang_definitions` VALUES (132394, 6153, 39, 'ステータス');
INSERT INTO `lang_definitions` VALUES (132395, 6173, 39, '停止');
INSERT INTO `lang_definitions` VALUES (132396, 6177, 39, '通り');
INSERT INTO `lang_definitions` VALUES (132397, 6187, 39, 'スタイル');
INSERT INTO `lang_definitions` VALUES (132398, 6240, 39, '成功');
INSERT INTO `lang_definitions` VALUES (132399, 6241, 39, '成功');
INSERT INTO `lang_definitions` VALUES (132400, 6248, 39, '削除成功');
INSERT INTO `lang_definitions` VALUES (132401, 6252, 39, '更新成功');
INSERT INTO `lang_definitions` VALUES (132402, 6256, 39, '格納成功。');
INSERT INTO `lang_definitions` VALUES (132403, 6257, 39, 'データベースのアップグレード成功しました。');
INSERT INTO `lang_definitions` VALUES (132404, 6261, 39, '概要');
INSERT INTO `lang_definitions` VALUES (132405, 6267, 39, '日曜日');
INSERT INTO `lang_definitions` VALUES (132406, 6275, 39, 'スーパーユーザー');
INSERT INTO `lang_definitions` VALUES (132407, 6297, 39, 'スワヒリ語');
INSERT INTO `lang_definitions` VALUES (132408, 6298, 39, 'スワティ');
INSERT INTO `lang_definitions` VALUES (132409, 6299, 39, '発汗：');
INSERT INTO `lang_definitions` VALUES (132410, 6300, 39, 'スウェーデン語');
INSERT INTO `lang_definitions` VALUES (132411, 6301, 39, 'むくみ');
INSERT INTO `lang_definitions` VALUES (132412, 6302, 39, '右の膨潤');
INSERT INTO `lang_definitions` VALUES (132413, 6303, 39, '腫脹関節');
INSERT INTO `lang_definitions` VALUES (132414, 6304, 39, '腫れたリンパ節');
INSERT INTO `lang_definitions` VALUES (132415, 6305, 39, '通貨の小数点として使用する記号。小数点以下の桁数が0の場合は使用されません。');
INSERT INTO `lang_definitions` VALUES (132416, 6318, 39, 'システム');
INSERT INTO `lang_definitions` VALUES (132417, 6325, 39, 'テーブル');
INSERT INTO `lang_definitions` VALUES (132418, 6363, 39, '電話');
INSERT INTO `lang_definitions` VALUES (132419, 6364, 39, '電話国コード');
INSERT INTO `lang_definitions` VALUES (132420, 6370, 39, 'テンプレート');
INSERT INTO `lang_definitions` VALUES (132421, 6371, 39, 'テンプレート名');
INSERT INTO `lang_definitions` VALUES (132422, 6373, 39, 'テンプレート：');
INSERT INTO `lang_definitions` VALUES (132423, 6374, 39, 'テンプレート');
INSERT INTO `lang_definitions` VALUES (132424, 6383, 39, 'テストスケジューリング');
INSERT INTO `lang_definitions` VALUES (132425, 6384, 39, 'テストシステム');
INSERT INTO `lang_definitions` VALUES (132426, 6385, 39, 'テキスト');
INSERT INTO `lang_definitions` VALUES (132427, 6387, 39, 'テキストフィールド');
INSERT INTO `lang_definitions` VALUES (132428, 6401, 39, 'タイ');
INSERT INTO `lang_definitions` VALUES (132429, 6402, 39, 'ありがとう');
INSERT INTO `lang_definitions` VALUES (132430, 6493, 39, 'テーマ');
INSERT INTO `lang_definitions` VALUES (132431, 6629, 39, '木');
INSERT INTO `lang_definitions` VALUES (132432, 6631, 39, '木曜日');
INSERT INTO `lang_definitions` VALUES (132433, 6632, 39, '正常甲状腺');
INSERT INTO `lang_definitions` VALUES (132434, 6633, 39, '甲状腺の問題');
INSERT INTO `lang_definitions` VALUES (132435, 6652, 39, 'タイトル');
INSERT INTO `lang_definitions` VALUES (132436, 6659, 39, '宛先');
INSERT INTO `lang_definitions` VALUES (132437, 6661, 39, '強制 ファイルパス');
INSERT INTO `lang_definitions` VALUES (132438, 6662, 39, 'ノート追記 ');
INSERT INTO `lang_definitions` VALUES (132439, 6663, 39, 'ここでノートを追記');
INSERT INTO `lang_definitions` VALUES (132440, 6667, 39, '領収書表示へ');
INSERT INTO `lang_definitions` VALUES (132441, 6668, 39, 'カテゴリーへ');
INSERT INTO `lang_definitions` VALUES (132442, 6680, 39, '性別でフィルター');
INSERT INTO `lang_definitions` VALUES (132443, 6681, 39, '履歴へ');
INSERT INTO `lang_definitions` VALUES (132444, 6682, 39, '問題へ');
INSERT INTO `lang_definitions` VALUES (132445, 6708, 39, 'タバコ');
INSERT INTO `lang_definitions` VALUES (132446, 6711, 39, '喫煙');
INSERT INTO `lang_definitions` VALUES (132447, 6712, 39, '喫煙');
INSERT INTO `lang_definitions` VALUES (132448, 6715, 39, '今日');
INSERT INTO `lang_definitions` VALUES (132449, 6716, 39, '本日');
INSERT INTO `lang_definitions` VALUES (132450, 6717, 39, '本日');
INSERT INTO `lang_definitions` VALUES (132451, 6729, 39, '上マージン (mm)');
INSERT INTO `lang_definitions` VALUES (132452, 6731, 39, '合計');
INSERT INTO `lang_definitions` VALUES (132453, 6732, 39, '合計');
INSERT INTO `lang_definitions` VALUES (132454, 6741, 39, '合計料金');
INSERT INTO `lang_definitions` VALUES (132455, 6742, 39, '合計クライアント');
INSERT INTO `lang_definitions` VALUES (132456, 6743, 39, '総費用');
INSERT INTO `lang_definitions` VALUES (132457, 6807, 39, 'アクセス制御グループを翻訳');
INSERT INTO `lang_definitions` VALUES (132458, 6808, 39, '予定カテゴリを翻訳');
INSERT INTO `lang_definitions` VALUES (132459, 6809, 39, 'ドキュメントカテゴリを翻訳');
INSERT INTO `lang_definitions` VALUES (132460, 6810, 39, 'レイアウトを翻訳');
INSERT INTO `lang_definitions` VALUES (132461, 6811, 39, 'リストを翻訳');
INSERT INTO `lang_definitions` VALUES (132462, 6812, 39, '患者のノートタイトルを翻訳');
INSERT INTO `lang_definitions` VALUES (132463, 6813, 39, 'これを翻訳します');
INSERT INTO `lang_definitions` VALUES (132464, 6814, 39, '翻訳');
INSERT INTO `lang_definitions` VALUES (132465, 6815, 39, '翻訳');
INSERT INTO `lang_definitions` VALUES (132466, 6816, 39, '送信します');
INSERT INTO `lang_definitions` VALUES (132467, 6817, 39, '送信に失敗しました');
INSERT INTO `lang_definitions` VALUES (132468, 6818, 39, '選択した注文を送信');
INSERT INTO `lang_definitions` VALUES (132469, 6819, 39, '外傷');
INSERT INTO `lang_definitions` VALUES (132470, 6820, 39, '目標');
INSERT INTO `lang_definitions` VALUES (132471, 6822, 39, '目標ゴール');
INSERT INTO `lang_definitions` VALUES (132472, 6823, 39, '目標プラン');
INSERT INTO `lang_definitions` VALUES (132473, 6824, 39, '目標プランニング');
INSERT INTO `lang_definitions` VALUES (132474, 6825, 39, '目標を受理');
INSERT INTO `lang_definitions` VALUES (132475, 6826, 39, '目標');
INSERT INTO `lang_definitions` VALUES (132476, 6827, 39, '目標 ');
INSERT INTO `lang_definitions` VALUES (132477, 6828, 39, '傾向');
INSERT INTO `lang_definitions` VALUES (132478, 6843, 39, '火曜日');
INSERT INTO `lang_definitions` VALUES (132479, 6844, 39, '腫瘍');
INSERT INTO `lang_definitions` VALUES (132480, 6845, 39, 'トルコ語');
INSERT INTO `lang_definitions` VALUES (132481, 6846, 39, 'トルクメン語');
INSERT INTO `lang_definitions` VALUES (132482, 6847, 39, '監督者訓練');
INSERT INTO `lang_definitions` VALUES (132483, 6848, 39, '1日2回');
INSERT INTO `lang_definitions` VALUES (132484, 6850, 39, '鼓膜');
INSERT INTO `lang_definitions` VALUES (132485, 6851, 39, 'タイプ');
INSERT INTO `lang_definitions` VALUES (132486, 6869, 39, 'ディレクトリにアクセスすることができません');
INSERT INTO `lang_definitions` VALUES (132487, 6870, 39, 'URLにアクセスすることができません');
INSERT INTO `lang_definitions` VALUES (132488, 6871, 39, '作成することができません');
INSERT INTO `lang_definitions` VALUES (132489, 6872, 39, '患者文書サブディレクトリを作成することができません');
INSERT INTO `lang_definitions` VALUES (132490, 6873, 39, 'このファイル内のデータを見つけることができません。');
INSERT INTO `lang_definitions` VALUES (132491, 6876, 39, '未申請');
INSERT INTO `lang_definitions` VALUES (132492, 6877, 39, '未割当');
INSERT INTO `lang_definitions` VALUES (132493, 6878, 39, '不認定');
INSERT INTO `lang_definitions` VALUES (132494, 6880, 39, '認証されていないアクセス');
INSERT INTO `lang_definitions` VALUES (132495, 6881, 39, '未払い');
INSERT INTO `lang_definitions` VALUES (132496, 6882, 39, '未払いのみ');
INSERT INTO `lang_definitions` VALUES (132497, 6884, 39, '舌下');
INSERT INTO `lang_definitions` VALUES (132498, 6885, 39, '低体重');
INSERT INTO `lang_definitions` VALUES (132499, 6886, 39, '未診断');
INSERT INTO `lang_definitions` VALUES (132500, 6887, 39, '未分配');
INSERT INTO `lang_definitions` VALUES (132501, 6888, 39, '分配されていません');
INSERT INTO `lang_definitions` VALUES (132502, 6889, 39, '未分配は、');
INSERT INTO `lang_definitions` VALUES (132503, 6890, 39, 'チェックアウトを元に戻します');
INSERT INTO `lang_definitions` VALUES (132504, 6892, 39, 'ユニーククライアント');
INSERT INTO `lang_definitions` VALUES (132505, 6894, 39, 'ユニークな新しいクライアント');
INSERT INTO `lang_definitions` VALUES (132506, 6895, 39, 'このタイプのユニークなの数値識別子');
INSERT INTO `lang_definitions` VALUES (132507, 6896, 39, 'ユニーク見た患者');
INSERT INTO `lang_definitions` VALUES (132508, 6897, 39, 'ユニーク見患者報告');
INSERT INTO `lang_definitions` VALUES (132509, 6898, 39, 'ユニークSP');
INSERT INTO `lang_definitions` VALUES (132510, 6899, 39, 'ユニット');
INSERT INTO `lang_definitions` VALUES (132511, 6900, 39, '単位');
INSERT INTO `lang_definitions` VALUES (132512, 6907, 39, '不明');
INSERT INTO `lang_definitions` VALUES (132513, 6911, 39, '不明　または無し');
INSERT INTO `lang_definitions` VALUES (132514, 6912, 39, '不明なユーザーID：');
INSERT INTO `lang_definitions` VALUES (132515, 6913, 39, '患者のリンクを解除');
INSERT INTO `lang_definitions` VALUES (132516, 6915, 39, '未登録');
INSERT INTO `lang_definitions` VALUES (132517, 6916, 39, '未登録のモジュール');
INSERT INTO `lang_definitions` VALUES (132518, 6918, 39, 'すべて選択解除');
INSERT INTO `lang_definitions` VALUES (132519, 6919, 39, '選択されていません');
INSERT INTO `lang_definitions` VALUES (132520, 6920, 39, '特定されていません');
INSERT INTO `lang_definitions` VALUES (132521, 6921, 39, '体系化されていません');
INSERT INTO `lang_definitions` VALUES (132522, 6922, 39, 'サポートされていないデータベース・ロード・ファイル');
INSERT INTO `lang_definitions` VALUES (132523, 6926, 39, '未使用');
INSERT INTO `lang_definitions` VALUES (132524, 6931, 39, 'アップデート');
INSERT INTO `lang_definitions` VALUES (132525, 6932, 39, 'アップデート');
INSERT INTO `lang_definitions` VALUES (132526, 6934, 39, 'ファイル更新');
INSERT INTO `lang_definitions` VALUES (132527, 6935, 39, 'インフォ更新');
INSERT INTO `lang_definitions` VALUES (132528, 6936, 39, 'リスト更新');
INSERT INTO `lang_definitions` VALUES (132529, 6937, 39, 'プロバイダー番号更新');
INSERT INTO `lang_definitions` VALUES (132530, 6938, 39, '選択アイテム更新');
INSERT INTO `lang_definitions` VALUES (132531, 6940, 39, 'ユーザー情報更新');
INSERT INTO `lang_definitions` VALUES (132532, 6942, 39, '更新したデモ画像は認証されていません');
INSERT INTO `lang_definitions` VALUES (132533, 6943, 39, 'グローバル設定を更新しました');
INSERT INTO `lang_definitions` VALUES (132534, 6944, 39, 'バージョン判別を更新しました');
INSERT INTO `lang_definitions` VALUES (132535, 6945, 39, 'アップグレード');
INSERT INTO `lang_definitions` VALUES (132536, 6946, 39, 'アップグレード');
INSERT INTO `lang_definitions` VALUES (132537, 6947, 39, 'データベースアップグレード');
INSERT INTO `lang_definitions` VALUES (132538, 6951, 39, 'アップロード');
INSERT INTO `lang_definitions` VALUES (132539, 6953, 39, 'アップロードしてインストール');
INSERT INTO `lang_definitions` VALUES (132540, 6955, 39, 'ドキュメントアップロード');
INSERT INTO `lang_definitions` VALUES (132541, 6956, 39, 'アップロード失敗！');
INSERT INTO `lang_definitions` VALUES (132542, 6961, 39, 'アップロードレポート');
INSERT INTO `lang_definitions` VALUES (132543, 6966, 39, '上腕');
INSERT INTO `lang_definitions` VALUES (132544, 6967, 39, 'ウルドゥー語');
INSERT INTO `lang_definitions` VALUES (132545, 6968, 39, '緊急');
INSERT INTO `lang_definitions` VALUES (132546, 6970, 39, '尿');
INSERT INTO `lang_definitions` VALUES (132547, 6972, 39, '尿頻度');
INSERT INTO `lang_definitions` VALUES (132548, 6977, 39, 'URL');
INSERT INTO `lang_definitions` VALUES (132549, 7007, 39, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (132550, 7009, 39, 'ユーザー／グループ');
INSERT INTO `lang_definitions` VALUES (132551, 7010, 39, 'ユーザー管理');
INSERT INTO `lang_definitions` VALUES (132552, 7013, 39, 'ユーザーを削除できません');
INSERT INTO `lang_definitions` VALUES (132553, 7014, 39, 'ユーザー認証を禁止します');
INSERT INTO `lang_definitions` VALUES (132554, 7015, 39, 'ユーザー任意');
INSERT INTO `lang_definitions` VALUES (132555, 7016, 39, 'ユーザー任意エリア 11');
INSERT INTO `lang_definitions` VALUES (132556, 7017, 39, 'ユーザー任意エリア 12');
INSERT INTO `lang_definitions` VALUES (132557, 7018, 39, 'ユーザー任意フィールド');
INSERT INTO `lang_definitions` VALUES (132558, 7019, 39, 'ユーザー任意リスト 1');
INSERT INTO `lang_definitions` VALUES (132559, 7020, 39, 'ユーザー任意リスト 2');
INSERT INTO `lang_definitions` VALUES (132560, 7021, 39, 'ユーザー任意リスト 3');
INSERT INTO `lang_definitions` VALUES (132561, 7022, 39, 'ユーザー任意リスト 4');
INSERT INTO `lang_definitions` VALUES (132562, 7023, 39, 'ユーザー任意リスト 5');
INSERT INTO `lang_definitions` VALUES (132563, 7024, 39, 'ユーザー任意リスト 6');
INSERT INTO `lang_definitions` VALUES (132564, 7025, 39, 'ユーザー任意リスト 7');
INSERT INTO `lang_definitions` VALUES (132565, 7026, 39, 'ユーザー任意テキスト 1');
INSERT INTO `lang_definitions` VALUES (132566, 7027, 39, 'ユーザー任意テキスト 2');
INSERT INTO `lang_definitions` VALUES (132567, 7028, 39, 'ユーザー任意テキスト 3');
INSERT INTO `lang_definitions` VALUES (132568, 7029, 39, 'ユーザー任意テキスト 4');
INSERT INTO `lang_definitions` VALUES (132569, 7030, 39, 'ユーザー任意テキスト 5');
INSERT INTO `lang_definitions` VALUES (132570, 7031, 39, 'ユーザー任意テキスト 6');
INSERT INTO `lang_definitions` VALUES (132571, 7032, 39, 'ユーザー任意テキスト 7');
INSERT INTO `lang_definitions` VALUES (132572, 7033, 39, 'ユーザー任意テキスト 8');
INSERT INTO `lang_definitions` VALUES (132573, 7034, 39, '名');
INSERT INTO `lang_definitions` VALUES (132574, 7039, 39, 'ユーザーマニュアル');
INSERT INTO `lang_definitions` VALUES (132575, 7040, 39, 'ユーザー会員規約');
INSERT INTO `lang_definitions` VALUES (132576, 7041, 39, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (132577, 7042, 39, 'ユーザーまたはホスト名は空白にできません');
INSERT INTO `lang_definitions` VALUES (132578, 7043, 39, 'ユーザーまたはホスト名');
INSERT INTO `lang_definitions` VALUES (132579, 7046, 39, 'ユーザー設定');
INSERT INTO `lang_definitions` VALUES (132580, 7048, 39, 'ユーザーの新しいパスワード');
INSERT INTO `lang_definitions` VALUES (132581, 7049, 39, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (132582, 7052, 39, 'SMS Gateway の為のユーザー名');
INSERT INTO `lang_definitions` VALUES (132583, 7053, 39, 'SMS Gateway の為のユーザー名');
INSERT INTO `lang_definitions` VALUES (132584, 7055, 39, 'ユーザーネーム');
INSERT INTO `lang_definitions` VALUES (132585, 7056, 39, 'ユーザー名');
INSERT INTO `lang_definitions` VALUES (132586, 7057, 39, 'ユーザー名/グループ/ログ 管理者');
INSERT INTO `lang_definitions` VALUES (132587, 7061, 39, 'ウズベク語');
INSERT INTO `lang_definitions` VALUES (132588, 7062, 39, '休暇');
INSERT INTO `lang_definitions` VALUES (132589, 7063, 39, '休暇');
INSERT INTO `lang_definitions` VALUES (132590, 7064, 39, 'ワクチン');
INSERT INTO `lang_definitions` VALUES (132591, 7065, 39, '膣リング');
INSERT INTO `lang_definitions` VALUES (132592, 7066, 39, '告別');
INSERT INTO `lang_definitions` VALUES (132593, 7067, 39, '検証');
INSERT INTO `lang_definitions` VALUES (132594, 7068, 39, '値');
INSERT INTO `lang_definitions` VALUES (132595, 7069, 39, '値 1');
INSERT INTO `lang_definitions` VALUES (132596, 7070, 39, '値 2');
INSERT INTO `lang_definitions` VALUES (132597, 7073, 39, '値 1');
INSERT INTO `lang_definitions` VALUES (132598, 7074, 39, '値 2');
INSERT INTO `lang_definitions` VALUES (132599, 7076, 39, '水痘１');
INSERT INTO `lang_definitions` VALUES (132600, 7077, 39, '水痘２');
INSERT INTO `lang_definitions` VALUES (132601, 7078, 39, '静脈瘤');
INSERT INTO `lang_definitions` VALUES (132602, 7079, 39, '血管の病気');
INSERT INTO `lang_definitions` VALUES (132603, 7080, 39, '血管損傷');
INSERT INTO `lang_definitions` VALUES (132604, 7081, 39, '血管外科');
INSERT INTO `lang_definitions` VALUES (132605, 7082, 39, 'ベンダ語');
INSERT INTO `lang_definitions` VALUES (132606, 7083, 39, 'ベンダー');
INSERT INTO `lang_definitions` VALUES (132607, 7084, 39, 'バージョン');
INSERT INTO `lang_definitions` VALUES (132608, 7089, 39, 'ベトナム人');
INSERT INTO `lang_definitions` VALUES (132609, 7090, 39, '表示');
INSERT INTO `lang_definitions` VALUES (132610, 7091, 39, '表示');
INSERT INTO `lang_definitions` VALUES (132611, 7092, 39, 'アレルギーについて表示');
INSERT INTO `lang_definitions` VALUES (132612, 7098, 39, 'CSVテーブルで表示');
INSERT INTO `lang_definitions` VALUES (132613, 7100, 39, '文書を表示');
INSERT INTO `lang_definitions` VALUES (132614, 7101, 39, '通院歴を表示');
INSERT INTO `lang_definitions` VALUES (132615, 7103, 39, 'ポップアップでイベントを表示しますか？');
INSERT INTO `lang_definitions` VALUES (132616, 7107, 39, 'ログ表示');
INSERT INTO `lang_definitions` VALUES (132617, 7108, 39, 'Page 1 表示');
INSERT INTO `lang_definitions` VALUES (132618, 7109, 39, 'Page 2 表示');
INSERT INTO `lang_definitions` VALUES (132619, 7110, 39, '過去と先の予約を表示');
INSERT INTO `lang_definitions` VALUES (132620, 7111, 39, '患者の表示');
INSERT INTO `lang_definitions` VALUES (132621, 7116, 39, '関連する通院の表示');
INSERT INTO `lang_definitions` VALUES (132622, 7117, 39, 'レポートの表示');
INSERT INTO `lang_definitions` VALUES (132623, 7118, 39, 'README ファイルの表示');
INSERT INTO `lang_definitions` VALUES (132624, 7121, 39, '閲覧/編集 アレルギー');
INSERT INTO `lang_definitions` VALUES (132625, 7122, 39, '閲覧/編集 問題');
INSERT INTO `lang_definitions` VALUES (132626, 7123, 39, '閲覧/印刷');
INSERT INTO `lang_definitions` VALUES (132627, 7125, 39, 'VISA');
INSERT INTO `lang_definitions` VALUES (132628, 7126, 39, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (132629, 7143, 39, 'バイタル');
INSERT INTO `lang_definitions` VALUES (132630, 7146, 39, '音声');
INSERT INTO `lang_definitions` VALUES (132631, 7158, 39, '発注');
INSERT INTO `lang_definitions` VALUES (132632, 7159, 39, '発注の最大値は0以上');
INSERT INTO `lang_definitions` VALUES (132633, 7160, 39, '発注の最少値は0以上');
INSERT INTO `lang_definitions` VALUES (132634, 7161, 39, '問屋');
INSERT INTO `lang_definitions` VALUES (132635, 7162, 39, '暖気');
INSERT INTO `lang_definitions` VALUES (132636, 7163, 39, '注意');
INSERT INTO `lang_definitions` VALUES (132637, 7164, 39, '注意');
INSERT INTO `lang_definitions` VALUES (132638, 7181, 39, 'ウェブ検索');
INSERT INTO `lang_definitions` VALUES (132639, 7182, 39, 'ウェブサイト');
INSERT INTO `lang_definitions` VALUES (132640, 7184, 39, '水');
INSERT INTO `lang_definitions` VALUES (132641, 7185, 39, '水曜日');
INSERT INTO `lang_definitions` VALUES (132642, 7186, 39, '週');
INSERT INTO `lang_definitions` VALUES (132643, 7187, 39, '週');
INSERT INTO `lang_definitions` VALUES (132644, 7188, 39, '週表示');
INSERT INTO `lang_definitions` VALUES (132645, 7193, 39, '体重');
INSERT INTO `lang_definitions` VALUES (132646, 7199, 39, 'ようこそ');
INSERT INTO `lang_definitions` VALUES (132647, 7200, 39, 'ウェールズ語');
INSERT INTO `lang_definitions` VALUES (132648, 7201, 39, 'フリジア語');
INSERT INTO `lang_definitions` VALUES (132649, 7202, 39, '喘鳴：');
INSERT INTO `lang_definitions` VALUES (132650, 7203, 39, '喘鳴');
INSERT INTO `lang_definitions` VALUES (132651, 7236, 39, 'ウォロフ語');
INSERT INTO `lang_definitions` VALUES (132652, 7237, 39, '女性のみ');
INSERT INTO `lang_definitions` VALUES (132653, 7238, 39, '女性のみ');
INSERT INTO `lang_definitions` VALUES (132654, 7239, 39, 'WordPress Portal');
INSERT INTO `lang_definitions` VALUES (132655, 7240, 39, '仕事');
INSERT INTO `lang_definitions` VALUES (132656, 7241, 39, '仕事について');
INSERT INTO `lang_definitions` VALUES (132657, 7242, 39, '職場の電話番号');
INSERT INTO `lang_definitions` VALUES (132658, 7243, 39, '職場の電話番号');
INSERT INTO `lang_definitions` VALUES (132659, 7244, 39, '仕事がらみ？');
INSERT INTO `lang_definitions` VALUES (132660, 7247, 39, '業務日');
INSERT INTO `lang_definitions` VALUES (132661, 7255, 39, '場所を変更しますか？');
INSERT INTO `lang_definitions` VALUES (132662, 7256, 39, 'この患者への領収をキャンセルしますか？');
INSERT INTO `lang_definitions` VALUES (132663, 7257, 39, '領収書を削除しますか？');
INSERT INTO `lang_definitions` VALUES (132664, 7258, 39, '支払いを削除しますか？');
INSERT INTO `lang_definitions` VALUES (132665, 7259, 39, '支払いを変更の上、完了しますか？');
INSERT INTO `lang_definitions` VALUES (132666, 7260, 39, '支払を変更しますか？');
INSERT INTO `lang_definitions` VALUES (132667, 7261, 39, '先払いまたは支払を完了しますか？');
INSERT INTO `lang_definitions` VALUES (132668, 7262, 39, '先払いしますか？');
INSERT INTO `lang_definitions` VALUES (132669, 7263, 39, '保存しますか？');
INSERT INTO `lang_definitions` VALUES (132670, 7264, 39, '腕');
INSERT INTO `lang_definitions` VALUES (132671, 7265, 39, '手と腕');
INSERT INTO `lang_definitions` VALUES (132672, 7266, 39, '腕に問題');
INSERT INTO `lang_definitions` VALUES (132673, 7267, 39, '書く');
INSERT INTO `lang_definitions` VALUES (132674, 7268, 39, '書き出す');
INSERT INTO `lang_definitions` VALUES (132675, 7269, 39, '一度だけ書く');
INSERT INTO `lang_definitions` VALUES (132676, 7273, 39, 'x キャンセル');
INSERT INTO `lang_definitions` VALUES (132677, 7274, 39, 'x キャンセル');
INSERT INTO `lang_definitions` VALUES (132678, 7275, 39, 'レントゲン');
INSERT INTO `lang_definitions` VALUES (132679, 7285, 39, '年または日');
INSERT INTO `lang_definitions` VALUES (132680, 7286, 39, '年または日');
INSERT INTO `lang_definitions` VALUES (132681, 7287, 39, '毎年');
INSERT INTO `lang_definitions` VALUES (132682, 7288, 39, '年または日');
INSERT INTO `lang_definitions` VALUES (132683, 7289, 39, '年数');
INSERT INTO `lang_definitions` VALUES (132684, 7290, 39, '年または日');
INSERT INTO `lang_definitions` VALUES (132685, 7291, 39, '年月日');
INSERT INTO `lang_definitions` VALUES (132686, 7292, 39, 'はい');
INSERT INTO `lang_definitions` VALUES (132687, 7293, 39, 'はい');
INSERT INTO `lang_definitions` VALUES (132688, 7294, 39, 'はい');
INSERT INTO `lang_definitions` VALUES (132689, 7295, 39, 'はい');
INSERT INTO `lang_definitions` VALUES (132690, 7296, 39, 'ログを削除');
INSERT INTO `lang_definitions` VALUES (132691, 7298, 39, 'はい・いいえ');
INSERT INTO `lang_definitions` VALUES (132692, 7299, 39, 'はい');
INSERT INTO `lang_definitions` VALUES (132693, 7300, 39, 'イディッシュ語');
INSERT INTO `lang_definitions` VALUES (132694, 7301, 39, 'ヨルバ語');
INSERT INTO `lang_definitions` VALUES (132695, 7303, 39, '既存のテンプレートを置き換えようとしています。続けますか？');
INSERT INTO `lang_definitions` VALUES (132696, 7304, 39, 'ログイン猶予期間です。ログイン前にパスワードを変更します');
INSERT INTO `lang_definitions` VALUES (132697, 7305, 39, 'このイベントを削除は許可されていません');
INSERT INTO `lang_definitions` VALUES (132698, 7306, 39, 'イベントを編集は許可されていません');
INSERT INTO `lang_definitions` VALUES (132699, 7307, 39, 'この権限はありません');
INSERT INTO `lang_definitions` VALUES (132700, 7309, 39, '問題を追加/編集する権限がありません。');
INSERT INTO `lang_definitions` VALUES (132701, 7310, 39, '予定をスケジュールする権限がありません。');
INSERT INTO `lang_definitions` VALUES (132702, 7313, 39, '直接このページにアクセスすることはできません。');
INSERT INTO `lang_definitions` VALUES (132703, 7314, 39, 'あなたは直接このページにアクセスすることはできません。');
INSERT INTO `lang_definitions` VALUES (132704, 7320, 39, 'このノートを閲覧・編集する権限がありません');
INSERT INTO `lang_definitions` VALUES (132705, 7323, 39, '.txtファイルのみアップロードできます');
INSERT INTO `lang_definitions` VALUES (132706, 7326, 39, '文書を暗号化する為のパスワードを入力してください');
INSERT INTO `lang_definitions` VALUES (132707, 7329, 39, '患者を選択または追加してください');
INSERT INTO `lang_definitions` VALUES (132708, 7330, 39, 'エンカウンターを選択または作成してください');
INSERT INTO `lang_definitions` VALUES (132709, 7331, 39, '訪問先カテゴリを指定してください');
INSERT INTO `lang_definitions` VALUES (132710, 7332, 39, '訪問先カテゴリを指定してください');
INSERT INTO `lang_definitions` VALUES (132711, 7333, 39, '幾つかのフィールドを指定する必要があります');
INSERT INTO `lang_definitions` VALUES (132712, 7335, 39, '最低一つのコンテキストを指定してください');
INSERT INTO `lang_definitions` VALUES (132713, 7336, 39, '最低一つのプロバイダーを指定してください');
INSERT INTO `lang_definitions` VALUES (132714, 7338, 39, '病院のレポート');
INSERT INTO `lang_definitions` VALUES (132715, 7339, 39, '終了日が異常です');
INSERT INTO `lang_definitions` VALUES (132716, 7340, 39, 'イベントが削除されました');
INSERT INTO `lang_definitions` VALUES (132717, 7341, 39, 'イベントが変更されました');
INSERT INTO `lang_definitions` VALUES (132718, 7342, 39, 'イベントが更新されました');
INSERT INTO `lang_definitions` VALUES (132719, 7343, 39, 'ファイルが大きすぎます');
INSERT INTO `lang_definitions` VALUES (132720, 7344, 39, 'ラボのレザルト');
INSERT INTO `lang_definitions` VALUES (132721, 7348, 39, 'パスワード利用期限');
INSERT INTO `lang_definitions` VALUES (132722, 7349, 39, 'パスワード期限が切れました。パスワードを更新してください');
INSERT INTO `lang_definitions` VALUES (132723, 7350, 39, 'パスワード利用期限');
INSERT INTO `lang_definitions` VALUES (132724, 7351, 39, '今日はパスワード利用期限日です。パスワードを更新してください');
INSERT INTO `lang_definitions` VALUES (132725, 7354, 39, 'ポストカレンダー設定は更新されました');
INSERT INTO `lang_definitions` VALUES (132726, 7355, 39, '周回度数は整数で指定してください');
INSERT INTO `lang_definitions` VALUES (132727, 7356, 39, '周回度数を1回以上指定してください');
INSERT INTO `lang_definitions` VALUES (132728, 7357, 39, '開始日時が終了日時を超えています');
INSERT INTO `lang_definitions` VALUES (132729, 7358, 39, '開始日時が異常です');
INSERT INTO `lang_definitions` VALUES (132730, 7359, 39, 'サブミッション　指定エラー');
INSERT INTO `lang_definitions` VALUES (132731, 7360, 39, 'yyyy-mm-dd');
INSERT INTO `lang_definitions` VALUES (132732, 7361, 39, 'YYYY-MM-DD');
INSERT INTO `lang_definitions` VALUES (132733, 7362, 39, 'yyyy-mm-dd date associated with this document');
INSERT INTO `lang_definitions` VALUES (132734, 7363, 39, 'yyyy-mm-dd date destroyed');
INSERT INTO `lang_definitions` VALUES (132735, 7364, 39, 'yyyy-mm-dd date of birth');
INSERT INTO `lang_definitions` VALUES (132736, 7365, 39, 'yyyy-mm-dd Date of Birth');
INSERT INTO `lang_definitions` VALUES (132737, 7366, 39, 'yyyy-mm-dd date of expiration');
INSERT INTO `lang_definitions` VALUES (132738, 7367, 39, 'yyyy-mm-dd Date of onset or hospitalization');
INSERT INTO `lang_definitions` VALUES (132739, 7368, 39, 'yyyy-mm-dd date of onset, surgery or start of medication');
INSERT INTO `lang_definitions` VALUES (132740, 7369, 39, 'yyyy-mm-dd date of purchase or transfer');
INSERT INTO `lang_definitions` VALUES (132741, 7370, 39, 'yyyy-mm-dd date of recovery or end of medication');
INSERT INTO `lang_definitions` VALUES (132742, 7371, 39, 'yyyy-mm-dd Date of return to play');
INSERT INTO `lang_definitions` VALUES (132743, 7372, 39, 'yyyy-mm-dd Date of service');
INSERT INTO `lang_definitions` VALUES (132744, 7373, 39, 'yyyy-mm-dd date of this letter');
INSERT INTO `lang_definitions` VALUES (132745, 7374, 39, 'yyyy-mm-dd date returned to play');
INSERT INTO `lang_definitions` VALUES (132746, 7375, 39, 'yyyy-mm-dd document date');
INSERT INTO `lang_definitions` VALUES (132747, 7376, 39, 'yyyy-mm-dd event date or starting date');
INSERT INTO `lang_definitions` VALUES (132748, 7377, 39, 'yyyy-mm-dd H:m End Date');
INSERT INTO `lang_definitions` VALUES (132749, 7378, 39, 'yyyy-mm-dd H:m End date');
INSERT INTO `lang_definitions` VALUES (132750, 7379, 39, 'yyyy-mm-dd H:m Start Date');
INSERT INTO `lang_definitions` VALUES (132751, 7380, 39, 'yyyy-mm-dd H:m Start date');
INSERT INTO `lang_definitions` VALUES (132752, 7381, 39, 'yyyy-mm-dd hh:mm:ss');
INSERT INTO `lang_definitions` VALUES (132753, 7382, 39, 'yyyy-mm-dd Hours(24):minutes');
INSERT INTO `lang_definitions` VALUES (132754, 7383, 39, 'yyyy-mm-dd last date of this event');
INSERT INTO `lang_definitions` VALUES (132755, 7385, 39, 'ZEF segment 内部エラー');
INSERT INTO `lang_definitions` VALUES (132756, 7386, 39, 'Zend Module');
INSERT INTO `lang_definitions` VALUES (132757, 7387, 39, 'ゼロ');
INSERT INTO `lang_definitions` VALUES (132758, 7388, 39, 'Zhuang, Chuang');
INSERT INTO `lang_definitions` VALUES (132759, 7389, 39, '郵便');
INSERT INTO `lang_definitions` VALUES (132760, 7390, 39, '郵便番号');
INSERT INTO `lang_definitions` VALUES (132761, 7391, 39, '郵便番号/国');
INSERT INTO `lang_definitions` VALUES (132762, 7392, 39, 'Zulu');
INSERT INTO `lang_definitions` VALUES (132763, 7395, 39, '本当に削除しますか');
INSERT INTO `lang_definitions` VALUES (132764, 7396, 39, '薬');
INSERT INTO `lang_definitions` VALUES (132765, 7399, 39, 'は、作成されました。 ');
INSERT INTO `lang_definitions` VALUES (132766, 7400, 39, 'は、再度オープンされました。');
INSERT INTO `lang_definitions` VALUES (132767, 7401, 39, '履歴');
INSERT INTO `lang_definitions` VALUES (132768, 7402, 39, 'は、番号ではありません。');
INSERT INTO `lang_definitions` VALUES (132769, 7403, 39, 'は、再度課金できるようになりました。');
INSERT INTO `lang_definitions` VALUES (132770, 7405, 39, '個数');
INSERT INTO `lang_definitions` VALUES (132771, 7407, 39, '分');
INSERT INTO `lang_definitions` VALUES (132772, 7408, 39, '見つかりません。');
INSERT INTO `lang_definitions` VALUES (132773, 7414, 39, 'は、キュー実行されます。');
INSERT INTO `lang_definitions` VALUES (132774, 7430, 39, '(クリックして編集)');
INSERT INTO `lang_definitions` VALUES (132775, 7433, 39, '(新しい患者)');
INSERT INTO `lang_definitions` VALUES (132776, 7440, 39, '* 必須');
INSERT INTO `lang_definitions` VALUES (132777, 7443, 39, '--全て--');
INSERT INTO `lang_definitions` VALUES (132778, 7459, 39, '12時間');
INSERT INTO `lang_definitions` VALUES (132779, 7462, 39, '2');
INSERT INTO `lang_definitions` VALUES (132780, 7464, 39, '今から2か月');
INSERT INTO `lang_definitions` VALUES (132781, 7478, 39, '24時間');
INSERT INTO `lang_definitions` VALUES (132782, 7483, 39, '3か月');
INSERT INTO `lang_definitions` VALUES (132783, 7484, 39, '今から3か月');
INSERT INTO `lang_definitions` VALUES (132784, 7485, 39, '日に3回');
INSERT INTO `lang_definitions` VALUES (132785, 7491, 39, '4か月');
INSERT INTO `lang_definitions` VALUES (132786, 7492, 39, '今から4か月');
INSERT INTO `lang_definitions` VALUES (132787, 7493, 39, '日に4回');
INSERT INTO `lang_definitions` VALUES (132788, 7499, 39, '486.0, 肺炎, 急性');
INSERT INTO `lang_definitions` VALUES (132789, 7511, 39, '6か月');
INSERT INTO `lang_definitions` VALUES (132790, 7512, 39, '今から6か月');
INSERT INTO `lang_definitions` VALUES (132791, 7528, 39, '< 診察室');
INSERT INTO `lang_definitions` VALUES (132792, 7529, 39, '> 退出');
INSERT INTO `lang_definitions` VALUES (132793, 7530, 39, '?');
INSERT INTO `lang_definitions` VALUES (132794, 7531, 39, '? 非表示');
INSERT INTO `lang_definitions` VALUES (132795, 7532, 39, '@ 到着');
INSERT INTO `lang_definitions` VALUES (132796, 7533, 39, '[View切り替え]');
INSERT INTO `lang_definitions` VALUES (132797, 7537, 39, '[OFXエクスポート]');
INSERT INTO `lang_definitions` VALUES (132798, 7539, 39, '[総通院者数]');
INSERT INTO `lang_definitions` VALUES (132799, 7540, 39, '[レポート]');
INSERT INTO `lang_definitions` VALUES (132800, 7541, 39, '[全選択]');
INSERT INTO `lang_definitions` VALUES (132801, 7542, 39, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (132802, 7543, 39, '[バッチ処理開始]');
INSERT INTO `lang_definitions` VALUES (132803, 7544, 39, '[ログ表示]');
INSERT INTO `lang_definitions` VALUES (132804, 7545, 39, '[印刷可能なレポートの表示]');
INSERT INTO `lang_definitions` VALUES (132805, 7546, 39, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (132806, 7547, 39, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (132807, 7548, 39, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (132808, 7549, 39, '~ 遅刻（遅延到着）');
INSERT INTO `lang_definitions` VALUES (132809, 1, 40, 'Yksi');
INSERT INTO `lang_definitions` VALUES (132810, 2, 40, 'Viitenumero');
INSERT INTO `lang_definitions` VALUES (132811, 3, 40, 'Pääkäyttäjän käyttöoikeusvarmenne');
INSERT INTO `lang_definitions` VALUES (132812, 4, 40, 'Kliininen asiakirja on liitteenä');
INSERT INTO `lang_definitions` VALUES (132813, 5, 40, 'Kliininen asiakirja on liitteenä.');
INSERT INTO `lang_definitions` VALUES (132814, 7, 40, 'Jakelija tarvitaan');
INSERT INTO `lang_definitions` VALUES (132815, 8, 40, 'GCAC vierailu lomake lisätään tämän vierailun.');
INSERT INTO `lang_definitions` VALUES (132816, 9, 40, 'Eränumero tarvitaan');
INSERT INTO `lang_definitions` VALUES (132817, 10, 40, 'Eränumero tarvitaan');
INSERT INTO `lang_definitions` VALUES (132818, 11, 40, 'Pieni kirjain');
INSERT INTO `lang_definitions` VALUES (132819, 12, 40, 'Numero');
INSERT INTO `lang_definitions` VALUES (132820, 14, 40, 'Potilas tällä ID:llä on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (132821, 15, 40, 'Potilas tällä nimellä on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (132822, 16, 40, 'Potilas tällä sotulla on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (132823, 18, 40, 'Positiivinen luku näyttää useilla aiemmilla lähetetyt laatikkoon Potilaan yhteenveto.');
INSERT INTO `lang_definitions` VALUES (132824, 19, 40, 'Lähetteen antaja voidaan määrittää jokaisesta käynnistä.');
INSERT INTO `lang_definitions` VALUES (132825, 20, 40, 'Vastaava IPPF koodi vaaditaan!');
INSERT INTO `lang_definitions` VALUES (132826, 21, 40, 'Erikoismerkki');
INSERT INTO `lang_definitions` VALUES (132827, 22, 40, 'Yksilöllinen arvo tähän kenttään. Ei näy käyttäjälle.');
INSERT INTO `lang_definitions` VALUES (132828, 23, 40, 'Tälle potilaalle on jo merkitty käynti tälle päivälle. Klikkaa \"Peruuta\" avataksesi sen tai \"OK\", jos haluat jatkaa uuden käynnin luomista.');
INSERT INTO `lang_definitions` VALUES (132829, 24, 40, 'Ennen ateriaa');
INSERT INTO `lang_definitions` VALUES (132830, 25, 40, 'Aamupäivä');
INSERT INTO `lang_definitions` VALUES (132831, 26, 40, 'Ilma / neste tasolla oikein');
INSERT INTO `lang_definitions` VALUES (132832, 27, 40, 'AB');
INSERT INTO `lang_definitions` VALUES (132833, 28, 40, 'Lyhenne');
INSERT INTO `lang_definitions` VALUES (132834, 29, 40, 'Paise:');
INSERT INTO `lang_definitions` VALUES (132835, 30, 40, 'Vatsa');
INSERT INTO `lang_definitions` VALUES (132836, 31, 40, 'Pystyy kantamaan painoa neljä (4) askelta:');
INSERT INTO `lang_definitions` VALUES (132837, 32, 40, 'Poikkeava');
INSERT INTO `lang_definitions` VALUES (132838, 33, 40, 'ABN1');
INSERT INTO `lang_definitions` VALUES (132839, 34, 40, 'Poikkeava');
INSERT INTO `lang_definitions` VALUES (132840, 35, 40, 'Poikkeava verikoe');
INSERT INTO `lang_definitions` VALUES (132841, 36, 40, 'Poikkeava hiusten kasvu');
INSERT INTO `lang_definitions` VALUES (132842, 37, 40, 'Poikkeava mammografia');
INSERT INTO `lang_definitions` VALUES (132843, 39, 40, 'Raskaudenkeskeytys');
INSERT INTO `lang_definitions` VALUES (132844, 40, 40, 'Aborttiin liittyvät ongelmat');
INSERT INTO `lang_definitions` VALUES (132845, 41, 40, 'Raskaudenkeskeytyksen menetelmä');
INSERT INTO `lang_definitions` VALUES (132846, 42, 40, 'Raskaudenkeskeytykseen liittyvät luokat');
INSERT INTO `lang_definitions` VALUES (132847, 43, 40, 'Raskaudenkeskeytykset');
INSERT INTO `lang_definitions` VALUES (132848, 44, 40, 'Tietoja kalenterista');
INSERT INTO `lang_definitions` VALUES (132849, 46, 40, 'Poissaoloja Diagnoosi');
INSERT INTO `lang_definitions` VALUES (132850, 47, 40, 'Hyväksy tehtävät');
INSERT INTO `lang_definitions` VALUES (132851, 48, 40, 'Hyväksy maksu');
INSERT INTO `lang_definitions` VALUES (132852, 49, 40, 'Hyväksy maksu');
INSERT INTO `lang_definitions` VALUES (132853, 50, 40, 'Hyväksyy tehtävän');
INSERT INTO `lang_definitions` VALUES (132854, 51, 40, 'Pääsyvalvonta');
INSERT INTO `lang_definitions` VALUES (132855, 52, 40, 'Käytön hallinta');
INSERT INTO `lang_definitions` VALUES (132856, 54, 40, 'Pääsy kielletty');
INSERT INTO `lang_definitions` VALUES (132857, 55, 40, 'Ei lupaa pääsyyn');
INSERT INTO `lang_definitions` VALUES (132858, 56, 40, 'Avaa potilaan yhteenveto');
INSERT INTO `lang_definitions` VALUES (132859, 57, 40, 'Onnettomuus');
INSERT INTO `lang_definitions` VALUES (132860, 59, 40, 'Tilin nimi');
INSERT INTO `lang_definitions` VALUES (132861, 62, 40, 'Tilinhallinta');
INSERT INTO `lang_definitions` VALUES (132862, 64, 40, 'Kivut');
INSERT INTO `lang_definitions` VALUES (132863, 65, 40, 'Hyväksyminen pyydetty (ISA14)');
INSERT INTO `lang_definitions` VALUES (132864, 66, 40, 'Hyväksynnät, lisenssit ja todistukset');
INSERT INTO `lang_definitions` VALUES (132865, 67, 40, 'Käyttäjät (ACL)');
INSERT INTO `lang_definitions` VALUES (132866, 68, 40, 'Käyttäjien hallinta (ACL)');
INSERT INTO `lang_definitions` VALUES (132867, 69, 40, 'Ei lupaa hallinnoida käyttäjiä (ACL)');
INSERT INTO `lang_definitions` VALUES (132868, 70, 40, 'Käyttäjät päivitetty onnistuneesti (ACL)');
INSERT INTO `lang_definitions` VALUES (132869, 71, 40, 'Akne');
INSERT INTO `lang_definitions` VALUES (132870, 72, 40, 'Ajankohtaista');
INSERT INTO `lang_definitions` VALUES (132871, 73, 40, 'Tapahtuman päivämäärä');
INSERT INTO `lang_definitions` VALUES (132872, 74, 40, 'Toimenpide');
INSERT INTO `lang_definitions` VALUES (132873, 75, 40, 'Toimenpiteet');
INSERT INTO `lang_definitions` VALUES (132874, 77, 40, 'Aktivoi CCR / CCD raportointi');
INSERT INTO `lang_definitions` VALUES (132875, 78, 40, 'Päällä');
INSERT INTO `lang_definitions` VALUES (132876, 79, 40, 'Aktiivinen muistutus');
INSERT INTO `lang_definitions` VALUES (132877, 80, 40, 'Aktiivisen muistutuksen säännöt');
INSERT INTO `lang_definitions` VALUES (132878, 81, 40, 'Aktiivisia muistutuksia');
INSERT INTO `lang_definitions` VALUES (132879, 82, 40, 'Aktiivinen käynti');
INSERT INTO `lang_definitions` VALUES (132880, 84, 40, 'Aktiiviset listat');
INSERT INTO `lang_definitions` VALUES (132881, 85, 40, 'Aktiivinen potilas');
INSERT INTO `lang_definitions` VALUES (132882, 86, 40, 'Ajankohtaiset suunnitelmat');
INSERT INTO `lang_definitions` VALUES (132883, 87, 40, 'Aktiviteetit');
INSERT INTO `lang_definitions` VALUES (132884, 88, 40, 'toiminnan tyyppi');
INSERT INTO `lang_definitions` VALUES (132885, 90, 40, 'Akuutti myrkytys / peruuttaminen');
INSERT INTO `lang_definitions` VALUES (132886, 91, 40, 'Kroonisen sairauden akuutti ilmeneminen');
INSERT INTO `lang_definitions` VALUES (132887, 92, 40, 'Akuutti krooninen');
INSERT INTO `lang_definitions` VALUES (132888, 93, 40, 'Lisää');
INSERT INTO `lang_definitions` VALUES (132889, 94, 40, 'Lisää');
INSERT INTO `lang_definitions` VALUES (132890, 95, 40, 'Lisää');
INSERT INTO `lang_definitions` VALUES (132891, 96, 40, 'Lisää yritys');
INSERT INTO `lang_definitions` VALUES (132892, 98, 40, 'Lisää apteekki');
INSERT INTO `lang_definitions` VALUES (132893, 100, 40, 'Lisää tapahtuma ');
INSERT INTO `lang_definitions` VALUES (132894, 101, 40, 'Lisää uutena muistiinpanona');
INSERT INTO `lang_definitions` VALUES (132895, 102, 40, 'Lisää uutena');
INSERT INTO `lang_definitions` VALUES (132896, 104, 40, 'Lisää painikkeita');
INSERT INTO `lang_definitions` VALUES (132897, 105, 40, 'Lisää painikkeita erikoismerkeille ja teksteille näytettäväksi editorin yläosassa sisällytettäessä tekstiä yhdellä klikkauksella');
INSERT INTO `lang_definitions` VALUES (132898, 106, 40, 'Lisää luokka');
INSERT INTO `lang_definitions` VALUES (132899, 107, 40, 'Lisää vakio');
INSERT INTO `lang_definitions` VALUES (132900, 108, 40, 'Lisää konteksti');
INSERT INTO `lang_definitions` VALUES (132901, 109, 40, 'Lisää maksuerä');
INSERT INTO `lang_definitions` VALUES (132902, 110, 40, 'Lisää peruste');
INSERT INTO `lang_definitions` VALUES (132903, 111, 40, 'Lisää mukautettu painike');
INSERT INTO `lang_definitions` VALUES (132904, 112, 40, 'Lisää diagnoosi');
INSERT INTO `lang_definitions` VALUES (132905, 113, 40, 'Lisää lääke');
INSERT INTO `lang_definitions` VALUES (132906, 114, 40, 'Lisää käynti');
INSERT INTO `lang_definitions` VALUES (132907, 115, 40, 'Lisää käynti / merkintä');
INSERT INTO `lang_definitions` VALUES (132908, 116, 40, 'Lisää tila');
INSERT INTO `lang_definitions` VALUES (132909, 117, 40, 'Lisää kenttä');
INSERT INTO `lang_definitions` VALUES (132910, 118, 40, 'Lisää seuraavat lauseet Apachen asetustiedostoon');
INSERT INTO `lang_definitions` VALUES (132911, 119, 40, 'Lisää ryhmä');
INSERT INTO `lang_definitions` VALUES (132912, 120, 40, 'Lisää diagnoosi koodi (ICD)');
INSERT INTO `lang_definitions` VALUES (132913, 121, 40, 'Lisää rokote');
INSERT INTO `lang_definitions` VALUES (132914, 122, 40, 'Ei oikeutta lisäämiseen!');
INSERT INTO `lang_definitions` VALUES (132915, 123, 40, 'Lisää tapahtuma');
INSERT INTO `lang_definitions` VALUES (132916, 124, 40, 'Lisää seurattava tuote');
INSERT INTO `lang_definitions` VALUES (132917, 125, 40, 'Lisää kieli');
INSERT INTO `lang_definitions` VALUES (132918, 126, 40, 'Lisää uusi');
INSERT INTO `lang_definitions` VALUES (132919, 127, 40, 'Lisää uusi');
INSERT INTO `lang_definitions` VALUES (132920, 128, 40, 'Lisää uusi luokka: ');
INSERT INTO `lang_definitions` VALUES (132921, 129, 40, 'Lisää uusi sertifikaatti Apachen asetustiedostoon');
INSERT INTO `lang_definitions` VALUES (132922, 130, 40, 'Lisää uusi komponentti');
INSERT INTO `lang_definitions` VALUES (132923, 131, 40, 'Lisää uusia komponentteja');
INSERT INTO `lang_definitions` VALUES (132924, 132, 40, 'Lisää uusi ryhmä');
INSERT INTO `lang_definitions` VALUES (132925, 133, 40, 'Lisää uusi aihe');
INSERT INTO `lang_definitions` VALUES (132926, 134, 40, 'Lisää uusi erä ja transaktio');
INSERT INTO `lang_definitions` VALUES (132927, 135, 40, 'Lisää uusi muistiinpano');
INSERT INTO `lang_definitions` VALUES (132928, 136, 40, 'Lisää uusi muistiinpano');
INSERT INTO `lang_definitions` VALUES (132929, 137, 40, 'Lisää uusi kumppani');
INSERT INTO `lang_definitions` VALUES (132930, 138, 40, 'Lisää uusi potilas');
INSERT INTO `lang_definitions` VALUES (132931, 140, 40, 'Lisää muistiinpano');
INSERT INTO `lang_definitions` VALUES (132932, 141, 40, 'Lisää potilaskertomus');
INSERT INTO `lang_definitions` VALUES (132933, 142, 40, 'Lisää lääkemääräys');
INSERT INTO `lang_definitions` VALUES (132934, 143, 40, 'Lisää toiminto');
INSERT INTO `lang_definitions` VALUES (132935, 144, 40, 'Lisää hoitajan numero');
INSERT INTO `lang_definitions` VALUES (132936, 145, 40, 'Lisää kuntoutus');
INSERT INTO `lang_definitions` VALUES (132937, 146, 40, 'Lisää sääntö');
INSERT INTO `lang_definitions` VALUES (132938, 147, 40, 'Lisää');
INSERT INTO `lang_definitions` VALUES (132939, 148, 40, 'Lisää lääkelistaan');
INSERT INTO `lang_definitions` VALUES (132940, 149, 40, 'Lisää huipputaso');
INSERT INTO `lang_definitions` VALUES (132941, 150, 40, 'Lisää transaktio');
INSERT INTO `lang_definitions` VALUES (132942, 151, 40, 'Lisää käyttäjä');
INSERT INTO `lang_definitions` VALUES (132943, 152, 40, 'Lisää käyttäjä ryhmään');
INSERT INTO `lang_definitions` VALUES (132944, 153, 40, 'Lisää / Muokkaa sähköinen lääkemääräys');
INSERT INTO `lang_definitions` VALUES (132945, 154, 40, 'Lisää / Muokkaa potilastapahtumaa');
INSERT INTO `lang_definitions` VALUES (132946, 155, 40, 'lisätty');
INSERT INTO `lang_definitions` VALUES (132947, 156, 40, 'Ei saa lisätä henkilökohtaisia ​​tietoja.');
INSERT INTO `lang_definitions` VALUES (132948, 157, 40, 'Seurattavan tuotteen lisääminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (132949, 158, 40, 'Addison oireyhtymä');
INSERT INTO `lang_definitions` VALUES (132950, 159, 40, 'Addison oireyhtymä');
INSERT INTO `lang_definitions` VALUES (132951, 160, 40, 'lisämääreitä');
INSERT INTO `lang_definitions` VALUES (132952, 161, 40, 'Täydentävä diagnoosi:');
INSERT INTO `lang_definitions` VALUES (132953, 162, 40, 'Täydentävä sairaushistoria');
INSERT INTO `lang_definitions` VALUES (132954, 163, 40, 'Täydentävät historiatiedot');
INSERT INTO `lang_definitions` VALUES (132955, 164, 40, 'Lisätiedot');
INSERT INTO `lang_definitions` VALUES (132956, 165, 40, 'Täydentävä laboratoriotulos');
INSERT INTO `lang_definitions` VALUES (132957, 166, 40, 'Lisätiedot');
INSERT INTO `lang_definitions` VALUES (132958, 167, 40, 'Lisätiedot tähän tulokseen tai suositukseen');
INSERT INTO `lang_definitions` VALUES (132959, 168, 40, 'Lisätiedot:');
INSERT INTO `lang_definitions` VALUES (132960, 169, 40, 'Lisätiedot: ');
INSERT INTO `lang_definitions` VALUES (132961, 170, 40, 'Röntgenin lisätiedot:');
INSERT INTO `lang_definitions` VALUES (132962, 171, 40, 'Lisäksi Yhdysvaltain vastaavaa snomed Extension Package voidaan tuoda erikseen asennuksen jälkeen International (Englanti versio) snomed Julkaisu');
INSERT INTO `lang_definitions` VALUES (132963, 172, 40, 'Vain lisäys');
INSERT INTO `lang_definitions` VALUES (132964, 173, 40, 'Osoitekirja');
INSERT INTO `lang_definitions` VALUES (132965, 174, 40, 'Osoitekirja');
INSERT INTO `lang_definitions` VALUES (132966, 175, 40, 'Osoite');
INSERT INTO `lang_definitions` VALUES (132967, 178, 40, 'Osoitekirja');
INSERT INTO `lang_definitions` VALUES (132968, 179, 40, 'Osoitekirjamerkintä yhtiöstä, joka suorittaa toimenpidettä');
INSERT INTO `lang_definitions` VALUES (132969, 180, 40, 'Osoitekirjamerkintä jakelijasta');
INSERT INTO `lang_definitions` VALUES (132970, 181, 40, 'Osoitekirjamerkintä myyjästä');
INSERT INTO `lang_definitions` VALUES (132971, 182, 40, 'Osoitteistolajit');
INSERT INTO `lang_definitions` VALUES (132972, 183, 40, 'Osoitetarra');
INSERT INTO `lang_definitions` VALUES (132973, 187, 40, 'Osoite1');
INSERT INTO `lang_definitions` VALUES (132974, 188, 40, 'Osoite2');
INSERT INTO `lang_definitions` VALUES (132975, 189, 40, 'Vastaanottaja');
INSERT INTO `lang_definitions` VALUES (132976, 190, 40, 'Pyöristä');
INSERT INTO `lang_definitions` VALUES (132977, 191, 40, 'Pyöristyksen määrä');
INSERT INTO `lang_definitions` VALUES (132978, 192, 40, 'Pyöristä');
INSERT INTO `lang_definitions` VALUES (132979, 193, 40, 'Pyöristys');
INSERT INTO `lang_definitions` VALUES (132980, 194, 40, 'Pyöristyksen määrä');
INSERT INTO `lang_definitions` VALUES (132981, 195, 40, 'Pyöristyksen syy');
INSERT INTO `lang_definitions` VALUES (132982, 196, 40, 'Pyöristyksen säätöarvo ');
INSERT INTO `lang_definitions` VALUES (132983, 197, 40, 'Pyöristykset');
INSERT INTO `lang_definitions` VALUES (132984, 198, 40, 'Hallinnoi pyöristyksiä');
INSERT INTO `lang_definitions` VALUES (132985, 199, 40, 'Pääkäyttäjä');
INSERT INTO `lang_definitions` VALUES (132986, 200, 40, 'Pääkäyttäjän sähköpostiosoite');
INSERT INTO `lang_definitions` VALUES (132987, 202, 40, 'Hallinnoima');
INSERT INTO `lang_definitions` VALUES (132988, 203, 40, 'Hallinnoima');
INSERT INTO `lang_definitions` VALUES (132989, 204, 40, 'Hallinnointi pvm');
INSERT INTO `lang_definitions` VALUES (132990, 205, 40, 'Hallinnoitu sivusto');
INSERT INTO `lang_definitions` VALUES (132991, 206, 40, 'Hallinto');
INSERT INTO `lang_definitions` VALUES (132992, 207, 40, 'Hallinnoitava sivusto');
INSERT INTO `lang_definitions` VALUES (132993, 208, 40, 'Ylläpitäjät');
INSERT INTO `lang_definitions` VALUES (132994, 209, 40, 'Ylläpitäjät voivat tehdä kaikkea');
INSERT INTO `lang_definitions` VALUES (132995, 210, 40, 'Hyväksy päivämäärä');
INSERT INTO `lang_definitions` VALUES (132996, 212, 40, 'Painonhallinta ja seuranta aikuisille');
INSERT INTO `lang_definitions` VALUES (132997, 213, 40, 'Painonhallinta ja seuranta aikuisille');
INSERT INTO `lang_definitions` VALUES (132998, 214, 40, 'Tarkennettu neuvonta');
INSERT INTO `lang_definitions` VALUES (132999, 215, 40, 'Tarkennettu neuvonta');
INSERT INTO `lang_definitions` VALUES (133000, 216, 40, 'Tarkennettu neuvonta varoitus');
INSERT INTO `lang_definitions` VALUES (133001, 218, 40, 'Tarkennettu');
INSERT INTO `lang_definitions` VALUES (133002, 219, 40, 'Neuvo');
INSERT INTO `lang_definitions` VALUES (133003, 221, 40, 'Vaikuttaa normaaliin');
INSERT INTO `lang_definitions` VALUES (133004, 222, 40, 'Afrikaans');
INSERT INTO `lang_definitions` VALUES (133005, 223, 40, 'Päivystyspuhelu');
INSERT INTO `lang_definitions` VALUES (133006, 224, 40, 'Jälkeen Siirto vanhasta salasanoin jossa salasanat tallennetaan käyttäjien taulukossa ilman suolaa on valmis, tämän merkinnän pitäisi olla väärä, jotta vain todennus uusi menetelmä on mahdollista');
INSERT INTO `lang_definitions` VALUES (133007, 225, 40, 'Suorittamisen jälkeen edellä kokoonpanoissa, tuoda admin asiakassertifikaatin selain ja käynnistä uudelleen Apache-palvelin (tyhjä salasana).');
INSERT INTO `lang_definitions` VALUES (133008, 226, 40, 'PDF-tiedoston tallennuksen jälkeen, valitse [View Log] tarkistaaksesi virheet.');
INSERT INTO `lang_definitions` VALUES (133009, 227, 40, 'Tekstitiedoston tallennuksen jälkeen, valitse [View Log] tarkistaaksesi virheet');
INSERT INTO `lang_definitions` VALUES (133010, 228, 40, 'Erän tallennuksen jälkeen, valitse [View Log] tarkistaaksesi virheet.');
INSERT INTO `lang_definitions` VALUES (133011, 230, 40, 'Kun tiedot on syötetty oikein, klikkaa Tallenna-painiketta.');
INSERT INTO `lang_definitions` VALUES (133012, 231, 40, 'Tiedoston lähettämisen jälkeen klikkaa painiketta \"Tuo\"');
INSERT INTO `lang_definitions` VALUES (133013, 232, 40, 'Jälkihoidon suunnitelma');
INSERT INTO `lang_definitions` VALUES (133014, 233, 40, 'Jälleen');
INSERT INTO `lang_definitions` VALUES (133015, 234, 40, 'Ikä');
INSERT INTO `lang_definitions` VALUES (133016, 235, 40, 'vuotiaana');
INSERT INTO `lang_definitions` VALUES (133017, 236, 40, 'Ikäryhmä');
INSERT INTO `lang_definitions` VALUES (133018, 237, 40, 'Ikätieto on alueen ulkopuolella.');
INSERT INTO `lang_definitions` VALUES (133019, 238, 40, 'Iän esitysmuoto');
INSERT INTO `lang_definitions` VALUES (133020, 239, 40, 'Ikä muodossa \"ikä alkaen\" ei kelpaa');
INSERT INTO `lang_definitions` VALUES (133021, 240, 40, 'Ikä muodossa \"ikään asti\" ei kelpaa');
INSERT INTO `lang_definitions` VALUES (133022, 241, 40, 'Ikä alkaen');
INSERT INTO `lang_definitions` VALUES (133023, 242, 40, 'Vaihda iän näyttömuotoa');
INSERT INTO `lang_definitions` VALUES (133024, 243, 40, 'Ikä korkeintaan');
INSERT INTO `lang_definitions` VALUES (133025, 244, 40, 'Ikä vähintään');
INSERT INTO `lang_definitions` VALUES (133026, 245, 40, 'Ikäryhmä');
INSERT INTO `lang_definitions` VALUES (133027, 247, 40, 'Ikäsarakkeet:');
INSERT INTO `lang_definitions` VALUES (133028, 248, 40, 'Akan');
INSERT INTO `lang_definitions` VALUES (133029, 249, 40, 'Albania');
INSERT INTO `lang_definitions` VALUES (133030, 250, 40, 'Alkoholi');
INSERT INTO `lang_definitions` VALUES (133031, 251, 40, 'Alkoholin kulutus');
INSERT INTO `lang_definitions` VALUES (133032, 252, 40, 'Alkoholin käyttö');
INSERT INTO `lang_definitions` VALUES (133033, 253, 40, 'Varoitus Lukumäärä');
INSERT INTO `lang_definitions` VALUES (133034, 255, 40, 'Varoitukset');
INSERT INTO `lang_definitions` VALUES (133035, 258, 40, 'Aleut väestöstä');
INSERT INTO `lang_definitions` VALUES (133036, 259, 40, 'Kaikki');
INSERT INTO `lang_definitions` VALUES (133037, 260, 40, 'Kaikki');
INSERT INTO `lang_definitions` VALUES (133038, 261, 40, 'Kaikki (lajiteltuina A)');
INSERT INTO `lang_definitions` VALUES (133039, 262, 40, 'Kaikki (lajiteltuina B)');
INSERT INTO `lang_definitions` VALUES (133040, 263, 40, 'Kaikki (kumulatiivinen)');
INSERT INTO `lang_definitions` VALUES (133041, 265, 40, 'Kaikki automaattiset mittauslaskelmat (AMC)');
INSERT INTO `lang_definitions` VALUES (133042, 266, 40, 'Kaikki luokat');
INSERT INTO `lang_definitions` VALUES (133043, 267, 40, 'Kaikki kliinisen laadun mittaukset (CMQ)');
INSERT INTO `lang_definitions` VALUES (133044, 268, 40, 'Kaikki koodit');
INSERT INTO `lang_definitions` VALUES (133045, 269, 40, 'Koko päivä');
INSERT INTO `lang_definitions` VALUES (133046, 270, 40, 'Koko päivän tapahtuma');
INSERT INTO `lang_definitions` VALUES (133047, 271, 40, 'Kaikki väestötiedot kentät, mukana haku- ja päällekkäisyyksien tarkistus');
INSERT INTO `lang_definitions` VALUES (133048, 272, 40, 'Kaikki toimipaikat');
INSERT INTO `lang_definitions` VALUES (133049, 273, 40, 'Kaikki henkilövahingot / ongelmat / kysymykset');
INSERT INTO `lang_definitions` VALUES (133050, 274, 40, 'Kaikki kielet ovat sallittuja');
INSERT INTO `lang_definitions` VALUES (133051, 275, 40, 'Kaikki viralliset kliinisen laadun mittaukset (CQM) mittaryhmät');
INSERT INTO `lang_definitions` VALUES (133052, 276, 40, 'Koko etunimi tai sen osa');
INSERT INTO `lang_definitions` VALUES (133053, 277, 40, 'Koko sukunimi tai osa siitä');
INSERT INTO `lang_definitions` VALUES (133054, 278, 40, 'Koko organisaation nimi tai sen osa siitä');
INSERT INTO `lang_definitions` VALUES (133055, 279, 40, 'Kaikki potilaat');
INSERT INTO `lang_definitions` VALUES (133056, 280, 40, 'Kaikki tuotteet');
INSERT INTO `lang_definitions` VALUES (133057, 281, 40, 'Kaikki tarjoajat');
INSERT INTO `lang_definitions` VALUES (133058, 282, 40, 'Kaikki tutkitut ja negatiiviset:');
INSERT INTO `lang_definitions` VALUES (133059, 283, 40, 'Kaikki aiheet');
INSERT INTO `lang_definitions` VALUES (133060, 284, 40, 'Kaikki käyttäjät');
INSERT INTO `lang_definitions` VALUES (133061, 285, 40, 'Allerginen');
INSERT INTO `lang_definitions` VALUES (133062, 286, 40, 'Allergiat');
INSERT INTO `lang_definitions` VALUES (133063, 287, 40, 'Allergiat:');
INSERT INTO `lang_definitions` VALUES (133064, 288, 40, 'Allergia');
INSERT INTO `lang_definitions` VALUES (133065, 289, 40, 'Allergioiden tuonti onnistui');
INSERT INTO `lang_definitions` VALUES (133066, 290, 40, 'Allergialuettelo');
INSERT INTO `lang_definitions` VALUES (133067, 291, 40, 'Allerginen reaktio');
INSERT INTO `lang_definitions` VALUES (133068, 294, 40, 'Jaa');
INSERT INTO `lang_definitions` VALUES (133069, 295, 40, 'Salli');
INSERT INTO `lang_definitions` VALUES (133070, 296, 40, 'Salli koko saatavilla kielivalintavalikko sisäänkirjautuessa.');
INSERT INTO `lang_definitions` VALUES (133071, 297, 40, 'Salli diagnosien luominen, mutta ei menettelyjä tai maksuja. Useimmat klinikat eivät halua tätä.');
INSERT INTO `lang_definitions` VALUES (133072, 298, 40, 'Salli kielen virheenkorjaus');
INSERT INTO `lang_definitions` VALUES (133073, 299, 40, 'E-mail sallittu');
INSERT INTO `lang_definitions` VALUES (133074, 300, 40, 'Ovatko sähköpostit sallittua?');
INSERT INTO `lang_definitions` VALUES (133075, 301, 40, 'Onko sähköposti sallittu?');
INSERT INTO `lang_definitions` VALUES (133076, 302, 40, 'Luvanvaraisuudesta potilailla kokous');
INSERT INTO `lang_definitions` VALUES (133077, 303, 40, 'Salli terveystietojen jakaminen');
INSERT INTO `lang_definitions` VALUES (133078, 304, 40, 'Salli rokotustietojen jakaminen');
INSERT INTO `lang_definitions` VALUES (133079, 305, 40, 'Salli rokotusrekisterin käyttö');
INSERT INTO `lang_definitions` VALUES (133080, 306, 40, 'Salli postiviestit');
INSERT INTO `lang_definitions` VALUES (133081, 308, 40, 'Salli kirjautuminen potilasportaaliin');
INSERT INTO `lang_definitions` VALUES (133082, 309, 40, 'Salli SMS');
INSERT INTO `lang_definitions` VALUES (133083, 310, 40, 'Salli SMS (tekstiviestit)?');
INSERT INTO `lang_definitions` VALUES (133084, 311, 40, 'Sallitaanko tapahtumien välitön aktivoituminen?');
INSERT INTO `lang_definitions` VALUES (133085, 312, 40, 'Sallitaanko puhelinviestit?');
INSERT INTO `lang_definitions` VALUES (133086, 313, 40, 'Salli käyttäjien julkaista Yhteisiä tapahtumia');
INSERT INTO `lang_definitions` VALUES (133087, 314, 40, 'Salli käyttäjien julkaista henkilökohtaisen ​​kalenterinsa');
INSERT INTO `lang_definitions` VALUES (133088, 315, 40, 'Salli puheviestit');
INSERT INTO `lang_definitions` VALUES (133089, 316, 40, 'Sallittu');
INSERT INTO `lang_definitions` VALUES (133090, 317, 40, 'Sallittu kielet');
INSERT INTO `lang_definitions` VALUES (133091, 318, 40, 'Hyväksytty ©');
INSERT INTO `lang_definitions` VALUES (133092, 319, 40, 'Sallitaan sähköinen allekirjoitus koko tapahtumaan');
INSERT INTO `lang_definitions` VALUES (133093, 320, 40, 'Sallitaan sähköinen allekirjoitus yksittäisiin lomakkeisiin');
INSERT INTO `lang_definitions` VALUES (133094, 321, 40, 'Sallitaan kirjeet');
INSERT INTO `lang_definitions` VALUES (133095, 322, 40, 'Sallitaan puheviestit');
INSERT INTO `lang_definitions` VALUES (133096, 323, 40, 'on jo olemassa');
INSERT INTO `lang_definitions` VALUES (133097, 324, 40, 'on jo olemassa.');
INSERT INTO `lang_definitions` VALUES (133098, 325, 40, 'Jo käytössä, valitse toinen tunniste');
INSERT INTO `lang_definitions` VALUES (133099, 326, 40, 'Jo käytössä, valitse toinen nimike');
INSERT INTO `lang_definitions` VALUES (133100, 327, 40, 'Vaihtoehtoinen osoite');
INSERT INTO `lang_definitions` VALUES (133101, 328, 40, 'Vaihda');
INSERT INTO `lang_definitions` VALUES (133102, 329, 40, 'Vaihtoehtoisesti voit käyttää hakutoimintoa ladata sähköisen hyväksynnän (X12 83L) tiedosto, joka olet saanut maksajan tai selvityskeskusjärjestelmän. Voit tehdä tämän napsauttamalla Selaa-painiketta ja valitse tiedosto, jonka haluat ladata ja napsauta Haku-painiketta ladata ja näyttää vastaavat laskut. Tässä tapauksessa ei muut parametrit edellä mainittiin, ja niitä ei huomioida. Siirto tallentaa tiedoston, mutta prosessit eivät ole vielä sisältöä - tämä tapahtuu erikseen alla.');
INSERT INTO `lang_definitions` VALUES (133103, 330, 40, 'aamupäivä');
INSERT INTO `lang_definitions` VALUES (133104, 331, 40, 'Aamupäivän ohjelma');
INSERT INTO `lang_definitions` VALUES (133105, 332, 40, 'Automaattinen laskeminen toimenpiteet (AMC)');
INSERT INTO `lang_definitions` VALUES (133106, 333, 40, 'Automaattinen laskeminen toimenpiteet (AMC) seuranta');
INSERT INTO `lang_definitions` VALUES (133107, 334, 40, 'AMC-2011');
INSERT INTO `lang_definitions` VALUES (133108, 335, 40, 'AMC-2014');
INSERT INTO `lang_definitions` VALUES (133109, 338, 40, 'Muokkaa muistiinpanoa');
INSERT INTO `lang_definitions` VALUES (133110, 339, 40, 'Tarkistus alk');
INSERT INTO `lang_definitions` VALUES (133111, 340, 40, 'Tarkistuksen tila');
INSERT INTO `lang_definitions` VALUES (133112, 341, 40, 'Tarkistukset');
INSERT INTO `lang_definitions` VALUES (133113, 342, 40, 'Tarkistukset kohteelle');
INSERT INTO `lang_definitions` VALUES (133114, 343, 40, 'Amerikan intiaani');
INSERT INTO `lang_definitions` VALUES (133115, 344, 40, 'Amerikan intiaani tai syntynyt Alaskassa');
INSERT INTO `lang_definitions` VALUES (133116, 345, 40, 'AMEX');
INSERT INTO `lang_definitions` VALUES (133117, 346, 40, 'Amhara');
INSERT INTO `lang_definitions` VALUES (133118, 347, 40, 'Määrä');
INSERT INTO `lang_definitions` VALUES (133119, 348, 40, 'Annosteltu määrä');
INSERT INTO `lang_definitions` VALUES (133120, 349, 40, 'Veloitettava summa');
INSERT INTO `lang_definitions` VALUES (133121, 350, 40, 'Edellinen saldo');
INSERT INTO `lang_definitions` VALUES (133122, 351, 40, 'Tämän käynnin summa');
INSERT INTO `lang_definitions` VALUES (133123, 352, 40, 'Maksettu summa');
INSERT INTO `lang_definitions` VALUES (133124, 353, 40, 'Summa:');
INSERT INTO `lang_definitions` VALUES (133125, 354, 40, 'Laskutettu summa');
INSERT INTO `lang_definitions` VALUES (133126, 355, 40, 'Toistuvaan tapahtumaan vaaditaan aloituspäivää myöhäisempi lopetuspäivämäärä!');
INSERT INTO `lang_definitions` VALUES (133127, 356, 40, 'Lomaketta allekirjoitettaessa tapahtui virhe');
INSERT INTO `lang_definitions` VALUES (133128, 357, 40, 'Tapahtui virhe poistettaessa LibreEHR www-tiedostopuuta.');
INSERT INTO `lang_definitions` VALUES (133129, 358, 40, 'Tapahtui virhe poistettaessa phpGACL www-tiedostopuuta.');
INSERT INTO `lang_definitions` VALUES (133130, 359, 40, 'Tapahtui virhe poistettaessa SQL-Ledger www-tiedostopuuta.');
INSERT INTO `lang_definitions` VALUES (133131, 360, 40, 'Epätäydellinen GCAC on luotu ja linkitetty. Joku tulee täydentämään sitä myöhemmin.');
INSERT INTO `lang_definitions` VALUES (133132, 362, 40, 'Tapahtunut odottamaton virhe');
INSERT INTO `lang_definitions` VALUES (133133, 363, 40, 'Iso kirjain');
INSERT INTO `lang_definitions` VALUES (133134, 365, 40, 'Ja');
INSERT INTO `lang_definitions` VALUES (133135, 366, 40, 'JA');
INSERT INTO `lang_definitions` VALUES (133136, 367, 40, 'ja');
INSERT INTO `lang_definitions` VALUES (133137, 368, 40, 'ja ');
INSERT INTO `lang_definitions` VALUES (133138, 369, 40, 'ja kaikki tiedot alisteisia? Tämä toimenpide kirjataan');
INSERT INTO `lang_definitions` VALUES (133139, 370, 40, 'ja muokkaaja');
INSERT INTO `lang_definitions` VALUES (133140, 371, 40, 'ja onnistui.');
INSERT INTO `lang_definitions` VALUES (133141, 372, 40, 'ja käynnistä Apache serveri uudestaan.');
INSERT INTO `lang_definitions` VALUES (133142, 373, 40, 'ja syy on');
INSERT INTO `lang_definitions` VALUES (133143, 374, 40, 'Anemia');
INSERT INTO `lang_definitions` VALUES (133144, 375, 40, 'Nilkka');
INSERT INTO `lang_definitions` VALUES (133145, 376, 40, 'Nilkka + kantapää');
INSERT INTO `lang_definitions` VALUES (133146, 377, 40, 'Nilkka arviointilomake');
INSERT INTO `lang_definitions` VALUES (133147, 378, 40, 'Nilkka ongelmia');
INSERT INTO `lang_definitions` VALUES (133148, 379, 40, 'Selkärankareuman Spondlilitis');
INSERT INTO `lang_definitions` VALUES (133149, 380, 40, 'Selkärankareuman Spondlilitis');
INSERT INTO `lang_definitions` VALUES (133150, 381, 40, 'Anoreksia');
INSERT INTO `lang_definitions` VALUES (133151, 382, 40, 'Toinen asia mitä voi tehdä lähetysikkunassa on pyytää toissijainen laskutus. Jos valitset tämän vaihtoehdon ennen tallentamista, niin alkuperäinen lasku avataan uudelleen ja laitetaan jonoon Laskutus-sivulle, ja se käsitellään seuraavan laskutuksen yhteydessä.');
INSERT INTO `lang_definitions` VALUES (133152, 383, 40, 'ennakko');
INSERT INTO `lang_definitions` VALUES (133153, 384, 40, 'Anus, ei peräsuolen arkuutta');
INSERT INTO `lang_definitions` VALUES (133154, 385, 40, 'Ahdistus');
INSERT INTO `lang_definitions` VALUES (133155, 386, 40, 'Kaikki');
INSERT INTO `lang_definitions` VALUES (133156, 387, 40, 'Kaikki luokat');
INSERT INTO `lang_definitions` VALUES (133157, 388, 40, 'Mikä tahansa osa koodista tai sen kuvauksesta');
INSERT INTO `lang_definitions` VALUES (133158, 389, 40, 'Mikä tahansa osa halutusta erikoisuudesta');
INSERT INTO `lang_definitions` VALUES (133159, 390, 40, 'Mikä tahansa osa lääkkeen numerosta tai nimestä');
INSERT INTO `lang_definitions` VALUES (133160, 391, 40, 'Mikä tahansa osa rokotteen tunnisteesta tai nimestä');
INSERT INTO `lang_definitions` VALUES (133161, 392, 40, 'Mikä tahansa osa potilaan nimestä, joko \"sukunimi, etunimi\" tai \"X-Y\"');
INSERT INTO `lang_definitions` VALUES (133162, 393, 40, 'Muut asiaa koskevat tiedot');
INSERT INTO `lang_definitions` VALUES (133163, 394, 40, 'API avain SMS portaaliin');
INSERT INTO `lang_definitions` VALUES (133164, 395, 40, 'Uniapnea');
INSERT INTO `lang_definitions` VALUES (133165, 396, 40, 'Ulkoasu');
INSERT INTO `lang_definitions` VALUES (133166, 397, 40, 'Ulkoasu:');
INSERT INTO `lang_definitions` VALUES (133167, 398, 40, 'Liitä tämä huomautus');
INSERT INTO `lang_definitions` VALUES (133168, 399, 40, 'Liitä nykyiseen muistiinpanoon');
INSERT INTO `lang_definitions` VALUES (133169, 400, 40, 'Liitä tähän ilmoitukseen');
INSERT INTO `lang_definitions` VALUES (133170, 401, 40, 'Liitä tähän ilmoitukseen');
INSERT INTO `lang_definitions` VALUES (133171, 402, 40, 'Umpilisäkkeen poisto');
INSERT INTO `lang_definitions` VALUES (133172, 403, 40, 'umpilisäkkeen poisto');
INSERT INTO `lang_definitions` VALUES (133173, 404, 40, 'Sovellettava Potilaat');
INSERT INTO `lang_definitions` VALUES (133174, 405, 40, 'Sovellus');
INSERT INTO `lang_definitions` VALUES (133175, 406, 40, 'Sovelluksen nimi sisäänkirjautumissivulle ja pääikkunan otsikko.');
INSERT INTO `lang_definitions` VALUES (133176, 407, 40, 'Sovellus vastaanotin Code (GS03 - Jos tyhjä ISA08 käytetään)');
INSERT INTO `lang_definitions` VALUES (133177, 408, 40, 'Sovelluksen lähettäjäkoodi (GS02)');
INSERT INTO `lang_definitions` VALUES (133178, 409, 40, 'Sovelluksen otsake');
INSERT INTO `lang_definitions` VALUES (133179, 410, 40, 'Käytettävä lomake elintoiminnoille ja kasvukäyrälle');
INSERT INTO `lang_definitions` VALUES (133180, 411, 40, 'Käytettävä lomake elintoiminnoille');
INSERT INTO `lang_definitions` VALUES (133181, 412, 40, 'Tehdäänkö muutos nykyiseen tapahtumaan, nykyiseen ja mahdollisesti tuleviin tapahtumiin tai joka tapauksessa?');
INSERT INTO `lang_definitions` VALUES (133182, 413, 40, 'sovelletaan hoidettavalle alueelle');
INSERT INTO `lang_definitions` VALUES (133183, 414, 40, 'iholle');
INSERT INTO `lang_definitions` VALUES (133184, 415, 40, 'lisää');
INSERT INTO `lang_definitions` VALUES (133185, 416, 40, 'Lisätään korjaustiedosto sivustolle');
INSERT INTO `lang_definitions` VALUES (133186, 417, 40, 'Ajanvaraus');
INSERT INTO `lang_definitions` VALUES (133187, 418, 40, 'Ajanvaraus päivämäärä');
INSERT INTO `lang_definitions` VALUES (133188, 419, 40, 'Ajanvarauksen esitystapa');
INSERT INTO `lang_definitions` VALUES (133189, 420, 40, 'Ajanvarauksen muistuttaja');
INSERT INTO `lang_definitions` VALUES (133190, 421, 40, 'Ajanvarauksen tila');
INSERT INTO `lang_definitions` VALUES (133191, 422, 40, 'Ajanvarausten tilat');
INSERT INTO `lang_definitions` VALUES (133192, 423, 40, 'Ajanvaraukset aikajaksolla');
INSERT INTO `lang_definitions` VALUES (133193, 424, 40, 'Ajanvarauksen / tapahtuman väri');
INSERT INTO `lang_definitions` VALUES (133194, 425, 40, 'Ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (133195, 426, 40, 'Ajanvaraukset (valinnainen)');
INSERT INTO `lang_definitions` VALUES (133196, 427, 40, 'Ajanvaraukset (Kirjoita, osa valinnaisia)');
INSERT INTO `lang_definitions` VALUES (133197, 430, 40, 'Ajanvaraukset ja potilastapaamiset');
INSERT INTO `lang_definitions` VALUES (133198, 431, 40, 'Ajanvarausraportti');
INSERT INTO `lang_definitions` VALUES (133199, 432, 40, 'Ajanvaraus- ja vierailuraportti');
INSERT INTO `lang_definitions` VALUES (133200, 434, 40, 'Hyväksy');
INSERT INTO `lang_definitions` VALUES (133201, 435, 40, 'Hyväksy potilas hakemistosta Potilas/Asiakas->Tuo->Odottaa hyväksyntää');
INSERT INTO `lang_definitions` VALUES (133202, 436, 40, 'Hyväksytty');
INSERT INTO `lang_definitions` VALUES (133203, 437, 40, 'Tapahtumien hallinnointi hyväksytty');
INSERT INTO `lang_definitions` VALUES (133204, 438, 40, 'Hyväksyminen onnistui');
INSERT INTO `lang_definitions` VALUES (133205, 440, 40, 'Ajanvaraukset ja vierailut');
INSERT INTO `lang_definitions` VALUES (133206, 441, 40, 'Ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (133207, 442, 40, 'Huhtikuu');
INSERT INTO `lang_definitions` VALUES (133208, 443, 40, 'Huhtikuu');
INSERT INTO `lang_definitions` VALUES (133209, 444, 40, 'Arabia');
INSERT INTO `lang_definitions` VALUES (133210, 445, 40, 'Aragonia');
INSERT INTO `lang_definitions` VALUES (133211, 446, 40, 'Arkistoi');
INSERT INTO `lang_definitions` VALUES (133212, 447, 40, 'Käännetäänkö ryhmien nimet?');
INSERT INTO `lang_definitions` VALUES (133213, 448, 40, 'Käännetäänkö ajanvarausluokkien nimet?');
INSERT INTO `lang_definitions` VALUES (133214, 449, 40, 'Käännetäänkö tiedostoluokkien nimet?');
INSERT INTO `lang_definitions` VALUES (133215, 450, 40, 'Peritään tämän tyyppisistä maksu?');
INSERT INTO `lang_definitions` VALUES (133216, 451, 40, 'Käännetäänkö potilasmerkintöjen otsikot?');
INSERT INTO `lang_definitions` VALUES (133217, 452, 40, 'Onko koodit tallennettu erilliseen sql-tauluun (0-No, 1-ICD10, 2-SNOMED(RF1), 3-SNOMED(RF2)) ?');
INSERT INTO `lang_definitions` VALUES (133218, 453, 40, 'Oletko valmis viimeistelemään uuden GCAC aiheen tälle käynnille?');
INSERT INTO `lang_definitions` VALUES (133219, 454, 40, 'Haluatko varmasti lähettää tämän tänään?');
INSERT INTO `lang_definitions` VALUES (133220, 455, 40, 'Haluatko varmasti hyväksyä nämä tapahtumat?');
INSERT INTO `lang_definitions` VALUES (133221, 457, 40, 'Haluatko varmasti poistaa tämän kaavakkeen lopullisesti?');
INSERT INTO `lang_definitions` VALUES (133222, 458, 40, 'Haluatko varmasti poistaa tämän');
INSERT INTO `lang_definitions` VALUES (133223, 459, 40, 'Haluatko varmasti poistaa tämän liitteen?');
INSERT INTO `lang_definitions` VALUES (133224, 460, 40, 'Haluatko varmasti poistaa tämän tapahtuman?');
INSERT INTO `lang_definitions` VALUES (133225, 461, 40, 'Haluatko varmasti poistaa tämän tietokannasta?');
INSERT INTO `lang_definitions` VALUES (133226, 462, 40, 'Haluatko varmasti poistaa tämän muistiinpanon?');
INSERT INTO `lang_definitions` VALUES (133227, 464, 40, 'Haluatko varmasti muokata näitä tapahtumia?');
INSERT INTO `lang_definitions` VALUES (133228, 465, 40, 'Haluatko varmasti piilottaa nämä tapahtumat?');
INSERT INTO `lang_definitions` VALUES (133229, 466, 40, 'Haluatko varmasti lähettää sen uudestaan?');
INSERT INTO `lang_definitions` VALUES (133230, 467, 40, 'Haluatko varmasti nähdä nämä tapahtumat?');
INSERT INTO `lang_definitions` VALUES (133231, 468, 40, 'Haluatko varmasti poistaa koko ryhmän nimeltään');
INSERT INTO `lang_definitions` VALUES (133232, 469, 40, 'Haluatko varmasti poistaa koko listan');
INSERT INTO `lang_definitions` VALUES (133233, 470, 40, 'Oletko varma, että haluat poistaa kentän');
INSERT INTO `lang_definitions` VALUES (133234, 471, 40, 'Haluatko varmasti poistaa valitut kentät?');
INSERT INTO `lang_definitions` VALUES (133235, 472, 40, 'Haluatko varmasti jatkaa toimintoa?');
INSERT INTO `lang_definitions` VALUES (133236, 473, 40, 'Aluetta ei ole määritelty');
INSERT INTO `lang_definitions` VALUES (133237, 474, 40, 'Käsivarsi');
INSERT INTO `lang_definitions` VALUES (133238, 475, 40, 'Armenia');
INSERT INTO `lang_definitions` VALUES (133239, 477, 40, 'Rytmihäiriö');
INSERT INTO `lang_definitions` VALUES (133240, 478, 40, 'Nivelrikko');
INSERT INTO `lang_definitions` VALUES (133241, 479, 40, 'Nivelrikko / Perinnöllinen niveltulehdus');
INSERT INTO `lang_definitions` VALUES (133242, 480, 40, 'Nivelrikko / Perinnöllinen niveltulehdus');
INSERT INTO `lang_definitions` VALUES (133243, 481, 40, 'kuten');
INSERT INTO `lang_definitions` VALUES (133244, 482, 40, 'Alkaen');
INSERT INTO `lang_definitions` VALUES (133245, 483, 40, 'Nouseva');
INSERT INTO `lang_definitions` VALUES (133246, 484, 40, 'Aasialainen');
INSERT INTO `lang_definitions` VALUES (133247, 485, 40, 'Assami');
INSERT INTO `lang_definitions` VALUES (133248, 487, 40, 'Arviointi');
INSERT INTO `lang_definitions` VALUES (133249, 488, 40, 'Määritetty');
INSERT INTO `lang_definitions` VALUES (133250, 489, 40, 'Avustaja');
INSERT INTO `lang_definitions` VALUES (133251, 490, 40, 'Astma');
INSERT INTO `lang_definitions` VALUES (133252, 491, 40, 'kohteessa');
INSERT INTO `lang_definitions` VALUES (133253, 492, 40, 'Vaaditaan vähintään yksi parametri jos valitset Kaikki.');
INSERT INTO `lang_definitions` VALUES (133254, 493, 40, 'Veneluussa');
INSERT INTO `lang_definitions` VALUES (133255, 494, 40, 'Veneluussa:');
INSERT INTO `lang_definitions` VALUES (133256, 495, 40, 'Urheilujoukkue');
INSERT INTO `lang_definitions` VALUES (133257, 496, 40, 'Urheilujoukkue');
INSERT INTO `lang_definitions` VALUES (133258, 497, 40, 'Urheiluvamma');
INSERT INTO `lang_definitions` VALUES (133259, 498, 40, 'ATNA (Audit Trail and Node Authentication) tarkastuksen CA sertifikaatti');
INSERT INTO `lang_definitions` VALUES (133260, 499, 40, 'ATNA (Audit Trail and Node Authentication) tarkastuksen isäntä');
INSERT INTO `lang_definitions` VALUES (133261, 500, 40, 'ATNA (Audit Trail and Node Authentication) tarkastuksen paikallinen sertifikaatti');
INSERT INTO `lang_definitions` VALUES (133262, 501, 40, 'ATNA (Audit Trail and Node Authentication) tarkastuksen portti');
INSERT INTO `lang_definitions` VALUES (133263, 503, 40, 'Huomio');
INSERT INTO `lang_definitions` VALUES (133264, 504, 40, 'Huom.');
INSERT INTO `lang_definitions` VALUES (133265, 506, 40, 'Tarkasta CDR moottorin kyselyt');
INSERT INTO `lang_definitions` VALUES (133266, 507, 40, 'Tietosuoja lokin tarkastus');
INSERT INTO `lang_definitions` VALUES (133267, 508, 40, 'Tietosuoja lokin tarkastusraportti');
INSERT INTO `lang_definitions` VALUES (133268, 509, 40, 'Tarkasta varmuuskopioiden kirjaaminen');
INSERT INTO `lang_definitions` VALUES (133269, 510, 40, 'Tarkasta sekalaisten tietojen kirjaaminen');
INSERT INTO `lang_definitions` VALUES (133270, 511, 40, 'Tarkasta kirjaamisjärjestys');
INSERT INTO `lang_definitions` VALUES (133271, 512, 40, 'Tarkasta potilastietojen kirjaaminen');
INSERT INTO `lang_definitions` VALUES (133272, 513, 40, 'Tarkasta aikataulujen kirjaaminen');
INSERT INTO `lang_definitions` VALUES (133273, 514, 40, 'Tarkasta tietoturvahallinnon kirjaaminen');
INSERT INTO `lang_definitions` VALUES (133274, 515, 40, 'Tarkasta VALITSE kyselyn kirjaaminen');
INSERT INTO `lang_definitions` VALUES (133275, 516, 40, 'Elokuu');
INSERT INTO `lang_definitions` VALUES (133276, 517, 40, 'Elokuu');
INSERT INTO `lang_definitions` VALUES (133277, 519, 40, 'Oikeudet');
INSERT INTO `lang_definitions` VALUES (133278, 520, 40, 'Oikeudet/Muistiinpanot');
INSERT INTO `lang_definitions` VALUES (133279, 523, 40, 'Ryhmäoikeudet');
INSERT INTO `lang_definitions` VALUES (133280, 524, 40, 'Valtuutuksen tila');
INSERT INTO `lang_definitions` VALUES (133281, 525, 40, 'Valtuutukset');
INSERT INTO `lang_definitions` VALUES (133282, 526, 40, 'Valtuuta');
INSERT INTO `lang_definitions` VALUES (133283, 527, 40, 'Valtuuta - kaikki tapahtumat');
INSERT INTO `lang_definitions` VALUES (133284, 528, 40, 'Valtuuta - minun tapahtumat');
INSERT INTO `lang_definitions` VALUES (133285, 529, 40, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (133286, 530, 40, 'Valtuutettu');
INSERT INTO `lang_definitions` VALUES (133287, 531, 40, 'Vain valtuutetuille');
INSERT INTO `lang_definitions` VALUES (133288, 532, 40, 'Lähetä automaattisesti');
INSERT INTO `lang_definitions` VALUES (133289, 535, 40, 'Luo uusi käynti automaattisesti');
INSERT INTO `lang_definitions` VALUES (133290, 536, 40, 'Luotu automaattisesti');
INSERT INTO `lang_definitions` VALUES (133291, 537, 40, 'Automatisoidut laskelmat (AMC)');
INSERT INTO `lang_definitions` VALUES (133292, 538, 40, 'Automatisoidut laskelmat (AMC) - 2011');
INSERT INTO `lang_definitions` VALUES (133293, 539, 40, 'Automatisoidut laskelmat (AMC) - 2014');
INSERT INTO `lang_definitions` VALUES (133294, 542, 40, 'Automatisoitujen laskelmien (AMC) seuranta');
INSERT INTO `lang_definitions` VALUES (133295, 543, 40, 'Automatisoidut mittaukset (AMC)');
INSERT INTO `lang_definitions` VALUES (133296, 544, 40, 'Automaattinen');
INSERT INTO `lang_definitions` VALUES (133297, 546, 40, 'Uusi käynti luodaan automaattisesti, kun varaustila on asetettu @ (Saapunut)');
INSERT INTO `lang_definitions` VALUES (133298, 549, 40, 'Liikennelääketiede');
INSERT INTO `lang_definitions` VALUES (133299, 550, 40, 'tallennettu automaattisesti');
INSERT INTO `lang_definitions` VALUES (133300, 551, 40, 'Käytettävissä olevat luokat');
INSERT INTO `lang_definitions` VALUES (133301, 552, 40, 'Käytettävissä olevat ajat');
INSERT INTO `lang_definitions` VALUES (133302, 553, 40, 'Käytettävissä olevat \"Tracks\"');
INSERT INTO `lang_definitions` VALUES (133303, 554, 40, 'Avaari');
INSERT INTO `lang_definitions` VALUES (133304, 555, 40, 'Avery tarran tyypin valinta potilastarran tulostamiseksi tapahtuu navigaation vasemmasta reunasta');
INSERT INTO `lang_definitions` VALUES (133305, 556, 40, 'Avesta');
INSERT INTO `lang_definitions` VALUES (133306, 557, 40, 'Keskimäärin kuukaudessa');
INSERT INTO `lang_definitions` VALUES (133307, 558, 40, 'Avulsion / avulsion murtuma');
INSERT INTO `lang_definitions` VALUES (133308, 559, 40, 'Ulkokehräksen murtuma');
INSERT INTO `lang_definitions` VALUES (133309, 560, 40, 'Sisäkehräksen murtuma ');
INSERT INTO `lang_definitions` VALUES (133310, 561, 40, 'Tietoisuuteen perustuva');
INSERT INTO `lang_definitions` VALUES (133311, 562, 40, 'Kainalo');
INSERT INTO `lang_definitions` VALUES (133312, 563, 40, 'Aimara');
INSERT INTO `lang_definitions` VALUES (133313, 564, 40, 'Azeri');
INSERT INTO `lang_definitions` VALUES (133314, 565, 40, '2 krt/pvä');
INSERT INTO `lang_definitions` VALUES (133315, 566, 40, 'Takaisin');
INSERT INTO `lang_definitions` VALUES (133316, 567, 40, 'takaisin');
INSERT INTO `lang_definitions` VALUES (133317, 568, 40, 'Palaa 8 käyntiä');
INSERT INTO `lang_definitions` VALUES (133318, 569, 40, 'Palaa 11 käyntiä');
INSERT INTO `lang_definitions` VALUES (133319, 570, 40, 'Palaa 5 käyntiä');
INSERT INTO `lang_definitions` VALUES (133320, 571, 40, 'Palaa 4 käyntiä');
INSERT INTO `lang_definitions` VALUES (133321, 572, 40, 'Palaa 9 käyntiä');
INSERT INTO `lang_definitions` VALUES (133322, 573, 40, 'Palaa 1 käynti');
INSERT INTO `lang_definitions` VALUES (133323, 574, 40, 'Selkäkipu');
INSERT INTO `lang_definitions` VALUES (133324, 575, 40, 'Selkävaivat');
INSERT INTO `lang_definitions` VALUES (133325, 576, 40, 'Palaa 7 käyntiä');
INSERT INTO `lang_definitions` VALUES (133326, 577, 40, 'Palaa 6 käyntiä');
INSERT INTO `lang_definitions` VALUES (133327, 578, 40, 'Selkäleikkaus');
INSERT INTO `lang_definitions` VALUES (133328, 579, 40, 'Palaa 10 käyntiä');
INSERT INTO `lang_definitions` VALUES (133329, 580, 40, 'Palaa 3 käyntiä');
INSERT INTO `lang_definitions` VALUES (133330, 581, 40, 'Takaisin Admin sivulle');
INSERT INTO `lang_definitions` VALUES (133331, 582, 40, 'Takaisin potilaskäyntiin');
INSERT INTO `lang_definitions` VALUES (133332, 583, 40, 'Takaisin potilaaseen');
INSERT INTO `lang_definitions` VALUES (133333, 584, 40, 'Takaisin potilaaseen');
INSERT INTO `lang_definitions` VALUES (133334, 585, 40, 'Takaisin käyttäjiin');
INSERT INTO `lang_definitions` VALUES (133335, 586, 40, 'Takaisin näkymään');
INSERT INTO `lang_definitions` VALUES (133336, 587, 40, 'Palaa 12 käyntiä');
INSERT INTO `lang_definitions` VALUES (133337, 588, 40, 'Palaa 2 käyntiä');
INSERT INTO `lang_definitions` VALUES (133338, 589, 40, 'Palvelut taustalla');
INSERT INTO `lang_definitions` VALUES (133339, 590, 40, 'Varmuuskopio');
INSERT INTO `lang_definitions` VALUES (133340, 591, 40, 'Varmuuskopio luotu. Lähetetään ladattavaksi.');
INSERT INTO `lang_definitions` VALUES (133341, 592, 40, 'Lista varmuuskopioista');
INSERT INTO `lang_definitions` VALUES (133342, 593, 40, 'Varmuuskopio vastaanotettu onnistuneesti');
INSERT INTO `lang_definitions` VALUES (133343, 594, 40, 'Katteeton shekki');
INSERT INTO `lang_definitions` VALUES (133344, 595, 40, 'Luottotappio');
INSERT INTO `lang_definitions` VALUES (133345, 596, 40, 'Bahasa Indonesia');
INSERT INTO `lang_definitions` VALUES (133346, 597, 40, 'Saldo');
INSERT INTO `lang_definitions` VALUES (133347, 598, 40, 'Saldo');
INSERT INTO `lang_definitions` VALUES (133348, 599, 40, 'Saldo');
INSERT INTO `lang_definitions` VALUES (133349, 600, 40, 'Saldo');
INSERT INTO `lang_definitions` VALUES (133350, 601, 40, 'Kertynyt saldo');
INSERT INTO `lang_definitions` VALUES (133351, 602, 40, 'Bambara');
INSERT INTO `lang_definitions` VALUES (133352, 603, 40, 'Pankkivekseli');
INSERT INTO `lang_definitions` VALUES (133353, 604, 40, 'Viivakooditarra');
INSERT INTO `lang_definitions` VALUES (133354, 605, 40, 'Viivakooditarran tyyppi');
INSERT INTO `lang_definitions` VALUES (133355, 606, 40, 'Viivakooditarran tyyppi viivakoodin tulostamista varten valitaan navigaation vasemmasta reunasta.');
INSERT INTO `lang_definitions` VALUES (133356, 607, 40, 'Base of fifth (5th) Metarsal');
INSERT INTO `lang_definitions` VALUES (133357, 608, 40, 'Base of fifth (5th) Metarsal:');
INSERT INTO `lang_definitions` VALUES (133358, 609, 40, 'Baškiiri');
INSERT INTO `lang_definitions` VALUES (133359, 610, 40, 'Baski');
INSERT INTO `lang_definitions` VALUES (133360, 611, 40, 'Koontilasku');
INSERT INTO `lang_definitions` VALUES (133361, 612, 40, 'Erälähetyksen viestintämoduuli');
INSERT INTO `lang_definitions` VALUES (133362, 613, 40, 'Kirjaus koontimaksuun');
INSERT INTO `lang_definitions` VALUES (133363, 614, 40, 'Koontimaksut');
INSERT INTO `lang_definitions` VALUES (133364, 615, 40, 'Ryhmäprosessi tunnistettu; tämä saattaa kestää hetken.');
INSERT INTO `lang_definitions` VALUES (133365, 616, 40, 'Eräajon tulokset');
INSERT INTO `lang_definitions` VALUES (133366, 617, 40, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (133367, 618, 40, 'Ole kärsivällinen, joidenkin asiakirjojen käsittely saattaa vaatia useita minuutteja!');
INSERT INTO `lang_definitions` VALUES (133368, 619, 40, 'koska kyseistä tunnusta ei ole.');
INSERT INTO `lang_definitions` VALUES (133369, 620, 40, 'Aloitus');
INSERT INTO `lang_definitions` VALUES (133370, 621, 40, 'Aloituspäivämäärä');
INSERT INTO `lang_definitions` VALUES (133371, 623, 40, 'Hoidon alkamispäivä vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (133372, 624, 40, 'Alkamistunti kalenterimerkinnöille.');
INSERT INTO `lang_definitions` VALUES (133373, 625, 40, 'Valkovenäläinen');
INSERT INTO `lang_definitions` VALUES (133374, 626, 40, 'Röyhtäily');
INSERT INTO `lang_definitions` VALUES (133375, 628, 40, 'Bengali');
INSERT INTO `lang_definitions` VALUES (133376, 629, 40, 'Bengali / Bangla');
INSERT INTO `lang_definitions` VALUES (133377, 630, 40, 'välillä');
INSERT INTO `lang_definitions` VALUES (133378, 631, 40, 'Kaksisuuntainen');
INSERT INTO `lang_definitions` VALUES (133379, 632, 40, 'Bihar');
INSERT INTO `lang_definitions` VALUES (133380, 633, 40, 'Bilateraali');
INSERT INTO `lang_definitions` VALUES (133381, 634, 40, 'Bilateraali:');
INSERT INTO `lang_definitions` VALUES (133382, 636, 40, 'Laskutuspäivä:');
INSERT INTO `lang_definitions` VALUES (133383, 637, 40, 'Lasku');
INSERT INTO `lang_definitions` VALUES (133384, 638, 40, 'Laskutettu');
INSERT INTO `lang_definitions` VALUES (133385, 640, 40, 'Laskutus');
INSERT INTO `lang_definitions` VALUES (133386, 641, 40, 'Laskutus (Vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (133387, 642, 40, 'Laskun yksilöintitieto');
INSERT INTO `lang_definitions` VALUES (133388, 644, 40, 'Laskutuskoodi pyydettyyn palveluun');
INSERT INTO `lang_definitions` VALUES (133389, 645, 40, 'Laskutuskoodit');
INSERT INTO `lang_definitions` VALUES (133390, 646, 40, 'Laskutustiedot');
INSERT INTO `lang_definitions` VALUES (133391, 647, 40, 'Laskutusosasto');
INSERT INTO `lang_definitions` VALUES (133392, 648, 40, 'Laskutuspaikka');
INSERT INTO `lang_definitions` VALUES (133393, 649, 40, 'Laskutustiedot');
INSERT INTO `lang_definitions` VALUES (133394, 650, 40, 'Laskutusosoite');
INSERT INTO `lang_definitions` VALUES (133395, 655, 40, 'Laskutusjärjestelmä');
INSERT INTO `lang_definitions` VALUES (133396, 656, 40, 'Huomautuslasku');
INSERT INTO `lang_definitions` VALUES (133397, 657, 40, 'Huomautuslasku ');
INSERT INTO `lang_definitions` VALUES (133398, 658, 40, 'Huomautuslasku:');
INSERT INTO `lang_definitions` VALUES (133399, 659, 40, 'Lakutusjonon tulos:');
INSERT INTO `lang_definitions` VALUES (133400, 660, 40, 'Laskutusraportti');
INSERT INTO `lang_definitions` VALUES (133401, 661, 40, 'Laskutuksen tila');
INSERT INTO `lang_definitions` VALUES (133402, 662, 40, 'Laskutuksen tila = Laskuttamaton');
INSERT INTO `lang_definitions` VALUES (133403, 663, 40, 'laskutus ');
INSERT INTO `lang_definitions` VALUES (133404, 665, 40, 'Koepala');
INSERT INTO `lang_definitions` VALUES (133405, 666, 40, 'Syntymäpäivä');
INSERT INTO `lang_definitions` VALUES (133406, 667, 40, 'Syntymä - 24 kuukautta');
INSERT INTO `lang_definitions` VALUES (133407, 668, 40, 'Bislama');
INSERT INTO `lang_definitions` VALUES (133408, 669, 40, 'Musta');
INSERT INTO `lang_definitions` VALUES (133409, 670, 40, 'Pölykeuhko');
INSERT INTO `lang_definitions` VALUES (133410, 671, 40, 'Mustaihoinen');
INSERT INTO `lang_definitions` VALUES (133411, 672, 40, 'Virtsarakon syöpä');
INSERT INTO `lang_definitions` VALUES (133412, 673, 40, 'Virtsarakkoinfektiot');
INSERT INTO `lang_definitions` VALUES (133413, 674, 40, 'Tyhjät lomakkeet');
INSERT INTO `lang_definitions` VALUES (133414, 675, 40, 'Verenvuoto-ongelmia');
INSERT INTO `lang_definitions` VALUES (133415, 676, 40, 'Sokea piste');
INSERT INTO `lang_definitions` VALUES (133416, 677, 40, 'Turvotus');
INSERT INTO `lang_definitions` VALUES (133417, 678, 40, 'Estetyt');
INSERT INTO `lang_definitions` VALUES (133418, 679, 40, 'Veri');
INSERT INTO `lang_definitions` VALUES (133419, 680, 40, 'Verenpaine');
INSERT INTO `lang_definitions` VALUES (133420, 681, 40, 'Verenpaine');
INSERT INTO `lang_definitions` VALUES (133421, 682, 40, 'Nenäverenvuoto');
INSERT INTO `lang_definitions` VALUES (133422, 683, 40, 'Blue Cross Blue Shield (Vakuutusyhtiö)');
INSERT INTO `lang_definitions` VALUES (133423, 684, 40, 'Siniset viivat tässä raportissa ovat tiedottavia. Mustat viivat osoittavat aiemmin olemassa olevaa tietoa. Green linjat osoittavat muutoksia, jotka onnistuneesti sovellettu. Punaiset viivat kuvaavat virheitä, tai muutokset, jotka ei ole sovellettu; ne voidaan käsitellä manuaalisesti. Tällä hetkellä kiistettyjä vaateita ja peruutettuja maksuja ei käsitellä automaattisesti ja siten ovat punaisia.');
INSERT INTO `lang_definitions` VALUES (133424, 685, 40, 'Näön hämärtyminen');
INSERT INTO `lang_definitions` VALUES (133425, 686, 40, 'BMI (Pituus-massa indeksi)');
INSERT INTO `lang_definitions` VALUES (133426, 687, 40, 'BMI tila');
INSERT INTO `lang_definitions` VALUES (133427, 689, 40, 'Kehon osa');
INSERT INTO `lang_definitions` VALUES (133428, 692, 40, 'Luiden arkuus:');
INSERT INTO `lang_definitions` VALUES (133429, 693, 40, 'Luiden arkuus: Ulkokehräs');
INSERT INTO `lang_definitions` VALUES (133430, 694, 40, 'Totuusarvo');
INSERT INTO `lang_definitions` VALUES (133431, 695, 40, 'Bosnia');
INSERT INTO `lang_definitions` VALUES (133432, 696, 40, 'Ala');
INSERT INTO `lang_definitions` VALUES (133433, 697, 40, 'Molemmat korvat');
INSERT INTO `lang_definitions` VALUES (133434, 698, 40, 'molemmat korvat');
INSERT INTO `lang_definitions` VALUES (133435, 699, 40, 'Pohja');
INSERT INTO `lang_definitions` VALUES (133436, 700, 40, 'Alamarginaali (px)');
INSERT INTO `lang_definitions` VALUES (133437, 701, 40, 'RUUTU 10 A. Työllisyyteen liittyvä ');
INSERT INTO `lang_definitions` VALUES (133438, 702, 40, 'RUUTU 10 B. Auto-onnettomuus ');
INSERT INTO `lang_definitions` VALUES (133439, 703, 40, 'RUUTU 10 C. Muu onnettomuus ');
INSERT INTO `lang_definitions` VALUES (133440, 704, 40, 'RUUTU 14 Päiväyksen karsinta');
INSERT INTO `lang_definitions` VALUES (133441, 705, 40, 'RUUTU 15 Toinen päiväyksen karsinta');
INSERT INTO `lang_definitions` VALUES (133442, 706, 40, 'RUUTU 15. Saman tai vastaavan sairauden esiintymispäivä (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (133443, 707, 40, 'RUUTU 15. Saman tai vastaavan sairauden esiintymispäivä / Toinen päivämäärä (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (133444, 708, 40, 'RUUTU 16. Työkyvyttömyys alkaa (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (133445, 709, 40, 'RUUTU 16. Työkyvyttömyys päättyy (vvvv-kk-pp):');
INSERT INTO `lang_definitions` VALUES (133446, 710, 40, 'RUUTU 18. Sairaalahoidossa alkaen (vvvv-kk-pp): ');
INSERT INTO `lang_definitions` VALUES (133447, 711, 40, 'RUUTU 18. Sairaalahoito päättyy (vvvv-kk-pp): ');
INSERT INTO `lang_definitions` VALUES (133448, 712, 40, 'RUUTU 20. Onko käytetty ulkopuolista laboratoriota?');
INSERT INTO `lang_definitions` VALUES (133449, 713, 40, 'RUUTU 22. Medicaid uudelleenlähetys koodi (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (133450, 714, 40, 'RUUTU 23. Aiempi valtuutusnumero ');
INSERT INTO `lang_definitions` VALUES (133451, 715, 40, 'Verenpaine');
INSERT INTO `lang_definitions` VALUES (133452, 716, 40, 'Verenpaine diastolinen');
INSERT INTO `lang_definitions` VALUES (133453, 717, 40, 'Verenpainen systolinen');
INSERT INTO `lang_definitions` VALUES (133454, 719, 40, 'Verenpaine diastolinen');
INSERT INTO `lang_definitions` VALUES (133455, 721, 40, 'Verenpainen systolinen');
INSERT INTO `lang_definitions` VALUES (133456, 722, 40, 'Brasilian portugeesi');
INSERT INTO `lang_definitions` VALUES (133457, 723, 40, 'Rinta');
INSERT INTO `lang_definitions` VALUES (133458, 724, 40, 'Rintojen koepala');
INSERT INTO `lang_definitions` VALUES (133459, 725, 40, 'Rintojen eritteet');
INSERT INTO `lang_definitions` VALUES (133460, 726, 40, 'Rintojen sairaudet');
INSERT INTO `lang_definitions` VALUES (133461, 727, 40, 'Rintatutkimus');
INSERT INTO `lang_definitions` VALUES (133462, 728, 40, 'Kyhmyt rinnoissa');
INSERT INTO `lang_definitions` VALUES (133463, 730, 40, 'Hengitysäänet');
INSERT INTO `lang_definitions` VALUES (133464, 731, 40, 'Bretoni');
INSERT INTO `lang_definitions` VALUES (133465, 732, 40, 'Luunmurtumat');
INSERT INTO `lang_definitions` VALUES (133466, 733, 40, 'vioittunut lomake');
INSERT INTO `lang_definitions` VALUES (133467, 734, 40, 'Keuhkoputkentulehduksen muoto');
INSERT INTO `lang_definitions` VALUES (133468, 735, 40, 'Selaa');
INSERT INTO `lang_definitions` VALUES (133469, 736, 40, 'Selaa tietuetta');
INSERT INTO `lang_definitions` VALUES (133470, 737, 40, 'Verenpurkauma / hematooma');
INSERT INTO `lang_definitions` VALUES (133471, 738, 40, 'Bulgaria');
INSERT INTO `lang_definitions` VALUES (133472, 739, 40, 'Pullistuma Oikea:');
INSERT INTO `lang_definitions` VALUES (133473, 740, 40, 'Burma');
INSERT INTO `lang_definitions` VALUES (133474, 741, 40, 'Kirvelyä virtsatessa');
INSERT INTO `lang_definitions` VALUES (133475, 742, 40, 'Kirvelyä virtsatessa');
INSERT INTO `lang_definitions` VALUES (133476, 743, 40, 'Työpuhelin');
INSERT INTO `lang_definitions` VALUES (133477, 744, 40, 'Varattu');
INSERT INTO `lang_definitions` VALUES (133478, 745, 40, 'mutta ei vielä käsitelty.');
INSERT INTO `lang_definitions` VALUES (133479, 746, 40, 'Pakara');
INSERT INTO `lang_definitions` VALUES (133480, 747, 40, 'Pakara + SI-nivel');
INSERT INTO `lang_definitions` VALUES (133481, 748, 40, 'alue');
INSERT INTO `lang_definitions` VALUES (133482, 749, 40, 'Kautta');
INSERT INTO `lang_definitions` VALUES (133483, 750, 40, 'oraalisti');
INSERT INTO `lang_definitions` VALUES (133484, 751, 40, 'Kautta / Lähde');
INSERT INTO `lang_definitions` VALUES (133485, 752, 40, 'Alue:');
INSERT INTO `lang_definitions` VALUES (133486, 753, 40, 'C');
INSERT INTO `lang_definitions` VALUES (133487, 754, 40, 'CA sertifikaatti varmentamaan RFC 5425 TLS syslog palvelin.');
INSERT INTO `lang_definitions` VALUES (133488, 755, 40, 'Välimuistin elinaika (sekunteja)');
INSERT INTO `lang_definitions` VALUES (133489, 756, 40, 'Jätetäänkö asiakirjamallin tuloste välimuistiin?');
INSERT INTO `lang_definitions` VALUES (133490, 757, 40, 'Kahvin kulutus');
INSERT INTO `lang_definitions` VALUES (133491, 758, 40, 'Kalenteri');
INSERT INTO `lang_definitions` VALUES (133492, 759, 40, 'Kalenterin lopetusaika');
INSERT INTO `lang_definitions` VALUES (133493, 760, 40, 'Kalenterin aikaväli');
INSERT INTO `lang_definitions` VALUES (133494, 761, 40, 'Kalenterinäkymä');
INSERT INTO `lang_definitions` VALUES (133495, 762, 40, 'Kalenterin asetukset');
INSERT INTO `lang_definitions` VALUES (133496, 763, 40, 'Kalenterin aloitusaika');
INSERT INTO `lang_definitions` VALUES (133497, 764, 40, 'Kalenterin käyttöliittymä');
INSERT INTO `lang_definitions` VALUES (133498, 765, 40, 'Kalenterinäkymä');
INSERT INTO `lang_definitions` VALUES (133499, 766, 40, 'addForm() kutsu tulee tähän.<br>');
INSERT INTO `lang_definitions` VALUES (133500, 767, 40, 'Kalorit');
INSERT INTO `lang_definitions` VALUES (133501, 768, 40, 'Kamputsealainen');
INSERT INTO `lang_definitions` VALUES (133502, 774, 40, 'Peru');
INSERT INTO `lang_definitions` VALUES (133503, 775, 40, 'Peru muutokset');
INSERT INTO `lang_definitions` VALUES (133504, 776, 40, 'Peruttu');
INSERT INTO `lang_definitions` VALUES (133505, 777, 40, 'Syöpä');
INSERT INTO `lang_definitions` VALUES (133506, 778, 40, 'Syöpäseulonta: Paksusuolen syövän seulonta');
INSERT INTO `lang_definitions` VALUES (133507, 779, 40, 'Syöpäseulonta: Mammografia');
INSERT INTO `lang_definitions` VALUES (133508, 780, 40, 'Syöpäseulonta: Papakoe');
INSERT INTO `lang_definitions` VALUES (133509, 781, 40, 'Syöpäseulonta: Eturauhasen syövän seulonta');
INSERT INTO `lang_definitions` VALUES (133510, 782, 40, 'Tätä lisäystä ei voi tehdä, koska se on jo olemassa!');
INSERT INTO `lang_definitions` VALUES (133511, 783, 40, 'Tätä lisäystä/päivitystä ei voi tehdä, koska siitä on jo olemassa duplikaatti!');
INSERT INTO `lang_definitions` VALUES (133512, 784, 40, 'ei voi arkistoida, sivuutettu');
INSERT INTO `lang_definitions` VALUES (133513, 785, 40, 'ei voi muuntaa muotoon JPEG. Kenties ImageMagick on asentamatta?');
INSERT INTO `lang_definitions` VALUES (133514, 786, 40, 'ei voi poistaa, sivuutettu');
INSERT INTO `lang_definitions` VALUES (133515, 787, 40, 'ei voida näyttää inline, koska selain ei tue sen tyyppiä.');
INSERT INTO `lang_definitions` VALUES (133516, 788, 40, 'ei voida näyttää inline, koska selain ei tue sen tyyppiä.');
INSERT INTO `lang_definitions` VALUES (133517, 789, 40, 'ei voida näyttää inline, koska selain ei tue sen tyyppiä.');
INSERT INTO `lang_definitions` VALUES (133518, 790, 40, 'Ei voi luoda');
INSERT INTO `lang_definitions` VALUES (133519, 791, 40, 'Asiakirjaa ei voi luoda');
INSERT INTO `lang_definitions` VALUES (133520, 792, 40, 'Asiakirjaa ei voi poistaa (SFTP palvelimelta)');
INSERT INTO `lang_definitions` VALUES (133521, 793, 40, 'Asiakirjaa ei voi poistaa');
INSERT INTO `lang_definitions` VALUES (133522, 794, 40, 'Kohde tiedostonimeä ei voi määrittää');
INSERT INTO `lang_definitions` VALUES (133523, 795, 40, 'Ei löydetä ');
INSERT INTO `lang_definitions` VALUES (133524, 796, 40, 'Kohteen tiedostonimeä ei löydy');
INSERT INTO `lang_definitions` VALUES (133525, 799, 40, 'Potilaan asiakastunnusta ei löydy SQL-Ledger tietokannasta');
INSERT INTO `lang_definitions` VALUES (133526, 800, 40, 'PostScript asiakirjan viitettä ei löydy ');
INSERT INTO `lang_definitions` VALUES (133527, 802, 40, 'Maksun muokkaus ei onnistu. Jakamaton on negatiivinen.');
INSERT INTO `lang_definitions` VALUES (133528, 803, 40, 'Ei voida avata ');
INSERT INTO `lang_definitions` VALUES (133529, 804, 40, 'Ei voida lähettää vakuuttajalle. Maksajaksi on merkitty potilas.');
INSERT INTO `lang_definitions` VALUES (133530, 805, 40, 'Ei voida lähettää potilaalle. Maksajaksi on merkitty vakuuttaja.');
INSERT INTO `lang_definitions` VALUES (133531, 806, 40, 'Maksua ei voi lähettää. Jakamaton on negatiivinen.');
INSERT INTO `lang_definitions` VALUES (133532, 807, 40, 'Ei voida lukea');
INSERT INTO `lang_definitions` VALUES (133533, 808, 40, 'Hakemistoa ei voi lukea');
INSERT INTO `lang_definitions` VALUES (133534, 809, 40, 'Päivitys ei onnistu, koska et ole muokkaamassa tallennettua tietoa.');
INSERT INTO `lang_definitions` VALUES (133535, 810, 40, 'Isot kirjaimet');
INSERT INTO `lang_definitions` VALUES (133536, 811, 40, 'Isot Aloituskirjaimet Kaikkialle');
INSERT INTO `lang_definitions` VALUES (133537, 812, 40, 'kapseli');
INSERT INTO `lang_definitions` VALUES (133538, 813, 40, 'Kortti');
INSERT INTO `lang_definitions` VALUES (133539, 814, 40, 'Sydämen katetrointi');
INSERT INTO `lang_definitions` VALUES (133540, 815, 40, 'Ekokardiografia');
INSERT INTO `lang_definitions` VALUES (133541, 816, 40, 'Sydän- ja verisuonitaudit');
INSERT INTO `lang_definitions` VALUES (133542, 822, 40, 'Rustovaurio');
INSERT INTO `lang_definitions` VALUES (133543, 824, 40, 'käteinen');
INSERT INTO `lang_definitions` VALUES (133544, 825, 40, 'Käteinen');
INSERT INTO `lang_definitions` VALUES (133545, 826, 40, 'Käteiskuitit');
INSERT INTO `lang_definitions` VALUES (133546, 827, 40, 'Käteiskuitit tuottajittain');
INSERT INTO `lang_definitions` VALUES (133547, 829, 40, 'Kaihileikkaus');
INSERT INTO `lang_definitions` VALUES (133548, 830, 40, 'Kaihi');
INSERT INTO `lang_definitions` VALUES (133549, 831, 40, 'Luokat');
INSERT INTO `lang_definitions` VALUES (133550, 832, 40, 'Luokat kohteelle');
INSERT INTO `lang_definitions` VALUES (133551, 833, 40, 'Luokka');
INSERT INTO `lang_definitions` VALUES (133552, 834, 40, 'luokka');
INSERT INTO `lang_definitions` VALUES (133553, 835, 40, 'Luokka ');
INSERT INTO `lang_definitions` VALUES (133554, 836, 40, 'Luokan yksityiskohdat');
INSERT INTO `lang_definitions` VALUES (133555, 837, 40, 'Luokan rajoitukset');
INSERT INTO `lang_definitions` VALUES (133556, 838, 40, 'Luokan nimi');
INSERT INTO `lang_definitions` VALUES (133557, 839, 40, 'Luokan nimi puuttuu');
INSERT INTO `lang_definitions` VALUES (133558, 840, 40, 'Luokka / Otsikko');
INSERT INTO `lang_definitions` VALUES (133559, 841, 40, 'Kaukaasiaalainen');
INSERT INTO `lang_definitions` VALUES (133560, 852, 40, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (133561, 853, 40, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (133562, 854, 40, 'Matkapuhelimen numero');
INSERT INTO `lang_definitions` VALUES (133563, 855, 40, 'Matkapuhelimen numero');
INSERT INTO `lang_definitions` VALUES (133564, 856, 40, 'Keskussertifiointi');
INSERT INTO `lang_definitions` VALUES (133565, 857, 40, 'Keski-/Eteläamerikkalainen');
INSERT INTO `lang_definitions` VALUES (133566, 860, 40, 'Sertifioi lähettämään RFC 5425 TLS syslog palvelimelle.');
INSERT INTO `lang_definitions` VALUES (133567, 861, 40, 'Sertifioi käyttäjä');
INSERT INTO `lang_definitions` VALUES (133568, 862, 40, 'Sertifikaatit');
INSERT INTO `lang_definitions` VALUES (133569, 863, 40, 'Tšamorro');
INSERT INTO `lang_definitions` VALUES (133570, 866, 40, 'vaihda');
INSERT INTO `lang_definitions` VALUES (133571, 867, 40, 'Vaihda');
INSERT INTO `lang_definitions` VALUES (133572, 868, 40, 'Vaihda aktiivisuus');
INSERT INTO `lang_definitions` VALUES (133573, 869, 40, 'Vaihto epäonnistui! CouchDB yhteysongelma?');
INSERT INTO `lang_definitions` VALUES (133574, 870, 40, 'Muutoksia näössä');
INSERT INTO `lang_definitions` VALUES (133575, 871, 40, 'Muutoksia näössä');
INSERT INTO `lang_definitions` VALUES (133576, 872, 40, 'Vaihda salasana');
INSERT INTO `lang_definitions` VALUES (133577, 874, 40, 'Vaihdettu');
INSERT INTO `lang_definitions` VALUES (133578, 875, 40, 'Muutokset suolen toiminnassa');
INSERT INTO `lang_definitions` VALUES (133579, 876, 40, 'Vaihdetaan potilaan tunniste asiakirjaan');
INSERT INTO `lang_definitions` VALUES (133580, 877, 40, 'Ominaisuudet');
INSERT INTO `lang_definitions` VALUES (133581, 878, 40, 'Merkkiä jäljellä');
INSERT INTO `lang_definitions` VALUES (133582, 879, 40, 'Veloitus');
INSERT INTO `lang_definitions` VALUES (133583, 880, 40, 'Veloituksen pyöristys');
INSERT INTO `lang_definitions` VALUES (133584, 881, 40, 'Veloitus koodattu');
INSERT INTO `lang_definitions` VALUES (133585, 882, 40, 'Veloitukset');
INSERT INTO `lang_definitions` VALUES (133586, 883, 40, 'Kaavio');
INSERT INTO `lang_definitions` VALUES (133587, 884, 40, 'Kaavio Toiminta');
INSERT INTO `lang_definitions` VALUES (133588, 885, 40, 'Aktiivisuusraportin kaavio sisään- ja uloskirjautumista');
INSERT INTO `lang_definitions` VALUES (133589, 886, 40, 'Kaavio tunniste');
INSERT INTO `lang_definitions` VALUES (133590, 887, 40, 'Kaavio tunniste:');
INSERT INTO `lang_definitions` VALUES (133591, 888, 40, 'Kaavion nimiö');
INSERT INTO `lang_definitions` VALUES (133592, 889, 40, 'Kaavio Sijainti Toiminta');
INSERT INTO `lang_definitions` VALUES (133593, 890, 40, 'Kaavio muistiinpano');
INSERT INTO `lang_definitions` VALUES (133594, 891, 40, 'Kaavio numero');
INSERT INTO `lang_definitions` VALUES (133595, 892, 40, 'Kaavio tallennuksen sijainti');
INSERT INTO `lang_definitions` VALUES (133596, 893, 40, 'Kaavio seuranta');
INSERT INTO `lang_definitions` VALUES (133597, 894, 40, 'Potilaskorttien seuranta');
INSERT INTO `lang_definitions` VALUES (133598, 895, 40, 'Kaaviot Kirjattu ulos');
INSERT INTO `lang_definitions` VALUES (133599, 896, 40, 'Kaaviot ulkona');
INSERT INTO `lang_definitions` VALUES (133600, 897, 40, 'Tšetšeeni');
INSERT INTO `lang_definitions` VALUES (133601, 898, 40, 'Tarkista');
INSERT INTO `lang_definitions` VALUES (133602, 899, 40, 'tarkista');
INSERT INTO `lang_definitions` VALUES (133603, 900, 40, 'Valitse kaikki');
INSERT INTO `lang_definitions` VALUES (133604, 902, 40, 'Tarkista summa');
INSERT INTO `lang_definitions` VALUES (133605, 903, 40, 'Tarkista päiväys');
INSERT INTO `lang_definitions` VALUES (133606, 904, 40, 'Tarkista erilaiset käännökset kielitaulukon avulla.');
INSERT INTO `lang_definitions` VALUES (133607, 906, 40, 'Kirjaudu sisään');
INSERT INTO `lang_definitions` VALUES (133608, 907, 40, 'Tarkista syötettävä tieto');
INSERT INTO `lang_definitions` VALUES (133609, 908, 40, 'Tarkista kuvaajan kohteet');
INSERT INTO `lang_definitions` VALUES (133610, 909, 40, 'Tarkista laboratoriotulokset');
INSERT INTO `lang_definitions` VALUES (133611, 910, 40, 'Valintamerkki osoittaa tarkistetaan');
INSERT INTO `lang_definitions` VALUES (133612, 911, 40, 'Shekin numero');
INSERT INTO `lang_definitions` VALUES (133613, 912, 40, 'Shekin numero');
INSERT INTO `lang_definitions` VALUES (133614, 915, 40, 'Maksu shekillä');
INSERT INTO `lang_definitions` VALUES (133615, 916, 40, 'Valitse valintaruutu, jos tämä on salattu tiedosto');
INSERT INTO `lang_definitions` VALUES (133616, 917, 40, 'Ruksaa tämä jos haluat palvelun tuottajien näkevän oletusarvoisesti kaikki tapaamiset eikä vain heidän omiaan.');
INSERT INTO `lang_definitions` VALUES (133617, 919, 40, 'Shekki/Etuuksien selitys päiväys:');
INSERT INTO `lang_definitions` VALUES (133618, 920, 40, 'Shekki/Etuuksien selitys numero:');
INSERT INTO `lang_definitions` VALUES (133619, 921, 40, 'Shekki-/Viitenumero');
INSERT INTO `lang_definitions` VALUES (133620, 922, 40, 'Shekki-/Viitenumero');
INSERT INTO `lang_definitions` VALUES (133621, 923, 40, 'Lista valintaruuduista');
INSERT INTO `lang_definitions` VALUES (133622, 924, 40, 'lista valintaruuduista');
INSERT INTO `lang_definitions` VALUES (133623, 925, 40, 'valintaruutu tekstillä');
INSERT INTO `lang_definitions` VALUES (133624, 926, 40, 'Valintaruutu tekstillä');
INSERT INTO `lang_definitions` VALUES (133625, 927, 40, 'Yllä olevat valintaruudut ilmaisevat, haluatko hylätä ja poistaa HL7 asiakirjan');
INSERT INTO `lang_definitions` VALUES (133626, 928, 40, 'Rastitettu');
INSERT INTO `lang_definitions` VALUES (133627, 929, 40, 'Rastitettu = Kyllä, Tyhjä = Ei');
INSERT INTO `lang_definitions` VALUES (133628, 931, 40, 'Rastittamalla valintaruutu estää kaikki muutokset tämän käynnin aikana tehtyihin lomakkeisiin.');
INSERT INTO `lang_definitions` VALUES (133629, 932, 40, 'Kassa');
INSERT INTO `lang_definitions` VALUES (133630, 933, 40, 'Tarkistussumma');
INSERT INTO `lang_definitions` VALUES (133631, 934, 40, 'Rintakehä');
INSERT INTO `lang_definitions` VALUES (133632, 935, 40, 'Rintakehä / Hengitysteiden tutkimus');
INSERT INTO `lang_definitions` VALUES (133633, 936, 40, 'Rintakipu');
INSERT INTO `lang_definitions` VALUES (133634, 937, 40, 'Rintakipu:');
INSERT INTO `lang_definitions` VALUES (133635, 938, 40, 'Rintakipuja');
INSERT INTO `lang_definitions` VALUES (133636, 942, 40, 'Perimmäinen tulosyy');
INSERT INTO `lang_definitions` VALUES (133637, 943, 40, 'Lapsi');
INSERT INTO `lang_definitions` VALUES (133638, 945, 40, 'Lapsuusajan rokotusten tila (CQM)');
INSERT INTO `lang_definitions` VALUES (133639, 946, 40, 'Vilunväristyksiä');
INSERT INTO `lang_definitions` VALUES (133640, 947, 40, 'Kiinalainen');
INSERT INTO `lang_definitions` VALUES (133641, 948, 40, 'Kiina (Yksinkertaistettu)');
INSERT INTO `lang_definitions` VALUES (133642, 949, 40, 'Kiina (Perinteinen)');
INSERT INTO `lang_definitions` VALUES (133643, 950, 40, 'Kiropraktikko');
INSERT INTO `lang_definitions` VALUES (133644, 951, 40, 'Valinnat');
INSERT INTO `lang_definitions` VALUES (133645, 952, 40, 'Sappirakon poisto');
INSERT INTO `lang_definitions` VALUES (133646, 953, 40, 'sappirakon poisto');
INSERT INTO `lang_definitions` VALUES (133647, 954, 40, 'Sappirakon poisto');
INSERT INTO `lang_definitions` VALUES (133648, 955, 40, 'Valitse');
INSERT INTO `lang_definitions` VALUES (133649, 957, 40, 'Valintakriteeri');
INSERT INTO `lang_definitions` VALUES (133650, 958, 40, 'Valitse lataus tai näyttö');
INSERT INTO `lang_definitions` VALUES (133651, 959, 40, 'Valitse tiedosto');
INSERT INTO `lang_definitions` VALUES (133652, 960, 40, 'Valitse listasta');
INSERT INTO `lang_definitions` VALUES (133653, 961, 40, 'Valitse ulkoasun suunta');
INSERT INTO `lang_definitions` VALUES (133654, 962, 40, 'Valitse lista');
INSERT INTO `lang_definitions` VALUES (133655, 963, 40, 'Valitse paperikoko');
INSERT INTO `lang_definitions` VALUES (133656, 964, 40, 'Valitse PDF:n kieliasetus');
INSERT INTO `lang_definitions` VALUES (133657, 965, 40, 'Valitse tulostusmuoto tälle tapaamisraportille');
INSERT INTO `lang_definitions` VALUES (133658, 967, 40, 'Krooninen keuhkoputkentulehdus');
INSERT INTO `lang_definitions` VALUES (133659, 968, 40, 'Krooninen nivelkipu');
INSERT INTO `lang_definitions` VALUES (133660, 969, 40, 'Krooninen munuaistauti (CKD)');
INSERT INTO `lang_definitions` VALUES (133661, 970, 40, 'Krooninen nivelkalvontulehdus / nestekertymä / nivelkipu / kihti');
INSERT INTO `lang_definitions` VALUES (133662, 971, 40, 'Krooninen / Toistuva');
INSERT INTO `lang_definitions` VALUES (133663, 972, 40, 'Tšuvassi');
INSERT INTO `lang_definitions` VALUES (133664, 973, 40, 'Maksakirroosi');
INSERT INTO `lang_definitions` VALUES (133665, 974, 40, 'Maksakirroosi');
INSERT INTO `lang_definitions` VALUES (133666, 975, 40, 'Kaupunki');
INSERT INTO `lang_definitions` VALUES (133667, 976, 40, 'Kaupungin nimi');
INSERT INTO `lang_definitions` VALUES (133668, 977, 40, 'Kaupunki, lääni');
INSERT INTO `lang_definitions` VALUES (133669, 978, 40, 'Kaupunki, läänin postinumero');
INSERT INTO `lang_definitions` VALUES (133670, 979, 40, 'Kaupunki/Lääni');
INSERT INTO `lang_definitions` VALUES (133671, 980, 40, 'Vaatimus');
INSERT INTO `lang_definitions` VALUES (133672, 981, 40, 'Vaatimus ');
INSERT INTO `lang_definitions` VALUES (133673, 982, 40, 'Vaatimuksen tila');
INSERT INTO `lang_definitions` VALUES (133674, 983, 40, 'Tarkastuksen analyysi päättynyt');
INSERT INTO `lang_definitions` VALUES (133675, 987, 40, 'Pyynnöt');
INSERT INTO `lang_definitions` VALUES (133676, 988, 40, 'Luokittelut');
INSERT INTO `lang_definitions` VALUES (133677, 989, 40, 'Tyhjennä');
INSERT INTO `lang_definitions` VALUES (133678, 990, 40, 'TYHJENNÄ AKTIIVINEN POTILAS');
INSERT INTO `lang_definitions` VALUES (133679, 991, 40, 'Tyhjennä kaikki');
INSERT INTO `lang_definitions` VALUES (133680, 992, 40, 'Tyhjennä HL7 tieto');
INSERT INTO `lang_definitions` VALUES (133681, 993, 40, 'Tyhjennä perustelut');
INSERT INTO `lang_definitions` VALUES (133682, 994, 40, 'Tyhjennä Smarty välimuisti');
INSERT INTO `lang_definitions` VALUES (133683, 997, 40, 'Klikkaa');
INSERT INTO `lang_definitions` VALUES (133684, 1001, 40, 'klikkaa lisätietoja varten');
INSERT INTO `lang_definitions` VALUES (133685, 1002, 40, 'Klikkaa ja näytä lisätiedot');
INSERT INTO `lang_definitions` VALUES (133686, 1003, 40, 'Tilaa yhteenveto klikkaamalla');
INSERT INTO `lang_definitions` VALUES (133687, 1004, 40, 'Klikkaa tuloksia varten');
INSERT INTO `lang_definitions` VALUES (133688, 1005, 40, 'Klikkaa tätä');
INSERT INTO `lang_definitions` VALUES (133689, 1006, 40, 'Luo uusi potilas klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (133690, 1007, 40, 'Klikkaa tätä ja päivitä vamman tilamuutokset sekä päivittäiset aktiviteetit');
INSERT INTO `lang_definitions` VALUES (133691, 1008, 40, 'Valitse päivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133692, 1009, 40, 'Valitse päivä ja aika klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133693, 1010, 40, 'Valitse aloituspäivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133694, 1011, 40, 'Valitse päivä ja aika klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133695, 1012, 40, 'Valitse alkamisaika ja päivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133696, 1013, 40, 'Valitse päättyisaika ja päivä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133697, 1014, 40, 'Anna modulille määrittelyt klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133698, 1016, 40, 'Poista moduuli käytöstä klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133699, 1018, 40, 'Ota moduuli käyttöön klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133700, 1019, 40, 'Asenna moduli klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (133701, 1020, 40, 'hae klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133702, 1021, 40, 'päivitä oikeuksien, luokan ja kutsumanimen asetukset klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133703, 1022, 40, 'Näytä kaikki klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (133704, 1023, 40, 'Näytä ja tee kaavio klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133705, 1024, 40, 'Näytä ja tee kaavio kaikista laboratoriotuloksista.');
INSERT INTO `lang_definitions` VALUES (133706, 1025, 40, 'Näytä ja tee kaavio elintoiminnoista klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (133707, 1026, 40, 'Näytä potilaan tiedot klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133708, 1027, 40, 'Näytä ne kaikki klikkaamalla tätä.');
INSERT INTO `lang_definitions` VALUES (133709, 1028, 40, 'Näytä/muokkaa lisää yksityiskohtia klikkaamalla tätä');
INSERT INTO `lang_definitions` VALUES (133710, 1029, 40, 'Klikkaa Asenna-painiketta asentaaksesi tietokanta version seuraavalta päiväykseltä');
INSERT INTO `lang_definitions` VALUES (133711, 1030, 40, 'Klikkaa aikajaksoa lisätäksesi sitä');
INSERT INTO `lang_definitions` VALUES (133712, 1031, 40, 'Avaa potilastiedot klikkaamalla potilaan nimeä');
INSERT INTO `lang_definitions` VALUES (133713, 1032, 40, 'Klikkaa Päivitä nähdäksesi kaikki tulokset tai anna hakukriteeri tarkennetut tulokset.');
INSERT INTO `lang_definitions` VALUES (133714, 1033, 40, 'Klikkaa ja lisää diagnoosi');
INSERT INTO `lang_definitions` VALUES (133715, 1034, 40, 'Klikkaa ja lisää uusia komponentteja');
INSERT INTO `lang_definitions` VALUES (133716, 1035, 40, 'Lisää uusi käynti klikkaamalla');
INSERT INTO `lang_definitions` VALUES (133717, 1036, 40, 'Klikkaa ja valitse diagnoosi täsmennettäväksi.');
INSERT INTO `lang_definitions` VALUES (133718, 1037, 40, 'Lataa klikkaamalla');
INSERT INTO `lang_definitions` VALUES (133719, 1038, 40, 'Klikkaa ja muokkaa');
INSERT INTO `lang_definitions` VALUES (133720, 1039, 40, 'Klikkaa ja muokkaa kuvausta');
INSERT INTO `lang_definitions` VALUES (133721, 1040, 40, 'Klikkaa ja muokkaa tapahtumaa');
INSERT INTO `lang_definitions` VALUES (133722, 1041, 40, 'Klikkaa ja luo raportti');
INSERT INTO `lang_definitions` VALUES (133723, 1042, 40, 'Klikkaa ja sovita potilas');
INSERT INTO `lang_definitions` VALUES (133724, 1043, 40, 'Klikkaa ja tulosta');
INSERT INTO `lang_definitions` VALUES (133725, 1044, 40, 'Klikkaa ja vastaanota (lisää) uusi erä');
INSERT INTO `lang_definitions` VALUES (133726, 1045, 40, 'Klikkaa ja valitse');
INSERT INTO `lang_definitions` VALUES (133727, 1046, 40, 'Klikkaa ja valitse');
INSERT INTO `lang_definitions` VALUES (133728, 1047, 40, 'Klikkaa ja valitse standardin mukainen koodi tälle toiminnolle');
INSERT INTO `lang_definitions` VALUES (133729, 1048, 40, 'Klikkaa ja valitse vihtoehtoinen koodi toiminnolle');
INSERT INTO `lang_definitions` VALUES (133730, 1049, 40, 'Klikkaa ja valitse koodi tai muuta sitä');
INSERT INTO `lang_definitions` VALUES (133731, 1050, 40, 'Klikkaa ja valitse tai muuta CVX koodia');
INSERT INTO `lang_definitions` VALUES (133732, 1051, 40, 'Klikkaa ja valitse tai muokkaa diagnoosi');
INSERT INTO `lang_definitions` VALUES (133733, 1052, 40, 'Klikkaa ja valitse tai muuta palvelukoodia');
INSERT INTO `lang_definitions` VALUES (133734, 1053, 40, 'Klikkaa ja valitse potilas');
INSERT INTO `lang_definitions` VALUES (133735, 1054, 40, 'Klikkaa ja valitse rinnakkaiskoodi');
INSERT INTO `lang_definitions` VALUES (133736, 1055, 40, 'Klikkaa ja valitse suoritettavat toimenpiteet, mikäli tulos on poikkeava');
INSERT INTO `lang_definitions` VALUES (133737, 1056, 40, 'Klikkaa ja valitse halutut toimenpiteet');
INSERT INTO `lang_definitions` VALUES (133738, 1057, 40, 'Klikkaa ja järjestä');
INSERT INTO `lang_definitions` VALUES (133739, 1058, 40, 'Klikkaa ja näytä');
INSERT INTO `lang_definitions` VALUES (133740, 1059, 40, 'Klikkaa ja näytä tai muokkaa');
INSERT INTO `lang_definitions` VALUES (133741, 1060, 40, 'Klikkaa ja näytä/muokkaa');
INSERT INTO `lang_definitions` VALUES (133742, 1061, 40, 'Klikkaa Päivitä-painiketta jos haluat päivittää tietokannan seuraavalta päiväykseltä');
INSERT INTO `lang_definitions` VALUES (133743, 1062, 40, 'Osoita klikkaamalla missä edellä todettiin vastaavuus potilaaseen.');
INSERT INTO `lang_definitions` VALUES (133744, 1063, 40, 'Klikkaa:');
INSERT INTO `lang_definitions` VALUES (133745, 1064, 40, 'Asiakasohjelman sertifikaatin vanheneminen päivissä');
INSERT INTO `lang_definitions` VALUES (133746, 1065, 40, 'Asiakasohjelman sertifikaatin kelpoisuusaika');
INSERT INTO `lang_definitions` VALUES (133747, 1066, 40, 'Asiakasohjelman kelpoisuus tulee ilmoittaa numerona.');
INSERT INTO `lang_definitions` VALUES (133748, 1067, 40, 'Asiakas kopio');
INSERT INTO `lang_definitions` VALUES (133749, 1069, 40, 'Asiakkaan potilashistorian kooste');
INSERT INTO `lang_definitions` VALUES (133750, 1070, 40, 'Asiakkaan nimi');
INSERT INTO `lang_definitions` VALUES (133751, 1071, 40, 'Asiakasnumero');
INSERT INTO `lang_definitions` VALUES (133752, 1072, 40, 'Asiakasprofiili - Uudet asiakkaat');
INSERT INTO `lang_definitions` VALUES (133753, 1073, 40, 'Asiakasprofiili - Yksilöidyt asiakkaat');
INSERT INTO `lang_definitions` VALUES (133754, 1074, 40, 'Asiakkaat');
INSERT INTO `lang_definitions` VALUES (133755, 1075, 40, 'Klinikka');
INSERT INTO `lang_definitions` VALUES (133756, 1076, 40, 'Klinikan kopio');
INSERT INTO `lang_definitions` VALUES (133757, 1078, 40, 'Klinikan tunniste');
INSERT INTO `lang_definitions` VALUES (133758, 1079, 40, 'Lääketieteelliset');
INSERT INTO `lang_definitions` VALUES (133759, 1081, 40, 'Kliininen historia');
INSERT INTO `lang_definitions` VALUES (133760, 1083, 40, 'Kliiniset suunnitelmat');
INSERT INTO `lang_definitions` VALUES (133761, 1084, 40, 'Kliiniset laatutoimenpiteet (CQM)');
INSERT INTO `lang_definitions` VALUES (133762, 1085, 40, 'Kliiniset laatutoimenpiteet (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (133763, 1086, 40, 'Kliiniset laatutoimenpiteet (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (133764, 1087, 40, 'Kliiniset muistutukset');
INSERT INTO `lang_definitions` VALUES (133765, 1088, 40, 'Kliiniset raportit');
INSERT INTO `lang_definitions` VALUES (133766, 1089, 40, 'Kliinisen toimintasäännön luokka');
INSERT INTO `lang_definitions` VALUES (133767, 1090, 40, 'Kliinisen toimintasäännön nimike');
INSERT INTO `lang_definitions` VALUES (133768, 1091, 40, 'Kliinisen säännön suodatusmetodit');
INSERT INTO `lang_definitions` VALUES (133769, 1092, 40, 'Kliinisen säännön kohdistusmetodit');
INSERT INTO `lang_definitions` VALUES (133770, 1093, 40, 'Kliiniset säännöt');
INSERT INTO `lang_definitions` VALUES (133771, 1094, 40, 'Kliinisten sääntöjen ikäluokat');
INSERT INTO `lang_definitions` VALUES (133772, 1095, 40, 'Kliinisten sääntöjen vertailut');
INSERT INTO `lang_definitions` VALUES (133773, 1096, 40, 'Kliinisten sääntöjen vastaanottotyypit');
INSERT INTO `lang_definitions` VALUES (133774, 1097, 40, 'Kliinisten sääntöjen muistutusten säännönmukaiset vaihtoehdot');
INSERT INTO `lang_definitions` VALUES (133775, 1098, 40, 'Kliinisten sääntöjen muistuttajien inaktivoinnin optiot');
INSERT INTO `lang_definitions` VALUES (133776, 1099, 40, 'Kliinisten sääntöjen muistuttajien aikavälit');
INSERT INTO `lang_definitions` VALUES (133777, 1100, 40, 'Kliinisten sääntöjen muistuttajien metodit');
INSERT INTO `lang_definitions` VALUES (133778, 1101, 40, 'Kliinisten sääntöjen kohdistuksen aikavälit');
INSERT INTO `lang_definitions` VALUES (133779, 1102, 40, 'Lääketieteelliset päämäärät');
INSERT INTO `lang_definitions` VALUES (133780, 1103, 40, 'Lääketieteelliset termit');
INSERT INTO `lang_definitions` VALUES (133781, 1104, 40, 'Lääketieteellisten termien koodi(t)');
INSERT INTO `lang_definitions` VALUES (133782, 1106, 40, 'Hoitavat lääkärit');
INSERT INTO `lang_definitions` VALUES (133783, 1107, 40, 'Klooni');
INSERT INTO `lang_definitions` VALUES (133784, 1108, 40, 'Kloonaa edellinen käynti');
INSERT INTO `lang_definitions` VALUES (133785, 1109, 40, 'Sulje');
INSERT INTO `lang_definitions` VALUES (133786, 1110, 40, 'Sulje ikkuna');
INSERT INTO `lang_definitions` VALUES (133787, 1111, 40, 'sulje ikkuna');
INSERT INTO `lang_definitions` VALUES (133788, 1112, 40, 'Suljettu');
INSERT INTO `lang_definitions` VALUES (133789, 1113, 40, 'cm');
INSERT INTO `lang_definitions` VALUES (133790, 1114, 40, 'CMS 1500 lomakkeen marginaalit');
INSERT INTO `lang_definitions` VALUES (133791, 1115, 40, 'CMS 1500 lomakkeen paperikoko');
INSERT INTO `lang_definitions` VALUES (133792, 1118, 40, 'CMS tunniste');
INSERT INTO `lang_definitions` VALUES (133793, 1119, 40, 'CMS portaali');
INSERT INTO `lang_definitions` VALUES (133794, 1120, 40, 'CMS portaalin sisäänkirjautuminen');
INSERT INTO `lang_definitions` VALUES (133795, 1121, 40, 'CMS portaalin sisäänkirjautumisen tunniste');
INSERT INTO `lang_definitions` VALUES (133796, 1122, 40, 'CMS portaali ei käytössä!');
INSERT INTO `lang_definitions` VALUES (133797, 1123, 40, 'CMS portaalin salasana');
INSERT INTO `lang_definitions` VALUES (133798, 1125, 40, 'CMS portaalin sivuston osoite');
INSERT INTO `lang_definitions` VALUES (133799, 1126, 40, 'CMS portaalin käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (133800, 1128, 40, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (133801, 1129, 40, 'Omavastuu maksettu');
INSERT INTO `lang_definitions` VALUES (133802, 1130, 40, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (133803, 1131, 40, 'Koodi');
INSERT INTO `lang_definitions` VALUES (133804, 1132, 40, 'koodi');
INSERT INTO `lang_definitions` VALUES (133805, 1133, 40, 'Koodin haku');
INSERT INTO `lang_definitions` VALUES (133806, 1134, 40, 'Koodi annettava kahdella pienellä kirjaimella');
INSERT INTO `lang_definitions` VALUES (133807, 1135, 40, 'Koodin tai symbolin on kuvattava valuuttaa');
INSERT INTO `lang_definitions` VALUES (133808, 1136, 40, 'Koodi teksti');
INSERT INTO `lang_definitions` VALUES (133809, 1137, 40, 'Koodityyppi');
INSERT INTO `lang_definitions` VALUES (133810, 1138, 40, 'koodityyppi');
INSERT INTO `lang_definitions` VALUES (133811, 1139, 40, 'Koodityyppiä ei tunnistettu');
INSERT INTO `lang_definitions` VALUES (133812, 1140, 40, 'Koodityyppiä ei vielä määritelty');
INSERT INTO `lang_definitions` VALUES (133813, 1141, 40, 'Koodityypit');
INSERT INTO `lang_definitions` VALUES (133814, 1142, 40, 'Koodi(t)');
INSERT INTO `lang_definitions` VALUES (133815, 1143, 40, 'Koodattu');
INSERT INTO `lang_definitions` VALUES (133816, 1144, 40, 'Koodit');
INSERT INTO `lang_definitions` VALUES (133817, 1145, 40, 'Koodaus');
INSERT INTO `lang_definitions` VALUES (133818, 1146, 40, 'Koodaus (klikkaa opastukseen)');
INSERT INTO `lang_definitions` VALUES (133819, 1147, 40, 'Koodaus - kaikki käynnit (kirjoitus, rajoitettu kirjoitus)');
INSERT INTO `lang_definitions` VALUES (133820, 1148, 40, 'Koodaus - omat käynnit (kirjoitus, rajoitettu kirjoitus)');
INSERT INTO `lang_definitions` VALUES (133821, 1149, 40, 'Ei oikeutta koodaukseen');
INSERT INTO `lang_definitions` VALUES (133822, 1150, 40, 'Kahvi');
INSERT INTO `lang_definitions` VALUES (133823, 1151, 40, 'Kahvin kulutus');
INSERT INTO `lang_definitions` VALUES (133824, 1154, 40, 'Sulje');
INSERT INTO `lang_definitions` VALUES (133825, 1155, 40, 'sulje');
INSERT INTO `lang_definitions` VALUES (133826, 1156, 40, 'Sulje kaikki');
INSERT INTO `lang_definitions` VALUES (133827, 1157, 40, 'Sulje kaikki');
INSERT INTO `lang_definitions` VALUES (133828, 1158, 40, 'sulje kaikki');
INSERT INTO `lang_definitions` VALUES (133829, 1160, 40, 'Koontipäivä');
INSERT INTO `lang_definitions` VALUES (133830, 1161, 40, 'Koosteet');
INSERT INTO `lang_definitions` VALUES (133831, 1162, 40, 'Raportti koosteista');
INSERT INTO `lang_definitions` VALUES (133832, 1163, 40, 'Paksusuolen syöpä');
INSERT INTO `lang_definitions` VALUES (133833, 1164, 40, 'Paksusuolen syöpä seulonta');
INSERT INTO `lang_definitions` VALUES (133834, 1165, 40, 'Paksusuolen syöpä leikkaus');
INSERT INTO `lang_definitions` VALUES (133835, 1166, 40, 'Kolonoskopia');
INSERT INTO `lang_definitions` VALUES (133836, 1167, 40, 'kolonoskopia');
INSERT INTO `lang_definitions` VALUES (133837, 1168, 40, 'Väri');
INSERT INTO `lang_definitions` VALUES (133838, 1169, 40, 'Väri: lyhenne');
INSERT INTO `lang_definitions` VALUES (133839, 1170, 40, 'Sarake');
INSERT INTO `lang_definitions` VALUES (133840, 1171, 40, 'Sarakkeet');
INSERT INTO `lang_definitions` VALUES (133841, 1172, 40, 'Eriä koostetaan');
INSERT INTO `lang_definitions` VALUES (133842, 1173, 40, 'Pilkku');
INSERT INTO `lang_definitions` VALUES (133843, 1174, 40, 'Kommentti');
INSERT INTO `lang_definitions` VALUES (133844, 1175, 40, 'Kommentit');
INSERT INTO `lang_definitions` VALUES (133845, 1176, 40, 'Kommentit tähän tulokseen tai suositukseen');
INSERT INTO `lang_definitions` VALUES (133846, 1177, 40, 'Kaupallinen vakuutus Oy');
INSERT INTO `lang_definitions` VALUES (133847, 1178, 40, 'Suorita muutokset');
INSERT INTO `lang_definitions` VALUES (133848, 1179, 40, 'Viestintä');
INSERT INTO `lang_definitions` VALUES (133849, 1180, 40, 'Viestintä');
INSERT INTO `lang_definitions` VALUES (133850, 1182, 40, 'Yritys');
INSERT INTO `lang_definitions` VALUES (133851, 1183, 40, 'Yrityksen nimi');
INSERT INTO `lang_definitions` VALUES (133852, 1184, 40, 'Valmis');
INSERT INTO `lang_definitions` VALUES (133853, 1186, 40, 'Valmis');
INSERT INTO `lang_definitions` VALUES (133854, 1188, 40, 'Valmis?');
INSERT INTO `lang_definitions` VALUES (133855, 1190, 40, 'Palvelun tarjoajalla ongelmia');
INSERT INTO `lang_definitions` VALUES (133856, 1191, 40, 'Komplikaatiot raskaudenkeskeytyksessä');
INSERT INTO `lang_definitions` VALUES (133857, 1192, 40, 'Komponentit');
INSERT INTO `lang_definitions` VALUES (133858, 1193, 40, 'Tietokoneavusteinen lääketieteellinen tilausjärjestelmä');
INSERT INTO `lang_definitions` VALUES (133859, 1194, 40, 'Päätelmät');
INSERT INTO `lang_definitions` VALUES (133860, 1198, 40, 'Rakenne');
INSERT INTO `lang_definitions` VALUES (133861, 1199, 40, 'Rakenne');
INSERT INTO `lang_definitions` VALUES (133862, 1200, 40, 'Rakenne Vienti/Tuonti');
INSERT INTO `lang_definitions` VALUES (133863, 1201, 40, 'Rakenteen tallentaminen onnistui');
INSERT INTO `lang_definitions` VALUES (133864, 1202, 40, 'Määrittele Apache ja LibreEHR käyttämään asiakkaan SSL-sertifikaattia');
INSERT INTO `lang_definitions` VALUES (133865, 1203, 40, 'Määrittele Apache käyttämään asiakkaan SSL-sertifikaattia');
INSERT INTO `lang_definitions` VALUES (133866, 1204, 40, 'Määrittele Apache käyttämään HTTPS-protokollaa.');
INSERT INTO `lang_definitions` VALUES (133867, 1205, 40, 'Määrittele LibreEHR käyttämään asiakkaan SSL-sertifikaattia');
INSERT INTO `lang_definitions` VALUES (133868, 1208, 40, 'Vahvista uusi potilas');
INSERT INTO `lang_definitions` VALUES (133869, 1209, 40, 'Vahvista uusi salasana');
INSERT INTO `lang_definitions` VALUES (133870, 1210, 40, 'Vahvista maksu');
INSERT INTO `lang_definitions` VALUES (133871, 1214, 40, 'Synnynnäinen');
INSERT INTO `lang_definitions` VALUES (133872, 1216, 40, 'Yhteysvirhe');
INSERT INTO `lang_definitions` VALUES (133873, 1217, 40, 'Yhteydet');
INSERT INTO `lang_definitions` VALUES (133874, 1218, 40, 'Vakio');
INSERT INTO `lang_definitions` VALUES (133875, 1219, 40, 'vakion nimi');
INSERT INTO `lang_definitions` VALUES (133876, 1220, 40, 'Vakion nimi puuttuu');
INSERT INTO `lang_definitions` VALUES (133877, 1221, 40, 'vakiot');
INSERT INTO `lang_definitions` VALUES (133878, 1222, 40, 'Ummetus');
INSERT INTO `lang_definitions` VALUES (133879, 1223, 40, 'Perustiedot');
INSERT INTO `lang_definitions` VALUES (133880, 1226, 40, 'Käynnin lyhyt kuvaus');
INSERT INTO `lang_definitions` VALUES (133881, 1227, 40, 'Yhteystiedot');
INSERT INTO `lang_definitions` VALUES (133882, 1228, 40, 'Sähköposti');
INSERT INTO `lang_definitions` VALUES (133883, 1229, 40, 'Sähköpostiosoite');
INSERT INTO `lang_definitions` VALUES (133884, 1230, 40, 'Ota yhteys EMR Directiin phiMail Direct viestipalvelun tilaamista varten');
INSERT INTO `lang_definitions` VALUES (133885, 1231, 40, 'Yhteystiedot');
INSERT INTO `lang_definitions` VALUES (133886, 1232, 40, 'Piilolinssit');
INSERT INTO `lang_definitions` VALUES (133887, 1233, 40, 'Ota yhteys Medical Information Integration, LLC http://mi-squared.com Lab Exchange Service varten.');
INSERT INTO `lang_definitions` VALUES (133888, 1234, 40, 'Ota yhteys Medical Information Integration, LLC http://mi-squared.com tai ZH Healthcare http://zhservices.com eRx palvelun tilaamista varten');
INSERT INTO `lang_definitions` VALUES (133889, 1236, 40, 'Yhteyshenkilön nimi');
INSERT INTO `lang_definitions` VALUES (133890, 1237, 40, 'Yhteyshenkilö');
INSERT INTO `lang_definitions` VALUES (133891, 1238, 40, 'Yhteyshenkilön puhelinnumero');
INSERT INTO `lang_definitions` VALUES (133892, 1239, 40, 'Yhteyshenkilön puhelinnumero');
INSERT INTO `lang_definitions` VALUES (133893, 1240, 40, 'Ota yhteys ZMG:een (zmghealth@gmail.com) eRx palvelun tilaamista varten');
INSERT INTO `lang_definitions` VALUES (133894, 1241, 40, 'sisältää ainakin kolme neljästä seuraavasta:');
INSERT INTO `lang_definitions` VALUES (133895, 1242, 40, 'Säiliö-ryhmän nimi');
INSERT INTO `lang_definitions` VALUES (133896, 1243, 40, 'Sisältö');
INSERT INTO `lang_definitions` VALUES (133897, 1244, 40, 'sisältö');
INSERT INTO `lang_definitions` VALUES (133898, 1245, 40, 'Asiayhteys');
INSERT INTO `lang_definitions` VALUES (133899, 1246, 40, 'Kontekstin nimi ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (133900, 1247, 40, 'Jatka');
INSERT INTO `lang_definitions` VALUES (133901, 1248, 40, 'Hoitosuunnitelma');
INSERT INTO `lang_definitions` VALUES (133902, 1249, 40, 'Potilaskertomus');
INSERT INTO `lang_definitions` VALUES (133903, 1251, 40, 'Ehkäisy');
INSERT INTO `lang_definitions` VALUES (133904, 1252, 40, 'Ehkäisyyn liittyvät asiat');
INSERT INTO `lang_definitions` VALUES (133905, 1253, 40, 'Ehkäisyyn liittyvät ongelmat (tarkenna)');
INSERT INTO `lang_definitions` VALUES (133906, 1254, 40, 'Ehkäisymenetelmä');
INSERT INTO `lang_definitions` VALUES (133907, 1255, 40, 'Ehkäisyssä käytetyt tuotteet');
INSERT INTO `lang_definitions` VALUES (133908, 1256, 40, 'Aiemmin aloitetut ehkäisyyn liittyvät palvelut');
INSERT INTO `lang_definitions` VALUES (133909, 1257, 40, 'Ehkäisy aloitettu');
INSERT INTO `lang_definitions` VALUES (133910, 1258, 40, 'Kontrollitunniste');
INSERT INTO `lang_definitions` VALUES (133911, 1259, 40, 'Kontrollinumero');
INSERT INTO `lang_definitions` VALUES (133912, 1261, 40, 'OMAVASTUU');
INSERT INTO `lang_definitions` VALUES (133913, 1262, 40, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (133914, 1263, 40, 'Omavastuu');
INSERT INTO `lang_definitions` VALUES (133915, 1264, 40, 'Osamaksu negatiivinen');
INSERT INTO `lang_definitions` VALUES (133916, 1265, 40, 'Omavastuu maksettu');
INSERT INTO `lang_definitions` VALUES (133917, 1266, 40, 'Omavastuut');
INSERT INTO `lang_definitions` VALUES (133918, 1267, 40, 'Keuhkoahtaumatauti');
INSERT INTO `lang_definitions` VALUES (133919, 1268, 40, 'Kopioi sivuja potilaan kuvaajaan');
INSERT INTO `lang_definitions` VALUES (133920, 1269, 40, 'Kopioi arvot');
INSERT INTO `lang_definitions` VALUES (133921, 1270, 40, 'Kopioidaan tietokannan tiedostoa. Tässä saattaa mennä tuokio…');
INSERT INTO `lang_definitions` VALUES (133922, 1271, 40, 'Tekijänoikeus tiedote');
INSERT INTO `lang_definitions` VALUES (133923, 1272, 40, 'Korni');
INSERT INTO `lang_definitions` VALUES (133924, 1273, 40, 'Sepelvaltimoiden ohitusleikkaus');
INSERT INTO `lang_definitions` VALUES (133925, 1274, 40, 'Sepelvaltimoiden ohitusleikkaus');
INSERT INTO `lang_definitions` VALUES (133926, 1275, 40, 'Korjattu');
INSERT INTO `lang_definitions` VALUES (133927, 1276, 40, 'Korsika');
INSERT INTO `lang_definitions` VALUES (133928, 1277, 40, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (133929, 1278, 40, 'CouchDB yhteys epäonnistui.');
INSERT INTO `lang_definitions` VALUES (133930, 1279, 40, 'CouchDB tietokanta');
INSERT INTO `lang_definitions` VALUES (133931, 1280, 40, 'CouchDB tietokannan nimi');
INSERT INTO `lang_definitions` VALUES (133932, 1281, 40, 'CouchDB palvelin');
INSERT INTO `lang_definitions` VALUES (133933, 1282, 40, 'CouchDB palvelimen nimi');
INSERT INTO `lang_definitions` VALUES (133934, 1283, 40, 'CouchDB loki sallittu');
INSERT INTO `lang_definitions` VALUES (133935, 1284, 40, 'CouchDB salasana');
INSERT INTO `lang_definitions` VALUES (133936, 1285, 40, 'CouchDB portti');
INSERT INTO `lang_definitions` VALUES (133937, 1286, 40, 'CouchDB portti');
INSERT INTO `lang_definitions` VALUES (133938, 1287, 40, 'CouchDB tallennus ei onnistunut');
INSERT INTO `lang_definitions` VALUES (133939, 1288, 40, 'CouchDB käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (133940, 1289, 40, 'Yskä');
INSERT INTO `lang_definitions` VALUES (133941, 1290, 40, 'Köhä:');
INSERT INTO `lang_definitions` VALUES (133942, 1291, 40, 'yhdistäminen palvelimelle ei onnistunut');
INSERT INTO `lang_definitions` VALUES (133943, 1293, 40, 'taulukon avaaminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (133944, 1294, 40, 'Tiedoston lukeminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (133945, 1295, 40, 'Tiedoston lukeminen ei onnistunut');
INSERT INTO `lang_definitions` VALUES (133946, 1296, 40, 'Palvelinongelmien vuoksi sähköpostin lähettäminen ei onnistunut, ');
INSERT INTO `lang_definitions` VALUES (133947, 1297, 40, 'Palvelinongelmien vuoksi sähköpostin lähettäminen ei onnistunut. ');
INSERT INTO `lang_definitions` VALUES (133948, 1298, 40, 'Varmuuskopiohakemiston luonti ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (133949, 1299, 40, 'Hakemiston poistaminen ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (133950, 1300, 40, 'Vanhan varmuuskopiotiedoston poistaminen ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (133951, 1301, 40, 'Vanhan viedyn tiedoston poistaminen ei onnistunut:');
INSERT INTO `lang_definitions` VALUES (133952, 1302, 40, 'INR seuranta');
INSERT INTO `lang_definitions` VALUES (133953, 1303, 40, 'Neuvonta menetelmä');
INSERT INTO `lang_definitions` VALUES (133954, 1304, 40, 'Terapia');
INSERT INTO `lang_definitions` VALUES (133955, 1305, 40, 'Terapiatoiminnot');
INSERT INTO `lang_definitions` VALUES (133956, 1306, 40, 'LAUSUNTOPYYNTÖ LOMAKE');
INSERT INTO `lang_definitions` VALUES (133957, 1307, 40, 'Lausyntopyyntö');
INSERT INTO `lang_definitions` VALUES (133958, 1308, 40, 'Maa');
INSERT INTO `lang_definitions` VALUES (133959, 1309, 40, 'Maa tietotyyppi');
INSERT INTO `lang_definitions` VALUES (133960, 1310, 40, 'Maa lista');
INSERT INTO `lang_definitions` VALUES (133961, 1311, 40, 'Maa lista (kirjoita, lisääminen mahdollista)');
INSERT INTO `lang_definitions` VALUES (133962, 1312, 40, 'Maan nimi esitettynä kahdella kirjaimella. (Esimerkiksi Suomi on FI, USA on US)');
INSERT INTO `lang_definitions` VALUES (133963, 1313, 40, 'lääni');
INSERT INTO `lang_definitions` VALUES (133964, 1315, 40, 'Lipuke');
INSERT INTO `lang_definitions` VALUES (133965, 1318, 40, 'CPT');
INSERT INTO `lang_definitions` VALUES (133966, 1319, 40, 'CPT koodi');
INSERT INTO `lang_definitions` VALUES (133967, 1320, 40, 'CPT koodit');
INSERT INTO `lang_definitions` VALUES (133968, 1324, 40, 'Murtumat:');
INSERT INTO `lang_definitions` VALUES (133969, 1325, 40, 'kerma');
INSERT INTO `lang_definitions` VALUES (133970, 1326, 40, 'Luo asiakasohjelman SSL sertifikaatti jokaiselle käyttäjälle tai koneelle.');
INSERT INTO `lang_definitions` VALUES (133971, 1327, 40, 'Luo asiakasohjelman SSL sertifikaatti jokaiselle käyttäjälle tai koneelle.');
INSERT INTO `lang_definitions` VALUES (133972, 1329, 40, 'Luo tapahtuma');
INSERT INTO `lang_definitions` VALUES (133973, 1330, 40, 'Luo ja lataa täysi varmuuskopio');
INSERT INTO `lang_definitions` VALUES (133974, 1332, 40, 'Luo varmuuskopio');
INSERT INTO `lang_definitions` VALUES (133975, 1333, 40, 'Luo ryhmäajo');
INSERT INTO `lang_definitions` VALUES (133976, 1334, 40, 'Luo asiakasohjelman sertifikaatti');
INSERT INTO `lang_definitions` VALUES (133977, 1335, 40, 'Luo asiakasohjelman SSL-sertifikaatti');
INSERT INTO `lang_definitions` VALUES (133978, 1336, 40, 'Luo duplikaatti');
INSERT INTO `lang_definitions` VALUES (133979, 1337, 40, 'Luo tapaaminen');
INSERT INTO `lang_definitions` VALUES (133980, 1338, 40, 'Luo tapahtumalokin varmuuskopio');
INSERT INTO `lang_definitions` VALUES (133981, 1339, 40, 'Luo uusi aihe');
INSERT INTO `lang_definitions` VALUES (133982, 1340, 40, 'Luo uusi potilas');
INSERT INTO `lang_definitions` VALUES (133983, 1344, 40, 'Luo potilasmerkintä');
INSERT INTO `lang_definitions` VALUES (133984, 1345, 40, 'Luo SSL sertifikaattivaltuutus ja palvelinsertifikaatti');
INSERT INTO `lang_definitions` VALUES (133985, 1346, 40, 'Luo käynti');
INSERT INTO `lang_definitions` VALUES (133986, 1347, 40, 'Luotu');
INSERT INTO `lang_definitions` VALUES (133987, 1348, 40, 'Luodaan vietävää tiedostoa');
INSERT INTO `lang_definitions` VALUES (133988, 1350, 40, 'Tämän tiedoston luominen etäpalvelimella ei onnistunut');
INSERT INTO `lang_definitions` VALUES (133989, 1351, 40, 'Luonut');
INSERT INTO `lang_definitions` VALUES (133990, 1352, 40, 'luotto');
INSERT INTO `lang_definitions` VALUES (133991, 1353, 40, 'Luottokortti');
INSERT INTO `lang_definitions` VALUES (133992, 1354, 40, 'Luotot');
INSERT INTO `lang_definitions` VALUES (133993, 1355, 40, 'Cree');
INSERT INTO `lang_definitions` VALUES (133994, 1356, 40, 'Kriteerit');
INSERT INTO `lang_definitions` VALUES (133995, 1357, 40, 'Kroatian');
INSERT INTO `lang_definitions` VALUES (133996, 1358, 40, 'Crohnin tauti');
INSERT INTO `lang_definitions` VALUES (133997, 1359, 40, 'Crohnin tauti');
INSERT INTO `lang_definitions` VALUES (133998, 1360, 40, 'CSV vienti');
INSERT INTO `lang_definitions` VALUES (133999, 1361, 40, 'CSV tiedosto');
INSERT INTO `lang_definitions` VALUES (134000, 1362, 40, 'CSV taulut');
INSERT INTO `lang_definitions` VALUES (134001, 1363, 40, 'Kuutio millimetriä');
INSERT INTO `lang_definitions` VALUES (134002, 1364, 40, 'Kuubalainen');
INSERT INTO `lang_definitions` VALUES (134003, 1365, 40, 'Valuutan desimaalimerkin paikka');
INSERT INTO `lang_definitions` VALUES (134004, 1366, 40, 'Valuutan desimaalimerkki');
INSERT INTO `lang_definitions` VALUES (134005, 1367, 40, 'Valuuttakoodi');
INSERT INTO `lang_definitions` VALUES (134006, 1368, 40, 'Valuutan tuhaterotin');
INSERT INTO `lang_definitions` VALUES (134007, 1369, 40, 'Nykyinen');
INSERT INTO `lang_definitions` VALUES (134008, 1370, 40, 'Alkoholin käyttö nyt');
INSERT INTO `lang_definitions` VALUES (134009, 1371, 40, 'Nykyinen konsultaatio');
INSERT INTO `lang_definitions` VALUES (134010, 1372, 40, 'Nykyiset kriteerit');
INSERT INTO `lang_definitions` VALUES (134011, 1373, 40, 'Tämän päivän korostusväri');
INSERT INTO `lang_definitions` VALUES (134012, 1374, 40, 'Tupakoi päivittäin');
INSERT INTO `lang_definitions` VALUES (134013, 1375, 40, 'Asiakirjan nimi muutettiin muotoon');
INSERT INTO `lang_definitions` VALUES (134014, 1377, 40, 'Nykyinen sijainti');
INSERT INTO `lang_definitions` VALUES (134015, 1378, 40, 'Nykyinen lääkitys');
INSERT INTO `lang_definitions` VALUES (134016, 1379, 40, 'Nykyinen salasana');
INSERT INTO `lang_definitions` VALUES (134017, 1380, 40, 'Nykyinen potilas');
INSERT INTO `lang_definitions` VALUES (134018, 1382, 40, 'Käyttää vapaa-ajan huumeita');
INSERT INTO `lang_definitions` VALUES (134019, 1383, 40, 'Satunnainen tupakoija');
INSERT INTO `lang_definitions` VALUES (134020, 1385, 40, 'Tämän hetkinen arvo');
INSERT INTO `lang_definitions` VALUES (134021, 1386, 40, 'Tällä hetkellä aktiivinen');
INSERT INTO `lang_definitions` VALUES (134022, 1387, 40, 'Tällä hetkellä käynnissä');
INSERT INTO `lang_definitions` VALUES (134023, 1388, 40, 'Nyt ei ole toimitiloja.');
INSERT INTO `lang_definitions` VALUES (134024, 1389, 40, 'Cushingin oireyhtymä');
INSERT INTO `lang_definitions` VALUES (134025, 1390, 40, 'Cushingin oireyhtymä');
INSERT INTO `lang_definitions` VALUES (134026, 1392, 40, 'Muokattu');
INSERT INTO `lang_definitions` VALUES (134027, 1393, 40, 'Muokattu syöte?');
INSERT INTO `lang_definitions` VALUES (134028, 1394, 40, 'Muokattu taulu');
INSERT INTO `lang_definitions` VALUES (134029, 1396, 40, 'Rokotuskoodi');
INSERT INTO `lang_definitions` VALUES (134030, 1397, 40, 'Rokotuskoodien kartoitus');
INSERT INTO `lang_definitions` VALUES (134031, 1398, 40, 'Rokotteet');
INSERT INTO `lang_definitions` VALUES (134032, 1399, 40, 'Sykli');
INSERT INTO `lang_definitions` VALUES (134033, 1400, 40, 'Ehkäisyn suoja-aika');
INSERT INTO `lang_definitions` VALUES (134034, 1401, 40, 'Ehkäisyn suoja-ajan faktori');
INSERT INTO `lang_definitions` VALUES (134035, 1402, 40, 'Ehkäisyn suoja-ajan raportti');
INSERT INTO `lang_definitions` VALUES (134036, 1403, 40, 'Tšekki');
INSERT INTO `lang_definitions` VALUES (134037, 1407, 40, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (134038, 1408, 40, 'päivittäin');
INSERT INTO `lang_definitions` VALUES (134039, 1410, 40, 'Tanska');
INSERT INTO `lang_definitions` VALUES (134040, 1411, 40, 'Vastaava tieto on jo tietokannassa. Ole hyvä ja vaihda koodi ja/tai kuvaus');
INSERT INTO `lang_definitions` VALUES (134041, 1412, 40, 'Vastaava tieto on jo tietokannassa. Ole hyvä ja vaihda vakion nimi');
INSERT INTO `lang_definitions` VALUES (134042, 1413, 40, 'Tietosarakkeet');
INSERT INTO `lang_definitions` VALUES (134043, 1416, 40, 'Tietovirhe');
INSERT INTO `lang_definitions` VALUES (134044, 1417, 40, 'Tieto kohteesta');
INSERT INTO `lang_definitions` VALUES (134045, 1419, 40, 'tiedot kaikista tapaamisista tähän mennessä');
INSERT INTO `lang_definitions` VALUES (134046, 1420, 40, 'Tietotyyppi');
INSERT INTO `lang_definitions` VALUES (134047, 1421, 40, 'Tietokanta');
INSERT INTO `lang_definitions` VALUES (134048, 1422, 40, 'Tietokantaa ei ole asennettu.');
INSERT INTO `lang_definitions` VALUES (134049, 1423, 40, 'Tietokannan paikkaus');
INSERT INTO `lang_definitions` VALUES (134050, 1424, 40, 'Tietokannan raportti');
INSERT INTO `lang_definitions` VALUES (134051, 1425, 40, 'Tietokannan päivitys suoritettu.');
INSERT INTO `lang_definitions` VALUES (134052, 1426, 40, 'Tietosarakkeiden lukumäärän tulee olla 1 ja 999 väliltä');
INSERT INTO `lang_definitions` VALUES (134053, 1427, 40, 'Päivämäärä');
INSERT INTO `lang_definitions` VALUES (134054, 1428, 40, 'Päivämäärä');
INSERT INTO `lang_definitions` VALUES (134055, 1429, 40, 'Päiväys ja aika hallinnoitu');
INSERT INTO `lang_definitions` VALUES (134056, 1431, 40, 'Päiväys hallinnoitu');
INSERT INTO `lang_definitions` VALUES (134057, 1432, 40, 'Näytteiden keräämisen päiväys ja aika');
INSERT INTO `lang_definitions` VALUES (134058, 1433, 40, 'Havainnon päiväys ja aika');
INSERT INTO `lang_definitions` VALUES (134059, 1435, 40, 'Päiväys ja aika, jolloin näyte on otettu');
INSERT INTO `lang_definitions` VALUES (134060, 1436, 40, 'Päiväys ei voi olla myöhemmin kuin tänään');
INSERT INTO `lang_definitions` VALUES (134061, 1437, 40, 'Päivä jolloin ehkäisypalvelu on alkujaan toimitettu');
INSERT INTO `lang_definitions` VALUES (134062, 1438, 40, 'Luontipäivä');
INSERT INTO `lang_definitions` VALUES (134063, 1439, 40, 'Kuolinpäivä');
INSERT INTO `lang_definitions` VALUES (134064, 1440, 40, 'Tuhoamispäivä');
INSERT INTO `lang_definitions` VALUES (134065, 1441, 40, 'Päivän esitysmuoto');
INSERT INTO `lang_definitions` VALUES (134066, 1442, 40, 'Päiväyksen esitysmuoto kohdassa \"tapaaminen päättyy\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (134067, 1443, 40, 'Päiväyksen esitysmuoto kohdassa \"tapaaminen alkaa\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (134068, 1444, 40, 'Päiväyksen esitysmuoto kohdassa \"Seuraava tapaaminen\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (134069, 1445, 40, 'Päiväyksen esitysmuoto kohdassa \"ei tavattu sitten\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (134070, 1446, 40, 'Päiväyksen esitysmuoto kohdassa \"nähty viimeksi\" on epäkelpo');
INSERT INTO `lang_definitions` VALUES (134071, 1448, 40, 'Koodista puuttuu päiväys ');
INSERT INTO `lang_definitions` VALUES (134072, 1450, 40, 'Pankkitalletuksen päiväys vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (134073, 1451, 40, 'Laskutuspvm');
INSERT INTO `lang_definitions` VALUES (134074, 1452, 40, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (134075, 1453, 40, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (134076, 1454, 40, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (134077, 1455, 40, 'Sisäänkirjautumisen päiväys');
INSERT INTO `lang_definitions` VALUES (134078, 1456, 40, 'Loukkaantumispäivämäärä');
INSERT INTO `lang_definitions` VALUES (134079, 1458, 40, 'Maksupäivä vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (134080, 1459, 40, 'Lähetteen päiväys');
INSERT INTO `lang_definitions` VALUES (134081, 1460, 40, 'Vastauksen päiväys');
INSERT INTO `lang_definitions` VALUES (134082, 1461, 40, 'Raportin päiväys');
INSERT INTO `lang_definitions` VALUES (134083, 1462, 40, 'Käynnin pvm');
INSERT INTO `lang_definitions` VALUES (134084, 1463, 40, 'Käyntipäivä');
INSERT INTO `lang_definitions` VALUES (134085, 1464, 40, 'Käyntipäivä = Tänään');
INSERT INTO `lang_definitions` VALUES (134086, 1465, 40, 'Käyntipäivämäärä pp/kk/vvvv');
INSERT INTO `lang_definitions` VALUES (134087, 1466, 40, 'Käynnin pvm:');
INSERT INTO `lang_definitions` VALUES (134088, 1467, 40, 'Allekirjoituksen päiväys');
INSERT INTO `lang_definitions` VALUES (134089, 1468, 40, 'Muutoksen päiväys');
INSERT INTO `lang_definitions` VALUES (134090, 1469, 40, 'Tämän määräyksen päiväys');
INSERT INTO `lang_definitions` VALUES (134091, 1470, 40, 'Tämän raportin päiväys');
INSERT INTO `lang_definitions` VALUES (134092, 1472, 40, 'Tilauspäivä');
INSERT INTO `lang_definitions` VALUES (134093, 1474, 40, 'Päivämäärän valitsin');
INSERT INTO `lang_definitions` VALUES (134094, 1475, 40, 'Päivämäärän valitsin');
INSERT INTO `lang_definitions` VALUES (134095, 1476, 40, 'Lähetyspäivämäärä');
INSERT INTO `lang_definitions` VALUES (134096, 1477, 40, 'Viestin lähetyspäivä');
INSERT INTO `lang_definitions` VALUES (134097, 1478, 40, 'Päiväys ja aika');
INSERT INTO `lang_definitions` VALUES (134098, 1479, 40, 'Päiväys ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (134099, 1480, 40, 'Pvm/Tapaaminen');
INSERT INTO `lang_definitions` VALUES (134100, 1481, 40, 'Pvm/Muistio');
INSERT INTO `lang_definitions` VALUES (134101, 1482, 40, 'Pvm/Muistio viimeisestä');
INSERT INTO `lang_definitions` VALUES (134102, 1483, 40, 'Pvm/Aika');
INSERT INTO `lang_definitions` VALUES (134103, 1484, 40, 'Päivämäärä:');
INSERT INTO `lang_definitions` VALUES (134104, 1485, 40, 'Päivättyjen viestien loki');
INSERT INTO `lang_definitions` VALUES (134105, 1486, 40, 'Päivä');
INSERT INTO `lang_definitions` VALUES (134106, 1487, 40, 'päivä');
INSERT INTO `lang_definitions` VALUES (134107, 1489, 40, 'Päivänäkymä');
INSERT INTO `lang_definitions` VALUES (134108, 1490, 40, 'Päivä(t)');
INSERT INTO `lang_definitions` VALUES (134109, 1491, 40, 'viikonpäivä(t) Ma - Pe');
INSERT INTO `lang_definitions` VALUES (134110, 1492, 40, 'päivää');
INSERT INTO `lang_definitions` VALUES (134111, 1493, 40, 'Päivää');
INSERT INTO `lang_definitions` VALUES (134112, 1494, 40, 'päivää sitten');
INSERT INTO `lang_definitions` VALUES (134113, 1495, 40, 'Menetetyt pelit ja päivät');
INSERT INTO `lang_definitions` VALUES (134114, 1496, 40, 'päivää viime käynnistä');
INSERT INTO `lang_definitions` VALUES (134115, 1497, 40, 'Menetetyt päivät');
INSERT INTO `lang_definitions` VALUES (134116, 1498, 40, 'Päivät saraketta kohden:');
INSERT INTO `lang_definitions` VALUES (134117, 1500, 40, 'Päivät/Sarakkeet');
INSERT INTO `lang_definitions` VALUES (134118, 1501, 40, 'Tietokanta asennettu');
INSERT INTO `lang_definitions` VALUES (134119, 1502, 40, 'PP/KK/VVVV');
INSERT INTO `lang_definitions` VALUES (134120, 1503, 40, 'De-identifiointi');
INSERT INTO `lang_definitions` VALUES (134121, 1504, 40, 'De-identifiointiprosessi on valmis');
INSERT INTO `lang_definitions` VALUES (134122, 1505, 40, 'De-identifiointiprosessi on käynnissä');
INSERT INTO `lang_definitions` VALUES (134123, 1506, 40, 'De-identifiointiprosessi on käynnistetty ja toimii taustalla');
INSERT INTO `lang_definitions` VALUES (134124, 1507, 40, 'De-identifioitava tieto ei välttämättä ole täydellinen');
INSERT INTO `lang_definitions` VALUES (134125, 1508, 40, 'De-identifioitavat asiakirjat on tallennettu kohteeseen');
INSERT INTO `lang_definitions` VALUES (134126, 1509, 40, 'Huumevirasto');
INSERT INTO `lang_definitions` VALUES (134127, 1511, 40, 'Kuuro');
INSERT INTO `lang_definitions` VALUES (134128, 1512, 40, 'Virheenkorjaus informaatio');
INSERT INTO `lang_definitions` VALUES (134129, 1514, 40, 'Virheenkorjaus');
INSERT INTO `lang_definitions` VALUES (134130, 1515, 40, 'Joulukuu');
INSERT INTO `lang_definitions` VALUES (134131, 1516, 40, 'KUOLLUT');
INSERT INTO `lang_definitions` VALUES (134132, 1517, 40, 'Joulukuu');
INSERT INTO `lang_definitions` VALUES (134133, 1518, 40, 'Paunat desimaaleilla vai paunat ja unssit eroteltuna # (esim. 5#4)');
INSERT INTO `lang_definitions` VALUES (134134, 1520, 40, 'Vähennyskelpoinen');
INSERT INTO `lang_definitions` VALUES (134135, 1521, 40, 'Omavastuun täyttyminen');
INSERT INTO `lang_definitions` VALUES (134136, 1522, 40, 'Oletus');
INSERT INTO `lang_definitions` VALUES (134137, 1523, 40, 'Kalenterin oletusnäkymä');
INSERT INTO `lang_definitions` VALUES (134138, 1524, 40, 'Vakiokäyntilomakkeen tunniste');
INSERT INTO `lang_definitions` VALUES (134139, 1526, 40, 'Oletustoimipiste');
INSERT INTO `lang_definitions` VALUES (134140, 1527, 40, 'Oletuskieli');
INSERT INTO `lang_definitions` VALUES (134141, 1528, 40, 'Oletuskieli, jos muita ei sallittu tai valittu.');
INSERT INTO `lang_definitions` VALUES (134142, 1529, 40, 'Oletuslista (kirjoita, vain lisäys vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (134143, 1530, 40, 'Oletusmetodi');
INSERT INTO `lang_definitions` VALUES (134144, 1531, 40, 'Salasanan vanhenemisen oletusarvo päivissä');
INSERT INTO `lang_definitions` VALUES (134145, 1532, 40, 'Salasanan vanhenemisen oletusarvo päivissä. Jos arvo on 0, ominaisuus on poissa käytöstä.');
INSERT INTO `lang_definitions` VALUES (134146, 1533, 40, 'Potilaan kotimaan oletusarvo');
INSERT INTO `lang_definitions` VALUES (134147, 1535, 40, 'Oletuspainoarvo');
INSERT INTO `lang_definitions` VALUES (134148, 1536, 40, 'Oletuspalveluntarjoaja');
INSERT INTO `lang_definitions` VALUES (134149, 1538, 40, 'Käynnin syyn oletusarvo');
INSERT INTO `lang_definitions` VALUES (134150, 1540, 40, 'Oletusasetus');
INSERT INTO `lang_definitions` VALUES (134151, 1542, 40, 'Oletusmalli');
INSERT INTO `lang_definitions` VALUES (134152, 1546, 40, 'Oletusyksiköt');
INSERT INTO `lang_definitions` VALUES (134153, 1547, 40, 'Oletusarvo');
INSERT INTO `lang_definitions` VALUES (134154, 1548, 40, 'Oletusvarasto');
INSERT INTO `lang_definitions` VALUES (134155, 1549, 40, 'Oletus X12 kumppani');
INSERT INTO `lang_definitions` VALUES (134156, 1550, 40, 'Oletus/Yleiset');
INSERT INTO `lang_definitions` VALUES (134157, 1551, 40, 'Poista');
INSERT INTO `lang_definitions` VALUES (134158, 1552, 40, 'poista');
INSERT INTO `lang_definitions` VALUES (134159, 1553, 40, 'Toistuminen viiveellä (> 12 kk)');
INSERT INTO `lang_definitions` VALUES (134160, 1554, 40, 'Poista');
INSERT INTO `lang_definitions` VALUES (134161, 1555, 40, 'poista');
INSERT INTO `lang_definitions` VALUES (134162, 1556, 40, 'Poista luokat joiden tunniste(et) on: ');
INSERT INTO `lang_definitions` VALUES (134163, 1557, 40, 'Poista luokka');
INSERT INTO `lang_definitions` VALUES (134164, 1559, 40, 'Poistaminen epäonnistui!');
INSERT INTO `lang_definitions` VALUES (134165, 1560, 40, 'Poista ryhmä');
INSERT INTO `lang_definitions` VALUES (134166, 1561, 40, 'Poista lista');
INSERT INTO `lang_definitions` VALUES (134167, 1562, 40, 'Poista sivut');
INSERT INTO `lang_definitions` VALUES (134168, 1563, 40, 'Poista potilas, käynti, lomake, aihe, dokumentti, maksu, laskutus tai maksusuoritus');
INSERT INTO `lang_definitions` VALUES (134169, 1565, 40, 'Poista rivi');
INSERT INTO `lang_definitions` VALUES (134170, 1566, 40, 'Poista valitut kohteet');
INSERT INTO `lang_definitions` VALUES (134171, 1567, 40, 'Poista valitut pyynnöt');
INSERT INTO `lang_definitions` VALUES (134172, 1568, 40, 'Poistettu onnistuneesti.');
INSERT INTO `lang_definitions` VALUES (134173, 1569, 40, 'Poista tämä dokumentti');
INSERT INTO `lang_definitions` VALUES (134174, 1570, 40, 'Poista tämä lomake');
INSERT INTO `lang_definitions` VALUES (134175, 1571, 40, 'Poista tämä muistiinpano');
INSERT INTO `lang_definitions` VALUES (134176, 1572, 40, 'Poisto onnistui');
INSERT INTO `lang_definitions` VALUES (134177, 1573, 40, 'Poisto onnistui.');
INSERT INTO `lang_definitions` VALUES (134178, 1574, 40, 'Poistaa');
INSERT INTO `lang_definitions` VALUES (134179, 1575, 40, 'Tämän tapahtuman poistoa ei voi perua. Tapahtumaa ei voida palauttaa kun se on kerran poistettu. Haluatko varmasti poistaa tapahtuman?');
INSERT INTO `lang_definitions` VALUES (134180, 1576, 40, 'Toimitus on varmistettu');
INSERT INTO `lang_definitions` VALUES (134181, 1577, 40, 'Toimitus ei sallittu määriteltyyn osoitteeseen.');
INSERT INTO `lang_definitions` VALUES (134182, 1578, 40, 'Toimitusta ei voi suorittaa määriteltyyn osoitteeseen.');
INSERT INTO `lang_definitions` VALUES (134183, 1579, 40, 'Liitteenä olevat potilasasiakirjat on toimitettu potilaan pyynnöstä');
INSERT INTO `lang_definitions` VALUES (134184, 1580, 40, 'Liitteenä olevat potilasasiakirjat on toimitettu potilaan pyynnöstä.');
INSERT INTO `lang_definitions` VALUES (134185, 1581, 40, 'Dementia');
INSERT INTO `lang_definitions` VALUES (134186, 1582, 40, 'Väestörakenne');
INSERT INTO `lang_definitions` VALUES (134187, 1583, 40, 'Väestörakenne (kirjoita, vain lisäys vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (134188, 1585, 40, 'Väestörakenteen suodatuskriteerit');
INSERT INTO `lang_definitions` VALUES (134189, 1586, 40, 'Väestörakenteelle ei valtuutusta');
INSERT INTO `lang_definitions` VALUES (134190, 1587, 40, 'Väestörakenteelle ei valtuutusta.');
INSERT INTO `lang_definitions` VALUES (134191, 1588, 40, 'Evätty');
INSERT INTO `lang_definitions` VALUES (134192, 1589, 40, 'Nimittäjä');
INSERT INTO `lang_definitions` VALUES (134193, 1590, 40, 'Hampaat');
INSERT INTO `lang_definitions` VALUES (134194, 1591, 40, 'Lista hammasongelmista');
INSERT INTO `lang_definitions` VALUES (134195, 1592, 40, 'Hammasongelmat');
INSERT INTO `lang_definitions` VALUES (134196, 1593, 40, 'Riippuvaiset modulit');
INSERT INTO `lang_definitions` VALUES (134197, 1594, 40, 'Riippuvuusongelma');
INSERT INTO `lang_definitions` VALUES (134198, 1596, 40, 'Talletus pvm');
INSERT INTO `lang_definitions` VALUES (134199, 1597, 40, 'Talletuksen päiväys ei voi olla tämän päivän jälkeen');
INSERT INTO `lang_definitions` VALUES (134200, 1598, 40, 'Talletus pvm:');
INSERT INTO `lang_definitions` VALUES (134201, 1599, 40, 'Masentunut');
INSERT INTO `lang_definitions` VALUES (134202, 1600, 40, 'Masennus');
INSERT INTO `lang_definitions` VALUES (134203, 1601, 40, 'Laskeva');
INSERT INTO `lang_definitions` VALUES (134204, 1602, 40, 'Kuvaus');
INSERT INTO `lang_definitions` VALUES (134205, 1603, 40, 'kuvaus');
INSERT INTO `lang_definitions` VALUES (134206, 1604, 40, 'Kuvaus on oletusteksti');
INSERT INTO `lang_definitions` VALUES (134207, 1605, 40, 'Tiedoksiannon kuvaus');
INSERT INTO `lang_definitions` VALUES (134208, 1606, 40, 'Tämän menettelyn kuvaus tai tuloksen koodi');
INSERT INTO `lang_definitions` VALUES (134209, 1607, 40, 'Kuvauksen käännös');
INSERT INTO `lang_definitions` VALUES (134210, 1608, 40, 'Haluttu tiedostonimi');
INSERT INTO `lang_definitions` VALUES (134211, 1609, 40, 'Tavoite');
INSERT INTO `lang_definitions` VALUES (134212, 1610, 40, 'Kohdetiedostonimi');
INSERT INTO `lang_definitions` VALUES (134213, 1611, 40, 'Tuhoa erä');
INSERT INTO `lang_definitions` VALUES (134214, 1612, 40, 'Tuhoa…');
INSERT INTO `lang_definitions` VALUES (134215, 1613, 40, 'Tuhottu');
INSERT INTO `lang_definitions` VALUES (134216, 1614, 40, 'Tuhotut lääkkeet');
INSERT INTO `lang_definitions` VALUES (134217, 1615, 40, 'Raportti tuhotuista lääkkeistä');
INSERT INTO `lang_definitions` VALUES (134218, 1616, 40, 'Lisätieto');
INSERT INTO `lang_definitions` VALUES (134219, 1617, 40, 'Lisätietoja');
INSERT INTO `lang_definitions` VALUES (134220, 1619, 40, 'Poikkeava kehitys');
INSERT INTO `lang_definitions` VALUES (134221, 1620, 40, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (134222, 1621, 40, 'Diabetes');
INSERT INTO `lang_definitions` VALUES (134223, 1622, 40, 'Diabetes: Verenpaineen hoito (CQM)');
INSERT INTO `lang_definitions` VALUES (134224, 1623, 40, 'Diabetes: Silmätutkimus');
INSERT INTO `lang_definitions` VALUES (134225, 1624, 40, 'Diabetes: Silmätutkimus (CQM)');
INSERT INTO `lang_definitions` VALUES (134226, 1625, 40, 'Diabetes: Jalkojen tutkimus');
INSERT INTO `lang_definitions` VALUES (134227, 1626, 40, 'Diabetes: Jalkojen tutkimus (CQM)');
INSERT INTO `lang_definitions` VALUES (134228, 1628, 40, 'Diabetes: Hemoglobiini A1C');
INSERT INTO `lang_definitions` VALUES (134229, 1629, 40, 'Diabetes: LDL hoito ja seuranta (CQM)');
INSERT INTO `lang_definitions` VALUES (134230, 1630, 40, 'Diabetes: Virtsan microalbumiini');
INSERT INTO `lang_definitions` VALUES (134231, 1631, 40, 'Diagnoosi');
INSERT INTO `lang_definitions` VALUES (134232, 1632, 40, 'Diagnoosit');
INSERT INTO `lang_definitions` VALUES (134233, 1633, 40, 'Diagnoosi tai pääasiallinen oire');
INSERT INTO `lang_definitions` VALUES (134234, 1634, 40, 'Diagnoosikoodi');
INSERT INTO `lang_definitions` VALUES (134235, 1635, 40, 'Diagnoosikoodit');
INSERT INTO `lang_definitions` VALUES (134236, 1636, 40, 'Diagnoosin pvm');
INSERT INTO `lang_definitions` VALUES (134237, 1637, 40, 'Diagnoosi on koodattava linkitettyyn käyntiin');
INSERT INTO `lang_definitions` VALUES (134238, 1638, 40, 'Diagnoosin nimi');
INSERT INTO `lang_definitions` VALUES (134239, 1639, 40, 'Diagnoosiraportti');
INSERT INTO `lang_definitions` VALUES (134240, 1640, 40, 'Diagnoosiraportointi');
INSERT INTO `lang_definitions` VALUES (134241, 1641, 40, 'Vain diagnoosiraportointi');
INSERT INTO `lang_definitions` VALUES (134242, 1642, 40, 'Dignoosin otsikko');
INSERT INTO `lang_definitions` VALUES (134243, 1643, 40, 'Diagnoosi:');
INSERT INTO `lang_definitions` VALUES (134244, 1644, 40, 'Diagnoosi: ');
INSERT INTO `lang_definitions` VALUES (134245, 1645, 40, 'Diagnostiset testit:');
INSERT INTO `lang_definitions` VALUES (134246, 1646, 40, 'Valitsee');
INSERT INTO `lang_definitions` VALUES (134247, 1648, 40, 'Ripuli');
INSERT INTO `lang_definitions` VALUES (134248, 1650, 40, 'Sanelu');
INSERT INTO `lang_definitions` VALUES (134249, 1651, 40, 'Sanelu: ');
INSERT INTO `lang_definitions` VALUES (134250, 1652, 40, 'Vastaanotitko ilmoituksen HIPAA ilmoituksesta?');
INSERT INTO `lang_definitions` VALUES (134251, 1654, 40, 'Digitaalisesti allekirjoitettu');
INSERT INTO `lang_definitions` VALUES (134252, 1657, 40, 'Suoraposti');
INSERT INTO `lang_definitions` VALUES (134253, 1658, 40, 'Suoraviestien loki');
INSERT INTO `lang_definitions` VALUES (134254, 1659, 40, 'Suoraviesti vastaanotettu.');
INSERT INTO `lang_definitions` VALUES (134255, 1660, 40, 'Suoraviestintä ei ole juuri nyt käytettävissä.');
INSERT INTO `lang_definitions` VALUES (134256, 1661, 40, 'Suoraviestinnässä lähetysvirhe.');
INSERT INTO `lang_definitions` VALUES (134257, 1664, 40, 'Hakemiston poistaminen epäonnistui; jatkaa.');
INSERT INTO `lang_definitions` VALUES (134258, 1665, 40, 'Vammaisuus');
INSERT INTO `lang_definitions` VALUES (134259, 1666, 40, 'Poista käytöstä');
INSERT INTO `lang_definitions` VALUES (134260, 1667, 40, 'Poista kalenteri käytöstä');
INSERT INTO `lang_definitions` VALUES (134261, 1669, 40, 'Poista rokotukset käytöstä');
INSERT INTO `lang_definitions` VALUES (134262, 1672, 40, 'Poista phpMyAdmin käytöstä');
INSERT INTO `lang_definitions` VALUES (134263, 1673, 40, 'Poista reseptit käytöstä');
INSERT INTO `lang_definitions` VALUES (134264, 1674, 40, 'Poista käyttäjäryhmät käytöstä');
INSERT INTO `lang_definitions` VALUES (134265, 1675, 40, 'ei käytössä');
INSERT INTO `lang_definitions` VALUES (134266, 1676, 40, 'Työkyvytön');
INSERT INTO `lang_definitions` VALUES (134267, 1677, 40, 'Alle 65 vuotiaat työkyvyttömyyseläkkeellä olevat, joilla ryhmäsairausvakuutus (LGHP)');
INSERT INTO `lang_definitions` VALUES (134268, 1678, 40, 'DISC');
INSERT INTO `lang_definitions` VALUES (134269, 1679, 40, 'Hylkää');
INSERT INTO `lang_definitions` VALUES (134270, 1680, 40, 'Hylätty');
INSERT INTO `lang_definitions` VALUES (134271, 1681, 40, 'Vuoto');
INSERT INTO `lang_definitions` VALUES (134272, 1682, 40, 'Vuotoa virtsaputkesta');
INSERT INTO `lang_definitions` VALUES (134273, 1684, 40, 'Vuoto oikea');
INSERT INTO `lang_definitions` VALUES (134274, 1685, 40, 'Vuoto oikea:');
INSERT INTO `lang_definitions` VALUES (134275, 1688, 40, 'Purkautunut');
INSERT INTO `lang_definitions` VALUES (134276, 1689, 40, 'Tiedoksiannon info');
INSERT INTO `lang_definitions` VALUES (134277, 1690, 40, 'Tiedoksiannon tyyppi');
INSERT INTO `lang_definitions` VALUES (134278, 1691, 40, 'Tiedoksiannon tyypit');
INSERT INTO `lang_definitions` VALUES (134279, 1692, 40, 'Tiedoksiannot');
INSERT INTO `lang_definitions` VALUES (134280, 1694, 40, 'Alennus');
INSERT INTO `lang_definitions` VALUES (134281, 1695, 40, 'Alennuksen määrä');
INSERT INTO `lang_definitions` VALUES (134282, 1696, 40, 'Alennukset');
INSERT INTO `lang_definitions` VALUES (134283, 1697, 40, 'Alennusprosentti');
INSERT INTO `lang_definitions` VALUES (134284, 1698, 40, 'Alennukset määräsummina');
INSERT INTO `lang_definitions` VALUES (134285, 1699, 40, 'Alennukset uloskirjautuessa annetaan rahamäärinä, ei prosenttiperusteisina.');
INSERT INTO `lang_definitions` VALUES (134286, 1700, 40, 'Diskreetti tulos');
INSERT INTO `lang_definitions` VALUES (134287, 1701, 40, 'Sairaus');
INSERT INTO `lang_definitions` VALUES (134288, 1702, 40, 'Sijoiltaanmeno');
INSERT INTO `lang_definitions` VALUES (134289, 1703, 40, 'Lähetys #');
INSERT INTO `lang_definitions` VALUES (134290, 1704, 40, 'Lähetys');
INSERT INTO `lang_definitions` VALUES (134291, 1705, 40, 'Vastaanotetun dokumentin lähetys');
INSERT INTO `lang_definitions` VALUES (134292, 1706, 40, 'Annosteltu');
INSERT INTO `lang_definitions` VALUES (134293, 1708, 40, 'Näytä dokumentit');
INSERT INTO `lang_definitions` VALUES (134294, 1709, 40, 'Näytetäänkö tapahtumien päiväykset blokkina?');
INSERT INTO `lang_definitions` VALUES (134295, 1710, 40, 'Brittiläisen mittajärjestelmän esitystapa');
INSERT INTO `lang_definitions` VALUES (134296, 1711, 40, 'Kuinka monta tapahtumaa näytetään?');
INSERT INTO `lang_definitions` VALUES (134297, 1713, 40, 'Näytetäänkö sijainti blokkina?');
INSERT INTO `lang_definitions` VALUES (134298, 1714, 40, 'Näyttönimi');
INSERT INTO `lang_definitions` VALUES (134299, 1715, 40, 'Näytetäänkö kalenteri?');
INSERT INTO `lang_definitions` VALUES (134300, 1718, 40, 'Näytetäänkö tämänpäiväiset tapahtumat blokkina?');
INSERT INTO `lang_definitions` VALUES (134301, 1719, 40, 'Näytetäänkö aiheet blokkina?');
INSERT INTO `lang_definitions` VALUES (134302, 1720, 40, 'Näytetäänkö tulevat tapahtumat blokkina?');
INSERT INTO `lang_definitions` VALUES (134303, 1721, 40, 'Näytettävät sarakkeet');
INSERT INTO `lang_definitions` VALUES (134304, 1722, 40, 'Näytetään seuraava lukumäärä viimeisimmistä esitettävistä tiedoista:');
INSERT INTO `lang_definitions` VALUES (134305, 1723, 40, 'Näytetään seuraava lukumäärä viimeisimmistä muistiinpanoista');
INSERT INTO `lang_definitions` VALUES (134306, 1724, 40, 'Näytetään seuraava lukumäärä viimeisimmistä muistiinpanoista:');
INSERT INTO `lang_definitions` VALUES (134307, 1725, 40, 'Jakelu');
INSERT INTO `lang_definitions` VALUES (134308, 1726, 40, 'Jakelut');
INSERT INTO `lang_definitions` VALUES (134309, 1727, 40, 'Jakelija');
INSERT INTO `lang_definitions` VALUES (134310, 1729, 40, 'Divertikuliitti');
INSERT INTO `lang_definitions` VALUES (134311, 1730, 40, 'Divertikuliitti leikkaus');
INSERT INTO `lang_definitions` VALUES (134312, 1731, 40, 'Divertikuliitti');
INSERT INTO `lang_definitions` VALUES (134313, 1732, 40, 'Divertikuliitti leikkaus');
INSERT INTO `lang_definitions` VALUES (134314, 1733, 40, 'Eronnut');
INSERT INTO `lang_definitions` VALUES (134315, 1734, 40, 'Huimaus:');
INSERT INTO `lang_definitions` VALUES (134316, 1735, 40, 'Älä vaihda');
INSERT INTO `lang_definitions` VALUES (134317, 1742, 40, 'Älä näytä kalenteria.');
INSERT INTO `lang_definitions` VALUES (134318, 1744, 40, 'Ei inventoitavia ja myytäviä tuotteita');
INSERT INTO `lang_definitions` VALUES (134319, 1745, 40, 'Älä vaadi valtuutusta potilasmuistioihin');
INSERT INTO `lang_definitions` VALUES (134320, 1747, 40, 'älä tallenna');
INSERT INTO `lang_definitions` VALUES (134321, 1748, 40, 'älä korvaa');
INSERT INTO `lang_definitions` VALUES (134322, 1749, 40, 'älä tee mitään');
INSERT INTO `lang_definitions` VALUES (134323, 1751, 40, 'Haluatko todella poistaa');
INSERT INTO `lang_definitions` VALUES (134324, 1752, 40, 'Haluatko todella poistaa valitun?');
INSERT INTO `lang_definitions` VALUES (134325, 1753, 40, 'Haluatko todella poistaa tämän ryhmän?');
INSERT INTO `lang_definitions` VALUES (134326, 1754, 40, 'Haluatko todellakin poistaa?');
INSERT INTO `lang_definitions` VALUES (134327, 1755, 40, 'Haluatko jatkaa?');
INSERT INTO `lang_definitions` VALUES (134328, 1756, 40, 'Haluatko poistaa tämän?');
INSERT INTO `lang_definitions` VALUES (134329, 1757, 40, 'Haluatko poistaa?');
INSERT INTO `lang_definitions` VALUES (134330, 1758, 40, 'Haluatko poistaa tämän tietueen?');
INSERT INTO `lang_definitions` VALUES (134331, 1759, 40, 'Haluatko jatkaa lisäämällä tämän uuden potilaan?');
INSERT INTO `lang_definitions` VALUES (134332, 1760, 40, 'Haluatko jatkaa uudella nimellä?');
INSERT INTO `lang_definitions` VALUES (134333, 1761, 40, 'Haluatko poistaa LOPULLISESTI tämän rokotustiedon?');
INSERT INTO `lang_definitions` VALUES (134334, 1762, 40, 'Syntymäaika');
INSERT INTO `lang_definitions` VALUES (134335, 1763, 40, 'Syntymäaika puuttuu, anna se mikäli mahdollista');
INSERT INTO `lang_definitions` VALUES (134336, 1765, 40, 'Lääkäri');
INSERT INTO `lang_definitions` VALUES (134337, 1766, 40, 'Lääkäri:');
INSERT INTO `lang_definitions` VALUES (134338, 1767, 40, 'Lääkärin nimi ja allekirjoitus');
INSERT INTO `lang_definitions` VALUES (134339, 1768, 40, 'Asiakirja');
INSERT INTO `lang_definitions` VALUES (134340, 1769, 40, 'asiakirja');
INSERT INTO `lang_definitions` VALUES (134341, 1770, 40, 'Asiakirjaluokat');
INSERT INTO `lang_definitions` VALUES (134342, 1771, 40, 'Asiakirjaluokkaa laboratoriotuloksille ei ole');
INSERT INTO `lang_definitions` VALUES (134343, 1772, 40, 'Asiakirjaluokan nimi sähköisesti vastaanotettujen laboratoriotulosten tallentamiseen.');
INSERT INTO `lang_definitions` VALUES (134344, 1774, 40, 'Asiakirjaluokka tai Hylkää');
INSERT INTO `lang_definitions` VALUES (134345, 1775, 40, 'Asiakirjaa ei voitu liittää potilastunnisteeseen');
INSERT INTO `lang_definitions` VALUES (134346, 1777, 40, 'Asiakirjan päiväys');
INSERT INTO `lang_definitions` VALUES (134347, 1778, 40, 'Asiakirjan päiväyksen ja aiheen päivitys onnistui');
INSERT INTO `lang_definitions` VALUES (134348, 1779, 40, 'Asiakirjan tunniste');
INSERT INTO `lang_definitions` VALUES (134349, 1780, 40, 'Asiakirja siirretty uuteen luokkaan');
INSERT INTO `lang_definitions` VALUES (134350, 1781, 40, 'Asiakirja liitetty potilastunnisteeseen');
INSERT INTO `lang_definitions` VALUES (134351, 1783, 40, 'Asiakirjan tietojen eheys on tarkistettu');
INSERT INTO `lang_definitions` VALUES (134352, 1784, 40, 'Asiakirjojen tallennus tapa');
INSERT INTO `lang_definitions` VALUES (134353, 1785, 40, 'Asiakirja nimetty uudelleen.');
INSERT INTO `lang_definitions` VALUES (134354, 1786, 40, 'Asiakirjan yhdistäminen tapaamiseen onnistui');
INSERT INTO `lang_definitions` VALUES (134355, 1787, 40, 'Asiakirjamallien hallinta');
INSERT INTO `lang_definitions` VALUES (134356, 1788, 40, 'Asiakirjamallit');
INSERT INTO `lang_definitions` VALUES (134357, 1789, 40, 'Asiakirja(t)');
INSERT INTO `lang_definitions` VALUES (134358, 1790, 40, 'Asiakirjat/Kuvat tallennus');
INSERT INTO `lang_definitions` VALUES (134359, 1791, 40, 'Asiakirjat');
INSERT INTO `lang_definitions` VALUES (134360, 1792, 40, 'Asiakirjat (kirjoita, \"vain lisäys\" vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (134361, 1794, 40, 'Arvioinnin päiväys');
INSERT INTO `lang_definitions` VALUES (134362, 1797, 40, 'ei näytä olevan voimassa');
INSERT INTO `lang_definitions` VALUES (134363, 1798, 40, 'Salliiko tämä tyyppi samankaltaiset koodit?');
INSERT INTO `lang_definitions` VALUES (134364, 1799, 40, 'Avoliitossa');
INSERT INTO `lang_definitions` VALUES (134365, 1800, 40, 'Älä tallenna');
INSERT INTO `lang_definitions` VALUES (134366, 1801, 40, 'Älä tallenna');
INSERT INTO `lang_definitions` VALUES (134367, 1802, 40, 'Älä tallenna muutoksia');
INSERT INTO `lang_definitions` VALUES (134368, 1803, 40, 'Tehty');
INSERT INTO `lang_definitions` VALUES (134369, 1805, 40, 'Tehty. Lähetetään ladattavaksi.');
INSERT INTO `lang_definitions` VALUES (134370, 1806, 40, 'Käynti PVM');
INSERT INTO `lang_definitions` VALUES (134371, 1807, 40, 'Annostus');
INSERT INTO `lang_definitions` VALUES (134372, 1809, 40, 'muokkaukseen tuplaklikkauksella');
INSERT INTO `lang_definitions` VALUES (134373, 1810, 40, 'Diplopia');
INSERT INTO `lang_definitions` VALUES (134374, 1811, 40, 'Lataa');
INSERT INTO `lang_definitions` VALUES (134375, 1814, 40, 'Lataa kuitenkin');
INSERT INTO `lang_definitions` VALUES (134376, 1815, 40, 'Lataa laskutusasiakirja, lähetä kirjanpitoon ja merkitse laskutetuksi');
INSERT INTO `lang_definitions` VALUES (134377, 1817, 40, 'Lataa sertifikaatit');
INSERT INTO `lang_definitions` VALUES (134378, 1818, 40, 'Lataa konfiguraation tiedot');
INSERT INTO `lang_definitions` VALUES (134379, 1819, 40, 'Lataa asiakirjamalli tälle potilaalle ja käynnille');
INSERT INTO `lang_definitions` VALUES (134380, 1820, 40, 'lataa salattu asiakirja');
INSERT INTO `lang_definitions` VALUES (134381, 1824, 40, 'Lataa tai poista asiakirjamalli');
INSERT INTO `lang_definitions` VALUES (134382, 1825, 40, 'Lataa PDF');
INSERT INTO `lang_definitions` VALUES (134383, 1827, 40, 'Lataa valitut lausunnot');
INSERT INTO `lang_definitions` VALUES (134384, 1831, 40, 'Siirretään vetämällä');
INSERT INTO `lang_definitions` VALUES (134385, 1832, 40, 'Kuolaaminen');
INSERT INTO `lang_definitions` VALUES (134386, 1833, 40, 'Ajokortti tai henkilöllisyystodistus');
INSERT INTO `lang_definitions` VALUES (134387, 1834, 40, 'Lääke');
INSERT INTO `lang_definitions` VALUES (134388, 1835, 40, 'Lääkehaku');
INSERT INTO `lang_definitions` VALUES (134389, 1836, 40, 'Lääkelomakkeet');
INSERT INTO `lang_definitions` VALUES (134390, 1837, 40, 'Lääkkeen tunniste puuttuu!');
INSERT INTO `lang_definitions` VALUES (134391, 1838, 40, 'Lääkkeen annosteluvälit');
INSERT INTO `lang_definitions` VALUES (134392, 1839, 40, 'Lääkkeiden inventaari');
INSERT INTO `lang_definitions` VALUES (134393, 1840, 40, 'Lääkkeen nimi');
INSERT INTO `lang_definitions` VALUES (134394, 1841, 40, 'Lääkkeen antotapa');
INSERT INTO `lang_definitions` VALUES (134395, 1845, 40, 'Lääkeyksiköt');
INSERT INTO `lang_definitions` VALUES (134396, 1846, 40, 'Lääkkeet');
INSERT INTO `lang_definitions` VALUES (134397, 1847, 40, 'Lääkkeet ja tuotteet');
INSERT INTO `lang_definitions` VALUES (134398, 1848, 40, 'Kserostomia – Suun kuivuminen');
INSERT INTO `lang_definitions` VALUES (134399, 1849, 40, 'DSM-IV diagnoosit');
INSERT INTO `lang_definitions` VALUES (134400, 1850, 40, 'DT 1');
INSERT INTO `lang_definitions` VALUES (134401, 1851, 40, 'DT 2');
INSERT INTO `lang_definitions` VALUES (134402, 1852, 40, 'DT 3');
INSERT INTO `lang_definitions` VALUES (134403, 1853, 40, 'DT 4');
INSERT INTO `lang_definitions` VALUES (134404, 1854, 40, 'DT 5');
INSERT INTO `lang_definitions` VALUES (134405, 1855, 40, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (134406, 1856, 40, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (134407, 1857, 40, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (134408, 1858, 40, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (134409, 1859, 40, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (134410, 1860, 40, 'Maksettava');
INSERT INTO `lang_definitions` VALUES (134411, 1861, 40, 'Eräpäivä');
INSERT INTO `lang_definitions` VALUES (134412, 1862, 40, 'Eräpäivä kk/pp/vvvv tai yyyy-kk-pp');
INSERT INTO `lang_definitions` VALUES (134413, 1863, 40, 'Eräpäivä:');
INSERT INTO `lang_definitions` VALUES (134414, 1869, 40, 'Pudotetaan LibreEHR tietokanta');
INSERT INTO `lang_definitions` VALUES (134415, 1870, 40, 'Pudotetaan LibreEHR web hakemistopuu');
INSERT INTO `lang_definitions` VALUES (134416, 1871, 40, 'Pudotetaan phpGACL tietokanta');
INSERT INTO `lang_definitions` VALUES (134417, 1872, 40, 'Pudotetaan phpGACL web hakemistopuu');
INSERT INTO `lang_definitions` VALUES (134418, 1873, 40, 'Pudotetaan SQL-Ledger tietokanta');
INSERT INTO `lang_definitions` VALUES (134419, 1874, 40, 'Pudotetaan SQL-Ledger web hakemistopuu');
INSERT INTO `lang_definitions` VALUES (134420, 1875, 40, 'Kaksoiskappaleiden haku');
INSERT INTO `lang_definitions` VALUES (134421, 1876, 40, 'Kaksinkertainen tunniste rivillä');
INSERT INTO `lang_definitions` VALUES (134422, 1877, 40, 'Kaksinkertainen nimi rivillä');
INSERT INTO `lang_definitions` VALUES (134423, 1878, 40, 'VAROITUS KAKSOISKAPPALEESTA');
INSERT INTO `lang_definitions` VALUES (134424, 1880, 40, 'kesto');
INSERT INTO `lang_definitions` VALUES (134425, 1881, 40, 'Kesto');
INSERT INTO `lang_definitions` VALUES (134426, 1882, 40, 'Hollanti');
INSERT INTO `lang_definitions` VALUES (134427, 1884, 40, 'Dysfagia');
INSERT INTO `lang_definitions` VALUES (134428, 1885, 40, 'Hengenahdistus:');
INSERT INTO `lang_definitions` VALUES (134429, 1886, 40, 'Dysuria');
INSERT INTO `lang_definitions` VALUES (134430, 1887, 40, 'Dzongkha');
INSERT INTO `lang_definitions` VALUES (134431, 1888, 40, 'E-Resepti?');
INSERT INTO `lang_definitions` VALUES (134432, 1889, 40, 'E-Raportit');
INSERT INTO `lang_definitions` VALUES (134433, 1893, 40, 'Jokaisen vastaanottajan täytyy kuitata viesti vastaanotetuksi');
INSERT INTO `lang_definitions` VALUES (134434, 1894, 40, 'Varhainen uusiutuminen (< 2 kk)');
INSERT INTO `lang_definitions` VALUES (134435, 1895, 40, 'Korvat');
INSERT INTO `lang_definitions` VALUES (134436, 1896, 40, 'Sydänsähkökäyrä');
INSERT INTO `lang_definitions` VALUES (134437, 1898, 40, 'Turvotus');
INSERT INTO `lang_definitions` VALUES (134438, 1899, 40, 'edi historia');
INSERT INTO `lang_definitions` VALUES (134439, 1900, 40, 'EDI historia');
INSERT INTO `lang_definitions` VALUES (134440, 1902, 40, 'EDI-271 tiedosto ladattu');
INSERT INTO `lang_definitions` VALUES (134441, 1904, 40, 'Muokkaa');
INSERT INTO `lang_definitions` VALUES (134442, 1905, 40, 'muokkaa');
INSERT INTO `lang_definitions` VALUES (134443, 1906, 40, 'Muokkaa allergioita');
INSERT INTO `lang_definitions` VALUES (134444, 1907, 40, 'Muokkaa luokkia');
INSERT INTO `lang_definitions` VALUES (134445, 1908, 40, 'Muokkaa määritelmiä');
INSERT INTO `lang_definitions` VALUES (134446, 1909, 40, 'Muokkaa määritelmiä');
INSERT INTO `lang_definitions` VALUES (134447, 1910, 40, 'Muokkaa diagnooseja kohteelle');
INSERT INTO `lang_definitions` VALUES (134448, 1912, 40, 'Muokkaa toimipaikkoja');
INSERT INTO `lang_definitions` VALUES (134449, 1913, 40, 'Muokkaa toimipaikkaa');
INSERT INTO `lang_definitions` VALUES (134450, 1914, 40, 'Muokkaa toimipaikan tietoja');
INSERT INTO `lang_definitions` VALUES (134451, 1916, 40, 'Muokkaa tiedostoa kohteessa');
INSERT INTO `lang_definitions` VALUES (134452, 1917, 40, 'Muokkaa lomaketta');
INSERT INTO `lang_definitions` VALUES (134453, 1918, 40, 'Muokkaa yleisasetuksia');
INSERT INTO `lang_definitions` VALUES (134454, 1919, 40, 'Ei oikeuksia muokkaamiseen!');
INSERT INTO `lang_definitions` VALUES (134455, 1920, 40, 'Muokkaa ulkoasua');
INSERT INTO `lang_definitions` VALUES (134456, 1921, 40, 'Muokka listaa');
INSERT INTO `lang_definitions` VALUES (134457, 1922, 40, 'Muokkaa maksua');
INSERT INTO `lang_definitions` VALUES (134458, 1923, 40, 'Muokkaa rakennetta');
INSERT INTO `lang_definitions` VALUES (134459, 1924, 40, 'Muokkaa käyttäjätietoja');
INSERT INTO `lang_definitions` VALUES (134460, 1925, 40, 'Muokkaa käyttäjän asetuksia');
INSERT INTO `lang_definitions` VALUES (134461, 1926, 40, 'Muokkaa antamiasi tietoja');
INSERT INTO `lang_definitions` VALUES (134462, 1927, 40, 'Muokkaus epäonnistui');
INSERT INTO `lang_definitions` VALUES (134463, 1928, 40, 'Koulutus');
INSERT INTO `lang_definitions` VALUES (134464, 1929, 40, 'Koulutuksen päiväys');
INSERT INTO `lang_definitions` VALUES (134465, 1930, 40, 'Koulutus materiaalia kohteelle');
INSERT INTO `lang_definitions` VALUES (134466, 1932, 40, 'Voimaantulopäivä');
INSERT INTO `lang_definitions` VALUES (134467, 1934, 40, 'Vaikuttavuus');
INSERT INTO `lang_definitions` VALUES (134468, 1936, 40, 'Siemensyöksyt');
INSERT INTO `lang_definitions` VALUES (134469, 1937, 40, 'Kyynärpää');
INSERT INTO `lang_definitions` VALUES (134470, 1938, 40, 'Kyynärpään vaivat');
INSERT INTO `lang_definitions` VALUES (134471, 1939, 40, 'Sähköinen');
INSERT INTO `lang_definitions` VALUES (134472, 1942, 40, 'Sähköiset toimeksiannot');
INSERT INTO `lang_definitions` VALUES (134473, 1943, 40, 'Sähköiset raportit');
INSERT INTO `lang_definitions` VALUES (134474, 1944, 40, 'Kelpoisuus');
INSERT INTO `lang_definitions` VALUES (134475, 1946, 40, 'Kelpoisuusvaste');
INSERT INTO `lang_definitions` VALUES (134476, 1948, 40, 'Hyväksyttävä');
INSERT INTO `lang_definitions` VALUES (134477, 1949, 40, 'Sähköposti');
INSERT INTO `lang_definitions` VALUES (134478, 1950, 40, 'sähköposti');
INSERT INTO `lang_definitions` VALUES (134479, 1951, 40, 'Sähköpostiosoite');
INSERT INTO `lang_definitions` VALUES (134480, 1952, 40, 'Sähköpostiosoite puuttuu');
INSERT INTO `lang_definitions` VALUES (134481, 1958, 40, 'Ilmoitus sähköpostista');
INSERT INTO `lang_definitions` VALUES (134482, 1959, 40, 'Tunnit jolloin sähköpostista ilmoitetaan');
INSERT INTO `lang_definitions` VALUES (134483, 1960, 40, 'Raportti ilmoitetuista sähköposteista');
INSERT INTO `lang_definitions` VALUES (134484, 1961, 40, 'Lähetä sähköposti ennen');
INSERT INTO `lang_definitions` VALUES (134485, 1962, 40, 'Sähköpostin lähettäjä');
INSERT INTO `lang_definitions` VALUES (134486, 1963, 40, 'Sähköposti lähetetty');
INSERT INTO `lang_definitions` VALUES (134487, 1964, 40, 'Sähköpostin vastaanottaja');
INSERT INTO `lang_definitions` VALUES (134488, 1965, 40, 'Sähköposti aihe');
INSERT INTO `lang_definitions` VALUES (134489, 1966, 40, 'Sähköpostiviesti, Käytettävä tagi: ***NAME , esim. Hyvä ***NAME***');
INSERT INTO `lang_definitions` VALUES (134490, 1967, 40, 'Sähköpostiviesti, Käytettävä tagi: ***NAME , esim. Hyvä ***NAME*** {{Älä käännä vakiota ***NAME*** tässä elementissä.}}');
INSERT INTO `lang_definitions` VALUES (134491, 1968, 40, 'Sähköpostin välitystapa');
INSERT INTO `lang_definitions` VALUES (134492, 1969, 40, 'Sähköposti lähetetty osoitteeseen');
INSERT INTO `lang_definitions` VALUES (134493, 1971, 40, 'Hätäyhteystiedot');
INSERT INTO `lang_definitions` VALUES (134494, 1972, 40, 'Hätäyhteyshenkilö');
INSERT INTO `lang_definitions` VALUES (134495, 1973, 40, 'Hätäyhteyshenkilön puhelinnumero');
INSERT INTO `lang_definitions` VALUES (134496, 1974, 40, 'Jälkiehkäisy');
INSERT INTO `lang_definitions` VALUES (134497, 1980, 40, 'Hätäpuhelin');
INSERT INTO `lang_definitions` VALUES (134498, 1982, 40, 'Keuhkolaajentuma');
INSERT INTO `lang_definitions` VALUES (134499, 1983, 40, 'Työntekijä');
INSERT INTO `lang_definitions` VALUES (134500, 1984, 40, 'Työnantaja');
INSERT INTO `lang_definitions` VALUES (134501, 1985, 40, 'Työnantajan osoite');
INSERT INTO `lang_definitions` VALUES (134502, 1986, 40, 'Työnantajan tiedot');
INSERT INTO `lang_definitions` VALUES (134503, 1987, 40, 'Työnantajan nimi');
INSERT INTO `lang_definitions` VALUES (134504, 1988, 40, 'TYHJÄ');
INSERT INTO `lang_definitions` VALUES (134505, 1989, 40, 'Tyhjä');
INSERT INTO `lang_definitions` VALUES (134506, 1990, 40, 'Salasanan jättäminen tyhjäksi ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (134507, 1992, 40, 'Tyhjä arvo kohdassa \"Sähköpostin lähettäjä\"');
INSERT INTO `lang_definitions` VALUES (134508, 1993, 40, 'Tyhjä arvo kohdassa \"Sähköpostin aihe\"');
INSERT INTO `lang_definitions` VALUES (134509, 1994, 40, 'Tyhjä arvo kohdassa \"Sähköpostin sisältö\"');
INSERT INTO `lang_definitions` VALUES (134510, 1996, 40, 'Tyhjä arvo kohdassa \"Salasana\"');
INSERT INTO `lang_definitions` VALUES (134511, 1999, 40, 'Tyhjä arvo kohdassa \"Käyttäjätunnus\"');
INSERT INTO `lang_definitions` VALUES (134512, 2001, 40, 'Salli');
INSERT INTO `lang_definitions` VALUES (134513, 2016, 40, 'Salli asiakasohjelman SSL');
INSERT INTO `lang_definitions` VALUES (134514, 2017, 40, 'Salli valtuutus asiakasohjelman SSL sertifikaatilla.');
INSERT INTO `lang_definitions` VALUES (134515, 2030, 40, 'Salli palkkiot vasemmassa navigaatiossa');
INSERT INTO `lang_definitions` VALUES (134516, 2051, 40, 'Salli ulkoisen potilasportaalin käyttö');
INSERT INTO `lang_definitions` VALUES (134517, 2052, 40, 'Salli ulkoisen potilasportaalin käyttö.');
INSERT INTO `lang_definitions` VALUES (134518, 2053, 40, 'Salli paikallisen potilasportaalin käyttö');
INSERT INTO `lang_definitions` VALUES (134519, 2055, 40, 'Salli paikallisen potilasportaalin käyttö.');
INSERT INTO `lang_definitions` VALUES (134520, 2061, 40, 'Salli tuki skannerille');
INSERT INTO `lang_definitions` VALUES (134521, 2068, 40, 'sallittu');
INSERT INTO `lang_definitions` VALUES (134522, 2071, 40, 'Käynti');
INSERT INTO `lang_definitions` VALUES (134523, 2072, 40, 'Käynti');
INSERT INTO `lang_definitions` VALUES (134524, 2073, 40, 'Käynti');
INSERT INTO `lang_definitions` VALUES (134525, 2074, 40, 'käynti');
INSERT INTO `lang_definitions` VALUES (134526, 2075, 40, 'Käynti ');
INSERT INTO `lang_definitions` VALUES (134527, 2080, 40, 'käynnin tiedot');
INSERT INTO `lang_definitions` VALUES (134528, 2081, 40, 'Käynnin päiväys');
INSERT INTO `lang_definitions` VALUES (134529, 2086, 40, 'Käyntilomakkeet');
INSERT INTO `lang_definitions` VALUES (134530, 2087, 40, 'käynnin terveydentilan ja käyttäytymisen arviointi');
INSERT INTO `lang_definitions` VALUES (134531, 2088, 40, 'Käyntihistoria');
INSERT INTO `lang_definitions` VALUES (134532, 2089, 40, 'Käynnin tunniste');
INSERT INTO `lang_definitions` VALUES (134533, 2091, 40, 'Käynnin numero');
INSERT INTO `lang_definitions` VALUES (134534, 2099, 40, 'Käyntilomakkeen paperikoko');
INSERT INTO `lang_definitions` VALUES (134535, 2100, 40, 'Käynnin maksu');
INSERT INTO `lang_definitions` VALUES (134536, 2107, 40, 'käynti psykiatrilla / psykologilla');
INSERT INTO `lang_definitions` VALUES (134537, 2108, 40, 'Käynnin tilastot');
INSERT INTO `lang_definitions` VALUES (134538, 2109, 40, 'Käynnin yhteenveto');
INSERT INTO `lang_definitions` VALUES (134539, 2110, 40, 'Käynti on koodattu');
INSERT INTO `lang_definitions` VALUES (134540, 2111, 40, 'Käynti:');
INSERT INTO `lang_definitions` VALUES (134541, 2113, 40, 'Käynnit');
INSERT INTO `lang_definitions` VALUES (134542, 2114, 40, 'Käynnit ja lomakkeet');
INSERT INTO `lang_definitions` VALUES (134543, 2115, 40, 'Käynnit ja lomakkeet');
INSERT INTO `lang_definitions` VALUES (134544, 2116, 40, 'Ei valtuutusta vastaanotoille');
INSERT INTO `lang_definitions` VALUES (134545, 2117, 40, 'Raportti vastaanotoista');
INSERT INTO `lang_definitions` VALUES (134546, 2120, 40, 'Salaus');
INSERT INTO `lang_definitions` VALUES (134547, 2121, 40, 'Päättynyt');
INSERT INTO `lang_definitions` VALUES (134548, 2122, 40, 'Päättynyt (vvvv-kk-pp) ');
INSERT INTO `lang_definitions` VALUES (134549, 2123, 40, 'Päättymispäivä');
INSERT INTO `lang_definitions` VALUES (134550, 2124, 40, 'Päättymispäivä');
INSERT INTO `lang_definitions` VALUES (134551, 2126, 40, 'Päättymispäivän tulee olla aloituspäivän jälkeen');
INSERT INTO `lang_definitions` VALUES (134552, 2127, 40, 'Päättymispäivä:');
INSERT INTO `lang_definitions` VALUES (134553, 2130, 40, 'Raportin loppu');
INSERT INTO `lang_definitions` VALUES (134554, 2131, 40, 'Lopetusaika');
INSERT INTO `lang_definitions` VALUES (134555, 2133, 40, 'Hoidon päättymispäivä vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (134556, 2135, 40, 'Päättymisaika kalenteritapahtumille.');
INSERT INTO `lang_definitions` VALUES (134557, 2137, 40, 'Endokrinologia');
INSERT INTO `lang_definitions` VALUES (134558, 2138, 40, 'Endoskopia');
INSERT INTO `lang_definitions` VALUES (134559, 2141, 40, 'Englanti');
INSERT INTO `lang_definitions` VALUES (134560, 2142, 40, 'Englanti ');
INSERT INTO `lang_definitions` VALUES (134561, 2143, 40, 'Englanti (Intian)');
INSERT INTO `lang_definitions` VALUES (134562, 2144, 40, 'Englanti (Standardi)');
INSERT INTO `lang_definitions` VALUES (134563, 2146, 40, 'Varmista että LibreEHR:llä on oikeus kirjoittaa hakemistoon');
INSERT INTO `lang_definitions` VALUES (134564, 2149, 40, 'Antamalla diagnoosikoodin poissuljetaan kaikki lähetteet ilman sitä');
INSERT INTO `lang_definitions` VALUES (134565, 2150, 40, 'Syötä muutos ...');
INSERT INTO `lang_definitions` VALUES (134566, 2151, 40, 'Kirjoita viesti tähän');
INSERT INTO `lang_definitions` VALUES (134567, 2152, 40, 'Anna tietokannan root salasana');
INSERT INTO `lang_definitions` VALUES (134568, 2153, 40, 'Anna tietokannan root käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (134569, 2154, 40, 'Anna diagnoosi');
INSERT INTO `lang_definitions` VALUES (134570, 2155, 40, 'Anna lääkkeet');
INSERT INTO `lang_definitions` VALUES (134571, 2156, 40, 'Anna käynti');
INSERT INTO `lang_definitions` VALUES (134572, 2157, 40, 'Anna käynnin numero');
INSERT INTO `lang_definitions` VALUES (134573, 2158, 40, 'Anna rokotukset');
INSERT INTO `lang_definitions` VALUES (134574, 2159, 40, 'Anna avain');
INSERT INTO `lang_definitions` VALUES (134575, 2160, 40, 'Anna uusi tieto');
INSERT INTO `lang_definitions` VALUES (134576, 2161, 40, 'Anna uusi lääni');
INSERT INTO `lang_definitions` VALUES (134577, 2162, 40, 'Anna vastaanottajan suora osoite');
INSERT INTO `lang_definitions` VALUES (134578, 2164, 40, 'Anna uudelleentunnistautumiskoodi');
INSERT INTO `lang_definitions` VALUES (134579, 2165, 40, 'Anna hakukriteeri yläpuolelle');
INSERT INTO `lang_definitions` VALUES (134580, 2167, 40, 'merkintää');
INSERT INTO `lang_definitions` VALUES (134581, 2176, 40, 'Epilepsia');
INSERT INTO `lang_definitions` VALUES (134582, 2181, 40, 'Pyyhi');
INSERT INTO `lang_definitions` VALUES (134583, 2182, 40, 'Erektiot');
INSERT INTO `lang_definitions` VALUES (134584, 2183, 40, 'Virhe');
INSERT INTO `lang_definitions` VALUES (134585, 2184, 40, 'VIRHE');
INSERT INTO `lang_definitions` VALUES (134586, 2185, 40, 'Virhe laboratoriotulosten kuittauksen varmistamisessa');
INSERT INTO `lang_definitions` VALUES (134587, 2188, 40, 'Virhe sukupuolen valinnassa');
INSERT INTO `lang_definitions` VALUES (134588, 2193, 40, 'Virhe tiedoston gzip-pakkaamisessa: ');
INSERT INTO `lang_definitions` VALUES (134589, 2194, 40, 'Virhe KYLLÄ tai EI valinnassa');
INSERT INTO `lang_definitions` VALUES (134590, 2195, 40, 'Virhe ladatun tiedoston esikatselussa');
INSERT INTO `lang_definitions` VALUES (134591, 2196, 40, 'Virhe tiedoston käsittelyssä');
INSERT INTO `lang_definitions` VALUES (134592, 2197, 40, 'Virhe tiedoston lataamisessa');
INSERT INTO `lang_definitions` VALUES (134593, 2198, 40, 'Virhe viestin poistamisessa');
INSERT INTO `lang_definitions` VALUES (134594, 2200, 40, 'Virhe arvojen noutamisessa.');
INSERT INTO `lang_definitions` VALUES (134595, 2201, 40, 'Virhe asiakirjan tallennuksessa');
INSERT INTO `lang_definitions` VALUES (134596, 2202, 40, 'Virhe annettaessa LibreEHR:n käyttäjälle lupaa tiedostoon.');
INSERT INTO `lang_definitions` VALUES (134597, 2205, 40, 'virhe lomakkeen rekisteröinnissä!');
INSERT INTO `lang_definitions` VALUES (134598, 2206, 40, 'Virhe tiedoston tallennuksen aikana');
INSERT INTO `lang_definitions` VALUES (134599, 2208, 40, 'Virhe tiedoston kirjoittamisen aikana');
INSERT INTO `lang_definitions` VALUES (134600, 2209, 40, 'virhe(et) uusien tulosten vuoksi');
INSERT INTO `lang_definitions` VALUES (134601, 2210, 40, 'Virhe, kyseistä tiedostoa ei ole');
INSERT INTO `lang_definitions` VALUES (134602, 2211, 40, 'VIRHE, tiedon kerääminen palvelimelta ei onnistu');
INSERT INTO `lang_definitions` VALUES (134603, 2212, 40, 'Virhe, asiakassertifikaatin luominen ei onnistu.');
INSERT INTO `lang_definitions` VALUES (134604, 2215, 40, 'Virhe, palvelinsertifikaatin luominen ei onnistu.');
INSERT INTO `lang_definitions` VALUES (134605, 2216, 40, 'Virhe, tiedoston avaaminen ei onnistu');
INSERT INTO `lang_definitions` VALUES (134606, 2220, 40, 'Virhe: tunnisteen kaksoiskappale rivillä');
INSERT INTO `lang_definitions` VALUES (134607, 2221, 40, 'Virhe: nimen kaksoiskappale rivillä');
INSERT INTO `lang_definitions` VALUES (134608, 2222, 40, 'VIRHE: Kenttä');
INSERT INTO `lang_definitions` VALUES (134609, 2223, 40, 'VIRHE: ZipArchive PHP Moduuli puuttuu');
INSERT INTO `lang_definitions` VALUES (134610, 2225, 40, 'Virhe: väärä salasana. Tarkista oikeinkirjoitus.');
INSERT INTO `lang_definitions` VALUES (134611, 2226, 40, 'Virhe: väärä salasana. Tarkista oikeinkirjoitus.');
INSERT INTO `lang_definitions` VALUES (134612, 2227, 40, 'Virhe: asiakirjaa ei ole');
INSERT INTO `lang_definitions` VALUES (134613, 2229, 40, 'VIRHE: asiakirjan kopiointi ei onnistu.');
INSERT INTO `lang_definitions` VALUES (134614, 2230, 40, 'Virhe: Ladattavan arkiston luominen ei onnistu');
INSERT INTO `lang_definitions` VALUES (134615, 2231, 40, 'VIRHE: Zip Arkiston luominen ei onnistu');
INSERT INTO `lang_definitions` VALUES (134616, 2232, 40, 'VIRHE: Tiedoston purkaminen ei onnistu');
INSERT INTO `lang_definitions` VALUES (134617, 2233, 40, 'VIRHE: Tiedoston lataaminen tietokantaan ei onnistu.');
INSERT INTO `lang_definitions` VALUES (134618, 2234, 40, 'VIRHE: Versionumeron asettaminen ei onnistu');
INSERT INTO `lang_definitions` VALUES (134619, 2235, 40, 'Virheet');
INSERT INTO `lang_definitions` VALUES (134620, 2236, 40, 'eRX tilin tila');
INSERT INTO `lang_definitions` VALUES (134621, 2237, 40, 'eRX loki');
INSERT INTO `lang_definitions` VALUES (134622, 2238, 40, 'ERX Nimi');
INSERT INTO `lang_definitions` VALUES (134623, 2239, 40, 'ERX Salasana');
INSERT INTO `lang_definitions` VALUES (134624, 2240, 40, 'ERX Rooli');
INSERT INTO `lang_definitions` VALUES (134625, 2241, 40, 'ERX Käyttäjä');
INSERT INTO `lang_definitions` VALUES (134626, 2242, 40, 'Monimuotoinen punavihoittuma:');
INSERT INTO `lang_definitions` VALUES (134627, 2245, 40, 'Eskimo');
INSERT INTO `lang_definitions` VALUES (134628, 2246, 40, 'Esperanto');
INSERT INTO `lang_definitions` VALUES (134629, 2247, 40, 'Vanha potilas');
INSERT INTO `lang_definitions` VALUES (134630, 2248, 40, 'Viro');
INSERT INTO `lang_definitions` VALUES (134631, 2249, 40, 'Etnisyys');
INSERT INTO `lang_definitions` VALUES (134632, 2250, 40, 'Etnisyys tai rotu');
INSERT INTO `lang_definitions` VALUES (134633, 2251, 40, 'Etnisyys-rotulistaus (kirjoita, vain lisäys vaihtoehtoinen)');
INSERT INTO `lang_definitions` VALUES (134634, 2253, 40, 'Tapahtuma');
INSERT INTO `lang_definitions` VALUES (134635, 2254, 40, 'Tapahtuma alkaa');
INSERT INTO `lang_definitions` VALUES (134636, 2255, 40, 'Tapahtuman luokka');
INSERT INTO `lang_definitions` VALUES (134637, 2256, 40, 'Tapahtuman päiväys');
INSERT INTO `lang_definitions` VALUES (134638, 2257, 40, 'Tapahtuman kuvaus');
INSERT INTO `lang_definitions` VALUES (134639, 2258, 40, 'Tapahtuman lisätiedot');
INSERT INTO `lang_definitions` VALUES (134640, 2259, 40, 'Tapahtuma ei toistu');
INSERT INTO `lang_definitions` VALUES (134641, 2260, 40, 'Tapahtuman kesto');
INSERT INTO `lang_definitions` VALUES (134642, 2261, 40, 'Tapahtuman kesto minuuteissa');
INSERT INTO `lang_definitions` VALUES (134643, 2262, 40, 'Tapahtuman hinta');
INSERT INTO `lang_definitions` VALUES (134644, 2263, 40, 'Tapahtuman sijainti');
INSERT INTO `lang_definitions` VALUES (134645, 2264, 40, 'Tapahtuma toistuu joka');
INSERT INTO `lang_definitions` VALUES (134646, 2266, 40, 'Tapahtuman aloitusaika');
INSERT INTO `lang_definitions` VALUES (134647, 2267, 40, 'Tapahtuman otsikko');
INSERT INTO `lang_definitions` VALUES (134648, 2268, 40, 'Tapahtuman otsikko');
INSERT INTO `lang_definitions` VALUES (134649, 2269, 40, 'Tapahtuman www-sivu');
INSERT INTO `lang_definitions` VALUES (134650, 2270, 40, 'Tapahtumat');
INSERT INTO `lang_definitions` VALUES (134651, 2271, 40, 'Tapahtumat kohteelle');
INSERT INTO `lang_definitions` VALUES (134652, 2272, 40, 'Avaa tapahtumat uuteen ikkunaan');
INSERT INTO `lang_definitions` VALUES (134653, 2273, 40, 'joka');
INSERT INTO `lang_definitions` VALUES (134654, 2274, 40, 'Joka');
INSERT INTO `lang_definitions` VALUES (134655, 2275, 40, 'joka 3 tunti');
INSERT INTO `lang_definitions` VALUES (134656, 2276, 40, 'joka 4 tunti');
INSERT INTO `lang_definitions` VALUES (134657, 2277, 40, 'joka 5 tunti');
INSERT INTO `lang_definitions` VALUES (134658, 2278, 40, 'joka 6 tunti');
INSERT INTO `lang_definitions` VALUES (134659, 2279, 40, 'joka 8 tunti');
INSERT INTO `lang_definitions` VALUES (134660, 2280, 40, 'Joka neljäs');
INSERT INTO `lang_definitions` VALUES (134661, 2281, 40, 'Joka toinen');
INSERT INTO `lang_definitions` VALUES (134662, 2282, 40, 'Joka kolmas');
INSERT INTO `lang_definitions` VALUES (134663, 2283, 40, 'Joka, joka toinen, joka kolmas, jne.');
INSERT INTO `lang_definitions` VALUES (134664, 2285, 40, 'Koe- ja testitulokset');
INSERT INTO `lang_definitions` VALUES (134665, 2286, 40, 'Koetulokset');
INSERT INTO `lang_definitions` VALUES (134666, 2289, 40, 'Tutkimus');
INSERT INTO `lang_definitions` VALUES (134667, 2290, 40, 'Tutkimuksen päiväys');
INSERT INTO `lang_definitions` VALUES (134668, 2291, 40, 'Esimerkki');
INSERT INTO `lang_definitions` VALUES (134669, 2292, 40, 'Esimerkit');
INSERT INTO `lang_definitions` VALUES (134670, 2293, 40, 'Kokeet/testit');
INSERT INTO `lang_definitions` VALUES (134671, 2294, 40, 'Paitsi');
INSERT INTO `lang_definitions` VALUES (134672, 2296, 40, 'Poissuljettu potilaat');
INSERT INTO `lang_definitions` VALUES (134673, 2297, 40, 'Syrjäytyminen');
INSERT INTO `lang_definitions` VALUES (134674, 2304, 40, 'Poistu hallintapaneelista');
INSERT INTO `lang_definitions` VALUES (134675, 2306, 40, 'Laajenna');
INSERT INTO `lang_definitions` VALUES (134676, 2307, 40, 'laajenna');
INSERT INTO `lang_definitions` VALUES (134677, 2308, 40, 'Laajenna kaikki');
INSERT INTO `lang_definitions` VALUES (134678, 2311, 40, 'Laajennettu näkymä');
INSERT INTO `lang_definitions` VALUES (134679, 2313, 40, 'Umpeutuminen');
INSERT INTO `lang_definitions` VALUES (134680, 2314, 40, 'Umpeutumispäivämäärä');
INSERT INTO `lang_definitions` VALUES (134681, 2315, 40, 'Umpeutuu');
INSERT INTO `lang_definitions` VALUES (134682, 2316, 40, 'umpeutuu');
INSERT INTO `lang_definitions` VALUES (134683, 2317, 40, 'Vie');
INSERT INTO `lang_definitions` VALUES (134684, 2318, 40, 'Vie CSV:nä');
INSERT INTO `lang_definitions` VALUES (134685, 2319, 40, 'Vie asetukset');
INSERT INTO `lang_definitions` VALUES (134686, 2325, 40, 'Vie valitut kohteet CSV:nä');
INSERT INTO `lang_definitions` VALUES (134687, 2327, 40, 'Vie CSV:ksi');
INSERT INTO `lang_definitions` VALUES (134688, 2328, 40, 'Vie ulkoiseen laskutusjärjestelmään');
INSERT INTO `lang_definitions` VALUES (134689, 2332, 40, 'Ulkoinen');
INSERT INTO `lang_definitions` VALUES (134690, 2334, 40, 'Ulkoisten tietojen lataus');
INSERT INTO `lang_definitions` VALUES (134691, 2335, 40, 'Ulkoisen tietokannan tuontityökalu');
INSERT INTO `lang_definitions` VALUES (134692, 2336, 40, 'Ulkoinen tunniste');
INSERT INTO `lang_definitions` VALUES (134693, 2337, 40, 'Ulkoinen tunniste');
INSERT INTO `lang_definitions` VALUES (134694, 2338, 40, 'Ulkoinen tunniste');
INSERT INTO `lang_definitions` VALUES (134695, 2339, 40, 'Vain ulkoinen');
INSERT INTO `lang_definitions` VALUES (134696, 2342, 40, 'Ulkoinen lähete');
INSERT INTO `lang_definitions` VALUES (134697, 2343, 40, 'Ulkoisten lähetteiden seuranta');
INSERT INTO `lang_definitions` VALUES (134698, 2344, 40, 'Ulkoinen lähete?');
INSERT INTO `lang_definitions` VALUES (134699, 2345, 40, 'Ulkoiset lähetteet');
INSERT INTO `lang_definitions` VALUES (134700, 2346, 40, 'Pura zip-tiedosto');
INSERT INTO `lang_definitions` VALUES (134701, 2347, 40, 'Puretaan tiedostoa. Tämä saattaa kestää hetken…');
INSERT INTO `lang_definitions` VALUES (134702, 2352, 40, 'Silmät');
INSERT INTO `lang_definitions` VALUES (134703, 2356, 40, 'Toimipaikat');
INSERT INTO `lang_definitions` VALUES (134704, 2357, 40, 'Toimipaikka');
INSERT INTO `lang_definitions` VALUES (134705, 2358, 40, 'toimipaikka');
INSERT INTO `lang_definitions` VALUES (134706, 2359, 40, 'Toimipaikan hallinta');
INSERT INTO `lang_definitions` VALUES (134707, 2360, 40, 'Toimipaikan kaupunki');
INSERT INTO `lang_definitions` VALUES (134708, 2361, 40, 'Toimipaikan koodi');
INSERT INTO `lang_definitions` VALUES (134709, 2362, 40, 'Toimipaikan maakoodi');
INSERT INTO `lang_definitions` VALUES (134710, 2363, 40, 'Toimipaikan fax');
INSERT INTO `lang_definitions` VALUES (134711, 2364, 40, 'Toimipaikan nimi');
INSERT INTO `lang_definitions` VALUES (134712, 2366, 40, 'Toimipaikan puhelin');
INSERT INTO `lang_definitions` VALUES (134713, 2367, 40, 'Toimipaikkasidonnainen käyttäjätieto');
INSERT INTO `lang_definitions` VALUES (134714, 2368, 40, 'Toimipaikan lääni');
INSERT INTO `lang_definitions` VALUES (134715, 2369, 40, 'Toimipaikan katuosoite');
INSERT INTO `lang_definitions` VALUES (134716, 2370, 40, 'Toimipaikan postinumero');
INSERT INTO `lang_definitions` VALUES (134717, 2372, 40, 'Toimipaikka:');
INSERT INTO `lang_definitions` VALUES (134718, 2373, 40, 'EPÄONNISTUMINEN');
INSERT INTO `lang_definitions` VALUES (134719, 2374, 40, 'epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (134720, 2375, 40, 'Epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (134721, 2376, 40, 'Hylätyt potilaat');
INSERT INTO `lang_definitions` VALUES (134722, 2377, 40, 'Potilaan lisääminen portaaliin epäonnistui');
INSERT INTO `lang_definitions` VALUES (134723, 2378, 40, 'Yksilöllisen tiedostonimen luominen epäonnistui');
INSERT INTO `lang_definitions` VALUES (134724, 2379, 40, 'Luonti epäonnistui');
INSERT INTO `lang_definitions` VALUES (134725, 2380, 40, 'Väliaikaisen hakemiston luominen epäonnistui. CouchDB ei toimi.');
INSERT INTO `lang_definitions` VALUES (134726, 2382, 40, 'Epäonnistui.');
INSERT INTO `lang_definitions` VALUES (134727, 2383, 40, 'epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (134728, 2384, 40, 'Epäonnistuminen');
INSERT INTO `lang_definitions` VALUES (134729, 2385, 40, 'ILMOITUS EPÄONNISTUMISESTA: Suoraviestin lähetys epäonnistui.');
INSERT INTO `lang_definitions` VALUES (134730, 2390, 40, 'Perintötekijät');
INSERT INTO `lang_definitions` VALUES (134731, 2391, 40, 'Perinnölliset alttiudet glaukoomalle');
INSERT INTO `lang_definitions` VALUES (134732, 2392, 40, 'Perintötekijät:');
INSERT INTO `lang_definitions` VALUES (134733, 2397, 40, 'Fääri');
INSERT INTO `lang_definitions` VALUES (134734, 2398, 40, 'Farsi');
INSERT INTO `lang_definitions` VALUES (134735, 2400, 40, 'Isä');
INSERT INTO `lang_definitions` VALUES (134736, 2401, 40, 'Isän taustatietot');
INSERT INTO `lang_definitions` VALUES (134737, 2402, 40, 'Uupumus');
INSERT INTO `lang_definitions` VALUES (134738, 2403, 40, 'Uupunut');
INSERT INTO `lang_definitions` VALUES (134739, 2404, 40, 'Faxi');
INSERT INTO `lang_definitions` VALUES (134740, 2406, 40, 'Faxin numero');
INSERT INTO `lang_definitions` VALUES (134741, 2408, 40, 'Faxi/Skanneri');
INSERT INTO `lang_definitions` VALUES (134742, 2409, 40, 'Tulleet faxit');
INSERT INTO `lang_definitions` VALUES (134743, 2410, 40, 'Lähteneet faxit');
INSERT INTO `lang_definitions` VALUES (134744, 2411, 40, 'Ominaisuudet');
INSERT INTO `lang_definitions` VALUES (134745, 2412, 40, 'Helmikuu');
INSERT INTO `lang_definitions` VALUES (134746, 2413, 40, 'Helmikuu');
INSERT INTO `lang_definitions` VALUES (134747, 2418, 40, 'Palkkio');
INSERT INTO `lang_definitions` VALUES (134748, 2419, 40, 'palkkio');
INSERT INTO `lang_definitions` VALUES (134749, 2420, 40, 'Palkkio ei sallittu');
INSERT INTO `lang_definitions` VALUES (134750, 2421, 40, 'Palkkiolomake');
INSERT INTO `lang_definitions` VALUES (134751, 2422, 40, 'Palkkiolomakkeen vaihtoehdot');
INSERT INTO `lang_definitions` VALUES (134752, 2423, 40, 'Palkkiot');
INSERT INTO `lang_definitions` VALUES (134753, 2424, 40, 'Nainen');
INSERT INTO `lang_definitions` VALUES (134754, 2434, 40, 'Kuume');
INSERT INTO `lang_definitions` VALUES (134755, 2435, 40, 'Kuume:');
INSERT INTO `lang_definitions` VALUES (134756, 2438, 40, 'Kenttä');
INSERT INTO `lang_definitions` VALUES (134757, 2439, 40, 'Kenttä \'nimi\' ei voi olla NULL');
INSERT INTO `lang_definitions` VALUES (134758, 2443, 40, 'Kentt(i)ä puuttuu!');
INSERT INTO `lang_definitions` VALUES (134759, 2446, 40, 'Fidži');
INSERT INTO `lang_definitions` VALUES (134760, 2447, 40, 'Tiedosto');
INSERT INTO `lang_definitions` VALUES (134761, 2449, 40, 'tiedoston sijainti');
INSERT INTO `lang_definitions` VALUES (134762, 2450, 40, 'Tiedoston hallinta');
INSERT INTO `lang_definitions` VALUES (134763, 2453, 40, 'Tiedoston käyttöoikeus myönnetty LibreEHR käyttäjälle.');
INSERT INTO `lang_definitions` VALUES (134764, 2454, 40, 'Tiedoston nouto CouchDB:ta epäonnistui');
INSERT INTO `lang_definitions` VALUES (134765, 2455, 40, 'Arkistohuone');
INSERT INTO `lang_definitions` VALUES (134766, 2458, 40, 'Saman niminen tiedosto on jo olemassa kohteessa:');
INSERT INTO `lang_definitions` VALUES (134767, 2459, 40, 'Tiedostonimi');
INSERT INTO `lang_definitions` VALUES (134768, 2460, 40, 'Tiedostonimen päätteen tulee olla \".pdf\"');
INSERT INTO `lang_definitions` VALUES (134769, 2461, 40, 'Tiedostot');
INSERT INTO `lang_definitions` VALUES (134770, 2462, 40, 'Filipino');
INSERT INTO `lang_definitions` VALUES (134771, 2463, 40, 'Täytä mikä tahansa alla olevista riveistä.');
INSERT INTO `lang_definitions` VALUES (134772, 2465, 40, 'Anna alla olevat arvot');
INSERT INTO `lang_definitions` VALUES (134773, 2467, 40, 'Täytä rivi.');
INSERT INTO `lang_definitions` VALUES (134774, 2468, 40, 'Suodatin');
INSERT INTO `lang_definitions` VALUES (134775, 2469, 40, 'Suodata vakioista');
INSERT INTO `lang_definitions` VALUES (134776, 2470, 40, 'Suodata määritelmistä');
INSERT INTO `lang_definitions` VALUES (134777, 2471, 40, 'suodatettu kohteesta');
INSERT INTO `lang_definitions` VALUES (134778, 2472, 40, 'suodattimet');
INSERT INTO `lang_definitions` VALUES (134779, 2473, 40, 'Suodattimet');
INSERT INTO `lang_definitions` VALUES (134780, 2474, 40, 'Lopullinen');
INSERT INTO `lang_definitions` VALUES (134781, 2475, 40, 'Lopullinen diagnoosi');
INSERT INTO `lang_definitions` VALUES (134782, 2476, 40, 'Lopullinen diagnoosi erikoislääkärin tekemänä');
INSERT INTO `lang_definitions` VALUES (134783, 2478, 40, 'Taloudellinen');
INSERT INTO `lang_definitions` VALUES (134784, 2484, 40, 'Haku');
INSERT INTO `lang_definitions` VALUES (134785, 2485, 40, 'Hae vapaa');
INSERT INTO `lang_definitions` VALUES (134786, 2486, 40, 'Hae vapaat tapaamiset');
INSERT INTO `lang_definitions` VALUES (134787, 2487, 40, 'Hae potilas');
INSERT INTO `lang_definitions` VALUES (134788, 2489, 40, 'Löydökset');
INSERT INTO `lang_definitions` VALUES (134789, 2490, 40, 'Erikoislääkärin löydökset');
INSERT INTO `lang_definitions` VALUES (134790, 2493, 40, 'päättynyt');
INSERT INTO `lang_definitions` VALUES (134791, 2494, 40, 'Suomi');
INSERT INTO `lang_definitions` VALUES (134792, 2495, 40, 'Ensimmäinen');
INSERT INTO `lang_definitions` VALUES (134793, 2497, 40, 'Viikon ensimmäinen päivä');
INSERT INTO `lang_definitions` VALUES (134794, 2498, 40, 'Etunimi');
INSERT INTO `lang_definitions` VALUES (134795, 2499, 40, 'Etunimi');
INSERT INTO `lang_definitions` VALUES (134796, 2500, 40, 'Etunimi:');
INSERT INTO `lang_definitions` VALUES (134797, 2501, 40, 'Ensimmäinen käynti tai konsultaatio');
INSERT INTO `lang_definitions` VALUES (134798, 2502, 40, 'Etunimi Sukunimi');
INSERT INTO `lang_definitions` VALUES (134799, 2509, 40, 'Korjaa tämä');
INSERT INTO `lang_definitions` VALUES (134800, 2511, 40, 'Ilmavaivoja');
INSERT INTO `lang_definitions` VALUES (134801, 2512, 40, 'Virta');
INSERT INTO `lang_definitions` VALUES (134802, 2514, 40, 'Flunssa kausi');
INSERT INTO `lang_definitions` VALUES (134803, 2515, 40, 'Flunssa kausi');
INSERT INTO `lang_definitions` VALUES (134804, 2516, 40, 'Flunssarokote');
INSERT INTO `lang_definitions` VALUES (134805, 2531, 40, 'Ruokayliherkkyys');
INSERT INTO `lang_definitions` VALUES (134806, 2532, 40, 'Jalka');
INSERT INTO `lang_definitions` VALUES (134807, 2533, 40, 'Jalkaongelmat');
INSERT INTO `lang_definitions` VALUES (134808, 2534, 40, 'Jalka:');
INSERT INTO `lang_definitions` VALUES (134809, 2535, 40, 'Jalkapallovammat');
INSERT INTO `lang_definitions` VALUES (134810, 2536, 40, 'Jalkapallovamma');
INSERT INTO `lang_definitions` VALUES (134811, 2537, 40, 'Raportti jalkapallovammasta');
INSERT INTO `lang_definitions` VALUES (134812, 2538, 40, 'Jalkineen tyyppi');
INSERT INTO `lang_definitions` VALUES (134813, 2539, 40, 'käyttäjä');
INSERT INTO `lang_definitions` VALUES (134814, 2544, 40, 'Esimerkki:');
INSERT INTO `lang_definitions` VALUES (134815, 2560, 40, 'Lomake');
INSERT INTO `lang_definitions` VALUES (134816, 2561, 40, 'lomake');
INSERT INTO `lang_definitions` VALUES (134817, 2562, 40, 'Lomakkeen elementtiä ei löydy');
INSERT INTO `lang_definitions` VALUES (134818, 2563, 40, 'Lomakkeen allekirjoitus onnistui');
INSERT INTO `lang_definitions` VALUES (134819, 2564, 40, 'Muoto');
INSERT INTO `lang_definitions` VALUES (134820, 2565, 40, 'muoto');
INSERT INTO `lang_definitions` VALUES (134821, 2566, 40, 'Iän esitystapa');
INSERT INTO `lang_definitions` VALUES (134822, 2568, 40, 'Useimmin käytetty esitystapa päiväyksille.');
INSERT INTO `lang_definitions` VALUES (134823, 2569, 40, 'Useimmin käytetty esitystapa ajalle.');
INSERT INTO `lang_definitions` VALUES (134824, 2570, 40, 'Muotoiltu raportti');
INSERT INTO `lang_definitions` VALUES (134825, 2571, 40, 'Tupakoinut aiemmin');
INSERT INTO `lang_definitions` VALUES (134826, 2572, 40, 'Lomakkeet');
INSERT INTO `lang_definitions` VALUES (134827, 2573, 40, 'Lomakkeiden hallinta');
INSERT INTO `lang_definitions` VALUES (134828, 2575, 40, 'Lähetä edelleen');
INSERT INTO `lang_definitions` VALUES (134829, 2576, 40, 'Lähetä edelleen faxilla');
INSERT INTO `lang_definitions` VALUES (134830, 2577, 40, 'Lähetetty edelleen');
INSERT INTO `lang_definitions` VALUES (134831, 2579, 40, 'Neljäs');
INSERT INTO `lang_definitions` VALUES (134832, 2587, 40, 'Ranska');
INSERT INTO `lang_definitions` VALUES (134833, 2588, 40, 'Ranska (Kanada)');
INSERT INTO `lang_definitions` VALUES (134834, 2589, 40, 'Ranska (Vakio)');
INSERT INTO `lang_definitions` VALUES (134835, 2590, 40, 'Frekvenssi');
INSERT INTO `lang_definitions` VALUES (134836, 2591, 40, 'Toistuva vilustuminen');
INSERT INTO `lang_definitions` VALUES (134837, 2592, 40, 'Toistuva sairastuminen');
INSERT INTO `lang_definitions` VALUES (134838, 2593, 40, 'Pe');
INSERT INTO `lang_definitions` VALUES (134839, 2594, 40, 'Perjantai');
INSERT INTO `lang_definitions` VALUES (134840, 2595, 40, 'Alkaen');
INSERT INTO `lang_definitions` VALUES (134841, 2596, 40, 'LÄHETTÄJÄ');
INSERT INTO `lang_definitions` VALUES (134842, 2597, 40, 'lähettäjä');
INSERT INTO `lang_definitions` VALUES (134843, 2598, 40, 'Aloituksen päivämäärä ei voi olla myöhäisempi kuin lopetuksen päivämäärä.');
INSERT INTO `lang_definitions` VALUES (134844, 2599, 40, 'Alkaen:');
INSERT INTO `lang_definitions` VALUES (134845, 2600, 40, 'Lähettäjä: ');
INSERT INTO `lang_definitions` VALUES (134846, 2619, 40, 'Koko nimi');
INSERT INTO `lang_definitions` VALUES (134847, 2620, 40, 'Koko polku MYSQL ohjelmatiedostoja sisältävään hakemistoon.');
INSERT INTO `lang_definitions` VALUES (134848, 2621, 40, 'Koko polku Perl ohjelmatiedostoja sisältävään hakemistoon.');
INSERT INTO `lang_definitions` VALUES (134849, 2622, 40, 'Koko polku tapahtumalokien varmuuskopioiden hakemistoon.');
INSERT INTO `lang_definitions` VALUES (134850, 2626, 40, 'Maksettu kokonaan');
INSERT INTO `lang_definitions` VALUES (134851, 2631, 40, 'Tulevaisuus');
INSERT INTO `lang_definitions` VALUES (134852, 2635, 40, 'Galego');
INSERT INTO `lang_definitions` VALUES (134853, 2636, 40, 'Sappirakon kunto');
INSERT INTO `lang_definitions` VALUES (134854, 2637, 40, 'Sappikivet');
INSERT INTO `lang_definitions` VALUES (134855, 2650, 40, 'Sukupuoli');
INSERT INTO `lang_definitions` VALUES (134856, 2651, 40, 'Sukupuoli ');
INSERT INTO `lang_definitions` VALUES (134857, 2656, 40, 'Luo');
INSERT INTO `lang_definitions` VALUES (134858, 2664, 40, 'Luo CMS 1500');
INSERT INTO `lang_definitions` VALUES (134859, 2665, 40, 'Luo CMS 1500 PDF');
INSERT INTO `lang_definitions` VALUES (134860, 2666, 40, 'Luo CMS 1500 TEXT');
INSERT INTO `lang_definitions` VALUES (134861, 2667, 40, 'Luo HCFA');
INSERT INTO `lang_definitions` VALUES (134862, 2668, 40, 'Luo lasku');
INSERT INTO `lang_definitions` VALUES (134863, 2669, 40, 'Luo kirje');
INSERT INTO `lang_definitions` VALUES (134864, 2670, 40, 'Luo kirje koskien ');
INSERT INTO `lang_definitions` VALUES (134865, 2677, 40, 'Luo raportti');
INSERT INTO `lang_definitions` VALUES (134866, 2678, 40, 'Luo käyttäjätunnus ja salasana');
INSERT INTO `lang_definitions` VALUES (134867, 2679, 40, 'Luo X12');
INSERT INTO `lang_definitions` VALUES (134868, 2683, 40, 'Luodaan');
INSERT INTO `lang_definitions` VALUES (134869, 2686, 40, 'Georgia');
INSERT INTO `lang_definitions` VALUES (134870, 2687, 40, 'Saksa');
INSERT INTO `lang_definitions` VALUES (134871, 2694, 40, 'Yleinen');
INSERT INTO `lang_definitions` VALUES (134872, 2696, 40, 'Yleistunniste');
INSERT INTO `lang_definitions` VALUES (134873, 2697, 40, 'Yleisasetukset');
INSERT INTO `lang_definitions` VALUES (134874, 2698, 40, 'Yleiset');
INSERT INTO `lang_definitions` VALUES (134875, 2700, 40, 'siirry');
INSERT INTO `lang_definitions` VALUES (134876, 2701, 40, 'Siirry');
INSERT INTO `lang_definitions` VALUES (134877, 2704, 40, 'Siirry kohteeseen');
INSERT INTO `lang_definitions` VALUES (134878, 2706, 40, 'Tänään');
INSERT INTO `lang_definitions` VALUES (134879, 2707, 40, 'Tavoite A');
INSERT INTO `lang_definitions` VALUES (134880, 2708, 40, 'Tavoite ja menetelmät');
INSERT INTO `lang_definitions` VALUES (134881, 2709, 40, 'Tavoite B');
INSERT INTO `lang_definitions` VALUES (134882, 2710, 40, 'Tavoite C');
INSERT INTO `lang_definitions` VALUES (134883, 2712, 40, 'Taso:');
INSERT INTO `lang_definitions` VALUES (134884, 2713, 40, 'grammaa');
INSERT INTO `lang_definitions` VALUES (134885, 2714, 40, 'Loppusumma');
INSERT INTO `lang_definitions` VALUES (134886, 2715, 40, 'Loppusummat');
INSERT INTO `lang_definitions` VALUES (134887, 2720, 40, 'Suurempi kuin');
INSERT INTO `lang_definitions` VALUES (134888, 2721, 40, 'Suurempi tai yhtä suuri kuin');
INSERT INTO `lang_definitions` VALUES (134889, 2722, 40, 'Kreikka');
INSERT INTO `lang_definitions` VALUES (134890, 2723, 40, 'Kreikka, moderni');
INSERT INTO `lang_definitions` VALUES (134891, 2724, 40, 'Ryhmä');
INSERT INTO `lang_definitions` VALUES (134892, 2725, 40, 'Ryhmän nimi');
INSERT INTO `lang_definitions` VALUES (134893, 2726, 40, 'Ryhmän nimi ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (134894, 2727, 40, 'Ryhmän nimi ei voi alkaa numerolla tai välilyönnillä.');
INSERT INTO `lang_definitions` VALUES (134895, 2728, 40, 'Ryhmän nimi ei voi alkaa numerolla.');
INSERT INTO `lang_definitions` VALUES (134896, 2729, 40, 'Ryhmän numero');
INSERT INTO `lang_definitions` VALUES (134897, 2731, 40, 'Ryhmä:');
INSERT INTO `lang_definitions` VALUES (134898, 2732, 40, 'Ryhmän nimi');
INSERT INTO `lang_definitions` VALUES (134899, 2733, 40, 'Ryhmät ja käyttöoikeudet');
INSERT INTO `lang_definitions` VALUES (134900, 2734, 40, 'Kasvukäyrä');
INSERT INTO `lang_definitions` VALUES (134901, 2735, 40, 'Kasvukäyrä');
INSERT INTO `lang_definitions` VALUES (134902, 2739, 40, 'Holhoojan nimi');
INSERT INTO `lang_definitions` VALUES (134903, 2741, 40, 'Gynekologinen tutkimus');
INSERT INTO `lang_definitions` VALUES (134904, 2752, 40, 'Kovalevy');
INSERT INTO `lang_definitions` VALUES (134905, 2755, 40, 'on vanhentunut');
INSERT INTO `lang_definitions` VALUES (134906, 2761, 40, 'Vaaralliset harrastukset');
INSERT INTO `lang_definitions` VALUES (134907, 2762, 40, 'Vaaralliset harrastukset');
INSERT INTO `lang_definitions` VALUES (134908, 2768, 40, 'Pää');
INSERT INTO `lang_definitions` VALUES (134909, 2769, 40, 'Päänympärys');
INSERT INTO `lang_definitions` VALUES (134910, 2770, 40, 'Päänympärys');
INSERT INTO `lang_definitions` VALUES (134911, 2771, 40, 'Päänsärky');
INSERT INTO `lang_definitions` VALUES (134912, 2772, 40, 'Päänsärkyjä');
INSERT INTO `lang_definitions` VALUES (134913, 2775, 40, 'Vastaanottavan sairaalan tai poliklinikan nimi ja osoite');
INSERT INTO `lang_definitions` VALUES (134914, 2790, 40, 'Tupakoi runsaasti');
INSERT INTO `lang_definitions` VALUES (134915, 2791, 40, 'Heprea');
INSERT INTO `lang_definitions` VALUES (134916, 2792, 40, 'Heprea (moderni)');
INSERT INTO `lang_definitions` VALUES (134917, 2794, 40, 'Pituus');
INSERT INTO `lang_definitions` VALUES (134918, 2795, 40, 'Pituus');
INSERT INTO `lang_definitions` VALUES (134919, 2805, 40, 'Hepatitis');
INSERT INTO `lang_definitions` VALUES (134920, 2822, 40, 'Piilotettu');
INSERT INTO `lang_definitions` VALUES (134921, 2824, 40, 'Piilota');
INSERT INTO `lang_definitions` VALUES (134922, 2825, 40, 'Piilota yksityiskohdat');
INSERT INTO `lang_definitions` VALUES (134923, 2828, 40, 'Piilota valikko');
INSERT INTO `lang_definitions` VALUES (134924, 2830, 40, 'Piilota muistutukset');
INSERT INTO `lang_definitions` VALUES (134925, 2831, 40, 'Piilota/Näytä sarakkeet');
INSERT INTO `lang_definitions` VALUES (134926, 2833, 40, 'Korkea');
INSERT INTO `lang_definitions` VALUES (134927, 2834, 40, 'Korkea verenpaine');
INSERT INTO `lang_definitions` VALUES (134928, 2865, 40, 'Etusivu');
INSERT INTO `lang_definitions` VALUES (134929, 2866, 40, 'Kotipuhelin');
INSERT INTO `lang_definitions` VALUES (134930, 2867, 40, 'Kotipuhelimen numero');
INSERT INTO `lang_definitions` VALUES (134931, 2868, 40, 'Koditon tai vastaava?');
INSERT INTO `lang_definitions` VALUES (134932, 2869, 40, 'Koditon jne');
INSERT INTO `lang_definitions` VALUES (134933, 2870, 40, 'Koditon jne.');
INSERT INTO `lang_definitions` VALUES (134934, 2875, 40, 'Tunti');
INSERT INTO `lang_definitions` VALUES (134935, 2876, 40, 'Tunnit');
INSERT INTO `lang_definitions` VALUES (134936, 2887, 40, 'Unkari');
INSERT INTO `lang_definitions` VALUES (134937, 2917, 40, 'Käyttämättömän istunnon aikakatkaisu sekunneissa');
INSERT INTO `lang_definitions` VALUES (134938, 2974, 40, 'LUOKASSA');
INSERT INTO `lang_definitions` VALUES (134939, 2981, 40, 'Poissa');
INSERT INTO `lang_definitions` VALUES (134940, 2983, 40, 'Saapuneet');
INSERT INTO `lang_definitions` VALUES (134941, 3087, 40, 'Vakuutus');
INSERT INTO `lang_definitions` VALUES (134942, 3088, 40, 'vakuutus');
INSERT INTO `lang_definitions` VALUES (134943, 3093, 40, 'Vakuutusyhtiö');
INSERT INTO `lang_definitions` VALUES (134944, 3094, 40, 'Vakuutusyhtiöt');
INSERT INTO `lang_definitions` VALUES (134945, 3095, 40, 'Vakuutusyhtiö');
INSERT INTO `lang_definitions` VALUES (134946, 3100, 40, 'Vakuutusnumerot');
INSERT INTO `lang_definitions` VALUES (134947, 3101, 40, 'Vakuutusmaksu');
INSERT INTO `lang_definitions` VALUES (134948, 3104, 40, 'Vakuutustyypit');
INSERT INTO `lang_definitions` VALUES (134949, 3105, 40, 'Vakuutukset');
INSERT INTO `lang_definitions` VALUES (134950, 3123, 40, 'Sisäinen tunniste');
INSERT INTO `lang_definitions` VALUES (134951, 3129, 40, 'Tulkki');
INSERT INTO `lang_definitions` VALUES (134952, 3130, 40, 'Tarvitaanko tulkki?');
INSERT INTO `lang_definitions` VALUES (134953, 3162, 40, 'Lasku');
INSERT INTO `lang_definitions` VALUES (134954, 3163, 40, 'lasku');
INSERT INTO `lang_definitions` VALUES (134955, 3166, 40, 'Laskun päiväys');
INSERT INTO `lang_definitions` VALUES (134956, 3167, 40, 'Laskulla ei ole päiväystä!');
INSERT INTO `lang_definitions` VALUES (134957, 3168, 40, 'Laskun numero');
INSERT INTO `lang_definitions` VALUES (134958, 3169, 40, 'Laskun viitenumero');
INSERT INTO `lang_definitions` VALUES (134959, 3173, 40, 'Lasku:');
INSERT INTO `lang_definitions` VALUES (134960, 3185, 40, 'Epäsäännöllinen sydämen syke');
INSERT INTO `lang_definitions` VALUES (134961, 3191, 40, 'on vaadittu kenttä.');
INSERT INTO `lang_definitions` VALUES (134962, 3238, 40, 'Tammikuu');
INSERT INTO `lang_definitions` VALUES (134963, 3239, 40, 'Tammikuu');
INSERT INTO `lang_definitions` VALUES (134964, 3248, 40, 'Heinäkuu');
INSERT INTO `lang_definitions` VALUES (134965, 3249, 40, 'Heinäkuu');
INSERT INTO `lang_definitions` VALUES (134966, 3250, 40, 'Kesäkuu');
INSERT INTO `lang_definitions` VALUES (134967, 3251, 40, 'Kesäkuu');
INSERT INTO `lang_definitions` VALUES (134968, 3253, 40, 'Vain omat');
INSERT INTO `lang_definitions` VALUES (134969, 3265, 40, 'Hakusanat');
INSERT INTO `lang_definitions` VALUES (134970, 3287, 40, 'Laboratorio asiakirjat');
INSERT INTO `lang_definitions` VALUES (134971, 3303, 40, 'Nimiö');
INSERT INTO `lang_definitions` VALUES (134972, 3304, 40, 'Nimiö ei voi olla tyhjä');
INSERT INTO `lang_definitions` VALUES (134973, 3305, 40, 'Nimiön sarakkeet');
INSERT INTO `lang_definitions` VALUES (134974, 3306, 40, 'Nimiö tälle tyypille');
INSERT INTO `lang_definitions` VALUES (134975, 3307, 40, 'Nimiön sarakkeiden arvo tulee olla numero väliltä 1 ja 999');
INSERT INTO `lang_definitions` VALUES (134976, 3308, 40, 'Nimiöt');
INSERT INTO `lang_definitions` VALUES (134977, 3315, 40, 'Vaaka');
INSERT INTO `lang_definitions` VALUES (134978, 3316, 40, 'Kieli');
INSERT INTO `lang_definitions` VALUES (134979, 3317, 40, 'Kielikoodi');
INSERT INTO `lang_definitions` VALUES (134980, 3321, 40, 'Kielen nimi');
INSERT INTO `lang_definitions` VALUES (134981, 3322, 40, 'Kieli:');
INSERT INTO `lang_definitions` VALUES (134982, 3325, 40, 'Viimeinen');
INSERT INTO `lang_definitions` VALUES (134983, 3342, 40, 'Edelliset kuukautiset');
INSERT INTO `lang_definitions` VALUES (134984, 3343, 40, 'Viime kuu');
INSERT INTO `lang_definitions` VALUES (134985, 3344, 40, 'Sukunimi');
INSERT INTO `lang_definitions` VALUES (134986, 3345, 40, 'Sukunimi');
INSERT INTO `lang_definitions` VALUES (134987, 3346, 40, 'Sukunimi:');
INSERT INTO `lang_definitions` VALUES (134988, 3352, 40, 'Viimeksi tallennettu');
INSERT INTO `lang_definitions` VALUES (134989, 3358, 40, 'Viimeisin käynti');
INSERT INTO `lang_definitions` VALUES (134990, 3372, 40, 'Ulkoasu');
INSERT INTO `lang_definitions` VALUES (134991, 3373, 40, 'Ulkoasuun perustuvat');
INSERT INTO `lang_definitions` VALUES (134992, 3374, 40, 'Ulkoasun muokkain');
INSERT INTO `lang_definitions` VALUES (134993, 3375, 40, 'Ulkoasuryhmät');
INSERT INTO `lang_definitions` VALUES (134994, 3376, 40, 'Ulkoasujen tyylit');
INSERT INTO `lang_definitions` VALUES (134995, 3378, 40, 'LBV lomakkeet');
INSERT INTO `lang_definitions` VALUES (134996, 3379, 40, 'Ulkoasut');
INSERT INTO `lang_definitions` VALUES (134997, 3380, 40, 'pauna');
INSERT INTO `lang_definitions` VALUES (134998, 3381, 40, 'paunaa');
INSERT INTO `lang_definitions` VALUES (134999, 3383, 40, 'jätä tyhjäksi jos vielä aktiivinen');
INSERT INTO `lang_definitions` VALUES (135000, 3384, 40, 'Jättämällä tyhjäksi säilytät vanhan tiedostonimen');
INSERT INTO `lang_definitions` VALUES (135001, 3385, 40, 'Jättämällä tyhjäksi säilytät vanhan salasanan.');
INSERT INTO `lang_definitions` VALUES (135002, 3386, 40, 'Millä jätät viestin');
INSERT INTO `lang_definitions` VALUES (135003, 3387, 40, 'Poistu lomakkeesta');
INSERT INTO `lang_definitions` VALUES (135004, 3390, 40, 'Vasen');
INSERT INTO `lang_definitions` VALUES (135005, 3391, 40, 'Vasen korva');
INSERT INTO `lang_definitions` VALUES (135006, 3392, 40, 'vasen korva');
INSERT INTO `lang_definitions` VALUES (135007, 3393, 40, 'Vasen marginaali (mm)');
INSERT INTO `lang_definitions` VALUES (135008, 3394, 40, 'Vasen:');
INSERT INTO `lang_definitions` VALUES (135009, 3395, 40, 'Vasen: ');
INSERT INTO `lang_definitions` VALUES (135010, 3403, 40, 'Pienempi kuin');
INSERT INTO `lang_definitions` VALUES (135011, 3404, 40, 'Pienempi tai yhtä suuri kuin');
INSERT INTO `lang_definitions` VALUES (135012, 3423, 40, 'Elämäntapa');
INSERT INTO `lang_definitions` VALUES (135013, 3438, 40, 'Lista');
INSERT INTO `lang_definitions` VALUES (135014, 3458, 40, 'Listat');
INSERT INTO `lang_definitions` VALUES (135015, 3459, 40, 'Liettua');
INSERT INTO `lang_definitions` VALUES (135016, 3464, 40, 'Tallenna määritykset');
INSERT INTO `lang_definitions` VALUES (135017, 3476, 40, 'Paikalliset');
INSERT INTO `lang_definitions` VALUES (135018, 3492, 40, 'Kirjaudu');
INSERT INTO `lang_definitions` VALUES (135019, 3493, 40, 'Kirjaudu');
INSERT INTO `lang_definitions` VALUES (135020, 3494, 40, 'Uloskirjautuminen');
INSERT INTO `lang_definitions` VALUES (135021, 3495, 40, 'Kirjauduttu');
INSERT INTO `lang_definitions` VALUES (135022, 3496, 40, 'Kirjauduttu käyttäjänä');
INSERT INTO `lang_definitions` VALUES (135023, 3497, 40, 'Kirjauduttu käyttäjänä: ');
INSERT INTO `lang_definitions` VALUES (135024, 3498, 40, 'Uloskirjauduttu.');
INSERT INTO `lang_definitions` VALUES (135025, 3499, 40, 'Kirjautuu');
INSERT INTO `lang_definitions` VALUES (135026, 3500, 40, 'Kirjaudu');
INSERT INTO `lang_definitions` VALUES (135027, 3501, 40, 'kirjaudu');
INSERT INTO `lang_definitions` VALUES (135028, 3503, 40, 'Kirjautuminen etäpalvelimelle');
INSERT INTO `lang_definitions` VALUES (135029, 3504, 40, 'Kirjautuminen etäpalvelimelle epäonnistui');
INSERT INTO `lang_definitions` VALUES (135030, 3505, 40, 'Uloskirjautuminen');
INSERT INTO `lang_definitions` VALUES (135031, 3506, 40, 'uloskirjautuminen');
INSERT INTO `lang_definitions` VALUES (135032, 3507, 40, 'Lokit');
INSERT INTO `lang_definitions` VALUES (135033, 3520, 40, 'LOUNAS');
INSERT INTO `lang_definitions` VALUES (135034, 3521, 40, 'Lounas');
INSERT INTO `lang_definitions` VALUES (135035, 3536, 40, 'Päänäkymän yläosa');
INSERT INTO `lang_definitions` VALUES (135036, 3553, 40, 'Hallinnoi');
INSERT INTO `lang_definitions` VALUES (135037, 3555, 40, 'Hallinnoi moduuleja');
INSERT INTO `lang_definitions` VALUES (135038, 3556, 40, 'Hallinnoi käännöksiä');
INSERT INTO `lang_definitions` VALUES (135039, 3557, 40, 'Hallinto');
INSERT INTO `lang_definitions` VALUES (135040, 3558, 40, 'Pakolliset ja määritellyt kentät');
INSERT INTO `lang_definitions` VALUES (135041, 3559, 40, 'Vain pakolliset ja määritellyt kentät, tuplien tarkistus, ei hakua');
INSERT INTO `lang_definitions` VALUES (135042, 3560, 40, 'Vain pakolliset ja määritellyt kentät, tuplien tarkistus, ei hakua');
INSERT INTO `lang_definitions` VALUES (135043, 3561, 40, 'Käyttöohjeet');
INSERT INTO `lang_definitions` VALUES (135044, 3563, 40, 'Valmistaja');
INSERT INTO `lang_definitions` VALUES (135045, 3565, 40, 'Maaliskuu');
INSERT INTO `lang_definitions` VALUES (135046, 3568, 40, 'Maaliskuu');
INSERT INTO `lang_definitions` VALUES (135047, 3569, 40, 'Siviilisääty');
INSERT INTO `lang_definitions` VALUES (135048, 3570, 40, 'Merkitse laskutetuksi');
INSERT INTO `lang_definitions` VALUES (135049, 3572, 40, 'Merkitse laskutetuksi, mutta ohita laskutus');
INSERT INTO `lang_definitions` VALUES (135050, 3574, 40, 'Merkitse ei-laskutetuksi');
INSERT INTO `lang_definitions` VALUES (135051, 3576, 40, 'Aviossa');
INSERT INTO `lang_definitions` VALUES (135052, 3603, 40, 'Toukokuu');
INSERT INTO `lang_definitions` VALUES (135053, 3611, 40, 'Mittaus');
INSERT INTO `lang_definitions` VALUES (135054, 3617, 40, 'Esitiedot');
INSERT INTO `lang_definitions` VALUES (135055, 3624, 40, 'Sairaskertomus');
INSERT INTO `lang_definitions` VALUES (135056, 3625, 40, 'Sairaskertomus #');
INSERT INTO `lang_definitions` VALUES (135057, 3626, 40, 'Sairaskertomukset');
INSERT INTO `lang_definitions` VALUES (135058, 3627, 40, 'Lähetetyt sairaskertomukset');
INSERT INTO `lang_definitions` VALUES (135059, 3635, 40, 'Lääkitys');
INSERT INTO `lang_definitions` VALUES (135060, 3640, 40, 'Lääkitykset');
INSERT INTO `lang_definitions` VALUES (135061, 3641, 40, 'Lääkitykset:');
INSERT INTO `lang_definitions` VALUES (135062, 3646, 40, 'Muistiongelmat');
INSERT INTO `lang_definitions` VALUES (135063, 3647, 40, 'Miehet');
INSERT INTO `lang_definitions` VALUES (135064, 3648, 40, 'Miehet ja naiset');
INSERT INTO `lang_definitions` VALUES (135065, 3649, 40, 'Vain miehet');
INSERT INTO `lang_definitions` VALUES (135066, 3651, 40, 'Menopaussi');
INSERT INTO `lang_definitions` VALUES (135067, 3652, 40, 'Kuukautisvuoto');
INSERT INTO `lang_definitions` VALUES (135068, 3653, 40, 'Kuukautiskierto');
INSERT INTO `lang_definitions` VALUES (135069, 3654, 40, 'Mielenterveysongelmat');
INSERT INTO `lang_definitions` VALUES (135070, 3655, 40, 'Valikkoteksti');
INSERT INTO `lang_definitions` VALUES (135071, 3656, 40, 'Valikot');
INSERT INTO `lang_definitions` VALUES (135072, 3661, 40, 'Viesti');
INSERT INTO `lang_definitions` VALUES (135073, 3662, 40, 'Viesti- ja muistutuskeskus');
INSERT INTO `lang_definitions` VALUES (135074, 3663, 40, 'Viestin sisältö ei ole vain tekstiä, joten se on tallennettu dokumenttina.');
INSERT INTO `lang_definitions` VALUES (135075, 3664, 40, 'Viesti potilaalta');
INSERT INTO `lang_definitions` VALUES (135076, 3665, 40, 'Viesti lähetetty');
INSERT INTO `lang_definitions` VALUES (135077, 3666, 40, 'Viestin tila');
INSERT INTO `lang_definitions` VALUES (135078, 3667, 40, 'Viestin otsikko');
INSERT INTO `lang_definitions` VALUES (135079, 3668, 40, 'Viesti potilaalle');
INSERT INTO `lang_definitions` VALUES (135080, 3669, 40, 'Viestin tyyppi');
INSERT INTO `lang_definitions` VALUES (135081, 3670, 40, 'VIESTI:');
INSERT INTO `lang_definitions` VALUES (135082, 3671, 40, 'Viestit');
INSERT INTO `lang_definitions` VALUES (135083, 3672, 40, 'Tänään lähettämäsi viestit');
INSERT INTO `lang_definitions` VALUES (135084, 3679, 40, 'mg');
INSERT INTO `lang_definitions` VALUES (135085, 3680, 40, 'mg/1cc');
INSERT INTO `lang_definitions` VALUES (135086, 3681, 40, 'mg/2cc');
INSERT INTO `lang_definitions` VALUES (135087, 3682, 40, 'mg/3cc');
INSERT INTO `lang_definitions` VALUES (135088, 3683, 40, 'mg/4cc');
INSERT INTO `lang_definitions` VALUES (135089, 3684, 40, 'mg/5cc');
INSERT INTO `lang_definitions` VALUES (135090, 3685, 40, 'MG/DL');
INSERT INTO `lang_definitions` VALUES (135091, 3687, 40, 'Toinen etunimi');
INSERT INTO `lang_definitions` VALUES (135092, 3688, 40, 'Toinen etunimi');
INSERT INTO `lang_definitions` VALUES (135093, 3701, 40, 'MIME-tyyppi');
INSERT INTO `lang_definitions` VALUES (135094, 3702, 40, 'MIME-tyyppi');
INSERT INTO `lang_definitions` VALUES (135095, 3708, 40, 'Minuutti');
INSERT INTO `lang_definitions` VALUES (135096, 3709, 40, 'minuuttia');
INSERT INTO `lang_definitions` VALUES (135097, 3710, 40, 'Minuuttia');
INSERT INTO `lang_definitions` VALUES (135098, 3716, 40, 'Sekalaiset');
INSERT INTO `lang_definitions` VALUES (135099, 3718, 40, 'puuttuu');
INSERT INTO `lang_definitions` VALUES (135100, 3719, 40, 'Vaadittu kenttä puuttuu');
INSERT INTO `lang_definitions` VALUES (135101, 3720, 40, 'Palkkio puuttuu');
INSERT INTO `lang_definitions` VALUES (135102, 3722, 40, 'Puuttuva tai virheellinen');
INSERT INTO `lang_definitions` VALUES (135103, 3724, 40, 'Raportin päiväys puuttuu');
INSERT INTO `lang_definitions` VALUES (135104, 3726, 40, 'Sekoitettu');
INSERT INTO `lang_definitions` VALUES (135105, 3727, 40, 'ml');
INSERT INTO `lang_definitions` VALUES (135106, 3728, 40, 'KK/PP/VVVV');
INSERT INTO `lang_definitions` VALUES (135107, 3729, 40, 'mm/hg');
INSERT INTO `lang_definitions` VALUES (135108, 3730, 40, 'mmHg');
INSERT INTO `lang_definitions` VALUES (135109, 3733, 40, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (135110, 3734, 40, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (135111, 3743, 40, 'Muokkaa');
INSERT INTO `lang_definitions` VALUES (135112, 3745, 40, 'Muokkaa maksuja');
INSERT INTO `lang_definitions` VALUES (135113, 3747, 40, 'Moduuli');
INSERT INTO `lang_definitions` VALUES (135114, 3748, 40, 'Moduulihakemistoa ei löydy');
INSERT INTO `lang_definitions` VALUES (135115, 3749, 40, 'Moduulin asentaja');
INSERT INTO `lang_definitions` VALUES (135116, 3750, 40, 'Moduulin nimi');
INSERT INTO `lang_definitions` VALUES (135117, 3751, 40, 'Moduulin nimi on jo olemassa');
INSERT INTO `lang_definitions` VALUES (135118, 3752, 40, 'Moduulit');
INSERT INTO `lang_definitions` VALUES (135119, 3753, 40, 'Ma');
INSERT INTO `lang_definitions` VALUES (135120, 3754, 40, 'Ma – Pe');
INSERT INTO `lang_definitions` VALUES (135121, 3755, 40, 'Ma, Ke & Pe');
INSERT INTO `lang_definitions` VALUES (135122, 3756, 40, 'Maanantai');
INSERT INTO `lang_definitions` VALUES (135123, 3758, 40, 'Kuukausi');
INSERT INTO `lang_definitions` VALUES (135124, 3759, 40, 'kuukausi');
INSERT INTO `lang_definitions` VALUES (135125, 3760, 40, 'Kuukausinäkymä');
INSERT INTO `lang_definitions` VALUES (135126, 3761, 40, 'Kuukaudet');
INSERT INTO `lang_definitions` VALUES (135127, 3762, 40, 'Kuukausitulot');
INSERT INTO `lang_definitions` VALUES (135128, 3763, 40, 'Kuukaudet');
INSERT INTO `lang_definitions` VALUES (135129, 3765, 40, 'Yli 100 asiakirjaa. Tarkenna hakukriteeriäsi.');
INSERT INTO `lang_definitions` VALUES (135130, 3766, 40, 'Yli 50 tulosta, täsmennä hakuasi.');
INSERT INTO `lang_definitions` VALUES (135131, 3767, 40, 'Useimpien sarakkeiden järjestystä voiodaan muuttaa klikkaamalla sarakkeen otsikkoa');
INSERT INTO `lang_definitions` VALUES (135132, 3771, 40, 'Äiti');
INSERT INTO `lang_definitions` VALUES (135133, 3772, 40, 'Äidin nimi');
INSERT INTO `lang_definitions` VALUES (135134, 3774, 40, 'Suu');
INSERT INTO `lang_definitions` VALUES (135135, 3775, 40, 'Siirry');
INSERT INTO `lang_definitions` VALUES (135136, 3776, 40, 'Siirrä asiakirja luokkaan:');
INSERT INTO `lang_definitions` VALUES (135137, 3777, 40, 'Siirry alas');
INSERT INTO `lang_definitions` VALUES (135138, 3778, 40, 'Siirto epäonnistui!');
INSERT INTO `lang_definitions` VALUES (135139, 3779, 40, 'Siirry potilaaseen');
INSERT INTO `lang_definitions` VALUES (135140, 3780, 40, 'Siirry kohteeseen');
INSERT INTO `lang_definitions` VALUES (135141, 3781, 40, 'Siirry ylös');
INSERT INTO `lang_definitions` VALUES (135142, 3782, 40, 'Siirtää');
INSERT INTO `lang_definitions` VALUES (135143, 3783, 40, 'Hra.');
INSERT INTO `lang_definitions` VALUES (135144, 3785, 40, 'Rva.');
INSERT INTO `lang_definitions` VALUES (135145, 3786, 40, 'Nti.');
INSERT INTO `lang_definitions` VALUES (135146, 3823, 40, 'Nimi');
INSERT INTO `lang_definitions` VALUES (135147, 3825, 40, 'Nimi (klikkaa lisää)');
INSERT INTO `lang_definitions` VALUES (135148, 3826, 40, 'Nimi 1');
INSERT INTO `lang_definitions` VALUES (135149, 3827, 40, 'Nimi 2');
INSERT INTO `lang_definitions` VALUES (135150, 3832, 40, 'Vakuutusyhtiön nimi');
INSERT INTO `lang_definitions` VALUES (135151, 3836, 40, 'Nimi/Arvo');
INSERT INTO `lang_definitions` VALUES (135152, 3837, 40, 'Nimi:');
INSERT INTO `lang_definitions` VALUES (135153, 3854, 40, 'Navigaatio');
INSERT INTO `lang_definitions` VALUES (135154, 3855, 40, 'Navigaatiopalkki sisältää käyntilomakkeet');
INSERT INTO `lang_definitions` VALUES (135155, 3856, 40, 'Navigaatiopalkki näkyy koko kehyksen korkeudelta');
INSERT INTO `lang_definitions` VALUES (135156, 3857, 40, 'Navigaatiopalkin käyntilomakkeet');
INSERT INTO `lang_definitions` VALUES (135157, 3858, 40, 'Navigaatiopalkin leveys');
INSERT INTO `lang_definitions` VALUES (135158, 3859, 40, 'Navigointivalikko koostuu valintanapeista');
INSERT INTO `lang_definitions` VALUES (135159, 3860, 40, 'Navigaatio esitetään puunäkymänä');
INSERT INTO `lang_definitions` VALUES (135160, 3861, 40, 'Navigaatiossa käytetään liukuvalikkoa');
INSERT INTO `lang_definitions` VALUES (135161, 3885, 40, 'Ei koskaan');
INSERT INTO `lang_definitions` VALUES (135162, 3886, 40, 'Ei milloinkaan alkoholia');
INSERT INTO `lang_definitions` VALUES (135163, 3887, 40, 'Ei milloinkaan tupakoinut');
INSERT INTO `lang_definitions` VALUES (135164, 3888, 40, 'Uusi');
INSERT INTO `lang_definitions` VALUES (135165, 3889, 40, 'Uusi =>');
INSERT INTO `lang_definitions` VALUES (135166, 3892, 40, 'Uusi allergia');
INSERT INTO `lang_definitions` VALUES (135167, 3894, 40, 'Uusi ajanvaraus');
INSERT INTO `lang_definitions` VALUES (135168, 3895, 40, 'Uudet luokat');
INSERT INTO `lang_definitions` VALUES (135169, 3896, 40, 'Uusi luokka');
INSERT INTO `lang_definitions` VALUES (135170, 3897, 40, 'Uudet asiakkaat');
INSERT INTO `lang_definitions` VALUES (135171, 3900, 40, 'Uusi(a) määrittely(jä) lisätty');
INSERT INTO `lang_definitions` VALUES (135172, 3901, 40, 'Uusi asiakirja');
INSERT INTO `lang_definitions` VALUES (135173, 3902, 40, 'Uudet asiakirjat');
INSERT INTO `lang_definitions` VALUES (135174, 3904, 40, 'Uusi käynti');
INSERT INTO `lang_definitions` VALUES (135175, 3910, 40, 'Uusi tiedosto');
INSERT INTO `lang_definitions` VALUES (135176, 3911, 40, 'Uusia tiedostoja');
INSERT INTO `lang_definitions` VALUES (135177, 3912, 40, 'Uusi ryhmä');
INSERT INTO `lang_definitions` VALUES (135178, 3917, 40, 'Uusi lista');
INSERT INTO `lang_definitions` VALUES (135179, 3919, 40, 'Uusi kappale');
INSERT INTO `lang_definitions` VALUES (135180, 3920, 40, 'Uusi salasana');
INSERT INTO `lang_definitions` VALUES (135181, 3921, 40, 'Uusi potilas');
INSERT INTO `lang_definitions` VALUES (135182, 3922, 40, 'UUSI POTILAS');
INSERT INTO `lang_definitions` VALUES (135183, 3923, 40, 'Uusi potilaskäynti');
INSERT INTO `lang_definitions` VALUES (135184, 3924, 40, 'Uusi potilaslomake');
INSERT INTO `lang_definitions` VALUES (135185, 3925, 40, 'Uusi potilastunniste');
INSERT INTO `lang_definitions` VALUES (135186, 3926, 40, 'Uusi maksu');
INSERT INTO `lang_definitions` VALUES (135187, 3930, 40, 'Uusi haku');
INSERT INTO `lang_definitions` VALUES (135188, 3932, 40, 'Uusi käyttäjä');
INSERT INTO `lang_definitions` VALUES (135189, 3933, 40, 'Uusi arvo');
INSERT INTO `lang_definitions` VALUES (135190, 3934, 40, 'Uusi käynti');
INSERT INTO `lang_definitions` VALUES (135191, 3935, 40, 'Uusi/Hae');
INSERT INTO `lang_definitions` VALUES (135192, 3960, 40, 'Uudempi');
INSERT INTO `lang_definitions` VALUES (135193, 3961, 40, 'Sanomalehti');
INSERT INTO `lang_definitions` VALUES (135194, 3962, 40, 'Seuraava');
INSERT INTO `lang_definitions` VALUES (135195, 3964, 40, 'Seuraava päivä');
INSERT INTO `lang_definitions` VALUES (135196, 3965, 40, 'Seuraava kuukausi');
INSERT INTO `lang_definitions` VALUES (135197, 3966, 40, 'Seuraava kuukausi (pidä valikkoa varten)');
INSERT INTO `lang_definitions` VALUES (135198, 3967, 40, 'Seuraava aikataulutettu ajo');
INSERT INTO `lang_definitions` VALUES (135199, 3968, 40, 'Seuraava viikko');
INSERT INTO `lang_definitions` VALUES (135200, 3969, 40, 'Seuraava vuosi (pidä valikkoa varten)');
INSERT INTO `lang_definitions` VALUES (135201, 3975, 40, 'Ei');
INSERT INTO `lang_definitions` VALUES (135202, 3976, 40, 'EI');
INSERT INTO `lang_definitions` VALUES (135203, 3977, 40, 'Ei pääsyä');
INSERT INTO `lang_definitions` VALUES (135204, 3978, 40, 'Potilaalle ei ole aktiivisia muistutuksia.');
INSERT INTO `lang_definitions` VALUES (135205, 3983, 40, 'Ei ajanvarauksia');
INSERT INTO `lang_definitions` VALUES (135206, 3985, 40, 'Laskutusjärjestelmä ei ole käytössä');
INSERT INTO `lang_definitions` VALUES (135207, 3992, 40, 'Ei diagnoosia');
INSERT INTO `lang_definitions` VALUES (135208, 3993, 40, 'Ei löydettyjä asiakirjoja');
INSERT INTO `lang_definitions` VALUES (135209, 3997, 40, 'Virheitä ei löytynyt');
INSERT INTO `lang_definitions` VALUES (135210, 3998, 40, 'Ei tapahtumia');
INSERT INTO `lang_definitions` VALUES (135211, 4000, 40, 'Ei tiedostoja asennettavaksi');
INSERT INTO `lang_definitions` VALUES (135212, 4001, 40, 'Ryhmää ei ole valittu');
INSERT INTO `lang_definitions` VALUES (135213, 4029, 40, 'Ei osumia. Yritä hakea uudestaan.');
INSERT INTO `lang_definitions` VALUES (135214, 4030, 40, 'Ei osumia.');
INSERT INTO `lang_definitions` VALUES (135215, 4031, 40, 'Ei osumia. Luodaanko uusi potilas?');
INSERT INTO `lang_definitions` VALUES (135216, 4037, 40, 'Muita puhelinnumeroita ei ole listattu');
INSERT INTO `lang_definitions` VALUES (135217, 4048, 40, 'Ei aiempia käyntejä.');
INSERT INTO `lang_definitions` VALUES (135218, 4049, 40, 'Ei toimenpiteitä tällä käynnillä.');
INSERT INTO `lang_definitions` VALUES (135219, 4053, 40, 'Ei kirjauksia');
INSERT INTO `lang_definitions` VALUES (135220, 4055, 40, 'Ei kirjauksia. Laajenna hakukriteerejä.');
INSERT INTO `lang_definitions` VALUES (135221, 4056, 40, 'Ei muistutuksia');
INSERT INTO `lang_definitions` VALUES (135222, 4057, 40, 'Ei hakutuloksia näillä hakukriteereillä.');
INSERT INTO `lang_definitions` VALUES (135223, 4058, 40, 'Ei tuloksia');
INSERT INTO `lang_definitions` VALUES (135224, 4059, 40, 'Tuloksia ei löytynyt');
INSERT INTO `lang_definitions` VALUES (135225, 4060, 40, 'Ei hakutuloksia tähän hakuun');
INSERT INTO `lang_definitions` VALUES (135226, 4061, 40, 'Ei tuloksia, yritä uudestaan.');
INSERT INTO `lang_definitions` VALUES (135227, 4062, 40, 'Ei tuloksia, yritä uudestaan.');
INSERT INTO `lang_definitions` VALUES (135228, 4063, 40, 'Ei tuloksia, yritä uudestaan.');
INSERT INTO `lang_definitions` VALUES (135229, 4064, 40, 'Tälle moduulille ei ole asetuksia saatavilla');
INSERT INTO `lang_definitions` VALUES (135230, 4070, 40, 'Taulua ei ole valittu! Valitse taulu.');
INSERT INTO `lang_definitions` VALUES (135231, 4077, 40, 'Ei, peruuta');
INSERT INTO `lang_definitions` VALUES (135232, 4089, 40, 'Ei mitään');
INSERT INTO `lang_definitions` VALUES (135233, 4090, 40, 'ei mitään');
INSERT INTO `lang_definitions` VALUES (135234, 4091, 40, 'Ei mitään määriteltynä');
INSERT INTO `lang_definitions` VALUES (135235, 4092, 40, 'Ei mitään dokumentoituna');
INSERT INTO `lang_definitions` VALUES (135236, 4093, 40, 'Ei mikään ylläolevista');
INSERT INTO `lang_definitions` VALUES (135237, 4097, 40, 'Normaali');
INSERT INTO `lang_definitions` VALUES (135238, 4108, 40, 'normaali:');
INSERT INTO `lang_definitions` VALUES (135239, 4111, 40, 'Pohjoissaame');
INSERT INTO `lang_definitions` VALUES (135240, 4112, 40, 'Norja');
INSERT INTO `lang_definitions` VALUES (135241, 4113, 40, 'Kirjanorja');
INSERT INTO `lang_definitions` VALUES (135242, 4114, 40, 'Uusnorja');
INSERT INTO `lang_definitions` VALUES (135243, 4115, 40, 'Nenä');
INSERT INTO `lang_definitions` VALUES (135244, 4116, 40, 'Nenäverenvuoto');
INSERT INTO `lang_definitions` VALUES (135245, 4117, 40, 'ei kirjain tai numero');
INSERT INTO `lang_definitions` VALUES (135246, 4120, 40, 'Ei sallittu');
INSERT INTO `lang_definitions` VALUES (135247, 4121, 40, 'Administrators-ryhmän poistaminen ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (135248, 4122, 40, 'Muokkaaminen ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (135249, 4125, 40, 'Pääkäyttäjän poistaminen Administrators-ryhmästä ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (135250, 4126, 40, 'Tämän käyttäjän poistaminen Administrators-ryhmästä ei ole sallittua');
INSERT INTO `lang_definitions` VALUES (135251, 4129, 40, 'Ei sallittu');
INSERT INTO `lang_definitions` VALUES (135252, 4130, 40, 'Ei sallittu');
INSERT INTO `lang_definitions` VALUES (135253, 4135, 40, 'Ei saatavilla');
INSERT INTO `lang_definitions` VALUES (135254, 4137, 40, 'Ei laskutettu');
INSERT INTO `lang_definitions` VALUES (135255, 4140, 40, 'Ei koodattu');
INSERT INTO `lang_definitions` VALUES (135256, 4143, 40, 'Ei tutkittu');
INSERT INTO `lang_definitions` VALUES (135257, 4144, 40, 'Ei tutkittu:');
INSERT INTO `lang_definitions` VALUES (135258, 4145, 40, 'Ei tutkittu: ');
INSERT INTO `lang_definitions` VALUES (135259, 4146, 40, 'ei löytynyt');
INSERT INTO `lang_definitions` VALUES (135260, 4148, 40, 'ei löytynyt!');
INSERT INTO `lang_definitions` VALUES (135261, 4150, 40, 'Ei asennettu');
INSERT INTO `lang_definitions` VALUES (135262, 4151, 40, 'Ei asennettu');
INSERT INTO `lang_definitions` VALUES (135263, 4153, 40, 'Ei lähetetty');
INSERT INTO `lang_definitions` VALUES (135264, 4154, 40, 'Ei vielä lähetetty');
INSERT INTO `lang_definitions` VALUES (135265, 4155, 40, 'Ei määritetty');
INSERT INTO `lang_definitions` VALUES (135266, 4156, 40, 'Ei määritetty.');
INSERT INTO `lang_definitions` VALUES (135267, 4176, 40, 'Ei hyväksymistä odottavia');
INSERT INTO `lang_definitions` VALUES (135268, 4177, 40, 'Ei kirjauksia');
INSERT INTO `lang_definitions` VALUES (135269, 4190, 40, 'Marraskuu');
INSERT INTO `lang_definitions` VALUES (135270, 4191, 40, 'Marraskuu');
INSERT INTO `lang_definitions` VALUES (135271, 4237, 40, 'Ammatti');
INSERT INTO `lang_definitions` VALUES (135272, 4240, 40, 'Lokakuu');
INSERT INTO `lang_definitions` VALUES (135273, 4241, 40, 'Lokakuu');
INSERT INTO `lang_definitions` VALUES (135274, 4252, 40, 'Https-linkki ulkoiseen potilasportaaliin.');
INSERT INTO `lang_definitions` VALUES (135275, 4253, 40, 'Https-linkki ulkoiseen potilasportaaliin. (Potilaan linkki)');
INSERT INTO `lang_definitions` VALUES (135276, 4254, 40, 'Salasana ulkoiseen potilasportaaliin');
INSERT INTO `lang_definitions` VALUES (135277, 4255, 40, 'Salasana ulkoiseen potilasportaaliin (Jätä tyhjäksi jos ei rekisteröity).');
INSERT INTO `lang_definitions` VALUES (135278, 4258, 40, 'Ulkoisen potilasportaalin osoite');
INSERT INTO `lang_definitions` VALUES (135279, 4259, 40, 'Ulkoisen potilasportaalin osoite (Potilaan linkki)');
INSERT INTO `lang_definitions` VALUES (135280, 4260, 40, 'Ulkoisen potilasportaalin käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (135281, 4261, 40, 'Ulkoisen potilasportaalin käyttäjätunnus (Jätä tyhjäksi jos ei rekisteröity).');
INSERT INTO `lang_definitions` VALUES (135282, 4263, 40, 'Jälkikasvu');
INSERT INTO `lang_definitions` VALUES (135283, 4267, 40, 'OK');
INSERT INTO `lang_definitions` VALUES (135284, 4268, 40, 'Voidaanko tämä toinen ponnahdusikkuna sulkea?');
INSERT INTO `lang_definitions` VALUES (135285, 4270, 40, 'Vanha');
INSERT INTO `lang_definitions` VALUES (135286, 4272, 40, 'Vanhat asiakkaat');
INSERT INTO `lang_definitions` VALUES (135287, 4274, 40, 'Perinteinen ulkoasu ilman valikkoa vasemmalla');
INSERT INTO `lang_definitions` VALUES (135288, 4275, 40, 'Perinteinen staattinen lomake, ilman hakutoimintoa tai kaksoiskappaleen tarkistusta');
INSERT INTO `lang_definitions` VALUES (135289, 4276, 40, 'Vanhempi');
INSERT INTO `lang_definitions` VALUES (135290, 4277, 40, 'Ohita');
INSERT INTO `lang_definitions` VALUES (135291, 4280, 40, 'Ohita työnantajat');
INSERT INTO `lang_definitions` VALUES (135292, 4283, 40, 'Ohitetaanko sisäiset käyttäjät?');
INSERT INTO `lang_definitions` VALUES (135293, 4297, 40, 'Online-tuki');
INSERT INTO `lang_definitions` VALUES (135294, 4298, 40, 'Online-tuen linkki');
INSERT INTO `lang_definitions` VALUES (135295, 4299, 40, 'Vain aktiiviset');
INSERT INTO `lang_definitions` VALUES (135296, 4303, 40, 'Vain passiiviset');
INSERT INTO `lang_definitions` VALUES (135297, 4304, 40, 'Vain omat');
INSERT INTO `lang_definitions` VALUES (135298, 4315, 40, 'Hupsis!');
INSERT INTO `lang_definitions` VALUES (135299, 4316, 40, 'Avaa');
INSERT INTO `lang_definitions` VALUES (135300, 4318, 40, 'Avaa uudessa ikkunassa');
INSERT INTO `lang_definitions` VALUES (135301, 4319, 40, 'Avaa potilas');
INSERT INTO `lang_definitions` VALUES (135302, 4321, 40, 'Avaa tämän päivän käynnit');
INSERT INTO `lang_definitions` VALUES (135303, 4327, 40, 'LibreEHR on määritettävä käyttämään varmenteita ennen kuin se voi luoda asiakkaalle varmenteita.');
INSERT INTO `lang_definitions` VALUES (135304, 4328, 40, 'LibreEHR vaatii Javascriptiä käyttäjän tunnistautumiseen.');
INSERT INTO `lang_definitions` VALUES (135305, 4329, 40, 'LibreEHR käyttäjät');
INSERT INTO `lang_definitions` VALUES (135306, 4351, 40, 'Tai');
INSERT INTO `lang_definitions` VALUES (135307, 4352, 40, 'TAI');
INSERT INTO `lang_definitions` VALUES (135308, 4353, 40, 'tai valitse');
INSERT INTO `lang_definitions` VALUES (135309, 4354, 40, 'tai klikkaa ja vedä nopeampaa valintaa varten.');
INSERT INTO `lang_definitions` VALUES (135310, 4362, 40, 'Järjestys');
INSERT INTO `lang_definitions` VALUES (135311, 4402, 40, 'Muut');
INSERT INTO `lang_definitions` VALUES (135312, 4434, 40, 'Ylipaino');
INSERT INTO `lang_definitions` VALUES (135313, 4437, 40, 'Happisaturaatio');
INSERT INTO `lang_definitions` VALUES (135314, 4438, 40, 'unssi');
INSERT INTO `lang_definitions` VALUES (135315, 4445, 40, 'Sivu');
INSERT INTO `lang_definitions` VALUES (135316, 4446, 40, 'Sivua');
INSERT INTO `lang_definitions` VALUES (135317, 4447, 40, 'Maksettu');
INSERT INTO `lang_definitions` VALUES (135318, 4449, 40, 'Maksettu summa');
INSERT INTO `lang_definitions` VALUES (135319, 4450, 40, 'Maksukanava');
INSERT INTO `lang_definitions` VALUES (135320, 4451, 40, 'Kipu');
INSERT INTO `lang_definitions` VALUES (135321, 4456, 40, 'Paperi');
INSERT INTO `lang_definitions` VALUES (135322, 4457, 40, 'Paperikoko');
INSERT INTO `lang_definitions` VALUES (135323, 4472, 40, 'Salasana');
INSERT INTO `lang_definitions` VALUES (135324, 4473, 40, 'Salasanan vaihto');
INSERT INTO `lang_definitions` VALUES (135325, 4474, 40, 'Salasanan vaihto onnistui');
INSERT INTO `lang_definitions` VALUES (135326, 4475, 40, 'Salasanan vaihto onnistui.');
INSERT INTO `lang_definitions` VALUES (135327, 4476, 40, 'Salasana ei täytä sille asetettuja vähimmäisvaatimuksia. Salasanassa on oltava ainakin kolme seuraavista: numero, pieni kirjain, iso kirjain tai erikoismerkki (Ei numero eikä kirjain).');
INSERT INTO `lang_definitions` VALUES (135328, 4485, 40, 'Salasana on liian lyhyt. Siinä on oltava ainakin kahdeksan merkkiä.');
INSERT INTO `lang_definitions` VALUES (135329, 4486, 40, 'Salasana:');
INSERT INTO `lang_definitions` VALUES (135330, 4487, 40, 'Salasana ei täsmää!');
INSERT INTO `lang_definitions` VALUES (135331, 4488, 40, 'Aiemmat ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (135332, 4489, 40, 'Aiempien ajanvarausten näyttövimpain');
INSERT INTO `lang_definitions` VALUES (135333, 4494, 40, 'Lista aiemmista käynneistä');
INSERT INTO `lang_definitions` VALUES (135334, 4495, 40, 'Aiemmat käynnit');
INSERT INTO `lang_definitions` VALUES (135335, 4496, 40, 'Aiemmat käynnit ja dokumentit');
INSERT INTO `lang_definitions` VALUES (135336, 4497, 40, 'Aiemmat käynnit potilaalle');
INSERT INTO `lang_definitions` VALUES (135337, 4499, 40, 'Liitä tuotava tieto alla olevaan tekstilaatikkoon:');
INSERT INTO `lang_definitions` VALUES (135338, 4508, 40, 'Polku tapahtumalokin varmuuskopioon');
INSERT INTO `lang_definitions` VALUES (135339, 4514, 40, 'Potilas');
INSERT INTO `lang_definitions` VALUES (135340, 4515, 40, 'potilas');
INSERT INTO `lang_definitions` VALUES (135341, 4516, 40, 'POTILAS');
INSERT INTO `lang_definitions` VALUES (135342, 4517, 40, 'Potilaan osoite');
INSERT INTO `lang_definitions` VALUES (135343, 4518, 40, 'Potilaan osoite puuttuu');
INSERT INTO `lang_definitions` VALUES (135344, 4521, 40, 'Potilaan allergiat');
INSERT INTO `lang_definitions` VALUES (135345, 4522, 40, 'Potilaan allergiat');
INSERT INTO `lang_definitions` VALUES (135346, 4531, 40, 'Potilaan kaupunki');
INSERT INTO `lang_definitions` VALUES (135347, 4532, 40, 'Potilaan kaupunki puuttuu');
INSERT INTO `lang_definitions` VALUES (135348, 4535, 40, 'Potilaan maa');
INSERT INTO `lang_definitions` VALUES (135349, 4536, 40, 'Potilaan maa puuttuu. Et ole myöskään asettanut oletusarvoa potilaan maalle yleisissä asetuksissa');
INSERT INTO `lang_definitions` VALUES (135350, 4541, 40, 'Potilaan syntymäaika puuttuu');
INSERT INTO `lang_definitions` VALUES (135351, 4543, 40, 'Potilaan syntymäaika');
INSERT INTO `lang_definitions` VALUES (135352, 4551, 40, 'Potilaan etunimi');
INSERT INTO `lang_definitions` VALUES (135353, 4553, 40, 'Potilaan etunimi puuttuu');
INSERT INTO `lang_definitions` VALUES (135354, 4558, 40, 'Potilaan sukupuoli');
INSERT INTO `lang_definitions` VALUES (135355, 4559, 40, 'Potilaan sukupuoli puuttuu');
INSERT INTO `lang_definitions` VALUES (135356, 4563, 40, 'Potilaan kotipuhelin');
INSERT INTO `lang_definitions` VALUES (135357, 4564, 40, 'Potilaan tunniste');
INSERT INTO `lang_definitions` VALUES (135358, 4565, 40, 'Potilaan tunniste');
INSERT INTO `lang_definitions` VALUES (135359, 4566, 40, 'Potilaan henkilökortti');
INSERT INTO `lang_definitions` VALUES (135360, 4575, 40, 'Potilaan sukunimi');
INSERT INTO `lang_definitions` VALUES (135361, 4577, 40, 'Potilaan sukunimi puuttuu');
INSERT INTO `lang_definitions` VALUES (135362, 4581, 40, 'Potilaslista');
INSERT INTO `lang_definitions` VALUES (135363, 4584, 40, 'Potilaslistaukset uuteen ikkunaan');
INSERT INTO `lang_definitions` VALUES (135364, 4585, 40, 'Potilaslistaussivun mitta');
INSERT INTO `lang_definitions` VALUES (135365, 4589, 40, 'Potilaan nimi');
INSERT INTO `lang_definitions` VALUES (135366, 4590, 40, 'Potilaan nimi ja osoite');
INSERT INTO `lang_definitions` VALUES (135367, 4593, 40, 'Potilaan nimi vaaditaan');
INSERT INTO `lang_definitions` VALUES (135368, 4599, 40, 'Potilasnumero');
INSERT INTO `lang_definitions` VALUES (135369, 4603, 40, 'Potilasportaali');
INSERT INTO `lang_definitions` VALUES (135370, 4605, 40, 'Potilasportaali on suljettu');
INSERT INTO `lang_definitions` VALUES (135371, 4606, 40, 'Potilasportaalin kirjautuminen');
INSERT INTO `lang_definitions` VALUES (135372, 4607, 40, 'Potilasportaalin www-osoite');
INSERT INTO `lang_definitions` VALUES (135373, 4610, 40, 'Potilastietojen pyyntö');
INSERT INTO `lang_definitions` VALUES (135374, 4611, 40, 'Potilastietojen pyyntö');
INSERT INTO `lang_definitions` VALUES (135375, 4613, 40, 'Muistutus potilaalle');
INSERT INTO `lang_definitions` VALUES (135376, 4619, 40, 'Muistutukset potilaille');
INSERT INTO `lang_definitions` VALUES (135377, 4624, 40, 'Potilashakutulosten tyyli');
INSERT INTO `lang_definitions` VALUES (135378, 4625, 40, 'Potilaiden haku / lisäys näkymä');
INSERT INTO `lang_definitions` VALUES (135379, 4633, 40, 'Potilas/asiakas');
INSERT INTO `lang_definitions` VALUES (135380, 4634, 40, 'Potilas:');
INSERT INTO `lang_definitions` VALUES (135381, 4635, 40, 'Potilastunniste');
INSERT INTO `lang_definitions` VALUES (135382, 4636, 40, 'Potilaat');
INSERT INTO `lang_definitions` VALUES (135383, 4638, 40, 'Maksu');
INSERT INTO `lang_definitions` VALUES (135384, 4640, 40, 'Maksupäivä:');
INSERT INTO `lang_definitions` VALUES (135385, 4641, 40, 'Maksun tila');
INSERT INTO `lang_definitions` VALUES (135386, 4642, 40, 'Maksun saajan nimi');
INSERT INTO `lang_definitions` VALUES (135387, 4643, 40, 'Maksaja');
INSERT INTO `lang_definitions` VALUES (135388, 4647, 40, 'Maksusuoritus');
INSERT INTO `lang_definitions` VALUES (135389, 4648, 40, 'maksusuoritus');
INSERT INTO `lang_definitions` VALUES (135390, 4651, 40, 'Maksettava summa');
INSERT INTO `lang_definitions` VALUES (135391, 4652, 40, 'Maksettavan summan tulee olla numeerinen');
INSERT INTO `lang_definitions` VALUES (135392, 4654, 40, 'Maksupäivä');
INSERT INTO `lang_definitions` VALUES (135393, 4656, 40, 'Maksaja');
INSERT INTO `lang_definitions` VALUES (135394, 4675, 40, 'Hyväksymistä odottavat');
INSERT INTO `lang_definitions` VALUES (135395, 4705, 40, 'Piste');
INSERT INTO `lang_definitions` VALUES (135396, 4711, 40, 'Farsi');
INSERT INTO `lang_definitions` VALUES (135397, 4725, 40, 'phiMail salasana');
INSERT INTO `lang_definitions` VALUES (135398, 4726, 40, 'phiMail palvelimen osoite');
INSERT INTO `lang_definitions` VALUES (135399, 4727, 40, 'phiMail käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (135400, 4729, 40, 'Puhelin');
INSERT INTO `lang_definitions` VALUES (135401, 4732, 40, 'Matkapuhelin');
INSERT INTO `lang_definitions` VALUES (135402, 4736, 40, 'Kotipuhelin');
INSERT INTO `lang_definitions` VALUES (135403, 4737, 40, 'Puhelinaika');
INSERT INTO `lang_definitions` VALUES (135404, 4738, 40, 'Puhelinnumero');
INSERT INTO `lang_definitions` VALUES (135405, 4739, 40, 'Puhelinnumero');
INSERT INTO `lang_definitions` VALUES (135406, 4742, 40, 'PHP pakattu');
INSERT INTO `lang_definitions` VALUES (135407, 4743, 40, 'PHP CURL moduulin pitäisi olla päällä palvelimellasi.');
INSERT INTO `lang_definitions` VALUES (135408, 4744, 40, 'PHP purettu');
INSERT INTO `lang_definitions` VALUES (135409, 4745, 40, 'PHP-gacl pääsynvalvonta ei ole päällä');
INSERT INTO `lang_definitions` VALUES (135410, 4746, 40, 'PHP-gacl ei asennettu');
INSERT INTO `lang_definitions` VALUES (135411, 4747, 40, 'Terveystarkastus');
INSERT INTO `lang_definitions` VALUES (135412, 4750, 40, 'Lääkärin allekirjoitus');
INSERT INTO `lang_definitions` VALUES (135413, 4752, 40, 'Lääkärit');
INSERT INTO `lang_definitions` VALUES (135414, 4753, 40, 'valitse');
INSERT INTO `lang_definitions` VALUES (135415, 4754, 40, 'Valitse');
INSERT INTO `lang_definitions` VALUES (135416, 4755, 40, 'Valitse CSS teema.');
INSERT INTO `lang_definitions` VALUES (135417, 4767, 40, 'Muotoilematon teksti');
INSERT INTO `lang_definitions` VALUES (135418, 4786, 40, 'Ota yhteyttä jos joku yllä olevista tiedoista on väärä');
INSERT INTO `lang_definitions` VALUES (135419, 4787, 40, 'Ole hyvä ja vaihda salasanasi.');
INSERT INTO `lang_definitions` VALUES (135420, 4788, 40, 'Ole hyvä ja valitse tiedosto');
INSERT INTO `lang_definitions` VALUES (135421, 4789, 40, 'Ole hyvä ja valitse potilas');
INSERT INTO `lang_definitions` VALUES (135422, 4792, 40, 'Ole hyvä ja valitse arvo kohteelle');
INSERT INTO `lang_definitions` VALUES (135423, 4793, 40, 'Ole hyvä ja valitse ensin aikajakso, klikkaa sitten Virkistä nähdäksesi tulokset.');
INSERT INTO `lang_definitions` VALUES (135424, 4797, 40, 'Ole hyvä ja sulje tämä ikkuna.');
INSERT INTO `lang_definitions` VALUES (135425, 4800, 40, 'Ole hyvä ja korjaa arvo(t) ennen jatkamista!');
INSERT INTO `lang_definitions` VALUES (135426, 4801, 40, 'Ole hyvä ja luo seuraava hakemisto ennen jatkamista');
INSERT INTO `lang_definitions` VALUES (135427, 4802, 40, 'Lääkemääräystä ei saa hyväksyä, mikäli sitä ei ole lähetetty faksilla.');
INSERT INTO `lang_definitions` VALUES (135428, 4803, 40, 'Lääkemääräystä ei saa hyväksyä, mikäli sitä ei ole lähetetty faksilla.');
INSERT INTO `lang_definitions` VALUES (135429, 4805, 40, 'OLE HYVÄ JA KÄYNNISTÄ CURL LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (135430, 4806, 40, 'OLE HYVÄ JA KÄYNNISTÄ OPENSSL LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (135431, 4807, 40, 'OLE HYVÄ JA KÄYNNISTÄ SOAP LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (135432, 4808, 40, 'OLE HYVÄ JA KÄYNNISTÄ XML LAAJENNUS');
INSERT INTO `lang_definitions` VALUES (135433, 4810, 40, 'Ole hyvä ja anna päiväys.');
INSERT INTO `lang_definitions` VALUES (135434, 4812, 40, 'Ole hyvä ja kirjoita viesti');
INSERT INTO `lang_definitions` VALUES (135435, 4813, 40, 'Ole hyvä ja anna rahasumma käyttäen vain numeroita ja desimaalipistettä.');
INSERT INTO `lang_definitions` VALUES (135436, 4814, 40, 'Ole hyvä ja anna uusi salasana');
INSERT INTO `lang_definitions` VALUES (135437, 4820, 40, 'Ole hyvä ja anna päättymispäiväksi päivä, joka on aloituspäivän jälkeen!');
INSERT INTO `lang_definitions` VALUES (135438, 4821, 40, 'Ole hyvä ja anna uusi hakutermi');
INSERT INTO `lang_definitions` VALUES (135439, 4822, 40, 'Ole hyvä ja anna oikea uudelleentunnistautumiskoodi');
INSERT INTO `lang_definitions` VALUES (135440, 4823, 40, 'Ole hyvä ja anna salasana');
INSERT INTO `lang_definitions` VALUES (135441, 4824, 40, 'Ole hyvä ja anna shekin numero');
INSERT INTO `lang_definitions` VALUES (135442, 4825, 40, 'Ole hyvä ja anna viite-/shekinnumero');
INSERT INTO `lang_definitions` VALUES (135443, 4826, 40, 'Ole hyvä ja anna päiväys');
INSERT INTO `lang_definitions` VALUES (135444, 4827, 40, 'Ole hyvä ja anna maksettava summa');
INSERT INTO `lang_definitions` VALUES (135445, 4828, 40, 'Ole hyvä ja anna maksun luokka');
INSERT INTO `lang_definitions` VALUES (135446, 4829, 40, 'Ole hyvä ja anna maksajan tiedot');
INSERT INTO `lang_definitions` VALUES (135447, 4846, 40, 'Ole hyvä ja katso liitteenä oleva PDF.');
INSERT INTO `lang_definitions` VALUES (135448, 4847, 40, 'Ole hyvä ja valitse');
INSERT INTO `lang_definitions` VALUES (135449, 4849, 40, 'Ole hyvä ja valitse kieli');
INSERT INTO `lang_definitions` VALUES (135450, 4850, 40, 'Ole hyvä ja valitse potilas.');
INSERT INTO `lang_definitions` VALUES (135451, 4854, 40, 'Ole hyvä ja valitse vastaanottaja');
INSERT INTO `lang_definitions` VALUES (135452, 4855, 40, 'Ole hyvä ja valitse aloitus- ja lopetuspäivä');
INSERT INTO `lang_definitions` VALUES (135453, 4857, 40, 'Ole hyvä ja valitse aktiivinen ryhmä');
INSERT INTO `lang_definitions` VALUES (135454, 4859, 40, 'Ole hyvä ja valitse tapahtuma');
INSERT INTO `lang_definitions` VALUES (135455, 4863, 40, 'Ole hyvä ja valitse ainakin yksi lääkemääräys!');
INSERT INTO `lang_definitions` VALUES (135456, 4865, 40, 'Ole hyvä ja valitse haluamasi sivut kopioitavaksi tai edelleen lähetettäviksi:');
INSERT INTO `lang_definitions` VALUES (135457, 4866, 40, 'Ole hyvä ja valitse maksutapa');
INSERT INTO `lang_definitions` VALUES (135458, 4868, 40, 'Ole hyvä ja valitse käyntiluokka');
INSERT INTO `lang_definitions` VALUES (135459, 4870, 40, 'Ole hyvä ja aseta');
INSERT INTO `lang_definitions` VALUES (135460, 4900, 40, 'Puola');
INSERT INTO `lang_definitions` VALUES (135461, 4916, 40, 'Pysty');
INSERT INTO `lang_definitions` VALUES (135462, 4917, 40, 'Portugali');
INSERT INTO `lang_definitions` VALUES (135463, 4918, 40, 'Portugali (Brasilialainen)');
INSERT INTO `lang_definitions` VALUES (135464, 4919, 40, 'Portugali (Eurooppalainen)');
INSERT INTO `lang_definitions` VALUES (135465, 4938, 40, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (135466, 4939, 40, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (135467, 4948, 40, 'Voimanlähteenä');
INSERT INTO `lang_definitions` VALUES (135468, 4958, 40, 'Ennakkomaksu');
INSERT INTO `lang_definitions` VALUES (135469, 4959, 40, 'Ennakkomaksu');
INSERT INTO `lang_definitions` VALUES (135470, 4971, 40, 'Valmistaudutaan ajamaan raportti');
INSERT INTO `lang_definitions` VALUES (135471, 4972, 40, 'Ennakkomaksu');
INSERT INTO `lang_definitions` VALUES (135472, 4973, 40, 'Lääkemääräys');
INSERT INTO `lang_definitions` VALUES (135473, 4998, 40, 'Esikatsele tapahtumaa');
INSERT INTO `lang_definitions` VALUES (135474, 5007, 40, 'Hinta');
INSERT INTO `lang_definitions` VALUES (135475, 5011, 40, 'Hinnat');
INSERT INTO `lang_definitions` VALUES (135476, 5032, 40, 'Tulosta tyhjä lähetelomake');
INSERT INTO `lang_definitions` VALUES (135477, 5086, 40, 'Toimenpide');
INSERT INTO `lang_definitions` VALUES (135478, 5114, 40, 'Toimenpiteet');
INSERT INTO `lang_definitions` VALUES (135479, 5115, 40, 'Käsittele');
INSERT INTO `lang_definitions` VALUES (135480, 5116, 40, 'Käsittele ja lähetä muistutukset');
INSERT INTO `lang_definitions` VALUES (135481, 5119, 40, 'Käsittele muistutukset');
INSERT INTO `lang_definitions` VALUES (135482, 5120, 40, 'Käsittely vie hetken');
INSERT INTO `lang_definitions` VALUES (135483, 5121, 40, 'Käsitelty');
INSERT INTO `lang_definitions` VALUES (135484, 5122, 40, 'Käsittelijä');
INSERT INTO `lang_definitions` VALUES (135485, 5124, 40, 'käsitelty onnistuneesti');
INSERT INTO `lang_definitions` VALUES (135486, 5125, 40, 'Käsittelee');
INSERT INTO `lang_definitions` VALUES (135487, 5126, 40, 'Käsittelee ja lähettää muistutuksia potilaille');
INSERT INTO `lang_definitions` VALUES (135488, 5127, 40, 'Käsittelee potilaiden muistutuksia');
INSERT INTO `lang_definitions` VALUES (135489, 5128, 40, 'Käsittelyaika');
INSERT INTO `lang_definitions` VALUES (135490, 5152, 40, 'Hoitava lääkäri');
INSERT INTO `lang_definitions` VALUES (135491, 5153, 40, 'SV numero');
INSERT INTO `lang_definitions` VALUES (135492, 5154, 40, 'SV numero');
INSERT INTO `lang_definitions` VALUES (135493, 5159, 40, 'SV numero');
INSERT INTO `lang_definitions` VALUES (135494, 5162, 40, 'Lääkäri');
INSERT INTO `lang_definitions` VALUES (135495, 5163, 40, 'Lääkärit');
INSERT INTO `lang_definitions` VALUES (135496, 5165, 40, 'Lääkärit näkevät koko kalenterin');
INSERT INTO `lang_definitions` VALUES (135497, 5188, 40, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (135498, 5189, 40, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (135499, 5190, 40, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (135500, 5191, 40, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (135501, 5192, 40, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (135502, 5193, 40, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (135503, 5194, 40, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (135504, 5195, 40, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (135505, 5196, 40, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (135506, 5197, 40, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (135507, 5198, 40, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (135508, 5199, 40, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (135509, 5201, 40, 'Julkinen');
INSERT INTO `lang_definitions` VALUES (135510, 5203, 40, 'Julkinen terveydenhuolto tai muu julkispalvelu');
INSERT INTO `lang_definitions` VALUES (135511, 5206, 40, 'Pulssi');
INSERT INTO `lang_definitions` VALUES (135512, 5224, 40, 'Laatu');
INSERT INTO `lang_definitions` VALUES (135513, 5225, 40, 'Laatumittarit');
INSERT INTO `lang_definitions` VALUES (135514, 5226, 40, 'Määrä');
INSERT INTO `lang_definitions` VALUES (135515, 5241, 40, 'Lopettanut');
INSERT INTO `lang_definitions` VALUES (135516, 5243, 40, 'R');
INSERT INTO `lang_definitions` VALUES (135517, 5245, 40, 'Rotu');
INSERT INTO `lang_definitions` VALUES (135518, 5246, 40, 'Rotu ja etnisyys');
INSERT INTO `lang_definitions` VALUES (135519, 5247, 40, 'Rotu/Etnisyys');
INSERT INTO `lang_definitions` VALUES (135520, 5248, 40, 'Radio');
INSERT INTO `lang_definitions` VALUES (135521, 5249, 40, 'Radiopainikkeet');
INSERT INTO `lang_definitions` VALUES (135522, 5252, 40, 'Ihottumat');
INSERT INTO `lang_definitions` VALUES (135523, 5256, 40, 'Uudelleen tunnistautuminen');
INSERT INTO `lang_definitions` VALUES (135524, 5257, 40, 'Uudelleentunnistautumisprosessi on valmis');
INSERT INTO `lang_definitions` VALUES (135525, 5258, 40, 'Uudelleentunnistautumisprosessi on käynnissä');
INSERT INTO `lang_definitions` VALUES (135526, 5265, 40, 'Lue');
INSERT INTO `lang_definitions` VALUES (135527, 5268, 40, 'Oikea nimi');
INSERT INTO `lang_definitions` VALUES (135528, 5270, 40, 'Syy');
INSERT INTO `lang_definitions` VALUES (135529, 5271, 40, 'Kuolinsyy');
INSERT INTO `lang_definitions` VALUES (135530, 5272, 40, 'Kuolinsyy');
INSERT INTO `lang_definitions` VALUES (135531, 5275, 40, 'Käynnin syy');
INSERT INTO `lang_definitions` VALUES (135532, 5277, 40, 'Kuitti');
INSERT INTO `lang_definitions` VALUES (135533, 5278, 40, 'Kuitti maksusta');
INSERT INTO `lang_definitions` VALUES (135534, 5279, 40, 'Kuitti luotu');
INSERT INTO `lang_definitions` VALUES (135535, 5282, 40, 'Vastaanotettu');
INSERT INTO `lang_definitions` VALUES (135536, 5283, 40, 'Vastaanottaja');
INSERT INTO `lang_definitions` VALUES (135537, 5284, 40, 'Vastaanotetut faxit');
INSERT INTO `lang_definitions` VALUES (135538, 5293, 40, 'Vastaanottaja');
INSERT INTO `lang_definitions` VALUES (135539, 5294, 40, 'Vastaanottajien lista on tyhjä');
INSERT INTO `lang_definitions` VALUES (135540, 5295, 40, 'Vastaanottajan nimi');
INSERT INTO `lang_definitions` VALUES (135541, 5298, 40, 'Suositus');
INSERT INTO `lang_definitions` VALUES (135542, 5300, 40, 'Suositukset');
INSERT INTO `lang_definitions` VALUES (135543, 5301, 40, 'Suositukset ja hoidot');
INSERT INTO `lang_definitions` VALUES (135544, 5302, 40, 'Erikoislääkärin suositukset');
INSERT INTO `lang_definitions` VALUES (135545, 5332, 40, 'Lähettävän lääkärin kiireellisyysluokitus');
INSERT INTO `lang_definitions` VALUES (135546, 5334, 40, 'Lähettämisen syy');
INSERT INTO `lang_definitions` VALUES (135547, 5337, 40, 'Lähete');
INSERT INTO `lang_definitions` VALUES (135548, 5338, 40, 'Lähetteen antaja');
INSERT INTO `lang_definitions` VALUES (135549, 5340, 40, 'Lähetteen päiväys');
INSERT INTO `lang_definitions` VALUES (135550, 5341, 40, 'Lähete');
INSERT INTO `lang_definitions` VALUES (135551, 5342, 40, 'LÄHETE');
INSERT INTO `lang_definitions` VALUES (135552, 5343, 40, 'Lähetteen tunniste');
INSERT INTO `lang_definitions` VALUES (135553, 5348, 40, 'Lähetteet');
INSERT INTO `lang_definitions` VALUES (135554, 5358, 40, 'Lähettävä lääkäri');
INSERT INTO `lang_definitions` VALUES (135555, 5363, 40, 'Virkistä');
INSERT INTO `lang_definitions` VALUES (135556, 5365, 40, 'Virkistää muistutuksia');
INSERT INTO `lang_definitions` VALUES (135557, 5370, 40, 'rekisteröidy');
INSERT INTO `lang_definitions` VALUES (135558, 5371, 40, 'Rekisteröidy');
INSERT INTO `lang_definitions` VALUES (135559, 5372, 40, 'Rekisteröidyt');
INSERT INTO `lang_definitions` VALUES (135560, 5373, 40, 'rekisteröidyt');
INSERT INTO `lang_definitions` VALUES (135561, 5374, 40, 'Rekisteröidyt moduulit');
INSERT INTO `lang_definitions` VALUES (135562, 5377, 40, 'Kuntoutus');
INSERT INTO `lang_definitions` VALUES (135563, 5379, 40, 'Hylätty');
INSERT INTO `lang_definitions` VALUES (135564, 5389, 40, 'Sukulaiset');
INSERT INTO `lang_definitions` VALUES (135565, 5409, 40, 'Muistutus');
INSERT INTO `lang_definitions` VALUES (135566, 5410, 40, 'Muistutuksen aikavälit');
INSERT INTO `lang_definitions` VALUES (135567, 5411, 40, 'Muistututusta ei vielä lähetetty');
INSERT INTO `lang_definitions` VALUES (135568, 5412, 40, 'Muistutus lähetetty');
INSERT INTO `lang_definitions` VALUES (135569, 5413, 40, 'Muistutukset');
INSERT INTO `lang_definitions` VALUES (135570, 5416, 40, 'Poista');
INSERT INTO `lang_definitions` VALUES (135571, 5419, 40, 'Poista ryhmä');
INSERT INTO `lang_definitions` VALUES (135572, 5421, 40, 'Poistaa tuen rokotuksille');
INSERT INTO `lang_definitions` VALUES (135573, 5422, 40, 'Poistaa phpMyAdmin-tuen');
INSERT INTO `lang_definitions` VALUES (135574, 5423, 40, 'Poistaa tuen lääkemääräyksille');
INSERT INTO `lang_definitions` VALUES (135575, 5427, 40, 'Nimeä uudelleen');
INSERT INTO `lang_definitions` VALUES (135576, 5428, 40, 'Nimeä ryhmä uudelleen');
INSERT INTO `lang_definitions` VALUES (135577, 5437, 40, 'Toista uusi salasana');
INSERT INTO `lang_definitions` VALUES (135578, 5438, 40, 'Toistaa tapahtuman');
INSERT INTO `lang_definitions` VALUES (135579, 5439, 40, 'Toistaa tiedon:');
INSERT INTO `lang_definitions` VALUES (135580, 5440, 40, 'Toistot:');
INSERT INTO `lang_definitions` VALUES (135581, 5441, 40, 'KORVAA');
INSERT INTO `lang_definitions` VALUES (135582, 5443, 40, 'korvattu');
INSERT INTO `lang_definitions` VALUES (135583, 5444, 40, 'Vastauksen päiväys');
INSERT INTO `lang_definitions` VALUES (135584, 5445, 40, 'Vastauksen lähettäjä');
INSERT INTO `lang_definitions` VALUES (135585, 5446, 40, 'Raportti');
INSERT INTO `lang_definitions` VALUES (135586, 5447, 40, 'Raportti – Kliininen');
INSERT INTO `lang_definitions` VALUES (135587, 5449, 40, 'Raportin tekijä');
INSERT INTO `lang_definitions` VALUES (135588, 5452, 40, 'Raportti on lähetetty potilaalle.');
INSERT INTO `lang_definitions` VALUES (135589, 5457, 40, 'Raportin tila');
INSERT INTO `lang_definitions` VALUES (135590, 5461, 40, 'Raportoitu');
INSERT INTO `lang_definitions` VALUES (135591, 5463, 40, 'Raportit');
INSERT INTO `lang_definitions` VALUES (135592, 5475, 40, 'Vaaditaan vahva salasana');
INSERT INTO `lang_definitions` VALUES (135593, 5476, 40, 'Vaaditaan uniikki salasana');
INSERT INTO `lang_definitions` VALUES (135594, 5477, 40, 'Vaadittu');
INSERT INTO `lang_definitions` VALUES (135595, 5478, 40, 'Vaaditaan omavastuu');
INSERT INTO `lang_definitions` VALUES (135596, 5480, 40, 'Vaadittu kenttä puuttuu: Anna etunimi');
INSERT INTO `lang_definitions` VALUES (135597, 5481, 40, 'Vaadittu kenttä puuttuu: Anna sukunimi');
INSERT INTO `lang_definitions` VALUES (135598, 5482, 40, 'Vaadittu kenttä puuttuu: Anna käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (135599, 5483, 40, 'Vaaditut kentät');
INSERT INTO `lang_definitions` VALUES (135600, 5484, 40, 'Vaatimukset');
INSERT INTO `lang_definitions` VALUES (135601, 5491, 40, 'Palauta');
INSERT INTO `lang_definitions` VALUES (135602, 5515, 40, 'Tuloksia sivulla');
INSERT INTO `lang_definitions` VALUES (135603, 5521, 40, 'Palaa kalenteriin');
INSERT INTO `lang_definitions` VALUES (135604, 5541, 40, 'Oikea');
INSERT INTO `lang_definitions` VALUES (135605, 5542, 40, 'Oikea korva');
INSERT INTO `lang_definitions` VALUES (135606, 5543, 40, 'oikea korva');
INSERT INTO `lang_definitions` VALUES (135607, 5544, 40, 'Oikea marginaali (mm)');
INSERT INTO `lang_definitions` VALUES (135608, 5545, 40, 'Oikea:');
INSERT INTO `lang_definitions` VALUES (135609, 5549, 40, 'Riskitekijät');
INSERT INTO `lang_definitions` VALUES (135610, 5564, 40, 'Rivit');
INSERT INTO `lang_definitions` VALUES (135611, 5583, 40, 'Venäjä');
INSERT INTO `lang_definitions` VALUES (135612, 5601, 40, 'Sotu');
INSERT INTO `lang_definitions` VALUES (135613, 5605, 40, 'Myynti');
INSERT INTO `lang_definitions` VALUES (135614, 5606, 40, 'Myynnit');
INSERT INTO `lang_definitions` VALUES (135615, 5607, 40, 'Myynnit tuotteittain');
INSERT INTO `lang_definitions` VALUES (135616, 5612, 40, 'Näyte');
INSERT INTO `lang_definitions` VALUES (135617, 5617, 40, 'La');
INSERT INTO `lang_definitions` VALUES (135618, 5618, 40, 'La & Su');
INSERT INTO `lang_definitions` VALUES (135619, 5619, 40, 'Lauantai');
INSERT INTO `lang_definitions` VALUES (135620, 5620, 40, 'Tallenna');
INSERT INTO `lang_definitions` VALUES (135621, 5621, 40, 'TALLENNA');
INSERT INTO `lang_definitions` VALUES (135622, 5622, 40, 'Tallenna ja sulje');
INSERT INTO `lang_definitions` VALUES (135623, 5623, 40, 'Tallenna ja poista pyyntö');
INSERT INTO `lang_definitions` VALUES (135624, 5626, 40, 'Tallenna uutena');
INSERT INTO `lang_definitions` VALUES (135625, 5629, 40, 'Tallenna muutokset');
INSERT INTO `lang_definitions` VALUES (135626, 5630, 40, 'Tallenna lomake');
INSERT INTO `lang_definitions` VALUES (135627, 5632, 40, 'Tallenna uusi kenttä');
INSERT INTO `lang_definitions` VALUES (135628, 5633, 40, 'Tallenna uusi ryhmä');
INSERT INTO `lang_definitions` VALUES (135629, 5634, 40, 'Tallenna uusi lista');
INSERT INTO `lang_definitions` VALUES (135630, 5635, 40, 'Tallenna uusi malli');
INSERT INTO `lang_definitions` VALUES (135631, 5640, 40, 'Tallennus onnistui');
INSERT INTO `lang_definitions` VALUES (135632, 5659, 40, 'Hae');
INSERT INTO `lang_definitions` VALUES (135633, 5661, 40, 'hae');
INSERT INTO `lang_definitions` VALUES (135634, 5662, 40, 'hae uudestaan');
INSERT INTO `lang_definitions` VALUES (135635, 5663, 40, 'Hae kaikista sarakkeista');
INSERT INTO `lang_definitions` VALUES (135636, 5664, 40, 'Hae termillä:');
INSERT INTO `lang_definitions` VALUES (135637, 5667, 40, 'Hae kohteesta');
INSERT INTO `lang_definitions` VALUES (135638, 5668, 40, 'Hae kohteesta');
INSERT INTO `lang_definitions` VALUES (135639, 5669, 40, 'Hae tai lisää potilas');
INSERT INTO `lang_definitions` VALUES (135640, 5670, 40, 'Hae maksu');
INSERT INTO `lang_definitions` VALUES (135641, 5671, 40, 'Hae tulokset');
INSERT INTO `lang_definitions` VALUES (135642, 5672, 40, 'Hae tulokset:');
INSERT INTO `lang_definitions` VALUES (135643, 5677, 40, 'Hae tapahtumia');
INSERT INTO `lang_definitions` VALUES (135644, 5678, 40, 'Hae/Lisää');
INSERT INTO `lang_definitions` VALUES (135645, 5679, 40, 'Hae/Lisää vakuuttaja');
INSERT INTO `lang_definitions` VALUES (135646, 5680, 40, 'Tapaamisten haku');
INSERT INTO `lang_definitions` VALUES (135647, 5681, 40, 'Hakee…');
INSERT INTO `lang_definitions` VALUES (135648, 5682, 40, 'Turvavyön käyttö');
INSERT INTO `lang_definitions` VALUES (135649, 5683, 40, 'Turvavyön käyttö');
INSERT INTO `lang_definitions` VALUES (135650, 5684, 40, 'Toinen');
INSERT INTO `lang_definitions` VALUES (135651, 5687, 40, 'Toissijainen');
INSERT INTO `lang_definitions` VALUES (135652, 5688, 40, 'Toissijainen vakuutus');
INSERT INTO `lang_definitions` VALUES (135653, 5690, 40, 'Toissijainen vakuutusyhtiö');
INSERT INTO `lang_definitions` VALUES (135654, 5699, 40, 'Näytä kaikki');
INSERT INTO `lang_definitions` VALUES (135655, 5709, 40, 'Valitse');
INSERT INTO `lang_definitions` VALUES (135656, 5710, 40, 'valitse');
INSERT INTO `lang_definitions` VALUES (135657, 5715, 40, 'Valitse käyttäjä');
INSERT INTO `lang_definitions` VALUES (135658, 5716, 40, 'Valitse kaikki');
INSERT INTO `lang_definitions` VALUES (135659, 5720, 40, 'Valitse luokka');
INSERT INTO `lang_definitions` VALUES (135660, 5724, 40, 'Valitse CSV taulu');
INSERT INTO `lang_definitions` VALUES (135661, 5727, 40, 'Valitse päivä');
INSERT INTO `lang_definitions` VALUES (135662, 5731, 40, 'Valitse lääke');
INSERT INTO `lang_definitions` VALUES (135663, 5732, 40, 'Valitse lääkkeet');
INSERT INTO `lang_definitions` VALUES (135664, 5736, 40, 'Valitse kenttä');
INSERT INTO `lang_definitions` VALUES (135665, 5737, 40, 'Valitse kentät');
INSERT INTO `lang_definitions` VALUES (135666, 5738, 40, 'Valitse tulostettavaksi');
INSERT INTO `lang_definitions` VALUES (135667, 5744, 40, 'Valitse kieli');
INSERT INTO `lang_definitions` VALUES (135668, 5747, 40, 'Valitse yksi tai useampi tiedosto ladattavaksi');
INSERT INTO `lang_definitions` VALUES (135669, 5752, 40, 'Valitse lähde');
INSERT INTO `lang_definitions` VALUES (135670, 5753, 40, 'Valitse malli');
INSERT INTO `lang_definitions` VALUES (135671, 5759, 40, 'Valitse käyttäjä');
INSERT INTO `lang_definitions` VALUES (135672, 5760, 40, 'Valitse käyttäjät pudotusvalikosta');
INSERT INTO `lang_definitions` VALUES (135673, 5761, 40, 'Valitse kielet, jos mitkään, valittavaksi kirjautumisessa. Tarpeellinen vain jos \"Kaikki kielet sallittu\" ei ole päällä.');
INSERT INTO `lang_definitions` VALUES (135674, 5765, 40, 'Valitut');
INSERT INTO `lang_definitions` VALUES (135675, 5766, 40, 'Valittu käynti');
INSERT INTO `lang_definitions` VALUES (135676, 5771, 40, 'Lähetä');
INSERT INTO `lang_definitions` VALUES (135677, 5772, 40, 'Lähetä päivätty muistutus');
INSERT INTO `lang_definitions` VALUES (135678, 5773, 40, 'Lähetä muistutus');
INSERT INTO `lang_definitions` VALUES (135679, 5774, 40, 'Lähetys käynnissä');
INSERT INTO `lang_definitions` VALUES (135680, 5775, 40, 'Lähetä viesti');
INSERT INTO `lang_definitions` VALUES (135681, 5779, 40, 'Lähetä tämä tiedosto');
INSERT INTO `lang_definitions` VALUES (135682, 5780, 40, 'Lähetä tämä viesti');
INSERT INTO `lang_definitions` VALUES (135683, 5781, 40, 'Lähetä kohteelle');
INSERT INTO `lang_definitions` VALUES (135684, 5784, 40, 'Lähetä kaikille');
INSERT INTO `lang_definitions` VALUES (135685, 5786, 40, 'Lähetä portaaliin');
INSERT INTO `lang_definitions` VALUES (135686, 5787, 40, 'Lähetä portaaliin');
INSERT INTO `lang_definitions` VALUES (135687, 5788, 40, 'Lähettäjä');
INSERT INTO `lang_definitions` VALUES (135688, 5789, 40, 'Lähettäjän tunniste');
INSERT INTO `lang_definitions` VALUES (135689, 5790, 40, 'Lähettäjän tunniste (ISA06)');
INSERT INTO `lang_definitions` VALUES (135690, 5792, 40, 'Lähettäjän tunnisteet');
INSERT INTO `lang_definitions` VALUES (135691, 5797, 40, 'Lähetetty');
INSERT INTO `lang_definitions` VALUES (135692, 5798, 40, 'Lähetetty - Varmistettu');
INSERT INTO `lang_definitions` VALUES (135693, 5800, 40, 'Lähettäjä:');
INSERT INTO `lang_definitions` VALUES (135694, 5801, 40, 'Lähetyspäivä');
INSERT INTO `lang_definitions` VALUES (135695, 5802, 40, 'Lähetetyt');
INSERT INTO `lang_definitions` VALUES (135696, 5804, 40, 'Lähetys onnistui');
INSERT INTO `lang_definitions` VALUES (135697, 5807, 40, 'lähetetty tulostimelle.');
INSERT INTO `lang_definitions` VALUES (135698, 5809, 40, 'Vastaanottaja:');
INSERT INTO `lang_definitions` VALUES (135699, 5810, 40, 'Lähetetty, mutta toimitusta ei vielä varmistettu.');
INSERT INTO `lang_definitions` VALUES (135700, 5811, 40, 'Lähetetty, ei vastaanotettu');
INSERT INTO `lang_definitions` VALUES (135701, 5812, 40, 'Syyskuu');
INSERT INTO `lang_definitions` VALUES (135702, 5813, 40, 'Eronnut');
INSERT INTO `lang_definitions` VALUES (135703, 5814, 40, 'Syyskuu');
INSERT INTO `lang_definitions` VALUES (135704, 5855, 40, 'Sukupuoli');
INSERT INTO `lang_definitions` VALUES (135705, 5856, 40, 'Sukupuolitauti');
INSERT INTO `lang_definitions` VALUES (135706, 5863, 40, 'Lyhyt kuvaus');
INSERT INTO `lang_definitions` VALUES (135707, 5877, 40, 'Näytä');
INSERT INTO `lang_definitions` VALUES (135708, 5878, 40, 'Näytä aktiiviset');
INSERT INTO `lang_definitions` VALUES (135709, 5880, 40, 'Näytä kaikki');
INSERT INTO `lang_definitions` VALUES (135710, 5884, 40, 'Näytä varatut');
INSERT INTO `lang_definitions` VALUES (135711, 5886, 40, 'Näytä vapaat ajat');
INSERT INTO `lang_definitions` VALUES (135712, 5887, 40, 'Näytä sekä imperial- että metrijärjestelmä (oletus metri)');
INSERT INTO `lang_definitions` VALUES (135713, 5888, 40, 'Näytä sekä imperial- että metrijärjestelmä (oletus Imperial)');
INSERT INTO `lang_definitions` VALUES (135714, 5889, 40, 'Näytä yksityiskohdat');
INSERT INTO `lang_definitions` VALUES (135715, 5890, 40, 'Näytä vain virheet');
INSERT INTO `lang_definitions` VALUES (135716, 5894, 40, 'Näytä passiiviset');
INSERT INTO `lang_definitions` VALUES (135717, 5896, 40, 'Näytä valikko');
INSERT INTO `lang_definitions` VALUES (135718, 5897, 40, 'Näytä vain metrijärjestelmä');
INSERT INTO `lang_definitions` VALUES (135719, 5898, 40, 'Näytä merkinnät');
INSERT INTO `lang_definitions` VALUES (135720, 5901, 40, 'Näytä potilasmerkinnät');
INSERT INTO `lang_definitions` VALUES (135721, 5902, 40, 'Näytä paunat ja unssit');
INSERT INTO `lang_definitions` VALUES (135722, 5903, 40, 'Näytä paunat desimaaleina');
INSERT INTO `lang_definitions` VALUES (135723, 5905, 40, 'Näytä muistutukset');
INSERT INTO `lang_definitions` VALUES (135724, 5906, 40, 'Näytä raportti');
INSERT INTO `lang_definitions` VALUES (135725, 5913, 40, 'Näytä vain laskuttamattomat');
INSERT INTO `lang_definitions` VALUES (135726, 5915, 40, 'Näytetään');
INSERT INTO `lang_definitions` VALUES (135727, 5916, 40, 'Näytetään tulokset');
INSERT INTO `lang_definitions` VALUES (135728, 5920, 40, 'Sisarukset');
INSERT INTO `lang_definitions` VALUES (135729, 5933, 40, 'Yksinkertaistettu');
INSERT INTO `lang_definitions` VALUES (135730, 5934, 40, 'Yksinkertaistettu omavastuu');
INSERT INTO `lang_definitions` VALUES (135731, 5935, 40, 'Yksinkertaistettu demografia');
INSERT INTO `lang_definitions` VALUES (135732, 5936, 40, 'Yksinkertaistetut lääkemääräykset');
INSERT INTO `lang_definitions` VALUES (135733, 5938, 40, 'Terveisin,');
INSERT INTO `lang_definitions` VALUES (135734, 5940, 40, 'Naimaton');
INSERT INTO `lang_definitions` VALUES (135735, 5959, 40, 'Iho');
INSERT INTO `lang_definitions` VALUES (135736, 5960, 40, 'Ihosyöpä');
INSERT INTO `lang_definitions` VALUES (135737, 5961, 40, 'Ihotauti');
INSERT INTO `lang_definitions` VALUES (135738, 5977, 40, 'SMS Luoja');
INSERT INTO `lang_definitions` VALUES (135739, 5986, 40, 'SMS lähetetty');
INSERT INTO `lang_definitions` VALUES (135740, 6012, 40, 'Somali');
INSERT INTO `lang_definitions` VALUES (135741, 6048, 40, 'Lähde');
INSERT INTO `lang_definitions` VALUES (135742, 6057, 40, 'Lähde');
INSERT INTO `lang_definitions` VALUES (135743, 6060, 40, 'Välilyönti');
INSERT INTO `lang_definitions` VALUES (135744, 6062, 40, 'Espanja');
INSERT INTO `lang_definitions` VALUES (135745, 6063, 40, 'Espanja (Latinalais-amerikkalainen)');
INSERT INTO `lang_definitions` VALUES (135746, 6064, 40, 'Espanja (Espanja)');
INSERT INTO `lang_definitions` VALUES (135747, 6095, 40, 'Puoliso');
INSERT INTO `lang_definitions` VALUES (135748, 6096, 40, 'Puolison historia');
INSERT INTO `lang_definitions` VALUES (135749, 6111, 40, 'Sotu');
INSERT INTO `lang_definitions` VALUES (135750, 6113, 40, 'Sotu');
INSERT INTO `lang_definitions` VALUES (135751, 6153, 40, 'Tila');
INSERT INTO `lang_definitions` VALUES (135752, 6156, 40, 'Vallitseva tila');
INSERT INTO `lang_definitions` VALUES (135753, 6189, 40, 'Alikategoria');
INSERT INTO `lang_definitions` VALUES (135754, 6190, 40, 'Välisumma');
INSERT INTO `lang_definitions` VALUES (135755, 6191, 40, 'Alikategoria');
INSERT INTO `lang_definitions` VALUES (135756, 6192, 40, 'alikategoria');
INSERT INTO `lang_definitions` VALUES (135757, 6194, 40, 'Aihe');
INSERT INTO `lang_definitions` VALUES (135758, 6195, 40, 'Tulosyy');
INSERT INTO `lang_definitions` VALUES (135759, 6198, 40, 'Lähetä');
INSERT INTO `lang_definitions` VALUES (135760, 6199, 40, 'lähetä');
INSERT INTO `lang_definitions` VALUES (135761, 6200, 40, 'Lähetä koko sisältö');
INSERT INTO `lang_definitions` VALUES (135762, 6201, 40, 'Lähetä ja poista pyyntö');
INSERT INTO `lang_definitions` VALUES (135763, 6202, 40, 'Lähetä tapahtuma');
INSERT INTO `lang_definitions` VALUES (135764, 6203, 40, 'lähetä lomake');
INSERT INTO `lang_definitions` VALUES (135765, 6205, 40, 'lähetetty');
INSERT INTO `lang_definitions` VALUES (135766, 6206, 40, 'Lähettäjä');
INSERT INTO `lang_definitions` VALUES (135767, 6208, 40, 'Tilaaja');
INSERT INTO `lang_definitions` VALUES (135768, 6209, 40, 'Tilaajan osoite');
INSERT INTO `lang_definitions` VALUES (135769, 6261, 40, 'Yhteenveto');
INSERT INTO `lang_definitions` VALUES (135770, 6265, 40, 'Su');
INSERT INTO `lang_definitions` VALUES (135771, 6266, 40, 'Sunda');
INSERT INTO `lang_definitions` VALUES (135772, 6267, 40, 'Sunnuntai');
INSERT INTO `lang_definitions` VALUES (135773, 6300, 40, 'Ruotsi');
INSERT INTO `lang_definitions` VALUES (135774, 6308, 40, 'Synkronoi');
INSERT INTO `lang_definitions` VALUES (135775, 6325, 40, 'Taulu');
INSERT INTO `lang_definitions` VALUES (135776, 6327, 40, 'Taulun luominen epäonnistui');
INSERT INTO `lang_definitions` VALUES (135777, 6328, 40, 'Taulun päivitys epäonnistui');
INSERT INTO `lang_definitions` VALUES (135778, 6329, 40, 'Taulut');
INSERT INTO `lang_definitions` VALUES (135779, 6340, 40, 'Korkea navigaatiopalkki');
INSERT INTO `lang_definitions` VALUES (135780, 6352, 40, 'Tataari');
INSERT INTO `lang_definitions` VALUES (135781, 6364, 40, 'Puhelimen maakoodi');
INSERT INTO `lang_definitions` VALUES (135782, 6366, 40, 'Lämpö');
INSERT INTO `lang_definitions` VALUES (135783, 6367, 40, 'Mittauspaikka');
INSERT INTO `lang_definitions` VALUES (135784, 6368, 40, 'Mittaustapa');
INSERT INTO `lang_definitions` VALUES (135785, 6369, 40, 'Lämpö');
INSERT INTO `lang_definitions` VALUES (135786, 6370, 40, 'Malline');
INSERT INTO `lang_definitions` VALUES (135787, 6371, 40, 'Mallinteen nimi');
INSERT INTO `lang_definitions` VALUES (135788, 6372, 40, 'Mallinteiden nimet eivät voi alkaa numeroilla.');
INSERT INTO `lang_definitions` VALUES (135789, 6373, 40, 'Malline:');
INSERT INTO `lang_definitions` VALUES (135790, 6374, 40, 'Mallinteet');
INSERT INTO `lang_definitions` VALUES (135791, 6385, 40, 'Teksti');
INSERT INTO `lang_definitions` VALUES (135792, 6386, 40, 'Diagnoositeksi');
INSERT INTO `lang_definitions` VALUES (135793, 6387, 40, 'Tekstikenttä');
INSERT INTO `lang_definitions` VALUES (135794, 6395, 40, 'Tekstialue');
INSERT INTO `lang_definitions` VALUES (135795, 6396, 40, 'tekstialue');
INSERT INTO `lang_definitions` VALUES (135796, 6397, 40, 'Tekstilaatikko');
INSERT INTO `lang_definitions` VALUES (135797, 6398, 40, 'tekstilaatikko');
INSERT INTO `lang_definitions` VALUES (135798, 6399, 40, 'Tekstilaatikko listalla');
INSERT INTO `lang_definitions` VALUES (135799, 6400, 40, 'tekstilaatikko listalla');
INSERT INTO `lang_definitions` VALUES (135800, 6493, 40, 'Malli');
INSERT INTO `lang_definitions` VALUES (135801, 6629, 40, 'To');
INSERT INTO `lang_definitions` VALUES (135802, 6630, 40, 'Torstai');
INSERT INTO `lang_definitions` VALUES (135803, 6631, 40, 'Torstai');
INSERT INTO `lang_definitions` VALUES (135804, 6638, 40, 'Aika');
INSERT INTO `lang_definitions` VALUES (135805, 6639, 40, 'Ajan esitysmuoto');
INSERT INTO `lang_definitions` VALUES (135806, 6658, 40, 'Päättyen');
INSERT INTO `lang_definitions` VALUES (135807, 6667, 40, 'Laskutusnäkymään');
INSERT INTO `lang_definitions` VALUES (135808, 6668, 40, 'luokkaan');
INSERT INTO `lang_definitions` VALUES (135809, 6669, 40, 'Kliiniseen näkymään');
INSERT INTO `lang_definitions` VALUES (135810, 6670, 40, 'Omavastuuseen');
INSERT INTO `lang_definitions` VALUES (135811, 6693, 40, 'Vastaanottaja:');
INSERT INTO `lang_definitions` VALUES (135812, 6694, 40, 'Vastaanottaja: ');
INSERT INTO `lang_definitions` VALUES (135813, 6708, 40, 'Tupakointi');
INSERT INTO `lang_definitions` VALUES (135814, 6715, 40, 'Tänään');
INSERT INTO `lang_definitions` VALUES (135815, 6716, 40, 'TÄNÄÄN');
INSERT INTO `lang_definitions` VALUES (135816, 6717, 40, 'tänään');
INSERT INTO `lang_definitions` VALUES (135817, 6728, 40, 'Ylä');
INSERT INTO `lang_definitions` VALUES (135818, 6729, 40, 'Ylämarginaali (mm)');
INSERT INTO `lang_definitions` VALUES (135819, 6730, 40, 'Aihe');
INSERT INTO `lang_definitions` VALUES (135820, 6731, 40, 'Yhteensä');
INSERT INTO `lang_definitions` VALUES (135821, 6732, 40, 'yhteensä');
INSERT INTO `lang_definitions` VALUES (135822, 6734, 40, 'Aktiiviset muistutukset yhteensä päivityksen jälkeen');
INSERT INTO `lang_definitions` VALUES (135823, 6735, 40, 'Aktiiviset muistutukset yhteensä ennen päivitystä');
INSERT INTO `lang_definitions` VALUES (135824, 6737, 40, 'Maksettava kokonaissumma');
INSERT INTO `lang_definitions` VALUES (135825, 6738, 40, 'Maksettu kokonaissumma');
INSERT INTO `lang_definitions` VALUES (135826, 6739, 40, 'Maksettava kokonaissaldo');
INSERT INTO `lang_definitions` VALUES (135827, 6740, 40, 'Kokonaisveloitus');
INSERT INTO `lang_definitions` VALUES (135828, 6741, 40, 'Veloitukset yhteensä');
INSERT INTO `lang_definitions` VALUES (135829, 6742, 40, 'Asiakkaat yhteensä');
INSERT INTO `lang_definitions` VALUES (135830, 6743, 40, 'Kokonaiskustannus');
INSERT INTO `lang_definitions` VALUES (135831, 6752, 40, 'Uudet muistutukset yhteensä');
INSERT INTO `lang_definitions` VALUES (135832, 6753, 40, 'Ajanvarausten määrä yhteensä');
INSERT INTO `lang_definitions` VALUES (135833, 6758, 40, 'Potilaiden määrä yhteensä');
INSERT INTO `lang_definitions` VALUES (135834, 6761, 40, 'Potilaat yhteensä');
INSERT INTO `lang_definitions` VALUES (135835, 6780, 40, 'päättyen{{range}}');
INSERT INTO `lang_definitions` VALUES (135836, 6808, 40, 'Käännä tapaamisten luokat');
INSERT INTO `lang_definitions` VALUES (135837, 6809, 40, 'Käännä asiakirjojen luokat');
INSERT INTO `lang_definitions` VALUES (135838, 6810, 40, 'Käännä ulkoasut');
INSERT INTO `lang_definitions` VALUES (135839, 6811, 40, 'Käännä listat');
INSERT INTO `lang_definitions` VALUES (135840, 6813, 40, 'käännä tämä');
INSERT INTO `lang_definitions` VALUES (135841, 6814, 40, 'Käännös');
INSERT INTO `lang_definitions` VALUES (135842, 6815, 40, 'Käännökset');
INSERT INTO `lang_definitions` VALUES (135843, 6820, 40, 'Hoito');
INSERT INTO `lang_definitions` VALUES (135844, 6822, 40, 'Hoidon tavoitteet');
INSERT INTO `lang_definitions` VALUES (135845, 6823, 40, 'Hoitosuunnitelma');
INSERT INTO `lang_definitions` VALUES (135846, 6824, 40, 'Hoidon suunnittelu');
INSERT INTO `lang_definitions` VALUES (135847, 6826, 40, 'Hoito:');
INSERT INTO `lang_definitions` VALUES (135848, 6827, 40, 'Hoito: ');
INSERT INTO `lang_definitions` VALUES (135849, 6841, 40, 'Ti');
INSERT INTO `lang_definitions` VALUES (135850, 6842, 40, 'Ti & To');
INSERT INTO `lang_definitions` VALUES (135851, 6843, 40, 'Tiistai');
INSERT INTO `lang_definitions` VALUES (135852, 6851, 40, 'Tyyppi');
INSERT INTO `lang_definitions` VALUES (135853, 6869, 40, 'Ei pääsyä hakemistoon');
INSERT INTO `lang_definitions` VALUES (135854, 6870, 40, 'Ei pääsyä URL:iin');
INSERT INTO `lang_definitions` VALUES (135855, 6871, 40, 'Luominen ei onnistu');
INSERT INTO `lang_definitions` VALUES (135856, 6877, 40, 'Määrittämätön');
INSERT INTO `lang_definitions` VALUES (135857, 6878, 40, 'Ei valtuutusta');
INSERT INTO `lang_definitions` VALUES (135858, 6879, 40, 'Ei valtuutusta pääsyyn eResepteihin');
INSERT INTO `lang_definitions` VALUES (135859, 6880, 40, 'Ei valtuutusta pääsyyn.');
INSERT INTO `lang_definitions` VALUES (135860, 6899, 40, 'Yksikkö');
INSERT INTO `lang_definitions` VALUES (135861, 6904, 40, 'Yksikön on oltava numeerinen');
INSERT INTO `lang_definitions` VALUES (135862, 6915, 40, 'Rekisteröimättömät');
INSERT INTO `lang_definitions` VALUES (135863, 6916, 40, 'Rekisteröimättömät moduulit');
INSERT INTO `lang_definitions` VALUES (135864, 6926, 40, 'Käyttämätön');
INSERT INTO `lang_definitions` VALUES (135865, 6929, 40, 'Tulevat ajanvaraukset');
INSERT INTO `lang_definitions` VALUES (135866, 6930, 40, 'Tulevat tapahtumat');
INSERT INTO `lang_definitions` VALUES (135867, 6931, 40, 'Päivitä');
INSERT INTO `lang_definitions` VALUES (135868, 6932, 40, 'päivitä');
INSERT INTO `lang_definitions` VALUES (135869, 6933, 40, 'Päivitys käynnissä');
INSERT INTO `lang_definitions` VALUES (135870, 6934, 40, 'Päivitä tiedostot');
INSERT INTO `lang_definitions` VALUES (135871, 6935, 40, 'Päivitä tiedot');
INSERT INTO `lang_definitions` VALUES (135872, 6936, 40, 'Päivitä lista');
INSERT INTO `lang_definitions` VALUES (135873, 6938, 40, 'Päivitä valitut kohteet');
INSERT INTO `lang_definitions` VALUES (135874, 6939, 40, 'Päivitä seuraavat muuttujat tiedostossa');
INSERT INTO `lang_definitions` VALUES (135875, 6940, 40, 'Päivitä käyttäjän tiedot');
INSERT INTO `lang_definitions` VALUES (135876, 6943, 40, 'Päivitetään yleisiä asetuksia oletuksiin');
INSERT INTO `lang_definitions` VALUES (135877, 6967, 40, 'Urdu');
INSERT INTO `lang_definitions` VALUES (135878, 6977, 40, 'URL');
INSERT INTO `lang_definitions` VALUES (135879, 6979, 40, 'LibreEHR tukisivujen URL');
INSERT INTO `lang_definitions` VALUES (135880, 6982, 40, 'URL WordPress-sivustolle joka tukee portaalia');
INSERT INTO `lang_definitions` VALUES (135881, 6988, 40, 'Käytä 24 tunnin aikamääritystä?');
INSERT INTO `lang_definitions` VALUES (135882, 6991, 40, 'Käytä Veloitukset-paneelia');
INSERT INTO `lang_definitions` VALUES (135883, 6999, 40, 'Käytä aikaväliä');
INSERT INTO `lang_definitions` VALUES (135884, 7002, 40, 'Käytä kansainvälistä päiväystapaa?');
INSERT INTO `lang_definitions` VALUES (135885, 7007, 40, 'Käyttäjä');
INSERT INTO `lang_definitions` VALUES (135886, 7009, 40, 'Käyttäjä / Ryhmät');
INSERT INTO `lang_definitions` VALUES (135887, 7010, 40, 'Käyttäjien hallinta');
INSERT INTO `lang_definitions` VALUES (135888, 7011, 40, 'Käyttäjien ja tilojen hallinta');
INSERT INTO `lang_definitions` VALUES (135889, 7012, 40, 'Käyttäjien ja ryhmien hallinta');
INSERT INTO `lang_definitions` VALUES (135890, 7013, 40, 'Käyttäjää ei voi poistaa');
INSERT INTO `lang_definitions` VALUES (135891, 7015, 40, 'Käyttäjän määrittelemä');
INSERT INTO `lang_definitions` VALUES (135892, 7016, 40, 'Käyttäjän määrittelemä alue 11');
INSERT INTO `lang_definitions` VALUES (135893, 7017, 40, 'Käyttäjän määrittelemä alue 12');
INSERT INTO `lang_definitions` VALUES (135894, 7018, 40, 'Käyttäjän määrittelemä kenttä');
INSERT INTO `lang_definitions` VALUES (135895, 7019, 40, 'Käyttäjän määrittelemä lista 1');
INSERT INTO `lang_definitions` VALUES (135896, 7020, 40, 'Käyttäjän määrittelemä lista 2');
INSERT INTO `lang_definitions` VALUES (135897, 7021, 40, 'Käyttäjän määrittelemä lista 3');
INSERT INTO `lang_definitions` VALUES (135898, 7022, 40, 'Käyttäjän määrittelemä lista 4');
INSERT INTO `lang_definitions` VALUES (135899, 7023, 40, 'Käyttäjän määrittelemä lista 5');
INSERT INTO `lang_definitions` VALUES (135900, 7024, 40, 'Käyttäjän määrittelemä lista 6');
INSERT INTO `lang_definitions` VALUES (135901, 7025, 40, 'Käyttäjän määrittelemä lista 7');
INSERT INTO `lang_definitions` VALUES (135902, 7026, 40, 'Käyttäjän määrittelemä teksti 1');
INSERT INTO `lang_definitions` VALUES (135903, 7027, 40, 'Käyttäjän määrittelemä teksti 2');
INSERT INTO `lang_definitions` VALUES (135904, 7028, 40, 'Käyttäjän määrittelemä teksti 3');
INSERT INTO `lang_definitions` VALUES (135905, 7029, 40, 'Käyttäjän määrittelemä teksti 4');
INSERT INTO `lang_definitions` VALUES (135906, 7030, 40, 'Käyttäjän määrittelemä teksti 5');
INSERT INTO `lang_definitions` VALUES (135907, 7031, 40, 'Käyttäjän määrittelemä teksti 6');
INSERT INTO `lang_definitions` VALUES (135908, 7032, 40, 'Käyttäjän määrittelemä teksti 7');
INSERT INTO `lang_definitions` VALUES (135909, 7033, 40, 'Käyttäjän määrittelemä teksti 8');
INSERT INTO `lang_definitions` VALUES (135910, 7034, 40, 'Käyttäjän etunimi');
INSERT INTO `lang_definitions` VALUES (135911, 7040, 40, 'Käyttäjän jäsenyydet');
INSERT INTO `lang_definitions` VALUES (135912, 7041, 40, 'Käyttäjän nimi');
INSERT INTO `lang_definitions` VALUES (135913, 7046, 40, 'Käyttäjän asetukset');
INSERT INTO `lang_definitions` VALUES (135914, 7047, 40, 'Käyttäjäkohtaiset asetukset');
INSERT INTO `lang_definitions` VALUES (135915, 7048, 40, 'Käyttäjän uusi salasana');
INSERT INTO `lang_definitions` VALUES (135916, 7049, 40, 'Käyttäjätunnus');
INSERT INTO `lang_definitions` VALUES (135917, 7055, 40, 'Käyttäjätunnus:');
INSERT INTO `lang_definitions` VALUES (135918, 7056, 40, 'Käyttäjät');
INSERT INTO `lang_definitions` VALUES (135919, 7062, 40, 'LOMA');
INSERT INTO `lang_definitions` VALUES (135920, 7063, 40, 'Loma');
INSERT INTO `lang_definitions` VALUES (135921, 7068, 40, 'Arvo');
INSERT INTO `lang_definitions` VALUES (135922, 7069, 40, 'Arvo 1');
INSERT INTO `lang_definitions` VALUES (135923, 7070, 40, 'Arvo 2');
INSERT INTO `lang_definitions` VALUES (135924, 7072, 40, 'Arvon tulee olla numeerinen');
INSERT INTO `lang_definitions` VALUES (135925, 7090, 40, 'katso');
INSERT INTO `lang_definitions` VALUES (135926, 7091, 40, 'Katso');
INSERT INTO `lang_definitions` VALUES (135927, 7092, 40, 'Katso allergiat');
INSERT INTO `lang_definitions` VALUES (135928, 7098, 40, 'Katso CSV taulut');
INSERT INTO `lang_definitions` VALUES (135929, 7100, 40, 'Katso dokumenttia');
INSERT INTO `lang_definitions` VALUES (135930, 7103, 40, 'Näytetäänkö tapahtumat ponnahdusikkunassa?');
INSERT INTO `lang_definitions` VALUES (135931, 7108, 40, 'Katso sivu 1');
INSERT INTO `lang_definitions` VALUES (135932, 7109, 40, 'Katso sivu 2');
INSERT INTO `lang_definitions` VALUES (135933, 7110, 40, 'Katso menneitä ja tulevia muistutuksia');
INSERT INTO `lang_definitions` VALUES (135934, 7111, 40, 'Näytä potilas');
INSERT INTO `lang_definitions` VALUES (135935, 7117, 40, 'Näytä raportti');
INSERT INTO `lang_definitions` VALUES (135936, 7118, 40, 'Näytä LUE MINUT tiedosto');
INSERT INTO `lang_definitions` VALUES (135937, 7123, 40, 'Näytä/Tulosta');
INSERT INTO `lang_definitions` VALUES (135938, 7124, 40, 'Näytä:');
INSERT INTO `lang_definitions` VALUES (135939, 7125, 40, 'VISA');
INSERT INTO `lang_definitions` VALUES (135940, 7126, 40, 'VISA/MC/AMEX/Dis');
INSERT INTO `lang_definitions` VALUES (135941, 7132, 40, 'Käyntiluokka');
INSERT INTO `lang_definitions` VALUES (135942, 7133, 40, 'Käyntiluokka:');
INSERT INTO `lang_definitions` VALUES (135943, 7134, 40, 'Käyntipäivä');
INSERT INTO `lang_definitions` VALUES (135944, 7135, 40, 'Käyntipäivä');
INSERT INTO `lang_definitions` VALUES (135945, 7137, 40, 'Käyntilomake');
INSERT INTO `lang_definitions` VALUES (135946, 7138, 40, 'Käyntihistoria');
INSERT INTO `lang_definitions` VALUES (135947, 7140, 40, 'Käynnit');
INSERT INTO `lang_definitions` VALUES (135948, 7141, 40, 'Käynnit alkaen');
INSERT INTO `lang_definitions` VALUES (135949, 7143, 40, 'Elintoiminnot');
INSERT INTO `lang_definitions` VALUES (135950, 7144, 40, 'Elintoiminnot (metrinen)');
INSERT INTO `lang_definitions` VALUES (135951, 7145, 40, 'Elintoimintolomakkeen asetukset');
INSERT INTO `lang_definitions` VALUES (135952, 7147, 40, 'Puheviesti lähetetty');
INSERT INTO `lang_definitions` VALUES (135953, 7149, 40, 'Oksentaminen');
INSERT INTO `lang_definitions` VALUES (135954, 7152, 40, 'Vyötärön ympärys');
INSERT INTO `lang_definitions` VALUES (135955, 7153, 40, 'Vyötärön ympärys');
INSERT INTO `lang_definitions` VALUES (135956, 7154, 40, 'Odottava');
INSERT INTO `lang_definitions` VALUES (135957, 7158, 40, 'Varasto');
INSERT INTO `lang_definitions` VALUES (135958, 7161, 40, 'Varastot');
INSERT INTO `lang_definitions` VALUES (135959, 7162, 40, 'Lämmin');
INSERT INTO `lang_definitions` VALUES (135960, 7163, 40, 'Varoitus');
INSERT INTO `lang_definitions` VALUES (135961, 7164, 40, 'VAROITUS');
INSERT INTO `lang_definitions` VALUES (135962, 7166, 40, 'Varoitus, shekin numero on jo tietokannassa');
INSERT INTO `lang_definitions` VALUES (135963, 7168, 40, 'Varoitus: Potilaalle on varattu jo aika tälle päivälle!');
INSERT INTO `lang_definitions` VALUES (135964, 7170, 40, 'Varoitus: Potilaan tunniste ei ole uniikki!');
INSERT INTO `lang_definitions` VALUES (135965, 7173, 40, 'Varoitukset');
INSERT INTO `lang_definitions` VALUES (135966, 7181, 40, 'Nettihaku');
INSERT INTO `lang_definitions` VALUES (135967, 7182, 40, 'Nettisivut');
INSERT INTO `lang_definitions` VALUES (135968, 7184, 40, 'Ke');
INSERT INTO `lang_definitions` VALUES (135969, 7185, 40, 'Keskiviikko');
INSERT INTO `lang_definitions` VALUES (135970, 7186, 40, 'Viikko');
INSERT INTO `lang_definitions` VALUES (135971, 7187, 40, 'viikko');
INSERT INTO `lang_definitions` VALUES (135972, 7188, 40, 'Viikkonäkymä');
INSERT INTO `lang_definitions` VALUES (135973, 7189, 40, 'Viikko/Viikot');
INSERT INTO `lang_definitions` VALUES (135974, 7191, 40, 'viikot');
INSERT INTO `lang_definitions` VALUES (135975, 7192, 40, 'Viikot');
INSERT INTO `lang_definitions` VALUES (135976, 7193, 40, 'Paino');
INSERT INTO `lang_definitions` VALUES (135977, 7196, 40, 'Painonvaihtelu');
INSERT INTO `lang_definitions` VALUES (135978, 7197, 40, 'Painon menetys');
INSERT INTO `lang_definitions` VALUES (135979, 7198, 40, 'Laihdutusklinikka');
INSERT INTO `lang_definitions` VALUES (135980, 7199, 40, 'Tervetuloa');
INSERT INTO `lang_definitions` VALUES (135981, 7200, 40, 'Kymri');
INSERT INTO `lang_definitions` VALUES (135982, 7215, 40, 'Leski');
INSERT INTO `lang_definitions` VALUES (135983, 7230, 40, 'Ilman toimipaikkaa');
INSERT INTO `lang_definitions` VALUES (135984, 7231, 40, 'Ilman palvelun tuottajaa');
INSERT INTO `lang_definitions` VALUES (135985, 7232, 40, 'Ilman päivitystä');
INSERT INTO `lang_definitions` VALUES (135986, 7233, 40, 'Todistaja');
INSERT INTO `lang_definitions` VALUES (135987, 7237, 40, 'Naiset');
INSERT INTO `lang_definitions` VALUES (135988, 7238, 40, 'Vain naiset');
INSERT INTO `lang_definitions` VALUES (135989, 7239, 40, 'WordPress portaali');
INSERT INTO `lang_definitions` VALUES (135990, 7240, 40, 'Työ');
INSERT INTO `lang_definitions` VALUES (135991, 7242, 40, 'Puhelin (Työ)');
INSERT INTO `lang_definitions` VALUES (135992, 7243, 40, 'Työpuhelimen numero');
INSERT INTO `lang_definitions` VALUES (135993, 7244, 40, 'Työperäinen?');
INSERT INTO `lang_definitions` VALUES (135994, 7245, 40, 'Työ / Koulutus / Harrastukset');
INSERT INTO `lang_definitions` VALUES (135995, 7246, 40, 'Sairauslomatodistus');
INSERT INTO `lang_definitions` VALUES (135996, 7247, 40, 'työpäivä');
INSERT INTO `lang_definitions` VALUES (135997, 7251, 40, 'Työstää… tässä saattaa kulua hetki.');
INSERT INTO `lang_definitions` VALUES (135998, 7252, 40, 'Huonontunut');
INSERT INTO `lang_definitions` VALUES (135999, 7270, 40, 'rajoitettu kirjoitus');
INSERT INTO `lang_definitions` VALUES (136000, 7285, 40, 'Vuosi');
INSERT INTO `lang_definitions` VALUES (136001, 7286, 40, 'vuosi');
INSERT INTO `lang_definitions` VALUES (136002, 7287, 40, 'Vuosinäkymä');
INSERT INTO `lang_definitions` VALUES (136003, 7288, 40, 'Vuodet');
INSERT INTO `lang_definitions` VALUES (136004, 7289, 40, 'Vuotta');
INSERT INTO `lang_definitions` VALUES (136005, 7290, 40, 'Vuodet tai kuukaudet');
INSERT INTO `lang_definitions` VALUES (136006, 7291, 40, 'Vuodet, kuukaudet ja päivät');
INSERT INTO `lang_definitions` VALUES (136007, 7292, 40, 'KYLLÄ');
INSERT INTO `lang_definitions` VALUES (136008, 7293, 40, 'Kyllä');
INSERT INTO `lang_definitions` VALUES (136009, 7294, 40, 'kyllä');
INSERT INTO `lang_definitions` VALUES (136010, 7295, 40, 'KYLLÄ!');
INSERT INTO `lang_definitions` VALUES (136011, 7298, 40, 'Kyllä/Ei');
INSERT INTO `lang_definitions` VALUES (136012, 7299, 40, 'Kyllä:');
INSERT INTO `lang_definitions` VALUES (136013, 7333, 40, 'Voit jatkaa valittuasi joitakin kenttiä.');
INSERT INTO `lang_definitions` VALUES (136014, 7339, 40, 'Antamasi lopetuspäivä on puutteellinen');
INSERT INTO `lang_definitions` VALUES (136015, 7340, 40, 'Tapahtumasi on poistettu.');
INSERT INTO `lang_definitions` VALUES (136016, 7341, 40, 'Tapahtumaasi on muokattu.');
INSERT INTO `lang_definitions` VALUES (136017, 7342, 40, 'Tapahtumasi on lähetetty.');
INSERT INTO `lang_definitions` VALUES (136018, 7343, 40, 'Tiedostosi on liian suuri');
INSERT INTO `lang_definitions` VALUES (136019, 7348, 40, 'Salasanasi');
INSERT INTO `lang_definitions` VALUES (136020, 7349, 40, 'Salasanasi on vanhentunut. Vaihda salasanasi.');
INSERT INTO `lang_definitions` VALUES (136021, 7350, 40, 'Salasanasi vanhenee');
INSERT INTO `lang_definitions` VALUES (136022, 7351, 40, 'Salasanasi vanhenee tänään. Vaihda salasanasi.');
INSERT INTO `lang_definitions` VALUES (136023, 7358, 40, 'Aloituspäivä on virheellinen');
INSERT INTO `lang_definitions` VALUES (136024, 7359, 40, 'Lähetyksesi epäonnistui.');
INSERT INTO `lang_definitions` VALUES (136025, 7360, 40, 'vvvv-kk-pp');
INSERT INTO `lang_definitions` VALUES (136026, 7361, 40, 'VVVV-KK-PP');
INSERT INTO `lang_definitions` VALUES (136027, 7364, 40, 'vvvv-kk-pp syntymäaika');
INSERT INTO `lang_definitions` VALUES (136028, 7365, 40, 'vvvv-kk-pp syntymäaika');
INSERT INTO `lang_definitions` VALUES (136029, 7366, 40, 'vvvv-kk-pp päättymispäivä');
INSERT INTO `lang_definitions` VALUES (136030, 7376, 40, 'vvvv-kk-pp tapahtuman päivä tai aloituspäivä');
INSERT INTO `lang_definitions` VALUES (136031, 7377, 40, 'vvvv-kk-pp T:m lopetuspäivä');
INSERT INTO `lang_definitions` VALUES (136032, 7378, 40, 'vvvv-kk-pp T:m lopetuspäivä');
INSERT INTO `lang_definitions` VALUES (136033, 7379, 40, 'vvvv-kk-pp T:m aloituspäivä');
INSERT INTO `lang_definitions` VALUES (136034, 7380, 40, 'vvvv-kk-pp T:m aloituspäivä');
INSERT INTO `lang_definitions` VALUES (136035, 7381, 40, 'vvvv-kk-pp tt:mm:ss');
INSERT INTO `lang_definitions` VALUES (136036, 7382, 40, 'vvvv-kk-pp Tunnit(24):minuutit');
INSERT INTO `lang_definitions` VALUES (136037, 7383, 40, 'vvvv-kk-pp tapahtuman viimeinen päivä');
INSERT INTO `lang_definitions` VALUES (136038, 7386, 40, 'Zend moduuli');
INSERT INTO `lang_definitions` VALUES (136039, 7387, 40, 'Nolla');
INSERT INTO `lang_definitions` VALUES (136040, 7388, 40, 'Zhuang');
INSERT INTO `lang_definitions` VALUES (136041, 7389, 40, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (136042, 7390, 40, 'Postinumero');
INSERT INTO `lang_definitions` VALUES (136043, 7391, 40, 'Postinumero/Maa:');
INSERT INTO `lang_definitions` VALUES (136044, 7392, 40, 'Zulu');
INSERT INTO `lang_definitions` VALUES (136045, 7393, 40, ' mutta oli ');
INSERT INTO `lang_definitions` VALUES (136046, 7395, 40, 'Haluatko todellakin poistaa');
INSERT INTO `lang_definitions` VALUES (136047, 7396, 40, 'Lääke');
INSERT INTO `lang_definitions` VALUES (136048, 7397, 40, 'sähköpostia lähettämättä');
INSERT INTO `lang_definitions` VALUES (136049, 7399, 40, 'on luotu. ');
INSERT INTO `lang_definitions` VALUES (136050, 7400, 40, 'on avattu uudelleen.');
INSERT INTO `lang_definitions` VALUES (136051, 7401, 40, 'Historia');
INSERT INTO `lang_definitions` VALUES (136052, 7402, 40, 'ei ole numero');
INSERT INTO `lang_definitions` VALUES (136053, 7408, 40, 'ei löytynyt!');
INSERT INTO `lang_definitions` VALUES (136054, 7411, 40, 'kunnes');
INSERT INTO `lang_definitions` VALUES (136055, 7427, 40, '(% korvaa kaikkiin merkkijonot, _ korvaa kaikki kirjaimet)');
INSERT INTO `lang_definitions` VALUES (136056, 7429, 40, '(Takaisin)');
INSERT INTO `lang_definitions` VALUES (136057, 7432, 40, '(Lisää)');
INSERT INTO `lang_definitions` VALUES (136058, 7433, 40, '(Uusi potilas)');
INSERT INTO `lang_definitions` VALUES (136059, 7438, 40, '* Muistutus tehty');
INSERT INTO `lang_definitions` VALUES (136060, 7440, 40, '* Vaadittu');
INSERT INTO `lang_definitions` VALUES (136061, 7442, 40, '- Ei mikään');
INSERT INTO `lang_definitions` VALUES (136062, 7443, 40, '-- Kaikki --');
INSERT INTO `lang_definitions` VALUES (136063, 7444, 40, '-- Valitse rooli --');
INSERT INTO `lang_definitions` VALUES (136064, 7445, 40, '.');
INSERT INTO `lang_definitions` VALUES (136065, 7446, 40, '0');
INSERT INTO `lang_definitions` VALUES (136066, 7447, 40, '0-10');
INSERT INTO `lang_definitions` VALUES (136067, 7448, 40, '0-24');
INSERT INTO `lang_definitions` VALUES (136068, 7451, 40, '1');
INSERT INTO `lang_definitions` VALUES (136069, 7452, 40, '1=Pohjois-Amerikka. Katso osoitteesta http://www.wtng.info/ muiden maiden koodit.');
INSERT INTO `lang_definitions` VALUES (136070, 7458, 40, '11-14');
INSERT INTO `lang_definitions` VALUES (136071, 7459, 40, '12 t');
INSERT INTO `lang_definitions` VALUES (136072, 7460, 40, '15-19');
INSERT INTO `lang_definitions` VALUES (136073, 7461, 40, '1');
INSERT INTO `lang_definitions` VALUES (136074, 7462, 40, '2');
INSERT INTO `lang_definitions` VALUES (136075, 7467, 40, '2 - 20 vuotta');
INSERT INTO `lang_definitions` VALUES (136076, 7468, 40, '20-24');
INSERT INTO `lang_definitions` VALUES (136077, 7477, 40, '2111-13');
INSERT INTO `lang_definitions` VALUES (136078, 7478, 40, '24 t');
INSERT INTO `lang_definitions` VALUES (136079, 7479, 40, '25+');
INSERT INTO `lang_definitions` VALUES (136080, 7480, 40, '25-29');
INSERT INTO `lang_definitions` VALUES (136081, 7481, 40, '2');
INSERT INTO `lang_definitions` VALUES (136082, 7483, 40, '3 kuukautta');
INSERT INTO `lang_definitions` VALUES (136083, 7485, 40, 'Kolmasti päivässä');
INSERT INTO `lang_definitions` VALUES (136084, 7487, 40, '30-34');
INSERT INTO `lang_definitions` VALUES (136085, 7488, 40, '35-39');
INSERT INTO `lang_definitions` VALUES (136086, 7489, 40, '3');
INSERT INTO `lang_definitions` VALUES (136087, 7491, 40, '4 kuukautta');
INSERT INTO `lang_definitions` VALUES (136088, 7493, 40, 'Neljästi päivässä');
INSERT INTO `lang_definitions` VALUES (136089, 7495, 40, '40-44');
INSERT INTO `lang_definitions` VALUES (136090, 7496, 40, '45+');
INSERT INTO `lang_definitions` VALUES (136091, 7504, 40, '4');
INSERT INTO `lang_definitions` VALUES (136092, 7509, 40, '5');
INSERT INTO `lang_definitions` VALUES (136093, 7510, 40, '6 kuukautta');
INSERT INTO `lang_definitions` VALUES (136094, 7514, 40, '6');
INSERT INTO `lang_definitions` VALUES (136095, 7528, 40, '< Tutkimushuoneessa');
INSERT INTO `lang_definitions` VALUES (136096, 7530, 40, '?');
INSERT INTO `lang_definitions` VALUES (136097, 7531, 40, '? Ei saapunut');
INSERT INTO `lang_definitions` VALUES (136098, 7532, 40, '@ Saapunut');
INSERT INTO `lang_definitions` VALUES (136099, 7533, 40, '[Vaihda näkymää]');
INSERT INTO `lang_definitions` VALUES (136100, 7538, 40, '[ei suositella]');
INSERT INTO `lang_definitions` VALUES (136101, 7539, 40, '[Käyntien määrä]');
INSERT INTO `lang_definitions` VALUES (136102, 7540, 40, '[Raportit]');
INSERT INTO `lang_definitions` VALUES (136103, 7541, 40, '[Valitse kaikki]');
INSERT INTO `lang_definitions` VALUES (136104, 7542, 40, '[SQL-Ledger]');
INSERT INTO `lang_definitions` VALUES (136105, 7543, 40, '[Aloita ryhmäajon työstäminen]');
INSERT INTO `lang_definitions` VALUES (136106, 7544, 40, '[Näytä loki]');
INSERT INTO `lang_definitions` VALUES (136107, 7545, 40, '[Näytä tulostettava raportti]');
INSERT INTO `lang_definitions` VALUES (136108, 7546, 40, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (136109, 7547, 40, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (136110, 7548, 40, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (136111, 7549, 40, '~ Saapunut myöhässä');
INSERT INTO `lang_definitions` VALUES (136112, 25, 41, 'a.m');
INSERT INTO `lang_definitions` VALUES (136113, 27, 41, 'AB');
INSERT INTO `lang_definitions` VALUES (136114, 29, 41, '농양');
INSERT INTO `lang_definitions` VALUES (136115, 30, 41, '복부');
INSERT INTO `lang_definitions` VALUES (136116, 32, 41, '비정상');
INSERT INTO `lang_definitions` VALUES (136117, 34, 41, '비정상');
INSERT INTO `lang_definitions` VALUES (136118, 35, 41, '혈액검사 비정상');
INSERT INTO `lang_definitions` VALUES (136119, 36, 41, '모발자람 비정상');
INSERT INTO `lang_definitions` VALUES (136120, 37, 41, '유방쵤영 비정상');
INSERT INTO `lang_definitions` VALUES (136121, 39, 41, '유산');
INSERT INTO `lang_definitions` VALUES (136122, 41, 41, '유산 방법');
INSERT INTO `lang_definitions` VALUES (136123, 42, 41, '유산 관련 범주');
INSERT INTO `lang_definitions` VALUES (136124, 43, 41, '유산');
INSERT INTO `lang_definitions` VALUES (136125, 44, 41, '달력에 대하여');
INSERT INTO `lang_definitions` VALUES (136126, 64, 41, '통증');
INSERT INTO `lang_definitions` VALUES (136127, 67, 41, 'ACL');
INSERT INTO `lang_definitions` VALUES (136128, 71, 41, '여드름');
INSERT INTO `lang_definitions` VALUES (136129, 74, 41, '행위');
INSERT INTO `lang_definitions` VALUES (136130, 75, 41, '행위들');
INSERT INTO `lang_definitions` VALUES (136131, 87, 41, '활력');
INSERT INTO `lang_definitions` VALUES (136132, 88, 41, '활력 형태');
INSERT INTO `lang_definitions` VALUES (136133, 90, 41, '급성 중독/금단');
INSERT INTO `lang_definitions` VALUES (136134, 92, 41, '만성에 급성');
INSERT INTO `lang_definitions` VALUES (136135, 95, 41, 'ADD');
INSERT INTO `lang_definitions` VALUES (136136, 104, 41, '버튼추가');
INSERT INTO `lang_definitions` VALUES (136137, 126, 41, '새로 추가');
INSERT INTO `lang_definitions` VALUES (136138, 127, 41, '새로 추가');
INSERT INTO `lang_definitions` VALUES (136139, 128, 41, '새 범주 추가');
INSERT INTO `lang_definitions` VALUES (136140, 132, 41, '새 그룹 추가');
INSERT INTO `lang_definitions` VALUES (136141, 135, 41, '새 기록 추가');
INSERT INTO `lang_definitions` VALUES (136142, 136, 41, '새 노트 추가');
INSERT INTO `lang_definitions` VALUES (136143, 137, 41, '새 파트너 추가');
INSERT INTO `lang_definitions` VALUES (136144, 140, 41, '노트 추가');
INSERT INTO `lang_definitions` VALUES (136145, 141, 41, '환자 기록 추가');
INSERT INTO `lang_definitions` VALUES (136146, 142, 41, '처방 추가');
INSERT INTO `lang_definitions` VALUES (136147, 143, 41, '시술 추가');
INSERT INTO `lang_definitions` VALUES (136148, 146, 41, '규칙 추가');
INSERT INTO `lang_definitions` VALUES (136149, 147, 41, '여기에 추가');
INSERT INTO `lang_definitions` VALUES (136150, 148, 41, '투약리스트에 추가');
INSERT INTO `lang_definitions` VALUES (136151, 149, 41, '레벨에 추가');
INSERT INTO `lang_definitions` VALUES (136152, 151, 41, '사용자 추가');
INSERT INTO `lang_definitions` VALUES (136153, 152, 41, '그룹에 사용자 추가');
INSERT INTO `lang_definitions` VALUES (136154, 153, 41, '추가/편집 eRX');
INSERT INTO `lang_definitions` VALUES (136155, 155, 41, '추가됨');
INSERT INTO `lang_definitions` VALUES (136156, 161, 41, '추가 진단');
INSERT INTO `lang_definitions` VALUES (136157, 162, 41, '추가 병력');
INSERT INTO `lang_definitions` VALUES (136158, 163, 41, '추가 병력 노트');
INSERT INTO `lang_definitions` VALUES (136159, 164, 41, '추가 정보');
INSERT INTO `lang_definitions` VALUES (136160, 165, 41, '추가 검사');
INSERT INTO `lang_definitions` VALUES (136161, 166, 41, '추가 노트');
INSERT INTO `lang_definitions` VALUES (136162, 167, 41, '이 결과에 따른 추가 노트 혹은 권고');
INSERT INTO `lang_definitions` VALUES (136163, 168, 41, '추가 노트 :');
INSERT INTO `lang_definitions` VALUES (136164, 169, 41, '추가 노트 : ');
INSERT INTO `lang_definitions` VALUES (136165, 170, 41, '추가 엑스선 노트 :');
INSERT INTO `lang_definitions` VALUES (136166, 174, 41, '주소록');
INSERT INTO `lang_definitions` VALUES (136167, 175, 41, '주소');
INSERT INTO `lang_definitions` VALUES (136168, 178, 41, '주소록');
INSERT INTO `lang_definitions` VALUES (136169, 187, 41, '주소1');
INSERT INTO `lang_definitions` VALUES (136170, 188, 41, '주소2');
INSERT INTO `lang_definitions` VALUES (136171, 189, 41, '주소');
INSERT INTO `lang_definitions` VALUES (136172, 192, 41, '조정');
INSERT INTO `lang_definitions` VALUES (136173, 199, 41, '관리자');
INSERT INTO `lang_definitions` VALUES (136174, 200, 41, '관리자 이메일 주소');
INSERT INTO `lang_definitions` VALUES (136175, 210, 41, '입원일');
INSERT INTO `lang_definitions` VALUES (136176, 212, 41, '성인 체중 screening 과 추적');
INSERT INTO `lang_definitions` VALUES (136177, 213, 41, '성인 체중 screening 과 추적(CQM)');
INSERT INTO `lang_definitions` VALUES (136178, 233, 41, '다시');
INSERT INTO `lang_definitions` VALUES (136179, 234, 41, '나이');
INSERT INTO `lang_definitions` VALUES (136180, 235, 41, '나이로');
INSERT INTO `lang_definitions` VALUES (136181, 236, 41, '나이 범주');
INSERT INTO `lang_definitions` VALUES (136182, 237, 41, '나이가 범위를 벗어남');
INSERT INTO `lang_definitions` VALUES (136183, 238, 41, '나이표시 형태');
INSERT INTO `lang_definitions` VALUES (136184, 243, 41, '최고 연령');
INSERT INTO `lang_definitions` VALUES (136185, 244, 41, '최저 연령');
INSERT INTO `lang_definitions` VALUES (136186, 245, 41, '연령대');
INSERT INTO `lang_definitions` VALUES (136187, 249, 41, '알바니아인');
INSERT INTO `lang_definitions` VALUES (136188, 250, 41, '알콜');
INSERT INTO `lang_definitions` VALUES (136189, 251, 41, '알콜 소비');
INSERT INTO `lang_definitions` VALUES (136190, 259, 41, '전체');
INSERT INTO `lang_definitions` VALUES (136191, 260, 41, '전체');
INSERT INTO `lang_definitions` VALUES (136192, 268, 41, '전체 코드');
INSERT INTO `lang_definitions` VALUES (136193, 274, 41, '모든 언어 허가됨');
INSERT INTO `lang_definitions` VALUES (136194, 276, 41, '첫이름의 전체 혹은 부분');
INSERT INTO `lang_definitions` VALUES (136195, 277, 41, '마지막 이름의 전체 혹은 부분');
INSERT INTO `lang_definitions` VALUES (136196, 283, 41, '전체 주제');
INSERT INTO `lang_definitions` VALUES (136197, 284, 41, '전체 사용자');
INSERT INTO `lang_definitions` VALUES (136198, 295, 41, '허가됨');
INSERT INTO `lang_definitions` VALUES (136199, 296, 41, '로그인시 선택에 의해 모든 언어가 허가됨');
INSERT INTO `lang_definitions` VALUES (136200, 299, 41, '메일 허가됨');
INSERT INTO `lang_definitions` VALUES (136201, 300, 41, '메일 내용 허가되었나요?');
INSERT INTO `lang_definitions` VALUES (136202, 301, 41, '메일 허가되었나요?');
INSERT INTO `lang_definitions` VALUES (136203, 303, 41, '건강정보 교환 허가됨');
INSERT INTO `lang_definitions` VALUES (136204, 304, 41, '예방주사 정보 교환');
INSERT INTO `lang_definitions` VALUES (136205, 306, 41, '메일 메시지 허가');
INSERT INTO `lang_definitions` VALUES (136206, 309, 41, 'SMS 허가');
INSERT INTO `lang_definitions` VALUES (136207, 310, 41, 'SMS 허가(텍스트) ?');
INSERT INTO `lang_definitions` VALUES (136208, 316, 41, '허가됨');
INSERT INTO `lang_definitions` VALUES (136209, 317, 41, '언어들 허가됨');
INSERT INTO `lang_definitions` VALUES (136210, 323, 41, '이미 존재함');
INSERT INTO `lang_definitions` VALUES (136211, 324, 41, '이미 존재함');
INSERT INTO `lang_definitions` VALUES (136212, 374, 41, '빈혈');
INSERT INTO `lang_definitions` VALUES (136213, 375, 41, '발목');
INSERT INTO `lang_definitions` VALUES (136214, 378, 41, '발목 문제');
INSERT INTO `lang_definitions` VALUES (136215, 385, 41, '불안');
INSERT INTO `lang_definitions` VALUES (136216, 395, 41, '무호흡');
INSERT INTO `lang_definitions` VALUES (136217, 396, 41, '외양');
INSERT INTO `lang_definitions` VALUES (136218, 397, 41, '외양:');
INSERT INTO `lang_definitions` VALUES (136219, 402, 41, '충수절제술');
INSERT INTO `lang_definitions` VALUES (136220, 414, 41, '피부에 도포');
INSERT INTO `lang_definitions` VALUES (136221, 415, 41, '적용');
INSERT INTO `lang_definitions` VALUES (136222, 416, 41, '부위에 적용');
INSERT INTO `lang_definitions` VALUES (136223, 478, 41, '관절염');
INSERT INTO `lang_definitions` VALUES (136224, 484, 41, '아시아인');
INSERT INTO `lang_definitions` VALUES (136225, 490, 41, '천식');
INSERT INTO `lang_definitions` VALUES (136226, 574, 41, '요통');
INSERT INTO `lang_definitions` VALUES (136227, 590, 41, '백업');
INSERT INTO `lang_definitions` VALUES (136228, 591, 41, '백업파일이 만들어짐, 다운로드 중');
INSERT INTO `lang_definitions` VALUES (136229, 598, 41, '균형');
INSERT INTO `lang_definitions` VALUES (136230, 599, 41, '균헝');
INSERT INTO `lang_definitions` VALUES (136231, 620, 41, '양성');
INSERT INTO `lang_definitions` VALUES (136232, 621, 41, '시작일');
INSERT INTO `lang_definitions` VALUES (136233, 679, 41, '혈액');
INSERT INTO `lang_definitions` VALUES (136234, 680, 41, '혈압');
INSERT INTO `lang_definitions` VALUES (136235, 681, 41, '혈압');
INSERT INTO `lang_definitions` VALUES (136236, 697, 41, '양측 귀');
INSERT INTO `lang_definitions` VALUES (136237, 698, 41, '양측 귀');
INSERT INTO `lang_definitions` VALUES (136238, 699, 41, '바닥');
INSERT INTO `lang_definitions` VALUES (136239, 715, 41, 'BP');
INSERT INTO `lang_definitions` VALUES (136240, 716, 41, '확장기혈압');
INSERT INTO `lang_definitions` VALUES (136241, 717, 41, '수축기혈압');
INSERT INTO `lang_definitions` VALUES (136242, 724, 41, '유방 생검');
INSERT INTO `lang_definitions` VALUES (136243, 725, 41, '유방 분비물');
INSERT INTO `lang_definitions` VALUES (136244, 726, 41, '유방 질환');
INSERT INTO `lang_definitions` VALUES (136245, 727, 41, '유방 exam');
INSERT INTO `lang_definitions` VALUES (136246, 728, 41, '유방 종괴');
INSERT INTO `lang_definitions` VALUES (136247, 730, 41, '호흡 소리');
INSERT INTO `lang_definitions` VALUES (136248, 732, 41, '골절');
INSERT INTO `lang_definitions` VALUES (136249, 757, 41, '카페인 섭취');
INSERT INTO `lang_definitions` VALUES (136250, 2806, 41, 'A1 간염');
INSERT INTO `lang_definitions` VALUES (136251, 2807, 41, 'A2 간염');
INSERT INTO `lang_definitions` VALUES (136252, 2808, 41, 'B1 간염');
INSERT INTO `lang_definitions` VALUES (136253, 2809, 41, 'B2 간염');
INSERT INTO `lang_definitions` VALUES (136254, 2810, 41, 'B3 간염');
INSERT INTO `lang_definitions` VALUES (136255, 2811, 41, '여기');
INSERT INTO `lang_definitions` VALUES (136256, 2813, 41, '탈장 수술');
INSERT INTO `lang_definitions` VALUES (136257, 2814, 41, '탈출된 디스크');
INSERT INTO `lang_definitions` VALUES (136258, 2815, 41, '헤르페스');
INSERT INTO `lang_definitions` VALUES (136259, 3919, 41, '새 문장');
INSERT INTO `lang_definitions` VALUES (136260, 3920, 41, '새 암호');
INSERT INTO `lang_definitions` VALUES (136261, 3921, 41, '신환');
INSERT INTO `lang_definitions` VALUES (136262, 3922, 41, '신환');
INSERT INTO `lang_definitions` VALUES (136263, 3924, 41, '신환 폼');
INSERT INTO `lang_definitions` VALUES (136264, 3925, 41, '신환 번호');
INSERT INTO `lang_definitions` VALUES (136265, 3928, 41, '신환');
INSERT INTO `lang_definitions` VALUES (136266, 3930, 41, '새로찾기');
INSERT INTO `lang_definitions` VALUES (136267, 3932, 41, '새 사용자');
INSERT INTO `lang_definitions` VALUES (136268, 3934, 41, '새 방문');
INSERT INTO `lang_definitions` VALUES (136269, 3935, 41, '새로 검색');
INSERT INTO `lang_definitions` VALUES (136270, 1, 46, 'एक');
INSERT INTO `lang_definitions` VALUES (136271, 2, 46, 'एक चेक नंबर किंवा दावा संख्या पैसे ओळखण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136272, 3, 46, 'प्रशासक वापरकर्ता एक क्लायंट प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (136273, 4, 46, 'एक क्लिनिकल दस्तऐवज संलग्न आहे');
INSERT INTO `lang_definitions` VALUES (136274, 5, 46, 'एक क्लिनिकल दस्तऐवज संलग्न आहे.');
INSERT INTO `lang_definitions` VALUES (136275, 7, 46, 'एक वितरक आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (136276, 8, 46, 'एक GCAC भेट फॉर्म भेट जोडले पाहिजे.');
INSERT INTO `lang_definitions` VALUES (136277, 9, 46, 'lot नंबर आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (136278, 10, 46, 'lot नंबर आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (136279, 11, 46, 'एक लोअरकेस पत्र');
INSERT INTO `lang_definitions` VALUES (136280, 12, 46, 'अनेक');
INSERT INTO `lang_definitions` VALUES (136281, 14, 46, 'या आयडी एक रुग्ण आधीपासून विद्यमान आहे.');
INSERT INTO `lang_definitions` VALUES (136282, 15, 46, 'या नावाची एक रुग्ण आधीपासून विद्यमान आहे.');
INSERT INTO `lang_definitions` VALUES (136283, 16, 46, 'या एस रुग्णाच्या आधीपासून विद्यमान आहे.');
INSERT INTO `lang_definitions` VALUES (136284, 17, 46, 'एक सकारात्मक क्रमांक (ऋण संख्या उतरत्या क्रमाने गेल्या भेटी दर्शवेल) रुग्णांच्या सारांश स्क्रीन मध्ये एक विजेट अनेक गेल्या भेटी दर्शवेल');
INSERT INTO `lang_definitions` VALUES (136285, 18, 46, 'एक सकारात्मक संख्या रुग्णांच्या सारांश स्क्रीन मध्ये एक विजेट अनेक गेल्या भेटी दर्शवेल.');
INSERT INTO `lang_definitions` VALUES (136286, 19, 46, 'एक रेफरल स्रोत प्रत्येक भेट निर्देशीत केले जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (136287, 20, 46, 'संबंधित IPPF कोड आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (136288, 21, 46, 'विशेष वर्ण');
INSERT INTO `lang_definitions` VALUES (136289, 22, 46, 'एक अद्वितीय मूल्य, वापरकर्ता दिसत नाही या क्षेत्रात ओळखण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136290, 23, 46, 'भेट आधीच या रुग्णाला आज अस्तित्वात आहे. नवीन तयार पुढे ते उघडण्याचा रद्द करा किंवा OK वर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (136291, 24, 46, 'a.c.');
INSERT INTO `lang_definitions` VALUES (136292, 25, 46, 'दुपारी');
INSERT INTO `lang_definitions` VALUES (136293, 26, 46, 'एक / महिला स्तर उजवे:');
INSERT INTO `lang_definitions` VALUES (136294, 27, 46, 'अब्राहम');
INSERT INTO `lang_definitions` VALUES (136295, 28, 46, 'संक्षेप');
INSERT INTO `lang_definitions` VALUES (136296, 29, 46, 'Abcess:');
INSERT INTO `lang_definitions` VALUES (136297, 30, 46, 'ओटीपोटात');
INSERT INTO `lang_definitions` VALUES (136298, 31, 46, 'वजन चार (4) पावले सहन करणे शक्य:');
INSERT INTO `lang_definitions` VALUES (136299, 32, 46, 'एबीएन');
INSERT INTO `lang_definitions` VALUES (136300, 33, 46, 'ABN1');
INSERT INTO `lang_definitions` VALUES (136301, 34, 46, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (136302, 35, 46, 'असामान्य रक्त चाचणी');
INSERT INTO `lang_definitions` VALUES (136303, 36, 46, 'असामान्य केस वाढ');
INSERT INTO `lang_definitions` VALUES (136304, 37, 46, 'असामान्य मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (136305, 39, 46, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (136306, 40, 46, 'गर्भपात मुद्दे');
INSERT INTO `lang_definitions` VALUES (136307, 41, 46, 'गर्भपात पद्धत');
INSERT INTO `lang_definitions` VALUES (136308, 42, 46, 'गर्भपात-संबंधित श्रेणी');
INSERT INTO `lang_definitions` VALUES (136309, 43, 46, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (136310, 44, 46, 'कॅलेंडर बद्दल');
INSERT INTO `lang_definitions` VALUES (136311, 46, 46, 'निदान करून सु');
INSERT INTO `lang_definitions` VALUES (136312, 47, 46, 'असाइनमेंट स्वीकारा');
INSERT INTO `lang_definitions` VALUES (136313, 48, 46, 'भरणा स्वीकारा');
INSERT INTO `lang_definitions` VALUES (136314, 49, 46, 'भरणा स्वीकारा');
INSERT INTO `lang_definitions` VALUES (136315, 50, 46, 'असाइनमेंट स्वीकारते');
INSERT INTO `lang_definitions` VALUES (136316, 51, 46, 'एक्सेस कंट्रोल');
INSERT INTO `lang_definitions` VALUES (136317, 52, 46, 'एक्सेस कंट्रोल यादी प्रशासन');
INSERT INTO `lang_definitions` VALUES (136318, 53, 46, 'प्रवेश तारीख');
INSERT INTO `lang_definitions` VALUES (136319, 54, 46, 'प्रवेश परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (136320, 55, 46, 'प्रवेश अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (136321, 56, 46, 'आपले रुग्णांच्या पोर्टल प्रवेश');
INSERT INTO `lang_definitions` VALUES (136322, 57, 46, 'अपघात');
INSERT INTO `lang_definitions` VALUES (136323, 59, 46, 'खात्याचे नाव');
INSERT INTO `lang_definitions` VALUES (136324, 62, 46, 'लेखा');
INSERT INTO `lang_definitions` VALUES (136325, 64, 46, 'वेदना');
INSERT INTO `lang_definitions` VALUES (136326, 65, 46, 'पोचपावती मागणी (ISA14)');
INSERT INTO `lang_definitions` VALUES (136327, 66, 46, 'घोरतात, परवाना व सर्टिफिकेशन');
INSERT INTO `lang_definitions` VALUES (136328, 67, 46, 'ACL यांना आधार देतो');
INSERT INTO `lang_definitions` VALUES (136329, 68, 46, 'ACL यांना आधार देतो प्रशासन');
INSERT INTO `lang_definitions` VALUES (136330, 69, 46, 'ACL यांना आधार देतो प्रशासन अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (136331, 70, 46, 'ACL यांना यशस्वीपणे अद्यतनित');
INSERT INTO `lang_definitions` VALUES (136332, 71, 46, 'पुरळ');
INSERT INTO `lang_definitions` VALUES (136333, 72, 46, 'कायदा');
INSERT INTO `lang_definitions` VALUES (136334, 73, 46, 'कायदा तारीख');
INSERT INTO `lang_definitions` VALUES (136335, 74, 46, 'क्रिया');
INSERT INTO `lang_definitions` VALUES (136336, 75, 46, 'क्रिया');
INSERT INTO `lang_definitions` VALUES (136337, 77, 46, 'CCR / सीसीडीची अहवाल सक्रिय');
INSERT INTO `lang_definitions` VALUES (136338, 78, 46, 'सक्रिय');
INSERT INTO `lang_definitions` VALUES (136339, 79, 46, 'सक्रिय अॅलर्ट');
INSERT INTO `lang_definitions` VALUES (136340, 80, 46, 'सक्रिय अॅलर्ट नियम');
INSERT INTO `lang_definitions` VALUES (136341, 81, 46, 'सक्रिय सतर्कता / स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (136342, 82, 46, 'सक्रिय आढळतात');
INSERT INTO `lang_definitions` VALUES (136343, 84, 46, 'सक्रिय याद्या');
INSERT INTO `lang_definitions` VALUES (136344, 85, 46, 'सक्रिय रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (136345, 86, 46, 'सक्रिय योजना');
INSERT INTO `lang_definitions` VALUES (136346, 87, 46, 'क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (136347, 88, 46, 'क्रियाकलाप प्रकार');
INSERT INTO `lang_definitions` VALUES (136348, 90, 46, 'तीव्र उन्माद / काढणे');
INSERT INTO `lang_definitions` VALUES (136349, 91, 46, 'एक गंभीर अट तीव्र प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (136350, 92, 46, 'तीव्र वर तीव्र');
INSERT INTO `lang_definitions` VALUES (136351, 93, 46, 'जोडा');
INSERT INTO `lang_definitions` VALUES (136352, 94, 46, 'जोडा');
INSERT INTO `lang_definitions` VALUES (136353, 95, 46, 'ADD');
INSERT INTO `lang_definitions` VALUES (136354, 96, 46, 'एक कंपनी जोडा');
INSERT INTO `lang_definitions` VALUES (136355, 98, 46, 'एक फार्मसी जोडा');
INSERT INTO `lang_definitions` VALUES (136356, 100, 46, 'एक कार्यक्रम जोडा ');
INSERT INTO `lang_definitions` VALUES (136357, 101, 46, 'नवीन टीप म्हणून जोडा');
INSERT INTO `lang_definitions` VALUES (136358, 102, 46, 'नवीन म्हणून जोडा');
INSERT INTO `lang_definitions` VALUES (136359, 104, 46, 'बटणे जोडा');
INSERT INTO `lang_definitions` VALUES (136360, 105, 46, 'विशेष वर्ण साठी बटणे जोडा, ग्रंथ एक क्लिक करा मजकूर समावेश संपादक वर प्रदर्शित करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136361, 106, 46, 'श्रेणी जोडा');
INSERT INTO `lang_definitions` VALUES (136362, 107, 46, 'सतत जोडा');
INSERT INTO `lang_definitions` VALUES (136363, 108, 46, 'संदर्भ जोडा');
INSERT INTO `lang_definitions` VALUES (136364, 109, 46, 'Copay जोडा');
INSERT INTO `lang_definitions` VALUES (136365, 110, 46, 'निकष जोडा');
INSERT INTO `lang_definitions` VALUES (136366, 111, 46, 'सानुकूल बटण जोडा');
INSERT INTO `lang_definitions` VALUES (136367, 112, 46, 'निदान जोडा');
INSERT INTO `lang_definitions` VALUES (136368, 113, 46, 'औषध जोडा');
INSERT INTO `lang_definitions` VALUES (136369, 114, 46, 'चकमकीत जोडा');
INSERT INTO `lang_definitions` VALUES (136370, 115, 46, 'चकमकीत / नोट्स जोडा');
INSERT INTO `lang_definitions` VALUES (136371, 116, 46, 'सुविधा जोडा');
INSERT INTO `lang_definitions` VALUES (136372, 117, 46, 'फील्ड जोडा');
INSERT INTO `lang_definitions` VALUES (136373, 118, 46, 'अपॅची संरचना फाइलमध्ये खालील ओळी जोडा');
INSERT INTO `lang_definitions` VALUES (136374, 119, 46, 'गट जोडा');
INSERT INTO `lang_definitions` VALUES (136375, 120, 46, 'ICD कोड जोडा');
INSERT INTO `lang_definitions` VALUES (136376, 121, 46, 'लसीकरण जोडा');
INSERT INTO `lang_definitions` VALUES (136377, 122, 46, 'जोडा अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (136378, 123, 46, 'अंक जोडा');
INSERT INTO `lang_definitions` VALUES (136379, 124, 46, 'ट्रॅक आयटम जोडा');
INSERT INTO `lang_definitions` VALUES (136380, 125, 46, 'भाषा जोडा');
INSERT INTO `lang_definitions` VALUES (136381, 126, 46, 'नवीन जोडा');
INSERT INTO `lang_definitions` VALUES (136382, 127, 46, 'नवीन जोडा');
INSERT INTO `lang_definitions` VALUES (136383, 128, 46, 'नवीन श्रेणी जोडा: ');
INSERT INTO `lang_definitions` VALUES (136384, 129, 46, 'अपॅची संरचना फाइल नवीन प्रमाणपत्रे जोडा');
INSERT INTO `lang_definitions` VALUES (136385, 130, 46, 'नवीन घटक जोडा');
INSERT INTO `lang_definitions` VALUES (136386, 131, 46, 'नवीन घटक जोडा');
INSERT INTO `lang_definitions` VALUES (136387, 132, 46, 'नवीन गट जोडा');
INSERT INTO `lang_definitions` VALUES (136388, 133, 46, 'नवीन समस्या जोडा');
INSERT INTO `lang_definitions` VALUES (136389, 134, 46, 'नवीन भरपूर आणि व्यवहार जोडा');
INSERT INTO `lang_definitions` VALUES (136390, 135, 46, 'नवीन टीप जोडण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136391, 136, 46, 'नवीन टीप जोडण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136392, 137, 46, 'नवीन भागीदार जोडा');
INSERT INTO `lang_definitions` VALUES (136393, 138, 46, 'नवीन रुग्णांच्या जोडा');
INSERT INTO `lang_definitions` VALUES (136394, 140, 46, 'टीप जोडा');
INSERT INTO `lang_definitions` VALUES (136395, 141, 46, 'रुग्णांच्या नोंद जोडा');
INSERT INTO `lang_definitions` VALUES (136396, 142, 46, 'नियम जोडा');
INSERT INTO `lang_definitions` VALUES (136397, 143, 46, 'प्रक्रिया जोडा');
INSERT INTO `lang_definitions` VALUES (136398, 144, 46, 'प्रदाता क्रमांक जोडा');
INSERT INTO `lang_definitions` VALUES (136399, 145, 46, 'Rehab जोडा');
INSERT INTO `lang_definitions` VALUES (136400, 146, 46, 'नियम जोडा');
INSERT INTO `lang_definitions` VALUES (136401, 147, 46, 'जोडू');
INSERT INTO `lang_definitions` VALUES (136402, 148, 46, 'औषधोपचार यादी जोडा');
INSERT INTO `lang_definitions` VALUES (136403, 149, 46, 'टॉप लेव्हल जोडा');
INSERT INTO `lang_definitions` VALUES (136404, 150, 46, 'व्यवहार जोडा');
INSERT INTO `lang_definitions` VALUES (136405, 151, 46, 'वापरकर्ता जोडा');
INSERT INTO `lang_definitions` VALUES (136406, 152, 46, 'गट करणे वापरकर्ता जोडा');
INSERT INTO `lang_definitions` VALUES (136407, 153, 46, 'जोडा / संपादित करा eRx');
INSERT INTO `lang_definitions` VALUES (136408, 154, 46, '/ संपादित रुग्णांच्या व्यवहार जोडा');
INSERT INTO `lang_definitions` VALUES (136409, 155, 46, 'जोडले');
INSERT INTO `lang_definitions` VALUES (136410, 156, 46, 'लोकसंख्याशास्त्र जमा करणे अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (136411, 157, 46, 'आयटम जोडताना अयशस्वी ट्रॅक');
INSERT INTO `lang_definitions` VALUES (136412, 158, 46, 'एडिसन Syndrom');
INSERT INTO `lang_definitions` VALUES (136413, 159, 46, 'एडिसन सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (136414, 160, 46, 'अतिरिक्त विशेषता');
INSERT INTO `lang_definitions` VALUES (136415, 161, 46, 'अतिरिक्त निदान:');
INSERT INTO `lang_definitions` VALUES (136416, 162, 46, 'अतिरिक्त इतिहास');
INSERT INTO `lang_definitions` VALUES (136417, 163, 46, 'अतिरिक्त इतिहास टिपा');
INSERT INTO `lang_definitions` VALUES (136418, 164, 46, 'अतिरिक्त माहिती');
INSERT INTO `lang_definitions` VALUES (136419, 165, 46, 'अतिरिक्त लॅब');
INSERT INTO `lang_definitions` VALUES (136420, 166, 46, 'अतिरिक्त टिपा');
INSERT INTO `lang_definitions` VALUES (136421, 167, 46, 'हा परिणाम किंवा शिफारस अतिरिक्त टिपा');
INSERT INTO `lang_definitions` VALUES (136422, 168, 46, 'अतिरिक्त टिपा:');
INSERT INTO `lang_definitions` VALUES (136423, 169, 46, 'अतिरिक्त टिपा: ');
INSERT INTO `lang_definitions` VALUES (136424, 170, 46, 'अतिरिक्त एक्स-रे टिपा:');
INSERT INTO `lang_definitions` VALUES (136425, 171, 46, 'याव्यतिरिक्त, संबंधित अमेरिकन Snomed विस्तार संकुल Snomed प्रकाशन आंतरराष्ट्रीय (इंग्रजी आवृत्ती) स्थापित केल्यानंतर स्वतंत्रपणे आयात करू शकता');
INSERT INTO `lang_definitions` VALUES (136426, 172, 46, 'addonly');
INSERT INTO `lang_definitions` VALUES (136427, 173, 46, 'प बु');
INSERT INTO `lang_definitions` VALUES (136428, 174, 46, 'प पुस्तक');
INSERT INTO `lang_definitions` VALUES (136429, 175, 46, 'पत्ता');
INSERT INTO `lang_definitions` VALUES (136430, 178, 46, 'अॅड्रेस बुक');
INSERT INTO `lang_definitions` VALUES (136431, 179, 46, 'ही प्रक्रिया करत कंपनी अॅड्रेस बुक प्रवेश');
INSERT INTO `lang_definitions` VALUES (136432, 180, 46, 'वितरक साठी अॅड्रेस बुक प्रवेश');
INSERT INTO `lang_definitions` VALUES (136433, 181, 46, 'विक्रेता साठी अॅड्रेस बुक प्रवेश');
INSERT INTO `lang_definitions` VALUES (136434, 182, 46, 'पुस्तक प्रकार पत्ता');
INSERT INTO `lang_definitions` VALUES (136435, 183, 46, 'पत्ता लेबल');
INSERT INTO `lang_definitions` VALUES (136436, 187, 46, 'पत्ता 1');
INSERT INTO `lang_definitions` VALUES (136437, 188, 46, 'Address2');
INSERT INTO `lang_definitions` VALUES (136438, 189, 46, 'पत्ता');
INSERT INTO `lang_definitions` VALUES (136439, 190, 46, 'Adj');
INSERT INTO `lang_definitions` VALUES (136440, 191, 46, 'Adj रक्कम');
INSERT INTO `lang_definitions` VALUES (136441, 192, 46, 'समायोजित');
INSERT INTO `lang_definitions` VALUES (136442, 193, 46, 'समायोजन');
INSERT INTO `lang_definitions` VALUES (136443, 194, 46, 'समायोजन रक्कम');
INSERT INTO `lang_definitions` VALUES (136444, 195, 46, 'समायोजन कारणे');
INSERT INTO `lang_definitions` VALUES (136445, 196, 46, 'कोड समायोजन मूल्य ');
INSERT INTO `lang_definitions` VALUES (136446, 197, 46, 'ऍडजस्ट');
INSERT INTO `lang_definitions` VALUES (136447, 198, 46, 'ADM समायोजित');
INSERT INTO `lang_definitions` VALUES (136448, 199, 46, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (136449, 200, 46, 'प्रशासन ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (136450, 201, 46, 'मार्गे चालवणे');
INSERT INTO `lang_definitions` VALUES (136451, 202, 46, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (136452, 203, 46, 'प्रशासित');
INSERT INTO `lang_definitions` VALUES (136453, 204, 46, 'प्रशासित तारीख');
INSERT INTO `lang_definitions` VALUES (136454, 205, 46, 'प्रशासित साइट');
INSERT INTO `lang_definitions` VALUES (136455, 206, 46, 'प्रशासन');
INSERT INTO `lang_definitions` VALUES (136456, 207, 46, 'प्रशासन साइट');
INSERT INTO `lang_definitions` VALUES (136457, 208, 46, 'प्रशासक');
INSERT INTO `lang_definitions` VALUES (136458, 209, 46, 'प्रशासक काहीही करू शकतात');
INSERT INTO `lang_definitions` VALUES (136459, 210, 46, 'तारीख देणे');
INSERT INTO `lang_definitions` VALUES (136460, 212, 46, 'प्रौढ वजन स्क्रीनिंग आणि पाठपुरावा');
INSERT INTO `lang_definitions` VALUES (136461, 213, 46, 'प्रौढ वजन स्क्रिनिंग पाठपुरावा (CQM)');
INSERT INTO `lang_definitions` VALUES (136462, 214, 46, 'आगाऊ निर्देशक');
INSERT INTO `lang_definitions` VALUES (136463, 215, 46, 'आगाऊ निर्देश');
INSERT INTO `lang_definitions` VALUES (136464, 216, 46, 'आगाऊ निर्देश चेतावणी');
INSERT INTO `lang_definitions` VALUES (136465, 218, 46, 'प्रगत');
INSERT INTO `lang_definitions` VALUES (136466, 219, 46, 'सल्ला');
INSERT INTO `lang_definitions` VALUES (136467, 220, 46, 'खूप लांबून');
INSERT INTO `lang_definitions` VALUES (136468, 221, 46, 'सामान्य प्रभाव');
INSERT INTO `lang_definitions` VALUES (136469, 222, 46, 'आफ्रिकान्स');
INSERT INTO `lang_definitions` VALUES (136470, 223, 46, 'तास कॉल केल्यानंतर');
INSERT INTO `lang_definitions` VALUES (136471, 224, 46, 'संकेतशब्द मीठ पूर्ण झाले आहे न वापरकर्ते टेबल मध्ये साठवले जातात जेथे जुना पासवर्ड माध्यमांतून स्थलांतर केल्यानंतर, या ध्वज नवीन पद्धतीने केवळ प्रमाणीकरण शक्य आहे जेणेकरून खोटे वर सेट केले पाहिजे');
INSERT INTO `lang_definitions` VALUES (136472, 225, 46, 'वरील संरचना करत केल्यानंतर, ब्राउझरला प्रशासन क्लायंट प्रमाणपत्र आयात आणि Apache सर्व्हर (रिक्त पासवर्ड) पुन्हा सुरू करा.');
INSERT INTO `lang_definitions` VALUES (136473, 226, 46, 'पीडीएफ जतन केल्यावर, चुका तपासण्यासाठी [पहा लॉग] क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (136474, 227, 46, 'मजकूर फाइल (चे) जतन केल्यावर, चुका तपासण्यासाठी [पहा लॉग] क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (136475, 228, 46, 'आपल्या बॅच जतन केल्यावर, चुका तपासण्यासाठी [पहा लॉग] क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (136476, 229, 46, 'त्यानंतर मॅच स्तंभ तयार करण्यासाठी निवडलेली रुग्ण आयडी दाखवा, किंवा 0 आहे.');
INSERT INTO `lang_definitions` VALUES (136477, 230, 46, 'माहिती योग्यरितीने प्रविष्ट आहे, सेव्ह बटणावर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (136478, 231, 46, 'बटण क्लिक करा अपलोड केल्यानंतर \"आयात\"');
INSERT INTO `lang_definitions` VALUES (136479, 232, 46, 'उपचार संपल्यावर घेतली जाणारी दक्षता नियोजन');
INSERT INTO `lang_definitions` VALUES (136480, 233, 46, 'पुन्हा');
INSERT INTO `lang_definitions` VALUES (136481, 234, 46, 'वय');
INSERT INTO `lang_definitions` VALUES (136482, 235, 46, 'वय करून');
INSERT INTO `lang_definitions` VALUES (136483, 236, 46, 'वय वर्ग');
INSERT INTO `lang_definitions` VALUES (136484, 237, 46, 'वय डेटा श्रेणी बाहेर आहे.');
INSERT INTO `lang_definitions` VALUES (136485, 238, 46, 'वय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (136486, 239, 46, 'पासून वय वय स्वरूप वैध नाही');
INSERT INTO `lang_definitions` VALUES (136487, 240, 46, 'पर्यंत वय वय स्वरूप वैध नाही');
INSERT INTO `lang_definitions` VALUES (136488, 241, 46, 'पासून वय');
INSERT INTO `lang_definitions` VALUES (136489, 242, 46, 'प्रदर्शन स्वरूप बदल वर्ष वय');
INSERT INTO `lang_definitions` VALUES (136490, 243, 46, 'वय कमाल');
INSERT INTO `lang_definitions` VALUES (136491, 244, 46, 'वय मि');
INSERT INTO `lang_definitions` VALUES (136492, 245, 46, 'वय श्रेणी');
INSERT INTO `lang_definitions` VALUES (136493, 247, 46, 'स्तंभ वृद्धत्व:');
INSERT INTO `lang_definitions` VALUES (136494, 248, 46, 'अकान');
INSERT INTO `lang_definitions` VALUES (136495, 249, 46, 'अल्बेनियन');
INSERT INTO `lang_definitions` VALUES (136496, 250, 46, 'मद्यार्क');
INSERT INTO `lang_definitions` VALUES (136497, 251, 46, 'मद्य सेवन');
INSERT INTO `lang_definitions` VALUES (136498, 252, 46, 'अल्कोहोल वापर');
INSERT INTO `lang_definitions` VALUES (136499, 253, 46, 'अॅलर्ट संख्या');
INSERT INTO `lang_definitions` VALUES (136500, 255, 46, 'अॅलर्ट');
INSERT INTO `lang_definitions` VALUES (136501, 258, 46, 'अलेउत');
INSERT INTO `lang_definitions` VALUES (136502, 259, 46, 'सर्व');
INSERT INTO `lang_definitions` VALUES (136503, 260, 46, 'सर्व');
INSERT INTO `lang_definitions` VALUES (136504, 261, 46, 'सर्व (Collated स्वरूप अ)');
INSERT INTO `lang_definitions` VALUES (136505, 262, 46, 'सर्व (Collated स्वरूप ब)');
INSERT INTO `lang_definitions` VALUES (136506, 263, 46, 'सर्व (एकूण)');
INSERT INTO `lang_definitions` VALUES (136507, 265, 46, 'सर्व स्वयंचलित माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (136508, 266, 46, 'सर्व कॅटेगरीज');
INSERT INTO `lang_definitions` VALUES (136509, 267, 46, 'सर्व क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (136510, 268, 46, 'सर्व कोड');
INSERT INTO `lang_definitions` VALUES (136511, 269, 46, 'संपूर्ण दिवस');
INSERT INTO `lang_definitions` VALUES (136512, 270, 46, 'सर्व दिवस कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (136513, 271, 46, 'शोध आणि दुप्पट चेक सर्व लोकसंख्याशास्त्र फील्ड,');
INSERT INTO `lang_definitions` VALUES (136514, 272, 46, 'सर्व सुविधा');
INSERT INTO `lang_definitions` VALUES (136515, 273, 46, 'सर्व दुखापती / समस्या / समस्या');
INSERT INTO `lang_definitions` VALUES (136516, 274, 46, 'सर्व भाषा परवानगी');
INSERT INTO `lang_definitions` VALUES (136517, 275, 46, 'सर्व अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (136518, 276, 46, 'पहिले नाव सर्व किंवा काही भाग');
INSERT INTO `lang_definitions` VALUES (136519, 277, 46, 'आडनाव सर्व किंवा काही भाग');
INSERT INTO `lang_definitions` VALUES (136520, 278, 46, 'संस्था सर्व किंवा काही भाग');
INSERT INTO `lang_definitions` VALUES (136521, 279, 46, 'सर्व रुग्णांना');
INSERT INTO `lang_definitions` VALUES (136522, 280, 46, 'सर्व उत्पादने');
INSERT INTO `lang_definitions` VALUES (136523, 281, 46, 'सर्व प्रदाते');
INSERT INTO `lang_definitions` VALUES (136524, 282, 46, 'सर्व पुनरावलोकन आणि नकारात्मक:');
INSERT INTO `lang_definitions` VALUES (136525, 283, 46, 'सर्व विषय');
INSERT INTO `lang_definitions` VALUES (136526, 284, 46, 'सर्व वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (136527, 285, 46, 'असोशी');
INSERT INTO `lang_definitions` VALUES (136528, 286, 46, 'ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (136529, 287, 46, 'ऍलर्जी:');
INSERT INTO `lang_definitions` VALUES (136530, 288, 46, 'ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (136531, 289, 46, 'ऍलर्जी आयात यशस्वीरित्या पूर्ण');
INSERT INTO `lang_definitions` VALUES (136532, 290, 46, 'ऍलर्जी समस्या सूची');
INSERT INTO `lang_definitions` VALUES (136533, 291, 46, 'ऍलर्जी प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (136534, 294, 46, 'वाटप');
INSERT INTO `lang_definitions` VALUES (136535, 295, 46, 'परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136536, 296, 46, 'लॉगिन मेनू वर पर्याय म्हणून सर्व उपलब्ध भाषा परवानगी द्या.');
INSERT INTO `lang_definitions` VALUES (136537, 297, 46, 'निदान पण नाही कार्यपद्धती किंवा आकार असलेली दावे निर्मितीस अनुमती द्या. सर्वाधिक दवाखाने हे करायचे नाही.');
INSERT INTO `lang_definitions` VALUES (136538, 298, 46, 'परवानगी द्या डिबगिंग भाषा');
INSERT INTO `lang_definitions` VALUES (136539, 299, 46, 'ईमेल परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136540, 300, 46, 'ईमेल संदेश अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (136541, 301, 46, 'ईमेल अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (136542, 302, 46, 'चकमकीत दावे परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136543, 303, 46, 'आरोग्य माहिती एक्सचेंज परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136544, 304, 46, 'परवानगी द्या लसीकरण माहिती शेअरिंग');
INSERT INTO `lang_definitions` VALUES (136545, 305, 46, 'परवानगी द्या लसीकरण नोंदणी वापरा');
INSERT INTO `lang_definitions` VALUES (136546, 306, 46, 'मेल संदेश परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136547, 308, 46, 'रुग्णांच्या पोर्टल परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136548, 309, 46, 'एसएमएस परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136549, 310, 46, 'SMS (मजकूर संदेश) अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (136550, 311, 46, 'सादर घटना त्वरित सक्रिय केले करण्याची परवानगी द्यायची?');
INSERT INTO `lang_definitions` VALUES (136551, 312, 46, 'टेलिफोन संदेश अनुमती द्यायची?');
INSERT INTO `lang_definitions` VALUES (136552, 313, 46, 'वापरकर्ते जागतिक घडामोडी प्रकाशित करण्याची परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136553, 314, 46, 'वापरकर्ते वैयक्तिक कॅलेंडर प्रकाशित करण्याची परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (136554, 315, 46, 'परवानगी द्या आवाज संदेश');
INSERT INTO `lang_definitions` VALUES (136555, 316, 46, 'परवानगी');
INSERT INTO `lang_definitions` VALUES (136556, 317, 46, 'परवानगी भाषा');
INSERT INTO `lang_definitions` VALUES (136557, 318, 46, 'परवानगी (क)');
INSERT INTO `lang_definitions` VALUES (136558, 319, 46, 'संपूर्ण चकमकीत ई-साइन इन करा परवानगी देते');
INSERT INTO `lang_definitions` VALUES (136559, 320, 46, 'अनुमती देते वैयक्तिक अर्ज ई-साइन इन');
INSERT INTO `lang_definitions` VALUES (136560, 321, 46, 'मेल अनुमती देते');
INSERT INTO `lang_definitions` VALUES (136561, 322, 46, 'आवाज संदेश अनुमती देते');
INSERT INTO `lang_definitions` VALUES (136562, 323, 46, 'आधिपासूनच अस्तित्वात आहे');
INSERT INTO `lang_definitions` VALUES (136563, 324, 46, 'आधिपासूनच अस्तित्वात आहे.');
INSERT INTO `lang_definitions` VALUES (136564, 325, 46, 'आधीच दुसर्या अभिज्ञापक निवडा, वापरले');
INSERT INTO `lang_definitions` VALUES (136565, 326, 46, 'आधीच दुसर्या शीर्षक निवडा, वापरले');
INSERT INTO `lang_definitions` VALUES (136566, 327, 46, 'Alt पत्ता');
INSERT INTO `lang_definitions` VALUES (136567, 328, 46, 'बदल');
INSERT INTO `lang_definitions` VALUES (136568, 329, 46, 'वैकल्पिकरित्या, तुम्ही इलेक्ट्रॉनिक पाठवण्याच्या (X12 835) आपण आपल्या देणारा किंवा त्याचे श्रेय क्लिअरींग पासून प्राप्त केली आहे फाइल अपलोड करण्यासाठी शोध पृष्ठ वापरू शकतो. आपण ब्राउझ करा बटण क्लिक करा आणि अपलोड करण्यासाठी फाइल निवडून, आणि नंतर अपलोड सुरू आणि संबंधित पावत्या प्रदर्शित शोध क्लिक करून हे करू शकता. या प्रकरणात इतर घटक लागू होत नाही हे वर नमूद केलेल्या आणि दुर्लक्ष केले जाईल. फाइल अपलोड वाचते पण अद्याप त्यातील सामग्री प्रक्रिया नाही - खालील माणे स्वतंत्रपणे केले आहे.');
INSERT INTO `lang_definitions` VALUES (136569, 330, 46, 'सकाळी');
INSERT INTO `lang_definitions` VALUES (136570, 331, 46, 'सकाळी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (136571, 332, 46, 'एएमसी');
INSERT INTO `lang_definitions` VALUES (136572, 333, 46, 'एएमसी ट्रॅकिंग');
INSERT INTO `lang_definitions` VALUES (136573, 334, 46, 'एएमसी-2011');
INSERT INTO `lang_definitions` VALUES (136574, 335, 46, 'एएमसी-2014');
INSERT INTO `lang_definitions` VALUES (136575, 338, 46, 'विद्यमान टीप बदल');
INSERT INTO `lang_definitions` VALUES (136576, 339, 46, 'पासून दुरुस्ती');
INSERT INTO `lang_definitions` VALUES (136577, 340, 46, 'दुरुस्ती स्थिती');
INSERT INTO `lang_definitions` VALUES (136578, 341, 46, 'संशोधन');
INSERT INTO `lang_definitions` VALUES (136579, 342, 46, 'साठी संशोधन');
INSERT INTO `lang_definitions` VALUES (136580, 343, 46, 'अमेरिकन भारतीय');
INSERT INTO `lang_definitions` VALUES (136581, 344, 46, 'अमेरिकन भारतीय किंवा अलास्का नेटिव्ह');
INSERT INTO `lang_definitions` VALUES (136582, 345, 46, 'एमेक्स');
INSERT INTO `lang_definitions` VALUES (136583, 346, 46, 'अम्हारिक');
INSERT INTO `lang_definitions` VALUES (136584, 347, 46, 'रक्कम');
INSERT INTO `lang_definitions` VALUES (136585, 348, 46, 'रक्कम प्रशासित');
INSERT INTO `lang_definitions` VALUES (136586, 349, 46, 'रक्कम शुल्क');
INSERT INTO `lang_definitions` VALUES (136587, 350, 46, 'मागील शिल्लक रक्कम');
INSERT INTO `lang_definitions` VALUES (136588, 351, 46, 'या भेटीची रक्कम');
INSERT INTO `lang_definitions` VALUES (136589, 352, 46, 'अदा केलेली रक्कम');
INSERT INTO `lang_definitions` VALUES (136590, 353, 46, 'रक्कम:');
INSERT INTO `lang_definitions` VALUES (136591, 354, 46, 'रक्कम बिल');
INSERT INTO `lang_definitions` VALUES (136592, 355, 46, 'प्रारंभ तारीख पेक्षा नंतर समाप्ती तारीख पुनरावृत्ती घटना आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (136593, 356, 46, 'एक त्रुटी फॉर्म साइन इन आली');
INSERT INTO `lang_definitions` VALUES (136594, 357, 46, 'LibreEHR वेब निर्देशिका झाड डम्पिंग करताना एक त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (136595, 358, 46, 'PhpGACL वेब निर्देशिका झाड डम्पिंग करताना एक त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (136596, 359, 46, 'एस क्यू एल-लेजर वेब निर्देशिका झाड डम्पिंग करताना एक त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (136597, 360, 46, 'अपूर्ण GCAC समस्या तयार केले आणि दुवा साधला गेला आहे. कोणीतरी नंतर पूर्ण करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (136598, 362, 46, 'एक अनपेक्षित त्रुटी आली आहे.');
INSERT INTO `lang_definitions` VALUES (136599, 363, 46, 'एक लोअरकेस पत्र');
INSERT INTO `lang_definitions` VALUES (136600, 365, 46, 'आणि');
INSERT INTO `lang_definitions` VALUES (136601, 366, 46, 'आणि');
INSERT INTO `lang_definitions` VALUES (136602, 367, 46, 'आणि');
INSERT INTO `lang_definitions` VALUES (136603, 368, 46, 'आणि ');
INSERT INTO `lang_definitions` VALUES (136604, 369, 46, 'आणि सर्व गौण डेटा? ही क्रिया लॉग इन केले जाईल');
INSERT INTO `lang_definitions` VALUES (136605, 370, 46, 'आणि सुधारक');
INSERT INTO `lang_definitions` VALUES (136606, 371, 46, 'आणि प्रक्रिया.');
INSERT INTO `lang_definitions` VALUES (136607, 372, 46, 'आणि Apache सर्व्हर पुन्हा सुरू करा.');
INSERT INTO `lang_definitions` VALUES (136608, 373, 46, 'आणि कारण आहे');
INSERT INTO `lang_definitions` VALUES (136609, 374, 46, 'अशक्तपणा');
INSERT INTO `lang_definitions` VALUES (136610, 375, 46, 'पायाचा घोटा');
INSERT INTO `lang_definitions` VALUES (136611, 376, 46, 'पायाचा घोटा + टाच');
INSERT INTO `lang_definitions` VALUES (136612, 377, 46, 'पायाचा घोटा मूल्यांकन फॉर्म');
INSERT INTO `lang_definitions` VALUES (136613, 378, 46, 'पायाचा घोटा समस्या');
INSERT INTO `lang_definitions` VALUES (136614, 379, 46, 'Ankylosing Sondlilitis');
INSERT INTO `lang_definitions` VALUES (136615, 380, 46, 'Ankylosing Spondlilitis');
INSERT INTO `lang_definitions` VALUES (136616, 381, 46, 'भूक मंदावणे');
INSERT INTO `lang_definitions` VALUES (136617, 382, 46, 'तुम्ही पोस्टिंग विंडो मध्ये करू शकता आणखी एक गोष्ट दुय्यम बिलिंग विनंती आहे. आपण जतन करण्यापूर्वी हा चेकबॉक्स निवडा असेल, तर मूळ हक्क पुन्हा उघडले आणि बिलिंग पृष्ठावरील रांगेत, आणि पुढील बिलिंग रन प्रक्रिया केली जाईल जाईल.');
INSERT INTO `lang_definitions` VALUES (136618, 383, 46, 'आधीचा');
INSERT INTO `lang_definitions` VALUES (136619, 384, 46, 'गुद्द्वार नॅथन, नाही मलमार्गविषयक प्रेमळपणा / वस्तुमान');
INSERT INTO `lang_definitions` VALUES (136620, 385, 46, 'काळजी');
INSERT INTO `lang_definitions` VALUES (136621, 386, 46, 'कोणतीही');
INSERT INTO `lang_definitions` VALUES (136622, 387, 46, 'कोणतीही वर्ग');
INSERT INTO `lang_definitions` VALUES (136623, 388, 46, 'इच्छित कोड किंवा त्याचे वर्णन काही भाग');
INSERT INTO `lang_definitions` VALUES (136624, 389, 46, 'इच्छित विशेष काही भाग');
INSERT INTO `lang_definitions` VALUES (136625, 390, 46, 'औषध आयडी किंवा औषध नाव काही भाग');
INSERT INTO `lang_definitions` VALUES (136626, 391, 46, 'लसीकरण आयडी किंवा लसीकरण नाव काही भाग');
INSERT INTO `lang_definitions` VALUES (136627, 392, 46, 'रुग्ण नाव काही भाग, किंवा  \"गेल्या, प्रथम \", किंवा  \"XY \"');
INSERT INTO `lang_definitions` VALUES (136628, 393, 46, 'Anyother संबंधित माहिती');
INSERT INTO `lang_definitions` VALUES (136629, 394, 46, 'एसएमएस गेटवे API की.');
INSERT INTO `lang_definitions` VALUES (136630, 395, 46, 'श्वसनक्रिया बंद होणे');
INSERT INTO `lang_definitions` VALUES (136631, 396, 46, 'स्वरूप');
INSERT INTO `lang_definitions` VALUES (136632, 397, 46, 'स्वरूप:');
INSERT INTO `lang_definitions` VALUES (136633, 398, 46, 'ही टीप जोडा');
INSERT INTO `lang_definitions` VALUES (136634, 399, 46, 'विद्यमान नोंद करण्यासाठी जोडा');
INSERT INTO `lang_definitions` VALUES (136635, 400, 46, 'या टिपेवर जोडा');
INSERT INTO `lang_definitions` VALUES (136636, 401, 46, 'या टीप जोडा');
INSERT INTO `lang_definitions` VALUES (136637, 402, 46, 'आंत्रपुच्छ काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (136638, 403, 46, 'आंत्रपुच्छ काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (136639, 404, 46, 'लागू रुग्णांना');
INSERT INTO `lang_definitions` VALUES (136640, 405, 46, 'अर्ज');
INSERT INTO `lang_definitions` VALUES (136641, 406, 46, 'लॉग इन पृष्ठ मुख्य विंडो शीर्षक अर्ज नाव.');
INSERT INTO `lang_definitions` VALUES (136642, 407, 46, 'अर्ज स्वीकारणारा कोड (GS03 - रिक्त ISA08 वापरले जाईल असेल तर)');
INSERT INTO `lang_definitions` VALUES (136643, 408, 46, 'अर्ज प्रेषक कोड (GS02)');
INSERT INTO `lang_definitions` VALUES (136644, 409, 46, 'अर्ज शीर्षक');
INSERT INTO `lang_definitions` VALUES (136645, 410, 46, 'मर्मस्थाने फॉर्म आणि वाढ चार्ट लागू');
INSERT INTO `lang_definitions` VALUES (136646, 411, 46, 'मर्मस्थाने फॉर्म लागू');
INSERT INTO `lang_definitions` VALUES (136647, 412, 46, 'या फक्त वर्तमान कार्यक्रमात बदल, आणि सर्व भविष्यातील घटना, किंवा सर्व घटना लागू करा?');
INSERT INTO `lang_definitions` VALUES (136648, 413, 46, 'प्रभावित क्षेत्र लागू');
INSERT INTO `lang_definitions` VALUES (136649, 414, 46, 'त्वचा लागू');
INSERT INTO `lang_definitions` VALUES (136650, 415, 46, 'अर्ज');
INSERT INTO `lang_definitions` VALUES (136651, 416, 46, 'साइटवर ठिगळ अर्ज');
INSERT INTO `lang_definitions` VALUES (136652, 417, 46, 'नियुक्ती');
INSERT INTO `lang_definitions` VALUES (136653, 418, 46, 'नियुक्ती तारीख');
INSERT INTO `lang_definitions` VALUES (136654, 419, 46, 'नियुक्ती प्रदर्शन शैली');
INSERT INTO `lang_definitions` VALUES (136655, 420, 46, 'नियुक्ती स्मरणपत्र नियम');
INSERT INTO `lang_definitions` VALUES (136656, 421, 46, 'नियुक्ती स्थिती');
INSERT INTO `lang_definitions` VALUES (136657, 422, 46, 'नियुक्ती पुतळे');
INSERT INTO `lang_definitions` VALUES (136658, 423, 46, 'आत नियुक्ती');
INSERT INTO `lang_definitions` VALUES (136659, 424, 46, 'नियुक्ती / इव्हेंट रंग');
INSERT INTO `lang_definitions` VALUES (136660, 425, 46, 'भेटी');
INSERT INTO `lang_definitions` VALUES (136661, 426, 46, 'भेटी (पर्यायी लिहा)');
INSERT INTO `lang_definitions` VALUES (136662, 427, 46, 'नियुक्ती (राइट, पर्यायी wsome)');
INSERT INTO `lang_definitions` VALUES (136663, 430, 46, 'भेटी आणि Encounters');
INSERT INTO `lang_definitions` VALUES (136664, 431, 46, 'भेटी अहवाल');
INSERT INTO `lang_definitions` VALUES (136665, 432, 46, 'भेटी-Encounters अहवाल');
INSERT INTO `lang_definitions` VALUES (136666, 434, 46, 'मंजूर');
INSERT INTO `lang_definitions` VALUES (136667, 435, 46, 'रुग्णांच्या / Client-> Import-> प्रलंबित मंजूरी पासून रुग्णाला मंजूर');
INSERT INTO `lang_definitions` VALUES (136668, 436, 46, 'मंजूर');
INSERT INTO `lang_definitions` VALUES (136669, 437, 46, 'मंजूर आगामी कार्यक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (136670, 438, 46, 'यशस्वीरित्या मंजूर');
INSERT INTO `lang_definitions` VALUES (136671, 440, 46, 'Appt-Enc');
INSERT INTO `lang_definitions` VALUES (136672, 441, 46, 'Appts');
INSERT INTO `lang_definitions` VALUES (136673, 442, 46, 'एप्रिल');
INSERT INTO `lang_definitions` VALUES (136674, 443, 46, 'एप्रिल');
INSERT INTO `lang_definitions` VALUES (136675, 444, 46, 'अरबी');
INSERT INTO `lang_definitions` VALUES (136676, 445, 46, 'अर्गोनीज');
INSERT INTO `lang_definitions` VALUES (136677, 446, 46, 'संग्रहण');
INSERT INTO `lang_definitions` VALUES (136678, 447, 46, 'अनुवादित केले प्रवेश नियंत्रण गट नावे आहेत?');
INSERT INTO `lang_definitions` VALUES (136679, 448, 46, 'नियुक्ती श्रेणी नावे अनुवादित केले आहेत का?');
INSERT INTO `lang_definitions` VALUES (136680, 449, 46, 'दस्तऐवज श्रेणी नावे अनुवादित केले आहेत का?');
INSERT INTO `lang_definitions` VALUES (136681, 450, 46, 'शुल्क हा प्रकार आकारले जातात?');
INSERT INTO `lang_definitions` VALUES (136682, 451, 46, 'अनुवादित केले रुग्णाला नोंद शीर्षके आहेत?');
INSERT INTO `lang_definitions` VALUES (136683, 452, 46, 'कोड बाह्य एस क्यू एल सपाट दगडी पाट्या (0-नाही, 1-ICD10, 2-SNOMED (RF1), 3-SNOMED (RF2)) मध्ये संग्रहित आहेत?');
INSERT INTO `lang_definitions` VALUES (136684, 453, 46, 'आपण या भेट एक नवीन GCAC समस्या पूर्ण करण्यासाठी तयार आहेत?');
INSERT INTO `lang_definitions` VALUES (136685, 454, 46, 'आपण आज पोस्ट खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136686, 455, 46, 'आपण या घटना मंजूर करू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136687, 457, 46, 'आपण पूर्णपणे हा फॉर्म काढू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136688, 458, 46, 'आपण हटवू इच्छिता खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (136689, 459, 46, 'आपण हे उघड हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136690, 460, 46, 'आपण हा कार्यक्रम हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136691, 461, 46, 'आपण डेटाबेस हा आयटम हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136692, 462, 46, 'आपण ही नोट हटवू इच्छिता आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136693, 464, 46, 'आपण या घटना संपादित करू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136694, 465, 46, 'आपण या घटना लपवू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136695, 466, 46, 'आपण पुन्हा ते प्रसारित करू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136696, 467, 46, 'आपण या घटना पाहू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136697, 468, 46, 'आपण नाव संपूर्ण गट हटवू इच्छित आपली खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (136698, 469, 46, 'आपण संपूर्ण यादी हटवू इच्छित आपली खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (136699, 470, 46, 'आपण क्षेत्रात हटवू इच्छित आपली खात्री आहे की');
INSERT INTO `lang_definitions` VALUES (136700, 471, 46, 'आपण निवडलेल्या शेतात हटवू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (136701, 472, 46, 'आपण आपली खात्री आहे की  \'या क्रिया सुरू करू इच्छितो?');
INSERT INTO `lang_definitions` VALUES (136702, 473, 46, 'क्षेत्र निर्दिष्ट नाही');
INSERT INTO `lang_definitions` VALUES (136703, 474, 46, 'हाताचा');
INSERT INTO `lang_definitions` VALUES (136704, 475, 46, 'आर्मेनियन');
INSERT INTO `lang_definitions` VALUES (136705, 477, 46, 'Arrythmia');
INSERT INTO `lang_definitions` VALUES (136706, 478, 46, 'संधिवात');
INSERT INTO `lang_definitions` VALUES (136707, 479, 46, 'संधिवात / degen संयुक्त diseas');
INSERT INTO `lang_definitions` VALUES (136708, 480, 46, 'संधिवात / degen संयुक्त रोग');
INSERT INTO `lang_definitions` VALUES (136709, 481, 46, 'म्हणून');
INSERT INTO `lang_definitions` VALUES (136710, 482, 46, 'आतापर्यंत');
INSERT INTO `lang_definitions` VALUES (136711, 483, 46, 'ASC');
INSERT INTO `lang_definitions` VALUES (136712, 484, 46, 'आशियाई');
INSERT INTO `lang_definitions` VALUES (136713, 485, 46, 'आसामी');
INSERT INTO `lang_definitions` VALUES (136714, 487, 46, 'मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (136715, 488, 46, 'नियुक्त');
INSERT INTO `lang_definitions` VALUES (136716, 489, 46, 'सहाय्यक');
INSERT INTO `lang_definitions` VALUES (136717, 490, 46, 'दमा');
INSERT INTO `lang_definitions` VALUES (136718, 491, 46, 'येथे');
INSERT INTO `lang_definitions` VALUES (136719, 492, 46, 'तुम्ही सर्व निवडा तर कमीत कमी एक शोध घटक आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (136720, 493, 46, 'होडीच्या आकाराचे वेळी');
INSERT INTO `lang_definitions` VALUES (136721, 494, 46, 'होडीच्या आकाराचे वेळी:');
INSERT INTO `lang_definitions` VALUES (136722, 495, 46, 'मैदानी खेळ किंवा खेळाडूविषयक संघ');
INSERT INTO `lang_definitions` VALUES (136723, 496, 46, 'मैदानी खेळ किंवा खेळाडूविषयक टीम');
INSERT INTO `lang_definitions` VALUES (136724, 497, 46, 'मैदानी खेळ किंवा खेळाडूविषयक / इजा');
INSERT INTO `lang_definitions` VALUES (136725, 498, 46, 'ATNA ऑडिट CA प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (136726, 499, 46, 'ATNA ऑडिट यजमान');
INSERT INTO `lang_definitions` VALUES (136727, 500, 46, 'ATNA ऑडिट स्थानिक प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (136728, 501, 46, 'ATNA ऑडिट पोर्ट');
INSERT INTO `lang_definitions` VALUES (136729, 503, 46, 'लक्ष');
INSERT INTO `lang_definitions` VALUES (136730, 504, 46, 'लक्ष द्या');
INSERT INTO `lang_definitions` VALUES (136731, 506, 46, 'CDR इंजिन क्वेरी ऑडिट');
INSERT INTO `lang_definitions` VALUES (136732, 507, 46, 'ऑडिट लॉग लुडबुड');
INSERT INTO `lang_definitions` VALUES (136733, 508, 46, 'लॉग लुडबुड अहवाल ऑडिट');
INSERT INTO `lang_definitions` VALUES (136734, 509, 46, 'ऑडिट लॉग साठवत');
INSERT INTO `lang_definitions` VALUES (136735, 510, 46, 'ऑडिट लॉग विविध');
INSERT INTO `lang_definitions` VALUES (136736, 511, 46, 'ऑडिट लॉग ऑर्डर');
INSERT INTO `lang_definitions` VALUES (136737, 512, 46, 'ऑडिट लॉग रुग्णांच्या नोंद');
INSERT INTO `lang_definitions` VALUES (136738, 513, 46, 'ऑडिट लॉग शेड्युलिंग');
INSERT INTO `lang_definitions` VALUES (136739, 514, 46, 'ऑडिट लॉग सुरक्षा प्रशासन');
INSERT INTO `lang_definitions` VALUES (136740, 515, 46, 'निवडा क्वेरी लॉग इन ऑडिट');
INSERT INTO `lang_definitions` VALUES (136741, 516, 46, 'ऑगस्ट');
INSERT INTO `lang_definitions` VALUES (136742, 517, 46, 'ऑगस्ट');
INSERT INTO `lang_definitions` VALUES (136743, 519, 46, 'प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (136744, 520, 46, 'प्रमाणिकरण / नोट्स');
INSERT INTO `lang_definitions` VALUES (136745, 523, 46, 'प्राधिकृत गट');
INSERT INTO `lang_definitions` VALUES (136746, 524, 46, 'प्राधिकृत स्थिती');
INSERT INTO `lang_definitions` VALUES (136747, 525, 46, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (136748, 526, 46, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (136749, 527, 46, 'अधिकृत - कोणत्याही चकमकी');
INSERT INTO `lang_definitions` VALUES (136750, 528, 46, 'अधिकृत - माझ्या चकमकी');
INSERT INTO `lang_definitions` VALUES (136751, 529, 46, 'Authorize.net');
INSERT INTO `lang_definitions` VALUES (136752, 530, 46, 'अधिकृत');
INSERT INTO `lang_definitions` VALUES (136753, 531, 46, 'फक्त अधिकृत');
INSERT INTO `lang_definitions` VALUES (136754, 532, 46, 'ऑटो पाठवा');
INSERT INTO `lang_definitions` VALUES (136755, 535, 46, 'नवी Encounters ऑटो-तयार करा');
INSERT INTO `lang_definitions` VALUES (136756, 536, 46, 'स्वयं-व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (136757, 537, 46, 'स्वयंचलित माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (136758, 538, 46, 'स्वयंचलित माप गणना (एएमसी) - 2011');
INSERT INTO `lang_definitions` VALUES (136759, 539, 46, 'स्वयंचलित माप गणना (एएमसी) - 2014');
INSERT INTO `lang_definitions` VALUES (136760, 542, 46, 'स्वयंचलित माप गणना (एएमसी) ट्रॅकिंग');
INSERT INTO `lang_definitions` VALUES (136761, 543, 46, 'स्वयंचलित उपाय (एएमसी)');
INSERT INTO `lang_definitions` VALUES (136762, 544, 46, 'स्वयंचलित');
INSERT INTO `lang_definitions` VALUES (136763, 546, 46, 'नियुक्ती स्थिती सेट केल्यावर स्वयंचलितपणे एक नवीन चकमकीत तयार \"@\" (आगमन).');
INSERT INTO `lang_definitions` VALUES (136764, 549, 46, 'ऑटोमोबाइल वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (136765, 550, 46, 'स्वयंजतन');
INSERT INTO `lang_definitions` VALUES (136766, 551, 46, 'उपलब्ध श्रेणी');
INSERT INTO `lang_definitions` VALUES (136767, 552, 46, 'उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (136768, 553, 46, 'उपलब्ध ट्रॅक');
INSERT INTO `lang_definitions` VALUES (136769, 554, 46, 'अॅव्हेरिक');
INSERT INTO `lang_definitions` VALUES (136770, 555, 46, 'डाव्या nav स्क्रीन मध्ये पॉपअप पासून रुग्ण लेबले छपाई साठी Avery Label प्रकार');
INSERT INTO `lang_definitions` VALUES (136771, 556, 46, 'अवेस्तन');
INSERT INTO `lang_definitions` VALUES (136772, 557, 46, 'सरासरी मासिक');
INSERT INTO `lang_definitions` VALUES (136773, 558, 46, 'एका भागापासून दुसरा भाग फाटुन निघणे / एका भागापासून दुसरा भाग फाटुन निघणे फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (136774, 559, 46, 'एका भागापासून दुसरा भाग फाटुन निघणे बाजूकडील घोटा');
INSERT INTO `lang_definitions` VALUES (136775, 560, 46, 'एका भागापासून दुसरा भाग फाटुन निघणे सरासरीचा घोटा ');
INSERT INTO `lang_definitions` VALUES (136776, 561, 46, 'जागृती आधारित');
INSERT INTO `lang_definitions` VALUES (136777, 562, 46, 'Axillary');
INSERT INTO `lang_definitions` VALUES (136778, 563, 46, 'आयमरा');
INSERT INTO `lang_definitions` VALUES (136779, 564, 46, 'अझरबैजानी');
INSERT INTO `lang_definitions` VALUES (136780, 565, 46, 'b.i.d.');
INSERT INTO `lang_definitions` VALUES (136781, 566, 46, 'मागे');
INSERT INTO `lang_definitions` VALUES (136782, 567, 46, 'परत');
INSERT INTO `lang_definitions` VALUES (136783, 568, 46, 'मागे आठ भेटी');
INSERT INTO `lang_definitions` VALUES (136784, 569, 46, 'मागे अकरा भेटी');
INSERT INTO `lang_definitions` VALUES (136785, 570, 46, 'मागे पाच भेटी');
INSERT INTO `lang_definitions` VALUES (136786, 571, 46, 'मागे चार भेटी');
INSERT INTO `lang_definitions` VALUES (136787, 572, 46, 'मागे नऊ भेटी');
INSERT INTO `lang_definitions` VALUES (136788, 573, 46, 'परत एक भेट');
INSERT INTO `lang_definitions` VALUES (136789, 574, 46, 'पाठदुखी');
INSERT INTO `lang_definitions` VALUES (136790, 575, 46, 'मागे समस्या');
INSERT INTO `lang_definitions` VALUES (136791, 576, 46, 'मागे सात भेटी');
INSERT INTO `lang_definitions` VALUES (136792, 577, 46, 'सहा भेटी');
INSERT INTO `lang_definitions` VALUES (136793, 578, 46, 'मागे शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (136794, 579, 46, 'मागे दहा भेटी');
INSERT INTO `lang_definitions` VALUES (136795, 580, 46, 'तीन भेटी');
INSERT INTO `lang_definitions` VALUES (136796, 581, 46, 'परत प्रशासन पृष्ठ');
INSERT INTO `lang_definitions` VALUES (136797, 582, 46, 'परत सामना करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136798, 583, 46, 'परत रुग्णाला');
INSERT INTO `lang_definitions` VALUES (136799, 584, 46, 'मागे रुग्णांच्या करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136800, 585, 46, 'परत वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (136801, 586, 46, 'मागे पहा करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (136802, 587, 46, 'मागे बारा भेटी');
INSERT INTO `lang_definitions` VALUES (136803, 588, 46, 'परत दोन भेटी');
INSERT INTO `lang_definitions` VALUES (136804, 589, 46, 'पार्श्वभूमी सेवा');
INSERT INTO `lang_definitions` VALUES (136805, 590, 46, 'बॅकअप');
INSERT INTO `lang_definitions` VALUES (136806, 591, 46, 'बॅकअप फाइल तयार करण्यात आली आहे. आता डाउनलोड पाठवेल.');
INSERT INTO `lang_definitions` VALUES (136807, 592, 46, 'बॅकअप यादी');
INSERT INTO `lang_definitions` VALUES (136808, 593, 46, 'बॅकअप यशस्वीरित्या घेतले');
INSERT INTO `lang_definitions` VALUES (136809, 594, 46, 'खराब तपासणी');
INSERT INTO `lang_definitions` VALUES (136810, 595, 46, 'खराब कर्ज');
INSERT INTO `lang_definitions` VALUES (136811, 596, 46, 'बहासा इंडोनेशिया');
INSERT INTO `lang_definitions` VALUES (136812, 597, 46, 'बाळ');
INSERT INTO `lang_definitions` VALUES (136813, 598, 46, 'शिल्लक');
INSERT INTO `lang_definitions` VALUES (136814, 599, 46, 'शिल्लक');
INSERT INTO `lang_definitions` VALUES (136815, 600, 46, 'शिल्लक रक्कम');
INSERT INTO `lang_definitions` VALUES (136816, 601, 46, 'शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (136817, 602, 46, 'बाम्बारा');
INSERT INTO `lang_definitions` VALUES (136818, 603, 46, 'बँक ड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (136819, 604, 46, 'बारकोड लेबल');
INSERT INTO `lang_definitions` VALUES (136820, 605, 46, 'बारकोड लेबल प्रकार');
INSERT INTO `lang_definitions` VALUES (136821, 606, 46, 'डाव्या एनएव्ही स्क्रीन मध्ये पॉपअप पासून बारकोड लेबल छपाई साठी बारकोड प्रकार.');
INSERT INTO `lang_definitions` VALUES (136822, 607, 46, 'पाचव्या (5) पाया Metarsal');
INSERT INTO `lang_definitions` VALUES (136823, 608, 46, 'पाचव्या (5) Metarsal पाया:');
INSERT INTO `lang_definitions` VALUES (136824, 609, 46, 'बष्किर');
INSERT INTO `lang_definitions` VALUES (136825, 610, 46, 'बास्क');
INSERT INTO `lang_definitions` VALUES (136826, 611, 46, 'बॅच दावा');
INSERT INTO `lang_definitions` VALUES (136827, 612, 46, 'बॅच दळणवळण साधन');
INSERT INTO `lang_definitions` VALUES (136828, 613, 46, 'बॅच भरणा प्रवेश');
INSERT INTO `lang_definitions` VALUES (136829, 614, 46, 'बॅच देयके');
INSERT INTO `lang_definitions` VALUES (136830, 615, 46, 'बॅच प्रक्रिया सुरू; या थोडा वेळ लागू शकतो.');
INSERT INTO `lang_definitions` VALUES (136831, 616, 46, 'बॅच परिणाम');
INSERT INTO `lang_definitions` VALUES (136832, 617, 46, 'BatchCom');
INSERT INTO `lang_definitions` VALUES (136833, 618, 46, 'धीर धरा, काही फायली प्रक्रिया काही मिनिटे लागू शकतात!');
INSERT INTO `lang_definitions` VALUES (136834, 619, 46, 'त्या आयडी अस्तित्वात नाही कारण.');
INSERT INTO `lang_definitions` VALUES (136835, 620, 46, 'सुरू');
INSERT INTO `lang_definitions` VALUES (136836, 621, 46, 'तारीख सुरू');
INSERT INTO `lang_definitions` VALUES (136837, 623, 46, 'सेवा वर्ष-mm-dd या सुरूवातीस तारीख');
INSERT INTO `lang_definitions` VALUES (136838, 624, 46, 'कॅलेंडर कार्यक्रम दिवसाचा तास सुरू.');
INSERT INTO `lang_definitions` VALUES (136839, 625, 46, 'बेलारूसी');
INSERT INTO `lang_definitions` VALUES (136840, 626, 46, 'ढेकर देणे');
INSERT INTO `lang_definitions` VALUES (136841, 628, 46, 'बंगाली');
INSERT INTO `lang_definitions` VALUES (136842, 629, 46, 'Bengali- बांगला');
INSERT INTO `lang_definitions` VALUES (136843, 630, 46, 'दरम्यान');
INSERT INTO `lang_definitions` VALUES (136844, 631, 46, 'द्वि-दिशा');
INSERT INTO `lang_definitions` VALUES (136845, 632, 46, 'बिहारी');
INSERT INTO `lang_definitions` VALUES (136846, 633, 46, 'द्विपक्षीय');
INSERT INTO `lang_definitions` VALUES (136847, 634, 46, 'द्विपक्षीय:');
INSERT INTO `lang_definitions` VALUES (136848, 636, 46, 'बिल दिनांक:');
INSERT INTO `lang_definitions` VALUES (136849, 637, 46, 'बिल / गोळा');
INSERT INTO `lang_definitions` VALUES (136850, 638, 46, 'बिल');
INSERT INTO `lang_definitions` VALUES (136851, 640, 46, 'बिलिंग');
INSERT INTO `lang_definitions` VALUES (136852, 641, 46, 'बिलिंग (पर्यायी लिहा)');
INSERT INTO `lang_definitions` VALUES (136853, 642, 46, 'बिलिंग लक्ष द्या');
INSERT INTO `lang_definitions` VALUES (136854, 644, 46, 'विनंतीकृत सेवा बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (136855, 645, 46, 'बिलिंग कोड');
INSERT INTO `lang_definitions` VALUES (136856, 646, 46, 'बिलिंग डेटा');
INSERT INTO `lang_definitions` VALUES (136857, 647, 46, 'बिलिंग विभाग');
INSERT INTO `lang_definitions` VALUES (136858, 648, 46, 'बिलिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (136859, 649, 46, 'बिलिंग माहिती');
INSERT INTO `lang_definitions` VALUES (136860, 650, 46, 'बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (136861, 655, 46, 'बिलिंग व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (136862, 656, 46, 'बिलिंग टीप');
INSERT INTO `lang_definitions` VALUES (136863, 657, 46, 'साठी बिलिंग टीप ');
INSERT INTO `lang_definitions` VALUES (136864, 658, 46, 'बिलिंग टीप:');
INSERT INTO `lang_definitions` VALUES (136865, 659, 46, 'बिलिंग रांग परिणाम:');
INSERT INTO `lang_definitions` VALUES (136866, 660, 46, 'बिलिंग अहवाल');
INSERT INTO `lang_definitions` VALUES (136867, 661, 46, 'बिलिंग स्थिती');
INSERT INTO `lang_definitions` VALUES (136868, 662, 46, 'बिलिंग स्थिती = बिल न केलेली');
INSERT INTO `lang_definitions` VALUES (136869, 663, 46, 'ते बिलिंग ');
INSERT INTO `lang_definitions` VALUES (136870, 665, 46, 'बायोप्सी');
INSERT INTO `lang_definitions` VALUES (136871, 666, 46, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (136872, 667, 46, 'जन्म-24 महिने');
INSERT INTO `lang_definitions` VALUES (136873, 668, 46, 'बिस्लामा');
INSERT INTO `lang_definitions` VALUES (136874, 669, 46, 'ब्लॅक');
INSERT INTO `lang_definitions` VALUES (136875, 670, 46, 'ब्लॅक फुफ्फुसांचा');
INSERT INTO `lang_definitions` VALUES (136876, 671, 46, 'काळे किंवा आफ्रिकन अमेरिकन');
INSERT INTO `lang_definitions` VALUES (136877, 672, 46, 'मूत्राशय कर्करोग');
INSERT INTO `lang_definitions` VALUES (136878, 673, 46, 'मूत्राशय इन्फेक्शन्स');
INSERT INTO `lang_definitions` VALUES (136879, 674, 46, 'कोरे फॉर्म');
INSERT INTO `lang_definitions` VALUES (136880, 675, 46, 'समस्या रक्तस्त्राव');
INSERT INTO `lang_definitions` VALUES (136881, 676, 46, 'अंध स्पॉट');
INSERT INTO `lang_definitions` VALUES (136882, 677, 46, 'गोळा येणे');
INSERT INTO `lang_definitions` VALUES (136883, 678, 46, 'अवरोधित');
INSERT INTO `lang_definitions` VALUES (136884, 679, 46, 'रक्त');
INSERT INTO `lang_definitions` VALUES (136885, 680, 46, 'रक्तदाब');
INSERT INTO `lang_definitions` VALUES (136886, 681, 46, 'रक्तदाब');
INSERT INTO `lang_definitions` VALUES (136887, 682, 46, 'रक्तरंजित नाक');
INSERT INTO `lang_definitions` VALUES (136888, 683, 46, 'ब्लू क्रॉस ब्लू शिल्ड');
INSERT INTO `lang_definitions` VALUES (136889, 684, 46, 'या अहवालात निळ्या रेषा माहिती आहेत. ब्लॅक ओळी पूर्वी अस्तित्वात असलेली माहिती दर्शवतात. ग्रीन ओळी यशस्वीरित्या लागू होते की बदल दाखवा. लाल रेषा त्रुटी, किंवा लागू केले नाही ते बदल सूचित; या स्वतः प्रक्रिया करणे आवश्यक आहे. सध्या नाकारला दावे आणि पैसे reversals स्वयं हाताळले नाहीत आणि त्यामुळे लाल दिसेल.');
INSERT INTO `lang_definitions` VALUES (136890, 685, 46, 'अंधुक दिसणे');
INSERT INTO `lang_definitions` VALUES (136891, 686, 46, 'बीएमआय');
INSERT INTO `lang_definitions` VALUES (136892, 687, 46, 'बीएमआय स्थिती');
INSERT INTO `lang_definitions` VALUES (136893, 689, 46, 'शरीर प्रदेश');
INSERT INTO `lang_definitions` VALUES (136894, 690, 46, 'शरीर साइट');
INSERT INTO `lang_definitions` VALUES (136895, 691, 46, 'शरीर साइट, लागू असल्यास');
INSERT INTO `lang_definitions` VALUES (136896, 692, 46, 'हाड दयाळूपणा:');
INSERT INTO `lang_definitions` VALUES (136897, 693, 46, 'हाड दयाळूपणा: सरासरीचा घोटा');
INSERT INTO `lang_definitions` VALUES (136898, 694, 46, 'बुलियन');
INSERT INTO `lang_definitions` VALUES (136899, 695, 46, 'बोस्नियन');
INSERT INTO `lang_definitions` VALUES (136900, 696, 46, 'बॉट');
INSERT INTO `lang_definitions` VALUES (136901, 697, 46, 'दोन्ही कान');
INSERT INTO `lang_definitions` VALUES (136902, 698, 46, 'दोन्ही कान');
INSERT INTO `lang_definitions` VALUES (136903, 699, 46, 'तळ');
INSERT INTO `lang_definitions` VALUES (136904, 700, 46, 'तळ समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (136905, 701, 46, 'बॉक्स 10 अ रोजगार संबंधित ');
INSERT INTO `lang_definitions` VALUES (136906, 702, 46, 'बॉक्स 10 ब ऑटो अपघात ');
INSERT INTO `lang_definitions` VALUES (136907, 703, 46, 'बॉक्स 10 सी इतर अपघात ');
INSERT INTO `lang_definitions` VALUES (136908, 704, 46, 'बॉक्स 14 तारीख पात्रता');
INSERT INTO `lang_definitions` VALUES (136909, 705, 46, 'बॉक्स 15 इतर तारीख पात्रता');
INSERT INTO `lang_definitions` VALUES (136910, 706, 46, 'बॉक्स 15 त्याच किंवा तत्सम आजार (वर्ष-mm-dd या) दिनांक:');
INSERT INTO `lang_definitions` VALUES (136911, 707, 46, 'त्याच किंवा तत्सम आजार / इतर तारीख (वर्ष-mm-dd या) च्या बॉक्स 15 दिनांक:');
INSERT INTO `lang_definitions` VALUES (136912, 708, 46, 'बॉक्स (वर्ष-mm-dd या) पासून काम करण्यास अक्षम 16 दिनांक:');
INSERT INTO `lang_definitions` VALUES (136913, 709, 46, 'बॉक्स (वर्ष-महिना-डीडी) काम करण्यास अक्षम 16 दिनांक:');
INSERT INTO `lang_definitions` VALUES (136914, 710, 46, '(वर्ष-mm-dd या) पासून बॉक्स 18 हॉस्पिटलायझेशन तारीख: ');
INSERT INTO `lang_definitions` VALUES (136915, 711, 46, '(वर्ष-महिना-डीडी) बॉक्स 18 हॉस्पिटलायझेशन तारीख: ');
INSERT INTO `lang_definitions` VALUES (136916, 712, 46, 'बॉक्स 20 बाहेर लॅब केला जातो काय?');
INSERT INTO `lang_definitions` VALUES (136917, 713, 46, 'बॉक्स 22 मेडीकेडची रीसबमिशनची कोड (ICD-9) ');
INSERT INTO `lang_definitions` VALUES (136918, 714, 46, 'बॉक्स 23 प्रायर प्राधिकृत क्रमांक ');
INSERT INTO `lang_definitions` VALUES (136919, 715, 46, 'बीपी');
INSERT INTO `lang_definitions` VALUES (136920, 716, 46, 'बीपी डायस्टोतलक');
INSERT INTO `lang_definitions` VALUES (136921, 717, 46, 'बीपी सिस्टॉलीक');
INSERT INTO `lang_definitions` VALUES (136922, 719, 46, 'Bpd');
INSERT INTO `lang_definitions` VALUES (136923, 721, 46, 'BPS');
INSERT INTO `lang_definitions` VALUES (136924, 722, 46, 'ब्राझिलियन पोर्तुगीज');
INSERT INTO `lang_definitions` VALUES (136925, 723, 46, 'स्तनाचा');
INSERT INTO `lang_definitions` VALUES (136926, 724, 46, 'स्तनाचा बायोप्सी');
INSERT INTO `lang_definitions` VALUES (136927, 725, 46, 'स्तनाचा डिस्चार्ज');
INSERT INTO `lang_definitions` VALUES (136928, 726, 46, 'स्तनाचा रोग');
INSERT INTO `lang_definitions` VALUES (136929, 727, 46, 'स्तनाचा परीक्षा');
INSERT INTO `lang_definitions` VALUES (136930, 728, 46, 'स्तनाचा मास');
INSERT INTO `lang_definitions` VALUES (136931, 730, 46, 'श्वास ध्वनी:');
INSERT INTO `lang_definitions` VALUES (136932, 731, 46, 'ब्रेटन');
INSERT INTO `lang_definitions` VALUES (136933, 732, 46, 'तुटलेली हाडे');
INSERT INTO `lang_definitions` VALUES (136934, 733, 46, 'तुटलेली फॉर्म');
INSERT INTO `lang_definitions` VALUES (136935, 734, 46, 'ब्राँकायटिस फॉर्म');
INSERT INTO `lang_definitions` VALUES (136936, 735, 46, 'ब्राउझ करा');
INSERT INTO `lang_definitions` VALUES (136937, 736, 46, 'रेकॉर्ड साठी ब्राउझ करा');
INSERT INTO `lang_definitions` VALUES (136938, 737, 46, 'थकवा / रक्ताबुर्द');
INSERT INTO `lang_definitions` VALUES (136939, 738, 46, 'बल्गेरियन');
INSERT INTO `lang_definitions` VALUES (136940, 739, 46, 'उजव्या फुगवटा:');
INSERT INTO `lang_definitions` VALUES (136941, 740, 46, 'बर्मी');
INSERT INTO `lang_definitions` VALUES (136942, 741, 46, 'लघवी जळत');
INSERT INTO `lang_definitions` VALUES (136943, 742, 46, 'लघवी जळत');
INSERT INTO `lang_definitions` VALUES (136944, 743, 46, 'व्यवसाय फोन');
INSERT INTO `lang_definitions` VALUES (136945, 744, 46, 'व्यस्त');
INSERT INTO `lang_definitions` VALUES (136946, 745, 46, 'परंतु अद्याप प्रक्रिया केली नाही.');
INSERT INTO `lang_definitions` VALUES (136947, 746, 46, 'नितंब');
INSERT INTO `lang_definitions` VALUES (136948, 747, 46, 'नितंब + S.I.');
INSERT INTO `lang_definitions` VALUES (136949, 748, 46, 'करून');
INSERT INTO `lang_definitions` VALUES (136950, 749, 46, 'करून');
INSERT INTO `lang_definitions` VALUES (136951, 750, 46, 'तोंडून');
INSERT INTO `lang_definitions` VALUES (136952, 751, 46, '/ स्त्रोत करून');
INSERT INTO `lang_definitions` VALUES (136953, 752, 46, 'करून:');
INSERT INTO `lang_definitions` VALUES (136954, 753, 46, 'सी');
INSERT INTO `lang_definitions` VALUES (136955, 754, 46, 'न करता RFC 5425, TLS syslog सर्व्हरकडे सत्यापित करण्यासाठी CA प्रमाणपत्र.');
INSERT INTO `lang_definitions` VALUES (136956, 755, 46, '(सेकंदात) कॅशे आजीवन');
INSERT INTO `lang_definitions` VALUES (136957, 756, 46, 'कॅशे टेम्पलेट आउटपुट?');
INSERT INTO `lang_definitions` VALUES (136958, 757, 46, 'चहाच्या पानांत किंवा कॉफीच्या बियांत असणारे उत्तेजक द्रव्य सेवन');
INSERT INTO `lang_definitions` VALUES (136959, 758, 46, 'दिनदर्शिका');
INSERT INTO `lang_definitions` VALUES (136960, 759, 46, 'कॅलेंडर तास समाप्ती');
INSERT INTO `lang_definitions` VALUES (136961, 760, 46, 'कॅलेंडर मध्यांतर');
INSERT INTO `lang_definitions` VALUES (136962, 761, 46, 'कॅलेंडर स्क्रीन');
INSERT INTO `lang_definitions` VALUES (136963, 762, 46, 'कॅलेंडर सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (136964, 763, 46, 'कॅलेंडर प्रारंभ तास');
INSERT INTO `lang_definitions` VALUES (136965, 764, 46, 'कॅलेंडर केलेल्या UI');
INSERT INTO `lang_definitions` VALUES (136966, 765, 46, 'कॅलेंडर पहा');
INSERT INTO `lang_definitions` VALUES (136967, 766, 46, 'येथे नाही) (addForm कॉल. <br>');
INSERT INTO `lang_definitions` VALUES (136968, 767, 46, 'कॅलरीज');
INSERT INTO `lang_definitions` VALUES (136969, 768, 46, 'कंबोडियन');
INSERT INTO `lang_definitions` VALUES (136971, 774, 46, 'रद्द करा');
INSERT INTO `lang_definitions` VALUES (136972, 775, 46, 'बदल रद्द करा');
INSERT INTO `lang_definitions` VALUES (136973, 776, 46, 'रद्द');
INSERT INTO `lang_definitions` VALUES (136974, 777, 46, 'कर्करोग');
INSERT INTO `lang_definitions` VALUES (136975, 778, 46, 'कर्करोग स्क्रीनिंग: अपूर्णविराम कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (136976, 779, 46, 'कर्करोग स्क्रीनिंग: मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (136977, 780, 46, 'कर्करोग स्क्रीनिंग: प्रकल्पग्रस्त डाग');
INSERT INTO `lang_definitions` VALUES (136978, 781, 46, 'कर्करोग स्क्रीनिंग: पुर: स्थ कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (136979, 782, 46, 'हे आधीपासूनच विद्यमान आहे, कारण ही नोंदणी जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (136980, 783, 46, 'जोडू शकत नाही / डुप्लिकेट आधिपासूनच अस्तित्वात आहे कारण ही नोंदणी अद्यतनित करा!');
INSERT INTO `lang_definitions` VALUES (136981, 784, 46, 'दुर्लक्ष, संग्रहित केले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (136982, 785, 46, 'JPEG, रूपांतरीत केले जाऊ शकत नाही. कदाचित ImageMagick स्थापित नाही?');
INSERT INTO `lang_definitions` VALUES (136983, 786, 46, 'दुर्लक्ष, हटविले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (136984, 787, 46, 'त्याचा प्रकार ब्राउझर द्वारे समर्थीत नाही कारण इनलाइन प्रदर्शित केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (136985, 788, 46, 'त्याचा प्रकार ब्राउझर द्वारे समर्थीत नाही becuase इनलाइन प्रदर्शित केले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (136986, 789, 46, 'त्याचा प्रकार ब्राउझर द्वारे समर्थीत नाही becuase इनलाइन प्रदर्शित केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (136987, 790, 46, 'तयार करू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136988, 791, 46, 'फाइल निर्माण करू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136989, 792, 46, 'फाइल (SFTP सर्वर पासून) हटवू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136990, 793, 46, 'फाईल हटवू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136991, 794, 46, 'एक गंतव्य फाइलनाव निश्चित करू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136992, 795, 46, 'शोधू शकत नाही ');
INSERT INTO `lang_definitions` VALUES (136993, 796, 46, 'एक गंतव्य फाइलनाव शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136994, 799, 46, 'एस क्यू एल-लेजर ग्राहक आयडी पासून रुग्ण शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (136995, 800, 46, 'मध्ये ताजा कलम दस्तऐवज संदर्भ शोधू शकत नाही ');
INSERT INTO `lang_definitions` VALUES (136996, 801, 46, 'एस क्यू एल-लेजर कर्मचारी पासून प्रदाता शोधू शकत नाही = ');
INSERT INTO `lang_definitions` VALUES (136997, 802, 46, 'Payments.Undistributed नकारात्मक आहे संपादीत करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (136998, 803, 46, 'उघडू शकत नाही ');
INSERT INTO `lang_definitions` VALUES (136999, 804, 46, 'निवड Insurance.The देवून घटकाचे पोस्ट करू शकत नाही रुग्णांच्या आहे.');
INSERT INTO `lang_definitions` VALUES (137000, 805, 46, 'निवड Patient.The देवून घटकाचे पोस्ट करू शकत नाही विमा आहे.');
INSERT INTO `lang_definitions` VALUES (137001, 806, 46, 'Payments.Undistributed नकारात्मक आहे पोस्ट करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (137002, 807, 46, 'वाचू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137003, 808, 46, 'निर्देशिका वाचू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137004, 809, 46, 'आपण अस्तित्वातील नोंद संपादित नाही कारण अद्ययावत करू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (137005, 810, 46, 'भांडवल');
INSERT INTO `lang_definitions` VALUES (137006, 811, 46, 'सर्व भांडवल');
INSERT INTO `lang_definitions` VALUES (137007, 812, 46, 'कुपी');
INSERT INTO `lang_definitions` VALUES (137008, 813, 46, 'कार्ड');
INSERT INTO `lang_definitions` VALUES (137009, 814, 46, 'कार्डिऍक शरीराच्या पोकळीमध्ये कॅथेटर घालणे');
INSERT INTO `lang_definitions` VALUES (137010, 815, 46, 'कार्डिऍक प्रतिध्वनी');
INSERT INTO `lang_definitions` VALUES (137011, 816, 46, 'हृदय व रक्तवाहिन्यासंबंधी');
INSERT INTO `lang_definitions` VALUES (137012, 821, 46, 'कूर्चा / chondral / डिस्क नुकसान');
INSERT INTO `lang_definitions` VALUES (137013, 822, 46, 'कूर्चा इजा');
INSERT INTO `lang_definitions` VALUES (137014, 823, 46, 'Cartoid pulsations नॅथन, स्वरुपात डाळी नॅथन');
INSERT INTO `lang_definitions` VALUES (137015, 824, 46, 'रोख');
INSERT INTO `lang_definitions` VALUES (137016, 825, 46, 'रोख');
INSERT INTO `lang_definitions` VALUES (137017, 826, 46, 'रोख \'आरईसी\'');
INSERT INTO `lang_definitions` VALUES (137018, 827, 46, 'प्रदाता रोख पावत्या');
INSERT INTO `lang_definitions` VALUES (137019, 828, 46, 'Catalan- वॅलेन्सियन');
INSERT INTO `lang_definitions` VALUES (137020, 829, 46, 'मोतीबिंदू शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (137021, 830, 46, 'मोतीबिंदु');
INSERT INTO `lang_definitions` VALUES (137022, 831, 46, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (137023, 832, 46, 'श्रेण्या');
INSERT INTO `lang_definitions` VALUES (137024, 833, 46, 'वर्ग');
INSERT INTO `lang_definitions` VALUES (137025, 834, 46, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (137026, 835, 46, 'वर्ग ');
INSERT INTO `lang_definitions` VALUES (137027, 836, 46, 'वर्ग तपशील');
INSERT INTO `lang_definitions` VALUES (137028, 837, 46, 'वर्ग मर्यादा');
INSERT INTO `lang_definitions` VALUES (137029, 838, 46, 'वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (137030, 839, 46, 'वर्ग नाव रिक्त आहे');
INSERT INTO `lang_definitions` VALUES (137031, 840, 46, 'वर्ग / शीर्षक');
INSERT INTO `lang_definitions` VALUES (137032, 841, 46, 'कॉकेशियन');
INSERT INTO `lang_definitions` VALUES (137033, 842, 46, 'चकमकीत / प्राथमिक प्रदाता माहिती प्रिंट पावत्या कारणे');
INSERT INTO `lang_definitions` VALUES (137034, 846, 46, 'CCR मंजूर');
INSERT INTO `lang_definitions` VALUES (137035, 847, 46, 'CCR रुग्णांच्या पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (137036, 848, 46, 'CCR पुनरावलोकन आणि मान्यता');
INSERT INTO `lang_definitions` VALUES (137037, 850, 46, 'CDR');
INSERT INTO `lang_definitions` VALUES (137038, 851, 46, 'CDR प्रक्रिया प्राधान्य अहवाल');
INSERT INTO `lang_definitions` VALUES (137039, 852, 46, 'सेल');
INSERT INTO `lang_definitions` VALUES (137040, 853, 46, 'सेल फोन');
INSERT INTO `lang_definitions` VALUES (137041, 854, 46, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (137042, 855, 46, 'सेल फोन नंबर');
INSERT INTO `lang_definitions` VALUES (137043, 856, 46, 'केंद्रीय प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (137044, 857, 46, 'केंद्रीय / दक्षिण अमेरिकन');
INSERT INTO `lang_definitions` VALUES (137045, 858, 46, 'प्रमाणपत्र अधिकृतता सीआरटी फाइल स्थान रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137046, 859, 46, 'प्रमाणपत्र अधिकृतता की फाइल स्थान रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137047, 860, 46, 'प्रमाणपत्र, RFC 5425, TLS syslog सर्व्हरकडे पाठविणे.');
INSERT INTO `lang_definitions` VALUES (137048, 861, 46, 'प्रमाणपत्र वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (137049, 862, 46, 'प्रमाणपत्रे');
INSERT INTO `lang_definitions` VALUES (137050, 863, 46, 'चमारो');
INSERT INTO `lang_definitions` VALUES (137051, 864, 46, 'ChampUS');
INSERT INTO `lang_definitions` VALUES (137052, 865, 46, 'ChampUSVA');
INSERT INTO `lang_definitions` VALUES (137053, 866, 46, 'बदल');
INSERT INTO `lang_definitions` VALUES (137054, 867, 46, 'बदला');
INSERT INTO `lang_definitions` VALUES (137055, 868, 46, 'बदला क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (137056, 869, 46, 'बदला अयशस्वी झाले! CouchDB त्रुटी कनेक्ट?');
INSERT INTO `lang_definitions` VALUES (137057, 870, 46, 'दृष्टी बदल');
INSERT INTO `lang_definitions` VALUES (137058, 871, 46, 'दृष्टी मध्ये बदला');
INSERT INTO `lang_definitions` VALUES (137059, 872, 46, 'पासवर्ड बदला');
INSERT INTO `lang_definitions` VALUES (137060, 874, 46, 'बदलले');
INSERT INTO `lang_definitions` VALUES (137061, 875, 46, 'बदललेल्या आतडी');
INSERT INTO `lang_definitions` VALUES (137062, 876, 46, 'दस्तऐवज धीराने आयडी बदलत आहे');
INSERT INTO `lang_definitions` VALUES (137063, 877, 46, 'वैशिष्ट्ये');
INSERT INTO `lang_definitions` VALUES (137064, 878, 46, 'उर्वरित वर्ण');
INSERT INTO `lang_definitions` VALUES (137065, 879, 46, 'चार्ज');
INSERT INTO `lang_definitions` VALUES (137066, 880, 46, 'शुल्क समायोजन');
INSERT INTO `lang_definitions` VALUES (137067, 881, 46, 'शुल्क कोड');
INSERT INTO `lang_definitions` VALUES (137068, 882, 46, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (137069, 883, 46, 'चार्ट');
INSERT INTO `lang_definitions` VALUES (137070, 884, 46, 'चार्ट क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (137071, 885, 46, 'चार्ट चेक-इन / बाहेर क्रियाकलाप अहवाल');
INSERT INTO `lang_definitions` VALUES (137072, 886, 46, 'चार्ट आयडी');
INSERT INTO `lang_definitions` VALUES (137073, 887, 46, 'चार्ट आयडी:');
INSERT INTO `lang_definitions` VALUES (137074, 888, 46, 'चार्ट लेबल');
INSERT INTO `lang_definitions` VALUES (137075, 889, 46, 'चार्ट स्थान क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (137076, 890, 46, 'चार्ट टीप');
INSERT INTO `lang_definitions` VALUES (137077, 891, 46, 'चार्ट क्रमांक');
INSERT INTO `lang_definitions` VALUES (137078, 892, 46, 'चार्ट स्टोरेज स्थाने');
INSERT INTO `lang_definitions` VALUES (137079, 893, 46, 'चार्ट ट्रॅकर');
INSERT INTO `lang_definitions` VALUES (137080, 894, 46, 'चार्ट TRK');
INSERT INTO `lang_definitions` VALUES (137081, 895, 46, 'चार्ट चेक-इन');
INSERT INTO `lang_definitions` VALUES (137082, 896, 46, 'आउट चार्ट');
INSERT INTO `lang_definitions` VALUES (137083, 897, 46, 'चेचन');
INSERT INTO `lang_definitions` VALUES (137084, 898, 46, 'चेक');
INSERT INTO `lang_definitions` VALUES (137085, 899, 46, 'तपासा');
INSERT INTO `lang_definitions` VALUES (137086, 900, 46, 'सर्व तपासा');
INSERT INTO `lang_definitions` VALUES (137087, 902, 46, 'रक्कम तपासा');
INSERT INTO `lang_definitions` VALUES (137088, 903, 46, 'चेक तारीख');
INSERT INTO `lang_definitions` VALUES (137089, 904, 46, 'सानुकूल भाषा टेबल अनुवाद फरक तपासा.');
INSERT INTO `lang_definitions` VALUES (137090, 906, 46, 'करण्यासाठी तपासा');
INSERT INTO `lang_definitions` VALUES (137091, 907, 46, 'इनपुट डेटा तपासा');
INSERT INTO `lang_definitions` VALUES (137092, 908, 46, 'आलेख आयटम तपासा');
INSERT INTO `lang_definitions` VALUES (137093, 909, 46, 'लॅब परिणाम तपासा');
INSERT INTO `lang_definitions` VALUES (137094, 910, 46, 'चेक मार्क पुनरावलोकन हे कशावरून');
INSERT INTO `lang_definitions` VALUES (137095, 911, 46, 'कोणत्याही तपासा');
INSERT INTO `lang_definitions` VALUES (137096, 912, 46, 'क्रमांक तपासा');
INSERT INTO `lang_definitions` VALUES (137097, 915, 46, 'भरणा तपासा');
INSERT INTO `lang_definitions` VALUES (137098, 916, 46, 'हा एक केलेले फाइल असेल तर बॉक्स चेक करा');
INSERT INTO `lang_definitions` VALUES (137099, 917, 46, 'आपण फक्त त्यांच्या स्वत: च्या पूर्वनिर्धारीतपणे भेटी आणि नाही पाहू प्रदाते इच्छित असल्यास हा तपासा.');
INSERT INTO `lang_definitions` VALUES (137100, 918, 46, 'या निदान पासून समस्या निर्माण तपासणी करा');
INSERT INTO `lang_definitions` VALUES (137101, 919, 46, '/ EOB तारीख तपासा:');
INSERT INTO `lang_definitions` VALUES (137102, 920, 46, '/ EOB नाही तपासा .:');
INSERT INTO `lang_definitions` VALUES (137103, 921, 46, 'तपासा / संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (137104, 922, 46, 'तपासा / संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (137105, 923, 46, 'चेकबॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (137106, 924, 46, 'चेकबॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (137107, 925, 46, '/ मजकूर वाईड चेकबॉक्स');
INSERT INTO `lang_definitions` VALUES (137108, 926, 46, '/ मजकूर वाईड चेकबॉक्स');
INSERT INTO `lang_definitions` VALUES (137109, 927, 46, 'नकार आणि HL7 फाइल हटवायचा असेल तर चेकबॉक्स वरील सूचित करतात.');
INSERT INTO `lang_definitions` VALUES (137110, 928, 46, 'चेक-इन');
INSERT INTO `lang_definitions` VALUES (137111, 929, 46, 'चेक-इन केले बॉक्स = होय, रिक्त = नाही');
INSERT INTO `lang_definitions` VALUES (137112, 931, 46, 'लॉक चेकबॉक्सवर चेक या घटनेचा कोणत्याही फॉर्म कोणत्याही पुढील संपादने प्रतिबंध केला जाईल.');
INSERT INTO `lang_definitions` VALUES (137113, 932, 46, 'चेकआऊट');
INSERT INTO `lang_definitions` VALUES (137114, 933, 46, 'चेकसम');
INSERT INTO `lang_definitions` VALUES (137115, 934, 46, 'चेस्ट');
INSERT INTO `lang_definitions` VALUES (137116, 935, 46, 'चेस्ट CTAB');
INSERT INTO `lang_definitions` VALUES (137117, 936, 46, 'छाती दुखणे');
INSERT INTO `lang_definitions` VALUES (137118, 937, 46, 'छाती दुखणे:');
INSERT INTO `lang_definitions` VALUES (137119, 938, 46, 'छाती वेदना');
INSERT INTO `lang_definitions` VALUES (137120, 940, 46, 'Chg');
INSERT INTO `lang_definitions` VALUES (137121, 941, 46, 'Chichewa- Chewa- न्यान्जा');
INSERT INTO `lang_definitions` VALUES (137122, 942, 46, 'मुख्य तक्रार');
INSERT INTO `lang_definitions` VALUES (137123, 943, 46, 'बाल');
INSERT INTO `lang_definitions` VALUES (137124, 945, 46, 'बालपण लसीकरण स्थिती (CQM)');
INSERT INTO `lang_definitions` VALUES (137125, 946, 46, 'थंडी वाजून येणे');
INSERT INTO `lang_definitions` VALUES (137126, 947, 46, 'चीनी');
INSERT INTO `lang_definitions` VALUES (137127, 948, 46, 'चीनी (सरलीकृत)');
INSERT INTO `lang_definitions` VALUES (137128, 949, 46, 'चीनी (पारंपारिक)');
INSERT INTO `lang_definitions` VALUES (137129, 950, 46, 'पाठीचे मणके आणि इतर अस्थी यांची जुळवाजुळव करून उपचार करण्याची पद्धत्');
INSERT INTO `lang_definitions` VALUES (137130, 951, 46, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (137131, 952, 46, 'पित्ताशय काढणे');
INSERT INTO `lang_definitions` VALUES (137132, 953, 46, 'पित्ताशय काढणे');
INSERT INTO `lang_definitions` VALUES (137133, 954, 46, 'Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (137134, 955, 46, 'निवडा');
INSERT INTO `lang_definitions` VALUES (137135, 956, 46, 'विभाग निवडा आणि तो आत एक आयटम क्लिक करा; नंतर इतर विभागात आपण संबंधित आयटम ठळक दिसेल, आणि आपण संबंध जोडणे आणि हटवणे त्या विभागातील क्लिक करू शकता.');
INSERT INTO `lang_definitions` VALUES (137136, 957, 46, 'निकष निवडा');
INSERT INTO `lang_definitions` VALUES (137137, 958, 46, 'डाउनलोड निवडा किंवा इनलाइन प्रदर्शित');
INSERT INTO `lang_definitions` VALUES (137138, 959, 46, 'फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (137139, 960, 46, 'यादीमधून निवडा');
INSERT INTO `lang_definitions` VALUES (137140, 961, 46, 'मांडणी दिशा निवडा');
INSERT INTO `lang_definitions` VALUES (137141, 962, 46, 'यादी निवडा');
INSERT INTO `lang_definitions` VALUES (137142, 963, 46, 'कागद आकार निवडा');
INSERT INTO `lang_definitions` VALUES (137143, 964, 46, 'पीडीएफ languange प्राधान्य निवडा');
INSERT INTO `lang_definitions` VALUES (137144, 965, 46, 'या घटनेचा अहवाल प्रिंट स्वरूप निवडा.');
INSERT INTO `lang_definitions` VALUES (137145, 967, 46, 'क्रॉनिक ब्राँकायटिस');
INSERT INTO `lang_definitions` VALUES (137146, 968, 46, 'तीव्र संयुक्त वेदना');
INSERT INTO `lang_definitions` VALUES (137147, 969, 46, 'तीव्र किडनी रोग (CKD)');
INSERT INTO `lang_definitions` VALUES (137148, 970, 46, 'तीव्र सीरमी पटलाचा दाह यामध्ये बहुधा सांध्यात द्रव जमतो, संधिदाह व दीर्घकाळ दाह झाल्याने ऍकिलोसिस होतो / ओतणे / संयुक्त वेदना / संधिरोग');
INSERT INTO `lang_definitions` VALUES (137149, 971, 46, 'तीव्र / वारंवार येणारा');
INSERT INTO `lang_definitions` VALUES (137150, 972, 46, 'चूवाश');
INSERT INTO `lang_definitions` VALUES (137151, 973, 46, 'यकृत च्या इंद्रियातील र्हासकारक बदल');
INSERT INTO `lang_definitions` VALUES (137152, 974, 46, 'यकृत च्या इंद्रियातील र्हासकारक बदल');
INSERT INTO `lang_definitions` VALUES (137153, 975, 46, 'शहर');
INSERT INTO `lang_definitions` VALUES (137154, 976, 46, 'शहर नाव');
INSERT INTO `lang_definitions` VALUES (137155, 977, 46, 'शहर, राज्य');
INSERT INTO `lang_definitions` VALUES (137156, 978, 46, 'शहर, राज्य पिन');
INSERT INTO `lang_definitions` VALUES (137157, 979, 46, 'शहर / राज्य');
INSERT INTO `lang_definitions` VALUES (137158, 980, 46, 'दावा');
INSERT INTO `lang_definitions` VALUES (137159, 981, 46, 'दावा ');
INSERT INTO `lang_definitions` VALUES (137160, 982, 46, 'हक्क स्थिती');
INSERT INTO `lang_definitions` VALUES (137161, 983, 46, 'दावा चाचणी चालू पूर्ण केले आहे');
INSERT INTO `lang_definitions` VALUES (137162, 984, 46, 'हक्काचा प्रकार');
INSERT INTO `lang_definitions` VALUES (137163, 985, 46, 'दावा दाखल करण्यासाठी निर्माण होते');
INSERT INTO `lang_definitions` VALUES (137164, 986, 46, 'दावा दाखल करण्यासाठी निर्माण होते ');
INSERT INTO `lang_definitions` VALUES (137165, 987, 46, 'दावे');
INSERT INTO `lang_definitions` VALUES (137166, 988, 46, 'वर्गीकरण');
INSERT INTO `lang_definitions` VALUES (137167, 989, 46, 'साफ करा');
INSERT INTO `lang_definitions` VALUES (137168, 990, 46, 'साफ सक्रिय रुग्ण');
INSERT INTO `lang_definitions` VALUES (137169, 991, 46, 'सर्व स्वच्छ करा');
INSERT INTO `lang_definitions` VALUES (137170, 992, 46, 'साफ HL7 डेटा');
INSERT INTO `lang_definitions` VALUES (137171, 993, 46, 'साफ समर्थन');
INSERT INTO `lang_definitions` VALUES (137172, 994, 46, 'साफ करा Smarty कॅशे');
INSERT INTO `lang_definitions` VALUES (137173, 995, 46, 'EDI 270 बॅच निर्मितीसाठी आवश्यक घर माहिती साफ.');
INSERT INTO `lang_definitions` VALUES (137174, 996, 46, 'CLIA क्रमांक');
INSERT INTO `lang_definitions` VALUES (137175, 997, 46, 'क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137176, 998, 46, 'एक मजकूर फाइल आपल्या वर्ग, उपश्रेणी, आयटम, सामग्री डेटा निर्यात करण्याची \'निर्यात\' क्लिक करा. XML फाइल या फाइल कोणत्याही साम्य पूर्णपणे योगायोग आहे. उघडणे आणि बंद टॅग त्याच ओळीत असणे आवश्यक आहे, ते नाही मोकळी जागा सह लोअरकेस करणे आवश्यक आहे. आयात करण्यासाठी, फाईल ब्राउझ करा आणि \'आयात\' वर क्लिक करा. डेटा पूर्णपणे भिन्न आहे, तर आपल्या विद्यमान डेटा विलीन होईल. समान आयटम नावे आहेत, तर, जुन्या ठेवायला आणि एक नंबर सेव्ह नवीन शेवटी जोडली जाईल.');
INSERT INTO `lang_definitions` VALUES (137177, 999, 46, 'नवीन भाष्य जोडण्यासाठी ग्राफिक एक स्पॉट क्लिक करा काढण्यासाठी पुन्हा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137178, 1000, 46, 'फाइल ssl.zip मध्ये प्रमाणपत्रे डाउनलोड करण्यासाठी डाउनलोड प्रमाणपत्र क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137179, 1001, 46, 'अधिक क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137180, 1002, 46, 'अधिक माहितीसाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137181, 1003, 46, 'ऑर्डर सारांश क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137182, 1004, 46, 'परिणाम क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137183, 1005, 46, 'इथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137184, 1006, 46, 'नवीन रुग्ण जोडण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137185, 1007, 46, 'नवीन इजा बदल स्थिती जोडण्याकरीता येथे क्लिक करा आणि दररोज क्रियाकलाप संपादित');
INSERT INTO `lang_definitions` VALUES (137186, 1008, 46, 'दिनांक निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137187, 1009, 46, 'एक तारीख आणि वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137188, 1010, 46, 'प्रारंभ तारीख निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137189, 1011, 46, 'तारीख वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137190, 1012, 46, 'पासून तारीख वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137191, 1013, 46, 'तारीख वेळ निवडण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137192, 1014, 46, 'हे विभाग व्यूहरचित करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137193, 1016, 46, 'हे विभाग अक्षम करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137194, 1018, 46, 'हे विभाग सक्षम करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137195, 1019, 46, 'हे विभाग स्थापन करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137196, 1020, 46, 'शोध करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137197, 1021, 46, 'प्राधान्य, श्रेणी आणि टोपणनाव सेटिंग्ज अद्यतनित करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137198, 1022, 46, 'सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137199, 1023, 46, 'पहा आणि आलेख करण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137200, 1024, 46, 'पहा आणि सर्व labdata आलेख येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137201, 1025, 46, 'सर्व मर्मस्थाने पाहण्यासाठी आणि आलेख येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137202, 1026, 46, 'रुग्णाला तपशील पाहण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137203, 1027, 46, 'त्यांना सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137204, 1028, 46, 'अधिक माहितीसाठी / संपादित पाहण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137205, 1029, 46, 'खालील तारखेपासून डेटाबेस प्रकाशन प्रतिष्ठापीत करण्यासाठी बटण क्लिक करा स्थापित');
INSERT INTO `lang_definitions` VALUES (137206, 1030, 46, 'वेळ भाग कोणत्याही वाढ क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137207, 1031, 46, 'रुग्णांच्या फाइल उघडा रुग्ण नाव क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137208, 1032, 46, 'विशिष्ट परिणाम पाहण्यासाठी वरील इनपुट शोध निकष सर्व परिणाम पाहण्यासाठी किंवा कृपया रिफ्रेश क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137209, 1033, 46, 'निदान जोडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137210, 1034, 46, 'नवीन घटक जोडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137211, 1035, 46, 'नवीन सल्ला जोडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137212, 1036, 46, 'समायोजित करण्यासाठी निदान निवडण्यासाठी क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137213, 1037, 46, 'डाउनलोड करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137214, 1038, 46, 'संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137215, 1039, 46, 'वर्णन संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137216, 1040, 46, 'हा कार्यक्रम संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137217, 1041, 46, 'अहवाल निर्माण करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137218, 1042, 46, 'रुग्णाला जुळत क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137219, 1043, 46, 'मुद्रित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137220, 1044, 46, 'प्राप्त (जोडण्यासाठी) क्लिक करा नवीन भरपूर');
INSERT INTO `lang_definitions` VALUES (137221, 1045, 46, 'निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137222, 1046, 46, 'निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137223, 1047, 46, 'ही प्रक्रिया एक उद्योग मानक कोड निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137224, 1048, 46, 'पर्यायी प्रक्रिया कोड निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137225, 1049, 46, 'निवडा किंवा कोडींग बदलण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137226, 1050, 46, 'निवडण्यासाठी किंवा CVX कोड बदलू क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137227, 1051, 46, 'निवडा किंवा निदान बदलण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137228, 1052, 46, 'सेवा कोड निवडा किंवा बदलण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137229, 1053, 46, 'रुग्णाला निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137230, 1054, 46, 'संबंधित कोड निवडा क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137231, 1055, 46, 'हा परिणाम असामान्य आहे तर सुरू सेवा निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137232, 1056, 46, 'इच्छित प्रक्रिया निवडण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137233, 1057, 46, 'क्रमवारी लावण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137234, 1058, 46, 'पाहण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137235, 1059, 46, 'पाहण्यासाठी किंवा संपादित करण्यासाठी क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137236, 1060, 46, 'पाहण्यासाठी क्लिक करा / संपादित करा');
INSERT INTO `lang_definitions` VALUES (137237, 1061, 46, 'खालील तारखेपासून डेटाबेस प्रकाशन सुधारणा श्रेणीसुधार बटणावर क्लिक करा');
INSERT INTO `lang_definitions` VALUES (137238, 1062, 46, 'रुग्णाला जुळण्यासाठी वर दिलेले तिथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (137239, 1063, 46, 'क्लिक करा:');
INSERT INTO `lang_definitions` VALUES (137240, 1064, 46, 'क्लायंट प्रमाणपत्र कालबाह्य दिवस');
INSERT INTO `lang_definitions` VALUES (137241, 1065, 46, 'क्लायंट प्रमाणपत्र वैधता कालावधी');
INSERT INTO `lang_definitions` VALUES (137242, 1066, 46, 'क्लायंट प्रमाणपत्र वैधता एक वैध नंबर असावा.');
INSERT INTO `lang_definitions` VALUES (137243, 1067, 46, 'क्लायंट कॉपी');
INSERT INTO `lang_definitions` VALUES (137244, 1069, 46, 'क्लायंट वैद्यकीय इतिहास सारांश');
INSERT INTO `lang_definitions` VALUES (137245, 1070, 46, 'क्लायंटचे नाव');
INSERT INTO `lang_definitions` VALUES (137246, 1071, 46, 'क्लायंट क्रमांक');
INSERT INTO `lang_definitions` VALUES (137247, 1072, 46, 'क्लायंट प्रोफाइल - नवीन ग्राहक');
INSERT INTO `lang_definitions` VALUES (137248, 1073, 46, 'क्लायंट प्रोफाइल - युनिक ग्राहक');
INSERT INTO `lang_definitions` VALUES (137249, 1074, 46, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (137250, 1075, 46, 'क्लिनिक');
INSERT INTO `lang_definitions` VALUES (137251, 1076, 46, 'क्लिनिक कॉपी');
INSERT INTO `lang_definitions` VALUES (137252, 1077, 46, 'क्लिनिक दैनिक नोंद');
INSERT INTO `lang_definitions` VALUES (137253, 1078, 46, 'क्लिनिक आयडी');
INSERT INTO `lang_definitions` VALUES (137254, 1079, 46, 'क्लिनिकल');
INSERT INTO `lang_definitions` VALUES (137255, 1080, 46, 'क्लिनिकल निर्णय नियम अॅलर्ट व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (137256, 1081, 46, 'क्लिनिकल इतिहास');
INSERT INTO `lang_definitions` VALUES (137257, 1083, 46, 'क्लिनिकल योजना');
INSERT INTO `lang_definitions` VALUES (137258, 1084, 46, 'क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (137259, 1085, 46, 'क्लिनिकल गुणवत्ता उपाय (CQM) - 2011');
INSERT INTO `lang_definitions` VALUES (137260, 1086, 46, 'क्लिनिकल गुणवत्ता उपाय (CQM) - 2014');
INSERT INTO `lang_definitions` VALUES (137261, 1087, 46, 'क्लिनिकल स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (137262, 1088, 46, 'क्लिनिकल अहवाल');
INSERT INTO `lang_definitions` VALUES (137263, 1089, 46, 'क्लिनिकल नियम क्रिया वर्ग');
INSERT INTO `lang_definitions` VALUES (137264, 1090, 46, 'क्लिनिकल नियम क्रिया आयटम');
INSERT INTO `lang_definitions` VALUES (137265, 1091, 46, 'क्लिनिकल नियम फिल्टर पद्धती');
INSERT INTO `lang_definitions` VALUES (137266, 1092, 46, 'क्लिनिकल नियम लक्ष्य पद्धती');
INSERT INTO `lang_definitions` VALUES (137267, 1093, 46, 'क्लिनिकल नियम');
INSERT INTO `lang_definitions` VALUES (137268, 1094, 46, 'क्लिनिकल नियम वय मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (137269, 1095, 46, 'क्लिनिकल नियम तुलना');
INSERT INTO `lang_definitions` VALUES (137270, 1096, 46, 'क्लिनिकल नियम प्रकार आढळतात');
INSERT INTO `lang_definitions` VALUES (137271, 1097, 46, 'क्लिनिकल नियम स्मरणपत्र मुळे पर्याय');
INSERT INTO `lang_definitions` VALUES (137272, 1098, 46, 'क्लिनिकल नियम स्मरणपत्र Inactivation पर्याय');
INSERT INTO `lang_definitions` VALUES (137273, 1099, 46, 'क्लिनिकल नियम स्मरणपत्र मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (137274, 1100, 46, 'क्लिनिकल नियम स्मरणपत्र पद्धती');
INSERT INTO `lang_definitions` VALUES (137275, 1101, 46, 'क्लिनिकल नियम लक्ष्य मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (137276, 1102, 46, 'क्लिनिकल लक्ष्य');
INSERT INTO `lang_definitions` VALUES (137277, 1103, 46, 'क्लिनिकल मुदत');
INSERT INTO `lang_definitions` VALUES (137278, 1104, 46, 'क्लिनिकल मुदत कोड (चे)');
INSERT INTO `lang_definitions` VALUES (137279, 1106, 46, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (137280, 1107, 46, 'क्लोन');
INSERT INTO `lang_definitions` VALUES (137281, 1108, 46, 'क्लोन मागील भेट द्या');
INSERT INTO `lang_definitions` VALUES (137282, 1109, 46, 'बंद करा');
INSERT INTO `lang_definitions` VALUES (137283, 1110, 46, 'विंडो बंद करा');
INSERT INTO `lang_definitions` VALUES (137284, 1111, 46, 'विंडो बंद करा');
INSERT INTO `lang_definitions` VALUES (137285, 1112, 46, 'बंद');
INSERT INTO `lang_definitions` VALUES (137286, 1113, 46, 'सेमी');
INSERT INTO `lang_definitions` VALUES (137287, 1114, 46, 'सीएमएस 1500 समास');
INSERT INTO `lang_definitions` VALUES (137288, 1115, 46, 'सीएमएस 1500 पेपर फॉर्म स्वरूप');
INSERT INTO `lang_definitions` VALUES (137289, 1116, 46, 'सीएमएस 1500: बॉक्स 31 स्वरूप');
INSERT INTO `lang_definitions` VALUES (137290, 1117, 46, 'सीएमएस 1500: बॉक्स 31 तारीख (सही)');
INSERT INTO `lang_definitions` VALUES (137291, 1118, 46, 'सीएमएस आयडी');
INSERT INTO `lang_definitions` VALUES (137292, 1119, 46, 'सीएमएस पोर्टल');
INSERT INTO `lang_definitions` VALUES (137293, 1120, 46, 'सीएमएस पोर्टल लॉग-इन');
INSERT INTO `lang_definitions` VALUES (137294, 1121, 46, 'सीएमएस पोर्टल लॉगिन आयडी');
INSERT INTO `lang_definitions` VALUES (137295, 1122, 46, 'सीएमएस पोर्टल सक्षम नाही!');
INSERT INTO `lang_definitions` VALUES (137296, 1123, 46, 'सीएमएस पोर्टल पासवर्ड');
INSERT INTO `lang_definitions` VALUES (137297, 1124, 46, 'सीएमएस पोर्टल विनंती');
INSERT INTO `lang_definitions` VALUES (137298, 1125, 46, 'सीएमएस पोर्टल साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (137299, 1126, 46, 'सीएमएस पोर्टल वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (137300, 1127, 46, 'अखंड CN2-12');
INSERT INTO `lang_definitions` VALUES (137301, 1128, 46, 'सहकारी पे');
INSERT INTO `lang_definitions` VALUES (137302, 1129, 46, 'सहकारी वेतन दिले जाते');
INSERT INTO `lang_definitions` VALUES (137303, 1130, 46, 'को-पे');
INSERT INTO `lang_definitions` VALUES (137304, 1131, 46, 'कोड');
INSERT INTO `lang_definitions` VALUES (137305, 1132, 46, 'कोड');
INSERT INTO `lang_definitions` VALUES (137306, 1133, 46, 'कोड फाइंडर');
INSERT INTO `lang_definitions` VALUES (137307, 1134, 46, 'कोड दोन अक्षरखालच्यापट्टीतील असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (137308, 1135, 46, 'कोड किंवा चलन सूचित करण्यासाठी प्रतीक');
INSERT INTO `lang_definitions` VALUES (137309, 1136, 46, 'कोड मजकूर');
INSERT INTO `lang_definitions` VALUES (137310, 1137, 46, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (137311, 1138, 46, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (137312, 1139, 46, 'कोड प्रकार ओळखले गेले नाही');
INSERT INTO `lang_definitions` VALUES (137313, 1140, 46, 'कोड प्रकार अद्याप व्याख्या नाही');
INSERT INTO `lang_definitions` VALUES (137314, 1141, 46, 'कोड प्रकार');
INSERT INTO `lang_definitions` VALUES (137315, 1142, 46, 'कोड (चे)');
INSERT INTO `lang_definitions` VALUES (137316, 1143, 46, 'कोड');
INSERT INTO `lang_definitions` VALUES (137317, 1144, 46, 'कोड');
INSERT INTO `lang_definitions` VALUES (137318, 1145, 46, 'कोडींग');
INSERT INTO `lang_definitions` VALUES (137319, 1146, 46, 'कोडींग (शिक्षणासाठी क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (137320, 1147, 46, 'कोडींग - कोणत्याही चकमकी (राइट, पर्यायी wsome)');
INSERT INTO `lang_definitions` VALUES (137321, 1148, 46, 'कोडींग - माझ्या चकमकी (राइट, पर्यायी wsome)');
INSERT INTO `lang_definitions` VALUES (137322, 1149, 46, 'अधिकृत नाही कोडींग');
INSERT INTO `lang_definitions` VALUES (137323, 1150, 46, 'कॉफी');
INSERT INTO `lang_definitions` VALUES (137324, 1151, 46, 'कॉफी वापरा');
INSERT INTO `lang_definitions` VALUES (137325, 1152, 46, 'Coinsurance');
INSERT INTO `lang_definitions` VALUES (137326, 1153, 46, 'Coll वाईड / O');
INSERT INTO `lang_definitions` VALUES (137327, 1154, 46, 'संकुचित');
INSERT INTO `lang_definitions` VALUES (137328, 1155, 46, 'संकुचित');
INSERT INTO `lang_definitions` VALUES (137329, 1156, 46, 'सर्व संकुचित करा');
INSERT INTO `lang_definitions` VALUES (137330, 1157, 46, 'सर्व संकुचित करा');
INSERT INTO `lang_definitions` VALUES (137331, 1158, 46, 'सर्व संकुचित करा');
INSERT INTO `lang_definitions` VALUES (137332, 1160, 46, 'संकलन तारीख');
INSERT INTO `lang_definitions` VALUES (137333, 1161, 46, 'संग्रह');
INSERT INTO `lang_definitions` VALUES (137334, 1162, 46, 'संग्रह अहवाल');
INSERT INTO `lang_definitions` VALUES (137335, 1163, 46, 'अपूर्णविराम कर्करोग');
INSERT INTO `lang_definitions` VALUES (137336, 1164, 46, 'अपूर्णविराम कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (137337, 1165, 46, 'अपूर्णविराम कर्करोग शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (137338, 1166, 46, 'Colonoscopy');
INSERT INTO `lang_definitions` VALUES (137339, 1167, 46, 'colonoscopy');
INSERT INTO `lang_definitions` VALUES (137340, 1168, 46, 'रंग');
INSERT INTO `lang_definitions` VALUES (137341, 1169, 46, 'रंग: abbr');
INSERT INTO `lang_definitions` VALUES (137342, 1170, 46, 'स्तंभ');
INSERT INTO `lang_definitions` VALUES (137343, 1171, 46, 'स्तंभ');
INSERT INTO `lang_definitions` VALUES (137344, 1172, 46, 'बरेच यात');
INSERT INTO `lang_definitions` VALUES (137345, 1173, 46, 'स्वल्पविराम');
INSERT INTO `lang_definitions` VALUES (137346, 1174, 46, 'टिप्पणी');
INSERT INTO `lang_definitions` VALUES (137347, 1175, 46, 'कोणत्याही टिप्पण्या नाहीत');
INSERT INTO `lang_definitions` VALUES (137348, 1176, 46, 'हा परिणाम किंवा शिफारस टिप्पण्या');
INSERT INTO `lang_definitions` VALUES (137349, 1177, 46, 'व्यावसायिक इन्शुरन्स कंपनी');
INSERT INTO `lang_definitions` VALUES (137350, 1178, 46, 'बदल');
INSERT INTO `lang_definitions` VALUES (137351, 1179, 46, 'संवाद');
INSERT INTO `lang_definitions` VALUES (137352, 1180, 46, 'संचार');
INSERT INTO `lang_definitions` VALUES (137353, 1182, 46, 'कंपनी');
INSERT INTO `lang_definitions` VALUES (137354, 1183, 46, 'संस्थेचे नाव');
INSERT INTO `lang_definitions` VALUES (137355, 1184, 46, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (137356, 1186, 46, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (137357, 1188, 46, 'पूर्ण?');
INSERT INTO `lang_definitions` VALUES (137358, 1190, 46, 'सेवा प्रदाता करून गुंतागुंत');
INSERT INTO `lang_definitions` VALUES (137359, 1191, 46, 'गर्भपात गुंतागुंत');
INSERT INTO `lang_definitions` VALUES (137360, 1192, 46, 'घटक');
INSERT INTO `lang_definitions` VALUES (137361, 1193, 46, 'संगणक अनुदानित वैद्यकीय तसं क्रम प्रणाली');
INSERT INTO `lang_definitions` VALUES (137362, 1194, 46, 'निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (137363, 1198, 46, 'Config');
INSERT INTO `lang_definitions` VALUES (137364, 1199, 46, 'संरचना');
INSERT INTO `lang_definitions` VALUES (137365, 1200, 46, 'संरचना आयात / निर्यात');
INSERT INTO `lang_definitions` VALUES (137366, 1201, 46, 'संरचना यशस्वीरित्या जतन केले');
INSERT INTO `lang_definitions` VALUES (137367, 1202, 46, 'क्लायंट बाजूला SSL प्रमाणपत्र वापरू अपाचे आणि LibreEHR संरचीत करा.');
INSERT INTO `lang_definitions` VALUES (137368, 1203, 46, 'क्लायंट बाजूला SSL प्रमाणपत्र वापरू अपाचे संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (137369, 1204, 46, 'HTTPS वापरा करण्यासाठी अपाचे कॉन्फिगर करा.');
INSERT INTO `lang_definitions` VALUES (137370, 1205, 46, 'क्लायंट बाजूला SSL प्रमाणपत्र वापरू LIBREEHR संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (137371, 1206, 46, 'ट्रॅक संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (137372, 1207, 46, 'ट्रॅक संयोजीत करा Name');
INSERT INTO `lang_definitions` VALUES (137373, 1208, 46, 'नवीन रुग्णांच्या तयार करा पुष्टी करा');
INSERT INTO `lang_definitions` VALUES (137374, 1209, 46, 'नवीन संकेतशब्द कन्फर्म करा');
INSERT INTO `lang_definitions` VALUES (137375, 1210, 46, 'भरणा पुष्टी करा');
INSERT INTO `lang_definitions` VALUES (137376, 1214, 46, 'जन्मजात');
INSERT INTO `lang_definitions` VALUES (137377, 1215, 46, 'Conjuntiva, अलविदा');
INSERT INTO `lang_definitions` VALUES (137378, 1216, 46, 'कनेक्शन त्रुटी');
INSERT INTO `lang_definitions` VALUES (137379, 1217, 46, 'कने');
INSERT INTO `lang_definitions` VALUES (137380, 1218, 46, 'सतत');
INSERT INTO `lang_definitions` VALUES (137381, 1219, 46, 'सतत नाव');
INSERT INTO `lang_definitions` VALUES (137382, 1220, 46, 'सतत नाव रिक्त आहे');
INSERT INTO `lang_definitions` VALUES (137383, 1221, 46, 'स्थिर');
INSERT INTO `lang_definitions` VALUES (137384, 1222, 46, 'बद्धकोष्ठता');
INSERT INTO `lang_definitions` VALUES (137385, 1223, 46, 'घटनात्मक');
INSERT INTO `lang_definitions` VALUES (137386, 1226, 46, 'सल्ला संक्षिप्त वर्णन');
INSERT INTO `lang_definitions` VALUES (137387, 1227, 46, 'संपर्क');
INSERT INTO `lang_definitions` VALUES (137388, 1228, 46, 'संपर्क ईमेल');
INSERT INTO `lang_definitions` VALUES (137389, 1229, 46, 'संपर्क ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (137390, 1230, 46, 'संपर्क EMR थेट phiMail थेट संदेश सेवा सदस्यता');
INSERT INTO `lang_definitions` VALUES (137391, 1231, 46, 'संपर्क माहिती');
INSERT INTO `lang_definitions` VALUES (137392, 1232, 46, 'कॉन्टॅक्ट लेन्स');
INSERT INTO `lang_definitions` VALUES (137393, 1233, 46, 'संपर्क वैद्यकीय माहिती एकत्रीकरण, प्रयोगशाळा एक्सचेंज सेवा http://mi-squared.com येथे एलएलसी.');
INSERT INTO `lang_definitions` VALUES (137394, 1234, 46, 'ERx सेवा सदस्यता http://zhservices.com येथे http://mi-squared.com किंवा ZH आरोग्य वैद्यकीय माहिती एकत्रीकरण, एलएलसी संपर्क साधा');
INSERT INTO `lang_definitions` VALUES (137395, 1236, 46, 'संपर्क नाव');
INSERT INTO `lang_definitions` VALUES (137396, 1237, 46, 'संपर्क व्यक्ती');
INSERT INTO `lang_definitions` VALUES (137397, 1238, 46, 'संपर्क फोन');
INSERT INTO `lang_definitions` VALUES (137398, 1239, 46, 'संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (137399, 1240, 46, 'ERx सेवा सदस्यता संपर्क ZMG, एलएलसी (zmghealth@gmail.com)');
INSERT INTO `lang_definitions` VALUES (137400, 1241, 46, 'चार खालील आयटम किमान तीन आहेत:');
INSERT INTO `lang_definitions` VALUES (137401, 1242, 46, 'कंटेनर गट नाव');
INSERT INTO `lang_definitions` VALUES (137402, 1243, 46, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (137403, 1244, 46, 'सामग्री');
INSERT INTO `lang_definitions` VALUES (137404, 1245, 46, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (137405, 1246, 46, 'संदर्भ नाव टी रिक्त असू \' करू शकता');
INSERT INTO `lang_definitions` VALUES (137406, 1247, 46, 'सुरू ठेवा');
INSERT INTO `lang_definitions` VALUES (137407, 1248, 46, 'काळजी दस्तऐवज सातत्य (सीसीडीची)');
INSERT INTO `lang_definitions` VALUES (137408, 1249, 46, 'काळजी रेकॉर्ड सातत्य (CCR)');
INSERT INTO `lang_definitions` VALUES (137409, 1250, 46, 'विरुद्ध ग्राहक');
INSERT INTO `lang_definitions` VALUES (137410, 1251, 46, 'संततिनियमन');
INSERT INTO `lang_definitions` VALUES (137411, 1252, 46, 'संततिनियमन मुद्दे');
INSERT INTO `lang_definitions` VALUES (137412, 1253, 46, 'गर्भनिरोधक गुंतागुंत (स्पष्ट करा)');
INSERT INTO `lang_definitions` VALUES (137413, 1254, 46, 'गर्भनिरोधक पद्धत');
INSERT INTO `lang_definitions` VALUES (137414, 1255, 46, 'गर्भनिरोधक उत्पादने');
INSERT INTO `lang_definitions` VALUES (137415, 1256, 46, 'गर्भनिरोधक सेवा पूर्वी सुरु');
INSERT INTO `lang_definitions` VALUES (137416, 1257, 46, 'गर्भनिरोधक प्रारंभ');
INSERT INTO `lang_definitions` VALUES (137417, 1258, 46, 'नियंत्रण आयडी');
INSERT INTO `lang_definitions` VALUES (137418, 1259, 46, 'नियंत्रण क्रमांक');
INSERT INTO `lang_definitions` VALUES (137419, 1261, 46, 'COPAY');
INSERT INTO `lang_definitions` VALUES (137420, 1262, 46, 'Copay');
INSERT INTO `lang_definitions` VALUES (137421, 1263, 46, 'CoPay');
INSERT INTO `lang_definitions` VALUES (137422, 1264, 46, 'सकारात्मक नाही Copay');
INSERT INTO `lang_definitions` VALUES (137423, 1265, 46, 'Copay अदा');
INSERT INTO `lang_definitions` VALUES (137424, 1266, 46, 'Copays');
INSERT INTO `lang_definitions` VALUES (137425, 1267, 46, 'COPD');
INSERT INTO `lang_definitions` VALUES (137426, 1268, 46, 'रुग्णांच्या चार्ट कॉपी करा पृष्ठे');
INSERT INTO `lang_definitions` VALUES (137427, 1269, 46, 'कॉपी मूल्ये');
INSERT INTO `lang_definitions` VALUES (137428, 1270, 46, 'डेटाबेस फाइल कॉपी करत आहे. हे काही वेळ लागेल ...');
INSERT INTO `lang_definitions` VALUES (137429, 1271, 46, 'कॉपीराइट सूचना');
INSERT INTO `lang_definitions` VALUES (137430, 1272, 46, 'कॉर्निश');
INSERT INTO `lang_definitions` VALUES (137431, 1273, 46, 'कोरोनरी आर्टरी बायपास');
INSERT INTO `lang_definitions` VALUES (137432, 1274, 46, 'कोरोनरी आर्टरी बायपास ग्राफ्ट (CABG)');
INSERT INTO `lang_definitions` VALUES (137433, 1275, 46, 'दुरुस्त');
INSERT INTO `lang_definitions` VALUES (137434, 1276, 46, 'कोर्सिकी');
INSERT INTO `lang_definitions` VALUES (137435, 1277, 46, 'CouchDB');
INSERT INTO `lang_definitions` VALUES (137436, 1278, 46, 'CouchDB कनेक्शन अयशस्वी.');
INSERT INTO `lang_definitions` VALUES (137437, 1279, 46, 'CouchDB डेटाबेस');
INSERT INTO `lang_definitions` VALUES (137438, 1280, 46, 'CouchDB डेटाबेस नाव');
INSERT INTO `lang_definitions` VALUES (137439, 1281, 46, 'CouchDB यजमान');
INSERT INTO `lang_definitions` VALUES (137440, 1282, 46, 'CouchDB यजमाननाव');
INSERT INTO `lang_definitions` VALUES (137441, 1283, 46, 'CouchDB लॉग सक्षम');
INSERT INTO `lang_definitions` VALUES (137442, 1284, 46, 'CouchDB पासवर्ड');
INSERT INTO `lang_definitions` VALUES (137443, 1285, 46, 'CouchDB पोर्ट');
INSERT INTO `lang_definitions` VALUES (137444, 1286, 46, 'CouchDB पोर्ट');
INSERT INTO `lang_definitions` VALUES (137445, 1287, 46, 'CouchDB जतन करणे अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (137446, 1288, 46, 'CouchDB UserName');
INSERT INTO `lang_definitions` VALUES (137447, 1289, 46, 'खोकला');
INSERT INTO `lang_definitions` VALUES (137448, 1290, 46, 'खोकला:');
INSERT INTO `lang_definitions` VALUES (137449, 1291, 46, 'सर्व्हरशी कनेक्ट करणे शक्य नाही');
INSERT INTO `lang_definitions` VALUES (137450, 1293, 46, 'टेबल उघडू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137451, 1294, 46, 'फाइल वाचणे शक्य झाले नाही');
INSERT INTO `lang_definitions` VALUES (137452, 1295, 46, 'फाइल वाचणे शक्य झाले नाही');
INSERT INTO `lang_definitions` VALUES (137453, 1296, 46, 'मुळे सर्व्हर समस्या ईमेल पाठवू शकत नाही, ');
INSERT INTO `lang_definitions` VALUES (137454, 1297, 46, 'मुळे सर्व्हर समस्या ईमेल पाठवू शकत नाही. ');
INSERT INTO `lang_definitions` VALUES (137455, 1298, 46, 'बॅकअप निर्देशिका तयार करू शकत नाही:');
INSERT INTO `lang_definitions` VALUES (137456, 1299, 46, 'निर्देशिका काढू शकलो नाही:');
INSERT INTO `lang_definitions` VALUES (137457, 1300, 46, 'जुन्या बॅकअप फाइल काढून टाकू शकत नाही:');
INSERT INTO `lang_definitions` VALUES (137458, 1301, 46, 'जुन्या निर्यात फाइल काढून टाकू शकत नाही:');
INSERT INTO `lang_definitions` VALUES (137459, 1302, 46, 'Coumadin व्यवस्थापन - भारतीय रुपया देखरेख');
INSERT INTO `lang_definitions` VALUES (137460, 1303, 46, 'पद्धत करून Couns');
INSERT INTO `lang_definitions` VALUES (137461, 1304, 46, 'समुपदेशन');
INSERT INTO `lang_definitions` VALUES (137462, 1305, 46, 'समुपदेशन उपक्रम');
INSERT INTO `lang_definitions` VALUES (137463, 1306, 46, 'COUNTER या रेफरल प्रपत्र');
INSERT INTO `lang_definitions` VALUES (137464, 1307, 46, 'प्रति-रेफरल');
INSERT INTO `lang_definitions` VALUES (137465, 1308, 46, 'देश');
INSERT INTO `lang_definitions` VALUES (137466, 1309, 46, 'देश डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (137467, 1310, 46, 'देश यादी');
INSERT INTO `lang_definitions` VALUES (137468, 1311, 46, 'देश यादी (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (137469, 1312, 46, 'देश नाव दोन अक्षरे प्रतिनिधित्व पाहिजे. (उदाहरण: युनायटेड स्टेट्स आहे)');
INSERT INTO `lang_definitions` VALUES (137470, 1313, 46, 'कंट्री');
INSERT INTO `lang_definitions` VALUES (137471, 1315, 46, 'कुपन');
INSERT INTO `lang_definitions` VALUES (137472, 1318, 46, 'CPT');
INSERT INTO `lang_definitions` VALUES (137473, 1319, 46, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (137474, 1320, 46, 'CPT कोड');
INSERT INTO `lang_definitions` VALUES (137475, 1321, 46, 'CPT4 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (137476, 1322, 46, 'CPTII कामगिरी उपाय');
INSERT INTO `lang_definitions` VALUES (137477, 1323, 46, 'CQM');
INSERT INTO `lang_definitions` VALUES (137478, 1324, 46, 'Crackles:');
INSERT INTO `lang_definitions` VALUES (137479, 1325, 46, 'मलई');
INSERT INTO `lang_definitions` VALUES (137480, 1326, 46, 'प्रत्येक वापरकर्ता किंवा क्लाएंट मशीन करीता क्लाएंट साइड SSL प्रमाणपत्र तयार करा.');
INSERT INTO `lang_definitions` VALUES (137481, 1327, 46, 'वापरकर्ता किंवा क्लाएंट यजमाननाव एकतर एक क्लाएंट साइड SSL प्रमाणपत्र तयार करा.');
INSERT INTO `lang_definitions` VALUES (137482, 1328, 46, 'नवीन ट्रॅक तयार करा');
INSERT INTO `lang_definitions` VALUES (137483, 1329, 46, 'इव्हेंट तयार करा');
INSERT INTO `lang_definitions` VALUES (137484, 1330, 46, 'तयार करा आणि संपूर्ण बॅकअप डाउनलोड');
INSERT INTO `lang_definitions` VALUES (137485, 1331, 46, 'तयार करा आणि ट्रॅक सुधारण्यासाठी');
INSERT INTO `lang_definitions` VALUES (137486, 1332, 46, 'बॅकअप तयार करा');
INSERT INTO `lang_definitions` VALUES (137487, 1333, 46, 'बॅच तयार करा');
INSERT INTO `lang_definitions` VALUES (137488, 1334, 46, 'क्लायंट प्रमाणपत्र तयार');
INSERT INTO `lang_definitions` VALUES (137489, 1335, 46, 'क्लायंट बाजूला SSL प्रमाणपत्र तयार करा');
INSERT INTO `lang_definitions` VALUES (137490, 1336, 46, 'डुप्लिकेट तयार करा');
INSERT INTO `lang_definitions` VALUES (137491, 1337, 46, 'चकमकीत तयार करा');
INSERT INTO `lang_definitions` VALUES (137492, 1338, 46, 'Eventlog बॅकअप तयार करा');
INSERT INTO `lang_definitions` VALUES (137493, 1339, 46, 'नवीन समस्या तयार करा');
INSERT INTO `lang_definitions` VALUES (137494, 1340, 46, 'नवीन रुग्णांच्या तयार करा');
INSERT INTO `lang_definitions` VALUES (137495, 1341, 46, 'नवीन ट्रॅक तयार करा');
INSERT INTO `lang_definitions` VALUES (137496, 1342, 46, 'Offsite Portal ेय तयार करा');
INSERT INTO `lang_definitions` VALUES (137497, 1343, 46, 'Onsite Portal ेय तयार करा');
INSERT INTO `lang_definitions` VALUES (137498, 1344, 46, 'रुग्णांच्या टीप तयार करा');
INSERT INTO `lang_definitions` VALUES (137499, 1345, 46, 'SSL प्रमाणपत्र प्राधिकरण आणि सर्व्हर प्रमाणपत्र तयार करा.');
INSERT INTO `lang_definitions` VALUES (137500, 1346, 46, 'भेट द्या तयार करा');
INSERT INTO `lang_definitions` VALUES (137501, 1347, 46, 'तयार');
INSERT INTO `lang_definitions` VALUES (137502, 1348, 46, 'निर्यात फाइल निर्माण करणे');
INSERT INTO `lang_definitions` VALUES (137503, 1349, 46, 'नवीन ट्रॅक तयार करणे अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (137504, 1350, 46, 'दूरस्थ यजमानावर ही फाईल तयार करणे अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (137505, 1351, 46, 'निर्माणकर्ता');
INSERT INTO `lang_definitions` VALUES (137506, 1352, 46, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (137507, 1353, 46, 'क्रेडीट कार्ड');
INSERT INTO `lang_definitions` VALUES (137508, 1354, 46, 'क्रेडिट');
INSERT INTO `lang_definitions` VALUES (137509, 1355, 46, 'क्री');
INSERT INTO `lang_definitions` VALUES (137510, 1356, 46, 'निकष');
INSERT INTO `lang_definitions` VALUES (137511, 1357, 46, 'क्रोएशियन');
INSERT INTO `lang_definitions` VALUES (137512, 1358, 46, 'Crohn  \'चे रोग');
INSERT INTO `lang_definitions` VALUES (137513, 1359, 46, 'Crohns रोग');
INSERT INTO `lang_definitions` VALUES (137514, 1360, 46, 'सी निर्यात');
INSERT INTO `lang_definitions` VALUES (137515, 1361, 46, 'सी फाइल');
INSERT INTO `lang_definitions` VALUES (137516, 1362, 46, 'सी टेबल');
INSERT INTO `lang_definitions` VALUES (137517, 1363, 46, 'CU.MM');
INSERT INTO `lang_definitions` VALUES (137518, 1364, 46, 'क्यूबा');
INSERT INTO `lang_definitions` VALUES (137519, 1365, 46, 'चलन दशांश स्थाने');
INSERT INTO `lang_definitions` VALUES (137520, 1366, 46, 'चलन दशमान पॉइंट प्रतीक');
INSERT INTO `lang_definitions` VALUES (137521, 1367, 46, 'चलन Designator');
INSERT INTO `lang_definitions` VALUES (137522, 1368, 46, 'चलन हजारो विभाजक');
INSERT INTO `lang_definitions` VALUES (137523, 1369, 46, 'वर्तमान');
INSERT INTO `lang_definitions` VALUES (137524, 1370, 46, 'वर्तमान मद्यार्क');
INSERT INTO `lang_definitions` VALUES (137525, 1371, 46, 'वर्तमान सल्ला');
INSERT INTO `lang_definitions` VALUES (137526, 1372, 46, 'वर्तमान निकष');
INSERT INTO `lang_definitions` VALUES (137527, 1373, 46, 'चालू दिवस हायलाइट रंग');
INSERT INTO `lang_definitions` VALUES (137528, 1374, 46, 'चालू दररोज धूम्रपान');
INSERT INTO `lang_definitions` VALUES (137529, 1375, 46, 'वर्तमान फाइल नाव बदलण्यात आले');
INSERT INTO `lang_definitions` VALUES (137530, 1376, 46, 'वर्तमान हॅश');
INSERT INTO `lang_definitions` VALUES (137531, 1377, 46, 'वर्तमान स्थान');
INSERT INTO `lang_definitions` VALUES (137532, 1378, 46, 'वर्तमान औषधे');
INSERT INTO `lang_definitions` VALUES (137533, 1379, 46, 'वर्तमान संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (137534, 1380, 46, 'वर्तमान रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (137535, 1381, 46, 'वर्तमान पं फक्त');
INSERT INTO `lang_definitions` VALUES (137536, 1382, 46, 'वर्तमान अंमली औषधे');
INSERT INTO `lang_definitions` VALUES (137537, 1383, 46, 'चालू काही दिवस धूम्रपान');
INSERT INTO `lang_definitions` VALUES (137538, 1385, 46, 'वर्तमान मूल्य');
INSERT INTO `lang_definitions` VALUES (137539, 1386, 46, 'सध्या सक्रिय');
INSERT INTO `lang_definitions` VALUES (137540, 1387, 46, 'सध्या चालू');
INSERT INTO `lang_definitions` VALUES (137541, 1388, 46, 'सध्या कोणतेही सुविधा आहेत.');
INSERT INTO `lang_definitions` VALUES (137542, 1389, 46, 'कशिंग Syndrom');
INSERT INTO `lang_definitions` VALUES (137543, 1390, 46, 'कशिंग सिंड्रोम');
INSERT INTO `lang_definitions` VALUES (137544, 1392, 46, 'सानुकूल');
INSERT INTO `lang_definitions` VALUES (137545, 1393, 46, 'सानुकूल इनपुट?');
INSERT INTO `lang_definitions` VALUES (137546, 1394, 46, 'सानुकूल टेबल');
INSERT INTO `lang_definitions` VALUES (137547, 1396, 46, 'CVX कोड');
INSERT INTO `lang_definitions` VALUES (137548, 1397, 46, 'CVX कोड मॅपिंग');
INSERT INTO `lang_definitions` VALUES (137549, 1398, 46, 'CVX लसीकरण');
INSERT INTO `lang_definitions` VALUES (137550, 1399, 46, 'सायकल');
INSERT INTO `lang_definitions` VALUES (137551, 1400, 46, 'CYP');
INSERT INTO `lang_definitions` VALUES (137552, 1401, 46, 'CYP फॅक्टर');
INSERT INTO `lang_definitions` VALUES (137553, 1402, 46, 'CYP अहवाल');
INSERT INTO `lang_definitions` VALUES (137554, 1403, 46, 'चेक');
INSERT INTO `lang_definitions` VALUES (137555, 1404, 46, 'डी');
INSERT INTO `lang_definitions` VALUES (137556, 1405, 46, 'डी अँड सी');
INSERT INTO `lang_definitions` VALUES (137557, 1406, 46, 'D & E ची');
INSERT INTO `lang_definitions` VALUES (137558, 1407, 46, 'D.O.B.');
INSERT INTO `lang_definitions` VALUES (137559, 1408, 46, 'दररोज');
INSERT INTO `lang_definitions` VALUES (137560, 1409, 46, 'दैनिक नोंद');
INSERT INTO `lang_definitions` VALUES (137561, 1410, 46, 'डॅनिश');
INSERT INTO `lang_definitions` VALUES (137562, 1411, 46, 'डेटा अलाईक डेटाबेस आधीपासूनच आहे, कोड आणि / किंवा वर्णन बदला');
INSERT INTO `lang_definitions` VALUES (137563, 1412, 46, 'डेटा अलाईक डेटाबेस आधीपासूनच आहे, सतत नाव बदला');
INSERT INTO `lang_definitions` VALUES (137564, 1413, 46, 'डेटा स्तंभ');
INSERT INTO `lang_definitions` VALUES (137565, 1416, 46, 'डेटा त्रुटी');
INSERT INTO `lang_definitions` VALUES (137566, 1417, 46, 'डेटा');
INSERT INTO `lang_definitions` VALUES (137567, 1419, 46, 'सर्व चकमक डेटा आतापर्यंत');
INSERT INTO `lang_definitions` VALUES (137568, 1420, 46, 'डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (137569, 1421, 46, 'डेटाबेस');
INSERT INTO `lang_definitions` VALUES (137570, 1422, 46, 'डाटाबेस स्थापित केले नाही.');
INSERT INTO `lang_definitions` VALUES (137571, 1423, 46, 'डेटाबेस ठिगळ');
INSERT INTO `lang_definitions` VALUES (137572, 1424, 46, 'डेटाबेस अहवाल');
INSERT INTO `lang_definitions` VALUES (137573, 1425, 46, 'डेटाबेस सुधारणा पूर्ण.');
INSERT INTO `lang_definitions` VALUES (137574, 1426, 46, 'DataCols 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (137575, 1427, 46, 'तारीख');
INSERT INTO `lang_definitions` VALUES (137576, 1428, 46, 'DATE रोजी');
INSERT INTO `lang_definitions` VALUES (137577, 1429, 46, 'तारीख आणि वेळ प्रशासित');
INSERT INTO `lang_definitions` VALUES (137578, 1431, 46, 'तारीख प्रशासित');
INSERT INTO `lang_definitions` VALUES (137579, 1432, 46, 'तारीख आणि नमुना संग्रह वेळ');
INSERT INTO `lang_definitions` VALUES (137580, 1433, 46, 'या निरीक्षण तारीख आणि वेळ');
INSERT INTO `lang_definitions` VALUES (137581, 1435, 46, 'दिनांक व वेळ नमुना गोळा झाले की,');
INSERT INTO `lang_definitions` VALUES (137582, 1436, 46, 'तारीख आज पेक्षा जास्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137583, 1437, 46, 'तारीख गर्भनिरोधक सेवा सुरुवातीला प्रदान');
INSERT INTO `lang_definitions` VALUES (137584, 1438, 46, 'तारीख तयार');
INSERT INTO `lang_definitions` VALUES (137585, 1439, 46, 'तारीख मृत');
INSERT INTO `lang_definitions` VALUES (137586, 1440, 46, 'तारीख नष्ट');
INSERT INTO `lang_definitions` VALUES (137587, 1441, 46, 'तारीख प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (137588, 1442, 46, 'नियुक्ती शेवट तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (137589, 1443, 46, 'नियुक्ती प्रारंभ तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (137590, 1444, 46, 'पुढील भेट तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (137591, 1445, 46, 'पासून पाहिले नाही तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (137592, 1446, 46, 'पासून पाहिले तारखेचे स्वरुप वैध नाही');
INSERT INTO `lang_definitions` VALUES (137593, 1447, 46, 'तारीख लसीकरण माहिती विधाने दिली');
INSERT INTO `lang_definitions` VALUES (137594, 1448, 46, 'दिनांक कोड गहाळ आहे ');
INSERT INTO `lang_definitions` VALUES (137595, 1449, 46, 'तारीख मास्टर निकष');
INSERT INTO `lang_definitions` VALUES (137596, 1450, 46, 'बँक डिपॉझिट, वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (137597, 1451, 46, 'बिलिंग तारीख');
INSERT INTO `lang_definitions` VALUES (137598, 1452, 46, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (137599, 1453, 46, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (137600, 1454, 46, 'जन्म तारीख');
INSERT INTO `lang_definitions` VALUES (137601, 1455, 46, 'प्रवेश दिनांक');
INSERT INTO `lang_definitions` VALUES (137602, 1456, 46, 'इजा तारीख');
INSERT INTO `lang_definitions` VALUES (137603, 1458, 46, 'पैसे वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (137604, 1459, 46, 'संदर्भ तारीख');
INSERT INTO `lang_definitions` VALUES (137605, 1460, 46, 'उत्तर तारीख');
INSERT INTO `lang_definitions` VALUES (137606, 1461, 46, 'अहवाल तारीख');
INSERT INTO `lang_definitions` VALUES (137607, 1462, 46, 'सेवा तारीख');
INSERT INTO `lang_definitions` VALUES (137608, 1463, 46, 'सेवा तारीख');
INSERT INTO `lang_definitions` VALUES (137609, 1464, 46, 'सेवा तारीख = आज');
INSERT INTO `lang_definitions` VALUES (137610, 1465, 46, 'सेवा मिमी / DD / YYYY तारीख');
INSERT INTO `lang_definitions` VALUES (137611, 1466, 46, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (137612, 1467, 46, 'याची सही व तारीख');
INSERT INTO `lang_definitions` VALUES (137613, 1468, 46, 'स्थिती बदला तारीख');
INSERT INTO `lang_definitions` VALUES (137614, 1469, 46, 'या क्रमाने तारीख');
INSERT INTO `lang_definitions` VALUES (137615, 1470, 46, 'हा अहवाल दिनांक');
INSERT INTO `lang_definitions` VALUES (137616, 1471, 46, 'इच्छित विधान तारीख');
INSERT INTO `lang_definitions` VALUES (137617, 1472, 46, 'तारीख आदेश');
INSERT INTO `lang_definitions` VALUES (137618, 1474, 46, 'तारीख निवड');
INSERT INTO `lang_definitions` VALUES (137619, 1475, 46, 'तारीख निवड');
INSERT INTO `lang_definitions` VALUES (137620, 1476, 46, 'प्रेषित तारीख');
INSERT INTO `lang_definitions` VALUES (137621, 1477, 46, 'तारीख संदेश पाठविला');
INSERT INTO `lang_definitions` VALUES (137622, 1478, 46, 'तारीख वेळ');
INSERT INTO `lang_definitions` VALUES (137623, 1479, 46, 'तारीख मूल्ये रिक्त असू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (137624, 1480, 46, 'तारीख / Appt');
INSERT INTO `lang_definitions` VALUES (137625, 1481, 46, 'तारीख / टिपा');
INSERT INTO `lang_definitions` VALUES (137626, 1482, 46, 'अंतिम तारीख / टिपा');
INSERT INTO `lang_definitions` VALUES (137627, 1483, 46, 'तारीख / वेळ');
INSERT INTO `lang_definitions` VALUES (137628, 1484, 46, 'दिनांक:');
INSERT INTO `lang_definitions` VALUES (137629, 1485, 46, 'संदेश लॉग दिनांक');
INSERT INTO `lang_definitions` VALUES (137630, 1486, 46, 'दिवस');
INSERT INTO `lang_definitions` VALUES (137631, 1487, 46, 'दिवस');
INSERT INTO `lang_definitions` VALUES (137632, 1489, 46, 'दिवस पहा');
INSERT INTO `lang_definitions` VALUES (137633, 1490, 46, 'दिवस (चे)');
INSERT INTO `lang_definitions` VALUES (137634, 1491, 46, 'दिवस (चे) एम एफ');
INSERT INTO `lang_definitions` VALUES (137635, 1492, 46, 'दिवस');
INSERT INTO `lang_definitions` VALUES (137636, 1493, 46, 'दिवस');
INSERT INTO `lang_definitions` VALUES (137637, 1494, 46, 'दिवसांपूर्वी');
INSERT INTO `lang_definitions` VALUES (137638, 1495, 46, 'दिवस आणि खेळ मिस');
INSERT INTO `lang_definitions` VALUES (137639, 1496, 46, 'गेल्या चकमकीत पासून दिवस');
INSERT INTO `lang_definitions` VALUES (137640, 1497, 46, 'दिवस मिस');
INSERT INTO `lang_definitions` VALUES (137641, 1498, 46, 'स्तंभ प्रति दिवस:');
INSERT INTO `lang_definitions` VALUES (137642, 1500, 46, 'दिवस / कर्नल:');
INSERT INTO `lang_definitions` VALUES (137643, 1501, 46, 'डीबी स्थापित');
INSERT INTO `lang_definitions` VALUES (137644, 1502, 46, 'डीडी / आहे MM / YYYY');
INSERT INTO `lang_definitions` VALUES (137645, 1503, 46, 'डे ओळख');
INSERT INTO `lang_definitions` VALUES (137646, 1504, 46, 'डे ओळख प्रक्रिया पूर्ण');
INSERT INTO `lang_definitions` VALUES (137647, 1505, 46, 'डे ओळख प्रक्रिया सुरु आहे');
INSERT INTO `lang_definitions` VALUES (137648, 1506, 46, 'डे ओळख प्रक्रिया सुरु केले आणि पार्श्वभूमीत चालू आहे');
INSERT INTO `lang_definitions` VALUES (137649, 1507, 46, 'डे ओळखले डेटा पूर्ण होऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (137650, 1508, 46, 'डी-ओळख येथे साठवले जाईल');
INSERT INTO `lang_definitions` VALUES (137651, 1509, 46, 'DEA');
INSERT INTO `lang_definitions` VALUES (137652, 1511, 46, 'बहिरा');
INSERT INTO `lang_definitions` VALUES (137653, 1512, 46, 'डीबग माहिती');
INSERT INTO `lang_definitions` VALUES (137654, 1514, 46, 'डिबगिंग');
INSERT INTO `lang_definitions` VALUES (137655, 1515, 46, 'डिसेंबर');
INSERT INTO `lang_definitions` VALUES (137656, 1516, 46, 'मृत');
INSERT INTO `lang_definitions` VALUES (137657, 1517, 46, 'डिसेंबर');
INSERT INTO `lang_definitions` VALUES (137658, 1518, 46, '# वेगळे करून दशमान पौंड किंवा पाउंड आणि औन्स (उदा 5 # 4)');
INSERT INTO `lang_definitions` VALUES (137659, 1519, 46, 'निर्देशीत करण्यासाठी नकार दिला');
INSERT INTO `lang_definitions` VALUES (137660, 1520, 46, 'पात्र');
INSERT INTO `lang_definitions` VALUES (137661, 1521, 46, 'पात्र हवामान');
INSERT INTO `lang_definitions` VALUES (137662, 1522, 46, 'डीफॉल्ट');
INSERT INTO `lang_definitions` VALUES (137663, 1523, 46, 'डीफॉल्ट कॅलेंडर पहा');
INSERT INTO `lang_definitions` VALUES (137664, 1524, 46, 'मुलभूत चकमकीत फॉर्म आयडी');
INSERT INTO `lang_definitions` VALUES (137665, 1526, 46, 'मुलभूत सुविधा');
INSERT INTO `lang_definitions` VALUES (137666, 1527, 46, 'मुलभूत भाषा');
INSERT INTO `lang_definitions` VALUES (137667, 1528, 46, 'अनुमती देण्यात येईल किंवा निवडलेल्या कोणत्याही इतर तर मुलभूत भाषा.');
INSERT INTO `lang_definitions` VALUES (137668, 1529, 46, 'मुलभूत यादी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (137669, 1530, 46, 'डीफॉल्ट पद्धत');
INSERT INTO `lang_definitions` VALUES (137670, 1531, 46, 'डीफॉल्ट संकेतशब्द कालबाह्य दिवस');
INSERT INTO `lang_definitions` VALUES (137671, 1532, 46, 'दिवस डीफॉल्ट संकेतशब्द समाप्ती कालावधी. 0 हे वैशिष्ट्य अक्षम आहे याचा अर्थ.');
INSERT INTO `lang_definitions` VALUES (137672, 1533, 46, 'डीफॉल्ट रुग्णांच्या देश');
INSERT INTO `lang_definitions` VALUES (137673, 1535, 46, 'डीफॉल्ट प्राधान्य');
INSERT INTO `lang_definitions` VALUES (137674, 1536, 46, 'डीफॉल्ट प्रदाता');
INSERT INTO `lang_definitions` VALUES (137675, 1537, 46, 'डीफॉल्ट श्रेणी');
INSERT INTO `lang_definitions` VALUES (137676, 1538, 46, 'भेट द्या डीफॉल्ट कारण');
INSERT INTO `lang_definitions` VALUES (137677, 1540, 46, 'डीफॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (137678, 1541, 46, 'रुग्ण यादी नवीन विंडो चेकबॉक्स डीफॉल्ट स्थिती.');
INSERT INTO `lang_definitions` VALUES (137679, 1542, 46, 'डीफॉल्ट टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (137680, 1546, 46, 'डीफॉल्ट युनिट');
INSERT INTO `lang_definitions` VALUES (137681, 1547, 46, 'डीफॉल्ट मूल्य');
INSERT INTO `lang_definitions` VALUES (137682, 1548, 46, 'डीफॉल्ट वखार');
INSERT INTO `lang_definitions` VALUES (137683, 1549, 46, 'डीफॉल्ट X12 भागीदार');
INSERT INTO `lang_definitions` VALUES (137684, 1550, 46, 'डीफॉल्ट / ग्लोबल');
INSERT INTO `lang_definitions` VALUES (137685, 1551, 46, 'देल');
INSERT INTO `lang_definitions` VALUES (137686, 1552, 46, 'देल');
INSERT INTO `lang_definitions` VALUES (137687, 1553, 46, 'विलंब पुनरावृत्ती (> 12 मो)');
INSERT INTO `lang_definitions` VALUES (137688, 1554, 46, 'हटवा');
INSERT INTO `lang_definitions` VALUES (137689, 1555, 46, 'हटवा');
INSERT INTO `lang_definitions` VALUES (137690, 1556, 46, 'आयडी (चे) सह श्रेणी हटवा: ');
INSERT INTO `lang_definitions` VALUES (137691, 1557, 46, 'वर्ग हटवा');
INSERT INTO `lang_definitions` VALUES (137692, 1559, 46, 'हटवा अयशस्वी झाले!');
INSERT INTO `lang_definitions` VALUES (137693, 1560, 46, 'गट हटवा');
INSERT INTO `lang_definitions` VALUES (137694, 1561, 46, 'यादी हटवा');
INSERT INTO `lang_definitions` VALUES (137695, 1562, 46, 'पृष्ठे हटवा');
INSERT INTO `lang_definitions` VALUES (137696, 1563, 46, 'रुग्णांच्या, आढळतात, फॉर्म, अंक, दस्तऐवज, भरणा, बिलिंग किंवा व्यवहार हटवा');
INSERT INTO `lang_definitions` VALUES (137697, 1565, 46, 'पंक्ती हटवा');
INSERT INTO `lang_definitions` VALUES (137698, 1566, 46, 'निवडलेले आयटम हटवा');
INSERT INTO `lang_definitions` VALUES (137699, 1567, 46, 'निवडलेले विनंत्या हटवा');
INSERT INTO `lang_definitions` VALUES (137700, 1568, 46, 'यशस्वी हटवा.');
INSERT INTO `lang_definitions` VALUES (137701, 1569, 46, 'या दस्तऐवजात हटवा');
INSERT INTO `lang_definitions` VALUES (137702, 1570, 46, 'हा फॉर्म हटवा');
INSERT INTO `lang_definitions` VALUES (137703, 1571, 46, 'ही नोट हटवू');
INSERT INTO `lang_definitions` VALUES (137704, 1572, 46, 'यशस्वीरित्या हटविले');
INSERT INTO `lang_definitions` VALUES (137705, 1573, 46, 'यशस्वीरित्या हटविले.');
INSERT INTO `lang_definitions` VALUES (137706, 1574, 46, 'हटवत आहे');
INSERT INTO `lang_definitions` VALUES (137707, 1575, 46, 'हा कार्यक्रम हटविणे पूर्ववत केले जाऊ शकत नाही. तो गेले आहे एकदा तो वसूल करणे शक्य नाही. आपण हा कार्यक्रम हटवू इच्छित आपल्याला खात्री आहे?');
INSERT INTO `lang_definitions` VALUES (137708, 1576, 46, 'डिलिव्हरी पुष्टी');
INSERT INTO `lang_definitions` VALUES (137709, 1577, 46, 'डिलिव्हरी निर्दिष्ट थेट पत्ता करण्याची परवानगी नाही आहे.');
INSERT INTO `lang_definitions` VALUES (137710, 1578, 46, 'डिलिव्हरी सध्या निर्दिष्ट थेट पत्ता करण्याची परवानगी देण्यात आली नाही.');
INSERT INTO `lang_definitions` VALUES (137711, 1579, 46, 'संलग्न वैद्यकीय दस्तऐवज डिलिव्हरी रुग्ण केली');
INSERT INTO `lang_definitions` VALUES (137712, 1580, 46, 'संलग्न वैद्यकीय दस्तऐवज डिलिव्हरी रुग्ण केली.');
INSERT INTO `lang_definitions` VALUES (137713, 1581, 46, 'वेड');
INSERT INTO `lang_definitions` VALUES (137714, 1582, 46, 'लोकसंख्याशास्त्र');
INSERT INTO `lang_definitions` VALUES (137715, 1583, 46, 'लोकसंख्याशास्त्र (पर्यायी addonly, लिहा)');
INSERT INTO `lang_definitions` VALUES (137716, 1585, 46, 'लोकसंख्याशास्त्र फिल्टर निकष');
INSERT INTO `lang_definitions` VALUES (137717, 1586, 46, 'लोकसंख्याशास्त्र अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (137718, 1587, 46, 'लोकसंख्याशास्त्र अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (137719, 1588, 46, 'नाकारला');
INSERT INTO `lang_definitions` VALUES (137720, 1589, 46, 'भाजक');
INSERT INTO `lang_definitions` VALUES (137721, 1590, 46, 'दंत');
INSERT INTO `lang_definitions` VALUES (137722, 1591, 46, 'दंत समस्या सूची');
INSERT INTO `lang_definitions` VALUES (137723, 1592, 46, 'दंत मुद्दे');
INSERT INTO `lang_definitions` VALUES (137724, 1593, 46, 'अवलंबित्व मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (137725, 1594, 46, 'अवलंबित्व समस्या');
INSERT INTO `lang_definitions` VALUES (137726, 1595, 46, 'आपण एक X12 दावा परीक्षा तर आपण HCFA बिले रिकामी पृष्ठावर आउटपुट जसे HCFA दिसेल परीक्षा बिल प्रकारावर अवलंबून असून, आपण काहीसे अस्पष्ट मजकूर आणि माहिती अनेक ओळी दिसेल. त्या अस्पष्ट मजकूर X12 EDI 4010A स्वरूप आहे. आपण कधी कधी dominoes किंवा squiglies दिसत विचित्र वर्ण, या अशा पृष्ठ फीड म्हणून कंट्रोल अक्षर आहेत आणि सामान्य असतात दिसेल.');
INSERT INTO `lang_definitions` VALUES (137727, 1596, 46, 'ठेव तारीख');
INSERT INTO `lang_definitions` VALUES (137728, 1597, 46, 'ठेव तारीख आज पेक्षा जास्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (137729, 1598, 46, 'ठेव दिनांक:');
INSERT INTO `lang_definitions` VALUES (137730, 1599, 46, 'उदासीन');
INSERT INTO `lang_definitions` VALUES (137731, 1600, 46, 'उदासीनता');
INSERT INTO `lang_definitions` VALUES (137732, 1601, 46, 'DESC');
INSERT INTO `lang_definitions` VALUES (137733, 1602, 46, 'वर्णन');
INSERT INTO `lang_definitions` VALUES (137734, 1603, 46, 'वर्णन');
INSERT INTO `lang_definitions` VALUES (137735, 1604, 46, 'वर्णन मुलभूत पाठ्य आहे');
INSERT INTO `lang_definitions` VALUES (137736, 1605, 46, 'प्रकटीकरण वर्णन');
INSERT INTO `lang_definitions` VALUES (137737, 1606, 46, 'ही प्रक्रिया किंवा परिणाम कोड वर्णन');
INSERT INTO `lang_definitions` VALUES (137738, 1607, 46, 'वर्णन भाषांतर');
INSERT INTO `lang_definitions` VALUES (137739, 1608, 46, 'इच्छित फाइलनाव');
INSERT INTO `lang_definitions` VALUES (137740, 1609, 46, 'गंतव्य');
INSERT INTO `lang_definitions` VALUES (137741, 1610, 46, 'गंतव्य फाइलनाव');
INSERT INTO `lang_definitions` VALUES (137742, 1611, 46, 'लोट नष्ट');
INSERT INTO `lang_definitions` VALUES (137743, 1612, 46, 'नष्ट ...');
INSERT INTO `lang_definitions` VALUES (137744, 1613, 46, 'नष्ट');
INSERT INTO `lang_definitions` VALUES (137745, 1614, 46, 'नष्ट औषधे');
INSERT INTO `lang_definitions` VALUES (137746, 1615, 46, 'नष्ट औषधे अहवाल');
INSERT INTO `lang_definitions` VALUES (137747, 1616, 46, 'तपशील');
INSERT INTO `lang_definitions` VALUES (137748, 1617, 46, 'माहिती');
INSERT INTO `lang_definitions` VALUES (137749, 1619, 46, 'विकास विकृती');
INSERT INTO `lang_definitions` VALUES (137750, 1620, 46, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (137751, 1621, 46, 'मधुमेह');
INSERT INTO `lang_definitions` VALUES (137752, 1622, 46, 'मधुमेह: ब्लड प्रेशर व्यवस्थापन (CQM)');
INSERT INTO `lang_definitions` VALUES (137753, 1623, 46, 'मधुमेह: डोळ्याचा परीक्षा');
INSERT INTO `lang_definitions` VALUES (137754, 1624, 46, 'मधुमेह: डोळ्याचा परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (137755, 1625, 46, 'मधुमेह: पाऊल परीक्षा');
INSERT INTO `lang_definitions` VALUES (137756, 1626, 46, 'मधुमेह: पाऊल परीक्षा (CQM)');
INSERT INTO `lang_definitions` VALUES (137757, 1627, 46, 'मधुमेह: HbA1c गरीब नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (137758, 1628, 46, 'मधुमेह: हिमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (137759, 1629, 46, 'मधुमेह: LDL व्यवस्थापन व नियंत्रण (CQM)');
INSERT INTO `lang_definitions` VALUES (137760, 1630, 46, 'मधुमेह: लघवी Microalbumin');
INSERT INTO `lang_definitions` VALUES (137761, 1631, 46, 'Diag');
INSERT INTO `lang_definitions` VALUES (137762, 1632, 46, 'निदान');
INSERT INTO `lang_definitions` VALUES (137763, 1633, 46, 'निदान');
INSERT INTO `lang_definitions` VALUES (137764, 1634, 46, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (137765, 1635, 46, 'निदान कोड');
INSERT INTO `lang_definitions` VALUES (137766, 1636, 46, 'निदान तारीख');
INSERT INTO `lang_definitions` VALUES (137767, 1637, 46, 'निदान एक लिंक चकमकीत मध्ये कोड करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (137768, 1638, 46, 'निदान नाव');
INSERT INTO `lang_definitions` VALUES (137769, 1639, 46, 'निदान अहवाल');
INSERT INTO `lang_definitions` VALUES (137770, 1640, 46, 'निदान अहवाल');
INSERT INTO `lang_definitions` VALUES (137771, 1641, 46, 'निदान अहवाल केवळ');
INSERT INTO `lang_definitions` VALUES (137772, 1642, 46, 'निदान शीर्षक');
INSERT INTO `lang_definitions` VALUES (137773, 1643, 46, 'निदान:');
INSERT INTO `lang_definitions` VALUES (137774, 1644, 46, 'निदान: ');
INSERT INTO `lang_definitions` VALUES (137775, 1645, 46, 'निदान कसोटी:');
INSERT INTO `lang_definitions` VALUES (137776, 1646, 46, 'Dials');
INSERT INTO `lang_definitions` VALUES (137777, 1647, 46, 'Diaphragms / कॅप्स');
INSERT INTO `lang_definitions` VALUES (137778, 1648, 46, 'अतिसार');
INSERT INTO `lang_definitions` VALUES (137779, 1650, 46, 'शुद्धलेखन');
INSERT INTO `lang_definitions` VALUES (137780, 1651, 46, 'शुद्धलेखन: ');
INSERT INTO `lang_definitions` VALUES (137781, 1652, 46, 'तुम्ही HIPAA सूचना एक प्रत प्राप्त होते का?');
INSERT INTO `lang_definitions` VALUES (137782, 1653, 46, 'प्रकाश:');
INSERT INTO `lang_definitions` VALUES (137783, 1654, 46, 'डिजिटली केलेली स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (137784, 1657, 46, 'थेट मेल');
INSERT INTO `lang_definitions` VALUES (137785, 1658, 46, 'थेट संदेश लॉग');
INSERT INTO `lang_definitions` VALUES (137786, 1659, 46, 'थेट संदेश प्राप्त झाला नाही.');
INSERT INTO `lang_definitions` VALUES (137787, 1660, 46, 'थेट संदेश सध्या अनुपलब्ध आहे.');
INSERT INTO `lang_definitions` VALUES (137788, 1661, 46, 'थेट संदेश अयशस्वी पाठवा.');
INSERT INTO `lang_definitions` VALUES (137789, 1663, 46, 'संचालक नाव');
INSERT INTO `lang_definitions` VALUES (137790, 1664, 46, 'निर्देशिका हटवणे अयशस्वी; चालू.');
INSERT INTO `lang_definitions` VALUES (137791, 1665, 46, 'अपंगत्व');
INSERT INTO `lang_definitions` VALUES (137792, 1666, 46, 'अक्षम करा');
INSERT INTO `lang_definitions` VALUES (137793, 1667, 46, 'अक्षम करा दिनदर्शिका');
INSERT INTO `lang_definitions` VALUES (137794, 1668, 46, 'अक्षम करा चार्ट ट्रॅकर');
INSERT INTO `lang_definitions` VALUES (137795, 1669, 46, 'अक्षम करा लसीकरण');
INSERT INTO `lang_definitions` VALUES (137796, 1670, 46, 'जुन्या मेट्रिक मर्मस्थाने फॉर्म अक्षम');
INSERT INTO `lang_definitions` VALUES (137797, 1672, 46, 'PhpMyAdmin अक्षम करा');
INSERT INTO `lang_definitions` VALUES (137798, 1673, 46, 'अक्षम करा चांगले');
INSERT INTO `lang_definitions` VALUES (137799, 1674, 46, 'अक्षम करा वापरकर्ता गट');
INSERT INTO `lang_definitions` VALUES (137800, 1675, 46, 'अक्षम');
INSERT INTO `lang_definitions` VALUES (137801, 1676, 46, 'अपंग');
INSERT INTO `lang_definitions` VALUES (137802, 1677, 46, 'मोठे गट आरोग्य योजना वय 65 अंतर्गत अपंग लाभार्थी (LGHP)');
INSERT INTO `lang_definitions` VALUES (137803, 1678, 46, 'DISC');
INSERT INTO `lang_definitions` VALUES (137804, 1679, 46, 'टाकून द्यायचा');
INSERT INTO `lang_definitions` VALUES (137805, 1680, 46, 'टाकून');
INSERT INTO `lang_definitions` VALUES (137806, 1681, 46, 'स्त्राव');
INSERT INTO `lang_definitions` VALUES (137807, 1682, 46, 'मूत्रमार्ग खाज');
INSERT INTO `lang_definitions` VALUES (137808, 1684, 46, 'उजव्या स्त्राव');
INSERT INTO `lang_definitions` VALUES (137809, 1685, 46, 'उजव्या स्त्राव:');
INSERT INTO `lang_definitions` VALUES (137810, 1688, 46, 'सोडण्यात');
INSERT INTO `lang_definitions` VALUES (137811, 1689, 46, 'प्रकटीकरण माहिती');
INSERT INTO `lang_definitions` VALUES (137812, 1690, 46, 'प्रकटीकरण प्रकार');
INSERT INTO `lang_definitions` VALUES (137813, 1691, 46, 'प्रकटीकरण प्रकार');
INSERT INTO `lang_definitions` VALUES (137814, 1692, 46, 'माहितीचे प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (137815, 1694, 46, 'सवलत');
INSERT INTO `lang_definitions` VALUES (137816, 1695, 46, 'सवलत रक्कम');
INSERT INTO `lang_definitions` VALUES (137817, 1696, 46, 'सवलत पातळी');
INSERT INTO `lang_definitions` VALUES (137818, 1697, 46, 'सवलत टक्केवारी');
INSERT INTO `lang_definitions` VALUES (137819, 1698, 46, 'सवलत आर्थिक प्रमाणात');
INSERT INTO `lang_definitions` VALUES (137820, 1699, 46, 'टक्केवारी विरोध म्हणून चेकआउटवर वेळी सवलत, पैसे प्रमाणात प्रवेश केला आहे.');
INSERT INTO `lang_definitions` VALUES (137821, 1700, 46, 'अलग निकाल');
INSERT INTO `lang_definitions` VALUES (137822, 1701, 46, 'रोग');
INSERT INTO `lang_definitions` VALUES (137823, 1702, 46, 'सांधा निखळणे');
INSERT INTO `lang_definitions` VALUES (137824, 1703, 46, 'Disp #');
INSERT INTO `lang_definitions` VALUES (137825, 1704, 46, 'पाठवणे');
INSERT INTO `lang_definitions` VALUES (137826, 1705, 46, 'पाठवणे प्राप्त दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (137827, 1706, 46, 'Dispensed');
INSERT INTO `lang_definitions` VALUES (137828, 1707, 46, 'लोकसंख्याशास्त्र पृष्ठ मध्ये आगाऊ निर्देशांचे प्रदर्शित करा.');
INSERT INTO `lang_definitions` VALUES (137829, 1708, 46, 'प्रदर्शन दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (137830, 1709, 46, 'प्रदर्शन कार्यक्रम ब्लॉक तारखा?');
INSERT INTO `lang_definitions` VALUES (137831, 1710, 46, 'अमेरिकन वजन प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (137832, 1711, 46, 'किती कार्यक्रम प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (137833, 1713, 46, 'ब्लॉक प्रदर्शन स्थान नाही?');
INSERT INTO `lang_definitions` VALUES (137834, 1714, 46, 'प्रदर्शन नाव');
INSERT INTO `lang_definitions` VALUES (137835, 1715, 46, 'कॅलेंडर प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (137836, 1718, 46, 'प्रदर्शन आज  \'चे ब्लॉक कार्यक्रम?');
INSERT INTO `lang_definitions` VALUES (137837, 1719, 46, 'ब्लॉक विषय प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (137838, 1720, 46, 'ब्लॉक आगामी कार्यक्रम प्रदर्शित?');
INSERT INTO `lang_definitions` VALUES (137839, 1721, 46, 'प्रदर्शित स्तंभ');
INSERT INTO `lang_definitions` VALUES (137840, 1722, 46, 'सर्वात अलीकडील माहिती खालील संख्या प्रदर्शित करत आहे:');
INSERT INTO `lang_definitions` VALUES (137841, 1723, 46, 'सर्वात अलीकडील नोट्स खालील संख्या प्रदर्शित');
INSERT INTO `lang_definitions` VALUES (137842, 1724, 46, 'सर्वात अलीकडील नोट्स खालील संख्या प्रदर्शित करत आहे:');
INSERT INTO `lang_definitions` VALUES (137843, 1725, 46, 'वितरण');
INSERT INTO `lang_definitions` VALUES (137844, 1726, 46, 'वितरण');
INSERT INTO `lang_definitions` VALUES (137845, 1727, 46, 'वितरक');
INSERT INTO `lang_definitions` VALUES (137846, 1728, 46, 'Divehi- Dhivehi- Maldivian-');
INSERT INTO `lang_definitions` VALUES (137847, 1729, 46, 'डायव्हर्टीक्युलमचा क्षोभ');
INSERT INTO `lang_definitions` VALUES (137848, 1730, 46, 'डायव्हर्टीक्युलमचा क्षोभ शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (137849, 1731, 46, 'Divirticulitis');
INSERT INTO `lang_definitions` VALUES (137850, 1732, 46, 'Divirticulitis शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (137851, 1733, 46, 'घटस्फोटीत');
INSERT INTO `lang_definitions` VALUES (137852, 1734, 46, 'चक्कर:');
INSERT INTO `lang_definitions` VALUES (137853, 1735, 46, 'बदलू ​​नका');
INSERT INTO `lang_definitions` VALUES (137854, 1737, 46, 'ऍलर्जी NewCrop अपलोड प्रदर्शित करू नका');
INSERT INTO `lang_definitions` VALUES (137855, 1739, 46, 'NewCrop अपलोड औषधे प्रदर्शित करू नका');
INSERT INTO `lang_definitions` VALUES (137856, 1742, 46, 'कॅलेंडर प्रदर्शित करू नका.');
INSERT INTO `lang_definitions` VALUES (137857, 1744, 46, 'नाही यादी आणि कोणत्याही उत्पादने विक्री');
INSERT INTO `lang_definitions` VALUES (137858, 1745, 46, 'अधिकृत करणे रुग्ण नोट्स आवश्यक नाही');
INSERT INTO `lang_definitions` VALUES (137859, 1746, 46, 'ऑर्डर Resuscitate करू नका');
INSERT INTO `lang_definitions` VALUES (137860, 1747, 46, 'जतन नाही');
INSERT INTO `lang_definitions` VALUES (137861, 1748, 46, 'पर्याय नाही');
INSERT INTO `lang_definitions` VALUES (137862, 1749, 46, 'काही करू नको');
INSERT INTO `lang_definitions` VALUES (137863, 1751, 46, 'आपण खरोखर हटवू इच्छिता का');
INSERT INTO `lang_definitions` VALUES (137864, 1752, 46, 'आपण खरोखर निवड हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (137865, 1753, 46, 'आपण खरोखर हा गट हटवू इच्छिता का');
INSERT INTO `lang_definitions` VALUES (137866, 1754, 46, 'आपण खरोखर हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (137867, 1755, 46, 'तुम्हाला पुढे जायचे आहे का?');
INSERT INTO `lang_definitions` VALUES (137868, 1756, 46, 'आपण हे हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (137869, 1757, 46, 'आपण हटवू इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (137870, 1758, 46, 'आपण या रेकॉर्ड काढू इच्छित आहे का?');
INSERT INTO `lang_definitions` VALUES (137871, 1759, 46, 'आपण या नवीन रुग्ण जोडून पुढे जायचे आहे का?');
INSERT INTO `lang_definitions` VALUES (137872, 1760, 46, 'आपण नवीन नाव पुढे जायचे आहे का?');
INSERT INTO `lang_definitions` VALUES (137873, 1761, 46, 'आपण कायमचे या लसीकरण रेकॉर्ड हटवू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (137874, 1762, 46, 'डीओबी');
INSERT INTO `lang_definitions` VALUES (137875, 1763, 46, 'डीओबी शक्य असल्यास प्रविष्ट करा, गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (137876, 1764, 46, 'डॉक्स');
INSERT INTO `lang_definitions` VALUES (137877, 1765, 46, 'डॉक्टर');
INSERT INTO `lang_definitions` VALUES (137878, 1766, 46, 'डॉक्टर:');
INSERT INTO `lang_definitions` VALUES (137879, 1767, 46, 'डॉक्टर  \'चे नाव आणि स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (137880, 1768, 46, 'दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (137881, 1769, 46, 'दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (137882, 1770, 46, 'दस्तऐवज श्रेणी');
INSERT INTO `lang_definitions` VALUES (137883, 1771, 46, 'लॅब परिणाम दस्तऐवज श्रेणी विद्यमान नाही');
INSERT INTO `lang_definitions` VALUES (137884, 1772, 46, 'इलेक्ट्रॉनिक प्राप्त लॅब परिणाम संग्रह दस्तऐवज श्रेणी नाव.');
INSERT INTO `lang_definitions` VALUES (137885, 1774, 46, 'दस्तऐवज वर्ग किंवा टाकून द्या');
INSERT INTO `lang_definitions` VALUES (137886, 1775, 46, 'दस्तऐवज रुग्णाला आयडी हलविले जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (137887, 1777, 46, 'दस्तऐवज तारीख');
INSERT INTO `lang_definitions` VALUES (137888, 1778, 46, 'दस्तऐवज तारीख आणि समस्या यशस्वीरित्या अद्यतनित केले');
INSERT INTO `lang_definitions` VALUES (137889, 1779, 46, 'दस्तऐवज ID');
INSERT INTO `lang_definitions` VALUES (137890, 1780, 46, 'दस्तऐवज नवीन श्रेणी हलविले');
INSERT INTO `lang_definitions` VALUES (137891, 1781, 46, 'दस्तऐवज रुग्णाला आयडी हलविले');
INSERT INTO `lang_definitions` VALUES (137892, 1783, 46, 'दस्तऐवज माहिती पॅनल चेक निधन झाले.');
INSERT INTO `lang_definitions` VALUES (137893, 1784, 46, 'दस्तऐवज संग्रह पद्धत');
INSERT INTO `lang_definitions` VALUES (137894, 1785, 46, 'दस्तऐवज यशस्वीरित्या पुनर्नामित करण्यात आली.');
INSERT INTO `lang_definitions` VALUES (137895, 1786, 46, 'दस्तऐवज यशस्वीरित्या आढळतात धर्तीवर');
INSERT INTO `lang_definitions` VALUES (137896, 1787, 46, 'दस्तऐवज साचा व्यवस्थापन');
INSERT INTO `lang_definitions` VALUES (137897, 1788, 46, 'दस्तऐवज टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (137898, 1789, 46, 'दस्तऐवज (चे)');
INSERT INTO `lang_definitions` VALUES (137899, 1790, 46, 'दस्तऐवज / इमेजिंग स्टोअर');
INSERT INTO `lang_definitions` VALUES (137900, 1791, 46, 'दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (137901, 1792, 46, 'दस्तऐवज (पर्यायी addonly, लिहा)');
INSERT INTO `lang_definitions` VALUES (137902, 1794, 46, 'डीओई');
INSERT INTO `lang_definitions` VALUES (137903, 1796, 46, 'PV1 चकमकीत संख्या जुळत नाही');
INSERT INTO `lang_definitions` VALUES (137904, 1797, 46, 'वैध दिसत नाही');
INSERT INTO `lang_definitions` VALUES (137905, 1798, 46, 'हा प्रकार संबंधित कोड परवानगी आहे का?');
INSERT INTO `lang_definitions` VALUES (137906, 1799, 46, 'घरगुती भागीदार');
INSERT INTO `lang_definitions` VALUES (137907, 1800, 46, 'जतन करू नका');
INSERT INTO `lang_definitions` VALUES (137908, 1801, 46, 'डॉन  \'टी जतन करा');
INSERT INTO `lang_definitions` VALUES (137909, 1802, 46, 'डॉन  \'टी बदल जतन करा');
INSERT INTO `lang_definitions` VALUES (137910, 1803, 46, 'पूर्ण झाले');
INSERT INTO `lang_definitions` VALUES (137911, 1804, 46, 'केले:');
INSERT INTO `lang_definitions` VALUES (137912, 1805, 46, 'पूर्ण झाले. आता डाउनलोड पाठवेल.');
INSERT INTO `lang_definitions` VALUES (137913, 1806, 46, 'डॉस');
INSERT INTO `lang_definitions` VALUES (137914, 1807, 46, 'डोस');
INSERT INTO `lang_definitions` VALUES (137915, 1809, 46, 'डबल क्लिक करा संपादित करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (137916, 1810, 46, 'डबल दृष्टी');
INSERT INTO `lang_definitions` VALUES (137917, 1811, 46, 'डाउनलोड');
INSERT INTO `lang_definitions` VALUES (137918, 1814, 46, 'तरीही डाउनलोड करा');
INSERT INTO `lang_definitions` VALUES (137919, 1815, 46, ', बिलिंग फाइल डाउनलोड करा बिल म्हणून लेखा खूण पोस्ट');
INSERT INTO `lang_definitions` VALUES (137920, 1817, 46, 'डाउनलोड प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (137921, 1818, 46, 'डाउनलोड कॉन्फिगरेशन डेटा');
INSERT INTO `lang_definitions` VALUES (137922, 1819, 46, 'या रुग्ण आणि भेट दस्तऐवज टेम्प्लेट डाउनलोड करा');
INSERT INTO `lang_definitions` VALUES (137923, 1820, 46, 'एनक्रिप्टेड फाइल डाउनलोड');
INSERT INTO `lang_definitions` VALUES (137924, 1823, 46, 'Offsite पोर्टल कनेक्शन फाइल्स डाउनलोड');
INSERT INTO `lang_definitions` VALUES (137925, 1824, 46, 'डाउनलोड करा किंवा टेम्पलेट हटवा');
INSERT INTO `lang_definitions` VALUES (137926, 1825, 46, 'डाउनलोड पीडीएफ');
INSERT INTO `lang_definitions` VALUES (137927, 1827, 46, 'डाउनलोड निवडलेले स्टेटमेन्ट');
INSERT INTO `lang_definitions` VALUES (137928, 1828, 46, 'डॉ तपासा');
INSERT INTO `lang_definitions` VALUES (137929, 1829, 46, 'डॉ भेट द्या');
INSERT INTO `lang_definitions` VALUES (137930, 1830, 46, 'डॉ');
INSERT INTO `lang_definitions` VALUES (137931, 1831, 46, 'हलवा ड्रॅग करा');
INSERT INTO `lang_definitions` VALUES (137932, 1832, 46, 'Dribbling');
INSERT INTO `lang_definitions` VALUES (137933, 1833, 46, 'वाहन चालक परवाना किंवा राज्य आयडी');
INSERT INTO `lang_definitions` VALUES (137934, 1834, 46, 'औषध');
INSERT INTO `lang_definitions` VALUES (137935, 1835, 46, 'औषध फाइंडर');
INSERT INTO `lang_definitions` VALUES (137936, 1836, 46, 'औषध अर्ज');
INSERT INTO `lang_definitions` VALUES (137937, 1837, 46, 'औषध आयडी गहाळ!');
INSERT INTO `lang_definitions` VALUES (137938, 1838, 46, 'औषध मध्यांतरे');
INSERT INTO `lang_definitions` VALUES (137939, 1839, 46, 'औषध यादी');
INSERT INTO `lang_definitions` VALUES (137940, 1840, 46, 'औषध नाव');
INSERT INTO `lang_definitions` VALUES (137941, 1841, 46, 'औषध मार्ग');
INSERT INTO `lang_definitions` VALUES (137942, 1845, 46, 'औषध युनिट');
INSERT INTO `lang_definitions` VALUES (137943, 1846, 46, 'औषधे');
INSERT INTO `lang_definitions` VALUES (137944, 1847, 46, 'औषधे आणि उत्पादने');
INSERT INTO `lang_definitions` VALUES (137945, 1848, 46, 'कोरड्या तोंड');
INSERT INTO `lang_definitions` VALUES (137946, 1849, 46, 'DSMIV निदान');
INSERT INTO `lang_definitions` VALUES (137947, 1850, 46, 'विमुक्त 1');
INSERT INTO `lang_definitions` VALUES (137948, 1851, 46, 'विमुक्त 2');
INSERT INTO `lang_definitions` VALUES (137949, 1852, 46, 'विमुक्त 3');
INSERT INTO `lang_definitions` VALUES (137950, 1853, 46, 'विमुक्त 4');
INSERT INTO `lang_definitions` VALUES (137951, 1854, 46, 'विमुक्त 5');
INSERT INTO `lang_definitions` VALUES (137952, 1855, 46, 'DTaP 1');
INSERT INTO `lang_definitions` VALUES (137953, 1856, 46, 'DTaP 2');
INSERT INTO `lang_definitions` VALUES (137954, 1857, 46, 'DTaP 3');
INSERT INTO `lang_definitions` VALUES (137955, 1858, 46, 'DTaP 4');
INSERT INTO `lang_definitions` VALUES (137956, 1859, 46, 'DTaP 5');
INSERT INTO `lang_definitions` VALUES (137957, 1860, 46, 'मुळे');
INSERT INTO `lang_definitions` VALUES (137958, 1861, 46, 'मुळे तारीख');
INSERT INTO `lang_definitions` VALUES (137959, 1862, 46, 'मुळे तारीख मि.मी. / डीडी / वर्ष किंवा वर्ष-mm-dd या');
INSERT INTO `lang_definitions` VALUES (137960, 1863, 46, 'मुळे दिनांक:');
INSERT INTO `lang_definitions` VALUES (137961, 1864, 46, 'मुळे इन');
INSERT INTO `lang_definitions` VALUES (137962, 1865, 46, 'मुळे पं');
INSERT INTO `lang_definitions` VALUES (137963, 1866, 46, 'मुळे लवकरच');
INSERT INTO `lang_definitions` VALUES (137964, 1867, 46, 'मुळे स्थिती');
INSERT INTO `lang_definitions` VALUES (137965, 1868, 46, 'मुळे अद्यतनित स्थिती');
INSERT INTO `lang_definitions` VALUES (137966, 1869, 46, 'LibreEHR डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (137967, 1870, 46, 'डम्पिंग LibreEHR वेब निर्देशिका झाड');
INSERT INTO `lang_definitions` VALUES (137968, 1871, 46, 'PhpGACL डेटाबेस डम्पिंग');
INSERT INTO `lang_definitions` VALUES (137969, 1872, 46, 'डम्पिंग phpGACL वेब निर्देशिका झाड');
INSERT INTO `lang_definitions` VALUES (137970, 1873, 46, 'डम्पिंग एस क्यू एल-लेजर डेटाबेस');
INSERT INTO `lang_definitions` VALUES (137971, 1874, 46, 'डम्पिंग एस क्यू एल-लेजर वेब निर्देशिका झाड');
INSERT INTO `lang_definitions` VALUES (137972, 1875, 46, 'Dup तपासा');
INSERT INTO `lang_definitions` VALUES (137973, 1876, 46, 'ओळीवर डुप्लिकेट आयडी');
INSERT INTO `lang_definitions` VALUES (137974, 1877, 46, 'ओळीवर डुप्लीकेट नाव');
INSERT INTO `lang_definitions` VALUES (137975, 1878, 46, 'दुप्पट चेतावणी');
INSERT INTO `lang_definitions` VALUES (137976, 1879, 46, 'मुखत्यार टिकाऊ पॉवर');
INSERT INTO `lang_definitions` VALUES (137977, 1880, 46, 'कालावधी');
INSERT INTO `lang_definitions` VALUES (137978, 1881, 46, 'कालावधी');
INSERT INTO `lang_definitions` VALUES (137979, 1882, 46, 'डच');
INSERT INTO `lang_definitions` VALUES (137980, 1883, 46, 'Dx रिपब्लिक');
INSERT INTO `lang_definitions` VALUES (137981, 1884, 46, 'गिळण्यामध्ये अडचण');
INSERT INTO `lang_definitions` VALUES (137982, 1885, 46, 'Dyspnea:');
INSERT INTO `lang_definitions` VALUES (137983, 1886, 46, 'लघवी होताना वेदना होणे');
INSERT INTO `lang_definitions` VALUES (137984, 1887, 46, 'जोंगखा');
INSERT INTO `lang_definitions` VALUES (137985, 1888, 46, 'ई-नियम?');
INSERT INTO `lang_definitions` VALUES (137986, 1889, 46, 'ई-अहवाल');
INSERT INTO `lang_definitions` VALUES (137987, 1890, 46, 'ई-Rx');
INSERT INTO `lang_definitions` VALUES (137988, 1892, 46, 'ई-Rx नूतनीकरण');
INSERT INTO `lang_definitions` VALUES (137989, 1893, 46, 'पूर्ण म्हणून प्रत्येक प्राप्तकर्ता त्यांच्या स्वत: च्या संदेश सेट करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (137990, 1894, 46, 'लवकर पुनरावृत्ती (<2 मो)');
INSERT INTO `lang_definitions` VALUES (137991, 1895, 46, 'कान');
INSERT INTO `lang_definitions` VALUES (137992, 1896, 46, 'ECG');
INSERT INTO `lang_definitions` VALUES (137993, 1897, 46, 'eClaims');
INSERT INTO `lang_definitions` VALUES (137994, 1898, 46, 'सूज');
INSERT INTO `lang_definitions` VALUES (137995, 1899, 46, 'EDI इतिहास');
INSERT INTO `lang_definitions` VALUES (137996, 1900, 46, 'EDI इतिहास');
INSERT INTO `lang_definitions` VALUES (137997, 1901, 46, 'EDI हक्क प्रतिसाद फायली संचयित आणि निष्कर्षांचा अर्थ लावणे यासाठी (फी अंतर्गत) EDI इतिहास');
INSERT INTO `lang_definitions` VALUES (137998, 1902, 46, 'EDI-271 फाइल अपलोड करा');
INSERT INTO `lang_definitions` VALUES (137999, 1903, 46, 'EDI-271 प्रतिसाद फाइल अपलोड करा');
INSERT INTO `lang_definitions` VALUES (138000, 1904, 46, 'संपादित करा');
INSERT INTO `lang_definitions` VALUES (138001, 1905, 46, 'संपादित करा');
INSERT INTO `lang_definitions` VALUES (138002, 1906, 46, 'संपादित करा अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (138003, 1907, 46, 'संपादित करा कॅटेगरीज');
INSERT INTO `lang_definitions` VALUES (138004, 1908, 46, 'संपादित करा व्याख्या');
INSERT INTO `lang_definitions` VALUES (138005, 1909, 46, 'संपादित करा व्याख्या');
INSERT INTO `lang_definitions` VALUES (138006, 1910, 46, 'संपादित करा निदान साठी');
INSERT INTO `lang_definitions` VALUES (138007, 1911, 46, 'संपादित करा प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (138008, 1912, 46, 'संपादित करा सुविधा');
INSERT INTO `lang_definitions` VALUES (138009, 1913, 46, 'संपादित करा सुविधा');
INSERT INTO `lang_definitions` VALUES (138010, 1914, 46, 'संपादित करा सुविधा माहिती');
INSERT INTO `lang_definitions` VALUES (138011, 1915, 46, 'संपादित करा सुविधा विशिष्ट वापरकर्ता माहिती');
INSERT INTO `lang_definitions` VALUES (138012, 1916, 46, 'संपादित करा फाइल');
INSERT INTO `lang_definitions` VALUES (138013, 1917, 46, 'फॉर्म संपादित करा');
INSERT INTO `lang_definitions` VALUES (138014, 1918, 46, 'संपादित करा ग्लोबल सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (138015, 1919, 46, 'संपादित करा अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (138016, 1920, 46, 'संपादित करा लेआउट');
INSERT INTO `lang_definitions` VALUES (138017, 1921, 46, 'सूची संपादित करा');
INSERT INTO `lang_definitions` VALUES (138018, 1922, 46, 'संपादित करा भरणा');
INSERT INTO `lang_definitions` VALUES (138019, 1923, 46, 'संपादित करा संरचना');
INSERT INTO `lang_definitions` VALUES (138020, 1924, 46, 'वापरकर्ता संपादन करा');
INSERT INTO `lang_definitions` VALUES (138021, 1925, 46, 'वापरकर्ता संपादन करा सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (138022, 1926, 46, 'आपला प्रविष्ट केलेला डेटा संपादित करा');
INSERT INTO `lang_definitions` VALUES (138023, 1927, 46, 'संपादन अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138024, 1928, 46, 'शिक्षण');
INSERT INTO `lang_definitions` VALUES (138025, 1929, 46, 'शिक्षण तारीख');
INSERT INTO `lang_definitions` VALUES (138026, 1930, 46, 'शैक्षणिक साहित्य');
INSERT INTO `lang_definitions` VALUES (138027, 1931, 46, 'अधिक माहिती साठी * हे GNU General Public परवाना मध्ये. * * आपण या कार्यक्रमात सोबत हे GNU General Public परवान्याची एक प्रत * प्राप्त पाहिजे; नाही तर, मोफत लिहा ');
INSERT INTO `lang_definitions` VALUES (138028, 1932, 46, 'प्रभावी तारीख');
INSERT INTO `lang_definitions` VALUES (138029, 1934, 46, 'परिणामकारकता');
INSERT INTO `lang_definitions` VALUES (138030, 1935, 46, 'EIN');
INSERT INTO `lang_definitions` VALUES (138031, 1936, 46, 'Ejaculations');
INSERT INTO `lang_definitions` VALUES (138032, 1937, 46, 'वळणदार');
INSERT INTO `lang_definitions` VALUES (138033, 1938, 46, 'वळणदार समस्या');
INSERT INTO `lang_definitions` VALUES (138034, 1939, 46, 'इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (138035, 1942, 46, 'इलेक्ट्रॉनिक Remits');
INSERT INTO `lang_definitions` VALUES (138036, 1943, 46, 'इलेक्ट्रॉनिक अहवाल');
INSERT INTO `lang_definitions` VALUES (138037, 1944, 46, 'पात्रता');
INSERT INTO `lang_definitions` VALUES (138038, 1945, 46, 'पात्रता 270 चौकशी बॅच');
INSERT INTO `lang_definitions` VALUES (138039, 1946, 46, 'पात्रता प्रतिसाद');
INSERT INTO `lang_definitions` VALUES (138040, 1947, 46, 'मुले पुरवठा लस लस पात्रता स्थिती');
INSERT INTO `lang_definitions` VALUES (138041, 1948, 46, 'पात्र');
INSERT INTO `lang_definitions` VALUES (138042, 1949, 46, 'ईमेल');
INSERT INTO `lang_definitions` VALUES (138043, 1950, 46, 'ई-मेल');
INSERT INTO `lang_definitions` VALUES (138044, 1951, 46, 'ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (138045, 1952, 46, 'ईमेल पत्ता गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (138046, 1953, 46, 'रुग्ण स्मरणपत्रांकरिता प्रेषक ई-मेल पत्ता. रुग्णाला स्मरणपत्रे प्रत्युत्तरे या पत्त्यावर निर्देशित केले जाईल. हे मदत टाळण्यासाठी आपल्या क्लिनिकमध्ये  \'डोमेन एक पत्ता वापरू जंक मेल फोल्डर्स जाणे रुग्णाला स्मरणपत्रे प्रतिबंध करणे महत्वाचे आहे.');
INSERT INTO `lang_definitions` VALUES (138047, 1954, 46, 'ई-मेल पत्ता, जर असेल तर, प्रशासकीय सूचना प्राप्त करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (138048, 1955, 46, 'ई-मेल पत्ता, जर असेल तर, आपत्कालीन लॉगिन वापरकर्ता सक्रिय संदेश प्राप्त करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (138049, 1956, 46, 'ईमेल प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (138050, 1957, 46, 'Batchcom ईमेल');
INSERT INTO `lang_definitions` VALUES (138051, 1958, 46, 'ईमेल सूचना');
INSERT INTO `lang_definitions` VALUES (138052, 1959, 46, 'ईमेल सूचना तास');
INSERT INTO `lang_definitions` VALUES (138053, 1960, 46, 'ईमेल सूचना अहवाल');
INSERT INTO `lang_definitions` VALUES (138054, 1961, 46, 'ईमेल आधी पाठवा');
INSERT INTO `lang_definitions` VALUES (138055, 1962, 46, 'ईमेल प्रेषक');
INSERT INTO `lang_definitions` VALUES (138056, 1963, 46, 'ई-मेल पाठविले');
INSERT INTO `lang_definitions` VALUES (138057, 1964, 46, 'ईमेल पाठविला');
INSERT INTO `lang_definitions` VALUES (138058, 1965, 46, 'ईमेल विषय');
INSERT INTO `lang_definitions` VALUES (138059, 1966, 46, 'ईमेल मजकूर, वापरता येण्याजोगे टॅग: *** *** की NAME, म्हणजे प्रिय *** *** NAME ना');
INSERT INTO `lang_definitions` VALUES (138060, 1967, 46, 'ईमेल मजकूर, वापरता येण्याजोगे टॅग: *** *** की NAME, म्हणजे प्रिय *** की NAME *** {{*** हे सतत घटक *** NAME यांनी अनुवाद नाही}.}');
INSERT INTO `lang_definitions` VALUES (138061, 1968, 46, 'वाहतूक पद्धत ईमेल');
INSERT INTO `lang_definitions` VALUES (138062, 1969, 46, 'ईमेल खालील पत्त्यावर पाठविण्यात आला आहे');
INSERT INTO `lang_definitions` VALUES (138063, 1971, 46, 'आणीबाणी संपर्क');
INSERT INTO `lang_definitions` VALUES (138064, 1972, 46, 'आणीबाणी संपर्क व्यक्ती');
INSERT INTO `lang_definitions` VALUES (138065, 1973, 46, 'आणीबाणी संपर्क फोन नंबर');
INSERT INTO `lang_definitions` VALUES (138066, 1974, 46, 'आणीबाणी संततिनियमन');
INSERT INTO `lang_definitions` VALUES (138067, 1975, 46, 'आणीबाणी लॉग-इन');
INSERT INTO `lang_definitions` VALUES (138068, 1976, 46, 'आणीबाणी लॉग-इन ACL यांना आधार देतो निवडले आहे. आणीबाणीच्या काळात आवश्यक तेव्हा वापरकर्ता सक्रिय राज्यात अजूनही आहे, समान वापरकर्ता रद्द सक्रिय आणि सक्रिय करा. सक्रियन किंवा रद्द चालू Administration-> वापरकर्ते भेट द्या.');
INSERT INTO `lang_definitions` VALUES (138069, 1977, 46, 'आणीबाणी लॉग-इन सक्रिय ईमेल इंटरफेस / globals.php फाइलमध्ये खालील सेटिंग्ज कॉन्फिगर करत असल्यावरच प्रसारित जाईल:');
INSERT INTO `lang_definitions` VALUES (138070, 1978, 46, 'आणीबाणी लॉग-इन ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (138071, 1979, 46, 'आणीबाणी लॉगिन वापरकर्ता काहीही करू शकता,');
INSERT INTO `lang_definitions` VALUES (138072, 1980, 46, 'आणीबाणी फोन');
INSERT INTO `lang_definitions` VALUES (138073, 1981, 46, 'भावनिक / वर्तणुकीशी शर्ती व गुंतागुंत');
INSERT INTO `lang_definitions` VALUES (138074, 1982, 46, 'शरिराच्या पेशीजालात किंवा पोकळ्यात अवास्तव हवा असणे');
INSERT INTO `lang_definitions` VALUES (138075, 1983, 46, 'कर्मचारी');
INSERT INTO `lang_definitions` VALUES (138076, 1984, 46, 'नियोक्ता');
INSERT INTO `lang_definitions` VALUES (138077, 1985, 46, 'नियोक्ता पत्ता');
INSERT INTO `lang_definitions` VALUES (138078, 1986, 46, 'नियोक्ता डेटा');
INSERT INTO `lang_definitions` VALUES (138079, 1987, 46, 'नियोक्ता नाव');
INSERT INTO `lang_definitions` VALUES (138080, 1988, 46, 'रिक्त');
INSERT INTO `lang_definitions` VALUES (138081, 1989, 46, 'रिक्त');
INSERT INTO `lang_definitions` VALUES (138082, 1990, 46, 'परवलीचा शब्द रिक्त परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (138083, 1991, 46, 'ईमेल तास मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138084, 1992, 46, 'ईमेल प्रेषक मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138085, 1993, 46, 'ईमेल विषय मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138086, 1994, 46, 'ईमेल मजकूर मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138087, 1995, 46, 'प्रदाता नाव मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138088, 1996, 46, 'संकेतशब्द मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138089, 1997, 46, 'एसएमएस तास मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138090, 1998, 46, 'एसएमएस मजकूर मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138091, 1999, 46, 'वापरकर्तानाव मध्ये रिक्त मूल्य');
INSERT INTO `lang_definitions` VALUES (138092, 2001, 46, 'सक्षम');
INSERT INTO `lang_definitions` VALUES (138093, 2006, 46, 'एएमसी सूचित सक्षम');
INSERT INTO `lang_definitions` VALUES (138094, 2007, 46, 'एएमसी अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (138095, 2008, 46, 'एएमसी अहवाल देणे सक्षम करा');
INSERT INTO `lang_definitions` VALUES (138096, 2009, 46, 'एएमसी ट्रॅकिंग सक्षम');
INSERT INTO `lang_definitions` VALUES (138097, 2010, 46, 'सुधारणांचाही वैशिष्ट्य सक्षम');
INSERT INTO `lang_definitions` VALUES (138098, 2011, 46, 'ATNA ऑडिटिंग सक्षम');
INSERT INTO `lang_definitions` VALUES (138099, 2012, 46, 'ऑडिट लॉग एनक्रिप्शन सुरू');
INSERT INTO `lang_definitions` VALUES (138100, 2013, 46, 'ऑडिट लॉग सक्षम');
INSERT INTO `lang_definitions` VALUES (138101, 2014, 46, 'ऑडिट माग आणि नोड प्रमाणीकरण (ATNA) सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138102, 2015, 46, 'सक्षम स्वयंचलित माप गणना (एएमसी) अहवाल');
INSERT INTO `lang_definitions` VALUES (138103, 2016, 46, 'क्लायंट एसएसएल सक्षम');
INSERT INTO `lang_definitions` VALUES (138104, 2017, 46, 'क्लायंट SSL प्रमाणपत्र प्रमाणीकरण सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138105, 2019, 46, 'क्लिनिकल निर्णय नियम सक्षम करा (CDR)');
INSERT INTO `lang_definitions` VALUES (138106, 2022, 46, 'क्लिनिकल गुणवत्ता माप सक्षम करा (CQM) अहवाल');
INSERT INTO `lang_definitions` VALUES (138107, 2023, 46, 'क्लिनिकल स्मरणपत्र पॉपअप सक्षम');
INSERT INTO `lang_definitions` VALUES (138108, 2024, 46, 'क्लिनिकल स्मरणपत्र विजेट सक्षम');
INSERT INTO `lang_definitions` VALUES (138109, 2025, 46, 'सीएमएस पोर्टल सक्षम');
INSERT INTO `lang_definitions` VALUES (138110, 2026, 46, 'CQM अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (138111, 2027, 46, 'CQM अहवाल देणे सक्षम करा');
INSERT INTO `lang_definitions` VALUES (138112, 2028, 46, 'EDI इतिहास डाव्या मेनू सक्षम');
INSERT INTO `lang_definitions` VALUES (138113, 2030, 46, 'डाव्या मेनू शुल्क सक्षम');
INSERT INTO `lang_definitions` VALUES (138114, 2031, 46, 'Hylafax समर्थन सक्षम');
INSERT INTO `lang_definitions` VALUES (138115, 2033, 46, 'NewCrop erx आयात स्थिती संदेश सक्षम');
INSERT INTO `lang_definitions` VALUES (138116, 2034, 46, 'एएमसी अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (138117, 2035, 46, 'CQM अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (138118, 2036, 46, 'मानक क्लिनिकल नियम अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (138119, 2037, 46, 'लॅब एक्सचेंज सक्षम');
INSERT INTO `lang_definitions` VALUES (138120, 2038, 46, 'लॉक टॉगल सक्षम');
INSERT INTO `lang_definitions` VALUES (138121, 2039, 46, 'CouchDB दस्तऐवज चढवलेल्या संचिका / डाउनलोड लॉग सक्षम');
INSERT INTO `lang_definitions` VALUES (138122, 2040, 46, 'सर्व एस क्यू एल निवडा चौकशी लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138123, 2041, 46, 'बॅकअप संबंधित उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138124, 2042, 46, 'CDR इंजिन चौकशी लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138125, 2043, 46, 'मिश्र उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138126, 2044, 46, 'उपक्रम क्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138127, 2045, 46, 'रुग्ण रेकॉर्ड बदल लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138128, 2046, 46, 'शेड्युलिंग उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138129, 2047, 46, 'सुरक्षा आणि प्रशासन उपक्रम लॉगिंग सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138130, 2049, 46, 'NewCrop eRx सेवा सक्षम');
INSERT INTO `lang_definitions` VALUES (138131, 2051, 46, 'Offsite रुग्णांच्या पोर्टल सक्षम');
INSERT INTO `lang_definitions` VALUES (138132, 2052, 46, 'Offsite रुग्णांच्या पोर्टल सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138133, 2053, 46, 'Onsite रुग्णांच्या पोर्टल सक्षम');
INSERT INTO `lang_definitions` VALUES (138134, 2055, 46, 'Onsite रुग्णांच्या पोर्टल सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138135, 2056, 46, 'रुग्णांच्या स्मरणपत्र विजेट सक्षम');
INSERT INTO `lang_definitions` VALUES (138136, 2057, 46, 'PhiMail थेट संदेश सेवा सक्षम');
INSERT INTO `lang_definitions` VALUES (138137, 2058, 46, 'स्वयंचलित माप गणना (एएमसी) आवश्यक डेटा विनंती सक्षम');
INSERT INTO `lang_definitions` VALUES (138138, 2060, 46, 'ऑटोमेटेड माप गणिते ट्रॅकिंग दिनांक अहवाल देणे सक्षम करा (एएमसी)');
INSERT INTO `lang_definitions` VALUES (138139, 2061, 46, 'स्कॅनर समर्थन सक्षम');
INSERT INTO `lang_definitions` VALUES (138140, 2062, 46, 'मानक अहवाल Itemization सक्षम');
INSERT INTO `lang_definitions` VALUES (138141, 2063, 46, 'सूर्यास्त प्रणाली द्वारे ओपन सोअर्स वर्डप्रेस पोर्टल समर्थन सक्षम करा');
INSERT INTO `lang_definitions` VALUES (138142, 2064, 46, 'वैद्यकीय माहिती एकत्रीकरण, एलएलसी लॅब विनिमय सेवा सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138143, 2065, 46, 'LibreEHR समर्थन, LLC लॅब विनिमय सेवा सक्षम करा.');
INSERT INTO `lang_definitions` VALUES (138144, 2066, 46, 'वापरकर्ता प्रमाणपत्र प्रमाणीकरण सक्षम');
INSERT INTO `lang_definitions` VALUES (138145, 2067, 46, 'ZMG, एलएलसी eRx सेवा सक्षम');
INSERT INTO `lang_definitions` VALUES (138146, 2068, 46, 'सक्षम');
INSERT INTO `lang_definitions` VALUES (138147, 2070, 46, 'बिलिंग कोड आणि पैसे प्रविष्ट जुन्या शुल्क पॅनल सक्षम करते. शिफारस केलेली नाही, त्याऐवजी शुल्क पत्रक वापरा.');
INSERT INTO `lang_definitions` VALUES (138148, 2071, 46, 'Enc');
INSERT INTO `lang_definitions` VALUES (138149, 2072, 46, 'Encnter');
INSERT INTO `lang_definitions` VALUES (138150, 2073, 46, 'चकमकीत');
INSERT INTO `lang_definitions` VALUES (138151, 2074, 46, 'चकमकीत');
INSERT INTO `lang_definitions` VALUES (138152, 2075, 46, 'चकमकीत ');
INSERT INTO `lang_definitions` VALUES (138153, 2076, 46, 'तीव्र रूग्णालयात दाखल करून घेतलेला रूग्ण किंवा ईडी आढळतात');
INSERT INTO `lang_definitions` VALUES (138154, 2080, 46, 'चकमकीत डेटा');
INSERT INTO `lang_definitions` VALUES (138155, 2081, 46, 'चकमकीत तारीख');
INSERT INTO `lang_definitions` VALUES (138156, 2084, 46, 'EDI रेकॉर्ड आढळतात');
INSERT INTO `lang_definitions` VALUES (138157, 2086, 46, 'चकमकीत अर्ज');
INSERT INTO `lang_definitions` VALUES (138158, 2087, 46, 'चकमकीत आरोग्य आणि वर्तन मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (138159, 2088, 46, 'चकमकीत इतिहास');
INSERT INTO `lang_definitions` VALUES (138160, 2089, 46, 'चकमकीत आयडी');
INSERT INTO `lang_definitions` VALUES (138161, 2090, 46, 'चकमकीत इन्फ्लूएन्झा');
INSERT INTO `lang_definitions` VALUES (138162, 2091, 46, 'चकमकीत क्रमांक');
INSERT INTO `lang_definitions` VALUES (138163, 2093, 46, 'चकमकीत नर्सिंग स्त्राव');
INSERT INTO `lang_definitions` VALUES (138164, 2094, 46, 'चकमकीत नर्सिंग सुविधा');
INSERT INTO `lang_definitions` VALUES (138165, 2095, 46, 'व्यावसायिक थेरपी आढळतात');
INSERT INTO `lang_definitions` VALUES (138166, 2096, 46, 'चकमकीत कार्यालय भेट');
INSERT INTO `lang_definitions` VALUES (138167, 2097, 46, 'चकमकीत बाह्यरुग्ण विभागातील');
INSERT INTO `lang_definitions` VALUES (138168, 2098, 46, 'चकमकीत बाह्यरुग्ण विभागातील / PCP आणि obgyn वाईड');
INSERT INTO `lang_definitions` VALUES (138169, 2099, 46, 'चकमकीत पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (138170, 2100, 46, 'चकमकीत भरणा');
INSERT INTO `lang_definitions` VALUES (138171, 2101, 46, 'चकमकीत गर्भधारणा');
INSERT INTO `lang_definitions` VALUES (138172, 2102, 46, 'प्रतिबंधात्मक औषध आढळतात - व्यक्तीगत सल्ला');
INSERT INTO `lang_definitions` VALUES (138173, 2103, 46, 'प्रतिबंधात्मक औषध आढळतात 40 आणि जुन्या');
INSERT INTO `lang_definitions` VALUES (138174, 2104, 46, 'प्रतिबंधात्मक औषध गट समुपदेशन आढळतात');
INSERT INTO `lang_definitions` VALUES (138175, 2105, 46, 'प्रतिबंधात्मक औषध इतर सेवा आढळतात');
INSERT INTO `lang_definitions` VALUES (138176, 2106, 46, 'आढळतात प्रतिबंधात्मक औषध सेवा 18 आणि त्यापेक्षा मोठ्या');
INSERT INTO `lang_definitions` VALUES (138177, 2107, 46, 'आढळतात मानसिक आणि psychologic');
INSERT INTO `lang_definitions` VALUES (138178, 2108, 46, 'चकमकीत आकडेवारी');
INSERT INTO `lang_definitions` VALUES (138179, 2109, 46, 'चकमकीत सारांश');
INSERT INTO `lang_definitions` VALUES (138180, 2110, 46, 'चकमक कोड');
INSERT INTO `lang_definitions` VALUES (138181, 2111, 46, 'चकमकीत:');
INSERT INTO `lang_definitions` VALUES (138182, 2112, 46, 'चकमकीत: नॉन-तीव्र inpt, बाह्यरुग्ण विभागातील, किंवा डोळा व त्याला होणार्या रोगांचा अभ्यास आढळतात');
INSERT INTO `lang_definitions` VALUES (138183, 2113, 46, 'चकमकी');
INSERT INTO `lang_definitions` VALUES (138184, 2114, 46, 'चकमकी व नमुने');
INSERT INTO `lang_definitions` VALUES (138185, 2115, 46, 'चकमकी करा & amp; अर्ज');
INSERT INTO `lang_definitions` VALUES (138186, 2116, 46, 'अधिकृत नाही चकमकी');
INSERT INTO `lang_definitions` VALUES (138187, 2117, 46, 'चकमकी अहवाल');
INSERT INTO `lang_definitions` VALUES (138188, 2118, 46, 'चकमकी विभाग');
INSERT INTO `lang_definitions` VALUES (138189, 2120, 46, 'एनक्रिप्शन');
INSERT INTO `lang_definitions` VALUES (138190, 2121, 46, 'समाप्त');
INSERT INTO `lang_definitions` VALUES (138191, 2122, 46, 'शेवट पर्यंत (वर्ष-mm-dd या): ');
INSERT INTO `lang_definitions` VALUES (138192, 2123, 46, 'शेवटची तारीख');
INSERT INTO `lang_definitions` VALUES (138193, 2124, 46, 'शेवटची तारीख');
INSERT INTO `lang_definitions` VALUES (138194, 2126, 46, 'अंतिम तारीख सुरू अधिक असावे');
INSERT INTO `lang_definitions` VALUES (138195, 2127, 46, 'समाप्ती तारीख:');
INSERT INTO `lang_definitions` VALUES (138196, 2130, 46, 'अहवालाच्या शेवटी');
INSERT INTO `lang_definitions` VALUES (138197, 2131, 46, 'समाप्त वेळ');
INSERT INTO `lang_definitions` VALUES (138198, 2132, 46, 'Employer`s गट योजना MCP मध्ये एंड-स्टेज रेनल रोग लाभार्थी');
INSERT INTO `lang_definitions` VALUES (138199, 2133, 46, 'सेवा वर्ष-mm-dd या शेवट तारीख');
INSERT INTO `lang_definitions` VALUES (138200, 2134, 46, 'आपण एक श्रेणी दाखल करण्यास इच्छा असेल तर डॉस मिमी / DD / YYYY समाप्ती');
INSERT INTO `lang_definitions` VALUES (138201, 2135, 46, 'कॅलेंडर कार्यक्रम दिवसाचा तास समाप्ती.');
INSERT INTO `lang_definitions` VALUES (138202, 2136, 46, 'ज्याआत असामान्य रक्त');
INSERT INTO `lang_definitions` VALUES (138203, 2137, 46, 'अंत: स्त्राव');
INSERT INTO `lang_definitions` VALUES (138204, 2138, 46, 'Endoscopy');
INSERT INTO `lang_definitions` VALUES (138205, 2141, 46, 'इंग्रजी');
INSERT INTO `lang_definitions` VALUES (138206, 2142, 46, 'इंग्रजी ');
INSERT INTO `lang_definitions` VALUES (138207, 2143, 46, 'इंग्रजी (भारतीय)');
INSERT INTO `lang_definitions` VALUES (138208, 2144, 46, 'इंग्रजी (वी)');
INSERT INTO `lang_definitions` VALUES (138209, 2145, 46, 'Hylafax द्वारे वापरले Enscript आदेश.');
INSERT INTO `lang_definitions` VALUES (138210, 2146, 46, 'याची खात्री करा LibreEHR निर्देशिका विशेषाधिकार लिहा आहे');
INSERT INTO `lang_definitions` VALUES (138211, 2147, 46, 'ENT डिस्चार्ज');
INSERT INTO `lang_definitions` VALUES (138212, 2148, 46, 'ENT वेदना');
INSERT INTO `lang_definitions` VALUES (138213, 2149, 46, 'तो असलेले सर्व पावत्या वगळण्याची निदान कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138214, 2150, 46, 'एक दुरुस्ती प्रविष्ट करा ...');
INSERT INTO `lang_definitions` VALUES (138215, 2151, 46, 'येथे पत्र शरीरात प्रवेश');
INSERT INTO `lang_definitions` VALUES (138216, 2152, 46, 'डाटाबेस रूट पासवर्ड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138217, 2153, 46, 'डाटाबेस रूट वापरकर्तानाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138218, 2154, 46, 'निदान प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138219, 2155, 46, 'औषधे प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138220, 2156, 46, 'चकमकीत प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138221, 2157, 46, 'चकमकीत क्रमांक प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138222, 2158, 46, 'लसीकरण प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138223, 2159, 46, 'की प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138224, 2160, 46, 'नवीन डेटा प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138225, 2161, 46, 'नवीन राज्य प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138226, 2162, 46, 'प्राप्तकर्ता  \'चे थेट पत्ता प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138227, 2163, 46, 'या प्रक्रिया LOINC कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138228, 2164, 46, 'पुन्हा ओळख कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138229, 2165, 46, 'वरील आपल्या शोध मापदंड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138230, 2166, 46, 'त्रुटी प्रविष्ट केला');
INSERT INTO `lang_definitions` VALUES (138231, 2167, 46, 'नोंदी');
INSERT INTO `lang_definitions` VALUES (138232, 2168, 46, 'पर्यावरण');
INSERT INTO `lang_definitions` VALUES (138233, 2169, 46, 'EOB डेटा प्रवेश');
INSERT INTO `lang_definitions` VALUES (138234, 2170, 46, 'EOB पोस्टिंग - इलेक्ट्रॉनिक व्यवहार');
INSERT INTO `lang_definitions` VALUES (138235, 2171, 46, 'EOB पोस्ट - सूचना');
INSERT INTO `lang_definitions` VALUES (138236, 2172, 46, 'EOB पोस्ट - चलन');
INSERT INTO `lang_definitions` VALUES (138237, 2173, 46, 'EOB पोस्टिंग - रुग्णांच्या टीप');
INSERT INTO `lang_definitions` VALUES (138238, 2174, 46, 'EOB पोस्ट - शोध');
INSERT INTO `lang_definitions` VALUES (138239, 2176, 46, 'अपस्मार');
INSERT INTO `lang_definitions` VALUES (138240, 2178, 46, 'ईआरए');
INSERT INTO `lang_definitions` VALUES (138241, 2179, 46, 'ईआरए फायली');
INSERT INTO `lang_definitions` VALUES (138242, 2180, 46, 'ईआरए पोस्ट');
INSERT INTO `lang_definitions` VALUES (138243, 2181, 46, 'पुसून टाका');
INSERT INTO `lang_definitions` VALUES (138244, 2182, 46, 'Erections');
INSERT INTO `lang_definitions` VALUES (138245, 2183, 46, 'त्रुटी');
INSERT INTO `lang_definitions` VALUES (138246, 2184, 46, 'चूक');
INSERT INTO `lang_definitions` VALUES (138247, 2185, 46, 'लॅब परिणाम त्रुटी खात्री पावती');
INSERT INTO `lang_definitions` VALUES (138248, 2187, 46, 'लॅब एक्सचेंज नेटवर्क त्रुटी मिळत लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (138249, 2188, 46, 'लिंग निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (138250, 2189, 46, 'HIPAA निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (138251, 2190, 46, 'प्रक्रिया निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (138252, 2191, 46, 'एसएमएस गेटवे निवड त्रुटी');
INSERT INTO `lang_definitions` VALUES (138253, 2192, 46, 'निवड \"क्रमवारी लावा\" मध्ये त्रुटी');
INSERT INTO `lang_definitions` VALUES (138254, 2193, 46, 'फाइल Gzip संक्षेप त्रुटी: ');
INSERT INTO `lang_definitions` VALUES (138255, 2194, 46, 'होय कवा नाही पर्याय त्रुटी');
INSERT INTO `lang_definitions` VALUES (138256, 2195, 46, 'त्रुटी पहिल्या वाचन फाइल अपलोड');
INSERT INTO `lang_definitions` VALUES (138257, 2196, 46, 'प्रक्रिया करताना त्रुटी फाइल');
INSERT INTO `lang_definitions` VALUES (138258, 2197, 46, 'प्रक्रिया करताना त्रुटी अपलोड');
INSERT INTO `lang_definitions` VALUES (138259, 2198, 46, 'त्रुटी काढत संदेश');
INSERT INTO `lang_definitions` VALUES (138260, 2199, 46, 'लॅब एक्सचेंज नेटवर्क त्रुटी प्राप्त परिणाम');
INSERT INTO `lang_definitions` VALUES (138261, 2200, 46, 'मूल्ये पुनर्प्राप्त करताना त्रुटी.');
INSERT INTO `lang_definitions` VALUES (138262, 2201, 46, 'जतन करताना त्रुटी आली दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (138263, 2202, 46, 'LibreEHR वापरकर्ता फाइल विशेषाधिकार मंजूर करताना त्रुटी.');
INSERT INTO `lang_definitions` VALUES (138264, 2205, 46, 'त्रुटी फॉर्म नोंदणी करताना!');
INSERT INTO `lang_definitions` VALUES (138265, 2206, 46, 'त्रुटी फाइल जतन करताना');
INSERT INTO `lang_definitions` VALUES (138266, 2208, 46, 'दाखल लिहित असताना त्रुटी');
INSERT INTO `lang_definitions` VALUES (138267, 2209, 46, 'त्रुटी (चे) नवीन परिणाम पासून आली');
INSERT INTO `lang_definitions` VALUES (138268, 2210, 46, 'त्रुटी, फाइल अस्तित्वात नाही');
INSERT INTO `lang_definitions` VALUES (138269, 2211, 46, 'सर्व्हर डेटा गोळा करण्यासाठी त्रुटी अक्षम आहोत,');
INSERT INTO `lang_definitions` VALUES (138270, 2212, 46, 'त्रुटी, क्लायंट प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (138271, 2213, 46, 'त्रुटी, admin.p12 प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (138272, 2214, 46, 'त्रुटी, प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (138273, 2215, 46, 'त्रुटी, सर्व्हर प्रमाणपत्र तयार करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (138274, 2216, 46, 'फाइल उघडू शकत नाही त्रुटी,');
INSERT INTO `lang_definitions` VALUES (138275, 2217, 46, 'त्रुटी, वापरकर्ता प्रमाणपत्र प्रमाणीकरण LibreEHR सक्षम नाही');
INSERT INTO `lang_definitions` VALUES (138276, 2218, 46, 'त्रुटी. आपण संग्रहण / Tar.php PHP विभाग स्थापित करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (138277, 2219, 46, 'त्रुटी: table.sql, तुटलेली फॉर्म उघडू शकत नाही?');
INSERT INTO `lang_definitions` VALUES (138278, 2220, 46, 'त्रुटी: ओळीवर आयडी डुप्लीकेट');
INSERT INTO `lang_definitions` VALUES (138279, 2221, 46, 'त्रुटी: ओळीवर डुप्लीकेट नाव');
INSERT INTO `lang_definitions` VALUES (138280, 2222, 46, 'त्रुटी: फील्ड');
INSERT INTO `lang_definitions` VALUES (138281, 2223, 46, 'त्रुटी: ZipArchive कृपया PHP विभाग गहाळ');
INSERT INTO `lang_definitions` VALUES (138282, 2224, 46, 'त्रुटी: नाही ICD आयात डिरेक्ट्री.');
INSERT INTO `lang_definitions` VALUES (138283, 2225, 46, 'त्रुटी: पासवर्ड जुळत नाही. आपल्या टाइपिंग तपासा.');
INSERT INTO `lang_definitions` VALUES (138284, 2226, 46, 'त्रुटी: डॉन  \'टी सामना संकेतशब्द. आपल्या टाइपिंग तपासा.');
INSERT INTO `lang_definitions` VALUES (138285, 2227, 46, 'त्रुटी: फाइल अस्तित्वात नाही');
INSERT INTO `lang_definitions` VALUES (138286, 2228, 46, 'त्रुटी: खालील चल अवैध वर्ण आहेत');
INSERT INTO `lang_definitions` VALUES (138287, 2229, 46, 'त्रुटी: फाइल कॉपी करण्यास अक्षम.');
INSERT INTO `lang_definitions` VALUES (138288, 2230, 46, 'त्रुटी: डाउनलोड संग्रहण तयार करण्यास अक्षम');
INSERT INTO `lang_definitions` VALUES (138289, 2231, 46, 'त्रुटी: Zip संग्रहण तयार करण्यास अक्षम.');
INSERT INTO `lang_definitions` VALUES (138290, 2232, 46, 'त्रुटी: फाइल काढू अक्षम.');
INSERT INTO `lang_definitions` VALUES (138291, 2233, 46, 'त्रुटी: डेटाबेस मध्ये फाइल लोड करण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (138292, 2234, 46, 'त्रुटी: आवृत्ती क्रमांक सेट करण्यास अक्षम.');
INSERT INTO `lang_definitions` VALUES (138293, 2235, 46, 'चुका');
INSERT INTO `lang_definitions` VALUES (138294, 2236, 46, 'eRx खाते स्थिती');
INSERT INTO `lang_definitions` VALUES (138295, 2237, 46, 'eRx नोंदी');
INSERT INTO `lang_definitions` VALUES (138296, 2238, 46, 'ERX नाव');
INSERT INTO `lang_definitions` VALUES (138297, 2239, 46, 'ERX पासवर्ड');
INSERT INTO `lang_definitions` VALUES (138298, 2240, 46, 'ERX भूमिका');
INSERT INTO `lang_definitions` VALUES (138299, 2241, 46, 'ERX वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (138300, 2242, 46, 'Erythema:');
INSERT INTO `lang_definitions` VALUES (138301, 2243, 46, 'eSign');
INSERT INTO `lang_definitions` VALUES (138302, 2244, 46, 'eSign लॉग');
INSERT INTO `lang_definitions` VALUES (138303, 2245, 46, 'एस्किमो जातीचे');
INSERT INTO `lang_definitions` VALUES (138304, 2246, 46, 'मुद्दाम तयार केलेली भाषा');
INSERT INTO `lang_definitions` VALUES (138305, 2247, 46, 'स्थापना रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (138306, 2248, 46, 'एस्टोनियन');
INSERT INTO `lang_definitions` VALUES (138307, 2249, 46, 'वांशिक');
INSERT INTO `lang_definitions` VALUES (138308, 2250, 46, 'वांशिक किंवा शर्यत');
INSERT INTO `lang_definitions` VALUES (138309, 2251, 46, 'वांशिक-शर्यत यादी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (138310, 2252, 46, 'ETIN');
INSERT INTO `lang_definitions` VALUES (138311, 2253, 46, 'कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (138312, 2254, 46, 'कार्यक्रम लागतो');
INSERT INTO `lang_definitions` VALUES (138313, 2255, 46, 'कार्यक्रम वर्ग');
INSERT INTO `lang_definitions` VALUES (138314, 2256, 46, 'कार्यक्रम तारीख');
INSERT INTO `lang_definitions` VALUES (138315, 2257, 46, 'इव्हेंट वर्णन');
INSERT INTO `lang_definitions` VALUES (138316, 2258, 46, 'कार्यक्रम तपशील');
INSERT INTO `lang_definitions` VALUES (138317, 2259, 46, 'कार्यक्रमाची पुनरावृत्ती होत नाही');
INSERT INTO `lang_definitions` VALUES (138318, 2260, 46, 'कार्यक्रम कालावधी');
INSERT INTO `lang_definitions` VALUES (138319, 2261, 46, 'मिनिटांत कार्यक्रम कालावधी');
INSERT INTO `lang_definitions` VALUES (138320, 2262, 46, 'कार्यक्रम शुल्क');
INSERT INTO `lang_definitions` VALUES (138321, 2263, 46, 'कार्यक्रम स्थान');
INSERT INTO `lang_definitions` VALUES (138322, 2264, 46, 'कार्यक्रम प्रत्येक पुनरावृत्ती');
INSERT INTO `lang_definitions` VALUES (138323, 2265, 46, 'कार्यक्रम पुनरावृत्ती');
INSERT INTO `lang_definitions` VALUES (138324, 2266, 46, 'कार्यक्रम सुरू होण्याची वेळ');
INSERT INTO `lang_definitions` VALUES (138325, 2267, 46, 'कार्यक्रम शीर्षक');
INSERT INTO `lang_definitions` VALUES (138326, 2268, 46, 'कार्यक्रम शीर्षक');
INSERT INTO `lang_definitions` VALUES (138327, 2269, 46, 'कार्यक्रम वेबसाइट');
INSERT INTO `lang_definitions` VALUES (138328, 2270, 46, 'आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (138329, 2271, 46, 'इव्हेंट');
INSERT INTO `lang_definitions` VALUES (138330, 2272, 46, 'नवीन विंडोमध्ये उघडा आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (138331, 2273, 46, 'प्रत्येक');
INSERT INTO `lang_definitions` VALUES (138332, 2274, 46, 'प्रत्येक');
INSERT INTO `lang_definitions` VALUES (138333, 2275, 46, 'प्रत्येक 3 तास');
INSERT INTO `lang_definitions` VALUES (138334, 2276, 46, 'दर 4 तास');
INSERT INTO `lang_definitions` VALUES (138335, 2277, 46, 'प्रत्येक 5 तास');
INSERT INTO `lang_definitions` VALUES (138336, 2278, 46, 'प्रत्येक 6 तास');
INSERT INTO `lang_definitions` VALUES (138337, 2279, 46, 'प्रत्येक 8 तास');
INSERT INTO `lang_definitions` VALUES (138338, 2280, 46, 'प्रत्येक चौथ्या');
INSERT INTO `lang_definitions` VALUES (138339, 2281, 46, 'प्रत्येक इतर');
INSERT INTO `lang_definitions` VALUES (138340, 2282, 46, 'प्रत्येक तिसरा');
INSERT INTO `lang_definitions` VALUES (138341, 2283, 46, 'प्रत्येक, प्रत्येक इतर, प्रत्येक 3, इ');
INSERT INTO `lang_definitions` VALUES (138342, 2284, 46, 'यू');
INSERT INTO `lang_definitions` VALUES (138343, 2285, 46, 'परीक्षा व परीक्षा परिणाम');
INSERT INTO `lang_definitions` VALUES (138344, 2286, 46, 'परीक्षा, त्यांचे निकाल');
INSERT INTO `lang_definitions` VALUES (138345, 2289, 46, 'परीक्षा');
INSERT INTO `lang_definitions` VALUES (138346, 2290, 46, 'परीक्षा दिनांक');
INSERT INTO `lang_definitions` VALUES (138347, 2291, 46, 'उदाहरण');
INSERT INTO `lang_definitions` VALUES (138348, 2292, 46, 'उदाहरणे');
INSERT INTO `lang_definitions` VALUES (138349, 2293, 46, 'परीक्षा / कसोटी');
INSERT INTO `lang_definitions` VALUES (138350, 2294, 46, 'वगळता');
INSERT INTO `lang_definitions` VALUES (138351, 2295, 46, 'अति जोराचा');
INSERT INTO `lang_definitions` VALUES (138352, 2296, 46, 'वगळलेले रुग्णांना');
INSERT INTO `lang_definitions` VALUES (138353, 2297, 46, 'वर्जित');
INSERT INTO `lang_definitions` VALUES (138354, 2298, 46, 'विशेष प्रदाता संघटना (EPO जर)');
INSERT INTO `lang_definitions` VALUES (138355, 2299, 46, 'कार्यकारी कागद आकार');
INSERT INTO `lang_definitions` VALUES (138356, 2300, 46, 'व्यायाम');
INSERT INTO `lang_definitions` VALUES (138357, 2301, 46, 'व्यायाम नमुने');
INSERT INTO `lang_definitions` VALUES (138358, 2302, 46, 'व्यायाम नमुन्यांची');
INSERT INTO `lang_definitions` VALUES (138359, 2303, 46, 'अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (138360, 2304, 46, 'प्रशासन पासून बाहेर पडा');
INSERT INTO `lang_definitions` VALUES (138361, 2305, 46, 'कालबाह्य');
INSERT INTO `lang_definitions` VALUES (138362, 2306, 46, 'विस्तृत करा');
INSERT INTO `lang_definitions` VALUES (138363, 2307, 46, 'विस्तृत');
INSERT INTO `lang_definitions` VALUES (138364, 2308, 46, 'सर्व विस्तृत करा');
INSERT INTO `lang_definitions` VALUES (138365, 2311, 46, 'विस्तृत दृश्य');
INSERT INTO `lang_definitions` VALUES (138366, 2312, 46, 'असल्याचे form_encounter.pid अपेक्षा ');
INSERT INTO `lang_definitions` VALUES (138367, 2313, 46, 'समाप्ती');
INSERT INTO `lang_definitions` VALUES (138368, 2314, 46, 'कालावधी समाप्ती तारीख');
INSERT INTO `lang_definitions` VALUES (138369, 2315, 46, 'कालबाह्य होईल');
INSERT INTO `lang_definitions` VALUES (138370, 2316, 46, 'कालबाह्य');
INSERT INTO `lang_definitions` VALUES (138371, 2317, 46, 'निर्यात');
INSERT INTO `lang_definitions` VALUES (138372, 2318, 46, 'सी म्हणून निर्यात');
INSERT INTO `lang_definitions` VALUES (138373, 2319, 46, 'निर्यात संरचना');
INSERT INTO `lang_definitions` VALUES (138374, 2322, 46, 'निर्यात रुग्णांच्या लोकसंख्याशास्त्र');
INSERT INTO `lang_definitions` VALUES (138375, 2323, 46, 'निर्यात PQRI अहवाल');
INSERT INTO `lang_definitions` VALUES (138376, 2325, 46, 'निर्यात सी निवडलेले');
INSERT INTO `lang_definitions` VALUES (138377, 2326, 46, 'निर्यात संग्रह निवडलेला');
INSERT INTO `lang_definitions` VALUES (138378, 2327, 46, 'सी निर्यात');
INSERT INTO `lang_definitions` VALUES (138379, 2328, 46, 'बाह्य बिलिंग प्रणाली निर्यात');
INSERT INTO `lang_definitions` VALUES (138380, 2329, 46, 'विदेशी देश प्रदर्शनासह');
INSERT INTO `lang_definitions` VALUES (138381, 2330, 46, 'परदेशी झेप');
INSERT INTO `lang_definitions` VALUES (138382, 2331, 46, 'क्रमांक वेळ गोळा');
INSERT INTO `lang_definitions` VALUES (138383, 2332, 46, 'बाह्य');
INSERT INTO `lang_definitions` VALUES (138384, 2334, 46, 'बाह्य डेटा लोड');
INSERT INTO `lang_definitions` VALUES (138385, 2335, 46, 'बाह्य डेटाबेस आयात उपयुक्तता');
INSERT INTO `lang_definitions` VALUES (138386, 2336, 46, 'बाह्य आयडी');
INSERT INTO `lang_definitions` VALUES (138387, 2337, 46, 'बाह्य आयडी');
INSERT INTO `lang_definitions` VALUES (138388, 2338, 46, 'बाह्य अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (138389, 2339, 46, 'बाह्य फक्त');
INSERT INTO `lang_definitions` VALUES (138390, 2342, 46, 'बाह्य रेफरल');
INSERT INTO `lang_definitions` VALUES (138391, 2343, 46, 'बाह्य रेफरल Followups');
INSERT INTO `lang_definitions` VALUES (138392, 2344, 46, 'बाह्य संदर्भ?');
INSERT INTO `lang_definitions` VALUES (138393, 2345, 46, 'बाह्य संदर्भ');
INSERT INTO `lang_definitions` VALUES (138394, 2346, 46, 'Zip फाइल प्राप्त');
INSERT INTO `lang_definitions` VALUES (138395, 2347, 46, 'फाइल अवतरण. हे काही वेळ लागेल ...');
INSERT INTO `lang_definitions` VALUES (138396, 2348, 46, 'Exudate:');
INSERT INTO `lang_definitions` VALUES (138397, 2349, 46, 'नेत्र चिडचिड');
INSERT INTO `lang_definitions` VALUES (138398, 2350, 46, 'नेत्र वेदना');
INSERT INTO `lang_definitions` VALUES (138399, 2351, 46, 'नेत्र लालसरपणा');
INSERT INTO `lang_definitions` VALUES (138400, 2352, 46, 'डोळे');
INSERT INTO `lang_definitions` VALUES (138401, 2353, 46, 'परवेझ');
INSERT INTO `lang_definitions` VALUES (138402, 2354, 46, 'एफ / एच रक्त समस्या');
INSERT INTO `lang_definitions` VALUES (138403, 2355, 46, 'एफ / एच स्त्री अतिशय केसाळपणा मुख्यत: स्त्रियांमध्ये / Striae');
INSERT INTO `lang_definitions` VALUES (138404, 2356, 46, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (138405, 2357, 46, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (138406, 2358, 46, 'सुविधा');
INSERT INTO `lang_definitions` VALUES (138407, 2359, 46, 'सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (138408, 2360, 46, 'सुविधा शहर');
INSERT INTO `lang_definitions` VALUES (138409, 2361, 46, 'सुविधा कोड');
INSERT INTO `lang_definitions` VALUES (138410, 2362, 46, 'सुविधा देश कोड');
INSERT INTO `lang_definitions` VALUES (138411, 2363, 46, 'सुविधा फॅक्स');
INSERT INTO `lang_definitions` VALUES (138412, 2364, 46, 'सुविधा नाव');
INSERT INTO `lang_definitions` VALUES (138413, 2365, 46, 'सुविधा NPI');
INSERT INTO `lang_definitions` VALUES (138414, 2366, 46, 'सुविधा फोन');
INSERT INTO `lang_definitions` VALUES (138415, 2367, 46, 'सुविधा विशिष्ट वापरकर्ता माहिती');
INSERT INTO `lang_definitions` VALUES (138416, 2368, 46, 'सुविधा राज्य');
INSERT INTO `lang_definitions` VALUES (138417, 2369, 46, 'सुविधा स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (138418, 2370, 46, 'सुविधा पिन');
INSERT INTO `lang_definitions` VALUES (138419, 2372, 46, 'सुविधा:');
INSERT INTO `lang_definitions` VALUES (138420, 2373, 46, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138421, 2374, 46, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138422, 2375, 46, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138423, 2376, 46, 'अयशस्वी रुग्णांना');
INSERT INTO `lang_definitions` VALUES (138424, 2377, 46, 'पोर्टल रुग्णाच्या जोडण्यात अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138425, 2378, 46, 'एक अद्वितीय फाइलनाव मोजणी करण्यासाठी अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138426, 2379, 46, 'तयार करण्यात अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138427, 2380, 46, 'तात्पुरती फोल्डर तयार करण्यात अयशस्वी. CouchDB कार्य करणार नाही.');
INSERT INTO `lang_definitions` VALUES (138428, 2382, 46, 'अयशस्वी.');
INSERT INTO `lang_definitions` VALUES (138429, 2383, 46, 'अपयश');
INSERT INTO `lang_definitions` VALUES (138430, 2384, 46, 'अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138431, 2385, 46, 'अयशस्वी सूचना: थेट संदेश पाठविणे अयशस्वी झाले.');
INSERT INTO `lang_definitions` VALUES (138432, 2390, 46, 'कौटुंबिक इतिहास');
INSERT INTO `lang_definitions` VALUES (138433, 2391, 46, 'काचबिंदू कौटुंबिक इतिहास');
INSERT INTO `lang_definitions` VALUES (138434, 2392, 46, 'कौटुंबिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (138435, 2394, 46, 'कौटुंबिक भरणा');
INSERT INTO `lang_definitions` VALUES (138436, 2395, 46, 'कौटुंबिक आकार');
INSERT INTO `lang_definitions` VALUES (138437, 2396, 46, 'फॅन्सी');
INSERT INTO `lang_definitions` VALUES (138438, 2397, 46, 'फारसी Name');
INSERT INTO `lang_definitions` VALUES (138439, 2398, 46, 'फारसी');
INSERT INTO `lang_definitions` VALUES (138440, 2400, 46, 'पिता');
INSERT INTO `lang_definitions` VALUES (138441, 2401, 46, 'पूर्वजांचा इतिहास');
INSERT INTO `lang_definitions` VALUES (138442, 2402, 46, 'थकवा');
INSERT INTO `lang_definitions` VALUES (138443, 2403, 46, 'थकणे');
INSERT INTO `lang_definitions` VALUES (138444, 2404, 46, 'फॅक्स');
INSERT INTO `lang_definitions` VALUES (138445, 2405, 46, 'फॅक्स संख्या');
INSERT INTO `lang_definitions` VALUES (138446, 2406, 46, 'फॅक्स क्रमांक');
INSERT INTO `lang_definitions` VALUES (138447, 2408, 46, 'फॅक्स / स्कॅन');
INSERT INTO `lang_definitions` VALUES (138448, 2409, 46, 'फॅक्स मध्ये');
INSERT INTO `lang_definitions` VALUES (138449, 2410, 46, 'फॅक्स आउट');
INSERT INTO `lang_definitions` VALUES (138450, 2411, 46, 'वैशिष्ट्ये');
INSERT INTO `lang_definitions` VALUES (138451, 2412, 46, 'फेब्रुवारी');
INSERT INTO `lang_definitions` VALUES (138452, 2413, 46, 'फेब्रुवारी');
INSERT INTO `lang_definitions` VALUES (138453, 2414, 46, 'ECA च्या');
INSERT INTO `lang_definitions` VALUES (138454, 2415, 46, 'फेडरल ड्रग आयडी');
INSERT INTO `lang_definitions` VALUES (138455, 2416, 46, 'फेडरल EIN');
INSERT INTO `lang_definitions` VALUES (138456, 2417, 46, 'फेडरल टॅक्स ID');
INSERT INTO `lang_definitions` VALUES (138457, 2418, 46, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (138458, 2419, 46, 'फी');
INSERT INTO `lang_definitions` VALUES (138459, 2420, 46, 'फी परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (138460, 2421, 46, 'फी पत्रक');
INSERT INTO `lang_definitions` VALUES (138461, 2422, 46, 'फी पत्रक पर्याय');
INSERT INTO `lang_definitions` VALUES (138462, 2423, 46, 'शुल्क');
INSERT INTO `lang_definitions` VALUES (138463, 2424, 46, 'स्त्री');
INSERT INTO `lang_definitions` VALUES (138464, 2425, 46, 'स्त्री एपी');
INSERT INTO `lang_definitions` VALUES (138465, 2426, 46, 'स्त्री कंडोम');
INSERT INTO `lang_definitions` VALUES (138466, 2427, 46, 'स्त्री जी');
INSERT INTO `lang_definitions` VALUES (138467, 2428, 46, 'स्त्री एलसी');
INSERT INTO `lang_definitions` VALUES (138468, 2429, 46, 'स्त्री पी');
INSERT INTO `lang_definitions` VALUES (138469, 2430, 46, 'स्त्री लक्षणे');
INSERT INTO `lang_definitions` VALUES (138470, 2431, 46, 'स्त्री VSC');
INSERT INTO `lang_definitions` VALUES (138471, 2432, 46, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (138472, 2433, 46, 'पोर्टल खालील फाइल प्राप्त');
INSERT INTO `lang_definitions` VALUES (138473, 2434, 46, 'ताप');
INSERT INTO `lang_definitions` VALUES (138474, 2435, 46, 'ताप:');
INSERT INTO `lang_definitions` VALUES (138475, 2436, 46, 'FH रक्त समस्या');
INSERT INTO `lang_definitions` VALUES (138476, 2437, 46, 'Fibroids');
INSERT INTO `lang_definitions` VALUES (138477, 2438, 46, 'फील्ड');
INSERT INTO `lang_definitions` VALUES (138478, 2439, 46, 'फील्ड \'नाव\' निरर्थक असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (138479, 2441, 46, 'फील्ड प्रकार लोकसंख्याशास्त्र मध्ये नियोक्ता किंवा ग्राहक देश वापरा.');
INSERT INTO `lang_definitions` VALUES (138480, 2442, 46, 'फील्ड प्रकार लोकसंख्याशास्त्र मध्ये नियोक्ता किंवा ग्राहक राज्य वापरा.');
INSERT INTO `lang_definitions` VALUES (138481, 2443, 46, 'फील्ड (चे) गहाळ आहेत!');
INSERT INTO `lang_definitions` VALUES (138482, 2446, 46, 'फिजीचा');
INSERT INTO `lang_definitions` VALUES (138483, 2447, 46, 'फाइल');
INSERT INTO `lang_definitions` VALUES (138484, 2448, 46, 'दस्तऐवजीकरण डिरेक्टरी मध्ये फाइल लॉग बॅकअप तयार करण्याची प्रक्रिया स्वयंचलित कसे जाणून घेण्यासाठी');
INSERT INTO `lang_definitions` VALUES (138485, 2449, 46, 'फाइल स्थान');
INSERT INTO `lang_definitions` VALUES (138486, 2450, 46, 'फाइल व्यवस्थापन');
INSERT INTO `lang_definitions` VALUES (138487, 2453, 46, 'फाइल विशेषाधिकार LibreEHR वापरकर्ता मंजूर.');
INSERT INTO `lang_definitions` VALUES (138488, 2454, 46, 'CouchDB फाइल भरपाई अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138489, 2455, 46, 'फाइल कक्ष');
INSERT INTO `lang_definitions` VALUES (138490, 2456, 46, 'अपलोड फाइल');
INSERT INTO `lang_definitions` VALUES (138491, 2457, 46, 'अपलोड करण्यासाठी फाइल');
INSERT INTO `lang_definitions` VALUES (138492, 2458, 46, 'याच नावाचा फाइल आधिपासूनच स्थान अस्तित्वात नाही:');
INSERT INTO `lang_definitions` VALUES (138493, 2459, 46, 'फाइलनाव');
INSERT INTO `lang_definitions` VALUES (138494, 2460, 46, 'फाइलनाव \".pdf\" समाप्त करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (138495, 2461, 46, 'फायली');
INSERT INTO `lang_definitions` VALUES (138496, 2462, 46, 'फिलिपिनो');
INSERT INTO `lang_definitions` VALUES (138497, 2463, 46, 'खाली पंक्ती कोणत्याही भरा.');
INSERT INTO `lang_definitions` VALUES (138498, 2464, 46, 'फक्त तर रुग्णांना-मेल सूचना पाठवणे येथे भरा');
INSERT INTO `lang_definitions` VALUES (138499, 2465, 46, 'खाली मूल्ये भरा');
INSERT INTO `lang_definitions` VALUES (138500, 2467, 46, 'रो भरा.');
INSERT INTO `lang_definitions` VALUES (138501, 2468, 46, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (138502, 2469, 46, 'स्थिर फिल्टर');
INSERT INTO `lang_definitions` VALUES (138503, 2470, 46, 'व्याख्या फिल्टर');
INSERT INTO `lang_definitions` VALUES (138504, 2471, 46, 'पासून फिल्टर');
INSERT INTO `lang_definitions` VALUES (138505, 2472, 46, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (138506, 2473, 46, 'फिल्टर');
INSERT INTO `lang_definitions` VALUES (138507, 2474, 46, 'अंतिम');
INSERT INTO `lang_definitions` VALUES (138508, 2475, 46, 'अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (138509, 2476, 46, 'तज्ञांना अंतिम निदान');
INSERT INTO `lang_definitions` VALUES (138510, 2478, 46, 'आर्थिक');
INSERT INTO `lang_definitions` VALUES (138511, 2479, 46, 'आर्थिक बंद तारीख (वर्ष-mm-dd या)');
INSERT INTO `lang_definitions` VALUES (138512, 2480, 46, 'आर्थिक अहवाल - काहीही');
INSERT INTO `lang_definitions` VALUES (138513, 2481, 46, 'आर्थिक अहवाल - माझ्या चकमकी');
INSERT INTO `lang_definitions` VALUES (138514, 2482, 46, 'आर्थिक समीक्षा तारीख');
INSERT INTO `lang_definitions` VALUES (138515, 2483, 46, 'सेवा कोड वित्तीय सारांश');
INSERT INTO `lang_definitions` VALUES (138516, 2484, 46, 'शोधा');
INSERT INTO `lang_definitions` VALUES (138517, 2485, 46, 'उपलब्ध शोधा');
INSERT INTO `lang_definitions` VALUES (138518, 2486, 46, 'उपलब्ध नियुक्ती शोधा');
INSERT INTO `lang_definitions` VALUES (138519, 2487, 46, 'रुग्णांच्या शोधा');
INSERT INTO `lang_definitions` VALUES (138520, 2488, 46, 'रुग्णांच्या शिक्षण सामुग्री शोधा');
INSERT INTO `lang_definitions` VALUES (138521, 2489, 46, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (138522, 2490, 46, 'तज्ञांना करून परिणाम');
INSERT INTO `lang_definitions` VALUES (138523, 2491, 46, 'ललित');
INSERT INTO `lang_definitions` VALUES (138524, 2492, 46, 'समाप्त देयके');
INSERT INTO `lang_definitions` VALUES (138525, 2493, 46, 'पूर्ण');
INSERT INTO `lang_definitions` VALUES (138526, 2494, 46, 'फिन्निश');
INSERT INTO `lang_definitions` VALUES (138527, 2495, 46, 'प्रथम');
INSERT INTO `lang_definitions` VALUES (138528, 2497, 46, 'आठवड्याच्या पहिल्या दिवशी');
INSERT INTO `lang_definitions` VALUES (138529, 2498, 46, 'पहिले नाव');
INSERT INTO `lang_definitions` VALUES (138530, 2499, 46, 'पहिले नाव');
INSERT INTO `lang_definitions` VALUES (138531, 2500, 46, 'पहिले नाव:');
INSERT INTO `lang_definitions` VALUES (138532, 2501, 46, 'प्रथम भेट द्या किंवा सल्ला');
INSERT INTO `lang_definitions` VALUES (138533, 2502, 46, 'नाव आडनाव');
INSERT INTO `lang_definitions` VALUES (138534, 2503, 46, 'फिटनेस');
INSERT INTO `lang_definitions` VALUES (138535, 2504, 46, 'फिटनेस स्तर');
INSERT INTO `lang_definitions` VALUES (138536, 2505, 46, 'आज या खेळाडू तंदुरुस्ती');
INSERT INTO `lang_definitions` VALUES (138537, 2506, 46, 'फिटनेस चाचणी');
INSERT INTO `lang_definitions` VALUES (138538, 2507, 46, 'फिटनेस खेळावे');
INSERT INTO `lang_definitions` VALUES (138539, 2508, 46, 'चकमकीत तारखा निराकरण - कोणत्याही चकमकी');
INSERT INTO `lang_definitions` VALUES (138540, 2509, 46, 'या निराकरण');
INSERT INTO `lang_definitions` VALUES (138541, 2510, 46, 'फ्लोरिडा');
INSERT INTO `lang_definitions` VALUES (138542, 2511, 46, 'फुशारकी');
INSERT INTO `lang_definitions` VALUES (138543, 2512, 46, 'फ्लो');
INSERT INTO `lang_definitions` VALUES (138544, 2514, 46, 'फ्लू हंगामात');
INSERT INTO `lang_definitions` VALUES (138545, 2515, 46, 'फ्लू सीझन');
INSERT INTO `lang_definitions` VALUES (138546, 2516, 46, 'फ्लू लसीकरण');
INSERT INTO `lang_definitions` VALUES (138547, 2517, 46, 'द्रवपदार्थ आणि इलेक्ट्रोलाइट्सचे समस्या');
INSERT INTO `lang_definitions` VALUES (138548, 2518, 46, 'FMS');
INSERT INTO `lang_definitions` VALUES (138549, 2519, 46, 'फोलिओ कागद आकार');
INSERT INTO `lang_definitions` VALUES (138550, 2520, 46, 'स्वतः अनुसरण करा');
INSERT INTO `lang_definitions` VALUES (138551, 2521, 46, 'प्रतिष्ठापन किंवा खालील डेटाबेस सुधारणा या सूचनांचे पालन करा');
INSERT INTO `lang_definitions` VALUES (138552, 2522, 46, 'पाठपुरावा');
INSERT INTO `lang_definitions` VALUES (138553, 2524, 46, 'कारण पाठपुरावा');
INSERT INTO `lang_definitions` VALUES (138554, 2525, 46, 'खालील नवीन सानुकूल स्थिर आहे:');
INSERT INTO `lang_definitions` VALUES (138555, 2526, 46, 'खालील नवीन सानुकूल भाषा:');
INSERT INTO `lang_definitions` VALUES (138556, 2527, 46, 'नवीन व्याख्या (भाषा, सतत, डेफिनेशन) खालीलप्रमाणे आहे:');
INSERT INTO `lang_definitions` VALUES (138557, 2528, 46, 'ऑडिट लॉग मध्ये खालील ओळी बदल केले गेले आहेत');
INSERT INTO `lang_definitions` VALUES (138558, 2529, 46, 'फॉलोअप सेवा');
INSERT INTO `lang_definitions` VALUES (138559, 2530, 46, 'Followups दशर्िवले');
INSERT INTO `lang_definitions` VALUES (138560, 2531, 46, 'अन्न सहन न होणे');
INSERT INTO `lang_definitions` VALUES (138561, 2532, 46, 'पाऊल');
INSERT INTO `lang_definitions` VALUES (138562, 2533, 46, 'पाऊल समस्या');
INSERT INTO `lang_definitions` VALUES (138563, 2534, 46, 'पाऊल:');
INSERT INTO `lang_definitions` VALUES (138564, 2535, 46, 'फुटबॉल दुखापती');
INSERT INTO `lang_definitions` VALUES (138565, 2536, 46, 'फुटबॉल इजा');
INSERT INTO `lang_definitions` VALUES (138566, 2537, 46, 'फुटबॉल इजा अहवाल');
INSERT INTO `lang_definitions` VALUES (138567, 2538, 46, 'पादत्राणे प्रकार');
INSERT INTO `lang_definitions` VALUES (138568, 2539, 46, 'साठी');
INSERT INTO `lang_definitions` VALUES (138569, 2540, 46, 'साठी');
INSERT INTO `lang_definitions` VALUES (138570, 2541, 46, 'कोड साठी');
INSERT INTO `lang_definitions` VALUES (138571, 2543, 46, 'चकमकीत दावे साठी');
INSERT INTO `lang_definitions` VALUES (138572, 2544, 46, 'उदाहरणार्थ:');
INSERT INTO `lang_definitions` VALUES (138573, 2545, 46, 'HCFA 02/12 बॉक्स 15 तारीख सूचित करते काय निर्देशीत करण्यासाठी पात्रता अन्य तारीख आहे');
INSERT INTO `lang_definitions` VALUES (138574, 2546, 46, 'चकमकीत वर निर्दिष्ट HCFA 02/12 दिसायला लागायच्या तारीख फॉर्म पात्रता आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (138575, 2547, 46, 'चलन साठी');
INSERT INTO `lang_definitions` VALUES (138576, 2548, 46, 'फक्त वैद्यकीय साठी, प्रस्तुत प्रदाता समान असल्याचे संदर्भ प्रदाता सक्ती.');
INSERT INTO `lang_definitions` VALUES (138577, 2549, 46, 'OBR placer ऑर्डर संख्या');
INSERT INTO `lang_definitions` VALUES (138578, 2550, 46, 'रुग्णाला');
INSERT INTO `lang_definitions` VALUES (138579, 2552, 46, 'उल्लेख संघटना / चिकित्सक साठी');
INSERT INTO `lang_definitions` VALUES (138580, 2553, 46, 'गेल्या');
INSERT INTO `lang_definitions` VALUES (138581, 2554, 46, 'चल साठी');
INSERT INTO `lang_definitions` VALUES (138582, 2555, 46, 'साठी:');
INSERT INTO `lang_definitions` VALUES (138583, 2556, 46, 'फोर्स बिलिंग विजेट ओपन');
INSERT INTO `lang_definitions` VALUES (138584, 2557, 46, 'फोर्स नवीन रुग्णांच्या तयार करा');
INSERT INTO `lang_definitions` VALUES (138585, 2558, 46, 'फोर्स दर्शवा');
INSERT INTO `lang_definitions` VALUES (138586, 2559, 46, 'आधीच सज्ज');
INSERT INTO `lang_definitions` VALUES (138587, 2560, 46, 'फॉर्म');
INSERT INTO `lang_definitions` VALUES (138588, 2561, 46, 'फॉर्म');
INSERT INTO `lang_definitions` VALUES (138589, 2562, 46, 'फॉर्म घटक आढळले नाही');
INSERT INTO `lang_definitions` VALUES (138590, 2563, 46, 'फॉर्म यशस्वीरित्या साइन इन');
INSERT INTO `lang_definitions` VALUES (138591, 2564, 46, 'स्वरूप');
INSERT INTO `lang_definitions` VALUES (138592, 2565, 46, 'स्वरूप');
INSERT INTO `lang_definitions` VALUES (138593, 2566, 46, 'वय प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (138594, 2567, 46, 'एनडीसी साठी अयोग्य स्वरूपात');
INSERT INTO `lang_definitions` VALUES (138595, 2568, 46, 'स्वरूप सर्वात तारखा प्रदर्शित करण्यासाठी वापरली.');
INSERT INTO `lang_definitions` VALUES (138596, 2569, 46, 'स्वरूप सर्वात वेळा प्रदर्शित करण्यासाठी वापरली.');
INSERT INTO `lang_definitions` VALUES (138597, 2570, 46, 'रूपण अहवाल');
INSERT INTO `lang_definitions` VALUES (138598, 2571, 46, 'माजी धूम्रपान');
INSERT INTO `lang_definitions` VALUES (138599, 2572, 46, 'अर्ज');
INSERT INTO `lang_definitions` VALUES (138600, 2573, 46, 'अर्ज प्रशासन');
INSERT INTO `lang_definitions` VALUES (138601, 2575, 46, 'पुढे');
INSERT INTO `lang_definitions` VALUES (138602, 2576, 46, 'फॅक्स द्वारे फॉरवर्ड पृष्ठे');
INSERT INTO `lang_definitions` VALUES (138603, 2577, 46, 'अग्रेषित');
INSERT INTO `lang_definitions` VALUES (138604, 2579, 46, 'चौथ्या');
INSERT INTO `lang_definitions` VALUES (138605, 2581, 46, 'फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (138606, 2582, 46, 'Navicula येथे फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (138607, 2583, 46, 'फ्रॅक्चर बाजूकडील घोटा');
INSERT INTO `lang_definitions` VALUES (138608, 2584, 46, 'फ्रॅक्चर सरासरीचा घोटा');
INSERT INTO `lang_definitions` VALUES (138609, 2585, 46, 'फ्रॅक्चर पाचव्या (5) पायाभूत पायाचा घोटा व पायाची बोटे जोडणार्या पाच अस्थीपैकी एक');
INSERT INTO `lang_definitions` VALUES (138610, 2586, 46, 'फ्रेम समर्थन आवश्यक');
INSERT INTO `lang_definitions` VALUES (138611, 2587, 46, 'फ्रेंच');
INSERT INTO `lang_definitions` VALUES (138612, 2588, 46, 'फ्रेंच (कॅनेडियन)');
INSERT INTO `lang_definitions` VALUES (138613, 2589, 46, 'फ्रेंच (मानक)');
INSERT INTO `lang_definitions` VALUES (138614, 2590, 46, 'वारंवारता');
INSERT INTO `lang_definitions` VALUES (138615, 2591, 46, 'वारंवार सर्दी');
INSERT INTO `lang_definitions` VALUES (138616, 2592, 46, 'वारंवार आजार');
INSERT INTO `lang_definitions` VALUES (138617, 2593, 46, 'शुक्र');
INSERT INTO `lang_definitions` VALUES (138618, 2594, 46, 'शुक्रवारी');
INSERT INTO `lang_definitions` VALUES (138619, 2595, 46, 'पासून');
INSERT INTO `lang_definitions` VALUES (138620, 2596, 46, 'मधून');
INSERT INTO `lang_definitions` VALUES (138621, 2597, 46, 'पासून');
INSERT INTO `lang_definitions` VALUES (138622, 2598, 46, 'तारीख दिनांक करण्यासाठी पेक्षा जास्त होऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (138623, 2599, 46, 'पासून:');
INSERT INTO `lang_definitions` VALUES (138624, 2600, 46, 'पासून: ');
INSERT INTO `lang_definitions` VALUES (138625, 2601, 46, 'FROM_CITY');
INSERT INTO `lang_definitions` VALUES (138626, 2602, 46, 'FROM_EMAIL');
INSERT INTO `lang_definitions` VALUES (138627, 2603, 46, 'FROM_FNAME');
INSERT INTO `lang_definitions` VALUES (138628, 2604, 46, 'FROM_LNAME');
INSERT INTO `lang_definitions` VALUES (138629, 2605, 46, 'FROM_MNAME');
INSERT INTO `lang_definitions` VALUES (138630, 2606, 46, 'FROM_PHONE');
INSERT INTO `lang_definitions` VALUES (138631, 2607, 46, 'FROM_PHONECELL');
INSERT INTO `lang_definitions` VALUES (138632, 2608, 46, 'FROM_POSTAL');
INSERT INTO `lang_definitions` VALUES (138633, 2609, 46, 'FROM_STATE');
INSERT INTO `lang_definitions` VALUES (138634, 2610, 46, 'FROM_STREET');
INSERT INTO `lang_definitions` VALUES (138635, 2611, 46, 'FROM_TITLE');
INSERT INTO `lang_definitions` VALUES (138636, 2612, 46, 'FROM_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (138637, 2613, 46, 'एकही कार्यालय');
INSERT INTO `lang_definitions` VALUES (138638, 2614, 46, 'एकही कार्यालय पावत्या');
INSERT INTO `lang_definitions` VALUES (138639, 2615, 46, 'एकही कार्यालय पावत्या अहवाल');
INSERT INTO `lang_definitions` VALUES (138640, 2616, 46, 'फ्रंट \'आरईसी\'');
INSERT INTO `lang_definitions` VALUES (138641, 2617, 46, 'पुढचा अधिकार:');
INSERT INTO `lang_definitions` VALUES (138642, 2618, 46, 'Fula- Fulah- Pulaar- Pular');
INSERT INTO `lang_definitions` VALUES (138643, 2619, 46, 'पूर्ण नाव');
INSERT INTO `lang_definitions` VALUES (138644, 2620, 46, ', MySQL चालविण्याजोगी एक्जीक्यूटेबलच्या संचयीकाचे मार्ग पूर्ण.');
INSERT INTO `lang_definitions` VALUES (138645, 2621, 46, 'पर्ल चालविण्याजोगी एक्जीक्यूटेबलच्या संचयीकाचे मार्ग पूर्ण.');
INSERT INTO `lang_definitions` VALUES (138646, 2622, 46, 'घटना लॉग बॅकअप साठी निर्देशिका पूर्ण मार्ग.');
INSERT INTO `lang_definitions` VALUES (138647, 2623, 46, 'तात्पुरत्या फाइलकरीता वापरलेल्या निर्देशिका पूर्ण मार्ग.');
INSERT INTO `lang_definitions` VALUES (138648, 2624, 46, 'पूर्ण प्ले');
INSERT INTO `lang_definitions` VALUES (138649, 2625, 46, 'पूर्ण प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (138650, 2626, 46, 'पूर्णपणे अदा');
INSERT INTO `lang_definitions` VALUES (138651, 2631, 46, 'भविष्यातील');
INSERT INTO `lang_definitions` VALUES (138652, 2633, 46, 'जी');
INSERT INTO `lang_definitions` VALUES (138653, 2634, 46, 'जी / एल');
INSERT INTO `lang_definitions` VALUES (138654, 2635, 46, 'गॅलिशियन');
INSERT INTO `lang_definitions` VALUES (138655, 2636, 46, 'पित्त मूत्राशय अट');
INSERT INTO `lang_definitions` VALUES (138656, 2637, 46, 'पित्त दगड');
INSERT INTO `lang_definitions` VALUES (138657, 2638, 46, 'गेम कालावधी');
INSERT INTO `lang_definitions` VALUES (138658, 2639, 46, 'खेळ');
INSERT INTO `lang_definitions` VALUES (138659, 2640, 46, 'खेळ मिस');
INSERT INTO `lang_definitions` VALUES (138660, 2641, 46, 'खेळ / कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (138661, 2642, 46, 'खेळ / आगामी कार्यक्रम मिस');
INSERT INTO `lang_definitions` VALUES (138662, 2643, 46, 'गांडा');
INSERT INTO `lang_definitions` VALUES (138663, 2644, 46, 'जठराची सूज');
INSERT INTO `lang_definitions` VALUES (138664, 2645, 46, 'पोटासंबंधी वेदना');
INSERT INTO `lang_definitions` VALUES (138665, 2646, 46, 'लैंगिकदृष्ट्या कार्यशील');
INSERT INTO `lang_definitions` VALUES (138666, 2647, 46, 'GCAC सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (138667, 2648, 46, 'GCAC आकडेवारी');
INSERT INTO `lang_definitions` VALUES (138668, 2649, 46, 'GCAC भेट फॉर्म गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (138669, 2650, 46, 'लिंग');
INSERT INTO `lang_definitions` VALUES (138670, 2651, 46, 'लिंग ');
INSERT INTO `lang_definitions` VALUES (138671, 2652, 46, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (138672, 2653, 46, 'सामान्य समस्या सूची');
INSERT INTO `lang_definitions` VALUES (138673, 2655, 46, 'सामान्य सेवा वर्ग');
INSERT INTO `lang_definitions` VALUES (138674, 2656, 46, 'व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138675, 2657, 46, 'व्युत्पन्न व CMS 1500 कागद दावे डाउनलोड');
INSERT INTO `lang_definitions` VALUES (138676, 2658, 46, 'व्युत्पन्न आणि HCFA 1500 कागद दावे डाउनलोड');
INSERT INTO `lang_definitions` VALUES (138677, 2659, 46, 'व्युत्पन्न आणि X12 बॅच डाउनलोड');
INSERT INTO `lang_definitions` VALUES (138678, 2660, 46, 'व्युत्पन्न आणि X12 चकमकीत हक्क बॅच डाउनलोड');
INSERT INTO `lang_definitions` VALUES (138679, 2663, 46, 'व्युत्पन्न आणि इलेक्ट्रॉनिक परवानगी चांगले प्रसारित.');
INSERT INTO `lang_definitions` VALUES (138680, 2664, 46, '1500 सीएमएस व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138681, 2665, 46, 'सीएमएस 1500 पीडीएफ व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138682, 2666, 46, 'सीएमएस 1500 मजकूर व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138683, 2667, 46, 'HCFA व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138684, 2668, 46, 'चलन व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138685, 2669, 46, 'पत्र व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138686, 2670, 46, 'पत्र संबंधित व्युत्पन्न ');
INSERT INTO `lang_definitions` VALUES (138687, 2671, 46, 'PQRI अहवाल व्युत्पन्न (पद्धत अ)');
INSERT INTO `lang_definitions` VALUES (138688, 2672, 46, 'PQRI अहवाल (पद्धत अ) व्युत्पन्न करा - 2011');
INSERT INTO `lang_definitions` VALUES (138689, 2673, 46, 'PQRI अहवाल व्युत्पन्न (पद्धत इ)');
INSERT INTO `lang_definitions` VALUES (138690, 2674, 46, 'PQRI अहवाल (पद्धत इ) व्युत्पन्न करा - 2011');
INSERT INTO `lang_definitions` VALUES (138691, 2677, 46, 'अहवाल व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138692, 2678, 46, 'वापरकर्तानाव आणि संकेतशब्द व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138693, 2679, 46, 'X12 व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138694, 2680, 46, 'X12 चकमकीत व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138695, 2682, 46, 'वर व्युत्पन्न');
INSERT INTO `lang_definitions` VALUES (138696, 2683, 46, 'निर्माण');
INSERT INTO `lang_definitions` VALUES (138697, 2684, 46, 'जननेंद्रिये व मूत्रमार्ग या दोन्हीशी संबंधित मूत्रजननमार्गसंबंधी');
INSERT INTO `lang_definitions` VALUES (138698, 2686, 46, 'जॉर्जियन');
INSERT INTO `lang_definitions` VALUES (138699, 2687, 46, 'जर्मन');
INSERT INTO `lang_definitions` VALUES (138700, 2691, 46, 'HL7 मिळवा');
INSERT INTO `lang_definitions` VALUES (138701, 2692, 46, 'काचबिंदू');
INSERT INTO `lang_definitions` VALUES (138702, 2693, 46, 'काचबिंदू कौटुंबिक इतिहास');
INSERT INTO `lang_definitions` VALUES (138703, 2694, 46, 'ग्लोबल');
INSERT INTO `lang_definitions` VALUES (138704, 2696, 46, 'ग्लोबल आयडी');
INSERT INTO `lang_definitions` VALUES (138705, 2697, 46, 'ग्लोबल सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (138706, 2698, 46, 'ग्लोबल');
INSERT INTO `lang_definitions` VALUES (138707, 2699, 46, 'जीएम / डॅनिअल');
INSERT INTO `lang_definitions` VALUES (138708, 2700, 46, 'जा');
INSERT INTO `lang_definitions` VALUES (138709, 2701, 46, 'जा');
INSERT INTO `lang_definitions` VALUES (138710, 2704, 46, 'जा');
INSERT INTO `lang_definitions` VALUES (138711, 2705, 46, 'या आठवड्यात जा');
INSERT INTO `lang_definitions` VALUES (138712, 2706, 46, 'आज जा');
INSERT INTO `lang_definitions` VALUES (138713, 2707, 46, 'लक्ष्य एक');
INSERT INTO `lang_definitions` VALUES (138714, 2708, 46, 'ध्येय आणि पद्धती');
INSERT INTO `lang_definitions` VALUES (138715, 2709, 46, 'लक्ष्य ब');
INSERT INTO `lang_definitions` VALUES (138716, 2710, 46, 'लक्ष्य सी');
INSERT INTO `lang_definitions` VALUES (138717, 2711, 46, 'इजा झाली ग्रेड');
INSERT INTO `lang_definitions` VALUES (138718, 2712, 46, 'श्रेणी:');
INSERT INTO `lang_definitions` VALUES (138719, 2713, 46, 'ग्रॅम');
INSERT INTO `lang_definitions` VALUES (138720, 2714, 46, 'एकूण');
INSERT INTO `lang_definitions` VALUES (138721, 2715, 46, 'ग्रँड बेरजा');
INSERT INTO `lang_definitions` VALUES (138722, 2718, 46, 'Graphable');
INSERT INTO `lang_definitions` VALUES (138723, 2720, 46, 'या पेक्षा मोठे');
INSERT INTO `lang_definitions` VALUES (138724, 2721, 46, 'या पेक्षा मोठे किंवा समान');
INSERT INTO `lang_definitions` VALUES (138725, 2722, 46, 'ग्रीक');
INSERT INTO `lang_definitions` VALUES (138726, 2723, 46, 'ग्रीक, आधुनिक');
INSERT INTO `lang_definitions` VALUES (138727, 2724, 46, 'गट');
INSERT INTO `lang_definitions` VALUES (138728, 2725, 46, 'गट नाव');
INSERT INTO `lang_definitions` VALUES (138729, 2726, 46, 'गट नावे रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (138730, 2727, 46, 'गट नावे नंबर किंवा मोकळी जागा सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (138731, 2728, 46, 'गट नाव नंबर सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (138732, 2729, 46, 'गट क्रमांक');
INSERT INTO `lang_definitions` VALUES (138733, 2730, 46, 'गट भरणा');
INSERT INTO `lang_definitions` VALUES (138734, 2731, 46, 'गट:');
INSERT INTO `lang_definitions` VALUES (138735, 2732, 46, 'GROUPNAME');
INSERT INTO `lang_definitions` VALUES (138736, 2733, 46, 'गट आणि प्रवेश नियंत्रण');
INSERT INTO `lang_definitions` VALUES (138737, 2734, 46, 'वाढ चार्ट');
INSERT INTO `lang_definitions` VALUES (138738, 2735, 46, 'वाढ-चार्ट');
INSERT INTO `lang_definitions` VALUES (138739, 2736, 46, 'gtts (थेंब)');
INSERT INTO `lang_definitions` VALUES (138740, 2737, 46, 'Guamanian');
INSERT INTO `lang_definitions` VALUES (138741, 2738, 46, 'गुआरानी');
INSERT INTO `lang_definitions` VALUES (138742, 2739, 46, 'पालक नाव');
INSERT INTO `lang_definitions` VALUES (138743, 2740, 46, 'गुजराती');
INSERT INTO `lang_definitions` VALUES (138744, 2741, 46, 'Gynecological परीक्षा');
INSERT INTO `lang_definitions` VALUES (138745, 2742, 46, 'ह');
INSERT INTO `lang_definitions` VALUES (138746, 2743, 46, 'h.s.');
INSERT INTO `lang_definitions` VALUES (138747, 2744, 46, 'एच / ओ हिपॅटायटीस');
INSERT INTO `lang_definitions` VALUES (138748, 2745, 46, 'यशस्वीरित्या हटविण्यात आले होते. कोणत्याही उप-विभाग उपस्थित असल्यास, खालील हलविले गेले');
INSERT INTO `lang_definitions` VALUES (138749, 2746, 46, 'Haematoma / थकवा');
INSERT INTO `lang_definitions` VALUES (138750, 2747, 46, 'है स्थिती');
INSERT INTO `lang_definitions` VALUES (138751, 2748, 46, 'Haitian- हैतीयन क्रेओल');
INSERT INTO `lang_definitions` VALUES (138752, 2750, 46, 'हाताचा + बोटांनी');
INSERT INTO `lang_definitions` VALUES (138753, 2751, 46, 'हाताचा समस्या');
INSERT INTO `lang_definitions` VALUES (138754, 2752, 46, 'हार्ड डिस्क');
INSERT INTO `lang_definitions` VALUES (138755, 2753, 46, '/ O वाईड दु: ख');
INSERT INTO `lang_definitions` VALUES (138756, 2754, 46, 'भेट दुवा साधला गेला आहे');
INSERT INTO `lang_definitions` VALUES (138757, 2755, 46, 'कालबाह्य झाले आहे');
INSERT INTO `lang_definitions` VALUES (138758, 2756, 46, 'हॅश');
INSERT INTO `lang_definitions` VALUES (138759, 2757, 46, 'हॅश या फाइल अस्तित्वात नाही. एक नवीन हॅश निर्माण झाले.');
INSERT INTO `lang_definitions` VALUES (138760, 2758, 46, 'हॅश जुळत नाही. डेटा तडजोड केली गेली आहे.');
INSERT INTO `lang_definitions` VALUES (138761, 2759, 46, 'हौसा');
INSERT INTO `lang_definitions` VALUES (138762, 2760, 46, 'हवाईयन');
INSERT INTO `lang_definitions` VALUES (138763, 2761, 46, 'घातक उपक्रम');
INSERT INTO `lang_definitions` VALUES (138764, 2762, 46, 'घातक उपक्रम');
INSERT INTO `lang_definitions` VALUES (138765, 2763, 46, 'HCFA गुण फरकाने बाकी');
INSERT INTO `lang_definitions` VALUES (138766, 2764, 46, 'HCFA समास');
INSERT INTO `lang_definitions` VALUES (138767, 2765, 46, 'गुण HCFA शीर्ष समास');
INSERT INTO `lang_definitions` VALUES (138768, 2766, 46, 'HCPCS प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (138769, 2767, 46, 'तो PostCalendar ');
INSERT INTO `lang_definitions` VALUES (138770, 2768, 46, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (138771, 2769, 46, 'डोके CIRC');
INSERT INTO `lang_definitions` VALUES (138772, 2770, 46, 'डोक्याचा घेर');
INSERT INTO `lang_definitions` VALUES (138773, 2771, 46, 'डोकेदुखी');
INSERT INTO `lang_definitions` VALUES (138774, 2772, 46, 'डोकेदुखी');
INSERT INTO `lang_definitions` VALUES (138775, 2773, 46, 'आरोग्य काळजी ऑपरेशन');
INSERT INTO `lang_definitions` VALUES (138776, 2774, 46, 'हेल्थ केअर ऑपरेशन्स');
INSERT INTO `lang_definitions` VALUES (138777, 2775, 46, 'आरोग्य केंद्र / चिकित्सालय');
INSERT INTO `lang_definitions` VALUES (138778, 2776, 46, 'आरोग्य देखभाल संघटना');
INSERT INTO `lang_definitions` VALUES (138779, 2777, 46, 'आरोग्य देखभाल संघटना (HMO) वैद्यकीय धोका');
INSERT INTO `lang_definitions` VALUES (138780, 2778, 46, 'कमी होणे सुनावणी');
INSERT INTO `lang_definitions` VALUES (138781, 2779, 46, 'हृदयविकाराचा झटका');
INSERT INTO `lang_definitions` VALUES (138782, 2780, 46, 'हृदयरोग');
INSERT INTO `lang_definitions` VALUES (138783, 2781, 46, 'हार्ट अयशस्वी');
INSERT INTO `lang_definitions` VALUES (138784, 2782, 46, 'हार्ट समस्या');
INSERT INTO `lang_definitions` VALUES (138785, 2783, 46, 'हार्ट समस्या');
INSERT INTO `lang_definitions` VALUES (138786, 2784, 46, 'हार्ट शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (138787, 2785, 46, 'हार्ट रोपण');
INSERT INTO `lang_definitions` VALUES (138788, 2786, 46, 'मनात:');
INSERT INTO `lang_definitions` VALUES (138789, 2787, 46, 'छातीत जळजळ');
INSERT INTO `lang_definitions` VALUES (138790, 2788, 46, 'उष्णता किंवा थंड');
INSERT INTO `lang_definitions` VALUES (138791, 2789, 46, 'उष्णता किंवा थंड');
INSERT INTO `lang_definitions` VALUES (138792, 2790, 46, 'हेवी तंबाखू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (138793, 2791, 46, 'हिब्रू');
INSERT INTO `lang_definitions` VALUES (138794, 2792, 46, 'हिब्रू (आधुनिक)');
INSERT INTO `lang_definitions` VALUES (138795, 2793, 46, 'HEENT');
INSERT INTO `lang_definitions` VALUES (138796, 2794, 46, 'उंची');
INSERT INTO `lang_definitions` VALUES (138797, 2795, 46, 'उंची / लांबी');
INSERT INTO `lang_definitions` VALUES (138798, 2796, 46, 'मदत');
INSERT INTO `lang_definitions` VALUES (138799, 2797, 46, 'मदत');
INSERT INTO `lang_definitions` VALUES (138800, 2798, 46, 'जठरामधून रक्त ओकून पडणे');
INSERT INTO `lang_definitions` VALUES (138801, 2799, 46, 'Hematochezia');
INSERT INTO `lang_definitions` VALUES (138802, 2800, 46, 'Hematologic');
INSERT INTO `lang_definitions` VALUES (138803, 2801, 46, 'Hematuria');
INSERT INTO `lang_definitions` VALUES (138804, 2802, 46, 'हिमोग्लोबिन');
INSERT INTO `lang_definitions` VALUES (138805, 2803, 46, 'हिमोग्लोबिन A1C');
INSERT INTO `lang_definitions` VALUES (138806, 2804, 46, 'Hemoptysis');
INSERT INTO `lang_definitions` VALUES (138807, 2805, 46, 'हिपॅटायटीस');
INSERT INTO `lang_definitions` VALUES (138808, 2806, 46, 'हिपॅटायटीस अ 1');
INSERT INTO `lang_definitions` VALUES (138809, 2807, 46, 'हिपॅटायटीस 2');
INSERT INTO `lang_definitions` VALUES (138810, 2808, 46, 'हिपॅटायटीस ब 1');
INSERT INTO `lang_definitions` VALUES (138811, 2809, 46, 'हिपॅटायटीस ब 2');
INSERT INTO `lang_definitions` VALUES (138812, 2810, 46, 'हिपॅटायटीस ब 3');
INSERT INTO `lang_definitions` VALUES (138813, 2811, 46, 'येथे');
INSERT INTO `lang_definitions` VALUES (138814, 2812, 46, 'हरेरो');
INSERT INTO `lang_definitions` VALUES (138815, 2813, 46, 'अन्तर्गळ दुरुस्ती');
INSERT INTO `lang_definitions` VALUES (138816, 2814, 46, 'Herniated डिस्क');
INSERT INTO `lang_definitions` VALUES (138817, 2815, 46, 'नागीण');
INSERT INTO `lang_definitions` VALUES (138818, 2816, 46, 'घुटमळणे');
INSERT INTO `lang_definitions` VALUES (138819, 2817, 46, 'heyyo. तुम्ही येथे केले आहे ');
INSERT INTO `lang_definitions` VALUES (138820, 2818, 46, 'Hib 1');
INSERT INTO `lang_definitions` VALUES (138821, 2819, 46, 'Hib 2');
INSERT INTO `lang_definitions` VALUES (138822, 2820, 46, 'Hib 3');
INSERT INTO `lang_definitions` VALUES (138823, 2821, 46, 'Hib 4');
INSERT INTO `lang_definitions` VALUES (138824, 2822, 46, 'लपलेली');
INSERT INTO `lang_definitions` VALUES (138825, 2823, 46, 'लपलेली आगामी कार्यक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (138826, 2824, 46, 'लपवा');
INSERT INTO `lang_definitions` VALUES (138827, 2825, 46, 'तपशील लपवा');
INSERT INTO `lang_definitions` VALUES (138828, 2826, 46, 'अहवाल रिक्त ई-साइन इन करा नोंदी लपवा');
INSERT INTO `lang_definitions` VALUES (138829, 2827, 46, 'लपवा एनक्रिप्शन / डिक्रीपश्न पर्याय कागदपत्रांचे व्यवस्थापन मध्ये');
INSERT INTO `lang_definitions` VALUES (138830, 2828, 46, 'लपवा मेनू');
INSERT INTO `lang_definitions` VALUES (138831, 2830, 46, 'लपवा स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (138832, 2831, 46, 'लपवा / दाखवा स्तंभ');
INSERT INTO `lang_definitions` VALUES (138833, 2833, 46, 'उच्च');
INSERT INTO `lang_definitions` VALUES (138834, 2834, 46, 'उच्च रक्तदाब');
INSERT INTO `lang_definitions` VALUES (138835, 2835, 46, 'हिंदी');
INSERT INTO `lang_definitions` VALUES (138836, 2836, 46, 'हिप + मांडीचा सांधा');
INSERT INTO `lang_definitions` VALUES (138837, 2837, 46, 'हिप आणि मांडीचा सांधा');
INSERT INTO `lang_definitions` VALUES (138838, 2838, 46, 'हिप समस्या');
INSERT INTO `lang_definitions` VALUES (138839, 2839, 46, 'हिप बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (138840, 2840, 46, 'HIPAA सूचना प्राप्त');
INSERT INTO `lang_definitions` VALUES (138841, 2841, 46, 'हिरी मॉटू');
INSERT INTO `lang_definitions` VALUES (138842, 2842, 46, 'अतिशय केसाळपणा मुख्यत: स्त्रियांमध्ये / Striae');
INSERT INTO `lang_definitions` VALUES (138843, 2843, 46, 'हिस्पॅनिक');
INSERT INTO `lang_definitions` VALUES (138844, 2844, 46, 'हिस्पॅनिक - इतर (यूएस मध्ये जन्मलेल्या)');
INSERT INTO `lang_definitions` VALUES (138845, 2845, 46, 'हिस्पॅनिक - इतर (अमेरिकेच्या बाहेरील जन्म)');
INSERT INTO `lang_definitions` VALUES (138846, 2846, 46, 'हिस्पॅनिक किंवा लॅटिनो');
INSERT INTO `lang_definitions` VALUES (138847, 2847, 46, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (138848, 2848, 46, 'इतिहास डेटा');
INSERT INTO `lang_definitions` VALUES (138849, 2849, 46, 'इतिहास तारीख');
INSERT INTO `lang_definitions` VALUES (138850, 2851, 46, 'इतिहास तक्रारी');
INSERT INTO `lang_definitions` VALUES (138851, 2852, 46, 'इतिहास अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (138852, 2853, 46, 'हार्ट तक्रारी इतिहास');
INSERT INTO `lang_definitions` VALUES (138853, 2854, 46, 'हिट');
INSERT INTO `lang_definitions` VALUES (138854, 2855, 46, 'एचआयव्ही');
INSERT INTO `lang_definitions` VALUES (138855, 2858, 46, 'HL7 दर्शक');
INSERT INTO `lang_definitions` VALUES (138856, 2860, 46, 'HMOL / एल');
INSERT INTO `lang_definitions` VALUES (138857, 2861, 46, 'मंग');
INSERT INTO `lang_definitions` VALUES (138858, 2862, 46, '[की Ctrl] अनेक निवडी साठी दाबून ठेवा किंवा नीवड अशक्य करा करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (138859, 2863, 46, 'एकाधिक आयटम निवडण्यासाठी Ctrl दाबून ठेवा');
INSERT INTO `lang_definitions` VALUES (138860, 2864, 46, 'अनेक पथके निवडण्यासाठी Ctrl दाबून ठेवा');
INSERT INTO `lang_definitions` VALUES (138861, 2865, 46, 'मुख्यपृष्ठ');
INSERT INTO `lang_definitions` VALUES (138862, 2866, 46, 'मुख्यपृष्ठ फोन');
INSERT INTO `lang_definitions` VALUES (138863, 2867, 46, 'मुख्यपृष्ठ फोन नंबर');
INSERT INTO `lang_definitions` VALUES (138864, 2868, 46, 'बेघरांसाठी किंवा तत्सम?');
INSERT INTO `lang_definitions` VALUES (138865, 2869, 46, 'बेघर, इ');
INSERT INTO `lang_definitions` VALUES (138866, 2870, 46, 'बेघर, इ');
INSERT INTO `lang_definitions` VALUES (138867, 2871, 46, 'आकड्या');
INSERT INTO `lang_definitions` VALUES (138868, 2872, 46, 'होस्ट नाव');
INSERT INTO `lang_definitions` VALUES (138869, 2873, 46, 'नाव रिकामे असू शकत नाही होस्ट');
INSERT INTO `lang_definitions` VALUES (138870, 2875, 46, 'तास');
INSERT INTO `lang_definitions` VALUES (138871, 2876, 46, 'तास');
INSERT INTO `lang_definitions` VALUES (138872, 2878, 46, 'इजा कसे येऊ दिले नाही?');
INSERT INTO `lang_definitions` VALUES (138873, 2879, 46, 'कसे इजा ?: येऊ नाही');
INSERT INTO `lang_definitions` VALUES (138874, 2880, 46, 'ते आम्हाला कसे कळले');
INSERT INTO `lang_definitions` VALUES (138875, 2881, 46, 'किती महिने पुढे कार्यक्रम आगामी चौकशी?');
INSERT INTO `lang_definitions` VALUES (138876, 2882, 46, 'HPI:');
INSERT INTO `lang_definitions` VALUES (138877, 2883, 46, 'एचटी');
INSERT INTO `lang_definitions` VALUES (138878, 2884, 46, 'एचटीएमएल');
INSERT INTO `lang_definitions` VALUES (138879, 2885, 46, 'HTML आउटपुटपहा?');
INSERT INTO `lang_definitions` VALUES (138880, 2886, 46, 'Https LibreEHR समर्थन, LLC लॅब विनिमय सेवा लिंक.');
INSERT INTO `lang_definitions` VALUES (138881, 2887, 46, 'हंगेरियन');
INSERT INTO `lang_definitions` VALUES (138882, 2888, 46, 'Hylafax निर्देशिका');
INSERT INTO `lang_definitions` VALUES (138883, 2889, 46, 'Hylafax Enscript आदेश');
INSERT INTO `lang_definitions` VALUES (138884, 2890, 46, 'Hylafax सर्व्हर');
INSERT INTO `lang_definitions` VALUES (138885, 2891, 46, 'Hylafax सर्व्हर होस्टनाव.');
INSERT INTO `lang_definitions` VALUES (138886, 2892, 46, 'Hyperactive');
INSERT INTO `lang_definitions` VALUES (138887, 2893, 46, 'उच्च रक्तदाब');
INSERT INTO `lang_definitions` VALUES (138888, 2894, 46, 'उच्च रक्तदाब: रक्तदाब मापन');
INSERT INTO `lang_definitions` VALUES (138889, 2895, 46, 'उच्च रक्तदाब: ब्लड प्रेशर परिमाण (CQM)');
INSERT INTO `lang_definitions` VALUES (138890, 2896, 46, 'हायपरथायरॉईडीझमची');
INSERT INTO `lang_definitions` VALUES (138891, 2897, 46, 'हायपोथायरॉईडीझम');
INSERT INTO `lang_definitions` VALUES (138892, 2898, 46, 'Hysterectomy');
INSERT INTO `lang_definitions` VALUES (138893, 2899, 46, 'मी');
INSERT INTO `lang_definitions` VALUES (138894, 2900, 46, 'मी या वेळी व्यस्त आहे.');
INSERT INTO `lang_definitions` VALUES (138895, 2901, 46, 'मी वाचले परवानगी नाही ');
INSERT INTO `lang_definitions` VALUES (138896, 2902, 46, 'ICD');
INSERT INTO `lang_definitions` VALUES (138897, 2903, 46, 'ICD10 निदान');
INSERT INTO `lang_definitions` VALUES (138898, 2904, 46, 'ICD10 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (138899, 2905, 46, 'ICD9');
INSERT INTO `lang_definitions` VALUES (138900, 2906, 46, 'ICD9 निदान');
INSERT INTO `lang_definitions` VALUES (138901, 2907, 46, 'ICD9 प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (138902, 2908, 46, 'आईसलँडिक');
INSERT INTO `lang_definitions` VALUES (138903, 2909, 46, 'आयडी');
INSERT INTO `lang_definitions` VALUES (138904, 2910, 46, 'आयडी');
INSERT INTO `lang_definitions` VALUES (138905, 2911, 46, 'आयडी रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (138906, 2912, 46, 'ओळखपत्र');
INSERT INTO `lang_definitions` VALUES (138907, 2913, 46, 'IDays');
INSERT INTO `lang_definitions` VALUES (138908, 2914, 46, 'म्हणून ओळखले');
INSERT INTO `lang_definitions` VALUES (138909, 2915, 46, 'अभिज्ञापक (एक शब्द)');
INSERT INTO `lang_definitions` VALUES (138910, 2916, 46, 'कोड ओळखणे');
INSERT INTO `lang_definitions` VALUES (138911, 2917, 46, 'सत्र कालबाह्य सेकंद निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (138912, 2918, 46, 'मी करतो');
INSERT INTO `lang_definitions` VALUES (138913, 2919, 46, 'सर्व कॉलम सर्व डेटा हा फॉर्म पूर्ण आहेत, तर');
INSERT INTO `lang_definitions` VALUES (138914, 2920, 46, 'बिलिंग देवासमोर नीतिमान वापरले जाते, तर निदान कोड प्रकारच्या नाव द्या.');
INSERT INTO `lang_definitions` VALUES (138915, 2921, 46, 'प्रविष्ट केला असल्यास, फक्त सेवा होती ज्यांनी निवडा');
INSERT INTO `lang_definitions` VALUES (138916, 2922, 46, 'तर नाव, lastname किंवा lastname, पहिले काही भाग');
INSERT INTO `lang_definitions` VALUES (138917, 2923, 46, 'करून देवून, तर');
INSERT INTO `lang_definitions` VALUES (138918, 2924, 46, 'व्यक्ती मृत असेल, तर मृत्यूच्या तारखेला प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (138919, 2925, 46, 'या SMTP वापरले असल्यास, server`s यजमाननाव किंवा IP पत्ता.');
INSERT INTO `lang_definitions` VALUES (138920, 2926, 46, 'या SMTP वापरले असल्यास, server`s TCP पोर्ट क्रमांक (सहसा 25).');
INSERT INTO `lang_definitions` VALUES (138921, 2927, 46, 'बेरोजगार तर विद्यार्थी प्रविष्ट');
INSERT INTO `lang_definitions` VALUES (138922, 2928, 46, 'YMD वय प्रदर्शन नीवडल्यास, फक्त वर्षे स्विच तेव्हा वर्षांत या मूल्य जुने रुग्णांना');
INSERT INTO `lang_definitions` VALUES (138923, 2929, 46, 'तुम्ही ePrescription ई-RX भूमिका बदलू असेल, तर ते ePrescription कार्यपद्धत प्रभाव पडू शकतो. आपण कोणत्याही अडचण असेल तर, आपल्या ePrescription विक्रेता संपर्क साधा.');
INSERT INTO `lang_definitions` VALUES (138924, 2930, 46, 'आपण एक सामना निवडा नसेल तर रुग्णाला निर्माण होईल.');
INSERT INTO `lang_definitions` VALUES (138925, 2931, 46, 'आपण इलेक्ट्रॉनिक व्यवहार अपलोड करण्यासाठी निवडलेली असेल, तर नंतर शोध विंडो X12 फाइल पासून जुळणारे पावत्या स्वतः redisplays. (खाली वर्णन केल्याप्रमाणे) आपण पैसे पाठवण्याच्या माहिती लागू करण्यापूर्वी कोणत्याही सुधारणा करण्यासाठी इच्छित असल्यास आपण या चलन संख्या कोणत्याही क्लिक करू शकता. बदल लागू करण्यासाठी, पृष्ठाच्या तळाशी प्रक्रिया ईआरए फाइल या बटणावर क्लिक करा. हे एक सविस्तर अहवाल एक नवीन विंडो निर्मिती होईल.');
INSERT INTO `lang_definitions` VALUES (138926, 2932, 46, 'आपण शोध पृष्ठामधील पे तारीख प्रवेश केला आहे तर, हे अन्यथा X12 फाइल घेतले जातात की पैसे आणि ऍडजस्ट पोस्टिंग तारीख पुन्हा लिहीले जातील. आपण इन्शुरन्स कंपनीला  \'चे प्रक्रिया तारीख ऐवजी आपल्या पोस्टिंग तारीख वापर अहवाल आपल्या पावत्या इच्छित असल्यास हा उद्देशांसाठी अहवाल उपयुक्त असू शकते. हे देखील दुय्यम दावे मध्ये ठेवले आहेत की आधी पैसे आणि ऍडजस्ट तारखा परिणाम होईल हे लक्षात ठेवा.');
INSERT INTO `lang_definitions` VALUES (138927, 2933, 46, 'आपण डेटा प्रकार बदलू किंवा पंक्ती किंवा स्तंभ जोडू इच्छित असल्यास');
INSERT INTO `lang_definitions` VALUES (138928, 2934, 46, 'आपण डेटाबेस सुधारणा करू इच्छित असल्यास, नंतर खालील डिरेक्टरी मध्ये डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (138929, 2935, 46, 'ईग्बो');
INSERT INTO `lang_definitions` VALUES (138930, 2936, 46, 'दुर्लक्ष करा');
INSERT INTO `lang_definitions` VALUES (138931, 2937, 46, 'आजार');
INSERT INTO `lang_definitions` VALUES (138932, 2938, 46, 'आयएम');
INSERT INTO `lang_definitions` VALUES (138933, 2941, 46, 'इमेजिंग सेवा');
INSERT INTO `lang_definitions` VALUES (138934, 2942, 46, 'लसीकरण');
INSERT INTO `lang_definitions` VALUES (138935, 2943, 46, 'लसीकरण कोड');
INSERT INTO `lang_definitions` VALUES (138936, 2945, 46, 'लसीकरण तारीख');
INSERT INTO `lang_definitions` VALUES (138937, 2946, 46, 'लसीकरण कालावधी समाप्ती तारीख');
INSERT INTO `lang_definitions` VALUES (138938, 2947, 46, 'लसीकरण लोट क्रमांक');
INSERT INTO `lang_definitions` VALUES (138939, 2948, 46, 'लसीकरण निर्माता');
INSERT INTO `lang_definitions` VALUES (138940, 2949, 46, 'लसीकरण नोंदणी');
INSERT INTO `lang_definitions` VALUES (138941, 2950, 46, 'लसीकरण अहवाल');
INSERT INTO `lang_definitions` VALUES (138942, 2951, 46, 'लसीकरण सेवा');
INSERT INTO `lang_definitions` VALUES (138943, 2952, 46, 'लसीकरण शीर्षक');
INSERT INTO `lang_definitions` VALUES (138944, 2953, 46, 'लसीकरण');
INSERT INTO `lang_definitions` VALUES (138945, 2954, 46, 'लसीकरण');
INSERT INTO `lang_definitions` VALUES (138946, 2955, 46, 'Immunologic');
INSERT INTO `lang_definitions` VALUES (138947, 2956, 46, 'रोपण');
INSERT INTO `lang_definitions` VALUES (138948, 2957, 46, 'आयात');
INSERT INTO `lang_definitions` VALUES (138949, 2961, 46, 'ब्राउझर आयात प्रमाणपत्र.');
INSERT INTO `lang_definitions` VALUES (138950, 2962, 46, 'आयात संरचना');
INSERT INTO `lang_definitions` VALUES (138951, 2963, 46, 'आयात वेळ-टू-थेट साठी स्थगित');
INSERT INTO `lang_definitions` VALUES (138952, 2964, 46, 'आयात रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (138953, 2965, 46, 'रुग्णांच्या लोकसंख्याशास्त्र आयात');
INSERT INTO `lang_definitions` VALUES (138954, 2966, 46, 'महत्वाचे कोड');
INSERT INTO `lang_definitions` VALUES (138955, 2967, 46, 'महत्वाचे: या अपलोड साधन फक्त अद्याप प्रणाली मध्ये प्रवेश केला नाही की रुग्णांना दस्तऐवज अपलोड आहे. आधीच प्रणाली मध्ये लिहिला गेला ज्या रुग्णांना फाइल अपलोड करण्यासाठी, रुग्णांच्या सारांश स्क्रीन आत लिंक अपलोड साधनाचा वापर करा.');
INSERT INTO `lang_definitions` VALUES (138956, 2969, 46, 'लेखा आयात');
INSERT INTO `lang_definitions` VALUES (138957, 2972, 46, 'सुधारित');
INSERT INTO `lang_definitions` VALUES (138958, 2973, 46, 'मध्ये');
INSERT INTO `lang_definitions` VALUES (138959, 2974, 46, 'मध्ये');
INSERT INTO `lang_definitions` VALUES (138960, 2975, 46, 'प्रत्येक डोळ्यात');
INSERT INTO `lang_definitions` VALUES (138961, 2976, 46, 'डावा डोळा');
INSERT INTO `lang_definitions` VALUES (138962, 2977, 46, 'नाकपुडी मध्ये');
INSERT INTO `lang_definitions` VALUES (138963, 2978, 46, 'कार्यालय');
INSERT INTO `lang_definitions` VALUES (138964, 2979, 46, 'उजव्या डोळ्यात');
INSERT INTO `lang_definitions` VALUES (138965, 2980, 46, 'मध्ये घर');
INSERT INTO `lang_definitions` VALUES (138966, 2981, 46, 'निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (138967, 2982, 46, 'निष्क्रिय दिवस');
INSERT INTO `lang_definitions` VALUES (138968, 2983, 46, 'इनबॉक्स');
INSERT INTO `lang_definitions` VALUES (138969, 2986, 46, 'चेकसम समाविष्ट');
INSERT INTO `lang_definitions` VALUES (138970, 2987, 46, 'समाविष्ट पूर्ण');
INSERT INTO `lang_definitions` VALUES (138971, 2988, 46, 'निष्क्रिय वापरकर्ते समाविष्ट');
INSERT INTO `lang_definitions` VALUES (138972, 2989, 46, 'अश्रेणीबद्ध समाविष्ट');
INSERT INTO `lang_definitions` VALUES (138973, 2990, 46, 'भागात तुम्ही लिहिलेला डेटा समाविष्ट करा');
INSERT INTO `lang_definitions` VALUES (138974, 2991, 46, 'मर्मस्थाने समाविष्ट');
INSERT INTO `lang_definitions` VALUES (138975, 2992, 46, 'मर्मस्थाने डेटा समाविष्ट करा?');
INSERT INTO `lang_definitions` VALUES (138976, 2993, 46, 'समावेश');
INSERT INTO `lang_definitions` VALUES (138977, 2994, 46, 'उत्पन्न');
INSERT INTO `lang_definitions` VALUES (138978, 2995, 46, 'लक्ष आवश्यक येणार्या परिणाम:');
INSERT INTO `lang_definitions` VALUES (138979, 2996, 46, 'अपूर्ण');
INSERT INTO `lang_definitions` VALUES (138980, 2997, 46, 'अपूर्ण गर्भपात उपचार');
INSERT INTO `lang_definitions` VALUES (138981, 2998, 46, 'आत्मसंयमाचा');
INSERT INTO `lang_definitions` VALUES (138982, 2999, 46, 'रचना डेटा म्हणून प्रमाणित EHR तंत्रज्ञान मध्ये क्लिनिकल प्रयोगशाळा चाचणी परिणाम अंतर्भूत.');
INSERT INTO `lang_definitions` VALUES (138983, 3000, 46, 'चुकीचा संकेतशब्द!');
INSERT INTO `lang_definitions` VALUES (138984, 3001, 46, 'वाढ:');
INSERT INTO `lang_definitions` VALUES (138985, 3002, 46, 'नुकसान भरपाई विमा');
INSERT INTO `lang_definitions` VALUES (138986, 3003, 46, 'अनिश्चित');
INSERT INTO `lang_definitions` VALUES (138987, 3004, 46, 'भारतीय');
INSERT INTO `lang_definitions` VALUES (138988, 3005, 46, 'विकृती सूचित करते');
INSERT INTO `lang_definitions` VALUES (138989, 3006, 46, 'या समस्येचे सध्या सक्रिय आहे, तर सूचित करते');
INSERT INTO `lang_definitions` VALUES (138990, 3008, 46, 'विशेष वापर निर्देश');
INSERT INTO `lang_definitions` VALUES (138991, 3009, 46, 'गरिब रुग्णांना');
INSERT INTO `lang_definitions` VALUES (138992, 3010, 46, 'गरिब रुग्णांना अहवाल');
INSERT INTO `lang_definitions` VALUES (138993, 3011, 46, 'Indigents');
INSERT INTO `lang_definitions` VALUES (138994, 3013, 46, 'इंडोनेशियन');
INSERT INTO `lang_definitions` VALUES (138995, 3014, 46, 'गर्भपात');
INSERT INTO `lang_definitions` VALUES (138996, 3016, 46, 'अपात्र');
INSERT INTO `lang_definitions` VALUES (138997, 3017, 46, 'संक्रमण / अब्सेस');
INSERT INTO `lang_definitions` VALUES (138998, 3018, 46, 'संक्रमण');
INSERT INTO `lang_definitions` VALUES (138999, 3019, 46, 'Infert Couns');
INSERT INTO `lang_definitions` VALUES (139000, 3020, 46, 'वंध्यत्व');
INSERT INTO `lang_definitions` VALUES (139001, 3021, 46, 'इन्फ्लूएन्झा 1');
INSERT INTO `lang_definitions` VALUES (139002, 3022, 46, 'इन्फ्लूएन्झा 2');
INSERT INTO `lang_definitions` VALUES (139003, 3023, 46, 'रुग्णांना इन्फ्लूएन्झा लसीकरण> = 50 वर्षांचा');
INSERT INTO `lang_definitions` VALUES (139004, 3024, 46, 'रुग्णांना इन्फ्लूएन्झा लसीकरण> = 50 वर्षे (CQM)');
INSERT INTO `lang_definitions` VALUES (139005, 3025, 46, 'इन्फ्लूएन्झा लस');
INSERT INTO `lang_definitions` VALUES (139006, 3026, 46, 'माहिती');
INSERT INTO `lang_definitions` VALUES (139007, 3027, 46, 'माहिती चाचणी 1');
INSERT INTO `lang_definitions` VALUES (139008, 3028, 46, 'माहिती चाचणी 2');
INSERT INTO `lang_definitions` VALUES (139009, 3029, 46, 'माहिती चाचणी 3');
INSERT INTO `lang_definitions` VALUES (139010, 3030, 46, 'माहिती चाचणी 4');
INSERT INTO `lang_definitions` VALUES (139011, 3031, 46, 'माहिती चाचणी 5');
INSERT INTO `lang_definitions` VALUES (139012, 3032, 46, 'माहिती चाचणी 6');
INSERT INTO `lang_definitions` VALUES (139013, 3034, 46, 'inhalations');
INSERT INTO `lang_definitions` VALUES (139014, 3035, 46, 'inhilations');
INSERT INTO `lang_definitions` VALUES (139015, 3036, 46, 'आरंभिक उपचार');
INSERT INTO `lang_definitions` VALUES (139016, 3037, 46, 'आरंभिक वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (139017, 3038, 46, 'Inj / rehab');
INSERT INTO `lang_definitions` VALUES (139018, 3039, 46, 'Injectables');
INSERT INTO `lang_definitions` VALUES (139019, 3040, 46, 'इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (139020, 3041, 46, 'जखमी शरीर भाग');
INSERT INTO `lang_definitions` VALUES (139021, 3042, 46, 'आउट जखमी');
INSERT INTO `lang_definitions` VALUES (139022, 3043, 46, 'इजा');
INSERT INTO `lang_definitions` VALUES (139023, 3044, 46, 'इजा पद्धती');
INSERT INTO `lang_definitions` VALUES (139024, 3045, 46, 'इजा विहंगावलोकन अहवाल');
INSERT INTO `lang_definitions` VALUES (139025, 3046, 46, 'इजा पाळत ठेवणे');
INSERT INTO `lang_definitions` VALUES (139026, 3047, 46, 'इजा प्रकार');
INSERT INTO `lang_definitions` VALUES (139027, 3048, 46, 'इजा / आजार संबंधित');
INSERT INTO `lang_definitions` VALUES (139028, 3049, 46, 'इनलाइन');
INSERT INTO `lang_definitions` VALUES (139029, 3050, 46, 'इनपुट एक MSH विभाग सुरू नाही');
INSERT INTO `lang_definitions` VALUES (139030, 3051, 46, 'इनपुट फील्ड');
INSERT INTO `lang_definitions` VALUES (139031, 3052, 46, 'भारतीय रुपया');
INSERT INTO `lang_definitions` VALUES (139032, 3053, 46, 'इन 1');
INSERT INTO `lang_definitions` VALUES (139033, 3054, 46, 'इन 2 किंवा 3 इन');
INSERT INTO `lang_definitions` VALUES (139034, 3055, 46, 'इन पत्ता');
INSERT INTO `lang_definitions` VALUES (139035, 3056, 46, 'इन समायोजित');
INSERT INTO `lang_definitions` VALUES (139036, 3057, 46, 'इन bundling');
INSERT INTO `lang_definitions` VALUES (139037, 3058, 46, 'इन कोड');
INSERT INTO `lang_definitions` VALUES (139038, 3059, 46, 'इन गट');
INSERT INTO `lang_definitions` VALUES (139039, 3060, 46, 'इन नाव');
INSERT INTO `lang_definitions` VALUES (139040, 3061, 46, 'इन overpaid');
INSERT INTO `lang_definitions` VALUES (139041, 3062, 46, 'इन धोरण');
INSERT INTO `lang_definitions` VALUES (139042, 3063, 46, 'इन परतावा');
INSERT INTO `lang_definitions` VALUES (139043, 3064, 46, 'इन सारांश');
INSERT INTO `lang_definitions` VALUES (139044, 3065, 46, 'Ins1');
INSERT INTO `lang_definitions` VALUES (139045, 3066, 46, 'Ins2');
INSERT INTO `lang_definitions` VALUES (139046, 3067, 46, 'Ins3');
INSERT INTO `lang_definitions` VALUES (139047, 3068, 46, 'समाविष्ट करा');
INSERT INTO `lang_definitions` VALUES (139048, 3069, 46, 'समाविष्ट करा अयशस्वी: ');
INSERT INTO `lang_definitions` VALUES (139049, 3070, 46, 'सपाट दगडी पाट्या मध्ये जुन्या घटना घाला');
INSERT INTO `lang_definitions` VALUES (139050, 3072, 46, 'निद्रानाश');
INSERT INTO `lang_definitions` VALUES (139051, 3073, 46, 'लॉग तपासणी');
INSERT INTO `lang_definitions` VALUES (139052, 3074, 46, 'तपासणी');
INSERT INTO `lang_definitions` VALUES (139053, 3075, 46, 'अस्थिरता / सांधा अर्धवट निखळणे');
INSERT INTO `lang_definitions` VALUES (139054, 3076, 46, 'प्रतिष्ठापीत');
INSERT INTO `lang_definitions` VALUES (139055, 3077, 46, 'स्थापित');
INSERT INTO `lang_definitions` VALUES (139056, 3078, 46, 'कोड सेट स्थापित');
INSERT INTO `lang_definitions` VALUES (139057, 3079, 46, 'डीबी प्रतिष्ठापीत');
INSERT INTO `lang_definitions` VALUES (139058, 3080, 46, 'स्थापित प्रकाशन');
INSERT INTO `lang_definitions` VALUES (139059, 3081, 46, 'सूचना');
INSERT INTO `lang_definitions` VALUES (139060, 3082, 46, 'सूचना');
INSERT INTO `lang_definitions` VALUES (139061, 3084, 46, 'सूचना:');
INSERT INTO `lang_definitions` VALUES (139062, 3085, 46, 'उत्पादन ID अपूरी यादी');
INSERT INTO `lang_definitions` VALUES (139063, 3086, 46, 'मधुमेहावरील रामबाण उपाय अवलंबून मधुमेह');
INSERT INTO `lang_definitions` VALUES (139064, 3087, 46, 'विमा');
INSERT INTO `lang_definitions` VALUES (139065, 3088, 46, 'विमा');
INSERT INTO `lang_definitions` VALUES (139066, 3091, 46, 'विमा शिल्लक');
INSERT INTO `lang_definitions` VALUES (139067, 3092, 46, 'विमा शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (139068, 3093, 46, 'विमा Comp');
INSERT INTO `lang_definitions` VALUES (139069, 3094, 46, 'विमा कंपन्या');
INSERT INTO `lang_definitions` VALUES (139070, 3095, 46, 'विमा कंपनी');
INSERT INTO `lang_definitions` VALUES (139071, 3096, 46, 'विमा कंपनी शोध जोडा /');
INSERT INTO `lang_definitions` VALUES (139072, 3098, 46, 'विमा डेटा');
INSERT INTO `lang_definitions` VALUES (139073, 3099, 46, 'फाइल विमा माहिती');
INSERT INTO `lang_definitions` VALUES (139074, 3100, 46, 'विमा क्रमांक');
INSERT INTO `lang_definitions` VALUES (139075, 3101, 46, 'विमा भरणा');
INSERT INTO `lang_definitions` VALUES (139076, 3103, 46, 'विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (139077, 3104, 46, 'विमा प्रकार');
INSERT INTO `lang_definitions` VALUES (139078, 3105, 46, 'इन्शुरन्सचे');
INSERT INTO `lang_definitions` VALUES (139079, 3106, 46, 'विम्याची');
INSERT INTO `lang_definitions` VALUES (139080, 3107, 46, 'प्रवेश निष्कर्ष');
INSERT INTO `lang_definitions` VALUES (139081, 3108, 46, 'प्रवेश दिनांक');
INSERT INTO `lang_definitions` VALUES (139082, 3109, 46, 'बौद्धिक नकार');
INSERT INTO `lang_definitions` VALUES (139083, 3110, 46, 'आंतरभाषिक');
INSERT INTO `lang_definitions` VALUES (139084, 3111, 46, 'बहुभाषी');
INSERT INTO `lang_definitions` VALUES (139085, 3113, 46, 'अंतर्गत त्रुटी - पृष्ठे नाही निवड करण्यात आली!');
INSERT INTO `lang_definitions` VALUES (139086, 3114, 46, 'अंतर्गत त्रुटी - रुग्ण आयडी प्रदान केला नाही होते!');
INSERT INTO `lang_definitions` VALUES (139087, 3115, 46, 'अंतर्गत त्रुटी अपलोड फाइल प्रवेश!');
INSERT INTO `lang_definitions` VALUES (139088, 3116, 46, 'अंतर्गत त्रुटी!');
INSERT INTO `lang_definitions` VALUES (139089, 3117, 46, 'अंतर्गत त्रुटी, नाही औषध ID निर्दिष्ट!');
INSERT INTO `lang_definitions` VALUES (139090, 3118, 46, 'अंतर्गत त्रुटी: MSH-10 शोधू शकत नाही');
INSERT INTO `lang_definitions` VALUES (139091, 3119, 46, 'अंतर्गत त्रुटी: हक्क ');
INSERT INTO `lang_definitions` VALUES (139092, 3120, 46, 'अंतर्गत त्रुटी: चकमकीत \'');
INSERT INTO `lang_definitions` VALUES (139093, 3121, 46, 'अंतर्गत त्रुटी: PID किंवा चकमकीत गहाळ आहे.');
INSERT INTO `lang_definitions` VALUES (139094, 3122, 46, 'अंतर्गत त्रुटी: आम्ही चकमकीत असल्याचे दिसत नाही!');
INSERT INTO `lang_definitions` VALUES (139095, 3123, 46, 'अंतर्गत अभिज्ञापक (पी आय डी)');
INSERT INTO `lang_definitions` VALUES (139096, 3126, 46, 'अंतर्गत संदर्भ');
INSERT INTO `lang_definitions` VALUES (139097, 3127, 46, 'अंतर्गत वेळ गोळा');
INSERT INTO `lang_definitions` VALUES (139098, 3128, 46, 'आंतरराष्ट्रीय शुल्क');
INSERT INTO `lang_definitions` VALUES (139099, 3129, 46, 'इंटरप्रिटर');
INSERT INTO `lang_definitions` VALUES (139100, 3130, 46, 'इंटरप्रिटर आवश्यक?');
INSERT INTO `lang_definitions` VALUES (139101, 3131, 46, 'अंतर्गत फुफ्फुसाचा रोग');
INSERT INTO `lang_definitions` VALUES (139102, 3132, 46, 'मध्यांतर');
INSERT INTO `lang_definitions` VALUES (139103, 3133, 46, 'मध्यांतर (मिनिटे)');
INSERT INTO `lang_definitions` VALUES (139104, 3134, 46, 'संदेश धनादेश दरम्यान मध्यांतर (मॅन्युअल धनादेश शून्यावर सेट केले फक्त)');
INSERT INTO `lang_definitions` VALUES (139105, 3135, 46, 'हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (139106, 3136, 46, 'हस्तक्षेप प्रदान');
INSERT INTO `lang_definitions` VALUES (139107, 3137, 46, 'असहिष्णुता');
INSERT INTO `lang_definitions` VALUES (139108, 3139, 46, 'intramuscularly');
INSERT INTO `lang_definitions` VALUES (139109, 3140, 46, 'नसेतून');
INSERT INTO `lang_definitions` VALUES (139110, 3141, 46, 'परिचय');
INSERT INTO `lang_definitions` VALUES (139111, 3142, 46, 'इनुकिटुट्');
INSERT INTO `lang_definitions` VALUES (139112, 3143, 46, 'इनूपियाक');
INSERT INTO `lang_definitions` VALUES (139113, 3144, 46, 'अवैध वर्ण');
INSERT INTO `lang_definitions` VALUES (139114, 3146, 46, 'अवैध बांधता येणे डेटा एन्कोडिंग प्रकार');
INSERT INTO `lang_definitions` VALUES (139115, 3147, 46, 'अवैध लांबी');
INSERT INTO `lang_definitions` VALUES (139116, 3148, 46, 'अवैध नॉन-अंकीय वर्ण');
INSERT INTO `lang_definitions` VALUES (139117, 3149, 46, 'कोड स्रोत अवैध किंवा गहाळ देणारा ');
INSERT INTO `lang_definitions` VALUES (139118, 3150, 46, 'अवैध प्राप्तकर्ता पत्ता नाही. कृपया पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (139119, 3151, 46, 'अवैध सेवा कोड');
INSERT INTO `lang_definitions` VALUES (139120, 3152, 46, 'अवैध स्रोत नाव \"');
INSERT INTO `lang_definitions` VALUES (139121, 3153, 46, 'अवैध वापरकर्ता नाव किंवा संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (139122, 3154, 46, 'InvAmt');
INSERT INTO `lang_definitions` VALUES (139123, 3155, 46, 'यादी');
INSERT INTO `lang_definitions` VALUES (139124, 3156, 46, 'यादी क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (139125, 3157, 46, 'यादी आणि औषधे आणि गैर-औषध दोन्ही उत्पादनांसाठी विक्री');
INSERT INTO `lang_definitions` VALUES (139126, 3158, 46, 'यादी आणि विक्री औषधे फक्त');
INSERT INTO `lang_definitions` VALUES (139127, 3159, 46, 'यादी ऑर्डर उपलब्ध नाही.');
INSERT INTO `lang_definitions` VALUES (139128, 3160, 46, 'यादी यादी');
INSERT INTO `lang_definitions` VALUES (139129, 3161, 46, 'यादी व्यवहार');
INSERT INTO `lang_definitions` VALUES (139130, 3162, 46, 'अशी यादी तयार करणे');
INSERT INTO `lang_definitions` VALUES (139131, 3163, 46, 'अशी यादी तयार करणे');
INSERT INTO `lang_definitions` VALUES (139132, 3164, 46, 'अशी यादी तयार करणे शिल्लक');
INSERT INTO `lang_definitions` VALUES (139133, 3165, 46, 'अशी यादी तयार करणे शिल्लक पोस्ट करू शकत नाही. कोणत्याही चकमकीत तयार आहे.');
INSERT INTO `lang_definitions` VALUES (139134, 3166, 46, 'अशी यादी तयार करणे तारीख');
INSERT INTO `lang_definitions` VALUES (139135, 3167, 46, 'अशी यादी तयार करणे नाही तारीख आहे!');
INSERT INTO `lang_definitions` VALUES (139136, 3168, 46, 'बील क्रमांक');
INSERT INTO `lang_definitions` VALUES (139137, 3169, 46, 'अशी यादी तयार करणे संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (139138, 3170, 46, 'अशी यादी तयार करणे संदर्भ क्रमांक पूल, वापरले तर');
INSERT INTO `lang_definitions` VALUES (139139, 3171, 46, 'अशी यादी तयार करणे संदर्भ क्रमांक संचाची');
INSERT INTO `lang_definitions` VALUES (139140, 3172, 46, 'अशी यादी तयार करणे Refno तलाव');
INSERT INTO `lang_definitions` VALUES (139141, 3173, 46, 'अशी यादी तयार करणे:');
INSERT INTO `lang_definitions` VALUES (139142, 3174, 46, 'IPPF');
INSERT INTO `lang_definitions` VALUES (139143, 3175, 46, 'IPPF गर्भपात');
INSERT INTO `lang_definitions` VALUES (139144, 3176, 46, 'IPPF संततिनियमन');
INSERT INTO `lang_definitions` VALUES (139145, 3177, 46, 'साठी IPPF SRH डेटा');
INSERT INTO `lang_definitions` VALUES (139146, 3178, 46, 'IPPF सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (139147, 3179, 46, 'IPPF आकडेवारी');
INSERT INTO `lang_definitions` VALUES (139148, 3180, 46, 'IPV 1');
INSERT INTO `lang_definitions` VALUES (139149, 3181, 46, 'IPV 2');
INSERT INTO `lang_definitions` VALUES (139150, 3182, 46, 'IPV 3');
INSERT INTO `lang_definitions` VALUES (139151, 3183, 46, 'IPV 4');
INSERT INTO `lang_definitions` VALUES (139152, 3184, 46, 'आयरिश');
INSERT INTO `lang_definitions` VALUES (139153, 3185, 46, 'अनियमित हार्ट बीट');
INSERT INTO `lang_definitions` VALUES (139154, 3186, 46, 'चिडचिड');
INSERT INTO `lang_definitions` VALUES (139155, 3187, 46, 'चिडून');
INSERT INTO `lang_definitions` VALUES (139156, 3188, 46, 'खालील आकडेवारीचा भिन्न भाषा आवृत्ती आहे');
INSERT INTO `lang_definitions` VALUES (139157, 3189, 46, 'खालील डेटाबेस भिन्न आवृत्ती आहे');
INSERT INTO `lang_definitions` VALUES (139158, 3190, 46, 'खालील आकडेवारीचा अधिक अलीकडील आवृत्ती आहे');
INSERT INTO `lang_definitions` VALUES (139159, 3191, 46, 'आवश्यक फील्ड आहे.');
INSERT INTO `lang_definitions` VALUES (139160, 3192, 46, 'रूट नोड आहे आणि हटविले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (139161, 3193, 46, 'खालील डेटाबेस एक विस्तार आहे');
INSERT INTO `lang_definitions` VALUES (139162, 3194, 46, 'या CVX कोड आधीच अस्तित्वात लसीकरण मॅप ठीक आहे?');
INSERT INTO `lang_definitions` VALUES (139163, 3195, 46, 'गहाळ किंवा अज्ञात आहे');
INSERT INTO `lang_definitions` VALUES (139164, 3197, 46, '(दशांश अपूर्णांक ठिक) वैध नाही.');
INSERT INTO `lang_definitions` VALUES (139165, 3198, 46, 'कृपया PHP सुरक्षित मोड वापरत आहे?');
INSERT INTO `lang_definitions` VALUES (139166, 3200, 46, 'फॉर्म मांडणी मजकूर अनुवादित केले आहे का?');
INSERT INTO `lang_definitions` VALUES (139167, 3201, 46, 'याद्या मजकूर अनुवादित केले आहे का?');
INSERT INTO `lang_definitions` VALUES (139168, 3202, 46, 'फाइल कूटबद्ध आहे का?');
INSERT INTO `lang_definitions` VALUES (139169, 3203, 46, 'हे एक क्लिनिकल मुदत कोड प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (139170, 3204, 46, 'हे निदान प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (139171, 3205, 46, 'हे एक वैद्यकीय समस्या कोड प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (139172, 3206, 46, 'हे औषध प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (139173, 3207, 46, 'हे एक पद्धत / सेवा प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (139174, 3208, 46, 'हा सक्रिय आहे का?');
INSERT INTO `lang_definitions` VALUES (139175, 3209, 46, 'हा कोड प्रकार सक्रिय आहे का?');
INSERT INTO `lang_definitions` VALUES (139176, 3210, 46, 'दावे वापरले हा कोड प्रकार आहे?');
INSERT INTO `lang_definitions` VALUES (139177, 3211, 46, 'हे खरोखर ठीक आहे का?');
INSERT INTO `lang_definitions` VALUES (139178, 3212, 46, 'फी पत्रक लपवलेले हा प्रकार आहे का?');
INSERT INTO `lang_definitions` VALUES (139179, 3213, 46, 'हे बाह्य एस क्यू एल सपाट दगडी पाट्या वापरत आहे? ते आहे तर, नंतर स्वरूप निवडा.');
INSERT INTO `lang_definitions` VALUES (139180, 3214, 46, 'खूप लांब आहे');
INSERT INTO `lang_definitions` VALUES (139181, 3215, 46, 'आयएसओ 639-2 कोड');
INSERT INTO `lang_definitions` VALUES (139182, 3216, 46, 'अंक');
INSERT INTO `lang_definitions` VALUES (139183, 3217, 46, 'समस्या');
INSERT INTO `lang_definitions` VALUES (139184, 3218, 46, 'जारी केल्याचा दिनांक');
INSERT INTO `lang_definitions` VALUES (139185, 3219, 46, 'अंक आयडी');
INSERT INTO `lang_definitions` VALUES (139186, 3220, 46, 'अंक शीर्षक');
INSERT INTO `lang_definitions` VALUES (139187, 3221, 46, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (139188, 3222, 46, 'समस्या प्रकार');
INSERT INTO `lang_definitions` VALUES (139189, 3223, 46, 'मुद्दे');
INSERT INTO `lang_definitions` VALUES (139190, 3224, 46, 'मुद्दे (दुखापती / वैद्यकीय / ऍलर्जी)');
INSERT INTO `lang_definitions` VALUES (139191, 3225, 46, 'मुद्दे (दुखापती / वैद्यकीय / ऍलर्जी):');
INSERT INTO `lang_definitions` VALUES (139192, 3226, 46, 'मुद्दे आणि Encounters');
INSERT INTO `lang_definitions` VALUES (139193, 3227, 46, 'मुद्दे आणि Encounters साठी');
INSERT INTO `lang_definitions` VALUES (139194, 3228, 46, 'मुद्दे अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (139195, 3229, 46, 'मुद्दे विभाग');
INSERT INTO `lang_definitions` VALUES (139196, 3230, 46, 'इटालियन');
INSERT INTO `lang_definitions` VALUES (139197, 3231, 46, 'आयटम');
INSERT INTO `lang_definitions` VALUES (139198, 3232, 46, 'आयटम');
INSERT INTO `lang_definitions` VALUES (139199, 3233, 46, 'आयटम');
INSERT INTO `lang_definitions` VALUES (139200, 3234, 46, 'आयटम अयशस्वी लोड');
INSERT INTO `lang_definitions` VALUES (139201, 3235, 46, 'IU / एल');
INSERT INTO `lang_definitions` VALUES (139202, 3236, 46, 'IUD');
INSERT INTO `lang_definitions` VALUES (139203, 3237, 46, 'चौथा');
INSERT INTO `lang_definitions` VALUES (139204, 3238, 46, 'जानेवारी');
INSERT INTO `lang_definitions` VALUES (139205, 3239, 46, 'जानेवारी');
INSERT INTO `lang_definitions` VALUES (139206, 3240, 46, 'जपानी');
INSERT INTO `lang_definitions` VALUES (139207, 3241, 46, 'कावीळ');
INSERT INTO `lang_definitions` VALUES (139208, 3242, 46, 'जावातील लोक किंवा त्यांची भाषा');
INSERT INTO `lang_definitions` VALUES (139209, 3243, 46, 'कामाचे स्वरूप');
INSERT INTO `lang_definitions` VALUES (139210, 3244, 46, 'नोकरी आयडी');
INSERT INTO `lang_definitions` VALUES (139211, 3245, 46, 'संयुक्त dislocations');
INSERT INTO `lang_definitions` VALUES (139212, 3246, 46, 'संयुक्त वेदना');
INSERT INTO `lang_definitions` VALUES (139213, 3247, 46, 'संयुक्त sprains');
INSERT INTO `lang_definitions` VALUES (139214, 3248, 46, 'जुलै');
INSERT INTO `lang_definitions` VALUES (139215, 3249, 46, 'जुलै');
INSERT INTO `lang_definitions` VALUES (139216, 3250, 46, 'जून');
INSERT INTO `lang_definitions` VALUES (139217, 3251, 46, 'जून');
INSERT INTO `lang_definitions` VALUES (139218, 3252, 46, 'फक्त चेक खालील माहिती आपण आपल्या शोध मापदंड ठेवले जेथे निळा क्षेत्र आहे. आपण रुग्णाला नाव, चार्ट क्रमांक, चकमकीत संख्या किंवा सेवा तारीख, किंवा या कोणत्याही संयोजनात शोधू शकता. आपण फक्त सर्व पावत्या, खुल्या पावत्या, किंवा (रुग्णाने) मुळे आहेत की पावत्या पाहू इच्छित की नाही हे निवडू शकता. शोध सुरू शोध बटणावर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (139219, 3253, 46, 'फक्त माझे');
INSERT INTO `lang_definitions` VALUES (139220, 3254, 46, 'समर्थन नोंदी');
INSERT INTO `lang_definitions` VALUES (139221, 3255, 46, 'समायोजित');
INSERT INTO `lang_definitions` VALUES (139222, 3256, 46, 'समायोजित / सेव्ह');
INSERT INTO `lang_definitions` VALUES (139223, 3257, 46, 'जॉन {{जस्टिफाय शीर्षलेख}}');
INSERT INTO `lang_definitions` VALUES (139224, 3258, 46, 'के, येथे विश्रांती आहे');
INSERT INTO `lang_definitions` VALUES (139225, 3259, 46, 'कलाल्लिसुत, ग्रीनलँडिक');
INSERT INTO `lang_definitions` VALUES (139226, 3260, 46, 'कन्नड');
INSERT INTO `lang_definitions` VALUES (139227, 3261, 46, 'कनुरी');
INSERT INTO `lang_definitions` VALUES (139228, 3262, 46, 'काश्मिरी');
INSERT INTO `lang_definitions` VALUES (139229, 3263, 46, 'कझाक');
INSERT INTO `lang_definitions` VALUES (139230, 3264, 46, 'की');
INSERT INTO `lang_definitions` VALUES (139231, 3265, 46, 'कीवर्ड');
INSERT INTO `lang_definitions` VALUES (139232, 3266, 46, 'किलो');
INSERT INTO `lang_definitions` VALUES (139233, 3267, 46, 'किलो / मीटर ^ 2');
INSERT INTO `lang_definitions` VALUES (139234, 3268, 46, 'ख्मेर');
INSERT INTO `lang_definitions` VALUES (139235, 3269, 46, 'किडनी कर्करोग');
INSERT INTO `lang_definitions` VALUES (139236, 3270, 46, 'किडनी अयशस्वी');
INSERT INTO `lang_definitions` VALUES (139237, 3271, 46, 'किडनी इन्फेक्शन्स');
INSERT INTO `lang_definitions` VALUES (139238, 3272, 46, 'किडनी स्टोन्स');
INSERT INTO `lang_definitions` VALUES (139239, 3273, 46, 'किडनी रोपण');
INSERT INTO `lang_definitions` VALUES (139240, 3274, 46, 'किकुयू, Gikuyu');
INSERT INTO `lang_definitions` VALUES (139241, 3275, 46, 'किन्यारवांडा');
INSERT INTO `lang_definitions` VALUES (139242, 3276, 46, 'किरुन्दी');
INSERT INTO `lang_definitions` VALUES (139243, 3277, 46, 'गुडघा');
INSERT INTO `lang_definitions` VALUES (139244, 3278, 46, 'गुडघा समस्या');
INSERT INTO `lang_definitions` VALUES (139245, 3279, 46, 'गुडघा बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (139246, 3280, 46, 'कोमी');
INSERT INTO `lang_definitions` VALUES (139247, 3281, 46, 'काँगो');
INSERT INTO `lang_definitions` VALUES (139248, 3282, 46, 'कोरियन');
INSERT INTO `lang_definitions` VALUES (139249, 3283, 46, 'कुर्दिश');
INSERT INTO `lang_definitions` VALUES (139250, 3284, 46, 'Kwanyama, क्वान्यामा');
INSERT INTO `lang_definitions` VALUES (139251, 3285, 46, 'किरगिझ');
INSERT INTO `lang_definitions` VALUES (139252, 3286, 46, 'लॅब');
INSERT INTO `lang_definitions` VALUES (139253, 3287, 46, 'लॅब दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (139254, 3288, 46, 'लॅब एक्सचेंज साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (139255, 3289, 46, 'लॅब एक्सचेंज साइट ID');
INSERT INTO `lang_definitions` VALUES (139256, 3290, 46, 'लॅब एक्सचेंज टोकन आयडी');
INSERT INTO `lang_definitions` VALUES (139257, 3291, 46, 'लॅब ऑर्डर');
INSERT INTO `lang_definitions` VALUES (139258, 3292, 46, 'लॅब विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (139259, 3293, 46, 'लॅब विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (139260, 3294, 46, 'लॅब क्वेरी स्थिती');
INSERT INTO `lang_definitions` VALUES (139261, 3295, 46, 'लॅब अहवाल');
INSERT INTO `lang_definitions` VALUES (139262, 3296, 46, 'लॅब निकाल');
INSERT INTO `lang_definitions` VALUES (139263, 3297, 46, 'लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (139264, 3298, 46, 'लॅब परिणाम वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (139265, 3299, 46, 'लॅब परिणाम अहवाल');
INSERT INTO `lang_definitions` VALUES (139266, 3300, 46, 'लॅब सेवा');
INSERT INTO `lang_definitions` VALUES (139267, 3301, 46, 'लॅब परीक्षेचा निकाल');
INSERT INTO `lang_definitions` VALUES (139268, 3302, 46, 'लॅब / फाइल');
INSERT INTO `lang_definitions` VALUES (139269, 3303, 46, 'लेबल');
INSERT INTO `lang_definitions` VALUES (139270, 3304, 46, 'लेबल रिक्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (139271, 3305, 46, 'लेबल स्तंभ');
INSERT INTO `lang_definitions` VALUES (139272, 3306, 46, 'हा प्रकार लेबल');
INSERT INTO `lang_definitions` VALUES (139273, 3307, 46, 'LabelCols 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (139274, 3308, 46, 'लेबले');
INSERT INTO `lang_definitions` VALUES (139275, 3311, 46, 'लॅब्ज');
INSERT INTO `lang_definitions` VALUES (139276, 3312, 46, 'छेद / त्वचा अट');
INSERT INTO `lang_definitions` VALUES (139277, 3313, 46, 'छेद / ओरखडा');
INSERT INTO `lang_definitions` VALUES (139278, 3315, 46, 'लँडस्केप');
INSERT INTO `lang_definitions` VALUES (139279, 3316, 46, 'भाषा');
INSERT INTO `lang_definitions` VALUES (139280, 3317, 46, 'भाषा कोड');
INSERT INTO `lang_definitions` VALUES (139281, 3318, 46, 'भाषा व्याख्या जोडले');
INSERT INTO `lang_definitions` VALUES (139282, 3319, 46, 'भाषा इंटरफेस साधन');
INSERT INTO `lang_definitions` VALUES (139283, 3320, 46, 'भाषा यादी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (139284, 3321, 46, 'भाषा नाव');
INSERT INTO `lang_definitions` VALUES (139285, 3322, 46, 'भाषा:');
INSERT INTO `lang_definitions` VALUES (139286, 3323, 46, 'लाओ');
INSERT INTO `lang_definitions` VALUES (139287, 3324, 46, 'लाओतिअन');
INSERT INTO `lang_definitions` VALUES (139288, 3325, 46, 'गेल्या');
INSERT INTO `lang_definitions` VALUES (139289, 3326, 46, 'अंतिम क्रियाकलाप तारीख');
INSERT INTO `lang_definitions` VALUES (139290, 3327, 46, 'गेल्या आंत्रपुच्छ काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (139291, 3328, 46, 'अंतिम बिल तारीख:');
INSERT INTO `lang_definitions` VALUES (139292, 3329, 46, 'गेल्या स्तनाचा परीक्षा');
INSERT INTO `lang_definitions` VALUES (139293, 3330, 46, 'गेल्या कॅलेंडर वर्ष');
INSERT INTO `lang_definitions` VALUES (139294, 3331, 46, 'गेल्या मोतीबिंदू शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (139295, 3332, 46, 'गेल्या Cholecystestomy');
INSERT INTO `lang_definitions` VALUES (139296, 3333, 46, 'गेल्या आढळतात');
INSERT INTO `lang_definitions` VALUES (139297, 3334, 46, 'गेल्या GYN. परीक्षा');
INSERT INTO `lang_definitions` VALUES (139298, 3335, 46, 'गेल्या हार्ट शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (139299, 3336, 46, 'गेल्या अन्तर्गळ दुरुस्ती');
INSERT INTO `lang_definitions` VALUES (139300, 3337, 46, 'गेल्या हिप बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (139301, 3338, 46, 'गेल्या Hysterectomy');
INSERT INTO `lang_definitions` VALUES (139302, 3339, 46, 'गेल्या गुडघा बदलण्याचे');
INSERT INTO `lang_definitions` VALUES (139303, 3340, 46, 'गेल्या पातळी बिल');
INSERT INTO `lang_definitions` VALUES (139304, 3341, 46, 'गेल्या मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (139305, 3342, 46, 'गेल्या मासिक पाळी');
INSERT INTO `lang_definitions` VALUES (139306, 3343, 46, 'शेवटचा महिना');
INSERT INTO `lang_definitions` VALUES (139307, 3344, 46, 'आडनाव');
INSERT INTO `lang_definitions` VALUES (139308, 3345, 46, 'आडनाव');
INSERT INTO `lang_definitions` VALUES (139309, 3346, 46, 'आडनाव:');
INSERT INTO `lang_definitions` VALUES (139310, 3347, 46, 'गेल्या शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (139311, 3348, 46, 'गेल्या पुर: स्थ परीक्षा');
INSERT INTO `lang_definitions` VALUES (139312, 3349, 46, 'गेल्या मलमार्गविषयक परीक्षा');
INSERT INTO `lang_definitions` VALUES (139313, 3350, 46, 'शेवटचे पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (139314, 3351, 46, 'गेल्या चालवा सुरु');
INSERT INTO `lang_definitions` VALUES (139315, 3352, 46, 'शेवटी जतन केलेला');
INSERT INTO `lang_definitions` VALUES (139316, 3353, 46, 'गेल्या सिग्मा / Colonoscopy');
INSERT INTO `lang_definitions` VALUES (139317, 3355, 46, 'गेल्या एक किंवा दोन्ही गलग्रंथी काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (139318, 3356, 46, 'गेल्या सुधारणा');
INSERT INTO `lang_definitions` VALUES (139319, 3357, 46, 'अखेरचे सत्यापित रोजी');
INSERT INTO `lang_definitions` VALUES (139320, 3358, 46, 'अंतिम भेट');
INSERT INTO `lang_definitions` VALUES (139321, 3359, 46, 'गेल्या क्ष-किरण');
INSERT INTO `lang_definitions` VALUES (139322, 3360, 46, 'कै पुनरावृत्ती (2-12 मो)');
INSERT INTO `lang_definitions` VALUES (139323, 3361, 46, 'बाजूकडील घोटा');
INSERT INTO `lang_definitions` VALUES (139324, 3362, 46, 'बाजूकडील घोटा:');
INSERT INTO `lang_definitions` VALUES (139325, 3363, 46, 'Laterality');
INSERT INTO `lang_definitions` VALUES (139326, 3364, 46, 'या पद्धतीचा Laterality, लागू असल्यास');
INSERT INTO `lang_definitions` VALUES (139327, 3365, 46, 'laterally आणि PMI परिणाम विस्थापित:');
INSERT INTO `lang_definitions` VALUES (139328, 3367, 46, 'ताज्या भेट द्या किंवा सल्ला');
INSERT INTO `lang_definitions` VALUES (139329, 3368, 46, 'लॅटिन');
INSERT INTO `lang_definitions` VALUES (139330, 3369, 46, 'लाट्वियन');
INSERT INTO `lang_definitions` VALUES (139331, 3372, 46, 'मांडणी');
INSERT INTO `lang_definitions` VALUES (139332, 3373, 46, 'मांडणी आधारित');
INSERT INTO `lang_definitions` VALUES (139333, 3374, 46, 'लेआउट संपादक');
INSERT INTO `lang_definitions` VALUES (139334, 3375, 46, 'मांडणी गट');
INSERT INTO `lang_definitions` VALUES (139335, 3376, 46, 'मांडणी शैली');
INSERT INTO `lang_definitions` VALUES (139336, 3378, 46, 'मांडणी आधारित भेट द्या अर्ज');
INSERT INTO `lang_definitions` VALUES (139337, 3379, 46, 'लेआउट');
INSERT INTO `lang_definitions` VALUES (139338, 3380, 46, 'लेगबाईज');
INSERT INTO `lang_definitions` VALUES (139339, 3381, 46, 'एलबीएस');
INSERT INTO `lang_definitions` VALUES (139340, 3382, 46, 'LDL');
INSERT INTO `lang_definitions` VALUES (139341, 3383, 46, 'सक्रिय अजूनही तर रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (139342, 3384, 46, 'मूळ फाइलनाव ठेवा करण्यासाठी रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (139343, 3385, 46, 'जसाच्या तसा पासवर्ड ठेवणे रिक्त सोडा.');
INSERT INTO `lang_definitions` VALUES (139344, 3386, 46, 'सह संदेश सोडा');
INSERT INTO `lang_definitions` VALUES (139345, 3387, 46, 'फॉर्म सोडा');
INSERT INTO `lang_definitions` VALUES (139346, 3388, 46, 'पास वाक्यांश रिक्त सोडून दस्तऐवज कूटबद्ध नाही');
INSERT INTO `lang_definitions` VALUES (139347, 3390, 46, 'बाकी');
INSERT INTO `lang_definitions` VALUES (139348, 3391, 46, 'डाव्या कानात');
INSERT INTO `lang_definitions` VALUES (139349, 3392, 46, 'डाव्या कानात');
INSERT INTO `lang_definitions` VALUES (139350, 3393, 46, 'डावा समास (मिमी)');
INSERT INTO `lang_definitions` VALUES (139351, 3394, 46, 'डावीकडे:');
INSERT INTO `lang_definitions` VALUES (139352, 3395, 46, 'डावीकडे: ');
INSERT INTO `lang_definitions` VALUES (139353, 3396, 46, 'लेग वेदना / cramping');
INSERT INTO `lang_definitions` VALUES (139354, 3397, 46, 'कायदेशीर');
INSERT INTO `lang_definitions` VALUES (139355, 3399, 46, 'कायदेशीर कागद आकार');
INSERT INTO `lang_definitions` VALUES (139356, 3400, 46, 'संकेत:');
INSERT INTO `lang_definitions` VALUES (139357, 3401, 46, 'लांबी');
INSERT INTO `lang_definitions` VALUES (139358, 3402, 46, 'सुधारक लांबी, 0 तर कोणीही');
INSERT INTO `lang_definitions` VALUES (139359, 3403, 46, 'च्या पेक्षा कमी');
INSERT INTO `lang_definitions` VALUES (139360, 3404, 46, 'या पेक्षा कमी किंवा समान');
INSERT INTO `lang_definitions` VALUES (139361, 3405, 46, 'कमी-खाजगी माहिती (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (139362, 3406, 46, 'पत्र');
INSERT INTO `lang_definitions` VALUES (139363, 3407, 46, 'पत्र जनक');
INSERT INTO `lang_definitions` VALUES (139364, 3408, 46, 'पत्र कागद आकार');
INSERT INTO `lang_definitions` VALUES (139365, 3409, 46, 'त्या डॉक्टर चिन्हे नाव');
INSERT INTO `lang_definitions` VALUES (139366, 3410, 46, 'त्या रुग्णाची चिन्हे नाव');
INSERT INTO `lang_definitions` VALUES (139367, 3411, 46, 'निकड पातळी');
INSERT INTO `lang_definitions` VALUES (139368, 3412, 46, 'दायित्व');
INSERT INTO `lang_definitions` VALUES (139369, 3413, 46, 'दायित्व वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (139370, 3414, 46, 'परवाना / आयडी');
INSERT INTO `lang_definitions` VALUES (139371, 3419, 46, 'LicensedPrescriber आडनाव');
INSERT INTO `lang_definitions` VALUES (139372, 3420, 46, 'LicensedPrescriber NPI');
INSERT INTO `lang_definitions` VALUES (139373, 3421, 46, 'LicensedPrescriber UPIN');
INSERT INTO `lang_definitions` VALUES (139374, 3423, 46, 'जीवनशैली');
INSERT INTO `lang_definitions` VALUES (139375, 3424, 46, 'जीवनशैली स्थिती');
INSERT INTO `lang_definitions` VALUES (139376, 3425, 46, 'लीगामेंट झीज तूट किंवा खेचले जाणे');
INSERT INTO `lang_definitions` VALUES (139377, 3426, 46, 'प्रकाश तंबाखू धूम्रपान');
INSERT INTO `lang_definitions` VALUES (139378, 3427, 46, 'लिंबूर्गिश, लिम्बर्गन Name, Limburger');
INSERT INTO `lang_definitions` VALUES (139379, 3428, 46, 'आगामी कार्यक्रम मर्यादा');
INSERT INTO `lang_definitions` VALUES (139380, 3429, 46, 'मर्यादा');
INSERT INTO `lang_definitions` VALUES (139381, 3430, 46, 'लिङ्गला');
INSERT INTO `lang_definitions` VALUES (139382, 3431, 46, 'दुवा');
INSERT INTO `lang_definitions` VALUES (139383, 3432, 46, 'रुग्णांच्या वेबसाईटशी लिंक करा');
INSERT INTO `lang_definitions` VALUES (139384, 3433, 46, 'लिंक्ड');
INSERT INTO `lang_definitions` VALUES (139385, 3434, 46, 'लिंक्ड दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (139386, 3435, 46, 'लिंक्ड प्रक्रिया करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (139387, 3436, 46, 'दस्तऐवज लिंक');
INSERT INTO `lang_definitions` VALUES (139388, 3437, 46, 'प्रक्रिया करण्यासाठी लिंक');
INSERT INTO `lang_definitions` VALUES (139389, 3438, 46, 'यादी');
INSERT INTO `lang_definitions` VALUES (139390, 3439, 46, 'सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (139391, 3440, 46, 'यादी बॉक्स');
INSERT INTO `lang_definitions` VALUES (139392, 3441, 46, 'जोडू / W सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (139393, 3442, 46, 'जोडा / W सूची बॉक्स');
INSERT INTO `lang_definitions` VALUES (139394, 3443, 46, 'यादी संपादक');
INSERT INTO `lang_definitions` VALUES (139395, 3444, 46, 'यादी चकमकी');
INSERT INTO `lang_definitions` VALUES (139396, 3445, 46, 'यादी गट');
INSERT INTO `lang_definitions` VALUES (139397, 3446, 46, 'यादी विमा कंपन्या');
INSERT INTO `lang_definitions` VALUES (139398, 3448, 46, 'यादी आयटम संख्या सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (139399, 3449, 46, 'यादी आयटम बेकायदेशीर वर्ण आहे (आहेत).');
INSERT INTO `lang_definitions` VALUES (139400, 3451, 46, 'यादी याद्या');
INSERT INTO `lang_definitions` VALUES (139401, 3452, 46, 'यादी नाव');
INSERT INTO `lang_definitions` VALUES (139402, 3453, 46, 'यादी नावे संख्या सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (139403, 3454, 46, 'यादी चांगले');
INSERT INTO `lang_definitions` VALUES (139404, 3455, 46, 'वरील देश डेटा प्रकार पर्याय वापरले यादी.');
INSERT INTO `lang_definitions` VALUES (139405, 3456, 46, 'वरील राज्य डेटा प्रकार पर्याय वापरले यादी.');
INSERT INTO `lang_definitions` VALUES (139406, 3457, 46, 'न करता RFC 5425, TLS syslog सर्व्हरकडे पोर्ट ऐकणे.');
INSERT INTO `lang_definitions` VALUES (139407, 3458, 46, 'याद्या');
INSERT INTO `lang_definitions` VALUES (139408, 3459, 46, 'लिथुआनियन');
INSERT INTO `lang_definitions` VALUES (139409, 3460, 46, 'राहण्याची होईल');
INSERT INTO `lang_definitions` VALUES (139410, 3461, 46, 'LLL:');
INSERT INTO `lang_definitions` VALUES (139411, 3462, 46, 'एलएमपी');
INSERT INTO `lang_definitions` VALUES (139412, 3463, 46, 'लोड सर्वसमावेशक सारांश');
INSERT INTO `lang_definitions` VALUES (139413, 3464, 46, 'लोड व्याख्या');
INSERT INTO `lang_definitions` VALUES (139414, 3465, 46, 'लॅब संरचना लोड');
INSERT INTO `lang_definitions` VALUES (139415, 3466, 46, 'लिहायचं प्रश्न पर्याय लोड करा');
INSERT INTO `lang_definitions` VALUES (139416, 3467, 46, 'ऑर्डर व्याख्या लोड');
INSERT INTO `lang_definitions` VALUES (139417, 3468, 46, 'ऑर्डर प्रवेश प्रश्न लोड');
INSERT INTO `lang_definitions` VALUES (139418, 3469, 46, 'लोड यशस्वी. कोड समाविष्ट');
INSERT INTO `lang_definitions` VALUES (139419, 3470, 46, 'लोड करत आहे');
INSERT INTO `lang_definitions` VALUES (139420, 3471, 46, 'डेटाबेस मध्ये फायली लोड करत आहे. हे काही वेळ लागेल ...');
INSERT INTO `lang_definitions` VALUES (139421, 3472, 46, 'LOC');
INSERT INTO `lang_definitions` VALUES (139422, 3473, 46, 'स्थानिक');
INSERT INTO `lang_definitions` VALUES (139423, 3474, 46, 'स्थानिक सामग्री');
INSERT INTO `lang_definitions` VALUES (139424, 3475, 46, 'स्थानीय फाइलप्रणालीवरील');
INSERT INTO `lang_definitions` VALUES (139425, 3476, 46, 'लोकॅल');
INSERT INTO `lang_definitions` VALUES (139426, 3477, 46, 'परिसर');
INSERT INTO `lang_definitions` VALUES (139427, 3478, 46, 'स्थान');
INSERT INTO `lang_definitions` VALUES (139428, 3479, 46, 'तो स्वतः त्याच्या वापर नंतर फाइल हटवली शिफारसीय आहे त्यामुळे libreehr मशीन स्थान आणि, संवेदनशील डाटा असू शकते');
INSERT INTO `lang_definitions` VALUES (139429, 3480, 46, 'या भरपूर स्थान');
INSERT INTO `lang_definitions` VALUES (139430, 3481, 46, 'निर्दिष्ट न स्थान');
INSERT INTO `lang_definitions` VALUES (139431, 3482, 46, 'स्थान जेथे Hylafax स्टोअर्स फॅक्स.');
INSERT INTO `lang_definitions` VALUES (139432, 3483, 46, 'स्कॅन साठवले जातात जेथे स्थान.');
INSERT INTO `lang_definitions` VALUES (139433, 3484, 46, 'स्थान:');
INSERT INTO `lang_definitions` VALUES (139434, 3485, 46, 'लॉक');
INSERT INTO `lang_definitions` VALUES (139435, 3486, 46, 'वैयक्तिकरित्या ई-साइन इन फॉर्म लॉक');
INSERT INTO `lang_definitions` VALUES (139436, 3487, 46, 'लॉक ई-साइन इन चकमकी आणि त्यांच्या फॉर्म');
INSERT INTO `lang_definitions` VALUES (139437, 3488, 46, 'लॉक करायचा?');
INSERT INTO `lang_definitions` VALUES (139438, 3489, 46, 'बंधिस्त');
INSERT INTO `lang_definitions` VALUES (139439, 3492, 46, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (139440, 3493, 46, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (139441, 3494, 46, 'बाहेर पडणे');
INSERT INTO `lang_definitions` VALUES (139442, 3495, 46, 'लॉग इन');
INSERT INTO `lang_definitions` VALUES (139443, 3496, 46, 'म्हणून लॉग इन');
INSERT INTO `lang_definitions` VALUES (139444, 3497, 46, 'म्हणून लॉग इन: ');
INSERT INTO `lang_definitions` VALUES (139445, 3498, 46, 'लॉग आऊट केले.');
INSERT INTO `lang_definitions` VALUES (139446, 3499, 46, 'लॉग');
INSERT INTO `lang_definitions` VALUES (139447, 3500, 46, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (139448, 3501, 46, 'प्रवेश करा');
INSERT INTO `lang_definitions` VALUES (139449, 3502, 46, 'पोर्टल प्रवेश वर्डप्रेस वापरकर्ता लॉग-इन नाव');
INSERT INTO `lang_definitions` VALUES (139450, 3503, 46, 'दूर्रस्थ यजमानाशी लॉगिन करा');
INSERT INTO `lang_definitions` VALUES (139451, 3504, 46, 'या दूर्रस्थ यजमानाशी लॉगिन अयशस्वी');
INSERT INTO `lang_definitions` VALUES (139452, 3505, 46, 'बाहेर पडणे');
INSERT INTO `lang_definitions` VALUES (139453, 3506, 46, 'बाहेर पडणे');
INSERT INTO `lang_definitions` VALUES (139454, 3507, 46, 'नोंदी');
INSERT INTO `lang_definitions` VALUES (139455, 3508, 46, 'नोंदी दर्शक');
INSERT INTO `lang_definitions` VALUES (139456, 3510, 46, 'वर बघ');
INSERT INTO `lang_definitions` VALUES (139457, 3511, 46, 'लोट');
INSERT INTO `lang_definitions` VALUES (139458, 3512, 46, 'लोट आयडी गहाळ!');
INSERT INTO `lang_definitions` VALUES (139459, 3513, 46, 'लोट क्रमांक');
INSERT INTO `lang_definitions` VALUES (139460, 3514, 46, 'कमी');
INSERT INTO `lang_definitions` VALUES (139461, 3515, 46, 'निम्न प्राधान्य');
INSERT INTO `lang_definitions` VALUES (139462, 3516, 46, 'कमी चेंडू');
INSERT INTO `lang_definitions` VALUES (139463, 3517, 46, 'सर्वात कमी प्राधान्य');
INSERT INTO `lang_definitions` VALUES (139464, 3518, 46, 'ल्यूबा-कटांगा');
INSERT INTO `lang_definitions` VALUES (139465, 3519, 46, 'पाठीच्या मणक्याचे');
INSERT INTO `lang_definitions` VALUES (139466, 3520, 46, 'लंच');
INSERT INTO `lang_definitions` VALUES (139467, 3521, 46, 'लंच');
INSERT INTO `lang_definitions` VALUES (139468, 3522, 46, 'फुफ्फुसांचा कर्करोग');
INSERT INTO `lang_definitions` VALUES (139469, 3523, 46, 'फुफ्फुसांचा कर्करोग शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (139470, 3524, 46, 'फुफ्फुसे:');
INSERT INTO `lang_definitions` VALUES (139471, 3525, 46, 'फुफ्फुसे:');
INSERT INTO `lang_definitions` VALUES (139472, 3526, 46, 'त्वचाक्षय');
INSERT INTO `lang_definitions` VALUES (139473, 3527, 46, 'डायलर, Letzeburgesch');
INSERT INTO `lang_definitions` VALUES (139474, 3528, 46, 'एम');
INSERT INTO `lang_definitions` VALUES (139475, 3529, 46, 'एम.ए. वर्ग');
INSERT INTO `lang_definitions` VALUES (139476, 3530, 46, 'गर्भपात स्वीकार एम.ए. क्लायंट');
INSERT INTO `lang_definitions` VALUES (139477, 3531, 46, 'एम.ए. आकडेवारी');
INSERT INTO `lang_definitions` VALUES (139478, 3532, 46, 'मॅसेडोनियन');
INSERT INTO `lang_definitions` VALUES (139479, 3533, 46, 'मेल पाठविले');
INSERT INTO `lang_definitions` VALUES (139480, 3534, 46, 'मुख्य');
INSERT INTO `lang_definitions` VALUES (139481, 3535, 46, 'मुख्य पत्ता');
INSERT INTO `lang_definitions` VALUES (139482, 3536, 46, 'मुख्य शीर्ष पट्टीमध्ये स्क्रीन');
INSERT INTO `lang_definitions` VALUES (139483, 3537, 46, 'सक्रिय औषध ऍलर्जी यादी ठेवणे.');
INSERT INTO `lang_definitions` VALUES (139484, 3538, 46, 'सक्रिय औषधोपचार यादी ठेवणे.');
INSERT INTO `lang_definitions` VALUES (139485, 3539, 46, 'वर्तमान आणि सक्रिय निदान एक अप-टू-डेट समस्या यादी ठेवणे.');
INSERT INTO `lang_definitions` VALUES (139486, 3540, 46, 'वर्तमान श्रेणी बदल करा.');
INSERT INTO `lang_definitions` VALUES (139487, 3541, 46, 'नवीन नियुक्ती करा');
INSERT INTO `lang_definitions` VALUES (139488, 3542, 46, 'खात्री करा \"');
INSERT INTO `lang_definitions` VALUES (139489, 3543, 46, 'क्लिअरिंग हाऊस अपलोड बॅच मजकूर फायली आणि बिल चिन्हांकित होईल');
INSERT INTO `lang_definitions` VALUES (139490, 3544, 46, 'मालागासे');
INSERT INTO `lang_definitions` VALUES (139491, 3545, 46, 'धुसफूस:');
INSERT INTO `lang_definitions` VALUES (139492, 3546, 46, 'मलय');
INSERT INTO `lang_definitions` VALUES (139493, 3547, 46, 'मल्याळम');
INSERT INTO `lang_definitions` VALUES (139494, 3548, 46, 'पुरुष');
INSERT INTO `lang_definitions` VALUES (139495, 3549, 46, 'पुरुष कंडोम');
INSERT INTO `lang_definitions` VALUES (139496, 3550, 46, 'पुरुष VSC');
INSERT INTO `lang_definitions` VALUES (139497, 3551, 46, 'माल्टीज');
INSERT INTO `lang_definitions` VALUES (139498, 3552, 46, 'मध्यमवयानंतरचा');
INSERT INTO `lang_definitions` VALUES (139499, 3553, 46, 'व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (139500, 3554, 46, 'हूक्सचा व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (139501, 3555, 46, 'मॉड्यूल व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (139502, 3556, 46, 'भाषांतर व्यवस्थापित करा');
INSERT INTO `lang_definitions` VALUES (139503, 3557, 46, 'व्यवस्थापन');
INSERT INTO `lang_definitions` VALUES (139504, 3558, 46, 'अनिवार्य व निर्देशीत फील्ड');
INSERT INTO `lang_definitions` VALUES (139505, 3559, 46, 'फक्त अनिवार्य किंवा निर्दिष्ट फील्ड, dup चेक, नाही शोध');
INSERT INTO `lang_definitions` VALUES (139506, 3560, 46, 'अनिवार्य किंवा निर्दिष्ट फील्ड फक्त, शोध आणि dup तपासणी');
INSERT INTO `lang_definitions` VALUES (139507, 3561, 46, 'मॅन्युअल');
INSERT INTO `lang_definitions` VALUES (139508, 3562, 46, 'मॅन्युअल पोस्ट');
INSERT INTO `lang_definitions` VALUES (139509, 3563, 46, 'निर्माता');
INSERT INTO `lang_definitions` VALUES (139510, 3564, 46, 'मॅन्स्क');
INSERT INTO `lang_definitions` VALUES (139511, 3565, 46, 'मार्च');
INSERT INTO `lang_definitions` VALUES (139512, 3567, 46, 'मराठी (मराठी)');
INSERT INTO `lang_definitions` VALUES (139513, 3568, 46, 'मार्च');
INSERT INTO `lang_definitions` VALUES (139514, 3569, 46, 'वैवाहिक स्थिती');
INSERT INTO `lang_definitions` VALUES (139515, 3570, 46, 'मार्क बिल म्हणून');
INSERT INTO `lang_definitions` VALUES (139516, 3571, 46, 'मार्क बिल पण बिलिंग वगळा म्हणून');
INSERT INTO `lang_definitions` VALUES (139517, 3572, 46, 'मार्क साफ म्हणून');
INSERT INTO `lang_definitions` VALUES (139518, 3573, 46, 'मार्क बिल नाही');
INSERT INTO `lang_definitions` VALUES (139519, 3574, 46, 'पुनरावलोकन या अहवाल चिन्हांकित');
INSERT INTO `lang_definitions` VALUES (139520, 3575, 46, 'साफ म्हणून चिन्हांकित');
INSERT INTO `lang_definitions` VALUES (139521, 3576, 46, 'लग्न');
INSERT INTO `lang_definitions` VALUES (139522, 3577, 46, 'मार्शलीज');
INSERT INTO `lang_definitions` VALUES (139523, 3578, 46, 'मुखवटा');
INSERT INTO `lang_definitions` VALUES (139524, 3579, 46, 'चलन क्रमांकांसाठी मुखवटा');
INSERT INTO `lang_definitions` VALUES (139525, 3580, 46, 'रुग्णांच्या आयडी मास्क');
INSERT INTO `lang_definitions` VALUES (139526, 3581, 46, 'उत्पादन ID मास्क');
INSERT INTO `lang_definitions` VALUES (139527, 3582, 46, 'मॅच');
INSERT INTO `lang_definitions` VALUES (139528, 3583, 46, 'मॅच केस');
INSERT INTO `lang_definitions` VALUES (139529, 3584, 46, 'मॅच सापडले');
INSERT INTO `lang_definitions` VALUES (139530, 3590, 46, 'मॅट्रिक्स');
INSERT INTO `lang_definitions` VALUES (139531, 3591, 46, 'कमाल');
INSERT INTO `lang_definitions` VALUES (139532, 3592, 46, 'कमाल फाइल संख्या गाठली - रीलोड नावे खालील');
INSERT INTO `lang_definitions` VALUES (139533, 3594, 46, 'जबडयाच्या अधिकार:');
INSERT INTO `lang_definitions` VALUES (139534, 3595, 46, 'कमाल वय');
INSERT INTO `lang_definitions` VALUES (139535, 3596, 46, 'कमाल वर्ण');
INSERT INTO `lang_definitions` VALUES (139536, 3597, 46, 'बाहेर पडणे आधी सेकंद जास्तीत जास्त फालतू वेळ. मुलभूत 7200 (2 तास) आहे.');
INSERT INTO `lang_definitions` VALUES (139537, 3600, 46, 'कमाल वाजवी यादी, 0 लागू नाही तर');
INSERT INTO `lang_definitions` VALUES (139538, 3601, 46, 'कमाल आकार');
INSERT INTO `lang_definitions` VALUES (139539, 3602, 46, 'कमाल आकार (0 प्रविष्ट कोणत्याही आकाराचे परवानगी आहे)');
INSERT INTO `lang_definitions` VALUES (139540, 3603, 46, 'मे');
INSERT INTO `lang_definitions` VALUES (139541, 3604, 46, 'महानगरपालिका');
INSERT INTO `lang_definitions` VALUES (139542, 3605, 46, 'मेलबॉर्न क्रिकेट मैदान');
INSERT INTO `lang_definitions` VALUES (139543, 3607, 46, 'पासवर्ड बदलत असताना गेल्या तीन संकेतशब्द नाही अनुमती आहे याचा अर्थ.');
INSERT INTO `lang_definitions` VALUES (139544, 3609, 46, 'गट कोड मोजा');
INSERT INTO `lang_definitions` VALUES (139545, 3611, 46, 'मापन');
INSERT INTO `lang_definitions` VALUES (139546, 3612, 46, 'सरासरीचा घोटा:');
INSERT INTO `lang_definitions` VALUES (139547, 3613, 46, 'मेडीकेडची');
INSERT INTO `lang_definitions` VALUES (139548, 3614, 46, 'वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (139549, 3615, 46, 'वैद्यकीय गर्भपात');
INSERT INTO `lang_definitions` VALUES (139550, 3616, 46, 'वैद्यकीय प्रशासन');
INSERT INTO `lang_definitions` VALUES (139551, 3617, 46, 'वैद्यकीय इतिहास');
INSERT INTO `lang_definitions` VALUES (139552, 3618, 46, 'वैद्यकीय अंक');
INSERT INTO `lang_definitions` VALUES (139553, 3619, 46, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (139554, 3620, 46, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (139555, 3621, 46, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (139556, 3622, 46, 'वैद्यकीय समस्या समस्या सूची');
INSERT INTO `lang_definitions` VALUES (139557, 3623, 46, 'वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (139558, 3624, 46, 'वैद्यकीय नोंद');
INSERT INTO `lang_definitions` VALUES (139559, 3625, 46, 'वैद्यकीय नोंद #');
INSERT INTO `lang_definitions` VALUES (139560, 3626, 46, 'वैद्यकीय रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (139561, 3627, 46, 'पाठविलेला वैद्यकीय रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (139562, 3629, 46, 'वैद्यकीय सारांश दिले');
INSERT INTO `lang_definitions` VALUES (139563, 3630, 46, 'वैद्यकीय प्रणाली');
INSERT INTO `lang_definitions` VALUES (139564, 3631, 46, 'वैद्यकीय प्रकार');
INSERT INTO `lang_definitions` VALUES (139565, 3632, 46, 'वैद्यकीय / इतिहास (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (139566, 3633, 46, 'वैद्यकीय भाग ब');
INSERT INTO `lang_definitions` VALUES (139567, 3634, 46, 'वैद्यकीय संदर्भकर्त्यामध्ये प्रस्तुतकर्ता आहे');
INSERT INTO `lang_definitions` VALUES (139568, 3635, 46, 'औषधोपचार');
INSERT INTO `lang_definitions` VALUES (139569, 3636, 46, 'औषधोपचार ऍलर्जी यादी');
INSERT INTO `lang_definitions` VALUES (139570, 3637, 46, 'औषधोपचार समस्या सूची');
INSERT INTO `lang_definitions` VALUES (139571, 3638, 46, 'औषधोपचार यादी');
INSERT INTO `lang_definitions` VALUES (139572, 3639, 46, 'औषधोपचार सलोखा सादर?');
INSERT INTO `lang_definitions` VALUES (139573, 3640, 46, 'औषधे');
INSERT INTO `lang_definitions` VALUES (139574, 3641, 46, 'औषधे:');
INSERT INTO `lang_definitions` VALUES (139575, 3642, 46, 'औषध युनिट');
INSERT INTO `lang_definitions` VALUES (139576, 3643, 46, 'मध्यम');
INSERT INTO `lang_definitions` VALUES (139577, 3644, 46, 'MedlinePlus कनेक्ट');
INSERT INTO `lang_definitions` VALUES (139578, 3645, 46, 'सदस्य असोसिएशन सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (139579, 3646, 46, 'मेमरी समस्या');
INSERT INTO `lang_definitions` VALUES (139580, 3647, 46, 'पुरुष');
INSERT INTO `lang_definitions` VALUES (139581, 3648, 46, 'पुरुष आणि महिला');
INSERT INTO `lang_definitions` VALUES (139582, 3649, 46, 'पुरुष केवळ');
INSERT INTO `lang_definitions` VALUES (139583, 3650, 46, 'पहिली ऋतुप्राप्ती पहिल्यांदा मासिक पाळी येणे');
INSERT INTO `lang_definitions` VALUES (139584, 3651, 46, 'स्त्रियांच्या जीवनातील मासिकपाळी बंद होतो तो काळ');
INSERT INTO `lang_definitions` VALUES (139585, 3652, 46, 'मासिक फ्लो');
INSERT INTO `lang_definitions` VALUES (139586, 3653, 46, 'मासिक वारंवारता');
INSERT INTO `lang_definitions` VALUES (139587, 3654, 46, 'मानसिक आजार');
INSERT INTO `lang_definitions` VALUES (139588, 3655, 46, 'मेनू मजकूर');
INSERT INTO `lang_definitions` VALUES (139589, 3656, 46, 'मेनू');
INSERT INTO `lang_definitions` VALUES (139590, 3657, 46, 'विलीन');
INSERT INTO `lang_definitions` VALUES (139591, 3658, 46, 'पूर्ण विलीन करा.');
INSERT INTO `lang_definitions` VALUES (139592, 3659, 46, 'रुग्णांना विलीन');
INSERT INTO `lang_definitions` VALUES (139593, 3661, 46, 'संदेश');
INSERT INTO `lang_definitions` VALUES (139594, 3662, 46, 'संदेश आणि स्मरण केंद्र');
INSERT INTO `lang_definitions` VALUES (139595, 3663, 46, 'संदेश सामग्री तो एक दस्तऐवज म्हणून संग्रहित केले गेले आहे, त्यामुळे साधा मजकूर नाही.');
INSERT INTO `lang_definitions` VALUES (139596, 3664, 46, 'रुग्णाला ते संदेश');
INSERT INTO `lang_definitions` VALUES (139597, 3665, 46, 'संदेश पाठवला');
INSERT INTO `lang_definitions` VALUES (139598, 3666, 46, 'संदेश स्थिती');
INSERT INTO `lang_definitions` VALUES (139599, 3667, 46, 'संदेश शीर्षक');
INSERT INTO `lang_definitions` VALUES (139600, 3668, 46, 'रुग्णाला संदेश');
INSERT INTO `lang_definitions` VALUES (139601, 3669, 46, 'संदेश प्रकार');
INSERT INTO `lang_definitions` VALUES (139602, 3670, 46, 'संदेश:');
INSERT INTO `lang_definitions` VALUES (139603, 3671, 46, 'संदेश');
INSERT INTO `lang_definitions` VALUES (139604, 3672, 46, 'आपण आज पाठविले आहे संदेश');
INSERT INTO `lang_definitions` VALUES (139605, 3673, 46, 'पद्धत');
INSERT INTO `lang_definitions` VALUES (139606, 3674, 46, 'पद्धत आणि विशिष्ट उत्पादन');
INSERT INTO `lang_definitions` VALUES (139607, 3675, 46, 'जाणार्या मेल पाठवून पद्धत.');
INSERT INTO `lang_definitions` VALUES (139608, 3676, 46, 'विनाश पद्धत');
INSERT INTO `lang_definitions` VALUES (139609, 3677, 46, 'मेक्सिकन / MexAmer / Chicano');
INSERT INTO `lang_definitions` VALUES (139610, 3679, 46, 'मिग्रॅ');
INSERT INTO `lang_definitions` VALUES (139611, 3680, 46, 'मिग्रॅ / 1cc');
INSERT INTO `lang_definitions` VALUES (139612, 3681, 46, 'मिग्रॅ / 2cc');
INSERT INTO `lang_definitions` VALUES (139613, 3682, 46, 'मिग्रॅ / 3cc');
INSERT INTO `lang_definitions` VALUES (139614, 3683, 46, 'मिग्रॅ / 4cc');
INSERT INTO `lang_definitions` VALUES (139615, 3684, 46, 'मिग्रॅ / 5cc');
INSERT INTO `lang_definitions` VALUES (139616, 3685, 46, 'Mg / dl');
INSERT INTO `lang_definitions` VALUES (139617, 3686, 46, 'मध्य');
INSERT INTO `lang_definitions` VALUES (139618, 3687, 46, 'मधले नाव');
INSERT INTO `lang_definitions` VALUES (139619, 3688, 46, 'मधले नाव');
INSERT INTO `lang_definitions` VALUES (139620, 3690, 46, 'Midlevel Prescriber DEA');
INSERT INTO `lang_definitions` VALUES (139621, 3691, 46, 'Midlevel Prescriber नाव');
INSERT INTO `lang_definitions` VALUES (139622, 3692, 46, 'Midlevel Prescriber आडनाव');
INSERT INTO `lang_definitions` VALUES (139623, 3693, 46, 'Midlevel Prescriber पूर्वपद');
INSERT INTO `lang_definitions` VALUES (139624, 3694, 46, 'Midlevel Prescriber UPIN');
INSERT INTO `lang_definitions` VALUES (139625, 3695, 46, 'Mien');
INSERT INTO `lang_definitions` VALUES (139626, 3696, 46, 'स्थलांतरित किंवा हंगामी कार्यकर्ता?');
INSERT INTO `lang_definitions` VALUES (139627, 3697, 46, 'स्थलांतरित / हंगामी');
INSERT INTO `lang_definitions` VALUES (139628, 3698, 46, 'रशीद / CU.MM');
INSERT INTO `lang_definitions` VALUES (139629, 3701, 46, 'MIME प्रकार');
INSERT INTO `lang_definitions` VALUES (139630, 3702, 46, 'MimeType');
INSERT INTO `lang_definitions` VALUES (139631, 3703, 46, 'किमान');
INSERT INTO `lang_definitions` VALUES (139632, 3704, 46, 'मि');
INSERT INTO `lang_definitions` VALUES (139633, 3705, 46, 'किमान वय');
INSERT INTO `lang_definitions` VALUES (139634, 3706, 46, 'लघु संयुक्त ताण +/- सीरमी पटलाचा दाह यामध्ये बहुधा सांध्यात द्रव जमतो, संधिदाह व दीर्घकाळ दाह झाल्याने ऍकिलोसिस होतो');
INSERT INTO `lang_definitions` VALUES (139635, 3708, 46, 'मिनिट');
INSERT INTO `lang_definitions` VALUES (139636, 3709, 46, 'मिनिटे');
INSERT INTO `lang_definitions` VALUES (139637, 3710, 46, 'मिनिटे');
INSERT INTO `lang_definitions` VALUES (139638, 3712, 46, 'इतर');
INSERT INTO `lang_definitions` VALUES (139639, 3713, 46, 'इतर बिलिंग पर्याय');
INSERT INTO `lang_definitions` VALUES (139640, 3714, 46, 'HCFA-1500 इतर बिलिंग पर्याय');
INSERT INTO `lang_definitions` VALUES (139641, 3715, 46, 'इतर बिलिंग पर्याय HCFA');
INSERT INTO `lang_definitions` VALUES (139642, 3716, 46, 'विविध');
INSERT INTO `lang_definitions` VALUES (139643, 3717, 46, 'नाही');
INSERT INTO `lang_definitions` VALUES (139644, 3718, 46, 'गहाळ');
INSERT INTO `lang_definitions` VALUES (139645, 3719, 46, 'आवश्यक फील्ड गहाळ');
INSERT INTO `lang_definitions` VALUES (139646, 3720, 46, 'गहाळ शुल्क');
INSERT INTO `lang_definitions` VALUES (139647, 3721, 46, 'गहाळ Mods फक्त');
INSERT INTO `lang_definitions` VALUES (139648, 3722, 46, 'गहाळ किंवा अवैध');
INSERT INTO `lang_definitions` VALUES (139649, 3723, 46, 'पी आय डी गहाळ झाले आहे.');
INSERT INTO `lang_definitions` VALUES (139650, 3724, 46, 'गहाळ अहवाल तारीख');
INSERT INTO `lang_definitions` VALUES (139651, 3725, 46, 'कोड स्रोत देणारा नंतर स्लॅश गहाळ ');
INSERT INTO `lang_definitions` VALUES (139652, 3726, 46, 'मिश्र');
INSERT INTO `lang_definitions` VALUES (139653, 3727, 46, 'मिली');
INSERT INTO `lang_definitions` VALUES (139654, 3728, 46, 'DD / MM / YYYY असे');
INSERT INTO `lang_definitions` VALUES (139655, 3729, 46, 'मि.मी. / एचजी');
INSERT INTO `lang_definitions` VALUES (139656, 3730, 46, 'mmHg');
INSERT INTO `lang_definitions` VALUES (139657, 3731, 46, 'एमएमआर 1');
INSERT INTO `lang_definitions` VALUES (139658, 3732, 46, 'एमएमआर 2');
INSERT INTO `lang_definitions` VALUES (139659, 3733, 46, 'मोबाइल');
INSERT INTO `lang_definitions` VALUES (139660, 3734, 46, 'भ्रमणध्वनी');
INSERT INTO `lang_definitions` VALUES (139661, 3735, 46, 'सुधारित केलेली');
INSERT INTO `lang_definitions` VALUES (139662, 3738, 46, 'मध्यम प्राधान्य');
INSERT INTO `lang_definitions` VALUES (139663, 3740, 46, 'मध्यम / निम्न प्राधान्य');
INSERT INTO `lang_definitions` VALUES (139664, 3741, 46, 'सुधारणा');
INSERT INTO `lang_definitions` VALUES (139665, 3742, 46, 'सुधारकांचे');
INSERT INTO `lang_definitions` VALUES (139666, 3743, 46, 'सुधारित');
INSERT INTO `lang_definitions` VALUES (139667, 3745, 46, 'देयके संपादीत');
INSERT INTO `lang_definitions` VALUES (139668, 3746, 46, 'ModLength');
INSERT INTO `lang_definitions` VALUES (139669, 3747, 46, 'विभाग');
INSERT INTO `lang_definitions` VALUES (139670, 3748, 46, 'विभाग निर्देशिका आढळले नाही');
INSERT INTO `lang_definitions` VALUES (139671, 3749, 46, 'विभाग इंस्टॉलर');
INSERT INTO `lang_definitions` VALUES (139672, 3750, 46, 'विभाग नाव');
INSERT INTO `lang_definitions` VALUES (139673, 3751, 46, 'विभाग नाव आधीच अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (139674, 3752, 46, 'मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (139675, 3753, 46, 'सोम');
INSERT INTO `lang_definitions` VALUES (139676, 3754, 46, 'शुक्र गुंतवणूकदारांच्या सोम');
INSERT INTO `lang_definitions` VALUES (139677, 3755, 46, 'सोम, बुध करा & amp; शुक्र');
INSERT INTO `lang_definitions` VALUES (139678, 3756, 46, 'सोमवारी');
INSERT INTO `lang_definitions` VALUES (139679, 3757, 46, 'मंगोलियन');
INSERT INTO `lang_definitions` VALUES (139680, 3758, 46, 'महिना');
INSERT INTO `lang_definitions` VALUES (139681, 3759, 46, 'महिन्यात');
INSERT INTO `lang_definitions` VALUES (139682, 3760, 46, 'महिना पहा');
INSERT INTO `lang_definitions` VALUES (139683, 3761, 46, 'महिना (चे)');
INSERT INTO `lang_definitions` VALUES (139684, 3762, 46, 'मासिक उत्पन्न');
INSERT INTO `lang_definitions` VALUES (139685, 3763, 46, 'महिने');
INSERT INTO `lang_definitions` VALUES (139686, 3765, 46, '100 पेक्षा जास्त रेकॉर्ड सापडले नाही. आपला शोध निकष लहान करा.');
INSERT INTO `lang_definitions` VALUES (139687, 3766, 46, 'अधिक 50 परिणाम पेक्षा, आपल्या शोध अधिक विशिष्ट करा.');
INSERT INTO `lang_definitions` VALUES (139688, 3767, 46, 'सर्वाधिक रकान्याच्या क्रम क्रमवारी बदलण्यासाठी क्लिक केले जाऊ शकते');
INSERT INTO `lang_definitions` VALUES (139689, 3768, 46, 'सर्वात अलीकडील');
INSERT INTO `lang_definitions` VALUES (139690, 3769, 46, 'सर्वात अलीकडील लॅब डेटा:');
INSERT INTO `lang_definitions` VALUES (139691, 3770, 46, 'सर्वात अलीकडील मर्मस्थाने पासून:');
INSERT INTO `lang_definitions` VALUES (139692, 3771, 46, 'आई');
INSERT INTO `lang_definitions` VALUES (139693, 3772, 46, 'आईचे नाव');
INSERT INTO `lang_definitions` VALUES (139694, 3773, 46, 'माता इतिहास');
INSERT INTO `lang_definitions` VALUES (139695, 3774, 46, 'तोंड');
INSERT INTO `lang_definitions` VALUES (139696, 3775, 46, 'हलवा');
INSERT INTO `lang_definitions` VALUES (139697, 3776, 46, 'वर्ग दस्तऐवज हलवा:');
INSERT INTO `lang_definitions` VALUES (139698, 3777, 46, 'खाली हलवा');
INSERT INTO `lang_definitions` VALUES (139699, 3778, 46, 'हलवा अयशस्वी झाले!');
INSERT INTO `lang_definitions` VALUES (139700, 3779, 46, 'रुग्णांच्या हलवा');
INSERT INTO `lang_definitions` VALUES (139701, 3780, 46, 'पुढे व्हा...');
INSERT INTO `lang_definitions` VALUES (139702, 3781, 46, 'पुढे जा');
INSERT INTO `lang_definitions` VALUES (139703, 3782, 46, 'हलवित');
INSERT INTO `lang_definitions` VALUES (139704, 3783, 46, 'श्री.');
INSERT INTO `lang_definitions` VALUES (139705, 3784, 46, 'MRN (पी आय डी)');
INSERT INTO `lang_definitions` VALUES (139706, 3785, 46, 'सौ.');
INSERT INTO `lang_definitions` VALUES (139707, 3786, 46, 'श्रीमती');
INSERT INTO `lang_definitions` VALUES (139708, 3787, 46, 'MSH-11');
INSERT INTO `lang_definitions` VALUES (139709, 3788, 46, 'MSH-3.1');
INSERT INTO `lang_definitions` VALUES (139710, 3789, 46, 'MSH-4.1');
INSERT INTO `lang_definitions` VALUES (139711, 3790, 46, 'MSH-5.1');
INSERT INTO `lang_definitions` VALUES (139712, 3791, 46, 'MSH-6.1');
INSERT INTO `lang_definitions` VALUES (139713, 3793, 46, 'MSH.8 संदेश प्रकार वैध नाही');
INSERT INTO `lang_definitions` VALUES (139714, 3794, 46, 'किमान आधारभूत किंमत कोड');
INSERT INTO `lang_definitions` VALUES (139715, 3795, 46, 'किमान आधारभूत किंमत REMIT ि कोड');
INSERT INTO `lang_definitions` VALUES (139716, 3796, 46, 'मल्टी भाषा साधन');
INSERT INTO `lang_definitions` VALUES (139717, 3797, 46, 'अनेक भागात');
INSERT INTO `lang_definitions` VALUES (139718, 3798, 46, 'एकाधिक फाइल्स Ctrl + click किंवा SHIFT + क्लिक करा वापरून त्यांना निवडून एका वेळी अपलोड केले जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (139719, 3799, 46, 'अनेक बरेच');
INSERT INTO `lang_definitions` VALUES (139720, 3800, 46, 'अनेक सुधारकांचे, अपूर्ण विराम किंवा मोकळी जागा वेगळे केले जाऊ शकतात 4 जास्तीत जास्त (M1: M2: M3: M4)');
INSERT INTO `lang_definitions` VALUES (139721, 3801, 46, 'अनेक निवडा यादी');
INSERT INTO `lang_definitions` VALUES (139722, 3802, 46, 'बहुजातीय');
INSERT INTO `lang_definitions` VALUES (139723, 3803, 46, 'कुरकुर:');
INSERT INTO `lang_definitions` VALUES (139724, 3804, 46, 'Musc दुखणे');
INSERT INTO `lang_definitions` VALUES (139725, 3805, 46, 'Musc वेदना');
INSERT INTO `lang_definitions` VALUES (139726, 3806, 46, 'Musc लालसरपणा');
INSERT INTO `lang_definitions` VALUES (139727, 3807, 46, 'Musc कडकपणा जाणवणे');
INSERT INTO `lang_definitions` VALUES (139728, 3808, 46, 'Musc सूज');
INSERT INTO `lang_definitions` VALUES (139729, 3809, 46, 'उबदार Musc');
INSERT INTO `lang_definitions` VALUES (139730, 3810, 46, 'स्नायू');
INSERT INTO `lang_definitions` VALUES (139731, 3811, 46, 'स्नायू इजा');
INSERT INTO `lang_definitions` VALUES (139732, 3812, 46, 'अस्थी व स्नायू दोन्ही संस्थांविषयी');
INSERT INTO `lang_definitions` VALUES (139733, 3813, 46, 'या SMTP प्रमाणीकरण वापरले नाही, तर रिक्त असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (139734, 3814, 46, 'परस्पर परिभाषित');
INSERT INTO `lang_definitions` VALUES (139735, 3815, 46, 'करणे MVA');
INSERT INTO `lang_definitions` VALUES (139736, 3818, 46, 'मी स्वत:');
INSERT INTO `lang_definitions` VALUES (139737, 3820, 46, 'माओरी');
INSERT INTO `lang_definitions` VALUES (139738, 3821, 46, 'N / A');
INSERT INTO `lang_definitions` VALUES (139739, 3822, 46, 'एन / एक');
INSERT INTO `lang_definitions` VALUES (139740, 3823, 46, 'नाव');
INSERT INTO `lang_definitions` VALUES (139741, 3825, 46, 'नाव (अधिक क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (139742, 3826, 46, '1 नाव');
INSERT INTO `lang_definitions` VALUES (139743, 3827, 46, '2 नाव');
INSERT INTO `lang_definitions` VALUES (139744, 3828, 46, 'नाव आणि लसीकरण प्रशासक शीर्षक');
INSERT INTO `lang_definitions` VALUES (139745, 3829, 46, 'EMR नाव');
INSERT INTO `lang_definitions` VALUES (139746, 3830, 46, 'नाव, उदाहरणार्थ icd9_274.11_en.pdf कारण codetype_code_language.pdf सारखी असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (139747, 3831, 46, 'आगामी कार्यक्रम नाव');
INSERT INTO `lang_definitions` VALUES (139748, 3832, 46, 'विमा कंपनीचे नाव');
INSERT INTO `lang_definitions` VALUES (139749, 3833, 46, 'प्रदाता नाव');
INSERT INTO `lang_definitions` VALUES (139750, 3834, 46, 'रुग्ण स्मरणपत्रांकरिता प्रेषक नाव.');
INSERT INTO `lang_definitions` VALUES (139751, 3835, 46, 'नाव भाषांतर');
INSERT INTO `lang_definitions` VALUES (139752, 3836, 46, 'नाव / मूल्य');
INSERT INTO `lang_definitions` VALUES (139753, 3837, 46, 'नाव:');
INSERT INTO `lang_definitions` VALUES (139754, 3838, 46, 'नाकपुडया:');
INSERT INTO `lang_definitions` VALUES (139755, 3839, 46, 'नाकपुडया: सामान्य अधिकार');
INSERT INTO `lang_definitions` VALUES (139756, 3840, 46, 'अनुनासिक श्लेष्मल त्वचा गुलाबी, septum midline');
INSERT INTO `lang_definitions` VALUES (139757, 3841, 46, 'राष्ट्र टिपा');
INSERT INTO `lang_definitions` VALUES (139758, 3842, 46, 'राष्ट्र टिपा संरचीत करा');
INSERT INTO `lang_definitions` VALUES (139759, 3843, 46, 'राष्ट्र टिपा बटणे बदला');
INSERT INTO `lang_definitions` VALUES (139760, 3844, 46, 'राष्ट्रीयत्व');
INSERT INTO `lang_definitions` VALUES (139761, 3845, 46, 'NationNotes');
INSERT INTO `lang_definitions` VALUES (139762, 3846, 46, 'मूळ डेटा लोड');
INSERT INTO `lang_definitions` VALUES (139763, 3847, 46, 'मुळ हवाईयन किंवा इतर पॅसिफिक आयलॅंडर');
INSERT INTO `lang_definitions` VALUES (139764, 3851, 46, 'नऊरु');
INSERT INTO `lang_definitions` VALUES (139765, 3852, 46, 'मळमळणे');
INSERT INTO `lang_definitions` VALUES (139766, 3853, 46, 'नावाजो, Navaho');
INSERT INTO `lang_definitions` VALUES (139767, 3854, 46, 'नेव्हिगेशन');
INSERT INTO `lang_definitions` VALUES (139768, 3855, 46, 'सुचालन क्षेत्र चकमकीत फॉर्म समावेश');
INSERT INTO `lang_definitions` VALUES (139769, 3856, 46, 'सुचालन क्षेत्र frameset पूर्ण उंची वापरते');
INSERT INTO `lang_definitions` VALUES (139770, 3857, 46, 'सुचालन क्षेत्र भेट द्या अर्ज');
INSERT INTO `lang_definitions` VALUES (139771, 3858, 46, 'नेव्हिगेशन क्षेत्र रूंदी');
INSERT INTO `lang_definitions` VALUES (139772, 3859, 46, 'सुचालन मेनू रेडिओ बटण जोड समाविष्टीत आहे ज्यामध्ये');
INSERT INTO `lang_definitions` VALUES (139773, 3860, 46, 'नेव्हिगेशन मेनू एक झाड दृश्य आहे');
INSERT INTO `lang_definitions` VALUES (139774, 3861, 46, 'सुचालन एक सरकता मेनू वापरते');
INSERT INTO `lang_definitions` VALUES (139775, 3862, 46, 'एनडीसी');
INSERT INTO `lang_definitions` VALUES (139776, 3863, 46, 'एनडीसी डेटा');
INSERT INTO `lang_definitions` VALUES (139777, 3864, 46, 'एनडीसी क्रमांक');
INSERT INTO `lang_definitions` VALUES (139778, 3865, 46, 'डोंगा');
INSERT INTO `lang_definitions` VALUES (139779, 3866, 46, 'मान');
INSERT INTO `lang_definitions` VALUES (139780, 3867, 46, 'मान समस्या');
INSERT INTO `lang_definitions` VALUES (139781, 3868, 46, 'लवचिक मान');
INSERT INTO `lang_definitions` VALUES (139782, 3869, 46, 'वर्णन प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (139783, 3870, 46, 'रिटर्न मूल्य प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (139784, 3871, 46, 'अभिज्ञापक प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (139785, 3872, 46, 'शीर्षक प्रविष्ट करणे आवश्यक');
INSERT INTO `lang_definitions` VALUES (139786, 3873, 46, 'प्रमाणिकरण गरज');
INSERT INTO `lang_definitions` VALUES (139787, 3874, 46, 'गरजा जस्टिफाय करा');
INSERT INTO `lang_definitions` VALUES (139788, 3875, 46, 'माध्यमिक बिलिंग गरज');
INSERT INTO `lang_definitions` VALUES (139789, 3876, 46, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (139790, 3877, 46, 'नकारात्मक');
INSERT INTO `lang_definitions` VALUES (139791, 3879, 46, 'नेपाळी');
INSERT INTO `lang_definitions` VALUES (139792, 3880, 46, 'मज्जातंतू इजा');
INSERT INTO `lang_definitions` VALUES (139793, 3881, 46, 'मज्जासंस्थेसंबंधीचा स्थिती / मज्जातंतू नुकसान');
INSERT INTO `lang_definitions` VALUES (139794, 3882, 46, 'न्यूरो-नाण्यासारखा');
INSERT INTO `lang_definitions` VALUES (139795, 3883, 46, 'न्यूरो-अशक्तपणा');
INSERT INTO `lang_definitions` VALUES (139796, 3884, 46, 'Neurologic');
INSERT INTO `lang_definitions` VALUES (139797, 3885, 46, 'कधीही');
INSERT INTO `lang_definitions` VALUES (139798, 3886, 46, 'कधीही मद्यार्क');
INSERT INTO `lang_definitions` VALUES (139799, 3887, 46, 'कधीही धूम्रपान');
INSERT INTO `lang_definitions` VALUES (139800, 3888, 46, 'नवीन');
INSERT INTO `lang_definitions` VALUES (139801, 3889, 46, 'नवीन =>');
INSERT INTO `lang_definitions` VALUES (139802, 3890, 46, 'नवीन Acceptors');
INSERT INTO `lang_definitions` VALUES (139803, 3892, 46, 'नवीन ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (139804, 3893, 46, 'नवीन दुरुस्ती विनंती');
INSERT INTO `lang_definitions` VALUES (139805, 3894, 46, 'नवीन नियुक्ती');
INSERT INTO `lang_definitions` VALUES (139806, 3895, 46, 'नवीन श्रेणी');
INSERT INTO `lang_definitions` VALUES (139807, 3896, 46, 'नवीन श्रेणी');
INSERT INTO `lang_definitions` VALUES (139808, 3897, 46, 'नवीन ग्राहक');
INSERT INTO `lang_definitions` VALUES (139809, 3898, 46, 'नवीन सल्ला');
INSERT INTO `lang_definitions` VALUES (139810, 3899, 46, 'नवीन पीक');
INSERT INTO `lang_definitions` VALUES (139811, 3900, 46, 'नवी व्याख्या संच जोडले');
INSERT INTO `lang_definitions` VALUES (139812, 3901, 46, 'नवीन दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (139813, 3902, 46, 'नवीन दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (139814, 3904, 46, 'नवीन आढळतात');
INSERT INTO `lang_definitions` VALUES (139815, 3905, 46, 'आयडी तयार नवीन चकमकीत');
INSERT INTO `lang_definitions` VALUES (139816, 3906, 46, 'नवीन चकमकीत फॉर्म');
INSERT INTO `lang_definitions` VALUES (139817, 3907, 46, 'नवीन चकमकी अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (139818, 3908, 46, 'नवीन Enctr');
INSERT INTO `lang_definitions` VALUES (139819, 3909, 46, 'नवीन सुविधा माहिती');
INSERT INTO `lang_definitions` VALUES (139820, 3910, 46, 'नवीन फाइल');
INSERT INTO `lang_definitions` VALUES (139821, 3911, 46, 'नवीन फायली');
INSERT INTO `lang_definitions` VALUES (139822, 3912, 46, 'नवीन गट');
INSERT INTO `lang_definitions` VALUES (139823, 3913, 46, 'नवीन गट माहिती');
INSERT INTO `lang_definitions` VALUES (139824, 3914, 46, 'नवीन Inj / स्थिती');
INSERT INTO `lang_definitions` VALUES (139825, 3916, 46, 'आगामी कार्यक्रम नवीन मर्यादा');
INSERT INTO `lang_definitions` VALUES (139826, 3917, 46, 'नवीन यादी');
INSERT INTO `lang_definitions` VALUES (139827, 3918, 46, 'नवीन ऑर्डर');
INSERT INTO `lang_definitions` VALUES (139828, 3919, 46, 'नवीन परिच्छेद');
INSERT INTO `lang_definitions` VALUES (139829, 3920, 46, 'नवीन पासवर्ड');
INSERT INTO `lang_definitions` VALUES (139830, 3921, 46, 'नवीन रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (139831, 3922, 46, 'नवी रुग्ण');
INSERT INTO `lang_definitions` VALUES (139832, 3923, 46, 'नवीन रुग्णांच्या आढळतात');
INSERT INTO `lang_definitions` VALUES (139833, 3924, 46, 'नवीन रुग्णांच्या फॉर्म');
INSERT INTO `lang_definitions` VALUES (139834, 3925, 46, 'नवीन रुग्णांच्या आयडी');
INSERT INTO `lang_definitions` VALUES (139835, 3926, 46, 'नवीन भरणा');
INSERT INTO `lang_definitions` VALUES (139836, 3927, 46, 'नवीन पोर्टल लॉगिन');
INSERT INTO `lang_definitions` VALUES (139837, 3928, 46, 'नवीन पं');
INSERT INTO `lang_definitions` VALUES (139838, 3929, 46, 'लॅब एक्सचेंज नवीन परिणाम');
INSERT INTO `lang_definitions` VALUES (139839, 3930, 46, 'नवीन शोध');
INSERT INTO `lang_definitions` VALUES (139840, 3931, 46, 'नवीन सबमिशन');
INSERT INTO `lang_definitions` VALUES (139841, 3932, 46, 'नवीन वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (139842, 3933, 46, 'नवीन मूल्य');
INSERT INTO `lang_definitions` VALUES (139843, 3934, 46, 'नवीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (139844, 3935, 46, 'नवीन / शोध');
INSERT INTO `lang_definitions` VALUES (139845, 3936, 46, 'NewCrop खाते स्थिती');
INSERT INTO `lang_definitions` VALUES (139846, 3937, 46, 'NewCrop प्रशासन');
INSERT INTO `lang_definitions` VALUES (139847, 3938, 46, 'NewCrop कॉल अयशस्वी');
INSERT INTO `lang_definitions` VALUES (139848, 3939, 46, 'NewCrop डॉक्टर');
INSERT INTO `lang_definitions` VALUES (139849, 3940, 46, 'NewCrop eRx खाते आयडी');
INSERT INTO `lang_definitions` VALUES (139850, 3944, 46, 'NewCrop eRx नाव');
INSERT INTO `lang_definitions` VALUES (139851, 3945, 46, 'NewCrop eRx भागीदार नाव');
INSERT INTO `lang_definitions` VALUES (139852, 3946, 46, 'NewCrop eRx पासवर्ड');
INSERT INTO `lang_definitions` VALUES (139853, 3947, 46, 'NewCrop eRX भूमिका');
INSERT INTO `lang_definitions` VALUES (139854, 3948, 46, 'NewCrop eRx भूमिका');
INSERT INTO `lang_definitions` VALUES (139855, 3949, 46, 'NewCrop eRx साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (139856, 3950, 46, 'अॅलर्जी साठी NewCrop eRx SOAP विनंती वेळ-टू-थेट');
INSERT INTO `lang_definitions` VALUES (139857, 3951, 46, 'औषधे साठी NewCrop eRx SOAP विनंती वेळ-टू-थेट');
INSERT INTO `lang_definitions` VALUES (139858, 3954, 46, 'NewCrop eRx वेब सेवा पत्ता');
INSERT INTO `lang_definitions` VALUES (139859, 3955, 46, 'NewCrop व्यवस्थापक');
INSERT INTO `lang_definitions` VALUES (139860, 3956, 46, 'NewCrop MedEntry');
INSERT INTO `lang_definitions` VALUES (139861, 3957, 46, 'NewCrop Midlevel Prescriber');
INSERT INTO `lang_definitions` VALUES (139862, 3958, 46, 'NewCrop नर्स');
INSERT INTO `lang_definitions` VALUES (139863, 3959, 46, 'NewCrop देखरेख डॉक्टर');
INSERT INTO `lang_definitions` VALUES (139864, 3960, 46, 'घ्या');
INSERT INTO `lang_definitions` VALUES (139865, 3961, 46, 'वृत्तपत्र');
INSERT INTO `lang_definitions` VALUES (139866, 3962, 46, 'पुढील');
INSERT INTO `lang_definitions` VALUES (139867, 3964, 46, 'उद्या');
INSERT INTO `lang_definitions` VALUES (139868, 3965, 46, 'पुढील महिन्यात');
INSERT INTO `lang_definitions` VALUES (139869, 3966, 46, 'पुढील महिन्यात (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (139870, 3967, 46, 'पुढील अनुसूचित चालवा');
INSERT INTO `lang_definitions` VALUES (139871, 3968, 46, 'पुढील आठवडा');
INSERT INTO `lang_definitions` VALUES (139872, 3969, 46, 'पुढील वर्षी (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (139873, 3970, 46, 'निक नाव');
INSERT INTO `lang_definitions` VALUES (139874, 3971, 46, 'टोपणनाव');
INSERT INTO `lang_definitions` VALUES (139875, 3973, 46, 'रात्र घाम');
INSERT INTO `lang_definitions` VALUES (139876, 3974, 46, 'नॅथन, EXT जननेंद्रिये, vag श्लेष्मल त्वचा, गर्भाशय');
INSERT INTO `lang_definitions` VALUES (139877, 3975, 46, 'कोणत्याही');
INSERT INTO `lang_definitions` VALUES (139878, 3976, 46, 'नाही');
INSERT INTO `lang_definitions` VALUES (139879, 3977, 46, 'प्रवेश');
INSERT INTO `lang_definitions` VALUES (139880, 3978, 46, 'सक्रिय रुग्ण स्मरणपत्रे.');
INSERT INTO `lang_definitions` VALUES (139881, 3979, 46, 'कोणत्याही ग्रंथीचा कुठलाही रोग (2 भागात आवश्यक)');
INSERT INTO `lang_definitions` VALUES (139882, 3980, 46, 'आढळले नाही समायोजन कारण प्रकार');
INSERT INTO `lang_definitions` VALUES (139883, 3981, 46, 'कोणत्याही adnexal प्रेमळपणा / पशुपालकांना');
INSERT INTO `lang_definitions` VALUES (139884, 3982, 46, 'उपलब्ध नाही दुरुस्ती विनंत्या');
INSERT INTO `lang_definitions` VALUES (139885, 3983, 46, 'कोणत्याही नियुक्ती');
INSERT INTO `lang_definitions` VALUES (139886, 3984, 46, 'कोणत्याही ऑडिट लॉग निवडलेली तारीख श्रेणी आढळले छेडछाड.');
INSERT INTO `lang_definitions` VALUES (139887, 3985, 46, 'कोणत्याही बिलिंग प्रणाली सध्या सक्रिय आहे');
INSERT INTO `lang_definitions` VALUES (139888, 3986, 46, 'OFX निर्यात मध्ये समाविष्ट करण्यासाठी आढळली नाहीत बिले');
INSERT INTO `lang_definitions` VALUES (139889, 3987, 46, 'कोणत्याही बिले OFX निर्यात मध्ये समाविष्ट करण्यासाठी सापडले प्रवास');
INSERT INTO `lang_definitions` VALUES (139890, 3989, 46, 'कोणत्याही कोड निर्दिष्ट करण्यात आला!');
INSERT INTO `lang_definitions` VALUES (139891, 3990, 46, 'या उपक्रमातील परिभाषित नाही संरचना');
INSERT INTO `lang_definitions` VALUES (139892, 3992, 46, 'कोणत्याही निदान');
INSERT INTO `lang_definitions` VALUES (139893, 3993, 46, 'दस्तऐवज आढळले नाहीत');
INSERT INTO `lang_definitions` VALUES (139894, 3994, 46, 'कोणत्याही चकमकीत निर्माण करता येऊ शकते');
INSERT INTO `lang_definitions` VALUES (139895, 3995, 46, 'समाप्तीची तारीख नाही');
INSERT INTO `lang_definitions` VALUES (139896, 3996, 46, 'आढळले नाही नोंदी, नोंद जोडण्यासाठी खालील फॉर्म वापरा.');
INSERT INTO `lang_definitions` VALUES (139897, 3997, 46, 'कोणत्याही त्रुटी आढळल्या');
INSERT INTO `lang_definitions` VALUES (139898, 3998, 46, 'कोणत्याही आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (139899, 4000, 46, 'कोणत्याही फायली प्रतिष्ठापनासाठी आयोजित');
INSERT INTO `lang_definitions` VALUES (139900, 4001, 46, 'समूह निवड करण्यात आली');
INSERT INTO `lang_definitions` VALUES (139901, 4002, 46, 'कोणत्याही अन्तर्गळ');
INSERT INTO `lang_definitions` VALUES (139902, 4003, 46, 'या उपक्रमातील उपलब्ध नाही हूक्सचा');
INSERT INTO `lang_definitions` VALUES (139903, 4004, 46, 'या उपक्रमातील सक्षम केलेले कोणतेही हूक्सचा');
INSERT INTO `lang_definitions` VALUES (139904, 4005, 46, 'कोणत्याही इजा / आजार');
INSERT INTO `lang_definitions` VALUES (139905, 4006, 46, 'कोणत्याही विमा कंपन्या सापडले');
INSERT INTO `lang_definitions` VALUES (139906, 4007, 46, 'कोणत्याही समस्या नाहीत');
INSERT INTO `lang_definitions` VALUES (139907, 4008, 46, 'या घटनेचा नाही मुद्दे.');
INSERT INTO `lang_definitions` VALUES (139908, 4009, 46, 'निवडलेल्या विभागातील अंतर्गत कोणतेही आयटम नाहीत');
INSERT INTO `lang_definitions` VALUES (139909, 4010, 46, 'कोणतेही आयटम निवडले होते!');
INSERT INTO `lang_definitions` VALUES (139910, 4024, 46, 'कोणत्याही लॅब डेटा दस्तऐवजीकरण.');
INSERT INTO `lang_definitions` VALUES (139911, 4025, 46, 'कोणत्याही लॉग फाइल निवडलेली तारीख अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (139912, 4027, 46, 'कोणत्याही पशुपालकांना, प्रेमळपणा');
INSERT INTO `lang_definitions` VALUES (139913, 4028, 46, 'दिलेल्या पुन्हा Idenitification कोड आढळले नाही सामन्यात रुग्णांच्या रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (139914, 4029, 46, 'जुळण्या आढळल्या नाहीत. पुन्हा शोध प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (139915, 4030, 46, 'जुळण्या आढळल्या नाहीत.');
INSERT INTO `lang_definitions` VALUES (139916, 4031, 46, 'जुळण्या आढळल्या नाहीत. आता नवीन रुग्ण तयार करा?');
INSERT INTO `lang_definitions` VALUES (139917, 4032, 46, 'कोणतेही जुळणारे रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (139918, 4033, 46, 'नवीन परिणाम आढळले');
INSERT INTO `lang_definitions` VALUES (139919, 4034, 46, 'कोणत्याही टिपा');
INSERT INTO `lang_definitions` VALUES (139920, 4035, 46, 'कोणत्याही ogrganomegoly');
INSERT INTO `lang_definitions` VALUES (139921, 4036, 46, 'कोणत्याही संबंधी या काळात सापडले नाहीत.');
INSERT INTO `lang_definitions` VALUES (139922, 4037, 46, 'अन्य कोणताही फोन नंबर सूचीबद्ध');
INSERT INTO `lang_definitions` VALUES (139923, 4038, 46, 'पॅरामीटर निवड');
INSERT INTO `lang_definitions` VALUES (139924, 4039, 46, 'आढळली नाहीत भागीदार');
INSERT INTO `lang_definitions` VALUES (139925, 4040, 46, 'दिलेल्या निवड निकष आढळले नाही रुग्णांच्या रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (139926, 4041, 46, 'दिलेल्या पुन्हा ओळख कोड आढळले नाही रुग्णांच्या रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (139927, 4042, 46, 'कोणत्याही गौण सूज');
INSERT INTO `lang_definitions` VALUES (139928, 4043, 46, 'कोणत्याही औषध सापडले');
INSERT INTO `lang_definitions` VALUES (139929, 4044, 46, 'कोणत्याही चांगले आढळले');
INSERT INTO `lang_definitions` VALUES (139930, 4045, 46, 'कोणत्याही सादर आजार / दुखापत');
INSERT INTO `lang_definitions` VALUES (139931, 4046, 46, 'मागील नोंदी.');
INSERT INTO `lang_definitions` VALUES (139932, 4047, 46, 'कोणत्याही प्राथमिक व्यवसाय अस्तित्व सुविधा यादी निवडलेल्या');
INSERT INTO `lang_definitions` VALUES (139933, 4048, 46, 'नाही अगोदर चकमकी.');
INSERT INTO `lang_definitions` VALUES (139934, 4049, 46, 'या घटनेचा नाही कार्यपद्धती.');
INSERT INTO `lang_definitions` VALUES (139935, 4051, 46, 'कोणत्याही प्रदाते सापडले');
INSERT INTO `lang_definitions` VALUES (139936, 4052, 46, 'कोणत्याही पुरळ किंवा असामान्य विकृती');
INSERT INTO `lang_definitions` VALUES (139937, 4053, 46, 'कोणतीही रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (139938, 4055, 46, 'कोणत्याही रेकॉर्ड सापडले नाही. आपला शोध निकष विस्तृत करा.');
INSERT INTO `lang_definitions` VALUES (139939, 4056, 46, 'स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (139940, 4057, 46, 'कोणतेही परिणाम वरील शोध निकष, सापडले.');
INSERT INTO `lang_definitions` VALUES (139941, 4058, 46, 'परिणाम नाहीत');
INSERT INTO `lang_definitions` VALUES (139942, 4059, 46, 'कोणतेही परिणाम आढळले नाहीत');
INSERT INTO `lang_definitions` VALUES (139943, 4060, 46, 'कोणत्याही परिणाम साठी शोध सापडले');
INSERT INTO `lang_definitions` VALUES (139944, 4061, 46, 'कोणतेही परिणाम आढळले नाहीत, पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (139945, 4062, 46, 'कोणतेही परिणाम, पुन्हा ट्रे करा.');
INSERT INTO `lang_definitions` VALUES (139946, 4063, 46, 'कोणतेही परिणाम, पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (139947, 4064, 46, 'कोणत्याही सेटिंग्ज उपक्रमातील avaliable');
INSERT INTO `lang_definitions` VALUES (139948, 4065, 46, 'कोणताही शो');
INSERT INTO `lang_definitions` VALUES (139949, 4066, 46, 'फाइल नाही स्वाक्षर्या');
INSERT INTO `lang_definitions` VALUES (139950, 4067, 46, 'कोणत्याही सायनस दयाळूपणा:');
INSERT INTO `lang_definitions` VALUES (139951, 4068, 46, 'कोणत्याही त्वचा dimpling किंवा आईच्या गाठी');
INSERT INTO `lang_definitions` VALUES (139952, 4069, 46, 'नाही अशा CONTEXT NAME ना');
INSERT INTO `lang_definitions` VALUES (139953, 4070, 46, 'सारणी निवडले! एक टेबल निवडा.');
INSERT INTO `lang_definitions` VALUES (139954, 4071, 46, 'कोणत्याही testicular प्रेमळपणा, जनतेला');
INSERT INTO `lang_definitions` VALUES (139955, 4072, 46, 'कोणत्याही थरार किंवा heaves');
INSERT INTO `lang_definitions` VALUES (139956, 4073, 46, 'निवडलेला नाही ट्रॅक');
INSERT INTO `lang_definitions` VALUES (139957, 4074, 46, 'ट्रॅक दस्तऐवजीकरण गेले आहेत.');
INSERT INTO `lang_definitions` VALUES (139958, 4075, 46, 'कोणत्याही भेट');
INSERT INTO `lang_definitions` VALUES (139959, 4076, 46, 'कोणत्याही मर्मस्थाने दस्तऐवजीकरण गेले आहेत.');
INSERT INTO `lang_definitions` VALUES (139960, 4077, 46, 'नाही, रद्द करा');
INSERT INTO `lang_definitions` VALUES (139961, 4078, 46, 'ऑटो समावेश नाही-दोष विमा प्राथमिक आहे');
INSERT INTO `lang_definitions` VALUES (139962, 4079, 46, 'कोणत्याही:');
INSERT INTO `lang_definitions` VALUES (139963, 4080, 46, 'रात्री लघवी जास्त प्रमाणात होणे');
INSERT INTO `lang_definitions` VALUES (139964, 4081, 46, 'नॉन अदा');
INSERT INTO `lang_definitions` VALUES (139965, 4082, 46, 'नॉन अहवाल नोंदविले');
INSERT INTO `lang_definitions` VALUES (139966, 4083, 46, 'नॉन विशिष्ट इजा');
INSERT INTO `lang_definitions` VALUES (139967, 4084, 46, 'नॉन-इलेक्ट्रॉनिक');
INSERT INTO `lang_definitions` VALUES (139968, 4085, 46, 'नॉन-मधुमेहावरील रामबाण उपाय अवलंबून मधुमेह');
INSERT INTO `lang_definitions` VALUES (139969, 4086, 46, 'नॉन-विम्याची');
INSERT INTO `lang_definitions` VALUES (139970, 4087, 46, 'नॉन-SRH वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (139971, 4088, 46, 'नॉन-SRH नॉन-वैद्यकीय');
INSERT INTO `lang_definitions` VALUES (139972, 4089, 46, 'काहीही');
INSERT INTO `lang_definitions` VALUES (139973, 4090, 46, 'कोणीही');
INSERT INTO `lang_definitions` VALUES (139974, 4091, 46, 'काहीही व्याख्या');
INSERT INTO `lang_definitions` VALUES (139975, 4092, 46, 'काहीही दस्तऐवजीकरण गेले आहेत');
INSERT INTO `lang_definitions` VALUES (139976, 4093, 46, 'वरीलपैकी काहीही नाही');
INSERT INTO `lang_definitions` VALUES (139977, 4094, 46, 'शीर्ष वितरण रो काहीही पूर्ण रिकामी होऊ शकतो.');
INSERT INTO `lang_definitions` VALUES (139978, 4095, 46, 'Noninsulin अवलंबून मधुमेह');
INSERT INTO `lang_definitions` VALUES (139979, 4096, 46, 'किंवा');
INSERT INTO `lang_definitions` VALUES (139980, 4097, 46, 'सामान्य');
INSERT INTO `lang_definitions` VALUES (139981, 4098, 46, 'सामान्य बी.एल.');
INSERT INTO `lang_definitions` VALUES (139982, 4099, 46, 'सामान्य कार्डिऍक परीक्षा:');
INSERT INTO `lang_definitions` VALUES (139983, 4100, 46, 'सामान्य कार्डिऍक परीक्षा: ');
INSERT INTO `lang_definitions` VALUES (139984, 4101, 46, 'सामान्य फुफ्फुसांचा परीक्षा:');
INSERT INTO `lang_definitions` VALUES (139985, 4102, 46, 'सामान्य फुफ्फुसांचा परीक्षा: ');
INSERT INTO `lang_definitions` VALUES (139986, 4103, 46, 'सामान्य कार्यालय भेट द्या');
INSERT INTO `lang_definitions` VALUES (139987, 4104, 46, 'सामान्य घशाखालील भाग:');
INSERT INTO `lang_definitions` VALUES (139988, 4105, 46, 'सामान्य अधिकार');
INSERT INTO `lang_definitions` VALUES (139989, 4106, 46, 'सामान्य अधिकार:');
INSERT INTO `lang_definitions` VALUES (139990, 4107, 46, 'सामान्य पहा');
INSERT INTO `lang_definitions` VALUES (139991, 4108, 46, 'सामान्य:');
INSERT INTO `lang_definitions` VALUES (139992, 4109, 46, 'साधारणपणे हे तपासले पाहिजे. नियंत्रण प्रवेश संबंधित नाही.');
INSERT INTO `lang_definitions` VALUES (139993, 4110, 46, 'उत्तरी देबेली');
INSERT INTO `lang_definitions` VALUES (139994, 4111, 46, 'नॉर्दन सामी');
INSERT INTO `lang_definitions` VALUES (139995, 4112, 46, 'नॉर्वेजियन');
INSERT INTO `lang_definitions` VALUES (139996, 4113, 46, 'नॉर्वेजियन बोकमाल');
INSERT INTO `lang_definitions` VALUES (139997, 4114, 46, 'नॉर्वेजियन न्योर्स्क');
INSERT INTO `lang_definitions` VALUES (139998, 4115, 46, 'नाक');
INSERT INTO `lang_definitions` VALUES (139999, 4116, 46, 'Nosebleed');
INSERT INTO `lang_definitions` VALUES (140000, 4117, 46, 'नाही एक पत्र किंवा संख्या');
INSERT INTO `lang_definitions` VALUES (140001, 4119, 46, 'सर्व फील्ड सर्व कोड किंवा कोड प्रकार आवश्यक आहेत नाही.');
INSERT INTO `lang_definitions` VALUES (140002, 4120, 46, 'परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (140003, 4121, 46, 'प्रशासक गट हटवू परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (140004, 4122, 46, 'संपादित करण्याची अनुमती नाही');
INSERT INTO `lang_definitions` VALUES (140005, 4123, 46, 'सर्व सुरक्षा वस्तू निष्क्रिय करण्याची परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (140006, 4124, 46, 'नाही प्रशासक ACL यांना आधार देतो काही निष्क्रिय करण्याची परवानगी');
INSERT INTO `lang_definitions` VALUES (140007, 4125, 46, 'प्रशासक गट प्रशासक वापरकर्ता काढण्यासाठी परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (140008, 4126, 46, 'प्रशासक गट या वापरकर्त्याच्या काढण्यासाठी परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (140009, 4127, 46, 'लागू नाही');
INSERT INTO `lang_definitions` VALUES (140010, 4128, 46, 'PostCalendar विभाग प्रवेश करण्यास अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (140011, 4129, 46, 'अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (140012, 4130, 46, 'अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (140013, 4131, 46, 'या संघात अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (140014, 4132, 46, 'या संघात अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (140015, 4133, 46, 'वापरकर्ते व्यवस्थापित करण्यासाठी अधिकृत नाही!');
INSERT INTO `lang_definitions` VALUES (140016, 4134, 46, 'परिणाम साइन इन करण्यासाठी अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (140017, 4135, 46, 'उपलब्ध नाही');
INSERT INTO `lang_definitions` VALUES (140018, 4137, 46, 'बिल नाही');
INSERT INTO `lang_definitions` VALUES (140019, 4138, 46, 'चेक-इन केले नाही');
INSERT INTO `lang_definitions` VALUES (140020, 4139, 46, 'बाहेर तपासले नाही');
INSERT INTO `lang_definitions` VALUES (140021, 4140, 46, 'कोड नाही');
INSERT INTO `lang_definitions` VALUES (140022, 4141, 46, 'मुळे नाही');
INSERT INTO `lang_definitions` VALUES (140023, 4143, 46, 'तपासणी नाही');
INSERT INTO `lang_definitions` VALUES (140024, 4144, 46, 'तपासणी नाही:');
INSERT INTO `lang_definitions` VALUES (140025, 4145, 46, 'तपासणी नाही: ');
INSERT INTO `lang_definitions` VALUES (140026, 4146, 46, 'आढळले नाही');
INSERT INTO `lang_definitions` VALUES (140027, 4148, 46, 'आढळले नाही!');
INSERT INTO `lang_definitions` VALUES (140028, 4149, 46, 'हिस्पॅनिक किंवा लॅटिनो नाही');
INSERT INTO `lang_definitions` VALUES (140029, 4150, 46, 'स्थापित नाही');
INSERT INTO `lang_definitions` VALUES (140030, 4151, 46, 'स्थापित नाही');
INSERT INTO `lang_definitions` VALUES (140031, 4152, 46, 'पासून पाहिले नाही');
INSERT INTO `lang_definitions` VALUES (140032, 4153, 46, 'पाठविले नाही');
INSERT INTO `lang_definitions` VALUES (140033, 4154, 46, 'नाही पण पाठविले');
INSERT INTO `lang_definitions` VALUES (140034, 4155, 46, 'हिन्दू नाही');
INSERT INTO `lang_definitions` VALUES (140035, 4156, 46, 'हिन्दू नाही.');
INSERT INTO `lang_definitions` VALUES (140036, 4157, 46, 'टीप');
INSERT INTO `lang_definitions` VALUES (140037, 4158, 46, 'टीप कोड');
INSERT INTO `lang_definitions` VALUES (140038, 4159, 46, 'तो आपण स्थापित क्लिक केल्यानंतर पूर्णपणे प्रक्रिया 5-10 मिनिटे लागतील टीप');
INSERT INTO `lang_definitions` VALUES (140039, 4160, 46, 'तुम्ही अपग्रेड क्लिक करा नंतर तो पूर्णपणे प्रक्रिया 5-10 मिनिटे लागतील टीप');
INSERT INTO `lang_definitions` VALUES (140040, 4161, 46, 'की ऑडिट लॉग लक्षात ठेवा वरील सक्षम करणे आवश्यक');
INSERT INTO `lang_definitions` VALUES (140041, 4162, 46, 'टीप प्रकार');
INSERT INTO `lang_definitions` VALUES (140042, 4163, 46, 'टीप: 12:00 दुपारी पंतप्रधान आहे, आहे नाही');
INSERT INTO `lang_definitions` VALUES (140043, 4164, 46, 'टीप: बाह्य डेटा आयात आपले हार्डवेअर संरचना अवलंबून एक तासापेक्षा अधिक घेऊ शकता. उदाहरणार्थ, RxNorm डेटा सारण्या एक 6 दशलक्ष पंक्ती जास्त असतात.');
INSERT INTO `lang_definitions` VALUES (140044, 4165, 46, 'सुचना: केवळ वर्षातून दोनदा आंतरराष्ट्रीय Snomed प्रकाशन सध्या समर्थीत आहे');
INSERT INTO `lang_definitions` VALUES (140045, 4166, 46, 'सुचना: केवळ पूर्ण मासिक RxNorm प्रकाशन सध्या समर्थीत आहे');
INSERT INTO `lang_definitions` VALUES (140046, 4168, 46, 'टीप: हा कोड अधिकृत वापरकर्ता नोंदलेली नाही. केवळ अधिकृत कोड प्रक्रिया उघडा वैद्यकीय बिल भरण्याची नेटवर्क अपलोड केले जाऊ शकते. आपण या कोड अपलोड करण्याची इच्छा असेल तर, येथे एक अधिकृत वापरकर्ता निवडा.');
INSERT INTO `lang_definitions` VALUES (140047, 4170, 46, 'सुचना: डुप्लिकेट नावे फायली अपलोड आपोआप पुनर्नामित करणे फाइल (उदाहरणार्थ, file.jpg file.1.jpg होईल) होऊ आहे. नाव रुग्ण दर, नाही श्रेणी प्रति अद्वितीय मानले जातात.');
INSERT INTO `lang_definitions` VALUES (140048, 4171, 46, 'सुचना: डुप्लिकेट नावे फायली अपलोड केलेल्या फाइल्स स्वयंचलितपणे नामकरण करतील. उदाहरणार्थ \'तो <i> file.jpg </ I>\' \'तो <i> file.jpg.1 </ I>\' होईल. नाव रुग्ण दर, नाही श्रेणी प्रति अद्वितीय मानले जातात.');
INSERT INTO `lang_definitions` VALUES (140049, 4172, 46, 'नोट्स');
INSERT INTO `lang_definitions` VALUES (140050, 4173, 46, 'नोट्स - कोणत्याही चकमकी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (140051, 4174, 46, 'नोट्स - माझ्या चकमकी (addonly पर्यायी, लिहा)');
INSERT INTO `lang_definitions` VALUES (140052, 4175, 46, 'अधिकृत नाही नोट्स');
INSERT INTO `lang_definitions` VALUES (140053, 4176, 46, 'मंजूरीसाठी प्रलंबित काहीही');
INSERT INTO `lang_definitions` VALUES (140054, 4177, 46, 'काहीही रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (140055, 4179, 46, 'काहीही ऍलर्जी साठी आयात करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (140056, 4180, 46, 'लिहून दिलेली औषधे व आयात काहीही');
INSERT INTO `lang_definitions` VALUES (140057, 4181, 46, 'दर्शवण्यासाठी काही नाही');
INSERT INTO `lang_definitions` VALUES (140058, 4182, 46, 'काहीही निवड करण्यात आली');
INSERT INTO `lang_definitions` VALUES (140059, 4183, 46, 'सूचना प्राप्त');
INSERT INTO `lang_definitions` VALUES (140060, 4184, 46, 'सूचना :: PostCalendar सादर / बदल');
INSERT INTO `lang_definitions` VALUES (140061, 4185, 46, 'सूचना');
INSERT INTO `lang_definitions` VALUES (140062, 4186, 46, 'सूचना ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (140063, 4188, 46, 'सूचना');
INSERT INTO `lang_definitions` VALUES (140064, 4189, 46, 'कार्यक्रम सबमिशनची / बदल बद्दल प्रशासन सूचित करा?');
INSERT INTO `lang_definitions` VALUES (140065, 4190, 46, 'नोव्हेंबर');
INSERT INTO `lang_definitions` VALUES (140066, 4191, 46, 'नोव्हेंबर');
INSERT INTO `lang_definitions` VALUES (140067, 4192, 46, 'आता पोस्ट:');
INSERT INTO `lang_definitions` VALUES (140068, 4193, 46, 'आता छपाई');
INSERT INTO `lang_definitions` VALUES (140069, 4194, 46, 'आता $ stmt_count स्टेटमेन्ट छपाई आणि चकमकी अद्ययावत करणे.');
INSERT INTO `lang_definitions` VALUES (140070, 4195, 46, 'आता $ stmt_count स्टेटमेन्ट छपाई आणि पावत्या अद्ययावत करणे.');
INSERT INTO `lang_definitions` VALUES (140071, 4196, 46, 'आता $ stmt_count स्टेटमेन्ट मुद्रण; चकमकी अद्यतनित केला जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (140072, 4197, 46, 'आता $ stmt_count स्टेटमेन्ट मुद्रण; पावत्या अद्यतनित केला जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (140073, 4198, 46, 'NPI');
INSERT INTO `lang_definitions` VALUES (140074, 4199, 46, 'NQF');
INSERT INTO `lang_definitions` VALUES (140075, 4200, 46, 'क्रमांक');
INSERT INTO `lang_definitions` VALUES (140076, 4201, 46, 'क्रमांक लॅब्ज');
INSERT INTO `lang_definitions` VALUES (140077, 4204, 46, 'वर्ष दृश्य स्तंभ संख्या.');
INSERT INTO `lang_definitions` VALUES (140078, 4211, 46, 'क्लायंट प्रमाणपत्र वैध आहे की दिवस संख्या.');
INSERT INTO `lang_definitions` VALUES (140079, 4213, 46, 'चलन, सहसा 0 किंवा 2 दशांश बिंदू नंतर अंक संख्या.');
INSERT INTO `lang_definitions` VALUES (140080, 4214, 46, 'चकमक क्रमांक प्रति पृष्ठ प्रदर्शित करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (140081, 4215, 46, 'जर असेल तर खेळ किंवा प्रसंग संख्या, नाही');
INSERT INTO `lang_definitions` VALUES (140082, 4216, 46, 'आगाऊ तास संख्या ईमेल सूचना पाठवू.');
INSERT INTO `lang_definitions` VALUES (140083, 4217, 46, 'आगाऊ तास संख्या फोन सूचना पाठविण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (140084, 4218, 46, 'आगाऊ तास संख्या एसएमएस सूचना पाठवू.');
INSERT INTO `lang_definitions` VALUES (140085, 4221, 46, 'गेल्या इतिहास स्तंभ संख्या');
INSERT INTO `lang_definitions` VALUES (140086, 4222, 46, 'रुग्णांची संख्या रुग्ण यादीत प्रति पृष्ठ प्रदर्शित करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (140087, 4223, 46, 'नाण्यासारखा');
INSERT INTO `lang_definitions` VALUES (140088, 4224, 46, 'अंश');
INSERT INTO `lang_definitions` VALUES (140089, 4225, 46, 'अंकीय प्रदर्शन आदेश');
INSERT INTO `lang_definitions` VALUES (140090, 4226, 46, 'Nuosu');
INSERT INTO `lang_definitions` VALUES (140091, 4227, 46, 'पोषण');
INSERT INTO `lang_definitions` VALUES (140092, 4228, 46, 'पौष्टिक');
INSERT INTO `lang_definitions` VALUES (140093, 4229, 46, 'O.A.F.V.');
INSERT INTO `lang_definitions` VALUES (140094, 4230, 46, 'शनि, O2');
INSERT INTO `lang_definitions` VALUES (140095, 4231, 46, 'लठ्ठपणा मी');
INSERT INTO `lang_definitions` VALUES (140096, 4232, 46, 'लठ्ठपणा दुसरा');
INSERT INTO `lang_definitions` VALUES (140097, 4233, 46, 'लठ्ठपणा तिसरा');
INSERT INTO `lang_definitions` VALUES (140098, 4234, 46, 'उद्देश');
INSERT INTO `lang_definitions` VALUES (140099, 4236, 46, 'ऑक्सितान');
INSERT INTO `lang_definitions` VALUES (140100, 4237, 46, 'उद्योग');
INSERT INTO `lang_definitions` VALUES (140101, 4239, 46, 'घटना');
INSERT INTO `lang_definitions` VALUES (140102, 4240, 46, 'ऑक्टोबर');
INSERT INTO `lang_definitions` VALUES (140103, 4241, 46, 'ऑक्टोबर');
INSERT INTO `lang_definitions` VALUES (140104, 4242, 46, 'ओव्हरड्राफ्ट');
INSERT INTO `lang_definitions` VALUES (140105, 4243, 46, 'च्या');
INSERT INTO `lang_definitions` VALUES (140106, 4244, 46, 'प्रमाणात');
INSERT INTO `lang_definitions` VALUES (140107, 4245, 46, 'गोळ्या');
INSERT INTO `lang_definitions` VALUES (140108, 4246, 46, 'महिन्याच्या प्रत्येक');
INSERT INTO `lang_definitions` VALUES (140109, 4247, 46, 'Ofc टिपा');
INSERT INTO `lang_definitions` VALUES (140110, 4248, 46, 'बंद');
INSERT INTO `lang_definitions` VALUES (140111, 4249, 46, 'कार्यालय टिपा');
INSERT INTO `lang_definitions` VALUES (140112, 4250, 46, 'कार्यालय भेट द्या');
INSERT INTO `lang_definitions` VALUES (140113, 4251, 46, 'अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (140114, 4252, 46, 'रुग्णांच्या पोर्टल offsite HTTPS दुवा.');
INSERT INTO `lang_definitions` VALUES (140115, 4253, 46, 'रुग्णांच्या पोर्टल offsite HTTPS दुवा. (रुग्णांच्या दुवा)');
INSERT INTO `lang_definitions` VALUES (140116, 4254, 46, 'Offsite रुग्णांच्या पोर्टल पासवर्ड');
INSERT INTO `lang_definitions` VALUES (140117, 4255, 46, 'Offsite रुग्णांच्या पोर्टल पासवर्ड (नोंदणीकृत नाही, तर रिक्त ठेवा).');
INSERT INTO `lang_definitions` VALUES (140118, 4256, 46, 'Offsite रुग्णांच्या पोर्टल प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (140119, 4257, 46, 'Offsite रुग्णांच्या पोर्टल प्रदाता आयडी (नोंदणीकृत नाही, तर रिक्त ठेवा).');
INSERT INTO `lang_definitions` VALUES (140120, 4258, 46, 'Offsite रुग्णांच्या पोर्टल साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (140121, 4259, 46, 'Offsite रुग्णांच्या पोर्टल साइट पत्ता (रुग्णांच्या दुवा)');
INSERT INTO `lang_definitions` VALUES (140122, 4260, 46, 'Offsite रुग्णांच्या पोर्टल वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (140123, 4261, 46, 'Offsite रुग्णांच्या पोर्टल वापरकर्तानाव (नोंदणीकृत नाही, तर रिक्त ठेवा).');
INSERT INTO `lang_definitions` VALUES (140124, 4262, 46, 'Offsite पोर्टल वेब सेवा अपयशी');
INSERT INTO `lang_definitions` VALUES (140125, 4263, 46, 'संतती');
INSERT INTO `lang_definitions` VALUES (140126, 4264, 46, 'संतती इतिहास');
INSERT INTO `lang_definitions` VALUES (140127, 4265, 46, 'सुगंधी');
INSERT INTO `lang_definitions` VALUES (140128, 4266, 46, 'Ojibwe, ओजिब्वा');
INSERT INTO `lang_definitions` VALUES (140129, 4267, 46, 'ठीक आहे');
INSERT INTO `lang_definitions` VALUES (140130, 4268, 46, 'या इतर पॉपअप विंडो बंद करण्यासाठी ओके?');
INSERT INTO `lang_definitions` VALUES (140131, 4269, 46, 'दिनांक GCAC समस्या दुवा ओके');
INSERT INTO `lang_definitions` VALUES (140132, 4270, 46, 'जुने');
INSERT INTO `lang_definitions` VALUES (140133, 4271, 46, 'ओल्ड चर्च स्लाव्होनिक, चर्च स्लाव्होनिक, ओल्ड बल्गेरियन');
INSERT INTO `lang_definitions` VALUES (140134, 4272, 46, 'जुने ग्राहक');
INSERT INTO `lang_definitions` VALUES (140135, 4273, 46, 'जुने फ्रॅक्चर नॉन / अस्थिभंगाचे अयोग्य सांघणे');
INSERT INTO `lang_definitions` VALUES (140136, 4274, 46, 'डाव्या मेनू जुन्या शैली मांडणी');
INSERT INTO `lang_definitions` VALUES (140137, 4275, 46, 'शोध किंवा दुप्पट चेक न जुन्या प्रकारची स्थिर फॉर्म');
INSERT INTO `lang_definitions` VALUES (140138, 4276, 46, 'जुने');
INSERT INTO `lang_definitions` VALUES (140139, 4277, 46, 'वगळणे');
INSERT INTO `lang_definitions` VALUES (140140, 4278, 46, 'मान्य वगळणे');
INSERT INTO `lang_definitions` VALUES (140141, 4279, 46, 'रुग्ण लोकसंख्याशास्त्र मध्ये नियोक्ता माहिती वगळणे');
INSERT INTO `lang_definitions` VALUES (140142, 4280, 46, 'बनवायला झटपट नियोक्ते');
INSERT INTO `lang_definitions` VALUES (140143, 4281, 46, 'नंतर डोस भाग होण्यासाठी कोणत्या फॉर्म, मार्ग आणि मध्यांतर वगळणे');
INSERT INTO `lang_definitions` VALUES (140144, 4282, 46, 'विमा वगळणे आणि लोकसंख्याशास्त्र काही इतर गोष्टी तयार');
INSERT INTO `lang_definitions` VALUES (140145, 4283, 46, 'अंतर्गत वापरकर्त्यांसाठी वगळणे?');
INSERT INTO `lang_definitions` VALUES (140146, 4284, 46, 'सहकारी वेतन आयोगाच्या पैसे पद्धत वगळणे');
INSERT INTO `lang_definitions` VALUES (140147, 4285, 46, 'autoassign करण्यासाठी वगळणे');
INSERT INTO `lang_definitions` VALUES (140148, 4286, 46, 'वर');
INSERT INTO `lang_definitions` VALUES (140149, 4287, 46, 'रोजी');
INSERT INTO `lang_definitions` VALUES (140150, 4288, 46, 'हातावर');
INSERT INTO `lang_definitions` VALUES (140151, 4289, 46, 'ऑर्डर रोजी');
INSERT INTO `lang_definitions` VALUES (140152, 4290, 46, 'साइटवर');
INSERT INTO `lang_definitions` VALUES (140153, 4291, 46, 'प्राथमिक व्यवसाय सुविधा सेट झाल्यावर, ते बदलले जाऊ नये. सुविधा बदलणे NewCrop ePrescription कार्य प्रभावित करेल.');
INSERT INTO `lang_definitions` VALUES (140154, 4292, 46, 'आपण आपला संकेतशब्द बदलला एकदा, आपण पुन्हा लॉग इन करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (140155, 4297, 46, 'ऑनलाईन समर्थन');
INSERT INTO `lang_definitions` VALUES (140156, 4298, 46, 'ऑनलाईन समर्थन दुवा');
INSERT INTO `lang_definitions` VALUES (140157, 4299, 46, 'फक्त सक्रिय');
INSERT INTO `lang_definitions` VALUES (140158, 4300, 46, 'फक्त लागू प्रदाता किंवा collated यादी वरील निवड करण्यात आली होती तर. केवळ प्राथमिक प्रदाता प्राथमिक प्रदाता आहे की रुग्णांना निवडते. चकमकीत प्रदाता पाहिले आहे की सर्व रुग्णांना निवडते.');
INSERT INTO `lang_definitions` VALUES (140159, 4302, 46, 'फक्त तर बिलिंग स्थान');
INSERT INTO `lang_definitions` VALUES (140160, 4303, 46, 'फक्त निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (140161, 4304, 46, 'फक्त माझे');
INSERT INTO `lang_definitions` VALUES (140162, 4305, 46, 'फक्त शो निदान अहवाल कोड');
INSERT INTO `lang_definitions` VALUES (140163, 4306, 46, 'फक्त शो सेवा कोड वित्त अहवाल कोड');
INSERT INTO `lang_definitions` VALUES (140164, 4307, 46, 'फक्त सक्रीय चांगले अपलोड');
INSERT INTO `lang_definitions` VALUES (140165, 4309, 46, 'चालू लक्षणे किंवा आजार दिसायला लागायच्या');
INSERT INTO `lang_definitions` VALUES (140166, 4310, 46, 'आजार दिसायला लागायच्या:');
INSERT INTO `lang_definitions` VALUES (140167, 4311, 46, 'Ilness दिसायला लागायच्या: ');
INSERT INTO `lang_definitions` VALUES (140168, 4312, 46, 'सूज दिसायला लागायच्या:');
INSERT INTO `lang_definitions` VALUES (140169, 4313, 46, 'दिसायला लागायच्या / हॉस्पिटल. तारीख:');
INSERT INTO `lang_definitions` VALUES (140170, 4314, 46, 'Onsite रुग्णांच्या पोर्टल साइट पत्ता');
INSERT INTO `lang_definitions` VALUES (140171, 4315, 46, 'अरेरे!');
INSERT INTO `lang_definitions` VALUES (140172, 4316, 46, 'ओपन');
INSERT INTO `lang_definitions` VALUES (140173, 4318, 46, 'नवीन विंडोमध्ये उघडा');
INSERT INTO `lang_definitions` VALUES (140174, 4319, 46, 'ओपन रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (140175, 4321, 46, 'ओपन Today`s भेट द्या');
INSERT INTO `lang_definitions` VALUES (140176, 4322, 46, 'LibreEHR आधीच एक प्रमाणपत्र अधिकृतता कॉन्फिगर केले आहे.');
INSERT INTO `lang_definitions` VALUES (140177, 4323, 46, 'LibreEHR अर्ज वर्ग');
INSERT INTO `lang_definitions` VALUES (140178, 4324, 46, 'LibreEHR डेटाबेस अपग्रेड');
INSERT INTO `lang_definitions` VALUES (140179, 4325, 46, 'डी-ओळखीसाठी LibreEHR डेटाबेस अपग्रेड');
INSERT INTO `lang_definitions` VALUES (140180, 4326, 46, 'LibreEHR योगदान डिरेक्टरी मध्ये येणारे फाइल ओळखत नाही. तुम्ही, MySQL डेटाबेस मध्ये supported_external_dataloads टेबल मध्ये प्रकाशन संरचीत करणे आवश्यक आहे कारण हे सर्वात शक्यता आहे.');
INSERT INTO `lang_definitions` VALUES (140181, 4327, 46, 'तो क्लायंट प्रमाणपत्र तयार करू शकता करण्यापूर्वी LibreEHR प्रमाणपत्रे वापरण्यासाठी कॉन्फिगर केले जाऊ आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (140182, 4328, 46, 'LibreEHR वापरकर्ता प्रमाणीकरण करण्यासाठी Javascript आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (140183, 4329, 46, 'LibreEHR वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (140184, 4330, 46, 'संबंधी');
INSERT INTO `lang_definitions` VALUES (140185, 4332, 46, 'Opthalmic');
INSERT INTO `lang_definitions` VALUES (140186, 4333, 46, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (140187, 4334, 46, 'पर्याय दस्तऐवज संचय पद्धत जतन करणे.');
INSERT INTO `lang_definitions` VALUES (140188, 4335, 46, 'पर्याय यादी आणि उत्पादने विक्री समर्थन');
INSERT INTO `lang_definitions` VALUES (140189, 4336, 46, 'पर्यायी');
INSERT INTO `lang_definitions` VALUES (140190, 4337, 46, 'रुग्ण सारांश पृष्ठ पाहिले जाऊ शकते की एक ओळखपत्र प्रतिमा पर्यायी श्रेणी नाव.');
INSERT INTO `lang_definitions` VALUES (140191, 4338, 46, 'रुग्ण सारांश पृष्ठ पाहिले जाऊ शकते की फोटो प्रतिमा पर्यायी श्रेणी नाव.');
INSERT INTO `lang_definitions` VALUES (140192, 4339, 46, 'दस्तऐवजाची पर्यायी श्रेणी नाव रुग्णाच्या सारांश पृष्ठ या निर्देशित पानाशी जोडले आहेत. आपण त्यांच्या ओळखपत्र पाहण्यासाठी एक रुग्ण नावावर क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (140193, 4340, 46, 'परिणाम स्वहस्ते नोंद पर्यायी मुलभूत श्रेणी');
INSERT INTO `lang_definitions` VALUES (140194, 4341, 46, 'परिणाम स्वहस्ते नोंद पर्यायी मुलभूत युनिट');
INSERT INTO `lang_definitions` VALUES (140195, 4342, 46, 'पर्यायी गंतव्य नाव');
INSERT INTO `lang_definitions` VALUES (140196, 4343, 46, 'पर्यायी औषध नाव, वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (140197, 4344, 46, 'पर्यायी लसीकरण नाव किंवा कोड, एक वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (140198, 4345, 46, 'हा कार्यक्रम बद्दल माहिती पर्यायी');
INSERT INTO `lang_definitions` VALUES (140199, 4346, 46, 'पर्यायी भरपूर संख्या एक वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (140200, 4347, 46, 'पर्यायी अंकीय रुग्ण आयडी');
INSERT INTO `lang_definitions` VALUES (140201, 4348, 46, 'पर्यायी प्रक्रिया कोड');
INSERT INTO `lang_definitions` VALUES (140202, 4349, 46, 'पर्यायी पद्धत / सेवा कोड');
INSERT INTO `lang_definitions` VALUES (140203, 4350, 46, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (140204, 4351, 46, 'किंवा');
INSERT INTO `lang_definitions` VALUES (140205, 4352, 46, 'किंवा');
INSERT INTO `lang_definitions` VALUES (140206, 4353, 46, 'किंवा निवडा');
INSERT INTO `lang_definitions` VALUES (140207, 4354, 46, 'किंवा क्लिक करा आणि जलद निवड ड्रॅग करा.');
INSERT INTO `lang_definitions` VALUES (140208, 4356, 46, 'किंवा बाहेर');
INSERT INTO `lang_definitions` VALUES (140209, 4357, 46, 'किंवा यादी निवडा');
INSERT INTO `lang_definitions` VALUES (140210, 4358, 46, 'किंवा ते कमी करण्यासाठी Shift-क्लिक करा');
INSERT INTO `lang_definitions` VALUES (140211, 4359, 46, 'किंवा ईआरए फाइल अपलोड करा:');
INSERT INTO `lang_definitions` VALUES (140212, 4360, 46, 'तोंडावाटे');
INSERT INTO `lang_definitions` VALUES (140213, 4361, 46, 'तोंडावाटे श्लेष्मल त्वचा गुलाबी, स्पष्ट घसा');
INSERT INTO `lang_definitions` VALUES (140214, 4362, 46, 'ऑर्डर');
INSERT INTO `lang_definitions` VALUES (140215, 4363, 46, 'ऑर्डर आणि निकाल प्रकार');
INSERT INTO `lang_definitions` VALUES (140216, 4364, 46, 'ऑर्डर कॅटलॉग');
INSERT INTO `lang_definitions` VALUES (140217, 4365, 46, 'ऑर्डर तारीख');
INSERT INTO `lang_definitions` VALUES (140218, 4366, 46, 'ऑर्डर वर्णन');
INSERT INTO `lang_definitions` VALUES (140219, 4367, 46, 'पासून ऑर्डर');
INSERT INTO `lang_definitions` VALUES (140220, 4368, 46, 'क्रम आयडी');
INSERT INTO `lang_definitions` VALUES (140221, 4369, 46, 'ऑर्डर 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (140222, 4370, 46, 'ऑर्डर नाव');
INSERT INTO `lang_definitions` VALUES (140223, 4371, 46, 'ऑर्डर अग्रक्रम');
INSERT INTO `lang_definitions` VALUES (140224, 4372, 46, 'ऑर्डर प्रोसेसर');
INSERT INTO `lang_definitions` VALUES (140225, 4373, 46, 'ऑर्डर परिणाम');
INSERT INTO `lang_definitions` VALUES (140226, 4374, 46, 'ऑर्डर स्थिती');
INSERT INTO `lang_definitions` VALUES (140227, 4375, 46, 'ऑर्डर पुतळे');
INSERT INTO `lang_definitions` VALUES (140228, 4376, 46, 'ऑर्डर सारांश');
INSERT INTO `lang_definitions` VALUES (140229, 4377, 46, 'ऑर्डर ट्रॅक');
INSERT INTO `lang_definitions` VALUES (140230, 4378, 46, 'ऑर्डर प्रकार');
INSERT INTO `lang_definitions` VALUES (140231, 4380, 46, 'ऑर्डर / परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (140232, 4381, 46, 'आदेश दिले');
INSERT INTO `lang_definitions` VALUES (140233, 4382, 46, 'करून आदेश दिले');
INSERT INTO `lang_definitions` VALUES (140234, 4383, 46, 'आदेश दिले प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140235, 4384, 46, 'क्रम प्रदाता');
INSERT INTO `lang_definitions` VALUES (140236, 4385, 46, 'ऑर्डर मार्ग');
INSERT INTO `lang_definitions` VALUES (140237, 4386, 46, 'अवयव इजा');
INSERT INTO `lang_definitions` VALUES (140238, 4387, 46, 'संघटना');
INSERT INTO `lang_definitions` VALUES (140239, 4388, 46, 'संस्थेचे नाव');
INSERT INTO `lang_definitions` VALUES (140240, 4389, 46, 'संस्थात्मक एकक नाव');
INSERT INTO `lang_definitions` VALUES (140241, 4390, 46, 'संस्था');
INSERT INTO `lang_definitions` VALUES (140242, 4391, 46, 'X 3 orientated');
INSERT INTO `lang_definitions` VALUES (140243, 4392, 46, 'मूळ');
INSERT INTO `lang_definitions` VALUES (140244, 4393, 46, 'मूळ चेकसम');
INSERT INTO `lang_definitions` VALUES (140245, 4394, 46, 'ओरिया');
INSERT INTO `lang_definitions` VALUES (140246, 4395, 46, 'ओरोमो');
INSERT INTO `lang_definitions` VALUES (140247, 4396, 46, 'घशाखालील भाग: ');
INSERT INTO `lang_definitions` VALUES (140248, 4397, 46, 'Orthopnea');
INSERT INTO `lang_definitions` VALUES (140249, 4398, 46, 'ओएस');
INSERT INTO `lang_definitions` VALUES (140250, 4399, 46, 'Osetoarthritis');
INSERT INTO `lang_definitions` VALUES (140251, 4400, 46, 'ओसेशियन Name, ओस्सेटिक');
INSERT INTO `lang_definitions` VALUES (140252, 4401, 46, 'अस्थीचिकित्सेबाबत');
INSERT INTO `lang_definitions` VALUES (140253, 4402, 46, 'इतर');
INSERT INTO `lang_definitions` VALUES (140254, 4403, 46, 'इतर');
INSERT INTO `lang_definitions` VALUES (140255, 4404, 46, 'इतर (स्पष्ट करा)');
INSERT INTO `lang_definitions` VALUES (140256, 4405, 46, 'इतर - हिन्दू');
INSERT INTO `lang_definitions` VALUES (140257, 4406, 46, 'इतर फेडरल कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (140258, 4407, 46, 'इतर HCFA');
INSERT INTO `lang_definitions` VALUES (140259, 4408, 46, 'इतर इजा इतरत्र निर्दिष्ट नाही');
INSERT INTO `lang_definitions` VALUES (140260, 4409, 46, 'इतर दायित्व विमा प्राथमिक आहे');
INSERT INTO `lang_definitions` VALUES (140261, 4410, 46, 'महिना');
INSERT INTO `lang_definitions` VALUES (140262, 4411, 46, 'इतर नॉन-फेडरल कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (140263, 4412, 46, 'इतर टिपा');
INSERT INTO `lang_definitions` VALUES (140264, 4413, 46, 'इतर सुसंबध्द लक्षणे');
INSERT INTO `lang_definitions` VALUES (140265, 4414, 46, 'इतर सुसंबध्द लक्षणे:');
INSERT INTO `lang_definitions` VALUES (140266, 4415, 46, 'इतर पोर्तुगाल resp');
INSERT INTO `lang_definitions` VALUES (140267, 4416, 46, 'वापर इजा चेंडू इतर ताण /');
INSERT INTO `lang_definitions` VALUES (140268, 4417, 46, 'सर्जिकल इतर');
INSERT INTO `lang_definitions` VALUES (140269, 4418, 46, 'इतर / जेनेरिक गर्भपात-संबंधित');
INSERT INTO `lang_definitions` VALUES (140270, 4420, 46, 'दुसरे काही');
INSERT INTO `lang_definitions` VALUES (140271, 4421, 46, 'अन्यथा आपण अस्तित्वातील डाटा पासून / संदर्भ नाश करीन.');
INSERT INTO `lang_definitions` VALUES (140272, 4422, 46, 'ऑटवा पायाचा घोटा नियम');
INSERT INTO `lang_definitions` VALUES (140273, 4423, 46, 'OU');
INSERT INTO `lang_definitions` VALUES (140274, 4424, 46, 'झेल.एकही');
INSERT INTO `lang_definitions` VALUES (140275, 4425, 46, 'कार्यालय आउट');
INSERT INTO `lang_definitions` VALUES (140276, 4426, 46, 'परदेशी रेफरल');
INSERT INTO `lang_definitions` VALUES (140277, 4427, 46, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (140278, 4428, 46, 'आउटलुक');
INSERT INTO `lang_definitions` VALUES (140279, 4429, 46, 'आउटपुट प्रकार');
INSERT INTO `lang_definitions` VALUES (140280, 4430, 46, 'डिस्चार्ज एकूण स्थिती');
INSERT INTO `lang_definitions` VALUES (140281, 4431, 46, 'थकीत');
INSERT INTO `lang_definitions` VALUES (140282, 4432, 46, 'Overuse');
INSERT INTO `lang_definitions` VALUES (140283, 4433, 46, 'विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (140284, 4434, 46, 'जादा वजन');
INSERT INTO `lang_definitions` VALUES (140285, 4435, 46, 'HIPAA निवड पुन्हा खोडून');
INSERT INTO `lang_definitions` VALUES (140286, 4437, 46, 'ऑक्सिजन संपृक्तता');
INSERT INTO `lang_definitions` VALUES (140287, 4438, 46, 'औंस');
INSERT INTO `lang_definitions` VALUES (140288, 4439, 46, 'पी');
INSERT INTO `lang_definitions` VALUES (140289, 4440, 46, 'p.c.');
INSERT INTO `lang_definitions` VALUES (140290, 4441, 46, 'घेता');
INSERT INTO `lang_definitions` VALUES (140291, 4442, 46, 'p.r.n.');
INSERT INTO `lang_definitions` VALUES (140292, 4443, 46, 'पॅसिफिक आयलॅंडर');
INSERT INTO `lang_definitions` VALUES (140293, 4444, 46, 'Paedeatric');
INSERT INTO `lang_definitions` VALUES (140294, 4445, 46, 'पृष्ठ');
INSERT INTO `lang_definitions` VALUES (140295, 4446, 46, 'पृष्ठे');
INSERT INTO `lang_definitions` VALUES (140296, 4447, 46, 'सशुल्क');
INSERT INTO `lang_definitions` VALUES (140297, 4448, 46, 'तुम्ही वाटप करतो की देय रक्कम');
INSERT INTO `lang_definitions` VALUES (140298, 4449, 46, 'सशुल्क रक्कम');
INSERT INTO `lang_definitions` VALUES (140299, 4450, 46, 'सशुल्क मार्गे');
INSERT INTO `lang_definitions` VALUES (140300, 4451, 46, 'वेदना');
INSERT INTO `lang_definitions` VALUES (140301, 4453, 46, 'कापणे');
INSERT INTO `lang_definitions` VALUES (140302, 4454, 46, 'पँजाबी Name, पंजाबी');
INSERT INTO `lang_definitions` VALUES (140303, 4455, 46, 'प्रकल्पग्रस्त डाग');
INSERT INTO `lang_definitions` VALUES (140304, 4456, 46, 'पेपर');
INSERT INTO `lang_definitions` VALUES (140305, 4457, 46, 'कागद आकार');
INSERT INTO `lang_definitions` VALUES (140306, 4458, 46, 'अर्धांगवायू');
INSERT INTO `lang_definitions` VALUES (140307, 4459, 46, 'पालक');
INSERT INTO `lang_definitions` VALUES (140308, 4461, 46, 'पार्स HL7');
INSERT INTO `lang_definitions` VALUES (140309, 4463, 46, 'भागीदार');
INSERT INTO `lang_definitions` VALUES (140310, 4464, 46, 'भागीदार नाव');
INSERT INTO `lang_definitions` VALUES (140311, 4466, 46, 'पश्तो, पश्तो');
INSERT INTO `lang_definitions` VALUES (140312, 4467, 46, 'पास लिहिलंय');
INSERT INTO `lang_definitions` VALUES (140313, 4468, 46, 'दस्तऐवज उकल करण्यासाठी वाक्यांश पास');
INSERT INTO `lang_definitions` VALUES (140314, 4469, 46, 'उत्तीर्ण रुग्णांना');
INSERT INTO `lang_definitions` VALUES (140315, 4470, 46, 'निष्क्रीय अॅलर्ट');
INSERT INTO `lang_definitions` VALUES (140316, 4471, 46, 'निष्क्रीय अॅलर्ट नियम');
INSERT INTO `lang_definitions` VALUES (140317, 4472, 46, 'पासवर्ड');
INSERT INTO `lang_definitions` VALUES (140318, 4473, 46, 'पासवर्ड बदला');
INSERT INTO `lang_definitions` VALUES (140319, 4474, 46, 'संकेतशब्द बदल यशस्वी');
INSERT INTO `lang_definitions` VALUES (140320, 4475, 46, 'पासवर्ड यशस्वी बदला.');
INSERT INTO `lang_definitions` VALUES (140321, 4476, 46, 'पासवर्ड किमान आवश्यकता पूर्ण करत नाही आणि चार खालील आयटम किमान तीन असणे आवश्यक आहे: एक संख्या, एक छोटे आकार पत्र, एक लोअरकेस पत्र, विशेष अक्षर (नाही leter किंवा संख्या).');
INSERT INTO `lang_definitions` VALUES (140322, 4477, 46, 'पासवर्ड समाप्ती अतिरिक्त कालावधी');
INSERT INTO `lang_definitions` VALUES (140323, 4479, 46, 'फोन गेटवे पासवर्ड. Maviq द्वारे प्रदान स्वयंचलित VoIP सेवा. अधिक माहितीसाठी http://signup.maviq.com भेट द्या.');
INSERT INTO `lang_definitions` VALUES (140324, 4480, 46, 'एसएमएस गेटवे संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (140325, 4481, 46, 'एसएमएस गेटवे पासवर्ड.');
INSERT INTO `lang_definitions` VALUES (140326, 4482, 46, 'वरील वापरकर्ता संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (140327, 4483, 46, 'पासवर्ड सुरक्षा अलीकडे सुधारीत केले आहे.');
INSERT INTO `lang_definitions` VALUES (140328, 4484, 46, 'पासवर्ड CouchDB कनेक्ट करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (140329, 4485, 46, 'संकेतशब्द खूप लहान. किमान 8 वर्ण आवश्यक.');
INSERT INTO `lang_definitions` VALUES (140330, 4486, 46, 'पासवर्ड:');
INSERT INTO `lang_definitions` VALUES (140331, 4487, 46, 'पासवर्ड जुळत नका!');
INSERT INTO `lang_definitions` VALUES (140332, 4488, 46, 'मागील Appoinments');
INSERT INTO `lang_definitions` VALUES (140333, 4489, 46, 'मागील नियुक्ती प्रदर्शन विजेट');
INSERT INTO `lang_definitions` VALUES (140334, 4490, 46, 'गेल्या');
INSERT INTO `lang_definitions` VALUES (140335, 4491, 46, 'मागील मुळे');
INSERT INTO `lang_definitions` VALUES (140336, 4492, 46, 'गेल्या मुळे मध्यांतर (क्लिनिकल स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (140337, 4493, 46, 'गेल्या मुळे मध्यांतर (रुग्णांच्या स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (140338, 4494, 46, 'मागील चकमकीत यादी');
INSERT INTO `lang_definitions` VALUES (140339, 4495, 46, 'मागील Encounters');
INSERT INTO `lang_definitions` VALUES (140340, 4496, 46, 'मागील Encounters आणि दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (140341, 4497, 46, 'गेल्या Encounters');
INSERT INTO `lang_definitions` VALUES (140342, 4498, 46, 'HL7 डेटा पेस्ट करा');
INSERT INTO `lang_definitions` VALUES (140343, 4499, 46, 'खाली दिलेल्या टेक्स्ट कक्षात आयात डेटा पेस्ट करा:');
INSERT INTO `lang_definitions` VALUES (140344, 4500, 46, 'पॅट');
INSERT INTO `lang_definitions` VALUES (140345, 4502, 46, 'ठिगळ');
INSERT INTO `lang_definitions` VALUES (140346, 4508, 46, 'इव्हेंट लॉग बॅकअप करीता मार्ग');
INSERT INTO `lang_definitions` VALUES (140347, 4509, 46, 'CA प्रमाणपत्र फाइल मार्ग');
INSERT INTO `lang_definitions` VALUES (140348, 4510, 46, 'सीए की फाइल मार्ग');
INSERT INTO `lang_definitions` VALUES (140349, 4511, 46, ', MySQL Binaries मार्ग');
INSERT INTO `lang_definitions` VALUES (140350, 4512, 46, 'पर्ल Binaries मार्ग');
INSERT INTO `lang_definitions` VALUES (140351, 4513, 46, 'तात्पुरत्या फाइल्स मार्ग');
INSERT INTO `lang_definitions` VALUES (140352, 4514, 46, 'रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (140353, 4515, 46, 'रुग्ण');
INSERT INTO `lang_definitions` VALUES (140354, 4516, 46, 'रुग्ण');
INSERT INTO `lang_definitions` VALUES (140355, 4517, 46, 'रुग्णांच्या पत्ता');
INSERT INTO `lang_definitions` VALUES (140356, 4518, 46, 'रुग्णांच्या पत्ता गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140357, 4521, 46, 'रुग्णांच्या ऍलर्जी');
INSERT INTO `lang_definitions` VALUES (140358, 4522, 46, 'रुग्णांच्या अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (140359, 4523, 46, 'रुग्णांच्या नियुक्ती');
INSERT INTO `lang_definitions` VALUES (140360, 4524, 46, 'रुग्णांच्या शिल्लक');
INSERT INTO `lang_definitions` VALUES (140361, 4525, 46, 'रुग्णांच्या शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (140362, 4528, 46, 'रुग्णांच्या चार्ट आयडी');
INSERT INTO `lang_definitions` VALUES (140363, 4529, 46, 'रुग्णांच्या चेकआऊट');
INSERT INTO `lang_definitions` VALUES (140364, 4530, 46, 'धीराने चेकआऊट ');
INSERT INTO `lang_definitions` VALUES (140365, 4531, 46, 'रुग्णांच्या शहर');
INSERT INTO `lang_definitions` VALUES (140366, 4532, 46, 'रुग्णांच्या शहर गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140367, 4533, 46, 'पाठविले रुग्णांच्या दळणवळण');
INSERT INTO `lang_definitions` VALUES (140368, 4534, 46, 'पाठविलेला रुग्णांच्या Comunication');
INSERT INTO `lang_definitions` VALUES (140369, 4535, 46, 'रुग्णांच्या देश');
INSERT INTO `lang_definitions` VALUES (140370, 4536, 46, 'रुग्णांच्या देश गहाळ आहे. तसेच आपण ग्लोबल सेटिंग्ज मध्ये डीफॉल्ट रुग्णांच्या देश सेट केले नाही');
INSERT INTO `lang_definitions` VALUES (140371, 4537, 46, 'रुग्णांच्या व्याप्ती');
INSERT INTO `lang_definitions` VALUES (140372, 4539, 46, 'रुग्णांच्या डेटा');
INSERT INTO `lang_definitions` VALUES (140373, 4541, 46, 'जन्म रुग्णांच्या तारीख गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140374, 4542, 46, 'रुग्णांच्या तपशील');
INSERT INTO `lang_definitions` VALUES (140375, 4543, 46, 'रुग्णांच्या डीओबी');
INSERT INTO `lang_definitions` VALUES (140376, 4544, 46, 'रुग्णांच्या दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (140377, 4545, 46, 'रुग्णांच्या शिक्षण');
INSERT INTO `lang_definitions` VALUES (140378, 4546, 46, 'रुग्णांच्या शिक्षण सामुग्री');
INSERT INTO `lang_definitions` VALUES (140379, 4547, 46, 'रुग्णांच्या आढळतात');
INSERT INTO `lang_definitions` VALUES (140380, 4548, 46, 'रुग्णांच्या चकमकीत फॉर्म');
INSERT INTO `lang_definitions` VALUES (140381, 4549, 46, 'रुग्णांच्या Encounters');
INSERT INTO `lang_definitions` VALUES (140382, 4550, 46, 'रुग्णांच्या फाइंडर');
INSERT INTO `lang_definitions` VALUES (140383, 4551, 46, 'रुग्णांच्या नाव');
INSERT INTO `lang_definitions` VALUES (140384, 4553, 46, 'रुग्णांच्या नाव गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140385, 4558, 46, 'रुग्णांच्या लिंग');
INSERT INTO `lang_definitions` VALUES (140386, 4559, 46, 'रुग्णांच्या लिंग गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140387, 4560, 46, 'रुग्णांच्या रुग्ण पोर्टल अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (140388, 4561, 46, 'रुग्णांच्या इतिहास');
INSERT INTO `lang_definitions` VALUES (140389, 4562, 46, 'रुग्णांच्या इतिहास / जीवनशैली');
INSERT INTO `lang_definitions` VALUES (140390, 4563, 46, 'रुग्णांच्या मुख्यपृष्ठ फोन');
INSERT INTO `lang_definitions` VALUES (140391, 4564, 46, 'रुग्णांच्या आयडी');
INSERT INTO `lang_definitions` VALUES (140392, 4565, 46, 'रुग्णांच्या आयडी');
INSERT INTO `lang_definitions` VALUES (140393, 4566, 46, 'रुग्णांच्या ओळखपत्र');
INSERT INTO `lang_definitions` VALUES (140394, 4567, 46, 'रुग्णांच्या आयडी वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (140395, 4568, 46, 'रुग्णांच्या लसीकरण');
INSERT INTO `lang_definitions` VALUES (140396, 4569, 46, 'रुग्णांच्या माहिती');
INSERT INTO `lang_definitions` VALUES (140397, 4570, 46, 'रुग्णांच्या सूचना');
INSERT INTO `lang_definitions` VALUES (140398, 4571, 46, 'रुग्णांच्या विमा वितरण');
INSERT INTO `lang_definitions` VALUES (140399, 4572, 46, 'रुग्णांच्या विमा वितरण अहवाल');
INSERT INTO `lang_definitions` VALUES (140400, 4573, 46, 'रुग्णांच्या मुद्दे');
INSERT INTO `lang_definitions` VALUES (140401, 4574, 46, 'रुग्णांच्या लेबल प्रकार');
INSERT INTO `lang_definitions` VALUES (140402, 4575, 46, 'रुग्णांच्या आडनाव');
INSERT INTO `lang_definitions` VALUES (140403, 4577, 46, 'रुग्णांच्या आडनाव गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140404, 4581, 46, 'रुग्णांच्या यादी');
INSERT INTO `lang_definitions` VALUES (140405, 4582, 46, 'रुग्णांच्या यादी स्तंभ');
INSERT INTO `lang_definitions` VALUES (140406, 4584, 46, 'रुग्णांच्या यादी नवीन विंडोमध्ये');
INSERT INTO `lang_definitions` VALUES (140407, 4585, 46, 'रुग्णांच्या यादी पृष्ठ आकार');
INSERT INTO `lang_definitions` VALUES (140408, 4586, 46, 'रुग्णांच्या शोधा चुका');
INSERT INTO `lang_definitions` VALUES (140409, 4587, 46, 'रुग्णांच्या वैद्यकीय समस्या');
INSERT INTO `lang_definitions` VALUES (140410, 4588, 46, 'रुग्णांच्या औषधे');
INSERT INTO `lang_definitions` VALUES (140411, 4589, 46, 'रुग्णांच्या नाव');
INSERT INTO `lang_definitions` VALUES (140412, 4590, 46, 'रुग्णांच्या नाव आणि पत्ता:');
INSERT INTO `lang_definitions` VALUES (140413, 4593, 46, 'रुग्णांच्या नाव आवश्यक');
INSERT INTO `lang_definitions` VALUES (140414, 4595, 46, 'रुग्णांच्या टीप');
INSERT INTO `lang_definitions` VALUES (140415, 4596, 46, 'रुग्णांच्या टीप प्रकार');
INSERT INTO `lang_definitions` VALUES (140416, 4597, 46, 'रुग्णांच्या टिपा');
INSERT INTO `lang_definitions` VALUES (140417, 4598, 46, 'रुग्णांच्या टीपा (पर्यायी addonly, लिहा)');
INSERT INTO `lang_definitions` VALUES (140418, 4599, 46, 'रुग्णांच्या क्रमांक');
INSERT INTO `lang_definitions` VALUES (140419, 4600, 46, 'रुग्णांच्या भरणा');
INSERT INTO `lang_definitions` VALUES (140420, 4602, 46, 'रुग्णांच्या फोटो वर्गवारी नाव');
INSERT INTO `lang_definitions` VALUES (140421, 4603, 46, 'रुग्णांच्या पोर्टल');
INSERT INTO `lang_definitions` VALUES (140422, 4604, 46, 'रुग्णांच्या पोर्टल कनेक्टिव्हिटी समस्या');
INSERT INTO `lang_definitions` VALUES (140423, 4605, 46, 'रुग्णांच्या पोर्टल बंद आहे');
INSERT INTO `lang_definitions` VALUES (140424, 4606, 46, 'रुग्णांच्या पोर्टल लॉग-इन');
INSERT INTO `lang_definitions` VALUES (140425, 4607, 46, 'रुग्णांच्या पोर्टल वेब पत्ता');
INSERT INTO `lang_definitions` VALUES (140426, 4608, 46, 'रुग्णांच्या छापील अहवाल');
INSERT INTO `lang_definitions` VALUES (140427, 4609, 46, 'रुग्णांच्या रेकॉर्ड अहवाल');
INSERT INTO `lang_definitions` VALUES (140428, 4610, 46, 'रुग्णांच्या रेकॉर्ड विनंती');
INSERT INTO `lang_definitions` VALUES (140429, 4611, 46, 'रुग्णांच्या रेकॉर्ड विनंती');
INSERT INTO `lang_definitions` VALUES (140430, 4613, 46, 'रुग्णांच्या स्मरणपत्र');
INSERT INTO `lang_definitions` VALUES (140431, 4614, 46, 'रुग्णांच्या स्मरणपत्र बॅच ईयोब');
INSERT INTO `lang_definitions` VALUES (140432, 4615, 46, 'रुग्णांच्या स्मरणपत्र निर्मिती प्रक्रिया प्राधान्य');
INSERT INTO `lang_definitions` VALUES (140433, 4616, 46, 'रुग्णांच्या स्मरणपत्र नियम');
INSERT INTO `lang_definitions` VALUES (140434, 4617, 46, 'रुग्णांच्या स्मरणपत्र प्रेषक ईमेल');
INSERT INTO `lang_definitions` VALUES (140435, 4618, 46, 'रुग्णांच्या स्मरणपत्र प्रेषकाचे नाव');
INSERT INTO `lang_definitions` VALUES (140436, 4619, 46, 'रुग्णांच्या स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (140437, 4620, 46, 'रुग्णांच्या अहवाल');
INSERT INTO `lang_definitions` VALUES (140438, 4621, 46, 'रुग्णांच्या विनंती');
INSERT INTO `lang_definitions` VALUES (140439, 4622, 46, 'रुग्णांच्या विनंती वैद्यकीय रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (140440, 4623, 46, 'रुग्णांच्या परिणाम');
INSERT INTO `lang_definitions` VALUES (140441, 4624, 46, 'रुग्णांच्या शोध परिणाम शैली');
INSERT INTO `lang_definitions` VALUES (140442, 4625, 46, 'रुग्णांच्या शोध जोडा / स्क्रीन');
INSERT INTO `lang_definitions` VALUES (140443, 4626, 46, 'रुग्णांच्या सेटिंग');
INSERT INTO `lang_definitions` VALUES (140444, 4627, 46, 'रुग्णांच्या राज्य');
INSERT INTO `lang_definitions` VALUES (140445, 4629, 46, 'रुग्णांच्या सारांश');
INSERT INTO `lang_definitions` VALUES (140446, 4630, 46, 'रुग्णांच्या व्यवहार');
INSERT INTO `lang_definitions` VALUES (140447, 4631, 46, 'रुग्णांच्या पिन');
INSERT INTO `lang_definitions` VALUES (140448, 4632, 46, 'आपण प्रविष्ट केलेला लोकसंख्याशास्त्रीय माहिती जुळत डाटाबेस सहनशील (चे).');
INSERT INTO `lang_definitions` VALUES (140449, 4633, 46, 'रुग्णांच्या / ग्राहक');
INSERT INTO `lang_definitions` VALUES (140450, 4634, 46, 'रुग्णांच्या:');
INSERT INTO `lang_definitions` VALUES (140451, 4635, 46, 'PatientID');
INSERT INTO `lang_definitions` VALUES (140452, 4636, 46, 'रुग्णांना');
INSERT INTO `lang_definitions` VALUES (140453, 4637, 46, 'रुग्णांना प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140454, 4638, 46, 'द्या');
INSERT INTO `lang_definitions` VALUES (140455, 4639, 46, 'चेकबॉक्स \"पूर्ण झाले\" करण्यासाठी लक्ष द्या. इन्शुरन्सचे पूर्ण चिन्हांकित केली आहेत नंतर आम्ही बाकी अदा रुग्णाला विचारून सुरू होईल; आपण पूर्ण इन्शुरन्सचे सर्व चिन्हांकित अपयशी तर उर्वरित रक्कम गोळा जाणार नाही! रुग्णाला अदा करावी, असे समतोल आहे, तर या रुग्णाला स्टेटमेन्ट दिसणारे भाषा परिणाम होईल तसेच, नंतर, योग्य योग्य तारीख सेट.');
INSERT INTO `lang_definitions` VALUES (140456, 4640, 46, 'तारीख द्या:');
INSERT INTO `lang_definitions` VALUES (140457, 4641, 46, 'पे स्थिती');
INSERT INTO `lang_definitions` VALUES (140458, 4642, 46, 'ज्याला पैसे दिले तो मनुष्य नाव');
INSERT INTO `lang_definitions` VALUES (140459, 4643, 46, 'देणारा');
INSERT INTO `lang_definitions` VALUES (140460, 4644, 46, 'देणारा प्रकार');
INSERT INTO `lang_definitions` VALUES (140461, 4645, 46, 'भरणे');
INSERT INTO `lang_definitions` VALUES (140462, 4646, 46, 'अस्तित्व भरणे');
INSERT INTO `lang_definitions` VALUES (140463, 4647, 46, 'भरणा');
INSERT INTO `lang_definitions` VALUES (140464, 4648, 46, 'पैसे');
INSERT INTO `lang_definitions` VALUES (140465, 4649, 46, 'भरणा समायोजन कोड');
INSERT INTO `lang_definitions` VALUES (140466, 4650, 46, 'रक्कम');
INSERT INTO `lang_definitions` VALUES (140467, 4651, 46, 'भरणा रक्कम');
INSERT INTO `lang_definitions` VALUES (140468, 4652, 46, 'भरणा रक्कम संख्यात्मक असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (140469, 4653, 46, 'भरणा वर्ग');
INSERT INTO `lang_definitions` VALUES (140470, 4654, 46, 'भरणा तारीख');
INSERT INTO `lang_definitions` VALUES (140471, 4655, 46, 'देयक वर प्रवेश केला');
INSERT INTO `lang_definitions` VALUES (140472, 4656, 46, 'पासून भरणा');
INSERT INTO `lang_definitions` VALUES (140473, 4657, 46, 'भरणा गेटवे');
INSERT INTO `lang_definitions` VALUES (140474, 4658, 46, 'भरणा इन');
INSERT INTO `lang_definitions` VALUES (140475, 4659, 46, 'भरणा यादी');
INSERT INTO `lang_definitions` VALUES (140476, 4660, 46, 'भरणा पद्धत');
INSERT INTO `lang_definitions` VALUES (140477, 4661, 46, 'करून भरणा क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (140478, 4662, 46, 'भरणा स्थिती');
INSERT INTO `lang_definitions` VALUES (140479, 4663, 46, 'भरणा प्रकार');
INSERT INTO `lang_definitions` VALUES (140480, 4664, 46, 'कोड भरणा मूल्य ');
INSERT INTO `lang_definitions` VALUES (140481, 4665, 46, 'देयके');
INSERT INTO `lang_definitions` VALUES (140482, 4667, 46, 'PCP');
INSERT INTO `lang_definitions` VALUES (140483, 4668, 46, 'PCT (%) पंक्ती');
INSERT INTO `lang_definitions` VALUES (140484, 4669, 46, 'पीडीएफ');
INSERT INTO `lang_definitions` VALUES (140485, 4670, 46, 'पीडीएफ डाउनलोड स्टेटमेन्ट निवडलेले');
INSERT INTO `lang_definitions` VALUES (140486, 4671, 46, 'पीडीएफ भाषा');
INSERT INTO `lang_definitions` VALUES (140487, 4672, 46, 'फॉन्ट आणि नितंब');
INSERT INTO `lang_definitions` VALUES (140488, 4673, 46, 'Pemphigus');
INSERT INTO `lang_definitions` VALUES (140489, 4674, 46, 'प्रलंबित');
INSERT INTO `lang_definitions` VALUES (140490, 4675, 46, 'मंजूरीसाठी प्रलंबित');
INSERT INTO `lang_definitions` VALUES (140491, 4676, 46, 'एफ / यू प्रलंबित');
INSERT INTO `lang_definitions` VALUES (140492, 4677, 46, 'प्रलंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (140493, 4678, 46, 'परिणाम पासून प्रलंबित फॉलोअप');
INSERT INTO `lang_definitions` VALUES (140494, 4679, 46, 'ऑर्डर प्रलंबित');
INSERT INTO `lang_definitions` VALUES (140495, 4680, 46, 'प्रलंबित द्यावे');
INSERT INTO `lang_definitions` VALUES (140496, 4681, 46, 'प्रलंबित पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (140497, 4682, 46, 'प्रलंबित Rx संख्या');
INSERT INTO `lang_definitions` VALUES (140498, 4684, 46, 'पेनिंग्टन फर्म LibreEHR विरुद्ध');
INSERT INTO `lang_definitions` VALUES (140499, 4685, 46, 'पाचक व्रण रोग');
INSERT INTO `lang_definitions` VALUES (140500, 4686, 46, 'चकमकीत प्रति');
INSERT INTO `lang_definitions` VALUES (140501, 4687, 46, 'मि दर');
INSERT INTO `lang_definitions` VALUES (140502, 4688, 46, 'प्रति नाकपुडी');
INSERT INTO `lang_definitions` VALUES (140503, 4689, 46, 'नाकपुडी दर');
INSERT INTO `lang_definitions` VALUES (140504, 4690, 46, 'प्रति Oris');
INSERT INTO `lang_definitions` VALUES (140505, 4691, 46, 'oris दर');
INSERT INTO `lang_definitions` VALUES (140506, 4692, 46, 'गुदाशय प्रति');
INSERT INTO `lang_definitions` VALUES (140507, 4693, 46, 'गुदाशय दर');
INSERT INTO `lang_definitions` VALUES (140508, 4694, 46, 'टक्के');
INSERT INTO `lang_definitions` VALUES (140509, 4697, 46, 'शतमान');
INSERT INTO `lang_definitions` VALUES (140510, 4698, 46, 'सच्छिद्र अधिकार:');
INSERT INTO `lang_definitions` VALUES (140511, 4699, 46, 'शोध सुरू');
INSERT INTO `lang_definitions` VALUES (140512, 4700, 46, 'ही क्रिया');
INSERT INTO `lang_definitions` VALUES (140513, 4701, 46, 'कामगिरी टक्केवारी');
INSERT INTO `lang_definitions` VALUES (140514, 4703, 46, 'सुरू प्रयोगशाळा सुविधा');
INSERT INTO `lang_definitions` VALUES (140515, 4705, 46, 'कालावधी');
INSERT INTO `lang_definitions` VALUES (140516, 4706, 46, 'वापरकर्ता एक कालबाह्य पासवर्ड प्रवेश करू शकता, जेथे दिवसांत कालावधी.');
INSERT INTO `lang_definitions` VALUES (140517, 4707, 46, 'Perioperative केअर');
INSERT INTO `lang_definitions` VALUES (140518, 4708, 46, 'गौण');
INSERT INTO `lang_definitions` VALUES (140519, 4709, 46, 'Unsalted संकेतशब्द परवानगी');
INSERT INTO `lang_definitions` VALUES (140520, 4710, 46, 'पर्शियन');
INSERT INTO `lang_definitions` VALUES (140521, 4711, 46, 'फारसी (फारसी)');
INSERT INTO `lang_definitions` VALUES (140522, 4712, 46, 'व्यक्ती');
INSERT INTO `lang_definitions` VALUES (140523, 4713, 46, 'वैयक्तिकृत');
INSERT INTO `lang_definitions` VALUES (140524, 4714, 46, 'पदव्युत्तर');
INSERT INTO `lang_definitions` VALUES (140525, 4715, 46, 'Pharm');
INSERT INTO `lang_definitions` VALUES (140526, 4716, 46, 'Pharm कॉम संख्या');
INSERT INTO `lang_definitions` VALUES (140527, 4717, 46, 'औषध');
INSERT INTO `lang_definitions` VALUES (140528, 4718, 46, 'फार्मसी');
INSERT INTO `lang_definitions` VALUES (140529, 4719, 46, 'फार्मसी दवाखान्याला');
INSERT INTO `lang_definitions` VALUES (140530, 4720, 46, 'Pheumothorax');
INSERT INTO `lang_definitions` VALUES (140531, 4721, 46, 'सीसीडीची पाठवा परवानगी द्या phiMail');
INSERT INTO `lang_definitions` VALUES (140532, 4722, 46, 'phiMail CCR पाठवा परवानगी द्या');
INSERT INTO `lang_definitions` VALUES (140533, 4723, 46, 'phiMail संदेश मध्यांतर (मिनिटे) तपासा');
INSERT INTO `lang_definitions` VALUES (140534, 4724, 46, 'phiMail सूचना वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (140535, 4725, 46, 'phiMail पासवर्ड');
INSERT INTO `lang_definitions` VALUES (140536, 4726, 46, 'phiMail सर्व्हर पत्ता');
INSERT INTO `lang_definitions` VALUES (140537, 4727, 46, 'phiMail वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (140538, 4729, 46, 'फोन');
INSERT INTO `lang_definitions` VALUES (140539, 4730, 46, 'फोन कॉल सूची');
INSERT INTO `lang_definitions` VALUES (140540, 4731, 46, 'फोन कॉल यादी अहवाल');
INSERT INTO `lang_definitions` VALUES (140541, 4732, 46, 'फोन सेल');
INSERT INTO `lang_definitions` VALUES (140542, 4733, 46, 'फोन गेटवे पासवर्ड');
INSERT INTO `lang_definitions` VALUES (140543, 4734, 46, 'फोन गेटवे URL मध्ये');
INSERT INTO `lang_definitions` VALUES (140544, 4735, 46, 'फोन गेटवे वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (140545, 4736, 46, 'फोन मुख्यपृष्ठ');
INSERT INTO `lang_definitions` VALUES (140546, 4737, 46, 'फोन सूचना तास');
INSERT INTO `lang_definitions` VALUES (140547, 4738, 46, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (140548, 4739, 46, 'फोन नंबर');
INSERT INTO `lang_definitions` VALUES (140549, 4740, 46, 'प्रकाश सहन न होणे');
INSERT INTO `lang_definitions` VALUES (140550, 4741, 46, 'फोटो');
INSERT INTO `lang_definitions` VALUES (140551, 4742, 46, 'कृपया PHP संकुचित');
INSERT INTO `lang_definitions` VALUES (140552, 4743, 46, 'कृपया PHP वलय विभाग आपल्या सर्व्हर सक्षम करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (140553, 4744, 46, 'कृपया PHP मिळवला');
INSERT INTO `lang_definitions` VALUES (140554, 4745, 46, 'PHP-GACL प्रवेश नियंत्रणे बंद आहेत');
INSERT INTO `lang_definitions` VALUES (140555, 4746, 46, 'कृपया PHP-gacl स्थापित नाही');
INSERT INTO `lang_definitions` VALUES (140556, 4747, 46, 'शारीरिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (140557, 4749, 46, 'फिजिशियन विनंती');
INSERT INTO `lang_definitions` VALUES (140558, 4750, 46, 'फिजिशियन स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (140559, 4752, 46, 'डॉक्टरांची');
INSERT INTO `lang_definitions` VALUES (140560, 4753, 46, 'निवडा');
INSERT INTO `lang_definitions` VALUES (140561, 4754, 46, 'निवडा');
INSERT INTO `lang_definitions` VALUES (140562, 4755, 46, 'एक सीएसएस थीम निवडा.');
INSERT INTO `lang_definitions` VALUES (140563, 4756, 46, 'पी आय डी');
INSERT INTO `lang_definitions` VALUES (140564, 4757, 46, 'पी आय डी (ओटीपोटाच्या दाहक रोग)');
INSERT INTO `lang_definitions` VALUES (140565, 4758, 46, 'गोळी आकार');
INSERT INTO `lang_definitions` VALUES (140566, 4759, 46, 'गोळ्या');
INSERT INTO `lang_definitions` VALUES (140567, 4760, 46, 'प्रतिष्ठापीत करण्यासाठी पर्याय इच्छित असल्यास खालील निर्देशिका मध्ये डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (140568, 4761, 46, 'खालील निर्देशिका मध्ये डाउनलोड ICD 10 डेटाबेस झिप फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (140569, 4762, 46, 'खालील निर्देशिका मध्ये डाउनलोड ICD 9 डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (140570, 4763, 46, 'खालील निर्देशिका मध्ये डाउनलोड RxNorm डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (140571, 4764, 46, 'खालील निर्देशिका मध्ये डाउनलोड Snomed डेटाबेस zip फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (140572, 4765, 46, 'प्लेसहोल्डर');
INSERT INTO `lang_definitions` VALUES (140573, 4766, 46, 'प्लेसहोल्डर (रिक्त ACLs करीता राखून ठेवेल)');
INSERT INTO `lang_definitions` VALUES (140574, 4767, 46, 'साधा मजकूर');
INSERT INTO `lang_definitions` VALUES (140575, 4768, 46, 'योजना');
INSERT INTO `lang_definitions` VALUES (140576, 4771, 46, 'योजनेचे नाव');
INSERT INTO `lang_definitions` VALUES (140577, 4775, 46, 'योजना सेट');
INSERT INTO `lang_definitions` VALUES (140578, 4779, 46, 'योजना:');
INSERT INTO `lang_definitions` VALUES (140579, 4782, 46, 'योजना');
INSERT INTO `lang_definitions` VALUES (140580, 4784, 46, 'प्लेअर');
INSERT INTO `lang_definitions` VALUES (140581, 4785, 46, 'जागा');
INSERT INTO `lang_definitions` VALUES (140582, 4786, 46, 'वरील माहिती चुकीची असेल तर कॉल करा');
INSERT INTO `lang_definitions` VALUES (140583, 4787, 46, 'कृपया आपला संकेतशब्द बदला.');
INSERT INTO `lang_definitions` VALUES (140584, 4788, 46, 'एक फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (140585, 4789, 46, 'एक रुग्ण निवडा');
INSERT INTO `lang_definitions` VALUES (140586, 4790, 46, 'सूचीमधून एक वैध निवड निवडा.');
INSERT INTO `lang_definitions` VALUES (140587, 4791, 46, 'एक वैध निवड निवडा.');
INSERT INTO `lang_definitions` VALUES (140588, 4792, 46, 'एक मूल्य निवडा');
INSERT INTO `lang_definitions` VALUES (140589, 4793, 46, 'वरील तारीख श्रेणी मापदंड निवडा, आणि परिणाम पाहण्यासाठी रिफ्रेश क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (140590, 4794, 46, 'योग्य रूपण EDI-271 फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (140591, 4795, 46, 'डे ओळखले डेटा डाउनलोड करण्यासाठी डाउनलोड बटण क्लिक करा');
INSERT INTO `lang_definitions` VALUES (140592, 4796, 46, 'पुन्हा ओळखले डेटा डाउनलोड करण्यासाठी डाउनलोड बटण क्लिक करा');
INSERT INTO `lang_definitions` VALUES (140593, 4797, 46, 'ही विंडो बंद करा.');
INSERT INTO `lang_definitions` VALUES (140594, 4798, 46, 'नवीन नाव तुलना करा');
INSERT INTO `lang_definitions` VALUES (140595, 4800, 46, 'पुढे जाण्यापूर्वी मूल्य (चे) दुरुस्त करा!');
INSERT INTO `lang_definitions` VALUES (140596, 4801, 46, 'पुढे जाण्यापूर्वी खालील निर्देशिका तयार करा');
INSERT INTO `lang_definitions` VALUES (140597, 4802, 46, 'तो facimile द्वारे प्राप्त केले जात नाही तोपर्यंत या नियम मान्य करू नका.');
INSERT INTO `lang_definitions` VALUES (140598, 4803, 46, 'तो पुस्तक द्वारे प्राप्त केले जात नाही तोपर्यंत या नियम मान्य करू नका.');
INSERT INTO `lang_definitions` VALUES (140599, 4804, 46, 'आपल्या ब्राउझर थांबवू किंवा हा लेख जास्त 10 मिनिटे कालावधी पश्चात आहेत तोपर्यंत चालत असताना बटण रीलोड वापरू नका कृपया, ही प्रक्रिया सर्व्हरवर थांबवू आणि uneccesary संसाधने नष्ट करीन होत नाही.');
INSERT INTO `lang_definitions` VALUES (140600, 4805, 46, 'वलय विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (140601, 4806, 46, 'OpenSSL विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (140602, 4807, 46, 'SOAP विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (140603, 4808, 46, 'एक्स एम एल विस्तार सक्षम करा कृपया');
INSERT INTO `lang_definitions` VALUES (140604, 4809, 46, 'पुनरावलोकन अंतिम तारीख प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (140605, 4810, 46, 'एक तारीख प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (140606, 4811, 46, 'योग्य तारीख प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140607, 4812, 46, 'कृपया संदेश प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140608, 4813, 46, 'फक्त संख्या आणि एक दशांश चिन्ह वापरून आर्थिक रक्कम प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (140609, 4814, 46, 'एक नवीन संकेतशब्द प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140610, 4815, 46, 'कृपया नाव प्रविष्ट करा!');
INSERT INTO `lang_definitions` VALUES (140611, 4816, 46, 'वर वैध थेट पत्ता प्रविष्ट करा.');
INSERT INTO `lang_definitions` VALUES (140612, 4817, 46, 'किमान आयटमची नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140613, 4818, 46, 'किमान ट्रॅक नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140614, 4819, 46, 'योग्य पुन्हा ओळख कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140615, 4820, 46, 'तारीख सुरू पेक्षा अंतिम तारीख मोठे प्रविष्ट करा!');
INSERT INTO `lang_definitions` VALUES (140616, 4821, 46, 'नवीन शोध स्ट्रिंग प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140617, 4822, 46, 'योग्य पुन्हा ओळख कोड प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140618, 4823, 46, 'संकेतशब्द प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (140619, 4824, 46, 'चेक क्रमांक भरा');
INSERT INTO `lang_definitions` VALUES (140620, 4825, 46, 'भरा कृपया तपासा / संदर्भ क्रमांक');
INSERT INTO `lang_definitions` VALUES (140621, 4826, 46, 'तारीख भरा');
INSERT INTO `lang_definitions` VALUES (140622, 4827, 46, 'भरणा रक्कम भरा');
INSERT INTO `lang_definitions` VALUES (140623, 4828, 46, 'भरणा वर्ग भरा');
INSERT INTO `lang_definitions` VALUES (140624, 4829, 46, 'पासून भरणा भरा');
INSERT INTO `lang_definitions` VALUES (140625, 4830, 46, 'पोस्ट करण्यासाठी तारीख भरा');
INSERT INTO `lang_definitions` VALUES (140626, 4831, 46, 'पुढे जाण्याआधी भरा.');
INSERT INTO `lang_definitions` VALUES (140627, 4832, 46, 'भेट कारण सूचित करा');
INSERT INTO `lang_definitions` VALUES (140628, 4833, 46, 'इनपुट शोध निकष अधिक आणि अहवाल सुरू करण्यासाठी सबमिट करा क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (140629, 4834, 46, 'इनपुट शोध निकष वरील, आणि क्लिक करा परिणाम पाहण्यासाठी सबमिट करा.');
INSERT INTO `lang_definitions` VALUES (140630, 4835, 46, 'इनपुट शोध निकष वरील, आणि क्लिक करा परिणाम पाहण्यासाठी सबमिट करा. (परिणाम एक पॉप अप विंडो मध्ये प्रदर्शित केले जाईल)');
INSERT INTO `lang_definitions` VALUES (140631, 4836, 46, 'पुन्हा लॉगिन करा.');
INSERT INTO `lang_definitions` VALUES (140632, 4837, 46, 'या काही मिनिटे पर्यंत, खूप वेळ लागू शकतो कृपया लक्षात घ्या की, आपल्या वेब ब्राउझर या वेळी अतिशय सक्रिय दिसून पण एक बिल निर्मिती एक क्लिष्ट प्रक्रिया आहे आणि आपल्या वेब ब्राउझर केवळ अधिक माहितीसाठी वाट पाहत आहे शकत नाही.');
INSERT INTO `lang_definitions` VALUES (140633, 4838, 46, 'कृपया लक्षात ठेवा: स्थिर केस सेन्सेटिव्ह आहेत आणि कोणत्याही स्ट्रिंग परवानगी आहे.');
INSERT INTO `lang_definitions` VALUES (140634, 4839, 46, 'फक्त अक्षर वर्ण वापरा');
INSERT INTO `lang_definitions` VALUES (140635, 4840, 46, 'फक्त एकही मोकळी जागा सह अक्षर वर्ण वापरा');
INSERT INTO `lang_definitions` VALUES (140636, 4841, 46, 'ही रक्कम अदा करा');
INSERT INTO `lang_definitions` VALUES (140637, 4842, 46, 'खालील निर्देशिका मध्ये तुमचा प्रतिष्ठापन फाइल ठेवा');
INSERT INTO `lang_definitions` VALUES (140638, 4843, 46, 'पहा करा');
INSERT INTO `lang_definitions` VALUES (140639, 4844, 46, 'पासवर्ड रीसेट करा.');
INSERT INTO `lang_definitions` VALUES (140640, 4845, 46, 'डी-ओळख खेळत आधी अपॅची सर्व्हर पुन्हा सुरू करा');
INSERT INTO `lang_definitions` VALUES (140641, 4846, 46, 'संलग्न पीडीएफ पहा.');
INSERT INTO `lang_definitions` VALUES (140642, 4847, 46, 'कृपया निवडा');
INSERT INTO `lang_definitions` VALUES (140643, 4849, 46, 'कृपया एक भाषा निवडा');
INSERT INTO `lang_definitions` VALUES (140644, 4850, 46, 'एक रुग्णांच्या निवडा.');
INSERT INTO `lang_definitions` VALUES (140645, 4851, 46, 'आपल्या सुविधा कर ID म्हणून \'कर आयडी\' एक प्राथमिक व्यवसाय अस्तित्व सुविधा निवडा. आपण स्वतंत्र व्यवसायी असाल तर, कृपया आपल्या कर आयडी वापरा. या NewCrop प्रणाली मध्ये तुमची ओळख वापरले जाते.');
INSERT INTO `lang_definitions` VALUES (140646, 4853, 46, 'एक प्रक्रिया प्रदाता सिलेक्ट करा');
INSERT INTO `lang_definitions` VALUES (140647, 4854, 46, 'एक प्राप्तकर्ता निवडा');
INSERT INTO `lang_definitions` VALUES (140648, 4855, 46, 'प्रारंभ तारीख आणि शेवटी तारीख निवडा');
INSERT INTO `lang_definitions` VALUES (140649, 4856, 46, 'एक वैध प्राप्तकर्ता निवडा');
INSERT INTO `lang_definitions` VALUES (140650, 4857, 46, 'एक सक्रिय गट निवडा');
INSERT INTO `lang_definitions` VALUES (140651, 4858, 46, 'कोड एक समायोजन कारण निवडा ');
INSERT INTO `lang_definitions` VALUES (140652, 4859, 46, 'एक कार्यक्रम निवडा');
INSERT INTO `lang_definitions` VALUES (140653, 4860, 46, 'कोणत्याही शोध पर्याय निवडा.');
INSERT INTO `lang_definitions` VALUES (140654, 4863, 46, 'किमान एक नियम निवडा करा!');
INSERT INTO `lang_definitions` VALUES (140655, 4864, 46, 'चकमकीत निवडा');
INSERT INTO `lang_definitions` VALUES (140656, 4865, 46, 'कॉपी किंवा अग्रेषित करण्यासाठी इच्छित पाने निवडा:');
INSERT INTO `lang_definitions` VALUES (140657, 4866, 46, 'भरणा पद्धत निवडा');
INSERT INTO `lang_definitions` VALUES (140658, 4867, 46, 'भरणा प्रकार निवडा करा.');
INSERT INTO `lang_definitions` VALUES (140659, 4868, 46, 'भेट श्रेणी निवडा');
INSERT INTO `lang_definitions` VALUES (140660, 4869, 46, '270 बॅच तयार करणे आवश्यक X12 भागीदार निवडा, कृपया');
INSERT INTO `lang_definitions` VALUES (140661, 4870, 46, 'सेट करा');
INSERT INTO `lang_definitions` VALUES (140662, 4871, 46, 'शून्य परत de_identification_config वेरियेबल सेट करा');
INSERT INTO `lang_definitions` VALUES (140663, 4873, 46, 'नवीन डे ओळख प्रक्रिया सुरू करा');
INSERT INTO `lang_definitions` VALUES (140664, 4874, 46, 'डे ओळख प्रक्रीया, कार्य, टेबल समाविष्ट करण्यासाठी LibreEHR डेटाबेस श्रेणीसुधारित करा');
INSERT INTO `lang_definitions` VALUES (140665, 4875, 46, 'अधिक माहिती साठी डी ओळख त्रुटी लॉग टेबल पहा');
INSERT INTO `lang_definitions` VALUES (140666, 4876, 46, 'काही वेळानंतर डे ओळख स्क्रीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (140667, 4877, 46, 'काही वेळानंतर पुन्हा ओळख स्क्रीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (140668, 4878, 46, 'काही वेळानंतर स्क्रीन भेट द्या');
INSERT INTO `lang_definitions` VALUES (140669, 4879, 46, 'प्लॉट आयटम');
INSERT INTO `lang_definitions` VALUES (140670, 4880, 46, 'प्लॉट निवडलेले आयटम');
INSERT INTO `lang_definitions` VALUES (140671, 4881, 46, 'अनेकवचनी');
INSERT INTO `lang_definitions` VALUES (140672, 4882, 46, 'पंतप्रधान');
INSERT INTO `lang_definitions` VALUES (140673, 4883, 46, 'पंतप्रधान कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (140674, 4884, 46, 'PMT पद्धत');
INSERT INTO `lang_definitions` VALUES (140675, 4885, 46, 'PND');
INSERT INTO `lang_definitions` VALUES (140676, 4886, 46, 'Pneumococcal धातूंचा गण 1');
INSERT INTO `lang_definitions` VALUES (140677, 4887, 46, 'Pneumococcal धातू चालवणे 2');
INSERT INTO `lang_definitions` VALUES (140678, 4888, 46, 'Pneumococcal धातू चालवणे 3');
INSERT INTO `lang_definitions` VALUES (140679, 4889, 46, 'Pneumococcal धातूंचा गण 4');
INSERT INTO `lang_definitions` VALUES (140680, 4890, 46, 'Pneumococcal लस');
INSERT INTO `lang_definitions` VALUES (140681, 4891, 46, 'न्यूमोनिया लसीकरण');
INSERT INTO `lang_definitions` VALUES (140682, 4892, 46, 'जुने प्रौढांसाठी न्यूमोनिया लसीकरण स्थिती');
INSERT INTO `lang_definitions` VALUES (140683, 4893, 46, 'जुने प्रौढांसाठी न्यूमोनिया लसीकरण स्थिती (CQM)');
INSERT INTO `lang_definitions` VALUES (140684, 4894, 46, 'Podiatric');
INSERT INTO `lang_definitions` VALUES (140685, 4895, 46, 'Podiatry');
INSERT INTO `lang_definitions` VALUES (140686, 4896, 46, 'सेवा पॉइंट (पीओएस)');
INSERT INTO `lang_definitions` VALUES (140687, 4897, 46, 'धोरण');
INSERT INTO `lang_definitions` VALUES (140688, 4898, 46, 'धोरण कोणत्याही');
INSERT INTO `lang_definitions` VALUES (140689, 4899, 46, 'धोरण क्रमांक');
INSERT INTO `lang_definitions` VALUES (140690, 4900, 46, 'पोलिश');
INSERT INTO `lang_definitions` VALUES (140691, 4901, 46, 'Polydypsia');
INSERT INTO `lang_definitions` VALUES (140692, 4902, 46, 'Polyps');
INSERT INTO `lang_definitions` VALUES (140693, 4903, 46, 'द्रवपदार्थाच्या अतिसेवनाने किंवा मधुमेहामुळे लघवीला फार होणे');
INSERT INTO `lang_definitions` VALUES (140694, 4904, 46, 'गरीब भूक');
INSERT INTO `lang_definitions` VALUES (140695, 4905, 46, 'गरीब फिरत');
INSERT INTO `lang_definitions` VALUES (140696, 4906, 46, 'गरीब सुनावणी');
INSERT INTO `lang_definitions` VALUES (140697, 4907, 46, 'पॉप अप हे अहवाल पाहण्यासाठी सक्षम करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (140698, 4908, 46, 'घटना वर्ष दृश्य वसाहत?');
INSERT INTO `lang_definitions` VALUES (140699, 4909, 46, 'पॉपअप');
INSERT INTO `lang_definitions` VALUES (140700, 4910, 46, 'पोर्टल');
INSERT INTO `lang_definitions` VALUES (140701, 4911, 46, 'पोर्टल क्रियाकलाप');
INSERT INTO `lang_definitions` VALUES (140702, 4912, 46, 'पोर्टल आयडी');
INSERT INTO `lang_definitions` VALUES (140703, 4913, 46, 'पोर्टल आयडी पोर्टल विनंती जुळत नाही!');
INSERT INTO `lang_definitions` VALUES (140704, 4914, 46, 'पोर्टल पासवर्ड गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (140705, 4915, 46, 'पोर्टल विनंत्या');
INSERT INTO `lang_definitions` VALUES (140706, 4916, 46, 'पोर्ट्रेट');
INSERT INTO `lang_definitions` VALUES (140707, 4917, 46, 'पोर्तुगीज');
INSERT INTO `lang_definitions` VALUES (140708, 4918, 46, 'पोर्तुगीज (ब्राझिलियन)');
INSERT INTO `lang_definitions` VALUES (140709, 4919, 46, 'पोर्तुगीज (युरोपियन)');
INSERT INTO `lang_definitions` VALUES (140710, 4920, 46, 'पीओएस कोड');
INSERT INTO `lang_definitions` VALUES (140711, 4921, 46, 'स्थिती');
INSERT INTO `lang_definitions` VALUES (140712, 4922, 46, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (140713, 4923, 46, 'सकारात्मक');
INSERT INTO `lang_definitions` VALUES (140714, 4925, 46, 'पोस्ट साठी');
INSERT INTO `lang_definitions` VALUES (140715, 4926, 46, 'पोस्ट नाक ठिबक');
INSERT INTO `lang_definitions` VALUES (140716, 4927, 46, 'पोस्ट देयके');
INSERT INTO `lang_definitions` VALUES (140717, 4928, 46, 'पोस्ट होणारी');
INSERT INTO `lang_definitions` VALUES (140718, 4929, 46, 'बिल म्हणून लेखा खूण पोस्ट');
INSERT INTO `lang_definitions` VALUES (140719, 4930, 46, 'तारीख करण्यासाठी पोस्ट करा');
INSERT INTO `lang_definitions` VALUES (140720, 4931, 46, 'तारीख करण्यासाठी पोस्ट आज पेक्षा जास्त असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (140721, 4932, 46, 'तारीख करण्यासाठी पोस्ट आर्थिक बंद होण्याची तारीख पेक्षा जास्त असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (140722, 4933, 46, 'पोस्ट-गर्भपात केअर');
INSERT INTO `lang_definitions` VALUES (140723, 4934, 46, 'पोस्ट-गर्भपात संततिनियमन');
INSERT INTO `lang_definitions` VALUES (140724, 4935, 46, 'पोस्ट-गर्भपात समुपदेशन');
INSERT INTO `lang_definitions` VALUES (140725, 4936, 46, 'पोस्ट-गर्भपात फॉलोअप');
INSERT INTO `lang_definitions` VALUES (140726, 4937, 46, 'पोस्टल');
INSERT INTO `lang_definitions` VALUES (140727, 4938, 46, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (140728, 4939, 46, 'पिन कोड');
INSERT INTO `lang_definitions` VALUES (140729, 4941, 46, 'PostCalendar');
INSERT INTO `lang_definitions` VALUES (140730, 4942, 46, 'PostCalendar प्रशासन');
INSERT INTO `lang_definitions` VALUES (140731, 4943, 46, 'PostCalendar वर्ग सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (140732, 4944, 46, 'PostCalendar ग्लोबल सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (140733, 4945, 46, 'वर पोस्टेड');
INSERT INTO `lang_definitions` VALUES (140734, 4946, 46, 'पोस्ट तारीख');
INSERT INTO `lang_definitions` VALUES (140735, 4947, 46, 'स्थिती {स्थिती साठी {संक्षेप}}');
INSERT INTO `lang_definitions` VALUES (140736, 4948, 46, 'द्वारा समर्थित');
INSERT INTO `lang_definitions` VALUES (140737, 4949, 46, 'PPE + मागील सह / Surg HX');
INSERT INTO `lang_definitions` VALUES (140738, 4950, 46, 'PQRI');
INSERT INTO `lang_definitions` VALUES (140739, 4951, 46, 'PQRI नोंदणी आयडी');
INSERT INTO `lang_definitions` VALUES (140740, 4952, 46, 'PQRI नोंदणी नाव');
INSERT INTO `lang_definitions` VALUES (140741, 4953, 46, 'सराव');
INSERT INTO `lang_definitions` VALUES (140742, 4954, 46, 'सराव डीफॉल्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (140743, 4955, 46, 'सराव सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (140744, 4956, 46, 'चिकित्सक');
INSERT INTO `lang_definitions` VALUES (140745, 4957, 46, 'पूर्व सहभाग मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (140746, 4958, 46, 'पूर्व पे');
INSERT INTO `lang_definitions` VALUES (140747, 4959, 46, 'पूर्व भरणा');
INSERT INTO `lang_definitions` VALUES (140748, 4960, 46, 'पूर्व गर्भपात सल्ला');
INSERT INTO `lang_definitions` VALUES (140749, 4961, 46, 'पूर्व गर्भपात समुपदेशन');
INSERT INTO `lang_definitions` VALUES (140750, 4962, 46, 'प्राधान्य मांजर');
INSERT INTO `lang_definitions` VALUES (140751, 4963, 46, 'प्राधान्य');
INSERT INTO `lang_definitions` VALUES (140752, 4964, 46, 'प्राधान्ये');
INSERT INTO `lang_definitions` VALUES (140753, 4965, 46, 'प्राधान्य इव्हेंट वर्ग');
INSERT INTO `lang_definitions` VALUES (140754, 4966, 46, 'प्राधान्य भाषा');
INSERT INTO `lang_definitions` VALUES (140755, 4967, 46, 'पसंतीचे फार्मसी');
INSERT INTO `lang_definitions` VALUES (140756, 4968, 46, 'पसंतीचे प्रदाता संघटना (PPO)');
INSERT INTO `lang_definitions` VALUES (140757, 4969, 46, 'Preg कसोटी');
INSERT INTO `lang_definitions` VALUES (140758, 4970, 46, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (140759, 4971, 46, 'अहवाल चालवा करण्यासाठी तयारी');
INSERT INTO `lang_definitions` VALUES (140760, 4972, 46, 'प्रिपेमेंट');
INSERT INTO `lang_definitions` VALUES (140761, 4973, 46, 'नियम');
INSERT INTO `lang_definitions` VALUES (140762, 4974, 46, 'नियम त्याच्या मर्यादा गाठली आहे');
INSERT INTO `lang_definitions` VALUES (140763, 4975, 46, 'डॉक्टरांनी सांगितलेली इतिहास');
INSERT INTO `lang_definitions` VALUES (140764, 4976, 46, 'नियम इतिहास आयात यशस्वीरित्या पूर्ण');
INSERT INTO `lang_definitions` VALUES (140765, 4977, 46, 'डॉक्टरांनी सांगितलेली लेबल');
INSERT INTO `lang_definitions` VALUES (140766, 4978, 46, 'डॉक्टरांनी सांगितलेली अहवाल');
INSERT INTO `lang_definitions` VALUES (140767, 4979, 46, 'चांगले');
INSERT INTO `lang_definitions` VALUES (140768, 4980, 46, 'चांगले आणि Dispensations');
INSERT INTO `lang_definitions` VALUES (140769, 4981, 46, 'चांगले आणि इतर संदर्भ');
INSERT INTO `lang_definitions` VALUES (140770, 4982, 46, 'तज्ञांना करून चांगले आणि / किंवा संदर्भ');
INSERT INTO `lang_definitions` VALUES (140771, 4983, 46, 'चांगले अहवाल');
INSERT INTO `lang_definitions` VALUES (140772, 4984, 46, 'चांगले / संदर्भ');
INSERT INTO `lang_definitions` VALUES (140773, 4985, 46, 'सध्याची');
INSERT INTO `lang_definitions` VALUES (140774, 4986, 46, 'सादर तक्रार');
INSERT INTO `lang_definitions` VALUES (140775, 4987, 46, 'सादर अंक (चे)');
INSERT INTO `lang_definitions` VALUES (140776, 4988, 46, 'प्रेस पुढे जाण्यासाठी सुरू ठेवा');
INSERT INTO `lang_definitions` VALUES (140777, 4989, 46, 'असे गृहीत धरले निदान');
INSERT INTO `lang_definitions` VALUES (140778, 4990, 46, 'तज्ञांना करून असे गृहीत धरले निदान');
INSERT INTO `lang_definitions` VALUES (140779, 4991, 46, 'मागील');
INSERT INTO `lang_definitions` VALUES (140780, 4992, 46, 'मागील सह / Surg HX');
INSERT INTO `lang_definitions` VALUES (140781, 4993, 46, 'मागील. या महिन्यापासून (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (140782, 4994, 46, 'मागील. या वर्षापासून (मेनू ठेवण्यासाठी)');
INSERT INTO `lang_definitions` VALUES (140783, 4995, 46, 'निवारक केअर');
INSERT INTO `lang_definitions` VALUES (140784, 4996, 46, 'प्रतिबंध rehab');
INSERT INTO `lang_definitions` VALUES (140785, 4998, 46, 'इव्हेंटचे पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (140786, 5000, 46, 'पूर्वावलोकन');
INSERT INTO `lang_definitions` VALUES (140787, 5001, 46, 'मागील');
INSERT INTO `lang_definitions` VALUES (140788, 5002, 46, 'मागील सल्लामसलत');
INSERT INTO `lang_definitions` VALUES (140789, 5003, 46, 'मागील दिवस');
INSERT INTO `lang_definitions` VALUES (140790, 5004, 46, 'मागील इतिहास / स्क्रिनिंग');
INSERT INTO `lang_definitions` VALUES (140791, 5005, 46, 'मागील महिना');
INSERT INTO `lang_definitions` VALUES (140792, 5006, 46, 'मागील आठवडा');
INSERT INTO `lang_definitions` VALUES (140793, 5007, 46, 'किंमत');
INSERT INTO `lang_definitions` VALUES (140794, 5008, 46, 'किंमत सूट');
INSERT INTO `lang_definitions` VALUES (140795, 5009, 46, 'किंमत पातळी');
INSERT INTO `lang_definitions` VALUES (140796, 5010, 46, 'किंमत स्तर:');
INSERT INTO `lang_definitions` VALUES (140797, 5011, 46, 'किंमती');
INSERT INTO `lang_definitions` VALUES (140798, 5012, 46, 'प्राथमिक');
INSERT INTO `lang_definitions` VALUES (140799, 5013, 46, 'प्राथमिक व्यवसाय अस्तित्व');
INSERT INTO `lang_definitions` VALUES (140800, 5014, 46, 'प्राथमिक व्यवसाय अस्तित्व कर आयडी NewCrop ePrescription खाते आयडी म्हणून वापरले जाते. सुविधा बदलणे NewCrop कार्य प्रभावित करेल.');
INSERT INTO `lang_definitions` VALUES (140801, 5022, 46, 'प्राथमिक इन');
INSERT INTO `lang_definitions` VALUES (140802, 5023, 46, 'प्राथमिक विमा');
INSERT INTO `lang_definitions` VALUES (140803, 5024, 46, 'प्राथमिक विमा डेटा');
INSERT INTO `lang_definitions` VALUES (140804, 5025, 46, 'प्राथमिक विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (140805, 5026, 46, 'प्राथमिक प्रदाता');
INSERT INTO `lang_definitions` VALUES (140806, 5027, 46, 'प्रिंट');
INSERT INTO `lang_definitions` VALUES (140807, 5028, 46, 'प्रिंट (एचटीएमएल)');
INSERT INTO `lang_definitions` VALUES (140808, 5029, 46, '(PDF) मुद्रित');
INSERT INTO `lang_definitions` VALUES (140809, 5030, 46, 'प्रिंट संशोधन');
INSERT INTO `lang_definitions` VALUES (140810, 5031, 46, 'कोणतीही चकमकीत छापा');
INSERT INTO `lang_definitions` VALUES (140811, 5032, 46, 'कोरे रेफरल फॉर्म प्रिंट');
INSERT INTO `lang_definitions` VALUES (140812, 5033, 46, 'प्रिंट आदेश');
INSERT INTO `lang_definitions` VALUES (140813, 5034, 46, 'प्रिंट तारीख');
INSERT INTO `lang_definitions` VALUES (140814, 5038, 46, 'संपूर्ण सूची छापा');
INSERT INTO `lang_definitions` VALUES (140815, 5039, 46, 'प्रिंट स्वरूप');
INSERT INTO `lang_definitions` VALUES (140816, 5040, 46, 'चार पॅनेल छापा');
INSERT INTO `lang_definitions` VALUES (140817, 5042, 46, 'प्रिंट संदेश');
INSERT INTO `lang_definitions` VALUES (140818, 5043, 46, 'प्रिंट अनेक');
INSERT INTO `lang_definitions` VALUES (140819, 5044, 46, 'फॅक्स करण्यासाठी मल्टिपल प्रिंट');
INSERT INTO `lang_definitions` VALUES (140820, 5045, 46, 'प्रिंट नाव, चिन्ह आणि तारीख.');
INSERT INTO `lang_definitions` VALUES (140821, 5046, 46, 'प्रिंट टिपा');
INSERT INTO `lang_definitions` VALUES (140822, 5047, 46, 'प्रिंट पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (140823, 5048, 46, 'प्रिंट पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (140824, 5049, 46, 'रुग्णांच्या पत्ता लेबल छापा');
INSERT INTO `lang_definitions` VALUES (140825, 5051, 46, 'प्रदाता करून प्रिंट पावत्या');
INSERT INTO `lang_definitions` VALUES (140826, 5052, 46, 'प्रिंट नोंद');
INSERT INTO `lang_definitions` VALUES (140827, 5053, 46, 'निवडलेले स्टेटमेन्ट छापा');
INSERT INTO `lang_definitions` VALUES (140828, 5054, 46, 'प्रिंट शॉट नोंद');
INSERT INTO `lang_definitions` VALUES (140829, 5056, 46, 'या घटनेचा छापा');
INSERT INTO `lang_definitions` VALUES (140830, 5057, 46, 'ही टीप छापा');
INSERT INTO `lang_definitions` VALUES (140831, 5058, 46, 'या टीप छापा');
INSERT INTO `lang_definitions` VALUES (140832, 5060, 46, 'फॅक्स वर मुद्रण करा');
INSERT INTO `lang_definitions` VALUES (140833, 5061, 46, 'प्रिंट पहा');
INSERT INTO `lang_definitions` VALUES (140834, 5062, 46, 'मुद्रण');
INSERT INTO `lang_definitions` VALUES (140835, 5063, 46, 'प्रिंट आवृत्ती');
INSERT INTO `lang_definitions` VALUES (140836, 5064, 46, 'छापील');
INSERT INTO `lang_definitions` VALUES (140837, 5066, 46, 'मुद्रण परिणाम:');
INSERT INTO `lang_definitions` VALUES (140838, 5067, 46, 'मुद्रण वगळले; चाचणी आउटपुट पहा');
INSERT INTO `lang_definitions` VALUES (140839, 5068, 46, 'मुद्रण वगळले; चाचणी आउटपुट पहा ');
INSERT INTO `lang_definitions` VALUES (140840, 5069, 46, 'आधी प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (140841, 5070, 46, 'आधी प्राधिकृत फॉर्म');
INSERT INTO `lang_definitions` VALUES (140842, 5071, 46, 'आधी भेट द्या');
INSERT INTO `lang_definitions` VALUES (140843, 5072, 46, 'प्राधान्य');
INSERT INTO `lang_definitions` VALUES (140844, 5073, 46, 'प्राधान्य ');
INSERT INTO `lang_definitions` VALUES (140845, 5074, 46, 'खाजगी');
INSERT INTO `lang_definitions` VALUES (140846, 5075, 46, 'समस्या');
INSERT INTO `lang_definitions` VALUES (140847, 5076, 46, 'समस्या DX');
INSERT INTO `lang_definitions` VALUES (140848, 5077, 46, 'समस्या यादी');
INSERT INTO `lang_definitions` VALUES (140849, 5078, 46, 'समस्या');
INSERT INTO `lang_definitions` VALUES (140850, 5079, 46, 'समस्या / समस्या');
INSERT INTO `lang_definitions` VALUES (140851, 5080, 46, 'Proc फलंदाज');
INSERT INTO `lang_definitions` VALUES (140852, 5081, 46, 'Proc मांजर');
INSERT INTO `lang_definitions` VALUES (140853, 5082, 46, 'Proc लोड');
INSERT INTO `lang_definitions` VALUES (140854, 5083, 46, 'Proc प्रलंबित रेव');
INSERT INTO `lang_definitions` VALUES (140855, 5084, 46, 'Proc नीति');
INSERT INTO `lang_definitions` VALUES (140856, 5085, 46, 'Proc द्यावे');
INSERT INTO `lang_definitions` VALUES (140857, 5086, 46, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140858, 5087, 46, 'प्रक्रिया शरीर साइट');
INSERT INTO `lang_definitions` VALUES (140859, 5088, 46, 'प्रक्रिया बुलियन परिणाम');
INSERT INTO `lang_definitions` VALUES (140860, 5089, 46, 'संहिता');
INSERT INTO `lang_definitions` VALUES (140861, 5090, 46, 'प्रक्रिया कोड');
INSERT INTO `lang_definitions` VALUES (140862, 5091, 46, 'प्रक्रिया Lateralities');
INSERT INTO `lang_definitions` VALUES (140863, 5092, 46, 'प्रक्रिया नाव');
INSERT INTO `lang_definitions` VALUES (140864, 5093, 46, 'प्रक्रिया ऑर्डर');
INSERT INTO `lang_definitions` VALUES (140865, 5094, 46, 'प्रक्रिया करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (140866, 5095, 46, 'प्रक्रिया ऑर्डर');
INSERT INTO `lang_definitions` VALUES (140867, 5096, 46, 'प्रक्रिया ऑर्डर सापडली नाही');
INSERT INTO `lang_definitions` VALUES (140868, 5097, 46, 'प्रक्रिया आदेश व अहवाल');
INSERT INTO `lang_definitions` VALUES (140869, 5098, 46, 'प्रक्रिया शोधक');
INSERT INTO `lang_definitions` VALUES (140870, 5099, 46, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (140871, 5100, 46, 'प्रक्रिया प्रदाता');
INSERT INTO `lang_definitions` VALUES (140872, 5101, 46, 'प्रक्रिया प्रदाते');
INSERT INTO `lang_definitions` VALUES (140873, 5102, 46, 'प्रक्रिया अहवाल');
INSERT INTO `lang_definitions` VALUES (140874, 5103, 46, 'प्रक्रिया अहवाल पुतळे');
INSERT INTO `lang_definitions` VALUES (140875, 5104, 46, 'प्रक्रिया परिणाम असाधारण');
INSERT INTO `lang_definitions` VALUES (140876, 5105, 46, 'प्रक्रिया परिणाम पुतळे');
INSERT INTO `lang_definitions` VALUES (140877, 5106, 46, 'प्रक्रिया परिणाम');
INSERT INTO `lang_definitions` VALUES (140878, 5107, 46, 'प्रक्रिया मार्ग');
INSERT INTO `lang_definitions` VALUES (140879, 5108, 46, 'प्रक्रिया नमुना प्रकार');
INSERT INTO `lang_definitions` VALUES (140880, 5109, 46, 'प्रक्रिया सांख्यिकी अहवाल');
INSERT INTO `lang_definitions` VALUES (140881, 5110, 46, 'प्रक्रिया प्रकार');
INSERT INTO `lang_definitions` VALUES (140882, 5111, 46, 'प्रक्रिया प्रकार');
INSERT INTO `lang_definitions` VALUES (140883, 5112, 46, 'प्रक्रिया युनिट');
INSERT INTO `lang_definitions` VALUES (140884, 5113, 46, 'प्रक्रिया / सेवा');
INSERT INTO `lang_definitions` VALUES (140885, 5114, 46, 'प्रक्रियांची');
INSERT INTO `lang_definitions` VALUES (140886, 5115, 46, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140887, 5116, 46, 'प्रक्रिया आणि स्मरणपत्रे पाठवा');
INSERT INTO `lang_definitions` VALUES (140888, 5117, 46, 'प्रक्रिया ईआरए फाइल');
INSERT INTO `lang_definitions` VALUES (140889, 5118, 46, 'सी रेकॉर्ड नवीन फाइल प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140890, 5119, 46, 'प्रक्रिया स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (140891, 5120, 46, 'प्रक्रिया काही वेळ लागतो');
INSERT INTO `lang_definitions` VALUES (140892, 5121, 46, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140893, 5122, 46, 'करून प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140894, 5123, 46, 'प्रक्रिया तारीख');
INSERT INTO `lang_definitions` VALUES (140895, 5124, 46, 'यशस्वीरित्या प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140896, 5125, 46, 'प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140897, 5126, 46, 'प्रक्रिया आणि पाठवत रुग्णांच्या स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (140898, 5127, 46, 'रुग्णांच्या स्मरणपत्रे प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (140899, 5128, 46, 'प्रक्रिया वेळ');
INSERT INTO `lang_definitions` VALUES (140900, 5129, 46, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (140901, 5130, 46, 'उत्पादन नियमनाच्या पद्धत');
INSERT INTO `lang_definitions` VALUES (140902, 5131, 46, 'उत्पादन');
INSERT INTO `lang_definitions` VALUES (140903, 5132, 46, 'उत्पादने');
INSERT INTO `lang_definitions` VALUES (140904, 5133, 46, 'उत्पादने पण डॉक्टरांनी सांगितलेली औषधे आणि नाही टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (140905, 5134, 46, 'प्रा');
INSERT INTO `lang_definitions` VALUES (140906, 5135, 46, 'प्रगती टिपा');
INSERT INTO `lang_definitions` VALUES (140907, 5136, 46, 'पुर: स्थ कर्करोग');
INSERT INTO `lang_definitions` VALUES (140908, 5137, 46, 'पुर: स्थ कर्करोग स्क्रीनिंग');
INSERT INTO `lang_definitions` VALUES (140909, 5138, 46, 'पुर: स्थ परीक्षा');
INSERT INTO `lang_definitions` VALUES (140910, 5139, 46, 'पुर: स्थ समस्या');
INSERT INTO `lang_definitions` VALUES (140911, 5140, 46, '/ O enlrgmt, गाठी, निविदा वाईड पुर: स्थ');
INSERT INTO `lang_definitions` VALUES (140912, 5141, 46, 'प्रोटोकॉल');
INSERT INTO `lang_definitions` VALUES (140913, 5142, 46, 'संपूर्ण मार्ग प्रदान');
INSERT INTO `lang_definitions` VALUES (140914, 5143, 46, 'फाइल परिपूर्ण मार्ग प्रदान');
INSERT INTO `lang_definitions` VALUES (140915, 5145, 46, 'प्रत्येक कार्यालय भेट रुग्णांना वैद्यकीय सारांश द्या.');
INSERT INTO `lang_definitions` VALUES (140916, 5146, 46, 'विनंतीनुसार, (निदान चाचणी परिणाम, समस्या यादी, औषधोपचार सूची, औषधोपचार ऍलर्जी समावेश) त्यांच्या आरोग्याची माहिती इलेक्ट्रॉनिक प्रत असलेल्या रुग्णांना द्या.');
INSERT INTO `lang_definitions` VALUES (140917, 5147, 46, 'मालिका उपलब्ध असल्याने माहिती चार व्यवसाय दिवसांच्या आत (लॅब परिणाम, समस्या यादी, औषधोपचार सूची, औषधोपचार ऍलर्जी समावेश) त्यांच्या आरोग्याची माहिती वेळेवर इलेक्ट्रॉनिक प्रवेश असलेल्या रुग्णांना द्या.');
INSERT INTO `lang_definitions` VALUES (140918, 5148, 46, 'भेटीची रुग्णाला रेकॉर्ड द्या');
INSERT INTO `lang_definitions` VALUES (140919, 5149, 46, 'वैध ई-मेल पत्ता द्या');
INSERT INTO `lang_definitions` VALUES (140920, 5150, 46, 'क्लिनिकल सारांश प्रदान?');
INSERT INTO `lang_definitions` VALUES (140921, 5151, 46, 'प्रदान शिक्षण संसाधन (चे)?');
INSERT INTO `lang_definitions` VALUES (140922, 5152, 46, 'प्रदाता');
INSERT INTO `lang_definitions` VALUES (140923, 5153, 46, 'प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (140924, 5154, 46, 'प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (140925, 5155, 46, 'निर्देशीतचौकटीतदर्शवा सुविधा येथे प्रदाता आयडी');
INSERT INTO `lang_definitions` VALUES (140926, 5156, 46, 'प्रदाता जुळणारे चुका');
INSERT INTO `lang_definitions` VALUES (140927, 5159, 46, 'प्रदाता क्रमांक');
INSERT INTO `lang_definitions` VALUES (140928, 5160, 46, 'प्रदाता नातेसंबंध');
INSERT INTO `lang_definitions` VALUES (140929, 5162, 46, 'प्रदाता:');
INSERT INTO `lang_definitions` VALUES (140930, 5163, 46, 'प्रदाते');
INSERT INTO `lang_definitions` VALUES (140931, 5164, 46, 'प्रदाते NPI');
INSERT INTO `lang_definitions` VALUES (140932, 5165, 46, 'प्रदाते संपूर्ण कॅलेंडर पहा');
INSERT INTO `lang_definitions` VALUES (140933, 5166, 46, 'Prv');
INSERT INTO `lang_definitions` VALUES (140934, 5167, 46, 'PSA');
INSERT INTO `lang_definitions` VALUES (140935, 5168, 46, 'सोरायसिस');
INSERT INTO `lang_definitions` VALUES (140936, 5169, 46, 'Psych निदान');
INSERT INTO `lang_definitions` VALUES (140937, 5170, 46, 'Psych औषधोपचार');
INSERT INTO `lang_definitions` VALUES (140938, 5171, 46, 'मानसिक');
INSERT INTO `lang_definitions` VALUES (140939, 5172, 46, 'मानसिक संक्षिप्त पत्र');
INSERT INTO `lang_definitions` VALUES (140940, 5173, 46, 'मानसिक निदान');
INSERT INTO `lang_definitions` VALUES (140941, 5174, 46, 'मानसिक परीक्षा');
INSERT INTO `lang_definitions` VALUES (140942, 5175, 46, 'मानसिक इतिहास');
INSERT INTO `lang_definitions` VALUES (140943, 5176, 46, 'मानसिक घेणे');
INSERT INTO `lang_definitions` VALUES (140944, 5177, 46, 'मानसिक औषधोपचार');
INSERT INTO `lang_definitions` VALUES (140945, 5178, 46, 'पं%');
INSERT INTO `lang_definitions` VALUES (140946, 5179, 46, 'पं टिपा');
INSERT INTO `lang_definitions` VALUES (140947, 5180, 46, 'पं टिपा / प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (140948, 5181, 46, 'पं overpaid');
INSERT INTO `lang_definitions` VALUES (140949, 5182, 46, 'पं अदा');
INSERT INTO `lang_definitions` VALUES (140950, 5183, 46, 'पं आरईसी विनंती');
INSERT INTO `lang_definitions` VALUES (140951, 5184, 46, 'पं परतावा');
INSERT INTO `lang_definitions` VALUES (140952, 5185, 46, 'पं जाहीर');
INSERT INTO `lang_definitions` VALUES (140953, 5186, 46, 'पं अहवाल');
INSERT INTO `lang_definitions` VALUES (140954, 5187, 46, 'पी.टी. विद्यार्थी, किंवा रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (140955, 5188, 46, 'PT_CITY');
INSERT INTO `lang_definitions` VALUES (140956, 5189, 46, 'PT_DOB');
INSERT INTO `lang_definitions` VALUES (140957, 5190, 46, 'PT_EMAIL');
INSERT INTO `lang_definitions` VALUES (140958, 5191, 46, 'PT_FNAME');
INSERT INTO `lang_definitions` VALUES (140959, 5192, 46, 'PT_LNAME');
INSERT INTO `lang_definitions` VALUES (140960, 5193, 46, 'PT_MNAME');
INSERT INTO `lang_definitions` VALUES (140961, 5194, 46, 'PT_PHONE_CELL');
INSERT INTO `lang_definitions` VALUES (140962, 5195, 46, 'PT_PHONE_HOME');
INSERT INTO `lang_definitions` VALUES (140963, 5196, 46, 'PT_POSTAL');
INSERT INTO `lang_definitions` VALUES (140964, 5197, 46, 'PT_SSN');
INSERT INTO `lang_definitions` VALUES (140965, 5198, 46, 'PT_STATE');
INSERT INTO `lang_definitions` VALUES (140966, 5199, 46, 'PT_STREET');
INSERT INTO `lang_definitions` VALUES (140967, 5201, 46, 'सार्वजनिक');
INSERT INTO `lang_definitions` VALUES (140968, 5203, 46, 'सार्वजनिक आरोग्य सेवा (PHS) पर्यंत किंवा इतर फेडरल एजन्सी');
INSERT INTO `lang_definitions` VALUES (140969, 5204, 46, 'पोर्टो रिकन');
INSERT INTO `lang_definitions` VALUES (140970, 5205, 46, 'फुफ्फुसे');
INSERT INTO `lang_definitions` VALUES (140971, 5206, 46, 'पल्स');
INSERT INTO `lang_definitions` VALUES (140972, 5207, 46, 'पंजाबी');
INSERT INTO `lang_definitions` VALUES (140973, 5208, 46, 'खरेदी');
INSERT INTO `lang_definitions` VALUES (140974, 5209, 46, 'खरेदी / परत');
INSERT INTO `lang_definitions` VALUES (140975, 5210, 46, 'खरेदी');
INSERT INTO `lang_definitions` VALUES (140976, 5211, 46, 'पी {{जस्टिफाय शीर्षलेख}}');
INSERT INTO `lang_definitions` VALUES (140977, 5212, 46, 'पाली');
INSERT INTO `lang_definitions` VALUES (140978, 5213, 46, 'q.3h');
INSERT INTO `lang_definitions` VALUES (140979, 5214, 46, 'q.4h');
INSERT INTO `lang_definitions` VALUES (140980, 5215, 46, 'q.5h');
INSERT INTO `lang_definitions` VALUES (140981, 5216, 46, 'q.6h');
INSERT INTO `lang_definitions` VALUES (140982, 5217, 46, 'q.8h');
INSERT INTO `lang_definitions` VALUES (140983, 5218, 46, 'q.d.');
INSERT INTO `lang_definitions` VALUES (140984, 5219, 46, 'q.i.d.');
INSERT INTO `lang_definitions` VALUES (140985, 5220, 46, 'QOH');
INSERT INTO `lang_definitions` VALUES (140986, 5221, 46, 'QOH मासिक वापर पेक्षा कमी आहे');
INSERT INTO `lang_definitions` VALUES (140987, 5222, 46, 'Qty');
INSERT INTO `lang_definitions` VALUES (140988, 5223, 46, 'QTY');
INSERT INTO `lang_definitions` VALUES (140989, 5224, 46, 'गुणवत्ता');
INSERT INTO `lang_definitions` VALUES (140990, 5225, 46, 'गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (140991, 5226, 46, 'प्रमाण');
INSERT INTO `lang_definitions` VALUES (140992, 5227, 46, 'एनडीसी संख्या');
INSERT INTO `lang_definitions` VALUES (140993, 5228, 46, 'हाताला प्रमाण');
INSERT INTO `lang_definitions` VALUES (140994, 5229, 46, 'प्रमाण निरुपयोगी दिसते');
INSERT INTO `lang_definitions` VALUES (140995, 5230, 46, 'क्वेचुआ');
INSERT INTO `lang_definitions` VALUES (140996, 5231, 46, 'प्रश्न चिन्ह');
INSERT INTO `lang_definitions` VALUES (140997, 5232, 46, 'HCFA बॅच प्रक्रिया रांगेत');
INSERT INTO `lang_definitions` VALUES (140998, 5233, 46, 'HCFA बॅच प्रक्रिया व छपाई रांगेत');
INSERT INTO `lang_definitions` VALUES (140999, 5234, 46, 'यूबी-92 बॅच प्रक्रिया रांगेत');
INSERT INTO `lang_definitions` VALUES (141000, 5235, 46, 'यूबी-92 बॅच प्रक्रिया व छपाई रांगेत');
INSERT INTO `lang_definitions` VALUES (141001, 5236, 46, 'रांगेत आहे');
INSERT INTO `lang_definitions` VALUES (141002, 5237, 46, 'रांगेत आहे आगामी कार्यक्रम प्रशासन');
INSERT INTO `lang_definitions` VALUES (141003, 5238, 46, 'रांगेत');
INSERT INTO `lang_definitions` VALUES (141004, 5240, 46, 'रांगेत सबमिशन प्रशासन');
INSERT INTO `lang_definitions` VALUES (141005, 5241, 46, 'बाहेर पडा');
INSERT INTO `lang_definitions` VALUES (141006, 5242, 46, 'मद्यार्क बाहेर पडा');
INSERT INTO `lang_definitions` VALUES (141007, 5243, 46, 'आर');
INSERT INTO `lang_definitions` VALUES (141008, 5244, 46, 'रुग्णांच्या, आढळतात, किंवा ट्रेस साठी RA चा');
INSERT INTO `lang_definitions` VALUES (141009, 5245, 46, 'शर्यत');
INSERT INTO `lang_definitions` VALUES (141010, 5246, 46, 'शर्यत आणि धर्म');
INSERT INTO `lang_definitions` VALUES (141011, 5247, 46, 'शर्यत / धर्म');
INSERT INTO `lang_definitions` VALUES (141012, 5248, 46, 'रेडिओ');
INSERT INTO `lang_definitions` VALUES (141013, 5249, 46, 'रेडिओ बटण');
INSERT INTO `lang_definitions` VALUES (141014, 5251, 46, 'श्रेणी');
INSERT INTO `lang_definitions` VALUES (141015, 5252, 46, 'पुरळ उठणे');
INSERT INTO `lang_definitions` VALUES (141016, 5253, 46, 'दर');
INSERT INTO `lang_definitions` VALUES (141017, 5254, 46, 'प्रमाण');
INSERT INTO `lang_definitions` VALUES (141018, 5255, 46, 'कच्चा अहवाल');
INSERT INTO `lang_definitions` VALUES (141019, 5256, 46, 'ओळख पुन्हा');
INSERT INTO `lang_definitions` VALUES (141020, 5257, 46, 'ओळख प्रक्रिया पूर्ण पुन्हा');
INSERT INTO `lang_definitions` VALUES (141021, 5258, 46, 'ओळख पुन्हा प्रक्रिया सुरु आहे');
INSERT INTO `lang_definitions` VALUES (141022, 5259, 46, 'पुन्हा ओळख येथे साठवले जाईल');
INSERT INTO `lang_definitions` VALUES (141023, 5260, 46, '-इजा पुन्हा?');
INSERT INTO `lang_definitions` VALUES (141024, 5261, 46, 'पुन्हा-उघडा');
INSERT INTO `lang_definitions` VALUES (141025, 5262, 46, 'पुन्हा-उघडले');
INSERT INTO `lang_definitions` VALUES (141026, 5263, 46, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (141027, 5264, 46, 'प्रतिक्रिया');
INSERT INTO `lang_definitions` VALUES (141028, 5265, 46, 'वाचा');
INSERT INTO `lang_definitions` VALUES (141029, 5267, 46, 'केवळ-वाचनीय इतिहास');
INSERT INTO `lang_definitions` VALUES (141030, 5268, 46, 'खरे नाव');
INSERT INTO `lang_definitions` VALUES (141031, 5269, 46, 'खरोखर हटवू');
INSERT INTO `lang_definitions` VALUES (141032, 5270, 46, 'कारण');
INSERT INTO `lang_definitions` VALUES (141033, 5271, 46, 'कारण मृत');
INSERT INTO `lang_definitions` VALUES (141034, 5272, 46, 'मृत्यू कारण');
INSERT INTO `lang_definitions` VALUES (141035, 5274, 46, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (141036, 5275, 46, 'भेट कारण');
INSERT INTO `lang_definitions` VALUES (141037, 5276, 46, 'कारण / फॉर्म');
INSERT INTO `lang_definitions` VALUES (141038, 5277, 46, 'पावती');
INSERT INTO `lang_definitions` VALUES (141039, 5278, 46, 'भरणा पावती');
INSERT INTO `lang_definitions` VALUES (141040, 5279, 46, 'पावती');
INSERT INTO `lang_definitions` VALUES (141041, 5280, 46, 'भरणा पद्धत अहवालाद्वारे पावत्या');
INSERT INTO `lang_definitions` VALUES (141042, 5281, 46, 'पावत्या सारांश');
INSERT INTO `lang_definitions` VALUES (141043, 5282, 46, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (141044, 5283, 46, 'प्राप्त');
INSERT INTO `lang_definitions` VALUES (141045, 5284, 46, 'प्राप्त फॅक्स');
INSERT INTO `lang_definitions` VALUES (141046, 5285, 46, 'प्राप्त, पुनरावलोकन नाही');
INSERT INTO `lang_definitions` VALUES (141047, 5286, 46, 'प्राप्त, पुनरावलोकन न केलेले');
INSERT INTO `lang_definitions` VALUES (141048, 5287, 46, 'स्वीकारणारा');
INSERT INTO `lang_definitions` VALUES (141049, 5288, 46, 'स्वीकारणारा आयडी');
INSERT INTO `lang_definitions` VALUES (141050, 5289, 46, 'स्वीकारणारा आयडी (ISA08)');
INSERT INTO `lang_definitions` VALUES (141051, 5290, 46, 'स्वीकारणारा आयडी क्वालिफायर (ISA07)');
INSERT INTO `lang_definitions` VALUES (141052, 5291, 46, 'स्वीकारणारा आयडी');
INSERT INTO `lang_definitions` VALUES (141053, 5292, 46, 'अलीकडील तीन संकेतशब्द परवानगी नाही.');
INSERT INTO `lang_definitions` VALUES (141054, 5293, 46, 'प्राप्तकर्ता');
INSERT INTO `lang_definitions` VALUES (141055, 5294, 46, 'प्राप्तकर्ता यादी रिक्त आहे');
INSERT INTO `lang_definitions` VALUES (141056, 5295, 46, 'प्राप्तकर्ता नाव');
INSERT INTO `lang_definitions` VALUES (141057, 5296, 46, 'प्रकटीकरण प्राप्त');
INSERT INTO `lang_definitions` VALUES (141058, 5297, 46, 'प्राप्तकर्ता स्थिती पूर्ण झाले नसल्यास आवश्यक');
INSERT INTO `lang_definitions` VALUES (141059, 5298, 46, 'शिफारस');
INSERT INTO `lang_definitions` VALUES (141060, 5299, 46, 'अनुसरण साठी शिफारस');
INSERT INTO `lang_definitions` VALUES (141061, 5300, 46, 'शिफारसी');
INSERT INTO `lang_definitions` VALUES (141062, 5301, 46, 'शिफारसी आणि उपचार');
INSERT INTO `lang_definitions` VALUES (141063, 5302, 46, 'तज्ञांना केलेल्या शिफारसी');
INSERT INTO `lang_definitions` VALUES (141064, 5303, 46, 'नोंद');
INSERT INTO `lang_definitions` VALUES (141065, 5304, 46, 'रेकॉर्ड आधीच अस्तित्वात');
INSERT INTO `lang_definitions` VALUES (141066, 5310, 46, 'महत्वाच्या चिन्हे मध्ये रेकॉर्ड आणि चार्ट बदल.');
INSERT INTO `lang_definitions` VALUES (141067, 5311, 46, 'नोंद लोकसंख्याशास्त्र.');
INSERT INTO `lang_definitions` VALUES (141068, 5312, 46, 'रेकॉर्ड प्रकटीकरण');
INSERT INTO `lang_definitions` VALUES (141069, 5313, 46, 'फिटनेस नोंद');
INSERT INTO `lang_definitions` VALUES (141070, 5314, 46, 'रेकॉर्ड भरणा');
INSERT INTO `lang_definitions` VALUES (141071, 5315, 46, 'रेकॉर्ड विनंती तारीख');
INSERT INTO `lang_definitions` VALUES (141072, 5316, 46, '13 वर्षे किंवा त्यापेक्षा जास्त वयाचे रुग्णांना नोंद धूम्रपान स्थिती.');
INSERT INTO `lang_definitions` VALUES (141073, 5317, 46, 'रेकॉर्ड');
INSERT INTO `lang_definitions` VALUES (141074, 5318, 46, 'रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (141075, 5319, 46, 'रेकॉर्ड सापडले नाही.');
INSERT INTO `lang_definitions` VALUES (141076, 5320, 46, 'मनोरंजनाच्या औषध वापर');
INSERT INTO `lang_definitions` VALUES (141077, 5321, 46, 'अंमली औषधे');
INSERT INTO `lang_definitions` VALUES (141078, 5322, 46, 'मलमार्गविषयक');
INSERT INTO `lang_definitions` VALUES (141079, 5323, 46, 'मलमार्गविषयक परीक्षा');
INSERT INTO `lang_definitions` VALUES (141080, 5324, 46, 'rectally');
INSERT INTO `lang_definitions` VALUES (141081, 5325, 46, 'पुनर्निर्देशन');
INSERT INTO `lang_definitions` VALUES (141082, 5326, 46, 'लालसरपणा');
INSERT INTO `lang_definitions` VALUES (141083, 5327, 46, 'कमी:');
INSERT INTO `lang_definitions` VALUES (141084, 5328, 46, 'पहा');
INSERT INTO `lang_definitions` VALUES (141085, 5329, 46, 'करून पहा');
INSERT INTO `lang_definitions` VALUES (141086, 5330, 46, 'तारीख पहा');
INSERT INTO `lang_definitions` VALUES (141087, 5331, 46, 'पहा');
INSERT INTO `lang_definitions` VALUES (141088, 5332, 46, 'संदर्भ वर्गीकरण (धोका पातळी)');
INSERT INTO `lang_definitions` VALUES (141089, 5333, 46, 'परिणाम संदर्भ श्रेणी');
INSERT INTO `lang_definitions` VALUES (141090, 5334, 46, 'संदर्भ कारण');
INSERT INTO `lang_definitions` VALUES (141091, 5335, 46, 'Referer');
INSERT INTO `lang_definitions` VALUES (141092, 5336, 46, 'Referer नाव आणि स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (141093, 5337, 46, 'रेफरल');
INSERT INTO `lang_definitions` VALUES (141094, 5338, 46, 'करून रेफरल');
INSERT INTO `lang_definitions` VALUES (141095, 5339, 46, 'रेफरल कार्ड');
INSERT INTO `lang_definitions` VALUES (141096, 5340, 46, 'रेफरल तारीख');
INSERT INTO `lang_definitions` VALUES (141097, 5341, 46, 'रेफरल फॉर्म');
INSERT INTO `lang_definitions` VALUES (141098, 5342, 46, 'रेफरल प्रपत्र');
INSERT INTO `lang_definitions` VALUES (141099, 5343, 46, 'रेफरल आयडी');
INSERT INTO `lang_definitions` VALUES (141100, 5345, 46, 'रेफरल स्रोत');
INSERT INTO `lang_definitions` VALUES (141101, 5346, 46, 'Encounters साठी रेफरल स्रोत');
INSERT INTO `lang_definitions` VALUES (141102, 5347, 46, 'करण्यासाठी रेफरल');
INSERT INTO `lang_definitions` VALUES (141103, 5348, 46, 'संदर्भ');
INSERT INTO `lang_definitions` VALUES (141104, 5349, 46, 'संदर्भ अहवाल');
INSERT INTO `lang_definitions` VALUES (141105, 5350, 46, 'यांच्या संदर्भाने');
INSERT INTO `lang_definitions` VALUES (141106, 5351, 46, 'यांच्या संदर्भाने');
INSERT INTO `lang_definitions` VALUES (141107, 5352, 46, 'संदर्भित');
INSERT INTO `lang_definitions` VALUES (141108, 5353, 46, 'संदर्भकर्त्यामध्ये');
INSERT INTO `lang_definitions` VALUES (141109, 5354, 46, 'संदर्भकर्त्यामध्ये पत्ता');
INSERT INTO `lang_definitions` VALUES (141110, 5355, 46, 'संदर्भकर्त्यामध्ये निदान');
INSERT INTO `lang_definitions` VALUES (141111, 5356, 46, 'संदर्भकर्त्यामध्ये निदान');
INSERT INTO `lang_definitions` VALUES (141112, 5357, 46, 'संदर्भ वैद्य आणि सराव');
INSERT INTO `lang_definitions` VALUES (141113, 5358, 46, 'संदर्भ प्रदाता');
INSERT INTO `lang_definitions` VALUES (141114, 5359, 46, 'भरण्यासाठी');
INSERT INTO `lang_definitions` VALUES (141115, 5360, 46, 'Refills');
INSERT INTO `lang_definitions` VALUES (141116, 5361, 46, 'refills');
INSERT INTO `lang_definitions` VALUES (141117, 5362, 46, 'सामान्य reflexes');
INSERT INTO `lang_definitions` VALUES (141118, 5363, 46, 'रिफ्रेश');
INSERT INTO `lang_definitions` VALUES (141119, 5365, 46, 'रीफ्रेश स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (141120, 5368, 46, 'राज्य नकार दिला');
INSERT INTO `lang_definitions` VALUES (141121, 5369, 46, 'reg_re');
INSERT INTO `lang_definitions` VALUES (141122, 5370, 46, 'नोंदणी');
INSERT INTO `lang_definitions` VALUES (141123, 5371, 46, 'नोंदणी');
INSERT INTO `lang_definitions` VALUES (141124, 5372, 46, 'नोंदणीकृत');
INSERT INTO `lang_definitions` VALUES (141125, 5373, 46, 'नोंदणीकृत');
INSERT INTO `lang_definitions` VALUES (141126, 5374, 46, 'नोंदणीकृत मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (141127, 5375, 46, 'नोंदणी दिनांक');
INSERT INTO `lang_definitions` VALUES (141128, 5376, 46, 'नोंदणी फॉर्म');
INSERT INTO `lang_definitions` VALUES (141129, 5377, 46, 'पुनर्वसन');
INSERT INTO `lang_definitions` VALUES (141130, 5379, 46, 'नाकारले');
INSERT INTO `lang_definitions` VALUES (141131, 5380, 46, 'दुराचरण संभाव्य');
INSERT INTO `lang_definitions` VALUES (141132, 5381, 46, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (141133, 5382, 46, 'संबंधित');
INSERT INTO `lang_definitions` VALUES (141134, 5383, 46, 'संबंधित समस्या');
INSERT INTO `lang_definitions` VALUES (141135, 5384, 46, 'संबंधित रुग्णांच्या टिपा');
INSERT INTO `lang_definitions` VALUES (141136, 5385, 46, 'नाते (चे) / मुले');
INSERT INTO `lang_definitions` VALUES (141137, 5386, 46, 'संबंध');
INSERT INTO `lang_definitions` VALUES (141138, 5387, 46, 'नातेसंबंध');
INSERT INTO `lang_definitions` VALUES (141139, 5388, 46, 'या घटकाच्या सापेक्ष क्रम');
INSERT INTO `lang_definitions` VALUES (141140, 5389, 46, 'नातेवाईक');
INSERT INTO `lang_definitions` VALUES (141141, 5390, 46, 'नातेवाईक रक्तदाब');
INSERT INTO `lang_definitions` VALUES (141142, 5391, 46, 'नातेवाईक कर्करोग');
INSERT INTO `lang_definitions` VALUES (141143, 5392, 46, 'नातेवाईक मधुमेह');
INSERT INTO `lang_definitions` VALUES (141144, 5393, 46, 'नातेवाईक अपस्मार');
INSERT INTO `lang_definitions` VALUES (141145, 5394, 46, 'नातेवाईक हार्ट');
INSERT INTO `lang_definitions` VALUES (141146, 5395, 46, 'नातेवाईक मानसिक आजार');
INSERT INTO `lang_definitions` VALUES (141147, 5396, 46, 'नातेवाईक स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (141148, 5397, 46, 'नातेवाईक आत्महत्या');
INSERT INTO `lang_definitions` VALUES (141149, 5398, 46, 'नातेवाईक क्षयरोग');
INSERT INTO `lang_definitions` VALUES (141150, 5399, 46, 'रिले आरोग्य श्रेय हे वापरकर्ता खाते गहाळ आहेत.');
INSERT INTO `lang_definitions` VALUES (141151, 5400, 46, 'रिले आरोग्य आयडी');
INSERT INTO `lang_definitions` VALUES (141152, 5402, 46, 'प्रकाशन तारीख');
INSERT INTO `lang_definitions` VALUES (141153, 5403, 46, 'धर्म');
INSERT INTO `lang_definitions` VALUES (141154, 5406, 46, 'कृपया पुन्हा लॉगिन');
INSERT INTO `lang_definitions` VALUES (141155, 5407, 46, 'Remdr');
INSERT INTO `lang_definitions` VALUES (141156, 5408, 46, 'निवडलेले सुविधा लक्षात ठेवा');
INSERT INTO `lang_definitions` VALUES (141157, 5409, 46, 'स्मरण');
INSERT INTO `lang_definitions` VALUES (141158, 5410, 46, 'स्मरण कालांतराने');
INSERT INTO `lang_definitions` VALUES (141159, 5411, 46, 'स्मरण पण पाठविलेला नाही');
INSERT INTO `lang_definitions` VALUES (141160, 5412, 46, 'स्मरण रोजी पाठविले');
INSERT INTO `lang_definitions` VALUES (141161, 5413, 46, 'स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (141162, 5414, 46, 'REMIT ि ते');
INSERT INTO `lang_definitions` VALUES (141163, 5415, 46, 'दूरस्थ होस्ट');
INSERT INTO `lang_definitions` VALUES (141164, 5416, 46, 'काढा');
INSERT INTO `lang_definitions` VALUES (141165, 5419, 46, 'गट काढा');
INSERT INTO `lang_definitions` VALUES (141166, 5420, 46, 'गट फॉर्म काढा');
INSERT INTO `lang_definitions` VALUES (141167, 5421, 46, 'लसीकरण समर्थन काढून');
INSERT INTO `lang_definitions` VALUES (141168, 5422, 46, 'PhpMyAdmin समर्थन काढून');
INSERT INTO `lang_definitions` VALUES (141169, 5423, 46, 'चांगले समर्थन काढून');
INSERT INTO `lang_definitions` VALUES (141170, 5425, 46, 'चार्ट ट्रॅकर वैशिष्ट्य काढून');
INSERT INTO `lang_definitions` VALUES (141171, 5426, 46, 'मूत्रपिंडासंबंधीचा स्टोन्स');
INSERT INTO `lang_definitions` VALUES (141172, 5427, 46, 'पुनर्नामित करा');
INSERT INTO `lang_definitions` VALUES (141173, 5428, 46, 'गट पुनर्नामित करा');
INSERT INTO `lang_definitions` VALUES (141174, 5429, 46, 'प्रस्तुतीकरण');
INSERT INTO `lang_definitions` VALUES (141175, 5430, 46, 'प्रस्तुत प्रदाता');
INSERT INTO `lang_definitions` VALUES (141176, 5431, 46, 'प्रस्तुत प्रदाता क्रमांक');
INSERT INTO `lang_definitions` VALUES (141177, 5432, 46, 'पुन्हा क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (141178, 5433, 46, 'पुन्हा क्रमवारी लावा वेळी');
INSERT INTO `lang_definitions` VALUES (141179, 5434, 46, 'पुन्हा क्रमवारी लावा बिंदू गाठली आहे');
INSERT INTO `lang_definitions` VALUES (141180, 5435, 46, 'लागू नाही तर बिंदू, 0 पुन्हा ऑर्डर');
INSERT INTO `lang_definitions` VALUES (141181, 5436, 46, 'रिपब्लिक');
INSERT INTO `lang_definitions` VALUES (141182, 5437, 46, 'नवीन संकेतशब्द पुन्हा करा');
INSERT INTO `lang_definitions` VALUES (141183, 5438, 46, 'वारंवार कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (141184, 5439, 46, 'माहिती पुनरावृत्ती:');
INSERT INTO `lang_definitions` VALUES (141185, 5440, 46, 'पुनरावृत्ती');
INSERT INTO `lang_definitions` VALUES (141186, 5441, 46, 'बदलली');
INSERT INTO `lang_definitions` VALUES (141187, 5442, 46, 'संपूर्ण कोड संच बदला');
INSERT INTO `lang_definitions` VALUES (141188, 5443, 46, 'बदलले');
INSERT INTO `lang_definitions` VALUES (141189, 5444, 46, 'प्रत्युत्तर द्या उत्तर रद्द तारीख');
INSERT INTO `lang_definitions` VALUES (141190, 5445, 46, 'प्रतिसाद द्या');
INSERT INTO `lang_definitions` VALUES (141191, 5446, 46, 'अहवाल');
INSERT INTO `lang_definitions` VALUES (141192, 5447, 46, 'अहवाल - क्लिनिकल');
INSERT INTO `lang_definitions` VALUES (141193, 5449, 46, 'करून अहवाल');
INSERT INTO `lang_definitions` VALUES (141194, 5451, 46, 'अहवाल एंड (आरोपांमुळे केअर तारीख)');
INSERT INTO `lang_definitions` VALUES (141195, 5452, 46, 'अहवाल रुग्णाला पाठविण्यात आले आहे.');
INSERT INTO `lang_definitions` VALUES (141196, 5453, 46, 'इतिहास / परिणाम नोंदवा');
INSERT INTO `lang_definitions` VALUES (141197, 5454, 46, 'अहवाल परिणाम');
INSERT INTO `lang_definitions` VALUES (141198, 5455, 46, 'अहवाल परिणाम / इतिहास');
INSERT INTO `lang_definitions` VALUES (141199, 5456, 46, 'अहवाल प्रारंभ (असे गृहीत धरले केअर तारीख)');
INSERT INTO `lang_definitions` VALUES (141200, 5457, 46, 'अहवाल स्थिती');
INSERT INTO `lang_definitions` VALUES (141201, 5458, 46, 'अहवाल बेरजा');
INSERT INTO `lang_definitions` VALUES (141202, 5459, 46, 'अहवाल / फॉर्म');
INSERT INTO `lang_definitions` VALUES (141203, 5460, 46, 'Reportable');
INSERT INTO `lang_definitions` VALUES (141204, 5461, 46, 'नोंदविले');
INSERT INTO `lang_definitions` VALUES (141205, 5462, 46, 'नोंदविले तारीख');
INSERT INTO `lang_definitions` VALUES (141206, 5463, 46, 'अहवाल');
INSERT INTO `lang_definitions` VALUES (141207, 5465, 46, 'विनंती वर्णन');
INSERT INTO `lang_definitions` VALUES (141208, 5466, 46, 'विनंती गहाळ आहे!');
INSERT INTO `lang_definitions` VALUES (141209, 5467, 46, 'विनंती दुर्लक्ष - दावे प्रक्रिया आधीच चालू आहे!');
INSERT INTO `lang_definitions` VALUES (141210, 5469, 46, 'विनंती स्थिती');
INSERT INTO `lang_definitions` VALUES (141211, 5470, 46, 'विनंती प्रकार');
INSERT INTO `lang_definitions` VALUES (141212, 5471, 46, 'विनंती प्रकार अंमलबजावणी झाली नाही');
INSERT INTO `lang_definitions` VALUES (141213, 5472, 46, 'विनंती');
INSERT INTO `lang_definitions` VALUES (141214, 5473, 46, 'विनंती तारीख');
INSERT INTO `lang_definitions` VALUES (141215, 5474, 46, 'विनंतीकृत सेवा');
INSERT INTO `lang_definitions` VALUES (141216, 5475, 46, 'मजबूत संकेतशब्द आवश्यक');
INSERT INTO `lang_definitions` VALUES (141217, 5476, 46, 'युनिक संकेतशब्द आवश्यक');
INSERT INTO `lang_definitions` VALUES (141218, 5477, 46, 'आवश्यक');
INSERT INTO `lang_definitions` VALUES (141219, 5478, 46, 'आवश्यक सहकारी पे');
INSERT INTO `lang_definitions` VALUES (141220, 5479, 46, 'आवश्यक फील्ड गहाळ: अपलोड करण्यासाठी EDI-271 फाइल निवडा');
INSERT INTO `lang_definitions` VALUES (141221, 5480, 46, 'आवश्यक फील्ड गहाळ: प्रथम नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (141222, 5481, 46, 'आवश्यक फील्ड गहाळ: अंतिम नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (141223, 5482, 46, 'आवश्यक फील्ड गहाळ: वापरकर्ता नाव प्रविष्ट करा');
INSERT INTO `lang_definitions` VALUES (141224, 5483, 46, 'जरूरी माहिती');
INSERT INTO `lang_definitions` VALUES (141225, 5484, 46, 'आवश्यकता');
INSERT INTO `lang_definitions` VALUES (141226, 5485, 46, 'राखीव');
INSERT INTO `lang_definitions` VALUES (141227, 5486, 46, 'राखीव');
INSERT INTO `lang_definitions` VALUES (141228, 5487, 46, 'अनुसूचित सुट्टीतील वेळ परिभाषित करण्यासाठी वापरासाठी राखीव');
INSERT INTO `lang_definitions` VALUES (141229, 5488, 46, 'एक प्रदाता उपलब्ध भेटी नसेल तेव्हा परिभाषित करण्यासाठी राखीव.');
INSERT INTO `lang_definitions` VALUES (141230, 5489, 46, 'नमूद केल्याप्रमाणे एक घटना नाही तेव्हा परिभाषित करण्यासाठी राखीव.');
INSERT INTO `lang_definitions` VALUES (141231, 5490, 46, 'एक प्रदाता नंतर भेटी haveavailable शकते तेव्हा राखीव todefine.');
INSERT INTO `lang_definitions` VALUES (141232, 5491, 46, 'रीसेट करा');
INSERT INTO `lang_definitions` VALUES (141233, 5492, 46, 'Offsite Portal ेय रीसेट करा');
INSERT INTO `lang_definitions` VALUES (141234, 5493, 46, 'Onsite Portal ेय रीसेट करा');
INSERT INTO `lang_definitions` VALUES (141235, 5495, 46, 'Resn');
INSERT INTO `lang_definitions` VALUES (141236, 5496, 46, 'सोडवलेले');
INSERT INTO `lang_definitions` VALUES (141237, 5497, 46, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (141238, 5498, 46, 'कृत्रिम श्वासोच्छ्वास प्रयत्न unlabored');
INSERT INTO `lang_definitions` VALUES (141239, 5499, 46, 'श्वसन');
INSERT INTO `lang_definitions` VALUES (141240, 5501, 46, 'वापरकर्ता प्रशासन सेट वेळापत्रक सुविधा नसलेल्या अधिकृत वापरकर्त्यांना प्रतिबंधित करा.');
INSERT INTO `lang_definitions` VALUES (141241, 5502, 46, 'सुविधा वापरकर्ते प्रतिबंधित');
INSERT INTO `lang_definitions` VALUES (141242, 5503, 46, 'प्रतिबंधित प्रशिक्षण');
INSERT INTO `lang_definitions` VALUES (141243, 5504, 46, 'निकाल');
INSERT INTO `lang_definitions` VALUES (141244, 5505, 46, 'निकाल नाव');
INSERT INTO `lang_definitions` VALUES (141245, 5506, 46, 'निकाल स्थिती');
INSERT INTO `lang_definitions` VALUES (141246, 5507, 46, 'परिणाम स्थिती किंवा विकृती गहाळ आहे');
INSERT INTO `lang_definitions` VALUES (141247, 5508, 46, 'निकाल, एक वाइल्डकार्ड म्हणून% वापर');
INSERT INTO `lang_definitions` VALUES (141248, 5509, 46, 'परिणाम');
INSERT INTO `lang_definitions` VALUES (141249, 5510, 46, 'परिणाम आणि');
INSERT INTO `lang_definitions` VALUES (141250, 5511, 46, 'परिणाम साठी शोध सापडले');
INSERT INTO `lang_definitions` VALUES (141251, 5512, 46, 'परिणाम गट');
INSERT INTO `lang_definitions` VALUES (141252, 5513, 46, 'परिणाम फक्त');
INSERT INTO `lang_definitions` VALUES (141253, 5514, 46, 'परिणाम मार्ग');
INSERT INTO `lang_definitions` VALUES (141254, 5515, 46, 'प्रति पृष्ठ परिणाम');
INSERT INTO `lang_definitions` VALUES (141255, 5516, 46, 'परिणाम / माहिती');
INSERT INTO `lang_definitions` VALUES (141256, 5517, 46, 'रेटिनासंबंधी परीक्षा');
INSERT INTO `lang_definitions` VALUES (141257, 5518, 46, 'उजव्या मागे:');
INSERT INTO `lang_definitions` VALUES (141258, 5519, 46, 'परत');
INSERT INTO `lang_definitions` VALUES (141259, 5520, 46, 'आपल्या देयक भाग वरील परत');
INSERT INTO `lang_definitions` VALUES (141260, 5521, 46, 'कॅलेंडर कडे परत');
INSERT INTO `lang_definitions` VALUES (141261, 5522, 46, 'परिणाम अहवाल द्या परत');
INSERT INTO `lang_definitions` VALUES (141262, 5523, 46, 'या पृष्ठावर परत जा आणि आपण ICD10 विभाग हेडर वर क्लिक करून ICD10 प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (141263, 5524, 46, 'या पृष्ठावर परत जा आणि आपण ICD9 विभाग हेडर वर क्लिक करून ICD9 प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (141264, 5525, 46, 'या पृष्ठावर परत जा आणि आपण RXNORM विभाग हेडर वर क्लिक करून RxNorm प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (141265, 5526, 46, 'या पृष्ठावर परत जा आणि आपण SNOMED विभाग हेडर वर क्लिक करून Snomed प्रतिष्ठापन प्रक्रिया पूर्ण करण्यास सक्षम असेल');
INSERT INTO `lang_definitions` VALUES (141266, 5527, 46, 'परत मूल्य');
INSERT INTO `lang_definitions` VALUES (141267, 5528, 46, 'परत भेट द्या');
INSERT INTO `lang_definitions` VALUES (141268, 5529, 46, 'प्ले परत');
INSERT INTO `lang_definitions` VALUES (141269, 5530, 46, 'चारपैकी तीन संकेतशब्द पुनर्वापरासाठी नाही परवानगी!');
INSERT INTO `lang_definitions` VALUES (141270, 5531, 46, 'पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (141271, 5532, 46, 'पुनरावलोकन व मंजूर');
INSERT INTO `lang_definitions` VALUES (141272, 5534, 46, 'PMH पुनरावलोकन:');
INSERT INTO `lang_definitions` VALUES (141273, 5535, 46, 'प्रणाली पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (141274, 5536, 46, 'सिस्टम तपासणी पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (141275, 5537, 46, 'पुनरावलोकन');
INSERT INTO `lang_definitions` VALUES (141276, 5538, 46, 'आवृत्ती');
INSERT INTO `lang_definitions` VALUES (141277, 5539, 46, 'संधी वांत');
INSERT INTO `lang_definitions` VALUES (141278, 5540, 46, 'Rheumotoid संधिवात');
INSERT INTO `lang_definitions` VALUES (141279, 5541, 46, 'उजव्या');
INSERT INTO `lang_definitions` VALUES (141280, 5542, 46, 'उजवा कान');
INSERT INTO `lang_definitions` VALUES (141281, 5543, 46, 'उजवा कान');
INSERT INTO `lang_definitions` VALUES (141282, 5544, 46, 'उजवा समास (मिमी)');
INSERT INTO `lang_definitions` VALUES (141283, 5545, 46, 'उजवीकडे:');
INSERT INTO `lang_definitions` VALUES (141284, 5546, 46, 'कान मध्ये चव अजूनही जिभेवर');
INSERT INTO `lang_definitions` VALUES (141285, 5547, 46, 'कान मध्ये चव अजूनही जिभेवर');
INSERT INTO `lang_definitions` VALUES (141286, 5549, 46, 'जोखीम घटक');
INSERT INTO `lang_definitions` VALUES (141287, 5550, 46, 'जोखीम स्तर');
INSERT INTO `lang_definitions` VALUES (141288, 5551, 46, 'RLL:');
INSERT INTO `lang_definitions` VALUES (141289, 5552, 46, 'रॉम');
INSERT INTO `lang_definitions` VALUES (141290, 5553, 46, 'रोमानियन');
INSERT INTO `lang_definitions` VALUES (141291, 5554, 46, 'रोमांश');
INSERT INTO `lang_definitions` VALUES (141292, 5560, 46, 'रोस्टर');
INSERT INTO `lang_definitions` VALUES (141293, 5561, 46, 'मार्ग');
INSERT INTO `lang_definitions` VALUES (141294, 5562, 46, 'प्रशासन मार्ग, लागू असल्यास');
INSERT INTO `lang_definitions` VALUES (141295, 5563, 46, 'पराभव');
INSERT INTO `lang_definitions` VALUES (141296, 5564, 46, 'पंक्ती');
INSERT INTO `lang_definitions` VALUES (141297, 5565, 46, 'मोर न RRR');
INSERT INTO `lang_definitions` VALUES (141298, 5566, 46, 'घासणे:');
INSERT INTO `lang_definitions` VALUES (141299, 5567, 46, 'Rubs:');
INSERT INTO `lang_definitions` VALUES (141300, 5568, 46, 'नियम');
INSERT INTO `lang_definitions` VALUES (141301, 5569, 46, 'नियम जोडा');
INSERT INTO `lang_definitions` VALUES (141302, 5570, 46, 'नियम तपशील');
INSERT INTO `lang_definitions` VALUES (141303, 5572, 46, 'नियम संपादित करा');
INSERT INTO `lang_definitions` VALUES (141304, 5575, 46, 'सेट राज्य');
INSERT INTO `lang_definitions` VALUES (141305, 5576, 46, 'नियम सेट आणि योजना सेट निवडी सुसंगत नाहीत. निराकरण करा आणि पुन्हा सबमिट करा.');
INSERT INTO `lang_definitions` VALUES (141306, 5578, 46, 'नियम');
INSERT INTO `lang_definitions` VALUES (141307, 5580, 46, 'नियम संरचना');
INSERT INTO `lang_definitions` VALUES (141308, 5581, 46, 'आदेश कार्यरत: ');
INSERT INTO `lang_definitions` VALUES (141309, 5582, 46, 'फुटणे');
INSERT INTO `lang_definitions` VALUES (141310, 5583, 46, 'रशियन');
INSERT INTO `lang_definitions` VALUES (141311, 5584, 46, 'RX');
INSERT INTO `lang_definitions` VALUES (141312, 5585, 46, 'RX');
INSERT INTO `lang_definitions` VALUES (141313, 5586, 46, 'RX तळ समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (141314, 5587, 46, 'RX DEA # सक्षम');
INSERT INTO `lang_definitions` VALUES (141315, 5588, 46, 'RX NPI सक्षम');
INSERT INTO `lang_definitions` VALUES (141316, 5589, 46, 'RX राज्य एलआयसी सक्षम करा. #');
INSERT INTO `lang_definitions` VALUES (141317, 5590, 46, 'RX डावा समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (141318, 5591, 46, 'RX कागद आकार');
INSERT INTO `lang_definitions` VALUES (141319, 5592, 46, 'RX उजवा समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (141320, 5593, 46, 'RX शो DEA #');
INSERT INTO `lang_definitions` VALUES (141321, 5594, 46, 'RX शो NPI');
INSERT INTO `lang_definitions` VALUES (141322, 5595, 46, 'RX शो राज्य एलआयसी. #');
INSERT INTO `lang_definitions` VALUES (141323, 5596, 46, 'RX शीर्ष समास (पीएक्स)');
INSERT INTO `lang_definitions` VALUES (141324, 5597, 46, 'RXCUI औषधोपचार');
INSERT INTO `lang_definitions` VALUES (141325, 5598, 46, 'RxNorm');
INSERT INTO `lang_definitions` VALUES (141326, 5599, 46, 'RxNorm डेटाबेस');
INSERT INTO `lang_definitions` VALUES (141327, 5600, 46, 'एस');
INSERT INTO `lang_definitions` VALUES (141328, 5601, 46, 'S.S.');
INSERT INTO `lang_definitions` VALUES (141329, 5602, 46, 'S3,:');
INSERT INTO `lang_definitions` VALUES (141330, 5603, 46, 'वर S4:');
INSERT INTO `lang_definitions` VALUES (141331, 5604, 46, 'एसए * * परवाना वाचण्यासाठी दस्तऐवज / license.txt किंवा ला भेट द्या वाचा * http://www.gnu.org/copyleft/gpl.html * * / // ============ ================================================== =========== // ');
INSERT INTO `lang_definitions` VALUES (141332, 5605, 46, 'विक्री');
INSERT INTO `lang_definitions` VALUES (141333, 5606, 46, 'विक्री');
INSERT INTO `lang_definitions` VALUES (141334, 5607, 46, 'आयटम विक्री');
INSERT INTO `lang_definitions` VALUES (141335, 5608, 46, 'उत्पादन अहवाल विक्री');
INSERT INTO `lang_definitions` VALUES (141336, 5609, 46, 'लाळ');
INSERT INTO `lang_definitions` VALUES (141337, 5610, 46, 'त्याच दिवशी');
INSERT INTO `lang_definitions` VALUES (141338, 5611, 46, 'सामोअन');
INSERT INTO `lang_definitions` VALUES (141339, 5612, 46, 'नमुना');
INSERT INTO `lang_definitions` VALUES (141340, 5613, 46, 'मंजूरी प्रकार');
INSERT INTO `lang_definitions` VALUES (141341, 5614, 46, 'सांगो');
INSERT INTO `lang_definitions` VALUES (141342, 5615, 46, 'संस्कृत (Saṁskṛta)');
INSERT INTO `lang_definitions` VALUES (141343, 5616, 46, 'सर्दिनियन');
INSERT INTO `lang_definitions` VALUES (141344, 5617, 46, 'शनि');
INSERT INTO `lang_definitions` VALUES (141345, 5618, 46, 'शनि करा & amp; सन');
INSERT INTO `lang_definitions` VALUES (141346, 5619, 46, 'शनिवारी');
INSERT INTO `lang_definitions` VALUES (141347, 5620, 46, 'जतन करा');
INSERT INTO `lang_definitions` VALUES (141348, 5621, 46, 'सेव्ह');
INSERT INTO `lang_definitions` VALUES (141349, 5622, 46, 'जतन करा आणि बंद करा');
INSERT INTO `lang_definitions` VALUES (141350, 5623, 46, 'जतन करा आणि विनंती हटवा');
INSERT INTO `lang_definitions` VALUES (141351, 5624, 46, 'जतन करा आणि न्याय देणे');
INSERT INTO `lang_definitions` VALUES (141352, 5625, 46, 'जतन करा आणि प्रक्षेपित');
INSERT INTO `lang_definitions` VALUES (141353, 5626, 46, 'नवीन म्हणून जतन करा');
INSERT INTO `lang_definitions` VALUES (141354, 5627, 46, 'नवीन टीप जतन करा');
INSERT INTO `lang_definitions` VALUES (141355, 5628, 46, 'जतन करा प्रमाणपत्र सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (141356, 5629, 46, 'बदल जतन करा');
INSERT INTO `lang_definitions` VALUES (141357, 5630, 46, 'जतन करा फॉर्म');
INSERT INTO `lang_definitions` VALUES (141358, 5631, 46, 'जतन करा लसीकरण');
INSERT INTO `lang_definitions` VALUES (141359, 5632, 46, 'नवीन क्षेत्र जतन करा');
INSERT INTO `lang_definitions` VALUES (141360, 5633, 46, 'नवीन गट जतन करा');
INSERT INTO `lang_definitions` VALUES (141361, 5634, 46, 'नवीन यादी जतन करा');
INSERT INTO `lang_definitions` VALUES (141362, 5635, 46, 'नवीन टेम्पलेट जतन');
INSERT INTO `lang_definitions` VALUES (141363, 5636, 46, 'वगळणे निवडी जतन करा');
INSERT INTO `lang_definitions` VALUES (141364, 5637, 46, 'रुग्णांच्या लोकसंख्याशास्त्र जतन करा');
INSERT INTO `lang_definitions` VALUES (141365, 5638, 46, 'चार्ट आयडी यशस्वी जतन करा');
INSERT INTO `lang_definitions` VALUES (141366, 5639, 46, 'जतन करा व्यवहार');
INSERT INTO `lang_definitions` VALUES (141367, 5640, 46, 'यशस्वीरित्या जतन');
INSERT INTO `lang_definitions` VALUES (141368, 5641, 46, 'स्कॅन');
INSERT INTO `lang_definitions` VALUES (141369, 5642, 46, 'स्कॅन चकमकीत टीप');
INSERT INTO `lang_definitions` VALUES (141370, 5643, 46, 'स्कॅनर निर्देशिका');
INSERT INTO `lang_definitions` VALUES (141371, 5644, 46, 'मध्ये स्कॅनर');
INSERT INTO `lang_definitions` VALUES (141372, 5645, 46, 'वेळापत्रक');
INSERT INTO `lang_definitions` VALUES (141373, 5646, 46, 'वेळापत्रक सुविधा:');
INSERT INTO `lang_definitions` VALUES (141374, 5647, 46, 'स्कूल सुचना');
INSERT INTO `lang_definitions` VALUES (141375, 5648, 46, 'कशेरूदंडाच्या एका बाजूला असलेला बाक');
INSERT INTO `lang_definitions` VALUES (141376, 5649, 46, 'स्कॉटिश गॅलिक Gaelic-');
INSERT INTO `lang_definitions` VALUES (141377, 5650, 46, 'स्क्रीनिंग / चाचणी');
INSERT INTO `lang_definitions` VALUES (141378, 5651, 46, 'शॉन');
INSERT INTO `lang_definitions` VALUES (141379, 5652, 46, 'शॉन पत्ता');
INSERT INTO `lang_definitions` VALUES (141380, 5653, 46, 'शॉन शहर');
INSERT INTO `lang_definitions` VALUES (141381, 5654, 46, 'शॉन देश');
INSERT INTO `lang_definitions` VALUES (141382, 5655, 46, 'शॉन परिसर');
INSERT INTO `lang_definitions` VALUES (141383, 5656, 46, 'शॉन पोस्टल कोड');
INSERT INTO `lang_definitions` VALUES (141384, 5657, 46, 'शॉन राज्य');
INSERT INTO `lang_definitions` VALUES (141385, 5658, 46, 'शॉन पिन कोड');
INSERT INTO `lang_definitions` VALUES (141386, 5659, 46, 'शोध');
INSERT INTO `lang_definitions` VALUES (141387, 5661, 46, 'शोध');
INSERT INTO `lang_definitions` VALUES (141388, 5662, 46, 'पुन्हा शोध');
INSERT INTO `lang_definitions` VALUES (141389, 5663, 46, 'सर्व स्तंभ शोधा');
INSERT INTO `lang_definitions` VALUES (141390, 5664, 46, 'शोध घ्या:');
INSERT INTO `lang_definitions` VALUES (141391, 5665, 46, 'शोधा');
INSERT INTO `lang_definitions` VALUES (141392, 5666, 46, 'शोध घ्या:');
INSERT INTO `lang_definitions` VALUES (141393, 5667, 46, 'शोध');
INSERT INTO `lang_definitions` VALUES (141394, 5668, 46, 'शोधा');
INSERT INTO `lang_definitions` VALUES (141395, 5669, 46, 'शोधा किंवा रुग्णांच्या जोडा');
INSERT INTO `lang_definitions` VALUES (141396, 5670, 46, 'शोध भरणा');
INSERT INTO `lang_definitions` VALUES (141397, 5671, 46, 'शोध परिणाम');
INSERT INTO `lang_definitions` VALUES (141398, 5672, 46, 'शोध परिणाम:');
INSERT INTO `lang_definitions` VALUES (141399, 5673, 46, 'शोध निवडलेले');
INSERT INTO `lang_definitions` VALUES (141400, 5674, 46, 'शोध स्ट्रिंग डेटाबेसमध्ये यादी जुळत नाही');
INSERT INTO `lang_definitions` VALUES (141401, 5675, 46, 'शोध स्ट्रिंग किमान तीन वर्ण असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (141402, 5676, 46, 'शोध मजकूर');
INSERT INTO `lang_definitions` VALUES (141403, 5677, 46, 'कार्यक्रम शोधा');
INSERT INTO `lang_definitions` VALUES (141404, 5678, 46, 'शोध जोडा /');
INSERT INTO `lang_definitions` VALUES (141405, 5679, 46, 'शोध जोडा / ववमाकते');
INSERT INTO `lang_definitions` VALUES (141406, 5680, 46, 'भेटी शोध');
INSERT INTO `lang_definitions` VALUES (141407, 5681, 46, 'शोध घेत आहे ...');
INSERT INTO `lang_definitions` VALUES (141408, 5682, 46, 'Seatbelt वापरा');
INSERT INTO `lang_definitions` VALUES (141409, 5683, 46, 'Seatbelt वापर');
INSERT INTO `lang_definitions` VALUES (141410, 5684, 46, 'दुसरा');
INSERT INTO `lang_definitions` VALUES (141411, 5687, 46, 'माध्यमिक');
INSERT INTO `lang_definitions` VALUES (141412, 5688, 46, 'माध्यमिक विमा');
INSERT INTO `lang_definitions` VALUES (141413, 5689, 46, 'माध्यमिक विमा डेटा');
INSERT INTO `lang_definitions` VALUES (141414, 5690, 46, 'माध्यमिक विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (141415, 5691, 46, 'माध्यमिक वैद्यकीय प्रकार');
INSERT INTO `lang_definitions` VALUES (141416, 5693, 46, 'कलम आयडी');
INSERT INTO `lang_definitions` VALUES (141417, 5694, 46, 'कलम आयडी आणि नाव रिकामे असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (141418, 5695, 46, 'विभागाचे नाव');
INSERT INTO `lang_definitions` VALUES (141419, 5696, 46, 'कलम यशस्वीरित्या जतन');
INSERT INTO `lang_definitions` VALUES (141420, 5698, 46, 'सुरक्षा');
INSERT INTO `lang_definitions` VALUES (141421, 5699, 46, 'सर्व पाहा');
INSERT INTO `lang_definitions` VALUES (141422, 5700, 46, 'अधिकृत पहा');
INSERT INTO `lang_definitions` VALUES (141423, 5701, 46, 'वाढ-चार्ट पहा');
INSERT INTO `lang_definitions` VALUES (141424, 5702, 46, 'व्युत्पन्न दावे शेवटच्या सेटमध्ये संदेश पहा');
INSERT INTO `lang_definitions` VALUES (141425, 5704, 46, 'पासून पाहिले');
INSERT INTO `lang_definitions` VALUES (141426, 5705, 46, 'या विभागाचा नाव');
INSERT INTO `lang_definitions` VALUES (141427, 5706, 46, 'विभागांना बॅच दावा');
INSERT INTO `lang_definitions` VALUES (141428, 5707, 46, 'फेफरे येतात');
INSERT INTO `lang_definitions` VALUES (141429, 5708, 46, 'Sel');
INSERT INTO `lang_definitions` VALUES (141430, 5709, 46, 'निवडा');
INSERT INTO `lang_definitions` VALUES (141431, 5710, 46, 'निवडा');
INSERT INTO `lang_definitions` VALUES (141432, 5711, 46, 'एक घटक निवडा');
INSERT INTO `lang_definitions` VALUES (141433, 5712, 46, 'एक संदर्भ निवडा');
INSERT INTO `lang_definitions` VALUES (141434, 5713, 46, 'पंक्ती टक्केवारी निवडा किंवा किंवा तारखा निवडण्यासाठी');
INSERT INTO `lang_definitions` VALUES (141435, 5714, 46, 'एक वेळ कालावधी निवडा');
INSERT INTO `lang_definitions` VALUES (141436, 5715, 46, 'वापरकर्ता निवडा');
INSERT INTO `lang_definitions` VALUES (141437, 5716, 46, 'सर्व निवडा');
INSERT INTO `lang_definitions` VALUES (141438, 5717, 46, 'दुरुस्ती तारिख निवडा');
INSERT INTO `lang_definitions` VALUES (141439, 5718, 46, 'प्रिंट दुरुस्त्या निवडा');
INSERT INTO `lang_definitions` VALUES (141441, 5720, 46, 'श्रेणी निवडा');
INSERT INTO `lang_definitions` VALUES (141442, 5721, 46, 'संप्रेषण प्राधान्ये निवडा');
INSERT INTO `lang_definitions` VALUES (141443, 5722, 46, 'हटवू संबंधित चेकबॉक्स निवडा');
INSERT INTO `lang_definitions` VALUES (141444, 5723, 46, 'निवडा निकष काढा');
INSERT INTO `lang_definitions` VALUES (141445, 5724, 46, 'सी टेबल निवडा');
INSERT INTO `lang_definitions` VALUES (141446, 5725, 46, 'डे ओळख डेटा आवश्यक निवडा');
INSERT INTO `lang_definitions` VALUES (141447, 5726, 46, 'निवडा डेटा डी ओळखले डेटा समाविष्ट करणे');
INSERT INTO `lang_definitions` VALUES (141448, 5727, 46, 'तारीख निवडा');
INSERT INTO `lang_definitions` VALUES (141449, 5728, 46, 'इच्छित संघात निवडा');
INSERT INTO `lang_definitions` VALUES (141450, 5729, 46, 'निवडा निदान');
INSERT INTO `lang_definitions` VALUES (141451, 5730, 46, 'डे ओळख विनंती निदान निवडा');
INSERT INTO `lang_definitions` VALUES (141452, 5731, 46, 'निवडा औषध');
INSERT INTO `lang_definitions` VALUES (141453, 5732, 46, 'निवडा औषधे');
INSERT INTO `lang_definitions` VALUES (141454, 5733, 46, 'डे ओळख विनंती निवडा औषधे');
INSERT INTO `lang_definitions` VALUES (141455, 5734, 46, 'निवडा EDI-271 फाइल');
INSERT INTO `lang_definitions` VALUES (141456, 5735, 46, 'निवडा आढळतात');
INSERT INTO `lang_definitions` VALUES (141457, 5736, 46, 'निवडा क्षेत्र');
INSERT INTO `lang_definitions` VALUES (141458, 5737, 46, 'निवडा फील्ड');
INSERT INTO `lang_definitions` VALUES (141459, 5738, 46, 'मुद्रणासाठी निवडा');
INSERT INTO `lang_definitions` VALUES (141460, 5739, 46, 'निवडा लसीकरण');
INSERT INTO `lang_definitions` VALUES (141461, 5740, 46, 'डे ओळख विनंती लसीकरण निवडा');
INSERT INTO `lang_definitions` VALUES (141462, 5741, 46, 'टाइप करून, विमा निवडा');
INSERT INTO `lang_definitions` VALUES (141463, 5742, 46, 'निवडा अंक');
INSERT INTO `lang_definitions` VALUES (141464, 5743, 46, 'आयटम निवडा');
INSERT INTO `lang_definitions` VALUES (141465, 5744, 46, 'भाषा निवडा');
INSERT INTO `lang_definitions` VALUES (141466, 5745, 46, 'एक निवडा');
INSERT INTO `lang_definitions` VALUES (141467, 5746, 46, 'सेवा समायोजित करण्यासाठी एक किंवा अधिक निदान कोड निवडा');
INSERT INTO `lang_definitions` VALUES (141468, 5747, 46, 'अपलोड करण्यासाठी एक किंवा अधिक फायली निवडा');
INSERT INTO `lang_definitions` VALUES (141469, 5748, 46, 'निवडा आउटपुट');
INSERT INTO `lang_definitions` VALUES (141470, 5750, 46, 'विनंती निवडा');
INSERT INTO `lang_definitions` VALUES (141471, 5752, 46, 'निवडा स्रोत');
INSERT INTO `lang_definitions` VALUES (141472, 5753, 46, 'निवडा साचा');
INSERT INTO `lang_definitions` VALUES (141473, 5754, 46, 'निर्यात संरचना आयटम निवडा');
INSERT INTO `lang_definitions` VALUES (141474, 5755, 46, 'या दिवशी कोणत्याही नाही कार्यक्रमांसाठी प्रामुख्याने जबाबदार समस्या निवडा');
INSERT INTO `lang_definitions` VALUES (141475, 5756, 46, 'डाव्या nav स्क्रीन मध्ये पॉपअप पासून रुग्ण पत्ता लेबले मुद्रित निवडा.');
INSERT INTO `lang_definitions` VALUES (141476, 5757, 46, 'ट्रॅक निवडा');
INSERT INTO `lang_definitions` VALUES (141477, 5759, 46, 'निवडा वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (141478, 5760, 46, 'ड्रापडाउनसूची पासून निवडा वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (141479, 5761, 46, 'जर असेल तर, लॉगिन निवड केली जाऊ शकते, जे भाषा निवडा. (फक्त समर्पक परवानगी सर्व भाषा बंद आहे वरील)');
INSERT INTO `lang_definitions` VALUES (141480, 5762, 46, 'गट नष्ट करण्यासाठी होय निवडा');
INSERT INTO `lang_definitions` VALUES (141481, 5765, 46, 'निवडलेले');
INSERT INTO `lang_definitions` VALUES (141482, 5766, 46, 'निवडलेले आढळतात');
INSERT INTO `lang_definitions` VALUES (141483, 5767, 46, 'या (ही एक गट काम नाही आहे) प्रत्येक प्राप्तकर्ता प्रक्रिया करणे आवश्यक आहे की एक संदेश तयार होईल निवडणे.');
INSERT INTO `lang_definitions` VALUES (141484, 5768, 46, 'स्वत:');
INSERT INTO `lang_definitions` VALUES (141485, 5769, 46, 'स्वत: ची पे');
INSERT INTO `lang_definitions` VALUES (141486, 5771, 46, 'पाठवा');
INSERT INTO `lang_definitions` VALUES (141487, 5772, 46, 'एक दि स्मरणपत्र पाठवा');
INSERT INTO `lang_definitions` VALUES (141488, 5773, 46, 'एक स्मरणपत्र पाठवा');
INSERT INTO `lang_definitions` VALUES (141489, 5774, 46, 'प्रगतीपथावर पाठवा');
INSERT INTO `lang_definitions` VALUES (141490, 5775, 46, 'संदेश पाठवा');
INSERT INTO `lang_definitions` VALUES (141491, 5776, 46, 'स्मरणपत्रे बॅच पाठवा');
INSERT INTO `lang_definitions` VALUES (141492, 5777, 46, 'प्रतिबंधात्मक / पाठपुरावा काळजी धीराने प्राधान्य टक्के रुग्णांना स्मरणपत्रे पाठवा.');
INSERT INTO `lang_definitions` VALUES (141493, 5778, 46, 'संदर्भ सह सारांश पाठवा');
INSERT INTO `lang_definitions` VALUES (141494, 5779, 46, 'या फाइल पाठवा');
INSERT INTO `lang_definitions` VALUES (141495, 5780, 46, 'हा संदेश पाठवा');
INSERT INTO `lang_definitions` VALUES (141496, 5781, 46, 'ला पाठवणे');
INSERT INTO `lang_definitions` VALUES (141497, 5784, 46, 'सर्व पाठवा');
INSERT INTO `lang_definitions` VALUES (141498, 5786, 46, 'पोर्टल पाठवा');
INSERT INTO `lang_definitions` VALUES (141499, 5787, 46, 'पोर्टल पाठवा');
INSERT INTO `lang_definitions` VALUES (141500, 5788, 46, 'प्रेषक');
INSERT INTO `lang_definitions` VALUES (141501, 5789, 46, 'प्रेषक ID');
INSERT INTO `lang_definitions` VALUES (141502, 5790, 46, 'प्रेषक ID (ISA06)');
INSERT INTO `lang_definitions` VALUES (141503, 5791, 46, 'प्रेषक ID क्वालिफायर (ISA05)');
INSERT INTO `lang_definitions` VALUES (141504, 5792, 46, 'प्रेषक आयडी');
INSERT INTO `lang_definitions` VALUES (141505, 5793, 46, 'करण्यासाठी पाठवत आहे');
INSERT INTO `lang_definitions` VALUES (141506, 5794, 46, 'संवेदनांचा');
INSERT INTO `lang_definitions` VALUES (141507, 5795, 46, 'संवेदनशीलता:');
INSERT INTO `lang_definitions` VALUES (141508, 5796, 46, 'ज्ञानेंद्रियांचा परीक्षा सामान्य');
INSERT INTO `lang_definitions` VALUES (141509, 5797, 46, 'पाठविलेला');
INSERT INTO `lang_definitions` VALUES (141510, 5798, 46, 'पाठविले - पुष्टी');
INSERT INTO `lang_definitions` VALUES (141511, 5799, 46, 'करून पाठविलेला सर्व करिता रिक्त सोडा');
INSERT INTO `lang_definitions` VALUES (141512, 5800, 46, 'पाठविले:');
INSERT INTO `lang_definitions` VALUES (141513, 5801, 46, 'तारीख पाठविली');
INSERT INTO `lang_definitions` VALUES (141514, 5802, 46, 'प्रेषित आयटम्स');
INSERT INTO `lang_definitions` VALUES (141515, 5803, 46, 'वैद्यकीय रेकॉर्ड पाठविले?');
INSERT INTO `lang_definitions` VALUES (141516, 5804, 46, 'यशस्वीरित्या पाठवले');
INSERT INTO `lang_definitions` VALUES (141517, 5807, 46, 'प्रिंटर पाठविले.');
INSERT INTO `lang_definitions` VALUES (141518, 5808, 46, 'सर्व रिक्त सोडा पाठविले');
INSERT INTO `lang_definitions` VALUES (141519, 5809, 46, 'यांना प्रेषित:');
INSERT INTO `lang_definitions` VALUES (141520, 5810, 46, 'पाठवला, पण चेंडू अद्याप पुष्टी नाही.');
INSERT INTO `lang_definitions` VALUES (141521, 5811, 46, 'पाठविलेला प्राप्त झाले नाही');
INSERT INTO `lang_definitions` VALUES (141522, 5812, 46, 'सप्टेंबर');
INSERT INTO `lang_definitions` VALUES (141523, 5813, 46, 'विभक्त');
INSERT INTO `lang_definitions` VALUES (141524, 5814, 46, 'सप्टेंबर');
INSERT INTO `lang_definitions` VALUES (141525, 5815, 46, 'Seq');
INSERT INTO `lang_definitions` VALUES (141526, 5816, 46, 'क्रम');
INSERT INTO `lang_definitions` VALUES (141527, 5817, 46, 'सर्बियन');
INSERT INTO `lang_definitions` VALUES (141528, 5818, 46, 'Serv रिपब्लिक');
INSERT INTO `lang_definitions` VALUES (141529, 5819, 46, 'सर्व्हर ऑफलाइन असू शकते');
INSERT INTO `lang_definitions` VALUES (141530, 5820, 46, 'सर्व्हर संदेश:');
INSERT INTO `lang_definitions` VALUES (141531, 5821, 46, 'सेवा');
INSERT INTO `lang_definitions` VALUES (141532, 5822, 46, 'सेवा वर्ग');
INSERT INTO `lang_definitions` VALUES (141533, 5823, 46, 'सेवा कोड');
INSERT INTO `lang_definitions` VALUES (141534, 5824, 46, 'सेवा कोड वित्त अहवाल');
INSERT INTO `lang_definitions` VALUES (141535, 5825, 46, 'सेवा कोड');
INSERT INTO `lang_definitions` VALUES (141536, 5826, 46, 'सेवा तारीख');
INSERT INTO `lang_definitions` VALUES (141537, 5827, 46, 'सेवा दिनांक:');
INSERT INTO `lang_definitions` VALUES (141538, 5829, 46, 'सेवा स्थान');
INSERT INTO `lang_definitions` VALUES (141539, 5830, 46, 'सेवा नाव');
INSERT INTO `lang_definitions` VALUES (141540, 5831, 46, 'सेवा तज्ञांना द्वारे प्रदान');
INSERT INTO `lang_definitions` VALUES (141541, 5832, 46, 'सेवा अहवाल');
INSERT INTO `lang_definitions` VALUES (141542, 5833, 46, 'फक्त अहवाल सेवा');
INSERT INTO `lang_definitions` VALUES (141543, 5834, 46, 'सेवा');
INSERT INTO `lang_definitions` VALUES (141544, 5835, 46, 'वर्ग करून सेवा');
INSERT INTO `lang_definitions` VALUES (141545, 5836, 46, 'सेवा प्रदान');
INSERT INTO `lang_definitions` VALUES (141546, 5837, 46, 'सेवा प्रदान');
INSERT INTO `lang_definitions` VALUES (141547, 5838, 46, 'सेवा / उत्पादने');
INSERT INTO `lang_definitions` VALUES (141548, 5839, 46, 'सत्र प्रकार');
INSERT INTO `lang_definitions` VALUES (141549, 5840, 46, 'सेट');
INSERT INTO `lang_definitions` VALUES (141550, 5841, 46, 'लॉगिन दरम्यान निवडले सुविधा लक्षात एक सुविधा कुकी सेट करा.');
INSERT INTO `lang_definitions` VALUES (141551, 5842, 46, 'पूर्ण म्हणून सेट करा');
INSERT INTO `lang_definitions` VALUES (141552, 5843, 46, 'CDR इंजिन आधारित अहवाल सेट प्रक्रिया प्राधान्य.');
INSERT INTO `lang_definitions` VALUES (141553, 5844, 46, '(पूर्ण क्लिनिकमध्ये मोडमध्ये) रुग्णांच्या स्मरणपत्रे निर्मितीसाठी सेट प्रक्रिया प्राधान्य.');
INSERT INTO `lang_definitions` VALUES (141554, 5845, 46, 'पूर्ण अचूक पथ या सेट करा. HTTPS वरील ग्राहकाला SSL प्रमाणपत्र तयार करण्यासाठी.');
INSERT INTO `lang_definitions` VALUES (141555, 5846, 46, 'करण्यासाठी सेट');
INSERT INTO `lang_definitions` VALUES (141556, 5847, 46, 'डीफॉल्ट सेट');
INSERT INTO `lang_definitions` VALUES (141557, 5848, 46, 'डेटाबेस मध्ये आवृत्ती क्रमांक सेट करत आहे ...');
INSERT INTO `lang_definitions` VALUES (141558, 5849, 46, 'सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (141559, 5851, 46, 'तीव्र मांडली आहे');
INSERT INTO `lang_definitions` VALUES (141560, 5853, 46, 'वेदना तीव्रता');
INSERT INTO `lang_definitions` VALUES (141561, 5854, 46, 'वेदना तीव्रता:');
INSERT INTO `lang_definitions` VALUES (141562, 5855, 46, 'लिंग');
INSERT INTO `lang_definitions` VALUES (141563, 5856, 46, 'अश्लील रोग संसर्गजन्य');
INSERT INTO `lang_definitions` VALUES (141564, 5857, 46, 'केलेला SFTP');
INSERT INTO `lang_definitions` VALUES (141565, 5858, 46, 'SHA-1 हॅश');
INSERT INTO `lang_definitions` VALUES (141566, 5859, 46, 'सामायिकरण');
INSERT INTO `lang_definitions` VALUES (141567, 5860, 46, 'सर्व्हर पासून छपाई साठी शेल आदेश.');
INSERT INTO `lang_definitions` VALUES (141568, 5862, 46, 'शोना');
INSERT INTO `lang_definitions` VALUES (141569, 5863, 46, 'लघु वर्णन');
INSERT INTO `lang_definitions` VALUES (141570, 5864, 46, 'धाप लागणे');
INSERT INTO `lang_definitions` VALUES (141571, 5865, 46, 'धाप लागणे');
INSERT INTO `lang_definitions` VALUES (141572, 5866, 46, 'श्वास 2 लागणे');
INSERT INTO `lang_definitions` VALUES (141573, 5867, 46, 'शॉट नोंद');
INSERT INTO `lang_definitions` VALUES (141574, 5868, 46, 'म्हणून नोंद शॉट:');
INSERT INTO `lang_definitions` VALUES (141575, 5869, 46, 'सक्षम पाहिजे');
INSERT INTO `lang_definitions` VALUES (141576, 5870, 46, 'nnnnn-NNNN-एन जसे पाहिजे');
INSERT INTO `lang_definitions` VALUES (141577, 5871, 46, 'दोन अक्षरे असावे');
INSERT INTO `lang_definitions` VALUES (141578, 5872, 46, '10 अंक असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (141579, 5873, 46, 'केवळ 10 अंक असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (141580, 5874, 46, 'खांदा');
INSERT INTO `lang_definitions` VALUES (141581, 5875, 46, 'खांदा + गळ्याभोवतालचे हाड');
INSERT INTO `lang_definitions` VALUES (141582, 5876, 46, 'खांदा समस्या');
INSERT INTO `lang_definitions` VALUES (141583, 5877, 46, 'दर्शवा');
INSERT INTO `lang_definitions` VALUES (141584, 5878, 46, 'सक्रिय दर्शवा');
INSERT INTO `lang_definitions` VALUES (141585, 5880, 46, 'सगळं दाखवा');
INSERT INTO `lang_definitions` VALUES (141586, 5881, 46, 'सर्व प्रक्रीया दर्शवा');
INSERT INTO `lang_definitions` VALUES (141587, 5883, 46, 'सर्व व्यवहार दर्शवा');
INSERT INTO `lang_definitions` VALUES (141588, 5884, 46, 'म्हणून व्यस्त दर्शवा');
INSERT INTO `lang_definitions` VALUES (141589, 5885, 46, 'दाखवा अधिकृत');
INSERT INTO `lang_definitions` VALUES (141590, 5886, 46, 'शो उपलब्ध टाइम्स');
INSERT INTO `lang_definitions` VALUES (141591, 5887, 46, 'दर्शवा अमेरिका आणि मेट्रिक दोन्ही (मुख्य युनिट मेट्रिक आहे)');
INSERT INTO `lang_definitions` VALUES (141592, 5888, 46, 'दर्शवा अमेरिका आणि मेट्रिक (मुख्य युनिट अमेरिकन आहे) दोन्ही');
INSERT INTO `lang_definitions` VALUES (141593, 5889, 46, 'तपशील दाखवा');
INSERT INTO `lang_definitions` VALUES (141594, 5890, 46, 'शो चुका फक्त?');
INSERT INTO `lang_definitions` VALUES (141595, 5891, 46, 'आलेख दर्शवा');
INSERT INTO `lang_definitions` VALUES (141596, 5892, 46, 'Mouseover कार्यक्रम मजकूर घिरट्या दिसून येते?');
INSERT INTO `lang_definitions` VALUES (141597, 5893, 46, 'दर्शवा किती इव्हेंट्स प्रशासन पृष्ठांवर?');
INSERT INTO `lang_definitions` VALUES (141598, 5894, 46, 'शो निष्क्रिय');
INSERT INTO `lang_definitions` VALUES (141599, 5896, 46, 'मेनू दर्शवा');
INSERT INTO `lang_definitions` VALUES (141600, 5897, 46, 'मेट्रिक केवळ दर्शवा');
INSERT INTO `lang_definitions` VALUES (141601, 5898, 46, 'टिपा दर्शवा');
INSERT INTO `lang_definitions` VALUES (141602, 5900, 46, 'वगळले नाही फक्त प्रक्रीया दर्शवा');
INSERT INTO `lang_definitions` VALUES (141603, 5901, 46, 'रुग्णांच्या टिपा दर्शवा');
INSERT INTO `lang_definitions` VALUES (141604, 5902, 46, 'शो पाउंड आणि औन्स');
INSERT INTO `lang_definitions` VALUES (141605, 5903, 46, 'दशांश मूल्य म्हणून दर्शवा पाउंड');
INSERT INTO `lang_definitions` VALUES (141606, 5904, 46, 'प्राथमिक पूर्ण दर्शवा');
INSERT INTO `lang_definitions` VALUES (141607, 5905, 46, 'शो स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (141608, 5906, 46, 'शो अहवाल');
INSERT INTO `lang_definitions` VALUES (141609, 5907, 46, 'दर्शवा शोध / ब्लॉक दुवे सादर?');
INSERT INTO `lang_definitions` VALUES (141610, 5910, 46, 'ऍड यादी विजेट सानुकूल राज्य फॉर्म (शीर्षक आणि संक्षेप विचारेल) दर्शवा.');
INSERT INTO `lang_definitions` VALUES (141611, 5911, 46, 'नाही समस्या या वर्गात प्रविष्ट केले, तरी रुग्णाला सारांश स्क्रीन वर या वर्गात दर्शवा.');
INSERT INTO `lang_definitions` VALUES (141612, 5912, 46, 'दर्शवा ट्रॅक इतिहास');
INSERT INTO `lang_definitions` VALUES (141613, 5913, 46, 'शो बिल न केलेली फक्त');
INSERT INTO `lang_definitions` VALUES (141614, 5914, 46, 'केवळ यूएस दर्शवा');
INSERT INTO `lang_definitions` VALUES (141615, 5915, 46, 'दर्शवित');
INSERT INTO `lang_definitions` VALUES (141616, 5916, 46, 'परिणाम दर्शवित');
INSERT INTO `lang_definitions` VALUES (141617, 5918, 46, 'भावंडे इतिहास');
INSERT INTO `lang_definitions` VALUES (141618, 5920, 46, 'भावंड');
INSERT INTO `lang_definitions` VALUES (141619, 5921, 46, 'विळा सेल');
INSERT INTO `lang_definitions` VALUES (141620, 5922, 46, 'Sig');
INSERT INTO `lang_definitions` VALUES (141621, 5923, 46, 'सिग्मा / Colonoscopy');
INSERT INTO `lang_definitions` VALUES (141622, 5924, 46, 'साइन इन करा');
INSERT INTO `lang_definitions` VALUES (141623, 5925, 46, 'लॅब परिणाम (, लेखन addonly पर्यायी) साइन इन करा');
INSERT INTO `lang_definitions` VALUES (141624, 5926, 46, 'साइन इन करा परिणाम');
INSERT INTO `lang_definitions` VALUES (141625, 5927, 46, 'स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (141626, 5928, 46, 'फाइल सही');
INSERT INTO `lang_definitions` VALUES (141627, 5929, 46, 'स्वाक्षरी:');
INSERT INTO `lang_definitions` VALUES (141628, 5930, 46, 'साइन इन Rx');
INSERT INTO `lang_definitions` VALUES (141629, 5932, 46, 'महत्त्वाच्या सूज:');
INSERT INTO `lang_definitions` VALUES (141630, 5933, 46, 'सरलीकृत');
INSERT INTO `lang_definitions` VALUES (141631, 5934, 46, 'सरलीकृत सहकारी पे');
INSERT INTO `lang_definitions` VALUES (141632, 5935, 46, 'सरलीकृत लोकसंख्याशास्त्र');
INSERT INTO `lang_definitions` VALUES (141633, 5936, 46, 'सरलीकृत चांगले');
INSERT INTO `lang_definitions` VALUES (141634, 5937, 46, 'असल्याने');
INSERT INTO `lang_definitions` VALUES (141635, 5938, 46, 'विनम्र,');
INSERT INTO `lang_definitions` VALUES (141636, 5939, 46, 'सिंधी');
INSERT INTO `lang_definitions` VALUES (141637, 5940, 46, 'सिंगल');
INSERT INTO `lang_definitions` VALUES (141638, 5941, 46, 'सिंगल-निवड यादी');
INSERT INTO `lang_definitions` VALUES (141639, 5942, 46, 'यादीत जोडण्यासाठी क्षमता सिंगल निवड यादी');
INSERT INTO `lang_definitions` VALUES (141640, 5943, 46, 'असामान्य');
INSERT INTO `lang_definitions` VALUES (141641, 5944, 46, 'सिंहली');
INSERT INTO `lang_definitions` VALUES (141642, 5945, 46, 'सिंहली, सिंहली');
INSERT INTO `lang_definitions` VALUES (141643, 5946, 46, 'सायनस समस्या');
INSERT INTO `lang_definitions` VALUES (141644, 5947, 46, 'सायनस शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (141645, 5948, 46, 'सायनस प्रेमळपणा:');
INSERT INTO `lang_definitions` VALUES (141646, 5949, 46, 'सायनुसायटिस');
INSERT INTO `lang_definitions` VALUES (141647, 5950, 46, 'साइट');
INSERT INTO `lang_definitions` VALUES (141648, 5951, 46, 'साइट ID');
INSERT INTO `lang_definitions` VALUES (141649, 5952, 46, 'वैद्यकीय माहिती एकत्रीकरण, एलएलसी लॅब एक्सचेंज सेवा साइट ID.');
INSERT INTO `lang_definitions` VALUES (141650, 5953, 46, 'LibreEHR समर्थन, LLC लॅब विनिमय सेवा साइट आयडी.');
INSERT INTO `lang_definitions` VALUES (141651, 5956, 46, 'आकार');
INSERT INTO `lang_definitions` VALUES (141652, 5957, 46, 'आकार 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (141653, 5958, 46, 'आकार / यादी');
INSERT INTO `lang_definitions` VALUES (141654, 5959, 46, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (141655, 5960, 46, 'त्वचा कर्करोग');
INSERT INTO `lang_definitions` VALUES (141656, 5961, 46, 'त्वचा रोग');
INSERT INTO `lang_definitions` VALUES (141657, 5962, 46, 'इतर त्वचा');
INSERT INTO `lang_definitions` VALUES (141658, 5963, 46, 'रुग्णांच्या नोंदी प्राधिकृत जा');
INSERT INTO `lang_definitions` VALUES (141659, 5964, 46, 'वगळण्याबद्दल विभाग');
INSERT INTO `lang_definitions` VALUES (141660, 5965, 46, 'सोडून देत एस क्यू एल-लेजर डंप - विंडोज सर्व्हर लागू नाही');
INSERT INTO `lang_definitions` VALUES (141661, 5967, 46, 'झोप नमुने');
INSERT INTO `lang_definitions` VALUES (141662, 5968, 46, 'झोप नमुन्यांची');
INSERT INTO `lang_definitions` VALUES (141663, 5969, 46, 'झोपलेला');
INSERT INTO `lang_definitions` VALUES (141664, 5970, 46, 'स्लोव्हाक');
INSERT INTO `lang_definitions` VALUES (141665, 5971, 46, 'स्लोवेन');
INSERT INTO `lang_definitions` VALUES (141666, 5972, 46, 'एस.एम. कर्ज वाईड ओ /');
INSERT INTO `lang_definitions` VALUES (141667, 5973, 46, 'Smarty कॅशे साफ केले गेले');
INSERT INTO `lang_definitions` VALUES (141668, 5974, 46, 'धूम्रपान, अज्ञात वर्तमान स्थिती');
INSERT INTO `lang_definitions` VALUES (141669, 5976, 46, 'धूम्रपान स्थिती');
INSERT INTO `lang_definitions` VALUES (141670, 5977, 46, 'एसएमएस प्रमाणिकरण');
INSERT INTO `lang_definitions` VALUES (141671, 5978, 46, 'एसएमएस गेटवे');
INSERT INTO `lang_definitions` VALUES (141672, 5979, 46, 'एसएमएस गेटवे API की');
INSERT INTO `lang_definitions` VALUES (141673, 5980, 46, 'एसएमएस गेटवे API की');
INSERT INTO `lang_definitions` VALUES (141674, 5981, 46, 'एसएमएस गेटवे पासवर्ड');
INSERT INTO `lang_definitions` VALUES (141675, 5982, 46, 'एसएमएस गेटवे वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (141676, 5983, 46, 'एसएमएस अधिसूचना');
INSERT INTO `lang_definitions` VALUES (141677, 5984, 46, 'एसएमएस अधिसूचना तास');
INSERT INTO `lang_definitions` VALUES (141678, 5985, 46, 'एसएमएस पाठवा आधी');
INSERT INTO `lang_definitions` VALUES (141679, 5986, 46, 'एसएमएस पाठविले');
INSERT INTO `lang_definitions` VALUES (141680, 5987, 46, 'SMS मजकूर, वापरता येण्याजोगे टॅग: *** *** की NAME, *** *** प्रदात्याकडून, *** *** हे DATE, *** *** startTime, *** ENDTIME *** प्रवास म्हणजे प्रिय *** *** NAME ना');
INSERT INTO `lang_definitions` VALUES (141681, 5988, 46, 'एसएमएस / ई-मेल अॅलर्ट सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (141682, 5989, 46, 'प्रमाणीकरणासाठी या SMTP संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (141683, 5992, 46, 'SMTP सर्व्हर यजमाननाव');
INSERT INTO `lang_definitions` VALUES (141684, 5993, 46, 'SMTP सर्व्हर पोर्ट क्रमांक');
INSERT INTO `lang_definitions` VALUES (141685, 5994, 46, 'प्रमाणीकरणासाठी या SMTP वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (141686, 5995, 46, 'SNOMED');
INSERT INTO `lang_definitions` VALUES (141687, 5996, 46, 'SNOMED (RF1) क्लिनिकल मुदत');
INSERT INTO `lang_definitions` VALUES (141688, 5997, 46, 'SNOMED (RF1) निदान');
INSERT INTO `lang_definitions` VALUES (141689, 5998, 46, 'SNOMED (RF1) प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (141690, 5999, 46, 'SNOMED (RF2) निदान');
INSERT INTO `lang_definitions` VALUES (141691, 6000, 46, 'SNOMED क्लिनिकल मुदत');
INSERT INTO `lang_definitions` VALUES (141692, 6001, 46, 'SNOMED डेटाबेस');
INSERT INTO `lang_definitions` VALUES (141693, 6002, 46, 'SNOMED निदान');
INSERT INTO `lang_definitions` VALUES (141694, 6003, 46, 'SNOMED प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (141695, 6004, 46, 'धम्माल');
INSERT INTO `lang_definitions` VALUES (141696, 6005, 46, 'SOAP');
INSERT INTO `lang_definitions` VALUES (141697, 6006, 46, 'सामाजिक अडचणी');
INSERT INTO `lang_definitions` VALUES (141698, 6009, 46, 'सामाजिक इतिहास:');
INSERT INTO `lang_definitions` VALUES (141699, 6010, 46, 'सामाजिक सुरक्षा क्रमांक');
INSERT INTO `lang_definitions` VALUES (141700, 6011, 46, 'उपाय');
INSERT INTO `lang_definitions` VALUES (141701, 6012, 46, 'सोमाली');
INSERT INTO `lang_definitions` VALUES (141702, 6013, 46, 'मनाहून भिन्न अशा शरीराविषयी संदर्भ');
INSERT INTO `lang_definitions` VALUES (141703, 6014, 46, 'काही अधिकृत प्रदर्शित केले गेलेले नाहीत. सर्व पाहण्यासाठी येथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (141704, 6015, 46, 'काही कोड प्रदर्शित केले गेलेले नाहीत.');
INSERT INTO `lang_definitions` VALUES (141705, 6016, 46, 'काही चकमकी प्रदर्शित केले गेलेले नाहीत. सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (141706, 6017, 46, 'काही त्रुटी डे ओळख प्रक्रिया दरम्यान आली आहे');
INSERT INTO `lang_definitions` VALUES (141707, 6018, 46, 'काही नोट्स प्रदर्शित केले गेलेले नाहीत.');
INSERT INTO `lang_definitions` VALUES (141708, 6019, 46, 'काही कार्यालय नोट्स प्रदर्शित केले गेलेले नाहीत. सर्व पाहण्यासाठी येथे क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (141709, 6020, 46, 'काही शब्द');
INSERT INTO `lang_definitions` VALUES (141710, 6021, 46, 'कोणीतरी दुसरे फक्त या भेट बदलले आहे. हे पृष्ठ रद्द करा आणि पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (141711, 6023, 46, 'काहीतरी चूक झाली. कृपया पुन्हा प्रयत्न करा.');
INSERT INTO `lang_definitions` VALUES (141712, 6024, 46, 'लवकरच मुळे मध्यांतर (क्लिनिकल स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (141713, 6025, 46, 'लवकरच मुळे मध्यांतर (रुग्णांच्या स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (141714, 6026, 46, 'घसा खवखवणे');
INSERT INTO `lang_definitions` VALUES (141715, 6027, 46, 'क्षमस्व नाही नियुक्ती मुदत आहे');
INSERT INTO `lang_definitions` VALUES (141716, 6028, 46, 'क्षमस्व, आपली फाइल अपलोड करताना समस्या आली');
INSERT INTO `lang_definitions` VALUES (141717, 6029, 46, 'नुसार क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (141718, 6030, 46, 'क्रमवारी लावा करून');
INSERT INTO `lang_definitions` VALUES (141719, 6031, 46, 'चेकसम लावा');
INSERT INTO `lang_definitions` VALUES (141720, 6032, 46, 'टिप्पण्या क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (141721, 6033, 46, 'सीआरटी वापरकर्ता द्वारे क्रमवारीत लावा');
INSERT INTO `lang_definitions` VALUES (141722, 6034, 46, 'तारखेप्रमाणे लावा');
INSERT INTO `lang_definitions` VALUES (141723, 6035, 46, 'तारीख / वेळ लावा');
INSERT INTO `lang_definitions` VALUES (141724, 6036, 46, 'इव्हेंट लावा');
INSERT INTO `lang_definitions` VALUES (141725, 6037, 46, 'गट क्रमवारी लावा');
INSERT INTO `lang_definitions` VALUES (141726, 6038, 46, 'नवीन चेकसम लावा');
INSERT INTO `lang_definitions` VALUES (141727, 6039, 46, 'जुन्या चेकसम लावा');
INSERT INTO `lang_definitions` VALUES (141728, 6040, 46, 'PatientID लावा');
INSERT INTO `lang_definitions` VALUES (141729, 6041, 46, 'यशस्वी लावा');
INSERT INTO `lang_definitions` VALUES (141730, 6042, 46, 'लुडबुड तारीख / वेळ लावा');
INSERT INTO `lang_definitions` VALUES (141731, 6043, 46, 'वापरकर्ता द्वारे क्रमवारीत लावा');
INSERT INTO `lang_definitions` VALUES (141732, 6044, 46, 'लस लावा');
INSERT INTO `lang_definitions` VALUES (141733, 6045, 46, 'क्रमवारी लावा खाली');
INSERT INTO `lang_definitions` VALUES (141734, 6046, 46, 'क्रमवारी लावा परिणाम');
INSERT INTO `lang_definitions` VALUES (141735, 6047, 46, 'क्रमवारी लावा अप');
INSERT INTO `lang_definitions` VALUES (141736, 6048, 46, 'स्रोत');
INSERT INTO `lang_definitions` VALUES (141737, 6049, 46, 'स्त्रोत फाइल');
INSERT INTO `lang_definitions` VALUES (141738, 6050, 46, 'स्त्रोत फाइल पथ');
INSERT INTO `lang_definitions` VALUES (141739, 6051, 46, 'स्त्रोत कोड गहाळ आहे ');
INSERT INTO `lang_definitions` VALUES (141740, 6052, 46, 'स्रोत लोट');
INSERT INTO `lang_definitions` VALUES (141741, 6054, 46, 'स्रोत रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (141742, 6055, 46, 'स्रोत रुग्ण नाही डीओबी आहे');
INSERT INTO `lang_definitions` VALUES (141743, 6056, 46, 'स्रोत रुग्ण आढळले नाही');
INSERT INTO `lang_definitions` VALUES (141744, 6057, 46, 'स्त्रोत:');
INSERT INTO `lang_definitions` VALUES (141745, 6058, 46, 'दक्षिणात्य देबेली');
INSERT INTO `lang_definitions` VALUES (141746, 6059, 46, 'सेसोथो');
INSERT INTO `lang_definitions` VALUES (141747, 6060, 46, 'जागा');
INSERT INTO `lang_definitions` VALUES (141748, 6061, 46, 'स्पेस');
INSERT INTO `lang_definitions` VALUES (141749, 6062, 46, 'स्पॅनिश');
INSERT INTO `lang_definitions` VALUES (141750, 6063, 46, 'स्पॅनिश (लॅटिन अमेरिकन)');
INSERT INTO `lang_definitions` VALUES (141751, 6064, 46, 'स्पॅनिश (स्पेन)');
INSERT INTO `lang_definitions` VALUES (141752, 6065, 46, 'Spanish- कॅस्टेलियन');
INSERT INTO `lang_definitions` VALUES (141753, 6066, 46, 'विशेष वर्ण अनुमत नाहीत');
INSERT INTO `lang_definitions` VALUES (141754, 6067, 46, 'मर्मस्थाने फॉर्म विशेष उपचार');
INSERT INTO `lang_definitions` VALUES (141755, 6068, 46, 'स्पेशॅलिस्ट');
INSERT INTO `lang_definitions` VALUES (141756, 6069, 46, 'स्पेशॅलिस्ट नाव आणि स्वाक्षरी');
INSERT INTO `lang_definitions` VALUES (141757, 6071, 46, 'विशेष');
INSERT INTO `lang_definitions` VALUES (141758, 6072, 46, 'विशेष प्रणाल्या');
INSERT INTO `lang_definitions` VALUES (141759, 6073, 46, 'विशेष:');
INSERT INTO `lang_definitions` VALUES (141760, 6074, 46, 'विशिष्ट');
INSERT INTO `lang_definitions` VALUES (141761, 6075, 46, 'विशिष्ट अर्ज');
INSERT INTO `lang_definitions` VALUES (141762, 6076, 46, 'विशिष्ट नियमनाच्या सेवा');
INSERT INTO `lang_definitions` VALUES (141763, 6077, 46, 'विशिष्ट निकाल');
INSERT INTO `lang_definitions` VALUES (141764, 6078, 46, 'विशिष्ट सेवा');
INSERT INTO `lang_definitions` VALUES (141765, 6079, 46, 'निर्दिष्ट');
INSERT INTO `lang_definitions` VALUES (141766, 6080, 46, 'कोड स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141767, 6081, 46, 'कोड स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141768, 6082, 46, 'अशी यादी तयार करणे संदर्भ क्रमांक स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141769, 6083, 46, 'अशी यादी तयार करणे संदर्भ क्रमांक स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141770, 6084, 46, 'उत्पादन एनडीसी फील्ड स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141771, 6085, 46, 'उत्पादन एनडीसी फील्ड स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141772, 6086, 46, 'बाह्य रुग्ण आयडी स्वरूपण निर्दिष्ट करते. # = अंक * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141773, 6087, 46, 'बाह्य रुग्ण आयडी स्वरूपण निर्दिष्ट करते. # = अंक @ = अल्फा, * = कोणत्याही वर्ण. रिक्त वापरले तर नाही.');
INSERT INTO `lang_definitions` VALUES (141774, 6088, 46, 'नमुना');
INSERT INTO `lang_definitions` VALUES (141775, 6089, 46, 'नमुना संख्या / अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (141776, 6090, 46, 'नमुना प्रकार');
INSERT INTO `lang_definitions` VALUES (141777, 6092, 46, 'भाषण शुद्धलेखन');
INSERT INTO `lang_definitions` VALUES (141778, 6093, 46, 'Spermicides');
INSERT INTO `lang_definitions` VALUES (141779, 6094, 46, 'शस्त्रक्रियेद्वार प्लीहा काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (141780, 6095, 46, 'पती, पत्नी');
INSERT INTO `lang_definitions` VALUES (141781, 6096, 46, 'पती इतिहास');
INSERT INTO `lang_definitions` VALUES (141782, 6097, 46, 'खाकरा');
INSERT INTO `lang_definitions` VALUES (141783, 6098, 46, 'खाकरा:');
INSERT INTO `lang_definitions` VALUES (141784, 6099, 46, 'SQ');
INSERT INTO `lang_definitions` VALUES (141785, 6100, 46, 'एस क्यू एल');
INSERT INTO `lang_definitions` VALUES (141786, 6102, 46, 'संघ');
INSERT INTO `lang_definitions` VALUES (141787, 6103, 46, 'संघ सदस्यत्व');
INSERT INTO `lang_definitions` VALUES (141788, 6104, 46, 'संघ');
INSERT INTO `lang_definitions` VALUES (141789, 6105, 46, 'SRH');
INSERT INTO `lang_definitions` VALUES (141790, 6106, 46, 'SRH - कुटुंब नियोजन');
INSERT INTO `lang_definitions` VALUES (141791, 6107, 46, 'SRH नॉन कुटुंब नियोजन');
INSERT INTO `lang_definitions` VALUES (141792, 6108, 46, 'SRH संदर्भ');
INSERT INTO `lang_definitions` VALUES (141793, 6109, 46, 'SRH भेट द्या फॉर्म');
INSERT INTO `lang_definitions` VALUES (141794, 6110, 46, 'SRV तारीख');
INSERT INTO `lang_definitions` VALUES (141795, 6111, 46, 'एस');
INSERT INTO `lang_definitions` VALUES (141796, 6112, 46, 'SSL प्रमाणपत्र प्रशासन');
INSERT INTO `lang_definitions` VALUES (141797, 6113, 46, 'SSN');
INSERT INTO `lang_definitions` VALUES (141798, 6114, 46, 'स्थिरता');
INSERT INTO `lang_definitions` VALUES (141799, 6115, 46, 'आयोजित रिलीझ');
INSERT INTO `lang_definitions` VALUES (141800, 6116, 46, 'मानक');
INSERT INTO `lang_definitions` VALUES (141801, 6117, 46, 'स्टॅन्डर्ड कोड');
INSERT INTO `lang_definitions` VALUES (141802, 6118, 46, 'मानक उपाय');
INSERT INTO `lang_definitions` VALUES (141803, 6119, 46, 'मानक उपाय (सक्रिय सूचना)');
INSERT INTO `lang_definitions` VALUES (141804, 6120, 46, 'मानक उपाय (निष्क्रीय सूचना)');
INSERT INTO `lang_definitions` VALUES (141805, 6121, 46, 'मानक उपाय (रुग्णांच्या स्मरणपत्रे)');
INSERT INTO `lang_definitions` VALUES (141806, 6122, 46, 'मानक नाव');
INSERT INTO `lang_definitions` VALUES (141807, 6123, 46, 'मानक; सरलीकृत: केवळ शीर्षक, तारीख, टिप्पण्या आणि सक्रीय चेकबॉक्स सुरू; नाही निदान, घटना, शेवटी तारीख, संदर्भित-किंवा खेळ फील्ड. ; फुटबॉल इजा');
INSERT INTO `lang_definitions` VALUES (141808, 6124, 46, 'प्रारंभ');
INSERT INTO `lang_definitions` VALUES (141809, 6125, 46, '(वर्ष-mm-dd या) सुरू करा: ');
INSERT INTO `lang_definitions` VALUES (141810, 6126, 46, 'आणखी अहवाल प्रारंभ');
INSERT INTO `lang_definitions` VALUES (141811, 6128, 46, 'प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (141812, 6129, 46, 'या क्लिनिक येथे प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (141813, 6130, 46, 'प्रारंभ तारीख अंतिम तारखेपूर्वी पेक्षा जास्त असू नये');
INSERT INTO `lang_definitions` VALUES (141814, 6131, 46, 'प्रारंभ तारीख:');
INSERT INTO `lang_definitions` VALUES (141815, 6132, 46, 'प्रारंभ तारीख:');
INSERT INTO `lang_definitions` VALUES (141816, 6133, 46, 'प्रारंभ वेळ');
INSERT INTO `lang_definitions` VALUES (141817, 6134, 46, 'तारीख सुरू करत आहे');
INSERT INTO `lang_definitions` VALUES (141818, 6135, 46, 'stat');
INSERT INTO `lang_definitions` VALUES (141819, 6136, 46, 'राज्य');
INSERT INTO `lang_definitions` VALUES (141820, 6137, 46, 'स्टेट डेटा प्रकार');
INSERT INTO `lang_definitions` VALUES (141821, 6138, 46, 'राज्य एलआयसी. #');
INSERT INTO `lang_definitions` VALUES (141822, 6139, 46, 'राज्य परवाना क्रमांक');
INSERT INTO `lang_definitions` VALUES (141823, 6140, 46, 'राज्य यादी');
INSERT INTO `lang_definitions` VALUES (141824, 6141, 46, 'राज्य यादी (राइट, addonly पर्यायी)');
INSERT INTO `lang_definitions` VALUES (141825, 6142, 46, 'राज्य यादी विजेट सानुकूल फील्ड');
INSERT INTO `lang_definitions` VALUES (141826, 6143, 46, 'राज्य किंवा प्रांत');
INSERT INTO `lang_definitions` VALUES (141827, 6144, 46, 'राज्य / परिसर');
INSERT INTO `lang_definitions` VALUES (141828, 6145, 46, 'राज्य / परगणा');
INSERT INTO `lang_definitions` VALUES (141829, 6146, 46, 'निवेदन सारांश');
INSERT INTO `lang_definitions` VALUES (141830, 6147, 46, 'स्टेटमेन्ट आणि अद्यतनित पावत्या.');
INSERT INTO `lang_definitions` VALUES (141831, 6148, 46, 'स्टेटमेन्ट पाठवलेले:');
INSERT INTO `lang_definitions` VALUES (141832, 6149, 46, 'स्टेटमेन्ट; पावत्या अद्यतनित केला जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (141833, 6150, 46, 'स्टॅटिक मजकूर');
INSERT INTO `lang_definitions` VALUES (141834, 6151, 46, 'सांख्यिकी');
INSERT INTO `lang_definitions` VALUES (141835, 6152, 46, 'आकडेवारी');
INSERT INTO `lang_definitions` VALUES (141836, 6153, 46, 'स्थिती');
INSERT INTO `lang_definitions` VALUES (141837, 6154, 46, 'प्रवेश स्थिती');
INSERT INTO `lang_definitions` VALUES (141838, 6155, 46, 'दावा स्थिती');
INSERT INTO `lang_definitions` VALUES (141839, 6156, 46, 'स्टेटस को\'');
INSERT INTO `lang_definitions` VALUES (141840, 6158, 46, 'एसटीडी / एड्स Couns');
INSERT INTO `lang_definitions` VALUES (141841, 6159, 46, 'Stength आणि वातानुकूलन');
INSERT INTO `lang_definitions` VALUES (141842, 6163, 46, 'अपलोड CCR एक्स एम एल स्टेप्स');
INSERT INTO `lang_definitions` VALUES (141843, 6164, 46, 'डीएसएम चौथा डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (141844, 6165, 46, 'ICD 10 डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (141845, 6166, 46, 'ICD 9 डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (141846, 6167, 46, 'RxNorm डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (141847, 6168, 46, 'Snomed डेटाबेस प्रतिष्ठापीत करण्यासाठी पायऱ्या');
INSERT INTO `lang_definitions` VALUES (141848, 6169, 46, 'ताठ सांधे');
INSERT INTO `lang_definitions` VALUES (141849, 6170, 46, 'कडक होणे');
INSERT INTO `lang_definitions` VALUES (141850, 6171, 46, 'शेअर महिने');
INSERT INTO `lang_definitions` VALUES (141851, 6172, 46, 'पोटात सुधारणांमुळे');
INSERT INTO `lang_definitions` VALUES (141852, 6173, 46, 'थांबवा');
INSERT INTO `lang_definitions` VALUES (141853, 6174, 46, 'संचयित हॅश');
INSERT INTO `lang_definitions` VALUES (141854, 6175, 46, 'स्नायू ताण');
INSERT INTO `lang_definitions` VALUES (141855, 6176, 46, 'प्रवाह');
INSERT INTO `lang_definitions` VALUES (141856, 6177, 46, 'स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (141857, 6178, 46, 'मार्ग पत्ता');
INSERT INTO `lang_definitions` VALUES (141858, 6179, 46, 'स्ट्रीट आणि क्रमांक');
INSERT INTO `lang_definitions` VALUES (141859, 6180, 46, 'शक्ती');
INSERT INTO `lang_definitions` VALUES (141860, 6181, 46, 'शक्ती आणि वातानुकूलन');
INSERT INTO `lang_definitions` VALUES (141861, 6182, 46, 'गळ्याचा आजार');
INSERT INTO `lang_definitions` VALUES (141862, 6183, 46, 'ताण फ्रॅक्चर');
INSERT INTO `lang_definitions` VALUES (141863, 6184, 46, 'ताण चाचणी');
INSERT INTO `lang_definitions` VALUES (141864, 6185, 46, 'स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (141865, 6186, 46, 'अनेक, एक छोटे आकार पत्र, एक लोअरकेस पत्र, विशेष अक्षर: तीव्र पासवर्ड कमीत कमी 8 वर्ण, आणि किमान तीन अर्थ.');
INSERT INTO `lang_definitions` VALUES (141866, 6187, 46, 'शैली');
INSERT INTO `lang_definitions` VALUES (141867, 6188, 46, 'फॉर्म शैली नवीन रुग्ण समाविष्ट करण्यासाठी वापरले');
INSERT INTO `lang_definitions` VALUES (141868, 6189, 46, 'उप-श्रेणी');
INSERT INTO `lang_definitions` VALUES (141869, 6190, 46, 'उप-एकूण');
INSERT INTO `lang_definitions` VALUES (141870, 6191, 46, 'उपवर्ग');
INSERT INTO `lang_definitions` VALUES (141871, 6192, 46, 'उपवर्ग');
INSERT INTO `lang_definitions` VALUES (141872, 6193, 46, 'subcutaneously');
INSERT INTO `lang_definitions` VALUES (141873, 6194, 46, 'विषय');
INSERT INTO `lang_definitions` VALUES (141874, 6195, 46, 'काल्पनिक');
INSERT INTO `lang_definitions` VALUES (141875, 6196, 46, 'जिभेच्या खाली');
INSERT INTO `lang_definitions` VALUES (141876, 6197, 46, 'जिभेच्या खाली');
INSERT INTO `lang_definitions` VALUES (141877, 6198, 46, 'सबमिट');
INSERT INTO `lang_definitions` VALUES (141878, 6199, 46, 'सादर');
INSERT INTO `lang_definitions` VALUES (141879, 6200, 46, 'सर्व सामग्री सबमिट');
INSERT INTO `lang_definitions` VALUES (141880, 6201, 46, 'सबमिट करा आणि विनंती हटवा');
INSERT INTO `lang_definitions` VALUES (141881, 6202, 46, 'इव्हेंट सबमिट');
INSERT INTO `lang_definitions` VALUES (141882, 6203, 46, 'फॉर्म सादर करतेवेळी');
INSERT INTO `lang_definitions` VALUES (141883, 6204, 46, 'निवडलेले सामग्री सबमिट');
INSERT INTO `lang_definitions` VALUES (141884, 6205, 46, 'सादर');
INSERT INTO `lang_definitions` VALUES (141885, 6206, 46, 'सादर केलेल्या');
INSERT INTO `lang_definitions` VALUES (141886, 6207, 46, 'सबमिट EDI एक्सेस नंबर (PER06)');
INSERT INTO `lang_definitions` VALUES (141887, 6208, 46, 'ग्राहक');
INSERT INTO `lang_definitions` VALUES (141888, 6209, 46, 'ग्राहक पत्ता');
INSERT INTO `lang_definitions` VALUES (141889, 6210, 46, 'ग्राहक शहर');
INSERT INTO `lang_definitions` VALUES (141890, 6211, 46, 'ग्राहक देश');
INSERT INTO `lang_definitions` VALUES (141891, 6212, 46, 'जन्म ग्राहक दिनांक');
INSERT INTO `lang_definitions` VALUES (141892, 6213, 46, 'ग्राहक नियोक्ता');
INSERT INTO `lang_definitions` VALUES (141893, 6214, 46, 'ग्राहक नियोक्ता (SE) मध्ये');
INSERT INTO `lang_definitions` VALUES (141894, 6215, 46, 'ग्राहक नियोक्ता पत्ता');
INSERT INTO `lang_definitions` VALUES (141895, 6216, 46, 'ग्राहक नियोक्ता शहर');
INSERT INTO `lang_definitions` VALUES (141896, 6217, 46, 'ग्राहक नियोक्ता देश');
INSERT INTO `lang_definitions` VALUES (141897, 6218, 46, 'ग्राहक नियोक्ता राज्य');
INSERT INTO `lang_definitions` VALUES (141898, 6219, 46, 'ग्राहक नियोक्ता स्ट्रीट');
INSERT INTO `lang_definitions` VALUES (141899, 6220, 46, 'ग्राहक नियोक्ता पिन');
INSERT INTO `lang_definitions` VALUES (141900, 6221, 46, 'ग्राहक नियोक्ता पिन कोड');
INSERT INTO `lang_definitions` VALUES (141901, 6222, 46, 'ग्राहक नाव');
INSERT INTO `lang_definitions` VALUES (141902, 6223, 46, 'ग्राहक गेल्या नाव');
INSERT INTO `lang_definitions` VALUES (141903, 6224, 46, 'ग्राहक मध्य नाव');
INSERT INTO `lang_definitions` VALUES (141904, 6225, 46, 'ग्राहक फोन');
INSERT INTO `lang_definitions` VALUES (141905, 6226, 46, 'ग्राहक संबंध');
INSERT INTO `lang_definitions` VALUES (141906, 6227, 46, 'ग्राहक संबंध स्वत: ची नाही आहे पण नाव एकच आहे! हे खरोखर ठीक आहे का?');
INSERT INTO `lang_definitions` VALUES (141907, 6228, 46, 'ग्राहक संबंध स्वत: ची नाही पण एस संख्या समान आहे!');
INSERT INTO `lang_definitions` VALUES (141908, 6229, 46, 'ग्राहक संबंध स्वत: ची पण नाव भिन्न आहे! हे खरोखर ठीक आहे का?');
INSERT INTO `lang_definitions` VALUES (141909, 6230, 46, 'ग्राहक संबंध स्वत: ची आहे पण एस संख्या भिन्न आहे!');
INSERT INTO `lang_definitions` VALUES (141910, 6231, 46, 'ग्राहक लिंग');
INSERT INTO `lang_definitions` VALUES (141911, 6232, 46, 'ग्राहक एस');
INSERT INTO `lang_definitions` VALUES (141912, 6233, 46, 'ग्राहक राज्य');
INSERT INTO `lang_definitions` VALUES (141913, 6234, 46, 'ग्राहक पिन');
INSERT INTO `lang_definitions` VALUES (141914, 6235, 46, 'Subscribter फोन');
INSERT INTO `lang_definitions` VALUES (141915, 6237, 46, 'पर्याय');
INSERT INTO `lang_definitions` VALUES (141916, 6238, 46, 'पर्याय परवानगी');
INSERT INTO `lang_definitions` VALUES (141917, 6240, 46, 'यशस्वी');
INSERT INTO `lang_definitions` VALUES (141918, 6241, 46, 'यश');
INSERT INTO `lang_definitions` VALUES (141919, 6242, 46, 'लॅब निकाल यशस्वी खात्री पावती');
INSERT INTO `lang_definitions` VALUES (141920, 6243, 46, 'यश मिळवणे लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (141921, 6244, 46, 'लॅब एक्सचेंज नेटवर्कपासून यशस्वी प्राप्त करणे परिणाम');
INSERT INTO `lang_definitions` VALUES (141922, 6246, 46, 'यशस्वीरित्या जोडले श्रेणी');
INSERT INTO `lang_definitions` VALUES (141923, 6247, 46, 'यशस्वीरित्या श्रेणी जोडले');
INSERT INTO `lang_definitions` VALUES (141924, 6248, 46, 'यशस्वीपणे हटविले');
INSERT INTO `lang_definitions` VALUES (141925, 6249, 46, 'यशस्वीरित्या तपशील आयात केला. प्रलंबित मंजूरी स्क्रीन रुग्ण मंजूर करा');
INSERT INTO `lang_definitions` VALUES (141926, 6250, 46, 'यशस्वीरित्या डेटाबेस स्थापित.');
INSERT INTO `lang_definitions` VALUES (141927, 6251, 46, 'यशस्वीरित्या खालील डेटाबेस स्थापित');
INSERT INTO `lang_definitions` VALUES (141928, 6252, 46, 'यशस्वीरित्या सुधारित');
INSERT INTO `lang_definitions` VALUES (141929, 6253, 46, 'यशस्वीपणे वाटप करू Saved.Would?');
INSERT INTO `lang_definitions` VALUES (141930, 6254, 46, 'यशस्वीपणे वितरित करा, करू Saved.Would?');
INSERT INTO `lang_definitions` VALUES (141931, 6256, 46, 'यशस्वीरित्या संग्रहीत झाले.');
INSERT INTO `lang_definitions` VALUES (141932, 6257, 46, 'यशस्वीरित्या डेटाबेस सुधारीत.');
INSERT INTO `lang_definitions` VALUES (141933, 6258, 46, 'यशस्वीरित्या खालील डेटाबेस सुधारीत');
INSERT INTO `lang_definitions` VALUES (141934, 6259, 46, 'यशस्वीरित्या.');
INSERT INTO `lang_definitions` VALUES (141935, 6260, 46, 'आत्महत्या');
INSERT INTO `lang_definitions` VALUES (141936, 6261, 46, 'सारांश');
INSERT INTO `lang_definitions` VALUES (141937, 6262, 46, 'सारांश');
INSERT INTO `lang_definitions` VALUES (141938, 6265, 46, 'सन');
INSERT INTO `lang_definitions` VALUES (141939, 6266, 46, 'सुंदानीज');
INSERT INTO `lang_definitions` VALUES (141940, 6267, 46, 'रविवारी');
INSERT INTO `lang_definitions` VALUES (141941, 6268, 46, 'Superbill');
INSERT INTO `lang_definitions` VALUES (141942, 6269, 46, 'Superbill कोड');
INSERT INTO `lang_definitions` VALUES (141943, 6270, 46, 'Superbill कोड प्रशासन');
INSERT INTO `lang_definitions` VALUES (141944, 6271, 46, 'Superbill अहवाल');
INSERT INTO `lang_definitions` VALUES (141945, 6272, 46, 'Superbill / फी पत्रक');
INSERT INTO `lang_definitions` VALUES (141946, 6273, 46, 'Superbills');
INSERT INTO `lang_definitions` VALUES (141947, 6274, 46, 'कधी कधी आढळतात फॉर्म किंवा मार्गाचे डाव सावरला म्हणून संदर्भित Superbills, सर्वात वैद्यकीय पद्धती एक अत्यावश्यक भाग आहेत.');
INSERT INTO `lang_definitions` VALUES (141948, 6275, 46, 'Superuser');
INSERT INTO `lang_definitions` VALUES (141949, 6276, 46, 'देखरेख');
INSERT INTO `lang_definitions` VALUES (141950, 6278, 46, 'डॉक्टर DEA देखरेख');
INSERT INTO `lang_definitions` VALUES (141951, 6279, 46, 'देखरेख डॉक्टर नाव');
INSERT INTO `lang_definitions` VALUES (141952, 6280, 46, 'देखरेख डॉक्टर आडनाव');
INSERT INTO `lang_definitions` VALUES (141953, 6281, 46, 'डॉक्टर NPI देखरेख');
INSERT INTO `lang_definitions` VALUES (141954, 6282, 46, 'डॉक्टर UPIN देखरेख');
INSERT INTO `lang_definitions` VALUES (141955, 6283, 46, 'पुरवठादार सुविधा नाव');
INSERT INTO `lang_definitions` VALUES (141956, 6284, 46, 'अनेक प्रदाते लागू समर्थन कॅलेंडर कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (141957, 6285, 46, 'बॅकअप पृष्ठाद्वारे संरचना डाटाचे समर्थन आयात / निर्यात.');
INSERT INTO `lang_definitions` VALUES (141958, 6286, 46, 'समर्थन मल्टी प्रदाता आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (141959, 6288, 46, 'TripleDES एनक्रिप्शन / डिक्रिप्शन फक्त समर्थन पुरवतो.');
INSERT INTO `lang_definitions` VALUES (141960, 6289, 46, 'पृष्ठभाग प्रकार');
INSERT INTO `lang_definitions` VALUES (141961, 6290, 46, 'शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (141962, 6291, 46, 'शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (141963, 6292, 46, 'शस्त्रक्रिया समस्या सूची');
INSERT INTO `lang_definitions` VALUES (141964, 6293, 46, 'निलंबित');
INSERT INTO `lang_definitions` VALUES (141965, 6294, 46, 'निलंबन');
INSERT INTO `lang_definitions` VALUES (141966, 6295, 46, 'SVC तारीख');
INSERT INTO `lang_definitions` VALUES (141967, 6296, 46, 'SVC दिनांक:');
INSERT INTO `lang_definitions` VALUES (141968, 6297, 46, 'स्वाहिली');
INSERT INTO `lang_definitions` VALUES (141969, 6298, 46, 'स्वाती');
INSERT INTO `lang_definitions` VALUES (141970, 6299, 46, 'घाम येणे:');
INSERT INTO `lang_definitions` VALUES (141971, 6300, 46, 'स्वीडिश');
INSERT INTO `lang_definitions` VALUES (141972, 6301, 46, 'सूज');
INSERT INTO `lang_definitions` VALUES (141973, 6302, 46, 'उजव्या सूज');
INSERT INTO `lang_definitions` VALUES (141974, 6303, 46, 'सुजलेल्या सांधे');
INSERT INTO `lang_definitions` VALUES (141975, 6304, 46, 'सुजलेल्या लसीका नोडस्');
INSERT INTO `lang_definitions` VALUES (141976, 6305, 46, 'चलन दशांश चिन्ह म्हणून वापरले प्रतीक. दशांश स्थाने 0 आहे वापरले नाही.');
INSERT INTO `lang_definitions` VALUES (141977, 6306, 46, 'प्रतीक चलन हजारो विलग करण्यासाठी केला.');
INSERT INTO `lang_definitions` VALUES (141978, 6307, 46, 'लक्षणे');
INSERT INTO `lang_definitions` VALUES (141979, 6308, 46, 'समक्रमित करा');
INSERT INTO `lang_definitions` VALUES (141980, 6309, 46, 'सानुकूल भाषा टेबल अनुवाद समक्रमित करा.');
INSERT INTO `lang_definitions` VALUES (141981, 6310, 46, 'नवीन सानुकूल सतत समक्रमित:');
INSERT INTO `lang_definitions` VALUES (141982, 6311, 46, 'नवीन सानुकूल भाषा समक्रमित:');
INSERT INTO `lang_definitions` VALUES (141983, 6312, 46, 'नवीन व्याख्या समक्रमित (भाषा, सतत, व्याख्या):');
INSERT INTO `lang_definitions` VALUES (141984, 6313, 46, 'बेशुद्धावस्था');
INSERT INTO `lang_definitions` VALUES (141985, 6314, 46, 'सिंड्रोमिक पाळत ठेवणे');
INSERT INTO `lang_definitions` VALUES (141986, 6315, 46, 'सिंड्रोमिक पाळत ठेवणे - नॉन तक्रार केलेल्या समस्या');
INSERT INTO `lang_definitions` VALUES (141987, 6316, 46, 'सिंड्रोमिक पाळत ठेवणे अहवाल');
INSERT INTO `lang_definitions` VALUES (141988, 6317, 46, 'सीरमी पटलाचा दाह यामध्ये बहुधा सांध्यात द्रव जमतो, संधिदाह व दीर्घकाळ दाह झाल्याने ऍकिलोसिस होतो, अतिक्रमण, बर्साचा दाह');
INSERT INTO `lang_definitions` VALUES (141989, 6318, 46, 'प्रणाली');
INSERT INTO `lang_definitions` VALUES (141990, 6322, 46, 'टी');
INSERT INTO `lang_definitions` VALUES (141991, 6323, 46, 't.i.d.');
INSERT INTO `lang_definitions` VALUES (141992, 6324, 46, 'T.V.');
INSERT INTO `lang_definitions` VALUES (141993, 6325, 46, 'टेबल');
INSERT INTO `lang_definitions` VALUES (141994, 6327, 46, 'टेबल निर्माण होऊ शकली नाही');
INSERT INTO `lang_definitions` VALUES (141995, 6328, 46, 'टेबल अद्यतन अयशस्वी');
INSERT INTO `lang_definitions` VALUES (141996, 6329, 46, 'सपाट दगडी पाट्या');
INSERT INTO `lang_definitions` VALUES (141997, 6330, 46, 'टॅबलेट');
INSERT INTO `lang_definitions` VALUES (141998, 6331, 46, 'चकमकीत टॅग');
INSERT INTO `lang_definitions` VALUES (141999, 6332, 46, 'टागालॉग');
INSERT INTO `lang_definitions` VALUES (142000, 6333, 46, 'ताहितीयन');
INSERT INTO `lang_definitions` VALUES (142001, 6334, 46, 'ताजिक');
INSERT INTO `lang_definitions` VALUES (142002, 6335, 46, 'घ्या');
INSERT INTO `lang_definitions` VALUES (142003, 6336, 46, 'ड्रॉप डाऊन पासून, विमा घ्या');
INSERT INTO `lang_definitions` VALUES (142004, 6337, 46, 'ड्रॉप डाऊन पासून, त्यांच्या लायकीप्रमाणे');
INSERT INTO `lang_definitions` VALUES (142005, 6338, 46, 'परत घेणे');
INSERT INTO `lang_definitions` VALUES (142006, 6339, 46, 'वेळ लागतो');
INSERT INTO `lang_definitions` VALUES (142007, 6340, 46, 'उंच नेव्हिगेशन क्षेत्र');
INSERT INTO `lang_definitions` VALUES (142008, 6341, 46, 'तामिळ');
INSERT INTO `lang_definitions` VALUES (142009, 6342, 46, 'लुडबुड तारीख');
INSERT INTO `lang_definitions` VALUES (142010, 6343, 46, 'बदल चेकसम');
INSERT INTO `lang_definitions` VALUES (142011, 6344, 46, 'लक्ष्य आणि स्रोत डीओबी जुळत नाही');
INSERT INTO `lang_definitions` VALUES (142012, 6345, 46, 'लक्ष्य आणि स्रोत PID समान असू शकत नाहीत!');
INSERT INTO `lang_definitions` VALUES (142013, 6346, 46, 'लक्ष्य आणि स्रोत SSN जुळत नाही');
INSERT INTO `lang_definitions` VALUES (142014, 6347, 46, 'लक्ष्य तारीख');
INSERT INTO `lang_definitions` VALUES (142015, 6348, 46, 'लक्ष्य रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (142016, 6349, 46, 'लक्ष्य रुग्ण नाही डीओबी आहे');
INSERT INTO `lang_definitions` VALUES (142017, 6350, 46, 'लक्ष्य रुग्ण आढळले नाही');
INSERT INTO `lang_definitions` VALUES (142018, 6351, 46, 'लक्ष्य / हिंसक गट');
INSERT INTO `lang_definitions` VALUES (142019, 6352, 46, 'तातार');
INSERT INTO `lang_definitions` VALUES (142020, 6354, 46, 'कर आयडी');
INSERT INTO `lang_definitions` VALUES (142021, 6355, 46, 'कर दर');
INSERT INTO `lang_definitions` VALUES (142022, 6356, 46, 'कर');
INSERT INTO `lang_definitions` VALUES (142023, 6357, 46, 'वर्गीकरणाची तत्वे');
INSERT INTO `lang_definitions` VALUES (142024, 6358, 46, 'टीडी');
INSERT INTO `lang_definitions` VALUES (142025, 6359, 46, 'टीम इजा विहंगावलोकन');
INSERT INTO `lang_definitions` VALUES (142026, 6360, 46, 'टीम रोस्टर');
INSERT INTO `lang_definitions` VALUES (142027, 6361, 46, 'टीम रोस्टर पहा');
INSERT INTO `lang_definitions` VALUES (142028, 6362, 46, 'टीम / पथक');
INSERT INTO `lang_definitions` VALUES (142029, 6363, 46, 'तेल');
INSERT INTO `lang_definitions` VALUES (142030, 6364, 46, 'टेलिफोन देश कोड');
INSERT INTO `lang_definitions` VALUES (142031, 6365, 46, 'तेलगू');
INSERT INTO `lang_definitions` VALUES (142032, 6366, 46, 'ताप');
INSERT INTO `lang_definitions` VALUES (142033, 6367, 46, 'ताप स्थान');
INSERT INTO `lang_definitions` VALUES (142034, 6368, 46, 'ताप पद्धत');
INSERT INTO `lang_definitions` VALUES (142035, 6369, 46, 'तापमान');
INSERT INTO `lang_definitions` VALUES (142036, 6370, 46, 'साचा');
INSERT INTO `lang_definitions` VALUES (142037, 6371, 46, 'साचा नाव');
INSERT INTO `lang_definitions` VALUES (142038, 6372, 46, 'साचा नाव नंबर सुरू करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142039, 6373, 46, 'साचा:');
INSERT INTO `lang_definitions` VALUES (142040, 6374, 46, 'टेम्पलेट');
INSERT INTO `lang_definitions` VALUES (142041, 6375, 46, 'ऐहिक आर्टरी');
INSERT INTO `lang_definitions` VALUES (142042, 6376, 46, 'कक्लेनिअस इजा');
INSERT INTO `lang_definitions` VALUES (142043, 6377, 46, 'Tendonitis / osis / बर्साचा दाह');
INSERT INTO `lang_definitions` VALUES (142044, 6378, 46, 'घुटमळणारा चलन संदर्भ नाही');
INSERT INTO `lang_definitions` VALUES (142045, 6379, 46, 'दर्जा');
INSERT INTO `lang_definitions` VALUES (142046, 6380, 46, 'तृतीय विमा');
INSERT INTO `lang_definitions` VALUES (142047, 6381, 46, 'तृतीय विमा डेटा');
INSERT INTO `lang_definitions` VALUES (142048, 6382, 46, 'तृतीय विमा प्रदाता');
INSERT INTO `lang_definitions` VALUES (142049, 6383, 46, 'कसोटी शेड्युलिंग');
INSERT INTO `lang_definitions` VALUES (142050, 6384, 46, 'कसोटी प्रणाली');
INSERT INTO `lang_definitions` VALUES (142051, 6385, 46, 'मजकूर');
INSERT INTO `lang_definitions` VALUES (142052, 6386, 46, 'मजकूर निदान');
INSERT INTO `lang_definitions` VALUES (142053, 6387, 46, 'मजकूर क्षेत्रात');
INSERT INTO `lang_definitions` VALUES (142054, 6393, 46, 'मजकूर-तारीख');
INSERT INTO `lang_definitions` VALUES (142055, 6394, 46, 'मजकूर-तारीख');
INSERT INTO `lang_definitions` VALUES (142056, 6395, 46, 'Textarea');
INSERT INTO `lang_definitions` VALUES (142057, 6396, 46, 'textarea');
INSERT INTO `lang_definitions` VALUES (142058, 6397, 46, 'मजकूरबॉक्स');
INSERT INTO `lang_definitions` VALUES (142059, 6398, 46, 'मजकूर बॉक्स');
INSERT INTO `lang_definitions` VALUES (142060, 6399, 46, 'मजकूरबॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (142061, 6400, 46, 'बॉक्स यादी');
INSERT INTO `lang_definitions` VALUES (142062, 6401, 46, 'थाई');
INSERT INTO `lang_definitions` VALUES (142063, 6402, 46, 'धन्यवाद');
INSERT INTO `lang_definitions` VALUES (142064, 6403, 46, 'निवड केल्याबद्दल धन्यवाद');
INSERT INTO `lang_definitions` VALUES (142065, 6404, 46, 'साफ करा\' बटणावर क्लिक करा सर्व भाष्य काढेल.');
INSERT INTO `lang_definitions` VALUES (142066, 6405, 46, 'उपरोक्त विधान अयशस्वी');
INSERT INTO `lang_definitions` VALUES (142067, 6406, 46, 'अपॅची SSL सर्व्हर प्रमाणपत्र आणि सार्वजनिक की');
INSERT INTO `lang_definitions` VALUES (142068, 6407, 46, 'प्रमाणपत्र');
INSERT INTO `lang_definitions` VALUES (142069, 6408, 46, 'हक्क फाइल: ');
INSERT INTO `lang_definitions` VALUES (142070, 6409, 46, 'सुसंगत आयोजित अमेरिकन विस्तार SNOMED संकुल आधिपासूनच प्रतिष्ठापीत केले गेले आहे.');
INSERT INTO `lang_definitions` VALUES (142071, 6410, 46, 'संबंधित खाजगी की');
INSERT INTO `lang_definitions` VALUES (142072, 6411, 46, 'माहिती एकाग्रता चाचणी हा फॉर्म अयशस्वी झाले');
INSERT INTO `lang_definitions` VALUES (142073, 6413, 46, 'नकार कोड आहे');
INSERT INTO `lang_definitions` VALUES (142074, 6414, 46, 'नकार गट कोड आहे');
INSERT INTO `lang_definitions` VALUES (142075, 6415, 46, 'गंतव्य फॉर्म बंद करण्यात आले');
INSERT INTO `lang_definitions` VALUES (142076, 6416, 46, 'गंतव्य फॉर्म बंद होते; मी तुमची निवड वर कार्य करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142077, 6417, 46, 'ही प्रक्रिया करत अस्तित्व');
INSERT INTO `lang_definitions` VALUES (142078, 6418, 46, 'काळजी काळजी किंवा प्रदाता दुसर्या सेटिंग एक रुग्ण प्राप्त किंवा चकमकीत औषध समेट सुरू संबंधित आहे विश्वास ठेवतो मालिका, पात्र हॉस्पिटल किंवा CAH.');
INSERT INTO `lang_definitions` VALUES (142079, 6421, 46, 'काळजी काळजी किंवा प्रदाता दुसर्या सेटिंग त्यांच्या रुग्ण संक्रमणे किंवा काळजी किंवा संदर्भ प्रत्येक संक्रमण काळजी रेकॉर्ड सारांश देणे आवश्यक आहे काळजी दुसर्या प्रदाता त्यांच्या रुग्णाला जर संदर्भ कोण मालिका, पात्र हॉस्पिटल किंवा CAH.');
INSERT INTO `lang_definitions` VALUES (142080, 6422, 46, 'कार्यक्रम (चे) मंजूर झालेली आहेत.');
INSERT INTO `lang_definitions` VALUES (142081, 6423, 46, 'कार्यक्रम (चे) लपवली गेली आहे.');
INSERT INTO `lang_definitions` VALUES (142082, 6424, 46, 'निर्यात डेटा खालील मजकूर क्षेत्रात दिसून येत आहे. आपण कॉपी आणि एक ई-मेल किंवा इतर कोणत्याही इच्छित गंतव्य पेस्ट करू शकता.');
INSERT INTO `lang_definitions` VALUES (142083, 6426, 46, 'निर्यात डेटा खालील मजकूर क्षेत्रात दिसून येत आहे. आपण कॉपी आणि एक ई-मेल किंवा इतर कोणत्याही इच्छित गंतव्य पेस्ट करू शकता.');
INSERT INTO `lang_definitions` VALUES (142084, 6427, 46, 'निर्यात डेटा खालील मजकूर क्षेत्रात दिसून येत आहे. आपण कॉपी आणि एक ई-मेल किंवा इतर कोणत्याही इच्छित गंतव्य पेस्ट करू शकता. {{पुढील भाषांतर तयार दरम्यान हटवणे मार्क}}');
INSERT INTO `lang_definitions` VALUES (142085, 6428, 46, 'फाइल CouchDB जतन केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142086, 6429, 46, 'फाइल यशस्वी ही त्रुटी सहसा स्टोरेज प्रणाली वरील परवानग्या समस्या संबंधित आहे, असे नामकरण करण्यात जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142087, 6430, 46, 'फाइल यशस्वी संग्रहित केले जाऊ शकत नाही, ही त्रुटी सहसा स्टोरेज प्रणाली वरील परवानग्या समस्या संबंधित आहे');
INSERT INTO `lang_definitions` VALUES (142088, 6431, 46, 'पहिल्या (\"लक्ष्य\") चार्ट सर्वाधिक संपूर्ण आणि अचूक मानले जाते की एक आहे. लोकसंख्याशास्त्र, हे एक इतिहास आणि विमा विभाग राहतील.');
INSERT INTO `lang_definitions` VALUES (142089, 6433, 46, 'पहिले पाऊल युनिफाइड वैद्यकीय भाषा प्रणाली वेब साइट खाते उघडण्यासाठी आहे');
INSERT INTO `lang_definitions` VALUES (142090, 6434, 46, 'खालील कॅलेंडर कार्यक्रम जोडले गेले आहे:');
INSERT INTO `lang_definitions` VALUES (142091, 6435, 46, 'खालील कॅलेंडर कार्यक्रम modifed केले आहे:');
INSERT INTO `lang_definitions` VALUES (142092, 6436, 46, 'खालील आपल्या वर्गात यादी काढला जाईल');
INSERT INTO `lang_definitions` VALUES (142093, 6437, 46, 'खालील डेटाबेस प्रकाशन सध्या स्थापित केले आहे');
INSERT INTO `lang_definitions` VALUES (142094, 6438, 46, 'खालील कागदपत्रे या थेट संदेशात संलग्न होते:');
INSERT INTO `lang_definitions` VALUES (142095, 6439, 46, 'खालील EDI फाईल अपलोड झाली आहे');
INSERT INTO `lang_definitions` VALUES (142096, 6440, 46, 'खालील आणीबाणी लॉगिन वापरकर्ता सक्रिय आहे:');
INSERT INTO `lang_definitions` VALUES (142097, 6441, 46, 'खालील त्रुटी आली');
INSERT INTO `lang_definitions` VALUES (142098, 6442, 46, 'खालील क्षेत्र अवैध मूल्य आहे');
INSERT INTO `lang_definitions` VALUES (142099, 6444, 46, 'खालील फील्ड आवश्यक आहेत');
INSERT INTO `lang_definitions` VALUES (142100, 6446, 46, 'खालील फील्ड विनंती पाठविण्यासाठी भरले पाहिजेत.');
INSERT INTO `lang_definitions` VALUES (142101, 6447, 46, 'खालील आंतरराष्ट्रीय Snomed प्रकाशन भाषा समर्थित आहेत');
INSERT INTO `lang_definitions` VALUES (142102, 6448, 46, 'खालील समस्या त्याच निदान कोड आहे. चकमकीत समस्या अद्यतनित केला जाणार नाही. त्याऐवजी चकमकीत संवादचा वापर करा.');
INSERT INTO `lang_definitions` VALUES (142103, 6449, 46, 'ATNA ऑडिट रेपॉजिटरी मशीन यजमाननाव.');
INSERT INTO `lang_definitions` VALUES (142104, 6450, 46, 'प्रारंभिक विंडो अशी यादी तयार करणे शोध पृष्ठ आहे. शीर्षस्थानी आपण एक स्रोत (उदा तपासणी संख्या) मध्ये प्रवेश करू शकते, तारीख द्या आणि रक्कम तपासा. \'टी प्रत्येक दावा पुन्हा प्रती आणि त्यांना प्रविष्ट करणे आवश्यक आहे  आपण डॉन जेणेकरून स्रोत आणि वेतन तारीख कारण आहे. आपण प्रविष्ट की रक्कम आपण पूर्ण करता तेव्हा शून्य येथे समाप्त होईल, अशी आशा पैसे भाग दिले आहे आणि आहे की प्रत्येक अशी यादी तयार करणे साठी कमी करता येईल.');
INSERT INTO `lang_definitions` VALUES (142105, 6451, 46, 'स्थापना निर्देशिका तयार करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142106, 6452, 46, 'स्थापित आंतरराष्ट्रीय SNOMED आवृत्ती आयोजित अमेरिकन विस्तार SNOMED पॅकेज सुसंगत नाही.');
INSERT INTO `lang_definitions` VALUES (142107, 6453, 46, 'स्थापित आंतरराष्ट्रीय SNOMED आवृत्ती कालबाह्य आहे आणि आयोजित अमेरिकन विस्तार SNOMED फाइल सुसंगत नाही.');
INSERT INTO `lang_definitions` VALUES (142108, 6454, 46, 'प्रतिष्ठापीत आवृत्ती आणि आयोजित फाईल्स समान आहेत.');
INSERT INTO `lang_definitions` VALUES (142109, 6455, 46, 'प्रतिष्ठापीत आवृत्ती आयोजित फाइल अधिक अलीकडील आवृत्ती आहे.');
INSERT INTO `lang_definitions` VALUES (142110, 6456, 46, 'फॉर्म वापरकर्ता दिसते की लेबल');
INSERT INTO `lang_definitions` VALUES (142111, 6457, 46, 'लांबी वर्ण खालील संख्या जास्त नसावी');
INSERT INTO `lang_definitions` VALUES (142112, 6458, 46, 'दोन चार्ट साठी SSN आणि डीओबी एकसारखे आहेत तोपर्यंत विलीन करणार नाही. DOBs रिक्त असू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142113, 6459, 46, 'संदेश यावेळी पाठवले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142114, 6460, 46, 'नवीन श्रेणी एक उप-श्रेणी असेल ');
INSERT INTO `lang_definitions` VALUES (142115, 6461, 46, 'नवीन पासवर्ड वर्तमान संकेतशब्द समान असू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142116, 6462, 46, 'नवीन पासवर्ड फील्ड समान नाहीत.');
INSERT INTO `lang_definitions` VALUES (142117, 6463, 46, 'आयोजित फाइल्स नंबर चूक आहे. केवळ आपण श्रेणीसुधारित / प्रतिष्ठापीत करण्यासाठी इच्छा आहे की फाइल ठेवा.');
INSERT INTO `lang_definitions` VALUES (142118, 6464, 46, 'आयोजित फाइल्स नंबर चूक आहे. केवळ आपण श्रेणीसुधारित / प्रतिष्ठापीत करण्यासाठी इच्छा आहे की फाइल ठेवा.');
INSERT INTO `lang_definitions` VALUES (142119, 6465, 46, 'पान लोकसंख्याशास्त्र पुनर्निर्देशित केले जाईल. आपण पुन्हा NewCrop देशातील क्षेत्र आणि रेट क्लिक संपादित करू शकता.');
INSERT INTO `lang_definitions` VALUES (142120, 6466, 46, 'पासवर्ड कमीत कमी आठ वर्ण, आणि पाहिजे करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (142121, 6467, 46, 'आपण प्रविष्ट केलेला संकेतशब्द अवैध आहे');
INSERT INTO `lang_definitions` VALUES (142122, 6468, 46, 'रुग्ण रेकॉर्ड विनंती नोंद करण्यात आली आहे.');
INSERT INTO `lang_definitions` VALUES (142123, 6469, 46, 'रुग्ण स्मरणपत्रे पाठवली गेली आहेत');
INSERT INTO `lang_definitions` VALUES (142124, 6470, 46, 'रुग्ण स्मरणपत्रे अद्यतनित केले गेले आहेत');
INSERT INTO `lang_definitions` VALUES (142125, 6471, 46, 'रुग्ण हा फॉर्म सबमिट करताना लॉग इन झाले नाही');
INSERT INTO `lang_definitions` VALUES (142126, 6472, 46, 'या date.This खाली जाऊ शकत नाही पोस्ट पैसे खात्री मागील तारखा अंतिम अहवाल कोणीही पोस्ट घेतल्यानंतर.');
INSERT INTO `lang_definitions` VALUES (142127, 6473, 46, 'पोर्टल या रुग्ण आणि फॉर्म डेटा आहे. आता तो लोड?');
INSERT INTO `lang_definitions` VALUES (142128, 6474, 46, 'कच्चा डेटा फीड प्रकाशन पासून मिळू शकते');
INSERT INTO `lang_definitions` VALUES (142129, 6475, 46, 'उर्वरित माहिती खाली आपण स्वतः पोस्ट आहेत, किंवा आपण स्वहस्ते दुरुस्त्या करत आहात लागू होतो फक्त जर.');
INSERT INTO `lang_definitions` VALUES (142130, 6476, 46, 'विनंती केलेला दस्तऐवज फाइलप्रणालीवरील अपेक्षित स्थान उपस्थित नाही किंवा त्यात प्रवेश करण्यासाठी पुरेसे परवानगी नाहीत');
INSERT INTO `lang_definitions` VALUES (142131, 6477, 46, 'विनंती केलेला दस्तऐवज फाइलप्रणालीवरील अपेक्षित स्थान उपस्थित नाही किंवा त्यात प्रवेश करण्यासाठी पुरेसे परवानगी नाहीत.');
INSERT INTO `lang_definitions` VALUES (142132, 6479, 46, 'दुसरा (\"स्रोत\") चार्ट त्याच्या लोकसंख्याशास्त्र, इतिहास आणि विमा विभाग टाकून आहे. त्याची इतर डेटा लक्ष्य चार्ट मध्ये विलीन केले जातील.');
INSERT INTO `lang_definitions` VALUES (142133, 6480, 46, 'स्त्रोत आणि तारिक स्तंभ म्हणून साधारणपणे आपण त्या स्पर्श करण्याची आवश्यकता नाही, पहिल्या पानावरील कॉपी केले आहेत. आपण समायोजित स्तंभ, किंवा दोन्ही, पे कॉलममध्ये समायोजन रक्कम भरणा रक्कम लावू शकता. आपण आपोआप त्या ओळीवर आयटम शुल्क उर्वरित बंद लिहितात की एक समायोजन मूल्य मोजणी करण्यासाठी उजवीकडे \"प\" क्लिक करू शकता.');
INSERT INTO `lang_definitions` VALUES (142134, 6481, 46, 'आयोजित फायली तारखा सर्व समान प्रकाशन पासून नाहीत सोडा.');
INSERT INTO `lang_definitions` VALUES (142135, 6482, 46, 'आयोजित फायली आवृत्ती त्याच प्रकाशन सर्व नाही.');
INSERT INTO `lang_definitions` VALUES (142136, 6483, 46, 'आयोजित अमेरिकन विस्तार SNOMED संकुल आंतरराष्ट्रीय SNOMED संकुल स्थापित करण्यात आले आहे नंतर होईपर्यंत स्थापित केले जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142137, 6484, 46, 'कॅलेंडर वेळ ग्रॅन्यूलॅरिटी आणि नियोजित भेट स्लॉट मिनीटे लहान मध्यांतर.');
INSERT INTO `lang_definitions` VALUES (142138, 6485, 46, 'सध्याच्या भाषा फॉर्म दिसेल भाषांतरीत लेबल');
INSERT INTO `lang_definitions` VALUES (142139, 6486, 46, 'सध्याच्या भाषा दिसून येईल की, अनुवादित शीर्षक');
INSERT INTO `lang_definitions` VALUES (142140, 6487, 46, 'चालू भाषेत वर्णन अनुवादासाठी');
INSERT INTO `lang_definitions` VALUES (142141, 6488, 46, 'अनुवाद सपाट दगडी पाट्या समक्रमित केले जातात.');
INSERT INTO `lang_definitions` VALUES (142142, 6489, 46, 'या घटकाच्या प्रकार');
INSERT INTO `lang_definitions` VALUES (142143, 6490, 46, 'ही प्रक्रिया किंवा परिणाम ओळख विक्रेता-निर्देशीत कोड');
INSERT INTO `lang_definitions` VALUES (142144, 6491, 46, 'X12 फाइल तसेच परिणामी एचटीएमएल उत्पादन अहवाल मुख्य LibreEHR स्थापना निर्देशिका च्या \"युग\" उपनिर्देशिकेत संग्रहीत केले जाते. आपण वेळोवेळी या संग्रह पहा इच्छित असेल. URL आहे');
INSERT INTO `lang_definitions` VALUES (142145, 6492, 46, 'Zip फाइल खालील आयटम समाविष्ट असेल');
INSERT INTO `lang_definitions` VALUES (142146, 6493, 46, 'थीम');
INSERT INTO `lang_definitions` VALUES (142147, 6494, 46, 'मग कच्चा डेटा फीड प्रकाशन पासून मिळू शकते');
INSERT INTO `lang_definitions` VALUES (142148, 6495, 46, 'उपचारात्मक इंजेक्शन');
INSERT INTO `lang_definitions` VALUES (142149, 6496, 46, 'आहेत');
INSERT INTO `lang_definitions` VALUES (142150, 6497, 46, 'नाही चांगले सध्या आहेत');
INSERT INTO `lang_definitions` VALUES (142151, 6498, 46, 'आपल्या सबमिशन त्रुटी आहेत. हे खाली वर्णन केलेल्या आहेत.');
INSERT INTO `lang_definitions` VALUES (142152, 6499, 46, 'पोर्टल लॉगिन सह अनेक रुग्णांना आहेत');
INSERT INTO `lang_definitions` VALUES (142153, 6500, 46, 'बाहेर तपासले नाही चार्ट आहेत.');
INSERT INTO `lang_definitions` VALUES (142154, 6501, 46, 'या रुग्णाला रेकॉर्ड नाही माहिती आहेत.');
INSERT INTO `lang_definitions` VALUES (142155, 6502, 46, 'कोणतीही नवीन सबमिशन आहेत');
INSERT INTO `lang_definitions` VALUES (142156, 6503, 46, 'या रुग्णाला फाइल नाही नोट्स आहेत.');
INSERT INTO `lang_definitions` VALUES (142157, 6504, 46, 'या रुग्णाला फाइल नाही व्यवहार आहेत.');
INSERT INTO `lang_definitions` VALUES (142158, 6505, 46, 'पाठवून एक मेल त्रुटी झाली आहे');
INSERT INTO `lang_definitions` VALUES (142159, 6506, 46, 'नावाचा एक वर्गात आधीच आहे');
INSERT INTO `lang_definitions` VALUES (142160, 6507, 46, 'नावाचा एक फक्त खालील उपवर्ग तेथे आधीच आहे');
INSERT INTO `lang_definitions` VALUES (142161, 6508, 46, 'नावाच्या एका आयटम आधीपासून आहे');
INSERT INTO `lang_definitions` VALUES (142162, 6509, 46, 'खुले रुग्ण रेकॉर्ड विनंती आधीपासूनच आहे.');
INSERT INTO `lang_definitions` VALUES (142163, 6510, 46, 'ए खाते नाही COA नोंद आहे ');
INSERT INTO `lang_definitions` VALUES (142164, 6511, 46, 'रोख खाते नाही COA नोंद आहे ');
INSERT INTO `lang_definitions` VALUES (142165, 6512, 46, 'उत्पन्न खाते नाही COA नोंद आहे ');
INSERT INTO `lang_definitions` VALUES (142166, 6513, 46, 'सध्याचे कोणतेही रुग्ण आहे');
INSERT INTO `lang_definitions` VALUES (142167, 6514, 46, 'या विषयावर कोणतेही स्थानिक सामग्री आहे.');
INSERT INTO `lang_definitions` VALUES (142168, 6515, 46, 'अशी यादी तयार करणे आयडी नाही जुळणी आहे');
INSERT INTO `lang_definitions` VALUES (142169, 6516, 46, 'अशी यादी तयार करणे आयडी नाही सामना = आहे ');
INSERT INTO `lang_definitions` VALUES (142170, 6517, 46, 'सेवा आयडी नाही भाग नोंद आहे ');
INSERT INTO `lang_definitions` VALUES (142171, 6518, 46, 'पोर्टल लॉगिन नाही रुग्ण आहे');
INSERT INTO `lang_definitions` VALUES (142172, 6519, 46, 'संदेश पाठविताना एक समस्या आली.');
INSERT INTO `lang_definitions` VALUES (142173, 6520, 46, 'आपल्या विनंतीवर प्रक्रिया करताना एक त्रुटी आली.');
INSERT INTO `lang_definitions` VALUES (142174, 6521, 46, 'खालील स्ट्रिंग एक LibreEHR एस क्यू एल अंतर्मुख त्रुटी आली होती');
INSERT INTO `lang_definitions` VALUES (142175, 6522, 46, 'हे 2012 दुवे आहेत');
INSERT INTO `lang_definitions` VALUES (142176, 6523, 46, 'उजव्या thickened:');
INSERT INTO `lang_definitions` VALUES (142177, 6524, 46, 'मांडीवर');
INSERT INTO `lang_definitions` VALUES (142178, 6525, 46, 'मांडीवर + गुडघ्याच्या मागच्या दोन स्नायूंना जोडणारा दोरीसारखा दिसणारा स्नायू');
INSERT INTO `lang_definitions` VALUES (142179, 6526, 46, 'कार्यालय मागे गोष्टी फक्त वाचू शकता');
INSERT INTO `lang_definitions` VALUES (142180, 6527, 46, 'कार्यालय परत गोष्टी वाचा प्रविष्ट पण नाही संपादीत करू शकता');
INSERT INTO `lang_definitions` VALUES (142181, 6528, 46, 'कार्यालय परत गोष्टी वाचा आणि सुधारित करू शकतो');
INSERT INTO `lang_definitions` VALUES (142182, 6529, 46, 'कार्यालय परत गोष्टी वाचा आणि अंशतः संपादीत करू शकता');
INSERT INTO `lang_definitions` VALUES (142183, 6530, 46, 'चिकित्सक फक्त वाचू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142184, 6531, 46, 'चिकित्सक वाचा आणि प्रविष्ट पण नाही संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142185, 6532, 46, 'चिकित्सक वाचा आणि सुधारित करू शकतो गोष्टी');
INSERT INTO `lang_definitions` VALUES (142186, 6533, 46, 'चिकित्सक वाचा आणि अंशतः संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142187, 6534, 46, 'एकही कार्यालय फक्त वाचू शकतात गोष्टी');
INSERT INTO `lang_definitions` VALUES (142188, 6535, 46, 'एकही कार्यालय वाचा आणि प्रविष्ट पण नाही संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142189, 6536, 46, 'एकही कार्यालय वाचा आणि सुधारित करू शकतो गोष्टी');
INSERT INTO `lang_definitions` VALUES (142190, 6537, 46, 'एकही कार्यालय वाचा आणि अंशतः संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142191, 6538, 46, 'डॉक्टरांची फक्त वाचू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142192, 6539, 46, 'डॉक्टरांची वाचा आणि प्रविष्ट पण नाही संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142193, 6540, 46, 'डॉक्टरांची वाचा आणि सुधारित करू शकतो गोष्टी');
INSERT INTO `lang_definitions` VALUES (142194, 6541, 46, 'डॉक्टरांची वाचा आणि अंशतः संपादीत करू शकता गोष्टी');
INSERT INTO `lang_definitions` VALUES (142195, 6542, 46, 'तिसरा');
INSERT INTO `lang_definitions` VALUES (142196, 6544, 46, 'ही क्रिया पूर्ववत केली जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142197, 6545, 46, 'ही क्रिया पूर्ववत केली जाऊ शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142198, 6547, 46, 'ही क्रिया लॉग इन केले जाईल');
INSERT INTO `lang_definitions` VALUES (142199, 6549, 46, 'या नियोजित भेट स्लॉट आधीच तरीही हे वापरू वापरले जाते?');
INSERT INTO `lang_definitions` VALUES (142200, 6550, 46, 'या नियोजित भेट स्लॉट उपलब्ध नाही, कृपया दुसरे निवडा.');
INSERT INTO `lang_definitions` VALUES (142201, 6551, 46, 'हे कॅलेंडर वर्ष');
INSERT INTO `lang_definitions` VALUES (142202, 6552, 46, 'हा हक्क रद्द करण्यात आली आहे.');
INSERT INTO `lang_definitions` VALUES (142203, 6553, 46, 'हा हक्क बंद केले गेले आहे.');
INSERT INTO `lang_definitions` VALUES (142204, 6554, 46, 'हा हक्क denied.Reason आहे: -');
INSERT INTO `lang_definitions` VALUES (142205, 6555, 46, 'हा हक्क पुढील स्तरावर पाठविली जाणार आहे.');
INSERT INTO `lang_definitions` VALUES (142206, 6556, 46, 'हा कोड प्रकार संबंध स्वीकारत नाही.');
INSERT INTO `lang_definitions` VALUES (142207, 6557, 46, 'या संदर्भात हटविले जाईल श्रेणी, समाविष्टीत आहे. आपण अद्याप सुरू ठेवू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142208, 6558, 46, 'या भेटी कॅलेंडरवर प्रदर्शित कसे ठरवते.');
INSERT INTO `lang_definitions` VALUES (142209, 6559, 46, 'या नियुक्ती वापरली रंग स्कीमा द्वारे निश्चित केले जाते');
INSERT INTO `lang_definitions` VALUES (142210, 6561, 46, 'या घटनेचा');
INSERT INTO `lang_definitions` VALUES (142211, 6562, 46, 'या घटनेचा बिल आले आहे. आपण तो बदलू गरज असेल तर, तो पुन्हा उघडले करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142212, 6563, 46, 'या घटनेचा लॉक केलेले आहे. कोणत्याही नवीन फॉर्म जोडले जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (142213, 6564, 46, 'हे वैशिष्ट्य अद्याप उपलब्ध नाही');
INSERT INTO `lang_definitions` VALUES (142214, 6565, 46, 'हा पर्याय अतिशय प्रायोगिक आणि नाही पूर्णपणे चाचणी केली आहे. आपल्या स्वत: च्या जोखमीवर वापरा!');
INSERT INTO `lang_definitions` VALUES (142215, 6566, 46, 'या चलन संख्या बदलण्यात आला आहे ');
INSERT INTO `lang_definitions` VALUES (142216, 6569, 46, 'या मुख्य चार्ट विलीन आणि नंतर हटविली जाऊ आहे की चार्ट आहे.');
INSERT INTO `lang_definitions` VALUES (142217, 6571, 46, 'या विलीन डेटा प्राप्त आहे की मुख्य चार्ट आहे.');
INSERT INTO `lang_definitions` VALUES (142218, 6572, 46, 'हे स्थान');
INSERT INTO `lang_definitions` VALUES (142219, 6573, 46, 'हा संदेश मजकूर आपोआप जतन केला नाही. कॉपी सामग्री ते योग्य जतन आणि.');
INSERT INTO `lang_definitions` VALUES (142220, 6574, 46, 'हे विभाग द्वारे वापरले जात आहे ');
INSERT INTO `lang_definitions` VALUES (142221, 6575, 46, 'या विभागाचा चाचणी मोड मध्ये आहे. डेटाबेस बदलले जाणार नाही.');
INSERT INTO `lang_definitions` VALUES (142222, 6576, 46, 'या विभागाचा EOB डेटा कार्यक्षम प्रवेश प्रोत्साहन देते.');
INSERT INTO `lang_definitions` VALUES (142223, 6577, 46, 'तारीख करण्यासाठी हा महिना');
INSERT INTO `lang_definitions` VALUES (142224, 6578, 46, 'ही ऑर्डर आधीच प्रसारित होते');
INSERT INTO `lang_definitions` VALUES (142225, 6579, 46, 'हे पृष्ठ आपल्याला आपण स्थापित आणि सुधारणा करू शकता, असे समर्थीत बाह्य dataloads प्रत्येक पुनरावलोकन करण्यास परवानगी देते. खाली प्रत्येक विभाग व्याज विशिष्ट डेटाबेस स्थिती पुनरावलोकन विभाग शिर्षक वर क्लिक करून विस्तृत जाऊ शकते.');
INSERT INTO `lang_definitions` VALUES (142226, 6580, 46, 'सुरक्षा कारणांसाठी निष्क्रिय हे पान.');
INSERT INTO `lang_definitions` VALUES (142227, 6581, 46, 'आम्ही प्रत्येक वेळी कृपया पुन्हा लॉगिन क्लिक करा करण्याची गरज नाही, त्यामुळे इनलाइन होईल हे पान, लॉगीन पेज यांचा समावेश आहे.');
INSERT INTO `lang_definitions` VALUES (142228, 6582, 46, 'या रुग्ण नाही क्रियाकलाप आहे.');
INSERT INTO `lang_definitions` VALUES (142229, 6583, 46, 'या रुग्ण आयडी आधीच वापरात आहे!');
INSERT INTO `lang_definitions` VALUES (142230, 6584, 46, 'हे उत्पादन कोठार केवळ एकच भरपूर परवानगी देतो.');
INSERT INTO `lang_definitions` VALUES (142231, 6585, 46, 'हा प्रोटोकॉल लागू केले नाही');
INSERT INTO `lang_definitions` VALUES (142232, 6586, 46, 'हा अहवाल सध्या केवळ ICD9 कोड काम.');
INSERT INTO `lang_definitions` VALUES (142233, 6589, 46, 'या बॉक्समध्ये 31 तारीख समाविष्ट करण्यासाठी नाही हे निश्चित करते.');
INSERT INTO `lang_definitions` VALUES (142234, 6590, 46, 'या बिलिंग विभाग निर्माण पाहिजे फॉर्म कोणत्या पुनरावृत्ती निर्देशीत करते');
INSERT INTO `lang_definitions` VALUES (142235, 6591, 46, 'ही पद्धत आपण पुढील वापरासाठी जतन करण्यासाठी जी फाइल निर्माण होईल. फाइल पुन्हा निर्माण होऊ शकत नाही. आपण पुढे जाऊ इच्छिता का?');
INSERT INTO `lang_definitions` VALUES (142236, 6592, 46, 'या वापरकर्ता कोणत्याही गटाचे सदस्य नाही');
INSERT INTO `lang_definitions` VALUES (142237, 6593, 46, 'या वापरकर्ता नवीन येणारे थेट संदेश सूचना प्राप्त होईल');
INSERT INTO `lang_definitions` VALUES (142238, 6594, 46, 'या उपयुक्तता प्रायोगिक अवस्थेत आहे. ती वापरत करण्यापूर्वी आपल्या डेटाबेस आणि दस्तऐवज बॅकअप!');
INSERT INTO `lang_definitions` VALUES (142239, 6595, 46, 'या भेट नवीन गर्भनिरोधक वापर सुरु');
INSERT INTO `lang_definitions` VALUES (142240, 6596, 46, 'या भेट GCAC फॉर्म, रेफरल किंवा प्रक्रिया सेवा आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142241, 6597, 46, 'हे आता नापसंत जुन्या मेट्रिक फक्त-मर्मस्थाने फॉर्म होता.');
INSERT INTO `lang_definitions` VALUES (142242, 6598, 46, 'तारीख या आठवड्यात');
INSERT INTO `lang_definitions` VALUES (142243, 6600, 46, 'या CCR (संगोपन अिभलेख सातत्य) आणि सीसीडीची (संगोपन डॉक्युमेंट सातत्य) अहवाल सक्रिय करणार नाही.');
INSERT INTO `lang_definitions` VALUES (142244, 6602, 46, 'या डिबगिंग ( \'बनावट \') भाषा निवड अनुमती देईल.');
INSERT INTO `lang_definitions` VALUES (142245, 6605, 46, 'हे शारीरिक डेटा अपडेट एक \"कोरडे एकही रन नाही\" असेल.');
INSERT INTO `lang_definitions` VALUES (142246, 6606, 46, 'या डांबर स्वरूपात बॅकअप तयार आणि नंतर आपण सुरक्षित करू शकता त्यामुळे आपल्या वेब ब्राउझर पाठविले जाईल');
INSERT INTO `lang_definitions` VALUES (142247, 6607, 46, 'या एनक्रिप्शन व डिक्रिप्शन वैशिष्ट्ये दस्तऐवज निष्क्रिय, आणि UI त्यांना मदत करणार नाही.');
INSERT INTO `lang_definitions` VALUES (142248, 6608, 46, 'या ज्या मुलांना पालक चकमकीत सर्व प्रकारच्या संपादन बटणावर अक्षम ई-स्वाक्षरी केलेले आहे');
INSERT INTO `lang_definitions` VALUES (142249, 6609, 46, 'या ई-स्वाक्षरी केलेले आहे की, कोणत्याही स्वरूपात संपादन बटणावर अक्षम करेल');
INSERT INTO `lang_definitions` VALUES (142250, 6611, 46, 'ही व्यक्ती फॉर्म ऐवजी, एक संपूर्ण चकमकीत साइन इन सक्षम होईल');
INSERT INTO `lang_definitions` VALUES (142251, 6612, 46, 'या स्वतंत्रपणे वैयक्तिक फॉर्म साइन इन सक्षम होईल');
INSERT INTO `lang_definitions` VALUES (142252, 6613, 46, 'हे नेहमी खुली असल्याचे रुग्णांच्या सारांश स्क्रीन मध्ये बिलिंग विजेट सक्ती करेल.');
INSERT INTO `lang_definitions` VALUES (142253, 6614, 46, 'या लॉक वापरकर्ता (स्वतंत्र लॉकिंग आणि साइन इन) पर्याय देईल');
INSERT INTO `lang_definitions` VALUES (142254, 6615, 46, 'हा रुग्ण अहवाल रिक्त ई-चिन्ह नोंदी लपवेल');
INSERT INTO `lang_definitions` VALUES (142255, 6616, 46, 'हा एक दोन रुग्ण चार्ट विलीन होईल. एक रुग्ण चुकून डुप्लीकेट केले आहे तेव्हा तो उपयुक्त आहे. अनेकदा घडते, तर आपल्या कार्यालयात प्रक्रीया निराकरण - नियमितपणे या चालवू नका!');
INSERT INTO `lang_definitions` VALUES (142256, 6617, 46, 'हा ई-चांगले साइट होणार प्रतिबंधित करणार नाही.');
INSERT INTO `lang_definitions` VALUES (142257, 6619, 46, 'या मानक CVX लसीकरण यादी ऐवजी सानुकूल लसीकरण यादी वापरेल.');
INSERT INTO `lang_definitions` VALUES (142258, 6622, 46, 'वक्षस्थळाविषयी मणक्याचे');
INSERT INTO `lang_definitions` VALUES (142259, 6623, 46, 'Thous / CU.MM');
INSERT INTO `lang_definitions` VALUES (142260, 6625, 46, 'घसा');
INSERT INTO `lang_definitions` VALUES (142261, 6626, 46, 'घसा कर्करोग');
INSERT INTO `lang_definitions` VALUES (142262, 6627, 46, 'घसा कर्करोग शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (142263, 6628, 46, 'रक्त गोठणे / स्ट्रोक');
INSERT INTO `lang_definitions` VALUES (142264, 6629, 46, 'गुरु');
INSERT INTO `lang_definitions` VALUES (142265, 6630, 46, 'Thurdsay');
INSERT INTO `lang_definitions` VALUES (142266, 6631, 46, 'गुरुवारी');
INSERT INTO `lang_definitions` VALUES (142267, 6632, 46, 'सामान्य थायरॉईड');
INSERT INTO `lang_definitions` VALUES (142268, 6633, 46, 'थायरॉईड समस्या');
INSERT INTO `lang_definitions` VALUES (142269, 6634, 46, 'TIA');
INSERT INTO `lang_definitions` VALUES (142270, 6635, 46, 'तिबेटी मानक, तिबेटी, केंद्रीय');
INSERT INTO `lang_definitions` VALUES (142271, 6636, 46, 'Tid');
INSERT INTO `lang_definitions` VALUES (142272, 6637, 46, 'टिग्रिन्या');
INSERT INTO `lang_definitions` VALUES (142273, 6638, 46, 'वेळ');
INSERT INTO `lang_definitions` VALUES (142274, 6639, 46, 'वेळ प्रदर्शन स्वरूप');
INSERT INTO `lang_definitions` VALUES (142275, 6640, 46, 'जोडा (मिनिटे 1-60) वेळ बढती');
INSERT INTO `lang_definitions` VALUES (142276, 6641, 46, 'वेळ निवड');
INSERT INTO `lang_definitions` VALUES (142277, 6642, 46, 'वेळ स्लॉट खुले आहे, बचत कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (142278, 6643, 46, 'वेळ-टू-थेट सेकंदात अॅलर्जी SOAP विनंती');
INSERT INTO `lang_definitions` VALUES (142279, 6644, 46, 'वेळ-टू-थेट सेकंदात औषधे SOAP विनंती');
INSERT INTO `lang_definitions` VALUES (142280, 6647, 46, 'समयोचित कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (142281, 6648, 46, 'टाइम्स अरे (एन / अ)');
INSERT INTO `lang_definitions` VALUES (142282, 6649, 46, 'शिक्का आणि मजकूर');
INSERT INTO `lang_definitions` VALUES (142283, 6650, 46, 'टीआयएन');
INSERT INTO `lang_definitions` VALUES (142284, 6651, 46, 'कानांतील गुणगुण किंवा तत्सम होणारा आवाज');
INSERT INTO `lang_definitions` VALUES (142285, 6652, 46, 'शीर्षक');
INSERT INTO `lang_definitions` VALUES (142286, 6653, 46, 'शीर्षक व्ही');
INSERT INTO `lang_definitions` VALUES (142287, 6654, 46, 'TitleCols 1 आणि 999 दरम्यान एक संख्या असणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (142288, 6655, 46, 'शोध शिर्षके फाईल नाव');
INSERT INTO `lang_definitions` VALUES (142289, 6656, 46, 'तिलकरत्ने  \'एस:');
INSERT INTO `lang_definitions` VALUES (142290, 6657, 46, 'TMS / EAMs / कायर्कारी अिभयंता, EXT नाक');
INSERT INTO `lang_definitions` VALUES (142291, 6658, 46, 'करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142292, 6659, 46, 'ते');
INSERT INTO `lang_definitions` VALUES (142293, 6660, 46, 'ते');
INSERT INTO `lang_definitions` VALUES (142294, 6661, 46, 'फाइल परिपूर्ण मार्ग');
INSERT INTO `lang_definitions` VALUES (142295, 6662, 46, 'नोट्स जोडण्यासाठी, क्लिक करा ');
INSERT INTO `lang_definitions` VALUES (142296, 6663, 46, 'टीपा जोडण्यासाठी इथे क्लिक करा');
INSERT INTO `lang_definitions` VALUES (142297, 6664, 46, 'प्रभावित क्षेत्र');
INSERT INTO `lang_definitions` VALUES (142298, 6665, 46, 'प्रभावित क्षेत्र');
INSERT INTO `lang_definitions` VALUES (142299, 6666, 46, 'आपोआप विशिष्ट नमुना उघडण्यासाठी. काही क्रीडा संघ येथे football_injury_audit वापरा.');
INSERT INTO `lang_definitions` VALUES (142300, 6667, 46, 'बिलिंग पहा');
INSERT INTO `lang_definitions` VALUES (142301, 6668, 46, 'वर्गात');
INSERT INTO `lang_definitions` VALUES (142302, 6669, 46, 'क्लिनिकल पहा');
INSERT INTO `lang_definitions` VALUES (142303, 6670, 46, 'Copay करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142304, 6671, 46, 'तारीख करण्यासाठी तारखेपासून पेक्षा नंतर असणे आवश्यक आहे!');
INSERT INTO `lang_definitions` VALUES (142305, 6672, 46, 'Ded\'ble करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142306, 6673, 46, 'Dems करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142307, 6674, 46, ', क्लाएंट साइड SSL प्रमाणपत्र अक्षम करण्यासाठी अपॅची संरचना फाइल आणि संच ओळी वरील टिप्पणी');
INSERT INTO `lang_definitions` VALUES (142308, 6675, 46, 'HTTPS वरील अक्षम करण्यासाठी, अपॅची संरचना फाइल वरील ओळी टिप्पणी आणि Apache सर्व्हर पुन्हा सुरू करा.');
INSERT INTO `lang_definitions` VALUES (142309, 6676, 46, 'क्लायंट बाजूला SSL प्रमाणपत्र सक्षम करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142310, 6677, 46, 'क्लायंट बाजूला SSL प्रमाणपत्र प्रमाणीकरण सक्षम करा करायचे असल्यास, https केले आहे.');
INSERT INTO `lang_definitions` VALUES (142311, 6678, 46, 'फक्त HTTPS वरील सक्षम करण्यासाठी, वरील बदल सुरू आणि Apache सर्व्हर पुन्हा सुरू करा. आपण देखील क्लाएंट साइड प्रमाणपत्र संयोजीत करू इच्छित असल्यास, पुढील विभागात कॉन्फिगर करा.');
INSERT INTO `lang_definitions` VALUES (142312, 6679, 46, 'Enctr करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142313, 6680, 46, 'लिंग फिल्टर');
INSERT INTO `lang_definitions` VALUES (142314, 6681, 46, 'इतिहास');
INSERT INTO `lang_definitions` VALUES (142315, 6682, 46, 'मुद्दे');
INSERT INTO `lang_definitions` VALUES (142316, 6683, 46, 'या घटनेचा दुवा / सध्याच्या समस्या सल्ला क्लिक करा ');
INSERT INTO `lang_definitions` VALUES (142317, 6684, 46, '/ या घटनेचा निर्देशित पानाशी जोडले आहेत अस्तित्वातील समस्या सल्ला, तो प्रकाशित करा आणि मग [जतन] क्लिक करा वरील इच्छित समस्या क्लिक करा. अनेक समस्या निवडण्यासाठी [की Ctrl] बटण दाबून ठेवा.');
INSERT INTO `lang_definitions` VALUES (142318, 6685, 46, 'पुन्हा लॉगिन करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142319, 6686, 46, 'माहिती रेकॉर्ड करण्यासाठी, क्लिक करा');
INSERT INTO `lang_definitions` VALUES (142320, 6687, 46, 'चालविण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142321, 6688, 46, 'सेटअप HTTPS क्लायंट प्रमाणपत्र प्रमाणीकरण असलेल्या प्रवेश करण्यासाठी, पुढील गोष्टी');
INSERT INTO `lang_definitions` VALUES (142322, 6689, 46, 'त्वचा करण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142323, 6690, 46, 'त्वचा');
INSERT INTO `lang_definitions` VALUES (142324, 6691, 46, 'या भेट?');
INSERT INTO `lang_definitions` VALUES (142325, 6692, 46, 'CCR आधीच रुग्ण रुग्णांच्या सारांश Screen-> कागदपत्रे वापर विद्यमान दस्तऐवज अपलोड करा. नवीन रुग्ण वापर CCR दस्तऐवज Miscellanous-> नवीन दस्तऐवज स्क्रीन');
INSERT INTO `lang_definitions` VALUES (142326, 6693, 46, 'करण्यासाठी:');
INSERT INTO `lang_definitions` VALUES (142327, 6694, 46, 'करण्यासाठी: ');
INSERT INTO `lang_definitions` VALUES (142328, 6695, 46, 'TO_CITY');
INSERT INTO `lang_definitions` VALUES (142329, 6696, 46, 'TO_FAX');
INSERT INTO `lang_definitions` VALUES (142330, 6697, 46, 'TO_FNAME');
INSERT INTO `lang_definitions` VALUES (142331, 6698, 46, 'TO_LNAME');
INSERT INTO `lang_definitions` VALUES (142332, 6699, 46, 'TO_MNAME');
INSERT INTO `lang_definitions` VALUES (142333, 6700, 46, 'TO_ORGANIZATION');
INSERT INTO `lang_definitions` VALUES (142334, 6701, 46, 'TO_PHONE');
INSERT INTO `lang_definitions` VALUES (142335, 6702, 46, 'TO_PHONECELL');
INSERT INTO `lang_definitions` VALUES (142336, 6703, 46, 'TO_POSTAL');
INSERT INTO `lang_definitions` VALUES (142337, 6704, 46, 'TO_STATE');
INSERT INTO `lang_definitions` VALUES (142338, 6705, 46, 'TO_STREET');
INSERT INTO `lang_definitions` VALUES (142339, 6706, 46, 'TO_TITLE');
INSERT INTO `lang_definitions` VALUES (142340, 6707, 46, 'TO_VALEDICTORY');
INSERT INTO `lang_definitions` VALUES (142341, 6708, 46, 'तंबाखू');
INSERT INTO `lang_definitions` VALUES (142342, 6709, 46, 'तंबाखू समाप्ती हस्तक्षेप');
INSERT INTO `lang_definitions` VALUES (142343, 6710, 46, 'तंबाखू समाप्ती हस्तक्षेप (CQM)');
INSERT INTO `lang_definitions` VALUES (142344, 6711, 46, 'तंबाखूचा वापर');
INSERT INTO `lang_definitions` VALUES (142345, 6712, 46, 'तंबाखूचा वापर');
INSERT INTO `lang_definitions` VALUES (142346, 6713, 46, 'तंबाखूचा वापर मूल्यांकन');
INSERT INTO `lang_definitions` VALUES (142347, 6714, 46, 'तंबाखूचा वापर मूल्यांकन (CQM)');
INSERT INTO `lang_definitions` VALUES (142348, 6715, 46, 'आज');
INSERT INTO `lang_definitions` VALUES (142349, 6716, 46, 'आज');
INSERT INTO `lang_definitions` VALUES (142350, 6717, 46, 'आज');
INSERT INTO `lang_definitions` VALUES (142351, 6718, 46, 'आज  \'चे शिल्लक');
INSERT INTO `lang_definitions` VALUES (142352, 6719, 46, 'आज  \'चे शुल्क');
INSERT INTO `lang_definitions` VALUES (142353, 6720, 46, 'आज  \'चे दिनांक');
INSERT INTO `lang_definitions` VALUES (142354, 6721, 46, 'आज  \'चे आगामी कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (142355, 6722, 46, 'टॉगल सर्व');
INSERT INTO `lang_definitions` VALUES (142356, 6723, 46, 'वैद्यकीय माहिती एकत्रीकरण, एलएलसी लॅब एक्सचेंज सेवा टोकन आयडी.');
INSERT INTO `lang_definitions` VALUES (142357, 6724, 46, 'LibreEHR समर्थन, LLC लॅब एक्सचेंज सेवा टोकन आयडी.');
INSERT INTO `lang_definitions` VALUES (142358, 6725, 46, 'टोंगा (टोंगा बेटे)');
INSERT INTO `lang_definitions` VALUES (142359, 6726, 46, 'एक किंवा दोन्ही गलग्रंथी काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (142360, 6727, 46, 'एक किंवा दोन्ही गलग्रंथी काढून टाकणे');
INSERT INTO `lang_definitions` VALUES (142361, 6728, 46, 'शीर्ष');
INSERT INTO `lang_definitions` VALUES (142362, 6729, 46, 'शीर्ष समास (मिमी)');
INSERT INTO `lang_definitions` VALUES (142363, 6730, 46, 'विषय');
INSERT INTO `lang_definitions` VALUES (142364, 6731, 46, 'एकूण');
INSERT INTO `lang_definitions` VALUES (142365, 6732, 46, 'एकूण');
INSERT INTO `lang_definitions` VALUES (142366, 6733, 46, 'एकूण सक्रिय क्रिया');
INSERT INTO `lang_definitions` VALUES (142367, 6734, 46, 'सुधारणा नंतर एकूण सक्रिय स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142368, 6735, 46, 'सुधारणा करण्यापूर्वी एकूण सक्रिय स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142369, 6737, 46, 'मुळे एकूण रक्कम');
INSERT INTO `lang_definitions` VALUES (142370, 6738, 46, 'एकूण किती रक्कम');
INSERT INTO `lang_definitions` VALUES (142371, 6739, 46, 'एकूण शिल्लक मुळे');
INSERT INTO `lang_definitions` VALUES (142372, 6740, 46, 'एकूण शुल्क');
INSERT INTO `lang_definitions` VALUES (142373, 6741, 46, 'एकूण शुल्क');
INSERT INTO `lang_definitions` VALUES (142374, 6742, 46, 'एकूण ग्राहक');
INSERT INTO `lang_definitions` VALUES (142375, 6743, 46, 'एकूण खर्च');
INSERT INTO `lang_definitions` VALUES (142376, 6744, 46, 'चेक संख्या खालील एकूण वितरण पूर्ण नाही आहे');
INSERT INTO `lang_definitions` VALUES (142377, 6745, 46, 'एकूण नोंदी');
INSERT INTO `lang_definitions` VALUES (142378, 6746, 46, 'ई-मेल द्वारे पाठवले एकूण अयशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142379, 6747, 46, 'फोन द्वारे पाठवले एकूण अयशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142380, 6748, 46, 'एकूण');
INSERT INTO `lang_definitions` VALUES (142381, 6749, 46, 'एकूण ');
INSERT INTO `lang_definitions` VALUES (142382, 6750, 46, 'श्रेणी एकूण');
INSERT INTO `lang_definitions` VALUES (142383, 6751, 46, 'एकूण डोस स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142384, 6752, 46, 'एकूण नवीन स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142385, 6753, 46, 'भेटी एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (142386, 6755, 46, 'लसीकरण एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (142387, 6756, 46, 'मुद्दे एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (142388, 6758, 46, 'रुग्णांना एकूण संख्या');
INSERT INTO `lang_definitions` VALUES (142389, 6760, 46, 'एकूण रुग्णांच्या शिल्लक');
INSERT INTO `lang_definitions` VALUES (142390, 6761, 46, 'एकूण रुग्णांना');
INSERT INTO `lang_definitions` VALUES (142391, 6764, 46, 'एकूण रेकॉर्ड सापडले');
INSERT INTO `lang_definitions` VALUES (142392, 6765, 46, 'एकूण SRH आणि कुटुंब नियोजन');
INSERT INTO `lang_definitions` VALUES (142393, 6766, 46, 'ई-मेल द्वारे पाठवले एकूण यशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142394, 6767, 46, 'फोन द्वारे पाठवले एकूण यशस्वी स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142395, 6770, 46, 'एकूण जसाच्या तसा स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142396, 6771, 46, 'प्रक्रिया पाठवून नंतर एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142397, 6772, 46, 'सुधारणा नंतर एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142398, 6773, 46, 'पाठवून प्रक्रिया करण्यापूर्वी एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142399, 6774, 46, 'सुधारणा करण्यापूर्वी एकूण न पाठविलेले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142400, 6775, 46, 'एकूण अद्यतनित केले स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142401, 6776, 46, 'बेरीज');
INSERT INTO `lang_definitions` VALUES (142402, 6777, 46, 'साठी बेरीज');
INSERT INTO `lang_definitions` VALUES (142403, 6778, 46, 'साठी बेरीज ');
INSERT INTO `lang_definitions` VALUES (142404, 6780, 46, 'ते {{}} श्रेणी');
INSERT INTO `lang_definitions` VALUES (142405, 6782, 46, 'ट्रॅक');
INSERT INTO `lang_definitions` VALUES (142406, 6783, 46, 'ट्रॅक अहवाल');
INSERT INTO `lang_definitions` VALUES (142407, 6784, 46, 'ट्रॅक');
INSERT INTO `lang_definitions` VALUES (142408, 6785, 46, 'प्रशिक्षण प्रकार');
INSERT INTO `lang_definitions` VALUES (142409, 6786, 46, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (142410, 6787, 46, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (142411, 6788, 46, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (142412, 6789, 46, 'गंतव्य खूप व्यवहार अयशस्वी, अपुरा प्रमाणात');
INSERT INTO `lang_definitions` VALUES (142413, 6790, 46, 'व्यवहार अयशस्वी, प्रमाणात पेक्षा कमी शून्य आहे');
INSERT INTO `lang_definitions` VALUES (142414, 6791, 46, 'व्यवहार प्रकार');
INSERT INTO `lang_definitions` VALUES (142415, 6792, 46, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (142416, 6793, 46, 'व्यवहार');
INSERT INTO `lang_definitions` VALUES (142417, 6794, 46, 'व्यवहार (पर्यायी लिहा)');
INSERT INTO `lang_definitions` VALUES (142418, 6795, 46, 'व्यवहार / संदर्भ');
INSERT INTO `lang_definitions` VALUES (142419, 6797, 46, 'ट्रान्सफर');
INSERT INTO `lang_definitions` VALUES (142420, 6798, 46, 'ट्रान्सफर तारीख');
INSERT INTO `lang_definitions` VALUES (142421, 6799, 46, 'स्रोत खूप अयशस्वी, अपुरा प्रमाणात हस्तांतरण');
INSERT INTO `lang_definitions` VALUES (142422, 6800, 46, 'ट्रान्सफर सारांश');
INSERT INTO `lang_definitions` VALUES (142423, 6801, 46, 'हस्तांतरण');
INSERT INTO `lang_definitions` VALUES (142424, 6804, 46, 'हस्तांतरणासाठी');
INSERT INTO `lang_definitions` VALUES (142425, 6806, 46, 'काळजी संक्रमण / हस्तांतरण?');
INSERT INTO `lang_definitions` VALUES (142426, 6807, 46, 'एक्सेस कंट्रोल गट अनुवाद');
INSERT INTO `lang_definitions` VALUES (142427, 6808, 46, 'नियुक्ती श्रेणी भाषांतर');
INSERT INTO `lang_definitions` VALUES (142428, 6809, 46, 'दस्तऐवज श्रेणी भाषांतर');
INSERT INTO `lang_definitions` VALUES (142429, 6810, 46, 'लेआउट अनुवाद');
INSERT INTO `lang_definitions` VALUES (142430, 6811, 46, 'याद्या भाषांतर');
INSERT INTO `lang_definitions` VALUES (142431, 6812, 46, 'रुग्णांच्या टीप शोध शिर्षके फाईल नाव अनुवाद');
INSERT INTO `lang_definitions` VALUES (142432, 6813, 46, 'या अनुवाद');
INSERT INTO `lang_definitions` VALUES (142433, 6814, 46, 'भाषांतर');
INSERT INTO `lang_definitions` VALUES (142434, 6815, 46, 'अनुवाद');
INSERT INTO `lang_definitions` VALUES (142435, 6816, 46, 'प्रक्षेपित');
INSERT INTO `lang_definitions` VALUES (142436, 6817, 46, 'प्रसारित अयशस्वी');
INSERT INTO `lang_definitions` VALUES (142437, 6818, 46, 'निवडलेले ऑर्डर प्रक्षेपित');
INSERT INTO `lang_definitions` VALUES (142438, 6819, 46, 'शरीराला झालेली जखम');
INSERT INTO `lang_definitions` VALUES (142439, 6820, 46, 'उपचार');
INSERT INTO `lang_definitions` VALUES (142440, 6822, 46, 'उपचार गोल');
INSERT INTO `lang_definitions` VALUES (142441, 6823, 46, 'उपचार योजना');
INSERT INTO `lang_definitions` VALUES (142442, 6824, 46, 'उपचार नियोजन');
INSERT INTO `lang_definitions` VALUES (142443, 6825, 46, 'उपचार प्राप्त');
INSERT INTO `lang_definitions` VALUES (142444, 6826, 46, 'उपचार:');
INSERT INTO `lang_definitions` VALUES (142445, 6827, 46, 'उपचार: ');
INSERT INTO `lang_definitions` VALUES (142446, 6828, 46, 'कल');
INSERT INTO `lang_definitions` VALUES (142447, 6829, 46, 'trftime ($ month_format, mktime (0, 0, 0, $ मी, 1, 2000))); $ month_value');
INSERT INTO `lang_definitions` VALUES (142448, 6830, 46, 'कारक बिंदू / निराळा सिंड्रोम / Doms / आडकाठी करणे');
INSERT INTO `lang_definitions` VALUES (142449, 6831, 46, 'Trimalleolar');
INSERT INTO `lang_definitions` VALUES (142450, 6832, 46, 'ट्रंक आणि उदर');
INSERT INTO `lang_definitions` VALUES (142451, 6833, 46, 'विश्वसनीय थेट ई-मेल पत्ता');
INSERT INTO `lang_definitions` VALUES (142452, 6834, 46, 'विश्वसनीय ईमेल');
INSERT INTO `lang_definitions` VALUES (142453, 6835, 46, 'विद्यमान वापरकर्तानाव वापरकर्ता तयार करण्याचा प्रयत्न करत आहे!');
INSERT INTO `lang_definitions` VALUES (142454, 6836, 46, 'सोंगा');
INSERT INTO `lang_definitions` VALUES (142455, 6837, 46, 'टीस्पून');
INSERT INTO `lang_definitions` VALUES (142456, 6838, 46, 'त्स्वाना');
INSERT INTO `lang_definitions` VALUES (142457, 6839, 46, 'TTS');
INSERT INTO `lang_definitions` VALUES (142458, 6840, 46, 'क्षयरोग');
INSERT INTO `lang_definitions` VALUES (142459, 6841, 46, 'मंगळ');
INSERT INTO `lang_definitions` VALUES (142460, 6842, 46, 'मंगळ केलेले & amp; Thur');
INSERT INTO `lang_definitions` VALUES (142461, 6843, 46, 'मंगळवारी');
INSERT INTO `lang_definitions` VALUES (142462, 6844, 46, 'Tumour');
INSERT INTO `lang_definitions` VALUES (142463, 6845, 46, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (142464, 6846, 46, 'तुर्की');
INSERT INTO `lang_definitions` VALUES (142465, 6847, 46, 'ट्वी');
INSERT INTO `lang_definitions` VALUES (142466, 6848, 46, 'दररोज दोनदा');
INSERT INTO `lang_definitions` VALUES (142467, 6850, 46, 'मध्यकर्णाविषयी पडदा');
INSERT INTO `lang_definitions` VALUES (142468, 6851, 46, 'प्रकार');
INSERT INTO `lang_definitions` VALUES (142469, 6852, 46, 'प्रकार आयडी किंवा (मोकळी जागा समावेश) Name.3 किमान इतके वर्ण.');
INSERT INTO `lang_definitions` VALUES (142470, 6853, 46, 'स्तंभ प्रकार रुग्ण शोध परिणाम प्रदर्शित');
INSERT INTO `lang_definitions` VALUES (142471, 6854, 46, 'प्रकटीकरण प्रकार');
INSERT INTO `lang_definitions` VALUES (142472, 6855, 46, 'आगामी कार्यक्रम प्रकार');
INSERT INTO `lang_definitions` VALUES (142473, 6856, 46, 'स्क्रीन लेआउट प्रकार');
INSERT INTO `lang_definitions` VALUES (142474, 6857, 46, 'टाइप करा किंवा येथे रुग्ण अभिज्ञापक स्कॅन');
INSERT INTO `lang_definitions` VALUES (142475, 6858, 46, 'येथे आपला संदेश टाइप करा');
INSERT INTO `lang_definitions` VALUES (142476, 6859, 46, 'ऑर्डर आणि परिणाम प्रकार');
INSERT INTO `lang_definitions` VALUES (142477, 6864, 46, 'कॅल्गरी स्पोर्ट्स मेडिसिन केंद्र विद्यापीठ द्वारे प्रदान UCSMC कोड');
INSERT INTO `lang_definitions` VALUES (142478, 6865, 46, 'युक्रेनियन');
INSERT INTO `lang_definitions` VALUES (142479, 6866, 46, 'Ulcerations');
INSERT INTO `lang_definitions` VALUES (142480, 6867, 46, 'वाया गेलेल्या आतड्याला आलेली सूज');
INSERT INTO `lang_definitions` VALUES (142481, 6868, 46, 'अल्सर:');
INSERT INTO `lang_definitions` VALUES (142482, 6869, 46, 'निर्देशिका प्रवेश करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (142483, 6870, 46, 'URL मध्ये प्रवेश करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (142484, 6871, 46, 'तयार करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (142485, 6872, 46, 'रुग्ण दस्तऐवज उपनिर्देशिकेत तयार करण्यात अक्षम');
INSERT INTO `lang_definitions` VALUES (142486, 6873, 46, 'या फाइल मध्ये डेटा शोधण्यात अक्षम.');
INSERT INTO `lang_definitions` VALUES (142487, 6874, 46, 'Ar_activity या देयक जुळण्यासाठी अक्षम');
INSERT INTO `lang_definitions` VALUES (142488, 6875, 46, 'लिहिण्याची परवानगी द्या अर्ज संरचना संपादीत करणे अक्षम');
INSERT INTO `lang_definitions` VALUES (142489, 6876, 46, 'लागू न केलेले');
INSERT INTO `lang_definitions` VALUES (142490, 6877, 46, 'नियुक्त न');
INSERT INTO `lang_definitions` VALUES (142491, 6878, 46, 'अनधिकृत');
INSERT INTO `lang_definitions` VALUES (142492, 6879, 46, 'EPrescription अनधिकृत प्रवेश');
INSERT INTO `lang_definitions` VALUES (142493, 6880, 46, 'अनधिकृत प्रवेश.');
INSERT INTO `lang_definitions` VALUES (142494, 6881, 46, 'बिल न केलेली');
INSERT INTO `lang_definitions` VALUES (142495, 6882, 46, 'बिल न केलेली फक्त');
INSERT INTO `lang_definitions` VALUES (142496, 6884, 46, 'जिभेखाली');
INSERT INTO `lang_definitions` VALUES (142497, 6885, 46, 'कमी वजनाचे');
INSERT INTO `lang_definitions` VALUES (142498, 6886, 46, 'Undiagnosed');
INSERT INTO `lang_definitions` VALUES (142499, 6887, 46, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (142500, 6888, 46, 'अवितरित');
INSERT INTO `lang_definitions` VALUES (142501, 6889, 46, 'अवितरित आहे');
INSERT INTO `lang_definitions` VALUES (142502, 6890, 46, 'चेकआऊट पूर्ववत करा');
INSERT INTO `lang_definitions` VALUES (142503, 6892, 46, 'युनिक ग्राहक');
INSERT INTO `lang_definitions` VALUES (142504, 6893, 46, 'हा प्रकार युनिक मनुष्य-वाचण्यायोग्य अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (142505, 6894, 46, 'युनिक नवीन ग्राहक');
INSERT INTO `lang_definitions` VALUES (142506, 6895, 46, 'हा प्रकार युनिक अंकीय अभिज्ञापक');
INSERT INTO `lang_definitions` VALUES (142507, 6896, 46, 'युनिक पाहिले रुग्णांना');
INSERT INTO `lang_definitions` VALUES (142508, 6897, 46, 'युनिक पाहिले रुग्णांना अहवाल');
INSERT INTO `lang_definitions` VALUES (142509, 6898, 46, 'युनिक पोलीस अधीक्षक');
INSERT INTO `lang_definitions` VALUES (142510, 6899, 46, 'युनिट');
INSERT INTO `lang_definitions` VALUES (142511, 6900, 46, 'युनिट');
INSERT INTO `lang_definitions` VALUES (142512, 6901, 46, 'युनिट');
INSERT INTO `lang_definitions` VALUES (142513, 6902, 46, 'परिणाम मूल्य लागू युनिट');
INSERT INTO `lang_definitions` VALUES (142514, 6903, 46, 'भेट द्या फॉर्म युनिट');
INSERT INTO `lang_definitions` VALUES (142515, 6904, 46, 'युनिट एक संख्या असणे आवश्यक');
INSERT INTO `lang_definitions` VALUES (142516, 6905, 46, 'युनिट व्याख्या नाही');
INSERT INTO `lang_definitions` VALUES (142517, 6906, 46, 'युनिट / एल');
INSERT INTO `lang_definitions` VALUES (142518, 6907, 46, 'अज्ञात');
INSERT INTO `lang_definitions` VALUES (142519, 6908, 46, 'अज्ञात (लॉग इन पहा)');
INSERT INTO `lang_definitions` VALUES (142520, 6910, 46, 'अज्ञात कधीही smoked तर');
INSERT INTO `lang_definitions` VALUES (142521, 6911, 46, 'अज्ञात वा N / A');
INSERT INTO `lang_definitions` VALUES (142522, 6912, 46, 'अज्ञात वापरकर्ता आयडी:');
INSERT INTO `lang_definitions` VALUES (142523, 6913, 46, 'रुग्ण दुवा रद्द');
INSERT INTO `lang_definitions` VALUES (142524, 6914, 46, 'अनामित विमा कंपनी');
INSERT INTO `lang_definitions` VALUES (142525, 6915, 46, 'नोंदणी रद्द');
INSERT INTO `lang_definitions` VALUES (142526, 6916, 46, 'नोंदणी रद्द मॉड्यूल');
INSERT INTO `lang_definitions` VALUES (142527, 6918, 46, 'सर्व न निवडलेले करा');
INSERT INTO `lang_definitions` VALUES (142528, 6919, 46, 'न निवडलेले');
INSERT INTO `lang_definitions` VALUES (142529, 6920, 46, 'निर्दिष्ट न केलेले');
INSERT INTO `lang_definitions` VALUES (142530, 6921, 46, 'भागात तुम्ही लिहिलेला');
INSERT INTO `lang_definitions` VALUES (142531, 6922, 46, 'असमर्थित डाटाबेस लोड फाइल');
INSERT INTO `lang_definitions` VALUES (142532, 6924, 46, 'पर्यंत');
INSERT INTO `lang_definitions` VALUES (142533, 6925, 46, 'जन्मत: च मेलेल्या दाखल');
INSERT INTO `lang_definitions` VALUES (142534, 6926, 46, 'न वापरलेले');
INSERT INTO `lang_definitions` VALUES (142535, 6927, 46, 'UOR');
INSERT INTO `lang_definitions` VALUES (142536, 6928, 46, 'इथपर्यंत');
INSERT INTO `lang_definitions` VALUES (142537, 6929, 46, 'आगामी नियुक्ती');
INSERT INTO `lang_definitions` VALUES (142538, 6930, 46, 'पुढील कार्यक्रम');
INSERT INTO `lang_definitions` VALUES (142539, 6931, 46, 'अद्यतन');
INSERT INTO `lang_definitions` VALUES (142540, 6932, 46, 'सुधारणा');
INSERT INTO `lang_definitions` VALUES (142541, 6933, 46, 'सक्रिय अद्यतन');
INSERT INTO `lang_definitions` VALUES (142542, 6934, 46, 'फाईली अद्यतनित करा');
INSERT INTO `lang_definitions` VALUES (142543, 6935, 46, 'अद्यतन माहिती');
INSERT INTO `lang_definitions` VALUES (142544, 6936, 46, 'अद्यतन यादी');
INSERT INTO `lang_definitions` VALUES (142545, 6937, 46, 'अद्यतन प्रदाता क्रमांक');
INSERT INTO `lang_definitions` VALUES (142546, 6938, 46, 'अद्यतन निवडलेले आयटम');
INSERT INTO `lang_definitions` VALUES (142547, 6939, 46, 'फाइलमध्ये खालील चलने अद्यतनित करा');
INSERT INTO `lang_definitions` VALUES (142548, 6940, 46, 'वापरकर्ता अद्यतनित करा माहिती');
INSERT INTO `lang_definitions` VALUES (142549, 6942, 46, 'लोकसंख्याशास्त्र अद्यतनित करीत आहे अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (142550, 6943, 46, 'जागतिक संरचना पूर्वनिर्धारित अद्यतनित करीत आहे');
INSERT INTO `lang_definitions` VALUES (142551, 6944, 46, 'आवृत्ती निर्देशक अद्यतनित करीत आहे');
INSERT INTO `lang_definitions` VALUES (142552, 6945, 46, 'श्रेणीसुधारित करा');
INSERT INTO `lang_definitions` VALUES (142553, 6946, 46, 'अपग्रेड');
INSERT INTO `lang_definitions` VALUES (142554, 6947, 46, 'अपग्रेड डेटाबेस');
INSERT INTO `lang_definitions` VALUES (142555, 6948, 46, 'डी-ओळख प्रक्रिया आवश्यक प्रक्रियांची, कार्य आणि सपाट दगडी पाट्या समाविष्ट करण्यासाठी LibreEHR डेटाबेस सुधारणा');
INSERT INTO `lang_definitions` VALUES (142556, 6949, 46, 'सुधारणा सुरू राहील');
INSERT INTO `lang_definitions` VALUES (142557, 6950, 46, 'UPIN');
INSERT INTO `lang_definitions` VALUES (142558, 6951, 46, 'अपलोड करा');
INSERT INTO `lang_definitions` VALUES (142559, 6952, 46, 'टेम्पलेट अपलोड करा');
INSERT INTO `lang_definitions` VALUES (142560, 6953, 46, 'अपलोड करा आणि स्थापित');
INSERT INTO `lang_definitions` VALUES (142561, 6954, 46, 'कॉन्फिगरेशन डेटा अपलोड करा');
INSERT INTO `lang_definitions` VALUES (142562, 6955, 46, 'अपलोड करा दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (142563, 6956, 46, 'अपलोड करा अयशस्वी झाले!');
INSERT INTO `lang_definitions` VALUES (142564, 6957, 46, 'प्रतिमा अपलोड करा');
INSERT INTO `lang_definitions` VALUES (142565, 6958, 46, 'आयात फाइल अपलोड करा:');
INSERT INTO `lang_definitions` VALUES (142566, 6959, 46, 'रुग्ण शिक्षण पीडीएफ अपलोड करा');
INSERT INTO `lang_definitions` VALUES (142567, 6960, 46, 'अपलोड करा यशस्वीरित्या प्रक्रिया');
INSERT INTO `lang_definitions` VALUES (142568, 6961, 46, 'अपलोड करा अहवाल');
INSERT INTO `lang_definitions` VALUES (142569, 6962, 46, 'श्रेणी CCR अंतर्गत XML फाइल अपलोड करा');
INSERT INTO `lang_definitions` VALUES (142570, 6963, 46, 'या फाइल अपलोड करा:');
INSERT INTO `lang_definitions` VALUES (142571, 6964, 46, 'एक चलन संख्या \"मॅन्युअल पोस्टिंग विंडो\" क्लिक यावर दिसते. येथे आपण, बीजक देय तारीख आणि नोट्स बदलू तुम्ही पोस्ट ज्यांच्याकडून पक्ष निवडा, आणि सर्व अपेक्षा paymants प्राप्त केले आहेत, जे इन्शुरन्सचे निवडू शकता. प्रत्येक बिलिंग कोड जे एक रक्कम आकारण्यात आला सर्वात महत्त्वाचे म्हणजे, आपण पेमेंट आणि समायोजन माहिती दाखल करू शकता.');
INSERT INTO `lang_definitions` VALUES (142572, 6965, 46, 'शोध केल्यानंतर आपण पावत्या एक यादी दिली जाते. आपण मॅन्युअल पोस्टिंग डेटा एंट्री पृष्ठ आहे जे एक दुसरा विंडो उघडण्यासाठी बीजक क्रमांक एक वर क्लिक करू शकता. जेव्हा तुम्ही सहनशील धनादेश एकही कार्यालय कर्मचारी दिसेल की एक लक्षात ठेवा प्रविष्ट करू इच्छित असल्यास आपण एक रुग्ण नावावर क्लिक करा शकते, व तुम्ही रुग्णाला स्टेटमेन्ट वर दिसतात आणि त्या स्टेटमेन्ट मुद्रित करण्यासाठी पावत्या निवडू शकता.');
INSERT INTO `lang_definitions` VALUES (142573, 6966, 46, 'उच्च हाताने');
INSERT INTO `lang_definitions` VALUES (142574, 6967, 46, 'उर्दू');
INSERT INTO `lang_definitions` VALUES (142575, 6968, 46, 'निकड');
INSERT INTO `lang_definitions` VALUES (142576, 6970, 46, 'लघवी');
INSERT INTO `lang_definitions` VALUES (142577, 6971, 46, 'लघवी dribbling');
INSERT INTO `lang_definitions` VALUES (142578, 6972, 46, 'लघवी वारंवारता');
INSERT INTO `lang_definitions` VALUES (142579, 6973, 46, 'लघवी अनिश्चितता');
INSERT INTO `lang_definitions` VALUES (142580, 6974, 46, 'लघवी Microalbumin');
INSERT INTO `lang_definitions` VALUES (142581, 6975, 46, 'लघवी प्रवाह');
INSERT INTO `lang_definitions` VALUES (142582, 6976, 46, 'लघवी निकडीच्या');
INSERT INTO `lang_definitions` VALUES (142583, 6977, 46, 'URL मध्ये');
INSERT INTO `lang_definitions` VALUES (142584, 6979, 46, 'LibreEHR समर्थन URL.');
INSERT INTO `lang_definitions` VALUES (142585, 6981, 46, 'फोन गेटवे URL. Maviq द्वारे प्रदान स्वयंचलित VoIP सेवा. अधिक माहितीसाठी http://signup.maviq.com भेट द्या.');
INSERT INTO `lang_definitions` VALUES (142586, 6982, 46, 'पोर्टल समर्थन वर्डप्रेस साइटसाठी URL');
INSERT INTO `lang_definitions` VALUES (142587, 6985, 46, 'वापर');
INSERT INTO `lang_definitions` VALUES (142588, 6986, 46, 'वापर सूचक (ISA15)');
INSERT INTO `lang_definitions` VALUES (142589, 6987, 46, 'फक्त त्या स्तंभ वर्गीकरण शेतात एकटे% वापरा');
INSERT INTO `lang_definitions` VALUES (142590, 6988, 46, '24 तास वेळ स्वरूप वापरायचे?');
INSERT INTO `lang_definitions` VALUES (142591, 6990, 46, 'योग्य असेल तर रुग्णाला त्या स्रोत रुग्ण-विशिष्ट शिक्षण संसाधने ओळखणे आणि प्रदान करण्यासाठी प्रमाणित EHR तंत्रज्ञानाचा वापर.');
INSERT INTO `lang_definitions` VALUES (142592, 6991, 46, 'वापर शुल्क पॅनेल');
INSERT INTO `lang_definitions` VALUES (142593, 6992, 46, 'थेट राज्य, स्थानिक आणि व्यावसायिक निर्देशानुसार वैद्यकीय नोंद मध्ये आदेश प्रविष्ट करू शकता अशा कोणत्याही परवाना आरोग्य व्यावसायिक केलेल्या औषध ऑर्डर CPOE वापरा.');
INSERT INTO `lang_definitions` VALUES (142594, 6997, 46, 'सानुकूल लसीकरण यादी वापरा');
INSERT INTO `lang_definitions` VALUES (142595, 6999, 46, 'वापर तारीख श्रेणी');
INSERT INTO `lang_definitions` VALUES (142596, 7000, 46, 'वापरा डीफॉल्ट');
INSERT INTO `lang_definitions` VALUES (142597, 7001, 46, 'काढा हटवा पर्याय वापरा.');
INSERT INTO `lang_definitions` VALUES (142598, 7002, 46, 'आंतरराष्ट्रीय तारीख शैली वापरण्यासाठी?');
INSERT INTO `lang_definitions` VALUES (142599, 7003, 46, 'वापर स्रोत फाइलनाव');
INSERT INTO `lang_definitions` VALUES (142600, 7004, 46, 'खरेदी किंवा हस्तांतरण खालील फील्ड वापरा.');
INSERT INTO `lang_definitions` VALUES (142601, 7005, 46, 'फक्त नवीन प्रतिष्ठापीत साइट हे वैशिष्ट्य वापरा, ');
INSERT INTO `lang_definitions` VALUES (142602, 7006, 46, 'विषय वापरा?');
INSERT INTO `lang_definitions` VALUES (142603, 7007, 46, 'वापरकर्ता');
INSERT INTO `lang_definitions` VALUES (142604, 7009, 46, 'वापरकर्ता / गट');
INSERT INTO `lang_definitions` VALUES (142605, 7010, 46, 'वापरकर्ता प्रशासन');
INSERT INTO `lang_definitions` VALUES (142606, 7011, 46, 'वापरकर्ता व सुविधा प्रशासन');
INSERT INTO `lang_definitions` VALUES (142607, 7012, 46, 'वापरकर्ता व गट प्रशासन');
INSERT INTO `lang_definitions` VALUES (142608, 7013, 46, 'वापरकर्ता हटविला जाऊ शकत नाही');
INSERT INTO `lang_definitions` VALUES (142609, 7014, 46, 'वापरकर्ता प्रमाणपत्र प्रमाणीकरण अक्षम आहे');
INSERT INTO `lang_definitions` VALUES (142610, 7015, 46, 'वापरकर्ता परिभाषित');
INSERT INTO `lang_definitions` VALUES (142611, 7016, 46, 'वापरकर्ता परिभाषित क्षेत्र 11');
INSERT INTO `lang_definitions` VALUES (142612, 7017, 46, 'वापरकर्ता परिभाषित क्षेत्र 12');
INSERT INTO `lang_definitions` VALUES (142613, 7018, 46, 'वापरकर्ता परिभाषित फील्ड');
INSERT INTO `lang_definitions` VALUES (142614, 7019, 46, 'वापरकर्ता परिभाषित यादी 1');
INSERT INTO `lang_definitions` VALUES (142615, 7020, 46, 'वापरकर्ता परिभाषित यादी 2');
INSERT INTO `lang_definitions` VALUES (142616, 7021, 46, 'वापरकर्ता परिभाषित यादी 3');
INSERT INTO `lang_definitions` VALUES (142617, 7022, 46, 'वापरकर्ता परिभाषित यादी 4');
INSERT INTO `lang_definitions` VALUES (142618, 7023, 46, 'वापरकर्ता परिभाषित यादी 5');
INSERT INTO `lang_definitions` VALUES (142619, 7024, 46, 'वापरकर्ता परिभाषित यादी 6');
INSERT INTO `lang_definitions` VALUES (142620, 7025, 46, 'वापरकर्ता परिभाषित यादी 7');
INSERT INTO `lang_definitions` VALUES (142621, 7026, 46, 'वापरकर्ता परिभाषित मजकूर 1');
INSERT INTO `lang_definitions` VALUES (142622, 7027, 46, 'वापरकर्ता परिभाषित मजकूर 2');
INSERT INTO `lang_definitions` VALUES (142623, 7028, 46, 'वापरकर्ता परिभाषित मजकूर 3');
INSERT INTO `lang_definitions` VALUES (142624, 7029, 46, 'वापरकर्ता परिभाषित मजकूर 4');
INSERT INTO `lang_definitions` VALUES (142625, 7030, 46, 'वापरकर्ता परिभाषित मजकूर 5');
INSERT INTO `lang_definitions` VALUES (142626, 7031, 46, 'वापरकर्ता परिभाषित मजकूर 6');
INSERT INTO `lang_definitions` VALUES (142627, 7032, 46, 'वापरकर्ता परिभाषित मजकूर 7');
INSERT INTO `lang_definitions` VALUES (142628, 7033, 46, 'वापरकर्ता परिभाषित मजकूर 8');
INSERT INTO `lang_definitions` VALUES (142629, 7034, 46, 'वापरकर्ता नाव');
INSERT INTO `lang_definitions` VALUES (142630, 7037, 46, 'वापरकर्ता लॉगॉन (वरील दुसरे 03 मोकळी जागा सोडल्यास) (ISA02)');
INSERT INTO `lang_definitions` VALUES (142631, 7038, 46, 'वापरकर्ता लॉगऑन आवश्यक सूचक (ISA01 ~ 00 किंवा 03 वापर करा)');
INSERT INTO `lang_definitions` VALUES (142632, 7039, 46, 'उपयोगकर्ता पुस्तिका');
INSERT INTO `lang_definitions` VALUES (142633, 7040, 46, 'वापरकर्ता सदस्यता');
INSERT INTO `lang_definitions` VALUES (142634, 7041, 46, 'वापरकर्ता नाव');
INSERT INTO `lang_definitions` VALUES (142635, 7042, 46, 'वापरकर्ता नाव किंवा होस्ट नाव रिकामे असू शकत नाही');
INSERT INTO `lang_definitions` VALUES (142636, 7043, 46, 'वापरकर्ता किंवा होस्ट नाव');
INSERT INTO `lang_definitions` VALUES (142637, 7044, 46, 'वापरकर्ता संकेतशब्द (ISA04 ~ तर वरील 01, जिथे रजा मोकळी जागा)');
INSERT INTO `lang_definitions` VALUES (142638, 7045, 46, 'वापरकर्ता संकेतशब्द सूचक (ISA03 ~ 00 किंवा 01 वापर करा) आवश्यक');
INSERT INTO `lang_definitions` VALUES (142639, 7046, 46, 'वापरकर्ता सेटिंग्ज');
INSERT INTO `lang_definitions` VALUES (142640, 7047, 46, 'वापरकर्ता विशिष्ट सेटिंग');
INSERT INTO `lang_definitions` VALUES (142641, 7048, 46, 'वापरकर्ता  \'चे नवीन पासवर्ड');
INSERT INTO `lang_definitions` VALUES (142642, 7049, 46, 'वापरकर्तानाव');
INSERT INTO `lang_definitions` VALUES (142643, 7051, 46, 'फोन गेटवे वापरकर्त्याचे नाव. Maviq द्वारे प्रदान स्वयंचलित VoIP सेवा. अधिक माहितीसाठी http://signup.maviq.com भेट द्या.');
INSERT INTO `lang_definitions` VALUES (142644, 7052, 46, 'एसएमएस गेटवे वापरकर्त्याचे नाव');
INSERT INTO `lang_definitions` VALUES (142645, 7053, 46, 'एसएमएस गेटवे वापरकर्त्याचे नाव.');
INSERT INTO `lang_definitions` VALUES (142646, 7054, 46, 'CouchDB कनेक्ट वापरकर्त्याचे नाव');
INSERT INTO `lang_definitions` VALUES (142647, 7055, 46, 'वापरकर्तानाव:');
INSERT INTO `lang_definitions` VALUES (142648, 7056, 46, 'वापरकर्ते');
INSERT INTO `lang_definitions` VALUES (142649, 7057, 46, 'वापरकर्ते / गट / नोंदी प्रशासन');
INSERT INTO `lang_definitions` VALUES (142650, 7058, 46, 'PHP <a href=\"http://php.net/strftime\"> जेही काही strftime </a> स्वरूप वापरत');
INSERT INTO `lang_definitions` VALUES (142651, 7059, 46, 'UTIs');
INSERT INTO `lang_definitions` VALUES (142652, 7060, 46, 'उईघुर, उईघुर');
INSERT INTO `lang_definitions` VALUES (142653, 7061, 46, 'उझ्बेक');
INSERT INTO `lang_definitions` VALUES (142654, 7062, 46, 'सुट्टीतील');
INSERT INTO `lang_definitions` VALUES (142655, 7063, 46, 'सुट्टीतील');
INSERT INTO `lang_definitions` VALUES (142656, 7064, 46, 'लस');
INSERT INTO `lang_definitions` VALUES (142657, 7065, 46, 'योनीतून रिंग');
INSERT INTO `lang_definitions` VALUES (142658, 7066, 46, 'समारोप');
INSERT INTO `lang_definitions` VALUES (142659, 7067, 46, 'सत्यापित');
INSERT INTO `lang_definitions` VALUES (142660, 7068, 46, 'मूल्य');
INSERT INTO `lang_definitions` VALUES (142661, 7069, 46, 'मूल्य 1');
INSERT INTO `lang_definitions` VALUES (142662, 7070, 46, 'मूल्य 2');
INSERT INTO `lang_definitions` VALUES (142663, 7072, 46, 'मूल्य संख्यात्मक असावे');
INSERT INTO `lang_definitions` VALUES (142664, 7073, 46, 'Var1');
INSERT INTO `lang_definitions` VALUES (142665, 7074, 46, 'Var2');
INSERT INTO `lang_definitions` VALUES (142666, 7075, 46, 'एक वेरियेबल डी-ओळख सुधारणा स्क्रिप्ट चालवितेवेळी');
INSERT INTO `lang_definitions` VALUES (142667, 7076, 46, 'कांजण्या 1');
INSERT INTO `lang_definitions` VALUES (142668, 7077, 46, 'कांजण्या 2');
INSERT INTO `lang_definitions` VALUES (142669, 7078, 46, 'अशुद्ध रक्तवाहिन्या फुगून झालेल्या गाठींचा नसा');
INSERT INTO `lang_definitions` VALUES (142670, 7079, 46, 'रक्तवहिन्यासंबंधीचा स्थिती');
INSERT INTO `lang_definitions` VALUES (142671, 7080, 46, 'रक्तवहिन्यासंबंधीचा इजा');
INSERT INTO `lang_definitions` VALUES (142672, 7081, 46, 'रक्तवहिन्यासंबंधीचा शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (142673, 7082, 46, 'व्हेंदा');
INSERT INTO `lang_definitions` VALUES (142674, 7083, 46, 'विक्रेता');
INSERT INTO `lang_definitions` VALUES (142675, 7084, 46, 'आवृत्ती');
INSERT INTO `lang_definitions` VALUES (142676, 7085, 46, 'भोवळ');
INSERT INTO `lang_definitions` VALUES (142677, 7086, 46, 'Veteran`s प्रशासन');
INSERT INTO `lang_definitions` VALUES (142678, 7087, 46, 'वृद्धांची प्रशासन योजना');
INSERT INTO `lang_definitions` VALUES (142679, 7088, 46, 'VFC');
INSERT INTO `lang_definitions` VALUES (142680, 7089, 46, 'व्हिएतनामी');
INSERT INTO `lang_definitions` VALUES (142681, 7090, 46, 'दृश्य');
INSERT INTO `lang_definitions` VALUES (142682, 7091, 46, 'पहा');
INSERT INTO `lang_definitions` VALUES (142683, 7092, 46, 'पहा अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (142684, 7093, 46, 'एक x12-835 ईआरए फाइल पहा');
INSERT INTO `lang_definitions` VALUES (142685, 7094, 46, 'पहा बॅच दावा x12 मजकूर');
INSERT INTO `lang_definitions` VALUES (142686, 7097, 46, 'व्यापक रुग्णांच्या अहवाल पहा');
INSERT INTO `lang_definitions` VALUES (142687, 7098, 46, 'सी सपाट दगडी पाट्या पहा');
INSERT INTO `lang_definitions` VALUES (142688, 7100, 46, 'पहा दस्तऐवज');
INSERT INTO `lang_definitions` VALUES (142689, 7101, 46, 'पहा चकमकीत');
INSERT INTO `lang_definitions` VALUES (142690, 7102, 46, 'पहा ईआरए x12 मजकूर');
INSERT INTO `lang_definitions` VALUES (142691, 7103, 46, 'एक पॉपअप विंडो मध्ये पहा कार्यक्रम?');
INSERT INTO `lang_definitions` VALUES (142692, 7104, 46, 'पहा सुविधा विशिष्ट वापरकर्ता माहिती');
INSERT INTO `lang_definitions` VALUES (142693, 7106, 46, 'स्थानिक x12 फाइल पहा');
INSERT INTO `lang_definitions` VALUES (142694, 7107, 46, 'पहा लॉग');
INSERT INTO `lang_definitions` VALUES (142695, 7108, 46, 'पहा पृष्ठ 1');
INSERT INTO `lang_definitions` VALUES (142696, 7109, 46, 'पहा पृष्ठ 2');
INSERT INTO `lang_definitions` VALUES (142697, 7110, 46, 'पहा मागील आणि भविष्यातील स्मरणपत्रे');
INSERT INTO `lang_definitions` VALUES (142698, 7111, 46, 'पहा रुग्णांच्या');
INSERT INTO `lang_definitions` VALUES (142699, 7116, 46, 'पहा संबंधित चकमकी');
INSERT INTO `lang_definitions` VALUES (142700, 7117, 46, 'अहवाल पहा');
INSERT INTO `lang_definitions` VALUES (142701, 7118, 46, 'रीडमी फाइल पहा');
INSERT INTO `lang_definitions` VALUES (142702, 7121, 46, 'पहा / संपादित करा अॅलर्जी');
INSERT INTO `lang_definitions` VALUES (142703, 7122, 46, 'पहा / संपादित करा समस्या');
INSERT INTO `lang_definitions` VALUES (142704, 7123, 46, 'पहा / प्रिंट');
INSERT INTO `lang_definitions` VALUES (142705, 7124, 46, 'पहा:');
INSERT INTO `lang_definitions` VALUES (142706, 7125, 46, 'व्हिसा');
INSERT INTO `lang_definitions` VALUES (142707, 7126, 46, 'व्हिसा / एम / एमेक्स / विरूद्ध');
INSERT INTO `lang_definitions` VALUES (142708, 7127, 46, 'त्यासंबंधी नुकसान / शरीराला झालेली जखम / शस्त्रक्रिया');
INSERT INTO `lang_definitions` VALUES (142709, 7132, 46, 'भेट द्या वर्ग');
INSERT INTO `lang_definitions` VALUES (142710, 7133, 46, 'वर्ग भेट द्या:');
INSERT INTO `lang_definitions` VALUES (142711, 7134, 46, 'भेटीची तारीख');
INSERT INTO `lang_definitions` VALUES (142712, 7135, 46, 'भेटीची तारीख');
INSERT INTO `lang_definitions` VALUES (142713, 7137, 46, 'भेट द्या अर्ज');
INSERT INTO `lang_definitions` VALUES (142714, 7138, 46, 'इतिहासास भेट द्या');
INSERT INTO `lang_definitions` VALUES (142715, 7140, 46, 'भेटी');
INSERT INTO `lang_definitions` VALUES (142716, 7141, 46, 'पासून भेटी');
INSERT INTO `lang_definitions` VALUES (142717, 7142, 46, 'महत्वाच्या चिन्हे');
INSERT INTO `lang_definitions` VALUES (142718, 7143, 46, 'मर्मस्थाने');
INSERT INTO `lang_definitions` VALUES (142719, 7144, 46, 'मर्मस्थाने (मेट्रिक)');
INSERT INTO `lang_definitions` VALUES (142720, 7145, 46, 'मर्मस्थाने फॉर्म पर्याय');
INSERT INTO `lang_definitions` VALUES (142721, 7146, 46, 'आवाज');
INSERT INTO `lang_definitions` VALUES (142722, 7147, 46, 'आवाज पाठविले');
INSERT INTO `lang_definitions` VALUES (142723, 7148, 46, 'ओलापुक');
INSERT INTO `lang_definitions` VALUES (142724, 7149, 46, 'उलट्या होणे');
INSERT INTO `lang_definitions` VALUES (142725, 7151, 46, 'प');
INSERT INTO `lang_definitions` VALUES (142726, 7152, 46, 'कंबर CIRC');
INSERT INTO `lang_definitions` VALUES (142727, 7153, 46, 'कंबर परीघ');
INSERT INTO `lang_definitions` VALUES (142728, 7154, 46, 'प्रतीक्षा करीत आहे');
INSERT INTO `lang_definitions` VALUES (142729, 7155, 46, 'आत या');
INSERT INTO `lang_definitions` VALUES (142730, 7156, 46, 'वालून');
INSERT INTO `lang_definitions` VALUES (142731, 7157, 46, 'वॉल्ट पेनिंग्टन');
INSERT INTO `lang_definitions` VALUES (142732, 7158, 46, 'वखार');
INSERT INTO `lang_definitions` VALUES (142733, 7159, 46, 'वखार कमाल, 0 लागू नाही तर');
INSERT INTO `lang_definitions` VALUES (142734, 7160, 46, 'वखार किमान 0 लागू नाही तर');
INSERT INTO `lang_definitions` VALUES (142735, 7161, 46, 'गोदामांची');
INSERT INTO `lang_definitions` VALUES (142736, 7162, 46, 'उबदार');
INSERT INTO `lang_definitions` VALUES (142737, 7163, 46, 'चेतावणी');
INSERT INTO `lang_definitions` VALUES (142738, 7164, 46, 'चेतावणी');
INSERT INTO `lang_definitions` VALUES (142739, 7166, 46, 'चेतावणी, आधीच डेटाबेस मध्ये अस्तित्वात क्रमांक तपासा');
INSERT INTO `lang_definitions` VALUES (142740, 7167, 46, 'चेतावणी, रुग्णाला समस्या यादीत संदिग्ध कोड आहे!');
INSERT INTO `lang_definitions` VALUES (142741, 7168, 46, 'चेतावणी: एक भेट आधीच आज या रुग्णाला तयार केला होता!');
INSERT INTO `lang_definitions` VALUES (142742, 7169, 46, 'चेतावणी: आपण 2012-10-31 स्पॅनिश आवृत्ती वापरत असाल तर, नंतर आपण (जाहीर फाइल  \"डबल झिप \" होते कारण हे आहे) योगदान / snomed मध्ये ठेऊन आधी एकदा तो अनझिप करणे आवश्यक आहे लक्षात ठेवा.');
INSERT INTO `lang_definitions` VALUES (142743, 7170, 46, 'चेतावणी: रुग्णांच्या आयडी अद्वितीय नाही!');
INSERT INTO `lang_definitions` VALUES (142744, 7171, 46, 'चेतावणी: हा अपलोड फाइल पासून डेटा संरचना माहिती खोडून पुन्हा होईल!');
INSERT INTO `lang_definitions` VALUES (142745, 7173, 46, 'सावधानता');
INSERT INTO `lang_definitions` VALUES (142746, 7175, 46, 'आधीच अपलोड केले');
INSERT INTO `lang_definitions` VALUES (142747, 7176, 46, 'सापडले नाही');
INSERT INTO `lang_definitions` VALUES (142748, 7177, 46, 'आम्ही योग्य शिल्लक प्रॉम्प्ट पेमेंट प्रशंसा');
INSERT INTO `lang_definitions` VALUES (142749, 7178, 46, 'आम्ही आमच्या बाह्यरुग्ण विभागातील मानिसक चिकित्सालय मूल्यमापन आणि उपचारांसाठी आपल्या वरील रुग्ण पाहिले आहे. या रेफरल धन्यवाद.');
INSERT INTO `lang_definitions` VALUES (142750, 7179, 46, 'अशक्तपणा');
INSERT INTO `lang_definitions` VALUES (142751, 7181, 46, 'वेब शोध');
INSERT INTO `lang_definitions` VALUES (142752, 7182, 46, 'वेबसाइट');
INSERT INTO `lang_definitions` VALUES (142753, 7183, 46, 'Onsite रुग्णांच्या पोर्टल वेबसाइट दुवा.');
INSERT INTO `lang_definitions` VALUES (142754, 7184, 46, 'बुध');
INSERT INTO `lang_definitions` VALUES (142755, 7185, 46, 'बुधवारी');
INSERT INTO `lang_definitions` VALUES (142756, 7186, 46, 'आठवडा');
INSERT INTO `lang_definitions` VALUES (142757, 7187, 46, 'आठवड्यात');
INSERT INTO `lang_definitions` VALUES (142758, 7188, 46, 'आठवडा पहा');
INSERT INTO `lang_definitions` VALUES (142759, 7189, 46, 'आठवडा (चे)');
INSERT INTO `lang_definitions` VALUES (142760, 7190, 46, 'साप्ताहिक एक्सपोजर्स्');
INSERT INTO `lang_definitions` VALUES (142761, 7191, 46, 'आठवडे');
INSERT INTO `lang_definitions` VALUES (142762, 7192, 46, 'आठवडे');
INSERT INTO `lang_definitions` VALUES (142763, 7193, 46, 'वजन');
INSERT INTO `lang_definitions` VALUES (142764, 7194, 46, 'मुले आणि पौगंडावस्थेतील वजन मूल्यांकन आणि समुपदेशन');
INSERT INTO `lang_definitions` VALUES (142765, 7195, 46, 'मुले आणि पौगंडावस्थेतील वजन मूल्यांकन आणि समुपदेशन (CQM)');
INSERT INTO `lang_definitions` VALUES (142766, 7196, 46, 'वजन बदला');
INSERT INTO `lang_definitions` VALUES (142767, 7197, 46, 'वजन कमी होणे');
INSERT INTO `lang_definitions` VALUES (142768, 7198, 46, 'वजन कमी होणे चिकित्सालय');
INSERT INTO `lang_definitions` VALUES (142769, 7199, 46, 'आपले स्वागत आहे');
INSERT INTO `lang_definitions` VALUES (142770, 7200, 46, 'वेल्श');
INSERT INTO `lang_definitions` VALUES (142771, 7201, 46, 'पाश्चात्य फ्रिशियन');
INSERT INTO `lang_definitions` VALUES (142772, 7202, 46, 'काय गणना करावी आहे?');
INSERT INTO `lang_definitions` VALUES (142773, 7203, 46, 'Wheezes:');
INSERT INTO `lang_definitions` VALUES (142774, 7204, 46, 'घरघर');
INSERT INTO `lang_definitions` VALUES (142775, 7205, 46, 'घरघर:');
INSERT INTO `lang_definitions` VALUES (142776, 7207, 46, 'पूर्ण झाल्यानंतर, आपल्या आवडी लागू करण्यासाठी (खाली) सबमिट करा क्लिक करा.');
INSERT INTO `lang_definitions` VALUES (142777, 7208, 46, 'कोठे स्कॅन संबंधित शकते किंवा कागदी दस्तऐवज मिलेल?');
INSERT INTO `lang_definitions` VALUES (142778, 7209, 46, 'विम्याची की नाही');
INSERT INTO `lang_definitions` VALUES (142779, 7211, 46, 'Whiplash');
INSERT INTO `lang_definitions` VALUES (142780, 7212, 46, 'व्हाइट');
INSERT INTO `lang_definitions` VALUES (142781, 7213, 46, 'कोण');
INSERT INTO `lang_definitions` VALUES (142782, 7214, 46, 'कोण काय?');
INSERT INTO `lang_definitions` VALUES (142783, 7215, 46, 'विधवा झालेली किंवा विधुर झालेला');
INSERT INTO `lang_definitions` VALUES (142784, 7216, 46, 'रूंदी');
INSERT INTO `lang_definitions` VALUES (142785, 7217, 46, 'डाव्या सुचालन फ्रेम पिक्सेल मध्ये रुंदी.');
INSERT INTO `lang_definitions` VALUES (142786, 7219, 46, 'चेक केलेले आयटम प्लॉट');
INSERT INTO `lang_definitions` VALUES (142787, 7220, 46, 'प्राधान्यकृत भाषा');
INSERT INTO `lang_definitions` VALUES (142788, 7221, 46, 'सह निवडले:');
INSERT INTO `lang_definitions` VALUES (142789, 7222, 46, 'जुन्या नाव');
INSERT INTO `lang_definitions` VALUES (142790, 7224, 46, 'ज्याच्यापाशी आम्हांला एक संदेश देऊ शकतात?');
INSERT INTO `lang_definitions` VALUES (142791, 7225, 46, 'स्थगित');
INSERT INTO `lang_definitions` VALUES (142792, 7226, 46, 'तासांच्या आत');
INSERT INTO `lang_definitions` VALUES (142793, 7227, 46, 'तासांच्या आत:');
INSERT INTO `lang_definitions` VALUES (142794, 7228, 46, 'मिनिटातच');
INSERT INTO `lang_definitions` VALUES (142795, 7229, 46, 'मिनिटातच:');
INSERT INTO `lang_definitions` VALUES (142796, 7230, 46, 'सुविधा न करता');
INSERT INTO `lang_definitions` VALUES (142797, 7231, 46, 'प्रदाता न करता');
INSERT INTO `lang_definitions` VALUES (142798, 7232, 46, 'अद्यतन न करता');
INSERT INTO `lang_definitions` VALUES (142799, 7233, 46, 'साक्षीदार');
INSERT INTO `lang_definitions` VALUES (142800, 7234, 46, 'आठवडा');
INSERT INTO `lang_definitions` VALUES (142801, 7235, 46, 'WNL');
INSERT INTO `lang_definitions` VALUES (142802, 7236, 46, 'वोलोफ');
INSERT INTO `lang_definitions` VALUES (142803, 7237, 46, 'महिला');
INSERT INTO `lang_definitions` VALUES (142804, 7238, 46, 'महिला केवळ');
INSERT INTO `lang_definitions` VALUES (142805, 7239, 46, 'वर्डप्रेस पोर्टल');
INSERT INTO `lang_definitions` VALUES (142806, 7240, 46, 'कार्य');
INSERT INTO `lang_definitions` VALUES (142807, 7241, 46, 'कार्य सुचना');
INSERT INTO `lang_definitions` VALUES (142808, 7242, 46, 'कार्य फोन');
INSERT INTO `lang_definitions` VALUES (142809, 7243, 46, 'कार्य फोन नंबर');
INSERT INTO `lang_definitions` VALUES (142810, 7244, 46, 'संबंधित कार्य?');
INSERT INTO `lang_definitions` VALUES (142811, 7245, 46, 'कार्य / शिक्षण / छंद');
INSERT INTO `lang_definitions` VALUES (142812, 7246, 46, 'कार्य / शाळा टीप');
INSERT INTO `lang_definitions` VALUES (142813, 7247, 46, 'काम करवून घेणे');
INSERT INTO `lang_definitions` VALUES (142814, 7248, 46, 'Worker`s नुकसान भरपाई');
INSERT INTO `lang_definitions` VALUES (142815, 7249, 46, 'कामगार भरपाई आरोग्य योजना');
INSERT INTO `lang_definitions` VALUES (142816, 7250, 46, 'नियोक्ता गट आरोग्य योजना ज्येष्ठ नागरीक लाभार्थी किंवा जोडीदार काम');
INSERT INTO `lang_definitions` VALUES (142817, 7251, 46, 'कार्यरत आहे ... हे एक मिनिट लागू शकतो.');
INSERT INTO `lang_definitions` VALUES (142818, 7252, 46, 'वाईट');
INSERT INTO `lang_definitions` VALUES (142819, 7253, 46, 'तुम्ही जागतिक खाते लागू करण्यासाठी रक्कम इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142820, 7254, 46, 'आपण साफ म्हणून त्यांना चिन्हांकित करणे आवडेल.');
INSERT INTO `lang_definitions` VALUES (142821, 7255, 46, 'आपण वाटप करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142822, 7256, 46, 'आपण या रुग्णांच्या वितरण रद्द करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142823, 7257, 46, 'आपण भरणा वितरण हटवा करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142824, 7258, 46, 'देयके हटवा करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142825, 7259, 46, 'आपण समाप्त पेमेंट संपादीत करा व करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142826, 7260, 46, 'देयके संपादीत करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142827, 7261, 46, 'आपण समाप्त पेमेंट पोस्ट करा आणि करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142828, 7262, 46, 'देयके पोस्ट करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142829, 7263, 46, 'आपण जतन करू इच्छिता?');
INSERT INTO `lang_definitions` VALUES (142830, 7264, 46, 'मनगट');
INSERT INTO `lang_definitions` VALUES (142831, 7265, 46, 'मनगट आणि हात');
INSERT INTO `lang_definitions` VALUES (142832, 7266, 46, 'मनगट समस्या');
INSERT INTO `lang_definitions` VALUES (142833, 7267, 46, 'लिहा');
INSERT INTO `lang_definitions` VALUES (142834, 7268, 46, 'बंद लिहू');
INSERT INTO `lang_definitions` VALUES (142835, 7269, 46, 'एकदा लिहा');
INSERT INTO `lang_definitions` VALUES (142836, 7270, 46, 'wsome');
INSERT INTO `lang_definitions` VALUES (142837, 7271, 46, 'WT');
INSERT INTO `lang_definitions` VALUES (142838, 7273, 46, 'नाम रद्द');
INSERT INTO `lang_definitions` VALUES (142839, 7274, 46, 'नाम रद्द');
INSERT INTO `lang_definitions` VALUES (142840, 7275, 46, 'क्ष-किरण');
INSERT INTO `lang_definitions` VALUES (142841, 7276, 46, 'एक्स-रे इंटरप्रिटेशन');
INSERT INTO `lang_definitions` VALUES (142842, 7277, 46, 'एक्स-रे इंटरप्रिटेशन');
INSERT INTO `lang_definitions` VALUES (142843, 7278, 46, 'X12 फक्त: बदलण्याचे दावा ');
INSERT INTO `lang_definitions` VALUES (142844, 7279, 46, 'X12 भागीदार');
INSERT INTO `lang_definitions` VALUES (142845, 7280, 46, 'X12 भागीदार');
INSERT INTO `lang_definitions` VALUES (142846, 7281, 46, 'x12 मजकूर');
INSERT INTO `lang_definitions` VALUES (142847, 7282, 46, 'खोसा');
INSERT INTO `lang_definitions` VALUES (142848, 7284, 46, 'युवराज');
INSERT INTO `lang_definitions` VALUES (142849, 7285, 46, 'वर्ष');
INSERT INTO `lang_definitions` VALUES (142850, 7286, 46, 'वर्ष');
INSERT INTO `lang_definitions` VALUES (142851, 7287, 46, 'वर्ष पहा');
INSERT INTO `lang_definitions` VALUES (142852, 7288, 46, 'वर्ष (चे)');
INSERT INTO `lang_definitions` VALUES (142853, 7289, 46, 'वर्ष');
INSERT INTO `lang_definitions` VALUES (142854, 7290, 46, 'वर्षे किंवा महिने');
INSERT INTO `lang_definitions` VALUES (142855, 7291, 46, 'वर्ष, महिने आणि दिवस');
INSERT INTO `lang_definitions` VALUES (142856, 7292, 46, 'होय');
INSERT INTO `lang_definitions` VALUES (142857, 7293, 46, 'होय');
INSERT INTO `lang_definitions` VALUES (142858, 7294, 46, 'होय');
INSERT INTO `lang_definitions` VALUES (142859, 7295, 46, 'होय!');
INSERT INTO `lang_definitions` VALUES (142860, 7296, 46, 'होय, हटवा आणि लॉग');
INSERT INTO `lang_definitions` VALUES (142861, 7298, 46, 'होय नाही');
INSERT INTO `lang_definitions` VALUES (142862, 7299, 46, 'होय:');
INSERT INTO `lang_definitions` VALUES (142863, 7300, 46, 'यिद्दी');
INSERT INTO `lang_definitions` VALUES (142864, 7301, 46, 'योरूबा');
INSERT INTO `lang_definitions` VALUES (142865, 7303, 46, 'आपण कायमचे विद्यमान टेम्प्लेट पुनर्स्थित आहेत. तुम्हाला नक्की पुढे जायचे?');
INSERT INTO `lang_definitions` VALUES (142866, 7304, 46, 'आपण देवाची कृपा लॉग-इन काळात आहेत. आपल्याला आपला संकेतशब्द बदला');
INSERT INTO `lang_definitions` VALUES (142867, 7305, 46, 'आपण हा कार्यक्रम हटवू परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (142868, 7306, 46, 'हा कार्यक्रम संपादित करण्याची परवानगी नाही');
INSERT INTO `lang_definitions` VALUES (142869, 7307, 46, 'आपण या अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (142870, 7308, 46, 'आपण या संघात प्रवेश करण्यास अधिकृत नाही आहेत.');
INSERT INTO `lang_definitions` VALUES (142871, 7309, 46, 'आपण / संपादित करा मुद्दे जोडण्यासाठी अधिकृत नाही');
INSERT INTO `lang_definitions` VALUES (142872, 7310, 46, 'आपण भेटी शेड्यूल अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (142873, 7311, 46, 'आपण या चकमकीत पाहण्यासाठी अधिकृत नाही.');
INSERT INTO `lang_definitions` VALUES (142874, 7312, 46, 'आपण जुन्या चकमकीत विरुद्ध पोस्ट आहेत?');
INSERT INTO `lang_definitions` VALUES (142875, 7313, 46, 'आपण थेट हे कार्य प्रवेश करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142876, 7314, 46, 'आपण थेट या पृष्ठावर प्रवेश करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142877, 7315, 46, 'आपण एक श्रेणी एक रिक्त मूल्य जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (142878, 7316, 46, 'आपण फक्त खालील उपवर्ग एक रिक्त मूल्य जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (142879, 7317, 46, 'आपण एक आयटम एक रिक्त मूल्य जोडू शकत नाही!');
INSERT INTO `lang_definitions` VALUES (142880, 7318, 46, 'आपण होय एक पूर्ण मूल्य भावी तारीख प्रविष्ट करू शकत नाही.');
INSERT INTO `lang_definitions` VALUES (142881, 7319, 46, 'आपण कोणत्याही क्रिया निवडा नाही.');
INSERT INTO `lang_definitions` VALUES (142882, 7320, 46, 'आपण पाहण्यासाठी प्रवेश नाही / हे लक्षात ठेवा संपादित');
INSERT INTO `lang_definitions` VALUES (142883, 7321, 46, 'आपण लॉक केलेले आहे, जे सामग्री बदलू करण्याचा प्रयत्न केला आहे. आपण हे करू इच्छित असल्यास लॉक काढून टाका. ओळ, काढून टाकणे, अनलॉक करण्यासाठी, \'/ * लॉक :: * /\'');
INSERT INTO `lang_definitions` VALUES (142884, 7322, 46, 'आपण यशस्वीरित्या लॉग आउट केले आहे.');
INSERT INTO `lang_definitions` VALUES (142885, 7323, 46, 'आपण फक्त फाइल .txt अपलोड करू शकता');
INSERT INTO `lang_definitions` VALUES (142886, 7324, 46, 'आपण वैकल्पिकरित्या एक फाइल पासून HL7 परिणाम अपलोड करू शकता');
INSERT INTO `lang_definitions` VALUES (142887, 7325, 46, 'आपण नवीन रुग्णांच्या चकमकीत स्वरूपात मुलभूत तक्रार म्हणून मजकूर येथे ठेवा शकते.');
INSERT INTO `lang_definitions` VALUES (142888, 7326, 46, 'आपण दस्तऐवज कूटबद्ध करण्यासाठी पास वाक्यांश प्रविष्ट करणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (142889, 7327, 46, 'आपण वापरकर्ता संकेतशब्द बदलण्यासाठी आपल्या स्वत: च्या संकेतशब्द प्रविष्ट करणे आवश्यक आहे. जसाच्या तसा पासवर्ड ठेवणे रिक्त सोडा.');
INSERT INTO `lang_definitions` VALUES (142890, 7329, 46, 'आपण प्रथम निवडण्यासाठी किंवा रुग्णाला जोडणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142891, 7330, 46, 'आपण प्रथम निवडा किंवा चकमकीत तयार करणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142892, 7331, 46, 'आपण भेट श्रेणी निवडणे आवश्यक आहे');
INSERT INTO `lang_definitions` VALUES (142893, 7332, 46, 'आपण भेट श्रेणी निवडणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142894, 7333, 46, 'आपण सुरू ठेवण्यासाठी काही फील्ड निवडणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142895, 7334, 46, 'हा हक्क यशस्वीरित्या निर्माण दर्शन दिले असेल तर तुम्ही हा चाचणी चालू पाहिजे परंतु प्रत्यक्ष हक्क फाइल कोणताही डेटा किंवा असू नवं पुस्तक घेऊन येतो डेटा रक्कम केवळ एक अपूर्ण भाग असू शकत नाही. X12 तो दावा योग्य पूर्ण असेल तर निर्धारित करण्यासाठी एक अधिक कठीण प्रक्रिया आहे दावा ते, वाचनीय मानवी आहेत कारण HCFA हक्क स्पष्ट आहे.');
INSERT INTO `lang_definitions` VALUES (142896, 7335, 46, 'आपण कमीत कमी एक संदर्भ निवडा पाहिजे');
INSERT INTO `lang_definitions` VALUES (142897, 7336, 46, 'आपण कमीत कमी एक प्रदाता निवडा पाहिजे');
INSERT INTO `lang_definitions` VALUES (142898, 7338, 46, 'आपले क्लिनिकल अहवाल');
INSERT INTO `lang_definitions` VALUES (142899, 7339, 46, 'आपले अंतिम तारीख अवैध आहे');
INSERT INTO `lang_definitions` VALUES (142900, 7340, 46, 'आपला कार्यक्रम हटवला गेला आहे.');
INSERT INTO `lang_definitions` VALUES (142901, 7341, 46, 'आपला कार्यक्रम बदलण्यात आला आहे.');
INSERT INTO `lang_definitions` VALUES (142902, 7342, 46, 'आपला कार्यक्रम सादर केले गेले.');
INSERT INTO `lang_definitions` VALUES (142903, 7343, 46, 'आपली फाईल बरीच मोठी आहे');
INSERT INTO `lang_definitions` VALUES (142904, 7344, 46, 'आपले लॅब परिणाम');
INSERT INTO `lang_definitions` VALUES (142905, 7345, 46, 'आपले यादी नाव नाव गरजा पूर्ण करण्यासाठी बदलण्यात आले आहे.');
INSERT INTO `lang_definitions` VALUES (142906, 7346, 46, 'आपला संदेश डिलिव्हरी सादर करण्यात आला होता');
INSERT INTO `lang_definitions` VALUES (142907, 7347, 46, 'या वर्गात, प्रक्रिया किंवा परिणाम आपले नाव');
INSERT INTO `lang_definitions` VALUES (142908, 7348, 46, 'आपला संकेतशब्द');
INSERT INTO `lang_definitions` VALUES (142909, 7349, 46, 'आपला संकेतशब्द कालबाह्य झाला. कृपया आपला संकेतशब्द बदला.');
INSERT INTO `lang_definitions` VALUES (142910, 7350, 46, 'आपला पासवर्ड कालबाह्य होत आहे');
INSERT INTO `lang_definitions` VALUES (142911, 7351, 46, 'आपला संकेतशब्द आज कालबाह्य. कृपया आपला संकेतशब्द बदला.');
INSERT INTO `lang_definitions` VALUES (142912, 7352, 46, 'तुमचा पासवर्ड तुमच्या स्वाक्षरी आहे');
INSERT INTO `lang_definitions` VALUES (142913, 7353, 46, 'आपले PostCalendar संरचना पूर्वनिर्धारित वापर रीसेट केले आहे.');
INSERT INTO `lang_definitions` VALUES (142914, 7354, 46, 'आपले PostCalendar संरचना सुधारीत केले आहे.');
INSERT INTO `lang_definitions` VALUES (142915, 7355, 46, 'आपले पुनरावृत्ती वारंवारता एक पूर्णांक असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142916, 7356, 46, 'आपले पुनरावृत्ती वारंवारता किमान 1 असणे आवश्यक आहे.');
INSERT INTO `lang_definitions` VALUES (142917, 7357, 46, 'आपले प्रारंभ तारीख आपल्या अंतिम तारीख पेक्षा जास्त आहे');
INSERT INTO `lang_definitions` VALUES (142918, 7358, 46, 'आपले प्रारंभ तारीख अवैध आहे');
INSERT INTO `lang_definitions` VALUES (142919, 7359, 46, 'आपले सबमिशन अयशस्वी.');
INSERT INTO `lang_definitions` VALUES (142920, 7360, 46, 'वर्ष-mm-dd या');
INSERT INTO `lang_definitions` VALUES (142921, 7361, 46, 'YYYY-MM-डीडी');
INSERT INTO `lang_definitions` VALUES (142922, 7362, 46, 'वर्ष-mm-dd या तारीख दस्तऐवज संबद्ध');
INSERT INTO `lang_definitions` VALUES (142923, 7363, 46, 'वर्ष-mm-dd या तारीख नष्ट');
INSERT INTO `lang_definitions` VALUES (142924, 7364, 46, 'जन्म वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142925, 7365, 46, 'जन्म वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142926, 7366, 46, 'समाप्तिची वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142927, 7367, 46, 'दिसायला लागायच्या किंवा दवाखान्यात भरती वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142928, 7368, 46, 'वर्ष-mm-dd या लागायच्या, शस्त्रक्रिया तारीख किंवा औषधोपचार सुरू');
INSERT INTO `lang_definitions` VALUES (142929, 7369, 46, 'खरेदी किंवा हस्तांतरण वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142930, 7370, 46, 'वर्ष-mm-dd या पुनर्प्राप्ती तारीख किंवा औषधोपचार शेवटी');
INSERT INTO `lang_definitions` VALUES (142931, 7371, 46, 'परत वर्ष-mm-dd या तारीख खेळण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142932, 7372, 46, 'सेवा वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142933, 7373, 46, 'या पत्राची वर्ष-mm-dd या तारीख');
INSERT INTO `lang_definitions` VALUES (142934, 7374, 46, 'वर्ष-mm-dd या अद्ययावत खेळण्यासाठी परत');
INSERT INTO `lang_definitions` VALUES (142935, 7375, 46, 'वर्ष-mm-dd या दस्तऐवज तारीख');
INSERT INTO `lang_definitions` VALUES (142936, 7376, 46, 'वर्ष-mm-dd या कार्यक्रम तारीख किंवा सुरू तारीख');
INSERT INTO `lang_definitions` VALUES (142937, 7377, 46, 'वर्ष-mm-dd या एच: मीटर शेवटची तारीख');
INSERT INTO `lang_definitions` VALUES (142938, 7378, 46, 'वर्ष-mm-dd या एच: मीटर समाप्ती तारीख');
INSERT INTO `lang_definitions` VALUES (142939, 7379, 46, 'वर्ष-mm-dd या एच: मीटर प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (142940, 7380, 46, 'वर्ष-mm-dd या एच: मीटर प्रारंभ तारीख');
INSERT INTO `lang_definitions` VALUES (142941, 7381, 46, 'वर्ष-MM-DD HH:-mm-ss');
INSERT INTO `lang_definitions` VALUES (142942, 7382, 46, 'वर्ष-mm-dd या तास (24): मिनिटे');
INSERT INTO `lang_definitions` VALUES (142943, 7383, 46, 'हा कार्यक्रम करण्याची शेवटची तारीख वर्ष-mm-dd');
INSERT INTO `lang_definitions` VALUES (142944, 7385, 46, 'ZEF विभाग अंतर्गत त्रुटी');
INSERT INTO `lang_definitions` VALUES (142945, 7386, 46, 'तुलनात्मक अभ्यासात विभाग');
INSERT INTO `lang_definitions` VALUES (142946, 7387, 46, 'शून्य');
INSERT INTO `lang_definitions` VALUES (142947, 7388, 46, 'झुआंग, चुआंग');
INSERT INTO `lang_definitions` VALUES (142948, 7389, 46, 'पिन');
INSERT INTO `lang_definitions` VALUES (142949, 7390, 46, 'पिनकोड');
INSERT INTO `lang_definitions` VALUES (142950, 7391, 46, 'पिन / देश:');
INSERT INTO `lang_definitions` VALUES (142951, 7392, 46, 'झुलू');
INSERT INTO `lang_definitions` VALUES (142952, 7393, 46, '  पण ');
INSERT INTO `lang_definitions` VALUES (142953, 7394, 46, '  प्रवेश करता येत नाही.');
INSERT INTO `lang_definitions` VALUES (142954, 7395, 46, ' आपण खरोखर हटवू इच्छिता का');
INSERT INTO `lang_definitions` VALUES (142955, 7396, 46, ' औषध');
INSERT INTO `lang_definitions` VALUES (142956, 7397, 46, ' ईमेल पाठवले नाही');
INSERT INTO `lang_definitions` VALUES (142957, 7398, 46, ' पासून');
INSERT INTO `lang_definitions` VALUES (142958, 7399, 46, ' तयार केले गेले आहे. ');
INSERT INTO `lang_definitions` VALUES (142959, 7400, 46, ' करण्यात आली आहे पुन्हा उघडले.');
INSERT INTO `lang_definitions` VALUES (142960, 7401, 46, ' इतिहास');
INSERT INTO `lang_definitions` VALUES (142961, 7402, 46, ' क्रमांक नाही');
INSERT INTO `lang_definitions` VALUES (142962, 7403, 46, ' पुन्हा बिलिंग तयार आहे.');
INSERT INTO `lang_definitions` VALUES (142963, 7404, 46, ' LLL:');
INSERT INTO `lang_definitions` VALUES (142964, 7405, 46, ' लोट');
INSERT INTO `lang_definitions` VALUES (142965, 7406, 46, ' मेडीकेडची मूळ संदर्भ क्रमांक ');
INSERT INTO `lang_definitions` VALUES (142966, 7407, 46, ' मि');
INSERT INTO `lang_definitions` VALUES (142967, 7408, 46, ' आढळले नाही!');
INSERT INTO `lang_definitions` VALUES (142968, 7409, 46, ' अनेक ब्राउझरमध्ये Pecularities आउटपुट खाली अचानक jerks आपल्या स्क्रीन प्रवेश करतो आणि गोष्टी क्रॅश असावे तरी म्हणून दिसते जेथे अनेक सेकंद लांब थांबणे आहेत शकतो. त्या बाबतीत नाही, शेवटी आपण आउटपुट ओळ ओळ येताना पाहतील. खाली दिसणार्या घडणारा संख्या असू शकते, हे अगदी दुसरे काहीच तरी वर जात क्रियाकलाप आहे प्रदर्शित केले जाऊ शकते सूचित आहे. या संख्या बिलिंग सामग्री आलटून पालटून जाईल आणि त्या सामान्य आहे.');
INSERT INTO `lang_definitions` VALUES (142969, 7410, 46, ' नियम त्याच्या मर्यादा गाठली आहे');
INSERT INTO `lang_definitions` VALUES (142970, 7411, 46, ' पर्यंत');
INSERT INTO `lang_definitions` VALUES (142971, 7412, 46, ' सुधारणा डेटाबेसमध्ये नाही, अयशस्वी?');
INSERT INTO `lang_definitions` VALUES (142972, 7413, 46, ' फक्त बिल म्हणून चिन्हांकित करण्यात आला.');
INSERT INTO `lang_definitions` VALUES (142973, 7414, 46, ' यशस्वीरित्या रांगेत होते.');
INSERT INTO `lang_definitions` VALUES (142974, 7415, 46, '! / O भेट वाईड बाकी');
INSERT INTO `lang_definitions` VALUES (142975, 7416, 46, '\"कोड');
INSERT INTO `lang_definitions` VALUES (142976, 7417, 46, '\"PostCalendar सेटिंग्ज चेक-इन केले आहे!');
INSERT INTO `lang_definitions` VALUES (142977, 7418, 46, '# इन / कल्ला समस्या');
INSERT INTO `lang_definitions` VALUES (142978, 7419, 46, 'गोळ्या #:');
INSERT INTO `lang_definitions` VALUES (142979, 7420, 46, '$');
INSERT INTO `lang_definitions` VALUES (142980, 7421, 46, '$ केले कोडींग');
INSERT INTO `lang_definitions` VALUES (142981, 7422, 46, '$ लेबल (वर्ष-mm-dd या): ');
INSERT INTO `lang_definitions` VALUES (142982, 7423, 46, '%');
INSERT INTO `lang_definitions` VALUES (142983, 7424, 46, '% रद्द <24');
INSERT INTO `lang_definitions` VALUES (142984, 7425, 46, '% रद्द <24 ');
INSERT INTO `lang_definitions` VALUES (142985, 7426, 46, 'विद्यमान पण नाही पाहिजे.');
INSERT INTO `lang_definitions` VALUES (142986, 7427, 46, '(% _ कुठलेही अक्षर सामने, कोणत्याही स्ट्रिंग सामने)');
INSERT INTO `lang_definitions` VALUES (142987, 7428, 46, '([Ctrl] + अनेक प्राप्तकर्ता निवडण्यासाठी क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (142988, 7429, 46, '(परत)');
INSERT INTO `lang_definitions` VALUES (142989, 7430, 46, '(संपादित करण्यासाठी क्लिक करा)');
INSERT INTO `lang_definitions` VALUES (142990, 7431, 46, '(स्वयंचलित VOIP पुढील प्रक्रिया सेवा प्रदाता पाठविले आहे, तर ई-मेल वितरण तातडीने आहे.)');
INSERT INTO `lang_definitions` VALUES (142991, 7432, 46, '(अधिक)');
INSERT INTO `lang_definitions` VALUES (142992, 7433, 46, '(नवीन रुग्णांच्या)');
INSERT INTO `lang_definitions` VALUES (142993, 7434, 46, '(नोट्स आणि अधिकृत)');
INSERT INTO `lang_definitions` VALUES (142994, 7435, 46, '(रुग्णांच्या टिपा)');
INSERT INTO `lang_definitions` VALUES (142995, 7436, 46, '(या एक निवडा, किंवा आपल्या स्वत: शीर्षक टाइप करा)');
INSERT INTO `lang_definitions` VALUES (142996, 7437, 46, '(Shift-) वर क्लिक करा किंवा ड्रॅग मूल्य बदलण्यासाठी');
INSERT INTO `lang_definitions` VALUES (142997, 7438, 46, '* स्मरण केले');
INSERT INTO `lang_definitions` VALUES (142998, 7439, 46, '** मुद्दे शस्त्रक्रिया हलवा करा!');
INSERT INTO `lang_definitions` VALUES (142999, 7440, 46, '* आवश्यक');
INSERT INTO `lang_definitions` VALUES (143000, 7441, 46, '#ERROR!');
INSERT INTO `lang_definitions` VALUES (143001, 7442, 46, '- नाही');
INSERT INTO `lang_definitions` VALUES (143002, 7443, 46, '- सर्व -');
INSERT INTO `lang_definitions` VALUES (143003, 7444, 46, '--Select Role--');
INSERT INTO `lang_definitions` VALUES (143004, 7445, 46, '.');
INSERT INTO `lang_definitions` VALUES (143005, 7446, 46, '0');
INSERT INTO `lang_definitions` VALUES (143006, 7447, 46, '0-10');
INSERT INTO `lang_definitions` VALUES (143007, 7448, 46, '0-24');
INSERT INTO `lang_definitions` VALUES (143008, 7449, 46, '02/12 {{ग्लोबल मध्ये सीएमएस 1500 स्वरूप तारीख पुनरावृत्ती सेटिंग}}');
INSERT INTO `lang_definitions` VALUES (143009, 7450, 46, '08/05 {{ग्लोबल मध्ये सीएमएस 1500 स्वरूप तारीख पुनरावृत्ती सेटिंग}}');
INSERT INTO `lang_definitions` VALUES (143010, 7451, 46, '1');
INSERT INTO `lang_definitions` VALUES (143011, 7452, 46, '1 = उत्तर अमेरिका. इतर देश कोड यादी http://www.wtng.info/ पहा.');
INSERT INTO `lang_definitions` VALUES (143012, 7453, 46, 'आता 1 दिवस');
INSERT INTO `lang_definitions` VALUES (143013, 7454, 46, 'आता 1 महिना');
INSERT INTO `lang_definitions` VALUES (143014, 7455, 46, '1 आठवडा आता पासून');
INSERT INTO `lang_definitions` VALUES (143015, 7456, 46, '1 वर्ष आता पासून');
INSERT INTO `lang_definitions` VALUES (143016, 7457, 46, 'पाय नाण्यासारखा किंवा फिकट गुलाबी रंग 4. चढवणे पाय आणि पाय विकसित तोपर्यंत दोन दिवस 1.Rest 2. बर्फ 3. संक्षेप ठिकाणी जमिनीच्या पृष्ठभागावर खत घालणे सोडून');
INSERT INTO `lang_definitions` VALUES (143017, 7458, 46, '11-14');
INSERT INTO `lang_definitions` VALUES (143018, 7459, 46, '12 तास');
INSERT INTO `lang_definitions` VALUES (143019, 7460, 46, '15-19');
INSERT INTO `lang_definitions` VALUES (143020, 7461, 46, '1');
INSERT INTO `lang_definitions` VALUES (143021, 7462, 46, '2');
INSERT INTO `lang_definitions` VALUES (143022, 7463, 46, '2 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (143023, 7464, 46, '2 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143024, 7465, 46, '2 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (143025, 7466, 46, '2 वर्षे आता पासून');
INSERT INTO `lang_definitions` VALUES (143026, 7467, 46, '2-20 वर्षे');
INSERT INTO `lang_definitions` VALUES (143027, 7468, 46, '20-24');
INSERT INTO `lang_definitions` VALUES (143028, 7469, 46, '2011 ऑटोमेटेड माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (143029, 7470, 46, '2011 क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (143030, 7471, 46, '2011 अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (143031, 7472, 46, '2014 ऑटोमेटेड माप गणना (एएमसी)');
INSERT INTO `lang_definitions` VALUES (143032, 7475, 46, '2014 क्लिनिकल गुणवत्ता उपाय (CQM)');
INSERT INTO `lang_definitions` VALUES (143033, 7476, 46, '2014 अधिकृत क्लिनिकल गुणवत्ता उपाय (CQM) माप गट');
INSERT INTO `lang_definitions` VALUES (143034, 7477, 46, '2111-13');
INSERT INTO `lang_definitions` VALUES (143035, 7478, 46, '24 तास');
INSERT INTO `lang_definitions` VALUES (143036, 7479, 46, '25+');
INSERT INTO `lang_definitions` VALUES (143037, 7480, 46, '25-29');
INSERT INTO `lang_definitions` VALUES (143038, 7481, 46, '2');
INSERT INTO `lang_definitions` VALUES (143039, 7482, 46, '3 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (143040, 7483, 46, '3 महिने');
INSERT INTO `lang_definitions` VALUES (143041, 7484, 46, '3 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143042, 7485, 46, '3 वेळा दररोज');
INSERT INTO `lang_definitions` VALUES (143043, 7486, 46, '3 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (143044, 7487, 46, '30-34');
INSERT INTO `lang_definitions` VALUES (143045, 7488, 46, '35-39');
INSERT INTO `lang_definitions` VALUES (143046, 7489, 46, '3');
INSERT INTO `lang_definitions` VALUES (143047, 7490, 46, '4 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (143048, 7491, 46, '4 महिने');
INSERT INTO `lang_definitions` VALUES (143049, 7492, 46, '4 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143050, 7493, 46, '4 वेळा रोज');
INSERT INTO `lang_definitions` VALUES (143051, 7494, 46, '4 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (143052, 7495, 46, '40-44');
INSERT INTO `lang_definitions` VALUES (143053, 7496, 46, '45+');
INSERT INTO `lang_definitions` VALUES (143054, 7497, 46, '465,9, URI वर');
INSERT INTO `lang_definitions` VALUES (143055, 7498, 46, '466,0, ब्राँकायटिस, तीव्र NOS');
INSERT INTO `lang_definitions` VALUES (143056, 7499, 46, '486,0, न्यूमोनिया, तीव्र');
INSERT INTO `lang_definitions` VALUES (143057, 7500, 46, '491,21, COPD तीव्रता');
INSERT INTO `lang_definitions` VALUES (143058, 7501, 46, '491,8, ब्राँकायटिस, तीव्र');
INSERT INTO `lang_definitions` VALUES (143059, 7502, 46, '493,92, दमा, तीव्र Exac.');
INSERT INTO `lang_definitions` VALUES (143060, 7503, 46, '496,0, COPD');
INSERT INTO `lang_definitions` VALUES (143061, 7504, 46, '4');
INSERT INTO `lang_definitions` VALUES (143062, 7505, 46, '5 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (143063, 7506, 46, '5 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143064, 7507, 46, '5 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (143065, 7508, 46, '519,7, श्वासवाहिन्यांमधील बिनपट्टयांच्या स्नायूंच्या आकस्मिक आकुंचनामुळे श्वसनास होणारा अडथळा');
INSERT INTO `lang_definitions` VALUES (143066, 7509, 46, '5');
INSERT INTO `lang_definitions` VALUES (143067, 7510, 46, '6 दिवस आता पासून');
INSERT INTO `lang_definitions` VALUES (143068, 7511, 46, '6 महिने');
INSERT INTO `lang_definitions` VALUES (143069, 7512, 46, '6 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143070, 7513, 46, '6 आठवडे आता पासून');
INSERT INTO `lang_definitions` VALUES (143071, 7514, 46, '6');
INSERT INTO `lang_definitions` VALUES (143072, 7515, 46, '7 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143073, 7516, 46, '8 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143074, 7517, 46, '824,0 फ्रॅक्चर, सरासरीचा घोटा, बंद');
INSERT INTO `lang_definitions` VALUES (143075, 7518, 46, '824,2 फ्रॅक्चर, बाजूकडील घोटा, बंद');
INSERT INTO `lang_definitions` VALUES (143076, 7519, 46, '824,6 फ्रॅक्चर, Trimalleolar बंद');
INSERT INTO `lang_definitions` VALUES (143077, 7520, 46, '825,32 फ्रॅक्चर, होडीच्या आकाराचे च्या (घोट्याच्या)');
INSERT INTO `lang_definitions` VALUES (143078, 7521, 46, '825,35 फ्रॅक्चर पाचव्या (5) पायाभूत पायाचा घोटा व पायाची बोटे जोडणार्या पाच अस्थीपैकी एक');
INSERT INTO `lang_definitions` VALUES (143079, 7522, 46, '845,00 घोट्याच्या लचक NOS');
INSERT INTO `lang_definitions` VALUES (143080, 7523, 46, '845,01 लचक सरासरीचा (त्रिकोणी) अल्प.');
INSERT INTO `lang_definitions` VALUES (143081, 7524, 46, '845,02 लचक, Calcaneal fibular');
INSERT INTO `lang_definitions` VALUES (143082, 7525, 46, '9 महिने आता पासून');
INSERT INTO `lang_definitions` VALUES (143083, 7526, 46, '99212 स्थापना - uncomplicated');
INSERT INTO `lang_definitions` VALUES (143084, 7527, 46, '99213 स्थापना - कमी जटिलता');
INSERT INTO `lang_definitions` VALUES (143085, 7528, 46, '<परीक्षा खोलीत');
INSERT INTO `lang_definitions` VALUES (143086, 7529, 46, '> बाहेर चेक-इन');
INSERT INTO `lang_definitions` VALUES (143087, 7530, 46, '?');
INSERT INTO `lang_definitions` VALUES (143088, 7531, 46, '? कोणताही शो');
INSERT INTO `lang_definitions` VALUES (143089, 7532, 46, '@ आगमन');
INSERT INTO `lang_definitions` VALUES (143090, 7533, 46, '[बदला पहा]');
INSERT INTO `lang_definitions` VALUES (143091, 7534, 46, '[शेवटच्या चकमकीत तारीख]');
INSERT INTO `lang_definitions` VALUES (143092, 7535, 46, '[शेवटच्या चकमकीत असल्याने दिवस]');
INSERT INTO `lang_definitions` VALUES (143093, 7536, 46, '[EOBs]');
INSERT INTO `lang_definitions` VALUES (143094, 7537, 46, '[निर्यात OFX]');
INSERT INTO `lang_definitions` VALUES (143095, 7538, 46, '[शिफारस केलेली नाही]');
INSERT INTO `lang_definitions` VALUES (143096, 7539, 46, '[चकमक क्रमांक]');
INSERT INTO `lang_definitions` VALUES (143097, 7540, 46, '[अहवाल]');
INSERT INTO `lang_definitions` VALUES (143098, 7541, 46, '[सर्व निवडा]');
INSERT INTO `lang_definitions` VALUES (143099, 7542, 46, '[एस क्यू एल-लेजर]');
INSERT INTO `lang_definitions` VALUES (143100, 7543, 46, '[प्रारंभ बॅच प्रक्रिया]');
INSERT INTO `lang_definitions` VALUES (143101, 7544, 46, '[पहा लॉग]');
INSERT INTO `lang_definitions` VALUES (143102, 7545, 46, '[पहा प्रिंट अहवाल]');
INSERT INTO `lang_definitions` VALUES (143103, 7546, 46, '_PC_DUR_HOURS');
INSERT INTO `lang_definitions` VALUES (143104, 7547, 46, '_PC_DUR_MINUTES');
INSERT INTO `lang_definitions` VALUES (143105, 7548, 46, '_PC_LOCALE');
INSERT INTO `lang_definitions` VALUES (143106, 7549, 46, '~ उशीरा आगमन');
INSERT INTO `lang_definitions` VALUES (143107, 1, 47, 'A');
INSERT INTO `lang_definitions` VALUES (143108, 2, 47, 'U hubso tirsiga ama tirsiga qaanta si aad u aqoonsato bixinta');
INSERT INTO `lang_definitions` VALUES (143109, 3, 47, 'Cadeynta macmiilka ee mareynta isticmallaha');
INSERT INTO `lang_definitions` VALUES (143110, 4, 47, 'Waxaa ku lifaaqan waraaqaha rugta caafimaadka');
INSERT INTO `lang_definitions` VALUES (143111, 5, 47, 'Waxaa ku lifaaqan waraaqaha rugta caafimaadka.');
INSERT INTO `lang_definitions` VALUES (143112, 7, 47, 'Waxaa loo baahanyahay qeybiye.');
INSERT INTO `lang_definitions` VALUES (143113, 8, 47, 'Qaabeysanaha kulanka ee GCAC waa in lagu daraa la kulankan.');
INSERT INTO `lang_definitions` VALUES (143114, 9, 47, 'Tirsiga barxadan waa loo baahanyahay');
INSERT INTO `lang_definitions` VALUES (143115, 10, 47, 'Tirsiga barxadan waa loo baahanyahay!');
INSERT INTO `lang_definitions` VALUES (143116, 11, 47, 'Xarfaha yaryar');
INSERT INTO `lang_definitions` VALUES (143117, 12, 47, 'Tiro');
INSERT INTO `lang_definitions` VALUES (143118, 14, 47, 'Bukaan aqoonsigan lehi wuu ku jiraa halkan.');
INSERT INTO `lang_definitions` VALUES (143119, 15, 47, 'Bukaan magacan lehi wuu ku jiraa halkan.');
INSERT INTO `lang_definitions` VALUES (143120, 16, 47, 'Bukaan caymiska bulshada lehi wuu ku jiraa halkan.');
INSERT INTO `lang_definitions` VALUES (143121, 17, 47, 'Tirada togan waxay ku tusi doonaan in balamo hore oo badani ku jireen agabka koobaaya shaashada Bukaanku (tabanaha tirada waxay ku tusi doonaan balamo si hoos u dhaadhaac leh)');
INSERT INTO `lang_definitions` VALUES (143122, 18, 47, 'Tirada togan waxay ku tusi doonaan in balamo hore oo badani ku jireen agabka koobaaya shaashada Bukaanku.');
INSERT INTO `lang_definitions` VALUES (143123, 19, 47, 'Meesha ay ka soo baxdo raacdadu waxa laga filayaa in ay gaar ahaato markast oo la kulmo.');
INSERT INTO `lang_definitions` VALUES (143124, 20, 47, 'Waxa loo baahanyahay xidhaalka la xidhiidha IPPF!');
INSERT INTO `lang_definitions` VALUES (143125, 1, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143126, 2, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143127, 3, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143128, 4, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143129, 5, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143130, 6, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143131, 7, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143132, 8, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143133, 9, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143134, 10, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143135, 11, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143136, 12, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143137, 13, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143138, 14, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143139, 15, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143140, 16, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143141, 17, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143142, 18, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143143, 19, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143144, 20, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143145, 21, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143146, 22, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143147, 23, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143148, 24, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143149, 25, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143150, 26, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143151, 27, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143152, 28, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143153, 29, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143154, 30, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143155, 31, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143156, 32, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143157, 33, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143158, 34, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143159, 35, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143160, 36, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143161, 37, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143162, 38, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143163, 39, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143164, 40, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143165, 41, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143166, 42, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143167, 43, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143168, 44, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143169, 45, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143170, 46, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143171, 47, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143172, 48, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143173, 49, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143174, 50, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143175, 51, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143176, 52, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143177, 53, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143178, 54, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143179, 55, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143180, 56, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143181, 57, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143182, 58, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143183, 59, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143184, 60, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143185, 61, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143186, 62, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143187, 63, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143188, 64, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143189, 65, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143190, 66, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143191, 67, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143192, 68, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143193, 69, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143194, 70, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143195, 71, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143196, 72, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143197, 73, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143198, 74, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143199, 75, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143200, 76, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143201, 77, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143202, 78, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143203, 79, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143204, 80, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143205, 81, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143206, 82, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143207, 83, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143208, 84, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143209, 85, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143210, 86, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143211, 87, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143212, 88, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143213, 89, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143214, 90, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143215, 91, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143216, 92, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143217, 93, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143218, 94, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143219, 95, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143220, 96, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143221, 97, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143222, 98, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143223, 99, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143224, 100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143225, 101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143226, 102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143227, 103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143228, 104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143229, 105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143230, 106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143231, 107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143232, 108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143233, 109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143234, 110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143235, 111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143236, 112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143237, 113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143238, 114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143239, 115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143240, 116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143241, 117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143242, 118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143243, 119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143244, 120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143245, 121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143246, 122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143247, 123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143248, 124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143249, 125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143250, 126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143251, 127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143252, 128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143253, 129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143254, 130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143255, 131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143256, 132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143257, 133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143258, 134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143259, 135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143260, 136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143261, 137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143262, 138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143263, 139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143264, 140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143265, 141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143266, 142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143267, 143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143268, 144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143269, 145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143270, 146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143271, 147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143272, 148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143273, 149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143274, 150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143275, 151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143276, 152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143277, 153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143278, 154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143279, 155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143280, 156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143281, 157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143282, 158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143283, 159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143284, 160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143285, 161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143286, 162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143287, 163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143288, 164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143289, 165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143290, 166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143291, 167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143292, 168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143293, 169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143294, 170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143295, 171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143296, 172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143297, 173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143298, 174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143299, 175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143300, 176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143301, 177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143302, 178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143303, 179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143304, 180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143305, 181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143306, 182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143307, 183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143308, 184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143309, 185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143310, 186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143311, 187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143312, 188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143313, 189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143314, 190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143315, 191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143316, 192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143317, 193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143318, 194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143319, 195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143320, 196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143321, 197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143322, 198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143323, 199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143324, 200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143325, 201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143326, 202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143327, 203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143328, 204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143329, 205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143330, 206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143331, 207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143332, 208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143333, 209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143334, 210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143335, 211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143336, 212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143337, 213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143338, 214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143339, 215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143340, 216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143341, 217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143342, 218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143343, 219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143344, 220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143345, 221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143346, 222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143347, 223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143348, 224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143349, 225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143350, 226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143351, 227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143352, 228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143353, 229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143354, 230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143355, 231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143356, 232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143357, 233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143358, 234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143359, 235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143360, 236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143361, 237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143362, 238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143363, 239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143364, 240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143365, 241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143366, 242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143367, 243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143368, 244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143369, 245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143370, 246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143371, 247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143372, 248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143373, 249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143374, 250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143375, 251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143376, 252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143377, 253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143378, 254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143379, 255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143380, 256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143381, 257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143382, 258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143383, 259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143384, 260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143385, 261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143386, 262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143387, 263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143388, 264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143389, 265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143390, 266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143391, 267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143392, 268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143393, 269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143394, 270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143395, 271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143396, 272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143397, 273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143398, 274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143399, 275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143400, 276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143401, 277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143402, 278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143403, 279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143404, 280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143405, 281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143406, 282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143407, 283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143408, 284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143409, 285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143410, 286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143411, 287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143412, 288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143413, 289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143414, 290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143415, 291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143416, 292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143417, 293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143418, 294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143419, 295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143420, 296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143421, 297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143422, 298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143423, 299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143424, 300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143425, 301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143426, 302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143427, 303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143428, 304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143429, 305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143430, 306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143431, 307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143432, 308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143433, 309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143434, 310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143435, 311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143436, 312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143437, 313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143438, 314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143439, 315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143440, 316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143441, 317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143442, 318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143443, 319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143444, 320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143445, 321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143446, 322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143447, 323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143448, 324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143449, 325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143450, 326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143451, 327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143452, 328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143453, 329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143454, 330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143455, 331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143456, 332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143457, 333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143458, 334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143459, 335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143460, 336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143461, 337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143462, 338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143463, 339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143464, 340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143465, 341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143466, 342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143467, 343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143468, 344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143469, 345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143470, 346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143471, 347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143472, 348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143473, 349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143474, 350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143475, 351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143476, 352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143477, 353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143478, 354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143479, 355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143480, 356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143481, 357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143482, 358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143483, 359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143484, 360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143485, 361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143486, 362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143487, 363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143488, 364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143489, 365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143490, 366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143491, 367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143492, 368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143493, 369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143494, 370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143495, 371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143496, 372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143497, 373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143498, 374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143499, 375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143500, 376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143501, 377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143502, 378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143503, 379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143504, 380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143505, 381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143506, 382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143507, 383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143508, 384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143509, 385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143510, 386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143511, 387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143512, 388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143513, 389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143514, 390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143515, 391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143516, 392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143517, 393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143518, 394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143519, 395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143520, 396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143521, 397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143522, 398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143523, 399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143524, 400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143525, 401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143526, 402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143527, 403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143528, 404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143529, 405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143530, 406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143531, 407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143532, 408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143533, 409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143534, 410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143535, 411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143536, 412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143537, 413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143538, 414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143539, 415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143540, 416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143541, 417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143542, 418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143543, 419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143544, 420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143545, 421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143546, 422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143547, 423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143548, 424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143549, 425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143550, 426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143551, 427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143552, 428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143553, 429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143554, 430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143555, 431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143556, 432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143557, 433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143558, 434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143559, 435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143560, 436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143561, 437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143562, 438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143563, 439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143564, 440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143565, 441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143566, 442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143567, 443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143568, 444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143569, 445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143570, 446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143571, 447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143572, 448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143573, 449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143574, 450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143575, 451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143576, 452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143577, 453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143578, 454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143579, 455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143580, 456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143581, 457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143582, 458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143583, 459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143584, 460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143585, 461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143586, 462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143587, 463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143588, 464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143589, 465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143590, 466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143591, 467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143592, 468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143593, 469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143594, 470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143595, 471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143596, 472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143597, 473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143598, 474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143599, 475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143600, 476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143601, 477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143602, 478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143603, 479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143604, 480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143605, 481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143606, 482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143607, 483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143608, 484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143609, 485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143610, 486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143611, 487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143612, 488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143613, 489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143614, 490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143615, 491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143616, 492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143617, 493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143618, 494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143619, 495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143620, 496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143621, 497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143622, 498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143623, 499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143624, 500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143625, 501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143626, 502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143627, 503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143628, 504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143629, 505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143630, 506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143631, 507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143632, 508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143633, 509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143634, 510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143635, 511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143636, 512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143637, 513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143638, 514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143639, 515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143640, 516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143641, 517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143642, 518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143643, 519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143644, 520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143645, 521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143646, 522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143647, 523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143648, 524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143649, 525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143650, 526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143651, 527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143652, 528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143653, 529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143654, 530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143655, 531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143656, 532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143657, 533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143658, 534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143659, 535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143660, 536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143661, 537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143662, 538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143663, 539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143664, 540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143665, 541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143666, 542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143667, 543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143668, 544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143669, 545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143670, 546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143671, 547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143672, 548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143673, 549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143674, 550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143675, 551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143676, 552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143677, 553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143678, 554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143679, 555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143680, 556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143681, 557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143682, 558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143683, 559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143684, 560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143685, 561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143686, 562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143687, 563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143688, 564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143689, 565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143690, 566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143691, 567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143692, 568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143693, 569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143694, 570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143695, 571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143696, 572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143697, 573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143698, 574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143699, 575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143700, 576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143701, 577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143702, 578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143703, 579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143704, 580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143705, 581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143706, 582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143707, 583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143708, 584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143709, 585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143710, 586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143711, 587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143712, 588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143713, 589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143714, 590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143715, 591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143716, 592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143717, 593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143718, 594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143719, 595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143720, 596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143721, 597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143722, 598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143723, 599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143724, 600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143725, 601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143726, 602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143727, 603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143728, 604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143729, 605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143730, 606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143731, 607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143732, 608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143733, 609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143734, 610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143735, 611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143736, 612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143737, 613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143738, 614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143739, 615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143740, 616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143741, 617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143742, 618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143743, 619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143744, 620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143745, 621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143746, 622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143747, 623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143748, 624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143749, 625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143750, 626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143751, 627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143752, 628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143753, 629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143754, 630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143755, 631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143756, 632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143757, 633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143758, 634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143759, 635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143760, 636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143761, 637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143762, 638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143763, 639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143764, 640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143765, 641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143766, 642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143767, 643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143768, 644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143769, 645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143770, 646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143771, 647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143772, 648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143773, 649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143774, 650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143775, 651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143776, 652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143777, 653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143778, 654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143779, 655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143780, 656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143781, 657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143782, 658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143783, 659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143784, 660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143785, 661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143786, 662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143787, 663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143788, 664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143789, 665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143790, 666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143791, 667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143792, 668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143793, 669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143794, 670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143795, 671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143796, 672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143797, 673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143798, 674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143799, 675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143800, 676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143801, 677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143802, 678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143803, 679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143804, 680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143805, 681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143806, 682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143807, 683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143808, 684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143809, 685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143810, 686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143811, 687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143812, 688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143813, 689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143814, 690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143815, 691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143816, 692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143817, 693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143818, 694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143819, 695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143820, 696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143821, 697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143822, 698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143823, 699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143824, 700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143825, 701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143826, 702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143827, 703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143828, 704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143829, 705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143830, 706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143831, 707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143832, 708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143833, 709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143834, 710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143835, 711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143836, 712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143837, 713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143838, 714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143839, 715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143840, 716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143841, 717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143842, 718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143843, 719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143844, 720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143845, 721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143846, 722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143847, 723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143848, 724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143849, 725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143850, 726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143851, 727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143852, 728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143853, 729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143854, 730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143855, 731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143856, 732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143857, 733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143858, 734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143859, 735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143860, 736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143861, 737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143862, 738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143863, 739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143864, 740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143865, 741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143866, 742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143867, 743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143868, 744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143869, 745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143870, 746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143871, 747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143872, 748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143873, 749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143874, 750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143875, 751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143876, 752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143877, 753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143878, 754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143879, 755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143880, 756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143881, 757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143882, 758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143883, 759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143884, 760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143885, 761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143886, 762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143887, 763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143888, 764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143889, 765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143890, 766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143891, 767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143892, 768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143893, 769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143894, 770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143895, 771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143896, 772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143897, 773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143898, 774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143899, 775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143900, 776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143901, 777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143902, 778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143903, 779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143904, 780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143905, 781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143906, 782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143907, 783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143908, 784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143909, 785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143910, 786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143911, 787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143912, 788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143913, 789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143914, 790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143915, 791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143916, 792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143917, 793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143918, 794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143919, 795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143920, 796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143921, 797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143922, 798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143923, 799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143924, 800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143925, 801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143926, 802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143927, 803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143928, 804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143929, 805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143930, 806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143931, 807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143932, 808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143933, 809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143934, 810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143935, 811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143936, 812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143937, 813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143938, 814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143939, 815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143940, 816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143941, 817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143942, 818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143943, 819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143944, 820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143945, 821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143946, 822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143947, 823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143948, 824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143949, 825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143950, 826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143951, 827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143952, 828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143953, 829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143954, 830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143955, 831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143956, 832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143957, 833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143958, 834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143959, 835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143960, 836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143961, 837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143962, 838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143963, 839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143964, 840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143965, 841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143966, 842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143967, 843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143968, 844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143969, 845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143970, 846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143971, 847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143972, 848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143973, 849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143974, 850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143975, 851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143976, 852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143977, 853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143978, 854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143979, 855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143980, 856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143981, 857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143982, 858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143983, 859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143984, 860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143985, 861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143986, 862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143987, 863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143988, 864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143989, 865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143990, 866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143991, 867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143992, 868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143993, 869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143994, 870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143995, 871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143996, 872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143997, 873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143998, 874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (143999, 875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144000, 876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144001, 877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144002, 878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144003, 879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144004, 880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144005, 881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144006, 882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144007, 883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144008, 884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144009, 885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144010, 886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144011, 887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144012, 888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144013, 889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144014, 890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144015, 891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144016, 892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144017, 893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144018, 894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144019, 895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144020, 896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144021, 897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144022, 898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144023, 899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144024, 900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144025, 901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144026, 902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144027, 903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144028, 904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144029, 905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144030, 906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144031, 907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144032, 908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144033, 909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144034, 910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144035, 911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144036, 912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144037, 913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144038, 914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144039, 915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144040, 916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144041, 917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144042, 918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144043, 919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144044, 920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144045, 921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144046, 922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144047, 923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144048, 924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144049, 925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144050, 926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144051, 927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144052, 928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144053, 929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144054, 930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144055, 931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144056, 932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144057, 933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144058, 934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144059, 935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144060, 936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144061, 937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144062, 938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144063, 939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144064, 940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144065, 941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144066, 942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144067, 943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144068, 944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144069, 945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144070, 946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144071, 947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144072, 948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144073, 949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144074, 950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144075, 951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144076, 952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144077, 953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144078, 954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144079, 955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144080, 956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144081, 957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144082, 958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144083, 959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144084, 960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144085, 961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144086, 962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144087, 963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144088, 964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144089, 965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144090, 966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144091, 967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144092, 968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144093, 969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144094, 970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144095, 971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144096, 972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144097, 973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144098, 974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144099, 975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144100, 976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144101, 977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144102, 978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144103, 979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144104, 980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144105, 981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144106, 982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144107, 983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144108, 984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144109, 985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144110, 986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144111, 987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144112, 988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144113, 989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144114, 990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144115, 991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144116, 992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144117, 993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144118, 994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144119, 995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144120, 996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144121, 997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144122, 998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144123, 999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144124, 1000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144125, 1001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144126, 1002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144127, 1003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144128, 1004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144129, 1005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144130, 1006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144131, 1007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144132, 1008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144133, 1009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144134, 1010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144135, 1011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144136, 1012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144137, 1013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144138, 1014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144139, 1015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144140, 1016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144141, 1017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144142, 1018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144143, 1019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144144, 1020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144145, 1021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144146, 1022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144147, 1023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144148, 1024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144149, 1025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144150, 1026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144151, 1027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144152, 1028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144153, 1029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144154, 1030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144155, 1031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144156, 1032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144157, 1033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144158, 1034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144159, 1035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144160, 1036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144161, 1037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144162, 1038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144163, 1039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144164, 1040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144165, 1041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144166, 1042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144167, 1043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144168, 1044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144169, 1045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144170, 1046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144171, 1047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144172, 1048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144173, 1049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144174, 1050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144175, 1051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144176, 1052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144177, 1053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144178, 1054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144179, 1055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144180, 1056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144181, 1057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144182, 1058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144183, 1059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144184, 1060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144185, 1061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144186, 1062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144187, 1063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144188, 1064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144189, 1065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144190, 1066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144191, 1067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144192, 1068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144193, 1069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144194, 1070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144195, 1071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144196, 1072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144197, 1073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144198, 1074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144199, 1075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144200, 1076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144201, 1077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144202, 1078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144203, 1079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144204, 1080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144205, 1081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144206, 1082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144207, 1083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144208, 1084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144209, 1085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144210, 1086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144211, 1087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144212, 1088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144213, 1089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144214, 1090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144215, 1091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144216, 1092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144217, 1093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144218, 1094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144219, 1095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144220, 1096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144221, 1097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144222, 1098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144223, 1099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144224, 1100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144225, 1101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144226, 1102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144227, 1103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144228, 1104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144229, 1105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144230, 1106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144231, 1107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144232, 1108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144233, 1109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144234, 1110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144235, 1111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144236, 1112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144237, 1113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144238, 1114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144239, 1115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144240, 1116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144241, 1117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144242, 1118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144243, 1119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144244, 1120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144245, 1121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144246, 1122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144247, 1123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144248, 1124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144249, 1125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144250, 1126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144251, 1127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144252, 1128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144253, 1129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144254, 1130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144255, 1131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144256, 1132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144257, 1133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144258, 1134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144259, 1135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144260, 1136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144261, 1137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144262, 1138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144263, 1139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144264, 1140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144265, 1141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144266, 1142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144267, 1143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144268, 1144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144269, 1145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144270, 1146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144271, 1147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144272, 1148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144273, 1149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144274, 1150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144275, 1151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144276, 1152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144277, 1153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144278, 1154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144279, 1155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144280, 1156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144281, 1157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144282, 1158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144283, 1159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144284, 1160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144285, 1161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144286, 1162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144287, 1163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144288, 1164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144289, 1165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144290, 1166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144291, 1167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144292, 1168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144293, 1169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144294, 1170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144295, 1171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144296, 1172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144297, 1173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144298, 1174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144299, 1175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144300, 1176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144301, 1177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144302, 1178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144303, 1179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144304, 1180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144305, 1181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144306, 1182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144307, 1183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144308, 1184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144309, 1185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144310, 1186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144311, 1187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144312, 1188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144313, 1189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144314, 1190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144315, 1191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144316, 1192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144317, 1193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144318, 1194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144319, 1195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144320, 1196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144321, 1197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144322, 1198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144323, 1199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144324, 1200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144325, 1201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144326, 1202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144327, 1203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144328, 1204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144329, 1205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144330, 1206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144331, 1207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144332, 1208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144333, 1209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144334, 1210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144335, 1211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144336, 1212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144337, 1213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144338, 1214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144339, 1215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144340, 1216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144341, 1217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144342, 1218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144343, 1219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144344, 1220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144345, 1221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144346, 1222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144347, 1223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144348, 1224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144349, 1225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144350, 1226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144351, 1227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144352, 1228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144353, 1229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144354, 1230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144355, 1231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144356, 1232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144357, 1233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144358, 1234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144359, 1235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144360, 1236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144361, 1237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144362, 1238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144363, 1239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144364, 1240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144365, 1241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144366, 1242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144367, 1243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144368, 1244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144369, 1245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144370, 1246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144371, 1247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144372, 1248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144373, 1249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144374, 1250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144375, 1251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144376, 1252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144377, 1253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144378, 1254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144379, 1255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144380, 1256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144381, 1257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144382, 1258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144383, 1259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144384, 1260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144385, 1261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144386, 1262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144387, 1263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144388, 1264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144389, 1265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144390, 1266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144391, 1267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144392, 1268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144393, 1269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144394, 1270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144395, 1271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144396, 1272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144397, 1273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144398, 1274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144399, 1275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144400, 1276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144401, 1277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144402, 1278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144403, 1279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144404, 1280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144405, 1281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144406, 1282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144407, 1283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144408, 1284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144409, 1285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144410, 1286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144411, 1287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144412, 1288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144413, 1289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144414, 1290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144415, 1291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144416, 1292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144417, 1293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144418, 1294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144419, 1295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144420, 1296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144421, 1297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144422, 1298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144423, 1299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144424, 1300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144425, 1301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144426, 1302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144427, 1303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144428, 1304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144429, 1305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144430, 1306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144431, 1307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144432, 1308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144433, 1309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144434, 1310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144435, 1311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144436, 1312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144437, 1313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144438, 1314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144439, 1315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144440, 1316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144441, 1317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144442, 1318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144443, 1319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144444, 1320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144445, 1321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144446, 1322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144447, 1323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144448, 1324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144449, 1325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144450, 1326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144451, 1327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144452, 1328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144453, 1329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144454, 1330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144455, 1331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144456, 1332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144457, 1333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144458, 1334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144459, 1335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144460, 1336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144461, 1337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144462, 1338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144463, 1339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144464, 1340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144465, 1341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144466, 1342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144467, 1343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144468, 1344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144469, 1345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144470, 1346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144471, 1347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144472, 1348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144473, 1349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144474, 1350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144475, 1351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144476, 1352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144477, 1353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144478, 1354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144479, 1355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144480, 1356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144481, 1357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144482, 1358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144483, 1359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144484, 1360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144485, 1361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144486, 1362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144487, 1363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144488, 1364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144489, 1365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144490, 1366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144491, 1367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144492, 1368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144493, 1369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144494, 1370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144495, 1371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144496, 1372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144497, 1373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144498, 1374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144499, 1375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144500, 1376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144501, 1377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144502, 1378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144503, 1379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144504, 1380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144505, 1381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144506, 1382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144507, 1383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144508, 1384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144509, 1385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144510, 1386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144511, 1387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144512, 1388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144513, 1389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144514, 1390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144515, 1391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144516, 1392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144517, 1393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144518, 1394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144519, 1395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144520, 1396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144521, 1397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144522, 1398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144523, 1399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144524, 1400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144525, 1401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144526, 1402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144527, 1403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144528, 1404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144529, 1405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144530, 1406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144531, 1407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144532, 1408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144533, 1409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144534, 1410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144535, 1411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144536, 1412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144537, 1413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144538, 1414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144539, 1415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144540, 1416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144541, 1417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144542, 1418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144543, 1419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144544, 1420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144545, 1421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144546, 1422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144547, 1423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144548, 1424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144549, 1425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144550, 1426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144551, 1427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144552, 1428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144553, 1429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144554, 1430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144555, 1431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144556, 1432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144557, 1433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144558, 1434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144559, 1435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144560, 1436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144561, 1437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144562, 1438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144563, 1439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144564, 1440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144565, 1441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144566, 1442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144567, 1443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144568, 1444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144569, 1445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144570, 1446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144571, 1447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144572, 1448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144573, 1449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144574, 1450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144575, 1451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144576, 1452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144577, 1453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144578, 1454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144579, 1455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144580, 1456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144581, 1457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144582, 1458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144583, 1459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144584, 1460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144585, 1461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144586, 1462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144587, 1463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144588, 1464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144589, 1465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144590, 1466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144591, 1467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144592, 1468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144593, 1469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144594, 1470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144595, 1471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144596, 1472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144597, 1473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144598, 1474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144599, 1475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144600, 1476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144601, 1477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144602, 1478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144603, 1479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144604, 1480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144605, 1481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144606, 1482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144607, 1483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144608, 1484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144609, 1485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144610, 1486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144611, 1487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144612, 1488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144613, 1489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144614, 1490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144615, 1491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144616, 1492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144617, 1493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144618, 1494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144619, 1495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144620, 1496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144621, 1497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144622, 1498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144623, 1499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144624, 1500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144625, 1501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144626, 1502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144627, 1503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144628, 1504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144629, 1505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144630, 1506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144631, 1507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144632, 1508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144633, 1509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144634, 1510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144635, 1511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144636, 1512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144637, 1513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144638, 1514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144639, 1515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144640, 1516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144641, 1517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144642, 1518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144643, 1519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144644, 1520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144645, 1521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144646, 1522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144647, 1523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144648, 1524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144649, 1525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144650, 1526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144651, 1527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144652, 1528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144653, 1529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144654, 1530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144655, 1531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144656, 1532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144657, 1533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144658, 1534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144659, 1535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144660, 1536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144661, 1537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144662, 1538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144663, 1539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144664, 1540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144665, 1541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144666, 1542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144667, 1543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144668, 1544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144669, 1545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144670, 1546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144671, 1547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144672, 1548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144673, 1549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144674, 1550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144675, 1551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144676, 1552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144677, 1553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144678, 1554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144679, 1555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144680, 1556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144681, 1557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144682, 1558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144683, 1559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144684, 1560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144685, 1561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144686, 1562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144687, 1563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144688, 1564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144689, 1565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144690, 1566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144691, 1567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144692, 1568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144693, 1569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144694, 1570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144695, 1571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144696, 1572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144697, 1573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144698, 1574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144699, 1575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144700, 1576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144701, 1577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144702, 1578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144703, 1579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144704, 1580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144705, 1581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144706, 1582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144707, 1583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144708, 1584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144709, 1585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144710, 1586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144711, 1587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144712, 1588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144713, 1589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144714, 1590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144715, 1591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144716, 1592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144717, 1593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144718, 1594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144719, 1595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144720, 1596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144721, 1597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144722, 1598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144723, 1599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144724, 1600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144725, 1601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144726, 1602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144727, 1603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144728, 1604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144729, 1605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144730, 1606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144731, 1607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144732, 1608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144733, 1609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144734, 1610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144735, 1611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144736, 1612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144737, 1613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144738, 1614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144739, 1615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144740, 1616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144741, 1617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144742, 1618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144743, 1619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144744, 1620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144745, 1621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144746, 1622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144747, 1623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144748, 1624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144749, 1625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144750, 1626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144751, 1627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144752, 1628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144753, 1629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144754, 1630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144755, 1631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144756, 1632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144757, 1633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144758, 1634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144759, 1635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144760, 1636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144761, 1637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144762, 1638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144763, 1639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144764, 1640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144765, 1641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144766, 1642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144767, 1643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144768, 1644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144769, 1645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144770, 1646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144771, 1647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144772, 1648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144773, 1649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144774, 1650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144775, 1651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144776, 1652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144777, 1653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144778, 1654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144779, 1655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144780, 1656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144781, 1657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144782, 1658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144783, 1659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144784, 1660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144785, 1661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144786, 1662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144787, 1663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144788, 1664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144789, 1665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144790, 1666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144791, 1667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144792, 1668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144793, 1669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144794, 1670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144795, 1671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144796, 1672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144797, 1673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144798, 1674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144799, 1675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144800, 1676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144801, 1677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144802, 1678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144803, 1679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144804, 1680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144805, 1681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144806, 1682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144807, 1683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144808, 1684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144809, 1685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144810, 1686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144811, 1687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144812, 1688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144813, 1689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144814, 1690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144815, 1691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144816, 1692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144817, 1693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144818, 1694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144819, 1695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144820, 1696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144821, 1697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144822, 1698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144823, 1699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144824, 1700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144825, 1701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144826, 1702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144827, 1703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144828, 1704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144829, 1705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144830, 1706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144831, 1707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144832, 1708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144833, 1709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144834, 1710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144835, 1711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144836, 1712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144837, 1713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144838, 1714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144839, 1715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144840, 1716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144841, 1717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144842, 1718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144843, 1719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144844, 1720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144845, 1721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144846, 1722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144847, 1723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144848, 1724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144849, 1725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144850, 1726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144851, 1727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144852, 1728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144853, 1729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144854, 1730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144855, 1731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144856, 1732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144857, 1733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144858, 1734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144859, 1735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144860, 1736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144861, 1737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144862, 1738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144863, 1739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144864, 1740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144865, 1741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144866, 1742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144867, 1743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144868, 1744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144869, 1745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144870, 1746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144871, 1747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144872, 1748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144873, 1749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144874, 1750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144875, 1751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144876, 1752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144877, 1753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144878, 1754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144879, 1755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144880, 1756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144881, 1757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144882, 1758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144883, 1759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144884, 1760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144885, 1761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144886, 1762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144887, 1763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144888, 1764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144889, 1765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144890, 1766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144891, 1767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144892, 1768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144893, 1769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144894, 1770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144895, 1771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144896, 1772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144897, 1773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144898, 1774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144899, 1775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144900, 1776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144901, 1777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144902, 1778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144903, 1779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144904, 1780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144905, 1781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144906, 1782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144907, 1783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144908, 1784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144909, 1785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144910, 1786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144911, 1787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144912, 1788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144913, 1789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144914, 1790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144915, 1791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144916, 1792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144917, 1793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144918, 1794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144919, 1795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144920, 1796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144921, 1797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144922, 1798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144923, 1799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144924, 1800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144925, 1801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144926, 1802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144927, 1803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144928, 1804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144929, 1805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144930, 1806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144931, 1807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144932, 1808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144933, 1809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144934, 1810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144935, 1811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144936, 1812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144937, 1813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144938, 1814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144939, 1815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144940, 1816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144941, 1817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144942, 1818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144943, 1819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144944, 1820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144945, 1821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144946, 1822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144947, 1823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144948, 1824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144949, 1825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144950, 1826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144951, 1827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144952, 1828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144953, 1829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144954, 1830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144955, 1831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144956, 1832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144957, 1833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144958, 1834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144959, 1835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144960, 1836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144961, 1837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144962, 1838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144963, 1839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144964, 1840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144965, 1841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144966, 1842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144967, 1843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144968, 1844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144969, 1845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144970, 1846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144971, 1847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144972, 1848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144973, 1849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144974, 1850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144975, 1851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144976, 1852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144977, 1853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144978, 1854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144979, 1855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144980, 1856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144981, 1857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144982, 1858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144983, 1859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144984, 1860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144985, 1861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144986, 1862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144987, 1863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144988, 1864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144989, 1865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144990, 1866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144991, 1867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144992, 1868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144993, 1869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144994, 1870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144995, 1871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144996, 1872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144997, 1873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144998, 1874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (144999, 1875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145000, 1876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145001, 1877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145002, 1878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145003, 1879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145004, 1880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145005, 1881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145006, 1882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145007, 1883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145008, 1884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145009, 1885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145010, 1886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145011, 1887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145012, 1888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145013, 1889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145014, 1890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145015, 1891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145016, 1892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145017, 1893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145018, 1894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145019, 1895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145020, 1896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145021, 1897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145022, 1898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145023, 1899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145024, 1900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145025, 1901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145026, 1902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145027, 1903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145028, 1904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145029, 1905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145030, 1906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145031, 1907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145032, 1908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145033, 1909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145034, 1910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145035, 1911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145036, 1912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145037, 1913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145038, 1914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145039, 1915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145040, 1916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145041, 1917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145042, 1918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145043, 1919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145044, 1920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145045, 1921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145046, 1922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145047, 1923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145048, 1924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145049, 1925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145050, 1926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145051, 1927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145052, 1928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145053, 1929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145054, 1930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145055, 1931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145056, 1932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145057, 1933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145058, 1934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145059, 1935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145060, 1936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145061, 1937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145062, 1938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145063, 1939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145064, 1940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145065, 1941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145066, 1942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145067, 1943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145068, 1944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145069, 1945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145070, 1946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145071, 1947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145072, 1948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145073, 1949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145074, 1950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145075, 1951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145076, 1952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145077, 1953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145078, 1954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145079, 1955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145080, 1956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145081, 1957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145082, 1958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145083, 1959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145084, 1960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145085, 1961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145086, 1962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145087, 1963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145088, 1964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145089, 1965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145090, 1966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145091, 1967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145092, 1968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145093, 1969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145094, 1970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145095, 1971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145096, 1972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145097, 1973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145098, 1974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145099, 1975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145100, 1976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145101, 1977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145102, 1978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145103, 1979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145104, 1980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145105, 1981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145106, 1982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145107, 1983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145108, 1984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145109, 1985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145110, 1986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145111, 1987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145112, 1988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145113, 1989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145114, 1990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145115, 1991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145116, 1992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145117, 1993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145118, 1994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145119, 1995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145120, 1996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145121, 1997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145122, 1998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145123, 1999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145124, 2000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145125, 2001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145126, 2002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145127, 2003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145128, 2004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145129, 2005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145130, 2006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145131, 2007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145132, 2008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145133, 2009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145134, 2010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145135, 2011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145136, 2012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145137, 2013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145138, 2014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145139, 2015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145140, 2016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145141, 2017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145142, 2018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145143, 2019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145144, 2020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145145, 2021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145146, 2022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145147, 2023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145148, 2024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145149, 2025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145150, 2026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145151, 2027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145152, 2028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145153, 2029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145154, 2030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145155, 2031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145156, 2032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145157, 2033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145158, 2034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145159, 2035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145160, 2036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145161, 2037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145162, 2038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145163, 2039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145164, 2040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145165, 2041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145166, 2042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145167, 2043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145168, 2044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145169, 2045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145170, 2046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145171, 2047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145172, 2048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145173, 2049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145174, 2050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145175, 2051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145176, 2052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145177, 2053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145178, 2054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145179, 2055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145180, 2056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145181, 2057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145182, 2058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145183, 2059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145184, 2060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145185, 2061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145186, 2062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145187, 2063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145188, 2064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145189, 2065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145190, 2066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145191, 2067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145192, 2068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145193, 2069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145194, 2070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145195, 2071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145196, 2072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145197, 2073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145198, 2074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145199, 2075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145200, 2076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145201, 2077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145202, 2078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145203, 2079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145204, 2080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145205, 2081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145206, 2082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145207, 2083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145208, 2084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145209, 2085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145210, 2086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145211, 2087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145212, 2088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145213, 2089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145214, 2090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145215, 2091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145216, 2092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145217, 2093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145218, 2094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145219, 2095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145220, 2096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145221, 2097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145222, 2098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145223, 2099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145224, 2100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145225, 2101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145226, 2102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145227, 2103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145228, 2104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145229, 2105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145230, 2106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145231, 2107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145232, 2108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145233, 2109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145234, 2110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145235, 2111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145236, 2112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145237, 2113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145238, 2114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145239, 2115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145240, 2116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145241, 2117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145242, 2118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145243, 2119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145244, 2120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145245, 2121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145246, 2122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145247, 2123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145248, 2124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145249, 2125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145250, 2126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145251, 2127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145252, 2128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145253, 2129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145254, 2130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145255, 2131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145256, 2132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145257, 2133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145258, 2134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145259, 2135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145260, 2136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145261, 2137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145262, 2138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145263, 2139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145264, 2140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145265, 2141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145266, 2142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145267, 2143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145268, 2144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145269, 2145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145270, 2146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145271, 2147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145272, 2148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145273, 2149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145274, 2150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145275, 2151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145276, 2152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145277, 2153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145278, 2154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145279, 2155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145280, 2156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145281, 2157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145282, 2158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145283, 2159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145284, 2160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145285, 2161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145286, 2162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145287, 2163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145288, 2164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145289, 2165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145290, 2166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145291, 2167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145292, 2168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145293, 2169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145294, 2170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145295, 2171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145296, 2172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145297, 2173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145298, 2174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145299, 2175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145300, 2176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145301, 2177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145302, 2178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145303, 2179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145304, 2180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145305, 2181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145306, 2182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145307, 2183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145308, 2184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145309, 2185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145310, 2186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145311, 2187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145312, 2188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145313, 2189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145314, 2190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145315, 2191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145316, 2192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145317, 2193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145318, 2194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145319, 2195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145320, 2196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145321, 2197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145322, 2198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145323, 2199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145324, 2200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145325, 2201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145326, 2202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145327, 2203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145328, 2204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145329, 2205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145330, 2206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145331, 2207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145332, 2208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145333, 2209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145334, 2210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145335, 2211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145336, 2212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145337, 2213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145338, 2214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145339, 2215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145340, 2216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145341, 2217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145342, 2218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145343, 2219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145344, 2220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145345, 2221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145346, 2222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145347, 2223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145348, 2224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145349, 2225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145350, 2226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145351, 2227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145352, 2228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145353, 2229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145354, 2230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145355, 2231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145356, 2232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145357, 2233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145358, 2234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145359, 2235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145360, 2236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145361, 2237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145362, 2238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145363, 2239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145364, 2240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145365, 2241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145366, 2242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145367, 2243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145368, 2244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145369, 2245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145370, 2246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145371, 2247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145372, 2248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145373, 2249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145374, 2250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145375, 2251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145376, 2252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145377, 2253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145378, 2254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145379, 2255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145380, 2256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145381, 2257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145382, 2258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145383, 2259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145384, 2260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145385, 2261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145386, 2262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145387, 2263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145388, 2264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145389, 2265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145390, 2266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145391, 2267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145392, 2268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145393, 2269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145394, 2270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145395, 2271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145396, 2272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145397, 2273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145398, 2274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145399, 2275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145400, 2276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145401, 2277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145402, 2278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145403, 2279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145404, 2280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145405, 2281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145406, 2282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145407, 2283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145408, 2284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145409, 2285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145410, 2286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145411, 2287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145412, 2288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145413, 2289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145414, 2290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145415, 2291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145416, 2292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145417, 2293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145418, 2294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145419, 2295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145420, 2296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145421, 2297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145422, 2298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145423, 2299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145424, 2300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145425, 2301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145426, 2302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145427, 2303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145428, 2304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145429, 2305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145430, 2306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145431, 2307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145432, 2308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145433, 2309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145434, 2310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145435, 2311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145436, 2312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145437, 2313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145438, 2314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145439, 2315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145440, 2316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145441, 2317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145442, 2318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145443, 2319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145444, 2320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145445, 2321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145446, 2322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145447, 2323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145448, 2324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145449, 2325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145450, 2326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145451, 2327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145452, 2328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145453, 2329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145454, 2330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145455, 2331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145456, 2332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145457, 2333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145458, 2334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145459, 2335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145460, 2336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145461, 2337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145462, 2338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145463, 2339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145464, 2340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145465, 2341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145466, 2342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145467, 2343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145468, 2344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145469, 2345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145470, 2346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145471, 2347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145472, 2348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145473, 2349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145474, 2350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145475, 2351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145476, 2352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145477, 2353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145478, 2354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145479, 2355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145480, 2356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145481, 2357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145482, 2358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145483, 2359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145484, 2360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145485, 2361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145486, 2362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145487, 2363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145488, 2364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145489, 2365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145490, 2366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145491, 2367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145492, 2368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145493, 2369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145494, 2370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145495, 2371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145496, 2372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145497, 2373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145498, 2374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145499, 2375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145500, 2376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145501, 2377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145502, 2378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145503, 2379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145504, 2380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145505, 2381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145506, 2382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145507, 2383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145508, 2384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145509, 2385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145510, 2386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145511, 2387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145512, 2388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145513, 2389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145514, 2390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145515, 2391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145516, 2392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145517, 2393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145518, 2394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145519, 2395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145520, 2396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145521, 2397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145522, 2398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145523, 2399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145524, 2400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145525, 2401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145526, 2402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145527, 2403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145528, 2404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145529, 2405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145530, 2406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145531, 2407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145532, 2408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145533, 2409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145534, 2410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145535, 2411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145536, 2412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145537, 2413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145538, 2414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145539, 2415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145540, 2416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145541, 2417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145542, 2418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145543, 2419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145544, 2420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145545, 2421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145546, 2422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145547, 2423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145548, 2424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145549, 2425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145550, 2426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145551, 2427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145552, 2428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145553, 2429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145554, 2430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145555, 2431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145556, 2432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145557, 2433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145558, 2434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145559, 2435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145560, 2436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145561, 2437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145562, 2438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145563, 2439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145564, 2440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145565, 2441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145566, 2442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145567, 2443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145568, 2444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145569, 2445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145570, 2446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145571, 2447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145572, 2448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145573, 2449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145574, 2450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145575, 2451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145576, 2452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145577, 2453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145578, 2454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145579, 2455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145580, 2456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145581, 2457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145582, 2458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145583, 2459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145584, 2460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145585, 2461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145586, 2462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145587, 2463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145588, 2464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145589, 2465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145590, 2466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145591, 2467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145592, 2468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145593, 2469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145594, 2470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145595, 2471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145596, 2472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145597, 2473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145598, 2474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145599, 2475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145600, 2476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145601, 2477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145602, 2478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145603, 2479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145604, 2480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145605, 2481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145606, 2482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145607, 2483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145608, 2484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145609, 2485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145610, 2486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145611, 2487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145612, 2488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145613, 2489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145614, 2490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145615, 2491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145616, 2492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145617, 2493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145618, 2494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145619, 2495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145620, 2496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145621, 2497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145622, 2498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145623, 2499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145624, 2500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145625, 2501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145626, 2502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145627, 2503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145628, 2504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145629, 2505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145630, 2506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145631, 2507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145632, 2508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145633, 2509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145634, 2510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145635, 2511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145636, 2512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145637, 2513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145638, 2514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145639, 2515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145640, 2516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145641, 2517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145642, 2518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145643, 2519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145644, 2520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145645, 2521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145646, 2522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145647, 2523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145648, 2524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145649, 2525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145650, 2526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145651, 2527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145652, 2528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145653, 2529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145654, 2530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145655, 2531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145656, 2532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145657, 2533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145658, 2534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145659, 2535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145660, 2536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145661, 2537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145662, 2538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145663, 2539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145664, 2540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145665, 2541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145666, 2542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145667, 2543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145668, 2544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145669, 2545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145670, 2546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145671, 2547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145672, 2548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145673, 2549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145674, 2550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145675, 2551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145676, 2552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145677, 2553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145678, 2554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145679, 2555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145680, 2556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145681, 2557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145682, 2558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145683, 2559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145684, 2560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145685, 2561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145686, 2562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145687, 2563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145688, 2564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145689, 2565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145690, 2566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145691, 2567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145692, 2568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145693, 2569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145694, 2570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145695, 2571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145696, 2572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145697, 2573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145698, 2574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145699, 2575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145700, 2576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145701, 2577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145702, 2578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145703, 2579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145704, 2580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145705, 2581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145706, 2582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145707, 2583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145708, 2584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145709, 2585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145710, 2586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145711, 2587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145712, 2588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145713, 2589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145714, 2590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145715, 2591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145716, 2592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145717, 2593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145718, 2594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145719, 2595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145720, 2596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145721, 2597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145722, 2598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145723, 2599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145724, 2600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145725, 2601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145726, 2602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145727, 2603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145728, 2604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145729, 2605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145730, 2606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145731, 2607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145732, 2608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145733, 2609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145734, 2610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145735, 2611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145736, 2612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145737, 2613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145738, 2614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145739, 2615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145740, 2616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145741, 2617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145742, 2618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145743, 2619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145744, 2620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145745, 2621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145746, 2622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145747, 2623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145748, 2624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145749, 2625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145750, 2626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145751, 2627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145752, 2628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145753, 2629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145754, 2630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145755, 2631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145756, 2632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145757, 2633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145758, 2634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145759, 2635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145760, 2636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145761, 2637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145762, 2638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145763, 2639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145764, 2640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145765, 2641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145766, 2642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145767, 2643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145768, 2644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145769, 2645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145770, 2646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145771, 2647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145772, 2648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145773, 2649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145774, 2650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145775, 2651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145776, 2652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145777, 2653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145778, 2654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145779, 2655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145780, 2656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145781, 2657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145782, 2658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145783, 2659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145784, 2660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145785, 2661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145786, 2662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145787, 2663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145788, 2664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145789, 2665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145790, 2666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145791, 2667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145792, 2668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145793, 2669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145794, 2670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145795, 2671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145796, 2672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145797, 2673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145798, 2674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145799, 2675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145800, 2676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145801, 2677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145802, 2678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145803, 2679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145804, 2680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145805, 2681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145806, 2682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145807, 2683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145808, 2684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145809, 2685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145810, 2686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145811, 2687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145812, 2688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145813, 2689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145814, 2690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145815, 2691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145816, 2692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145817, 2693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145818, 2694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145819, 2695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145820, 2696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145821, 2697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145822, 2698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145823, 2699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145824, 2700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145825, 2701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145826, 2702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145827, 2703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145828, 2704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145829, 2705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145830, 2706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145831, 2707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145832, 2708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145833, 2709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145834, 2710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145835, 2711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145836, 2712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145837, 2713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145838, 2714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145839, 2715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145840, 2716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145841, 2717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145842, 2718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145843, 2719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145844, 2720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145845, 2721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145846, 2722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145847, 2723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145848, 2724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145849, 2725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145850, 2726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145851, 2727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145852, 2728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145853, 2729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145854, 2730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145855, 2731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145856, 2732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145857, 2733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145858, 2734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145859, 2735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145860, 2736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145861, 2737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145862, 2738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145863, 2739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145864, 2740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145865, 2741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145866, 2742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145867, 2743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145868, 2744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145869, 2745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145870, 2746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145871, 2747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145872, 2748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145873, 2749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145874, 2750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145875, 2751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145876, 2752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145877, 2753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145878, 2754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145879, 2755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145880, 2756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145881, 2757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145882, 2758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145883, 2759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145884, 2760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145885, 2761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145886, 2762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145887, 2763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145888, 2764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145889, 2765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145890, 2766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145891, 2767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145892, 2768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145893, 2769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145894, 2770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145895, 2771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145896, 2772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145897, 2773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145898, 2774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145899, 2775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145900, 2776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145901, 2777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145902, 2778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145903, 2779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145904, 2780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145905, 2781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145906, 2782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145907, 2783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145908, 2784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145909, 2785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145910, 2786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145911, 2787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145912, 2788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145913, 2789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145914, 2790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145915, 2791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145916, 2792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145917, 2793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145918, 2794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145919, 2795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145920, 2796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145921, 2797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145922, 2798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145923, 2799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145924, 2800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145925, 2801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145926, 2802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145927, 2803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145928, 2804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145929, 2805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145930, 2806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145931, 2807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145932, 2808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145933, 2809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145934, 2810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145935, 2811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145936, 2812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145937, 2813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145938, 2814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145939, 2815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145940, 2816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145941, 2817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145942, 2818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145943, 2819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145944, 2820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145945, 2821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145946, 2822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145947, 2823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145948, 2824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145949, 2825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145950, 2826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145951, 2827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145952, 2828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145953, 2829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145954, 2830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145955, 2831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145956, 2832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145957, 2833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145958, 2834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145959, 2835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145960, 2836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145961, 2837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145962, 2838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145963, 2839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145964, 2840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145965, 2841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145966, 2842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145967, 2843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145968, 2844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145969, 2845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145970, 2846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145971, 2847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145972, 2848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145973, 2849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145974, 2850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145975, 2851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145976, 2852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145977, 2853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145978, 2854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145979, 2855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145980, 2856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145981, 2857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145982, 2858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145983, 2859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145984, 2860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145985, 2861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145986, 2862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145987, 2863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145988, 2864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145989, 2865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145990, 2866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145991, 2867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145992, 2868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145993, 2869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145994, 2870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145995, 2871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145996, 2872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145997, 2873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145998, 2874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (145999, 2875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146000, 2876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146001, 2877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146002, 2878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146003, 2879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146004, 2880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146005, 2881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146006, 2882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146007, 2883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146008, 2884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146009, 2885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146010, 2886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146011, 2887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146012, 2888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146013, 2889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146014, 2890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146015, 2891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146016, 2892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146017, 2893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146018, 2894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146019, 2895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146020, 2896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146021, 2897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146022, 2898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146023, 2899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146024, 2900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146025, 2901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146026, 2902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146027, 2903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146028, 2904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146029, 2905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146030, 2906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146031, 2907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146032, 2908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146033, 2909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146034, 2910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146035, 2911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146036, 2912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146037, 2913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146038, 2914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146039, 2915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146040, 2916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146041, 2917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146042, 2918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146043, 2919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146044, 2920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146045, 2921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146046, 2922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146047, 2923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146048, 2924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146049, 2925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146050, 2926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146051, 2927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146052, 2928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146053, 2929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146054, 2930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146055, 2931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146056, 2932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146057, 2933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146058, 2934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146059, 2935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146060, 2936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146061, 2937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146062, 2938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146063, 2939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146064, 2940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146065, 2941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146066, 2942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146067, 2943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146068, 2944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146069, 2945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146070, 2946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146071, 2947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146072, 2948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146073, 2949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146074, 2950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146075, 2951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146076, 2952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146077, 2953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146078, 2954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146079, 2955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146080, 2956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146081, 2957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146082, 2958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146083, 2959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146084, 2960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146085, 2961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146086, 2962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146087, 2963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146088, 2964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146089, 2965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146090, 2966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146091, 2967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146092, 2968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146093, 2969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146094, 2970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146095, 2971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146096, 2972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146097, 2973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146098, 2974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146099, 2975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146100, 2976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146101, 2977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146102, 2978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146103, 2979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146104, 2980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146105, 2981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146106, 2982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146107, 2983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146108, 2984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146109, 2985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146110, 2986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146111, 2987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146112, 2988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146113, 2989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146114, 2990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146115, 2991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146116, 2992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146117, 2993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146118, 2994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146119, 2995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146120, 2996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146121, 2997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146122, 2998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146123, 2999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146124, 3000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146125, 3001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146126, 3002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146127, 3003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146128, 3004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146129, 3005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146130, 3006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146131, 3007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146132, 3008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146133, 3009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146134, 3010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146135, 3011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146136, 3012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146137, 3013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146138, 3014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146139, 3015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146140, 3016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146141, 3017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146142, 3018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146143, 3019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146144, 3020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146145, 3021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146146, 3022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146147, 3023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146148, 3024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146149, 3025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146150, 3026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146151, 3027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146152, 3028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146153, 3029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146154, 3030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146155, 3031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146156, 3032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146157, 3033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146158, 3034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146159, 3035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146160, 3036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146161, 3037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146162, 3038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146163, 3039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146164, 3040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146165, 3041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146166, 3042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146167, 3043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146168, 3044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146169, 3045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146170, 3046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146171, 3047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146172, 3048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146173, 3049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146174, 3050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146175, 3051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146176, 3052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146177, 3053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146178, 3054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146179, 3055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146180, 3056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146181, 3057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146182, 3058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146183, 3059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146184, 3060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146185, 3061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146186, 3062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146187, 3063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146188, 3064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146189, 3065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146190, 3066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146191, 3067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146192, 3068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146193, 3069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146194, 3070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146195, 3071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146196, 3072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146197, 3073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146198, 3074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146199, 3075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146200, 3076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146201, 3077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146202, 3078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146203, 3079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146204, 3080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146205, 3081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146206, 3082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146207, 3083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146208, 3084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146209, 3085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146210, 3086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146211, 3087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146212, 3088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146213, 3089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146214, 3090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146215, 3091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146216, 3092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146217, 3093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146218, 3094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146219, 3095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146220, 3096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146221, 3097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146222, 3098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146223, 3099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146224, 3100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146225, 3101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146226, 3102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146227, 3103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146228, 3104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146229, 3105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146230, 3106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146231, 3107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146232, 3108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146233, 3109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146234, 3110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146235, 3111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146236, 3112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146237, 3113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146238, 3114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146239, 3115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146240, 3116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146241, 3117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146242, 3118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146243, 3119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146244, 3120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146245, 3121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146246, 3122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146247, 3123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146248, 3124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146249, 3125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146250, 3126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146251, 3127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146252, 3128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146253, 3129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146254, 3130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146255, 3131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146256, 3132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146257, 3133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146258, 3134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146259, 3135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146260, 3136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146261, 3137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146262, 3138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146263, 3139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146264, 3140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146265, 3141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146266, 3142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146267, 3143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146268, 3144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146269, 3145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146270, 3146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146271, 3147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146272, 3148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146273, 3149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146274, 3150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146275, 3151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146276, 3152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146277, 3153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146278, 3154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146279, 3155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146280, 3156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146281, 3157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146282, 3158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146283, 3159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146284, 3160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146285, 3161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146286, 3162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146287, 3163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146288, 3164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146289, 3165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146290, 3166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146291, 3167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146292, 3168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146293, 3169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146294, 3170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146295, 3171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146296, 3172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146297, 3173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146298, 3174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146299, 3175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146300, 3176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146301, 3177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146302, 3178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146303, 3179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146304, 3180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146305, 3181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146306, 3182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146307, 3183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146308, 3184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146309, 3185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146310, 3186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146311, 3187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146312, 3188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146313, 3189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146314, 3190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146315, 3191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146316, 3192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146317, 3193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146318, 3194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146319, 3195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146320, 3196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146321, 3197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146322, 3198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146323, 3199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146324, 3200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146325, 3201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146326, 3202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146327, 3203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146328, 3204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146329, 3205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146330, 3206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146331, 3207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146332, 3208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146333, 3209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146334, 3210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146335, 3211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146336, 3212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146337, 3213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146338, 3214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146339, 3215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146340, 3216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146341, 3217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146342, 3218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146343, 3219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146344, 3220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146345, 3221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146346, 3222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146347, 3223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146348, 3224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146349, 3225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146350, 3226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146351, 3227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146352, 3228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146353, 3229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146354, 3230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146355, 3231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146356, 3232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146357, 3233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146358, 3234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146359, 3235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146360, 3236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146361, 3237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146362, 3238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146363, 3239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146364, 3240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146365, 3241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146366, 3242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146367, 3243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146368, 3244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146369, 3245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146370, 3246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146371, 3247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146372, 3248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146373, 3249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146374, 3250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146375, 3251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146376, 3252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146377, 3253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146378, 3254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146379, 3255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146380, 3256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146381, 3257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146382, 3258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146383, 3259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146384, 3260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146385, 3261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146386, 3262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146387, 3263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146388, 3264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146389, 3265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146390, 3266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146391, 3267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146392, 3268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146393, 3269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146394, 3270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146395, 3271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146396, 3272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146397, 3273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146398, 3274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146399, 3275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146400, 3276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146401, 3277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146402, 3278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146403, 3279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146404, 3280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146405, 3281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146406, 3282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146407, 3283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146408, 3284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146409, 3285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146410, 3286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146411, 3287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146412, 3288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146413, 3289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146414, 3290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146415, 3291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146416, 3292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146417, 3293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146418, 3294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146419, 3295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146420, 3296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146421, 3297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146422, 3298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146423, 3299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146424, 3300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146425, 3301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146426, 3302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146427, 3303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146428, 3304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146429, 3305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146430, 3306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146431, 3307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146432, 3308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146433, 3309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146434, 3310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146435, 3311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146436, 3312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146437, 3313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146438, 3314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146439, 3315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146440, 3316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146441, 3317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146442, 3318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146443, 3319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146444, 3320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146445, 3321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146446, 3322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146447, 3323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146448, 3324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146449, 3325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146450, 3326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146451, 3327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146452, 3328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146453, 3329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146454, 3330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146455, 3331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146456, 3332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146457, 3333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146458, 3334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146459, 3335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146460, 3336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146461, 3337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146462, 3338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146463, 3339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146464, 3340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146465, 3341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146466, 3342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146467, 3343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146468, 3344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146469, 3345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146470, 3346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146471, 3347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146472, 3348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146473, 3349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146474, 3350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146475, 3351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146476, 3352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146477, 3353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146478, 3354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146479, 3355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146480, 3356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146481, 3357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146482, 3358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146483, 3359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146484, 3360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146485, 3361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146486, 3362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146487, 3363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146488, 3364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146489, 3365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146490, 3366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146491, 3367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146492, 3368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146493, 3369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146494, 3370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146495, 3371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146496, 3372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146497, 3373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146498, 3374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146499, 3375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146500, 3376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146501, 3377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146502, 3378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146503, 3379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146504, 3380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146505, 3381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146506, 3382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146507, 3383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146508, 3384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146509, 3385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146510, 3386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146511, 3387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146512, 3388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146513, 3389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146514, 3390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146515, 3391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146516, 3392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146517, 3393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146518, 3394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146519, 3395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146520, 3396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146521, 3397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146522, 3398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146523, 3399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146524, 3400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146525, 3401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146526, 3402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146527, 3403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146528, 3404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146529, 3405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146530, 3406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146531, 3407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146532, 3408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146533, 3409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146534, 3410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146535, 3411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146536, 3412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146537, 3413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146538, 3414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146539, 3415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146540, 3416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146541, 3417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146542, 3418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146543, 3419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146544, 3420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146545, 3421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146546, 3422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146547, 3423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146548, 3424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146549, 3425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146550, 3426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146551, 3427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146552, 3428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146553, 3429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146554, 3430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146555, 3431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146556, 3432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146557, 3433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146558, 3434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146559, 3435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146560, 3436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146561, 3437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146562, 3438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146563, 3439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146564, 3440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146565, 3441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146566, 3442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146567, 3443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146568, 3444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146569, 3445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146570, 3446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146571, 3447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146572, 3448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146573, 3449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146574, 3450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146575, 3451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146576, 3452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146577, 3453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146578, 3454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146579, 3455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146580, 3456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146581, 3457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146582, 3458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146583, 3459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146584, 3460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146585, 3461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146586, 3462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146587, 3463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146588, 3464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146589, 3465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146590, 3466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146591, 3467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146592, 3468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146593, 3469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146594, 3470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146595, 3471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146596, 3472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146597, 3473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146598, 3474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146599, 3475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146600, 3476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146601, 3477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146602, 3478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146603, 3479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146604, 3480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146605, 3481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146606, 3482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146607, 3483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146608, 3484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146609, 3485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146610, 3486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146611, 3487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146612, 3488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146613, 3489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146614, 3490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146615, 3491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146616, 3492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146617, 3493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146618, 3494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146619, 3495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146620, 3496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146621, 3497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146622, 3498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146623, 3499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146624, 3500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146625, 3501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146626, 3502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146627, 3503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146628, 3504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146629, 3505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146630, 3506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146631, 3507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146632, 3508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146633, 3509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146634, 3510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146635, 3511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146636, 3512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146637, 3513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146638, 3514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146639, 3515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146640, 3516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146641, 3517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146642, 3518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146643, 3519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146644, 3520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146645, 3521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146646, 3522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146647, 3523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146648, 3524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146649, 3525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146650, 3526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146651, 3527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146652, 3528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146653, 3529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146654, 3530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146655, 3531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146656, 3532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146657, 3533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146658, 3534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146659, 3535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146660, 3536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146661, 3537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146662, 3538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146663, 3539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146664, 3540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146665, 3541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146666, 3542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146667, 3543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146668, 3544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146669, 3545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146670, 3546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146671, 3547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146672, 3548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146673, 3549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146674, 3550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146675, 3551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146676, 3552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146677, 3553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146678, 3554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146679, 3555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146680, 3556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146681, 3557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146682, 3558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146683, 3559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146684, 3560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146685, 3561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146686, 3562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146687, 3563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146688, 3564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146689, 3565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146690, 3566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146691, 3567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146692, 3568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146693, 3569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146694, 3570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146695, 3571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146696, 3572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146697, 3573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146698, 3574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146699, 3575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146700, 3576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146701, 3577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146702, 3578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146703, 3579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146704, 3580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146705, 3581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146706, 3582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146707, 3583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146708, 3584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146709, 3585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146710, 3586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146711, 3587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146712, 3588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146713, 3589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146714, 3590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146715, 3591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146716, 3592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146717, 3593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146718, 3594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146719, 3595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146720, 3596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146721, 3597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146722, 3598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146723, 3599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146724, 3600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146725, 3601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146726, 3602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146727, 3603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146728, 3604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146729, 3605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146730, 3606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146731, 3607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146732, 3608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146733, 3609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146734, 3610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146735, 3611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146736, 3612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146737, 3613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146738, 3614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146739, 3615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146740, 3616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146741, 3617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146742, 3618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146743, 3619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146744, 3620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146745, 3621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146746, 3622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146747, 3623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146748, 3624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146749, 3625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146750, 3626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146751, 3627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146752, 3628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146753, 3629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146754, 3630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146755, 3631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146756, 3632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146757, 3633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146758, 3634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146759, 3635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146760, 3636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146761, 3637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146762, 3638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146763, 3639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146764, 3640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146765, 3641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146766, 3642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146767, 3643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146768, 3644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146769, 3645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146770, 3646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146771, 3647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146772, 3648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146773, 3649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146774, 3650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146775, 3651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146776, 3652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146777, 3653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146778, 3654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146779, 3655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146780, 3656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146781, 3657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146782, 3658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146783, 3659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146784, 3660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146785, 3661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146786, 3662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146787, 3663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146788, 3664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146789, 3665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146790, 3666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146791, 3667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146792, 3668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146793, 3669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146794, 3670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146795, 3671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146796, 3672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146797, 3673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146798, 3674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146799, 3675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146800, 3676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146801, 3677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146802, 3678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146803, 3679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146804, 3680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146805, 3681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146806, 3682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146807, 3683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146808, 3684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146809, 3685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146810, 3686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146811, 3687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146812, 3688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146813, 3689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146814, 3690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146815, 3691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146816, 3692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146817, 3693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146818, 3694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146819, 3695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146820, 3696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146821, 3697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146822, 3698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146823, 3699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146824, 3700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146825, 3701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146826, 3702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146827, 3703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146828, 3704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146829, 3705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146830, 3706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146831, 3707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146832, 3708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146833, 3709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146834, 3710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146835, 3711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146836, 3712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146837, 3713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146838, 3714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146839, 3715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146840, 3716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146841, 3717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146842, 3718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146843, 3719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146844, 3720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146845, 3721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146846, 3722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146847, 3723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146848, 3724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146849, 3725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146850, 3726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146851, 3727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146852, 3728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146853, 3729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146854, 3730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146855, 3731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146856, 3732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146857, 3733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146858, 3734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146859, 3735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146860, 3736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146861, 3737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146862, 3738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146863, 3739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146864, 3740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146865, 3741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146866, 3742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146867, 3743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146868, 3744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146869, 3745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146870, 3746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146871, 3747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146872, 3748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146873, 3749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146874, 3750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146875, 3751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146876, 3752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146877, 3753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146878, 3754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146879, 3755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146880, 3756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146881, 3757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146882, 3758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146883, 3759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146884, 3760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146885, 3761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146886, 3762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146887, 3763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146888, 3764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146889, 3765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146890, 3766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146891, 3767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146892, 3768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146893, 3769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146894, 3770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146895, 3771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146896, 3772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146897, 3773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146898, 3774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146899, 3775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146900, 3776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146901, 3777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146902, 3778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146903, 3779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146904, 3780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146905, 3781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146906, 3782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146907, 3783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146908, 3784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146909, 3785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146910, 3786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146911, 3787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146912, 3788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146913, 3789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146914, 3790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146915, 3791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146916, 3792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146917, 3793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146918, 3794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146919, 3795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146920, 3796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146921, 3797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146922, 3798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146923, 3799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146924, 3800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146925, 3801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146926, 3802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146927, 3803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146928, 3804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146929, 3805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146930, 3806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146931, 3807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146932, 3808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146933, 3809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146934, 3810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146935, 3811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146936, 3812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146937, 3813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146938, 3814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146939, 3815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146940, 3816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146941, 3817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146942, 3818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146943, 3819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146944, 3820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146945, 3821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146946, 3822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146947, 3823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146948, 3824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146949, 3825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146950, 3826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146951, 3827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146952, 3828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146953, 3829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146954, 3830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146955, 3831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146956, 3832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146957, 3833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146958, 3834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146959, 3835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146960, 3836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146961, 3837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146962, 3838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146963, 3839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146964, 3840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146965, 3841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146966, 3842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146967, 3843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146968, 3844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146969, 3845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146970, 3846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146971, 3847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146972, 3848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146973, 3849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146974, 3850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146975, 3851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146976, 3852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146977, 3853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146978, 3854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146979, 3855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146980, 3856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146981, 3857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146982, 3858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146983, 3859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146984, 3860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146985, 3861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146986, 3862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146987, 3863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146988, 3864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146989, 3865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146990, 3866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146991, 3867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146992, 3868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146993, 3869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146994, 3870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146995, 3871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146996, 3872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146997, 3873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146998, 3874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (146999, 3875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147000, 3876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147001, 3877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147002, 3878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147003, 3879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147004, 3880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147005, 3881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147006, 3882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147007, 3883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147008, 3884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147009, 3885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147010, 3886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147011, 3887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147012, 3888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147013, 3889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147014, 3890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147015, 3891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147016, 3892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147017, 3893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147018, 3894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147019, 3895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147020, 3896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147021, 3897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147022, 3898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147023, 3899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147024, 3900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147025, 3901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147026, 3902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147027, 3903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147028, 3904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147029, 3905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147030, 3906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147031, 3907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147032, 3908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147033, 3909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147034, 3910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147035, 3911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147036, 3912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147037, 3913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147038, 3914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147039, 3915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147040, 3916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147041, 3917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147042, 3918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147043, 3919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147044, 3920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147045, 3921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147046, 3922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147047, 3923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147048, 3924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147049, 3925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147050, 3926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147051, 3927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147052, 3928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147053, 3929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147054, 3930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147055, 3931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147056, 3932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147057, 3933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147058, 3934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147059, 3935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147060, 3936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147061, 3937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147062, 3938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147063, 3939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147064, 3940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147065, 3941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147066, 3942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147067, 3943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147068, 3944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147069, 3945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147070, 3946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147071, 3947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147072, 3948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147073, 3949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147074, 3950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147075, 3951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147076, 3952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147077, 3953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147078, 3954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147079, 3955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147080, 3956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147081, 3957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147082, 3958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147083, 3959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147084, 3960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147085, 3961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147086, 3962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147087, 3963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147088, 3964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147089, 3965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147090, 3966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147091, 3967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147092, 3968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147093, 3969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147094, 3970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147095, 3971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147096, 3972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147097, 3973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147098, 3974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147099, 3975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147100, 3976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147101, 3977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147102, 3978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147103, 3979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147104, 3980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147105, 3981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147106, 3982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147107, 3983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147108, 3984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147109, 3985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147110, 3986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147111, 3987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147112, 3988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147113, 3989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147114, 3990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147115, 3991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147116, 3992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147117, 3993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147118, 3994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147119, 3995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147120, 3996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147121, 3997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147122, 3998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147123, 3999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147124, 4000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147125, 4001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147126, 4002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147127, 4003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147128, 4004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147129, 4005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147130, 4006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147131, 4007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147132, 4008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147133, 4009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147134, 4010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147135, 4011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147136, 4012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147137, 4013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147138, 4014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147139, 4015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147140, 4016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147141, 4017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147142, 4018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147143, 4019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147144, 4020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147145, 4021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147146, 4022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147147, 4023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147148, 4024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147149, 4025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147150, 4026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147151, 4027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147152, 4028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147153, 4029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147154, 4030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147155, 4031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147156, 4032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147157, 4033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147158, 4034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147159, 4035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147160, 4036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147161, 4037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147162, 4038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147163, 4039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147164, 4040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147165, 4041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147166, 4042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147167, 4043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147168, 4044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147169, 4045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147170, 4046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147171, 4047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147172, 4048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147173, 4049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147174, 4050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147175, 4051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147176, 4052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147177, 4053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147178, 4054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147179, 4055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147180, 4056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147181, 4057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147182, 4058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147183, 4059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147184, 4060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147185, 4061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147186, 4062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147187, 4063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147188, 4064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147189, 4065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147190, 4066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147191, 4067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147192, 4068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147193, 4069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147194, 4070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147195, 4071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147196, 4072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147197, 4073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147198, 4074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147199, 4075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147200, 4076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147201, 4077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147202, 4078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147203, 4079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147204, 4080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147205, 4081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147206, 4082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147207, 4083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147208, 4084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147209, 4085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147210, 4086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147211, 4087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147212, 4088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147213, 4089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147214, 4090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147215, 4091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147216, 4092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147217, 4093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147218, 4094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147219, 4095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147220, 4096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147221, 4097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147222, 4098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147223, 4099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147224, 4100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147225, 4101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147226, 4102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147227, 4103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147228, 4104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147229, 4105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147230, 4106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147231, 4107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147232, 4108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147233, 4109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147234, 4110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147235, 4111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147236, 4112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147237, 4113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147238, 4114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147239, 4115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147240, 4116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147241, 4117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147242, 4118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147243, 4119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147244, 4120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147245, 4121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147246, 4122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147247, 4123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147248, 4124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147249, 4125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147250, 4126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147251, 4127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147252, 4128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147253, 4129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147254, 4130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147255, 4131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147256, 4132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147257, 4133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147258, 4134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147259, 4135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147260, 4136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147261, 4137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147262, 4138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147263, 4139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147264, 4140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147265, 4141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147266, 4142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147267, 4143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147268, 4144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147269, 4145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147270, 4146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147271, 4147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147272, 4148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147273, 4149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147274, 4150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147275, 4151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147276, 4152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147277, 4153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147278, 4154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147279, 4155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147280, 4156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147281, 4157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147282, 4158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147283, 4159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147284, 4160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147285, 4161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147286, 4162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147287, 4163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147288, 4164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147289, 4165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147290, 4166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147291, 4167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147292, 4168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147293, 4169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147294, 4170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147295, 4171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147296, 4172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147297, 4173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147298, 4174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147299, 4175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147300, 4176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147301, 4177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147302, 4178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147303, 4179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147304, 4180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147305, 4181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147306, 4182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147307, 4183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147308, 4184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147309, 4185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147310, 4186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147311, 4187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147312, 4188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147313, 4189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147314, 4190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147315, 4191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147316, 4192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147317, 4193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147318, 4194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147319, 4195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147320, 4196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147321, 4197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147322, 4198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147323, 4199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147324, 4200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147325, 4201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147326, 4202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147327, 4203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147328, 4204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147329, 4205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147330, 4206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147331, 4207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147332, 4208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147333, 4209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147334, 4210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147335, 4211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147336, 4212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147337, 4213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147338, 4214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147339, 4215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147340, 4216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147341, 4217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147342, 4218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147343, 4219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147344, 4220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147345, 4221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147346, 4222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147347, 4223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147348, 4224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147349, 4225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147350, 4226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147351, 4227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147352, 4228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147353, 4229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147354, 4230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147355, 4231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147356, 4232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147357, 4233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147358, 4234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147359, 4235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147360, 4236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147361, 4237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147362, 4238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147363, 4239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147364, 4240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147365, 4241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147366, 4242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147367, 4243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147368, 4244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147369, 4245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147370, 4246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147371, 4247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147372, 4248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147373, 4249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147374, 4250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147375, 4251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147376, 4252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147377, 4253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147378, 4254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147379, 4255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147380, 4256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147381, 4257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147382, 4258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147383, 4259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147384, 4260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147385, 4261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147386, 4262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147387, 4263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147388, 4264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147389, 4265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147390, 4266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147391, 4267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147392, 4268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147393, 4269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147394, 4270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147395, 4271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147396, 4272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147397, 4273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147398, 4274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147399, 4275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147400, 4276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147401, 4277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147402, 4278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147403, 4279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147404, 4280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147405, 4281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147406, 4282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147407, 4283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147408, 4284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147409, 4285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147410, 4286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147411, 4287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147412, 4288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147413, 4289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147414, 4290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147415, 4291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147416, 4292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147417, 4293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147418, 4294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147419, 4295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147420, 4296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147421, 4297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147422, 4298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147423, 4299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147424, 4300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147425, 4301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147426, 4302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147427, 4303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147428, 4304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147429, 4305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147430, 4306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147431, 4307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147432, 4308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147433, 4309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147434, 4310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147435, 4311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147436, 4312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147437, 4313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147438, 4314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147439, 4315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147440, 4316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147441, 4317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147442, 4318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147443, 4319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147444, 4320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147445, 4321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147446, 4322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147447, 4323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147448, 4324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147449, 4325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147450, 4326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147451, 4327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147452, 4328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147453, 4329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147454, 4330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147455, 4331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147456, 4332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147457, 4333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147458, 4334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147459, 4335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147460, 4336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147461, 4337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147462, 4338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147463, 4339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147464, 4340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147465, 4341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147466, 4342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147467, 4343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147468, 4344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147469, 4345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147470, 4346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147471, 4347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147472, 4348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147473, 4349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147474, 4350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147475, 4351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147476, 4352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147477, 4353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147478, 4354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147479, 4355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147480, 4356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147481, 4357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147482, 4358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147483, 4359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147484, 4360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147485, 4361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147486, 4362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147487, 4363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147488, 4364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147489, 4365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147490, 4366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147491, 4367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147492, 4368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147493, 4369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147494, 4370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147495, 4371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147496, 4372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147497, 4373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147498, 4374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147499, 4375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147500, 4376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147501, 4377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147502, 4378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147503, 4379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147504, 4380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147505, 4381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147506, 4382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147507, 4383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147508, 4384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147509, 4385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147510, 4386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147511, 4387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147512, 4388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147513, 4389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147514, 4390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147515, 4391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147516, 4392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147517, 4393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147518, 4394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147519, 4395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147520, 4396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147521, 4397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147522, 4398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147523, 4399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147524, 4400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147525, 4401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147526, 4402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147527, 4403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147528, 4404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147529, 4405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147530, 4406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147531, 4407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147532, 4408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147533, 4409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147534, 4410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147535, 4411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147536, 4412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147537, 4413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147538, 4414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147539, 4415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147540, 4416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147541, 4417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147542, 4418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147543, 4419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147544, 4420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147545, 4421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147546, 4422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147547, 4423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147548, 4424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147549, 4425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147550, 4426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147551, 4427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147552, 4428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147553, 4429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147554, 4430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147555, 4431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147556, 4432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147557, 4433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147558, 4434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147559, 4435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147560, 4436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147561, 4437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147562, 4438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147563, 4439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147564, 4440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147565, 4441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147566, 4442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147567, 4443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147568, 4444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147569, 4445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147570, 4446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147571, 4447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147572, 4448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147573, 4449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147574, 4450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147575, 4451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147576, 4452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147577, 4453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147578, 4454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147579, 4455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147580, 4456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147581, 4457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147582, 4458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147583, 4459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147584, 4460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147585, 4461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147586, 4462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147587, 4463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147588, 4464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147589, 4465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147590, 4466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147591, 4467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147592, 4468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147593, 4469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147594, 4470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147595, 4471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147596, 4472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147597, 4473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147598, 4474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147599, 4475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147600, 4476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147601, 4477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147602, 4478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147603, 4479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147604, 4480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147605, 4481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147606, 4482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147607, 4483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147608, 4484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147609, 4485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147610, 4486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147611, 4487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147612, 4488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147613, 4489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147614, 4490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147615, 4491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147616, 4492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147617, 4493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147618, 4494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147619, 4495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147620, 4496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147621, 4497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147622, 4498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147623, 4499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147624, 4500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147625, 4501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147626, 4502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147627, 4503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147628, 4504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147629, 4505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147630, 4506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147631, 4507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147632, 4508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147633, 4509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147634, 4510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147635, 4511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147636, 4512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147637, 4513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147638, 4514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147639, 4515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147640, 4516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147641, 4517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147642, 4518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147643, 4519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147644, 4520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147645, 4521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147646, 4522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147647, 4523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147648, 4524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147649, 4525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147650, 4526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147651, 4527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147652, 4528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147653, 4529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147654, 4530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147655, 4531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147656, 4532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147657, 4533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147658, 4534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147659, 4535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147660, 4536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147661, 4537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147662, 4538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147663, 4539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147664, 4540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147665, 4541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147666, 4542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147667, 4543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147668, 4544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147669, 4545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147670, 4546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147671, 4547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147672, 4548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147673, 4549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147674, 4550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147675, 4551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147676, 4552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147677, 4553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147678, 4554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147679, 4555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147680, 4556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147681, 4557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147682, 4558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147683, 4559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147684, 4560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147685, 4561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147686, 4562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147687, 4563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147688, 4564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147689, 4565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147690, 4566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147691, 4567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147692, 4568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147693, 4569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147694, 4570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147695, 4571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147696, 4572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147697, 4573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147698, 4574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147699, 4575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147700, 4576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147701, 4577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147702, 4578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147703, 4579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147704, 4580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147705, 4581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147706, 4582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147707, 4583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147708, 4584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147709, 4585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147710, 4586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147711, 4587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147712, 4588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147713, 4589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147714, 4590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147715, 4591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147716, 4592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147717, 4593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147718, 4594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147719, 4595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147720, 4596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147721, 4597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147722, 4598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147723, 4599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147724, 4600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147725, 4601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147726, 4602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147727, 4603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147728, 4604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147729, 4605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147730, 4606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147731, 4607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147732, 4608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147733, 4609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147734, 4610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147735, 4611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147736, 4612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147737, 4613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147738, 4614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147739, 4615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147740, 4616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147741, 4617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147742, 4618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147743, 4619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147744, 4620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147745, 4621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147746, 4622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147747, 4623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147748, 4624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147749, 4625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147750, 4626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147751, 4627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147752, 4628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147753, 4629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147754, 4630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147755, 4631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147756, 4632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147757, 4633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147758, 4634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147759, 4635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147760, 4636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147761, 4637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147762, 4638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147763, 4639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147764, 4640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147765, 4641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147766, 4642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147767, 4643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147768, 4644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147769, 4645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147770, 4646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147771, 4647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147772, 4648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147773, 4649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147774, 4650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147775, 4651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147776, 4652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147777, 4653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147778, 4654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147779, 4655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147780, 4656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147781, 4657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147782, 4658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147783, 4659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147784, 4660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147785, 4661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147786, 4662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147787, 4663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147788, 4664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147789, 4665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147790, 4666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147791, 4667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147792, 4668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147793, 4669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147794, 4670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147795, 4671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147796, 4672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147797, 4673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147798, 4674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147799, 4675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147800, 4676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147801, 4677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147802, 4678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147803, 4679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147804, 4680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147805, 4681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147806, 4682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147807, 4683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147808, 4684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147809, 4685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147810, 4686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147811, 4687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147812, 4688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147813, 4689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147814, 4690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147815, 4691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147816, 4692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147817, 4693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147818, 4694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147819, 4695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147820, 4696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147821, 4697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147822, 4698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147823, 4699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147824, 4700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147825, 4701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147826, 4702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147827, 4703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147828, 4704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147829, 4705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147830, 4706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147831, 4707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147832, 4708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147833, 4709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147834, 4710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147835, 4711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147836, 4712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147837, 4713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147838, 4714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147839, 4715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147840, 4716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147841, 4717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147842, 4718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147843, 4719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147844, 4720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147845, 4721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147846, 4722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147847, 4723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147848, 4724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147849, 4725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147850, 4726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147851, 4727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147852, 4728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147853, 4729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147854, 4730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147855, 4731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147856, 4732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147857, 4733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147858, 4734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147859, 4735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147860, 4736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147861, 4737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147862, 4738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147863, 4739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147864, 4740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147865, 4741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147866, 4742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147867, 4743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147868, 4744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147869, 4745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147870, 4746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147871, 4747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147872, 4748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147873, 4749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147874, 4750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147875, 4751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147876, 4752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147877, 4753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147878, 4754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147879, 4755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147880, 4756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147881, 4757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147882, 4758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147883, 4759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147884, 4760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147885, 4761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147886, 4762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147887, 4763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147888, 4764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147889, 4765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147890, 4766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147891, 4767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147892, 4768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147893, 4769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147894, 4770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147895, 4771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147896, 4772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147897, 4773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147898, 4774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147899, 4775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147900, 4776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147901, 4777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147902, 4778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147903, 4779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147904, 4780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147905, 4781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147906, 4782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147907, 4783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147908, 4784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147909, 4785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147910, 4786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147911, 4787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147912, 4788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147913, 4789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147914, 4790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147915, 4791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147916, 4792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147917, 4793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147918, 4794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147919, 4795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147920, 4796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147921, 4797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147922, 4798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147923, 4799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147924, 4800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147925, 4801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147926, 4802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147927, 4803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147928, 4804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147929, 4805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147930, 4806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147931, 4807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147932, 4808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147933, 4809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147934, 4810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147935, 4811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147936, 4812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147937, 4813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147938, 4814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147939, 4815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147940, 4816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147941, 4817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147942, 4818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147943, 4819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147944, 4820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147945, 4821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147946, 4822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147947, 4823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147948, 4824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147949, 4825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147950, 4826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147951, 4827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147952, 4828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147953, 4829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147954, 4830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147955, 4831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147956, 4832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147957, 4833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147958, 4834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147959, 4835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147960, 4836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147961, 4837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147962, 4838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147963, 4839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147964, 4840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147965, 4841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147966, 4842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147967, 4843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147968, 4844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147969, 4845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147970, 4846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147971, 4847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147972, 4848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147973, 4849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147974, 4850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147975, 4851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147976, 4852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147977, 4853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147978, 4854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147979, 4855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147980, 4856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147981, 4857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147982, 4858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147983, 4859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147984, 4860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147985, 4861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147986, 4862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147987, 4863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147988, 4864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147989, 4865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147990, 4866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147991, 4867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147992, 4868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147993, 4869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147994, 4870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147995, 4871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147996, 4872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147997, 4873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147998, 4874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (147999, 4875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148000, 4876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148001, 4877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148002, 4878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148003, 4879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148004, 4880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148005, 4881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148006, 4882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148007, 4883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148008, 4884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148009, 4885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148010, 4886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148011, 4887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148012, 4888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148013, 4889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148014, 4890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148015, 4891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148016, 4892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148017, 4893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148018, 4894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148019, 4895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148020, 4896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148021, 4897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148022, 4898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148023, 4899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148024, 4900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148025, 4901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148026, 4902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148027, 4903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148028, 4904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148029, 4905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148030, 4906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148031, 4907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148032, 4908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148033, 4909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148034, 4910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148035, 4911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148036, 4912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148037, 4913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148038, 4914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148039, 4915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148040, 4916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148041, 4917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148042, 4918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148043, 4919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148044, 4920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148045, 4921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148046, 4922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148047, 4923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148048, 4924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148049, 4925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148050, 4926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148051, 4927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148052, 4928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148053, 4929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148054, 4930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148055, 4931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148056, 4932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148057, 4933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148058, 4934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148059, 4935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148060, 4936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148061, 4937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148062, 4938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148063, 4939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148064, 4940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148065, 4941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148066, 4942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148067, 4943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148068, 4944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148069, 4945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148070, 4946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148071, 4947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148072, 4948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148073, 4949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148074, 4950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148075, 4951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148076, 4952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148077, 4953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148078, 4954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148079, 4955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148080, 4956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148081, 4957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148082, 4958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148083, 4959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148084, 4960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148085, 4961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148086, 4962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148087, 4963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148088, 4964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148089, 4965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148090, 4966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148091, 4967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148092, 4968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148093, 4969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148094, 4970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148095, 4971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148096, 4972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148097, 4973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148098, 4974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148099, 4975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148100, 4976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148101, 4977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148102, 4978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148103, 4979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148104, 4980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148105, 4981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148106, 4982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148107, 4983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148108, 4984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148109, 4985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148110, 4986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148111, 4987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148112, 4988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148113, 4989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148114, 4990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148115, 4991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148116, 4992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148117, 4993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148118, 4994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148119, 4995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148120, 4996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148121, 4997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148122, 4998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148123, 4999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148124, 5000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148125, 5001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148126, 5002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148127, 5003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148128, 5004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148129, 5005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148130, 5006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148131, 5007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148132, 5008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148133, 5009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148134, 5010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148135, 5011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148136, 5012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148137, 5013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148138, 5014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148139, 5015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148140, 5016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148141, 5017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148142, 5018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148143, 5019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148144, 5020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148145, 5021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148146, 5022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148147, 5023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148148, 5024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148149, 5025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148150, 5026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148151, 5027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148152, 5028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148153, 5029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148154, 5030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148155, 5031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148156, 5032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148157, 5033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148158, 5034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148159, 5035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148160, 5036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148161, 5037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148162, 5038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148163, 5039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148164, 5040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148165, 5041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148166, 5042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148167, 5043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148168, 5044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148169, 5045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148170, 5046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148171, 5047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148172, 5048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148173, 5049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148174, 5050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148175, 5051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148176, 5052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148177, 5053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148178, 5054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148179, 5055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148180, 5056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148181, 5057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148182, 5058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148183, 5059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148184, 5060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148185, 5061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148186, 5062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148187, 5063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148188, 5064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148189, 5065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148190, 5066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148191, 5067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148192, 5068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148193, 5069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148194, 5070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148195, 5071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148196, 5072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148197, 5073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148198, 5074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148199, 5075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148200, 5076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148201, 5077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148202, 5078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148203, 5079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148204, 5080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148205, 5081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148206, 5082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148207, 5083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148208, 5084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148209, 5085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148210, 5086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148211, 5087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148212, 5088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148213, 5089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148214, 5090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148215, 5091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148216, 5092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148217, 5093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148218, 5094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148219, 5095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148220, 5096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148221, 5097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148222, 5098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148223, 5099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148224, 5100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148225, 5101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148226, 5102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148227, 5103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148228, 5104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148229, 5105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148230, 5106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148231, 5107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148232, 5108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148233, 5109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148234, 5110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148235, 5111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148236, 5112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148237, 5113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148238, 5114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148239, 5115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148240, 5116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148241, 5117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148242, 5118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148243, 5119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148244, 5120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148245, 5121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148246, 5122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148247, 5123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148248, 5124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148249, 5125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148250, 5126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148251, 5127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148252, 5128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148253, 5129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148254, 5130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148255, 5131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148256, 5132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148257, 5133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148258, 5134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148259, 5135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148260, 5136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148261, 5137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148262, 5138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148263, 5139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148264, 5140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148265, 5141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148266, 5142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148267, 5143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148268, 5144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148269, 5145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148270, 5146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148271, 5147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148272, 5148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148273, 5149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148274, 5150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148275, 5151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148276, 5152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148277, 5153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148278, 5154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148279, 5155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148280, 5156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148281, 5157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148282, 5158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148283, 5159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148284, 5160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148285, 5161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148286, 5162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148287, 5163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148288, 5164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148289, 5165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148290, 5166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148291, 5167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148292, 5168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148293, 5169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148294, 5170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148295, 5171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148296, 5172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148297, 5173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148298, 5174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148299, 5175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148300, 5176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148301, 5177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148302, 5178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148303, 5179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148304, 5180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148305, 5181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148306, 5182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148307, 5183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148308, 5184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148309, 5185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148310, 5186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148311, 5187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148312, 5188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148313, 5189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148314, 5190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148315, 5191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148316, 5192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148317, 5193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148318, 5194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148319, 5195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148320, 5196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148321, 5197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148322, 5198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148323, 5199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148324, 5200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148325, 5201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148326, 5202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148327, 5203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148328, 5204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148329, 5205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148330, 5206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148331, 5207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148332, 5208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148333, 5209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148334, 5210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148335, 5211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148336, 5212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148337, 5213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148338, 5214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148339, 5215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148340, 5216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148341, 5217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148342, 5218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148343, 5219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148344, 5220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148345, 5221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148346, 5222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148347, 5223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148348, 5224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148349, 5225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148350, 5226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148351, 5227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148352, 5228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148353, 5229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148354, 5230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148355, 5231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148356, 5232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148357, 5233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148358, 5234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148359, 5235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148360, 5236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148361, 5237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148362, 5238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148363, 5239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148364, 5240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148365, 5241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148366, 5242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148367, 5243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148368, 5244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148369, 5245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148370, 5246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148371, 5247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148372, 5248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148373, 5249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148374, 5250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148375, 5251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148376, 5252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148377, 5253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148378, 5254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148379, 5255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148380, 5256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148381, 5257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148382, 5258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148383, 5259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148384, 5260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148385, 5261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148386, 5262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148387, 5263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148388, 5264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148389, 5265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148390, 5266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148391, 5267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148392, 5268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148393, 5269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148394, 5270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148395, 5271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148396, 5272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148397, 5273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148398, 5274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148399, 5275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148400, 5276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148401, 5277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148402, 5278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148403, 5279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148404, 5280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148405, 5281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148406, 5282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148407, 5283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148408, 5284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148409, 5285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148410, 5286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148411, 5287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148412, 5288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148413, 5289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148414, 5290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148415, 5291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148416, 5292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148417, 5293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148418, 5294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148419, 5295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148420, 5296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148421, 5297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148422, 5298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148423, 5299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148424, 5300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148425, 5301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148426, 5302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148427, 5303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148428, 5304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148429, 5305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148430, 5306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148431, 5307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148432, 5308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148433, 5309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148434, 5310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148435, 5311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148436, 5312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148437, 5313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148438, 5314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148439, 5315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148440, 5316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148441, 5317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148442, 5318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148443, 5319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148444, 5320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148445, 5321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148446, 5322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148447, 5323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148448, 5324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148449, 5325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148450, 5326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148451, 5327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148452, 5328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148453, 5329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148454, 5330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148455, 5331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148456, 5332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148457, 5333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148458, 5334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148459, 5335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148460, 5336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148461, 5337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148462, 5338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148463, 5339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148464, 5340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148465, 5341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148466, 5342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148467, 5343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148468, 5344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148469, 5345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148470, 5346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148471, 5347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148472, 5348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148473, 5349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148474, 5350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148475, 5351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148476, 5352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148477, 5353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148478, 5354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148479, 5355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148480, 5356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148481, 5357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148482, 5358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148483, 5359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148484, 5360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148485, 5361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148486, 5362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148487, 5363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148488, 5364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148489, 5365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148490, 5366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148491, 5367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148492, 5368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148493, 5369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148494, 5370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148495, 5371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148496, 5372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148497, 5373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148498, 5374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148499, 5375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148500, 5376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148501, 5377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148502, 5378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148503, 5379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148504, 5380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148505, 5381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148506, 5382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148507, 5383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148508, 5384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148509, 5385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148510, 5386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148511, 5387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148512, 5388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148513, 5389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148514, 5390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148515, 5391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148516, 5392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148517, 5393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148518, 5394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148519, 5395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148520, 5396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148521, 5397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148522, 5398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148523, 5399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148524, 5400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148525, 5401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148526, 5402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148527, 5403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148528, 5404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148529, 5405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148530, 5406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148531, 5407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148532, 5408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148533, 5409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148534, 5410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148535, 5411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148536, 5412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148537, 5413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148538, 5414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148539, 5415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148540, 5416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148541, 5417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148542, 5418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148543, 5419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148544, 5420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148545, 5421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148546, 5422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148547, 5423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148548, 5424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148549, 5425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148550, 5426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148551, 5427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148552, 5428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148553, 5429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148554, 5430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148555, 5431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148556, 5432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148557, 5433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148558, 5434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148559, 5435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148560, 5436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148561, 5437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148562, 5438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148563, 5439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148564, 5440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148565, 5441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148566, 5442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148567, 5443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148568, 5444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148569, 5445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148570, 5446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148571, 5447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148572, 5448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148573, 5449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148574, 5450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148575, 5451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148576, 5452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148577, 5453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148578, 5454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148579, 5455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148580, 5456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148581, 5457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148582, 5458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148583, 5459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148584, 5460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148585, 5461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148586, 5462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148587, 5463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148588, 5464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148589, 5465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148590, 5466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148591, 5467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148592, 5468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148593, 5469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148594, 5470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148595, 5471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148596, 5472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148597, 5473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148598, 5474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148599, 5475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148600, 5476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148601, 5477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148602, 5478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148603, 5479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148604, 5480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148605, 5481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148606, 5482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148607, 5483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148608, 5484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148609, 5485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148610, 5486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148611, 5487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148612, 5488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148613, 5489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148614, 5490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148615, 5491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148616, 5492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148617, 5493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148618, 5494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148619, 5495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148620, 5496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148621, 5497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148622, 5498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148623, 5499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148624, 5500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148625, 5501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148626, 5502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148627, 5503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148628, 5504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148629, 5505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148630, 5506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148631, 5507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148632, 5508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148633, 5509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148634, 5510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148635, 5511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148636, 5512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148637, 5513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148638, 5514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148639, 5515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148640, 5516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148641, 5517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148642, 5518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148643, 5519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148644, 5520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148645, 5521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148646, 5522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148647, 5523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148648, 5524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148649, 5525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148650, 5526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148651, 5527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148652, 5528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148653, 5529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148654, 5530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148655, 5531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148656, 5532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148657, 5533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148658, 5534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148659, 5535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148660, 5536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148661, 5537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148662, 5538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148663, 5539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148664, 5540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148665, 5541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148666, 5542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148667, 5543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148668, 5544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148669, 5545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148670, 5546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148671, 5547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148672, 5548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148673, 5549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148674, 5550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148675, 5551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148676, 5552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148677, 5553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148678, 5554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148679, 5555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148680, 5556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148681, 5557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148682, 5558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148683, 5559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148684, 5560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148685, 5561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148686, 5562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148687, 5563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148688, 5564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148689, 5565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148690, 5566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148691, 5567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148692, 5568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148693, 5569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148694, 5570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148695, 5571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148696, 5572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148697, 5573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148698, 5574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148699, 5575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148700, 5576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148701, 5577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148702, 5578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148703, 5579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148704, 5580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148705, 5581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148706, 5582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148707, 5583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148708, 5584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148709, 5585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148710, 5586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148711, 5587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148712, 5588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148713, 5589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148714, 5590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148715, 5591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148716, 5592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148717, 5593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148718, 5594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148719, 5595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148720, 5596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148721, 5597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148722, 5598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148723, 5599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148724, 5600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148725, 5601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148726, 5602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148727, 5603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148728, 5604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148729, 5605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148730, 5606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148731, 5607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148732, 5608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148733, 5609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148734, 5610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148735, 5611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148736, 5612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148737, 5613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148738, 5614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148739, 5615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148740, 5616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148741, 5617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148742, 5618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148743, 5619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148744, 5620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148745, 5621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148746, 5622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148747, 5623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148748, 5624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148749, 5625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148750, 5626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148751, 5627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148752, 5628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148753, 5629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148754, 5630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148755, 5631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148756, 5632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148757, 5633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148758, 5634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148759, 5635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148760, 5636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148761, 5637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148762, 5638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148763, 5639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148764, 5640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148765, 5641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148766, 5642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148767, 5643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148768, 5644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148769, 5645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148770, 5646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148771, 5647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148772, 5648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148773, 5649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148774, 5650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148775, 5651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148776, 5652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148777, 5653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148778, 5654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148779, 5655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148780, 5656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148781, 5657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148782, 5658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148783, 5659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148784, 5660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148785, 5661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148786, 5662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148787, 5663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148788, 5664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148789, 5665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148790, 5666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148791, 5667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148792, 5668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148793, 5669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148794, 5670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148795, 5671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148796, 5672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148797, 5673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148798, 5674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148799, 5675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148800, 5676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148801, 5677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148802, 5678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148803, 5679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148804, 5680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148805, 5681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148806, 5682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148807, 5683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148808, 5684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148809, 5685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148810, 5686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148811, 5687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148812, 5688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148813, 5689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148814, 5690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148815, 5691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148816, 5692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148817, 5693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148818, 5694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148819, 5695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148820, 5696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148821, 5697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148822, 5698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148823, 5699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148824, 5700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148825, 5701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148826, 5702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148827, 5703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148828, 5704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148829, 5705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148830, 5706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148831, 5707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148832, 5708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148833, 5709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148834, 5710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148835, 5711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148836, 5712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148837, 5713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148838, 5714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148839, 5715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148840, 5716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148841, 5717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148842, 5718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148843, 5719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148844, 5720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148845, 5721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148846, 5722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148847, 5723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148848, 5724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148849, 5725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148850, 5726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148851, 5727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148852, 5728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148853, 5729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148854, 5730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148855, 5731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148856, 5732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148857, 5733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148858, 5734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148859, 5735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148860, 5736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148861, 5737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148862, 5738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148863, 5739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148864, 5740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148865, 5741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148866, 5742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148867, 5743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148868, 5744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148869, 5745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148870, 5746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148871, 5747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148872, 5748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148873, 5749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148874, 5750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148875, 5751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148876, 5752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148877, 5753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148878, 5754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148879, 5755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148880, 5756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148881, 5757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148882, 5758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148883, 5759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148884, 5760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148885, 5761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148886, 5762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148887, 5763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148888, 5764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148889, 5765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148890, 5766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148891, 5767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148892, 5768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148893, 5769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148894, 5770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148895, 5771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148896, 5772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148897, 5773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148898, 5774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148899, 5775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148900, 5776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148901, 5777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148902, 5778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148903, 5779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148904, 5780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148905, 5781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148906, 5782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148907, 5783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148908, 5784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148909, 5785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148910, 5786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148911, 5787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148912, 5788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148913, 5789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148914, 5790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148915, 5791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148916, 5792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148917, 5793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148918, 5794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148919, 5795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148920, 5796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148921, 5797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148922, 5798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148923, 5799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148924, 5800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148925, 5801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148926, 5802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148927, 5803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148928, 5804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148929, 5805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148930, 5806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148931, 5807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148932, 5808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148933, 5809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148934, 5810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148935, 5811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148936, 5812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148937, 5813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148938, 5814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148939, 5815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148940, 5816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148941, 5817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148942, 5818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148943, 5819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148944, 5820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148945, 5821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148946, 5822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148947, 5823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148948, 5824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148949, 5825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148950, 5826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148951, 5827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148952, 5828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148953, 5829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148954, 5830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148955, 5831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148956, 5832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148957, 5833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148958, 5834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148959, 5835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148960, 5836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148961, 5837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148962, 5838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148963, 5839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148964, 5840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148965, 5841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148966, 5842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148967, 5843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148968, 5844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148969, 5845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148970, 5846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148971, 5847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148972, 5848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148973, 5849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148974, 5850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148975, 5851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148976, 5852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148977, 5853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148978, 5854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148979, 5855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148980, 5856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148981, 5857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148982, 5858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148983, 5859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148984, 5860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148985, 5861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148986, 5862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148987, 5863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148988, 5864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148989, 5865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148990, 5866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148991, 5867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148992, 5868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148993, 5869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148994, 5870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148995, 5871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148996, 5872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148997, 5873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148998, 5874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (148999, 5875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149000, 5876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149001, 5877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149002, 5878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149003, 5879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149004, 5880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149005, 5881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149006, 5882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149007, 5883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149008, 5884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149009, 5885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149010, 5886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149011, 5887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149012, 5888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149013, 5889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149014, 5890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149015, 5891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149016, 5892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149017, 5893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149018, 5894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149019, 5895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149020, 5896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149021, 5897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149022, 5898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149023, 5899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149024, 5900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149025, 5901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149026, 5902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149027, 5903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149028, 5904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149029, 5905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149030, 5906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149031, 5907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149032, 5908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149033, 5909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149034, 5910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149035, 5911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149036, 5912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149037, 5913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149038, 5914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149039, 5915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149040, 5916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149041, 5917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149042, 5918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149043, 5919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149044, 5920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149045, 5921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149046, 5922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149047, 5923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149048, 5924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149049, 5925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149050, 5926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149051, 5927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149052, 5928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149053, 5929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149054, 5930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149055, 5931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149056, 5932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149057, 5933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149058, 5934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149059, 5935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149060, 5936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149061, 5937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149062, 5938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149063, 5939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149064, 5940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149065, 5941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149066, 5942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149067, 5943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149068, 5944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149069, 5945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149070, 5946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149071, 5947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149072, 5948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149073, 5949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149074, 5950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149075, 5951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149076, 5952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149077, 5953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149078, 5954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149079, 5955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149080, 5956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149081, 5957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149082, 5958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149083, 5959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149084, 5960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149085, 5961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149086, 5962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149087, 5963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149088, 5964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149089, 5965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149090, 5966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149091, 5967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149092, 5968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149093, 5969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149094, 5970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149095, 5971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149096, 5972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149097, 5973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149098, 5974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149099, 5975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149100, 5976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149101, 5977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149102, 5978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149103, 5979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149104, 5980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149105, 5981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149106, 5982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149107, 5983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149108, 5984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149109, 5985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149110, 5986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149111, 5987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149112, 5988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149113, 5989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149114, 5990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149115, 5991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149116, 5992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149117, 5993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149118, 5994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149119, 5995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149120, 5996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149121, 5997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149122, 5998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149123, 5999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149124, 6000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149125, 6001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149126, 6002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149127, 6003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149128, 6004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149129, 6005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149130, 6006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149131, 6007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149132, 6008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149133, 6009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149134, 6010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149135, 6011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149136, 6012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149137, 6013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149138, 6014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149139, 6015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149140, 6016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149141, 6017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149142, 6018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149143, 6019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149144, 6020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149145, 6021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149146, 6022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149147, 6023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149148, 6024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149149, 6025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149150, 6026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149151, 6027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149152, 6028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149153, 6029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149154, 6030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149155, 6031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149156, 6032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149157, 6033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149158, 6034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149159, 6035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149160, 6036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149161, 6037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149162, 6038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149163, 6039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149164, 6040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149165, 6041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149166, 6042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149167, 6043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149168, 6044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149169, 6045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149170, 6046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149171, 6047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149172, 6048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149173, 6049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149174, 6050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149175, 6051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149176, 6052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149177, 6053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149178, 6054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149179, 6055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149180, 6056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149181, 6057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149182, 6058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149183, 6059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149184, 6060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149185, 6061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149186, 6062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149187, 6063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149188, 6064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149189, 6065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149190, 6066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149191, 6067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149192, 6068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149193, 6069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149194, 6070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149195, 6071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149196, 6072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149197, 6073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149198, 6074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149199, 6075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149200, 6076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149201, 6077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149202, 6078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149203, 6079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149204, 6080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149205, 6081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149206, 6082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149207, 6083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149208, 6084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149209, 6085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149210, 6086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149211, 6087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149212, 6088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149213, 6089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149214, 6090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149215, 6091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149216, 6092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149217, 6093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149218, 6094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149219, 6095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149220, 6096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149221, 6097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149222, 6098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149223, 6099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149224, 6100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149225, 6101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149226, 6102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149227, 6103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149228, 6104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149229, 6105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149230, 6106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149231, 6107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149232, 6108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149233, 6109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149234, 6110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149235, 6111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149236, 6112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149237, 6113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149238, 6114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149239, 6115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149240, 6116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149241, 6117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149242, 6118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149243, 6119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149244, 6120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149245, 6121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149246, 6122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149247, 6123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149248, 6124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149249, 6125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149250, 6126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149251, 6127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149252, 6128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149253, 6129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149254, 6130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149255, 6131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149256, 6132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149257, 6133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149258, 6134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149259, 6135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149260, 6136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149261, 6137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149262, 6138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149263, 6139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149264, 6140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149265, 6141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149266, 6142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149267, 6143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149268, 6144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149269, 6145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149270, 6146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149271, 6147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149272, 6148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149273, 6149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149274, 6150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149275, 6151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149276, 6152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149277, 6153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149278, 6154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149279, 6155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149280, 6156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149281, 6157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149282, 6158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149283, 6159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149284, 6160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149285, 6161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149286, 6162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149287, 6163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149288, 6164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149289, 6165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149290, 6166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149291, 6167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149292, 6168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149293, 6169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149294, 6170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149295, 6171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149296, 6172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149297, 6173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149298, 6174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149299, 6175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149300, 6176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149301, 6177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149302, 6178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149303, 6179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149304, 6180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149305, 6181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149306, 6182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149307, 6183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149308, 6184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149309, 6185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149310, 6186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149311, 6187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149312, 6188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149313, 6189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149314, 6190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149315, 6191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149316, 6192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149317, 6193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149318, 6194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149319, 6195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149320, 6196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149321, 6197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149322, 6198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149323, 6199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149324, 6200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149325, 6201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149326, 6202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149327, 6203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149328, 6204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149329, 6205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149330, 6206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149331, 6207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149332, 6208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149333, 6209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149334, 6210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149335, 6211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149336, 6212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149337, 6213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149338, 6214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149339, 6215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149340, 6216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149341, 6217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149342, 6218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149343, 6219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149344, 6220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149345, 6221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149346, 6222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149347, 6223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149348, 6224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149349, 6225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149350, 6226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149351, 6227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149352, 6228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149353, 6229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149354, 6230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149355, 6231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149356, 6232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149357, 6233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149358, 6234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149359, 6235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149360, 6236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149361, 6237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149362, 6238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149363, 6239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149364, 6240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149365, 6241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149366, 6242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149367, 6243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149368, 6244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149369, 6245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149370, 6246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149371, 6247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149372, 6248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149373, 6249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149374, 6250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149375, 6251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149376, 6252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149377, 6253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149378, 6254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149379, 6255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149380, 6256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149381, 6257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149382, 6258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149383, 6259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149384, 6260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149385, 6261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149386, 6262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149387, 6263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149388, 6264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149389, 6265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149390, 6266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149391, 6267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149392, 6268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149393, 6269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149394, 6270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149395, 6271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149396, 6272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149397, 6273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149398, 6274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149399, 6275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149400, 6276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149401, 6277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149402, 6278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149403, 6279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149404, 6280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149405, 6281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149406, 6282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149407, 6283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149408, 6284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149409, 6285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149410, 6286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149411, 6287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149412, 6288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149413, 6289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149414, 6290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149415, 6291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149416, 6292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149417, 6293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149418, 6294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149419, 6295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149420, 6296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149421, 6297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149422, 6298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149423, 6299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149424, 6300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149425, 6301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149426, 6302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149427, 6303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149428, 6304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149429, 6305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149430, 6306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149431, 6307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149432, 6308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149433, 6309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149434, 6310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149435, 6311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149436, 6312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149437, 6313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149438, 6314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149439, 6315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149440, 6316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149441, 6317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149442, 6318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149443, 6319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149444, 6320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149445, 6321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149446, 6322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149447, 6323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149448, 6324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149449, 6325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149450, 6326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149451, 6327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149452, 6328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149453, 6329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149454, 6330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149455, 6331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149456, 6332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149457, 6333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149458, 6334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149459, 6335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149460, 6336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149461, 6337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149462, 6338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149463, 6339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149464, 6340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149465, 6341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149466, 6342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149467, 6343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149468, 6344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149469, 6345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149470, 6346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149471, 6347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149472, 6348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149473, 6349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149474, 6350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149475, 6351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149476, 6352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149477, 6353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149478, 6354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149479, 6355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149480, 6356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149481, 6357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149482, 6358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149483, 6359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149484, 6360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149485, 6361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149486, 6362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149487, 6363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149488, 6364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149489, 6365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149490, 6366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149491, 6367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149492, 6368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149493, 6369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149494, 6370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149495, 6371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149496, 6372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149497, 6373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149498, 6374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149499, 6375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149500, 6376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149501, 6377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149502, 6378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149503, 6379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149504, 6380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149505, 6381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149506, 6382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149507, 6383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149508, 6384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149509, 6385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149510, 6386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149511, 6387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149512, 6388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149513, 6389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149514, 6390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149515, 6391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149516, 6392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149517, 6393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149518, 6394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149519, 6395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149520, 6396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149521, 6397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149522, 6398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149523, 6399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149524, 6400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149525, 6401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149526, 6402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149527, 6403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149528, 6404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149529, 6405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149530, 6406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149531, 6407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149532, 6408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149533, 6409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149534, 6410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149535, 6411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149536, 6412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149537, 6413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149538, 6414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149539, 6415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149540, 6416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149541, 6417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149542, 6418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149543, 6419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149544, 6420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149545, 6421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149546, 6422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149547, 6423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149548, 6424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149549, 6425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149550, 6426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149551, 6427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149552, 6428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149553, 6429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149554, 6430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149555, 6431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149556, 6432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149557, 6433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149558, 6434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149559, 6435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149560, 6436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149561, 6437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149562, 6438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149563, 6439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149564, 6440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149565, 6441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149566, 6442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149567, 6443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149568, 6444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149569, 6445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149570, 6446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149571, 6447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149572, 6448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149573, 6449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149574, 6450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149575, 6451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149576, 6452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149577, 6453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149578, 6454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149579, 6455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149580, 6456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149581, 6457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149582, 6458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149583, 6459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149584, 6460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149585, 6461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149586, 6462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149587, 6463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149588, 6464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149589, 6465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149590, 6466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149591, 6467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149592, 6468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149593, 6469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149594, 6470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149595, 6471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149596, 6472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149597, 6473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149598, 6474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149599, 6475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149600, 6476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149601, 6477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149602, 6478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149603, 6479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149604, 6480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149605, 6481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149606, 6482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149607, 6483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149608, 6484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149609, 6485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149610, 6486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149611, 6487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149612, 6488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149613, 6489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149614, 6490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149615, 6491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149616, 6492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149617, 6493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149618, 6494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149619, 6495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149620, 6496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149621, 6497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149622, 6498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149623, 6499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149624, 6500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149625, 6501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149626, 6502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149627, 6503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149628, 6504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149629, 6505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149630, 6506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149631, 6507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149632, 6508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149633, 6509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149634, 6510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149635, 6511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149636, 6512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149637, 6513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149638, 6514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149639, 6515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149640, 6516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149641, 6517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149642, 6518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149643, 6519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149644, 6520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149645, 6521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149646, 6522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149647, 6523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149648, 6524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149649, 6525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149650, 6526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149651, 6527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149652, 6528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149653, 6529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149654, 6530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149655, 6531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149656, 6532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149657, 6533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149658, 6534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149659, 6535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149660, 6536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149661, 6537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149662, 6538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149663, 6539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149664, 6540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149665, 6541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149666, 6542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149667, 6543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149668, 6544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149669, 6545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149670, 6546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149671, 6547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149672, 6548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149673, 6549, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149674, 6550, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149675, 6551, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149676, 6552, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149677, 6553, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149678, 6554, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149679, 6555, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149680, 6556, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149681, 6557, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149682, 6558, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149683, 6559, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149684, 6560, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149685, 6561, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149686, 6562, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149687, 6563, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149688, 6564, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149689, 6565, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149690, 6566, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149691, 6567, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149692, 6568, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149693, 6569, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149694, 6570, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149695, 6571, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149696, 6572, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149697, 6573, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149698, 6574, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149699, 6575, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149700, 6576, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149701, 6577, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149702, 6578, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149703, 6579, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149704, 6580, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149705, 6581, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149706, 6582, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149707, 6583, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149708, 6584, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149709, 6585, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149710, 6586, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149711, 6587, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149712, 6588, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149713, 6589, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149714, 6590, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149715, 6591, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149716, 6592, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149717, 6593, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149718, 6594, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149719, 6595, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149720, 6596, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149721, 6597, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149722, 6598, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149723, 6599, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149724, 6600, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149725, 6601, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149726, 6602, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149727, 6603, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149728, 6604, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149729, 6605, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149730, 6606, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149731, 6607, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149732, 6608, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149733, 6609, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149734, 6610, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149735, 6611, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149736, 6612, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149737, 6613, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149738, 6614, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149739, 6615, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149740, 6616, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149741, 6617, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149742, 6618, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149743, 6619, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149744, 6620, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149745, 6621, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149746, 6622, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149747, 6623, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149748, 6624, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149749, 6625, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149750, 6626, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149751, 6627, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149752, 6628, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149753, 6629, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149754, 6630, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149755, 6631, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149756, 6632, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149757, 6633, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149758, 6634, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149759, 6635, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149760, 6636, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149761, 6637, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149762, 6638, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149763, 6639, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149764, 6640, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149765, 6641, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149766, 6642, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149767, 6643, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149768, 6644, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149769, 6645, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149770, 6646, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149771, 6647, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149772, 6648, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149773, 6649, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149774, 6650, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149775, 6651, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149776, 6652, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149777, 6653, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149778, 6654, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149779, 6655, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149780, 6656, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149781, 6657, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149782, 6658, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149783, 6659, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149784, 6660, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149785, 6661, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149786, 6662, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149787, 6663, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149788, 6664, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149789, 6665, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149790, 6666, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149791, 6667, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149792, 6668, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149793, 6669, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149794, 6670, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149795, 6671, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149796, 6672, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149797, 6673, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149798, 6674, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149799, 6675, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149800, 6676, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149801, 6677, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149802, 6678, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149803, 6679, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149804, 6680, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149805, 6681, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149806, 6682, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149807, 6683, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149808, 6684, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149809, 6685, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149810, 6686, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149811, 6687, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149812, 6688, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149813, 6689, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149814, 6690, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149815, 6691, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149816, 6692, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149817, 6693, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149818, 6694, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149819, 6695, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149820, 6696, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149821, 6697, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149822, 6698, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149823, 6699, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149824, 6700, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149825, 6701, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149826, 6702, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149827, 6703, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149828, 6704, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149829, 6705, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149830, 6706, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149831, 6707, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149832, 6708, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149833, 6709, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149834, 6710, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149835, 6711, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149836, 6712, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149837, 6713, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149838, 6714, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149839, 6715, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149840, 6716, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149841, 6717, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149842, 6718, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149843, 6719, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149844, 6720, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149845, 6721, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149846, 6722, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149847, 6723, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149848, 6724, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149849, 6725, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149850, 6726, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149851, 6727, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149852, 6728, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149853, 6729, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149854, 6730, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149855, 6731, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149856, 6732, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149857, 6733, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149858, 6734, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149859, 6735, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149860, 6736, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149861, 6737, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149862, 6738, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149863, 6739, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149864, 6740, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149865, 6741, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149866, 6742, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149867, 6743, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149868, 6744, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149869, 6745, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149870, 6746, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149871, 6747, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149872, 6748, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149873, 6749, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149874, 6750, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149875, 6751, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149876, 6752, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149877, 6753, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149878, 6754, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149879, 6755, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149880, 6756, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149881, 6757, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149882, 6758, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149883, 6759, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149884, 6760, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149885, 6761, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149886, 6762, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149887, 6763, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149888, 6764, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149889, 6765, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149890, 6766, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149891, 6767, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149892, 6768, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149893, 6769, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149894, 6770, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149895, 6771, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149896, 6772, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149897, 6773, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149898, 6774, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149899, 6775, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149900, 6776, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149901, 6777, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149902, 6778, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149903, 6779, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149904, 6780, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149905, 6781, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149906, 6782, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149907, 6783, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149908, 6784, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149909, 6785, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149910, 6786, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149911, 6787, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149912, 6788, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149913, 6789, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149914, 6790, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149915, 6791, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149916, 6792, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149917, 6793, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149918, 6794, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149919, 6795, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149920, 6796, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149921, 6797, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149922, 6798, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149923, 6799, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149924, 6800, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149925, 6801, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149926, 6802, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149927, 6803, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149928, 6804, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149929, 6805, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149930, 6806, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149931, 6807, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149932, 6808, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149933, 6809, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149934, 6810, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149935, 6811, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149936, 6812, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149937, 6813, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149938, 6814, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149939, 6815, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149940, 6816, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149941, 6817, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149942, 6818, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149943, 6819, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149944, 6820, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149945, 6821, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149946, 6822, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149947, 6823, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149948, 6824, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149949, 6825, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149950, 6826, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149951, 6827, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149952, 6828, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149953, 6829, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149954, 6830, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149955, 6831, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149956, 6832, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149957, 6833, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149958, 6834, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149959, 6835, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149960, 6836, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149961, 6837, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149962, 6838, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149963, 6839, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149964, 6840, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149965, 6841, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149966, 6842, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149967, 6843, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149968, 6844, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149969, 6845, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149970, 6846, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149971, 6847, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149972, 6848, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149973, 6849, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149974, 6850, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149975, 6851, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149976, 6852, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149977, 6853, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149978, 6854, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149979, 6855, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149980, 6856, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149981, 6857, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149982, 6858, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149983, 6859, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149984, 6860, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149985, 6861, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149986, 6862, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149987, 6863, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149988, 6864, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149989, 6865, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149990, 6866, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149991, 6867, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149992, 6868, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149993, 6869, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149994, 6870, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149995, 6871, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149996, 6872, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149997, 6873, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149998, 6874, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (149999, 6875, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150000, 6876, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150001, 6877, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150002, 6878, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150003, 6879, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150004, 6880, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150005, 6881, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150006, 6882, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150007, 6883, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150008, 6884, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150009, 6885, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150010, 6886, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150011, 6887, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150012, 6888, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150013, 6889, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150014, 6890, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150015, 6891, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150016, 6892, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150017, 6893, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150018, 6894, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150019, 6895, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150020, 6896, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150021, 6897, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150022, 6898, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150023, 6899, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150024, 6900, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150025, 6901, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150026, 6902, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150027, 6903, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150028, 6904, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150029, 6905, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150030, 6906, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150031, 6907, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150032, 6908, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150033, 6909, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150034, 6910, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150035, 6911, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150036, 6912, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150037, 6913, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150038, 6914, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150039, 6915, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150040, 6916, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150041, 6917, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150042, 6918, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150043, 6919, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150044, 6920, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150045, 6921, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150046, 6922, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150047, 6923, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150048, 6924, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150049, 6925, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150050, 6926, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150051, 6927, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150052, 6928, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150053, 6929, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150054, 6930, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150055, 6931, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150056, 6932, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150057, 6933, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150058, 6934, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150059, 6935, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150060, 6936, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150061, 6937, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150062, 6938, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150063, 6939, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150064, 6940, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150065, 6941, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150066, 6942, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150067, 6943, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150068, 6944, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150069, 6945, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150070, 6946, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150071, 6947, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150072, 6948, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150073, 6949, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150074, 6950, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150075, 6951, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150076, 6952, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150077, 6953, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150078, 6954, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150079, 6955, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150080, 6956, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150081, 6957, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150082, 6958, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150083, 6959, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150084, 6960, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150085, 6961, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150086, 6962, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150087, 6963, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150088, 6964, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150089, 6965, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150090, 6966, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150091, 6967, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150092, 6968, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150093, 6969, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150094, 6970, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150095, 6971, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150096, 6972, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150097, 6973, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150098, 6974, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150099, 6975, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150100, 6976, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150101, 6977, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150102, 6978, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150103, 6979, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150104, 6980, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150105, 6981, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150106, 6982, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150107, 6983, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150108, 6984, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150109, 6985, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150110, 6986, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150111, 6987, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150112, 6988, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150113, 6989, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150114, 6990, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150115, 6991, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150116, 6992, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150117, 6993, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150118, 6994, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150119, 6995, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150120, 6996, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150121, 6997, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150122, 6998, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150123, 6999, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150124, 7000, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150125, 7001, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150126, 7002, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150127, 7003, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150128, 7004, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150129, 7005, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150130, 7006, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150131, 7007, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150132, 7008, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150133, 7009, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150134, 7010, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150135, 7011, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150136, 7012, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150137, 7013, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150138, 7014, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150139, 7015, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150140, 7016, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150141, 7017, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150142, 7018, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150143, 7019, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150144, 7020, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150145, 7021, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150146, 7022, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150147, 7023, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150148, 7024, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150149, 7025, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150150, 7026, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150151, 7027, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150152, 7028, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150153, 7029, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150154, 7030, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150155, 7031, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150156, 7032, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150157, 7033, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150158, 7034, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150159, 7035, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150160, 7036, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150161, 7037, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150162, 7038, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150163, 7039, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150164, 7040, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150165, 7041, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150166, 7042, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150167, 7043, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150168, 7044, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150169, 7045, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150170, 7046, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150171, 7047, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150172, 7048, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150173, 7049, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150174, 7050, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150175, 7051, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150176, 7052, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150177, 7053, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150178, 7054, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150179, 7055, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150180, 7056, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150181, 7057, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150182, 7058, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150183, 7059, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150184, 7060, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150185, 7061, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150186, 7062, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150187, 7063, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150188, 7064, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150189, 7065, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150190, 7066, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150191, 7067, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150192, 7068, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150193, 7069, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150194, 7070, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150195, 7071, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150196, 7072, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150197, 7073, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150198, 7074, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150199, 7075, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150200, 7076, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150201, 7077, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150202, 7078, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150203, 7079, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150204, 7080, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150205, 7081, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150206, 7082, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150207, 7083, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150208, 7084, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150209, 7085, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150210, 7086, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150211, 7087, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150212, 7088, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150213, 7089, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150214, 7090, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150215, 7091, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150216, 7092, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150217, 7093, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150218, 7094, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150219, 7095, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150220, 7096, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150221, 7097, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150222, 7098, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150223, 7099, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150224, 7100, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150225, 7101, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150226, 7102, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150227, 7103, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150228, 7104, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150229, 7105, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150230, 7106, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150231, 7107, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150232, 7108, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150233, 7109, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150234, 7110, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150235, 7111, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150236, 7112, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150237, 7113, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150238, 7114, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150239, 7115, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150240, 7116, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150241, 7117, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150242, 7118, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150243, 7119, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150244, 7120, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150245, 7121, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150246, 7122, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150247, 7123, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150248, 7124, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150249, 7125, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150250, 7126, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150251, 7127, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150252, 7128, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150253, 7129, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150254, 7130, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150255, 7131, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150256, 7132, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150257, 7133, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150258, 7134, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150259, 7135, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150260, 7136, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150261, 7137, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150262, 7138, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150263, 7139, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150264, 7140, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150265, 7141, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150266, 7142, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150267, 7143, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150268, 7144, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150269, 7145, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150270, 7146, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150271, 7147, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150272, 7148, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150273, 7149, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150274, 7150, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150275, 7151, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150276, 7152, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150277, 7153, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150278, 7154, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150279, 7155, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150280, 7156, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150281, 7157, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150282, 7158, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150283, 7159, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150284, 7160, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150285, 7161, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150286, 7162, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150287, 7163, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150288, 7164, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150289, 7165, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150290, 7166, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150291, 7167, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150292, 7168, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150293, 7169, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150294, 7170, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150295, 7171, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150296, 7172, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150297, 7173, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150298, 7174, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150299, 7175, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150300, 7176, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150301, 7177, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150302, 7178, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150303, 7179, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150304, 7180, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150305, 7181, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150306, 7182, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150307, 7183, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150308, 7184, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150309, 7185, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150310, 7186, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150311, 7187, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150312, 7188, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150313, 7189, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150314, 7190, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150315, 7191, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150316, 7192, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150317, 7193, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150318, 7194, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150319, 7195, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150320, 7196, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150321, 7197, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150322, 7198, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150323, 7199, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150324, 7200, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150325, 7201, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150326, 7202, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150327, 7203, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150328, 7204, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150329, 7205, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150330, 7206, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150331, 7207, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150332, 7208, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150333, 7209, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150334, 7210, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150335, 7211, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150336, 7212, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150337, 7213, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150338, 7214, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150339, 7215, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150340, 7216, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150341, 7217, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150342, 7218, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150343, 7219, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150344, 7220, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150345, 7221, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150346, 7222, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150347, 7223, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150348, 7224, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150349, 7225, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150350, 7226, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150351, 7227, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150352, 7228, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150353, 7229, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150354, 7230, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150355, 7231, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150356, 7232, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150357, 7233, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150358, 7234, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150359, 7235, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150360, 7236, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150361, 7237, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150362, 7238, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150363, 7239, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150364, 7240, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150365, 7241, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150366, 7242, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150367, 7243, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150368, 7244, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150369, 7245, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150370, 7246, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150371, 7247, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150372, 7248, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150373, 7249, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150374, 7250, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150375, 7251, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150376, 7252, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150377, 7253, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150378, 7254, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150379, 7255, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150380, 7256, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150381, 7257, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150382, 7258, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150383, 7259, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150384, 7260, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150385, 7261, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150386, 7262, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150387, 7263, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150388, 7264, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150389, 7265, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150390, 7266, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150391, 7267, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150392, 7268, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150393, 7269, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150394, 7270, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150395, 7271, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150396, 7272, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150397, 7273, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150398, 7274, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150399, 7275, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150400, 7276, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150401, 7277, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150402, 7278, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150403, 7279, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150404, 7280, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150405, 7281, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150406, 7282, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150407, 7283, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150408, 7284, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150409, 7285, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150410, 7286, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150411, 7287, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150412, 7288, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150413, 7289, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150414, 7290, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150415, 7291, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150416, 7292, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150417, 7293, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150418, 7294, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150419, 7295, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150420, 7296, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150421, 7297, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150422, 7298, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150423, 7299, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150424, 7300, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150425, 7301, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150426, 7302, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150427, 7303, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150428, 7304, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150429, 7305, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150430, 7306, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150431, 7307, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150432, 7308, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150433, 7309, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150434, 7310, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150435, 7311, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150436, 7312, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150437, 7313, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150438, 7314, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150439, 7315, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150440, 7316, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150441, 7317, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150442, 7318, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150443, 7319, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150444, 7320, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150445, 7321, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150446, 7322, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150447, 7323, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150448, 7324, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150449, 7325, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150450, 7326, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150451, 7327, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150452, 7328, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150453, 7329, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150454, 7330, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150455, 7331, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150456, 7332, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150457, 7333, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150458, 7334, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150459, 7335, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150460, 7336, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150461, 7337, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150462, 7338, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150463, 7339, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150464, 7340, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150465, 7341, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150466, 7342, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150467, 7343, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150468, 7344, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150469, 7345, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150470, 7346, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150471, 7347, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150472, 7348, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150473, 7349, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150474, 7350, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150475, 7351, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150476, 7352, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150477, 7353, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150478, 7354, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150479, 7355, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150480, 7356, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150481, 7357, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150482, 7358, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150483, 7359, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150484, 7360, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150485, 7361, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150486, 7362, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150487, 7363, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150488, 7364, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150489, 7365, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150490, 7366, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150491, 7367, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150492, 7368, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150493, 7369, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150494, 7370, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150495, 7371, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150496, 7372, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150497, 7373, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150498, 7374, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150499, 7375, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150500, 7376, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150501, 7377, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150502, 7378, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150503, 7379, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150504, 7380, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150505, 7381, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150506, 7382, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150507, 7383, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150508, 7384, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150509, 7385, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150510, 7386, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150511, 7387, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150512, 7388, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150513, 7389, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150514, 7390, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150515, 7391, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150516, 7392, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150517, 7393, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150518, 7394, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150519, 7395, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150520, 7396, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150521, 7397, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150522, 7398, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150523, 7399, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150524, 7400, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150525, 7401, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150526, 7402, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150527, 7403, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150528, 7404, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150529, 7405, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150530, 7406, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150531, 7407, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150532, 7408, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150533, 7409, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150534, 7410, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150535, 7411, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150536, 7412, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150537, 7413, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150538, 7414, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150539, 7415, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150540, 7416, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150541, 7417, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150542, 7418, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150543, 7419, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150544, 7420, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150545, 7421, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150546, 7422, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150547, 7423, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150548, 7424, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150549, 7425, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150550, 7426, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150551, 7427, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150552, 7428, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150553, 7429, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150554, 7430, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150555, 7431, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150556, 7432, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150557, 7433, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150558, 7434, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150559, 7435, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150560, 7436, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150561, 7437, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150562, 7438, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150563, 7439, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150564, 7440, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150565, 7441, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150566, 7442, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150567, 7443, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150568, 7444, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150569, 7445, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150570, 7446, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150571, 7447, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150572, 7448, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150573, 7449, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150574, 7450, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150575, 7451, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150576, 7452, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150577, 7453, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150578, 7454, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150579, 7455, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150580, 7456, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150581, 7457, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150582, 7458, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150583, 7459, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150584, 7460, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150585, 7461, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150586, 7462, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150587, 7463, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150588, 7464, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150589, 7465, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150590, 7466, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150591, 7467, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150592, 7468, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150593, 7469, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150594, 7470, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150595, 7471, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150596, 7472, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150597, 7473, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150598, 7474, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150599, 7475, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150600, 7476, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150601, 7477, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150602, 7478, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150603, 7479, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150604, 7480, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150605, 7481, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150606, 7482, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150607, 7483, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150608, 7484, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150609, 7485, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150610, 7486, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150611, 7487, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150612, 7488, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150613, 7489, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150614, 7490, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150615, 7491, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150616, 7492, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150617, 7493, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150618, 7494, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150619, 7495, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150620, 7496, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150621, 7497, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150622, 7498, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150623, 7499, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150624, 7500, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150625, 7501, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150626, 7502, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150627, 7503, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150628, 7504, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150629, 7505, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150630, 7506, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150631, 7507, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150632, 7508, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150633, 7509, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150634, 7510, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150635, 7511, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150636, 7512, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150637, 7513, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150638, 7514, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150639, 7515, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150640, 7516, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150641, 7517, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150642, 7518, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150643, 7519, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150644, 7520, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150645, 7521, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150646, 7522, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150647, 7523, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150648, 7524, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150649, 7525, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150650, 7526, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150651, 7527, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150652, 7528, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150653, 7529, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150654, 7530, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150655, 7531, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150656, 7532, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150657, 7533, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150658, 7534, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150659, 7535, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150660, 7536, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150661, 7537, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150662, 7538, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150663, 7539, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150664, 7540, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150665, 7541, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150666, 7542, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150667, 7543, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150668, 7544, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150669, 7545, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150670, 7546, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150671, 7547, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150672, 7548, 48, 'dummy');
INSERT INTO `lang_definitions` VALUES (150673, 7549, 48, 'dummy');

--

